/**
 * @file
 * @copyright This code is licensed under the 3-clause BSD license.\n
 *            Copyright ETH Zurich, Laboratory of Physical Chemistry, Reiher Group.\n
 *            See LICENSE.txt for details.
 *
 * @note This file was generated by the Embed binary from runtime values.
 *   Prefer improving the generator over editing this file whenever possible.
 *
 * This file contains functions generating runtime values. It was
 * generated from runtime values of its return type. It is not intended to be
 * human-readable. A small guide: Return values are directly brace-initialized
 * in deep nesting to keep file size to a minimum. Types are annotated only when
 * necessary. Floating point values are represented in hexadecimal (see
 * std::hexfloat) to ensure serialization does not cause loss of accuracy.
 *
 * The functions defined here might be declared and called elsewhere entirely.
 *
 */
#include "Sparrow/Resources/Dftb/hyb-0-2/Parameters.h"
#include "Sparrow/Implementations/Dftb/ParameterSet.h"

namespace Scine {
namespace Sparrow {
namespace dftb {

namespace {

std::vector<bool> remapElements(const std::vector<int>& elements) {
  std::vector<bool> required(112, false);
  for (int Z : elements) {
    required.at(Z) = true;
  }
  return required;
}

} // namespace

ParameterSet params_hyb_0_2(const std::vector<int>& elements) {
  ParameterSet data;

  if (elements.empty()) {
    data.pairData.emplace(std::make_pair(16, 14), params_hyb_0_2_s_si());
    data.pairData.emplace(std::make_pair(47, 6), params_hyb_0_2_ag_c());
    data.pairData.emplace(std::make_pair(47, 8), params_hyb_0_2_ag_o());
    data.pairData.emplace(std::make_pair(8, 47), params_hyb_0_2_o_ag());
    data.pairData.emplace(std::make_pair(31, 8), params_hyb_0_2_ga_o());
    data.pairData.emplace(std::make_pair(47, 14), params_hyb_0_2_ag_si());
    data.pairData.emplace(std::make_pair(31, 14), params_hyb_0_2_ga_si());
    data.pairData.emplace(std::make_pair(14, 33), params_hyb_0_2_si_as());
    data.pairData.emplace(std::make_pair(47, 47), params_hyb_0_2_ag_ag());
    data.pairData.emplace(std::make_pair(33, 14), params_hyb_0_2_as_si());
    data.pairData.emplace(std::make_pair(1, 47), params_hyb_0_2_h_ag());
    data.pairData.emplace(std::make_pair(16, 33), params_hyb_0_2_s_as());
    data.pairData.emplace(std::make_pair(31, 16), params_hyb_0_2_ga_s());
    data.pairData.emplace(std::make_pair(33, 16), params_hyb_0_2_as_s());
    data.pairData.emplace(std::make_pair(14, 47), params_hyb_0_2_si_ag());
    data.pairData.emplace(std::make_pair(6, 47), params_hyb_0_2_c_ag());
    data.pairData.emplace(std::make_pair(33, 33), params_hyb_0_2_as_as());
    data.pairData.emplace(std::make_pair(33, 1), params_hyb_0_2_as_h());
    data.pairData.emplace(std::make_pair(33, 31), params_hyb_0_2_as_ga());
    data.pairData.emplace(std::make_pair(31, 1), params_hyb_0_2_ga_h());
    data.pairData.emplace(std::make_pair(8, 31), params_hyb_0_2_o_ga());
    data.pairData.emplace(std::make_pair(31, 33), params_hyb_0_2_ga_as());
    data.pairData.emplace(std::make_pair(1, 33), params_hyb_0_2_h_as());
    data.pairData.emplace(std::make_pair(16, 31), params_hyb_0_2_s_ga());
    data.pairData.emplace(std::make_pair(1, 31), params_hyb_0_2_h_ga());
    data.pairData.emplace(std::make_pair(14, 31), params_hyb_0_2_si_ga());
    data.pairData.emplace(std::make_pair(6, 31), params_hyb_0_2_c_ga());
    data.pairData.emplace(std::make_pair(47, 1), params_hyb_0_2_ag_h());
    data.pairData.emplace(std::make_pair(14, 14), params_hyb_0_2_si_si());
    data.pairData.emplace(std::make_pair(14, 16), params_hyb_0_2_si_s());
    data.pairData.emplace(std::make_pair(31, 6), params_hyb_0_2_ga_c());
    data.pairData.emplace(std::make_pair(31, 31), params_hyb_0_2_ga_ga());
  }
  else {
    const auto required = remapElements(elements);
    if (required.at(16) && required.at(14)) {
      data.pairData.emplace(std::make_pair(16, 14), params_hyb_0_2_s_si());
    }
    if (required.at(47) && required.at(6)) {
      data.pairData.emplace(std::make_pair(47, 6), params_hyb_0_2_ag_c());
    }
    if (required.at(47) && required.at(8)) {
      data.pairData.emplace(std::make_pair(47, 8), params_hyb_0_2_ag_o());
    }
    if (required.at(8) && required.at(47)) {
      data.pairData.emplace(std::make_pair(8, 47), params_hyb_0_2_o_ag());
    }
    if (required.at(31) && required.at(8)) {
      data.pairData.emplace(std::make_pair(31, 8), params_hyb_0_2_ga_o());
    }
    if (required.at(47) && required.at(14)) {
      data.pairData.emplace(std::make_pair(47, 14), params_hyb_0_2_ag_si());
    }
    if (required.at(31) && required.at(14)) {
      data.pairData.emplace(std::make_pair(31, 14), params_hyb_0_2_ga_si());
    }
    if (required.at(14) && required.at(33)) {
      data.pairData.emplace(std::make_pair(14, 33), params_hyb_0_2_si_as());
    }
    if (required.at(47)) {
      data.pairData.emplace(std::make_pair(47, 47), params_hyb_0_2_ag_ag());
    }
    if (required.at(33) && required.at(14)) {
      data.pairData.emplace(std::make_pair(33, 14), params_hyb_0_2_as_si());
    }
    if (required.at(1) && required.at(47)) {
      data.pairData.emplace(std::make_pair(1, 47), params_hyb_0_2_h_ag());
    }
    if (required.at(16) && required.at(33)) {
      data.pairData.emplace(std::make_pair(16, 33), params_hyb_0_2_s_as());
    }
    if (required.at(31) && required.at(16)) {
      data.pairData.emplace(std::make_pair(31, 16), params_hyb_0_2_ga_s());
    }
    if (required.at(33) && required.at(16)) {
      data.pairData.emplace(std::make_pair(33, 16), params_hyb_0_2_as_s());
    }
    if (required.at(14) && required.at(47)) {
      data.pairData.emplace(std::make_pair(14, 47), params_hyb_0_2_si_ag());
    }
    if (required.at(6) && required.at(47)) {
      data.pairData.emplace(std::make_pair(6, 47), params_hyb_0_2_c_ag());
    }
    if (required.at(33)) {
      data.pairData.emplace(std::make_pair(33, 33), params_hyb_0_2_as_as());
    }
    if (required.at(33) && required.at(1)) {
      data.pairData.emplace(std::make_pair(33, 1), params_hyb_0_2_as_h());
    }
    if (required.at(33) && required.at(31)) {
      data.pairData.emplace(std::make_pair(33, 31), params_hyb_0_2_as_ga());
    }
    if (required.at(31) && required.at(1)) {
      data.pairData.emplace(std::make_pair(31, 1), params_hyb_0_2_ga_h());
    }
    if (required.at(8) && required.at(31)) {
      data.pairData.emplace(std::make_pair(8, 31), params_hyb_0_2_o_ga());
    }
    if (required.at(31) && required.at(33)) {
      data.pairData.emplace(std::make_pair(31, 33), params_hyb_0_2_ga_as());
    }
    if (required.at(1) && required.at(33)) {
      data.pairData.emplace(std::make_pair(1, 33), params_hyb_0_2_h_as());
    }
    if (required.at(16) && required.at(31)) {
      data.pairData.emplace(std::make_pair(16, 31), params_hyb_0_2_s_ga());
    }
    if (required.at(1) && required.at(31)) {
      data.pairData.emplace(std::make_pair(1, 31), params_hyb_0_2_h_ga());
    }
    if (required.at(14) && required.at(31)) {
      data.pairData.emplace(std::make_pair(14, 31), params_hyb_0_2_si_ga());
    }
    if (required.at(6) && required.at(31)) {
      data.pairData.emplace(std::make_pair(6, 31), params_hyb_0_2_c_ga());
    }
    if (required.at(47) && required.at(1)) {
      data.pairData.emplace(std::make_pair(47, 1), params_hyb_0_2_ag_h());
    }
    if (required.at(14)) {
      data.pairData.emplace(std::make_pair(14, 14), params_hyb_0_2_si_si());
    }
    if (required.at(14) && required.at(16)) {
      data.pairData.emplace(std::make_pair(14, 16), params_hyb_0_2_si_s());
    }
    if (required.at(31) && required.at(6)) {
      data.pairData.emplace(std::make_pair(31, 6), params_hyb_0_2_ga_c());
    }
    if (required.at(31)) {
      data.pairData.emplace(std::make_pair(31, 31), params_hyb_0_2_ga_ga());
    }
  }

  return data;
}

SkfData params_hyb_0_2_s_si() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.2a955e4663fb8p-4, -0x1.24759209b3422p-5, -0x1.80fc5fb514cep-8, 0x1.19c4a86bc0183p-6, 0x1.17cd681de675cp-5, 0x1.75cc775bfecb1p-5, 0x1.abc8d2a35c6d7p-5, 0x1.be869663dc8e7p-5, 0x1.b28d288817d34p-5, 0x1.8c134873908cp-5, 0x1.4f0773efc4e93p-5, 0x1.fe1e5542c7f41p-6, 0x1.3f03cbf22a29dp-6, 0x1.9b60689381075p-8, -0x1.09b458a650b09p-7, -0x1.7f125182dfccbp-6, -0x1.41a9a0f76a8c3p-5, -0x1.c6cda0ae75cadp-5, -0x1.2696e1c985789p-4, -0x1.699c116869233p-4, -0x1.abc63d549a80cp-4, -0x1.ec7830fb0d7abp-4, -0x1.159b2494c812bp-3, -0x1.33c736981ffb3p-3, -0x1.508f531a8c05bp-3, -0x1.6bcadfe194196p-3, -0x1.8559b09d25c39p-3, -0x1.9d231349b9f46p-3, -0x1.b3145753e30fbp-3, -0x1.c71f90ff2e9ecp-3, -0x1.d93afe794364cp-3, -0x1.e960edc719635p-3, -0x1.f78fbc726c5bcp-3, -0x1.01e4ce43fa545p-2, -0x1.070a06ec471c4p-2, -0x1.0b3b9a805177dp-2, -0x1.0e7ea4856f2aep-2, -0x1.10d91bd12d539p-2, -0x1.1251bd0bc4be9p-2, -0x1.12effedc0c41ep-2, -0x1.12bc00fa01166p-2, -0x1.11be6fbc00df8p-2, -0x1.10005f5a8934dp-2, -0x1.0d8b27706a23fp-2, -0x1.0a684659ec37ap-2, -0x1.06a14f1031995p-2, -0x1.023fdee3d901bp-2, -0x1.fa9b2c2be3d89p-3, -0x1.efa81e71148dep-3, -0x1.e3b9a7ade05d6p-3, -0x1.d6e29e6f5ad19p-3, -0x1.c935824ccea3dp-3, -0x1.bac4655858c3cp-3, -0x1.aba0dbc163ec7p-3, -0x1.9bdbf1e7eae72p-3, -0x1.8b86272cfb7dep-3, -0x1.7aaf6ac9d460dp-3, -0x1.6967185afa2cp-3, -0x1.57bbf3483852cp-3, -0x1.45bc21c82963cp-3, -0x1.337528f290584p-3, -0x1.20f3eae53672p-3, -0x1.0e44a6fa03ccep-3, -0x1.f6ea69330b1dfp-4, -0x1.d115458212ed6p-4, -0x1.ab26494a688d2p-4, -0x1.853163e640245p-4, -0x1.5f4931eee56f8p-4, -0x1.397efffadb567p-4, -0x1.13e2d5459e448p-4, -0x1.dd0709743332dp-5, -0x1.92dd8450d4e4cp-5, -0x1.4962724c0a6cep-5, -0x1.00ad466c1afc7p-5, -0x1.71a76d4740f1bp-6, -0x1.c7a76d128c70fp-7, -0x1.601230b388aeep-8, 0x1.8d1ee3b4fb616p-9, 0x1.720c52544ca9bp-7, 0x1.3e05ceefd0cc1p-6, 0x1.c089089eb2298p-6, 0x1.203c65fdf9d35p-5, 0x1.5ee05d34a1477p-5, 0x1.9c2785c7eb051p-5, 0x1.d80a38dbdff1ep-5, 0x1.0940fe247731p-4, 0x1.25c4b8006c88cp-4, 0x1.418e1d379c547p-4, 0x1.5c9b7a6bfe4eap-4, 0x1.76eb8c4b089acp-4, 0x1.907d76efc605bp-4, 0x1.a950be3451791p-4, 0x1.c1653ef8343d6p-4, 0x1.d8bb293f6c5a4p-4, 0x1.ef52faf68ea76p-4, 0x1.0296bd8f94a1ep-3, 0x1.0d25da95fdb95p-3, 0x1.17577a326b7f3p-3, 0x1.212c5fa008addp-3, 0x1.2aa5695a98dcfp-3, 0x1.33c38ece30f96p-3, 0x1.3c87de1a56029p-3, 0x1.44f379f402fcfp-3, 0x1.4d0797ad62d8ap-3, 0x1.54c57d640a5d4p-3, 0x1.5c2e80516da25p-3, 0x1.6344033657422p-3, 0x1.6a0774d9a7ea9p-3, 0x1.707a4e944c074p-3, 0x1.769e12e6e732p-3, 0x1.7c744c185a648p-3, 0x1.81fe8ade8cacdp-3, 0x1.873e6513cac5cp-3, 0x1.8c35747b7b808p-3, 0x1.90e5559837e1ap-3, 0x1.954fa6949532ap-3, 0x1.9976063ef3b6cp-3, 0x1.9d5a1317fe72dp-3, 0x1.a0fd6a732cfd3p-3, 0x1.a461a7a8a65e8p-3, 0x1.a788635845ad4p-3, 0x1.aa7332bdfdf7bp-3, 0x1.ad23a71849e3p-3, 0x1.af9b4d219f0c6p-3, 0x1.b1dbac9da40c1p-3, 0x1.b3e647fa8658p-3, 0x1.b5bc9c05ef98cp-3, 0x1.b7601fb434714p-3, 0x1.b8d243f75b28p-3, 0x1.ba1473a2fb2b3p-3, 0x1.bb28135958185p-3, 0x1.bc0e817e5f88cp-3, 0x1.bcc9162d3c558p-3, 0x1.bd59232e2226dp-3, 0x1.bdbff3ea95fc7p-3, 0x1.bdfecd5f88287p-3, 0x1.be16ee0d55baap-3, 0x1.be098de68477p-3, 0x1.bdd7de3e82512p-3, 0x1.bd8309b9fa674p-3, 0x1.bd0c3442533b7p-3, 0x1.bc747afdc7997p-3, 0x1.bbbcf44d2d7b4p-3, 0x1.bae6afd037df4p-3, 0x1.b9f2b6706bdafp-3, 0x1.b8e20a72acc54p-3, 0x1.b7b5a78ecad08p-3, 0x1.b66d5fb42e6b5p-3, 0x1.b50ca472507fcp-3, 0x1.b393045bb620ep-3, 0x1.b20160be6d171p-3, 0x1.b05894c2a4d91p-3, 0x1.ae9975a462b4fp-3, 0x1.acc4d2f17fb8bp-3, 0x1.aadb76c9c8d8fp-3, 0x1.a8de261f0e5fep-3, 0x1.a6cda0f345e75p-3, 0x1.a4aaa292f738fp-3, 0x1.a275e1caa5d4ep-3, 0x1.a03011162f3d8p-3, 0x1.9dd9dec97b4c1p-3, 0x1.9b73f5323c983p-3, 0x1.98fefab2ded86p-3, 0x1.967b91d6fc13ap-3, 0x1.93ea5962283a5p-3, 0x1.914bec59e0fafp-3, 0x1.8ea0e20bd5aeep-3, 0x1.8be9ce11a9a59p-3, 0x1.8927405370196p-3, 0x1.8659c50a1930bp-3, 0x1.8381e4c2e19a2p-3, 0x1.80a02464b94b3p-3, 0x1.7db50538682d1p-3, 0x1.7ac104f3fe549p-3, 0x1.77c49dc9d6245p-3, 0x1.74c0467b5373p-3, 0x1.71b4726f357c2p-3, 0x1.6ea191cb2e34dp-3, 0x1.6b8811905c7f6p-3, 0x1.68685bba021e1p-3, 0x1.6542d75de19e4p-3, 0x1.6217e8cd863ep-3, 0x1.5ee7f1b7d4d36p-3, 0x1.5bb3514a2ebfcp-3, 0x1.587a64508de33p-3, 0x1.553d8554167e8p-3, 0x1.51fd0cb7a5a21p-3, 0x1.4eb950d203522p-3, 0x1.4b72a60579ec8p-3, 0x1.48295ed4aa598p-3, 0x1.44ddcbf48fd6ep-3, 0x1.41903c5bbd089p-3, 0x1.3e40fd4eea10ep-3, 0x1.3af05a6b0b187p-3, 0x1.379e9dad1c241p-3, 0x1.344c0f77fbeeep-3, 0x1.30f8f6988e165p-3, 0x1.2da5984887fb8p-3, 0x1.2a5238302cf76p-3, 0x1.26ff1867555b6p-3, 0x1.23ac797603f9ep-3, 0x1.205a9a54d338ep-3, 0x1.1d09b86d7036fp-3, 0x1.19ba0f9b67be3p-3, 0x1.166bda2d5a213p-3, 0x1.131f50e6c7446p-3, 0x1.0fd4ab0274956p-3, 0x1.0c8c1e359101bp-3, 0x1.0945deb37e4adp-3, 0x1.06021f324dcbbp-3, 0x1.02c110efd8ee4p-3, 0x1.ff05c76ed0413p-4, 0x1.f88f8bcf9a096p-4, 0x1.f21fc8f3bac3ap-4, 0x1.ebb6d60e601cep-4, 0x1.e55507a20baa6p-4, 0x1.defaaf8e72c69p-4, 0x1.d8a81d1e71c7ap-4, 0x1.d25d9d15a57ep-4, 0x1.cc1b79bdbacf7p-4, 0x1.c5e1faf34f7dep-4, 0x1.bfb166322bcd7p-4, 0x1.b989fea0ff43bp-4, 0x1.b36c051c53168p-4, 0x1.ad57b840f5266p-4, 0x1.a74d54759a6aap-4, 0x1.a14d13f3f8263p-4, 0x1.9b572ed127e91p-4, 0x1.956bdb05941e8p-4, 0x1.8f8b4c7453782p-4, 0x1.89b5b4f215df2p-4, 0x1.83eb444bb156fp-4, 0x1.7e2c284c5b508p-4, 0x1.78788cc3a14p-4, 0x1.72d09b8b30a49p-4, 0x1.6d347c8c7c684p-4, 0x1.67a455c64f3fcp-4, 0x1.62204b5257b5p-4, 0x1.5ca87f6ab8106p-4, 0x1.573d126fa7acfp-4, 0x1.51de22ed2a1c8p-4, 0x1.4c8bcda0e6d7dp-4, 0x1.47462d8025e03p-4, 0x1.420d5bbdf4502p-4, 0x1.3ce16fd176a9ap-4, 0x1.37c27f7c663ep-4, 0x1.32b09ed1bec9dp-4, 0x1.2dabe03c97b17p-4, 0x1.28b454872a1a4p-4, 0x1.23ca0ae1fec54p-4, 0x1.1eed10eb448dfp-4, 0x1.1a1d72b648552p-4, 0x1.155b3ad30c69cp-4, 0x1.10a67255fc177p-4, 0x1.0bff20dfb532p-4, 0x1.07654ca4e4fbbp-4, 0x1.02d8fa7633a4fp-4, 0x1.fcb45b9074b48p-5, 0x1.f3d1d176ffa99p-5, 0x1.eb0a5848efd01p-5, 0x1.e25def27045dcp-5, 0x1.d9cc92b9c9b2dp-5, 0x1.d1563d4183598p-5, 0x1.c8fae6a5fdbefp-5, 0x1.c0ba84864df9cp-5, 0x1.b8950a48707ebp-5, 0x1.b08a6928c9ec4p-5, 0x1.a89a9049833fcp-5, 0x1.a0c56cc1c172p-5, 0x1.990ae9acb2dcp-5, 0x1.916af0387316dp-5, 0x1.89e567b4c2e09p-5, 0x1.827a35a194068p-5, 0x1.7b293dbd66833p-5, 0x1.73f2621379a22p-5, 0x1.6cd58309cdfd4p-5, 0x1.65d27f6ef9bd9p-5, 0x1.5ee93487d0866p-5, 0x1.58197e1cdda32p-5, 0x1.51633687b3a2cp-5, 0x1.4ac636c00ddb9p-5, 0x1.44425668ca2cep-5, 0x1.3dd76bdcb7d3dp-5, 0x1.37854c3b3c079p-5, 0x1.314bcb74ce79cp-5, 0x1.2b2abc574fd64p-5, 0x1.2521f09a3557p-5, 0x1.1f3138ea90741p-5, 0x1.195864f6ea98bp-5, 0x1.1397437affc5dp-5, 0x1.0deda24b4d399p-5, 0x1.085b4e6078542p-5, 0x1.02e013e29031bp-5, 0x1.faf77c6848ae7p-6, 0x1.f05c2ffa624d3p-6, 0x1.e5edd66bc86d2p-6, 0x1.dbac026268abbp-6, 0x1.d196454e98551p-6, 0x1.c7ac2f7f947e4p-6, 0x1.bded5037a5f04p-6, 0x1.b45935bfe1261p-6, 0x1.aaef6d7b90723p-6, 0x1.a1af83fb35fdfp-6, 0x1.9899050f30e65p-6, 0x1.8fab7bd9fb9b7p-6, 0x1.86e672e204ebap-6, 0x1.7e49742327f24p-6, 0x1.75d4091fb85cep-6, 0x1.6d85baf12d945p-6, 0x1.655e125860d36p-6, 0x1.5d5c97cd68b9ap-6, 0x1.5580d38f07cbcp-6, 0x1.4dca4db1bd5c9p-6, 0x1.46388e2e630ecp-6, 0x1.3ecb1cf06f8fbp-6, 0x1.37825726a1d22p-6, 0x1.305c12a31c8dbp-6, 0x1.2958b36c797dcp-6, 0x1.2277c1ca8b35cp-6, 0x1.1bb8c639adddp-6, 0x1.151b497695853p-6, 0x1.0e9ed489c1ba5p-6, 0x1.0842f0d299d09p-6, 0x1.020728122546p-6, 0x1.f7d608eae5063p-7, 0x1.ebdc213f44428p-7, 0x1.e01faf6727cacp-7, 0x1.d49fcaba90deap-7, 0x1.c95b8bb5c39bp-7, 0x1.be520c0aa4df8p-7, 0x1.b38266b170b9fp-7, 0x1.a8ebb7f8d060ep-7, 0x1.9e8d1d9536684p-7, 0x1.9465b6afafa1ap-7, 0x1.8a74a3f40b196p-7, 0x1.80b9079e5c028p-7, 0x1.77320587eaac6p-7, 0x1.6ddec33386704p-7, 0x1.64be67d93f9f2p-7, 0x1.5bd01c7194b3bp-7, 0x1.53130bc0007adp-7, 0x1.4a86625d055ap-7, 0x1.42294ebfa16e3p-7, 0x1.39fb014642e13p-7, 0x1.31faac3f2c21p-7, 0x1.2a2783f057513p-7, 0x1.2280be9ed9619p-7, 0x1.1b059495c28acp-7, 0x1.13b5402c8795bp-7, 0x1.0c8efdcceb359p-7, 0x1.05920bf87976cp-7, 0x1.fd7b569b117a5p-8, 0x1.f0223d17988eep-8, 0x1.e3175530f809ep-8, 0x1.d6592d0415f7ep-8, 0x1.c9e65706f6e88p-8, 0x1.bdbd6a0e97186p-8, 0x1.b1dd0153fa5a8p-8, 0x1.a643bc7883a3cp-8, 0x1.9af03f8988adep-8, 0x1.8fe133033b507p-8, 0x1.851543d2d5b27p-8, 0x1.7a8b23582ad43p-8, 0x1.7041876684ecfp-8, 0x1.66372a44e7485p-8, 0x1.5c6acaadb86cap-8, 0x1.52db2bcdd051bp-8, 0x1.49871542f829fp-8, 0x1.406d5319ddb73p-8, 0x1.378cb5cb7fcb9p-8, 0x1.2ee4123a14cf6p-8, 0x1.267241ad756d5p-8, 0x1.1e3621cf11de9p-8, 0x1.162e94a56d0e6p-8, 0x1.0e5a808f2de78p-8, 0x1.06b8d03dbeeaap-8, 0x1.fe90e55f2524p-9, 0x1.f010b653fa9f4p-9, 0x1.e1ef02657001dp-9, 0x1.d429c1121371bp-9, 0x1.c6bef23d3a30dp-9, 0x1.b9ac9e20134f8p-9, 0x1.acf0d53a26e04p-9, 0x1.a089b0413aecp-9, 0x1.94755010d0d18p-9, 0x1.88b1dd991707bp-9, 0x1.7d3d89cd69b95p-9, 0x1.72168d9273accp-9, 0x1.673b29abe7069p-9, 0x1.5ca9a6a9deca2p-9, 0x1.526054d5f4eb1p-9, 0x1.485d8c20035cep-9, 0x1.3e9fac0ab0383p-9, 0x1.35251b97b2f15p-9, 0x1.2bec4933e6542p-9, 0x1.22f3aaa330d7ap-9, 0x1.1a39bcec3bf7ap-9, 0x1.11bd04440ae75p-9, 0x1.097c0bf9763ecp-9, 0x1.0175666084c0ep-9, 0x1.f34f597b643c8p-10, 0x1.e422fe625609bp-10, 0x1.d5630943db365p-10, 0x1.c70cd551d8763p-10, 0x1.b91dcaf838f1fp-10, 0x1.ab935fb319d84p-10, 0x1.9e6b15e4d1e72p-10, 0x1.91a27cac1abc6p-10, 0x1.85372fba1e007p-10, 0x1.7926d7288dd31p-10, 0x1.6d6f274fcabb5p-10, 0x1.620de09d171ap-10, 0x1.5700cf68bad8ep-10, 0x1.4c45cbcc51e2dp-10, 0x1.41dab9790ad86p-10, 0x1.37bd878e09cc5p-10, 0x1.2dec306ec67ebp-10, 0x1.2464b999859d7p-10, 0x1.1b25337dc7e37p-10, 0x1.122bb952f4e35p-10, 0x1.097670eee88c4p-10, 0x1.01038a9ca8fdbp-10, 0x1.f1a281e64384cp-11, 0x1.e1bbb157f69c4p-11, 0x1.d24f40f4fa218p-11, 0x1.c359e1c51182dp-11, 0x1.b4d8581f5c31ap-11, 0x1.a6c77b58a88bbp-11, 0x1.992435720fba5p-11, 0x1.8beb82c7a321ep-11, 0x1.7f1a71bfab487p-11, 0x1.72ae2279e9703p-11, 0x1.66a3c67f562bcp-11, 0x1.5af8a07235f71p-11, 0x1.4faa03be839b3p-11, 0x1.44b5544aeab02p-11, 0x1.3a18062a239fp-11, 0x1.2fcf9d4cdb072p-11, 0x1.25d9ad34273a3p-11, 0x1.1c33d8a49b91ep-11, 0x1.12dbd159fcc67p-11, 0x1.09cf57bb9392ep-11, 0x1.010c3a916d5cap-11, 0x1.f120ad744bfbfp-12, 0x1.e0b32dc324225p-12, 0x1.d0cbe67090c6cp-12, 0x1.c166e2581603bp-12, 0x1.b28046420b7f2p-12, 0x1.a41450582287p-12, 0x1.961f579bc08dap-12, 0x1.889dcb5e3e3bfp-12, 0x1.7b8c32bb4d4eep-12, 0x1.6ee72c1572c75p-12, 0x1.62ab6c94612fep-12, 0x1.56d5bfa593589p-12, 0x1.4b63067eff735p-12, 0x1.405037a3d01a7p-12, 0x1.359a5e6b712bp-12, 0x1.2b3e9a8a916b7p-12, 0x1.213a1f9e5c1a1p-12, 0x1.178a34b9d4c4dp-12, 0x1.0e2c33f53ee5ap-12, 0x1.051d89ffaf706p-12, 0x1.f8b76b64f69e2p-13, 0x1.e7c88f4e5844cp-13, 0x1.d769c39ddf853p-13, 0x1.c7966e18a7d92p-13, 0x1.b84a159d90b03p-13, 0x1.a9806160af9e8p-13, 0x1.9b351829e094ep-13, 0x1.8d641f97962b5p-13, 0x1.80097b64c8dbp-13, 0x1.73214cb33119fp-13, 0x1.66a7d157dfa52p-13, 0x1.5a99632ce5079p-13, 0x1.4ef27764fa89cp-13, 0x1.43af9de254e1p-13, 0x1.38cd809287e7ap-13, 0x1.2e48e2cb43688p-13, 0x1.241ea0abc6e1p-13, 0x1.1a4bae80c00efp-13, 0x1.10cd182ae9daep-13, 0x1.07a0008970d54p-13, 0x1.fd8341ccb5d2dp-14, 0x1.ec5e90ccafba2p-14, 0x1.dbccb6f54e12ep-14, 0x1.cbc8a6ad7fe66p-14, 0x1.bc4d7acfffcb8p-14, 0x1.ad56759f1fd23p-14, 0x1.9edeffc05d781p-14, 0x1.90e2a73aa141bp-14, 0x1.835d1e7ac846dp-14, 0x1.764a3b5cd2554p-14, 0x1.69a5f63a1d26fp-14, 0x1.5d6c68fc56327p-14, 0x1.5199ce3550d7ep-14, 0x1.462a803b9a018p-14, 0x1.3b1af84b806f4p-14, 0x1.3067cdad25673p-14, 0x1.260db4dec1ef9p-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.fd0888fd1797dp-1, -0x1.e61610c103bb7p-1, -0x1.d07248018895p-1, -0x1.bc19e64396ba5p-1, -0x1.a90659eeebe59p-1, -0x1.972f46da3b34dp-1, -0x1.868a420f2b46ep-1, -0x1.770b8ad977b81p-1, -0x1.68a67490dfa93p-1, -0x1.5b4da7e15e932p-1, -0x1.4ef361e9ffab3p-1, -0x1.4389b2773fcb7p-1, -0x1.3902aa6481f6p-1, -0x1.2f507d254d0acp-1, -0x1.26659e985ac53p-1, -0x1.1e34db07c808ap-1, -0x1.16b167d7d6c69p-1, -0x1.0fcef0f0d198p-1, -0x1.0981a3a9f3474p-1, -0x1.03be3338c482cp-1, -0x1.fcf3b7c628a0dp-2, -0x1.f354c7a4470b4p-2, -0x1.ea8c6219ed99ap-2, -0x1.e2882ec26c13bp-2, -0x1.db36fcb40120cp-2, -0x1.d488af04798acp-2, -0x1.ce6e3064b5fb5p-2, -0x1.c8d963827eafep-2, -0x1.c3bd16f08a26cp-2, -0x1.bf0cfd79ebc03p-2, -0x1.babda7eddc2cap-2, -0x1.b6c47d610a507p-2, -0x1.b317b0cf85da7p-2, -0x1.afae35095edc9p-2, -0x1.ac7fb0adfa8ebp-2, -0x1.a984737c69c63p-2, -0x1.a6b56d29010b9p-2, -0x1.a40c251bab443p-2, -0x1.a182b249726c9p-2, -0x1.9f13b2a55a95bp-2, -0x1.9cba42356dbap-2, -0x1.9a71f253c99adp-2, -0x1.9836c1990ed67p-2, -0x1.96051479e6fd7p-2, -0x1.93d9ae619f122p-2, -0x1.91b1ab3941e6p-2, -0x1.8f8a7963327e5p-2, -0x1.8d61d3ffe25cep-2, -0x1.8b35bd2bbccb5p-2, -0x1.890478281ba77p-2, -0x1.86cc83cb68da8p-2, -0x1.848c95a54139cp-2, -0x1.824395dddda09p-2, -0x1.7ff09b67ec11bp-2, -0x1.7d92e8163ced6p-2, -0x1.7b29e48c4a427p-2, -0x1.78b51c665dcc2p-2, -0x1.76343af8d3b6fp-2, -0x1.73a708a959874p-2, -0x1.710d6885b50a5p-2, -0x1.6e6755b0fd498p-2, -0x1.6bb4e08f2a274p-2, -0x1.68f62bf6a58b4p-2, -0x1.662b61afd23bep-2, -0x1.6354d15229a61p-2, -0x1.6072c750a57dbp-2, -0x1.5d859dfbcee41p-2, -0x1.5a8db92a50103p-2, -0x1.578b84ecb59b5p-2, -0x1.547f746378fc1p-2, -0x1.516a00b03c3bbp-2, -0x1.4e4ba7fb5c844p-2, -0x1.4b24ec88a60b1p-2, -0x1.47f653d8a8fbcp-2, -0x1.44c065d66c1aap-2, -0x1.4183ac1265c53p-2, -0x1.3e40b10b9a4d9p-2, -0x1.3af7ff877a0dfp-2, -0x1.37aa21f93da58p-2, -0x1.3457a1f99e772p-2, -0x1.310107cf9a054p-2, -0x1.2da6da09f95b3p-2, -0x1.2a499d2835a2fp-2, -0x1.26e9d3508cab7p-2, -0x1.2387fc1124e5dp-2, -0x1.2024942ad671dp-2, -0x1.1cc01564c4cebp-2, -0x1.195af66824413p-2, -0x1.15f5aaa3164c8p-2, -0x1.1290a23109815p-2, -0x1.0f2c49c6e0dd9p-2, -0x1.0bc90aa1a4543p-2, -0x1.08674a77691dcp-2, -0x1.05076b6afe1f7p-2, -0x1.01a9cc033e066p-2, -0x1.fc9d8e4d57288p-3, -0x1.f5ed683671c5fp-3, -0x1.ef43cd12ea10fp-3, -0x1.e8a15d0409bb5p-3, -0x1.e206b108f5789p-3, -0x1.db745b0e7eb7p-3, -0x1.d4eae601a28efp-3, -0x1.ce6ad5e60a53p-3, -0x1.c7f4a7f1d333dp-3, -0x1.c188d2af173cdp-3, -0x1.bb27c62296b19p-3, -0x1.b4d1ebf5e9a79p-3, -0x1.ae87a7a33ad02p-3, -0x1.a84956a0b4da1p-3, -0x1.a217508ab40cp-3, -0x1.9bf1e74c9f0fbp-3, -0x1.95d967493cae4p-3, -0x1.8fce1783a7dfdp-3, -0x1.89d039c9f03bp-3, -0x1.83e00ae1c15b7p-3, -0x1.7dfdc2b6d10b2p-3, -0x1.78299489ff19cp-3, -0x1.7263af1fdb45bp-3, -0x1.6cac3ced58f39p-3, -0x1.67036441e2e07p-3, -0x1.6169476ec6e36p-3, -0x1.5bde04ec7b0dp-3, -0x1.5661b77ec324ep-3, -0x1.50f47658b67c6p-3, -0x1.4b9655419c617p-3, -0x1.464764bae2ec4p-3, -0x1.4107b227267aep-3, -0x1.3bd747f19c919p-3, -0x1.36b62db509beep-3, -0x1.31a46861509ep-3, -0x1.2ca1fa5eea0bap-3, -0x1.27aee3afd5156p-3, -0x1.22cb220e0d976p-3, -0x1.1df6b107d6f03p-3, -0x1.19318a1a791fcp-3, -0x1.147ba4cc095dap-3, -0x1.0fd4f6c4d4915p-3, -0x1.0b3d73e8c8e9ap-3, -0x1.06b50e70f6527p-3, -0x1.023bb70506ffbp-3, -0x1.fba2b9a8c8d19p-4, -0x1.f2ebdb5d292f3p-4, -0x1.ea52ac34efabfp-4, -0x1.e1d702d812f89p-4, -0x1.d978b3b0fc1bfp-4, -0x1.d13791118ee17p-4, -0x1.c9136b55317f2p-4, -0x1.c10c1e231d813p-4, -0x1.b921606a52741p-4, -0x1.b1530547135dap-4, -0x1.a9a0d6470f384p-4, -0x1.a20a9ba453222p-4, -0x1.9a901c610a163p-4, -0x1.93311e618b87bp-4, -0x1.8bed6684a1ff4p-4, -0x1.84c4b8ba477b2p-4, -0x1.7db6d818dd5fap-4, -0x1.76c386f109d68p-4, -0x1.6fea86e057a4ap-4, -0x1.692b98e2b603bp-4, -0x1.62867d62fc633p-4, -0x1.5bfaf44a88957p-4, -0x1.5588bd1015ab1p-4, -0x1.4f2f96c5e0c5cp-4, -0x1.48ef40272c992p-4, -0x1.42c777a536126p-4, -0x1.3cb7fb73a61d3p-4, -0x1.36c089948681p-4, -0x1.30e0dfe3c464cp-4, -0x1.2b18bc22404ccp-4, -0x1.2567dc006e8eep-4, -0x1.1fcdfd2885f52p-4, -0x1.1a4add483e231p-4, -0x1.14de3a1a1768fp-4, -0x1.0f87d16e2b505p-4, -0x1.0a47613282b7cp-4, -0x1.051ca77af0423p-4, -0x1.000762886c49ap-4, -0x1.f60ea19fe3405p-5, -0x1.ec386201bda53p-5, -0x1.e28b8415b3435p-5, -0x1.d90786467a48fp-5, -0x1.cfabe79424741p-5, -0x1.c678279d38fadp-5, -0x1.bd6bc6a6fdcfcp-5, -0x1.b48645a5017eap-5, -0x1.abc7263ff3b51p-5, -0x1.a32deadbde688p-5, -0x1.9aba169dca27bp-5, -0x1.926b2d70df897p-5, -0x1.8a40b40b12092p-5, -0x1.823a2ff163181p-5, -0x1.7a57277bc84b8p-5, -0x1.729721d8c2baep-5, -0x1.6af9a710ac20dp-5, -0x1.637e4008cc0a8p-5, -0x1.5c2476863515bp-5, -0x1.54ebd53073bd5p-5, -0x1.4dd3e79417263p-5, -0x1.46dc3a2514463p-5, -0x1.40045a41068ffp-5, -0x1.394bd63154d38p-5, -0x1.32b23d2d312cep-5, -0x1.2c371f5b83d68p-5, -0x1.25da0dd4af47cp-5, -0x1.1f9a9aa43996p-5, -0x1.197858ca58479p-5, -0x1.1372dc3d578f5p-5, -0x1.0d89b9eae6ca9p-5, -0x1.07bc87b942843p-5, -0x1.020adc883ecdp-5, -0x1.f8e8a0646a28ep-6, -0x1.edf0f7199da45p-6, -0x1.e32df0d36d003p-6, -0x1.d89ec32e4e4fdp-6, -0x1.ce42a5c0c69eap-6, -0x1.c418d21c1927fp-6, -0x1.ba2083ccc3e47p-6, -0x1.b058f85acad5ep-6, -0x1.a6c16f49cbbaap-6, -0x1.9d592a18e9a5ep-6, -0x1.941f6c4289719p-6, -0x1.8b137b3be5608p-6, -0x1.82349e747e44dp-6, -0x1.79821f55648abp-6, -0x1.70fb49406300cp-6, -0x1.689f698f15ec5p-6, -0x1.606dcf91d5c8cp-6, -0x1.5865cc8e9d19bp-6, -0x1.5086b3bfc7895p-6, -0x1.48cfda52c72cdp-6, -0x1.41409766c1dbcp-6, -0x1.39d8440b1f0c6p-6, -0x1.32963b3dffdf3p-6, -0x1.2b79d9eaa6fbcp-6, -0x1.24827ee7d476bp-6, -0x1.1daf8af60a7ecp-6, -0x1.170060bdc613bp-6, -0x1.107464cda4096p-6, -0x1.0a0afd987d98ap-6, -0x1.03c393736a32bp-6, -0x1.fb3b212778d07p-7, -0x1.ef30c219d095fp-7, -0x1.e366e59cb611cp-7, -0x1.d7dc6b4292c25p-7, -0x1.cc90364cd3627p-7, -0x1.c1812da74145dp-7, -0x1.b6ae3be339ee2p-7, -0x1.ac164f32d9f66p-7, -0x1.a1b85963efb1ep-7, -0x1.97934fdaef344p-7, -0x1.8da62b8db516ap-7, -0x1.83efe8fe2e7fep-7, -0x1.7a6f8834f31ap-7, -0x1.71240cbbb9074p-7, -0x1.680c7d97ae1a6p-7, -0x1.5f27e543a9a67p-7, -0x1.567551aa6af91p-7, -0x1.4df3d4208ea67p-7, -0x1.45a2815e8ecebp-7, -0x1.3d80717a8f752p-7, -0x1.358cbfe22b1f9p-7, -0x1.2dc68b541bb61p-7, -0x1.262cf5d9cf1ebp-7, -0x1.1ebf24c0e7711p-7, -0x1.177c4094aa46ap-7, -0x1.106375175498fp-7, -0x1.0973f13b698f3p-7, -0x1.02ace71ce1c53p-7, -0x1.f81b17f4a87a5p-8, -0x1.eb2a305c13d9fp-8, -0x1.de858e4e0941dp-8, -0x1.d22baec3ed9ebp-8, -0x1.c61b14c45d83bp-8, -0x1.ba524954e55ep-8, -0x1.aecfdb6badd6dp-8, -0x1.a3925fe0fb2b6p-8, -0x1.98987160b5872p-8, -0x1.8de0b05bbcbb7p-8, -0x1.8369c2f94a09ap-8, -0x1.793255082ebe1p-8, -0x1.6f3917effbb69p-8, -0x1.657cc2a22df9fp-8, -0x1.5bfc118b4a23bp-8, -0x1.52b5c683e3d3cp-8, -0x1.49a8a8c1a4468p-8, -0x1.40d384c83a1f3p-8, -0x1.38352c5a5f6fep-8, -0x1.2fcc766abe8ap-8, -0x1.27983f0cd566cp-8, -0x1.1f976765e7227p-8, -0x1.17c8d59ddbbc2p-8, -0x1.102b74d023c64p-8, -0x1.08be34fc9e576p-8, -0x1.01800af87881dp-8, -0x1.f4dfe0be3ebedp-9, -0x1.e719c7064c03ep-9, -0x1.d9abcebe6efdfp-9, -0x1.cc94070e1af7ep-9, -0x1.bfd08830dd38bp-9, -0x1.b35f73586881dp-9, -0x1.a73ef28eb442bp-9, -0x1.9b6d38982d3ecp-9, -0x1.8fe880d5f8c82p-9, -0x1.84af0f286f24fp-9, -0x1.79bf2fd15e39bp-9, -0x1.6f173756e7934p-9, -0x1.64b58266021dep-9, -0x1.5a9875b569128p-9, -0x1.50be7de88f65ap-9, -0x1.47260f72bb2d3p-9, -0x1.3dcda67a378c3p-9, -0x1.34b3c6bbdf8ffp-9, -0x1.2bd6fb6e83558p-9, -0x1.2335d726cab95p-9, -0x1.1acf1a155d8ddp-9, -0x1.12a114220ec4dp-9, -0x1.0aaa97f234fe9p-9, -0x1.02ea547e66c88p-9, -0x1.f6bdff24dc41dp-10, -0x1.e80eab63ffe3ep-10, -0x1.d9c433fbea0ddp-10, -0x1.cbdc2c32bcd47p-10, -0x1.be54341e1273dp-10, -0x1.b129f86e6c8e2p-10, -0x1.a45b323ad4f43p-10, -0x1.97e5a6cd1e4edp-10, -0x1.8bc7276ea7631p-10, -0x1.7ffd913564247p-10, -0x1.7486ccd18a09p-10, -0x1.6960ce5b954f1p-10, -0x1.5e899522df812p-10, -0x1.53ff2b7c96cd4p-10, -0x1.49bfa69377045p-10, -0x1.3fc926378cbb5p-10, -0x1.3619d4aeecbe6p-10, -0x1.2cafe68699adcp-10, -0x1.23899a641b7e8p-10, -0x1.1aa538d78d341p-10, -0x1.1201142e1c50ap-10, -0x1.099b88452044fp-10, -0x1.0172fa5dcac53p-10, -0x1.f30bb1e20b36ep-11, -0x1.e3a53708c16e2p-11, -0x1.d4af84fe1e6cbp-11, -0x1.c627adff22c02p-11, -0x1.b80ad56429915p-11, -0x1.aa562f4e29f63p-11, -0x1.9d07005554d7dp-11, -0x1.901a9d38b1858p-11, -0x1.838e6a8ee3bf3p-11, -0x1.775fdc77da221p-11, -0x1.6b8c764f959b8p-11, -0x1.6011ca62155e9p-11, -0x1.54ed79a052a3fp-11, -0x1.4a1d335626609p-11, -0x1.3f9eb4e15e135p-11, -0x1.356fc969ddaa5p-11, -0x1.2b8e499ab172dp-11, -0x1.21f81b5c4b4c4p-11, -0x1.18ab318fdaaf8p-11, -0x1.0fa58bcb3305cp-11, -0x1.06e536169dcb2p-11, -0x1.fcd0915591396p-12, -0x1.ec59cf6073074p-12, -0x1.dc6285ffc11bap-12, -0x1.cce72bc7fa555p-12, -0x1.bde44db6167e6p-12, -0x1.af568eb55197dp-12, -0x1.a13aa728942eap-12, -0x1.938d64749d599p-12, -0x1.864ba88d0a58cp-12, -0x1.797269828e344p-12, -0x1.6cfeb1139e817p-12, -0x1.60ed9c3eb087p-12, -0x1.553c5ad6c45a1p-12, -0x1.49e82f18e9076p-12, -0x1.3eee6d44b557cp-12, -0x1.344c7b36133fdp-12, -0x1.29ffd00098146p-12, -0x1.2005f38d0a4a9p-12, -0x1.165c7e38930f4p-12, -0x1.0d011875d9dc6p-12, -0x1.03f17a6ed8b44p-12, -0x1.f656d75545f0fp-13, -0x1.e5598564c6c81p-13, -0x1.d4e6c972e9d18p-13, -0x1.c4fa8a8dec99dp-13, -0x1.b590cbc19b75cp-13, -0x1.a6a5ab6f6fa81p-13, -0x1.983562ad8006ep-13, -0x1.8a3c44a3e29b8p-13, -0x1.7cb6bdf0f1df1p-13, -0x1.6fa1540e8ff74p-13, -0x1.62f8a4bb2beb8p-13, -0x1.56b965659686ep-13, -0x1.4ae0629bf0c2ep-13, -0x1.3f6a7f7d3b087p-13, -0x1.3454b52e23ce7p-13, -0x1.299c125066d83p-13, -0x1.1f3dba7c3fe0ap-13, -0x1.1536e5be9522fp-13, -0x1.0b84e01760097p-13, -0x1.022508fca5326p-13, -0x1.f229a5bdb9b0fp-14, -0x1.e0a38560d5ba5p-14, -0x1.cfb2dedf59b2ap-14, -0x1.bf53036625329p-14, -0x1.af7f66708c725p-14, -0x1.a0339ce9ce1cep-14, -0x1.916b5c5446081p-14, -0x1.832279f6ab5c8p-14, -0x1.7554ea0afc621p-14, -0x1.67febef350fcbp-14, -0x1.5b1c28731b86bp-14, -0x1.4ea972ed3f14p-14, -0x1.42a306a52cb02p-14, -0x1.37056705b92e3p-14, -0x1.2bcd31e7fae5fp-14, -0x1.20f71ee67967p-14, -0x1.167ffeab2afcep-14, -0x1.0c64ba46c9128p-14, -0x1.02a2528a5363bp-14, -0x1.f26bbec8e225ep-15, -0x1.e0391e85caa5p-15, -0x1.cea74cedd2537p-15, -0x1.bdb0fd3b5bc2cp-15, -0x1.ad510c18d93f4p-15, -0x1.9d827e7eed054p-15, -0x1.8e40809764183p-15, -0x1.7f8664adabf05p-15, -0x1.714fa21dac595p-15, -0x1.6397d44d84811p-15, -0x1.565ab9acdf72fp-15, -0x1.499432b814a17p-15, -0x1.3d40410752b39p-15, -0x1.315b065b96d4cp-15, -0x1.25e0c3b7c1bc8p-15, -0x1.1acdd87c4c49fp-15, -0x1.101ec18b8eff6p-15, -0x1.05d0186d2c45dp-15, -0x1.f7bd24fc8c23bp-16, -0x1.e48e00474187cp-16, -0x1.d20c98029a7e5p-16, -0x1.c032f46b02805p-16, -0x1.aefb4f360643ap-16, -0x1.9e601220fb321p-16, -0x1.8e5bd5840d23bp-16, -0x1.7ee95ef600b69p-16, -0x1.70039ff13ccbbp-16, -0x1.61a5b4847908fp-16, -0x1.53cae20ebd128p-16, -0x1.466e960796589p-16, -0x1.398c64c2dcd33p-16, -0x1.2d20084755c39p-16, -0x1.21255f29efe1p-16, -0x1.15986b727c95bp-16, -0x1.0a7551843defcp-16, -0x1.ff70ae244a3ecp-17, -0x1.eabbc4305548p-17, -0x1.d6c4efb85362bp-17, -0x1.c38577eb8ceb2p-17, -0x1.b0f6debdd895cp-17, -0x1.9f12df0464b85p-17, -0x1.8dd36ac349998p-17, -0x1.7d32a960c1b79p-17, -0x1.6d2af5f91a093p-17, -0x1.5db6ddc60b551p-17, -0x1.4ed11e75cc735p-17, -0x1.4074a4aaac206p-17, -0x1.329c8a77f95e8p-17, -0x1.254415e749d27p-17, -0x1.1866b796db168p-17, -0x1.0c000949fc8dfp-17, -0x1.000bcca170643p-17, -0x1.e90bd392036cap-18, -0x1.d2d4dc4c4583fp-18, -0x1.bd6b166eb857ap-18, -0x1.a8c72a9b4a4d9p-18, -0x1.94e204e130c8fp-18, -0x1.81b4d274a02a9p-18, -0x1.6f38ff7c73b1ap-18, -0x1.5d6834ff687f4p-18, -0x1.4c3c56cadd8bbp-18, -0x1.3baf818e75ca1p-18, -0x1.2bbc08b903dd5p-18, -0x1.1c5c74d83f81fp-18, -0x1.0d8b819fd89b8p-18, -0x1.fe883846f42cap-19, -0x1.e302c278fcddfp-19, -0x1.c87d379b8d155p-19, -0x1.aeee865a47ec7p-19, -0x1.964df32c16a2ap-19, -0x1.7e93154bc992fp-19, -0x1.67b5d3cdca1fdp-19, -0x1.51ae62c830928p-19, -0x1.3c75409aa6c23p-19, -0x1.28033347478ccp-19, -0x1.145145d24a11fp-19, -0x1.0158c5dd5d2d7p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.3b008b4012edap-1, 0x1.47e5a843bde62p-1, 0x1.51cc0fcf23a9bp-1, 0x1.58e7088437cf8p-1, 0x1.5d6d5599d28c8p-1, 0x1.5f998b56c76d8p-1, 0x1.5fa89fa3baae7p-1, 0x1.5dd6b2dc0aae1p-1, 0x1.5a5e91d7a13cbp-1, 0x1.5579551976997p-1, 0x1.4f5d2ae573fcbp-1, 0x1.483ce364d0457p-1, 0x1.4047e6cf70f16p-1, 0x1.37a9fe8179ba8p-1, 0x1.2e8b36199cee8p-1, 0x1.250fe9c2d251fp-1, 0x1.1b58e0479e36cp-1, 0x1.11836d3e462f2p-1, 0x1.07a99cc724742p-1, 0x1.fbc4c1aeda1ep-2, 0x1.e88381c7d76fcp-2, 0x1.d5b182a707b22p-2, 0x1.c36d8ed6a5017p-2, 0x1.b1d078f5b0eecp-2, 0x1.a0ee5ecc48dbep-2, 0x1.90d7a0ad11eb4p-2, 0x1.81998db562459p-2, 0x1.733ea52fbbaeep-2, 0x1.65ce9812686bp-2, 0x1.594e5155b2e22p-2, 0x1.4dc02e840ca3bp-2, 0x1.4324631bdae6dp-2, 0x1.39796521aba36p-2, 0x1.30bc42c99e424p-2, 0x1.28e8d5a48cab2p-2, 0x1.21f9dccdce624p-2, 0x1.1be9109543ae4p-2, 0x1.16af3dd354bcp-2, 0x1.12446c653e40ep-2, 0x1.0ea00b69cd7cdp-2, 0x1.0bb91b14bffdfp-2, 0x1.09864e95359e9p-2, 0x1.07fe24f7cdfcbp-2, 0x1.0716fb26dd3efp-2, 0x1.06c71a639e4a7p-2, 0x1.0704c6159014cp-2, 0x1.07c64a2292882p-2, 0x1.09020935007e1p-2, 0x1.0aae899fce2dcp-2, 0x1.0cc2803a55b9ap-2, 0x1.0f34d995ea454p-2, 0x1.11fcc23044b62p-2, 0x1.1511ada473d9dp-2, 0x1.186b5c3a33ea1p-2, 0x1.1c01de5da82aep-2, 0x1.1fcd96600e375p-2, 0x1.23c7398e59201p-2, 0x1.27e7d1823b9ddp-2, 0x1.2c28bdba12674p-2, 0x1.3083b4c02575bp-2, 0x1.34f2c41e8af4cp-2, 0x1.39704f03fc6a7p-2, 0x1.3df70c3bdfp-2, 0x1.428094f547fafp-2, 0x1.470a7cebbab88p-2, 0x1.4b8ffc8782e36p-2, 0x1.500d0f90226b1p-2, 0x1.547dec360889ep-2, 0x1.58df0463349c8p-2, 0x1.5d2d08792c8dcp-2, 0x1.6164ea6293a18p-2, 0x1.6583dffc9ee2ap-2, 0x1.6987641fab73dp-2, 0x1.6d6d35e4e3a12p-2, 0x1.7133561ee2538p-2, 0x1.74d8034618a6dp-2, 0x1.7859b44e2e62dp-2, 0x1.7bb712f446043p-2, 0x1.7eeef616fa823p-2, 0x1.82005c93518ebp-2, 0x1.84ea68fbb9d8dp-2, 0x1.87ac5e506a339p-2, 0x1.8a459db4a70fep-2, 0x1.8cb5a4facdb35p-2, 0x1.8efc0dcd2d48dp-2, 0x1.91188d3367d1fp-2, 0x1.930af337ce7f9p-2, 0x1.94d32a79eb1a2p-2, 0x1.967137883912ap-2, 0x1.97e537e97f326p-2, 0x1.992f60cd3fa46p-2, 0x1.9a4ffd695e3f2p-2, 0x1.9b476d17635efp-2, 0x1.9c16214bfa85dp-2, 0x1.9cbc9b85fd253p-2, 0x1.9d3b6b4fd4c1ap-2, 0x1.9d932c67b513p-2, 0x1.9dc4851b83e7ep-2, 0x1.9dd024ddf1b0bp-2, 0x1.9db6c314bf2f2p-2, 0x1.9d791e1c6bcacp-2, 0x1.9d17fa7afa808p-2, 0x1.9c942239aaf4p-2, 0x1.9bee645bece65p-2, 0x1.9b279468a38d1p-2, 0x1.9a4089fa7883p-2, 0x1.993a204cfaec5p-2, 0x1.981535bebda83p-2, 0x1.96d2ab4474b24p-2, 0x1.957363cd7b40cp-2, 0x1.93f8439e3c514p-2, 0x1.92622fa7da339p-2, 0x1.90b20ce56ef69p-2, 0x1.8ee8bfc65caadp-2, 0x1.8d072baaacdfbp-2, 0x1.8b0e32733f82ap-2, 0x1.88feb4248c79ep-2, 0x1.86d98e9880e2fp-2, 0x1.849f9d3b295e7p-2, 0x1.8251b8ce4774p-2, 0x1.7ff0b731343b6p-2, 0x1.7d7d6b2c256fcp-2, 0x1.7af8a43f53978p-2, 0x1.78632e7761f93p-2, 0x1.75bdd24884cc1p-2, 0x1.730954715cd05p-2, 0x1.704675e59e4bap-2, 0x1.6d75f3bfa4e05p-2, 0x1.6a9887375e4e1p-2, 0x1.67aee59ca9a51p-2, 0x1.64b9c0535f531p-2, 0x1.61b9c4cfbd06bp-2, 0x1.5eaf9c9286cddp-2, 0x1.5b9bed24e8dfbp-2, 0x1.587f581496f93p-2, 0x1.555a7af0fc66dp-2, 0x1.522def4a35e58p-2, 0x1.4efa4ab26fb7dp-2, 0x1.4bc01ec1d770fp-2, 0x1.487ff91d046cep-2, 0x1.453a637d60386p-2, 0x1.41efe3bb037bcp-2, 0x1.3ea0fbd767531p-2, 0x1.3b4e2a0880a46p-2, 0x1.37f7e8c3fc01dp-2, 0x1.349eaecaa1208p-2, 0x1.3142ef340eb63p-2, 0x1.2de45a9237776p-2, 0x1.2a84f4cea1178p-2, 0x1.272451d0134bbp-2, 0x1.23c2d5613edaap-2, 0x1.2060dfda10a41p-2, 0x1.1cfece4072104p-2, 0x1.199cfa695d804p-2, 0x1.163bbb19701efp-2, 0x1.12db64243b142p-2, 0x1.0f7c4689ac17cp-2, 0x1.0c1eb09112b17p-2, 0x1.08c2ede163242p-2, 0x1.0569479683214p-2, 0x1.02120453906c7p-2, 0x1.fd7ad0a461ad2p-3, 0x1.f6d76ade361c6p-3, 0x1.f03a56684fc17p-3, 0x1.e9a40dc089882p-3, 0x1.e31506db74e3p-3, 0x1.dc8db32e7a015p-3, 0x1.d60e7fb890419p-3, 0x1.cf97d50a70f0dp-3, 0x1.c92a174f32b6dp-3, 0x1.c2c5a656163b4p-3, 0x1.bc6add9e1df2dp-3, 0x1.b61a14640b03p-3, 0x1.afd39db2f6a6cp-3, 0x1.a997c877cf532p-3, 0x1.a366df97ab89cp-3, 0x1.9d412a08d8d63p-3, 0x1.9726eaee68837p-3, 0x1.911861b5d3ff4p-3, 0x1.8b15ca365bafbp-3, 0x1.851f5cd19eecp-3, 0x1.7f354e94ecae4p-3, 0x1.7957d15ad55b4p-3, 0x1.738713ec827d7p-3, 0x1.6dc34222667ddp-3, 0x1.680c8503de531p-3, 0x1.626302e579809p-3, 0x1.5cc6df859bdf2p-3, 0x1.57383c27535dp-3, 0x1.51b737ab3152fp-3, 0x1.4c43eea62bd63p-3, 0x1.46de7b7671e94p-3, 0x1.4186f65653187p-3, 0x1.3c3d756d3ee6dp-3, 0x1.37020cdf1b61ep-3, 0x1.31d4ceda08d8cp-3, 0x1.2cb5cba2cda55p-3, 0x1.27a511a022549p-3, 0x1.22a2ad6514b54p-3, 0x1.1daea9baace84p-3, 0x1.18c90fa91d73ep-3, 0x1.13f1e6809fc71p-3, 0x1.0f2933e224c15p-3, 0x1.0a6efbc8118bbp-3, 0x1.05c3408f13501p-3, 0x1.012602ff2fa1ep-3, 0x1.f92e84aa3d941p-4, 0x1.f02df897f5086p-4, 0x1.e74a5a4e93f1ep-4, 0x1.de839f7ad427fp-4, 0x1.d5d9bb048bcb4p-4, 0x1.cd4c9d24cfb77p-4, 0x1.c4dc337c83067p-4, 0x1.bc88692b5ab05p-4, 0x1.b45126e719763p-4, 0x1.ac365312f2815p-4, 0x1.a437d1d6ec01bp-4, 0x1.9c5585371794dp-4, 0x1.948f4d2a88862p-4, 0x1.8ce507b1ea026p-4, 0x1.855690ed9e312p-4, 0x1.7de3c3334988ap-4, 0x1.768c7722c242fp-4, 0x1.6f5083ba5312cp-4, 0x1.682fbe6a4a398p-4, 0x1.6129fb27ce7e1p-4, 0x1.5a3f0c7efab71p-4, 0x1.536ec3a43dfa4p-4, 0x1.4cb8f08507a69p-4, 0x1.461d61d7c1665p-4, 0x1.3f9be52b20a83p-4, 0x1.393446f4d74e1p-4, 0x1.32e6529fad979p-4, 0x1.2cb1d2990d066p-4, 0x1.2696905e0b308p-4, 0x1.20945487fb899p-4, 0x1.1aaae6d894a12p-4, 0x1.14da0e45b363bp-4, 0x1.0f219104c60cp-4, 0x1.09813495ea8d3p-4, 0x1.03f8bdcec563cp-4, 0x1.fd0fe1ca3aee8p-5, 0x1.f25d22f283f3ap-5, 0x1.e7d8c5407db1bp-5, 0x1.dd824ddbd3e4dp-5, 0x1.d35940fd8bca7p-5, 0x1.c95d220389b7ap-5, 0x1.bf8d7383ce34fp-5, 0x1.b5e9b75f736b2p-5, 0x1.ac716ed569788p-5, 0x1.a3241a94efecdp-5, 0x1.9a013acfc99a8p-5, 0x1.91084f4c27936p-5, 0x1.8838d77648d9dp-5, 0x1.7f925271c6aecp-5, 0x1.77143f2a8bba7p-5, 0x1.6ebe1c656f065p-5, 0x1.668f68d06ee8fp-5, 0x1.5e87a3128806p-5, 0x1.56a649db2049ap-5, 0x1.4eeadbf10a191p-5, 0x1.4754d84110f0ap-5, 0x1.3fe3bdec19fd8p-5, 0x1.38970c54c9ed3p-5, 0x1.316e432cb9169p-5, 0x1.2a68e2812c249p-5, 0x1.23866ac758a4bp-5, 0x1.1cc65ce82f7ebp-5, 0x1.16283a4bb0d9cp-5, 0x1.0fab84e3ca241p-5, 0x1.094fbf36bffdfp-5, 0x1.03146c692409dp-5, 0x1.f9f2208eb8829p-6, 0x1.edfa5e9d6f2d6p-6, 0x1.e2409d6c3b387p-6, 0x1.d6c3e8ec9eac7p-6, 0x1.cb834ea38c7abp-6, 0x1.c07dddb85ea94p-6, 0x1.b5b2a7030f339p-6, 0x1.ab20bd19b9f64p-6, 0x1.a0c7345d6a75ap-6, 0x1.96a52306422a3p-6, 0x1.8cb9a12efb8b9p-6, 0x1.8303c8dfc9da4p-6, 0x1.7982b618a8a79p-6, 0x1.703586db0f25cp-6, 0x1.671b5b332149bp-6, 0x1.5e3355404dd9fp-6, 0x1.557c993d70a52p-6, 0x1.4cf64d886f047p-6, 0x1.449f9aa95eda6p-6, 0x1.3c77ab592c16cp-6, 0x1.347dac87d2911p-6, 0x1.2cb0cd621d715p-6, 0x1.25103f56fa3b2p-6, 0x1.1d9b361c5ec63p-6, 0x1.1650e7b3c0081p-6, 0x1.0f308c6e22d55p-6, 0x1.08395eefc6996p-6, 0x1.016a9c336464bp-6, 0x1.f587071a26689p-7, 0x1.e886ad598556fp-7, 0x1.dbd2b340b60e6p-7, 0x1.cf69a5ab005ccp-7, 0x1.c34a1635ee563p-7, 0x1.b7729b436051bp-7, 0x1.abe1cffb01dddp-7, 0x1.a096544b021ep-7, 0x1.958ecce838627p-7, 0x1.8ac9e34d9ba3ep-7, 0x1.804645bb2368fp-7, 0x1.7602a73410ac5p-7, 0x1.6bfdbf7cab6e5p-7, 0x1.62364b175fd5fp-7, 0x1.58ab0b41732cp-7, 0x1.4f5b55e64a6f7p-7, 0x1.4644cf5edc43ap-7, 0x1.3d66dcc33e293p-7, 0x1.34c052180ea1p-7, 0x1.2c500804ec88fp-7, 0x1.2414dbce45471p-7, 0x1.1c0daf4ec245bp-7, 0x1.143968f053c6dp-7, 0x1.0c96f3a4e2354p-7, 0x1.05253edea9306p-7, 0x1.fbc67d107d24ep-8, 0x1.ed9fd5f895dd8p-8, 0x1.dfd481f9f0ea7p-8, 0x1.d262835631dcfp-8, 0x1.c547e4fa124d2p-8, 0x1.b882ba6aa6ed2p-8, 0x1.ac111fb2305c1p-8, 0x1.9ff1394c72183p-8, 0x1.94213412a65ccp-8, 0x1.889f452703f15p-8, 0x1.7d69a9dfec6f8p-8, 0x1.727ea7b2bb64ap-8, 0x1.67dc8c1e4854p-8, 0x1.5d81ac9514482p-8, 0x1.536c666737363p-8, 0x1.499b1eac050bp-8, 0x1.400c422b7a6cep-8, 0x1.36be45476dd09p-8, 0x1.2dafa3e493cd6p-8, 0x1.24dee15350c72p-8, 0x1.1c4a88386498p-8, 0x1.13f12a75739b5p-8, 0x1.0bd161116ec9dp-8, 0x1.03e9cc20e2c8bp-8, 0x1.f872255c6057bp-9, 0x1.e97bc54365a9fp-9, 0x1.daede153b79ecp-9, 0x1.ccc5f04680648p-9, 0x1.bf0176014792bp-9, 0x1.b19e036602fbap-9, 0x1.a49936232a4dcp-9, 0x1.97f0b883d5f7ep-9, 0x1.8ba2413fef809p-9, 0x1.7fab934c77426p-9, 0x1.740a7dabe88dap-9, 0x1.68bcdb3ec893ep-9, 0x1.5dc092944e176p-9, 0x1.531395bb4ee9ap-9, 0x1.48b3e2134b3fep-9, 0x1.3e9f801dc2c65p-9, 0x1.34d4834fbf2ecp-9, 0x1.2b5109e3a1bc8p-9, 0x1.22133cab3fa0fp-9, 0x1.19194ee23df47p-9, 0x1.10617e00c581ep-9, 0x1.07ea118e85f1fp-9, 0x1.ff62b5ec26129p-10, 0x1.ef6b6ab12dcefp-10, 0x1.dfeb0ac3cfd5ep-10, 0x1.d0de7239f5cf1p-10, 0x1.c2428f917563ap-10, 0x1.b414635a8f9f3p-10, 0x1.a650ffe33e5bap-10, 0x1.98f588e35f799p-10, 0x1.8bff3329b6053p-10, 0x1.7f6b4449d6aadp-10, 0x1.7337124af0d8dp-10, 0x1.676003578b132p-10, 0x1.5be38d6e21958p-10, 0x1.50bf3612c6c9dp-10, 0x1.45f09201af0f6p-10, 0x1.3b7544e2afb2fp-10, 0x1.314b00fdc9debp-10, 0x1.276f86f0a31a1p-10, 0x1.1de0a564fd5dep-10, 0x1.149c38c84421dp-10, 0x1.0ba02b0405d98p-10, 0x1.02ea73377e065p-10, 0x1.f4f22ae44f132p-11, 0x1.e49444de96c5ap-11, 0x1.d4b76ea53e73dp-11, 0x1.c557facbcf4eap-11, 0x1.b67253af47f2ap-11, 0x1.a802faf57de9dp-11, 0x1.9a06890e8c4c8p-11, 0x1.8c79acb84f804p-11, 0x1.7f592a83ecf5cp-11, 0x1.72a1dc5d4c528p-11, 0x1.6650b114b6b81p-11, 0x1.5a62abea52cp-11, 0x1.4ed4e41baa6f6p-11, 0x1.43a484732510cp-11, 0x1.38cecad96e6c4p-11, 0x1.2e5107e8cc457p-11, 0x1.24289e8253074p-11, 0x1.1a530364fa864p-11, 0x1.10cdbcc699d29p-11, 0x1.079661ee9856ep-11, 0x1.fd5535a505c1cp-12, 0x1.ec103f68bac9p-12, 0x1.db59718559f2ep-12, 0x1.cb2c7b747a731p-12, 0x1.bb852b1335651p-12, 0x1.ac5f6bec392c2p-12, 0x1.9db74685826c1p-12, 0x1.8f88dfb0e43b8p-12, 0x1.81d077dffb63p-12, 0x1.748a6a7b21ec7p-12, 0x1.67b32d3b7e08p-12, 0x1.5b474f8819d11p-12, 0x1.4f4379d5ed6c4p-12, 0x1.43a46d0ad27eep-12, 0x1.386701e3704e9p-12, 0x1.2d88285bf6339p-12, 0x1.2304e71ba3eb4p-12, 0x1.18da5ae32f8d5p-12, 0x1.0f05b5fdd7262p-12, 0x1.05843fb538895p-12, 0x1.f8a6a78fc498dp-13, 0x1.e6e0c3c4ef43cp-13, 0x1.d5b1da37450dfp-13, 0x1.c51516e50835ep-13, 0x1.b505ca9fa303fp-13, 0x1.a57f6a12efe63p-13, 0x1.967d8cd1e659fp-13, 0x1.87fbec67de5efp-13, 0x1.79f6636f49d63p-13, 0x1.6c68ecad6bfeap-13, 0x1.5f4fa232c8d09p-13, 0x1.52a6bc8099ac5p-13, 0x1.466a91b32ff16p-13, 0x1.3a9794b118755p-13, 0x1.2f2a545f070e8p-13, 0x1.241f7ad88217bp-13, 0x1.1973ccad3b024p-13, 0x1.0f242822efef5p-13, 0x1.052d847be4b9cp-13, 0x1.f719e2840580ap-14, 0x1.e47f2b2c51167p-14, 0x1.d2855f07ef53fp-14, 0x1.c12726b3d3aeep-14, 0x1.b05f560b5c96cp-14, 0x1.a028eae9074d7p-14, 0x1.907f0befafc76p-14, 0x1.815d075b96f4ep-14, 0x1.72be51db5716ap-14, 0x1.649e8570753a4p-14, 0x1.56f96057a325ep-14, 0x1.49cac3f8054dp-14, 0x1.3d0eb3da3546p-14, 0x1.30c154a5d1355p-14, 0x1.24deeb262960ep-14, 0x1.1963db558eb89p-14, 0x1.0e4ca76f4844bp-14, 0x1.0395ef07d39c4p-14, 0x1.f278dc56ef2d2p-15, 0x1.de79f90549a1ep-15, 0x1.cb2918f9ae8c6p-15, 0x1.b880550115d69p-15, 0x1.a679f842d6384p-15, 0x1.95107eb74b401p-15, 0x1.843e93a8bf4d2p-15, 0x1.73ff10406a3e9p-15, 0x1.644cfa1b7ec9ap-15, 0x1.552381eba6ca1p-15, 0x1.467e02204821bp-15, 0x1.3857fd996d903p-15, 0x1.2aad1e63e8df9p-15, 0x1.1d79347e21e08p-15, 0x1.10b834a5e7f79p-15, 0x1.0466372e0fa8cp-15, 0x1.f0feedba8bba2p-16, 0x1.da009fa8a181ep-16, 0x1.c3ca7cf71e149p-16, 0x1.ae55bcf3a7c1cp-16, 0x1.999bd361fbbd4p-16, 0x1.85966e855cba4p-16, 0x1.723f7537dc33bp-16, 0x1.5f91050f50fbbp-16, 0x1.4d8570901502ep-16, 0x1.3c173d6c9b1d3p-16, 0x1.2b4122d24a4ap-16, 0x1.1afe07c2d62fp-16, 0x1.0b490178e6d88p-16, 0x1.f83aa3b42bb13p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.2ea23138a5c49p+0, -0x1.2b58cf843300ap+0, -0x1.27d6952307204p+0, -0x1.240ae3b8e9494p+0, -0x1.1fec1843bd402p+0, -0x1.1b76f8fc4268bp+0, -0x1.16ad40aab633fp+0, -0x1.1193fd5e18da7p+0, -0x1.0c32c98ef9f1fp+0, -0x1.06931e2e12fa2p+0, -0x1.00bf799da7d29p+0, -0x1.f585b293951bap-1, -0x1.e950c360d0d3bp-1, -0x1.dcf60c5a0c047p-1, -0x1.d08a8eef99d06p-1, -0x1.c42215d96345p-1, -0x1.b7cef9377e1a8p-1, -0x1.aba1f5f999dcdp-1, -0x1.9faa19091fdd2p-1, -0x1.93f4b5efeeba6p-1, -0x1.888d6a749d1bp-1, -0x1.7d7df6803e81fp-1, -0x1.72cf368f42eb5p-1, -0x1.6887e9c0757a9p-1, -0x1.5ead5e5f245bbp-1, -0x1.5543a3ac66152p-1, -0x1.4c4db52e711c5p-1, -0x1.43cd899f33a7fp-1, -0x1.3bc4164ef7cd6p-1, -0x1.34315a65dbea9p-1, -0x1.2d14795eb4282p-1, -0x1.266bdedc3f95fp-1, -0x1.203560c29df04p-1, -0x1.1a6e580ce2bcfp-1, -0x1.1513b01a97e1ap-1, -0x1.1021f16c373c8p-1, -0x1.0b954d55c2366p-1, -0x1.0769ad2e90c92p-1, -0x1.039ac3df9390dp-1, -0x1.00241ec8f6281p-1, -0x1.fa0266f09eb7ep-2, -0x1.f45ad3225ea6fp-2, -0x1.ef4843f3a8f1ap-2, -0x1.eac179d8b90c7p-2, -0x1.e6bd405242a3fp-2, -0x1.e3327b798fa97p-2, -0x1.e01835f4f6587p-2, -0x1.dd65ad88d7b2p-2, -0x1.db125ca60bf35p-2, -0x1.d91600a51c1dp-2, -0x1.d7689dc3d6825p-2, -0x1.d602826172a8bp-2, -0x1.d4dc4a3e6e362p-2, -0x1.d3eee18977065p-2, -0x1.d333872533ef3p-2, -0x1.d2a3cdf29b454p-2, -0x1.d2399d711c86ep-2, -0x1.d1ef3218e8181p-2, -0x1.d1bf1d6d4b035p-2, -0x1.d1a4455fd5b08p-2, -0x1.d199e2aa4287cp-2, -0x1.d19b7e4040c59p-2, -0x1.d1a4ee75d0ce6p-2, -0x1.d1b22cdcf3d4dp-2, -0x1.d1bfa1ce60085p-2, -0x1.d1ca3a5c2f039p-2, -0x1.d1cef6bdce9e6p-2, -0x1.d1cb14d99ddaap-2, -0x1.d1bc0d7a9d97ap-2, -0x1.d19f92233892bp-2, -0x1.d1738b4d4e898p-2, -0x1.d13616dd5bfe6p-2, -0x1.d0e58690b1fbcp-2, -0x1.d0805e3ace489p-2, -0x1.d00551b7b9a7ep-2, -0x1.cf73428bdc8f4p-2, -0x1.cec93d3a5cf0cp-2, -0x1.ce067667829b1p-2, -0x1.cd2a47e41f043p-2, -0x1.cc342dc06b263p-2, -0x1.cb23c3807d4c9p-2, -0x1.c9f8c1844e4cdp-2, -0x1.c8b2faabca5afp-2, -0x1.c7525a37b5986p-2, -0x1.c5d6e1e330271p-2, -0x1.c440a82f5f425p-2, -0x1.c28fd6d9c4682p-2, -0x1.c0c4a97529c76p-2, -0x1.bedf6c1c66a8fp-2, -0x1.bce07a36645dcp-2, -0x1.bac83d43f90e7p-2, -0x1.b8972bb2c9d9ep-2, -0x1.b64dc7b387e41p-2, -0x1.b3ec9e1491183p-2, -0x1.b1744523698a3p-2, -0x1.aee55b9793195p-2, -0x1.ac40878863d28p-2, -0x1.a986756e99824p-2, -0x1.a6b7d73208948p-2, -0x1.a3d563440f94cp-2, -0x1.a0dfd3c81c3ep-2, -0x1.9dd7e5cbf5f2ap-2, -0x1.9abe5891347ep-2, -0x1.9793ece847d68p-2, -0x1.9459649c0f973p-2, -0x1.910f81eb9681cp-2, -0x1.8db7070ed43a5p-2, -0x1.8a50b5c35f599p-2, -0x1.86dd4edeefcb8p-2, -0x1.835d91e703511p-2, -0x1.7fd23cae676a9p-2, -0x1.7c3c0afa6a969p-2, -0x1.789bb631c4a92p-2, -0x1.74f1f516a5078p-2, -0x1.713f7b8c3cfcp-2, -0x1.6d84fa66bf918p-2, -0x1.69c31f43ae923p-2, -0x1.65fa9467c1491p-2, -0x1.622c009fbf4a6p-2, -0x1.5e580722704f3p-2, -0x1.5a7f4772c7e16p-2, -0x1.56a25d428e5fcp-2, -0x1.52c1e056b26bap-2, -0x1.4ede646ec7189p-2, -0x1.4af879313ea6ap-2, -0x1.4710aa1d6cbdcp-2, -0x1.43277e83c7c9dp-2, -0x1.3f3d798418fc7p-2, -0x1.3b531a10d1855p-2, -0x1.3768daf6590fap-2, -0x1.337f32e523d9ep-2, -0x1.2f96947d7df7fp-2, -0x1.2baf6e5c4ce03p-2, -0x1.27ca2b2854e8ap-2, -0x1.23e7319fe29afp-2, -0x1.2006e4a6dd24ep-2, -0x1.1c29a35567483p-2, -0x1.184fc907276a6p-2, -0x1.1479ad6b3c0c1p-2, -0x1.10a7a494c86c6p-2, -0x1.0cd9ff0bf2341p-2, -0x1.091109df2973ep-2, -0x1.054d0eb486309p-2, -0x1.018e53db307c6p-2, -0x1.fbaa38b995883p-3, -0x1.f443501df5c97p-3, -0x1.ece8674a66efdp-3, -0x1.e599420d17d78p-3, -0x1.de57c889d3ffp-3, -0x1.d7239b43046b5p-3, -0x1.cffd1aba028e1p-3, -0x1.c8e4a1db6edd3p-3, -0x1.c1da863935071p-3, -0x1.badf1843f475bp-3, -0x1.b3f2a382f0587p-3, -0x1.ad156ec99e1cep-3, -0x1.a647bc6a242b9p-3, -0x1.9f89ca6454cdcp-3, -0x1.98dbd290d5312p-3, -0x1.923e0ac84b97p-3, -0x1.8bb0a506a646fp-3, -0x1.8533cf8aae4a1p-3, -0x1.7ec7b4f22eef6p-3, -0x1.786c7c532d3ffp-3, -0x1.7222495299d09p-3, -0x1.6be93c3918a24p-3, -0x1.65c172065cda6p-3, -0x1.5fab0483aebbcp-3, -0x1.59a60a561fd27p-3, -0x1.53b29710d5fdbp-3, -0x1.4dd0bb47ded14p-3, -0x1.480084a3cf084p-3, -0x1.4241fdf669d9ep-3, -0x1.3c952f506e188p-3, -0x1.36fa1e18891aep-3, -0x1.3170cd2373d5p-3, -0x1.2bf93ccd03982p-3, -0x1.26936b1212543p-3, -0x1.213f53aafd42p-3, -0x1.1bfcf02679c26p-3, -0x1.16cc3804776ddp-3, -0x1.11ad20d0d70b2p-3, -0x1.0c9f9e3daac65p-3, -0x1.07a3a23cc91f8p-3, -0x1.02b91d187eaafp-3, -0x1.fbbffb1668d69p-4, -0x1.f23061abc9e38p-4, -0x1.e8c345aaad302p-4, -0x1.df787c2bef497p-4, -0x1.d64fd7ccda204p-4, -0x1.cd4928d1963d5p-4, -0x1.c4643d45110c1p-4, -0x1.bba0e1167624ep-4, -0x1.b2fede3467908p-4, -0x1.aa7dfca63b648p-4, -0x1.a21e02a35c9fap-4, -0x1.99deb4a923b83p-4, -0x1.91bfd58f5a3acp-4, -0x1.89c1269ba1c46p-4, -0x1.81e26794053e1p-4, -0x1.7a2356d0d4b86p-4, -0x1.7283b14e05c7cp-4, -0x1.6b0332bc3aaf1p-4, -0x1.63a1959191129p-4, -0x1.5c5e931a4f3cep-4, -0x1.5539e38983d93p-4, -0x1.4e333e099f2a8p-4, -0x1.474a58cd0f13dp-4, -0x1.407ee91eda6bep-4, -0x1.39d0a3733709fp-4, -0x1.333f3b7813af6p-4, -0x1.2cca642587062p-4, -0x1.2671cfce1a356p-4, -0x1.2035302edbb12p-4, -0x1.1a14367f2fb82p-4, -0x1.140e93804bab5p-4, -0x1.0e23f78c51856p-4, -0x1.085412a4fd8bbp-4, -0x1.029e9481dbaa9p-4, -0x1.fa06593bf6ad8p-5, -0x1.ef03148a3bd29p-5, -0x1.e432b940b0d5cp-5, -0x1.d994a5844e1b3p-5, -0x1.cf283763e7792p-5, -0x1.c4ecccee1fddep-5, -0x1.bae1c44646a69p-5, -0x1.b1067bb82babfp-5, -0x1.a75a51caefffep-5, -0x1.9ddca552def82p-5, -0x1.948cd5825c8b8p-5, -0x1.8b6a41f9f3e8dp-5, -0x1.82744ad795692p-5, -0x1.79aa50c50d5dbp-5, -0x1.710bb505c441ep-5, -0x1.6897d983cd3f8p-5, -0x1.604e20dc592eap-5, -0x1.582dee6b8e12p-5, -0x1.5036a657d60f5p-5, -0x1.4867ad9ca7a63p-5, -0x1.40c06a14d7545p-5, -0x1.3940428473b66p-5, -0x1.31e69ea23982ep-5, -0x1.2ab2e7209f061p-5, -0x1.23a485b681527p-5, -0x1.1cbae5277704ap-5, -0x1.15f5714bc78cdp-5, -0x1.0f539718134d9p-5, -0x1.08d4c4a4a3c54p-5, -0x1.027869346f5d4p-5, -0x1.f87bea7795c8ep-6, -0x1.ec49b4cda19a1p-6, -0x1.e059173eec296p-6, -0x1.d4a8fa26acb0fp-6, -0x1.c93848725eabdp-6, -0x1.be05efac267a6p-6, -0x1.b310e004964a3p-6, -0x1.a8580c5bddcf2p-6, -0x1.9dda6a4a6365bp-6, -0x1.9396f228c0496p-6, -0x1.898c9f172b212p-6, -0x1.7fba6f044bf4fp-6, -0x1.761f62b37af52p-6, -0x1.6cba7dc26d978p-6, -0x1.638ac6ae5643dp-6, -0x1.5a8f46d8730a8p-6, -0x1.51c70a8a148bap-6, -0x1.493120f81d0ep-6, -0x1.40cc9c45f5aa2p-6, -0x1.3898918809042p-6, -0x1.309418c5bd3f1p-6, -0x1.28be4cfaf37fcp-6, -0x1.21164c190db21p-6, -0x1.199b37078b75p-6, -0x1.124c31a42be1dp-6, -0x1.0b2862c2b26fcp-6, -0x1.042ef42c38708p-6, -0x1.fabe253c4e94fp-7, -0x1.ed6fdb919ef5dp-7, -0x1.e071709b5214fp-7, -0x1.d3c14f7a73de5p-7, -0x1.c75de92963ae1p-7, -0x1.bb45b4766a0cdp-7, -0x1.af772dfdb7d52p-7, -0x1.a3f0d822e10e3p-7, -0x1.98b13b09d64b7p-7, -0x1.8db6e48f55892p-7, -0x1.83006840f011ep-7, -0x1.788c5f549a2d1p-7, -0x1.6e59689fcfd6dp-7, -0x1.6466288e5dfd3p-7, -0x1.5ab14918bf5fbp-7, -0x1.513979ba23948p-7, -0x1.47fd6f66273e5p-7, -0x1.3efbe47e31c33p-7, -0x1.363398c688901p-7, -0x1.2da3515b18e61p-7, -0x1.2549d8a3fc203p-7, -0x1.1d25fe49b9f92p-7, -0x1.153697294a7e6p-7, -0x1.0d7a7d47de2cap-7, -0x1.05f08fc66d541p-7, -0x1.fd2f65aa232b8p-8, -0x1.eedd9f4c5c3d5p-8, -0x1.e0e9a8c2d2537p-8, -0x1.d351682cf378ep-8, -0x1.c612cd5f92f51p-8, -0x1.b92bd1c9ec7ecp-8, -0x1.ac9a785a55852p-8, -0x1.a05ccd62b6763p-8, -0x1.9470e67cc4afep-8, -0x1.88d4e26e08eebp-8, -0x1.7d86e90bb4323p-8, -0x1.72852b1e5009fp-8, -0x1.67cde24541496p-8, -0x1.5d5f50da359fp-8, -0x1.53384ded56354p-8, -0x1.49560e80021b4p-8, -0x1.3fb78046cd5c4p-8, -0x1.365b076e9fbdep-8, -0x1.2d3f104e91bcfp-8, -0x1.24620f4aeee6dp-8, -0x1.1bc280b847ae5p-8, -0x1.135ee8be82afdp-8, -0x1.0b35d33bfce1p-8, -0x1.0345d3a8c0d5p-8, -0x1.f71b09f38fb5ap-9, -0x1.e8171308b0c2ap-9, -0x1.d97d15c2fb61cp-9, -0x1.cb4a73a33313ep-9, -0x1.bd7c9c4032769p-9, -0x1.b0110d0e8ffb4p-9, -0x1.a305512898c19p-9, -0x1.965701168b0d7p-9, -0x1.8a03c29734624p-9, -0x1.7e094868d20b8p-9, -0x1.72655212623c3p-9, -0x1.6715abad436ecp-9, -0x1.5c182daf406aap-9, -0x1.516abcb5010fp-9, -0x1.470b494ce4629p-9, -0x1.3cf7cfc246b9fp-9, -0x1.332e57e940562p-9, -0x1.29acf4eac8381p-9, -0x1.2071c51164d0fp-9, -0x1.177af1964056bp-9, -0x1.0ec6ae6ec554bp-9, -0x1.06533a1ab9563p-9, -0x1.fc3dbae5aa34ep-10, -0x1.ec4fd6efc3475p-10, -0x1.dcd98244b9e4bp-10, -0x1.cdd78a6546168p-10, -0x1.bf46d00342f38p-10, -0x1.b12446a42dfe2p-10, -0x1.a36cf444b5dap-10, -0x1.961df0fd76bf7p-10, -0x1.893466a8bd44cp-10, -0x1.7cad90897b65dp-10, -0x1.7086baf359463p-10, -0x1.64bd42f3e3ed3p-10, -0x1.594e95fced20fp-10, -0x1.4e3831900a5bep-10, -0x1.4377a2eb2f7c4p-10, -0x1.390a86b68db63p-10, -0x1.2eee88b379fb8p-10, -0x1.2521636c9685bp-10, -0x1.1ba0dfe713992p-10, -0x1.126ad5551ce58p-10, -0x1.097d28c975c49p-10, -0x1.00d5ccec3068fp-10, -0x1.f0e5836135cc7p-11, -0x1.e0a4281887c9dp-11, -0x1.d0e3bb5e5f911p-11, -0x1.c1a0897a50317p-11, -0x1.b2d6f71070699p-11, -0x1.a4838098873b7p-11, -0x1.96a2b9d784391p-11, -0x1.89314d5b28bcap-11, -0x1.7c2bfbf7f6525p-11, -0x1.6f8f9c495b1ccp-11, -0x1.63591a33fce99p-11, -0x1.5785766a45db8p-11, -0x1.4c11c5f3164b6p-11, -0x1.40fb31b2a6023p-11, -0x1.363ef5f56e109p-11, -0x1.2bda61fd6e5bbp-11, -0x1.21cad7914b241p-11, -0x1.180dca8da84ecp-11, -0x1.0ea0c07891205p-11, -0x1.05815016eca2cp-11, -0x1.f95a4207c6f03p-12, -0x1.e843d694fc824p-12, -0x1.d7baee020cc01p-12, -0x1.c7bb37cd056ddp-12, -0x1.b840820446af3p-12, -0x1.a946b8891c609p-12, -0x1.9ac9e456346cbp-12, -0x1.8cc62ac9db9bap-12, -0x1.7f37ccf3e9e34p-12, -0x1.721b26e75a9d7p-12, -0x1.656caf0f7ffc7p-12, -0x1.5928f588bde9fp-12, -0x1.4d4ca37ce6e5bp-12, -0x1.41d47a82cde4bp-12, -0x1.36bd54019942ap-12, -0x1.2c0420971a10ap-12, -0x1.21a5e7819a271p-12, -0x1.179fc60ce66ccp-12, -0x1.0deeef027474bp-12, -0x1.0490aa1cc2f83p-12, -0x1.f704a6fb4e86cp-13, -0x1.e582b64f7fc1p-13, -0x1.d49688f5bb562p-13, -0x1.c43b4b666b9cfp-13, -0x1.b46c4ed6fb20dp-13, -0x1.a5250843ab904p-13, -0x1.96610f7ed6e0cp-13, -0x1.881c1e458509bp-13, -0x1.7a520f596f8efp-13, -0x1.6cfedd9f97fb3p-13, -0x1.601ea34512522p-13, -0x1.53ad98e761bdbp-13, -0x1.47a814c2b0081p-13, -0x1.3c0a89e443598p-13, -0x1.30d18761c6da2p-13, -0x1.25f9b7951ff49p-13, -0x1.1b7fdf5cb8cf7p-13, -0x1.1160dd60185abp-13, -0x1.0799a958f32e7p-13, -0x1.fc4ea6c097af2p-14, -0x1.ea0e067f70616p-14, -0x1.d86bef8dd4cefp-14, -0x1.c7630c49d953ap-14, -0x1.b6ee328aefee5p-14, -0x1.a708626443421p-14, -0x1.97acc4ee25d74p-14, -0x1.88d6ab17fe9e2p-14, -0x1.7a818c80413dap-14, -0x1.6ca906546952bp-14, -0x1.5f48da37ad57p-14, -0x1.525ced30f4138p-14, -0x1.45e1469edf99p-14, -0x1.39d20f335522dp-14, -0x1.2e2b8ff56efbep-14, -0x1.22ea3149a3fbcp-14, -0x1.180a7a0050bdp-14, -0x1.0d890e6ad2788p-14, -0x1.0362af7672686p-14, -0x1.f328739ae80c5p-15, -0x1.e03549fc873c4p-15, -0x1.cde6054ffed79p-15, -0x1.bc34fb5a11cfcp-15, -0x1.ab1cb2d5cb45ap-15, -0x1.9a97e1f09f87cp-15, -0x1.8aa16ccf1cb35p-15, -0x1.7b34641db2908p-15, -0x1.6c4c03aaacea7p-15, -0x1.5de3b10b926f1p-15, -0x1.4ff6fa4ab5e03p-15, -0x1.4281949f77a77p-15, -0x1.357f5b2f99d51p-15, -0x1.28ec4dd9752d5p-15, -0x1.1cc4900766749p-15, -0x1.1104678c0617ap-15, -0x1.05a83b85eb54cp-15, -0x1.f559269ae7d8fp-16, -0x1.e01c2ad151d36p-16, -0x1.cb930d102f20fp-16, -0x1.b7b79116ea6eap-16, -0x1.a483b31907c4fp-16, -0x1.91f1a5e50c4a2p-16, -0x1.7ffbd117f5f22p-16, -0x1.6e9ccf5d62193p-16, -0x1.5dcf6cc0c0a57p-16, -0x1.4d8ea5068d856p-16, -0x1.3dd5a215fa582p-16, -0x1.2e9fba6d1ce07p-16, -0x1.1fe86f9f2e3f8p-16, -0x1.11ab6ce3acebap-16, -0x1.03e485aabba4ep-16, -0x1.ed1f688097862p-17, -0x1.d35230efdd1fap-17, -0x1.ba59ecc7fd1a6p-17, -0x1.a22f6a2c494cp-17, -0x1.8acbbad3a86a8p-17, -0x1.742831b2d437bp-17, -0x1.5e3e60b194cd7p-17, -0x1.4908167cc1c93p-17, -0x1.347f5c610090fp-17, -0x1.209e743797b83p-17, -0x1.0d5fd669beee2p-17, -0x1.f57c5ff9cfa8ap-18, -0x1.d168c16309bf2p-18, -0x1.ae7af262163aap-18, -0x1.8ca97294d72d5p-18, -0x1.6beb1c792afc3p-18, -0x1.4c37221e954f2p-18, -0x1.2d8509f073b6ep-18, -0x1.0fccaba232048p-18, -0x1.e60c5a50669d3p-19, -0x1.ae53ffaba3b2cp-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.aa393fd4d99d9p-1, 0x1.a5133d067945fp-1, 0x1.9fefaccc07286p-1, 0x1.9ad0272b6acd6p-1, 0x1.95b5c2e09852bp-1, 0x1.90a12393d793ap-1, 0x1.8b9287c153403p-1, 0x1.8689d61f01e01p-1, 0x1.8186aa5b1def1p-1, 0x1.7c8861186a74dp-1, 0x1.778e2316a6c73p-1, 0x1.7296ef7d1303ap-1, 0x1.6da1a54301dd8p-1, 0x1.68ad0bb7491a8p-1, 0x1.63b7da2b2eee7p-1, 0x1.5ec0bec85ebdp-1, 0x1.59c6649b8e0dfp-1, 0x1.54c778df04598p-1, 0x1.4fc2af9135a6ep-1, 0x1.4ab6c7642dcb8p-1, 0x1.45a28d12c938cp-1, 0x1.4084de28a3cf5p-1, 0x1.3b5cab496b7cp-1, 0x1.3628fa03cfd2cp-1, 0x1.30e8e63bc0d8fp-1, 0x1.2b9ba3370ea7bp-1, 0x1.26407c56cbddp-1, 0x1.20d6d5872126cp-1, 0x1.1b5e2b6e862c1p-1, 0x1.15d613649e3b1p-1, 0x1.103e3b3843e9fp-1, 0x1.0a9668cba0e93p-1, 0x1.04de798c8c895p-1, 0x1.fe2cc39d9b265p-2, 0x1.f27c581a9813bp-2, 0x1.e6abf02d69c26p-2, 0x1.dabbf4532f53cp-2, 0x1.ceacf4071bd43p-2, 0x1.c27fa3cd29df3p-2, 0x1.b634db2ec44dp-2, 0x1.a9cd92ae3e5cdp-2, 0x1.9d4ae1b561257p-2, 0x1.90adfc82b8d9bp-2, 0x1.83f83218d92e9p-2, 0x1.772aea3251fc5p-2, 0x1.6a47a33cab8d4p-2, 0x1.5d4ff05c67e6ap-2, 0x1.5045777bb0921p-2, 0x1.4329ef6517cb7p-2, 0x1.35ff1deb8aeffp-2, 0x1.28c6d62065719p-2, 0x1.1b82f6985c245p-2, 0x1.0e3567bfd0b65p-2, 0x1.00e01a3ef9f56p-2, 0x1.e70a0adc43ef2p-3, 0x1.cc4c4bb464e8ap-3, 0x1.b18af7b32f4ffp-3, 0x1.96ca146303595p-3, 0x1.7c0da996d2e9ap-3, 0x1.6159bef57b63dp-3, 0x1.46b259a506a26p-3, 0x1.2c1b7a1558d9p-3, 0x1.119919e9cf58p-3, 0x1.ee5e540255a7ap-4, 0x1.b9c321363fa3dp-4, 0x1.85684f35d234p-4, 0x1.515575cc21f34p-4, 0x1.1d920dbd849fep-4, 0x1.d44adbe34895p-5, 0x1.6e2d91a2fad52p-5, 0x1.08da53af5d4cdp-5, 0x1.48bdcd4611226p-6, 0x1.0322e2792dd3dp-7, -0x1.0ed913eb55a3fp-8, -0x1.06ffe8f46ed4p-6, -0x1.c832cfcb72286p-6, -0x1.439b8ad763d1cp-5, -0x1.a1fad168559e7p-5, -0x1.ff2c17dfac7a1p-5, -0x1.2d92524b35989p-4, -0x1.5aed14cae9c7cp-4, -0x1.87a162f9950c9p-4, -0x1.b3aa8375d8853p-4, -0x1.df03f461d64fbp-4, -0x1.04d4b5dac8bb9p-3, -0x1.19cb6bbac34c2p-3, -0x1.2e642ee761de9p-3, -0x1.429d2e8ceca81p-3, -0x1.5674b5e2de038p-3, -0x1.69e92c15fd92ep-3, -0x1.7cf91427b085fp-3, -0x1.8fa30cc30ca4ep-3, -0x1.a1e5d0084ff77p-3, -0x1.b3c0334f374cfp-3, -0x1.c53126e0c3e6fp-3, -0x1.d637b5a8ee0e2p-3, -0x1.e6d304e0d1503p-3, -0x1.f70253b1bb10bp-3, -0x1.03627d68d486ap-2, -0x1.0b0d360ccd9c6p-2, -0x1.1281190b1999p-2, -0x1.19bdf7c987a53p-2, -0x1.20c3af90a401fp-2, -0x1.2792294cbc5b9p-2, -0x1.2e29594cda7fbp-2, -0x1.34893effe487dp-2, -0x1.3ab1e4b0165bfp-2, -0x1.40a35f3cf90fcp-2, -0x1.465dcdd4080a3p-2, -0x1.4be159a82bfc4p-2, -0x1.512e35a838f57p-2, -0x1.56449e3487c52p-2, -0x1.5b24d8d3e2f4p-2, -0x1.5fcf33e7da40ep-2, -0x1.64440660a7478p-2, -0x1.6883af70c28d8p-2, -0x1.6c8e9640458a9p-2, -0x1.706529a03b898p-2, -0x1.7407dfbdfa741p-2, -0x1.777735d69ecdep-2, -0x1.7ab3afeac9a84p-2, -0x1.7dbdd872b1b4cp-2, -0x1.80964012a40e4p-2, -0x1.833d7d5009d42p-2, -0x1.85b42c470894bp-2, -0x1.87faee60cc0b3p-2, -0x1.8a126a0a95c73p-2, -0x1.8bfb4a6d9a376p-2, -0x1.8db63f27c2d7fp-2, -0x1.8f43fc0560122p-2, -0x1.90a538bbdf79bp-2, -0x1.91dab0a58d708p-2, -0x1.92e5227e7124fp-2, -0x1.93c5502251dfap-2, -0x1.947bfe4bea761p-2, -0x1.9509f4555c099p-2, -0x1.956ffbf9dec1p-2, -0x1.95aee118c67a8p-2, -0x1.95c77179d46b9p-2, -0x1.95ba7c92e747fp-2, -0x1.9588d34f09ee2p-2, -0x1.953347d6e9d6ep-2, -0x1.94baad5ab3141p-2, -0x1.941fd7dd5ea0cp-2, -0x1.93639c016e2afp-2, -0x1.9286ced71bf11p-2, -0x1.918a45ac01c68p-2, -0x1.906ed5dc31f8p-2, -0x1.8f3554a4cd7fep-2, -0x1.8dde96f80baa3p-2, -0x1.8c6b7152bc63fp-2, -0x1.8adcb7933ff03p-2, -0x1.89333cd1f4e28p-2, -0x1.876fd33b1718fp-2, -0x1.85934bea11e77p-2, -0x1.839e76c64180ap-2, -0x1.819222611e532p-2, -0x1.7f6f1bd5d42p-2, -0x1.7d362eaa3c6cbp-2, -0x1.7ae824b13a1ffp-2, -0x1.7885c5ee73332p-2, -0x1.760fd87b6484fp-2, -0x1.7387206dc68f7p-2, -0x1.70ec5fbf43021p-2, -0x1.6e40563675f8cp-2, -0x1.6b83c1513122cp-2, -0x1.68b75c2ffff83p-2, -0x1.65dbdf82e2701p-2, -0x1.62f201774069dp-2, -0x1.5ffa75a70351bp-2, -0x1.5cf5ed08de5aep-2, -0x1.59e515e1b184dp-2, -0x1.56c89bb70b61dp-2, -0x1.53a12742bbfb7p-2, -0x1.506f5e677713p-2, -0x1.4d33e4267cf2ap-2, -0x1.49ef589641e39p-2, -0x1.46a258da10552p-2, -0x1.434d7f1a9eaa1p-2, -0x1.3ff1627f8fp-2, -0x1.3c8e9729d41aap-2, -0x1.3925ae2ef5bap-2, -0x1.35b735952ce2dp-2, -0x1.3243b8504f4cap-2, -0x1.2ecbbe3f85901p-2, -0x1.2b4fcc2bc50b5p-2, -0x1.27d063c704b1bp-2, -0x1.244e03ac2b035p-2, -0x1.20c9275fa8dcfp-2, -0x1.1d424750bd9adp-2, -0x1.19b9d8db5d144p-2, -0x1.16304e4ab4cdbp-2, -0x1.12a616dc432dap-2, -0x1.0f1b9ec37f646p-2, -0x1.0b914f2e0c4dep-2, -0x1.08078e486bcp-2, -0x1.047ebf4333262p-2, -0x1.00f74258b2e7p-2, -0x1.fae2e9a627504p-3, -0x1.f3db6225bce2dp-3, -0x1.ecd89d2bcf892p-3, -0x1.e5db43fd46c3ap-3, -0x1.dee3fa3797383p-3, -0x1.d7f35de0ca12bp-3, -0x1.d10a07782016bp-3, -0x1.ca288a075224p-3, -0x1.c34f73345d972p-3, -0x1.bc7f4b53d9e15p-3, -0x1.b5b8957bc15cp-3, -0x1.aefbcf96bc49ep-3, -0x1.a8497277c5914p-3, -0x1.a1a1f1ee3ba7p-3, -0x1.9b05bcda496f9p-3, -0x1.94753d419ba6dp-3, -0x1.8df0d86463afbp-3, -0x1.8778eed29d3d4p-3, -0x1.810ddc8187009p-3, -0x1.7aaff8e155645p-3, -0x1.745f96f30f80cp-3, -0x1.6e1d055e9020ap-3, -0x1.67e88e88a6702p-3, -0x1.61c278a94d8a8p-3, -0x1.5bab05e1fae6ep-3, -0x1.55a27453f2ec7p-3, -0x1.4fa8fe36ac7bap-3, -0x1.49bed9ee2d6d5p-3, -0x1.43e43a2169b58p-3, -0x1.3e194dd09a9bep-3, -0x1.385e406b8299cp-3, -0x1.32b339e7a5c94p-3, -0x1.2d185ed668d1fp-3, -0x1.278dd07b16536p-3, -0x1.2213ace0c5862p-3, -0x1.1caa0ef02132cp-3, -0x1.17510e85046fcp-3, -0x1.1208c083f18cep-3, -0x1.0cd136ef5de4cp-3, -0x1.07aa80fccaa9ep-3, -0x1.0294ab29ab908p-3, -0x1.fb1f7ea0386cbp-4, -0x1.f1378976ba7dap-4, -0x1.e77180781d2b4p-4, -0x1.ddcd687879aa4p-4, -0x1.d44b41a6460e4p-4, -0x1.caeb07b15f691p-4, -0x1.c1acb1f19a866p-4, -0x1.b890338cbd5d6p-4, -0x1.af957b9bf10bep-4, -0x1.a6bc7550b1a31p-4, -0x1.9e0508191c1b6p-4, -0x1.956f17c3b3103p-4, -0x1.8cfa84a2911d3p-4, -0x1.84a72badfacb4p-4, -0x1.7c74e6a65f5aep-4, -0x1.74638c35bc1abp-4, -0x1.6c72f01065762p-4, -0x1.64a2e31532635p-4, -0x1.5cf3336d0a8bp-4, -0x1.5563aca9d7579p-4, -0x1.4df417e4d4387p-4, -0x1.46a43bdc41a05p-4, -0x1.3f73dd1077918p-4, -0x1.3862bde058148p-4, -0x1.31709ea524c18p-4, -0x1.2a9d3dcdb244cp-4, -0x1.23e857f8fe9bcp-4, -0x1.1d51a8102985ep-4, -0x1.16d8e75fcd652p-4, -0x1.107dcdb0bd7c1p-4, -0x1.0a40116026049p-4, -0x1.041f677712df4p-4, -0x1.fc370782b523bp-5, -0x1.f06831c7e3f5ap-5, -0x1.e4d1b0e54d94cp-5, -0x1.d972e60a88e68p-5, -0x1.ce4b3098488d4p-5, -0x1.c359ee4852e01p-5, -0x1.b89e7b545742ep-5, -0x1.ae18329ba2475p-5, -0x1.a3c66dc7b3c15p-5, -0x1.99a8856fbdd87p-5, -0x1.8fbdd13b09914p-5, -0x1.8605a8024e2ep-5, -0x1.7c7f5feff4025p-5, -0x1.732a4e9f5181dp-5, -0x1.6a05c93add9b6p-5, -0x1.6111249962a52p-5, -0x1.584bb55a2f60dp-5, -0x1.4fb4d0004e319p-5, -0x1.474bc90cc7154p-5, -0x1.3f0ff517ee24p-5, -0x1.3700a8e9c3dd5p-5, -0x1.2f1d39916c2eep-5, -0x1.2764fc7bc06fp-5, -0x1.1fd74788fe668p-5, -0x1.187371219e44p-5, -0x1.1138d04a4b99fp-5, -0x1.0a26bcb70ec6ep-5, -0x1.033c8edda3415p-5, -0x1.f8f3400e09471p-6, -0x1.ebba94c06a8c4p-6, -0x1.decdd2147fa4fp-6, -0x1.d22bb052fcb6p-6, -0x1.c5d2e9e84905ap-6, -0x1.b9c23b802dd15p-6, -0x1.adf864201c265p-6, -0x1.a27425401f8c2p-6, -0x1.973442e27d823p-6, -0x1.8c3783aa098d5p-6, -0x1.817cb0ef3a801p-6, -0x1.770296d40a23dp-6, -0x1.6cc80456a213p-6, -0x1.62cbcb62dd81fp-6, -0x1.590cc0e2b45f5p-6, -0x1.4f89bccd86a4dp-6, -0x1.46419a3658bd2p-6, -0x1.3d3337590cf48p-6, -0x1.345d75a69507bp-6, -0x1.2bbf39d030ecap-6, -0x1.23576bd1b8b9cp-6, -0x1.1b24f6fafcecfp-6, -0x1.1326c9f8441c2p-6, -0x1.0b5bd6d9ee81dp-6, -0x1.03c3131b4234dp-6, -0x1.f8b6ef50d264ep-7, -0x1.ea4801c75bc8cp-7, -0x1.dc375d53e1054p-7, -0x1.ce8308accafefp-7, -0x1.c129118b480fp-7, -0x1.b4278cb002224p-7, -0x1.a77c95e696c6dp-7, -0x1.9b265007baa3fp-7, -0x1.8f22e4fa40a84p-7, -0x1.837085b2dd84ep-7, -0x1.780d6a32e563ep-7, -0x1.6cf7d185e211cp-7, -0x1.622e01be32dc7p-7, -0x1.57ae47f0a3dcap-7, -0x1.4d76f82f15fdap-7, -0x1.43866d82456b7p-7, -0x1.39db09e2a5acbp-7, -0x1.3073363076bbep-7, -0x1.274d622b06996p-7, -0x1.1e68046735dadp-7, -0x1.15c19a45434c7p-7, -0x1.0d58a7e5e836bp-7, -0x1.052bb81ecf221p-7, -0x1.fa72b8dcd91cdp-8, -0x1.eb0059de8226dp-8, -0x1.dbfd909520118p-8, -0x1.cd67a7551be49p-8, -0x1.bf3bf558266d8p-8, -0x1.b177de9fabe42p-8, -0x1.a418d3d66d21bp-8, -0x1.971c52314214ep-8, -0x1.8a7fe34f1f0e7p-8, -0x1.7e411d185e4fbp-8, -0x1.725da19d6266cp-8, -0x1.66d31ef49c0bp-8, -0x1.5b9f4f17fd0acp-8, -0x1.50bff7c1e65eep-8, -0x1.4632ea499c5c2p-8, -0x1.3bf6037f4a06ep-8, -0x1.32072b87a1e11p-8, -0x1.286455b7218ebp-8, -0x1.1f0b806d05d0cp-8, -0x1.15fab4edf74a4p-8, -0x1.0d30073e78c83p-8, -0x1.04a995fd1f36dp-8, -0x1.f8cb14793d9adp-9, -0x1.e8c42ebb6505fp-9, -0x1.d93af5d1cbe96p-9, -0x1.ca2bf8d09850dp-9, -0x1.bb93da824ec83p-9, -0x1.ad6f511b13679p-9, -0x1.9fbb25ebeff03p-9, -0x1.927435161f8aap-9, -0x1.85976d3e7d6bep-9, -0x1.7921cf410fa0ap-9, -0x1.6d106de4c7532p-9, -0x1.61606d8f801dep-9, -0x1.560f03fa3d4b7p-9, -0x1.4b1977e5bf78p-9, -0x1.407d20cf6d83ep-9, -0x1.363766a6a5abbp-9, -0x1.2c45c18275153p-9, -0x1.22a5b957c5948p-9, -0x1.1954e5b007daap-9, -0x1.1050ed605cde1p-9, -0x1.079786414a5p-9, -0x1.fe4ce9ce01be1p-10, -0x1.edf718b46e317p-10, -0x1.de295ba341957p-10, -0x1.cedf90d8110adp-10, -0x1.c015b1d61f80fp-10, -0x1.b1c7d2dd37a5ep-10, -0x1.a3f22261e2dd6p-10, -0x1.9690e8870e239p-10, -0x1.89a086991738ap-10, -0x1.7d1d768a607cep-10, -0x1.71044a7154f7dp-10, -0x1.6551ac07f7904p-10, -0x1.5a025c2d00d62p-10, -0x1.4f13326685bc6p-10, -0x1.44811c6634c64p-10, -0x1.3a491d8f30691p-10, -0x1.30684e7d81013p-10, -0x1.26dbdc8f23fc1p-10, -0x1.1da1096ec5b9p-10, -0x1.14b52aa0189ecp-10, -0x1.0c15a90dda494p-10, -0x1.03c0009976eeep-10, -0x1.f7637f58c1abdp-11, -0x1.e7d10d961dcccp-11, -0x1.d8c410534a8d8p-11, -0x1.ca380e8497ad7p-11, -0x1.bc28b0da5efc5p-11, -0x1.ae91c0f45ea78p-11, -0x1.a16f289868825p-11, -0x1.94bcf0ec67305p-11, -0x1.887741b3b2e37p-11, -0x1.7c9a608fb77b4p-11, -0x1.7122b043e4d04p-11, -0x1.660caffce87efp-11, -0x1.5b54fa9b2b90bp-11, -0x1.50f846008ff5bp-11, -0x1.46f3626169879p-11, -0x1.3d433998ab617p-11, -0x1.33e4ce7f4664fp-11, -0x1.2ad53c46b2d8fp-11, -0x1.2211b5d69be53p-11, -0x1.1997852daa38cp-11, -0x1.11640ac56584ep-11, -0x1.0974bcf9243eap-11, -0x1.01c72770060c6p-11, -0x1.f4b1d513d9e0cp-12, -0x1.e64f759ee2453p-12, -0x1.d862c0c98b629p-12, -0x1.cae76cff0c80ep-12, -0x1.bdd955beccf3cp-12, -0x1.b1347a9370bd7p-12, -0x1.a4f4fe0f8ad9cp-12, -0x1.991724cfd61d9p-12, -0x1.8d975482f1f77p-12, -0x1.827212f687248p-12, -0x1.77a40529c50adp-12, -0x1.6d29ee652627cp-12, -0x1.6300af57698f2p-12, -0x1.59254537ad378p-12, -0x1.4f94c8ec97f52p-12, -0x1.464c6e387e6dcp-12, -0x1.3d4982ea75814p-12, -0x1.34896e14363bcp-12, -0x1.2c09af44c881bp-12, -0x1.23c7ddc7ded85p-12, -0x1.1bc1a7e9cfec8p-12, -0x1.13f4d240183a7p-12, -0x1.0c5f36f658201p-12, -0x1.04fec51fb26e6p-12, -0x1.fba3001904099p-13, -0x1.edaafd48925f7p-13, -0x1.e011d587a3933p-13, -0x1.d2d4013ec9ca4p-13, -0x1.c5ee1c521648cp-13, -0x1.b95ce4f58124bp-13, -0x1.ad1d3a8913f57p-13, -0x1.a12c1c7cb62cfp-13, -0x1.9586a93b7712cp-13, -0x1.8a2a1d1e293e6p-13, -0x1.7f13d16535724p-13, -0x1.74413b39799acp-13, -0x1.69afeab41805cp-13, -0x1.5f5d89ed0b963p-13, -0x1.5547dc1067bb4p-13, -0x1.4b6cbc7a1388ap-13, -0x1.41ca1dd7f09ep-13, -0x1.385e09523d3c8p-13, -0x1.2f269dba13ce8p-13, -0x1.26220ebdecde6p-13, -0x1.1d4ea423fcbfdp-13, -0x1.14aab90a4ab14p-13, -0x1.0c34bb2c6af24p-13, -0x1.03eb2a2eb5f8cp-13, -0x1.f7992dddade32p-14, -0x1.e7af45b34d795p-14, -0x1.d815fe8c3c824p-14, -0x1.c8cad9aaa52b5p-14, -0x1.b9cb75aeaded2p-14, -0x1.ab158d69cbd23p-14, -0x1.9ca6f6bb7aecdp-14, -0x1.8e7da17706df8p-14, -0x1.80979652508f1p-14, -0x1.72f2f5dd3bc6fp-14, -0x1.658df7819f882p-14, -0x1.5866e88b7f5b2p-14, -0x1.4b7c2b39593ap-14, -0x1.3ecc35d4565a9p-14, -0x1.325591d02a998p-14, -0x1.2616daf273b1ap-14, -0x1.1a0ebe8164003p-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.d6f7a0ea1c9e3p-1, 0x1.d4b6cb7c26da2p-1, 0x1.d26e8a20868adp-1, 0x1.d01ff943b14ecp-1, 0x1.cdcc142cb41b5p-1, 0x1.cb73b6bb4bcafp-1, 0x1.c9179f49a5275p-1, 0x1.c6b870a4a0d07p-1, 0x1.c456b40fa429dp-1, 0x1.c1f2db4ae756cp-1, 0x1.bf8d4294e1bap-1, 0x1.bd2632a0ee06ap-1, 0x1.babde27e7b97dp-1, 0x1.b854796d3caf3p-1, 0x1.b5ea109bad2edp-1, 0x1.b37eb4ce10389p-1, 0x1.b11267ecb3ea2p-1, 0x1.aea52278caa07p-1, 0x1.ac36d4e7a8109p-1, 0x1.a9c768e482503p-1, 0x1.a756c2792dfe5p-1, 0x1.a4e4c11e79277p-1, 0x1.a27140b506bc2p-1, 0x1.9ffc1a679f925p-1, 0x1.9d8525780b9a9p-1, 0x1.9b0c37f79bee5p-1, 0x1.9891276c8b117p-1, 0x1.9613c96566625p-1, 0x1.9393f3fbae351p-1, 0x1.91117e46d8547p-1, 0x1.8e8c40c0d684p-1, 0x1.8c04159d3812ep-1, 0x1.8978d913fbca3p-1, 0x1.86ea69a10b5e7p-1, 0x1.8458a8395c64ap-1, 0x1.81c378769bb78p-1, 0x1.7f2ac0ba3c8f3p-1, 0x1.7c8e6a48bae3p-1, 0x1.79ee615dcbfeap-1, 0x1.774a953a33604p-1, 0x1.74a2f82bddf09p-1, 0x1.71f77f90e13fep-1, 0x1.6f4823d5e6063p-1, 0x1.6c94e070878e9p-1, 0x1.69ddb3d61b48dp-1, 0x1.67229f6f51889p-1, 0x1.6463a78913808p-1, 0x1.61a0d342fc5efp-1, 0x1.5eda2c7bc03bep-1, 0x1.5c0fbfbbd0721p-1, 0x1.59419c1e811e8p-1, 0x1.566fd339f1f7bp-1, 0x1.539a7905f175p-1, 0x1.50c1a3c211b22p-1, 0x1.4de56bdb1c21bp-1, 0x1.4b05ebd00f9a8p-1, 0x1.48234016cf021p-1, 0x1.453d8700a1c9p-1, 0x1.4254e09ea8c06p-1, 0x1.3f696ea65d443p-1, 0x1.3c7b54563833ep-1, 0x1.398ab65a9411bp-1, 0x1.3697bab2dd331p-1, 0x1.33a2889722b2ep-1, 0x1.30ab485e15c78p-1, 0x1.2db22363843e3p-1, 0x1.2ab743ef5adccp-1, 0x1.27bad51d375c1p-1, 0x1.24bd02c4928e5p-1, 0x1.21bdf9618c971p-1, 0x1.1ebde5fe5bdd6p-1, 0x1.1bbcf61d67f48p-1, 0x1.18bb57a4115cfp-1, 0x1.15b938c62a12p-1, 0x1.12b6c7f221c1p-1, 0x1.0fb433bde5387p-1, 0x1.0cb1aad472d23p-1, 0x1.09af5be42410bp-1, 0x1.06ad758daca77p-1, 0x1.03ac2653cb32p-1, 0x1.00ab9c8baf564p-1, 0x1.fb580c9c1d729p-2, 0x1.f55b22d1d430ap-2, 0x1.ef60d6a3fd92ap-2, 0x1.e9698233c7122p-2, 0x1.e3757ebf962f8p-2, 0x1.dd85248bdc5c2p-2, 0x1.d798cacd2b125p-2, 0x1.d1b0c7938495bp-2, 0x1.cbcd6fb6e80a9p-2, 0x1.c5ef16c5051a4p-2, 0x1.c0160ef021b17p-2, 0x1.ba42a8ff17765p-2, 0x1.b475343e74d55p-2, 0x1.aeadfe72a904bp-2, 0x1.a8ed53cb3e82p-2, 0x1.a3337ed71bb04p-2, 0x1.9d80c879b9bf9p-2, 0x1.97d577e155649p-2, 0x1.9231d27e0b4bcp-2, 0x1.8c961bf9d85e4p-2, 0x1.870296317a542p-2, 0x1.8177812e2593fp-2, 0x1.7bf51b200bfb8p-2, 0x1.767ba059a83fap-2, 0x1.710b4b4bd016ep-2, 0x1.6ba4548278f3bp-2, 0x1.6646f2a234959p-2, 0x1.60f35a6657cdcp-2, 0x1.5ba9be9fc46fbp-2, 0x1.566a503453c84p-2, 0x1.51353e1ed62d2p-2, 0x1.4c0ab56fa5e1fp-2, 0x1.46eae14dc3a5fp-2, 0x1.41d5eaf8748f5p-2, 0x1.3ccbf9c964b84p-2, 0x1.37cd33373a132p-2, 0x1.32d9bad8a0303p-2, 0x1.2df1b267bbcf1p-2, 0x1.291539c6086e5p-2, 0x1.24446f0095bb4p-2, 0x1.1f7f6e54a00c6p-2, 0x1.1ac6523481b2cp-2, 0x1.1619334cf537fp-2, 0x1.1178288aa2d0ep-2, 0x1.0ce3471ff9057p-2, 0x1.085aa28b443cep-2, 0x1.03de4c9d0761p-2, 0x1.fedcaafd1fc28p-3, 0x1.f615977178939p-3, 0x1.ed677875ef422p-3, 0x1.e4d264c4bfbedp-3, 0x1.dc5670022f00cp-3, 0x1.d3f3aacb7aafp-3, 0x1.cbaa22c60ba37p-3, 0x1.c379e2aee51f8p-3, 0x1.bb62f26a4e0e4p-3, 0x1.b3655713a47f7p-3, 0x1.ab81130d61839p-3, 0x1.a3b62611392d7p-3, 0x1.9c048d405ea41p-3, 0x1.946c4333de328p-3, 0x1.8ced400d03a78p-3, 0x1.85877985d7949p-3, 0x1.7e3ae3019c8c8p-3, 0x1.77076d9d560f5p-3, 0x1.6fed084044e78p-3, 0x1.68eb9fac6c53ap-3, 0x1.62031e8efb09cp-3, 0x1.5b336d90b5fd9p-3, 0x1.547c736648c2bp-3, 0x1.4dde14e07f10cp-3, 0x1.475834fc70346p-3, 0x1.40eab4f37be18p-3, 0x1.3a95744b3d59p-3, 0x1.345850e548e5fp-3, 0x1.2e33270ecef81p-3, 0x1.2825d1901423bp-3, 0x1.223029bbc26e5p-3, 0x1.1c52077e06b52p-3, 0x1.168b416b84bc9p-3, 0x1.10dbacd01ca0dp-3, 0x1.0b431dbd7557bp-3, 0x1.05c167195cf96p-3, 0x1.00565aabe7f2ap-3, 0x1.f603925ac6b37p-4, 0x1.eb8704a811a18p-4, 0x1.e136a9c2eb6b8p-4, 0x1.d7121d5fdcda9p-4, 0x1.cd18f97ebbe53p-4, 0x1.c34ad68438753p-4, 0x1.b9a74b52efcb5p-4, 0x1.b02ded63f6aabp-4, 0x1.a6de50def2ed2p-4, 0x1.9db808b1a85aep-4, 0x1.94baa6a70e3bap-4, 0x1.8be5bb7de0f6fp-4, 0x1.8338d6feae00bp-4, 0x1.7ab38811622abp-4, 0x1.72555cd253233p-4, 0x1.6a1de2a6c74c9p-4, 0x1.620ca650f9a3bp-4, 0x1.5a2134039d673p-4, 0x1.525b1774dda06p-4, 0x1.4ab9dbf0dbe63p-4, 0x1.433d0c6baee0fp-4, 0x1.3be43392deccp-4, 0x1.34aedbde63a7ep-4, 0x1.2d9c8fa123b48p-4, 0x1.26acd918f5307p-4, 0x1.1fdf427e216e9p-4, 0x1.193356126f0fep-4, 0x1.12a89e2fae474p-4, 0x1.0c3ea555cf3fep-4, 0x1.05f4f6387e6bcp-4, 0x1.ff96379896f7dp-5, 0x1.f38142a6b43fcp-5, 0x1.e7aa24d3434f2p-5, 0x1.dc0ff6216ef58p-5, 0x1.d0b1cf7657ee7p-5, 0x1.c58ecaaeefe69p-5, 0x1.baa602b4f7e54p-5, 0x1.aff693932c4fp-5, 0x1.a57f9a889c0adp-5, 0x1.9b40361b2f026p-5, 0x1.913786296523dp-5, 0x1.8764abfb478efp-5, 0x1.7dc6ca529b69dp-5, 0x1.745d057a51156p-5, 0x1.6b26835535bdp-5, 0x1.62226b6bef58fp-5, 0x1.594fe6fa41617p-5, 0x1.50ae20fb9f795p-5, 0x1.483c46371736p-5, 0x1.3ff9854a89a19p-5, 0x1.37e50eb546c21p-5, 0x1.2ffe14e200992p-5, 0x1.2843cc30256f8p-5, 0x1.20b56afc9cdbp-5, 0x1.195229a9f049bp-5, 0x1.121942a7e07b5p-5, 0x1.0b09f27a6c7b4p-5, 0x1.042377c04eae9p-5, 0x1.faca2671e2071p-6, 0x1.ed9c0f93be9acp-6, 0x1.e0bb350774827p-6, 0x1.d426254d57932p-6, 0x1.c7db734ccdc75p-6, 0x1.bbd9b65b5fb93p-6, 0x1.b01f8a42e6865p-6, 0x1.a4ab8f46e1ab3p-6, 0x1.997c6a28f4d65p-6, 0x1.8e90c42c99a9cp-6, 0x1.83e74b1a0a58p-6, 0x1.797eb1406954ep-6, 0x1.6f55ad77315ccp-6, 0x1.656afb1ef2bf4p-6, 0x1.5bbd5a216009ep-6, 0x1.524b8ef0b554dp-6, 0x1.491462867f1efp-6, 0x1.4016a261c8764p-6, 0x1.37512084ab806p-6, 0x1.2ec2b3715db83p-6, 0x1.266a3626ab354p-6, 0x1.1e46881bf12dp-6, 0x1.16568d3c96fa3p-6, 0x1.0e992de313076p-6, 0x1.070d56d375494p-6, 0x1.ff63f26b10562p-7, 0x1.f10c151d0a3ap-7, 0x1.e3110974ca6b8p-7, 0x1.d570cbc9a1715p-7, 0x1.c829610363714p-7, 0x1.bb38d68aee6dap-7, 0x1.ae9d4239f5545p-7, 0x1.a254c24a41217p-7, 0x1.965d7d4452fap-7, 0x1.8ab5a1ed879cp-7, 0x1.7f5b6735a2cfdp-7, 0x1.744d0c23f9bd9p-7, 0x1.6988d7c41085cp-7, 0x1.5f0d1911df2fdp-7, 0x1.54d826e5a0604p-7, 0x1.4ae85fdf52a74p-7, 0x1.413c2a51d0417p-7, 0x1.37d1f42daa303p-7, 0x1.2ea832eba6b78p-7, 0x1.25bd6377066f4p-7, 0x1.1d100a1787e3ep-7, 0x1.149eb25b33334p-7, 0x1.0c67eefff2b7p-7, 0x1.046a59dcfeedcp-7, 0x1.f949279845696p-8, 0x1.ea2a8925b739dp-8, 0x1.db763596bc37dp-8, 0x1.cd29979afe8c1p-8, 0x1.bf42272f14421p-8, 0x1.b1bd696e0ca7p-8, 0x1.a498f062e2137p-8, 0x1.97d25ad9df99cp-8, 0x1.8b675431fdb38p-8, 0x1.7f55942e400e8p-8, 0x1.739adec719436p-8, 0x1.683503fbe047cp-8, 0x1.5d21dfa4570b9p-8, 0x1.525f594250557p-8, 0x1.47eb63d37524ep-8, 0x1.3dc3fda33495bp-8, 0x1.33e7301cde436p-8, 0x1.2a530f9df1506p-8, 0x1.2105bb48a3ffcp-8, 0x1.17fd5cd6a6b3bp-8, 0x1.0f38286c2a31cp-8, 0x1.06b45c6b2a04dp-8, 0x1.fce0828e091dfp-9, 0x1.ecd452b0bb65dp-9, 0x1.dd40e162ac6c8p-9, 0x1.ce22f9e42fbb3p-9, 0x1.bf777a3b76154p-9, 0x1.b13b52df0faa5p-9, 0x1.a36b8661310f7p-9, 0x1.9605291bb830cp-9, 0x1.890560dcfbeb6p-9, 0x1.7c6964956d12ep-9, 0x1.702e7c060580cp-9, 0x1.6451ff6f94f14p-9, 0x1.58d15742e2abap-9, 0x1.4da9fbd1b3295p-9, 0x1.42d97500ae5adp-9, 0x1.385d59fa2a7b8p-9, 0x1.2e3350e1e2357p-9, 0x1.24590e8990745p-9, 0x1.1acc56267ffa4p-9, 0x1.118af90802e3fp-9, 0x1.0892d64ee2ffep-9, 0x1.ffc3b54b778a8p-10, 0x1.eeebfff4a21d2p-10, 0x1.de9a9a6fa6ca2p-10, 0x1.cecbac043c7ddp-10, 0x1.bf7b74e3d76p-10, 0x1.b0a64da3ff9aap-10, 0x1.a248a6ba9424bp-10, 0x1.945f07fbfab3p-10, 0x1.86e6101b4b6fcp-10, 0x1.79da742c58f4bp-10, 0x1.6d38ff27b52c1p-10, 0x1.60fe91709a563p-10, 0x1.5528205cc7f3ep-10, 0x1.49b2b5be40743p-10, 0x1.3e9b6f6ef8876p-10, 0x1.33df7ede6734ep-10, 0x1.297c28a0fb34p-10, 0x1.1f6ec40178e8dp-10, 0x1.15b4ba942ba08p-10, 0x1.0c4b87cbfaf16p-10, 0x1.0330b891596dfp-10, 0x1.f4c3d5b6125edp-11, 0x1.e3b99a915bc2ap-11, 0x1.d33e3d7e677a9p-11, 0x1.c34d5c0dfdee9p-11, 0x1.b3e2b2d7c6fbbp-11, 0x1.a4fa1cbdbdf2cp-11, 0x1.968f92332641cp-11, 0x1.889f2886f465fp-11, 0x1.7b251131a510ap-11, 0x1.6e1d992677049p-11, 0x1.61852828015cbp-11, 0x1.555840201afa2p-11, 0x1.49937c7b09a47p-11, 0x1.3e339185efda7p-11, 0x1.33354bd070c4ap-11, 0x1.28958f917cc69p-11, 0x1.1e51580f40d52p-11, 0x1.1465b70a2bba2p-11, 0x1.0acfd42b007f6p-11, 0x1.018cec73eaf64p-11, 0x1.f134a36916aa2p-12, 0x1.dfead401e368p-12, 0x1.cf375e56f6e95p-12, 0x1.bf155c8311566p-12, 0x1.af800e1602dbcp-12, 0x1.a072d7193bf81p-12, 0x1.91e93f19d1e68p-12, 0x1.83def037dd7c8p-12, 0x1.764fb63b259bcp-12, 0x1.69377dacfce85p-12, 0x1.5c9252f73a70cp-12, 0x1.505c61884037fp-12, 0x1.4491f2fbf342ap-12, 0x1.392f6e499563fp-12, 0x1.2e3156f668ebdp-12, 0x1.23944c4d0ad89p-12, 0x1.195508996e61ap-12, 0x1.0f7060696a181p-12, 0x1.05e341d1b5bc7p-12, 0x1.f955676eaedfdp-13, 0x1.e787aa3ab058bp-13, 0x1.d657b8ed7c514p-13, 0x1.c5c02df95245p-13, 0x1.b5bbd01110e45p-13, 0x1.a64590e4a9adcp-13, 0x1.97588be569873p-13, 0x1.88f00512053b1p-13, 0x1.7b0767ca2c994p-13, 0x1.6d9a45a995d25p-13, 0x1.60a4556a4b027p-13, 0x1.542171ce1dff4p-13, 0x1.480d988f1ac7bp-13, 0x1.3c64e956d48dfp-13, 0x1.3123a4bc7255bp-13, 0x1.26462b4947d04p-13, 0x1.1bc8fc83e78bbp-13, 0x1.11a8b60188a06p-13, 0x1.07e2127d94a13p-13, 0x1.fce3d1ee93fa6p-14, 0x1.eaaa57aa99fdcp-14, 0x1.d911d01e06c13p-14, 0x1.c81488b7397bfp-14, 0x1.b7ad00cd62b9cp-14, 0x1.a7d5e8148b886p-14, 0x1.988a1d1c53e11p-14, 0x1.89c4abd9081a7p-14, 0x1.7b80cc36ec9afp-14, 0x1.6db9e0b77592cp-14, 0x1.606b75183904fp-14, 0x1.53913d0360c2ap-14, 0x1.472712c964dbap-14, 0x1.3b28f623d8d5ap-14, 0x1.2f930b0115155p-14, 0x1.24619858880c3p-14, 0x1.199107077cbb9p-14, 0x1.0f1de0b62167cp-14, 0x1.0504cec49e339p-14, 0x1.f685328014eedp-15, 0x1.e3a84bbe1cc4dp-15, 0x1.d16cee0c0c0b8p-15, 0x1.bfcd55a4e2bd8p-15, 0x1.aec3f45b131edp-15, 0x1.9e4b6fcb942f2p-15, 0x1.8e5e9f9e88878p-15, 0x1.7ef88bd523e3ap-15, 0x1.70146b247658cp-15, 0x1.61ada15cd07cdp-15, 0x1.53bfbddd69a91p-15, 0x1.46467a13fbf6ep-15, 0x1.393db80806579p-15, 0x1.2ca180f168641p-15, 0x1.206e03da0ec38p-15, 0x1.149f944a61f74p-15, 0x1.0932a90035fc2p-15, 0x1.fc47b55fdee5ap-16, 0x1.e6dfc59f30d3ep-16, 0x1.d22734d754213p-16, 0x1.be17f20a7538cp-16, 0x1.aaac26f2bc0d6p-16, 0x1.97de35e2dbf25p-16, 0x1.85a8b7b80954p-16, 0x1.740679dcc8d02p-16, 0x1.62f27c5c37d4ap-16, 0x1.5267f0054526p-16, 0x1.4262349d746a9p-16, 0x1.32dcd722c0a4dp-16, 0x1.23d3901c22651p-16, 0x1.154241f8661bbp-16, 0x1.0724f77ad191p-16, 0x1.f2efc46a9c94bp-17, 0x1.d86eb21f410b2p-17, 0x1.bebfadb6aa195p-17, 0x1.a5dbf1e8179c1p-17, 0x1.8dbcfbd76c0b3p-17, 0x1.765c8884f72a4p-17, 0x1.5fb49253d8109p-17, 0x1.49bf4ea643d58p-17, 0x1.34772b8f14a7bp-17, 0x1.1fd6cd97febf6p-17, 0x1.0bd90d9bc629dp-17, 0x1.f0f1ed67c3fc3p-18, 0x1.cb638871e5913p-18, 0x1.a6fdbfaaf81edp-18, 0x1.83b7bf54a0c61p-18, 0x1.618909084a1c9p-18, 0x1.406970438e73ep-18, 0x1.20511714d81c1p-18, 0x1.01386ae73a46bp-18, 0x1.c63042d90c1cap-19, 0x1.8bd26b494efd6p-19, 0x1.5349ca02b9abp-19, 0x1.1c89594ac235ep-19, 0x1.cf091af8a751bp-20, 0x1.685e9fdd65367p-20, 0x1.04fbf41c54331p-20, 0x1.4995429360d9p-21, 0x1.1ed3fa90742dbp-22, -0x1.259d7a28edeadp-24, -0x1.a5d8231589e6bp-22, -0x1.7b660ef083bf2p-21, -0x1.0f2399a27631ap-20, -0x1.5dd9dfca9c971p-20, -0x1.a9e75c36a165cp-20, -0x1.f35cf9c257191p-20, -0x1.1d25893798438p-19, -0x1.3f60bad7c972ap-19, -0x1.6067b7380aa5bp-19, -0x1.8041e4707f267p-19, -0x1.9ef66c0120a3p-19, -0x1.bc8c3d7a113b7p-19, -0x1.d90a1107498dep-19, -0x1.f47669e0b244ep-19, -0x1.076bcc4fcfa71p-18, -0x1.1419debd516fdp-18, -0x1.20486534557ddp-18, -0x1.2bfa429626dd9p-18, -0x1.373244a412985p-18, -0x1.41f324ee8a64dp-18, -0x1.4c3f89b9a5021p-18, -0x1.561a06d763b5cp-18, -0x1.5f851e781d7dp-18, -0x1.688341f171ee4p-18, -0x1.7116d27c1f2c3p-18, -0x1.794221e915692p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.b94e28730a58bp-3, -0x1.cb78bf4ff8a12p-3, -0x1.dcf69c4fb5a91p-3, -0x1.edc6e2035fac3p-3, -0x1.fdea44be18bf7p-3, -0x1.06b16faa084f6p-2, -0x1.0e1a03a73e25ep-2, -0x1.153110d289a4bp-2, -0x1.1bf93c6795f7bp-2, -0x1.22758a64a0233p-2, -0x1.28a94abfa09b6p-2, -0x1.2e9807f39af72p-2, -0x1.344576fcc0b97p-2, -0x1.39b568cde3c34p-2, -0x1.3eebbd40032d2p-2, -0x1.43ec57753b57p-2, -0x1.48bb13a293008p-2, -0x1.4d5bbe2ff131cp-2, -0x1.51d20c1a7f7a8p-2, -0x1.56219483d6f36p-2, -0x1.5a4dcb5729283p-2, -0x1.5e59fced3dac6p-2, -0x1.62494a9818b3bp-2, -0x1.661ea7ffb8185p-2, -0x1.69dcd93a15b8fp-2, -0x1.6d867189a9823p-2, -0x1.711dd2aedcd7p-2, -0x1.74a52cba171bfp-2, -0x1.781e7e4d7f3d5p-2, -0x1.7b8b953ec4169p-2, -0x1.7eee0f8ab6fc6p-2, -0x1.82475c8db403cp-2, -0x1.8598be7529599p-2, -0x1.88e34bdfaff1ep-2, -0x1.8c27f1a255fd7p-2, -0x1.8f6774aab4ef4p-2, -0x1.92a273f675a25p-2, -0x1.95d96a99bbcccp-2, -0x1.990cb1ced2aep-2, -0x1.9c3c830a1d553p-2, -0x1.9f68fa0e11e5ap-2, -0x1.a29216fb8f983p-2, -0x1.a5b7c05b72fbdp-2, -0x1.a8d9c51ece27dp-2, -0x1.abf7de938ae35p-2, -0x1.af11b24bb313ap-2, -0x1.b226d3f5e0608p-2, -0x1.b536c725b1a9p-2, -0x1.b841010b5bdedp-2, -0x1.bb44ea19ac14ap-2, -0x1.be41df9a0945dp-2, -0x1.c137352e22485p-2, -0x1.c424363f2f47ep-2, -0x1.c708275aba79p-2, -0x1.c9e2477d0d0bdp-2, -0x1.ccb1d1497443ep-2, -0x1.cf75fc30a03c4p-2, -0x1.d22dfd85705a3p-2, -0x1.d4d909809a0e1p-2, -0x1.d77654338dba7p-2, -0x1.da05126b1717cp-2, -0x1.dc847a823c965p-2, -0x1.def3c525d47d4p-2, -0x1.e1522e0964de6p-2, -0x1.e39ef48dd412ap-2, -0x1.e5d95c5a6f726p-2, -0x1.e800ade8e005p-2, -0x1.ea1437048d941p-2, -0x1.ec134b3e0377ep-2, -0x1.edfd4452dbef7p-2, -0x1.efd1828ab9eap-2, -0x1.f18f6d09d6f62p-2, -0x1.f3367219a7f49p-2, -0x1.f4c607681425fp-2, -0x1.f63daa3dbfdf3p-2, -0x1.f79cdfabdd3fdp-2, -0x1.f8e334b1fe0dbp-2, -0x1.fa103e5c51263p-2, -0x1.fb2399dac1d2ep-2, -0x1.fc1cec9157909p-2, -0x1.fcfbe4224a652p-2, -0x1.fdc0367222d79p-2, -0x1.fe69a1a64b248p-2, -0x1.fef7ec1e69a31p-2, -0x1.ff6ae468e198dp-2, -0x1.ffc26132c6924p-2, -0x1.fffe41339e9b4p-2, -0x1.000f358a9a702p-1, -0x1.001166abe8ccdp-1, -0x1.0005af198d0d3p-1, -0x1.ffd81b73dc4e5p-2, -0x1.ff890a570b219p-2, -0x1.ff1e376226c4ap-2, -0x1.fe97b6394d0ap-2, -0x1.fdf5a1732d4p-2, -0x1.fd381a6b152c6p-2, -0x1.fc5f4911463aap-2, -0x1.fb6b5bb9cd5acp-2, -0x1.fa5c86ea02f23p-2, -0x1.f9330524e7361p-2, -0x1.f7ef16b681316p-2, -0x1.f691017e69cedp-2, -0x1.f51910b9aa0abp-2, -0x1.f38794cc0e2aap-2, -0x1.f1dce309151f3p-2, -0x1.f019557c96e35p-2, -0x1.ee3d4ab345098p-2, -0x1.ec4925831e17p-2, -0x1.ea3d4cd3f74dp-2, -0x1.e81a2b682930dp-2, -0x1.e5e02fa586d7fp-2, -0x1.e38fcb5ea8c45p-2, -0x1.e129739caa1a7p-2, -0x1.deada06967949p-2, -0x1.dc1ccc9a53ffcp-2, -0x1.d977759bf2861p-2, -0x1.d6be1b3e0a222p-2, -0x1.d3f13f809e8b1p-2, -0x1.d1116661b927dp-2, -0x1.ce1f15ac19587p-2, -0x1.cb1ad4c6c8915p-2, -0x1.c8052c85acab5p-2, -0x1.c4dea6fb16a69p-2, -0x1.c1a7cf4a5a306p-2, -0x1.be61317b787a7p-2, -0x1.bb0b5a4fe258fp-2, -0x1.b7a6d71857cf6p-2, -0x1.b434358bec159p-2, -0x1.b0b403a031298p-2, -0x1.ad26cf6291f6cp-2, -0x1.a98d26d2d8p-2, -0x1.a5e797bee869fp-2, -0x1.a236af9faebb2p-2, -0x1.9e7afb774525ep-2, -0x1.9ab507b04a16p-2, -0x1.96e55ffe73b95p-2, -0x1.930c8f4056842p-2, -0x1.8f2b1f626235cp-2, -0x1.8b41994310f83p-2, -0x1.875084984de16p-2, -0x1.835867d60847ap-2, -0x1.7f59c815f76edp-2, -0x1.7b55290087844p-2, -0x1.774b0cb6f36ep-2, -0x1.733bf3be7e3c1p-2, -0x1.6f285cecd1f35p-2, -0x1.6b10c55578423p-2, -0x1.66f5a83871158p-2, -0x1.62d77ef1d5e4fp-2, -0x1.5eb6c0ea9598dp-2, -0x1.5a93e38a337a9p-2, -0x1.566f5a298f59bp-2, -0x1.52499606aef93p-2, -0x1.4e2306397ea92p-2, -0x1.49fc17a98acddp-2, -0x1.45d53504a593dp-2, -0x1.41aec6b678d12p-2, -0x1.3d8932e0fbb76p-2, -0x1.3964dd55c23a9p-2, -0x1.354227902a21p-2, -0x1.312170b055065p-2, -0x1.2d031576f032p-2, -0x1.28e77041c096p-2, -0x1.24ced908eccb7p-2, -0x1.20b9a55d02dbcp-2, -0x1.1ca82865af471p-2, -0x1.189ab2e11d5e4p-2, -0x1.1491932402b24p-2, -0x1.108d151a47158p-2, -0x1.0c8d824848be8p-2, -0x1.089321ccb18dap-2, -0x1.049e3862dd752p-2, -0x1.00af0865c6246p-2, -0x1.f98ba3a6e2a3bp-3, -0x1.f1c5a4a1b6174p-3, -0x1.ea0c8a5cb032ep-3, -0x1.e260c6d8c9ff5p-3, -0x1.dac2c781ca52bp-3, -0x1.d332f53984c67p-3, -0x1.cbb1b463e13a8p-3, -0x1.c43f64f395e7ep-3, -0x1.bcdc62778b371p-3, -0x1.b5890428e16f9p-3, -0x1.ae459cf98f74bp-3, -0x1.a7127ba38b9bap-3, -0x1.9fefeab87a35p-3, -0x1.98de30b1d497bp-3, -0x1.91dd90018366ep-3, -0x1.8aee4722dee02p-3, -0x1.841090ac10cd6p-3, -0x1.7d44a35fcbc8bp-3, -0x1.768ab23f51aa6p-3, -0x1.6fe2ec9cc3da7p-3, -0x1.694d7e2dadafbp-3, -0x1.62ca8f1dce23ep-3, -0x1.5c5a4422083bdp-3, -0x1.55fcbe8b8836p-3, -0x1.4fb21c5b0079dp-3, -0x1.497a78540e1acp-3, -0x1.4355ea10a8ccp-3, -0x1.3d448614ad36dp-3, -0x1.37465de1658ecp-3, -0x1.315b8009257fdp-3, -0x1.2b83f842d5664p-3, -0x1.25bfcf7d8570dp-3, -0x1.200f0bf3ec87ep-3, -0x1.1a71b13fdf4a7p-3, -0x1.14e7c06da840dp-3, -0x1.0f71380f54a14p-3, -0x1.0a0e144fdd02ep-3, -0x1.04be4f062ca5p-3, -0x1.ff03bf901215ap-4, -0x1.f4b177f99ebf1p-4, -0x1.ea85ade014893p-4, -0x1.e08043c7a7753p-4, -0x1.d6a1184619a36p-4, -0x1.cce80626bbdecp-4, -0x1.c354e48dfd91ep-4, -0x1.b9e7871c9a37ap-4, -0x1.b09fbe1241185p-4, -0x1.a77d566fcaaddp-4, -0x1.9e801a18f2e1fp-4, -0x1.95a7cff58af69p-4, -0x1.8cf43c12266e1p-4, -0x1.84651fc049d11p-4, -0x1.7bfa39b6049fdp-4, -0x1.73b3462d02ec8p-4, -0x1.6b8fff010e2d6p-4, -0x1.63901bcdfe53cp-4, -0x1.5bb3520d16963p-4, -0x1.53f95531cdc07p-4, -0x1.4c61d6c6028f5p-4, -0x1.44ec8685961f1p-4, -0x1.3d9912797292cp-4, -0x1.36672711f52ap-4, -0x1.2f566f40c3af2p-4, -0x1.2866949205adap-4, -0x1.21973f45062ffp-4, -0x1.1ae816643b8fbp-4, -0x1.1458bfdcb6befp-4, -0x1.0de8e094f9deap-4, -0x1.07981c83375cdp-4, -0x1.016616c2f805cp-4, -0x1.f6a4e35458da9p-5, -0x1.eab99dbb4fddap-5, -0x1.df099eca0b3abp-5, -0x1.d394277bf92ffp-5, -0x1.c85877de3c9d6p-5, -0x1.bd55cf340f609p-5, -0x1.b28b6c19fe8c7p-5, -0x1.a7f88ca80f43dp-5, -0x1.9d9c6e92c7fdbp-5, -0x1.93764f4b26a5bp-5, -0x1.89856c1d817b6p-5, -0x1.7fc9024f5c30ep-5, -0x1.76404f3c303aap-5, -0x1.6cea907130c1ep-5, -0x1.63c703c808d14p-5, -0x1.5ad4e7809b79dp-5, -0x1.52137a59cadcep-5, -0x1.4981fba947291p-5, -0x1.411fab7269c3dp-5, -0x1.38ebca7c25c42p-5, -0x1.30e59a660d0c2p-5, -0x1.290c5dbc6f46ap-5, -0x1.215f580b9b3c2p-5, -0x1.19ddcdf23f52fp-5, -0x1.12870532f74f3p-5, -0x1.0b5a44c504da5p-5, -0x1.0456d4e4370c5p-5, -0x1.faf7fe401b415p-6, -0x1.ed921cd420e71p-6, -0x1.e07a9e46d7a19p-6, -0x1.d3b01e5397329p-6, -0x1.c7313bc705ef5p-6, -0x1.bafc9895fc5bap-6, -0x1.af10d9f30d25bp-6, -0x1.a36ca862b7d7fp-6, -0x1.980eafce53a01p-6, -0x1.8cf59f95b4475p-6, -0x1.82202a9f96067p-6, -0x1.778d0768d73f9p-6, -0x1.6d3af012904cp-6, -0x1.6328a26f02562p-6, -0x1.5954e00d75debp-6, -0x1.4fbe6e450786cp-6, -0x1.4664163e6fc83p-6, -0x1.3d44a4fcca89p-6, -0x1.345eeb6569199p-6, -0x1.2bb1be46b70d6p-6, -0x1.233bf65e3791p-6, -0x1.1afc705da462p-6, -0x1.12f20cef33572p-6, -0x1.0b1bb0b9113e6p-6, -0x1.037844600e8cep-6, -0x1.f80d6913232aap-7, -0x1.e98be3b98ba32p-7, -0x1.db69e20645fd2p-7, -0x1.cda555507bed1p-7, -0x1.c03c36f1f7d67p-7, -0x1.b32c88444354ap-7, -0x1.a674529c99fedp-7, -0x1.9a11a746b6079p-7, -0x1.8e029f7e86335p-7, -0x1.82455c68d6fffp-7, -0x1.76d8070afe78ap-7, -0x1.6bb8d0418c1dcp-7, -0x1.60e5f0b61a6fep-7, -0x1.565da8d43b135p-7, -0x1.4c1e40bd92a95p-7, -0x1.4226083d2656ep-7, -0x1.387356b9f56f1p-7, -0x1.2f048b28d2b96p-7, -0x1.25d80bfd9a537p-7, -0x1.1cec471bc3548p-7, -0x1.143fb1c658bddp-7, -0x1.0bd0c88f63fe2p-7, -0x1.039e0f46d0a16p-7, -0x1.f74c21d1a0b46p-8, -0x1.e7cebf1795974p-8, -0x1.d8c1289bbb70fp-8, -0x1.ca209e83ee0ap-8, -0x1.bbea6eb920dbcp-8, -0x1.ae1bf4c02529cp-8, -0x1.a0b29991cff1fp-8, -0x1.93abd3728a1ecp-8, -0x1.870525c95cb5dp-8, -0x1.7abc20f680e59p-8, -0x1.6ece6229824c1p-8, -0x1.63399337006a7p-8, -0x1.57fb6a6e19f61p-8, -0x1.4d11aa6d89a25p-8, -0x1.427a21f886addp-8, -0x1.3832abcb6bbb7p-8, -0x1.2e392e7030eacp-8, -0x1.248b9c12c549ap-8, -0x1.1b27f2554b8f9p-8, -0x1.120c3a24475e8p-8, -0x1.0936878ac0a9p-8, -0x1.00a4f9866688ep-8, -0x1.f0ab73b7735d6p-9, -0x1.e08df9d489c9ep-9, -0x1.d0ee0301d43dbp-9, -0x1.c1c821649b4bp-9, -0x1.b318fb52c4678p-9, -0x1.a4dd4afc3fb5cp-9, -0x1.9711de14cf50dp-9, -0x1.89b3957e3d7e5p-9, -0x1.7cbf64f2fdd6cp-9, -0x1.703252b15619ap-9, -0x1.64097727063aep-9, -0x1.5841fc9d86301p-9, -0x1.4cd91ee6da0b6p-9, -0x1.41cc2b0b09587p-9, -0x1.37187ef63d1b4p-9, -0x1.2cbb892790d3ap-9, -0x1.22b2c8609956p-9, -0x1.18fbcb55a71a2p-9, -0x1.0f94305ecfd36p-9, -0x1.0679a529bf51p-9, -0x1.fb53ccd8a730ep-10, -0x1.ea457f3024981p-10, -0x1.d9c4151cdef8dp-10, -0x1.c9cb5eabe5aeep-10, -0x1.ba5747a07aeacp-10, -0x1.ab63d6e1dc067p-10, -0x1.9ced2deae2bafp-10, -0x1.8eef883b6af2dp-10, -0x1.81673acb971e3p-10, -0x1.7450b380ed67cp-10, -0x1.67a878a555ac3p-10, -0x1.5b6b285ff5f34p-10, -0x1.4f95782ff9cd8p-10, -0x1.442434693a746p-10, -0x1.39143fb2de313p-10, -0x1.2e629287d0a4fp-10, -0x1.240c3ab93a38ap-10, -0x1.1a0e5af2d9705p-10, -0x1.10662a414de3ep-10, -0x1.0710f39a4e1c2p-10, -0x1.fc182acdaa553p-11, -0x1.eaaa021e58cafp-11, -0x1.d9d27511dfd0ap-11, -0x1.c98cafcde907fp-11, -0x1.b9d401d633d99p-11, -0x1.aaa3dd3404923p-11, -0x1.9bf7d5a15e78fp-11, -0x1.8dcb9fb7ff313p-11, -0x1.801b10241ba0fp-11, -0x1.72e21adad3538p-11, -0x1.661cd25457311p-11, -0x1.59c766c9bba98p-11, -0x1.4dde25767005p-11, -0x1.425d77dd50f14p-11, -0x1.3741e31153246p-11, -0x1.2c880701b7735p-11, -0x1.222c9dc9c7e6ep-11, -0x1.182c7b040c41p-11, -0x1.0e848b20f509cp-11, -0x1.0531d2c0ee0f2p-11, -0x1.f862dc23a411ep-12, -0x1.e701205f6af0fp-12, -0x1.d6390511f8c2bp-12, -0x1.c605488b698ecp-12, -0x1.b660d36450698p-12, -0x1.a746b759385a5p-12, -0x1.98b22e2c6d7edp-12, -0x1.8a9e988df44adp-12, -0x1.7d077d09a416fp-12, -0x1.6fe886fb42c35p-12, -0x1.633d85889785cp-12, -0x1.57026aa15476bp-12, -0x1.4b334a04c95a2p-12, -0x1.3fcc584d449ebp-12, -0x1.34c9ea01101c6p-12, -0x1.2a2872a8ed32dp-12, -0x1.1fe483ec041f2p-12, -0x1.15faccb1244e5p-12, -0x1.0c6818454983dp-12, -0x1.03294d874bb4dp-12, -0x1.f476dc31445bep-13, -0x1.e3372b2647e1ep-13, -0x1.d28df1876b103p-13, -0x1.c275c9d387c3p-13, -0x1.b2e97df6ff2ep-13, -0x1.a3e405dd7a51ap-13, -0x1.9560860cd3ea7p-13, -0x1.875a4e48ee9aap-13, -0x1.79ccd84065488p-13, -0x1.6cb3c641d6a79p-13, -0x1.600ae1f9aa96p-13, -0x1.53ce1b3827e1bp-13, -0x1.47f986bfb01dcp-13, -0x1.3c895d1af81b2p-13, -0x1.3179f97b12adbp-13, -0x1.26c7d89d27033p-13, -0x1.1c6f97b7b0519p-13, -0x1.126df36f146cbp-13, -0x1.08bfc6d170d55p-13, -0x1.fec414b2f642bp-14, -0x1.eca3a5f088334p-14, -0x1.db18a24b88a92p-14, -0x1.ca1d9ff00a8a2p-14, -0x1.b9ad68817a9c6p-14, -0x1.a9c2f7629f17cp-14, -0x1.9a597809dc63ap-14, -0x1.8b6c4461a7383p-14, -0x1.7cf6e334ccc5ep-14, -0x1.6ef506a649b9dp-14, -0x1.61628ab471cb8p-14, -0x1.543b73c725b6bp-14, -0x1.477bed48d217fp-14, -0x1.3b204849fb5dbp-14, -0x1.2f24fa2f133f6p-14, -0x1.23869b685beccp-14, -0x1.1841e6339a714p-14, -0x1.0d53b5675bc63p-14, -0x1.02b9034792622p-14, -0x1.f0ddd0c69e6a9p-15, -0x1.dce534f6c069cp-15, -0x1.c982d6e330969p-15, -0x1.b6b190811a4ep-15, -0x1.a46c6ff721ce3p-15, -0x1.92aeb5ad69bp-15, -0x1.8173d26d3db31p-15, -0x1.70b7659000801p-15, -0x1.60753b3cf2751p-15, -0x1.50a94ab572b9cp-15, -0x1.414fb4af55026p-15, -0x1.3264c1bcf3031p-15, -0x1.23e4e0c2950edp-15, -0x1.15cca578dd37p-15, -0x1.0818c6fbd4b89p-15, -0x1.f58c3ccc96073p-16, -0x1.dba34af250a63p-16, -0x1.c270ea9cd33b7p-16, -0x1.a9ef8a2ecef3bp-16, -0x1.9219d1cc47b93p-16, -0x1.7aeaa102888b3p-16, -0x1.645d0c84e936ep-16, -0x1.4e6c5bfdc34fcp-16, -0x1.391407f301f8p-16, -0x1.244fb7bdc38ffp-16, -0x1.101b3f947e9fbp-16, -0x1.f8e53d4e2b159p-17, -0x1.d2a3fa98c2e09p-17, -0x1.ad6b568149a55p-17, -0x1.89343be8db613p-17, -0x1.65f7ddd6c0a04p-17, -0x1.43afb454f37ep-17, -0x1.2255796a941ebp-17, -0x1.01e326336fd78p-17, -0x1.c4a5e02759511p-18, -0x1.873e8c0d7ffd2p-18, -0x1.4b859c11ac3a2p-18, -0x1.1170c533ad42dp-18, -0x1.b1ec4164d938ep-19, -0x1.44184ee73d8c4p-19, -0x1.b2a6b667c985fp-20, -0x1.c62ef2421ec1fp-21, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.cd9305389fbaap-1, 0x1.cb0b4afc7c8cap-1, 0x1.c871e73354b27p-1, 0x1.c5c71504e577cp-1, 0x1.c30b418e1b8b2p-1, 0x1.c03f096c0224ep-1, 0x1.bd6334f881654p-1, 0x1.ba78b3a1674dp-1, 0x1.b78096afc368p-1, 0x1.b47c0bc53decep-1, 0x1.b16c5746baed7p-1, 0x1.ae52cedf41c53p-1, 0x1.ab30d43ba498bp-1, 0x1.a807d0168d96fp-1, 0x1.a4d92da55467dp-1, 0x1.a1a6566ff875bp-1, 0x1.9e70ae99d5701p-1, 0x1.9b39919ccb973p-1, 0x1.98024f75a23c5p-1, 0x1.94cc2a3e1f85cp-1, 0x1.9198542faaf9p-1, 0x1.8e67ee08210d6p-1, 0x1.8b3c05c9b4d54p-1, 0x1.881595ce4f0fp-1, 0x1.84f58426a75c1p-1, 0x1.81dca23d4ff6ep-1, 0x1.7ecbacb62614ap-1, 0x1.7bc34b82d01afp-1, 0x1.78c412255f3aap-1, 0x1.75ce801a8bdacp-1, 0x1.72e301657f674p-1, 0x1.7001ef37981e5p-1, 0x1.6d2b90af0a3a5p-1, 0x1.6a601ba7c1985p-1, 0x1.679fb59a5b4d7p-1, 0x1.64ea74857c94ap-1, 0x1.62405fde3fedfp-1, 0x1.5fa17184cf9fcp-1, 0x1.5d0d96baa58e2p-1, 0x1.5a84b1183fdebp-1, 0x1.5806978065c02p-1, 0x1.5593170f67edep-1, 0x1.5329f404fea2bp-1, 0x1.50caeaa7ae5c5p-1, 0x1.4e75b020c7eb9p-1, 0x1.4c29f3504bc33p-1, 0x1.49e75d9823c76p-1, 0x1.47ad939e46fd2p-1, 0x1.457c36057da6ap-1, 0x1.4352e21c9a0ap-1, 0x1.413132840de9cp-1, 0x1.3f16bfc9dd207p-1, 0x1.3d0320fbfddd4p-1, 0x1.3af5ec3147b58p-1, 0x1.38eeb7091ae39p-1, 0x1.36ed1721fc9bep-1, 0x1.34f0a2875fabp-1, 0x1.32f8f016e7348p-1, 0x1.310597dd69102p-1, 0x1.2f16336c01cb6p-1, 0x1.2d2a5e258c555p-1, 0x1.2b41b584ceea4p-1, 0x1.295bd95bb3e37p-1, 0x1.27786c0be3bd2p-1, 0x1.259712b91177fp-1, 0x1.23b7757553b71p-1, 0x1.21d93f67d445bp-1, 0x1.1ffc1eee2fbbdp-1, 0x1.1e1fc5b8cd9ccp-1, 0x1.1c43e8e2804fep-1, 0x1.1a684103b9b47p-1, 0x1.188c8a4196b86p-1, 0x1.16b084590cb68p-1, 0x1.14d3f2a679b47p-1, 0x1.12f69c29d5f27p-1, 0x1.11184b87c88e7p-1, 0x1.0f38cf07d51aap-1, 0x1.0d57f88fde67bp-1, 0x1.0b759d9d342b1p-1, 0x1.0991973b5a201p-1, 0x1.07abc1f8c07e3p-1, 0x1.05c3fdd996abdp-1, 0x1.03da2e48e4993p-1, 0x1.01ee3a08180f8p-1, 0x1.00000b1d295ccp-1, 0x1.fc1f1d7efec29p-2, 0x1.f8396a8766a4fp-2, 0x1.f44ee40cb4ec5p-2, 0x1.f05f76abdc7ebp-2, 0x1.ec6b14b7f13e3p-2, 0x1.e871b60b30a7ap-2, 0x1.e47357d6f8e28p-2, 0x1.e06ffc72dea2bp-2, 0x1.dc67ab2b09e1fp-2, 0x1.d85a700e0b944p-2, 0x1.d4485bba4ea4bp-2, 0x1.d031832b50a76p-2, 0x1.cc15ff86bd84p-2, 0x1.c7f5ede993ec7p-2, 0x1.c3d16f3572ba1p-2, 0x1.bfa8a7de21aabp-2, 0x1.bb7bbfb77e645p-2, 0x1.b74ae1c3d68adp-2, 0x1.b3163c02d1364p-2, 0x1.aeddff40f48a7p-2, 0x1.aaa25ee7dd6d8p-2, 0x1.a66390cf3af52p-2, 0x1.a221cd0e98185p-2, 0x1.9ddd4dd00b65cp-2, 0x1.99964f23ccbefp-2, 0x1.954d0ed4c866dp-2, 0x1.9101cc3e31978p-2, 0x1.8cb4c822200dep-2, 0x1.8866448140e6bp-2, 0x1.84168473a1d68p-2, 0x1.7fc5cc0298eefp-2, 0x1.7b746003d30fdp-2, 0x1.772285f589033p-2, 0x1.72d083dbdf3ap-2, 0x1.6e7ea01f733dbp-2, 0x1.6a2d216d1827fp-2, 0x1.65dc4e96c0cfcp-2, 0x1.618c6e759c106p-2, 0x1.5d3dc7cd5d037p-2, 0x1.58f0a130b5c58p-2, 0x1.54a540e6fa385p-2, 0x1.505becd2f0798p-2, 0x1.4c14ea5ac7234p-2, 0x1.47d07e5131c82p-2, 0x1.438eecdfa7434p-2, 0x1.3f507971bd07p-2, 0x1.3b1566a19be57p-2, 0x1.36ddf6258c1eep-2, 0x1.32aa68be8f0adp-2, 0x1.2e7afe28088cdp-2, 0x1.2a4ff5086c76cp-2, 0x1.26298ae2eb711p-2, 0x1.2207fc0a212cep-2, 0x1.1deb8393b398cp-2, 0x1.19d45b4ce319bp-2, 0x1.15c2bbb006efcp-2, 0x1.11b6dbdaea594p-2, 0x1.0db0f1860ae37p-2, 0x1.09b130fcab98bp-2, 0x1.05b7cd15b9178p-2, 0x1.01c4f72d7bed8p-2, 0x1.fbb1be401486ep-3, 0x1.f3e76688f4579p-3, 0x1.ec2b40d19a32bp-3, 0x1.e47da39d105bdp-3, 0x1.dcdee24ff2c17p-3, 0x1.d54f4d2c42438p-3, 0x1.cdcf314e73c13p-3, 0x1.c65ed8abacdbap-3, 0x1.befe8a11205a7p-3, 0x1.b7ae89248b132p-3, 0x1.b06f1665ae24bp-3, 0x1.a9406f30d033dp-3, 0x1.a222cdc22ec91p-3, 0x1.9b16693a54622p-3, 0x1.941b75a34988cp-3, 0x1.8d3223f69ac72p-3, 0x1.865aa2241bba5p-3, 0x1.7f951b1969e59p-3, 0x1.78e1b6ca1bedp-3, 0x1.72409a3897f0ap-3, 0x1.6bb1e77f7f6fbp-3, 0x1.6535bddbb5fc1p-3, 0x1.5ecc39b6e2313p-3, 0x1.587574b275403p-3, 0x1.523185b3293a8p-3, 0x1.4c0080ecde5cap-3, 0x1.45e277eeeb93p-3, 0x1.3fd779b0be298p-3, 0x1.39df929ecdebap-3, 0x1.33facca7e232p-3, 0x1.2e292f4a90fcdp-3, 0x1.286abfa3038cap-3, 0x1.22bf8078e4517p-3, 0x1.1d27724d85263p-3, 0x1.17a2936a27dap-3, 0x1.1230dfee65825p-3, 0x1.0cd251deb73a8p-3, 0x1.0786e1330b339p-3, 0x1.024e83e571841p-3, 0x1.fa525c019e3f5p-4, 0x1.f02da35f2523ap-4, 0x1.e62ebe94dbfe3p-4, 0x1.dc558ace17bebp-4, 0x1.d2a1e1cd6b4aap-4, 0x1.c9139a09e6b91p-4, 0x1.bfaa86cc2a93cp-4, 0x1.b666784b50df8p-4, 0x1.ad473bc9b4b7ap-4, 0x1.a44c9bb161f37p-4, 0x1.9b765fb068a64p-4, 0x1.92c44cd4ce47bp-4, 0x1.8a3625a84dc79p-4, 0x1.81cbaa4bb1f29p-4, 0x1.79849891e94b9p-4, 0x1.7160ac1aba8b9p-4, 0x1.695f9e6d1c6b8p-4, 0x1.618127112cac7p-4, 0x1.59c4fba9bfae4p-4, 0x1.522ad00d8949fp-4, 0x1.4ab2565fd979dp-4, 0x1.435b3f28e92p-4, 0x1.3c25396db6e8dp-4, 0x1.350ff2c7703f7p-4, 0x1.2e1b177a6545p-4, 0x1.2746528c84a07p-4, 0x1.20914ddb6007bp-4, 0x1.19fbb231b468bp-4, 0x1.1385275c7a179p-4, 0x1.0d2d543f74eaep-4, 0x1.06f3dee94ba8fp-4, 0x1.00d86ca71edc1p-4, 0x1.f5b5442f468c2p-5, 0x1.e9f4467b7dca9p-5, 0x1.de6d27254deb7p-5, 0x1.d31f2c2f026ebp-5, 0x1.c8099acd0dc9cp-5, 0x1.bd2bb7875693dp-5, 0x1.b284c6598b3d3p-5, 0x1.a8140ad27d5fcp-5, 0x1.9dd8c83287d36p-5, 0x1.93d2418900ee4p-5, 0x1.89ffb9d0b9a5bp-5, 0x1.8060740b8c5fap-5, 0x1.76f3b35d0061fp-5, 0x1.6db8bb23ff0fp-5, 0x1.64aecf13a3078p-5, 0x1.5bd5334b20d67p-5, 0x1.532b2c6ccec9dp-5, 0x1.4aafffb44ae89p-5, 0x1.4262f30bc6103p-5, 0x1.3a434d207871fp-5, 0x1.325055763cfa1p-5, 0x1.2a89547a5dd47p-5, 0x1.22ed939591b4fp-5, 0x1.1b7c5d3d30389p-5, 0x1.1434fd039cab5p-5, 0x1.0d16bfa7f1676p-5, 0x1.0620f324ea09cp-5, 0x1.fea5cd7e27c44p-6, 0x1.f157d6248c07fp-6, 0x1.e456a43ccd376p-6, 0x1.d7a0dea706505p-6, 0x1.cb352f3a72f8ap-6, 0x1.bf1242dafa4adp-6, 0x1.b336c98d71034p-6, 0x1.a7a1768a9b7fap-6, 0x1.9c510050fb87fp-6, 0x1.914420b56f809p-6, 0x1.867994f2ac2d9p-6, 0x1.7bf01db794898p-6, 0x1.71a67f347f2cdp-6, 0x1.679b812769f8fp-6, 0x1.5dcdeee72ace7p-6, 0x1.543c976d9a7dbp-6, 0x1.4ae64d60cda5dp-6, 0x1.41c9e71b5c367p-6, 0x1.38e63eb3c005dp-6, 0x1.303a3202ceb3ep-6, 0x1.27c4a2a9628ecp-6, 0x1.1f8476152465bp-6, 0x1.1778958496a8bp-6, 0x1.0f9fee0a50f21p-6, 0x1.07f9708f83e5fp-6, 0x1.008411d5c61cap-6, 0x1.f27d94f058686p-7, 0x1.e4512dd77b3fbp-7, 0x1.d680eefe7fc36p-7, 0x1.c90ae0b4d2208p-7, 0x1.bbed12f8f4bb4p-7, 0x1.af259d748f18p-7, 0x1.a2b29f77715eap-7, 0x1.96923ff1856cbp-7, 0x1.8ac2ad6bc5653p-7, 0x1.7f421e003d5dap-7, 0x1.740ecf51236b9p-7, 0x1.6927067f1c96fp-7, 0x1.5e89101e9dcddp-7, 0x1.5433402c9311bp-7, 0x1.4a23f2023a93cp-7, 0x1.405988485d8b4p-7, 0x1.36d26ce9c56c5p-7, 0x1.2d8d110521d94p-7, 0x1.2487ecde4c2a8p-7, 0x1.1bc17fcefbf9cp-7, 0x1.13385036f400bp-7, 0x1.0aeaeb6bae7a2p-7, 0x1.02d7e5a79175ep-7, 0x1.f5fbb3f166dcbp-8, 0x1.e6b6d45e6e51p-8, 0x1.d7de7d968c173p-8, 0x1.c9700dd561a6p-8, 0x1.bb68f06c78bd7p-8, 0x1.adc69d9d46287p-8, 0x1.a0869a729d39ep-8, 0x1.93a67899a6dfep-8, 0x1.8723d63a630fp-8, 0x1.7afc5dcfc2081p-8, 0x1.6f2dc5ff63d3ep-8, 0x1.63b5d1710275p-8, 0x1.58924ea596dc2p-8, 0x1.4dc117ce41e76p-8, 0x1.434012a2fec6cp-8, 0x1.390d30392df8fp-8, 0x1.2f266cd9ffa09p-8, 0x1.2589cfd8c364fp-8, 0x1.1c356b692a873p-8, 0x1.13275c7580f63p-8, 0x1.0a5dca74e6aa2p-8, 0x1.01d6e7418ee99p-8, 0x1.f321ddde1fc31p-9, 0x1.e3144f4189a35p-9, 0x1.d381c2c09a6c7p-9, 0x1.c466ebe856611p-9, 0x1.b5c0916d19701p-9, 0x1.a78b8cd87c57bp-9, 0x1.99c4ca37a03e2p-9, 0x1.8c6947c9ec00ap-9, 0x1.7f7615b03b3a5p-9, 0x1.72e8559c94f6bp-9, 0x1.66bd3a8266af3p-9, 0x1.5af2084753e72p-9, 0x1.4f8413749ee6fp-9, 0x1.4470c0e931e88p-9, 0x1.39b5858c4ee5p-9, 0x1.2f4fe600ede76p-9, 0x1.253d7659d132cp-9, 0x1.1b7bd9ce4eaf6p-9, 0x1.1208c26fdc1e3p-9, 0x1.08e1f0e05cf4dp-9, 0x1.0005340936f1bp-9, 0x1.eee0d1a66df6ap-10, 0x1.de42f3be84b1ap-10, 0x1.ce2cbe7fb4ebep-10, 0x1.be9a3c66fe08cp-10, 0x1.af8791bfbe8f5p-10, 0x1.a0f0fc1bdc7e3p-10, 0x1.92d2d1cdadbc2p-10, 0x1.852981639320bp-10, 0x1.77f191256a1d8p-10, 0x1.6b279e93ba02ap-10, 0x1.5ec85de8b1213p-10, 0x1.52d0999af2edbp-10, 0x1.473d31e2299e6p-10, 0x1.3c0b1c3d752b8p-10, 0x1.313762fba6cdbp-10, 0x1.26bf24c548fa9p-10, 0x1.1c9f942882828p-10, 0x1.12d5f726c86d6p-10, 0x1.095fa6c45b34dp-10, 0x1.003a0e99a19a3p-10, 0x1.eec558cc91c5bp-11, 0x1.ddae1f4c6d47p-11, 0x1.cd29b25091ae5p-11, 0x1.bd33754dbed3ep-11, 0x1.adc6ecc45dc3p-11, 0x1.9edfbd78b3185p-11, 0x1.9079abae98581p-11, 0x1.82909a68b7f6dp-11, 0x1.75208aab446bp-11, 0x1.68259ac2251a5p-11, 0x1.5b9c058a91ee6p-11, 0x1.4f8021c01621ap-11, 0x1.43ce614cf383cp-11, 0x1.3883509ddd337p-11, 0x1.2d9b95f903f2fp-11, 0x1.2313f0d868d4cp-11, 0x1.18e9394771f9bp-11, 0x1.0f185f43b2f62p-11, 0x1.059e6a20e5f21p-11, 0x1.f8f0efe010013p-12, 0x1.e74779d3220dcp-12, 0x1.d63b05b57b7b2p-12, 0x1.c5c6512bc67c7p-12, 0x1.b5e442cb7f00cp-12, 0x1.a68fe9078009fp-12, 0x1.97c47922650e4p-12, 0x1.897d4e26af2ebp-12, 0x1.7bb5e7e495ef8p-12, 0x1.6e69e9f571e34p-12, 0x1.61951ac4ad76fp-12, 0x1.5533629e231aap-12, 0x1.4940cac1d9e98p-12, 0x1.3db97c7d05cc8p-12, 0x1.3299c0483e07p-12, 0x1.27ddfceacc75p-12, 0x1.1d82b6a307f88p-12, 0x1.13848e53a4033p-12, 0x1.09e040b5db1f4p-12, 0x1.0092a59067d9ep-12, 0x1.ef315de662fc2p-13, 0x1.ddded0ef3703ap-13, 0x1.cd27ed0abea97p-13, 0x1.bd072b37c44cp-13, 0x1.ad77333fd907p-13, 0x1.9e72da5b639b2p-13, 0x1.8ff521de2bdf4p-13, 0x1.81f935ec32fe4p-13, 0x1.747a6c36b56p-13, 0x1.677442c13236dp-13, 0x1.5ae25eae4726cp-13, 0x1.4ec08b14441b4p-13, 0x1.430ab7d9508f6p-13, 0x1.37bcf896f626p-13, 0x1.2cd38384eabe2p-13, 0x1.224ab06b04647p-13, 0x1.181ef79a172f8p-13, 0x1.0e4cf0ebb4ea3p-13, 0x1.04d152c89c1cdp-13, 0x1.f751e26b5a0adp-14, 0x1.e5a179ceaa5e6p-14, 0x1.d48b84b67ad79p-14, 0x1.c40a51f038e8cp-14, 0x1.b41864672bc2ep-14, 0x1.a4b0717be7dd7p-14, 0x1.95cd5f675e261p-14, 0x1.876a43a915886p-14, 0x1.798261808513ap-14, 0x1.6c11287123eb5p-14, 0x1.5f1232d10b28fp-14, 0x1.52814461dfd2cp-14, 0x1.465a48f3d0d94p-14, 0x1.3a9953126953cp-14, 0x1.2f3a9abafe9bbp-14, 0x1.243a7c1c81863p-14, 0x1.199576607a5a5p-14, 0x1.0f482a7cf7ab2p-14, 0x1.054f5a0f3ac3dp-14, 0x1.f74fcc7dd78f4p-15, 0x1.e49d9d5342925p-15, 0x1.d28260ad0dd82p-15, 0x1.c0f88963e5f06p-15, 0x1.affac1216bcfap-15, 0x1.9f83e675ec031p-15, 0x1.8f8f0afcca2d6p-15, 0x1.8017718f4717ap-15, 0x1.71188c853fb2ep-15, 0x1.628dfc038eedcp-15, 0x1.54738c57bad2p-15, 0x1.46c534608f996p-15, 0x1.397f140359d23p-15, 0x1.2c9d72ad6a30bp-15, 0x1.201cbde18f771p-15, 0x1.13f987d139592p-15, 0x1.08308600f1dbap-15, 0x1.f97d1fefc9859p-16, 0x1.e3413bf44d0cdp-16, 0x1.cda78f9ae34dap-16, 0x1.b8aa8710278bcp-16, 0x1.a444c8d38378bp-16, 0x1.9071337c1ddf9p-16, 0x1.7d2adb908b3bcp-16, 0x1.6a6d0970b01d3p-16, 0x1.5833375169445p-16, 0x1.46790f49616a6p-16, 0x1.353a696eb08dep-16, 0x1.24734a04bbd9ep-16, 0x1.141fdfb9e5bf7p-16, 0x1.043c81f4a172ap-16, 0x1.e98b5e5ed19e6p-17, 0x1.cb7016c66f619p-17, 0x1.ae20bd0034591p-17, 0x1.919725e6bed87p-17, 0x1.75cd687626fcbp-17, 0x1.5abddb0cb6735p-17, 0x1.406310c48d637p-17, 0x1.26b7d6e595a7dp-17, 0x1.0db7326eea73ap-17, 0x1.eab8bb6e329fbp-18, 0x1.bb458c44f614bp-18, 0x1.8d0c13de004f7p-18, 0x1.6003ec298bd6dp-18, 0x1.34250875a23aap-18, 0x1.0967b17e9e4f7p-18, 0x1.bf89034b05ebfp-19, 0x1.6e68c295ecad3p-19, 0x1.1f61069b7d7f8p-19, 0x1.a4c986ae6dc3cp-20, 0x1.0ecee90d9969fp-20, 0x1.f2e8bb76b44fcp-22, -0x1.18bb6444ba736p-24, -0x1.3831d2516171ap-21, -0x1.2302ac19d4198p-20, -0x1.a65d6b7796b23p-20, -0x1.131e63f2ecc3ep-19, -0x1.5159d008a85c9p-19, -0x1.8dea0d072c4dp-19, -0x1.c8d7d62a897efp-19, -0x1.0115c99793f03p-18, -0x1.1cf6ae39118a6p-18, -0x1.38127f729ece4p-18, -0x1.526cffebecd4ap-18, -0x1.6c09d04b41881p-18, -0x1.84ec70f13ac3ep-18, -0x1.9d1843a1424c1p-18, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      50, 0x1.603d1cc100e6bp+2, 0x1.fa5533fb0734ep+0, 0x1.245e29d6e4387p+2, -0x1.3ff9cd683c4b8p-5, 
      {{
        {0x1.90a3d70a3d70ap+1, 0x1.96b77c2da2fb7p+1, 0x1.444e4359f1e3ep-3, -0x1.8fd3185817554p-2, 0x1.8b6628322839p-2, 0x1.d71c9bff98508p-5}, 
        {0x1.96b77c2da2fb7p+1, 0x1.9ccb213b8ef75p+1, 0x1.20233f0e219aap-3, -0x1.69e23710bbadp-2, 0x1.93c94634c49ecp-2, -0x1.26693d10cdd7p-2}, 
        {0x1.9ccb213b8ef75p+1, 0x1.a2dec65ef4822p+1, 0x1.ff1190ff9fbb8p-4, -0x1.4589030fdc0d2p-2, 0x1.69daebd62b9fap-2, -0x1.71d7623d28f5ap-3}, 
        {0x1.a2dec65ef4822p+1, 0x1.a8f26b6ce07ep+1, 0x1.c46ee667a885cp-4, -0x1.246d8081b2be8p-2, 0x1.4f84a2401ebd2p-2, -0x1.8f7ed28bd44eap-3}, 
        {0x1.a8f26b6ce07ep+1, 0x1.af0610904608dp+1, 0x1.8fd74f9a8d839p-4, -0x1.05ebd4fe89019p-2, 0x1.3311bf7e02778p-2, -0x1.6b748f493b1cbp-3}, 
        {0x1.af0610904608dp+1, 0x1.b519b5b3ab939p+1, 0x1.60cb13d07190fp-4, -0x1.d3fcf1949de6fp-3, 0x1.192fe119d0a5bp-2, -0x1.59c816acab9aap-3}, 
        {0x1.b519b5b3ab939p+1, 0x1.bb2d5ac1978f8p+1, 0x1.36d1ba3ecd11cp-4, -0x1.a0eddef400588p-3, 0x1.009034cb4dc35p-2, -0x1.43f253035868p-3}, 
        {0x1.bb2d5ac1978f8p+1, 0x1.c140ffe4fd1a4p+1, 0x1.1179d4f8d852fp-4, -0x1.72660f919c764p-3, 0x1.d2fd2ed45b091p-3, -0x1.301f028e29b39p-3}, 
        {0x1.c140ffe4fd1a4p+1, 0x1.c754a4f2e9163p+1, 0x1.e0b196c404dacp-5, -0x1.481d658416af4p-3, 0x1.a7accb9500c4ep-3, -0x1.1c79043abeafbp-3}, 
        {0x1.c754a4f2e9163p+1, 0x1.cd684a164ea0fp+1, 0x1.a615499346ef2p-5, -0x1.21cf8e45ead9dp-3, 0x1.7f28cca00b2eap-3, -0x1.09a52b71280a8p-3}, 
        {0x1.cd684a164ea0fp+1, 0x1.d37bef39b42bcp+1, 0x1.7263a63698bffp-5, -0x1.fe73de9238c43p-4, 0x1.595342cda9774p-3, -0x1.eec33dfd27258p-4}, 
        {0x1.d37bef39b42bcp+1, 0x1.d98f9447a027bp+1, 0x1.44edfacbb6eddp-5, -0x1.c038aa450f52fp-4, 0x1.3617a1804fa9ep-3, -0x1.cb7e4653a6c1ep-4}, 
        {0x1.d98f9447a027bp+1, 0x1.dfa3396b05b27p+1, 0x1.1d1194fc1bb1fp-5, -0x1.8871398d8366p-4, 0x1.155ef8aca4647p-3, -0x1.a997504014355p-4}, 
        {0x1.dfa3396b05b27p+1, 0x1.e5b6de78f1ae6p+1, 0x1.f46eae4d49a3ap-6, -0x1.56a5cf7df5896p-4, 0x1.ee20b5764e14bp-4, -0x1.88d690366929ap-4}, 
        {0x1.e5b6de78f1ae6p+1, 0x1.ebca839c57392p+1, 0x1.b7a69b2df007ap-6, -0x1.2a630d305c46ap-4, 0x1.b62da9f47f403p-4, -0x1.6974445dc6417p-4}, 
        {0x1.ebca839c57392p+1, 0x1.f1de28bfbcc3fp+1, 0x1.82c887954b866p-6, -0x1.0339ed0351233p-4, 0x1.82b2e3955fa14p-4, -0x1.4b4991b982257p-4}, 
        {0x1.f1de28bfbcc3fp+1, 0x1.f7f1cdcda8bfdp+1, 0x1.54e6b31a21a8fp-6, -0x1.c17fca5ab95f9p-5, 0x1.5384021b0c652p-4, -0x1.2e6346fcc5238p-4}, 
        {0x1.f7f1cdcda8bfdp+1, 0x1.fe0572f10e4aap+1, 0x1.2d27307922336p-6, -0x1.851d710b2c35bp-5, 0x1.2872d2234cdf5p-4, -0x1.12c8d783e918ep-4}, 
        {0x1.fe0572f10e4aap+1, 0x1.020c8c0a39eabp+2, 0x1.0ac30fb1394dap-6, -0x1.5089313bbd01ap-5, 0x1.01500edc1f33bp-4, -0x1.f0df8f3014664p-5}, 
        {0x1.020c8c0a39eabp+2, 0x1.05165e912fe8ap+2, 0x1.da0b122e8b15cp-7, -0x1.230846067a0c6p-5, 0x1.bbdbe6eaf67f9p-5, -0x1.beaf7972d71b2p-5}, 
        {0x1.05165e912fe8ap+2, 0x1.08203122e2ae1p+2, 0x1.a6964e08ed26ap-7, -0x1.f7d13409b2174p-6, 0x1.7c3d8fb6636b6p-5, -0x1.8f1ad44239fe6p-5}, 
        {0x1.08203122e2ae1p+2, 0x1.0b2a03a9d8acp+2, 0x1.7a01e12f19181p-7, -0x1.b501e1bbd6f02p-6, 0x1.43660735b3171p-5, -0x1.61fbfc7df9e77p-5}, 
        {0x1.0b2a03a9d8acp+2, 0x1.0e33d63b8b716p+2, 0x1.5347284741bfp-7, -0x1.7c61ab6217f15p-6, 0x1.10fb9c1d90cb7p-5, -0x1.377880c71ecd5p-5}, 
        {0x1.0e33d63b8b716p+2, 0x1.113da8cd3e36cp+2, 0x1.317d231ce1cc6p-7, -0x1.4cc12e6961b3cp-6, 0x1.c93e81a39f564p-6, -0x1.0f74b97298303p-5}, 
        {0x1.113da8cd3e36cp+2, 0x1.14477b543434cp+2, 0x1.13d6c8ffdbbe6p-7, -0x1.2502b78f1ffbcp-6, 0x1.7bebb43908945p-6, -0x1.d3f41b33f7a4p-6}, 
        {0x1.14477b543434cp+2, 0x1.17514de5e6fa2p+2, 0x1.f342bc98f021fp-8, -0x1.041a00d830cep-6, 0x1.3945eb6eead77p-6, -0x1.8e239be54d37ap-6}, 
        {0x1.17514de5e6fa2p+2, 0x1.1a5b206cdcf81p+2, 0x1.c48591c1055ddp-8, -0x1.d218e2f78a382p-7, 0x1.009198af3e418p-6, -0x1.4d510cd574e95p-6}, 
        {0x1.1a5b206cdcf81p+2, 0x1.1d64f2fe8fbd7p+2, 0x1.9a6fc9afc0864p-8, -0x1.a5e1fb94fcc23p-7, 0x1.a23176baa1ce5p-7, -0x1.11a42ccf719acp-6}, 
        {0x1.1d64f2fe8fbd7p+2, 0x1.206ec5904282ep+2, 0x1.7425b32136d2cp-8, -0x1.81e04b23b4e02p-7, 0x1.543f4db08eb2dp-7, -0x1.b603e4da6fdd3p-7}, 
        {0x1.206ec5904282ep+2, 0x1.237898173880dp+2, 0x1.50f2dca2f8feep-8, -0x1.648818dfbdbdbp-7, 0x1.15dd14777d0c7p-7, -0x1.52e1daf44b355p-7}, 
        {0x1.237898173880dp+2, 0x1.26826aa8eb463p+2, 0x1.3046be7b316bep-8, -0x1.4c70aa808d6abp-7, 0x1.cb32944b43a3p-8, -0x1.f3f6f0dbc9e74p-8}, 
        {0x1.26826aa8eb463p+2, 0x1.298c3d2fe1443p+2, 0x1.11b1640bd1432p-8, -0x1.38548606d9c89p-7, 0x1.83fda7615b7eap-8, -0x1.5646f0143ab4p-8}, 
        {0x1.298c3d2fe1443p+2, 0x1.2c960fc194099p+2, 0x1.e9c02b5d5faf5p-9, -0x1.27115146cd824p-7, 0x1.533e15f197178p-8, -0x1.9a1cdab04248cp-9}, 
        {0x1.2c960fc194099p+2, 0x1.2f9fe25346cefp+2, 0x1.b33404476d10fp-9, -0x1.17a7cfc060b69p-7, 0x1.3609a47c987c2p-8, -0x1.604c1d0ed17e1p-10}, 
        {0x1.2f9fe25346cefp+2, 0x1.32a9b4da3cccep+2, 0x1.7f79d0c402c4cp-9, -0x1.093c00690ac61p-7, 0x1.297e6a1b2fa92p-8, 0x1.14d8f82c53f35p-13}, 
        {0x1.32a9b4da3cccep+2, 0x1.35b3876bef925p+2, 0x1.4e73822213842p-9, -0x1.f629dc761f9ddp-8, 0x1.2ab9d9ef20cdep-8, 0x1.53c555cb81f35p-10}, 
        {0x1.35b3876bef925p+2, 0x1.38bd59f2e5904p+2, 0x1.2022d071956c3p-9, -0x1.d939b62830dcfp-8, 0x1.36d2e62f16198p-8, 0x1.1a25a87ac34a3p-9}, 
        {0x1.38bd59f2e5904p+2, 0x1.3bc72c849855ap+2, 0x1.e9451bf39082ep-10, -0x1.bac257bb03d25p-8, 0x1.4aea802713eecp-8, 0x1.618e3f7a5148bp-9}, 
        {0x1.3bc72c849855ap+2, 0x1.3ed0ff164b1bp+2, 0x1.983ff42b1a68fp-10, -0x1.9a24ca4517667p-8, 0x1.6417e57e84adcp-8, 0x1.8075de1c5f794p-9}, 
        {0x1.3ed0ff164b1bp+2, 0x1.41dad19d4119p+2, 0x1.4da829ab504a8p-10, -0x1.7708819771797p-8, 0x1.7f78b15e5a032p-8, 0x1.76d2636a8a5f3p-9}, 
        {0x1.41dad19d4119p+2, 0x1.44e4a42ef3de6p+2, 0x1.09f9e43e1fcecp-10, -0x1.515b167d2ed3fp-8, 0x1.9a29c631ef4b1p-8, 0x1.445b529f80ec9p-9}, 
        {0x1.44e4a42ef3de6p+2, 0x1.47ee76b5e9dc5p+2, 0x1.9b5c33c34e7ecp-11, -0x1.29508c86ba33p-8, 0x1.b142de09ac0e3p-8, 0x1.d332eed6bd959p-10}, 
        {0x1.47ee76b5e9dc5p+2, 0x1.4af849479ca1bp+2, 0x1.325a6a240f88p-11, -0x1.fec63c2ef7aa4p-9, 0x1.c1e56f70a9eb7p-8, 0x1.96ac59b3d3907p-11}, 
        {0x1.4af849479ca1bp+2, 0x1.4e021bd94f672p+2, 0x1.b306ef2fbda5cp-12, -0x1.a8a709f97013ep-9, 0x1.c922dedc4de9cp-8, -0x1.156e33bf71dd5p-11}, 
        {0x1.4e021bd94f672p+2, 0x1.510bee6045651p+2, 0x1.222bd6de88429p-12, -0x1.524fea37fb162p-9, 0x1.c432775844687p-8, -0x1.1e4e58ca3fcfcp-9}, 
        {0x1.510bee6045651p+2, 0x1.5415c0f1f82a7p+2, 0x1.637c969c6bb36p-13, -0x1.fcc0db4717eb4p-10, 0x1.afcf0be013824p-8, -0x1.060cdb06f9e44p-8}, 
        {0x1.5415c0f1f82a7p+2, 0x1.571f9378ee286p+2, 0x1.81051f666f3dep-14, -0x1.5fd76808936p-10, 0x1.8a7c951a720b9p-8, -0x1.b638a6cd3a5b7p-8}, 
        {0x1.571f9378ee286p+2, 0x1.5a29660aa0eddp+2, 0x1.5754e9b890c85p-15, -0x1.abbcf543fe624p-11, 0x1.4c12d92d3c634p-8, -0x1.f0a103b7620d4p-8}, 
        {0x1.5a29660aa0eddp+2, 0x1.5d33389c53b33p+2, 0x1.adb17726b853dp-17, -0x1.94b8e96de5b1bp-12, 0x1.05578ac91c8dep-8, -0x1.10ad63d2fa7d3p-6}, 
        {0x1.5d33389c53b33p+2, 0x1.603d1cc100e6bp+2, 0x1.c55d62482c1aep-20, -0x1.f6c55b9e20c76p-14, 0x1.a7ff41168bf5dp-10, 0x1.e3c40376c99f8p-5}, 
      }}, 
      -0x1.d26b5facfc262p+0, 0x1.b4ef3245eebfap+3
    }
  };
  // clang-format on
}
SkfData params_hyb_0_2_ag_c() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.34aef7db0e76bp-2, 0x1.2b6a858ed723cp-2, 0x1.1f24d4a06ccd4p-2, 0x1.1013fe4d071ffp-2, 0x1.fcddf8ae9d658p-3, 0x1.d4e3e83da4a86p-3, 0x1.a8c7ff251405fp-3, 0x1.79180e872c91fp-3, 0x1.465c9b203d466p-3, 0x1.112291405b102p-3, 0x1.b3ece87369b47p-4, 0x1.42b6e5aa5f5a1p-4, 0x1.9f32683051ecp-5, 0x1.6dfd8871877fbp-6, -0x1.8ba4446b552f2p-8, -0x1.18969ddaeea1fp-5, -0x1.fcfa7044f4167p-5, -0x1.6ea9964eb86c1p-4, -0x1.dc3c2a46dbb59p-4, -0x1.235a7656f1132p-3, -0x1.56d3a848703e1p-3, -0x1.8862de3ce37c2p-3, -0x1.b7cce080e37c9p-3, -0x1.e5006e7d13d7p-3, -0x1.07f2286821c07p-2, -0x1.1c315ebac8249p-2, -0x1.2f353986d00f4p-2, -0x1.40f7eb45eb36cp-2, -0x1.5176a7e9e0f7ep-2, -0x1.60b16809bd577p-2, -0x1.6eaa5dd95c51p-2, -0x1.7b65528d63b87p-2, -0x1.86e72c3c8a7cdp-2, -0x1.9135bbd249c12p-2, -0x1.9a57c04b87c1p-2, -0x1.a254f453a2d13p-2, -0x1.a93604ec6fb9dp-2, -0x1.af0467ae4c17dp-2, -0x1.b3ca1d18f325bp-2, -0x1.b7917654d3a25p-2, -0x1.ba64f1112caeap-2, -0x1.bc4f2c829bcf7p-2, -0x1.bd5aec41f7d9p-2, -0x1.bd9319df17d0ap-2, -0x1.bd02bba6857f5p-2, -0x1.bbb4e00011109p-2, -0x1.b9b48346e1555p-2, -0x1.b70c77ab2b30dp-2, -0x1.b3c7543ecfb31p-2, -0x1.afef6c3e0d556p-2, -0x1.ab8ecc838a834p-2, -0x1.a6af3beefcceep-2, -0x1.a15a3bcfad45ap-2, -0x1.9b990655c293p-2, -0x1.95748a59e568p-2, -0x1.8ef565343c009p-2, -0x1.8823dc572ef1dp-2, -0x1.8107d87f54a96p-2, -0x1.79a8e39967d8ap-2, -0x1.720e297985053p-2, -0x1.6a3e7aa6cb29bp-2, -0x1.6240501a6841dp-2, -0x1.5a19cedb5fc54p-2, -0x1.51d4740a57936p-2, -0x1.496e5bd4b7c9bp-2, -0x1.40f0a5675529ep-2, -0x1.3860355a4bf13p-2, -0x1.2fc19a506bbdep-2, -0x1.271912658bc9cp-2, -0x1.1e6a91eaeba37p-2, -0x1.15b9ca453585cp-2, -0x1.0d0a2fd9280b9p-2, -0x1.045efe54ad09fp-2, -0x1.f776764bfe798p-3, -0x1.e6436cdbf6cd8p-3, -0x1.d52a161742811p-3, -0x1.c42f3cede3f19p-3, -0x1.b357420f339eap-3, -0x1.a2a61e1804c76p-3, -0x1.921f65ab93aa2p-3, -0x1.81c64f51f6844p-3, -0x1.719dbaa809cc4p-3, -0x1.61a838418a51cp-3, -0x1.51e81194d1ca7p-3, -0x1.425f505aaef5p-3, -0x1.330fc4f533a76p-3, -0x1.23fb0ba36761bp-3, -0x1.1522907ba0272p-3, -0x1.06879251f0122p-3, -0x1.f056499bf3a8cp-4, -0x1.d41c6402ae48fp-4, -0x1.b862f79c7068ap-4, -0x1.9d2b3ac0462f2p-4, -0x1.827619c76810fp-4, -0x1.68443b25c3baap-4, -0x1.4e96042b453cp-4, -0x1.356b9e4ae363fp-4, -0x1.1cc4fcabf2731p-4, -0x1.04a1e1bd7ea78p-4, -0x1.da03c90440444p-5, -0x1.abc8eaa9c05ffp-5, -0x1.7e91c3f6bdacbp-5, -0x1.525cb1e5e0766p-5, -0x1.2727d8017b363p-5, -0x1.f9e2488bec578p-6, -0x1.a76ca43dacf8fp-6, -0x1.56e9d9c10d6cp-6, -0x1.0854a43617639p-6, -0x1.774ed0442ffddp-7, -0x1.c370e445228e7p-8, -0x1.3f670153561cap-9, 0x1.f2d1c3591c42cp-10, 0x1.91e1bf8c35b79p-8, 0x1.4ff7fee79586p-7, 0x1.d37dac61179c5p-7, 0x1.29c81baeec91ep-6, 0x1.681f0962ab30ap-6, 0x1.a4cae078fd237p-6, 0x1.dfd2e04e5302p-6, 0x1.0c9f1ee43d529p-5, 0x1.288a0de8ffc01p-5, 0x1.43adc2919b725p-5, 0x1.5e0db3b8ed559p-5, 0x1.77ad4805ad1e6p-5, 0x1.908fd4e57d4adp-5, 0x1.a8b89e262fdfbp-5, 0x1.c02ad617a37cp-5, 0x1.d6e99e1ce3ef3p-5, 0x1.ecf80791ce61cp-5, 0x1.012c8a7572ed6p-4, 0x1.0b87dd7b7ff58p-4, 0x1.158f71168b78cp-4, 0x1.1f44b3fa179c8p-4, 0x1.28a90feb699a2p-4, 0x1.31bdea4b9a8f7p-4, 0x1.3a84a48e3aa49p-4, 0x1.42fe9c9a45832p-4, 0x1.4b2d2d1457c8ep-4, 0x1.5311ad922b191p-4, 0x1.5aad72b820a38p-4, 0x1.6201ce42594afp-4, 0x1.69100efb5c0d9p-4, 0x1.6fd980a2cc17fp-4, 0x1.765f6bc701baep-4, 0x1.7ca3159493e18p-4, 0x1.82a5bf9ef4f14p-4, 0x1.8868a7a51512dp-4, 0x1.8de4685aa6b3fp-4, 0x1.932d105bc7e4ep-4, 0x1.9839bcbfec7d9p-4, 0x1.9d0b914ce7e09p-4, 0x1.a1a3ac71c201dp-4, 0x1.a603274092217p-4, 0x1.aa2b156fd0372p-4, 0x1.ae1c85630debdp-4, 0x1.b1d8803b04229p-4, 0x1.b56009ec6c5fap-4, 0x1.b8b4215d535e2p-4, 0x1.bbd5c0884a05cp-4, 0x1.bec5dca4a8ad7p-4, 0x1.c18566535ef8fp-4, 0x1.c41549cf5bc85p-4, 0x1.c6766f20c66fp-4, 0x1.c8a9ba522804bp-4, 0x1.cab00ba6be04bp-4, 0x1.cc8a3fd0d77b9p-4, 0x1.ce393027cfb0bp-4, 0x1.cfbdb2dc79783p-4, 0x1.d1189b2ba6bb7p-4, 0x1.d24ab98df75bap-4, 0x1.d354dbe4a0431p-4, 0x1.d437cda2af80dp-4, 0x1.d4f457f29522fp-4, 0x1.d58b41d7d4a92p-4, 0x1.d5fd504caf90fp-4, 0x1.d64b465bea679p-4, 0x1.d675e536a71a5p-4, 0x1.d67dec468b0fbp-4, 0x1.d664193c52746p-4, 0x1.d629281b0e509p-4, 0x1.d5cdd340503dbp-4, 0x1.d552d3698859bp-4, 0x1.d4b8dfb6d4cc1p-4, 0x1.d400adabbc406p-4, 0x1.d32af12df8468p-4, 0x1.d2385c82be6eap-4, 0x1.d129a04aec66cp-4, 0x1.cfff6b7e4be0bp-4, 0x1.ceba6b66625c5p-4, 0x1.cd5b4b9913343p-4, 0x1.cbe2b5f34c391p-4, 0x1.ca51529426682p-4, 0x1.c8a7c7d8854c2p-4, 0x1.c6e6ba57978bfp-4, 0x1.c50ecce020067p-4, 0x1.c320a076e83d2p-4, 0x1.c11cd4562c8ep-4, 0x1.bf0405ee2c74ep-4, 0x1.bcd6d0e6c7f61p-4, 0x1.ba95cf2226ad8p-4, 0x1.b84198c048d73p-4, 0x1.b5dac4236d35fp-4, 0x1.b361e5f52c2cap-4, 0x1.b0d7912c2156dp-4, 0x1.ae3c5711f7a5ap-4, 0x1.ab90c749c668fp-4, 0x1.a8d56fd678e6ep-4, 0x1.a60add214081bp-4, 0x1.a33199ffcccf2p-4, 0x1.a04a2fba3f147p-4, 0x1.9d552610aeed8p-4, 0x1.9a53034025bb6p-4, 0x1.97444c071541ap-4, 0x1.942983a9052eap-4, 0x1.91032bf197eedp-4, 0x1.8dd1c536c205ap-4, 0x1.8a95ce5a38acep-4, 0x1.874fc4ca0ec07p-4, 0x1.8400248087012p-4, 0x1.80a768031e245p-4, 0x1.7d460860d57c9p-4, 0x1.79dc7d2fc6256p-4, 0x1.766b3c8a1039cp-4, 0x1.72f2bb0a32bfap-4, 0x1.6f736bc6da5b4p-4, 0x1.6bedc04e4079dp-4, 0x1.686228a128abep-4, 0x1.64d1132d930ebp-4, 0x1.613aecc937a51p-4, 0x1.5da020abdd19p-4, 0x1.5a011869a001cp-4, 0x1.565e3bed3ccdcp-4, 0x1.52b7f1726a63p-4, 0x1.4f0e9d805c274p-4, 0x1.4b62a2e47279bp-4, 0x1.47b462ad30233p-4, 0x1.44043c25759d5p-4, 0x1.40528cd014a9ap-4, 0x1.3c9fb063c3c9cp-4, 0x1.38ec00c774955p-4, 0x1.3537d60f16144p-4, 0x1.31838678c7291p-4, 0x1.2dcf666a7afa3p-4, 0x1.2a1bc87010c33p-4, 0x1.2668fd39e048bp-4, 0x1.22b7539bba955p-4, 0x1.1f07188c5dc39p-4, 0x1.1b58972556e93p-4, 0x1.17ac18a354f2ep-4, 0x1.1401e466dff3bp-4, 0x1.105a3ff57b3d9p-4, 0x1.0cb56efb234e6p-4, 0x1.0913b34c2c24ep-4, 0x1.05754ce772cbap-4, 0x1.01da79f8e273ep-4, 0x1.fc86edb888a9ep-5, 0x1.f560fc40b00c8p-5, 0x1.ee4391145440ap-5, 0x1.e72f1a3156278p-5, 0x1.e0240210f2633p-5, 0x1.d922afafc0b8p-5, 0x1.d22b869609fabp-5, 0x1.cb3ee6e0737edp-5, 0x1.c45d2d48f5d05p-5, 0x1.bd86b330142a1p-5, 0x1.b6bbcea655043p-5, 0x1.affcd275ebe43p-5, 0x1.a94a0e2c995c1p-5, 0x1.a2a3ce25b59cap-5, 0x1.9c0a5b945e905p-5, 0x1.957dfc8dd0898p-5, 0x1.8efef413dabbfp-5, 0x1.888d821f74153p-5, 0x1.8229e3ab696ap-5, 0x1.7bd452bf2606fp-5, 0x1.758d0679926c5p-5, 0x1.6f54331c08d97p-5, 0x1.692a0a1561c5dp-5, 0x1.630eba0d0c501p-5, 0x1.5d026eee44957p-5, 0x1.570551f34de7bp-5, 0x1.511789b0cb9fcp-5, 0x1.4b393a2120f94p-5, 0x1.456a84afe60acp-5, 0x1.3fab88456a76dp-5, 0x1.39fc615245d5ap-5, 0x1.345d29daf902p-5, 0x1.2ecdf9839b038p-5, 0x1.294ee59b92fc1p-5, 0x1.23e001296137bp-5, 0x1.1e815cf66e37p-5, 0x1.1933079ae7cc9p-5, 0x1.13f50d89a9228p-5, 0x1.0ec7791c269f4p-5, 0x1.09aa529e65662p-5, 0x1.049da05af49a8p-5, 0x1.ff42cd4ddd75bp-6, 0x1.f56b4fdbf97bep-6, 0x1.ebb4c97cb74cdp-6, 0x1.e21f37a9bbbb5p-6, 0x1.d8aa9451e3abfp-6, 0x1.cf56d5f13da44p-6, 0x1.c623efa9040f5p-6, 0x1.bd11d1577ee06p-6, 0x1.b42067afdaa7bp-6, 0x1.ab4f9c51e922bp-6, 0x1.a29f55e1c38ap-6, 0x1.9a0f781f570f1p-6, 0x1.919fe3fdc93d2p-6, 0x1.895077babcb08p-6, 0x1.81210ef56c488p-6, 0x1.791182c59463dp-6, 0x1.7121a9d2361cep-6, 0x1.695158681eb5bp-6, 0x1.6167ce20938d7p-6, 0x1.59d5636ef1fc2p-6, 0x1.5261f1dc5f176p-6, 0x1.4b0d4540bab73p-6, 0x1.43d7278b41b41p-6, 0x1.3cbf60d739a1bp-6, 0x1.35c5b78045481p-6, 0x1.2ee9f0367eb44p-6, 0x1.282bce122ca8cp-6, 0x1.218b12a7369cap-6, 0x1.1b077e1840104p-6, 0x1.14a0cf2972f5ap-6, 0x1.0e56c352f9e05p-6, 0x1.082916d3223fp-6, 0x1.021784c02f119p-6, 0x1.f8438e33a317ap-7, 0x1.ec8f2db4aa0aap-7, 0x1.e111580ed501ap-7, 0x1.d5c97b8549602p-7, 0x1.cab704b340739p-7, 0x1.bfd95eab97313p-7, 0x1.b52ff317c5f4p-7, 0x1.aaba2a561d0c5p-7, 0x1.a0776b9754349p-7, 0x1.96671cfb6e527p-7, 0x1.8c88a3adf2ed2p-7, 0x1.82db64016c75fp-7, 0x1.795ec18a434e6p-7, 0x1.70121f38ebb41p-7, 0x1.66f4df7359e5bp-7, 0x1.5e06642dd5d7ap-7, 0x1.55460f031efc6p-7, 0x1.4cb3414bdeb8ap-7, 0x1.444d5c3574a1cp-7, 0x1.3c13c0d8160c5p-7, 0x1.3405d04c47411p-7, 0x1.2c22ebbfa96acp-7, 0x1.246a7489200d4p-7, 0x1.1cdbcc3c53efbp-7, 0x1.157654bc8d481p-7, 0x1.0e39704eec9d9p-7, 0x1.072481ac00d5bp-7, 0x1.0036ec10c079dp-7, 0x1.f2e0269dae911p-8, 0x1.e59eb7b8d00f2p-8, 0x1.d8a855c64ae49p-8, 0x1.cbfbcc9dad147p-8, 0x1.bf97e9b689799p-8, 0x1.b37b7c431cc21p-8, 0x1.a7a55549d500ap-8, 0x1.9c1447bdb872fp-8, 0x1.90c728959a50ep-8, 0x1.85bccee254411p-8, 0x1.7af413e3cb4dap-8, 0x1.706bd31cfdb6ap-8, 0x1.6622ea66f161ep-8, 0x1.5c183a02a977bp-8, 0x1.524aa4aa175a1p-8, 0x1.48b90fa013a1bp-8, 0x1.3f6262bf54255p-8, 0x1.3645888886749p-8, 0x1.2d616e2f71c82p-8, 0x1.24b503a73c442p-8, 0x1.1c3f3badcbf45p-8, 0x1.13ff0bd65a062p-8, 0x1.0bf36c932bddcp-8, 0x1.041b593e86db6p-8, 0x1.f8eba045bf4efp-9, 0x1.ea03a5048a0fbp-9, 0x1.db7cc93a44c29p-9, 0x1.cd551b7086359p-9, 0x1.bf8ab044684eap-9, 0x1.b21ba27000abfp-9, 0x1.a50612d2a3145p-9, 0x1.98482877f1a98p-9, 0x1.8be0109dd4c07p-9, 0x1.7fcbfeb965a32p-9, 0x1.740a2c7abd07dp-9, 0x1.6898d9cfec2cfp-9, 0x1.5d764ce6dc7b1p-9, 0x1.52a0d22e84942p-9, 0x1.4816bc57104bdp-9, 0x1.3dd664515d7c8p-9, 0x1.33de294daec34p-9, 0x1.2a2c70b9af279p-9, 0x1.20bfa63dbc8dcp-9, 0x1.17963bb989463p-9, 0x1.0eaea94037a1cp-9, 0x1.06076d13b97fp-9, 0x1.fb3e173facac2p-10, 0x1.eae81ee8e058p-10, 0x1.db0a127ee94b6p-10, 0x1.cba11f8c3e0d2p-10, 0x1.bcaa7fbbf5252p-10, 0x1.ae2378ca811c5p-10, 0x1.a0095c75abf5dp-10, 0x1.9259886babd8ap-10, 0x1.85116639640e2p-10, 0x1.782e6b37bcf0dp-10, 0x1.6bae18783b539p-10, 0x1.5f8dfab0ba1bbp-10, 0x1.53cbaa262d485p-10, 0x1.4864ca96f7c3dp-10, 0x1.3d570b23fe128p-10, 0x1.32a0263931e67p-10, 0x1.283de1753ec4cp-10, 0x1.1e2e0d9060c03p-10, 0x1.146e8642816c9p-10, 0x1.0afd32287ca72p-10, 0x1.01d802a8ac0afp-10, 0x1.f1f9e7ad47255p-11, 0x1.e0d418ac82cbcp-11, 0x1.d03aba7beddcfp-11, 0x1.c02a03f0a0188p-11, 0x1.b09e4049f5aa8p-11, 0x1.a193cef1efe6dp-11, 0x1.9307233ca1ecp-11, 0x1.84f4c4262c6e5p-11, 0x1.77594c0ffc21cp-11, 0x1.6a31687ce07b9p-11, 0x1.5d79d9cc13555p-11, 0x1.512f72f3b3d34p-11, 0x1.454f193a76a16p-11, 0x1.39d5c3f08164fp-11, 0x1.2ec07c28254d6p-11, 0x1.240c5c6defdc6p-11, 0x1.19b69080840f5p-11, 0x1.0fbc550823985p-11, 0x1.061af74e40df3p-11, 0x1.f99fa9ea44403p-12, 0x1.e7b0b75e9abdp-12, 0x1.d66411ef36dafp-12, 0x1.c5b4d391c15eap-12, 0x1.b59e34adcdda4p-12, 0x1.a61b8b8dea7b2p-12, 0x1.97284bd294e0fp-12, 0x1.88c005e6308fcp-12, 0x1.7ade66722137ep-12, 0x1.6d7f35d53edd6p-12, 0x1.609e579bea95ap-12, 0x1.5437c9f9b6ca1p-12, 0x1.4847a54416f1p-12, 0x1.3cca1b6f9fe68p-12, 0x1.31bb778deca6cp-12, 0x1.27181d4e5569p-12, 0x1.1cdc887ffa4d3p-12, 0x1.13054c94b3b8p-12, 0x1.098f142790695p-12, 0x1.0076a08399d47p-12, 0x1.ef71925adbff1p-13, 0x1.dea4f6daf9bd4p-13, 0x1.ce8173ba5e0d5p-13, 0x1.bf0137eb07f5p-13, 0x1.b01e9b3da6cdp-13, 0x1.a1d41d8611d5ap-13, 0x1.941c65c24f84dp-13, 0x1.86f2414504b96p-13, 0x1.7a50a2e33e518p-13, 0x1.6e32a2268688ap-13, 0x1.62937a7f16413p-13, 0x1.576e8a7dda68cp-13, 0x1.4cbf530d7ef55p-13, 0x1.428176b04bdf9p-13, 0x1.38b0b8c0a7744p-13, 0x1.2f48fcb55d514p-13, 0x1.2646456754e17p-13, 0x1.1da4b45bbdf4dp-13, 0x1.1560890f9ad42p-13, 0x1.0d76204795348p-13, 0x1.05e1f3615e967p-13, 0x1.fd412f51cb0cbp-14, 0x1.ef5d7b5e68028p-14, 0x1.e21261494cde9p-14, 0x1.d559ab6ce2963p-14, 0x1.c92d56da1abe1p-14, 0x1.bd87921e0acf9p-14, 0x1.b262bc0bd9837p-14, 0x1.a7b9628aca042p-14, 0x1.9d86416a9760bp-14, 0x1.93c4413b5fb4fp-14, 0x1.8a6e762df3894p-14, 0x1.81801ef5c49c2p-14, 0x1.78f4a3b1a83ecp-14, 0x1.70c794d92db6ap-14, 0x1.68f4aa2ed8708p-14, 0x1.6177c1b89b249p-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.fa45564ec5f6ap-3, 0x1.ff28267d63ccfp-3, 0x1.014f491ab1754p-2, 0x1.024bde87680d8p-2, 0x1.028495a447163p-2, 0x1.01f7e63dcaf6ep-2, 0x1.00a70b4a18a1bp-2, 0x1.fd2ab0cdc73edp-3, 0x1.f79094d6f8497p-3, 0x1.f08e5ed1f1935p-3, 0x1.e8352939a9387p-3, 0x1.de98125296d51p-3, 0x1.d3cbfb19001e5p-3, 0x1.c7e6fb0c3493cp-3, 0x1.baffd10363309p-3, 0x1.ad2d8fdb0cd5dp-3, 0x1.9e8763e159195p-3, 0x1.8f245374fc509p-3, 0x1.7f1b094a33104p-3, 0x1.6e81aca672f4p-3, 0x1.5d6dba3dff136p-3, 0x1.4bf44b4101c26p-3, 0x1.3a27ca4a757bbp-3, 0x1.281b9983d593dp-3, 0x1.15e17860f99d3p-3, 0x1.0389fab4fc261p-3, 0x1.e2490cdfb9737p-4, 0x1.bd7ecd5c7bf1dp-4, 0x1.98cfc6315bd92p-4, 0x1.7454a056a858dp-4, 0x1.502425fa9694bp-4, 0x1.2c533861d7412p-4, 0x1.08f4c8075157ap-4, 0x1.cc33b8505b0adp-5, 0x1.87a3557ebc657p-5, 0x1.44537475b0172p-5, 0x1.025c07877dc8ap-5, 0x1.83a43eb6942abp-6, 0x1.05902c6e707aap-6, 0x1.1536cf77c2c98p-7, 0x1.2e0a04d6a1cb1p-10, -0x1.86284b33a6c4cp-8, -0x1.a525ce7c45352p-7, -0x1.402c0c2199c78p-6, -0x1.aa4b536eb5457p-6, -0x1.0874f0f6f0e8cp-5, -0x1.3a01f4c69670cp-5, -0x1.69cc34713d6aep-5, -0x1.97d475ebd2b31p-5, -0x1.c41ca83d011ebp-5, -0x1.eea7c97dccc95p-5, -0x1.0bbce76119594p-4, -0x1.1f4bc59d54f89p-4, -0x1.32034b529fefdp-4, -0x1.43e69ac9e6bb9p-4, -0x1.54f9228d2b5bdp-4, -0x1.653e94751dcfap-4, -0x1.74badcf9e1a2ap-4, -0x1.83721a7c3f96p-4, -0x1.91689509e0291p-4, -0x1.9ea2b731c816bp-4, -0x1.ab2507ea2a71fp-4, -0x1.b6f42504bed7dp-4, -0x1.c2143ace205ecp-4, -0x1.cc8b0b8abf15ep-4, -0x1.d65cd5ccb49b8p-4, -0x1.df8e5d989535p-4, -0x1.e82466799ea1dp-4, -0x1.f023b05af0532p-4, -0x1.f790f4b9ca51p-4, -0x1.fe70e40653ca7p-4, -0x1.026411918cad7p-3, -0x1.054da4874b1adp-3, -0x1.07f76e65674a6p-3, -0x1.0a63a9c6c3078p-3, -0x1.0c94879b1a1eap-3, -0x1.0e8c2e7fb9b4cp-3, -0x1.104cba316aaccp-3, -0x1.11d83b1540e33p-3, -0x1.1330b5d76a8dp-3, -0x1.1458231f050ap-3, -0x1.15506f558316fp-3, -0x1.161b7a8015e92p-3, -0x1.16bb18299d35bp-3, -0x1.17310f5ba4cabp-3, -0x1.177f1aa44e5d8p-3, -0x1.17a6e8264c9b2p-3, -0x1.17aa19afe7a8dp-3, -0x1.178a44d682cfdp-3, -0x1.1748f314cf601p-3, -0x1.16e7a1eac10e4p-3, -0x1.1667c2ff128a3p-3, -0x1.15cabc430412ap-3, -0x1.1511e8196674dp-3, -0x1.143e95827905ep-3, -0x1.1352084db32c6p-3, -0x1.124d7951f2de5p-3, -0x1.113216ab74621p-3, -0x1.100103fe4896ep-3, -0x1.0ebb5abbb7c93p-3, -0x1.0d622a6900dabp-3, -0x1.0bf678e64c4f7p-3, -0x1.0a7942b4ee8eap-3, -0x1.08eb7b3c49692p-3, -0x1.074e0d0cd2a3ap-3, -0x1.05a1da20e94fdp-3, -0x1.03e7bc1b693e1p-3, -0x1.02208484306d8p-3, -0x1.004cfd030e1b5p-3, -0x1.fcdbcf32ff6dfp-4, -0x1.f907fdb7811cap-4, -0x1.f51fec52b057cp-4, -0x1.f124f3ca936c1p-4, -0x1.ed185f5ba7307p-4, -0x1.e8fb6d2759fb1p-4, -0x1.e4cf4ea13f5f3p-4, -0x1.e09528fb2368ep-4, -0x1.dc4e158fc346bp-4, -0x1.d7fb224c7708dp-4, -0x1.d39d521992666p-4, -0x1.cf359d418e212p-4, -0x1.cac4f1d68b332p-4, -0x1.c64c3415db542p-4, -0x1.c1cc3ec8f5ca6p-4, -0x1.bd45e3a38799fp-4, -0x1.b8b9eb9e07c71p-4, -0x1.b429174cdbfd3p-4, -0x1.af941f33baea8p-4, -0x1.aafbb4159efffp-4, -0x1.a6607f414994cp-4, -0x1.a1c322da8eba3p-4, -0x1.9d243a20977b8p-4, -0x1.988459b1351b9p-4, -0x1.93e40fc95362cp-4, -0x1.8f43e482affcep-4, -0x1.8aa45a0ee9055p-4, -0x1.8605ecf004e37p-4, -0x1.8169142ea6d4ep-4, -0x1.7cce418e0b109p-4, -0x1.7835e1be08151p-4, -0x1.73a05c8b2c2ep-4, -0x1.6f0e150d1cd61p-4, -0x1.6a7f69d3533a5p-4, -0x1.65f4b51042899p-4, -0x1.616e4cc3048f2p-4, -0x1.5cec82df8d7bp-4, -0x1.586fa5758274dp-4, -0x1.53f82cdebe392p-4, -0x1.4f860930908ddp-4, -0x1.4b19a52239185p-4, -0x1.46b3408fd2957p-4, -0x1.425318251fabap-4, -0x1.3df9657c31358p-4, -0x1.39a65f3b1cf16p-4, -0x1.355a3930ca90bp-4, -0x1.31152470d3493p-4, -0x1.2cd74f6e795bap-4, -0x1.28a0e6169f1b9p-4, -0x1.247211e8c01c9p-4, -0x1.204afa0ee16f7p-4, -0x1.1c2bc37473d47p-4, -0x1.181490dc2e667p-4, -0x1.140582f4e6507p-4, -0x1.0ffeb86d6f84fp-4, -0x1.0c004e0792c6fp-4, -0x1.080a5eaa2e7bdp-4, -0x1.041d037288405p-4, -0x1.003853c4e7885p-4, -0x1.f8b8cab90862ap-5, -0x1.f11298b5a61ep-5, -0x1.e97e36ac727a3p-5, -0x1.e1fbc6d06bbeap-5, -0x1.da8b6875fbd26p-5, -0x1.d32d382d2e3f2p-5, -0x1.cbe14fdae55bbp-5, -0x1.c4a7c6d1154cep-5, -0x1.bd80b1e610d47p-5, -0x1.b66c238ae359bp-5, -0x1.af6a2be0cd48fp-5, -0x1.a87ad8cddab1dp-5, -0x1.a19e3610a724fp-5, -0x1.9ad44d5350ec4p-5, -0x1.941d263daac02p-5, -0x1.8d78c686afd7dp-5, -0x1.86e732054cfa3p-5, -0x1.80686ac080ad1p-5, -0x1.79fc70feec302p-5, -0x1.73a34355cf49ep-5, -0x1.6d5cdeb78e369p-5, -0x1.67293e81af6cep-5, -0x1.61085c8a7c25ep-5, -0x1.5afa312e326ap-5, -0x1.54feb35bd54eap-5, -0x1.4f15d8a1a7593p-5, -0x1.493f953949c29p-5, -0x1.437bdc13917cbp-5, -0x1.3dca9ee3fd93p-5, -0x1.382bce2bed81bp-5, -0x1.329f59457f3d2p-5, -0x1.2d252e6e22a1ap-5, -0x1.27bd3ad0e7935p-5, -0x1.22676a9079151p-5, -0x1.1d23a8d0d14c9p-5, -0x1.17f1dfc0a7286p-5, -0x1.12d1f8a292229p-5, -0x1.0dc3dbd5ebddep-5, -0x1.08c770df6b0acp-5, -0x1.03dc9e7182215p-5, -0x1.fe0694e8f1983p-6, -0x1.f476b41caa3c1p-6, -0x1.eb096354ffa5fp-6, -0x1.e1be6a0280335p-6, -0x1.d8958e3de853bp-6, -0x1.cf8e94d654608p-6, -0x1.c6a9415efe58ap-6, -0x1.bde5563cad804p-6, -0x1.b54294b2db696p-6, -0x1.acc0bcf07948ep-6, -0x1.a45f8e1c7e683p-6, -0x1.9c1ec66224f63p-6, -0x1.93fe22fcdda98p-6, -0x1.8bfd604416591p-6, -0x1.841c39b6b3e18p-6, -0x1.7c5a6a064cb51p-6, -0x1.74b7ab2239e7ap-6, -0x1.6d33b64268e4fp-6, -0x1.65ce43f1efef7p-6, -0x1.5e870c197a81bp-6, -0x1.575dc6098035cp-6, -0x1.5052288443608p-6, -0x1.4963e9c7aa61ep-6, -0x1.4292bf96da537p-6, -0x1.3bde5f43bc9bbp-6, -0x1.35467db83718ap-6, -0x1.2ecacf7f5b24dp-6, -0x1.286b08ce4247dp-6, -0x1.2226dd8ce1c05p-6, -0x1.1bfe015ea3a6bp-6, -0x1.15f027aacd64cp-6, -0x1.0ffd03a4d32e4p-6, -0x1.0a24485466828p-6, -0x1.0465a89d71aeep-6, -0x1.fd81ae8fba432p-7, -0x1.f26b0e0e4dfeep-7, -0x1.e786d503cb3abp-7, -0x1.dcd468b211102p-7, -0x1.d2532e5dfacd4p-7, -0x1.c8028b5d4cd5ep-7, -0x1.bde1e52455855p-7, -0x1.b3f0a1533c701p-7, -0x1.aa2e25c2edb7ep-7, -0x1.a099d891c1d33p-7, -0x1.9733202fdabc8p-7, -0x1.8df9636b135bap-7, -0x1.84ec097ab53b2p-7, -0x1.7c0a7a0ad2c2dp-7, -0x1.73541d47513a3p-7, -0x1.6ac85be69b88bp-7, -0x1.62669f341caabp-7, -0x1.5a2e511a43edfp-7, -0x1.521edc2c605e3p-7, -0x1.4a37abb00e6aep-7, -0x1.42782ba67426fp-7, -0x1.3adfc8d51cb4dp-7, -0x1.336df0ce86da9p-7, -0x1.2c2211fa7c46dp-7, -0x1.24fb9b9e1097ap-7, -0x1.1df9fde348476p-7, -0x1.171ca9e09a71ep-7, -0x1.106311a00df91p-7, -0x1.09cca8261c1dbp-7, -0x1.0358e178497ccp-7, -0x1.fa0e6546e4232p-8, -0x1.edae2383dd4f2p-8, -0x1.e18fec02999bdp-8, -0x1.d5b2af4fd1118p-8, -0x1.ca1560345558p-8, -0x1.beb6f3bf3f53cp-8, -0x1.b396614f6e3f3p-8, -0x1.a8b2a29c97ddap-8, -0x1.9e0ab3c001b3ep-8, -0x1.939d933c8d265p-8, -0x1.896a42066a5bap-8, -0x1.7f6fc38a46453p-8, -0x1.75ad1db416fb2p-8, -0x1.6c2158f56b66fp-8, -0x1.62cb804b389b3p-8, -0x1.59aaa14375118p-8, -0x1.50bdcc0200e37p-8, -0x1.480413454c6e2p-8, -0x1.3f7c8c6a8875ap-8, -0x1.37264f7198ebdp-8, -0x1.2f0077005c4c1p-8, -0x1.270a2065ca6ebp-8, -0x1.1f426b9ca596p-8, -0x1.17a87b4db3daep-8, -0x1.103b74d1d68ap-8, -0x1.08fa803397057p-8, -0x1.01e4c8304af03p-8, -0x1.f5f2f47270245p-9, -0x1.e86f8ce80a6dbp-9, -0x1.db3dbf764da7ep-9, -0x1.ce5bf73b5dceap-9, -0x1.c1c8a4be5930dp-9, -0x1.b5823dedc79ebp-9, -0x1.a9873e1de22f4p-9, -0x1.9dd626065bccdp-9, -0x1.926d7bbf56a52p-9, -0x1.874bcabe0f4b3p-9, -0x1.7c6fa3d0bc9f2p-9, -0x1.71d79d1a5db23p-9, -0x1.6782520dbac16p-9, -0x1.5d6e6368031b4p-9, -0x1.539a772af79e5p-9, -0x1.49edb1d0a9b41p-9, -0x1.4095a54b14dfep-9, -0x1.3779aeb81eddap-9, -0x1.2e9888f6179e2p-9, -0x1.25f0f403c6af5p-9, -0x1.1d81b4f854b46p-9, -0x1.154995fadbebdp-9, -0x1.0d4766396537bp-9, -0x1.0579f9dfd2017p-9, -0x1.fbc0541c4ebbp-10, -0x1.ecf1a99e1e73fp-10, -0x1.de85ba1b867cep-10, -0x1.d07a55170ac8dp-10, -0x1.c2cd53aaa8781p-10, -0x1.b57c9871ffc0ap-10, -0x1.a8860f74945a8p-10, -0x1.9be7ae0f13f9dp-10, -0x1.8f9f72dcea782p-10, -0x1.83ab65a0ebcep-10, -0x1.7809972db71e6p-10, -0x1.6cb8214e6ad1fp-10, -0x1.61b526ad94166p-10, -0x1.56fed2bdc7f4ap-10, -0x1.4c9359a07e8bbp-10, -0x1.4270f80d485dfp-10, -0x1.3895f338fa9cep-10, -0x1.2f0098bb6a28fp-10, -0x1.25af3e775f25bp-10, -0x1.1ca042803a95bp-10, -0x1.13d20b0018ef7p-10, -0x1.0b43061e33bf8p-10, -0x1.02f1a9e4d1b02p-10, -0x1.f5b8e84e65067p-11, -0x1.e603d4cf63157p-11, -0x1.d6c133799ad45p-11, -0x1.c7ee2d7010c5ap-11, -0x1.b987fa95bbafep-11, -0x1.ab8be1598cc1ep-11, -0x1.9df73681ddb0ep-11, -0x1.90c75cf7ef0dcp-11, -0x1.83f9c593848c7p-11, -0x1.778beee6ffd8cp-11, -0x1.6b7b650a31c1bp-11, -0x1.5fc5c166e2f16p-11, -0x1.5468aa85407f8p-11, -0x1.4961d3d7a1348p-11, -0x1.3eaefd872aa15p-11, -0x1.344df440563d3p-11, -0x1.2a3c910032167p-11, -0x1.2078b8e16b3eep-11, -0x1.17005ce9b8256p-11, -0x1.0dd179d78810bp-11, -0x1.04ea17f0c9999p-11, -0x1.f89095a0e3ae7p-12, -0x1.e7d4626b5e52fp-12, -0x1.d79be9a6a7b59p-12, -0x1.c7e3943cad25cp-12, -0x1.b8a7e03e2f4ep-12, -0x1.a9e560820728bp-12, -0x1.9b98bc44e90f4p-12, -0x1.8dbeaecef66c6p-12, -0x1.80540714a8adcp-12, -0x1.7355a75b0a703p-12, -0x1.66c084ddd627dp-12, -0x1.5a91a773ab3efp-12, -0x1.4ec62935e0b0fp-12, -0x1.435b3628100aep-12, -0x1.384e0be14e0fdp-12, -0x1.2d9bf933bebb5p-12, -0x1.23425dda80cefp-12, -0x1.193eaa233ebcfp-12, -0x1.0f8e5e9b4e328p-12, -0x1.062f0bbe21db5p-12, -0x1.fa3ca345396dbp-13, -0x1.e8b3bf58de024p-13, -0x1.d7bee87849e1fp-13, -0x1.c759b8c266899p-13, -0x1.b77fe71a09079p-13, -0x1.a82d468e8780dp-13, -0x1.995dc5c335afp-13, -0x1.8b0d6e5fc74a5p-13, -0x1.7d38647bd20ep-13, -0x1.6fdae61049287p-13, -0x1.62f14a6afbe1ap-13, -0x1.567801a16f6cep-13, -0x1.4a6b940809e98p-13, -0x1.3ec8a1acef248p-13, -0x1.338be1d1ace96p-13, -0x1.28b22267d6862p-13, -0x1.1e384791839a5p-13, -0x1.141b4b221a902p-13, -0x1.0a583c2251703p-13, -0x1.00ec3e520bf9p-13, -0x1.efa9136b474bfp-14, -0x1.de1cd43740209p-14, -0x1.cd2e7d4c91676p-14, -0x1.bcd8f2bef097dp-14, -0x1.ad173d82e2e51p-14, -0x1.9de48a96ed3a4p-14, -0x1.8f3c2a28b5814p-14, -0x1.81198ec14d98cp-14, -0x1.73784c6ba1df1p-14, -0x1.665417f1ce29ep-14, -0x1.59a8c60b7ab85p-14, -0x1.4d724a9882755p-14, -0x1.41acb7de4a187p-14, -0x1.36543dc8421bcp-14, -0x1.2b65292c150a4p-14, -0x1.20dbe3106e2e9p-14, -0x1.16b4effbf5d06p-14, -0x1.0cecef3e8958p-14, -0x1.03809a46e8898p-14, -0x1.f4d987f083336p-15, -0x1.e35cb000087a7p-15, -0x1.d284b46d91176p-15, -0x1.c24bcbf99b48fp-15, -0x1.b2ac5b3aa7a8fp-15, -0x1.a3a0f36a58617p-15, -0x1.952451391e9afp-15, -0x1.87315b9e79e49p-15, -0x1.79c322c56b6bfp-15, -0x1.6cd4dee78a2c6p-15, -0x1.6061ef419788dp-15, -0x1.5465d8f3a3139p-15, -0x1.48dc4609e34ddp-15, -0x1.3dc10472369b2p-15, -0x1.331005018f101p-15, -0x1.28c55a777da17p-15, -0x1.1edd38904775cp-15, -0x1.1553f316dc3abp-15, -0x1.0c25fcff19d13p-15, -0x1.034fe7858afp-15, -0x1.f59cc28ef3af5p-16, -0x1.e53c6afd22afap-16, -0x1.d578964680d8dp-16, -0x1.c64b483f95d12p-16, -0x1.b7aeb91552eeep-16, -0x1.a99d53ca16d61p-16, -0x1.9c11b4a388c97p-16, -0x1.8f06a7d5fb0cap-16, -0x1.82772804ac9cep-16, -0x1.765e5ce13ae49p-16, -0x1.6ab799e56c062p-16, -0x1.5f7e5ce65ad99p-16, -0x1.54ae4cdfacdc7p-16, -0x1.4a4338b330146p-16, -0x1.403915e0d1b26p-16, -0x1.368bff71584dp-16, -0x1.2d3834bcdd153p-16, -0x1.243a18535b386p-16, -0x1.1b8e2ed3d455bp-16, -0x1.13311df40e6a4p-16, -0x1.0b1fab66063e2p-16, -0x1.0356bbd692403p-16, -0x1.f7a6a3f342bcap-17, -0x1.e9251b1148781p-17, -0x1.db2354b774bcp-17, -0x1.cd9bff042f781p-17, -0x1.c089fcaebbe1fp-17, -0x1.b3e863568dd8fp-17, -0x1.a7b279e928388p-17, -0x1.9be3b6ec65852p-17, -0x1.9077beeef5b2cp-17, -0x1.856a6301564aep-17, -0x1.7ab79f32ef42fp-17, -0x1.705b992297792p-17, -0x1.66529e8c68523p-17, -0x1.5c9923f455a0ap-17, -0x1.532bc34a6bedap-17, -0x1.4a073a9a67408p-17, -0x1.41286ae4073b1p-17, -0x1.388c56bd5ea2fp-17, -0x1.30302128f4933p-17, -0x1.28110c9089fecp-17, -0x1.202c796fe5549p-17, -0x1.187fe57d91e48p-17, -0x1.1108ea72cc08fp-17, -0x1.09c53cf97e173p-17, -0x1.02b2abe3ea88ep-17, -0x1.f79e3df9e75acp-18, -0x1.ea312c8889755p-18, -0x1.dd1a51df928acp-18, -0x1.d05609218f4c2p-18, -0x1.c3e0d875d6d2ep-18, -0x1.b7b76f6305c96p-18, -0x1.abd6a535410b1p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.6e54e82aa26a2p-5, 0x1.26774f0cf9a7p-5, 0x1.9c6491935b082p-6, 0x1.9b397cdc6463cp-7, -0x1.c17dcc53a5d91p-10, -0x1.1d255edb70dccp-6, -0x1.190b48189f99p-5, -0x1.aba470d408445p-5, -0x1.2240d87b960f8p-4, -0x1.70f19479de8b5p-4, -0x1.c1112bcb0e108p-4, -0x1.08e98fcc7b911p-3, -0x1.313c01e2f0005p-3, -0x1.5929a6714177ap-3, -0x1.806475a76758ep-3, -0x1.a6a558fb01292p-3, -0x1.cbace12aee082p-3, -0x1.ef440522bc8c8p-3, -0x1.089df6a80a5cdp-2, -0x1.18b6d0c141bf8p-2, -0x1.27dce6ee4d4p-2, -0x1.3606c43ef27f1p-2, -0x1.43250aa954bacp-2, -0x1.4f3315172e24cp-2, -0x1.5a2d4058af4a3p-2, -0x1.64124bcd31f4dp-2, -0x1.6ce284aff7647p-2, -0x1.749f53eb17b06p-2, -0x1.7b4b4fe470233p-2, -0x1.80ea9771f20f1p-2, -0x1.8583104af76bep-2, -0x1.891c46ae6409ap-2, -0x1.8bbef96394cf7p-2, -0x1.8d74902ea73a5p-2, -0x1.8e46b761b267cp-2, -0x1.8e3f369d11d96p-2, -0x1.8d67f5658fb41p-2, -0x1.8bcb1093b8994p-2, -0x1.8972e77b50a9cp-2, -0x1.866a15550efc8p-2, -0x1.82bb58911e7dp-2, -0x1.7e71710c6903cp-2, -0x1.7996ff9b02ecp-2, -0x1.74366e52255e8p-2, -0x1.6e59e388999bcp-2, -0x1.680b3d1d3b79bp-2, -0x1.615410502feb4p-2, -0x1.5a3dab058a13p-2, -0x1.52d113b64ae32p-2, -0x1.4b17061670645p-2, -0x1.4317ec973a04fp-2, -0x1.3adbd942744cbp-2, -0x1.326a80be13985p-2, -0x1.29cb38740982ep-2, -0x1.2104f6f1557cbp-2, -0x1.181e551efa3fap-2, -0x1.0f1d8fa444908p-2, -0x1.06088868ebfb3p-2, -0x1.f9c990a4f7ca7p-3, -0x1.e76f0280b4602p-3, -0x1.d50b209a02602p-3, -0x1.c2a700e9761ccp-3, -0x1.b04b1b67025c6p-3, -0x1.9e01c9d87c601p-3, -0x1.8bcede8bb00f5p-3, -0x1.79ba0f7ef02e1p-3, -0x1.67c97bcf9c8e6p-3, -0x1.5602cbc9e0544p-3, -0x1.446b38421e1b8p-3, -0x1.33079029e21fbp-3, -0x1.21dc3c85b908dp-3, -0x1.10ed42f78e206p-3, -0x1.003e4727e3c3cp-3, -0x1.dfa5170ce2d17p-4, -0x1.bf59e417aba9p-4, -0x1.9f9ffb6fdd06dp-4, -0x1.807baad01a168p-4, -0x1.61f090add4a86p-4, -0x1.4401a880c8df7p-4, -0x1.26b159ad757bfp-4, -0x1.0a01880784494p-4, -0x1.dbe749601c0dp-5, -0x1.a5117c2639329p-5, -0x1.6f831be774d14p-5, -0x1.3b3d0991b6f02p-5, -0x1.083fa434cc624p-5, -0x1.ad15a7f8f7017p-6, -0x1.4c3c20cc7fa34p-6, -0x1.dbe18c94df20cp-7, -0x1.2461a540afe68p-7, -0x1.c7c5458d026a8p-9, 0x1.dbc280a50b8ecp-10, 0x1.c7cb70e22bafap-8, 0x1.8762e27cad962p-7, 0x1.12fe96061f40ep-6, 0x1.5fe198a6e3085p-6, 0x1.aa625205c90bcp-6, 0x1.f28910add98c9p-6, 0x1.1c2f420bd7a5cp-5, 0x1.3df5d4beed066p-5, 0x1.5e9cdd9275f4dp-5, 0x1.7e291158b10bp-5, 0x1.9c9f3763e470fp-5, 0x1.ba0425e8b3f35p-5, 0x1.d65cbfb5b0657p-5, 0x1.f1adf2e697737p-5, 0x1.05fe5c176668dp-4, 0x1.12a7092d8e84fp-4, 0x1.1ed386dd507c1p-4, 0x1.2a865f99f18b4p-4, 0x1.35c22170f5d01p-4, 0x1.40895d14cac5cp-4, 0x1.4adea4a4b7bf1p-4, 0x1.54c48a3a5f35fp-4, 0x1.5e3d9e4a91514p-4, 0x1.674c6deae463bp-4, 0x1.6ff3810f98fb9p-4, 0x1.783558d5c7f51p-4, 0x1.80146dec9af0cp-4, 0x1.87932f2df6f5dp-4, 0x1.8eb400732298ep-4, 0x1.957939ad7b427p-4, 0x1.9be526467ac02p-4, 0x1.a1fa04c5b018cp-4, 0x1.a7ba06b76d2e1p-4, 0x1.ad2750cbef35ap-4, 0x1.b243fb24f93a2p-4, 0x1.b71211c6fd289p-4, 0x1.bb939522dedecp-4, 0x1.bfca7aade9c4bp-4, 0x1.c3b8ad7ea934fp-4, 0x1.c7600ee6925f6p-4, 0x1.cac27701f4e1p-4, 0x1.cde1b5399925ap-4, 0x1.d0bf90b2cab4dp-4, 0x1.d35dc8ac9707ep-4, 0x1.d5be14ca0a61p-4, 0x1.d7e2254a85ddcp-4, 0x1.d9cba331d4fd4p-4, 0x1.db7c30620d14ep-4, 0x1.dcf567a97ec53p-4, 0x1.de38dcc6fdf7ap-4, 0x1.df481c669ab95p-4, 0x1.e024ac190f7bep-4, 0x1.e0d00a47dda2cp-4, 0x1.e14bae27fde8p-4, 0x1.e19907acc040ep-4, 0x1.e1b4960f022bap-4, 0x1.e1aa626918d0cp-4, 0x1.e1761d945acf6p-4, 0x1.e1191593b4882p-4, 0x1.e09490ccdb84cp-4, 0x1.dfe9ce2150446p-4, 0x1.df1a050c4d633p-4, 0x1.de2665c50b115p-4, 0x1.dd101964b4ff6p-4, 0x1.dbd8420f62d47p-4, 0x1.da7ffb1f1ce37p-4, 0x1.d908595073bd1p-4, 0x1.d7726aefbd1f2p-4, 0x1.d5bf3806a1d1p-4, 0x1.d3efc28968a63p-4, 0x1.d2050683d2abep-4, 0x1.cffffa4512a43p-4, 0x1.cde18e8af3286p-4, 0x1.cbaaaeabbadbp-4, 0x1.c95c40bef0177p-4, 0x1.c6f725c4a7acdp-4, 0x1.c47c39cb5b1fdp-4, 0x1.c1ec54141fbfep-4, 0x1.bf4847352b351p-4, 0x1.bc90e13a8096p-4, 0x1.b9c6ebc4dce36p-4, 0x1.b6eb2c26bc365p-4, 0x1.b3fe637f8afa9p-4, 0x1.b1014ed514ccfp-4, 0x1.adf4a72b28314p-4, 0x1.aad92199aaf15p-4, 0x1.a7af6f60fa31dp-4, 0x1.a4783dfcf1b95p-4, 0x1.a13437367576bp-4, 0x1.9de40133c3a65p-4, 0x1.9a883e8783447p-4, 0x1.97218e3ed4781p-4, 0x1.93b08bee5d277p-4, 0x1.9035cfbe7ffacp-4, 0x1.8cb1ee76df678p-4, 0x1.892579894a7e6p-4, 0x1.8590ff1c389b8p-4, 0x1.81f50a14f6a0cp-4, 0x1.7e522221a1b22p-4, 0x1.7aa8cbc31466dp-4, 0x1.76f98856dc991p-4, 0x1.7344d62156819p-4, 0x1.6f8b3057fa4fdp-4, 0x1.6bcd0f2bf04ebp-4, 0x1.680ae7d4f45f5p-4, 0x1.64452c9c89ad7p-4, 0x1.607c4ce984f05p-4, 0x1.5cb0b54be6e5p-4, 0x1.58e2cf8900d84p-4, 0x1.551302a7d6693p-4, 0x1.5141b2fdb81e5p-4, 0x1.4d6f423afda57p-4, 0x1.499c0f77dad0dp-4, 0x1.45c877413ae96p-4, 0x1.41f4d3a590651p-4, 0x1.3e217c4190076p-4, 0x1.3a4ec64cc2ab5p-4, 0x1.367d04a5e1372p-4, 0x1.32ac87deefd4p-4, 0x1.2edd9e490a54cp-4, 0x1.2b1093ffd92ep-4, 0x1.2745b2f4a8505p-4, 0x1.237d42f911a37p-4, 0x1.1fb789c9425abp-4, 0x1.1bf4cb15cc2d1p-4, 0x1.1835488d0704ap-4, 0x1.147941e403522p-4, 0x1.10c0f4df0d321p-4, 0x1.0d0c9d59c5228p-4, 0x1.095c754ed0ee3p-4, 0x1.05b0b4df2e4c1p-4, 0x1.020992592a311p-4, 0x1.fcce847e0f1f4p-5, 0x1.f593ee9abb92cp-5, 0x1.ee63c5026562fp-5, 0x1.e73e663bc3ca4p-5, 0x1.e0242d65a45afp-5, 0x1.d91572420969ap-5, 0x1.d2128941102c3p-5, 0x1.cb1bc38bb0d8fp-5, 0x1.c4316f0e55f54p-5, 0x1.bd53d683734a7p-5, 0x1.b683417e162adp-5, 0x1.afbff47480f9cp-5, 0x1.a90a30cad73c6p-5, 0x1.a26234dded8dfp-5, 0x1.9bc83c0e31db5p-5, 0x1.953c7ecac2c4p-5, 0x1.8ebf329cb18d8p-5, 0x1.88508a326c33ap-5, 0x1.81f0b56b5da72p-5, 0x1.7b9fe163babc2p-5, 0x1.755e38807ab8ep-5, 0x1.6f2be27b828f8p-5, 0x1.6909046ff2922p-5, 0x1.62f5c0e6a50fcp-5, 0x1.5cf237e2c861fp-5, 0x1.56fe86ee9b1c3p-5, 0x1.511ac9284514ep-5, 0x1.4b47174ec3c82p-5, 0x1.458387ceebd71p-5, 0x1.3fd02ed071909p-5, 0x1.3a2d1e42fc624p-5, 0x1.349a65eb409ebp-5, 0x1.2f1813700d4d1p-5, 0x1.29a6326759f91p-5, 0x1.2444cc634b5cep-5, 0x1.1ef3e8ff201ep-5, 0x1.19b38dec102bcp-5, 0x1.1483befe164cdp-5, 0x1.0f647e389cd37p-5, 0x1.0a55cbdb0b5adp-5, 0x1.0557a66d3ad5ap-5, 0x1.006a0acbc1d9ep-5, 0x1.f719e86848272p-6, 0x1.ed80b8a1a5221p-6, 0x1.e408768a213c5p-6, 0x1.dab10f714eba8p-6, 0x1.d17a6dc6f09a5p-6, 0x1.c8647931c09fcp-6, 0x1.bf6f16a5e7f9fp-6, 0x1.b69a287b29cc4p-6, 0x1.ade58e82af6c2p-6, 0x1.a551261c851adp-6, 0x1.9cdcca4cc3016p-6, 0x1.948853d0675d6p-6, 0x1.8c539931d69a6p-6, 0x1.843e6edd0b338p-6, 0x1.7c48a7337d1a2p-6, 0x1.7472129fa8007p-6, 0x1.6cba7fa8546bcp-6, 0x1.6521bb0388d0ap-6, 0x1.5da78fa927a64p-6, 0x1.564bc6e54f8cap-6, 0x1.4f0e286a5f44ap-6, 0x1.47ee7a62bc6fp-6, 0x1.40ec81824309ap-6, 0x1.3a08011774e3cp-6, 0x1.3340bb1c5555p-6, 0x1.2c9670470ca91p-6, 0x1.2608e01a2c8b9p-6, 0x1.1f97c8f4bfadap-6, 0x1.1942e82207163p-6, 0x1.1309f9e8f113fp-6, 0x1.0cecb99b52431p-6, 0x1.06eae1a4c533fp-6, 0x1.01042b9955ffep-6, 0x1.f670a087b1703p-7, 0x1.eb0e0f67fe2e9p-7, 0x1.dfe012985aecfp-7, 0x1.d4e6179dee2e4p-7, 0x1.ca1f8ad8ccb64p-7, 0x1.bf8bd79de6b74p-7, 0x1.b52a6850640a8p-7, 0x1.aafaa67a85f8p-7, 0x1.a0fbfae5e182ep-7, 0x1.972dcdb320ae6p-7, 0x1.8d8f867124b94p-7, 0x1.84208c339d051p-7, 0x1.7ae045a91f53bp-7, 0x1.71ce193095b9cp-7, 0x1.68e96cee34f0ap-7, 0x1.5ffeda9371943p-7, 0x1.5772e84fb0f66p-7, 0x1.4f12aac11502bp-7, 0x1.46dd87ff7a2ffp-7, 0x1.3ed2e64a62198p-7, 0x1.36f22c1a4e948p-7, 0x1.2f3ac03180b12p-7, 0x1.27ac09ac2cf75p-7, 0x1.204570102f914p-7, 0x1.19065b5c30c4ep-7, 0x1.11ee3416513c1p-7, 0x1.0afc635a4cf17p-7, 0x1.043052e71550ap-7, 0x1.fb12da57f9708p-8, 0x1.ee0e3aaab9f97p-8, 0x1.e1519eb184224p-8, 0x1.d4dbe00137508p-8, 0x1.c8abd9eefcc37p-8, 0x1.bcc069a5d0d4ap-8, 0x1.b1186e3b1fc76p-8, 0x1.a5b2c8c2a601fp-8, 0x1.9a8e5c6138c57p-8, 0x1.8faa0e5ed9a0dp-8, 0x1.8504c637f1271p-8, 0x1.7a9d6dada9083p-8, 0x1.7072f0d576b6dp-8, 0x1.66843e27eae06p-8, 0x1.5cd0468ea11eep-8, 0x1.5355fd7185a84p-8, 0x1.4a1458c33c58p-8, 0x1.410a510ce627ap-8, 0x1.3836e1791bfep-8, 0x1.2f9907de42041p-8, 0x1.272fc4c82494ap-8, 0x1.1efa1b80d33bcp-8, 0x1.16f7121905c7p-8, 0x1.0f25b16f9ebe7p-8, 0x1.07850538b09cap-8, 0x1.00141c03e09cfp-8, 0x1.f1a40e84438f9p-9, 0x1.e37bb695d2569p-9, 0x1.d5ad5ec18cd7fp-9, 0x1.c8373b6ac8acbp-9, 0x1.bb1786da14fd7p-9, 0x1.ae4c81432e69ep-9, 0x1.a1d470c9da075p-9, 0x1.95ada185bf1a5p-9, 0x1.89d6658556a09p-9, 0x1.7e4d14cfcf73dp-9, 0x1.73100d661ad0bp-9, 0x1.681db343087cep-9, 0x1.5d74705a7e5dbp-9, 0x1.5312b498096d4p-9, 0x1.48f6f5dc3f411p-9, 0x1.3f1faff9b0aa7p-9, 0x1.358b64b0f4f6ep-9, 0x1.2c389bac019c6p-9, 0x1.2325e278c1ee5p-9, 0x1.1a51cc8310113p-9, 0x1.11baf30e011c3p-9, 0x1.095ff52c9c9b2p-9, 0x1.013f77b9f2803p-9, 0x1.f2b04aa113c65p-10, 0x1.e3515c8335ab5p-10, 0x1.d45f911681838p-10, 0x1.c5d85f9d442c6p-10, 0x1.b7b94a8ace5d4p-10, 0x1.a9ffdf6dc9582p-10, 0x1.9ca9b6d95efcdp-10, 0x1.8fb4744e10cc5p-10, 0x1.831dc6217b12dp-10, 0x1.76e3656599f86p-10, 0x1.6b0315cf4e0a4p-10, 0x1.5f7aa59cb5fb2p-10, 0x1.5447ed7a48a25p-10, 0x1.4968d0682bc72p-10, 0x1.3edb3b9eb3e08p-10, 0x1.349d2672a827dp-10, 0x1.2aac9239335bcp-10, 0x1.21078a2b4a057p-10, 0x1.17ac234926233p-10, 0x1.0e987c3d41584p-10, 0x1.05cabd3f4b64fp-10, 0x1.fa822feda9b3cp-11, 0x1.e9f38ebb7e7cbp-11, 0x1.d9e61f45cc5f1p-11, 0x1.ca567c18e39bfp-11, 0x1.bb4151b44ef56p-11, 0x1.aca35e4f52412p-11, 0x1.9e79719dca7c9p-11, 0x1.90c06c947c691p-11, 0x1.8375412dc2dc1p-11, 0x1.7694f22e1a616p-11, 0x1.6a1c92e92de5p-11, 0x1.5e094706616fp-11, 0x1.52584245d2ddfp-11, 0x1.4706c845f2dap-11, 0x1.3c122c47e5e88p-11, 0x1.3177d0f56fc97p-11, 0x1.2735282663356p-11, 0x1.1d47b2a64900ap-11, 0x1.13acfff9ebc4ep-11, 0x1.0a62ae25bd11fp-11, 0x1.0166697397cf4p-11, 0x1.f16bd87230b9cp-12, 0x1.e09dfd3be2a71p-12, 0x1.d05eecc4df1c7p-12, 0x1.c0aa6d4c3a1abp-12, 0x1.b17c5f5ccb4eap-12, 0x1.a2d0bd5c425cp-12, 0x1.94a39b17419a4p-12, 0x1.86f125516a85dp-12, 0x1.79b5a153a595p-12, 0x1.6ced6c7b1e319p-12, 0x1.6094fbc926a1ep-12, 0x1.54a8db72f61d9p-12, 0x1.4925ae7212785p-12, 0x1.3e082e1531254p-12, 0x1.334d2991ec58dp-12, 0x1.28f18596a7748p-12, 0x1.1ef23bdd5b619p-12, 0x1.154c5abeed2f3p-12, 0x1.0bfd04c82051p-12, 0x1.0301704d83a87p-12, 0x1.f4adce04807d4p-13, 0x1.e3f58b1de4b3ep-13, 0x1.d3d4f65419487p-13, 0x1.c447126030609p-13, 0x1.b547057d5fcfcp-13, 0x1.a6d0189f0cab9p-13, 0x1.98ddb6ab36772p-13, 0x1.8b6b6bb6332ep-13, 0x1.7e74e440649c5p-13, 0x1.71f5ec79c96a2p-13, 0x1.65ea6f860fda8p-13, 0x1.5a4e76c22da78p-13, 0x1.4f1e291123887p-13, 0x1.4455ca285a0a3p-13, 0x1.39f1b9e05a64bp-13, 0x1.2fee73888a554p-13, 0x1.26488d3d8d4fdp-13, 0x1.1cfcb74339b8bp-13, 0x1.1407bb63f2059p-13, 0x1.0b667c4c7f73bp-13, 0x1.0315f4f25c47ep-13, 0x1.f6266ff287367p-14, 0x1.e6b6de37d2332p-14, 0x1.d7d7b533b604cp-14, 0x1.c983a14b78ddp-14, 0x1.bbb579af3adb3p-14, 0x1.ae683f44f2911p-14, 0x1.a1971b9926103p-14, 0x1.953d5fd2cad53p-14, 0x1.895683b059fabp-14, 0x1.7dde2488f604bp-14, 0x1.72d0044f76288p-14, 0x1.682808a06f9c8p-14, 0x1.5de239d0f5eddp-14, 0x1.53fac20475e4fp-14, 0x1.4a6dec4744da7p-14, 0x1.413823ac844f8p-14, 0x1.3855f272dd9a5p-14, 0x1.2fc4012c772cbp-14, 0x1.277f15eba7d78p-14, 0x1.1f841374b3b57p-14, 0x1.17cff873451b6p-14, 0x1.105fdeb449461p-14, 0x1.0930fa6469835p-14, 0x1.02409951d2506p-14, 0x1.f7184464bb54ap-15, 0x1.ea2227e29ceb8p-15, 0x1.dd9a09f059e21p-15, 0x1.d17b45079b524p-15, 0x1.c5c15ff6abc1fp-15, 0x1.ba680c8c6df5dp-15, 0x1.af6b265dfd41ap-15, 0x1.a4c6b17f48767p-15, 0x1.9a76d94e069c4p-15, 0x1.9077ef4611ac3p-15, 0x1.86c669d24cc97p-15, 0x1.7d5ee32fcbc4ep-15, 0x1.743e184f25e59p-15, 0x1.6b60e7c06de8cp-15, 0x1.62c450a422e72p-15, 0x1.5a6571a4b41aep-15, 0x1.524187f143dbep-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.ad120510e89d1p-4, 0x1.0a789282ce556p-4, 0x1.aaab4e87e464ep-6, -0x1.7c5775581085cp-7, -0x1.84021e11b1f4fp-5, -0x1.4b1847e2be35ep-4, -0x1.c99fff968712bp-4, -0x1.1e6b4556a0f47p-3, -0x1.522ca913e29c3p-3, -0x1.800636ce863e9p-3, -0x1.a80844fd0d164p-3, -0x1.ca5e292015e3cp-3, -0x1.e74771eac922ep-3, -0x1.ff119c719dc4dp-3, -0x1.090a53b25c5d1p-2, -0x1.10580f2adeeaap-2, -0x1.15a3c2d6708e2p-2, -0x1.191fc688dbef4p-2, -0x1.1afe4108bc33fp-2, -0x1.1b708716d16fbp-2, -0x1.1aa65fc9f99a3p-2, -0x1.18ce519b8a431p-2, -0x1.161097cbda621p-2, -0x1.12972fccdacf7p-2, -0x1.0e86e2fc60145p-2, -0x1.0a010bbb9d22ep-2, -0x1.0523fbac27b22p-2, -0x1.000b4ba0d361fp-2, -0x1.f59fe415485bfp-3, -0x1.eb105c45d06e3p-3, -0x1.e08ee10d88d63p-3, -0x1.d63ccbbbc5817p-3, -0x1.cc365acfd2f18p-3, -0x1.c293530a88c49p-3, -0x1.b9679b379933ep-3, -0x1.b0c3ac86ae635p-3, -0x1.a8b4d4625053p-3, -0x1.a1455ce00ea0cp-3, -0x1.9a7cb56a24642p-3, -0x1.945fabc1af953p-3, -0x1.8ef0b7d336401p-3, -0x1.8a305221883f9p-3, -0x1.861d47d97cdbfp-3, -0x1.82b5020298fb8p-3, -0x1.7ff3bc9750e37p-3, -0x1.7dd4b0d84a29ap-3, -0x1.7c523803de679p-3, -0x1.7b65ea890e164p-3, -0x1.7b08beeee14a1p-3, -0x1.7b332aaabb458p-3, -0x1.7bdd44795c65cp-3, -0x1.7cfee4e9bd17p-3, -0x1.7e8fc19429374p-3, -0x1.808782131e15p-3, -0x1.82ddd065029dbp-3, -0x1.858a66d228df3p-3, -0x1.88851c62c0ab1p-3, -0x1.8bc5effd00ea9p-3, -0x1.8f451213c7c7dp-3, -0x1.92faecf227225p-3, -0x1.96e02ba6e35dap-3, -0x1.9aedbf6663bc8p-3, -0x1.9f1ce3482c117p-3, -0x1.a36636738fe85p-3, -0x1.a7c50aaa963ap-3, -0x1.ac3305bbfe457p-3, -0x1.b0aa9f852bf56p-3, -0x1.b5269dba07cd3p-3, -0x1.b9a2147bdf6eap-3, -0x1.be18667cf2eb2p-3, -0x1.c285449a7752bp-3, -0x1.c6e4ad00849afp-3, -0x1.cb32ea0165ff9p-3, -0x1.cf6c90bda5992p-3, -0x1.d38e7f9864796p-3, -0x1.d795dc562ff0cp-3, -0x1.db8011bd9c9f5p-3, -0x1.df4acca137888p-3, -0x1.e2f3f8572178cp-3, -0x1.e679babe4e618p-3, -0x1.e9da7005698f9p-3, -0x1.ed14a67173824p-3, -0x1.f0271a62d70f3p-3, -0x1.f310b2ce1738p-3, -0x1.f5d07e49d1b34p-3, -0x1.f865b0b9e744ep-3, -0x1.facfa1850498p-3, -0x1.fd0dca2da3c9ap-3, -0x1.ff1fc51d375d2p-3, -0x1.0082a638844cdp-2, -0x1.015f1c50de464p-2, -0x1.02253f76cc2p-2, -0x1.02d517bf4e121p-2, -0x1.036eb9aa5defp-2, -0x1.03f24503bde0fp-2, -0x1.045fe3bbcd92ep-2, -0x1.04b7c8c4fa786p-2, -0x1.04fa2f00dc6b7p-2, -0x1.05275845ac85ap-2, -0x1.053f8c8234c9bp-2, -0x1.05431903a211cp-2, -0x1.05324fdde4a91p-2, -0x1.050d87748068fp-2, -0x1.04d51a1f10aefp-2, -0x1.048965e2def84p-2, -0x1.042acc39e8c2ap-2, -0x1.03b9b1dfdd4efp-2, -0x1.03367e9e98c49p-2, -0x1.02a19d154b0ebp-2, -0x1.01fb7a77348f7p-2, -0x1.01448640a8a72p-2, -0x1.007d31e271c3bp-2, -0x1.ff4be0c9dceafp-3, -0x1.fd7e6c0a45b0bp-3, -0x1.fb92ef9d05ad2p-3, -0x1.f98a566938a1ep-3, -0x1.f7658b5f99384p-3, -0x1.f52578bfe72f6p-3, -0x1.f2cb076f6e637p-3, -0x1.f0571e64950b5p-3, -0x1.edcaa229e8ba6p-3, -0x1.eb267479a3154p-3, -0x1.e86b73f11c1fap-3, -0x1.e59a7bda6d0ecp-3, -0x1.e2b464097dc7dp-3, -0x1.dfba00c94da49p-3, -0x1.dcac22d5ef412p-3, -0x1.d98b975fe924p-3, -0x1.d6592815e8001p-3, -0x1.d3159b32171b4p-3, -0x1.cfc1b388ee8b7p-3, -0x1.cc5e3097c5a2cp-3, -0x1.c8ebce91ddee7p-3, -0x1.c56b466b12cd1p-3, -0x1.c1dd4ddfbfa6ep-3, -0x1.be429779ca512p-3, -0x1.ba9bd292fcb5p-3, -0x1.b6e9ab550cba7p-3, -0x1.b32ccab7c5b08p-3, -0x1.af65d67de619bp-3, -0x1.ab957131080e3p-3, -0x1.a7bc3a1d29bep-3, -0x1.a3dacd4c1b8fcp-3, -0x1.9ff1c3812bd1bp-3, -0x1.9c01b2355f27dp-3, -0x1.980b2b945c6a8p-3, -0x1.940ebe7a419e3p-3, -0x1.900b80afc7408p-3, -0x1.8c05199ad2802p-3, -0x1.87fa6ac8fa943p-3, -0x1.83ebf481ae6b9p-3, -0x1.7fda33b50d92dp-3, -0x1.7bc5a2058fe7ap-3, -0x1.77aeb5d238477p-3, -0x1.7395e2414a4d1p-3, -0x1.6f7b974b41264p-3, -0x1.6b6041c5f6c9ep-3, -0x1.67444b6fc88a5p-3, -0x1.63281afab742dp-3, -0x1.5f0c141768ba6p-3, -0x1.5af09780168eep-3, -0x1.56d603037453bp-3, -0x1.52bcb18fa2015p-3, -0x1.4ea4fb3d37e6dp-3, -0x1.4a8f355a8e6bep-3, -0x1.467bb27752595p-3, -0x1.426ac2706e74p-3, -0x1.3e5cb27c5a3f8p-3, -0x1.3a51cd37cc266p-3, -0x1.364a5ab2c8deep-3, -0x1.3246a07e049e2p-3, -0x1.2e46e1b884812p-3, -0x1.2a4b5f1d6e94p-3, -0x1.26545711e62a3p-3, -0x1.226205b2f1026p-3, -0x1.1e74a4e32dcbap-3, -0x1.1a8c6c5863f71p-3, -0x1.16a991a8bd552p-3, -0x1.12cc4857a5fb8p-3, -0x1.0ef4c1e239d0cp-3, -0x1.0b232dcb31ac3p-3, -0x1.0757b9a658d5p-3, -0x1.0392912368932p-3, -0x1.ffa7bc30da012p-4, -0x1.f837911736b7bp-4, -0x1.f0d4ed7964f7fp-4, -0x1.e9801a5bdfe9ap-4, -0x1.e2395d5932141p-4, -0x1.db00f8b286d87p-4, -0x1.d3d72b5f8a3ccp-4, -0x1.ccbc311e0962ep-4, -0x1.c5b042813ccb4p-4, -0x1.beb39500e69cdp-4, -0x1.b7c65b086117cp-4, -0x1.b0e8c405b24fp-4, -0x1.aa1afc78a8ae5p-4, -0x1.a35d2e0221b7ep-4, -0x1.9caf7f73706d6p-4, -0x1.961214ddece3p-4, -0x1.8f850fa2b5149p-4, -0x1.89088e828faeap-4, -0x1.829cadadf6f4p-4, -0x1.7c4186d542c62p-4, -0x1.75f73138e1a23p-4, -0x1.6fbdc1b9a4437p-4, -0x1.69954ae906a27p-4, -0x1.637ddd1971366p-4, -0x1.5d77866e6a8e4p-4, -0x1.578252eca2096p-4, -0x1.519e4c89e21bap-4, -0x1.4bcb7b3cc558fp-4, -0x1.4609e50c3a999p-4, -0x1.40598e1ebfc14p-4, -0x1.3aba78c95ec7ep-4, -0x1.352ca59e5081bp-4, -0x1.2fb0137b5449ep-4, -0x1.2a44bf97ad403p-4, -0x1.24eaa591c02d4p-4, -0x1.1fa1bf7c59cadp-4, -0x1.1a6a05eb93f07p-4, -0x1.15437001583b8p-4, -0x1.102df3798b49p-4, -0x1.0b2984b5d5c49p-4, -0x1.063616c915aeep-4, -0x1.01539b8276cdp-4, -0x1.f90406f075643p-5, -0x1.ef827c245855ap-5, -0x1.e622732793a78p-5, -0x1.dce3c64c59ea8p-5, -0x1.d3c64dc34f143p-5, -0x1.cac9dfae582e7p-5, -0x1.c1ee5032ec02dp-5, -0x1.b933718c0d923p-5, -0x1.b099141bd4e75p-5, -0x1.a81f067cb18aep-5, -0x1.9fc515924694dp-5, -0x1.978b0c9a1cde7p-5, -0x1.8f70b53bf419ap-5, -0x1.8775d799e4c18p-5, -0x1.7f9a3a6044793p-5, -0x1.77dda2d555fd4p-5, -0x1.703fd4e8bbdd1p-5, -0x1.68c09342c2bd9p-5, -0x1.615f9f537134ap-5, -0x1.5a1cb96170ef7p-5, -0x1.52f7a098ba47bp-5, -0x1.4bf0131915f8cp-5, -0x1.4505ce046efc7p-5, -0x1.3e388d8ce72dfp-5, -0x1.37880d02c1b55p-5, -0x1.30f406e21147ap-5, -0x1.2a7c34e02dc25p-5, -0x1.24204ff8f775ap-5, -0x1.1de0107bd4115p-5, -0x1.17bb2e1879f47p-5, -0x1.11b15feb746b5p-5, -0x1.0bc25c8a6b686p-5, -0x1.05edda102c432p-5, -0x1.00338e286ccb9p-5, -0x1.f5265c3692d1ap-6, -0x1.ea18ddb10b482p-6, -0x1.df3e0a04f8439p-6, -0x1.d49549f1abe9bp-6, -0x1.ca1e05c5e0a29p-6, -0x1.bfd7a574073c1p-6, -0x1.b5c190a5ffdf1p-6, -0x1.abdb2ed04b349p-6, -0x1.a223e744a4f47p-6, -0x1.989b2144261f1p-6, -0x1.8f404410c6c67p-6, -0x1.8612b6fe65665p-6, -0x1.7d11e1833dfa6p-6, -0x1.743d2b47db61bp-6, -0x1.6b93fc368ce84p-6, -0x1.6315bc8a47566p-6, -0x1.5ac1d4dd134cbp-6, -0x1.5297ae35f5ecdp-6, -0x1.4a96b21663497p-6, -0x1.42be4a8725827p-6, -0x1.3b0de224db074p-6, -0x1.3384e42c00bd6p-6, -0x1.2c22bc847c151p-6, -0x1.24e6d7ccb3d26p-6, -0x1.1dd0a364459e4p-6, -0x1.16df8d76482fcp-6, -0x1.101305031b765p-6, -0x1.096a79e9da785p-6, -0x1.02e55cf16ee67p-6, -0x1.f9063fa24edb6p-7, -0x1.ec866a720c84bp-7, -0x1.e04a21b342614p-7, -0x1.d4504ed770fc2p-7, -0x1.c897dd6ea81c8p-7, -0x1.bd1fbb354ad6bp-7, -0x1.b1e6d821078b9p-7, -0x1.a6ec266d33afbp-7, -0x1.9c2e9aa67d48p-7, -0x1.91ad2bb60b70cp-7, -0x1.8766d2ebd5a2ep-7, -0x1.7d5a8c089cae9p-7, -0x1.738755472cc05p-7, -0x1.69ec2f6511408p-7, -0x1.60881daab0b47p-7, -0x1.575a25f304b27p-7, -0x1.4e6150b28ccdfp-7, -0x1.459ca8fdf38b8p-7, -0x1.3d0b3c9015009p-7, -0x1.34ac1bcf9012cp-7, -0x1.2c7e59d3dcdadp-7, -0x1.24810c69d91a9p-7, -0x1.1cb34c1801863p-7, -0x1.1514342213328p-7, -0x1.0da2e28c616fap-7, -0x1.065e781e91883p-7, -0x1.fe55cd3eec925p-8, -0x1.f07afd7296a28p-8, -0x1.e2f4e58d4d971p-8, -0x1.d5c1dd7392d94p-8, -0x1.c8e042a288b5ap-8, -0x1.bc4e7830d462p-8, -0x1.b00ae6ce9f66p-8, -0x1.a413fcc4dead2p-8, -0x1.98682df3fb689p-8, -0x1.8d05f3d1cdfd6p-8, -0x1.81ebcd66f6897p-8, -0x1.77183f4bc4895p-8, -0x1.6c89d3a42e653p-8, -0x1.623f1a1b945a9p-8, -0x1.5836a7dfceb16p-8, -0x1.4e6f179bb685bp-8, -0x1.44e7097148f4ap-8, -0x1.3b9d22f32166ep-8, -0x1.32900f1d9f695p-8, -0x1.29be7e4f9d9fdp-8, -0x1.21272642c4cb2p-8, -0x1.18c8c20304a9fp-8, -0x1.10a211e687938p-8, -0x1.08b1db846da21p-8, -0x1.00f6e9ab9dd1ep-8, -0x1.f2e018b27f2c3p-9, -0x1.e438315ce3dc9p-9, -0x1.d5f3d1cce985bp-9, -0x1.c810b897d8057p-9, -0x1.ba8cae5be9befp-9, -0x1.ad6585aa47593p-9, -0x1.a0991af056aabp-9, -0x1.9425546065d3p-9, -0x1.880821da5c862p-9, -0x1.7c3f7cd32f467p-9, -0x1.70c9683ce58ccp-9, -0x1.65a3f06d84365p-9, -0x1.5acd2b0603357p-9, -0x1.504336d8b203dp-9, -0x1.46043bcf8e929p-9, -0x1.3c0e6ad2031adp-9, -0x1.325ffdaaf8ef5p-9, -0x1.28f736edbeb16p-9, -0x1.1fd261db9d088p-9, -0x1.16efd248d08b3p-9, -0x1.0e4de4815ccf3p-9, -0x1.05eafd2dc6b54p-9, -0x1.fb8b126f50d8ap-10, -0x1.ebb7fb5c41bbep-10, -0x1.dc59af5468eecp-10, -0x1.cd6d38662b7b5p-10, -0x1.beefb04490543p-10, -0x1.b0de40102a6fp-10, -0x1.a336201e70ecep-10, -0x1.95f497c2c0d9ap-10, -0x1.8916fd166df9ep-10, -0x1.7c9ab4c06d245p-10, -0x1.707d31beb373ep-10, -0x1.64bbf52e48367p-10, -0x1.59548e12fde89p-10, -0x1.4e4499216726ep-10, -0x1.4389c086c915fp-10, -0x1.3921bbb2b1bfdp-10, -0x1.2f0a4f1fff74bp-10, -0x1.25414c1e78492p-10, -0x1.1bc4909c5f535p-10, -0x1.129206f1127ecp-10, -0x1.09a7a5a6f1fafp-10, -0x1.01036f46184a8p-10, -0x1.f146e44010372p-11, -0x1.e10b90355f8d1p-11, -0x1.d1512cf88bbfap-11, -0x1.c2141b707b5f5p-11, -0x1.b350d27607944p-11, -0x1.a503de6fe0623p-11, -0x1.9729e0ed7cd49p-11, -0x1.89bf90431bdb8p-11, -0x1.7cc1b727ef8dep-11, -0x1.702d34538fc56p-11, -0x1.63fefa1dc7fc4p-11, -0x1.58340e1f0c074p-11, -0x1.4cc988d22b367p-11, -0x1.41bc95368c5fbp-11, -0x1.370a707582176p-11, -0x1.2cb06984e5c0dp-11, -0x1.22abe0cf1c9afp-11, -0x1.18fa47d9c1589p-11, -0x1.0f9920edfc7d6p-11, -0x1.0685fec2ec8e2p-11, -0x1.fb7d084f4947ep-12, -0x1.ea80c75f71d8ep-12, -0x1.da12bec16d66bp-12, -0x1.ca2e90bec8b4ep-12, -0x1.bacffd41e84cbp-12, -0x1.abf2e136da922p-12, -0x1.9d9335ebbb812p-12, -0x1.8fad107d12ebdp-12, -0x1.823ca138e9456p-12, -0x1.753e330c6dbc9p-12, -0x1.68ae2aef97534p-12, -0x1.5c89075587bb5p-12, -0x1.50cb5f9bb20d7p-12, -0x1.4571e37fea0f1p-12, -0x1.3a795a95e35bbp-12, -0x1.2fdea3bc96e2p-12, -0x1.259eb499e2347p-12, -0x1.1bb69915dcfd4p-12, -0x1.122372d8a88e3p-12, -0x1.08e278ca0c9bbp-12, -0x1.ffe1ed2703d3dp-13, -0x1.ee9898483851cp-13, -0x1.dde3da69eea45p-13, -0x1.cdbec1a2c894ep-13, -0x1.be2481c25bc8bp-13, -0x1.af107363f0684p-13, -0x1.a07e130b5623cp-13, -0x1.926900406b0d3p-13, -0x1.84ccfcb47627ep-13, -0x1.77a5eb62fc8bap-13, -0x1.6aefcfbcd2b95p-13, -0x1.5ea6ccd45d7a9p-13, -0x1.52c7248da06eep-13, -0x1.474d36d2c569ap-13, -0x1.3c3580c7336adp-13, -0x1.317c9c0a6a9fp-13, -0x1.271f3def18c2ap-13, -0x1.1d1a36c66174ap-13, -0x1.136a711b77202p-13, -0x1.0a0cf104902bap-13, -0x1.00fed36d6f70ep-13, -0x1.f07a9ad3d9e3ap-14, -0x1.df8b5716e6506p-14, -0x1.cf2aa2696afp-14, -0x1.bf536ff713739p-14, -0x1.b000de09f02bap-14, -0x1.a12e34d2f359cp-14, -0x1.92d6e5361fbap-14, -0x1.84f687a0079d1p-14, -0x1.7788dadc5c909p-14, -0x1.6a89c301a59fp-14, -0x1.5df5484fccdd5p-14, -0x1.51c79623d1f08p-14, -0x1.45fcf9f411f88p-14, -0x1.3a91e2405a57cp-14, -0x1.2f82dd9f83c33p-14, -0x1.24cc99c1a86e2p-14, -0x1.1a6be282e7608p-14, -0x1.105da1013401cp-14, -0x1.069edab6e4593p-14, -0x1.fa596139431d4p-15, -0x1.e808bc9398915p-15, -0x1.d64672585f894p-15, -0x1.c50d5f670e018p-15, -0x1.b458910b79873p-15, -0x1.a42343871a0ffp-15, -0x1.9468e0813aa64p-15, -0x1.8524fda0927ap-15, -0x1.76535b1d423ap-15, -0x1.67efe264a3646p-15, -0x1.59f6a4bb65ce3p-15, -0x1.4c63d9f62867ap-15, -0x1.3f33df349e7c7p-15, -0x1.326335a1564c9p-15, -0x1.25ee8147379bdp-15, -0x1.19d287d9cacafp-15, -0x1.0e0c2f991f4f4p-15, -0x1.02987e398177cp-15, -0x1.eee92f95b7c5dp-16, -0x1.d93b7b54f87b9p-16, -0x1.c4229b04cc9cfp-16, -0x1.af9980a966d67p-16, -0x1.9b9b52e94dd78p-16, -0x1.88236b3976fbap-16, -0x1.752d541ad25cdp-16, -0x1.62b4c73f90a62p-16, -0x1.50b5abee6f831p-16, -0x1.3f2c1541148p-16, -0x1.2e1440877faap-16, -0x1.1d6a93c4de2d3p-16, -0x1.0d2b9c1c8fa2cp-16, -0x1.faa818b4f91dep-17, -0x1.dbc17705d336bp-17, -0x1.bd9d46d6e4411p-17, -0x1.a035bed3ffa7ap-17, -0x1.838555f442bb1p-17, -0x1.6786c0f16a87ep-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.7721f3ca9a71fp-2, 0x1.7a33d4d75f952p-2, 0x1.7d6c5851571cap-2, 0x1.80c86a84a1bf7p-2, 0x1.8444832efccp-2, 0x1.87dcb1dec2168p-2, 0x1.8b8cab311a44fp-2, 0x1.8f4fd6859fa79p-2, 0x1.93215bce3ed66p-2, 0x1.96fc3131ef342p-2, 0x1.9adb28474fc3dp-2, 0x1.9eb8fab965322p-2, 0x1.a29056343135ap-2, 0x1.a65be780dfe99p-2, 0x1.aa1664c1b2d13p-2, 0x1.adba96c4f263ep-2, 0x1.b143616be559p-2, 0x1.b4abcb2777701p-2, 0x1.b7ef038fe38a3p-2, 0x1.bb08691f699b5p-2, 0x1.bdf38e1a415fdp-2, 0x1.c0ac3caf4eb9ep-2, 0x1.c32e7a5e29526p-2, 0x1.c5768aaf7b74fp-2, 0x1.c780f14d051ccp-2, 0x1.c94a738677194p-2, 0x1.cad019501d7fcp-2, 0x1.cc0f2dc7f6e51p-2, 0x1.cd053f4d452acp-2, 0x1.cdb01f361e84fp-2, 0x1.ce0de12dd9d9dp-2, 0x1.ce1cda4695083p-2, 0x1.cddb9fc75686bp-2, 0x1.cd4905bfb7934p-2, 0x1.cc641d69438c2p-2, 0x1.cb2c335e237fbp-2, 0x1.c9a0cdac0814fp-2, 0x1.c7c1a9c9adf47p-2, 0x1.c58eba74c3c26p-2, 0x1.c308257d7305ep-2, 0x1.c02e41844b2c5p-2, 0x1.bd0193aed1d01p-2, 0x1.b982cd568d76cp-2, 0x1.b5b2c9b5f2795p-2, 0x1.b1928b963ac62p-2, 0x1.ad233b00d3f42p-2, 0x1.a86622f6b8757p-2, 0x1.a35caf2fc6c36p-2, 0x1.9e0869e3d083ap-2, 0x1.986af99eead6ap-2, 0x1.92861f2245b42p-2, 0x1.8c5bb3529be4fp-2, 0x1.85eda5351fdbep-2, 0x1.7f3df7fb9327ap-2, 0x1.784ec12020a89p-2, 0x1.712226915a4dap-2, 0x1.69ba5ceeaad2ap-2, 0x1.6219a5d5685e5p-2, 0x1.5a424e3e9c38bp-2, 0x1.5236aced800cep-2, 0x1.49f920eea0dfp-2, 0x1.418c10277bbccp-2, 0x1.38f1e5f66c21dp-2, 0x1.302d11e2a4d15p-2, 0x1.2740065bef692p-2, 0x1.1e2d3789dffffp-2, 0x1.14f71a2a24d8ap-2, 0x1.0ba0227d92ba1p-2, 0x1.022ac3438e7c9p-2, 0x1.f132d986d47bcp-3, 0x1.dddd17c69f874p-3, 0x1.ca591298a5c7p-3, 0x1.b6ab91366b463p-3, 0x1.a2d94f3b06eb2p-3, 0x1.8ee6fb351387ap-3, 0x1.7ad9354fa2c69p-3, 0x1.66b48e1150c84p-3, 0x1.527d8530b5284p-3, 0x1.3e38887d655a6p-3, 0x1.29e9f2dcc6dbap-3, 0x1.15960b59ea6bfp-3, 0x1.01410447c308dp-3, 0x1.d9ddf4e9f00c4p-4, 0x1.b147e8e1412dcp-4, 0x1.88c7c3be9ee95p-4, 0x1.606535bf6013bp-4, 0x1.3827befc5961fp-4, 0x1.1016ae6de8303p-4, 0x1.d07242173e8e8p-5, 0x1.812c020ce4403p-5, 0x1.32680a388f9d3p-5, 0x1.c866c00fa96c1p-6, 0x1.2d353fc141207p-6, 0x1.26a7f15222da7p-7, -0x1.49614082decf8p-12, -0x1.3840fdce3192fp-7, -0x1.3187112deaecap-6, -0x1.c5442ed6e7e1p-6, -0x1.2ba1d0e56ef86p-5, -0x1.73b90553082b7p-5, -0x1.bade7020ca5d6p-5, -0x1.00849bbf7c6adp-4, -0x1.231875f4772b7p-4, -0x1.4526c3c7f7a63p-4, -0x1.66abb6d56450cp-4, -0x1.87a3b4d5c5fcp-4, -0x1.a80b572e5402cp-4, -0x1.c7df6a734f28p-4, -0x1.e71ceddfc6232p-4, -0x1.02e0896168ffp-3, -0x1.11e49df170f56p-3, -0x1.20997e6bd25afp-3, -0x1.2efe0cad8a69ep-3, -0x1.3d114249157d8p-3, -0x1.4ad23026e4a7fp-3, -0x1.583ffe2224561p-3, -0x1.6559eaa219811p-3, -0x1.721f4a30521c1p-3, -0x1.7e8f870bdf4a2p-3, -0x1.8aaa20b9d9905p-3, -0x1.966eab935da38p-3, -0x1.a1dcd051466dcp-3, -0x1.acf44b95c93d4p-3, -0x1.b7b4ed743a79dp-3, -0x1.c21e98f71d313p-3, -0x1.cc3143a4b7859p-3, -0x1.d5ecf5025f04bp-3, -0x1.df51c616a1d88p-3, -0x1.e85fe0ea8359ap-3, -0x1.f1178009f71f1p-3, -0x1.f978ee03be9a2p-3, -0x1.00c242746e22p-2, -0x1.049d56e5dfc5ap-2, -0x1.084df01fa96cep-2, -0x1.0bd450eb07001p-2, -0x1.0f30c2d09c811p-2, -0x1.126395d83db4fp-2, -0x1.156d2048ee18fp-2, -0x1.184dbe692b9cp-2, -0x1.1b05d23f929fep-2, -0x1.1d95c353e8737p-2, -0x1.1ffdfe709e4f7p-2, -0x1.223ef564d8b41p-2, -0x1.24591ec70a1c8p-2, -0x1.264cf5b82a446p-2, -0x1.281af9a79ce8ep-2, -0x1.29c3ae17ca38p-2, -0x1.2b479a637d294p-2, -0x1.2ca749840b44dp-2, -0x1.2de349d854cccp-2, -0x1.2efc2ceca0cd2p-2, -0x1.2ff2874362b61p-2, -0x1.30c6f01ef0f7fp-2, -0x1.317a014c3029p-2, -0x1.320c56ee3bee2p-2, -0x1.327e8f4b1a6a2p-2, -0x1.32d14a997084fp-2, -0x1.33052acf4facbp-2, -0x1.331ad37211a13p-2, -0x1.3312e9674f0a2p-2, -0x1.32ee12c6f620ap-2, -0x1.32acf6ae7d04ap-2, -0x1.32503d1539dcbp-2, -0x1.31d88ea1e0bfdp-2, -0x1.31469481292bep-2, -0x1.309af83d9be99p-2, -0x1.2fd663988ea5p-2, -0x1.2ef980644631ep-2, -0x1.2e04f85f4aea3p-2, -0x1.2cf97510e1f58p-2, -0x1.2bd79fa6b91c2p-2, -0x1.2aa020d3ba262p-2, -0x1.2953a0b006a86p-2, -0x1.27f2c69a21f6ep-2, -0x1.267e39193c7bp-2, -0x1.24f69dc0a8c9bp-2, -0x1.235c99146fea6p-2, -0x1.21b0ce6f0b684p-2, -0x1.1ff3dfe837fc3p-2, -0x1.1e266e3ce6866p-2, -0x1.1c4918b8436d5p-2, -0x1.1a5c7d1dd5b4bp-2, -0x1.18613794a909ep-2, -0x1.1657e2938a405p-2, -0x1.144116ce4c215p-2, -0x1.121d6b240d844p-2, -0x1.0fed748e87495p-2, -0x1.0db1c6124dfa5p-2, -0x1.0b6af0b01364p-2, -0x1.09198356d76f4p-2, -0x1.06be0ad70527dp-2, -0x1.045911d680556p-2, -0x1.01eb20c58f6c7p-2, -0x1.fee97ba957e85p-3, -0x1.f9ecd9d64f941p-3, -0x1.f4e15f3d5ad5fp-3, -0x1.efc80a571274fp-3, -0x1.eaa1d4db88446p-3, -0x1.e56fb3b6004c2p-3, -0x1.e03296fa2973p-3, -0x1.daeb69dad0643p-3, -0x1.d59b12a1f956ep-3, -0x1.d04272aa57eb1p-3, -0x1.cae2665a251bcp-3, -0x1.c57bc51f32bbcp-3, -0x1.c00f616c4c512p-3, -0x1.ba9e08b7c13fcp-3, -0x1.b528837b210eap-3, -0x1.afaf9534158c3p-3, -0x1.aa33fc6652e83p-3, -0x1.a4b6729e909p-3, -0x1.9f37ac7684a6ap-3, -0x1.99b85999da2c2p-3, -0x1.943924cc0af78p-3, -0x1.8ebab3ef272ecp-3, -0x1.893da80b6a92ep-3, -0x1.83c29d57abf0ep-3, -0x1.7e4a2b42870ccp-3, -0x1.78d4e47c50dc1p-3, -0x1.73635701ae7a4p-3, -0x1.6df60c26e4d58p-3, -0x1.688d88a3c1685p-3, -0x1.632a4ca01ce21p-3, -0x1.5dccd3c0ee10ap-3, -0x1.58759535e43ffp-3, -0x1.532503c78205ep-3, -0x1.4ddb8de5ac29ep-3, -0x1.48999db6aae5dp-3, -0x1.435f9926904eep-3, -0x1.3e2de1f70060dp-3, -0x1.3904d5cf51e15p-3, -0x1.33e4ce4d02d27p-3, -0x1.2ece21146dfd4p-3, -0x1.29c11fe1d40bcp-3, -0x1.24be189a94238p-3, -0x1.1fc5555ea5967p-3, -0x1.1ad71c9a3929dp-3, -0x1.15f3b1178e41fp-3, -0x1.111b5210e5f6bp-3, -0x1.0c4e3b429b191p-3, -0x1.078ca4fd5036cp-3, -0x1.02d6c438339a7p-3, -0x1.fc599546ab8cp-4, -0x1.f31dcd7408a2bp-4, -0x1.e9fa87aa65ba5p-4, -0x1.e0f0147bbbb9cp-4, -0x1.d7febe7ee38d2p-4, -0x1.cf26ca744a22ap-4, -0x1.c668776a9491ep-4, -0x1.bdc3fee32d644p-4, -0x1.b53994f697cffp-4, -0x1.acc96878af989p-4, -0x1.a473a31ca6168p-4, -0x1.9c386998cdfbcp-4, -0x1.9417dbca1ef83p-4, -0x1.8c1214d781f3dp-4, -0x1.84272b54c4713p-4, -0x1.7c5731654591ep-4, -0x1.74a234de4acbp-4, -0x1.6d083f68fb94fp-4, -0x1.658956a40065bp-4, -0x1.5e257c44be72cp-4, -0x1.56dcae382ea5p-4, -0x1.4faee6c34affcp-4, -0x1.489c1ca31002bp-4, -0x1.41a4432c0ceeap-4, -0x1.3ac74a6982ebbp-4, -0x1.34051f3c0df7p-4, -0x1.2d5dab77d6309p-4, -0x1.26d0d60247c5cp-4, -0x1.205e82ef4ea8dp-4, -0x1.1a06939e1370ep-4, -0x1.13c8e6d53af8dp-4, -0x1.0da558dea31b4p-4, -0x1.079bc3a29ed51p-4, -0x1.01abfec2adc2dp-4, -0x1.f7abbf6761d13p-5, -0x1.ec3273af34f4cp-5, -0x1.e0ebbd2d2d6cp-5, -0x1.d5d73aef61f24p-5, -0x1.caf48871e2c2dp-5, -0x1.c0433dcde9729p-5, -0x1.b5c2efe7f9848p-5, -0x1.ab73309cf91bcp-5, -0x1.a1538eee39b42p-5, -0x1.9763972c76824p-5, -0x1.8da2d321c9e36p-5, -0x1.8410ca3a981abp-5, -0x1.7aad01ad7178ap-5, -0x1.7176fca1efca5p-5, -0x1.686e3c568e5e4p-5, -0x1.5f9240457f137p-5, -0x1.56e286487d27fp-5, -0x1.4e5e8abba584p-5, -0x1.4605c89f4d78cp-5, -0x1.3dd7b9b8e4426p-5, -0x1.35d3d6b2dabb8p-5, -0x1.2df9973b96885p-5, -0x1.26487223770fp-5, -0x1.1ebfdd79e6f67p-5, -0x1.175f4ea986218p-5, -0x1.10263a9368fc3p-5, -0x1.091415a973705p-5, -0x1.02285407d2abdp-5, -0x1.f6c4d31b2e431p-6, -0x1.e98393e8ea328p-6, -0x1.dc8bd1cf579f1p-6, -0x1.cfdc7434372d2p-6, -0x1.c37462b70e33p-6, -0x1.b752855a1dc6ep-6, -0x1.ab75c4a9b8831p-6, -0x1.9fdd09e218c83p-6, -0x1.94873f13b1271p-6, -0x1.89734f45fd48dp-6, -0x1.7ea02698e707cp-6, -0x1.740cb264b6948p-6, -0x1.69b7e158a4df9p-6, -0x1.5fa0a3980d765p-6, -0x1.55c5ead649ae5p-6, -0x1.4c26aa7144996p-6, -0x1.42c1d78abf513p-6, -0x1.399669205eef6p-6, -0x1.30a358227e90bp-6, -0x1.27e79f89d2c29p-6, -0x1.1f623c6be8349p-6, -0x1.17122e0e7a29ap-6, -0x1.0ef675f9b894ep-6, -0x1.070e180974bd8p-6, -0x1.feb034fa91a19p-7, -0x1.efa70c0f6f251p-7, -0x1.e0fecbb8a47bep-7, -0x1.d2b58f79d038dp-7, -0x1.c4c9780b8f1eep-7, -0x1.b738ab7231febp-7, -0x1.aa015512acff4p-7, -0x1.9d21a5c5d56dep-7, -0x1.9097d3e9fef8ap-7, -0x1.84621b72f41bp-7, -0x1.787ebdf8674a9p-7, -0x1.6cec02c2ec5e4p-7, -0x1.61a836d76d86cp-7, -0x1.56b1ad0147781p-7, -0x1.4c06bddb0452ap-7, -0x1.41a5c7d5c8b87p-7, -0x1.378d2f3f7e981p-7, -0x1.2dbb5e47c6d3bp-7, -0x1.242ec503be6e7p-7, -0x1.1ae5d970a35b1p-7, -0x1.11df177562353p-7, -0x1.091900e31773bp-7, -0x1.00921d749052fp-7, -0x1.f091f599a7cf9p-8, -0x1.e07858e97e653p-8, -0x1.d0d497af7aae8p-8, -0x1.c1a3f07f4dea1p-8, -0x1.b2e3ad9f9fdfp-8, -0x1.a49124fe9e65ep-8, -0x1.96a9b8250ddaep-8, -0x1.892ad427ef966p-8, -0x1.7c11f198cebe8p-8, -0x1.6f5c9474c2a52p-8, -0x1.63084c1237959p-8, -0x1.5712b30d8fce1p-8, -0x1.4b796f34a79eep-8, -0x1.403a3171513aep-8, -0x1.3552b5b2d25cfp-8, -0x1.2ac0c2d6733bbp-8, -0x1.20822a8f2e47fp-8, -0x1.1694c94c8b1ffp-8, -0x1.0cf68620b5099p-8, -0x1.03a552a5d5aeep-8, -0x1.f53e55c589feep-9, -0x1.e3c42a5e2b0ffp-9, -0x1.d2d8442d18e81p-9, -0x1.c276d8781c75cp-9, -0x1.b29c30781674bp-9, -0x1.a344a91cee733p-9, -0x1.946cb2d0ac7c2p-9, -0x1.8610d139cc089p-9, -0x1.782d9afce45dcp-9, -0x1.6abfb97daf5afp-9, -0x1.5dc3e89f84a9cp-9, -0x1.5136f6855be67p-9, -0x1.4515c35161017p-9, -0x1.395d40e4327f5p-9, -0x1.2e0a729bcfc84p-9, -0x1.231a6d124e0bfp-9, -0x1.188a55dc5a7bp-9, -0x1.0e5763479fcacp-9, -0x1.047edc1915c43p-9, -0x1.f5fc2e968e81fp-10, -0x1.e3a4f7994014fp-10, -0x1.d1f3007b8d159p-10, -0x1.c0e155602b28fp-10, -0x1.b06b20c86b61bp-10, -0x1.a08bab11d350fp-10, -0x1.913e59f4222e3p-10, -0x1.827eafffe3db8p-10, -0x1.74484c1d8e668p-10, -0x1.6696e90d486bap-10, -0x1.59665ce76dc09p-10, -0x1.4cb2989dcba4p-10, -0x1.4077a77dbbdb5p-10, -0x1.34b1aeb317fbfp-10, -0x1.295ceccc1fe73p-10, -0x1.1e75b93e53776p-10, -0x1.13f883ec54c31p-10, -0x1.09e1d4acdbf89p-10, -0x1.002e4ad2bc412p-10, -0x1.edb5396c2147fp-11, -0x1.dbc72e7d2a9ap-11, -0x1.ca8c3ade60108p-11, -0x1.b9fe4fe56b958p-11, -0x1.aa178953e4ee4p-11, -0x1.9ad22c75f016cp-11, -0x1.8c28a7437986dp-11, -0x1.7e158f84199b5p-11, -0x1.7093a1f5ab4d5p-11, -0x1.639dc1759af0bp-11, -0x1.572ef62cf9976p-11, -0x1.4b426cbf5bd9fp-11, -0x1.3fd3757c85999p-11, -0x1.34dd8394f0772p-11, -0x1.2a5c2c51299f5p-11, -0x1.204b264c11baep-11, -0x1.16a648affda81p-11, -0x1.0d698a76be4d1p-11, -0x1.049101ac8e9bp-11, -0x1.f831c56bd560fp-12, -0x1.e7faff30a59cep-12, -0x1.d8768e8be9e3ap-12, -0x1.c99d89d885d96p-12, -0x1.bb693e8ae2562p-12, -0x1.add32fd9b6df2p-12, -0x1.a0d5156ca31d3p-12, -0x1.9468da108c277p-12, -0x1.88889a71bcbc4p-12, -0x1.7d2ea3dbc28c9p-12, -0x1.725572fefb17cp-12, -0x1.67f7b2bbd33f2p-12, -0x1.5e103af3a6a5ap-12, -0x1.549a0f5f3b42ep-12, -0x1.4b905e6acd73p-12, -0x1.42ee8017a3f4fp-12, -0x1.3aaff4e31e54cp-12, -0x1.32d064b33198bp-12, -0x1.2b4b9dc84f232p-12, -0x1.241d93b499de5p-12, -0x1.1d425e586f183p-12, -0x1.16b638e4246f5p-12, -0x1.107580defc9d6p-12, -0x1.0a7cb533364d6p-12, -0x1.04c8753f33a2dp-12, -0x1.feaaffd744415p-13, -0x1.f441658d33dbcp-13, -0x1.ea4e1247414e1p-13, -0x1.e0cb368108f5p-13, -0x1.d7b33addf77c3p-13, -0x1.cf00be85fb79p-13, -0x1.c6ae958b7e37ap-13, -0x1.beb7c75a8d36dp-13, -0x1.b7178d3111309p-13, -0x1.afc9509fe5a79p-13, -0x1.a8c8aa14c8dccp-13, -0x1.a2115f6ce9a2fp-13, -0x1.9b9f6290010a7p-13, -0x1.956ed013ce784p-13, -0x1.8f7bede7db213p-13, -0x1.89c32a095ffc9p-13, -0x1.8441193f24be9p-13, -0x1.7ef275dd4b3e6p-13, -0x1.79d41e90cf705p-13, -0x1.74e31532a1d46p-13, -0x1.701c7da244ee4p-13, -0x1.6b7d9ca7c0bd8p-13, -0x1.6703d6dcc82f3p-13, -0x1.62acaf9d00511p-13, -0x1.5e75c7fd37bdcp-13, -0x1.5a5cddc975eedp-13, -0x1.565fca89bf54dp-13, -0x1.527c828d6eaecp-13, -0x1.4eb113fd0419ap-13, -0x1.4afba5f24b39dp-13, -0x1.475a7796b2a8p-13, -0x1.43cbdf47bf04fp-13, -0x1.404e49c174c58p-13, -0x1.3ce0394e967cbp-13, -0x1.398044fea93bp-13, -0x1.362d17e186432p-13, -0x1.32e570487be29p-13, -0x1.2fa81f0cc1138p-13, -0x1.2c7406db3b032p-13, -0x1.29481b855f55cp-13, -0x1.262361572942cp-13, -0x1.2304ec71ff4bep-13, -0x1.1febe02c61ef9p-13, -0x1.1cd76e76626f9p-13, -0x1.19c6d742a805dp-13, -0x1.16b967f405557p-13, -0x1.13ae7acf6f41p-13, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.64645ea6af1a1p-2, 0x1.655b60ef00196p-2, 0x1.66608af397b46p-2, 0x1.6773a161b6c5fp-2, 0x1.68944f7f786b7p-2, 0x1.69c227d54ef26p-2, 0x1.6afca52edfeb1p-2, 0x1.6c432be2d0a53p-2, 0x1.6d950b525ce3ap-2, 0x1.6ef17f92e58d8p-2, 0x1.7057b3352584fp-2, 0x1.71c6c11f3f96ap-2, 0x1.733db6703d23cp-2, 0x1.74bb94650e104p-2, 0x1.763f523850911p-2, 0x1.77c7def766c0dp-2, 0x1.79542348627d9p-2, 0x1.7ae3031d4e461p-2, 0x1.7c735f5220281p-2, 0x1.7e0417336ccep-2, 0x1.7f9409ec808cbp-2, 0x1.812217dc142p-2, 0x1.82ad23cf3cc72p-2, 0x1.843414229d063p-2, 0x1.85b5d3ca1f804p-2, 0x1.8731533fc754cp-2, 0x1.88a5895a54e09p-2, 0x1.8a11740c9d6c7p-2, 0x1.8b74190e93ffp-2, 0x1.8ccc867115c1ap-2, 0x1.8e19d31d9a7b9p-2, 0x1.8f5b1f42ecba2p-2, 0x1.908f94b01a6f6p-2, 0x1.91b6671ebf6b1p-2, 0x1.92ced46ddae79p-2, 0x1.93d824ce437bbp-2, 0x1.94d1aae1ddea5p-2, 0x1.95bac3ce9cef4p-2, 0x1.9692d746541dcp-2, 0x1.9759578451788p-2, 0x1.980dc141af363p-2, 0x1.98af9ba13a0abp-2, 0x1.993e7813c8bcdp-2, 0x1.99b9f235bf121p-2, 0x1.9a21afa688936p-2, 0x1.9a755fdaaf36p-2, 0x1.9ab4bbe935eabp-2, 0x1.9adf8654d4155p-2, 0x1.9af58ad19b254p-2, 0x1.9af69e078ab02p-2, 0x1.9ae29d5291b89p-2, 0x1.9ab96e8068714p-2, 0x1.9a7aff8cac099p-2, 0x1.9a27465b9b132p-2, 0x1.99be4073c923cp-2, 0x1.993ff2b719bfep-2, 0x1.98ac691b49ccfp-2, 0x1.9803b66247509p-2, 0x1.9745f3d295f14p-2, 0x1.967340eff41dfp-2, 0x1.958bc3346cd6ap-2, 0x1.948fa5ca083abp-2, 0x1.937f19453a15fp-2, 0x1.925a5360327c7p-2, 0x1.91218eb730913p-2, 0x1.8fd50a85ee55bp-2, 0x1.8e750a66394cdp-2, 0x1.8d01d60fd5d9cp-2, 0x1.8b7bb919b14f8p-2, 0x1.89e302bc783eap-2, 0x1.883805969b1e6p-2, 0x1.867b1771cafdep-2, 0x1.84ac9109f233dp-2, 0x1.82cccdd5b47a7p-2, 0x1.80dc2bd076792p-2, 0x1.7edb0b45ee0cep-2, 0x1.7cc9ce9f441afp-2, 0x1.7aa8da31bc7f6p-2, 0x1.7878940eeea48p-2, 0x1.763963d684368p-2, 0x1.73ebb28981761p-2, 0x1.718fea5f0def6p-2, 0x1.6f26769ac0382p-2, 0x1.6cafc36461454p-2, 0x1.6a2c3da128aa6p-2, 0x1.679c52ce65728p-2, 0x1.650070dd96352p-2, 0x1.62590611dfb18p-2, 0x1.5fa680dee737ap-2, 0x1.5ce94fc900984p-2, 0x1.5a21e146adda4p-2, 0x1.5750a3a36859ep-2, 0x1.547604e3ad9ap-2, 0x1.519272aa46fc6p-2, 0x1.4ea65a1ec5c69p-2, 0x1.4bb227d52d4d4p-2, 0x1.48b647b6c3c9fp-2, 0x1.45b324ec0110bp-2, 0x1.42a929c797a07p-2, 0x1.3f98bfb28c2e3p-2, 0x1.3c824f195a594p-2, 0x1.39663f5a1aa8bp-2, 0x1.3644f6b3a5dc8p-2, 0x1.331eda35acc6fp-2, 0x1.2ff44db1c0b88p-2, 0x1.2cc5b3ad4494p-2, 0x1.29936d543d4e7p-2, 0x1.265dda6d00f98p-2, 0x1.2325594cb9c9dp-2, 0x1.1fea46ccb5a0bp-2, 0x1.1cacfe40852b1p-2, 0x1.196dd96cd57bbp-2, 0x1.162d307f0dcb9p-2, 0x1.12eb5a059e78ep-2, 0x1.0fa8aae907dc1p-2, 0x1.0c657665875c2p-2, 0x1.09220e056c139p-2, 0x1.05dec19c1062dp-2, 0x1.029bdf41689a5p-2, 0x1.feb3669c5d4f6p-3, 0x1.f83110b1325acp-3, 0x1.f1b14e6343f65p-3, 0x1.eb34adc5aa9bap-3, 0x1.e4bbb9593cce1p-3, 0x1.de46f80a2e6a4p-3, 0x1.d7d6ed2e99ef8p-3, 0x1.d16c1885f828dp-3, 0x1.cb06f639757f7p-3, 0x1.c4a7fedd1c2aap-3, 0x1.be4fa771cfb8ep-3, 0x1.b7fe61680f633p-3, 0x1.b1b49aa371187p-3, 0x1.ab72bd7ed9a66p-3, 0x1.a53930d1579dp-3, 0x1.9f0857f3afe03p-3, 0x1.98e092c67fc21p-3, 0x1.92c23db8f82a6p-3, 0x1.8cadb1d02ac22p-3, 0x1.86a344aed94d8p-3, 0x1.80a3489dcab9bp-3, 0x1.7aae0c949a6dep-3, 0x1.74c3dc42f752dp-3, 0x1.6ee5001a54529p-3, 0x1.6911bd57fc3cep-3, 0x1.634a560f84ac1p-3, 0x1.5d8f0935a36d2p-3, 0x1.57e012ab4b27fp-3, 0x1.523dab4922a0cp-3, 0x1.4ca808eb3c301p-3, 0x1.471f5e7d17febp-3, 0x1.41a3dc05dccaap-3, 0x1.3c35aeb4ce3f4p-3, 0x1.36d500edf732ap-3, 0x1.3181fa5700becp-3, 0x1.2c3cbfe432b32p-3, 0x1.270573e59c7bdp-3, 0x1.21dc36145f757p-3, 0x1.1cc123a00e5e2p-3, 0x1.17b4573c2f13ap-3, 0x1.12b5e92dcd085p-3, 0x1.0dc5ef591808cp-3, 0x1.08e47d4f1579dp-3, 0x1.0411a45b56de2p-3, 0x1.fe9ae7236d06ep-4, 0x1.f52fefb834b11p-4, 0x1.ebe278105869ep-4, 0x1.e2b291aa3091ap-4, 0x1.d9a04a0273ea9p-4, 0x1.d0abaaaf8f873p-4, 0x1.c7d4b97cdb893p-4, 0x1.bf1b7885a5a82p-4, 0x1.b67fe6502da4cp-4, 0x1.ae01fde8642a6p-4, 0x1.a5a1b6fa88428p-4, 0x1.9d5f05ed85745p-4, 0x1.9539dbfd27243p-4, 0x1.8d3227540f145p-4, 0x1.8547d325623p-4, 0x1.7d7ac7c640356p-4, 0x1.75caeac6ee24bp-4, 0x1.6e381f0bba244p-4, 0x1.66c244e593beap-4, 0x1.5f693a2a538e4p-4, 0x1.582cda4cb3658p-4, 0x1.510cfe73f2045p-4, 0x1.4a097d93206e6p-4, 0x1.43222c80171d5p-4, 0x1.3c56de0a117bp-4, 0x1.35a7630fecfffp-4, 0x1.2f138a960b6e8p-4, 0x1.289b21dbd5007p-4, 0x1.223df470dab44p-4, 0x1.1bfbcc49988c3p-4, 0x1.15d471d3d21f2p-4, 0x1.0fc7ac0a8ec13p-4, 0x1.09d54089b058p-4, 0x1.03fcf3a12425cp-4, 0x1.fc7d10cf605ebp-5, 0x1.f133819ab2bbdp-5, 0x1.e61cbb5ac8981p-5, 0x1.db383dbfdd9cep-5, 0x1.d085869648abp-5, 0x1.c60411e8166dfp-5, 0x1.bbb35a1dd568ap-5, 0x1.b192d81e9b363p-5, 0x1.a7a2036f37be9p-5, 0x1.9de05250a1fap-5, 0x1.944d39dd98fd5p-5, 0x1.8ae82e277cd28p-5, 0x1.81b0a2525e6b4p-5, 0x1.78a608b04a8a3p-5, 0x1.6fc7d2dbce96p-5, 0x1.671571d1bbe9p-5, 0x1.5e8e560a26ccap-5, 0x1.5631ef90a829cp-5, 0x1.4dffae1bdfd24p-5, 0x1.45f701243caa4p-5, 0x1.3e1757fa08ef5p-5, 0x1.366021dac14bep-5, 0x1.2ed0ce05b441ep-5, 0x1.2768cbcff25cdp-5, 0x1.20278ab789e56p-5, 0x1.190c7a7617f02p-5, 0x1.12170b12acaa6p-5, 0x1.0b46acf307d35p-5, 0x1.049ad0ec2e6eap-5, 0x1.fc25d0a4bb1fep-6, 0x1.ef5cca10ba1ebp-6, 0x1.e2d9731c6887fp-6, 0x1.d69ab21e86746p-6, 0x1.ca9f6edf8c0f5p-6, 0x1.bee692b37f8bdp-6, 0x1.b36f0892abff4p-6, 0x1.a837bd31386cep-6, 0x1.9d3f9f15a60c4p-6, 0x1.92859eae37325p-6, 0x1.8808ae6553f96p-6, 0x1.7dc7c2b4db112p-6, 0x1.73c1d2387adbap-6, 0x1.69f5d5bf0b1a3p-6, 0x1.6062c85af1b8p-6, 0x1.5707a7719a70ap-6, 0x1.4de372c9ffe8fp-6, 0x1.44f52c9a544fp-6, 0x1.3c3bd994cdb84p-6, 0x1.33b680f3963edp-6, 0x1.2b642c83ea6cp-6, 0x1.2343e8b06c453p-6, 0x1.1b54c48aae7f9p-6, 0x1.1395d1d3fd7c4p-6, 0x1.0c0625056a46p-6, 0x1.04a4d55723859p-6, 0x1.fae1f98e31d3ap-7, 0x1.ecd3703de7206p-7, 0x1.df1c4df2d21fbp-7, 0x1.d1bad78dd24dp-7, 0x1.c4ad57a36dd69p-7, 0x1.b7f21e82bee7fp-7, 0x1.ab87823b4fed7p-7, 0x1.9f6bdea1d31adp-7, 0x1.939d9553ce8bdp-7, 0x1.881b0dba348bep-7, 0x1.7ce2b50b0e05dp-7, 0x1.71f2fe4a29071p-7, 0x1.674a6248d261ap-7, 0x1.5ce75fa4bd9a7p-7, 0x1.52c87ac600682p-7, 0x1.48ec3ddc4ec9bp-7, 0x1.3f5138db58786p-7, 0x1.35f601767bea5p-7, 0x1.2cd9331bad8bap-7, 0x1.23f96eedb7c51p-7, 0x1.1b555bbdce9bcp-7, 0x1.12eba60481537p-7, 0x1.0abaffda11894p-7, 0x1.02c220ee37608p-7, 0x1.f5ff8cfeb0c4ep-8, 0x1.e6e566a274b61p-8, 0x1.d8335f466b26dp-8, 0x1.c9e7124be0881p-8, 0x1.bbfe25e1500f3p-8, 0x1.ae764aec1d97p-8, 0x1.a14d3cf185affp-8, 0x1.9480c1fece90fp-8, 0x1.880eaa90c40b2p-8, 0x1.7bf4d17a8c939p-8, 0x1.70311bcbdd03dp-8, 0x1.64c178b69d159p-8, 0x1.59a3e17400412p-8, 0x1.4ed659291ed23p-8, 0x1.4456eccb1b94ep-8, 0x1.3a23b302dbbc5p-8, 0x1.303acc105adcbp-8, 0x1.269a61ada75b7p-8, 0x1.1d40a6f188bdfp-8, 0x1.142bd831dfe1dp-8, 0x1.0b5a3ae5c286cp-8, 0x1.02ca1d875ed5bp-8, 0x1.f4f3aeeb53f8ep-9, 0x1.e4cf91abcad29p-9, 0x1.d524b4e9f8ac3p-9, 0x1.c5effb518c9cap-9, 0x1.b72e58625d5e3p-9, 0x1.a8dcd0329c298p-9, 0x1.9af87730e899bp-9, 0x1.8d7e71e65dcfdp-9, 0x1.806bf4b89cc4fp-9, 0x1.73be43abde7e7p-9, 0x1.6772b2251cc68p-9, 0x1.5b86a2ac54ca7p-9, 0x1.4ff786aef2407p-9, 0x1.44c2de4265571p-9, 0x1.39e637e6f8d15p-9, 0x1.2f5f304adbed1p-9, 0x1.252b720d7debp-9, 0x1.1b48b58331145p-9, 0x1.11b4c07928638p-9, 0x1.086d65f9c99e5p-9, 0x1.fee10c22da6c3p-10, 0x1.ed781b26f2b58p-10, 0x1.dc9bebbfe9eccp-10, 0x1.cc488953131efp-10, 0x1.bc7a1777f9077p-10, 0x1.ad2cd1864dd8ep-10, 0x1.9e5d0a24df1bfp-10, 0x1.90072ad98da29p-10, 0x1.8227b39a5dd54p-10, 0x1.74bb3a5fa3bap-10, 0x1.67be6ab746347p-10, 0x1.5b2e05593484ep-10, 0x1.4f06dfbd02c33p-10, 0x1.4345e3b0b6587p-10, 0x1.37e80ef0cc988p-10, 0x1.2cea72c1811d2p-10, 0x1.224a338949c09p-10, 0x1.1804886c9d9b8p-10, 0x1.0e16baeb0045bp-10, 0x1.047e267d55669p-10, 0x1.f670706b02da4p-11, 0x1.e484dcbeb3252p-11, 0x1.d334b045c2f06p-11, 0x1.c27b2a4fb8adep-11, 0x1.b253aa756142ep-11, 0x1.a2b9afe53ee39p-11, 0x1.93a8d8b2a200ap-11, 0x1.851ce1276b99bp-11, 0x1.7711a3187a4f3p-11, 0x1.6983153cc1f8bp-11, 0x1.5c6d4a870d145p-11, 0x1.4fcc7182667a7p-11, 0x1.439cd3b129894p-11, 0x1.37dad4eeb93bp-11, 0x1.2c82f2d3d8868p-11, 0x1.2191c41da3222p-11, 0x1.1703f81724307p-11, 0x1.0cd6560585e16p-11, 0x1.0305bc96d6a7ep-11, 0x1.f31e42a6c385ep-12, 0x1.e0df20232757fp-12, 0x1.cf4854d8d295dp-12, 0x1.be544e78c3a71p-12, 0x1.adfda425e132ap-12, 0x1.9e3f1570d1fcfp-12, 0x1.8f138958ba205p-12, 0x1.80760d50da04fp-12, 0x1.7261d44af97a7p-12, 0x1.64d235c69d26p-12, 0x1.57c2ace4ef4d8p-12, 0x1.4b2ed78157f0fp-12, 0x1.3f12754eb22ffp-12, 0x1.336966f912d11p-12, 0x1.282fad4c12dc6p-12, 0x1.1d61685d8ef8fp-12, 0x1.12fad6bcd1a4fp-12, 0x1.08f854a611c3fp-12, 0x1.feacb67484b75p-13, 0x1.ec22ff7637431p-13, 0x1.da4ce596a42cfp-13, 0x1.c923ff65df0f2p-13, 0x1.b8a2174f76144p-13, 0x1.a8c12a3343f8fp-13, 0x1.997b66062f5fcp-13, 0x1.8acb287aa8a17p-13, 0x1.7caafdb0d5e28p-13, 0x1.6f159eee4de82p-13, 0x1.6205f15d3a09fp-13, 0x1.557704d2cb70dp-13, 0x1.4964129ce41bap-13, 0x1.3dc87c56cc08p-13, 0x1.329fcac4e416bp-13, 0x1.27e5acb72a87bp-13, 0x1.1d95f5f27a8a9p-13, 0x1.13ac9e206daap-13, 0x1.0a25bfc5ae6f4p-13, 0x1.00fd973ebd241p-13, 0x1.f0610385d84d7p-14, 0x1.df75f8db0e6a5p-14, 0x1.cf33469a11b58p-14, 0x1.bf9260f06af4p-14, 0x1.b08cf65220773p-14, 0x1.a21cedbafe918p-14, 0x1.943c64fb16a2fp-14, 0x1.86e5af0e3ba2ep-14, 0x1.7a13527e3f9f9p-14, 0x1.6dc007cfc105fp-14, 0x1.61e6b7f951a5dp-14, 0x1.56827ae4bf10dp-14, 0x1.4b8e95fa4c3a4p-14, 0x1.41067ab5a5387p-14, 0x1.36e5c5445a5a3p-14, 0x1.2d283b2db1bf7p-14, 0x1.23c9ca039ada1p-14, 0x1.1ac6861c94a5p-14, 0x1.121aa9565367fp-14, 0x1.09c291e0f8d0dp-14, 0x1.01bac112abf1ap-14, 0x1.f3ffb486c948fp-15, 0x1.e51d4361758cep-15, 0x1.d6c7f6d31995cp-15, 0x1.c8f9d4829f115p-15, 0x1.bbad1d95b9206p-15, 0x1.aedc4cb52516p-15, 0x1.a282141f3c6cap-15, 0x1.96995bc87dde3p-15, 0x1.8b1d3f89c3671p-15, 0x1.80090d5bcc36fp-15, 0x1.7558439fccbc1p-15, 0x1.6b068f74b8c4p-15, 0x1.610fcb18f75a6p-15, 0x1.576ffc5832357p-15, 0x1.4e235304fcf62p-15, 0x1.4526277e02718p-15, 0x1.3c74f93e76cd9p-15, 0x1.340c6d7982104p-15, 0x1.2be94dc062a1bp-15, 0x1.240886b30011p-15, 0x1.1c6726baaab9fp-15, 0x1.15025ccecab1p-15, 0x1.0dd777433a393p-15, 0x1.06e3e2a00b45dp-15, 0x1.002528827ebf1p-15, 0x1.f331dd0ddcfa1p-16, 0x1.e679ea76d51e4p-16, 0x1.da1e2e35b259fp-16, 0x1.ce1a8f20a9b85p-16, 0x1.c26b240533e97p-16, 0x1.b70c31ce8eb17p-16, 0x1.abfa29bb814ecp-16, 0x1.a131a7a2f1447p-16, 0x1.96af7046ecbd6p-16, 0x1.8c706fb5bad88p-16, 0x1.8271b7b899f52p-16, 0x1.78b07e4fbdbebp-16, 0x1.6f2a1c3b44eaep-16, 0x1.65dc0b90af0afp-16, 0x1.5cc3e65c94796p-16, 0x1.53df65502ff9bp-16, 0x1.4b2c5e7a77c0ap-16, 0x1.42a8c40c660d5p-16, 0x1.3a52a3281fe81p-16, 0x1.322822bab7016p-16, 0x1.2a2782602342ep-16, 0x1.224f19513a6bp-16, 0x1.1a9d555b50acdp-16, 0x1.1310b9e13e98ep-16, 0x1.0ba7dee583868p-16, 0x1.0461701d3e99p-16, 0x1.fa78581773d9p-17, 0x1.ec6dc64c9836p-17, 0x1.dea0ee008a532p-17, 0x1.d10fb2fd6bbb4p-17, 0x1.c3b818278ba2dp-17, 0x1.b6983e02cd1e2p-17, 0x1.a9ae61465138dp-17, 0x1.9cf8d97de8fdep-17, 0x1.907617b8eee17p-17, 0x1.8424a54611606p-17, 0x1.7803227ba8821p-17, 0x1.6c10458c3a01ep-17, 0x1.604ad966b8d48p-17, 0x1.54b1bca22de4dp-17, 0x1.4943e0745e15cp-17, 0x1.3e0047b32455p-17, 0x1.32e605e011336p-17, 0x1.27f43e3e0cdc1p-17, 0x1.1d2a22f097f96p-17, 0x1.1286f424649f8p-17, 0x1.0809ff40f0a06p-17, 0x1.fb653c45ad445p-18, 0x1.e7006cbd124f2p-18, 0x1.d2e47116626c2p-18, 0x1.bf103f2ac9994p-18, 0x1.ab82e032e97d5p-18, 0x1.983b6f8a15cf2p-18, 0x1.8539197fb32d9p-18, 0x1.727b1a3639e18p-18, 0x1.6000bc8f5cd8dp-18, 0x1.4dc95924e4bc5p-18, 0x1.3bd4554dc2081p-18, 0x1.2a21222eed868p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.72d11a55ac0fap-4, 0x1.852859de9d223p-4, 0x1.9763e95f91ea3p-4, 0x1.a979d70cbd9a7p-4, 0x1.bb5f2ec0c5623p-4, 0x1.cd0823af926c1p-4, 0x1.de683b9a0140ap-4, 0x1.ef727a4052851p-4, 0x1.000cc605c1c4bp-3, 0x1.0827f78dc0652p-3, 0x1.10040d0c6e9c7p-3, 0x1.179a5029d379fp-3, 0x1.1ee4296eeacb2p-3, 0x1.25db2f37ad6bp-3, 0x1.2c7932fdf1488p-3, 0x1.32b84cfbbc05cp-3, 0x1.3892e62c322b4p-3, 0x1.3e03c0b8cee73p-3, 0x1.4305fee5980f3p-3, 0x1.47952892834e7p-3, 0x1.4bad2f6ac54a7p-3, 0x1.4f4a71dc18d1fp-3, 0x1.5269bcf0e64f4p-3, 0x1.55084d28178f1p-3, 0x1.5723ce651f544p-3, 0x1.58ba5b11ca49ap-3, 0x1.59ca7a8a7c1dep-3, 0x1.5a531eec1759cp-3, 0x1.5a53a259768fep-3, 0x1.59cbc3ccd296ep-3, 0x1.58bba387f9e4ep-3, 0x1.5723bf3491a62p-3, 0x1.5504edc444c13p-3, 0x1.52605b1f1fa39p-3, 0x1.4f3783ad0a54ap-3, 0x1.4b8c2fc5e7e59p-3, 0x1.47606f12b662ap-3, 0x1.42b693e8b27cep-3, 0x1.3d912ea699ebfp-3, 0x1.37f3091aee636p-3, 0x1.31df21f9550d6p-3, 0x1.2b58a8643ad6bp-3, 0x1.2462f78f1c677p-3, 0x1.1d01927d3090bp-3, 0x1.15381fdf70ad2p-3, 0x1.0d0a661484988p-3, 0x1.047c474c7df0bp-3, 0x1.f7237ba3d096bp-4, 0x1.e49db0f286e68p-4, 0x1.d16f6e6f428f5p-4, 0x1.bda10fc1ade3cp-4, 0x1.a93b061ac0776p-4, 0x1.9445d24fcb429p-4, 0x1.7ec9ff441a516p-4, 0x1.68d01ca04aa37p-4, 0x1.5260b9d60d8b7p-4, 0x1.3b84616ed877bp-4, 0x1.244394a3ce151p-4, 0x1.0ca6c73d00018p-4, 0x1.e96cb76c0862bp-5, 0x1.b8f53f4b82d9ep-5, 0x1.87f790ce7bacfp-5, 0x1.5683e0025c2f5p-5, 0x1.24aa2493f6175p-5, 0x1.e4f42917ad1e1p-6, 0x1.80063ef47f4aep-6, 0x1.1aa8d41c55444p-6, 0x1.69f3284aeaac5p-7, 0x1.3c561674dc9cap-8, -0x1.6e6fc7e544462p-10, -0x1.f381224a109a2p-8, -0x1.c576d725289efp-7, -0x1.485e2d88cb9c4p-6, -0x1.adaf1586702afp-6, -0x1.094ab6812a7a3p-5, -0x1.3b7ca156dd5c3p-5, -0x1.6d61b66368676p-5, -0x1.9eeec577fd7a9p-5, -0x1.d01903c96187ep-5, -0x1.006b063543936p-4, -0x1.188df049bd087p-4, -0x1.307073dbd74e6p-4, -0x1.480df7b750f7ep-4, -0x1.5f621598cecafp-4, -0x1.766899f8a977bp-4, -0x1.8d1d83c2f1f49p-4, -0x1.a37d03fde8fcap-4, -0x1.b9837d601bc9fp-4, -0x1.cf2d83d73ed1bp-4, -0x1.e477dc00e6241p-4, -0x1.f95f7a961e91fp-4, -0x1.06f0c1e56fa54p-3, -0x1.10fda551269cbp-3, -0x1.1ad5281c5525p-3, -0x1.24762181ec639p-3, -0x1.2ddf7f059789bp-3, -0x1.3710440bbbd11p-3, -0x1.4007896de76f2p-3, -0x1.48c47d0c031p-3, -0x1.5146615aab001p-3, -0x1.598c8ceeee78ap-3, -0x1.61966a07d24c2p-3, -0x1.69637615d6476p-3, -0x1.70f34140c4871p-3, -0x1.78456dec12e26p-3, -0x1.7f59b03a0b315p-3, -0x1.862fcd8e01af4p-3, -0x1.8cc79c0dc7356p-3, -0x1.9321022294e17p-3, -0x1.993bf5f99ee49p-3, -0x1.9f187d048342ap-3, -0x1.a4b6ab79beb8dp-3, -0x1.aa16a3d552e71p-3, -0x1.af389659ca979p-3, -0x1.b41cc091bbcebp-3, -0x1.b8c36cd1f723cp-3, -0x1.bd2cf1bc789d4p-3, -0x1.c159b1c4452a8p-3, -0x1.c54a1ab252a2ap-3, -0x1.c8fea52b8f65dp-3, -0x1.cc77d4382bee1p-3, -0x1.cfb634cc3fd25p-3, -0x1.d2ba5d51da109p-3, -0x1.d584ed349b69p-3, -0x1.d8168c6eeb7fep-3, -0x1.da6feb18da5e5p-3, -0x1.dc91c0f8c6113p-3, -0x1.de7ccd15ca8f7p-3, -0x1.e031d54c180c4p-3, -0x1.e1b1a5e330976p-3, -0x1.e2fd112623e98p-3, -0x1.e414eefdcdc36p-3, -0x1.e4fa1c8d28767p-3, -0x1.e5ad7bcfb0f3bp-3, -0x1.e62ff339f6c4fp-3, -0x1.e6826d5c49dc3p-3, -0x1.e6a5d887a09dap-3, -0x1.e69b2674aab4dp-3, -0x1.e6634bed224bbp-3, -0x1.e5ff407758205p-3, -0x1.e56ffe03fb588p-3, -0x1.e4b6809e27a3cp-3, -0x1.e3d3c61db1becp-3, -0x1.e2c8cddbbc071p-3, -0x1.e1969869850afp-3, -0x1.e03e274981adbp-3, -0x1.dec07caaaf864p-3, -0x1.dd1e9b262a061p-3, -0x1.db59857efb5f3p-3, -0x1.d9723e641e9acp-3, -0x1.d769c834c1d4fp-3, -0x1.d54124c6ab967p-3, -0x1.d2f9552ed3216p-3, -0x1.d093598c1cbdp-3, -0x1.ce1030d434b9fp-3, -0x1.cb70d8a285a95p-3, -0x1.c8b64d0941dccp-3, -0x1.c5e1886477639p-3, -0x1.c2f3832f2cc1fp-3, -0x1.bfed33da776edp-3, -0x1.bccf8ea68b37bp-3, -0x1.b99b857db7fa5p-3, -0x1.b65207d146c2ep-3, -0x1.b2f402783d559p-3, -0x1.af825f8fece0cp-3, -0x1.abfe065e51ff4p-3, -0x1.a867db3632b09p-3, -0x1.a4c0bf5cf41f8p-3, -0x1.a10990f227558p-3, -0x1.9d432ad8afd38p-3, -0x1.996e64a18dbep-3, -0x1.958c12783ae5bp-3, -0x1.919d051087521p-3, -0x1.8da20995fefbcp-3, -0x1.899be99cbd72p-3, -0x1.858b6b13aa234p-3, -0x1.817150381aa6dp-3, -0x1.7d4e578ac96e7p-3, -0x1.79233bc611edp-3, -0x1.74f0b3d57cbfap-3, -0x1.70b772ce7525ep-3, -0x1.6c7827ea379dep-3, -0x1.68337e80e1037p-3, -0x1.63ea1e0596479p-3, -0x1.5f9caa03c3dfbp-3, -0x1.5b4bc21d5c4a4p-3, -0x1.56f8020a1a101p-3, -0x1.52a20197b56c4p-3, -0x1.4e4a54ab030ccp-3, -0x1.49f18b41f5c3dp-3, -0x1.45983176797c3p-3, -0x1.413ecf821b20cp-3, -0x1.3ce5e9c27d772p-3, -0x1.388e00be824b9p-3, -0x1.3437912c335fp-3, -0x1.2fe313f751937p-3, -0x1.2b90fe488c19cp-3, -0x1.2741c18d4fcc1p-3, -0x1.22f5cb8033fafp-3, -0x1.1ead8631e7a6ep-3, -0x1.1a695812afdcbp-3, -0x1.1629a3fc5bf01p-3, -0x1.11eec93cb1562p-3, -0x1.0db923a049d9fp-3, -0x1.09890b7dd454ep-3, -0x1.055ed5c1bd327p-3, -0x1.013ad3fa29a27p-3, -0x1.fa3aa8c69e504p-4, -0x1.f20d43e82691ap-4, -0x1.e9ee08d5e87bp-4, -0x1.e1dd80b66738ap-4, -0x1.d9dc2e74745e1p-4, -0x1.d1ea8eda747a8p-4, -0x1.ca0918aded8ffp-4, -0x1.c2383ccb7d562p-4, -0x1.ba7866431256fp-4, -0x1.b2c9fa7475f73p-4, -0x1.ab2d592bf9aebp-4, -0x1.a3a2dcbf671a5p-4, -0x1.9c2ada2b0c335p-4, -0x1.94c5a12eecffbp-4, -0x1.8d737c6c04635p-4, -0x1.8634b181981e9p-4, -0x1.7f09812a9023dp-4, -0x1.77f2275ace47cp-4, -0x1.70eedb5c7e06ap-4, -0x1.69ffcfed54ce9p-4, -0x1.6325335bbcd33p-4, -0x1.5c5f2fa3e5ab6p-4, -0x1.55adea8cb1ec4p-4, -0x1.4f1185c47f792p-4, -0x1.488a1efdc1bb9p-4, -0x1.4217d00b6c5bfp-4, -0x1.3bbaaefd25ae8p-4, -0x1.3572ce3b40209p-4, -0x1.2f403ca272bbbp-4, -0x1.2923059f50917p-4, -0x1.231b3149769dfp-4, -0x1.1d28c47e70a8cp-4, -0x1.174bc0fc4faf7p-4, -0x1.1184257bee55bp-4, -0x1.0bd1edcae13dcp-4, -0x1.063512e511b4fp-4, -0x1.00ad8b0dfcb7bp-4, -0x1.f67693d32dabbp-5, -0x1.ebbc8129a4fd7p-5, -0x1.e12cbb7b8b72ep-5, -0x1.d6c71b76da56ap-5, -0x1.cc8b754a1a436p-5, -0x1.c27998d25762ap-5, -0x1.b89151c84b5cep-5, -0x1.aed267ecb80c7p-5, -0x1.a53c9f33ef162p-5, -0x1.9bcfb7f088283p-5, -0x1.928b6efd43c48p-5, -0x1.896f7de615a86p-5, -0x1.807b9b105b0abp-5, -0x1.77af79e238d26p-5, -0x1.6f0acae922d27p-5, -0x1.668d3bff88e14p-5, -0x1.5e367871b07b5p-5, -0x1.56062921b16fep-5, -0x1.4dfbf4aa9f72ep-5, -0x1.46177f82da98bp-5, -0x1.3e586c1d8c01dp-5, -0x1.36be5b0b4a24dp-5, -0x1.2f48eb19ee36p-5, -0x1.27f7b9739294ep-5, -0x1.20ca61bcc148bp-5, -0x1.19c07e31d55e2p-5, -0x1.12d9a7c38a36bp-5, -0x1.0c157632c24bfp-5, -0x1.0573802b81e0dp-5, -0x1.fde6b6be43b37p-6, -0x1.f129393b7c818p-6, -0x1.e4adafddba963p-6, -0x1.d8734152b2db5p-6, -0x1.cc79131513283p-6, -0x1.c0be49995b9ecp-6, -0x1.b542087943c8ap-6, -0x1.aa03729db27ddp-6, -0x1.9f01aa6747dfep-6, -0x1.943bd1d58e86ep-6, -0x1.89b10aacbe0f8p-6, -0x1.7f60769a388e5p-6, -0x1.75493757a28a2p-6, -0x1.6b6a6eccbd992p-6, -0x1.61c33f2ff4bdfp-6, -0x1.5852cb25a45e3p-6, -0x1.4f1835de34575p-6, -0x1.4612a332ecf8cp-6, -0x1.3d4137c1ab7bp-6, -0x1.34a3190762403p-6, -0x1.2c376d798102ap-6, -0x1.23fd5c9e38fbep-6, -0x1.1bf40f23ae9bep-6, -0x1.141aaef6181b9p-6, -0x1.0c706754d7b21p-6, -0x1.04f464e689af9p-6, -0x1.fb4bab983b6a6p-7, -0x1.ed07d365e0fb6p-7, -0x1.df1ba3cbef993p-7, -0x1.d18582bc0ae43p-7, -0x1.c443d9a237844p-7, -0x1.b7551581d56e5p-7, -0x1.aab7a710e0402p-7, -0x1.9e6a02d183c44p-7, -0x1.926aa12a1852p-7, -0x1.86b7fe7b8b43cp-7, -0x1.7b509b36402c5p-7, -0x1.7032fbed7d188p-7, -0x1.655da9695f0b8p-7, -0x1.5acf30b76a6abp-7, -0x1.50862339c56b3p-7, -0x1.468116b524f34p-7, -0x1.3cbea55d66728p-7, -0x1.333d6de0fdd08p-7, -0x1.29fc13732aeb7p-7, -0x1.20f93dd5093bp-7, -0x1.1833995d82507p-7, -0x1.0fa9d7002e52cp-7, -0x1.075aac5328185p-7, -0x1.fe89a727c54f8p-8, -0x1.eece17560d35p-8, -0x1.df80305ec07ccp-8, -0x1.d09d82cfd2987p-8, -0x1.c223a899e9a29p-8, -0x1.b41045110d725p-8, -0x1.a66104ebbf642p-8, -0x1.99139e4086f11p-8, -0x1.8c25d08209e2ap-8, -0x1.7f956479b96b6p-8, -0x1.73602c4126721p-8, -0x1.6784033a0a47ep-8, -0x1.5bfece0515cf6p-8, -0x1.50ce7a779134bp-8, -0x1.45f0ff8fda4bp-8, -0x1.3b645d68d4b28p-8, -0x1.31269d2c5047ep-8, -0x1.2735d10479d9ep-8, -0x1.1d90140c5ffe2p-8, -0x1.14338a3f97006p-8, -0x1.0b1e60690b1e9p-8, -0x1.024ecc1107d38p-8, -0x1.f38616d50bd73p-9, -0x1.e2f2ca7f8938dp-9, -0x1.d2e051bc79153p-9, -0x1.c34b5c03ec9eep-9, -0x1.b430a98099e09p-9, -0x1.a58d0ae44fa41p-9, -0x1.975d613b6b753p-9, -0x1.899e9dbf5eb39p-9, -0x1.7c4dc1a85a579p-9, -0x1.6f67ddfe300eap-9, -0x1.62ea13687bd0bp-9, -0x1.56d191fe1e635p-9, -0x1.4b1b9914233dp-9, -0x1.3fc5770c188cap-9, -0x1.34cc8921ead6bp-9, -0x1.2a2e3b39547cbp-9, -0x1.1fe807aae75fbp-9, -0x1.15f77710c6926p-9, -0x1.0c5a2013191cep-9, -0x1.030da7343c933p-9, -0x1.f41f7d3999c5ap-10, -0x1.e2bc4bcf0cd23p-10, -0x1.d1ed53da16a61p-10, -0x1.c1ae491f3b76ep-10, -0x1.b1faf90da2addp-10, -0x1.a2cf4a5684621p-10, -0x1.94273c84b1d8ep-10, -0x1.85fee794468d5p-10, -0x1.78527b8a9845bp-10, -0x1.6b1e400e73b83p-10, -0x1.5e5e9400b101ap-10, -0x1.520fed1536727p-10, -0x1.462ed76c6e33ep-10, -0x1.3ab7f52d48a97p-10, -0x1.2fa7fe1fc5edep-10, -0x1.24fbbf4824d2ap-10, -0x1.1ab01a82b9a0ep-10, -0x1.10c20620711eap-10, -0x1.072e8c841d1c3p-10, -0x1.fbe59780f1f65p-11, -0x1.ea17ea6e1c129p-11, -0x1.d8ee9a6fc69d7p-11, -0x1.c86455442856ap-11, -0x1.b873ed0a9c337p-11, -0x1.a918578876ac7p-11, -0x1.9a4cad6fc9501p-11, -0x1.8c0c29a81a752p-11, -0x1.7e5228991fea1p-11, -0x1.711a277784bc1p-11, -0x1.645fc393c604dp-11, -0x1.581eb9ab2c9aep-11, -0x1.4c52e53aedfecp-11, -0x1.40f83fd57a27bp-11, -0x1.360ae079ff301p-11, -0x1.2b86faee23902p-11, -0x1.2168df1a0382p-11, -0x1.17acf8666ea2p-11, -0x1.0e4fcd1d6ecd6p-11, -0x1.054dfdcd195fp-11, -0x1.f94889595d3ep-12, -0x1.e89eea081022p-12, -0x1.d898f52ab2797p-12, -0x1.c930b2128411ep-12, -0x1.ba6056ba6ba26p-12, -0x1.ac2246a869e93p-12, -0x1.9e7111d3b4e45p-12, -0x1.9147738f79ca4p-12, -0x1.84a0517a3f754p-12, -0x1.7876ba71ec67fp-12, -0x1.6cc5e58c67dccp-12, -0x1.61893114d73ap-12, -0x1.56bc218d6a682p-12, -0x1.4c5a60b5bbfe1p-12, -0x1.425fbc95b50cfp-12, -0x1.38c8268cf6592p-12, -0x1.2f8fb266b73cbp-12, -0x1.26b295721e40cp-12, -0x1.1e2d259efa362p-12, -0x1.15fbd89ee7824p-12, -0x1.0e1b430ac28dbp-12, -0x1.0688178c737c2p-12, -0x1.fe7e4c19eda02p-13, -0x1.f07ab5cd48a52p-13, -0x1.e2ff7c3749dfdp-13, -0x1.d606e5211df4dp-13, -0x1.c98b6a962d9fbp-13, -0x1.bd87b969ab5cep-13, -0x1.b1f6afc4184e6p-13, -0x1.a6d35bb8bcc17p-13, -0x1.9c18f9e2f300ap-13, -0x1.91c2f40b2fbbap-13, -0x1.87ccdfd3a9648p-13, -0x1.7e327d6c8b98bp-13, -0x1.74efb64f9e42cp-13, -0x1.6c009c03353a8p-13, -0x1.636166e46eb02p-13, -0x1.5b0e74f87cd53p-13, -0x1.530448c50afa3p-13, -0x1.4b3f882f81c71p-13, -0x1.43bcfb631df28p-13, -0x1.3c798bbdc68e4p-13, -0x1.357242c372445p-13, -0x1.2ea44918161ep-13, -0x1.280ce57ffb9a4p-13, -0x1.21a97be659254p-13, -0x1.1b778c6a22231p-13, -0x1.1574b270ec51fp-13, -0x1.0f9ea3bfc84b1p-13, -0x1.09f32f9a06d3p-13, -0x1.04703de5b4ef2p-13, -0x1.fe279caba2e7cp-14, -0x1.f3b7ef340a33dp-14, -0x1.e98dcd27b699cp-14, -0x1.dfa5bb22af5a4p-14, -0x1.d5fc67198310cp-14, -0x1.cc8ea6e35562cp-14, -0x1.c35976cdeabaap-14, -0x1.ba59f83bb3db2p-14, -0x1.b18d704b8f6efp-14, -0x1.a8f1468a0b8adp-14, -0x1.a08303ac0ad7fp-14, -0x1.9840505286406p-14, -0x1.9026f3d748e1ap-14, -0x1.8834d3227292fp-14, -0x1.8067ef888e8e7p-14, -0x1.78be65b11585ep-14, -0x1.71366c8526e65p-14, -0x1.69ce54264facfp-14, -0x1.628484ed31399p-14, -0x1.5b577e6fd8be7p-14, -0x1.5445d68f9fd91p-14, -0x1.4d4e388e65dfap-14, -0x1.466f642afc699p-14, -0x1.3fa82cc4980fdp-14, -0x1.38f778851f333p-14, -0x1.325c3f922ca2p-14, -0x1.2bd58b449c7fap-14, -0x1.256275667e244p-14, -0x1.1f02277741b38p-14, -0x1.18b3d9f5fbf21p-14, -0x1.1276d3b199cd1p-14, -0x1.0c4a691edea55p-14, -0x1.062dfbb409854p-14, -0x1.0020f949f99fep-14, -0x1.f445b70569764p-15, -0x1.e8664e6a4b772p-15, -0x1.dca2d7bbec432p-15, -0x1.d0fa862abf679p-15, -0x1.c56ca013a4fb6p-15, -0x1.b9f87dfea5b3cp-15, -0x1.ae9d89a6d871ap-15, -0x1.a35b3d0b385c7p-15, -0x1.983121882885dp-15, -0x1.8d1ecef96d9a2p-15, -0x1.8223eae460baep-15, -0x1.774027aa21814p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.daf552d98b294p-2, 0x1.dd59fd2b8f25bp-2, 0x1.dfbbc0ac2b5ecp-2, 0x1.e2150db4ea2f4p-2, 0x1.e460d1d3cdcd6p-2, 0x1.e69a84ac90b06p-2, 0x1.e8be2f5b5674fp-2, 0x1.eac86f35b1234p-2, 0x1.ecb674bbc98a9p-2, 0x1.ee85ff7ab4064p-2, 0x1.f035578d653bcp-2, 0x1.f1c34554c6f4ap-2, 0x1.f32f07ead3f65p-2, 0x1.f4784ac0b7f3ap-2, 0x1.f59f1ac5b890dp-2, 0x1.f6a3db63f4b8cp-2, 0x1.f7873b914593p-2, 0x1.f84a2b258d4ep-2, 0x1.f8edd09c8a33bp-2, 0x1.f9737f5f98d93p-2, 0x1.f9dcaeabc821dp-2, 0x1.fa2af121b4f32p-2, 0x1.fa5fed0721e7ap-2, 0x1.fa7d553d9304bp-2, 0x1.fa84e2ed83777p-2, 0x1.fa784fe2e3a3dp-2, 0x1.fa595195373eap-2, 0x1.fa2994d3fad91p-2, 0x1.f9eaba0eaca49p-2, 0x1.f99e522ef45c1p-2, 0x1.f945dbfada62cp-2, 0x1.f8e2c1f4b3d5p-2, 0x1.f87658ae4b5fep-2, 0x1.f801dd84fb201p-2, 0x1.f78675bc8d348p-2, 0x1.f7052def2b7cp-2, 0x1.f67ef9c8f7712p-2, 0x1.f5f4b40673589p-2, 0x1.f5671ead59a14p-2, 0x1.f4d6e37816314p-2, 0x1.f444946c9cce3p-2, 0x1.f3b0ac97e651p-2, 0x1.f31b90e7f1a85p-2, 0x1.f285911ea5ab7p-2, 0x1.f1eee8d884124p-2, 0x1.f157c0a28b6b7p-2, 0x1.f0c02f1b362bcp-2, 0x1.f0283a1ae0db6p-2, 0x1.ef8fd7e05e4e9p-2, 0x1.eef6f03ee1283p-2, 0x1.ee5d5dcab7372p-2, 0x1.edc2ef02b5c35p-2, 0x1.ed2767747aebcp-2, 0x1.ec8a80d9f9952p-2, 0x1.ebebec2efa2dbp-2, 0x1.eb4b52bd85c14p-2, 0x1.eaa8572057fccp-2, 0x1.ea02963aae5cbp-2, 0x1.e959a824ed82p-2, 0x1.e8ad210dc6ea1p-2, 0x1.e7fc920f9759fp-2, 0x1.e74789f9ebf3fp-2, 0x1.e68d960f1c615p-2, 0x1.e5ce42b613903p-2, 0x1.e5091c20624ccp-2, 0x1.e43daee4d1cc3p-2, 0x1.e36b888eb8231p-2, 0x1.e29238224fbe3p-2, 0x1.e1b14e96729f5p-2, 0x1.e0c85f440656p-2, 0x1.dfd7004b8321ep-2, 0x1.dedccaf0f3ed8p-2, 0x1.ddd95beed6ebdp-2, 0x1.dccc53c049b8fp-2, 0x1.dbb556e2e4d22p-2, 0x1.da940e10b4cbcp-2, 0x1.d9682672b7bbfp-2, 0x1.d83151cc42b22p-2, 0x1.d6ef469fb9a8bp-2, 0x1.d5a1c04cf8f14p-2, 0x1.d4487f29d22dfp-2, 0x1.d2e34894fa167p-2, 0x1.d171e703c211p-2, 0x1.cff42a0af7ca1p-2, 0x1.ce69e6633830ep-2, 0x1.ccd2f5e910745p-2, 0x1.cb2f3799327aep-2, 0x1.c97e8f890ce4p-2, 0x1.c7c0e6dc0cee3p-2, 0x1.c5f62bb5c9995p-2, 0x1.c41e51296338dp-2, 0x1.c2394f264684ap-2, 0x1.c04722629b4abp-2, 0x1.be47cc438f91ap-2, 0x1.bc3b52c3b3129p-2, 0x1.ba21c0579992fp-2, 0x1.b7fb23d0ed06p-2, 0x1.b5c79040243bap-2, 0x1.b3871cd4fe388p-2, 0x1.b139e4bdf1461p-2, 0x1.aee00706b23bep-2, 0x1.ac79a675f2cb3p-2, 0x1.aa06e96a7a6c9p-2, 0x1.a787f9b7bb5cfp-2, 0x1.a4fd0481fc49fp-2, 0x1.a2663a1a32d4fp-2, 0x1.9fc3cdd9abf22p-2, 0x1.9d15f5fd93bc5p-2, 0x1.9a5ceb827871fp-2, 0x1.9798e9ffdaa43p-2, 0x1.94ca2f83dd105p-2, 0x1.91f0fc6f270cap-2, 0x1.8f0d93510b218p-2, 0x1.8c2038c3fefeep-2, 0x1.8929334a72012p-2, 0x1.8628cb2c159e7p-2, 0x1.831f4a53990efp-2, 0x1.800cfc2cec6a4p-2, 0x1.7cf22d8413968p-2, 0x1.79cf2c648b3aap-2, 0x1.76a447f951bd1p-2, 0x1.7371d06d92fcbp-2, 0x1.703816ce0628fp-2, 0x1.6cf76ceaf9c2cp-2, 0x1.69b0253b1bdb4p-2, 0x1.666292befd3c1p-2, 0x1.630f08e556846p-2, 0x1.5fb5db7011ddep-2, 0x1.5c575e5a1bec4p-2, 0x1.58f3e5bdfcda1p-2, 0x1.558bc5bd3fa97p-2, 0x1.521f5268a2832p-2, 0x1.4eaedfa9193f1p-2, 0x1.4b3ac1299a3c7p-2, 0x1.47c34a41bc227p-2, 0x1.4448cde120931p-2, 0x1.40cb9e7bad239p-2, 0x1.3d4c0df69066p-2, 0x1.39ca6d9613e62p-2, 0x1.36470dec37942p-2, 0x1.32c23ec815bcdp-2, 0x1.2f3c4f260d5b7p-2, 0x1.2bb58d20b0228p-2, 0x1.282e45e2766dbp-2, 0x1.24a6c5982c5c8p-2, 0x1.211f57642232ap-2, 0x1.1d984552117adp-2, 0x1.1a11d84bbb524p-2, 0x1.168c580e3be7p-2, 0x1.13080b200a5d7p-2, 0x1.0f8536c7a831bp-2, 0x1.0c041f02fb3d4p-2, 0x1.0885067f48b52p-2, 0x1.05082e91d90a5p-2, 0x1.018dd73132a48p-2, 0x1.fc2c7dddedcdap-3, 0x1.f54345e49d29p-3, 0x1.ee607de5d93f7p-3, 0x1.e7849a694435ep-3, 0x1.e0b00d06edf8cp-3, 0x1.d9e344609ad7p-3, 0x1.d31eac1c111d5p-3, 0x1.cc62acde5fa01p-3, 0x1.c5afac481d328p-3, 0x1.bf060cf29055cp-3, 0x1.b8662e6dc4668p-3, 0x1.b1d06d3f756a7p-3, 0x1.ab4522e2d43fdp-3, 0x1.a4c4a5c918a1dp-3, 0x1.9e4f495ad752fp-3, 0x1.97e55dfa19cc2p-3, 0x1.9187310526b84p-3, 0x1.8b350cd9fde0cp-3, 0x1.84ef38da7cfcap-3, 0x1.7eb5f9711cabap-3, 0x1.78899016502bfp-3, 0x1.726a3b566c85p-3, 0x1.6c5836d821b6ep-3, 0x1.6653bb637536ep-3, 0x1.605cfee93790fp-3, 0x1.5a74348aef06ap-3, 0x1.54998ca3380bfp-3, 0x1.4ecd34ce84c32p-3, 0x1.490f57f447c98p-3, 0x1.43601e507617ep-3, 0x1.3dbfad7d61bb3p-3, 0x1.382e287de578dp-3, 0x1.32abafc7d8949p-3, 0x1.2d38614ecab69p-3, 0x1.27d4588efc831p-3, 0x1.227fae9894e39p-3, 0x1.1d3a7a1b0bf7ep-3, 0x1.1804cf70c4a5ap-3, 0x1.12dec0aad060cp-3, 0x1.0dc85d9cdc4b1p-3, 0x1.08c1b3e941831p-3, 0x1.03cacf0d2a8f6p-3, 0x1.fdc770d9bd394p-4, 0x1.f418eec03055ap-4, 0x1.ea8a227ce1ad9p-4, 0x1.e11b12d7b4ab7p-4, 0x1.d7cbc2ca3eb64p-4, 0x1.ce9c3198d71p-4, 0x1.c58c5aebadbe6p-4, 0x1.bc9c36e7deeep-4, 0x1.b3cbba4878432p-4, 0x1.ab1ad67781afp-4, 0x1.a28979a6d887bp-4, 0x1.9a178ee90e25p-4, 0x1.91c4fe4a0d7d9p-4, 0x1.8991ace7ac5b5p-4, 0x1.817d7d0a122b2p-4, 0x1.79884e3beca89p-4, 0x1.71b1fd6276183p-4, 0x1.69fa64d545261p-4, 0x1.62615c75e3103p-4, 0x1.5ae6b9c723b75p-4, 0x1.538a50043e008p-4, 0x1.4c4bf0379ee71p-4, 0x1.452b695175d56p-4, 0x1.3e28883df6eep-4, 0x1.374317fb5019cp-4, 0x1.307ae1af4ebeap-4, 0x1.29cfacbcb5115p-4, 0x1.23413ed8398d1p-4, 0x1.1ccf5c1d32ae7p-4, 0x1.1679c721e97cep-4, 0x1.1040410b94ff6p-4, 0x1.0a2289a1f8742p-4, 0x1.04205f62a856cp-4, 0x1.fc72ff27dfc0cp-5, 0x1.f0db4caeb3fccp-5, 0x1.e5791d77b6398p-5, 0x1.da4be59f3403ap-5, 0x1.cf531762b2fa6p-5, 0x1.c48e234301423p-5, 0x1.b9fc782584195p-5, 0x1.af9d8374c0afbp-5, 0x1.a570b14025f2bp-5, 0x1.9b756c5b0dca9p-5, 0x1.91ab1e7afe3dbp-5, 0x1.8811305525e4ap-5, 0x1.7ea709bb16278p-5, 0x1.756c11b6b9802p-5, 0x1.6c5faea58b0ap-5, 0x1.638146530a17ep-5, 0x1.5ad03e1273a9p-5, 0x1.524bfad7b6d69p-5, 0x1.49f3e14fb2a54p-5, 0x1.41c755f7b57e6p-5, 0x1.39c5bd3442e29p-5, 0x1.31ee7b6722db2p-5, 0x1.2a40f504ba76ap-5, 0x1.22bc8ea8b0d3ep-5, 0x1.1b60ad29e0bccp-5, 0x1.142cb5ad9ccb9p-5, 0x1.0d200dba43a3dp-5, 0x1.063a1b492a954p-5, 0x1.fef489afbeb6bp-6, 0x1.f1bfe2f181f5dp-6, 0x1.e4d511c5f1114p-6, 0x1.d832e7039a8c2p-6, 0x1.cbd83506b7a4dp-6, 0x1.bfc3cfcd6192bp-6, 0x1.b3f48d1293f4bp-6, 0x1.a8694467fff66p-6, 0x1.9d20cf4ebd89p-6, 0x1.921a094ed0d7ep-6, 0x1.8753d00d9f688p-6, 0x1.7ccd036341e77p-6, 0x1.7284856ecec75p-6, 0x1.68793aa993d7ap-6, 0x1.5eaa09f94a164p-6, 0x1.5515dcc150663p-6, 0x1.4bbb9ef2e1e88p-6, 0x1.429a3f1c5e7cep-6, 0x1.39b0ae77a7864p-6, 0x1.30fde0f789e91p-6, 0x1.2880cd544f4dfp-6, 0x1.20386d176b65p-6, 0x1.1823bca654a63p-6, 0x1.1041bb4c8c12bp-6, 0x1.08916b44d3436p-6, 0x1.0111d1c1a1a7fp-6, 0x1.f383ede9ac4b5p-7, 0x1.e541cc2d58407p-7, 0x1.d75b5ad7f7516p-7, 0x1.c9cebc978de19p-7, 0x1.bc9a1a4841ee8p-7, 0x1.afbba2fccb625p-7, 0x1.a3318c05b196ap-7, 0x1.96fa10f747f67p-7, 0x1.8b1373ae8313p-7, 0x1.7f7bfc54a35c2p-7, 0x1.7431f961cbffcp-7, 0x1.6933bf9e8488ap-7, 0x1.5e7faa243788ap-7, 0x1.54141a5cb3ee7p-7, 0x1.49ef7800bae22p-7, 0x1.401031159a4b8p-7, 0x1.3674b9e9f731fp-7, 0x1.2d1b8d11ae106p-7, 0x1.24032b60eb749p-7, 0x1.1b2a1be67b38fp-7, 0x1.128eebe557c72p-7, 0x1.0a302ecd81b13p-7, 0x1.020c7e3428a3p-7, 0x1.f444f39657b98p-8, 0x1.e4e18eaff74b5p-8, 0x1.d5ec2553c21d4p-8, 0x1.c7621b1f6b2f5p-8, 0x1.b940df9a2021dp-8, 0x1.ab85ee1ddca17p-8, 0x1.9e2ecdbfc7d15p-8, 0x1.91391137a1e41p-8, 0x1.84a256c657d7ep-8, 0x1.7868481bc2af5p-8, 0x1.6c889a3ba27a5p-8, 0x1.61010d61df507p-8, 0x1.55cf6ce61d304p-8, 0x1.4af18f1ead755p-8, 0x1.40655542e7bedp-8, 0x1.3628ab4cf7c9ep-8, 0x1.2c3987db28214p-8, 0x1.2295ec10b4e3cp-8, 0x1.193be37630352p-8, 0x1.102983d981a17p-8, 0x1.075ced2d8b6e3p-8, 0x1.fda892d2f394cp-9, 0x1.ed1b98cf985eap-9, 0x1.dd0f678a34289p-9, 0x1.cd808d7d40ecap-9, 0x1.be6bac2133ca9p-9, 0x1.afcd77a8e2d2fp-9, 0x1.a1a2b6bd9d21ap-9, 0x1.93e8423b0e9ecp-9, 0x1.869b04eaf8656p-9, 0x1.79b7fb40ce25fp-9, 0x1.6d3c33153eb3ap-9, 0x1.6124cb61bf62bp-9, 0x1.556ef3fc1405cp-9, 0x1.4a17ed51f5e1ep-9, 0x1.3f1d0824ca656p-9, 0x1.347ba5458eca1p-9, 0x1.2a313550e7be3p-9, 0x1.203b386b75bbdp-9, 0x1.16973dfe67dd3p-9, 0x1.0d42e4745a1fdp-9, 0x1.043bd8f68edb2p-9, 0x1.f6ffae54f28ddp-10, 0x1.e61951df6b919p-10, 0x1.d5c04c3cd28cep-10, 0x1.c5f0688c1b5c9p-10, 0x1.b6a58cd97ff55p-10, 0x1.a7dbb99e0218ep-10, 0x1.998f094006854p-10, 0x1.8bbbaf94f4388p-10, 0x1.7e5df963fbd1ep-10, 0x1.71724be9faac1p-10, 0x1.64f5245e92779p-10, 0x1.58e3177a7553bp-10, 0x1.4d38d0fef1a8ap-10, 0x1.41f3133ec5a55p-10, 0x1.370eb6a8381f9p-10, 0x1.2c88a950941c3p-10, 0x1.225dee80e9bbp-10, 0x1.188b9e443f4c9p-10, 0x1.0f0ee4f718af7p-10, 0x1.05e502d86f116p-10, 0x1.fa16973818bap-11, 0x1.e8fe4bfcba416p-11, 0x1.d87c16b360c11p-11, 0x1.c88b0e79da692p-11, 0x1.b9266e0781953p-11, 0x1.aa4992e089967p-11, 0x1.9beffc8c43403p-11, 0x1.8e154bce5a8f6p-11, 0x1.80b541e30fafp-11, 0x1.73cbbfbe6a71ap-11, 0x1.6754c54e6faf1p-11, 0x1.5b4c70c050311p-11, 0x1.4faefdc89863dp-11, 0x1.4478c4ee5b287p-11, 0x1.39a63ad9595e8p-11, 0x1.2f33efa322c21p-11, 0x1.251e8e2b2fac3p-11, 0x1.1b62db6dee146p-11, 0x1.11fdb5dec2f33p-11, 0x1.08ec14c4f7ea6p-11, 0x1.002b079b9701p-11, 0x1.ef6f6ae853b86p-12, 0x1.df1eb8b8b8ec7p-12, 0x1.cf5ea18cfd31cp-12, 0x1.c029f9e9b78aep-12, 0x1.b17bc0cfcb6f1p-12, 0x1.a34f1e9e5bcf2p-12, 0x1.959f63fa49302p-12, 0x1.886808bb33335p-12, 0x1.7ba4aaddedc94p-12, 0x1.6f510d7c5f3f1p-12, 0x1.636917cab84bcp-12, 0x1.57e8d419f6cb3p-12, 0x1.4ccc6edfa8ccfp-12, 0x1.421035c2da57ap-12, 0x1.37b096ae25533p-12, 0x1.2daa1ee6d4495p-12, 0x1.23f97a28fec45p-12, 0x1.1a9b71c8a032fp-12, 0x1.118cebd786a3p-12, 0x1.08caea5018e07p-12, 0x1.00528a44db332p-12, 0x1.f0420629433d1p-13, 0x1.e0674b46ca8efp-13, 0x1.d10fb72f4cf6bp-13, 0x1.c2364d389645p-13, 0x1.b3d63f4dda026p-13, 0x1.a5eaec850285bp-13, 0x1.986fdfbc9966ep-13, 0x1.8b60ce421e112p-13, 0x1.7eb99680b3f13p-13, 0x1.72763eb7f967ep-13, 0x1.6692f3baef307p-13, 0x1.5b0c07b6c97ebp-13, 0x1.4fddf101889b4p-13, 0x1.450548f03b43dp-13, 0x1.3a7ecab4bdc7ep-13, 0x1.30475242e20ebp-13, 0x1.265bdb3cdb9b2p-13, 0x1.1cb97fe6c19b3p-13, 0x1.135d782113342p-13, 0x1.0a45186a1e83ep-13, 0x1.016dd0e619b46p-13, 0x1.f1aa58dbbf6e9p-14, 0x1.e0f19f4841db7p-14, 0x1.d0acf021e7d4ep-14, 0x1.c0d7f6873b8d1p-14, 0x1.b16e8bf4efd36p-14, 0x1.a26cb6a19b6d3p-14, 0x1.93cea7e5327eap-14, 0x1.8590baabfb5c3p-14, 0x1.77af71f4bf8a4p-14, 0x1.6a277759ffcf2p-14, 0x1.5cf599a5ee74ap-14, 0x1.5016cb70f5b6ep-14, 0x1.438821ca8d217p-14, 0x1.3746d2ec293fcp-14, 0x1.2b5034f60862p-14, 0x1.1fa1bcb5a5563p-14, 0x1.1438fc759ac28p-14, 0x1.0913a2d6bdd8ap-14, 0x1.fc5ef36477eb1p-15, 0x1.e714ca0909e89p-15, 0x1.d244c3c19f2b6p-15, 0x1.bdeb0ada032a1p-15, 0x1.aa03f7cb96a16p-15, 0x1.968c0f5587bbbp-15, 0x1.838000a4a3a63p-15, 0x1.70dca38a6ac14p-15, 0x1.5e9ef6c2fe35ep-15, 0x1.4cc41e498bcacp-15, 0x1.3b4961bae1231p-15, 0x1.2a2c2ac5bf5ep-15, 0x1.196a03a8a4244p-15, 0x1.090095bca39ffp-15, 0x1.f1db501a0b182p-16, 0x1.d25e3bf69973p-16, 0x1.b385ebdeadc92p-16, 0x1.954e9026828a8p-16, 0x1.77b48a358dd1fp-16, 0x1.5ab46a2b834b4p-16, 0x1.3e4aec9b13d3cp-16, 0x1.2274f859c4612p-16, 0x1.072f9c644e3b7p-16, 0x1.d8f01badf3b81p-17, 0x1.a4974bf2b47e8p-17, 0x1.714fc0b9ddc0ap-17, 0x1.3f14b21c1f727p-17, 0x1.0de195ad579bp-17, 0x1.bb6436494760dp-18, 0x1.5d04524bf817ep-18, 0x1.009bb458e451p-18, 0x1.4c45e6500b81dp-19, 0x1.364c061119923p-20, -0x1.235ae4fd9eec9p-23, -0x1.77b3f03148db1p-20, -0x1.61d30be90fdcdp-19, -0x1.02164613826f6p-18, -0x1.5178ca9a77d93p-18, -0x1.9f16631cd30f6p-18, -0x1.eaf424c2e7fa3p-18, -0x1.1a8b77266a053p-17, -0x1.3ec1b5f39b5dcp-17, -0x1.621f0d699554dp-17, -0x1.84a5a6717dfc7p-17, -0x1.a65795e6812aep-17, -0x1.c736de2b0c364p-17, -0x1.e74570aa6afc5p-17, -0x1.034297a3cd642p-16, -0x1.127bf6dce2f96p-16, -0x1.214fb96b978e5p-16, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      50, 0x1.38339c0ebedfap+2, 0x1.1885905c4330dp+1, 0x1.41399d039a359p+2, -0x1.5802a67ea0d22p-7, 
      {{
        {0x1.a45c810a569b1p+1, 0x1.a871321c5cd7fp+1, 0x1.a4df48c7bc641p-4, -0x1.fc4e991f9c8a4p-3, 0x1.167f9579c437p-2, 0x1.65be60d82018ep-5}, 
        {0x1.a871321c5cd7fp+1, 0x1.ac85e343dca3bp+1, 0x1.8599622b072e9p-4, -0x1.d884c0f7b2275p-3, 0x1.1ac68059560d1p-2, -0x1.bf534408d0566p-3}, 
        {0x1.ac85e343dca3bp+1, 0x1.b09a9455e2e09p+1, 0x1.6897365a32902p-4, -0x1.b5d247efb9313p-3, 0x1.056220fc3520cp-2, -0x1.229ceaf967be2p-3}, 
        {0x1.b09a9455e2e09p+1, 0x1.b4af457d62ac4p+1, 0x1.4db7c023b0af1p-4, -0x1.955fdb943595p-3, 0x1.eef89c512828ap-3, -0x1.40168aea774c1p-3}, 
        {0x1.b4af457d62ac4p+1, 0x1.b8c3f68f68e92p+1, 0x1.34daf97bd087ap-4, -0x1.76ca27bf049fcp-3, 0x1.d05b43b43772ap-3, -0x1.2b52ebb940128p-3}, 
        {0x1.b8c3f68f68e92p+1, 0x1.bcd8a7b6e8b4ep+1, 0x1.1de1db839d23bp-4, -0x1.5a17fa78df6b2p-3, 0x1.b3ba5483e9fa3p-3, -0x1.245852d9779fbp-3}, 
        {0x1.bcd8a7b6e8b4ep+1, 0x1.c0ed58c8eef1cp+1, 0x1.08ae5e9d7b42cp-4, -0x1.3f33aa77360fp-3, 0x1.97c44583a4c26p-3, -0x1.19601b4257577p-3}, 
        {0x1.c0ed58c8eef1cp+1, 0x1.c50209f06ebd7p+1, 0x1.ea46f4b11764ap-5, -0x1.260f360b968e6p-3, 0x1.7cdace2d16b59p-3, -0x1.0fbf5062c69fap-3}, 
        {0x1.c50209f06ebd7p+1, 0x1.c916bb0274fa5p+1, 0x1.c64a4afcd37acp-5, -0x1.0e9a87fa35211p-3, 0x1.62dd14a6eb7f9p-3, -0x1.058402d0193aep-3}, 
        {0x1.c916bb0274fa5p+1, 0x1.cd2b6c29f4c61p+1, 0x1.a530ac0ad9799p-5, -0x1.f18c40ff3204dp-4, 0x1.49d9e131f9fdfp-3, -0x1.f74d80b41a802p-4}, 
        {0x1.cd2b6c29f4c61p+1, 0x1.d1401d3bfb02fp+1, 0x1.86c6022f0e9e4p-5, -0x1.c9049d8ecf524p-4, 0x1.31c83420a4686p-3, -0x1.e317340d00aaep-4}, 
        {0x1.d1401d3bfb02fp+1, 0x1.d554ce4e013fcp+1, 0x1.6ad8364dca015p-5, -0x1.a37ef9a4cd59ap-4, 0x1.1aadf9d0aa27ep-3, -0x1.cf172538880cep-4}, 
        {0x1.d554ce4e013fcp+1, 0x1.d9697f75810b8p+1, 0x1.51372f895df6dp-5, -0x1.80dbf07254b69p-4, 0x1.048899b67797cp-3, -0x1.bb2e16ae7451dp-4}, 
        {0x1.d9697f75810b8p+1, 0x1.dd7e308787486p+1, 0x1.39b4d36b535e7p-5, -0x1.60fc59b14a965p-4, 0x1.deadf39678dd2p-4, -0x1.a6f6db0377d41p-4}, 
        {0x1.dd7e308787486p+1, 0x1.e192e1af07142p+1, 0x1.242505ffe6831p-5, -0x1.43c0e3f993ca3p-4, 0x1.b639b000bd761p-4, -0x1.9321e3f7f4b5dp-4}, 
        {0x1.e192e1af07142p+1, 0x1.e5a792c10d50fp+1, 0x1.105da9ba8a3b4p-5, -0x1.290a4b0dc57c1p-4, 0x1.8fab00ead6218p-4, -0x1.7eebede724e0bp-4}, 
        {0x1.e5a792c10d50fp+1, 0x1.e9bc43e88d1cbp+1, 0x1.fc6d3ed052f1dp-6, -0x1.10b94dfcb9807p-4, 0x1.6b0b2edd25e2ep-4, -0x1.6b0f8095ec65ep-4}, 
        {0x1.e9bc43e88d1cbp+1, 0x1.edd0f4fa93599p+1, 0x1.db138c79cb73p-6, -0x1.f55d47cf79e9p-5, 0x1.4851a81866672p-4, -0x1.56df7b4f2b79dp-4}, 
        {0x1.edd0f4fa93599p+1, 0x1.f1e5a62213255p+1, 0x1.bc65f7c3aaecp-6, -0x1.cd9614f8eabcap-5, 0x1.27866cd33b444p-4, -0x1.42fe34c7939aap-4}, 
        {0x1.f1e5a62213255p+1, 0x1.f5fa573419622p+1, 0x1.a02038ea08454p-6, -0x1.a9de73ca0d1c2p-5, 0x1.08a1f3a235215p-4, -0x1.2edb4b27dc995p-4}, 
        {0x1.f5fa573419622p+1, 0x1.fa0f08461f9fp+1, 0x1.860204a4f0dedp-6, -0x1.89f7ec2b41414p-5, 0x1.d75509d32664p-5, -0x1.1adb22f44def7p-4}, 
        {0x1.fa0f08461f9fp+1, 0x1.fe23b96d9f6acp+1, 0x1.6dcf0ce8d2af1p-6, -0x1.6da3d390127c4p-5, 0x1.a1399a137120bp-5, -0x1.06e227621c86ap-4}, 
        {0x1.fe23b96d9f6acp+1, 0x1.011c353fd2d3dp+2, 0x1.574f00261223dp-6, -0x1.54a3c12d99ac1p-5, 0x1.6ef037a904d1bp-5, -0x1.e58272b6532ecp-5}, 
        {0x1.011c353fd2d3dp+2, 0x1.03268dd392b9bp+2, 0x1.424d89b6fda19p-6, -0x1.3eb91a90b6533p-5, 0x1.408088d9e5aa8p-5, -0x1.bdaccac15bb81p-5}, 
        {0x1.03268dd392b9bp+2, 0x1.0530e65c95d82p+2, 0x1.2e9a51fb4a63ap-6, -0x1.2ba5596f3183ep-5, 0x1.15e03261527a4p-5, -0x1.9567de2f19678p-5}, 
        {0x1.0530e65c95d82p+2, 0x1.073b3ef055bdfp+2, 0x1.1c08fdcea41ccp-6, -0x1.1b29f6cc71243p-5, 0x1.de33b4c9366cep-6, -0x1.6d88b8591589dp-5}, 
        {0x1.073b3ef055bdfp+2, 0x1.0945977958dc6p+2, 0x1.0a712f2d9a36p-6, -0x1.0d0862ca3ad0ep-5, 0x1.9847869c89b7cp-6, -0x1.455491fb676dap-5}, 
        {0x1.0945977958dc6p+2, 0x1.0b4ff00d18c24p+2, 0x1.f35d098f589f9p-7, -0x1.01021be73912ep-5, 0x1.5a0c1fa800f52p-6, -0x1.1d65ed261631ep-5}, 
        {0x1.0b4ff00d18c24p+2, 0x1.0d5a48961be0bp+2, 0x1.d34133c79ac34p-7, -0x1.edb126e70ffa4p-6, 0x1.237431a87180fp-6, -0x1.ea6c926c8e3adp-6}, 
        {0x1.0d5a48961be0bp+2, 0x1.0f64a129dbc69p+2, 0x1.b4560e0aa1f2fp-7, -0x1.dc9a7e6106427p-6, 0x1.e9185b7818b35p-7, -0x1.9a98607705bf4p-6}, 
        {0x1.0f64a129dbc69p+2, 0x1.116ef9b2dee5p+2, 0x1.966ac28dfbf9p-7, -0x1.ce432f4930b7ap-6, 0x1.9a8d88e6dd799p-7, -0x1.4a40724313eb1p-6}, 
        {0x1.116ef9b2dee5p+2, 0x1.1379523be2037p+2, 0x1.795674ed170e2p-7, -0x1.c22e31b935e26p-6, 0x1.5b6121e96fe52p-7, -0x1.f463c0c33995cp-7}, 
        {0x1.1379523be2037p+2, 0x1.1583aacfa1e95p+2, 0x1.5cf8430528d7ep-7, -0x1.b7de4f504629ep-6, 0x1.2b851c6b92151p-7, -0x1.546db2f9e507fp-7}, 
        {0x1.1583aacfa1e95p+2, 0x1.178e0358a507bp+2, 0x1.413743dcce4aap-7, -0x1.aed69a587a513p-6, 0x1.0af5babe03128p-7, -0x1.678256a2557d3p-8}, 
        {0x1.178e0358a507bp+2, 0x1.19985bec64ed9p+2, 0x1.26028848f8e81p-7, -0x1.a699edb05ac0cp-6, 0x1.f388e4459f19p-8, -0x1.403710b985656p-11}, 
        {0x1.19985bec64ed9p+2, 0x1.1ba2b475680cp+2, 0x1.0b511ab5f5003p-7, -0x1.9eab39779e209p-6, 0x1.efb4d5a7db8f9p-8, 0x1.1965aa62f6939p-8}, 
        {0x1.1ba2b475680cp+2, 0x1.1dad0d0927f1ep+2, 0x1.e243fe90cbe1p-8, -0x1.968d6aafa5a1p-6, 0x1.054f6a8dd0f79p-7, 0x1.2c7234239e30cp-7}, 
        {0x1.1dad0d0927f1ep+2, 0x1.1fb765922b105p+2, 0x1.aef8676296497p-8, -0x1.8dc36d0793b44p-6, 0x1.220bd47181146p-7, 0x1.cd229cb88b9edp-7}, 
        {0x1.1fb765922b105p+2, 0x1.21c1be25eaf63p+2, 0x1.7cdd5eb3f62c6p-8, -0x1.83d02f2fb812bp-6, 0x1.4e26b51ca8d73p-7, 0x1.3677b30e4088cp-6}, 
        {0x1.21c1be25eaf63p+2, 0x1.23cc16aeee14ap+2, 0x1.4c20c67b4f58cp-8, -0x1.783699d186619p-6, 0x1.898a490f2a90dp-7, 0x1.86ba32ae7411fp-6}, 
        {0x1.23cc16aeee14ap+2, 0x1.25d66f37f1331p+2, 0x1.1d0073feb779p-8, -0x1.6a79a77005958p-6, 0x1.d4482c3a5fba5p-7, 0x1.d6d62a606a108p-6}, 
        {0x1.25d66f37f1331p+2, 0x1.27e0c7cbb118ep+2, 0x1.df945fd3e726ap-9, -0x1.5a1c2809efc28p-6, 0x1.172c807d71fc4p-6, 0x1.1364343222907p-5}, 
        {0x1.27e0c7cbb118ep+2, 0x1.29eb2054b4375p+2, 0x1.89b76c18ff13cp-9, -0x1.46a12a0cf1dddp-6, 0x1.4bda67190d6c2p-6, 0x1.3ba1705e51768p-5}, 
        {0x1.29eb2054b4375p+2, 0x1.2bf578e8741d3p+2, 0x1.39456b0b12351p-9, -0x1.2f8b735dec414p-6, 0x1.883acf4e31ee4p-6, 0x1.633ea1190403dp-5}, 
        {0x1.2bf578e8741d3p+2, 0x1.2dffd171773bap+2, 0x1.de73433bba7b7p-10, -0x1.145e57a31dc54p-6, 0x1.cc2f1e37494e6p-6, 0x1.8cb1b08de6317p-5}, 
        {0x1.2dffd171773bap+2, 0x1.300a2a0537218p+2, 0x1.595e761915319p-10, -0x1.e93691c68ae34p-7, 0x1.0c0899446c21ep-5, 0x1.afcc12ddacb18p-5}, 
        {0x1.300a2a0537218p+2, 0x1.3214828e3a3ffp+2, 0x1.cb85256dc1d57p-11, -0x1.9f95833f87b5ap-7, 0x1.3555238a605bcp-5, 0x1.ea1fbc707aed6p-5}, 
        {0x1.3214828e3a3ffp+2, 0x1.341edb21fa25dp+2, 0x1.0cab144f954f3p-11, -0x1.4ab5cb734757ep-7, 0x1.6435ce23f5618p-5, 0x1.ce2d790bb6bb2p-5}, 
        {0x1.341edb21fa25dp+2, 0x1.362933aafd444p+2, 0x1.f068d3fda1f52p-13, -0x1.d47114700721dp-8, 0x1.906a35ca4e0a5p-5, 0x1.79f01b9196437p-4}, 
        {0x1.362933aafd444p+2, 0x1.38339c0ebedfap+2, 0x1.01ecefd7c6873p-14, -0x1.eb7fd9df0322ep-9, 0x1.d8b5cd02e8891p-5, -0x1.226cb793f46dbp+1}, 
      }}, 
      0x1.128ed5d7f16a1p+7, -0x1.057750b14b6ffp+11
    }
  };
  // clang-format on
}
SkfData params_hyb_0_2_ag_o() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.0f035208d80cap-1, 0x1.0af788bb84193p-1, 0x1.03a39fc38b8c3p-1, 0x1.f2878a87c861ep-2, 0x1.d83508020aa15p-2, 0x1.b8e2247753cd1p-2, 0x1.952e8ef58d3e1p-2, 0x1.6dbb06759793cp-2, 0x1.43259d832a7d3p-2, 0x1.160b7f1492b07p-2, 0x1.ce0a02c24fc26p-3, 0x1.6d4212cd787ep-3, 0x1.0ac9f3c1d754ep-3, 0x1.4f35127aea2d6p-4, 0x1.125ff174f421ep-5, -0x1.d708dbc664e07p-7, -0x1.f7213aefdc24p-5, -0x1.b79c1b00547cdp-4, -0x1.36f66c0525dcep-3, -0x1.8ecbc9d8f3c13p-3, -0x1.e2ecebdd7bc19p-3, -0x1.199f192a202aep-2, -0x1.3f8e8be2e8d99p-2, -0x1.634278dfcd063p-2, -0x1.84a9d33398a46p-2, -0x1.a3b9a72a38d0ap-2, -0x1.c06cb8811dc04p-2, -0x1.dac2f62ab3693p-2, -0x1.f2c0b0f3172b9p-2, -0x1.0436e1ffecc3dp-1, -0x1.0dea753cae452p-1, -0x1.1681ae6e3d1b3p-1, -0x1.1e0450b801e6dp-1, -0x1.247b318ce24f9p-1, -0x1.29f017a46e548p-1, -0x1.2e6d8c95bf7bcp-1, -0x1.31fea8a756bc4p-1, -0x1.34aee03dd2091p-1, -0x1.3689d7a62ef9cp-1, -0x1.379b405ece3b4p-1, -0x1.37eec14b6ed08p-1, -0x1.378fe83b9f101p-1, -0x1.368a206dc2d5fp-1, -0x1.34e8a96458095p-1, -0x1.32b68b7e149aep-1, -0x1.2ffe8a8d73ea9p-1, -0x1.2ccb187b5798cp-1, -0x1.29264a32dfd68p-1, -0x1.2519d00cbdf2ap-1, -0x1.20aef1a592fbp-1, -0x1.1bee8c4ffdce7p-1, -0x1.16e1133558b08p-1, -0x1.118e90462b3f1p-1, -0x1.0bfea5291094dp-1, -0x1.06388b9cb0779p-1, -0x1.00431556e7287p-1, -0x1.f449580ab487ap-2, -0x1.e7c6a49a4ceccp-2, -0x1.db094cbc50201p-2, -0x1.ce1bcc2e71ep-2, -0x1.c107e85bb1019p-2, -0x1.b3d6bb1aaf1a6p-2, -0x1.a690bc6f95f3cp-2, -0x1.993e594269766p-2, -0x1.8be58972699e7p-2, -0x1.7e8def22d12dp-2, -0x1.713db62116052p-2, -0x1.63fa7e652107p-2, -0x1.56c965ed3c4fap-2, -0x1.49af139c082bcp-2, -0x1.3cafc1f7d248ap-2, -0x1.2fcf48d43ed42p-2, -0x1.231125522f76cp-2, -0x1.1678801948218p-2, -0x1.0a08321502e0dp-2, -0x1.fb8590765b492p-3, -0x1.e3550dd9575cdp-3, -0x1.cb82dacb50ce8p-3, -0x1.b41273061d2eep-3, -0x1.9d06d7e3ddb54p-3, -0x1.8662996c75559p-3, -0x1.7027dfba10237p-3, -0x1.5a5874480b532p-3, -0x1.44f5cac32e08ap-3, -0x1.30010909e766ep-3, -0x1.1b7b0e2f3381dp-3, -0x1.0764787a6a415p-3, -0x1.e77b55014592ap-4, -0x1.c10d9f16fedc4p-4, -0x1.9b7fbf1603ff8p-4, -0x1.76d14599a5d99p-4, -0x1.53016b4d29c46p-4, -0x1.300f185e2488bp-4, -0x1.0df8ec1e723b8p-4, -0x1.d97a898fc4becp-5, -0x1.98b48e79d48fep-5, -0x1.599bcd29e33e7p-5, -0x1.1c2bd67dcb634p-5, -0x1.c0bfe62013fe3p-6, -0x1.4c665d7846b3ep-6, -0x1.b6818991694ap-7, -0x1.b511df34ddd1ap-8, -0x1.3344544682e86p-13, 0x1.9590dae7bdc8fp-8, 0x1.944e5b65f0a7fp-7, 0x1.2bedf7a185dedp-6, 0x1.8ac45faa29e08p-6, 0x1.e6b65cd1d7438p-6, 0x1.1fe806fb0f80cp-5, 0x1.4b0edaa70802fp-5, 0x1.74d5d9a350b8ep-5, 0x1.9d434057f444cp-5, 0x1.c45d5425c36b4p-5, 0x1.ea2a5ff02fb9fp-5, 0x1.075858410b01p-4, 0x1.18fb48748524fp-4, 0x1.2a012371a5221p-4, 0x1.3a6d07bd995cdp-4, 0x1.4a420df3e2e7p-4, 0x1.59834762b72bp-4, 0x1.6833bcda40078p-4, 0x1.76566db25f9fep-4, 0x1.83ee4f077b77cp-4, 0x1.90fe4b2be1d99p-4, 0x1.9d894148f552fp-4, 0x1.a992052995f7bp-4, 0x1.b51b5f264678fp-4, 0x1.c0280c2b6d8f9p-4, 0x1.cababdd25ea4ap-4, 0x1.d4d61a86cbccbp-4, 0x1.de7cbdb364635p-4, 0x1.e7b137f1746d5p-4, 0x1.f0760f38b1b8ep-4, 0x1.f8cdbf0d5bbd7p-4, 0x1.005d5c55ddbb3p-3, 0x1.041fb19864953p-3, 0x1.07af0de019f76p-3, 0x1.0b0c9ad42e76ap-3, 0x1.0e397d4277a59p-3, 0x1.1136d5306878ep-3, 0x1.1405bdebff1cep-3, 0x1.16a74e1cfe70bp-3, 0x1.191c97d6902e2p-3, 0x1.1b66a8a989cb9p-3, 0x1.1d8689b75c02bp-3, 0x1.1f7d3fc5a511dp-3, 0x1.214bcb52525d6p-3, 0x1.22ef0929275dbp-3, 0x1.24700c305fa6p-3, 0x1.25cbdee3259fp-3, 0x1.270371dd1f347p-3, 0x1.2817b17927b98p-3, 0x1.290985e16feaap-3, 0x1.29d9d3207f1d2p-3, 0x1.2a897932e8c0cp-3, 0x1.2b1954197981ep-3, 0x1.2b8a3beb99328p-3, 0x1.2bdd04e9c8d89p-3, 0x1.2c127f9010e7fp-3, 0x1.2c2b78a85193p-3, 0x1.2c28b95c61da8p-3, 0x1.2c0b0747f8f48p-3, 0x1.2bd3248a5f681p-3, 0x1.2b81cfd7e8bedp-3, 0x1.2b17c48b2a5c6p-3, 0x1.2a95bab5fcae9p-3, 0x1.29fc673238a1ap-3, 0x1.294c7bb239458p-3, 0x1.2886a6d10900ap-3, 0x1.27ab94224ccb5p-3, 0x1.26bbec41cce5ep-3, 0x1.25b854e2a67b1p-3, 0x1.24a170de0ae83p-3, 0x1.2377e0419496dp-3, 0x1.223c405d15423p-3, 0x1.20ef2bcfdf6ap-3, 0x1.1f913a957f83fp-3, 0x1.1e230211d3541p-3, 0x1.1ca5151c83d1dp-3, 0x1.1b18040bcf215p-3, 0x1.197c5cbea7e79p-3, 0x1.17d2aaa61f6b8p-3, 0x1.161b76ce226edp-3, 0x1.145747e58376ep-3, 0x1.1286a245641e4p-3, 0x1.10aa07f7f9e93p-3, 0x1.0ec1f8bec1161p-3, 0x1.0ccef2182fe35p-3, 0x1.0ad16f44e4217p-3, 0x1.08c9e94c7c541p-3, 0x1.06b8d70209078p-3, 0x1.049ead08487ebp-3, 0x1.027bddd59ce3bp-3, 0x1.0050d9b7ec7a8p-3, 0x1.fc3c1db0b8032p-4, 0x1.f7c7d27e15a8ap-4, 0x1.f345a5ad83b83p-4, 0x1.eeb666e16d788p-4, 0x1.ea1ae190ba225p-4, 0x1.e573dd0e944fap-4, 0x1.e0c21c9276079p-4, 0x1.dc065f40660bcp-4, 0x1.d7416031828dap-4, 0x1.d273d67cbb64p-4, 0x1.cd9e753fd7e54p-4, 0x1.c8c1eba8bc172p-4, 0x1.c3dee4fed9d96p-4, 0x1.bef608acda5bdp-4, 0x1.ba07fa4a81a23p-4, 0x1.b51559a69911cp-4, 0x1.b01ec2d1205cfp-4, 0x1.ab24ce256cd7ep-4, 0x1.a62810547f558p-4, 0x1.a1291a6f46aafp-4, 0x1.9c2879f0f0461p-4, 0x1.9726b8c93c487p-4, 0x1.92245d66bb1d8p-4, 0x1.8d21eac10a031p-4, 0x1.881fe062f885bp-4, 0x1.831eba749c389p-4, 0x1.7e1ef1c54dbb8p-4, 0x1.7920fbd58f6ap-4, 0x1.74254ae0dae13p-4, 0x1.6f2c4de7566cfp-4, 0x1.6a3670b773c26p-4, 0x1.65441bf778634p-4, 0x1.6055b52ef0313p-4, 0x1.5b6b9ed00f49bp-4, 0x1.5686384102ff4p-4, 0x1.51a5dde53465ap-4, 0x1.4ccae9268299p-4, 0x1.47f5b07e72773p-4, 0x1.4326877f5a7a3p-4, 0x1.3e5dbedd8dde2p-4, 0x1.399ba47886059p-4, 0x1.34e0836411243p-4, 0x1.302ca3f1857cep-4, 0x1.2b804bb8fdc56p-4, 0x1.26dbbda29f643p-4, 0x1.223f39efed2cp-4, 0x1.1daafe4526ee6p-4, 0x1.191f45b2b9f2ap-4, 0x1.149c48bec1142p-4, 0x1.10223d6e95f19p-4, 0x1.0bb157507494fp-4, 0x1.0749c78531942p-4, 0x1.02ebbcca0331ap-4, 0x1.fd2ec704b882fp-5, 0x1.f499cb83b52bbp-5, 0x1.ec18d6ac8cf73p-5, 0x1.e3ac33a347f7p-5, 0x1.db542928a7e2p-5, 0x1.d310f9ae8c086p-5, 0x1.cae2e36c6e9cdp-5, 0x1.c2ca2073fc073p-5, 0x1.bac6e6c5c49a8p-5, 0x1.b2d96865fe7a3p-5, 0x1.ab01d3715a7f6p-5, 0x1.a3405231e5147p-5, 0x1.9b950b33f3611p-5, 0x1.9400215b12933p-5, 0x1.8c81b3f6fd7c8p-5, 0x1.8519ded88f5fep-5, 0x1.7dc8ba66b286p-5, 0x1.768e5bb344f79p-5, 0x1.6f6ad48ff35ddp-5, 0x1.685e33a30088fp-5, 0x1.6168847bfd215p-5, 0x1.5a89cfa867c5ep-5, 0x1.53c21ac82f426p-5, 0x1.4d1168a21d33p-5, 0x1.4677b9381aa7dp-5, 0x1.3ff509db5469dp-5, 0x1.39895540377e2p-5, 0x1.33349392447e3p-5, 0x1.2cf6ba87b4d9p-5, 0x1.26cfbd74f68f7p-5, 0x1.20bf8d5ff1681p-5, 0x1.1ac619131bee7p-5, 0x1.14e34d305b51ap-5, 0x1.0f171443aa438p-5, 0x1.096156d58a02bp-5, 0x1.03c1fb7d340f6p-5, 0x1.fc71cde5272a7p-6, 0x1.f18bf83ffe4aep-6, 0x1.e6d2386766391p-6, 0x1.dc444d621ace2p-6, 0x1.d1e1f3030b70dp-6, 0x1.c7aae20ac7384p-6, 0x1.bd9ed048662c3p-6, 0x1.b3bd70b9e5138p-6, 0x1.aa0673abfa28p-6, 0x1.a07986d95f291p-6, 0x1.971655898c95ap-6, 0x1.8ddc88aee9915p-6, 0x1.84cbc7046fc1p-6, 0x1.7be3b52abaad2p-6, 0x1.7323f5c490083p-6, 0x1.6a8c2992d212bp-6, 0x1.621bef8fe3d9dp-6, 0x1.59d2e50a816ddp-6, 0x1.51b0a5c0039dap-6, 0x1.49b4cbf6185e2p-6, 0x1.41def093e3e68p-6, 0x1.3a2eab3aa1065p-6, 0x1.32a3925da0563p-6, 0x1.2b3d3b59ca279p-6, 0x1.23fb3a8c88749p-6, 0x1.1cdd236a26304p-6, 0x1.15e28893a55e2p-6, 0x1.0f0afbec04348p-6, 0x1.08560eacfc8b4p-6, 0x1.01c3517b37f62p-6, 0x1.f6a4a8f3efac5p-7, 0x1.ea054ebc767a1p-7, 0x1.de3ecda23c307p-7, 0x1.d221f345ba04bp-7, 0x1.c6450593cf52ap-7, 0x1.baa721fbe0a52p-7, 0x1.af4765c4f8652p-7, 0x1.a424ee2ddc4acp-7, 0x1.993ed88c1e703p-7, 0x1.8e94426a2fa9p-7, 0x1.842449a4704cbp-7, 0x1.79ee0c8547e64p-7, 0x1.6ff0a9e039ee9p-7, 0x1.662b412c1c29ap-7, 0x1.5c9cf29c419ccp-7, 0x1.5344df38ce30cp-7, 0x1.4a2228f60d00ap-7, 0x1.4133f2caf1b84p-7, 0x1.387960c6abd29p-7, 0x1.2ff198255ddeap-7, 0x1.279bbf63fb9c6p-7, 0x1.1f76fe534fed2p-7, 0x1.17827e2a2f60dp-7, 0x1.0fbd6996da9c7p-7, 0x1.0826eccf953f1p-7, 0x1.00be35a27752bp-7, 0x1.f304e708ed7f1p-8, 0x1.e4e5af3f6a031p-8, 0x1.d71d29c21a5c5p-8, 0x1.c9a9c009d8dbp-8, 0x1.bc89df46e9838p-8, 0x1.afbbf877dc659p-8, 0x1.a33e807f1becep-8, 0x1.970ff03724a4bp-8, 0x1.8b2ec4857316fp-8, 0x1.7f997e6c3352cp-8, 0x1.744ea31aac78bp-8, 0x1.694cbbfc85024p-8, 0x1.5e9256c7cc595p-8, 0x1.541e0589ecee3p-8, 0x1.49ee5eb377516p-8, 0x1.4001fd22d974dp-8, 0x1.3657802e0ba7p-8, 0x1.2ced8bab2dedbp-8, 0x1.23c2c7f82c8edp-8, 0x1.1ad5e20164bc1p-8, 0x1.12258b4759fe3p-8, 0x1.09b079e381b7ep-8, 0x1.0175688c2701dp-8, 0x1.f2e62d2ee9e38p-9, 0x1.e3508ffb4b39dp-9, 0x1.d4278ab4d042ap-9, 0x1.c568b7daede8fp-9, 0x1.b711bb34e697dp-9, 0x1.a92041cffaeb8p-9, 0x1.9b9201fc465d4p-9, 0x1.8e64bb4827d2ap-9, 0x1.8196367a6f7cap-9, 0x1.7524458b4092cp-9, 0x1.690cc39bbfaf8p-9, 0x1.5d4d94ec9d00ap-9, 0x1.51e4a6d37eccbp-9, 0x1.46cfefaf5ca15p-9, 0x1.3c0d6edbdb7cfp-9, 0x1.319b2ca3ad353p-9, 0x1.27773a320bde1p-9, 0x1.1d9fb1834d426p-9, 0x1.1412b554adf2ap-9, 0x1.0ace711345481p-9, 0x1.01d118ca46632p-9, 0x1.f231d2211c4acp-10, 0x1.e1484deb00cdcp-10, 0x1.d0e23fdaa47c1p-10, 0x1.c0fc537972ee8p-10, 0x1.b19344c81d804p-10, 0x1.a2a3e013fc36p-10, 0x1.942b01cb5acd1p-10, 0x1.862596510422ap-10, 0x1.789099cef9fp-10, 0x1.6b6918086d1f3p-10, 0x1.5eac2c2b187fep-10, 0x1.5257009ff4d9bp-10, 0x1.4666cedb6b846p-10, 0x1.3ad8df2d08a59p-10, 0x1.2faa888ec2788p-10, 0x1.24d93073d6c0ap-10, 0x1.1a624a97680e6p-10, 0x1.104358cab5af9p-10, 0x1.0679eac33bfb3p-10, 0x1.fa073bd109cbep-11, 0x1.e7bc3a43cfa14p-11, 0x1.d60e414840084p-11, 0x1.c4f8db7dc2fabp-11, 0x1.b477ad54ad0e9p-11, 0x1.a48674a94fd5ap-11, 0x1.9521085f12916p-11, 0x1.864357fbb7f04p-11, 0x1.77e96b42caf9ap-11, 0x1.6a0f61d14d808p-11, 0x1.5cb172b9cc247p-11, 0x1.4fcbec2098d4ap-11, 0x1.435b32d8a5a6p-11, 0x1.375bc200af275p-11, 0x1.2bca2aa0f010ep-11, 0x1.20a313495635p-11, 0x1.15e337b04c829p-11, 0x1.0b8768522afc6p-11, 0x1.018c8a112bc5cp-11, 0x1.efdf2bac5f986p-12, 0x1.dd5b306432607p-12, 0x1.cb8761ffddfb7p-12, 0x1.ba5e260f834a2p-12, 0x1.a9da074488ffdp-12, 0x1.99f5b4bab1754p-12, 0x1.8aac014298513p-12, 0x1.7bf7e2adee0d4p-12, 0x1.6dd4711d75d61p-12, 0x1.603ce650e5c1cp-12, 0x1.532c9cf840e05p-12, 0x1.469f1007714eep-12, 0x1.3a8fda0b6f0f2p-12, 0x1.2efab4816afb8p-12, 0x1.23db772fe9214p-12, 0x1.192e1781bf3ccp-12, 0x1.0eeea7e31e881p-12, 0x1.0519572078aa2p-12, 0x1.f754df8f3e834p-13, 0x1.e53caf156dd12p-13, 0x1.d3e31d4a827edp-13, 0x1.c3415e86ebae4p-13, 0x1.b350d9d67e967p-13, 0x1.a40b27cf65d3fp-13, 0x1.956a116cfd076p-13, 0x1.87678eeede1c7p-13, 0x1.79fdc6bc5f45fp-13, 0x1.6d270c4c48f0ep-13, 0x1.60dddf10afdccp-13, 0x1.551ce9678d5fep-13, 0x1.49deff8f1ff1cp-13, 0x1.3f1f1e9f6fa8fp-13, 0x1.34d86b873a9ebp-13, 0x1.2b06320e0e482p-13, 0x1.21a3e3da7858cp-13, 0x1.18ad177c789d7p-13, 0x1.101d877cbcb9p-13, 0x1.07f1116ff2832p-13, 0x1.0023b50ea622ep-13, 0x1.f16326a2cb436p-14, 0x1.e32ddb22f7dfep-14, 0x1.d5a0495bcd25fp-14, 0x1.c8b37069bab9p-14, 0x1.bc608b22eff34p-14, 0x1.b0a10e7ba1a6ep-14, 0x1.a56ea7f318114p-14, 0x1.9ac33c09096dp-14, 0x1.9098e4bbaf618p-14, 0x1.86e9f00e1ecbfp-14, 0x1.7db0de9748907p-14, 0x1.74e86219620fbp-14, 0x1.6c8b5c20bbed9p-14, 0x1.6494dcabc394dp-14, 0x1.5d0020da47d0ap-14, 0x1.55c891a4efb73p-14, 0x1.4ee9c29c0b2efp-14, 0x1.485f70aee3699p-14, 0x1.422580f94a53bp-14, 0x1.3c37ff997675ap-14, 0x1.36931e8c964c9p-14, 0x1.3133349267adap-14, 0x1.2c14bc17d2a7p-14, 0x1.273452282f3fp-14, 0x1.228eb564baa9fp-14, 0x1.1e20c502a80d2p-14, 0x1.19e77fcfd4eb1p-14, 0x1.15e0033c4fe7bp-14, 0x1.12078a6b6153bp-14, 0x1.0e5b6d4880ecp-14, 0x1.0ad91fa34166ap-14, 0x1.077e305000d5fp-14, 0x1.0448484e49defp-14, 0x1.013529f38e678p-14, 0x1.fc8560388dc19p-15, 0x1.f6dd9ac171639p-15, 0x1.f16f169e788eep-15, 0x1.ec361356307aep-15, 0x1.e72efb5fc04dap-15, 0x1.e25662b43eecap-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.39d094d2441ap-2, 0x1.448499b4bae62p-2, 0x1.4dbac266be9d5p-2, 0x1.555e61604c59ap-2, 0x1.5b63359868a74p-2, 0x1.5fc50639d449p-2, 0x1.62861c863baa4p-2, 0x1.63ae17f450108p-2, 0x1.63495a1d41e1bp-2, 0x1.61682510f40a4p-2, 0x1.5e1d9feca36d6p-2, 0x1.597f300504cb4p-2, 0x1.53a3f24033eap-2, 0x1.4ca4226d86ad3p-2, 0x1.449891de19bbdp-2, 0x1.3b9a45305323ap-2, 0x1.31c227b9e64dbp-2, 0x1.2728c63da472ep-2, 0x1.1be615f912f8bp-2, 0x1.1011477dd8beap-2, 0x1.03c09f539d294p-2, 0x1.ee15a01ee9fb1p-3, 0x1.d401dc05ea1f8p-3, 0x1.b96de8d68b064p-3, 0x1.9e7d0ba0313fdp-3, 0x1.8350056ccd764p-3, 0x1.6805075380e58p-3, 0x1.4cb7be33ee418p-3, 0x1.31816cf04963bp-3, 0x1.16790bd76d3e6p-3, 0x1.f766ca432c1edp-4, 0x1.c286588583126p-4, 0x1.8e72266fb4f2fp-4, 0x1.5b47c30c133edp-4, 0x1.29211df3c9afbp-4, 0x1.f0298732a617dp-5, 0x1.906c373d25e8cp-5, 0x1.332b4864c5c35p-5, 0x1.b104a22d4b1dap-6, 0x1.010fce6fb6138p-6, 0x1.5a7009e076effp-8, -0x1.38ed5c8dc713bp-8, -0x1.dac5398d27121p-7, -0x1.86cd3e2b10fddp-6, -0x1.0d3a854785ecdp-5, -0x1.542cc60b6f52ap-5, -0x1.983fb91b74cd9p-5, -0x1.d978033b605bdp-5, -0x1.0bee2a2e756c1p-4, -0x1.29ba9567faa17p-4, -0x1.46264e347eba9p-4, -0x1.613711f656ee4p-4, -0x1.7af3384e938c8p-4, -0x1.93619c0f05b01p-4, -0x1.aa898646ae7cp-4, -0x1.c0729bd3d9c77p-4, -0x1.d524cce944791p-4, -0x1.e8a845b528c09p-4, -0x1.fb055ff452323p-4, -0x1.06224aede3ed8p-3, -0x1.0e373b610ceaep-3, -0x1.15c5ceb678d25p-3, -0x1.1cd253be464c8p-3, -0x1.2360ffdd659b2p-3, -0x1.2976490630917p-3, -0x1.2f1654b260fcbp-3, -0x1.34455322378ecp-3, -0x1.390765e74cec7p-3, -0x1.3d609deaceb53p-3, -0x1.4154f9cae7596p-3, -0x1.44e86478b78eep-3, -0x1.481eb408b41f5p-3, -0x1.4afba8b0ff85fp-3, -0x1.4d82ebf50402p-3, -0x1.4fb80ffbef2f3p-3, -0x1.519e8f0cf8708p-3, -0x1.5339cb2c42d9ap-3, -0x1.548d0dd54e5f1p-3, -0x1.559b87d270d88p-3, -0x1.5668513181ee6p-3, -0x1.56f6695518fadp-3, -0x1.5748b72003377p-3, -0x1.5762093790ae5p-3, -0x1.57451658e7904p-3, -0x1.56f47dbd724e9p-3, -0x1.5672c78a9d613p-3, -0x1.55c265494137ep-3, -0x1.54e5b261e1c78p-3, -0x1.53def49baf898p-3, -0x1.52b05c9d2424p-3, -0x1.515c066d97ff7p-3, -0x1.4fe3f9f7a7731p-3, -0x1.4e4a2b8c534c7p-3, -0x1.4c907c67382dp-3, -0x1.4ab8bb34215a2p-3, -0x1.48c4a49643857p-3, -0x1.46b5e3b10990bp-3, -0x1.448e12b1f7466p-3, -0x1.424ebb5ae78cfp-3, -0x1.3ff9578bd218fp-3, -0x1.3d8f51cb6b543p-3, -0x1.3b1205cdfd837p-3, -0x1.3882c0fa00e6p-3, -0x1.35e2c2e9ea782p-3, -0x1.33333deaa73f5p-3, -0x1.307557764b9ecp-3, -0x1.2daa28aaa4e61p-3, -0x1.2ad2bebba1ab5p-3, -0x1.27f01b61a990bp-3, -0x1.25033544266f2p-3, -0x1.220cf86097bcap-3, -0x1.1f0e466e5a66ep-3, -0x1.1c07f73f77d1p-3, -0x1.18fad91e740abp-3, -0x1.15e7b1295b755p-3, -0x1.12cf3baa04691p-3, -0x1.0fb22c6bae30fp-3, -0x1.0c912f0e07ebcp-3, -0x1.096ce755c2819p-3, -0x1.0645f17aab09bp-3, -0x1.031ce2736480bp-3, -0x1.ffe4907d78ce3p-4, -0x1.f98d54552f4d8p-4, -0x1.f3351230b8f31p-4, -0x1.ecdcbf7dd9567p-4, -0x1.e68545d439b9ep-4, -0x1.e02f836f53568p-4, -0x1.d9dc4ba3a9dfp-4, -0x1.d38c674f33095p-4, -0x1.cd40954562c07p-4, -0x1.c6f98ab6c6e19p-4, -0x1.c0b7f3948fc1fp-4, -0x1.ba7c72f00e48bp-4, -0x1.b447a3565c64p-4, -0x1.ae1a172846b85p-4, -0x1.a7f458eeb8a05p-4, -0x1.a1d6ebabd1323p-4, -0x1.9bc24b28b8289p-4, -0x1.95b6ec4079c1ap-4, -0x1.8fb53d28085e2p-4, -0x1.89bda5b36b161p-4, -0x1.83d087984b66ep-4, -0x1.7dee3eade714fp-4, -0x1.7817212a7aa8cp-4, -0x1.724b7fde3489cp-4, -0x1.6c8ba66bc5a63p-4, -0x1.66d7db7ea16cfp-4, -0x1.613057a15a645p-4, -0x1.5b956c53266d1p-4, -0x1.560747dcc1355p-4, -0x1.50861ef37bcccp-4, -0x1.4b122244e0e76p-4, -0x1.45ab7ea13f4e9p-4, -0x1.40525d24846fp-4, -0x1.3b06e35d79a98p-4, -0x1.35c9337375a3p-4, -0x1.30996c4a9001fp-4, -0x1.2b77a9a664f77p-4, -0x1.2664044b78962p-4, -0x1.215e921f43d0cp-4, -0x1.1c676646fc8c1p-4, -0x1.177e9145218e2p-4, -0x1.12a42115ddd34p-4, -0x1.0dd8214a4a7f4p-4, -0x1.091a9b22a15b4p-4, -0x1.046b95a76a42cp-4, -0x1.ff962b835c73fp-5, -0x1.f6723ca47c29p-5, -0x1.ed6b609026003p-5, -0x1.e481956baa8acp-5, -0x1.dbb4d5cd2034ap-5, -0x1.d30518e336a46p-5, -0x1.ca72529b876e5p-5, -0x1.c1fc73c770c4ep-5, -0x1.b9a36a3f88399p-5, -0x1.b1672105b9f65p-5, -0x1.a94780661a109p-5, -0x1.a1446e167d6cp-5, -0x1.995dcd54e2fa2p-5, -0x1.91937f04bab37p-5, -0x1.89e561cb1912ap-5, -0x1.82535229df297p-5, -0x1.7add2a99e8317p-5, -0x1.7382c3a43e02bp-5, -0x1.6c43f3fa6d0fdp-5, -0x1.6520908df0852p-5, -0x1.5e186ca6d1473p-5, -0x1.572b59f972313p-5, -0x1.505928bb9d9f3p-5, -0x1.49a1a7b8d2ddbp-5, -0x1.4304a465e407ap-5, -0x1.3c81eaf3e39d3p-5, -0x1.361946626eda6p-5, -0x1.2fca809157f62p-5, -0x1.29956251b7ae8p-5, -0x1.2379b3766b0e5p-5, -0x1.1d773ae403c25p-5, -0x1.178dbea0309e1p-5, -0x1.11bd03e0a1d6p-5, -0x1.0c04cf196c195p-5, -0x1.0664e40af518fp-5, -0x1.00dd05cf659ep-5, -0x1.f6d9edcf53f62p-6, -0x1.ec28f29007504p-6, -0x1.e1a69cc8640bcp-6, -0x1.d7526e7658978p-6, -0x1.cd2be8c4fdda8p-6, -0x1.c3328c2281b41p-6, -0x1.b965d8555e0afp-6, -0x1.afc54c90d345fp-6, -0x1.a6506788b2d8ep-6, -0x1.9d06a7847d69cp-6, -0x1.93e78a71dd00bp-6, -0x1.8af28df679dap-6, -0x1.82272f81351cap-6, -0x1.7984ec5ac80dp-6, -0x1.710b41b5d6828p-6, -0x1.68b9acbe6a13p-6, -0x1.608faaa8e8f2p-6, -0x1.588cb8c083992p-6, -0x1.50b054751c07dp-6, -0x1.48f9fb68b617ap-6, -0x1.41692b7c64392p-6, -0x1.39fd62dcc0151p-6, -0x1.32b6200df12eap-6, -0x1.2b92e1f73913dp-6, -0x1.249327ee1e72fp-6, -0x1.1db671c11fdaap-6, -0x1.16fc3fc206c71p-6, -0x1.106412cfd33d3p-6, -0x1.09ed6c6040a99p-6, -0x1.0397ce88ef442p-6, -0x1.fac578105a194p-7, -0x1.ee9b709ac3c7p-7, -0x1.e2b08f0251349p-7, -0x1.d703dd1a0dcf7p-7, -0x1.cb946645b2b95p-7, -0x1.c0613787cec5ap-7, -0x1.b5695f8f59484p-7, -0x1.aaabeec48f57dp-7, -0x1.a027f75552654p-7, -0x1.95dc8d40ddf14p-7, -0x1.8bc8c662f6263p-7, -0x1.81ebba7e78d16p-7, -0x1.78448347711bp-7, -0x1.6ed23c6c98ep-7, -0x1.659403a05e32bp-7, -0x1.5c88f8a155152p-7, -0x1.53b03d423e3d4p-7, -0x1.4b08f5718555bp-7, -0x1.4292474044191p-7, -0x1.3a4b5ae8d87edp-7, -0x1.32335ad500774p-7, -0x1.2a4973a383843p-7, -0x1.228cd42d7233ep-7, -0x1.1afcad8afa15cp-7, -0x1.13983317cc0d2p-7, -0x1.0c5e9a7720f77p-7, -0x1.054f1b9759d65p-7, -0x1.fcd1e16a77419p-8, -0x1.ef56acbda3b56p-8, -0x1.e22b16ebdeff2p-8, -0x1.d54da264b5d9p-8, -0x1.c8bcd64738f5ap-8, -0x1.bc773e65027e4p-8, -0x1.b07b6b4482eb3p-8, -0x1.a4c7f222b5dd6p-8, -0x1.995b6cf44139p-8, -0x1.8e347a65f4179p-8, -0x1.8351bddcb08b2p-8, -0x1.78b1df74d42f9p-8, -0x1.6e538c0101b2fp-8, -0x1.643575087ff83p-8, -0x1.5a5650c4fbe1ap-8, -0x1.50b4da1fdd2d4p-8, -0x1.474fd0af20dfbp-8, -0x1.3e25f8b1b39d9p-8, -0x1.35361b0b6b783p-8, -0x1.2c7f054087022p-8, -0x1.23ff8970c79e6p-8, -0x1.1bb67e522482dp-8, -0x1.13a2bf2b23f01p-8, -0x1.0bc32bccc89bap-8, -0x1.0416a88c3121ap-8, -0x1.f9383c77b5278p-9, -0x1.eaa4f44923efbp-9, -0x1.dc715bfc257ap-9, -0x1.ce9b5fcebad4ep-9, -0x1.c120f4bd86dd8p-9, -0x1.b400187356e17p-9, -0x1.a736d13832c75p-9, -0x1.9ac32ddfdbfa2p-9, -0x1.8ea345b7e42edp-9, -0x1.82d538754a915p-9, -0x1.77572e21ac4bp-9, -0x1.6c27570819471p-9, -0x1.6143eba17a9f6p-9, -0x1.56ab2c80a2e87p-9, -0x1.4c5b623e130d9p-9, -0x1.4252dd635797fp-9, -0x1.388ff6563e8ddp-9, -0x1.2f110d43a2eb6p-9, -0x1.25d48a0a19261p-9, -0x1.1cd8dc24419cdp-9, -0x1.141c7a92fa61ep-9, -0x1.0b9de3c755588p-9, -0x1.035b9d8c6539ep-9, -0x1.f6a869e1b7c25p-10, -0x1.e70c7c6121e37p-10, -0x1.d7e0a93ba2a65p-10, -0x1.c92235154eb5cp-10, -0x1.bace7264037f3p-10, -0x1.ace2c14197d28p-10, -0x1.9f5c8f3dd1f7p-10, -0x1.92395730515cfp-10, -0x1.85b320cc22acbp-10, -0x1.794e0c764df24p-10, -0x1.6d44abf79bcd2p-10, -0x1.6194ad993e1f3p-10, -0x1.563bcc06271e7p-10, -0x1.4b37ce1cbf3c9p-10, -0x1.408686c0c9378p-10, -0x1.3625d4ad570d7p-10, -0x1.2c13a246e0b86p-10, -0x1.224de56d782edp-10, -0x1.18d29f4f325p-10, -0x1.0f9fdc3aa7744p-10, -0x1.06b3b371b78cp-10, -0x1.fc188df92a596p-11, -0x1.eb4f86f9aa3d7p-11, -0x1.db08c001d43cfp-11, -0x1.cb40bbafbb0d1p-11, -0x1.bbf410ca982fep-11, -0x1.ad1f69eb3cdcap-11, -0x1.9ebf85253987ep-11, -0x1.90d133b0aa79ap-11, -0x1.835159948e32fp-11, -0x1.763ced5238744p-11, -0x1.6990f7909d2ebp-11, -0x1.5d4a92c9450cap-11, -0x1.5166eaf54c1bep-11, -0x1.45e33d3bab7c1p-11, -0x1.3abcd79fe6946p-11, -0x1.2ff118b1b4099p-11, -0x1.257d6f3d72b76p-11, -0x1.1b5f59fd5ef7cp-11, -0x1.1194674bb70e3p-11, -0x1.081a34d5af6a3p-11, -0x1.fddcde9e6e695p-12, -0x1.ec1da44f7715ap-12, -0x1.daf24e7f4d0bep-12, -0x1.ca568d3dd6b47p-12, -0x1.ba462c58a586cp-12, -0x1.aabd12cb92ff7p-12, -0x1.9bb74233310f2p-12, -0x1.8d30d640f8d89p-12, -0x1.7f2604311fde6p-12, -0x1.71931a4309f99p-12, -0x1.64747f32883a2p-12, -0x1.57c6b1b42441p-12, -0x1.4b8647f1fd113p-12, -0x1.3fafef0b9de36p-12, -0x1.34406a9721571p-12, -0x1.29349424ab9e3p-12, -0x1.1e895ac3110cfp-12, -0x1.143bc28701936p-12, -0x1.0a48e413e7b73p-12, -0x1.00adec2646ce9p-12, -0x1.eed0364223c75p-13, -0x1.dce989364357p-13, -0x1.cba29de036c7dp-13, -0x1.baf665a4a263p-13, -0x1.aadff5bdeca26p-13, -0x1.9b5a866751524p-13, -0x1.8c61720c76859p-13, -0x1.7df0347c7e27cp-13, -0x1.70026a1ff3d68p-13, -0x1.6293cf337d696p-13, -0x1.55a03f04af1bap-13, -0x1.4923b333d4d4p-13, -0x1.3d1a42f8ed469p-13, -0x1.3180226a90e2p-13, -0x1.2651a1ca72aedp-13, -0x1.1b8b2cd3e8e5cp-13, -0x1.11294a0e8edd1p-13, -0x1.07289a2399cfbp-13, -0x1.fb0bae6e5f207p-14, -0x1.e87ba887e3f81p-14, -0x1.d69af8f70d80cp-14, -0x1.c563a551143a4p-14, -0x1.b4cfe1292b2cep-14, -0x1.a4da0ce23eaadp-14, -0x1.957cb4888ceedp-14, -0x1.86b28ead857f6p-14, -0x1.78767b4ddcd5bp-14, -0x1.6ac382bb184ffp-14, -0x1.5d94d48be56dp-14, -0x1.50e5c6919f12ap-14, -0x1.44b1d3d4f6bfbp-14, -0x1.38f49b95a8812p-14, -0x1.2da9e0526b4eep-14, -0x1.22cd86d4c061dp-14, -0x1.185b95427867bp-14, -0x1.0e503234bfbf3p-14, -0x1.04a7a3d52057ap-14, -0x1.f6bc9dfa52e4cp-15, -0x1.e4e16cbbf42c1p-15, -0x1.d3b6f35678189p-15, -0x1.c336a99692447p-15, -0x1.b35a3e18bd1f3p-15, -0x1.a41b94bd1bff3p-15, -0x1.9574c5217e417p-15, -0x1.8760192d4f09p-15, -0x1.79d80b9a48b27p-15, -0x1.6cd7468f35afcp-15, -0x1.6058a24000c38p-15, -0x1.54572396e4fap-15, -0x1.48cdfae3fd61dp-15, -0x1.3db882999b75bp-15, -0x1.33123e0b1c50ap-15, -0x1.28d6d83869326p-15, -0x1.1f02229d245dap-15, -0x1.1590140a9d0c1p-15, -0x1.0c7cc7879d767p-15, -0x1.03c47b37ae06bp-15, -0x1.f6c71e9409a9ep-16, -0x1.e6ad09dea25dcp-16, -0x1.d733faabdf082p-16, -0x1.c855715862cep-16, -0x1.ba0b2a5793fap-16, -0x1.ac4f1c516b8f7p-16, -0x1.9f1b7651b4d65p-16, -0x1.926a9dffe07ebp-16, -0x1.86372de56d128p-16, -0x1.7a7bf3bf7aa5cp-16, -0x1.6f33eedb5a36ep-16, -0x1.645a4e7f7bfd9p-16, -0x1.59ea705e3ef21p-16, -0x1.4fdfdf15e9be6p-16, -0x1.463650b774ebcp-16, -0x1.3ce9a55ca4feap-16, -0x1.33f5e5bf5842bp-16, -0x1.2b5741ed08c26p-16, -0x1.230a0feb4c21ep-16, -0x1.1b0aca792121dp-16, -0x1.13560fd120d57p-16, -0x1.0be8a0780c9dbp-16, -0x1.04bf5e0ffcc4ep-16, -0x1.fbae9470833eap-17, -0x1.ee5b0ae94d7a6p-17, -0x1.e17e9c366bd96p-17, -0x1.d513fe96953c8p-17, -0x1.c9161fdf843d6p-17, -0x1.bd80238012d9p-17, -0x1.b24d60a388946p-17, -0x1.a779605b92f31p-17, -0x1.9cffdbd4139fcp-17, -0x1.92dcba9d2f73fp-17, -0x1.890c11044fc1dp-17, -0x1.7f8a1e6cc19eep-17, -0x1.76534bbf5448fp-17, -0x1.6d6429e6516efp-17, -0x1.64b9705571afap-17, -0x1.5c4ffb98c4eafp-17, -0x1.5424cbf3ab9fdp-17, -0x1.4c35040af67dp-17, -0x1.447de796e4d27p-17, -0x1.3cfcda22c50b5p-17, -0x1.35af5dd5eb4f8p-17, -0x1.2e93124681953p-17, -0x1.27a5b353dbc7p-17, -0x1.20e5181282807p-17, -0x1.1a4f31b43277p-17, -0x1.13e20a84673a7p-17, -0x1.0d9bc4eaac00dp-17, -0x1.077a9a703785p-17, -0x1.017cdad60e65fp-17, -0x1.f741d65627042p-18, -0x1.ebca89e10230dp-18, -0x1.e090ea83a7cbcp-18, -0x1.d592380c375fcp-18, -0x1.cacbd64a67a53p-18, -0x1.c03b4b980a412p-18, -0x1.b5de3f56628adp-18, -0x1.abb27896a7a54p-18, -0x1.a1b5dc9fd0be4p-18, -0x1.97e66dc72a048p-18, -0x1.8e424a0cb83e2p-18, -0x1.84c7a9f91c76bp-18, -0x1.7b74df61a3abap-18, -0x1.7248544a86814p-18, -0x1.694089d8b56dfp-18, -0x1.605c1738e6503p-18, -0x1.5799a89de3fep-18, -0x1.4ef7fe4f1f4d3p-18, -0x1.4675ebb1e548p-18, -0x1.3e1256637c968p-18, -0x1.35cc355aad307p-18, -0x1.2da2900e13a1dp-18, -0x1.25947db395534p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.eb624b580fdafp-3, 0x1.d4b0ac773cc01p-3, 0x1.b49e28fea82bcp-3, 0x1.8bfaad8ad2725p-3, 0x1.5bba9ea78a4ccp-3, 0x1.24e1e639f18dfp-3, 0x1.d0ebface57872p-4, 0x1.4f01d5c7c44f3p-4, 0x1.8c285ccf0aba8p-5, 0x1.c0b734b414b68p-7, -0x1.647d134dbf558p-6, -0x1.d7a6fd4916302p-5, -0x1.7e6e6a361fd8ap-4, -0x1.07c0ca36cdf07p-3, -0x1.4ee2d362ff1d1p-3, -0x1.940c456aa4d49p-3, -0x1.d6bf447aa3798p-3, -0x1.0b48b04cfebf2p-2, -0x1.299559f763c33p-2, -0x1.462257aa50abep-2, -0x1.60d47548a29f9p-2, -0x1.79a97a2e96d0ap-2, -0x1.90726455b5d9fp-2, -0x1.a533c4333a5afp-2, -0x1.b7eb6dd8f4536p-2, -0x1.c89c5f637c6c7p-2, -0x1.d74d65792d087p-2, -0x1.e40811ccc94e9p-2, -0x1.eed8340ef35e7p-2, -0x1.f7cbb77b13f4ap-2, -0x1.fef2a22031154p-2, -0x1.022f7c4a85168p-1, -0x1.04123520cd4d6p-1, -0x1.052be9d70df45p-1, -0x1.05875eec436c8p-1, -0x1.052f7eac23212p-1, -0x1.042f3dcb1c0c9p-1, -0x1.02918e966f082p-1, -0x1.0061581531351p-1, -0x1.fb52d2fa4385cp-2, -0x1.f4e8d09b8514ep-2, -0x1.ed997810f7245p-2, -0x1.e578f7f295574p-2, -0x1.dc9ac453f3eedp-2, -0x1.d311880e8cfa7p-2, -0x1.c8ef1eaee71a7p-2, -0x1.be44935b0509p-2, -0x1.b32221aa90767p-2, -0x1.a79736088cd8dp-2, -0x1.9bb26c3620f7ep-2, -0x1.8f818c88016e5p-2, -0x1.83118a37b0e1cp-2, -0x1.766e84d98fff6p-2, -0x1.69a3cd12fd6aep-2, -0x1.5cbbeb1873f2ep-2, -0x1.4fc0a58506166p-2, -0x1.42bb082635dd7p-2, -0x1.35b36b22511f2p-2, -0x1.28b17ae4c2b5ep-2, -0x1.1bbc40ce75497p-2, -0x1.0eda2c4ffbfd9p-2, -0x1.02111c00812ccp-2, -0x1.eacccca4b7472p-3, -0x1.d1be3cb32e20dp-3, -0x1.b8ff2839a1c3fp-3, -0x1.a096ef0e66942p-3, -0x1.888c6fbbb676ap-3, -0x1.70e5c0540b57ep-3, -0x1.59a83db77bc31p-3, -0x1.42d899c64af78p-3, -0x1.2c7ae82a37bedp-3, -0x1.1692a97e15298p-3, -0x1.0122d4d074ff6p-3, -0x1.d85bbf8d45501p-4, -0x1.af6b8bc9f208ep-4, -0x1.87781f36b4ffap-4, -0x1.6083b33ac4ca8p-4, -0x1.3a8fb9a5e464dp-4, -0x1.159cedd167f68p-4, -0x1.e356cd3afaa1ep-5, -0x1.9d75513f56d42p-5, -0x1.59936f7651f7p-5, -0x1.17ae4ec73552p-5, -0x1.af84a3c56b75ep-6, -0x1.33965eb745258p-6, -0x1.7710145a67c77p-7, -0x1.1d3b3c5dd2942p-8, 0x1.490923beb304ap-9, 0x1.2ba913316fe22p-7, 0x1.fdb1ddc55f935p-7, 0x1.643ca6ecf0349p-6, 0x1.c60eb5b3e4956p-6, 0x1.122f5e257a16fp-5, 0x1.3f9e7170484bep-5, 0x1.6b5ce0c9e0478p-5, 0x1.957324711564ep-5, 0x1.bde9d547a8247p-5, 0x1.e4c9a1ee5aecbp-5, 0x1.050da27345a1cp-4, 0x1.16f3be00aba3bp-4, 0x1.281b80a5801eep-4, 0x1.388942c1dca8bp-4, 0x1.4841560bc5db6p-4, 0x1.574804349227cp-4, 0x1.65a18e162503fp-4, 0x1.73522b402f4f7p-4, 0x1.805e09bd4206bp-4, 0x1.8cc94dec19a36p-4, 0x1.989812512f3f8p-4, 0x1.a3ce674d7641ap-4, 0x1.ae7052afbbc25p-4, 0x1.b881cf1d81f0dp-4, 0x1.c206cb561fc6bp-4, 0x1.cb03295746ee2p-4, 0x1.d37abd6d20f47p-4, 0x1.db714d399d2afp-4, 0x1.e2ea8ebf3df91p-4, 0x1.e9ea277af8262p-4, 0x1.f073ab97371ep-4, 0x1.f68a9d4045407p-4, 0x1.fc326c1f48723p-4, 0x1.00b73a7f46ab7p-3, 0x1.032100cb649fbp-3, 0x1.055824415f8b2p-3, 0x1.075e36aa58118p-3, 0x1.0934c063fe8efp-3, 0x1.0add40845b581p-3, 0x1.0c592d0587c19p-3, 0x1.0da9f2f686a67p-3, 0x1.0ed0f6aec23b8p-3, 0x1.0fcf94023b90cp-3, 0x1.10a71e74d8e51p-3, 0x1.1158e16bc2feap-3, 0x1.11e6205c3172cp-3, 0x1.125016f773b82p-3, 0x1.1297f95445f8ep-3, 0x1.12bef415d96f7p-3, 0x1.12c62c90fe40ep-3, 0x1.12aec0f0045e8p-3, 0x1.1279c855c1613p-3, 0x1.122853002bf66p-3, 0x1.11bb6a6ae5b53p-3, 0x1.11341171d3066p-3, 0x1.10934473feb1fp-3, 0x1.0fd9f976bbe05p-3, 0x1.0f09204917463p-3, 0x1.0e21a2a76d412p-3, 0x1.0d222b37cfa89p-3, 0x1.0c0ff341938b3p-3, 0x1.0ae9ba9649ca9p-3, 0x1.09b05439bbad9p-3, 0x1.08648d9547fc6p-3, 0x1.07072e987693bp-3, 0x1.0598f9d9b8d45p-3, 0x1.041aacb7268e3p-3, 0x1.028cff76ed833p-3, 0x1.00f0a5674e91p-3, 0x1.fe8c99fbc7ca3p-4, 0x1.fb1d3fec5426ap-4, 0x1.f79486de4c77dp-4, 0x1.f3f3b01050cp-4, 0x1.f03bf3f95c94bp-4, 0x1.ec6e827edfb02p-4, 0x1.e88c832939187p-4, 0x1.e4971556d26eap-4, 0x1.e08f506de7b62p-4, 0x1.dc76440d1b3f8p-4, 0x1.d84cf83af39dfp-4, 0x1.d4146d94553ffp-4, 0x1.cfcd9d79feb3ap-4, 0x1.cb797a3d13e85p-4, 0x1.c718ef4ab86c1p-4, 0x1.c2ace156afdb3p-4, 0x1.be362e8517d92p-4, 0x1.b9b5ae9318668p-4, 0x1.b52c32fea1705p-4, 0x1.b09a872d10a8cp-4, 0x1.ac017090da0b5p-4, 0x1.a761aece11a13p-4, 0x1.a2bbfbddd13d2p-4, 0x1.9e110c308d8a1p-4, 0x1.99618ecf32223p-4, 0x1.94ae2d7b2919dp-4, 0x1.8ff78ccd30f6ap-4, 0x1.8b3e4c531ba3ep-4, 0x1.868306ac7446ep-4, 0x1.81c651a61a06ep-4, 0x1.7d08be54e0252p-4, 0x1.784ad92f3e79p-4, 0x1.738d2a262bd45p-4, 0x1.6ed034bd2c281p-4, 0x1.6a147821ae368p-4, 0x1.655a6f41c5a9ap-4, 0x1.60a290e2556f2p-4, 0x1.5bed4fb4bca5ep-4, 0x1.573b1a6c142f9p-4, 0x1.528c5bd20882bp-4, 0x1.4de17adb60a12p-4, 0x1.493adabc3610fp-4, 0x1.4498dafbe9cefp-4, 0x1.3ffbd788dacdp-4, 0x1.3b6428cbe39e8p-4, 0x1.36d223bba08c4p-4, 0x1.324619ef81f13p-4, 0x1.2dc059b2aa293p-4, 0x1.29412e16987cp-4, 0x1.24c8df059d7fp-4, 0x1.2057b1551a561p-4, 0x1.1bede6d7874e8p-4, 0x1.178bbe6e3e7d7p-4, 0x1.1331741b0b6e4p-4, 0x1.0edf411178252p-4, 0x1.0a955bc7daf92p-4, 0x1.0653f8081d5c4p-4, 0x1.021b47003ccbcp-4, 0x1.fbd6eea50799ap-5, 0x1.f3896a4aed7ap-5, 0x1.eb4e5466ee8c5p-5, 0x1.e325fbb436f22p-5, 0x1.db10aa526d3e1p-5, 0x1.d30ea5e330aa6p-5, 0x1.cb202fa6fc806p-5, 0x1.c345849976512p-5, 0x1.bb7edd8d2867ep-5, 0x1.b3cc6f46acafp-5, 0x1.ac2e6a9748bcp-5, 0x1.a4a4fc7701b18p-5, 0x1.9d304e1e2a139p-5, 0x1.95d0851e6f305p-5, 0x1.8e85c37b69a08p-5, 0x1.875027c2b6dbdp-5, 0x1.802fcd239d495p-5, 0x1.7924cb86433d7p-5, 0x1.722f37a27a4e1p-5, 0x1.6b4f231623e95p-5, 0x1.64849c7b341ccp-5, 0x1.5dcfaf7d53f46p-5, 0x1.573064ef29c7bp-5, 0x1.50a6c2df48dbfp-5, 0x1.4a32ccaccb2ddp-5, 0x1.43d4831b97d6ep-5, 0x1.3d8be4685c664p-5, 0x1.3758ec5c354c3p-5, 0x1.313b94600a461p-5, 0x1.2b33d38fa3045p-5, 0x1.25419ecc6f759p-5, 0x1.1f64e8d00c858p-5, 0x1.199da23e80054p-5, 0x1.13ebb9b82e90ap-5, 0x1.0e4f1beb8e992p-5, 0x1.08c7b3a6972f1p-5, 0x1.035569e7e97a8p-5, 0x1.fbf04bdf7239fp-6, 0x1.f15f9aa0ddd1fp-6, 0x1.e6f887fe17d41p-6, 0x1.dcbad8c68ab5cp-6, 0x1.d2a64ecec4a89p-6, 0x1.c8baa90fa2b7p-6, 0x1.bef7a3c4fdeb4p-6, 0x1.b55cf88bcb055p-6, 0x1.abea5e7fb8021p-6, 0x1.a29f8a583f027p-6, 0x1.997c2e8531626p-6, 0x1.907ffb4ab82fap-6, 0x1.87aa9edcd1bdep-6, 0x1.7efbc57a40614p-6, 0x1.76731986ef3d4p-6, 0x1.6e1043a5d15f9p-6, 0x1.65d2ead2363bp-6, 0x1.5dbab4788ffd7p-6, 0x1.55c7448eb37dcp-6, 0x1.4df83dab905a7p-6, 0x1.464d411e58d69p-6, 0x1.3ec5ef0529a45p-6, 0x1.3761e663216e6p-6, 0x1.3020c535f361fp-6, 0x1.2902288af134ap-6, 0x1.2205ac9390df9p-6, 0x1.1b2aecb96705ep-6, 0x1.147183b1a4199p-6, 0x1.0dd90b9004c37p-6, 0x1.07611dd944558p-6, 0x1.010953950d0e9p-6, 0x1.f5a28abecc5edp-7, 0x1.e97116f343fa8p-7, 0x1.dd7d7bb5a40fep-7, 0x1.d1c6e87f6fb1cp-7, 0x1.c64c8c7481a3dp-7, 0x1.bb0d9681082dap-7, 0x1.b009357698b5ap-7, 0x1.a53e982848d8bp-7, 0x1.9aaced85f1967p-7, 0x1.905364b679624p-7, 0x1.86312d31440fap-7, 0x1.7c4576d6c5c98p-7, 0x1.728f7208320acp-7, 0x1.690e4fbe5a4c4p-7, 0x1.5fc1419fb28e1p-7, 0x1.56a77a1585963p-7, 0x1.4dc02c605d1d9p-7, 0x1.450a8caba38c6p-7, 0x1.3c85d020734f5p-7, 0x1.34312cf7b2741p-7, 0x1.2c0bda8b666d1p-7, 0x1.241511674f2f4p-7, 0x1.1c4c0b58c8f6p-7, 0x1.14b0037dffef4p-7, 0x1.0d4036546b427p-7, 0x1.05fbe1c6a2dcdp-7, 0x1.fdc48a73108dap-8, 0x1.efe54331959fbp-8, 0x1.e25872c59a82cp-8, 0x1.d51ca167cf815p-8, 0x1.c8305aa227e35p-8, 0x1.bb922d63fe8d8p-8, 0x1.afc3127893975p-8, 0x1.a3bc7f86ec5a4p-8, 0x1.97ffbc2dd2afap-8, 0x1.8c8b65c9a138ep-8, 0x1.815e1d73a7365p-8, 0x1.7676880fb05b7p-8, 0x1.6bd34e588c37cp-8, 0x1.61731ceb95325p-8, 0x1.5754a45347fc9p-8, 0x1.4d769910e623p-8, 0x1.43d7b3a539203p-8, 0x1.3a76b09863ee5p-8, 0x1.31525080eeb85p-8, 0x1.28695809ecdbcp-8, 0x1.1fba8ff860233p-8, 0x1.1744c52fc9bd5p-8, 0x1.0f06c8b603f6ap-8, 0x1.06ff6fb658534p-8, 0x1.fe5b2707d3ea5p-9, 0x1.ef202336c5287p-9, 0x1.e04b9748028b1p-9, 0x1.d1db4ee004213p-9, 0x1.c3cd1df8d178cp-9, 0x1.b61ee0e056e79p-9, 0x1.a8ce7c35a54aep-9, 0x1.9bd9dce50b5b8p-9, 0x1.8f3ef82328ab4p-9, 0x1.82fbcb66e7b9dp-9, 0x1.770e5c628687cp-9, 0x1.6b74b8fbabf7cp-9, 0x1.602cf7428bae9p-9, 0x1.553535682b958p-9, 0x1.4a8b99b3d6d1ap-9, 0x1.402e5277b9af3p-9, 0x1.361b9604c0f63p-9, 0x1.2c51a29daf261p-9, 0x1.22cebe698e6f7p-9, 0x1.1991376561969p-9, 0x1.1097635540c7bp-9, 0x1.07df9fb4d2097p-9, 0x1.fed0a34e5ea2fp-10, 0x1.ee5fcbcc6ed53p-10, 0x1.de69a162d5c5fp-10, 0x1.ceeb1b786af8dp-10, 0x1.bfe140379a6d5p-10, 0x1.b14924693883dp-10, 0x1.a31feb4e8116ep-10, 0x1.9562c67a518c2p-10, 0x1.880ef5a9afe0dp-10, 0x1.7b21c69b96cfcp-10, 0x1.6e9894e82f999p-10, 0x1.6270c9d7718d9p-10, 0x1.56a7dc3733b4dp-10, 0x1.4b3b5030d5c8cp-10, 0x1.4028b71e5eacfp-10, 0x1.356daf5f48b7dp-10, 0x1.2b07e42ce4267p-10, 0x1.20f50d6e7de36p-10, 0x1.1732ef8d269a5p-10, 0x1.0dbf5b474de2ap-10, 0x1.04982d842e208p-10, 0x1.f7769e4e060ebp-11, 0x1.e64d69c46ad57p-11, 0x1.d5b0be14915dap-11, 0x1.c59cb2d1e0629p-11, 0x1.b60d761ffd817p-11, 0x1.a6ff4c58a52d2p-11, 0x1.986e8fb1e1e26p-11, 0x1.8a57afe408d01p-11, 0x1.7cb731d03a3a5p-11, 0x1.6f89af26fd8fep-11, 0x1.62cbd60f37929p-11, 0x1.567a68cd706f5p-11, 0x1.4a923d6ba332cp-11, 0x1.3f103d615298fp-11, 0x1.33f1653c4397ep-11, 0x1.2932c449aba92p-11, 0x1.1ed17c40189edp-11, 0x1.14cac0e9af64dp-11, 0x1.0b1bd7cf5a926p-11, 0x1.01c217e47c43ep-11, 0x1.f175d266ead97p-12, 0x1.e0078915855d2p-12, 0x1.cf34665607337p-12, 0x1.bef79ceb7273ap-12, 0x1.af4c7f39d2d53p-12, 0x1.a02e7ea6e9095p-12, 0x1.91992afcc7466p-12, 0x1.838831ce2defcp-12, 0x1.75f75ddc9487bp-12, 0x1.68e2967ffb4c1p-12, 0x1.5c45df10b12c8p-12, 0x1.501d5652d8f59p-12, 0x1.446535e3daba2p-12, 0x1.3919d1a9b05e6p-12, 0x1.2e379744363f1p-12, 0x1.23bb0d7ff94dfp-12, 0x1.19a0d3cbbfaf6p-12, 0x1.0fe5a1af376eap-12, 0x1.06864643d657ap-12, 0x1.faff4f5fae4c4p-13, 0x1.e99d854604255p-13, 0x1.d8e153aa73f8cp-13, 0x1.c8c50b0f11449p-13, 0x1.b943260cb94f6p-13, 0x1.aa56485c7d1acp-13, 0x1.9bf93de4a9458p-13, 0x1.8e26f9c95d755p-13, 0x1.80da95814b81p-13, 0x1.740f4fee08d54p-13, 0x1.67c08c78aaba8p-13, 0x1.5be9d23148ccp-13, 0x1.5086caf2ef3e3p-13, 0x1.4593428b4cce9p-13, 0x1.3b0b25e5b862bp-13, 0x1.30ea823a2bf6cp-13, 0x1.272d843ff79b9p-13, 0x1.1dd077639c66bp-13, 0x1.14cfc500e1267p-13, 0x1.0c27f3a026731p-13, 0x1.03d5a637517bbp-13, 0x1.f7ab36dc95b8ap-14, 0x1.e84959cd8ba39p-14, 0x1.d97f9d10929bbp-14, 0x1.cb481b9c49aaep-14, 0x1.bd9d2234e035dp-14, 0x1.b0792e15cc587p-14, 0x1.a3d6eba601028p-14, 0x1.97b1352e65faep-14, 0x1.8c031199d2886p-14, 0x1.80c7b33afdbddp-14, 0x1.75fa76979654ap-14, 0x1.6b96e13b8f8c1p-14, 0x1.6198a0913058fp-14, 0x1.57fb88c0be4c8p-14, 0x1.4ebb9394a939bp-14, 0x1.45d4df656c82p-14, 0x1.3d43ae0acaec3p-14, 0x1.350463d293213p-14, 0x1.2d13867e25b99p-14, 0x1.256dbc4565ae3p-14, 0x1.1e0fcadf4908fp-14, 0x1.16f696902cf72p-14, 0x1.101f213eda1fap-14, 0x1.0986898d25d64p-14, 0x1.032a09f76d2fdp-14, 0x1.fa0deff2c7326p-15, 0x1.ee35866fae2cp-15, 0x1.e2c5e96088f91p-15, 0x1.d7ba5bd9aa646p-15, 0x1.cd0e507ce2b3ep-15, 0x1.c2bd67f67089fp-15, 0x1.b8c36f846b0bp-15, 0x1.af1c5f8747cadp-15, 0x1.a5c45a1e49202p-15, 0x1.9cb7a9c9d43c3p-15, 0x1.93f2c01a6d87ep-15, 0x1.8b723466737fdp-15, 0x1.8332c28a211c5p-15, 0x1.7b3149b09663cp-15, 0x1.736acb23668fdp-15, 0x1.6bdc6925b0331p-15, 0x1.648365d44a5efp-15, 0x1.5d5d221008b06p-15, 0x1.56671c6f075d1p-15, 0x1.4f9ef035d260cp-15, 0x1.490254579a11bp-15, 0x1.428f1a7e3bfdcp-15, 0x1.3c432e18ba4b3p-15, 0x1.361c937227b59p-15, 0x1.301966ca5cbfep-15, 0x1.2a37db7d8afadp-15, 0x1.24763b29953d5p-15, 0x1.1ed2e4dfae4b4p-15, 0x1.194c4c57b91fdp-15, 0x1.13e0f92bc365bp-15, 0x1.0e8f861a23696p-15, 0x1.0956a049270bcp-15, 0x1.04350693cb64ep-15, 0x1.fe5311b53457dp-16, 0x1.f4660eb1a7985p-16, 0x1.eaa0e3feb78f3p-16, 0x1.e1018fa860eeap-16, 0x1.d7862cacc828cp-16, 0x1.ce2cf1cfff5d7p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.3cb271138ddfap-2, 0x1.0654d714e1f61p-2, 0x1.a20ef5a290e7dp-3, 0x1.3ba43cf911d94p-3, 0x1.b5e683be97e22p-4, 0x1.022ba4baa36b8p-4, 0x1.763f5cddad8f1p-6, -0x1.b8ff813c2ce9ap-7, -0x1.7746ff79e1f2fp-5, -0x1.3025d3fd4649ep-4, -0x1.95291c7502b9ap-4, -0x1.eb75db03faad7p-4, -0x1.1a0301933c529p-3, -0x1.37f9ae97b1ec2p-3, -0x1.50361895b9ccep-3, -0x1.6354d4f3d1945p-3, -0x1.71f311571a979p-3, -0x1.7caabc05eed18p-3, -0x1.840ff311800cep-3, -0x1.88af10437b3f6p-3, -0x1.8b0b0f77a19f3p-3, -0x1.8b96a20cc06b2p-3, -0x1.8aca53997251p-3, -0x1.8905c392dd4ffp-3, -0x1.86a07007b449ap-3, -0x1.83e6a48bfb97cp-3, -0x1.811a94f8b6aebp-3, -0x1.7e7551da08c64p-3, -0x1.7c2762d867bebp-3, -0x1.7a591f75b821p-3, -0x1.792b0188e2d45p-3, -0x1.78b623659a1c5p-3, -0x1.790cf8bb07eefp-3, -0x1.7a3c2c814b90ep-3, -0x1.7c4b7b778d5ap-3, -0x1.7f3e6af23a038p-3, -0x1.8314d44edfef4p-3, -0x1.87cb52c22afc9p-3, -0x1.8d5ba81308ce1p-3, -0x1.93bd2646d8fa9p-3, -0x1.9ae52068bfd45p-3, -0x1.a2c75b58e20cdp-3, -0x1.ab5674a9fe0b7p-3, -0x1.b48438cefc26ap-3, -0x1.be41e7e6b40a8p-3, -0x1.c8806cbd65c8ep-3, -0x1.d3308a3834ac1p-3, -0x1.de4302575b8acp-3, -0x1.e9a8b97319d49p-3, -0x1.f552d79019c49p-3, -0x1.009973bbbbc02p-2, -0x1.069d7894f9044p-2, -0x1.0caec6d1ca269p-2, -0x1.12c6fa2649f5ep-2, -0x1.18e002226d963p-2, -0x1.1ef425baa1d75p-2, -0x1.24fe05f0f2b6bp-2, -0x1.2af89f5dcaac8p-2, -0x1.30df4a5f4040dp-2, -0x1.36adba049d99bp-2, -0x1.3c5ffa067acc8p-2, -0x1.41f26c25b7132p-2, -0x1.4761c5404884dp-2, -0x1.4caaefec3b6b7p-2, -0x1.51cb3f8338d1ep-2, -0x1.56c071b186b55p-2, -0x1.5b88729d71e47p-2, -0x1.60217277e0816p-2, -0x1.6489e185e146bp-2, -0x1.68c06c31de9c3p-2, -0x1.6cc3f7499af05p-2, -0x1.70939c87b5145p-2, -0x1.742ea777050f1p-2, -0x1.779492a67639ep-2, -0x1.7ac5050e53619p-2, -0x1.7dbfcf7e2fa52p-2, -0x1.8084e9f008187p-2, -0x1.831470ada4f6cp-2, -0x1.856ea148f2ac5p-2, -0x1.8793d7782a1eep-2, -0x1.898489f02a49ep-2, -0x1.8b41475a9e549p-2, -0x1.8ccab38376b01p-2, -0x1.8e2184d2dddf6p-2, -0x1.8f46821f44ab5p-2, -0x1.903a80d7f81c5p-2, -0x1.90fe637e53284p-2, -0x1.9193185c3a679p-2, -0x1.91f998632956ep-2, -0x1.9232e61fd403ep-2, -0x1.92400cb230d3cp-2, -0x1.92221ebf5e6ccp-2, -0x1.91da355906759p-2, -0x1.91696edb5d3d7p-2, -0x1.90d0edc6dcea3p-2, -0x1.9011d79d1ee56p-2, -0x1.8f2d53c8c059fp-2, -0x1.8e248a97b9c17p-2, -0x1.8cf8a44e3c377p-2, -0x1.8baac85698d0bp-2, -0x1.8a3c1c90c0658p-2, -0x1.88adc4c1e5771p-2, -0x1.8700e22296e55p-2, -0x1.85369307be778p-2, -0x1.834ff2a182813p-2, -0x1.814e18ca51a67p-2, -0x1.7f3219e0898a2p-2, -0x1.7cfd06a5d2f49p-2, -0x1.7aafec207128p-2, -0x1.784bd37bf7b72p-2, -0x1.75d1c1e7f6bfdp-2, -0x1.7342b87420321p-2, -0x1.709fb3ea2eb44p-2, -0x1.6de9aca655605p-2, -0x1.6b21966f5e23dp-2, -0x1.6848604fc735dp-2, -0x1.655ef4713cd8p-2, -0x1.626637fbb5b79p-2, -0x1.5f5f0af94e0c6p-2, -0x1.5c4a483faed85p-2, -0x1.5928c55f8a104p-2, -0x1.55fb529a5574cp-2, -0x1.52c2bade12d99p-2, -0x1.4f7fc3c6bafccp-2, -0x1.4c332da48f203p-2, -0x1.48ddb386959b5p-2, -0x1.45800b4857da3p-2, -0x1.421ae5a218cd4p-2, -0x1.3eaeee3ac63b7p-2, -0x1.3b3ccbbaff97fp-2, -0x1.37c51fe0b7a84p-2, -0x1.34488793134c1p-2, -0x1.30c79af64682ap-2, -0x1.2d42ed7f554a7p-2, -0x1.29bb0e07adcd1p-2, -0x1.263086e0a9796p-2, -0x1.22a3dde70e1dbp-2, -0x1.1f159496a6c1bp-2, -0x1.1b86281e0f145p-2, -0x1.17f61172c4c7bp-2, -0x1.1465c56585028p-2, -0x1.10d5b4b6f88bap-2, -0x1.0d464c2ca967ep-2, -0x1.09b7f4a63052fp-2, -0x1.062b13328b1efp-2, -0x1.02a009258b448p-2, -0x1.fe2e685a801acp-3, -0x1.f720e08299eacp-3, -0x1.f01a0b583338cp-3, -0x1.e919acbf50cbbp-3, -0x1.e22064c50678bp-3, -0x1.db2ecce0d4c8fp-3, -0x1.d445781c4279p-3, -0x1.cd64f33a307aep-3, -0x1.c68dc4ddd19c3p-3, -0x1.bfc06db120deep-3, -0x1.b8fd688acf7aep-3, -0x1.b2452a938bc02p-3, -0x1.ab98236aa45c3p-3, -0x1.a4f6bd4a001abp-3, -0x1.9e615d29669a6p-3, -0x1.97d862e12aae1p-3, -0x1.915c294c32e42p-3, -0x1.8aed066972ae3p-3, -0x1.848b4b7cda502p-3, -0x1.7e37452fc4a0fp-3, -0x1.77f13bb0eb688p-3, -0x1.71b972d3ea452p-3, -0x1.6b902a304f37ep-3, -0x1.65759d4034716p-3, -0x1.5f6a037e787bfp-3, -0x1.596d908470b1cp-3, -0x1.53807427392fdp-3, -0x1.4da2da947d522p-3, -0x1.47d4ec6ec7af5p-3, -0x1.4216cee953691p-3, -0x1.3c68a3e34e1d8p-3, -0x1.36ca8a02996b8p-3, -0x1.313c9ccdf0c64p-3, -0x1.2bbef4c686f21p-3, -0x1.2651a78107d07p-3, -0x1.20f4c7be02e0cp-3, -0x1.1ba86581bf579p-3, -0x1.166c8e2b71e19p-3, -0x1.11414c8be3059p-3, -0x1.0c26a8fb78f56p-3, -0x1.071ca96fb1fdap-3, -0x1.022351900f956p-3, -0x1.fa754594ece76p-4, -0x1.f0c538ce1ff5cp-4, -0x1.e73677373dce1p-4, -0x1.ddc8f73cd31bcp-4, -0x1.d47cab714926cp-4, -0x1.cb5182b0dd93dp-4, -0x1.c2476844d1976p-4, -0x1.b95e4405c60d4p-4, -0x1.b095fa7d4d415p-4, -0x1.a7ee6d06ce8e1p-4, -0x1.9f6779efaa3a3p-4, -0x1.9700fc96b6bd2p-4, -0x1.8ebacd8b0a65dp-4, -0x1.8694c2aa24ea5p-4, -0x1.7e8eaf3d75029p-4, -0x1.76a864173b488p-4, -0x1.6ee1afaed0b2bp-4, -0x1.673a5e3c5024p-4, -0x1.5fb239d3a33afp-4, -0x1.58490a7ef6149p-4, -0x1.50fe96588fe53p-4, -0x1.49d2a1a413ec8p-4, -0x1.42c4eee7268b1p-4, -0x1.3bd53f017d57p-4, -0x1.3503514453acdp-4, -0x1.2e4ee3894a3ep-4, -0x1.27b7b248ae1a8p-4, -0x1.213d78af28f57p-4, -0x1.1adff0b2dd1d2p-4, -0x1.149ed327ebe9fp-4, -0x1.0e79d7d4691b7p-4, -0x1.0870b583bc8bbp-4, -0x1.0283221972ecep-4, -0x1.f961a547022b9p-5, -0x1.edf2f6d7f4152p-5, -0x1.e2b9a01474165p-5, -0x1.d7b506e714b16p-5, -0x1.cce490167e901p-5, -0x1.c2479f64a3b75p-5, -0x1.b7dd97acf23d6p-5, -0x1.ada5db018b141p-5, -0x1.a39fcac7822e9p-5, -0x1.99cac7d22910fp-5, -0x1.9026327d72908p-5, -0x1.86b16ac76b8cp-5, -0x1.7d6bd068d384p-5, -0x1.7454c2ecd94c6p-5, -0x1.6b6ba1c7ff5b5p-5, -0x1.62afcc6e3027ep-5, -0x1.5a20a26804007p-5, -0x1.51bd836741d85p-5, -0x1.4985cf5a99a5ap-5, -0x1.4178e680a5526p-5, -0x1.3996297a2cbd7p-5, -0x1.31dcf95bb7b2bp-5, -0x1.2a4cb7be6ee97p-5, -0x1.22e4c6d0509b2p-5, -0x1.1ba48963c1248p-5, -0x1.148b62fe7378dp-5, -0x1.0d98b7e7b5b6ap-5, -0x1.06cbed3622934p-5, -0x1.002468dcbb20cp-5, -0x1.f343236ed5632p-6, -0x1.e6859f2dfd675p-6, -0x1.da0f16991d476p-6, -0x1.cdde5d68bc9a8p-6, -0x1.c1f249806b896p-6, -0x1.b649b30279a6dp-6, -0x1.aae37462a2c9fp-6, -0x1.9fbe6a77ce0fep-6, -0x1.94d9748cd30e1p-6, -0x1.8a33747055653p-6, -0x1.7fcb4e83bf253p-6, -0x1.759fe9c9502a8p-6, -0x1.6bb02ff15b12bp-6, -0x1.61fb0d66aade9p-6, -0x1.587f715a162bfp-6, -0x1.4f3c4dcd4a976p-6, -0x1.4630979cd0f8bp-6, -0x1.3d5b468950d07p-6, -0x1.34bb55401b57p-6, -0x1.2c4fc162fd7aap-6, -0x1.24178b8f63592p-6, -0x1.1c11b764cbcep-6, -0x1.143d4b8a9972dp-6, -0x1.0c9951b5405ecp-6, -0x1.0524d6aace87ep-6, -0x1.fbbdd48dcecfep-7, -0x1.ed8d3efc4298cp-7, -0x1.dfb618c1ad3c2p-7, -0x1.d236943ada795p-7, -0x1.c50cea04250aep-7, -0x1.b83758fbf431p-7, -0x1.abb42644320e1p-7, -0x1.9f819d42d6fb8p-7, -0x1.939e0fa184348p-7, -0x1.8807d54c418c9p-7, -0x1.7cbd4c6f55be5p-7, -0x1.71bcd97456e1ep-7, -0x1.6704e6fe665fap-7, -0x1.5c93e5e5b5ed5p-7, -0x1.52684d3244b29p-7, -0x1.48809a15ef522p-7, -0x1.3edb4fe5d3d34p-7, -0x1.3576f8130af8bp-7, -0x1.2c522222cc453p-7, -0x1.236b63a5f33f2p-7, -0x1.1ac1582ff917ep-7, -0x1.1252a14d63469p-7, -0x1.0a1de679aef81p-7, -0x1.0221d514c1e9ep-7, -0x1.f4ba40afc6716p-8, -0x1.e59d0294896eep-8, -0x1.d6e96d6a47fbdp-8, -0x1.c89d0a2f0a039p-8, -0x1.bab56d331d593p-8, -0x1.ad3035ff205ffp-8, -0x1.a00b0f395f981p-8, -0x1.9343ae8a9ed4fp-8, -0x1.86d7d48247ec8p-8, -0x1.7ac54c7a17131p-8, -0x1.6f09ec79437c9p-8, -0x1.63a3951735b6bp-8, -0x1.5890315dd1143p-8, -0x1.4dcdb6ab58542p-8, -0x1.435a2493f99e4p-8, -0x1.393384c302f68p-8, -0x1.2f9267863bdf2p-8, -0x1.25ffa7926438cp-8, -0x1.1cb42d62124aap-8, -0x1.13ae29dc160e4p-8, -0x1.0aebd761d0b05p-8, -0x1.026b79af0d646p-8, -0x1.f456bb737714ep-9, -0x1.e453b323195d6p-9, -0x1.d4ca987f02bb9p-9, -0x1.c5b83b4ab4368p-9, -0x1.b7197cba1891cp-9, -0x1.a8eb4f304e059p-9, -0x1.9b2ab5fe88bcp-9, -0x1.8dd4c522ebbc1p-9, -0x1.80e6a10781eb9p-9, -0x1.745d7e4158d7cp-9, -0x1.6836a14fb7a3cp-9, -0x1.5c6f5e5b91134p-9, -0x1.510518f72de04p-9, -0x1.45f543de146ep-9, -0x1.3b3d60b533792p-9, -0x1.30daffcb688adp-9, -0x1.26cbbfda5a4dp-9, -0x1.1d0d4dc79ffe7p-9, -0x1.139d64665dfedp-9, -0x1.0a79cc3948cf7p-9, -0x1.01a05b350a089p-9, -0x1.f21de9064eb17p-10, -0x1.e187108aafb65p-10, -0x1.d17826b2bb71ep-10, -0x1.c1ed3e3abf28bp-10, -0x1.b2e282697b9b9p-10, -0x1.a454369b1854p-10, -0x1.963eb5cce2bacp-10, -0x1.889e722a75782p-10, -0x1.7b6ff49be2c8ep-10, -0x1.6eafdc5514733p-10, -0x1.625ade666039ep-10, -0x1.566dc54e5790dp-10, -0x1.4ae5708cc74f2p-10, -0x1.3fbed4370926cp-10, -0x1.34f6f88d81b98p-10, -0x1.2a8af992959aap-10, -0x1.207806a2a927p-10, -0x1.16bb620d9f2c1p-10, -0x1.0d5260b19bd09p-10, -0x1.043a6997120e1p-10, -0x1.f6e1eb1c6acc9p-11, -0x1.e5e71d9b4fb9ap-11, -0x1.d57fa12546f54p-11, -0x1.c5a6cd84d63d9p-11, -0x1.b6581b1a10ec7p-11, -0x1.a78f2222e1199p-11, -0x1.99479a0638486p-11, -0x1.8b7d58a199174p-11, -0x1.7e2c5199a37f3p-11, -0x1.715095ad33f47p-11, -0x1.64e6520b3bafp-11, -0x1.58e9cfab6458dp-11, -0x1.4d5772a94ae3ap-11, -0x1.422bb9a2751aep-11, -0x1.37633d170fe6fp-11, -0x1.2cfaaecd2f53fp-11, -0x1.22eed936d0161p-11, -0x1.193c9eda88132p-11, -0x1.0fe0f9bee7c09p-11, -0x1.06d8fad832b4fp-11, -0x1.fc4392f229df2p-12, -0x1.eb71458b5c68ep-12, -0x1.db35b2529c034p-12, -0x1.cb8ba79d6f2c1p-12, -0x1.bc6e1c35d805cp-12, -0x1.add82e55156fcp-12, -0x1.9fc522a3089efp-12, -0x1.9230633b16eebp-12, -0x1.85157eb57f8ecp-12, -0x1.78702735b7de8p-12, -0x1.6c3c317dc00cep-12, -0x1.60759405d3b5cp-12, -0x1.551866193bbfbp-12, -0x1.4a20def785394p-12, -0x1.3f8b54fa7d969p-12, -0x1.35543cc097fcap-12, -0x1.2b78285bc74f3p-12, -0x1.21f3c685125d2p-12, -0x1.18c3e1d4448ap-12, -0x1.0fe55ffbe30bp-12, -0x1.07554109befb4p-12, -0x1.fe213d56a86fap-13, -0x1.ee2956ecdb694p-13, -0x1.debd646c46375p-13, -0x1.cfd82a7708403p-13, -0x1.c1749b64a0315p-13, -0x1.b38dd5f35c572p-13, -0x1.a61f2401432ffp-13, -0x1.9923f94cafaacp-13, -0x1.8c97f23be86eap-13, -0x1.8076d2ad31dd4p-13, -0x1.74bc84cc6ab85p-13, -0x1.696517f0e642fp-13, -0x1.5e6cbf81d8ef1p-13, -0x1.53cfd1e1891fcp-13, -0x1.498ac75f60d4bp-13, -0x1.3f9a39303d356p-13, -0x1.35fae06d8b343p-13, -0x1.2ca9951a78a35p-13, -0x1.23a34d2fa79e4p-13, -0x1.1ae51bac8881ap-13, -0x1.126c2faf1798dp-13, -0x1.0a35d39162acap-13, -0x1.023f6c0c73606p-13, -0x1.f50ceec2a1684p-14, -0x1.e611190fa6702p-14, -0x1.d786b4c354034p-14, -0x1.c9694de7d5ef2p-14, -0x1.bbb49d4ac7faap-14, -0x1.ae648703acd96p-14, -0x1.a1751904f6e26p-14, -0x1.94e289b697eccp-14, -0x1.88a9369a360c5p-14, -0x1.7cc5a2f8a2ffdp-14, -0x1.71347698b20f3p-14, -0x1.65f27c7ec2795p-14, -0x1.5afca1b5b65fp-14, -0x1.504ff41f71665p-14, -0x1.45e9a14f0a4acp-14, -0x1.3bc6f569b2194p-14, -0x1.31e55a1203ef8p-14, -0x1.284255584eb4cp-14, -0x1.1edb88b4bfafbp-14, -0x1.15aeb00885cbfp-14, -0x1.0cb9a0a5b6135p-14, -0x1.03fa485f6bd63p-14, -0x1.f6dd59401af8p-15, -0x1.e629d30de89ap-15, -0x1.d5d662199c749p-15, -0x1.c5df945cfeeb5p-15, -0x1.b642203c73411p-15, -0x1.a6fae2f69d32p-15, -0x1.9806df1f9ef71p-15, -0x1.89633b2854389p-15, -0x1.7b0d3ff2f2395p-15, -0x1.6d02576ee0488p-15, -0x1.5f400b446009bp-15, -0x1.51c4038a7783fp-15, -0x1.448c058366e4p-15, -0x1.3795f268526fcp-15, -0x1.2adfc63c86bf9p-15, -0x1.1e6796ab4b211p-15, -0x1.122b91ef39af2p-15, -0x1.0629fdc3038a5p-15, -0x1.f4c26cb78c9dcp-16, -0x1.dd9f5ad5e14a6p-16, -0x1.c6e7d2560efa7p-16, -0x1.b09906e52154dp-16, -0x1.9ab051a1c8f84p-16, -0x1.852b2f6399efap-16, -0x1.70073f162b93ep-16, -0x1.5b42401cf00d8p-16, -0x1.46da10c934fe6p-16, -0x1.32ccace13daabp-16, -0x1.1f182c2fe985cp-16, -0x1.0bbac125dcbabp-16, -0x1.f1656f0968e13p-17, -0x1.cbfce63295b95p-17, -0x1.a738dd022078ap-17, -0x1.831673f8f4fa4p-17, -0x1.5f92f49598f7cp-17, -0x1.3cabcf269ce54p-17, -0x1.1a5e98b0c6e2fp-17, -0x1.f15211cecffacp-18, -0x1.af11f0896710ep-18, -0x1.6df8bc4170d68p-18, -0x1.2e029de4a2fb5p-18, -0x1.de57ea3ed83d7p-19, -0x1.62e2aa39b64d9p-19, -0x1.d33e0553bd75fp-20, -0x1.ca1b5465251c4p-21, 0x1.35d414462a6c1p-26, 0x1.d4f7be5f5ec42p-21, 0x1.cbea63a97510cp-20, 0x1.54965ab7613bp-19, 0x1.c126163356f7ep-19, 0x1.15d46a81a7bafp-18, 0x1.4a11688cfa9f4p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.98a3b8e11bcb7p-3, 0x1.a2deba94f509fp-3, 0x1.adc0b9ca19a5dp-3, 0x1.b940bfff34277p-3, 0x1.c553f7dfb9baap-3, 0x1.d1ede52a49f05p-3, 0x1.df009f4b42d4cp-3, 0x1.ec7d0cda118f2p-3, 0x1.fa531e7fba3b8p-3, 0x1.0439040e45858p-2, 0x1.0b643ba4da743p-2, 0x1.12a2634835ea6p-2, 0x1.19ea96720932ap-2, 0x1.2133f48c0ac5bp-2, 0x1.2875b4969477fp-2, 0x1.2fa736b6f608fp-2, 0x1.36c013b46ea5dp-2, 0x1.3db82a73374cep-2, 0x1.4487ab8344ee2p-2, 0x1.4b2722dccdb79p-2, 0x1.518f7fe79ab2cp-2, 0x1.57ba1bebf364ap-2, 0x1.5da0bf0cc9f56p-2, 0x1.633da3eaefd2ep-2, 0x1.688b7a10abeb5p-2, 0x1.6d85674434fcdp-2, 0x1.722707de6a0b3p-2, 0x1.766c6e41cce01p-2, 0x1.7a52218c3869cp-2, 0x1.7dd51b9c48041p-2, 0x1.80f2c681ae398p-2, 0x1.83a8f96e21674p-2, 0x1.85f5f53ae7b61p-2, 0x1.87d86095628e3p-2, 0x1.894f43e37f003p-2, 0x1.8a5a04ef63091p-2, 0x1.8af8626847d36p-2, 0x1.8b2a6f4514c53p-2, 0x1.8af08e13fd64ap-2, 0x1.8a4b6c4130b12p-2, 0x1.893bfd5d7f406p-2, 0x1.87c3766cccc02p-2, 0x1.85e349431fc4p-2, 0x1.839d1ff6370afp-2, 0x1.80f2d868a5d31p-2, 0x1.7de67ff2c1de7p-2, 0x1.7a7a4f2cdc70cp-2, 0x1.76b0a5ddaae87p-2, 0x1.728c070f1c73bp-2, 0x1.6e0f154b59163p-2, 0x1.693c8f031e4c2p-2, 0x1.64174b1e505bap-2, 0x1.5ea235b71fc5p-2, 0x1.58e04cffdda49p-2, 0x1.52d49e5344185p-2, 0x1.4c82436eb7836p-2, 0x1.45ec5fd5d2153p-2, 0x1.3f161e5e58d78p-2, 0x1.3802aee38d192p-2, 0x1.30b5441fb9428p-2, 0x1.293111aaaf39dp-2, 0x1.21794a1be701p-2, 0x1.19911d4edaa2fp-2, 0x1.117bb6c829998p-2, 0x1.093c3c3a17131p-2, 0x1.00d5cc26e94dep-2, 0x1.f096f93f64ep-3, 0x1.df40b43c29038p-3, 0x1.cdaeccef26ff1p-3, 0x1.bbe72fd219c0fp-3, 0x1.a9efb07200514p-3, 0x1.97ce07dea3d63p-3, 0x1.8587d34293e04p-3, 0x1.732292a116dfep-3, 0x1.60a3a7b7d1446p-3, 0x1.4e105501c8bb1p-3, 0x1.3b6dbcd9b911ep-3, 0x1.28c0e0b9a9376p-3, 0x1.160ea095d5851p-3, 0x1.035bba511b615p-3, 0x1.e159929273b29p-4, 0x1.bc0c8bf26b1aap-4, 0x1.96d90b60d94fap-4, 0x1.71c774b9c84efp-4, 0x1.4cdfe4cee96d7p-4, 0x1.282a314134fc1p-4, 0x1.03ade8796f05p-4, 0x1.bee4a37abd6a9p-5, 0x1.76fcdabf52c45p-5, 0x1.2fb1ea10ce1a7p-5, 0x1.d221705289029p-6, 0x1.464b402c64bc5p-6, 0x1.77f1c92575149p-7, 0x1.9a075ce2f2c98p-9, -0x1.4f1cb2f99ad27p-8, -0x1.b215e76e7814ep-7, -0x1.5c77029379a8cp-6, -0x1.ddf8f948a9655p-6, -0x1.2ebfbd77fd032p-5, -0x1.6d7d15063d993p-5, -0x1.ab2cd253e7a09p-5, -0x1.e7c7c0245dbf4p-5, -0x1.11a39171b1c9cp-4, -0x1.2ed25b3f7ec8ep-4, -0x1.4b6d5619638a2p-4, -0x1.6771d4230f3b3p-4, -0x1.82dd5fdf313c9p-4, -0x1.9dadbb0341722p-4, -0x1.b7e0dd467d851p-4, -0x1.d174f32ca85bdp-4, -0x1.ea685ccd1965bp-4, -0x1.015cd64b42609p-3, -0x1.0d33d308036e2p-3, -0x1.18b89e4bf402fp-3, -0x1.23eac91038d4p-3, -0x1.2ec9faf5a908dp-3, -0x1.3955f1a1fa6d9p-3, -0x1.438e801c8dc43p-3, -0x1.4d738e2b1624p-3, -0x1.570517ae421bep-3, -0x1.60432bfe9454p-3, -0x1.692ded498d1c2p-3, -0x1.71c58fef5b6fbp-3, -0x1.7a0a59e12fd2dp-3, -0x1.81fca20057bcbp-3, -0x1.899ccf7e4ca89p-3, -0x1.90eb593dca278p-3, -0x1.97e8c535209b3p-3, -0x1.9e95a7d1cd651p-3, -0x1.a4f2a35d82c2ep-3, -0x1.ab006764c52b2p-3, -0x1.b0bfb01f1e297p-3, -0x1.b63145d91d067p-3, -0x1.bb55fc602b63ap-3, -0x1.c02eb270502ep-3, -0x1.c4bc51240335fp-3, -0x1.c8ffcb6614f16p-3, -0x1.ccfa1d65c84f9p-3, -0x1.d0ac4c0d365e9p-3, -0x1.d417647a010a6p-3, -0x1.d73c7b786d955p-3, -0x1.da1cad00f69ffp-3, -0x1.dcb91bb85f6d4p-3, -0x1.df12f0725675fp-3, -0x1.e12b59b6bb85ap-3, -0x1.e3038b4984fcep-3, -0x1.e49cbdb558722p-3, -0x1.e5f82dd8e5a69p-3, -0x1.e7171c76f3f95p-3, -0x1.e7facdc94668cp-3, -0x1.e8a4891648105p-3, -0x1.e9159849874ap-3, -0x1.e94f478f102a1p-3, -0x1.e952e4f1959f7p-3, -0x1.e921bffb81d87p-3, -0x1.e8bd295ad62d9p-3, -0x1.e8267287efacfp-3, -0x1.e75eed6f23f79p-3, -0x1.e667ec1d39128p-3, -0x1.e542c06eb0428p-3, -0x1.e3f0bbc1ecbd3p-3, -0x1.e2732eac24981p-3, -0x1.e0cb68b1205c6p-3, -0x1.defab7fdbf90ep-3, -0x1.dd026925415adp-3, -0x1.dae3c6e14401dp-3, -0x1.d8a019d47996bp-3, -0x1.d638a850080e2p-3, -0x1.d3aeb61b8ce6ap-3, -0x1.d103843fbc6cdp-3, -0x1.ce3850d38dacbp-3, -0x1.cb4e56cbfbd8ep-3, -0x1.c846cdce32f1bp-3, -0x1.c522ea04404b4p-3, -0x1.c1e3dbf42749p-3, -0x1.be8ad0594d1d1p-3, -0x1.bb18f0004456cp-3, -0x1.b78f5fa4d42ffp-3, -0x1.b3ef3fd23f1e8p-3, -0x1.b039acc5bb775p-3, -0x1.ac6fbe5307451p-3, -0x1.a89287cb1bb7ep-3, -0x1.a4a317e4e1654p-3, -0x1.a0a278a7e2b3cp-3, -0x1.9c91af58f72dp-3, -0x1.9871bc68c1e14p-3, -0x1.94439b64100fcp-3, -0x1.900842e60134bp-3, -0x1.8bc0a48bdd38p-3, -0x1.876daceaacf86p-3, -0x1.831043865ce6ep-3, -0x1.7ea94aca84f7fp-3, -0x1.7a39a004af354p-3, -0x1.75c21b601344ap-3, -0x1.71438fe2ca671p-3, -0x1.6cbecb6c545c8p-3, -0x1.683496b577b9p-3, -0x1.63a5b55168909p-3, -0x1.5f12e5b01cd69p-3, -0x1.5a7ce121dba4ap-3, -0x1.55e45bdbe275ep-3, -0x1.514a04fe22fa6p-3, -0x1.4cae869a01c41p-3, -0x1.481285ba1cd45p-3, -0x1.4376a26af51b5p-3, -0x1.3edb77c48493bp-3, -0x1.3a419bf4aa1dep-3, -0x1.35a9a04a66b36p-3, -0x1.31141141d97aep-3, -0x1.2c817690f3b28p-3, -0x1.27f25334e38f8p-3, -0x1.2367258015884p-3, -0x1.1ee06728d6955p-3, -0x1.1a5e8d588a39ap-3, -0x1.15e208bb59ecdp-3, -0x1.116b45906e9f5p-3, -0x1.0cfaabba958dep-3, -0x1.08909ed152281p-3, -0x1.042d7e3251994p-3, -0x1.ffa34a26771d8p-4, -0x1.f6fad52797ffep-4, -0x1.ee6243a07f4afp-4, -0x1.e5da33e7fdc8p-4, -0x1.dd633c98fafbcp-4, -0x1.d4fdecb8b3336p-4, -0x1.ccaacbdd2ddd4p-4, -0x1.c46a5a542478ep-4, -0x1.bc3d114a0064fp-4, -0x1.b42362f12b5d3p-4, -0x1.ac1dbaa96c47dp-4, -0x1.a42c7d2768f5p-4, -0x1.9c50089c3ebd6p-4, -0x1.9488b4dd06033p-4, -0x1.8cd6d38a67a64p-4, -0x1.853ab038148f2p-4, -0x1.7db4909426b5fp-4, -0x1.7644b48e5e727p-4, -0x1.6eeb567f34861p-4, -0x1.67a8ab4eb86cbp-4, -0x1.607ce29b3148p-4, -0x1.596826df7de0bp-4, -0x1.526a9d992820fp-4, -0x1.4b84676e29beep-4, -0x1.44b5a052580f8p-4, -0x1.3dfe5fac73ab6p-4, -0x1.375eb87ad3f8fp-4, -0x1.30d6b977ac54fp-4, -0x1.2a666d3ce3a0ap-4, -0x1.240dda67791c8p-4, -0x1.1dcd03ba75282p-4, -0x1.17a3e8415f62cp-4, -0x1.11928372364fcp-4, -0x1.0b98cd4ee8241p-4, -0x1.05b6ba86452bcp-4, -0x1.ffd87928dabbap-5, -0x1.f47283c565eaap-5, -0x1.e93b6bcde4d47p-5, -0x1.de330284b5b9ap-5, -0x1.d35913bf52d49p-5, -0x1.c8ad6621a00e1p-5, -0x1.be2fbb5818e29p-5, -0x1.b3dfd050d2829p-5, -0x1.a9bd5d7356c03p-5, -0x1.9fc816d75283cp-5, -0x1.95ffac7a17c64p-5, -0x1.8c63ca72f204cp-5, -0x1.82f419264f481p-5, -0x1.79b03d77b7c65p-5, -0x1.7097d8fa9b811p-5, -0x1.67aa8a21ef316p-5, -0x1.5ee7ec6ea03f8p-5, -0x1.564f989cdc4p-5, -0x1.4de124d02d60fp-5, -0x1.459c24be6ffdep-5, -0x1.3d8029d9a15bcp-5, -0x1.358cc3788ab75p-5, -0x1.2dc17efe47978p-5, -0x1.261de800b13dbp-5, -0x1.1ea1886da7d0fp-5, -0x1.174be8af453a4p-5, -0x1.101c8fcef62cbp-5, -0x1.0913039782268p-5, -0x1.022ec8b6004ccp-5, -0x1.f6dec5b37ef2dp-6, -0x1.e9a8a9a64d801p-6, -0x1.dcba416317363p-6, -0x1.d0128fc0163ddp-6, -0x1.c3b09682c3f48p-6, -0x1.b7935695927e9p-6, -0x1.abb9d03bc0ce6p-6, -0x1.a02303434161fp-6, -0x1.94cdef34cfddap-6, -0x1.89b99382298d7p-6, -0x1.7ee4efb280b97p-6, -0x1.744f038d2c356p-6, -0x1.69f6cf42a08b5p-6, -0x1.5fdb5393b4282p-6, -0x1.55fb91f73e065p-6, -0x1.4c568cbe1a189p-6, -0x1.42eb47358f3b9p-6, -0x1.39b8c5c832209p-6, -0x1.30be0e1d3edbcp-6, -0x1.27fa273676747p-6, -0x1.1f6c198c920f4p-6, -0x1.1712ef2a43f5p-6, -0x1.0eedb3c5e1329p-6, -0x1.06fb74d9ad7dap-6, -0x1.fe768375ba241p-7, -0x1.ef58575e9d475p-7, -0x1.e09a8c0415886p-7, -0x1.d23b4c2d18824p-7, -0x1.c438c6f5bf1a4p-7, -0x1.b6912ff13adacp-7, -0x1.a942bf4991516p-7, -0x1.9c4bb1dd409fbp-7, -0x1.8faa495abc5b1p-7, -0x1.835ccc59f566p-7, -0x1.77618673e180bp-7, -0x1.6bb6c85828909p-7, -0x1.605ae7e0f6361p-7, -0x1.554c402500955p-7, -0x1.4a893187e77fap-7, -0x1.401021c8da1e6p-7, -0x1.35df7c0fae793p-7, -0x1.2bf5b0f868b9cp-7, -0x1.2251369d4725ep-7, -0x1.18f0889f5dca7p-7, -0x1.0fd2282dd0322p-7, -0x1.06f49c0bb7ee4p-7, -0x1.fcace12985014p-8, -0x1.ebec6f8128e21p-8, -0x1.dba51249fefa3p-8, -0x1.cbd403ee2ae9p-8, -0x1.bc768a164d112p-8, -0x1.ad89f5a767926p-8, -0x1.9f0ba2bec9bc1p-8, -0x1.90f8f8ac10e2ap-8, -0x1.834f69e959e6dp-8, -0x1.760c7411b64a1p-8, -0x1.692d9fd5f9eb9p-8, -0x1.5cb080eff643ep-8, -0x1.5092b61435b14p-8, -0x1.44d1e8e24c823p-8, -0x1.396bcdd3ce60cp-8, -0x1.2e5e2429feebap-8, -0x1.23a6b5da4b8f1p-8, -0x1.19435779a29b2p-8, -0x1.0f31e826b5186p-8, -0x1.057051733710ap-8, -0x1.f7f90e9858ba2p-9, -0x1.e5a90fc29f8c9p-9, -0x1.d3ecb7174ea0ap-9, -0x1.c2c029669d6c1p-9, -0x1.b21f9f69142cfp-9, -0x1.a20765885d3f8p-9, -0x1.9273dba6d1a0ep-9, -0x1.836174e5e807bp-9, -0x1.74ccb76b9535ap-9, -0x1.66b23c26b5b5bp-9, -0x1.590eae929e4edp-9, -0x1.4bdecc79e01c3p-9, -0x1.3f1f65b85c71dp-9, -0x1.32cd5bfcb7bfcp-9, -0x1.26e5a2894289bp-9, -0x1.1b653df469551p-9, -0x1.104943e8bc72ap-9, -0x1.058edae4a6b6bp-9, -0x1.f66673f3b3c59p-10, -0x1.e267511911e92p-10, -0x1.cf1afc24ff1bfp-10, -0x1.bc7c43a4382e6p-10, -0x1.aa8615428f405p-10, -0x1.99337d48db844p-10, -0x1.887fa61b0d09ep-10, -0x1.7865d7b67f952p-10, -0x1.68e177309584cp-10, -0x1.59ee0635cb30ap-10, -0x1.4b87228930bdcp-10, -0x1.3da885848a93fp-10, -0x1.304e039907925p-10, -0x1.23738bd0b46a5p-10, -0x1.17152750b1c32p-10, -0x1.0b2ef8dc3f27bp-10, -0x1.ff7a78b16a6d2p-11, -0x1.e9788ca4d522cp-11, -0x1.d45107053a703p-11, -0x1.bffcf0acd7d12p-11, -0x1.ac7580edcf3c3p-11, -0x1.99b41ca4952cdp-11, -0x1.87b2554cbcdcbp-11, -0x1.7669e81835d04p-11, -0x1.65d4bd090cba1p-11, -0x1.55ece60dbfeb8p-11, -0x1.46ac9e2035f5dp-11, -0x1.380e486764719p-11, -0x1.2a0c6f5bb4359p-11, -0x1.1ca1c3ee2cac5p-11, -0x1.0fc91cb272e39p-11, -0x1.037d750ba26b3p-11, -0x1.ef73d8b81a246p-12, -0x1.d8f38a6fc2916p-12, -0x1.c370c9358c794p-12, -0x1.aee2a240d515bp-12, -0x1.9b406480218c6p-12, -0x1.88819f1630f67p-12, -0x1.769e1fdd1315fp-12, -0x1.658df1ef442d8p-12, -0x1.55495c36d206fp-12, -0x1.45c8e0028b83ap-12, -0x1.370537a13a422p-12, -0x1.28f75502e3a6ap-12, -0x1.1b9860600f783p-12, -0x1.0ee1b6e712b9p-12, -0x1.02cce96f53047p-12, -0x1.eea7766509664p-13, -0x1.d8e04117ac83ep-13, -0x1.c4387b7a0ac49p-13, -0x1.b0a4cb72a4e1cp-13, -0x1.9e1a31ec8f082p-13, -0x1.8c8e08849e086p-13, -0x1.7bf5ff420a2cbp-13, -0x1.6c481a5a7f98bp-13, -0x1.5d7ab0017f5fdp-13, -0x1.4f846642ed4bdp-13, -0x1.425c30e8c404cp-13, -0x1.35f94f6bb8a92p-13, -0x1.2a534aeec4d3fp-13, -0x1.1f61f44575bdcp-13, -0x1.151d6204d4552p-13, -0x1.0b7dee9ed9b31p-13, -0x1.027c36883ac6bp-13, -0x1.f4222cd0fb6b2p-14, -0x1.e46b52a85600cp-14, -0x1.d5c68e21f3ffp-14, -0x1.c82704c7a792cp-14, -0x1.bb804ed12f958p-14, -0x1.afc673e6c9a4p-14, -0x1.a4ede7f6b9481p-14, -0x1.9aeb881d57f32p-14, -0x1.91b4979f7733p-14, -0x1.893ebcf6c5afap-14, -0x1.817ffeefedcedp-14, -0x1.7a6ec1da2817bp-14, -0x1.7401c4c7f1e51p-14, -0x1.6e301ee0a47cep-14, -0x1.68f13cc29eb94p-14, -0x1.643cddf5b9913p-14, -0x1.600b126dbdd3dp-14, -0x1.5c54381c91f13p-14, -0x1.5910f893d5f65p-14, -0x1.563a46b5a693p-14, -0x1.53c95c743d206p-14, -0x1.51b7b8a02666p-14, -0x1.4fff1cc4c7287p-14, -0x1.4e998b12e9827p-14, -0x1.4d81445909b74p-14, -0x1.4cb0c6091fa8bp-14, -0x1.4c22c84b9d9acp-14, -0x1.4bd23c1f60e4ap-14, -0x1.4bba49864f351p-14, -0x1.4bd64dbe5f60dp-14, -0x1.4c21d986c7a89p-14, -0x1.4c98af711407ap-14, -0x1.4d36c23ddfbbfp-14, -0x1.4df83344f29d2p-14, -0x1.4ed950e885bbdp-14, -0x1.4fd695136b313p-14, -0x1.50eca3c1e08dcp-14, -0x1.52184994cadf6p-14, -0x1.53567a6f238fbp-14, -0x1.54a4501d56dfbp-14, -0x1.55ff09065e24p-14, -0x1.576406e6573edp-14, -0x1.58d0cd92665cbp-14, -0x1.5a4301c5a3cddp-14, -0x1.5bb867f6e4438p-14, -0x1.5d2ee337236b5p-14, -0x1.5ea474185b961p-14, -0x1.6017379c95fd7p-14, -0x1.6185662d027b7p-14, -0x1.62ed5298e1324p-14, -0x1.644d691c0fd8dp-14, -0x1.65a42e6d06f89p-14, -0x1.66f03ed219e4cp-14, -0x1.68304d3dca0b3p-14, -0x1.69632271fec7p-14, -0x1.6a879c29f509bp-14, -0x1.6b9cac4abbf9bp-14, -0x1.6ca1581a117d9p-14, -0x1.6d94b77b74e8cp-14, -0x1.6e75f43347fa7p-14, -0x1.6f44492fd1521p-14, -0x1.6fff01d7fd3abp-14, -0x1.70a5795fb32e9p-14, -0x1.71371a21992a6p-14, -0x1.71b35cfe2239dp-14, -0x1.7219c8bfc153cp-14, -0x1.7269f1841d09bp-14, -0x1.72a3782a2287bp-14, -0x1.72c609c4d326ap-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.5fac1b5f02c82p-3, 0x1.62a03e829361p-3, 0x1.65ca834986001p-3, 0x1.692aeccf369b6p-3, 0x1.6cc113e6183b6p-3, 0x1.708c2a4d54ac6p-3, 0x1.748aff5e32a97p-3, 0x1.78bc05e0848f3p-3, 0x1.7d1d5abd82cep-3, 0x1.81accc50cde64p-3, 0x1.8667e21fc5cb7p-3, 0x1.8b4be4c774fe8p-3, 0x1.9055e5f8de943p-3, 0x1.9582c8627fe44p-3, 0x1.9acf476bf28ebp-3, 0x1.a037feae64c75p-3, 0x1.a5b971192fbb5p-3, 0x1.ab500fb648bbfp-3, 0x1.b0f84005bc1b1p-3, 0x1.b6ae61ea64116p-3, 0x1.bc6ed524bb3aep-3, 0x1.c235fe5a98908p-3, 0x1.c8004bac69858p-3, 0x1.cdca38d9e793bp-3, 0x1.d39052f949fecp-3, 0x1.d94f3bc4ccf71p-3, 0x1.df03ac8316511p-3, 0x1.e4aa788f6a746p-3, 0x1.ea408f86ee08cp-3, 0x1.efc2ff206f5aep-3, 0x1.f52ef4b43ec3bp-3, 0x1.fa81be79a9adep-3, 0x1.ffb8cc7f916fdp-3, 0x1.0268d8b2c4906p-2, 0x1.04e5116d5d393p-2, 0x1.074ffcf3cedaap-2, 0x1.09a89983b5ad8p-2, 0x1.0bedf70af688cp-2, 0x1.0e1f370b0a2f4p-2, 0x1.103b8c6ac53f6p-2, 0x1.12423b3894c87p-2, 0x1.1432985f09309p-2, 0x1.160c094d66ca6p-2, 0x1.17ce0395de593p-2, 0x1.19780c82e5febp-2, 0x1.1b09b8a515ed6p-2, 0x1.1c82ab5ad24b1p-2, 0x1.1de29652e649dp-2, 0x1.1f29390b29109p-2, 0x1.2056604c208bp-2, 0x1.2169e5a288242p-2, 0x1.2263aed782a89p-2, 0x1.2343ad68354dcp-2, 0x1.2409ddfd69c2ep-2, 0x1.24b647e3ce965p-2, 0x1.2548fc85573c8p-2, 0x1.25c216e427094p-2, 0x1.2621bb1775eefp-2, 0x1.266815cab9582p-2, 0x1.26955bbf64abep-2, 0x1.26a9c9517aa81p-2, 0x1.26a5a1ff23091p-2, 0x1.26892ff373fbep-2, 0x1.2654c3948f77ep-2, 0x1.2608b3152d203p-2, 0x1.25a55a09a8dd7p-2, 0x1.252b19009e8acp-2, 0x1.249a551f221b2p-2, 0x1.23f377c08e0ecp-2, 0x1.2336ee19f022dp-2, 0x1.226528e109ad7p-2, 0x1.217e9bf6dc9cfp-2, 0x1.2083be15ba1afp-2, 0x1.1f750882c7644p-2, 0x1.1e52f6c2e5eccp-2, 0x1.1d1e0652ecc5dp-2, 0x1.1bd6b6632535cp-2, 0x1.1a7d8795f1dep-2, 0x1.1912fbc18bc5bp-2, 0x1.179795b4c2ce6p-2, 0x1.160bd8fea8119p-2, 0x1.147049b90ad8p-2, 0x1.12c56c55b5b0fp-2, 0x1.110bc56e50d65p-2, 0x1.0f43d996d2fefp-2, 0x1.0d6e2d326db5p-2, 0x1.0b8b444adacd9p-2, 0x1.099ba269f5e57p-2, 0x1.079fca758cc5fp-2, 0x1.05983e8d52778p-2, 0x1.03857feadcd0cp-2, 0x1.01680ec39bcc5p-2, 0x1.fe80d459694fcp-3, 0x1.fa1e20015920dp-3, 0x1.f5a8f98daa752p-3, 0x1.f1225738c58acp-3, 0x1.ec8b2c3e37e6ep-3, 0x1.e7e468b32e304p-3, 0x1.e32ef961da963p-3, 0x1.de6bc7a7ae418p-3, 0x1.d99bb9564ef02p-3, 0x1.d4bfb09715b88p-3, 0x1.cfd88bd1144f5p-3, 0x1.cae7259174d64p-3, 0x1.c5ec547618edep-3, 0x1.c0e8eb1a6c9c6p-3, 0x1.bbddb8064735bp-3, 0x1.b6cb859ec447bp-3, 0x1.b1b31a19091b4p-3, 0x1.ac95376ece53fp-3, 0x1.a7729b54adaep-3, 0x1.a24bff320e086p-3, 0x1.9d22181aa1699p-3, 0x1.97f596c966ed6p-3, 0x1.92c7279d1474ep-3, 0x1.8d977295e2d21p-3, 0x1.88671b549be36p-3, 0x1.8336c11aea9fp-3, 0x1.7e06feccd7f1ep-3, 0x1.78d86af35a0eep-3, 0x1.73ab97c0019d3p-3, 0x1.6e8113119627ep-3, 0x1.69596679b3663p-3, 0x1.64351743434b9p-3, 0x1.5f14a679d783cp-3, 0x1.59f890f1cb7bdp-3, 0x1.54e14f512e16ep-3, 0x1.4fcf56195b4f5p-3, 0x1.4ac315b146a45p-3, 0x1.45bcfa7067617p-3, 0x1.40bd6caa37cabp-3, 0x1.3bc4d0ba456b8p-3, 0x1.36d38710c4754p-3, 0x1.31e9ec3fa0e71p-3, 0x1.2d085907fda87p-3, 0x1.282f226820b6cp-3, 0x1.235e99a9c0f5ap-3, 0x1.1e970c70abf4cp-3, 0x1.19d8c4c9c1ea4p-3, 0x1.1524093a37298p-3, 0x1.10791ccf22212p-3, 0x1.0bd83f2d3a9abp-3, 0x1.0741aca0daf3p-3, 0x1.02b59e2e2b8b6p-3, 0x1.fc689342f0e5fp-4, 0x1.f37bc33f5d4b6p-4, 0x1.eaa52b6de91eep-4, 0x1.e1e524deb661p-4, 0x1.d93c02b751882p-4, 0x1.d0aa12545be9ep-4, 0x1.c82f9b6b4437bp-4, 0x1.bfcce02c195e3p-4, 0x1.b7821d63565bdp-4, 0x1.af4f8a9ba54b3p-4, 0x1.a7355a3f97df5p-4, 0x1.9f33b9bb500bp-4, 0x1.974ad19dfb716p-4, 0x1.8f7ac5bb368fep-4, 0x1.87c3b54c411ccp-4, 0x1.8025bb10fdcb4p-4, 0x1.78a0ed70bcef9p-4, 0x1.71355e9ac7737p-4, 0x1.69e31ca6a71dfp-4, 0x1.62aa31b425acdp-4, 0x1.5b8aa40aff0c7p-4, 0x1.5484763a402d7p-4, 0x1.4d97a737502d1p-4, 0x1.46c4327c9e8a4p-4, 0x1.400a1027f22ebp-4, 0x1.39693518575aep-4, 0x1.32e1930ba64f7p-4, 0x1.2c7318bba3655p-4, 0x1.261db1fab26e2p-4, 0x1.1fe147d01ae63p-4, 0x1.19bdc093ddab1p-4, 0x1.13b3000a166a3p-4, 0x1.0dc0e77de83efp-4, 0x1.07e755dbf391fp-4, 0x1.022627cc54844p-4, 0x1.f8fa6f984c127p-5, 0x1.edd8bc8d16df1p-5, 0x1.e2e6e35a77ea8p-5, 0x1.d8248d2127d49p-5, 0x1.cd915f6e490b4p-5, 0x1.c32cfc6992391p-5, 0x1.b8f703027347cp-5, 0x1.aeef0f1c42b04p-5, 0x1.a514b9b966137p-5, 0x1.9b6799258211fp-5, 0x1.91e7411ea56cbp-5, 0x1.889342fd7a563p-5, 0x1.7f6b2ddc78538p-5, 0x1.766e8ebe197dep-5, 0x1.6d9cf0b2148c9p-5, 0x1.64f5dcf99ba77p-5, 0x1.5c78db2aa5495p-5, 0x1.5425715239eacp-5, 0x1.4bfb2415cee72p-5, 0x1.43f976d3ae427p-5, 0x1.3c1febc26c5cep-5, 0x1.346e040f6f741p-5, 0x1.2ce33ffc8b681p-5, 0x1.257f1efcb1c41p-5, 0x1.1e411fcfbd6e4p-5, 0x1.1728c09d583cfp-5, 0x1.10357f0f011f8p-5, 0x1.0966d8693227cp-5, 0x1.02bc49a3ac14bp-5, 0x1.f86a9f01d8966p-6, 0x1.eba2cd4993718p-6, 0x1.df20175489dfep-6, 0x1.d2e1767110a8bp-6, 0x1.c6e5e42e3ca31p-6, 0x1.bb2c5a82bf717p-6, 0x1.afb3d3f2429e5p-6, 0x1.a47b4bb140662p-6, 0x1.9981bdc76407bp-6, 0x1.8ec627307a0dfp-6, 0x1.844785fbf84f2p-6, 0x1.7a04d96b26c9p-6, 0x1.6ffd220de687fp-6, 0x1.662f61de2d1ebp-6, 0x1.5c9a9c5a3291ap-6, 0x1.533dd69d58bf2p-6, 0x1.4a181777dc74cp-6, 0x1.412867854bf7dp-6, 0x1.386dd141d27cep-6, 0x1.2fe7611e5ee35p-6, 0x1.27942593a8855p-6, 0x1.1f732f3423b4dp-6, 0x1.178390bcdb55bp-6, 0x1.0fc45f254f417p-6, 0x1.0834b1ae4472ap-6, 0x1.00d3a1efa5f02p-6, 0x1.f34097cad3999p-7, 0x1.e5339bf7244f4p-7, 0x1.d77e923282114p-7, 0x1.ca1fc155e4304p-7, 0x1.bd157557bfa5ep-7, 0x1.b05dff5d20048p-7, 0x1.a3f7b5c93a8fp-7, 0x1.97e0f44b746f4p-7, 0x1.8c181bebe74ddp-7, 0x1.809b9316877a5p-7, 0x1.7569c5a4d9578p-7, 0x1.6a8124e6593bdp-7, 0x1.5fe027a798961p-7, 0x1.55854a381d00cp-7, 0x1.4b6f0e6f10c01p-7, 0x1.419bfbaec3acfp-7, 0x1.380a9ee71e0ddp-7, 0x1.2eb98a96f6dc3p-7, 0x1.25a756cc6c4b3p-7, 0x1.1cd2a1243e215p-7, 0x1.143a0cc8381dap-7, 0x1.0bdc426cb5217p-7, 0x1.03b7f04d46f1p-7, 0x1.f79794511179ap-8, 0x1.e82d127654c3fp-8, 0x1.d92dd87471c53p-8, 0x1.ca976e9962eadp-8, 0x1.bc676808c87a2p-8, 0x1.ae9b62ac638bp-8, 0x1.a131072353827p-8, 0x1.942608b02b6fdp-8, 0x1.87782525e72f6p-8, 0x1.7b2524d3d7669p-8, 0x1.6f2ada70902cap-8, 0x1.63872303e751bp-8, 0x1.5837e5d011bfep-8, 0x1.4d3b1439f0924p-8, 0x1.428ea9b0960a4p-8, 0x1.3830ab9412b7ep-8, 0x1.2e1f291b953e2p-8, 0x1.24583b3aecbf7p-8, 0x1.1ada048774236p-8, 0x1.11a2b11c75afep-8, 0x1.08b0767f1119bp-8, 0x1.00019381ad547p-8, 0x1.ef28a04e03ea9p-9, 0x1.decdfb0982e55p-9, 0x1.ceefeb4bdd546p-9, 0x1.bf8b36d9c69cdp-9, 0x1.b09cb4ea30403p-9, 0x1.a2214de959f49p-9, 0x1.9415fb3b83b8fp-9, 0x1.8677c6ff49c8ep-9, 0x1.7943cbcfb7f08p-9, 0x1.6c7734862a366p-9, 0x1.600f3bfc007c9p-9, 0x1.54092ccc3b0c6p-9, 0x1.4862611502de3p-9, 0x1.3d18423936626p-9, 0x1.322848a1fb5bp-9, 0x1.278ffb80685aap-9, 0x1.1d4cf08f4dc93p-9, 0x1.135ccbd527718p-9, 0x1.09bd3f6646ea5p-9, 0x1.006c0b2736daep-9, 0x1.eecdf91ecdbd6p-10, 0x1.dd57dcd84eb2p-10, 0x1.cc719147f3749p-10, 0x1.bc16fff48692fp-10, 0x1.ac442ba6c602cp-10, 0x1.9cf52ff26949ep-10, 0x1.8e2640c00f95p-10, 0x1.7fd3a9d821017p-10, 0x1.71f9ce6ea8b8ap-10, 0x1.649528b041c48p-10, 0x1.57a2495006d8bp-10, 0x1.4b1dd716b0f9dp-10, 0x1.3f048e72cc3d4p-10, 0x1.3353410a1b676p-10, 0x1.2806d54c36ca3p-10, 0x1.1d1c46065fa2ap-10, 0x1.1290a1f897b93p-10, 0x1.08610b6bfe63cp-10, 0x1.fd156f94eed8ep-11, 0x1.ea15de6f5c2fep-11, 0x1.d7be1856bf66p-11, 0x1.c608f61a10e32p-11, 0x1.b4f173a1d3764p-11, 0x1.a472af2ce318p-11, 0x1.9487e890052adp-11, 0x1.852c807844937p-11, 0x1.765bf7b01730dp-11, 0x1.6811ee67557a1p-11, 0x1.5a4a237e0036dp-11, 0x1.4d0073d1db84dp-11, 0x1.4030d98edc049p-11, 0x1.33d76b8267877p-11, 0x1.27f05c716ad11p-11, 0x1.1c77fa713e936p-11, 0x1.116aae436144dp-11, 0x1.06c4fab3fc958p-11, 0x1.f906f7f672e3ap-12, 0x1.e545ce42b96c5p-12, 0x1.d24012cb56024p-12, 0x1.bfef8f501c064p-12, 0x1.ae4e3baaf214cp-12, 0x1.9d563cae1108ep-12, 0x1.8d01e307a6e6bp-12, 0x1.7d4baa2ae3144p-12, 0x1.6e2e373e4e9acp-12, 0x1.5fa4580f747ecp-12, 0x1.51a9020bc49p-12, 0x1.4437513ea896ap-12, 0x1.374a8754bc8d7p-12, 0x1.2ade0aa42000ap-12, 0x1.1eed6539cbd9fp-12, 0x1.137443ebe818ep-12, 0x1.086e75710af2fp-12, 0x1.fbafd2f8a7b09p-13, 0x1.e7595fbcb0047p-13, 0x1.d3d1ef55988c6p-13, 0x1.c1121cc5bb897p-13, 0x1.af12be4854484p-13, 0x1.9dcce3b88d5a5p-13, 0x1.8d39d5018ed9fp-13, 0x1.7d5310976c4bcp-13, 0x1.6e1249f8c7c85p-13, 0x1.5f716839169d5p-13, 0x1.516a84935fc3dp-13, 0x1.43f7e90550254p-13, 0x1.37140ef28b75ep-13, 0x1.2ab99dd00901fp-13, 0x1.1ee369d770b6ep-13, 0x1.138c72c241786p-13, 0x1.08afe28ca954ap-13, 0x1.fc92187fe58c4p-14, 0x1.e8a6d588acbe5p-14, 0x1.d5953f7448845p-14, 0x1.c354e4b415b88p-14, 0x1.b1dd9cb8e58b4p-14, 0x1.a12785cf7f5d6p-14, 0x1.912b030aae04ep-14, 0x1.81e0ba3aa383bp-14, 0x1.734191f1672c8p-14, 0x1.6546af9412f09p-14, 0x1.57e975789f2b5p-14, 0x1.4b23810ffe0b9p-14, 0x1.3eeea91c46d69p-14, 0x1.3344fbf2b5634p-14, 0x1.2820bdc93cf38p-14, 0x1.1d7c670f75514p-14, 0x1.1352a2d2a34fcp-14, 0x1.099e4d2ca2dep-14, 0x1.005a71bd767f1p-14, 0x1.ef04945e88fcbp-15, 0x1.de227989093fep-15, 0x1.ce05b5e054d6cp-15, 0x1.bea5bfef21997p-15, 0x1.affa5f3be0ebap-15, 0x1.a1fba9b25870bp-15, 0x1.94a2011f7929p-15, 0x1.87e610bf0ab05p-15, 0x1.7bc0cadac44a4p-15, 0x1.702b667a6e7fdp-15, 0x1.651f5d24a3047p-15, 0x1.5a9668afcf036p-15, 0x1.508a8123106ep-15, 0x1.46f5daa691b35p-15, 0x1.3dd2e38302f58p-15, 0x1.351c422fd5f2cp-15, 0x1.2cccd36fe0095p-15, 0x1.24dfa87c09b55p-15, 0x1.1d50053bb28a6p-15, 0x1.16195e8a73e98p-15, 0x1.0f37588aedc91p-15, 0x1.08a5c50647cd6p-15, 0x1.0260a1d81aaefp-15, 0x1.f8c82eccd6309p-16, 0x1.ed58ee4ad55dbp-16, 0x1.e26c744d6514p-16, 0x1.d7fbff67584d4p-16, 0x1.ce0117e5b3e0bp-16, 0x1.c4758d2f7a2b6p-16, 0x1.bb53733a1e4e7p-16, 0x1.b29520120ee5bp-16, 0x1.aa352976d73b9p-16, 0x1.a22e628a4c9fep-16, 0x1.9a7bd99249c85p-16, 0x1.9318d5cc72eb3p-16, 0x1.8c00d553875e1p-16, 0x1.852f8b15cedc9p-16, 0x1.7ea0dcdc16ae6p-16, 0x1.7850e160e3279p-16, 0x1.723bde774d548p-16, 0x1.6c5e47412db1bp-16, 0x1.66b4ba7415d8p-16, 0x1.613c00acc2a2fp-16, 0x1.5bf10ad08b9aep-16, 0x1.56d0f07c77007p-16, 0x1.51d8ee81871c5p-16, 0x1.4d06656de6081p-16, 0x1.4856d8228b0e7p-16, 0x1.43c7ea750554fp-16, 0x1.3f575fdd04c39p-16, 0x1.3b031a2d5bfdbp-16, 0x1.36c91858117f7p-16, 0x1.32a7753d3889ep-16, 0x1.2e9c668442994p-16, 0x1.2aa63b7f6bba1p-16, 0x1.26c35c19047c4p-16, 0x1.22f247ca4536p-16, 0x1.1f31949b5c0b5p-16, 0x1.1b7fee2c81d8dp-16, 0x1.17dc14c7b291p-16, 0x1.1444dc7ae44c3p-16, 0x1.10b92c3a6016fp-16, 0x1.0d37fd0b108aap-16, 0x1.09c05934757b1p-16, 0x1.06515b7a12ef2p-16, 0x1.02ea2e5c0e498p-16, 0x1.ff1416bd8fd38p-17, 0x1.f86074b27674dp-17, 0x1.f1b82193d42c1p-17, 0x1.eb19e2643aef6p-17, 0x1.e48494ee9ab38p-17, 0x1.ddf72e94edaa3p-17, 0x1.d770bb2a691ap-17, 0x1.d0f05bd8cded3p-17, 0x1.ca7546107b4b4p-17, 0x1.c3fec282f2888p-17, 0x1.bd8c2c276ebf2p-17, 0x1.b71cef4930f47p-17, 0x1.b0b0889f4441cp-17, 0x1.aa46846d5973cp-17, 0x1.a3de7dad77d49p-17, 0x1.9d781d422573cp-17, 0x1.97131930d199cp-17, 0x1.90af33e436765p-17, 0x1.8a4c3b765fe49p-17, 0x1.83ea090221f1ep-17, 0x1.7d887ffbbb6bcp-17, 0x1.77278d9060b9p-17, 0x1.70c7280c75587p-17, 0x1.6a674e483bd11p-17, 0x1.6408071abcaap-17, 0x1.5da960d2af183p-17, 0x1.574b70b52b2d5p-17, 0x1.50ee5281fbbc1p-17, 0x1.4a9227fd4d147p-17, 0x1.4437187e93d75p-17, 0x1.3ddd5084758c8p-17, 0x1.3785014d8930bp-17, 0x1.312e6075c006fp-17, 0x1.2ad9a7984ce33p-17, 0x1.248713f5df8ebp-17, 0x1.1e36e61f0c10cp-17, 0x1.17e961a2b5a7dp-17, 0x1.119eccc0588c7p-17, 0x1.0b57701e0de4bp-17, 0x1.0513968224496p-17, 0x1.fda719205a0afp-18, 0x1.f12f4112b57d3p-18, 0x1.e4c04420243bbp-18, 0x1.d85ac3dd1cb1ap-18, 0x1.cbff63c0f135dp-18, 0x1.bfaec8beaf948p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.793a66340f74p-4, 0x1.8f290d02dff13p-4, 0x1.a5644fe96146ep-4, 0x1.bbdcb3456f9f9p-4, 0x1.d280702662c24p-4, 0x1.e93bd3b0e3ad8p-4, 0x1.fff9a01cbc792p-4, 0x1.0b51b645a02b9p-3, 0x1.169100c6536b8p-3, 0x1.21aed858e273bp-3, 0x1.2c9f52fe41fa9p-3, 0x1.375699321bc11p-3, 0x1.41c9077aa8a63p-3, 0x1.4beb4c2b57f3bp-3, 0x1.55b28159fbc1dp-3, 0x1.5f14431af0859p-3, 0x1.6806c2284f49fp-3, 0x1.7080d323b1544p-3, 0x1.7879faa9f22f1p-3, 0x1.7fea767571258p-3, 0x1.86cb43ce0afecp-3, 0x1.8d1623870a075p-3, 0x1.92c59bcac929ep-3, 0x1.97d4f7f22cf13p-3, 0x1.9c4046a3e7a29p-3, 0x1.a004567453808p-3, 0x1.a31eb13b9e8a6p-3, 0x1.a58d965438d77p-3, 0x1.a74ff3efee703p-3, 0x1.a8655fae4285cp-3, 0x1.a8ce0e9aedb1p-3, 0x1.a88accb7c8ceap-3, 0x1.a79cf431e5d2dp-3, 0x1.a606645e3e4e5p-3, 0x1.a3c978973541ep-3, 0x1.a0e8ff111f675p-3, 0x1.9d682fb949ce7p-3, 0x1.994aa3304f9c6p-3, 0x1.949449ee22bb5p-3, 0x1.8f49639c0acd5p-3, 0x1.896e76aebe1dbp-3, 0x1.83084848f0a66p-3, 0x1.7c1bd46d1451ap-3, 0x1.74ae468364b07p-3, 0x1.6cc4f2383455cp-3, 0x1.64654cb5106cbp-3, 0x1.5b94e6366a6dep-3, 0x1.525963fe71b68p-3, 0x1.48b87aa50622fp-3, 0x1.3eb7e8c404cdap-3, 0x1.345d71fe7d80dp-3, 0x1.29aeda6106967p-3, 0x1.1eb1e218d9228p-3, 0x1.136c417f2293dp-3, 0x1.07e3a575a568ep-3, 0x1.f83b5823110adp-4, 0x1.e03fc32260a2bp-4, 0x1.c7df7b334623fp-4, 0x1.af25417060eaap-4, 0x1.961ba4499a13cp-4, 0x1.7cccfb838fdb6p-4, 0x1.634364aaaf22ep-4, 0x1.4988bff36706ap-4, 0x1.2fa6ad80c5616p-4, 0x1.15a68b0b182cp-4, 0x1.f722e3c0ac588p-5, 0x1.c2e06a709367p-5, 0x1.8e96c1ad66368p-5, 0x1.5a566febae9e1p-5, 0x1.262f68e855085p-5, 0x1.e46219002f67fp-6, 0x1.7cd44bf30a739p-6, 0x1.15d1d770c897fp-6, 0x1.5eebfd47aebe7p-7, 0x1.276b6fcd74b86p-8, -0x1.ae69d80d81cb7p-10, -0x1.fada7f426f57ep-8, -0x1.c2fcff6ad4cddp-7, -0x1.4328b17ac4cefp-6, -0x1.a3a0c580b04adp-6, -0x1.0169b22dac316p-5, -0x1.3057254d0c903p-5, -0x1.5e90221fc06c5p-5, -0x1.8c0c93f992c2ap-5, -0x1.b8c4e8facb4d1p-5, -0x1.e4b20f6f03908p-5, -0x1.07e6b98a34b98p-4, -0x1.1d087d2758146p-4, -0x1.31bb81a45f84p-4, -0x1.45fd3083f35edp-4, -0x1.59cb2c399b776p-4, -0x1.6d234ea8a88bdp-4, -0x1.8003a79f7925bp-4, -0x1.926a7b501986cp-4, -0x1.a45640c72f206p-4, -0x1.b5c5a062095e4p-4, -0x1.c6b772449ddc9p-4, -0x1.d72abcd02e619p-4, -0x1.e71eb31b40153p-4, -0x1.f692b36b73de3p-4, -0x1.02c322d8ece9cp-3, -0x1.09fc8d0521d8cp-3, -0x1.10f5839ef9c99p-3, -0x1.17ae04a51d588p-3, -0x1.1e261ff59d97ap-3, -0x1.245df695a4ef3p-3, -0x1.2a55b9fb95e09p-3, -0x1.300dab5bc4878p-3, -0x1.35861af7dc717p-3, -0x1.3abf6771240dp-3, -0x1.3fb9fd1da83f8p-3, -0x1.4476556068c23p-3, -0x1.48f4f604a7946p-3, -0x1.4d36709c59c0cp-3, -0x1.513b61e1dca4dp-3, -0x1.5504711ce9926p-3, -0x1.58924f8aea189p-3, -0x1.5be5b7caa0a48p-3, -0x1.5eff6d4b3c586p-3, -0x1.61e03bbed9da5p-3, -0x1.6488f69076632p-3, -0x1.66fa785d55edep-3, -0x1.6935a271e4726p-3, -0x1.6b3b5c4a0b221p-3, -0x1.6d0c931503535p-3, -0x1.6eaa393c9c8d9p-3, -0x1.701545eff6979p-3, -0x1.714eb4b1b30bdp-3, -0x1.725784e98b1ap-3, -0x1.7330b979515f9p-3, -0x1.73db585559af4p-3, -0x1.74586a20336d8p-3, -0x1.74a8f9c9bf4e4p-3, -0x1.74ce14318a759p-3, -0x1.74c8c7cc7523ep-3, -0x1.749a244d88c88p-3, -0x1.74433a5209c9ep-3, -0x1.73c51b10a0f4ap-3, -0x1.7320d80bb0cacp-3, -0x1.725782c6ab9bp-3, -0x1.716a2c7e7790ap-3, -0x1.7059e5e4c5782p-3, -0x1.6f27bede56b2fp-3, -0x1.6dd4c64422868p-3, -0x1.6c6209a74bd1p-3, -0x1.6ad09517dd77cp-3, -0x1.692172ee3dbap-3, -0x1.6755ab974dd98p-3, -0x1.656e456322bf2p-3, -0x1.636c44564f925p-3, -0x1.6150a9fdb0ab7p-3, -0x1.5f1c7544a2a5ep-3, -0x1.5cd0a24da835fp-3, -0x1.5a6e2a4d59d04p-3, -0x1.57f60367a2a7dp-3, -0x1.5569208f36c7dp-3, -0x1.52c8716730b0ep-3, -0x1.5014e226c9489p-3, -0x1.4d4f5b7f1f8d4p-3, -0x1.4a78c282fcb36p-3, -0x1.4791f8908a1f1p-3, -0x1.449bdb3ce5df7p-3, -0x1.419744418a3cbp-3, -0x1.3e85096b7f8cbp-3, -0x1.3b65fc8c3fad5p-3, -0x1.383aeb6c3fb59p-3, -0x1.35049fbf1d39p-3, -0x1.31c3df194e92ap-3, -0x1.2e796ae75a9d1p-3, -0x1.2b2600667bb1cp-3, -0x1.27ca589eab4bep-3, -0x1.2467285e02144p-3, -0x1.20fd2035654c7p-3, -0x1.1d8cec766d5d8p-3, -0x1.1a1735327f62fp-3, -0x1.169c9e3b0b9e8p-3, -0x1.131dc722e1e0ep-3, -0x1.0f9b4b40931b7p-3, -0x1.0c15c1b1d207ep-3, -0x1.088dbd5fcafc3p-3, -0x1.0503cd045f8f4p-3, -0x1.01787b3046f14p-3, -0x1.fbd89ca3f4a9ep-4, -0x1.f4bf917ad9141p-4, -0x1.eda6d16907f88p-4, -0x1.e68f50e07cec2p-4, -0x1.df79fc550ee5dp-4, -0x1.d867b85150cp-4, -0x1.d159618ca759bp-4, -0x1.ca4fcd027065p-4, -0x1.c34bc80a349cep-4, -0x1.bc4e1870d74dfp-4, -0x1.b5577c92a004ep-4, -0x1.ae68ab761c9e1p-4, -0x1.a78254e7cda5cp-4, -0x1.a0a521967d5bfp-4, -0x1.99d1b33044e2fp-4, -0x1.9308a48022ea1p-4, -0x1.8c4a898c1b09ap-4, -0x1.8597efb3d47ccp-4, -0x1.7ef15dcfa0a66p-4, -0x1.7857544fe5834p-4, -0x1.71ca4d5cd9bbfp-4, -0x1.6b4abcf68bd5bp-4, -0x1.64d9111522bc9p-4, -0x1.5e75b1c9517fcp-4, -0x1.5821015cf1edfp-4, -0x1.51db5c73ba4a1p-4, -0x1.4ba51a2c073abp-4, -0x1.457e8c3fad4a2p-4, -0x1.3f67ff24cc28cp-4, -0x1.3961ba2e97e88p-4, -0x1.336bffae12901p-4, -0x1.2d870d12ac2bdp-4, -0x1.27b31b0ac3615p-4, -0x1.21f05da3fe409p-4, -0x1.1c3f046b74fe3p-4, -0x1.169f3a8da7e69p-4, -0x1.111126f63bc9fp-4, -0x1.0b94ec6f738f7p-4, -0x1.062aa9c16693ep-4, -0x1.00d279d0e9fadp-4, -0x1.f718e77c5551ap-5, -0x1.ecb15605e75a3p-5, -0x1.e26e5f21336f7p-5, -0x1.d8501bdb1a096p-5, -0x1.ce569ea50f68bp-5, -0x1.c481f38eb502p-5, -0x1.bad2207ea406cp-5, -0x1.b147256a62b62p-5, -0x1.a7e0fc8d82007p-5, -0x1.9e9f9a9fdccc5p-5, -0x1.9582ef0af398p-5, -0x1.8c8ae41e64cf9p-5, -0x1.83b75f43763cap-5, -0x1.7b08412fb5e44p-5, -0x1.727d6616a7c53p-5, -0x1.6a16a5da82931p-5, -0x1.61d3d43bf89cfp-5, -0x1.59b4c1090799bp-5, -0x1.51b9384ad4a05p-5, -0x1.49e102728df68p-5, -0x1.422be485525ccp-5, -0x1.3a99a04720a73p-5, -0x1.3329f464ccd36p-5, -0x1.2bdc9c9cfba95p-5, -0x1.24b151e823245p-5, -0x1.1da7ca9f95facp-5, -0x1.16bfbaa3922b2p-5, -0x1.0ff8d3805e866p-5, -0x1.0952c4926d02ep-5, -0x1.02cd3b298e27cp-5, -0x1.f8cfc5565af57p-6, -0x1.ec44c96743adep-6, -0x1.dff8d26d18191p-6, -0x1.d3eb2d3c94f05p-6, -0x1.c81b23d505f52p-6, -0x1.bc87fd9b8a25dp-6, -0x1.b130ff948bbbdp-6, -0x1.a6156c9b7a06ap-6, -0x1.9b348598bd661p-6, -0x1.908d89b5f8632p-6, -0x1.861fb69090fb8p-6, -0x1.7bea486a93b63p-6, -0x1.71ec7a59e8102p-6, -0x1.68258675ee2dcp-6, -0x1.5e94a6037d5f5p-6, -0x1.5539119f545bep-6, -0x1.4c120166fb331p-6, -0x1.431ead2025bbcp-6, -0x1.3a5e4c5e9193cp-6, -0x1.31d016a876e8ap-6, -0x1.2973439982e3fp-6, -0x1.21470b04723f5p-6, -0x1.194aa51342db1p-6, -0x1.117d4a6614f75p-6, -0x1.09de3430b507bp-6, -0x1.026c9c56e11ffp-6, -0x1.f64f7b0e8a1bp-7, -0x1.e81da6aa81a37p-7, -0x1.da4234a2eec02p-7, -0x1.ccbba0426ba07p-7, -0x1.bf8867295ac44p-7, -0x1.b2a7097830835p-7, -0x1.a61609f77fc71p-7, -0x1.99d3ee3df7007p-7, -0x1.8ddf3ed43c765p-7, -0x1.82368756cfec5p-7, -0x1.76d85696011d1p-7, -0x1.6bc33eb3e5eb9p-7, -0x1.60f5d54098129p-7, -0x1.566eb35487a75p-7, -0x1.4c2c75a92d072p-7, -0x1.422dbcaff03f2p-7, -0x1.38712ca781be9p-7, -0x1.2ef56daf8feafp-7, -0x1.25b92bdaf8f92p-7, -0x1.1cbb17407cb43p-7, -0x1.13f9e40a00347p-7, -0x1.0b744a826afe1p-7, -0x1.032907222d00dp-7, -0x1.f62db534ef808p-8, -0x1.e67913be6c12ep-8, -0x1.d731bc5f9c5c3p-8, -0x1.c8554a3d749c6p-8, -0x1.b9e161300115fp-8, -0x1.abd3adcd2dea8p-8, -0x1.9e29e57179927p-8, -0x1.90e1c646a904p-8, -0x1.83f917488e6d8p-8, -0x1.776da847fab78p-8, -0x1.6b3d51ebe8b9fp-8, -0x1.5f65f5b0f6f9p-8, -0x1.53e57de74474ap-8, -0x1.48b9ddaebd7f2p-8, -0x1.3de110f1eff63p-8, -0x1.33591c5f74a9dp-8, -0x1.29200d61fd6bep-8, -0x1.1f33fa171d2dcp-8, -0x1.15930144d56c9p-8, -0x1.0c3b4a4df9893p-8, -0x1.032b0525785e7p-8, -0x1.f4c0d48134e05p-9, -0x1.e3b37510834dap-9, -0x1.d32a7e9271e3p-9, -0x1.c32294474844fp-9, -0x1.b39869f32cfep-9, -0x1.a488c3b9cb5ebp-9, -0x1.95f075f8784e5p-9, -0x1.87cc651efd75bp-9, -0x1.7a1985871604bp-9, -0x1.6cd4db4abc9a2p-9, -0x1.5ffb7a1957d0dp-9, -0x1.538a850be467p-9, -0x1.477f2e782333p-9, -0x1.3bd6b7c2eeeaep-9, -0x1.308e7131c081cp-9, -0x1.25a3b9bb765e2p-9, -0x1.1b13fed8757e9p-9, -0x1.10dcbc52329efp-9, -0x1.06fb7c122cf0bp-9, -0x1.fadbabe0f197ep-10, -0x1.e862df03b4b47p-10, -0x1.d687f7cb0e9cep-10, -0x1.c54677253edc3p-10, -0x1.b499f84abe987p-10, -0x1.a47e30584ad61p-10, -0x1.94eeede89feadp-10, -0x1.85e818ae02468p-10, -0x1.7765b10ba0f3cp-10, -0x1.6963cfaefeda8p-10, -0x1.5bdea52959c19p-10, -0x1.4ed279893c192p-10, -0x1.423babf43cefp-10, -0x1.3616b24105b0bp-10, -0x1.2a601891b560bp-10, -0x1.1f1480ee9b9e2p-10, -0x1.1430a2e17ac7ap-10, -0x1.09b14b1141769p-10, -0x1.ff26b5bcc36fcp-11, -0x1.eba78fff7ef35p-11, -0x1.d8df3840a1bbp-11, -0x1.c6c7e8fae7662p-11, -0x1.b55c030c102f1p-11, -0x1.a4960cf4af183p-11, -0x1.9470b219a6a37p-11, -0x1.84e6c20767733p-11, -0x1.75f32fb6ff3d5p-11, -0x1.679110d50ba71p-11, -0x1.59bb9d0a9a808p-11, -0x1.4c6e2d480abb2p-11, -0x1.3fa43b11f6abbp-11, -0x1.33595fd0358cap-11, -0x1.2789541efc95ep-11, -0x1.1c2fef222c0d4p-11, -0x1.114925dace9cep-11, -0x1.06d10a7ed5f85p-11, -0x1.f98797a62e964p-12, -0x1.e63b690f247e2p-12, -0x1.d3b6552c0bf69p-12, -0x1.c1f15d45b0c6dp-12, -0x1.b0e5b6c0ab56p-12, -0x1.a08cc9e8932efp-12, -0x1.90e030bfec14dp-12, -0x1.81d9b5d4d0d0dp-12, -0x1.7373531a62ec4p-12, -0x1.65a730c6fa63dp-12, -0x1.586fa4371cfb5p-12, -0x1.4bc72ed534a41p-12, -0x1.3fa87d060fc3ep-12, -0x1.340e651a1b9afp-12, -0x1.28f3e64361c87p-12, -0x1.1e5427903a138p-12, -0x1.142a76eab6515p-12, -0x1.0a72481cb98d2p-12, -0x1.012733d8bbcb4p-12, -0x1.f089ed8e5b95fp-13, -0x1.df8ee130f08e6p-13, -0x1.cf5546371b653p-13, -0x1.bfd562b20cab1p-13, -0x1.b107bd6578e1ap-13, -0x1.a2e51c0fbde18p-13, -0x1.956681bae1906p-13, -0x1.88852d16527abp-13, -0x1.7c3a96d95be8ep-13, -0x1.7080702e26b44p-13, -0x1.6550a1254174p-13, -0x1.5aa5473186944p-13, -0x1.5078b3ac5a07ap-13, -0x1.46c56a620d0b2p-13, -0x1.3d8620266aaep-13, -0x1.34b5b97134604p-13, -0x1.2c4f49029054dp-13, -0x1.244e0e8f3745bp-13, -0x1.1cad757454184p-13, -0x1.15691372f15a6p-13, -0x1.0e7ca772e37a7p-13, -0x1.07e4184d00e48p-13, -0x1.019b739ca29d3p-13, -0x1.f73dd93075d21p-14, -0x1.ebd5b5e1e394fp-14, -0x1.e0f7737258a04p-14, -0x1.d69c4ca3b1bf5p-14, -0x1.ccbdbebcc586ap-14, -0x1.c355877e86243p-14, -0x1.ba5da325e5324p-14, -0x1.b1d04a7a845cp-14, -0x1.a9a7f0e9ba215p-14, -0x1.a1df42ade29f4p-14, -0x1.9a712301a7dfp-14, -0x1.9358aa5f0d9d4p-14, -0x1.8c9124ca0f2c7p-14, -0x1.861610268f231p-14, -0x1.7fe31a9965acdp-14, -0x1.79f420f453aa7p-14, -0x1.74452d2ca496p-14, -0x1.6ed274dc4780cp-14, -0x1.699857cd2a631p-14, -0x1.64935e8ea1b2bp-14, -0x1.5fc03914a57c5p-14, -0x1.5b1bbd60b1bdbp-14, -0x1.56a2e6341509bp-14, -0x1.5252d1cb78dcdp-14, -0x1.4e28c0a372fd7p-14, -0x1.4a221445ec07dp-14, -0x1.463c4e2029c85p-14, -0x1.42750e614cc0dp-14, -0x1.3eca12e110647p-14, -0x1.3b39360e9e79dp-14, -0x1.37c06de74615bp-14, -0x1.345dcaf4e8c7ep-14, -0x1.310f7753eef7p-14, -0x1.2dd3b5c097a38p-14, -0x1.2aa8e0ab77418p-14, -0x1.278d6954f8a15p-14, -0x1.247fd6efb72e5p-14, -0x1.217ec5c985d94p-14, -0x1.1e88e67afb667p-14, -0x1.1b9cfd1d5a84ep-14, -0x1.18b9e086ac6bep-14, -0x1.15de798be859fp-14, -0x1.1309c24900804p-14, -0x1.103ac56eae2b2p-14, -0x1.0d709d95d7ae4p-14, -0x1.0aaa74986c983p-14, -0x1.07e782ef92b42p-14, -0x1.05270f170144cp-14, -0x1.02686cf5697f6p-14, -0x1.ff55fa938d441p-15, -0x1.f9dc5a3aef78ap-15, -0x1.f462ea76057d4p-15, -0x1.eee8b352baa4ap-15, -0x1.e96cd2574147p-15, -0x1.e3ee798a0dedep-15, -0x1.de6cee8229ed8p-15, -0x1.d8e7897fa64b7p-15, -0x1.d35db48bf3dc6p-15, -0x1.cdceeaa1e526ap-15, -0x1.c83ab6dd2a7a7p-15, -0x1.c2a0b3b10aa3ep-15, -0x1.bd008a2628a7dp-15, -0x1.b759f11f241b2p-15, -0x1.b1acaca3dcf45p-15, -0x1.abf88d332d161p-15, -0x1.a63d6f1ae9d05p-15, -0x1.a07b39d5f977cp-15, -0x1.9ab1df705513cp-15, -0x1.94e15bf0c29f4p-15, -0x1.8f09b4c824e87p-15, -0x1.892af8462e9f8p-15, -0x1.83453d1356598p-15, -0x1.7d58a1afdbf95p-15, -0x1.77654bf7bce75p-15, -0x1.716b68ab7143fp-15, -0x1.6b6b2afd47916p-15, -0x1.6564cc234090ap-15, -0x1.5f588aed423f4p-15, -0x1.5946ab5f83563p-15, -0x1.532f76510ae5bp-15, -0x1.4d13390e25cb7p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.de2873e16bd05p-3, 0x1.e65107279bf15p-3, 0x1.ee93328c96815p-3, 0x1.f6dfbf831965p-3, 0x1.ff28fb31b40e5p-3, 0x1.03b16a08324c6p-2, 0x1.07c1731596929p-2, 0x1.0bc03ca79cc93p-2, 0x1.0faa3a10d1394p-2, 0x1.137ca365202bp-2, 0x1.173567c1c221ap-2, 0x1.1ad31d83d36f9p-2, 0x1.1e54f13fe411fp-2, 0x1.21ba9426678e6p-2, 0x1.25042a5eac9c7p-2, 0x1.283239c404162p-2, 0x1.2b459956e8e0dp-2, 0x1.2e3f619e15a2cp-2, 0x1.3120de2139021p-2, 0x1.33eb8017d4bacp-2, 0x1.36a0d25aaf4e2p-2, 0x1.39426e9c60104p-2, 0x1.3bd1f3e5e0906p-2, 0x1.3e50fe4e1a6dcp-2, 0x1.40c11fdef8a6ap-2, 0x1.4323da975aa06p-2, 0x1.457a9b7710b32p-2, 0x1.47c6b680b1a14p-2, 0x1.4a09639c6333ep-2, 0x1.4c43bc468e54dp-2, 0x1.4e76b9f5a6f17p-2, 0x1.50a33522d7806p-2, 0x1.52c9e4e2168b2p-2, 0x1.54eb5ef73bf62p-2, 0x1.57081856b8ed5p-2, 0x1.59206601ceee4p-2, 0x1.5b347e2f50ffbp-2, 0x1.5d4479b33cf6fp-2, 0x1.5f505598b2ee3p-2, 0x1.6157f4e30b15ap-2, 0x1.635b226be06c3p-2, 0x1.655992d51f326p-2, 0x1.6752e68715278p-2, 0x1.6946abb39b1f6p-2, 0x1.6b3460583e9f6p-2, 0x1.6d1b743a4c058p-2, 0x1.6efb4ad846208p-2, 0x1.70d33d4d2513dp-2, 0x1.72a29c225527bp-2, 0x1.7468b10e0099ap-2, 0x1.7624c09bc8fe9p-2, 0x1.77d60bbe751bfp-2, 0x1.797bd14998858p-2, 0x1.7b154f528e517p-2, 0x1.7ca1c47874a41p-2, 0x1.7e20711319aecp-2, 0x1.7f909849149fbp-2, 0x1.80f1810d67c0ep-2, 0x1.824277053f8b7p-2, 0x1.8382cb5682914p-2, 0x1.84b1d5600405dp-2, 0x1.85cef35c3d99cp-2, 0x1.86d98aef8b58ap-2, 0x1.87d109a2efa93p-2, 0x1.88b4e54c66705p-2, 0x1.89849c65e1b26p-2, 0x1.8a3fb653fb89p-2, 0x1.8ae5c39d7525dp-2, 0x1.8b765e1489715p-2, 0x1.8bf128f328cacp-2, 0x1.8c55d0eb0fcdap-2, 0x1.8ca40c2ac3a1ap-2, 0x1.8cdb9a585969bp-2, 0x1.8cfc4482f25b3p-2, 0x1.8d05dd0bce1bfp-2, 0x1.8cf83f87bdb65p-2, 0x1.8cd35099c3a63p-2, 0x1.8c96fdc79b783p-2, 0x1.8c433d48d5d3dp-2, 0x1.8bd80dd136a91p-2, 0x1.8b557656e9483p-2, 0x1.8abb85d51db86p-2, 0x1.8a0a530b98161p-2, 0x1.8941fc3baa79ap-2, 0x1.8862a6e3148bbp-2, 0x1.876c7f752604ep-2, 0x1.865fb91296718p-2, 0x1.853c8d4060f33p-2, 0x1.84033b9df790dp-2, 0x1.82b4099b1f00dp-2, 0x1.814f422db161ep-2, 0x1.7fd535878888ep-2, 0x1.7e4638ccc66ccp-2, 0x1.7ca2a5cab077ep-2, 0x1.7aeadaaf47f6fp-2, 0x1.791f39c1cabeep-2, 0x1.7740291c3f3a9p-2, 0x1.754e126628747p-2, 0x1.7349629084dc9p-2, 0x1.7132899328f11p-2, 0x1.6f09fa2b909d4p-2, 0x1.6cd0299d35628p-2, 0x1.6a858f737c339p-2, 0x1.682aa545435ebp-2, 0x1.65bfe67a221cfp-2, 0x1.6345d0115aa89p-2, 0x1.60bce06a8aba5p-2, 0x1.5e2597101c2ffp-2, 0x1.5b8074837c74ap-2, 0x1.58cdfa0b18081p-2, 0x1.560ea9821e89cp-2, 0x1.5343052a0d16p-2, 0x1.506b8f7dfda27p-2, 0x1.4d88cb07b683cp-2, 0x1.4a9b3a367a8d7p-2, 0x1.47a35f379332p-2, 0x1.44a1bbd08cba3p-2, 0x1.4196d13b28165p-2, 0x1.3e832002eef1bp-2, 0x1.3b6727e471808p-2, 0x1.384367ae1aafp-2, 0x1.35185d229ab1dp-2, 0x1.31e684dce07dap-2, 0x1.2eae5a3593a1fp-2, 0x1.2b70572a0e886p-2, 0x1.282cf444ca934p-2, 0x1.24e4a88737f48p-2, 0x1.2197e954f870ep-2, 0x1.1e472a6074433p-2, 0x1.1af2dd98c0542p-2, 0x1.179b7318cb387p-2, 0x1.14415917c97bap-2, 0x1.10e4fbdad94c3p-2, 0x1.0d86c5a7d28acp-2, 0x1.0a271eb9383d8p-2, 0x1.06c66d3348c48p-2, 0x1.0365151a1dda3p-2, 0x1.00037848d78a7p-2, 0x1.f943ecd38737bp-3, 0x1.f281d9df01f73p-3, 0x1.ebc16e1e206d8p-3, 0x1.e5035b75931p-3, 0x1.de484f3c67455p-3, 0x1.d790f23555095p-3, 0x1.d0dde889b48a9p-3, 0x1.ca2fd1c5f6cep-3, 0x1.c38748d796cc6p-3, 0x1.bce4e40c7bfefp-3, 0x1.b6493513b3174p-3, 0x1.afb4c8ff7254p-3, 0x1.a928284860a66p-3, 0x1.a2a3d6d203837p-3, 0x1.9c2853f0536p-3, 0x1.95b61a6e5e37ap-3, 0x1.8f4da095f2d5ep-3, 0x1.88ef58383b616p-3, 0x1.829baeb74c6e6p-3, 0x1.7c530d10864b6p-3, 0x1.7615d7e7cf917p-3, 0x1.6fe46f938bf0dp-3, 0x1.69bf302955628p-3, 0x1.63a6718b5732ap-3, 0x1.5d9a877651edfp-3, 0x1.579bc19034d73p-3, 0x1.51aa6b773fb3fp-3, 0x1.4bc6ccd1aa4cap-3, 0x1.45f1295dc1ca8p-3, 0x1.4029c1027247p-3, 0x1.3a70cfe039076p-3, 0x1.34c68e626c0adp-3, 0x1.2f2b3150d8ad7p-3, 0x1.299ee9e1aa6bfp-3, 0x1.2421e5cb939fcp-3, 0x1.1eb44f582f682p-3, 0x1.19564d7693128p-3, 0x1.140803ce1287cp-3, 0x1.0ec992d11ab6ap-3, 0x1.099b17d038dacp-3, 0x1.047cad0d25479p-3, 0x1.fedcd39be1049p-4, 0x1.f4e0c4e056285p-4, 0x1.eb0550f8351cep-4, 0x1.e14a956fcf0a5p-4, 0x1.d7b0aa7591cc6p-4, 0x1.ce37a3003d341p-4, 0x1.c4df8cf4fde55p-4, 0x1.bba8714d5dfcbp-4, 0x1.b292543cf821fp-4, 0x1.a99d3556f958ap-4, 0x1.a0c90fb35c72ap-4, 0x1.9815da13d51cbp-4, 0x1.8f83870873abfp-4, 0x1.87120513e3693p-4, 0x1.7ec13ecf532fep-4, 0x1.76911b0df506cp-4, 0x1.6e817d0015eccp-4, 0x1.66924455c4015p-4, 0x1.5ec34d6102d9bp-4, 0x1.57147137861a1p-4, 0x1.4f8585d3f007dp-4, 0x1.48165e368faf9p-4, 0x1.40c6ca859c287p-4, 0x1.3996982ce753cp-4, 0x1.328591fd08f97p-4, 0x1.2b938049fca0ep-4, 0x1.24c0290930634p-4, 0x1.1e0b4fef04b7fp-4, 0x1.1774b68bb84d4p-4, 0x1.10fc1c67c0fc8p-4, 0x1.0aa13f1f8f8f4p-4, 0x1.0463da7ebc0ccp-4, 0x1.fc87513538fd5p-5, 0x1.f080c3d88604fp-5, 0x1.e4b37ad3c65p-5, 0x1.d91ee13f3e46cp-5, 0x1.cdc25f8f7a004p-5, 0x1.c29d5bc484259p-5, 0x1.b7af3997ebc86p-5, 0x1.acf75aa99d0c3p-5, 0x1.a2751eab87b4dp-5, 0x1.9827e38c19ef9p-5, 0x1.8e0f059f8dee9p-5, 0x1.8429dfc80ee9ep-5, 0x1.7a77cb9cb3c32p-5, 0x1.70f8218f56558p-5, 0x1.67aa39114718bp-5, 0x1.5e8d68b6de237p-5, 0x1.55a10659f2b54p-5, 0x1.4ce4673b34b32p-5, 0x1.4456e02270e4p-5, 0x1.3bf7c57dc2625p-5, 0x1.33c66b7fb19e2p-5, 0x1.2bc2263c49603p-5, 0x1.23ea49c522295p-5, 0x1.1c3e2a4468d9ap-5, 0x1.14bd1c16e6426p-5, 0x1.0d6673e507a1p-5, 0x1.063986baf2927p-5, 0x1.fe6b543f440f8p-6, 0x1.f0b468562a10bp-6, 0x1.e34cf73724d6dp-6, 0x1.d633afd40e569p-6, 0x1.c96742bafdeep-6, 0x1.bce6623b875c2p-6, 0x1.b0afc28a3fcd4p-6, 0x1.a4c219e2a2523p-6, 0x1.991c20a74d6d6p-6, 0x1.8dbc9180aed13p-6, 0x1.82a2297a1eb8ap-6, 0x1.77cba81d7e8e3p-6, 0x1.6d37cf8d53d76p-6, 0x1.62e5649d78058p-6, 0x1.58d32eea5e952p-6, 0x1.4efff8eefd716p-6, 0x1.456a90195f59ep-6, 0x1.3c11c4dde69f3p-6, 0x1.32f46ac9511adp-6, 0x1.2a1158917ecap-6, 0x1.216768250869ep-6, 0x1.18f576b9a99aep-6, 0x1.10ba64d98e058p-6, 0x1.08b5166f87d5bp-6, 0x1.00e472d231aa6p-6, 0x1.f28ec99c2227fp-7, 0x1.e3b9b55d68047p-7, 0x1.d5478c8db83fbp-7, 0x1.c73639ef71a22p-7, 0x1.b983af6e8170fp-7, 0x1.ac2de62b4ba8bp-7, 0x1.9f32de83ea325p-7, 0x1.9290a01bd6c42p-7, 0x1.864539e1fc9fdp-7, 0x1.7a4ec21545e13p-7, 0x1.6eab5647c4bb4p-7, 0x1.63591b606bfacp-7, 0x1.58563d9b745adp-7, 0x1.4da0f0897e274p-7, 0x1.43376f0d71258p-7, 0x1.3917fb5933ac6p-7, 0x1.2f40dee9397b8p-7, 0x1.25b06a7f045b4p-7, 0x1.1c64f61a9781bp-7, 0x1.135ce0f2ef784p-7, 0x1.0a96916d887f9p-7, 0x1.02107514feb46p-7, 0x1.f392011da7902p-8, 0x1.e37d5f20c804p-8, 0x1.d3e009a62b99bp-8, 0x1.c4b7140f9d4a8p-8, 0x1.b5ff9f936c498p-8, 0x1.a7b6db20a2038p-8, 0x1.99da0341ff678p-8, 0x1.8c6661ffcc295p-8, 0x1.7f594ec0907b5p-8, 0x1.72b02e28c902ep-8, 0x1.666871f9a2896p-8, 0x1.5a7f98eed35fcp-8, 0x1.4ef32e9b9cdd3p-8, 0x1.43c0cb4707d61p-8, 0x1.38e613c76aaccp-8, 0x1.2e60b95d4518ap-8, 0x1.242e798d8315p-8, 0x1.1a4d1dfb3042fp-8, 0x1.10ba7c40ad314p-8, 0x1.077475c86f44ep-8, 0x1.fcf1ef4ab606ep-9, 0x1.eb8bf4d582682p-9, 0x1.dab3040815dcfp-9, 0x1.ca633b18470a7p-9, 0x1.ba98ce4945157p-9, 0x1.ab50079991096p-9, 0x1.9c854670a8701p-9, 0x1.8e34ff4c6ceacp-9, 0x1.805bbb6e6d65dp-9, 0x1.72f618890b44ap-9, 0x1.6600c86c9e6dp-9, 0x1.597890b49d441p-9, 0x1.4d5a4a74de8fep-9, 0x1.41a2e1e6fc901p-9, 0x1.364f5617ec714p-9, 0x1.2b5cb895d5ed5p-9, 0x1.20c82d1e39bc3p-9, 0x1.168ee94c6914fp-9, 0x1.0cae34486a655p-9, 0x1.0323667643edfp-9, 0x1.f3d7d24b8e92bp-10, 0x1.e20a6c85af574p-10, 0x1.d0d9b00c81ap-10, 0x1.c040d14e42c8bp-10, 0x1.b03b2419df691p-10, 0x1.a0c41b044d4fcp-10, 0x1.91d746cf33e28p-10, 0x1.837055d0fa86bp-10, 0x1.758b135e53985p-10, 0x1.682367352e8a7p-10, 0x1.5b3554e94a9c7p-10, 0x1.4ebcfb524a9ecp-10, 0x1.42b693fb6a6c6p-10, 0x1.371e7294dbbb7p-10, 0x1.2bf10466cda51p-10, 0x1.212acfc62365p-10, 0x1.16c8738af4379p-10, 0x1.0cc6a688b70e7p-10, 0x1.032237084aa42p-10, 0x1.f3b014877781cp-11, 0x1.e1ca37c7ba1e4p-11, 0x1.d08cfaff6b933p-11, 0x1.bff2ac3b89cc8p-11, 0x1.aff5c36e3c846p-11, 0x1.a090e178c68a6p-11, 0x1.91becf3932ee3p-11, 0x1.837a7c9bbef4ap-11, 0x1.75beffb004373p-11, 0x1.688793c1e241ep-11, 0x1.5bcf98762ad6p-11, 0x1.4f9290eb0bdd6p-11, 0x1.43cc22dc3988bp-11, 0x1.387815cad5e51p-11, 0x1.2d92522911a1p-11, 0x1.2316e0898554ep-11, 0x1.1901e8d23c52ap-11, 0x1.0f4fb1736fddap-11, 0x1.05fc9ea1ed9bfp-11, 0x1.fa0a632a3f25ep-12, 0x1.e8cc0f916cb71p-12, 0x1.d837b483d4251p-12, 0x1.c846f9b09dbcp-12, 0x1.b8f3bb046317p-12, 0x1.aa380748f5dbp-12, 0x1.9c0e1ecc1876fp-12, 0x1.8e70720d1f745p-12, 0x1.8159a07169c79p-12, 0x1.74c476ff99283p-12, 0x1.68abef2182c99p-12, 0x1.5d0b2d6cb9d2ep-12, 0x1.51dd8071ab09cp-12, 0x1.471e5f912e34fp-12, 0x1.3cc969d880286p-12, 0x1.32da64e38a755p-12, 0x1.294d3bc56d7bcp-12, 0x1.201dfdf72b89bp-12, 0x1.1748de4c6ced1p-12, 0x1.0eca31ee40257p-12, 0x1.069e6f5bc097ap-12, 0x1.fd845ae12465ep-13, 0x1.ee6444e2361ffp-13, 0x1.dfd64638c0064p-13, 0x1.d1d44386eff54p-13, 0x1.c4585accec5cp-13, 0x1.b75ce1ad779d8p-13, 0x1.aadc63bd2d50dp-13, 0x1.9ed1a0dc3725dp-13, 0x1.93378b9a3dfb3p-13, 0x1.880947a47b3a3p-13, 0x1.7d42283db5539p-13, 0x1.72ddaebff96e3p-13, 0x1.68d78927ed583p-13, 0x1.5f2b90a9874bcp-13, 0x1.55d5c84e0697ep-13, 0x1.4cd25b9af7236p-13, 0x1.441d9d4223dcdp-13, 0x1.3bb405da3d8c9p-13, 0x1.339232a017683p-13, 0x1.2bb4e44046104p-13, 0x1.2418fda9008bfp-13, 0x1.1cbb82e40fe9cp-13, 0x1.159997f8a899ap-13, 0x1.0eb07fd507a92p-13, 0x1.07fd9b3fa7c1ep-13, 0x1.017e67cfe0deep-13, 0x1.f660fddbb69d7p-14, 0x1.ea2329b3351ebp-14, 0x1.de3eef7206637p-14, 0x1.d2b01d597fbp-14, 0x1.c772b1d78ab74p-14, 0x1.bc82d9cad130fp-14, 0x1.b1dceed3b373cp-14, 0x1.a77d75b1b736cp-14, 0x1.9d611cad277f4p-14, 0x1.9384ba0cb4e9cp-14, 0x1.89e54a96b3f27p-14, 0x1.807ff01dc6131p-14, 0x1.7751f018a3236p-14, 0x1.6e58b244c24e8p-14, 0x1.6591bf539f9adp-14, 0x1.5cfabfa25e9b8p-14, 0x1.549179fb88e5ap-14, 0x1.4c53d262ab95fp-14, 0x1.443fc8e993389p-14, 0x1.3c53788eee6b7p-14, 0x1.348d162614915p-14, 0x1.2ceaef47be275p-14, 0x1.256b694b6e0fp-14, 0x1.1e0d004957903p-14, 0x1.16ce4624890bcp-14, 0x1.0fade19d22cf2p-14, 0x1.08aa8d6a670dp-14, 0x1.01c3175c6dd68p-14, 0x1.f5ecbf0a903eep-15, 0x1.e886aed2c4d86p-15, 0x1.db52026de4c1dp-15, 0x1.ce4cde0882853p-15, 0x1.c17584294530cp-15, 0x1.b4ca5447d1f99p-15, 0x1.a849c97056bb8p-15, 0x1.9bf278f35a8bdp-15, 0x1.8fc3112180c73p-15, 0x1.83ba5812e5facp-15, 0x1.77d72a79c0e7ep-15, 0x1.6c187a7ffdc6fp-15, 0x1.607d4eaf78fe9p-15, 0x1.5504c0e494216p-15, 0x1.49adfd4ad19dap-15, 0x1.3e784163324cbp-15, 0x1.3362db1405435p-15, 0x1.286d27c1e964ep-15, 0x1.1d969371b28b1p-15, 0x1.12de97f2f787p-15, 0x1.0844bc12fb86dp-15, 0x1.fb9125af7a5fdp-16, 0x1.e6d37585c1b3ep-16, 0x1.d24fba38812fap-16, 0x1.be055a87becf1p-16, 0x1.a9f3d0161242ep-16, 0x1.961aa628c3ce8p-16, 0x1.827978755a75dp-16, 0x1.6f0ff1fc326e2p-16, 0x1.5bddcbefaab2dp-16, 0x1.48e2cca77f178p-16, 0x1.361ec69ff12acp-16, 0x1.239197845bc11p-16, 0x1.113b2744c3a0cp-16, 0x1.fe36ce6c40436p-17, 0x1.da64a279c6d63p-17, 0x1.b6ffce0308ae2p-17, 0x1.9408625d38e97p-17, 0x1.717e7d70afbc4p-17, 0x1.4f624859b72bfp-17, 0x1.2db3f61a9a5c6p-17, 0x1.0c73c25e808afp-17, 0x1.d743e098a8a73p-18, 0x1.967d92d27c1b9p-18, 0x1.56953914346fdp-18, 0x1.178b79a6bbfadp-18, 0x1.b2c2031bb0205p-19, 0x1.382d057d2c507p-19, 0x1.7eb2c9be57e43p-20, 0x1.21223c1124432p-21, -0x1.68206fcb7dbb5p-22, -0x1.41160cf0e0c9p-20, -0x1.124af3f354a41p-19, -0x1.8242777a07501p-19, -0x1.f0703c020ccap-19, -0x1.2e697c47c39d1p-18, -0x1.63b4b91c4adaep-18, -0x1.98193f023b7e6p-18, -0x1.cb96815402885p-18, -0x1.fe2bfd1075caep-18, -0x1.17ec9ccc3a1fdp-17, -0x1.304ee4aea44bcp-17, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      50, 0x1.0e368f08461fap+2, 0x1.6bd70af550a1dp+1, 0x1.acc47799da0fap+2, -0x1.73e435542a9b8p-8, 
      {{
        {0x1.d4576cce5f74p+1, 0x1.d5c87ff68557fp+1, 0x1.37b303f3b68ddp-6, -0x1.1f91f52b976f8p-4, 0x1.98b58688fc2e1p-4, 0x1.b769717c4f19ep-6}, 
        {0x1.d5c87ff68557fp+1, 0x1.d739930931acfp+1, 0x1.2af38ddda1fcdp-6, -0x1.165250477c65bp-4, 0x1.9c6bc65675da3p-4, -0x1.11a8a3f6c5c3fp-3}, 
        {0x1.d739930931acfp+1, 0x1.d8aaa6315790ep+1, 0x1.1e9e49345a026p-6, -0x1.0d3d4b1e04d57p-4, 0x1.89ed60b8aa816p-4, -0x1.712060ad504c2p-4}, 
        {0x1.d8aaa6315790ep+1, 0x1.da1bb9597d74dp+1, 0x1.12af9f61d1f98p-6, -0x1.04818f4d74fc4p-4, 0x1.7d745cf8ce67p-4, -0x1.9ab7b7b0beca4p-4}, 
        {0x1.da1bb9597d74dp+1, 0x1.db8ccc81a358bp+1, 0x1.07240138a5931p-6, -0x1.f8239c9f15f3fp-5, 0x1.6f9393b1e30e9p-4, -0x1.8a39352c17d18p-4}, 
        {0x1.db8ccc81a358bp+1, 0x1.dcfddf944fadcp+1, 0x1.f7efd2d8a1e49p-7, -0x1.e7e0f437f6e89p-5, 0x1.624177ef9a52p-4, -0x1.854d5bb56d9cbp-4}, 
        {0x1.dcfddf944fadcp+1, 0x1.de6ef2bc7591ap+1, 0x1.e24fbc91fd544p-7, -0x1.d836fa0123e4p-5, 0x1.5519eee1a35e9p-4, -0x1.7fc775402c8e4p-4}, 
        {0x1.de6ef2bc7591ap+1, 0x1.dfe005e49b759p+1, 0x1.cd60e7b292752p-7, -0x1.c923a326f9832p-5, 0x1.48222b91a8581p-4, -0x1.7694117b9867ap-4}, 
        {0x1.dfe005e49b759p+1, 0x1.e151190cc1598p+1, 0x1.b91c9b3c121c4p-7, -0x1.baa4121c6bd77p-5, 0x1.3b79fed40e311p-4, -0x1.6f09d32e9aa84p-4}, 
        {0x1.e151190cc1598p+1, 0x1.e2c22c1f6dae8p+1, 0x1.a57c424412ec8p-7, -0x1.acb503c9802a8p-5, 0x1.2f130b0fe9ef7p-4, -0x1.6364cfa7ca98cp-4}, 
        {0x1.e2c22c1f6dae8p+1, 0x1.e4333f4793927p+1, 0x1.92796f2cb3924p-7, -0x1.9f52bbf1034cep-5, 0x1.2310d255965a9p-4, -0x1.5aa0f0facb6a8p-4}, 
        {0x1.e4333f4793927p+1, 0x1.e5a4526fb9766p+1, 0x1.800de027177d1p-7, -0x1.92793ee6cdb25p-5, 0x1.175a6acfa75a6p-4, -0x1.4eb86a1e804c9p-4}, 
        {0x1.e5a4526fb9766p+1, 0x1.e715658265cb6p+1, 0x1.6e3382a302dafp-7, -0x1.862486310470ep-5, 0x1.0c0b05a0ce2bap-4, -0x1.4148ba19fe8bcp-4}, 
        {0x1.e715658265cb6p+1, 0x1.e88678aa8baf5p+1, 0x1.5ce4783f4ad16p-7, -0x1.7a4fa232fbc98p-5, 0x1.012fdb085220ep-4, -0x1.3541400c3068ap-4}, 
        {0x1.e88678aa8baf5p+1, 0x1.e9f78bd2b1933p+1, 0x1.4c1b19cb7df94p-7, -0x1.6ef59b3b0e334p-5, 0x1.ed797bbcb4c41p-5, -0x1.26407841ac6fep-4}, 
        {0x1.e9f78bd2b1933p+1, 0x1.eb689efad7772p+1, 0x1.3bd1fc7a4d17cp-7, -0x1.64112d83e092ap-5, 0x1.d996d06176369p-5, -0x1.17fda4610b451p-4}, 
        {0x1.eb689efad7772p+1, 0x1.ecd9b20d83cc2p+1, 0x1.2c03f51facb9ap-7, -0x1.599ca53f04799p-5, 0x1.c6aaddbd64619p-5, -0x1.06835f6c5c342p-4}, 
        {0x1.ecd9b20d83cc2p+1, 0x1.ee4ac535a9b01p+1, 0x1.1cac1c81d78d4p-7, -0x1.4f91d3bfc58cbp-5, 0x1.b4ed4ab415a88p-5, -0x1.ee231be496e9dp-5}, 
        {0x1.ee4ac535a9b01p+1, 0x1.efbbd85dcf94p+1, 0x1.0dc5d35d597d4p-7, -0x1.45ea4d914fc37p-5, 0x1.a43ae934408f2p-5, -0x1.c8c34631b232ap-5}, 
        {0x1.efbbd85dcf94p+1, 0x1.f12ceb85f577ep+1, 0x1.fe998cfe30952p-8, -0x1.3c9f6cac18bc3p-5, 0x1.94cbd34e6cce8p-5, -0x1.a4f09ed57ba6ap-5}, 
        {0x1.f12ceb85f577ep+1, 0x1.f29dfe98a1ccfp+1, 0x1.e279e590bd4dep-8, -0x1.33aa0f61edfacp-5, 0x1.86929d5184626p-5, -0x1.7b03bc66871ep-5}, 
        {0x1.f29dfe98a1ccfp+1, 0x1.f40f11c0c7b0ep+1, 0x1.c7255286cadeep-8, -0x1.2b02a300c5f95p-5, 0x1.79c411949b5ap-5, -0x1.54aecddeadf93p-5}, 
        {0x1.f40f11c0c7b0ep+1, 0x1.f58024e8ed94cp+1, 0x1.ac952664bb0dp-8, -0x1.22a154c25d3ep-5, 0x1.6e4118d5bd6bap-5, -0x1.2834d06c280ddp-5}, 
        {0x1.f58024e8ed94cp+1, 0x1.f6f138111378bp+1, 0x1.92c36c10f85d6p-8, -0x1.1a7e13c3968ccp-5, 0x1.643edb14f8a9ep-5, -0x1.f9f87cc937191p-6}, 
        {0x1.f6f138111378bp+1, 0x1.f8624b23bfcdbp+1, 0x1.79aaef3402498p-8, -0x1.129054abfbcffp-5, 0x1.5bb27bfafda31p-5, -0x1.989a1b3f4691fp-6}, 
        {0x1.f8624b23bfcdbp+1, 0x1.f9d35e4be5b1ap+1, 0x1.6147442a85f45p-8, -0x1.0acf23a1f98e8p-5, 0x1.54cb3e4371447p-5, -0x1.3bf142994f88dp-6}, 
        {0x1.f9d35e4be5b1ap+1, 0x1.fb4471740b959p+1, 0x1.4994d00d745eep-8, -0x1.03313de881b76p-5, 0x1.4f74c313171c9p-5, -0x1.af7bfec09da17p-7}, 
        {0x1.fb4471740b959p+1, 0x1.fcb58486b7ea9p+1, 0x1.3290d1120e9cep-8, -0x1.f75a7d9c78ea2p-6, 0x1.4bcfa80cfafp-5, -0x1.b12257102f9bfp-8}, 
        {0x1.fcb58486b7ea9p+1, 0x1.fe2697aeddce8p+1, 0x1.1c39665b024ap-8, -0x1.e87212199237cp-6, 0x1.49fb51f980da1p-5, -0x1.4e167d4a50d76p-12}, 
        {0x1.fe2697aeddce8p+1, 0x1.ff97aad703b26p+1, 0x1.068d984d76fddp-8, -0x1.d994b4b844c7cp-6, 0x1.49e4be2080f59p-5, 0x1.b1c451e9be93fp-8}, 
        {0x1.ff97aad703b26p+1, 0x1.00845eff94cb3p+2, 0x1.e31ac0f05082ap-9, -0x1.caad48cb0ddc5p-6, 0x1.4bb9c374411ddp-5, 0x1.b8e6ad58cb8b5p-7}, 
        {0x1.00845eff94cb3p+2, 0x1.013ce888eaf5bp+2, 0x1.ba7363e6e3862p-9, -0x1.bba5d1a8159d4p-6, 0x1.4f733bb172d9fp-5, 0x1.56b4cba91fc7p-6}, 
        {0x1.013ce888eaf5bp+2, 0x1.01f5721cfde7ap+2, 0x1.9329024eda18cp-9, -0x1.ac677d319e94ep-6, 0x1.553d78175ec3cp-5, 0x1.cc6ea5202e25p-6}, 
        {0x1.01f5721cfde7ap+2, 0x1.02adfbb110d99p+2, 0x1.6d419899f3eb5p-9, -0x1.9cdae806017e9p-6, 0x1.5d04e1e8abfe6p-5, 0x1.261efdd44ac37p-5}, 
        {0x1.02adfbb110d99p+2, 0x1.0366854523cb9p+2, 0x1.48c5463bbdb73p-9, -0x1.8ce826e25be9ep-6, 0x1.66f515fe75452p-5, 0x1.659320956db4ap-5}, 
        {0x1.0366854523cb9p+2, 0x1.041f0ece79f61p+2, 0x1.25be5e95a4a6fp-9, -0x1.7c7668a29977fp-6, 0x1.730a2cf63d958p-5, 0x1.a9843b63224f1p-5}, 
        {0x1.041f0ece79f61p+2, 0x1.04d798628ce8p+2, 0x1.043978c52a407p-9, -0x1.6b6c13c5858d2p-6, 0x1.816af8c6f5d82p-5, 0x1.ec1d0c6c186eap-5}, 
        {0x1.04d798628ce8p+2, 0x1.059021f69fdap+2, 0x1.c88b0044089b9p-10, -0x1.59aeeeff069d4p-6, 0x1.920bd8f4647cbp-5, 0x1.1923d10514fadp-4}, 
        {0x1.059021f69fdap+2, 0x1.0648ab7ff6048p+2, 0x1.8be787eca68f8p-10, -0x1.472454ffcea94p-6, 0x1.a50bacecc50aep-5, 0x1.3d873965f5d5cp-4}, 
        {0x1.0648ab7ff6048p+2, 0x1.0701351408f67p+2, 0x1.52b01101667bcp-10, -0x1.33b06c644948bp-6, 0x1.ba8107c3f2ddap-5, 0x1.619f8ca3a89eep-4}, 
        {0x1.0701351408f67p+2, 0x1.07b9bea81be87p+2, 0x1.1d112d00ee825p-10, -0x1.1f36f36945bf5p-6, 0x1.d266d9042a21ap-5, 0x1.87b57009407p-4}, 
        {0x1.07b9bea81be87p+2, 0x1.0872483c2eda6p+2, 0x1.d6792e4268679p-11, -0x1.099b025682042p-6, 0x1.ecdf8f10cddbap-5, 0x1.ade7621279abfp-4}, 
        {0x1.0872483c2eda6p+2, 0x1.092ad1c58504ep+2, 0x1.7ad2aacc3f90ap-11, -0x1.e57dbda805329p-7, 0x1.04f687a82314fp-4, 0x1.d601158d6f9b3p-4}, 
        {0x1.092ad1c58504ep+2, 0x1.09e35b5997f6dp+2, 0x1.27a7b0a7e2e67p-11, -0x1.b5080defc6479p-7, 0x1.14d82722b6b2fp-4, 0x1.fd6a255c78109p-4}, 
        {0x1.09e35b5997f6dp+2, 0x1.0a9be4edaae8dp+2, 0x1.baf86ec9520a6p-12, -0x1.8196f6a6ef86ap-7, 0x1.260eafda70f24p-4, 0x1.14547b0b2edc4p-3}, 
        {0x1.0a9be4edaae8dp+2, 0x1.0b546e81bddacp+2, 0x1.39bf1bcc5a61ep-12, -0x1.4aea0dc7799b7p-7, 0x1.38bb4d3dfd294p-4, 0x1.2628b38e30d12p-3}, 
        {0x1.0b546e81bddacp+2, 0x1.0c0cf80b14054p+2, 0x1.99b26ca3c7f0ap-13, -0x1.10c3d34caf593p-7, 0x1.4c9c5d65934dap-4, 0x1.47a7c6b1d18f3p-3}, 
        {0x1.0c0cf80b14054p+2, 0x1.0cc5819f26f74p+2, 0x1.d650fab17102ap-14, -0x1.a5a890ee5f72fp-8, 0x1.62c0ec56985a9p-4, 0x1.315e7929b5186p-3}, 
        {0x1.0cc5819f26f74p+2, 0x1.0d7e0b3339e93p+2, 0x1.aaaf461bb38d2p-15, -0x1.2213d8ee456dbp-8, 0x1.7763eca5292edp-4, 0x1.ec9f6f3467a6bp-3}, 
        {0x1.0d7e0b3339e93p+2, 0x1.0e368f08461fap+2, 0x1.b393c778a6eefp-17, -0x1.298e644ee8ccp-9, 0x1.98ae7cb9bc8d5p-4, -0x1.4218e256584d6p+3}, 
      }}, 
      0x1.b57f600652b99p+10, -0x1.2a7aea8153e5dp+16
    }
  };
  // clang-format on
}
SkfData params_hyb_0_2_o_ag() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.6e569bae6beb9p+0, 0x1.7905198c8d0b1p+0, 0x1.80e3ed82bf557p+0, 0x1.860637aa09d8p+0, 0x1.888a8336bafa2p+0, 0x1.88970297bcf24p+0, 0x1.8653d7466bccp+0, 0x1.81ed550d19ee1p+0, 0x1.7b93b772e189ap+0, 0x1.73774f8bd57cdp+0, 0x1.69c7c96847007p+0, 0x1.5eb50eda6d7d6p+0, 0x1.526e49f03472ep+0, 0x1.45208167c867dp+0, 0x1.36f68c741fe34p+0, 0x1.28194cc0aec4cp+0, 0x1.18af39ccb8902p+0, 0x1.08dbd7120e006p+0, 0x1.f17f3665b1a03p-1, 0x1.d0f00a8a4bc83p-1, 0x1.b03f4c787dfc1p-1, 0x1.8f81397936d74p-1, 0x1.6f131bbe7995ep-1, 0x1.4f0871c45085ap-1, 0x1.2f822f756604cp-1, 0x1.109baa7d6c0cap-1, 0x1.e4d835aff526ep-2, 0x1.aa0fcacdeb39ap-2, 0x1.71025ceed24bap-2, 0x1.39cf78c0f87fp-2, 0x1.04910c12d3997p-2, 0x1.a2b574e530aeap-3, 0x1.4073f6e0cff46p-3, 0x1.c4dc00ec07b77p-4, 0x1.1157a45e761bbp-4, 0x1.997c3b7186f5dp-6, -0x1.e09df0353ea5bp-7, -0x1.ac20eeb6ddeebp-5, -0x1.67b098ea1ef1bp-4, -0x1.f1171149ff0c2p-4, -0x1.393795bbad051p-3, -0x1.75f5751ccd28ap-3, -0x1.aee0a3e8f9241p-3, -0x1.e4165cd3256d6p-3, -0x1.0ada8988e41e8p-2, -0x1.21ee131590827p-2, -0x1.3755de4a3b3ddp-2, -0x1.4b225560ecc14p-2, -0x1.5d642862fb4ccp-2, -0x1.6e2c32fcf7b54p-2, -0x1.7d8b5b9ad41ddp-2, -0x1.8b9271559b0bp-2, -0x1.98520df65ac51p-2, -0x1.a3da7ececf2bbp-2, -0x1.ae3bb40c587e9p-2, -0x1.b785341011e35p-2, -0x1.bfc610539c884p-2, -0x1.c70cdb36fdc17p-2, -0x1.cd67a02558b11p-2, -0x1.d2e3e0106c12ep-2, -0x1.d78e92e8230dp-2, -0x1.db742c8968df9p-2, -0x1.dea0a241367c6p-2, -0x1.e123bbdefc44bp-2, -0x1.e2ff148b8ed5bp-2, -0x1.e442290acc6f7p-2, -0x1.e4f6f1f82d568p-2, -0x1.e526ef462ed0dp-2, -0x1.e4db2df00c78dp-2, -0x1.e41c4dc287be3p-2, -0x1.e2f28619bfdffp-2, -0x1.e165a8dc2d537p-2, -0x1.df7d239a67af7p-2, -0x1.dd3fff4e6731bp-2, -0x1.dab4df938402p-2, -0x1.d7e2024c8fa89p-2, -0x1.d4cd408cc70bfp-2, -0x1.d17c114be63a3p-2, -0x1.cdf38e0bcf0eap-2, -0x1.ca38793529d86p-2, -0x1.c64f45a2d0b27p-2, -0x1.c23c1ea59db9cp-2, -0x1.be02efc024621p-2, -0x1.b9a76b719f543p-2, -0x1.b52d10997d534p-2, -0x1.b0972e3ec579cp-2, -0x1.abe8e5cac89cfp-2, -0x1.a7252c00a85abp-2, -0x1.a24ec920c763fp-2, -0x1.9d6858b37896ap-2, -0x1.9874496b31b36p-2, -0x1.9374dd731427ap-2, -0x1.8e6c2b5c20e1ap-2, -0x1.895c1fb9ba3fep-2, -0x1.84467f6238a9fp-2, -0x1.7f2cea341d011p-2, -0x1.7a10de33cdb72p-2, -0x1.74f3bad018f87p-2, -0x1.6fd6c41c0cf6ep-2, -0x1.6abb25d24ef7bp-2, -0x1.65a1f5ffd9a6fp-2, -0x1.608c37405916dp-2, -0x1.5b7ada83a281ep-2, -0x1.566ec0604427ap-2, -0x1.5168ba01739aap-2, -0x1.4c6989c5d7233p-2, -0x1.4771e3a8571bfp-2, -0x1.42826d8c52cc5p-2, -0x1.3d9bbf83e54c8p-2, -0x1.38be64220cfbp-2, -0x1.33ead8e49e3cfp-2, -0x1.2f218ebbd63d2p-2, -0x1.2a62eab0093d9p-2, -0x1.25af46a1b28ep-2, -0x1.2106f21d592bdp-2, -0x1.1c6a333b3d013p-2, -0x1.17d9478237fp-2, -0x1.135464c5a44e6p-2, -0x1.0edbb9f6f9077p-2, -0x1.0a6f6fe51255ap-2, -0x1.060fa9e4bccbbp-2, -0x1.01bc865fd6567p-2, -0x1.faec3e946272ep-3, -0x1.f27914fa91aa2p-3, -0x1.ea1fb3fab44e3p-3, -0x1.e1e038579f3d1p-3, -0x1.d9bab7d75acfdp-3, -0x1.d1af4179e44eap-3, -0x1.c9bddda74b2dcp-3, -0x1.c1e68e5d3a834p-3, -0x1.ba294f623785bp-3, -0x1.b2861682ad909p-3, -0x1.aafcd3d9df5e7p-3, -0x1.a38d722709fe1p-3, -0x1.9c37d72d91f7cp-3, -0x1.94fbe41e2bbe5p-3, -0x1.8dd976063edbfp-3, -0x1.86d066428a1c3p-3, -0x1.7fe08af1f9d93p-3, -0x1.7909b765d1f34p-3, -0x1.724bbc8c87e7ap-3, -0x1.6ba669550f862p-3, -0x1.65198b08cab72p-3, -0x1.5ea4ed9ad6dd9p-3, -0x1.58485bebea00bp-3, -0x1.5203a00294a3dp-3, -0x1.4bd683382963bp-3, -0x1.45bedc5700026p-3, -0x1.3fc044c6b69d9p-3, -0x1.39d8adaff647fp-3, -0x1.3407de4127d6p-3, -0x1.2e4d9d40d747dp-3, -0x1.28a9b1170fd75p-3, -0x1.231bdfd38de7bp-3, -0x1.1da3ef3216d8cp-3, -0x1.1841a49e1119bp-3, -0x1.12f4c53632384p-3, -0x1.0dbd15d10e1eep-3, -0x1.089a5b02de959p-3, -0x1.038c5924dafb1p-3, -0x1.fd25a8bc52074p-4, -0x1.f35b215ca6437p-4, -0x1.e9b8a3f2465a7p-4, -0x1.e03db8271b6fep-4, -0x1.d6e9e5a2d66d2p-4, -0x1.cdbcb4274e0f7p-4, -0x1.c4b5abad03a93p-4, -0x1.bbd4547f3ad22p-4, -0x1.b3183756f418p-4, -0x1.aa80dd744dca6p-4, -0x1.a20dd0b5b7196p-4, -0x1.99be9bacc98e5p-4, -0x1.9192c9b04f1f7p-4, -0x1.8989e6eb907eep-4, -0x1.81a3806aa6adap-4, -0x1.79df242410eb3p-4, -0x1.723c60ff9d3fdp-4, -0x1.6abac6dae8f3ep-4, -0x1.6359e68bbd613p-4, -0x1.5c1951e09e9f7p-4, -0x1.54f89b9fe15d3p-4, -0x1.4df75785a1f88p-4, -0x1.47151a40f0394p-4, -0x1.4051797080145p-4, -0x1.39ac0b9f21c86p-4, -0x1.3324684040231p-4, -0x1.2cba27ac9116ep-4, -0x1.266ce31f1d0b7p-4, -0x1.203c34b2b5b69p-4, -0x1.1a27b75fe982fp-4, -0x1.142f06fb78cb8p-4, -0x1.0e51c0354afbap-4, -0x1.088f8097dac91p-4, -0x1.02e7e6880cdc5p-4, -0x1.fab5228ac5507p-5, -0x1.efce41d4ed949p-5, -0x1.e51a6cdb652fbp-5, -0x1.da98e744578ecp-5, -0x1.d048f671324b6p-5, -0x1.c629e1809e11p-5, -0x1.bc3af1506eb67p-5, -0x1.b27b707f72449p-5, -0x1.a8eaab6f07576p-5, -0x1.9f87f04475ecfp-5, -0x1.96528ee9f30ep-5, -0x1.8d49d90f4ef8p-5, -0x1.846d222a4771bp-5, -0x1.7bbbbf767c2f1p-5, -0x1.733507f5048f2p-5, -0x1.6ad8546baf811p-5, -0x1.62a4ff63ed8f1p-5, -0x1.5a9a652970527p-5, -0x1.52b7e3c8843cfp-5, -0x1.4afcdb0c3217p-5, -0x1.4368ac7c2cc55p-5, -0x1.3bfabb5a9a1cbp-5, -0x1.34b26ca1bd73cp-5, -0x1.2d8f27018b561p-5, -0x1.269052dd33b78p-5, -0x1.1fb55a48a51d8p-5, -0x1.18fda9060e60cp-5, -0x1.1268ac83682c2p-5, -0x1.0bf5d3d806937p-5, -0x1.05a48fc236464p-5, -0x1.fee8a549c8a23p-6, -0x1.f2c9210aab682p-6, -0x1.e6e97e11d3c2ap-6, -0x1.db48aae5d5351p-6, -0x1.cfe59944c7cbbp-6, -0x1.c4bf3e200dd6ap-6, -0x1.b9d49198237dfp-6, -0x1.af248ef8777c8p-6, -0x1.a4ae34b34c4bfp-6, -0x1.9a70845d96804p-6, -0x1.906a82aadbd77p-6, -0x1.869b37690e10bp-6, -0x1.7d01ad7c5be8fp-6, -0x1.739cf2dafb0e5p-6, -0x1.6a6c1888e6d17p-6, -0x1.616e329390c37p-6, -0x1.58a2580d882e8p-6, -0x1.5007a30a12c6fp-6, -0x1.479d3098b3112p-6, -0x1.3f6220c0aa8ep-6, -0x1.3755967c6833cp-6, -0x1.2f76b7b4ea3c1p-6, -0x1.27c4ad3d16cc4p-6, -0x1.203ea2cd07f2ep-6, -0x1.18e3c6fd4afafp-6, -0x1.11b34b4215309p-6, -0x1.0aac63e67250cp-6, -0x1.03ce480764e6p-6, -0x1.fa30631e04d8cp-7, -0x1.ed12ba5f02c41p-7, -0x1.e04214bc8be0dp-7, -0x1.d3bcf69dc53c3p-7, -0x1.c781e9dc23ef8p-7, -0x1.bb8f7db95698p-7, -0x1.afe446d51dea9p-7, -0x1.a47edf2317354p-7, -0x1.995de5e075fdp-7, -0x1.8e7fff89bc332p-7, -0x1.83e3d5d053746p-7, -0x1.798817902377bp-7, -0x1.6f6b78c519018p-7, -0x1.658cb28099233p-7, -0x1.5bea82dee938p-7, -0x1.5283acfc8ba03p-7, -0x1.4956f8eb848e7p-7, -0x1.406333a895683p-7, -0x1.37a72f1065b58p-7, -0x1.2f21c1d49db6ap-7, -0x1.26d1c770f0398p-7, -0x1.1eb6202013b09p-7, -0x1.16cdb0d0abf16p-7, -0x1.0f17631a23c54p-7, -0x1.0792253176916p-7, -0x1.003ce9ddeaa8bp-7, -0x1.f22d50db776c4p-8, -0x1.e43cb9556d4fap-8, -0x1.d6a60d9d8ec73p-8, -0x1.c96756f0ef68cp-8, -0x1.bc7ea73ec289dp-8, -0x1.afea19112627fp-8, -0x1.a3a7cf75d433cp-8, -0x1.97b5f5e6be2fbp-8, -0x1.8c12c03292925p-8, -0x1.80bc6a65306c6p-8, -0x1.75b138b0063bap-8, -0x1.6aef775261d19p-8, -0x1.60757a81b3d84p-8, -0x1.56419e51c22bap-8, -0x1.4c52469cd328dp-8, -0x1.42a5deebcedc3p-8, -0x1.393ada5e56e4dp-8, -0x1.300fb392dd382p-8, -0x1.2722ec8eb393dp-8, -0x1.1e730ea61aefdp-8, -0x1.15feaa645410bp-8, -0x1.0dc45773b13ap-8, -0x1.05c2b485aab14p-8, -0x1.fbf0ce75fb56ap-9, -0x1.ecc838179a638p-9, -0x1.de090c5fa116ap-9, -0x1.cfb0bf0d193cep-9, -0x1.c1bcd0ff312c5p-9, -0x1.b42ad005e7652p-9, -0x1.a6f856b2d7692p-9, -0x1.9a230c2a2739fp-9, -0x1.8da8a3f3a5417p-9, -0x1.8186ddcc09b1p-9, -0x1.75bb85766d5bep-9, -0x1.6a44728df18bdp-9, -0x1.5f1f88579e704p-9, -0x1.544ab59476795p-9, -0x1.4a215b0343a77p-9, -0x1.3fe631eec427ap-9, -0x1.35f527e078ecfp-9, -0x1.2c4c57f84cab8p-9, -0x1.22e9e7f1706dcp-9, -0x1.19cc07f5ef6d2p-9, -0x1.10f0f272999d2p-9, -0x1.0856ebeb2f838p-9, -0x1.fff8859dd3a63p-10, -0x1.efbe9e9a9fadep-10, -0x1.dffce656c7fe2p-10, -0x1.d0b033324e3ddp-10, -0x1.c1d56e0ef47e4p-10, -0x1.b36991fcaf625p-10, -0x1.a569abe6d68dp-10, -0x1.97d2da4217d76p-10, -0x1.8aa24cbb29edbp-10, -0x1.7dd543e64755fp-10, -0x1.716910ef6f9e9p-10, -0x1.655b154b79f8p-10, -0x1.59a8c269f157cp-10, -0x1.4e4f9967c8c77p-10, -0x1.434d2ac2d81d1p-10, -0x1.389f160e40a26p-10, -0x1.2e4309a799057p-10, -0x1.2436c26cfb976p-10, -0x1.1a780b73f1381p-10, -0x1.1104bdc13b2f9p-10, -0x1.07dac00177747p-10, -0x1.fdf00c854b58ep-11, -0x1.ecb5235d2b27dp-11, -0x1.dc00e08c6543bp-11, -0x1.cbcf793b617b5p-11, -0x1.bc1d3b334f4b4p-11, -0x1.ace68c5a1351p-11, -0x1.9e27ea301019ap-11, -0x1.8fdde94fb352ep-11, -0x1.820534eed51bdp-11, -0x1.749a8e61e52dap-11, -0x1.679acca0e482bp-11, -0x1.5b02dbce359d9p-11, -0x1.4ecfbcbf2d994p-11, -0x1.42fe8486842e2p-11, -0x1.378c5c00847fap-11, -0x1.2c767f610d8f5p-11, -0x1.21ba3dc3633bcp-11, -0x1.1754f8bbc56f8p-11, -0x1.0d4423eacf87p-11, -0x1.03854492a4a82p-11, -0x1.f42be25bb86a5p-12, -0x1.e1e7a2106305bp-12, -0x1.d03937b1febfp-12, -0x1.bf1c32bedb7f7p-12, -0x1.ae8c4200d02b3p-12, -0x1.9e8532cc908ebp-12, -0x1.8f02f04470261p-12, -0x1.8001829ea10e6p-12, -0x1.717d0e6ecd597p-12, -0x1.6371d3f3096aep-12, -0x1.55dc2e64307aep-12, -0x1.48b89349881eep-12, -0x1.3c0391cfad172p-12, -0x1.2fb9d222dbd9bp-12, -0x1.23d814cc58f3ep-12, -0x1.185b32132d0d6p-12, -0x1.0d401960004ebp-12, -0x1.0283d0a425d57p-12, -0x1.f046e7877a2cep-13, -0x1.dc386806094efp-13, -0x1.c8d6aeed442e4p-13, -0x1.b61c70ee094e5p-13, -0x1.a4048a2d8a607p-13, -0x1.9289fd37ccb8dp-13, -0x1.81a7f1f87272ep-13, -0x1.7159b4b8d0118p-13, -0x1.619ab52412f73p-13, -0x1.52668550e6ca1p-13, -0x1.43b8d8d0ad96p-13, -0x1.358d83c4557b2p-13, -0x1.27e079f66f22cp-13, -0x1.1aadcdfac1538p-13, -0x1.0df1b052fdc5ep-13, -0x1.01a86e98d1c41p-13, -0x1.eb9ce559b3c83p-14, -0x1.d4c083d5b6116p-14, -0x1.beb4f8c550e19p-14, -0x1.a973b82c59a89p-14, -0x1.94f6687809d0ap-14, -0x1.8136e10dbd72cp-14, -0x1.6e2f28e317afep-14, -0x1.5bd9751ee553ap-14, -0x1.4a3027c31c82ep-14, -0x1.392dce5fa0a6p-14, -0x1.28cd20cd79506p-14, -0x1.1908fff274f02p-14, -0x1.09dc748d273e1p-14, -0x1.f6855c116cc0bp-15, -0x1.da6e02b2045bap-15, -0x1.bf69cfbc28f33p-15, -0x1.a56ffc9efd616p-15, -0x1.8c78075df2962p-15, -0x1.7479b084c13f7p-15, -0x1.5d6cf9295e8b1p-15, -0x1.474a20fc62e79p-15, -0x1.3209a4666bb45p-15, -0x1.1da43ab33fd79p-15, -0x1.0a12d449b0ef1p-15, -0x1.ee9d31e11b8e3p-16, -0x1.caa1cc3f3e29fp-16, -0x1.a8269ab9ec4ebp-16, -0x1.871f254c6583ap-16, -0x1.677f55ca2e53ap-16, -0x1.493b74debf2c6p-16, -0x1.2c4827246f97fp-16, -0x1.109a6a4f5aab4p-16, -0x1.ec4f24dbde574p-17, -0x1.b9ca8e7c9dd7bp-17, -0x1.8993032dcc828p-17, -0x1.5b9511c5f2265p-17, -0x1.2fbde163d78f9p-17, -0x1.05fb2cb271ffp-17, -0x1.bc767aa0aeed5p-18, -0x1.70d9ceb554db4p-18, -0x1.28ff0a34dd1cp-18, -0x1.c98bcb490ed8cp-19, -0x1.481e2ab696f4p-19, -0x1.9af10671fa369p-20, -0x1.657ff7abc08c1p-21, 0x1.464725dd1ce06p-23, 0x1.f0307db83a86fp-21, 0x1.bb995b47ad1c1p-20, 0x1.39da216c27323p-19, 0x1.9066ec58aa3eep-19, 0x1.e1a3f9c970cb6p-19, 0x1.16e05d9839969p-18, 0x1.3a7599fc345bdp-18, 0x1.5ba80281dfad3p-18, 0x1.7a8d3be8bbcb6p-18, 0x1.973a44a2e6ed5p-18, 0x1.b1c37a0d9710ep-18, 0x1.ca3c9d7d88ccap-18, 0x1.e0b8d924339bcp-18, 0x1.f54ac4c83864fp-18, 0x1.0402352ba991cp-17, 0x1.0c7ba52aa2dbep-17, 0x1.141a3010901fp-17, 0x1.1ae6130bf7771p-17, 0x1.20e74cca249a3p-17, 0x1.26259f64eb44ep-17, 0x1.2aa892413d9a1p-17, 0x1.2e7773dbf0418p-17, 0x1.31995b887b7fdp-17, 0x1.34152b1e4ac01p-17, 0x1.35f1909a90befp-17, 0x1.373507af5021dp-17, 0x1.37e5db490669ap-17, 0x1.380a2704011b6p-17, 0x1.37a7d895fe2dp-17, 0x1.36c4b12a97f01p-17, 0x1.356646b374ee1p-17, 0x1.3392052e021cp-17, 0x1.314d2fdbccbb8p-17, 0x1.2e9ce27216a18p-17, 0x1.2b86123d275fap-17, 0x1.280d8f3a4e0c3p-17, 0x1.243805280e80bp-17, 0x1.2009fc8d031bdp-17, 0x1.1b87dbb5542fap-17, 0x1.16b5e7a8150b5p-17, 0x1.11984513617e4p-17, 0x1.0c32f932c1fe3p-17, 0x1.0689eaaa83665p-17, 0x1.00a0e25e9873bp-17, 0x1.f4f7188302df1p-18, 0x1.e83af0386c737p-18, 0x1.db1434a0bc0c6p-18, 0x1.cd899925865b2p-18, 0x1.bfa19d4590e2dp-18, 0x1.b1628df32241bp-18, 0x1.a2d286e9a7f8ep-18, 0x1.93f773f8a361bp-18, 0x1.84d712451ce4cp-18, 0x1.7576f18115af8p-18, 0x1.65dc7519c92aap-18, 0x1.560cd55d94588p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.f86ff1736ec5fp-1, 0x1.0ee14bbf685f7p+0, 0x1.2092d17b09d69p+0, 0x1.31372c0374381p+0, 0x1.40beca88fa97cp+0, 0x1.4f1e9d46aa265p+0, 0x1.5c4fd89fe1173p+0, 0x1.684fb3a784f6dp+0, 0x1.731e981c661a1p+0, 0x1.7cbf9e952b585p+0, 0x1.853852d08ec6dp+0, 0x1.8c904c30d7a4ap+0, 0x1.92d0b51fda4dap+0, 0x1.9803f96eaa4e6p+0, 0x1.9c3588a97cedp+0, 0x1.9f719284258dep+0, 0x1.a1c4c93e0de8cp+0, 0x1.a33c3579a8d9dp+0, 0x1.a3e5140bd2ba1p+0, 0x1.a3ccb32c1534cp+0, 0x1.a3004f2ad6991p+0, 0x1.a18e302fb4781p+0, 0x1.9f80ae41ee64ap+0, 0x1.9ce50fe7b7c4fp+0, 0x1.99c73fb195717p+0, 0x1.9632bb7ad0ddfp+0, 0x1.923289aaf241cp+0, 0x1.8dd12e10232bbp+0, 0x1.8918a1fa9b108p+0, 0x1.841251e5ce151p+0, 0x1.7ec7200e86789p+0, 0x1.793f696299e2bp+0, 0x1.73830a3c38a75p+0, 0x1.6d9961b478435p+0, 0x1.678953dd2fa9ap+0, 0x1.61594be5e13f8p+0, 0x1.5b0f3ef81dc84p+0, 0x1.54b0b0139bd78p+0, 0x1.4e42b4d92c9a4p+0, 0x1.47c9fb00c345ap+0, 0x1.414ace10af1cp+0, 0x1.3ac91cef9bfap+0, 0x1.34487f20aa75ep+0, 0x1.2dcc39adb5321p+0, 0x1.275743d2b20a8p+0, 0x1.20ec4b7db6962p+0, 0x1.1a8db9bfbd646p+0, 0x1.143db745daab8p+0, 0x1.0dfe30d0e523fp+0, 0x1.07d0db838b9dap+0, 0x1.01b738e9ee803p+0, 0x1.f765357fe805ap-1, 0x1.eb884d0de1759p-1, 0x1.dfd9b1d626368p-1, 0x1.d45b11dedba03p-1, 0x1.c90dd5c6df9f3p-1, 0x1.bdf3266737ce3p-1, 0x1.b30bf248effdbp-1, 0x1.a858f2ea35c26p-1, 0x1.9ddab1b11b842p-1, 0x1.93918c6df2e9fp-1, 0x1.897db96b51d4dp-1, 0x1.7f9f4b235989p-1, 0x1.75f6179946442p-1, 0x1.6c8228349418p-1, 0x1.63432272a2b96p-1, 0x1.5a38a9623f08fp-1, 0x1.51624b492ba0ep-1, 0x1.48bf842e55b2ep-1, 0x1.404fc024ab434p-1, 0x1.38125d5766158p-1, 0x1.3006addcfd7a7p-1, 0x1.282bf9585e311p-1, 0x1.20817e70a8f48p-1, 0x1.1906742731f51p-1, 0x1.11ba0b11f8aadp-1, 0x1.0a9b6e7edbd23p-1, 0x1.03a9c581affdfp-1, 0x1.f9c867db627dcp-2, 0x1.ec93b673cdfb5p-2, 0x1.dfb3b69ff80a4p-2, 0x1.d326a68b0685fp-2, 0x1.c6eac40077d88p-2, 0x1.bafe4d8cfc36cp-2, 0x1.af5f837b1a6b3p-2, 0x1.a40ca8afca459p-2, 0x1.9904036baa5adp-2, 0x1.8e43ddf51ad6ap-2, 0x1.83ca872ed8f4dp-2, 0x1.7996531ddad32p-2, 0x1.6fa59b6053c9fp-2, 0x1.65f6bf973a1acp-2, 0x1.5c8825c30e25fp-2, 0x1.53583a944bd4bp-2, 0x1.4a6571afa1eb8p-2, 0x1.41ae45e625cf3p-2, 0x1.39313961d97f6p-2, 0x1.30ecd5c73c0cbp-2, 0x1.28dfac4cc9af9p-2, 0x1.210855c976e53p-2, 0x1.196572bb3dd9cp-2, 0x1.11f5ab46d08fdp-2, 0x1.0ab7af318a90fp-2, 0x1.03aa35d6bcf1dp-2, 0x1.f997fc32af6c7p-3, 0x1.ec379ca5a000ap-3, 0x1.df30e87fd618fp-3, 0x1.d28189d78a1d7p-3, 0x1.c6273932a3e9cp-3, 0x1.ba1fbd56b9c75p-3, 0x1.ae68eb162c88cp-3, 0x1.a300a51a660d3p-3, 0x1.97e4dbab66263p-3, 0x1.8d138c74ba069p-3, 0x1.828ac24822d5cp-3, 0x1.784894de086fp-3, 0x1.6e4b28940bdc1p-3, 0x1.6490ae29ed714p-3, 0x1.5b17627d1a1b6p-3, 0x1.51dd8e433996ap-3, 0x1.48e185c41f333p-3, 0x1.4021a8938f7f8p-3, 0x1.379c614b3490ep-3, 0x1.2f5025452fc02p-3, 0x1.273b74578e55ap-3, 0x1.1f5cd890e23dfp-3, 0x1.17b2e5f622d6p-3, 0x1.103c3a41ed8fdp-3, 0x1.08f77ca523cb3p-3, 0x1.01e35d88e420bp-3, 0x1.f5fd2ca3bfffep-4, 0x1.e88fd249f109bp-4, 0x1.db7c415a45078p-4, 0x1.cec01fc512013p-4, 0x1.c25923a5bffd8p-4, 0x1.b64512d5c6859p-4, 0x1.aa81c281d0cb9p-4, 0x1.9f0d16c10a366p-4, 0x1.93e5022e6fc92p-4, 0x1.8907858421ffep-4, 0x1.7e72af38b85eap-4, 0x1.74249b1e99dafp-4, 0x1.6a1b72056d7bdp-4, 0x1.6055695daf52fp-4, 0x1.56d0c2de7597fp-4, 0x1.4d8bcc2d71b05p-4, 0x1.4484de89323d1p-4, 0x1.3bba44934a87fp-4, 0x1.332aa19cfa3bbp-4, 0x1.2ad456060e552p-4, 0x1.22b5e637e3eedp-4, 0x1.1acde0aa5cc94p-4, 0x1.131add9be3204p-4, 0x1.0b9b7ecb8cbfap-4, 0x1.044e6f35529b7p-4, 0x1.fa64c5a0959b4p-5, 0x1.ec8c2c9db421bp-5, 0x1.df109dc195e73p-5, 0x1.d1efb3ee74745p-5, 0x1.c5271a148ca23p-5, 0x1.b8b48ac0ec0d2p-5, 0x1.ac95cfaf84447p-5, 0x1.a0c8c1606bcadp-5, 0x1.954b46b03067fp-5, 0x1.8a1b54731ea3fp-5, 0x1.7f36ed136b6f3p-5, 0x1.749c203220a39p-5, 0x1.6a490a4ac11eep-5, 0x1.603bd4598a11ap-5, 0x1.5672b3844045bp-5, 0x1.4cebe8c579e0ep-5, 0x1.43a5c09a5149ep-5, 0x1.3a9e92b2742acp-5, 0x1.31d4c1a27beb6p-5, 0x1.2946ba9884bb6p-5, 0x1.20f2f512f193dp-5, 0x1.18d7f299513afp-5, 0x1.10f43e7756e9ep-5, 0x1.09466d79d666bp-5, 0x1.01cd1dadb6329p-5, 0x1.f50dec419a7dbp-6, 0x1.e6e54d493034ap-6, 0x1.d91dcf257aff4p-6, 0x1.cbb4f3269f3cap-6, 0x1.bea84ac97b9d7p-6, 0x1.b1f5774ad2a2ap-6, 0x1.a59a293d9d59ep-6, 0x1.999420246b322p-6, 0x1.8de12a0db9cb4p-6, 0x1.827f233322465p-6, 0x1.776bf59b4eb79p-6, 0x1.6ca598be98c3fp-6, 0x1.622a112e3c4d4p-6, 0x1.57f7703e07a94p-6, 0x1.4e0bd3b0787f5p-6, 0x1.446565652d608p-6, 0x1.3b025b0996495p-6, 0x1.31e0f5cbdb9adp-6, 0x1.28ff820fdf66bp-6, 0x1.205c57264badfp-6, 0x1.17f5d705a305ap-6, 0x1.0fca6e053bb32p-6, 0x1.07d8929a194afp-6, 0x1.001ec5159a432p-6, 0x1.f1371ecbce5adp-7, 0x1.e29b09b030aeap-7, 0x1.d46683b803417p-7, 0x1.c696d793409f5p-7, 0x1.b929615027525p-7, 0x1.ac1b8dec3c64ap-7, 0x1.9f6adae83933ap-7, 0x1.9314d5dee1c34p-7, 0x1.87171c1e93b8p-7, 0x1.7b6f5a459501p-7, 0x1.701b4be0fc31fp-7, 0x1.6518bb0e2041fp-7, 0x1.5a65801e8a0d2p-7, 0x1.4fff813e3d61dp-7, 0x1.45e4b21c69ea8p-7, 0x1.3c13139649b31p-7, 0x1.3288b36440234p-7, 0x1.2943abc913037p-7, 0x1.2042234338326p-7, 0x1.17824c40235bfp-7, 0x1.0f0264d18891bp-7, 0x1.06c0b66482536p-7, 0x1.fd772af51f85fp-8, 0x1.ede2c2c8b5f5dp-8, 0x1.dec107fc7b562p-8, 0x1.d00ee2dce7542p-8, 0x1.c1c94fc9e5811p-8, 0x1.b3ed5eb9b4ap-8, 0x1.a67832bedce52p-8, 0x1.996701912f145p-8, 0x1.8cb71319ab8f9p-8, 0x1.8065c10148545p-8, 0x1.747076427b292p-8, 0x1.68d4aebd75f9p-8, 0x1.5d8ff6cf043p-8, 0x1.529feae9f6ce7p-8, 0x1.480237330e4dep-8, 0x1.3db4971f4c649p-8, 0x1.33b4d514a805ep-8, 0x1.2a00ca0d07312p-8, 0x1.20965d3b7a0f6p-8, 0x1.177383b39ee1ap-8, 0x1.0e9640132ba8p-8, 0x1.05fca22d82339p-8, 0x1.fb498d7299551p-9, 0x1.eb19ae001d96ap-9, 0x1.db66111f3df63p-9, 0x1.cc2b39db04ae5p-9, 0x1.bd65c2982338p-9, 0x1.af125c82d8757p-9, 0x1.a12dcf003dbf6p-9, 0x1.93b4f722f773dp-9, 0x1.86a4c7232f20fp-9, 0x1.79fa45d9c157ap-9, 0x1.6db28e3e8661p-9, 0x1.61cacee9b035p-9, 0x1.5640499816daap-9, 0x1.4b1052b273321p-9, 0x1.403850d76c927p-9, 0x1.35b5bc686466dp-9, 0x1.2b861f18fa2acp-9, 0x1.21a713812d4ebp-9, 0x1.181644b21133ep-9, 0x1.0ed16dcd037b7p-9, 0x1.05d6599d5184dp-9, 0x1.fa45c4689015cp-10, 0x1.e969e10f21737p-10, 0x1.d914f823bb7a1p-10, 0x1.c94314eb91a42p-10, 0x1.b9f05e45c8585p-10, 0x1.ab1915f9d2f14p-10, 0x1.9cb99809f0bc5p-10, 0x1.8ece5a09c6b0ap-10, 0x1.8153ea78dc70ep-10, 0x1.7446f0210b3c9p-10, 0x1.67a42978a4438p-10, 0x1.5b686c08587ep-10, 0x1.4f90a3d4af5f9p-10, 0x1.4419d2cb0fc4fp-10, 0x1.390110323a75bp-10, 0x1.2e43881e1c562p-10, 0x1.23de7ae6fcc7cp-10, 0x1.19cf3ca3d470ap-10, 0x1.101334a7d689p-10, 0x1.06a7dd0308a9dp-10, 0x1.fb15840bcf482p-11, 0x1.e973038fd34a8p-11, 0x1.d863976201ca9p-11, 0x1.c7e2c00ba1ea5p-11, 0x1.b7ec1eed72b76p-11, 0x1.a87b7563132e5p-11, 0x1.998ca3ebaa911p-11, 0x1.8b1ba957c7d52p-11, 0x1.7d24a1fc3b22dp-11, 0x1.6fa3c6e9ded0fp-11, 0x1.62956d2a3c7f7p-11, 0x1.55f60500daf83p-11, 0x1.49c219312e16ep-11, 0x1.3df64e4901c15p-11, 0x1.328f61ef5848fp-11, 0x1.278a2a378eb91p-11, 0x1.1ce394f8b3b47p-11, 0x1.1298a7290df3cp-11, 0x1.08a67c3d96ba8p-11, 0x1.fe148b1ad41bep-12, 0x1.eb8293723d713p-12, 0x1.d991c82ba5135p-12, 0x1.c83d0837d7e01p-12, 0x1.b77f59b2dec86p-12, 0x1.a753e8cfcfp-12, 0x1.97b606cb69129p-12, 0x1.88dfcfd67b9eap-12, 0x1.7a4ec8cf3dcedp-12, 0x1.6c3e15bba9403p-12, 0x1.5ea9922acf47dp-12, 0x1.518d39d46018dp-12, 0x1.44e527b18091dp-12, 0x1.38ad951b6704dp-12, 0x1.2ce2d8efc308ap-12, 0x1.218166bac0965p-12, 0x1.1685cde6875f9p-12, 0x1.0becb8f023e6cp-12, 0x1.01b2eca180ba3p-12, 0x1.efaa8ea19afdap-13, 0x1.dca18048f822dp-13, 0x1.ca44ccb9479efp-13, 0x1.b88ec1416ed21p-13, 0x1.a779d8a43c7e7p-13, 0x1.9700b9c6a0f7dp-13, 0x1.871e3666e576ep-13, 0x1.77cd49dc6ac53p-13, 0x1.690917e0022b2p-13, 0x1.5acceb5ca7e2bp-13, 0x1.4d143547e91adp-13, 0x1.3fda8b82f9dc8p-13, 0x1.331ba7c2c50fbp-13, 0x1.26d3667feab9cp-13, 0x1.1afdc5edf7695p-13, 0x1.0f96e4f9d3028p-13, 0x1.049b024f3f49dp-13, 0x1.f40cf6ca3fd89p-14, 0x1.dfab9720dac96p-14, 0x1.cc0b163b8174fp-14, 0x1.b924dce212a0cp-14, 0x1.a6f28a5793118p-14, 0x1.956df2b233b68p-14, 0x1.84911d3f41aacp-14, 0x1.745642f2cdca9p-14, 0x1.64b7cce25503fp-14, 0x1.55b052ca7a7fap-14, 0x1.473a999f85171p-14, 0x1.39519227f2419p-14, 0x1.2bf057a1abb34p-14, 0x1.1f122e7090f92p-14, 0x1.12b282d742529p-14, 0x1.06cce7b89f05p-14, 0x1.f6ba2ac67e10ap-15, 0x1.e0bdd0ca3ac8ap-15, 0x1.cb9cc0d0b4097p-15, 0x1.b74f3e30961a5p-15, 0x1.a3cdce1dd09bcp-15, 0x1.91113594b25f9p-15, 0x1.7f127753d37aep-15, 0x1.6dcad1e6afa46p-15, 0x1.5d33bdbc9a18bp-15, 0x1.4d46eb51e34cep-15, 0x1.3dfe4163bbfc4p-15, 0x1.2f53db332dc6fp-15, 0x1.214206d5630f5p-15, 0x1.13c34390b80e4p-15, 0x1.06d240466a3f4p-15, 0x1.f4d3b3d1a053p-16, 0x1.dd0a33fa5a5adp-16, 0x1.c63e6a52b6ae5p-16, 0x1.b0671399a2281p-16, 0x1.9b7b3d490a18cp-16, 0x1.877242f1b3867p-16, 0x1.7443cbafc297ep-16, 0x1.61e7c7af7fb93p-16, 0x1.50566dc6fbd22p-16, 0x1.3f883923db171p-16, 0x1.2f75e70a280e6p-16, 0x1.201874a610db4p-16, 0x1.11691cefc3996p-16, 0x1.0361569e3db3cp-16, 0x1.ebf5a459d43dp-17, 0x1.d25eefdfa3fap-17, 0x1.b9f2cc712d971p-17, 0x1.a2a5df1096049p-17, 0x1.8c6d31a721658p-17, 0x1.773e2fa409136p-17, 0x1.630ea2b87acc6p-17, 0x1.4fd4afafdec9fp-17, 0x1.3d86d36199367p-17, 0x1.2c1bdfb8877e4p-17, 0x1.1b8af8db2755cp-17, 0x1.0bcb926443188p-17, 0x1.f9aad96859802p-18, 0x1.dd4124b5afbaap-18, 0x1.c24aab2a17e9ap-18, 0x1.a8b89bc10ccb3p-18, 0x1.907cab455debfp-18, 0x1.79890fcaaeb38p-18, 0x1.63d07c4796ef2p-18, 0x1.4f461c5ad227cp-18, 0x1.3bdd902f57779p-18, 0x1.298ae886aed57p-18, 0x1.1842a2e619569p-18, 0x1.07f9a5d8cdb05p-18, 0x1.f14a7ad35fb64p-19, 0x1.d4762f449c67p-19, 0x1.b962826ce0699p-19, 0x1.9ffc448ee6842p-19, 0x1.8830f68ca3ed3p-19, 0x1.71eec3d92d5cbp-19, 0x1.5d247ca324284p-19, 0x1.49c19036dfeedp-19, 0x1.37b6078608801p-19, 0x1.26f27fe69f13fp-19, 0x1.176825fdff7abp-19, 0x1.0908b0d6a6992p-19, 0x1.f78cba49604b4p-20, 0x1.df27d1596cbfep-20, 0x1.c8c91ba37eb08p-20, 0x1.b457feb95445dp-20, 0x1.a1bcc8a4c591p-20, 0x1.90e0a7e9e3f9dp-20, 0x1.81ada3dad4e54p-20, 0x1.740e95216c7a1p-20, 0x1.67ef1e9208aa1p-20, 0x1.5d3ba63d64618p-20, 0x1.53e14eb766d5ap-20, 0x1.4bcdf0a43218p-20, 0x1.44f0147184b7cp-20, 0x1.3f36ec59052f3p-20, 0x1.3a924e7d8878ep-20, 0x1.36f2af56bfda2p-20, 0x1.34491c45918f9p-20, 0x1.32873634ee863p-20, 0x1.319f2cb7c5654p-20, 0x1.3183b9065a706p-20, 0x1.3228194bb00dep-20, 0x1.33800c1b382edp-20, 0x1.357fcc0258767p-20, 0x1.381c0b46b26cbp-20, 0x1.3b49efd45b622p-20, 0x1.3eff0f3b55461p-20, 0x1.43316ae7630bdp-20, 0x1.47d76c56df6a7p-20, 0x1.4ce7e1a65ed21p-20, 0x1.5259fa0a140bcp-20, 0x1.5825427a8c27cp-20, 0x1.5e41a28a37e36p-20, 0x1.64a75936e3f8dp-20, 0x1.6b4ef9f7366aap-20, 0x1.723169c9fc706p-20, 0x1.7947dc75c0db4p-20, 0x1.808bd1c925534p-20, 0x1.87f71309cdf0ep-20, 0x1.8f83b0604861p-20, 0x1.972bfe6f731b6p-20, 0x1.9eea93f82b75ap-20, 0x1.a6ba47937e03bp-20, 0x1.ae962d7ecdf91p-20, 0x1.b6799571311cep-20, 0x1.be6008a16f4aep-20, 0x1.c64547bc3c6c6p-20, 0x1.ce2548f099aa3p-20, 0x1.d5fc362d8030fp-20, 0x1.ddc66b3e4e3ecp-20, 0x1.e5807419bd1f6p-20, 0x1.ed270b318d525p-20, 0x1.f4b717d5801cp-20, 0x1.fc2dac9e2605dp-20, 0x1.01c402f5bcce1p-19, 0x1.0561c434f6008p-19, 0x1.08eedfd3d9c54p-19, 0x1.0c6a2e5b6e4ddp-19, 0x1.0fd29a6dacef8p-19, 0x1.1327201a669d6p-19, 0x1.1666cc46fb04fp-19, 0x1.1990bc13856bbp-19, 0x1.1ca41c3ecbebp-19, 0x1.1fa0289efd2b8p-19, 0x1.22842b8b52a7p-19, 0x1.254f7d5e707cfp-19, 0x1.280183ee34867p-19, 0x1.2a99b20d82982p-19, 0x1.2d17870f4c16ap-19, 0x1.2f7a8e54513a7p-19, 0x1.31c25ed231a8fp-19, 0x1.33ee9aa5b467cp-19, 0x1.35feeea6dfdcep-19, 0x1.37f311ff92d51p-19, 0x1.39cac5c678fddp-19, 0x1.3b85d4997224p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.0f035208d80cap-1, 0x1.0af788bb84193p-1, 0x1.03a39fc38b8c3p-1, 0x1.f2878a87c861ep-2, 0x1.d83508020aa15p-2, 0x1.b8e2247753cd1p-2, 0x1.952e8ef58d3e1p-2, 0x1.6dbb06759793cp-2, 0x1.43259d832a7d3p-2, 0x1.160b7f1492b07p-2, 0x1.ce0a02c24fc26p-3, 0x1.6d4212cd787ep-3, 0x1.0ac9f3c1d754ep-3, 0x1.4f35127aea2d6p-4, 0x1.125ff174f421ep-5, -0x1.d708dbc664e07p-7, -0x1.f7213aefdc24p-5, -0x1.b79c1b00547cdp-4, -0x1.36f66c0525dcep-3, -0x1.8ecbc9d8f3c13p-3, -0x1.e2ecebdd7bc19p-3, -0x1.199f192a202aep-2, -0x1.3f8e8be2e8d99p-2, -0x1.634278dfcd063p-2, -0x1.84a9d33398a46p-2, -0x1.a3b9a72a38d0ap-2, -0x1.c06cb8811dc04p-2, -0x1.dac2f62ab3693p-2, -0x1.f2c0b0f3172b9p-2, -0x1.0436e1ffecc3dp-1, -0x1.0dea753cae452p-1, -0x1.1681ae6e3d1b3p-1, -0x1.1e0450b801e6dp-1, -0x1.247b318ce24f9p-1, -0x1.29f017a46e548p-1, -0x1.2e6d8c95bf7bcp-1, -0x1.31fea8a756bc4p-1, -0x1.34aee03dd2091p-1, -0x1.3689d7a62ef9cp-1, -0x1.379b405ece3b4p-1, -0x1.37eec14b6ed08p-1, -0x1.378fe83b9f101p-1, -0x1.368a206dc2d5fp-1, -0x1.34e8a96458095p-1, -0x1.32b68b7e149aep-1, -0x1.2ffe8a8d73ea9p-1, -0x1.2ccb187b5798cp-1, -0x1.29264a32dfd68p-1, -0x1.2519d00cbdf2ap-1, -0x1.20aef1a592fbp-1, -0x1.1bee8c4ffdce7p-1, -0x1.16e1133558b08p-1, -0x1.118e90462b3f1p-1, -0x1.0bfea5291094dp-1, -0x1.06388b9cb0779p-1, -0x1.00431556e7287p-1, -0x1.f449580ab487ap-2, -0x1.e7c6a49a4ceccp-2, -0x1.db094cbc50201p-2, -0x1.ce1bcc2e71ep-2, -0x1.c107e85bb1019p-2, -0x1.b3d6bb1aaf1a6p-2, -0x1.a690bc6f95f3cp-2, -0x1.993e594269766p-2, -0x1.8be58972699e7p-2, -0x1.7e8def22d12dp-2, -0x1.713db62116052p-2, -0x1.63fa7e652107p-2, -0x1.56c965ed3c4fap-2, -0x1.49af139c082bcp-2, -0x1.3cafc1f7d248ap-2, -0x1.2fcf48d43ed42p-2, -0x1.231125522f76cp-2, -0x1.1678801948218p-2, -0x1.0a08321502e0dp-2, -0x1.fb8590765b492p-3, -0x1.e3550dd9575cdp-3, -0x1.cb82dacb50ce8p-3, -0x1.b41273061d2eep-3, -0x1.9d06d7e3ddb54p-3, -0x1.8662996c75559p-3, -0x1.7027dfba10237p-3, -0x1.5a5874480b532p-3, -0x1.44f5cac32e08ap-3, -0x1.30010909e766ep-3, -0x1.1b7b0e2f3381dp-3, -0x1.0764787a6a415p-3, -0x1.e77b55014592ap-4, -0x1.c10d9f16fedc4p-4, -0x1.9b7fbf1603ff8p-4, -0x1.76d14599a5d99p-4, -0x1.53016b4d29c46p-4, -0x1.300f185e2488bp-4, -0x1.0df8ec1e723b8p-4, -0x1.d97a898fc4becp-5, -0x1.98b48e79d48fep-5, -0x1.599bcd29e33e7p-5, -0x1.1c2bd67dcb634p-5, -0x1.c0bfe62013fe3p-6, -0x1.4c665d7846b3ep-6, -0x1.b6818991694ap-7, -0x1.b511df34ddd1ap-8, -0x1.3344544682e86p-13, 0x1.9590dae7bdc8fp-8, 0x1.944e5b65f0a7fp-7, 0x1.2bedf7a185dedp-6, 0x1.8ac45faa29e08p-6, 0x1.e6b65cd1d7438p-6, 0x1.1fe806fb0f80cp-5, 0x1.4b0edaa70802fp-5, 0x1.74d5d9a350b8ep-5, 0x1.9d434057f444cp-5, 0x1.c45d5425c36b4p-5, 0x1.ea2a5ff02fb9fp-5, 0x1.075858410b01p-4, 0x1.18fb48748524fp-4, 0x1.2a012371a5221p-4, 0x1.3a6d07bd995cdp-4, 0x1.4a420df3e2e7p-4, 0x1.59834762b72bp-4, 0x1.6833bcda40078p-4, 0x1.76566db25f9fep-4, 0x1.83ee4f077b77cp-4, 0x1.90fe4b2be1d99p-4, 0x1.9d894148f552fp-4, 0x1.a992052995f7bp-4, 0x1.b51b5f264678fp-4, 0x1.c0280c2b6d8f9p-4, 0x1.cababdd25ea4ap-4, 0x1.d4d61a86cbccbp-4, 0x1.de7cbdb364635p-4, 0x1.e7b137f1746d5p-4, 0x1.f0760f38b1b8ep-4, 0x1.f8cdbf0d5bbd7p-4, 0x1.005d5c55ddbb3p-3, 0x1.041fb19864953p-3, 0x1.07af0de019f76p-3, 0x1.0b0c9ad42e76ap-3, 0x1.0e397d4277a59p-3, 0x1.1136d5306878ep-3, 0x1.1405bdebff1cep-3, 0x1.16a74e1cfe70bp-3, 0x1.191c97d6902e2p-3, 0x1.1b66a8a989cb9p-3, 0x1.1d8689b75c02bp-3, 0x1.1f7d3fc5a511dp-3, 0x1.214bcb52525d6p-3, 0x1.22ef0929275dbp-3, 0x1.24700c305fa6p-3, 0x1.25cbdee3259fp-3, 0x1.270371dd1f347p-3, 0x1.2817b17927b98p-3, 0x1.290985e16feaap-3, 0x1.29d9d3207f1d2p-3, 0x1.2a897932e8c0cp-3, 0x1.2b1954197981ep-3, 0x1.2b8a3beb99328p-3, 0x1.2bdd04e9c8d89p-3, 0x1.2c127f9010e7fp-3, 0x1.2c2b78a85193p-3, 0x1.2c28b95c61da8p-3, 0x1.2c0b0747f8f48p-3, 0x1.2bd3248a5f681p-3, 0x1.2b81cfd7e8bedp-3, 0x1.2b17c48b2a5c6p-3, 0x1.2a95bab5fcae9p-3, 0x1.29fc673238a1ap-3, 0x1.294c7bb239458p-3, 0x1.2886a6d10900ap-3, 0x1.27ab94224ccb5p-3, 0x1.26bbec41cce5ep-3, 0x1.25b854e2a67b1p-3, 0x1.24a170de0ae83p-3, 0x1.2377e0419496dp-3, 0x1.223c405d15423p-3, 0x1.20ef2bcfdf6ap-3, 0x1.1f913a957f83fp-3, 0x1.1e230211d3541p-3, 0x1.1ca5151c83d1dp-3, 0x1.1b18040bcf215p-3, 0x1.197c5cbea7e79p-3, 0x1.17d2aaa61f6b8p-3, 0x1.161b76ce226edp-3, 0x1.145747e58376ep-3, 0x1.1286a245641e4p-3, 0x1.10aa07f7f9e93p-3, 0x1.0ec1f8bec1161p-3, 0x1.0ccef2182fe35p-3, 0x1.0ad16f44e4217p-3, 0x1.08c9e94c7c541p-3, 0x1.06b8d70209078p-3, 0x1.049ead08487ebp-3, 0x1.027bddd59ce3bp-3, 0x1.0050d9b7ec7a8p-3, 0x1.fc3c1db0b8032p-4, 0x1.f7c7d27e15a8ap-4, 0x1.f345a5ad83b83p-4, 0x1.eeb666e16d788p-4, 0x1.ea1ae190ba225p-4, 0x1.e573dd0e944fap-4, 0x1.e0c21c9276079p-4, 0x1.dc065f40660bcp-4, 0x1.d7416031828dap-4, 0x1.d273d67cbb64p-4, 0x1.cd9e753fd7e54p-4, 0x1.c8c1eba8bc172p-4, 0x1.c3dee4fed9d96p-4, 0x1.bef608acda5bdp-4, 0x1.ba07fa4a81a23p-4, 0x1.b51559a69911cp-4, 0x1.b01ec2d1205cfp-4, 0x1.ab24ce256cd7ep-4, 0x1.a62810547f558p-4, 0x1.a1291a6f46aafp-4, 0x1.9c2879f0f0461p-4, 0x1.9726b8c93c487p-4, 0x1.92245d66bb1d8p-4, 0x1.8d21eac10a031p-4, 0x1.881fe062f885bp-4, 0x1.831eba749c389p-4, 0x1.7e1ef1c54dbb8p-4, 0x1.7920fbd58f6ap-4, 0x1.74254ae0dae13p-4, 0x1.6f2c4de7566cfp-4, 0x1.6a3670b773c26p-4, 0x1.65441bf778634p-4, 0x1.6055b52ef0313p-4, 0x1.5b6b9ed00f49bp-4, 0x1.5686384102ff4p-4, 0x1.51a5dde53465ap-4, 0x1.4ccae9268299p-4, 0x1.47f5b07e72773p-4, 0x1.4326877f5a7a3p-4, 0x1.3e5dbedd8dde2p-4, 0x1.399ba47886059p-4, 0x1.34e0836411243p-4, 0x1.302ca3f1857cep-4, 0x1.2b804bb8fdc56p-4, 0x1.26dbbda29f643p-4, 0x1.223f39efed2cp-4, 0x1.1daafe4526ee6p-4, 0x1.191f45b2b9f2ap-4, 0x1.149c48bec1142p-4, 0x1.10223d6e95f19p-4, 0x1.0bb157507494fp-4, 0x1.0749c78531942p-4, 0x1.02ebbcca0331ap-4, 0x1.fd2ec704b882fp-5, 0x1.f499cb83b52bbp-5, 0x1.ec18d6ac8cf73p-5, 0x1.e3ac33a347f7p-5, 0x1.db542928a7e2p-5, 0x1.d310f9ae8c086p-5, 0x1.cae2e36c6e9cdp-5, 0x1.c2ca2073fc073p-5, 0x1.bac6e6c5c49a8p-5, 0x1.b2d96865fe7a3p-5, 0x1.ab01d3715a7f6p-5, 0x1.a3405231e5147p-5, 0x1.9b950b33f3611p-5, 0x1.9400215b12933p-5, 0x1.8c81b3f6fd7c8p-5, 0x1.8519ded88f5fep-5, 0x1.7dc8ba66b286p-5, 0x1.768e5bb344f79p-5, 0x1.6f6ad48ff35ddp-5, 0x1.685e33a30088fp-5, 0x1.6168847bfd215p-5, 0x1.5a89cfa867c5ep-5, 0x1.53c21ac82f426p-5, 0x1.4d1168a21d33p-5, 0x1.4677b9381aa7dp-5, 0x1.3ff509db5469dp-5, 0x1.39895540377e2p-5, 0x1.33349392447e3p-5, 0x1.2cf6ba87b4d9p-5, 0x1.26cfbd74f68f7p-5, 0x1.20bf8d5ff1681p-5, 0x1.1ac619131bee7p-5, 0x1.14e34d305b51ap-5, 0x1.0f171443aa438p-5, 0x1.096156d58a02bp-5, 0x1.03c1fb7d340f6p-5, 0x1.fc71cde5272a7p-6, 0x1.f18bf83ffe4aep-6, 0x1.e6d2386766391p-6, 0x1.dc444d621ace2p-6, 0x1.d1e1f3030b70dp-6, 0x1.c7aae20ac7384p-6, 0x1.bd9ed048662c3p-6, 0x1.b3bd70b9e5138p-6, 0x1.aa0673abfa28p-6, 0x1.a07986d95f291p-6, 0x1.971655898c95ap-6, 0x1.8ddc88aee9915p-6, 0x1.84cbc7046fc1p-6, 0x1.7be3b52abaad2p-6, 0x1.7323f5c490083p-6, 0x1.6a8c2992d212bp-6, 0x1.621bef8fe3d9dp-6, 0x1.59d2e50a816ddp-6, 0x1.51b0a5c0039dap-6, 0x1.49b4cbf6185e2p-6, 0x1.41def093e3e68p-6, 0x1.3a2eab3aa1065p-6, 0x1.32a3925da0563p-6, 0x1.2b3d3b59ca279p-6, 0x1.23fb3a8c88749p-6, 0x1.1cdd236a26304p-6, 0x1.15e28893a55e2p-6, 0x1.0f0afbec04348p-6, 0x1.08560eacfc8b4p-6, 0x1.01c3517b37f62p-6, 0x1.f6a4a8f3efac5p-7, 0x1.ea054ebc767a1p-7, 0x1.de3ecda23c307p-7, 0x1.d221f345ba04bp-7, 0x1.c6450593cf52ap-7, 0x1.baa721fbe0a52p-7, 0x1.af4765c4f8652p-7, 0x1.a424ee2ddc4acp-7, 0x1.993ed88c1e703p-7, 0x1.8e94426a2fa9p-7, 0x1.842449a4704cbp-7, 0x1.79ee0c8547e64p-7, 0x1.6ff0a9e039ee9p-7, 0x1.662b412c1c29ap-7, 0x1.5c9cf29c419ccp-7, 0x1.5344df38ce30cp-7, 0x1.4a2228f60d00ap-7, 0x1.4133f2caf1b84p-7, 0x1.387960c6abd29p-7, 0x1.2ff198255ddeap-7, 0x1.279bbf63fb9c6p-7, 0x1.1f76fe534fed2p-7, 0x1.17827e2a2f60dp-7, 0x1.0fbd6996da9c7p-7, 0x1.0826eccf953f1p-7, 0x1.00be35a27752bp-7, 0x1.f304e708ed7f1p-8, 0x1.e4e5af3f6a031p-8, 0x1.d71d29c21a5c5p-8, 0x1.c9a9c009d8dbp-8, 0x1.bc89df46e9838p-8, 0x1.afbbf877dc659p-8, 0x1.a33e807f1becep-8, 0x1.970ff03724a4bp-8, 0x1.8b2ec4857316fp-8, 0x1.7f997e6c3352cp-8, 0x1.744ea31aac78bp-8, 0x1.694cbbfc85024p-8, 0x1.5e9256c7cc595p-8, 0x1.541e0589ecee3p-8, 0x1.49ee5eb377516p-8, 0x1.4001fd22d974dp-8, 0x1.3657802e0ba7p-8, 0x1.2ced8bab2dedbp-8, 0x1.23c2c7f82c8edp-8, 0x1.1ad5e20164bc1p-8, 0x1.12258b4759fe3p-8, 0x1.09b079e381b7ep-8, 0x1.0175688c2701dp-8, 0x1.f2e62d2ee9e38p-9, 0x1.e3508ffb4b39dp-9, 0x1.d4278ab4d042ap-9, 0x1.c568b7daede8fp-9, 0x1.b711bb34e697dp-9, 0x1.a92041cffaeb8p-9, 0x1.9b9201fc465d4p-9, 0x1.8e64bb4827d2ap-9, 0x1.8196367a6f7cap-9, 0x1.7524458b4092cp-9, 0x1.690cc39bbfaf8p-9, 0x1.5d4d94ec9d00ap-9, 0x1.51e4a6d37eccbp-9, 0x1.46cfefaf5ca15p-9, 0x1.3c0d6edbdb7cfp-9, 0x1.319b2ca3ad353p-9, 0x1.27773a320bde1p-9, 0x1.1d9fb1834d426p-9, 0x1.1412b554adf2ap-9, 0x1.0ace711345481p-9, 0x1.01d118ca46632p-9, 0x1.f231d2211c4acp-10, 0x1.e1484deb00cdcp-10, 0x1.d0e23fdaa47c1p-10, 0x1.c0fc537972ee8p-10, 0x1.b19344c81d804p-10, 0x1.a2a3e013fc36p-10, 0x1.942b01cb5acd1p-10, 0x1.862596510422ap-10, 0x1.789099cef9fp-10, 0x1.6b6918086d1f3p-10, 0x1.5eac2c2b187fep-10, 0x1.5257009ff4d9bp-10, 0x1.4666cedb6b846p-10, 0x1.3ad8df2d08a59p-10, 0x1.2faa888ec2788p-10, 0x1.24d93073d6c0ap-10, 0x1.1a624a97680e6p-10, 0x1.104358cab5af9p-10, 0x1.0679eac33bfb3p-10, 0x1.fa073bd109cbep-11, 0x1.e7bc3a43cfa14p-11, 0x1.d60e414840084p-11, 0x1.c4f8db7dc2fabp-11, 0x1.b477ad54ad0e9p-11, 0x1.a48674a94fd5ap-11, 0x1.9521085f12916p-11, 0x1.864357fbb7f04p-11, 0x1.77e96b42caf9ap-11, 0x1.6a0f61d14d808p-11, 0x1.5cb172b9cc247p-11, 0x1.4fcbec2098d4ap-11, 0x1.435b32d8a5a6p-11, 0x1.375bc200af275p-11, 0x1.2bca2aa0f010ep-11, 0x1.20a313495635p-11, 0x1.15e337b04c829p-11, 0x1.0b8768522afc6p-11, 0x1.018c8a112bc5cp-11, 0x1.efdf2bac5f986p-12, 0x1.dd5b306432607p-12, 0x1.cb8761ffddfb7p-12, 0x1.ba5e260f834a2p-12, 0x1.a9da074488ffdp-12, 0x1.99f5b4bab1754p-12, 0x1.8aac014298513p-12, 0x1.7bf7e2adee0d4p-12, 0x1.6dd4711d75d61p-12, 0x1.603ce650e5c1cp-12, 0x1.532c9cf840e05p-12, 0x1.469f1007714eep-12, 0x1.3a8fda0b6f0f2p-12, 0x1.2efab4816afb8p-12, 0x1.23db772fe9214p-12, 0x1.192e1781bf3ccp-12, 0x1.0eeea7e31e881p-12, 0x1.0519572078aa2p-12, 0x1.f754df8f3e834p-13, 0x1.e53caf156dd12p-13, 0x1.d3e31d4a827edp-13, 0x1.c3415e86ebae4p-13, 0x1.b350d9d67e967p-13, 0x1.a40b27cf65d3fp-13, 0x1.956a116cfd076p-13, 0x1.87678eeede1c7p-13, 0x1.79fdc6bc5f45fp-13, 0x1.6d270c4c48f0ep-13, 0x1.60dddf10afdccp-13, 0x1.551ce9678d5fep-13, 0x1.49deff8f1ff1cp-13, 0x1.3f1f1e9f6fa8fp-13, 0x1.34d86b873a9ebp-13, 0x1.2b06320e0e482p-13, 0x1.21a3e3da7858cp-13, 0x1.18ad177c789d7p-13, 0x1.101d877cbcb9p-13, 0x1.07f1116ff2832p-13, 0x1.0023b50ea622ep-13, 0x1.f16326a2cb436p-14, 0x1.e32ddb22f7dfep-14, 0x1.d5a0495bcd25fp-14, 0x1.c8b37069bab9p-14, 0x1.bc608b22eff34p-14, 0x1.b0a10e7ba1a6ep-14, 0x1.a56ea7f318114p-14, 0x1.9ac33c09096dp-14, 0x1.9098e4bbaf618p-14, 0x1.86e9f00e1ecbfp-14, 0x1.7db0de9748907p-14, 0x1.74e86219620fbp-14, 0x1.6c8b5c20bbed9p-14, 0x1.6494dcabc394dp-14, 0x1.5d0020da47d0ap-14, 0x1.55c891a4efb73p-14, 0x1.4ee9c29c0b2efp-14, 0x1.485f70aee3699p-14, 0x1.422580f94a53bp-14, 0x1.3c37ff997675ap-14, 0x1.36931e8c964c9p-14, 0x1.3133349267adap-14, 0x1.2c14bc17d2a7p-14, 0x1.273452282f3fp-14, 0x1.228eb564baa9fp-14, 0x1.1e20c502a80d2p-14, 0x1.19e77fcfd4eb1p-14, 0x1.15e0033c4fe7bp-14, 0x1.12078a6b6153bp-14, 0x1.0e5b6d4880ecp-14, 0x1.0ad91fa34166ap-14, 0x1.077e305000d5fp-14, 0x1.0448484e49defp-14, 0x1.013529f38e678p-14, 0x1.fc8560388dc19p-15, 0x1.f6dd9ac171639p-15, 0x1.f16f169e788eep-15, 0x1.ec361356307aep-15, 0x1.e72efb5fc04dap-15, 0x1.e25662b43eecap-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.39d094d2441ap-2, 0x1.448499b4bae62p-2, 0x1.4dbac266be9d5p-2, 0x1.555e61604c59ap-2, 0x1.5b63359868a74p-2, 0x1.5fc50639d449p-2, 0x1.62861c863baa4p-2, 0x1.63ae17f450108p-2, 0x1.63495a1d41e1bp-2, 0x1.61682510f40a4p-2, 0x1.5e1d9feca36d6p-2, 0x1.597f300504cb4p-2, 0x1.53a3f24033eap-2, 0x1.4ca4226d86ad3p-2, 0x1.449891de19bbdp-2, 0x1.3b9a45305323ap-2, 0x1.31c227b9e64dbp-2, 0x1.2728c63da472ep-2, 0x1.1be615f912f8bp-2, 0x1.1011477dd8beap-2, 0x1.03c09f539d294p-2, 0x1.ee15a01ee9fb1p-3, 0x1.d401dc05ea1f8p-3, 0x1.b96de8d68b064p-3, 0x1.9e7d0ba0313fdp-3, 0x1.8350056ccd764p-3, 0x1.6805075380e58p-3, 0x1.4cb7be33ee418p-3, 0x1.31816cf04963bp-3, 0x1.16790bd76d3e6p-3, 0x1.f766ca432c1edp-4, 0x1.c286588583126p-4, 0x1.8e72266fb4f2fp-4, 0x1.5b47c30c133edp-4, 0x1.29211df3c9afbp-4, 0x1.f0298732a617dp-5, 0x1.906c373d25e8cp-5, 0x1.332b4864c5c35p-5, 0x1.b104a22d4b1dap-6, 0x1.010fce6fb6138p-6, 0x1.5a7009e076effp-8, -0x1.38ed5c8dc713bp-8, -0x1.dac5398d27121p-7, -0x1.86cd3e2b10fddp-6, -0x1.0d3a854785ecdp-5, -0x1.542cc60b6f52ap-5, -0x1.983fb91b74cd9p-5, -0x1.d978033b605bdp-5, -0x1.0bee2a2e756c1p-4, -0x1.29ba9567faa17p-4, -0x1.46264e347eba9p-4, -0x1.613711f656ee4p-4, -0x1.7af3384e938c8p-4, -0x1.93619c0f05b01p-4, -0x1.aa898646ae7cp-4, -0x1.c0729bd3d9c77p-4, -0x1.d524cce944791p-4, -0x1.e8a845b528c09p-4, -0x1.fb055ff452323p-4, -0x1.06224aede3ed8p-3, -0x1.0e373b610ceaep-3, -0x1.15c5ceb678d25p-3, -0x1.1cd253be464c8p-3, -0x1.2360ffdd659b2p-3, -0x1.2976490630917p-3, -0x1.2f1654b260fcbp-3, -0x1.34455322378ecp-3, -0x1.390765e74cec7p-3, -0x1.3d609deaceb53p-3, -0x1.4154f9cae7596p-3, -0x1.44e86478b78eep-3, -0x1.481eb408b41f5p-3, -0x1.4afba8b0ff85fp-3, -0x1.4d82ebf50402p-3, -0x1.4fb80ffbef2f3p-3, -0x1.519e8f0cf8708p-3, -0x1.5339cb2c42d9ap-3, -0x1.548d0dd54e5f1p-3, -0x1.559b87d270d88p-3, -0x1.5668513181ee6p-3, -0x1.56f6695518fadp-3, -0x1.5748b72003377p-3, -0x1.5762093790ae5p-3, -0x1.57451658e7904p-3, -0x1.56f47dbd724e9p-3, -0x1.5672c78a9d613p-3, -0x1.55c265494137ep-3, -0x1.54e5b261e1c78p-3, -0x1.53def49baf898p-3, -0x1.52b05c9d2424p-3, -0x1.515c066d97ff7p-3, -0x1.4fe3f9f7a7731p-3, -0x1.4e4a2b8c534c7p-3, -0x1.4c907c67382dp-3, -0x1.4ab8bb34215a2p-3, -0x1.48c4a49643857p-3, -0x1.46b5e3b10990bp-3, -0x1.448e12b1f7466p-3, -0x1.424ebb5ae78cfp-3, -0x1.3ff9578bd218fp-3, -0x1.3d8f51cb6b543p-3, -0x1.3b1205cdfd837p-3, -0x1.3882c0fa00e6p-3, -0x1.35e2c2e9ea782p-3, -0x1.33333deaa73f5p-3, -0x1.307557764b9ecp-3, -0x1.2daa28aaa4e61p-3, -0x1.2ad2bebba1ab5p-3, -0x1.27f01b61a990bp-3, -0x1.25033544266f2p-3, -0x1.220cf86097bcap-3, -0x1.1f0e466e5a66ep-3, -0x1.1c07f73f77d1p-3, -0x1.18fad91e740abp-3, -0x1.15e7b1295b755p-3, -0x1.12cf3baa04691p-3, -0x1.0fb22c6bae30fp-3, -0x1.0c912f0e07ebcp-3, -0x1.096ce755c2819p-3, -0x1.0645f17aab09bp-3, -0x1.031ce2736480bp-3, -0x1.ffe4907d78ce3p-4, -0x1.f98d54552f4d8p-4, -0x1.f3351230b8f31p-4, -0x1.ecdcbf7dd9567p-4, -0x1.e68545d439b9ep-4, -0x1.e02f836f53568p-4, -0x1.d9dc4ba3a9dfp-4, -0x1.d38c674f33095p-4, -0x1.cd40954562c07p-4, -0x1.c6f98ab6c6e19p-4, -0x1.c0b7f3948fc1fp-4, -0x1.ba7c72f00e48bp-4, -0x1.b447a3565c64p-4, -0x1.ae1a172846b85p-4, -0x1.a7f458eeb8a05p-4, -0x1.a1d6ebabd1323p-4, -0x1.9bc24b28b8289p-4, -0x1.95b6ec4079c1ap-4, -0x1.8fb53d28085e2p-4, -0x1.89bda5b36b161p-4, -0x1.83d087984b66ep-4, -0x1.7dee3eade714fp-4, -0x1.7817212a7aa8cp-4, -0x1.724b7fde3489cp-4, -0x1.6c8ba66bc5a63p-4, -0x1.66d7db7ea16cfp-4, -0x1.613057a15a645p-4, -0x1.5b956c53266d1p-4, -0x1.560747dcc1355p-4, -0x1.50861ef37bcccp-4, -0x1.4b122244e0e76p-4, -0x1.45ab7ea13f4e9p-4, -0x1.40525d24846fp-4, -0x1.3b06e35d79a98p-4, -0x1.35c9337375a3p-4, -0x1.30996c4a9001fp-4, -0x1.2b77a9a664f77p-4, -0x1.2664044b78962p-4, -0x1.215e921f43d0cp-4, -0x1.1c676646fc8c1p-4, -0x1.177e9145218e2p-4, -0x1.12a42115ddd34p-4, -0x1.0dd8214a4a7f4p-4, -0x1.091a9b22a15b4p-4, -0x1.046b95a76a42cp-4, -0x1.ff962b835c73fp-5, -0x1.f6723ca47c29p-5, -0x1.ed6b609026003p-5, -0x1.e481956baa8acp-5, -0x1.dbb4d5cd2034ap-5, -0x1.d30518e336a46p-5, -0x1.ca72529b876e5p-5, -0x1.c1fc73c770c4ep-5, -0x1.b9a36a3f88399p-5, -0x1.b1672105b9f65p-5, -0x1.a94780661a109p-5, -0x1.a1446e167d6cp-5, -0x1.995dcd54e2fa2p-5, -0x1.91937f04bab37p-5, -0x1.89e561cb1912ap-5, -0x1.82535229df297p-5, -0x1.7add2a99e8317p-5, -0x1.7382c3a43e02bp-5, -0x1.6c43f3fa6d0fdp-5, -0x1.6520908df0852p-5, -0x1.5e186ca6d1473p-5, -0x1.572b59f972313p-5, -0x1.505928bb9d9f3p-5, -0x1.49a1a7b8d2ddbp-5, -0x1.4304a465e407ap-5, -0x1.3c81eaf3e39d3p-5, -0x1.361946626eda6p-5, -0x1.2fca809157f62p-5, -0x1.29956251b7ae8p-5, -0x1.2379b3766b0e5p-5, -0x1.1d773ae403c25p-5, -0x1.178dbea0309e1p-5, -0x1.11bd03e0a1d6p-5, -0x1.0c04cf196c195p-5, -0x1.0664e40af518fp-5, -0x1.00dd05cf659ep-5, -0x1.f6d9edcf53f62p-6, -0x1.ec28f29007504p-6, -0x1.e1a69cc8640bcp-6, -0x1.d7526e7658978p-6, -0x1.cd2be8c4fdda8p-6, -0x1.c3328c2281b41p-6, -0x1.b965d8555e0afp-6, -0x1.afc54c90d345fp-6, -0x1.a6506788b2d8ep-6, -0x1.9d06a7847d69cp-6, -0x1.93e78a71dd00bp-6, -0x1.8af28df679dap-6, -0x1.82272f81351cap-6, -0x1.7984ec5ac80dp-6, -0x1.710b41b5d6828p-6, -0x1.68b9acbe6a13p-6, -0x1.608faaa8e8f2p-6, -0x1.588cb8c083992p-6, -0x1.50b054751c07dp-6, -0x1.48f9fb68b617ap-6, -0x1.41692b7c64392p-6, -0x1.39fd62dcc0151p-6, -0x1.32b6200df12eap-6, -0x1.2b92e1f73913dp-6, -0x1.249327ee1e72fp-6, -0x1.1db671c11fdaap-6, -0x1.16fc3fc206c71p-6, -0x1.106412cfd33d3p-6, -0x1.09ed6c6040a99p-6, -0x1.0397ce88ef442p-6, -0x1.fac578105a194p-7, -0x1.ee9b709ac3c7p-7, -0x1.e2b08f0251349p-7, -0x1.d703dd1a0dcf7p-7, -0x1.cb946645b2b95p-7, -0x1.c0613787cec5ap-7, -0x1.b5695f8f59484p-7, -0x1.aaabeec48f57dp-7, -0x1.a027f75552654p-7, -0x1.95dc8d40ddf14p-7, -0x1.8bc8c662f6263p-7, -0x1.81ebba7e78d16p-7, -0x1.78448347711bp-7, -0x1.6ed23c6c98ep-7, -0x1.659403a05e32bp-7, -0x1.5c88f8a155152p-7, -0x1.53b03d423e3d4p-7, -0x1.4b08f5718555bp-7, -0x1.4292474044191p-7, -0x1.3a4b5ae8d87edp-7, -0x1.32335ad500774p-7, -0x1.2a4973a383843p-7, -0x1.228cd42d7233ep-7, -0x1.1afcad8afa15cp-7, -0x1.13983317cc0d2p-7, -0x1.0c5e9a7720f77p-7, -0x1.054f1b9759d65p-7, -0x1.fcd1e16a77419p-8, -0x1.ef56acbda3b56p-8, -0x1.e22b16ebdeff2p-8, -0x1.d54da264b5d9p-8, -0x1.c8bcd64738f5ap-8, -0x1.bc773e65027e4p-8, -0x1.b07b6b4482eb3p-8, -0x1.a4c7f222b5dd6p-8, -0x1.995b6cf44139p-8, -0x1.8e347a65f4179p-8, -0x1.8351bddcb08b2p-8, -0x1.78b1df74d42f9p-8, -0x1.6e538c0101b2fp-8, -0x1.643575087ff83p-8, -0x1.5a5650c4fbe1ap-8, -0x1.50b4da1fdd2d4p-8, -0x1.474fd0af20dfbp-8, -0x1.3e25f8b1b39d9p-8, -0x1.35361b0b6b783p-8, -0x1.2c7f054087022p-8, -0x1.23ff8970c79e6p-8, -0x1.1bb67e522482dp-8, -0x1.13a2bf2b23f01p-8, -0x1.0bc32bccc89bap-8, -0x1.0416a88c3121ap-8, -0x1.f9383c77b5278p-9, -0x1.eaa4f44923efbp-9, -0x1.dc715bfc257ap-9, -0x1.ce9b5fcebad4ep-9, -0x1.c120f4bd86dd8p-9, -0x1.b400187356e17p-9, -0x1.a736d13832c75p-9, -0x1.9ac32ddfdbfa2p-9, -0x1.8ea345b7e42edp-9, -0x1.82d538754a915p-9, -0x1.77572e21ac4bp-9, -0x1.6c27570819471p-9, -0x1.6143eba17a9f6p-9, -0x1.56ab2c80a2e87p-9, -0x1.4c5b623e130d9p-9, -0x1.4252dd635797fp-9, -0x1.388ff6563e8ddp-9, -0x1.2f110d43a2eb6p-9, -0x1.25d48a0a19261p-9, -0x1.1cd8dc24419cdp-9, -0x1.141c7a92fa61ep-9, -0x1.0b9de3c755588p-9, -0x1.035b9d8c6539ep-9, -0x1.f6a869e1b7c25p-10, -0x1.e70c7c6121e37p-10, -0x1.d7e0a93ba2a65p-10, -0x1.c92235154eb5cp-10, -0x1.bace7264037f3p-10, -0x1.ace2c14197d28p-10, -0x1.9f5c8f3dd1f7p-10, -0x1.92395730515cfp-10, -0x1.85b320cc22acbp-10, -0x1.794e0c764df24p-10, -0x1.6d44abf79bcd2p-10, -0x1.6194ad993e1f3p-10, -0x1.563bcc06271e7p-10, -0x1.4b37ce1cbf3c9p-10, -0x1.408686c0c9378p-10, -0x1.3625d4ad570d7p-10, -0x1.2c13a246e0b86p-10, -0x1.224de56d782edp-10, -0x1.18d29f4f325p-10, -0x1.0f9fdc3aa7744p-10, -0x1.06b3b371b78cp-10, -0x1.fc188df92a596p-11, -0x1.eb4f86f9aa3d7p-11, -0x1.db08c001d43cfp-11, -0x1.cb40bbafbb0d1p-11, -0x1.bbf410ca982fep-11, -0x1.ad1f69eb3cdcap-11, -0x1.9ebf85253987ep-11, -0x1.90d133b0aa79ap-11, -0x1.835159948e32fp-11, -0x1.763ced5238744p-11, -0x1.6990f7909d2ebp-11, -0x1.5d4a92c9450cap-11, -0x1.5166eaf54c1bep-11, -0x1.45e33d3bab7c1p-11, -0x1.3abcd79fe6946p-11, -0x1.2ff118b1b4099p-11, -0x1.257d6f3d72b76p-11, -0x1.1b5f59fd5ef7cp-11, -0x1.1194674bb70e3p-11, -0x1.081a34d5af6a3p-11, -0x1.fddcde9e6e695p-12, -0x1.ec1da44f7715ap-12, -0x1.daf24e7f4d0bep-12, -0x1.ca568d3dd6b47p-12, -0x1.ba462c58a586cp-12, -0x1.aabd12cb92ff7p-12, -0x1.9bb74233310f2p-12, -0x1.8d30d640f8d89p-12, -0x1.7f2604311fde6p-12, -0x1.71931a4309f99p-12, -0x1.64747f32883a2p-12, -0x1.57c6b1b42441p-12, -0x1.4b8647f1fd113p-12, -0x1.3fafef0b9de36p-12, -0x1.34406a9721571p-12, -0x1.29349424ab9e3p-12, -0x1.1e895ac3110cfp-12, -0x1.143bc28701936p-12, -0x1.0a48e413e7b73p-12, -0x1.00adec2646ce9p-12, -0x1.eed0364223c75p-13, -0x1.dce989364357p-13, -0x1.cba29de036c7dp-13, -0x1.baf665a4a263p-13, -0x1.aadff5bdeca26p-13, -0x1.9b5a866751524p-13, -0x1.8c61720c76859p-13, -0x1.7df0347c7e27cp-13, -0x1.70026a1ff3d68p-13, -0x1.6293cf337d696p-13, -0x1.55a03f04af1bap-13, -0x1.4923b333d4d4p-13, -0x1.3d1a42f8ed469p-13, -0x1.3180226a90e2p-13, -0x1.2651a1ca72aedp-13, -0x1.1b8b2cd3e8e5cp-13, -0x1.11294a0e8edd1p-13, -0x1.07289a2399cfbp-13, -0x1.fb0bae6e5f207p-14, -0x1.e87ba887e3f81p-14, -0x1.d69af8f70d80cp-14, -0x1.c563a551143a4p-14, -0x1.b4cfe1292b2cep-14, -0x1.a4da0ce23eaadp-14, -0x1.957cb4888ceedp-14, -0x1.86b28ead857f6p-14, -0x1.78767b4ddcd5bp-14, -0x1.6ac382bb184ffp-14, -0x1.5d94d48be56dp-14, -0x1.50e5c6919f12ap-14, -0x1.44b1d3d4f6bfbp-14, -0x1.38f49b95a8812p-14, -0x1.2da9e0526b4eep-14, -0x1.22cd86d4c061dp-14, -0x1.185b95427867bp-14, -0x1.0e503234bfbf3p-14, -0x1.04a7a3d52057ap-14, -0x1.f6bc9dfa52e4cp-15, -0x1.e4e16cbbf42c1p-15, -0x1.d3b6f35678189p-15, -0x1.c336a99692447p-15, -0x1.b35a3e18bd1f3p-15, -0x1.a41b94bd1bff3p-15, -0x1.9574c5217e417p-15, -0x1.8760192d4f09p-15, -0x1.79d80b9a48b27p-15, -0x1.6cd7468f35afcp-15, -0x1.6058a24000c38p-15, -0x1.54572396e4fap-15, -0x1.48cdfae3fd61dp-15, -0x1.3db882999b75bp-15, -0x1.33123e0b1c50ap-15, -0x1.28d6d83869326p-15, -0x1.1f02229d245dap-15, -0x1.1590140a9d0c1p-15, -0x1.0c7cc7879d767p-15, -0x1.03c47b37ae06bp-15, -0x1.f6c71e9409a9ep-16, -0x1.e6ad09dea25dcp-16, -0x1.d733faabdf082p-16, -0x1.c855715862cep-16, -0x1.ba0b2a5793fap-16, -0x1.ac4f1c516b8f7p-16, -0x1.9f1b7651b4d65p-16, -0x1.926a9dffe07ebp-16, -0x1.86372de56d128p-16, -0x1.7a7bf3bf7aa5cp-16, -0x1.6f33eedb5a36ep-16, -0x1.645a4e7f7bfd9p-16, -0x1.59ea705e3ef21p-16, -0x1.4fdfdf15e9be6p-16, -0x1.463650b774ebcp-16, -0x1.3ce9a55ca4feap-16, -0x1.33f5e5bf5842bp-16, -0x1.2b5741ed08c26p-16, -0x1.230a0feb4c21ep-16, -0x1.1b0aca792121dp-16, -0x1.13560fd120d57p-16, -0x1.0be8a0780c9dbp-16, -0x1.04bf5e0ffcc4ep-16, -0x1.fbae9470833eap-17, -0x1.ee5b0ae94d7a6p-17, -0x1.e17e9c366bd96p-17, -0x1.d513fe96953c8p-17, -0x1.c9161fdf843d6p-17, -0x1.bd80238012d9p-17, -0x1.b24d60a388946p-17, -0x1.a779605b92f31p-17, -0x1.9cffdbd4139fcp-17, -0x1.92dcba9d2f73fp-17, -0x1.890c11044fc1dp-17, -0x1.7f8a1e6cc19eep-17, -0x1.76534bbf5448fp-17, -0x1.6d6429e6516efp-17, -0x1.64b9705571afap-17, -0x1.5c4ffb98c4eafp-17, -0x1.5424cbf3ab9fdp-17, -0x1.4c35040af67dp-17, -0x1.447de796e4d27p-17, -0x1.3cfcda22c50b5p-17, -0x1.35af5dd5eb4f8p-17, -0x1.2e93124681953p-17, -0x1.27a5b353dbc7p-17, -0x1.20e5181282807p-17, -0x1.1a4f31b43277p-17, -0x1.13e20a84673a7p-17, -0x1.0d9bc4eaac00dp-17, -0x1.077a9a703785p-17, -0x1.017cdad60e65fp-17, -0x1.f741d65627042p-18, -0x1.ebca89e10230dp-18, -0x1.e090ea83a7cbcp-18, -0x1.d592380c375fcp-18, -0x1.cacbd64a67a53p-18, -0x1.c03b4b980a412p-18, -0x1.b5de3f56628adp-18, -0x1.abb27896a7a54p-18, -0x1.a1b5dc9fd0be4p-18, -0x1.97e66dc72a048p-18, -0x1.8e424a0cb83e2p-18, -0x1.84c7a9f91c76bp-18, -0x1.7b74df61a3abap-18, -0x1.7248544a86814p-18, -0x1.694089d8b56dfp-18, -0x1.605c1738e6503p-18, -0x1.5799a89de3fep-18, -0x1.4ef7fe4f1f4d3p-18, -0x1.4675ebb1e548p-18, -0x1.3e1256637c968p-18, -0x1.35cc355aad307p-18, -0x1.2da2900e13a1dp-18, -0x1.25947db395534p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.29f26001025cp-1, -0x1.ddd12c2193f23p-2, -0x1.6db7f156689a8p-2, -0x1.050b1b8158206p-2, -0x1.49a8ec4b57c78p-3, -0x1.371d970a1e9c4p-4, -0x1.5a693765f3164p-12, 0x1.0d2bbc5204f33p-4, 0x1.f4883c61350aap-4, 0x1.5ab6c6914d888p-3, 0x1.a887c3231b714p-3, 0x1.e48b4f25acab4p-3, 0x1.07e05e24bb3bdp-2, 0x1.15a148ed1ae26p-2, 0x1.1c1f4ac67ec0fp-2, 0x1.1bf81516f1c45p-2, 0x1.15cc34eb25841p-2, 0x1.0a3b7740ba486p-2, 0x1.f3c56afb9a34dp-3, 0x1.cab462997c1b1p-3, 0x1.9a67d63978fbdp-3, 0x1.63e400de98c62p-3, 0x1.2849d98314594p-3, 0x1.d10c12255733ep-4, 0x1.4af3ef87585f6p-4, 0x1.7fca316dab649p-5, 0x1.8aa7bfac7c443p-7, -0x1.7d9bfaafbc8a3p-6, -0x1.e22e78b31675ap-5, -0x1.82a24a3e257ecp-4, -0x1.0986ee1d959f1p-3, -0x1.50bf928aff69ap-3, -0x1.969cbd8d807f1p-3, -0x1.dacdbf1fdf133p-3, -0x1.0e86ef132194ap-2, -0x1.2e91752e2b6b3p-2, -0x1.4d6e240656c8ap-2, -0x1.6b092f0ccd218p-2, -0x1.8753118d02c85p-2, -0x1.a2404677d401cp-2, -0x1.bbc8e6a05aedap-2, -0x1.d3e8360d397c9p-2, -0x1.ea9c30c8cceb1p-2, -0x1.ffe5244914b6ap-2, -0x1.09e2adb9a108cp-1, -0x1.13206e79a868ap-1, -0x1.1bae9b6fb28aep-1, -0x1.2390a838e2048p-1, -0x1.2aca9e0fd4e91p-1, -0x1.31610411f573cp-1, -0x1.3758c778ffdecp-1, -0x1.3cb7252e0ae19p-1, -0x1.418195deb0a6ap-1, -0x1.45bdbd0875136p-1, -0x1.49715aa68fd6dp-1, -0x1.4ca23eb145caap-1, -0x1.4f563db539c6cp-1, -0x1.5193266311751p-1, -0x1.535eb8981d7f9p-1, -0x1.54be9e8051b98p-1, -0x1.55b867f52e287p-1, -0x1.565187868d61ep-1, -0x1.568f502ec868bp-1, -0x1.5678291ac66d1p-1, -0x1.560e98ccd214dp-1, -0x1.5558c49093e59p-1, -0x1.545b5fb605cebp-1, -0x1.531af26c7b9e3p-1, -0x1.519bda0115e73p-1, -0x1.4fe2497b3fdp-1, -0x1.4df24a2d037fdp-1, -0x1.4bcfbbed51d55p-1, -0x1.497e54e5e5bd3p-1, -0x1.4701a1100d74dp-1, -0x1.445d019d48eebp-1, -0x1.4193ac94ab7f5p-1, -0x1.3ea8ace58a14p-1, -0x1.3b9ee318b144fp-1, -0x1.387906aad266ep-1, -0x1.3539a7fcbbd69p-1, -0x1.31e332ae30dd4p-1, -0x1.2e77f02a93098p-1, -0x1.2afa0a2c2756ep-1, -0x1.276b8d02836efp-1, -0x1.23ce69782f385p-1, -0x1.202476473f364p-1, -0x1.1c6f7120c903ep-1, -0x1.18b0ff5bd62d9p-1, -0x1.14eaae6b0b8cfp-1, -0x1.111df43b63acfp-1, -0x1.0d4c2f9ad8317p-1, -0x1.0976a8bdc7224p-1, -0x1.059e91eff2acp-1, -0x1.01c508747ae5cp-1, -0x1.fbd62b20f2aeep-2, -0x1.f4235f6cf53edp-2, -0x1.ec73778babfdap-2, -0x1.e4c81c9f686cdp-2, -0x1.dd22d9a81a666p-2, -0x1.d5851dd5932ecp-2, -0x1.cdf03ea0685dep-2, -0x1.c665799ef457ap-2, -0x1.bee5f6136eb5ep-2, -0x1.b772c636e2028p-2, -0x1.b00ce84a2bc12p-2, -0x1.a8b54779adf18p-2, -0x1.a16cbca1e3448p-2, -0x1.9a340f0297178p-2, -0x1.930bf4ec88f34p-2, -0x1.8bf5147264d2ep-2, -0x1.84f0042287378p-2, -0x1.7dfd4bcbc29f8p-2, -0x1.771d654ca2e0ap-2, -0x1.7050bd6a8c9dap-2, -0x1.6997b4acea3b4p-2, -0x1.62f2a037f10a8p-2, -0x1.5c61caa298c0fp-2, -0x1.55e574c3ac503p-2, -0x1.4f7dd67289c84p-2, -0x1.492b1f38e9536p-2, -0x1.42ed76f3effa1p-2, -0x1.3cc4fe63c1abfp-2, -0x1.36b1cfa9b941cp-2, -0x1.30b3feb65cde1p-2, -0x1.2acb99a8d56e3p-2, -0x1.24f8a9224596ep-2, -0x1.1f3b308fb0c7ep-2, -0x1.19932e6d15908p-2, -0x1.14009c8443eacp-2, -0x1.0e8370297838dp-2, -0x1.091b9a774e40bp-2, -0x1.03c9088b178d2p-2, -0x1.fd174784129fcp-3, -0x1.f2c6a3eebd97bp-3, -0x1.e89feb8645bf1p-3, -0x1.dea2dd72513d2p-3, -0x1.d4cf334f21611p-3, -0x1.cb24a1a863636p-3, -0x1.c1a2d870620b8p-3, -0x1.b849837269a3bp-3, -0x1.af184abf3248ep-3, -0x1.a60ed3127bb93p-3, -0x1.9d2cbe3114b75p-3, -0x1.9471ab3ef60ccp-3, -0x1.8bdd370d2d706p-3, -0x1.836efc5fc0c72p-3, -0x1.7b26942bc751fp-3, -0x1.7302b1a4b2eadp-3, -0x1.6b04a1c05876dp-3, -0x1.632b2a5cde1d8p-3, -0x1.5b75df018751bp-3, -0x1.53e4523286bdbp-3, -0x1.4c761592849cep-3, -0x1.452aba013503ap-3, -0x1.3e01cfb78ad36p-3, -0x1.36fae6622af64p-3, -0x1.30158d3a8dd56p-3, -0x1.2951531f2eeaep-3, -0x1.22adc6ab0e29fp-3, -0x1.1c2a764c9f635p-3, -0x1.15c6f05c54821p-3, -0x1.0f82c332a67a9p-3, -0x1.095d7d3db4ac5p-3, -0x1.0356ad164ebafp-3, -0x1.fadbc328c1e7bp-4, -0x1.ef4553c54ab1dp-4, -0x1.e3e92b22fc15ep-4, -0x1.d8c66951bf24p-4, -0x1.cddc2f7266882p-4, -0x1.c3299fd65ac6bp-4, -0x1.b8adde1cdebfdp-4, -0x1.ae680f4e0a60ap-4, -0x1.a45759f36d6f8p-4, -0x1.9a7ae62e3c8cp-4, -0x1.90d1ddcb51904p-4, -0x1.875b6c54e3021p-4, -0x1.7e16bf22318e6p-4, -0x1.7503056546ffep-4, -0x1.6c1f7036f604dp-4, -0x1.636b32a144cecp-4, -0x1.5ae581a872389p-4, -0x1.528d9452c5211p-4, -0x1.4a62a3af4e9bcp-4, -0x1.4263eadbc87d5p-4, -0x1.3a90a709b372ap-4, -0x1.32e81782d42p-4, -0x1.2b697dad28436p-4, -0x1.24141d0e686f3p-4, -0x1.1ce73b4f2821dp-4, -0x1.15e2203d9de77p-4, -0x1.0f0415d01d05cp-4, -0x1.084c682745447p-4, -0x1.01ba658feba31p-4, -0x1.f69abd097b244p-5, -0x1.ea094b5f3ae62p-5, -0x1.ddbf1fd570c08p-5, -0x1.d1bae882a58bdp-5, -0x1.c5fb57e0995a2p-5, -0x1.ba7f24ccb2fffp-5, -0x1.af450a87dbd6fp-5, -0x1.a44bc8b5beee6p-5, -0x1.9992235b7529cp-5, -0x1.8f16e2dd968f6p-5, -0x1.84d8d3fdb9934p-5, -0x1.7ad6c7d75f5p-5, -0x1.710f93dc54c57p-5, -0x1.678211d08a843p-5, -0x1.5e2d1fc56977dp-5, -0x1.550fa014ab7c6p-5, -0x1.4c28795ac08d2p-5, -0x1.43769670c24d5p-5, -0x1.3af8e666023d1p-5, -0x1.32ae5c7939a25p-5, -0x1.2a95f0115d42dp-5, -0x1.22ae9cb624113p-5, -0x1.1af76208439bbp-5, -0x1.136f43b96677ap-5, -0x1.0c154983e8f83p-5, -0x1.04e87f225fb6ep-5, -0x1.fbcfe88dd1f4cp-6, -0x1.ee257924ab4fap-6, -0x1.e0cfdf164e8d9p-6, -0x1.d3cd5128d6609p-6, -0x1.c71c0dc8e8a24p-6, -0x1.baba5af6eb371p-6, -0x1.aea6863403772p-6, -0x1.a2dee46ee2ec5p-6, -0x1.9761d1f0621aap-6, -0x1.8c2db247f10f1p-6, -0x1.8140f037df1f5p-6, -0x1.7699fda17923bp-6, -0x1.6c3753710ad85p-6, -0x1.62177189b604bp-6, -0x1.5838deb136a43p-6, -0x1.4e9a287b82766p-6, -0x1.4539e3365427cp-6, -0x1.3c16a9d4a37a2p-6, -0x1.332f1dda0364p-6, -0x1.2a81e745f7bdfp-6, -0x1.220db47f3c294p-6, -0x1.19d13a3efe4bbp-6, -0x1.11cb337c131eap-6, -0x1.09fa61562cf1bp-6, -0x1.025d8b0107944p-6, -0x1.f5e6fb5f42514p-7, -0x1.e77618fedd7e4p-7, -0x1.d96620c739ce5p-7, -0x1.cbb4d020b86d8p-7, -0x1.be5fefcc70c14p-7, -0x1.b16553bafab92p-7, -0x1.a4c2dae364c1cp-7, -0x1.98766f1a45dc7p-7, -0x1.8c7e04e90ad36p-7, -0x1.80d79b6560fc2p-7, -0x1.75813c08e4876p-7, -0x1.6a78fa88feaaep-7, -0x1.5fbcf4aef7ddbp-7, -0x1.554b523053442p-7, -0x1.4b2244875f959p-7, -0x1.414006cc10121p-7, -0x1.37a2dd8d194dp-7, -0x1.2e4916a9511a1p-7, -0x1.253109295b99bp-7, -0x1.1c591519a1bccp-7, -0x1.13bfa364937f4p-7, -0x1.0b6325ad393cp-7, -0x1.0342162a155c3p-7, -0x1.f6b5ef00aa86p-8, -0x1.e758a93eae2e7p-8, -0x1.d8698139037a4p-8, -0x1.c9e5ad1ee5e48p-8, -0x1.bbca72dd04d4ep-8, -0x1.ae1527d73bbe8p-8, -0x1.a0c330a2f7a18p-8, -0x1.93d200c250228p-8, -0x1.873f1a5fd62ep-8, -0x1.7b080e0b15a13p-8, -0x1.6f2a7a75d2f93p-8, -0x1.63a40c31fdb6bp-8, -0x1.58727d7060312p-8, -0x1.4d9395c00a979p-8, -0x1.430529ce7a887p-8, -0x1.38c51b2882107p-8, -0x1.2ed157fbed386p-8, -0x1.2527dad9e81a3p-8, -0x1.1bc6aa7a26561p-8, -0x1.12abd97ecb9ebp-8, -0x1.09d58639182d5p-8, -0x1.0141da6ed7b68p-8, -0x1.f1de1641276b8p-9, -0x1.e1b6b0a11103dp-9, -0x1.d20a1994c3e3bp-9, -0x1.c2d4fbd77231bp-9, -0x1.b41416daaf36ep-9, -0x1.a5c43e5a7f88ep-9, -0x1.97e259f2efe3bp-9, -0x1.8a6b64b73614fp-9, -0x1.7d5c6cca5805dp-9, -0x1.70b292f958e5bp-9, -0x1.646b0a56f064fp-9, -0x1.588317d8be7ep-9, -0x1.4cf811f60a6ecp-9, -0x1.41c760480080dp-9, -0x1.36ee7b2b6f2fep-9, -0x1.2c6aeb6403ae8p-9, -0x1.223a49c105c9cp-9, -0x1.185a3ec38998cp-9, -0x1.0ec882461f6afp-9, -0x1.0582db25f5919p-9, -0x1.f90e3ddae46d6p-10, -0x1.e7a66300775dp-10, -0x1.d6ca099164297p-10, -0x1.c67530cdac892p-10, -0x1.b6a3f2c12ff47p-10, -0x1.a75283a7175bap-10, -0x1.98d137c209bb1p-10, -0x1.8a73c17819f6ap-10, -0x1.7c8b47fa6231p-10, -0x1.6f14629466173p-10, -0x1.620bbfdb8c3aap-10, -0x1.556e2522d0bbep-10, -0x1.49386df1127dfp-10, -0x1.3d678b7a02c32p-10, -0x1.31f884199d4f1p-10, -0x1.26e872d237b04p-10, -0x1.1c3486cd0dccp-10, -0x1.11da02dd502d8p-10, -0x1.07d63d05ae777p-10, -0x1.fc4d3c00873dfp-11, -0x1.e9914191e7d9cp-11, -0x1.d773a45457517p-11, -0x1.c5efa097dc327p-11, -0x1.b500948a79b39p-11, -0x1.a4a1ff5f81c5p-11, -0x1.94cf807b799d1p-11, -0x1.8584d6a45bd6ap-11, -0x1.76bddf364f8bap-11, -0x1.6876955c9f487p-11, -0x1.5aab114f01da8p-11, -0x1.4d57879309123p-11, -0x1.40784841b4aa8p-11, -0x1.3409be511cb9fp-11, -0x1.28086ee215f3fp-11, -0x1.1c70f891c525p-11, -0x1.114012cf2296ep-11, -0x1.06728d343aeb8p-11, -0x1.f80a9dc68127p-12, -0x1.e3eaabce8b945p-12, -0x1.d07f6d3137e16p-12, -0x1.bdc3360983147p-12, -0x1.abb084b3afbadp-12, -0x1.9a4200ab05782p-12, -0x1.8972796e67226p-12, -0x1.793ce56b8551ep-12, -0x1.699c60f09753ap-12, -0x1.5a8c2d248e558p-12, -0x1.4c07af057c174p-12, -0x1.3e0a6e6d448b9p-12, -0x1.3090151c4718p-12, -0x1.23946dca03f4bp-12, -0x1.1713633ba31a6p-12, -0x1.0b08ff6024719p-12, -0x1.fee2d4e46eefp-13, -0x1.e891d43f22b82p-13, -0x1.d317c16b4fdb5p-13, -0x1.be6d98a769e66p-13, -0x1.aa8c8c43e7168p-13, -0x1.976e031bb4a0cp-13, -0x1.850b9716db77p-13, -0x1.735f13b6b44e2p-13, -0x1.626274aba74bbp-13, -0x1.520fe47474a6ep-13, -0x1.4261bb0665024p-13, -0x1.33527c7e98707p-13, -0x1.24dcd7dc063f4p-13, -0x1.16fba5c2136c2p-13, -0x1.09a9e743861a6p-13, -0x1.f9c5896b9849ap-14, -0x1.e14319182629ep-14, -0x1.c9c36474df4ecp-14, -0x1.b33d9a41161a3p-14, -0x1.9da92ef7ccf9cp-14, -0x1.88fddac2ad8d1p-14, -0x1.7533977bb6116p-14, -0x1.62429ebc7b0ap-14, -0x1.502367fb5d58dp-14, -0x1.3ecea6b5fea53p-14, -0x1.2e3d48a8ae5bfp-14, -0x1.1e687412bb479p-14, -0x1.0f4986071e25ap-14, -0x1.00da10c93e599p-14, -0x1.e627b46b1271ep-15, -0x1.cbe1b46b597dp-15, -0x1.b2d6727ff701ap-15, -0x1.9afa9dc396e41p-15, -0x1.844340a95b72dp-15, -0x1.6ea5be3bb8e0dp-15, -0x1.5a17cf702bdadp-15, -0x1.468f808e1febap-15, -0x1.34032ea9fcd69p-15, -0x1.2269853204788p-15, -0x1.11b97b8e7c354p-15, -0x1.01ea52d30ff57p-15, -0x1.e5e7270338ecdp-16, -0x1.c99a16bc45e8ap-16, -0x1.aedd96a62d4f2p-16, -0x1.95a24acac5598p-16, -0x1.7dd95571351bp-16, -0x1.6774534382577p-16, -0x1.52655791fbf1p-16, -0x1.3e9ee8b377c0dp-16, -0x1.2c13fc80c5861p-16, -0x1.1ab7f4ec75b53p-16, -0x1.0a7e9cb2fcdd3p-16, -0x1.f6b8484d342d9p-17, -0x1.da8a3c24acff2p-17, -0x1.c05cf96bcd338p-17, -0x1.a81b1db1e2313p-17, -0x1.91aff9e9a4b78p-17, -0x1.7d078ce9ada9cp-17, -0x1.6a0e7e1719686p-17, -0x1.58b21839b56bap-17, -0x1.48e0447a2fbf3p-17, -0x1.3a8785855e86cp-17, -0x1.2d96f2d70c1c6p-17, -0x1.21fe342833aa1p-17, -0x1.17ad7d03b6052p-17, -0x1.0e95887b30579p-17, -0x1.06a794feaffcfp-17, -0x1.ffaac0a9f7826p-18, -0x1.f4224766ece9ep-18, -0x1.ea9b1feb3d292p-18, -0x1.e2fb93e1f6111p-18, -0x1.dd2acdcddbfebp-18, -0x1.d910d2240de2dp-18, -0x1.d696789e77b69p-18, -0x1.d5a565c1122dfp-18, -0x1.d62804946e175p-18, -0x1.d809808e713e6p-18, -0x1.db35bfb00430bp-18, -0x1.df995ccbe96c9p-18, -0x1.e521a1fe01ecbp-18, -0x1.ebbc834dfb013p-18, -0x1.f358997ac9e99p-18, -0x1.fbe51cf06abcep-18, -0x1.02a8f0723f17bp-17, -0x1.07c7a74d61ed1p-17, -0x1.0d4730661cae2p-17, -0x1.13204f9b3a1f1p-17, -0x1.194c0d24cd20dp-17, -0x1.1fc3b37db286ep-17, -0x1.2680cd5c9b104p-17, -0x1.2d7d23bd93601p-17, -0x1.34b2bbfa86dddp-17, -0x1.3c1bd5f2f9966p-17, -0x1.43b2ea4255af7p-17, -0x1.4b72a883699ecp-17, -0x1.5355f5a2757c8p-17, -0x1.5b57ea3c9b89ep-17, -0x1.6373d10ad7e87p-17, -0x1.6ba52559f6108p-17, -0x1.73e7918ebbfe6p-17, -0x1.7c36edb4ef565p-17, -0x1.848f3e1ae84dep-17, -0x1.8cecb1f67b735p-17, -0x1.954ba215652ccp-17, -0x1.9da88f96f6779p-17, -0x1.a60022b18cdefp-17, -0x1.ae4f297f16c49p-17, -0x1.b69296d4b30dep-17, -0x1.bec7812267c0ep-17, -0x1.c6eb215bebc3dp-17, -0x1.cefad1e943d06p-17, -0x1.d6f40da083d54p-17, -0x1.ded46ec5a3586p-17, -0x1.e699ae145e4dep-17, -0x1.ee41a1cf4c709p-17, -0x1.f5ca3cd68f473p-17, -0x1.fd318dc63c4dap-17, -0x1.023adf0d3c0fcp-16, -0x1.05ca88ad20245p-16, -0x1.0946f224304aep-16, -0x1.0caf560d16c9ep-16, -0x1.1002fada521a9p-16, -0x1.13413277334f3p-16, -0x1.166959eb7c0d8p-16, -0x1.197ad901f6e72p-16, -0x1.1c7521f1667ecp-16, -0x1.1f57b10791d47p-16, -0x1.22220c57206c9p-16, -0x1.24d3c36767a9dp-16, -0x1.276c6ee646e4p-16, -0x1.29ebb05ca9901p-16, -0x1.2c5131e4a3688p-16, -0x1.2e9ca5e13c373p-16, -0x1.30cdc6b916483p-16, -0x1.32e4569201ef1p-16, -0x1.34e01f0ed0108p-16, -0x1.36c0f10ecdd07p-16, -0x1.3886a46ec9aedp-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.7b354fb759379p-2, -0x1.35feb9f6d5dbdp-2, -0x1.e4f9697900e92p-3, -0x1.63decead7e395p-3, -0x1.d531fe27f365fp-4, -0x1.ea1eb0284a915p-5, -0x1.48b73c482cb78p-7, 0x1.1b7817c9fa26ap-5, 0x1.2f12fdd10d2cbp-4, 0x1.bb290d04786ecp-4, 0x1.19553d982b358p-3, 0x1.4b4a5f9f06361p-3, 0x1.7411f4708fcb6p-3, 0x1.94618f7188dbcp-3, 0x1.acfd15a101aa1p-3, 0x1.beaf0ceea0c8ap-3, 0x1.ca43c92426622p-3, 0x1.d0858b9391c01p-3, 0x1.d2389a7e37222p-3, 0x1.d01817305ec6fp-3, 0x1.cad3f5b313be9p-3, 0x1.c3082aa7b9b5bp-3, 0x1.b95a80575ef93p-3, 0x1.ae4bc0cb1b27p-3, 0x1.a257a2bfaf8b2p-3, 0x1.95ecbaeed1d18p-3, 0x1.896c2dc971fe2p-3, 0x1.7d29f60de643cp-3, 0x1.716dce5cfd0bfp-3, 0x1.667469cbbbd3dp-3, 0x1.5c7096d467fffp-3, 0x1.538c14e955569p-3, 0x1.4be82655c7aa2p-3, 0x1.459e111646071p-3, 0x1.40bfbab6f7902p-3, 0x1.3d58692cc6a08p-3, 0x1.3b6d9889efacep-3, 0x1.3affcfda3e93cp-3, 0x1.3c0b64b50d125p-3, 0x1.3e8923b7552bcp-3, 0x1.426edb2159d6cp-3, 0x1.47afcc96bad79p-3, 0x1.4e3d10465d98ep-3, 0x1.5605f3621a2c4p-3, 0x1.5ef856af2c84p-3, 0x1.69010bdf9a2ap-3, 0x1.740c2cbbcc742p-3, 0x1.8005673030d2dp-3, 0x1.8cd83c1cde45bp-3, 0x1.9a7031e09e7c5p-3, 0x1.a8b8fd0b79a4fp-3, 0x1.b79ea18ea9b9dp-3, 0x1.c70d8e7a863d8p-3, 0x1.d6f2b65538de3p-3, 0x1.e73ba597d05acp-3, 0x1.f7d6978f3b76bp-3, 0x1.04594437293d6p-2, 0x1.0cdfa164aa69ap-2, 0x1.1576b3a87903cp-2, 0x1.1e17377cb5878p-2, 0x1.26ba547cd5522p-2, 0x1.2f599b50a8469p-2, 0x1.37ef036c6218dp-2, 0x1.4074a3f625f2ap-2, 0x1.48e5dc36d69aep-2, 0x1.513d65fe15dc3p-2, 0x1.5976c8693bdfp-2, 0x1.618ded0a1d52cp-2, 0x1.697f1b0683cc5p-2, 0x1.7146f169f1b0ep-2, 0x1.78e26154b2f44p-2, 0x1.804ea898f916cp-2, 0x1.87894d1c2be7dp-2, 0x1.8e90190d4def9p-2, 0x1.956117c755552p-2, 0x1.9bfa9315dcf24p-2, 0x1.a25b108ee3355p-2, 0x1.a8814ec6896a1p-2, 0x1.ae6c423e7ce62p-2, 0x1.b41b120f3fd2cp-2, 0x1.b98d145f4111fp-2, 0x1.bec1cac8526c8p-2, 0x1.c3b8decff302ap-2, 0x1.c8721e9331117p-2, 0x1.cced79bdd699cp-2, 0x1.d12afed829fb9p-2, 0x1.d52ad8e9f2f3bp-2, 0x1.d8ed4d66f8b9ap-2, 0x1.dc72ba52b6ffp-2, 0x1.dfbb94871e82ap-2, 0x1.e2c8660c2d7b4p-2, 0x1.e599cc7314355p-2, 0x1.e830772dacf2p-2, 0x1.ea8d25e10518fp-2, 0x1.ecb0a6b694341p-2, 0x1.ee9bd4b2d5447p-2, 0x1.f04f961994da2p-2, 0x1.f1ccdae85e188p-2, 0x1.f3149b6e955b5p-2, 0x1.f427d70925e3ap-2, 0x1.f50793055397dp-2, 0x1.f5b4d9ab97493p-2, 0x1.f630b970ad988p-2, 0x1.f67c44488f27cp-2, 0x1.f6988f15508b1p-2, 0x1.f686b12b115a4p-2, 0x1.f647c3e248064p-2, 0x1.f5dce2327e00ap-2, 0x1.f5472850e73fdp-2, 0x1.f487b34fa072cp-2, 0x1.f39fa0bbd0366p-2, 0x1.f2900e39fee56p-2, 0x1.f15a1920f57e5p-2, 0x1.effede140e7b9p-2, 0x1.ee7f789e58e4ap-2, 0x1.ecdd02d01b2f3p-2, 0x1.eb1894e0566e8p-2, 0x1.e93344d3d28fp-2, 0x1.e72e262b0dc01p-2, 0x1.e50a49982028cp-2, 0x1.e2c8bcbd4677ep-2, 0x1.e06a89f46c978p-2, 0x1.ddf0b81f9e8fep-2, 0x1.db5c4a81e8dbcp-2, 0x1.d8ae409fea9f2p-2, 0x1.d5e796271795fp-2, 0x1.d30942da997e8p-2, 0x1.d0143a84b1cccp-2, 0x1.cd096ceba0f81p-2, 0x1.c9e9c5c928867p-2, 0x1.c6b62cc4051c8p-2, 0x1.c36f856ad0c0ap-2, 0x1.c016af3004bf8p-2, 0x1.bcac8566e9101p-2, 0x1.b931df4166a6bp-2, 0x1.b5a78fcec03f1p-2, 0x1.b20e65fb4e3p-2, 0x1.ae672c9146f8fp-2, 0x1.aab2aa3ab18e4p-2, 0x1.a6f1a184871cbp-2, 0x1.a324d0e304b4ep-2, 0x1.9f4cf2b71de9fp-2, 0x1.9b6abd550a3bep-2, 0x1.977ee30bbdcd5p-2, 0x1.938a122d41852p-2, 0x1.8f8cf517b7976p-2, 0x1.8b88323eeefdcp-2, 0x1.877b81d647aa3p-2, 0x1.836944dc1aaa2p-2, 0x1.7f514274b25fp-2, 0x1.7b34120a5e997p-2, 0x1.77124739258c3p-2, 0x1.72ec71d8abb65p-2, 0x1.6ec31e067b3d4p-2, 0x1.6a96d43090c38p-2, 0x1.6668192024f19p-2, 0x1.62376e049ee54p-2, 0x1.5e05507eaea6bp-2, 0x1.59d23aab80af4p-2, 0x1.559ea33011fbcp-2, 0x1.516afd449e11bp-2, 0x1.4d37b8c02aecep-2, 0x1.4905422432d46p-2, 0x1.44d402a870eefp-2, 0x1.40a46046d3393p-2, 0x1.3c76bdc78d77dp-2, 0x1.384b7acd5581cp-2, 0x1.3422f3e1bec3dp-2, 0x1.2ffd8281bdca7p-2, 0x1.2bdb7d2a462e2p-2, 0x1.27bd376506d99p-2, 0x1.23a301d537e66p-2, 0x1.1f8d2a447e079p-2, 0x1.1b7bfbafd2595p-2, 0x1.176fbe546fe8dp-2, 0x1.1368b7bcbbf4cp-2, 0x1.0f672acd22beap-2, 0x1.0b6b57d0e253bp-2, 0x1.07757c86bcb55p-2, 0x1.0385d42d8cf9ap-2, 0x1.ff392f216a911p-3, 0x1.f773fa28d8989p-3, 0x1.efbc7183b0fecp-3, 0x1.e812f8a60a6d7p-3, 0x1.e077ee7d521b5p-3, 0x1.d8ebad87745c6p-3, 0x1.d16e8be9ba6f4p-3, 0x1.ca00db874788p-3, 0x1.c2a2ea174792p-3, 0x1.bb55013ad32dap-3, 0x1.b417669287275p-3, 0x1.acea5bd3e2c1ep-3, 0x1.a5ce1ede64e97p-3, 0x1.9ec2e9d07c8a4p-3, 0x1.97c8f31c409bfp-3, 0x1.90e06d9c04fdap-3, 0x1.8a0988a6c7bd1p-3, 0x1.834470247c0f6p-3, 0x1.7c914ca233dd4p-3, 0x1.75f0436630ae2p-3, 0x1.6f617683cfa1ap-3, 0x1.68e504ef62f06p-3, 0x1.627b0a91e67b3p-3, 0x1.5c23a05c9c9a4p-3, 0x1.55dedc5c8a611p-3, 0x1.4facd1cdd193fp-3, 0x1.498d912ee84f9p-3, 0x1.43812853b2c8bp-3, 0x1.3d87a27865a13p-3, 0x1.37a108544dd9ep-3, 0x1.31cd602c615ap-3, 0x1.2c0cade5a1b93p-3, 0x1.265ef3174a42cp-3, 0x1.20c42f1ccaf4cp-3, 0x1.1b3c5f27888f9p-3, 0x1.15c77e506297bp-3, 0x1.106585a8f75f7p-3, 0x1.0b166c4cafc4bp-3, 0x1.05da277185718p-3, 0x1.00b0aa788562p-3, 0x1.f733cdfc1d5e9p-4, 0x1.ed2b99d39d018p-4, 0x1.e34894fce4347p-4, 0x1.d98a98d22a5e6p-4, 0x1.cff17ba0c59cbp-4, 0x1.c67d10c6efb29p-4, 0x1.bd2d28d0e59a5p-4, 0x1.b40191958a2f9p-4, 0x1.aafa16526fcb9p-4, 0x1.a2167fc74c59cp-4, 0x1.99569450f9a9ap-4, 0x1.90ba1803c35eep-4, 0x1.8840ccc549643p-4, 0x1.7fea7265c78e8p-4, 0x1.77b6c6b8d7b9bp-4, 0x1.6fa585adadd85p-4, 0x1.67b66966cc05fp-4, 0x1.5fe92a5133e42p-4, 0x1.583d7f3b14339p-4, 0x1.50b31d69f65a4p-4, 0x1.4949b8b06b518p-4, 0x1.420103833c327p-4, 0x1.3ad8af0e1dae8p-4, 0x1.33d06b47e970ep-4, 0x1.2ce7e7065f584p-4, 0x1.261ed0116e5bep-4, 0x1.1f74d33607eccp-4, 0x1.18e99c5880766p-4, 0x1.127cd6867b3c4p-4, 0x1.0c2e2c0865cdbp-4, 0x1.05fd4672841ep-4, 0x1.ffd39d6b1a269p-5, 0x1.f3e6da5db4bb3p-5, 0x1.e833937056d0dp-5, 0x1.dcb9176dfe8b9p-5, 0x1.d176b45706931p-5, 0x1.c66bb77e33583p-5, 0x1.bb976da4f3ef1p-5, 0x1.b0f92316d4babp-5, 0x1.a69023c4276f9p-5, 0x1.9c5bbb5be7759p-5, 0x1.925b3564d2eccp-5, 0x1.888ddd55c6677p-5, 0x1.7ef2fead52e77p-5, 0x1.7589e50899bb8p-5, 0x1.6c51dc3967335p-5, 0x1.634a305b9603bp-5, 0x1.5a722de9bbb57p-5, 0x1.51c921d11cb6dp-5, 0x1.494e5984f0807p-5, 0x1.41012310f13bap-5, 0x1.38e0cd2b422c2p-5, 0x1.30eca745a62d9p-5, 0x1.2924019e101f7p-5, 0x1.21862d4e8ac7cp-5, 0x1.1a127c5c7d1b4p-5, 0x1.12c841c74f7c4p-5, 0x1.0ba6d1966f7aep-5, 0x1.04ad80e6b9798p-5, 0x1.fbb74bee93f0dp-6, 0x1.ee61306b6c5b3p-6, 0x1.e15760936ad3fp-6, 0x1.d49890406a9efp-6, 0x1.c82375ebc7826p-6, 0x1.bbf6cac25a497p-6, 0x1.b0114ab762237p-6, 0x1.a471b4966e918p-6, 0x1.9916ca1436e55p-6, 0x1.8dff4fde8061bp-6, 0x1.832a0dab04ebp-6, 0x1.7895ce456a771p-6, 0x1.6e415f9c4ec03p-6, 0x1.642b92cd68a4fp-6, 0x1.5a533c30ceae5p-6, 0x1.50b733635dd0fp-6, 0x1.475653504e7aep-6, 0x1.3e2f7a39fa0b2p-6, 0x1.354189c1d4373p-6, 0x1.2c8b66efa455bp-6, 0x1.240bfa38015dcp-6, 0x1.1bc22f820f33fp-6, 0x1.13acf62c90f7ap-6, 0x1.0bcb411248945p-6, 0x1.041c068db1a8ep-6, 0x1.f93c80f82e227p-7, 0x1.eaa1d8801f78dp-7, 0x1.dc661586b78dp-7, 0x1.ce8740f06de35p-7, 0x1.c1036ab432eb4p-7, 0x1.b3d8a9dbd98d3p-7, 0x1.a7051c8389054p-7, 0x1.9a86e7d81db64p-7, 0x1.8e5c3814a495ep-7, 0x1.8283407edd7dfp-7, 0x1.76fa3b62e8f9dp-7, 0x1.6c030e0295ef2p-7, 0x1.6114830700574p-7, 0x1.5670bda3da634p-7, 0x1.4c161412f96edp-7, 0x1.4202e3742885p-7, 0x1.38358fc43a3ccp-7, 0x1.2eac83d362a35p-7, 0x1.2566313af72f7p-7, 0x1.1c61105290841p-7, 0x1.139ba024962c3p-7, 0x1.0b1466623f4acp-7, 0x1.02c9ef570c0a3p-7, 0x1.f5759bb784b5ep-8, 0x1.e5cb3691dc90dp-8, 0x1.d691eed1e8368p-8, 0x1.c7c710d36bab4p-8, 0x1.b967f59ba745p-8, 0x1.ab7202bb17bb2p-8, 0x1.9de2aa2e8b128p-8, 0x1.90b76a3f898f4p-8, 0x1.83edcd64226dap-8, 0x1.77836a1e2bde9p-8, 0x1.6b75e2d9fb58dp-8, 0x1.5fc2e5cca05f7p-8, 0x1.54682cd1ae222p-8, 0x1.49637d48a0586p-8, 0x1.3eb2a7f1dc786p-8, 0x1.345388cb5e345p-8, 0x1.2a4406ed19193p-8, 0x1.2082146510fd8p-8, 0x1.170bae133a6d6p-8, 0x1.0ddedb8521f2bp-8, 0x1.04f9aed16b64dp-8, 0x1.f8b488e648eefp-9, 0x1.e7fd8649f9a87p-9, 0x1.d7cab778cecep-9, 0x1.c81892094bfdp-9, 0x1.b8e39f339aa59p-9, 0x1.aa287b8784955p-9, 0x1.9be3d6a26d61cp-9, 0x1.8e1272e561c76p-9, 0x1.80b1252b33facp-9, 0x1.73bcd47ec6243p-9, 0x1.673279d172b04p-9, 0x1.5b0f1fb1b16dcp-9, 0x1.4f4fe20204b9cp-9, 0x1.43f1edb01f87bp-9, 0x1.38f2806c645b7p-9, 0x1.2e4ee861b4c3dp-9, 0x1.240483edb1fc9p-9, 0x1.1a10c15950e11p-9, 0x1.10711e91eb68ap-9, 0x1.072328e2be397p-9, 0x1.fc48f95dd98cfp-10, 0x1.eae58a57f50b5p-10, 0x1.da177839af486p-10, 0x1.c9da531aee2dap-10, 0x1.ba29c71df051p-10, 0x1.ab019be8d1305p-10, 0x1.9c5db420466cep-10, 0x1.8e3a0ce39847ap-10, 0x1.8092bd4a0146cp-10, 0x1.7363f5e13cb93p-10, 0x1.66aa002d8c271p-10, 0x1.5a613e2b0d669p-10, 0x1.4e8629d08c1fp-10, 0x1.43155493a7512p-10, 0x1.380b66ee89f1fp-10, 0x1.2d651fe703edap-10, 0x1.231f54972e5bap-10, 0x1.1936efb793013p-10, 0x1.0fa8f12ad604p-10, 0x1.06726d8ae88c7p-10, 0x1.fb211b6f9873fp-11, 0x1.ea011ccfc6f24p-11, 0x1.d97f7f73ae1e2p-11, 0x1.c997099013148p-11, 0x1.ba42a67b519bap-11, 0x1.ab7d65da9b03bp-11, 0x1.9d427ad264a16p-11, 0x1.8f8d3b3a17728p-11, 0x1.82591ed2dcacbp-11, 0x1.75a1be819a58ep-11, 0x1.6962d38c2b057p-11, 0x1.5d9836d9b3818p-11, 0x1.523de03628327p-11, 0x1.474fe598fc9c5p-11, 0x1.3cca7a6efb156p-11, 0x1.32a9eee730289p-11, 0x1.28eaaf42e5972p-11, 0x1.1f894328f1e35p-11, 0x1.16824cfbce123p-11, 0x1.0dd28932e9378p-11, 0x1.0576cdb6f5907p-11, 0x1.fad8128260283p-12, 0x1.eb5e857b5cd1ap-12, 0x1.dc7b31612a232p-12, 0x1.ce28813ca9ce4p-12, 0x1.c0610ced3c3dbp-12, 0x1.b31f9804bf95fp-12, 0x1.a65f10a912965p-12, 0x1.9a1a8e7b35072p-12, 0x1.8e4d5184004c4p-12, 0x1.82f2c126507b9p-12, 0x1.78066b16ab79p-12, 0x1.6d8402580f2dep-12, 0x1.63675e3e70a9cp-12, 0x1.59ac797601175p-12, 0x1.504f710fde4p-12, 0x1.474c8393c2fc8p-12, 0x1.3ea01016cd2edp-12, 0x1.36469556e996bp-12, 0x1.2e3cb0dbc5544p-12, 0x1.267f1e1bcaca8p-12, 0x1.1f0ab5a644b7p-12, 0x1.17dc6c524381ep-12, 0x1.10f15271bf793p-12, 0x1.0a4693098def4p-12, 0x1.03d9730daa3bap-12, 0x1.fb4ea143c20fdp-13, 0x1.ef5b44bdbe85dp-13, 0x1.e3d3ed36d1a6ep-13, 0x1.d8b3e5738d9d7p-13, 0x1.cdf6a4f2f482cp-13, 0x1.c397ce9936a4dp-13, 0x1.b9932f631891fp-13, 0x1.afe4bd20dfc7fp-13, 0x1.a688953939522p-13, 0x1.9d7afb7313531p-13, 0x1.94b858c7844ep-13, 0x1.8c3d3a3aeab72p-13, 0x1.84064fbc9ff6p-13, 0x1.7c106b0eb6738p-13, 0x1.74587eb3e0d16p-13, 0x1.6cdb9ce482febp-13, 0x1.6596f68a4855ap-13, 0x1.5e87da4268308p-13, 0x1.57abb36673221p-13, 0x1.5100091b3cba7p-13, 0x1.4a827d6633d09p-13, 0x1.4430cc48bc52bp-13, 0x1.3e08cae1973a7p-13, 0x1.38086694254dbp-13, 0x1.322da43546848p-13, 0x1.2c769f3e8a3aep-13, 0x1.26e18905ece9ap-13, 0x1.216ca7fbde8fcp-13, 0x1.1c1656ee224c1p-13, 0x1.16dd045075d9ap-13, 0x1.11bf3189b65d3p-13, 0x1.0cbb72466cb46p-13, 0x1.07d06bd062b3p-13, 0x1.02fcd46aaf63bp-13, 0x1.fc7ee565baa83p-14, 0x1.f32e3a0cacb3fp-14, 0x1.ea0571d951137p-14, 0x1.e102750bd03c3p-14, 0x1.d82347fb8edfdp-14, 0x1.cf660a04eace1p-14, 0x1.c6c8f47fdb0e5p-14, 0x1.be4a59be5690cp-14, 0x1.b5e8a4128c459p-14, 0x1.ada254dd2f41dp-14, 0x1.a57603a2573cep-14, 0x1.9d625d268ab9dp-14, 0x1.9566229263d6dp-14, 0x1.8d80289d5a4bcp-14, 0x1.85af56be91a4p-14, 0x1.7df2a6657c783p-14, 0x1.764922373b7cfp-14, 0x1.6eb1e5538334ep-14, 0x1.672c1a9efb27ep-14, 0x1.5fb6fc12b1ec9p-14, 0x1.5851d212efa8dp-14, 0x1.50fbf2c962f5dp-14, 0x1.49b4c1867a554p-14, 0x1.427bae26fe70ap-14, 0x1.3b50347edff8bp-14, 0x1.3431dbc8f596ap-14, 0x1.2d20361b92b28p-14, 0x1.261adfe18ac9fp-14, 0x1.1f217f57e8522p-14, 0x1.1833c40fef609p-14, 0x1.1151667569965p-14, 0x1.0a7a2759291abp-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.3cb271138ddfap-2, 0x1.0654d714e1f61p-2, 0x1.a20ef5a290e7dp-3, 0x1.3ba43cf911d94p-3, 0x1.b5e683be97e22p-4, 0x1.022ba4baa36b8p-4, 0x1.763f5cddad8f1p-6, -0x1.b8ff813c2ce9ap-7, -0x1.7746ff79e1f2fp-5, -0x1.3025d3fd4649ep-4, -0x1.95291c7502b9ap-4, -0x1.eb75db03faad7p-4, -0x1.1a0301933c529p-3, -0x1.37f9ae97b1ec2p-3, -0x1.50361895b9ccep-3, -0x1.6354d4f3d1945p-3, -0x1.71f311571a979p-3, -0x1.7caabc05eed18p-3, -0x1.840ff311800cep-3, -0x1.88af10437b3f6p-3, -0x1.8b0b0f77a19f3p-3, -0x1.8b96a20cc06b2p-3, -0x1.8aca53997251p-3, -0x1.8905c392dd4ffp-3, -0x1.86a07007b449ap-3, -0x1.83e6a48bfb97cp-3, -0x1.811a94f8b6aebp-3, -0x1.7e7551da08c64p-3, -0x1.7c2762d867bebp-3, -0x1.7a591f75b821p-3, -0x1.792b0188e2d45p-3, -0x1.78b623659a1c5p-3, -0x1.790cf8bb07eefp-3, -0x1.7a3c2c814b90ep-3, -0x1.7c4b7b778d5ap-3, -0x1.7f3e6af23a038p-3, -0x1.8314d44edfef4p-3, -0x1.87cb52c22afc9p-3, -0x1.8d5ba81308ce1p-3, -0x1.93bd2646d8fa9p-3, -0x1.9ae52068bfd45p-3, -0x1.a2c75b58e20cdp-3, -0x1.ab5674a9fe0b7p-3, -0x1.b48438cefc26ap-3, -0x1.be41e7e6b40a8p-3, -0x1.c8806cbd65c8ep-3, -0x1.d3308a3834ac1p-3, -0x1.de4302575b8acp-3, -0x1.e9a8b97319d49p-3, -0x1.f552d79019c49p-3, -0x1.009973bbbbc02p-2, -0x1.069d7894f9044p-2, -0x1.0caec6d1ca269p-2, -0x1.12c6fa2649f5ep-2, -0x1.18e002226d963p-2, -0x1.1ef425baa1d75p-2, -0x1.24fe05f0f2b6bp-2, -0x1.2af89f5dcaac8p-2, -0x1.30df4a5f4040dp-2, -0x1.36adba049d99bp-2, -0x1.3c5ffa067acc8p-2, -0x1.41f26c25b7132p-2, -0x1.4761c5404884dp-2, -0x1.4caaefec3b6b7p-2, -0x1.51cb3f8338d1ep-2, -0x1.56c071b186b55p-2, -0x1.5b88729d71e47p-2, -0x1.60217277e0816p-2, -0x1.6489e185e146bp-2, -0x1.68c06c31de9c3p-2, -0x1.6cc3f7499af05p-2, -0x1.70939c87b5145p-2, -0x1.742ea777050f1p-2, -0x1.779492a67639ep-2, -0x1.7ac5050e53619p-2, -0x1.7dbfcf7e2fa52p-2, -0x1.8084e9f008187p-2, -0x1.831470ada4f6cp-2, -0x1.856ea148f2ac5p-2, -0x1.8793d7782a1eep-2, -0x1.898489f02a49ep-2, -0x1.8b41475a9e549p-2, -0x1.8ccab38376b01p-2, -0x1.8e2184d2dddf6p-2, -0x1.8f46821f44ab5p-2, -0x1.903a80d7f81c5p-2, -0x1.90fe637e53284p-2, -0x1.9193185c3a679p-2, -0x1.91f998632956ep-2, -0x1.9232e61fd403ep-2, -0x1.92400cb230d3cp-2, -0x1.92221ebf5e6ccp-2, -0x1.91da355906759p-2, -0x1.91696edb5d3d7p-2, -0x1.90d0edc6dcea3p-2, -0x1.9011d79d1ee56p-2, -0x1.8f2d53c8c059fp-2, -0x1.8e248a97b9c17p-2, -0x1.8cf8a44e3c377p-2, -0x1.8baac85698d0bp-2, -0x1.8a3c1c90c0658p-2, -0x1.88adc4c1e5771p-2, -0x1.8700e22296e55p-2, -0x1.85369307be778p-2, -0x1.834ff2a182813p-2, -0x1.814e18ca51a67p-2, -0x1.7f3219e0898a2p-2, -0x1.7cfd06a5d2f49p-2, -0x1.7aafec207128p-2, -0x1.784bd37bf7b72p-2, -0x1.75d1c1e7f6bfdp-2, -0x1.7342b87420321p-2, -0x1.709fb3ea2eb44p-2, -0x1.6de9aca655605p-2, -0x1.6b21966f5e23dp-2, -0x1.6848604fc735dp-2, -0x1.655ef4713cd8p-2, -0x1.626637fbb5b79p-2, -0x1.5f5f0af94e0c6p-2, -0x1.5c4a483faed85p-2, -0x1.5928c55f8a104p-2, -0x1.55fb529a5574cp-2, -0x1.52c2bade12d99p-2, -0x1.4f7fc3c6bafccp-2, -0x1.4c332da48f203p-2, -0x1.48ddb386959b5p-2, -0x1.45800b4857da3p-2, -0x1.421ae5a218cd4p-2, -0x1.3eaeee3ac63b7p-2, -0x1.3b3ccbbaff97fp-2, -0x1.37c51fe0b7a84p-2, -0x1.34488793134c1p-2, -0x1.30c79af64682ap-2, -0x1.2d42ed7f554a7p-2, -0x1.29bb0e07adcd1p-2, -0x1.263086e0a9796p-2, -0x1.22a3dde70e1dbp-2, -0x1.1f159496a6c1bp-2, -0x1.1b86281e0f145p-2, -0x1.17f61172c4c7bp-2, -0x1.1465c56585028p-2, -0x1.10d5b4b6f88bap-2, -0x1.0d464c2ca967ep-2, -0x1.09b7f4a63052fp-2, -0x1.062b13328b1efp-2, -0x1.02a009258b448p-2, -0x1.fe2e685a801acp-3, -0x1.f720e08299eacp-3, -0x1.f01a0b583338cp-3, -0x1.e919acbf50cbbp-3, -0x1.e22064c50678bp-3, -0x1.db2ecce0d4c8fp-3, -0x1.d445781c4279p-3, -0x1.cd64f33a307aep-3, -0x1.c68dc4ddd19c3p-3, -0x1.bfc06db120deep-3, -0x1.b8fd688acf7aep-3, -0x1.b2452a938bc02p-3, -0x1.ab98236aa45c3p-3, -0x1.a4f6bd4a001abp-3, -0x1.9e615d29669a6p-3, -0x1.97d862e12aae1p-3, -0x1.915c294c32e42p-3, -0x1.8aed066972ae3p-3, -0x1.848b4b7cda502p-3, -0x1.7e37452fc4a0fp-3, -0x1.77f13bb0eb688p-3, -0x1.71b972d3ea452p-3, -0x1.6b902a304f37ep-3, -0x1.65759d4034716p-3, -0x1.5f6a037e787bfp-3, -0x1.596d908470b1cp-3, -0x1.53807427392fdp-3, -0x1.4da2da947d522p-3, -0x1.47d4ec6ec7af5p-3, -0x1.4216cee953691p-3, -0x1.3c68a3e34e1d8p-3, -0x1.36ca8a02996b8p-3, -0x1.313c9ccdf0c64p-3, -0x1.2bbef4c686f21p-3, -0x1.2651a78107d07p-3, -0x1.20f4c7be02e0cp-3, -0x1.1ba86581bf579p-3, -0x1.166c8e2b71e19p-3, -0x1.11414c8be3059p-3, -0x1.0c26a8fb78f56p-3, -0x1.071ca96fb1fdap-3, -0x1.022351900f956p-3, -0x1.fa754594ece76p-4, -0x1.f0c538ce1ff5cp-4, -0x1.e73677373dce1p-4, -0x1.ddc8f73cd31bcp-4, -0x1.d47cab714926cp-4, -0x1.cb5182b0dd93dp-4, -0x1.c2476844d1976p-4, -0x1.b95e4405c60d4p-4, -0x1.b095fa7d4d415p-4, -0x1.a7ee6d06ce8e1p-4, -0x1.9f6779efaa3a3p-4, -0x1.9700fc96b6bd2p-4, -0x1.8ebacd8b0a65dp-4, -0x1.8694c2aa24ea5p-4, -0x1.7e8eaf3d75029p-4, -0x1.76a864173b488p-4, -0x1.6ee1afaed0b2bp-4, -0x1.673a5e3c5024p-4, -0x1.5fb239d3a33afp-4, -0x1.58490a7ef6149p-4, -0x1.50fe96588fe53p-4, -0x1.49d2a1a413ec8p-4, -0x1.42c4eee7268b1p-4, -0x1.3bd53f017d57p-4, -0x1.3503514453acdp-4, -0x1.2e4ee3894a3ep-4, -0x1.27b7b248ae1a8p-4, -0x1.213d78af28f57p-4, -0x1.1adff0b2dd1d2p-4, -0x1.149ed327ebe9fp-4, -0x1.0e79d7d4691b7p-4, -0x1.0870b583bc8bbp-4, -0x1.0283221972ecep-4, -0x1.f961a547022b9p-5, -0x1.edf2f6d7f4152p-5, -0x1.e2b9a01474165p-5, -0x1.d7b506e714b16p-5, -0x1.cce490167e901p-5, -0x1.c2479f64a3b75p-5, -0x1.b7dd97acf23d6p-5, -0x1.ada5db018b141p-5, -0x1.a39fcac7822e9p-5, -0x1.99cac7d22910fp-5, -0x1.9026327d72908p-5, -0x1.86b16ac76b8cp-5, -0x1.7d6bd068d384p-5, -0x1.7454c2ecd94c6p-5, -0x1.6b6ba1c7ff5b5p-5, -0x1.62afcc6e3027ep-5, -0x1.5a20a26804007p-5, -0x1.51bd836741d85p-5, -0x1.4985cf5a99a5ap-5, -0x1.4178e680a5526p-5, -0x1.3996297a2cbd7p-5, -0x1.31dcf95bb7b2bp-5, -0x1.2a4cb7be6ee97p-5, -0x1.22e4c6d0509b2p-5, -0x1.1ba48963c1248p-5, -0x1.148b62fe7378dp-5, -0x1.0d98b7e7b5b6ap-5, -0x1.06cbed3622934p-5, -0x1.002468dcbb20cp-5, -0x1.f343236ed5632p-6, -0x1.e6859f2dfd675p-6, -0x1.da0f16991d476p-6, -0x1.cdde5d68bc9a8p-6, -0x1.c1f249806b896p-6, -0x1.b649b30279a6dp-6, -0x1.aae37462a2c9fp-6, -0x1.9fbe6a77ce0fep-6, -0x1.94d9748cd30e1p-6, -0x1.8a33747055653p-6, -0x1.7fcb4e83bf253p-6, -0x1.759fe9c9502a8p-6, -0x1.6bb02ff15b12bp-6, -0x1.61fb0d66aade9p-6, -0x1.587f715a162bfp-6, -0x1.4f3c4dcd4a976p-6, -0x1.4630979cd0f8bp-6, -0x1.3d5b468950d07p-6, -0x1.34bb55401b57p-6, -0x1.2c4fc162fd7aap-6, -0x1.24178b8f63592p-6, -0x1.1c11b764cbcep-6, -0x1.143d4b8a9972dp-6, -0x1.0c9951b5405ecp-6, -0x1.0524d6aace87ep-6, -0x1.fbbdd48dcecfep-7, -0x1.ed8d3efc4298cp-7, -0x1.dfb618c1ad3c2p-7, -0x1.d236943ada795p-7, -0x1.c50cea04250aep-7, -0x1.b83758fbf431p-7, -0x1.abb42644320e1p-7, -0x1.9f819d42d6fb8p-7, -0x1.939e0fa184348p-7, -0x1.8807d54c418c9p-7, -0x1.7cbd4c6f55be5p-7, -0x1.71bcd97456e1ep-7, -0x1.6704e6fe665fap-7, -0x1.5c93e5e5b5ed5p-7, -0x1.52684d3244b29p-7, -0x1.48809a15ef522p-7, -0x1.3edb4fe5d3d34p-7, -0x1.3576f8130af8bp-7, -0x1.2c522222cc453p-7, -0x1.236b63a5f33f2p-7, -0x1.1ac1582ff917ep-7, -0x1.1252a14d63469p-7, -0x1.0a1de679aef81p-7, -0x1.0221d514c1e9ep-7, -0x1.f4ba40afc6716p-8, -0x1.e59d0294896eep-8, -0x1.d6e96d6a47fbdp-8, -0x1.c89d0a2f0a039p-8, -0x1.bab56d331d593p-8, -0x1.ad3035ff205ffp-8, -0x1.a00b0f395f981p-8, -0x1.9343ae8a9ed4fp-8, -0x1.86d7d48247ec8p-8, -0x1.7ac54c7a17131p-8, -0x1.6f09ec79437c9p-8, -0x1.63a3951735b6bp-8, -0x1.5890315dd1143p-8, -0x1.4dcdb6ab58542p-8, -0x1.435a2493f99e4p-8, -0x1.393384c302f68p-8, -0x1.2f9267863bdf2p-8, -0x1.25ffa7926438cp-8, -0x1.1cb42d62124aap-8, -0x1.13ae29dc160e4p-8, -0x1.0aebd761d0b05p-8, -0x1.026b79af0d646p-8, -0x1.f456bb737714ep-9, -0x1.e453b323195d6p-9, -0x1.d4ca987f02bb9p-9, -0x1.c5b83b4ab4368p-9, -0x1.b7197cba1891cp-9, -0x1.a8eb4f304e059p-9, -0x1.9b2ab5fe88bcp-9, -0x1.8dd4c522ebbc1p-9, -0x1.80e6a10781eb9p-9, -0x1.745d7e4158d7cp-9, -0x1.6836a14fb7a3cp-9, -0x1.5c6f5e5b91134p-9, -0x1.510518f72de04p-9, -0x1.45f543de146ep-9, -0x1.3b3d60b533792p-9, -0x1.30daffcb688adp-9, -0x1.26cbbfda5a4dp-9, -0x1.1d0d4dc79ffe7p-9, -0x1.139d64665dfedp-9, -0x1.0a79cc3948cf7p-9, -0x1.01a05b350a089p-9, -0x1.f21de9064eb17p-10, -0x1.e187108aafb65p-10, -0x1.d17826b2bb71ep-10, -0x1.c1ed3e3abf28bp-10, -0x1.b2e282697b9b9p-10, -0x1.a454369b1854p-10, -0x1.963eb5cce2bacp-10, -0x1.889e722a75782p-10, -0x1.7b6ff49be2c8ep-10, -0x1.6eafdc5514733p-10, -0x1.625ade666039ep-10, -0x1.566dc54e5790dp-10, -0x1.4ae5708cc74f2p-10, -0x1.3fbed4370926cp-10, -0x1.34f6f88d81b98p-10, -0x1.2a8af992959aap-10, -0x1.207806a2a927p-10, -0x1.16bb620d9f2c1p-10, -0x1.0d5260b19bd09p-10, -0x1.043a6997120e1p-10, -0x1.f6e1eb1c6acc9p-11, -0x1.e5e71d9b4fb9ap-11, -0x1.d57fa12546f54p-11, -0x1.c5a6cd84d63d9p-11, -0x1.b6581b1a10ec7p-11, -0x1.a78f2222e1199p-11, -0x1.99479a0638486p-11, -0x1.8b7d58a199174p-11, -0x1.7e2c5199a37f3p-11, -0x1.715095ad33f47p-11, -0x1.64e6520b3bafp-11, -0x1.58e9cfab6458dp-11, -0x1.4d5772a94ae3ap-11, -0x1.422bb9a2751aep-11, -0x1.37633d170fe6fp-11, -0x1.2cfaaecd2f53fp-11, -0x1.22eed936d0161p-11, -0x1.193c9eda88132p-11, -0x1.0fe0f9bee7c09p-11, -0x1.06d8fad832b4fp-11, -0x1.fc4392f229df2p-12, -0x1.eb71458b5c68ep-12, -0x1.db35b2529c034p-12, -0x1.cb8ba79d6f2c1p-12, -0x1.bc6e1c35d805cp-12, -0x1.add82e55156fcp-12, -0x1.9fc522a3089efp-12, -0x1.9230633b16eebp-12, -0x1.85157eb57f8ecp-12, -0x1.78702735b7de8p-12, -0x1.6c3c317dc00cep-12, -0x1.60759405d3b5cp-12, -0x1.551866193bbfbp-12, -0x1.4a20def785394p-12, -0x1.3f8b54fa7d969p-12, -0x1.35543cc097fcap-12, -0x1.2b78285bc74f3p-12, -0x1.21f3c685125d2p-12, -0x1.18c3e1d4448ap-12, -0x1.0fe55ffbe30bp-12, -0x1.07554109befb4p-12, -0x1.fe213d56a86fap-13, -0x1.ee2956ecdb694p-13, -0x1.debd646c46375p-13, -0x1.cfd82a7708403p-13, -0x1.c1749b64a0315p-13, -0x1.b38dd5f35c572p-13, -0x1.a61f2401432ffp-13, -0x1.9923f94cafaacp-13, -0x1.8c97f23be86eap-13, -0x1.8076d2ad31dd4p-13, -0x1.74bc84cc6ab85p-13, -0x1.696517f0e642fp-13, -0x1.5e6cbf81d8ef1p-13, -0x1.53cfd1e1891fcp-13, -0x1.498ac75f60d4bp-13, -0x1.3f9a39303d356p-13, -0x1.35fae06d8b343p-13, -0x1.2ca9951a78a35p-13, -0x1.23a34d2fa79e4p-13, -0x1.1ae51bac8881ap-13, -0x1.126c2faf1798dp-13, -0x1.0a35d39162acap-13, -0x1.023f6c0c73606p-13, -0x1.f50ceec2a1684p-14, -0x1.e611190fa6702p-14, -0x1.d786b4c354034p-14, -0x1.c9694de7d5ef2p-14, -0x1.bbb49d4ac7faap-14, -0x1.ae648703acd96p-14, -0x1.a1751904f6e26p-14, -0x1.94e289b697eccp-14, -0x1.88a9369a360c5p-14, -0x1.7cc5a2f8a2ffdp-14, -0x1.71347698b20f3p-14, -0x1.65f27c7ec2795p-14, -0x1.5afca1b5b65fp-14, -0x1.504ff41f71665p-14, -0x1.45e9a14f0a4acp-14, -0x1.3bc6f569b2194p-14, -0x1.31e55a1203ef8p-14, -0x1.284255584eb4cp-14, -0x1.1edb88b4bfafbp-14, -0x1.15aeb00885cbfp-14, -0x1.0cb9a0a5b6135p-14, -0x1.03fa485f6bd63p-14, -0x1.f6dd59401af8p-15, -0x1.e629d30de89ap-15, -0x1.d5d662199c749p-15, -0x1.c5df945cfeeb5p-15, -0x1.b642203c73411p-15, -0x1.a6fae2f69d32p-15, -0x1.9806df1f9ef71p-15, -0x1.89633b2854389p-15, -0x1.7b0d3ff2f2395p-15, -0x1.6d02576ee0488p-15, -0x1.5f400b446009bp-15, -0x1.51c4038a7783fp-15, -0x1.448c058366e4p-15, -0x1.3795f268526fcp-15, -0x1.2adfc63c86bf9p-15, -0x1.1e6796ab4b211p-15, -0x1.122b91ef39af2p-15, -0x1.0629fdc3038a5p-15, -0x1.f4c26cb78c9dcp-16, -0x1.dd9f5ad5e14a6p-16, -0x1.c6e7d2560efa7p-16, -0x1.b09906e52154dp-16, -0x1.9ab051a1c8f84p-16, -0x1.852b2f6399efap-16, -0x1.70073f162b93ep-16, -0x1.5b42401cf00d8p-16, -0x1.46da10c934fe6p-16, -0x1.32ccace13daabp-16, -0x1.1f182c2fe985cp-16, -0x1.0bbac125dcbabp-16, -0x1.f1656f0968e13p-17, -0x1.cbfce63295b95p-17, -0x1.a738dd022078ap-17, -0x1.831673f8f4fa4p-17, -0x1.5f92f49598f7cp-17, -0x1.3cabcf269ce54p-17, -0x1.1a5e98b0c6e2fp-17, -0x1.f15211cecffacp-18, -0x1.af11f0896710ep-18, -0x1.6df8bc4170d68p-18, -0x1.2e029de4a2fb5p-18, -0x1.de57ea3ed83d7p-19, -0x1.62e2aa39b64d9p-19, -0x1.d33e0553bd75fp-20, -0x1.ca1b5465251c4p-21, 0x1.35d414462a6c1p-26, 0x1.d4f7be5f5ec42p-21, 0x1.cbea63a97510cp-20, 0x1.54965ab7613bp-19, 0x1.c126163356f7ep-19, 0x1.15d46a81a7bafp-18, 0x1.4a11688cfa9f4p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.7a2a63e3e7fb5p-2, -0x1.864c10a222b6p-2, -0x1.915d30833cf07p-2, -0x1.9b581ebdc6889p-2, -0x1.a4391c0027584p-2, -0x1.abfe368975c48p-2, -0x1.b2a72e55731dep-2, -0x1.b835568c86859p-2, -0x1.bcab753820f06p-2, -0x1.c00da20ff7b11p-2, -0x1.c261250db977ep-2, -0x1.c3ac5552fe21bp-2, -0x1.c3f678d02b2fdp-2, -0x1.c347a5025f1f5p-2, -0x1.c1a8a109a91f3p-2, -0x1.bf22c94770b3p-2, -0x1.bbbff4a681236p-2, -0x1.b78a5ba23aa4dp-2, -0x1.b28c8118879cbp-2, -0x1.acd11cea37c28p-2, -0x1.a6630866cb54dp-2, -0x1.9f4d2c7b6ee24p-2, -0x1.979a7198b8c8p-2, -0x1.8f55b13f6530ap-2, -0x1.8689a921c3c73p-2, -0x1.7d40efc5af548p-2, -0x1.7385ea917ed8ep-2, -0x1.6962c52da61bfp-2, -0x1.5ee16a2420dccp-2, -0x1.540b7ca6c8a1cp-2, -0x1.48ea5365cb96fp-2, -0x1.3d86f45ff0c7dp-2, -0x1.31ea1196e7938p-2, -0x1.261c0692b2757p-2, -0x1.1a24d6a00a2fep-2, -0x1.0e0c2bb6adaa4p-2, -0x1.01d955f5860e8p-2, -0x1.eb269747572dap-3, -0x1.d281534ceabccp-3, -0x1.b9cf68bbaaba3p-3, -0x1.a11cb1b2cd3fp-3, -0x1.88745cb34ffcp-3, -0x1.6fe0f023d9e72p-3, -0x1.576c4e411d359p-3, -0x1.3f1fb967dc965p-3, -0x1.2703d8a76e6abp-3, -0x1.0f20bc8d6bd1ep-3, -0x1.eefbc839b48d3p-4, -0x1.c04483c92fdb3p-4, -0x1.922882549540ep-4, -0x1.64b39640a73afp-4, -0x1.37f0983cf8f7fp-4, -0x1.0be971ac615bdp-4, -0x1.c14e4df01fcd1p-5, -0x1.6c63c3855be1ap-5, -0x1.1921f5e506ce6p-5, -0x1.8f2c122c56b3fp-6, -0x1.df2e9a7fdf2d3p-7, -0x1.4e6882bd0ef87p-8, 0x1.12e66a8d27991p-8, 0x1.b2a9261bfdee4p-7, 0x1.6a29dba67298bp-6, 0x1.f72ecae4f9f4cp-6, 0x1.402d6d348d6f2p-5, 0x1.82d3c3f09aa49p-5, 0x1.c3881b8ae1ffp-5, 0x1.01248545bfe32p-4, 0x1.1f8aff22994f9p-4, 0x1.3cf796c5204acp-4, 0x1.596ac5f69b5b4p-4, 0x1.74e55ec56d34ap-4, 0x1.8f6885ad26c03p-4, 0x1.a8f5ac00197e5p-4, 0x1.c18e8a90ab3bp-4, 0x1.d9351c98b1dfep-4, 0x1.efeb9adce17bap-4, 0x1.02da3b8545552p-3, 0x1.0d492ba6d5c5ep-3, 0x1.1744090ebb444p-3, 0x1.20cc551eae851p-3, 0x1.29e3a57859a98p-3, 0x1.328ba22f8f659p-3, 0x1.3ac60413f1f67p-3, 0x1.429493111d4c8p-3, 0x1.49f924a47dc8cp-3, 0x1.50f59a67e0c79p-3, 0x1.578be0aff4a9ep-3, 0x1.5dbded3dd9d2p-3, 0x1.638dbe02fce89p-3, 0x1.68fd57f6674dap-3, 0x1.6e0ec5fad2463p-3, 0x1.72c417d4aff2bp-3, 0x1.771f612f82edcp-3, 0x1.7b22b8b1ca1a9p-3, 0x1.7ed0371eda62p-3, 0x1.8229f6860aaefp-3, 0x1.8532117e823d8p-3, 0x1.87eaa26f28d05p-3, 0x1.8a55c2e21612dp-3, 0x1.8c758ae2f8b0ep-3, 0x1.8e4c1067f4b9fp-3, 0x1.8fdb66c4755c7p-3, 0x1.91259e256b664p-3, 0x1.922cc3169c2ep-3, 0x1.92f2de107265fp-3, 0x1.9379f30df71ffp-3, 0x1.93c4012a8a56bp-3, 0x1.93d30246ed07dp-3, 0x1.93a8eab5494fap-3, 0x1.9347a8ebd8a59p-3, 0x1.92b1253dd3c75p-3, 0x1.91e7419a59a58p-3, 0x1.90ebd950fc632p-3, 0x1.8fc0c0dbb0aedp-3, 0x1.8e67c5adcbe4dp-3, 0x1.8ce2ae07db51bp-3, 0x1.8b3338d0080f9p-3, 0x1.895b1d6ece50ep-3, 0x1.875c0bafd270ep-3, 0x1.8537aba6900e9p-3, 0x1.82ef9d96b737fp-3, 0x1.808579e007435p-3, 0x1.7dfad0ed6aa6dp-3, 0x1.7b512b2733419p-3, 0x1.788a08e846b4fp-3, 0x1.75a6e2760b505p-3, 0x1.72a927faf885ep-3, 0x1.6f924183a0b1ap-3, 0x1.6c638efe0f405p-3, 0x1.691e683b58e83p-3, 0x1.65c41cf342af7p-3, 0x1.6255f4c9dace6p-3, 0x1.5ed52f56ed6fep-3, 0x1.5b43042f31402p-3, 0x1.57a0a2ef19504p-3, 0x1.53ef33472a014p-3, 0x1.502fd509c6681p-3, 0x1.4c63a03a521a1p-3, 0x1.488ba51d94e9dp-3, 0x1.44a8ec4b57c78p-3, 0x1.40bc76c1116ep-3, 0x1.3cc73df5a580ap-3, 0x1.38ca33ee13ca1p-3, 0x1.34c643531419dp-3, 0x1.30bc4f877e328p-3, 0x1.2cad34bf84d3fp-3, 0x1.2899c81898c62p-3, 0x1.2482d7b202da1p-3, 0x1.20692ac60b888p-3, 0x1.1c4d81c3be415p-3, 0x1.183096692298fp-3, 0x1.14131bddf25dep-3, 0x1.0ff5beceb697ep-3, 0x1.0bd92588470bp-3, 0x1.07bdf01397235p-3, 0x1.03a4b851d9f49p-3, 0x1.ff1c2431b6026p-4, 0x1.f6f5169f2cac6p-4, 0x1.eed55815f9437p-4, 0x1.e6bded55c3058p-4, 0x1.deafcfee03308p-4, 0x1.d6abee784cf14p-4, 0x1.ceb32cd2ac31p-4, 0x1.c6c6645a10b38p-4, 0x1.bee66424cc8edp-4, 0x1.b713f13cef747p-4, 0x1.af4fc6da9cb2ep-4, 0x1.a79a969e3fca5p-4, 0x1.9ff508ca78e12p-4, 0x1.985fbc7df7fa4p-4, 0x1.90db47ece9b12p-4, 0x1.8968389a352a5p-4, 0x1.8207139051845p-4, 0x1.7ab85599beecep-4, 0x1.737c73791682ap-4, 0x1.6c53da20a5edap-4, 0x1.653eeee992d0fp-4, 0x1.5e3e0fca7c0cfp-4, 0x1.5751938d919d1p-4, 0x1.5079ca061f042p-4, 0x1.49b6fc457ec81p-4, 0x1.43096ccf720fdp-4, 0x1.3c7157cdd8de2p-4, 0x1.35eef343c1c4cp-4, 0x1.2f826f3fcf78cp-4, 0x1.292bf60dee7bcp-4, 0x1.22ebac685672cp-4, 0x1.1cc1b1a7d26b3p-4, 0x1.16ae1ff34e4cp-4, 0x1.10b10c6ea5391p-4, 0x1.0aca8768ad0b8p-4, 0x1.04fa9c887c66dp-4, 0x1.fe82a5f3d5702p-5, 0x1.f33d5b328abccp-5, 0x1.e825563c7183p-5, 0x1.dd3a8c8bd9457p-5, 0x1.d27cebf8a2bc9p-5, 0x1.c7ec5b0939107p-5, 0x1.bd88b941e9c89p-5, 0x1.b351df729793fp-5, 0x1.a947a002c8431p-5, 0x1.9f69c73c0e4d9p-5, 0x1.95b81b92c8f73p-5, 0x1.8c325ded42d0cp-5, 0x1.82d849e9267edp-5, 0x1.79a9961f5128p-5, 0x1.70a5f466006fap-5, 0x1.67cd12115f811p-5, 0x1.5f1e983272778p-5, 0x1.569a2bd4650f4p-5, 0x1.4e3f6e383c46dp-5, 0x1.460dfd0ef19e3p-5, 0x1.3e0572b1f633ap-5, 0x1.3625665a25d37p-5, 0x1.2e6d6c5527e04p-5, 0x1.26dd163948a11p-5, 0x1.1f73f317c98c7p-5, 0x1.18318fadaee72p-5, 0x1.111576930eee4p-5, 0x1.0a1f3068e779ep-5, 0x1.034e44057d43ap-5, 0x1.f9446d3e99cf7p-6, 0x1.ec3517ed1f7c1p-6, 0x1.df6d8cfab23a9p-6, 0x1.d2eccefcae95cp-6, 0x1.c6b1de846a8e7p-6, 0x1.babbba6751705p-6, 0x1.af0960046055ep-6, 0x1.a399cb8710057p-6, 0x1.986bf827b330ep-6, 0x1.8d7ee0695b639p-6, 0x1.82d17e554ba8ap-6, 0x1.7862cbb40917cp-6, 0x1.6e31c2440f9fp-6, 0x1.643d5bee40d95p-6, 0x1.5a8492f80f0e5p-6, 0x1.5106623375f3p-6, 0x1.47c1c52ccdd68p-6, 0x1.3eb5b85685301p-6, 0x1.35e13932cb1dcp-6, 0x1.2d43467b3bb6ap-6, 0x1.24dae04691b52p-6, 0x1.1ca7082c78375p-6, 0x1.14a6c16779106p-6, 0x1.0cd910f51f97cp-6, 0x1.053cfdb457p-6, 0x1.fba32104248fbp-7, 0x1.ed2ba8a890a77p-7, 0x1.df11aca69aaaep-7, 0x1.d1534be345af6p-7, 0x1.c3eeaa046925ap-7, 0x1.b6e1ef9a3f326p-7, 0x1.aa2b4a4615c93p-7, 0x1.9dc8ecde2c633p-7, 0x1.91b90f8ee180fp-7, 0x1.85f9eff9494cdp-7, 0x1.7a89d14f302ddp-7, 0x1.6f66fc6cbbf6cp-7, 0x1.648fbfefa06d1p-7, 0x1.5a02704c19d43p-7, 0x1.4fbd67dfa942ep-7, 0x1.45bf0701c0a44p-7, 0x1.3c05b41250be8p-7, 0x1.328fdb8673823p-7, 0x1.295beff326884p-7, 0x1.20686a1638ed9p-7, 0x1.17b3c8dd7a337p-7, 0x1.0f3c916c3bep-7, 0x1.07014f1f39dacp-7, 0x1.fe01271df051p-8, 0x1.ee71ed2152559p-8, 0x1.df522c6b5891fp-8, 0x1.d09f2d93674f2p-8, 0x1.c256459f47d87p-8, 0x1.b474d5fa75bc5p-8, 0x1.a6f84c6b1992ap-8, 0x1.99de2304ced8p-8, 0x1.8d23e01952238p-8, 0x1.80c71627310b9p-8, 0x1.74c563c69ab11p-8, 0x1.691c739468052p-8, 0x1.5dc9fc1b763e9p-8, 0x1.52cbbfbc6dad8p-8, 0x1.481f8c940b702p-8, 0x1.3dc33c6005aebp-8, 0x1.33b4b462a48c4p-8, 0x1.29f1e5451ddd5p-8, 0x1.2078caf8d2e51p-8, 0x1.17476c977cc24p-8, 0x1.0e5bdc4260511p-8, 0x1.05b4370099d59p-8, 0x1.fa9d49392c36cp-9, 0x1.ea52af018da97p-9, 0x1.da851927520bfp-9, 0x1.cb31162652a04p-9, 0x1.bc5348def15bap-9, 0x1.ade8684ac35c6p-9, 0x1.9fed3f305490cp-9, 0x1.925eabd62b66p-9, 0x1.85399fb518e36p-9, 0x1.787b1f2a0239p-9, 0x1.6c2041272d556p-9, 0x1.60262ee53007fp-9, 0x1.548a239399e54p-9, 0x1.49496c096c111p-9, 0x1.3e61667574522p-9, 0x1.33cf820ea435fp-9, 0x1.29913ec470156p-9, 0x1.1fa42cef52211p-9, 0x1.1605ed017445cp-9, 0x1.0cb42f37a7c02p-9, 0x1.03acb34aa03f3p-9, 0x1.f5da904131b71p-10, 0x1.e4e796febde8p-10, 0x1.d47c537dbe297p-10, 0x1.c494baf866b14p-10, 0x1.b52cde9a93945p-10, 0x1.a640eaea5309p-10, 0x1.97cd2731baaccp-10, 0x1.89cdf4ea2bd5cp-10, 0x1.7c3fcf290c9p-10, 0x1.6f1f4a0e0cebfp-10, 0x1.6269123303e02p-10, 0x1.5619ec1d71419p-10, 0x1.4a2eb3b1c217cp-10, 0x1.3ea45ba848a9fp-10, 0x1.3377ed040e8dap-10, 0x1.28a6868b7693ep-10, 0x1.1e2d5c42c519bp-10, 0x1.1409b6e8945dfp-10, 0x1.0a38f37435fb9p-10, 0x1.00b8829613e2bp-10, 0x1.ef0bd0740d5f2p-11, 0x1.dd3d761774f1ep-11, 0x1.cc0147fa2a11p-11, 0x1.bb52bb9d53bc3p-11, 0x1.ab2d693479cb4p-11, 0x1.9b8d0abeae0c2p-11, 0x1.8c6d7b23d7f28p-11, 0x1.7dcab55629625p-11, 0x1.6fa0d377bb39ap-11, 0x1.61ec0e0451278p-11, 0x1.54a8baff4496p-11, 0x1.47d34d2593802p-11, 0x1.3b6853240f99fp-11, 0x1.2f6476d1abc2cp-11, 0x1.23c47c6ddec18p-11, 0x1.188541e3197bfp-11, 0x1.0da3be0d476f3p-11, 0x1.031d0004543a2p-11, 0x1.f1dc5cd556646p-12, 0x1.de290d7f56c13p-12, 0x1.cb1ab96c0b19bp-12, 0x1.b8ac331bf54a9p-12, 0x1.a6d876e6dda0fp-12, 0x1.959aa9bf92fe4p-12, 0x1.84ee17ff29f81p-12, 0x1.74ce3437a3158p-12, 0x1.6536960de625ep-12, 0x1.5622f91af003ep-12, 0x1.478f3bd4269bfp-12, 0x1.39775e7aab944p-12, 0x1.2bd782119fa05p-12, 0x1.1eabe75b3037fp-12, 0x1.11f0eddc61bc4p-12, 0x1.05a312e76ace3p-12, 0x1.f37de15926a76p-13, 0x1.dc827aa2e562p-13, 0x1.c64d941ce62f7p-13, 0x1.b0d904a4fa2f4p-13, 0x1.9c1ed5d961c0ep-13, 0x1.8819427816d8ep-13, 0x1.74c2b4c9c3076p-13, 0x1.6215c5181bd28p-13, 0x1.500d382f6e752p-13, 0x1.3ea3fdeb2976fp-13, 0x1.2dd52fcd1ddbap-13, 0x1.1d9c0f9f43ac9p-13, 0x1.0df4061fd3061p-13, 0x1.fdb1436ec4c87p-14, 0x1.e08b2a71d1b92p-14, 0x1.c46d6d56b136p-14, 0x1.a94ffc395ed04p-14, 0x1.8f2b08fc53728p-14, 0x1.75f70512fb9eep-14, 0x1.5dac9f5da8fe4p-14, 0x1.4644c216a785ep-14, 0x1.2fb890d004b51p-14, 0x1.1a016681a0cccp-14, 0x1.0518d3a7226a1p-14, 0x1.e1f138dacaf5fp-15, 0x1.bb356dde00f6ap-15, 0x1.95f292fef6355p-15, 0x1.721d5209a9a99p-15, 0x1.4faaaebdf3567p-15, 0x1.2e9003b98ab12p-15, 0x1.0ec2ff7c706d3p-15, 0x1.e073430df805ep-16, 0x1.a5d46f21c16fep-16, 0x1.6d96b5b0d7dd2p-16, 0x1.37a7db12ae00fp-16, 0x1.03f63074f552p-16, 0x1.a4e11e06e4e3cp-17, 0x1.460ca67602751p-17, 0x1.d69d6199c900ep-18, 0x1.290fd1102db0dp-18, 0x1.06679693943b6p-19, -0x1.b31b6f0cd4e9cp-22, -0x1.64b40750bb4b7p-19, -0x1.427cbec6c9823p-18, -0x1.cbcff09bbd19fp-18, -0x1.274409ed51fd8p-17, -0x1.656c118b197e7p-17, -0x1.a078d2ded7658p-17, -0x1.d8825e500ff71p-17, -0x1.06d00b7e4ed4ep-16, -0x1.1ff45c4309262p-16, -0x1.37b92e53e9e6cp-16, -0x1.4e29404bec025p-16, -0x1.634f0519e7c2bp-16, -0x1.7734a67e3db03p-16, -0x1.89e40770713e2p-16, -0x1.9b66c66d907ap-16, -0x1.abc63fb030584p-16, -0x1.bb0b8f52c6a79p-16, -0x1.c93f935d3132bp-16, -0x1.d66aedbe1eecfp-16, -0x1.e296063115cb6p-16, -0x1.edc90c11d0a37p-16, -0x1.f80bf81d9b83bp-16, -0x1.00b34711b0f93p-15, -0x1.04f02f5184a34p-15, -0x1.08c0642e631a4p-15, -0x1.0c277ce87adfcp-15, -0x1.0f28f95892866p-15, -0x1.11c842a163d38p-15, -0x1.1408abda1ca23p-15, -0x1.15ed72b243ddp-15, -0x1.1779c00f475eap-15, -0x1.18b0a8a3f675bp-15, -0x1.19952d821f731p-15, -0x1.1a2a3ca693a1cp-15, -0x1.1a72b17fc7b44p-15, -0x1.1a71556f4993cp-15, -0x1.1a28e04643699p-15, -0x1.199bf8bd3c868p-15, -0x1.18cd34e751711p-15, -0x1.17bf1aa10a5ffp-15, -0x1.16741ffb0855bp-15, -0x1.14eeaba0b1377p-15, -0x1.1331153b072f1p-15, -0x1.113da5cfd74dfp-15, -0x1.0f16981d64e8ap-15, -0x1.0cbe18f2bdfb5p-15, -0x1.0a364784d7942p-15, -0x1.078135c09c6a4p-15, -0x1.04a0e89a0be59p-15, -0x1.019758588f0eap-15, -0x1.fccce1c140754p-16, -0x1.f62023f5cd306p-16, -0x1.ef2c1f31c36e4p-16, -0x1.e7f4642e85e6p-16, -0x1.e07c6cfc1e1abp-16, -0x1.d8c79d7d43d09p-16, -0x1.d0d943df5f86bp-16, -0x1.c8b4990eaf975p-16, -0x1.c05cc126c8324p-16, -0x1.b7d4cbdf9239bp-16, -0x1.af1fb4f6f7d75p-16, -0x1.a64064976389bp-16, -0x1.9d39afbb3abc9p-16, -0x1.940e588d7c462p-16, -0x1.8ac10ec799d8cp-16, -0x1.8154700cbe202p-16, -0x1.77cb084294717p-16, -0x1.6e2751e7b05p-16, -0x1.646bb667baf89p-16, -0x1.5a9a8e6d78f6ap-16, -0x1.50b62232c6bfdp-16, -0x1.46c0a9cea7b6cp-16, -0x1.3cbc4d8177702p-16, -0x1.32ab25ff5b7dep-16, -0x1.288f3cb90aa54p-16, -0x1.1e6a8c22f8a1bp-16, -0x1.143efffafc13dp-16, -0x1.0a0e758c89fcp-16, -0x1.ffb577e709331p-17, -0x1.eb4b28bb80864p-17, -0x1.d6e1649696636p-17, -0x1.c27b779aeab7fp-17, -0x1.ae1c938988ad9p-17, -0x1.99c7d03b854f3p-17, -0x1.85802c19930bp-17, -0x1.71488c9192b68p-17, -0x1.5d23be8a44ab1p-17, -0x1.491476d512ebdp-17, -0x1.351d529e2835dp-17, -0x1.2140d7dad4446p-17, -0x1.0d8175b64ddd2p-17, -0x1.f3c309f9d3628p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.5e521a16f1b68p-2, -0x1.6d563cd0ac5d5p-2, -0x1.7be6bab5c4517p-2, -0x1.89fde9682f3e6p-2, -0x1.9796b9a52f5f7p-2, -0x1.a4acb91504f92p-2, -0x1.b13c11f4adf4ap-2, -0x1.bd4188f1ddf36p-2, -0x1.c8ba798978ae7p-2, -0x1.d3a4d130bad48p-2, -0x1.ddff09890d7b4p-2, -0x1.e7c821d6c7be1p-2, -0x1.f0ff97ebc4b3fp-2, -0x1.f9a560b00b35ep-2, -0x1.00dcf0365132bp-1, -0x1.049ef17b9e4a9p-1, -0x1.081949ec41059p-1, -0x1.0b4cbb41397cfp-1, -0x1.0e3a2f5451e8ep-1, -0x1.10e2b46455ed9p-1, -0x1.13477977307c8p-1, -0x1.1569cade6feb5p-1, -0x1.174b0ee1a63c7p-1, -0x1.18ecc2912a223p-1, -0x1.1a5076c2f01a2p-1, -0x1.1b77cd3a8c15bp-1, -0x1.1c6475fcd0acep-1, -0x1.1d182ccf0a8a6p-1, -0x1.1d94b6e16c16bp-1, -0x1.1ddbe0a3e9317p-1, -0x1.1def7bc478ab9p-1, -0x1.1dd15d557e68dp-1, -0x1.1d835c1aed292p-1, -0x1.1d074efc92d66p-1, -0x1.1c5f0b9be7ccap-1, -0x1.1b8c650ba2effp-1, -0x1.1a912aa752d63p-1, -0x1.196f27092ffbbp-1, -0x1.18281f1c625b1p-1, -0x1.16bdd149f1013p-1, -0x1.1531f4bea755bp-1, -0x1.138638c8356c9p-1, -0x1.11bc4447ef494p-1, -0x1.0fd5b539904bcp-1, -0x1.0dd4204c7edefp-1, -0x1.0bb9108e1d6fp-1, -0x1.09860723c46a7p-1, -0x1.073c7b1318255p-1, -0x1.04ddd91779596p-1, -0x1.026b8383680cbp-1, -0x1.ffcda459808d4p-2, -0x1.faa224c58dddbp-2, -0x1.f5570dda234b6p-2, -0x1.efeed024cf0c2p-2, -0x1.ea6bc74d81597p-2, -0x1.e4d03a3f48a5cp-2, -0x1.df1e5b5c56e55p-2, -0x1.d95848bbffe82p-2, -0x1.d3800c717b95cp-2, -0x1.cd979cda4dbb8p-2, -0x1.c7a0dcf34bfacp-2, -0x1.c19d9cb35297ap-2, -0x1.bb8f996acd21p-2, -0x1.b5787e274b46bp-2, -0x1.af59e41a6996ap-2, -0x1.a93553036bd6ep-2, -0x1.a30c419af0d0dp-2, -0x1.9ce016003888p-2, -0x1.96b2262784cc2p-2, -0x1.9083b849231d7p-2, -0x1.8a560350beb2dp-2, -0x1.842a2f4ca2a9ep-2, -0x1.7e0155dc9efa7p-2, -0x1.77dc82a045d91p-2, -0x1.71bcb3a44a8ebp-2, -0x1.6ba2d9cec12p-2, -0x1.658fd94a1c743p-2, -0x1.5f8489eeb4746p-2, -0x1.5981b7aab63ap-2, -0x1.538822e85ff3ep-2, -0x1.4d9880f26b0a7p-2, -0x1.47b37c568e863p-2, -0x1.41d9b5460a528p-2, -0x1.3c0bc1f428749p-2, -0x1.364a2ef2a936ep-2, -0x1.30957f8c13b18p-2, -0x1.2aee2e1bddec5p-2, -0x1.2554ac647173dp-2, -0x1.1fc963e2febbfp-2, -0x1.1a4cb621273dcp-2, -0x1.14defd047cfc7p-2, -0x1.0f808b1bd5b05p-2, -0x1.0a31abea7d06ap-2, -0x1.04f2a43142e23p-2, -0x1.ff87646addb3bp-3, -0x1.f54a1c0b445f5p-3, -0x1.eb2dd3795085p-3, -0x1.e132e3848f025p-3, -0x1.d7599a142077cp-3, -0x1.cda23aa074f5fp-3, -0x1.c40cfea9358b6p-3, -0x1.ba9a162768021p-3, -0x1.b149a7fbe56efp-3, -0x1.a81bd25a3c334p-3, -0x1.9f10ab3008e03p-3, -0x1.96284088e3034p-3, -0x1.8d6298eeeb0c9p-3, -0x1.84bfb3c817387p-3, -0x1.7c3f89b04e6fp-3, -0x1.73e20cd062b24p-3, -0x1.6ba729320e49ap-3, -0x1.638ec510f56d2p-3, -0x1.5b98c128cebe8p-3, -0x1.53c4f900c3463p-3, -0x1.4c1343341245ep-3, -0x1.448371b82154cp-3, -0x1.3d15521feab55p-3, -0x1.35c8addd030efp-3, -0x1.2e9d4a7e2798cp-3, -0x1.2792e9eb82728p-3, -0x1.20a94aa09e221p-3, -0x1.19e027e43430cp-3, -0x1.133739fdca97ep-3, -0x1.0cae3669521f4p-3, -0x1.0644d008afb15p-3, -0x1.fff56ea6d8e81p-4, -0x1.f39f3508dd7d8p-4, -0x1.e7864b8be6af8p-4, -0x1.dbaa06b771cc4p-4, -0x1.d009b796f53e3p-4, -0x1.c4a4ac0790837p-4, -0x1.b97a2f027c09p-4, -0x1.ae8988e46f72bp-4, -0x1.a3d1ffb205597p-4, -0x1.9952d7593c57ap-4, -0x1.8f0b51f02862fp-4, -0x1.84faaff0facddp-4, -0x1.7b20307362861p-4, -0x1.717b11636c7f4p-4, -0x1.680a8fb5f012dp-4, -0x1.5ecde79aa0d7ap-4, -0x1.55c454abd8977p-4, -0x1.4ced121c2df6ap-4, -0x1.44475ae1e939ep-4, -0x1.3bd269e06c44bp-4, -0x1.338d7a0f9dd46p-4, -0x1.2b77c6a16a15ap-4, -0x1.23908b256a2bep-4, -0x1.1bd703aac1726p-4, -0x1.144a6ce041b39p-4, -0x1.0cea0432e5d2fp-4, -0x1.05b507eab1554p-4, -0x1.fd556e8c0399p-5, -0x1.ef94a526c88c6p-5, -0x1.e2263693ef0fp-5, -0x1.d508a840d7f65p-5, -0x1.c83a824556af7p-5, -0x1.bbba4f8c6d8abp-5, -0x1.af869dfa8b15p-5, -0x1.a39dfe91633b7p-5, -0x1.97ff059176dfcp-5, -0x1.8ca84a99638c4p-5, -0x1.819868c30d399p-5, -0x1.76cdfebeba12ap-5, -0x1.6c47aeec311a9p-5, -0x1.62041f71efc23p-5, -0x1.5801fa528a7cp-5, -0x1.4e3fed80487d3p-5, -0x1.44bcaaef0f6e5p-5, -0x1.3b76e8a4aaa83p-5, -0x1.326d60c783ccbp-5, -0x1.299ed1abdb83ap-5, -0x1.2109fddf8eabp-5, -0x1.18adac347b55dp-5, -0x1.1088a7c9918e9p-5, -0x1.0899c0129f59ep-5, -0x1.00dfc8dee3ef1p-5, -0x1.f2b334bcf1da2p-6, -0x1.e40c224d40a9p-6, -0x1.d5c81c69fb344p-6, -0x1.c7e4ede398f1cp-6, -0x1.ba606a623d521p-6, -0x1.ad386e665343dp-6, -0x1.a06adf47692c5p-6, -0x1.93f5ab3155119p-6, -0x1.87d6c91fc425dp-6, -0x1.7c0c38d83f8e4p-6, -0x1.709402e2b964ep-6, -0x1.656c3880bf836p-6, -0x1.5a92f3a356339p-6, -0x1.500656df9df4fp-6, -0x1.45c48d62423a4p-6, -0x1.3bcbcae1d5b72p-6, -0x1.321a4b9018049p-6, -0x1.28ae540a47cb9p-6, -0x1.1f8631487c893p-6, -0x1.16a0388c28fe1p-6, -0x1.0dfac74dc5968p-6, -0x1.05944329b5c95p-6, -0x1.fad63398f8461p-7, -0x1.eafb81bc701f9p-7, -0x1.db956bdb1b841p-7, -0x1.cca0fcb3e9651p-7, -0x1.be1b4e7b03a99p-7, -0x1.b0018aac5998cp-7, -0x1.a250e9dd52f11p-7, -0x1.9506b38da4a11p-7, -0x1.88203df772c44p-7, -0x1.7b9aeddeb1d04p-7, -0x1.6f74365fff3dep-7, -0x1.63a998bee7d4dp-7, -0x1.5838a433b21d4p-7, -0x1.4d1ef5b8c91e7p-7, -0x1.425a37d7bcdb4p-7, -0x1.37e82276052a4p-7, -0x1.2dc67aa17fdfcp-7, -0x1.23f3125cbed5cp-7, -0x1.1a6bc86b32c5p-7, -0x1.112e881d3ec12p-7, -0x1.0839491c3ee65p-7, -0x1.ff141e6d1e54fp-8, -0x1.ee3dd457385a8p-8, -0x1.ddebeaf00e56ap-8, -0x1.ce1ab043d260bp-8, -0x1.bec6890a78d99p-8, -0x1.afebf040eb5aap-8, -0x1.a18776c2accc1p-8, -0x1.9395c2e3fbdd3p-8, -0x1.8613900c8671fp-8, -0x1.78fdae52ba212p-8, -0x1.6c510217be24fp-8, -0x1.600a83a426813p-8, -0x1.54273ec569622p-8, -0x1.48a4526c22cc6p-8, -0x1.3d7ef04b319a1p-8, -0x1.32b45c77b8be9p-8, -0x1.2841ed0a09098p-8, -0x1.1e2509bf84052p-8, -0x1.145b2b9d76871p-8, -0x1.0ae1dc94fcf77p-8, -0x1.01b6b727ebf5ap-8, -0x1.f1aecc1da0fbfp-9, -0x1.e08347c0022dep-9, -0x1.cfe6756fa144cp-9, -0x1.bfd407c3bc10ep-9, -0x1.b047cf07149e1p-9, -0x1.a13db88f33cc8p-9, -0x1.92b1ce15fef3fp-9, -0x1.84a03515b173ap-9, -0x1.77052e27375f5p-9, -0x1.69dd1462f63aep-9, -0x1.5d245cc3fc74bp-9, -0x1.50d7958da51f7p-9, -0x1.44f365b3ae3d1p-9, -0x1.39748c44bec8ep-9, -0x1.2e57dfd767c3bp-9, -0x1.239a4df996afep-9, -0x1.1938daa2815f2p-9, -0x1.0f309fa7029ffp-9, -0x1.057ecc3071ed5p-9, -0x1.f841486bca78bp-10, -0x1.e626ffefd7184p-10, -0x1.d4a996fd62062p-10, -0x1.c3c40c351ff85p-10, -0x1.b37183ce1743dp-10, -0x1.a3ad46a0574cap-10, -0x1.9472c1347a103p-10, -0x1.85bd82d7d8262p-10, -0x1.77893cb56bd61p-10, -0x1.69d1c0f365838p-10, -0x1.5c9301d547c6ep-10, -0x1.4fc910e2a6395p-10, -0x1.43701e12640c5p-10, -0x1.378476fa62a9cp-10, -0x1.2c028603aeff5p-10, -0x1.20e6d1a2fe2bap-10, -0x1.162dfb958ef1bp-10, -0x1.0bd4c0223e685p-10, -0x1.01d7f55eeb7afp-10, -0x1.f06914f3e2c8bp-11, -0x1.ddcf0e0f9acdp-11, -0x1.cbdc14a99771ap-11, -0x1.ba8a957570249p-11, -0x1.a9d529f4fd571p-11, -0x1.99b697335f854p-11, -0x1.8a29cc87af561p-11, -0x1.7b29e25f35f19p-11, -0x1.6cb2190f0f9cfp-11, -0x1.5ebdd7ad1ce7p-11, -0x1.5148aaf01f0d9p-11, -0x1.444e4416e57a4p-11, -0x1.37ca77d669718p-11, -0x1.2bb93d4ebd26fp-11, -0x1.2016ad06ab4fcp-11, -0x1.14deffedec2eap-11, -0x1.0a0e8e65ce50dp-11, -0x1.ff439ea06e241p-12, -0x1.eb2aae49b1561p-12, -0x1.d7cbae190841ap-12, -0x1.c5203804eb8p-12, -0x1.b3221bf6f855ap-12, -0x1.a1cb5e25c5906p-12, -0x1.91163579f4d8ap-12, -0x1.80fd09fe4d1e4p-12, -0x1.717a735aa6bbfp-12, -0x1.6289375963f6bp-12, -0x1.542448774b0fdp-12, -0x1.4646c47d7d762p-12, -0x1.38ebf3255763dp-12, -0x1.2c0f44c606601p-12, -0x1.1fac510b9148ep-12, -0x1.13bed5b72f377p-12, -0x1.0842b568a3639p-12, -0x1.fa67ece0ef7cp-13, -0x1.e51d8355b59edp-13, -0x1.d09ec2c5e0701p-13, -0x1.bce4807cbf24ep-13, -0x1.a9e7d061d8433p-13, -0x1.97a202efdfd1cp-13, -0x1.860ca33aee27p-13, -0x1.75217505bccb4p-13, -0x1.64da72e56eeep-13, -0x1.5531cc739b92fp-13, -0x1.4621e48e2e471p-13, -0x1.37a54fa4d735ep-13, -0x1.29b6d2139e87cp-13, -0x1.1c515e8a55afep-13, -0x1.0f701480872e8p-13, -0x1.030e3eb593b7ap-13, -0x1.ee4ea3795cc24p-14, -0x1.d76dd528c48d9p-14, -0x1.c1719a92b15dcp-14, -0x1.ac51c74816094p-14, -0x1.980677c23bd33p-14, -0x1.84880ee826455p-14, -0x1.71cf33a81c8edp-14, -0x1.5fd4cea4c98e8p-14, -0x1.4e9207f562f4fp-14, -0x1.3e0044f853a0bp-14, -0x1.2e192637e2199p-14, -0x1.1ed685604ec26p-14, -0x1.10327346ee5bep-14, -0x1.02273601c066dp-14, -0x1.e95e8e1e138f8p-15, -0x1.cf8aa318f3cc8p-15, -0x1.b6c860fad588p-15, -0x1.9f0dda3f87116p-15, -0x1.88517a9e2ac4cp-15, -0x1.728a03eb038f9p-15, -0x1.5dae8b14033f9p-15, -0x1.49b675374f0e5p-15, -0x1.369974d2ee1eep-15, -0x1.244f870cdd935p-15, -0x1.12d0f112cc5adp-15, -0x1.02163d90c5e38p-15, -0x1.e430747c1f3f7p-16, -0x1.c59feaff24616p-16, -0x1.a86d783e2ac6cp-16, -0x1.8c8c2e2d69976p-16, -0x1.71ef92dfb8e5ep-16, -0x1.588b9c6a730c4p-16, -0x1.4054acedf4b96p-16, -0x1.293f8ec19e56ep-16, -0x1.134170c22b052p-16, -0x1.fc9fc58272af4p-17, -0x1.d4c1a429ff0edp-17, -0x1.aed50c8e22bb3p-17, -0x1.8ac73bc268da2p-17, -0x1.688616ae8e407p-17, -0x1.4800241a89a25p-17, -0x1.292486f0dca64p-17, -0x1.0be2f8b56d5cep-17, -0x1.e057885e35e7cp-18, -0x1.abdf8084ade69p-18, -0x1.7a4095f63379cp-18, -0x1.4b5e898927141p-18, -0x1.1f1e179a123f3p-18, -0x1.eac9de515a1cdp-19, -0x1.9c33528e7aa13p-19, -0x1.524781b2e3eabp-19, -0x1.0cd7153fef3bcp-19, -0x1.9768b63854c36p-20, -0x1.1d666d9ada853p-20, -0x1.56a44cf305a67p-21, -0x1.0366a7f9ea0f5p-22, 0x1.12932e0ee98d3p-23, 0x1.f9fa9cfe1d3fdp-22, 0x1.a7ea240e33f61p-21, 0x1.22fd0e5c188ecp-20, 0x1.6bdb8bfdba8ccp-20, 0x1.aed3181634103p-20, 0x1.ec23f25c2d48bp-20, 0x1.120610b700ceep-19, 0x1.2b63c336fafb9p-19, 0x1.4247f7f335533p-19, 0x1.56ce95fe6c13cp-19, 0x1.69128cfd0d81p-19, 0x1.792ddd9730be6p-19, 0x1.8739a19b6fdc8p-19, 0x1.934e13d58d525p-19, 0x1.9d82979bcecfap-19, 0x1.a5edc015b8876p-19, 0x1.aca5573ee0b87p-19, 0x1.b1be64a86119ep-19, 0x1.b54d33fb6293ap-19, 0x1.b7655b3f211f1p-19, 0x1.b819c0e4b7d78p-19, 0x1.b77ca19ae61e8p-19, 0x1.b59f95ebf98a1p-19, 0x1.b29397a7ded1p-19, 0x1.ae69071c623fcp-19, 0x1.a92fb01d7c725p-19, 0x1.a2f6cedf8b83bp-19, 0x1.9bcd14a5389c1p-19, 0x1.93c0ac42c4035p-19, 0x1.8adf3e7853e26p-19, 0x1.8135f624e42dfp-19, 0x1.76d1845355eb8p-19, 0x1.6bbe242315ab6p-19, 0x1.60079e8dc8ffap-19, 0x1.53b94e0b542a4p-19, 0x1.46de221588abp-19, 0x1.3980a28cc010ap-19, 0x1.2baaf2fe99c44p-19, 0x1.1d66d5cff8017p-19, 0x1.0ebdaf4b6976fp-19, 0x1.ff71112a071adp-20, 0x1.e0c02509775e5p-20, 0x1.c17950d07a6b4p-20, 0x1.a1aca55a50ad6p-20, 0x1.816992e94dfb3p-20, 0x1.60beee2271ebep-20, 0x1.3fbaf4df19647p-20, 0x1.1e6b52d65f31p-20, 0x1.f9ba4c3f85fc3p-21, 0x1.b63a072115054p-21, 0x1.726df5ea95cffp-21, 0x1.2e6d3651f465p-21, 0x1.d49bd82b560c8p-22, 0x1.4c4a91517cf95p-22, 0x1.881e4a853321fp-23, 0x1.e082cec0c325fp-25, -0x1.2e3311c91838cp-24, -0x1.a549a9ed868d2p-23, -0x1.591615c76d764p-22, -0x1.dec056f57fc0ep-22, -0x1.31c2771d4543p-21, -0x1.73a3557feff78p-21, -0x1.b4f4e560642b4p-21, -0x1.f5a9f6e21ebe9p-21, -0x1.1adb030ac1b85p-20, -0x1.3a869ad3cb6c6p-20, -0x1.59d224dc76827p-20, -0x1.78b8516d4p-20, -0x1.97341c977d478p-20, -0x1.b540cbd7a838dp-20, -0x1.d2d9ebc8aa727p-20, -0x1.effb4de79d58cp-20, -0x1.06508333b35a4p-19, -0x1.1463b509d6a91p-19, -0x1.223586215367ap-19, -0x1.2fc45e6a9bd9dp-19, -0x1.3d0ec3227c26p-19, -0x1.4a1355dfcf28p-19, -0x1.56d0d3a7b6f6fp-19, -0x1.634614081b70cp-19, -0x1.6f720838438e3p-19, -0x1.7b53ba3f53e38p-19, -0x1.86ea4c2088393p-19, -0x1.9234f70cf45a2p-19, -0x1.9d330a9aad8b2p-19, -0x1.a7e3ec0125e71p-19, -0x1.b247155a9ccd8p-19, -0x1.bc5c14ea7b762p-19, -0x1.c6228c6874275p-19, -0x1.cf9a30504f4fbp-19, -0x1.d8c2c7362fbe8p-19, -0x1.e19c291f48cb1p-19, -0x1.ea263edecc326p-19, -0x1.f26101770a7a7p-19, -0x1.fa4c797e9602ap-19, -0x1.00f45f44ae09ap-18, -0x1.049afb4ac816ap-18, -0x1.081a2abe2b011p-18, -0x1.0b720e3306e9cp-18, -0x1.0ea2cca119425p-18, -0x1.11ac93215284ep-18, -0x1.148f94ad329c3p-18, -0x1.174c09dfc5361p-18, -0x1.19e230b83e944p-18, -0x1.1c524c5e27d98p-18, -0x1.1e9ca4e715eddp-18, -0x1.20c1871dde939p-18, -0x1.22c1444b45ea7p-18, -0x1.249c320018d94p-18, -0x1.2652a9e0b00adp-18, -0x1.27e50971cf63p-18, -0x1.2953b1e6db95cp-18, -0x1.2a9f07f162691p-18, -0x1.2bc77391e65c5p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.98a3b8e11bcb7p-3, 0x1.a2deba94f509fp-3, 0x1.adc0b9ca19a5dp-3, 0x1.b940bfff34277p-3, 0x1.c553f7dfb9baap-3, 0x1.d1ede52a49f05p-3, 0x1.df009f4b42d4cp-3, 0x1.ec7d0cda118f2p-3, 0x1.fa531e7fba3b8p-3, 0x1.0439040e45858p-2, 0x1.0b643ba4da743p-2, 0x1.12a2634835ea6p-2, 0x1.19ea96720932ap-2, 0x1.2133f48c0ac5bp-2, 0x1.2875b4969477fp-2, 0x1.2fa736b6f608fp-2, 0x1.36c013b46ea5dp-2, 0x1.3db82a73374cep-2, 0x1.4487ab8344ee2p-2, 0x1.4b2722dccdb79p-2, 0x1.518f7fe79ab2cp-2, 0x1.57ba1bebf364ap-2, 0x1.5da0bf0cc9f56p-2, 0x1.633da3eaefd2ep-2, 0x1.688b7a10abeb5p-2, 0x1.6d85674434fcdp-2, 0x1.722707de6a0b3p-2, 0x1.766c6e41cce01p-2, 0x1.7a52218c3869cp-2, 0x1.7dd51b9c48041p-2, 0x1.80f2c681ae398p-2, 0x1.83a8f96e21674p-2, 0x1.85f5f53ae7b61p-2, 0x1.87d86095628e3p-2, 0x1.894f43e37f003p-2, 0x1.8a5a04ef63091p-2, 0x1.8af8626847d36p-2, 0x1.8b2a6f4514c53p-2, 0x1.8af08e13fd64ap-2, 0x1.8a4b6c4130b12p-2, 0x1.893bfd5d7f406p-2, 0x1.87c3766cccc02p-2, 0x1.85e349431fc4p-2, 0x1.839d1ff6370afp-2, 0x1.80f2d868a5d31p-2, 0x1.7de67ff2c1de7p-2, 0x1.7a7a4f2cdc70cp-2, 0x1.76b0a5ddaae87p-2, 0x1.728c070f1c73bp-2, 0x1.6e0f154b59163p-2, 0x1.693c8f031e4c2p-2, 0x1.64174b1e505bap-2, 0x1.5ea235b71fc5p-2, 0x1.58e04cffdda49p-2, 0x1.52d49e5344185p-2, 0x1.4c82436eb7836p-2, 0x1.45ec5fd5d2153p-2, 0x1.3f161e5e58d78p-2, 0x1.3802aee38d192p-2, 0x1.30b5441fb9428p-2, 0x1.293111aaaf39dp-2, 0x1.21794a1be701p-2, 0x1.19911d4edaa2fp-2, 0x1.117bb6c829998p-2, 0x1.093c3c3a17131p-2, 0x1.00d5cc26e94dep-2, 0x1.f096f93f64ep-3, 0x1.df40b43c29038p-3, 0x1.cdaeccef26ff1p-3, 0x1.bbe72fd219c0fp-3, 0x1.a9efb07200514p-3, 0x1.97ce07dea3d63p-3, 0x1.8587d34293e04p-3, 0x1.732292a116dfep-3, 0x1.60a3a7b7d1446p-3, 0x1.4e105501c8bb1p-3, 0x1.3b6dbcd9b911ep-3, 0x1.28c0e0b9a9376p-3, 0x1.160ea095d5851p-3, 0x1.035bba511b615p-3, 0x1.e159929273b29p-4, 0x1.bc0c8bf26b1aap-4, 0x1.96d90b60d94fap-4, 0x1.71c774b9c84efp-4, 0x1.4cdfe4cee96d7p-4, 0x1.282a314134fc1p-4, 0x1.03ade8796f05p-4, 0x1.bee4a37abd6a9p-5, 0x1.76fcdabf52c45p-5, 0x1.2fb1ea10ce1a7p-5, 0x1.d221705289029p-6, 0x1.464b402c64bc5p-6, 0x1.77f1c92575149p-7, 0x1.9a075ce2f2c98p-9, -0x1.4f1cb2f99ad27p-8, -0x1.b215e76e7814ep-7, -0x1.5c77029379a8cp-6, -0x1.ddf8f948a9655p-6, -0x1.2ebfbd77fd032p-5, -0x1.6d7d15063d993p-5, -0x1.ab2cd253e7a09p-5, -0x1.e7c7c0245dbf4p-5, -0x1.11a39171b1c9cp-4, -0x1.2ed25b3f7ec8ep-4, -0x1.4b6d5619638a2p-4, -0x1.6771d4230f3b3p-4, -0x1.82dd5fdf313c9p-4, -0x1.9dadbb0341722p-4, -0x1.b7e0dd467d851p-4, -0x1.d174f32ca85bdp-4, -0x1.ea685ccd1965bp-4, -0x1.015cd64b42609p-3, -0x1.0d33d308036e2p-3, -0x1.18b89e4bf402fp-3, -0x1.23eac91038d4p-3, -0x1.2ec9faf5a908dp-3, -0x1.3955f1a1fa6d9p-3, -0x1.438e801c8dc43p-3, -0x1.4d738e2b1624p-3, -0x1.570517ae421bep-3, -0x1.60432bfe9454p-3, -0x1.692ded498d1c2p-3, -0x1.71c58fef5b6fbp-3, -0x1.7a0a59e12fd2dp-3, -0x1.81fca20057bcbp-3, -0x1.899ccf7e4ca89p-3, -0x1.90eb593dca278p-3, -0x1.97e8c535209b3p-3, -0x1.9e95a7d1cd651p-3, -0x1.a4f2a35d82c2ep-3, -0x1.ab006764c52b2p-3, -0x1.b0bfb01f1e297p-3, -0x1.b63145d91d067p-3, -0x1.bb55fc602b63ap-3, -0x1.c02eb270502ep-3, -0x1.c4bc51240335fp-3, -0x1.c8ffcb6614f16p-3, -0x1.ccfa1d65c84f9p-3, -0x1.d0ac4c0d365e9p-3, -0x1.d417647a010a6p-3, -0x1.d73c7b786d955p-3, -0x1.da1cad00f69ffp-3, -0x1.dcb91bb85f6d4p-3, -0x1.df12f0725675fp-3, -0x1.e12b59b6bb85ap-3, -0x1.e3038b4984fcep-3, -0x1.e49cbdb558722p-3, -0x1.e5f82dd8e5a69p-3, -0x1.e7171c76f3f95p-3, -0x1.e7facdc94668cp-3, -0x1.e8a4891648105p-3, -0x1.e9159849874ap-3, -0x1.e94f478f102a1p-3, -0x1.e952e4f1959f7p-3, -0x1.e921bffb81d87p-3, -0x1.e8bd295ad62d9p-3, -0x1.e8267287efacfp-3, -0x1.e75eed6f23f79p-3, -0x1.e667ec1d39128p-3, -0x1.e542c06eb0428p-3, -0x1.e3f0bbc1ecbd3p-3, -0x1.e2732eac24981p-3, -0x1.e0cb68b1205c6p-3, -0x1.defab7fdbf90ep-3, -0x1.dd026925415adp-3, -0x1.dae3c6e14401dp-3, -0x1.d8a019d47996bp-3, -0x1.d638a850080e2p-3, -0x1.d3aeb61b8ce6ap-3, -0x1.d103843fbc6cdp-3, -0x1.ce3850d38dacbp-3, -0x1.cb4e56cbfbd8ep-3, -0x1.c846cdce32f1bp-3, -0x1.c522ea04404b4p-3, -0x1.c1e3dbf42749p-3, -0x1.be8ad0594d1d1p-3, -0x1.bb18f0004456cp-3, -0x1.b78f5fa4d42ffp-3, -0x1.b3ef3fd23f1e8p-3, -0x1.b039acc5bb775p-3, -0x1.ac6fbe5307451p-3, -0x1.a89287cb1bb7ep-3, -0x1.a4a317e4e1654p-3, -0x1.a0a278a7e2b3cp-3, -0x1.9c91af58f72dp-3, -0x1.9871bc68c1e14p-3, -0x1.94439b64100fcp-3, -0x1.900842e60134bp-3, -0x1.8bc0a48bdd38p-3, -0x1.876daceaacf86p-3, -0x1.831043865ce6ep-3, -0x1.7ea94aca84f7fp-3, -0x1.7a39a004af354p-3, -0x1.75c21b601344ap-3, -0x1.71438fe2ca671p-3, -0x1.6cbecb6c545c8p-3, -0x1.683496b577b9p-3, -0x1.63a5b55168909p-3, -0x1.5f12e5b01cd69p-3, -0x1.5a7ce121dba4ap-3, -0x1.55e45bdbe275ep-3, -0x1.514a04fe22fa6p-3, -0x1.4cae869a01c41p-3, -0x1.481285ba1cd45p-3, -0x1.4376a26af51b5p-3, -0x1.3edb77c48493bp-3, -0x1.3a419bf4aa1dep-3, -0x1.35a9a04a66b36p-3, -0x1.31141141d97aep-3, -0x1.2c817690f3b28p-3, -0x1.27f25334e38f8p-3, -0x1.2367258015884p-3, -0x1.1ee06728d6955p-3, -0x1.1a5e8d588a39ap-3, -0x1.15e208bb59ecdp-3, -0x1.116b45906e9f5p-3, -0x1.0cfaabba958dep-3, -0x1.08909ed152281p-3, -0x1.042d7e3251994p-3, -0x1.ffa34a26771d8p-4, -0x1.f6fad52797ffep-4, -0x1.ee6243a07f4afp-4, -0x1.e5da33e7fdc8p-4, -0x1.dd633c98fafbcp-4, -0x1.d4fdecb8b3336p-4, -0x1.ccaacbdd2ddd4p-4, -0x1.c46a5a542478ep-4, -0x1.bc3d114a0064fp-4, -0x1.b42362f12b5d3p-4, -0x1.ac1dbaa96c47dp-4, -0x1.a42c7d2768f5p-4, -0x1.9c50089c3ebd6p-4, -0x1.9488b4dd06033p-4, -0x1.8cd6d38a67a64p-4, -0x1.853ab038148f2p-4, -0x1.7db4909426b5fp-4, -0x1.7644b48e5e727p-4, -0x1.6eeb567f34861p-4, -0x1.67a8ab4eb86cbp-4, -0x1.607ce29b3148p-4, -0x1.596826df7de0bp-4, -0x1.526a9d992820fp-4, -0x1.4b84676e29beep-4, -0x1.44b5a052580f8p-4, -0x1.3dfe5fac73ab6p-4, -0x1.375eb87ad3f8fp-4, -0x1.30d6b977ac54fp-4, -0x1.2a666d3ce3a0ap-4, -0x1.240dda67791c8p-4, -0x1.1dcd03ba75282p-4, -0x1.17a3e8415f62cp-4, -0x1.11928372364fcp-4, -0x1.0b98cd4ee8241p-4, -0x1.05b6ba86452bcp-4, -0x1.ffd87928dabbap-5, -0x1.f47283c565eaap-5, -0x1.e93b6bcde4d47p-5, -0x1.de330284b5b9ap-5, -0x1.d35913bf52d49p-5, -0x1.c8ad6621a00e1p-5, -0x1.be2fbb5818e29p-5, -0x1.b3dfd050d2829p-5, -0x1.a9bd5d7356c03p-5, -0x1.9fc816d75283cp-5, -0x1.95ffac7a17c64p-5, -0x1.8c63ca72f204cp-5, -0x1.82f419264f481p-5, -0x1.79b03d77b7c65p-5, -0x1.7097d8fa9b811p-5, -0x1.67aa8a21ef316p-5, -0x1.5ee7ec6ea03f8p-5, -0x1.564f989cdc4p-5, -0x1.4de124d02d60fp-5, -0x1.459c24be6ffdep-5, -0x1.3d8029d9a15bcp-5, -0x1.358cc3788ab75p-5, -0x1.2dc17efe47978p-5, -0x1.261de800b13dbp-5, -0x1.1ea1886da7d0fp-5, -0x1.174be8af453a4p-5, -0x1.101c8fcef62cbp-5, -0x1.0913039782268p-5, -0x1.022ec8b6004ccp-5, -0x1.f6dec5b37ef2dp-6, -0x1.e9a8a9a64d801p-6, -0x1.dcba416317363p-6, -0x1.d0128fc0163ddp-6, -0x1.c3b09682c3f48p-6, -0x1.b7935695927e9p-6, -0x1.abb9d03bc0ce6p-6, -0x1.a02303434161fp-6, -0x1.94cdef34cfddap-6, -0x1.89b99382298d7p-6, -0x1.7ee4efb280b97p-6, -0x1.744f038d2c356p-6, -0x1.69f6cf42a08b5p-6, -0x1.5fdb5393b4282p-6, -0x1.55fb91f73e065p-6, -0x1.4c568cbe1a189p-6, -0x1.42eb47358f3b9p-6, -0x1.39b8c5c832209p-6, -0x1.30be0e1d3edbcp-6, -0x1.27fa273676747p-6, -0x1.1f6c198c920f4p-6, -0x1.1712ef2a43f5p-6, -0x1.0eedb3c5e1329p-6, -0x1.06fb74d9ad7dap-6, -0x1.fe768375ba241p-7, -0x1.ef58575e9d475p-7, -0x1.e09a8c0415886p-7, -0x1.d23b4c2d18824p-7, -0x1.c438c6f5bf1a4p-7, -0x1.b6912ff13adacp-7, -0x1.a942bf4991516p-7, -0x1.9c4bb1dd409fbp-7, -0x1.8faa495abc5b1p-7, -0x1.835ccc59f566p-7, -0x1.77618673e180bp-7, -0x1.6bb6c85828909p-7, -0x1.605ae7e0f6361p-7, -0x1.554c402500955p-7, -0x1.4a893187e77fap-7, -0x1.401021c8da1e6p-7, -0x1.35df7c0fae793p-7, -0x1.2bf5b0f868b9cp-7, -0x1.2251369d4725ep-7, -0x1.18f0889f5dca7p-7, -0x1.0fd2282dd0322p-7, -0x1.06f49c0bb7ee4p-7, -0x1.fcace12985014p-8, -0x1.ebec6f8128e21p-8, -0x1.dba51249fefa3p-8, -0x1.cbd403ee2ae9p-8, -0x1.bc768a164d112p-8, -0x1.ad89f5a767926p-8, -0x1.9f0ba2bec9bc1p-8, -0x1.90f8f8ac10e2ap-8, -0x1.834f69e959e6dp-8, -0x1.760c7411b64a1p-8, -0x1.692d9fd5f9eb9p-8, -0x1.5cb080eff643ep-8, -0x1.5092b61435b14p-8, -0x1.44d1e8e24c823p-8, -0x1.396bcdd3ce60cp-8, -0x1.2e5e2429feebap-8, -0x1.23a6b5da4b8f1p-8, -0x1.19435779a29b2p-8, -0x1.0f31e826b5186p-8, -0x1.057051733710ap-8, -0x1.f7f90e9858ba2p-9, -0x1.e5a90fc29f8c9p-9, -0x1.d3ecb7174ea0ap-9, -0x1.c2c029669d6c1p-9, -0x1.b21f9f69142cfp-9, -0x1.a20765885d3f8p-9, -0x1.9273dba6d1a0ep-9, -0x1.836174e5e807bp-9, -0x1.74ccb76b9535ap-9, -0x1.66b23c26b5b5bp-9, -0x1.590eae929e4edp-9, -0x1.4bdecc79e01c3p-9, -0x1.3f1f65b85c71dp-9, -0x1.32cd5bfcb7bfcp-9, -0x1.26e5a2894289bp-9, -0x1.1b653df469551p-9, -0x1.104943e8bc72ap-9, -0x1.058edae4a6b6bp-9, -0x1.f66673f3b3c59p-10, -0x1.e267511911e92p-10, -0x1.cf1afc24ff1bfp-10, -0x1.bc7c43a4382e6p-10, -0x1.aa8615428f405p-10, -0x1.99337d48db844p-10, -0x1.887fa61b0d09ep-10, -0x1.7865d7b67f952p-10, -0x1.68e177309584cp-10, -0x1.59ee0635cb30ap-10, -0x1.4b87228930bdcp-10, -0x1.3da885848a93fp-10, -0x1.304e039907925p-10, -0x1.23738bd0b46a5p-10, -0x1.17152750b1c32p-10, -0x1.0b2ef8dc3f27bp-10, -0x1.ff7a78b16a6d2p-11, -0x1.e9788ca4d522cp-11, -0x1.d45107053a703p-11, -0x1.bffcf0acd7d12p-11, -0x1.ac7580edcf3c3p-11, -0x1.99b41ca4952cdp-11, -0x1.87b2554cbcdcbp-11, -0x1.7669e81835d04p-11, -0x1.65d4bd090cba1p-11, -0x1.55ece60dbfeb8p-11, -0x1.46ac9e2035f5dp-11, -0x1.380e486764719p-11, -0x1.2a0c6f5bb4359p-11, -0x1.1ca1c3ee2cac5p-11, -0x1.0fc91cb272e39p-11, -0x1.037d750ba26b3p-11, -0x1.ef73d8b81a246p-12, -0x1.d8f38a6fc2916p-12, -0x1.c370c9358c794p-12, -0x1.aee2a240d515bp-12, -0x1.9b406480218c6p-12, -0x1.88819f1630f67p-12, -0x1.769e1fdd1315fp-12, -0x1.658df1ef442d8p-12, -0x1.55495c36d206fp-12, -0x1.45c8e0028b83ap-12, -0x1.370537a13a422p-12, -0x1.28f75502e3a6ap-12, -0x1.1b9860600f783p-12, -0x1.0ee1b6e712b9p-12, -0x1.02cce96f53047p-12, -0x1.eea7766509664p-13, -0x1.d8e04117ac83ep-13, -0x1.c4387b7a0ac49p-13, -0x1.b0a4cb72a4e1cp-13, -0x1.9e1a31ec8f082p-13, -0x1.8c8e08849e086p-13, -0x1.7bf5ff420a2cbp-13, -0x1.6c481a5a7f98bp-13, -0x1.5d7ab0017f5fdp-13, -0x1.4f846642ed4bdp-13, -0x1.425c30e8c404cp-13, -0x1.35f94f6bb8a92p-13, -0x1.2a534aeec4d3fp-13, -0x1.1f61f44575bdcp-13, -0x1.151d6204d4552p-13, -0x1.0b7dee9ed9b31p-13, -0x1.027c36883ac6bp-13, -0x1.f4222cd0fb6b2p-14, -0x1.e46b52a85600cp-14, -0x1.d5c68e21f3ffp-14, -0x1.c82704c7a792cp-14, -0x1.bb804ed12f958p-14, -0x1.afc673e6c9a4p-14, -0x1.a4ede7f6b9481p-14, -0x1.9aeb881d57f32p-14, -0x1.91b4979f7733p-14, -0x1.893ebcf6c5afap-14, -0x1.817ffeefedcedp-14, -0x1.7a6ec1da2817bp-14, -0x1.7401c4c7f1e51p-14, -0x1.6e301ee0a47cep-14, -0x1.68f13cc29eb94p-14, -0x1.643cddf5b9913p-14, -0x1.600b126dbdd3dp-14, -0x1.5c54381c91f13p-14, -0x1.5910f893d5f65p-14, -0x1.563a46b5a693p-14, -0x1.53c95c743d206p-14, -0x1.51b7b8a02666p-14, -0x1.4fff1cc4c7287p-14, -0x1.4e998b12e9827p-14, -0x1.4d81445909b74p-14, -0x1.4cb0c6091fa8bp-14, -0x1.4c22c84b9d9acp-14, -0x1.4bd23c1f60e4ap-14, -0x1.4bba49864f351p-14, -0x1.4bd64dbe5f60dp-14, -0x1.4c21d986c7a89p-14, -0x1.4c98af711407ap-14, -0x1.4d36c23ddfbbfp-14, -0x1.4df83344f29d2p-14, -0x1.4ed950e885bbdp-14, -0x1.4fd695136b313p-14, -0x1.50eca3c1e08dcp-14, -0x1.52184994cadf6p-14, -0x1.53567a6f238fbp-14, -0x1.54a4501d56dfbp-14, -0x1.55ff09065e24p-14, -0x1.576406e6573edp-14, -0x1.58d0cd92665cbp-14, -0x1.5a4301c5a3cddp-14, -0x1.5bb867f6e4438p-14, -0x1.5d2ee337236b5p-14, -0x1.5ea474185b961p-14, -0x1.6017379c95fd7p-14, -0x1.6185662d027b7p-14, -0x1.62ed5298e1324p-14, -0x1.644d691c0fd8dp-14, -0x1.65a42e6d06f89p-14, -0x1.66f03ed219e4cp-14, -0x1.68304d3dca0b3p-14, -0x1.69632271fec7p-14, -0x1.6a879c29f509bp-14, -0x1.6b9cac4abbf9bp-14, -0x1.6ca1581a117d9p-14, -0x1.6d94b77b74e8cp-14, -0x1.6e75f43347fa7p-14, -0x1.6f44492fd1521p-14, -0x1.6fff01d7fd3abp-14, -0x1.70a5795fb32e9p-14, -0x1.71371a21992a6p-14, -0x1.71b35cfe2239dp-14, -0x1.7219c8bfc153cp-14, -0x1.7269f1841d09bp-14, -0x1.72a3782a2287bp-14, -0x1.72c609c4d326ap-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.5fac1b5f02c82p-3, 0x1.62a03e829361p-3, 0x1.65ca834986001p-3, 0x1.692aeccf369b6p-3, 0x1.6cc113e6183b6p-3, 0x1.708c2a4d54ac6p-3, 0x1.748aff5e32a97p-3, 0x1.78bc05e0848f3p-3, 0x1.7d1d5abd82cep-3, 0x1.81accc50cde64p-3, 0x1.8667e21fc5cb7p-3, 0x1.8b4be4c774fe8p-3, 0x1.9055e5f8de943p-3, 0x1.9582c8627fe44p-3, 0x1.9acf476bf28ebp-3, 0x1.a037feae64c75p-3, 0x1.a5b971192fbb5p-3, 0x1.ab500fb648bbfp-3, 0x1.b0f84005bc1b1p-3, 0x1.b6ae61ea64116p-3, 0x1.bc6ed524bb3aep-3, 0x1.c235fe5a98908p-3, 0x1.c8004bac69858p-3, 0x1.cdca38d9e793bp-3, 0x1.d39052f949fecp-3, 0x1.d94f3bc4ccf71p-3, 0x1.df03ac8316511p-3, 0x1.e4aa788f6a746p-3, 0x1.ea408f86ee08cp-3, 0x1.efc2ff206f5aep-3, 0x1.f52ef4b43ec3bp-3, 0x1.fa81be79a9adep-3, 0x1.ffb8cc7f916fdp-3, 0x1.0268d8b2c4906p-2, 0x1.04e5116d5d393p-2, 0x1.074ffcf3cedaap-2, 0x1.09a89983b5ad8p-2, 0x1.0bedf70af688cp-2, 0x1.0e1f370b0a2f4p-2, 0x1.103b8c6ac53f6p-2, 0x1.12423b3894c87p-2, 0x1.1432985f09309p-2, 0x1.160c094d66ca6p-2, 0x1.17ce0395de593p-2, 0x1.19780c82e5febp-2, 0x1.1b09b8a515ed6p-2, 0x1.1c82ab5ad24b1p-2, 0x1.1de29652e649dp-2, 0x1.1f29390b29109p-2, 0x1.2056604c208bp-2, 0x1.2169e5a288242p-2, 0x1.2263aed782a89p-2, 0x1.2343ad68354dcp-2, 0x1.2409ddfd69c2ep-2, 0x1.24b647e3ce965p-2, 0x1.2548fc85573c8p-2, 0x1.25c216e427094p-2, 0x1.2621bb1775eefp-2, 0x1.266815cab9582p-2, 0x1.26955bbf64abep-2, 0x1.26a9c9517aa81p-2, 0x1.26a5a1ff23091p-2, 0x1.26892ff373fbep-2, 0x1.2654c3948f77ep-2, 0x1.2608b3152d203p-2, 0x1.25a55a09a8dd7p-2, 0x1.252b19009e8acp-2, 0x1.249a551f221b2p-2, 0x1.23f377c08e0ecp-2, 0x1.2336ee19f022dp-2, 0x1.226528e109ad7p-2, 0x1.217e9bf6dc9cfp-2, 0x1.2083be15ba1afp-2, 0x1.1f750882c7644p-2, 0x1.1e52f6c2e5eccp-2, 0x1.1d1e0652ecc5dp-2, 0x1.1bd6b6632535cp-2, 0x1.1a7d8795f1dep-2, 0x1.1912fbc18bc5bp-2, 0x1.179795b4c2ce6p-2, 0x1.160bd8fea8119p-2, 0x1.147049b90ad8p-2, 0x1.12c56c55b5b0fp-2, 0x1.110bc56e50d65p-2, 0x1.0f43d996d2fefp-2, 0x1.0d6e2d326db5p-2, 0x1.0b8b444adacd9p-2, 0x1.099ba269f5e57p-2, 0x1.079fca758cc5fp-2, 0x1.05983e8d52778p-2, 0x1.03857feadcd0cp-2, 0x1.01680ec39bcc5p-2, 0x1.fe80d459694fcp-3, 0x1.fa1e20015920dp-3, 0x1.f5a8f98daa752p-3, 0x1.f1225738c58acp-3, 0x1.ec8b2c3e37e6ep-3, 0x1.e7e468b32e304p-3, 0x1.e32ef961da963p-3, 0x1.de6bc7a7ae418p-3, 0x1.d99bb9564ef02p-3, 0x1.d4bfb09715b88p-3, 0x1.cfd88bd1144f5p-3, 0x1.cae7259174d64p-3, 0x1.c5ec547618edep-3, 0x1.c0e8eb1a6c9c6p-3, 0x1.bbddb8064735bp-3, 0x1.b6cb859ec447bp-3, 0x1.b1b31a19091b4p-3, 0x1.ac95376ece53fp-3, 0x1.a7729b54adaep-3, 0x1.a24bff320e086p-3, 0x1.9d22181aa1699p-3, 0x1.97f596c966ed6p-3, 0x1.92c7279d1474ep-3, 0x1.8d977295e2d21p-3, 0x1.88671b549be36p-3, 0x1.8336c11aea9fp-3, 0x1.7e06feccd7f1ep-3, 0x1.78d86af35a0eep-3, 0x1.73ab97c0019d3p-3, 0x1.6e8113119627ep-3, 0x1.69596679b3663p-3, 0x1.64351743434b9p-3, 0x1.5f14a679d783cp-3, 0x1.59f890f1cb7bdp-3, 0x1.54e14f512e16ep-3, 0x1.4fcf56195b4f5p-3, 0x1.4ac315b146a45p-3, 0x1.45bcfa7067617p-3, 0x1.40bd6caa37cabp-3, 0x1.3bc4d0ba456b8p-3, 0x1.36d38710c4754p-3, 0x1.31e9ec3fa0e71p-3, 0x1.2d085907fda87p-3, 0x1.282f226820b6cp-3, 0x1.235e99a9c0f5ap-3, 0x1.1e970c70abf4cp-3, 0x1.19d8c4c9c1ea4p-3, 0x1.1524093a37298p-3, 0x1.10791ccf22212p-3, 0x1.0bd83f2d3a9abp-3, 0x1.0741aca0daf3p-3, 0x1.02b59e2e2b8b6p-3, 0x1.fc689342f0e5fp-4, 0x1.f37bc33f5d4b6p-4, 0x1.eaa52b6de91eep-4, 0x1.e1e524deb661p-4, 0x1.d93c02b751882p-4, 0x1.d0aa12545be9ep-4, 0x1.c82f9b6b4437bp-4, 0x1.bfcce02c195e3p-4, 0x1.b7821d63565bdp-4, 0x1.af4f8a9ba54b3p-4, 0x1.a7355a3f97df5p-4, 0x1.9f33b9bb500bp-4, 0x1.974ad19dfb716p-4, 0x1.8f7ac5bb368fep-4, 0x1.87c3b54c411ccp-4, 0x1.8025bb10fdcb4p-4, 0x1.78a0ed70bcef9p-4, 0x1.71355e9ac7737p-4, 0x1.69e31ca6a71dfp-4, 0x1.62aa31b425acdp-4, 0x1.5b8aa40aff0c7p-4, 0x1.5484763a402d7p-4, 0x1.4d97a737502d1p-4, 0x1.46c4327c9e8a4p-4, 0x1.400a1027f22ebp-4, 0x1.39693518575aep-4, 0x1.32e1930ba64f7p-4, 0x1.2c7318bba3655p-4, 0x1.261db1fab26e2p-4, 0x1.1fe147d01ae63p-4, 0x1.19bdc093ddab1p-4, 0x1.13b3000a166a3p-4, 0x1.0dc0e77de83efp-4, 0x1.07e755dbf391fp-4, 0x1.022627cc54844p-4, 0x1.f8fa6f984c127p-5, 0x1.edd8bc8d16df1p-5, 0x1.e2e6e35a77ea8p-5, 0x1.d8248d2127d49p-5, 0x1.cd915f6e490b4p-5, 0x1.c32cfc6992391p-5, 0x1.b8f703027347cp-5, 0x1.aeef0f1c42b04p-5, 0x1.a514b9b966137p-5, 0x1.9b6799258211fp-5, 0x1.91e7411ea56cbp-5, 0x1.889342fd7a563p-5, 0x1.7f6b2ddc78538p-5, 0x1.766e8ebe197dep-5, 0x1.6d9cf0b2148c9p-5, 0x1.64f5dcf99ba77p-5, 0x1.5c78db2aa5495p-5, 0x1.5425715239eacp-5, 0x1.4bfb2415cee72p-5, 0x1.43f976d3ae427p-5, 0x1.3c1febc26c5cep-5, 0x1.346e040f6f741p-5, 0x1.2ce33ffc8b681p-5, 0x1.257f1efcb1c41p-5, 0x1.1e411fcfbd6e4p-5, 0x1.1728c09d583cfp-5, 0x1.10357f0f011f8p-5, 0x1.0966d8693227cp-5, 0x1.02bc49a3ac14bp-5, 0x1.f86a9f01d8966p-6, 0x1.eba2cd4993718p-6, 0x1.df20175489dfep-6, 0x1.d2e1767110a8bp-6, 0x1.c6e5e42e3ca31p-6, 0x1.bb2c5a82bf717p-6, 0x1.afb3d3f2429e5p-6, 0x1.a47b4bb140662p-6, 0x1.9981bdc76407bp-6, 0x1.8ec627307a0dfp-6, 0x1.844785fbf84f2p-6, 0x1.7a04d96b26c9p-6, 0x1.6ffd220de687fp-6, 0x1.662f61de2d1ebp-6, 0x1.5c9a9c5a3291ap-6, 0x1.533dd69d58bf2p-6, 0x1.4a181777dc74cp-6, 0x1.412867854bf7dp-6, 0x1.386dd141d27cep-6, 0x1.2fe7611e5ee35p-6, 0x1.27942593a8855p-6, 0x1.1f732f3423b4dp-6, 0x1.178390bcdb55bp-6, 0x1.0fc45f254f417p-6, 0x1.0834b1ae4472ap-6, 0x1.00d3a1efa5f02p-6, 0x1.f34097cad3999p-7, 0x1.e5339bf7244f4p-7, 0x1.d77e923282114p-7, 0x1.ca1fc155e4304p-7, 0x1.bd157557bfa5ep-7, 0x1.b05dff5d20048p-7, 0x1.a3f7b5c93a8fp-7, 0x1.97e0f44b746f4p-7, 0x1.8c181bebe74ddp-7, 0x1.809b9316877a5p-7, 0x1.7569c5a4d9578p-7, 0x1.6a8124e6593bdp-7, 0x1.5fe027a798961p-7, 0x1.55854a381d00cp-7, 0x1.4b6f0e6f10c01p-7, 0x1.419bfbaec3acfp-7, 0x1.380a9ee71e0ddp-7, 0x1.2eb98a96f6dc3p-7, 0x1.25a756cc6c4b3p-7, 0x1.1cd2a1243e215p-7, 0x1.143a0cc8381dap-7, 0x1.0bdc426cb5217p-7, 0x1.03b7f04d46f1p-7, 0x1.f79794511179ap-8, 0x1.e82d127654c3fp-8, 0x1.d92dd87471c53p-8, 0x1.ca976e9962eadp-8, 0x1.bc676808c87a2p-8, 0x1.ae9b62ac638bp-8, 0x1.a131072353827p-8, 0x1.942608b02b6fdp-8, 0x1.87782525e72f6p-8, 0x1.7b2524d3d7669p-8, 0x1.6f2ada70902cap-8, 0x1.63872303e751bp-8, 0x1.5837e5d011bfep-8, 0x1.4d3b1439f0924p-8, 0x1.428ea9b0960a4p-8, 0x1.3830ab9412b7ep-8, 0x1.2e1f291b953e2p-8, 0x1.24583b3aecbf7p-8, 0x1.1ada048774236p-8, 0x1.11a2b11c75afep-8, 0x1.08b0767f1119bp-8, 0x1.00019381ad547p-8, 0x1.ef28a04e03ea9p-9, 0x1.decdfb0982e55p-9, 0x1.ceefeb4bdd546p-9, 0x1.bf8b36d9c69cdp-9, 0x1.b09cb4ea30403p-9, 0x1.a2214de959f49p-9, 0x1.9415fb3b83b8fp-9, 0x1.8677c6ff49c8ep-9, 0x1.7943cbcfb7f08p-9, 0x1.6c7734862a366p-9, 0x1.600f3bfc007c9p-9, 0x1.54092ccc3b0c6p-9, 0x1.4862611502de3p-9, 0x1.3d18423936626p-9, 0x1.322848a1fb5bp-9, 0x1.278ffb80685aap-9, 0x1.1d4cf08f4dc93p-9, 0x1.135ccbd527718p-9, 0x1.09bd3f6646ea5p-9, 0x1.006c0b2736daep-9, 0x1.eecdf91ecdbd6p-10, 0x1.dd57dcd84eb2p-10, 0x1.cc719147f3749p-10, 0x1.bc16fff48692fp-10, 0x1.ac442ba6c602cp-10, 0x1.9cf52ff26949ep-10, 0x1.8e2640c00f95p-10, 0x1.7fd3a9d821017p-10, 0x1.71f9ce6ea8b8ap-10, 0x1.649528b041c48p-10, 0x1.57a2495006d8bp-10, 0x1.4b1dd716b0f9dp-10, 0x1.3f048e72cc3d4p-10, 0x1.3353410a1b676p-10, 0x1.2806d54c36ca3p-10, 0x1.1d1c46065fa2ap-10, 0x1.1290a1f897b93p-10, 0x1.08610b6bfe63cp-10, 0x1.fd156f94eed8ep-11, 0x1.ea15de6f5c2fep-11, 0x1.d7be1856bf66p-11, 0x1.c608f61a10e32p-11, 0x1.b4f173a1d3764p-11, 0x1.a472af2ce318p-11, 0x1.9487e890052adp-11, 0x1.852c807844937p-11, 0x1.765bf7b01730dp-11, 0x1.6811ee67557a1p-11, 0x1.5a4a237e0036dp-11, 0x1.4d0073d1db84dp-11, 0x1.4030d98edc049p-11, 0x1.33d76b8267877p-11, 0x1.27f05c716ad11p-11, 0x1.1c77fa713e936p-11, 0x1.116aae436144dp-11, 0x1.06c4fab3fc958p-11, 0x1.f906f7f672e3ap-12, 0x1.e545ce42b96c5p-12, 0x1.d24012cb56024p-12, 0x1.bfef8f501c064p-12, 0x1.ae4e3baaf214cp-12, 0x1.9d563cae1108ep-12, 0x1.8d01e307a6e6bp-12, 0x1.7d4baa2ae3144p-12, 0x1.6e2e373e4e9acp-12, 0x1.5fa4580f747ecp-12, 0x1.51a9020bc49p-12, 0x1.4437513ea896ap-12, 0x1.374a8754bc8d7p-12, 0x1.2ade0aa42000ap-12, 0x1.1eed6539cbd9fp-12, 0x1.137443ebe818ep-12, 0x1.086e75710af2fp-12, 0x1.fbafd2f8a7b09p-13, 0x1.e7595fbcb0047p-13, 0x1.d3d1ef55988c6p-13, 0x1.c1121cc5bb897p-13, 0x1.af12be4854484p-13, 0x1.9dcce3b88d5a5p-13, 0x1.8d39d5018ed9fp-13, 0x1.7d5310976c4bcp-13, 0x1.6e1249f8c7c85p-13, 0x1.5f716839169d5p-13, 0x1.516a84935fc3dp-13, 0x1.43f7e90550254p-13, 0x1.37140ef28b75ep-13, 0x1.2ab99dd00901fp-13, 0x1.1ee369d770b6ep-13, 0x1.138c72c241786p-13, 0x1.08afe28ca954ap-13, 0x1.fc92187fe58c4p-14, 0x1.e8a6d588acbe5p-14, 0x1.d5953f7448845p-14, 0x1.c354e4b415b88p-14, 0x1.b1dd9cb8e58b4p-14, 0x1.a12785cf7f5d6p-14, 0x1.912b030aae04ep-14, 0x1.81e0ba3aa383bp-14, 0x1.734191f1672c8p-14, 0x1.6546af9412f09p-14, 0x1.57e975789f2b5p-14, 0x1.4b23810ffe0b9p-14, 0x1.3eeea91c46d69p-14, 0x1.3344fbf2b5634p-14, 0x1.2820bdc93cf38p-14, 0x1.1d7c670f75514p-14, 0x1.1352a2d2a34fcp-14, 0x1.099e4d2ca2dep-14, 0x1.005a71bd767f1p-14, 0x1.ef04945e88fcbp-15, 0x1.de227989093fep-15, 0x1.ce05b5e054d6cp-15, 0x1.bea5bfef21997p-15, 0x1.affa5f3be0ebap-15, 0x1.a1fba9b25870bp-15, 0x1.94a2011f7929p-15, 0x1.87e610bf0ab05p-15, 0x1.7bc0cadac44a4p-15, 0x1.702b667a6e7fdp-15, 0x1.651f5d24a3047p-15, 0x1.5a9668afcf036p-15, 0x1.508a8123106ep-15, 0x1.46f5daa691b35p-15, 0x1.3dd2e38302f58p-15, 0x1.351c422fd5f2cp-15, 0x1.2cccd36fe0095p-15, 0x1.24dfa87c09b55p-15, 0x1.1d50053bb28a6p-15, 0x1.16195e8a73e98p-15, 0x1.0f37588aedc91p-15, 0x1.08a5c50647cd6p-15, 0x1.0260a1d81aaefp-15, 0x1.f8c82eccd6309p-16, 0x1.ed58ee4ad55dbp-16, 0x1.e26c744d6514p-16, 0x1.d7fbff67584d4p-16, 0x1.ce0117e5b3e0bp-16, 0x1.c4758d2f7a2b6p-16, 0x1.bb53733a1e4e7p-16, 0x1.b29520120ee5bp-16, 0x1.aa352976d73b9p-16, 0x1.a22e628a4c9fep-16, 0x1.9a7bd99249c85p-16, 0x1.9318d5cc72eb3p-16, 0x1.8c00d553875e1p-16, 0x1.852f8b15cedc9p-16, 0x1.7ea0dcdc16ae6p-16, 0x1.7850e160e3279p-16, 0x1.723bde774d548p-16, 0x1.6c5e47412db1bp-16, 0x1.66b4ba7415d8p-16, 0x1.613c00acc2a2fp-16, 0x1.5bf10ad08b9aep-16, 0x1.56d0f07c77007p-16, 0x1.51d8ee81871c5p-16, 0x1.4d06656de6081p-16, 0x1.4856d8228b0e7p-16, 0x1.43c7ea750554fp-16, 0x1.3f575fdd04c39p-16, 0x1.3b031a2d5bfdbp-16, 0x1.36c91858117f7p-16, 0x1.32a7753d3889ep-16, 0x1.2e9c668442994p-16, 0x1.2aa63b7f6bba1p-16, 0x1.26c35c19047c4p-16, 0x1.22f247ca4536p-16, 0x1.1f31949b5c0b5p-16, 0x1.1b7fee2c81d8dp-16, 0x1.17dc14c7b291p-16, 0x1.1444dc7ae44c3p-16, 0x1.10b92c3a6016fp-16, 0x1.0d37fd0b108aap-16, 0x1.09c05934757b1p-16, 0x1.06515b7a12ef2p-16, 0x1.02ea2e5c0e498p-16, 0x1.ff1416bd8fd38p-17, 0x1.f86074b27674dp-17, 0x1.f1b82193d42c1p-17, 0x1.eb19e2643aef6p-17, 0x1.e48494ee9ab38p-17, 0x1.ddf72e94edaa3p-17, 0x1.d770bb2a691ap-17, 0x1.d0f05bd8cded3p-17, 0x1.ca7546107b4b4p-17, 0x1.c3fec282f2888p-17, 0x1.bd8c2c276ebf2p-17, 0x1.b71cef4930f47p-17, 0x1.b0b0889f4441cp-17, 0x1.aa46846d5973cp-17, 0x1.a3de7dad77d49p-17, 0x1.9d781d422573cp-17, 0x1.97131930d199cp-17, 0x1.90af33e436765p-17, 0x1.8a4c3b765fe49p-17, 0x1.83ea090221f1ep-17, 0x1.7d887ffbbb6bcp-17, 0x1.77278d9060b9p-17, 0x1.70c7280c75587p-17, 0x1.6a674e483bd11p-17, 0x1.6408071abcaap-17, 0x1.5da960d2af183p-17, 0x1.574b70b52b2d5p-17, 0x1.50ee5281fbbc1p-17, 0x1.4a9227fd4d147p-17, 0x1.4437187e93d75p-17, 0x1.3ddd5084758c8p-17, 0x1.3785014d8930bp-17, 0x1.312e6075c006fp-17, 0x1.2ad9a7984ce33p-17, 0x1.248713f5df8ebp-17, 0x1.1e36e61f0c10cp-17, 0x1.17e961a2b5a7dp-17, 0x1.119eccc0588c7p-17, 0x1.0b57701e0de4bp-17, 0x1.0513968224496p-17, 0x1.fda719205a0afp-18, 0x1.f12f4112b57d3p-18, 0x1.e4c04420243bbp-18, 0x1.d85ac3dd1cb1ap-18, 0x1.cbff63c0f135dp-18, 0x1.bfaec8beaf948p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.21d48a1769517p-5, 0x1.25e9718e0cb21p-5, 0x1.2a87a41d143e2p-5, 0x1.3012ee298fa48p-5, 0x1.36e6da93b4abdp-5, 0x1.3f558a2ed2affp-5, 0x1.49a6f65fd45bdp-5, 0x1.56188d8c67e67p-5, 0x1.64dd1977b8b2ap-5, 0x1.761ce1555baadp-5, 0x1.89f5fb16a323cp-5, 0x1.a07cc12697088p-5, 0x1.b9bc635ce1879p-5, 0x1.d5b78b5efb531p-5, 0x1.f4690ded8c60cp-5, 0x1.0ae251dd09685p-4, 0x1.1cdbd2ac67e17p-4, 0x1.3014e35bf9fb7p-4, 0x1.447ee79d7ad97p-4, 0x1.5a092619cef06p-4, 0x1.70a11dfac729dp-4, 0x1.8832d817fae2ap-4, 0x1.a0a9334b61421p-4, 0x1.b9ee2b99cd4a8p-4, 0x1.d3eb1bfc76497p-4, 0x1.ee88fab48691dp-4, 0x1.04d8481441617p-3, 0x1.12a5542f3192ap-3, 0x1.20a01f9a51774p-3, 0x1.2ebd53c46f579p-3, 0x1.3cf1d6c228795p-3, 0x1.4b32da26dfce1p-3, 0x1.5975e7b2f6d44p-3, 0x1.67b0ebfb77d4ep-3, 0x1.75da3f308754ep-3, 0x1.83e8ac2831022p-3, 0x1.91d375d312cf7p-3, 0x1.9f925b3fa84d5p-3, 0x1.ad1d9a500f37dp-3, 0x1.ba6df144acbf5p-3, 0x1.c77c9f3cac48ep-3, 0x1.d44363cb78059p-3, 0x1.e0bc7dc0809cp-3, 0x1.ece2a93cb1fa3p-3, 0x1.f8b11d2efb617p-3, 0x1.0211c427a716cp-2, 0x1.079b06d6c6e2fp-2, 0x1.0cf2a073fc36bp-2, 0x1.1217110d56dd6p-2, 0x1.17070ccc2603bp-2, 0x1.1bc179bcea5edp-2, 0x1.20456d8941521p-2, 0x1.24922b295aec1p-2, 0x1.28a72091e7a6fp-2, 0x1.2c83e462b6147p-2, 0x1.30283399b751cp-2, 0x1.3393ef4d88819p-2, 0x1.36c71a7230462p-2, 0x1.39c1d7aa416c2p-2, 0x1.3c84672645ae2p-2, 0x1.3f0f2493dd9a2p-2, 0x1.4162851dcac8cp-2, 0x1.437f157dc9177p-2, 0x1.45657820dbd46p-2, 0x1.4716635e83d82p-2, 0x1.48929fc31d71fp-2, 0x1.49db066d847ecp-2, 0x1.4af07f7ff6c12p-2, 0x1.4bd400a4080dap-2, 0x1.4c868ba17071cp-2, 0x1.4d092d0760538p-2, 0x1.4d5cfae7f08c6p-2, 0x1.4d8313a5432fbp-2, 0x1.4d7c9ccfd41ebp-2, 0x1.4d4ac21571f58p-2, 0x1.4ceeb4405aef3p-2, 0x1.4c69a845e19eep-2, 0x1.4bbcd66414accp-2, 0x1.4ae9794dc4a8ap-2, 0x1.49f0cd6462b04p-2, 0x1.48d40fff16803p-2, 0x1.47947ebe7fa35p-2, 0x1.463356ec9260cp-2, 0x1.44b1d4e7f91cdp-2, 0x1.4311339a79508p-2, 0x1.4152abf9cf5adp-2, 0x1.3f7774927d3a8p-2, 0x1.3d80c11c0a722p-2, 0x1.3b6fc2163f396p-2, 0x1.3945a46edcc0cp-2, 0x1.3703912f62625p-2, 0x1.34aaad326d65dp-2, 0x1.323c18e04ff26p-2, 0x1.2fb8eff26b837p-2, 0x1.2d22493cfadf8p-2, 0x1.2a79367ee1226p-2, 0x1.27bec43729696p-2, 0x1.24f3f97fe15e6p-2, 0x1.2219d7edf6ac7p-2, 0x1.1f315b75cf3bcp-2, 0x1.1c3b7a544987ep-2, 0x1.193924fbe3f75p-2, 0x1.162b4605c2338p-2, 0x1.1312c226535e9p-2, 0x1.0ff078255339cp-2, 0x1.0cc540d8f87e2p-2, 0x1.0991ef240a0abp-2, 0x1.06574ff6b03ccp-2, 0x1.03162a51cb09dp-2, 0x1.ff9e7e993c77bp-3, 0x1.f9069439489fep-3, 0x1.f266003ec7cf1p-3, 0x1.ebbe21cc2b51p-3, 0x1.e5104c85f3203p-3, 0x1.de5dc8b070317p-3, 0x1.d7a7d35055645p-3, 0x1.d0ef9e4dd5ff1p-3, 0x1.ca36509a1425bp-3, 0x1.c37d0656ab655p-3, 0x1.bcc4d0ff1e26cp-3, 0x1.b60eb793e9587p-3, 0x1.af5bb6c71ea36p-3, 0x1.a8acc12a5147p-3, 0x1.a202bf5d9ff3p-3, 0x1.9b5e903fc845cp-3, 0x1.94c1091f10093p-3, 0x1.8e2af5eae4843p-3, 0x1.879d196611f8p-3, 0x1.81182d5972be2p-3, 0x1.7a9ce2c6fac22p-3, 0x1.742be21cffacep-3, 0x1.6dc5cb69afae3p-3, 0x1.676b368e94977p-3, 0x1.611cb3741533p-3, 0x1.5adaca3cddfb8p-3, 0x1.54a5fb791eb8bp-3, 0x1.4e7ec0598fd13p-3, 0x1.48658ae22952bp-3, 0x1.425ac61c8204dp-3, 0x1.3c5ed649cb162p-3, 0x1.36721914550a1p-3, 0x1.3094e5c097bf3p-3, 0x1.2ac78d5db3e12p-3, 0x1.250a5af566bc5p-3, 0x1.1f5d93bb5d19fp-3, 0x1.19c1773be989ap-3, 0x1.14363f8a18d26p-3, 0x1.0ebc216d0b07dp-3, 0x1.09534c8ca9043p-3, 0x1.03fbeb9d969c4p-3, 0x1.fd6c4918df406p-4, 0x1.f304315084efap-4, 0x1.e8bfc9989275dp-4, 0x1.de9f4311bb833p-4, 0x1.d4a2c6974a4ecp-4, 0x1.caca750deac99p-4, 0x1.c11667b0da2a4p-4, 0x1.b786b05d81d8bp-4, 0x1.ae1b59dd83034p-4, 0x1.a4d4682f14f3p-4, 0x1.9bb1d8cbe5a0cp-4, 0x1.92b3a2ee5142ap-4, 0x1.89d9b7d5007aep-4, 0x1.81240304fe38bp-4, 0x1.78926a8a2fd43p-4, 0x1.7024cf36401bep-4, 0x1.67db0cddf975ep-4, 0x1.5fb4fa9516499p-4, 0x1.57b26ae888c1bp-4, 0x1.4fd32c173c895p-4, 0x1.4817084959605p-4, 0x1.407dc5c608773p-4, 0x1.39072727c09d2p-4, 0x1.31b2eb8f1f97p-4, 0x1.2a80ced454227p-4, 0x1.237089b71d391p-4, 0x1.1c81d20d64079p-4, 0x1.15b45af07693ep-4, 0x1.0f07d4e8e5e3p-4, 0x1.087bee19103d6p-4, 0x1.021052665a8f1p-4, 0x1.f78957423c574p-5, 0x1.eb314356a6184p-5, 0x1.df17b53bf4ce7p-5, 0x1.d33bf5da9b02fp-5, 0x1.c79d4b1777968p-5, 0x1.bc3af8176e223p-5, 0x1.b1143d80b4784p-5, 0x1.a62859b9d4ea8p-5, 0x1.9b7689267bdb2p-5, 0x1.90fe066211a69p-5, 0x1.86be0a7834f3dp-5, 0x1.7cb5cd1b1d832p-5, 0x1.72e484d7ef38ep-5, 0x1.6949674911189p-5, 0x1.5fe3a9468c687p-5, 0x1.56b27f14826b5p-5, 0x1.4db51c8fc2e3fp-5, 0x1.44eab55890674p-5, 0x1.3c527cfb99e0dp-5, 0x1.33eba719391e5p-5, 0x1.2bb5678afc5e1p-5, 0x1.23aef2878a00ap-5, 0x1.1bd77cc4e5682p-5, 0x1.142e3b992209p-5, 0x1.0cb265198e2c9p-5, 0x1.056330385f3f6p-5, 0x1.fc7fa9c1d7f7bp-6, 0x1.ee8f1824f58c5p-6, 0x1.e0f31ff3654e9p-6, 0x1.d3aa38116859dp-6, 0x1.c6b2da1bd1ed1p-6, 0x1.ba0b8293197e9p-6, 0x1.adb2b1040245ep-6, 0x1.a1a6e82ddf43dp-6, 0x1.95e6ae2686c9fp-6, 0x1.8a708c7c11a62p-6, 0x1.7f431054675b3p-6, 0x1.745cca8ab9e13p-6, 0x1.69bc4fcaf1a1bp-6, 0x1.5f6038ab2b777p-6, 0x1.554721c348b02p-6, 0x1.4b6fabc2ab1b7p-6, 0x1.41d87b842d549p-6, 0x1.38803a2061223p-6, 0x1.2f6594fe26eb7p-6, 0x1.26873de1aba14p-6, 0x1.1de3eaf9e01b9p-6, 0x1.157a56ec73111p-6, 0x1.0d4940e0599e6p-6, 0x1.054f6c86fe4bbp-6, 0x1.fb1744483426cp-7, 0x1.ebf95d28936e5p-7, 0x1.dd42c6a4d3e15p-7, 0x1.cef12cf78fb9fp-7, 0x1.c10245a6649a9p-7, 0x1.b373cf85f587cp-7, 0x1.a64392bbcda2dp-7, 0x1.996f60be5d59cp-7, 0x1.8cf514530b013p-7, 0x1.80d2918a77396p-7, 0x1.7505c5bb08d07p-7, 0x1.698ca779e3517p-7, 0x1.5e653692375dep-7, 0x1.538d7bfb332e4p-7, 0x1.490389cc74452p-7, 0x1.3ec57b312ed1fp-7, 0x1.34d1745a149ebp-7, 0x1.2b25a26e01711p-7, 0x1.21c03b798cd1cp-7, 0x1.189f7e5d888b8p-7, 0x1.0fc1b2bc7fdep-7, 0x1.072528e74577p-7, 0x1.fd9073913f138p-8, 0x1.ed528da040bep-8, 0x1.dd8d73b87490dp-8, 0x1.ce3e0a4734bd2p-8, 0x1.bf61463bb6688p-8, 0x1.b0f42cd72f529p-8, 0x1.a2f3d37bdb873p-8, 0x1.955d5f7af6425p-8, 0x1.882e05e1c1098p-8, 0x1.7b630b45ab009p-8, 0x1.6ef9c38fb184cp-8, 0x1.62ef91c70aab7p-8, 0x1.5741e7db32f7ep-8, 0x1.4bee466d6aac5p-8, 0x1.40f23c99bb31bp-8, 0x1.364b67bf91d24p-8, 0x1.2bf7734a02e9dp-8, 0x1.21f41877c5077p-8, 0x1.183f1e22f40b7p-8, 0x1.0ed65888a9351p-8, 0x1.05b7a9107afacp-8, 0x1.f9c1fc27d76dbp-9, 0x1.e8a0a54bb49a7p-9, 0x1.d8075cb3f954fp-9, 0x1.c7f24a18e7c0dp-9, 0x1.b85dad5301429p-9, 0x1.a945ddead0da1p-9, 0x1.9aa74aa91da1ep-9, 0x1.8c7e7927a6ab2p-9, 0x1.7ec8056271373p-9, 0x1.7180a149bc733p-9, 0x1.64a51454ad49p-9, 0x1.58323b14c209bp-9, 0x1.4c2506ca18a26p-9, 0x1.407a7cf8971ffp-9, 0x1.352fb6fe0643dp-9, 0x1.2a41e1a9272c7p-9, 0x1.1fae3cd1cad29p-9, 0x1.15721af202ffap-9, 0x1.0b8ae0c065fdp-9, 0x1.01f604cb7dc01p-9, 0x1.f1621e2cb9e56p-10, 0x1.df73316cd455ap-10, 0x1.ce1a96e4d3874p-10, 0x1.bd53c2c5870e8p-10, 0x1.ad1a492623572p-10, 0x1.9d69dd49fb478p-10, 0x1.8e3e50e8db2c9p-10, 0x1.7f93937a0730ep-10, 0x1.7165b181f982ep-10, 0x1.63b0d3e2c646ap-10, 0x1.56713f2f513a6p-10, 0x1.49a3530132283p-10, 0x1.3d4389516d4bcp-10, 0x1.314e75d3ec882p-10, 0x1.25c0c555c38fep-10, 0x1.1a973d1e413fdp-10, 0x1.0fceba52cd0cdp-10, 0x1.0564315d8e7cap-10, 0x1.f6a95aadbc6ecp-11, 0x1.e33a9ee30cdf6p-11, 0x1.d0769cd3891c2p-11, 0x1.be57ebee24683p-11, 0x1.acd94c8160d44p-11, 0x1.9bf5a6a9de37ep-11, 0x1.8ba8094660e32p-11, 0x1.7beba8f13f97bp-11, 0x1.6cbbdeff34bcdp-11, 0x1.5e14288383b6ap-11, 0x1.4ff0255969d2fp-11, 0x1.424b9732cd48fp-11, 0x1.352260ac1d021p-11, 0x1.2870846555038p-11, 0x1.1c322420190f3p-11, 0x1.10637fe2d50bap-11, 0x1.0500f520d7b71p-11, 0x1.f40dfbcea9769p-12, 0x1.dee4601e8225fp-12, 0x1.ca7e78e7ee93p-12, 0x1.b6d5dc5d27a3fp-12, 0x1.a3e453abf1235p-12, 0x1.91a3d986d09d6p-12, 0x1.800e98b746fb6p-12, 0x1.6f1eeab8f5e56p-12, 0x1.5ecf565d86951p-12, 0x1.4f1a8e792b5edp-12, 0x1.3ffb7097a0772p-12, 0x1.316d03b98046fp-12, 0x1.236a7719c89ecp-12, 0x1.15ef20fb6d376p-12, 0x1.08f67d7ed28fcp-12, 0x1.f8f85afe15c38p-13, 0x1.e0f7eaed624bep-13, 0x1.c9e378d877bccp-13, 0x1.b3b315cb52116p-13, 0x1.9e5f13c6a7dc1p-13, 0x1.89e003c3b6499p-13, 0x1.762eb3c5d3762p-13, 0x1.63442cf98ba1cp-13, 0x1.5119b1e0fbccfp-13, 0x1.3fa8bc8d1b616p-13, 0x1.2eeafce3c0a89p-13, 0x1.1eda56f205fe5p-13, 0x1.0f70e14ad198p-13, 0x1.00a8e37143885p-13, 0x1.e4f9a89d6c75ap-14, 0x1.c9ceb1682be89p-14, 0x1.afc683cca0976p-14, 0x1.96d7186b1f5a8p-14, 0x1.7ef6bb3e1732fp-14, 0x1.681c08f2455f7p-14, 0x1.523dec5314bbbp-14, 0x1.3d539bca97ee4p-14, 0x1.295496f4ae2cap-14, 0x1.1638a444d2da5p-14, 0x1.03f7cebe22902p-14, 0x1.e514c77a3e624p-15, 0x1.c3d1e1a57c9fep-15, 0x1.a41883609def9p-15, 0x1.85dabc4791e8dp-15, 0x1.690b104824fa8p-15, 0x1.4d9c73d9ab85ap-15, 0x1.33824852ee70cp-15, 0x1.1ab0585d8950cp-15, 0x1.031ad485f2ea7p-15, 0x1.d96c9fcebbffep-16, 0x1.aeef79e56b405p-16, 0x1.86a8d49fd7da4p-16, 0x1.6083ffb1ca173p-16, 0x1.3c6cf75a7a3cap-16, 0x1.1a505ebc76903p-16, 0x1.f436f4c8e665dp-17, 0x1.b77855fb5dfb8p-17, 0x1.7e41d0652e34ap-17, 0x1.48717770b4b01p-17, 0x1.15e679085c81ap-17, 0x1.cd0228a3f0c28p-18, 0x1.744521712f533p-18, 0x1.215a6a84d40aap-18, 0x1.a81100c196a34p-19, 0x1.182f7b95bf1d2p-19, 0x1.254930968a928p-20, 0x1.708289f5234c3p-23, -0x1.6c2a7fd8e453ap-21, -0x1.87ea9107efb34p-20, -0x1.24162dec146e8p-19, -0x1.7bc89d44f7437p-19, -0x1.cb64ed552342ap-19, -0x1.09a04b98c624p-18, -0x1.29d72702d0256p-18, -0x1.467f0b05f3a68p-18, -0x1.5fbead5f05824p-18, -0x1.75bb82216b05ep-18, -0x1.8899c6104c32cp-18, -0x1.987c889d0efdfp-18, -0x1.a585b58e293b9p-18, -0x1.afd61e5134976p-18, -0x1.b78d82fb1efb5p-18, -0x1.bcca9af9402e9p-18, -0x1.bfab1d760261p-18, -0x1.c04bc973b976dp-18, -0x1.bec86da0350edp-18, -0x1.bb3befe37f031p-18, -0x1.b5c054ac28dc4p-18, -0x1.ae6ec5fb79af7p-18, -0x1.a55f9a33b6ceap-18, -0x1.9aaa5aaab5e35p-18, -0x1.8e65ca02cfb12p-18, -0x1.80a7ea4c3f82p-18, -0x1.718602f0e4766p-18, -0x1.6114a66c539ebp-18, -0x1.4f67b7d20aa0dp-18, -0x1.3c92702396223p-18, -0x1.28a7637860ecp-18, -0x1.13b885f8d8ac3p-18, -0x1.fbae615d0d999p-19, -0x1.ce284c55613bap-19, -0x1.9eff2e09f691dp-19, -0x1.6e524c671d27p-19, -0x1.3c3fda7c3c4ddp-19, -0x1.08e5009a695d7p-19, -0x1.a8bbc85c4822dp-20, -0x1.3d8b5ead8ea9dp-20, -0x1.a0da60f86271dp-21, -0x1.864f4192dfc0ap-22, 0x1.d9ff5eb3ec13ap-25, 0x1.011e533a67a14p-21, 0x1.e6f8cad83d23cp-21, 0x1.676bfd97fdad9p-20, 0x1.dc33daa38ffffp-20, 0x1.28d5b9591d058p-19, 0x1.63d5df1cf4ad5p-19, 0x1.9f079687dae3bp-19, 0x1.da58cde5f84fap-19, 0x1.0adc126095abbp-18, 0x1.288a7372cef48p-18, 0x1.462f83c6acea6p-18, 0x1.63c38e58b316fp-18, 0x1.813f2d3f80af9p-18, 0x1.9e9b4777d6d1p-18, 0x1.bbd10ec15a1fep-18, 0x1.d8d9fd8b7709cp-18, 0x1.f5afd4f1cd4c9p-18, 0x1.09264d63c773ap-17, 0x1.17554bd8a4a05p-17, 0x1.25622aa64511ap-17, 0x1.334a4e3273999p-17, 0x1.410b399af1ef2p-17, 0x1.4ea28ddca03bp-17, 0x1.5c0e0900a002bp-17, 0x1.694b854f3d43fp-17, 0x1.7658f8885e32dp-17, 0x1.833473215c7dbp-17, 0x1.8fdc1f87fddf5p-17, 0x1.9c4e416a6fbf2p-17, 0x1.a8893504101f6p-17, 0x1.b48b6e6edfd17p-17, 0x1.c05378f96a0e2p-17, 0x1.cbdff6810781fp-17, 0x1.d72f9ed0477a6p-17, 0x1.e2413f0170ca9p-17, 0x1.ed13b8e4dde06p-17, 0x1.f7a6026b2711fp-17, 0x1.00fb928977f35p-16, 0x1.06031ead20defp-16, 0x1.0ae93d19a72e2p-16, 0x1.0fad8e3e40eecp-16, 0x1.144fbb3de7375p-16, 0x1.18cf75ae862b9p-16, 0x1.1d2c7759b0ad1p-16, 0x1.216681fecc2efp-16, 0x1.257d5f16a0811p-16, 0x1.2970df984dbbfp-16, 0x1.2d40dbbf97008p-16, 0x1.30ed32d473a51p-16, 0x1.3475caf3ea675p-16, 0x1.37da90da1f95ep-16, 0x1.3b1b77ad9912dp-16, 0x1.3e3878cba79c8p-16, 0x1.41319395eee04p-16, 0x1.4406cd410f391p-16, 0x1.46b830a455001p-16, 0x1.4945ce0a7c904p-16, 0x1.4bafbb0376d0ep-16, 0x1.4df6123729f37p-16, 0x1.5018f3392dac7p-16, 0x1.5218825d7536dp-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.8e545c50146d9p-4, -0x1.ac684116c2f5ep-4, -0x1.cabe21bcf70bap-4, -0x1.e92fe32fef191p-4, -0x1.03cd6f5ae0256p-3, -0x1.12f01edbc21d4p-3, -0x1.21f2950ab0075p-3, -0x1.30c96d48b8395p-3, -0x1.3f6b412b6eb42p-3, -0x1.4dd094fabfa89p-3, -0x1.5bf3bbb55339bp-3, -0x1.69d0b506300fcp-3, -0x1.7765073751e6bp-3, -0x1.84af96d435456p-3, -0x1.91b07d5ea5481p-3, -0x1.9e68e030450c7p-3, -0x1.aadac864d1bcfp-3, -0x1.b708fc7365eaap-3, -0x1.c2f6dbefde34dp-3, -0x1.cea83dc7ba8e1p-3, -0x1.da21512f34daap-3, -0x1.e566815a26cd9p-3, -0x1.f07c5c08ccd2bp-3, -0x1.fb677ae0d19b3p-3, -0x1.031637bfadd7ep-2, -0x1.0867d91404dfep-2, -0x1.0daac9773b83dp-2, -0x1.12e11699ce56bp-2, -0x1.180caea6d384p-2, -0x1.1d2f5c17c583bp-2, -0x1.224ac27294358p-2, -0x1.27605bdc9ef8cp-2, -0x1.2c71776db5ef6p-2, -0x1.317f382efaa0fp-2, -0x1.368a94b258f19p-2, -0x1.3b94573051589p-2, -0x1.409d1e1adf40dp-2, -0x1.45a55d156b667p-2, -0x1.4aad5e42ce386p-2, -0x1.4fb543db9b016p-2, -0x1.54bd0a0000d04p-2, -0x1.59c488b9aaa28p-2, -0x1.5ecb762319056p-2, -0x1.63d168aaf2693p-2, -0x1.68d5d96ac449cp-2, -0x1.6dd8268998d52p-2, -0x1.72d795a3a1f42p-2, -0x1.77d35631136afp-2, -0x1.7cca83e6ffd06p-2, -0x1.81bc290dc5b5bp-2, -0x1.86a740c944fb1p-2, -0x1.8b8ab94fa652fp-2, -0x1.9065760c164p-2, -0x1.953651ab48859p-2, -0x1.99fc20101b3p-2, -0x1.9eb5b02f0fcbep-2, -0x1.a361cdcfad4ccp-2, -0x1.a7ff43333a624p-2, -0x1.ac8cdaa08181dp-2, -0x1.b1095fd48f40ap-2, -0x1.b573a1589e728p-2, -0x1.b9ca71bd82fa6p-2, -0x1.be0ca8bd27128p-2, -0x1.c2392442b41a8p-2, -0x1.c64ec95a37612p-2, -0x1.ca4c85089526p-2, -0x1.ce314d0cbeca2p-2, -0x1.d1fc208b2209dp-2, -0x1.d5ac08a45b551p-2, -0x1.d94018f831658p-2, -0x1.dcb77015f38bep-2, -0x1.e01137db3d502p-2, -0x1.e34ca5c23b101p-2, -0x1.e668fb207319p-2, -0x1.e96585571f144p-2, -0x1.ec419df61004fp-2, -0x1.eefcaad21bee5p-2, -0x1.f1961e0ffffd9p-2, -0x1.f40d7624a2824p-2, -0x1.f6623dcb902bep-2, -0x1.f8940bf48656cp-2, -0x1.faa283a8dbbffp-2, -0x1.fc8d53e9786e5p-2, -0x1.fe54378622b95p-2, -0x1.fff6f4eebcaefp-2, -0x1.00baaeff8dcddp-1, -0x1.0167a7e3079e5p-1, -0x1.020259240f60fp-1, -0x1.028abc1f4465dp-1, -0x1.0300cf697d783p-1, -0x1.036496ac38b1bp-1, -0x1.03b61a80d8894p-1, -0x1.03f5684ada1a5p-1, -0x1.042292113422bp-1, -0x1.043dae5709612p-1, -0x1.0446d7f3d3b69p-1, -0x1.043e2deb2a574p-1, -0x1.0423d34445941p-1, -0x1.03f7eee15bee7p-1, -0x1.03baab56f4d7bp-1, -0x1.036c36c348d99p-1, -0x1.030cc2a5c6785p-1, -0x1.029c83b6ceb76p-1, -0x1.021bb1bfbdec6p-1, -0x1.018a87734e4adp-1, -0x1.00e9424666d86p-1, -0x1.003822496202ep-1, -0x1.feeed403ae18fp-2, -0x1.fd4ebc89e8563p-2, -0x1.fb908c24e1a6ap-2, -0x1.f9b4d4e03e71fp-2, -0x1.f7bc2c8c53fddp-2, -0x1.f5a72c77f917p-2, -0x1.f376712bc9ec4p-2, -0x1.f12a9a26d7a18p-2, -0x1.eec4499cd9983p-2, -0x1.ec442435dffc6p-2, -0x1.e9aad0cf8f81bp-2, -0x1.e6f8f83fee39dp-2, -0x1.e42f4519c114fp-2, -0x1.e14e63727f528p-2, -0x1.de5700a9de85fp-2, -0x1.db49cb32f8f27p-2, -0x1.d827725f0b98bp-2, -0x1.d4f0a629d3022p-2, -0x1.d1a617077dfb9p-2, -0x1.ce4875b43c69cp-2, -0x1.cad87305647e2p-2, -0x1.c756bfbc2d6c4p-2, -0x1.c3c40c5a000f7p-2, -0x1.c02108f654b52p-2, -0x1.bc6e651622723p-2, -0x1.b8accf84d504p-2, -0x1.b4dcf62eccc1ep-2, -0x1.b0ff85fd5e821p-2, -0x1.ad152ab45452ap-2, -0x1.a91e8ed0e3976p-2, -0x1.a51c5b6a1f96p-2, -0x1.a10f3812d3548p-2, -0x1.9cf7cabccdc8p-2, -0x1.98d6b79d8f9e4p-2, -0x1.94aca1145a30fp-2, -0x1.907a279198281p-2, -0x1.8c3fe97f9cb8ep-2, -0x1.87fe832cafd3p-2, -0x1.83b68eb661f49p-2, -0x1.7f68a3f62573fp-2, -0x1.7b15586f21ce3p-2, -0x1.76bd3f3d3bb36p-2, -0x1.7260e9054e4dp-2, -0x1.6e00e3e68cf1bp-2, -0x1.699dbb6d04eb7p-2, -0x1.6537f8853d8dbp-2, -0x1.60d02170e8894p-2, -0x1.5c66b9bca6014p-2, -0x1.57fc4236c9798p-2, -0x1.539138e722b0fp-2, -0x1.4f261907bf6a5p-2, -0x1.4abb5afe9b948p-2, -0x1.465174584438ap-2, -0x1.41e8d7c357305p-2, -0x1.3d81f50ce4eb1p-2, -0x1.391d391da7113p-2, -0x1.34bb0df809d1dp-2, -0x1.305bdab6f9575p-2, -0x1.2c00038d74449p-2, -0x1.27a7e9c6dbc04p-2, -0x1.2353ebc7f1aap-2, -0x1.1f0465108c72ep-2, -0x1.1ab9ae3debee2p-2, -0x1.16741d0db22dep-2, -0x1.1234046175ddbp-2, -0x1.0df9b442e7f2bp-2, -0x1.09c579e886896p-2, -0x1.05979fbad8fb4p-2, -0x1.01706d5a286b7p-2, -0x1.faa04f496fbd2p-3, -0x1.f26e217adc764p-3, -0x1.ea4ad025e0005p-3, -0x1.e236d4ce3fcb3p-3, -0x1.da32a3ae0ccdbp-3, -0x1.d23eabc6260b5p-3, -0x1.ca5b56ef72f0dp-3, -0x1.c28909ecb6bdep-3, -0x1.bac8247d0cd15p-3, -0x1.b319016eeaa8fp-3, -0x1.ab7bf6b3ab191p-3, -0x1.a3f1557394a99p-3, -0x1.9c796a2254efcp-3, -0x1.95147c93df4dbp-3, -0x1.8dc2d011b0d8ap-3, -0x1.8684a370652d3p-3, -0x1.7f5a31259df11p-3, -0x1.7843af5e2c4e6p-3, -0x1.71415014771fcp-3, -0x1.6a53412719681p-3, -0x1.6379ac6faa21fp-3, -0x1.5cb4b7d9aac2ep-3, -0x1.5604857992c54p-3, -0x1.4f6933a3f91abp-3, -0x1.48e2dd04c2e57p-3, -0x1.427198b6666cbp-3, -0x1.3c157a592a8c7p-3, -0x1.35ce922a68c8cp-3, -0x1.2f9ced1bc14e6p-3, -0x1.298094ea47e93p-3, -0x1.23799035993bfp-3, -0x1.1d87e296d674cp-3, -0x1.17ab8cb788611p-3, -0x1.11e48c685aec7p-3, -0x1.0c32dcb7b7327p-3, -0x1.069676082ef1fp-3, -0x1.010f4e26ba437p-3, -0x1.f73ab0c18b9dcp-4, -0x1.ec810b34051d4p-4, -0x1.e1f188c40de66p-4, -0x1.d78c02134fccfp-4, -0x1.cd504b70384e4p-4, -0x1.c33e34ffa2b56p-4, -0x1.b9558ae611a8ap-4, -0x1.af9615703fd46p-4, -0x1.a5ff993b275dep-4, -0x1.9c91d75b7914ap-4, -0x1.934c8d8462222p-4, -0x1.8a2f762dc14b5p-4, -0x1.813a48b9b26e6p-4, -0x1.786cb999733a1p-4, -0x1.6fc67a719f5cep-4, -0x1.67473a3dbf6bcp-4, -0x1.5eeea5732aacep-4, -0x1.56bc662338162p-4, -0x1.4eb0241cbdf67p-4, -0x1.46c9850cde01fp-4, -0x1.3f082c9f1e743p-4, -0x1.376bbc9ccc974p-4, -0x1.2ff3d50baaf8ep-4, -0x1.28a0144be7f5bp-4, -0x1.217017355f992p-4, -0x1.1a63793426002p-4, -0x1.1379d4645b4dep-4, -0x1.0cb2c1ad4ac7bp-4, -0x1.060dd8dbd327ep-4, -0x1.ff156178375b7p-5, -0x1.f251be6527f37p-5, -0x1.e5cff2a883698p-5, -0x1.d98f26fcbad3ep-5, -0x1.cd8e82da78399p-5, -0x1.c1cd2ca51ab29p-5, -0x1.b64a49d5d255fp-5, -0x1.ab04ff2566de6p-5, -0x1.9ffc70b4a85p-5, -0x1.952fc233915ecp-5, -0x1.8a9e17071b398p-5, -0x1.8046926dc96acp-5, -0x1.762857a2f2607p-5, -0x1.6c428a00c5506p-5, -0x1.62944d211914cp-5, -0x1.591cc4fcff13ep-5, -0x1.4fdb160b2954cp-5, -0x1.46ce655d1fe0cp-5, -0x1.3df5d8bb505bdp-5, -0x1.355096bff9943p-5, -0x1.2cddc6f0f9babp-5, -0x1.249c91d8842e8p-5, -0x1.1c8c211cc4259p-5, -0x1.14ab9f9671d16p-5, -0x1.0cfa39665e93bp-5, -0x1.05771c09fef27p-5, -0x1.fc42ecddec531p-6, -0x1.edf0f20b56301p-6, -0x1.dff6aba5d41bfp-6, -0x1.d2528101339ecp-6, -0x1.c502dcdb12282p-6, -0x1.b8062d78b666bp-6, -0x1.ab5ae4c32c30bp-6, -0x1.9eff7861bb9e1p-6, -0x1.92f261d2b2e3p-6, -0x1.87321e82a1e1p-6, -0x1.7bbd2fe202811p-6, -0x1.70921b7962f44p-6, -0x1.65af6afc177aap-6, -0x1.5b13ac597d8bep-6, -0x1.50bd71cce1f7cp-6, -0x1.46ab51ec07e34p-6, -0x1.3cdbe7b46c133p-6, -0x1.334dd2973b5efp-6, -0x1.29ffb68416545p-6, -0x1.20f03bf2a428fp-6, -0x1.181e0feb02582p-6, -0x1.0f87e40d1309dp-6, -0x1.072c6e96c0c68p-6, -0x1.fe14d4d26c20fp-7, -0x1.ee412e1a29b1dp-7, -0x1.dedb716b765dfp-7, -0x1.cfe130872ff38p-7, -0x1.c150068b3ba0fp-7, -0x1.b32597f3b0515p-7, -0x1.a55f929a5f0c7p-7, -0x1.97fbadb4c061dp-7, -0x1.8af7a9d0646e6p-7, -0x1.7e5150cde9b48p-7, -0x1.720675da8d12fp-7, -0x1.6614f568668e1p-7, -0x1.5a7ab52560fedp-7, -0x1.4f35a3f0f6813p-7, -0x1.4443b9d0c3395p-7, -0x1.39a2f7e3fd378p-7, -0x1.2f516855e238fp-7, -0x1.254d1e4f1f137p-7, -0x1.1b9435e646e38p-7, -0x1.1224d40f636b8p-7, -0x1.08fd268aa9e5ep-7, -0x1.001b63d263351p-7, -0x1.eefb961020a07p-8, -0x1.de4547c1b0934p-8, -0x1.ce107d2294b54p-8, -0x1.be59e770fd049p-8, -0x1.af1e48953ff26p-8, -0x1.a05a72f5d4214p-8, -0x1.920b494a47bdcp-8, -0x1.842dbe6d44161p-8, -0x1.76bed52db0dafp-8, -0x1.69bba01f0bdf8p-8, -0x1.5d2141690249ep-8, -0x1.50ecea9660513p-8, -0x1.451bdc6363eb6p-8, -0x1.39ab668b84b69p-8, -0x1.2e98e796c0998p-8, -0x1.23e1cca677cc8p-8, -0x1.19839141ec9p-8, -0x1.0f7bbf226d50fp-8, -0x1.05c7edff3cf0ap-8, -0x1.f8cb86b2806f2p-9, -0x1.e6a5e48cff4fdp-9, -0x1.d51a767b11e29p-9, -0x1.c424d7c1744fep-9, -0x1.b3c0bd9305b36p-9, -0x1.a3e9f6a745358p-9, -0x1.949c6ad0e6c9p-9, -0x1.85d41a94888ffp-9, -0x1.778d1ebfa11bcp-9, -0x1.69c3a7ffb64cdp-9, -0x1.5c73fe79ec031p-9, -0x1.4f9a8162f944ap-9, -0x1.4333a697993ccp-9, -0x1.373bfa357ae5cp-9, -0x1.2bb01e34c9d11p-9, -0x1.208cca0250ap-9, -0x1.15ceca1a496f1p-9, -0x1.0b72ffa3e5c75p-9, -0x1.0176600d94d6cp-9, -0x1.efabe95432c5ep-10, -0x1.dd1db49ce12cdp-10, -0x1.cb3c81e132d85p-10, -0x1.ba02d68e8394p-10, -0x1.a96b5cd4c7f8ap-10, -0x1.9970e2e9a9253p-10, -0x1.8a0e5a4da7833p-10, -0x1.7b3ed71333b0cp-10, -0x1.6cfd8f27e85aep-10, -0x1.5f45d99fd4238p-10, -0x1.52132e02ed78dp-10, -0x1.4561239cb5ff7p-10, -0x1.392b70ce17b06p-10, -0x1.2d6dea6174eb6p-10, -0x1.222482e10f829p-10, -0x1.174b49efabbc3p-10, -0x1.0cde6ba385cdp-10, -0x1.02da2fe3a5663p-10, -0x1.f275f38efb4ecp-11, -0x1.dffa8df1dd7c4p-11, -0x1.ce3b5e31499bap-11, -0x1.bd31c649aba11p-11, -0x1.acd759c4c3699p-11, -0x1.9d25dc90a889ep-11, -0x1.8e1741db93f0bp-11, -0x1.7fa5aaf46e3c1p-11, -0x1.71cb6630224fap-11, -0x1.6482edd3b1e98p-11, -0x1.57c6e70307b6bp-11, -0x1.4b9220b486abfp-11, -0x1.3fdf92a94ec27p-11, -0x1.34aa5c6a3343cp-11, -0x1.29edc4495d046p-11, -0x1.1fa53668911dap-11, -0x1.15cc43c416c0bp-11, -0x1.0c5ea14230a61p-11, -0x1.035826c7267ebp-11, -0x1.f5699c9ba564bp-12, -0x1.e4e1660954907p-12, -0x1.d51020de6f173p-12, -0x1.c5ee8317fa96p-12, -0x1.b7757ffd681c6p-12, -0x1.a99e467db6d11p-12, -0x1.9c623f952356ep-12, -0x1.8fbb0cbb48789p-12, -0x1.83a28659a23eap-12, -0x1.7812ba4a5302ep-12, -0x1.6d05ea5f15ca1p-12, -0x1.62768af042dd6p-12, -0x1.585f4173cb2bep-12, -0x1.4ebae31c14622p-12, -0x1.4584737e97fedp-12, -0x1.3cb723422904ap-12, -0x1.344e4ed4ca38ep-12, -0x1.2c457d28f3273p-12, -0x1.24985e7a2d65bp-12, -0x1.1d42cb18ecd48p-12, -0x1.1640c23d851e2p-12, -0x1.0f8e68e2208dap-12, -0x1.092808a3a2285p-12, -0x1.030a0ea94bddbp-12, -0x1.fa6215262bc4bp-13, -0x1.ef335add33ep-13, -0x1.e4819164dbe19p-13, -0x1.da469a7fbd89ap-13, -0x1.d07c94d5c9b5ep-13, -0x1.c71dda107014p-13, -0x1.be24fd02e0681p-13, -0x1.b58cc7de0e06fp-13, -0x1.ad503a7057ccfp-13, -0x1.a56a88709a036p-13, -0x1.9dd717d462273p-13, -0x1.96917f312509ap-13, -0x1.8f95842833bd6p-13, -0x1.88df19dd3dc65p-13, -0x1.826a5f7727cc6p-13, -0x1.7c339eab0b963p-13, -0x1.76374a5121576p-13, -0x1.7071fd0367fdep-13, -0x1.6ae077c5d4a4cp-13, -0x1.657fa0b7d88aap-13, -0x1.604c81cf0a331p-13, -0x1.5b44479ac10f9p-13, -0x1.5664401074daep-13, -0x1.51a9d960ac66ep-13, -0x1.4d12a0d44c224p-13, -0x1.489c41b2204c4p-13, -0x1.4444842c6117ep-13, -0x1.40094c56121d9p-13, -0x1.3be8992010128p-13, -0x1.37e0835d9238fp-13, -0x1.33ef3cd0039fp-13, -0x1.30130f3a03863p-13, -0x1.2c4a5b795c522p-13, -0x1.289398a7cfa9bp-13, -0x1.24ed53428ac17p-13, -0x1.21562c581b2ep-13, -0x1.1dccd8bcbbb65p-13, -0x1.1a502044cde87p-13, -0x1.16dedd0568212p-13, -0x1.1377fa9abc91ap-13, -0x1.101a757447413p-13, -0x1.0cc55a2696e79p-13, -0x1.0977c4c2864abp-13, -0x1.0630e031cf9bp-13, -0x1.02efe598d05f9p-13, -0x1.ff68377aaca14p-14, -0x1.f8f9ace4c638fp-14, -0x1.f292ec11694b6p-14, -0x1.ec32cd8806a4bp-14, -0x1.e5d840a987f51p-14, -0x1.df824aacbe1a4p-14, -0x1.d93005a37561fp-14, -0x1.d2e09f87dce5ep-14, -0x1.cc93595232999p-14, -0x1.c64786164d5a7p-14, -0x1.bffc8a28f698ep-14, -0x1.b9b1da4cb0865p-14, -0x1.b366fae5f1ca3p-14, -0x1.ad1b7f3656d64p-14, -0x1.a6cf089ed3aap-14, -0x1.a08145e8a04dap-14, -0x1.9a31f2949b057p-14, -0x1.93e0d63111a6cp-14, -0x1.8d8dc3b5adf63p-14, -0x1.873898e55df77p-14, -0x1.80e13db60cf29p-14, -0x1.7a87a3bdff11cp-14, -0x1.742bc5a6a7c68p-14, -0x1.6dcda6a4cf30bp-14, -0x1.676d51f5e0846p-14, -0x1.610ada6237757p-14, -0x1.5aa659c448456p-14, -0x1.543ff0947c708p-14, -0x1.4dd7c5799d11p-14, -0x1.476e04ddac592p-14, -0x1.4102e08704297p-14, -0x1.3a968f359f1cp-14, -0x1.34294c4464eafp-14, -0x1.2dbb574e5e1a2p-14, -0x1.274cf3d7ac1dep-14, -0x1.20de68fa2a6ffp-14, -0x1.1a700115976c6p-14, -0x1.140209832b906p-14, -0x1.0d94d24c7edc3p-14, -0x1.0728ade5a2f12p-14, -0x1.00bdf0ea58579p-14, -0x1.f4a9e3bc81529p-15, -0x1.e7dc11dff05f4p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.de2873e16bd05p-3, 0x1.e65107279bf15p-3, 0x1.ee93328c96815p-3, 0x1.f6dfbf831965p-3, 0x1.ff28fb31b40e5p-3, 0x1.03b16a08324c6p-2, 0x1.07c1731596929p-2, 0x1.0bc03ca79cc93p-2, 0x1.0faa3a10d1394p-2, 0x1.137ca365202bp-2, 0x1.173567c1c221ap-2, 0x1.1ad31d83d36f9p-2, 0x1.1e54f13fe411fp-2, 0x1.21ba9426678e6p-2, 0x1.25042a5eac9c7p-2, 0x1.283239c404162p-2, 0x1.2b459956e8e0dp-2, 0x1.2e3f619e15a2cp-2, 0x1.3120de2139021p-2, 0x1.33eb8017d4bacp-2, 0x1.36a0d25aaf4e2p-2, 0x1.39426e9c60104p-2, 0x1.3bd1f3e5e0906p-2, 0x1.3e50fe4e1a6dcp-2, 0x1.40c11fdef8a6ap-2, 0x1.4323da975aa06p-2, 0x1.457a9b7710b32p-2, 0x1.47c6b680b1a14p-2, 0x1.4a09639c6333ep-2, 0x1.4c43bc468e54dp-2, 0x1.4e76b9f5a6f17p-2, 0x1.50a33522d7806p-2, 0x1.52c9e4e2168b2p-2, 0x1.54eb5ef73bf62p-2, 0x1.57081856b8ed5p-2, 0x1.59206601ceee4p-2, 0x1.5b347e2f50ffbp-2, 0x1.5d4479b33cf6fp-2, 0x1.5f505598b2ee3p-2, 0x1.6157f4e30b15ap-2, 0x1.635b226be06c3p-2, 0x1.655992d51f326p-2, 0x1.6752e68715278p-2, 0x1.6946abb39b1f6p-2, 0x1.6b3460583e9f6p-2, 0x1.6d1b743a4c058p-2, 0x1.6efb4ad846208p-2, 0x1.70d33d4d2513dp-2, 0x1.72a29c225527bp-2, 0x1.7468b10e0099ap-2, 0x1.7624c09bc8fe9p-2, 0x1.77d60bbe751bfp-2, 0x1.797bd14998858p-2, 0x1.7b154f528e517p-2, 0x1.7ca1c47874a41p-2, 0x1.7e20711319aecp-2, 0x1.7f909849149fbp-2, 0x1.80f1810d67c0ep-2, 0x1.824277053f8b7p-2, 0x1.8382cb5682914p-2, 0x1.84b1d5600405dp-2, 0x1.85cef35c3d99cp-2, 0x1.86d98aef8b58ap-2, 0x1.87d109a2efa93p-2, 0x1.88b4e54c66705p-2, 0x1.89849c65e1b26p-2, 0x1.8a3fb653fb89p-2, 0x1.8ae5c39d7525dp-2, 0x1.8b765e1489715p-2, 0x1.8bf128f328cacp-2, 0x1.8c55d0eb0fcdap-2, 0x1.8ca40c2ac3a1ap-2, 0x1.8cdb9a585969bp-2, 0x1.8cfc4482f25b3p-2, 0x1.8d05dd0bce1bfp-2, 0x1.8cf83f87bdb65p-2, 0x1.8cd35099c3a63p-2, 0x1.8c96fdc79b783p-2, 0x1.8c433d48d5d3dp-2, 0x1.8bd80dd136a91p-2, 0x1.8b557656e9483p-2, 0x1.8abb85d51db86p-2, 0x1.8a0a530b98161p-2, 0x1.8941fc3baa79ap-2, 0x1.8862a6e3148bbp-2, 0x1.876c7f752604ep-2, 0x1.865fb91296718p-2, 0x1.853c8d4060f33p-2, 0x1.84033b9df790dp-2, 0x1.82b4099b1f00dp-2, 0x1.814f422db161ep-2, 0x1.7fd535878888ep-2, 0x1.7e4638ccc66ccp-2, 0x1.7ca2a5cab077ep-2, 0x1.7aeadaaf47f6fp-2, 0x1.791f39c1cabeep-2, 0x1.7740291c3f3a9p-2, 0x1.754e126628747p-2, 0x1.7349629084dc9p-2, 0x1.7132899328f11p-2, 0x1.6f09fa2b909d4p-2, 0x1.6cd0299d35628p-2, 0x1.6a858f737c339p-2, 0x1.682aa545435ebp-2, 0x1.65bfe67a221cfp-2, 0x1.6345d0115aa89p-2, 0x1.60bce06a8aba5p-2, 0x1.5e2597101c2ffp-2, 0x1.5b8074837c74ap-2, 0x1.58cdfa0b18081p-2, 0x1.560ea9821e89cp-2, 0x1.5343052a0d16p-2, 0x1.506b8f7dfda27p-2, 0x1.4d88cb07b683cp-2, 0x1.4a9b3a367a8d7p-2, 0x1.47a35f379332p-2, 0x1.44a1bbd08cba3p-2, 0x1.4196d13b28165p-2, 0x1.3e832002eef1bp-2, 0x1.3b6727e471808p-2, 0x1.384367ae1aafp-2, 0x1.35185d229ab1dp-2, 0x1.31e684dce07dap-2, 0x1.2eae5a3593a1fp-2, 0x1.2b70572a0e886p-2, 0x1.282cf444ca934p-2, 0x1.24e4a88737f48p-2, 0x1.2197e954f870ep-2, 0x1.1e472a6074433p-2, 0x1.1af2dd98c0542p-2, 0x1.179b7318cb387p-2, 0x1.14415917c97bap-2, 0x1.10e4fbdad94c3p-2, 0x1.0d86c5a7d28acp-2, 0x1.0a271eb9383d8p-2, 0x1.06c66d3348c48p-2, 0x1.0365151a1dda3p-2, 0x1.00037848d78a7p-2, 0x1.f943ecd38737bp-3, 0x1.f281d9df01f73p-3, 0x1.ebc16e1e206d8p-3, 0x1.e5035b75931p-3, 0x1.de484f3c67455p-3, 0x1.d790f23555095p-3, 0x1.d0dde889b48a9p-3, 0x1.ca2fd1c5f6cep-3, 0x1.c38748d796cc6p-3, 0x1.bce4e40c7bfefp-3, 0x1.b6493513b3174p-3, 0x1.afb4c8ff7254p-3, 0x1.a928284860a66p-3, 0x1.a2a3d6d203837p-3, 0x1.9c2853f0536p-3, 0x1.95b61a6e5e37ap-3, 0x1.8f4da095f2d5ep-3, 0x1.88ef58383b616p-3, 0x1.829baeb74c6e6p-3, 0x1.7c530d10864b6p-3, 0x1.7615d7e7cf917p-3, 0x1.6fe46f938bf0dp-3, 0x1.69bf302955628p-3, 0x1.63a6718b5732ap-3, 0x1.5d9a877651edfp-3, 0x1.579bc19034d73p-3, 0x1.51aa6b773fb3fp-3, 0x1.4bc6ccd1aa4cap-3, 0x1.45f1295dc1ca8p-3, 0x1.4029c1027247p-3, 0x1.3a70cfe039076p-3, 0x1.34c68e626c0adp-3, 0x1.2f2b3150d8ad7p-3, 0x1.299ee9e1aa6bfp-3, 0x1.2421e5cb939fcp-3, 0x1.1eb44f582f682p-3, 0x1.19564d7693128p-3, 0x1.140803ce1287cp-3, 0x1.0ec992d11ab6ap-3, 0x1.099b17d038dacp-3, 0x1.047cad0d25479p-3, 0x1.fedcd39be1049p-4, 0x1.f4e0c4e056285p-4, 0x1.eb0550f8351cep-4, 0x1.e14a956fcf0a5p-4, 0x1.d7b0aa7591cc6p-4, 0x1.ce37a3003d341p-4, 0x1.c4df8cf4fde55p-4, 0x1.bba8714d5dfcbp-4, 0x1.b292543cf821fp-4, 0x1.a99d3556f958ap-4, 0x1.a0c90fb35c72ap-4, 0x1.9815da13d51cbp-4, 0x1.8f83870873abfp-4, 0x1.87120513e3693p-4, 0x1.7ec13ecf532fep-4, 0x1.76911b0df506cp-4, 0x1.6e817d0015eccp-4, 0x1.66924455c4015p-4, 0x1.5ec34d6102d9bp-4, 0x1.57147137861a1p-4, 0x1.4f8585d3f007dp-4, 0x1.48165e368faf9p-4, 0x1.40c6ca859c287p-4, 0x1.3996982ce753cp-4, 0x1.328591fd08f97p-4, 0x1.2b938049fca0ep-4, 0x1.24c0290930634p-4, 0x1.1e0b4fef04b7fp-4, 0x1.1774b68bb84d4p-4, 0x1.10fc1c67c0fc8p-4, 0x1.0aa13f1f8f8f4p-4, 0x1.0463da7ebc0ccp-4, 0x1.fc87513538fd5p-5, 0x1.f080c3d88604fp-5, 0x1.e4b37ad3c65p-5, 0x1.d91ee13f3e46cp-5, 0x1.cdc25f8f7a004p-5, 0x1.c29d5bc484259p-5, 0x1.b7af3997ebc86p-5, 0x1.acf75aa99d0c3p-5, 0x1.a2751eab87b4dp-5, 0x1.9827e38c19ef9p-5, 0x1.8e0f059f8dee9p-5, 0x1.8429dfc80ee9ep-5, 0x1.7a77cb9cb3c32p-5, 0x1.70f8218f56558p-5, 0x1.67aa39114718bp-5, 0x1.5e8d68b6de237p-5, 0x1.55a10659f2b54p-5, 0x1.4ce4673b34b32p-5, 0x1.4456e02270e4p-5, 0x1.3bf7c57dc2625p-5, 0x1.33c66b7fb19e2p-5, 0x1.2bc2263c49603p-5, 0x1.23ea49c522295p-5, 0x1.1c3e2a4468d9ap-5, 0x1.14bd1c16e6426p-5, 0x1.0d6673e507a1p-5, 0x1.063986baf2927p-5, 0x1.fe6b543f440f8p-6, 0x1.f0b468562a10bp-6, 0x1.e34cf73724d6dp-6, 0x1.d633afd40e569p-6, 0x1.c96742bafdeep-6, 0x1.bce6623b875c2p-6, 0x1.b0afc28a3fcd4p-6, 0x1.a4c219e2a2523p-6, 0x1.991c20a74d6d6p-6, 0x1.8dbc9180aed13p-6, 0x1.82a2297a1eb8ap-6, 0x1.77cba81d7e8e3p-6, 0x1.6d37cf8d53d76p-6, 0x1.62e5649d78058p-6, 0x1.58d32eea5e952p-6, 0x1.4efff8eefd716p-6, 0x1.456a90195f59ep-6, 0x1.3c11c4dde69f3p-6, 0x1.32f46ac9511adp-6, 0x1.2a1158917ecap-6, 0x1.216768250869ep-6, 0x1.18f576b9a99aep-6, 0x1.10ba64d98e058p-6, 0x1.08b5166f87d5bp-6, 0x1.00e472d231aa6p-6, 0x1.f28ec99c2227fp-7, 0x1.e3b9b55d68047p-7, 0x1.d5478c8db83fbp-7, 0x1.c73639ef71a22p-7, 0x1.b983af6e8170fp-7, 0x1.ac2de62b4ba8bp-7, 0x1.9f32de83ea325p-7, 0x1.9290a01bd6c42p-7, 0x1.864539e1fc9fdp-7, 0x1.7a4ec21545e13p-7, 0x1.6eab5647c4bb4p-7, 0x1.63591b606bfacp-7, 0x1.58563d9b745adp-7, 0x1.4da0f0897e274p-7, 0x1.43376f0d71258p-7, 0x1.3917fb5933ac6p-7, 0x1.2f40dee9397b8p-7, 0x1.25b06a7f045b4p-7, 0x1.1c64f61a9781bp-7, 0x1.135ce0f2ef784p-7, 0x1.0a96916d887f9p-7, 0x1.02107514feb46p-7, 0x1.f392011da7902p-8, 0x1.e37d5f20c804p-8, 0x1.d3e009a62b99bp-8, 0x1.c4b7140f9d4a8p-8, 0x1.b5ff9f936c498p-8, 0x1.a7b6db20a2038p-8, 0x1.99da0341ff678p-8, 0x1.8c6661ffcc295p-8, 0x1.7f594ec0907b5p-8, 0x1.72b02e28c902ep-8, 0x1.666871f9a2896p-8, 0x1.5a7f98eed35fcp-8, 0x1.4ef32e9b9cdd3p-8, 0x1.43c0cb4707d61p-8, 0x1.38e613c76aaccp-8, 0x1.2e60b95d4518ap-8, 0x1.242e798d8315p-8, 0x1.1a4d1dfb3042fp-8, 0x1.10ba7c40ad314p-8, 0x1.077475c86f44ep-8, 0x1.fcf1ef4ab606ep-9, 0x1.eb8bf4d582682p-9, 0x1.dab3040815dcfp-9, 0x1.ca633b18470a7p-9, 0x1.ba98ce4945157p-9, 0x1.ab50079991096p-9, 0x1.9c854670a8701p-9, 0x1.8e34ff4c6ceacp-9, 0x1.805bbb6e6d65dp-9, 0x1.72f618890b44ap-9, 0x1.6600c86c9e6dp-9, 0x1.597890b49d441p-9, 0x1.4d5a4a74de8fep-9, 0x1.41a2e1e6fc901p-9, 0x1.364f5617ec714p-9, 0x1.2b5cb895d5ed5p-9, 0x1.20c82d1e39bc3p-9, 0x1.168ee94c6914fp-9, 0x1.0cae34486a655p-9, 0x1.0323667643edfp-9, 0x1.f3d7d24b8e92bp-10, 0x1.e20a6c85af574p-10, 0x1.d0d9b00c81ap-10, 0x1.c040d14e42c8bp-10, 0x1.b03b2419df691p-10, 0x1.a0c41b044d4fcp-10, 0x1.91d746cf33e28p-10, 0x1.837055d0fa86bp-10, 0x1.758b135e53985p-10, 0x1.682367352e8a7p-10, 0x1.5b3554e94a9c7p-10, 0x1.4ebcfb524a9ecp-10, 0x1.42b693fb6a6c6p-10, 0x1.371e7294dbbb7p-10, 0x1.2bf10466cda51p-10, 0x1.212acfc62365p-10, 0x1.16c8738af4379p-10, 0x1.0cc6a688b70e7p-10, 0x1.032237084aa42p-10, 0x1.f3b014877781cp-11, 0x1.e1ca37c7ba1e4p-11, 0x1.d08cfaff6b933p-11, 0x1.bff2ac3b89cc8p-11, 0x1.aff5c36e3c846p-11, 0x1.a090e178c68a6p-11, 0x1.91becf3932ee3p-11, 0x1.837a7c9bbef4ap-11, 0x1.75beffb004373p-11, 0x1.688793c1e241ep-11, 0x1.5bcf98762ad6p-11, 0x1.4f9290eb0bdd6p-11, 0x1.43cc22dc3988bp-11, 0x1.387815cad5e51p-11, 0x1.2d92522911a1p-11, 0x1.2316e0898554ep-11, 0x1.1901e8d23c52ap-11, 0x1.0f4fb1736fddap-11, 0x1.05fc9ea1ed9bfp-11, 0x1.fa0a632a3f25ep-12, 0x1.e8cc0f916cb71p-12, 0x1.d837b483d4251p-12, 0x1.c846f9b09dbcp-12, 0x1.b8f3bb046317p-12, 0x1.aa380748f5dbp-12, 0x1.9c0e1ecc1876fp-12, 0x1.8e70720d1f745p-12, 0x1.8159a07169c79p-12, 0x1.74c476ff99283p-12, 0x1.68abef2182c99p-12, 0x1.5d0b2d6cb9d2ep-12, 0x1.51dd8071ab09cp-12, 0x1.471e5f912e34fp-12, 0x1.3cc969d880286p-12, 0x1.32da64e38a755p-12, 0x1.294d3bc56d7bcp-12, 0x1.201dfdf72b89bp-12, 0x1.1748de4c6ced1p-12, 0x1.0eca31ee40257p-12, 0x1.069e6f5bc097ap-12, 0x1.fd845ae12465ep-13, 0x1.ee6444e2361ffp-13, 0x1.dfd64638c0064p-13, 0x1.d1d44386eff54p-13, 0x1.c4585accec5cp-13, 0x1.b75ce1ad779d8p-13, 0x1.aadc63bd2d50dp-13, 0x1.9ed1a0dc3725dp-13, 0x1.93378b9a3dfb3p-13, 0x1.880947a47b3a3p-13, 0x1.7d42283db5539p-13, 0x1.72ddaebff96e3p-13, 0x1.68d78927ed583p-13, 0x1.5f2b90a9874bcp-13, 0x1.55d5c84e0697ep-13, 0x1.4cd25b9af7236p-13, 0x1.441d9d4223dcdp-13, 0x1.3bb405da3d8c9p-13, 0x1.339232a017683p-13, 0x1.2bb4e44046104p-13, 0x1.2418fda9008bfp-13, 0x1.1cbb82e40fe9cp-13, 0x1.159997f8a899ap-13, 0x1.0eb07fd507a92p-13, 0x1.07fd9b3fa7c1ep-13, 0x1.017e67cfe0deep-13, 0x1.f660fddbb69d7p-14, 0x1.ea2329b3351ebp-14, 0x1.de3eef7206637p-14, 0x1.d2b01d597fbp-14, 0x1.c772b1d78ab74p-14, 0x1.bc82d9cad130fp-14, 0x1.b1dceed3b373cp-14, 0x1.a77d75b1b736cp-14, 0x1.9d611cad277f4p-14, 0x1.9384ba0cb4e9cp-14, 0x1.89e54a96b3f27p-14, 0x1.807ff01dc6131p-14, 0x1.7751f018a3236p-14, 0x1.6e58b244c24e8p-14, 0x1.6591bf539f9adp-14, 0x1.5cfabfa25e9b8p-14, 0x1.549179fb88e5ap-14, 0x1.4c53d262ab95fp-14, 0x1.443fc8e993389p-14, 0x1.3c53788eee6b7p-14, 0x1.348d162614915p-14, 0x1.2ceaef47be275p-14, 0x1.256b694b6e0fp-14, 0x1.1e0d004957903p-14, 0x1.16ce4624890bcp-14, 0x1.0fade19d22cf2p-14, 0x1.08aa8d6a670dp-14, 0x1.01c3175c6dd68p-14, 0x1.f5ecbf0a903eep-15, 0x1.e886aed2c4d86p-15, 0x1.db52026de4c1dp-15, 0x1.ce4cde0882853p-15, 0x1.c17584294530cp-15, 0x1.b4ca5447d1f99p-15, 0x1.a849c97056bb8p-15, 0x1.9bf278f35a8bdp-15, 0x1.8fc3112180c73p-15, 0x1.83ba5812e5facp-15, 0x1.77d72a79c0e7ep-15, 0x1.6c187a7ffdc6fp-15, 0x1.607d4eaf78fe9p-15, 0x1.5504c0e494216p-15, 0x1.49adfd4ad19dap-15, 0x1.3e784163324cbp-15, 0x1.3362db1405435p-15, 0x1.286d27c1e964ep-15, 0x1.1d969371b28b1p-15, 0x1.12de97f2f787p-15, 0x1.0844bc12fb86dp-15, 0x1.fb9125af7a5fdp-16, 0x1.e6d37585c1b3ep-16, 0x1.d24fba38812fap-16, 0x1.be055a87becf1p-16, 0x1.a9f3d0161242ep-16, 0x1.961aa628c3ce8p-16, 0x1.827978755a75dp-16, 0x1.6f0ff1fc326e2p-16, 0x1.5bddcbefaab2dp-16, 0x1.48e2cca77f178p-16, 0x1.361ec69ff12acp-16, 0x1.239197845bc11p-16, 0x1.113b2744c3a0cp-16, 0x1.fe36ce6c40436p-17, 0x1.da64a279c6d63p-17, 0x1.b6ffce0308ae2p-17, 0x1.9408625d38e97p-17, 0x1.717e7d70afbc4p-17, 0x1.4f624859b72bfp-17, 0x1.2db3f61a9a5c6p-17, 0x1.0c73c25e808afp-17, 0x1.d743e098a8a73p-18, 0x1.967d92d27c1b9p-18, 0x1.56953914346fdp-18, 0x1.178b79a6bbfadp-18, 0x1.b2c2031bb0205p-19, 0x1.382d057d2c507p-19, 0x1.7eb2c9be57e43p-20, 0x1.21223c1124432p-21, -0x1.68206fcb7dbb5p-22, -0x1.41160cf0e0c9p-20, -0x1.124af3f354a41p-19, -0x1.8242777a07501p-19, -0x1.f0703c020ccap-19, -0x1.2e697c47c39d1p-18, -0x1.63b4b91c4adaep-18, -0x1.98193f023b7e6p-18, -0x1.cb96815402885p-18, -0x1.fe2bfd1075caep-18, -0x1.17ec9ccc3a1fdp-17, -0x1.304ee4aea44bcp-17, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      50, 0x1.0e368f08461fap+2, 0x1.6bd70af550a1dp+1, 0x1.acc47799da0fap+2, -0x1.73e435542a9b8p-8, 
      {{
        {0x1.d4576cce5f74p+1, 0x1.d5c87ff68557fp+1, 0x1.37b303f3b68ddp-6, -0x1.1f91f52b976f8p-4, 0x1.98b58688fc2e1p-4, 0x1.b769717c4f19ep-6}, 
        {0x1.d5c87ff68557fp+1, 0x1.d739930931acfp+1, 0x1.2af38ddda1fcdp-6, -0x1.165250477c65bp-4, 0x1.9c6bc65675da3p-4, -0x1.11a8a3f6c5c3fp-3}, 
        {0x1.d739930931acfp+1, 0x1.d8aaa6315790ep+1, 0x1.1e9e49345a026p-6, -0x1.0d3d4b1e04d57p-4, 0x1.89ed60b8aa816p-4, -0x1.712060ad504c2p-4}, 
        {0x1.d8aaa6315790ep+1, 0x1.da1bb9597d74dp+1, 0x1.12af9f61d1f98p-6, -0x1.04818f4d74fc4p-4, 0x1.7d745cf8ce67p-4, -0x1.9ab7b7b0beca4p-4}, 
        {0x1.da1bb9597d74dp+1, 0x1.db8ccc81a358bp+1, 0x1.07240138a5931p-6, -0x1.f8239c9f15f3fp-5, 0x1.6f9393b1e30e9p-4, -0x1.8a39352c17d18p-4}, 
        {0x1.db8ccc81a358bp+1, 0x1.dcfddf944fadcp+1, 0x1.f7efd2d8a1e49p-7, -0x1.e7e0f437f6e89p-5, 0x1.624177ef9a52p-4, -0x1.854d5bb56d9cbp-4}, 
        {0x1.dcfddf944fadcp+1, 0x1.de6ef2bc7591ap+1, 0x1.e24fbc91fd544p-7, -0x1.d836fa0123e4p-5, 0x1.5519eee1a35e9p-4, -0x1.7fc775402c8e4p-4}, 
        {0x1.de6ef2bc7591ap+1, 0x1.dfe005e49b759p+1, 0x1.cd60e7b292752p-7, -0x1.c923a326f9832p-5, 0x1.48222b91a8581p-4, -0x1.7694117b9867ap-4}, 
        {0x1.dfe005e49b759p+1, 0x1.e151190cc1598p+1, 0x1.b91c9b3c121c4p-7, -0x1.baa4121c6bd77p-5, 0x1.3b79fed40e311p-4, -0x1.6f09d32e9aa84p-4}, 
        {0x1.e151190cc1598p+1, 0x1.e2c22c1f6dae8p+1, 0x1.a57c424412ec8p-7, -0x1.acb503c9802a8p-5, 0x1.2f130b0fe9ef7p-4, -0x1.6364cfa7ca98cp-4}, 
        {0x1.e2c22c1f6dae8p+1, 0x1.e4333f4793927p+1, 0x1.92796f2cb3924p-7, -0x1.9f52bbf1034cep-5, 0x1.2310d255965a9p-4, -0x1.5aa0f0facb6a8p-4}, 
        {0x1.e4333f4793927p+1, 0x1.e5a4526fb9766p+1, 0x1.800de027177d1p-7, -0x1.92793ee6cdb25p-5, 0x1.175a6acfa75a6p-4, -0x1.4eb86a1e804c9p-4}, 
        {0x1.e5a4526fb9766p+1, 0x1.e715658265cb6p+1, 0x1.6e3382a302dafp-7, -0x1.862486310470ep-5, 0x1.0c0b05a0ce2bap-4, -0x1.4148ba19fe8bcp-4}, 
        {0x1.e715658265cb6p+1, 0x1.e88678aa8baf5p+1, 0x1.5ce4783f4ad16p-7, -0x1.7a4fa232fbc98p-5, 0x1.012fdb085220ep-4, -0x1.3541400c3068ap-4}, 
        {0x1.e88678aa8baf5p+1, 0x1.e9f78bd2b1933p+1, 0x1.4c1b19cb7df94p-7, -0x1.6ef59b3b0e334p-5, 0x1.ed797bbcb4c41p-5, -0x1.26407841ac6fep-4}, 
        {0x1.e9f78bd2b1933p+1, 0x1.eb689efad7772p+1, 0x1.3bd1fc7a4d17cp-7, -0x1.64112d83e092ap-5, 0x1.d996d06176369p-5, -0x1.17fda4610b451p-4}, 
        {0x1.eb689efad7772p+1, 0x1.ecd9b20d83cc2p+1, 0x1.2c03f51facb9ap-7, -0x1.599ca53f04799p-5, 0x1.c6aaddbd64619p-5, -0x1.06835f6c5c342p-4}, 
        {0x1.ecd9b20d83cc2p+1, 0x1.ee4ac535a9b01p+1, 0x1.1cac1c81d78d4p-7, -0x1.4f91d3bfc58cbp-5, 0x1.b4ed4ab415a88p-5, -0x1.ee231be496e9dp-5}, 
        {0x1.ee4ac535a9b01p+1, 0x1.efbbd85dcf94p+1, 0x1.0dc5d35d597d4p-7, -0x1.45ea4d914fc37p-5, 0x1.a43ae934408f2p-5, -0x1.c8c34631b232ap-5}, 
        {0x1.efbbd85dcf94p+1, 0x1.f12ceb85f577ep+1, 0x1.fe998cfe30952p-8, -0x1.3c9f6cac18bc3p-5, 0x1.94cbd34e6cce8p-5, -0x1.a4f09ed57ba6ap-5}, 
        {0x1.f12ceb85f577ep+1, 0x1.f29dfe98a1ccfp+1, 0x1.e279e590bd4dep-8, -0x1.33aa0f61edfacp-5, 0x1.86929d5184626p-5, -0x1.7b03bc66871ep-5}, 
        {0x1.f29dfe98a1ccfp+1, 0x1.f40f11c0c7b0ep+1, 0x1.c7255286cadeep-8, -0x1.2b02a300c5f95p-5, 0x1.79c411949b5ap-5, -0x1.54aecddeadf93p-5}, 
        {0x1.f40f11c0c7b0ep+1, 0x1.f58024e8ed94cp+1, 0x1.ac952664bb0dp-8, -0x1.22a154c25d3ep-5, 0x1.6e4118d5bd6bap-5, -0x1.2834d06c280ddp-5}, 
        {0x1.f58024e8ed94cp+1, 0x1.f6f138111378bp+1, 0x1.92c36c10f85d6p-8, -0x1.1a7e13c3968ccp-5, 0x1.643edb14f8a9ep-5, -0x1.f9f87cc937191p-6}, 
        {0x1.f6f138111378bp+1, 0x1.f8624b23bfcdbp+1, 0x1.79aaef3402498p-8, -0x1.129054abfbcffp-5, 0x1.5bb27bfafda31p-5, -0x1.989a1b3f4691fp-6}, 
        {0x1.f8624b23bfcdbp+1, 0x1.f9d35e4be5b1ap+1, 0x1.6147442a85f45p-8, -0x1.0acf23a1f98e8p-5, 0x1.54cb3e4371447p-5, -0x1.3bf142994f88dp-6}, 
        {0x1.f9d35e4be5b1ap+1, 0x1.fb4471740b959p+1, 0x1.4994d00d745eep-8, -0x1.03313de881b76p-5, 0x1.4f74c313171c9p-5, -0x1.af7bfec09da17p-7}, 
        {0x1.fb4471740b959p+1, 0x1.fcb58486b7ea9p+1, 0x1.3290d1120e9cep-8, -0x1.f75a7d9c78ea2p-6, 0x1.4bcfa80cfafp-5, -0x1.b12257102f9bfp-8}, 
        {0x1.fcb58486b7ea9p+1, 0x1.fe2697aeddce8p+1, 0x1.1c39665b024ap-8, -0x1.e87212199237cp-6, 0x1.49fb51f980da1p-5, -0x1.4e167d4a50d76p-12}, 
        {0x1.fe2697aeddce8p+1, 0x1.ff97aad703b26p+1, 0x1.068d984d76fddp-8, -0x1.d994b4b844c7cp-6, 0x1.49e4be2080f59p-5, 0x1.b1c451e9be93fp-8}, 
        {0x1.ff97aad703b26p+1, 0x1.00845eff94cb3p+2, 0x1.e31ac0f05082ap-9, -0x1.caad48cb0ddc5p-6, 0x1.4bb9c374411ddp-5, 0x1.b8e6ad58cb8b5p-7}, 
        {0x1.00845eff94cb3p+2, 0x1.013ce888eaf5bp+2, 0x1.ba7363e6e3862p-9, -0x1.bba5d1a8159d4p-6, 0x1.4f733bb172d9fp-5, 0x1.56b4cba91fc7p-6}, 
        {0x1.013ce888eaf5bp+2, 0x1.01f5721cfde7ap+2, 0x1.9329024eda18cp-9, -0x1.ac677d319e94ep-6, 0x1.553d78175ec3cp-5, 0x1.cc6ea5202e25p-6}, 
        {0x1.01f5721cfde7ap+2, 0x1.02adfbb110d99p+2, 0x1.6d419899f3eb5p-9, -0x1.9cdae806017e9p-6, 0x1.5d04e1e8abfe6p-5, 0x1.261efdd44ac37p-5}, 
        {0x1.02adfbb110d99p+2, 0x1.0366854523cb9p+2, 0x1.48c5463bbdb73p-9, -0x1.8ce826e25be9ep-6, 0x1.66f515fe75452p-5, 0x1.659320956db4ap-5}, 
        {0x1.0366854523cb9p+2, 0x1.041f0ece79f61p+2, 0x1.25be5e95a4a6fp-9, -0x1.7c7668a29977fp-6, 0x1.730a2cf63d958p-5, 0x1.a9843b63224f1p-5}, 
        {0x1.041f0ece79f61p+2, 0x1.04d798628ce8p+2, 0x1.043978c52a407p-9, -0x1.6b6c13c5858d2p-6, 0x1.816af8c6f5d82p-5, 0x1.ec1d0c6c186eap-5}, 
        {0x1.04d798628ce8p+2, 0x1.059021f69fdap+2, 0x1.c88b0044089b9p-10, -0x1.59aeeeff069d4p-6, 0x1.920bd8f4647cbp-5, 0x1.1923d10514fadp-4}, 
        {0x1.059021f69fdap+2, 0x1.0648ab7ff6048p+2, 0x1.8be787eca68f8p-10, -0x1.472454ffcea94p-6, 0x1.a50bacecc50aep-5, 0x1.3d873965f5d5cp-4}, 
        {0x1.0648ab7ff6048p+2, 0x1.0701351408f67p+2, 0x1.52b01101667bcp-10, -0x1.33b06c644948bp-6, 0x1.ba8107c3f2ddap-5, 0x1.619f8ca3a89eep-4}, 
        {0x1.0701351408f67p+2, 0x1.07b9bea81be87p+2, 0x1.1d112d00ee825p-10, -0x1.1f36f36945bf5p-6, 0x1.d266d9042a21ap-5, 0x1.87b57009407p-4}, 
        {0x1.07b9bea81be87p+2, 0x1.0872483c2eda6p+2, 0x1.d6792e4268679p-11, -0x1.099b025682042p-6, 0x1.ecdf8f10cddbap-5, 0x1.ade7621279abfp-4}, 
        {0x1.0872483c2eda6p+2, 0x1.092ad1c58504ep+2, 0x1.7ad2aacc3f90ap-11, -0x1.e57dbda805329p-7, 0x1.04f687a82314fp-4, 0x1.d601158d6f9b3p-4}, 
        {0x1.092ad1c58504ep+2, 0x1.09e35b5997f6dp+2, 0x1.27a7b0a7e2e67p-11, -0x1.b5080defc6479p-7, 0x1.14d82722b6b2fp-4, 0x1.fd6a255c78109p-4}, 
        {0x1.09e35b5997f6dp+2, 0x1.0a9be4edaae8dp+2, 0x1.baf86ec9520a6p-12, -0x1.8196f6a6ef86ap-7, 0x1.260eafda70f24p-4, 0x1.14547b0b2edc4p-3}, 
        {0x1.0a9be4edaae8dp+2, 0x1.0b546e81bddacp+2, 0x1.39bf1bcc5a61ep-12, -0x1.4aea0dc7799b7p-7, 0x1.38bb4d3dfd294p-4, 0x1.2628b38e30d12p-3}, 
        {0x1.0b546e81bddacp+2, 0x1.0c0cf80b14054p+2, 0x1.99b26ca3c7f0ap-13, -0x1.10c3d34caf593p-7, 0x1.4c9c5d65934dap-4, 0x1.47a7c6b1d18f3p-3}, 
        {0x1.0c0cf80b14054p+2, 0x1.0cc5819f26f74p+2, 0x1.d650fab17102ap-14, -0x1.a5a890ee5f72fp-8, 0x1.62c0ec56985a9p-4, 0x1.315e7929b5186p-3}, 
        {0x1.0cc5819f26f74p+2, 0x1.0d7e0b3339e93p+2, 0x1.aaaf461bb38d2p-15, -0x1.2213d8ee456dbp-8, 0x1.7763eca5292edp-4, 0x1.ec9f6f3467a6bp-3}, 
        {0x1.0d7e0b3339e93p+2, 0x1.0e368f08461fap+2, 0x1.b393c778a6eefp-17, -0x1.298e644ee8ccp-9, 0x1.98ae7cb9bc8d5p-4, -0x1.4218e256584d6p+3}, 
      }}, 
      0x1.b57f600652b99p+10, -0x1.2a7aea8153e5dp+16
    }
  };
  // clang-format on
}
SkfData params_hyb_0_2_ga_o() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.d5526a713ab2ep-5, -0x1.b77ebbde8d1f1p-4, -0x1.40dc0aceb7b79p-3, -0x1.a3a67c11bfb3bp-3, -0x1.01a072d3c3befp-2, -0x1.2f79a12990aa5p-2, -0x1.5b145fcbfba6cp-2, -0x1.8435cf13f421dp-2, -0x1.aab0e0c874981p-2, -0x1.ce65140e6403dp-2, -0x1.ef3d4181719b2p-2, -0x1.06972c1a48c87p-1, -0x1.141b090c4bcd6p-1, -0x1.202cd0a3ddd14p-1, -0x1.2ad2322bfbeb2p-1, -0x1.341366152e9f1p-1, -0x1.3bfac161ba6f2p-1, -0x1.42945b4f84e19p-1, -0x1.47edb88448e6ep-1, -0x1.4c15766134976p-1, -0x1.4f1af5c218b2p-1, -0x1.510e0b258ca04p-1, -0x1.51feb54a64719p-1, -0x1.51fd517d14d06p-1, -0x1.511a148b571a7p-1, -0x1.4f65020a22a01p-1, -0x1.4cedcfb777bfcp-1, -0x1.49c3cec8fc12fp-1, -0x1.45f5daa1efaf8p-1, -0x1.41924bbd7bf15p-1, -0x1.3ca6ed4cbc544p-1, -0x1.3740f4b588b35p-1, -0x1.316cfaf5deb45p-1, -0x1.2b36f8206efc2p-1, -0x1.24aa40ec908fap-1, -0x1.1dd1862d585afp-1, -0x1.16b6d5f66c5b4p-1, -0x1.0f639e1bc0c19p-1, -0x1.07e0afa885475p-1, -0x1.0036430627d9p-1, -0x1.f0d7f98ac3b23p-2, -0x1.e111e6339ae53p-2, -0x1.d12768047b58dp-2, -0x1.c12497d0a5621p-2, -0x1.b11498cc17dap-2, -0x1.a101a5d73bc55p-2, -0x1.90f51e466e2b9p-2, -0x1.80f792216a72cp-2, -0x1.7110cdf23f8ecp-2, -0x1.6147e636c8576p-2, -0x1.51a342780f975p-2, -0x1.4228a80282172p-2, -0x1.32dd443b3c2e8p-2, -0x1.23c5b6931e623p-2, -0x1.14e61a16d8264p-2, -0x1.06420e92643f4p-2, -0x1.efb982694a537p-3, -0x1.d371e93ba540dp-3, -0x1.b7b2109c970c8p-3, -0x1.9c7dfeff36f9ep-3, -0x1.81d90f0d4308dp-3, -0x1.67c5fbd3ec98ap-3, -0x1.4e46ecacfae5p-3, -0x1.355f5457afbdbp-3, -0x1.1d0bea56a32adp-3, -0x1.054fe73d5e9cfp-3, -0x1.dc576008c4d56p-4, -0x1.af3e9d0442d2p-4, -0x1.8354f2a37dbd5p-4, -0x1.589936858bd72p-4, -0x1.2f09b4ace4dc4p-4, -0x1.06a43c9b47545p-4, -0x1.becc5b2c5c097p-5, -0x1.7299043d5f61bp-5, -0x1.28a7b557f7566p-5, -0x1.c1e21eea778a4p-6, -0x1.36da4d0c045a8p-6, -0x1.604e4d35aa381p-7, -0x1.6db843cbeb644p-9, 0x1.42219549a2cdbp-8, 0x1.955423b06e8e3p-7, 0x1.40c167925999ep-6, 0x1.b2e233014101p-6, 0x1.109045d6a604bp-5, 0x1.45c85fd1f6d2p-5, 0x1.7923a0b84ccdp-5, 0x1.aaac4c3e6e11bp-5, 0x1.da6ca9d7b76a2p-5, 0x1.04377f84c9336p-4, 0x1.1a5ec5512887cp-4, 0x1.2fb1405857c2p-4, 0x1.4434038c91731p-4, 0x1.57ec1953c9a2ep-4, 0x1.6ade823f60064p-4, 0x1.7d1033e4dba63p-4, 0x1.8e8617cbc46ecp-4, 0x1.9f450a66b66cbp-4, 0x1.af51da101615cp-4, 0x1.beb146052a7fp-4, 0x1.cd67fd5d22116p-4, 0x1.db7a9dfbd8392p-4, 0x1.e8edb382cf936p-4, 0x1.f5c5b644bc4bep-4, 0x1.01038520adcebp-3, 0x1.06daff182c012p-3, 0x1.0c6b6550ea593p-3, 0x1.11b6c89d59c8fp-3, 0x1.16bf2e08d4d1ap-3, 0x1.1b868e983f1f3p-3, 0x1.200ed71d99f13p-3, 0x1.2459e81eab3a3p-3, 0x1.286995cdf18b9p-3, 0x1.2c3fa814bd419p-3, 0x1.2fdddaacac932p-3, 0x1.3345dd46bcba6p-3, 0x1.367953bde5b87p-3, 0x1.3979d6536e83ap-3, 0x1.3c48f1f30b48bp-3, 0x1.3ee8287d34a4ap-3, 0x1.4158f11617c9bp-3, 0x1.439cb877bdf4fp-3, 0x1.45b4e1461dd49p-3, 0x1.47a2c463cb42fp-3, 0x1.4967b14623f21p-3, 0x1.4b04ee47e3f2cp-3, 0x1.4c7bb8f91b189p-3, 0x1.4dcd466ba6701p-3, 0x1.4efac37b6fcaep-3, 0x1.50055511e15b5p-3, 0x1.50ee18642677bp-3, 0x1.51b6232c0ca7ap-3, 0x1.525e83db798cap-3, 0x1.52e841caba41cp-3, 0x1.53545d61e803p-3, 0x1.53a3d03df6c37p-3, 0x1.53d78d51fdf37p-3, 0x1.53f081055ff49p-3, 0x1.53ef914f872f2p-3, 0x1.53d59dd1edfe3p-3, 0x1.53a37ff11c152p-3, 0x1.535a0aed334efp-3, 0x1.52fa0bfa9d08bp-3, 0x1.52844a5b4d04cp-3, 0x1.51f98778f4704p-3, 0x1.515a7f006c4a1p-3, 0x1.50a7e6fe886dap-3, 0x1.4fe26ffe693f3p-3, 0x1.4f0f994b8ca48p-3, 0x1.4e26a5a0514a9p-3, 0x1.4d2cae97cf2eep-3, 0x1.4c224fcaf3279p-3, 0x1.4b082066ccaa3p-3, 0x1.49deb34a27a11p-3, 0x1.48a69722aea07p-3, 0x1.47605689b6068p-3, 0x1.460c7820d6bb1p-3, 0x1.44ab7eae6862ep-3, 0x1.433de939ebbe8p-3, 0x1.41c4332866f58p-3, 0x1.403ed458b9166p-3, 0x1.3eae413fcdebcp-3, 0x1.3d12eb04b4cbp-3, 0x1.3b6d3f9c7ab0cp-3, 0x1.39bda9e5bee0fp-3, 0x1.380491c3dc366p-3, 0x1.36425c39a1dbap-3, 0x1.34776b837599cp-3, 0x1.32a41f30d1aacp-3, 0x1.30c8d43d048cdp-3, 0x1.2ee5e52725a56p-3, 0x1.2cfbaa092a77fp-3, 0x1.2b0a78ae0f401p-3, 0x1.2912a4a709407p-3, 0x1.27147f5fbc9fbp-3, 0x1.251058316de7cp-3, 0x1.23067c752d657p-3, 0x1.20f73794fb878p-3, 0x1.1ee2d31bf0cbp-3, 0x1.1cc996c55dc57p-3, 0x1.1aabc88afdb05p-3, 0x1.1889acb2338cp-3, 0x1.166385d86a799p-3, 0x1.143994fe95c89p-3, 0x1.120c1993e9585p-3, 0x1.0fdb517fda22fp-3, 0x1.0da7792b644e2p-3, 0x1.0b70cb89bd75ap-3, 0x1.09378220724e7p-3, 0x1.06fbd50f0058ep-3, 0x1.04bdfb160605p-3, 0x1.027e299e0949cp-3, 0x1.003c94bdf1b51p-3, 0x1.fbf2de826a28cp-4, 0x1.f769d55ba06e8p-4, 0x1.f2de6e9415d76p-4, 0x1.ee5108443a611p-4, 0x1.e9c1fe1b6ec3p-4, 0x1.e531a96adffebp-4, 0x1.e0a0613054ddep-4, 0x1.dc0e7a20e2cf3p-4, 0x1.d77c46b392edap-4, 0x1.d2ea172c01c18p-4, 0x1.ce5839a4f7f6ep-4, 0x1.c9c6fa1afc0bcp-4, 0x1.c536a276eb06dp-4, 0x1.c0a77a9873467p-4, 0x1.bc19c860981b7p-4, 0x1.b78dcfbc15b96p-4, 0x1.b303d2adc8ab8p-4, 0x1.ae7c1158dcfe4p-4, 0x1.a9f6ca0b04721p-4, 0x1.a574394669d4cp-4, 0x1.a0f499cb980ap-4, 0x1.9c7824a32c4d8p-4, 0x1.97ff112754e94p-4, 0x1.9389950d2acd2p-4, 0x1.8f17e46dcdee7p-4, 0x1.8aaa31cf4dee5p-4, 0x1.8640ae2d57fe8p-4, 0x1.81db8901ab12p-4, 0x1.7d7af04c4e7bbp-4, 0x1.791f109b8c61bp-4, 0x1.74c81513ac28ap-4, 0x1.70762776713b1p-4, 0x1.6c29702a599bp-4, 0x1.67e216419f67bp-4, 0x1.63a03f80fdb2ap-4, 0x1.5f6410663766fp-4, 0x1.5b2dac2e66c75p-4, 0x1.56fd34dc0f58bp-4, 0x1.52d2cb3cfbe7ep-4, 0x1.4eae8eefe4ca3p-4, 0x1.4a909e69e3a13p-4, 0x1.467916fbb6bd6p-4, 0x1.426814d6d5014p-4, 0x1.3e5db312583f8p-4, 0x1.3a5a0bafbd343p-4, 0x1.365d379f7f12cp-4, 0x1.32674ec59120dp-4, 0x1.2e7867fdb84b8p-4, 0x1.2a90991fc8c53p-4, 0x1.26aff703cb882p-4, 0x1.22d695860cfb7p-4, 0x1.1f04878b194b9p-4, 0x1.1b39df03a839ep-4, 0x1.1776acf07be73p-4, 0x1.13bb016634e38p-4, 0x1.1006eb911d17bp-4, 0x1.0c5a79b8ec869p-4, 0x1.08b5b94489d5dp-4, 0x1.0518b6bdc7abap-4, 0x1.01837dd5201d7p-4, 0x1.fbec32cae258cp-5, 0x1.f4e126ef7067dp-5, 0x1.ede5ea8da1b9fp-5, 0x1.e6fa8e86687ccp-5, 0x1.e01f222d76a92p-5, 0x1.d953b350c8947p-5, 0x1.d2984e4031f8p-5, 0x1.cbecfdd4f3c48p-5, 0x1.c551cb79519b2p-5, 0x1.bec6bf302df63p-5, 0x1.b84bdf9ca8145p-5, 0x1.b1e13209b8d4cp-5, 0x1.ab86ba71d2bf7p-5, 0x1.a53c7b867ee13p-5, 0x1.9f0276b7f56fep-5, 0x1.98d8ac3cb4acp-5, 0x1.92bf1b190ef63p-5, 0x1.8cb5c126b39e2p-5, 0x1.86bc9b1c2d231p-5, 0x1.80d3a4945431bp-5, 0x1.7afad815b8c8bp-5, 0x1.75322f19fc95bp-5, 0x1.6f79a2151d233p-5, 0x1.69d1287cb101cp-5, 0x1.6438b8cf1088ep-5, 0x1.5eb0489a6ec2fp-5, 0x1.5937cc83dce2ap-5, 0x1.53cf384e3b6c4p-5, 0x1.4e767ee11372ep-5, 0x1.492d924f5bc69p-5, 0x1.43f463de27f8dp-5, 0x1.3ecae40b3ca32p-5, 0x1.39b102938f452p-5, 0x1.34a6ae79ab0cp-5, 0x1.2fabd60bfe603p-5, 0x1.2ac066eb0ca84p-5, 0x1.25e44e0f892c3p-5, 0x1.211777d05579fp-5, 0x1.1c59cfe86727ep-5, 0x1.17ab417c90bep-5, 0x1.130bb721341a6p-5, 0x1.0e7b1adfd52aep-5, 0x1.09f9563c9622ep-5, 0x1.0586523b967c3p-5, 0x1.0121f76637953p-5, 0x1.f9985ba0915bbp-6, 0x1.f109ba3a2aac9p-6, 0x1.e897d908b5c5cp-6, 0x1.e04285ae4be5ap-6, 0x1.d8098d09241ep-6, 0x1.cfecbb3ce4d42p-6, 0x1.c7ebdbbbc12e2p-6, 0x1.c006b94f6322p-6, 0x1.b83d1e21a5aabp-6, 0x1.b08ed3c51d072p-6, 0x1.a8fba33d70878p-6, 0x1.a183550780fc7p-6, 0x1.9a25b1216438cp-6, 0x1.92e27f1234f3p-6, 0x1.8bb985f1ab0f2p-6, 0x1.84aa8c6f965a5p-6, 0x1.7db558db21af6p-6, 0x1.773d5c640ec81p-6, 0x1.707baa4ccf564p-6, 0x1.69d3096f87dd5p-6, 0x1.63433eaca1b8fp-6, 0x1.5ccc0ea52e7ebp-6, 0x1.566d3dc1791a3p-6, 0x1.5026903770351p-6, 0x1.49f7ca10e2e1bp-6, 0x1.43e0af31a06cp-6, 0x1.3de1035d679c5p-6, 0x1.37f88a3db37f4p-6, 0x1.32270767644a2p-6, 0x1.2c6c3e603ebacp-6, 0x1.26c7f2a448488p-6, 0x1.2139e7ab00d9fp-6, 0x1.1bc1e0ec767a9p-6, 0x1.165fa1e6352dbp-6, 0x1.1112ee2017ca8p-6, 0x1.0bdb8930f1706p-6, 0x1.06b936c318b8bp-6, 0x1.01abba98cfba1p-6, 0x1.f965b12118c05p-7, 0x1.ef9ca9523f631p-7, 0x1.e5fbe60b769cbp-7, 0x1.dc82efe3bb334p-7, 0x1.d3314fca28bcbp-7, 0x1.ca068f0d56189p-7, 0x1.c10237626a229p-7, 0x1.b823d2ebf2794p-7, 0x1.af6aec408ea2ep-7, 0x1.a6d70e714afaap-7, 0x1.9e67c50fd164bp-7, 0x1.961c9c3461b72p-7, 0x1.8df5208389653p-7, 0x1.85f0df33af8a2p-7, 0x1.7e0f66125bfd4p-7, 0x1.765043895b37bp-7, 0x1.6eb306a39eab6p-7, 0x1.67373f11f179cp-7, 0x1.5fdc7d2f77af6p-7, 0x1.58a25205ff0ddp-7, 0x1.51884f5218f2bp-7, 0x1.4a8e07870a059p-7, 0x1.43b30dd2848f9p-7, 0x1.3cf6f6203bb25p-7, 0x1.3659551d4389p-7, 0x1.2fd9c03b465c5p-7, 0x1.2977cdb38f79cp-7, 0x1.23331489eb1e4p-7, 0x1.1d0b2c8f5a9bep-7, 0x1.16ffae64a2a39p-7, 0x1.1110337cb02eap-7, 0x1.0b3c561ed7f87p-7, 0x1.0583b168ef8c8p-7, 0x1.ffcbc2a28210cp-8, 0x1.f4c50550b99eap-8, 0x1.e9f2663590ac7p-8, 0x1.df5322651188bp-8, 0x1.d4e678b1251d8p-8, 0x1.caaba9ac2626dp-8, 0x1.c0a1f7ab412f8p-8, 0x1.b6c8a6c893cffp-8, 0x1.ad1efce51672ap-8, 0x1.a3a441aa4b442p-8, 0x1.9a57be8bbb091p-8, 0x1.9138bec83de16p-8, 0x1.88468f6b11f17p-8, 0x1.7f807f4cc2793p-8, 0x1.76e5df13e10a2p-8, 0x1.6e76013592d43p-8, 0x1.663039f5f2e1ep-8, 0x1.5e13df684cec3p-8, 0x1.5620496f2f5e8p-8, 0x1.4e54d1bc5489cp-8, 0x1.46b0d3d07282ap-8, 0x1.3f33acfad8556p-8, 0x1.37dcbc58f6655p-8, 0x1.30ab62d5c03c6p-8, 0x1.299f0328f084cp-8, 0x1.22b701d62ee45p-8, 0x1.1bf2c52c1b1a5p-8, 0x1.1551b5433776cp-8, 0x1.0ed33bfcbf9d6p-8, 0x1.0876c5015cf22p-8, 0x1.023bbdbfc9d97p-8, 0x1.f8432ad6b2c75p-9, 0x1.ec4f79f4c7e41p-9, 0x1.e09b4e494cb37p-9, 0x1.d52590c309314p-9, 0x1.c9ed2dcc6edbdp-9, 0x1.bef11547d0fe1p-9, 0x1.b4303a8b7351p-9, 0x1.a9a9945d6dd44p-9, 0x1.9f5c1cef71208p-9, 0x1.9546d1da6351dp-9, 0x1.8b68b419da9a6p-9, 0x1.81c0c80774efp-9, 0x1.784e15560e7cp-9, 0x1.6f0fa70cda448p-9, 0x1.66048b8253e9cp-9, 0x1.5d2bd4571aed6p-9, 0x1.54849670aa7cdp-9, 0x1.4c0de9f3fcf8cp-9, 0x1.43c6ea3fffa21p-9, 0x1.3baeb5e804072p-9, 0x1.33c46eae06179p-9, 0x1.2c07397cddf46p-9, 0x1.24763e625599fp-9, 0x1.1d10a8892a46p-9, 0x1.15d5a632f518ep-9, 0x1.0ec468b1fca14p-9, 0x1.07dc2462ed136p-9, 0x1.011c10a6880e8p-9, 0x1.f506cfb656933p-10, 0x1.e822ceacb421ap-10, 0x1.db8a9ebc4f998p-10, 0x1.cf3cc6451daacp-10, 0x1.c337d16d87c92p-10, 0x1.b77a5214c7a15p-10, 0x1.ac02dfc55fd4ap-10, 0x1.a0d017a74162fp-10, 0x1.95e09c71f8f7p-10, 0x1.8b33165eabc84p-10, 0x1.80c6331a21ff7p-10, 0x1.7698a5b68d8dfp-10, 0x1.6ca9269d61e7fp-10, 0x1.62f67381153a6p-10, 0x1.597f4f4ec57aep-10, 0x1.5042821fdb377p-10, 0x1.473ed92ba1239p-10, 0x1.3e7326b8d2a4p-10, 0x1.35de420f1cd72p-10, 0x1.2d7f0768a53efp-10, 0x1.255457e3906acp-10, 0x1.1d5d19736b5b4p-10, 0x1.159836d2c6705p-10, 0x1.0e049f7494aadp-10, 0x1.06a14775d89e4p-10, 0x1.feda4f1e2ba65p-11, 0x1.f0ce7a0bf31c5p-11, 0x1.e31d133ddad22p-11, 0x1.d5c4271d8df0dp-11, 0x1.c8c1cad915d65p-11, 0x1.bc141c4650583p-11, 0x1.afb941c6b4298p-11, 0x1.a3af6a2b1f295p-11, 0x1.97f4cc97d2a0ap-11, 0x1.8c87a868a7cc6p-11, 0x1.816645154aee6p-11, 0x1.768ef215c4f5bp-11, 0x1.6c0006c730288p-11, 0x1.61b7e250880dep-11, 0x1.57b4eb87c24c6p-11, 0x1.4df590d71b8d3p-11, 0x1.447848226ef46p-11, 0x1.3b3b8ead13cebp-11, 0x1.323de8ffa1cc8p-11, 0x1.297de2ce17a5p-11, 0x1.20fa0ede230c7p-11, 0x1.18b106edac387p-11, 0x1.10a16b999f171p-11, 0x1.08c9e444c81dap-11, 0x1.01291eff09225p-11, 0x1.f37ba0d97c5a8p-12, 0x1.e50d675c69f34p-12, 0x1.d705148f28c28p-12, 0x1.c96038116314ep-12, 0x1.bc1c6dea8fe1cp-12, 0x1.af375e5a9c0ebp-12, 0x1.a2aebdaade757p-12, 0x1.96804bffa0152p-12, 0x1.8aa9d529f3f9fp-12, 0x1.7f2930795c413p-12, 0x1.73fc408ecfbedp-12, 0x1.6920f32f28c4p-12, 0x1.5e954116558dap-12, 0x1.54572dcab7fc3p-12, 0x1.4a64c771115cp-12, 0x1.40bc26a066848p-12, 0x1.375b6e367ca4dp-12, 0x1.2e40cb2c8c8dbp-12, 0x1.256a746c67ecep-12, 0x1.1cd6aaa5c302ep-12, 0x1.1483b823ef635p-12, 0x1.0c6ff0a3f0c76p-12, 0x1.0499b12af64edp-12, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.cbd4b95c0359cp-3, 0x1.adeaecba24d7cp-3, 0x1.8e183b554786fp-3, 0x1.6cb0b5c02413cp-3, 0x1.4a046a9d100b8p-3, 0x1.265ebca63f93p-3, 0x1.0205e9af89fafp-3, 0x1.ba7574f357cbp-4, 0x1.7070c7fdfb30ep-4, 0x1.26692ec68431ep-4, 0x1.b97e9fa267881p-5, 0x1.2792d6a4d2855p-5, 0x1.2f4f319cb6439p-6, 0x1.4855133975d7fp-10, -0x1.004fd1e6008bcp-6, -0x1.07347d420d3ffp-5, -0x1.8a8ea605b4845p-5, -0x1.04f802fc10266p-4, -0x1.428f924bf776cp-4, -0x1.7df713712f3ebp-4, -0x1.b71cd77758d0ap-4, -0x1.edf3f33a96955p-4, -0x1.1139f2733d703p-3, -0x1.2a4bef595cabdp-3, -0x1.422f3ffe8ccd3p-3, -0x1.58e4b35858717p-3, -0x1.6e6e689725357p-3, -0x1.82cfa3d930b96p-3, -0x1.960ca64b16575p-3, -0x1.a82a89db72b64p-3, -0x1.b92f209284fep-3, -0x1.c920d7079ac41p-3, -0x1.d806996519604p-3, -0x1.e5e7bb0316514p-3, -0x1.f2cbe0d5b4ee5p-3, -0x1.febaee6e1dd96p-3, -0x1.04de7a73b602fp-2, -0x1.09ed11af0ecdbp-2, -0x1.0e8d5c8bcfd13p-2, -0x1.12c37cce2044bp-2, -0x1.169391555cecfp-2, -0x1.1a01b1c8d1381p-2, -0x1.1d11eabf1f3bep-2, -0x1.1fc83a4ed259cp-2, -0x1.22288d19186e9p-2, -0x1.2436bbe1ed729p-2, -0x1.25f689b1121bp-2, -0x1.276ba25e05795p-2, -0x1.28999962d9773p-2, -0x1.2983e8deb92e8p-2, -0x1.2a2df0c46d549p-2, -0x1.2a9af63d58b88p-2, -0x1.2ace23492b742p-2, -0x1.2aca8699c7fc9p-2, -0x1.2a9313a0d8ab2p-2, -0x1.2a2aa2bf9cddap-2, -0x1.2993f18ad6d63p-2, -0x1.28d1a31aa4f93p-2, -0x1.27e6406475884p-2, -0x1.26d438a190d0cp-2, -0x1.259de1c55aafp-2, -0x1.24457904b78f7p-2, -0x1.22cd236d25407p-2, -0x1.2136efabcdebap-2, -0x1.1f84d34314b9ap-2, -0x1.1db8ae5dd4b5fp-2, -0x1.1bd44c0363044p-2, -0x1.19d962718b675p-2, -0x1.17c993cbd6e2p-2, -0x1.15a66eca69ac8p-2, -0x1.13716f67b6176p-2, -0x1.112bff8c53917p-2, -0x1.0ed777b865972p-2, -0x1.0c751faa1e721p-2, -0x1.0a062f0105d1p-2, -0x1.078bcdddcc3f3p-2, -0x1.0507157e86899p-2, -0x1.027910d73b147p-2, -0x1.ffc57a4d67ddap-3, -0x1.fa8a150f081bep-3, -0x1.f541b8fa4630cp-3, -0x1.efee14fa170e2p-3, -0x1.ea90c0e762a73p-3, -0x1.e52b3e8a81dc5p-3, -0x1.dfbefa942b894p-3, -0x1.da4d4d8ddfa96p-3, -0x1.d4d77cc1e3ecbp-3, -0x1.cf5ebb1aff7a3p-3, -0x1.c9e429fc14a98p-3, -0x1.c468da0fb4d8dp-3, -0x1.beedcc0fb1e4ep-3, -0x1.b973f184b36a2p-3, -0x1.b3fc2d7dcfd01p-3, -0x1.ae875540364f9p-3, -0x1.a91630ef15fp-3, -0x1.a3a97c2c07d8ep-3, -0x1.9e41e6b04276p-3, -0x1.98e014df1ce2ap-3, -0x1.9384a05239b1ep-3, -0x1.8e30185fd0b3fp-3, -0x1.88e3029b75d69p-3, -0x1.839ddb51ab69dp-3, -0x1.7e6115fe73af1p-3, -0x1.792d1dbf15971p-3, -0x1.740255bf2e328p-3, -0x1.6ee119a11b241p-3, -0x1.69c9bde1e84e1p-3, -0x1.64bc9038c6e2fp-3, -0x1.5fb9d7f223d6bp-3, -0x1.5ac1d64695fc2p-3, -0x1.55d4c6adb01f9p-3, -0x1.50f2df2ceda68p-3, -0x1.4c1c50a2ecbaap-3, -0x1.4751470f1061ap-3, -0x1.4291e9d5d2a45p-3, -0x1.3dde5c01d93c7p-3, -0x1.3936bc8207b8fp-3, -0x1.349b26649d2bfp-3, -0x1.300bb10f8dc1ep-3, -0x1.2b8870762738p-3, -0x1.2711754c12a89p-3, -0x1.22a6cd35d0b62p-3, -0x1.1e4882f6b3986p-3, -0x1.19f69e9c77981p-3, -0x1.15b125a882c49p-3, -0x1.11781b36ed508p-3, -0x1.0d4b80235fc6fp-3, -0x1.092b532bef8f5p-3, -0x1.0517911215056p-3, -0x1.011034b9d2e3ap-3, -0x1.fa2a6e8e8b162p-4, -0x1.f24d2075328b4p-4, -0x1.ea886b1554bcp-4, -0x1.e2dc377c85779p-4, -0x1.db486c08571a3p-4, -0x1.d3ccec9425fc5p-4, -0x1.cc699aa4a9e49p-4, -0x1.c51e55917ebf4p-4, -0x1.bdeafaac9141dp-4, -0x1.b6cf6567a6023p-4, -0x1.afcb6f77d612p-4, -0x1.a8def0f74e842p-4, -0x1.a209c085170d2p-4, -0x1.9b4bb363261d1p-4, -0x1.94a49d92c4bb4p-4, -0x1.8e1451ef44c8ep-4, -0x1.879aa24733b49p-4, -0x1.813772f271d2fp-4, -0x1.7aea69adf5bb8p-4, -0x1.74b36c2afd569p-4, -0x1.6e9248f3a98cdp-4, -0x1.6886cdefce0d1p-4, -0x1.6290c876a1b44p-4, -0x1.5cb0055f72282p-4, -0x1.56e451115f927p-4, -0x1.512d779233221p-4, -0x1.4b8b4494567abp-4, -0x1.45fd8383fb33fp-4, -0x1.4083ff937970fp-4, -0x1.3b1e83c6f23c5p-4, -0x1.35ccdaff3d0a1p-4, -0x1.308ed0042c2aap-4, -0x1.2b642d8e2c39fp-4, -0x1.264cbe4f4cf7cp-4, -0x1.21484cfbb794ap-4, -0x1.1c56a4519a8c1p-4, -0x1.17778f209322bp-4, -0x1.12aad8509cfacp-4, -0x1.0df04ae889da9p-4, -0x1.0947b2140d6f8p-4, -0x1.04b0d929600a1p-4, -0x1.002b8bae7cb9ap-4, -0x1.f76f2abc099c6p-5, -0x1.eea9845793f94p-5, -0x1.e605bc92087bdp-5, -0x1.dd836c507920cp-5, -0x1.d5222d01d60a9p-5, -0x1.cce198a5a226ap-5, -0x1.c4c149d2281a7p-5, -0x1.bcc0dbba2fd2ap-5, -0x1.b4dfea3247b3dp-5, -0x1.ad1e11b59ef6ep-5, -0x1.a57aef6a7e354p-5, -0x1.9df62126636bdp-5, -0x1.968f4571c337fp-5, -0x1.8f45fb8b7b9e1p-5, -0x1.8819e36bfad09p-5, -0x1.810a9dc81a519p-5, -0x1.7a17cc13bc81dp-5, -0x1.73411084280a4p-5, -0x1.6c860e1228295p-5, -0x1.65e6687bf8edbp-5, -0x1.5f61c446fce7ep-5, -0x1.58f7c6c140e57p-5, -0x1.52a81602d40b8p-5, -0x1.4c7258eef4aa4p-5, -0x1.4656373510bb9p-5, -0x1.40535951a3e63p-5, -0x1.3a69688eed0b1p-5, -0x1.34980f0586f88p-5, -0x1.2edef79cd8a74p-5, -0x1.293dce0b6f4ccp-5, -0x1.23b43ed7364cdp-5, -0x1.1e41f75594c75p-5, -0x1.18e6a5ab74fc1p-5, -0x1.13a1f8cd2f2e7p-5, -0x1.0e73a07e60d4cp-5, -0x1.095b4d51ae51dp-5, -0x1.0458b0a87045dp-5, -0x1.fed6f9649f441p-6, -0x1.f526c8d99b5c8p-6, -0x1.eba037457f7b1p-6, -0x1.e242add76e5e9p-6, -0x1.d90d9756bdc41p-6, -0x1.d000602190393p-6, -0x1.c71a762b591eap-6, -0x1.be5b48fb4adap-6, -0x1.b5c249aaa6112p-6, -0x1.ad4eeae2fe576p-6, -0x1.a500a0dc64d1bp-6, -0x1.9cd6e15b7e723p-6, -0x1.94d123af8e3dcp-6, -0x1.8ceee0b06bdd4p-6, -0x1.852f92bc69ff6p-6, -0x1.7d92b5b631789p-6, -0x1.7617c70288ae7p-6, -0x1.6ebe45861616ap-6, -0x1.6785b1a311d1fp-6, -0x1.606d8d36ef8ap-6, -0x1.59755b97faefdp-6, -0x1.529ca192ede5fp-6, -0x1.4be2e56880543p-6, -0x1.4547aecaecbap-6, -0x1.3eca86db6db6cp-6, -0x1.386af827b975fp-6, -0x1.32288ea774a9cp-6, -0x1.2c02d7b9a2005p-6, -0x1.25f962220bf8ap-6, -0x1.200bbe06ac9a5p-6, -0x1.1a397ced0e249p-6, -0x1.148231b7add8fp-6, -0x1.0ee570a357bd1p-6, -0x1.0962cf44825c7p-6, -0x1.03f9e484a4e8bp-6, -0x1.fd54913f1eed1p-7, -0x1.f2e72a417c9b9p-7, -0x1.e8aac9c154d14p-7, -0x1.de9ea8043f27fp-7, -0x1.d4c1ffdf0bcb3p-7, -0x1.cb140eb068af3p-7, -0x1.c194145b6edcp-7, -0x1.b84153424a752p-7, -0x1.af1b1040c2635p-7, -0x1.a62092a6d0e18p-7, -0x1.9d512433322f5p-7, -0x1.94ac110dfd1e8p-7, -0x1.8c30a7c32c246p-7, -0x1.83de393d2aa4ap-7, -0x1.7bb418bf6d7dfp-7, -0x1.73b19be0f67b2p-7, -0x1.6bd61a86ecdf7p-7, -0x1.6420eedf27e11p-7, -0x1.5c91755ac194cp-7, -0x1.55270ca8a5a09p-7, -0x1.4de115b026f89p-7, -0x1.46bef38b937e8p-7, -0x1.3fc00b82c9761p-7, -0x1.38e3c505cfa5dp-7, -0x1.322989a773a97p-7, -0x1.2b90c517e2ea6p-7, -0x1.2518e51f4a5aap-7, -0x1.1ec159987c601p-7, -0x1.1889946b95a03p-7, -0x1.12710988a477ep-7, -0x1.0c772ee256a4ap-7, -0x1.069b7c68aa2a9p-7, -0x1.00dd6c039d1a4p-7, -0x1.f678f31bd5b15p-8, -0x1.eb70459f88ae3p-8, -0x1.e09fcef322506p-8, -0x1.d606923d648adp-8, -0x1.cba3966099fcbp-8, -0x1.c175e5f032d98p-8, -0x1.b77c8f2660207p-8, -0x1.adb6a3d9cd3a2p-8, -0x1.a4233973567ep-8, -0x1.9ac168e3cc19ep-8, -0x1.91904e99c2c43p-8, -0x1.888f0a776c50bp-8, -0x1.7fbcbfc883f81p-8, -0x1.771895383ce0dp-8, -0x1.6ea1b4c743cbbp-8, -0x1.66574bc1cb728p-8, -0x1.5e388ab5a939fp-8, -0x1.5644a5687153fp-8, -0x1.4e7ad2cdba494p-8, -0x1.46da4cfd597a3p-8, -0x1.3f625129b15bp-8, -0x1.38121f9617e49p-8, -0x1.30e8fb8d4186fp-8, -0x1.29e62b57be66fp-8, -0x1.2308f8328a2fap-8, -0x1.1c50ae45a8d6fp-8, -0x1.15bc9c9ad63d6p-8, -0x1.0f4c15143d681p-8, -0x1.08fe6c63487f3p-8, -0x1.02d2f9ff7e97ep-8, -0x1.f992303ae4c19p-9, -0x1.edc0474b81b5dp-9, -0x1.e22ef858430a2p-9, -0x1.d6dd07cd0033dp-9, -0x1.cbc93f4879bb5p-9, -0x1.c0f26d8ac5032p-9, -0x1.b65766640a403p-9, -0x1.ac1b2610b8477p-9, -0x1.a1f461df55b94p-9, -0x1.9805fdbd0ffb7p-9, -0x1.8e4ee105a1a13p-9, -0x1.84cdf7d14ac78p-9, -0x1.7b8232e437efap-9, -0x1.726a879e3959fp-9, -0x1.6985efea8753dp-9, -0x1.60d36a2fb4aedp-9, -0x1.5851f93fcb702p-9, -0x1.5000a4487ca4bp-9, -0x1.47de76c37afd4p-9, -0x1.3fea806705d4dp-9, -0x1.3823d516863adp-9, -0x1.30898cd36689p-9, -0x1.291ac3adfa4ccp-9, -0x1.21d699b68be86p-9, -0x1.1abc32ee9faeap-9, -0x1.13cab73a50e4ap-9, -0x1.0d015251c787cp-9, -0x1.065f33b2f472cp-9, -0x1.ffc71d269d44fp-10, -0x1.f31b33a375676p-10, -0x1.e6b91fd173be9p-10, -0x1.da9f5dc126aafp-10, -0x1.cecc70836747cp-10, -0x1.c33ee20e6948p-10, -0x1.b7f54323043f5p-10, -0x1.acee2b32539c5p-10, -0x1.a22838438dce4p-10, -0x1.97a20eda369d6p-10, -0x1.8d5a59dc9bd2cp-10, -0x1.834fca7a72864p-10, -0x1.7981181400099p-10, -0x1.6fed002157172p-10, -0x1.66924619ef139p-10, -0x1.5d6fb35c6617ap-10, -0x1.54841716dd3a7p-10, -0x1.4bce462f35544p-10, -0x1.434d1b2bcf7cdp-10, -0x1.3aff761c8ed74p-10, -0x1.32e43c840886bp-10, -0x1.2afa59411c59p-10, -0x1.2340bc78b298dp-10, -0x1.1bb65b7fdab34p-10, -0x1.145a30c6246ap-10, -0x1.0d2b3bc010a9dp-10, -0x1.062880d24769bp-10, -0x1.fea21278ee96bp-11, -0x1.f147c609ba35dp-11, -0x1.e44041c7d5aa5p-11, -0x1.d789b4607f42ep-11, -0x1.cb225595ab002p-11, -0x1.bf086616f5f12p-11, -0x1.b33a2f5b2bb38p-11, -0x1.a7b6037a18108p-11, -0x1.9c7a3d07404f8p-11, -0x1.91853eec73c68p-11, -0x1.86d57445bc99cp-11, -0x1.7c69503d21a3fp-11, -0x1.723f4de7254c9p-11, -0x1.6855f01fc5d7cp-11, -0x1.5eabc16809539p-11, -0x1.553f53c3e2b05p-11, -0x1.4c0f409870ec2p-11, -0x1.431a288b457ap-11, -0x1.3a5eb36192cbp-11, -0x1.31db8fdff6aa2p-11, -0x1.298f73ab026c1p-11, -0x1.21791b27d80fdp-11, -0x1.1997495d7f587p-11, -0x1.11e8c7d676cc6p-11, -0x1.0a6c668336531p-11, -0x1.0320fb9c134c1p-11, -0x1.f80ac70a05686p-12, -0x1.ea3101615e0ffp-12, -0x1.dcb27708d1982p-12, -0x1.cf8d0478fe3cbp-12, -0x1.c2be91a1e84d1p-12, -0x1.b64511b56181dp-12, -0x1.aa1e82f211193p-12, -0x1.9e48ee6f64566p-12, -0x1.92c267ea9f3c4p-12, -0x1.87890d93dbb6fp-12, -0x1.7c9b07dcc4d41p-12, -0x1.71f68947b5825p-12, -0x1.6799ce371169cp-12, -0x1.5d831cbec501bp-12, -0x1.53b0c474fe241p-12, -0x1.4a211e4491d26p-12, -0x1.40d28c3fa17acp-12, -0x1.37c37973b1155p-12, -0x1.2ef259bd394cep-12, -0x1.265da99d248c3p-12, -0x1.1e03ee0e58a72p-12, -0x1.15e3b45c34297p-12, -0x1.0dfb91f955f3fp-12, -0x1.064a245789968p-12, -0x1.fd9c218076702p-13, -0x1.ef0c085abcadep-13, -0x1.e0e166463394fp-13, -0x1.d319b31445051p-13, -0x1.c5b27515522fbp-13, -0x1.b8a940cf5de3bp-13, -0x1.abfbb8b74ead2p-13, -0x1.9fa78ce9a0d81p-13, -0x1.93aa7ae55c834p-13, -0x1.88024d48044c4p-13, -0x1.7cacdb8a884a9p-13, -0x1.71a809bf7d4cbp-13, -0x1.66f1c8523710fp-13, -0x1.5c8813c77e1fp-13, -0x1.5268f47eac4fep-13, -0x1.48927e7493cdfp-13, -0x1.3f02d106a7d4ep-13, -0x1.35b816b8920a9p-13, -0x1.2cb084f8b09efp-13, -0x1.23ea5be7d596p-13, -0x1.1b63e61fb2801p-13, -0x1.131b787d4368fp-13, -0x1.0b0f71e950b0dp-13, -0x1.033e3b235e638p-13, -0x1.f74c8d1ac70bcp-14, -0x1.e88c1fefde8cfp-14, -0x1.da3838e02f7d9p-14, -0x1.cc4df41b0cdc1p-14, -0x1.beca7f8432403p-14, -0x1.b1ab1a52a0c7ep-14, -0x1.a4ed14b3bde2ap-14, -0x1.988dcf6ebd985p-14, -0x1.8c8abb89fa67dp-14, -0x1.80e159f255393p-14, -0x1.758f3b2319e5fp-14, -0x1.6a91fed16ef5ap-14, -0x1.5fe7539704c7ap-14, -0x1.558cf6a12c707p-14, -0x1.4b80b35d0a329p-14, -0x1.41c0632bade77p-14, -0x1.3849ed1158288p-14, -0x1.2f1b456b1cdfap-14, -0x1.26326da170736p-14, -0x1.1d8d73e062884p-14, -0x1.152a72ce7e56fp-14, -0x1.0d07914661d3ep-14, -0x1.052302110e345p-14, -0x1.faf60743cf6fdp-15, -0x1.ec1bbfa79ebdp-15, -0x1.ddb3d74e8a802p-15, -0x1.cfbb0e05af91p-15, -0x1.c22e38e761593p-15, -0x1.b50a41dfce3a7p-15, -0x1.a84c2733762b1p-15, -0x1.9bf0fb0a285eap-15, -0x1.8ff5e2f9291e6p-15, -0x1.8458178f930c4p-15, -0x1.7914e3eab1123p-15, -0x1.6e29a5458a4acp-15, -0x1.6393ca8e24533p-15, -0x1.5950d3fcc6a9cp-15, -0x1.4f5e52ac9a726p-15, -0x1.45b9e8364866p-15, -0x1.3c61464e20e22p-15, -0x1.33522e62ba246p-15, -0x1.2a8a713d36f22p-15, -0x1.2207eea545d99p-15, -0x1.19c895076879fp-15, -0x1.11ca6118f0f75p-15, -0x1.0a0b5d821eafbp-15, -0x1.0289a2894c64dp-15, -0x1.f686ab7a8de5ap-16, -0x1.e86d534bfc026p-16, -0x1.dac3bae65f614p-16, -0x1.cd867955b48e8p-16, -0x1.c0b23dc45e1ap-16, -0x1.b443cedc84893p-16, -0x1.a8380a377abfdp-16, -0x1.9c8be3cb51a41p-16, -0x1.913c65605b0fdp-16, -0x1.8646ae06f5893p-16, -0x1.7ba7f18f40887p-16, -0x1.715d78046f665p-16, -0x1.67649d313026bp-16, -0x1.5dbad0180bf55p-16, -0x1.545d927e8a473p-16, -0x1.4b4a78723ca77p-16, -0x1.427f27d26e07p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.d3a65431c963ap-3, -0x1.1273edc269d5ap-2, -0x1.3a186f712a134p-2, -0x1.6049b8c8fd679p-2, -0x1.84a409477a744p-2, -0x1.a6d63d9ef3b58p-2, -0x1.c6a0af1785538p-2, -0x1.e3d381803f3ccp-2, -0x1.fe4cb26f8a67bp-2, -0x1.0afb4514252cbp-1, -0x1.15633a35ad461p-1, -0x1.1e5dd81714aeep-1, -0x1.25eedbd099df2p-1, -0x1.2c1d625948a5bp-1, -0x1.30f355d0cddd5p-1, -0x1.347cf7fff75d3p-1, -0x1.36c86d90b686cp-1, -0x1.37e5441382b04p-1, -0x1.37e409c833099p-1, -0x1.36d6022877871p-1, -0x1.34cce80cfd6e6p-1, -0x1.31dab517a51bfp-1, -0x1.2e1175774d05fp-1, -0x1.2982e0266bd75p-1, -0x1.244065d92f4f5p-1, -0x1.1e5b032cef496p-1, -0x1.17e3285052a68p-1, -0x1.10e8a6a15c494p-1, -0x1.097aa33bc7bf3p-1, -0x1.01a78d2300a25p-1, -0x1.f2fa2c450b508p-2, -0x1.e2105ca7f283p-2, -0x1.d0aa04a1c5c2cp-2, -0x1.beddf6e646493p-2, -0x1.acc182a5f3b7ep-2, -0x1.9a6878a6fa12bp-2, -0x1.87e53347a565dp-2, -0x1.7548a1d186acfp-2, -0x1.62a2564ca3b65p-2, -0x1.5000947ec47fp-2, -0x1.3d70614c3bf44p-2, -0x1.2afd926d7207dp-2, -0x1.18b2de9b686ffp-2, -0x1.0699ee025b642p-2, -0x1.e976d4feed38p-3, -0x1.c63e1e92109c7p-3, -0x1.a397700036b2cp-3, -0x1.818ededd3226dp-3, -0x1.602efc473cc3fp-3, -0x1.3f80f1a2015e6p-3, -0x1.1f8c9c1214cbbp-3, -0x1.0058a5ede5a1fp-3, -0x1.c3d53b98b87c2p-4, -0x1.888e16e874192p-4, -0x1.4ee306a7fdc09p-4, -0x1.16d9725adb156p-4, -0x1.c0ea494dc91bbp-5, -0x1.5770ddd0bc074p-5, -0x1.e2912d1661bbep-6, -0x1.1ce1f24b91b61p-6, -0x1.773aba9725777p-8, 0x1.6ac7daf5c0043p-8, 0x1.0cacef0db102cp-6, 0x1.b825eb2c84179p-6, 0x1.2ea6ccc7650f2p-5, 0x1.7e146e4960eb6p-5, 0x1.ca6774108f495p-5, 0x1.09d63609d713bp-4, 0x1.2cf85d02f50dap-4, 0x1.4ea13da40d21p-4, 0x1.6ed83671fef9ep-4, 0x1.8da4e9b7a013dp-4, 0x1.ab0f325d0e43dp-4, 0x1.c71f199724d9ep-4, 0x1.e1dccd602da97p-4, 0x1.fb5097a9508cep-4, 0x1.09c16b1a1ba71p-3, 0x1.153df98344db2p-3, 0x1.20222eb684a4ap-3, 0x1.2a7241c4c301fp-3, 0x1.34326635e502bp-3, 0x1.3d66c95c67ccfp-3, 0x1.46138ff260f86p-3, 0x1.4e3cd4016583cp-3, 0x1.55e6a31552feap-3, 0x1.5d14fcb7dfb49p-3, 0x1.63cbd1308e96bp-3, 0x1.6a0f0082d959ap-3, 0x1.6fe259a2f9ba3p-3, 0x1.754999d920ea9p-3, 0x1.7a486c4ad7f0cp-3, 0x1.7ee269a2e758fp-3, 0x1.831b17d0cd822p-3, 0x1.86f5e9d9ec2e4p-3, 0x1.8a763fb78e0d9p-3, 0x1.8d9f663dbe3e8p-3, 0x1.9074970800d16p-3, 0x1.92f8f869954a2p-3, 0x1.952f9d5fe0a77p-3, 0x1.971b858658ad4p-3, 0x1.98bf9d0bea4d2p-3, 0x1.9a1ebcaaa65a9p-3, 0x1.9b3ba9a2f2f8bp-3, 0x1.9c1915bbdc869p-3, 0x1.9cb99f4a5ae01p-3, 0x1.9d1fd1413751cp-3, 0x1.9d4e234b13a3p-3, 0x1.9d46f9ef93f11p-3, 0x1.9d0ca6c428412p-3, 0x1.9ca168a87a311p-3, 0x1.9c076c0dea1ep-3, 0x1.9b40cb49427ddp-3, 0x1.9a4f8eed70324p-3, 0x1.9935ae2dfde58p-3, 0x1.97f50f47f298bp-3, 0x1.968f87efdea5p-3, 0x1.9506ddc3deee3p-3, 0x1.935cc6c081319p-3, 0x1.9192e9b78fa26p-3, 0x1.8faadec7c59f6p-3, 0x1.8da62fd4951edp-3, 0x1.8b8658fd181d5p-3, 0x1.894cc9115852bp-3, 0x1.86fae20526603p-3, 0x1.8491f95fcd08bp-3, 0x1.821358a7f78f7p-3, 0x1.7f803dcb556p-3, 0x1.7cd9db8196b83p-3, 0x1.7a2159aa8e6f2p-3, 0x1.7757d5a76740bp-3, 0x1.747e62aef80e3p-3, 0x1.71960a1d6cbabp-3, 0x1.6e9fcbbf902b1p-3, 0x1.6b9c9e1a0e7d8p-3, 0x1.688d6ead1581ep-3, 0x1.65732234d764p-3, 0x1.624e94e74073fp-3, 0x1.5f209aaf6be88p-3, 0x1.5be9ff672a4a8p-3, 0x1.58ab870ef6c5fp-3, 0x1.5565ee04bc22cp-3, 0x1.5219e93992bd2p-3, 0x1.4ec82666cdb05p-3, 0x1.4b714c4267eadp-3, 0x1.4815fab30c1aap-3, 0x1.44b6cb03b3edap-3, 0x1.41545016ff30ap-3, 0x1.3df168cedb353p-3, 0x1.3a8a18e3a1912p-3, 0x1.372106d6502aap-3, 0x1.33b6ade9ba68fp-3, 0x1.304b84270b00cp-3, 0x1.2cdffa896a82ap-3, 0x1.29747d2884857p-3, 0x1.26097361fde51p-3, 0x1.229f4001f75a6p-3, 0x1.1f36416aa6fa9p-3, 0x1.1bced1bb0ec61p-3, 0x1.186946f4d8316p-3, 0x1.1505f3215d743p-3, 0x1.11a52475d6f1ap-3, 0x1.0e472576a852fp-3, 0x1.0aec3d19d7033p-3, 0x1.0794aee896b01p-3, 0x1.0440bb1fe84d3p-3, 0x1.00f09ed04e3b6p-3, 0x1.fb4927f90f054p-4, 0x1.f4b9a36ea2791p-4, 0x1.ee3318805556dp-4, 0x1.e7b5ea3e2d6bcp-4, 0x1.e142767ec3a2fp-4, 0x1.dad91612be539p-4, 0x1.d47a1cf650e7cp-4, 0x1.ce25da80c29e3p-4, 0x1.c7dc9992036fcp-4, 0x1.c19ea0be49d1ep-4, 0x1.bb6c3277e8d67p-4, 0x1.b5458d373efd6p-4, 0x1.af2aeba0f7c65p-4, 0x1.a91c84aa97375p-4, 0x1.a31a8bbd60eebp-4, 0x1.9d2530d7c1758p-4, 0x1.973ca0ad3c47cp-4, 0x1.916104c4f328dp-4, 0x1.8b928396e5324p-4, 0x1.85d140a7f2484p-4, 0x1.801d5ca4b6a76p-4, 0x1.7a76f57b56fffp-4, 0x1.74de26744ad7bp-4, 0x1.6f53084a3a4dbp-4, 0x1.69d5b141007edp-4, 0x1.6466353be0f6ep-4, 0x1.5f04a5d300b8bp-4, 0x1.59b112683094ep-4, 0x1.546b883b14c68p-4, 0x1.4f34127cb5f95p-4, 0x1.4a0aba6283492p-4, 0x1.44ef8738d2c74p-4, 0x1.3fe27e74e193p-4, 0x1.3ae3a3c65f7d3p-4, 0x1.35f2f928879d3p-4, 0x1.31107ef2cba78p-4, 0x1.2c3c33e915892p-4, 0x1.2776154ba0568p-4, 0x1.22be1ee66cc76p-4, 0x1.1e144b2050305p-4, 0x1.19789309a206cp-4, 0x1.14eaee6a84f13p-4, 0x1.106b53d0d023ep-4, 0x1.0bf9b89d960c4p-4, 0x1.079611124aef2p-4, 0x1.0340505d8b789p-4, 0x1.fdf0d14f067dp-5, 0x1.f57c963be71fap-5, 0x1.ed23cfffbcdcfp-5, 0x1.e4e65d51a1e9ap-5, 0x1.dcc41b37a9c82p-5, 0x1.d4bce51c09365p-5, 0x1.ccd094e18e2fep-5, 0x1.c4ff02f7658e2p-5, 0x1.bd48066c3710dp-5, 0x1.b5ab750092e35p-5, 0x1.ae292338bda33p-5, 0x1.a6c0e46dd8169p-5, 0x1.9f728ade699c9p-5, 0x1.983de7be50823p-5, 0x1.9122cb461c1aap-5, 0x1.8a2104c1d5e1bp-5, 0x1.8338629f3d874p-5, 0x1.7c68b27b7c1d2p-5, 0x1.75b1c1305407bp-5, 0x1.6f135ae0d0828p-5, 0x1.688d4b057a597p-5, 0x1.621f5c78182c8p-5, 0x1.5bc9597ef9e33p-5, 0x1.558b0bd7daecfp-5, 0x1.4f643cc257c89p-5, 0x1.4954b50a048d1p-5, 0x1.435c3d101ed15p-5, 0x1.3d7a9cd4e6e99p-5, 0x1.37af9c00a2f1ep-5, 0x1.31fb01ec4ba45p-5, 0x1.2c5c95a9ee3dfp-5, 0x1.26d41e0cbd1d7p-5, 0x1.216161b0df4a4p-5, 0x1.1c042702f6728p-5, 0x1.16bc344764e03p-5, 0x1.11894fa156e9ap-5, 0x1.0c6b3f198d674p-5, 0x1.0761c8a4f2ae4p-5, 0x1.026cb22af523bp-5, 0x1.fb17831765528p-6, 0x1.f17d794bd4ae2p-6, 0x1.e80ad2b98ac8ap-6, 0x1.debf1b3ad30eep-6, 0x1.d599dec8c7273p-6, 0x1.cc9aa985c8b25p-6, 0x1.c3c107c79cc0cp-6, 0x1.bb0c862142524p-6, 0x1.b27cb16c686d2p-6, 0x1.aa1116d29f401p-6, 0x1.a1c943d6314d5p-6, 0x1.99a4c65ab7a03p-6, 0x1.91a32cad5c61dp-6, 0x1.89c4058cd4f2fp-6, 0x1.8206e031143fp-6, 0x1.7a6b4c52b2782p-6, 0x1.72f0da320ba3fp-6, 0x1.6b971a9e1ed3ap-6, 0x1.645d9efb22108p-6, 0x1.5d43f948d36edp-6, 0x1.5649bc2888af4p-6, 0x1.4f6e7ae2fb52bp-6, 0x1.48b1c96dd3f07p-6, 0x1.42133c70f6ebfp-6, 0x1.3b92694b8f04fp-6, 0x1.352ee618dd7f8p-6, 0x1.2ee849b4cc5f5p-6, 0x1.28be2bc044d34p-6, 0x1.22b024a54b384p-6, 0x1.1cbdcd9ae169p-6, 0x1.16e6c0a8b3928p-6, 0x1.112a98aa8aa05p-6, 0x1.0b88f1538b4aep-6, 0x1.06016731432f4p-6, 0x1.009397ae7acafp-6, 0x1.f67e422bc01ecp-7, 0x1.ec074528efebep-7, 0x1.e1c17877cd1f6p-7, 0x1.d7ac1e09076c4p-7, 0x1.cdc6799e9210bp-7, 0x1.c40fd0cf1be3ep-7, 0x1.ba876b093f9cfp-7, 0x1.b12c919654665p-7, 0x1.a7fe8f9cfae37p-7, 0x1.9efcb22355c52p-7, 0x1.96264810fbff8p-7, 0x1.8d7aa2309c2fbp-7, 0x1.84f9133160accp-7, 0x1.7ca0efa80ea29p-7, 0x1.74718e0fdecep-7, 0x1.6c6a46cb1dedcp-7, 0x1.648a742389a57p-7, 0x1.5cd1724a7ab62p-7, 0x1.553e9f58cfe23p-7, 0x1.4dd15b4ea1ed9p-7, 0x1.46890812cbd96p-7, 0x1.3f65097238274p-7, 0x1.3864c51f00cb9p-7, 0x1.3187a2af625e8p-7, 0x1.2acd0b9c80db5p-7, 0x1.24346b41041fep-7, 0x1.1dbd2ed788eecp-7, 0x1.1766c578ee0e7p-7, 0x1.117e6fd9c52cbp-7, 0x1.0b68426cfde06p-7, 0x1.05713aaf2e93dp-7, 0x1.ff319e252aa51p-8, 0x1.f3bcefbac156dp-8, 0x1.e8835e4e8d64fp-8, 0x1.dd83e1adff719p-8, 0x1.d2bd753f4d663p-8, 0x1.c82f17fbfaad4p-8, 0x1.bdd7cc6b3121dp-8, 0x1.b3b6989be94ep-8, 0x1.a9ca861ee62f5p-8, 0x1.a012a2008482ap-8, 0x1.968dfcc264585p-8, 0x1.8d3baa54ea67dp-8, 0x1.841ac2109c3cp-8, 0x1.7b2a5eaf5c48ap-8, 0x1.72699e4584393p-8, 0x1.69d7a23ae1b1bp-8, 0x1.61738f4395c8fp-8, 0x1.593c8d58da0e2p-8, 0x1.5131c7b1ad111p-8, 0x1.49526cbb65051p-8, 0x1.419dae1230f03p-8, 0x1.3a12c0797f657p-8, 0x1.32b0dbd458942p-8, 0x1.2b773b1da2aa9p-8, 0x1.24651c6057063p-8, 0x1.1d79c0afa9084p-8, 0x1.16b46c1f1fb03p-8, 0x1.101465baa122bp-8, 0x1.0998f77e75778p-8, 0x1.03416e4f3d6c2p-8, 0x1.fa1a33e3c38b9p-9, 0x1.edf69a06f2415p-9, 0x1.e216b9e254bdep-9, 0x1.d67943e0095b3p-9, 0x1.cb1cede9afa25p-9, 0x1.c00073580ad25p-9, 0x1.b52294e2a0762p-9, 0x1.aa82188f56fa7p-9, 0x1.a01dc9a20ea2dp-9, 0x1.95f4788c3c2e8p-9, 0x1.8c04fadc85be3p-9, 0x1.824e2b2e643abp-9, 0x1.78cee919ca5c7p-9, 0x1.6f861922cfa3fp-9, 0x1.6672a4a969f58p-9, 0x1.5d9379d92c459p-9, 0x1.54e78b991628fp-9, 0x1.4c6dd17b6f36bp-9, 0x1.442547adafeep-9, 0x1.3c0ceee87e4ecp-9, 0x1.3423cc5fbbe6bp-9, 0x1.2c68e9b2a9d29p-9, 0x1.24db54dc1ad24p-9, 0x1.1d7a2022c723bp-9, 0x1.16446209ade11p-9, 0x1.0f39354094346p-9, 0x1.0857b894a2618p-9, 0x1.019f0ee11514bp-9, 0x1.f61cbe0020ee6p-10, 0x1.e949a7772235ap-10, 0x1.dcc3377cf2158p-10, 0x1.d087d30b7d46ap-10, 0x1.c495e6a37a61fp-10, 0x1.b8ebe62f4b4adp-10, 0x1.ad884ce61da72p-10, 0x1.a2699d2f62083p-10, 0x1.978e60867ec08p-10, 0x1.8cf5275ec7676p-10, 0x1.829c8907cb0ep-10, 0x1.78832391e9639p-10, 0x1.6ea79bb32b66bp-10, 0x1.65089cac7629ap-10, 0x1.5ba4d82f0004p-10, 0x1.527b06421c761p-10, 0x1.4989e5294cba5p-10, 0x1.40d0394aa9491p-10, 0x1.384ccd15948b2p-10, 0x1.2ffe70e9bc5cap-10, 0x1.27e3fafe6a5fep-10, 0x1.1ffc474a2b02p-10, 0x1.1846376ab6edp-10, 0x1.10c0b28d368cep-10, 0x1.096aa556cb621p-10, 0x1.024301cd69d5p-10, 0x1.f6917e82121d6p-11, 0x1.e8f5b46a2380ep-11, 0x1.dbb0a8944909ap-11, 0x1.cec068504a4fdp-11, 0x1.c2230ad1361bdp-11, 0x1.b5d6b1029be52p-11, 0x1.a9d9855e73d6p-11, 0x1.9e29bbc38e5d3p-11, 0x1.92c5914c9417p-11, 0x1.87ab4c279b753p-11, 0x1.7cd93b6e41e82p-11, 0x1.724db6fe61c15p-11, 0x1.68071f5346303p-11, 0x1.5e03dd5f6c6ecp-11, 0x1.54426266cfa3fp-11, 0x1.4ac127d9b6077p-11, 0x1.417eaf300b35p-11, 0x1.387981c533a5ep-11, 0x1.2fb030b46a6c4p-11, 0x1.272154b598885p-11, 0x1.1ecb8dfab0de8p-11, 0x1.16ad840d858ccp-11, 0x1.0ec5e5ae198cep-11, 0x1.071368b16cd63p-11, 0x1.ff2993c187565p-12, 0x1.f09199b2c0982p-12, 0x1.e25c77d9725e6p-12, 0x1.d487d0023a395p-12, 0x1.c71150e5b1899p-12, 0x1.b9f6b5eb6d449p-12, 0x1.ad35c6ee1565fp-12, 0x1.a0cc58002d5e2p-12, 0x1.94b84931e95fp-12, 0x1.88f78657b7599p-12, 0x1.7d8806d1b4dfap-12, 0x1.7267cd53fda4fp-12, 0x1.6794e7afbd74fp-12, 0x1.5d0d6e9d3473fp-12, 0x1.52cf85867406p-12, 0x1.48d95a52f695cp-12, 0x1.3f292533f9761p-12, 0x1.35bd2871b624cp-12, 0x1.2c93b03959274p-12, 0x1.23ab126bc4eacp-12, 0x1.1b01ae6d1c263p-12, 0x1.1295ecf5117f5p-12, 0x1.0a663fdffce38p-12, 0x1.02712200b4ca6p-12, 0x1.f56a2de644b9cp-13, 0x1.e66155df2cbe2p-13, 0x1.d7c4e53dd51e6p-13, 0x1.c99215de8de8p-13, 0x1.bbc631d37b135p-13, 0x1.ae5e9310f7ce2p-13, 0x1.a158a31bb153dp-13, 0x1.94b1dab7fa517p-13, 0x1.8867c19aac692p-13, 0x1.7c77ee1b4edd4p-13, 0x1.70e004e7ada19p-13, 0x1.659db8b8d34e1p-13, 0x1.5aaeca093e526p-13, 0x1.501106cca360fp-13, 0x1.45c24a28cd614p-13, 0x1.3bc07c2fdd90fp-13, 0x1.3209919bd634cp-13, 0x1.289b8b8b745b6p-13, 0x1.1f7477402e5bdp-13, 0x1.16926ddd7f982p-13, 0x1.0df394296e9a1p-13, 0x1.05961a4e37051p-13, 0x1.faf0773a49c07p-14, 0x1.eb307ca5306cfp-14, 0x1.dbe8e6b6557e5p-14, 0x1.cd166c33b911ap-14, 0x1.beb5d85f0b9adp-14, 0x1.b0c40a86504ddp-14, 0x1.a33df596af3dbp-14, 0x1.96209fb17acabp-14, 0x1.896921c329816p-14, 0x1.7d14a71c007f9p-14, 0x1.71206d0aea7f5p-14, 0x1.6589c27a2b2e5p-14, 0x1.5a4e078db417fp-14, 0x1.4f6aad4392c0cp-14, 0x1.44dd3515c3fa9p-14, 0x1.3aa3309dde4ccp-14, 0x1.30ba413aaea3fp-14, 0x1.272017b6fc9edp-14, 0x1.1dd273f23db6ap-14, 0x1.14cf248ac02f1p-14, 0x1.0c14068946f57p-14, 0x1.039f050e78f99p-14, 0x1.f6dc3202d994bp-15, 0x1.e6fe917fa7f17p-15, 0x1.d7a14f9fb0875p-15, 0x1.c8c0ad2561632p-15, 0x1.ba5903f2dc97ap-15, 0x1.ac66c675390bbp-15, 0x1.9ee67f12fcb34p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.cdcd1221c25c7p-2, -0x1.e861407c7d342p-2, -0x1.fca0df3842f59p-2, -0x1.05a1b0d137e9bp-1, -0x1.0a8141b37b857p-1, -0x1.0d4a1be7c753ep-1, -0x1.0e530b20a9eafp-1, -0x1.0ded04baabddp-1, -0x1.0c622f6b4fecep-1, -0x1.09f56c48a418ep-1, -0x1.06e22c41cb88bp-1, -0x1.035c872f6d791p-1, -0x1.ff2312c48eefep-2, -0x1.f74f3c945b863p-2, -0x1.ef7e0cbc41c7bp-2, -0x1.e7e4a8da3a6fbp-2, -0x1.e0adef3353424p-2, -0x1.d9fb9f17ed26ep-2, -0x1.d3e772a2df159p-2, -0x1.ce8415fea6b7p-2, -0x1.c9de0b15a1657p-2, -0x1.c5fc8921ff33ap-2, -0x1.c2e2250b039b9p-2, -0x1.c08df58236cbp-2, -0x1.befbe311a4f5p-2, -0x1.be2554268cea6p-2, -0x1.be01b06169a57p-2, -0x1.be86d354ae62ep-2, -0x1.bfa96ff415c28p-2, -0x1.c15d668b61276p-2, -0x1.c3960ed1a5ccap-2, -0x1.c64676d9e2292p-2, -0x1.c96197a1f37aap-2, -0x1.ccda80d56da3cp-2, -0x1.d0a47d86ffcc4p-2, -0x1.d4b332aff8b8cp-2, -0x1.d8fab76ce56fdp-2, -0x1.dd6fa72bf2a05p-2, -0x1.e2072ecbf385bp-2, -0x1.e6b715f2011b5p-2, -0x1.eb75c566a2392p-2, -0x1.f03a4ab813283p-2, -0x1.f4fc593c66b93p-2, -0x1.f9b448d267ac9p-2, -0x1.fe5b1301e4834p-2, -0x1.0175278790b35p-1, -0x1.03ae16a4475fcp-1, -0x1.05d5b8c7ccaccp-1, -0x1.07e9b6886e4ddp-1, -0x1.09e7fba4606cep-1, -0x1.0bceb3517147dp-1, -0x1.0d9c448a0659fp-1, -0x1.0f4f4e7b0ebcp-1, -0x1.10e6a51f0132p-1, -0x1.12614dfd0e397p-1, -0x1.13be7cfab9f0cp-1, -0x1.14fd9131f1018p-1, -0x1.161e11c8e289cp-1, -0x1.171faad3e27b9p-1, -0x1.18022a4ef6f48p-1, -0x1.18c57d3b5336cp-1, -0x1.1969ace721edap-1, -0x1.19eedc5f6f734p-1, -0x1.1a550c522a7b7p-1, -0x1.1a9d0cd8de935p-1, -0x1.1ac6fd012f21cp-1, -0x1.1ad34e4bf0609p-1, -0x1.1ac280f624828p-1, -0x1.1a952248a58a9p-1, -0x1.1a4bcb050b4abp-1, -0x1.19e71dee2ad95p-1, -0x1.1967c66aedfcep-1, -0x1.18ce7742518e3p-1, -0x1.181be96f521c2p-1, -0x1.1750db0b65e0bp-1, -0x1.166e0e4dfe5cp-1, -0x1.1574489f897f8p-1, -0x1.146451be7de52p-1, -0x1.133ef2f53edf3p-1, -0x1.1204f65fe286ap-1, -0x1.10b7264131fe7p-1, -0x1.0f564c66723c4p-1, -0x1.0de33199aa58fp-1, -0x1.0c5e9d22365fep-1, -0x1.0ac954536cff7p-1, -0x1.09241a290e6fap-1, -0x1.076faef1083b4p-1, -0x1.05acd001e4d0ap-1, -0x1.03dc377cfdc0fp-1, -0x1.01fe9c1b584ep-1, -0x1.0014b103e0725p-1, -0x1.fc3e4b535c628p-2, -0x1.f83d4b61ef894p-2, -0x1.f427b1b2f9216p-2, -0x1.effec5daa4f4p-2, -0x1.ebc3c76679948p-2, -0x1.e777edc7d8a96p-2, -0x1.e31c684363c52p-2, -0x1.deb25de4c4826p-2, -0x1.da3aed7676b07p-2, -0x1.d5b72d7d74e5ap-2, -0x1.d1282c38a2155p-2, -0x1.cc8eefa3e8b03p-2, -0x1.c7ec757ef71d9p-2, -0x1.c341b3578ccccp-2, -0x1.be8f969736e2fp-2, -0x1.b9d704947185cp-2, -0x1.b518daa7038acp-2, -0x1.b055ee3f84459p-2, -0x1.ab8f0d01ea07ep-2, -0x1.a6c4fce301a93p-2, -0x1.a1f87c48b2efbp-2, -0x1.9d2a422ceb278p-2, -0x1.985afe4307a3fp-2, -0x1.938b591f911c6p-2, -0x1.8ebbf4620cf4fp-2, -0x1.89ed6ae0ad7a5p-2, -0x1.852050d58d7f4p-2, -0x1.8055340d2984cp-2, -0x1.7b8c9c15be04fp-2, -0x1.76c70a6f24d92p-2, -0x1.7204fabad8e2cp-2, -0x1.6d46e2ebbc924p-2, -0x1.688d3375502ccp-2, -0x1.63d8577a0c9b6p-2, -0x1.5f28b4f8a05a9p-2, -0x1.5a7eacf7e6849p-2, -0x1.55da9bb17294cp-2, -0x1.513cd8baa3411p-2, -0x1.4ca5b72c38e5p-2, -0x1.481585c8784a6p-2, -0x1.438c8f1fe30bdp-2, -0x1.3f0b19b4a064dp-2, -0x1.3a91681ca4831p-2, -0x1.361fb922b5216p-2, -0x1.31b647e6566b6p-2, -0x1.2d554bfab93bap-2, -0x1.28fcf984b8c79p-2, -0x1.24ad8157f012dp-2, -0x1.20671112fcb8fp-2, -0x1.1c29d33aee9bap-2, -0x1.17f5ef55f59c5p-2, -0x1.13cb8a05554cfp-2, -0x1.0faac51ea7625p-2, -0x1.0b93bfc47c4dfp-2, -0x1.0786967e5e63fp-2, -0x1.038363504d1b6p-2, -0x1.ff155a9407d4dp-3, -0x1.f7376e834f68fp-3, -0x1.ef6de9afaed05p-3, -0x1.e7b8ed969b926p-3, -0x1.e01897a5420fcp-3, -0x1.d88d016101112p-3, -0x1.d116408eb4fdp-3, -0x1.c9b46758d71c3p-3, -0x1.c26784748df1bp-3, -0x1.bb2fa345a41a1p-3, -0x1.b40ccc0184799p-3, -0x1.acff03d142c43p-3, -0x1.a6064cf2a24b8p-3, -0x1.9f22a6d840046p-3, -0x1.98540e48cf0e7p-3, -0x1.919a7d7d6ec5fp-3, -0x1.8af5ec3f232c6p-3, -0x1.84665003724bap-3, -0x1.7deb9c081ea83p-3, -0x1.7785c16e0b13ep-3, -0x1.7134af53445b9p-3, -0x1.6af852ec3292ep-3, -0x1.64d0979bf03b4p-3, -0x1.5ebd670bd2b57p-3, -0x1.58bea9421b327p-3, -0x1.52d444b7d1e4ep-3, -0x1.4cfe1e6ddc2bp-3, -0x1.473c1a013c181p-3, -0x1.418e19be911ep-3, -0x1.3bf3feb4cae2dp-3, -0x1.366da8c72601dp-3, -0x1.30faf6be64a5ap-3, -0x1.2b9bc65958f8ep-3, -0x1.264ff45cbec9p-3, -0x1.21175ca267e17p-3, -0x1.1bf1da27c930bp-3, -0x1.16df471bec3cap-3, -0x1.11df7cecccd0cp-3, -0x1.0cf254541e801p-3, -0x1.0817a56399a59p-3, -0x1.034f4790b741ap-3, -0x1.fd32237fff8b5p-4, -0x1.f3e9b49fad9e8p-4, -0x1.eac4ee45d34d9p-4, -0x1.e1c37b54436f3p-4, -0x1.d8e505dc7fe5cp-4, -0x1.d02937322b5e2p-4, -0x1.c78fb7fcc5da7p-4, -0x1.bf183048be982p-4, -0x1.b6c24797dd13dp-4, -0x1.ae8da4f11f124p-4, -0x1.a679eeefe87fep-4, -0x1.9e86cbd2bd724p-4, -0x1.96b3e18965bfap-4, -0x1.8f00d5c28ae36p-4, -0x1.876d4df8e4c3cp-4, -0x1.7ff8ef7fe0981p-4, -0x1.78a35f8fd70ap-4, -0x1.716c4351cf1cep-4, -0x1.6a533fead42f5p-4, -0x1.6357fa86dd289p-4, -0x1.5c7a18634f04bp-4, -0x1.55b93ed9162ddp-4, -0x1.4f1513665e054p-4, -0x1.488d3bb7e66efp-4, -0x1.42215db1fb6ccp-4, -0x1.3bd11f790cd81p-4, -0x1.359c2779ee806p-4, -0x1.2f821c71bbed5p-4, -0x1.2982a57565932p-4, -0x1.239d69f8e8882p-4, -0x1.1dd211d63113fp-4, -0x1.18204553abcbap-4, -0x1.1287ad2a84b3p-4, -0x1.0d07f28c997dp-4, -0x1.07a0bf2a1c74dp-4, -0x1.0251bd36edb15p-4, -0x1.fa352edf557dep-5, -0x1.eff5f23cee6ecp-5, -0x1.e5e51c3efdf56p-5, -0x1.dc0205ca6efc6p-5, -0x1.d24c08f8ba671p-5, -0x1.c8c2811f68d66p-5, -0x1.bf64cad7183aep-5, -0x1.b63244020e58fp-5, -0x1.ad2a4bd2556f1p-5, -0x1.a44c42cf72d2ep-5, -0x1.9b978adbb0223p-5, -0x1.930b873900e18p-5, -0x1.8aa79c8d88c0fp-5, -0x1.826b30e7c4fe6p-5, -0x1.7a55abc25cc2fp-5, -0x1.726676079b4d8p-5, -0x1.6a9cfa149c5abp-5, -0x1.62f8a3bc26384p-5, -0x1.5b78e0493bb7dp-5, -0x1.541d1e8165a6bp-5, -0x1.4ce4cea6b9c5ep-5, -0x1.45cf62799c722p-5, -0x1.3edc4d3a478a3p-5, -0x1.380b03aa130dap-5, -0x1.315afc0c8462bp-5, -0x1.2acbae28287acp-5, -0x1.245c9347365f9p-5, -0x1.1e0d2638034f4p-5, -0x1.17dce34d431f1p-5, -0x1.11cb485e1c49dp-5, -0x1.0bd7d4c6116b5p-5, -0x1.06020964bcfe1p-5, -0x1.0049689d69365p-5, -0x1.f55aecacfb478p-6, -0x1.ea5b6ff197828p-6, -0x1.df9368dd68373p-6, -0x1.d501e8465c8a3p-6, -0x1.caa602015be7p-6, -0x1.c07eccdfd19bap-6, -0x1.b68b62ad05c97p-6, -0x1.accae02b3430fp-6, -0x1.a33c65107106ep-6, -0x1.99df14035ea4p-6, -0x1.90b21297ab9d2p-6, -0x1.87b4894a626a5p-6, -0x1.7ee5a37e10f1p-6, -0x1.76448f76be189p-6, -0x1.6dd07e55b7f69p-6, -0x1.6588a41540344p-6, -0x1.5d6c378405c94p-6, -0x1.557a72408615bp-6, -0x1.4db290b4452cp-6, -0x1.4613d20ee66fbp-6, -0x1.3e9d784122b9bp-6, -0x1.374ec7f7a5272p-6, -0x1.30270895c4b91p-6, -0x1.2925843028d7cp-6, -0x1.224987874cc37p-6, -0x1.1b926201f16d4p-6, -0x1.14ff65a7710ep-6, -0x1.0e8fe71a01258p-6, -0x1.08433d90df5d4p-6, -0x1.0218c2d26732dp-6, -0x1.f81fa65c31b5ap-7, -0x1.ec4f9aed1fe9bp-7, -0x1.e0c025f6cd162p-7, -0x1.d5700f0618376p-7, -0x1.ca5e22891e87p-7, -0x1.bf8931c2b2ab5p-7, -0x1.b4f012bdc46b6p-7, -0x1.aa91a040af0e4p-7, -0x1.a06cb9c076d6ap-7, -0x1.96804353f2ca6p-7, -0x1.8ccb25a6f94a8p-7, -0x1.834c4ded66ac1p-7, -0x1.7a02add634b37p-7, -0x1.70ed3b7e78bb4p-7, -0x1.680af1645da25p-7, -0x1.5f5ace5a28fb8p-7, -0x1.56dbd57924182p-7, -0x1.4e8d0e149cff3p-7, -0x1.466d83acda962p-7, -0x1.3e7c45e210ed5p-7, -0x1.36b868676507fp-7, -0x1.2f2102f5ebdabp-7, -0x1.27b5313fb3b52p-7, -0x1.207412e2d4b38p-7, -0x1.195ccb5c8b0bbp-7, -0x1.126e81fc5b0f7p-7, -0x1.0ba861d74100fp-7, -0x1.052b59431ebebp-7, -0x1.fd664be09dff9p-8, -0x1.f0c1618abfdddp-8, -0x1.e46666dbdd7f6p-8, -0x1.d853d6374d51ap-8, -0x1.cc8830f3ad3b1p-8, -0x1.c101ff42301dbp-8, -0x1.b5bfd01614721p-8, -0x1.aac0390c3ea0dp-8, -0x1.a001d652ff8e5p-8, -0x1.95834a9201b53p-8, -0x1.8b433ed264b2fp-8, -0x1.8140626701ed1p-8, -0x1.77796ad4e0c75p-8, -0x1.6ded13bbd903fp-8, -0x1.649a1ebf634d6p-8, -0x1.5b7f536f9bd99p-8, -0x1.529b7f3275302p-8, -0x1.49ed752d1cc1ap-8, -0x1.41740e2d92724p-8, -0x1.392e289474367p-8, -0x1.311aa83efd325p-8, -0x1.293876713933fp-8, -0x1.218681c06da87p-8, -0x1.1a03bdfdb92c1p-8, -0x1.12af2420e72d4p-8, -0x1.0b87b2337c6b1p-8, -0x1.048c6b3bf8a6cp-8, -0x1.fb78ae52a1d15p-9, -0x1.ee2d057d40c0fp-9, -0x1.e133fefe20e14p-9, -0x1.d48bc733f71bap-9, -0x1.c83293ae87d25p-9, -0x1.bc26a307cf7dcp-9, -0x1.b0663cbd91beep-9, -0x1.a4efb10b5ea9fp-9, -0x1.99c158c50db8fp-9, -0x1.8ed995319ea35p-9, -0x1.8436cfe694ee8p-9, -0x1.79d77aa3c3855p-9, -0x1.6fba0f2f83d5cp-9, -0x1.65dd0f336446dp-9, -0x1.5c3f041946b57p-9, -0x1.52de7ee8ea776p-9, -0x1.49ba1825ed266p-9, -0x1.40d06fae3a52p-9, -0x1.38202c98e6278p-9, -0x1.2fa7fd157dc1ap-9, -0x1.2766964bc80fap-9, -0x1.1f5ab43bea603p-9, -0x1.1783199f0b96fp-9, -0x1.0fde8fc857153p-9, -0x1.086be68676fafp-9, -0x1.0129f40575fd6p-9, -0x1.f42f296222887p-10, -0x1.e667562ee4d89p-10, -0x1.d8fa3f98b8c32p-10, -0x1.cbe5c2996d999p-10, -0x1.bf27c7c52753ap-10, -0x1.b2be43131f014p-10, -0x1.a6a733a74e8dp-10, -0x1.9ae0a39cd523bp-10, -0x1.8f68a7d1402b7p-10, -0x1.843d5fb09701fp-10, -0x1.795cf5023164ap-10, -0x1.6ec59bb66063dp-10, -0x1.647591b4da1dbp-10, -0x1.5a6b1eabede2p-10, -0x1.50a493e081dfcp-10, -0x1.47204bfecdf8dp-10, -0x1.3ddcaaebe01fp-10, -0x1.34d81d97ddd83p-10, -0x1.2c1119d0ff88p-10, -0x1.23861e174e819p-10, -0x1.1b35b1711f1fep-10, -0x1.131e63403de24p-10, -0x1.0b3ecb17d2eefp-10, -0x1.039588930007dp-10, -0x1.f842865856a64p-11, -0x1.e9c15429fc57ap-11, -0x1.dba4e81e206abp-11, -0x1.cdeabe8a7d655p-11, -0x1.c090624b5ee73p-11, -0x1.b3936c78f24ep-11, -0x1.a6f1841de6a59p-11, -0x1.9aa85def5400fp-11, -0x1.8eb5bc05dc466p-11, -0x1.83176d981a9a6p-11, -0x1.77cb4eb63fdaap-11, -0x1.6ccf4806e612ap-11, -0x1.62214e8519c95p-11, -0x1.57bf633f8a847p-11, -0x1.4da79318ea63dp-11, -0x1.43d7f68968c97p-11, -0x1.3a4eb16154e51p-11, -0x1.3109f28cd48aap-11, -0x1.2807f3d8bf8bdp-11, -0x1.1f46f9b874911p-11, -0x1.16c5530cd9e2fp-11, -0x1.0e8158ec55738p-11, -0x1.06796e6bd1512p-11, -0x1.fd5800d1861d8p-12, -0x1.ee2f0aa8649a2p-12, -0x1.df74f9fd68f82p-12, -0x1.d126e0caca141p-12, -0x1.c341e2ff99e0dp-12, -0x1.b5c3361d7422ap-12, -0x1.a8a820d803cb8p-12, -0x1.9bedfab64e4d3p-12, -0x1.8f922bb5d3bf2p-12, -0x1.83922bef661d3p-12, -0x1.77eb833db647ap-12, -0x1.6c9bc8e59acf7p-12, -0x1.61a0a33ffa801p-12, -0x1.56f7c7655dcb8p-12, -0x1.4c9ef8db1a0afp-12, -0x1.429409421692fp-12, -0x1.38d4d807230dp-12, -0x1.2f5f5214c6c48p-12, -0x1.26317186aebc2p-12, -0x1.1d493d5e80e57p-12, -0x1.14a4c93a2e273p-12, -0x1.0c42350bb1a15p-12, -0x1.041facd2454a3p-12, -0x1.f876d0a9c7a0ap-13, -0x1.e92755bc8e12cp-13, -0x1.da4d85f44090bp-13, -0x1.cbe614677db01p-13, -0x1.bdedc9abe61fbp-13, -0x1.b06183587c733p-13, -0x1.a33e338a910d8p-13, -0x1.9680e06d1f252p-13, -0x1.8a26a3c299145p-13, -0x1.7e2caa712fabbp-13, -0x1.7290341166966p-13, -0x1.674e927ee84e2p-13, -0x1.5c65296bc3f3dp-13, -0x1.51d16df5d17f4p-13, -0x1.4790e63e5d997p-13, -0x1.3da12903ee4b2p-13, -0x1.33ffdd3e30b6p-13, -0x1.2aaab9bc0a71ap-13, -0x1.219f84c3a4354p-13, -0x1.18dc13b4900aap-13, -0x1.105e4aabd5e3cp-13, -0x1.08241c2a0a9b9p-13, -0x1.002b88bb47f2dp-13, -0x1.f0e53d4212462p-14, -0x1.e1eef2fbacd5p-14, -0x1.d3708405a6c06p-14, -0x1.c5665b3e0d46bp-14, -0x1.b7ccfc60f3089p-14, -0x1.aaa1036db25f8p-14, -0x1.9ddf24102e8fep-14, -0x1.9184290cc9fe2p-14, -0x1.858cf3b003e1bp-14, -0x1.79f67b4108684p-14, -0x1.6ebdcc77767d2p-14, -0x1.63e008f4235a2p-14, -0x1.595a66bcf85b3p-14, -0x1.4f2a2fbb9f0c5p-14, -0x1.454cc13f1a14cp-14, -0x1.3bbf8b80291efp-14, -0x1.3280112880c09p-14, -0x1.298be6dc88ec2p-14, -0x1.20e0b2c7daaa7p-14, -0x1.187c2c2c74a4fp-14, -0x1.105c1af423b84p-14, -0x1.087e5744b035cp-14, -0x1.00e0c91631d9p-14, -0x1.f302cf983f324p-15, -0x1.e4bc73a09403cp-15, -0x1.d6eaa860cf98ep-15, -0x1.c989b47b4ef6p-15, -0x1.bc95fa5cfa8bfp-15, -0x1.b00bf78539eb8p-15, -0x1.a3e843d23b5b5p-15, -0x1.982790d0a2f79p-15, -0x1.8cc6a9100046ap-15, -0x1.81c26f7a9e5e2p-15, -0x1.7717deb197b51p-15, -0x1.6cc4086c5ca9dp-15, -0x1.62c414dbf8662p-15, -0x1.59154211f357ap-15, -0x1.4fb4e36ae8da8p-15, -0x1.46a060fc53ca4p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.8a5296d8a238cp-2, 0x1.8dae6a7291ab5p-2, 0x1.90fb6f2bcf2cep-2, 0x1.9431e28808698p-2, 0x1.974a4cef6ffbcp-2, 0x1.9a3d919a05e93p-2, 0x1.9d04fb50fc4b3p-2, 0x1.9f9a46496bf9ep-2, 0x1.a1f7a76045a58p-2, 0x1.a417d100c57a3p-2, 0x1.a5f5f5fd88bd9p-2, 0x1.a78dcaa18a542p-2, 0x1.a8db843a33ecap-2, 0x1.a9dbd756e6f3fp-2, 0x1.aa8bf4f530afap-2, 0x1.aae986cb7b624p-2, 0x1.aaf2aaded7921p-2, 0x1.aaa5ee8b4d278p-2, 0x1.aa024921582cfp-2, 0x1.a9071636bc26cp-2, 0x1.a7b40fc4aee6ep-2, 0x1.a6094829a07b5p-2, 0x1.a407242184c12p-2, 0x1.a1ae54c47fb78p-2, 0x1.9effd19920902p-2, 0x1.9bfcd2c50da53p-2, 0x1.98a6cb64dcdc4p-2, 0x1.94ff64121a6cdp-2, 0x1.9108759ce7ddbp-2, 0x1.8cc403fd48a31p-2, 0x1.8834397f07275p-2, 0x1.835b622a2ab3cp-2, 0x1.7e3be76916608p-2, 0x1.78d84becbccc1p-2, 0x1.733327ceb91b6p-2, 0x1.6d4f24f0a7739p-2, 0x1.672efb97a373dp-2, 0x1.60d56f428febap-2, 0x1.5a454bb974d5ap-2, 0x1.538162541bae4p-2, 0x1.4c8c8775dec87p-2, 0x1.4569903c8810ep-2, 0x1.3e1b5060006d6p-2, 0x1.36a498408b2dfp-2, 0x1.2f0833213a0f6p-2, 0x1.2748e58c4e3ccp-2, 0x1.1f696bdf302c4p-2, 0x1.176c78fbc5ad1p-2, 0x1.0f54b51cde871p-2, 0x1.0724bccb933ccp-2, 0x1.fdbe3fe6f1132p-3, 0x1.ed0cc22726e35p-3, 0x1.dc39e91449a89p-3, 0x1.cb4a7ff2ae3e2p-3, 0x1.ba4333861db63p-3, 0x1.a92891342ce02p-3, 0x1.97ff064e18318p-3, 0x1.86cadf7ef127ap-3, 0x1.7590485b3ce64p-3, 0x1.64534b0f31e98p-3, 0x1.5317d028f4c6fp-3, 0x1.41e19e7c699f6p-3, 0x1.30b45b1e3a722p-3, 0x1.1f938973faa37p-3, 0x1.0e828b575a956p-3, 0x1.fb09429524312p-4, 0x1.d939d5787eb07p-4, 0x1.b79cccb230e2cp-4, 0x1.9637e4d4041bfp-4, 0x1.75109a7a22177p-4, 0x1.542c2b308b099p-4, 0x1.338f96698d682p-4, 0x1.133f9e831f1bfp-4, 0x1.e68193b23c52p-5, 0x1.a72ec7c54a09fp-5, 0x1.688efcb19cad8p-5, 0x1.2aa9e4cac323dp-5, 0x1.db0d87602a172p-6, 0x1.6258e183616ddp-6, 0x1.d68566772468bp-7, 0x1.d75c2521647e4p-8, 0x1.10937e2c3fefep-13, -0x1.bf51d2b66a411p-8, -0x1.c00013f5e3076p-7, -0x1.4e58935a4252ap-6, -0x1.bad5c04ef8bb6p-6, -0x1.12b7f8310ae75p-5, -0x1.4710170cf2611p-5, -0x1.7a7014fd3b25p-5, -0x1.acd51ac833468p-5, -0x1.de3c9f43a8e1ep-5, -0x1.075232734c847p-4, -0x1.1f053bb0ef7ccp-4, -0x1.363694a02d72dp-4, -0x1.4ce588c77edc9p-4, -0x1.631184c689f76p-4, -0x1.78ba153291c6bp-4, -0x1.8ddee577522edp-4, -0x1.a27fbebc6444ep-4, -0x1.b69c86cf46443p-4, -0x1.ca353f12234f9p-4, -0x1.dd4a036f5e295p-4, -0x1.efdb0951f7dc3p-4, -0x1.00f44f51727e3p-3, -0x1.09b99465a740cp-3, -0x1.123d91dde0e01p-3, -0x1.1a80907c34f1cp-3, -0x1.2282e3551fc86p-3, -0x1.2a44e75a9d81p-3, -0x1.31c702e9c60efp-3, -0x1.3909a55ae299ap-3, -0x1.400d4694087c7p-3, -0x1.46d2669e2a13p-3, -0x1.4d598d3ca37b4p-3, -0x1.53a349873e053p-3, -0x1.59b03186a88e1p-3, -0x1.5f80e1d359589p-3, -0x1.6515fd36e30dep-3, -0x1.6a702c4fa8acdp-3, -0x1.6f901d36f8523p-3, -0x1.74768329816a7p-3, -0x1.7924163220245p-3, -0x1.7d9992d6fd43bp-3, -0x1.81d7b9c8f6e55p-3, -0x1.85df4f954f8f5p-3, -0x1.89b11c599ba4ap-3, -0x1.8d4deb79ec592p-3, -0x1.90b68b59222a9p-3, -0x1.93ebcd13740e1p-3, -0x1.96ee843b12b2fp-3, -0x1.99bf8696eee2fp-3, -0x1.9c5fabe38fa6ap-3, -0x1.9ecfcd95f74cbp-3, -0x1.a110c6a08da6dp-3, -0x1.a323733a0a35cp-3, -0x1.a508b0a65496ap-3, -0x1.a6c15d014b5d1p-3, -0x1.a84e570b7be82p-3, -0x1.a9b07df8afecfp-3, -0x1.aae8b140527a7p-3, -0x1.abf7d06fa3a8fp-3, -0x1.acdebafdadc57p-3, -0x1.ad9e5020f7919p-3, -0x1.ae376ea6ebae4p-3, -0x1.aeaaf4cce7fedp-3, -0x1.aef9c01af423dp-3, -0x1.af24ad4009f15p-3, -0x1.af2c97eff5271p-3, -0x1.af125ac2bb779p-3, -0x1.aed6cf15808c1p-3, -0x1.ae7accece525ep-3, -0x1.adff2ad8cfc45p-3, -0x1.ad64bdd9a092p-3, -0x1.acac5946c1a56p-3, -0x1.abd6ceb684a0bp-3, -0x1.aae4ede759204p-3, -0x1.a9d784aa3c4cep-3, -0x1.a8af5ece689bdp-3, -0x1.a76d460e36c84p-3, -0x1.a61201fd2c816p-3, -0x1.a49e57f728f7fp-3, -0x1.a3130b10af4b7p-3, -0x1.a170dc083fe2ep-3, -0x1.9fb88938c353fp-3, -0x1.9deace8ced578p-3, -0x1.9c0865739fb54p-3, -0x1.9a1204d54298ap-3, -0x1.9808610a051cfp-3, -0x1.95ec2bd0fc64dp-3, -0x1.93be14482bc94p-3, -0x1.917ec6e554b57p-3, -0x1.8f2eed6f9d221p-3, -0x1.8ccf2ef9f6b34p-3, -0x1.8a602fde4d81fp-3, -0x1.87e291b965f08p-3, -0x1.8556f36774187p-3, -0x1.82bdf1015cfb3p-3, -0x1.801823da9b4f1p-3, -0x1.7d66227fc3815p-3, -0x1.7aa880b5a2884p-3, -0x1.77dfcf78ecf69p-3, -0x1.750c9cfe79093p-3, -0x1.722f74b406534p-3, -0x1.6f48df417b47ep-3, -0x1.6c59628aa877dp-3, -0x1.696181b17c656p-3, -0x1.6661bd18aa93ep-3, -0x1.635a9266b7bdep-3, -0x1.604c7c8975c1ep-3, -0x1.5d37f3b9db098p-3, -0x1.5a1d6d80348a3p-3, -0x1.56fd5cb8b7a6bp-3, -0x1.53d831985d125p-3, -0x1.50ae59b212c92p-3, -0x1.4d803ffc32a3ep-3, -0x1.4a4e4cd64492p-3, -0x1.4718e60eff46dp-3, -0x1.43e06eea875acp-3, -0x1.40a54828e7995p-3, -0x1.3d67d00cc6e1ap-3, -0x1.3a28626244babp-3, -0x1.36e75886145bdp-3, -0x1.33a5096cb4bb7p-3, -0x1.3061c9a9dc845p-3, -0x1.2d1deb7806958p-3, -0x1.29d9bec021b24p-3, -0x1.26959121619e7p-3, -0x1.2351adf928dbfp-3, -0x1.200e5e6b10505p-3, -0x1.1ccbe96905c93p-3, -0x1.198a93bb7cf93p-3, -0x1.164aa009b3cf1p-3, -0x1.130c4ee204df8p-3, -0x1.0fcfdec24e0a6p-3, -0x1.0c958c20571fap-3, -0x1.095d91724da0ap-3, -0x1.062827373cfcfp-3, -0x1.02f583ff95c31p-3, -0x1.ff8bb8eb60d64p-4, -0x1.f932c6ccac93dp-4, -0x1.f2e093928dfedp-4, -0x1.ec957d937d8c8p-4, -0x1.e651df9df43f5p-4, -0x1.e01611095fa4fp-4, -0x1.d9e265c714123p-4, -0x1.d3b72e7327ffcp-4, -0x1.cd94b865469b5p-4, -0x1.c77b4dc159e2cp-4, -0x1.c16b35883f4d1p-4, -0x1.bb64b3a840a31p-4, -0x1.b568090d85cf2p-4, -0x1.af7573b26a866p-4, -0x1.a98d2eafa7f79p-4, -0x1.a3af724c695d8p-4, -0x1.9ddc740e3f244p-4, -0x1.981466c8df377p-4, -0x1.92577aadd4c6ap-4, -0x1.8ca5dd5bf8fa3p-4, -0x1.86ffb9eecbcfep-4, -0x1.8165390da183dp-4, -0x1.7bd680faa6484p-4, -0x1.7653b5a1b57acp-4, -0x1.70dcf8a706a0dp-4, -0x1.6b726975aae53p-4, -0x1.6614254ddf4ddp-4, -0x1.60c247532ddd1p-4, -0x1.5b7ce89a60c84p-4, -0x1.56442037454dep-4, -0x1.5118034a3f0b4p-4, -0x1.4bf8a50da8a88p-4, -0x1.46e616e3047d8p-4, -0x1.41e0685ffbc79p-4, -0x1.3ce7a75b2aadep-4, -0x1.37fbdff8bb8aap-4, -0x1.331d1cb6ce7c1p-4, -0x1.2e4b6679aea4dp-4, -0x1.2986c497d5fd3p-4, -0x1.24cf3ce5bc8afp-4, -0x1.2024d3c17656ap-4, -0x1.1b878c1e1d4eap-4, -0x1.16f7678f098dap-4, -0x1.12746652d6ca3p-4, -0x1.0dfe875e36946p-4, -0x1.0995c86690ca8p-4, -0x1.053a25ec7271cp-4, -0x1.00eb9b45c92fbp-4, -0x1.f954454fdc13fp-5, -0x1.f0eb6a62fe1f6p-5, -0x1.e89c95e80d66fp-5, -0x1.e067b5fae6962p-5, -0x1.d84cb6c2bb4efp-5, -0x1.d04b82843f4bap-5, -0x1.c86401b375cd4p-5, -0x1.c0961b0520651p-5, -0x1.b8e1b37fd0da7p-5, -0x1.b146ae8c9b5d9p-5, -0x1.a9c4ee0770c3cp-5, -0x1.a25c524f1910fp-5, -0x1.9b0cba54d7185p-5, -0x1.93d603abb1574p-5, -0x1.8cb80a97627ffp-5, -0x1.85b2aa1af376p-5, -0x1.7ec5bc06ff17ep-5, -0x1.77f119079f7a2p-5, -0x1.713498b207c04p-5, -0x1.6a901191ccae2p-5, -0x1.64035935d8147p-5, -0x1.5d8e443d0dc73p-5, -0x1.5730a6629fa76p-5, -0x1.50ea528a13eadp-5, -0x1.4abb1acafdfc4p-5, -0x1.44a2d07c688b3p-5, -0x1.3ea1443ff8e35p-5, -0x1.38b6460cc319cp-5, -0x1.32e1a539da528p-5, -0x1.2d233088956p-5, -0x1.277ab62e8e6d4p-5, -0x1.21e803df5cfcfp-5, -0x1.1c6ae6d60ba75p-5, -0x1.17032bde4afddp-5, -0x1.11b09f5d613b1p-5, -0x1.0c730d5adaf87p-5, -0x1.074a4188f9bd6p-5, -0x1.0236074ce5b0ep-5, -0x1.fa6c538d44d7fp-6, -0x1.f094e7b188efcp-6, -0x1.e6e5605fdf1c5p-6, -0x1.dd5d52942d259p-6, -0x1.d3fc52fb0cd99p-6, -0x1.cac1f5ff6ad24p-6, -0x1.c1adcfd7bdc99p-6, -0x1.b8bf7492ce0aep-6, -0x1.aff6782415734p-6, -0x1.a7526e6fb74c3p-6, -0x1.9ed2eb561169dp-6, -0x1.967782bef1cddp-6, -0x1.8e3fc8a45ddp-6, -0x1.862b511d090e8p-6, -0x1.7e39b06662d09p-6, -0x1.766a7aee5113cp-6, -0x1.6ebd455c8d4edp-6, -0x1.6731a49baedf1p-6, -0x1.5fc72de1d9471p-6, -0x1.587d76b91f21fp-6, -0x1.515415078f3d3p-6, -0x1.4a4a9f16f011bp-6, -0x1.4360ab9c34de3p-6, -0x1.3c95d1be9d9cap-6, -0x1.35e9a91e94d1fp-6, -0x1.2f5bc9dc3f419p-6, -0x1.28ebcc9dca2fbp-6, -0x1.22994a956e585p-6, -0x1.1c63dd8734f99p-6, -0x1.164b1fce794fbp-6, -0x1.104eac632954ap-6, -0x1.0a6e1edec8925p-6, -0x1.04a913813725p-6, -0x1.fdfe4e6a7872p-7, -0x1.f2dfef29af11dp-7, -0x1.e7f645daaf7fbp-7, -0x1.dd4090867f32cp-7, -0x1.d2be0eabe29b7p-7, -0x1.c86e01464bd6dp-7, -0x1.be4faad46b161p-7, -0x1.b4624f5e55791p-7, -0x1.aaa5347b506dep-7, -0x1.a117a1573ec4cp-7, -0x1.97b8deb7b0e17p-7, -0x1.8e883700a784dp-7, -0x1.8584f638efd8cp-7, -0x1.7cae6a0e3a86ep-7, -0x1.7403e1d8de5d4p-7, -0x1.6b84ae9f4ef3dp-7, -0x1.633023193aa7cp-7, -0x1.5b0593b27754cp-7, -0x1.5304568d8f5a5p-7, -0x1.4b2bc38616563p-7, -0x1.437b3432bd8d3p-7, -0x1.3bf203e71aa42p-7, -0x1.348f8fb53bf6dp-7, -0x1.2d53366ef9ccdp-7, -0x1.263c58a70eb2dp-7, -0x1.1f4a58b1f5484p-7, -0x1.187c9aa690fd8p-7, -0x1.11d2845ea0137p-7, -0x1.0b4b7d76faa85p-7, -0x1.04e6ef4f9fce6p-7, -0x1.fd488a1726b1cp-8, -0x1.f105d7211996fp-8, -0x1.e504a30cf2c9p-8, -0x1.d943ceada7dd3p-8, -0x1.cdc23e57a46aep-8, -0x1.c27ed9ded745fp-8, -0x1.b7788c9470581p-8, -0x1.acae454455dbcp-8, -0x1.a21ef63252a8cp-8, -0x1.97c99517001a4p-8, -0x1.8dad1b1c6d879p-8, -0x1.83c884da89d07p-8, -0x1.7a1ad2534f445p-8, -0x1.70a306eeb7ce6p-8, -0x1.67602976776dep-8, -0x1.5e5144118374p-8, -0x1.5575643f65aeap-8, -0x1.4ccb9ad3604a4p-8, -0x1.4452fbef62f96p-8, -0x1.3c0a9efed5541p-8, -0x1.33f19eb133e56p-8, -0x1.2c0718f48ae27p-8, -0x1.244a2eefc5408p-8, -0x1.1cba04fcdc43dp-8, -0x1.1555c2a2e2302p-8, -0x1.0e1c928feeda2p-8, -0x1.070da292ecb2dp-8, -0x1.00282395488c9p-8, -0x1.f2d6932910175p-9, -0x1.e5ac97378b414p-9, -0x1.d8d0c77a29bc9p-9, -0x1.cc419e15a2463p-9, -0x1.bffd9b21adbc7p-9, -0x1.b403449b53616p-9, -0x1.a851265712c5fp-9, -0x1.9ce5d1f2eacep-9, -0x1.91bfdec8448fp-9, -0x1.86dde9ddc0e7dp-9, -0x1.7c3e95d8ed548p-9, -0x1.71e08aefe11c6p-9, -0x1.67c276dac99d4p-9, -0x1.5de30cc55e616p-9, -0x1.544105404cc39p-9, -0x1.4adb1e328d0f5p-9, -0x1.41b01acab43f4p-9, -0x1.38bec37037a9ep-9, -0x1.3005e5b4a71b2p-9, -0x1.27845444e5cedp-9, -0x1.1f38e6da5af88p-9, -0x1.17227a2c236cp-9, -0x1.0f3fefe03da4ep-9, -0x1.07902e7cbc8eep-9, -0x1.00122158f77ep-9, -0x1.f189711d82f0ap-10, -0x1.e34dd1d74a00bp-10, -0x1.d56f57c447a0ap-10, -0x1.c7ebfef607109p-10, -0x1.bac1cc8d423a8p-10, -0x1.adeece9c9854fp-10, -0x1.a1711c0b6acbep-10, -0x1.9546d478bfcc5p-10, -0x1.896e201e56591p-10, -0x1.7de52fb3c7e27p-10, -0x1.72aa3c51d0262p-10, -0x1.67bb8755ba366p-10, -0x1.5d175a44ebe75p-10, -0x1.52bc06b09d259p-10, -0x1.48a7e619ab727p-10, -0x1.3ed959d4a6cbcp-10, -0x1.354ecaedf7592p-10, -0x1.2c06aa0e3ec4ep-10, -0x1.22ff6f5edebd3p-10, -0x1.1a379a6ea91d3p-10, -0x1.11adb216d043bp-10, -0x1.0960445ff6effp-10, -0x1.014de6677a711p-10, -0x1.f2ea6889eaee8p-11, -0x1.e3a9a1dfd6da7p-11, -0x1.d4d6cc4b62d07p-11, -0x1.c66f489f16379p-11, -0x1.b87084d1fb3ebp-11, -0x1.aad7fbccb7b1ep-11, -0x1.9da3353713ecep-11, -0x1.90cfc545f58c2p-11, -0x1.845b4c89ccbafp-11, -0x1.784377bd77807p-11, -0x1.6c85ff959a5eap-11, -0x1.6120a8906f28cp-11, -0x1.561142c60c8ccp-11, -0x1.4b55a9b925681p-11, -0x1.40ebc42841eebp-11, -0x1.36d183df7318dp-11, -0x1.2d04e58a7f353p-11, -0x1.2383f0878b028p-11, -0x1.1a4cb6ba3dbbp-11, -0x1.115d545f60cp-11, -0x1.08b3efe0fbcbcp-11, -0x1.004eb9aaede31p-11, -0x1.f057d80004b43p-12, -0x1.e093959f0364bp-12, -0x1.d14d471684bf4p-12, -0x1.c28199fc64f21p-12, -0x1.b42d4e46c148p-12, -0x1.a64d35fb037e5p-12, -0x1.98de34dde2ffep-12, -0x1.8bdd4024616dbp-12, -0x1.7f475e25c0a71p-12, -0x1.7319a60e6a367p-12, -0x1.67513f93d7727p-12, -0x1.5beb62a966837p-12, -0x1.50e557362c0ecp-12, -0x1.463c74cbb4edcp-12, -0x1.3bee225dbe3d4p-12, -0x1.31f7d5fadf447p-12, -0x1.28571486244ddp-12, -0x1.1f0971719bcafp-12, -0x1.160c8e79d1b5ap-12, -0x1.0d5e1b623761ap-12, -0x1.04fbd5b27bcc8p-12, -0x1.f9c710e998ap-13, -0x1.ea2617e9fd3bcp-13, -0x1.db108b014e57ep-13, -0x1.cc824e5027048p-13, -0x1.be775f0053896p-13, -0x1.b0ebd2ca5923ap-13, -0x1.a3dbd77cc66ddp-13, -0x1.9743b28540bcp-13, -0x1.8b1fc07b4ca07p-13, -0x1.7f6c74acd6fep-13, -0x1.742658ac71278p-13, -0x1.694a0be1400b8p-13, -0x1.5ed443189bb7bp-13, -0x1.54c1c8195c81dp-13, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.6fca397608957p-2, 0x1.71222f7e782fep-2, 0x1.7281a75b8e934p-2, 0x1.73e6d6226b18p-2, 0x1.754fec1f47689p-2, 0x1.76bb191da7055p-2, 0x1.782690408a1ddp-2, 0x1.79908b6adb29dp-2, 0x1.7af74e3ada067p-2, 0x1.7c59289ce3031p-2, 0x1.7db478fb5b223p-2, 0x1.7f07ae12302e4p-2, 0x1.8051486cf7d5ap-2, 0x1.818fdb96d91c1p-2, 0x1.82c20f0375fd8p-2, 0x1.83e69eb7e318ap-2, 0x1.84fc5bba7c54p-2, 0x1.86022c500d79p-2, 0x1.86f70c0c5e66cp-2, 0x1.87da0bbbd37e5p-2, 0x1.88aa512b56748p-2, 0x1.896716d3592eep-2, 0x1.8a0fab6a4cb31p-2, 0x1.8aa3716289624p-2, 0x1.8b21de5734b38p-2, 0x1.8b8a7a6b5d7edp-2, 0x1.8bdcdf9e272b1p-2, 0x1.8c18b91690da3p-2, 0x1.8c3dc26913e21p-2, 0x1.8c4bc6d919f21p-2, 0x1.8c42a097fa574p-2, 0x1.8c2238030d47p-2, 0x1.8bea82e2171f1p-2, 0x1.8b9b83a731668p-2, 0x1.8b3548b124c47p-2, 0x1.8ab7eb9100e05p-2, 0x1.8a239053a288p-2, 0x1.897864cfb93ebp-2, 0x1.88b69ff8ba98p-2, 0x1.87de813729696p-2, 0x1.86f04fc672c8bp-2, 0x1.85ec5a189c395p-2, 0x1.84d2f53fe635bp-2, 0x1.83a47c5e7ad5ap-2, 0x1.8261501c3866fp-2, 0x1.8109d62296355p-2, 0x1.7f9e789e9c78cp-2, 0x1.7e1fa5c8e075fp-2, 0x1.7c8dcf736e62bp-2, 0x1.7ae96a9d85596p-2, 0x1.7932ef0d03ee6p-2, 0x1.776ad6ed646b4p-2, 0x1.75919e741b631p-2, 0x1.73a7c38a35e1p-2, 0x1.71adc57b065fep-2, 0x1.6fa424a7b3aedp-2, 0x1.6d8b623f7f18dp-2, 0x1.6b63fffc91ep-2, 0x1.692e7fe51f079p-2, 0x1.66eb6410b1d71p-2, 0x1.649b2e717613ap-2, 0x1.623e60a14d82p-2, 0x1.5fd57bb284145p-2, 0x1.5d610003fc0eep-2, 0x1.5ae16d189eaeep-2, 0x1.58574171ed435p-2, 0x1.55c2fa6d8b92bp-2, 0x1.53251425940efp-2, 0x1.507e095397eddp-2, 0x1.4dce533622411p-2, 0x1.4b1669789bbdep-2, 0x1.4856c21d6d58bp-2, 0x1.458fd16a3e13p-2, 0x1.42c209d6343e1p-2, 0x1.3feddbfa129acp-2, 0x1.3d13b6821d8dfp-2, 0x1.3a340621a4c8bp-2, 0x1.374f358822e0fp-2, 0x1.3465ad57cbb66p-2, 0x1.3177d41d7f155p-2, 0x1.2e860e4a029p-2, 0x1.2b90be2c6e547p-2, 0x1.289843edbb65ep-2, 0x1.259cfd8d5b0a7p-2, 0x1.229f46dece2fbp-2, 0x1.1f9f798821829p-2, 0x1.1c9ded0147a0bp-2, 0x1.199af69438529p-2, 0x1.1696e95dd3ec3p-2, 0x1.1392164f6d5e1p-2, 0x1.108ccc30fbd67p-2, 0x1.0d8757a3e0998p-2, 0x1.0a8203263763ap-2, 0x1.077d1716a6568p-2, 0x1.0478d9b8a82a4p-2, 0x1.01758f393bf71p-2, 0x1.fce6f367fc371p-3, 0x1.f6e5b271393c2p-3, 0x1.f0e7d7a13813dp-3, 0x1.eaeddb0ad2878p-3, 0x1.e4f830cd67deap-3, 0x1.df0749220788bp-3, 0x1.d91b90690e203p-3, 0x1.d3356f382bfb6p-3, 0x1.cd554a68c4942p-3, 0x1.c77b83269b578p-3, 0x1.c1a876fecddd7p-3, 0x1.bbdc7fef074cfp-3, 0x1.b617f474ec0bdp-3, 0x1.b05b279db0884p-3, 0x1.aaa66915dcdebp-3, 0x1.a4fa0539275e1p-3, 0x1.9f564522715a4p-3, 0x1.99bb6ebbcbe97p-3, 0x1.9429c4ce97e57p-3, 0x1.8ea187139ee42p-3, 0x1.8922f2433ce5dp-3, 0x1.83ae40257db3dp-3, 0x1.7e43a7a23a3dfp-3, 0x1.78e35cd127053p-3, 0x1.738d9109dc5dp-3, 0x1.6e4272f3c368fp-3, 0x1.69022e95f4256p-3, 0x1.63cced66fadp-3, 0x1.5ea2d65c7f679p-3, 0x1.59840dfad3a9ep-3, 0x1.5470b6645ec36p-3, 0x1.4f68ef68e4ee6p-3, 0x1.4a6cd694ada62p-3, 0x1.457c873f81628p-3, 0x1.40981a9b80a0ap-3, 0x1.3bbfa7c3cc4ccp-3, 0x1.36f343cb093a2p-3, 0x1.323301c9b41bfp-3, 0x1.2d7ef2ec42794p-3, 0x1.28d7268119685p-3, 0x1.243baa0653e94p-3, 0x1.1fac89375398ap-3, 0x1.1b29ce1a26482p-3, 0x1.16b3810cac425p-3, 0x1.1249a8d1999d1p-3, 0x1.0dec4a9d37556p-3, 0x1.099b6a21f40adp-3, 0x1.0557099cc3786p-3, 0x1.011f29e13f7a1p-3, 0x1.f9e794cb34e73p-4, 0x1.f1a9d29cad9p-4, 0x1.e98506f39be16p-4, 0x1.e1792916f4031p-4, 0x1.d9862dee18516p-4, 0x1.d1ac08169ccf5p-4, 0x1.c9eaa7f9983f1p-4, 0x1.c241fbe08d6f7p-4, 0x1.bab1f009deab1p-4, 0x1.b33a6ebce2284p-4, 0x1.abdb605d87a3fp-4, 0x1.a494ab7f881f1p-4, 0x1.9d6634f9385e3p-4, 0x1.964fdff5edfd4p-4, 0x1.8f518e07fc037p-4, 0x1.886b1f3a42387p-4, 0x1.819c72215c6b3p-4, 0x1.7ae563ec6858cp-4, 0x1.7445d075663e1p-4, 0x1.6dbd925135aa4p-4, 0x1.674c82df2e38p-4, 0x1.60f27a5857573p-4, 0x1.5aaf4fde3ea18p-4, 0x1.5482d9896d6c9p-4, 0x1.4e6cec7780985p-4, 0x1.486d5cd8e2f3p-4, 0x1.4283fdfe2a8d5p-4, 0x1.3cb0a2651c28fp-4, 0x1.36f31bc5532cbp-4, 0x1.314b3b1c93648p-4, 0x1.2bb8d0bac1eaep-4, 0x1.263bac4d88ec8p-4, 0x1.20d39ceba7279p-4, 0x1.1b80711feb543p-4, 0x1.1641f6f3dfae4p-4, 0x1.1117fbfa22fd6p-4, 0x1.0c024d5874354p-4, 0x1.0700b7d16f18bp-4, 0x1.021307cdfe722p-4, 0x1.fa7212cd027e2p-5, 0x1.f0e510d74fce3p-5, 0x1.e77ea0de11f12p-5, 0x1.de3e5996ddfecp-5, 0x1.d523d159c163dp-5, 0x1.cc2e9e30cb79ap-5, 0x1.c35e55e71278ep-5, 0x1.bab28e173204ep-5, 0x1.b22adc394eebap-5, 0x1.a9c6d5b09a1fap-5, 0x1.a1860fd85b02ep-5, 0x1.9968201080a95p-5, 0x1.916c9bc9bf593p-5, 0x1.8993189138e2p-5, 0x1.81db2c1bb7866p-5, 0x1.7a446c507ac64p-5, 0x1.72ce6f53977p-5, 0x1.6b78cb8ff14eep-5, 0x1.644317c0ccb4cp-5, 0x1.5d2ceafaff9afp-5, 0x1.5635dcb5bed7cp-5, 0x1.4f5d84d30b9f9p-5, 0x1.48a37ba7c96acp-5, 0x1.42075a0374815p-5, 0x1.3b88b93782539p-5, 0x1.3527331e6f7d7p-5, 0x1.2ee26222746cp-5, 0x1.28b9e143eda8dp-5, 0x1.22ad4c1f74fb7p-5, 0x1.1cbc3ef3a8904p-5, 0x1.16e656a6ae911p-5, 0x1.112b30cb6afc4p-5, 0x1.0b8a6ba6702b5p-5, 0x1.0603a632aa097p-5, 0x1.00968025c88dp-5, 0x1.f68533e8cdfap-6, 0x1.ec0f29abeb47ep-6, 0x1.e1ca2590c9102p-6, 0x1.d7b56d272afb6p-6, 0x1.cdd0479926efcp-6, 0x1.c419fdb12049ap-6, 0x1.ba91d9df5dc0cp-6, 0x1.b137283f301dap-6, 0x1.a809369bb887fp-6, 0x1.9f07547448cb8p-6, 0x1.9630d30066baep-6, 0x1.8d8505337091ap-6, 0x1.85033fbfec321p-6, 0x1.7caad91a7c502p-6, 0x1.747b297c8617dp-6, 0x1.6c738ae681aebp-6, 0x1.649359220186p-6, 0x1.5cd9f1c36cf95p-6, 0x1.5546b42b71bdfp-6, 0x1.4dd90188305ccp-6, 0x1.46903cd623b52p-6, 0x1.3f6bcae0cd649p-6, 0x1.386b12431a673p-6, 0x1.318d7b6793a59p-6, 0x1.2ad2708852b28p-6, 0x1.24395daeb9503p-6, 0x1.1dc1b0b2ff70fp-6, 0x1.176ad93b7f124p-6, 0x1.113448bbdc34ap-6, 0x1.0b1d7273f53bfp-6, 0x1.0525cb6ea8632p-6, 0x1.fe999500df56ep-7, 0x1.f323d08b9e1c1p-7, 0x1.e7e93e4340658p-7, 0x1.dce8d67666747p-7, 0x1.d22194f89ce9ap-7, 0x1.c792791e15d58p-7, 0x1.bd3a85b71a018p-7, 0x1.b318c10b46267p-7, 0x1.a92c34d4832d7p-7, 0x1.9f73ee39c8f5p-7, 0x1.95eefdc9a8cb5p-7, 0x1.8c9c7774aadf3p-7, 0x1.837b728770949p-7, 0x1.7a8b09a4b94b4p-7, 0x1.71ca5abf2398p-7, 0x1.69388712e06a2p-7, 0x1.60d4b31f2c7dfp-7, 0x1.589e069fada95p-7, 0x1.5093ac85acf86p-7, 0x1.48b4d2f12d9c3p-7, 0x1.4100ab29f1d47p-7, 0x1.397669985000ap-7, 0x1.321545be03532p-7, 0x1.2adc7a2ed6856p-7, 0x1.23cb44893fa0dp-7, 0x1.1ce0e56ee3da8p-7, 0x1.161ca07d0c843p-7, 0x1.0f7dbc450825p-7, 0x1.090382447e9fcp-7, 0x1.02ad3eddb6fe3p-7, 0x1.f8f4829fa2433p-8, 0x1.ecd3b75deb331p-8, 0x1.e0f6c5b8f6214p-8, 0x1.d55c5cfe0a374p-8, 0x1.ca0331f537267p-8, 0x1.bee9fed17ad9cp-8, 0x1.b40f8320dddd4p-8, 0x1.a97283bc89dc9p-8, 0x1.9f11cab8dcc1p-8, 0x1.94ec27557af6cp-8, 0x1.8b006ded60dadp-8, 0x1.814d77e6f788dp-8, 0x1.77d223a42de21p-8, 0x1.6e8d54729735dp-8, 0x1.657df27b937b9p-8, 0x1.5ca2eab47e4e1p-8, 0x1.53fb2eceeb6a2p-8, 0x1.4b85b528f01f2p-8, 0x1.434178bd784abp-8, 0x1.3b2d7914acc73p-8, 0x1.3348ba346bde8p-8, 0x1.2b924490cfcf3p-8, 0x1.240924fcce178p-8, 0x1.1cac6c9ae5623p-8, 0x1.157b30cde67a1p-8, 0x1.0e748b29cfd07p-8, 0x1.07979964c2596p-8, 0x1.00e37d480e548p-8, 0x1.f4aeb942b636ep-9, 0x1.e7e4c267cc99dp-9, 0x1.db677153bfebep-9, 0x1.cf35290bc3814p-9, 0x1.c34c542907f18p-9, 0x1.b7ab64bc1a0c2p-9, 0x1.ac50d43081f9fp-9, 0x1.a13b23309c5a7p-9, 0x1.9668d989b38e7p-9, 0x1.8bd88610526e2p-9, 0x1.8188be84ddedfp-9, 0x1.77781f7869df7p-9, 0x1.6da54c31d01f9p-9, 0x1.640eee9308829p-9, 0x1.5ab3b6fec9ee9p-9, 0x1.51925c3e63c19p-9, 0x1.48a99b67e457ep-9, 0x1.3ff837c47fbebp-9, 0x1.377cfab73ba59p-9, 0x1.2f36b3a3df6dcp-9, 0x1.272437d62c48p-9, 0x1.1f44626958503p-9, 0x1.1796142fd2d8p-9, 0x1.1018339b484e9p-9, 0x1.08c9aca4f6a89p-9, 0x1.01a970b63ce48p-9, 0x1.f56ced22f4fe6p-10, 0x1.e7df74765f4b1p-10, 0x1.daa879c6ce4b2p-10, 0x1.cdc6099ec6b9ep-10, 0x1.c1363a872c0dep-10, 0x1.b4f72cdbb2af7p-10, 0x1.a9070a9fea2e5p-10, 0x1.9d640754c7d1bp-10, 0x1.920c5fcec4a65p-10, 0x1.86fe5a0c8608dp-10, 0x1.7c38450e08cb1p-10, 0x1.71b878ac6578dp-10, 0x1.677d55720f54fp-10, 0x1.5d854473a374ep-10, 0x1.53ceb7294257dp-10, 0x1.4a5827486c195p-10, 0x1.4120169e65ff2p-10, 0x1.38250eeb22a25p-10, 0x1.2f65a1bcb915bp-10, 0x1.26e0684b53648p-10, 0x1.1e940355aaeddp-10, 0x1.167f1afdff79bp-10, 0x1.0ea05ea798ca4p-10, 0x1.06f684d4be64dp-10, 0x1.ff00960a76d71p-11, 0x1.f078eb2aa7e79p-11, 0x1.e2539f3a85325p-11, 0x1.d48e55a25a23ep-11, 0x1.c726bec32cd4fp-11, 0x1.ba1a97b896253p-11, 0x1.ad67aa1b8ccf5p-11, 0x1.a10bcbc621a71p-11, 0x1.9504de9828bbap-11, 0x1.8950d03ccf96fp-11, 0x1.7ded99f11d002p-11, 0x1.72d9404b57c6bp-11, 0x1.6811d30351a99p-11, 0x1.5d956cbb96cc6p-11, 0x1.536232cb7be0ep-11, 0x1.4976550a0a1e3p-11, 0x1.3fd00d99c737ap-11, 0x1.366da0b556d9ep-11, 0x1.2d4d5c7cf0809p-11, 0x1.246d98c4abe48p-11, 0x1.1bccb6e39d41p-11, 0x1.13692183c290fp-11, 0x1.0b414c72bb755p-11, 0x1.0353b4734d59p-11, 0x1.f73dbe1f5db92p-12, 0x1.e842b4d92f3c7p-12, 0x1.d9b37a3a2a13ap-12, 0x1.cb8d4bee3bc5fp-12, 0x1.bdcd77d1c9863p-12, 0x1.b0715b9dce95fp-12, 0x1.a376649567733p-12, 0x1.96da0f34d25edp-12, 0x1.8a99e6e1d252ap-12, 0x1.7eb3859d7a40dp-12, 0x1.732493b754e75p-12, 0x1.67eac781eb04ep-12, 0x1.5d03e50899f8fp-12, 0x1.526dbdc6c2773p-12, 0x1.482630603c63dp-12, 0x1.3e2b285b19c0ep-12, 0x1.347a9ddaa71cep-12, 0x1.2b12955baeea1p-12, 0x1.21f11f71f47b8p-12, 0x1.19145886e5c1cp-12, 0x1.107a68997e5ffp-12, 0x1.082182ff55ca5p-12, 0x1.0007e626d86f8p-12, 0x1.f057b6b5479f7p-13, 0x1.e1176d0bff51p-13, 0x1.d24babf4ec026p-13, 0x1.c3f1446d022dcp-13, 0x1.b6051b5a94665p-13, 0x1.a884291ef4a9cp-13, 0x1.9b6b792a23b63p-13, 0x1.8eb8299092006p-13, 0x1.82676aa2e3df6p-13, 0x1.76767e87afed6p-13, 0x1.6ae2b8d734e89p-13, 0x1.5fa97e38f7c51p-13, 0x1.54c844034f56dp-13, 0x1.4a3c8fdcbe0d4p-13, 0x1.4003f75f312c1p-13, 0x1.361c1fbd025ffp-13, 0x1.2c82bd67c1fdbp-13, 0x1.233593b8c56a7p-13, 0x1.1a32749b640fap-13, 0x1.11774038eaf4cp-13, 0x1.0901e4a637b0bp-13, 0x1.00d05d92f7168p-13, 0x1.f1c167f4eed1p-14, 0x1.e261fbac2ff26p-14, 0x1.d37ebba284d3bp-14, 0x1.c51405fdce701p-14, 0x1.b71e5121009cep-14, 0x1.a99a2b1d0b8f2p-14, 0x1.9c843924bcafep-14, 0x1.8fd9370360e1ep-14, 0x1.8395f6964c128p-14, 0x1.77b75f490e6bp-14, 0x1.6c3a6d9464d4p-14, 0x1.611c327fcf2bcp-14, 0x1.5659d325c1622p-14, 0x1.4bf0883a65336p-14, 0x1.41dd9d94de76bp-14, 0x1.381e71bb092b6p-14, 0x1.2eb0756fa3c28p-14, 0x1.25912b42db605p-14, 0x1.1cbe2725302cap-14, 0x1.14350dfca3d3dp-14, 0x1.0bf3953c2bbbep-14, 0x1.03f7827d57f95p-14, 0x1.f87d563851ca6p-15, 0x1.e98de7aa08be9p-15, 0x1.db1ca0c98d8dp-15, 0x1.cd258655bd14cp-15, 0x1.bfa4b99ade8b5p-15, 0x1.b29677bedbf0ap-15, 0x1.a5f719115eb5cp-15, 0x1.99c3105fbd213p-15, 0x1.8df6ea4ca38bp-15, 0x1.828f4cab6c78ap-15, 0x1.7788f5df0e04p-15, 0x1.6ce0bc3c95b4dp-15, 0x1.62938d7114e5ap-15, 0x1.589e6deaf8a86p-15, 0x1.4efe7846b44eep-15, 0x1.45b0dcbeb1429p-15, 0x1.3cb2e09e733c5p-15, 0x1.3401ddb8e387ep-15, 0x1.2b9b41e1ae6d5p-15, 0x1.237c8e69a84d5p-15, 0x1.1ba3579e286dbp-15, 0x1.140d444b4cd86p-15, 0x1.0cb80d4113d9ep-15, 0x1.05a17cdb455a4p-15, 0x1.fd8edd1827dafp-16, 0x1.f04f9cd2dc14ep-16, 0x1.e3813179e1fd6p-16, 0x1.d71fb32cdb8a3p-16, 0x1.cb2758c1e9e0bp-16, 0x1.bf9476f4b4562p-16, 0x1.b4637f9a4bdfp-16, 0x1.a99100d9cb397p-16, 0x1.9f19a4699d7bbp-16, 0x1.94fa2ed154b01p-16, 0x1.8b2f7eaff465p-16, 0x1.81b68c069ee47p-16, 0x1.788c678786d1p-16, 0x1.6fae39e9154c8p-16, 0x1.6719433d2665ap-16, 0x1.5ecada4c50fdap-16, 0x1.56c06bf51b29p-16, 0x1.4ef77a8f06defp-16, 0x1.476d9d516b704p-16, 0x1.40207fbdfc0ffp-16, 0x1.390de10eea23dp-16, 0x1.323393a899456p-16, 0x1.2b8f7c8ec4868p-16, 0x1.251f92dd06907p-16, 0x1.1ee1df42bcaffp-16, 0x1.18d47b821bbc5p-16, 0x1.12f591f280366p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.8f2059a9b6b0dp-4, 0x1.a099f20099b6cp-4, 0x1.b145ea42b3a58p-4, 0x1.c10e98d13d7a9p-4, 0x1.cfdfc53e22056p-4, 0x1.dda6d9260ab6cp-4, 0x1.ea5304b2686e3p-4, 0x1.f5d557ec75d2ep-4, 0x1.0010690e02469p-3, 0x1.04953437b0e1fp-3, 0x1.08748290b5c47p-3, 0x1.0baac021b9c7fp-3, 0x1.0e35499df8b7ep-3, 0x1.101263f9eaa62p-3, 0x1.11413249d8e44p-3, 0x1.11c1aa4cb5db1p-3, 0x1.119487fb660ccp-3, 0x1.10bb4069652ffp-3, 0x1.0f37f438f82eep-3, 0x1.0d0d61db5ba04p-3, 0x1.0a3ed7cc89b5ep-3, 0x1.06d026f231211p-3, 0x1.02c5953e883f4p-3, 0x1.fc47a16274462p-4, 0x1.f1dfc596eea4dp-4, 0x1.e65e490e7147ap-4, 0x1.d9ce65bbd67cp-4, 0x1.cc3bc7ce1b962p-4, 0x1.bdb27928b68dbp-4, 0x1.ae3ece1d55c6ap-4, 0x1.9ded5368dc37p-4, 0x1.8ccabd72249cep-4, 0x1.7ae3d8c5fcdedp-4, 0x1.68457bc99ef7ep-4, 0x1.54fc799ad5d35p-4, 0x1.41159613a59e5p-4, 0x1.2c9d7ae614e32p-4, 0x1.17a0adc3e268ep-4, 0x1.022b87855a976p-4, 0x1.d894588439936p-5, 0x1.ac11089ce7dd2p-5, 0x1.7ee46c1fa7162p-5, 0x1.5125413652558p-5, 0x1.22e9ae1fbb769p-5, 0x1.e88e728aaf6ddp-6, 0x1.8aa5852f2e803p-6, 0x1.2c40fc316477dp-6, 0x1.9b0fbdfa88ab1p-7, 0x1.ba7f36af9a059p-8, 0x1.f59f840670c83p-11, -0x1.3cb744b7e7e16p-8, -0x1.5b9e8dbd53cep-7, -0x1.0c1782f2ec18p-6, -0x1.69e813d4820adp-6, -0x1.c723f63c384p-6, -0x1.11d7c90a7c434p-5, -0x1.3fb85b3be45dap-5, -0x1.6d274a6d649d8p-5, -0x1.9a18ddc5cde19p-5, -0x1.c68207c5d7d14p-5, -0x1.f25862f1a6b19p-5, -0x1.0ec9171fa5a66p-4, -0x1.241324a988955p-4, -0x1.39061848d933bp-4, -0x1.4d9dfc87f0ab4p-4, -0x1.61d72632f1d07p-4, -0x1.75ae3236b5ac8p-4, -0x1.89200377a08cbp-4, -0x1.9c29c0a2e99ecp-4, -0x1.aec8d1fc94e54p-4, -0x1.c0fadf2c3b6b6p-4, -0x1.d2bdcd0a657ccp-4, -0x1.e40fbb7027a54p-4, -0x1.f4ef030a7930bp-4, -0x1.02ad19993ea65p-3, -0x1.0aa807e60221ap-3, -0x1.1267c7958b12cp-3, -0x1.19ebec00ca07cp-3, -0x1.21341faac56b9p-3, -0x1.284023407e153p-3, -0x1.2f0fcc9dc2153p-3, -0x1.35a305d73eac2p-3, -0x1.3bf9cc49ef53ap-3, -0x1.42142fb01b1bp-3, -0x1.47f2513bf8f94p-3, -0x1.4d9462b81f246p-3, -0x1.52faa5adb9083p-3, -0x1.58256a90a549cp-3, -0x1.5d150ff16dc3ep-3, -0x1.61ca01b52db8cp-3, -0x1.6644b8534a126p-3, -0x1.6a85b81912901p-3, -0x1.6e8d907320c87p-3, -0x1.725cdb3c87775p-3, -0x1.75f43c13a7dffp-3, -0x1.79545fb4a7fbep-3, -0x1.7c7dfb597c44cp-3, -0x1.7f71cc1f575c2p-3, -0x1.82309671877bap-3, -0x1.84bb2579930ebp-3, -0x1.87124a9481fdcp-3, -0x1.8936dccd3dacap-3, -0x1.8b29b85beaa5ap-3, -0x1.8cebbe2a1fcbcp-3, -0x1.8e7dd35be0afdp-3, -0x1.8fe0e0dd3fc5p-3, -0x1.9115d2f48e10bp-3, -0x1.921d98d8fdf23p-3, -0x1.92f9244d94112p-3, -0x1.93a96940585f8p-3, -0x1.942f5d6da23dfp-3, -0x1.948bf80769c42p-3, -0x1.94c031607a1ddp-3, -0x1.94cd029b7a6dcp-3, -0x1.94b3655d9f794p-3, -0x1.94745384ff13p-3, -0x1.9410c6e255c59p-3, -0x1.9389b8f63b386p-3, -0x1.92e022b1a13f6p-3, -0x1.9214fc397b46fp-3, -0x1.91293cad8fdeep-3, -0x1.901dd9f23c182p-3, -0x1.8ef3c87d32632p-3, -0x1.8dabfb24fd83ep-3, -0x1.8c4762f34a3f8p-3, -0x1.8ac6eef9d6564p-3, -0x1.892b8c29eb482p-3, -0x1.8776252e5cf93p-3, -0x1.85a7a247e5813p-3, -0x1.83c0e92bdaa33p-3, -0x1.81c2dce51b7eep-3, -0x1.7fae5db72b0cap-3, -0x1.7d8449036248ep-3, -0x1.7b457930208b5p-3, -0x1.78f2c591f685cp-3, -0x1.768d0256a8bbep-3, -0x1.74150072042bfp-3, -0x1.718b8d8c69e49p-3, -0x1.6ef173f310a61p-3, -0x1.6c477a89d4fa3p-3, -0x1.698e64bea08e7p-3, -0x1.66c6f27e44c02p-3, -0x1.63f1e02ac3138p-3, -0x1.610fe692f9e88p-3, -0x1.5e21baeb95c32p-3, -0x1.5b280ec948088p-3, -0x1.5823901c36df8p-3, -0x1.5514e92c868bdp-3, -0x1.51fcc09806cfdp-3, -0x1.4edbb950e3cb5p-3, -0x1.4bb2729d5c183p-3, -0x1.4881881865476p-3, -0x1.454991b341607p-3, -0x1.420b23b7e073ap-3, -0x1.3ec6cecc28a08p-3, -0x1.3b7d1ff5efcb6p-3, -0x1.382ea09fc407cp-3, -0x1.34dbd69e55dc1p-3, -0x1.3185443698996p-3, -0x1.2e2b68247adf9p-3, -0x1.2acebda230444p-3, -0x1.276fbc7016a9fp-3, -0x1.240ed8dd0b4dfp-3, -0x1.20ac83cf5017p-3, -0x1.1d492acdd449cp-3, -0x1.19e53809f4ddbp-3, -0x1.168112699689ep-3, -0x1.131d1d91a79dap-3, -0x1.0fb9b9f0f1033p-3, -0x1.0c5744cb374d6p-3, -0x1.08f61844a76b4p-3, -0x1.05968b6d80ee1p-3, -0x1.0238f24e0247dp-3, -0x1.fdbb3be50ad58p-4, -0x1.f709b8efa9684p-4, -0x1.f05df22f47cf9p-4, -0x1.e9b8786a65059p-4, -0x1.e319d6d4227adp-4, -0x1.dc829326005c8p-4, -0x1.d5f32db9cea13p-4, -0x1.cf6c21a3c4c9bp-4, -0x1.c8ede4ccb4053p-4, -0x1.c278e80c5ac23p-4, -0x1.bc0d9743b1364p-4, -0x1.b5ac59775c996p-4, -0x1.af5590ea00f4bp-4, -0x1.a9099b36ab921p-4, -0x1.a2c8d16b1a3cep-4, -0x1.9c938821fb78ap-4, -0x1.966a0f9d13cep-4, -0x1.904cb3df43f3ap-4, -0x1.8a3bbcc66ec5dp-4, -0x1.84376e2535b9dp-4, -0x1.7e4007dc8982bp-4, -0x1.7855c5f509ce8p-4, -0x1.7278e0b8314b1p-4, -0x1.6ca98cc948aa9p-4, -0x1.66e7fb3e1cca2p-4, -0x1.613459b776be8p-4, -0x1.5b8ed27951072p-4, -0x1.55f78c82c6359p-4, -0x1.506eaba5b8bp-4, -0x1.4af4509e2f547p-4, -0x1.45889929653c4p-4, -0x1.402ba01c89194p-4, -0x1.3add7d7b2e4a8p-4, -0x1.359e468d67ea3p-4, -0x1.306e0df5923adp-4, -0x1.2b4ce3c5c3976p-4, -0x1.263ad594e897fp-4, -0x1.2137ee9386516p-4, -0x1.1c4437a023ea3p-4, -0x1.175fb75b59c3ap-4, -0x1.128a723b86089p-4, -0x1.0dc46aa025951p-4, -0x1.090da0e4d082p-4, -0x1.04661373db08bp-4, -0x1.ff9b7db133bbep-5, -0x1.f6893ba29082bp-5, -0x1.ed9552c1268dp-5, -0x1.e4bfb1bd8dff4p-5, -0x1.dc0844153f4dp-5, -0x1.d36ef2337bc4bp-5, -0x1.caf3a1917e17ap-5, -0x1.c29634d5f4473p-5, -0x1.ba568bf3c18d6p-5, -0x1.b23484480b136p-5, -0x1.aa2ff8b790dc7p-5, -0x1.a248c1cb5340ap-5, -0x1.9a7eb5cc85aacp-5, -0x1.92d1a8dfd2d28p-5, -0x1.8b416d1ff10afp-5, -0x1.83cdd2b7891b1p-5, -0x1.7c76a7fa74e84p-5, -0x1.753bb97e4ff72p-5, -0x1.6e1cd2326612cp-5, -0x1.6719bb76f85ep-5, -0x1.60323d33e1995p-5, -0x1.59661dee97db7p-5, -0x1.52b522df90501p-5, -0x1.4c1f100707721p-5, -0x1.45a3a8412ba62p-5, -0x1.3f42ad59b3009p-5, -0x1.38fbe01eda747p-5, -0x1.32cf0073d13c4p-5, -0x1.2cbbcd62945b9p-5, -0x1.26c2052d3aecep-5, -0x1.20e1655eb7757p-5, -0x1.1b19aadb0fa6bp-5, -0x1.156a91ef0bf61p-5, -0x1.0fd3d65f655fdp-5, -0x1.0a55337770478p-5, -0x1.04ee64174637cp-5, -0x1.ff3e4582ebcadp-6, -0x1.f4ce53506dfdfp-6, -0x1.ea8c65744ed3dp-6, -0x1.e077ef5d23db4p-6, -0x1.d6906422888f6p-6, -0x1.ccd5369be5181p-6, -0x1.c345d9765f1fep-6, -0x1.b9e1bf49f0843p-6, -0x1.b0a85aadac534p-6, -0x1.a7991e4b3a889p-6, -0x1.9eb37cf18703dp-6, -0x1.95f6e9a6b550cp-6, -0x1.8d62d7b94a7aep-6, -0x1.84f6bad0ab2cdp-6, -0x1.7cb206fcd798cp-6, -0x1.749430c58202cp-6, -0x1.6c9cad3873f69p-6, -0x1.64caf1f74a9b8p-6, -0x1.5d1e7544961bbp-6, -0x1.5596ae10567dep-6, -0x1.4e331403ddb07p-6, -0x1.46f31f8d1fe97p-6, -0x1.3fd649e96e253p-6, -0x1.38dc0d2fa49afp-6, -0x1.3203e459d0aefp-6, -0x1.2b4d4b4e51e4p-6, -0x1.24b7bee873b27p-6, -0x1.1e42bd00928e8p-6, -0x1.17edc473c028bp-6, -0x1.11b8552af4faap-6, -0x1.0ba1f021cb9b9p-6, -0x1.05aa176cd33bcp-6, -0x1.ffa09c7ee1a83p-7, -0x1.f42831e2b49b4p-7, -0x1.e8e9fa0763e96p-7, -0x1.dde5024b69b4fp-7, -0x1.d3185a7233634p-7, -0x1.c88314ac11dcfp-7, -0x1.be24459d8c2d1p-7, -0x1.b3fb0465f9c36p-7, -0x1.aa066aa581e63p-7, -0x1.a04594828054fp-7, -0x1.96b7a0ae4811bp-7, -0x1.8d5bb069596dap-7, -0x1.8430e78712624p-7, -0x1.7b366c70c6ebap-7, -0x1.726b682865fadp-7, -0x1.69cf064a98b5p-7, -0x1.6160751068a9ep-7, -0x1.591ee5507b145p-7, -0x1.51098a7fd5e27p-7, -0x1.491f9ab234271p-7, -0x1.41604e9a048d7p-7, -0x1.39cae187f9e22p-7, -0x1.325e916a3fb5ep-7, -0x1.2b1a9ecb5871dp-7, -0x1.23fe4cd0a42a8p-7, -0x1.1d08e138963e5p-7, -0x1.1639a4589c471p-7, -0x1.0f8fe11abb29ap-7, -0x1.090ae4fae5c5ep-7, -0x1.02aa00040f89fp-7, -0x1.f8d90999fe3eap-8, -0x1.eca390e9ca00dp-8, -0x1.e0b2453f6e739p-8, -0x1.d503dae4af188p-8, -0x1.c9970b1d0b419p-8, -0x1.be6a941d3f1b7p-8, -0x1.b37d39026b36ap-8, -0x1.a8cdc1c8e28dbp-8, -0x1.9e5afb42a9bb4p-8, -0x1.9423b70da6884p-8, -0x1.8a26cb8989ab5p-8, -0x1.806313cd74faap-8, -0x1.76d76f9d6200dp-8, -0x1.6d82c35f50462p-8, -0x1.6463f8103abe1p-8, -0x1.5b79fb38dd135p-8, -0x1.52c3bee24ba2p-8, -0x1.4a40398a5dd95p-8, -0x1.41ee6617f5fdp-8, -0x1.39cd43cf22584p-8, -0x1.31dbd6451fc11p-8, -0x1.2a192554415fp-8, -0x1.22843d0fbb73dp-8, -0x1.1b1c2db75a27ap-8, -0x1.13e00bab2579ap-8, -0x1.0cceef5ef0a48p-8, -0x1.05e7f54de038ep-8, -0x1.fe547bdbc0592p-9, -0x1.f129db4629b12p-9, -0x1.e44e5966831aap-9, -0x1.d7c04e7258abep-9, -0x1.cb7e1a3001375p-9, -0x1.bf8623dd5cd05p-9, -0x1.b3d6da169a11fp-9, -0x1.a86eb2bd0466dp-9, -0x1.9d4c2addd8834p-9, -0x1.926dc69928116p-9, -0x1.87d21108d2325p-9, -0x1.7d779c278aa23p-9, -0x1.735d00b7fbe15p-9, -0x1.6980de2c02231p-9, -0x1.5fe1da8c04a24p-9, -0x1.567ea25e6b1bep-9, -0x1.4d55e88f3630ap-9, -0x1.44666657bcee6p-9, -0x1.3baedb2690a0ep-9, -0x1.332e0c87838a3p-9, -0x1.2ae2c60be1253p-9, -0x1.22cbd932cc1f5p-9, -0x1.1ae81d51cb9c8p-9, -0x1.13366f7d8975p-9, -0x1.0bb5b272bc5c1p-9, -0x1.0464ce7f4811bp-9, -0x1.fa8562d719bc8p-10, -0x1.ec9c9cc7dfd3p-10, -0x1.df0d3bc529179p-10, -0x1.d1d53b329ab52p-10, -0x1.c4f2a0b788c08p-10, -0x1.b8637c13b97fbp-10, -0x1.ac25e6f49a682p-10, -0x1.a03804caddd2bp-10, -0x1.949802a0a0eb6p-10, -0x1.894416eff154bp-10, -0x1.7e3a8179dc26fp-10, -0x1.73798b1de6c56p-10, -0x1.68ff85b20b6e7p-10, -0x1.5ecacbdb21e19p-10, -0x1.54d9c0e5cf213p-10, -0x1.4b2ad09fe38b1p-10, -0x1.41bc6f323eec3p-10, -0x1.388d18fb21cabp-10, -0x1.2f9b526905cbcp-10, -0x1.26e5a7d5e8f1p-10, -0x1.1e6aad63180f9p-10, -0x1.1628fed57400cp-10, -0x1.0e1f3f722d0a7p-10, -0x1.064c19dbfea22p-10, -0x1.fd5c7fe1c54a1p-11, -0x1.ee88d55077d0fp-11, -0x1.e01ab3e302836p-11, -0x1.d20fa926b4894p-11, -0x1.c465501671859p-11, -0x1.b71950dad177bp-11, -0x1.aa29608b2f874p-11, -0x1.9d9340efa7472p-11, -0x1.9154c043fbb4dp-11, -0x1.856bb8fb6ae28p-11, -0x1.79d61185698fbp-11, -0x1.6e91bc1344e4fp-11, -0x1.639cb65eaac4cp-11, -0x1.58f509711637ep-11, -0x1.4e98c96c1c215p-11, -0x1.4486155299207p-11, -0x1.3abb16d2bd79ep-11, -0x1.31360210f36d5p-11, -0x1.27f51573a2386p-11, -0x1.1ef6996fc5e5p-11, -0x1.1638e0565f7dfp-11, -0x1.0dba4622b75a7p-11, -0x1.057930497148fp-11, -0x1.fae81b10dfc6ep-12, -0x1.eb52ab6f0af6p-12, -0x1.dc2f1333dd191p-12, -0x1.cd7a65612a96dp-12, -0x1.bf31c61a38ea1p-12, -0x1.b1526a4b57977p-12, -0x1.a3d99752ff9a4p-12, -0x1.96c4a2ac70b86p-12, -0x1.8a10f19bc5fcfp-12, -0x1.7dbbf8db83998p-12, -0x1.71c33c4b90abfp-12, -0x1.66244ea1a1684p-12, -0x1.5adcd11b02588p-12, -0x1.4fea732fcaffp-12, -0x1.454af2476acd1p-12, -0x1.3afc196e90df9p-12, -0x1.30fbc10e6581dp-12, -0x1.2747cea5165b7p-12, -0x1.1dde347fa921p-12, -0x1.14bcf17517eecp-12, -0x1.0be210a2ae4bap-12, -0x1.034ba929a0f8bp-12, -0x1.f5efbbdbbf5p-13, -0x1.e5c9baac36644p-13, -0x1.d621c219f146p-13, -0x1.c6f45b86e23bcp-13, -0x1.b83e25e8acfa4p-13, -0x1.a9fbd551f227bp-13, -0x1.9c2a327dda6dap-13, -0x1.8ec61a5dcffd9p-13, -0x1.81cc7da95e6c6p-13, -0x1.753a607038e5p-13, -0x1.690cd9ae54ae2p-13, -0x1.5d4112e213826p-13, -0x1.51d447a476868p-13, -0x1.46c3c5434d408p-13, -0x1.3c0cea5d5ddd4p-13, -0x1.31ad26807dc1bp-13, -0x1.27a1f9c9877d7p-13, -0x1.1de8f48638eefp-13, -0x1.147fb6d8e7939p-13, -0x1.0b63f05df81b5p-13, -0x1.02935fd32d0f9p-13, -0x1.f417a58152d9fp-14, -0x1.e3964a475afbbp-14, -0x1.d39e823612ea4p-14, -0x1.c42c3d2a60553p-14, -0x1.b53b85ffed2b8p-14, -0x1.a6c881f3c2cd8p-14, -0x1.98cf700a24c9cp-14, -0x1.8b4ca8777124cp-14, -0x1.7e3c9c0c1a849p-14, -0x1.719bd3a397b06p-14, -0x1.6566ef964639cp-14, -0x1.599aa72e30a3dp-14, -0x1.4e33c81eaa56ap-14, -0x1.432f35feb3dd7p-14, -0x1.3889e9c61de25p-14, -0x1.2e40f14d59403p-14, -0x1.24516ecfee0bbp-14, -0x1.1ab8987187603p-14, -0x1.1173b7c58c32dp-14, -0x1.0880295937d63p-14, -0x1.ffb6b8804bdecp-15, -0x1.ef05a3468f8a6p-15, -0x1.dee838a46c3f7p-15, -0x1.cf59c0adad6c8p-15, -0x1.c055a5168e3c9p-15, -0x1.b1d770640cc6dp-15, -0x1.a3dacd209c4c8p-15, -0x1.965b85152a448p-15, -0x1.895580865ca05p-15, -0x1.7cc4c575f3ac8p-15, -0x1.70a576e842f0ap-15, -0x1.64f3d42da43bp-15, -0x1.59ac382fd83d5p-15, -0x1.4ecb18c33ebf3p-15, -0x1.444d05fbd462dp-15, -0x1.3a2ea985e3f8dp-15, -0x1.306cc602595eap-15, -0x1.27043666a2173p-15, -0x1.1df1ed600decfp-15, -0x1.1532f4ba9b6ffp-15, -0x1.0cc46ccb2019cp-15, -0x1.04a38bdcbacb8p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.de95c477ddbbap-2, 0x1.e00ba905a86fdp-2, 0x1.e15abc668ef8ap-2, 0x1.e283d7b2dfc8fp-2, 0x1.e3887505270aap-2, 0x1.e46a8dbb86813p-2, 0x1.e52c7b5aec288p-2, 0x1.e5d0db7554ac1p-2, 0x1.e65a76c153fa5p-2, 0x1.e6cc2b6ab5f18p-2, 0x1.e728da8813c28p-2, 0x1.e773588d8e718p-2, 0x1.e7ae6087d9246p-2, 0x1.e7dc89e301ef5p-2, 0x1.e800407c727f4p-2, 0x1.e81bbebedac8bp-2, 0x1.e8310987efb0ep-2, 0x1.e841ed9ab56d4p-2, 0x1.e84ffe64dbee1p-2, 0x1.e85c95e21a725p-2, 0x1.e868d56d2d532p-2, 0x1.e875a752ec0fep-2, 0x1.e883c100ac5f1p-2, 0x1.e893a5abb1012p-2, 0x1.e8a5a953b6efp-2, 0x1.e8b9f406b0487p-2, 0x1.e8d0854f66804p-2, 0x1.e8e937bc15203p-2, 0x1.e903c46d0ed6ep-2, 0x1.e91fc69e2bb62p-2, 0x1.e93cbf201eea5p-2, 0x1.e95a17b8ec833p-2, 0x1.e977266484d14p-2, 0x1.e99330702edfap-2, 0x1.e9ad6d6cb64bdp-2, 0x1.e9c509f496339p-2, 0x1.e9d92a4441643p-2, 0x1.e9e8eca396586p-2, 0x1.e9f36ba0343f5p-2, 0x1.e9f7c019042d8p-2, 0x1.e9f5031bbd412p-2, 0x1.e9ea4f9597978p-2, 0x1.e9d6c3d8a5ab3p-2, 0x1.e9b982f790bf9p-2, 0x1.e991b5f99f366p-2, 0x1.e95e8ce90b57dp-2, 0x1.e91f3fbdc9b49p-2, 0x1.e8d30f26e5551p-2, 0x1.e87945349d2e2p-2, 0x1.e81135e577919p-2, 0x1.e79a3f985d1fep-2, 0x1.e713cb65e16e4p-2, 0x1.e67d4d62b6ab5p-2, 0x1.e5d644cd44472p-2, 0x1.e51e3c283c7cbp-2, 0x1.e454c944004bp-2, 0x1.e3798d387c08bp-2, 0x1.e28c34512096dp-2, 0x1.e18c75ec71aabp-2, 0x1.e07a14509e24p-2, 0x1.df54dc766e7b9p-2, 0x1.de1ca5cbc4a36p-2, 0x1.dcd151eeda299p-2, 0x1.db72cc63408c9p-2, 0x1.da010a41a5eap-2, 0x1.d87c09e342bbp-2, 0x1.d6e3d289bd20fp-2, 0x1.d5387404481c2p-2, 0x1.d37a0652ab845p-2, 0x1.d1a8a946d003bp-2, 0x1.cfc4842562da4p-2, 0x1.cdcdc5460c8efp-2, 0x1.cbc4a1b3b29f5p-2, 0x1.c9a954cd27938p-2, 0x1.c77c1fe6a39f6p-2, 0x1.c53d49ec5b22ap-2, 0x1.c2ed1f06725ddp-2, 0x1.c08bf03e90c4dp-2, 0x1.be1a132746123p-2, 0x1.bb97e1856fb96p-2, 0x1.b905b8fbc48bbp-2, 0x1.b663fab8a2b4cp-2, 0x1.b3b30b26441efp-2, 0x1.b0f3519d5d35fp-2, 0x1.ae25381a4af7ep-2, 0x1.ab492af4c6384p-2, 0x1.a85f989a36e83p-2, 0x1.a568f14a9e986p-2, 0x1.a265a6d823719p-2, 0x1.9f562c6935099p-2, 0x1.9c3af63d4b163p-2, 0x1.9914797439266p-2, 0x1.95e32bd807fddp-2, 0x1.92a783a956c58p-2, 0x1.8f61f76e3127fp-2, 0x1.8c12fdc3503bap-2, 0x1.88bb0d2fbacbdp-2, 0x1.855a9bfabae36p-2, 0x1.81f220040f15cp-2, 0x1.7e820e9e56357p-2, 0x1.7b0adc6b9e28fp-2, 0x1.778cfd3c07592p-2, 0x1.7408e3ee6ea87p-2, 0x1.707f02530d3ap-2, 0x1.6cefc90ffc02fp-2, 0x1.695ba78790957p-2, 0x1.65c30bc07b67cp-2, 0x1.6226624f9de86p-2, 0x1.5e86164386c92p-2, 0x1.5ae2911182e8ep-2, 0x1.573c3a8436fcp-2, 0x1.539378abae9a1p-2, 0x1.4fe8afced5409p-2, 0x1.4c3c425e4ba98p-2, 0x1.488e90e884c93p-2, 0x1.44dffa0f22f97p-2, 0x1.4130da7d865eap-2, 0x1.3d818ce07c4p-2, 0x1.39d269df04c5ap-2, 0x1.3623c81422cb2p-2, 0x1.3275fc09a581fp-2, 0x1.2ec95833e85d6p-2, 0x1.2b1e2cee726acp-2, 0x1.2774c87974344p-2, 0x1.23cd76f810633p-2, 0x1.2028826f6ceffp-2, 0x1.1c8632c67bb74p-2, 0x1.18e6cdc6736cep-2, 0x1.154a971bf08efp-2, 0x1.11b1d058b27b2p-2, 0x1.0e1cb8f5ec4ap-2, 0x1.0a8b8e572266ep-2, 0x1.06fe8bcd8ba8cp-2, 0x1.0375ea9bec3ddp-2, 0x1.ffe3c3f5c6c34p-3, 0x1.f8e54e3b5191dp-3, 0x1.f1f0da6e54bccp-3, 0x1.eb06caff15837p-3, 0x1.e4277e73e86eep-3, 0x1.dd534f757f33dp-3, 0x1.d68a94dbc5f4p-3, 0x1.cfcda1bb4b7acp-3, 0x1.c91cc57329048p-3, 0x1.c2784bbb5a9ccp-3, 0x1.bbe07cb381ebdp-3, 0x1.b5559cf20721ep-3, 0x1.aed7ed938bb05p-3, 0x1.a867ac4aafb1ep-3, 0x1.a205137014043p-3, 0x1.9bb05a1299f3cp-3, 0x1.9569b407d7af2p-3, 0x1.8f3151fcafe8cp-3, 0x1.890761861b9cbp-3, 0x1.82ec0d3200263p-3, 0x1.7cdf7c982a477p-3, 0x1.76e1d46b511b6p-3, 0x1.70f3368a25588p-3, 0x1.6b13c21064f98p-3, 0x1.65439367f42c5p-3, 0x1.5f82c459e2e88p-3, 0x1.59d16c1f798d9p-3, 0x1.542f9f73287bbp-3, 0x1.4e9d70a16c3c2p-3, 0x1.491aef999665ap-3, 0x1.43a829fe82456p-3, 0x1.3e452b372030bp-3, 0x1.38f1fc7eebba4p-3, 0x1.33aea4f63349p-3, 0x1.2e7b29b23e41bp-3, 0x1.29578dcd41ef4p-3, 0x1.2443d27637a0ep-3, 0x1.1f3ff7006f0ddp-3, 0x1.1a4bf8f304937p-3, 0x1.1567d41813b83p-3, 0x1.1093828bc0571p-3, 0x1.0bcefccb0238ep-3, 0x1.071a39c23a23dp-3, 0x1.02752edb90627p-3, 0x1.fbbfa01a2b6ecp-4, 0x1.f2b41fcd51031p-4, 0x1.e9c7bf3f3c1fp-4, 0x1.e0fa5e486045ep-4, 0x1.d84bda4552b96p-4, 0x1.cfbc0e30a82c4p-4, 0x1.c74ad2bc4e847p-4, 0x1.bef7fe6a7605ep-4, 0x1.b6c365a5ea3bcp-4, 0x1.aeacdad9ec37ep-4, 0x1.a6b42e8998b6bp-4, 0x1.9ed92f66be00fp-4, 0x1.971baa6838989p-4, 0x1.8f7b6adfce972p-4, 0x1.87f83a8f86eeep-4, 0x1.8091e1be84d26p-4, 0x1.7948274d60391p-4, 0x1.721ad0ca017c8p-4, 0x1.6b09a282fce35p-4, 0x1.64145f9a72da1p-4, 0x1.5d3aca1872363p-4, 0x1.567ca2fcdfadap-4, 0x1.4fd9aa50e365p-4, 0x1.49519f37dd1aap-4, 0x1.42e43fffe0ddep-4, 0x1.3c914a31bd07ep-4, 0x1.36587aa08c18p-4, 0x1.30398d78d1c02p-4, 0x1.2a343e4f2700dp-4, 0x1.2448482e75804p-4, 0x1.1e7565a5c40d8p-4, 0x1.18bb50d595b69p-4, 0x1.1319c37cde162p-4, 0x1.0d9077058a242p-4, 0x1.081f2490a32a5p-4, 0x1.02c585020993fp-4, 0x1.fb06a21797a14p-5, 0x1.f0b08272350cp-5, 0x1.e6881bf1b74b9p-5, 0x1.dc8cdf4fbd086p-5, 0x1.d2be3d3562ec3p-5, 0x1.c91ba64e3c21cp-5, 0x1.bfa48b5a932afp-5, 0x1.b6585d40fd9b8p-5, 0x1.ad368d1f42b86p-5, 0x1.a43e8c5a998e6p-5, 0x1.9b6fccaf4421dp-5, 0x1.92c9c03f859a1p-5, 0x1.8a4bd9a200144p-5, 0x1.81f58bef74d58p-5, 0x1.79c64acfee9a7p-5, 0x1.71bd8a875cb3ap-5, 0x1.69dac00198f34p-5, 0x1.621d60dde78dcp-5, 0x1.5a84e379ecb36p-5, 0x1.5310befc1bc36p-5, 0x1.4bc06b5da8e25p-5, 0x1.44936173f862bp-5, 0x1.3d891af996e68p-5, 0x1.36a11296b92cap-5, 0x1.2fdac3e9470ep-5, 0x1.2935ab8c7589ep-5, 0x1.22b1471ff5281p-5, 0x1.1c4d154eb3487p-5, 0x1.160895d534b65p-5, 0x1.0fe349878d025p-5, 0x1.09dcb256f1f11p-5, 0x1.03f45356f25fep-5, 0x1.fc536184a08e3p-6, 0x1.f0f89fff04243p-6, 0x1.e5d76f49bc3b4p-6, 0x1.daeedef8e4f23p-6, 0x1.d03e010f1776dp-6, 0x1.c5c3ea03dcdf9p-6, 0x1.bb7fb0c986359p-6, 0x1.b1706ed277c22p-6, 0x1.a7954015e582ap-6, 0x1.9ded431400c39p-6, 0x1.947798d9aeceep-6, 0x1.8b336503b2ddep-6, 0x1.821fcdc16827fp-6, 0x1.793bfbd702e8ap-6, 0x1.70871a9f5a797p-6, 0x1.6800580d4d62ap-6, 0x1.5fa6e4acb9c1fp-6, 0x1.5779f3a30e408p-6, 0x1.4f78baaf7b54dp-6, 0x1.47a2722ac6ed7p-6, 0x1.3ff65506c8266p-6, 0x1.3873a0cd899f4p-6, 0x1.311995a01ae5bp-6, 0x1.29e77635152bcp-6, 0x1.22dc87d6cf118p-6, 0x1.1bf812614e498p-6, 0x1.1539603fef59ep-6, 0x1.0e9fbe6acca07p-6, 0x1.082a7c63e8d21p-6, 0x1.01d8ec341b8dap-6, 0x1.f754c4cf82d4fp-7, 0x1.eb3c6c167f63bp-7, 0x1.df67814e8d4e2p-7, 0x1.d3d4bc79de6fap-7, 0x1.c882da8349348p-7, 0x1.bd709d35c05afp-7, 0x1.b29ccb3381852p-7, 0x1.a8062fecf0c23p-7, 0x1.9dab9b9723df2p-7, 0x1.938be32236d43p-7, 0x1.89a5e02f4e918p-7, 0x1.7ff87106702b2p-7, 0x1.7682788c0a9ccp-7, 0x1.6d42de365d5eep-7, 0x1.64388e02a6afcp-7, 0x1.5b62786a1f328p-7, 0x1.52bf9256d25e9p-7, 0x1.4a4ed5184b4eep-7, 0x1.420f3e5823963p-7, 0x1.39ffd00e6793p-7, 0x1.321f9075e733ep-7, 0x1.2a6d8a0065843p-7, 0x1.22e8cb4ab3ad4p-7, 0x1.1b906710b4767p-7, 0x1.146374214f961p-7, 0x1.0d610d5252926p-7, 0x1.0688517445d02p-7, 0x1.ffb0c68c6a7d8p-8, 0x1.f2a0d2d2e16dbp-8, 0x1.e5df1caa8935ap-8, 0x1.d96a00955bedep-8, 0x1.cd3fe29018c15p-8, 0x1.c15f2df9a32b4p-8, 0x1.b5c6557a65de4p-8, 0x1.aa73d2ebba2b7p-8, 0x1.9f66273f574c1p-8, 0x1.949bda66cf2d2p-8, 0x1.8a137b3b170e5p-8, 0x1.7fcb9f6424acp-8, 0x1.75c2e3409e464p-8, 0x1.6bf7e9cda09b9p-8, 0x1.62695c8ea271ep-8, 0x1.5915eb756eec5p-8, 0x1.4ffc4cca41a7cp-8, 0x1.471b3d14037e1p-8, 0x1.3e717f00a5f7dp-8, 0x1.35fddb4da8663p-8, 0x1.2dbf20b0be7bfp-8, 0x1.25b423c0a35fap-8, 0x1.1ddbbede119ccp-8, 0x1.1634d21ceaa79p-8, 0x1.0ebe432d8898dp-8, 0x1.0776fd463e5afp-8, 0x1.005df10d0769cp-8, 0x1.f2e42902d236ep-9, 0x1.e564c5cd04b6cp-9, 0x1.d83bb95aa641p-9, 0x1.cb670ebe6419ep-9, 0x1.bee4db10f782dp-9, 0x1.b2b33d46e5357p-9, 0x1.a6d05e06b2865p-9, 0x1.9b3a6f7f833d3p-9, 0x1.8fefad4024a3ap-9, 0x1.84ee5c0e8e3bdp-9, 0x1.7a34c9bfd0cd9p-9, 0x1.6fc14d1073ca9p-9, 0x1.6592457d4f1b5p-9, 0x1.5ba61b1ccd11fp-9, 0x1.51fb3e78ab96cp-9, 0x1.48902868284afp-9, 0x1.3f6359eaaac4bp-9, 0x1.36735c02dc02p-9, 0x1.2dbebf923b65p-9, 0x1.25441d3524d78p-9, 0x1.1d02151f4c96ap-9, 0x1.14f74ef8b5276p-9, 0x1.0d2279bb19d2fp-9, 0x1.05824b8fc9ba7p-9, 0x1.fc2b035c07a9p-10, 0x1.edb5c0737aa23p-10, 0x1.dfa26445c7acbp-10, 0x1.d1ee920a252a4p-10, 0x1.c497fa0f78eaap-10, 0x1.b79c597d96b4dp-10, 0x1.aaf97a175c9cbp-10, 0x1.9ead31fdc4cbbp-10, 0x1.92b56373cf757p-10, 0x1.870ffca3527b3p-10, 0x1.7bbaf762b57fcp-10, 0x1.70b458fb7c05ep-10, 0x1.65fa31f1c740ep-10, 0x1.5b8a9dcc9ceddp-10, 0x1.5163c2df1bbd3p-10, 0x1.4783d21286c8fp-10, 0x1.3de906b121545p-10, 0x1.3491a631ef1b9p-10, 0x1.2b7c00053e2bfp-10, 0x1.22a66d620c491p-10, 0x1.1a0f511436fbbp-10, 0x1.11b5174b84edp-10, 0x1.0996356b6ea91p-10, 0x1.01b129dbc30aap-10, 0x1.f408f7b40e023p-11, 0x1.e51d76974df54p-11, 0x1.d69d0121d017dp-11, 0x1.c884d8b13d60bp-11, 0x1.bad24ee94b3cdp-11, 0x1.ad82c55e28b35p-11, 0x1.a093ad4063cffp-11, 0x1.9402870a454d4p-11, 0x1.87cce22e9d173p-11, 0x1.7bf05cc8f991ep-11, 0x1.706aa34f48bc8p-11, 0x1.65397044dc38p-11, 0x1.5a5a8beecc5a6p-11, 0x1.4fcbcc09b4ea2p-11, 0x1.458b1380c9ebfp-11, 0x1.3b9652263bbb9p-11, 0x1.31eb846cea704p-11, 0x1.2888b323611d3p-11, 0x1.1f6bf330146dfp-11, 0x1.1693654ee297fp-11, 0x1.0dfd35cfcd32ap-11, 0x1.05a79c56ebd5ep-11, 0x1.fb21b73b1cf95p-12, 0x1.eb6e8269220e2p-12, 0x1.dc324a8fadafbp-12, 0x1.cd69d4c5d6d07p-12, 0x1.bf11fa6d89c6fp-12, 0x1.b127a8c146c6cp-12, 0x1.a3a7e0641098ap-12, 0x1.968fb4f385439p-12, 0x1.89dc4c9c12b24p-12, 0x1.7d8adfaf491fcp-12, 0x1.7198b83c36229p-12, 0x1.660331a9ce306p-12, 0x1.5ac7b8534bd4ap-12, 0x1.4fe3c9268e83bp-12, 0x1.4554f1446284ap-12, 0x1.3b18cda2b098fp-12, 0x1.312d0ab08db94p-12, 0x1.278f63fc208c3p-12, 0x1.1e3da3da5562p-12, 0x1.1535a3105ca77p-12, 0x1.0c75487ee40d5p-12, 0x1.03fa88cf0d179p-12, 0x1.f786cc4221bb8p-13, 0x1.e79bdf7922e17p-13, 0x1.d83083850cdabp-13, 0x1.c94109c19a982p-13, 0x1.bac9dc0e8c02bp-13, 0x1.acc77c3d01c68p-13, 0x1.9f36837fe357bp-13, 0x1.9213a1df3fdf6p-13, 0x1.855b9daea3c3bp-13, 0x1.790b53064c462p-13, 0x1.6d1fb33f38518p-13, 0x1.6195c471f8bdfp-13, 0x1.566aa0f847408p-13, 0x1.4b9b76f142b15p-13, 0x1.412587c85190ap-13, 0x1.370627bea0e0ap-13, 0x1.2d3abd771fcfp-13, 0x1.23c0c1850863ap-13, 0x1.1a95bdfcd0472p-13, 0x1.11b74e0781a11p-13, 0x1.09231d78730c3p-13, 0x1.00d6e8654c9c3p-13, 0x1.f1a0f58098e73p-14, 0x1.e21b5fe9a26cfp-14, 0x1.d318e50c074p-14, 0x1.c495775f66158p-14, 0x1.b68d261276fb3p-14, 0x1.a8fc1c551782fp-14, 0x1.9bdea0a6419c8p-14, 0x1.8f3114260bbddp-14, 0x1.82eff1eb81e42p-14, 0x1.7717ce5e4e6c1p-14, 0x1.6ba556941e93ap-14, 0x1.60954fb1adefp-14, 0x1.55e4964f67e04p-14, 0x1.4b901de18b9ecp-14, 0x1.4194f023c239fp-14, 0x1.37f02c8813809p-14, 0x1.2e9f07a929949p-14, 0x1.259ecabfd156dp-14, 0x1.1cecd31ba6ea2p-14, 0x1.1486919edefc6p-14, 0x1.0c698a3d19beap-14, 0x1.0493537d3379ap-14, 0x1.fa032bfc011b5p-15, 0x1.eb6417fbc9a8p-15, 0x1.dd4501ca738eep-15, 0x1.cfa1a1a6e6784p-15, 0x1.c275d05de53ep-15, 0x1.b5bd866efb7e5p-15, 0x1.a974db368f50ep-15, 0x1.9d98041cfef9bp-15, 0x1.922353cab105ap-15, 0x1.87133960f54ecp-15, 0x1.7c643fb7a5f98p-15, 0x1.72130c9f68b5ep-15, 0x1.681c6028753fap-15, 0x1.5e7d13edcfd1cp-15, 0x1.55321a64d949fp-15, 0x1.4c387e311bc39p-15, 0x1.438d617c45408p-15, 0x1.3b2dfd522bfdp-15, 0x1.3317a100d36bcp-15, 0x1.2b47b17c51ca5p-15, 0x1.23bba8c6855e2p-15, 0x1.1c71155a82a7cp-15, 0x1.1565999ba7bbbp-15, 0x1.0e96eb483ec5ep-15, 0x1.0802d2ef9be7ep-15, 0x1.01a72b6ba525ap-15, 0x1.f703c2bb587bbp-16, 0x1.eb21e55d18c15p-16, 0x1.dfa4dc23ef2e1p-16, 0x1.d488e519bdec5p-16, 0x1.c9ca5dfdd2047p-16, 0x1.bf65c35dbc395p-16, 0x1.b557afb403f92p-16, 0x1.ab9cda8c82a97p-16, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      50, 0x1.f102de00d1b71p+1, 0x1.415b5c8ffbd0bp+1, 0x1.54ce8c489fe88p+2, -0x1.5e6175da94da9p-2, 
      {{
        {0x1.b333333333333p+0, 0x1.be605d62dc992p+0, 0x1.44952db9a1a1dp+1, -0x1.ce6d8cbcb1cc2p+2, 0x1.223e32ce8b54p+3, 0x1.f63854371b02p+0}, 
        {0x1.be605d62dc992p+0, 0x1.c98d87bd791cdp+0, 0x1.1e706dfc31ea3p+1, -0x1.9b063ecb620d6p+2, 0x1.2a7715298333bp+3, -0x1.39e9827b49b7cp+3}, 
        {0x1.c98d87bd791cdp+0, 0x1.d4bab1ed2282bp+0, 0x1.f97149ef375aep+0, -0x1.6a7e2b469cd58p+2, 0x1.0159d5658d6b8p+3, -0x1.7947842a14e1ep+2}, 
        {0x1.d4bab1ed2282bp+0, 0x1.dfe7dc47bf066p+0, 0x1.bdf037b5f9cc9p+0, -0x1.3fb5627ea8789p+2, 0x1.d149c3870f915p+2, -0x1.8e8ddde97a5a9p+2}, 
        {0x1.dfe7dc47bf066p+0, 0x1.eb150677686c5p+0, 0x1.898597033c4a9p+0, -0x1.195c4707c8bc7p+2, 0x1.9d16874ae8d0cp+2, -0x1.5d849595744aap+2}, 
        {0x1.eb150677686c5p+0, 0x1.f64230d204fp+0, 0x1.5b6ba39215ecap+0, -0x1.ee946d8eb17ffp+1, 0x1.6f4f724d4985cp+2, -0x1.41f98a3920d24p+2}, 
        {0x1.f64230d204fp+0, 0x1.00b7ad80d72afp+1, 0x1.32edd58603e59p+0, -0x1.b21e2f124999fp+1, 0x1.4523dd1552656p+2, -0x1.23101ba33bb9ap+2}, 
        {0x1.00b7ad80d72afp+1, 0x1.064e42ae256cdp+1, 0x1.0f67dadaac896p+0, -0x1.7caab1e063169p+1, 0x1.1f04bc223558p+2, -0x1.0789069b34624p+2}, 
        {0x1.064e42ae256cdp+1, 0x1.0be4d7c5fa1fcp+1, 0x1.e08933811d073p-1, -0x1.4d8edd67f87bcp+1, 0x1.f9012c70e137ep+1, -0x1.dab8477440111p+1}, 
        {0x1.0be4d7c5fa1fcp+1, 0x1.117b6cf34861ap+1, 0x1.a9fa733cfd504p-1, -0x1.242d7a068f18p+1, 0x1.bad4295d5d9bcp+1, -0x1.aa436fbfc5cafp+1}, 
        {0x1.117b6cf34861ap+1, 0x1.1712020b1d149p+1, 0x1.7a306a0023e74p-1, -0x1.ffe5ec9268012p+0, 0x1.82ffdad3e5059p+1, -0x1.7d042c11c25dep+1}, 
        {0x1.1712020b1d149p+1, 0x1.1ca897386b566p+1, 0x1.5050e4fd78c4cp-1, -0x1.c0ac5219d62cap+0, 0x1.5118a795803eep+1, -0x1.5331ea8e7015ep+1}, 
        {0x1.1ca897386b566p+1, 0x1.223f2c5040096p+1, 0x1.2b98cc03121dp-1, -0x1.89af3b1af7a65p+0, 0x1.24abb0abb474fp+1, -0x1.2c6e5dbc1992fp+1}, 
        {0x1.223f2c5040096p+1, 0x1.27d5c17d8e4b3p+1, 0x1.0b5a72f0c0fb6p-1, -0x1.5a02bcabb0523p+0, 0x1.faa4e7b9cf4b4p+0, -0x1.08ce55750a5ebp+1}, 
        {0x1.27d5c17d8e4b3p+1, 0x1.2d6c569562fe2p+1, 0x1.ddf7f693921p-2, -0x1.30cd0ca8fd2fp+0, 0x1.b5476536066fp+0, -0x1.d01652379efacp+0}, 
        {0x1.2d6c569562fe2p+1, 0x1.3302ebad37b12p+1, 0x1.abeb8a3863dadp-2, -0x1.0d45f59556c3fp+0, 0x1.787ee3694d93p+0, -0x1.943dcf54302e8p+0}, 
        {0x1.3302ebad37b12p+1, 0x1.389980da85f2fp+1, 0x1.7fa1df5abb59dp-2, -0x1.dd6be37ccb1bdp-1, 0x1.438cf73ee9676p+0, -0x1.5dcc4598a4c1dp+0}, 
        {0x1.389980da85f2fp+1, 0x1.3e3015f25aa5fp+1, 0x1.584bd3a43d9dbp-2, -0x1.a8eb68a1d90e5p-1, 0x1.15bc7def8f641p+0, -0x1.2c6b8fd7b876dp+0}, 
        {0x1.3e3015f25aa5fp+1, 0x1.43c6ab1fa8e7cp+1, 0x1.3536237d8896ep-2, -0x1.7bda88bcf2cb4p-1, 0x1.dcc73e4e52dfep-1, -0x1.00088fca33921p+0}, 
        {0x1.43c6ab1fa8e7cp+1, 0x1.495d40377d9abp+1, 0x1.15c6c95b30dbdp-2, -0x1.5526c04a6a9c1p-1, 0x1.99b6020c5f825p-1, -0x1.b073a6a7648a8p-1}, 
        {0x1.495d40377d9abp+1, 0x1.4ef3d564cbdc9p+1, 0x1.f2f4f83a0deddp-3, -0x1.33d992f460266p-1, 0x1.611236c97313fp-1, -0x1.69d84d453e40fp-1}, 
        {0x1.4ef3d564cbdc9p+1, 0x1.548a6a7ca08f8p+1, 0x1.bfc49921a4957p-3, -0x1.171719ea05053p-1, 0x1.31add02a16b21p-1, -0x1.2b7459d0d9008p-1}, 
        {0x1.548a6a7ca08f8p+1, 0x1.5a20ffa9eed16p+1, 0x1.9142c4ba7372bp-3, -0x1.fc394df5a0cb4p-2, 0x1.0a75523047d76p-1, -0x1.ea33f8f45478fp-2}, 
        {0x1.5a20ffa9eed16p+1, 0x1.5fb794c1c3845p+1, 0x1.66d5b110c869p-3, -0x1.d07eaa816bf97p-2, 0x1.d4b67c92ad7dfp-2, -0x1.8c128bfd9a52dp-2}, 
        {0x1.5fb794c1c3845p+1, 0x1.654e29ef11c62p+1, 0x1.3fff710ee0ee7p-3, -0x1.a9d56055f8a3dp-2, 0x1.a0d676f0d07d6p-2, -0x1.3c0aa69157ea5p-2}, 
        {0x1.654e29ef11c62p+1, 0x1.6ae4bf06e6792p+1, 0x1.1c5a2a5cb9ae2p-3, -0x1.873e7d75cdb5bp-2, 0x1.7771d0fd68a0ap-2, -0x1.f174b0b0a45dp-3}, 
        {0x1.6ae4bf06e6792p+1, 0x1.707b543434bafp+1, 0x1.f7291284224a4p-4, -0x1.67e2536781adbp-2, 0x1.56de265ecb94ep-2, -0x1.831b61c467a53p-3}, 
        {0x1.707b543434bafp+1, 0x1.7611e94c096dep+1, 0x1.badce6b18b8fp-4, -0x1.4b0d945258dap-2, 0x1.3d8470c8181bep-2, -0x1.2a81bb536dd89p-3}, 
        {0x1.7611e94c096dep+1, 0x1.7ba87e63de20ep+1, 0x1.836bf12e9ab6fp-4, -0x1.302ea43fcf773p-2, 0x1.29f8153708eacp-2, -0x1.cc44e97d243cap-4}, 
        {0x1.7ba87e63de20ep+1, 0x1.813f13912c62bp+1, 0x1.508905d47e92ap-4, -0x1.16d29f0708aabp-2, 0x1.1ae5f5b8389b9p-2, -0x1.6801aa72f5e9ap-4}, 
        {0x1.813f13912c62bp+1, 0x1.86d5a8a90115bp+1, 0x1.21f888c7a2311p-4, -0x1.fd4590e6c132fp-3, 0x1.0f1c45160589ap-2, -0x1.23f987a8b8542p-4}, 
        {0x1.86d5a8a90115bp+1, 0x1.8c6c3dd64f578p+1, 0x1.ef17902091488p-5, -0x1.cec3155fa287bp-3, 0x1.058cd83b39e66p-2, -0x1.fa2bd8f2987dap-5}, 
        {0x1.8c6c3dd64f578p+1, 0x1.9202d2ee240a7p+1, 0x1.a239a3d474d0ap-5, -0x1.a1cf8870d39dap-3, 0x1.fa86cca2048c4p-3, -0x1.dd7127eb88bf1p-5}, 
        {0x1.9202d2ee240a7p+1, 0x1.9799681b724c5p+1, 0x1.5d15914ed6d99p-5, -0x1.7643f15f29d11p-3, 0x1.eae4ba6b92e65p-3, -0x1.eba2e38f1f511p-5}, 
        {0x1.9799681b724c5p+1, 0x1.9d2ffd3346ff4p+1, 0x1.1f6d6640eee11p-5, -0x1.4c1afd283363cp-3, 0x1.dacbacdba8233p-3, -0x1.0dd854181dc9dp-4}, 
        {0x1.9d2ffd3346ff4p+1, 0x1.a2c6926095412p+1, 0x1.d2032a8de55edp-6, -0x1.236b74bb204d2p-3, 0x1.c91fd23255401p-3, -0x1.33a1731ef4b11p-4}, 
        {0x1.a2c6926095412p+1, 0x1.a85d277869f41p+1, 0x1.7319177ab1514p-6, -0x1.f8c529382a90dp-4, 0x1.b4fa80dcec39dp-3, -0x1.62c61dafb0ec6p-4}, 
        {0x1.a85d277869f41p+1, 0x1.adf3bca5b835ep+1, 0x1.217e82ad68045p-6, -0x1.ae7d0df39bf3bp-4, 0x1.9dbed904707f2p-3, -0x1.97f142b28fae3p-4}, 
        {0x1.adf3bca5b835ep+1, 0x1.b38a51bd8ce8ep+1, 0x1.b8fb096f4135cp-7, -0x1.68916c0442af4p-4, 0x1.8307d6dde2661p-3, -0x1.cee8b45018e34p-4}, 
        {0x1.b38a51bd8ce8ep+1, 0x1.b920e6eadb2abp+1, 0x1.468ad037ef3a5p-7, -0x1.27a08fc96429cp-4, 0x1.64b75676a2bf7p-3, -0x1.021793939d89fp-3}, 
        {0x1.b920e6eadb2abp+1, 0x1.beb77c02afddbp+1, 0x1.d3a6962362c6ap-8, -0x1.d891d324b6465p-5, 0x1.42e9b1e81fb7p-3, -0x1.19d5d60331f38p-3}, 
        {0x1.beb77c02afddbp+1, 0x1.c44e112ffe1f8p+1, 0x1.418b55aa1ab71p-8, -0x1.6e3bf495f7595p-5, 0x1.1dfff63930ff8p-3, -0x1.2ce17038540e4p-3}, 
        {0x1.c44e112ffe1f8p+1, 0x1.c9e4a647d2d27p+1, 0x1.a48ca9d68484dp-9, -0x1.113a0a94c6492p-5, 0x1.ed2f4d129b321p-4, -0x1.393f9336c5b8p-3}, 
        {0x1.c9e4a647d2d27p+1, 0x1.cf7b3b5fa7857p+1, 0x1.021b0b26d839ap-9, -0x1.84880cfca56edp-6, 0x1.9b215258b7d44p-4, -0x1.3d0480014aacbp-3}, 
        {0x1.cf7b3b5fa7857p+1, 0x1.d511d08cf5c74p+1, 0x1.2396367c82a15p-10, -0x1.0370c6a0c28fbp-6, 0x1.48169526d19bp-4, -0x1.367ed99ea3c43p-3}, 
        {0x1.d511d08cf5c74p+1, 0x1.daa865a4ca7a3p+1, 0x1.26268ad80c582p-11, -0x1.3e1c08283b8fbp-7, 0x1.ed8266144291ap-5, -0x1.22de3cfb3f8fp-3}, 
        {0x1.daa865a4ca7a3p+1, 0x1.e03efad218bc1p+1, 0x1.f7c9d1f8e225cp-13, -0x1.58b63b9b3b56bp-8, 0x1.552002aab47f4p-5, -0x1.03989463a63bfp-3}, 
        {0x1.e03efad218bc1p+1, 0x1.e5d58fe9ed6fp+1, 0x1.4d1253e8423ebp-14, -0x1.33daaa37a0886p-9, 0x1.9a3f79d6a060fp-6, -0x1.946fe469ab3bbp-4}, 
        {0x1.e5d58fe9ed6fp+1, 0x1.eb6c25173bb0ep+1, 0x1.12c9e3c9c8044p-16, -0x1.7d26c3d1c8f1ap-11, 0x1.8cbb188cf317ep-7, -0x1.473f71a7d2599p-4}, 
        {0x1.eb6c25173bb0ep+1, 0x1.f102de00d1b71p+1, 0x1.1ec1cd6387825p-20, -0x1.09a6e60a34e96p-13, 0x1.aec022556c753p-10, 0x1.426f058f52d07p-3}, 
      }}, 
      -0x1.4b82124d7ebbep+2, 0x1.63724fc314c76p+5
    }
  };
  // clang-format on
}
SkfData params_hyb_0_2_ag_si() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.0b137c01031c8p-1, -0x1.0fa2490b63084p-1, -0x1.0f964f709792fp-1, -0x1.0b6c473ef3667p-1, -0x1.03ab3be4d4f53p-1, -0x1.f1bdd9d08e2ap-2, -0x1.d71f2fb64abefp-2, -0x1.b8816114e7896p-2, -0x1.96df2d19a02dbp-2, -0x1.731f0d7881161p-2, -0x1.4e1086f27c729p-2, -0x1.286dec4386fbfp-2, -0x1.02db9b7aa87b8p-2, -0x1.bbccff0e990e4p-3, -0x1.740abd67eb3f5p-3, -0x1.2f364b08fa45dp-3, -0x1.dbe02ef10653fp-4, -0x1.616a4197f3575p-4, -0x1.df8a47f160a31p-5, -0x1.0ee6a17da668p-5, -0x1.462c0c478b7b1p-7, 0x1.610575af81f81p-7, 0x1.dd0e6c66db993p-6, 0x1.7173210b1f5b1p-5, 0x1.e17b6f0b440b3p-5, 0x1.1fa4e426067bdp-4, 0x1.45d5aef716b3dp-4, 0x1.63c15e25ccadfp-4, 0x1.79dfbc6e2e594p-4, 0x1.88ade9484ff1ap-4, 0x1.90ae8276d1011p-4, 0x1.9269204fbc2cbp-4, 0x1.8e6820c36936dp-4, 0x1.85354b0472014p-4, 0x1.7756ab03669a4p-4, 0x1.654cb1d9ae98dp-4, 0x1.4f91c60f96a59p-4, 0x1.369abb33a124cp-4, 0x1.1ad76e98b5e17p-4, 0x1.f965e9206720cp-5, 0x1.b9264d0b3775bp-5, 0x1.75af924d5e14ap-5, 0x1.2fb37162149dap-5, 0x1.cfa9f3499842bp-6, 0x1.3d51a914c86a9p-6, 0x1.52d9b76b4a98ap-7, 0x1.4f2f5a23275aap-10, -0x1.fce564ee6a7dap-8, -0x1.12487817e913bp-6, -0x1.a37d705554d8ep-6, -0x1.1917238582d77p-5, -0x1.5ee2410e3e34ap-5, -0x1.a2de9d7983395p-5, -0x1.e4d4304b8489bp-5, -0x1.1249c94dbd60bp-4, -0x1.30fa7852ad619p-4, -0x1.4e6b7716ff353p-4, -0x1.6a8ed8b6808d1p-4, -0x1.855919cd02fc9p-4, -0x1.9ec0ee5905f48p-4, -0x1.b6bf2d721be09p-4, -0x1.cd4eccf197144p-4, -0x1.e26cdde83c4d9p-4, -0x1.f619cceb8364dp-4, -0x1.0428006b33b34p-3, -0x1.0c8c124819549p-3, -0x1.143b6b24571ap-3, -0x1.1b38e0b40d5d3p-3, -0x1.2187b019d2226p-3, -0x1.272b65ded2367p-3, -0x1.2c27cd9c59b94p-3, -0x1.3080e88d273e4p-3, -0x1.343ae9643a5c2p-3, -0x1.375a3377438f3p-3, -0x1.39e35b62b834ep-3, -0x1.3bdb279d1f659p-3, -0x1.3d468fcfde687p-3, -0x1.3e2aba2d7ac7bp-3, -0x1.3e8cf65cf7686p-3, -0x1.3e72b5f1bae6bp-3, -0x1.3de182c20eec2p-3, -0x1.3cdef3b8f05c3p-3, -0x1.3b70a0efea197p-3, -0x1.399c17ecae5eap-3, -0x1.3766d0ce5d3cdp-3, -0x1.34d6250e62e3bp-3, -0x1.31ef484315184p-3, -0x1.2eb7431896716p-3, -0x1.2b32f07f35eacp-3, -0x1.2766fce256e11p-3, -0x1.2357e71974631p-3, -0x1.1f0a02ad80d86p-3, -0x1.1a817aff4de99p-3, -0x1.15c256d8267d2p-3, -0x1.10d07bf42b568p-3, -0x1.0bafb225afa81p-3, -0x1.0663a5c74aafap-3, -0x1.00efe94cc40b4p-3, -0x1.f6afebbc6dedbp-4, -0x1.eb3e56057fad3p-4, -0x1.df919aeee7804p-4, -0x1.d3b00ac4e70eep-4, -0x1.c79fb83fb54d5p-4, -0x1.bb6673dac0309p-4, -0x1.af09c77226149p-4, -0x1.a28ef2a0414bcp-4, -0x1.95fae83a1b3c1p-4, -0x1.89524d27ecbdp-4, -0x1.7c9978b2907c9p-4, -0x1.6fd4763cf0b11p-4, -0x1.630708445c0d4p-4, -0x1.5634ac6df17bfp-4, -0x1.4960a05aa2fd5p-4, -0x1.3c8de6f60ee63p-4, -0x1.2fbf4df54833ap-4, -0x1.22f7734048243p-4, -0x1.1638ca09dbf7cp-4, -0x1.09859f657cad6p-4, -0x1.f9c03c6f4cde8p-5, -0x1.e094a4d6edb97p-5, -0x1.c78c56cd23cc1p-5, -0x1.aeaafb83b0b74p-5, -0x1.95f408b278ebdp-5, -0x1.7d6ac19cddeafp-5, -0x1.65123740e174cp-5, -0x1.4ced47fa72bb4p-5, -0x1.34fe9ee546513p-5, -0x1.1d48b34213822p-5, -0x1.05cdc81a31bcbp-5, -0x1.dd1fd89f1ba99p-6, -0x1.af21f670d61bdp-6, -0x1.81a53bae9f992p-6, -0x1.54ac99635802ep-6, -0x1.283aa476c923ep-6, -0x1.f8a33710a476ep-7, -0x1.a1e6db3259a3dp-7, -0x1.4c438295aac2bp-7, -0x1.ef77f1cd022a7p-8, -0x1.48a52f266705dp-8, -0x1.482553905770bp-9, -0x1.c3a4d383150afp-16, 0x1.3c8a565db7233p-9, 0x1.3c05880fe40a9p-8, 0x1.d77b94c3076e4p-8, 0x1.3852e1bbd3d59p-7, 0x1.83c1639208b2bp-7, 0x1.ce08c43d7809fp-7, 0x1.0b9ded6228094p-6, 0x1.2fa271a502ae9p-6, 0x1.5311669b217dfp-6, 0x1.75ea9c2adb179p-6, 0x1.982df733e6a3ap-6, 0x1.b9db71b7ba2ccp-6, 0x1.daf31ade52566p-6, 0x1.fb7516c282393p-6, 0x1.0db0cefb6c5f8p-5, 0x1.1d5c7e5d15e69p-5, 0x1.2cbdc8ec8efb2p-5, 0x1.3bd4e69fff6a7p-5, 0x1.4aa21722d268p-5, 0x1.5925a0de1e9c7p-5, 0x1.675fcfec118cfp-5, 0x1.7550f4ff7b148p-5, 0x1.82f96448d9ea9p-5, 0x1.905974624b9a6p-5, 0x1.9d717d4aff63p-5, 0x1.aa41d779f2071p-5, 0x1.b6cadb0e62952p-5, 0x1.c30cdf230ab92p-5, 0x1.cf0839479196bp-5, 0x1.dabd3d2227289p-5, 0x1.e62c3c39b0a4ep-5, 0x1.f15585e75eb48p-5, 0x1.fc39676d656cdp-5, 0x1.036c161799e34p-4, 0x1.08990f035ba61p-4, 0x1.0da3c2d8b4bedp-4, 0x1.128c55a7b4759p-4, 0x1.1752eb774fa23p-4, 0x1.1bf7a88df4d6bp-4, 0x1.207ab1ba3f7f3p-4, 0x1.24dc2c9917a6fp-4, 0x1.291c3fd6e56fcp-4, 0x1.2d3b1369d4c83p-4, 0x1.3138d0c3a8fc4p-4, 0x1.3515a2fa07b6p-4, 0x1.38d1b6e4aa785p-4, 0x1.3c6d3b3153373p-4, 0x1.3fe8606dd7168p-4, 0x1.43435908eda6bp-4, 0x1.467e594ac16afp-4, 0x1.499997467fe86p-4, 0x1.4c954ac64f971p-4, 0x1.4f71ad33237adp-4, 0x1.522ef979ed7b4p-4, 0x1.54cd6bef9f825p-4, 0x1.574d423550d86p-4, 0x1.59aebb1db7615p-4, 0x1.5bf21694f3d26p-4, 0x1.5e17958b7da49p-4, 0x1.601f79e4c47bp-4, 0x1.620a0669e2771p-4, 0x1.63d77ec08bcf9p-4, 0x1.6588276635afep-4, 0x1.671c45af3e2fap-4, 0x1.68941fc9c3c29p-4, 0x1.69effcc3b4adp-4, 0x1.6b30249389ed3p-4, 0x1.6c54e023172fbp-4, 0x1.6d5e795bc664fp-4, 0x1.6e4d3b339eb4fp-4, 0x1.6f2171ba73617p-4, 0x1.6fdb6a26a26cp-4, 0x1.707b72e0d8b7dp-4, 0x1.7101db8e61ec4p-4, 0x1.716ef519a1386p-4, 0x1.71c311b85e873p-4, 0x1.71fe84efb3b75p-4, 0x1.7221a395715fdp-4, 0x1.722cc3cef2ddfp-4, 0x1.72203d0d636dep-4, 0x1.71fc68078feccp-4, 0x1.71c19eb16b447p-4, 0x1.71703c317c63dp-4, 0x1.71089cd472cf3p-4, 0x1.708b1dff27464p-4, 0x1.6ff81e1f53163p-4, 0x1.6f4ffc9b45858p-4, 0x1.6e9319c0e1691p-4, 0x1.6dc1d6b426f76p-4, 0x1.6cdc955d8821p-4, 0x1.6be3b8583d15fp-4, 0x1.6ad7a2e0cbcf8p-4, 0x1.69b8b8c3e519cp-4, 0x1.68875e4db82fp-4, 0x1.6743f839cf8bap-4, 0x1.65eeeba383fe8p-4, 0x1.64889df70db39p-4, 0x1.631174e32fb48p-4, 0x1.6189d64b78c47p-4, 0x1.5ff2283b0f097p-4, 0x1.5e4ad0d7f9ab7p-4, 0x1.5c943656d50f5p-4, 0x1.5acebeeee6111p-4, 0x1.58fad0ce76f49p-4, 0x1.5718d20f6e907p-4, 0x1.552928ac14562p-4, 0x1.532c3a73f0abcp-4, 0x1.51226d00c0fafp-4, 0x1.4f0c25ab75119p-4, 0x1.4ce9c9812e45cp-4, 0x1.4abbbd383fd4cp-4, 0x1.488265252a277p-4, 0x1.463e252f95367p-4, 0x1.43ef60c74b1a7p-4, 0x1.41967ad9364edp-4, 0x1.3f33d5c469ce2p-4, 0x1.3cc7d34f3b4d1p-4, 0x1.3a52d49c72925p-4, 0x1.37d53a209b48bp-4, 0x1.354f63977bc39p-4, 0x1.32c1aff9bc50ap-4, 0x1.302c7d72c5138p-4, 0x1.2d902956d973p-4, 0x1.2aed1019768e1p-4, 0x1.28438d43fca16p-4, 0x1.2593fb6ca54e3p-4, 0x1.22deb42dcd169p-4, 0x1.2024101d90c46p-4, 0x1.1d6466c5c42e8p-4, 0x1.1aa00e9c414d9p-4, 0x1.17d75cfb9136ep-4, 0x1.150aa61bf1186p-4, 0x1.123a3d0cb0c0dp-4, 0x1.0f6673adebed6p-4, 0x1.0c8f9aaa9cf6bp-4, 0x1.09b6017307735p-4, 0x1.06d9f6377994cp-4, 0x1.03fbc5e364f3dp-4, 0x1.011bbc18c9848p-4, 0x1.fc744657e9f7p-5, 0x1.f6ae883f247ccp-5, 0x1.f0e6cd421544cp-5, 0x1.eb1da20a67626p-5, 0x1.e553908a988abp-5, 0x1.df891ff8887b7p-5, 0x1.d9bed4c8a0bb2p-5, 0x1.d3f530a98eb75p-5, 0x1.ce2cb2808e7e8p-5, 0x1.c865d666477d8p-5, 0x1.c2a115a43437bp-5, 0x1.bcdee6b297161p-5, 0x1.b71fbd36f5f77p-5, 0x1.b1640a031debp-5, 0x1.abac3b14ad527p-5, 0x1.a5f8bb951cad3p-5, 0x1.a049f3da4afbbp-5, 0x1.9aa0496782767p-5, 0x1.94fc1eeefdb1cp-5, 0x1.8f5dd453dfcebp-5, 0x1.89c5c6aca230cp-5, 0x1.84345045f6a85p-5, 0x1.7ea9c8a6121d7p-5, 0x1.792684906939bp-5, 0x1.73aad609ce2d7p-5, 0x1.6e370c5cf7a92p-5, 0x1.68cb741f65c7cp-5, 0x1.63685736a4905p-5, 0x1.5e0dfcdde889bp-5, 0x1.58bca9ac01824p-5, 0x1.53749f999dea1p-5, 0x1.4e361e07e0dbbp-5, 0x1.490161c73f37cp-5, 0x1.43d6a51ea7b1fp-5, 0x1.3eb76d44775c7p-5, 0x1.39a15d3c932ccp-5, 0x1.3495ec14e4d11p-5, 0x1.2f954a513db7cp-5, 0x1.2a9fa612dcbc7p-5, 0x1.25b52b20a7f0fp-5, 0x1.20d602efa344bp-5, 0x1.1c0254aba139cp-5, 0x1.173a45402e5c3p-5, 0x1.127df761adfb6p-5, 0x1.0dcd8b96a9e79p-5, 0x1.092920414edfp-5, 0x1.0490d1a90efa9p-5, 0x1.0004ba0470155p-5, 0x1.f709e305e92f5p-6, 0x1.ee231cae4b5e3p-6, 0x1.e55549816f1f8p-6, 0x1.dca08e2d82d2bp-6, 0x1.d4050ba412d58p-6, 0x1.cb82df2ebb93cp-6, 0x1.c31a2283f7bd7p-6, 0x1.bacaebdbf3697p-6, 0x1.b2954e057508bp-6, 0x1.aa79587abbcb9p-6, 0x1.a277177665104p-6, 0x1.9a8e940843be9p-6, 0x1.92bfd42a27743p-6, 0x1.8b0adad4959e7p-6, 0x1.836fa813666dap-6, 0x1.7bee391a44ef6p-6, 0x1.748688591031ap-6, 0x1.6d388d9017cf1p-6, 0x1.66043de42c25cp-6, 0x1.5ee98bf289f6ep-6, 0x1.57e867e4908b1p-6, 0x1.5100bf834c361p-6, 0x1.4a327e4ac7266p-6, 0x1.437d8d7d29a75p-6, 0x1.3ce1d4359e92ap-6, 0x1.365f377afca5bp-6, 0x1.2ff59a52378bfp-6, 0x1.29a4ddd0902b3p-6, 0x1.236ce12d886c7p-6, 0x1.1d4d81d492c1ep-6, 0x1.17469b768475p-6, 0x1.1158081ac51aap-6, 0x1.0b81a03039114p-6, 0x1.05c33a9de9d96p-6, 0x1.001cacd36977ep-6, 0x1.f51b95b1e32d8p-7, 0x1.ea2ccebe788e1p-7, 0x1.df6ca79e33d22p-7, 0x1.d4dac0b17e9dp-7, 0x1.ca76b80599928p-7, 0x1.c04029722bcb6p-7, 0x1.b636aeb636121p-7, 0x1.ac59df9488dd4p-7, 0x1.a2a951efaabd6p-7, 0x1.992499e533759p-7, 0x1.8fcb49e89e90dp-7, 0x1.869cf2dd9b13dp-7, 0x1.7d992431cd0a9p-7, 0x1.74bf6bf60961ep-7, 0x1.6c0f56f71046ap-7, 0x1.638870d5bac87p-7, 0x1.5b2a441eb5146p-7, 0x1.52f45a61a2194p-7, 0x1.4ae63c47ca5b7p-7, 0x1.42ff71aa4ab73p-7, 0x1.3b3f81a7bf1f6p-7, 0x1.33a5f2b9725b5p-7, 0x1.2c324ac80ff2cp-7, 0x1.24e40f3fd6bcp-7, 0x1.1dbac52459b27p-7, 0x1.16b5f123bd5a8p-7, 0x1.0fd517a9794cp-7, 0x1.0917bcf0acce6p-7, 0x1.027d6515f001fp-7, 0x1.f80b28515dea5p-8, 0x1.eb5f9c781490dp-8, 0x1.def72eee94a7ep-8, 0x1.d2d0e84b9c04bp-8, 0x1.c6ebd18d08964p-8, 0x1.bb46f435ea2c7p-8, 0x1.afe15a6b90ba4p-8, 0x1.a4ba0f11b187ap-8, 0x1.99d01de5997a9p-8, 0x1.8f22939870f68p-8, 0x1.84b07de87c375p-8, 0x1.7a78ebb9825f4p-8, 0x1.707aed2c25762p-8, 0x1.66b593b44f5f9p-8, 0x1.5d27f22eacc09p-8, 0x1.53d11cf52c88ep-8, 0x1.4ab029f28619fp-8, 0x1.41c430b4d53d8p-8, 0x1.390c4a7f34d7fp-8, 0x1.3087925a6e921p-8, 0x1.28352524b2d0cp-8, 0x1.201421a066341p-8, 0x1.1823a881f7f45p-8, 0x1.1062dc7cdd41fp-8, 0x1.08d0e24f980b7p-8, 0x1.016ce0cee27eap-8, 0x1.f46c01dffc48fp-9, 0x1.e656dba4403d6p-9, 0x1.d898a98e42bep-9, 0x1.cb2fcab69ec0bp-9, 0x1.be1aa2b8faf27p-9, 0x1.b15799c0c5321p-9, 0x1.a4e51c94756e4p-9, 0x1.98c19c9f7ebe4p-9, 0x1.8ceb8ffaebe4fp-9, 0x1.81617174e88bcp-9, 0x1.7621c09706cadp-9, 0x1.6b2b01ab91801p-9, 0x1.607bbdc1c5bc6p-9, 0x1.561282b14cc9cp-9, 0x1.4bede31cbdee6p-9, 0x1.420c76736b7b7p-9, 0x1.386cd8f27fa6ep-9, 0x1.2f0daba578f54p-9, 0x1.25ed946603619p-9, 0x1.1d0b3ddb7f549p-9, 0x1.14655779de092p-9, 0x1.0bfa958037921p-9, 0x1.03c9b0f6f9db2p-9, 0x1.f7a2cf5b91b36p-10, 0x1.e820f871f631ep-10, 0x1.d90b6bddf681fp-10, 0x1.ca5fc1ca80af8p-10, 0x1.bc1b9bd9fbe7dp-10, 0x1.ae3ca51f8a77ep-10, 0x1.a0c092175bfa8p-10, 0x1.93a5209e8a6ep-10, 0x1.86e817eaabda7p-10, 0x1.7a87488082ca1p-10, 0x1.6e808c29d334dp-10, 0x1.62d1c5eb32ea6p-10, 0x1.5778e1f84a4b4p-10, 0x1.4c73d5a7d2938p-10, 0x1.41c09f66708a6p-10, 0x1.375d46a8af23ep-10, 0x1.2d47dbdc15937p-10, 0x1.237e78571c037p-10, 0x1.19ff3e4854835p-10, 0x1.10c858a455543p-10, 0x1.07d7fb12b3647p-10, 0x1.fe58c3b3db20fp-11, 0x1.ed87a395054a6p-11, 0x1.dd393051dae9dp-11, 0x1.cd6a152db9227p-11, 0x1.be170df712cdfp-11, 0x1.af3ce6d6feec6p-11, 0x1.a0d87c1f2e60bp-11, 0x1.92e6ba1743d33p-11, 0x1.85649cc931a0ep-11, 0x1.784f2fccfa648p-11, 0x1.6ba38e146315ap-11, 0x1.5f5ee1b652841p-11, 0x1.537e63ba8d6p-11, 0x1.47ff5be57a5cap-11, 0x1.3cdf2084ef5d1p-11, 0x1.321b163d23553p-11, 0x1.27b0afd6c9da6p-11, 0x1.1d9d6e0db31c7p-11, 0x1.13dedf60f0fb3p-11, 0x1.0a729fe360fcbp-11, 0x1.0156590d6ed11p-11, 0x1.f10f831f5575cp-12, 0x1.e0093a4c807dcp-12, 0x1.cf9578da0765fp-12, 0x1.bfaff9686c648p-12, 0x1.b0548fab0bd4ap-12, 0x1.a17f2813692e8p-12, 0x1.932bc77bfa4b4p-12, 0x1.85568ad3513c9p-12, 0x1.77fba6c6fa074p-12, 0x1.6b17676cd428dp-12, 0x1.5ea62fedb3f8dp-12, 0x1.52a47a2c7f52cp-12, 0x1.470ed66dcb803p-12, 0x1.3be1eafd8f584p-12, 0x1.311a73d3cd759p-12, 0x1.26b542375ba36p-12, 0x1.1caf3c60aa4a9p-12, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.ece2bf82ce772p-7, -0x1.42dc9e207f67ep-5, -0x1.f9f53fadb9f49p-5, -0x1.4fcfe13956afep-4, -0x1.99bcc935826e4p-4, -0x1.dac31f0917792p-4, -0x1.0987325dd1355p-3, -0x1.21763949e52d7p-3, -0x1.356254af36ecp-3, -0x1.45885934f0b4fp-3, -0x1.522bb95826305p-3, -0x1.5b9418eb412c3p-3, -0x1.620b041312dbap-3, -0x1.65da445babaep-3, -0x1.674aa99d22bdcp-3, -0x1.66a2f76c008e7p-3, -0x1.6427033c07771p-3, -0x1.60171df5791e4p-3, -0x1.5aafb4e115e3ap-3, -0x1.54290e7f102fp-3, -0x1.4cb7200299209p-3, -0x1.448955bef6855p-3, -0x1.3bcb5753136ebp-3, -0x1.32a40cc684c2cp-3, -0x1.2936545af3c4bp-3, -0x1.1fa1332fda60dp-3, -0x1.160016074ac47p-3, -0x1.0c6b051270bdap-3, -0x1.02f6d1203b77fp-3, -0x1.f36a885801f79p-4, -0x1.e16ab87943fb3p-4, -0x1.d0071f5e42f42p-4, -0x1.bf5425dc7c311p-4, -0x1.af622e9ae02fbp-4, -0x1.a03dfed91dde4p-4, -0x1.91f115b20fd06p-4, -0x1.8481fb7df9cbep-4, -0x1.77f4922f482f9p-4, -0x1.6c4a6984165fap-4, -0x1.61831380dc40ep-4, -0x1.579c7303e6d1cp-4, -0x1.4e92ffbe75f34p-4, -0x1.4661fe00dbf39p-4, -0x1.3f03abf6930bcp-4, -0x1.387168839351ep-4, -0x1.32a3d82f1d66ep-4, -0x1.2d9309f0c5d73p-4, -0x1.29369b09e9755p-4, -0x1.2585d885ac61cp-4, -0x1.2277dd57036e8p-4, -0x1.2003abdb4cb51p-4, -0x1.1e2041a0f5387p-4, -0x1.1cc4a5bbe5b37p-4, -0x1.1be7f3971c78cp-4, -0x1.1b816467d8d98p-4, -0x1.1b88584302022p-4, -0x1.1bf45ecaa20eep-4, -0x1.1cbd3f423e85dp-4, -0x1.1ddb0014551fbp-4, -0x1.1f45edb4eca8ap-4, -0x1.20f6a05ca63f8p-4, -0x1.22e5ffee57cdap-4, -0x1.250d45c683e31p-4, -0x1.2765b66fab746p-4, -0x1.29e9b5eb6dd51p-4, -0x1.2c933859f78aap-4, -0x1.2f5cb66614998p-4, -0x1.3240f3c79875cp-4, -0x1.353afe1dff091p-4, -0x1.38462c251a858p-4, -0x1.3b5e1cfb73bcp-4, -0x1.3e7eb73fabd51p-4, -0x1.41a427e77cd27p-4, -0x1.44cae0c3a35abp-4, -0x1.47ef96a59d6acp-4, -0x1.4b0f3f1c5e51fp-4, -0x1.4e270dc687958p-4, -0x1.5134714a958fp-4, -0x1.54351015c3e5bp-4, -0x1.5726c50a2cd5fp-4, -0x1.5a079c41b3833p-4, -0x1.5cd5d00217eaep-4, -0x1.5f8fc5f3d3a1p-4, -0x1.62340ca31a0e5p-4, -0x1.64c159492ebf1p-4, -0x1.673685d479015p-4, -0x1.69928f208d472p-4, -0x1.6bd4934d51a31p-4, -0x1.6dfbd02571fb3p-4, -0x1.7007a186c99d5p-4, -0x1.71f77fc35081cp-4, -0x1.73cafdf536bb9p-4, -0x1.7581c84560c9bp-4, -0x1.771ba227a651p-4, -0x1.789864934eb9p-4, -0x1.79f7fc3fae04ap-4, -0x1.7b3a67ec93dffp-4, -0x1.7c5fb6bd24817p-4, -0x1.7d6806aa5b6a6p-4, -0x1.7e5383114898bp-4, -0x1.7f2263600ffccp-4, -0x1.7fd4e9e3145d4p-4, -0x1.806b62b20b28fp-4, -0x1.80e622babdffbp-4, -0x1.814586e5b28ccp-4, -0x1.8189f350364cdp-4, -0x1.81b3d2975d436p-4, -0x1.81c3953037ab2p-4, -0x1.81b9b0ca656d4p-4, -0x1.81969fbaf30afp-4, -0x1.815ae06e088c5p-4, -0x1.8106f4de49991p-4, -0x1.809b62111c3d5p-4, -0x1.8018af9774b89p-4, -0x1.7f7f67131bf57p-4, -0x1.7ed013c0d8fbep-4, -0x1.7e0b42083d1fdp-4, -0x1.7d317f11f149bp-4, -0x1.7c4358655ce7ep-4, -0x1.7b415b8e450a4p-4, -0x1.7a2c15cabec97p-4, -0x1.790413c17dc48p-4, -0x1.77c9e1404c386p-4, -0x1.767e0902565p-4, -0x1.7521147ddbf58p-4, -0x1.73b38bb8d39f9p-4, -0x1.7235f523f53d9p-4, -0x1.70a8d57b9b6b8p-4, -0x1.6f0cafadcdff3p-4, -0x1.6d6204c4b6008p-4, -0x1.6ba953d4c49ebp-4, -0x1.69e319ede4128p-4, -0x1.680fd20f333ccp-4, -0x1.662ff51cef1dap-4, -0x1.6443f9d85e2acp-4, -0x1.624c54d99e8c7p-4, -0x1.6049788b3d39fp-4, -0x1.5e3bd52774e0ep-4, -0x1.5c23d8b6d922cp-4, -0x1.5a01ef102ce37p-4, -0x1.57d681d91e2b8p-4, -0x1.55a1f887a92abp-4, -0x1.5364b86409331p-4, -0x1.511f248b2b5aep-4, -0x1.4ed19df1b1e76p-4, -0x1.4c7c8367aafbap-4, -0x1.4a20319d124a5p-4, -0x1.47bd233919266p-4, -0x1.455372a7b21c5p-4, -0x1.42e3931e989a4p-4, -0x1.406dd929c74abp-4, -0x1.3df2975d380ecp-4, -0x1.3b721e5ba9b3cp-4, -0x1.38ecbcddd6f46p-4, -0x1.3662bfba31c47p-4, -0x1.33d471ed1feaap-4, -0x1.31421ca1a8039p-4, -0x1.2eac073a76a89p-4, -0x1.2c12775b1fed8p-4, -0x1.2975b0f177ea3p-4, -0x1.26d5f63f00ba6p-4, -0x1.243387e246b92p-4, -0x1.218ea4e03179bp-4, -0x1.1ee78aad4707ep-4, -0x1.1c3e7536e034p-4, -0x1.19939eec51f6ep-4, -0x1.16e740c81242cp-4, -0x1.14399258d3548p-4, -0x1.118ac9ca90f18p-4, -0x1.0edb1bef8bp-4, -0x1.0c2abc4920483p-4, -0x1.0979dd107a0f1p-4, -0x1.06c8af3f01afbp-4, -0x1.041762968f21dp-4, -0x1.016625a94a187p-4, -0x1.fd6a4bc26871ep-5, -0x1.f8091f0eb711bp-5, -0x1.f2a91b9564df4p-5, -0x1.ed4a958d187a6p-5, -0x1.e7eddf118a25p-5, -0x1.e293482f3701cp-5, -0x1.dd3b1eee6c24cp-5, -0x1.d7e5af5dc811cp-5, -0x1.d293439c3c823p-5, -0x1.cd4423e2863f6p-5, -0x1.c7f8968c3f4d8p-5, -0x1.c2b0e0207b92ep-5, -0x1.bd6d435a1275ep-5, -0x1.b82e012f89219p-5, -0x1.b2f358dab39b8p-5, -0x1.adbd87e0151bfp-5, -0x1.a88cca1606b28p-5, -0x1.a36159abadb6fp-5, -0x1.9e3b6f2fcb85ap-5, -0x1.991b419769598p-5, -0x1.9401064468596p-5, -0x1.8eecf10bf68e8p-5, -0x1.89df343ce9772p-5, -0x1.84d800a5fccddp-5, -0x1.7fd7859bf638dp-5, -0x1.7addf0ffaab7ep-5, -0x1.75eb6f43d4375p-5, -0x1.71002b72dda41p-5, -0x1.6c1c4f34624bbp-5, -0x1.674002d2a361ep-5, -0x1.626b6d3fb99fp-5, -0x1.5d9eb41aa7e7bp-5, -0x1.58d9fbb43aeffp-5, -0x1.541d6713be4bdp-5, -0x1.4f6917fb89be1p-5, -0x1.4abd2eed64a7bp-5, -0x1.4619cb2ec15bcp-5, -0x1.417f0accd6521p-5, -0x1.3ced0aa09a7ffp-5, -0x1.3863e652a09e4p-5, -0x1.33e3b85ed6a3bp-5, -0x1.2f6c9a183678p-5, -0x1.2afea3ac5e069p-5, -0x1.2699ec27193d6p-5, -0x1.223e8975e4a91p-5, -0x1.1dec906b61a3fp-5, -0x1.19a414c2ccfb4p-5, -0x1.156529236c6edp-5, -0x1.112fdf24011d9p-5, -0x1.0d04474e3cc28p-5, -0x1.08e271222f8ecp-5, -0x1.04ca6b19d0663p-5, -0x1.00bc42ac75474p-5, -0x1.f97008a4c0ea9p-6, -0x1.f17b7710943acp-6, -0x1.e99ae5a5ec994p-6, -0x1.e1ce6785a4928p-6, -0x1.da160def25f44p-6, -0x1.d271e847bc6d7p-6, -0x1.cae20421e6112p-6, -0x1.c3666d44bfff6p-6, -0x1.bbff2db36e213p-6, -0x1.b4ac4db489ee1p-6, -0x1.ad6dd3d9abee5p-6, -0x1.a643c506e50f1p-6, -0x1.9f2e247a4e7a2p-6, -0x1.982cf3d394811p-6, -0x1.9140331b931ffp-6, -0x1.8a67e0cbe73dap-6, -0x1.83a3f9d6901bbp-6, -0x1.7cf479ad8ea9ap-6, -0x1.76595a4a87a87p-6, -0x1.6fd2943667eb3p-6, -0x1.69601e91072fp-6, -0x1.6301ef18d4ccep-6, -0x1.5cb7fa3272d44p-6, -0x1.568232f0658d8p-6, -0x1.50608b1ab4e9cp-6, -0x1.4a52f33697184p-6, -0x1.44595a8e0f25bp-6, -0x1.3e73af378e6bep-6, -0x1.38a1de1d9c569p-6, -0x1.32e3d30672e67p-6, -0x1.2d39789b9a7f6p-6, -0x1.27a2b8718887cp-6, -0x1.221f7b0f30a8dp-6, -0x1.1cafa7f5a2056p-6, -0x1.175325a790bcep-6, -0x1.1209d9b0e3a6dp-6, -0x1.0cd3a8ae36cc3p-6, -0x1.07b076545b107p-6, -0x1.02a02577ced08p-6, -0x1.fb45302842cc5p-7, -0x1.f16f5ea6cc4bfp-7, -0x1.e7be972b04242p-7, -0x1.de3298eef0486p-7, -0x1.d4cb21b564272p-7, -0x1.cb87edd85176fp-7, -0x1.c268b85719051p-7, -0x1.b96d3ae4b14a1p-7, -0x1.b0952df59e8e1p-7, -0x1.a7e048cdeb0c2p-7, -0x1.9f4e418ecd755p-7, -0x1.96decd445ab65p-7, -0x1.8e919ff2ddaa1p-7, -0x1.86666ca43034ep-7, -0x1.7e5ce574dee52p-7, -0x1.7674bba1100e8p-7, -0x1.6ead9f915cd38p-7, -0x1.670740e766a06p-7, -0x1.5f814e8a4f184p-7, -0x1.581b76b2fbefap-7, -0x1.50d566f823e39p-7, -0x1.49aecc5a425bdp-7, -0x1.42a7534f463acp-7, -0x1.3bbea7ce0e4aep-7, -0x1.34f47559d0245p-7, -0x1.2e48670d28f06p-7, -0x1.27ba27a515f8p-7, -0x1.2149618ba8a8dp-7, -0x1.1af5bee293795p-7, -0x1.14bee98d72f8p-7, -0x1.0ea48b3bf72f9p-7, -0x1.08a64d73c85dp-7, -0x1.02c3d99a34e6ap-7, -0x1.f9f9b1fb5dd3p-8, -0x1.eea1e9be27765p-8, -0x1.e37facf58603bp-8, -0x1.d8924e22de94ep-8, -0x1.cdd91fe187aa4p-8, -0x1.c35374f7a3562p-8, -0x1.b900a06677ec9p-8, -0x1.aedff57a90b07p-8, -0x1.a4f0c7db3164ap-8, -0x1.9b326b99849f6p-8, -0x1.91a4353f4db3fp-8, -0x1.884579dd34b77p-8, -0x1.7f158f18a8202p-8, -0x1.7613cb3944836p-8, -0x1.6d40213f86f55p-8, -0x1.6498b4a28f979p-8, -0x1.5c1d7601f37ebp-8, -0x1.53cdbeac989aep-8, -0x1.4ba8e8d056b26p-8, -0x1.43ae4f853215dp-8, -0x1.3bdd4ed7b68eap-8, -0x1.343543d35dd7dp-8, -0x1.2cb58c8c4672ep-8, -0x1.255d8828ab27ap-8, -0x1.1e2c96e9f2eebp-8, -0x1.17221a353df9dp-8, -0x1.103d749bebb21p-8, -0x1.097e09e35b1ddp-8, -0x1.02e33f0c8c50bp-8, -0x1.f8d8f4b6a8294p-9, -0x1.ec3246ba6b919p-9, -0x1.dfd145dfc38b5p-9, -0x1.d3b4c68ec3b13p-9, -0x1.c7db9fe7d3f89p-9, -0x1.bc44abceaaf09p-9, -0x1.b0eec6f4a27f5p-9, -0x1.a5d8d0e2668cfp-9, -0x1.9b01ac01021ep-9, -0x1.90683da26af2ap-9, -0x1.860b6e09009fbp-9, -0x1.7bea286f41223p-9, -0x1.72035b0e27bccp-9, -0x1.6855f723589b6p-9, -0x1.5ee0f0f6aff6p-9, -0x1.55a33fdf4597bp-9, -0x1.4c9bde47c541fp-9, -0x1.43c9c9b29f181p-9, -0x1.3b2c02bd576cep-9, -0x1.32c18d2382aeep-9, -0x1.2a896fc1592f5p-9, -0x1.2282b4959ab51p-9, -0x1.1aac68c34aa79p-9, -0x1.13059c92c236cp-9, -0x1.0b8d63726ea26p-9, -0x1.0442d3f71ca91p-9, -0x1.fa4a0fb7d18a4p-10, -0x1.ec6638038105ep-10, -0x1.ded860dd6258ap-10, -0x1.d19ed09846583p-10, -0x1.c4b7d3cc50535p-10, -0x1.b821bd51e087bp-10, -0x1.abdae63d9810fp-10, -0x1.9fe1addb3ffdfp-10, -0x1.943479a7e5bc2p-10, -0x1.88d1b54befa17p-10, -0x1.7db7d294149c1p-10, -0x1.72e54969f66edp-10, -0x1.685897cc69bccp-10, -0x1.5e1041c6edcaap-10, -0x1.540ad168fbb73p-10, -0x1.4a46d6bcbc94fp-10, -0x1.40c2e7bcbc8e6p-10, -0x1.377da04abc055p-10, -0x1.2e75a22468c3bp-10, -0x1.25a994d8bdcf8p-10, -0x1.1d1825bca3d6bp-10, -0x1.14c007df55ef4p-10, -0x1.0c9ff3fe6fa5bp-10, -0x1.04b6a879c34fcp-10, -0x1.fa05d28d47f22p-11, -0x1.eb06ffc669e19p-11, -0x1.dc6e7692b05a3p-11, -0x1.ce39dfc295357p-11, -0x1.c066eee8946f9p-11, -0x1.b2f3623cc10a9p-11, -0x1.a5dd028214de6p-11, -0x1.9921a2e9855b1p-11, -0x1.8cbf20f5546a3p-11, -0x1.80b3645c4c98dp-11, -0x1.74fc5eec836f3p-11, -0x1.69980c6de716ep-11, -0x1.5e8472841b76cp-11, -0x1.53bfa0911b707p-11, -0x1.4947af96a852ap-11, -0x1.3f1ac21817de6p-11, -0x1.353703fba34c6p-11, -0x1.2b9aaa6bd204cp-11, -0x1.2243f3b8c5b66p-11, -0x1.193127394474dp-11, -0x1.1060952bf45f6p-11, -0x1.07d0969783aa7p-11, -0x1.feff1a5a2d7dcp-12, -0x1.eed7c64e77fb5p-12, -0x1.df28165944501p-12, -0x1.cfed005fff8fbp-12, -0x1.c1238aa15c93p-12, -0x1.b2c8cb794a15ap-12, -0x1.a4d9e920cfefbp-12, -0x1.975419714d747p-12, -0x1.8a34a1a64cd2cp-12, -0x1.7d78d61fcb1bp-12, -0x1.711e1a255f31dp-12, -0x1.6521dfa87eaecp-12, -0x1.5981a708147fcp-12, -0x1.4e3afed3dfb45p-12, -0x1.434b838ffb44bp-12, -0x1.38b0df792f9bap-12, -0x1.2e68ca496165fp-12, -0x1.247108fc56da9p-12, -0x1.1ac76d9570343p-12, -0x1.1169d6e4c7f22p-12, -0x1.0856304e515b2p-12, -0x1.ff14e31cbf3e3p-13, -0x1.ee093d07e7e7fp-13, -0x1.dd858deca9779p-13, -0x1.cd860cbb9dba8p-13, -0x1.be07075943ca4p-13, -0x1.af04e2306304fp-13, -0x1.a07c17c623c64p-13, -0x1.9269384f141d1p-13, -0x1.84c8e9455cf29p-13, -0x1.7797e500eeb24p-13, -0x1.6ad2fa4fd1127p-13, -0x1.5e770c0e6d75bp-13, -0x1.528110c687c33p-13, -0x1.46ee12493bd47p-13, -0x1.3bbb2d4dd6c74p-13, -0x1.30e591109f331p-13, -0x1.266a7ef3bc80bp-13, -0x1.1c474a20f4a04p-13, -0x1.1279572d11fddp-13, -0x1.08fe1bbb57ddbp-13, -0x1.ffa63c4a8e054p-14, -0x1.edebea3f49532p-14, -0x1.dcc88ecae5ae8p-14, -0x1.cc3796b9f4102p-14, -0x1.bc348d90a140ep-14, -0x1.acbb1cdc7dcddp-14, -0x1.9dc70b91a1538p-14, -0x1.8f543d6755fe5p-14, -0x1.815eb23b903b7p-14, -0x1.73e28569b60e4p-14, -0x1.66dbed40f4f5p-14, -0x1.5a473a602dea5p-14, -0x1.4e20d72258697p-14, -0x1.4265470b3ecc6p-14, -0x1.37112634577c9p-14, -0x1.2c2128c0c09ebp-14, -0x1.21921a4d2ed56p-14, -0x1.1760dd687618fp-14, -0x1.0d8a6b08ac482p-14, -0x1.040bd206ff3c1p-14, -0x1.f5c46d37bfc61p-15, -0x1.e415a3bb17159p-15, -0x1.d305e2825f663p-15, -0x1.c28fec3c48b9ep-15, -0x1.b2aeaa67a6e09p-15, -0x1.a35d2c5f5c5ddp-15, -0x1.9496a67537908p-15, -0x1.865671039d5f6p-15, -0x1.7898078d8858ep-15, -0x1.6b5707df1a76ap-15, -0x1.5e8f31330bac4p-15, -0x1.523c635c74a1fp-15, -0x1.465a9df712666p-15, -0x1.3ae5ff9081c48p-15, -0x1.2fdac4ec10702p-15, -0x1.2535483476b27p-15, -0x1.1af2003be1939p-15, -0x1.110d7fc0b0bc8p-15, -0x1.078474b0b3ec7p-15, -0x1.fca74eeb8c4a3p-16, -0x1.eaeff4866dd93p-16, -0x1.d9dcd0cfb3e7bp-16, -0x1.c9680b46388d2p-16, -0x1.b98bfb00fdfb4p-16, -0x1.aa4325592c317p-16, -0x1.9b883cc1ff348p-16, -0x1.8d561f7dedd7ap-16, -0x1.7fa7d6727d5bp-16, -0x1.727893faa6fcfp-16, -0x1.65c3b2cc24eeap-16, -0x1.5984b4bb5bcfep-16, -0x1.4db741c75512bp-16, -0x1.425726f279d8ap-16, -0x1.37605539bd65bp-16, -0x1.2ccee08df0fb4p-16, -0x1.229efed5d233dp-16, -0x1.18cd06ef0f7a6p-16, -0x1.0f556fbe0d0c1p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.0bac3b8aa0819p-1, -0x1.0cec953423634p-1, -0x1.0aad72f440e0cp-1, -0x1.0557a94a96c61p-1, -0x1.fab338f8b07a4p-2, -0x1.e64546e42915cp-2, -0x1.ce42e88a33f6p-2, -0x1.b37f367eccee5p-2, -0x1.96bd7744255b4p-2, -0x1.78b136008288ap-2, -0x1.59fc7209a4905p-2, -0x1.3b2cf073debd3p-2, -0x1.1cbca64753d42p-2, -0x1.fe26c64aa73a1p-3, -0x1.c50ebc00bec5fp-3, -0x1.8ebb7ced6bdc1p-3, -0x1.5b9869306e88p-3, -0x1.2bf59460f1956p-3, -0x1.000a7fb7e6c43p-3, -0x1.aff13fb734044p-4, -0x1.679c7bb06e3f5p-4, -0x1.2713daaf5110dp-4, -0x1.dc71f446a55a4p-5, -0x1.79a0d159a188dp-5, -0x1.25253e26a186ap-5, -0x1.bcae40df28454p-6, -0x1.48ef6f56a6f7fp-6, -0x1.dad30316f98cbp-7, -0x1.50b7151e09379p-7, -0x1.dfd57e0982437p-8, -0x1.6990264c1dc6dp-8, -0x1.376c70c7d4939p-8, -0x1.4268cd034f5afp-8, -0x1.83bd564c6d7e6p-8, -0x1.f4def864fd431p-8, -0x1.47c1077eb1552p-7, -0x1.a6d0089e8a519p-7, -0x1.0a6035c6d5378p-6, -0x1.47715823da8b5p-6, -0x1.895c309072b5cp-6, -0x1.cefb20434c996p-6, -0x1.0ba0f4543039bp-5, -0x1.309e372ea1bafp-5, -0x1.56068354858d7p-5, -0x1.7b75646b3675cp-5, -0x1.a09015eecf54cp-5, -0x1.c50505f0b87c7p-5, -0x1.e88b84987282p-5, -0x1.0571c3a20e624p-4, -0x1.15eab151230f9p-4, -0x1.2598b6475b688p-4, -0x1.3467c30193f37p-4, -0x1.4247491a90249p-4, -0x1.4f29eef4413fdp-4, -0x1.5b053d906269p-4, -0x1.65d14d513bddap-4, -0x1.6f8877cbb438ep-4, -0x1.7827136c957ep-4, -0x1.7fab3b0fa2df3p-4, -0x1.8614a1ca705c4p-4, -0x1.8b64720ccddecp-4, -0x1.8f9d3594d0bafp-4, -0x1.92c2c16a597bep-4, -0x1.94dc50337b7b1p-4, -0x1.95ee028101b7dp-4, -0x1.95fde9cb6639ep-4, -0x1.9513a76553a6ap-4, -0x1.9337a9fb9bce2p-4, -0x1.9073038998e04p-4, -0x1.8ccf3d6a68e59p-4, -0x1.88562f038880cp-4, -0x1.8311da4e24e27p-4, -0x1.7d0c4fdea9aa6p-4, -0x1.764f9aa22fcf5p-4, -0x1.6ee5b29f6ae0dp-4, -0x1.66d87585c79c9p-4, -0x1.5e31a38f2a75cp-4, -0x1.54fadf1c3de4dp-4, -0x1.4b3dad827d3b6p-4, -0x1.410377bf2e9c1p-4, -0x1.36558a1aa1663p-4, -0x1.2b3d122379dbap-4, -0x1.1fc31abb5a557p-4, -0x1.13f086353d6a1p-4, -0x1.07ce06c90d41cp-4, -0x1.f6c82bc04e40ep-5, -0x1.dd75d5e5389ep-5, -0x1.c3b4e5918f911p-5, -0x1.a9948fe1a880bp-5, -0x1.8f235a26b27e3p-5, -0x1.746f132a9bea8p-5, -0x1.5984d1559990dp-5, -0x1.3e70f567923a7p-5, -0x1.233f30fd751edp-5, -0x1.07fa8fcd23976p-5, -0x1.d95b04cfbf646p-6, -0x1.a2c3d2c7375cbp-6, -0x1.6c423fef50ef7p-6, -0x1.35e80aa3402fcp-6, -0x1.ff8c1088064bcp-7, -0x1.93d86069bea34p-7, -0x1.28d345450de3cp-7, -0x1.7d32adb7678a4p-8, -0x1.55160fc003e2bp-9, 0x1.30ef24e3ab6cp-11, 0x1.e931fa83174d6p-9, 0x1.c0ba9b149a901p-8, 0x1.452d487cea064p-7, 0x1.a8aa14d431f17p-7, 0x1.056186cf61d9bp-6, 0x1.35b49beb4c891p-6, 0x1.6547989aed676p-6, 0x1.94148d262f454p-6, 0x1.c2163e694d927p-6, 0x1.ef4817b84b1c1p-6, 0x1.0dd30e1285b1bp-5, 0x1.23966be7eefc1p-5, 0x1.38eca8ee7e599p-5, 0x1.4dd47fc895b9dp-5, 0x1.624cdc7bae8c4p-5, 0x1.7654d7a5f7604p-5, 0x1.89ebb2a1b6d62p-5, 0x1.9d10d48f641b1p-5, 0x1.afc3c83030031p-5, 0x1.c2043a6f38e6cp-5, 0x1.d3d1f97071dc8p-5, 0x1.e52cf3f913272p-5, 0x1.f6153905bafc4p-5, 0x1.03457bb2e784fp-4, 0x1.0b473e9cb5569p-4, 0x1.13101b9b6316ep-4, 0x1.1aa057d27169fp-4, 0x1.21f846814fc02p-4, 0x1.2918482d35ceap-4, 0x1.3000c9a550a48p-4, 0x1.36b242e84d274p-4, 0x1.3d2d35f43de65p-4, 0x1.43722d8ac15f6p-4, 0x1.4981bbf353f4ep-4, 0x1.4f5c79c5191b9p-4, 0x1.550304c060702p-4, 0x1.5a75febee56a6p-4, 0x1.5fb60cc055b8fp-4, 0x1.64c3d6171d13dp-4, 0x1.69a003b7cf79cp-4, 0x1.6e4b3fabd2489p-4, 0x1.72c634a6302b6p-4, 0x1.771202fa553d3p-4, 0x1.7b2f8a3724a23p-4, 0x1.7f1e9d0bed7e1p-4, 0x1.82dfe5cca9a15p-4, 0x1.86740ffb303b7p-4, 0x1.89dbc83b47532p-4, 0x1.8d17bc47c3fcap-4, 0x1.90289ae58b23ep-4, 0x1.930f13d195ac7p-4, 0x1.95cbd7a7a7661p-4, 0x1.985f97c021399p-4, 0x1.9acb06042c557p-4, 0x1.9d0ed4b86211fp-4, 0x1.9f2bb63ed75abp-4, 0x1.a1225cd24a75ap-4, 0x1.a2f37a3cadd86p-4, 0x1.a49fbf8b97c9ep-4, 0x1.a627dcc55924ap-4, 0x1.a78c80a149a6ap-4, 0x1.a8ce5845bf9ccp-4, 0x1.a9ee0f0d8a611p-4, 0x1.aaec4e569b2a6p-4, 0x1.abc9bd5ac2a1ep-4, 0x1.ac8701131a899p-4, 0x1.ad24bc2637999p-4, 0x1.ada38ee0b6821p-4, 0x1.ae0417379ad97p-4, 0x1.ae46f0d3683f8p-4, 0x1.ae6cb522dfc14p-4, 0x1.ae75fb740366fp-4, 0x1.ae635911db23dp-4, 0x1.ae35616589b69p-4, 0x1.adeca61931f96p-4, 0x1.ad89b73b10f8cp-4, 0x1.ad0d235fa1bf9p-4, 0x1.ac7777c17914p-4, 0x1.abc9405dd3054p-4, 0x1.ab03080d17cfap-4, 0x1.aa255896bf0a8p-4, 0x1.a930bac0321ffp-4, 0x1.a825b656ba5eep-4, 0x1.a704d23488ba7p-4, 0x1.a5ce944129e6p-4, 0x1.a483816e035efp-4, 0x1.a3241daf4f433p-4, 0x1.a1b0ebf26d946p-4, 0x1.a02a6e12374dbp-4, 0x1.9e9124ca08816p-4, 0x1.9ce58fa84bcbep-4, 0x1.9b282d0128f63p-4, 0x1.995979e1dae56p-4, 0x1.9779f20537d22p-4, 0x1.958a0fc9d1d03p-4, 0x1.938a4c29e4f52p-4, 0x1.917b1eb54fa13p-4, 0x1.8f5cfd8d9f797p-4, 0x1.8d305d64366aap-4, 0x1.8af5b17a69457p-4, 0x1.88ad6ba3773bap-4, 0x1.8657fc481c50cp-4, 0x1.83f5d26b8376cp-4, 0x1.81875bb14f25bp-4, 0x1.7f0d046469459p-4, 0x1.7c87377e53b18p-4, 0x1.79f65eaea9fd3p-4, 0x1.775ae26292835p-4, 0x1.74b529cbdc118p-4, 0x1.72059ae794788p-4, 0x1.6f4c9a83e7729p-4, 0x1.6c8a8c452581bp-4, 0x1.69bfd2a9d6a03p-4, 0x1.66eccf0dcc9f6p-4, 0x1.6411e1ac2d4aap-4, 0x1.612f69a07c929p-4, 0x1.5e45c4e6ad43dp-4, 0x1.5b55505a50bcp-4, 0x1.585e67b4f9528p-4, 0x1.5561658beec3ep-4, 0x1.525ea34d53c4cp-4, 0x1.4f56793cdaa2ep-4, 0x1.4c493e702e6e8p-4, 0x1.493748cb2a59ep-4, 0x1.4620ecfc03065p-4, 0x1.43067e7779d82p-4, 0x1.3fe84f752f6e2p-4, 0x1.3cc6b0ec2dbp-4, 0x1.39a1f28fb6d3ap-4, 0x1.367a62cc63047p-4, 0x1.33504ec598a56p-4, 0x1.302402535f58bp-4, 0x1.2cf5c8008feafp-4, 0x1.29c5e90962027p-4, 0x1.2694ad5a4e998p-4, 0x1.23625b8f45556p-4, 0x1.202f38f32bec9p-4, 0x1.1cfb897fa00d5p-4, 0x1.19c78fdcf4331p-4, 0x1.16938d625e178p-4, 0x1.135fc216514cdp-4, 0x1.102c6caefb435p-4, 0x1.0cf9ca92ddbf9p-4, 0x1.09c817d9813cbp-4, 0x1.06978f4c399abp-4, 0x1.03686a66fa74bp-4, 0x1.003ae1593a98bp-4, 0x1.fa1e560dbf2dcp-5, 0x1.f3cafa126fd4bp-5, 0x1.ed7c175ffc374p-5, 0x1.e7321404cefdap-5, 0x1.e0ed53808209bp-5, 0x1.daae36c6354ddp-5, 0x1.d4751c3f027d1p-5, 0x1.ce425fcc99e61p-5, 0x1.c8165acc08787p-5, 0x1.c1f16418a69a6p-5, 0x1.bbd3d00f3cd31p-5, 0x1.b5bdf09158a9ap-5, 0x1.afb01508dbeb2p-5, 0x1.a9aa8a6bc0b82p-5, 0x1.a3ad9b401b248p-5, 0x1.9db98fa054e52p-5, 0x1.97cead3fa6362p-5, 0x1.91ed376ec81acp-5, 0x1.8c156f20e26e1p-5, 0x1.864792f0b4008p-5, 0x1.8083df25f46a2p-5, 0x1.7aca8dbae71e9p-5, 0x1.751bd66229f73p-5, 0x1.6f77ee8cafb83p-5, 0x1.69df096ff010bp-5, 0x1.6451580c411fap-5, 0x1.5ecf09335d4d1p-5, 0x1.5958498f16874p-5, 0x1.53ed43a82a388p-5, 0x1.4e8e1fed3d58cp-5, 0x1.493b04b9fcbd1p-5, 0x1.43f4165e5a40bp-5, 0x1.3eb97725ec0f6p-5, 0x1.398b475f68151p-5, 0x1.3469a56438692p-5, 0x1.2f54ada02d476p-5, 0x1.2a4c7a9944258p-5, 0x1.255124f785a72p-5, 0x1.2062c38cf8ae4p-5, 0x1.1b816b5daa2dcp-5, 0x1.16ad2fa7c25b1p-5, 0x1.11e621ebb2806p-5, 0x1.0d2c51f468162p-5, 0x1.087fcddf949fp-5, 0x1.03e0a225ff5d5p-5, 0x1.fe9db347c1c65p-6, 0x1.f594fb4293c8cp-6, 0x1.eca72bb520079p-6, 0x1.e3d4511184082p-6, 0x1.db1c74d43e46ap-6, 0x1.d27f9d952d1c1p-6, 0x1.c9fdcf1888b7ap-6, 0x1.c1970a5fde805p-6, 0x1.b94b4dbb0e92dp-6, 0x1.b11a94d94723p-6, 0x1.a904d8d9efae6p-6, 0x1.a10a105d92c5cp-6, 0x1.992a2f96b63fap-6, 0x1.9165285aa557dp-6, 0x1.89baea3229373p-6, 0x1.822b626a2dc79p-6, 0x1.7ab67c244de67p-6, 0x1.735d54240872ap-6, 0x1.6c1d72ee00f4ep-6, 0x1.64f7e7b6eb62dp-6, 0x1.5dec95a50d812p-6, 0x1.56fb5e04212f3p-6, 0x1.50242054f158ap-6, 0x1.4966ba5cda0d7p-6, 0x1.42c308352ff8dp-6, 0x1.3c38e45a7f07cp-6, 0x1.35c827bbb33fp-6, 0x1.2f70a9c919752p-6, 0x1.293240833a0c8p-6, 0x1.230cc0898c452p-6, 0x1.1cfffd2904439p-6, 0x1.170bc86a6fd49p-6, 0x1.112ff320ac7e3p-6, 0x1.0b6c4cf6a3dbep-6, 0x1.05c0a47d22af8p-6, 0x1.002cc738736e4p-6, 0x1.f561035b8adccp-7, 0x1.ea973ee0c70eep-7, 0x1.dffbd65d4fb18p-7, 0x1.d58e5d7d850d7p-7, 0x1.cb4e665672cabp-7, 0x1.c13b817e70fb1p-7, 0x1.b7553e252ff54p-7, 0x1.ad9b2a2b65e58p-7, 0x1.a40cd239e45e8p-7, 0x1.9aa9c1d848961p-7, 0x1.917183831c143p-7, 0x1.8863a0c17988ap-7, 0x1.7f7fa23a3b688p-7, 0x1.76c50fc89c67p-7, 0x1.6e33709061b54p-7, 0x1.65ca4b117f8f9p-7, 0x1.5d89253b4629bp-7, 0x1.556f847f0346fp-7, 0x1.4d7cede2306a2p-7, 0x1.45b0e6101a0ecp-7, 0x1.3e0af16b188aep-7, 0x1.368a941d3506ep-7, 0x1.2f2f52286d359p-7, 0x1.27f8af766dd41p-7, 0x1.20e62fe7d87ddp-7, 0x1.19f757630f578p-7, 0x1.132ba9e29c3d9p-7, 0x1.0c82ab830a81dp-7, 0x1.05fbe0905d705p-7, 0x1.ff2d9b2634edep-8, 0x1.f2a5eeb9a7939p-8, 0x1.e65fc628b594dp-8, 0x1.da5a2c82ec0a4p-8, 0x1.ce942db06b952p-8, 0x1.c30cd687c3d03p-8, 0x1.b7c334e2fb154p-8, 0x1.acb657b3e145dp-8, 0x1.a1e54f177eddp-8, 0x1.974f2c68e931ep-8, 0x1.8cf30253493fcp-8, 0x1.82cfe4e3246f6p-8, 0x1.78e4e9970bf95p-8, 0x1.6f31276f834e4p-8, 0x1.65b3b6fe4b209p-8, 0x1.5c6bb274f9b0bp-8, 0x1.535835b30a4d5p-8, 0x1.4a785e53273c1p-8, 0x1.41cb4bb7f89fdp-8, 0x1.39501f184d4e1p-8, 0x1.3105fb8ab776fp-8, 0x1.28ec061092b6ap-8, 0x1.210165a0830b6p-8, 0x1.1945433066c63p-8, 0x1.11b6c9bec6b97p-8, 0x1.0a55265bbe734p-8, 0x1.031f88316976fp-8, 0x1.f82a41179e882p-9, 0x1.ea6a45c0b2da6p-9, 0x1.dcfd89a9984a2p-9, 0x1.cfe27c8b9a28ep-9, 0x1.c3179299ebe08p-9, 0x1.b69b448ce9908p-9, 0x1.aa6c0fac71dc5p-9, 0x1.9e8875d969cdbp-9, 0x1.92eefd9672acdp-9, 0x1.879e320fb5a8ep-9, 0x1.7c94a321ea781p-9, 0x1.71d0e56073376p-9, 0x1.6751921ae82d4p-9, 0x1.5d154761726dbp-9, 0x1.531aa808cf3c5p-9, 0x1.49605bad36045p-9, 0x1.3fe50eb4887b2p-9, 0x1.36a7724fff07fp-9, 0x1.2da63c7cad9ecp-9, 0x1.24e0280390237p-9, 0x1.1c53f478dbe55p-9, 0x1.1400663a722e8p-9, 0x1.0be4466dbfe4p-9, 0x1.03fe62fcd81e6p-9, 0x1.f89b1d25dee27p-10, 0x1.e9a1413034185p-10, 0x1.db0cea5903406p-10, 0x1.ccdbda45c41d5p-10, 0x1.bf0bdbf4f1974p-10, 0x1.b19ac3b0b2e15p-10, 0x1.a4866f00898b1p-10, 0x1.97ccc499adcdcp-10, 0x1.8b6bb44eb3531p-10, 0x1.7f6136fe04cp-10, 0x1.73ab4e7f9eb79p-10, 0x1.68480591e40eap-10, 0x1.5d356fc5af38p-10, 0x1.5271a969ae6b3p-10, 0x1.47fad775330e5p-10, 0x1.3dcf2772487a8p-10, 0x1.33eccf676f8dbp-10, 0x1.2a520dc0b81a9p-10, 0x1.20fd2938d4b85p-10, 0x1.17ec70c15c069p-10, 0x1.0f1e3b6b3b7bep-10, 0x1.0690e84eb87cbp-10, 0x1.fc85bce6d11a8p-11, 0x1.ec65196ff55b5p-11, 0x1.dcbcd3740f608p-11, 0x1.cd89e77bbe5f6p-11, 0x1.bec9612c9d8dep-11, 0x1.b0785b190fd29p-11, 0x1.a293fe901188ap-11, 0x1.9519836d87b12p-11, 0x1.88062fea6f2a2p-11, 0x1.7b57586ddfcb5p-11, 0x1.6f0a5f5d4cba5p-11, 0x1.631cb4ee6433fp-11, 0x1.578bd6f83f3edp-11, 0x1.4c5550c4e3547p-11, 0x1.4176bae37bcap-11, 0x1.36edbafa43822p-11, 0x1.2cb803986e2b8p-11, 0x1.22d354090cccbp-11, 0x1.193d7824ead98p-11, 0x1.0ff4482518392p-11, 0x1.06f5a8752c23cp-11, 0x1.fc7f130af2badp-12, 0x1.eb9fcf3a352a8p-12, 0x1.db499558306e2p-12, 0x1.cb788c3a99de3p-12, 0x1.bc28f14f67f8dp-12, 0x1.ad5718405f838p-12, 0x1.9eff6a95b9316p-12, 0x1.911e67587cfa3p-12, 0x1.83b0a2b4ce20bp-12, 0x1.76b2c59c17b3cp-12, 0x1.6a218d6761969p-12, 0x1.5df9cb79555f9p-12, 0x1.523864e0f4a87p-12, 0x1.46da51fcf4a5ep-12, 0x1.3bdc9e1ef45eap-12, 0x1.313c67300fe9cp-12, 0x1.26f6dd5607646p-12, 0x1.1d094299af1ebp-12, 0x1.1370ea8e369abp-12, 0x1.0a2b39fad4ef3p-12, 0x1.0135a683d716fp-12, 0x1.f11b6caec7385p-13, 0x1.e061ffb55f823p-13, 0x1.d03a52b1c6686p-13, 0x1.c09fd1685720cp-13, 0x1.b18e062fe1172p-13, 0x1.a3009959c1256p-13, 0x1.94f3509d248a8p-13, 0x1.87620e84db9b5p-13, 0x1.7a48d1e0b5ac8p-13, 0x1.6da3b538d0e27p-13, 0x1.616eee431a41p-13, 0x1.55a6cd5ba3b6p-13, 0x1.4a47bcfe132a2p-13, 0x1.3f4e4140bf364p-13, 0x1.34b6f752bb0c8p-13, 0x1.2a7e94f6a5b77p-13, 0x1.20a1e8047c7bep-13, 0x1.171dd5e7e14dcp-13, 0x1.0def5b20999f8p-13, 0x1.05138ac359c18p-13, 0x1.f90f1bf77a302p-14, 0x1.e891471c2f2e2p-14, 0x1.d8a83eb544076p-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.9b4eac3d34496p-2, -0x1.8f4b158026516p-2, -0x1.848c1d1e403f3p-2, -0x1.7b7e2e531abep-2, -0x1.745a13e3562abp-2, -0x1.6f2fa8c051a56p-2, -0x1.6bed149ea48adp-2, -0x1.6a6a118ab95c7p-2, -0x1.6a702c99cf86p-2, -0x1.6bbeeac1d7361p-2, -0x1.6e10ea0ac2a1ap-2, -0x1.712104dad3313p-2, -0x1.74acd48474ac1p-2, -0x1.7876015a586cep-2, -0x1.7c43f471112dfp-2, -0x1.7fe51b84ebc5bp-2, -0x1.832f1dd7ed072p-2, -0x1.85feb37bd5054p-2, -0x1.883799484dbddp-2, -0x1.89c45aa594109p-2, -0x1.8a95c6fe34995p-2, -0x1.8aa2054adf671p-2, -0x1.89e4865c0ea85p-2, -0x1.885e0ab1b4993p-2, -0x1.86120e6f44a93p-2, -0x1.8306e283c94fbp-2, -0x1.7f4586a4ae3b2p-2, -0x1.7ad9693dacb26p-2, -0x1.75cfe5d1b8b91p-2, -0x1.703798c68b4bdp-2, -0x1.6a1fbbe90e3dp-2, -0x1.6397b4249acfap-2, -0x1.5caed8d07e881p-2, -0x1.55745fce33707p-2, -0x1.4df74f41c70c6p-2, -0x1.46465f2473be6p-2, -0x1.3e6fc7a7dd0a4p-2, -0x1.368108bee6d9ap-2, -0x1.2e86bc4a9e7bbp-2, -0x1.268c7f168523ap-2, -0x1.1e9cf1b4b4eadp-2, -0x1.16c1c8395e60ap-2, -0x1.0f03dbf537f6dp-2, -0x1.076b35a79b7ecp-2, -0x1.fffe1bdcec25ap-3, -0x1.f18b8fddb408p-3, -0x1.e389d8f87f111p-3, -0x1.d6025625a7aa4p-3, -0x1.c8fcc6d07061cp-3, -0x1.bc7f6ded55ac6p-3, -0x1.b08f3d7f831afp-3, -0x1.a530008ba2a99p-3, -0x1.9a647c28d3bc4p-3, -0x1.902e85b5c698fp-3, -0x1.868f1086d082ep-3, -0x1.7d8637384ec6ap-3, -0x1.751344e08d124p-3, -0x1.6d34c17f0da6fp-3, -0x1.65e8836ce313ap-3, -0x1.5f2bc571eb8c2p-3, -0x1.58fb3f48564bap-3, -0x1.53533dac4ac74p-3, -0x1.4e2fb7c1fd0ebp-3, -0x1.498c35c9ba2aap-3, -0x1.4563c76d5a8eep-3, -0x1.41b27ebdbcf12p-3, -0x1.3e73a25a5f38p-3, -0x1.3ba2537ccc3e7p-3, -0x1.393991d682636p-3, -0x1.373440a915e2fp-3, -0x1.358d2d6fae59dp-3, -0x1.343f181ca0e43p-3, -0x1.3344bca75c27cp-3, -0x1.3298dd614239ep-3, -0x1.32364d4d35e54p-3, -0x1.3217f99c2f50bp-3, -0x1.3238f1865206ep-3, -0x1.32946bf65d0aap-3, -0x1.3325cad0a02a3p-3, -0x1.33e89bf253481p-3, -0x1.34d8984bef078p-3, -0x1.35f1a1a9929eap-3, -0x1.372fbfd4c035cp-3, -0x1.388f1db838df7p-3, -0x1.3a0c0712c1471p-3, -0x1.3ba2e71689f13p-3, -0x1.3d50481b63ffdp-3, -0x1.3f10d454e7ec8p-3, -0x1.40e1575473157p-3, -0x1.42bec00538ed5p-3, -0x1.44a622c87e32p-3, -0x1.4694bb5e17dbp-3, -0x1.4887ee567ba9bp-3, -0x1.4a7d49e1eb527p-3, -0x1.4c7285e7af87p-3, -0x1.4e6583653d0d7p-3, -0x1.50544b26120fep-3, -0x1.523d0bf22f5dbp-3, -0x1.541e1859dc41fp-3, -0x1.55f5e44a46618p-3, -0x1.57c30296961ccp-3, -0x1.5984229c46a4p-3, -0x1.5b380e20b46bfp-3, -0x1.5cdda77a9cc25p-3, -0x1.5e73e80e99b4fp-3, -0x1.5ff9df1ba6b6bp-3, -0x1.616eb0cd43e8ap-3, -0x1.62d195846565ep-3, -0x1.6421d946703bep-3, -0x1.655edb41cd16dp-3, -0x1.66880d5931b01p-3, -0x1.679cf3a9523bcp-3, -0x1.689d23ffd38d9p-3, -0x1.6988453d95e8ap-3, -0x1.6a5e0ea1c84acp-3, -0x1.6b1e46fe22501p-3, -0x1.6bc8c3d71de2ap-3, -0x1.6c5d687508f4cp-3, -0x1.6cdc24ebc77dfp-3, -0x1.6d44f51fb61ccp-3, -0x1.6d97dfcdd2fddp-3, -0x1.6dd4f59c9bb0cp-3, -0x1.6dfc503a040edp-3, -0x1.6e0e118995ef8p-3, -0x1.6e0a62e485b37p-3, -0x1.6df1746c396e9p-3, -0x1.6dc37c6ea37c6p-3, -0x1.6d80b6daf2bd6p-3, -0x1.6d2964c475608p-3, -0x1.6cbdcbf128961p-3, -0x1.6c3e3671963ep-3, -0x1.6baaf23fb4fd4p-3, -0x1.6b0450e32f127p-3, -0x1.6a4aa719db2adp-3, -0x1.697e4c83c017ep-3, -0x1.689f9b52792d4p-3, -0x1.67aeeffbe629cp-3, -0x1.66aca8f053889p-3, -0x1.6599265431376p-3, -0x1.6474c9bd6949ap-3, -0x1.633ff5f47c7b5p-3, -0x1.61fb0eb96f11ap-3, -0x1.60a6788cb9fedp-3, -0x1.5f42987c5aad1p-3, -0x1.5dcfd3f53636cp-3, -0x1.5c4e9098d2b02p-3, -0x1.5abf34175bf39p-3, -0x1.5921f0c6fc959p-3, -0x1.5777e9a230573p-3, -0x1.55c0edb4c2792p-3, -0x1.53fd614919844p-3, -0x1.522da86dfec8dp-3, -0x1.505226dee66cep-3, -0x1.4e6b3fed00e96p-3, -0x1.4c795668db05cp-3, -0x1.4a7ccc8c345d7p-3, -0x1.487603e3d6c5dp-3, -0x1.46655d39453e6p-3, -0x1.444b387c2b8bep-3, -0x1.4227f4aba8e1cp-3, -0x1.3ffbefbfade59p-3, -0x1.3dc78692b004fp-3, -0x1.3b8b14cc29be6p-3, -0x1.3946f4cc4a616p-3, -0x1.36fb7f99487fcp-3, -0x1.34a90ccecb2d1p-3, -0x1.324ff28faa40fp-3, -0x1.2ff0857a584c4p-3, -0x1.2d8b18a015eb3p-3, -0x1.2b1ffd7ef9e3cp-3, -0x1.28af83fec3821p-3, -0x1.2639fa7052419p-3, -0x1.23bfad8f996b7p-3, -0x1.2140e887b6d25p-3, -0x1.1ebdf4f8f4616p-3, -0x1.1c371b0051f8fp-3, -0x1.19aca1403515ap-3, -0x1.171ecce9f37cep-3, -0x1.148de1c7cafc8p-3, -0x1.11fa2246f0e95p-3, -0x1.0f63cf81721e9p-3, -0x1.0ccb294781da8p-3, -0x1.0a306e2810c43p-3, -0x1.0793db78677f1p-3, -0x1.04f5ad5aa8a5ap-3, -0x1.02561ec3226bfp-3, -0x1.ff6ad2f8d708cp-4, -0x1.fa278c549bd2ap-4, -0x1.f4e2d89733defp-4, -0x1.ef9d2476126d7p-4, -0x1.ea56da5e845cfp-4, -0x1.e51062749dbbap-4, -0x1.dfca22912d87bp-4, -0x1.da847e3f5ec0ep-4, -0x1.d53fd6ba34892p-4, -0x1.cffc8aea5e3a8p-4, -0x1.cabaf764ad56dp-4, -0x1.c57b766960547p-4, -0x1.c03e5fe49172dp-4, -0x1.bb04096fd263p-4, -0x1.b5ccc65516302p-4, -0x1.b098e792eeaf7p-4, -0x1.ab68bbe214ac3p-4, -0x1.a63c8fbc206bap-4, -0x1.a114ad6372895p-4, -0x1.9bf15cebee2c4p-4, -0x1.96d2e444aba2fp-4, -0x1.91b9874228f51p-4, -0x1.8ca587a90082ap-4, -0x1.87972538d92a1p-4, -0x1.828e9db771859p-4, -0x1.7d8c2cfb930edp-4, -0x1.78900cf7cfc76p-4, -0x1.739a75c4e24a6p-4, -0x1.6eab9dab9aa36p-4, -0x1.69c3b92e3fd0ap-4, -0x1.64e2fb115d254p-4, -0x1.60099463ec0fdp-4, -0x1.5b37b486ddf74p-4, -0x1.566d89340a66bp-4, -0x1.51ab3e848594dp-4, -0x1.4cf0fef66f47cp-4, -0x1.483ef372490acp-4, -0x1.4395434fe65aep-4, -0x1.3ef4145b08bc9p-4, -0x1.3a5b8ad7ba8c8p-4, -0x1.35cbc98686fbbp-4, -0x1.3144f1a88e824p-4, -0x1.2cc723039fb8p-4, -0x1.28527be650b42p-4, -0x1.23e7192c34eccp-4, -0x1.1f8516423293dp-4, -0x1.1b2c8d2b00f1dp-4, -0x1.16dd9683d7d4bp-4, -0x1.129849895014cp-4, -0x1.0e5cbc1c78b2bp-4, -0x1.0a2b02c81e734p-4, -0x1.060330c64029bp-4, -0x1.01e55805b1746p-4, -0x1.fba3125fc09b8p-5, -0x1.f38fa75d73826p-5, -0x1.eb908b654d737p-5, -0x1.e3a5d87134d03p-5, -0x1.dbcfa62054ac3p-5, -0x1.d40e09c354b11p-5, -0x1.cc6116688e8bfp-5, -0x1.c4c8dce82f4d1p-5, -0x1.bd456bf048f1ap-5, -0x1.b5d6d010bc2cp-5, -0x1.ae7d13c706062p-5, -0x1.a7383f89db332p-5, -0x1.a00859d4a3031p-5, -0x1.98ed6732bcdb2p-5, -0x1.91e76a4aa4413p-5, -0x1.8af663e8e12eep-5, -0x1.841a530ad4273p-5, -0x1.7d5334e962fb9p-5, -0x1.76a105037aa43p-5, -0x1.7003bd287a94p-5, -0x1.697b5582827e4p-5, -0x1.6307c4a0a6c72p-5, -0x1.5ca8ff8118a3ap-5, -0x1.565ef99b33225p-5, -0x1.5029a4e97f67cp-5, -0x1.4a08f1f3a9ca2p-5, -0x1.43fccfd86baacp-5, -0x1.3e052c57684a5p-5, -0x1.3821f3dafeb59p-5, -0x1.32531182139a1p-5, -0x1.2c986f29ca912p-5, -0x1.26f1f57734838p-5, -0x1.215f8be0f215ap-5, -0x1.1be118b8c531p-5, -0x1.167681350f8d7p-5, -0x1.111fa97a4435ep-5, -0x1.0bdc74a43d9b3p-5, -0x1.06acc4cf8a279p-5, -0x1.01907b2292778p-5, -0x1.f90eefad6c269p-6, -0x1.ef2334828889bp-6, -0x1.e55d81b8bcd29p-6, -0x1.dbbd929f7da0cp-6, -0x1.d24320f2c5854p-6, -0x1.c8ede4ec25803p-6, -0x1.bfbd9553a5a4fp-6, -0x1.b6b1e79063988p-6, -0x1.adca8fb8ecce5p-6, -0x1.a50740a35f10ep-6, -0x1.9c67abf54f56cp-6, -0x1.93eb823361c74p-6, -0x1.8b9272d0ae61p-6, -0x1.835c2c3ddf41bp-6, -0x1.7b485bf80ee4dp-6, -0x1.7356ae9769de6p-6, -0x1.6b86cfdd8766p-6, -0x1.63d86ac38bb3cp-6, -0x1.5c4b2987fe5c6p-6, -0x1.54deb5bc6b33bp-6, -0x1.4d92b852bb67ap-6, -0x1.4666d9aa4f462p-6, -0x1.3f5ac19cd5de8p-6, -0x1.386e178ae8d15p-6, -0x1.31a08268632aep-6, -0x1.2af1a8c87b054p-6, -0x1.246130e99092bp-6, -0x1.1deec0c0c9157p-6, -0x1.1799fe055dd84p-6, -0x1.11628e3bb38f6p-6, -0x1.0b4816c0293e8p-6, -0x1.054a3cd1a7161p-6, -0x1.fed14b37dbf63p-7, -0x1.f345ec8349d4p-7, -0x1.e7f1a7cc4e07fp-7, -0x1.dcd3c76e167c9p-7, -0x1.d1ecb9a7f3b4bp-7, -0x1.c7398748cc02bp-7, -0x1.bcba98f8543bbp-7, -0x1.b26f3a2faaacp-7, -0x1.a856b6d34066p-7, -0x1.9e705b42b6f0ap-7, -0x1.94bb74681d861p-7, -0x1.8b374fc6f0651p-7, -0x1.81e33b8a926f6p-7, -0x1.78be869451f7fp-7, -0x1.6fc880890c754p-7, -0x1.670079de619d2p-7, -0x1.5e65c3e77e5a7p-7, -0x1.55f7b0e169197p-7, -0x1.4db593fefc734p-7, -0x1.459ec17454d49p-7, -0x1.3db28e81efe43p-7, -0x1.35f0517f4b6b5p-7, -0x1.2e5761e51ea15p-7, -0x1.26e718572f8a6p-7, -0x1.1f9eceadb0b6ap-7, -0x1.187ddffe42417p-7, -0x1.1183a8a47fb19p-7, -0x1.0aaf864a2cbd8p-7, -0x1.0400d7eefed73p-7, -0x1.faedfbdfd9ae4p-8, -0x1.ee22b41c77e35p-8, -0x1.e19e9eec1a9c7p-8, -0x1.d5608589300afp-8, -0x1.c967341c07681p-8, -0x1.bdb179c5ba082p-8, -0x1.b23e28aa76861p-8, -0x1.a70c15faff4c7p-8, -0x1.9c1a19fd88ae6p-8, -0x1.91671015e0e24p-8, -0x1.86f1d6ccf6243p-8, -0x1.7cb94fd7bea7cp-8, -0x1.72bc601d670b8p-8, -0x1.68f9efbcff0abp-8, -0x1.5f70ea1284e5p-8, -0x1.56203dbb5f416p-8, -0x1.4d06dc9a36e79p-8, -0x1.4423bbda58912p-8, -0x1.3b75d3f2a7444p-8, -0x1.32fc20a793e25p-8, -0x1.2ab5a10d5d9ep-8, -0x1.22a157891eca6p-8, -0x1.1abe49d1c3b56p-8, -0x1.130b80f073ed4p-8, -0x1.0b8809407a0bbp-8, -0x1.0432f26ef01cbp-8, -0x1.fa169ef3b07e6p-9, -0x1.ec206d5db155ep-9, -0x1.de8183536a90bp-9, -0x1.d1381aa47be8ap-9, -0x1.c44273b41943cp-9, -0x1.b79ed573b73d7p-9, -0x1.ab4b8d5cf6981p-9, -0x1.9f46ef6b5251bp-9, -0x1.938f5614b9e0cp-9, -0x1.882322420ac9cp-9, -0x1.7d00bb46ba7abp-9, -0x1.72268ed81fe2cp-9, -0x1.679311042b3bdp-9, -0x1.5d44bc27cc33ep-9, -0x1.533a10e4a7e1dp-9, -0x1.49719616a9931p-9, -0x1.3fe9d8c90d9d6p-9, -0x1.36a16c2aed874p-9, -0x1.2d96e983c32dcp-9, -0x1.24c8f0274c9a9p-9, -0x1.1c3625692cdbdp-9, -0x1.13dd349076575p-9, -0x1.0bbcceca8f0bfp-9, -0x1.03d3ab1e28875p-9, -0x1.f8410cbb9c0a5p-10, -0x1.e944463467049p-10, -0x1.daae9328ed795p-10, -0x1.cc7d8f5fbb30fp-10, -0x1.beaee1c781fd4p-10, -0x1.b1403c59defep-10, -0x1.a42f5bfe42cd7p-10, -0x1.977a086c93ddbp-10, -0x1.8b1e140edc84cp-10, -0x1.7f195be37de37p-10, -0x1.7369c75eb2081p-10, -0x1.680d484b7973p-10, -0x1.5d01daad71aaap-10, -0x1.524584a0edf45p-10, -0x1.47d6563c1783p-10, -0x1.3db2696f3c3b4p-10, -0x1.33d7e1e4ba62ep-10, -0x1.2a44ece1cc5e6p-10, -0x1.20f7c125bf1b7p-10, -0x1.17ee9eca2ff19p-10, -0x1.0f27cf227135dp-10, -0x1.06a1a49b0f75bp-10, -0x1.fcb4f532cce9ep-11, -0x1.eca16ab595be3p-11, -0x1.dd0583a7a1978p-11, -0x1.cdde2b1f173c6p-11, -0x1.bf285d1d114ep-11, -0x1.b0e1264c01e17p-11, -0x1.a305a3bdc4226p-11, -0x1.959302a9eb353p-11, -0x1.8886802be1226p-11, -0x1.7bdd690129566p-11, -0x1.6f951947f7926p-11, -0x1.63aafc3d9faebp-11, -0x1.581c8bfdad932p-11, -0x1.4ce75140c51d1p-11, -0x1.4208e31c38de3p-11, -0x1.377ee6c1afb85p-11, -0x1.2d470f3f53616p-11, -0x1.235f1d4076b38p-11, -0x1.19c4deceb9dd5p-11, -0x1.10762f1345c3bp-11, -0x1.0770f619f161p-11, -0x1.fd665125c81edp-12, -0x1.ec758f2de34ffp-12, -0x1.dc0bc0d667406p-12, -0x1.cc25188c43b96p-12, -0x1.bcbde02a55eedp-12, -0x1.add278860322bp-12, -0x1.9f5f58fd8895p-12, -0x1.91610f07f57e7p-12, -0x1.83d43dc6765c7p-12, -0x1.76b59d984521cp-12, -0x1.6a01fbaf00fbdp-12, -0x1.5db639a4d510bp-12, -0x1.51cf4d15bdbap-12, -0x1.464a3f3780085p-12, -0x1.3b242c7795be5p-12, -0x1.305a4416563bcp-12, -0x1.25e9c7c6ef23dp-12, -0x1.1bd00b4e14b3fp-12, -0x1.120a742506709p-12, -0x1.0896791a4c27p-12, -0x1.fee343f253eb8p-13, -0x1.ed330e5a77b06p-13, -0x1.dc17a2d3d9abp-13, -0x1.cb8c72a5db158p-13, -0x1.bb8d0e494f1b7p-13, -0x1.ac1524c0ab038p-13, -0x1.9d2082ec30d35p-13, -0x1.8eab12e517aeap-13, -0x1.80b0db583702cp-13, -0x1.732dfee3eba83p-13, -0x1.661ebb780dbd3p-13, -0x1.597f69b7096ecp-13, -0x1.4d4c7c5a13fe9p-13, -0x1.41827f9714bb7p-13, -0x1.361e188905618p-13, -0x1.2b1c04987200cp-13, -0x1.207918ebfcbacp-13, -0x1.163241d34fa91p-13, -0x1.0c44823ab2ef7p-13, -0x1.02acf31e5abe3p-13, -0x1.f2d1860236dc5p-14, -0x1.e0ea6acae3c52p-14, -0x1.cf9f4491e29e8p-14, -0x1.beeaeb49a9e5p-14, -0x1.aec85dd9cbee9p-14, -0x1.9f32c129fbc4dp-14, -0x1.90255f30127ep-14, -0x1.819ba604b3055p-14, -0x1.739126fba1fbbp-14, -0x1.660195c1a9daap-14, -0x1.58e8c783d50fp-14, -0x1.4c42b21698f1fp-14, -0x1.400b6b25959d3p-14, -0x1.343f27652823ap-14, -0x1.28da39ce037b3p-14, -0x1.1dd912d554889p-14, -0x1.13383faf84b84p-14, -0x1.08f469946ef86p-14, -0x1.fe14aa0cea3f6p-15, -0x1.eaedc246ae0e9p-15, -0x1.d86e0dcf5f898p-15, -0x1.c68fb11b73a0fp-15, -0x1.b54d01b6b80f9p-15, -0x1.a4a084f56f639p-15, -0x1.9484eeb1ca28fp-15, -0x1.84f51ffcbe224p-15, -0x1.75ec25df36f87p-15, -0x1.6765382846892p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.7f663e5569297p-1, 0x1.7d8f38a1be04fp-1, 0x1.7b7fd204c5d7dp-1, 0x1.79395d6f99923p-1, 0x1.76bdcbea8c37dp-1, 0x1.740f935db6553p-1, 0x1.7131959250417p-1, 0x1.6e27081fa767dp-1, 0x1.6af35dc6678d9p-1, 0x1.679a319422933p-1, 0x1.641f340746801p-1, 0x1.60861a5058d9dp-1, 0x1.5cd28fb7ce56dp-1, 0x1.5908291f510cbp-1, 0x1.552a5a89092d8p-1, 0x1.513c6e86d9106p-1, 0x1.4d417f6dbad1bp-1, 0x1.493c72260a88ep-1, 0x1.452ff26ff5e0fp-1, 0x1.411e7073239bep-1, 0x1.3d0a1f718a748p-1, 0x1.38f4f5771ac14p-1, 0x1.34e0abe2070e8p-1, 0x1.30cec0a2010f5p-1, 0x1.2cc0780f708ddp-1, 0x1.28b6df3e719fbp-1, 0x1.24b2ceb42c91bp-1, 0x1.20b4ed67cb9c1p-1, 0x1.1cbdb3fae65c5p-1, 0x1.18cd7017aee5ap-1, 0x1.14e447e56dae2p-1, 0x1.11023d85fcf67p-1, 0x1.0d273290db5d6p-1, 0x1.0952eb8237296p-1, 0x1.05851315e86dfp-1, 0x1.01bd3d87c0c4p-1, 0x1.fbf5d767c016fp-2, 0x1.f47b1c25c2f89p-2, 0x1.ed090f1d6c7f3p-2, 0x1.e59e605bcb03p-2, 0x1.de39af27632efp-2, 0x1.d6d98ea8910f6p-2, 0x1.cf7c8a3982195p-2, 0x1.c821295e330a7p-2, 0x1.c0c5f365c2f4fp-2, 0x1.b96972b708ef1p-2, 0x1.b20a37cafe577p-2, 0x1.aaa6dbd7f2961p-2, 0x1.a33e0330dbd07p-2, 0x1.9bce5f5c664fep-2, 0x1.9456b0e786a71p-2, 0x1.8cd5c8f777963p-2, 0x1.854a8a9f254cbp-2, 0x1.7db3ebfbfd1b3p-2, 0x1.7610f71e1e5ebp-2, 0x1.6e60cabfd3705p-2, 0x1.66a29ad0275e7p-2, 0x1.5ed5b0d442f8dp-2, 0x1.56f96c2332f08p-2, 0x1.4f0d41ff6fc79p-2, 0x1.4710bd917c593p-2, 0x1.3f037fc6a33b6p-2, 0x1.36e53f16cd292p-2, 0x1.2eb5c73421a09p-2, 0x1.2674f8a70f88cp-2, 0x1.1e22c8591ccc9p-2, 0x1.15bf3f10badd1p-2, 0x1.0d4a78e02ccabp-2, 0x1.04c4a4896957cp-2, 0x1.f85c05b166eabp-3, 0x1.e70dcbef15151p-3, 0x1.d59f6172bab9cp-3, 0x1.c411abc6bc405p-3, 0x1.b265aee1457dbp-3, 0x1.a09c8ba7584cep-3, 0x1.8eb77e6c9948dp-3, 0x1.7cb7dd7195194p-3, 0x1.6a9f176214b41p-3, 0x1.586eb1d4df88dp-3, 0x1.462847ce1e936p-3, 0x1.33cd88457c726p-3, 0x1.216034b0f0e11p-3, 0x1.0ee21f9500221p-3, 0x1.f8aa56366503p-4, 0x1.d3768f5ea4dcdp-4, 0x1.ae2ce547ef7f1p-4, 0x1.88d169bdb1fe7p-4, 0x1.6368431a59161p-4, 0x1.3df5a9c0efff8p-4, 0x1.187de5a7fd587p-4, 0x1.e60a97ec0de0cp-5, 0x1.9b20796006c6p-5, 0x1.504640f3d6eccp-5, 0x1.0584ccd31fa7bp-5, 0x1.75ca07af09a71p-6, 0x1.c1bf45ded12eap-7, 0x1.31710ed878c1cp-8, -0x1.1eb90f714a4efp-8, -0x1.b65c5e396942ep-7, -0x1.6e11cdd41c915p-6, -0x1.0023c57bb8912p-5, -0x1.48def98c1b89cp-5, -0x1.9131dd47b518cp-5, -0x1.d913e1b19b336p-5, -0x1.103e48ba1e2c1p-4, -0x1.33b1c9c83eae9p-4, -0x1.56e056f5d4b1p-4, -0x1.79c5e3de5ee91p-4, -0x1.9c5e75ecc5c08p-4, -0x1.bea625721e358p-4, -0x1.e0991eacd787bp-4, -0x1.0119d1605508ap-3, -0x1.11b9044fbeeaap-3, -0x1.22285ef1ca34fp-3, -0x1.326623cd9a585p-3, -0x1.4270a183190b2p-3, -0x1.52463322c04dep-3, -0x1.61e5407e95ee2p-3, -0x1.714c3e747832ap-3, -0x1.8079af31e5075p-3, -0x1.8f6c2271560dap-3, -0x1.9e2235b167385p-3, -0x1.ac9a9465d606p-3, -0x1.bad3f82292872p-3, -0x1.c8cd28c0fe54dp-3, -0x1.d684fc7f77612p-3, -0x1.e3fa581b66ec2p-3, -0x1.f12c2ee5e2b08p-3, -0x1.fe1982d31dda5p-3, -0x1.0560b2425b7cdp-2, -0x1.0b9179a78e7fcp-2, -0x1.119eae9d13b4ep-2, -0x1.1787ef7e8499ep-2, -0x1.1d4ce1fadf8cp-2, -0x1.22ed330e16833p-2, -0x1.286896f881b99p-2, -0x1.2dbec9344ae96p-2, -0x1.32ef8c68e6af7p-2, -0x1.37faaa5cacc82p-2, -0x1.3cdff3e4a12efp-2, -0x1.419f40d282cccp-2, -0x1.46386fe134d0bp-2, -0x1.4aab669f8db29p-2, -0x1.4ef81159a804ap-2, -0x1.531e6300be512p-2, -0x1.571e5511af7aep-2, -0x1.5af7e77a30071p-2, -0x1.5eab207cc86b4p-2, -0x1.62380c93a5a68p-2, -0x1.659ebe525a7ecp-2, -0x1.68df4e4695c7fp-2, -0x1.6bf9dad7e9da6p-2, -0x1.6eee8826b0385p-2, -0x1.71bd7fea1b695p-2, -0x1.7466f14d8a669p-2, -0x1.76eb10cd2907p-2, -0x1.794a1811ef737p-2, -0x1.7b8445cd15bf3p-2, -0x1.7d99dd92ff296p-2, -0x1.7f8b27b5b7dc3p-2, -0x1.8158711f0fb66p-2, -0x1.83020b2a5a7c2p-2, -0x1.84884b7def605p-2, -0x1.85eb8be46b6cbp-2, -0x1.872c2a25ca212p-2, -0x1.884a87e05bc5ap-2, -0x1.89470a61ae196p-2, -0x1.8a221a7f6b555p-2, -0x1.8adc247041fa3p-2, -0x1.8b7597a4d8ef4p-2, -0x1.8beee6a0e7b17p-2, -0x1.8c4886d46e2cdp-2, -0x1.8c82f07522aecp-2, -0x1.8c9e9e581ac7p-2, -0x1.8c9c0dcbb702cp-2, -0x1.8c7bbe71e0046p-2, -0x1.8c3e321a95da1p-2, -0x1.8be3ec9ee55ccp-2, -0x1.8b6d73bc3e514p-2, -0x1.8adb4ef03c534p-2, -0x1.8a2e0754e4bd6p-2, -0x1.8966277d61e8ep-2, -0x1.88843b53410d7p-2, -0x1.8788cff43aa9fp-2, -0x1.867473908a4e3p-2, -0x1.8547b549d8684p-2, -0x1.84032512c2d69p-2, -0x1.82a7538eff693p-2, -0x1.8134d1f421fdcp-2, -0x1.7fac31eb0a9d9p-2, -0x1.7e0e0571fb9c4p-2, -0x1.7c5adebf60847p-2, -0x1.7a93502541db7p-2, -0x1.78b7ebf56efap-2, -0x1.76c944665c368p-2, -0x1.74c7eb78b8e5bp-2, -0x1.72b472ddbe842p-2, -0x1.708f6bde3cfd1p-2, -0x1.6e5967425fa93p-2, -0x1.6c12f53a32f01p-2, -0x1.69bca546e4632p-2, -0x1.67570624c68fcp-2, -0x1.64e2a5b60ca7cp-2, -0x1.626010ee4a51p-2, -0x1.5fcfd3beafb1ap-2, -0x1.5d327903037afp-2, -0x1.5a888a6f59a1bp-2, -0x1.57d2907e88152p-2, -0x1.5511126156d1p-2, -0x1.524495ee6837bp-2, -0x1.4f6d9f92dbe56p-2, -0x1.4c8cb243a8ea2p-2, -0x1.49a24f6fac556p-2, -0x1.46aef6f26c84p-2, -0x1.43b327078d3bfp-2, -0x1.40af5c3ef3b3p-2, -0x1.3da41171984fap-2, -0x1.3a91bfb7014b7p-2, -0x1.3778de5b68dcap-2, -0x1.3459e2d68537ap-2, -0x1.313540c2f7414p-2, -0x1.2e0b69d65642ap-2, -0x1.2adccdd9dad39p-2, -0x1.27a9daa3a3b27p-2, -0x1.2472fc1091e82p-2, -0x1.21389bfeb6eecp-2, -0x1.1dfb224859433p-2, -0x1.1abaf4bf80dcp-2, -0x1.1778772a0fed1p-2, -0x1.14340b3e67167p-2, -0x1.10ee10a085283p-2, -0x1.0da6e4dfb09p-2, -0x1.0a5ee37497147p-2, -0x1.071665bfea07ep-2, -0x1.03cdc309713a7p-2, -0x1.0085507f90456p-2, -0x1.fa7ac26e71d1bp-3, -0x1.f3ec8c589ce23p-3, -0x1.ed609c84d8219p-3, -0x1.e6d78c8c2a72p-3, -0x1.e051f1dc865dbp-3, -0x1.d9d05dbca9684p-3, -0x1.d3535d50a98a9p-3, -0x1.ccdb799f3a84cp-3, -0x1.c66937979346fp-3, -0x1.bffd1817f8b7fp-3, -0x1.b99797f4e42cfp-3, -0x1.b3393000bb03ap-3, -0x1.ace255141ae3dp-3, -0x1.a6937816a207ap-3, -0x1.a04d060848a61p-3, -0x1.9a0f680b23eb7p-3, -0x1.93db036dadc3cp-3, -0x1.8db039b574709p-3, -0x1.878f68aa2d841p-3, -0x1.8178ea6139732p-3, -0x1.7b6d15497813fp-3, -0x1.756c3c377cfd9p-3, -0x1.6f76ae72122fdp-3, -0x1.698cb7bf0905p-3, -0x1.63aea0705262ap-3, -0x1.5ddcad7159c3fp-3, -0x1.581720549b33cp-3, -0x1.525e3761789afp-3, -0x1.4cb22da238668p-3, -0x1.47133af238f45p-3, -0x1.4181940c50dc8p-3, -0x1.3bfd6a994e037p-3, -0x1.3686ed3e98bcap-3, -0x1.311e47acf7791p-3, -0x1.2bc3a2af68731p-3, -0x1.2677243a0b2f8p-3, -0x1.2138ef7925437p-3, -0x1.1c0924e02f044p-3, -0x1.16e7e238e57f8p-3, -0x1.11d542b26b65dp-3, -0x1.0cd15ef06591p-3, -0x1.07dc4d1a1a2cbp-3, -0x1.02f620e98a989p-3, -0x1.fc3dd775138b6p-4, -0x1.f2ad793381f84p-4, -0x1.e93b40a763fa6p-4, -0x1.dfe743073f465p-4, -0x1.d6b19144dd2dep-4, -0x1.cd9a382ace778p-4, -0x1.c4a14079d695cp-4, -0x1.bbc6af060b389p-4, -0x1.b30a84d3dd002p-4, -0x1.aa6cbf34bdabbp-4, -0x1.a1ed57e3b2ee1p-4, -0x1.998c45217e1fdp-4, -0x1.914979d09b4d3p-4, -0x1.8924e590e68ccp-4, -0x1.811e74daf98e9p-4, -0x1.7936111b38f36p-4, -0x1.716ba0cc8ec79p-4, -0x1.69bf0792cf248p-4, -0x1.62302654c590bp-4, -0x1.5abedb55e73e4p-4, -0x1.536b024faab0cp-4, -0x1.4c34748a7ecdcp-4, -0x1.451b08f663481p-4, -0x1.3e1e94431f686p-4, -0x1.373ee8f813adbp-4, -0x1.307bd78ba917p-4, -0x1.29d52e7a58747p-4, -0x1.234aba5d4b82dp-4, -0x1.1cdc4600955a6p-4, -0x1.16899a7903128p-4, -0x1.10527f398142bp-4, -0x1.0a36ba281822bp-4, -0x1.04360fb27c007p-4, -0x1.fca085c468ac1p-5, -0x1.f10a2ae0a9236p-5, -0x1.e5a88fb197ae6p-5, -0x1.da7b32da906cbp-5, -0x1.cf8190cf59f82p-5, -0x1.c4bb23f83ddd6p-5, -0x1.ba2764d54a74ep-5, -0x1.afc5ca20baf1p-5, -0x1.a595c8f08ec7cp-5, -0x1.9b96d4d74914p-5, -0x1.91c86003dd8ffp-5, -0x1.8829db60cc906p-5, -0x1.7ebab6b26ad75p-5, -0x1.757a60b45d53dp-5, -0x1.6c684736454c5p-5, -0x1.6383d7379f686p-5, -0x1.5acc7d02dae1cp-5, -0x1.5241a447a557dp-5, -0x1.49e2b8347140cp-5, -0x1.41af238f39c87p-5, -0x1.39a650cd7fe57p-5, -0x1.31c7aa2b8da74p-5, -0x1.2a1299c2f4d6bp-5, -0x1.228689a059716p-5, -0x1.1b22e3d87dcc2p-5, -0x1.13e7129c9c53p-5, -0x1.0cd2804e0aae2p-5, -0x1.05e497912f165p-5, -0x1.fe3986bf8ac91p-6, -0x1.f0f4de34f2433p-6, -0x1.e3fa0d33acb35p-6, -0x1.d747ec7d2f109p-6, -0x1.cadd560296ac1p-6, -0x1.beb92502c1296p-6, -0x1.b2da36271c8bbp-6, -0x1.a73f679f4fb67p-6, -0x1.9be7993ba9ca7p-6, -0x1.90d1ac866f96ep-6, -0x1.85fc84dc02e69p-6, -0x1.7b670781ef9f9p-6, -0x1.71101bbcdd4c8p-6, -0x1.66f6aae5753f5p-6, -0x1.5d19a07c3a7cbp-6, -0x1.5377ea3c5d4a2p-6, -0x1.4a10782d90003p-6, -0x1.40e23cb4e0a4ep-6, -0x1.37ec2ca4a4adcp-6, -0x1.2f2d3f4b6e775p-6, -0x1.26a46e8225c7cp-6, -0x1.1e50b6b9332c6p-6, -0x1.16311704dbc1p-6, -0x1.0e449128b8f91p-6, -0x1.068a29a26c139p-6, -0x1.fe01cf66fe522p-7, -0x1.ef4faad50261p-7, -0x1.e0fbff56cdac9p-7, -0x1.d304ec6e57d7bp-7, -0x1.c568976581651p-7, -0x1.b8252b5a92adfp-7, -0x1.ab38d94b6209ep-7, -0x1.9ea1d81f3373fp-7, -0x1.925e64af4edccp-7, -0x1.866cc1ce6d875p-7, -0x1.7acb384ef05eap-7, -0x1.6f781707f45f7p-7, -0x1.6471b2d95a339p-7, -0x1.59b666aeb01abp-7, -0x1.4f44938118dd9p-7, -0x1.451aa05841f4ap-7, -0x1.3b36fa4a56717p-7, -0x1.3198147b10b9ap-7, -0x1.283c6819e7fbap-7, -0x1.1f22745f6456dp-7, -0x1.1648be89a1e09p-7, -0x1.0dadd1d80c60fp-7, -0x1.05503f86588f6p-7, -0x1.fa5d3d8d8dd3ep-8, -0x1.ea8f19776830bp-8, -0x1.db3358e103191p-8, -0x1.cc474da3b6534p-8, -0x1.bdc8554ac6781p-8, -0x1.afb3d90196758p-8, -0x1.a2074d80bf08bp-8, -0x1.94c032fa1c811p-8, -0x1.87dc1503de574p-8, -0x1.7b588a82a46bp-8, -0x1.6f333592ba827p-8, -0x1.6369c37078cc9p-8, -0x1.57f9ec5fdc432p-8, -0x1.4ce173935973ap-8, -0x1.421e27120034bp-8, -0x1.37addf9cf1682p-8, -0x1.2d8e809435fcp-8, -0x1.23bdf7db04663p-8, -0x1.1a3a3dbb77fafp-8, -0x1.110154c9c9093p-8, -0x1.081149c70f4efp-8, -0x1.fed0670729edbp-9, -0x1.ee0865818be29p-9, -0x1.ddc6e42586857p-9, -0x1.ce084b834451ap-9, -0x1.bec91754c390bp-9, -0x1.b005d63f385bp-9, -0x1.a1bb2993f85fp-9, -0x1.93e5c510ff141p-9, -0x1.86826ea116babp-9, -0x1.798dfe1bb82d1p-9, -0x1.6d055d04a8d3p-9, -0x1.60e5864b68bb7p-9, -0x1.552b860a7caecp-9, -0x1.49d479469c1b9p-9, -0x1.3edd8dadd2109p-9, -0x1.34440156a077p-9, -0x1.2a05227f23ddp-9, -0x1.201e4f4c4d34dp-9, -0x1.168cf5893baa8p-9, -0x1.0d4e9266b3bfp-9, -0x1.0460b23acbdf4p-9, -0x1.f781e0819ceaap-10, -0x1.e6d9ecb2b2acdp-10, -0x1.d6c4f9958de02p-10, -0x1.c73e9403cfeb9p-10, -0x1.b84264a61c3e2p-10, -0x1.a9cc2f76f0933p-10, -0x1.9bd7d346447f5p-10, -0x1.8e61493df7077p-10, -0x1.8164a4671c46p-10, -0x1.74de11303c00fp-10, -0x1.68c9d4f47ef0ep-10, -0x1.5d244d83da7c7p-10, -0x1.51e9f0ac4749fp-10, -0x1.47174bc40968fp-10, -0x1.3ca9033510d5bp-10, -0x1.329bd20975b62p-10, -0x1.28ec89792a366p-10, -0x1.1f981078c93f9p-10, -0x1.169b6349acd1ep-10, -0x1.0df3930b2fdb5p-10, -0x1.059dc54d3c331p-10, -0x1.fb2e674830acp-11, -0x1.ebba567afe46ap-11, -0x1.dcda18ee0f5ccp-11, -0x1.ce8894ebbb6a3p-11, -0x1.c0c0d57f9f255p-11, -0x1.b37e09ab68fe8p-11, -0x1.a6bb839e59996p-11, -0x1.9a74b7ef81b67p-11, -0x1.8ea53cdab97dbp-11, -0x1.8348c9805e3b2p-11, -0x1.785b3527d03e9p-11, -0x1.6dd87684b8131p-11, -0x1.63bca2ff14689p-11, -0x1.5a03edfe0fc88p-11, -0x1.50aaa8359e15cp-11, -0x1.47ad3ef6e6925p-11, -0x1.3f083b8371dc6p-11, -0x1.36b8426323fe2p-11, -0x1.2eba12bcf9c7p-11, -0x1.270a85b28b3dbp-11, -0x1.1fa68dbe5074bp-11, -0x1.188b3614a6497p-11, -0x1.11b5a2078e8b6p-11, -0x1.0b230c6d2a328p-11, -0x1.04d0c708e83cep-11, -0x1.fd7873eed0262p-12, -0x1.f1c5c63a0d586p-12, -0x1.e684ab2e2d534p-12, -0x1.dbb0725f74d41p-12, -0x1.d14493a8bd722p-12, -0x1.c73cae1d9c741p-12, -0x1.bd948701aef3bp-12, -0x1.b44808c509812p-12, -0x1.ab534205afce5p-12, -0x1.a2b264961788cp-12, -0x1.9a61c4889cb63p-12, -0x1.925dd73fe807cp-12, -0x1.8aa332842a504p-12, -0x1.832e8b9d2d91dp-12, -0x1.7bfcb671275dap-12, -0x1.750aa4a83a832p-12, -0x1.6e5564d4a5cd8p-12, -0x1.67da219f82fd3p-12, -0x1.619620fa12d6p-12, -0x1.5b86c35381177p-12, -0x1.55a982d311f57p-12, -0x1.4ffbf296ae436p-12, -0x1.4a7bbdf5ba7f8p-12, -0x1.4526a7c82888ap-12, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.85a9c407c90aep-1, 0x1.85526b1011ce2p-1, 0x1.84ec50f2d98a7p-1, 0x1.8476f5977737cp-1, 0x1.83f1ffbf80b76p-1, 0x1.835d3b1374118p-1, 0x1.82b895aabf56p-1, 0x1.82041d3721635p-1, 0x1.813ffbf56cfacp-1, 0x1.806c75801dc8ep-1, 0x1.7f89e39b0612dp-1, 0x1.7e98b30ab1701p-1, 0x1.7d99608604dfcp-1, 0x1.7c8c75cd0c3cap-1, 0x1.7b7286ece52f9p-1, 0x1.7a4c2fb62082cp-1, 0x1.791a1168e0c51p-1, 0x1.77dcd09837b8dp-1, 0x1.76951344eefb7p-1, 0x1.75437f2ec91e6p-1, 0x1.73e8b85a7f37ap-1, 0x1.72855fca167a7p-1, 0x1.711a1264c1d96p-1, 0x1.6fa7680b3566ep-1, 0x1.6e2df2d5287d4p-1, 0x1.6cae3e74a8a8ap-1, 0x1.6b28cfbbec495p-1, 0x1.699e244252902p-1, 0x1.680eb2256798ep-1, 0x1.667ae7e2daeb8p-1, 0x1.64e32c4882e1bp-1, 0x1.6347de77b7978p-1, 0x1.61a955f974fd5p-1, 0x1.6007e2e0ee59ep-1, 0x1.5e63cdfa63255p-1, 0x1.5cbd59043c1fp-1, 0x1.5b14bef09d53cp-1, 0x1.596a342dcdaeep-1, 0x1.57bde6f3f76fep-1, 0x1.560fff96ef4e8p-1, 0x1.5460a0dad7acep-1, 0x1.52afe84a90ec6p-1, 0x1.50fdee8f0fc6ep-1, 0x1.4f4ac7c6cc11p-1, 0x1.4d9683dc958dap-1, 0x1.4be12edd36df3p-1, 0x1.4a2ad14b662a4p-1, 0x1.4873707195e6ep-1, 0x1.46bb0eb1494bap-1, 0x1.4501abcfa9ea8p-1, 0x1.4347453f1b6cbp-1, 0x1.418bd665aa3e5p-1, 0x1.3fcf58e02c7bfp-1, 0x1.3e11c4c203fap-1, 0x1.3c5310d1754fp-1, 0x1.3a9332c089c21p-1, 0x1.38d21f6284e9dp-1, 0x1.370fcaddf30adp-1, 0x1.354c28db5cf62p-1, 0x1.33872cb0b6849p-1, 0x1.31c0c98998d59p-1, 0x1.2ff8f28c643f4p-1, 0x1.2e2f9afc61e7fp-1, 0x1.2c64b65904425p-1, 0x1.2a98387a5fefdp-1, 0x1.28ca15aafffe8p-1, 0x1.26fa42bf33a4p-1, 0x1.2528b529f1d36p-1, 0x1.2355630f76bdfp-1, 0x1.21804355b997bp-1, 0x1.1fa94db2d5ac8p-1, 0x1.1dd07ab98a64dp-1, 0x1.1bf5c3e3edef4p-1, 0x1.1a19239c6cf35p-1, 0x1.183a9545372efp-1, 0x1.165a153e32818p-1, 0x1.1477a0e98c246p-1, 0x1.129336af04df8p-1, 0x1.10acd5fe0d8e6p-1, 0x1.0ec47f4eca641p-1, 0x1.0cda3422151dbp-1, 0x1.0aedf7008f846p-1, 0x1.08ffcb78dc02p-1, 0x1.070fb61d0f335p-1, 0x1.051dbc7f68c26p-1, 0x1.0329e52e67fc5p-1, 0x1.013437b04802fp-1, 0x1.fe7978fbec95dp-2, 0x1.fa86f9fb18d4fp-2, 0x1.f69106f8bcc09p-2, 0x1.f297b6514a78ap-2, 0x1.ee9b2015ad52ap-2, 0x1.ea9b5dfd5bea1p-2, 0x1.e6988b57e8e34p-2, 0x1.e292c4fe25bafp-2, 0x1.de8a2942deab6p-2, 0x1.da7ed7e34caebp-2, 0x1.d670f1f742746p-2, 0x1.d26099e128151p-2, 0x1.ce4df33dcddecp-2, 0x1.ca3922d4259fbp-2, 0x1.c6224e84eac98p-2, 0x1.c2099d3a454d8p-2, 0x1.bdef36d76ffep-2, 0x1.b9d344286c20dp-2, 0x1.b5b5eed1c4d77p-2, 0x1.b197614074d5p-2, 0x1.ad77c699e7c95p-2, 0x1.a9574aac29191p-2, 0x1.a53619de3daf8p-2, 0x1.a1146120b3781p-2, 0x1.9cf24dde67618p-2, 0x1.98d00ded88121p-2, 0x1.94adcf80db757p-2, 0x1.908bc11945d3p-2, 0x1.8c6a117799041p-2, 0x1.8848ef8eaf507p-2, 0x1.84288a75d10e7p-2, 0x1.8009115b6b306p-2, 0x1.7beab378180f8p-2, 0x1.77cda001f8b3ap-2, 0x1.73b2062064be6p-2, 0x1.6f9814dff2bd8p-2, 0x1.6b7ffb26d1da2p-2, 0x1.6769e7a983d94p-2, 0x1.635608dfe8e9cp-2, 0x1.5f448cfaaa726p-2, 0x1.5b35a1d8fe45dp-2, 0x1.572974fec38f3p-2, 0x1.5320338afd6c8p-2, 0x1.4f1a0a2ea5ef9p-2, 0x1.4b172523dad6ep-2, 0x1.4717b0256946cp-2, 0x1.431bd666b025bp-2, 0x1.3f23c28bdd83dp-2, 0x1.3b2f9ea283168p-2, 0x1.373f941a88d27p-2, 0x1.3353cbbf71c44p-2, 0x1.2f6c6db1faa1p-2, 0x1.2b89a1620efb4p-2, 0x1.27ab8d8912e9ap-2, 0x1.23d25824818eap-2, 0x1.1ffe2670de4fdp-2, 0x1.1c2f1ce4f92c7p-2, 0x1.18655f2d82aebp-2, 0x1.14a11028f0592p-2, 0x1.10e251e3af5dp-2, 0x1.0d294594a4b89p-2, 0x1.09760b99f6c76p-2, 0x1.05c8c376251c9p-2, 0x1.02218bcd63a69p-2, 0x1.fd0104c684b38p-3, 0x1.f5cb88312cc61p-3, 0x1.eea2d9d356158p-3, 0x1.e7872fd96134cp-3, 0x1.e078bea0e260dp-3, 0x1.d977b8b682c88p-3, 0x1.d2844ed45ebc3p-3, 0x1.cb9eafe0dc5ebp-3, 0x1.c4c708edf9f7p-3, 0x1.bdfd853904eeap-3, 0x1.b7424e2ac950dp-3, 0x1.b0958b5825913p-3, 0x1.a9f76283045abp-3, 0x1.a367f79bbfec6p-3, 0x1.9ce76cc2e1d1ep-3, 0x1.9675e24b3e16ep-3, 0x1.901376bc6d79ep-3, 0x1.89c046d59a4ddp-3, 0x1.837c6d90a1ccfp-3, 0x1.7d48042581118p-3, 0x1.7723220e1841ap-3, 0x1.710ddd0a2a6cfp-3, 0x1.6b084923ae566p-3, 0x1.651278b35bfp-3, 0x1.5f2c7c657bceep-3, 0x1.5956633eee093p-3, 0x1.53903aa277731p-3, 0x1.4dda0e5633cd1p-3, 0x1.4833e8894acbcp-3, 0x1.429dd1d9cd962p-3, 0x1.3d17d15abf5dcp-3, 0x1.37a1ec9a539e9p-3, 0x1.323c27a849661p-3, 0x1.2ce6851c6f105p-3, 0x1.27a1061d4cb96p-3, 0x1.226baa66e911bp-3, 0x1.1d467051aebe4p-3, 0x1.183154d96978fp-3, 0x1.132c53a45f562p-3, 0x1.0e37670a7d649p-3, 0x1.0952881c97a72p-3, 0x1.047daeabbb876p-3, 0x1.ff71a2a1243abp-4, 0x1.f607cae594c3bp-4, 0x1.ecbdbea12bb3bp-4, 0x1.e393640c48c07p-4, 0x1.da889f2a630f2p-4, 0x1.d19d51d919693p-4, 0x1.c8d15bdf55cb5p-4, 0x1.c0249afc6828dp-4, 0x1.b796eaf72bbcbp-4, 0x1.af2825ad1c86p-4, 0x1.a6d823216b01ap-4, 0x1.9ea6b98c000e8p-4, 0x1.9693bd687aaa3p-4, 0x1.8e9f018511e16p-4, 0x1.86c857116a42cp-4, 0x1.7f0f8dad50eecp-4, 0x1.777473775fc88p-4, 0x1.6ff6d51b84459p-4, 0x1.68967de168832p-4, 0x1.615337babc55ep-4, 0x1.5a2ccb515bb29p-4, 0x1.5323001550ab9p-4, 0x1.4c359c4aaf41bp-4, 0x1.4564651748381p-4, 0x1.3eaf1e9033173p-4, 0x1.38158bc72c34ep-4, 0x1.31976ed7c4a57p-4, 0x1.2b3488f465d73p-4, 0x1.24ec9a732391ep-4, 0x1.1ebf62da5ce16p-4, 0x1.18aca0ed2c9f3p-4, 0x1.12b412b7a4db5p-4, 0x1.0cd5759ad6321p-4, 0x1.07108658a369dp-4, 0x1.0165011f5d1eep-4, 0x1.f7a5432a51ac2p-5, 0x1.ecb245c65d699p-5, 0x1.e1f07f8120ad9p-5, 0x1.d75f64fa4f099p-5, 0x1.ccfe6a1815baep-5, 0x1.c2cd021bb465cp-5, 0x1.b8ca9fb5a1b45p-5, 0x1.aef6b5193c8e2p-5, 0x1.a550b410098e1p-5, 0x1.9bd80e0c7a9ap-5, 0x1.928c343c447b2p-5, 0x1.896c979a3e3e4p-5, 0x1.8078a8ffcbc3fp-5, 0x1.77afd935d75ffp-5, 0x1.6f11990551bb1p-5, 0x1.669d594744fdap-5, 0x1.5e528af46e967p-5, 0x1.56309f346ae17p-5, 0x1.4e37076c6d0c9p-5, 0x1.4665354d85b1ep-5, 0x1.3eba9ae2798e4p-5, 0x1.3736aa9d28af3p-5, 0x1.2fd8d76386189p-5, 0x1.28a0949c23658p-5, 0x1.218d563a4ea2fp-5, 0x1.1a9e90c9c480ap-5, 0x1.13d3b979f8f3ep-5, 0x1.0d2c4628f75b7p-5, 0x1.06a7ad6dd8bb4p-5, 0x1.004566a2d4fe4p-5, 0x1.f409d3dde0957p-6, 0x1.e7cb609e8280fp-6, 0x1.dbce673fafba1p-6, 0x1.d011dd48851fdp-6, 0x1.c494ba1f67369p-6, 0x1.b955f7199052fp-6, 0x1.ae548f89ecbc1p-6, 0x1.a38f80cf35febp-6, 0x1.9905ca6168e2p-6, 0x1.8eb66dde81971p-6, 0x1.84a06f169289dp-6, 0x1.7ac2d417324fbp-6, 0x1.711ca5363fffep-6, 0x1.67aced1c0e23dp-6, 0x1.5e72b8cce4c52p-6, 0x1.556d17b1f286p-6, 0x1.4c9b1ba19f657p-6, 0x1.43fbd8e74dd91p-6, 0x1.3b8e664a8ba63p-6, 0x1.3351dd15b3e0fp-6, 0x1.2b45591c06ff7p-6, 0x1.2367f8bf3d3ap-6, 0x1.1bb8dcf4949fap-6, 0x1.1437294961352p-6, 0x1.0ce203e71b999p-6, 0x1.05b89596fdabap-6, 0x1.fd74138a43d9fp-7, 0x1.efcb1d066a3fp-7, 0x1.e274a9156a5dcp-7, 0x1.d56f1e7d91523p-7, 0x1.c8b8e95b4b3fdp-7, 0x1.bc507b2335e5fp-7, 0x1.b0344aa35d48dp-7, 0x1.a462d403c9d69p-7, 0x1.98da98c6481bap-7, 0x1.8d9a1fc5862c7p-7, 0x1.829ff5337b82p-7, 0x1.77eaaa9731cdbp-7, 0x1.6d78d6c9e9239p-7, 0x1.634915f39feccp-7, 0x1.595a09870442cp-7, 0x1.4faa583cdb5edp-7, 0x1.4638ae0ed0c2p-7, 0x1.3d03bc31d0f97p-7, 0x1.340a390fd63dcp-7, 0x1.2b4ae04141621p-7, 0x1.22c47285bb23ap-7, 0x1.1a75b5bca4997p-7, 0x1.125d74dd1bfa3p-7, 0x1.0a7a7fed9a817p-7, 0x1.02cbabfb2ff3dp-7, 0x1.f69fa620c1f24p-8, 0x1.e80ba85757e77p-8, 0x1.d9d9266b72cc9p-8, 0x1.cc05f1ee791bcp-8, 0x1.be8fe61d0ed7cp-8, 0x1.b174e7c9afc35p-8, 0x1.a4b2e546c0842p-8, 0x1.9847d65021ac3p-8, 0x1.8c31bbf449726p-8, 0x1.806ea07cefec7p-8, 0x1.74fc9757500b1p-8, 0x1.69d9bcfc0852ap-8, 0x1.5f0436d6a0a8bp-8, 0x1.547a332cbd18fp-8, 0x1.4a39e90502123p-8, 0x1.4041980db3accp-8, 0x1.368f88831283bp-8, 0x1.2d220b1581aaap-8, 0x1.23f778cf7337dp-8, 0x1.1b0e32fb2b6dep-8, 0x1.1264a30856dc1p-8, 0x1.09f93a717eb7fp-8, 0x1.01ca72a15e405p-8, 0x1.f3ad99b03c76cp-9, 0x1.e439a420f8609p-9, 0x1.d53625c9c4db9p-9, 0x1.c6a04ee8e75c9p-9, 0x1.b8755e9020857p-9, 0x1.aab2a26eb0d93p-9, 0x1.9d55769b60d11p-9, 0x1.905b455e94342p-9, 0x1.83c186fc6ca19p-9, 0x1.7785c17f0c319p-9, 0x1.6ba58880f04bbp-9, 0x1.601e7cf77b361p-9, 0x1.54ee4cfda74d9p-9, 0x1.4a12b39eef28ep-9, 0x1.3f8978a27287ap-9, 0x1.35507056553d9p-9, 0x1.2b657b5b68fd6p-9, 0x1.21c686711e115p-9, 0x1.18718a41c5253p-9, 0x1.0f648b2f22207p-9, 0x1.069d991f5be32p-9, 0x1.fc359e948b0bdp-10, 0x1.ebb4a80e11fa5p-10, 0x1.dbb4b1346be22p-10, 0x1.cc3232087295fp-10, 0x1.bd29b7a08632cp-10, 0x1.ae97e3c728123p-10, 0x1.a0796c9a88ee8p-10, 0x1.92cb1c2cfa755p-10, 0x1.8589d02648c99p-10, 0x1.78b2796615da7p-10, 0x1.6c421ba71dc9ep-10, 0x1.6035cd2385096p-10, 0x1.548ab63a1d096p-10, 0x1.493e1114b4df7p-10, 0x1.3e4d294f6aa12p-10, 0x1.33b55ba10af59p-10, 0x1.29741584811f8p-10, 0x1.1f86d4e34d5ccp-10, 0x1.15eb27c1181f9p-10, 0x1.0c9eabe8513fap-10, 0x1.039f0e97e933ep-10, 0x1.f5d41864430c1p-11, 0x1.e4fadfd8e35d6p-11, 0x1.d4ae27011483ep-11, 0x1.c4e9bdbcddfe6p-11, 0x1.b5a98fbf5a8fp-11, 0x1.a6e9a3f75b096p-11, 0x1.98a61bfa3de08p-11, 0x1.8adb337100dcap-11, 0x1.7d853f8785fe3p-11, 0x1.70a0ae5e0f9aep-11, 0x1.642a067cf13b7p-11, 0x1.581de64a736c5p-11, 0x1.4c790382e8b49p-11, 0x1.41382ab2f3ec4p-11, 0x1.36583eb3f9312p-11, 0x1.2bd6382abd4dfp-11, 0x1.21af25082b3e8p-11, 0x1.17e0280c3f97fp-11, 0x1.0e66784b15c7p-11, 0x1.053f60b414aap-11, 0x1.f8d07f366c7f6p-12, 0x1.e7bd0c88cbd46p-12, 0x1.d73f70e1e6095p-12, 0x1.c752d7de2216dp-12, 0x1.b7f29056c9516p-12, 0x1.a91a0b892aa3bp-12, 0x1.9ac4dc41c2daep-12, 0x1.8ceeb60b5ddd1p-12, 0x1.7f936c6229213p-12, 0x1.72aef1eaa972cp-12, 0x1.663d57ac8ff35p-12, 0x1.5a3acc515cc9ep-12, 0x1.4ea39b66cb723p-12, 0x1.43742ca4f78eep-12, 0x1.38a9033835bd9p-12, 0x1.2e3ebd0e8edcdp-12, 0x1.24321228d68e6p-12, 0x1.1a7fd3ef529b8p-12, 0x1.1124ec89e3032p-12, 0x1.081e5e3ba1b15p-12, 0x1.fed28583e0d47p-13, 0x1.ee05956dc87e6p-13, 0x1.ddd079ee13322p-13, 0x1.ce2dec14d2db2p-13, 0x1.bf18cf21a9258p-13, 0x1.b08c2f62ad239p-13, 0x1.a2834119a8f25p-13, 0x1.94f95f677eba4p-13, 0x1.87ea0b3dac09bp-13, 0x1.7b50ea55cdd0dp-13, 0x1.6f29c62f0bc51p-13, 0x1.63708b115843bp-13, 0x1.582147166a932p-13, 0x1.4d38293853fcfp-13, 0x1.42b18065aa598p-13, 0x1.3889ba9b19367p-13, 0x1.2ebd64025997bp-13, 0x1.2549261662641p-13, 0x1.1c29c6ccd096p-13, 0x1.135c27c4585aep-13, 0x1.0add457841d39p-13, 0x1.02aa3678c1ba8p-13, 0x1.f5805550510dfp-14, 0x1.e638d4f998431p-14, 0x1.d778ac8f297d7p-14, 0x1.c93acafe321e3p-14, 0x1.bb7a4c1e5bb05p-14, 0x1.ae327759b8b4bp-14, 0x1.a15ebe5d4f799p-14, 0x1.94fabbd202acbp-14, 0x1.8902321dd2cbfp-14, 0x1.7d710a2d2db2p-14, 0x1.724352443643fp-14, 0x1.67753cd7d25ap-14, 0x1.5d031f6e5c1f4p-14, 0x1.52e97187cbd95p-14, 0x1.4924cb8d332fcp-14, 0x1.3fb1e5c763c23p-14, 0x1.368d975c9bc23p-14, 0x1.2db4d5550f518p-14, 0x1.2524b1a62dda1p-14, 0x1.1cda5a447aaa7p-14, 0x1.14d3183bd63f3p-14, 0x1.0d0c4ece162e4p-14, 0x1.05837a97c3876p-14, 0x1.fc6c6175c5521p-15, 0x1.ee443c1f3c562p-15, 0x1.e08a0cb56a555p-15, 0x1.d33987131631cp-15, 0x1.c64e89e7702b2p-15, 0x1.b9c51d43f723dp-15, 0x1.ad997134dbd87p-15, 0x1.a1c7dc63acb7dp-15, 0x1.964cdac404d11p-15, 0x1.8b250c4a08e21p-15, 0x1.804d33aa71ac7p-15, 0x1.75c23523ed858p-15, 0x1.6b8115519be2p-15, 0x1.6186f80670c84p-15, 0x1.57d11f314231cp-15, 0x1.4e5ce9c94da2cp-15, 0x1.4527d2c3015eap-15, 0x1.3c2f700ccf92fp-15, 0x1.33717193e0f66p-15, 0x1.2aeba0506b67fp-15, 0x1.229bdd59837cep-15, 0x1.1a8021003180cp-15, 0x1.129679f1a130fp-15, 0x1.0add0c60373e4p-15, 0x1.035211336662bp-15, 0x1.f7e7aa7c1f9c2p-16, 0x1.e98170f68e906p-16, 0x1.db6e5aa2a55abp-16, 0x1.cdab6fb56a6e9p-16, 0x1.c035da6a3de06p-16, 0x1.b30ae5ac3b741p-16, 0x1.a627fbcabe8bap-16, 0x1.998aa538cc281p-16, 0x1.8d3087570bcbep-16, 0x1.8117634807e7dp-16, 0x1.753d14ce75b22p-16, 0x1.699f91353189p-16, 0x1.5e3ce640b2a0ep-16, 0x1.53133929af616p-16, 0x1.4820c5a0b4782p-16, 0x1.3d63dcda68034p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.ffce295748275p-6, 0x1.f8141bed67f7ep-6, 0x1.eba98e8a985c2p-6, 0x1.dabba13a574eep-6, 0x1.c584c3571e6d3p-6, 0x1.ac4a20bb5b9fdp-6, 0x1.8f5921fe1ed93p-6, 0x1.6f05105367843p-6, 0x1.4ba4e8980c792p-6, 0x1.259164e08292cp-6, 0x1.fa4680fee1a73p-7, 0x1.a5636f9e3ece1p-7, 0x1.4d2285fd5abd5p-7, 0x1.e44a2684ee16cp-8, 0x1.2a062eab3fa78p-8, 0x1.b24fbcfc9ec5bp-10, -0x1.4c2393207a46dp-10, -0x1.13e4f437e9303p-8, -0x1.d52df371764dbp-8, -0x1.4b156e48bbf7dp-7, -0x1.ab1ddecff515fp-7, -0x1.05364b5c95473p-6, -0x1.3464ddae338c5p-6, -0x1.630461d8d8c43p-6, -0x1.9103ec4dd0579p-6, -0x1.be5791c5322cap-6, -0x1.eaf808481f81dp-6, -0x1.0b712217fca84p-5, -0x1.210b89855915ep-5, -0x1.364d5b06ccea4p-5, -0x1.4b3a3ebf1d739p-5, -0x1.5fd7331e9a488p-5, -0x1.742a5d343504p-5, -0x1.883adaec9f3bdp-5, -0x1.9c10978bf60c5p-5, -0x1.afb4229b5e1dbp-5, -0x1.c32e89730559ep-5, -0x1.d689337a6f6b6p-5, -0x1.e9cdc12c5e071p-5, -0x1.fd05ede0e85c9p-5, -0x1.081dba2bb27f2p-4, -0x1.11bbfaf926894p-4, -0x1.1b62724899efbp-4, -0x1.2515b7780abfdp-4, -0x1.2eda37b7be496p-4, -0x1.38b42e931ac4bp-4, -0x1.42a79f8da8ee8p-4, -0x1.4cb850c2f9623p-4, -0x1.56e9c677dc9cap-4, -0x1.613f3f8b4a437p-4, -0x1.6bbbb2b57d4bcp-4, -0x1.7661cc841f938p-4, -0x1.8133ee02da1d8p-4, -0x1.8c342c003612fp-4, -0x1.97644edf6ba58p-4, -0x1.a2c5d2e876f0ap-4, -0x1.ae59e90897075p-4, -0x1.ba2177f63746p-4, -0x1.c61d1dabfa4d8p-4, -0x1.d24d312fa15b6p-4, -0x1.deb1c49a2f8bap-4, -0x1.eb4aa7579fe75p-4, -0x1.f81768952dac7p-4, -0x1.028baceb018cep-3, -0x1.0924c8d36cfe6p-3, -0x1.0fd67734e112ep-3, -0x1.16a00c99fff02p-3, -0x1.1d80c45c29c96p-3, -0x1.2477c21c7e3e7p-3, -0x1.2b84133e63653p-3, -0x1.32a4b061bcc87p-3, -0x1.39d87edb08f54p-3, -0x1.411e5227e1af1p-3, -0x1.4874ed5e94effp-3, -0x1.4fdb0497ae478p-3, -0x1.574f3e5072634p-3, -0x1.5ed034c57eecp-3, -0x1.665c7744cd35fp-3, -0x1.6df28b76920ddp-3, -0x1.7590ee9c77961p-3, -0x1.7d3616c6cdcc6p-3, -0x1.84e073ff6c3b7p-3, -0x1.8c8e716a0c8dap-3, -0x1.943e7659eafb3p-3, -0x1.9beee75ca82f3p-3, -0x1.a39e273a4ebap-3, -0x1.ab4a97ea8cc9p-3, -0x1.b2f29b7f2140bp-3, -0x1.ba94950393facp-3, -0x1.c22ee9525e188p-3, -0x1.c9bfffdf8f9bdp-3, -0x1.d146437929b0cp-3, -0x1.d8c022fd5e091p-3, -0x1.e02c1206c865bp-3, -0x1.e788898ef6bfp-3, -0x1.eed408875c331p-3, -0x1.f60d1468f1918p-3, -0x1.fd3239babaf14p-3, -0x1.02210647b54d5p-2, -0x1.059d947d2efb8p-2, -0x1.090e19be17bb3p-2, -0x1.0c71ecb38d7dbp-2, -0x1.0fc8689db5accp-2, -0x1.1310ed7e1ba0bp-2, -0x1.164ae03e4f6f4p-2, -0x1.1975aad2e59f6p-2, -0x1.1c90bc5af3e6p-2, -0x1.1f9b893c2c5aap-2, -0x1.22958b3bab5d8p-2, -0x1.257e41939fc52p-2, -0x1.28553105de092p-2, -0x1.2b19e3eb8751cp-2, -0x1.2dcbea41d19d5p-2, -0x1.306ad9b41a535p-2, -0x1.32f64da34f95dp-2, -0x1.356de72ada894p-2, -0x1.37d14d23135edp-2, -0x1.3a202c2168e9fp-2, -0x1.3c5a367646be7p-2, -0x1.3e7f2428de594p-2, -0x1.408eb2f0dfa42p-2, -0x1.4288a62e46a6fp-2, -0x1.446cc6df46509p-2, -0x1.463ae394754a9p-2, -0x1.47f2d0634763ap-2, -0x1.499466d6f3adfp-2, -0x1.4b1f85dfd795ep-2, -0x1.4c9411c1696a5p-2, -0x1.4df1f3fed75d8p-2, -0x1.4f391b4660a1p-2, -0x1.50697b5b7f0a1p-2, -0x1.51830cfff1f5bp-2, -0x1.5285cddbc37d9p-2, -0x1.5371c06455a03p-2, -0x1.5446ebc287a23p-2, -0x1.55055bb80d9b2p-2, -0x1.55ad208402facp-2, -0x1.563e4ec6cbcfap-2, -0x1.56b8ff6559ed1p-2, -0x1.571d4f6bdcf87p-2, -0x1.576b5feff2ebbp-2, -0x1.57a355f26952cp-2, -0x1.57c55a40980fp-2, -0x1.57d1995569ddp-2, -0x1.57c8433a1b672p-2, -0x1.57a98b66c20dp-2, -0x1.5775a8a2a63f5p-2, -0x1.572cd4e47b8d9p-2, -0x1.56cf4d3284e97p-2, -0x1.565d5182b16f9p-2, -0x1.55d7249ab8c0ap-2, -0x1.553d0bf0479f7p-2, -0x1.548f4f893f082p-2, -0x1.53ce39dc19fb9p-2, -0x1.52fa17b0791dp-2, -0x1.521337ffe3f7dp-2, -0x1.5119ebd6c6867p-2, -0x1.500e8635b0b15p-2, -0x1.4ef15bf2e568fp-2, -0x1.4dc2c39c38ea2p-2, -0x1.4c8315594e71dp-2, -0x1.4b32aace316c7p-2, -0x1.49d1defe5b465p-2, -0x1.48610e302096ep-2, -0x1.46e095d096cd9p-2, -0x1.4550d457eca92p-2, -0x1.43b2292e42a9bp-2, -0x1.4204f49100dbfp-2, -0x1.40499778b64c5p-2, -0x1.3e80737f7b8a4p-2, -0x1.3ca9eac7e5ddbp-2, -0x1.3ac65fe488fb7p-2, -0x1.38d635c007a97p-2, -0x1.36d9cf85bc8f2p-2, -0x1.34d1908af96fbp-2, -0x1.32bddc38dc5d7p-2, -0x1.309f15f6c2604p-2, -0x1.2e75a115547b3p-2, -0x1.2c41e0ba32962p-2, -0x1.2a0437cc3b69dp-2, -0x1.27bd08e071dfp-2, -0x1.256cb62786097p-2, -0x1.2313a15bf72fdp-2, -0x1.20b22bb0da50ap-2, -0x1.1e48b5c13b769p-2, -0x1.1bd79f8021569p-2, -0x1.195f48292c2e5p-2, -0x1.16e00e31d448dp-2, -0x1.145a4f3b41905p-2, -0x1.11ce6804c3a75p-2, -0x1.0f3cb45edd57bp-2, -0x1.0ca58f1eef373p-2, -0x1.0a095213744f7p-2, -0x1.076855f8d7d4p-2, -0x1.04c2f26edbfa5p-2, -0x1.02197dee9346dp-2, -0x1.fed89b81d5f8fp-3, -0x1.f9776beb83b05p-3, -0x1.f41012b7138e6p-3, -0x1.eea332eee92f6p-3, -0x1.e9316cfc48535p-3, -0x1.e3bb5e99c7b02p-3, -0x1.de41a2c6be742p-3, -0x1.d8c4d1bbb3821p-3, -0x1.d34580dfc83fp-3, -0x1.cdc442bf10de6p-3, -0x1.c841a701e2178p-3, -0x1.c2be3a6502acdp-3, -0x1.bd3a86b2c367ep-3, -0x1.b7b712bcef78p-3, -0x1.b23462579d1dap-3, -0x1.acb2f654c43f6p-3, -0x1.a7334c80af236p-3, -0x1.a1b5df9f24c1cp-3, -0x1.9c3b276959e23p-3, -0x1.96c3988ca0379p-3, -0x1.914fa4a9bf3ffp-3, -0x1.8bdfba550960ep-3, -0x1.867445170e77p-3, -0x1.810dad6dfacccp-3, -0x1.7bac58cf8d5c4p-3, -0x1.7650a9aba7ff6p-3, -0x1.70faff6f73667p-3, -0x1.6babb6890e091p-3, -0x1.6663286bc1abcp-3, -0x1.6121ab94b9516p-3, -0x1.5be7939034f61p-3, -0x1.56b530ff378d5p-3, -0x1.518ad19d98661p-3, -0x1.4c68c0489419cp-3, -0x1.474f4505b1ec3p-3, -0x1.423ea50a163e7p-3, -0x1.3d3722c22cf7p-3, -0x1.3838fdd9abe0cp-3, -0x1.33447343e7b83p-3, -0x1.2e59bd4479443p-3, -0x1.2979137828cd6p-3, -0x1.24a2aade1f129p-3, -0x1.1fd6b5e15592p-3, -0x1.1b15646247ea6p-3, -0x1.165ee3c0d1365p-3, -0x1.11b35ee64d231p-3, -0x1.0d12fe4fd6ef1p-3, -0x1.087de818bfd35p-3, -0x1.03f44005289b3p-3, -0x1.feec4f197953dp-4, -0x1.f6077bcb221f7p-4, -0x1.ed3a401e36bebp-4, -0x1.e484d1ba905b8p-4, -0x1.dbe76207367dep-4, -0x1.d3621e40e23f4p-4, -0x1.caf52f90833fcp-4, -0x1.c2a0bb21ed127p-4, -0x1.ba64e23a90f97p-4, -0x1.b241c25045b56p-4, -0x1.aa3775201117p-4, -0x1.a24610c4ffa3ap-4, -0x1.9a6da7cede518p-4, -0x1.92ae49590f89p-4, -0x1.8b0801212fc46p-4, -0x1.837ad79dbfa45p-4, -0x1.7c06d214abe2dp-4, -0x1.74abf2b1beeefp-4, -0x1.6d6a389cf148ep-4, -0x1.6641a01099abdp-4, -0x1.5f32226f743b1p-4, -0x1.583bb65a8273cp-4, -0x1.515e4fc6bc261p-4, -0x1.4a99e01290efp-4, -0x1.43ee561b3625cp-4, -0x1.3d5b9e51be9b5p-4, -0x1.36e1a2cffa945p-4, -0x1.30804b6d1ab85p-4, -0x1.2a377dd2164f4p-4, -0x1.24071d8dd1fdp-4, -0x1.1def0c2903a36p-4, -0x1.17ef2939d2b5ep-4, -0x1.120752773289dp-4, -0x1.0c3763cbf5ed4p-4, -0x1.067f376999085p-4, -0x1.00dea5dac0a72p-4, -0x1.f6ab0c2adf41p-5, -0x1.ebc75b19d862dp-5, -0x1.e111e086b5825p-5, -0x1.d68a41b60ebdep-5, -0x1.cc30214ec1384p-5, -0x1.c2031f7b43a8ap-5, -0x1.b802da0a58036p-5, -0x1.ae2eec8f1986bp-5, -0x1.a486f080683aep-5, -0x1.9b0a7d57ae05ap-5, -0x1.91b928aefe608p-5, -0x1.8892865e9164cp-5, -0x1.7f962899964f3p-5, -0x1.76c3a00a6376dp-5, -0x1.6e1a7bedfd067p-5, -0x1.659a4a2ef70d3p-5, -0x1.5d42977fb398cp-5, -0x1.5512ef73fa0a2p-5, -0x1.4d0adc99eaceap-5, -0x1.4529e89250e5bp-5, -0x1.3d6f9c284e08dp-5, -0x1.35db7f68687f2p-5, -0x1.2e6d19b6f664p-5, -0x1.2723f1e5ea3eap-5, -0x1.1fff8e4a02adep-5, -0x1.18ff74cf5b0bap-5, -0x1.12232b0d63028p-5, -0x1.0b6a365a3cbc7p-5, -0x1.04d41bdd81aap-5, -0x1.fcc0c144e219p-6, -0x1.f01d135319ad6p-6, -0x1.e3bc37f33f391p-6, -0x1.d79d396068bb8p-6, -0x1.cbbf2222ffa27p-6, -0x1.c020fd2f7717p-6, -0x1.b4c1d603ec554p-6, -0x1.a9a0b8c4b6b08p-6, -0x1.9ebcb257eac88p-6, -0x1.9414d07fd3bfep-6, -0x1.89a821f466adap-6, -0x1.7f75b67bb96e9p-6, -0x1.757c9f0177359p-6, -0x1.6bbbedad64736p-6, -0x1.6232b5f8eddbcp-6, -0x1.58e00cc3c3f0ep-6, -0x1.4fc308679614cp-6, -0x1.46dac0cadf0e5p-6, -0x1.3e264f72da399p-6, -0x1.35a4cf94956e3p-6, -0x1.2d555e252e61fp-6, -0x1.253719e93f0cbp-6, -0x1.1d4923837bddep-6, -0x1.158a9d8285e0dp-6, -0x1.0dfaac6df9409p-6, -0x1.069876d2c09d3p-6, -0x1.fec64a9d4aebep-7, -0x1.f0b3c5365e7d2p-7, -0x1.e2f7b72f9b376p-7, -0x1.d5907ea6ab07dp-7, -0x1.c87c7e29aafcbp-7, -0x1.bbba1cc78bd6ep-7, -0x1.af47c61f2c192p-7, -0x1.a323ea6d3c77bp-7, -0x1.974cfe98fe23ep-7, -0x1.8bc17c3fc8a7cp-7, -0x1.807fe1bf82f25p-7, -0x1.7586b23ff910fp-7, -0x1.6ad475bb2d8afp-7, -0x1.6067b904a4f78p-7, -0x1.563f0dcfaa663p-7, -0x1.4c590ab4ae603p-7, -0x1.42b44b35aa464p-7, -0x1.394f6fc1a4c0dp-7, -0x1.30291db75b0f9p-7, -0x1.273fff670dcf7p-7, -0x1.1e92c413833bfp-7, -0x1.16201ff23f0e1p-7, -0x1.0de6cc2afced5p-7, -0x1.05e586d66e6dap-7, -0x1.fc3625f891b3p-8, -0x1.ed0c71214d29bp-8, -0x1.de4b88e186439p-8, -0x1.cff110be339bp-8, -0x1.c1fab5fdd5a32p-8, -0x1.b4662f9e613f9p-8, -0x1.a7313e4a1052cp-8, -0x1.9a59ac4b28953p-8, -0x1.8ddd4d7ec2d98p-8, -0x1.81b9ff469f65ap-8, -0x1.75eda87a10ad1p-8, -0x1.6a76395609a58p-8, -0x1.5f51ab6c5a20ep-8, -0x1.547e01922155dp-8, -0x1.49f947cd84a9dp-8, -0x1.3fc19342b17e4p-8, -0x1.35d5022035d32p-8, -0x1.2c31bb8ab7a08p-8, -0x1.22d5ef8817494p-8, -0x1.19bfd6ea0040cp-8, -0x1.10edb337f9555p-8, -0x1.085dce98f3391p-8, -0x1.000e7bbc66bafp-8, -0x1.effc2b8608c38p-9, -0x1.e056004e03954p-9, -0x1.d1274d480d888p-9, -0x1.c26cfa3d92b21p-9, -0x1.b423ff18b192p-9, -0x1.a64963b243ba5p-9, -0x1.98da3f9f67cbcp-9, -0x1.8bd3b9fe95ca5p-9, -0x1.7f3309444c6d4p-9, -0x1.72f57307645bep-9, -0x1.67184bcd12ea7p-9, -0x1.5b98f6d4adca3p-9, -0x1.5074e5e32f1bap-9, -0x1.45a9990e90f99p-9, -0x1.3b349e89046bep-9, -0x1.3113926c0e755p-9, -0x1.27441e83943dbp-9, -0x1.1dc3fa18e2bb5p-9, -0x1.1490e9bdb41bcp-9, -0x1.0ba8bf1745805p-9, -0x1.030958a979accp-9, -0x1.f56143443678cp-10, -0x1.e5392348783bep-10, -0x1.d5965927878fep-10, -0x1.c67504c24d0c8p-10, -0x1.b7d15daab6883p-10, -0x1.a9a7b2bc1102dp-10, -0x1.9bf469b3f06d6p-10, -0x1.8eb3fecb9e8d8p-10, -0x1.81e3045237444p-10, -0x1.757e224758532p-10, -0x1.698215f692c9p-10, -0x1.5debb19388b1bp-10, -0x1.52b7dbd6db10cp-10, -0x1.47e38f9bd502bp-10, -0x1.3d6bdb7ef80c1p-10, -0x1.334de17d5793ap-10, -0x1.2986d694dfabdp-10, -0x1.2014026579aa3p-10, -0x1.16f2bed32cf22p-10, -0x1.0e2077a9256edp-10, -0x1.059aaa3dbf25cp-10, -0x1.fabdca2f1691cp-11, -0x1.ead58f26b008ep-11, -0x1.db78031684b2cp-11, -0x1.cca0a5fda4effp-11, -0x1.be4b17784dc3ep-11, -0x1.b073161464893p-11, -0x1.a3147ea81d0b1p-11, -0x1.962b4baacfa3dp-11, -0x1.89b394900336p-11, -0x1.7da98d24b1cp-11, -0x1.720984eec6a48p-11, -0x1.66cfe68edec2dp-11, -0x1.5bf93724481e7p-11, -0x1.518215b3479dbp-11, -0x1.47673a8da3bf8p-11, -0x1.3da576bd740e2p-11, -0x1.3439b3723b9d4p-11, -0x1.2b20f17047255p-11, -0x1.2258488255fp-11, -0x1.19dce6ed88694p-11, -0x1.11ac10e793a66p-11, -0x1.09c3200f3c98bp-11, -0x1.021f82e714283p-11, -0x1.f57d78a4eab22p-12, -0x1.e73cc6298758fp-12, -0x1.d97842a5ca7a6p-12, -0x1.cc2b682ded94bp-12, -0x1.bf51d5ac6d861p-12, -0x1.b2e74df248ca8p-12, -0x1.a6e7b6cb9dc56p-12, -0x1.9b4f18189f2e4p-12, -0x1.90199aeada931p-12, -0x1.854388a6ca2e6p-12, -0x1.7ac94a299f9b1p-12, -0x1.70a766f349323p-12, -0x1.66da8454a4905p-12, -0x1.5d5f64a1d1331p-12, -0x1.5432e6689c6d6p-12, -0x1.4b5203aafe23fp-12, -0x1.42b9d11d9701ap-12, -0x1.3a677d6a26af9p-12, -0x1.32585075f2678p-12, -0x1.2a89aaac0c923p-12, -0x1.22f9044b6fedcp-12, -0x1.1ba3ecb8ebfbfp-12, -0x1.148809d4cb4d9p-12, -0x1.0da317542e42dp-12, -0x1.06f2e61e0d31ap-12, -0x1.00755babd5556p-12, -0x1.f450e2db243e6p-13, -0x1.e8146863367cbp-13, -0x1.dc31871f6639ap-13, -0x1.d0a4a2af2638dp-13, -0x1.c56a42059f054p-13, -0x1.ba7f0e5418a55p-13, -0x1.afdfd1fae6a33p-13, -0x1.a5897780c1b2dp-13, -0x1.9b7908906f6fp-13, -0x1.91abacfca45cfp-13, -0x1.881ea9c9ffc89p-13, -0x1.7ecf603f122a6p-13, -0x1.75bb4cfa4a0fp-13, -0x1.6ce0070db0fc1p-13, -0x1.643b3f2065685p-13, -0x1.5bcabe95abf19p-13, -0x1.538c66b9909d4p-13, -0x1.4b7e2ff2e697dp-13, -0x1.439e28faa841ap-13, -0x1.3bea761889984p-13, -0x1.34615064abe02p-13, -0x1.2d01050e6424bp-13, -0x1.25c7f4a7e304ap-13, -0x1.1eb49276c5e66p-13, -0x1.17c563c959bb5p-13, -0x1.10f8ff5094baep-13, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.90d22bc58e66ap-1, 0x1.8fe94a6b7693cp-1, 0x1.8ef39f3e7ab2cp-1, 0x1.8df2609b64866p-1, 0x1.8ce67f6e2cd32p-1, 0x1.8bd0aa11268e9p-1, 0x1.8ab151dfcf73ep-1, 0x1.8988b291f895cp-1, 0x1.8856da9d7c4d9p-1, 0x1.871bb403fc67bp-1, 0x1.85d70d159bd76p-1, 0x1.8488a0d08c094p-1, 0x1.83301e9f70cafp-1, 0x1.81cd314e2f101p-1, 0x1.805f851e12adbp-1, 0x1.7ee6ccefd14f9p-1, 0x1.7d62c6844af2ap-1, 0x1.7bd33ddc86bbdp-1, 0x1.7a380fc6cf8b8p-1, 0x1.78912baa54e2ap-1, 0x1.76de94a4dae2p-1, 0x1.7520620eee22bp-1, 0x1.7356bf7b36a66p-1, 0x1.7181ec44fe4d7p-1, 0x1.6fa23ac103424p-1, 0x1.6db80f226bbccp-1, 0x1.6bc3de243c707p-1, 0x1.69c62b861866ep-1, 0x1.67bf886986177p-1, 0x1.65b0919b51c1ep-1, 0x1.6399edd3286bp-1, 0x1.617c4bf2121dap-1, 0x1.5f5861471078dp-1, 0x1.5d2ee7dff1d5fp-1, 0x1.5b009ceb41c41p-1, 0x1.58ce3f2f33bf5p-1, 0x1.56988d9889ccfp-1, 0x1.546045e399008p-1, 0x1.52262360e5b4ap-1, 0x1.4feaddd6320d4p-1, 0x1.4daf287c4c629p-1, 0x1.4b73b11986b6ap-1, 0x1.49391f3854264p-1, 0x1.47001379474b4p-1, 0x1.44c926ff693f5p-1, 0x1.4294eaf5ac95bp-1, 0x1.4063e82c253f5p-1, 0x1.3e369ecb89cd3p-1, 0x1.3c0d861d76db2p-1, 0x1.39e90c67e46abp-1, 0x1.37c996da350aap-1, 0x1.35af818a52f77p-1, 0x1.339b1f804a8c9p-1, 0x1.318cbacee801dp-1, 0x1.2f8494b7e5b48p-1, 0x1.2d82e5da4a432p-1, 0x1.2b87de69a9548p-1, 0x1.2993a66d0b7a8p-1, 0x1.27a65e04564dfp-1, 0x1.25c01db3244d4p-1, 0x1.23e0f6b00ba56p-1, 0x1.2208f3376da8bp-1, 0x1.203816e0f88bap-1, 0x1.1e6e5ef717e94p-1, 0x1.1cabc2cfa7378p-1, 0x1.1af03425464cfp-1, 0x1.193b9f70c41c3p-1, 0x1.178dec422366fp-1, 0x1.15e6fd98c77e9p-1, 0x1.1446b23a6fcbbp-1, 0x1.12ace508a5887p-1, 0x1.11196d545d384p-1, 0x1.0f8c1f2f877bdp-1, 0x1.0e04cbbc6267ep-1, 0x1.0c83417a6198cp-1, 0x1.0b074c9088b89p-1, 0x1.0990b7152048dp-1, 0x1.081f4952b002dp-1, 0x1.06b2ca0a30133p-1, 0x1.054afeb26b798p-1, 0x1.03e7abb489de3p-1, 0x1.028894a5c7401p-1, 0x1.012d7c7e570d9p-1, 0x1.ffac4b9af98f2p-2, 0x1.fd04a5d5c34fdp-2, 0x1.fa638c4a6504ep-2, 0x1.f7c883dc2695cp-2, 0x1.f5331206ed85p-2, 0x1.f2a2bd2cd2f4fp-2, 0x1.f0170cdec5b78p-2, 0x1.ed8f8a2058839p-2, 0x1.eb0bbfa6e142cp-2, 0x1.e88b3a140fb9dp-2, 0x1.e60d882c2472dp-2, 0x1.e3923b07e793fp-2, 0x1.e118e6428dd07p-2, 0x1.dea12023ab8f2p-2, 0x1.dc2a81c563226p-2, 0x1.d9b4a736eb186p-2, 0x1.d73f2f9b9b42ap-2, 0x1.d4c9bd46a170fp-2, 0x1.d253f5d37dfa8p-2, 0x1.cfdd823b7480cp-2, 0x1.cd660ee809fe4p-2, 0x1.caed4bc2b9e91p-2, 0x1.c872ec41ffdfcp-2, 0x1.c5f6a773d51c7p-2, 0x1.c3783805c3895p-2, 0x1.c0f75c4aacd1p-2, 0x1.be73d63e62e14p-2, 0x1.bbed6b872a81cp-2, 0x1.b963e5754e41ap-2, 0x1.b6d71100d120fp-2, 0x1.b446bec56576cp-2, 0x1.b1b2c2fcb778bp-2, 0x1.af1af5772fe4ap-2, 0x1.ac7f31933d502p-2, 0x1.a9df56333e819p-2, 0x1.a73b45b228a5bp-2, 0x1.a492e5d6f461bp-2, 0x1.a1e61fc6f5d14p-2, 0x1.9f34dff724b83p-2, 0x1.9c7f161c72cf7p-2, 0x1.99c4b51b41c56p-2, 0x1.9705b2f6046p-2, 0x1.944208bb2677dp-2, 0x1.9179b27246572p-2, 0x1.8eacaf08d036bp-2, 0x1.8bdb003e0e4ecp-2, 0x1.8904aa8ebdc2ep-2, 0x1.8629b52031a55p-2, 0x1.834a29ab16fa9p-2, 0x1.80661465e60e4p-2, 0x1.7d7d83ef0e4aap-2, 0x1.7a908936e8e38p-2, 0x1.779f37697b90dp-2, 0x1.74a9a3d81f94p-2, 0x1.71afe5e30ad55p-2, 0x1.6eb216e2d0a5fp-2, 0x1.6bb05211e2116p-2, 0x1.68aab4760e9f8p-2, 0x1.65a15cca1db7cp-2, 0x1.62946b677a0c8p-2, 0x1.5f84023002685p-2, 0x1.5c70447800beep-2, 0x1.595956f0527fcp-2, 0x1.563f5f90c7e31p-2, 0x1.53228582c1a9fp-2, 0x1.5002f10c0ea44p-2, 0x1.4ce0cb7a170f2p-2, 0x1.49bc3f0d54ea9p-2, 0x1.469576e51e8d4p-2, 0x1.436c9eebcaf1p-2, 0x1.4041e3c332cb9p-2, 0x1.3d1572b190a6ap-2, 0x1.39e7798ec5af5p-2, 0x1.36b826b205e03p-2, 0x1.3387a8dfef7b2p-2, 0x1.30562f390d62ap-2, 0x1.2d23e928ca0a3p-2, 0x1.29f10654d36e3p-2, 0x1.26bdb68cf4798p-2, 0x1.238a29bb5f728p-2, 0x1.20568fd5723bep-2, 0x1.1d2318ccf0023p-2, 0x1.19eff481b44d8p-2, 0x1.16bd52b3df03cp-2, 0x1.138b62f676bb6p-2, 0x1.105a54a28b086p-2, 0x1.0d2a56caca04ap-2, 0x1.09fb982f92bf7p-2, 0x1.06ce4733802f4p-2, 0x1.03a291d06ca43p-2, 0x1.0078a58cee9e4p-2, 0x1.faa15ee4953ffp-3, 0x1.f455b805ba248p-3, 0x1.ee0eae61f32b8p-3, 0x1.e7cc98ac7a3c9p-3, 0x1.e18fcc56a935p-3, 0x1.db589d8066a31p-3, 0x1.d5275ee973afp-3, 0x1.cefc61e3997p-3, 0x1.c8d7f645a87b6p-3, 0x1.c2ba6a5f545a2p-3, 0x1.bca40aedddb48p-3, 0x1.b69523118c13cp-3, 0x1.b08dfc43ed8cfp-3, 0x1.aa8ede4ee0bcp-3, 0x1.a4980f445e7f4p-3, 0x1.9ea9d376ff0eep-3, 0x1.98c46d73398dfp-3, 0x1.92e81df9570ccp-3, 0x1.8d1523f8181a2p-3, 0x1.874bbc87fd0fbp-3, 0x1.818c22e7400bap-3, 0x1.7bd6907667178p-3, 0x1.762b3cb577464p-3, 0x1.708a5d41c2a27p-3, 0x1.6af425d440354p-3, 0x1.6568c8407fbedp-3, 0x1.5fe874741c181p-3, 0x1.5a735876b6cdp-3, 0x1.5509a06a77a79p-3, 0x1.4fab768d02192p-3, 0x1.4a590338e5c8ap-3, 0x1.45126ce77d14cp-3, 0x1.3fd7d8333fb15p-3, 0x1.3aa967da7a6cfp-3, 0x1.35873cc26899p-3, 0x1.307175fab61efp-3, 0x1.2b6830c156e6dp-3, 0x1.266b8886b3919p-3, 0x1.217b96f23531ep-3, 0x1.1c9873e70e97cp-3, 0x1.17c2358961175p-3, 0x1.12f8f0439c3ddp-3, 0x1.0e3cb6cc284bfp-3, 0x1.098d9a2b48199p-3, 0x1.04eba9c13c115p-3, 0x1.0056f34c974f6p-3, 0x1.f79f05e19f5e1p-4, 0x1.eeaac679e5947p-4, 0x1.e5d13a6526887p-4, 0x1.dd127099a6371p-4, 0x1.d46e750f3af69p-4, 0x1.cbe550cdfb278p-4, 0x1.c37709fd2bfcep-4, 0x1.bb23a3f26a523p-4, 0x1.b2eb1f40f873p-4, 0x1.aacd79c952414p-4, 0x1.a2caaec8cdab6p-4, 0x1.9ae2b6e9671e6p-4, 0x1.93158851b1532p-4, 0x1.8b6316b4cabdap-4, 0x1.83cb536272d35p-4, 0x1.7c4e2d5726e22p-4, 0x1.74eb914c46781p-4, 0x1.6da369c83d98ep-4, 0x1.66759f2ead8bap-4, 0x1.5f6217d0916f1p-4, 0x1.5868b7fc5ae3dp-4, 0x1.5189620e00fd7p-4, 0x1.4ac3f67f01a7ep-4, 0x1.441853f64d3c5p-4, 0x1.3d8657581e62p-4, 0x1.370ddbd5b4e86p-4, 0x1.30aebafcf71edp-4, 0x1.2a68ccc7f1924p-4, 0x1.243be7ac35046p-4, 0x1.1e27e0aa0fcafp-4, 0x1.182c8b5b9fc75p-4, 0x1.1249ba03bb062p-4, 0x1.0c7f3d9cabdd9p-4, 0x1.06cce5e6c0b5bp-4, 0x1.01328176aa623p-4, 0x1.f75fbb8756535p-5, 0x1.ec898e6b21567p-5, 0x1.e1e21264f5db2p-5, 0x1.d768dc58d8063p-5, 0x1.cd1d7f5d424a7p-5, 0x1.c2ff8cd566ae1p-5, 0x1.b90e948afae5ap-5, 0x1.af4a24c792704p-5, 0x1.a5b1ca6d7d345p-5, 0x1.9c45111032b48p-5, 0x1.9303830c3d8ccp-5, 0x1.89eca99eb1111p-5, 0x1.81000cfc1dcc2p-5, 0x1.783d34670be66p-5, 0x1.6fa3a645f62fcp-5, 0x1.6732e838c67fp-5, 0x1.5eea7f2dd2b2fp-5, 0x1.56c9ef765d26ap-5, 0x1.4ed0bcda8f71cp-5, 0x1.46fe6aacfd88cp-5, 0x1.3f527bdda2cf8p-5, 0x1.37cc730c6406ap-5, 0x1.306bd29b0f0a9p-5, 0x1.29301cbee0d52p-5, 0x1.2218d3918842fp-5, 0x1.1b257921b0298p-5, 0x1.14558f8309016p-5, 0x1.0da898dddbfe1p-5, 0x1.071e177e1db97p-5, 0x1.00b58de20b5b4p-5, 0x1.f4dcfd909e245p-6, 0x1.e890da7b5381fp-6, 0x1.dc85b95454a6cp-6, 0x1.d0baa1bbde679p-6, 0x1.c52e9c3ae47b4p-6, 0x1.b9e0b25acbb57p-6, 0x1.aecfeebc3d723p-6, 0x1.a3fb5d2d22f99p-6, 0x1.99620abdbce43p-6, 0x1.8f0305d4ec52p-6, 0x1.84dd5e43a2b09p-6, 0x1.7af025577fcdep-6, 0x1.713a6deca5427p-6, 0x1.67bb4c7ebc60bp-6, 0x1.5e71d73936689p-6, 0x1.555d2606ce076p-6, 0x1.4c7c52a041b3bp-6, 0x1.43ce789a57c6fp-6, 0x1.3b52b573281e1p-6, 0x1.3308289eb464dp-6, 0x1.2aedf392c804p-6, 0x1.230339d23852ap-6, 0x1.1b4720f76c69ap-6, 0x1.13b8d0be4adc1p-6, 0x1.0c57730d82111p-6, 0x1.052233ff30e1ap-6, 0x1.fc3083d1efd62p-7, 0x1.ee719ac6e895bp-7, 0x1.e10612a248ef9p-7, 0x1.d3ec55c9892e2p-7, 0x1.c722d34e33b7dp-7, 0x1.baa7fef871cf7p-7, 0x1.ae7a51508e56dp-7, 0x1.a29847a77f759p-7, 0x1.9700641e6eb3dp-7, 0x1.8bb12dad51d3cp-7, 0x1.80a930289e444p-7, 0x1.75e6fc46118b6p-7, 0x1.6b6927a09f8c6p-7, 0x1.612e4cbb8c49ep-7, 0x1.57350b04bc677p-7, 0x1.4d7c06d62a1d8p-7, 0x1.4401e976b1dbap-7, 0x1.3ac5611a12003p-7, 0x1.31c520e03b588p-7, 0x1.28ffe0d3f539ap-7, 0x1.20745de8d74e9p-7, 0x1.182159f8a21cfp-7, 0x1.10059bbffc2a2p-7, 0x1.081feeda98d22p-7, 0x1.006f23bed0443p-7, 0x1.f1e41f71565f5p-8, 0x1.e34f19c8d883ap-8, 0x1.d51cf451336a8p-8, 0x1.c74b765f18e1cp-8, 0x1.b9d870c118e57p-8, 0x1.acc1bdb0fab0cp-8, 0x1.a00540c441931p-8, 0x1.93a0e6dbeb0c4p-8, 0x1.8792a61367e0ap-8, 0x1.7bd87daee3913p-8, 0x1.70707608dbe6dp-8, 0x1.6558a07f15cd2p-8, 0x1.5a8f175ef63cfp-8, 0x1.5011fdd14a791p-8, 0x1.45df7fc5838edp-8, 0x1.3bf5d1dc74041p-8, 0x1.3253315290d46p-8, 0x1.28f5e3e9c33f1p-8, 0x1.1fdc37d2cda72p-8, 0x1.1704839651dfbp-8, 0x1.0e6d25fd78553p-8, 0x1.061485fa44bd4p-8, 0x1.fbf2251f3c6f1p-9, 0x1.ec3285721bee3p-9, 0x1.dce72aa4811e4p-9, 0x1.ce0d21fc94e78p-9, 0x1.bfa1881d739fcp-9, 0x1.b1a188d4f3d3cp-9, 0x1.a40a5ee91adfep-9, 0x1.96d953e54cd9ep-9, 0x1.8a0bbfe73f1f6p-9, 0x1.7d9f096bbb997p-9, 0x1.7190a51b39382p-9, 0x1.65de15965b18dp-9, 0x1.5a84eb4256e7p-9, 0x1.4f82c41552cc1p-9, 0x1.44d54b62bc0ccp-9, 0x1.3a7a39a7a7395p-9, 0x1.306f54573a7f7p-9, 0x1.26b26da72c3ffp-9, 0x1.1d41645c612bdp-9, 0x1.141a2397a5f6p-9, 0x1.0b3aa2a29cd04p-9, 0x1.02a0e4bccf7f7p-9, 0x1.f495f1d2069a6p-10, 0x1.e46df3757e27dp-10, 0x1.d4c61a482f524p-10, 0x1.c59ac88789cd9p-10, 0x1.b6e87666ffc6ap-10, 0x1.a8abb1ad66b5bp-10, 0x1.9ae11d52fff26p-10, 0x1.8d8571203f8f5p-10, 0x1.8095794d4519ap-10, 0x1.740e16221a814p-10, 0x1.67ec3b97c7ccdp-10, 0x1.5c2cf0fa2ab55p-10, 0x1.50cd508ab631bp-10, 0x1.45ca8724090ep-10, 0x1.3b21d3de69117p-10, 0x1.30d087b53276dp-10, 0x1.26d4052d2ad2ap-10, 0x1.1d29bffbd14e2p-10, 0x1.13cf3cafa7b41p-10, 0x1.0ac2105970f0fp-10, 0x1.01ffe03679bbbp-10, 0x1.f30cc2b7beb9fp-11, 0x1.e2a6b0c5bfe4fp-11, 0x1.d2c9322c68d2p-11, 0x1.c3700c40ed141p-11, 0x1.b49721772c4e5p-11, 0x1.a63a70c2be27bp-11, 0x1.985614fa21e17p-11, 0x1.8ae6443c17324p-11, 0x1.7de74f572065ap-11, 0x1.7155a13330ad3p-11, 0x1.652dbe3d88375p-11, 0x1.596c43d6bef18p-11, 0x1.4e0de7c2fea3ep-11, 0x1.430f779c6e6c4p-11, 0x1.386dd847ca311p-11, 0x1.2e26056b2db5p-11, 0x1.243510e70af53p-11, 0x1.1a9822514efa5p-11, 0x1.114c7672b314bp-11, 0x1.084f5ec636766p-11, 0x1.ff3c81f58463dp-12, 0x1.ee6d2cede1b84p-12, 0x1.de2bd7bdf5706p-12, 0x1.ce73c139820b2p-12, 0x1.bf404cd3ef874p-12, 0x1.b08d01b8d1061p-12, 0x1.a25589e89722ap-12, 0x1.9495b15968af1p-12, 0x1.8749651c1708ep-12, 0x1.7a6cb2852910ap-12, 0x1.6dfbc659f2686p-12, 0x1.61f2ec01ad848p-12, 0x1.564e8cba90738p-12, 0x1.4b0b2ed2d2e7p-12, 0x1.402574e59b234p-12, 0x1.359a1d1bc778dp-12, 0x1.2b6600708b466p-12, 0x1.218611f9d35a4p-12, 0x1.17f75e3469987p-12, 0x1.0eb70a53c8217p-12, 0x1.05c2539596928p-12, 0x1.fa2d1d318b549p-13, 0x1.e9624d706b004p-13, 0x1.d91f3ad1d037cp-13, 0x1.c95f133753d2cp-13, 0x1.ba1d2e4456266p-13, 0x1.ab550c2ef0694p-13, 0x1.9d02549799f64p-13, 0x1.8f20d5675e4ddp-13, 0x1.81ac81b4939fp-13, 0x1.74a170adf251ap-13, 0x1.67fbdc8bff28ep-13, 0x1.5bb82188a8771p-13, 0x1.4fd2bcdcfa76cp-13, 0x1.44484bc4e3953p-13, 0x1.39158a88d9d65p-13, 0x1.2e37538d5938ap-13, 0x1.23aa9e6820121p-13, 0x1.196c7efb08f9cp-13, 0x1.0f7a2494793c5p-13, 0x1.05d0d915389eep-13, 0x1.f8dc00375a12dp-14, 0x1.e69e2c68adedcp-14, 0x1.d4e3601ef21cbp-14, 0x1.c3a6f377b1c0fp-14, 0x1.b2e46bccf0b92p-14, 0x1.a2977a3e6b691p-14, 0x1.92bbfa447fb3cp-14, 0x1.834df04c77ffap-14, 0x1.7449885e20ac4p-14, 0x1.65ab14ca71edp-14, 0x1.576f0ce321e76p-14, 0x1.49920bbaf37c9p-14, 0x1.3c10ceee95c8ep-14, 0x1.2ee83575e8091p-14, 0x1.22153e7d7876bp-14, 0x1.15950848119bep-14, 0x1.0964cf182d975p-14, 0x1.fb03d84246b5ep-15, 0x1.e3d3a8ffd0db7p-15, 0x1.cd34307673f13p-15, 0x1.b720c29610befp-15, 0x1.a194e54df7ed5p-15, 0x1.8c8c4eb7d77bbp-15, 0x1.7802e3503ecaep-15, 0x1.63f4b43c70189p-15, 0x1.505dfd9d2c323p-15, 0x1.3d3b24ee36cc4p-15, 0x1.2a88b77244f36p-15, 0x1.184368ab0e40ap-15, 0x1.066810dd397bp-15, 0x1.e9e7573fc1d46p-16, 0x1.c7c6aceec9b4ep-16, 0x1.a6689ef696381p-16, 0x1.85c7e80dd5476p-16, 0x1.65df7ee938a39p-16, 0x1.46aa93c662377p-16, 0x1.28248e0ae9537p-16, 0x1.0a4909f6e51b1p-16, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      50, 0x1.4cdd2f1a9fbe7p+2, 0x1.0263d128d07ecp+1, 0x1.348d9709836d6p+2, -0x1.59939754717f8p-7, 
      {{
        {0x1.0ac9363f572dep+2, 0x1.0c1b87d099601p+2, 0x1.15b08f2ea592ap-6, -0x1.c6aef4ed68191p-5, 0x1.caed9bfd4e54p-5, 0x1.0e66980f34059p-9}, 
        {0x1.0c1b87d099601p+2, 0x1.0d6dd9571ecacp+2, 0x1.034db47f28483p-6, -0x1.b3b56c9a90d16p-5, 0x1.cbf99f32cc7d5p-5, -0x1.50058d49a4246p-7}, 
        {0x1.0d6dd9571ecacp+2, 0x1.0ec02ae860fcfp+2, 0x1.e36678f132a6bp-7, -0x1.a0d1de7f2065fp-5, 0x1.c6c5682e2f9b9p-5, -0x1.281ea2779be0ap-7}, 
        {0x1.0ec02ae860fcfp+2, 0x1.10127c79a32f2p+2, 0x1.c1bec0896156fp-7, -0x1.8e22104e27747p-5, 0x1.c22f63c983dccp-5, -0x1.7292cce569d61p-7}, 
        {0x1.10127c79a32f2p+2, 0x1.1164ce002899dp+2, 0x1.a19ffdb6cf8a7p-7, -0x1.7ba8d6c61c7a1p-5, 0x1.bc723019c7c41p-5, -0x1.98efa23f7f664p-7}, 
        {0x1.1164ce002899dp+2, 0x1.12b71f916accp+2, 0x1.83054341e657dp-7, -0x1.696f6ee69101dp-5, 0x1.b61ce43d0195bp-5, -0x1.c9c035a891026p-7}, 
        {0x1.12b71f916accp+2, 0x1.14097122acfe2p+2, 0x1.65e901628af78p-7, -0x1.577cfa9b2f7a9p-5, 0x1.af060f5bd0453p-5, -0x1.f2aa3585c8b5cp-7}, 
        {0x1.14097122acfe2p+2, 0x1.155bc2a93268ep+2, 0x1.4a450cd65079ep-7, -0x1.45d8d3060fa44p-5, 0x1.a74d04836580cp-5, -0x1.0cf30ef3367cap-6}, 
        {0x1.155bc2a93268ep+2, 0x1.16ae143a749bp+2, 0x1.3012a8ed5338ep-7, -0x1.34898873fd126p-5, 0x1.9ef86d239411fp-5, -0x1.2038cf4746c6p-6}, 
        {0x1.16ae143a749bp+2, 0x1.180065cbb6cd3p+2, 0x1.174a8e16fa2f9p-7, -0x1.239577e62fc8dp-5, 0x1.960b041871b1p-5, -0x1.31c0df0f0ce66p-6}, 
        {0x1.180065cbb6cd3p+2, 0x1.1952b7523c37fp+2, 0x1.ffc9e6e0c198bp-8, -0x1.1302a89a644c7p-5, 0x1.8c9297ac4f2c3p-5, -0x1.41733f10845f9p-6}, 
        {0x1.1952b7523c37fp+2, 0x1.1aa508e37e6a1p+2, 0x1.d3b32d40e44c7p-8, -0x1.02d68be0d4481p-5, 0x1.829db47e737ebp-5, -0x1.51527adf6e1d9p-6}, 
        {0x1.1aa508e37e6a1p+2, 0x1.1bf75a74c09c4p+2, 0x1.aa3f886fea628p-8, -0x1.e62c97e3f4365p-6, 0x1.782af63a1298cp-5, -0x1.5eccc6dd83034p-6}, 
        {0x1.1bf75a74c09c4p+2, 0x1.1d49ac0602ce6p+2, 0x1.835cbfec3825dp-8, -0x1.c78d6f1cdc39p-6, 0x1.6d4d595fa219p-5, -0x1.6be7cde220b9dp-6}, 
        {0x1.1d49ac0602ce6p+2, 0x1.1e9bfd8c88392p+2, 0x1.5ef7da721ced1p-8, -0x1.a9d851f8a3baep-6, 0x1.6207d15bab86cp-5, -0x1.76dc7e953ab6ep-6}, 
        {0x1.1e9bfd8c88392p+2, 0x1.1fee4f1dca6b5p+2, 0x1.3cfd2e63f583bp-8, -0x1.8d15227e71d84p-6, 0x1.566b6a5c6c5f9p-5, -0x1.81b213a82f834p-6}, 
        {0x1.1fee4f1dca6b5p+2, 0x1.2140a0af0c9d7p+2, 0x1.1d58728a4492bp-8, -0x1.714b01942e44p-6, 0x1.4a791a4f8921fp-5, -0x1.8abf5e039faa5p-6}, 
        {0x1.2140a0af0c9d7p+2, 0x1.2292f23592083p+2, 0x1.ffe99d7b9b12dp-9, -0x1.56807344b6091p-6, 0x1.3e3f03ab8d28fp-5, -0x1.9253a03b8673ap-6}, 
        {0x1.2292f23592083p+2, 0x1.23e543c6d43a5p+2, 0x1.c979d8f7640d6p-9, -0x1.3cbaea96cde56p-6, 0x1.31c8d472fab85p-5, -0x1.9969c9a6a81a8p-6}, 
        {0x1.23e543c6d43a5p+2, 0x1.25379558166c8p+2, 0x1.97360ef31e837p-9, -0x1.23ff335ea38c8p-6, 0x1.251a73b8d8f65p-5, -0x1.9ee46d9e00bc4p-6}, 
        {0x1.25379558166c8p+2, 0x1.2689e6de9bd73p+2, 0x1.68f1fcf727e56p-9, -0x1.0c516bdacbf4fp-6, 0x1.1840a0fa5130ap-5, -0x1.a2eba9f1097dfp-6}, 
        {0x1.2689e6de9bd73p+2, 0x1.27dc386fde096p+2, 0x1.3e80c78f42f8p-9, -0x1.eb696389c93afp-7, 0x1.0b46dd9fe106p-5, -0x1.a659c51a568e5p-6}, 
        {0x1.27dc386fde096p+2, 0x1.292e8a01203b9p+2, 0x1.17b51bcac8a5fp-9, -0x1.c056e9dd4576dp-7, 0x1.fc63ce1c47b19p-6, -0x1.a83585700053bp-6}, 
        {0x1.292e8a01203b9p+2, 0x1.2a80db87a5a64p+2, 0x1.e8c2a09dcaa3dp-10, -0x1.976ee2db10772p-7, 0x1.e21c682e7a74bp-6, -0x1.a8b66b3d059fap-6}, 
        {0x1.2a80db87a5a64p+2, 0x1.2bd32d18e7d87p+2, 0x1.a8af0dad934fcp-10, -0x1.70b2dbb7adfa7p-7, 0x1.c7cd06f0b289p-6, -0x1.a873d7f104e1cp-6}, 
        {0x1.2bd32d18e7d87p+2, 0x1.2d257eaa2a0a9p+2, 0x1.6ed39ae3c5de8p-10, -0x1.4c22facefa2aap-7, 0x1.ad81c4a96f8ffp-6, -0x1.a6bd18ac6df8p-6}, 
        {0x1.2d257eaa2a0a9p+2, 0x1.2e77d030af755p+2, 0x1.3ad47f582bb96p-10, -0x1.29bdf66f75d0ap-7, 0x1.9351b0561cf5p-6, -0x1.a3ab5a29ae26bp-6}, 
        {0x1.2e77d030af755p+2, 0x1.2fca21c1f1a77p+2, 0x1.0c564f6bf2c83p-10, -0x1.0980ad9dad654p-7, 0x1.795249b4b15cfp-6, -0x1.9fc434513c2f9p-6}, 
        {0x1.2fca21c1f1a77p+2, 0x1.311c735333d9ap+2, 0x1.c5fc80bf2f59fp-11, -0x1.d6cd1a9ab2b7fp-8, 0x1.5f90c76bdffb6p-6, -0x1.9a6d28dd66d4cp-6}, 
        {0x1.311c735333d9ap+2, 0x1.326ec4d9b9446p+2, 0x1.7ce4d374856c6p-11, -0x1.9ed311a9a5cf4p-8, 0x1.4623f4ab5d848p-6, -0x1.93d554146f374p-6}, 
        {0x1.326ec4d9b9446p+2, 0x1.33c1166afb768p+2, 0x1.3cb41106ac68bp-11, -0x1.6b03a0732ccc6p-8, 0x1.2d1fb17ecd02p-6, -0x1.8c3f8eb6e6b5ep-6}, 
        {0x1.33c1166afb768p+2, 0x1.351367fc3da8bp+2, 0x1.04bb832e94091p-11, -0x1.3b4c3150efcbp-8, 0x1.1493b7764bc69p-6, -0x1.83538543dae6fp-6}, 
        {0x1.351367fc3da8bp+2, 0x1.3665b982c3136p+2, 0x1.a89f912ec5358p-12, -0x1.0f9726a63e056p-8, 0x1.f92a7680ea5a8p-7, -0x1.792833d25b0dcp-6}, 
        {0x1.3665b982c3136p+2, 0x1.37b80b1405459p+2, 0x1.5592b38b7d586p-12, -0x1.cf96ff8eafc76p-9, 0x1.ca7009f910bb5p-7, -0x1.6df01d97f26e2p-6}, 
        {0x1.37b80b1405459p+2, 0x1.390a5ca54777cp+2, 0x1.0f0a1cd14ca78p-12, -0x1.879a6c0e291c2p-9, 0x1.9d1973009a25ap-7, -0x1.61631969358dfp-6}, 
        {0x1.390a5ca54777cp+2, 0x1.3a5cae3689a9ep+2, 0x1.a792898fa0437p-13, -0x1.46fa4fdf15ba8p-9, 0x1.7150f0766f287p-7, -0x1.53b5ce811c4a8p-6}, 
        {0x1.3a5cae3689a9ep+2, 0x1.3baeffbd0f14ap+2, 0x1.453ceb8d9de5dp-13, -0x1.0d71f50fcafa4p-9, 0x1.473a39b810332p-7, -0x1.44c35cce2c7fp-6}, 
        {0x1.3baeffbd0f14ap+2, 0x1.3d01514e5146cp+2, 0x1.e98f5c8c88d67p-14, -0x1.b56cc04b5302cp-10, 0x1.1efd99000dff9p-7, -0x1.34b162a3bc8bep-6}, 
        {0x1.3d01514e5146cp+2, 0x1.3e53a2df9378fp+2, 0x1.6801dc347630bp-14, -0x1.5cec97a98aa5dp-10, 0x1.f17d57173b092p-8, -0x1.235f14976b82p-6}, 
        {0x1.3e53a2df9378fp+2, 0x1.3fa5f46618e3ap+2, 0x1.01a554d0002afp-14, -0x1.10b47e987de54p-10, 0x1.a94a452a6ca1dp-8, -0x1.10d8a12fd33d3p-6}, 
        {0x1.3fa5f46618e3ap+2, 0x1.40f845f75b15dp+2, 0x1.651365e7eed3ap-15, -0x1.a01149fd1d4a2p-11, 0x1.65ae598739723p-8, -0x1.fa4da2c352cep-7}, 
        {0x1.40f845f75b15dp+2, 0x1.424a97889d48p+2, 0x1.dbfbe8ebb241bp-16, -0x1.34418b717e75p-11, 0x1.26f3bdc54abbfp-8, -0x1.d0756cc720564p-7}, 
        {0x1.424a97889d48p+2, 0x1.439ce90f22b2bp+2, 0x1.2e65b9238d1a2p-16, -0x1.b8a04ad4d4503p-12, 0x1.dad0aa5b68893p-9, -0x1.a439cf0def725p-7}, 
        {0x1.439ce90f22b2bp+2, 0x1.44ef3aa064e4ep+2, 0x1.69addc0ceb43p-17, -0x1.2cf43084f7ac1p-12, 0x1.72afc32420147p-9, -0x1.7592d664ab622p-7}, 
        {0x1.44ef3aa064e4ep+2, 0x1.46418c31a717p+2, 0x1.8fd201bc937fap-18, -0x1.838cb556d29d5p-13, 0x1.161e37ec3734fp-9, -0x1.44a5c96b1c69bp-7}, 
        {0x1.46418c31a717p+2, 0x1.4793ddb82c81cp+2, 0x1.8d329c7ee48dep-19, -0x1.ccb4efaaf7f65p-14, 0x1.8b58901eae7d4p-10, -0x1.10c32dd93db05p-7}, 
        {0x1.4793ddb82c81cp+2, 0x1.48e62f496eb3ep+2, 0x1.527d8fb921a3ep-20, -0x1.e843690268b4ap-15, 0x1.042b5a43301ep-10, -0x1.b927295290d16p-8}, 
        {0x1.48e62f496eb3ep+2, 0x1.4a3880dab0e61p+2, 0x1.c62d029bf1439p-22, -0x1.b155911c49012p-16, 0x1.2db5daecbf87fp-11, -0x1.3c4dafc941919p-8}, 
        {0x1.4a3880dab0e61p+2, 0x1.4b8ad2613650dp+2, 0x1.8d5d8ba8402dfp-24, -0x1.145fc3a106bap-17, 0x1.21e9323ce5abep-12, -0x1.ea34dea75c81bp-9}, 
        {0x1.4b8ad2613650dp+2, 0x1.4cdd2f1a9fbe7p+2, 0x1.fc75ab108cfdap-28, -0x1.ae267f0e5d00cp-20, 0x1.77c7d30778d18p-15, 0x1.f461ed1f1dbc8p-8}, 
      }}, 
      -0x1.0f74795174af5p-1, 0x1.30c6e8de4fb4ap+3
    }
  };
  // clang-format on
}
SkfData params_hyb_0_2_ga_si() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.a6ab45b587c39p-2, -0x1.740f744267d83p-2, -0x1.433ee79133d45p-2, -0x1.14d74ad7699ebp-2, -0x1.d2a0cb26d37cap-3, -0x1.82009517aaab9p-3, -0x1.383cc3f75971fp-3, -0x1.eb23cef8b7d39p-4, -0x1.74275c7a15451p-4, -0x1.0b639b1c7c20fp-4, -0x1.60faa088b344ap-5, -0x1.8bbd260f213cp-6, -0x1.10a7871bf77d5p-7, 0x1.2d082dc585626p-8, 0x1.e4987cb70bc3dp-7, 0x1.703904bf8b1dcp-6, 0x1.c87ef0a90a55ep-6, 0x1.fe90c4c9fece5p-6, 0x1.0aec4f24b8d1p-5, 0x1.08d73ffff933ap-5, 0x1.f549e0f2e48ecp-6, 0x1.c3aa297288589p-6, 0x1.7fc580b420754p-6, 0x1.2c3f19d188d8p-6, 0x1.971ac45c93668p-7, 0x1.7fed5f785ea35p-8, -0x1.453466c1ba11ap-10, -0x1.1ec641b13e5ep-7, -0x1.0f65994df0d58p-6, -0x1.92bc47c98f03ep-6, -0x1.0bfc535d493b5p-5, -0x1.4eebc2b86fc8ep-5, -0x1.919d0e7754d4fp-5, -0x1.d38fbd8dd1d47p-5, -0x1.0a28137589772p-4, -0x1.29bb671407cbp-4, -0x1.4854652dfd6cdp-4, -0x1.65cc36c3704cep-4, -0x1.8202b861e854cp-4, -0x1.9cde20da3226ap-4, -0x1.b64a3d1c7b91cp-4, -0x1.ce376eaadc97bp-4, -0x1.e499a9d82376p-4, -0x1.f967a880b6de5p-4, -0x1.064d36f4dca9fp-3, -0x1.0f168e189f92ep-3, -0x1.170e825908fdap-3, -0x1.1e34e84b8868ep-3, -0x1.248acf7795d1cp-3, -0x1.2a127fbf90ap-3, -0x1.2ecf6049561f2p-3, -0x1.32c5ca7310d7ep-3, -0x1.35fad0ae282a3p-3, -0x1.38740355a91dfp-3, -0x1.3a373cde25e75p-3, -0x1.3b4a7beaa7ac1p-3, -0x1.3bb3ce01e0796p-3, -0x1.3b7949dce59bbp-3, -0x1.3aa1155e3e241p-3, -0x1.393171a13fee2p-3, -0x1.3730c759dfd1cp-3, -0x1.34a5aebbe519ep-3, -0x1.3196efeeb53bbp-3, -0x1.2e056820d989ep-3, -0x1.2a071511315e9p-3, -0x1.259ac0c0e6c81p-3, -0x1.20c6cbb71c82p-3, -0x1.1b917adbd73eap-3, -0x1.1601005ba82b5p-3, -0x1.101b81dcb87e1p-3, -0x1.09e71a984961dp-3, -0x1.0369d8e53804cp-3, -0x1.f9536f4cf23ccp-4, -0x1.eb59297c49e3ap-4, -0x1.dcf04c0efcda4p-4, -0x1.ce23dcdd050bep-4, -0x1.befe691aa5656p-4, -0x1.af89f7b75fd84p-4, -0x1.9fd0020fcc90ap-4, -0x1.8fd9732fd1f8cp-4, -0x1.7faead0ae35eep-4, -0x1.6f579268860cfp-4, -0x1.5edb93dbafa2bp-4, -0x1.4e41bdf668c7ap-4, -0x1.3d90c704abe23p-4, -0x1.2ccf1ae532184p-4, -0x1.1c02e404268d9p-4, -0x1.0b3210f7ab616p-4, -0x1.f4c4ad6df8d2dp-5, -0x1.d3325f98a8b68p-5, -0x1.b1b7b25bc5bd9p-5, -0x1.905e9b2dcdec4p-5, -0x1.6f30808fcd4eep-5, -0x1.4e36300fda834p-5, -0x1.2d77d63e57b2ap-5, -0x1.0cfcf9a88286bp-5, -0x1.d998f2feba422p-6, -0x1.99d9204b3d838p-6, -0x1.5ac5b2f7b5682p-6, -0x1.1c68b8ddc9b45p-6, -0x1.bd965c39e2ce6p-7, -0x1.43ea312ed1c5ep-7, -0x1.97b693830e9fdp-8, -0x1.55da1679f66a8p-9, 0x1.f387fd43b3972p-11, 0x1.244e817ffbd32p-8, 0x1.034c266a17b15p-7, 0x1.729e6bf16bea7p-7, 0x1.e0160a58895ap-7, 0x1.25d5d69ebdfa5p-6, 0x1.5aac5786039d9p-6, 0x1.8e8b8d87cfeb9p-6, 0x1.c170d9c9777ffp-6, 0x1.f359fd17d2c26p-6, 0x1.12228e2334793p-5, 0x1.2a186200b4176p-5, 0x1.418df5ba23506p-5, 0x1.5882faa980675p-5, 0x1.6ef757808faadp-5, 0x1.84eb26ded93a8p-5, 0x1.9a5eb4f19566fp-5, 0x1.af527c35dfe19p-5, 0x1.c3c72182e691ap-5, 0x1.d7bd6f8b32a9dp-5, 0x1.eb36520974266p-5, 0x1.fe32d0cea4b78p-5, 0x1.085a0572907edp-4, 0x1.115d98fb88217p-4, 0x1.1a24c30f6998ap-4, 0x1.22b0291f6c082p-4, 0x1.2b007479fcdd2p-4, 0x1.3316511595168p-4, 0x1.3af26caca8acbp-4, 0x1.42957625bda21p-4, 0x1.4a001d3f33bbbp-4, 0x1.51331273a76fcp-4, 0x1.582f070a5ae91p-4, 0x1.5ef4ad4686f3ep-4, 0x1.6584b8a8f044dp-4, 0x1.6bdfde3845a0cp-4, 0x1.7206d4c68df3ep-4, 0x1.77fa552bee63p-4, 0x1.7dbb1a71378dbp-4, 0x1.8349e1e6a9d8ep-4, 0x1.88a76b252cd04p-4, 0x1.8dd477f9b9699p-4, 0x1.92d1cc3bdeabp-4, 0x1.979bc4617da82p-4, 0x1.9c3bcaf6ff72fp-4, 0x1.a0ae94b546188p-4, 0x1.a4f4e7766b85bp-4, 0x1.a90f88495cf2dp-4, 0x1.acff3b49dbe27p-4, 0x1.b0c4c37990287p-4, 0x1.b460e2999a5cfp-4, 0x1.b7d45903daa9dp-4, 0x1.bb1fe583c1ba6p-4, 0x1.be44452e3eba6p-4, 0x1.c1423339160a2p-4, 0x1.c41a68d1de3ap-4, 0x1.c6cd9cf52ac3fp-4, 0x1.c95c8446c5afbp-4, 0x1.cbc7d0ebd409ep-4, 0x1.ce103267d2acp-4, 0x1.d036557d8d9acp-4, 0x1.d23ae414e89bp-4, 0x1.d41e8526450e2p-4, 0x1.d5e1dcac4a2p-4, 0x1.d7858b9c53dfdp-4, 0x1.d90a2fe5ca5e6p-4, 0x1.da7064784f36fp-4, 0x1.dbb8c15059ba5p-4, 0x1.dce3db89bf8b5p-4, 0x1.ddf245774a428p-4, 0x1.dee48ebe88befp-4, 0x1.dfbb44769873p-4, 0x1.e076f148eb1b3p-4, 0x1.e1181d92c1a78p-4, 0x1.e19f4f863f5a5p-4, 0x1.e20d0b4a0efbcp-4, 0x1.e261d31695c55p-4, 0x1.e29e274ff98bp-4, 0x1.e2c2869c6114cp-4, 0x1.e2cf6df5f1c12p-4, 0x1.e2c558b86e4a7p-4, 0x1.e2a4c0aa6c215p-4, 0x1.e26e1e02428bp-4, 0x1.e221e767279fdp-4, 0x1.e1c091eee2f48p-4, 0x1.e14a9118bed13p-4, 0x1.e0c056c67979ep-4, 0x1.e0225333cf955p-4, 0x1.df70f4ed90b59p-4, 0x1.deaca8c8dc575p-4, 0x1.ddd5d9db4555ep-4, 0x1.dcecf1747beb8p-4, 0x1.dbf2571a006bcp-4, 0x1.dae670854f501p-4, 0x1.d9c9a1a4d0788p-4, 0x1.d89c4c9fa5c75p-4, 0x1.d75ed1dc8a58bp-4, 0x1.d611900b732d5p-4, 0x1.d4b4e43208257p-4, 0x1.d34929ba6f9a4p-4, 0x1.d1ceba8432865p-4, 0x1.d045eef6ca697p-4, 0x1.ceaf1e155334dp-4, 0x1.cd0a9d92f7b04p-4, 0x1.cb58c1e790e4bp-4, 0x1.c999de63fd65cp-4, 0x1.c7ce4545cfb89p-4, 0x1.c5f647c9cfe72p-4, 0x1.c412363d17f4cp-4, 0x1.c222600c6c33ap-4, 0x1.c02713d198f33p-4, 0x1.be209f5ec5b14p-4, 0x1.bc0f4fc781fep-4, 0x1.b9f37167af422p-4, 0x1.b7cd4fe8405ddp-4, 0x1.b59d3641f795fp-4, 0x1.b3636ebe3d344p-4, 0x1.b12042f65a7f3p-4, 0x1.aed3fbd13c383p-4, 0x1.ac7ee180181c4p-4, 0x1.aa213b7a2db15p-4, 0x1.a7bb5077f18b8p-4, 0x1.a54d666de4208p-4, 0x1.a2d7c2874c759p-4, 0x1.a05aa921392bcp-4, 0x1.9dd65dc5c4663p-4, 0x1.9b4b2327f988dp-4, 0x1.98b93b206109ap-4, 0x1.9620e6aa5dc7ap-4, 0x1.938265e25f3f6p-4, 0x1.90ddf804f9267p-4, 0x1.8e33db6edacc6p-4, 0x1.8b844d9d9bb4p-4, 0x1.88cf8b315032p-4, 0x1.8615cfeecf5fdp-4, 0x1.835756c29087p-4, 0x1.809459c4032a5p-4, 0x1.7dcd123944fffp-4, 0x1.7b01b89b14435p-4, 0x1.78328498e3cdep-4, 0x1.755fad1cf11fp-4, 0x1.7289685043583p-4, 0x1.6fafeb9e7ae6ep-4, 0x1.6cd36bb95f089p-4, 0x1.69f41c9c15754p-4, 0x1.6712318dfab06p-4, 0x1.642ddd2510456p-4, 0x1.61475147fb20ep-4, 0x1.5e5ebf2f90f94p-4, 0x1.5b745767f769p-4, 0x1.588849d15624bp-4, 0x1.559ac5a02732fp-4, 0x1.52abf95d28d9dp-4, 0x1.4fbc12e5027ep-4, 0x1.4ccb3f67a29cdp-4, 0x1.49d9ab6765b5cp-4, 0x1.46e782b810b1bp-4, 0x1.43f4f07dadbcdp-4, 0x1.41021f2b591d6p-4, 0x1.3e0f3882034fap-4, 0x1.3b1c658f3bc0fp-4, 0x1.3829ceac0861bp-4, 0x1.35379b7bd443ap-4, 0x1.3245f2eb7b11bp-4, 0x1.2f54fb3079798p-4, 0x1.2c64d9c844d02p-4, 0x1.2975b377cd492p-4, 0x1.2687ac4b2deb3p-4, 0x1.239ae7958825fp-4, 0x1.20af87f10e5fap-4, 0x1.1dc5af3f39cabp-4, 0x1.1add7ea928b09p-4, 0x1.17f716a0258dap-4, 0x1.151296de53a57p-4, 0x1.12301e67797f2p-4, 0x1.0f4fcb89ecfbbp-4, 0x1.0c71bbdf96ff4p-4, 0x1.09960c4f0f33fp-4, 0x1.06bcd90cccbc5p-4, 0x1.03e63d9c6444ap-4, 0x1.011254d1d77e2p-4, 0x1.fc8271a5d8b0ep-5, 0x1.f6e606312008cp-5, 0x1.f14f98e07dc6ap-5, 0x1.ebbf59fae598ap-5, 0x1.e635787629ab8p-5, 0x1.e0b221f9e32acp-5, 0x1.db3582e262d8fp-5, 0x1.d5bfc6439f8b2p-5, 0x1.d05115ec2c61dp-5, 0x1.cae99a682d9a3p-5, 0x1.c5897b0452ffep-5, 0x1.c030ddd0d4d55p-5, 0x1.badfe7a47062ap-5, 0x1.b596bc1f6f11dp-5, 0x1.b0557daeae3fcp-5, 0x1.ab1c4d8eac53dp-5, 0x1.a5eb4bce9e49ap-5, 0x1.a0c297538c9ep-5, 0x1.9ba24ddb7474dp-5, 0x1.968a8c00761dep-5, 0x1.917b6d3c093a8p-5, 0x1.8c750bea39555p-5, 0x1.8777814cf0325p-5, 0x1.8282e58f45c0ap-5, 0x1.7d974fc8dc5c4p-5, 0x1.78b4d60145dc3p-5, 0x1.73db8d33732e5p-5, 0x1.6f0b89512d731p-5, 0x1.6a44dd46978b9p-5, 0x1.6588510bc78eap-5, 0x1.60d4862470773p-5, 0x1.5c2a44a251fc7p-5, 0x1.57899bbbc7fcap-5, 0x1.52f299b4f944cp-5, 0x1.4e654be29a116p-5, 0x1.49e1beaccbc2dp-5, 0x1.4567fd9213709p-5, 0x1.40f8132a6c485p-5, 0x1.3c92092a78e2cp-5, 0x1.3835e866cb1ep-5, 0x1.33e3b8d74f803p-5, 0x1.2f9b819acc4efp-5, 0x1.2b5d48fa81051p-5, 0x1.2729146ddca6fp-5, 0x1.22fee89e4a418p-5, 0x1.1edec96b14fc5p-5, 0x1.1ac8b9ed5e76ap-5, 0x1.16bcbc7c24a0ap-5, 0x1.12bad2b058d14p-5, 0x1.0ec2fd690002ap-5, 0x1.0ad53ccf5c8dfp-5, 0x1.06f1905b210d8p-5, 0x1.0317f6d6a2e48p-5, 0x1.fe90dcc62638ap-6, 0x1.f705e8f961242p-6, 0x1.ef8f0bfdf719ep-6, 0x1.e82c3e51c05c9p-6, 0x1.e0dd7741ba06p-6, 0x1.d9a2acf237b89p-6, 0x1.d27bd4670033cp-6, 0x1.cb68e18b5851cp-6, 0x1.c469c739e5e89p-6, 0x1.bd7e774478a17p-6, 0x1.b6a6e27bb5f72p-6, 0x1.afe2f8b69c633p-6, 0x1.a932a8d9e62cdp-6, 0x1.a295e0df46ec5p-6, 0x1.9c0c8ddc86932p-6, 0x1.95969c0a70d33p-6, 0x1.8f33f6cba58fbp-6, 0x1.88e488b34402cp-6, 0x1.82a83b8b6d12p-6, 0x1.7c7ef85ba97dfp-6, 0x1.7668a76f24706p-6, 0x1.7065305acd694p-6, 0x1.6a747a0357b13p-6, 0x1.64966aa318048p-6, 0x1.5ecae7cfca51dp-6, 0x1.5911d68037cdcp-6, 0x1.536b1b11c7ea8p-6, 0x1.4dd6994df2594p-6, 0x1.4854346fa3ac7p-6, 0x1.42e3cf2883041p-6, 0x1.3d854ba62d2bbp-6, 0x1.38388b9757cb8p-6, 0x1.32fd7030e24dbp-6, 0x1.2dd3da32e06e8p-6, 0x1.28bba9ed8b772p-6, 0x1.23b4bf462bbb1p-6, 0x1.1ebef9bbf6d31p-6, 0x1.19da386cdcf4bp-6, 0x1.15065a1a4ff47p-6, 0x1.10433d2dfacd1p-6, 0x1.0b90bfbe75a1cp-6, 0x1.06eebf93e3f02p-6, 0x1.025d1a2c96facp-6, 0x1.fbb759832f269p-7, 0x1.f2d4a8965e5f5p-7, 0x1.ea11db0ac471dp-7, 0x1.e16ea9e8b88d3p-7, 0x1.d8eacdd1a93a4p-7, 0x1.d085ff08c4f8cp-7, 0x1.c83ff57b881f9p-7, 0x1.c01868ca2e971p-7, 0x1.b80f105000fbdp-7, 0x1.b023a32b89d4bp-7, 0x1.a855d8469aeefp-7, 0x1.a0a5665e3964fp-7, 0x1.9912040a4d215p-7, 0x1.919b67c53cacep-7, 0x1.8a4147f34f49cp-7, 0x1.83035ae9dafb5p-7, 0x1.7be156f64c8ebp-7, 0x1.74daf264f1b61p-7, 0x1.6defe3879783bp-7, 0x1.671fe0bbe6bfp-7, 0x1.606aa0718d8f6p-7, 0x1.59cfd9302ca29p-7, 0x1.534f419d0c07ap-7, 0x1.4ce890808de45p-7, 0x1.469b7ccb6a6b5p-7, 0x1.4067bd9ba7243p-7, 0x1.3a4d0a415b655p-7, 0x1.344b1a432c52ap-7, 0x1.2e61a56295c62p-7, 0x1.2890639ff136dp-7, 0x1.22d70d3e48f91p-7, 0x1.1d355ac6ea79cp-7, 0x1.17ab050cca2bap-7, 0x1.1237c52facc52p-7, 0x1.0cdb549f220c7p-7, 0x1.07956d1d4bd8dp-7, 0x1.0265c8c17cafep-7, 0x1.fa9843f54d126p-8, 0x1.f090672350fd5p-8, 0x1.e6b37156eb93p-8, 0x1.dd00d99637582p-8, 0x1.d37817a755dcp-8, 0x1.ca18a4140b3ddp-8, 0x1.c0e1f82d375a1p-8, 0x1.b7d38e0e158d5p-8, 0x1.aeece09f6c228p-8, 0x1.a62d6b9a99232p-8, 0x1.9d94ab8c7fe86p-8, 0x1.95221dd876648p-8, 0x1.8cd540bb15b67p-8, 0x1.84ad934d05abdp-8, 0x1.7caa9585c4e32p-8, 0x1.74cbc83e6171ep-8, 0x1.6d10ad343924fp-8, 0x1.6578c70bac3ddp-8, 0x1.5e039952d390ap-8, 0x1.56b0a88433417p-8, 0x1.4f7f7a095f6efp-8, 0x1.486f943da3f52p-8, 0x1.41807e709b4d4p-8, 0x1.3ab1c0e8bc6bap-8, 0x1.3402e4e5d410ep-8, 0x1.2d7374a36d388p-8, 0x1.2702fb5b246a6p-8, 0x1.20b10546d3a4bp-8, 0x1.1a7d1fa2a6e8dp-8, 0x1.1466d8af0b588p-8, 0x1.0e6dbfb2753b2p-8, 0x1.089164faff724p-8, 0x1.02d159dfd0632p-8, 0x1.fa5a6184c3328p-9, 0x1.ef48fa1f05779p-9, 0x1.e46da6808539ep-9, 0x1.d9c791b50d524p-9, 0x1.cf55e8e31d43ap-9, 0x1.c517db4c6cf62p-9, 0x1.bb0c9a4e3555ep-9, 0x1.b133596101097p-9, 0x1.a78b4e18537f6p-9, 0x1.9e13b021fd3b5p-9, 0x1.94cbb9453fb8cp-9, 0x1.8bb2a561bea4p-9, 0x1.82c7b26e60beep-9, 0x1.7a0a2078071ep-9, 0x1.717931a04bb68p-9, 0x1.69142a1c3d1c3p-9, 0x1.60da503331e3bp-9, 0x1.58caec3d9e457p-9, 0x1.50e548a4256cep-9, 0x1.4928b1deb69a3p-9, 0x1.41947673eb91p-9, 0x1.3a27e6f88b9efp-9, 0x1.32e2560f3d5bap-9, 0x1.2bc3186869f2ap-9, 0x1.24c984c24e074p-9, 0x1.1df4f3e9286dcp-9, 0x1.1744c0b79a6f4p-9, 0x1.10b84817080d6p-9, 0x1.0a4ee90008994p-9, 0x1.0408047aed3f1p-9, 0x1.fbc5fb403e12ep-10, 0x1.efbe7331074b6p-10, 0x1.e3f83f3b3e564p-10, 0x1.d87231f33d9a1p-10, 0x1.cd2b220e3ffe3p-10, 0x1.c221ea614d123p-10, 0x1.b75569dfacbdp-10, 0x1.acc483987e3e9p-10, 0x1.a26e1eb3c9361p-10, 0x1.9851266e8a933p-10, 0x1.8e6c8a161e45dp-10, 0x1.84bf3d02f5e9p-10, 0x1.7b4836923293ep-10, 0x1.7206721ec631fp-10, 0x1.68f8eef9b94dep-10, 0x1.601eb061c49ap-10, 0x1.5776bd7a4977p-10, 0x1.4f002141b4bc7p-10, 0x1.46b9ea876a28cp-10, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.2b384f07464fdp-1, -0x1.266c2c90bb35fp-1, -0x1.20edfd5b11ab8p-1, -0x1.1ae0b0e01b543p-1, -0x1.14645bea599d9p-1, -0x1.0d95fb5d2561ep-1, -0x1.068f5cb9726e4p-1, -0x1.fecebbed2eb7bp-2, -0x1.f063eef1e51b3p-2, -0x1.e20093b7f48afp-2, -0x1.d3c1e0246bfa2p-2, -0x1.c5c0831d2e732p-2, -0x1.b810db4058379p-2, -0x1.aac35581d5cddp-2, -0x1.9de4fcc634c69p-2, -0x1.917fed21e058p-2, -0x1.859b9d768869bp-2, -0x1.7a3d278ac4d38p-2, -0x1.6f679ed646128p-2, -0x1.651c666a927e4p-2, -0x1.5b5b774f93f44p-2, -0x1.522399aa66a46p-2, -0x1.49727f768d5dfp-2, -0x1.41452447cb4cbp-2, -0x1.3997c9ed0c346p-2, -0x1.326624fc06eacp-2, -0x1.2bab7f6a84cbfp-2, -0x1.2562d9bdb2be9p-2, -0x1.1f87071196559p-2, -0x1.1a12c0c80fff5p-2, -0x1.1500b25ce0c08p-2, -0x1.104b8156af97ep-2, -0x1.0bedd5af99ceep-2, -0x1.07e2648d59251p-2, -0x1.0423fc2be1da3p-2, -0x1.00ad8e8a8c4c6p-2, -0x1.faf471f2a33fep-3, -0x1.f50a901025dd3p-3, -0x1.ef947113211abp-3, -0x1.ea896dd8b602dp-3, -0x1.e5e13c594ea42p-3, -0x1.e193ee8b05d2dp-3, -0x1.dd99f2fe75e35p-3, -0x1.d9ec16e5fd613p-3, -0x1.d6838886c4643p-3, -0x1.d359d8ea0b35cp-3, -0x1.d068fbf4f921dp-3, -0x1.cdab4697b32aap-3, -0x1.cb1b6b4844bc7p-3, -0x1.c8b47551c824ap-3, -0x1.c671c39e1da5ep-3, -0x1.c44f0393f651p-3, -0x1.c2482c7db8d3dp-3, -0x1.c0597bbbb765fp-3, -0x1.be7f71ce665a9p-3, -0x1.bcb6d01368989p-3, -0x1.bafc96eb19dfdp-3, -0x1.b94e03eba9c0cp-3, -0x1.b7a88fcea9871p-3, -0x1.b609ebe32bef8p-3, -0x1.b46ffef7dc414p-3, -0x1.b2d8e1d8eb4d8p-3, -0x1.b142db994e439p-3, -0x1.afac8b5b26be8p-3, -0x1.ae144b203d5d8p-3, -0x1.ac78dc3776ed7p-3, -0x1.aad91b9b5b90ep-3, -0x1.a9340863767b3p-3, -0x1.a788c1722e241p-3, -0x1.a5d6830aafc2ap-3, -0x1.a41ca46298f24p-3, -0x1.a25a954517848p-3, -0x1.a08fdbdb46877p-3, -0x1.9ebc12a8681e8p-3, -0x1.9cdee6c20e623p-3, -0x1.9af8164567228p-3, -0x1.99076f04bb6fp-3, -0x1.970ccd63beea9p-3, -0x1.95081b56dfb3bp-3, -0x1.92f94f7928742p-3, -0x1.90e06c2dd5825p-3, -0x1.8ebd7ec4ef2ffp-3, -0x1.8c909e9d66616p-3, -0x1.8a59ec421a70fp-3, -0x1.8819908222177p-3, -0x1.85cfbb86ce07bp-3, -0x1.837ca3ebb7c8ap-3, -0x1.812085ddf9ab4p-3, -0x1.7ebba247b03bbp-3, -0x1.7c4e3e0c49dddp-3, -0x1.79d8a158bede8p-3, -0x1.775b170940706p-3, -0x1.74d5ec2498a1ap-3, -0x1.72496f6c03e97p-3, -0x1.6fb5f0fd756a5p-3, -0x1.6d1bc2058719ap-3, -0x1.6a7b347e00cb8p-3, -0x1.67d49af5cea66p-3, -0x1.6528485f5905ap-3, -0x1.62768fe2bacdbp-3, -0x1.5fbfc4b1daa6ep-3, -0x1.5d0439dd090b5p-3, -0x1.5a4442277f8bp-3, -0x1.57802fdb7845p-3, -0x1.54b8549e052a2p-3, -0x1.51ed014332043p-3, -0x1.4f1e85a302643p-3, -0x1.4c4d30702f493p-3, -0x1.49794f118e795p-3, -0x1.46a32d7f14914p-3, -0x1.43cb162330a8ap-3, -0x1.40f151c111ceep-3, -0x1.3e1627602041ap-3, -0x1.3b39dc3c7bbf8p-3, -0x1.385cb3bc4bf2bp-3, -0x1.357eef6949e4dp-3, -0x1.32a0ceee04b59p-3, -0x1.2fc29016425bfp-3, -0x1.2ce46ed1f7a1ep-3, -0x1.2a06a53a50c51p-3, -0x1.27296b9846cbdp-3, -0x1.244cf86c3a181p-3, -0x1.217180760d674p-3, -0x1.1e9736bd43755p-3, -0x1.1bbe4c98c66c3p-3, -0x1.18e6f1b603cd1p-3, -0x1.1611541f54082p-3, -0x1.133da041b0658p-3, -0x1.106c00f1e259dp-3, -0x1.0d9c9f7168f7ep-3, -0x1.0acfa37351302p-3, -0x1.080533212f7dbp-3, -0x1.053d732053a06p-3, -0x1.02788697544d8p-3, -0x1.ff6d1e67d4152p-4, -0x1.f9ef5a6210f71p-4, -0x1.f477feba9a07dp-4, -0x1.ef074643461f2p-4, -0x1.e99d69107999fp-4, -0x1.e43a9c87c5f87p-4, -0x1.dedf136f63a09p-4, -0x1.d98afdfe9ca3ep-4, -0x1.d43e89ef3a20cp-4, -0x1.cef9e28ff0b91p-4, -0x1.c9bd30d79e627p-4, -0x1.c4889b793f2b5p-4, -0x1.bf5c46f82f682p-4, -0x1.ba3873432707bp-4, -0x1.b51d043d0a7dp-4, -0x1.b00a3639df6eap-4, -0x1.ab0025e996a3p-4, -0x1.a5feee351a379p-4, -0x1.a106a84d712ffp-4, -0x1.9c176bb9e22c2p-4, -0x1.97314e6541f5bp-4, -0x1.925464aa6192fp-4, -0x1.8d80c15fe8669p-4, -0x1.88b675e3abf3fp-4, -0x1.83f59225adeacp-4, -0x1.7f3e24b2ee0afp-4, -0x1.7a903ac024a29p-4, -0x1.75ebe03481f9p-4, -0x1.71511fb47ec9ep-4, -0x1.6cc002acc4812p-4, -0x1.6838915d30333p-4, -0x1.63bad2e3e91d3p-4, -0x1.5f46cd488645ap-4, -0x1.5adc8587360ccp-4, -0x1.567bff9bde865p-4, -0x1.52253e8d2613bp-4, -0x1.4dd844775657ep-4, -0x1.4995129713e52p-4, -0x1.455ba953c4a39p-4, -0x1.412c0849ad632p-4, -0x1.3d062e53b398bp-4, -0x1.38ea1994aa1dfp-4, -0x1.34d7c78034914p-4, -0x1.30cf34e32886ap-4, -0x1.2cd05deb78802p-4, -0x1.28db3e2f9d127p-4, -0x1.24efd0b587d09p-4, -0x1.210e0ff923b19p-4, -0x1.1d35f5f263d0dp-4, -0x1.19677c1af301dp-4, -0x1.15a29b7387353p-4, -0x1.11e74c88e2b5ep-4, -0x1.0e3587788edadp-4, -0x1.0a8d43f55871dp-4, -0x1.06ee794b9655cp-4, -0x1.03591e654165fp-4, -0x1.ff9a539bce636p-5, -0x1.f895236cf7d78p-5, -0x1.f1a297f221232p-5, -0x1.eac29c38f767dp-5, -0x1.e3f51aafbd12ap-5, -0x1.dd39fd2c56778p-5, -0x1.d6912cf32a172p-5, -0x1.cffa92bdeabbp-5, -0x1.c97616c23f15ap-5, -0x1.c303a0b85a425p-5, -0x1.bca317e1635c5p-5, -0x1.b654630dc6ec2p-5, -0x1.b01768a35d679p-5, -0x1.a9ec0ea35f076p-5, -0x1.a3d23ab030353p-5, -0x1.9dc9d212f715fp-5, -0x1.97d2b9c0f7067p-5, -0x1.91ecd660b7514p-5, -0x1.8c180c4eebf81p-5, -0x1.86543fa321f7fp-5, -0x1.80a154342f0a5p-5, -0x1.7aff2d9c64867p-5, -0x1.756daf3d87dbcp-5, -0x1.6fecbc4490498p-5, -0x1.6a7c37ad2bf17p-5, -0x1.651c04450fc9p-5, -0x1.5fcc04af1f14dp-5, -0x1.5a8c1b6651726p-5, -0x1.555c2ac07e247p-5, -0x1.503c14f0fc189p-5, -0x1.4b2bbc0b1ca0fp-5, -0x1.462b02048bcadp-5, -0x1.4139c8b78fa26p-5, -0x1.3c57f1e537fb1p-5, -0x1.37855f3772129p-5, -0x1.32c1f24310f13p-5, -0x1.2e0d8c89c48cbp-5, -0x1.29680f7c0988p-5, -0x1.24d15c7b05f28p-5, -0x1.204954da64f99p-5, -0x1.1bcfd9e227b17p-5, -0x1.1764ccd06cb8dp-5, -0x1.13080edb35651p-5, -0x1.0eb981321c827p-5, -0x1.0a7905000b516p-5, -0x1.06467b6ce55dfp-5, -0x1.0221c59f29152p-5, -0x1.fc15897b16da3p-6, -0x1.f402b3e10e79cp-6, -0x1.ec0accc7c357ap-6, -0x1.e42d96905eaa9p-6, -0x1.dc6ad3a876542p-6, -0x1.d4c2468ceb86fp-6, -0x1.cd33b1cca205p-6, -0x1.c5bed80b28971p-6, -0x1.be637c0352086p-6, -0x1.b7216089adc49p-6, -0x1.aff8488efda4p-6, -0x1.a8e7f72298b93p-6, -0x1.a1f02f74afdb6p-6, -0x1.9b10b4d892e57p-6, -0x1.94494ac6e0249p-6, -0x1.8d99b4dfa3971p-6, -0x1.8701b6ec72a74p-6, -0x1.808114e26a575p-6, -0x1.7a1792e42e224p-6, -0x1.73c4f543d7614p-6, -0x1.6d890084d3192p-6, -0x1.6763795dbb8f6p-6, -0x1.615424ba1e2b3p-6, -0x1.5b5ac7bc3b01p-6, -0x1.557727beb6ffp-6, -0x1.4fa90a56416fdp-6, -0x1.49f0355331befp-6, -0x1.444c6ec317deap-6, -0x1.3ebd7cf23c7eap-6, -0x1.3943266d257bcp-6, -0x1.33dd3202074f1p-6, -0x1.2e8b66c22d583p-6, -0x1.294d8c0356e42p-6, -0x1.24236961159d7p-6, -0x1.1f0cc6be18479p-6, -0x1.1a096c457b1cp-6, -0x1.1519226bff85cp-6, -0x1.103bb1f148ca4p-6, -0x1.0b70e3e10e242p-6, -0x1.06b88194452p-6, -0x1.021254b240b77p-6, -0x1.fafc4e63a3a7dp-7, -0x1.f1f786b4a9a3ep-7, -0x1.e915e78982414p-7, -0x1.e05706b94ffbdp-7, -0x1.d7ba7ac26d6e8p-7, -0x1.cf3fdacc46344p-7, -0x1.c6e6bea934017p-7, -0x1.beaebed83e2fdp-7, -0x1.b6977486d3a89p-7, -0x1.aea07992711adp-7, -0x1.a6c9688a2b0c5p-7, -0x1.9f11dcb03d8b3p-7, -0x1.977971fb7b811p-7, -0x1.8fffc518ae8b2p-7, -0x1.88a4736becf81p-7, -0x1.81671b11ecf57p-7, -0x1.7a475ae12ab3ep-7, -0x1.7344d26b19cdcp-7, -0x1.6c5f21fd3befdp-7, -0x1.6595eaa231e15p-7, -0x1.5ee8ce22b8d8p-7, -0x1.58576f0698505p-7, -0x1.51e170958774dp-7, -0x1.4b8676d801a14p-7, -0x1.4546269810345p-7, -0x1.3f20256205995p-7, -0x1.3914198526df9p-7, -0x1.3321aa1451a7bp-7, -0x1.2d487ee68bb18p-7, -0x1.2788409785525p-7, -0x1.21e0988815debp-7, -0x1.1c5130dea6102p-7, -0x1.16d9b4878b378p-7, -0x1.1179cf3557bdfp-7, -0x1.0c312d6121caep-7, -0x1.06ff7c4ab582ap-7, -0x1.01e471726d184p-7, -0x1.f9bf5bda011fp-8, -0x1.efe1cf7ae977fp-8, -0x1.e62f9e840c42cp-8, -0x1.dca82b3f3d54bp-8, -0x1.d34ad98373ddfp-8, -0x1.ca170eb496e6bp-8, -0x1.c10c31c340caep-8, -0x1.b829ab2c509bbp-8, -0x1.af6ee4f8766f8p-8, -0x1.a6db4abbad671p-8, -0x1.9e6e49949c144p-8, -0x1.9627502be1bdep-8, -0x1.8e05ceb3534f8p-8, -0x1.860936e51b94p-8, -0x1.7e30fc02dd67ep-8, -0x1.767c92d4a1912p-8, -0x1.6eeb71a7d33a9p-8, -0x1.677d104e019a1p-8, -0x1.6030e81bc6bfap-8, -0x1.590673e7684d1p-8, -0x1.51fd30077eefbp-8, -0x1.4b149a51867dp-8, -0x1.444c32186c5f4p-8, -0x1.3da3782ae495ap-8, -0x1.3719eed1e2bccp-8, -0x1.30af19ced9aaap-8, -0x1.2a627e5a049cep-8, -0x1.2433a3208f306p-8, -0x1.1e221042c7325p-8, -0x1.182d4f521dcp-8, -0x1.1254eb4f36c12p-8, -0x1.0c9870a7de7cfp-8, -0x1.06f76d350758cp-8, -0x1.01717038906bfp-8, -0x1.f80c14b655822p-9, -0x1.ed699b544a863p-9, -0x1.e2fa9b2a36c7p-9, -0x1.d8be3dd7790c8p-9, -0x1.ceb3afb6dd1b6p-9, -0x1.c4da1fd9e27dfp-9, -0x1.bb30c003e696bp-9, -0x1.b1b6c4a55b15ap-9, -0x1.a86b64d6cd23bp-9, -0x1.9f4dda53e2fc9p-9, -0x1.965d61766eec7p-9, -0x1.8d993931268b5p-9, -0x1.8500a30abc7c7p-9, -0x1.7c92e3187a637p-9, -0x1.744f3ff92d0a3p-9, -0x1.6c3502cfe52e5p-9, -0x1.6443773e8d855p-9, -0x1.5c79eb60ac1ap-9, -0x1.54d7afc604b37p-9, -0x1.4d5c176d3fbc9p-9, -0x1.460677be506f2p-9, -0x1.3ed628854c256p-9, -0x1.37ca83ecc301bp-9, -0x1.30e2e67858c3ep-9, -0x1.2a1eaeff3ab6cp-9, -0x1.237d3ea6b524ap-9, -0x1.1cfdf8dc838d4p-9, -0x1.16a043516dfbfp-9, -0x1.106385f3b0e24p-9, -0x1.0a472ae94ddeap-9, -0x1.044a9e8ab0f36p-9, -0x1.fcda9eb9e4348p-10, -0x1.f15d5c18b4ca9p-10, -0x1.e61c5acd7dcdep-10, -0x1.db1684abd11a8p-10, -0x1.d04ac7b42502bp-10, -0x1.c5b816087dbcep-10, -0x1.bb5d65e12d567p-10, -0x1.b139b181e6f79p-10, -0x1.a74bf72e5d0ecp-10, -0x1.9d93391f350e6p-10, -0x1.940e7d76bafcdp-10, -0x1.8abcce35fffa4p-10, -0x1.819d393163086p-10, -0x1.78aed005cf16dp-10, -0x1.6ff0a80d472b2p-10, -0x1.6761da540066p-10, -0x1.5f01838d9b8eep-10, -0x1.56cec4098af4p-10, -0x1.4ec8bfa89d071p-10, -0x1.46ee9dd1b58dfp-10, -0x1.3f3f896703cdep-10, -0x1.37bab0bb096cep-10, -0x1.305f4585f5c3bp-10, -0x1.292c7cda8c18ep-10, -0x1.22218f1b7a71fp-10, -0x1.1b3db7f0cdab5p-10, -0x1.1480363d1b405p-10, -0x1.0de84c12f0e1fp-10, -0x1.07753eaa4e2fbp-10, -0x1.012656561fe6cp-10, -0x1.f5f5bcf3a5e04p-11, -0x1.e9e44afe08821p-11, -0x1.de16f996429dap-11, -0x1.d28c716a77075p-11, -0x1.c74360f79612bp-11, -0x1.bc3a7c75e07c6p-11, -0x1.b1707dc3d3e02p-11, -0x1.a6e424535f139p-11, -0x1.9c9435158e773p-11, -0x1.927f7a6740a3bp-11, -0x1.88a4c3fdfa9d8p-11, -0x1.7f02e6d4a54a8p-11, -0x1.7598bd18948a1p-11, -0x1.6c652616ac3f3p-11, -0x1.63670628faad6p-11, -0x1.5a9d46a403cb2p-11, -0x1.5206d5c4c6cd6p-11, -0x1.49a2a69ecef65p-11, -0x1.416fb10a06affp-11, -0x1.396cf191226d1p-11, -0x1.319969605fc15p-11, -0x1.29f41e340ca14p-11, -0x1.227c1a4772d7p-11, -0x1.1b306c44090bp-11, -0x1.14102730923d3p-11, -0x1.0d1a6260bae42p-11, -0x1.064e39649b068p-11, -0x1.ff5597f1715f2p-12, -0x1.f25e7bebae8a2p-12, -0x1.e5b56e820e15ep-12, -0x1.d958c778de335p-12, -0x1.cd46e66ecd946p-12, -0x1.c17e32bed2a9bp-12, -0x1.b5fd1b614a77bp-12, -0x1.aac216cf0911p-12, -0x1.9fcba2e30a567p-12, -0x1.951844bccdd91p-12, -0x1.8aa688a3f197ep-12, -0x1.807501eb4f8a1p-12, -0x1.76824ad517cfep-12, -0x1.6ccd047609b5bp-12, -0x1.6353d69a9c8fap-12, -0x1.5a156faac1a5ap-12, -0x1.5110848fa0c68p-12, -0x1.4843d097de9c2p-12, -0x1.3fae155e3adfdp-12, -0x1.374e1aaead0d8p-12, -0x1.2f22ae6d404b5p-12, -0x1.272aa47bc93bep-12, -0x1.1f64d6a1185e3p-12, -0x1.17d024703d8abp-12, -0x1.106b732fbe61p-12, -0x1.0935adc187284p-12, -0x1.022dc48aa0b07p-12, -0x1.f6a55ab80cdd8p-13, -0x1.e946c6b63c0dp-13, -0x1.dc3dcdd52e9b5p-13, -0x1.cf887b27a5f4p-13, -0x1.c324e3e1161d7p-13, -0x1.b711272a16cf7p-13, -0x1.ab4b6df3ab4c7p-13, -0x1.9fd1eacc37e02p-13, -0x1.94a2d9b612fe5p-13, -0x1.89bc7ffd86452p-13, -0x1.7f1d2c0f1873dp-13, -0x1.74c3354f17236p-13, -0x1.6aacfbf0d789ep-13, -0x1.60d8e8d0fddcp-13, -0x1.57456d4c7601ap-13, -0x1.4df1031a2658fp-13, -0x1.44da2c256b567p-13, -0x1.3bff726870035p-13, -0x1.335f67c7b43a3p-13, -0x1.2af8a5ec4cd43p-13, -0x1.22c9ce20af0e5p-13, -0x1.1ad1892d033ccp-13, -0x1.130e873404e7cp-13, -0x1.0b7f7f8fc194dp-13, -0x1.042330b02ea3dp-13, -0x1.f9f0bff4f6d7bp-14, -0x1.ebfbb349632d8p-14, -0x1.de64e12fa6a14p-14, -0x1.d129fc9e92a21p-14, -0x1.c448c56ec4669p-14, -0x1.b7bf081ed849dp-14, -0x1.ab8a9d93e432ap-14, -0x1.9fa96ade108abp-14, -0x1.941960fba6555p-14, -0x1.88d87c9e4b2e9p-14, -0x1.7de4c5f0f5657p-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.298763d2b97b5p-3, -0x1.a81c99059a33cp-4, -0x1.03533fd59b03ap-4, -0x1.9c87d7484ad23p-6, 0x1.54f2dee1ae8fp-7, 0x1.6138113cb9449p-5, 0x1.29ff47a95f066p-4, 0x1.96549b97142bp-4, 0x1.f57b7585a3d34p-4, 0x1.23cd89c05549fp-3, 0x1.4689ecd39b79ep-3, 0x1.6337c66be16b7p-3, 0x1.7a2bb2049b0d9p-3, 0x1.8bc6cb7a034bap-3, 0x1.98729a69d705dp-3, 0x1.a09c87b4a8fbcp-3, 0x1.a4b2b73b3f314p-3, 0x1.a52288d7c3453p-3, 0x1.a25785db5a7c6p-3, 0x1.9cb9e249bc8bbp-3, 0x1.94acdcae32a6dp-3, 0x1.8a8c9478ebe55p-3, 0x1.7eb2dfaf3165fp-3, 0x1.716f6be446e6ep-3, 0x1.630c2bebe1892p-3, 0x1.53cd2e7d7be98p-3, 0x1.43f0ef106d14bp-3, 0x1.33b04264ea2cbp-3, 0x1.233e179ead578p-3, 0x1.12c75f473605cp-3, 0x1.027349e2d9106p-3, 0x1.e4c7b26ebb617p-4, 0x1.c56d2c01ac2b4p-4, 0x1.a70a64bde81dp-4, 0x1.89cbea2d4be25p-4, 0x1.6dd7d46cbb0cbp-4, 0x1.534de03810c23p-4, 0x1.3a47830b20481p-4, 0x1.22d82cfe1bbcap-4, 0x1.0d0dcca74ff95p-4, 0x1.f1e313b6257fap-5, 0x1.cd113016f38ebp-5, 0x1.aba9f7a1ec2e1p-5, 0x1.8dac4d6dd824fp-5, 0x1.7312b7b6cf703p-5, 0x1.5bd3c2999ea29p-5, 0x1.47e21f44e464ep-5, 0x1.372cae712dbc5p-5, 0x1.299e9ff104e79p-5, 0x1.1f1fbffbfb75p-5, 0x1.1794f5a268789p-5, 0x1.12e0e4640e856p-5, 0x1.10e499b82efe8p-5, 0x1.11802eebf1794p-5, 0x1.14934d99ed01bp-5, 0x1.19fd8da517c4fp-5, 0x1.219eac2975a7ep-5, 0x1.2b56a18d4c8bp-5, 0x1.3705a11ef5a15p-5, 0x1.448c0e5f651a3p-5, 0x1.53ca736fa5b38p-5, 0x1.64a18177f951dp-5, 0x1.76f21ff3b8a17p-5, 0x1.8aa82e720ea19p-5, 0x1.9f8a1bd9a5952p-5, 0x1.b58a2fd2b82f6p-5, 0x1.cc8cf4bca910bp-5, 0x1.e477d51ecfe16p-5, 0x1.fd310c52074f1p-5, 0x1.0b4fce94a5e05p-4, 0x1.1855a8568042p-4, 0x1.259e5e8181599p-4, 0x1.331ea97c99c0fp-4, 0x1.40cbb7c8abe89p-4, 0x1.4e9b373c39cd8p-4, 0x1.5c835d3a1dc3dp-4, 0x1.6a7aecb1b63cdp-4, 0x1.78793922452f6p-4, 0x1.86762652821b2p-4, 0x1.946a24de03143p-4, 0x1.a24e2c1675f4dp-4, 0x1.b01bb1f6547f1p-4, 0x1.bdcca202238d8p-4, 0x1.cb5b53f52bdbap-4, 0x1.d8c282fbd22f8p-4, 0x1.e5fd460f6fb41p-4, 0x1.f30709ce6e715p-4, 0x1.ffdb8bf0d1465p-4, 0x1.063b6c21f5b3fp-3, 0x1.0c6aa3771016p-3, 0x1.1279bdcfdcd12p-3, 0x1.186732a468577p-3, 0x1.1e319ef684141p-3, 0x1.23d7c51cec446p-3, 0x1.29588c4bd61c8p-3, 0x1.2eb2ffc35ce38p-3, 0x1.33e64d98f9802p-3, 0x1.38f1c51d57fdep-3, 0x1.3dd4d4ea4362cp-3, 0x1.428f08ac18aa8p-3, 0x1.472006bf5682p-3, 0x1.4b878dbcb3514p-3, 0x1.4fc5720dc341bp-3, 0x1.53d99ba1301e6p-3, 0x1.57c403d13dce1p-3, 0x1.5b84b389b63adp-3, 0x1.5f1bc1b4c5a49p-3, 0x1.628951f063049p-3, 0x1.65cd93892bfd1p-3, 0x1.68e8c0b34235dp-3, 0x1.6bdb1df6f150fp-3, 0x1.6ea4f9c4f3a56p-3, 0x1.7146ac258691bp-3, 0x1.73c09675de35ap-3, 0x1.761323288cc25p-3, 0x1.783ec57f61a68p-3, 0x1.7a43f9374852ep-3, 0x1.7c2342214f373p-3, 0x1.7ddd2ba63dfc4p-3, 0x1.7f724834b22f3p-3, 0x1.80e3309ba626bp-3, 0x1.823083550d8e8p-3, 0x1.835ae3c58d96bp-3, 0x1.8462f976ec4bcp-3, 0x1.85496f53479acp-3, 0x1.860ef2e6cacbap-3, 0x1.86b433ad0abcap-3, 0x1.8739e26e31335p-3, 0x1.87a0b0af06fd5p-3, 0x1.87e950359bb9bp-3, 0x1.881472a3101bdp-3, 0x1.8822c921e373p-3, 0x1.8815042727ed5p-3, 0x1.87ebd34443eddp-3, 0x1.87a7e50662dfbp-3, 0x1.8749e6e08324fp-3, 0x1.86d2851d12494p-3, 0x1.86426ad4373b2p-3, 0x1.859a41e459256p-3, 0x1.84dab2eae3db5p-3, 0x1.8404653bd4e32p-3, 0x1.8317fed722befp-3, 0x1.8216245b7c459p-3, 0x1.80ff78f651171p-3, 0x1.7fd49e51457b6p-3, 0x1.7e96347d83227p-3, 0x1.7d44d9dd51363p-3, 0x1.7be024cd533d6p-3, 0x1.7a6ac7ff160bcp-3, 0x1.78e45286ff0e6p-3, 0x1.774d596e84a2dp-3, 0x1.75a66f75cbb4cp-3, 0x1.73f02516094fep-3, 0x1.722b08837feadp-3, 0x1.7057a5ae83c4bp-3, 0x1.6e768642f28e2p-3, 0x1.6c8831a5df092p-3, 0x1.6a8d2cf1563ccp-3, 0x1.6885faee3f1cdp-3, 0x1.66731c0ca756p-3, 0x1.64550e5ac9c37p-3, 0x1.622c4d7b54425p-3, 0x1.5ff9529b76fc2p-3, 0x1.5dbc946949038p-3, 0x1.5b76870b1df45p-3, 0x1.59279c184a5f9p-3, 0x1.56d04293cf85ap-3, 0x1.5470e6e943b01p-3, 0x1.5209f2ec48185p-3, 0x1.4f9bcdda96e96p-3, 0x1.4d26dc60cac93p-3, 0x1.4aab80a1b30d8p-3, 0x1.482a1a401957ep-3, 0x1.45a3066a9edfep-3, 0x1.43169fe96e92cp-3, 0x1.40853f2d58b79p-3, 0x1.3def3a5fe781dp-3, 0x1.3b54e57413ba3p-3, 0x1.38b6923719f38p-3, 0x1.361490611d9c2p-3, 0x1.336f2da53a0b7p-3, 0x1.30c6b5c0b1808p-3, 0x1.2e1b72890fd81p-3, 0x1.2b6dabf8f7184p-3, 0x1.28bda83b9f7ep-3, 0x1.260babb6db8c9p-3, 0x1.2357f913ccfbbp-3, 0x1.20a2d146380b5p-3, 0x1.1dec7392b7355p-3, 0x1.1b351d93ea824p-3, 0x1.187d0b3ecaf6ep-3, 0x1.15c476e674c9dp-3, 0x1.130b993f82c43p-3, 0x1.1052a963412c3p-3, 0x1.0d99dcd2f0852p-3, 0x1.0ae1677b36ed8p-3, 0x1.08297bb7fa29ep-3, 0x1.05724a58b5b5fp-3, 0x1.02bc02a56ba5ap-3, 0x1.0006d2643ca59p-3, 0x1.faa5cbbf5fd13p-4, 0x1.f540cfdb47ee4p-4, 0x1.efdf03edc7f6ap-4, 0x1.ea80b7fe9e227p-4, 0x1.e526395cfc81cp-4, 0x1.dfcfd2b192ef2p-4, 0x1.da7dcc113adcp-4, 0x1.d5306b0fe5f65p-4, 0x1.cfe7f2d3ae3adp-4, 0x1.caa4a427cf293p-4, 0x1.c566bd8f3ab14p-4, 0x1.c02e7b56b2fb2p-4, 0x1.bafc17a637c83p-4, 0x1.b5cfca919467fp-4, 0x1.b0a9ca281389p-4, 0x1.ab8a4a832964cp-4, 0x1.a6717dd41d136p-4, 0x1.a15f9470a2f3ap-4, 0x1.9c54bcde7f06ap-4, 0x1.975123de1cf28p-4, 0x1.9254f47451bfbp-4, 0x1.8d6057f3469bdp-4, 0x1.88737602aca76p-4, 0x1.838e74a757b64p-4, 0x1.7eb1784a59deep-4, 0x1.79dca3bfbf82fp-4, 0x1.7510184d06623p-4, 0x1.704bf5af6c09bp-4, 0x1.6b905a222a518p-4, 0x1.66dd6264b704fp-4, 0x1.623329c11a3cbp-4, 0x1.5d91ca1267069p-4, 0x1.58f95bcb62252p-4, 0x1.5469f5fd5b794p-4, 0x1.4fe3ae5f3fb7ap-4, 0x1.4b669954de309p-4, 0x1.46f2c9f6635edp-4, 0x1.42885217fddbfp-4, 0x1.3e274251ab16fp-4, 0x1.39cfaa071d5ffp-4, 0x1.3581976fb43f9p-4, 0x1.313d179e7cb96p-4, 0x1.2d02368a2a2a1p-4, 0x1.28d0ff1503e41p-4, 0x1.24a97b14b72cfp-4, 0x1.208bb35a08af9p-4, 0x1.1c77afb85bb56p-4, 0x1.186d770d08a4ap-4, 0x1.146d0f467e312p-4, 0x1.10767d6b27ca6p-4, 0x1.0c89c5a01867p-4, 0x1.08a6eb2f76551p-4, 0x1.04cdf08eab3a2p-4, 0x1.00fed76455458p-4, 0x1.fa73411bfca97p-5, 0x1.f2fc984b37b53p-5, 0x1.eb99b30db2f07p-5, 0x1.e44a8ea8666b1p-5, 0x1.dd0f26f7c88adp-5, 0x1.d5e776795999bp-5, 0x1.ced37654ec202p-5, 0x1.c7d31e65ac27cp-5, 0x1.c0e66542f2c5cp-5, 0x1.ba0d4048ec9c3p-5, 0x1.b347a3a1194cep-5, 0x1.ac95824aa817ap-5, 0x1.a5f6ce22bea79p-5, 0x1.9f6b77eca1f8cp-5, 0x1.98f36f59d2ecdp-5, 0x1.928ea312134d5p-5, 0x1.8c3d00bb5fe57p-5, 0x1.85fe7501dac6bp-5, 0x1.7fd2eb9fa5b81p-5, 0x1.79ba4f64b0af3p-5, 0x1.73b48a3e75a35p-5, 0x1.6dc1853fa5997p-5, 0x1.67e128a7c2567p-5, 0x1.62135beaa4b7p-5, 0x1.5c5805b7eac14p-5, 0x1.56af0c0251a77p-5, 0x1.51185406f23d3p-5, 0x1.4b93c25464cb6p-5, 0x1.46213ad1c6a22p-5, 0x1.40c0a0c5a1685p-5, 0x1.3b71d6dcb3cebp-5, 0x1.3634bf3099311p-5, 0x1.31093b4e4ebb3p-5, 0x1.2bef2c3c9b009p-5, 0x1.26e672824d77ep-5, 0x1.21eeee2c611bfp-5, 0x1.1d087ed3fa1bdp-5, 0x1.183303a44277ep-5, 0x1.136e5b6023c9ap-5, 0x1.0eba6467e3237p-5, 0x1.0a16fcbe97a4dp-5, 0x1.0584020f848eep-5, 0x1.010151b35353bp-5, 0x1.f91d916a5bf88p-6, 0x1.f05887af78b24p-6, 0x1.e7b33f3405e43p-6, 0x1.df2d70784f234p-6, 0x1.d6c6d3882d00cp-6, 0x1.ce7f200421c35p-6, 0x1.c6560d2a35634p-6, 0x1.be4b51dea96a7p-6, 0x1.b65ea4b46ee74p-6, 0x1.ae8fbbf572db6p-6, 0x1.a6de4daab3134p-6, 0x1.9f4a0fa425f3ep-6, 0x1.97d2b7806f9fp-6, 0x1.9077fab46efa1p-6, 0x1.89398e9291b69p-6, 0x1.82172852052a9p-6, 0x1.7b107d15b3168p-6, 0x1.7425d16e9cbebp-6, 0x1.6d55bb26b38fbp-6, 0x1.66a07e747d863p-6, 0x1.6005d0905471bp-6, 0x1.598566bf1dc2dp-6, 0x1.531ef657c6669p-6, 0x1.4cd234c8a05f6p-6, 0x1.469ed79ca21c1p-6, 0x1.408494808bc55p-6, 0x1.3a832147f6bacp-6, 0x1.349a33f243fd3p-6, 0x1.2ec982af7630ep-6, 0x1.2910c3e4f51bp-6, 0x1.236fae3230c07p-6, 0x1.1de5f875301ccp-6, 0x1.187359cf05cf6p-6, 0x1.131789a8273b1p-6, 0x1.0dd23fb4ac6c7p-6, 0x1.08a333f871be6p-6, 0x1.038a1ecb1d58ep-6, 0x1.fd0d71b8154cp-7, 0x1.f331766c1f8fap-7, 0x1.e97fbe865eb32p-7, 0x1.dff7bda04592ep-7, 0x1.d698e81f8cdf3p-7, 0x1.cd62b33cd1973p-7, 0x1.c4549509e7842p-7, 0x1.bb6e0477f2007p-7, 0x1.b2ae795d33907p-7, 0x1.aa156c7a9b54ep-7, 0x1.a1a2578110589p-7, 0x1.9954b5167c202p-7, 0x1.912c00da87d28p-7, 0x1.8927b76b227ddp-7, 0x1.81475668bcc5p-7, 0x1.798a5c7a46a12p-7, 0x1.71f04950edcd6p-7, 0x1.6a789dab95d4ap-7, 0x1.6322db5a1edd6p-7, 0x1.5bee854064ae5p-7, 0x1.54db1f590838ap-7, 0x1.4de82eb7fe05ep-7, 0x1.4715398ce6e2bp-7, 0x1.4061c725337b1p-7, 0x1.39cd5fee13536p-7, 0x1.33578d7632ecp-7, 0x1.2cffda6f4a76ap-7, 0x1.26c5d2af80a2ep-7, 0x1.20a903329ef9ap-7, 0x1.1aa8fa1b22306p-7, 0x1.14c546b31f6c9p-7, 0x1.0efd796d05a2bp-7, 0x1.095123e43cc35p-7, 0x1.03bfd8dda38c8p-7, 0x1.fc92588fdbf27p-8, 0x1.f1d96677ca952p-8, 0x1.e75407f91d2fp-8, 0x1.dd016bee6afe2p-8, 0x1.d2e0c386bcbb5p-8, 0x1.c8f14245448b2p-8, 0x1.bf321e00e80ddp-8, 0x1.b5a28ee3a22eep-8, 0x1.ac41cf69be1d2p-8, 0x1.a30f1c60ebb1dp-8, 0x1.9a09b4e731821p-8, 0x1.9130da69bd283p-8, 0x1.8883d0a391c73p-8, 0x1.8001dd9c18ffp-8, 0x1.77aa49a591d2fp-8, 0x1.6f7c5f5b66ca7p-8, 0x1.67776ba0612abp-8, 0x1.5f9abd9cc4435p-8, 0x1.57e5a6bc461c8p-8, 0x1.50577aabf277fp-8, 0x1.48ef8f57eaeb4p-8, 0x1.41ad3ce90cccap-8, 0x1.3a8fddc279018p-8, 0x1.3396ce7efe3f3p-8, 0x1.2cc16dee65bd6p-8, 0x1.260f1d129f8a2p-8, 0x1.1f7f3f1cd1dfdp-8, 0x1.1911396a45dc2p-8, 0x1.12c473813a516p-8, 0x1.0c98570d8d803p-8, 0x1.068c4fdd4d7b2p-8, 0x1.009fcbdd22d32p-8, 0x1.f5a47629392b1p-9, 0x1.ea461f44b1a5bp-9, 0x1.df237b701d7e9p-9, 0x1.d43b772ce907cp-9, 0x1.c98d03120ba27p-9, 0x1.bf1713c356678p-9, 0x1.b4d8a1e88213p-9, 0x1.aad0aa23fde2cp-9, 0x1.a0fe2d0987495p-9, 0x1.97602f148715ap-9, 0x1.8df5b89e364e6p-9, 0x1.84bdd5d398451p-9, 0x1.7bb796ab3aad4p-9, 0x1.72e20edad62dp-9, 0x1.6a3c55ccbdf3dp-9, 0x1.61c58695356bbp-9, 0x1.597cbfe79df24p-9, 0x1.5161240b979f9p-9, 0x1.4971d8d20285fp-9, 0x1.41ae0789f4afdp-9, 0x1.3a14dcf5aa7c5p-9, 0x1.32a5893f6a993p-9, 0x1.2b5f3fee6ccdcp-9, 0x1.244137dbc786bp-9, 0x1.1d4aab2760c2cp-9, 0x1.167ad72cf464p-9, 0x1.0fd0fc7925c33p-9, 0x1.094c5ebeacd8bp-9, 0x1.02ec44cb9449p-9, 0x1.f95ff0fd3ff39p-10, 0x1.ed2d8d798a33dp-10, 0x1.e13ffecd9e665p-10, 0x1.d595ea9e41a31p-10, 0x1.ca2dfc5f38451p-10, 0x1.bf06e53f57566p-10, 0x1.b41f5c14f36f3p-10, 0x1.a9761d4a7ede8p-10, 0x1.9f09eacb87867p-10, 0x1.94d98bf1ee244p-10, 0x1.8ae3cd7361267p-10, 0x1.8127814f19efep-10, 0x1.77a37ebbd5c7ep-10, 0x1.6e56a215fab28p-10, 0x1.653fcccdfb568p-10, 0x1.5c5de556d8287p-10, 0x1.53afd714d3413p-10, 0x1.4b34924c32d64p-10, 0x1.42eb0c1032fcdp-10, 0x1.3ad23e31faccdp-10, 0x1.32e9272fb58bcp-10, 0x1.2b2eca23acf76p-10, 0x1.23a22eb378f52p-10, 0x1.1c4260ff2be0bp-10, 0x1.150e71909e61p-10, 0x1.0e05754aab7a1p-10, 0x1.0726855888c47p-10, 0x1.0070bf1d2900cp-10, 0x1.f3c688454a9e9p-11, 0x1.e6fa741382a12p-11, 0x1.da7b94f30834cp-11, 0x1.ce48461de5e67p-11, 0x1.c25eea99d4af6p-11, 0x1.b6bded184a8b3p-11, 0x1.ab63bfd6dc99ep-11, 0x1.a04edc8021619p-11, 0x1.957dc40cfeb3cp-11, 0x1.8aeefea67f5a6p-11, 0x1.80a11b884665ep-11, 0x1.7692b0e38996bp-11, 0x1.6cc25bc2c58c2p-11, 0x1.632ebfedfe77ap-11, 0x1.59d687cfc76aap-11, 0x1.50b8645adc031p-11, 0x1.47d30cf0844ep-11, 0x1.3f253f4783999p-11, 0x1.36adbf53b7984p-11, 0x1.2e6b572e48147p-11, 0x1.265cd6fe747e5p-11, 0x1.1e8114e2cca9p-11, 0x1.16d6ecdaeccf7p-11, 0x1.0f5d40b19e412p-11, 0x1.0812f7e749591p-11, 0x1.00f6ff9cb6b81p-11, 0x1.f41094fbed8dfp-12, 0x1.e68ba15b0ab06p-12, 0x1.d95d1f5eeb3cfp-12, 0x1.cc8314a96dd1p-12, 0x1.bffb914cb6c69p-12, 0x1.b3c4afa192f0cp-12, 0x1.a7dc941debe8p-12, 0x1.9c416d2ae4f84p-12, 0x1.90f172fae8beep-12, 0x1.85eae75f97b57p-12, 0x1.7b2c159f4b199p-12, 0x1.70b3524abc4fdp-12, 0x1.667efb125ba8cp-12, 0x1.5c8d769bc29f8p-12, 0x1.52dd345702f6cp-12, 0x1.496cac5421f8fp-12, 0x1.403a5f18ad64p-12, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.8a0781f7608e7p-1, -0x1.8441c4d857754p-1, -0x1.7fc4b966cea4bp-1, -0x1.7c3b7235e5573p-1, -0x1.7959e9b177d36p-1, -0x1.76de0b15d03c4p-1, -0x1.748fd2d843fe9p-1, -0x1.7241a87c85fp-1, -0x1.6fcfb585cbb86p-1, -0x1.6d1ea2ed7e742p-1, -0x1.6a1ad749a49cp-1, -0x1.66b7c144e841fp-1, -0x1.62eea8b46c81ep-1, -0x1.5ebd76f38ccdp-1, -0x1.5a25e0e0a2b88p-1, -0x1.552cc6e036abp-1, -0x1.4fd9829c4a5dfp-1, -0x1.4a352364aeaap-1, -0x1.4449c7d35877ep-1, -0x1.3e222f05b25c2p-1, -0x1.37c9718c521ecp-1, -0x1.314ae73b94ae2p-1, -0x1.2ab1369b35673p-1, -0x1.240722daf9c3dp-1, -0x1.1d56cb4193b66p-1, -0x1.16a98fc6a7879p-1, -0x1.1007f8fea5e37p-1, -0x1.0979bcb01247fp-1, -0x1.0305d0b1c4192p-1, -0x1.f964f52d46cf5p-2, -0x1.ed0aa5a545da6p-2, -0x1.e1067ad673ac8p-2, -0x1.d560c24b0cfdbp-2, -0x1.ca204bd9e0f39p-2, -0x1.bf4a7ca24ad4dp-2, -0x1.b4e374f87f1fdp-2, -0x1.aaee3f1bde2f9p-2, -0x1.a16cfb348d6acp-2, -0x1.98610047e5894p-2, -0x1.8fcaef73b40b7p-2, -0x1.87aabc46efb5p-2, -0x1.7fffb05f625fdp-2, -0x1.78c870b42d0bdp-2, -0x1.720308c254901p-2, -0x1.6bacfca3d57e8p-2, -0x1.65c3605dde2cp-2, -0x1.6042f12c69ec2p-2, -0x1.5b282d556657dp-2, -0x1.566f67ca0985cp-2, -0x1.5214d622b637cp-2, -0x1.4e1498e8feaf6p-2, -0x1.4a6abf559de8fp-2, -0x1.47134868026bcp-2, -0x1.440a236cf62ddp-2, -0x1.414b31b230025p-2, -0x1.3ed24a6d6ce01p-2, -0x1.3c9b41033b7ebp-2, -0x1.3aa1ed18bd534p-2, -0x1.38e233619198ap-2, -0x1.37580dfaa48cbp-2, -0x1.35ff93526475cp-2, -0x1.34d4fb02d0f66p-2, -0x1.33d4a07630c91p-2, -0x1.32fa0dce25083p-2, -0x1.324462facc2e3p-2, -0x1.31aee9e00daa3p-2, -0x1.31366cd625dbap-2, -0x1.30d7d986157cp-2, -0x1.30904342b0ff3p-2, -0x1.305ce45aaf92ep-2, -0x1.303b1e4f17b15p-2, -0x1.302879051fcecp-2, -0x1.3022a12c4251fp-2, -0x1.30276624b0e72p-2, -0x1.3034b7b6d70a9p-2, -0x1.3048a3e4252e1p-2, -0x1.30615507d8bb8p-2, -0x1.307d106825094p-2, -0x1.309a35416a395p-2, -0x1.30b73c412cf3ep-2, -0x1.30d2b7579949ep-2, -0x1.30eb51bd3d043p-2, -0x1.30ffd007a46a4p-2, -0x1.310f1029da3dep-2, -0x1.3118094469c9ap-2, -0x1.3119cb3202e05p-2, -0x1.31137dc88755ep-2, -0x1.31045fd09bd35p-2, -0x1.30ebc5be777bcp-2, -0x1.30c9183ca5b92p-2, -0x1.309bd29c99da9p-2, -0x1.306381415792p-2, -0x1.301fc0169f6b8p-2, -0x1.2fd03923ad418p-2, -0x1.2f74a34450e38p-2, -0x1.2f0cc10e86ff5p-2, -0x1.2e985fe65b41fp-2, -0x1.2e17573e0e7a4p-2, -0x1.2d8987fd71f41p-2, -0x1.2ceedc0960892p-2, -0x1.2c4745e31cef9p-2, -0x1.2b92c057093fdp-2, -0x1.2ad14e328e2e5p-2, -0x1.2a02f9fa05cap-2, -0x1.2927d598e4716p-2, -0x1.283ffa081522fp-2, -0x1.274b86e854e2dp-2, -0x1.264aa21046672p-2, -0x1.253d770f806c3p-2, -0x1.242436a93cdc9p-2, -0x1.22ff164a026ep-2, -0x1.21ce4f7c0ef0bp-2, -0x1.20921f5e19f4ap-2, -0x1.1f4ac61fa9b85p-2, -0x1.1df88685935c9p-2, -0x1.1c9ba57893d39p-2, -0x1.1b34699f3a3f8p-2, -0x1.19c31b03cbc09p-2, -0x1.184802c6339d5p-2, -0x1.16c36ad99b7d4p-2, -0x1.15359dcce8e23p-2, -0x1.139ee69d05133p-2, -0x1.11ff908fa59f6p-2, -0x1.1057e71528e01p-2, -0x1.0ea835b012d6bp-2, -0x1.0cf0c7e0cb701p-2, -0x1.0b31e9145bccep-2, -0x1.096be49511f6bp-2, -0x1.079f057c1679p-2, -0x1.05cb96a331eb5p-2, -0x1.03f1e29619f8fp-2, -0x1.02123382ccf52p-2, -0x1.002cd3289d6cap-2, -0x1.fc84158b8534cp-3, -0x1.f8a44606b8503p-3, -0x1.f4bac7c02c2ep-3, -0x1.f0c829336f298p-3, -0x1.ecccf72c1641bp-3, -0x1.e8c9bc9766afbp-3, -0x1.e4bf02571572bp-3, -0x1.e0ad4f164c47ap-3, -0x1.dc9527222fd4p-3, -0x1.d8770c46d8084p-3, -0x1.d4537db180a24p-3, -0x1.d02af7d86eb78p-3, -0x1.cbfdf468b3be4p-3, -0x1.c7ccea39cb702p-3, -0x1.c3985167aa8d8p-3, -0x1.bf60b7b56619ap-3, -0x1.bb2667e440054p-3, -0x1.b6e9cbc594ff1p-3, -0x1.b2ab4a9f34ea8p-3, -0x1.ae6b49438c49ap-3, -0x1.aa2a2a26b8a41p-3, -0x1.a5e84d6fcbaf8p-3, -0x1.a1a611059fc55p-3, -0x1.9d63d09725e7p-3, -0x1.9921e59f353aap-3, -0x1.94e0a7644d783p-3, -0x1.90a06af4cf57ap-3, -0x1.8c6183206ba1fp-3, -0x1.8824406fa68eap-3, -0x1.83e8f11a460d7p-3, -0x1.7fafe0fd8d0bap-3, -0x1.7b79599326a54p-3, -0x1.7745a1e96b066p-3, -0x1.7314fe9db794cp-3, -0x1.6ee7b1d94a17fp-3, -0x1.6abdfb5105ca7p-3, -0x1.669818484d6d3p-3, -0x1.6276439703138p-3, -0x1.5e58b5b29f959p-3, -0x1.5a3fa4ba1603p-3, -0x1.562b44845011dp-3, -0x1.521bc6b0c31ccp-3, -0x1.4e115ab9beb2ap-3, -0x1.4a0c2e07ef01ep-3, -0x1.460c6c0699becp-3, -0x1.42123e382168p-3, -0x1.3e1dcc4a503fap-3, -0x1.3a2f3c2a192abp-3, -0x1.3646b2165fa2fp-3, -0x1.326450b199decp-3, -0x1.2e883912026a3p-3, -0x1.2ab28ad03ded4p-3, -0x1.26e364146d34bp-3, -0x1.231ae1a19741ap-3, -0x1.1f591edf8daf1p-3, -0x1.1b9e35e35437dp-3, -0x1.17ea3f7649d1cp-3, -0x1.143d531c24141p-3, -0x1.10978718123b8p-3, -0x1.0cf8f071214e3p-3, -0x1.0961a2f637935p-3, -0x1.05d1b141bf1e2p-3, -0x1.02492cbd4bf31p-3, -0x1.fd904b4abae38p-4, -0x1.f69d561ac52fcp-4, -0x1.efb995c841926p-4, -0x1.e8e523f127f37p-4, -0x1.e22017feb1e2ep-4, -0x1.db6a8731353f8p-4, -0x1.d4c484ad39c43p-4, -0x1.ce2e21896e016p-4, -0x1.c7a76cddb7918p-4, -0x1.c13073d2edf39p-4, -0x1.bac941b35525fp-4, -0x1.b471dffb800cep-4, -0x1.ae2a566b83c58p-4, -0x1.a7f2ab1841d79p-4, -0x1.a1cae27c98039p-4, -0x1.9bb2ff8a6253ep-4, -0x1.95ab03baf6c5dp-4, -0x1.8fb2ef1f37ecep-4, -0x1.89cac06ee8b57p-4, -0x1.83f27517522b1p-4, -0x1.7e2a09491a897p-4, -0x1.7871780546348p-4, -0x1.72c8bb2963a64p-4, -0x1.6d2fcb7ae116p-4, -0x1.67a6a0b19500ap-4, -0x1.622d3181852c6p-4, -0x1.5cc373a3f8d42p-4, -0x1.57695bdfeb16p-4, -0x1.521ede11ee2e3p-4, -0x1.4ce3ed33946e9p-4, -0x1.47b87b62721e3p-4, -0x1.429c79e6cf217p-4, -0x1.3d8fd93a1621dp-4, -0x1.3892890d15f89p-4, -0x1.33a4784e217fap-4, -0x1.2ec5952f1e51ep-4, -0x1.29f5cd2b86e0cp-4, -0x1.25350d0e6dc57p-4, -0x1.208340f884694p-4, -0x1.1be054662830dp-4, -0x1.174c32357a352p-4, -0x1.12c6c4ac7e8d5p-4, -0x1.0e4ff57f410c4p-4, -0x1.09e7add5ff45dp-4, -0x1.058dd6534f3bbp-4, -0x1.0142571a422bfp-4, -0x1.fa0a2fa8f72c4p-5, -0x1.f1abff706fc78p-5, -0x1.e969eb1c7d51cp-5, -0x1.e143bf6f72e5dp-5, -0x1.d9394867da6d1p-5, -0x1.d14a514b9ea6p-5, -0x1.c976a4b2edbe9p-5, -0x1.c1be0c92c77d1p-5, -0x1.ba2052473751cp-5, -0x1.b29d3e9d38352p-5, -0x1.ab3499dc3f275p-5, -0x1.a3e62bcf6cacp-5, -0x1.9cb1bbce697a7p-5, -0x1.959710c5e9cf7p-5, -0x1.8e95f13fe4bfcp-5, -0x1.87ae236b7664fp-5, -0x1.80df6d247c602p-5, -0x1.7a2993faeb4a2p-5, -0x1.738c5d39dfe1bp-5, -0x1.6d078dee762bdp-5, -0x1.669aeaee673a2p-5, -0x1.604638de700e7p-5, -0x1.5a093c388c831p-5, -0x1.53e3b951ffe2dp-5, -0x1.4dd5746136cdp-5, -0x1.47de3183820bfp-5, -0x1.41fdb4c2ab10cp-5, -0x1.3c33c21a648cbp-5, -0x1.36801d7d9bb9ap-5, -0x1.30e28adba7274p-5, -0x1.2b5ace2555de8p-5, -0x1.25e8ab51ddcb8p-5, -0x1.208be663aad7bp-5, -0x1.1b44436d10cfcp-5, -0x1.16118694d90bdp-5, -0x1.10f3741ab1d64p-5, -0x1.0be9d05b7f8f8p-5, -0x1.06f45fd587785p-5, -0x1.0212e72c80cdp-5, -0x1.fa8a565af8b77p-6, -0x1.f115e1a567a89p-6, -0x1.e7c7fa8e5f261p-6, -0x1.dea02bd4a2a8ep-6, -0x1.d59e00a678db3p-6, -0x1.ccc104a83a97ep-6, -0x1.c408c3faa619dp-6, -0x1.bb74cb40f0b9fp-6, -0x1.b304a7a69fad6p-6, -0x1.aab7e6e527c41p-6, -0x1.a28e17494bb5ep-6, -0x1.9a86c7b8519fap-6, -0x1.92a187b4f4f22p-6, -0x1.8adde7642f90ap-6, -0x1.833b7791c93bdp-6, -0x1.7bb9c9b4be2c7p-6, -0x1.74586ff36f7e9p-6, -0x1.6d16fd27ae518p-6, -0x1.65f504e292d5p-6, -0x1.5ef21b702f72cp-6, -0x1.580dd5db141edp-6, -0x1.5147c9efafe06p-6, -0x1.4a9f8e3f83e9ap-6, -0x1.4414ba2434341p-6, -0x1.3da6e5c271693p-6, -0x1.3755aa0cb9fafp-6, -0x1.3120a0c5fb914p-6, -0x1.2b0764840a3f6p-6, -0x1.250990b1fcfb7p-6, -0x1.1f26c1925af0ap-6, -0x1.195e9441324c7p-6, -0x1.13b0a6b606f02p-6, -0x1.0e1c97c59f5acp-6, -0x1.08a25afcebf56p-6, -0x1.0340e65d2857dp-6, -0x1.fbf0635c36a79p-7, -0x1.f18fbec9b6a57p-7, -0x1.e75f25b50bad1p-7, -0x1.dd5de099f6b8p-7, -0x1.d38b39bf18ec5p-7, -0x1.c9e67d372232ap-7, -0x1.c06ef8e1e9476p-7, -0x1.b723fc6d582b3p-7, -0x1.ae04d9564376ep-7, -0x1.a510e2e91bafcp-7, -0x1.9c476e4286af3p-7, -0x1.93a7d24fd742dp-7, -0x1.8b3167cf65d6ep-7, -0x1.82e38950d1335p-7, -0x1.7abd93351eda9p-7, -0x1.72bee3aeb297bp-7, -0x1.6ae6dac136918p-7, -0x1.6334da4159253p-7, -0x1.5ba845d46a61dp-7, -0x1.544082efe197cp-7, -0x1.4cfcf8d8b5dddp-7, -0x1.45dd10a29df6ap-7, -0x1.3ee0352f2a34ep-7, -0x1.3805d32cbc2dcp-7, -0x1.314d59155e54p-7, -0x1.2ab6372d76d7ep-7, -0x1.243fdf825adc8p-7, -0x1.1de9c5e8bec6p-7, -0x1.17b35ffb03c4bp-7, -0x1.119c251765b5bp-7, -0x1.0ba38e5e09351p-7, -0x1.05c916aee9bd3p-7, -0x1.000c3aa7a6b4p-7, -0x1.f4d8f1426a536p-8, -0x1.e9d2a15ae7849p-8, -0x1.df0489294190cp-8, -0x1.d46dafa574076p-8, -0x1.ca0d1f297aea6p-8, -0x1.bfe1e56bac763p-8, -0x1.b5eb1378ddb7p-8, -0x1.ac27bdae63168p-8, -0x1.a296fbb3e1e83p-8, -0x1.9937e874fe7e3p-8, -0x1.9009a21ae997bp-8, -0x1.870b4a05c4b6bp-8, -0x1.7e3c04c5f66a8p-8, -0x1.759afa1552f9bp-8, -0x1.6d2754d03aa14p-8, -0x1.64e042ee9b667p-8, -0x1.5cc4f57cdc1cp-8, -0x1.54d4a094bb946p-8, -0x1.4d0e7b561e614p-8, -0x1.4571bfdfd197ep-8, -0x1.3dfdab483a2a3p-8, -0x1.36b17d9608788p-8, -0x1.2f8c79b8d9df5p-8, -0x1.288de581d7bdp-8, -0x1.21b5099c53a6ap-8, -0x1.1b0131865fac1p-8, -0x1.1471ab89618bp-8, -0x1.0e05c8b2abcb5p-8, -0x1.07bcdccc13c2bp-8, -0x1.01963e548437ap-8, -0x1.f7228cf13cbe3p-9, -0x1.eb5aa216a0e13p-9, -0x1.dfd378fcf0a88p-9, -0x1.d48bd3b70af19p-9, -0x1.c98279783f759p-9, -0x1.beb63685ac5acp-9, -0x1.b425dc2799853p-9, -0x1.a9d0409ae04a7p-9, -0x1.9fb43f0269199p-9, -0x1.95d0b758a0b17p-9, -0x1.8c248e61019adp-9, -0x1.82aead99a2b43p-9, -0x1.796e032cd4f04p-9, -0x1.706181e2bed3bp-9, -0x1.6788211310b8cp-9, -0x1.5ee0dc96a9dfp-9, -0x1.566ab4b95f428p-9, -0x1.4e24ae2bbfa22p-9, -0x1.460dd1f4d425p-9, -0x1.3e252d63fc064p-9, -0x1.3669d202c20e8p-9, -0x1.2edad586bde06p-9, -0x1.277751c37c067p-9, -0x1.203e649c74a3cp-9, -0x1.192f2ff6fb634p-9, -0x1.1248d9ac43ab6p-9, -0x1.0b8a8b7b6dd37p-9, -0x1.04f372fb9a8ap-9, -0x1.fd05831c0579bp-10, -0x1.f06f58a0574bdp-10, -0x1.e422d81c294eep-10, -0x1.d81e7a69005b7p-10, -0x1.cc60bf868e854p-10, -0x1.c0e82e7f71e7ep-10, -0x1.b5b3554e285dap-10, -0x1.aac0c8c2153acp-10, -0x1.a00f2464d1573p-10, -0x1.959d0a5f7e79bp-10, -0x1.8b6923606cf2fp-10, -0x1.81721e80e7818p-10, -0x1.77b6b12b341fap-10, -0x1.6e359700e281ap-10, -0x1.64ed91c13a1a8p-10, -0x1.5bdd69300d75p-10, -0x1.5303eafcb615ap-10, -0x1.4a5feaa965ed6p-10, -0x1.41f04172c0dbep-10, -0x1.39b3ce37c5016p-10, -0x1.31a9756209c25p-10, -0x1.29d020ce35f66p-10, -0x1.2226bfb4e6aeep-10, -0x1.1aac4693de0b1p-10, -0x1.135faf17855e6p-10, -0x1.0c3ff804c4e79p-10, -0x1.054c252337be5p-10, -0x1.fd067e4f594d7p-11, -0x1.efc8a73e03bb8p-11, -0x1.e2dce9b29d2bfp-11, -0x1.d64173aad5617p-11, -0x1.c9f47c5968552p-11, -0x1.bdf443fe5e1abp-11, -0x1.b23f13bff574ap-11, -0x1.a6d33d83fd318p-11, -0x1.9baf1bc9d6e04p-11, -0x1.90d11184f355dp-11, -0x1.863789f7f528dp-11, -0x1.7be0f8902f0c6p-11, -0x1.71cbd8c19f5e4p-11, -0x1.67f6ade37fa67p-11, -0x1.5e60030d2b027p-11, -0x1.55066af38bab9p-11, -0x1.4be87fc6caeb6p-11, -0x1.4304e310a898ap-11, -0x1.3a5a3d92e98cp-11, -0x1.31e73f266ebe1p-11, -0x1.29aa9e9a7c219p-11, -0x1.21a319949a317p-11, -0x1.19cf7470a0402p-11, -0x1.122e7a2158ccdp-11, -0x1.0abefc115b71p-11, -0x1.037fd20471101p-11, -0x1.f8dfb3f2ca7b1p-12, -0x1.eb1bf018636bdp-12, -0x1.ddb22cb16258cp-12, -0x1.d0a049bb6d0e2p-12, -0x1.c3e432c163098p-12, -0x1.b77bdea376636p-12, -0x1.ab654f606c9b2p-12, -0x1.9f9e91dfb8764p-12, -0x1.9425bdbcc0b6bp-12, -0x1.88f8f5133e7d6p-12, -0x1.7e16644c5f21fp-12, -0x1.737c41ed2557ep-12, -0x1.6928ce65e201p-12, -0x1.5f1a53e2a18aep-12, -0x1.554f261c8870cp-12, -0x1.4bc5a22c2ea4ap-12, -0x1.427c2e5cf31e6p-12, -0x1.39713a014f38fp-12, -0x1.30a33d47cc306p-12, -0x1.2810b910db9b8p-12, -0x1.1fb836c591139p-12, -0x1.1798482ef4142p-12, -0x1.0faf874e11b65p-12, -0x1.07fc963483102p-12, -0x1.007e1edda82bbp-12, -0x1.f265a610e385ep-13, -0x1.e432d822dc2a2p-13, -0x1.d661559b0558fp-13, -0x1.c8eeaec9f76c8p-13, -0x1.bbd8825e22b04p-13, -0x1.af1c7d1b062f8p-13, -0x1.a2b8599203f2p-13, -0x1.96a9dfdb8d7e4p-13, -0x1.8aeee550874cfp-13, -0x1.7f854c453072ap-13, -0x1.746b03c444d5p-13, -0x1.699e074b4335fp-13, -0x1.5f1c5e872bf04p-13, -0x1.54e41d124a522p-13, -0x1.4af36232cc3aap-13, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.a4850c83d9317p-1, 0x1.a0b90f855ab2fp-1, 0x1.9cd53f3896943p-1, 0x1.98dd78f5533d9p-1, 0x1.94d5586076f92p-1, 0x1.90c02fea89cbdp-1, 0x1.8ca103f5fc1cfp-1, 0x1.887a88462b091p-1, 0x1.844f1f5c101d1p-1, 0x1.8020db6b801c2p-1, 0x1.7bf1809b144b1p-1, 0x1.77c28848ae5c1p-1, 0x1.739525148f2d1p-1, 0x1.6f6a477cdacc7p-1, 0x1.6b42a2daefd94p-1, 0x1.671eb29b09ae7p-1, 0x1.62febf8d1d863p-1, 0x1.5ee2e533c4a84p-1, 0x1.5acb16fb3f976p-1, 0x1.56b725473b844p-1, 0x1.52a6c24a0bf3ep-1, 0x1.4e99869b7da93p-1, 0x1.4a8ef5885cc8fp-1, 0x1.4686811641104p-1, 0x1.427f8db942b7fp-1, 0x1.3e7975baec107p-1, 0x1.3a738c5312085p-1, 0x1.366d207454e1ep-1, 0x1.32657f4edb412p-1, 0x1.2e5bf68c7b276p-1, 0x1.2a4fd649ef858p-1, 0x1.264072d10bc14p-1, 0x1.222d261803e76p-1, 0x1.1e155109fbfddp-1, 0x1.19f85c9d04cdfp-1, 0x1.15d5bab9a8531p-1, 0x1.11ace6f7ffba3p-1, 0x1.0d7d67362da71p-1, 0x1.0946cc0be781ap-1, 0x1.0508b11e874dp-1, 0x1.00c2bd58ea1a8p-1, 0x1.f8e946145d8edp-2, 0x1.f03c3fdc4d808p-2, 0x1.e77dfa4449c9cp-2, 0x1.deae1e1128876p-2, 0x1.d5cc6a3b2696ap-2, 0x1.ccd8b37d49116p-2, 0x1.c3d2e3ce99b5cp-2, 0x1.babaf9c8add46p-2, 0x1.b19107fe80072p-2, 0x1.a85534466f494p-2, 0x1.9f07b6f9d69b3p-2, 0x1.95a8da2c80da4p-2, 0x1.8c38f8ddf5a82p-2, 0x1.82b87e2668c6dp-2, 0x1.7927e460d7bccp-2, 0x1.6f87b453c3ab2p-2, 0x1.65d88459b5ed8p-2, 0x1.5c1af78aa8fafp-2, 0x1.524fbce737288p-2, 0x1.48778e86681f3p-2, 0x1.3e9330c6c344dp-2, 0x1.34a371833f43bp-2, 0x1.2aa9274c87a37p-2, 0x1.20a530a70828cp-2, 0x1.1698734e08502p-2, 0x1.0c83db7c20c5ep-2, 0x1.02685b394084ap-2, 0x1.f08dd35cc60b7p-3, 0x1.dc4104fe2f406p-3, 0x1.c7ec4a51d91a8p-3, 0x1.b391a8d184d53p-3, 0x1.9f332b4c185dp-3, 0x1.8ad2e0c7e5852p-3, 0x1.7672db70ac397p-3, 0x1.62152f91266abp-3, 0x1.4dbbf2980a5b3p-3, 0x1.39693a283f917p-3, 0x1.251f1b341b558p-3, 0x1.10dfa9236e324p-3, 0x1.f959ea083f3dp-4, 0x1.d112198a28296p-4, 0x1.a8ebf4f64fe0ep-4, 0x1.80eb875feca7cp-4, 0x1.5914d1743e94dp-4, 0x1.316bc83db03d2p-4, 0x1.09f453f8ee7fep-4, 0x1.c5649df6ea872p-5, 0x1.7753095619593p-5, 0x1.29bb610b5b83dp-5, 0x1.b949f4e5400d5p-6, 0x1.202e0f2c6c7bcp-6, 0x1.1062566c103fep-7, -0x1.d3dd2d9a67213p-11, -0x1.48696133a0fb3p-7, -0x1.3882fe1d6f491p-6, -0x1.cb7cf9feeb4afp-6, -0x1.2e8b114cd4247p-5, -0x1.76a12742f34f4p-5, -0x1.bdfad7292f6c9p-5, -0x1.0249338418b47p-4, -0x1.253125ad05defp-4, -0x1.47b293d294039p-4, -0x1.69cae78160676p-4, -0x1.8b77a248d402cp-4, -0x1.acb65deb03cddp-4, -0x1.cd84cc836641ap-4, -0x1.ede0b8a4bdecdp-4, -0x1.06e402b73e12p-3, -0x1.169c574cfc419p-3, -0x1.2618643fea13cp-3, -0x1.3557400ae35e5p-3, -0x1.44580d72986b5p-3, -0x1.5319fb7d5896p-3, -0x1.619c456787af3p-3, -0x1.6fde3294e69fap-3, -0x1.7ddf167ec5453p-3, -0x1.8b9e509f49867p-3, -0x1.991b4c59f4127p-3, -0x1.a65580e16e3d1p-3, -0x1.b34c711ad8608p-3, -0x1.bfffab7eb0856p-3, -0x1.cc6ec9f7666d2p-3, -0x1.d89971bdcb9d5p-3, -0x1.e47f5333764ap-3, -0x1.f02029bb3183ep-3, -0x1.fb7bbb8f9c158p-3, -0x1.0348eccc08aa8p-2, -0x1.08b12f9dfb271p-2, -0x1.0df6991a4344p-2, -0x1.1319212e9f279p-2, -0x1.1818c4c17aefbp-2, -0x1.1cf58598e6facp-2, -0x1.21af6a40ff41ep-2, -0x1.26467df1d397ep-2, -0x1.2abad074db5c4p-2, -0x1.2f0c7609fe4e9p-2, -0x1.333b874c41062p-2, -0x1.3748211619e44p-2, -0x1.3b326465832cap-2, -0x1.3efa763fc9d3dp-2, -0x1.42a07f9528679p-2, -0x1.4624ad243a628p-2, -0x1.49872f5d47099p-2, -0x1.4cc83a457c033p-2, -0x1.4fe8055a11f13p-2, -0x1.52e6cb736bc3dp-2, -0x1.55c4caa8367d2p-2, -0x1.5882443093828p-2, -0x1.5b1f7c49502p-2, -0x1.5d9cba1736fe8p-2, -0x1.5ffa478a7dbf8p-2, -0x1.623871425b0f3p-2, -0x1.64578670c4bc7p-2, -0x1.6657d8be61b65p-2, -0x1.6839bc2eb3739p-2, -0x1.69fd87047b9b8p-2, -0x1.6ba391a663a7p-2, -0x1.6d2c3683ee64dp-2, -0x1.6e97d1fab19e7p-2, -0x1.6fe6c23be49f4p-2, -0x1.711967324088cp-2, -0x1.7230226839ef2p-2, -0x1.732b56ee99751p-2, -0x1.740b69436f012p-2, -0x1.74d0bf397042fp-2, -0x1.757bbfdfb405p-2, -0x1.760cd369de864p-2, -0x1.76846318b60f2p-2, -0x1.76e2d9232428ap-2, -0x1.7728a09fa8bc3p-2, -0x1.7756256e3f8c9p-2, -0x1.776bd422b95a9p-2, -0x1.776a19ef87628p-2, -0x1.7751649101ff5p-2, -0x1.7722223922f89p-2, -0x1.76dcc17bbc479p-2, -0x1.7681b13b24ba8p-2, -0x1.76116095617f4p-2, -0x1.758c3ed1c981cp-2, -0x1.74f2bb4f24d02p-2, -0x1.744545724410ap-2, -0x1.73844c9518637p-2, -0x1.72b03ff641936p-2, -0x1.71c98ea91af05p-2, -0x1.70d0a786411bep-2, -0x1.6fc5f91c91395p-2, -0x1.6ea9f1a2a493dp-2, -0x1.6d7cfee8c4c6fp-2, -0x1.6c3f8e4b5391dp-2, -0x1.6af20ca5b1c55p-2, -0x1.6994e6459576fp-2, -0x1.682886dedb598p-2, -0x1.66ad597fc7cbp-2, -0x1.6523c885bdc17p-2, -0x1.638c3d9266be6p-2, -0x1.61e721814ae97p-2, -0x1.6034dc5dd8e0dp-2, -0x1.5e75d559d949fp-2, -0x1.5caa72c45288cp-2, -0x1.5ad31a00d12e2p-2, -0x1.58f02f7f1eca6p-2, -0x1.570216b35bb45p-2, -0x1.5509320e810cap-2, -0x1.5305e2f744d42p-2, -0x1.50f889c360f76p-2, -0x1.4ee185b13aab1p-2, -0x1.4cc134e1e5b43p-2, -0x1.4a97f45389528p-2, -0x1.48661fdc184b5p-2, -0x1.462c12246a967p-2, -0x1.43ea24a3a4032p-2, -0x1.41a0af9af9dbdp-2, -0x1.3f500a11c34ecp-2, -0x1.3cf889d1df288p-2, -0x1.3a9a836467675p-2, -0x1.38364a0eb3176p-2, -0x1.35cc2fcfa0c05p-2, -0x1.335c855d2e3aap-2, -0x1.30e79a2253cf8p-2, -0x1.2e6dbc3d27088p-2, -0x1.2bef387d40c9dp-2, -0x1.296c5a6265d57p-2, -0x1.26e56c1b6b8f2p-2, -0x1.245ab685607b8p-2, -0x1.21cc812ae9f63p-2, -0x1.1f3b1243e3701p-2, -0x1.1ca6aeb52e7eep-2, -0x1.1a0f9a10bebd6p-2, -0x1.17761695d9909p-2, -0x1.14da653185ddep-2, -0x1.123cc57f3168dp-2, -0x1.0f9d75c981bb1p-2, -0x1.0cfcb30b541c5p-2, -0x1.0a5ab8f0ec985p-2, -0x1.07b7c1d94916p-2, -0x1.051406d7a37d6p-2, -0x1.026fbfb5177d6p-2, -0x1.ff9645e4dd2a5p-3, -0x1.fa4ccb94221cep-3, -0x1.f50378642fe95p-3, -0x1.efbab1bd03951p-3, -0x1.ea72da87096e4p-3, -0x1.e52c5330027cfp-3, -0x1.dfe779b01cf94p-3, -0x1.daa4a98f4a53fp-3, -0x1.d5643beac3dd5p-3, -0x1.d026877ac351cp-3, -0x1.caebe09866808p-3, -0x1.c5b49943c5155p-3, -0x1.c081012a28b03p-3, -0x1.bb5165ac70f8p-3, -0x1.b62611e59bbdfp-3, -0x1.b0ff4eb16ccaep-3, -0x1.abdd62b339bd7p-3, -0x1.a6c0925cd04bap-3, -0x1.a1a91ff5798acp-3, -0x1.9c974ba1179b8p-3, -0x1.978b53675bf68p-3, -0x1.9285733b0e6fep-3, -0x1.8d85e5016f7e8p-3, -0x1.888ce099a26edp-3, -0x1.839a9be4365e6p-3, -0x1.7eaf4acaa9f08p-3, -0x1.79cb1f47106fbp-3, -0x1.74ee496bafe5bp-3, -0x1.7018f76ab36e9p-3, -0x1.6b4b559de4956p-3, -0x1.66858e8e63cfcp-3, -0x1.61c7cafc6d496p-3, -0x1.5d1231e71e91bp-3, -0x1.5864e8943c486p-3, -0x1.53c01297fd123p-3, -0x1.4f23d1dccd835p-3, -0x1.4a9046ab19512p-3, -0x1.46058fb10e5c4p-3, -0x1.4183ca0a57cfp-3, -0x1.3d0b1147dda28p-3, -0x1.389b7f7771aacp-3, -0x1.34352d2b83acp-3, -0x1.2fd83182be91ep-3, -0x1.2b84a22fa7685p-3, -0x1.273a938030043p-3, -0x1.22fa186538f5fp-3, -0x1.1ec3427a0f158p-3, -0x1.1a96220bdcbe8p-3, -0x1.1672c621050e5p-3, -0x1.12593c807e416p-3, -0x1.0e4991b910cbdp-3, -0x1.0a43d12893ce5p-3, -0x1.064805030c846p-3, -0x1.02563659ca2d9p-3, -0x1.fcdcda44d2ac1p-4, -0x1.f521607b8cd08p-4, -0x1.ed7a0afdc7dcfp-4, -0x1.e5e6e3636ea41p-4, -0x1.de67f143cb8a4p-4, -0x1.d6fd3a42e4718p-4, -0x1.cfa6c21ea3a0ep-4, -0x1.c8648abbe2c39p-4, -0x1.c136943341215p-4, -0x1.ba1cdcdde4ba7p-4, -0x1.b3176161fdd1ap-4, -0x1.ac261cbf2e4f4p-4, -0x1.a549085ac52a8p-4, -0x1.9e801c0bc50afp-4, -0x1.97cb4e26d0e16p-4, -0x1.912a9389dba2p-4, -0x1.8a9ddfa7bc32bp-4, -0x1.842524938afd8p-4, -0x1.7dc0530bd739cp-4, -0x1.776f5a85b0ee2p-4, -0x1.7132293784dbbp-4, -0x1.6b08ac23cda8dp-4, -0x1.64f2cf239721ep-4, -0x1.5ef07cf0d6e74p-4, -0x1.59019f3095c89p-4, -0x1.53261e7cf04fbp-4, -0x1.4d5de26ee744cp-4, -0x1.47a8d1a806809p-4, -0x1.4206d1dbde025p-4, -0x1.3c77c7d94f633p-4, -0x1.36fb9793af7d5p-4, -0x1.3192242bbb8f8p-4, -0x1.2c3b4ff8631afp-4, -0x1.26f6fc8f66d37p-4, -0x1.21c50acdcb3b3p-4, -0x1.1ca55ae020d8ap-4, -0x1.1797cc4aa2066p-4, -0x1.129c3df125227p-4, -0x1.0db28e1ee6748p-4, -0x1.08da9a8e2618ap-4, -0x1.0414406f9dfb2p-4, -0x1.febeb8e39a83cp-5, -0x1.f577959038f3fp-5, -0x1.ec52ce63b0294p-5, -0x1.e3501a0204da9p-5, -0x1.da6f2e41feec4p-5, -0x1.d1afc03a2fdc2p-5, -0x1.c911844dabc63p-5, -0x1.c0942e38755bp-5, -0x1.b837711b9e316p-5, -0x1.affaff891a632p-5, -0x1.a7de8b8f4a483p-5, -0x1.9fe1c6c43b5bbp-5, -0x1.980462509f3e3p-5, -0x1.90460efa7b4bdp-5, -0x1.88a67d2f90111p-5, -0x1.81255d0f7de5fp-5, -0x1.79c25e759fa66p-5, -0x1.727d3102a6c99p-5, -0x1.6b558425ef587p-5, -0x1.644b072694355p-5, -0x1.5d5d692c424c5p-5, -0x1.568c5947c8e9cp-5, -0x1.4fd7867b6f4ebp-5, -0x1.493e9fc305a9ap-5, -0x1.42c1541bbe77ap-5, -0x1.3c5f528bc7dc2p-5, -0x1.36184a29aa914p-5, -0x1.2febea236eca2p-5, -0x1.29d9e1c585448p-5, -0x1.23e1e0817c487p-5, -0x1.1e0395f4776efp-5, -0x1.183eb1ed75185p-5, -0x1.1292e4735bf19p-5, -0x1.0cffddcad4c0ap-5, -0x1.07854e7bf0784p-5, -0x1.0222e75798d11p-5, -0x1.f9b0b2f9a91acp-6, -0x1.ef4aacbba84b8p-6, -0x1.e5131f89a8796p-6, -0x1.db096fb199686p-6, -0x1.d12d0243e8f84p-6, -0x1.c77d3d1c2d2a8p-6, -0x1.bdf986e9757dcp-6, -0x1.b4a1473647d8ap-6, -0x1.ab73e67046e61p-6, -0x1.a270cdef81e4bp-6, -0x1.999767fd7bfa8p-6, -0x1.90e71fdbd75abp-6, -0x1.885f61cabd90ep-6, -0x1.7fff9b0ef5783p-6, -0x1.77c739f7b002ep-6, -0x1.6fb5ade40a6aep-6, -0x1.67ca67484d88bp-6, -0x1.6004d7b2e2933p-6, -0x1.586471d1066d7p-6, -0x1.50e8a9733a1bap-6, -0x1.4990f391727a2p-6, -0x1.425cc64f06836p-6, -0x1.3b4b98fe654a6p-6, -0x1.345ce42489cf8p-6, -0x1.2d90217c373e1p-6, -0x1.26e4cbf8fa0d5p-6, -0x1.205a5fc9f50fbp-6, -0x1.19f05a5c73651p-6, -0x1.13a63a5e4a93cp-6, -0x1.0d7b7fc003a19p-6, -0x1.076fabb6d5077p-6, -0x1.018240be6e337p-6, -0x1.f76585352228fp-7, -0x1.ec016cb0f3601p-7, -0x1.e0d744a04510dp-7, -0x1.d5e61c4aa7105p-7, -0x1.cb2d05911e4d9p-7, -0x1.c0ab14ef9b2d7p-7, -0x1.b65f617e36343p-7, -0x1.ac4904f208c15p-7, -0x1.a2671b9dcc181p-7, -0x1.98b8c47228301p-7, -0x1.8f3d20fdbef71p-7, -0x1.85f3556cee649p-7, -0x1.7cda88895a419p-7, -0x1.73f1e3b92cc14p-7, -0x1.6b3892fe1bfe3p-7, -0x1.62adc4f43e345p-7, -0x1.5a50aad08f2c1p-7, -0x1.5220785f56ae5p-7, -0x1.4a1c64024731dp-7, -0x1.4243a6ae6f37bp-7, -0x1.3a957be9fb5dcp-7, -0x1.331121c9c60edp-7, -0x1.2bb5d8eeb8318p-7, -0x1.2482e482ff31fp-7, -0x1.1d778a3717fbp-7, -0x1.1693123eb0d6fp-7, -0x1.0fd4c74d63e8p-7, -0x1.093bf6934c9d8p-7, -0x1.02c7efb9786d7p-7, -0x1.f8f009bc6afdcp-8, -0x1.ec9715227f1bcp-8, -0x1.e083af9f9d615p-8, -0x1.d4b48c010d761p-8, -0x1.c92861de9466ap-8, -0x1.bddded91e55cfp-8, -0x1.b2d3f02ddc944p-8, -0x1.a8092f758a2c5p-8, -0x1.9d7c75d30dfa8p-8, -0x1.932c924e4699bp-8, -0x1.8918588357f1ep-8, -0x1.7f3ea099085fdp-8, -0x1.759e4736fb84ep-8, -0x1.6c362d7bc6cf7p-8, -0x1.630538f2e7e57p-8, -0x1.5a0a538a9c5fep-8, -0x1.51446b899b21p-8, -0x1.48b27384b604cp-8, -0x1.4053625460d48p-8, -0x1.3826330a228dfp-8, -0x1.3029e4e5f2addp-8, -0x1.285d7b4b82371p-8, -0x1.20bffdb77585ep-8, -0x1.195077b48c204p-8, -0x1.120df8d0be1b6p-8, -0x1.0af794924a068p-8, -0x1.040c626cbbcc1p-8, -0x1.fa96fb6bccb06p-9, -0x1.ed680b35b5fd9p-9, -0x1.e08a3a29aa1e4p-9, -0x1.d3fbd5bc4a3fp-9, -0x1.c7bb32ce2f1f3p-9, -0x1.bbc6ad95aec54p-9, -0x1.b01ca988a5028p-9, -0x1.a4bb91463b674p-9, -0x1.99a1d680b2579p-9, -0x1.8ecdf1e730e0bp-9, -0x1.843e630f9e20cp-9, -0x1.79f1b060804ffp-9, -0x1.6fe666faeafcp-9, -0x1.661b1aa477f6dp-9, -0x1.5c8e65b152d84p-9, -0x1.533ee8ee54431p-9, -0x1.4a2b4b8b2e0e2p-9, -0x1.41523b04b302p-9, -0x1.38b26b0f2caacp-9, -0x1.304a9580ce6ebp-9, -0x1.28197a3c41fadp-9, -0x1.201ddf1b4c747p-9, -0x1.18568fd98f3fdp-9, -0x1.10c25dff6ccfp-9, -0x1.096020cd01b41p-9, -0x1.022eb5254a2d2p-9, -0x1.f659faf2b7e78p-10, -0x1.e8b3c3679b4cfp-10, -0x1.db689e4876ef8p-10, -0x1.ce7670d5e0e92p-10, -0x1.c1db2ac96e668p-10, -0x1.b594c62da0738p-10, -0x1.a9a147361c37bp-10, -0x1.9dfebc183443p-10, -0x1.92ab3ce3c52bcp-10, -0x1.87a4eb5c60fc8p-10, -0x1.7ce9f2d2d3947p-10, -0x1.727887fef6f7cp-10, -0x1.684ee8d9df725p-10, -0x1.5e6b5c78664d9p-10, -0x1.54cc32e5fed57p-10, -0x1.4b6fc4fff6538p-10, -0x1.42547450fc18cp-10, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.be20ad10e2e63p-1, 0x1.bcd17696fe453p-1, 0x1.bb73fc8a3358fp-1, 0x1.ba0927bfe728dp-1, 0x1.b891e221d1932p-1, 0x1.b70f13ad1cb57p-1, 0x1.b5819fe66deb2p-1, 0x1.b3ea63bbf0961p-1, 0x1.b24a33cd20c6ap-1, 0x1.b0a1db0f4faf1p-1, 0x1.aef219c58ae39p-1, 0x1.ad3ba4c296e14p-1, 0x1.ab7f24ebefbf7p-1, 0x1.a9bd36f532a55p-1, 0x1.a7f66b4bdd5fp-1, 0x1.a62b462bf184fp-1, 0x1.a45c3fd6acb3bp-1, 0x1.a289c4e52eaafp-1, 0x1.a0b436b192225p-1, 0x1.9edbebd193fa8p-1, 0x1.9d01309e8766bp-1, 0x1.9b2447c6d64c7p-1, 0x1.99456ae5dd5bap-1, 0x1.9764cb1f60706p-1, 0x1.958291bc45f3ep-1, 0x1.939ee0c6a67f2p-1, 0x1.91b9d3a39863p-1, 0x1.8fd37fa963ff6p-1, 0x1.8debf4b11b02p-1, 0x1.8c033da2be1fdp-1, 0x1.8a1960fb58ac4p-1, 0x1.882e614c99c51p-1, 0x1.86423db5a4ec7p-1, 0x1.8454f254eb3adp-1, 0x1.826678b2f80cp-1, 0x1.8076c8263982bp-1, 0x1.7e85d62fd6b25p-1, 0x1.7c9396d1b9eb1p-1, 0x1.7a9ffcddfea79p-1, 0x1.78aafa3ff9348p-1, 0x1.76b4803f1d581p-1, 0x1.74bc7fbc02dc9p-1, 0x1.72c2e967d2fb2p-1, 0x1.70c7adf668198p-1, 0x1.6ecabe4b6a663p-1, 0x1.6ccc0ba2b4f8ep-1, 0x1.6acb87b44bd04p-1, 0x1.68c924d42d008p-1, 0x1.66c4d60e43392p-1, 0x1.64be8f3ebfc78p-1, 0x1.62b6452719e21p-1, 0x1.60abed7ff928cp-1, 0x1.5e9f7f08428dfp-1, 0x1.5c90f191825d5p-1, 0x1.5a803e09ee18ep-1, 0x1.586d5e842a5e4p-1, 0x1.56584e3d0ee2bp-1, 0x1.5441099f8c5dbp-1, 0x1.52278e46e9296p-1, 0x1.500bdaff73d1dp-1, 0x1.4dedefc5d9c1fp-1, 0x1.4bcdcdc53dc2fp-1, 0x1.49ab77543377ep-1, 0x1.4786eff0bcdccp-1, 0x1.45603c3b665eep-1, 0x1.433761f19916fp-1, 0x1.410c67e73f499p-1, 0x1.3edf55ffce50bp-1, 0x1.3cb03526cbeb1p-1, 0x1.3a7f0f47df7p-1, 0x1.384bef4683227p-1, 0x1.3616e0f564978p-1, 0x1.33dff10d8048ap-1, 0x1.31a72d25085f1p-1, 0x1.2f6ca3a6217f1p-1, 0x1.2d3063c581019p-1, 0x1.2af27d78f5312p-1, 0x1.28b3016de287ap-1, 0x1.267200ffbc85fp-1, 0x1.242f8e2e81d8cp-1, 0x1.21ebbb95430a9p-1, 0x1.1fa69c60b90bcp-1, 0x1.1d604445f02dap-1, 0x1.1b18c7790e9a8p-1, 0x1.18d03aa436f37p-1, 0x1.1686b2de8efe7p-1, 0x1.143c45a36a651p-1, 0x1.11f108c99ccffp-1, 0x1.0fa5127af78c2p-1, 0x1.0d58792bf47e1p-1, 0x1.0b0b53938cd69p-1, 0x1.08bdb8a3441e8p-1, 0x1.066fbf7f60567p-1, 0x1.04217f7757f74p-1, 0x1.01d30ffe716c4p-1, 0x1.ff0911492f8adp-2, 0x1.fa6c021ec54c3p-2, 0x1.f5cf21e6ab3c1p-2, 0x1.f132a01aa34b1p-2, 0x1.ec96ac387c792p-2, 0x1.e7fb75b5cdbfap-2, 0x1.e3612bf41b6aap-2, 0x1.dec7fe3566e05p-2, 0x1.da301b912634ap-2, 0x1.d599b2e9a5bap-2, 0x1.d104f2e1d07d2p-2, 0x1.cc7209d35f398p-2, 0x1.c7e125c56e383p-2, 0x1.c352746373f0dp-2, 0x1.bec622f49e93ep-2, 0x1.ba3c5e538fb42p-2, 0x1.b5b552e67bc51p-2, 0x1.b1312c97a4a42p-2, 0x1.acb016ce315eep-2, 0x1.a8323c67664a4p-2, 0x1.a3b7c7b02ee77p-2, 0x1.9f40e25f081a6p-2, 0x1.9acdb58e39198p-2, 0x1.965e69b667d85p-2, 0x1.91f326a97c2bap-2, 0x1.8d8c138dd44acp-2, 0x1.892956d9cb1eep-2, 0x1.84cb164f88e58p-2, 0x1.807176f923decp-2, 0x1.7c1c9d2504b68p-2, 0x1.77ccac629a177p-2, 0x1.7381c77f4ce51p-2, 0x1.6f3c1083bc966p-2, 0x1.6afba8b13bc6cp-2, 0x1.66c0b07f90111p-2, 0x1.628b479aef0cbp-2, 0x1.5e5b8ce239beap-2, 0x1.5a319e657288bp-2, 0x1.560d99646e788p-2, 0x1.51ef9a4dbd906p-2, 0x1.4dd7bcbdc9995p-2, 0x1.49c61b7e2869ap-2, 0x1.45bad0852444cp-2, 0x1.41b5f4f571879p-2, 0x1.3db7a11e15969p-2, 0x1.39bfec7a7cdb7p-2, 0x1.35ceedb2ba1a1p-2, 0x1.31e4ba9bf382dp-2, 0x1.2e016838f759fp-2, 0x1.2a250abaf5201p-2, 0x1.264fb58264071p-2, 0x1.22817b20051ccp-2, 0x1.1eba6d560e5bdp-2, 0x1.1afa9d197567bp-2, 0x1.17421a9357bf7p-2, 0x1.1390f52287726p-2, 0x1.0fe73b5d2c0efp-2, 0x1.0c44fb1288f47p-2, 0x1.08aa414cd61d4p-2, 0x1.05171a5335efcp-2, 0x1.018b91abc3b0fp-2, 0x1.fc0f643b65598p-3, 0x1.f5170b67168e1p-3, 0x1.ee2e2b7ae7d82p-3, 0x1.e754d5a71ffdap-3, 0x1.e08b19b0e6e5bp-3, 0x1.d9d105f741e8fp-3, 0x1.d326a77837b67p-3, 0x1.cc8c09d60cda4p-3, 0x1.c601375c9c696p-3, 0x1.bf863906c78cap-3, 0x1.b91b1683fdacp-3, 0x1.b2bfd63dd5515p-3, 0x1.ac747d5dbcca3p-3, 0x1.a6390fd2b557ep-3, 0x1.a00d9057245d7p-3, 0x1.99f20076aab59p-3, 0x1.93e660940bdd8p-3, 0x1.8deaafef1faedp-3, 0x1.87feecaac6bc3p-3, 0x1.822313d2eda24p-3, 0x1.7c5721628f776p-3, 0x1.769b1049be63fp-3, 0x1.70eeda73adfc9p-3, 0x1.6b5278ccbf5eep-3, 0x1.65c5e3488ff1ep-3, 0x1.604910e8003bap-3, 0x1.5adbf7bf3e3b8p-3, 0x1.557e8cfbca7ddp-3, 0x1.5030c4ea76257p-3, 0x1.4af292fd61d71p-3, 0x1.45c3e9d1ea2b4p-3, 0x1.40a4bb369c0b9p-3, 0x1.3b94f831106e7p-3, 0x1.36949103cc78bp-3, 0x1.31a375340c834p-3, 0x1.2cc1938f8d5e3p-3, 0x1.27eeda323f963p-3, 0x1.232b368bfaba3p-3, 0x1.1e769566163dap-3, 0x1.19d0e2e8fdf4bp-3, 0x1.153a0aa1b5da3p-3, 0x1.10b1f7874c3dcp-3, 0x1.0c3894003ec0bp-3, 0x1.07cdc9e7cf7cep-3, 0x1.037182934894cp-3, 0x1.fe474dae5fdbcp-4, 0x1.f5c83e18cf22ap-4, 0x1.ed65a62a7e304p-4, 0x1.e51f54c4e1b97p-4, 0x1.dcf517f02232cp-4, 0x1.d4e6bce4bfff5p-4, 0x1.ccf410152ed41p-4, 0x1.c51cdd3733888p-4, 0x1.bd60ef4d223cep-4, 0x1.b5c010af021cbp-4, 0x1.ae3a0b136ac35p-4, 0x1.a6cea79863627p-4, 0x1.9f7daecbf4814p-4, 0x1.9846e8b4a2826p-4, 0x1.912a1cd9c8526p-4, 0x1.8a27124bb5383p-4, 0x1.833d8fabb14ffp-4, 0x1.7c6d5b33d3674p-4, 0x1.75b63abeafcbdp-4, 0x1.6f17f3ceddef9p-4, 0x1.68924b9655f03p-4, 0x1.622506fda4c78p-4, 0x1.5bcfeaaaf8e71p-4, 0x1.5592bb09065cbp-4, 0x1.4f6d3c4dc2ae6p-4, 0x1.495f3280f8c6ep-4, 0x1.43686182b5204p-4, 0x1.3d888d118a85dp-4, 0x1.37bf78d0afc9p-4, 0x1.320ce84df60d3p-4, 0x1.2c709f07988d9p-4, 0x1.26ea6071e5db7p-4, 0x1.2179effcc3fe1p-4, 0x1.1c1f11190ca3ap-4, 0x1.16d9873dc6d6fp-4, 0x1.11a915ed39a71p-4, 0x1.0c8d80b9da0a8p-4, 0x1.07868b4b16fbbp-4, 0x1.0293f961fe59ep-4, 0x1.fb6b1dbb82d89p-5, 0x1.f1d61f8028e55p-5, 0x1.e8688062d9edfp-5, 0x1.df21c90a39de6p-5, 0x1.d601827a9b5bep-5, 0x1.cd07361db0afep-5, 0x1.c4326dc9fbf57p-5, 0x1.bb82b3ca015a4p-5, 0x1.b2f792e3362c1p-5, 0x1.aa90965cb4c96p-5, 0x1.a24d4a05b089ep-5, 0x1.9a2d3a3baf984p-5, 0x1.922ff3f086dfep-5, 0x1.8a5504b01e088p-5, 0x1.829bfaa5f7a28p-5, 0x1.7b0464a2837d1p-5, 0x1.738dd22036959p-5, 0x1.6c37d3486fa76p-5, 0x1.6501f8f823cbp-5, 0x1.5debd4c458c49p-5, 0x1.56f4f8fe69d76p-5, 0x1.501cf8b81d19ep-5, 0x1.496367c7845cbp-5, 0x1.42c7dacaaffa8p-5, 0x1.3c49e72b30bfbp-5, 0x1.35e923216e313p-5, 0x1.2fa525b7caddp-5, 0x1.297d86cda142bp-5, 0x1.2371df1a124a9p-5, 0x1.1d81c82eaa92p-5, 0x1.17acdc79dd7f9p-5, 0x1.11f2b749583abp-5, 0x1.0c52f4cc2defap-5, 0x1.06cd3214dcaaep-5, 0x1.01610d1b2bdb8p-5, 0x1.f81c497bcfff4p-6, 0x1.eda83188f1575p-6, 0x1.e36513c0a8e0ap-6, 0x1.d952335ca8c44p-6, 0x1.cf6ed56fc4aa7p-6, 0x1.c5ba40e8174f5p-6, 0x1.bc33be90e321p-6, 0x1.b2da99143659cp-6, 0x1.a9ae1cfc58eaap-6, 0x1.a0ad98b4f8f53p-6, 0x1.97d85c8c249a7p-6, 0x1.8f2dbab30c32bp-6, 0x1.86ad073e8f0a4p-6, 0x1.7e559827940bap-6, 0x1.7626c54b35608p-6, 0x1.6e1fe86ab1aa8p-6, 0x1.66405d2b3cddfp-6, 0x1.5e87811595ffap-6, 0x1.56f4b39579002p-6, 0x1.4f8755f8e711fp-6, 0x1.483ecb6f3f264p-6, 0x1.411a790834a2cp-6, 0x1.3a19c5b2a0176p-6, 0x1.333c1a3b25bbap-6, 0x1.2c80e14abf122p-6, 0x1.25e787651c6fcp-6, 0x1.1f6f7ae6e78c5p-6, 0x1.19182c03e885cp-6, 0x1.12e10cc508677p-6, 0x1.0cc9910639a8ep-6, 0x1.06d12e74404d9p-6, 0x1.00f75c8a637fep-6, 0x1.f677291fff046p-7, 0x1.eb3aa32c0c0f5p-7, 0x1.e03820e8c0969p-7, 0x1.d56e9f8e75448p-7, 0x1.cadd1fd87e55ap-7, 0x1.c082a5ff6e4b9p-7, 0x1.b65e39b32e686p-7, 0x1.ac6ee614fdd39p-7, 0x1.a2b3b9b13f7ddp-7, 0x1.992bc6792d46ep-7, 0x1.8fd621bc67f47p-7, 0x1.86b1e42268328p-7, 0x1.7dbe29a3d205cp-7, 0x1.74fa1183b0513p-7, 0x1.6c64be48959e1p-7, 0x1.63fd55b59b1d2p-7, 0x1.5bc300c35a065p-7, 0x1.53b4eb98c1c9fp-7, 0x1.4bd24583dd5dbp-7, 0x1.441a40f28e67fp-7, 0x1.3c8c136b28309p-7, 0x1.3526f58509953p-7, 0x1.2dea22e11f58dp-7, 0x1.26d4da225d71cp-7, 0x1.1fe65ce62a205p-7, 0x1.191defbcbfdffp-7, 0x1.127ada218481ep-7, 0x1.0bfc6673588a5p-7, 0x1.05a1e1ecde881p-7, 0x1.fed5393978bd8p-8, 0x1.f2abd2bbaf489p-8, 0x1.e6c63b9f17e15p-8, 0x1.db23249bc0ac3p-8, 0x1.cfc143d36f8f8p-8, 0x1.c49f54c203012p-8, 0x1.b9bc182dd093fp-8, 0x1.af16541803ccep-8, 0x1.a4acd3acfdd0cp-8, 0x1.9a7e6734b9da3p-8, 0x1.9089e40336c1bp-8, 0x1.86ce2468e5059p-8, 0x1.7d4a07a31ef4dp-8, 0x1.73fc71cca79abp-8, 0x1.6ae44bce372d5p-8, 0x1.6200834f0fee7p-8, 0x1.59500aa5a316ap-8, 0x1.50d1d8c840bb6p-8, 0x1.4884e93dd9b89p-8, 0x1.40683c0ed0855p-8, 0x1.387ad5b5db7bep-8, 0x1.30bbbf10fa45fp-8, 0x1.292a05527d046p-8, 0x1.21c4b9f220db4p-8, 0x1.1a8af29e422a8p-8, 0x1.137bc92d230a8p-8, 0x1.0c965b8e48ddap-8, 0x1.05d9cbbbf3c6ep-8, 0x1.fe8a7f5953192p-9, 0x1.f1afc289bd328p-9, 0x1.e521bc916831dp-9, 0x1.d8ded09ba7d84p-9, 0x1.cce5695ac7f09p-9, 0x1.c133f8ec2e0b2p-9, 0x1.b5c8f8bcb2658p-9, 0x1.aaa2e96d2edd1p-9, 0x1.9fc052b74a1ddp-9, 0x1.951fc3527badp-9, 0x1.8abfd0d94b9fcp-9, 0x1.809f17aece8e1p-9, 0x1.76bc3ae45dc29p-9, 0x1.6d15e41f8e766p-9, 0x1.63aac38063097p-9, 0x1.5a798f87be182p-9, 0x1.518104fe15be2p-9, 0x1.48bfe6da62854p-9, 0x1.4034fe295031ep-9, 0x1.37df19f4afdcdp-9, 0x1.2fbd0f2b2a3a6p-9, 0x1.27cdb888305dep-9, 0x1.200ff67c324bcp-9, 0x1.1882af1512e83p-9, 0x1.1124cde6e123bp-9, 0x1.09f543f4ce847p-9, 0x1.02f3079a6c9e5p-9, 0x1.f83a28ea520e5p-10, 0x1.eae4d69c1d134p-10, 0x1.dde4240787693p-10, 0x1.d13626e9a2f28p-10, 0x1.c4d8fed44d2aap-10, 0x1.b8cad503c2b8ap-10, 0x1.ad09dc34b23a6p-10, 0x1.a194507ad3ebep-10, 0x1.9668771801a89p-10, 0x1.8b849e53dba91p-10, 0x1.80e71d53e379fp-10, 0x1.768e53f423ae5p-10, 0x1.6c78aaa0548cap-10, 0x1.62a4922d83562p-10, 0x1.591083b438c81p-10, 0x1.4fbb006b24787p-10, 0x1.46a29182452bdp-10, 0x1.3dc5c7fe8e259p-10, 0x1.35233c961031fp-10, 0x1.2cb98f8c9e8a9p-10, 0x1.24876890ed53p-10, 0x1.1c8b769a31905p-10, 0x1.14c46fc63ab92p-10, 0x1.0d31113805df2p-10, 0x1.05d01ef6d011ep-10, 0x1.fd40c79b2f17ep-11, 0x1.ef41625642565p-11, 0x1.e19fbe04da4b9p-11, 0x1.d45997574bd16p-11, 0x1.c76cb78b064e8p-11, 0x1.bad6f42e43921p-11, 0x1.ae962ee49f9f4p-11, 0x1.a2a8552c957abp-11, 0x1.970b6025dfd9bp-11, 0x1.8bbd5458b96cp-11, 0x1.80bc417dfe8d6p-11, 0x1.760642482bdep-11, 0x1.6b997c2d3660ep-11, 0x1.61741f313eb3ap-11, 0x1.579465b219f93p-11, 0x1.4df89433b075dp-11, 0x1.449ef92d2dcfep-11, 0x1.3b85ecd70282p-11, 0x1.32abd0f9b4044p-11, 0x1.2a0f10bd779e7p-11, 0x1.21ae207a98918p-11, 0x1.19877d8aa5c28p-11, 0x1.1199ae1a63881p-11, 0x1.09e340fc832cdp-11, 0x1.0262cd7d192bcp-11, 0x1.f62de66ba7e8dp-12, 0x1.e7fcb3c5dab7p-12, 0x1.da2f6271b2d7cp-12, 0x1.ccc3617554128p-12, 0x1.bfb62f22558adp-12, 0x1.b30558c55f749p-12, 0x1.a6ae7a5729dc3p-12, 0x1.9aaf3e2edddefp-12, 0x1.8f055cb5ce0eep-12, 0x1.83ae9c1c8436fp-12, 0x1.78a8d011223d6p-12, 0x1.6df1d9770d979p-12, 0x1.6387a61fe71a3p-12, 0x1.59683085c218bp-12, 0x1.4f917f869d85ep-12, 0x1.4601a62119af7p-12, 0x1.3cb6c33263d1ep-12, 0x1.33af013553784p-12, 0x1.2ae89602b933ep-12, 0x1.2261c292d4c3cp-12, 0x1.1a18d2bff31ebp-12, 0x1.120c1d0a2ef92p-12, 0x1.0a3a025c4d784p-12, 0x1.02a0edd1b62b9p-12, 0x1.f67ea8fafb7eep-13, 0x1.e8276a650fcf5p-13, 0x1.da3930995fb4ep-13, 0x1.ccb11ef5feea9p-13, 0x1.bf8c6b15d2ae1p-13, 0x1.b2c85c690dab4p-13, 0x1.a6624bcf9ee7p-13, 0x1.9a57a3359e78ep-13, 0x1.8ea5dd319d0e3p-13, 0x1.834a84a4e01e4p-13, 0x1.7843345d73659p-13, 0x1.6d8d96ba13414p-13, 0x1.6327654fe6034p-13, 0x1.590e6891f888ep-13, 0x1.4f40777a7c475p-13, 0x1.45bb7735bce5p-13, 0x1.3c7d5acec62b5p-13, 0x1.338422ddb5d08p-13, 0x1.2acddd37ad62bp-13, 0x1.2258a4a061a18p-13, 0x1.1a22a07d40116p-13, 0x1.122a048a20dfap-13, 0x1.0a6d108f84314p-13, 0x1.02ea101a48d86p-13, 0x1.f73eb469d7811p-14, 0x1.e916a24452ad7p-14, 0x1.db58c4323b7f2p-14, 0x1.ce020a0588aadp-14, 0x1.c10f7871ab0f8p-14, 0x1.b47e288c12d46p-14, 0x1.a84b474f4f0e7p-14, 0x1.9c741520d6868p-14, 0x1.90f5e55956ac4p-14, 0x1.85ce1dcf9890bp-14, 0x1.7afa3665d6fap-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.31a9a40ce335ep-4, -0x1.45f5a757bae64p-4, -0x1.5a33fd3cf494ep-4, -0x1.6e4ded0a4b102p-4, -0x1.822ecd2936fc7p-4, -0x1.95c434a0330f5p-4, -0x1.a8fe17a5b505cp-4, -0x1.bbced2649a371p-4, -0x1.ce2b24f0ba32bp-4, -0x1.e00a23352febcp-4, -0x1.f1651b652281bp-4, -0x1.011bba98b047ep-3, -0x1.093f45de91529p-3, -0x1.111cc20311e41p-3, -0x1.18b49098ef4d8p-3, -0x1.2007cbfa085eap-3, -0x1.2718310596cd1p-3, -0x1.2de8094eab339p-3, -0x1.347a160a7319dp-3, -0x1.3ad17bfab5d35p-3, -0x1.40f1b080a9e9ap-3, -0x1.46de67f673dc6p-3, -0x1.4c9b85620d5d2p-3, -0x1.522d0b8acc246p-3, -0x1.57970f72f2c5p-3, -0x1.5cddac308698dp-3, -0x1.6204f81bc6979p-3, -0x1.6710fb45ee34bp-3, -0x1.6c05a7282fb39p-3, -0x1.70e6cf78d6b64p-3, -0x1.75b8241374e27p-3, -0x1.7a7d2be018683p-3, -0x1.7f3940a577f95p-3, -0x1.83ef8bb21b07dp-3, -0x1.88a30348ef8d7p-3, -0x1.8d5668be623cbp-3, -0x1.920c4733eac13p-3, -0x1.96c6f2e0d61a4p-3, -0x1.9b8888d82c693p-3, -0x1.a052ef3c8ea53p-3, -0x1.a527d5d3fe9a3p-3, -0x1.aa08b6eea0979p-3, -0x1.aef6d89471edfp-3, -0x1.b3f34def24fd1p-3, -0x1.b8fef8e61de07p-3, -0x1.be1a8be3a5243p-3, -0x1.c3468bbb2a145p-3, -0x1.c88351a95208p-3, -0x1.cdd10d676608ap-3, -0x1.d32fc74c3f93dp-3, -0x1.d89f6275c4789p-3, -0x1.de1f9ef651dbbp-3, -0x1.e3b01c0252564p-3, -0x1.e9505a1a7fbbfp-3, -0x1.eeffbd3001e6bp-3, -0x1.f4bd8ebfce05dp-3, -0x1.fa88ffe351f14p-3, -0x1.003095aa444cfp-2, -0x1.03228bb20afddp-2, -0x1.0619dbf020a16p-2, -0x1.0915f7f5ea1bcp-2, -0x1.0c1649e21d47fp-2, -0x1.0f1a353b25d1p-2, -0x1.122117c0bc0bp-2, -0x1.152a4a348beedp-2, -0x1.18352119e762bp-2, -0x1.1b40ed6c86726p-2, -0x1.1e4cfd4e669e8p-2, -0x1.21589cace3353p-2, -0x1.246315dd2740ap-2, -0x1.276bb2302b2dfp-2, -0x1.2a71ba7e61ccbp-2, -0x1.2d7477ab55bdep-2, -0x1.3073332166625p-2, -0x1.336d3745e40cep-2, -0x1.3661cfe5c7ba6p-2, -0x1.39504a9b45332p-2, -0x1.3c37f72c767a4p-2, -0x1.3f1827e35e1dap-2, -0x1.41f031df87a64p-2, -0x1.44bf6d617d229p-2, -0x1.4785361054a3cp-2, -0x1.4a40eb3992d1bp-2, -0x1.4cf1f00ba1074p-2, -0x1.4f97abcb0ed3cp-2, -0x1.52318a02db91cp-2, -0x1.54befab0005f2p-2, -0x1.573f72686fadcp-2, -0x1.59b26a7dc167p-2, -0x1.5c17611bbf161p-2, -0x1.5e6dd963031ebp-2, -0x1.60b55b7fd689cp-2, -0x1.62ed74bd84622p-2, -0x1.6515b79646417p-2, -0x1.672dbbbfff43bp-2, -0x1.69351e35e6cf4p-2, -0x1.6b2b813f507dap-2, -0x1.6d108c73b6f78p-2, -0x1.6ee3ecbc3078bp-2, -0x1.70a554526ca59p-2, -0x1.72547abd64293p-2, -0x1.73f11ccbd9554p-2, -0x1.757afc8cc81cep-2, -0x1.76f1e145e666bp-2, -0x1.78559768537f1p-2, -0x1.79a5f08391ef6p-2, -0x1.7ae2c336e4cbep-2, -0x1.7c0beb2132c64p-2, -0x1.7d2148cf7ed9ep-2, -0x1.7e22c1aa1950bp-2, -0x1.7f103fe09570bp-2, -0x1.7fe9b254a9352p-2, -0x1.80af0c83fbe9p-2, -0x1.8160467109e62p-2, -0x1.81fd5c8b24837p-2, -0x1.82864f95a823bp-2, -0x1.82fb248e7d822p-2, -0x1.835be493ee97dp-2, -0x1.83a89cc9ef348p-2, -0x1.83e15e3ed9bc2p-2, -0x1.84063dcfbf42bp-2, -0x1.8417540c4cc87p-2, -0x1.8414bd1a629dbp-2, -0x1.83fe98995d0d7p-2, -0x1.83d509852a737p-2, -0x1.839836192f2fdp-2, -0x1.834847b30d037p-2, -0x1.82e56ab556323p-2, -0x1.826fce6a37d84p-2, -0x1.81e7a4e62440ap-2, -0x1.814d22ea8f42ap-2, -0x1.80a07fc8bc384p-2, -0x1.7fe1f544ad601p-2, -0x1.7f11bf78401c5p-2, -0x1.7e301cb673dacp-2, -0x1.7d3d4d6ef132ep-2, -0x1.7c399411cdb52p-2, -0x1.7b2534f39aef7p-2, -0x1.7a007631c1173p-2, -0x1.78cb9f97352ddp-2, -0x1.7786fa818325dp-2, -0x1.7632d1c63e112p-2, -0x1.74cf7198d5e79p-2, -0x1.735d2770d589p-2, -0x1.71dc41f0954c2p-2, -0x1.704d10cc59bdfp-2, -0x1.6eafe4b1f1ecep-2, -0x1.6d050f30cab08p-2, -0x1.6b4ce2a2833ebp-2, -0x1.6987b213ff191p-2, -0x1.67b5d12eff704p-2, -0x1.65d794244158dp-2, -0x1.63ed4f961f10bp-2, -0x1.61f75883c1f67p-2, -0x1.5ff60434d9523p-2, -0x1.5de9a825df9ecp-2, -0x1.5bd299f4eec19p-2, -0x1.59b12f4f1bb8ap-2, -0x1.5785bdde6993dp-2, -0x1.55509b3841b06p-2, -0x1.53121ccc82cf1p-2, -0x1.50ca97d518813p-2, -0x1.4e7a6146250ap-2, -0x1.4c21cdbeb6ab3p-2, -0x1.49c1317a0be15p-2, -0x1.4758e041637b7p-2, -0x1.44e92d5e57ad7p-2, -0x1.42726b8dc48d6p-2, -0x1.3ff4ecf3391aep-2, -0x1.3d71030ceca76p-2, -0x1.3ae6fea83d779p-2, -0x1.38572fd6b5f83p-2, -0x1.35c1e5e3910e6p-2, -0x1.33276f49c2584p-2, -0x1.308819aa7f4abp-2, -0x1.2de431c444c63p-2, -0x1.2b3c036a57602p-2, -0x1.288fd97cbed1p-2, -0x1.25dffde0b903dp-2, -0x1.232cb979a2928p-2, -0x1.2076542250ba7p-2, -0x1.1dbd14a6dc591p-2, -0x1.1b0140bede603p-2, -0x1.18431d0814f77p-2, -0x1.1582ed0170d88p-2, -0x1.12c0f3068f4e4p-2, -0x1.0ffd704b92c1bp-2, -0x1.0d38a4d96231cp-2, -0x1.0a72cf8a44253p-2, -0x1.07ac2e06d89c6p-2, -0x1.04e4fcc36f5efp-2, -0x1.021d76fdb1685p-2, -0x1.feabad75481b7p-3, -0x1.f91ca989fb007p-3, -0x1.f38e515790f37p-3, -0x1.ee011182b0cb2p-3, -0x1.e87554350a72ap-3, -0x1.e2eb811c65058p-3, -0x1.dd63fd6a3a88ap-3, -0x1.d7df2bd3d5d2dp-3, -0x1.d25d6c92f7ea6p-3, -0x1.ccdf1d66fb2bbp-3, -0x1.c76499966a8bbp-3, -0x1.c1ee39f115c1cp-3, -0x1.bc7c54d28b7a2p-3, -0x1.b70f3e2506c3dp-3, -0x1.b1a74764be206p-3, -0x1.ac44bfa397bc6p-3, -0x1.a6e7f38d3a03p-3, -0x1.a1912d6b74281p-3, -0x1.9c40b52afdc6ep-3, -0x1.96f6d0608bd32p-3, -0x1.91b3c24e24df8p-3, -0x1.8c77cbe8d0de1p-3, -0x1.87432bde7da83p-3, -0x1.82161e9c2e4a8p-3, -0x1.7cf0de54637d8p-3, -0x1.77d3a305c1b0ep-3, -0x1.72bea281e6968p-3, -0x1.6db2107478bb1p-3, -0x1.68ae1e6a631a5p-3, -0x1.63b2fbd93a0a2p-3, -0x1.5ec0d626cd02p-3, -0x1.59d7d8b0dd544p-3, -0x1.54f82cd4f4917p-3, -0x1.5021f9f85c58cp-3, -0x1.4b556590332f6p-3, -0x1.469293299c9c6p-3, -0x1.41d9a471ff576p-3, -0x1.3d2ab93f6787fp-3, -0x1.3885ef98eba81p-3, -0x1.33eb63bf2ae91p-3, -0x1.2f5b3034d2a22p-3, -0x1.2ad56dc73474ep-3, -0x1.265a3396daaffp-3, -0x1.21e9972032aedp-3, -0x1.1d83ac442926ep-3, -0x1.19288550daaf8p-3, -0x1.14d8330a35566p-3, -0x1.1092c4b2a3e05p-3, -0x1.0c584813b03ecp-3, -0x1.0828c9869fdccp-3, -0x1.040453fd11ae5p-3, -0x1.ffd5e21311cbfp-4, -0x1.f7b951cfea0cep-4, -0x1.efb3050c608f6p-4, -0x1.e7c30718da8bp-4, -0x1.dfe960cb2b737p-4, -0x1.d826188f47df9p-4, -0x1.d0793277c0246p-4, -0x1.c8e2b04e2b1b1p-4, -0x1.c16291a364ebfp-4, -0x1.b9f8d3dfa7258p-4, -0x1.b2a57252769adp-4, -0x1.ab68664276de6p-4, -0x1.a441a6fcfca61p-4, -0x1.9d3129e57cff5p-4, -0x1.9636e284d8a07p-4, -0x1.8f52c29860814p-4, -0x1.8884ba20c06a7p-4, -0x1.81ccb770a8c79p-4, -0x1.7b2aa73b4b15dp-4, -0x1.749e74a2a15f3p-4, -0x1.6e28094580947p-4, -0x1.67c74d4d7403ep-4, -0x1.617c277c6517fp-4, -0x1.5b467d3a0825fp-4, -0x1.552632a114fe1p-4, -0x1.4f1b2a8c445eap-4, -0x1.492546a316b13p-4, -0x1.4344676660ba1p-4, -0x1.3d786c3c9eeep-4, -0x1.37c1337e0f13dp-4, -0x1.321e9a80908ccp-4, -0x1.2c907da349da3p-4, -0x1.2716b85a14703p-4, -0x1.21b12538af00ep-4, -0x1.1c5f9dfdb4abfp-4, -0x1.1721fb9d59f2ep-4, -0x1.11f8164bf2164p-4, -0x1.0ce1c58836e03p-4, -0x1.07dee0255af41p-4, -0x1.02ef3c54df3f3p-4, -0x1.fc255f60641cep-5, -0x1.f2921e8427754p-5, -0x1.e9245f1f8614ep-5, -0x1.dfdbc943e6155p-5, -0x1.d6b8041b0ebf9p-5, -0x1.cdb8b5f834d0fp-5, -0x1.c4dd846898f9bp-5, -0x1.bc261443ba576p-5, -0x1.b39209bb1c372p-5, -0x1.ab210869a1f02p-5, -0x1.a2d2b36284011p-5, -0x1.9aa6ad3fd7675p-5, -0x1.929c9830b433ep-5, -0x1.8ab41606f2935p-5, -0x1.82ecc844849dp-5, -0x1.7b4650286c901p-5, -0x1.73c04ebb524e7p-5, -0x1.6c5a64dbb654p-5, -0x1.65143349c7cabp-5, -0x1.5ded5ab2db44ap-5, -0x1.56e57bbc85482p-5, -0x1.4ffc370f5b7cep-5, -0x1.49312d6158f63p-5, -0x1.4283ff7fef1a6p-5, -0x1.3bf44e59ba5b4p-5, -0x1.3581bb07e70ffp-5, -0x1.2f2be6d7401bap-5, -0x1.28f27350e9226p-5, -0x1.22d50242cdcd3p-5, -0x1.1cd335c7bb8e6p-5, -0x1.16ecb04f3290bp-5, -0x1.112114a4e6147p-5, -0x1.0b7005f7f66e3p-5, -0x1.05d927e1ddf73p-5, -0x1.005c1e6d18ae2p-5, -0x1.f5f11c3706ba3p-6, -0x1.eb5c37d8ef164p-6, -0x1.e0f8dac54929fp-6, -0x1.d6c651134635ep-6, -0x1.ccc3e7f699f1ap-6, -0x1.c2f0edc9a4c85p-6, -0x1.b94cb2172674ap-6, -0x1.afd685a3762b8p-6, -0x1.a68dba7545434p-6, -0x1.9d71a3ddf413cp-6, -0x1.948196816dce6p-6, -0x1.8bbce85d9ce45p-6, -0x1.8322f0d174771p-6, -0x1.7ab308a391a4p-6, -0x1.726c8a08755e5p-6, -0x1.6a4ed0a85c791p-6, -0x1.625939a4bace8p-6, -0x1.5a8b239d554b4p-6, -0x1.52e3eeb4ffca6p-6, -0x1.4b62fc9607e94p-6, -0x1.4407b07645c82p-6, -0x1.3cd16f1ad85ap-6, -0x1.35bf9edb93986p-6, -0x1.2ed1a7a61fe68p-6, -0x1.2806f300c7d49p-6, -0x1.215eec0d00ec5p-6, -0x1.1ad8ff89ac032p-6, -0x1.14749bd50c5c9p-6, -0x1.0e3130ee802dp-6, -0x1.080e3077f154bp-6, -0x1.020b0db70bb3ap-6, -0x1.f84e7b2c684f5p-7, -0x1.ecc46d4a8d176p-7, -0x1.e176e23428c2fp-7, -0x1.d664cda16b7c4p-7, -0x1.cb8d2697318afp-7, -0x1.c0eee766d379dp-7, -0x1.b6890dad7d34bp-7, -0x1.ac5a9a5337bdbp-7, -0x1.a262918987ed3p-7, -0x1.989ffac9bb90ap-7, -0x1.8f11e0d2e0b02p-7, -0x1.85b751a76b335p-7, -0x1.7c8f5e8a8343dp-7, -0x1.73991bfd145bbp-7, -0x1.6ad3a1ba8c1aap-7, -0x1.623e0ab55154fp-7, -0x1.59d77513043efp-7, -0x1.519f022868bf5p-7, -0x1.4993d6752efa1p-7, -0x1.41b5199f6c335p-7, -0x1.3a01f66ee2701p-7, -0x1.32799ac819156p-7, -0x1.2b1b37a73a476p-7, -0x1.23e6011ac5a39p-7, -0x1.1cd92e3e138d3p-7, -0x1.15f3f933acfd3p-7, -0x1.0f359f1f7bc5bp-7, -0x1.089d6020d2956p-7, -0x1.022a7f4c51ef6p-7, -0x1.f7b8854b51f16p-8, -0x1.eb63e63270943p-8, -0x1.df55b8eb27613p-8, -0x1.d38c9ac9d4576p-8, -0x1.c8072ecca38cbp-8, -0x1.bcc41d8df5e5dp-8, -0x1.b1c215369b0c7p-8, -0x1.a6ffc96fe1756p-8, -0x1.9c7bf3557d05cp-8, -0x1.923551674cca5p-8, -0x1.882aa77afee6ap-8, -0x1.7e5abead961fp-8, -0x1.74c46554d7753p-8, -0x1.6b666ef09c2f5p-8, -0x1.623fb41c138bcp-8, -0x1.594f127eeda82p-8, -0x1.50936cbe7a95cp-8, -0x1.480baa6eb8d36p-8, -0x1.3fb6b8035d045p-8, -0x1.379386c0ccfe8p-8, -0x1.2fa10cad16e64p-8, -0x1.27de4480e5329p-8, -0x1.204a2d986e2fdp-8, -0x1.18e3cbe465c33p-8, -0x1.11aa27daf0062p-8, -0x1.0a9c4e68981aep-8, -0x1.03b950e14c59dp-8, -0x1.fa0089e2c671dp-9, -0x1.ece0891d4de88p-9, -0x1.e010dbd2db329p-9, -0x1.d38fc6bb7938dp-9, -0x1.c75b96c8f4728p-9, -0x1.bb72a1095a5c4p-9, -0x1.afd342899a257p-9, -0x1.a47be0384b15p-9, -0x1.996ae6c89395dp-9, -0x1.8e9eca953b9aep-9, -0x1.84160783e9cd3p-9, -0x1.79cf20e889413p-9, -0x1.6fc8a168e0b6dp-9, -0x1.66011ae05922fp-9, -0x1.5c772643f5c34p-9, -0x1.532963867f6c4p-9, -0x1.4a16797ce5528p-9, -0x1.413d15c2d6af3p-9, -0x1.389bec9f902fdp-9, -0x1.3031b8eae7e2p-9, -0x1.27fd3bf28fbafp-9, -0x1.1ffd3d5f972bcp-9, -0x1.18308b1c2981cp-9, -0x1.1095f93986436p-9, -0x1.092c61d63ecacp-9, -0x1.01f2a504b25dp-9, -0x1.f5cf5163899bbp-10, -0x1.e814b117c2454p-10, -0x1.dab34bd46d825p-10, -0x1.cda90f6874596p-10, -0x1.c0f3f492e023ap-10, -0x1.b491fed2e13cp-10, -0x1.a8813c387a0ffp-10, -0x1.9cbfc5359ac72p-10, -0x1.914bbc6fd72acp-10, -0x1.86234e92a4c8bp-10, -0x1.7b44b2221df1bp-10, -0x1.70ae274e5cb74p-10, -0x1.665df7c751c1ep-10, -0x1.5c5276913c294p-10, -0x1.5289ffd998a41p-10, -0x1.4902f8ccb0993p-10, -0x1.3fbbcf6ba74a3p-10, -0x1.36b2fa631b9c4p-10, -0x1.2de6f8e257beap-10, -0x1.2556527305abbp-10, -0x1.1cff96d176084p-10, -0x1.14e15dc5705efp-10, -0x1.0cfa46fb8dd7cp-10, -0x1.0548f9df25da9p-10, -0x1.fb984ae96e35cp-11, -0x1.ed050069cfeb7p-11, -0x1.ded58fd0117aep-11, -0x1.d1078304413d2p-11, -0x1.c39871ff03eddp-11, -0x1.b6860283cae37p-11, -0x1.a9cde7dc17985p-11, -0x1.9d6de293c8771p-11, -0x1.9163c03670f07p-11, -0x1.85ad5b0db5e05p-11, -0x1.7a4899e0b1a21p-11, -0x1.6f336fb45986ep-11, -0x1.646bdb8ce5599p-11, -0x1.59efe8303724bp-11, -0x1.4fbdabe93d247p-11, -0x1.45d3484c522d6p-11, -0x1.3c2ee9fc93f86p-11, -0x1.32cec87230743p-11, -0x1.29b125c1a8897p-11, -0x1.20d44e6402af9p-11, -0x1.183698ffedc64p-11, -0x1.0fd66633d1f2ap-11, -0x1.07b22060c8f89p-11, -0x1.ff9076ed0522fp-12, -0x1.f02e698015ae6p-12, -0x1.e13b2562eaef5p-12, -0x1.d2b3c96cd346ap-12, -0x1.c49586031637cp-12, -0x1.b6dd9cb97d9ffp-12, -0x1.a9895ff49113bp-12, -0x1.9c96328d7c9ffp-12, -0x1.90018777a208dp-12, -0x1.83c8e167c704p-12, -0x1.77e9d27ce321p-12, -0x1.6c61fbea87124p-12, -0x1.612f0da4d1a18p-12, -0x1.564ec60df65c1p-12, -0x1.4bbef1a548027p-12, -0x1.417d6ab7c8fa7p-12, -0x1.3788191237dbep-12, -0x1.2ddcf1b491cap-12, -0x1.2479f6870d4dp-12, -0x1.1b5d36107ac18p-12, -0x1.1284cb2e176d6p-12, -0x1.09eedcccba022p-12, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.ce54efddc1992p-1, 0x1.cc70dd5451115p-1, 0x1.ca842fd299f17p-1, 0x1.c88e98c62dcbfp-1, 0x1.c68fbad58777cp-1, 0x1.c48735eec0bd8p-1, 0x1.c274b10c6eac7p-1, 0x1.c057e1cfc0225p-1, 0x1.be30921f08b34p-1, 0x1.bbfea400ec985p-1, 0x1.b9c213f0435dfp-1, 0x1.b77af9e4f10e5p-1, 0x1.b529894b8bddp-1, 0x1.b2ce10219de31p-1, 0x1.b068f567402ecp-1, 0x1.adfab7114d083p-1, 0x1.ab83e7a1c21a6p-1, 0x1.a9052b866eac2p-1, 0x1.a67f3658d96d2p-1, 0x1.a3f2c81582edp-1, 0x1.a160aa5c5ef6bp-1, 0x1.9ec9adc88a0ecp-1, 0x1.9c2ea769f10bcp-1, 0x1.99906e68c2b5cp-1, 0x1.96efd9d81426ap-1, 0x1.944dbebb1c4ffp-1, 0x1.91aaee3ebdcbdp-1, 0x1.8f083427b6eedp-1, 0x1.8c665574c5c35p-1, 0x1.89c60f332678fp-1, 0x1.8728158341e92p-1, 0x1.848d12cadacb2p-1, 0x1.81f5a711bfa2p-1, 0x1.7f626785d1fe3p-1, 0x1.7cd3de231949ep-1, 0x1.7a4a897c8d713p-1, 0x1.77c6dca257f8ep-1, 0x1.75493f225583ap-1, 0x1.72d20d1fcb58dp-1, 0x1.7061977f64261p-1, 0x1.6df82424b6485p-1, 0x1.6b95ee3ebfaddp-1, 0x1.693b26a0fd39fp-1, 0x1.66e7f426e4c75p-1, 0x1.649c741fcaddep-1, 0x1.6258bac15b1a5p-1, 0x1.601cd39f07d6fp-1, 0x1.5de8c224f2743p-1, 0x1.5bbc821503f14p-1, 0x1.599808050a1a6p-1, 0x1.577b41dcd83bp-1, 0x1.5566175389b74p-1, 0x1.53586a6b230cp-1, 0x1.515217e9ecf35p-1, 0x1.4f52f7d0fa132p-1, 0x1.4d5addcf6829fp-1, 0x1.4b6999b1f7597p-1, 0x1.497ef7ceb04f5p-1, 0x1.479ac16c5bb9cp-1, 0x1.45bcbd259dbaap-1, 0x1.43e4af479abe6p-1, 0x1.42125a2c0ed71p-1, 0x1.40457e8ed059fp-1, 0x1.3e7ddbdebf83p-1, 0x1.3cbb308a27121p-1, 0x1.3afd3a46a1755p-1, 0x1.3943b654905aap-1, 0x1.378e61be45398p-1, 0x1.35dcf992eff17p-1, 0x1.342f3b1d79f8ap-1, 0x1.3284e4176a087p-1, 0x1.30ddb2d7f5392p-1, 0x1.2f39667f6245ep-1, 0x1.2d97bf1ee61e3p-1, 0x1.2bf87ddd1b312p-1, 0x1.2a5b65173e1b4p-1, 0x1.28c0387f5400fp-1, 0x1.2726bd375dc36p-1, 0x1.258eb9e9c2491p-1, 0x1.23f7f6df0f143p-1, 0x1.22623e1136bb4p-1, 0x1.20cd5b3c6d5f9p-1, 0x1.1f391bedc56f5p-1, 0x1.1da54f8fad77dp-1, 0x1.1c11c7746fca4p-1, 0x1.1a7e56decf3ap-1, 0x1.18ead308e0641p-1, 0x1.175713293c182p-1, 0x1.15c2f076a3126p-1, 0x1.142e462a2f2c5p-1, 0x1.1298f180298cp-1, 0x1.1102d1b79d59ap-1, 0x1.0f6bc810bccp-1, 0x1.0dd3b7ca3068fp-1, 0x1.0c3a861d60da2p-1, 0x1.0aa01a39d2532p-1, 0x1.09045d3fa0cf3p-1, 0x1.07673a3932d17p-1, 0x1.05c89e142d18p-1, 0x1.04287799be165p-1, 0x1.0286b7664ae2p-1, 0x1.00e34fe08dd96p-1, 0x1.fe7c6a60694aap-2, 0x1.fb2eba68135ccp-2, 0x1.f7dd7eef6d50dp-2, 0x1.f488aa52503ccp-2, 0x1.f130321b4337ap-2, 0x1.edd40eed12194p-2, 0x1.ea743c6be984fp-2, 0x1.e710b92609673p-2, 0x1.e3a9867c20ce9p-2, 0x1.e03ea88961a44p-2, 0x1.dcd0260b59e5dp-2, 0x1.d95e0849aa913p-2, 0x1.d5e85afd9b615p-2, 0x1.d26f2c39a3fccp-2, 0x1.cef28c50f3d28p-2, 0x1.cb728dbeff3d7p-2, 0x1.c7ef450f24689p-2, 0x1.c468c8c46b77p-2, 0x1.c0df31416f932p-2, 0x1.bd5298b0770cfp-2, 0x1.b9c31aebc5863p-2, 0x1.b630d5662c21ap-2, 0x1.b29be713e3252p-2, 0x1.af047053ae5fap-2, 0x1.ab6a92d858a43p-2, 0x1.a7ce7192881c3p-2, 0x1.a430309aed331p-2, 0x1.a08ff51cdcd1ep-2, 0x1.9cede5414a0b2p-2, 0x1.994a281a2f7c2p-2, 0x1.95a4e58e6a27p-2, 0x1.91fe4645ff9c4p-2, 0x1.8e567396dfba5p-2, 0x1.8aad97721b6ap-2, 0x1.8703dc51928afp-2, 0x1.83596d26239dbp-2, 0x1.7fae754650dcp-2, 0x1.7c03205d68d0fp-2, 0x1.78579a5b2c496p-2, 0x1.74ac0f63f4b0cp-2, 0x1.7100abc159884p-2, 0x1.6d559bd358ee2p-2, 0x1.69ab0c01fded2p-2, 0x1.660128af89dc7p-2, 0x1.62581e2b1dbadp-2, 0x1.5eb018a3e001p-2, 0x1.5b09441ca5f46p-2, 0x1.5763cc6018ffcp-2, 0x1.53bfdcf557a2cp-2, 0x1.501da1151428ep-2, 0x1.4c7d439f2d34ep-2, 0x1.48deef10c08fbp-2, 0x1.4542cd7ab2f43p-2, 0x1.41a90878b13e6p-2, 0x1.3e11c928a1c05p-2, 0x1.3a7d38228be66p-2, 0x1.36eb7d70ed5ddp-2, 0x1.335cc0897ef1bp-2, 0x1.2fd1284665282p-2, 0x1.2c48dadfcc2f7p-2, 0x1.28c3fde5e8f34p-2, 0x1.2542b63b63bedp-2, 0x1.21c5281023a18p-2, 0x1.1e4b76dc7c574p-2, 0x1.1ad5c55cb81c5p-2, 0x1.1764358d0323fp-2, 0x1.13f6e8a5abf15p-2, 0x1.108dff17bdd8ep-2, 0x1.0d299889f063ep-2, 0x1.09c9d3d5e72fbp-2, 0x1.066ecf05c790ap-2, 0x1.0318a75213b12p-2, 0x1.ff8ef23fb1a2cp-3, 0x1.f8f6bffe4607p-3, 0x1.f268ed536b082p-3, 0x1.ebe5ae0415859p-3, 0x1.e56d342527801p-3, 0x1.deffb01a72c5ep-3, 0x1.d89d50962a737p-3, 0x1.d2464298d7848p-3, 0x1.cbfab171b36d1p-3, 0x1.c5bac6bf750cep-3, 0x1.bf86aa7181e86p-3, 0x1.b95e82c98105ap-3, 0x1.b342745d53d13p-3, 0x1.ad32a2196293cp-3, 0x1.a72f2d433ffc5p-3, 0x1.a138357ca2de1p-3, 0x1.9b4dd8c6ab93cp-3, 0x1.957033856fc16p-3, 0x1.8f9f6083d54p-3, 0x1.89db78f7a9bb7p-3, 0x1.84249485f61f8p-3, 0x1.7e7ac94793fe6p-3, 0x1.78de2bcdf89e8p-3, 0x1.734ecf28314acp-3, 0x1.6dccc4e81003ap-3, 0x1.68581d278dd81p-3, 0x1.62f0e68e4c081p-3, 0x1.5d972e5742e41p-3, 0x1.584b00569841ep-3, 0x1.530c66ff8befp-3, 0x1.4ddb6b6a8f3cbp-3, 0x1.48b8155b6e23bp-3, 0x1.43a26b4798125p-3, 0x1.3e9a725c7c14dp-3, 0x1.39a02e85f9387p-3, 0x1.34b3a274dfa53p-3, 0x1.2fd4cfa585f2cp-3, 0x1.2b03b666603fbp-3, 0x1.264055deafe98p-3, 0x1.218aac1534266p-3, 0x1.1ce2b5f6dc60bp-3, 0x1.18486f5d8decdp-3, 0x1.13bbd316df30dp-3, 0x1.0f3cdaead813p-3, 0x1.0acb7fa2b5ed5p-3, 0x1.0667b90fa8777p-3, 0x1.02117e118c0cdp-3, 0x1.fb91893b3d59p-4, 0x1.f31b038a666b3p-4, 0x1.eabf5378a2956p-4, 0x1.e27e5fc0b335p-4, 0x1.da580d7d2bdb5p-4, 0x1.d24c403584566p-4, 0x1.ca5ad9eb094c9p-4, 0x1.c283bb25bec58p-4, 0x1.bac6c3011bff4p-4, 0x1.b323cf38a08f3p-4, 0x1.ab9abc345d32ep-4, 0x1.a42b651546171p-4, 0x1.9cd5a3c16abc2p-4, 0x1.959950f00a238p-4, 0x1.8e764435796dp-4, 0x1.876c540ee5831p-4, 0x1.807b55edecd6ep-4, 0x1.79a31e440d7c7p-4, 0x1.72e3808de7a55p-4, 0x1.6c3c4f5e555b9p-4, 0x1.65ad5c6953cb6p-4, 0x1.5f36788ec064ap-4, 0x1.58d773e4e75ddp-4, 0x1.52901dc2e1a9p-4, 0x1.4c6044cac6c0ep-4, 0x1.4647b6f3ab9e9p-4, 0x1.4046419373f19p-4, 0x1.3a5bb16870dabp-4, 0x1.3487d2a2d0aeap-4, 0x1.2eca70eddc3acp-4, 0x1.2923577904e45p-4, 0x1.23925100bf968p-4, 0x1.1e1727d72fa95p-4, 0x1.18b1a5eca10ddp-4, 0x1.136194d7cfcf7p-4, 0x1.0e26bdde00437p-4, 0x1.0900e9fae5415p-4, 0x1.03efe1e85546dp-4, 0x1.fde6dc4ba2adfp-5, 0x1.f416adffb041cp-5, 0x1.ea6ec92e1948bp-5, 0x1.e0eebdce55c03p-5, 0x1.d7961b9b9bc38p-5, 0x1.ce6472220ec81p-5, 0x1.c55950cb8f80ap-5, 0x1.bc7446ec32bc5p-5, 0x1.b3b4e3ce5945fp-5, 0x1.ab1ab6be70818p-5, 0x1.a2a54f16578f9p-5, 0x1.9a543c486c798p-5, 0x1.92270dea432b4p-5, 0x1.8a1d53bf052a7p-5, 0x1.82369dc17b745p-5, 0x1.7a727c2dc5529p-5, 0x1.72d07f8abd359p-5, 0x1.6b5038b30a2aep-5, 0x1.63f138dde0687p-5, 0x1.5cb311a77630dp-5, 0x1.5595551927721p-5, 0x1.4e9795b14cb01p-5, 0x1.47b9666ac8c05p-5, 0x1.40fa5ac44ae03p-5, 0x1.3a5a06c749044p-5, 0x1.33d7ff0eafeadp-5, 0x1.2d73d8cd51bc9p-5, 0x1.272d29d40b24dp-5, 0x1.21038897a7abcp-5, 0x1.1af68c3682ddap-5, 0x1.1505cc7de90e4p-5, 0x1.0f30e1ef3813bp-5, 0x1.097765c4c1061p-5, 0x1.03d8f1f6704b4p-5, 0x1.fcaa427c69cb8p-6, 0x1.f1d71e3865f8ep-6, 0x1.e737afb570eb9p-6, 0x1.dccb3123fd1d4p-6, 0x1.d290de576211dp-6, 0x1.c887f4cc84ac7p-6, 0x1.beafb3b0175e9p-6, 0x1.b5075be4771f5p-6, 0x1.ab8e300720f16p-6, 0x1.a2437475c9d1ap-6, 0x1.99266f531c93fp-6, 0x1.9036688b180b9p-6, 0x1.8772a9d713d5bp-6, 0x1.7eda7ec172cf6p-6, 0x1.766d34a8ffb15p-6, 0x1.6e2a1ac3f53aep-6, 0x1.66108222bc79bp-6, 0x1.5e1fbdb25a24dp-6, 0x1.5657223e90ac9p-6, 0x1.4eb60673bb376p-6, 0x1.473bc2e063a97p-6, 0x1.3fe7b1f69198ap-6, 0x1.38b9300cd5b3ap-6, 0x1.31af9b5f1ac0ap-6, 0x1.2aca540f34766p-6, 0x1.2408bc252f00ap-6, 0x1.1d6a378f6eaa9p-6, 0x1.16ee2c228a932p-6, 0x1.10940198fd28ep-6, 0x1.0a5b2192976dp-6, 0x1.0442f793c3a8bp-6, 0x1.fc95e2093a6b7p-7, 0x1.f0e4fa5fa15ebp-7, 0x1.e5721a82ac478p-7, 0x1.da3c2889f406dp-7, 0x1.cf420e498020ap-7, 0x1.c482b94e3c63p-7, 0x1.b9fd1ada1a1b1p-7, 0x1.afb027dfef24ep-7, 0x1.a59ad8ff08fb8p-7, 0x1.9bbc2a7e81dc9p-7, 0x1.92131c484883fp-7, 0x1.889eb1e3fade6p-7, 0x1.7f5df2717353bp-7, 0x1.764fe8a32d417p-7, 0x1.6d73a2b86a201p-7, 0x1.64c8327723fep-7, 0x1.5c4cad25ceb82p-7, 0x1.54002b84f603fp-7, 0x1.4be1c9c899536p-7, 0x1.43f0a79175494p-7, 0x1.3c2be7e615063p-7, 0x1.3492b12bc86fdp-7, 0x1.2d242d1f71cbep-7, 0x1.25df88ce35cd4p-7, 0x1.1ec3f48e0b1e4p-7, 0x1.17d0a3f62d7dp-7, 0x1.1104cdd77716cp-7, 0x1.0a5fac349f01bp-7, 0x1.03e07c3a62e25p-7, 0x1.fb0cfc6f32b05p-8, 0x1.eea1eb2a63f58p-8, 0x1.e27e519c45cdbp-8, 0x1.d6a0c2ce8d106p-8, 0x1.cb07d7ce54194p-8, 0x1.bfb22f9b9e58p-8, 0x1.b49e6f18c4847p-8, 0x1.a9cb40f9cbfdbp-8, 0x1.9f3755b3abddcp-8, 0x1.94e1636b84d2bp-8, 0x1.8ac825e5cae49p-8, 0x1.80ea5e7565f17p-8, 0x1.7746d3eaca906p-8, 0x1.6ddc52830d526p-8, 0x1.64a9abd6f5744p-8, 0x1.5badb6ca0b0eap-8, 0x1.52e74f79a9c78p-8, 0x1.4a55572c14ebdp-8, 0x1.41f6b43f93b2cp-8, 0x1.39ca52199009ap-8, 0x1.31cf2115c3724p-8, 0x1.2a0416756bc3dp-8, 0x1.22682c4e8c4d4p-8, 0x1.1afa617b3e2b5p-8, 0x1.13b9b9890f41bp-8, 0x1.0ca53ca8737f8p-8, 0x1.05bbf79c45e73p-8, 0x1.fdf9f752c2772p-9, 0x1.f0cebd0c928f2p-9, 0x1.e3f47495dc18p-9, 0x1.d7695ac108a29p-9, 0x1.cb2bb4e2ef1ccp-9, 0x1.bf39d0b2ea4a4p-9, 0x1.b392042b24278p-9, 0x1.a832ad691a28ap-9, 0x1.9d1a328e55d31p-9, 0x1.924701a166143p-9, 0x1.87b7906f1173fp-9, 0x1.7d6a5c6bc3f39p-9, 0x1.735dea954199fp-9, 0x1.6990c754953d1p-9, 0x1.6001866041b84p-9, 0x1.56aec29eb8616p-9, 0x1.4d971e0910ca8p-9, 0x1.44b9418e08937p-9, 0x1.3c13dcf545176p-9, 0x1.33a5a6c2e35bfp-9, 0x1.2b6d5c1b470cp-9, 0x1.2369c0a738436p-9, 0x1.1b999e7849f9p-9, 0x1.13fbc5ed86377p-9, 0x1.0c8f0d986ad5fp-9, 0x1.055252222bfffp-9, 0x1.fc88ec628d58bp-10, 0x1.eec8c49eb2e8p-10, 0x1.e162099e9f30ap-10, 0x1.d452a367a831ep-10, 0x1.c798852c2973cp-10, 0x1.bb31ad199c70ap-10, 0x1.af1c242752002p-10, 0x1.a355fde5c4e17p-10, 0x1.97dd584e7fc3bp-10, 0x1.8cb05b94ac30cp-10, 0x1.81cd39f629b41p-10, 0x1.77322f8d5144ep-10, 0x1.6cdd8223444cbp-10, 0x1.62cd8102dcaeep-10, 0x1.590084cc3b90cp-10, 0x1.4f74ef48df3d1p-10, 0x1.46292b406aec9p-10, 0x1.3d1bac4dedc7bp-10, 0x1.344aeeb5d62bfp-10, 0x1.2bb5773c6e4dcp-10, 0x1.2359d2fcf3192p-10, 0x1.1b3697414672bp-10, 0x1.134a615a2d15p-10, 0x1.0b93d678246d1p-10, 0x1.0411a384cddf1p-10, 0x1.f984f9f9d777fp-11, 0x1.eb4a3d95d4c7cp-11, 0x1.dd709843ffa83p-11, 0x1.cff59eb3aefcdp-11, 0x1.c2d6f3959ae8cp-11, 0x1.b61247556c9e9p-11, 0x1.a9a557d465dcap-11, 0x1.9d8df025204f7p-11, 0x1.91c9e8485e528p-11, 0x1.865724eaee2fdp-11, 0x1.7b3397249cfp-11, 0x1.705d3c38326e4p-11, 0x1.65d21d547bdccp-11, 0x1.5b904f5659779p-11, 0x1.5195f28bd3748p-11, 0x1.47e1327830539p-11, 0x1.3e7045990b718p-11, 0x1.35416d2c66732p-11, 0x1.2c52f4f7b83f2p-11, 0x1.23a3330ff00f6p-11, 0x1.1b3087a2706f2p-11, 0x1.12f95cbef996dp-11, 0x1.0afc26228565cp-11, 0x1.033761030e731p-11, 0x1.f75327b8830f1p-12, 0x1.e8a29c7a2c412p-12, 0x1.da5a512c9703cp-12, 0x1.cc7788138c1dbp-12, 0x1.bef7947599d63p-12, 0x1.b1d7da3e4569ap-12, 0x1.a515cda1ed4a1p-12, 0x1.98aef2c35b44cp-12, 0x1.8ca0dd5af97d7p-12, 0x1.80e9305fac7ffp-12, 0x1.75859db147251p-12, 0x1.6a73e5c495989p-12, 0x1.5fb1d750f763p-12, 0x1.553d4eff871f1p-12, 0x1.4b14371bc5f16p-12, 0x1.41348745c80f1p-12, 0x1.379c4425dc05p-12, 0x1.2e497f21a58b1p-12, 0x1.253a5612aafcbp-12, 0x1.1c6cf2fe4c75bp-12, 0x1.13df8bcf1d5cdp-12, 0x1.0b90620fa1b85p-12, 0x1.037dc2a662ae7p-12, 0x1.f74c0b26b718ep-13, 0x1.e80f1b5d6656fp-13, 0x1.d94190d18619cp-13, 0x1.cae05b16c657ep-13, 0x1.bce87df8ea3bfp-13, 0x1.af5711035de78p-13, 0x1.a2293f0b2c324p-13, 0x1.955c45bb649c7p-13, 0x1.88ed7523d1ed5p-13, 0x1.7cda2f4a034b7p-13, 0x1.711fe7bc9c195p-13, 0x1.65bc2328dedffp-13, 0x1.5aac76f26a465p-13, 0x1.4fee88cd1f13ap-13, 0x1.45800e5929d48p-13, 0x1.3b5eccc120d42p-13, 0x1.3188985a2b98ep-13, 0x1.27fb54463a342p-13, 0x1.1eb4f2182a29bp-13, 0x1.15b37179ebdap-13, 0x1.0cf4dfd486349p-13, 0x1.047757fa08027p-13, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      50, 0x1.2e425aee631f9p+2, 0x1.10146731e02acp+1, 0x1.4017d7c29a038p+2, -0x1.288e40ccdc87ap-6, 
      {{
        {0x1.d343e963dc487p+1, 0x1.d602a64d871c7p+1, 0x1.732aea2161f39p-5, -0x1.140948be9ae11p-3, 0x1.255fdd49b7351p-3, 0x1.5556bc0fbe1e2p-6}, 
        {0x1.d602a64d871c7p+1, 0x1.d8c1633731f07p+1, 0x1.5c079a584f5a3p-5, -0x1.0764e1118f9a4p-3, 0x1.281e9d15eef3ap-3, -0x1.aaac6b13ad2b3p-4}, 
        {0x1.d8c1633731f07p+1, 0x1.db802020dcc46p+1, 0x1.45f8a0dbc547ap-5, -0x1.f5f984518d6c1p-4, 0x1.1a64de18d83ep-3, -0x1.13ebfd2b93c04p-4}, 
        {0x1.db802020dcc46p+1, 0x1.de3edd0a87986p+1, 0x1.30f468d0ac88fp-5, -0x1.de2172a0105f3p-4, 0x1.118497e0a842bp-3, -0x1.2f42743f3e7d9p-4}, 
        {0x1.de3edd0a87986p+1, 0x1.e0fd99f4326c6p+1, 0x1.1cf1afa95228bp-5, -0x1.c715f55d11f16p-4, 0x1.07c32fd386541p-3, -0x1.1b7db9d33580ep-4}, 
        {0x1.e0fd99f4326c6p+1, 0x1.e3bc56dddd406p+1, 0x1.09e781ecc533dp-5, -0x1.b0d9b8fc45a46p-4, 0x1.fd4927df1b331p-4, -0x1.14d7256359ep-4}, 
        {0x1.e3bc56dddd406p+1, 0x1.e67b13c788146p+1, 0x1.ef9a6f3bfedd1p-6, -0x1.9b63688a1a137p-4, 0x1.eb797a4bd4837p-4, -0x1.0b267ee97ba58p-4}, 
        {0x1.e67b13c788146p+1, 0x1.e939d0b132e86p+1, 0x1.cd34e27479b09p-6, -0x1.86ad3e6a52992p-4, 0x1.da49661309f26p-4, -0x1.02e892055d56fp-4}, 
        {0x1.e939d0b132e86p+1, 0x1.ebf88d9addbc6p+1, 0x1.ac8e2937aca0ap-6, -0x1.72b0e51e8328fp-4, 0x1.c9a11135d79cap-4, -0x1.f54ee89a172e9p-5}, 
        {0x1.ebf88d9addbc6p+1, 0x1.eeb74a8488906p+1, 0x1.8d9692de51751p-6, -0x1.5f6888fa7fa96p-4, 0x1.b980b041c180dp-4, -0x1.e5e80e4bb3aa4p-5}, 
        {0x1.eeb74a8488906p+1, 0x1.f176076e33646p+1, 0x1.703eed593ce5cp-6, -0x1.4cce873dde2a3p-4, 0x1.a9df258659e34p-4, -0x1.d72b08fb9372ap-5}, 
        {0x1.f176076e33646p+1, 0x1.f434c457de386p+1, 0x1.54787ea49d442p-6, -0x1.3add8d3302548p-4, 0x1.9ab6fa6972c29p-4, -0x1.c9277155ec009p-5}, 
        {0x1.f434c457de386p+1, 0x1.f6f38141890c6p+1, 0x1.3a34fefba342fp-6, -0x1.299086e281ddap-4, 0x1.8c0237e05e5adp-4, -0x1.bb90deb7aae77p-5}, 
        {0x1.f6f38141890c6p+1, 0x1.f9b23e40ad6f4p+1, 0x1.216693b117fd8p-6, -0x1.18e29455aa968p-4, 0x1.7dbd5c1e64319p-4, -0x1.afa9fda1c203bp-5}, 
        {0x1.f9b23e40ad6f4p+1, 0x1.fc70fb2a58434p+1, 0x1.09ffc92c0c002p-6, -0x1.08cf3499543e8p-4, 0x1.6fda83a0b5a84p-4, -0x1.a2ec4721d1fdp-5}, 
        {0x1.fc70fb2a58434p+1, 0x1.ff2fb81403173p+1, 0x1.e7e71b12e71eap-7, -0x1.f2a41cfc1d771p-5, 0x1.62609873daee9p-4, -0x1.981b4b0ce5235p-5}, 
        {0x1.ff2fb81403173p+1, 0x1.00f73a7ed6f5ap+2, 0x1.be6a57fc5a1cfp-7, -0x1.d4cdf0da31bf6p-5, 0x1.553fc072cdff4p-4, -0x1.8d3e2ffc84e48p-5}, 
        {0x1.00f73a7ed6f5ap+2, 0x1.025698f3ac5fap+2, 0x1.97708dde59cffp-7, -0x1.b8143c626e68p-5, 0x1.48785f6f44df9p-4, -0x1.83503e491a545p-5}, 
        {0x1.025698f3ac5fap+2, 0x1.03b5f76881c9ap+2, 0x1.72e1a782eee5ep-7, -0x1.9c6fa75c7bfddp-5, 0x1.3c02c3dd82cdcp-4, -0x1.79d8dcd0b02acp-5}, 
        {0x1.03b5f76881c9ap+2, 0x1.051555dd5733ap+2, 0x1.50a62af77a756p-7, -0x1.81d957eb43562p-5, 0x1.2fdb1d5887fd1p-4, -0x1.70f52b251c244p-5}, 
        {0x1.051555dd5733ap+2, 0x1.0674b4522c9d9p+2, 0x1.30a730da3329ep-7, -0x1.684ad23d52624p-5, 0x1.23fcaba5259bfp-4, -0x1.68b3e5a190311p-5}, 
        {0x1.0674b4522c9d9p+2, 0x1.07d412c702079p+2, 0x1.12ce5b8c258f4p-7, -0x1.4fbe080ad073dp-5, 0x1.1862352e074ddp-4, -0x1.60f00280b94bcp-5}, 
        {0x1.07d412c702079p+2, 0x1.0933713bd7719p+2, 0x1.ee0b9bbe86becp-8, -0x1.382d50b4cce2ap-5, 0x1.0d07b16238f41p-4, -0x1.59b5bb53e530bp-5}, 
        {0x1.0933713bd7719p+2, 0x1.0a92cfb0acdb9p+2, 0x1.ba7045fb9e59cp-8, -0x1.2193608181a01p-5, 0x1.01e8b30420ca6p-4, -0x1.52ff947d19503p-5}, 
        {0x1.0a92cfb0acdb9p+2, 0x1.0bf22e2582459p+2, 0x1.8aa0cc8293dd6p-8, -0x1.0beb4afdf820ep-5, 0x1.ee01f3fa740d7p-5, -0x1.4cc1ffe21381bp-5}, 
        {0x1.0bf22e2582459p+2, 0x1.0d518c9a57af9p+2, 0x1.5e741680b4963p-8, -0x1.ee60f9f2c2755p-6, 0x1.d8994abf3132ap-5, -0x1.4701eae7ada1bp-5}, 
        {0x1.0d518c9a57af9p+2, 0x1.0eb0eb0f2d199p+2, 0x1.35c1ccab4c44p-8, -0x1.c6bd745b88ce5p-6, 0x1.c38f5752f093cp-5, -0x1.41b0cd2d2c688p-5}, 
        {0x1.0eb0eb0f2d199p+2, 0x1.1010498402839p+2, 0x1.10624a6e546ebp-8, -0x1.a0e433b6dcb44p-6, 0x1.aedcf60e59cacp-5, -0x1.3cd2f3e1ef26dp-5}, 
        {0x1.1010498402839p+2, 0x1.116fa7f8d7ed9p+2, 0x1.dc5d20300df23p-9, -0x1.7cce0657916dp-6, 0x1.9a7abc71195dep-5, -0x1.385b112747303p-5}, 
        {0x1.116fa7f8d7ed9p+2, 0x1.12cf066dad579p+2, 0x1.9e006a76d4e83p-9, -0x1.5a745406923f2p-6, 0x1.86621b1af79fp-5, -0x1.344b48a6eef42p-5}, 
        {0x1.12cf066dad579p+2, 0x1.142e64e282c19p+2, 0x1.6562b80985e09p-9, -0x1.39d1161fb8361p-6, 0x1.728c5f6f7f756p-5, -0x1.309b97c9bc728p-5}, 
        {0x1.142e64e282c19p+2, 0x1.158dc357582b9p+2, 0x1.3239499ff69dep-9, -0x1.1aded36c0df2fp-6, 0x1.5ef35ac0522f9p-5, -0x1.2d47e06fde525p-5}, 
        {0x1.158dc357582b9p+2, 0x1.16ed21cc2d959p+2, 0x1.043a44ddf5252p-9, -0x1.fb312f21010bap-7, 0x1.4b912230efe5cp-5, -0x1.2a4ad97785532p-5}, 
        {0x1.16ed21cc2d959p+2, 0x1.184c804102ff9p+2, 0x1.b6393c279eb89p-10, -0x1.c3f3d8d28f07ap-7, 0x1.386021f380258p-5, -0x1.27a2219c89c8ap-5}, 
        {0x1.184c804102ff9p+2, 0x1.19abdeb5d8699p+2, 0x1.6d300639744fcp-10, -0x1.8ffda93f233eep-7, 0x1.255aed6d09766p-5, -0x1.254523c0926cap-5}, 
        {0x1.19abdeb5d8699p+2, 0x1.1b0b3d2aadd39p+2, 0x1.2cc98e5e3a0d9p-10, -0x1.5f4787d5ecdfep-7, 0x1.127ca55e09c2dp-5, -0x1.233286a242c15p-5}, 
        {0x1.1b0b3d2aadd39p+2, 0x1.1c6a9b9f833d9p+2, 0x1.e8ef40d9f6e47p-11, -0x1.31cb301ad51a5p-7, 0x1.ff81017afe0c2p-6, -0x1.216447f67970dp-5}, 
        {0x1.1c6a9b9f833d9p+2, 0x1.1dc9fa1458a79p+2, 0x1.875a13f084c9bp-11, -0x1.078327414024fp-7, 0x1.da4432f57cbf2p-6, -0x1.1fd562a8661f4p-5}, 
        {0x1.1dc9fa1458a79p+2, 0x1.1f2958892e119p+2, 0x1.33baf22889906p-11, -0x1.c0d5592ddf0c4p-8, 0x1.b53ab865e2885p-6, -0x1.1e8185d3c377ap-5}, 
        {0x1.1f2958892e119p+2, 0x1.2088b6fe037b9p+2, 0x1.d9f57647f6fb4p-12, -0x1.78fb58a67b486p-8, 0x1.905cf93291fd2p-6, -0x1.1d64d3361d99cp-5}, 
        {0x1.2088b6fe037b9p+2, 0x1.21e81572d8e59p+2, 0x1.6407315cf27f2p-12, -0x1.3771680dcc823p-8, 0x1.6ba3dc2de96fcp-6, -0x1.1c75bd617505cp-5}, 
        {0x1.21e81572d8e59p+2, 0x1.234773f26b17p+2, 0x1.03819456886c2p-12, -0x1.f8637e971b43ap-9, 0x1.470982d4c9cccp-6, -0x1.1bbc076339729p-5}, 
        {0x1.234773f26b17p+2, 0x1.24a6d2674081p+2, 0x1.6c79d20e1209dp-13, -0x1.8e6f58f10d5c3p-9, 0x1.22870dd7481f4p-6, -0x1.1b2789aacc212p-5}, 
        {0x1.24a6d2674081p+2, 0x1.260630dc15ebp+2, 0x1.e84bb579d21dfp-14, -0x1.30ff04e02df0ap-9, 0x1.fc2f6ac69ed94p-7, -0x1.1a8dabc9a2681p-5}, 
        {0x1.260630dc15ebp+2, 0x1.27658f50eb55p+2, 0x1.337a16dbfc509p-14, -0x1.c017a457727e2p-10, 0x1.b37852de31449p-7, -0x1.1ad7a355f13aep-5}, 
        {0x1.27658f50eb55p+2, 0x1.28c4edc5c0befp+2, 0x1.63dbc092971e6p-15, -0x1.3727fa89b767ep-10, 0x1.6aae31e4024c1p-7, -0x1.18472fd96529dp-5}, 
        {0x1.28c4edc5c0befp+2, 0x1.2a244c3a9628fp+2, 0x1.6c630b827d7e8p-16, -0x1.8e2aa8e93f23fp-11, 0x1.228d010467f7ap-7, -0x1.20d85f4e05fdep-5}, 
        {0x1.2a244c3a9628fp+2, 0x1.2b83aaaf6b92fp+2, 0x1.3371fb6d3a18cp-17, -0x1.c08e2fe948468p-12, 0x1.b06ecace220e3p-8, -0x1.003cebf934062p-5}, 
        {0x1.2b83aaaf6b92fp+2, 0x1.2ce3092440fcfp+2, 0x1.6c6032b59ddcbp-19, -0x1.8a1735ec7a949p-13, 0x1.2c8c03bc2db9bp-8, -0x1.799562d79ca9p-5}, 
        {0x1.2ce3092440fcfp+2, 0x1.2e425aee631f9p+2, 0x1.6c5fd7997963cp-22, -0x1.cbcd382467de8p-15, 0x1.a8d1596524d06p-10, 0x1.279f6bfcffd05p-3}, 
      }}, 
      -0x1.3a65321da634bp+3, 0x1.4896f1ff1a85dp+7
    }
  };
  // clang-format on
}
SkfData params_hyb_0_2_si_as() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.fcce22c27891fp-2, -0x1.b485affe28fa2p-2, -0x1.70487b1d4bc2cp-2, -0x1.30c06a52caaf6p-2, -0x1.ecc551a041ecap-3, -0x1.82eb62ec8adc3p-3, -0x1.2431728ef26c1p-3, -0x1.a12dfda89731fp-4, -0x1.0fcefb64a6237p-4, -0x1.270ef2c82318ep-5, -0x1.5ac92c70fb79ap-7, 0x1.4f348f68f9048p-7, 0x1.b601e91c246c6p-6, 0x1.41a342fed427bp-5, 0x1.8a849fa166027p-5, 0x1.b87a1b44afbfap-5, 0x1.ce4d968c82f4p-5, 0x1.ceb2d4d514073p-5, 0x1.bc416cb527d75p-5, 0x1.99715f66c6a86p-5, 0x1.689806ccb029fp-5, 0x1.2be9d17819996p-5, 0x1.cac1c8ef5e671p-6, 0x1.2dbc463271fabp-6, 0x1.0861d46f5dd98p-7, -0x1.76062ee979bb1p-9, -0x1.d08dcdeddccf8p-7, -0x1.a5da3476628cdp-6, -0x1.329c72a0e61bdp-5, -0x1.92304e333960bp-5, -0x1.f0c46407d6d2p-5, -0x1.26c790fb77a71p-4, -0x1.53f013d25cf7ep-4, -0x1.7f8f923605663p-4, -0x1.a965590a83b79p-4, -0x1.d13b6d72f5c88p-4, -0x1.f6e598261423dp-4, -0x1.0d2024a1ca97p-3, -0x1.1d97bbbbce556p-3, -0x1.2ccecf8705a11p-3, -0x1.3abd7c9914648p-3, -0x1.475e7836fbe52p-3, -0x1.52aee2cca551p-3, -0x1.5cae26bbbe192p-3, -0x1.655dd6c3b2276p-3, -0x1.6cc182849f118p-3, -0x1.72de7d52e792fp-3, -0x1.77bb998e875c8p-3, -0x1.7b60df118bf62p-3, -0x1.7dd744fd84c85p-3, -0x1.7f287630a8d34p-3, -0x1.7f5ea4c1fcf64p-3, -0x1.7e846d3adf151p-3, -0x1.7ca4c6f83daa8p-3, -0x1.79cafcf3d3603p-3, -0x1.7602a97f09e9dp-3, -0x1.7157b01df95cbp-3, -0x1.6bd6324c167e4p-3, -0x1.658a7dfc9dbb4p-3, -0x1.5e80f6964ac12p-3, -0x1.56c5fa958ce0cp-3, -0x1.4e65c8b5429d7p-3, -0x1.456c677aa1bcep-3, -0x1.3beb5f4027785p-3, -0x1.31e2f3cabab3cp-3, -0x1.27628b31a630ep-3, -0x1.1c74d743ff29fp-3, -0x1.11244b652f62bp-3, -0x1.057b1601293a7p-3, -0x1.f3062f962d376p-4, -0x1.da8bb4053a29fp-4, -0x1.c1990a46dcd4cp-4, -0x1.a83fb2819739fp-4, -0x1.8e9051eb6fc48p-4, -0x1.749aaeba399e8p-4, -0x1.5a6db217534a8p-4, -0x1.40176f39871d4p-4, -0x1.25a52e34568c2p-4, -0x1.0b2378c388a13p-4, -0x1.e13c4eb79aabp-5, -0x1.ac40da143ebebp-5, -0x1.7769c230267bbp-5, -0x1.42cb0bd9825e9p-5, -0x1.0e779a442ac65p-5, -0x1.b50264cade8cap-6, -0x1.4df0f5c447248p-6, -0x1.cfb3e8f8ec121p-7, -0x1.05b4540eaafa7p-7, -0x1.f0c1ac25bf7f7p-10, 0x1.0ddfd4e66cbf9p-8, 0x1.4937ee2be92bfp-7, 0x1.044bff3edd646p-6, 0x1.62762cd3d6919p-6, 0x1.bf0a8ba48479bp-6, 0x1.0cfd79275cdbep-5, 0x1.399d6f28499d4p-5, 0x1.655fa7f38abc2p-5, 0x1.903f53b361709p-5, 0x1.ba3842b5bec91p-5, 0x1.e346d76a8b3b3p-5, 0x1.05b3fd453269ap-4, 0x1.194c88b892318p-4, 0x1.2c6bfb43f920dp-4, 0x1.3f1179bb21b8ap-4, 0x1.513c5e5cbcc9dp-4, 0x1.62ec371c1c773p-4, 0x1.7420c433b3c58p-4, 0x1.84d9f6d054688p-4, 0x1.9517efad13e1p-4, 0x1.a4dafd8173c59p-4, 0x1.b4239b2d8210ap-4, 0x1.c2f26d99867a1p-4, 0x1.d14841474b008p-4, 0x1.df26079aee5dap-4, 0x1.ec8cd3e6a0423p-4, 0x1.f97dd8497a5a4p-4, 0x1.02fd313a1fe75p-3, 0x1.0901ec341e524p-3, 0x1.0ecddaa22af3p-3, 0x1.1461c3199c9d6p-3, 0x1.19be73c58ede9p-3, 0x1.1ee4c1164e1a6p-3, 0x1.23d5849534c9fp-3, 0x1.28919bdff55fp-3, 0x1.2d19e7cc6095ap-3, 0x1.316f4bb3b9d6ap-3, 0x1.3592ace2f61fbp-3, 0x1.3984f22bd5bddp-3, 0x1.3d47039182d34p-3, 0x1.40d9ca0aa96b8p-3, 0x1.443e2f529ee35p-3, 0x1.47751dc343866p-3, 0x1.4a7f8031c8cdbp-3, 0x1.4d5e41c9699d2p-3, 0x1.50124de02b8p-3, 0x1.529c8fc32cf05p-3, 0x1.54fdf2793b33cp-3, 0x1.5737607bc3286p-3, 0x1.5949c367448dfp-3, 0x1.5b3603a55085bp-3, 0x1.5cfd0812b18bfp-3, 0x1.5e9fb5a4b1631p-3, 0x1.601eef1063529p-3, 0x1.617b9476bc17ep-3, 0x1.62b68317b429p-3, 0x1.63d0950e564fap-3, 0x1.64caa116d6b9dp-3, 0x1.65a53debdf26cp-3, 0x1.6662297b1dfbdp-3, 0x1.670174ebda4cbp-3, 0x1.6783e3c7a4df5p-3, 0x1.67ea3676922bap-3, 0x1.68352a5946ad2p-3, 0x1.686579dd48e51p-3, 0x1.687bdc8a74251p-3, 0x1.687907092293ep-3, 0x1.685dab20fe97ap-3, 0x1.682a77b123a63p-3, 0x1.67e018a262793p-3, 0x1.677f36d4fdee2p-3, 0x1.6708780b59eddp-3, 0x1.667c7ed32c93bp-3, 0x1.65dbea6eca99cp-3, 0x1.652756c018386p-3, 0x1.645f5c3674a54p-3, 0x1.63848fc0cde6p-3, 0x1.629782c4ae4fdp-3, 0x1.6198c31af9c74p-3, 0x1.6088db128f888p-3, 0x1.5f685178faaf2p-3, 0x1.5e37a9a8e6bacp-3, 0x1.5cf7639dfbb2ep-3, 0x1.5ba7fc0d7d6eep-3, 0x1.5a49ec82f62a9p-3, 0x1.58ddab800dddp-3, 0x1.5763ac9eaee61p-3, 0x1.55dc60b487f06p-3, 0x1.544835f70b9bdp-3, 0x1.52a7981f0a1f7p-3, 0x1.50faf08b34f68p-3, 0x1.4f42a660c9523p-3, 0x1.4d7f1ea9e7ee7p-3, 0x1.4bb0bc71270dep-3, 0x1.49d7e0da1054ap-3, 0x1.47f4eb366f3dbp-3, 0x1.460839185160ap-3, 0x1.44122660eb8cep-3, 0x1.42130d4c77f55p-3, 0x1.400b467b6c6cp-3, 0x1.3dfb28f949c48p-3, 0x1.3be30a417dc12p-3, 0x1.39c33e42b3041p-3, 0x1.379c1761007ep-3, 0x1.356de677672e5p-3, 0x1.3338fad8ffd7ap-3, 0x1.30fda2522a76ep-3, 0x1.2ebc292a1e7c8p-3, 0x1.2c74da2506e0bp-3, 0x1.2a27fe86eced3p-3, 0x1.27d5de1786d8dp-3, 0x1.257ebf26fcad5p-3, 0x1.2322e693b0a93p-3, 0x1.20c297d0f6014p-3, 0x1.1e5e14eead368p-3, 0x1.1bf59ea19e6acp-3, 0x1.1989744c78315p-3, 0x1.1719d409419b7p-3, 0x1.14a6fab319ab5p-3, 0x1.123123f015916p-3, 0x1.0fb88a3b0c705p-3, 0x1.0d3d66ed37263p-3, 0x1.0abff2476687ep-3, 0x1.0840637ac8248p-3, 0x1.05bef0b1068c3p-3, 0x1.033bcf13c6dc1p-3, 0x1.00b732d35cdcdp-3, 0x1.fc629e5979777p-4, 0x1.f754acdd513a6p-4, 0x1.f244f3fc1464ap-4, 0x1.ed33d4b32ab31p-4, 0x1.e821ae396b17ap-4, 0x1.e30ede03aa163p-4, 0x1.ddfbbfc829606p-4, 0x1.d8e8ad810f64ep-4, 0x1.d3d5ff6e02f7bp-4, 0x1.cec40c153f849p-4, 0x1.c9b3284411f6bp-4, 0x1.c4a3a70f20d93p-4, 0x1.bf95d9d27def1p-4, 0x1.ba8a1031b2837p-4, 0x1.b5809817e9a27p-4, 0x1.b079bdb841057p-4, 0x1.ab75cb8e63e31p-4, 0x1.a6750a5f6ddf6p-4, 0x1.a177c13b29774p-4, 0x1.9c7e357db9bb3p-4, 0x1.9788aad188d3cp-4, 0x1.92976331afbbap-4, 0x1.8daa9eec9da85p-4, 0x1.88c29ca719b2dp-4, 0x1.83df995f85c47p-4, 0x1.7f01d0715a837p-4, 0x1.7a297b98d4815p-4, 0x1.7556d2f6c2225p-4, 0x1.708a0d146bbafp-4, 0x1.6bc35ee78a74bp-4, 0x1.6702fbd64501p-4, 0x1.624915bb2a024p-4, 0x1.5d95dce923f36p-4, 0x1.58e9802f5f559p-4, 0x1.54442cdd21bddp-4, 0x1.4fa60ec58fa44p-4, 0x1.4b0f504360156p-4, 0x1.46801a3c7e9dep-4, 0x1.41f894259e706p-4, 0x1.3d78e405c02bap-4, 0x1.39012e79ae213p-4, 0x1.349196b771ec9p-4, 0x1.302a3e91c8a25p-4, 0x1.2bcb467b972bcp-4, 0x1.2774cd8b66e7bp-4, 0x1.2326f17ee8cd9p-4, 0x1.1ee1cebe87573p-4, 0x1.1aa58061086d3p-4, 0x1.1672202f4063cp-4, 0x1.1247c6a7da6dbp-4, 0x1.0e268b0337c16p-4, 0x1.0a0e833764e81p-4, 0x1.05ffc3fc27ae3p-4, 0x1.01fa60cf244c7p-4, 0x1.fbfcd7f033edcp-5, 0x1.f417ed1a70198p-5, 0x1.ec4620ef0bdcap-5, 0x1.e48790eec6332p-5, 0x1.dcdc58522e927p-5, 0x1.d5449012ebdb7p-5, 0x1.cdc04ef522f6ep-5, 0x1.c64fa990f7d54p-5, 0x1.bef2b25c2a3a4p-5, 0x1.b7a979b3c5884p-5, 0x1.b0740de5e5a7dp-5, 0x1.a9527b3b89a89p-5, 0x1.a244cc0274ce6p-5, 0x1.9b4b08971810bp-5, 0x1.9465376e8519bp-5, 0x1.8d935d2066328p-5, 0x1.86d57c70fac22p-5, 0x1.802b965b158f1p-5, 0x1.7995aa1a1b5adp-5, 0x1.7313b534017d5p-5, 0x1.6ca5b3834a0a1p-5, 0x1.664b9f40fcca8p-5, 0x1.6005710e9cb38p-5, 0x1.59d3200016abfp-5, 0x1.53b4a1a5ab65bp-5, 0x1.4da9ea15d22ddp-5, 0x1.47b2ebf710d3ap-5, 0x1.41cf9889cefe1p-5, 0x1.3bffdfb21b6cdp-5, 0x1.3643b00167bacp-5, 0x1.309af6c03828dp-5, 0x1.2b059ff7c6652p-5, 0x1.2583967b94225p-5, 0x1.2014c3f2f2126p-5, 0x1.1ab910e2732e1p-5, 0x1.157064b550da9p-5, 0x1.103aa5c6bb013p-5, 0x1.0b17b96b168ffp-5, 0x1.060783f926291p-5, 0x1.0109e8d31d026p-5, 0x1.f83d94df3b6cfp-6, 0x1.ee8c14c53a945p-6, 0x1.e4ff12cc67ccbp-6, 0x1.db964ec69c829p-6, 0x1.d250c0815d783p-6, 0x1.c92fbf1c19206p-6, 0x1.c03232d8a58fbp-6, 0x1.b757d5cc045e9p-6, 0x1.aea060bb1f485p-6, 0x1.a60b8b2a71c78p-6, 0x1.9d990b6d87c5ep-6, 0x1.954896b648ed4p-6, 0x1.8d19e124141efp-6, 0x1.850c9dd2ade1ep-6, 0x1.7d207ee8f51cfp-6, 0x1.755535a76ac8p-6, 0x1.6daa72767dccep-6, 0x1.661fe4f4a16d3p-6, 0x1.5eb53c042c111p-6, 0x1.576a25d8f6c07p-6, 0x1.503e5005c66dcp-6, 0x1.4931678970fe7p-6, 0x1.424318dbc5cf5p-6, 0x1.3b730ffa384b8p-6, 0x1.34c0f87440a16p-6, 0x1.2e2c7d77842b2p-6, 0x1.27b549dbaf077p-6, 0x1.215b082e0e5d6p-6, 0x1.1b1d62bce7126p-6, 0x1.14fc03a27f181p-6, 0x1.0ef694cfe819fp-6, 0x1.090cc0177c0e6p-6, 0x1.033e2f3717a26p-6, 0x1.fb1517c41584ep-7, 0x1.efe2ff9586f1dp-7, 0x1.e4e5695863734p-7, 0x1.da1ba8a5c5665p-7, 0x1.cf85114bafbbap-7, 0x1.c520f75e33913p-7, 0x1.baeeaf4807a7ep-7, 0x1.b0ed8dda904b1p-7, 0x1.a71ce85d78094p-7, 0x1.9d7c149da0f34p-7, 0x1.940a68fbb78f6p-7, 0x1.8ac73c7a1fbaap-7, 0x1.81b1e6ca833f7p-7, 0x1.78c9c05ac9d45p-7, 0x1.700e2261a78ep-7, 0x1.677e66eaa2cd4p-7, 0x1.5f19e8e1b206fp-7, 0x1.56e0041e56aa5p-7, 0x1.4ed0156e5582p-7, 0x1.46e97a9fef4bdp-7, 0x1.3f2b928bb737dp-7, 0x1.3795bd1df4dffp-7, 0x1.30275b5fa32b2p-7, 0x1.28dfcf7f04cacp-7, 0x1.21be7cd7d3f38p-7, 0x1.1ac2c7fb0e95dp-7, 0x1.13ec16b66306bp-7, 0x1.0d39d01b3b44ep-7, 0x1.06ab5c856d52fp-7, 0x1.004025a18e8aep-7, 0x1.f3ef2ce5df5f1p-8, 0x1.e7a236b27dd6fp-8, 0x1.db98442badd6cp-8, 0x1.cfd033a16ed46p-8, 0x1.c448e63a5b9a5p-8, 0x1.b9013ffc56465p-8, 0x1.adf827d4992f7p-8, 0x1.a32c879f2cb51p-8, 0x1.989d4c2dc35e1p-8, 0x1.8e49654e03525p-8, 0x1.842fc5cf3e4e3p-8, 0x1.7a4f63879a98cp-8, 0x1.70a73758ae651p-8, 0x1.67363d339730cp-8, 0x1.5dfb741c84f54p-8, 0x1.54f5de2dc8f04p-8, 0x1.4c24809a6068cp-8, 0x1.438663b001a29p-8, 0x1.3b1a92d8b3b99p-8, 0x1.32e01c9be8639p-8, 0x1.2ad6129f28c3ap-8, 0x1.22fb89a64a0cap-8, 0x1.1b4f999339b7p-8, 0x1.13d15d655bef6p-8, 0x1.0c7ff3388300ap-8, 0x1.055a7c438168fp-8, 0x1.fcc039acba272p-9, 0x1.ef1ff8b0425cfp-9, 0x1.e1d28a88b29d3p-9, 0x1.d4d64a5064727p-9, 0x1.c829993e92aa3p-9, 0x1.bbcadea056a55p-9, 0x1.afb887d10bf98p-9, 0x1.a3f1083226c5bp-9, 0x1.9872d92277a8ap-9, 0x1.8d3c79f4f7ce9p-9, 0x1.824c6fe70cc3bp-9, 0x1.77a1461664b0ap-9, 0x1.6d398d765aafp-9, 0x1.6313dcc4fd1a6p-9, 0x1.592ed07fae8cbp-9, 0x1.4f890ad7789adp-9, 0x1.462133a5023d9p-9, 0x1.3cf5f85c496f2p-9, 0x1.34060c000df7cp-9, 0x1.2b502715062fap-9, 0x1.22d30794df661p-9, 0x1.1a8d70e105fcep-9, 0x1.127e2bb54e8ep-9, 0x1.0aa4061a70e72p-9, 0x1.02fdd358664fap-9, 0x1.f714d7d164d41p-10, 0x1.e8915ad11d9fdp-10, 0x1.da6ef5161a36ap-10, 0x1.ccab76164a789p-10, 0x1.bf44b73b80dbcp-10, 0x1.b2389bc775325p-10, 0x1.a58510b7c64fcp-10, 0x1.99280ca9fa8e8p-10, 0x1.8d1f8fbf85f69p-10, 0x1.8169a381da861p-10, 0x1.76045ac68a7dbp-10, 0x1.6aedd1936f2dep-10, 0x1.60242d02ebe9dp-10, 0x1.55a59b28453eap-10, 0x1.4b7052f40b4e8p-10, 0x1.4182941899902p-10, 0x1.37daa6eeaf533p-10, 0x1.2e76dc5a1da93p-10, 0x1.25558dae8bd34p-10, 0x1.1c751c944a523p-10, 0x1.13d3f2ed433d7p-10, 0x1.0b7082b9f15aap-10, 0x1.034945fe6bb36p-10, 0x1.f6b97d4eff9c3p-11, 0x1.e752ecdfa1ee8p-11, 0x1.d85bfd8a0ac9bp-11, 0x1.c9d1e159f10dap-11, 0x1.bbb1d955db234p-11, 0x1.adf9354996fbcp-11, 0x1.a0a55390aa67bp-11, 0x1.93b3a0e0b8657p-11, 0x1.87219813f5f98p-11, 0x1.7aecc1f38353fp-11, 0x1.6f12b501c856cp-11, 0x1.63911544c40dp-11, 0x1.5865941054b2dp-11, 0x1.4d8defd074429p-11, 0x1.4307f3d3789b6p-11, 0x1.38d17814470c2p-11, 0x1.2ee8610493204p-11, 0x1.254a9f571ab94p-11, 0x1.1bf62fc9f752ap-11, 0x1.12e91af0fd75cp-11, 0x1.0a2175003612ap-11, 0x1.019d5d9686af7p-11, 0x1.f2b5ff10d904fp-12, 0x1.e2b12156121e7p-12, 0x1.d328a33ebc1bep-12, 0x1.c4191b3b95b3cp-12, 0x1.b57f3483e7dd6p-12, 0x1.a757aeadeb37dp-12, 0x1.999f5d48106b7p-12, 0x1.8c532773307bep-12, 0x1.7f70077da8a2ap-12, 0x1.72f30a7fac76ep-12, 0x1.66d94ff897e2bp-12, 0x1.5b20096d951e2p-12, 0x1.4fc47a098111bp-12, 0x1.44c3f63e3b29bp-12, 0x1.3a1be36746ee9p-12, 0x1.2fc9b76e2276cp-12, 0x1.25caf86ff1c4ap-12, 0x1.1c1d3c64de173p-12, 0x1.12be28c90e282p-12, 0x1.09ab7247495acp-12, 0x1.00e2dc655686p-12, 0x1.f0c47264050f6p-13, 0x1.e04ed1e9cd01cp-13, 0x1.d060b3bfd5266p-13, 0x1.c0f60f84fcbc6p-13, 0x1.b20af77cff29bp-13, 0x1.a39b97fdca5ecp-13, 0x1.95a436dff1775p-13, 0x1.882132f285735p-13, 0x1.7b0f037207789p-13, 0x1.6e6a37827bd1ep-13, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.b89c7ebe655c1p-1, -0x1.aede080463e26p-1, -0x1.a468df3f25ce6p-1, -0x1.996d5fccc86cp-1, -0x1.8e16e2ec463aep-1, -0x1.828b5a53cbc86p-1, -0x1.76ec1ee88c133p-1, -0x1.6b55eda5ca8d3p-1, -0x1.5fe0ea3075ecbp-1, -0x1.54a1541a02658p-1, -0x1.49a7eb9971db4p-1, -0x1.3f02116b19c46p-1, -0x1.34ba2ffb14354p-1, -0x1.2ad834b8f7896p-1, -0x1.2161d50e5fa04p-1, -0x1.185aca37c11fbp-1, -0x1.0fc5222d99b25p-1, -0x1.07a189854c725p-1, -0x1.ffdefc070de23p-2, -0x1.f15af4941cb69p-2, -0x1.e3b24ce928633p-2, -0x1.d6df08b17e4ffp-2, -0x1.cada4640b93ecp-2, -0x1.bf9c252cf29a1p-2, -0x1.b51c4669d5318p-2, -0x1.ab51e4711dc26p-2, -0x1.a233f319a3215p-2, -0x1.99b93ebe12f46p-2, -0x1.91d889c4c13ffp-2, -0x1.8a88a491d2ca9p-2, -0x1.83c07f58c383p-2, -0x1.7d77387bf3bf1p-2, -0x1.77a4298a1e387p-2, -0x1.723ef27a57779p-2, -0x1.6d3f81c0500c3p-2, -0x1.689e18d079b0bp-2, -0x1.64534e1c4e223p-2, -0x1.60580e0a8f56fp-2, -0x1.5ca59be42c283p-2, -0x1.593592dad8056p-2, -0x1.5601e6ce6513p-2, -0x1.5304e4640b85p-2, -0x1.5039302ce6d4ep-2, -0x1.4d99c4ceb6e71p-2, -0x1.4b21f04f97eb9p-2, -0x1.48cd50c69cb8ep-2, -0x1.4697d0c365e55p-2, -0x1.447da3b8f5778p-2, -0x1.427b429ef4e0ep-2, -0x1.408d68dbda9adp-2, -0x1.3eb1116f344f2p-2, -0x1.3ce37444f4e64p-2, -0x1.3b220397f74b8p-2, -0x1.396a694dbf002p-2, -0x1.37ba843bb57b5p-2, -0x1.3610654d51b6bp-2, -0x1.346a4c8b095c1p-2, -0x1.32c6a60baa0b9p-2, -0x1.312406e2c7672p-2, -0x1.2f812a24b1a15p-2, -0x1.2ddcee18532fdp-2, -0x1.2c3651a8f81aep-2, -0x1.2a8c721f21dc3p-2, -0x1.28de8f9c7167dp-2, -0x1.272be5ed00a7ep-2, -0x1.2573f36c7cb5ap-2, -0x1.23b63e347696ap-2, -0x1.21f2619a84652p-2, -0x1.20280c59e2518p-2, -0x1.1e56feddaf91ep-2, -0x1.1c7f09afbd714p-2, -0x1.1aa00c0cd13b4p-2, -0x1.18b9f29c2c395p-2, -0x1.16ccb645e86cp-2, -0x1.14d85b225be6bp-2, -0x1.12dcef7c973c9p-2, -0x1.10da8ae2b85b1p-2, -0x1.0ed14d403918ap-2, -0x1.0cc15dfff2ba3p-2, -0x1.0aaaeb35228e6p-2, -0x1.088e28cc06e87p-2, -0x1.066b4fc38f989p-2, -0x1.04429d72061abp-2, -0x1.021452d6992f5p-2, -0x1.ffc167f2a06ep-3, -0x1.fb500eb4bf60cp-3, -0x1.f6d52ae217663p-3, -0x1.f25150735a31dp-3, -0x1.edc515a37b501p-3, -0x1.e9311240dda1p-3, -0x1.e495df13f0b4ap-3, -0x1.dff4155769457p-3, -0x1.db4c4e3e58af2p-3, -0x1.d69f2284e3438p-3, -0x1.d1ed2a090008cp-3, -0x1.cd36fb6999e5bp-3, -0x1.c87d2bab36571p-3, -0x1.c3c04de1fa179p-3, -0x1.bf00f2e16654cp-3, -0x1.ba3fa8f25a4cp-3, -0x1.b57cfb8ff966dp-3, -0x1.b0b9732bef38bp-3, -0x1.abf594fa7686fp-3, -0x1.a731e2c65ac4p-3, -0x1.a26edacd01309p-3, -0x1.9dacf7a24be52p-3, -0x1.98ecb01bfd0b4p-3, -0x1.942e77440ca8ap-3, -0x1.8f72bc51189ap-3, -0x1.8ab9eaa41c83fp-3, -0x1.860469ca63ae2p-3, -0x1.81529d82e7d84p-3, -0x1.7ca4e5c63af74p-3, -0x1.77fb9ed06490ep-3, -0x1.7357212c27bb9p-3, -0x1.6eb7c1bf5aacap-3, -0x1.6a1dd1d7f9a26p-3, -0x1.65899f39c0622p-3, -0x1.60fb742c1bacdp-3, -0x1.5c7397885ae97p-3, -0x1.57f24cc8106e3p-3, -0x1.5377d413b9eap-3, -0x1.4f046a51ba9c6p-3, -0x1.4a984935da5fp-3, -0x1.4633a7517f296p-3, -0x1.41d6b824b70cdp-3, -0x1.3d81ac30395b3p-3, -0x1.3934b1086dedcp-3, -0x1.34eff1695e65cp-3, -0x1.30b3954b7a885p-3, -0x1.2c7fc1f902d93p-3, -0x1.28549a23d153dp-3, -0x1.24323dfb4b7bep-3, -0x1.2018cb424579ep-3, -0x1.1c085d64a5016p-3, -0x1.18010d8ca1b33p-3, -0x1.1402f2b7986d5p-3, -0x1.100e21ca5e2e7p-3, -0x1.0c22ada53318ep-3, -0x1.0840a7373c13p-3, -0x1.04681d91b7caep-3, -0x1.00991dfad4bb4p-3, -0x1.f9a768008365fp-4, -0x1.f22fd312c23e5p-4, -0x1.eacb8dd246fd2p-4, -0x1.e37aa5dec655ap-4, -0x1.dc3d25f382ef4p-4, -0x1.d513216a0fedap-4, -0x1.cdfc86a908a79p-4, -0x1.c6f96391884c1p-4, -0x1.c009b88cc0f95p-4, -0x1.b92d83b9ce539p-4, -0x1.b264c107a14aap-4, -0x1.abaf6a4dd7ad3p-4, -0x1.a50d7764b0cbcp-4, -0x1.9e7ede3c47a11p-4, -0x1.980392f30f294p-4, -0x1.919b87ebc850fp-4, -0x1.8b46ade2e8de9p-4, -0x1.8504f40384383p-4, -0x1.7ed647fbb9b93p-4, -0x1.78ba9610a94a4p-4, -0x1.72b1c931ea311p-4, -0x1.6cbbcb0c839p-4, -0x1.66d8841d5d9d1p-4, -0x1.6107dbc32973fp-4, -0x1.5b49b84fb7982p-4, -0x1.559dff18b45b9p-4, -0x1.50049487c7864p-4, -0x1.4a7d5c2a0e72ep-4, -0x1.450838beecef2p-4, -0x1.3fa50c462f6aap-4, -0x1.3a53b80d7e1bep-4, -0x1.35141cbd1d3afp-4, -0x1.2fe61a63feb88p-4, -0x1.2ac9908324eabp-4, -0x1.25be5e185c297p-4, -0x1.20c461a8520b5p-4, -0x1.1bdb79481097p-4, -0x1.170382a5e5aeep-4, -0x1.123c5b11c2525p-4, -0x1.0d85df8518bf2p-4, -0x1.08dfecaa46fdcp-4, -0x1.044a5ee3937a4p-4, -0x1.ff8a24a3942dep-5, -0x1.f69fc5b4fdfe6p-5, -0x1.edd5585c01cfep-5, -0x1.e52a939a0604cp-5, -0x1.dc9f2e1c060d7p-5, -0x1.d432de44e5755p-5, -0x1.cbe55a3753c0ap-5, -0x1.c3b657df4662ep-5, -0x1.bba58cfb13b62p-5, -0x1.b3b2af24310e5p-5, -0x1.abdd73d79cb6ap-5, -0x1.a425907df26e4p-5, -0x1.9c8aba7331c9fp-5, -0x1.950ca70e3402cp-5, -0x1.8dab0ba7d72d6p-5, -0x1.86659da1daa1ap-5, -0x1.7f3c126d6eae6p-5, -0x1.782e1f91795b7p-5, -0x1.713b7ab08c5c2p-5, -0x1.6a63d98e8f02p-5, -0x1.63a6f2161d97fp-5, -0x1.5d047a5d99eddp-5, -0x1.567c28abf52bp-5, -0x1.500db37d30186p-5, -0x1.49b8d18696cdep-5, -0x1.437d39bab9e0fp-5, -0x1.3d5aa34d2789p-5, -0x1.3750c5b5eab74p-5, -0x1.315f58b4d2effp-5, -0x1.2b8614548703dp-5, -0x1.25c4b0ed6b19ap-5, -0x1.201ae72857926p-5, -0x1.1a8870012d189p-5, -0x1.150d04c94038bp-5, -0x1.0fa85f29a65dfp-5, -0x1.0a5a3925675d3p-5, -0x1.05224d1b90093p-5, -0x1.000055c9333p-5, -0x1.f5e81c969fp-6, -0x1.ebfa64414c992p-6, -0x1.e236fa56ff589p-6, -0x1.d89d5766bc1c9p-6, -0x1.cf2cf4cd48e0fp-6, -0x1.c5e54cb85d068p-6, -0x1.bcc5da29b1ef2p-6, -0x1.b3ce18fa06effp-6, -0x1.aafd85dbfc731p-6, -0x1.a2539e5ee3d69p-6, -0x1.99cfe0f16fa18p-6, -0x1.9171cce44e9c8p-6, -0x1.8938e26caac44p-6, -0x1.8124a2a6926bep-6, -0x1.79348f974adadp-6, -0x1.71682c2f828b7p-6, -0x1.69befc4d71d2ep-6, -0x1.623884bee0cadp-6, -0x1.5ad44b43127e1p-6, -0x1.5391d68c9dc93p-6, -0x1.4c70ae4327f95p-6, -0x1.45705b050dd2cp-6, -0x1.3e906668f072ap-6, -0x1.37d05aff2fe3fp-6, -0x1.312fc453514d2p-6, -0x1.2aae2eed4626ep-6, -0x1.244b2852aa4d5p-6, -0x1.1e063f07e5eb2p-6, -0x1.17df02913a48ep-6, -0x1.11d50373c2a54p-6, -0x1.0be7d33656178p-6, -0x1.0617046262682p-6, -0x1.00622a84aa0f9p-6, -0x1.f591b45bec7e4p-7, -0x1.ea9551e76d3a5p-7, -0x1.dfce5ae11c041p-7, -0x1.d53bfe899f73ep-7, -0x1.cadd6e2dd92dep-7, -0x1.c0b1dd279a07p-7, -0x1.b6b880de48172p-7, -0x1.acf090c74de7bp-7, -0x1.a35946668130ap-7, -0x1.99f1dd4e60c53p-7, -0x1.90b9932030b99p-7, -0x1.87afa78c0f7f6p-7, -0x1.7ed35c50d14e1p-7, -0x1.7623f53bd1b16p-7, -0x1.6da0b828a4b95p-7, -0x1.6548ed00aa9cp-7, -0x1.5d1bddba8028p-7, -0x1.5518d65963f52p-7, -0x1.4d3f24ec6a524p-7, -0x1.458e198da9765p-7, -0x1.3e050661344a8p-7, -0x1.36a33f940c7b7p-7, -0x1.2f681b5aef61fp-7, -0x1.2852f1f1070edp-7, -0x1.21631d9685619p-7, -0x1.1a97fa8f1dc4dp-7, -0x1.13f0e7206e06cp-7, -0x1.0d6d439043728p-7, -0x1.070c7222cdc2p-7, -0x1.00cdd718b679fp-7, -0x1.f561b15a41d1cp-8, -0x1.e969be2720ca7p-8, -0x1.ddb2a8eb79e79p-8, -0x1.d23b49e29477bp-8, -0x1.c7027d2adb786p-8, -0x1.bc0722c0f9ddfp-8, -0x1.b1481e7acfbb2p-8, -0x1.a6c458023b807p-8, -0x1.9c7abacfc09b9p-8, -0x1.926a3624fe858p-8, -0x1.8891bd070debap-8, -0x1.7ef04638ae8e5p-8, -0x1.7584cc3456ba5p-8, -0x1.6c4e4d261e29bp-8, -0x1.634bcae58b0f6p-8, -0x1.5a7c4aef372a6p-8, -0x1.51ded65e5cebap-8, -0x1.497279e63f74dp-8, -0x1.413645cb7a1a1p-8, -0x1.39294ddd32e56p-8, -0x1.314aa96e2d4cp-8, -0x1.2999734dc53e9p-8, -0x1.2214c9c0d324fp-8, -0x1.1abbce7a72937p-8, -0x1.138da694b66d1p-8, -0x1.0c897a89431fbp-8, -0x1.05ae7629d64cfp-8, -0x1.fdf791316fdc5p-9, -0x1.f0e14882349a5p-9, -0x1.e4186ebb9dee1p-9, -0x1.d79ba0165d033p-9, -0x1.cb6939afde08bp-9, -0x1.bf7fba0667f59p-9, -0x1.b3dda5db1db9p-9, -0x1.a881882210c7fp-9, -0x1.9d69f1f22cd2ep-9, -0x1.92957a751b9a1p-9, -0x1.8802bed7054a4p-9, -0x1.7db062364e995p-9, -0x1.739d0d9336cbdp-9, -0x1.69c76fbf7b5c4p-9, -0x1.602e3d4ddb8b4p-9, -0x1.56d030819b605p-9, -0x1.4dac093df5c61p-9, -0x1.44c08cf591783p-9, -0x1.3c0c8699e50d5p-9, -0x1.338ec68a9a70cp-9, -0x1.2b462284f0abfp-9, -0x1.233175931adfep-9, -0x1.1b4f9ffb9a2c5p-9, -0x1.139f8730a2daap-9, -0x1.0c2015bf7f473p-9, -0x1.04d03b3ff50bbp-9, -0x1.fb5dd88765361p-10, -0x1.ed76448b8bbe9p-10, -0x1.dfe7b7342eb05p-10, -0x1.d2b036b9e8d9fp-10, -0x1.c5cdd2c540ffap-10, -0x1.b93ea44deee8ap-10, -0x1.ad00cd7a2defap-10, -0x1.a112797e435d7p-10, -0x1.9571dc7c15a7bp-10, -0x1.8a1d3362e8d68p-10, -0x1.7f12c3cf4fd58p-10, -0x1.7450dbeb27e67p-10, -0x1.69d5d24de0a3ep-10, -0x1.5fa005dcd9683p-10, -0x1.55adddabef1e1p-10, -0x1.4bfdc8de4b5fp-10, -0x1.428e3e874e96bp-10, -0x1.395dbd8bc235ep-10, -0x1.306acc832b8b2p-10, -0x1.27b3f9996e8c5p-10, -0x1.1f37da7094a7dp-10, -0x1.16f50c02d9634p-10, -0x1.0eea3284ef466p-10, -0x1.0715f9488071fp-10, -0x1.feee253de6a8bp-11, -0x1.f0186f78d615ap-11, -0x1.e1a85135ff352p-11, -0x1.d39b57bca9412p-11, -0x1.c5ef1d6e90a65p-11, -0x1.b8a1499025881p-11, -0x1.abaf901110f9dp-11, -0x1.9f17b1556f0ap-11, -0x1.92d779ff74a9p-11, -0x1.86ecc2b9c040bp-11, -0x1.7b5570022c72dp-11, -0x1.700f71f5319bp-11, -0x1.6518c419e4f14p-11, -0x1.5a6f6d2e729f1p-11, -0x1.50117ef542bep-11, -0x1.45fd1602be707p-11, -0x1.3c30598b7ac2bp-11, -0x1.32a97b3320b23p-11, -0x1.2966b6dbe29f6p-11, -0x1.2066527681a29p-11, -0x1.17a69dd2f53bcp-11, -0x1.0f25f2719b78ap-11, -0x1.06e2b355072d5p-11, -0x1.fdb699a8e183dp-12, -0x1.ee1c68dd63df8p-12, -0x1.def3d13ba7b8ep-12, -0x1.d039e156903cfp-12, -0x1.c1ebb909475e9p-12, -0x1.b40689220e826p-12, -0x1.a687930e1ceep-12, -0x1.996c2886ab0efp-12, -0x1.8cb1ab3f3c288p-12, -0x1.80558c950b642p-12, -0x1.74554d3f9e10fp-12, -0x1.68ae7d02968bp-12, -0x1.5d5eba60884a7p-12, -0x1.5263b24f22ac6p-12, -0x1.47bb1fec512d5p-12, -0x1.3d62cc34a78e9p-12, -0x1.33588dbaee361p-12, -0x1.299a4860902fep-12, -0x1.2025ed0fa69e1p-12, -0x1.16f97975b525dp-12, -0x1.0e12f7bf99824p-12, -0x1.05707e56c44ddp-12, -0x1.fa205f3eab5a7p-13, -0x1.e9e0736ee25afp-13, -0x1.da1dac6f18107p-13, -0x1.cad493e7dee82p-13, -0x1.bc01c97e4c167p-13, -0x1.ada2025b205d5p-13, -0x1.9fb208b3f4ef1p-13, -0x1.922ebb568cdb6p-13, -0x1.85150d360a2bdp-13, -0x1.786204fa7ae19p-13, -0x1.6c12bc91c36dep-13, -0x1.602460c36740cp-13, -0x1.549430c5a14f8p-13, -0x1.495f7dd47d1dfp-13, -0x1.3e83aacb47a85p-13, -0x1.33fe2bbf6dff1p-13, -0x1.29cc859d7cd1bp-13, -0x1.1fec4dc7a8b03p-13, -0x1.165b29b6cf81ep-13, -0x1.0d16ce9c9301ep-13, -0x1.041d0107a9c9ap-13, -0x1.f6d7291351b67p-14, -0x1.e600d6bd908dep-14, -0x1.d5b2ec2e4d3e3p-14, -0x1.c5e96683e0375p-14, -0x1.b6a05e33ea785p-14, -0x1.a7d4066802241p-14, -0x1.9980ac5d942fp-14, -0x1.8ba2b6c8d8ea9p-14, -0x1.7e36a53b0568ep-14, -0x1.71390f8afa67dp-14, -0x1.64a6a542337c3p-14, -0x1.587c2d0b6356fp-14, -0x1.4cb684249f92p-14, -0x1.41529dd43e424p-14, -0x1.364d82e085eaap-14, -0x1.2ba4510a50f4bp-14, -0x1.21543a8a1df08p-14, -0x1.175a8590020eep-14, -0x1.0db48bc637f18p-14, -0x1.045fb9d635eb1p-14, -0x1.f6b31de083e98p-15, -0x1.e53f38ab95bcap-15, -0x1.d45f09cc17b8p-15, -0x1.c40df95911eb5p-15, -0x1.b44790e6a82fdp-15, -0x1.a5077aacf5b01p-15, -0x1.964980b3c8d4ep-15, -0x1.88098c0375a43p-15, -0x1.7a43a3da4cb5cp-15, -0x1.6cf3ece5e2e67p-15, -0x1.6016a880a21ebp-15, -0x1.53a833f46840cp-15, -0x1.47a507bfc3249p-15, -0x1.3c09b6e106a81p-15, -0x1.30d2ee24276e8p-15, -0x1.25fd73757c262p-15, -0x1.1b86253702ffbp-15, -0x1.1169f99b02671p-15, -0x1.07a5fe01b847fp-15, -0x1.fc6eacb40c6d8p-16, -0x1.ea36790f9bc3bp-16, -0x1.d89dff95ceb5cp-16, -0x1.c7a0085935937p-16, -0x1.b73783de39f29p-16, -0x1.a75f89ff25381p-16, -0x1.981358da2aefcp-16, -0x1.894e53c41ddb8p-16, -0x1.7b0c02421481fp-16, -0x1.6d480f092005ap-16, -0x1.5ffe470486658p-16, -0x1.532a98619034p-16, -0x1.46c911a1f236dp-16, -0x1.3ad5e0b31c1c8p-16, -0x1.2f4d520cb10fp-16, -0x1.242bcfd38a908p-16, -0x1.196de1005ce3p-16, -0x1.0f102891d5f2bp-16, -0x1.050f64bca8767p-16, -0x1.f6d0dc4ccd999p-17, -0x1.e4306e42423d4p-17, -0x1.d23795de9290cp-17, -0x1.c0e09a15648dfp-17, -0x1.b025f0e2bf43fp-17, -0x1.a0023de909725p-17, -0x1.907051210780bp-17, -0x1.816b258957c26p-17, -0x1.72eddfe3b98c6p-17, -0x1.64f3cd7baf7d4p-17, -0x1.577862ef63abbp-17, -0x1.4a773b083cc1cp-17, -0x1.3dec15962e7b7p-17, -0x1.31d2d6547dd7cp-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.07526bae09673p-2, 0x1.12f789cfbbe3ep-2, 0x1.20bfb9533d2c1p-2, 0x1.2f9cf0f2f6633p-2, 0x1.3ead3483400a8p-2, 0x1.4d37b4b05d5bfp-2, 0x1.5aaac9d9b8324p-2, 0x1.66991c6ab78c3p-2, 0x1.70b50fd15bee8p-2, 0x1.78cc28cdc10c9p-2, 0x1.7ec2fbfc1c0dap-2, 0x1.829189950c935p-2, 0x1.843fbd15f4438p-2, 0x1.83e1d3e8bdc12p-2, 0x1.81951ae1ce4ccp-2, 0x1.7d7d8a40ac3c5p-2, 0x1.77c407159a24dp-2, 0x1.7094b77da11b5p-2, 0x1.681d48c6956b6p-2, 0x1.5e8b761fa5741p-2, 0x1.540c0c5db0a69p-2, 0x1.48c9d1ee546d7p-2, 0x1.3cef6b63b5ae5p-2, 0x1.30a3a6f1d9b29p-2, 0x1.240ad8d22504dp-2, 0x1.174688080874ap-2, 0x1.0a7571b9c2c9cp-2, 0x1.fb67156bb0f58p-3, 0x1.e233f1d39900ep-3, 0x1.c97e18051537bp-3, 0x1.b16c868e99292p-3, 0x1.9a20d5bc1d943p-3, 0x1.83b79f2c34005p-3, 0x1.6e48fc66a30c3p-3, 0x1.59e9002143fa9p-3, 0x1.46a816476f343p-3, 0x1.3493462e5414p-3, 0x1.23b45fbb3f83bp-3, 0x1.14122290fe5c7p-3, 0x1.05b06d2f281cp-3, 0x1.f120f785a84bfp-4, 0x1.d9626d32f73d2p-4, 0x1.c41f13507805ep-4, 0x1.b14d768e67f63p-4, 0x1.a0e1713fa0b0dp-4, 0x1.92cca340af407p-4, 0x1.86fec603540e1p-4, 0x1.7d65e2af41ap-4, 0x1.75ee75fa6b572p-4, 0x1.70838ee63bc6cp-4, 0x1.6d0ef36390c07p-4, 0x1.6b795151748ecp-4, 0x1.6baa7cf23414ap-4, 0x1.6d89b938aaa46p-4, 0x1.70fe0331e801dp-4, 0x1.75ee58c604652p-4, 0x1.7c41f405c8656p-4, 0x1.83e076b600e6ap-4, 0x1.8cb204f96b2a2p-4, 0x1.969f51072a49ep-4, 0x1.a1919c1840e3dp-4, 0x1.ad72b1c4084b5p-4, 0x1.ba2ce2db77a61p-4, 0x1.c7b0b3b06f0abp-4, 0x1.d5de10c8e539ep-4, 0x1.e4a56892accbcp-4, 0x1.f3f383f4ea45dp-4, 0x1.01db05df8e1e1p-3, 0x1.09edc3b1cfd7ep-3, 0x1.1229ab5e95a4ep-3, 0x1.1a86d474d9e62p-3, 0x1.22fdb92c251d6p-3, 0x1.2b8731ecb9bf7p-3, 0x1.341c71f8ac9dp-3, 0x1.3cb7057ebe14bp-3, 0x1.4550d10b92ca4p-3, 0x1.4de41209c635p-3, 0x1.566b5fd58ea44p-3, 0x1.5ee1acd7e5d9bp-3, 0x1.67424725c05f7p-3, 0x1.6f88d83c2b17p-3, 0x1.77b1639afd881p-3, 0x1.7fb8442cc6e8cp-3, 0x1.879a2894540e6p-3, 0x1.8f540e9926f6p-3, 0x1.96e33e012482ap-3, 0x1.9e45432d7045p-3, 0x1.a577e9ccddf7cp-3, 0x1.ac7937e8f2d82p-3, 0x1.b347697f8eaedp-3, 0x1.b9e0ecc547e76p-3, 0x1.c0445f16edbd2p-3, 0x1.c6708a8dd9d04p-3, 0x1.cc64641c2c6fap-3, 0x1.d21f0a0d01ff4p-3, 0x1.d79fc2c0ddc36p-3, 0x1.dce5fb7f97e7cp-3, 0x1.e1f1473e18e9dp-3, 0x1.e6c15d3db90d6p-3, 0x1.eb561774679e5p-3, 0x1.efaf70b6559eap-3, 0x1.f3cd82a3096ccp-3, 0x1.f7b0835f97518p-3, 0x1.fb58c32d97806p-3, 0x1.fec6a9f1f7b0bp-3, 0x1.00fd5a5ffaf5bp-2, 0x1.027ab9bdb38cdp-2, 0x1.03dbc3514b188p-2, 0x1.0520cea5f74d6p-2, 0x1.064a39af8634ep-2, 0x1.0758680623b09p-2, 0x1.084bc240c4396p-2, 0x1.0924b56bee1e2p-2, 0x1.09e3b299476afp-2, 0x1.0a892e83593d8p-2, 0x1.0b15a14098858p-2, 0x1.0b8986009836cp-2, 0x1.0be55acea62f9p-2, 0x1.0c29a055b9037p-2, 0x1.0c56d9a273d3dp-2, 0x1.0c6d8be11a063p-2, 0x1.0c6e3e16676fbp-2, 0x1.0c5978d3442b1p-2, 0x1.0c2fc5e43465bp-2, 0x1.0bf1affdf8a74p-2, 0x1.0b9fc2693bc49p-2, 0x1.0b3a88af4139fp-2, 0x1.0ac28e496a854p-2, 0x1.0a385e552509ep-2, 0x1.099c834d64f66p-2, 0x1.08ef86ca73f7ep-2, 0x1.0831f1486b3f2p-2, 0x1.076449f45320cp-2, 0x1.0687167fb3184p-2, 0x1.059adafa2197fp-2, 0x1.04a019b05c03ep-2, 0x1.039753106d05ep-2, 0x1.028105926d1d8p-2, 0x1.015dada57d8c4p-2, 0x1.002dc5a0a76a7p-2, 0x1.fde38b6eabc37p-3, 0x1.fb5447e23463p-3, 0x1.f8aea848cf5d3p-3, 0x1.f5f38fe7d25eep-3, 0x1.f323dd9c04c4bp-3, 0x1.f0406bdc0e5e2p-3, 0x1.ed4a10bd5a3bdp-3, 0x1.ea41d8c002d6ep-3, 0x1.e72842bf69dfcp-3, 0x1.e3fe26bd56e58p-3, 0x1.e0c447d4cf029p-3, 0x1.dd7b6541954fdp-3, 0x1.da243a72501c3p-3, 0x1.d6bf7f137ee07p-3, 0x1.d34de7137a1d3p-3, 0x1.cfd022a035d92p-3, 0x1.cc46de1faef88p-3, 0x1.c8b2c2244aa41p-3, 0x1.c514735e7ecbdp-3, 0x1.c16c928d239d9p-3, 0x1.bdbbbc6debaf7p-3, 0x1.ba0289af3dc4cp-3, 0x1.b6418ee4a6ad9p-3, 0x1.b2795c7edfb41p-3, 0x1.aeaa7ec81fabcp-3, 0x1.aad57de5435eep-3, 0x1.a6fadddc0d90ep-3, 0x1.a31b1e9e81391p-3, 0x1.9f36bc1b33a7ap-3, 0x1.9b4e2e522197cp-3, 0x1.9761e96d9e82cp-3, 0x1.93725dde984a9p-3, 0x1.8f7ff87b90e75p-3, 0x1.8b8b22a182064p-3, 0x1.87944255e04a2p-3, 0x1.839bba6902d27p-3, 0x1.7fa1ea9840dfap-3, 0x1.7ba72faf1aeeep-3, 0x1.77abe3a6e615fp-3, 0x1.73b05dc48f307p-3, 0x1.6fb4f2b410b6p-3, 0x1.6bb9f4a16754ap-3, 0x1.67bfb34ee5a43p-3, 0x1.63c67c28d47a4p-3, 0x1.5fce9a567f898p-3, 0x1.5bd856c8bc5e7p-3, 0x1.57e3f8463ae4bp-3, 0x1.53f1c375cef38p-3, 0x1.5001fae709166p-3, 0x1.4c14df197302p-3, 0x1.482aae82c5087p-3, 0x1.4443a5946ba16p-3, 0x1.405ffec0adf3p-3, 0x1.3c7ff27fc2c32p-3, 0x1.38a3b7551406cp-3, 0x1.34cb81d4f3ea7p-3, 0x1.30f784aad94f8p-3, 0x1.2d27f0a060712p-3, 0x1.295cf4a50988p-3, 0x1.2596bdd6d436p-3, 0x1.21d5778b9d57p-3, 0x1.1e194b5b4aa59p-3, 0x1.1a62612a9bbd7p-3, 0x1.16b0df3690a6fp-3, 0x1.1304ea20447dap-3, 0x1.0f5ea4f911196p-3, 0x1.0bbe314ee3f94p-3, 0x1.0823af389956bp-3, 0x1.048f3d6236ad4p-3, 0x1.0100f918ec151p-3, 0x1.faf1fcad7b503p-4, 0x1.f3eecf9b6fd3ep-4, 0x1.ecf89de535ef2p-4, 0x1.e60f980df0329p-4, 0x1.df33ec453ed1p-4, 0x1.d865c678e8d0ep-4, 0x1.d1a550651ad6fp-4, 0x1.caf2b1a369489p-4, 0x1.c44e0fb889749p-4, 0x1.bdb78e20e16d1p-4, 0x1.b72f4e5c03af3p-4, 0x1.b0b56ff736426p-4, 0x1.aa4a10972a418p-4, 0x1.a3ed4c00f564ep-4, 0x1.9d9f3c228092p-4, 0x1.975ff91a8ba26p-4, 0x1.912f99405d9a2p-4, 0x1.8b0e312b3f64p-4, 0x1.84fbd3b9e54f4p-4, 0x1.7ef89219d509bp-4, 0x1.79047bcedb6ep-4, 0x1.731f9ebaa3929p-4, 0x1.6d4a072477b69p-4, 0x1.6783bfc130cdap-4, 0x1.61ccd1bb5c3a9p-4, 0x1.5c2544bb929f6p-4, 0x1.568d1ef0fee0ap-4, 0x1.5104651a117e9p-4, 0x1.4b8b1a8d54a61p-4, 0x1.462141425e2adp-4, 0x1.40c6d9dad0a17p-4, 0x1.3b7be3ab65734p-4, 0x1.36405cc4f4d55p-4, 0x1.311441fd7114dp-4, 0x1.2bf78ef8ce5c9p-4, 0x1.26ea3e31cc387p-4, 0x1.21ec49029c9d5p-4, 0x1.1cfda7ad5f7dcp-4, 0x1.181e51647127bp-4, 0x1.134e3c52859e7p-4, 0x1.0e8d5da28f5a7p-4, 0x1.09dba98771c97p-4, 0x1.053913437d728p-4, 0x1.00a58d2fb861ap-4, 0x1.f8421185e93ap-5, 0x1.ef56ed316b0a1p-5, 0x1.e6898cefd3dc1p-5, 0x1.ddd9ceb2f6f31p-5, 0x1.d5478edd73bf8p-5, 0x1.ccd2a84f455edp-5, 0x1.c47af47217598p-5, 0x1.bc404b45637dfp-5, 0x1.b422836a5f2cdp-5, 0x1.ac21722fc1f23p-5, 0x1.a43ceb9d623fbp-5, 0x1.9c74c27fb2d67p-5, 0x1.94c8c873240bp-5, 0x1.8d38cdef65b94p-5, 0x1.85c4a2528fe2dp-5, 0x1.7e6c13ec32526p-5, 0x1.772ef00849dbcp-5, 0x1.700d02fa19d03p-5, 0x1.69061826eeee3p-5, 0x1.6219fa10c02ffp-5, 0x1.5b487260b5911p-5, 0x1.549149f18f292p-5, 0x1.4df448d9e8639p-5, 0x1.477136765c40dp-5, 0x1.4107d9738012dp-5, 0x1.3ab7f7d7bccd6p-5, 0x1.3481570cfba66p-5, 0x1.2e63bbea2f2dcp-5, 0x1.285eeabcad3f1p-5, 0x1.2272a75160d7p-5, 0x1.1c9eb4fdce2c2p-5, 0x1.16e2d6a8ed9c2p-5, 0x1.113eced3d4fe1p-5, 0x1.0bb25fa239318p-5, 0x1.063d4ae2bd5e1p-5, 0x1.00df52171aca7p-5, 0x1.f7306cf82b5ebp-6, 0x1.eccf7222948fdp-6, 0x1.e29b35419579dp-6, 0x1.d893378d2175p-6, 0x1.ceb6f9ef899b3p-6, 0x1.c505fd13b16fap-6, 0x1.bb7fc172ef16p-6, 0x1.b223c76294fbap-6, 0x1.a8f18f2125a6ap-6, 0x1.9fe898e33a1e3p-6, 0x1.970864e00b6eep-6, 0x1.8e50735db0e3fp-6, 0x1.85c044bd0d548p-6, 0x1.7d57598563117p-6, 0x1.7515326fa662ep-6, 0x1.6cf9507171059p-6, 0x1.650334c7b2cf3p-6, 0x1.5d3261010d2c6p-6, 0x1.55865707e6d91p-6, 0x1.4dfe992c3013dp-6, 0x1.469aaa2cdb85ep-6, 0x1.3f5a0d410c946p-6, 0x1.383c4620fa65cp-6, 0x1.3140d90e8c88ap-6, 0x1.2a66ef9ea45b7p-6, 0x1.23aecaf4b41a9p-6, 0x1.1d1790f505fd4p-6, 0x1.16a0c86e40d22p-6, 0x1.1049f8de807a7p-6, 0x1.0a12aa79fd8adp-6, 0x1.03fa66318511ep-6, 0x1.fc016b715ddbcp-7, 0x1.f04a4717b7acbp-7, 0x1.e4ce75ec02dfep-7, 0x1.d98d102c724efp-7, 0x1.ce852fca31bbfp-7, 0x1.c3b5f073ac33ep-7, 0x1.b91e6f9e66124p-7, 0x1.aebdcc90639ddp-7, 0x1.a493286928e7fp-7, 0x1.9a9da62a501e7p-7, 0x1.90dc6abfadddep-7, 0x1.874e9d0707bddp-7, 0x1.7df365d772328p-7, 0x1.74c9f0082b8c3p-7, 0x1.6bd16877211c7p-7, 0x1.6308fe0f03c4cp-7, 0x1.5a6fe1ccf8989p-7, 0x1.520546c5da50bp-7, 0x1.49c8622b291d9p-7, 0x1.41b86b4f7f792p-7, 0x1.39d49baab60b6p-7, 0x1.321c2edd9fd61p-7, 0x1.2a8e62b56a0d8p-7, 0x1.232a772e9bf5ep-7, 0x1.1befae77c0e64p-7, 0x1.14dd4cf3b58dcp-7, 0x1.0df2993b9fa64p-7, 0x1.072edc2091a27p-7, 0x1.009160acdbe29p-7, 0x1.f432e84a1b62dp-8, 0x1.e78ccc115439dp-8, 0x1.db2f10251d66cp-8, 0x1.cf185c722b6cfp-8, 0x1.c3475d5bddf67p-8, 0x1.b7bac3bb69e81p-8, 0x1.ac7144de8514p-8, 0x1.a1699a858ec13p-8, 0x1.96a282e141226p-8, 0x1.8c1ac08fee45ep-8, 0x1.81d11a9a4abd1p-8, 0x1.77c45c6fd01f1p-8, 0x1.6df355e2b405ap-8, 0x1.645cdb237f0ep-8, 0x1.5affc4bc419dcp-8, 0x1.51daef8b747e5p-8, 0x1.48ed3cbe78ed6p-8, 0x1.403591cbce15p-8, 0x1.37b2d86cf40bap-8, 0x1.2f63fe9800dc1p-8, 0x1.2747f678f04ecp-8, 0x1.1f5db66aad9d8p-8, 0x1.17a438efdb00fp-8, 0x1.101a7cab5c2ap-8, 0x1.08bf8458a1ae3p-8, 0x1.019256c3bf412p-8, 0x1.f523fd829224bp-9, 0x1.e77b164c0213p-9, 0x1.da281d7c9ebebp-9, 0x1.cd29408b1e9c6p-9, 0x1.c07cb4ba5e01cp-9, 0x1.b420b7074cd32p-9, 0x1.a8138c168c405p-9, 0x1.9c538021c2c2dp-9, 0x1.90dee6e4ab6d5p-9, 0x1.85b41b89de4d7p-9, 0x1.7ad180976231bp-9, 0x1.70357fdafc926p-9, 0x1.65de8a5651a05p-9, 0x1.5bcb182acdb8cp-9, 0x1.51f9a885613fdp-9, 0x1.4868c18a1512ap-9, 0x1.3f16f03f6ep-9, 0x1.3602c879b77b7p-9, 0x1.2d2ae4c62417fp-9, 0x1.248de655d77dep-9, 0x1.1c2a74e8d43b6p-9, 0x1.13ff3eb8d1efbp-9, 0x1.0c0af86405f4p-9, 0x1.044c5cd7d33ecp-9, 0x1.f9845a76f12e3p-10, 0x1.ead661b55e09dp-10, 0x1.dc8c6a20853f3p-10, 0x1.cea41a615e9bap-10, 0x1.c11b24e96fc81p-10, 0x1.b3ef47c806e87p-10, 0x1.a71e4c7f8a9fep-10, 0x1.9aa607dad1f64p-10, 0x1.8e8459c2a4c5ep-10, 0x1.82b72d13518dfp-10, 0x1.773c77727a7p-10, 0x1.6c123924f5517p-10, 0x1.61367ce4fbed4p-10, 0x1.56a757b87ecdp-10, 0x1.4c62e8c7bcefdp-10, 0x1.42675934213fdp-10, 0x1.38b2dbef64b54p-10, 0x1.2f43ad92f1c75p-10, 0x1.26181437af722p-10, 0x1.1d2e5f4e0eaa1p-10, 0x1.1484e77671e1cp-10, 0x1.0c1a0e59fc253p-10, 0x1.03ec3e83b2f5ep-10, 0x1.f7f3d6742996bp-11, 0x1.e88320b1ef45ap-11, 0x1.d9836457e97d3p-11, 0x1.caf1ba924cf37p-11, 0x1.bccb4cd8b5bap-11, 0x1.af0d54a56dcfap-11, 0x1.a1b51b2d88442p-11, 0x1.94bff919ef1a4p-11, 0x1.882b56414a76bp-11, 0x1.7bf4a962d6b8ep-11, 0x1.701977e212136p-11, 0x1.649755836a2c1p-11, 0x1.596be429b632bp-11, 0x1.4e94d394aab0dp-11, 0x1.440fe1201b646p-11, 0x1.39dad78444c95p-11, 0x1.2ff38e96d2ca3p-11, 0x1.2657eb0cd7eebp-11, 0x1.1d05de3d95f51p-11, 0x1.13fb65e632689p-11, 0x1.0b368bee2704cp-11, 0x1.02b5662c96347p-11, 0x1.f4ec2c5cd79a4p-12, 0x1.e4ed91fa7bbe8p-12, 0x1.d56b6dcdf879ap-12, 0x1.c662468cc6eafp-12, 0x1.b7ceb8985489fp-12, 0x1.a9ad7591db78ap-12, 0x1.9bfb43ef840b9p-12, 0x1.8eb4fe9338eb8p-12, 0x1.81d79462960a4p-12, 0x1.756007e03bd36p-12, 0x1.694b6ec6900e9p-12, 0x1.5d96f1a3a8e51p-12, 0x1.523fcb769ac97p-12, 0x1.4743494df5ea9p-12, 0x1.3c9ec9e795de3p-12, 0x1.324fbd5188f8ep-12, 0x1.2853a48c6148fp-12, 0x1.1ea8112e902e8p-12, 0x1.154aa50921aedp-12, 0x1.0c3911cd76aeep-12, 0x1.037118b46a9e8p-12, 0x1.f5e1144d2f23ap-13, 0x1.e56a8acb71906p-13, 0x1.d57a706f14684p-13, 0x1.c60cbd2305c76p-13, 0x1.b71d848c4ede1p-13, 0x1.a8a8f566e827ap-13, 0x1.9aab58e4db998p-13, 0x1.8d2112104dea5p-13, 0x1.80069d2ffba69p-13, 0x1.73588f2e34e14p-13, 0x1.671395028d8bep-13, 0x1.5b34731e42762p-13, 0x1.4fb804db0bcc3p-13, 0x1.449b3bece516ep-13, 0x1.39db1fd651241p-13, 0x1.2f74cd5f7a381p-13, 0x1.256576100265ep-13, 0x1.1baa5fab50b6p-13, 0x1.1240e3b029605p-13, 0x1.09266eda74789p-13, 0x1.005880a81c55ep-13, 0x1.efa955c0ad8c4p-14, 0x1.df31223c02f77p-14, 0x1.cf43d0b8bb231p-14, 0x1.bfdced0d7bb8p-14, 0x1.b0f824150a012p-14, 0x1.a29142d867cb6p-14, 0x1.94a435bd2dd1dp-14, 0x1.872d07b981e9ap-14, 0x1.7a27e18d15916p-14, 0x1.6d9108fe79a63p-14, 0x1.6164e01dba41bp-14, 0x1.559fe48b8147dp-14, 0x1.4a3eaec47aa59p-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.0629beaf0eeafp+0, -0x1.02617bac59e54p+0, -0x1.fea4452b31daep-1, -0x1.f985698789b68p-1, -0x1.f5041d5626f0cp-1, -0x1.f0cdbc5178d2ap-1, -0x1.ec9f9dbef1af2p-1, -0x1.e845f5f12de2ap-1, -0x1.e39a172803a65p-1, -0x1.de811717d5874p-1, -0x1.d8ea37034a91cp-1, -0x1.d2cd260c0c398p-1, -0x1.cc288697f626ap-1, -0x1.c50089afaf987p-1, -0x1.bd5d912c32f57p-1, -0x1.b54b15f5793cbp-1, -0x1.acd6d482340f9p-1, -0x1.a4100ad29457dp-1, -0x1.9b06ba20c16cp-1, -0x1.91cb09a823cd3p-1, -0x1.886cdb9084323p-1, -0x1.7efb643afcbb3p-1, -0x1.75859687ab577p-1, -0x1.6c18f7372d402p-1, -0x1.62c20fe2ac7d3p-1, -0x1.598c46e705518p-1, -0x1.5081d8d5cf855p-1, -0x1.47abd71e73a1cp-1, -0x1.3f122980af64p-1, -0x1.36bb91ca22568p-1, -0x1.2eadb4251b0aap-1, -0x1.26ed26414b4f6p-1, -0x1.1f7d84aad6b3p-1, -0x1.18618abc02324p-1, -0x1.119b292578e23p-1, -0x1.0b2b98d49e8f9p-1, -0x1.05136a44154fbp-1, -0x1.fea52552f07bap-2, -0x1.f3d0f17d90034p-2, -0x1.e9a804ea70c15p-2, -0x1.e027483064215p-2, -0x1.d74ae124982b6p-2, -0x1.cf0e53c0f5fdp-2, -0x1.c76ca0fc7725bp-2, -0x1.c0606190df3fdp-2, -0x1.b9e3dbb4ca68fp-2, -0x1.b3f1140129226p-2, -0x1.ae81da9a765eep-2, -0x1.a98fd614e027ap-2, -0x1.a5148d758518fp-2, -0x1.a109725509284p-2, -0x1.9d67ebaab6c5dp-2, -0x1.9a29614642931p-2, -0x1.9747478dc7bd8p-2, -0x1.94bb2ac889552p-2, -0x1.927eb92585d1bp-2, -0x1.908bcaccfd90dp-2, -0x1.8edc679bbacb5p-2, -0x1.8d6aca8e2cd64p-2, -0x1.8c3163417b45p-2, -0x1.8b2ad62f0539dp-2, -0x1.8a51fc5656a98p-2, -0x1.89a1e2ed7fef4p-2, -0x1.891647b8d7f3dp-2, -0x1.88a998a0de767p-2, -0x1.8857f09005482p-2, -0x1.881d3b26b59e6p-2, -0x1.87f59fde1826bp-2, -0x1.87dd80b4d30a7p-2, -0x1.87d17855cd583p-2, -0x1.87ce57f9275cap-2, -0x1.87d1253a91078p-2, -0x1.87d718125702ep-2, -0x1.87dd990bd97bbp-2, -0x1.87e23fc1064fap-2, -0x1.87e2d1921feeep-2, -0x1.87dd4085b0a1ep-2, -0x1.87cfaa36dd37ap-2, -0x1.87b856b814768p-2, -0x1.8795b75439161p-2, -0x1.8766651f9186p-2, -0x1.87291f524b231p-2, -0x1.86dcc96edff2ap-2, -0x1.8680693dddb1ap-2, -0x1.861324ada428p-2, -0x1.85943fa758a23p-2, -0x1.850319ea6fa01p-2, -0x1.845f2cfe3f73ap-2, -0x1.83a80a4596909p-2, -0x1.82dd593be35f8p-2, -0x1.81fed5df00d45p-2, -0x1.810c4f446f152p-2, -0x1.8005a655882cbp-2, -0x1.7eeaccabf682ep-2, -0x1.7dbbc386c07f4p-2, -0x1.7c789ad03773p-2, -0x1.7b21702e0bffcp-2, -0x1.79b66e161b138p-2, -0x1.7837cae43bbcep-2, -0x1.76a5c7eefda3cp-2, -0x1.7500b09ae9c1bp-2, -0x1.7348d96d2aeddp-2, -0x1.717e9f1fa7683p-2, -0x1.6fa265b950cbdp-2, -0x1.6db497addb8f1p-2, -0x1.6bb5a5080ecb1p-2, -0x1.69a602a17d206p-2, -0x1.67862969ebb44p-2, -0x1.655695bfcb149p-2, -0x1.6317c6da4b399p-2, -0x1.60ca3e44bccd8p-2, -0x1.5e6e7f6a2fed9p-2, -0x1.5c050f2fa6a8cp-2, -0x1.598e739ac9b68p-2, -0x1.570b3382da69bp-2, -0x1.547bd6498adc8p-2, -0x1.51e0e39989d23p-2, -0x1.4f3ae328e58fdp-2, -0x1.4c8a5c7db886ap-2, -0x1.49cfd6b42b483p-2, -0x1.470bd8453c647p-2, -0x1.443ee6ce4b1cbp-2, -0x1.416986d9bb904p-2, -0x1.3e8c3ba953986p-2, -0x1.3ba787031247cp-2, -0x1.38bbe90149481p-2, -0x1.35c9dfe6a4ee8p-2, -0x1.32d1e7f698e4dp-2, -0x1.2fd47b527c9b8p-2, -0x1.2cd211db54018p-2, -0x1.29cb21181a472p-2, -0x1.26c01c203170bp-2, -0x1.23b1738983ee4p-2, -0x1.209f9559dbc0ap-2, -0x1.1d8aecfaf63b8p-2, -0x1.1a73e330f24ecp-2, -0x1.175ade12c71a7p-2, -0x1.14404104918ap-2, -0x1.11246cb39cd28p-2, -0x1.0e07bf14166d6p-2, -0x1.0aea936071f74p-2, -0x1.07cd421a72d4p-2, -0x1.04b0210ddead7p-2, -0x1.01938354bd86ap-2, -0x1.fcef72ba22cf1p-3, -0x1.f6ba21dfa8bc4p-3, -0x1.f087aa7217272p-3, -0x1.ea58b54b8fb41p-3, -0x1.e42dba648a887p-3, -0x1.de073a67ed813p-3, -0x1.d7e5b675ba34ap-3, -0x1.d1c9ab11f184dp-3, -0x1.cbb3903fd5901p-3, -0x1.c5a3d999792ccp-3, -0x1.bf9af663cb8c8p-3, -0x1.b999519f5d9c5p-3, -0x1.b39f52166895p-3, -0x1.adad5a68aa646p-3, -0x1.a7c3c915bd4d5p-3, -0x1.a1e2f886a2942p-3, -0x1.9c0b3f172e629p-3, -0x1.963cef1ff1739p-3, -0x1.90785701344eep-3, -0x1.8abdc12f80fa9p-3, -0x1.850d744202632p-3, -0x1.7f67b30305ffbp-3, -0x1.79ccbc82ac046p-3, -0x1.743ccc2bd5f68p-3, -0x1.6eb819db1b583p-3, -0x1.693ed9f7af4e5p-3, -0x1.63d13d8ddbc6cp-3, -0x1.5e6f726ac91c9p-3, -0x1.5919a33937a08p-3, -0x1.53cff79ec6bfcp-3, -0x1.4e9294596c8b8p-3, -0x1.49619b5ccf58p-3, -0x1.443d2bef1705ap-3, -0x1.3f2562c50591p-3, -0x1.3a1a5a1d00b8dp-3, -0x1.351c29d8f334fp-3, -0x1.302ae796c9b07p-3, -0x1.2b46a6c782b9cp-3, -0x1.266f78c4c011p-3, -0x1.21a56ce4db182p-3, -0x1.1ce8908d87d31p-3, -0x1.1838ef45172ebp-3, -0x1.139692c27595cp-3, -0x1.0f0182fc0c874p-3, -0x1.0a79c635a435bp-3, -0x1.05ff610d6b016p-3, -0x1.0192568856b43p-3, -0x1.fa65503bf03d9p-4, -0x1.f1c0ab87ebbe1p-4, -0x1.e936bbf2753f7p-4, -0x1.e0c77ba20ca26p-4, -0x1.d872e1fbf0b16p-4, -0x1.d038e3ba23aap-4, -0x1.c8197301c275p-4, -0x1.c0147f79682f5p-4, -0x1.b829f65ff97dfp-4, -0x1.b059c2a3914eap-4, -0x1.a8a3ccf8a7a6fp-4, -0x1.a107fbf15ba1cp-4, -0x1.99863414c30ecp-4, -0x1.921e57f62cb25p-4, -0x1.8ad0484c3901bp-4, -0x1.839be407a8749p-4, -0x1.7c810869c8e79p-4, -0x1.757f911a6671fp-4, -0x1.6e97583d27391p-4, -0x1.67c836863d538p-4, -0x1.6112034e5f6d6p-4, -0x1.5a7494a5f9933p-4, -0x1.53efbf678d85dp-4, -0x1.4d8357493c13dp-4, -0x1.472f2eed774c2p-4, -0x1.40f317f2ep-4, -0x1.3acee30351ec7p-4, -0x1.34c25fe228644p-4, -0x1.2ecd5d79c60ap-4, -0x1.28efa9e86adb7p-4, -0x1.2329128c67827p-4, -0x1.1d79640fbba4ap-4, -0x1.17e06a732eac9p-4, -0x1.125df118f06bap-4, -0x1.0cf1c2ced2feap-4, -0x1.079ba9d82639ep-4, -0x1.025b6ff746082p-4, -0x1.fa61bcedc36c9p-5, -0x1.f0377c66148p-5, -0x1.e637af4412632p-5, -0x1.dc61e5ba1a487p-5, -0x1.d2b5af515317p-5, -0x1.c9329afa653ddp-5, -0x1.bfd8371de57a4p-5, -0x1.b6a611ac793f2p-5, -0x1.ad9bb82eb3afdp-5, -0x1.a4b8b7d4a47f6p-5, -0x1.9bfc9d851a75ap-5, -0x1.9366f5ec93f9dp-5, -0x1.8af74d8bd63eep-5, -0x1.82ad30c629a95p-5, -0x1.7a882bef3680fp-5, -0x1.7287cb5877bbap-5, -0x1.6aab9b5e49271p-5, -0x1.62f3287486bdep-5, -0x1.5b5dff32bc742p-5, -0x1.53ebac5fe45e6p-5, -0x1.4c9bbcfdb49bap-5, -0x1.456dbe537a323p-5, -0x1.3e613df883554p-5, -0x1.3775c9de1750ap-5, -0x1.30aaf05905f61p-5, -0x1.2a00402ac672bp-5, -0x1.2375488a33469p-5, -0x1.1d09992be08d6p-5, -0x1.16bcc24a101d5p-5, -0x1.108e54ac4ebd5p-5, -0x1.0a7de1aeb41f8p-5, -0x1.048afb48d1eep-5, -0x1.fd6a6828a26f1p-6, -0x1.f1f83ea68e0dcp-6, -0x1.e6bea1ec75096p-6, -0x1.dbbcbb43d6d3bp-6, -0x1.d0f1b569a2bebp-6, -0x1.c65cbc98bf1c6p-6, -0x1.bbfcfe940d7b6p-6, -0x1.b1d1aab00068dp-6, -0x1.a7d9f1dbb60d7p-6, -0x1.9e1506a9a8888p-6, -0x1.94821d57f084dp-6, -0x1.8b206bd81a068p-6, -0x1.81ef29d694991p-6, -0x1.78ed90c1b93aep-6, -0x1.701adbd06e795p-6, -0x1.6776480867ebep-6, -0x1.5eff1444010f2p-6, -0x1.56b48137bec0bp-6, -0x1.4e95d17769ffp-6, -0x1.46a2497ad2b27p-6, -0x1.3ed92fa234dfdp-6, -0x1.3739cc3a43c7dp-6, -0x1.2fc3697fdd113p-6, -0x1.287553a366ccep-6, -0x1.214ed8cbd6ecbp-6, -0x1.1a4f491969199p-6, -0x1.1375f6a801802p-6, -0x1.0cc23591493f7p-6, -0x1.06335bee72e1dp-6, -0x1.ff9183b3795f2p-7, -0x1.f30382df53a62p-7, -0x1.e6bb6d9fe49c3p-7, -0x1.dab8003c62facp-7, -0x1.cef7fb04a7be3p-7, -0x1.c37a22518296fp-7, -0x1.b83d3e84a1fcbp-7, -0x1.ad401c07f2bdcp-7, -0x1.a2818b4c97687p-7, -0x1.980060c97086cp-7, -0x1.8dbb74f93b4b7p-7, -0x1.83b1a4583cd83p-7, -0x1.79e1cf619d4adp-7, -0x1.704ada8c539c7p-7, -0x1.66ebae47bba63p-7, -0x1.5dc336f7d2143p-7, -0x1.54d064f11eb7bp-7, -0x1.4c122c7444c65p-7, -0x1.438785a94882ep-7, -0x1.3b2f6c9a8d42bp-7, -0x1.3308e12f8383p-7, -0x1.2b12e72714fdp-7, -0x1.234c8611cd4f9p-7, -0x1.1bb4c94bc2345p-7, -0x1.144abff63f54p-7, -0x1.0d0d3bc026451p-7, -0x1.05fbdaa02bbe5p-7, -0x1.fe2ae1ec75e63p-8, -0x1.f0b2397e73accp-8, -0x1.e38bff3349d9p-8, -0x1.d6b67d7bc5c1dp-8, -0x1.ca3005ece168bp-8, -0x1.bdf6f12fd6075p-8, -0x1.b2099ef1e9ef2p-8, -0x1.a66675d40395p-8, -0x1.9b0be359fa773p-8, -0x1.8ff85bd9b8bap-8, -0x1.852a5a6a230ffp-8, -0x1.7aa060d1ce889p-8, -0x1.7058f7758dd61p-8, -0x1.6652ad46ce71bp-8, -0x1.5c8c17b1cfc03p-8, -0x1.5303d28bb59eap-8, -0x1.49b8800077c03p-8, -0x1.40a8c880b0ad4p-8, -0x1.37d35aaf50549p-8, -0x1.2f36eb4f358fcp-8, -0x1.26d23530af2a1p-8, -0x1.1ea3f91ee5d31p-8, -0x1.16aafdcd376dfp-8, -0x1.0ee60fc47ef52p-8, -0x1.07540150511b3p-8, -0x1.ffe754d85f44cp-9, -0x1.f187d1615d419p-9, -0x1.e3873e8139bafp-9, -0x1.d5e36d6c3f95dp-9, -0x1.c89a3a1fabf59p-9, -0x1.bba98b3bf2036p-9, -0x1.af0f51df00f61p-9, -0x1.a2c9897ea00e6p-9, -0x1.96d637c2d4b57p-9, -0x1.8b336c6062808p-9, -0x1.7fdf40f3663ap-9, -0x1.74d7d8da091fep-9, -0x1.6a1b610f5eea8p-9, -0x1.5fa8100666babp-9, -0x1.557c258532dfcp-9, -0x1.4b95ea8045886p-9, -0x1.41f3b0f61b9cep-9, -0x1.3893d3caead4p-9, -0x1.2f74b6a49d243p-9, -0x1.2694c5c701b02p-9, -0x1.1df275f04380dp-9, -0x1.158c4435988c3p-9, -0x1.0d60b5e03e6aap-9, -0x1.056e584ab2296p-9, -0x1.fb67817c7b5cp-10, -0x1.ec5f18a1860cfp-10, -0x1.ddc0bf85bf175p-10, -0x1.cf89cebcaac38p-10, -0x1.c1b7ada997559p-10, -0x1.b447d23db690dp-10, -0x1.a737c0b6e49fdp-10, -0x1.9a850b5f1c5f2p-10, -0x1.8e2d524c8b892p-10, -0x1.822e432260a7bp-10, -0x1.768598d23fa7ep-10, -0x1.6b311b5e6f13cp-10, -0x1.602e9f9cbcd18p-10, -0x1.557c06fa0503ap-10, -0x1.4b173f3e8392fp-10, -0x1.40fe4252cb39ep-10, -0x1.372f16057f588p-10, -0x1.2da7cbd1c0cc4p-10, -0x1.246680a6548e4p-10, -0x1.1b695cad78d53p-10, -0x1.12ae93158ba21p-10, -0x1.0a3461da4a6c1p-10, -0x1.01f9118ee3e49p-10, -0x1.f3f5ea51689bcp-11, -0x1.e470d3957acap-11, -0x1.d55fad23ba45ap-11, -0x1.c6bf58c362a06p-11, -0x1.b88ccb6472c2ep-11, -0x1.aac50cbc595fcp-11, -0x1.9d6536e4111fbp-11, -0x1.906a75f7a4dcdp-11, -0x1.83d207b7259d3p-11, -0x1.77993b28feeebp-11, -0x1.6bbd703dbd3b4p-11, -0x1.603c17753198p-11, -0x1.5512b18502d21p-11, -0x1.4a3ecf00a484ep-11, -0x1.3fbe100294798p-11, -0x1.358e23d72d58ep-11, -0x1.2bacc8a8ad308p-11, -0x1.2217cb2c9ff9p-11, -0x1.18cd0652ba0f5p-11, -0x1.0fca62f4f92f9p-11, -0x1.070dd78924f25p-11, -0x1.fd2acfa755075p-12, -0x1.ecbe493786bc9p-12, -0x1.dcd256c1f5426p-12, -0x1.cd634c23f15dbp-12, -0x1.be6d958944bccp-12, -0x1.afedb6df14578p-12, -0x1.a1e04b493e44fp-12, -0x1.9442049a6fd2p-12, -0x1.870faace78e79p-12, -0x1.7a461b87988c4p-12, -0x1.6de2498de5d4ap-12, -0x1.61e13c5152751p-12, -0x1.56400f6e40349p-12, -0x1.4afbf2345cafbp-12, -0x1.4012272ffbb86p-12, -0x1.358003b5b1445p-12, -0x1.2b42ef708d196p-12, -0x1.215863f25d49cp-12, -0x1.17bdec4668feep-12, -0x1.0e7124865775bp-12, -0x1.056fb97164f3cp-12, -0x1.f96ed00b7edb5p-13, -0x1.e88bfa3836283p-13, -0x1.d832aa0aaf352p-13, -0x1.c85eb654ae2e3p-13, -0x1.b90c135b8df62p-13, -0x1.aa36d2202fe34p-13, -0x1.9bdb1faab75dp-13, -0x1.8df54459f0ec7p-13, -0x1.8081a33747bbfp-13, -0x1.737cb94dd104dp-13, -0x1.66e31d055067p-13, -0x1.5ab17d80c3acdp-13, -0x1.4ee4a200a3e9fp-13, -0x1.437969486efa9p-13, -0x1.386cc907a7508p-13, -0x1.2dbbcd46243b8p-13, -0x1.236397d3a274fp-13, -0x1.19615fba764fap-13, -0x1.0fb270b55b0b1p-13, -0x1.06542aa84e2c2p-13, -0x1.fa880238c0af8p-14, -0x1.e8fef57c489fcp-14, -0x1.d80861bf12e14p-14, -0x1.c79f9df7dedcep-14, -0x1.b7c0247e1c84fp-14, -0x1.a865921cdf3ap-14, -0x1.998ba52b96c55p-14, -0x1.8b2e3cab1c63ap-14, -0x1.7d495767e562fp-14, -0x1.6fd913214f6f1p-14, -0x1.62d9abb4eb019p-14, -0x1.56477a4f79e26p-14, -0x1.4a1ef4a19244p-14, -0x1.3e5cac19201b8p-14, -0x1.32fd4d1f27434p-14, -0x1.27fd9e59e75f6p-14, -0x1.1d5a7ff35d029p-14, -0x1.1310eae34af7fp-14, -0x1.091df03e836c1p-14, -0x1.fefd7111cd495p-15, -0x1.ec6106191a782p-15, -0x1.da614a686efcep-15, -0x1.c8f913d33a044p-15, -0x1.b82361ef7d6c6p-15, -0x1.a7db5ce1f7fb2p-15, -0x1.981c5431abe2dp-15, -0x1.88e1bda2a0138p-15, -0x1.7a2734183abe3p-15, -0x1.6be8767e28439p-15, -0x1.5e2166b90e214p-15, -0x1.50ce089d39754p-15, -0x1.43ea80ed830ffp-15, -0x1.3773145fcb4f4p-15, -0x1.2b6426a7cf3c3p-15, -0x1.1fba398aaca26p-15, -0x1.1471ebf61a6eap-15, -0x1.0987f92040e5cp-15, -0x1.fdf26f57990bfp-16, -0x1.e98531a78b644p-16, -0x1.d5c24f38b4d4ep-16, -0x1.c2a41014a1cddp-16, -0x1.b024ecbda9dadp-16, -0x1.9e3f8cb5bb40ep-16, -0x1.8ceec50cf85fbp-16, -0x1.7c2d96fbfad05p-16, -0x1.6bf72e89502cap-16, -0x1.5c46e137194d6p-16, -0x1.4d182cbce7516p-16, -0x1.3e66b5c9c8ccp-16, -0x1.302e46cfb679p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.bf0dfbfe271acp-1, 0x1.b9d47cfa215b1p-1, 0x1.b482b0d11b7a1p-1, 0x1.af1dc79fc5eaep-1, 0x1.a9aa7d1144e47p-1, 0x1.a42d12429230ap-1, 0x1.9ea94b310c12p-1, 0x1.99226f19fe23dp-1, 0x1.939b4b3d1ea8fp-1, 0x1.8e1637820f266p-1, 0x1.88951c8f98e39p-1, 0x1.83197af2076e8p-1, 0x1.7da472fbfe98bp-1, 0x1.7836cd1a3382fp-1, 0x1.72d1025e620a6p-1, 0x1.6d734510846adp-1, 0x1.681d891eda121p-1, 0x1.62cf8c4d9602ep-1, 0x1.5d88de0e4022bp-1, 0x1.5848e6ed03739p-1, 0x1.530eef8762d4ep-1, 0x1.4dda27042c513p-1, 0x1.48a9a9083700ep-1, 0x1.437c8326695afp-1, 0x1.3e51b9cbfe76bp-1, 0x1.39284cabe3a96p-1, 0x1.33ff3aad8cb2bp-1, 0x1.2ed58564bb363p-1, 0x1.29aa3418898fbp-1, 0x1.247c5660939e2p-1, 0x1.1f4b065f763bcp-1, 0x1.1a156aa1ff88fp-1, 0x1.14dab7aa72192p-1, 0x1.0f9a312f24a89p-1, 0x1.0a532b138fb63p-1, 0x1.05050a229e53dp-1, 0x1.ff5e8921830a1p-2, 0x1.f4a2c497d8768p-2, 0x1.e9d5fa3e7a09fp-2, 0x1.def7815f6eb19p-2, 0x1.d406d4ae0ef44p-2, 0x1.c90391c1d041p-2, 0x1.bded785eba679p-2, 0x1.b2c469932f6ffp-2, 0x1.a78866b1fb074p-2, 0x1.9c39902ee43cap-2, 0x1.90d824636731ap-2, 0x1.85647e4096229p-2, 0x1.79df13f297f2bp-2, 0x1.6e487579b9fc7p-2, 0x1.62a14b3c81ad6p-2, 0x1.56ea5495d4b2cp-2, 0x1.4b246661cbdc7p-2, 0x1.3f50698b80af9p-2, 0x1.336f599dc9b93p-2, 0x1.2782435888c17p-2, 0x1.1b8a434bfafe3p-2, 0x1.0f88847b2fbdcp-2, 0x1.037e3f06a1fbp-2, 0x1.eed96dbf790f9p-3, 0x1.d6aa750bd7f17p-3, 0x1.be72439b6b02ap-3, 0x1.a63399646e0efp-3, 0x1.8df14462a5af6p-3, 0x1.75ae1e655dfe6p-3, 0x1.5d6d0af34b877p-3, 0x1.4530f544581f3p-3, 0x1.2cfcce514caf4p-3, 0x1.14d38af9368a1p-3, 0x1.f97044789aad6p-4, 0x1.c95b17181a1c4p-4, 0x1.996d7a605bdb5p-4, 0x1.69ad558035da7p-4, 0x1.3a208760e75a2p-4, 0x1.0acce3e8614dap-4, 0x1.b77062c3b7218p-5, 0x1.59d04c17890e8p-5, 0x1.f9899728449f1p-6, 0x1.40b1ffefc4043p-6, 0x1.125f6b9f3374dp-7, -0x1.673e2dd7237e8p-9, -0x1.c2feb42ee1058p-7, -0x1.94825e2d769f9p-6, -0x1.22ee4f4271903p-5, -0x1.7abd317878c43p-5, -0x1.d1a439e462f7ep-5, -0x1.13cd07ac63a9dp-4, -0x1.3e4acebf746fcp-4, -0x1.68470b69603e3p-4, -0x1.91bd7b3698821p-4, -0x1.baaa00cf0f355p-4, -0x1.e308a4ac0b17p-4, -0x1.056acadbd320bp-3, -0x1.190694eb57bcep-3, -0x1.2c55ef2eea9c3p-3, -0x1.3f572c396dc81p-3, -0x1.5208b2ad4a238p-3, -0x1.6468fd5a3378fp-3, -0x1.76769b5219b2ap-3, -0x1.88302ff592e1ap-3, -0x1.999472f8241d5p-3, -0x1.aaa2305ccadep-3, -0x1.bb58486b05465p-3, -0x1.cbb5af9cc8309p-3, -0x1.dbb96e85aa3eap-3, -0x1.eb62a1b3969cbp-3, -0x1.fab0798959434p-3, -0x1.04d11d09ac954p-2, -0x1.0c1b9d6b5f712p-2, -0x1.1337734db3b82p-2, -0x1.1a245d986b3bbp-2, -0x1.20e2249744a62p-2, -0x1.277099d7eb78fp-2, -0x1.2dcf9805da097p-2, -0x1.33ff02c4503a5p-2, -0x1.39fec686747f3p-2, -0x1.3fced865cd57ep-2, -0x1.456f35f72a92dp-2, -0x1.4adfe51e1aed3p-2, -0x1.5020f3df14c3fp-2, -0x1.55327830628cep-2, -0x1.5a148fc9fc6f3p-2, -0x1.5ec75ff45bbbfp-2, -0x1.634b1556719ecp-2, -0x1.679fe3c2cdc71p-2, -0x1.6bc606041677ap-2, -0x1.6fbdbda8e7178p-2, -0x1.738752cf29107p-2, -0x1.772313ef0632fp-2, -0x1.7a9155a580818p-2, -0x1.7dd2727ecb87bp-2, -0x1.80e6cac077837p-2, -0x1.83cec433830bfp-2, -0x1.868ac9ee6771bp-2, -0x1.891b4c1f2d092p-2, -0x1.8b80bfd59f8fep-2, -0x1.8dbb9ecdabea5p-2, -0x1.8fcc6739fda5ep-2, -0x1.91b39b8ee34acp-2, -0x1.9371c24d91ad1p-2, -0x1.950765cfcb843p-2, -0x1.96751413fd8eep-2, -0x1.97bb5e89dce5ep-2, -0x1.98dad9df8fd8p-2, -0x1.99d41dcf6fd45p-2, -0x1.9aa7c4ee6b6a4p-2, -0x1.9b566c7b1440dp-2, -0x1.9be0b42d60ef4p-2, -0x1.9c473e072f074p-2, -0x1.9c8aae2583ff2p-2, -0x1.9cabaa92a0569p-2, -0x1.9caadb18e4137p-2, -0x1.9c88e91689df1p-2, -0x1.9c467f5245f51p-2, -0x1.9be449d0c6401p-2, -0x1.9b62f5ab1e32bp-2, -0x1.9ac330e61c9aap-2, -0x1.9a05aa4a97bddp-2, -0x1.992b113ea999fp-2, -0x1.9834159fe6638p-2, -0x1.9721679e8cd47p-2, -0x1.95f3b799b12a2p-2, -0x1.94abb5fc688c5p-2, -0x1.934a131bf2381p-2, -0x1.91cf7f16e0314p-2, -0x1.903ca9b541ae5p-2, -0x1.8e924249ceccap-2, -0x1.8cd0f794143cap-2, -0x1.8af977a3a0a78p-2, -0x1.890c6fbc304a1p-2, -0x1.870a8c3ad816p-2, -0x1.84f4787c313bap-2, -0x1.82cadec37b6e3p-2, -0x1.808e6822bdce1p-2, -0x1.7e3fbc63defe4p-2, -0x1.7bdf81f2b384ap-2, -0x1.796e5dc7ff603p-2, -0x1.76ecf35569132p-2, -0x1.745be4725c5edp-2, -0x1.71bbd149d6181p-2, -0x1.6f0d584919f5bp-2, -0x1.6c51160f4d116p-2, -0x1.6987a55df2e8cp-2, -0x1.66b19f0a44f3dp-2, -0x1.63cf99ef6935dp-2, -0x1.60e22ae17b08fp-2, -0x1.5de9e4a16bdb5p-2, -0x1.5ae757d1ab97bp-2, -0x1.57db12eba2675p-2, -0x1.54c5a235ecd87p-2, -0x1.51a78fbb59f8ep-2, -0x1.4e816342ab64fp-2, -0x1.4b53a2470afap-2, -0x1.481ecff135bc1p-2, -0x1.44e36d115b7ddp-2, -0x1.41a1f819a619ap-2, -0x1.3e5aed196b4f2p-2, -0x1.3b0ec5b902ad7p-2, -0x1.37bdf936372d7p-2, -0x1.3468fc615791dp-2, -0x1.3110419ad778dp-2, -0x1.2db438d187b8cp-2, -0x1.2a554f8157141p-2, -0x1.26f3f0b29d05fp-2, -0x1.239084f9e8f12p-2, -0x1.202b727850688p-2, -0x1.1cc51cdc390e6p-2, -0x1.195de56299a2cp-2, -0x1.15f62ad8aa57ap-2, -0x1.128e499e0a21bp-2, -0x1.0f269ba7468d8p-2, -0x1.0bbf7880cee45p-2, -0x1.08593552456fap-2, -0x1.04f424e2310d5p-2, -0x1.0190979a06ba9p-2, -0x1.fc5db71512a3p-3, -0x1.f59e78e0f3874p-3, -0x1.eee407732ebe4p-3, -0x1.e82ef113d06a2p-3, -0x1.e17fbf82909d8p-3, -0x1.dad6f802785a1p-3, -0x1.d4351b660539dp-3, -0x1.cd9aa61bbe8fdp-3, -0x1.c708103b45aeap-3, -0x1.c07dcd92c1a98p-3, -0x1.b9fc4db4bbabfp-3, -0x1.b383fc064ee28p-3, -0x1.ad153fcdb1397p-3, -0x1.a6b07c410c28p-3, -0x1.a0561095a3c3ap-3, -0x1.9a06580f361fap-3, -0x1.93c1aa0fa813fp-3, -0x1.8d885a26dfc1cp-3, -0x1.875ab822d925cp-3, -0x1.8139101fe4e2fp-3, -0x1.7b23aa991308fp-3, -0x1.751acc78c108cp-3, -0x1.6f1eb72945924p-3, -0x1.692fa8a5bc1bep-3, -0x1.634ddb8ae202p-3, -0x1.5d798728061fp-3, -0x1.57b2df9009fb1p-3, -0x1.51fa15aa6761cp-3, -0x1.4c4f574441671p-3, -0x1.46b2cf2172c8ap-3, -0x1.4124a50d9d30bp-3, -0x1.3ba4fded33314p-3, -0x1.3633fbce7892fp-3, -0x1.30d1bdfa79d76p-3, -0x1.2b7e6105f0628p-3, -0x1.2639fee217aebp-3, -0x1.2104aeed72acep-3, -0x1.1bde86046c31ep-3, -0x1.16c79691ee98ep-3, -0x1.11bff09fd2ef5p-3, -0x1.0cc7a1e732386p-3, -0x1.07deb5e09e0fep-3, -0x1.030535d42f143p-3, -0x1.fc7651d2dafb7p-4, -0x1.f301286e2d0dap-4, -0x1.e9aaf5a570f94p-4, -0x1.e073bbc043e6cp-4, -0x1.d75b79414d84dp-4, -0x1.ce6229046e84fp-4, -0x1.c587c25c90194p-4, -0x1.bccc39310f2b5p-4, -0x1.b42f7e1acf9d4p-4, -0x1.abb17e80db6efp-4, -0x1.a35224b4a6687p-4, -0x1.9b11580de2f02p-4, -0x1.92eefd05ec446p-4, -0x1.8aeaf552c5ecfp-4, -0x1.83052001a9e1p-4, -0x1.7b3d59912a4efp-4, -0x1.73937c0ae164bp-4, -0x1.6c075f1caffa5p-4, -0x1.6498d8318a0ffp-4, -0x1.5d47ba89cf301p-4, -0x1.5613d753301ep-4, -0x1.4efcfdc01fe24p-4, -0x1.4802fb1ecfd93p-4, -0x1.41259aefb8006p-4, -0x1.3a64a6fba8847p-4, -0x1.33bfe76967e7ep-4, -0x1.2d3722d2db4acp-4, -0x1.26ca1e59b9895p-4, -0x1.20789dbbcb1fbp-4, -0x1.1a426366b3d51p-4, -0x1.1427308b49b45p-4, -0x1.0e26c530789bfp-4, -0x1.0840e045b31b2p-4, -0x1.02753fb4efba3p-4, -0x1.f98740e86e285p-5, -0x1.ee577d2d7dc5p-5, -0x1.e35aaabb2f3a2p-5, -0x1.d8903e8fd19cfp-5, -0x1.cdf7ac4582c88p-5, -0x1.c3906630f2afcp-5, -0x1.b959dd7f5284dp-5, -0x1.af5382536b7f5p-5, -0x1.a57cc3e1e2e0bp-5, -0x1.9bd5108cae623p-5, -0x1.925bd5fdb967p-5, -0x1.89108140be1bdp-5, -0x1.7ff27edc54fbbp-5, -0x1.77013aea40b4cp-5, -0x1.6e3c212ef17ffp-5, -0x1.65a29d304be1dp-5, -0x1.5d341a4bae425p-5, -0x1.54f003cb3d183p-5, -0x1.4cd5c4fa754ecp-5, -0x1.44e4c93a0a868p-5, -0x1.3d1c7c1311e53p-5, -0x1.357c49497e62p-5, -0x1.2e039cedef426p-5, -0x1.26b1e36ed6686p-5, -0x1.1f8689a8f8e91p-5, -0x1.1880fcf74b533p-5, -0x1.11a0ab422d855p-5, -0x1.0ae5030e0afffp-5, -0x1.044d73896067cp-5, -0x1.fbb2d93455978p-6, -0x1.ef10bdd584e06p-6, -0x1.e2b377ec4b656p-6, -0x1.d699ec276e62dp-6, -0x1.cac30104df1e6p-6, -0x1.bf2d9ee713bdbp-6, -0x1.b3d8b029561ep-6, -0x1.a8c321330fb6ep-6, -0x1.9debe08a1badep-6, -0x1.9351dee41e66fp-6, -0x1.88f40f36f0a4ap-6, -0x1.7ed166c81eeb9p-6, -0x1.74e8dd3b859bep-6, -0x1.6b396ca1090cp-6, -0x1.61c211817ec0bp-6, -0x1.5881caeab847dp-6, -0x1.4f779a7ac9bf7p-6, -0x1.46a2846a844a1p-6, -0x1.3e018f972ac77p-6, -0x1.3593c58b72682p-6, -0x1.2d583287c48dbp-6, -0x1.254de589d00b8p-6, -0x1.1d73f053701cp-6, -0x1.15c96770e7a35p-6, -0x1.0e4d623e7e1d1p-6, -0x1.06fefaed79fd4p-6, -0x1.ffba9d110ffdep-7, -0x1.f1cef9ef137f2p-7, -0x1.e4395205b3745p-7, -0x1.d6f7f0ac00d1ep-7, -0x1.ca092703d1422p-7, -0x1.bd6b4bfd1ddd5p-7, -0x1.b11cbc586fd0cp-7, -0x1.a51bdaa85282dp-7, -0x1.99670f51eb91bp-7, -0x1.8dfcc88cac035p-7, -0x1.82db7a6125e89p-7, -0x1.78019ea71fc83p-7, -0x1.6d6db502d4efp-7, -0x1.631e42e17d62p-7, -0x1.5911d3752043cp-7, -0x1.4f46f7afb0ac3p-7, -0x1.45bc463d88177p-7, -0x1.3c705b7f3689ap-7, -0x1.3361d982c46ap-7, -0x1.2a8f67fc58497p-7, -0x1.21f7b43e52754p-7, -0x1.19997130e2fa5p-7, -0x1.117357491f062p-7, -0x1.0984247f9caedp-7, -0x1.01ca9c469b77bp-7, -0x1.f48b0eff7ef65p-8, -0x1.e5e768e2c72fp-8, -0x1.d7a7ed7714ff1p-8, -0x1.c9ca4e98e4b0cp-8, -0x1.bc4c48a9a22ap-8, -0x1.af2ba2777bda9p-8, -0x1.a2662d249df22p-8, -0x1.95f9c40dd8b0ep-8, -0x1.89e44cb0c26c1p-8, -0x1.7e23b6915a596p-8, -0x1.72b5fb1f368ap-8, -0x1.67991d9a44af2p-8, -0x1.5ccb2af727caep-8, -0x1.524a39c338fd3p-8, -0x1.48146a0835911p-8, -0x1.3e27e52f9ec89p-8, -0x1.3482dde5d8141p-8, -0x1.2b238ffd0294p-8, -0x1.2208404fa7e7fp-8, -0x1.192f3ca32ef34p-8, -0x1.1096db8a2c0a5p-8, -0x1.083d7c4689b6dp-8, -0x1.002186ab974fep-8, -0x1.f082d5fffe289p-9, -0x1.e13743bf5121fp-9, -0x1.d25d583b237b9p-9, -0x1.c3f2254b3d1p-9, -0x1.b5f2ccbccf09bp-9, -0x1.a85c801612681p-9, -0x1.9b2c8059fac8fp-9, -0x1.8e601dcbfb356p-9, -0x1.81f4b7b3eb95ap-9, -0x1.75e7bc22197d6p-9, -0x1.6a36a7b385719p-9, -0x1.5edf055656c93p-9, -0x1.53de6e0e8fbb3p-9, -0x1.493288bb061a8p-9, -0x1.3ed909daa8a1ep-9, -0x1.34cfb352127f4p-9, -0x1.2b1454317aa26p-9, -0x1.21a4c87afdaep-9, -0x1.187ef8e94d3d4p-9, -0x1.0fa0dab6c2cep-9, -0x1.07086f64e3d21p-9, -0x1.fd678908a70dfp-10, -0x1.ed41e6fa74eb9p-10, -0x1.dd9c42b05037cp-10, -0x1.ce72fd0ee43adp-10, -0x1.bfc28d6227a47p-10, -0x1.b18780f21d79ap-10, -0x1.a3be7a98af7cbp-10, -0x1.96643258948cp-10, -0x1.897574f54f5ap-10, -0x1.7cef238c5541fp-10, -0x1.70ce332f4a15p-10, -0x1.650fac7f7067p-10, -0x1.59b0ab4a3b35fp-10, -0x1.4eae5e271530ep-10, -0x1.44060616537c7p-10, -0x1.39b4f62162975p-10, -0x1.2fb892fc27bddp-10, -0x1.260e52a79d8e3p-10, -0x1.1cb3bc15a76c9p-10, -0x1.13a666ce28085p-10, -0x1.0ae3fa9555639p-10, -0x1.026a2f1347c3ap-10, -0x1.f46d96f99a3c3p-11, -0x1.e48f4c7afd0f4p-11, -0x1.d535494628143p-11, -0x1.c65b7513f9b4ap-11, -0x1.b7fdd4166f846p-11, -0x1.aa188656db531p-11, -0x1.9ca7c7169b21cp-11, -0x1.8fa7ec325061bp-11, -0x1.83156587980f3p-11, -0x1.76ecbc5d3e42bp-11, -0x1.6b2a92cdf023bp-11, -0x1.5fcba335621c7p-11, -0x1.54ccbf9fef7c6p-11, -0x1.4a2ad13ca9d99p-11, -0x1.3fe2d7d1d8df3p-11, -0x1.35f1e933e4adcp-11, -0x1.2c5530bea88c5p-11, -0x1.2309eed1267d2p-11, -0x1.1a0d784b9c61bp-11, -0x1.115d360ff08d3p-11, -0x1.08f6a484758adp-11, -0x1.00d75318fd36ap-11, -0x1.f1f9c79c6bf6fp-12, -0x1.e2ca157ea05cdp-12, -0x1.d41b1b5bc3b35p-12, -0x1.c5e88720095e8p-12, -0x1.b82e28415512p-12, -0x1.aae7eee43d8f4p-12, -0x1.9e11eb056512ep-12, -0x1.91a84ba715e22p-12, -0x1.85a75e03141a8p-12, -0x1.7a0b8cc0a3de4p-12, -0x1.6ed15f2ea709ep-12, -0x1.63f57881d2e6ep-12, -0x1.59749716ea0a7p-12, -0x1.4f4b93b8ee369p-12, -0x1.457760eb3e16bp-12, -0x1.3bf50a3791c58p-12, -0x1.32c1b37fc48e7p-12, -0x1.29da9853659a9p-12, -0x1.213d0b48fb46p-12, -0x1.18e6755aefa7fp-12, -0x1.10d4554815a46p-12, -0x1.09043ef7bbb74p-12, -0x1.0173dae13d9ddp-12, -0x1.f441caee0ce75p-13, -0x1.e6125d29ea9c1p-13, -0x1.d85531e4313f4p-13, -0x1.cb06332b66aafp-13, -0x1.be216e9ef09e4p-13, -0x1.b1a31465ee7c8p-13, -0x1.a587762c4b856p-13, -0x1.99cb0625f69bdp-13, -0x1.8e6a561824962p-13, -0x1.83621668812b6p-13, -0x1.78af153233781p-13, -0x1.6e4e3d60977aep-13, -0x1.643c95cf9f065p-13, -0x1.5a774071b36bfp-13, -0x1.50fb797b0411p-13, -0x1.47c6969225191p-13, -0x1.3ed60605ea563p-13, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.e3d483adb52e5p-1, 0x1.e1f4772d62903p-1, 0x1.e002b07ff4346p-1, 0x1.de008e6039813p-1, 0x1.dbef6a0538412p-1, 0x1.d9d093719186bp-1, 0x1.d7a54e72a8c6ep-1, 0x1.d56ed040b509p-1, 0x1.d32e3dafd0482p-1, 0x1.d0e4a9e1d761ap-1, 0x1.ce93156939e4fp-1, 0x1.cc3a6dcd82323p-1, 0x1.c9db8d635629fp-1, 0x1.c7773b6ac392bp-1, 0x1.c50e2c67d6674p-1, 0x1.c2a102aaaedd6p-1, 0x1.c0304efd732ddp-1, 0x1.bdbc916f9f618p-1, 0x1.bb463a374220ap-1, 0x1.b8cdaaa1b9344p-1, 0x1.b653360e6209ep-1, 0x1.b3d722ee8e37fp-1, 0x1.b159abc6c6b25p-1, 0x1.aedb002e1295cp-1, 0x1.ac5b45c89256bp-1, 0x1.a9da993b42519p-1, 0x1.a7590f172b635p-1, 0x1.a4d6b4bab50d4p-1, 0x1.a25391281ab64p-1, 0x1.9fcfa5d05882fp-1, 0x1.9d4aef522080ap-1, 0x1.9ac5662ca0473p-1, 0x1.983eff660b6a3p-1, 0x1.95b7ad260403fp-1, 0x1.932f5f441af73p-1, 0x1.90a603cab6a13p-1, 0x1.8e1b876ec3999p-1, 0x1.8b8fd5fca2bb3p-1, 0x1.8902dabacd679p-1, 0x1.867480c2b93d3p-1, 0x1.83e4b3507cc6dp-1, 0x1.81535e09c67e1p-1, 0x1.7ec06d3caa4b1p-1, 0x1.7c2bce16d4e1bp-1, 0x1.79956ed5a7626p-1, 0x1.76fd3eefc19c4p-1, 0x1.74632f3876f56p-1, 0x1.71c731fdaa71p-1, 0x1.6f293b20850ecp-1, 0x1.6c894029743c4p-1, 0x1.69e73857dcc52p-1, 0x1.67431cadde627p-1, 0x1.649ce7f88e9d6p-1, 0x1.61f496d4f6a95p-1, 0x1.5f4a27b230215p-1, 0x1.5c9d9ad0e4d41p-1, 0x1.59eef2407b819p-1, 0x1.573e31da31c0fp-1, 0x1.548b5f3a5f87p-1, 0x1.51d681b81a9ebp-1, 0x1.4f1fa25b702c3p-1, 0x1.4c66cbd25f54p-1, 0x1.49ac0a64c2535p-1, 0x1.46ef6be74e47p-1, 0x1.4430ffadca663p-1, 0x1.4170d67ca24eep-1, 0x1.3eaf0279f0dd5p-1, 0x1.3beb971e1c671p-1, 0x1.3926a9241fd61p-1, 0x1.36604e799517ep-1, 0x1.33989e2e94e43p-1, 0x1.30cfb0657e198p-1, 0x1.2e059e42b6ba8p-1, 0x1.2b3a81dc71501p-1, 0x1.286e762a8768ep-1, 0x1.25a196f672387p-1, 0x1.22d400cb6e503p-1, 0x1.2005d0e6cff25p-1, 0x1.1d37252894151p-1, 0x1.1a681c0432461p-1, 0x1.1798d471b6755p-1, 0x1.14c96ddf29b28p-1, 0x1.11fa08224c0fp-1, 0x1.0f2ac36aa4b3bp-1, 0x1.0c5bc033ec1f9p-1, 0x1.098d1f38d2fa6p-1, 0x1.06bf01662857ep-1, 0x1.03f187ce5ef9ep-1, 0x1.0124d39d76d9p-1, 0x1.fcb20c1a93b5ap-2, 0x1.f71c80b47687dp-2, 0x1.f18947709d7aap-2, 0x1.ebf8a29141f96p-2, 0x1.e66ad41e8ffeep-2, 0x1.e0e01dd32dc77p-2, 0x1.db58c1098c7f9p-2, 0x1.d5d4fea9fd8bap-2, 0x1.d0551719928e4p-2, 0x1.cad94a29bcc03p-2, 0x1.c561d708ae3c2p-2, 0x1.bfeefc327b7c5p-2, 0x1.ba80f762f9853p-2, 0x1.b518058854579p-2, 0x1.afb462b65be71p-2, 0x1.aa564a1a86b4ep-2, 0x1.a4fdf5f0a0d16p-2, 0x1.9fab9f782c1bap-2, 0x1.9a5f7eea656e2p-2, 0x1.9519cb70f31eap-2, 0x1.8fdabb1d3394fp-2, 0x1.8aa282e02b87ap-2, 0x1.857156830bf45p-2, 0x1.804768a05439dp-2, 0x1.7b24ea9d81cf6p-2, 0x1.760a0ca551904p-2, 0x1.70f6fda28d52bp-2, 0x1.6bebeb3b5e519p-2, 0x1.66e901cd25b9ap-2, 0x1.61ee6c68d1adfp-2, 0x1.5cfc54cfb1d76p-2, 0x1.5812e370bf9f2p-2, 0x1.53323f665eeb5p-2, 0x1.4e5a8e7489ba3p-2, 0x1.498bf5076d366p-2, 0x1.44c696326cd37p-2, 0x1.400a93af8940ap-2, 0x1.3b580ddf2ac1p-2, 0x1.36af23c848c04p-2, 0x1.320ff318e87cfp-2, 0x1.2d7a9826f5db2p-2, 0x1.28ef2df16c42cp-2, 0x1.246dce21cff9bp-2, 0x1.1ff6910df323cp-2, 0x1.1b898dba03535p-2, 0x1.1726d9dadad58p-2, 0x1.12ce89d8970abp-2, 0x1.0e80b0d16be0fp-2, 0x1.0a3d609cb07b3p-2, 0x1.0604a9ce288a1p-2, 0x1.01d69bb9818a3p-2, 0x1.fb6688ec01a74p-3, 0x1.f33561c4c87bap-3, 0x1.eb19d951dbb9bp-3, 0x1.e314048734d06p-3, 0x1.db23f600fe6cbp-3, 0x1.d349be0c97b1p-3, 0x1.cb856ab1e2305p-3, 0x1.c3d707bcc672ep-3, 0x1.bc3e9ec6fb547p-3, 0x1.b4bc3741fea45p-3, 0x1.ad4fd6813fe97p-3, 0x1.a5f97fc47b864p-3, 0x1.9eb93442390cdp-3, 0x1.978ef33272e9ap-3, 0x1.907ab9d957913p-3, 0x1.897c83923404bp-3, 0x1.829449da66418p-3, 0x1.7bc2045c72df9p-3, 0x1.7505a8fb245d7p-3, 0x1.6e5f2bdcb87e4p-3, 0x1.67ce7f761d7dep-3, 0x1.6153949633aa5p-3, 0x1.5aee5a710efd3p-3, 0x1.549ebeab4262dp-3, 0x1.4e64ad6523f6cp-3, 0x1.484011460f7f1p-3, 0x1.4230d387a0fc5p-3, 0x1.3c36dc00e58ccp-3, 0x1.3652113184651p-3, 0x1.3082584cd46eap-3, 0x1.2ac79544e596p-3, 0x1.2521aad579627p-3, 0x1.1f907a8ede86ap-3, 0x1.1a13e4e0c6491p-3, 0x1.14abc924efb43p-3, 0x1.0f5805a9c9fa3p-3, 0x1.0a1877bced81ap-3, 0x1.04ecfbb586df1p-3, 0x1.ffaad9fd29e5ep-4, 0x1.f5a34c4227593p-4, 0x1.ebc3019c0034cp-4, 0x1.e209abd0799d2p-4, 0x1.d876fb1ca62aep-4, 0x1.cf0a9e481aee8p-4, 0x1.c5c442b7ec293p-4, 0x1.bca394814b05dp-4, 0x1.b3a83e7be0787p-4, 0x1.aad1ea53dc787p-4, 0x1.a220409bab81cp-4, 0x1.9992e8dd696a6p-4, 0x1.912989abf4294p-4, 0x1.88e3c8b3b83f6p-4, 0x1.80c14acb21a62p-4, 0x1.78c1b402bba39p-4, 0x1.70e4a7b4fcb54p-4, 0x1.6929c895bade8p-4, 0x1.6190b8c14cc0fp-4, 0x1.5a1919cb52ec2p-4, 0x1.52c28ccd2ce8bp-4, 0x1.4b8cb27415c6bp-4, 0x1.44772b0eed1b9p-4, 0x1.3d81969ba7b02p-4, 0x1.36ab94d46b096p-4, 0x1.2ff4c53c53444p-4, 0x1.295cc72be3187p-4, 0x1.22e339dd1eb51p-4, 0x1.1c87bc7751ffep-4, 0x1.1649ee1a828f8p-4, 0x1.10296dea8de8fp-4, 0x1.0a25db19f3ffbp-4, 0x1.043ed4f450427p-4, 0x1.fce7f5d10159ap-5, 0x1.f189d924f454dp-5, 0x1.e66293899f7d5p-5, 0x1.db716523ce565p-5, 0x1.d0b58ea9c278ap-5, 0x1.c62e517466e57p-5, 0x1.bbdaef8fea4bfp-5, 0x1.b1baabcbc25e8p-5, 0x1.a7ccc9ca18903p-5, 0x1.9e108e0ea5dd5p-5, 0x1.94853e0cfa737p-5, 0x1.8b2a203638f68p-5, 0x1.81fe7c064293p-5, 0x1.79019a105b9a3p-5, 0x1.7032c40b446f9p-5, 0x1.679144dccdd1ap-5, 0x1.5f1c68a4ec5c1p-5, 0x1.56d37cc844ee2p-5, 0x1.4eb5cffa40bcbp-5, 0x1.46c2b2469fe9bp-5, 0x1.3ef9751a94d5p-5, 0x1.37596b4d67732p-5, 0x1.2fe1e928a2c55p-5, 0x1.2892446fcff8bp-5, 0x1.2169d467c3649p-5, 0x1.1a67f1dd772fbp-5, 0x1.138bf72c80a04p-5, 0x1.0cd54045174bcp-5, 0x1.06432ab1b90e8p-5, 0x1.ffaa2b38d2c4fp-6, 0x1.f314c3a71dcc5p-6, 0x1.e6c4e39ce5e46p-6, 0x1.dab95362c3aacp-6, 0x1.cef0dea2eb23p-6, 0x1.c36a547006016p-6, 0x1.b824874b6cd0cp-6, 0x1.ad1e4d2ab465bp-6, 0x1.a2567f7c9b946p-6, 0x1.97cbfb2d5a928p-6, 0x1.8d7da0aa5bc23p-6, 0x1.836a53e55e9a7p-6, 0x1.7990fc570dd25p-6, 0x1.6ff08501054b1p-6, 0x1.6687dc6f55cbap-6, 0x1.5d55f4b987f55p-6, 0x1.5459c38317693p-6, 0x1.4b9241fb80dafp-6, 0x1.42fe6cddcea93p-6, 0x1.3a9d446fbd50cp-6, 0x1.326dcc80678acp-6, 0x1.2a6f0c6692b7ep-6, 0x1.22a00efe8d849p-6, 0x1.1affe2a7b1aa6p-6, 0x1.138d994181c51p-6, 0x1.0c48482872024p-6, 0x1.052f083252855p-6, 0x1.fc81eb54dd00dp-7, 0x1.eefa609aa546ap-7, 0x1.e1c5b68898ee9p-7, 0x1.d4e23a41373f1p-7, 0x1.c84e3facc34f6p-7, 0x1.bc08216e92bp-7, 0x1.b00e40d9e472p-7, 0x1.a45f05e639842p-7, 0x1.98f8df233841p-7, 0x1.8dda41ac266eap-7, 0x1.8301a91af4101p-7, 0x1.786d977aeabb8p-7, 0x1.6e1c953af6343p-7, 0x1.640d311fa1043p-7, 0x1.5a3e0034abc1ap-7, 0x1.50ad9dbe6ed91p-7, 0x1.475aab2ad8fb4p-7, 0x1.3e43d0023a74ep-7, 0x1.3567b9d7ccd43p-7, 0x1.2cc51c39fb156p-7, 0x1.245ab0a2776d5p-7, 0x1.1c2736661bbccp-7, 0x1.142972a49c6a8p-7, 0x1.0c6030381170fp-7, 0x1.04ca3fa4569b6p-7, 0x1.faccee0c97a1p-8, 0x1.ec676405e72cap-8, 0x1.de61a36ceed0dp-8, 0x1.d0b97946276b1p-8, 0x1.c36cbd3fdd811p-8, 0x1.b679518fbbd4p-8, 0x1.a9dd22d038f55p-8, 0x1.9d9627ddeee79p-8, 0x1.91a261b4df52fp-8, 0x1.85ffdb4dae6fcp-8, 0x1.7aaca97ad7302p-8, 0x1.6fa6eac5dce0ap-8, 0x1.64ecc74c838a3p-8, 0x1.5a7c709e0e3e1p-8, 0x1.505421988e443p-8, 0x1.46721e46420d8p-8, 0x1.3cd4b3bb098a5p-8, 0x1.337a37f1f89eep-8, 0x1.2a6109ab040dap-8, 0x1.21879048d3408p-8, 0x1.18ec3baeb5d1ep-8, 0x1.108d841ec46e9p-8, 0x1.0869ea182c38p-8, 0x1.007ff635aa488p-8, 0x1.f19c721878457p-9, 0x1.e2a6961402c54p-9, 0x1.d41b98aab4764p-9, 0x1.c5f8c9587ace6p-9, 0x1.b83b86879adf6p-9, 0x1.aae13d5057bc3p-9, 0x1.9de769391f69ep-9, 0x1.914b93f73e5b7p-9, 0x1.850b55301e8b5p-9, 0x1.7924523b13e0ap-9, 0x1.6d943de3bee43p-9, 0x1.6258d82d04a32p-9, 0x1.576fee149aa0bp-9, 0x1.4cd7595734585p-9, 0x1.428d00354e608p-9, 0x1.388ed538945d1p-9, 0x1.2edad6f9f1847p-9, 0x1.256f0fe84195ep-9, 0x1.1c49960fa7e13p-9, 0x1.13688ae192926p-9, 0x1.0aca1afd61ce5p-9, 0x1.026c7df9c1d45p-9, 0x1.f49bec5d54226p-10, 0x1.e4d9a1001b0dap-10, 0x1.d58ec852724e7p-10, 0x1.c6b82511c167p-10, 0x1.b8528ddbb43c2p-10, 0x1.aa5aecc919045p-10, 0x1.9cce3f0a147bdp-10, 0x1.8fa99483c4046p-10, 0x1.82ea0f6f360a8p-10, 0x1.768ce3f9ccf52p-10, 0x1.6a8f57e6fa9bcp-10, 0x1.5eeec2336766fp-10, 0x1.53a88ab971f77p-10, 0x1.48ba29d710554p-10, 0x1.3e21281512a7cp-10, 0x1.33db1dcfbd536p-10, 0x1.29e5b2e0c920ep-10, 0x1.203e9e4ab1c91p-10, 0x1.16e3a5e569695p-10, 0x1.0dd29e0c5c9d7p-10, 0x1.0509694dccdedp-10, 0x1.f90bf037004e3p-11, 0x1.e88c90f982345p-11, 0x1.d890cb835af01p-11, 0x1.c914d06fa5738p-11, 0x1.ba14e9c0271b9p-11, 0x1.ab8d7a4bab106p-11, 0x1.9d7afd2ee7f6cp-11, 0x1.8fda053fe8bfp-11, 0x1.82a73c83f5304p-11, 0x1.75df63a7f2c22p-11, 0x1.697f517b37e9ap-11, 0x1.5d83f26ccce5p-11, 0x1.51ea480b11b29p-11, 0x1.46af6885c5966p-11, 0x1.3bd07e326768cp-11, 0x1.314ac712e7ea6p-11, 0x1.271b945ea9d7bp-11, 0x1.1d404a0dc72cfp-11, 0x1.13b65e6693f2ap-11, 0x1.0a7b598d5abe9p-11, 0x1.018cd516481a9p-11, 0x1.f1d0f73302df7p-12, 0x1.e1181092bb1d7p-12, 0x1.d0ea8d15717ebp-12, 0x1.c144231ebcfbdp-12, 0x1.b220a7e4ffc72p-12, 0x1.a37c0eae5ff1bp-12, 0x1.95526811bd7aep-12, 0x1.879fe13b9be1cp-12, 0x1.7a60c336e6e77p-12, 0x1.6d9172398ee73p-12, 0x1.612e6cf4e5cc9p-12, 0x1.55344be9b5733p-12, 0x1.499fc0bff9d24p-12, 0x1.3e6d95a2350a4p-12, 0x1.339aac9c51a14p-12, 0x1.2923fefdfbf3cp-12, 0x1.1f069cc06d00bp-12, 0x1.153fabef94194p-12, 0x1.0bcc681694a56p-12, 0x1.02aa21af83458p-12, 0x1.f3ac7b2cbc87fp-13, 0x1.e29c68fe55a32p-13, 0x1.d21f24de587c9p-13, 0x1.c22fec7257715p-13, 0x1.b2ca21f9741f6p-13, 0x1.a3e94b50cdec3p-13, 0x1.958910fdb69ffp-13, 0x1.87a53d3d92f6cp-13, 0x1.7a39bb1b56f15p-13, 0x1.6d42958a6e27dp-13, 0x1.60bbf68713b9bp-13, 0x1.54a2263be7697p-13, 0x1.48f18a2cb17b3p-13, 0x1.3da6a4663dea4p-13, 0x1.32be12b332244p-13, 0x1.28348dd5c15c3p-13, 0x1.1e06e8c638421p-13, 0x1.14320ff62af9bp-13, 0x1.0ab308984f397p-13, 0x1.0186efecd0207p-13, 0x1.f155f52425846p-14, 0x1.e038e7b3a7f7dp-14, 0x1.cfb17a4503b6ep-14, 0x1.bfba9a6980bffp-14, 0x1.b04f5f4a0d56cp-14, 0x1.a16b08726cbf5p-14, 0x1.9308fca43b28p-14, 0x1.8524c8b19c6ccp-14, 0x1.77ba1e5f6a49cp-14, 0x1.6ac4d34eb9a26p-14, 0x1.5e40dfed8eb2p-14, 0x1.522a5e6e9997ep-14, 0x1.467d89c7d427fp-14, 0x1.3b36bcb7d9026p-14, 0x1.305270d1d15abp-14, 0x1.25cd3d8fd22a8p-14, 0x1.1ba3d76b846a4p-14, 0x1.11d30efcf617bp-14, 0x1.0857d01f6ebebp-14, 0x1.fe5e42384cbe7p-15, 0x1.ecac43b576c31p-15, 0x1.db94162e8fc8ep-15, 0x1.cb105b3be5174p-15, 0x1.bb1be317bb9bap-15, 0x1.abb1ab2aa76cdp-15, 0x1.9cccdca21e3d8p-15, 0x1.8e68cb110892p-15, 0x1.8080f31a175ccp-15, 0x1.7310f9239c11cp-15, 0x1.6614a814b345dp-15, 0x1.5987f01b7e1ecp-15, 0x1.4d66e57c3bbcdp-15, 0x1.41adbf6905badp-15, 0x1.3658d6e1ff20bp-15, 0x1.2b64a59db9422p-15, 0x1.20cdc4f9a62dfp-15, 0x1.1690ecf259461p-15, 0x1.0caaf3236fcedp-15, 0x1.0318c9cee888cp-15, 0x1.f3aefdd77e321p-16, 0x1.e1c8767733c7dp-16, 0x1.d07882cebc12bp-16, 0x1.bfb9da44fd46ap-16, 0x1.af8764a9aa62dp-16, 0x1.9fdc3895bce45p-16, 0x1.90b399d85c88fp-16, 0x1.8208f7efe8c08p-16, 0x1.73d7ec8ec4af1p-16, 0x1.661c3a2bac1b4p-16, 0x1.58d1ca9d3229ep-16, 0x1.4bf4adc0262bbp-16, 0x1.3f811828938c8p-16, 0x1.337361dd1363dp-16, 0x1.27c8051c2d5c4p-16, 0x1.1c7b9d2b773d2p-16, 0x1.118ae530415e3p-16, 0x1.06f2b7117ddffp-16, 0x1.f96014c54f24bp-17, 0x1.e57fe6aedae7bp-17, 0x1.d23f437fc26b8p-17, 0x1.bf98c019d70cdp-17, 0x1.ad8724b998f7cp-17, 0x1.9c056b1ee145fp-17, 0x1.8b0ebcc4c66d7p-17, 0x1.7a9e7128366abp-17, 0x1.6ab00c1d073bfp-17, 0x1.5b3f3c30ec201p-17, 0x1.4c47d91bf7d48p-17, 0x1.3dc5e23e583c4p-17, 0x1.2fb57d2ace58p-17, 0x1.2212f43d99c8bp-17, 0x1.14dab53f70ac7p-17, 0x1.080950142d5dap-17, 0x1.f736eae9b4ea5p-18, 0x1.df1beb698971p-18, 0x1.c7bb7f2285a36p-18, 0x1.b10fbe17bf55ap-18, 0x1.9b12f89d2ee16p-18, 0x1.85bfb533b6497p-18, 0x1.7110ae781f9bap-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.5cb25e24e437cp-3, -0x1.6b2fb696bfe22p-3, -0x1.79717f0148971p-3, -0x1.877131d7a2e5fp-3, -0x1.952881a728078p-3, -0x1.a291959eb491p-3, -0x1.afa7375ab12d7p-3, -0x1.bc64f3793e30bp-3, -0x1.c8c72ea0b13dcp-3, -0x1.d4cb30aa59e3bp-3, -0x1.e06f2795f86f6p-3, -0x1.ebb223cf09327p-3, -0x1.f6940f29a44a9p-3, -0x1.008acfeaa9412p-2, -0x1.059c242dd9c4bp-2, -0x1.0a7f12ccba7bap-2, -0x1.0f34f5bd50b1p-2, -0x1.13bf68909c902p-2, -0x1.18203e7ef3642p-2, -0x1.1c5978a3bcf9p-2, -0x1.206d3c92deca7p-2, -0x1.245dcb67d5ae6p-2, -0x1.282d7965c07f2p-2, -0x1.2bdea638212dep-2, -0x1.2f73b5de0fba9p-2, -0x1.32ef0a446e50bp-2, -0x1.3652fd8fb805p-2, -0x1.39a1dd129ce3dp-2, -0x1.3cdde4ec3a373p-2, -0x1.40093c46b13f7p-2, -0x1.4325f22d85575p-2, -0x1.4635faf2311fbp-2, -0x1.493b2e14b576ap-2, -0x1.4c3744a5a84bp-2, -0x1.4f2bd81715eb9p-2, -0x1.521a6171c48fp-2, -0x1.550438e48e569p-2, -0x1.57ea95a3f3fdbp-2, -0x1.5ace8e1085201p-2, -0x1.5db1181b2dc76p-2, -0x1.609309df1d003p-2, -0x1.63751a69832d9p-2, -0x1.6657e2a7ff71ep-2, -0x1.693bde7731658p-2, -0x1.6c216dcb7658fp-2, -0x1.6f08d5ee65abep-2, -0x1.71f242cc369c7p-2, -0x1.74ddc84cb517fp-2, -0x1.77cb63b3e55a2p-2, -0x1.7abafd06f6947p-2, -0x1.7dac687285973p-2, -0x1.809f67af9996bp-2, -0x1.8393ab65210d6p-2, -0x1.8688d4840931ep-2, -0x1.897e759c4f0fbp-2, -0x1.8c741429bf17dp-2, -0x1.8f6929d73c7cep-2, -0x1.925d25b7ba9cdp-2, -0x1.954f6d7430305p-2, -0x1.983f5e6e004fap-2, -0x1.9b2c4ed57b2dcp-2, -0x1.9e158eb431eecp-2, -0x1.a0fa68eb01022p-2, -0x1.a3da2423c2eeep-2, -0x1.a6b403b6b68fbp-2, -0x1.a9874883b8dadp-2, -0x1.ac5331bf77263p-2, -0x1.af16fdb4d629fp-2, -0x1.b1d1ea7ad1ebap-2, -0x1.b483369f17396p-2, -0x1.b72a21c5af1bep-2, -0x1.b9c5ed3e0fce7p-2, -0x1.bc55dc8de49b3p-2, -0x1.bed935f1f384ep-2, -0x1.c14f42d56db5ap-2, -0x1.c3b750401602fp-2, -0x1.c610af3b8fc4ap-2, -0x1.c85ab53036c16p-2, -0x1.ca94bc39d8968p-2, -0x1.ccbe2374ad496p-2, -0x1.ced64f42df7e1p-2, -0x1.d0dca98b02014p-2, -0x1.d2d0a1efbf2b5p-2, -0x1.d4b1ae0119a2ep-2, -0x1.d67f4967869f2p-2, -0x1.d838f609368bdp-2, -0x1.d9de3c29cbd47p-2, -0x1.db6eaa84d214fp-2, -0x1.dce9d66331808p-2, -0x1.de4f5babe9b2fp-2, -0x1.df9edcf04c37dp-2, -0x1.e0d80373fc461p-2, -0x1.e1fa7f30ea372p-2, -0x1.e30606d786fc2p-2, -0x1.e3fa57cb699e3p-2, -0x1.e4d7361c9416fp-2, -0x1.e59c6c7d97466p-2, -0x1.e649cc36bbd9ap-2, -0x1.e6df2d166a2fp-2, -0x1.e75c6d5ef549fp-2, -0x1.e7c171b200af7p-2, -0x1.e80e24f9a1479p-2, -0x1.e842784f6933dp-2, -0x1.e85e62e1838c5p-2, -0x1.e861e1d605d55p-2, -0x1.e84cf82c9e53bp-2, -0x1.e81fae9ec11b7p-2, -0x1.e7da137e70708p-2, -0x1.e77c3a93cd55p-2, -0x1.e7063cf9839eep-2, -0x1.e67838f833e3ap-2, -0x1.e5d251e0fa02fp-2, -0x1.e514afe72c05p-2, -0x1.e43f7ff963561p-2, -0x1.e352f399f7f25p-2, -0x1.e24f40b6fa454p-2, -0x1.e134a181c5adep-2, -0x1.e0035446459b2p-2, -0x1.debb9b41fdf74p-2, -0x1.dd5dbc7aec6dep-2, -0x1.dbea0196588c3p-2, -0x1.da60b7af9cd69p-2, -0x1.d8c22f2f06bd8p-2, -0x1.d70ebba0d014ep-2, -0x1.d546b38c4d516p-2, -0x1.d36a704b57264p-2, -0x1.d17a4de200a96p-2, -0x1.cf76aad6a8f23p-2, -0x1.cd5fe80a6e5b2p-2, -0x1.cb36689218f3ep-2, -0x1.c8fa918f797f2p-2, -0x1.c6acca0b536bp-2, -0x1.c44d7acfd5b99p-2, -0x1.c1dd0e43a900dp-2, -0x1.bf5bf045a0256p-2, -0x1.bcca8e0910a5dp-2, -0x1.ba2955f2d5fb8p-2, -0x1.b778b7770cd1ep-2, -0x1.b4b922f786856p-2, -0x1.b1eb09a2fc634p-2, -0x1.af0edd5504dd8p-2, -0x1.ac251076d4605p-2, -0x1.a92e15e0c2bfp-2, -0x1.a62a60bca65f9p-2, -0x1.a31a6468fa268p-2, -0x1.9ffe945cd9216p-2, -0x1.9cd7640ccf7f3p-2, -0x1.99a546d07ea42p-2, -0x1.9668afc91bd2bp-2, -0x1.932211c8c2d13p-2, -0x1.8fd1df3aa3948p-2, -0x1.8c788a0c068bbp-2, -0x1.8916839626a98p-2, -0x1.85ac3c88e35fep-2, -0x1.823a24d649ac5p-2, -0x1.7ec0ab9eefce3p-2, -0x1.7b403f1f21751p-2, -0x1.77b94c9ce4c21p-2, -0x1.742c4056c5324p-2, -0x1.7099857371a4dp-2, -0x1.6d0185f2235e2p-2, -0x1.6964aa9bcd28p-2, -0x1.65c35af50e989p-2, -0x1.621dfd30ec61ep-2, -0x1.5e74f624462f2p-2, -0x1.5ac8a93a09a08p-2, -0x1.571978681c3b9p-2, -0x1.5367c424ff65fp-2, -0x1.4fb3eb5e22188p-2, -0x1.4bfe4b6ee4411p-2, -0x1.4847401841b56p-2, -0x1.448f2379283a7p-2, -0x1.40d64e076da42p-2, -0x1.3d1d168967cc7p-2, -0x1.3963d2101d992p-2, -0x1.35aad3f2110e2p-2, -0x1.31f26dc69ee8cp-2, -0x1.2e3aef61e9353p-2, -0x1.2a84a6d151b53p-2, -0x1.26cfe05879893p-2, -0x1.231ce66ec4caap-2, -0x1.1f6c01bd5f034p-2, -0x1.1bbd791db906ep-2, -0x1.181191987f4f3p-2, -0x1.14688e6502b0cp-2, -0x1.10c2b0e912882p-2, -0x1.0d2038b941c6dp-2, -0x1.0981639990b6bp-2, -0x1.05e66d7e7e891p-2, -0x1.024f908e7741cp-2, -0x1.fd7a0a474142p-3, -0x1.f65e039bfa838p-3, -0x1.ef4b76abc851ap-3, -0x1.e842c97d93624p-3, -0x1.e1445e94ad826p-3, -0x1.da5094f79042bp-3, -0x1.d367c83724dbap-3, -0x1.cc8a50769d347p-3, -0x1.c5b88273bbbf5p-3, -0x1.bef2af8fa1081p-3, -0x1.b83925d8010ebp-3, -0x1.b18c3010ca1a1p-3, -0x1.aaec15be2e0e4p-3, -0x1.a4591b2f073e7p-3, -0x1.9dd381879c3d8p-3, -0x1.975b86ccb2d91p-3, -0x1.90f165eef07ccp-3, -0x1.8a9556d68011fp-3, -0x1.84478e6f0466cp-3, -0x1.7e083eb3b5ae9p-3, -0x1.77d796bbc8e5fp-3, -0x1.71b5c2c7008d9p-3, -0x1.6ba2ec4a6b23p-3, -0x1.659f39fd4f568p-3, -0x1.5faacfe638cc9p-3, -0x1.59c5cf6829d11p-3, -0x1.53f0574fe3e93p-3, -0x1.4e2a83e14c8acp-3, -0x1.48746ee4e44cep-3, -0x1.42ce2fb54ded4p-3, -0x1.3d37db4ce0c55p-3, -0x1.37b18453478f7p-3, -0x1.323b3b2b20ef1p-3, -0x1.2cd50dffa29bbp-3, -0x1.277f08d23bab6p-3, -0x1.2239358835fb9p-3, -0x1.1d039bf848a5dp-3, -0x1.17de41f828b2dp-3, -0x1.12c92b6a0753cp-3, -0x1.0dc45a4a03cbdp-3, -0x1.08cfcebb89ff8p-3, -0x1.03eb87169cc89p-3, -0x1.fe2effea181eap-4, -0x1.f4a7687f1d7b8p-4, -0x1.eb403a758ba85p-4, -0x1.e1f965283fa67p-4, -0x1.d8d2d4dd4000cp-4, -0x1.cfcc72df0bff8p-4, -0x1.c6e62595a2bbp-4, -0x1.be1fd09f43d08p-4, -0x1.b57954e8f0c1cp-4, -0x1.acf290c6949c2p-4, -0x1.a48b600ae8c66p-4, -0x1.9c439c1f0015dp-4, -0x1.941b1c198a49ep-4, -0x1.8c11b4d5b124bp-4, -0x1.84273909b3043p-4, -0x1.7c5b795d16914p-4, -0x1.74ae447e8b653p-4, -0x1.6d1f67396c0adp-4, -0x1.65aeac8ae6a0cp-4, -0x1.5e5bddb6c45f7p-4, -0x1.5726c25bd5d27p-4, -0x1.500f2087fd40fp-4, -0x1.4914bccbd962ep-4, -0x1.42375a4e108fcp-4, -0x1.3b76bade385abp-4, -0x1.34d29f075d214p-4, -0x1.2e4ac6222715cp-4, -0x1.27deee669d1f9p-4, -0x1.218ed4fd84dd6p-4, -0x1.1b5a361161044p-4, -0x1.1540ccdf0d3adp-4, -0x1.0f4253c5f7f6cp-4, -0x1.095e8457fa043p-4, -0x1.03951768cdd18p-4, -0x1.fbcb8a3a48147p-5, -0x1.f0a089f2b1572p-5, -0x1.e5a89bdf8fbc3p-5, -0x1.dae32cdd8637bp-5, -0x1.d04fa8dc4e53ep-5, -0x1.c5ed7af92b12bp-5, -0x1.bbbc0d989d1cp-5, -0x1.b1baca7f6104fp-5, -0x1.a7e91aeab4855p-5, -0x1.9e4667a7e83bfp-5, -0x1.94d2192b3c404p-5, -0x1.8b8b97a60bb9dp-5, -0x1.82724b1c4bb61p-5, -0x1.79859b7956e7ap-5, -0x1.70c4f0a416247p-5, -0x1.682fb29279518p-5, -0x1.5fc5495c4ed01p-5, -0x1.57851d4d747e2p-5, -0x1.4f6e96f768a11p-5, -0x1.47811f423a049p-5, -0x1.3fbc1f7cdda45p-5, -0x1.381f016ce9e01p-5, -0x1.30a92f5db8482p-5, -0x1.295a142ef61a8p-5, -0x1.22311b62a0455p-5, -0x1.1b2db12a70901p-5, -0x1.144f4274bdaep-5, -0x1.0d953cf8d1648p-5, -0x1.06ff0f42b8a3ap-5, -0x1.008c28be8b1b5p-5, -0x1.f477f3866c847p-6, -0x1.e81be73986089p-6, -0x1.dc03112c47a02p-6, -0x1.d02c58050ce1fp-6, -0x1.c496a48c5c91ep-6, -0x1.b940e1bdb5911p-6, -0x1.ae29fcd779eb9p-6, -0x1.a350e569f5337p-6, -0x1.98b48d6592911p-6, -0x1.8e53e92837fb1p-6, -0x1.842def89d55bbp-6, -0x1.7a4199e8290d9p-6, -0x1.708de431c4f1p-6, -0x1.6711ccf04d104p-6, -0x1.5dcc5552021fap-6, -0x1.54bc8132939f5p-6, -0x1.4be15723437ap-6, -0x1.4339e0725ea3dp-6, -0x1.3ac529320e3fdp-6, -0x1.3282403e8853fp-6, -0x1.2a703743a3917p-6, -0x1.228e22c1d485ep-6, -0x1.1adb1a1292cdap-6, -0x1.1356376c350dfp-6, -0x1.0bfe97e53f7e3p-6, -0x1.04d35b772cbdap-6, -0x1.fba74a016a5d7p-7, -0x1.edfd348f365b5p-7, -0x1.e0a6c7f3f408ep-7, -0x1.d3a25b5e47291p-7, -0x1.c6ee4bd018017p-7, -0x1.ba88fc1e8f21ap-7, -0x1.ae70d4f14248p-7, -0x1.a2a444c098053p-7, -0x1.9721bfd35f4e2p-7, -0x1.8be7c03bbe2b4p-7, -0x1.80f4c5d359f74p-7, -0x1.76475636dc5c6p-7, -0x1.6bddfcc0d5106p-7, -0x1.61b74a83f57e4p-7, -0x1.57d1d644b741fp-7, -0x1.4e2c3c727316p-7, -0x1.44c51f1fecb58p-7, -0x1.3b9b25fb553d2p-7, -0x1.32acfe45d364p-7, -0x1.29f95aca90d6ap-7, -0x1.217ef3d5556fp-7, -0x1.193c8728b4ee4p-7, -0x1.1130d7f3d448ap-7, -0x1.095aaec7cdd5dp-7, -0x1.01b8d98cb8324p-7, -0x1.f49456eca7844p-8, -0x1.e61af9f0cfaf1p-8, -0x1.d8035775a01a1p-8, -0x1.ca4b351a81712p-8, -0x1.bcf062b58e39cp-8, -0x1.aff0ba3a11bb3p-8, -0x1.a34a1f9e91862p-8, -0x1.96fa80c264259p-8, -0x1.8affd552e42acp-8, -0x1.7f581eb04385dp-8, -0x1.740167d205a42p-8, -0x1.68f9c52b2c6ebp-8, -0x1.5e3f548e1b41cp-8, -0x1.53d03d103926ap-8, -0x1.49aaaeed56d1bp-8, -0x1.3fcce36ae35e2p-8, -0x1.36351cbaf00f9p-8, -0x1.2ce1a5df0f344p-8, -0x1.23d0d28b102p-8, -0x1.1b00ff079e71ap-8, -0x1.12709014cd137p-8, -0x1.0a1df2cc8e60fp-8, -0x1.02079c8521514p-8, -0x1.f4581566ee119p-9, -0x1.e513859b2e945p-9, -0x1.d63ea45a0a5eep-9, -0x1.c7d69be25c9acp-9, -0x1.b9d8a5c3c1307p-9, -0x1.ac420aa3a407ap-9, -0x1.9f10220277204p-9, -0x1.924052011132cp-9, -0x1.85d00f26437cfp-9, -0x1.79bcdc24ae0a3p-9, -0x1.6e0449a0cfa93p-9, -0x1.62a3f5f761e03p-9, -0x1.57998d040292p-9, -0x1.4ce2c7e83063p-9, -0x1.427d6cd2a1318p-9, -0x1.38674ec6f570bp-9, -0x1.2e9e4d65cf27ap-9, -0x1.252054b54ff61p-9, -0x1.1beb5cea056f3p-9, -0x1.12fd6a30421afp-9, -0x1.0a548c75eb8f4p-9, -0x1.01eedf34c2b21p-9, -0x1.f395127a4468p-10, -0x1.e3cb7902806a7p-10, -0x1.d47d6bc1d8a8cp-10, -0x1.c5a779ebae328p-10, -0x1.b74647c0b5b42p-10, -0x1.a9568e29a2bbp-10, -0x1.9bd51a52e491cp-10, -0x1.8ebecd4983571p-10, -0x1.82109b9918cfp-10, -0x1.75c78ceae4ee4p-10, -0x1.69e0bba616e46p-10, -0x1.5e5954912e7f5p-10, -0x1.532e96748d8dbp-10, -0x1.485dd1be3dbf6p-10, -0x1.3de46826d7e23p-10, -0x1.33bfcc57a2fd6p-10, -0x1.29ed8191e7ed4p-10, -0x1.206b1b57707b5p-10, -0x1.17363d143f76fp-10, -0x1.0e4c99c979ec3p-10, -0x1.05abf3b98dbedp-10, -0x1.faa4382b00c3fp-11, -0x1.ea79e556fce33p-11, -0x1.dad4cb2d35acfp-11, -0x1.cbb0e1df898dep-11, -0x1.bd0a3cffe36cfp-11, -0x1.aedd0ae6f6dcp-11, -0x1.a125941d60ff5p-11, -0x1.93e03ac72e9f4p-11, -0x1.87097a11c356fp-11, -0x1.7a9de5a42011fp-11, -0x1.6e9a29118458cp-11, -0x1.62fb074e6b527p-11, -0x1.57bd5a27db062p-11, -0x1.4cde11bd09037p-11, -0x1.425a33fb49dd4p-11, -0x1.382edc1c4e9cp-11, -0x1.2e593a26a38dcp-11, -0x1.24d6927074f2fp-11, -0x1.1ba43d248cecap-11, -0x1.12bfa5c98bcc5p-11, -0x1.0a264acb51fcfp-11, -0x1.01d5bd0698d1cp-11, -0x1.f3973ead65243p-12, -0x1.e40b4c4ae146fp-12, -0x1.d5032dfa47c1fp-12, -0x1.c67a903970f6p-12, -0x1.b86d401bc3531p-12, -0x1.aad72a7aa8939p-12, -0x1.9db45b2a0e598p-12, -0x1.9100fc30e8429p-12, -0x1.84b95505a74ccp-12, -0x1.78d9c9ce9d144p-12, -0x1.6d5edaa638e85p-12, -0x1.624522e316282p-12, -0x1.57895863d18bap-12, -0x1.4d284ade9114bp-12, -0x1.431ee33439b42p-12, -0x1.396a22c741858p-12, -0x1.300722d61445cp-12, -0x1.26f313d8fb9bfp-12, -0x1.1e2b3ce37be39p-12, -0x1.15acfb09216afp-12, -0x1.0d75c0c5a4ed9p-12, -0x1.058315686509bp-12, -0x1.fba5290641c0dp-13, -0x1.ecc3dab7d6a3ap-13, -0x1.de5dc4c48e23p-13, -0x1.d06e914ec270bp-13, -0x1.c2f20eb2b353p-13, -0x1.b5e42e8327c58p-13, -0x1.a941048bf0b4ep-13, -0x1.9d04c5da4ea19p-13, -0x1.912bc7cb08a05p-13, -0x1.85b27f1e281bep-13, -0x1.7a957f1042d3p-13, -0x1.6fd1787932a68p-13, -0x1.656338f025984p-13, -0x1.5b47a9f4f1451p-13, -0x1.517bd01e896afp-13, -0x1.47fcca4e8eadcp-13, -0x1.3ec7d0e9cdf84p-13, -0x1.35da3515a85e2p-13, -0x1.2d315ffa3daaap-13, -0x1.24cad2094eccap-13, -0x1.1ca42249ba675p-13, -0x1.14bafda7809c6p-13, -0x1.0d0d2648313dfp-13, -0x1.059872e3b6e4ap-13, -0x1.fcb59c42c5fcep-14, -0x1.eea46bf253714p-14, -0x1.e0f97631e1e4dp-14, -0x1.d3b1009bced24p-14, -0x1.c6c773e385951p-14, -0x1.ba395ab7c2254p-14, -0x1.ae0360ac43f25p-14, -0x1.a222512afda7bp-14, -0x1.9693166c64b85p-14, -0x1.8b52b876e8708p-14, -0x1.805e5c2549654p-14, -0x1.75b34233bb75fp-14, -0x1.6b4ec653a6c74p-14, -0x1.612e5e45e6924p-14, -0x1.574f98fb5d9b6p-14, -0x1.4db01dbbbe735p-14, -0x1.444dab5265a45p-14, -0x1.3b2617411ee1dp-14, -0x1.32374cf8b896ap-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.dc31c1fb974c3p-1, 0x1.d9c2d431d3daep-1, 0x1.d749a9bcd72f5p-1, 0x1.d4c5d0b47c876p-1, 0x1.d236d1923ce7cp-1, 0x1.cf9c3d830d4f1p-1, 0x1.ccf5b96c3784fp-1, 0x1.ca4305f0d638fp-1, 0x1.c78404d315e2dp-1, 0x1.c4b8bc116240fp-1, 0x1.c1e1571ea975bp-1, 0x1.befe268ffe40bp-1, 0x1.bc0f9e9286ecfp-1, 0x1.b9165473f6e26p-1, 0x1.b612fb7e94d8cp-1, 0x1.b3066160a54cfp-1, 0x1.aff16a4e34c72p-1, 0x1.acd50d04204e9p-1, 0x1.a9b24ecbc05f6p-1, 0x1.a68a3f98133ccp-1, 0x1.a35df64f71a3p-1, 0x1.a02e8d4febf1fp-1, 0x1.9cfd1f3836a0ap-1, 0x1.99cac3fb814p-1, 0x1.96988e43b513cp-1, 0x1.93678923360c2p-1, 0x1.9038b61568caap-1, 0x1.8d0d0b4bc5b04p-1, 0x1.89e57244293b2p-1, 0x1.86c2c6a445082p-1, 0x1.83a5d55585337p-1, 0x1.808f5bdc641b4p-1, 0x1.7d8007e5fe80cp-1, 0x1.7a787706a6035p-1, 0x1.777936a44705ap-1, 0x1.7482c40798b48p-1, 0x1.71958c8f446e2p-1, 0x1.6eb1ee00703d4p-1, 0x1.6bd836f063f9ep-1, 0x1.6908a7434931ap-1, 0x1.664370bc5b4ccp-1, 0x1.6388b79c27b88p-1, 0x1.60d89349d483cp-1, 0x1.5e330f04a83edp-1, 0x1.5b982a9b6297cp-1, 0x1.5907db2730ffp-1, 0x1.56820bc858e65p-1, 0x1.54069e62e18fep-1, 0x1.51956c59d1b43p-1, 0x1.4f2e4747b92p-1, 0x1.4cd0f9b37d86dp-1, 0x1.4a7d47c0852dap-1, 0x1.4832efd984bcdp-1, 0x1.45f1ab555b903p-1, 0x1.43b92f1586e61p-1, 0x1.41892c1dd18b2p-1, 0x1.3f6150250200cp-1, 0x1.3d41461e57d55p-1, 0x1.3b28b6bbc8cb2p-1, 0x1.391748e8ed4e9p-1, 0x1.370ca23eaeedbp-1, 0x1.3508676fc2edcp-1, 0x1.330a3cae170acp-1, 0x1.3111c609515c1p-1, 0x1.2f1ea7c6969c7p-1, 0x1.2d3086b1c3afdp-1, 0x1.2b47086858a3cp-1, 0x1.2961d39e4b7acp-1, 0x1.2780905d01df3p-1, 0x1.25a2e83cb1f45p-1, 0x1.23c88698664d1p-1, 0x1.21f118bceb3p-1, 0x1.201c4e12de53fp-1, 0x1.1e49d8442541p-1, 0x1.1c796b5d07e9bp-1, 0x1.1aaabde92aa18p-1, 0x1.18dd890ca494cp-1, 0x1.171188996c966p-1, 0x1.15467b215375cp-1, 0x1.137c2204c4992p-1, 0x1.11b2417e7c942p-1, 0x1.0fe8a0ac6c7bdp-1, 0x1.0e1f0995f745fp-1, 0x1.0c55492fb8413p-1, 0x1.0a8b2f5cfe6a3p-1, 0x1.08c08eef2745cp-1, 0x1.06f53da2fea35p-1, 0x1.0529141c4e98fp-1, 0x1.035beddfbd68ep-1, 0x1.018da94b2156fp-1, 0x1.ff7c4f18ce76ap-2, 0x1.fbda992e5a819p-2, 0x1.f835fe325942dp-2, 0x1.f48e50db2257p-2, 0x1.f0e3691ead0dep-2, 0x1.ed35241586d5ep-2, 0x1.e98363dc3a50fp-2, 0x1.e5ce0f734ea5cp-2, 0x1.e215129e0947ap-2, 0x1.de585dc01bfc3p-2, 0x1.da97e5ba5faafp-2, 0x1.d6d3a3c6c69f8p-2, 0x1.d30b95539e6fep-2, 0x1.cf3fbbde46063p-2, 0x1.cb701ccd74663p-2, 0x1.c79cc14b28cd9p-2, 0x1.c3c5b61e62fa2p-2, 0x1.bfeb0b84b44aep-2, 0x1.bc0cd50bc8f6dp-2, 0x1.b82b296af538fp-2, 0x1.b446225ce5ab7p-2, 0x1.b05ddc7976c78p-2, 0x1.ac72770fd333bp-2, 0x1.a8841400de99ep-2, 0x1.a492d79a005cap-2, 0x1.a09ee8705cb1cp-2, 0x1.9ca86f3c839a2p-2, 0x1.98af96b6a9f35p-2, 0x1.94b48b736df42p-2, 0x1.90b77bc138ab8p-2, 0x1.8cb8978640e83p-2, 0x1.88b8101f39363p-2, 0x1.84b6183eb37efp-2, 0x1.80b2e3cd37aadp-2, 0x1.7caea7ca1fbabp-2, 0x1.78a99a2d34139p-2, 0x1.74a3f1c9144cbp-2, 0x1.709de62e68fb2p-2, 0x1.6c97af8fe9ea5p-2, 0x1.689186a7345bep-2, 0x1.648ba49a7938bp-2, 0x1.608642e302c39p-2, 0x1.5c819b34907aep-2, 0x1.587de7658ee18p-2, 0x1.547b615829dc8p-2, 0x1.507a42e436927p-2, 0x1.4c7ac5c1f9a21p-2, 0x1.487d2375c4d9ep-2, 0x1.4481953c6dc2ep-2, 0x1.408853f899eap-2, 0x1.3c919820e1589p-2, 0x1.389d99aec2662p-2, 0x1.34ac900e67532p-2, 0x1.30beb20f39b82p-2, 0x1.2cd435d54195fp-2, 0x1.28ed50cb4dd42p-2, 0x1.250a3795deb3cp-2, 0x1.212b1e06d8cecp-2, 0x1.1d503711ef7dep-2, 0x1.1979b4c1cf702p-2, 0x1.15a7c82dfe755p-2, 0x1.11daa1716f9abp-2, 0x1.0e126fa1c652p-2, 0x1.0a4f60c7443ep-2, 0x1.0691a1d55e8f5p-2, 0x1.02d95ea3f92fbp-2, 0x1.fe4d83d274343p-3, 0x1.f6f3ea67fc346p-3, 0x1.efa641cdbc7ep-3, 0x1.e864d86795abp-3, 0x1.e12ffa305d74cp-3, 0x1.da07f0b33ed1p-3, 0x1.d2ed03061d8b1p-3, 0x1.cbdf75c4fb967p-3, 0x1.c4df8b0e52e9fp-3, 0x1.bded82805b16ap-3, 0x1.b709993737f78p-3, 0x1.b03409cc00c3dp-3, 0x1.a96d0c549b1d6p-3, 0x1.a2b4d6645f8d3p-3, 0x1.9c0b9b0d7ea29p-3, 0x1.95718ae325d37p-3, 0x1.8ee6d3fc4c5dep-3, 0x1.886ba1f730163p-3, 0x1.82001dfd6ec64p-3, 0x1.7ba46ec8b89a8p-3, 0x1.7558b8a81655ap-3, 0x1.6f1d1d85b6f93p-3, 0x1.68f1bced3ebc3p-3, 0x1.62d6b4128cc0bp-3, 0x1.5ccc1dd8fdb17p-3, 0x1.56d212db12a54p-3, 0x1.50e8a9727b68ap-3, 0x1.4b0ff5c085ee3p-3, 0x1.454809b6e3123p-3, 0x1.3f90f520ba881p-3, 0x1.39eac5ac0a6d6p-3, 0x1.345586f34fdebp-3, 0x1.2ed142876d1f2p-3, 0x1.295dfff9c486bp-3, 0x1.23fbc4e690222p-3, 0x1.1eaa94ff62a9fp-3, 0x1.196a7215d1d11p-3, 0x1.143b5c2649eb3p-3, 0x1.0f1d5162f952ap-3, 0x1.0a104e3ee4446p-3, 0x1.05144d78fee4fp-3, 0x1.0029482768b1ap-3, 0x1.f69e6b855a71bp-4, 0x1.ed0c186224089p-4, 0x1.e39b7fa3d7194p-4, 0x1.da4c8711eb636p-4, 0x1.d11f1193515c4p-4, 0x1.c812ff451dd81p-4, 0x1.bf282d911b505p-4, 0x1.b65e774454208p-4, 0x1.adb5b4a579933p-4, 0x1.a52dbb8b324eep-4, 0x1.9cc65f723942ap-4, 0x1.947f719365b3fp-4, 0x1.8c58c0f96eb0ep-4, 0x1.84521a969012ep-4, 0x1.7c6b4959ec4dap-4, 0x1.74a41644b94a8p-4, 0x1.6cfc487f2d676p-4, 0x1.6573a56d2b319p-4, 0x1.5e09f0c2a8decp-4, 0x1.56beec97d058fp-4, 0x1.4f92597cd4595p-4, 0x1.4883f68d78cfap-4, 0x1.419381844cd31p-4, 0x1.3ac0b6cd9298cp-4, 0x1.340b5199d460fp-4, 0x1.2d730bf025202p-4, 0x1.26f79ec00a139p-4, 0x1.2098c1f30c051p-4, 0x1.1a562c7df0c6ap-4, 0x1.142f947199e6ep-4, 0x1.0e24af0b8737p-4, 0x1.083530c6001f3p-4, 0x1.0260cd67dce5bp-4, 0x1.f94e7027ee3cap-5, 0x1.ee1046b070efp-5, 0x1.e30682789ff6fp-5, 0x1.d83086a00c6bep-5, 0x1.cd8db5726ccbep-5, 0x1.c31d7082cf449p-5, 0x1.b8df18c615ba1p-5, 0x1.aed20eacb31b9p-5, 0x1.a4f5b23bb32a3p-5, 0x1.9b496325076c3p-5, 0x1.91cc80df1c761p-5, 0x1.887e6abbb9a6ap-5, 0x1.7f5e7ffe2dccep-5, 0x1.766c1ff0c47dbp-5, 0x1.6da6a9f98e4eap-5, 0x1.650d7dae7545cp-5, 0x1.5c9ffae8a6fe4p-5, 0x1.545d81d7504a3p-5, 0x1.4c457311b0ff2p-5, 0x1.44572fa885d25p-5, 0x1.3c921936d05bcp-5, 0x1.34f591f1f8532p-5, 0x1.2d80fcb95094ap-5, 0x1.2633bd24fa4cep-5, 0x1.1f0d37942ebd6p-5, 0x1.180cd13af1b5fp-5, 0x1.1131f02f29988p-5, 0x1.0a7bfb7529382p-5, 0x1.03ea5b0ba488ep-5, 0x1.faf8efee36c8ap-6, 0x1.ee6378996ae81p-6, 0x1.e213267932eedp-6, 0x1.d606d2377a26fp-6, 0x1.ca3d56da62cc6p-6, 0x1.beb591d5e617bp-6, 0x1.b36e631c73714p-6, 0x1.a866ad2ea27fp-6, 0x1.9d9d5529f1b8fp-6, 0x1.931142d6a04abp-6, 0x1.88c160b4a3f67p-6, 0x1.7eac9c07c36abp-6, 0x1.74d1e4e2d8904p-6, 0x1.6b302e324070cp-6, 0x1.61c66dc581dc6p-6, 0x1.58939c582c366p-6, 0x1.4f96b599f78ebp-6, 0x1.46ceb83623ec4p-6, 0x1.3e3aa5da2d97ep-6, 0x1.35d9833bc5854p-6, 0x1.2daa581e272e8p-6, 0x1.25ac2f56c4d88p-6, 0x1.1dde16d1541b9p-6, 0x1.163f1f933f9b5p-6, 0x1.0ece5dbe85ad5p-6, 0x1.078ae893fe4c4p-6, 0x1.0073da751aa31p-6, 0x1.f310a1ca3dcb3p-7, 0x1.e58ed913a478ep-7, 0x1.d860a25772598p-7, 0x1.cb844b6b9e743p-7, 0x1.bef82869a6eb2p-7, 0x1.b2ba93ac3c418p-7, 0x1.a6c9edcc1aee9p-7, 0x1.9b249d9c1776ap-7, 0x1.8fc910245fda6p-7, 0x1.84b5b89d006ffp-7, 0x1.79e91067b5ff1p-7, 0x1.6f61970906179p-7, 0x1.651dd220c0d0ap-7, 0x1.5b1c4d61d404cp-7, 0x1.515b9a8993393p-7, 0x1.47da515661e48p-7, 0x1.3e970f7de53d6p-7, 0x1.359078a29fba1p-7, 0x1.2cc536492152p-7, 0x1.2433f7ccb8cdbp-7, 0x1.1bdb7253b8b8p-7, 0x1.13ba60c353be9p-7, 0x1.0bcf83b315d96p-7, 0x1.0419a15fffffbp-7, 0x1.f92f0b3e9bbddp-8, 0x1.ea9003a1d039cp-8, 0x1.dc53d9a3184dp-8, 0x1.ce7845d9562f6p-8, 0x1.c0fb0b9c10143p-8, 0x1.b3d9f8e63136p-8, 0x1.a712e6385a03fp-8, 0x1.9aa3b67aca699p-8, 0x1.8e8a56deeb8b2p-8, 0x1.82c4bec086313p-8, 0x1.7750ef86a8b36p-8, 0x1.6c2cf4844b4dap-8, 0x1.6156e2d8b4489p-8, 0x1.56ccd94fa7c71p-8, 0x1.4c8d0041672a2p-8, 0x1.429589728c24cp-8, 0x1.38e4aff3bf81p-8, 0x1.2f78b801583ffp-8, 0x1.264feee2e6755p-8, 0x1.1d68aacaaef06p-8, 0x1.14c14ab51f935p-8, 0x1.0c58364842d1cp-8, 0x1.042bddb334509p-8, 0x1.f875731b39accp-9, 0x1.e906956e7c8f6p-9, 0x1.da08346f1e3c1p-9, 0x1.cb77723ad837bp-9, 0x1.bd5180bdcb2bbp-9, 0x1.af93a17256d55p-9, 0x1.a23b252136132p-9, 0x1.95456ba1e6f1dp-9, 0x1.88afe39b69fbp-9, 0x1.7c780a455955dp-9, 0x1.709b6b29626bbp-9, 0x1.65179fe52692ap-9, 0x1.59ea4fec885d1p-9, 0x1.4f11304c6bc18p-9, 0x1.448a036defdb6p-9, 0x1.3a5298da22442p-9, 0x1.3068ccfe3507ap-9, 0x1.26ca88f03c43fp-9, 0x1.1d75c23471349p-9, 0x1.14687a83070b7p-9, 0x1.0ba0bf8e8bf6cp-9, 0x1.031caacae4664p-9, 0x1.f5b4c269af1c4p-10, 0x1.e5b026347434dp-10, 0x1.d627f7c567644p-10, 0x1.c718c3b248b6p-10, 0x1.b87f2beb56dc8p-10, 0x1.aa57e7509dfc9p-10, 0x1.9c9fc148995dfp-10, 0x1.8f5399581ddf7p-10, 0x1.827062bb908e9p-10, 0x1.75f3240175c5ep-10, 0x1.69d8f6a65210ep-10, 0x1.5e1f06b1e4b59p-10, 0x1.52c29255b524cp-10, 0x1.47c0e98cfa0fap-10, 0x1.3d176dbde3272p-10, 0x1.32c3915c301ebp-10, 0x1.28c2d78d2ff93p-10, 0x1.1f12d3cd10fa6p-10, 0x1.15b129959581dp-10, 0x1.0c9b8c061869ep-10, 0x1.03cfbd8cfbf1bp-10, 0x1.f6971f24bcbe8p-11, 0x1.e619c4487258bp-11, 0x1.d62347479aef4p-11, 0x1.c6afa0e8d4ab3p-11, 0x1.b7bae5570e4f8p-11, 0x1.a9414384625e4p-11, 0x1.9b3f048f94a8p-11, 0x1.8db08b2c2f1e3p-11, 0x1.8092530d38f4p-11, 0x1.73e0f0528233bp-11, 0x1.67990ef88353cp-11, 0x1.5bb7724ac7589p-11, 0x1.5038f458dd599p-11, 0x1.451a856dcb1d9p-11, 0x1.3a592b89fe8c8p-11, 0x1.2ff201dfb207fp-11, 0x1.25e23851c2fdap-11, 0x1.1c2712f4f3f1fp-11, 0x1.12bde9938fa73p-11, 0x1.09a427336d283p-11, 0x1.00d7499e488c4p-11, 0x1.f0a9c1d8dcdep-12, 0x1.e0351e235e25dp-12, 0x1.d04c0ed92c80fp-12, 0x1.c0ea1cafbcdcp-12, 0x1.b20af17c331c6p-12, 0x1.a3aa575f0dee1p-12, 0x1.95c437f4210cbp-12, 0x1.88549b86d0f85p-12, 0x1.7b57a84a7cb8bp-12, 0x1.6ec9a1970a6b7p-12, 0x1.62a6e729891c9p-12, 0x1.56ebf468d7b08p-12, 0x1.4b955fae3edd7p-12, 0x1.409fd991f68bdp-12, 0x1.36082c3b81e5cp-12, 0x1.2bcb3ab5d7ba9p-12, 0x1.21e60047420b5p-12, 0x1.18558fcced185p-12, 0x1.0f17131a162c5p-12, 0x1.0627ca5ac414ap-12, 0x1.fb0a16f409893p-13, 0x1.ea588317350cap-13, 0x1.da35d8721a07dp-13, 0x1.ca9d3e6422321p-13, 0x1.bb8a034064841p-13, 0x1.acf79b3b75042p-13, 0x1.9ee19f5f7e283p-13, 0x1.9143cc86964b6p-13, 0x1.841a025b337ddp-13, 0x1.7760425e9525dp-13, 0x1.6b12aef520bf9p-13, 0x1.5f2d8a78772e9p-13, 0x1.53ad364f4387fp-13, 0x1.488e320a9565ap-13, 0x1.3dcd1a88b93f5p-13, 0x1.3366a91d67282p-13, 0x1.2957b2bf38a0cp-13, 0x1.1f9d273a49919p-13, 0x1.16341067e6b46p-13, 0x1.0d19916b311aap-13, 0x1.044ae5f2a133ep-13, 0x1.f78ac2fca0348p-14, 0x1.e70cdd55d6749p-14, 0x1.d7171d027406fp-14, 0x1.c7a4af9449099p-14, 0x1.b8b0ecce3a77dp-14, 0x1.aa37555dab8a7p-14, 0x1.9c33919c6034bp-14, 0x1.8ea1705a913a2p-14, 0x1.817ce5b12231p-14, 0x1.74c209dbb66e1p-14, 0x1.686d181a8638dp-14, 0x1.5c7a6d9bc5a17p-14, 0x1.50e6886c72fe1p-14, 0x1.45ae06706487ap-14, 0x1.3acda4616aeeap-14, 0x1.30423cd564288p-14, 0x1.2608c74b11999p-14, 0x1.1c1e573d915dbp-14, 0x1.12801b3e4da5dp-14, 0x1.092b5c1542a3ep-14, 0x1.001d7be7724f3p-14, 0x1.eea7eac6c5bfap-15, 0x1.dd98b5e709094p-15, 0x1.cd08abecb6094p-15, 0x1.bcf34bf8927f2p-15, 0x1.ad544015b621fp-15, 0x1.9e275bcadf5c6p-15, 0x1.8f689ab63f7edp-15, 0x1.81141f3384097p-15, 0x1.7326310bdf17p-15, 0x1.659b3c2fc849ap-15, 0x1.586fcf7a46aaep-15, 0x1.4ba09b7d7d9a8p-15, 0x1.3f2a715845aacp-15, 0x1.330a41949bbcfp-15, 0x1.273d1b0ea864fp-15, 0x1.1bc029e42c0ebp-15, 0x1.1090b66c1c603p-15, 0x1.05ac24363650cp-15, 0x1.f61fe224b201dp-16, 0x1.e173683ee68fbp-16, 0x1.cd4e39c3a75f3p-16, 0x1.b9abe4c14836fp-16, 0x1.a6882494dc4ep-16, 0x1.93dee040d76b6p-16, 0x1.81ac28d0fde77p-16, 0x1.6fec37cb42485p-16, 0x1.5e9b6dad3fc4ep-16, 0x1.4db65075f290dp-16, 0x1.3d398a3b6300ep-16, 0x1.2d21e7cbeae5cp-16, 0x1.1d6c575ac974dp-16, 0x1.0e15e737b67b4p-16, 0x1.fe37892252643p-17, 0x1.e0f67481fcca7p-17, 0x1.c4635f468e51cp-17, 0x1.a8794eedc9364p-17, 0x1.8d337d8f754b9p-17, 0x1.728d57c4538ap-17, 0x1.58827a9f2978bp-17, 0x1.3f0eb1b75961bp-17, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      50, 0x1.8504d551d68c7p+2, 0x1.ae1c84fead646p+0, 0x1.d793f0e1ec229p+1, -0x1.d6f42741dd728p-6, 
      {{
        {0x1.aef9c1f85d745p+1, 0x1.b5eab7030bf9p+1, 0x1.c3e6338c5aa8p-4, -0x1.de87d36dbe2c4p-3, 0x1.91feba4bc6aa8p-3, 0x1.7ef65169bbec5p-6}, 
        {0x1.b5eab7030bf9p+1, 0x1.bcdbac0dba7dcp+1, 0x1.9260fe51e7efbp-4, -0x1.b282567300c9ap-3, 0x1.99c866d8a9c4bp-3, -0x1.deb3e5c435418p-4}, 
        {0x1.bcdbac0dba7dcp+1, 0x1.c3cca102ef739p+1, 0x1.659650298739ap-4, -0x1.882d4e037943fp-3, 0x1.72d8081839698p-3, -0x1.303a8b4be52e4p-4}, 
        {0x1.c3cca102ef739p+1, 0x1.cabd960d9df85p+1, 0x1.3d2f7ac70f815p-4, -0x1.614c6399814dbp-3, 0x1.5a18dc5382a4cp-3, -0x1.4af0be601587cp-4}, 
        {0x1.cabd960d9df85p+1, 0x1.d1ae8b184c7dp+1, 0x1.18d9c17b2ab0cp-4, -0x1.3d38ba6d743dep-3, 0x1.3f2d7386b346ep-3, -0x1.301b699373aa2p-4}, 
        {0x1.d1ae8b184c7dp+1, 0x1.d89f8022fb01cp+1, 0x1.f08c88942cabp-5, -0x1.1bf22fd40c4f1p-3, 0x1.2670cfbca129fp-3, -0x1.241678680217ep-4}, 
        {0x1.d89f8022fb01cp+1, 0x1.df9075182ff79p+1, 0x1.b653d5cdceebcp-5, -0x1.fa99c831c7973p-4, 0x1.0eae755198cd6p-3, -0x1.1478172556cbep-4}, 
        {0x1.df9075182ff79p+1, 0x1.e6816a22de7c5p+1, 0x1.827a9ee1eadcap-5, -0x1.c25343ae7b4c1p-4, 0x1.f062b09c1a40ap-4, -0x1.064d9b0d0935fp-4}, 
        {0x1.e6816a22de7c5p+1, 0x1.ed725f2d8d01p+1, 0x1.54795367abecdp-5, -0x1.8ecd8c3116e84p-4, 0x1.c5b66fd2d0377p-4, -0x1.f046086c2b7p-5}, 
        {0x1.ed725f2d8d01p+1, 0x1.f46354383b85cp+1, 0x1.2bcf73d74e6c3p-5, -0x1.5fc8a58c6f081p-4, 0x1.9d582d2c53995p-4, -0x1.d4cddf6baed11p-5}, 
        {0x1.f46354383b85cp+1, 0x1.fb544942ea0a7p+1, 0x1.0803679c24161p-5, -0x1.35058c36502ccp-4, 0x1.7735ee3c9f178p-4, -0x1.b9f920d248694p-5}, 
        {0x1.fb544942ea0a7p+1, 0x1.01229f1c0f802p+2, 0x1.d144a5faba96ap-6, -0x1.0e46eec2863ecp-4, 0x1.53426817ee419p-4, -0x1.9fc5a48003fb2p-5}, 
        {0x1.01229f1c0f802p+2, 0x1.049b19a166c28p+2, 0x1.9a7fda449e596p-6, -0x1.d6a1d59ba5bcep-5, 0x1.31707d2469134p-4, -0x1.8652cf7809f4fp-5}, 
        {0x1.049b19a166c28p+2, 0x1.08139426be04ep+2, 0x1.6aecabdafccadp-6, -0x1.97d258b9ae91ap-5, 0x1.11b080cdd922p-4, -0x1.6d778725649b4p-5}, 
        {0x1.08139426be04ep+2, 0x1.0b8c0eac15474p+2, 0x1.41cbd7785a2b6p-6, -0x1.5fadcadc83311p-5, 0x1.e7ec3f5264df5p-5, -0x1.55571a38fabbdp-5}, 
        {0x1.0b8c0eac15474p+2, 0x1.0f048926afc22p+2, 0x1.1e6a4395abf94p-6, -0x1.2dc58b6645ea7p-5, 0x1.b0644d4f43effp-5, -0x1.3dd4adc3d85a1p-5}, 
        {0x1.0f048926afc22p+2, 0x1.127d03ac07048p+2, 0x1.0020ab290aa6ap-6, -0x1.01ae0513bc21ep-5, 0x1.7caf77d3746aap-5, -0x1.270ab8913f5acp-5}, 
        {0x1.127d03ac07048p+2, 0x1.15f57e315e46ep+2, 0x1.cca694a6561abp-7, -0x1.b5fd4d0b03ac3p-6, 0x1.4cafbb17695a9p-5, -0x1.10e3fd8f3563ep-5}, 
        {0x1.15f57e315e46ep+2, 0x1.196df8b6b5894p+2, 0x1.a0e3142ae807ap-7, -0x1.72a3e27f727c1p-6, 0x1.204a89bb84adap-5, -0x1.f6dde67849bd1p-6}, 
        {0x1.196df8b6b5894p+2, 0x1.1ce6733150042p+2, 0x1.7beb57d92e24cp-7, -0x1.388ad0531892bp-6, 0x1.eec5f6d1a417bp-6, -0x1.cd3bc875bffb8p-6}, 
        {0x1.1ce6733150042p+2, 0x1.205eedb6a7468p+2, 0x1.5cc8eb4445dp-7, -0x1.06f32431b85d7p-6, 0x1.a3bcc650e2948p-6, -0x1.a503eb5a1568bp-6}, 
        {0x1.205eedb6a7468p+2, 0x1.23d7683bfe88ep+2, 0x1.4299bb7587fcap-7, -0x1.ba4801bbac5a4p-7, 0x1.5f3e9136746dp-6, -0x1.7e1564feef32ep-6}, 
        {0x1.23d7683bfe88ep+2, 0x1.274fe2c155cb4p+2, 0x1.2c8f6d2fd61efp-7, -0x1.74d549c911bcbp-7, 0x1.2115c44bff00ap-6, -0x1.5884bbef3570cp-6}, 
        {0x1.274fe2c155cb4p+2, 0x1.2ac85d46ad0d9p+2, 0x1.19eeb5ab1f347p-7, -0x1.3c3498472b694p-7, 0x1.d212e93994feep-7, -0x1.344acb8d80d3fp-6}, 
        {0x1.2ac85d46ad0d9p+2, 0x1.2e40d7c147888p+2, 0x1.0a0eb1da0f4ep-7, -0x1.0f189d51a89ddp-7, 0x1.6dc3c1627a1ecp-7, -0x1.116566d6f8136p-6}, 
        {0x1.2e40d7c147888p+2, 0x1.31b952469ecaep+2, 0x1.f8b07c885c728p-8, -0x1.d8802f52fc848p-8, 0x1.14cf4472da787p-7, -0x1.dfb896df11034p-7}, 
        {0x1.31b952469ecaep+2, 0x1.3531cccbf60d3p+2, 0x1.e08a9d7e03d4bp-8, -0x1.a4ebd88d02871p-8, 0x1.8d883b9993155p-8, -0x1.9f4e1fb298357p-7}, 
        {0x1.3531cccbf60d3p+2, 0x1.38aa47514d4f9p+2, 0x1.cac08c38644aep-8, -0x1.81224babfc44fp-8, 0x1.066771759904fp-8, -0x1.6196679dd558fp-7}, 
        {0x1.38aa47514d4f9p+2, 0x1.3c22c1cbe7ca8p+2, 0x1.b6869baf5850bp-8, -0x1.6ae9cb8a27803p-8, 0x1.26b6d5ae58bf4p-9, -0x1.268966fca4cc1p-7}, 
        {0x1.3c22c1cbe7ca8p+2, 0x1.3f9b3c513f0cep+2, 0x1.a32f5bee81682p-8, -0x1.6020d6f034bbep-8, 0x1.9c3030e46592cp-11, -0x1.dc634867fbdcfp-8}, 
        {0x1.3f9b3c513f0cep+2, 0x1.4313b6d6964f3p+2, 0x1.902a492f96edp-8, -0x1.5ebe33752f3a9p-8, -0x1.9fa4e82b93a9cp-12, -0x1.71074040dba03p-8}, 
        {0x1.4313b6d6964f3p+2, 0x1.468c315bed919p+2, 0x1.7d027b6da727fp-8, -0x1.64d0e9e31f9f3p-8, -0x1.580d8ee52c12bp-10, -0x1.0b0d9e54db9ccp-8}, 
        {0x1.468c315bed919p+2, 0x1.4a04abe144d3fp+2, 0x1.695d55ed59a19p-8, -0x1.7080334f992e7p-8, -0x1.02eaf0a5cbd1cp-9, -0x1.54e9af68f9fccp-9}, 
        {0x1.4a04abe144d3fp+2, 0x1.4d7d265bdf4eep+2, 0x1.54f9368338f5ep-8, -0x1.800b977d6709fp-8, -0x1.3a6115b673e71p-9, -0x1.3cb9fc77ef6bdp-10}, 
        {0x1.4d7d265bdf4eep+2, 0x1.50f5a0e136913p+2, 0x1.3fac251bf5275p-8, -0x1.91cac89266a11p-8, -0x1.542481bee082bp-9, 0x1.aa43dea9c3df6p-14}, 
        {0x1.50f5a0e136913p+2, 0x1.546e1b668dd39p+2, 0x1.29628339a731ep-8, -0x1.a42dc36ec487p-8, -0x1.51f9baf55a2ebp-9, 0x1.5cc123c34676dp-10}, 
        {0x1.546e1b668dd39p+2, 0x1.57e695ebe515fp+2, 0x1.121dbb3a1ade7p-8, -0x1.b5bcc9a6f8747p-8, -0x1.359b5dc2dc74p-9, 0x1.449f988ebc7ddp-9}, 
        {0x1.57e695ebe515fp+2, 0x1.5b5f10667f90ep+2, 0x1.f3e5dfd41fac3p-9, -0x1.c518525f02a93p-8, -0x1.00cba236f3d5cp-9, 0x1.d03c011a2067ep-9}, 
        {0x1.5b5f10667f90ep+2, 0x1.5ed78aebd6d33p+2, 0x1.c2135804fa69dp-9, -0x1.d0f90c2bba82bp-8, -0x1.6a8aee8bea719p-10, 0x1.287db7175603ep-8}, 
        {0x1.5ed78aebd6d33p+2, 0x1.625005712e159p+2, 0x1.8f3522c7b93b4p-9, -0x1.d82fece8f4862p-8, -0x1.53351f8d9db69p-11, 0x1.638ca7b604774p-8}, 
        {0x1.625005712e159p+2, 0x1.65c87ff68557fp+2, 0x1.5bdc1168d4191p-9, -0x1.d9a62fa74882bp-8, 0x1.ee2299be61ac7p-13, 0x1.9935914daa8f3p-8}, 
        {0x1.65c87ff68557fp+2, 0x1.6940fa711fd2ep+2, 0x1.28b5e18ed3d57p-9, -0x1.d45d422e48357p-8, 0x1.480e62d8fa6a6p-10, 0x1.c984de580d957p-8}, 
        {0x1.6940fa711fd2ep+2, 0x1.6cb974f677153p+2, 0x1.ed15383db7853p-10, -0x1.c76ed8fc0155fp-8, 0x1.38e42c2510658p-9, 0x1.f48728a1fdde3p-8}, 
        {0x1.6cb974f677153p+2, 0x1.7031ef7bce579p+2, 0x1.8c73e7be75b31p-10, -0x1.b20cb60c17692p-8, 0x1.dbbf955692c99p-9, 0x1.0cdd539eca24ep-7}, 
        {0x1.7031ef7bce579p+2, 0x1.73aa6a012599fp+2, 0x1.31714967d6bfap-10, -0x1.9381b27016b18p-8, 0x1.455ad461182a5p-8, 0x1.1daf7a45a27b7p-7}, 
        {0x1.73aa6a012599fp+2, 0x1.7722e4867cdc5p+2, 0x1.bc3749914d058p-11, -0x1.6b2dcee9e6938p-8, 0x1.a24ef65e88cafp-8, 0x1.28686f565231ap-7}, 
        {0x1.7722e4867cdc5p+2, 0x1.7a9b5f0117573p+2, 0x1.29419d2c1ba9cp-11, -0x1.3894a1f8bb71ep-8, 0x1.01601c9b91b2bp-7, 0x1.3d331b88a8606p-7}, 
        {0x1.7a9b5f0117573p+2, 0x1.7e13d9866e999p+2, 0x1.5d239b8a656c4p-12, -0x1.f64fa6ae9fa9ap-9, 0x1.34faa910e4ba4p-7, 0x1.1fbe11529fc21p-7}, 
        {0x1.7e13d9866e999p+2, 0x1.818c540bc5dbfp+2, 0x1.4388b54dd1d39p-13, -0x1.661d0b95138c7p-9, 0x1.63ca652f64eaep-7, 0x1.b10e9059362cfp-7}, 
        {0x1.818c540bc5dbfp+2, 0x1.8504d551d68c7p+2, 0x1.50c9b442b91bep-15, -0x1.78f59ede4b9f9p-10, 0x1.aa3e1a85f1f6ep-7, -0x1.367854ec4c7f1p-2}, 
      }}, 
      0x1.58943d1cb68abp+3, -0x1.817645e4707ap+6
    }
  };
  // clang-format on
}
SkfData params_hyb_0_2_ag_ag() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    SkfData::SameElementLine {-0x1.29a4789ac66a6p-2, -0x1.cd15720225f5p-6, -0x1.2c7291edd3ad9p-3, 0x0p+0, 0x1.c0bd307797105p-3, 0x1.a4965393fbcaep-3, 0x1.c0bd307797105p-3, 10, 0, 1}, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.420e5952c1a76p+1, -0x1.42db4c0dc81fap+1, -0x1.4091d2bbc3635p+1, -0x1.3b3cea3566168p+1, -0x1.33085c3d2bfe3p+1, -0x1.2836626f198c4p+1, -0x1.1b194929fdc7fp+1, -0x1.0c0d3f7ba8a99p+1, -0x1.f6e31568f7439p+0, -0x1.d34986a44ddbdp+0, -0x1.ae067ff35b241p+0, -0x1.87c9467ef4cc3p+0, -0x1.6131fa160db5ep+0, -0x1.3acf5bd092e9p+0, -0x1.151fe2df234e1p+0, -0x1.e124b68b615a3p-1, -0x1.9b0943457010dp-1, -0x1.5885177f53868p-1, -0x1.1a0dc5d9e706bp-1, -0x1.bff772072f53bp-2, -0x1.551cd8619bb29p-2, -0x1.e7b4995746a01p-3, -0x1.38ae46b1526d4p-3, -0x1.3a2ef79e7ed26p-4, -0x1.49a1cc837e418p-7, 0x1.855bb2d0c2d7dp-5, 0x1.8adf8e5b19107p-4, 0x1.1881ea94479bp-3, 0x1.5b78086ae30acp-3, 0x1.8f53d7cd249e3p-3, 0x1.b52a425e7c65ep-3, 0x1.ce1ccdde5728p-3, 0x1.db51553d9fb7bp-3, 0x1.ddea2a3aaac5ep-3, 0x1.d700746cb667cp-3, 0x1.c7a181405fa86p-3, 0x1.b0ce6c111a223p-3, 0x1.937cd126caab9p-3, 0x1.70974b7d08fccp-3, 0x1.48fd165c91c6ep-3, 0x1.1d80ce526dcd1p-3, 0x1.ddcd79ecb63b1p-4, 0x1.7bc68830d1ae9p-4, 0x1.1633d26f248e9p-4, 0x1.5c7516b2555ffp-5, 0x1.137e9c7537742p-6, -0x1.27ab0de3db7a7p-7, -0x1.1ceedf184f09cp-5, -0x1.ede1d357e291dp-5, -0x1.5dc19f2707971p-4, -0x1.c25d5fbcd57edp-4, -0x1.122589575d55ap-3, -0x1.4191fd82b68c1p-3, -0x1.6f4974928d957p-3, -0x1.9b299cf02f2acp-3, -0x1.c517d101b52bbp-3, -0x1.ed006b4b7bed4p-3, -0x1.096b093fdba8dp-2, -0x1.1b4881a45c07p-2, -0x1.2c172c5010a5dp-2, -0x1.3bd7a8b110f35p-2, -0x1.4a8c4a6e70c5bp-2, -0x1.5838bf23f697ep-2, -0x1.64ec301912666p-2, -0x1.70976658c63d9p-2, -0x1.7b490701be518p-2, -0x1.8507f1bd1c587p-2, -0x1.8ddbbe91053c5p-2, -0x1.95cca50672372p-2, -0x1.9ce35f04aa064p-2, -0x1.a329063c1f96dp-2, -0x1.a8a6ed48b0264p-2, -0x1.ad6677e58b491p-2, -0x1.b170f6b003bacp-2, -0x1.b4cf8a9dbac6dp-2, -0x1.b78b12902ef14p-2, -0x1.b9ac2332f2473p-2, -0x1.bb3b0752cc625p-2, -0x1.bc3fc5b804d77p-2, -0x1.bcc2295fc52c6p-2, -0x1.bcc9c9736c512p-2, -0x1.bc5e0f3e1628bp-2, -0x1.bb8639312d0c6p-2, -0x1.ba495abb3433bp-2, -0x1.b8ae592ac4a6ap-2, -0x1.b6bbe62a7c2a3p-2, -0x1.b47878a437f77p-2, -0x1.b1ea44fa00bc7p-2, -0x1.af1735adcfaf4p-2, -0x1.ac04e5670963dp-2, -0x1.a8b89b277ed84p-2, -0x1.a5374924b72b2p-2, -0x1.a1858e5747517p-2, -0x1.9da7ba7d28776p-2, -0x1.99a1d3fa46d72p-2, -0x1.95779ee3f3231p-2, -0x1.912ca4775ed82p-2, -0x1.8cc43a514bf1cp-2, -0x1.884188dd8162dp-2, -0x1.83a790a1efac4p-2, -0x1.7ef92e312f5cep-2, -0x1.7a391cbd41f65p-2, -0x1.7569f76015cf6p-2, -0x1.708e3951075b4p-2, -0x1.6ba83d4d535a6p-2, -0x1.66ba3c88b66e9p-2, -0x1.61c64d7bbab4cp-2, -0x1.5cce62d8758ecp-2, -0x1.57d44ae503facp-2, -0x1.52d9af64d0d6ap-2, -0x1.4de0161eee7abp-2, -0x1.48e8e20b00b53p-2, -0x1.43f5550be2a88p-2, -0x1.3f069224da90ep-2, -0x1.3a1da003786e6p-2, -0x1.353b6bc149e53p-2, -0x1.3060cbb4764d4p-2, -0x1.2b8e82338ce49p-2, -0x1.26c5402a5ba0bp-2, -0x1.2205a76ea79bdp-2, -0x1.1d504cbcb423cp-2, -0x1.18a5b954031c9p-2, -0x1.14066c2fb0f72p-2, -0x1.0f72dade6f9cdp-2, -0x1.0aeb72040c305p-2, -0x1.06709593f41e3p-2, -0x1.0202a0d759daep-2, -0x1.fb43cca6ecd35p-3, -0x1.f29d5f3aea968p-3, -0x1.ea127a7a33194p-3, -0x1.e1a38d1f82c94p-3, -0x1.d950f3a0d9f1p-3, -0x1.d11af872eccf5p-3, -0x1.c901d48e5d8fcp-3, -0x1.c105b032cbb64p-3, -0x1.b926a3e14c1fp-3, -0x1.b164b984b376dp-3, -0x1.a9bfedbcd090fp-3, -0x1.a2383140193a6p-3, -0x1.9acd6a47fa523p-3, -0x1.937f75fca30f3p-3, -0x1.8c4e29d16f24dp-3, -0x1.853954d4c3b0ep-3, -0x1.7e40c0d6912f8p-3, -0x1.77643375c9147p-3, -0x1.70a36f0100035p-3, -0x1.69fe3330b6b4ep-3, -0x1.6373af504a066p-3, -0x1.5d04973a11629p-3, -0x1.56b04518ca101p-3, -0x1.507671ff7b881p-3, -0x1.4a56d5b45e4ebp-3, -0x1.445126bed38fap-3, -0x1.3e651a67fd4a9p-3, -0x1.389264b5db84cp-3, -0x1.32d8b864b4511p-3, -0x1.2d37c6e2dac58p-3, -0x1.27af4050e8282p-3, -0x1.223ed38837c19p-3, -0x1.1ce62e281cf5fp-3, -0x1.17a4fcabaa3bdp-3, -0x1.127aea7c79eefp-3, -0x1.0d67a2235c9e7p-3, -0x1.086acd5e3b47ep-3, -0x1.038415530cd3cp-3, -0x1.fd6645787e117p-4, -0x1.f3ef3c338cf8dp-4, -0x1.eaa25fc7de3cap-4, -0x1.e17f017bf1b9ep-4, -0x1.d884735c182b4p-4, -0x1.cfb2088a83d17p-4, -0x1.c70715b0490a1p-4, -0x1.be82f149d8a7dp-4, -0x1.b624f3f52405ap-4, -0x1.adec78b22ce28p-4, -0x1.a5d8dd110596fp-4, -0x1.9de98175d5d43p-4, -0x1.961dc8f593de1p-4, -0x1.8e75199cc8a01p-4, -0x1.86eedc53081acp-4, -0x1.7f8a7cd27ae97p-4, -0x1.78476997618acp-4, -0x1.712513c49a7e4p-4, -0x1.6a22ef05b917ap-4, -0x1.6340716ee390cp-4, -0x1.5c7d135c45f86p-4, -0x1.55d84f531dcbcp-4, -0x1.4f51a1e57f9f3p-4, -0x1.48e889990fa77p-4, -0x1.429c86d2f4db1p-4, -0x1.3c6d1bc6bcaaap-4, -0x1.3659cc6a49a3dp-4, -0x1.30621e6d44dd4p-4, -0x1.2a85992e50ff8p-4, -0x1.24c3c5d759053p-4, -0x1.1f1c2f2092fdp-4, -0x1.198e61901f3c7p-4, -0x1.1419eb5f0ab12p-4, -0x1.0ebe5c837cceap-4, -0x1.097b46b58ca3fp-4, -0x1.04503d73eda75p-4, -0x1.fe79ac10e655p-5, -0x1.f4814f180c62cp-5, -0x1.eab695d3f554ep-5, -0x1.e118b5c4494ddp-5, -0x1.d7a6e8159efb8p-5, -0x1.ce6069a0dc8eap-5, -0x1.c5447aea06ae7p-5, -0x1.bc52601bce41bp-5, -0x1.b3896100b56f6p-5, -0x1.aae8c8f9a8a8cp-5, -0x1.a26fe6f211b62p-5, -0x1.9a1e0d51798a7p-5, -0x1.91f291eaa14a2p-5, -0x1.89eccdf22fbc5p-5, -0x1.820c1dc04b3ccp-5, -0x1.7a4fe10b778d1p-5, -0x1.72b77a81f7116p-5, -0x1.6b424fd9c1d4bp-5, -0x1.63efc9b02039ep-5, -0x1.5cbf53717325p-5, -0x1.55b05b4148249p-5, -0x1.4ec251e2edac6p-5, -0x1.47f4aaa2e4462p-5, -0x1.4146db416fea9p-5, -0x1.3ab85bde44972p-5, -0x1.3448a6e595315p-5, -0x1.2df738fe8242dp-5, -0x1.27c390fad96bfp-5, -0x1.21ad2fc87e91dp-5, -0x1.1bb398632435dp-5, -0x1.15d64fc8c4322p-5, -0x1.1014dcedec20bp-5, -0x1.0a6ec8b38cc96p-5, -0x1.04e39ddd921d6p-5, -0x1.fee5d214796bdp-6, -0x1.f43871542a298p-6, -0x1.e9be39eff77cfp-6, -0x1.df764fe8c8a8cp-6, -0x1.d55fdab610525p-6, -0x1.cb7a053c3f311p-6, -0x1.c1c3fdc21f612p-6, -0x1.b83cf5e29a1ap-6, -0x1.aee42280f27ep-6, -0x1.a5b8bbbd0069ap-6, -0x1.9cb9fce73cd1ep-6, -0x1.93e724751e5a3p-6, -0x1.8b3f73f50ba94p-6, -0x1.82c2300282846p-6, -0x1.7a6ea03a01b28p-6, -0x1.72440f2d06931p-6, -0x1.6a41ca55bf697p-6, -0x1.6267220ac3fdfp-6, -0x1.5ab36972ad2bbp-6, -0x1.5325f6778236p-6, -0x1.4bbe21bbc54b1p-6, -0x1.447b4687a91b4p-6, -0x1.3d5cc2c7eb695p-6, -0x1.3661f6f610f59p-6, -0x1.2f8a4611c64ecp-6, -0x1.28d51593237ecp-6, -0x1.2241cd5e7a7bcp-6, -0x1.1bcfd7b84760ap-6, -0x1.157ea1394b91ap-6, -0x1.0f4d98c30f9ebp-6, -0x1.093c2f7428a0cp-6, -0x1.0349d8a0d8efep-6, -0x1.faec137e1d662p-7, -0x1.ef8074ccd46b8p-7, -0x1.e44fc8822482p-7, -0x1.d9590605da77ep-7, -0x1.ce9b28c0e5b53p-7, -0x1.c415300bbb01ap-7, -0x1.b9c61f1ca0c5p-7, -0x1.afacfcf8aa148p-7, -0x1.a5c8d462b880cp-7, -0x1.9c18b3cd1e9d3p-7, -0x1.929bad4b11457p-7, -0x1.8950d682c1c59p-7, -0x1.803748a02d8f2p-7, -0x1.774e204835b4ep-7, -0x1.6e947d8c448cp-7, -0x1.660983de681c9p-7, -0x1.5dac5a05be338p-7, -0x1.557c2a1342f7ep-7, -0x1.4d782156f289cp-7, -0x1.459f705535804p-7, -0x1.3df14abc65788p-7, -0x1.366ce75ae22dfp-7, -0x1.2f11801520f1cp-7, -0x1.27de51dbe3f69p-7, -0x1.20d29ca2bb7ecp-7, -0x1.19eda3569e2p-7, -0x1.132eabd473a7cp-7, -0x1.0c94feeb5e273p-7, -0x1.061fe81cae08p-7, -0x1.ff9d6c07828b5p-8, -0x1.f34173a994c0ap-8, -0x1.e72a8f30b27fp-8, -0x1.db576c211f94fp-8, -0x1.cfc6bd6374e8ep-8, -0x1.c4773b33c76e8p-8, -0x1.b967a310c812dp-8, -0x1.ae96b7ab01c69p-8, -0x1.a40340d3f0f86p-8, -0x1.99ac0b6e181abp-8, -0x1.8f8fe95befb66p-8, -0x1.85adb16feb759p-8, -0x1.7c043f5c48db1p-8, -0x1.729273a3090bbp-8, -0x1.695733860162ep-8, -0x1.605168f6ec988p-8, -0x1.57800288432efp-8, -0x1.4ee1f35d38e47p-8, -0x1.467636d66c9dap-8, -0x1.3e3bbb9027df1p-8, -0x1.36318d1249d8p-8, -0x1.2e56b01aefdd6p-8, -0x1.26aa2daaa8eb3p-8, -0x1.1f2b12f685f27p-8, -0x1.17d8715a4fdf1p-8, -0x1.10b15e4ae1147p-8, -0x1.09b4f348a1d22p-8, -0x1.02e24dd222fdbp-8, -0x1.f8711ead82bdep-9, -0x1.eb6dba50f3634p-9, -0x1.deb8c0c64c38ep-9, -0x1.d2508c5a6b0dfp-9, -0x1.c6337e08cd069p-9, -0x1.ba5ffeb1ed5d4p-9, -0x1.aed47e61ba7c6p-9, -0x1.a38f7450c44b7p-9, -0x1.988f5ecd0fd1cp-9, -0x1.8dd2c321a0f4bp-9, -0x1.83582d7e151a1p-9, -0x1.791e30de87892p-9, -0x1.6f2366f2dd3cap-9, -0x1.656670082c033p-9, -0x1.5be5f2efeb4bap-9, -0x1.52a09ce8dffc5p-9, -0x1.49952187cc0d9p-9, -0x1.40c23aa0461cdp-9, -0x1.3826a82dcc1bdp-9, -0x1.2fc1303cfe87bp-9, -0x1.27909ed50aeap-9, -0x1.1f93c5e1c4dddp-9, -0x1.17c97d1bbb6a5p-9, -0x1.1030a1f46a85ep-9, -0x1.08c8177ff1064p-9, -0x1.018ec65e06099p-9, -0x1.f507394b9b2cp-10, -0x1.e74b1ba091c08p-10, -0x1.d9e7254684d6ep-10, -0x1.ccd95238e188bp-10, -0x1.c01fa8b9958cep-10, -0x1.b3b839281535bp-10, -0x1.a7a11dd8cd843p-10, -0x1.9bd87aece62c6p-10, -0x1.905c7e2a77911p-10, -0x1.852b5ed512f04p-10, -0x1.7a435d8683fbcp-10, -0x1.6fa2c4067d789p-10, -0x1.6547e577720c6p-10, -0x1.5b311caa8466cp-10, -0x1.515ccf071465ap-10, -0x1.47c9693b2206p-10, -0x1.3e7560cf4e8e3p-10, -0x1.355f339697a91p-10, -0x1.2c85678f3526fp-10, -0x1.23e68abf7aae2p-10, -0x1.1b813312bf0cap-10, -0x1.1353fe3687176p-10, -0x1.0b5d9178097bfp-10, -0x1.039c99a1fd1b2p-10, -0x1.f81f95b64bc79p-11, -0x1.e96bc1099f54ap-11, -0x1.db1b3a338ea7p-11, -0x1.cd2b941be3056p-11, -0x1.bf9a6f5bf707ap-11, -0x1.b26579ff0f371p-11, -0x1.a58a6f438f95p-11, -0x1.9907175c95903p-11, -0x1.8cd94734d3c22p-11, -0x1.80fee031a8e4ep-11, -0x1.7575cff6b1bc8p-11, -0x1.6a3c102b47eb2p-11, -0x1.5f4fa659d6881p-11, -0x1.54aea3407bfdcp-11, -0x1.4a57237ce45a3p-11, -0x1.40474e66e20c3p-11, -0x1.367d565e74ee3p-11, -0x1.2cf778719684p-11, -0x1.23b3fc2833b62p-11, -0x1.1ab1334f514dbp-11, -0x1.11ed79c49878dp-11, -0x1.096735429cdb9p-11, -0x1.011cd52ddb80ap-11, -0x1.f219a4c4e550fp-12, -0x1.e26b5e05223e4p-12, -0x1.d32bec8b248fcp-12, -0x1.c458788e4c308p-12, -0x1.b5ee3ba4a55a4p-12, -0x1.a7ea812488dbbp-12, -0x1.9a4aa2f240bf8p-12, -0x1.8d0c0e43da7dfp-12, -0x1.802c3e43136e4p-12, -0x1.73a8be613a40ap-12, -0x1.677f2956ef1c5p-12, -0x1.5bad28d87c57ep-12, -0x1.5030754379855p-12, -0x1.4506d54d02363p-12, -0x1.3a2e1db1486cbp-12, -0x1.2fa430e38a951p-12, -0x1.2566fec236a6p-12, -0x1.1b74844809567p-12, -0x1.11cacb4276a88p-12, -0x1.0867ea072603ep-12, -0x1.fe9406573a6afp-13, -0x1.ecde8a7bf8b57p-13, -0x1.dbabd4fdf969dp-13, -0x1.caf8713aaa253p-13, -0x1.bac100e457139p-13, -0x1.ab023b7e3909dp-13, -0x1.9bb8edda5c80dp-13, -0x1.8ce1f99a725bdp-13, -0x1.7e7a54b26ec12p-13, -0x1.707f08ee275c5p-13, -0x1.62ed3377d49bcp-13, -0x1.55c2045f4c7a4p-13, -0x1.48fabe6498ab3p-13, -0x1.3c94b5cdfca1ap-13, -0x1.308d50d173d9dp-13, -0x1.24e206e3149adp-13, -0x1.19906001cfe2cp-13, -0x1.0e95f493cfcfbp-13, -0x1.03f06ceffa142p-13, -0x1.f33b01f31cd9ap-14, -0x1.df35ef7b71f9cp-14, -0x1.cbcd4e28074ep-14, -0x1.b8fce6806bfc2p-14, -0x1.a6c09d2c88436p-14, -0x1.95147240c6732p-14, -0x1.83f4808b606e7p-14, -0x1.735cfcd6392abp-14, -0x1.634a36ba63c91p-14, -0x1.53b891f5f9671p-14, -0x1.44a490f95e7fdp-14, -0x1.360ac959d1627p-14, -0x1.27e7e8a407bc9p-14, -0x1.1a38b2d92bbc2p-14, -0x1.0cfa01b0da7b3p-14, -0x1.0028c4129ccb4p-14, -0x1.e783fb1653ad8p-15, -0x1.cf858b83e6e1fp-15, -0x1.b8508ff0977a6p-15, -0x1.a1df84fd24094p-15, -0x1.8c2d0c78434a1p-15, -0x1.7733ec5d642c4p-15, -0x1.62ef0de383999p-15, -0x1.4f597c8fc1ae7p-15, -0x1.3c6e654df3f91p-15, -0x1.2a29158e6a9fcp-15, -0x1.1884fa69c2c46p-15, -0x1.077d9fca234bp-15, -0x1.ee1d5f30577dp-16, -0x1.ce67e1e21e686p-16, -0x1.afd28ebb577e6p-16, -0x1.925564218eddap-16, -0x1.75e89653a17cfp-16, -0x1.5a848df95eaccp-16, -0x1.4021e6ba79a71p-16, -0x1.26b96de274fa9p-16, -0x1.0e44210b90e98p-16, -0x1.ed7659a660b9cp-17, -0x1.c02fd72a0153ap-17, -0x1.94a7c853cf444p-17, -0x1.6ad1917abe625p-17, -0x1.42a0eb50c1a94p-17, -0x1.1c09e08b48547p-17, -0x1.ee01975bcaa8dp-18, -0x1.a6f4a9d056829p-18, -0x1.62d6dffd01599p-18, -0x1.2192b4817bf53p-18, -0x1.c626623d62f8ap-19, -0x1.4e87d5b14a1bcp-19, -0x1.b843f8e2a0d4ep-20, -0x1.bb385cb26e1d3p-21, -0x1.99999dc92e5cp-25, 0x1.74e761a20490bp-21, 0x1.786cca858cc9dp-20, 0x1.16b25cc6ca6bap-19, 0x1.6ccf81d73ecc3p-19, 0x1.beaf0c8aba96dp-19, 0x1.06389fec69474p-18, 0x1.2b1ac5dcc01ap-18, 0x1.4e0d4906faf12p-18, 0x1.6f1f15c93dd6bp-18, 0x1.8e5eb6bb7dcdfp-18, 0x1.abda5725f1b21p-18, 0x1.c79fc59dba7c4p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.ca18a424f5e8fp-2, -0x1.053a5524a8848p-1, -0x1.273fec68a9aap-1, -0x1.48b2a79d52e36p-1, -0x1.67aee9e4665eep-1, -0x1.82c983f866e24p-1, -0x1.9900fb36dee0dp-1, -0x1.a9acc8d8047b4p-1, -0x1.b46f0cdaf1b8dp-1, -0x1.b927de81668dp-1, -0x1.b7e95b3e4e5acp-1, -0x1.b0ec27223a1f5p-1, -0x1.a485ff541a7e5p-1, -0x1.932276ecaccc8p-1, -0x1.7d3c7385bee72p-1, -0x1.63580d3d77ae3p-1, -0x1.45fd70df86836p-1, -0x1.25b53246525b8p-1, -0x1.0305ad284b557p-1, -0x1.bce19b46b9372p-2, -0x1.70e414a93ef9bp-2, -0x1.22f98b132f18p-2, -0x1.a7ee105daf6fdp-3, -0x1.093c4f45e4b25p-3, -0x1.acee418216d0ep-5, 0x1.86e02209fb59bp-6, 0x1.93ef50111f017p-4, 0x1.5f296e239b4b7p-3, 0x1.efa7093a3b92fp-3, 0x1.3d63e7ff2d5c5p-2, 0x1.80011474f6d39p-2, 0x1.bf7456ab90c2dp-2, 0x1.fb93b7382f9c9p-2, 0x1.1a20654b43ed6p-1, 0x1.34b3d1ff44a76p-1, 0x1.4d7ee8b0ade18p-1, 0x1.6480a99c37b17p-1, 0x1.79bbc8eaf879ap-1, 0x1.8d362ae8b9324p-1, 0x1.9ef864b27ca64p-1, 0x1.af0d457a0eb06p-1, 0x1.bd816d3710059p-1, 0x1.ca62f339bbd97p-1, 0x1.d5c11adefed59p-1, 0x1.dfac123dfb521p-1, 0x1.e834b7343f122p-1, 0x1.ef6c6133a5866p-1, 0x1.f564af8a746c2p-1, 0x1.fa2f5c1f3ab4ep-1, 0x1.fdde12a06878ap-1, 0x1.004126426920dp+0, 0x1.0116993fffcb7p+0, 0x1.0177c1ef9efc7p+0, 0x1.016cc1df146c6p+0, 0x1.00fd75b3393e9p+0, 0x1.00317074708ep+0, 0x1.fe1ff0cd4be78p-1, 0x1.fb4009e3664cbp-1, 0x1.f7d07a6043f1fp-1, 0x1.f3ddedd243aa2p-1, 0x1.ef746bd05b3e4p-1, 0x1.ea9f578cc4048p-1, 0x1.e569708b402bcp-1, 0x1.dfdcf066ce76ep-1, 0x1.da033372fe06cp-1, 0x1.d3e51c4bbaa05p-1, 0x1.cd8afb48c7983p-1, 0x1.c6fc95c9512a4p-1, 0x1.c0412be05b33cp-1, 0x1.b95f7d6e8d0fcp-1, 0x1.b25dcf0e82b89p-1, 0x1.ab41ef3a5b8b5p-1, 0x1.a4113bd79a7d5p-1, 0x1.9cd0a8173c00fp-1, 0x1.9584c27297b33p-1, 0x1.8e31ba8e4ec9ep-1, 0x1.86db66e5786d6p-1, 0x1.7f854a3a8184ep-1, 0x1.783298daeb103p-1, 0x1.70e63dc0a47f8p-1, 0x1.69a2df8e0811bp-1, 0x1.626ae553dcfa5p-1, 0x1.5b407b0a85e7cp-1, 0x1.542595b01165bp-1, 0x1.4d1bf706aa0f8p-1, 0x1.4625310283513p-1, 0x1.3f42a8fa5766fp-1, 0x1.38759aafdd08cp-1, 0x1.31bf1b3d321edp-1, 0x1.2b201bebe4071p-1, 0x1.24996cf2bff59p-1, 0x1.1e2bc0137836ap-1, 0x1.17d7ab1226a71p-1, 0x1.119daa0390c9bp-1, 0x1.0b7e217246517p-1, 0x1.0579605d0dbb6p-1, 0x1.ff1f44239f5e7p-2, 0x1.f3821fcf0aeefp-2, 0x1.e81b85b0bf0e4p-2, 0x1.dceb89f9abe81p-2, 0x1.d1f225cf6d5fcp-2, 0x1.c72f39c98453cp-2, 0x1.bca29037baa22p-2, 0x1.b24bdf38667cbp-2, 0x1.a82acaa317756p-2, 0x1.9e3ee5d6cb88ep-2, 0x1.9487b561c915cp-2, 0x1.8b04b095a1152p-2, 0x1.81b542ffda45ep-2, 0x1.7898cdcaf2096p-2, 0x1.6faea907bbbcp-2, 0x1.66f624df2442fp-2, 0x1.5e6e8aad7033p-2, 0x1.56171e04f5847p-2, 0x1.4def1da13a87p-2, 0x1.45f5c43e034fbp-2, 0x1.3e2a4960ab43dp-2, 0x1.368be20cc0715p-2, 0x1.2f19c167598b3p-2, 0x1.27d3194a6f142p-2, 0x1.20b71ac8ec78bp-2, 0x1.19c4f6a530772p-2, 0x1.12fbddbb5fc0cp-2, 0x1.0c5b0160af2e4p-2, 0x1.05e193b91848cp-2, 0x1.ff1d900928885p-3, 0x1.f2c3a5c952f99p-3, 0x1.e6b3d536c9e4ap-3, 0x1.daec8e8821579p-3, 0x1.cf6c460daf9c7p-3, 0x1.c431748d958fp-3, 0x1.b93a9796fdc95p-3, 0x1.ae8631cc0f974p-3, 0x1.a412cb2329775p-3, 0x1.99def11fcf59cp-3, 0x1.8fe93703b2a6ep-3, 0x1.863035f824f94p-3, 0x1.7cb28d303e8d5p-3, 0x1.736ee20479eadp-3, 0x1.6a63e007e3906p-3, 0x1.619039177b152p-3, 0x1.58f2a5640a5c4p-3, 0x1.5089e3775f77ap-3, 0x1.4854b8349a0fbp-3, 0x1.4051eed4ec287p-3, 0x1.388058e08c4afp-3, 0x1.30dece24e8dfep-3, 0x1.296c2c08e809p-3, 0x1.2227586c19a1fp-3, 0x1.1b0f3c7302ea7p-3, 0x1.1422c86899a35p-3, 0x1.0d60f29092d77p-3, 0x1.06c8b713bfe42p-3, 0x1.005917eb317c3p-3, 0x1.f4223994b72a4p-4, 0x1.e7dfa610c1e32p-4, 0x1.dbe89b1154b48p-4, 0x1.d03b49462f9b9p-4, 0x1.c4d5ec17a5624p-4, 0x1.b9b6c976026ddp-4, 0x1.aedc31a90a6bap-4, 0x1.a4447f1d6b813p-4, 0x1.99ee163740458p-4, 0x1.8fd7651dd908cp-4, 0x1.85fee38ca65e4p-4, 0x1.7c6312a209539p-4, 0x1.73027cae7ec92p-4, 0x1.69dbb503bb4fp-4, 0x1.60ed57c47f05ap-4, 0x1.583609afca115p-4, 0x1.4fb477f7b9915p-4, 0x1.47675808fe88ap-4, 0x1.3f4d675e32f23p-4, 0x1.37656b4ee2cadp-4, 0x1.2fae30dfd0b63p-4, 0x1.28268c92f6349p-4, 0x1.20cd5a3d7618dp-4, 0x1.19a17cd131a2p-4, 0x1.12a1de38c2d5cp-4, 0x1.0bcd6f2797cd1p-4, 0x1.052326ef6f79fp-4, 0x1.fd4406ae1384p-5, 0x1.f09210e2131fcp-5, 0x1.e42e80e84502ap-5, 0x1.d817772853bf8p-5, 0x1.cc4b1fb836d9bp-5, 0x1.c0c7b21207859p-5, 0x1.b58b70cb7a92p-5, 0x1.aa94a94f8c906p-5, 0x1.9fe1b398f2aaep-5, 0x1.9570f1ef33f26p-5, 0x1.8b40d0a4b0de6p-5, 0x1.814fc5d679207p-5, 0x1.779c512b9fa21p-5, 0x1.6e24fba2c32bdp-5, 0x1.64e85740e280dp-5, 0x1.5be4feecc8671p-5, 0x1.5319962b9020cp-5, 0x1.4a84c8eb5c169p-5, 0x1.42254b4d62382p-5, 0x1.39f9d971328ddp-5, 0x1.3201374155e5bp-5, 0x1.2a3a30412aeb1p-5, 0x1.22a3975bf883cp-5, 0x1.1b3c46b53b6d8p-5, 0x1.14031f7a17894p-5, 0x1.0cf709b3f7624p-5, 0x1.0616f41c4a76p-5, 0x1.fec3a7e2bb52cp-6, 0x1.f1ad4998a666cp-6, 0x1.e4e8d0f052e5p-6, 0x1.d8744d93a6fdcp-6, 0x1.cc4ddaf2c4d31p-6, 0x1.c0739ff846bc5p-6, 0x1.b4e3cec3a5349p-6, 0x1.a99ca44fc915dp-6, 0x1.9e9c684fc25d1p-6, 0x1.93e16cc94718dp-6, 0x1.896a0de3bf718p-6, 0x1.7f34b1a4cc3e9p-6, 0x1.753fc7b20cf32p-6, 0x1.6b89c914a461ep-6, 0x1.621137fe58751p-6, 0x1.58d49f9051137p-6, 0x1.4fd293a373617p-6, 0x1.4709b09231f71p-6, 0x1.3e789b03d913p-6, 0x1.361dffb944801p-6, 0x1.2df8935af552cp-6, 0x1.260712487a1f8p-6, 0x1.1e4840691055dp-6, 0x1.16bae8fda2a23p-6, 0x1.0f5dde73dead4p-6, 0x1.082ffa3a82972p-6, 0x1.01301c96c770bp-6, 0x1.f4ba58f5ce958p-7, 0x1.e76c2ebb59206p-7, 0x1.da73a225a4bcp-7, 0x1.cdcea74bc4cdp-7, 0x1.c17b3e65ac0dap-7, 0x1.b57773851cd3ap-7, 0x1.a9c15e4f9271p-7, 0x1.9e5721b7d6234p-7, 0x1.9336ebba98a8ep-7, 0x1.885ef51ca2921p-7, 0x1.7dcd812a8d39ep-7, 0x1.7380dd7a34417p-7, 0x1.697761ad965dfp-7, 0x1.5faf6f373ecfdp-7, 0x1.562771202da78p-7, 0x1.4cdddbcf37cf4p-7, 0x1.43d12cd1b188ep-7, 0x1.3affeaa58c2f3p-7, 0x1.3268a484ba561p-7, 0x1.2a09f231dab5fp-7, 0x1.21e273c69152bp-7, 0x1.19f0d1811b0a5p-7, 0x1.1233bb97905dcp-7, 0x1.0aa9ea068c6bdp-7, 0x1.03521c654afe6p-7, 0x1.f856337217abap-8, 0x1.ea676093bebbep-8, 0x1.dcd56af0f6d25p-8, 0x1.cf9e0b2a0b4bbp-8, 0x1.c2bf076def1afp-8, 0x1.b636332b55039p-8, 0x1.aa016ec8d72ecp-8, 0x1.9e1ea74da2bc9p-8, 0x1.928bd6268b858p-8, 0x1.874700d79d166p-8, 0x1.7c4e38b79d543p-8, 0x1.719f9aac136c1p-8, 0x1.67394ee6fc4a6p-8, 0x1.5d1988a53fe1ap-8, 0x1.533e85f06d85p-8, 0x1.49a68f5f999d2p-8, 0x1.404ff7db57f06p-8, 0x1.37391c6273a14p-8, 0x1.2e6063cffd2b5p-8, 0x1.25c43ea2de7fcp-8, 0x1.1d6326c67c81p-8, 0x1.153b9f5ca9235p-8, 0x1.0d4c3488da17cp-8, 0x1.05937b3c7aa11p-8, 0x1.fc202208cddbp-9, 0x1.ed8137af1f1a7p-9, 0x1.df4793cd536f1p-9, 0x1.d170a2d9d3adcp-9, 0x1.c3f9e103c992p-9, 0x1.b6e0d9d8c0bfep-9, 0x1.aa2327ec333b2p-9, 0x1.9dbe748128ba6p-9, 0x1.91b07735a158ap-9, 0x1.85f6f5af86f6ap-9, 0x1.7a8fc36026081p-9, 0x1.6f78c0d2f330ap-9, 0x1.64afdc29297ecp-9, 0x1.5a330ff77c955p-9, 0x1.50006375b128fp-9, 0x1.4615ea15d61f2p-9, 0x1.3c71c33f766adp-9, 0x1.33121a0a5b70bp-9, 0x1.29f524fac80a1p-9, 0x1.211925bf06fbep-9, 0x1.187c68ee2f0e1p-9, 0x1.101d45c93fcd1p-9, 0x1.07fa1dfc33099p-9, 0x1.00115d617ab72p-9, 0x1.f0c2f38ccd737p-10, 0x1.e1d1e561d2d78p-10, 0x1.d34ca24d07606p-10, 0x1.c5304ee8b7e3ap-10, 0x1.b77a21f248e2ep-10, 0x1.aa2763de4e978p-10, 0x1.9d357cc965f02p-10, 0x1.90a1bbdf141ebp-10, 0x1.8469a97f83b97p-10, 0x1.788ad0fbbd22dp-10, 0x1.6d02cd6816ac5p-10, 0x1.61cf493e814aap-10, 0x1.56edfe02d8f2cp-10, 0x1.4c5cb3e931df8p-10, 0x1.4219417e177cep-10, 0x1.38218b509b324p-10, 0x1.2e73839e1a468p-10, 0x1.250d29fd97adbp-10, 0x1.1bec8af406bfbp-10, 0x1.130fc05a51d7dp-10, 0x1.0a74ef8cc2c53p-10, 0x1.021a4aa6a4b02p-10, 0x1.f3fc1efbb9291p-11, 0x1.e43d0ef2ae81bp-11, 0x1.d4f40e98c8943p-11, 0x1.c61ddd63dd8bep-11, 0x1.b7b75051feea4p-11, 0x1.a9bd516603edap-11, 0x1.9c2cdf2444d4ep-11, 0x1.8f030c184dd98p-11, 0x1.823cfe55d5574p-11, 0x1.75d7ef0145e14p-11, 0x1.69d129d98df2ep-11, 0x1.5e260cc489b63p-11, 0x1.52d4075e13417p-11, 0x1.47d89a8975bf1p-11, 0x1.3d31580578699p-11, 0x1.32dbe2041ca38p-11, 0x1.28d5eabe3a9cdp-11, 0x1.1f1d3415243dcp-11, 0x1.15af8f2e8db26p-11, 0x1.0c8adc0fd2edfp-11, 0x1.03ad0943717fp-11, 0x1.f62826f7e6adbp-12, 0x1.e57c0a7372e7bp-12, 0x1.d551ece5df2ecp-12, 0x1.c5a6187af4d29p-12, 0x1.b674f0f5afdbdp-12, 0x1.a7baf30be0919p-12, 0x1.9974b3c57b976p-12, 0x1.8b9edfdf9d284p-12, 0x1.7e363b330c14fp-12, 0x1.7137a01dd9e57p-12, 0x1.649ffeebb45c5p-12, 0x1.586c5e4b54cb8p-12, 0x1.4c99d5fc8cd9cp-12, 0x1.412597d69b312p-12, 0x1.360ce557fb5fcp-12, 0x1.2b4d1488f3d35p-12, 0x1.20e38e2a7c957p-12, 0x1.16cdcd493aefap-12, 0x1.0d095ec5e90cfp-12, 0x1.0393e0df664b3p-12, 0x1.f4d6057e4b77cp-13, 0x1.e3190810b1018p-13, 0x1.d1ec68d2daac2p-13, 0x1.c14be66325ddep-13, 0x1.b1335dcde33acp-13, 0x1.a19ec9c07b204p-13, 0x1.928a41c251013p-13, 0x1.83f1f97116c29p-13, 0x1.75d23fc2ad6ep-13, 0x1.68277e4b59c74p-13, 0x1.5aee388826096p-13, 0x1.4e230b2e9bd4ep-13, 0x1.41c2ab7fac5edp-13, 0x1.35c9e69d036aap-13, 0x1.2a35a0e7c9ffbp-13, 0x1.1f02d5d081dcp-13, 0x1.142e953b63259p-13, 0x1.09b606ca94724p-13, 0x1.ff2cca857d4ddp-14, 0x1.eb9a007c6f9e3p-14, 0x1.d8ae760bb70a4p-14, 0x1.c665181fa469p-14, 0x1.b4b8f8f5cd1c6p-14, 0x1.a3a54f185585fp-14, 0x1.9325745f1c675p-14, 0x1.8334e4f77bb0ap-14, 0x1.73cf3e723f41ap-14, 0x1.64f03ed79fe66p-14, 0x1.5693c3c0e3156p-14, 0x1.48b5c971dd4fep-14, 0x1.3b5269ce1fadcp-14, 0x1.2e65debf4933cp-14, 0x1.21ec751ba3ac5p-14, 0x1.15e2a206f9b83p-14, 0x1.0a44ec70ef585p-14, 0x1.fe1fefcac4c32p-15, 0x1.e88101e3d17e9p-15, 0x1.d3a6b92fcc8c2p-15, 0x1.bf8aef40cc8ddp-15, 0x1.ac27abe217ff1p-15, 0x1.997723cc8a277p-15, 0x1.8773b7559879p-15, 0x1.7617f14c24c91p-15, 0x1.655e85a6f8549p-15, 0x1.5542506c5b416p-15, 0x1.45be5485c2684p-15, 0x1.36cdbaa7e4f01p-15, 0x1.286bd03c2437cp-15, 0x1.1a94065476062p-15, 0x1.0d41f0a66a89fp-15, 0x1.0071448b332cbp-15, 0x1.e83bb01713bcp-16, 0x1.d08741d6d81c4p-16, 0x1.b9bd6786083b5p-16, 0x1.a3d6863123c4dp-16, 0x1.8ecb3d067b328p-16, 0x1.7a94639b72f75p-16, 0x1.672b081e05aa6p-16, 0x1.548870f1418c6p-16, 0x1.42a611a809803p-16, 0x1.317d94a1b1b85p-16, 0x1.2108d6064d21bp-16, 0x1.1141dea65862bp-16, 0x1.0222e61dc5ca2p-16, 0x1.e74ca1576301cp-17, 0x1.cb8d5bb662a12p-17, 0x1.b0fd6e82f7a6ap-17, 0x1.97929e8555a89p-17, 0x1.7f42ffc140f69p-17, 0x1.6804f3239c2abp-17, 0x1.51cf243df8c21p-17, 0x1.3c9886f6f2a8cp-17, 0x1.2858548e483dbp-17, 0x1.15061be28e936p-17, 0x1.029975040be7bp-17, 0x1.e21512ef679a8p-18, 0x1.c0a31641bf114p-18, 0x1.a0cdeaec7595ap-18, 0x1.8287009c4888cp-18, 0x1.65c0381f932efp-18, 0x1.4a6be0eefd938p-18, 0x1.307cb60e2f289p-18, 0x1.17e5dab2f4829p-18, 0x1.009ad7e24ce52p-18, 0x1.d51f309f221c1p-19, 0x1.ab70cd16c059dp-19, 0x1.8413d33de78cep-19, 0x1.5ef244ed50242p-19, 0x1.3bf6d274158a8p-19, 0x1.1b0cd57821f97p-19, 0x1.f84097d4b28f3p-20, 0x1.be3ba67bf873p-20, 0x1.87e5474c7219cp-20, 0x1.551916e598967p-20, 0x1.25b3d5a3017ddp-20, 0x1.f326bd7819079p-21, 0x1.a12d3ff8b2892p-21, 0x1.553b235383b91p-21, 0x1.0f125d54af416p-21, 0x1.9cedb379f4ep-22, 0x1.265cd6d33d7f1p-22, 0x1.7402f933548e3p-23, 0x1.5dba4d45040abp-24, -0x1.c57bf0466397cp-30, -0x1.4803af4fce5a6p-24, -0x1.334d5df7d7a38p-23, -0x1.b22d094f7dda2p-23, -0x1.10ad17dba476cp-22, -0x1.40c415aedf0e5p-22, -0x1.69b242ba4f9e7p-22, -0x1.8bcb90df2f694p-22, -0x1.a761349f968e2p-22, -0x1.bcc1ba06821e4p-22, -0x1.cc3917f002089p-22, -0x1.d610c524b4761p-22, -0x1.da8fcc72a2ddbp-22, -0x1.d9faeacf1ab87p-22, -0x1.d4945d3693a59p-22, -0x1.ca9b055b607dep-22, -0x1.bc50de201cda8p-22, -0x1.a9ed82e2e18c1p-22, -0x1.93aca23082b5dp-22, -0x1.79c600d2c5ed7p-22, -0x1.5c6f901b3c2a4p-22, -0x1.3bdd6dd59d574p-22, -0x1.1841e81a4e09p-22, -0x1.e39b21b58f6d3p-23, -0x1.915e887ce9d2fp-23, -0x1.3a28715eccdfdp-23, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.7ab3274944c07p+1, -0x1.6b93d04d3ba32p+1, -0x1.5e35517956cf4p+1, -0x1.525ec9c0f309bp+1, -0x1.47db035408e92p+1, -0x1.3e792eb8cc715p+1, -0x1.360ced02c144dp+1, -0x1.2e6e8cba7c166p+1, -0x1.277ad50980b61p+1, -0x1.2112e63a3c5cdp+1, -0x1.1b1bf12ec5987p+1, -0x1.157ee6fac00c1p+1, -0x1.10282cdce5201p+1, -0x1.0b074695815fp+1, -0x1.060e8274bc82cp+1, -0x1.0132a7a30314ep+1, -0x1.f8d555b8a3dffp+0, -0x1.ef5ed10b24896p+0, -0x1.e5f6c6bad39cap+0, -0x1.dc950f302f704p+0, -0x1.d333e7ac7a0b6p+0, -0x1.c9cf919a2ffeap+0, -0x1.c065f9a6991bdp+0, -0x1.b6f670336768p+0, -0x1.ad8162c6e2cf4p+0, -0x1.a40820c2a49f1p+0, -0x1.9a8ca7dc63deap+0, -0x1.91117760908cdp+0, -0x1.87996aa476998p+0, -0x1.7e279a9f29feep+0, -0x1.74bf446514256p+0, -0x1.6b63b279f1618p+0, -0x1.621829dfe4832p+0, -0x1.58dfdba87b7c1p+0, -0x1.4fbdd9f021fe5p+0, -0x1.46b50ec710e43p+0, -0x1.3dc83562bbeecp+0, -0x1.34f9d56f746fep+0, -0x1.2c4c40b821255p+0, -0x1.23c191c5b41bfp+0, -0x1.1b5baafd41794p+0, -0x1.131c367d566c6p+0, -0x1.0b04a7026b1adp+0, -0x1.031639a7c4fbcp+0, -0x1.f6a3f028897bdp-1, -0x1.e77175a114315p-1, -0x1.d89657ac1e694p-1, -0x1.ca1392d2504efp-1, -0x1.bbe9d24305099p-1, -0x1.ae1975f306fc1p-1, -0x1.a0a29876400cdp-1, -0x1.938514aab6f08p-1, -0x1.86c08b442cf63p-1, -0x1.7a54684462164p-1, -0x1.6e3fe83e92351p-1, -0x1.62821d56fd0bp-1, -0x1.5719f3fec143ep-1, -0x1.4c06376d69234p-1, -0x1.414595d9286cdp-1, -0x1.36d6a46c65908p-1, -0x1.2cb7e2f0a02fcp-1, -0x1.22e7bf322497p-1, -0x1.1964981f32ca8p-1, -0x1.102cbe3af1dacp-1, -0x1.073e80714926dp-1, -0x1.fd303cef21a24p-2, -0x1.ec6faafbe90d3p-2, -0x1.dc37bffec071bp-2, -0x1.cc84eeefd9733p-2, -0x1.bd53ab8f0620ep-2, -0x1.aea06cc780b73p-2, -0x1.a067aef38f839p-2, -0x1.92a5f61d2a343p-2, -0x1.8557d0259b991p-2, -0x1.7879d6b5e4993p-2, -0x1.6c08b0d1660d2p-2, -0x1.6001140792b48p-2, -0x1.545fc55656de5p-2, -0x1.492199dadf6d9p-2, -0x1.3e43776d448c5p-2, -0x1.33c2552fa798ep-2, -0x1.299b3c15a94e3p-2, -0x1.1fcb4753cf231p-2, -0x1.164fa4acb6cadp-2, -0x1.0d25949be542ap-2, -0x1.044a6a5c7d229p-2, -0x1.f77717b9ea441p-3, -0x1.e6ece335b939dp-3, -0x1.d6f14d0b03e8p-3, -0x1.c77f8fa56f7e8p-3, -0x1.b89309a28d01dp-3, -0x1.aa273d6710cb8p-3, -0x1.9c37d09689b78p-3, -0x1.8ec08b7d72827p-3, -0x1.81bd5860aafaep-3, -0x1.752a42c3b853bp-3, -0x1.690376a627306p-3, -0x1.5d453fc16552ap-3, -0x1.51ec08c51bc4ap-3, -0x1.46f45a9597e7p-3, -0x1.3c5adb859104cp-3, -0x1.321c4e92979acp-3, -0x1.2835929b3aef3p-3, -0x1.1ea3a1977f848p-3, -0x1.15638fd14bdf3p-3, -0x1.0c728b13f4633p-3, -0x1.03cdd9f39a661p-3, -0x1.f6e5b60aa52e9p-4, -0x1.e6be0844d1e0dp-4, -0x1.d71fc3651cd8ep-4, -0x1.c8062bd8959f5p-4, -0x1.b96cb0546ade1p-4, -0x1.ab4ee869da7e9p-4, -0x1.9da8933b31611p-4, -0x1.90759610729d3p-4, -0x1.83b1fb278a097p-4, -0x1.7759f06584068p-4, -0x1.6b69c6277e8cep-4, -0x1.5fddee0794a67p-4, -0x1.54b2f9c189abfp-4, -0x1.49e59a1085fd1p-4, -0x1.3f729d9ac3c39p-4, -0x1.3556efe4181ebp-4, -0x1.2b8f984a808afp-4, -0x1.2219b909e777ap-4, -0x1.18f28e47fbc48p-4, -0x1.10176d28d655bp-4, -0x1.0785c2eff0e0cp-4, -0x1.fe762814b8f61p-5, -0x1.ee69f6d98af2ep-5, -0x1.dee2532506f9fp-5, -0x1.cfdac7a102bd3p-5, -0x1.c14f072034f64p-5, -0x1.b33aeb2b93b4p-5, -0x1.a59a729c3efdcp-5, -0x1.9869c041f5553p-5, -0x1.8ba51995135a9p-5, -0x1.7f48e57695155p-5, -0x1.7351aaf900f0cp-5, -0x1.67bc1035a06dep-5, -0x1.5c84d93041ee1p-5, -0x1.51a8e6ae2445cp-5, -0x1.472535516611fp-5, -0x1.3cf6dc6d5f57ep-5, -0x1.331b0d27bbdb8p-5, -0x1.298f117d7a9b8p-5, -0x1.20504b62a308cp-5, -0x1.175c337128cbcp-5, -0x1.0eb05a1a4a849p-5, -0x1.064a6371db32bp-5, -0x1.fc5011ae61183p-6, -0x1.ec8e2f2e2ae4ap-6, -0x1.dd4ae073fd7bap-6, -0x1.ce820ba062a5dp-6, -0x1.c02fba91c84c9p-6, -0x1.b250199acd63fp-6, -0x1.a4df7647beb3fp-6, -0x1.97da3e2adc555p-6, -0x1.8b3cfdb6e3517p-6, -0x1.7f045f22836dfp-6, -0x1.732d296cfef51p-6, -0x1.67b43eefdb35bp-6, -0x1.5c969d3386a8fp-6, -0x1.51d15b29797b3p-6, -0x1.4761a8b12792ap-6, -0x1.3d44cda048f35p-6, -0x1.337828ec24b87p-6, -0x1.29f92fda620bep-6, -0x1.20c56d281f783p-6, -0x1.17da80a1d60acp-6, -0x1.0f361db812b36p-6, -0x1.06d60b7e550c8p-6, -0x1.fd70474b85a8ep-7, -0x1.edb4a3d03bfcap-7, -0x1.de7526ce01aap-7, -0x1.cfadebd66a768p-7, -0x1.c15b302436f42p-7, -0x1.b3794e6f35a36p-7, -0x1.a604c0de203a2p-7, -0x1.98fa1e913f5cfp-7, -0x1.8c561ac34817p-7, -0x1.801583fc823f7p-7, -0x1.743543119fb35p-7, -0x1.68b25a427ec6dp-7, -0x1.5d89e45fcbef5p-7, -0x1.52b913f4ebc4ap-7, -0x1.483d327c43527p-7, -0x1.3e139f9c6d489p-7, -0x1.3439d06100d3ap-7, -0x1.2aad4e907d839p-7, -0x1.216bb7ef844bep-7, -0x1.1872bd9ae47e4p-7, -0x1.0fc02360a3b52p-7, -0x1.0751bed32985cp-7, -0x1.fe4af086c6661p-8, -0x1.ee728df7e6b6ap-8, -0x1.df1667c7dcdf9p-8, -0x1.d032aebef9bc8p-8, -0x1.c1c3b231d3867p-8, -0x1.b3c5df045ea44p-8, -0x1.a635beb06f9dep-8, -0x1.990ff6581323bp-8, -0x1.8c5145dea8977p-8, -0x1.7ff6870ceef37p-8, -0x1.73fcacb059e1dp-8, -0x1.6860c1deb1314p-8, -0x1.5d1fe91ab52a6p-8, -0x1.52375b9cedbc6p-8, -0x1.47a468966c6bfp-8, -0x1.3d64747c453aep-8, -0x1.3374f8592d4a1p-8, -0x1.29d381253d3cap-8, -0x1.207daf22aa775p-8, -0x1.1771353cac015p-8, -0x1.0eabd8ef29b3p-8, -0x1.062b6f761b89fp-8, -0x1.fbdbc32121bc4p-9, -0x1.ebe24d6e34271p-9, -0x1.dc668d6ef16e8p-9, -0x1.cd64b1896d01p-9, -0x1.bed905f7d693bp-9, -0x1.b0bff3da99961p-9, -0x1.a316004fdfdfcp-9, -0x1.95d7cb933357ep-9, -0x1.890210269dddap-9, -0x1.7c91a1ffa88b7p-9, -0x1.70836dbd23f69p-9, -0x1.64d477e419f5ep-9, -0x1.5981dc207a2bep-9, -0x1.4e88cc96d79ecp-9, -0x1.43e6911aa45f5p-9, -0x1.3998869e7ba1cp-9, -0x1.2f9c1e7f3507dp-9, -0x1.25eedde57807p-9, -0x1.1c8e5d2a1ec0dp-9, -0x1.1378473f67778p-9, -0x1.0aaa591e458a6p-9, -0x1.0222612c64e4p-9, -0x1.f3bc7de79335bp-10, -0x1.e3b7c4736b1ep-10, -0x1.d432955a1bcf8p-10, -0x1.c5290f097c94dp-10, -0x1.b6976dd5bc6a6p-10, -0x1.a87a0b17dc19p-10, -0x1.9acd5c4f42135p-10, -0x1.8d8df244eee81p-10, -0x1.80b8783cc134ep-10, -0x1.7449b3243475ap-10, -0x1.683e80cda0c1dp-10, -0x1.5c93d72df46cbp-10, -0x1.5146c3a581c8ap-10, -0x1.46546a482d0acp-10, -0x1.3bba052f98395p-10, -0x1.3174e3d100dbfp-10, -0x1.27826a5535996p-10, -0x1.1de011325e0dp-10, -0x1.148b63b1b4205p-10, -0x1.0b8200f3e8128p-10, -0x1.02c199cd40313p-10, -0x1.f48fe215399bap-11, -0x1.e425b570dddcp-11, -0x1.d440773f57b62p-11, -0x1.c4dc118b79e8cp-11, -0x1.b5f48ddc4cfcdp-11, -0x1.a786144b2c243p-11, -0x1.998cea7ef1814p-11, -0x1.8c0573a233548p-11, -0x1.7eec2d6141a7fp-11, -0x1.723db175f9c05p-11, -0x1.65f6b3a7f589ap-11, -0x1.5a1401350b0acp-11, -0x1.4e928012d3b29p-11, -0x1.436f2e362f8b4p-11, -0x1.38a720c80964cp-11, -0x1.2e37839c8b843p-11, -0x1.241d985ea529bp-11, -0x1.1a56b5fc6079cp-11, -0x1.10e048021a2bfp-11, -0x1.07b7cdfa0e3cap-11, -0x1.fdb5b5b18da9fp-12, -0x1.ec8e28cb04984p-12, -0x1.dbf46555df476p-12, -0x1.cbe3fed9c7777p-12, -0x1.bc58ab4125154p-12, -0x1.ad4e41d2f43cp-12, -0x1.9ec0ba352c04dp-12, -0x1.90ac2b768b8ccp-12, -0x1.830ccb15c1a3ap-12, -0x1.75deec25910f6p-12, -0x1.691efe68567f6p-12, -0x1.5cc98d6f2708ep-12, -0x1.50db3fc8a3008p-12, -0x1.4550d631c307cp-12, -0x1.3a272ac0f998ap-12, -0x1.2f5b32e286884p-12, -0x1.24e9f1603f075p-12, -0x1.1ad090cac2fa8p-12, -0x1.110c45d3ae4a2p-12, -0x1.079a5f0c4cacfp-12, -0x1.fcf07fc52fc4ap-13, -0x1.eb46c08f9097ep-13, -0x1.da3298320923p-13, -0x1.c9af450ed1a97p-13, -0x1.b9b82b0908059p-13, -0x1.aa48d2544e607p-13, -0x1.9b5ce685ff558p-13, -0x1.8cf0355a9fc8ep-13, -0x1.7efeadc33d42p-13, -0x1.71845ee3c9cd8p-13, -0x1.647d771c1f409p-13, -0x1.57e643153ef37p-13, -0x1.4bbb2ccbf18cbp-13, -0x1.3ff8bad05e3bdp-13, -0x1.349b8f4557195p-13, -0x1.29a06f8e728b7p-13, -0x1.1f0421f84cc01p-13, -0x1.14c39ed1326a2p-13, -0x1.0adbeeac142f5p-13, -0x1.014a31cf16d99p-13, -0x1.f0173ef784419p-14, -0x1.de3b0a794557ep-14, -0x1.ccfa8c7068196p-14, -0x1.bc50b5117de45p-14, -0x1.ac389d3192c8ep-14, -0x1.9cad84fb2ae31p-14, -0x1.8daad2370fd3ap-14, -0x1.7f2c0923a2d67p-14, -0x1.712cf2ed48b6fp-14, -0x1.63a947afd632ep-14, -0x1.569d0305f475fp-14, -0x1.4a043a1c7297bp-14, -0x1.3ddb2161adaa5p-14, -0x1.321e0bf604cbfp-14, -0x1.26c96ac48ce7ep-14, -0x1.1bd9cb9c1782ap-14, -0x1.114bd8531ae9ep-14, -0x1.071c55be94f54p-14, -0x1.fa90466da9111p-15, -0x1.e79872eb07f95p-15, -0x1.d54b53d902c8dp-15, -0x1.c3a33c03662d8p-15, -0x1.b29aac9f829c7p-15, -0x1.a22c53dd4b5eep-15, -0x1.92530b8359e41p-15, -0x1.8309d79262a32p-15, -0x1.744be5415b563p-15, -0x1.661488ab4064p-15, -0x1.585f3ceaacadcp-15, -0x1.4b27a2a125cd6p-15, -0x1.3e697dedd1c75p-15, -0x1.3220b61735b66p-15, -0x1.2649544182ef5p-15, -0x1.1adf825d3b30bp-15, -0x1.0fdf8a2117d8ap-15, -0x1.0545d40bb1362p-15, -0x1.f61dccd993b64p-16, -0x1.e26ec8ebb21b4p-16, -0x1.cf781aa3bc265p-16, -0x1.bd337686604bep-16, -0x1.ab9ac591d21a9p-16, -0x1.9aa8237781989p-16, -0x1.8a55dc1991128p-16, -0x1.7a9e980776fe6p-16, -0x1.6b7c82d3bdf74p-16, -0x1.5ceafa5f75df7p-16, -0x1.4ee4cc63398c3p-16, -0x1.4165293ee745bp-16, -0x1.346766e3a13f4p-16, -0x1.27e7023428ba4p-16, -0x1.1bdf9e15f7dcap-16, -0x1.104d02411f76p-16, -0x1.052b1a1c85241p-16, -0x1.f4ebe73135d2cp-17, -0x1.e0537c0b6103fp-17, -0x1.cc85925273addp-17, -0x1.b97b083a66eb8p-17, -0x1.a72cf8808a08bp-17, -0x1.9594b8b087b49p-17, -0x1.84abd72491ebap-17, -0x1.746c1939e5b56p-17, -0x1.64cf798fa3662p-17, -0x1.55d0264128d67p-17, -0x1.47687f4f4066fp-17, -0x1.399314ee9c0e9p-17, -0x1.2c4aa598b36f4p-17, -0x1.1f8a1cfb00fffp-17, -0x1.134ca47cda8p-17, -0x1.078d4fba76f57p-17, -0x1.f88f757e71bfep-18, -0x1.e2eec67662a46p-18, -0x1.ce30089a8fba5p-18, -0x1.ba4af9135bfe2p-18, -0x1.a7379c378f418p-18, -0x1.94ee3bb1b4a31p-18, -0x1.8367644fbf739p-18, -0x1.729be3d73c446p-18, -0x1.6284c6e649608p-18, -0x1.531b56e3b51f2p-18, -0x1.445917f5986b8p-18, -0x1.3637c709d6b8ep-18, -0x1.28b156f1f5f42p-18, -0x1.1bbfe7b408ca6p-18, -0x1.0f5e3a6530c67p-18, -0x1.0385efa50fe16p-18, -0x1.f0655b7a1bfa8p-19, -0x1.dabe0d52258a1p-19, -0x1.c60c3813cf3bfp-19, -0x1.b2466940c1ee6p-19, -0x1.9f638125a7c42p-19, -0x1.8d5ab135478e4p-19, -0x1.7c23798c5b245p-19, -0x1.6bb5a68c7fa56p-19, -0x1.5c094d29d445ep-19, -0x1.4d16cb3d630bdp-19, -0x1.3ed6c20eda507p-19, -0x1.314215ea5f795p-19, -0x1.2451eb374324cp-19, -0x1.17ffa49c8fd1p-19, -0x1.0c44e0d7339bcp-19, -0x1.011b78add69b8p-19, -0x1.ecfafa3381e25p-20, -0x1.d8ca6a5872bdbp-20, -0x1.c59a391ce71d8p-20, -0x1.b35fc32d5f55p-20, -0x1.a210c72957b8p-20, -0x1.91a3620e52dep-20, -0x1.820e0c10bdf5cp-20, -0x1.734793b586a06p-20, -0x1.6547159220f1ap-20, -0x1.58046093602d6p-20, -0x1.4b76c12a7ab93p-20, -0x1.3f96655d7d99cp-20, -0x1.345be7a8b4a94p-20, -0x1.29bfd4669c9e7p-20, -0x1.1fbb190868cc4p-20, -0x1.1646e72fc28dep-20, -0x1.0d5cb145f3dd7p-20, -0x1.04f62859306c3p-20, -0x1.fa1a7402120d2p-21, -0x1.eb381c9b00a83p-21, -0x1.dd3a0b6766dd1p-21, -0x1.d0156df82ec2bp-21, -0x1.c3bfd6f2fa727p-21, -0x1.b82f21b61676bp-21, -0x1.ad5b88d938f83p-21, -0x1.a33718e56d551p-21, -0x1.99bd896e678fcp-21, -0x1.90e4b5dda35d1p-21, -0x1.88a44c2904a12p-21, -0x1.80f47a52d1c4ap-21, -0x1.79cdae984f87cp-21, -0x1.7328a1d50a53ep-21, -0x1.6cfe56b78b969p-21, -0x1.674815e33bf66p-21, -0x1.61ff72524b851p-21, -0x1.5d1e3a851132p-21, -0x1.589e8292402a9p-21, -0x1.547a9b171cc0cp-21, -0x1.50ad10cc45bdp-21, -0x1.4d30aa5d6075fp-21, -0x1.4a006684deb1dp-21, -0x1.471779e30868ep-21, -0x1.44714d07152ddp-21, -0x1.42097ada15a7ep-21, -0x1.3fdbce5d4f533p-21, -0x1.3de441901ef6ap-21, -0x1.3c1efb604b984p-21, -0x1.3a884e26c375ep-21, -0x1.391cb618c5c0dp-21, -0x1.37d8d7f6e2a7p-21, -0x1.36b97ee8a5233p-21, -0x1.35bb9bedf7092p-21, -0x1.34dc447989e6ap-21, -0x1.3418b1840fb4fp-21, -0x1.336e3d7b863d9p-21, -0x1.32da5fb3fc993p-21, -0x1.325aafd3c64a3p-21, -0x1.31ece7022e8ccp-21, -0x1.318eda1ac5664p-21, -0x1.313e78c72c0fep-21, -0x1.30f9cd82ea19bp-21, -0x1.30befcb5d453p-21, -0x1.308c43aa087c6p-21, -0x1.305ff77bbc50fp-21, -0x1.3038846722b5ap-21, -0x1.30146c28eba53p-21, -0x1.2ff243e38bf2ep-21, -0x1.2fd0aa90741c7p-21, -0x1.2fae7ab070027p-21, -0x1.2f8b796a65c9ap-21, -0x1.2f63957f964a8p-21, -0x1.2f38f70e6a7e5p-21, -0x1.2f094c3bf62bep-21, -0x1.2ed3c48c2c796p-21, -0x1.2e978dfee5b23p-21, -0x1.2e53df205a855p-21, -0x1.2e07fdbeece02p-21, -0x1.2db33a9de4442p-21, -0x1.2d54f5287b90cp-21, -0x1.2cec98d423cp-21, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.1022efe80bb9cp-3, -0x1.bda8199ed7bebp-5, 0x1.1d161f77916a5p-8, 0x1.67ac27bce7734p-5, 0x1.0c96141aa94b8p-4, 0x1.23a7f513b01bfp-4, 0x1.02016cc3a9332p-4, 0x1.628a215a8ddbcp-5, 0x1.da0e72c541f3fp-7, -0x1.59da542acafa3p-6, -0x1.f5cb183d5a587p-5, -0x1.a9d532833ba1ap-4, -0x1.2df88d18152acp-3, -0x1.856ac5ca0c0e3p-3, -0x1.d88e50aba5b32p-3, -0x1.1297f6c1c0e42p-2, -0x1.34ca48fe6a65bp-2, -0x1.5236f74871dd5p-2, -0x1.6a683e2588542p-2, -0x1.7d15f9ed1c737p-2, -0x1.8a217dbe7d08ep-2, -0x1.918f378970978p-2, -0x1.938274371ccd7p-2, -0x1.903414e1e4dfcp-2, -0x1.87ef285235d4ap-2, -0x1.7b0d57870bd35p-2, -0x1.69f41facba5b9p-2, -0x1.5511a94c0044p-2, -0x1.3cd91013274bap-2, -0x1.21bea6d89df87p-2, -0x1.0434ed29e7351p-2, -0x1.c95532a40b054p-3, -0x1.87134994b2ca4p-3, -0x1.426de4a12fc4bp-3, -0x1.f84837f50ea7fp-4, -0x1.69d2c5e2bc1d3p-4, -0x1.b590297ee43d7p-5, -0x1.315d3a1ede00fp-6, 0x1.01c0d68b13e0bp-6, 0x1.953f8cc133cfp-5, 0x1.51687c48aa18ap-4, 0x1.d419032d801eap-4, 0x1.290d55c44c477p-3, 0x1.65773c87db654p-3, 0x1.9f155f410a9ap-3, 0x1.d5bcc0416d239p-3, 0x1.04a5e04f3f271p-2, 0x1.1cd4e8dac4aecp-2, 0x1.336391d76d6fbp-2, 0x1.484e182bed6bap-2, 0x1.5b948813acedfp-2, 0x1.6d3a4c6f48f9bp-2, 0x1.7d45a868f24fp-2, 0x1.8bbf27b24ecbp-2, 0x1.98b114cff4dc2p-2, 0x1.a42704d9e5b9ap-2, 0x1.ae2d81eb6481bp-2, 0x1.b6d1d5918eab6p-2, 0x1.be21ebb071efp-2, 0x1.c42c4225da8a4p-2, 0x1.c8ffd9d186842p-2, 0x1.ccac21ad0c2c4p-2, 0x1.cf40d985ddabap-2, 0x1.d0c6e8d2ce454p-2, 0x1.d15d97ec1e1eep-2, 0x1.d10d6494e74f3p-2, 0x1.cfe565209f699p-2, 0x1.cdf439060aca6p-2, 0x1.cb480867abf2ap-2, 0x1.c7ee861a9c0d5p-2, 0x1.c3f4f1a0f73b6p-2, 0x1.bf6817c914cafp-2, 0x1.ba54518ffa677p-2, 0x1.b4c5814a2f1b8p-2, 0x1.aec70e4031ab8p-2, 0x1.a863df169cf58p-2, 0x1.a1a653a59aa62p-2, 0x1.9a983f3540ee8p-2, 0x1.9342e433c04efp-2, 0x1.8baef256ed1d3p-2, 0x1.83e487a7ed7b3p-2, 0x1.7beb346a981a2p-2, 0x1.73ca0159c427fp-2, 0x1.6b8777607b3f3p-2, 0x1.6329a8149d57cp-2, 0x1.5ab6364015619p-2, 0x1.52325e24bdf47p-2, 0x1.49a2fd3f69219p-2, 0x1.410c997665cbfp-2, 0x1.38736792b0804p-2, 0x1.2fdb50e180e6ep-2, 0x1.2747f7e065a33p-2, 0x1.1ebcbbe1cd5e8p-2, 0x1.163cbbbb0456ep-2, 0x1.0dcad7a43245dp-2, 0x1.0569b29372bf9p-2, 0x1.fa3766c1b4a11p-3, 0x1.e9c60bfcbcbp-3, 0x1.d98339facc823p-3, 0x1.c972670f0b705p-3, 0x1.b9969fb2eab12p-3, 0x1.a9f28c7e0537bp-3, 0x1.9a8878ff2a202p-3, 0x1.8b5a5b47f4e37p-3, 0x1.7c69dc0b1f803p-3, 0x1.6db85e9af8e61p-3, 0x1.5f47094690ee8p-3, 0x1.5116ccfff26abp-3, 0x1.43286c89e2927p-3, 0x1.357c82d0167dbp-3, 0x1.28138848a2324p-3, 0x1.1aedd7591c9fcp-3, 0x1.0e0bafaf6be0bp-3, 0x1.016d38cff670fp-3, 0x1.ea2506e9bb719p-4, 0x1.d1f715680efep-4, 0x1.ba50688713238p-4, 0x1.a330a110e031p-4, 0x1.8c9734d5ad71ep-4, 0x1.76836e5b1965bp-4, 0x1.60f46ccca5f6bp-4, 0x1.4be9247aaf181p-4, 0x1.376060122ce4ap-4, 0x1.2358c2b230dc7p-4, 0x1.0fd0cad9e811bp-4, 0x1.f98dac3b7ee1bp-5, 0x1.d4724b0a1d2bap-5, 0x1.b04bc4a9134e1p-5, 0x1.8d1645f533882p-5, 0x1.6acde057458bdp-5, 0x1.496e92e990e16p-5, 0x1.28f4534bb4ff2p-5, 0x1.095b151f8234ep-5, 0x1.d53da0c8c2039p-6, 0x1.99770cedbe59bp-6, 0x1.5f5a8b809d0acp-6, 0x1.26e0583bd4ca6p-6, 0x1.e001a097bc2d6p-7, 0x1.7568e56fa8c23p-7, 0x1.0de7be3039ccap-7, 0x1.52df4bd7be1f8p-8, 0x1.1fc93067de4eep-9, -0x1.69e735afe247p-11, -0x1.c94265655129dp-9, -0x1.9664181053a03p-8, -0x1.21509e171fc6dp-7, -0x1.74ba15418603p-7, -0x1.c571135c2da35p-7, -0x1.09c9d0225c731p-6, -0x1.2f9580d7d19eap-6, -0x1.54227bc727d5bp-6, -0x1.777796b6041f4p-6, -0x1.999b9a6624843p-6, -0x1.ba953f799b3ffp-6, -0x1.da6b2b2f26bb8p-6, -0x1.f923ec38c586dp-6, -0x1.0b62fbdee3aep-5, -0x1.19abd35e330b5p-5, -0x1.276f99df58c5dp-5, -0x1.34b15c7feaf36p-5, -0x1.4174177087347p-5, -0x1.4dbab59f0c23p-5, -0x1.598810012d99ap-5, -0x1.64deedd642fa3p-5, -0x1.6fc20483a493ap-5, -0x1.7a33f7def522ep-5, -0x1.84375a9b85c51p-5, -0x1.8dceaee2cbfdbp-5, -0x1.96fc672bf574ap-5, -0x1.9fc2e6a1f401cp-5, -0x1.a82483141ac66p-5, -0x1.b023850a215fp-5, -0x1.b7c2294f2d46bp-5, -0x1.bf02a1e5016acp-5, -0x1.c5e716ff5104p-5, -0x1.cc71a7f8c0a82p-5, -0x1.d2a46bae166a7p-5, -0x1.d88171dec9294p-5, -0x1.de0ac2ca19877p-5, -0x1.e3425feec8f4bp-5, -0x1.e82a43d51e4fbp-5, -0x1.ecc46238e58a6p-5, -0x1.f112a7bf3766p-5, -0x1.f516f9b85c397p-5, -0x1.f8d335cbb191ep-5, -0x1.fc49319f24a5ep-5, -0x1.ff7aba7de43b9p-5, -0x1.0134ca827f264p-4, -0x1.028bbe721205ep-4, -0x1.03c3124f05599p-4, -0x1.04db9ab68e8a6p-4, -0x1.05d6279722cd2p-4, -0x1.06b384318201cp-4, -0x1.0774772c7a91p-4, -0x1.0819c26e2e773p-4, -0x1.08a423a439427p-4, -0x1.091453efe374bp-4, -0x1.096b083fe7b71p-4, -0x1.09a8f16a2a334p-4, -0x1.09cebc53b32e4p-4, -0x1.09dd121934cb2p-4, -0x1.09d4983918ef2p-4, -0x1.09b5f0bdbdc3bp-4, -0x1.0981ba66f10fap-4, -0x1.093890d42ed5bp-4, -0x1.08db0ca9fe07p-4, -0x1.0869c3ba447c2p-4, -0x1.07e54926e4d8ap-4, -0x1.074e2d835ca3ep-4, -0x1.06a4fef33ae6dp-4, -0x1.05ea49456926p-4, -0x1.051e960bf7348p-4, -0x1.04426cb0640fep-4, -0x1.0356528475b91p-4, -0x1.025acac58b6eep-4, -0x1.015056d09c479p-4, -0x1.003775d66155ep-4, -0x1.fe214a5dabd8fp-5, -0x1.fbb8c06325052p-5, -0x1.f9364078e0911p-5, -0x1.f69ab96020724p-5, -0x1.f3e715d8032b9p-5, -0x1.f11c3c9283fefp-5, -0x1.ee3b102b95cbbp-5, -0x1.eb446f1f203ap-5, -0x1.e83933c15eff6p-5, -0x1.e51a3438b2387p-5, -0x1.e1e84279cdb18p-5, -0x1.dea42c46cbc18p-5, -0x1.db4ebb300fe0dp-5, -0x1.d7e8b49ac2a8bp-5, -0x1.d472d9c57ba19p-5, -0x1.d0ede7d3340cap-5, -0x1.cd5a97d6f264ep-5, -0x1.c9b99ee1af294p-5, -0x1.c60bae11f3908p-5, -0x1.c25172a4e6287p-5, -0x1.be8b960973e39p-5, -0x1.bababded9fb43p-5, -0x1.b6df8c5ae6efep-5, -0x1.b2fa9fc53c0dep-5, -0x1.af0c931d0fe5fp-5, -0x1.ab15fde53a141p-5, -0x1.a7177445f4fcap-5, -0x1.a311871fc021cp-5, -0x1.9f04c41d21f57p-5, -0x1.9af1b5c579ff7p-5, -0x1.96d8e38cbfeffp-5, -0x1.92bad1e439b11p-5, -0x1.8e980249b35ep-5, -0x1.8a70f3559b4a1p-5, -0x1.864620c89ea9dp-5, -0x1.8218039800132p-5, -0x1.7de711f917b7bp-5, -0x1.79b3bf6bfdb3fp-5, -0x1.757e7cc32a703p-5, -0x1.7147b833bf45bp-5, -0x1.6d0fdd4ff478fp-5, -0x1.68d7551b3b624p-5, -0x1.649e860a1a8a7p-5, -0x1.6065d409a15d1p-5, -0x1.5c2da084c1e2ep-5, -0x1.57f64a695a9d8p-5, -0x1.53c02e2d0763ep-5, -0x1.4f8ba5d17827ap-5, -0x1.4b5908e96eda2p-5, -0x1.4728ac98a9428p-5, -0x1.42fae3a3fcf3p-5, -0x1.3ecffe68d66ep-5, -0x1.3aa84ae8a9e4cp-5, -0x1.368414ccdd44fp-5, -0x1.3263a56c0139ep-5, -0x1.2e4743cfdf0bdp-5, -0x1.2a2f34b8eeeb5p-5, -0x1.261bbaa97fdb7p-5, -0x1.220d15e74c50cp-5, -0x1.1e038484d96a1p-5, -0x1.19ff42680fca1p-5, -0x1.16008951c5ce6p-5, -0x1.120790e54262cp-5, -0x1.0e148eb044d3fp-5, -0x1.0a27b633183ebp-5, -0x1.064138e8d407ep-5, -0x1.0261464fc9b81p-5, -0x1.fd1017e4190cfp-6, -0x1.f56b6adc19e34p-6, -0x1.edd4d8fe95b9ep-6, -0x1.e64cb20e2cea8p-6, -0x1.ded3422a6cafep-6, -0x1.d768d1e170991p-6, -0x1.d00da64149952p-6, -0x1.c8c200e958545p-6, -0x1.c186201b98e1ap-6, -0x1.ba5a3ece1b466p-6, -0x1.b33e94aa5f945p-6, -0x1.ac335672c1da7p-6, -0x1.a538b56684538p-6, -0x1.9e4ee009b008p-6, -0x1.977601cdf0816p-6, -0x1.90ae433de96bfp-6, -0x1.89f7ca0b529e4p-6, -0x1.8352b91e7f3a2p-6, -0x1.7cbf30a5d8238p-6, -0x1.763d4e2544dffp-6, -0x1.6fcd2c83c9a76p-6, -0x1.696ee41dc9fd1p-6, -0x1.63228acff95c8p-6, -0x1.5ce83407e3e75p-6, -0x1.56bff0d1c4c28p-6, -0x1.50a9cfe6a9266p-6, -0x1.4aa5ddba7fbbap-6, -0x1.44b42489f81dap-6, -0x1.3ed4ac67fba03p-6, -0x1.39077b4b8514ep-6, -0x1.334c8ee723dbdp-6, -0x1.2da3ed924b63dp-6, -0x1.280d9aa71fdbap-6, -0x1.2289942242e77p-6, -0x1.1d17d6222312bp-6, -0x1.17b85af49223cp-6, -0x1.126b1b243de18p-6, -0x1.0d300d860b4b3p-6, -0x1.080727465008ep-6, -0x1.02f05bf5efb69p-6, -0x1.fbd73b2ec8253p-7, -0x1.f1f1b958ea317p-7, -0x1.e8301099634d7p-7, -0x1.de921bdf852a2p-7, -0x1.d517b41112687p-7, -0x1.cbc0af0140508p-7, -0x1.c28ce01399edfp-7, -0x1.b97c183caffcp-7, -0x1.b08e261809ba8p-7, -0x1.a7c2d5fef6f1bp-7, -0x1.9f19f21f29a9ap-7, -0x1.9693429197a8fp-7, -0x1.8e2e8d6d10ca9p-7, -0x1.85eb96e1b63c1p-7, -0x1.7dca214962195p-7, -0x1.75c9ed3d7c1bep-7, -0x1.6deab9ac07dap-7, -0x1.662c43eb61402p-7, -0x1.5e8e47cdef313p-7, -0x1.57107fb579431p-7, -0x1.4fb2a4a6198eep-7, -0x1.48746e58ad073p-7, -0x1.4155934dce49cp-7, -0x1.3a55c8de7db06p-7, -0x1.3374c34ea1d5ep-7, -0x1.2cb235dde58dbp-7, -0x1.260dd2d87cce2p-7, -0x1.1f874ba7aab22p-7, -0x1.191e50e1ddecfp-7, -0x1.12d2925a75485p-7, -0x1.0ca3bf312a9fep-7, -0x1.069185e1272b2p-7, -0x1.009b944fbe44fp-7, -0x1.f5832fb5a19a8p-8, -0x1.ea067acdb8331p-8, -0x1.dec062d963d69p-8, -0x1.d3b0400de26b9p-8, -0x1.c8d569ffd75bfp-8, -0x1.be2f37672ec81p-8, -0x1.b3bcffc7f1d44p-8, -0x1.a97e186bbead4p-8, -0x1.9f71d7b353dd2p-8, -0x1.9597936db343dp-8, -0x1.8beea15b4ca61p-8, -0x1.8276573e9f44bp-8, -0x1.792e0af0847b2p-8, -0x1.7015127456e77p-8, -0x1.672ac40b89745p-8, -0x1.5e6e76489e3a4p-8, -0x1.55df8020be198p-8, -0x1.4d7d38fed041cp-8, -0x1.4546f8d43be01p-8, -0x1.3d3c1828727ccp-8, -0x1.355bf029ae009p-8, -0x1.2da5dabc41a6bp-8, -0x1.261932893fcc7p-8, -0x1.1eb5530cc00c8p-8, -0x1.177998a38381cp-8, -0x1.106560980f659p-8, -0x1.0978092f3d7a1p-8, -0x1.02b0f1b4548b9p-8, -0x1.f81ef50837798p-9, -0x1.eb260a3658e9ep-9, -0x1.de75e823ee4eap-9, -0x1.d20d568e1c84cp-9, -0x1.c5eb1f83b2e25p-9, -0x1.ba0e0fa884ae8p-9, -0x1.ae74f638b2bd8p-9, -0x1.a31ea5192f31cp-9, -0x1.9809f0e74b3acp-9, -0x1.8d35b1071dd73p-9, -0x1.82a0bfb1222e8p-9, -0x1.7849f9fef1eb8p-9, -0x1.6e303ff72b5bcp-9, -0x1.6452749898b78p-9, -0x1.5aaf7de495c2dp-9, -0x1.514644e991936p-9, -0x1.4815b5d2a822p-9, -0x1.3f1cbf7c24bc2p-9, -0x1.365a5530b69cp-9, -0x1.2dcd6b9eacb02p-9, -0x1.2574fbdc2cccfp-9, -0x1.1d5001d75ddcap-9, -0x1.155d7cbf6afc3p-9, -0x1.0d9c6f033f38dp-9, -0x1.060bde547bdb2p-9, -0x1.fd55a754a99a1p-10, -0x1.eef0b688aab5ap-10, -0x1.e0e70952660acp-10, -0x1.d336c55e0de26p-10, -0x1.c5de16e7991a1p-10, -0x1.b8db30c69fb16p-10, -0x1.ac2c4c695f25p-10, -0x1.9fcfa9d42b716p-10, -0x1.93c38f9f7d6ccp-10, -0x1.88064af4bdffap-10, -0x1.7c962f8a3ed12p-10, -0x1.7171979eb29a7p-10, -0x1.6696e3f35b955p-10, -0x1.5c047bc6368b3p-10, -0x1.51b8cccabfd9fp-10, -0x1.47b24b22838ecp-10, -0x1.3def7154c6b1p-10, -0x1.346ec0455500cp-10, -0x1.2b2ebf29b2a09p-10, -0x1.222dfb8f2cb35p-10, -0x1.196b09277778ap-10, -0x1.10e481d9b5c8ep-10, -0x1.089905dafcd98p-10, -0x1.00873b588390ap-10, -0x1.f15b9d3052e7ep-11, -0x1.e216e3c62709p-11, -0x1.d33dbaef79711p-11, -0x1.c4cd9ef83898p-11, -0x1.b6c417df82bedp-11, -0x1.a91eb93adf9f9p-11, -0x1.9bdb2218eae66p-11, -0x1.8ef6fce3e85f9p-11, -0x1.826fff450996bp-11, -0x1.7643ea12e0259p-11, -0x1.6a708817f1592p-11, -0x1.5ef3b266d9bc3p-11, -0x1.53cb47fd4bc89p-11, -0x1.48f535ad1c68fp-11, -0x1.3e6f71fe254edp-11, -0x1.3437fdbf45a49p-11, -0x1.2a4ce401fa935p-11, -0x1.20ac39f25aec8p-11, -0x1.17541eb4f74eap-11, -0x1.0e42bb3ecc92bp-11, -0x1.0576424858219p-11, -0x1.f9d9e00c42683p-12, -0x1.e94a1457ba56cp-12, -0x1.d939bf6a01716p-12, -0x1.c9a591912e5bdp-12, -0x1.ba8a4d2cad3d2p-12, -0x1.abe4c66883bc5p-12, -0x1.9db1e2f92bdb4p-12, -0x1.8fee99d6e9f72p-12, -0x1.8297f2f98c2aap-12, -0x1.75ab0714f3734p-12, -0x1.6924ff541eef1p-12, -0x1.5d03151651bbap-12, -0x1.514291ab8afe1p-12, -0x1.45e0ce117b92p-12, -0x1.3adb32b0d1bcfp-12, -0x1.302f371ad2cb7p-12, -0x1.25da61c788d95p-12, -0x1.1bda47d3fda92p-12, -0x1.122c8cc18f68ep-12, -0x1.08cee235ac98ap-12, -0x1.ff7e0f6f35609p-13, -0x1.edf594e1d63f6p-13, -0x1.dd0009e250065p-13, -0x1.cc993ddcfba86p-13, -0x1.bcbd1a0b76a27p-13, -0x1.ad67a0faccd9bp-13, -0x1.9e94ee121a467p-13, -0x1.90413519dd29p-13, -0x1.8268c1c4b0889p-13, -0x1.7507f7380063ep-13, -0x1.681b4f992afd2p-13, -0x1.5b9f5b9c99a5ep-13, -0x1.4f90c22548cf3p-13, -0x1.43ec3f62d4b44p-13, -0x1.38aea30202ebcp-13, -0x1.2dd4d99e0b9eap-13, -0x1.235bd75c17a7dp-13, -0x1.1940adbc5a464p-13, -0x1.0f807ec879264p-13, -0x1.06187fcb94666p-13, -0x1.fa0bf18d2535dp-14, -0x1.e88c8842eb378p-14, -0x1.d7ad9c234987dp-14, -0x1.c76a28ccddd08p-14, -0x1.b7bd4c17d079dp-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.9743b3a7ab9cbp-1, -0x1.87c0081a2a7dap-1, -0x1.76e169518e01ap-1, -0x1.659601cfe9ccp-1, -0x1.549b4c68f207p-1, -0x1.44820503ed3adp-1, -0x1.35b2ccd9d36d2p-1, -0x1.2873acae620dbp-1, -0x1.1ced2df66c028p-1, -0x1.132fc5e0faaap-1, -0x1.0b3897ce8896ap-1, -0x1.04f5ae95165a9p-1, -0x1.0049c7147de8fp-1, -0x1.fa1f48e7d4d25p-2, -0x1.f639ccd88e265p-2, -0x1.f488936b350a2p-2, -0x1.f4aee7ae7ac2ap-2, -0x1.f650e44225596p-2, -0x1.f915e0d0f7433p-2, -0x1.fcaa42514105cp-2, -0x1.006056517824p-1, -0x1.02895cb4d97c6p-1, -0x1.04b0bd0894c16p-1, -0x1.06bac45fb70e3p-1, -0x1.088f9d313a32dp-1, -0x1.0a1b3a6c76182p-1, -0x1.0b4d2bbfa2bcep-1, -0x1.0c185cb27a2f3p-1, -0x1.0c72cc350ce1fp-1, -0x1.0c5546a7baf4dp-1, -0x1.0bbb23d52f144p-1, -0x1.0aa204a871da2p-1, -0x1.09099134f328ap-1, -0x1.06f336ba99605p-1, -0x1.0461e4c2a3265p-1, -0x1.0159caae8320fp-1, -0x1.fbc0338138b1dp-2, -0x1.f3f59fef0d05ep-2, -0x1.eb611644c321p-2, -0x1.e210c4621b4a8p-2, -0x1.d813856eae09bp-2, -0x1.cd78a3fd10539p-2, -0x1.c24fa2ae1dc57p-2, -0x1.b6a809e4262a1p-2, -0x1.aa9139f4c2834p-2, -0x1.9e1a42acd2d49p-2, -0x1.9151c1fe93e5ep-2, -0x1.8445ca81a5772p-2, -0x1.7703d17bd9233p-2, -0x1.6998a2582b43fp-2, -0x1.5c1056a2e719dp-2, -0x1.4e7650cc78efep-2, -0x1.40d539a88cf18p-2, -0x1.3336ff7d55bc8p-2, -0x1.25a4d69b4a912p-2, -0x1.18273a4bd7237p-2, -0x1.0ac5efab3f7e1p-2, -0x1.fb10122c93628p-3, -0x1.e0e7d62dcdd49p-3, -0x1.c71ea4e2bac25p-3, -0x1.adbeb6a103585p-3, -0x1.94d1128df3395p-3, -0x1.7c5da057e31ccp-3, -0x1.646b5870b6ac5p-3, -0x1.4cff9d6d855cdp-3, -0x1.361fcbf67771fp-3, -0x1.1fd00e0144fc7p-3, -0x1.0a13c4e7df5fep-3, -0x1.e9db2e989a256p-4, -0x1.c0befc89f30a3p-4, -0x1.98d5a553fe82cp-4, -0x1.7220b51737899p-4, -0x1.4ca0add0a249bp-4, -0x1.285522319fc35p-4, -0x1.053ccef343011p-4, -0x1.c6ab642b74535p-5, -0x1.853a3f9b59f1ep-5, -0x1.461faae2ea1d2p-5, -0x1.095415d90384cp-5, -0x1.9d9e0a153616dp-6, -0x1.2d0e5eef07fefp-6, -0x1.81ca65522b6e4p-7, -0x1.643568b62cbcp-8, 0x1.51ebd46198109p-11, 0x1.a8202a283b367p-8, 0x1.8ae8ecc56c4c3p-7, 0x1.1ced06319ec9ep-6, 0x1.708a93186434fp-6, 0x1.c0664d0a4cf4bp-6, 0x1.064cce2c884b1p-5, 0x1.2a9f03c6043ebp-5, 0x1.4d368d83c9a02p-5, 0x1.6e2029d4c0eddp-5, 0x1.8d6886143ff4ap-5, 0x1.ab1c369f1dbbp-5, 0x1.c747afe5cd8d9p-5, 0x1.e1f740809e63cp-5, 0x1.fb370c3e426a9p-5, 0x1.098983efcc84ap-4, 0x1.14cb7ad5a24a8p-4, 0x1.1f6731332460dp-4, 0x1.2962517927845p-4, 0x1.32c26925177c4p-4, 0x1.3b8ce810325eep-4, 0x1.43c71ebf32521p-4, 0x1.4b763fb3ba852p-4, 0x1.529f5cfe34345p-4, 0x1.594768cc5cf26p-4, 0x1.5f7334ea3a662p-4, 0x1.652772a52ecc2p-4, 0x1.6a68b29a1c996p-4, 0x1.6f3b64df1912p-4, 0x1.73a3d94e83443p-4, 0x1.77a63eae7b3aep-4, 0x1.7b46a52f9457bp-4, 0x1.7e88fca64e354p-4, 0x1.817116123cf53p-4, 0x1.8402a3f58b516p-4, 0x1.86413ad6a6e31p-4, 0x1.883051e3b75f9p-4, 0x1.89d343940611p-4, 0x1.8b2d4e47a568ep-4, 0x1.8c4194fa09dcdp-4, 0x1.8d131fe6bd712p-4, 0x1.8da4dd33b92bbp-4, 0x1.8df9a1aa238ebp-4, 0x1.8e14294c945fcp-4, 0x1.8df7181923c21p-4, 0x1.8da4fa7f4c337p-4, 0x1.8d20465b4cb2ep-4, 0x1.8c6b5b421b48fp-4, 0x1.8b88835564656p-4, 0x1.8a79f3d496b32p-4, 0x1.8941cdbc179d6p-4, 0x1.87e21e607af55p-4, 0x1.865ce0060d69p-4, 0x1.84b3fa7f17d85p-4, 0x1.82e943b3c5a3dp-4, 0x1.80fe8039e0927p-4, 0x1.7ef563e1b803ap-4, 0x1.7ccf9244005a8p-4, 0x1.7a8e9f381ff0cp-4, 0x1.78340f7d3b56ap-4, 0x1.75c15916df27bp-4, 0x1.7337e3d491072p-4, 0x1.709909dcecb79p-4, 0x1.6de6180dca63bp-4, 0x1.6b205c94cb15fp-4, 0x1.6848eee0fff19p-4, 0x1.6561046623bf8p-4, 0x1.6269b9733a165p-4, 0x1.5f641f3af23a4p-4, 0x1.5c513c38fd9b9p-4, 0x1.59320c8f76153p-4, 0x1.56078263104dbp-4, 0x1.52d2863ae2d3bp-4, 0x1.4f93f74f677fdp-4, 0x1.4c4cabe763eafp-4, 0x1.48fd71a1f0c96p-4, 0x1.45a70dcb2ca3dp-4, 0x1.424a3dafee6b5p-4, 0x1.3ee7b6b864dd1p-4, 0x1.3b80270f205cfp-4, 0x1.381435848d258p-4, 0x1.34a482046c114p-4, 0x1.3131a5cac6ca9p-4, 0x1.2dbc33a2aede6p-4, 0x1.2a44b82283506p-4, 0x1.26cbba1d0a003p-4, 0x1.2351b9c170e03p-4, 0x1.1fd733023d48cp-4, 0x1.1c5c9b98f9b0bp-4, 0x1.18e2644e00c17p-4, 0x1.1568f8f1fcc47p-4, 0x1.11f0c08b0f769p-4, 0x1.0e7a1d7014dap-4, 0x1.0b056dcace27bp-4, 0x1.07930b0ff22dcp-4, 0x1.04234adba3549p-4, 0x1.00b67ea6d996ep-4, 0x1.fa99e85f6efbap-5, 0x1.f3cdead3371ccp-5, 0x1.ed09917160a0bp-5, 0x1.e64d621c8104bp-5, 0x1.df99dc0e24319p-5, 0x1.d8ef78175b496p-5, 0x1.d24ea8db22d87p-5, 0x1.cbb7dafc6bd6ep-5, 0x1.c52b757d0b9d5p-5, 0x1.bea9d9b1aab51p-5, 0x1.b83363b05db52p-5, 0x1.b1c86a669725ep-5, 0x1.ab693fce42bebp-5, 0x1.a51630f5ed3d5p-5, 0x1.9ecf86f518b62p-5, 0x1.989585835210cp-5, 0x1.92686cb69e8ebp-5, 0x1.8c4878629464fp-5, 0x1.8635e0671d238p-5, 0x1.8030d8d3bbc71p-5, 0x1.7a39920da73cep-5, 0x1.745038f18dc78p-5, 0x1.6e74f6f5190e2p-5, 0x1.68a7f24508e5dp-5, 0x1.62e94decfde5ap-5, 0x1.5d3929e3ffc0ap-5, 0x1.5797a33b06b3fp-5, 0x1.5204d42ef6b2p-5, 0x1.4c80d445859afp-5, 0x1.470bb866f12dp-5, 0x1.41a592f73f176p-5, 0x1.3c4e73ed187d6p-5, 0x1.370668e9604dfp-5, 0x1.31cd7d4c5fc4fp-5, 0x1.2ca3ba6ec0739p-5, 0x1.2789271764377p-5, 0x1.227dc8c0ec1e7p-5, 0x1.1d81a280b6c8dp-5, 0x1.1894b5afe6db5p-5, 0x1.13b701deaccb2p-5, 0x1.0ee884e6d6de5p-5, 0x1.0a293afbb36dap-5, 0x1.05791ebc34e11p-5, 0x1.00d82942375f9p-5, 0x1.f88ca4647a22fp-6, 0x1.ef871f95adffp-6, 0x1.e69fade6c802ap-6, 0x1.ddd636942b178p-6, 0x1.d52a9e65990eep-6, 0x1.cc9cc7b993314p-6, 0x1.c42c92c57b45ep-6, 0x1.bbd9dd8583391p-6, 0x1.b3a483e93d4abp-6, 0x1.ab8c5fe83d3a8p-6, 0x1.a3914998ccbdcp-6, 0x1.9bb317460efeap-6, 0x1.93f19d852c696p-6, 0x1.8c4caf46610d9p-6, 0x1.84c41dfdbf997p-6, 0x1.7d57b995b5c38p-6, 0x1.76075092b5eebp-6, 0x1.6ed2b02c6f7f5p-6, 0x1.67b9a4571951ep-6, 0x1.60bbf7d5c0fe2p-6, 0x1.59d9744afba13p-6, 0x1.5311e24b2221p-6, 0x1.4c650967e7ebp-6, 0x1.45d2b04361e15p-6, 0x1.3f5a9c9ccf33ep-6, 0x1.38fc935f7ea91p-6, 0x1.32b858afcad5bp-6, 0x1.2c8daff92b962p-6, 0x1.267c5bfac96cbp-6, 0x1.20841ed42dbaap-6, 0x1.1aa4ba13c14b3p-6, 0x1.14ddee991f512p-6, 0x1.0f2f7d4ab7a9p-6, 0x1.099925dca308ep-6, 0x1.041aa823a411cp-6, 0x1.fd6786e13658bp-7, 0x1.f2c86d854b251p-7, 0x1.e85781a163527p-7, 0x1.de144024cb14cp-7, 0x1.d3fe2591a2f9ap-7, 0x1.ca14ae1072293p-7, 0x1.c057557aac1d9p-7, 0x1.b6c597925a4e4p-7, 0x1.ad5eefb411185p-7, 0x1.a422d94d6e4d5p-7, 0x1.9b10cfb8d8f85p-7, 0x1.92284e543fad3p-7, 0x1.8968d08fead12p-7, 0x1.80d1d1f87c9e5p-7, 0x1.7862ce56d552ap-7, 0x1.701b41973b421p-7, 0x1.67faa7fb36529p-7, 0x1.60007e12bd6e6p-7, 0x1.582c40cb1f517p-7, 0x1.507d6d7adb6d8p-7, 0x1.48f381eb1c3afp-7, 0x1.418dfc6289a35p-7, 0x1.3a4c5baf60aa6p-7, 0x1.332e1f30921f8p-7, 0x1.2c32c6defa148p-7, 0x1.2559d356298e3p-7, 0x1.1ea2c5dc78d2ep-7, 0x1.180d206a15801p-7, 0x1.119865b53a026p-7, 0x1.0b441935cbc7p-7, 0x1.050fbf29c362bp-7, 0x1.fdf5b941e1d3ap-8, 0x1.f209ef03a20bep-8, 0x1.e65b2d1e5c809p-8, 0x1.dae882d9b9cc1p-8, 0x1.cfb101d6010dfp-8, 0x1.c4b3bb790dc99p-8, 0x1.b9efc64f7bc0ap-8, 0x1.af643869e053fp-8, 0x1.a5102a97f5442p-8, 0x1.9af2b79a273b9p-8, 0x1.910afc372d699p-8, 0x1.87581744a13c3p-8, 0x1.7dd929adf0747p-8, 0x1.748d5679d8051p-8, 0x1.6b73c2dbae447p-8, 0x1.628b961edbc8ep-8, 0x1.59d3f9c8b1cd8p-8, 0x1.514c198e1d0eap-8, 0x1.48f3235b98d9cp-8, 0x1.40c84758dae66p-8, 0x1.38cab7ecb1905p-8, 0x1.30f9a9c2e25b2p-8, 0x1.295453c8d2d36p-8, 0x1.21d9ef36d34d2p-8, 0x1.1a89c2df6657p-8, 0x1.1362f6df1a6afp-8, 0x1.0c64d5b9a49e6p-8, 0x1.058ea1da0e554p-8, 0x1.fdbf3ff8ae8f9p-9, 0x1.f0ae2e5c88391p-9, 0x1.e3e8a19fd9abdp-9, 0x1.d76d3127ee2b9p-9, 0x1.cb3a78ff15266p-9, 0x1.bf4f19d39eaffp-9, 0x1.b3a9b8f592094p-9, 0x1.a849004648d62p-9, 0x1.9d2b9d97b51a3p-9, 0x1.925046d65594ep-9, 0x1.87b5b105eca6bp-9, 0x1.7d5a995b1d9dcp-9, 0x1.733dc0d8de949p-9, 0x1.695ded04c9376p-9, 0x1.5fb9e7ed76412p-9, 0x1.565080269be04p-9, 0x1.4d2088c3c4f18p-9, 0x1.4428d94d322a1p-9, 0x1.3b684dd510de3p-9, 0x1.32ddc6bfad967p-9, 0x1.2a8828e4d754bp-9, 0x1.22665d7f01305p-9, 0x1.1a77521fd4afbp-9, 0x1.12b9f8aae2d2p-9, 0x1.0b2d474dfa2dfp-9, 0x1.03d0387944c4cp-9, 0x1.f94395ade17a8p-10, 0x1.eb42027738e7bp-10, 0x1.dd99c56facde7p-10, 0x1.d048f4e5610fep-10, 0x1.c34daf323821cp-10, 0x1.b6a61af8daaafp-10, 0x1.aa5066d75ep-10, 0x1.9e4ac960e284cp-10, 0x1.9293810b881b1p-10, 0x1.8728d41cc1fc8p-10, 0x1.7c09109568263p-10, 0x1.71328c1d92b9ap-10, 0x1.66a3a3f02f8f6p-10, 0x1.5c5abcc66e211p-10, 0x1.525642c302eb2p-10, 0x1.4894a95c6238ap-10, 0x1.3f146b46c8447p-10, 0x1.35d40a5027b7ap-10, 0x1.2cd2121da8f39p-10, 0x1.240d0add96a1fp-10, 0x1.1b839396117aep-10, 0x1.133446c3cf11bp-10, 0x1.0b1dc90c3e1f5p-10, 0x1.033ec58f0508ap-10, 0x1.f72bdbf294faap-11, 0x1.e843f4e6fe3b9p-11, 0x1.d9c35319131d5p-11, 0x1.cba7804686349p-11, 0x1.bdee12a12b8d1p-11, 0x1.b094acaf76b71p-11, 0x1.a398fd0957b12p-11, 0x1.96f8be3303c41p-11, 0x1.8ab1b68223533p-11, 0x1.7ec1b7e319beap-11, 0x1.73269fb00b611p-11, 0x1.67de5686681f8p-11, 0x1.5ce6d01b9cacfp-11, 0x1.523e0b1162137p-11, 0x1.47e210cc264bp-11, 0x1.3dd0f5495cb88p-11, 0x1.3408d6fff16c4p-11, 0x1.2a87deb8c1fe8p-11, 0x1.214c3c3c5b294p-11, 0x1.1854347b0acb5p-11, 0x1.0f9e04d7b13b4p-11, 0x1.072801789dd1p-11, 0x1.fde1070955df4p-12, 0x1.edebdb6a67534p-12, 0x1.de6d57ec0163ap-12, 0x1.cf62666083aa3p-12, 0x1.c0c80240a1acp-12, 0x1.b29b385ba5619p-12, 0x1.a4d926890a46ap-12, 0x1.977efb5afd315p-12, 0x1.8a89f5d1a3ac5p-12, 0x1.7df7650be681fp-12, 0x1.71c4a7eef2606p-12, 0x1.65ef2c6000e46p-12, 0x1.5a747704eb393p-12, 0x1.4f520482e4744p-12, 0x1.44857feaaa2bcp-12, 0x1.3a0c8d0fd8e1dp-12, 0x1.2fe4e47b07db2p-12, 0x1.260c4c2c4977dp-12, 0x1.1c8097b3f2f8ap-12, 0x1.133fa7f8f2989p-12, 0x1.0a476af6e2c34p-12, 0x1.0195db74699d9p-12, 0x1.f25201f3705aap-13, 0x1.e1fdde1da6d3cp-13, 0x1.d22b8b2bcd3a8p-13, 0x1.c2d76047ed387p-13, 0x1.b3fdcbdce5cep-13, 0x1.a59b5308c0bc4p-13, 0x1.97ac9123cce1ep-13, 0x1.8a2e374c5d8b3p-13, 0x1.7d1d0bf3035bp-13, 0x1.7075ea64c7653p-13, 0x1.6435c25efda58p-13, 0x1.5859979bb4da7p-13, 0x1.4cde816740893p-13, 0x1.41c1aa337a70fp-13, 0x1.37004f365cd01p-13, 0x1.2c97c0297147bp-13, 0x1.22855f890f4c7p-13, 0x1.18c697d0f8419p-13, 0x1.0f58f88b77eep-13, 0x1.063a170edd8c6p-13, 0x1.facf1f3657189p-14, 0x1.e9be367e4a80ap-14, 0x1.d93cfe0c795bcp-14, 0x1.c9471e1c4dd2fp-14, 0x1.b9d85cccb846bp-14, 0x1.aaec9d715e23ep-14, 0x1.9c7fdfe28baa2p-14, 0x1.8e8e3fd250acfp-14, 0x1.8113f42557317p-14, 0x1.740d4e4559f15p-14, 0x1.6776b966bac5bp-14, 0x1.5b4cb8dffb968p-14, 0x1.4f8bfcaa32441p-14, 0x1.44310b9e5a88dp-14, 0x1.3938e06ebb177p-14, 0x1.2ea04f60ecbep-14, 0x1.2464520136919p-14, 0x1.1a81f94f97906p-14, 0x1.10f66b0d3e70bp-14, 0x1.07bee1b0b5c46p-14, 0x1.fdb157d4db6bep-15, 0x1.ec825938be677p-15, 0x1.dbebb169cf116p-15, 0x1.cbe8734a884bdp-15, 0x1.bc73d3e3ec96p-15, 0x1.ad892cd55ee57p-15, 0x1.9f23fa75ae2afp-15, 0x1.913fdb05762bp-15, 0x1.83d88dcfe693fp-15, 0x1.76e9f24e64616p-15, 0x1.6a7007585a9f7p-15, 0x1.5e66ea50e337bp-15, 0x1.52cad64cc76acp-15, 0x1.47982362cf43cp-15, 0x1.3ccb45d7477a8p-15, 0x1.3260cd611ad96p-15, 0x1.2855646f08d1ep-15, 0x1.1ea5cf72179e4p-15, 0x1.154eec291c876p-15, 0x1.0c4db0f3f7aap-15, 0x1.039f2c20fbc7ap-15, 0x1.f68106410d8b3p-16, 0x1.e65de3dabb748p-16, 0x1.d6cf96a5ca44ap-16, 0x1.c7d0ef75a1d81p-16, 0x1.b95ce6c8dbf38p-16, 0x1.ab6e9dc56c56cp-16, 0x1.9e015d9fc3b35p-16, 0x1.911095f8a1253p-16, 0x1.8497dba316acfp-16, 0x1.7892e798ca8f2p-16, 0x1.6cfd95fb311eep-16, 0x1.61d3e5025c85dp-16, 0x1.5711f40e9795fp-16, 0x1.4cb4025e52bb3p-16, 0x1.42b66c9adee95p-16, 0x1.3915b5396fb61p-16, 0x1.2fcea06d1b159p-16, 0x1.26dd641934935p-16, 0x1.1e3f5edb1fd64p-16, 0x1.15f144c1a02a9p-16, 0x1.0df02294d33cdp-16, 0x1.06391b7bdc664p-16, 0x1.fd92d67556662p-17, 0x1.ef3cc6a9553bap-17, 0x1.e16ade0d12c99p-17, 0x1.d4181c9b32f6p-17, 0x1.c73faf343c08fp-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.1737990ad6d9cp-3, 0x1.69633075b824ep-3, 0x1.a82228e8c4c8ep-3, 0x1.d31b955853482p-3, 0x1.eb1bfa2e3e5a3p-3, 0x1.f1c6e9541d0c1p-3, 0x1.e94e91c3ea09fp-3, 0x1.d4399778f487dp-3, 0x1.b531e22a5abe8p-3, 0x1.8edb3a1ac5621p-3, 0x1.63b64d71707fp-3, 0x1.360e7cc1be0f6p-3, 0x1.07ec56ea48612p-3, 0x1.b617d38fe5811p-4, 0x1.61b56cc67e787p-4, 0x1.14f4973fed56cp-4, 0x1.a311871ea26f5p-5, 0x1.313ce164e41dfp-5, 0x1.ab97c5c68bf09p-6, 0x1.228e1ae8ef38fp-6, 0x1.8e0c1e20bb0e4p-7, 0x1.2efe8f010bf77p-7, 0x1.231dc59f8e052p-7, 0x1.64008d7b1b222p-7, 0x1.ea10a38f49727p-7, 0x1.5677c07441f05p-6, 0x1.d1ed8f58d4b2cp-6, 0x1.317f711650c2p-5, 0x1.82a8ac36ca77ep-5, 0x1.da54ecc2d7adap-5, 0x1.1b3e1c35b48c3p-4, 0x1.4a98fce9aca9ep-4, 0x1.7a56217847c3fp-4, 0x1.a9a574320cb64p-4, 0x1.d7ce6325e5c09p-4, 0x1.0218617d57386p-3, 0x1.17220699bc5dbp-3, 0x1.2acabdb24ec9ep-3, 0x1.3ce2f36fe3976p-3, 0x1.4d43f989f3b94p-3, 0x1.5bcf6823e3beep-3, 0x1.686ec992a685bp-3, 0x1.731366cc6cd86p-3, 0x1.7bb604fbf1671p-3, 0x1.82566a13300b8p-3, 0x1.86fa99f4cb763p-3, 0x1.89ade08ba3ef7p-3, 0x1.8a7fbf3fdb002p-3, 0x1.8982f17dc0e9dp-3, 0x1.86cc9441d9849p-3, 0x1.82738a0eb929ap-3, 0x1.7c9005fff55e8p-3, 0x1.753b45e7df945p-3, 0x1.6c8f60a89e913p-3, 0x1.62a723817dd4ap-3, 0x1.579ddd02f1445p-3, 0x1.4b8f2e198a23ap-3, 0x1.3e96bf885dcb5p-3, 0x1.30cff1ba7e69bp-3, 0x1.22558870ea289p-3, 0x1.13415c3b8c16cp-3, 0x1.03ac173befed4p-3, 0x1.e75a0dcb8ced5p-4, 0x1.c6ca01642888dp-4, 0x1.a5a17e0236225p-4, 0x1.841c16fa72711p-4, 0x1.625e091ceb95fp-4, 0x1.40896a09336e2p-4, 0x1.1ebe13ab2b454p-4, 0x1.fa3312967b551p-5, 0x1.b76dc13380b65p-5, 0x1.755d62c3119e6p-5, 0x1.342e275be3a1dp-5, 0x1.e80eb25ca6167p-6, 0x1.6a172beb1c7ebp-6, 0x1.dd648c095445dp-7, 0x1.d8529a17573bep-8, 0x1.afa9e86ea89a1p-16, -0x1.c882023a3031ap-8, -0x1.c2dd49dafcb5dp-7, -0x1.4d616d3aca38cp-6, -0x1.b5e03b6db63b2p-6, -0x1.0d6b4f7ee0a55p-5, -0x1.3e1a1b81e7d5ep-5, -0x1.6cf647254f063p-5, -0x1.99fb852597249p-5, -0x1.c5276789fedbcp-5, -0x1.ee794b4f4771dp-5, -0x1.0af91fe914924p-4, -0x1.1dca71e46216p-4, -0x1.2fb2a04a08189p-4, -0x1.40b44f6965049p-4, -0x1.50d2accba5185p-4, -0x1.6011583dc3c41p-4, -0x1.6e744e5c44093p-4, -0x1.7bffd48f251b4p-4, -0x1.88b867d5a4b54p-4, -0x1.94a2aee5092d6p-4, -0x1.9fc36f6b3df8fp-4, -0x1.aa1f86a91c75ap-4, -0x1.b3bbe46045aadp-4, -0x1.bc9d87c48c021p-4, -0x1.c4c97da5305c8p-4, -0x1.cc44df8cc9f3fp-4, -0x1.d314cec25efa3p-4, -0x1.d93e7995530fp-4, -0x1.dec7119c24f77p-4, -0x1.e3b3cc3a6a1aap-4, -0x1.e809de362178dp-4, -0x1.ebce77bed189fp-4, -0x1.ef06c0188605cp-4, -0x1.f1b7d17bad1a1p-4, -0x1.f3e6b5c558eecp-4, -0x1.f5985f1c73a7ep-4, -0x1.f6d1ac3a5bfbep-4, -0x1.f7975e67b337bp-4, -0x1.f7ee1b24ef0c5p-4, -0x1.f7da69f970db8p-4, -0x1.f760b3914c3ep-4, -0x1.f6854120e2b72p-4, -0x1.f54c3c57091f9p-4, -0x1.f3b9af640a0bfp-4, -0x1.f1d1855d436f9p-4, -0x1.ef978a8d14148p-4, -0x1.ed0f6cdb27452p-4, -0x1.ea3cbc5e4aefp-4, -0x1.e722eb83b04b4p-4, -0x1.e3c54f947a484p-4, -0x1.e02720f8f0efap-4, -0x1.dc4b7b77a6dc4p-4, -0x1.d8355e89105c8p-4, -0x1.d3e7adc08edcdp-4, -0x1.cf65311d3a479p-4, -0x1.cab0959070471p-4, -0x1.c5cc6d9038e84p-4, -0x1.c0bb31c6b06afp-4, -0x1.bb7f41ef2764cp-4, -0x1.b61ae5a08742ap-4, -0x1.b0904d578dee9p-4, -0x1.aae1937e08ae1p-4, -0x1.a510bd7989082p-4, -0x1.9f1fbcc299d25p-4, -0x1.99106fe67784ep-4, -0x1.92e4a390d35e7p-4, -0x1.8c9e13405ce11p-4, -0x1.863e6a699dcdap-4, -0x1.7fc744cc8e37dp-4, -0x1.7939d3df97607p-4, -0x1.7298c234d66d4p-4, -0x1.6be4a8b546f12p-4, -0x1.651ee440e1a88p-4, -0x1.5e48c4fe60a5dp-4, -0x1.57638ed9d6c3p-4, -0x1.507079f07737bp-4, -0x1.4970b2e8c27b8p-4, -0x1.42655b49ab471p-4, -0x1.3b4f89b3da258p-4, -0x1.34304a35c8b52p-4, -0x1.2d089e851d25ep-4, -0x1.25d97e5693611p-4, -0x1.1ea3d7a85037cp-4, -0x1.17688f43fbf7fp-4, -0x1.102880e5e1d48p-4, -0x1.08e47ff2e503dp-4, -0x1.019d57d37cfa3p-4, -0x1.f4a798fb6dd8cp-5, -0x1.e61135f9159c2p-5, -0x1.d778f3f2ccdd8p-5, -0x1.c8e0352120d3ap-5, -0x1.ba484ea8b7333p-5, -0x1.abb28fa3c9b1p-5, -0x1.9d203c0692773p-5, -0x1.8e929078d83dbp-5, -0x1.800ac2832adffp-5, -0x1.718a01387b1dfp-5, -0x1.631175e9f8668p-5, -0x1.54a243f318929p-5, -0x1.463d8a743c71cp-5, -0x1.37e46374708c8p-5, -0x1.2997e3be26b88p-5, -0x1.1b591ce60e446p-5, -0x1.0d291b5481fa7p-5, -0x1.fe11ce9bcd596p-6, -0x1.e1f3097336b7cp-6, -0x1.c5f7e628000adp-6, -0x1.aa225abd7be87p-6, -0x1.8e74541bd0781p-6, -0x1.72efb5d143a29p-6, -0x1.57965a425701ep-6, -0x1.3c6a12060d711p-6, -0x1.216ca44b84be1p-6, -0x1.069fce9735513p-6, -0x1.d80a899f7e7f4p-7, -0x1.a33d632ed4b79p-7, -0x1.6edb698bf8377p-7, -0x1.3ae7cd93902cfp-7, -0x1.0765ab0e638e6p-7, -0x1.a8b0189320c0dp-8, -0x1.4383d3db15e42p-8, -0x1.be98aceb813f3p-9, -0x1.f03d34bba56ddp-10, -0x1.9d243df5fe098p-12, 0x1.1d95674a2453fp-10, 0x1.4f247f6e6f055p-9, 0x1.06af407014bf1p-8, 0x1.64b74cf67a4c4p-8, 0x1.c1a5742cfccd1p-8, 0x1.0eba715352bfdp-7, 0x1.3c107146ead0cp-7, 0x1.68d26dd94c772p-7, 0x1.94fe29df2b298p-7, 0x1.c091774b16334p-7, 0x1.eb8a376b4b331p-7, 0x1.0af32d9a3d7bap-6, 0x1.1fd1f21e16e5p-6, 0x1.34607136f96b6p-6, 0x1.489dbcd4a3a4dp-6, 0x1.5c88ee94e1c86p-6, 0x1.702129440670ep-6, 0x1.836598dacb5ep-6, 0x1.965572b5f9038p-6, 0x1.a8eff5e2471fdp-6, 0x1.bb346b3fc4ee9p-6, 0x1.cd2225c844396p-6, 0x1.deb882b5ee4cdp-6, 0x1.eff6e9b34476ap-6, 0x1.006e667fa971p-5, 0x1.08b4d4c7095e1p-5, 0x1.10ce8391a080ap-5, 0x1.18bb3c31ddd7ap-5, 0x1.207acd75f08a8p-5, 0x1.280d0ba826e88p-5, 0x1.2f71d092de173p-5, 0x1.36a8fb7f802b7p-5, 0x1.3db2713367968p-5, 0x1.448e1bea8d836p-5, 0x1.4b3beb500f1b2p-5, 0x1.51bbd47265ddcp-5, 0x1.580dd1c5f55bep-5, 0x1.5e31e302193c8p-5, 0x1.64280d2042a64p-5, 0x1.69f05a4fc2d26p-5, 0x1.6f8ad9e0820b5p-5, 0x1.74f7a032e0328p-5, 0x1.7a36c6a75b91dp-5, 0x1.7f486b85edb51p-5, 0x1.842cb1f701f97p-5, 0x1.88e3c1e447466p-5, 0x1.8d6dc7ea106f1p-5, 0x1.91caf542ef8aep-5, 0x1.95fb7fb11fc19p-5, 0x1.99ffa16ba29cbp-5, 0x1.9dd7990835827p-5, 0x1.a183a9663a516p-5, 0x1.a5041999c8177p-5, 0x1.a85934cc880d2p-5, 0x1.ab834a4e454d1p-5, 0x1.ae82ad362c04ap-5, 0x1.b157b495850f4p-5, 0x1.b402bb3a4ce21p-5, 0x1.b6841fa131e7bp-5, 0x1.b8dc43de350c6p-5, 0x1.bb0b8d84f1454p-5, 0x1.bd1265905005cp-5, 0x1.bef1384abbaadp-5, 0x1.c0a87533d9fcdp-5, 0x1.c2388ef22c404p-5, 0x1.c3a1fb1c8c08ep-5, 0x1.c4e53240f176p-5, 0x1.c602afb8e21acp-5, 0x1.c6faf1914bcd2p-5, 0x1.c7ce786f54d3fp-5, 0x1.c87dc77b236f6p-5, 0x1.c90964226e6edp-5, 0x1.c971d63ed709ap-5, 0x1.c9b7a7b6435d6p-5, 0x1.c9db647f8f9f3p-5, 0x1.c9dd9a7e16a3ep-5, 0x1.c9bed965b439ap-5, 0x1.c97fb29bb19e4p-5, 0x1.c920b91a6f88cp-5, 0x1.c8a28153f822p-5, 0x1.c805a1145df88p-5, 0x1.c74aaf649836p-5, 0x1.c672446d69095p-5, 0x1.c57cf95a77c8cp-5, 0x1.c46b683d77647p-5, 0x1.c33e2bf28b44bp-5, 0x1.c1f5e0037f547p-5, 0x1.c093208bc8f27p-5, 0x1.bf168a1de4ea5p-5, 0x1.bd80b9a82b818p-5, 0x1.bbd24c5a36878p-5, 0x1.ba0bdf8a5d913p-5, 0x1.b82e10b759047p-5, 0x1.b6397ced504a1p-5, 0x1.b42ec1b569384p-5, 0x1.b20e7be66c6c2p-5, 0x1.afd9482a09d0ap-5, 0x1.ad8fc2bcf7a06p-5, 0x1.ab32875b4a543p-5, 0x1.a8c2312af3b07p-5, 0x1.a63f5aa6fa8a9p-5, 0x1.a3aa9d8ca8a34p-5, 0x1.a10492ba2424fp-5, 0x1.9e4dd239da0d9p-5, 0x1.9b86f30ec37dp-5, 0x1.98b08b3402d7p-5, 0x1.95cb2f8763debp-5, 0x1.92d773b87192fp-5, 0x1.8fd5ea3868a52p-5, 0x1.8cc7242bcc481p-5, 0x1.89abb157e3e88p-5, 0x1.86842017ff46bp-5, 0x1.83519ce53b09dp-5, 0x1.80137ba3c7d62p-5, 0x1.7ccadd2939ba6p-5, 0x1.797849a761fb5p-5, 0x1.761c47a7189f3p-5, 0x1.72b75bfcef375p-5, 0x1.6f4a09be6b2p-5, 0x1.6bd4d237e62c8p-5, 0x1.685834e2eb2bap-5, 0x1.64d4af5d2254ep-5, 0x1.614abd5fb5554p-5, 0x1.5dbad8b5cd9bp-5, 0x1.5a257924b14aep-5, 0x1.568b14d5d2ad6p-5, 0x1.52ec1f5b95433p-5, 0x1.4f490aa4bba01p-5, 0x1.4ba2467f034efp-5, 0x1.47f840a675c41p-5, 0x1.444b64c25e15dp-5, 0x1.409c1c61a43fdp-5, 0x1.3ceacef7a5a7bp-5, 0x1.3937e1dc6ba63p-5, 0x1.3583b83bf40ddp-5, 0x1.31ceb32d93c96p-5, 0x1.2e1931a03abc9p-5, 0x1.2a63905b52d54p-5, 0x1.26ae2a02543f8p-5, 0x1.22f957132d9b8p-5, 0x1.1f456de663a8ap-5, 0x1.1b92c2afc2f33p-5, 0x1.17e1a77f5787cp-5, 0x1.14326c40e7996p-5, 0x1.10855ec4a3dcfp-5, 0x1.0cdacab8d892bp-5, 0x1.0932f9ac418c3p-5, 0x1.058e3318f04b4p-5, 0x1.01ecbc60b7744p-5, 0x1.fc9db1a3f0ffcp-6, 0x1.f56993569aca1p-6, 0x1.ee3d9c3eb084cp-6, 0x1.e71a46b1b1644p-6, 0x1.e00008fdf16b3p-6, 0x1.d8ef5573c9d71p-6, 0x1.d1e89a6f22ec8p-6, 0x1.caec426173468p-6, 0x1.c3fab3dc252f1p-6, 0x1.bd14519b2798ep-6, 0x1.b6397a8e6923ap-6, 0x1.af6a8a3d49693p-6, 0x1.a8a7d73827626p-6, 0x1.a1f1b65547c21p-6, 0x1.9b487772f79bbp-6, 0x1.94ac674b23401p-6, 0x1.8e1dcf120b392p-6, 0x1.879cf4886b70fp-6, 0x1.812a1a096b97cp-6, 0x1.7ac57e987df26p-6, 0x1.746f5def79f95p-6, 0x1.6e27f08cfca17p-6, 0x1.67ef6bbe5a4d5p-6, 0x1.61c601b427586p-6, 0x1.5babe191f8385p-6, 0x1.55a1377493994p-6, 0x1.4fa62c85e5071p-6, 0x1.49bae70bcc64cp-6, 0x1.43df8a763b5c2p-6, 0x1.3e14376e30767p-6, 0x1.38590be49993fp-6, 0x1.32ae232174505p-6, 0x1.2d1395d2eae25p-6, 0x1.27897a1dbbb73p-6, 0x1.220fe3abba1ap-6, 0x1.1ca6e35f9cb0fp-6, 0x1.174e89024e353p-6, 0x1.1206e01ec22b6p-6, 0x1.0ccff372a132bp-6, 0x1.07a9cb0d70455p-6, 0x1.02946ce3e0bcfp-6, 0x1.fb1fb9afffcefp-7, 0x1.f138398cb115bp-7, 0x1.e77259285082dp-7, 0x1.ddce147b4198ep-7, 0x1.d44b63c82e36bp-7, 0x1.caea3bb834cbp-7, 0x1.c1aa8d76cbf19p-7, 0x1.b88c46cd2d077p-7, 0x1.af8f523cba618p-7, 0x1.a6b39711b600bp-7, 0x1.9df8fa0a0649fp-7, 0x1.955f5b5fd1362p-7, 0x1.8ce69a91a7b45p-7, 0x1.848e92ea3fa8ap-7, 0x1.7c571d7a98b4dp-7, 0x1.744010bcc4c58p-7, 0x1.6c4940b2f9258p-7, 0x1.64727f008b027p-7, 0x1.5cbb9b024477cp-7, 0x1.552461e8d8d7cp-7, 0x1.4dac9ebd2b9c6p-7, 0x1.46541aa3c4bffp-7, 0x1.3f1a9cbc30acap-7, 0x1.37ffea5fa5d5cp-7, 0x1.3103c72464fcap-7, 0x1.2a25f4f6e2beep-7, 0x1.2366342f0fd0ep-7, 0x1.1cc443a4e7069p-7, 0x1.163fe0c426249p-7, 0x1.0fd8c79ff8c27p-7, 0x1.098eb3063933p-7, 0x1.03615c925bffap-7, 0x1.faa0f97fc85d8p-8, 0x1.eeb795f8fbc87p-8, 0x1.e305fb743c255p-8, 0x1.d78b95051f0f1p-8, 0x1.cc47cc22d1a61p-8, 0x1.c13a0796108e3p-8, 0x1.b661af0cf190ap-8, 0x1.abbe27790a318p-8, 0x1.a14ed3b4e2ea2p-8, 0x1.971316d879cf1p-8, 0x1.8d0a529cccdbp-8, 0x1.8333e7d6b1717p-8, 0x1.798f36982708p-8, 0x1.701b9e4ad66a9p-8, 0x1.66d87dca14056p-8, 0x1.5dc5337bfd592p-8, 0x1.54e11d69f95ddp-8, 0x1.4c2b99582ca7ap-8, 0x1.43a404db76569p-8, 0x1.3b49bd65bc1acp-8, 0x1.331c212d3f69ap-8, 0x1.2b1a8bf67254p-8, 0x1.23445d3a4dbfdp-8, 0x1.1b98f251fcb5bp-8, 0x1.1417a978d67dap-8, 0x1.0cbfe1591ef9fp-8, 0x1.0590f90a6d638p-8, 0x1.fd14a04f268a9p-9, 0x1.ef568dc34e22dp-9, 0x1.e1e67bf0152f4p-9, 0x1.d4c32e3d9ec18p-9, 0x1.c7eb68dc68da1p-9, 0x1.bb5df22c20e48p-9, 0x1.af199214d2e5p-9, 0x1.a31d125a693ebp-9, 0x1.97673eb08d347p-9, 0x1.8bf6e4d0736fp-9, 0x1.80cad491abc07p-9, 0x1.75e1dfff79224p-9, 0x1.6b3adb6dae6a2p-9, 0x1.60d49d8bdfb76p-9, 0x1.56adff78a1f33p-9, 0x1.4cc5dcd32fecbp-9, 0x1.431b13cc5e213p-9, 0x1.39ac85369c729p-9, 0x1.307914952823p-9, 0x1.277fa829e0c9dp-9, 0x1.1ebf290325b9ap-9, 0x1.163683075f3c8p-9, 0x1.0de4a4feb1c03p-9, 0x1.05c8809f2ed4bp-9, 0x1.fbc21547a6c16p-10, 0x1.ec5a759613e6ap-10, 0x1.dd58179f46083p-10, 0x1.ceb8f702cc738p-10, 0x1.c07b159d0530ep-10, 0x1.b29c7b8c4b537p-10, 0x1.a51b373a9790fp-10, 0x1.97f55d67bd5a4p-10, 0x1.8b290932b0412p-10, 0x1.7eb45c204afafp-10, 0x1.72957e224d8f4p-10, 0x1.66ca9d9836a4p-10, 0x1.5b51ef42ec377p-10, 0x1.5029aeb3ac72fp-10, 0x1.45501f77d5422p-10, 0x1.3ac3845a48255p-10, 0x1.3082320390d3fp-10, 0x1.268a7b4249cbdp-10, 0x1.1cdabbff8c054p-10, 0x1.1371567e38a19p-10, 0x1.0a4cb33c66c99p-10, 0x1.016b4195ee1fap-10, 0x1.f196ed6a6df23p-11, 0x1.e0d79d2a7d45fp-11, 0x1.d09596cc2b2dap-11, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.9da0c3ab88974p-2, -0x1.8240e2abe7298p-2, -0x1.67b7ddc21f24p-2, -0x1.4e5747f31ac24p-2, -0x1.3661c619eeee3p-2, -0x1.200928299c56fp-2, -0x1.0b6dd27837c0ep-2, -0x1.f1406b9f41ae6p-3, -0x1.cf44c6f6623cbp-3, -0x1.b0d4f4b73e404p-3, -0x1.95c9c38971261p-3, -0x1.7ded0e7748792p-3, -0x1.68fe3a8333cd5p-3, -0x1.56b5f327ecd91p-3, -0x1.46c96039d8d0cp-3, -0x1.38ec8686996e2p-3, -0x1.2cd5367b6eb8bp-3, -0x1.223c262d4737p-3, -0x1.18de87dfa28f3p-3, -0x1.107ecc2d97beep-3, -0x1.08e5351f6c272p-3, -0x1.01e0339081326p-3, -0x1.f688e56e9fbb7p-4, -0x1.e9d9d09085623p-4, -0x1.dd74e28bba018p-4, -0x1.d126ebde35538p-4, -0x1.c4c707c20959cp-4, -0x1.b835bcf920263p-4, -0x1.ab5c264092a93p-4, -0x1.9e2afc7a92674p-4, -0x1.9099a42b5d909p-4, -0x1.82a529b574011p-4, -0x1.744f4b861c0ebp-4, -0x1.659da46601efp-4, -0x1.5698fa2d73261p-4, -0x1.474c61b912a53p-4, -0x1.37c523429641cp-4, -0x1.2811b53679193p-4, -0x1.184184f6e4667p-4, -0x1.08647a77b110fp-4, -0x1.f11519d32afe5p-5, -0x1.d186e6c0e9031p-5, -0x1.b23cc37fb13a2p-5, -0x1.9353b366a3f35p-5, -0x1.74e7137482662p-5, -0x1.571064bbc1816p-5, -0x1.39e72cd7c6b55p-5, -0x1.1d80e5bb474f6p-5, -0x1.01f0dc825d066p-5, -0x1.ce906ad09e1c1p-6, -0x1.9b2bacab51ba5p-6, -0x1.69ccf2095aaap-6, -0x1.3a894e0e628e5p-6, -0x1.0d71b63af64d8p-6, -0x1.c5261eaf02db9p-7, -0x1.73ed505700e6bp-7, -0x1.27449793bf812p-7, -0x1.be629d2461269p-8, -0x1.3766187c1500ep-8, -0x1.7310f9e862d01p-9, -0x1.12d4b37cb8aa2p-10, 0x1.3986f9c172116p-11, 0x1.149ce595e051p-9, 0x1.c99baa60f2beap-9, 0x1.36e0746b4018ap-8, 0x1.80bf605c9679cp-8, 0x1.c2a6a1f688c92p-8, 0x1.fcd593331f3ep-8, 0x1.17c773898ae17p-7, 0x1.2d8bc5f18e576p-7, 0x1.3fdb17782aca5p-7, 0x1.4ed94eb4acf69p-7, 0x1.5aaaa88468a36p-7, 0x1.63739befb28c5p-7, 0x1.6958a772c8846p-7, 0x1.6c7e397e77b4bp-7, 0x1.6d0885c4c7354p-7, 0x1.6b1b5dd067cf5p-7, 0x1.66da14f8d4e8cp-7, 0x1.60674a2fbdc91p-7, 0x1.57e4ec46c9de4p-7, 0x1.4d740c8cdd668p-7, 0x1.4134f11204f82p-7, 0x1.3346dea7ed582p-7, 0x1.23c838383cd9p-7, 0x1.12d65f38860bp-7, 0x1.008da07c5489fp-7, 0x1.da129ffc84ddep-8, 0x1.b0c7360159a26p-8, 0x1.856b51abd5dd9p-8, 0x1.582f27e6a5b25p-8, 0x1.2940cbfa7ff0ep-8, 0x1.f198d23e56a37p-9, 0x1.8df84e491f7e3p-9, 0x1.27f087e7e0afp-9, 0x1.7f9c2902a3dd1p-10, 0x1.57678f7403d48p-11, -0x1.5a6cf4e122c3p-13, -0x1.04e4af1ca0fb3p-10, -0x1.e095380b913c5p-10, -0x1.5ef4be2ac0bc3p-9, -0x1.ce394610828eap-9, -0x1.1ef1f23846d64p-8, -0x1.56e1d4dfdaa3cp-8, -0x1.8ed4b13d3af91p-8, -0x1.c6b54d974c1bep-8, -0x1.fe6f37b8e4b33p-8, -0x1.1af7bd4790bc5p-7, -0x1.36922dd870711p-7, -0x1.51febad6ba9bbp-7, -0x1.6d35b1dbf0fb4p-7, -0x1.882ff88b8e793p-7, -0x1.a2e70ad2b8ce3p-7, -0x1.bd5493309f50fp-7, -0x1.d7732b163762cp-7, -0x1.f13d8e9816f87p-7, -0x1.05577b834d248p-6, -0x1.11e18634ec98fp-6, -0x1.1e3ae376f5515p-6, -0x1.2a61c51f19842p-6, -0x1.36548501cd213p-6, -0x1.4211a5c8a4fe6p-6, -0x1.4d97d2adf481fp-6, -0x1.58e5db4b35b9dp-6, -0x1.63fab1db24b35p-6, -0x1.6ed56b625f46cp-6, -0x1.79753ab4b7a27p-6, -0x1.83d974a6eeadbp-6, -0x1.8e017c7ef49fcp-6, -0x1.97ece21cb552dp-6, -0x1.a19b46de2efcfp-6, -0x1.ab0c5ce266c9cp-6, -0x1.b43ff3042dac5p-6, -0x1.bd35e96bf7facp-6, -0x1.c5ee332d366dbp-6, -0x1.ce68d412dea59p-6, -0x1.d6a5e15fd1103p-6, -0x1.dea57dac2ebaap-6, -0x1.e667d97f2dc71p-6, -0x1.eded31e8509efp-6, -0x1.f535d0bc91cf5p-6, -0x1.fc420552e6f63p-6, -0x1.01891848f1d84p-5, -0x1.04d35966a4c66p-5, -0x1.0800030093953p-5, -0x1.0b0f4a29f5ff3p-5, -0x1.0e016f07280efp-5, -0x1.10d6d6b655163p-5, -0x1.138f79169bf76p-5, -0x1.162bc59d2be4bp-5, -0x1.18ac067c313cep-5, -0x1.1b108818836e2p-5, -0x1.1d5998e4b6918p-5, -0x1.1f87890272886p-5, -0x1.219aa9d5db1c9p-5, -0x1.23934ea1e2003p-5, -0x1.2571cb50a4b4p-5, -0x1.2736754700c26p-5, -0x1.28e1a2947cd92p-5, -0x1.2a73aa57bb48fp-5, -0x1.2bece6280554p-5, -0x1.2d4da9b2ad60ap-5, -0x1.2e965328e9685p-5, -0x1.2fc73a850473fp-5, -0x1.30e0b9f798fe9p-5, -0x1.31e32bd6b7b78p-5, -0x1.32ceeaa91568p-5, -0x1.33a4510af3c21p-5, -0x1.3463c05f1d516p-5, -0x1.350d7e38c45c9p-5, -0x1.35a1f98a251e8p-5, -0x1.36218572f72e2p-5, -0x1.368c7b8fdc1f7p-5, -0x1.36e3353c7e399p-5, -0x1.37260b79d0519p-5, -0x1.3755540b73379p-5, -0x1.3771705ce3eecp-5, -0x1.377aaf78fa45fp-5, -0x1.3771681685937p-5, -0x1.3755fd6763cb8p-5, -0x1.3728ba9ed2da8p-5, -0x1.36e9fa4faf3e4p-5, -0x1.369a12abab88ap-5, -0x1.3639599858435p-5, -0x1.35c824560cb97p-5, -0x1.3546c7da9d5b2p-5, -0x1.34b598a035cfp-5, -0x1.3414ea148c197p-5, -0x1.336510a0e59bep-5, -0x1.32a65e4aa251cp-5, -0x1.31d925b29d3cbp-5, -0x1.30fdb8a95df41p-5, -0x1.3014686b8de5ap-5, -0x1.2f1d82b97ad01p-5, -0x1.2e19610e75f08p-5, -0x1.2d0849c11895p-5, -0x1.2bea8efe2ce59p-5, -0x1.2ac07f745362cp-5, -0x1.298a68f2763e9p-5, -0x1.28489916f215dp-5, -0x1.26fb5cc938a3dp-5, -0x1.25a30053d9081p-5, -0x1.243fcf7afbefep-5, -0x1.22d2153921698p-5, -0x1.215a1c9fbf0fap-5, -0x1.1fd82f22c690ap-5, -0x1.1e4c96535e489p-5, -0x1.1cb79aeeaf7f5p-5, -0x1.1b198515b1db1p-5, -0x1.19729c4b39847p-5, -0x1.17c32777cb632p-5, -0x1.160b6cdd85f29p-5, -0x1.144bb21d45db3p-5, -0x1.12843c215912fp-5, -0x1.10b5518eaab87p-5, -0x1.0edf2fe69d382p-5, -0x1.0d0220514d461p-5, -0x1.0b1e633750189p-5, -0x1.09343a69eb013p-5, -0x1.0743e714a2f74p-5, -0x1.054da9945342cp-5, -0x1.0351c1e2d784p-5, -0x1.01506f011dc62p-5, -0x1.fe93dee700855p-6, -0x1.fa7d01e528feep-6, -0x1.f65cc12362451p-6, -0x1.f2339560e0362p-6, -0x1.ee01f5e96b08ep-6, -0x1.e9c858bb03984p-6, -0x1.e5873168287c6p-6, -0x1.e13ef3d5390a3p-6, -0x1.dcf0112e7a13fp-6, -0x1.d89af964aa4p-6, -0x1.d4401aee38687p-6, -0x1.cfdfe2bf48186p-6, -0x1.cb7abc458d17bp-6, -0x1.c71111602b509p-6, -0x1.c2a34a1d6e183p-6, -0x1.be31ce142378ap-6, -0x1.b9bd021e6012ep-6, -0x1.b545499dbbfb3p-6, -0x1.b0cb06c82e86ap-6, -0x1.ac4e9a1fce9ebp-6, -0x1.a7d06286411e9p-6, -0x1.a350bd5b150dfp-6, -0x1.9ed005f6fed2p-6, -0x1.9a4e96ace9bb6p-6, -0x1.95ccc7cc5c698p-6, -0x1.914af0156e8dp-6, -0x1.8cc964baf6edbp-6, -0x1.8848792a0f58p-6, -0x1.83c87f409a40cp-6, -0x1.7f49c732eb558p-6, -0x1.7acc9f91624dfp-6, -0x1.7651556ff4c33p-6, -0x1.71d831cb799cap-6, -0x1.6d61841f611b1p-6, -0x1.68ed8e68251f5p-6, -0x1.647c99413ff4bp-6, -0x1.600ee93b5dba2p-6, -0x1.5ba4c14fb4db2p-6, -0x1.573e62dbe46b5p-6, -0x1.52dc0d9b273a8p-6, -0x1.4e7dffa0f09a4p-6, -0x1.4a24756894922p-6, -0x1.45cfa9ae235d3p-6, -0x1.417fd66bf206cp-6, -0x1.3d35326279863p-6, -0x1.38eff3e18ae5fp-6, -0x1.34b04f5fded7p-6, -0x1.307677b97f9e2p-6, -0x1.2c429e3758ec5p-6, -0x1.2814f3030c8ddp-6, -0x1.23eda2ec046c1p-6, -0x1.1fccdbea6904bp-6, -0x1.1bb2c89f47854p-6, -0x1.179f929da4f6ep-6, -0x1.139361ed1f0ecp-6, -0x1.0f8e5d29255ddp-6, -0x1.0b90a95f25089p-6, -0x1.079a6a299f9e6p-6, -0x1.03abc1b3c9dacp-6, -0x1.ff89a16ca8aap-7, -0x1.f7cb6cfbdbaa9p-7, -0x1.f01d21df11b86p-7, -0x1.e87ef914906f7p-7, -0x1.e0f128cc2398dp-7, -0x1.d973e4a95ed97p-7, -0x1.d2075d97148d2p-7, -0x1.caabc1b712c2dp-7, -0x1.c3613ca6de3cep-7, -0x1.bc27f7741e827p-7, -0x1.b50018a095ff8p-7, -0x1.ade9c41bfc92dp-7, -0x1.a6e51ef932165p-7, -0x1.9ff23def81044p-7, -0x1.9911490b49271p-7, -0x1.92425602be218p-7, -0x1.8b857d64443e1p-7, -0x1.84dad51aec70bp-7, -0x1.7e4270d28c69cp-7, -0x1.77bc620996edp-7, -0x1.7148b82525b31p-7, -0x1.6ae780aadba99p-7, -0x1.6498c5d37a26p-7, -0x1.5e5c91ef15fbcp-7, -0x1.5832ebd4cf795p-7, -0x1.521bd8dcf2f83p-7, -0x1.4c175c7adc48p-7, -0x1.4625784501f3fp-7, -0x1.40462c073af3bp-7, -0x1.3a7975f5471ebp-7, -0x1.34bf5243124ap-7, -0x1.2f17bbaadddc1p-7, -0x1.2982c828e988cp-7, -0x1.2400364c9f7f2p-7, -0x1.1e901800a261cp-7, -0x1.193261b50b30ap-7, -0x1.13e70664bc525p-7, -0x1.0eadf79ffab6fp-7, -0x1.0987259715e69p-7, -0x1.04727f24cc158p-7, -0x1.fedfe3b0ff45dp-8, -0x1.f4fed3ff0a70bp-8, -0x1.eb41a55621082p-8, -0x1.e1a82b1ba19f8p-8, -0x1.d832327002fecp-8, -0x1.cedf9af9bf57ap-8, -0x1.c5b02154f1926p-8, -0x1.bca395b867c65p-8, -0x1.b3b9c1b931103p-8, -0x1.aaf26cc211221p-8, -0x1.a24d5c6675449p-8, -0x1.99ca547b34e7ap-8, -0x1.9169172c76ed4p-8, -0x1.8929659634c67p-8, -0x1.810afd4a834p-8, -0x1.790d9cd93171ap-8, -0x1.713100a3fb09fp-8, -0x1.6974e342804b8p-8, -0x1.61d8fe4f7b696p-8, -0x1.5a5d0a380a1p-8, -0x1.5300be46540abp-8, -0x1.4bc3d0b59b9f1p-8, -0x1.44a5f6bfaffcdp-8, -0x1.3da6e449f4dc4p-8, -0x1.36c64d64d5c38p-8, -0x1.3003e4a22ef1bp-8, -0x1.295f5b225250fp-8, -0x1.22d862530b157p-8, -0x1.1c6eaaa4e76a8p-8, -0x1.1621e3e820cdp-8, -0x1.0ff1bd60a905dp-8, -0x1.09dde5d2daaa4p-8, -0x1.03e60b8ffb2bbp-8, -0x1.fc13b9058f31p-9, -0x1.f0920c76fc65ap-9, -0x1.e5466bf7b7491p-9, -0x1.da3031852ce16p-9, -0x1.cf4eb6aa8d84cp-9, -0x1.c4a1548fdd9ecp-9, -0x1.ba2763bdf358ap-9, -0x1.afe04bc2ac6c1p-9, -0x1.a5cb3aaf17faap-9, -0x1.9be7b5a534fd6p-9, -0x1.923503ed8e59ap-9, -0x1.88b27f772c939p-9, -0x1.7f5f816ba3385p-9, -0x1.763b631d8608bp-9, -0x1.6d457e301256bp-9, -0x1.647d2cabf5c5fp-9, -0x1.5be1c919adc0dp-9, -0x1.5372ae9c17e85p-9, -0x1.4b2f38657713cp-9, -0x1.4316c2a4595a1p-9, -0x1.3b28aac16bf84p-9, -0x1.33644e3bd4646p-9, -0x1.2bc90b72bb3a9p-9, -0x1.245641b509d59p-9, -0x1.1d0b51336b218p-9, -0x1.15e79b0c2b8ap-9, -0x1.0eea8157aa25fp-9, -0x1.081367353efb1p-9, -0x1.0161b0dd7c0ap-9, -0x1.f5a987c95c144p-10, -0x1.e8d80e60f332bp-10, -0x1.dc4da8c1a05a1p-10, -0x1.d00974a95cd13p-10, -0x1.c409f38edf08p-10, -0x1.b84e20890f3ddp-10, -0x1.acd4d151a1029p-10, -0x1.a19ce0e071069p-10, -0x1.96a52d67559bcp-10, -0x1.8bec97ecc458fp-10, -0x1.8172044178dbcp-10, -0x1.77345906603e6p-10, -0x1.6d327fb4ab1ebp-10, -0x1.636b64a5f3e8fp-10, -0x1.59ddf71b5a4cp-10, -0x1.5089293ee4c1fp-10, -0x1.476bf0034296dp-10, -0x1.3e8541fcd0ad6p-10, -0x1.35d42b523b5b2p-10, -0x1.2d5782a169c17p-10, -0x1.250e6f1d5fa8fp-10, -0x1.1cf7e67557b22p-10, -0x1.1512f140c89fep-10, -0x1.0d5e9a30c1954p-10, -0x1.05d9eef6c3ab2p-10, -0x1.fd0800bcfab53p-11, -0x1.eeb7c4b0639bcp-11, -0x1.e0c158a447c5p-11, -0x1.d322ee0bfb717p-11, -0x1.c5dac33702e96p-11, -0x1.b8e716ac9106ap-11, -0x1.ac463077bea8cp-11, -0x1.9ff65df3f9942p-11, -0x1.93f5f2b3f19f3p-11, -0x1.8843488db44cbp-11, -0x1.7cdcbfa2b9313p-11, -0x1.71c0be455cc5fp-11, -0x1.66edb0f21f40bp-11, -0x1.5c620a4f3f3eep-11, -0x1.521c43250739p-11, -0x1.481ada57e8941p-11, -0x1.3e5c54e6916a1p-11, -0x1.34df3dff4247dp-11, -0x1.2ba22790b9408p-11, -0x1.22a3ac87cc458p-11, -0x1.19e24a09be28ap-11, -0x1.115ccefc21ce9p-11, -0x1.0911e2a00a462p-11, -0x1.0100158deeb3p-11, -0x1.f24c5273e08f9p-12, -0x1.e305b0556c9e5p-12, -0x1.d429c3c695644p-12, -0x1.c5b6171979348p-12, -0x1.b7a83fd234dc3p-12, -0x1.a9fdde833dfd3p-12, -0x1.9cb49eaf534e2p-12, -0x1.8fca36ab7903p-12, -0x1.833c67716c14ap-12, -0x1.7708fc3c3aa9dp-12, -0x1.6b2dc81c06ee7p-12, -0x1.5fa8d5f6a48fbp-12, -0x1.5477a6e1af039p-12, -0x1.499896af6ec41p-12, -0x1.3f0980cf6eb67p-12, -0x1.34c86c7aa5775p-12, -0x1.2ad36df3b8e1p-12, -0x1.2128a1f4958fcp-12, -0x1.17c62ea4f35f7p-12, -0x1.0eaa43fa9f6c4p-12, -0x1.05d31728dfdb7p-12, -0x1.fa7de574f7463p-13, -0x1.e9d83194f5035p-13, -0x1.d9b1c34dfeeb1p-13, -0x1.ca07535001d9ap-13, -0x1.bad5accdabca2p-13, -0x1.ac19ac4b6b217p-13, -0x1.9dd03efc1c293p-13, -0x1.8ff662dd2d056p-13, -0x1.828926760395ep-13, -0x1.7585a87e99c59p-13, -0x1.68e9179e3f7ddp-13, -0x1.5cb0b23589498p-13, -0x1.50d9c61c0243bp-13, -0x1.4561b0640e649p-13, -0x1.3a45dd1dd09a3p-13, -0x1.2f83c71bef29ep-13, -0x1.2518f7b4bdbb4p-13, -0x1.1b03068684865p-13, -0x1.113f991c1d069p-13, -0x1.07cc6246ebb6p-13, -0x1.fd4e444f644f2p-14, -0x1.eb9b5110cbbfep-14, -0x1.da7ba501597d4p-14, -0x1.c9eb0e2839e51p-14, -0x1.b9e5749d7be8p-14, -0x1.aa66db1a4b58fp-14, -0x1.9b6b5cf9c4bbbp-14, -0x1.8cef2d6886cdp-14, -0x1.7eee96fcb168cp-14, -0x1.7165fb574593ep-14, -0x1.6451d29cae258p-14, -0x1.57aeab0e2d452p-14, -0x1.4b7927f25c4e6p-14, -0x1.3fadfdf89be09p-14, -0x1.344a06f93ba7cp-14, -0x1.294a78ea0af1cp-14, -0x1.1eab452d29eecp-14, -0x1.146a8e8e5a635p-14, -0x1.0a84fecc4e9c5p-14, -0x1.00f7cfd74a74cp-14, -0x1.ef8091c164689p-15, -0x1.ddb7757f5000ep-15, -0x1.cc8f3258bae95p-15, -0x1.bc02a43ddc535p-15, -0x1.ac0ceb2fb9a83p-15, -0x1.9ca93d6651472p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.5cda5db360749p-3, -0x1.76c2395e2bfbap-4, -0x1.d5025ecd7cd7dp-6, 0x1.324286dbdc09fp-6, 0x1.a627395109fe1p-5, 0x1.2474d8673e5dep-4, 0x1.4803491bd0987p-4, 0x1.459525feabd7p-4, 0x1.250e6f42a317ep-4, 0x1.dc2152c53a86bp-5, 0x1.4f824950899cp-5, 0x1.62609ff7a950dp-6, 0x1.90c1802fa5fd2p-10, -0x1.298b39c718a75p-6, -0x1.2a99388694108p-5, -0x1.ae71fe42bc4ep-5, -0x1.0dab4ac3302f4p-4, -0x1.36dc7bdad1cfbp-4, -0x1.51a5ce0fe8f81p-4, -0x1.5d6b800b0a1ecp-4, -0x1.5a0b0b6bd64bdp-4, -0x1.47cb3226a3fddp-4, -0x1.2748e9f069b8ap-4, -0x1.f2d1600ff9dfdp-5, -0x1.7e82fa02c042bp-5, -0x1.e83876c467a12p-6, -0x1.590cba9a1e7b4p-7, 0x1.610fb2b337612p-7, 0x1.14a751840365fp-5, 0x1.dc185c5716e87p-5, 0x1.55eda57bb6606p-4, 0x1.c0aa1b9c8a85dp-4, 0x1.16840424ff294p-3, 0x1.4cf26274c7d12p-3, 0x1.831ac42463805p-3, 0x1.b883d7cbe0431p-3, 0x1.ecc07d99f7842p-3, 0x1.0fb7fac102b2ep-2, 0x1.281f0442f57a6p-2, 0x1.3f7180c178634p-2, 0x1.5591ac7c831a1p-2, 0x1.6a6787e67c1ap-2, 0x1.7de064c6e6bcfp-2, 0x1.8fee620ba790cp-2, 0x1.a087e6bc6e812p-2, 0x1.afa729b51daa4p-2, 0x1.bd49cd01b9689p-2, 0x1.c9708b70740c1p-2, 0x1.d41ef1dd8bd0ep-2, 0x1.dd5b1bc89fd76p-2, 0x1.e52d6ca787b7bp-2, 0x1.eba042323facfp-2, 0x1.f0bf9fb085a54p-2, 0x1.f498d5691ac49p-2, 0x1.f73a2a2b77296p-2, 0x1.f8b28dc8a59f6p-2, 0x1.f9115a205e421p-2, 0x1.f866243c3f861p-2, 0x1.f6c09b4980abp-2, 0x1.f430709566469p-2, 0x1.f0c5438f22a4p-2, 0x1.ec8e8e6d28b62p-2, 0x1.e79b923a566b6p-2, 0x1.e1f8f18a4360ep-2, 0x1.dbba29cab63e4p-2, 0x1.d4eb1f68d68e5p-2, 0x1.cd994f666011cp-2, 0x1.c5d1a3243f7b4p-2, 0x1.bda06ec3e0a12p-2, 0x1.b511708f2d746p-2, 0x1.ac2fd14243615p-2, 0x1.a3062558a2259p-2, 0x1.999e6f581a3b8p-2, 0x1.900222aa981c2p-2, 0x1.863a266f4d0b9p-2, 0x1.7c4ed7c3e7085p-2, 0x1.72480b7de392ep-2, 0x1.682d0fb9a256ep-2, 0x1.5e04ade11bd3ep-2, 0x1.53d52db448853p-2, 0x1.49a4598a4fc12p-2, 0x1.3f7783ac1014fp-2, 0x1.35538c5f09ee8p-2, 0x1.2b3ce83b7b347p-2, 0x1.2137a6761931bp-2, 0x1.17477709e2e4cp-2, 0x1.0d6fb0c8684adp-2, 0x1.03b3575c87914p-2, 0x1.f42a42a2b50a7p-3, 0x1.e12efbe4b7ba6p-3, 0x1.ce7935c26d33fp-3, 0x1.bc0cd24dc3265p-3, 0x1.a9ed43357ed7fp-3, 0x1.981d913002721p-3, 0x1.86a06223d96abp-3, 0x1.7577fe58d762fp-3, 0x1.64a65511b3c4ap-3, 0x1.542d00de0b32bp-3, 0x1.440d4be2add65p-3, 0x1.3448344140307p-3, 0x1.24de70ac68efdp-3, 0x1.15d07534dc4e8p-3, 0x1.071e78508d116p-3, 0x1.f190f02e8e1b1p-4, 0x1.d59c7f1641a11p-4, 0x1.ba5ed87ade02p-4, 0x1.9fd6e714019d8p-4, 0x1.86034fd8d4664p-4, 0x1.6ce27bd10f658p-4, 0x1.5472a10d5a5ddp-4, 0x1.3cb1ca841448ap-4, 0x1.259dded28952p-4, 0x1.0f34a5cb61cacp-4, 0x1.f2e7994fcb99p-5, 0x1.c8b1d3b48ba74p-5, 0x1.9fc2fe497f381p-5, 0x1.7815f742ac254p-5, 0x1.51a57a10099a9p-5, 0x1.2c6c213f286b9p-5, 0x1.08646817c4ee9p-5, 0x1.cb1158845203ep-6, 0x1.87a65f4f854b6p-6, 0x1.467c35c9fd69bp-6, 0x1.078700aff488p-6, 0x1.95757f83d9a51p-7, 0x1.2016ad2d0504ap-7, 0x1.5db25954cec87p-8, 0x1.0692420bffd3p-9, -0x1.3cfc7ef7289eap-10, -0x1.1a1704454907ep-8, -0x1.dd6ecd8c6674fp-8, -0x1.4cbb1e56b5dfep-7, -0x1.a72e3aa5666bfp-7, -0x1.fe27f1ce29952p-7, -0x1.28df8a2562814p-6, -0x1.510502de94573p-6, -0x1.778f5c1f81c76p-6, -0x1.9c8955260ed9fp-6, -0x1.bffd734d38c7p-6, -0x1.e1f602e54e04fp-6, -0x1.013e8c5b7bcabp-5, -0x1.10ce4a13aa802p-5, -0x1.1faf10a9c808p-5, -0x1.2de59dd69a64cp-5, -0x1.3b769846ae989p-5, -0x1.48669065db8d9p-5, -0x1.54ba019b9290cp-5, -0x1.607439c292b06p-5, -0x1.6b9b29f773426p-5, -0x1.7632a1987fe78p-5, -0x1.803ece96ccab1p-5, -0x1.89c3ca2dec83cp-5, -0x1.92c59888c72e6p-5, -0x1.9b48285c2c84ep-5, -0x1.a34f5282971ffp-5, -0x1.aaded99ecd21fp-5, -0x1.b1fa69da216afp-5, -0x1.b8a598ad2f41ep-5, -0x1.bee3e4c844b12p-5, -0x1.c4b8b60a5a357p-5, -0x1.ca275d89e04cfp-5, -0x1.cf3315dbaed2ep-5, -0x1.d3df03003442p-5, -0x1.d82e32f6a2e3fp-5, -0x1.dc239df276aacp-5, -0x1.dfc226d2fc561p-5, -0x1.e30c9ba54d6bbp-5, -0x1.e605b63875cdep-5, -0x1.e8b01c9ceeff1p-5, -0x1.eb0e6297c34e6p-5, -0x1.ed2308e0fb1e2p-5, -0x1.eef07f67b824ap-5, -0x1.f079255a8bb5p-5, -0x1.f1bf4a0f43a7p-5, -0x1.f2c52dbd16632p-5, -0x1.f38d02342ccc9p-5, -0x1.f418eb3b48e2fp-5, -0x1.f46aff90ac08ep-5, -0x1.f48548d0d420fp-5, -0x1.f469c458f2f41p-5, -0x1.f41a62ecfa061p-5, -0x1.f3990981b2bdp-5, -0x1.f2e79118d0d5dp-5, -0x1.f207c6eb6245p-5, -0x1.f0fb6c7fbefdap-5, -0x1.efc437ba3bd8p-5, -0x1.ee63d2ef7ca5ap-5, -0x1.ecdbdcfd04579p-5, -0x1.eb2de955bd75p-5, -0x1.e95b8037c382bp-5, -0x1.e7661ebf9e027p-5, -0x1.e54f371f6c28bp-5, -0x1.e31830d1c1e51p-5, -0x1.e0c268df8906cp-5, -0x1.de4f31e3729adp-5, -0x1.dbbfd4c7db0edp-5, -0x1.d91590925f396p-5, -0x1.d6519aea3cd0dp-5, -0x1.d37520548ceap-5, -0x1.d0814481b27e9p-5, -0x1.cd772294b5726p-5, -0x1.ca57cd6dc0dbbp-5, -0x1.c7244ff26b876p-5, -0x1.c3ddad553411bp-5, -0x1.c084e1570b9f1p-5, -0x1.bd1ae090d72a9p-5, -0x1.b9a098accd7bp-5, -0x1.b616f0a7edcddp-5, -0x1.b27ec90bbff63p-5, -0x1.aed8fc25bf67fp-5, -0x1.ab265e3b342b7p-5, -0x1.a767bdb9e50a5p-5, -0x1.a39de36493556p-5, -0x1.9fc9927c400eep-5, -0x1.9beb88dbc0b6bp-5, -0x1.98047f43d71ebp-5, -0x1.9415292905023p-5, -0x1.901e351d9cdc2p-5, -0x1.8c204cc383becp-5, -0x1.881c14ead4fadp-5, -0x1.84122da5e49d6p-5, -0x1.8003325e6a89p-5, -0x1.7befb9e5f931fp-5, -0x1.77d856897fbp-5, -0x1.73bd962299917p-5, -0x1.6fa00229a41p-5, -0x1.6b801fc7fc16ep-5, -0x1.675e6feae9bd3p-5, -0x1.633b6f56a67efp-5, -0x1.5f1796bd8cd77p-5, -0x1.5af35acd00c54p-5, -0x1.56cf2c4b1f438p-5, -0x1.52ab78286f925p-5, -0x1.4e88a796b3d22p-5, -0x1.4a67201f79957p-5, -0x1.464743bacf64ap-5, -0x1.422970e617753p-5, -0x1.3e0e02bb41d28p-5, -0x1.39f551047f57ep-5, -0x1.35dfb057a973dp-5, -0x1.31cd72290eaccp-5, -0x1.2dbee4e0e5dafp-5, -0x1.29b453f17c35dp-5, -0x1.25ae07ebbab56p-5, -0x1.21ac469386db3p-5, -0x1.1daf52f240677p-5, -0x1.19b76d6bff712p-5, -0x1.15c4d3cfdd0b8p-5, -0x1.11d7c16aceeb8p-5, -0x1.0df06f189949bp-5, -0x1.0a0f1354762c5p-5, -0x1.0633e248f0fap-5, -0x1.025f0ddf3cb36p-5, -0x1.fd218b9bc3471p-6, -0x1.f5926f4cce1c3p-6, -0x1.ee111dd58c1cep-6, -0x1.e69de9f3c74e8p-6, -0x1.df3922b3be616p-6, -0x1.d7e3130afcfe1p-6, -0x1.d09c02321150cp-6, -0x1.c96433ab7c245p-6, -0x1.c23be7594bde6p-6, -0x1.bb23599228a18p-6, -0x1.b41ac335b9a9cp-6, -0x1.ad2259c02325cp-6, -0x1.a63a4f5e1d76cp-6, -0x1.9f62d2fc71c43p-6, -0x1.989c106368146p-6, -0x1.91e6303f50f3bp-6, -0x1.8b415837f6806p-6, -0x1.84adab01d2347p-6, -0x1.7e2b486ff787bp-6, -0x1.77ba4d87a1441p-6, -0x1.715ad4894aba5p-6, -0x1.6b0cf513be964p-6, -0x1.64d0c42435212p-6, -0x1.5ea6543085b16p-6, -0x1.588db536bf63ep-6, -0x1.5286f4ce4be57p-6, -0x1.4c921e39307e7p-6, -0x1.46af3a74ed4fp-6, -0x1.40de504b2d64ap-6, -0x1.3b1f64627d26p-6, -0x1.3572794ea2731p-6, -0x1.2fd78fa0cec54p-6, -0x1.2a4ea5f7a87f8p-6, -0x1.24d7b90f2ef2dp-6, -0x1.1f72c3cf729d2p-6, -0x1.1a1fbf5c80372p-6, -0x1.14dea325c28a2p-6, -0x1.0faf64f3ddb9dp-6, -0x1.0a91f8f76b07fp-6, -0x1.058651d72e30bp-6, -0x1.008c60be1984dp-6, -0x1.f7482ac3314e7p-7, -0x1.ed9abc62b8892p-7, -0x1.e410503daf567p-7, -0x1.daa8bde5c9c2bp-7, -0x1.d163da63a5e9fp-7, -0x1.c8417863fb2f3p-7, -0x1.bf41684e2a19ep-7, -0x1.b663785b6f756p-7, -0x1.ada774add6b2dp-7, -0x1.a50d2766e31c4p-7, -0x1.9c9458b8f08aap-7, -0x1.943ccf06f195p-7, -0x1.8c064eedc981fp-7, -0x1.83f09b5ebc588p-7, -0x1.7bfb75b1ed491p-7, -0x1.74269db9e5ac4p-7, -0x1.6c71d1d686d2fp-7, -0x1.64dccf070c961p-7, -0x1.5d6750fd8d4bbp-7, -0x1.5611122f54b8p-7, -0x1.4ed9dd297f493p-7, -0x1.47c1430d7d0ecp-7, -0x1.40c711c5fc011p-7, -0x1.39eaff7836c3bp-7, -0x1.332cc15db40bbp-7, -0x1.2c8c0bd42d2c6p-7, -0x1.2608926d194e1p-7, -0x1.1fa207fcdfd56p-7, -0x1.19581ea9ac148p-7, -0x1.132a87f9ed3e7p-7, -0x1.0d18f4e2817d2p-7, -0x1.072315d523515p-7, -0x1.01489ad3f1697p-7, -0x1.f71266a580fd7p-8, -0x1.ebc91d4809f42p-8, -0x1.e0b4b744d0dadp-8, -0x1.d5d491d9d5332p-8, -0x1.cb2809d4b9b8bp-8, -0x1.c0ae7ba896d0ap-8, -0x1.b6674383f1d83p-8, -0x1.ac51bd662605cp-8, -0x1.a26d4536037a6p-8, -0x1.98b936cc6112fp-8, -0x1.8f34ee19211bap-8, -0x1.85dfc727bb3d4p-8, -0x1.7cb91e352b129p-8, -0x1.73c04fc30888p-8, -0x1.6af4b8a7de4cp-8, -0x1.6255b61fa24d3p-8, -0x1.59e2a5dba4dd8p-8, -0x1.519ae611ed2e9p-8, -0x1.497dd58d87ep-8, -0x1.418ad3b7a34c9p-8, -0x1.39c140ab01b4dp-8, -0x1.32207d4294a43p-8, -0x1.2aa7eb1e9ce5ap-8, -0x1.2356ecb6929d4p-8, -0x1.1c2ce563ad403p-8, -0x1.1529396c0bfd2p-8, -0x1.0e4b4e0d860a8p-8, -0x1.07928988081dap-8, -0x1.00fe53277890cp-8, -0x1.f51c269a60063p-9, -0x1.e88266f1fd231p-9, -0x1.dc2e3ca38961ap-9, -0x1.d01e7f5b59c8bp-9, -0x1.c4520933f22ep-9, -0x1.b8c7b6c5f5792p-9, -0x1.ad7e66fd9d0f5p-9, -0x1.a274fc2de3e14p-9, -0x1.97aa5a168d43ap-9, -0x1.8d1d6803259a2p-9, -0x1.82cd0fb95978fp-9, -0x1.78b83dc78bc93p-9, -0x1.6edde18b6b41cp-9, -0x1.653ced3aacc08p-9, -0x1.5bd455eb2da44p-9, -0x1.52a3139ac6c6fp-9, -0x1.49a821363ed9p-9, -0x1.40e27c9de382cp-9, -0x1.385126aed19a2p-9, -0x1.2ff3234706081p-9, -0x1.27c77947b5e3p-9, -0x1.1fcd329b78f1fp-9, -0x1.18035c398c877p-9, -0x1.10690628bdfa2p-9, -0x1.08fd4381eea89p-9, -0x1.01bf2a7224054p-9, -0x1.f55ba878258f7p-10, -0x1.e790ba723e212p-10, -0x1.da1bc9b1ed09bp-10, -0x1.ccfb1b43ab187p-10, -0x1.c02cfae808801p-10, -0x1.b3afb8ac38a83p-10, -0x1.a781adad34819p-10, -0x1.9ba13701111abp-10, -0x1.900cb8a070e71p-10, -0x1.84c29c994c21cp-10, -0x1.79c153137cfb8p-10, -0x1.6f07524d624a9p-10, -0x1.64931696259eap-10, -0x1.5a6322471965ap-10, -0x1.5075fdbc640b8p-10, -0x1.46ca374d299fcp-10, -0x1.3d5e6343159a3p-10, -0x1.34311bd1a592cp-10, -0x1.2b41010d17a6ap-10, -0x1.228cb8e4a0c8dp-10, -0x1.1a12eed4aad94p-10, -0x1.11d254d7ca72bp-10, -0x1.09c9a19f3114p-10, -0x1.01f792314c705p-10, -0x1.f4b5d2014a237p-11, -0x1.e5e4dc2a5aba5p-11, -0x1.d779ddf9dfe63p-11, -0x1.c9727d7dc9085p-11, -0x1.bbcc6b9b8d1f9p-11, -0x1.ae8563f789be2p-11, -0x1.a19b2ccaedfa2p-11, -0x1.950b96e98b17cp-11, -0x1.88d47d7dc1dbbp-11, -0x1.7cf3c606b6b98p-11, -0x1.716760302975fp-11, -0x1.662d45b7bb824p-11, -0x1.5b437a4eeb446p-11, -0x1.50a80b7d0f993p-11, -0x1.46591080f85d7p-11, -0x1.3c54aa323bdf7p-11, -0x1.329902e2d4b42p-11, -0x1.29244e3fd6435p-11, -0x1.1ff4c93276ab2p-11, -0x1.1708b9c0a318fp-11, -0x1.0e5e6eed399bdp-11, -0x1.05f44095f61f3p-11, -0x1.fb911e90683c8p-12, -0x1.ebb389b6c63d6p-12, -0x1.dc4ca47db75fap-12, -0x1.cd59632134c2bp-12, -0x1.bed6cb916e223p-12, -0x1.b0c1f24c01dabp-12, -0x1.a317fc5044ee2p-12, -0x1.95d61e69973d8p-12, -0x1.88f99ce8a7e9cp-12, -0x1.7c7fcb65e32dap-12, -0x1.70660c82d7db3p-12, -0x1.64a9d1acb739ap-12, -0x1.59489adee0255p-12, -0x1.4e3ff665dac68p-12, -0x1.438d80a3062d6p-12, -0x1.392ee3d815f95p-12, -0x1.2f21d74e60cf8p-12, -0x1.2564218a3050dp-12, -0x1.1bf3939be2b21p-12, -0x1.12ce0d343ed1ap-12, -0x1.09f17a450bfb9p-12, -0x1.015bd32d47e85p-12, -0x1.f2163915f6156p-13, -0x1.e1facdfefa138p-13, -0x1.d2619def31d96p-13, -0x1.c346f8cd67a26p-13, -0x1.b4a7457b15598p-13, -0x1.a67f00c4c505bp-13, -0x1.98cabd9754c94p-13, -0x1.8b872439d83e7p-13, -0x1.7eb0f1fd8ee42p-13, -0x1.7244f8d2de042p-13, -0x1.66401ee1cc9edp-13, -0x1.5a9f5e23c8fffp-13, -0x1.4f5fc3ff25e14p-13, -0x1.447e70e256b26p-13, -0x1.39f897e256872p-13, -0x1.2fcb7e5908b76p-13, -0x1.25f47b857efc1p-13, -0x1.1c70f82d4a28fp-13, -0x1.133e6e3f22f9bp-13, -0x1.0a5a6876b881cp-13, -0x1.01c28202577c3p-13, -0x1.f2e8cc515b11p-14, -0x1.e2db9fe3bd5cdp-14, -0x1.d35913a492da9p-14, -0x1.c45cdaa81614p-14, -0x1.b5e2c56c577dfp-14, -0x1.a7e6c14648333p-14, -0x1.9a64d7de7f9fcp-14, -0x1.8d592e6efa656p-14, -0x1.80c00520cf63cp-14, -0x1.7495b677543e5p-14, -0x1.68d6b6b8c5caap-14, -0x1.5d7f93576f23ep-14, -0x1.528cf25c850cdp-14, -0x1.47fb91d94e53fp-14, -0x1.3dc84753bb15fp-14, -0x1.33efff3efc888p-14, -0x1.2a6fbc790379ap-14, -0x1.214497834ef3ep-14, -0x1.186bbd71e8857p-14, -0x1.0fe273e6361ddp-14, -0x1.07a60ef3da022p-14, -0x1.ff67f57b8139p-15, -0x1.f0136acc81b15p-15, -0x1.e1499ffa6dd7cp-15, -0x1.d305dbd206d3dp-15, -0x1.c543895438a5dp-15, -0x1.b7fe360898bffp-15, -0x1.ab3191d885659p-15, -0x1.9ed96dcc8d8b1p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.b389e1796c40bp-3, 0x1.d71d24b57575bp-3, 0x1.efb7f13576784p-3, 0x1.fcb09ef3bcc36p-3, 0x1.fe40bd27b479fp-3, 0x1.f54c742f8119ap-3, 0x1.e32d97474c5cap-3, 0x1.c985911c7f08dp-3, 0x1.aa160f5ac37cfp-3, 0x1.86a2caea27a5fp-3, 0x1.60dab383bfea5p-3, 0x1.3a478f040bb21p-3, 0x1.144327600dfdap-3, 0x1.dfe2f6bdf9399p-4, 0x1.9c7dbd696da12p-4, 0x1.5fc1aa43de71fp-4, 0x1.2ab17a0b8ce39p-4, 0x1.fbdf7f354f333p-5, 0x1.b392c7dcd7ecfp-5, 0x1.7c82b6daaf7dp-5, 0x1.563923104a211p-5, 0x1.3fda7d7de2008p-5, 0x1.383bfd929fdbcp-5, 0x1.3df6db9967e4cp-5, 0x1.4f7b6eb2c36b5p-5, 0x1.6b21fe52553f4p-5, 0x1.8f3952f1a200cp-5, 0x1.ba12b42d39f66p-5, 0x1.ea0b78b2c1ea5p-5, 0x1.0eca55e9f3604p-4, 0x1.299c727d15f0ep-4, 0x1.44d05d930430cp-4, 0x1.5fcaeeb5fc10bp-4, 0x1.7a027f3b67607p-4, 0x1.92ff48d95af08p-4, 0x1.aa5b42c180e9p-4, 0x1.bfc198bc4e40cp-4, 0x1.d2eddc14cfb96p-4, 0x1.e3ab052d743aap-4, 0x1.f1d2565490c04p-4, 0x1.fd4a2db3ea7f9p-4, 0x1.030266f2f70d3p-3, 0x1.05ff91eab05c7p-3, 0x1.079fc5db85679p-3, 0x1.07ea4c7966534p-3, 0x1.06e9f31de2932p-3, 0x1.04ac78c7aad74p-3, 0x1.01420720f330fp-3, 0x1.f979693413f2bp-4, 0x1.ee60272540c88p-4, 0x1.e16194e8c508bp-4, 0x1.d2a8703b0f421p-4, 0x1.c2603d379be47p-4, 0x1.b0b4ae86f7ab1p-4, 0x1.9dd11ccce0561p-4, 0x1.89e01b8a5a4b6p-4, 0x1.750b19fb8b5a9p-4, 0x1.5f7a1f6e2ca87p-4, 0x1.4953949809606p-4, 0x1.32bc18ac26288p-4, 0x1.1bd65da4229b8p-4, 0x1.04c30bb6ed4ccp-4, 0x1.db415338f78cbp-5, 0x1.ad171fc48a6a7p-5, 0x1.7f3cb6ef6a24cp-5, 0x1.51e0ea75f054p-5, 0x1.252f30915d5cp-5, 0x1.f29d9c5408634p-6, 0x1.9cc5f5b8b402dp-6, 0x1.49161d7480be7p-6, 0x1.ef8ac41081992p-7, 0x1.52081f77b8ecp-7, 0x1.73ef28b8dfe36p-8, 0x1.3cfe527def182p-10, -0x1.9311fad740786p-9, -0x1.d60b51f0d41f1p-8, -0x1.6afe65035c7b1p-7, -0x1.e492da2fe1866p-7, -0x1.2bd7edce44363p-6, -0x1.62251577df0c3p-6, -0x1.952eecba8931fp-6, -0x1.c4f6dba06d1c8p-6, -0x1.f18169c22a0ecp-6, -0x1.0d6afb65f3587p-5, -0x1.207f3c88fad47p-5, -0x1.320398b3c91fdp-5, -0x1.41ff2ff99871ep-5, -0x1.5079fdd0f4b97p-5, -0x1.5d7cb5e07f3cbp-5, -0x1.6910a6066d5c7p-5, -0x1.733f9a103b484p-5, -0x1.7c13c38daf38p-5, -0x1.8397a497247ecp-5, -0x1.89d5fd1876d14p-5, -0x1.8ed9babb4ae02p-5, -0x1.92adebbb8102ep-5, -0x1.955db4cc6580dp-5, -0x1.96f44902a292fp-5, -0x1.977ce3cd56ff7p-5, -0x1.9702c37261d2fp-5, -0x1.959123f4f7eecp-5, -0x1.9333389ae97a1p-5, -0x1.8ff424ad92cdap-5, -0x1.8bdef2511bcdcp-5, -0x1.86fe8da92f9f8p-5, -0x1.815db2675509ap-5, -0x1.7b06ebc7f07d8p-5, -0x1.740487a82d6dcp-5, -0x1.6c60906081cc4p-5, -0x1.6424c68d49b72p-5, -0x1.5b5a9d353ff2fp-5, -0x1.520b367ebb91dp-5, -0x1.483f618557a84p-5, -0x1.3dff9f3f73e7p-5, -0x1.335419f9670bfp-5, -0x1.2844b16e7cbe7p-5, -0x1.1cd8f911a6964p-5, -0x1.11183c81349f8p-5, -0x1.0509839acb28fp-5, -0x1.f1672b4f53d84p-6, -0x1.d839fa0d7899bp-6, -0x1.be981390ef298p-6, -0x1.a48da70abfe4p-6, -0x1.8a2675a2763e6p-6, -0x1.6f6dd3a7d4ab9p-6, -0x1.546ea82f4aae8p-6, -0x1.39336ce59b8eep-6, -0x1.1dc62c1a04b9dp-6, -0x1.02307ffb2b2b4p-6, -0x1.ccf720dcc98cap-7, -0x1.956024c7428dbp-7, -0x1.5dac91baf563p-7, -0x1.25ec07f1a7465p-7, -0x1.dc5a8e8053bcbp-8, -0x1.6cfc672d83761p-8, -0x1.fbaf7045b376bp-9, -0x1.1e0a0b4ba2b5ep-9, -0x1.04da7a95d818bp-11, 0x1.353f6e58d0615p-10, 0x1.75508ab04d015p-9, 0x1.275afa9abc7bp-8, 0x1.93563284184cfp-8, 0x1.fe893a297d4cfp-8, 0x1.34722df763a0cp-7, 0x1.692c6b0ef50c5p-7, 0x1.9d6c5c13377dap-7, 0x1.d12b728ad147cp-7, 0x1.0235e9ee33487p-6, 0x1.1b8ba10311576p-6, 0x1.349806d6e5a8bp-6, 0x1.4d58910ccc11bp-6, 0x1.65caddf7e0991p-6, 0x1.7decb2e105867p-6, 0x1.95bbfae35dd03p-6, 0x1.ad36c60ba0826p-6, 0x1.c45b49135ba2ap-6, 0x1.db27dcb73bb54p-6, 0x1.f19afdbe8ccefp-6, 0x1.03d9a62edfcfbp-5, 0x1.0eb7c5ed63a8bp-5, 0x1.196750e5784a4p-5, 0x1.23e7ca45a6e8ep-5, 0x1.2e38c568efd6dp-5, 0x1.3859e493a1262p-5, 0x1.424ad842d3b92p-5, 0x1.4c0b5e1c5a62dp-5, 0x1.559b3fe757e32p-5, 0x1.5efa527d67dfcp-5, 0x1.682875dc63e12p-5, 0x1.71258e89cc09ap-5, 0x1.79f18ff2d347fp-5, 0x1.828c705108e06p-5, 0x1.8af62d8974f51p-5, 0x1.932ecb7149546p-5, 0x1.9b36534143496p-5, 0x1.a30cd310f20f5p-5, 0x1.aab25dd99e43ep-5, 0x1.b2270a65750dcp-5, 0x1.b96af34eb33f5p-5, 0x1.c07e391d844c4p-5, 0x1.c760fcd89ef7p-5, 0x1.ce136549129e4p-5, 0x1.d4959c347066fp-5, 0x1.dae7cedf0b1c6p-5, 0x1.e10a2df5a48b7p-5, 0x1.e6fced968602ap-5, 0x1.ecc0454786a3fp-5, 0x1.f2546fdb90c58p-5, 0x1.f7b9abc87fbb9p-5, 0x1.fcf03a9300979p-5, 0x1.00fc30a46494p-4, 0x1.0369341d63279p-4, 0x1.05bf4d7d5b32cp-4, 0x1.07fea41a17782p-4, 0x1.0a27610017112p-4, 0x1.0c39ae76ced47p-4, 0x1.0e35b85dd7fcap-4, 0x1.101babe4cfc07p-4, 0x1.11ebb779ed495p-4, 0x1.13a60ac1499adp-4, 0x1.154ad673b9ce3p-4, 0x1.16da4c4a2b428p-4, 0x1.18549ee8d6479p-4, 0x1.19ba01c43289cp-4, 0x1.1b0aa91f020bp-4, 0x1.1c46c9d4350cdp-4, 0x1.1d6e996a28ee4p-4, 0x1.1e824df0c3006p-4, 0x1.1f821df9c3d47p-4, 0x1.206e408ed08adp-4, 0x1.2146ed2a27f0fp-4, 0x1.220c5bb011659p-4, 0x1.22bec46bbfeb8p-4, 0x1.235e600cdd111p-4, 0x1.23eb67b0c0398p-4, 0x1.246614b72957fp-4, 0x1.24cea1162a393p-4, 0x1.2525470b15d3bp-4, 0x1.256a41448f663p-4, 0x1.259dcadd04fp-4, 0x1.25c01f58ea30ep-4, 0x1.25d17ab1bf53cp-4, 0x1.25d2194aa13dcp-4, 0x1.25c237fbe486p-4, 0x1.25a2140cbae2dp-4, 0x1.2571eb36474bp-4, 0x1.2531fba18eb8fp-4, 0x1.24e283e561e45p-4, 0x1.2483c305cd5a9p-4, 0x1.2415f865dfbcdp-4, 0x1.239963e06202dp-4, 0x1.230e45a438befp-4, 0x1.2274de3f4e1bdp-4, 0x1.21cd6e96c2828p-4, 0x1.211837e0e7871p-4, 0x1.20557b9ef2e16p-4, 0x1.1f857b963f39dp-4, 0x1.1ea879c8c7c08p-4, 0x1.1dbeb871560d4p-4, 0x1.1cc879f5e9551p-4, 0x1.1bc600e43509ep-4, 0x1.1ab78fe9f0497p-4, 0x1.199d69cc11746p-4, 0x1.1877d15f4c95bp-4, 0x1.17470981bc81ep-4, 0x1.160b550d1491ep-4, 0x1.14c4f6dba158ep-4, 0x1.137431b4eeaeap-4, 0x1.1219484c79c98p-4, 0x1.10b47d3afd2p-4, 0x1.0f4612f54c78fp-4, 0x1.0dce4bc88c1eap-4, 0x1.0c4d69d2e385ep-4, 0x1.0ac3aefde303dp-4, 0x1.09315cfa96961p-4, 0x1.0796b51ef36efp-4, 0x1.05f3f8d5fc78ap-4, 0x1.044968bdfcc9bp-4, 0x1.02974580a49bdp-4, 0x1.00ddcf59590d2p-4, 0x1.fe3a8c56a61acp-5, 0x1.faabd2f9775ccp-5, 0x1.f70ff0e3ae1e7p-5, 0x1.f3676390f1461p-5, 0x1.efb2a7a7bee01p-5, 0x1.ebf238ef72cb1p-5, 0x1.e826924ca9b83p-5, 0x1.e4502dad4afdap-5, 0x1.e06f840ce5575p-5, 0x1.dc850d65b3199p-5, 0x1.d89140a96a0d2p-5, 0x1.d49493b91f8e1p-5, 0x1.d08f7b68f88afp-5, 0x1.cc826b3bc07f8p-5, 0x1.c86dd5d4068bep-5, 0x1.c4522c72b0549p-5, 0x1.c02fdf2c6a0c1p-5, 0x1.bc075cd4739c3p-5, 0x1.b7d912f7e0534p-5, 0x1.b3a56dd26c293p-5, 0x1.af6cd849b355p-5, 0x1.ab2fbbe6103bp-5, 0x1.a6ee80cb22cd9p-5, 0x1.a2a98db17b9b8p-5, 0x1.9e6147e045d01p-5, 0x1.9a161326fbc14p-5, 0x1.95c851d71f02fp-5, 0x1.917864c13c8c5p-5, 0x1.8d26ab2d22d22p-5, 0x1.88d382d4117a2p-5, 0x1.847f47de98595p-5, 0x1.802a54df5005dp-5, 0x1.7bd502cea9112p-5, 0x1.777fa907122a4p-5, 0x1.732a9d4cdf38p-5, 0x1.6ed63395f01b4p-5, 0x1.6a82be7217156p-5, 0x1.66308e98d6416p-5, 0x1.61dff324e04c9p-5, 0x1.5d913982a3586p-5, 0x1.5944ad6fb7503p-5, 0x1.54fa98f9c2adap-5, 0x1.50b3447e1d3b8p-5, 0x1.4c6ef6abd7c1ep-5, 0x1.482df46dd5bf5p-5, 0x1.43f0811c373fp-5, 0x1.3fb6de473aca4p-5, 0x1.3b814bd46ab32p-5, 0x1.375007f8d15adp-5, 0x1.33234f39dab97p-5, 0x1.2efb5c6f095bdp-5, 0x1.2ad868c56c54cp-5, 0x1.26baabbb74cc9p-5, 0x1.22a25b294a2d7p-5, 0x1.1e8ff7e08f389p-5, 0x1.1a831e7c0baffp-5, 0x1.167c48d6cae9cp-5, 0x1.127ba641f0462p-5, 0x1.0e8164732edb5p-5, 0x1.0a8daf87b5d4ep-5, 0x1.06a0b207513fcp-5, 0x1.02ba94e7ae5fp-5, 0x1.fdb6ff1fa3ef3p-6, 0x1.f6072fb75c8bdp-6, 0x1.ee66043fbde71p-6, 0x1.e6d3c259fd538p-6, 0x1.df50ac9d4bbe2p-6, 0x1.d7dd02e999018p-6, 0x1.d07901cb9a8f8p-6, 0x1.c924e32f9bb82p-6, 0x1.c1e0de1793815p-6, 0x1.baad26b2e8081p-6, 0x1.b389ee68c7e27p-6, 0x1.ac7763e2269eap-6, 0x1.a575b313ed548p-6, 0x1.9e850552197fap-6, 0x1.97a5812f1313fp-6, 0x1.90d74ad225cb7p-6, 0x1.8a1a83ca48c98p-6, 0x1.836f4b1fbd3dep-6, 0x1.7cd5bd6ad471bp-6, 0x1.764df4daceff1p-6, 0x1.6fd80940ba7eap-6, 0x1.6974101af8172p-6, 0x1.63221ca0792a1p-6, 0x1.5ce23fc6bd5d8p-6, 0x1.56b48861e9751p-6, 0x1.50990317109f7p-6, 0x1.4a8fba697e16ap-6, 0x1.4498b6dc62b3dp-6, 0x1.3eb3feec5b0c4p-6, 0x1.38e1971f52c1ap-6, 0x1.332182108636ap-6, 0x1.2d73c07c1e3b6p-6, 0x1.27d8514acf3ep-6, 0x1.224f319d787b5p-6, 0x1.1cd85cd8b3b4cp-6, 0x1.1773ccb064e59p-6, 0x1.122179333be5ep-6, 0x1.0ce158d619334p-6, 0x1.07b3607f77a6cp-6, 0x1.0297839217778p-6, 0x1.fb1b682abbfb7p-7, 0x1.f12bc474247bep-7, 0x1.e75ffadd9679ap-7, 0x1.ddb7e6b7bed96p-7, 0x1.d43360fe0c1b3p-7, 0x1.cad2402742569p-7, 0x1.c194583dfd4e6p-7, 0x1.b8797af6364fep-7, 0x1.af8177c253da8p-7, 0x1.a6ac1be8c49bp-7, 0x1.9df93299367b2p-7, 0x1.956884f5bc80ap-7, 0x1.8cf9da37a7073p-7, 0x1.84acf7c5b11a3p-7, 0x1.7c81a1323cb07p-7, 0x1.7477985c261b3p-7, 0x1.6c8e9d81e00fap-7, 0x1.64c66f526d9fbp-7, 0x1.5d1ecaffc0448p-7, 0x1.55976c512292ep-7, 0x1.4e300db51362dp-7, 0x1.46e86853682d3p-7, 0x1.3fc03421de754p-7, 0x1.38b727f32680ap-7, 0x1.31ccf8b7d63fap-7, 0x1.2b015d402b439p-7, 0x1.24540706ba728p-7, 0x1.1dc4a9e6a43b1p-7, 0x1.1752f7ceabb51p-7, 0x1.10fea1fa65d2ap-7, 0x1.0ac758f2299cdp-7, 0x1.04accc9680872p-7, 0x1.fd5d585b5f0ffp-8, 0x1.f1994ce2e721cp-8, 0x1.e60cd338ec7d7p-8, 0x1.dab746eef4684p-8, 0x1.cf9802cc6c356p-8, 0x1.c4ae60e7ab6c3p-8, 0x1.b9f9babdc4875p-8, 0x1.af7969459724p-8, 0x1.a52cc5589da3dp-8, 0x1.9b13269a0d43bp-8, 0x1.912be5a1eba07p-8, 0x1.87765a161c7bap-8, 0x1.7df1dbc55b8a3p-8, 0x1.749dc27c6630ap-8, 0x1.6b79661cc8bd9p-8, 0x1.62841eb03d281p-8, 0x1.59bd447b865b9p-8, 0x1.51243017a8b1p-8, 0x1.48b83a53df311p-8, 0x1.4078bcb448dfbp-8, 0x1.386510fb5eeb1p-8, 0x1.307c919bb4a9bp-8, 0x1.28be999b3a213p-8, 0x1.212a84ab54447p-8, 0x1.19bfaf375841dp-8, 0x1.127d76727dbe3p-8, 0x1.0b633863efbcap-8, 0x1.047053f34ef5ap-8, 0x1.fb4851e9821e1p-9, 0x1.edfc3068c466bp-9, 0x1.e0fb070295b62p-9, 0x1.d4439b70b343cp-9, 0x1.c7d4b59e177d7p-9, 0x1.bbad1fc387ef5p-9, 0x1.afcba69a83bfap-9, 0x1.a42f172a7ea82p-9, 0x1.98d6456e2cd24p-9, 0x1.8dc0051793c85p-9, 0x1.82eb2afc01fe8p-9, 0x1.785690f36019cp-9, 0x1.6e0112d16295ep-9, 0x1.63e98f1e301e4p-9, 0x1.5a0ee72b96a46p-9, 0x1.506fff2061f1dp-9, 0x1.470bbe02420fp-9, 0x1.3de10dbf8c81dp-9, 0x1.34eedb3835b42p-9, 0x1.2c341645f6ae3p-9, 0x1.23afb1c35326cp-9, 0x1.1b60a38d0ebf6p-9, 0x1.1345e4fc86fd6p-9, 0x1.0b5e71215691bp-9, 0x1.03a9480d44074p-9, 0x1.f84ad75f926f3p-10, 0x1.e9a3c2d8c95d1p-10, 0x1.db5b63a548817p-10, 0x1.cd6fd133928edp-10, 0x1.bfdf294be17dp-10, 0x1.b2a7901d76a2ap-10, 0x1.a5c72fd63658dp-10, 0x1.993c3a2a3b5a9p-10, 0x1.8d04e59144316p-10, 0x1.811f7021d16e6p-10, 0x1.758a1de672dbp-10, 0x1.6a43395a77dcdp-10, 0x1.5f49135cd2062p-10, 0x1.549a03294bd2ap-10, 0x1.4a3466590a21fp-10, 0x1.4016a0dea7cbfp-10, 0x1.363f1cff9de6dp-10, 0x1.2cac4b4fe021dp-10, 0x1.235ca2aafbdcap-10, 0x1.1a4ea02dfe87cp-10, 0x1.1180c73021e5p-10, 0x1.08f1a13af5ac9p-10, 0x1.009fbe01f0a3cp-10, 0x1.f11366b44b3acp-11, 0x1.e15c3a5fe26dbp-11, 0x1.d2173af927c26p-11, 0x1.c341b8715c33ap-11, 0x1.b4d90ea87b2ddp-11, 0x1.a6daa57db1ed6p-11, 0x1.9943f09378bd3p-11, 0x1.8c126f0b9b87dp-11, 0x1.7f43aba25042bp-11, 0x1.72d53c9a84791p-11, 0x1.66c4c397b5378p-11, 0x1.5b0fed80b4169p-11, 0x1.4fb47264a95bdp-11, 0x1.44b0155f8a0a5p-11, 0x1.3a00a47d9ac18p-11, 0x1.2fa3f89e2e40bp-11, 0x1.2597f55519cdap-11, 0x1.1bda88c32d9dcp-11, 0x1.1269abb56f2d3p-11, 0x1.094361f890cc8p-11, 0x1.0065b646cb89bp-11, 0x1.ef9d854c92eb3p-12, 0x1.def94eb934949p-12, 0x1.cedb1f73d2b26p-12, 0x1.bf3f618d23255p-12, 0x1.b0229190ab8cfp-12, 0x1.a18140d744d38p-12, 0x1.935811059f28fp-12, 0x1.85a3b7fac9363p-12, 0x1.7860fd3479fd5p-12, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.02caa9951b182p-1, -0x1.fd20b3bcf4ff7p-2, -0x1.f328e93587115p-2, -0x1.e7237da0ff35ep-2, -0x1.d8dfab9feba99p-2, -0x1.c872ec11c4cc6p-2, -0x1.b625245ce5dc2p-2, -0x1.a25edd5a2b2ep-2, -0x1.8d9a46dcc7c7cp-2, -0x1.7857d425a18eep-2, -0x1.631491ef391a1p-2, -0x1.4e43294dc7401p-2, -0x1.3a47ea9e0d3dep-2, -0x1.277693b119879p-2, -0x1.1610eaaec09fcp-2, -0x1.064659f9e39c1p-2, -0x1.f069d7094ab2p-3, -0x1.d7d6565f15d7p-3, -0x1.c2d43278935f3p-3, -0x1.b14db44c75a59p-3, -0x1.a318de2c2f126p-3, -0x1.97fbd56b715b1p-3, -0x1.8fb048cf0122cp-3, -0x1.89e904b75bc14p-3, -0x1.86547bcdc56ddp-3, -0x1.849f22a5a8fa3p-3, -0x1.8475339bb3f09p-3, -0x1.85847b0d9f421p-3, -0x1.877e49e999d7p-3, -0x1.8a1943f2bbd21p-3, -0x1.8d12a60269c09p-3, -0x1.902edb2317cdp-3, -0x1.933978b1b6c89p-3, -0x1.9604ea14f855ep-3, -0x1.986a13ebb51d6p-3, -0x1.9a481c0979cb2p-3, -0x1.9b84590870483p-3, -0x1.9c0a4014f69dep-3, -0x1.9bcb37efc9596p-3, -0x1.9abe31710522p-3, -0x1.98df0dd6be217p-3, -0x1.962de3dfe71b3p-3, -0x1.92ae3d202b8e2p-3, -0x1.8e6665f458a62p-3, -0x1.895ee16fea785p-3, -0x1.83a20517e6661p-3, -0x1.7d3bb36d0735dp-3, -0x1.7639253eda3b7p-3, -0x1.6ea8b41b56e03p-3, -0x1.66999cfa5a269p-3, -0x1.5e1bb98ee8bdfp-3, -0x1.553f320c9a6eep-3, -0x1.4c142b7d67c9ap-3, -0x1.42aa7add1d66bp-3, -0x1.39116344af10bp-3, -0x1.2f5767cc1cb25p-3, -0x1.258a2fac02dbdp-3, -0x1.1bb67da7be1ep-3, -0x1.11e83339a41fbp-3, -0x1.082a59f78be18p-3, -0x1.fd0e5a51259e2p-4, -0x1.ea1041b11f4c6p-4, -0x1.d76bc980b6118p-4, -0x1.c528f2c0a94dcp-4, -0x1.b367cb86271b3p-4, -0x1.a22c238f0df6fp-4, -0x1.91808e72b7d36p-4, -0x1.816df69eadbc3p-4, -0x1.71fbbbec396ccp-4, -0x1.632fdc7e50141p-4, -0x1.550f1a713a0cap-4, -0x1.479d1d30b5437p-4, -0x1.3adc8b718b06bp-4, -0x1.2ecf1e87e1ffp-4, -0x1.2375b1f5ff3c1p-4, -0x1.18d050ddd4581p-4, -0x1.0ede439d1e8f5p-4, -0x1.059e1d46f5532p-4, -0x1.fa1b91d250f39p-5, -0x1.ea552cd20a07bp-5, -0x1.dbe28c8332d53p-5, -0x1.cebc2d496dd13p-5, -0x1.c2d9a1eba782p-5, -0x1.b831b4b47b1a8p-5, -0x1.aeba89d4cf705p-5, -0x1.a669c5aa32039p-5, -0x1.9f34b0e549fd1p-5, -0x1.9910598b3eb61p-5, -0x1.93f1aeb2da064p-5, -0x1.8fcd95cdd2656p-5, -0x1.8c98fa4dd6dfbp-5, -0x1.8a48d9992e75dp-5, -0x1.88d249c8dbe65p-5, -0x1.882a7fdb8a297p-5, -0x1.8846d2737523dp-5, -0x1.891cbc520c181p-5, -0x1.8aa1dc399dde4p-5, -0x1.8ccbf54b2ce8ap-5, -0x1.8f90ef08de615p-5, -0x1.92e6d66891b9ap-5, -0x1.96c3df9a8907dp-5, -0x1.9b1e6b2c27154p-5, -0x1.9fed0b4960348p-5, -0x1.a5268b35209bcp-5, -0x1.aac1f4e9ce429p-5, -0x1.b0b69d68fbe2ap-5, -0x1.b6fc266ed10fp-5, -0x1.bd8a867d81f2p-5, -0x1.c45a0bf05baap-5, -0x1.cb6360276fedep-5, -0x1.d29f87418a642p-5, -0x1.da07e02985df6p-5, -0x1.e19622a2aaf8ep-5, -0x1.e9445ab2589adp-5, -0x1.f10ce7ba6a659p-5, -0x1.f8ea74c58f2eep-5, -0x1.006bfa88c39d8p-4, -0x1.04684f7075caap-4, -0x1.0867f2dd4a7f4p-4, -0x1.0c68bbcec6acfp-4, -0x1.10689bd29b6eap-4, -0x1.14659dccdefcfp-4, -0x1.185de4e32b7a4p-4, -0x1.1c4faba213ecdp-4, -0x1.203943a10293cp-4, -0x1.241915608b804p-4, -0x1.27eda0572ab3cp-4, -0x1.2bb57b1c00b4cp-4, -0x1.2f6f5384a0fdep-4, -0x1.3319eeb9894c5p-4, -0x1.36b429cca1eadp-4, -0x1.3a3cf82e41272p-4, -0x1.3db364cc62ea8p-4, -0x1.411690acd718p-4, -0x1.4465b26dc6487p-4, -0x1.47a0155121aa1p-4, -0x1.4ac51837d6e59p-4, -0x1.4dd42c63408c5p-4, -0x1.50ccd441f03a4p-4, -0x1.53aea2233d0b3p-4, -0x1.567936ee3aa21p-4, -0x1.592c40d99cfb8p-4, -0x1.5bc77a3fe0174p-4, -0x1.5e4aa81cd29dep-4, -0x1.60b59ad1d7c12p-4, -0x1.630829b993fd3p-4, -0x1.654235daf70fep-4, -0x1.67648c3b6d811p-4, -0x1.696d6cd455e92p-4, -0x1.6b5d8ef986aadp-4, -0x1.6d34f092ffe3ap-4, -0x1.6ef395b430734p-4, -0x1.7099883bfdf72p-4, -0x1.7226d7a221a37p-4, -0x1.739b98c6306bfp-4, -0x1.74f7e5df05d82p-4, -0x1.763bde5b0c573p-4, -0x1.7767a6d918037p-4, -0x1.787b6911c992ep-4, -0x1.797753baed157p-4, -0x1.7a5b9a6165128p-4, -0x1.7b287522f7695p-4, -0x1.7bde2080ed5f9p-4, -0x1.7c7cdcfd0bb4cp-4, -0x1.7d04eec48a101p-4, -0x1.7d769d4a683ep-4, -0x1.7dd232e6906b4p-4, -0x1.7e17fc706d4c9p-4, -0x1.7e48492a53da8p-4, -0x1.7e6368e16c155p-4, -0x1.7e69aeabe0438p-4, -0x1.7e5b6d8e8cf54p-4, -0x1.7e38f9c4d34f3p-4, -0x1.7e02a83dc9c94p-4, -0x1.7db8ce6f30ae4p-4, -0x1.7d5bc22a2fa6ep-4, -0x1.7cebd99f556a1p-4, -0x1.7c696b0237717p-4, -0x1.7bd4cc06990b1p-4, -0x1.7b2e5535fb306p-4, -0x1.7a765ada0de47p-4, -0x1.79ad3404b5b3ap-4, -0x1.78d336fd44373p-4, -0x1.77e8b9f40cdd2p-4, -0x1.76ee12f593155p-4, -0x1.75e397f047446p-4, -0x1.74c99eacbb1b4p-4, -0x1.73a07cc9d1ed9p-4, -0x1.726887c546d43p-4, -0x1.712214e9e8917p-4, -0x1.6fcd7959f7e06p-4, -0x1.6e6b0a05ef49dp-4, -0x1.6cfb1ba8c897p-4, -0x1.6b7e02bbf602ap-4, -0x1.69f4138f449p-4, -0x1.685da1fee268p-4, -0x1.66bb01aa64e95p-4, -0x1.650c85cb8351cp-4, -0x1.6352811db4aeep-4, -0x1.618d45f121816p-4, -0x1.5fbd26022c3a4p-4, -0x1.5de2727236b57p-4, -0x1.5bfd7bbd58d99p-4, -0x1.5a0e91a71e359p-4, -0x1.581603414d786p-4, -0x1.56141ebe7065ap-4, -0x1.5409318bd4032p-4, -0x1.51f588373f0f5p-4, -0x1.4fd96e6d6a39ep-4, -0x1.4db52ef56684cp-4, -0x1.4b8913ad7899bp-4, -0x1.495565898c6ffp-4, -0x1.471a6c92bdabfp-4, -0x1.44d86fe79dfd8p-4, -0x1.428fb5c282272p-4, -0x1.40408366a5fdfp-4, -0x1.3deb1d495bc31p-4, -0x1.3b8fc6ef95d58p-4, -0x1.392ec302dfd49p-4, -0x1.36c853521595ap-4, -0x1.345cb8cbf4201p-4, -0x1.31ec3395faa53p-4, -0x1.2f7702f415fc6p-4, -0x1.2cfd6560c43eap-4, -0x1.2a7f9882ac9d9p-4, -0x1.27fdd93432c04p-4, -0x1.25786382e1ee8p-4, -0x1.22ef72b053863p-4, -0x1.2063413446d71p-4, -0x1.1dd408b6d5c2ep-4, -0x1.1b4202212e53cp-4, -0x1.18ad658abf87fp-4, -0x1.16166a42cbbc4p-4, -0x1.137d46ce5c3ffp-4, -0x1.10e230e7868p-4, -0x1.0e455d7ca37abp-4, -0x1.0ba700af6b938p-4, -0x1.09074dd3a1a36p-4, -0x1.0666776fdfbedp-4, -0x1.03c4af38e008ep-4, -0x1.012226133fc32p-4, -0x1.fcfe1823c90dfp-5, -0x1.f7b720e8e8a29p-5, -0x1.f26fc34d38e13p-5, -0x1.ed285a8362722p-5, -0x1.e7e13ffec273cp-5, -0x1.e29acba3e401bp-5, -0x1.dd555397285p-5, -0x1.d8112c5320001p-5, -0x1.d2cea8a7281dbp-5, -0x1.cd8e19b088cafp-5, -0x1.c84fcee1eb68ep-5, -0x1.c3141600cc29bp-5, -0x1.bddb3b271612dp-5, -0x1.b8a588c615b1bp-5, -0x1.b373479067337p-5, -0x1.ae44bed771bfdp-5, -0x1.a91a33e610521p-5, -0x1.a3f3eaa67164p-5, -0x1.9ed2254f7fefbp-5, -0x1.99b5247ae907p-5, -0x1.949d27272f763p-5, -0x1.8f8a6aba2e3bcp-5, -0x1.8a7d2b03c20d9p-5, -0x1.8575a240be83fp-5, -0x1.8074091df0a32p-5, -0x1.7b7896bb2e6ap-5, -0x1.768380abfb7b5p-5, -0x1.7194fafe33e93p-5, -0x1.6cad383a9c76bp-5, -0x1.67cc696869c66p-5, -0x1.62f2be105c937p-5, -0x1.5e20645512dd8p-5, -0x1.5955888976707p-5, -0x1.5492560df65cfp-5, -0x1.4fd6f678d8d68p-5, -0x1.4b23920753b7cp-5, -0x1.46784f88fa76ap-5, -0x1.41d554666240dp-5, -0x1.3d3ac49fa9821p-5, -0x1.38a8c2d2b9225p-5, -0x1.341f703e405fcp-5, -0x1.2f9eecc44aa04p-5, -0x1.2b2756ede37a2p-5, -0x1.26b8cbee8b3d4p-5, -0x1.225367a79fdf6p-5, -0x1.1df744ac053ddp-5, -0x1.19a47c440226p-5, -0x1.155b2670655a1p-5, -0x1.111b59eec40fp-5, -0x1.0ce52c3d51543p-5, -0x1.08b8b19eafd92p-5, -0x1.0495fd1e06338p-5, -0x1.007d2092fcf9fp-5, -0x1.f8dc59549ccd7p-6, -0x1.f0d261ab665bp-6, -0x1.e8dc76f107ceep-6, -0x1.e0fab38503b31p-6, -0x1.d92d2f95ef4b7p-6, -0x1.d174011edbb6p-6, -0x1.c9cf3bf140d29p-6, -0x1.c23ef1be5517ep-6, -0x1.bac33221eb411p-6, -0x1.b35c0ab407caap-6, -0x1.ac0986cdbb001p-6, -0x1.a4cbb0307db29p-6, -0x1.9da28e6550822p-6, -0x1.968e2721ca3bp-6, -0x1.8f8e7e3cfad36p-6, -0x1.88a395b91f6fep-6, -0x1.81cd6dce79073p-6, -0x1.7b0c04f861ef5p-6, -0x1.745f57f44fd5ep-6, -0x1.6dc761d78ae16p-6, -0x1.6744648ddef8dp-6, -0x1.60d5c9e09f7fcp-6, -0x1.5a7bcd56b76b2p-6, -0x1.543663b6ac821p-6, -0x1.4e05804b4ff9fp-6, -0x1.47e914ed4625fp-6, -0x1.41e1120c93c75p-6, -0x1.3bed66ba0afefp-6, -0x1.360e00b0c59ep-6, -0x1.3042cc5f9f764p-6, -0x1.2a8bb4f269981p-6, -0x1.24e8a45af5743p-6, -0x1.1f5983571aa3p-6, -0x1.19de3992a319bp-6, -0x1.1476ad7877d94p-6, -0x1.0f22c4769d3bdp-6, -0x1.09e262e9b93p-6, -0x1.04b56c2b66d78p-6, -0x1.ff3785369f771p-7, -0x1.f52a8f4ffeae7p-7, -0x1.eb43b7afe0ab7p-7, -0x1.e182bdbe7954dp-7, -0x1.d7e75ed0136acp-7, -0x1.ce715719a80b8p-7, -0x1.c5206116e4f17p-7, -0x1.bbf435b38821ep-7, -0x1.b2ec8c7c54992p-7, -0x1.aa091ba30a6aap-7, -0x1.a149980d758d7p-7, -0x1.98adb565cfd6bp-7, -0x1.90352629e37a4p-7, -0x1.87df9bb29cff3p-7, -0x1.7facc66155341p-7, -0x1.779c5587dbd82p-7, -0x1.6fadf77e3fa01p-7, -0x1.67e159cc01143p-7, -0x1.6036291ead5c2p-7, -0x1.58ac115d6dafap-7, -0x1.5142bdb71e709p-7, -0x1.49f9d8afac7ecp-7, -0x1.42d10c2d2b31dp-7, -0x1.3bc80184cf28cp-7, -0x1.34de61877666ap-7, -0x1.2e13d48e1faf3p-7, -0x1.276802860375p-7, -0x1.20da92fc8d647p-7, -0x1.1a6b2d2ad9858p-7, -0x1.14197800a7716p-7, -0x1.0de51a42079d3p-7, -0x1.07cdba3deb7eep-7, -0x1.01d2fe7d9913fp-7, -0x1.f7e91a4fb4262p-8, -0x1.ec6418c77d6a8p-8, -0x1.e116449ae7caap-8, -0x1.d5feea0145a6p-8, -0x1.cb1d5544641c4p-8, -0x1.c070d2d236a28p-8, -0x1.b5f8af50eb975p-8, -0x1.abb437b1976c9p-8, -0x1.a1a2b923266b9p-8, -0x1.97c38150e1fp-8, -0x1.8e15de753d58ap-8, -0x1.84991f328ca58p-8, -0x1.7b4c92c62ca7ap-8, -0x1.722f8915fb127p-8, -0x1.694152b9cd6bap-8, -0x1.60814108f21e7p-8, -0x1.57eea627983ap-8, -0x1.4f88d513278fap-8, -0x1.474f21af09f91p-8, -0x1.3f40e0d3b3636p-8, -0x1.375d6855ffb11p-8, -0x1.2fa40e4ef878p-8, -0x1.28142ca0d6c55p-8, -0x1.20ad1a392ddbfp-8, -0x1.196e3225ec5c4p-8, -0x1.1256cfa68c71dp-8, -0x1.0b664f426a175p-8, -0x1.049c0ec2c4c44p-8, -0x1.fbeeda706c27p-9, -0x1.eeef960316b36p-9, -0x1.e23913a60020ap-9, -0x1.d5ca1979f56c8p-9, -0x1.c9a17064f5319p-9, -0x1.bdbde41e2228bp-9, -0x1.b21e4339fae94p-9, -0x1.a6c15f335bc0dp-9, -0x1.9ba60c741865bp-9, -0x1.90cb228c8b753p-9, -0x1.862f7b9334d2cp-9, -0x1.7bd1f54f351aep-9, -0x1.71b17031388e4p-9, -0x1.67cccfe3eb40cp-9, -0x1.5e22fb30cdda3p-9, -0x1.54b2dc089c0e2p-9, -0x1.4b7b5f88aac56p-9, -0x1.427b7600baceep-9, -0x1.39b21308f53f5p-9, -0x1.311e2d1218dfbp-9, -0x1.28bebe756bf23p-9, -0x1.2092c4302e69bp-9, -0x1.18993ed19d5cfp-9, -0x1.10d13214c8ef8p-9, -0x1.0939a4f8dd897p-9, -0x1.01d1a1c340d65p-9, -0x1.f5306c011f52p-10, -0x1.e718e505d7e5ap-10, -0x1.d95ad6c3abd7ap-10, -0x1.cbf46ff29147ep-10, -0x1.bee3e5d2c7c37p-10, -0x1.b2277428202ccp-10, -0x1.a5bd5d37c3077p-10, -0x1.99a3e9c4ebed2p-10, -0x1.8dd9691195d07p-10, -0x1.825c30e9a005p-10, -0x1.772a9c4107fc2p-10, -0x1.6c430f3cf124ap-10, -0x1.61a3f25a0dbe2p-10, -0x1.574bb41006eaap-10, -0x1.4d38ca3601814p-10, -0x1.4369b08ede3d5p-10, -0x1.39dce915b524fp-10, -0x1.3090fbf76657dp-10, -0x1.2784778840d1p-10, -0x1.1eb5f03932f0fp-10, -0x1.1624008cc4fbep-10, -0x1.0dcd490b51f12p-10, -0x1.05b070382b788p-10, -0x1.fb984506a4d94p-11, -0x1.ec3e2478aecb1p-11, -0x1.dd4fef82b42c1p-11, -0x1.cecb21025ef5cp-11, -0x1.c0ad414131552p-11, -0x1.b2f3e29aa1272p-11, -0x1.a59ca2fd76b34p-11, -0x1.98a52b7e6081p-11, -0x1.8c0b30366e697p-11, -0x1.7fcc7029f813dp-11, -0x1.73e6b53debe63p-11, -0x1.6857d32d5f1ap-11, -0x1.5d1daac6130a1p-11, -0x1.523623b2660c1p-11, -0x1.479f329f5ef64p-11, -0x1.3d56d578b2c7bp-11, -0x1.335b145b955d4p-11, -0x1.29aa015f39f09p-11, -0x1.2041b86dc4a6bp-11, -0x1.17205f2c2b3a2p-11, -0x1.0e4424d9c82bep-11, -0x1.05ab422e0b9dep-11, -0x1.faa7f27812e8fp-12, -0x1.ea792a9b6e21ap-12, -0x1.dac6d58ee6bb9p-12, -0x1.cb8dae0e7b5b2p-12, -0x1.bcca80897c054p-12, -0x1.ae7a2ae2dd57bp-12, -0x1.a0999c30494c8p-12, -0x1.9325d47b4f1ffp-12, -0x1.861be4801c41dp-12, -0x1.7978ed6cae6cap-12, -0x1.6d3a20a61b87fp-12, -0x1.615cbf8ee4285p-12, -0x1.55de1b39ce5fbp-12, -0x1.4abb9425c6p-12, -0x1.3ff29a11e69p-12, -0x1.3580abb8157e5p-12, -0x1.2b63568cb65fdp-12, -0x1.219836811e316p-12, -0x1.181cf5c649408p-12, -0x1.0eef4c8f5e3p-12, -0x1.060d00d5e9e42p-12, -0x1.fae7cc35cb0b8p-13, -0x1.ea43ba597ab1fp-13, -0x1.da29a7c8e51d5p-13, -0x1.ca958a1a586f1p-13, -0x1.bb8370986c35dp-13, -0x1.acef8077affc3p-13, -0x1.9ed5fbaf85d84p-13, -0x1.913338e597aa5p-13, -0x1.8403a72b3166fp-13, -0x1.7743cca79c487p-13, -0x1.6af0448aed3f2p-13, -0x1.5f05c3e1262b3p-13, -0x1.53811077fcf6ap-13, -0x1.485f08ed0e56fp-13, -0x1.3d9c9f81db7d3p-13, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.6cdcdd7e5ee18p-1, 0x1.636dfa674630ap-1, 0x1.59b750a980dd5p-1, 0x1.4fb655dfec28cp-1, 0x1.456af54b07278p-1, 0x1.3ad767de29b95p-1, 0x1.2ffffb1af4576p-1, 0x1.24eacd11ec7a4p-1, 0x1.199f82b6334eep-1, 0x1.0e26fc97fefe2p-1, 0x1.028b0d1b2cf93p-1, 0x1.edac64c7a296fp-2, 0x1.d626aaf7ccff6p-2, 0x1.be9b1f444f35ap-2, 0x1.a71fec7e5c2d5p-2, 0x1.8fcadb4e3ea63p-2, 0x1.78b1051d745b1p-2, 0x1.61e693dc49ffbp-2, 0x1.4b7e8ddc8f741p-2, 0x1.358aacd6c6b3p-2, 0x1.201b3f1be7302p-2, 0x1.0b3f11eee525bp-2, 0x1.ee06c805eef13p-3, 0x1.c6e7be4663bcap-3, 0x1.a13530273fb59p-3, 0x1.7d002793b7c85p-3, 0x1.5a56a254ca4eap-3, 0x1.3943ad0f9bb2cp-3, 0x1.19cf8461c502ap-3, 0x1.f7ff75ab247c6p-4, 0x1.bfaec50e7d6d5p-4, 0x1.8aae72e4b6561p-4, 0x1.58fbaef6e7abbp-4, 0x1.2a8fbacbb63f8p-4, 0x1.fec08ffefap-5, 0x1.aebfab9ea72cap-5, 0x1.64fc199802c35p-5, 0x1.21502fab42f49p-5, 0x1.c723e6a4e7911p-6, 0x1.572779baef371p-6, 0x1.e49346be30f7cp-7, 0x1.3047d3f0a773ap-7, 0x1.212f74bd8ef5ap-8, 0x1.2a07a08529999p-13, -0x1.d198310d68e5cp-9, -0x1.b6e8c4fea2c6dp-8, -0x1.3165975c4951ap-7, -0x1.771c21f8dc5b3p-7, -0x1.ad790feea1ed9p-7, -0x1.d55afb4d3df16p-7, -0x1.ef9d221e7c243p-7, -0x1.fd169d6690606p-7, -0x1.fe99b57e878ap-7, -0x1.f4f3519c7d9d3p-7, -0x1.e0ea805c7db92p-7, -0x1.c34017239ef7p-7, -0x1.9cae664478698p-7, -0x1.6de8ffde83a2p-7, -0x1.379c8f88b23c2p-7, -0x1.f4dd81e25dad2p-8, -0x1.6dfc67700fdffp-8, -0x1.b789eb9ef12e9p-9, -0x1.fac268c7a2dbbp-11, 0x1.98d94fb92db42p-10, 0x1.13e15c36d9e45p-8, 0x1.c8b0a8235ca0fp-8, 0x1.41dc9b59eedd7p-7, 0x1.a20e6b00749b9p-7, 0x1.0242722d2511p-6, 0x1.346e998022083p-6, 0x1.675d2d590d333p-6, 0x1.9ae281db67b16p-6, 0x1.ced5a31e8691bp-6, 0x1.01881d4b3d82ap-5, 0x1.1bb73a3362091p-5, 0x1.35e772646785fp-5, 0x1.500936d50ae08p-5, 0x1.6a0e124ffc56p-5, 0x1.83e89ca54717ep-5, 0x1.9d8c6e1d8cd23p-5, 0x1.b6ee133791632p-5, 0x1.d00300b6c4b83p-5, 0x1.e8c188081c1b5p-5, 0x1.009066009223bp-4, 0x1.0c8c5afe18a02p-4, 0x1.1850f5a9c8ea4p-4, 0x1.23dae19e6c14bp-4, 0x1.2f271e8252e5fp-4, 0x1.3a32fb55636e4p-4, 0x1.44fc11eef76dep-4, 0x1.4f8042ab02832p-4, 0x1.59bdb045cb45p-4, 0x1.63b2bbe55becap-4, 0x1.6d5e014fb7c59p-4, 0x1.76be534cc8112p-4, 0x1.7fd2b832e43dcp-4, 0x1.889a669cc791dp-4, 0x1.9114c247c0996p-4, 0x1.99415918dd541p-4, 0x1.a11fe047d2babp-4, 0x1.a8b031ae5729ap-4, 0x1.aff2493ab76e3p-4, 0x1.b6e642844f698p-4, 0x1.bd8c5680b18bbp-4, 0x1.c3e4d9583f434p-4, 0x1.c9f03858e55a9p-4, 0x1.cfaef805dbc1bp-4, 0x1.d521b24326d42p-4, 0x1.da49149ba9c19p-4, 0x1.df25dea0b7aadp-4, 0x1.e3b8e061ea4dcp-4, 0x1.e802f8fc3820ep-4, 0x1.ec05153f25d77p-4, 0x1.efc02e67197dcp-4, 0x1.f33548ebb2308p-4, 0x1.f66573614503p-4, 0x1.f951c56c6ca3cp-4, 0x1.fbfb5ec6d19b5p-4, 0x1.fe636654385fap-4, 0x1.004584a37e6cap-3, 0x1.0139bd29941fep-3, 0x1.020ef877a0f0ap-3, 0x1.02c5d45112d0ep-3, 0x1.035ef02e8bd3p-3, 0x1.03daecf0b1bd7p-3, 0x1.043a6c98637c4p-3, 0x1.047e120409acp-3, 0x1.04a680b1aeadep-3, 0x1.04b45c858ffc9p-3, 0x1.04a84994da78p-3, 0x1.0482ebf45ce1dp-3, 0x1.0444e78ad8946p-3, 0x1.03eedfe6c3983p-3, 0x1.03817817385c5p-3, 0x1.02fd5287d8241p-3, 0x1.026310df76d0fp-3, 0x1.01b353e15277p-3, 0x1.00eebb50ae45fp-3, 0x1.0015e5d69ea22p-3, 0x1.fe52e1d3d9d9fp-4, 0x1.fc53f171a205dp-4, 0x1.fa303028f48f1p-4, 0x1.f7e8d0bc68b3ap-4, 0x1.f57f02ec0dcap-4, 0x1.f2f3f355887acp-4, 0x1.f048cb56b055ap-4, 0x1.ed7eb0f2935dcp-4, 0x1.ea96c6b8b392dp-4, 0x1.e7922bae3b9cfp-4, 0x1.e471fb392554bp-4, 0x1.e1374d0d110f8p-4, 0x1.dde33519c6a7p-4, 0x1.da76c37b20e71p-4, 0x1.d6f3046a71741p-4, 0x1.d359003124df9p-4, 0x1.cfa9bb1c95522p-4, 0x1.cbe6357304c23p-4, 0x1.c80f6b69a99aap-4, 0x1.c426551ba1d6dp-4, 0x1.c02be681ec3ep-4, 0x1.bc210f6c367cep-4, 0x1.b806bb7a774fdp-4, 0x1.b3ddd21762d2fp-4, 0x1.afa73673907fap-4, 0x1.ab63c7815f297p-4, 0x1.a7145ff18c6b8p-4, 0x1.a2b9d6306361p-4, 0x1.9e54fc63a5d7bp-4, 0x1.99e6a06905c3ep-4, 0x1.956f8bd5335c2p-4, 0x1.90f083f391a0dp-4, 0x1.8c6a49c668ac2p-4, 0x1.87dd9a07b2ff7p-4, 0x1.834b2d2a6fa25p-4, 0x1.7eb3b75c7f0f1p-4, 0x1.7a17e88904f1ap-4, 0x1.75786c5b4d502p-4, 0x1.70d5ea4233881p-4, 0x1.6c310574079b8p-4, 0x1.678a5cf2f1a0fp-4, 0x1.62e28b91d0b23p-4, 0x1.5e3a27f9917c6p-4, 0x1.5991c4aefee63p-4, 0x1.54e9f01905976p-4, 0x1.504334876d8a9p-4, 0x1.4b9e183a02749p-4, 0x1.46fb1d682d763p-4, 0x1.425ac248faffcp-4, 0x1.3dbd811b8bd72p-4, 0x1.3923d02fee9d7p-4, 0x1.348e21f05ed61p-4, 0x1.2ffce4eae726ap-4, 0x1.2b7083db661acp-4, 0x1.26e965b5eddb2p-4, 0x1.2267edb182309p-4, 0x1.1dec7b532b51ep-4, 0x1.19776a79612f2p-4, 0x1.15091367c5b9cp-4, 0x1.10a1cad32f659p-4, 0x1.0c41e1edfec78p-4, 0x1.07e9a674bbfbdp-4, 0x1.039962baf8d49p-4, 0x1.fea2bb70e7e5ep-5, 0x1.f623b62cf2e61p-5, 0x1.edb6367afaf0ap-5, 0x1.e55ab6c5da86ep-5, 0x1.dd11ab2e63c84p-5, 0x1.d4db81a7c8p-5, 0x1.ccb8a214512e5p-5, 0x1.c4a96e626c22dp-5, 0x1.bcae42a9fcd57p-5, 0x1.b4c77549eee8dp-5, 0x1.acf557060257p-5, 0x1.a5383324c79ebp-5, 0x1.9d904f8dc7ea5p-5, 0x1.95fdece7cfb32p-5, 0x1.8e8146b755897p-5, 0x1.871a937cf59fap-5, 0x1.7fca04d3fb0d3p-5, 0x1.788fc790f2ecfp-5, 0x1.716c03e03bf54p-5, 0x1.6a5edd6493f4cp-5, 0x1.636873559795ep-5, 0x1.5c88e09e2dba2p-5, 0x1.55c03bfaddb98p-5, 0x1.4f0e981804344p-5, 0x1.487403afe4b67p-5, 0x1.41f089a891221p-5, 0x1.3b843131a199ap-5, 0x1.352efde1b8b2cp-5, 0x1.2ef0efd3cb7d6p-5, 0x1.28ca03c42eca1p-5, 0x1.22ba332d5e10ep-5, 0x1.1cc174647c54fp-5, 0x1.16dfbab588537p-5, 0x1.1114f67f42972p-5, 0x1.0b61154ebca3dp-5, 0x1.05c401fa940bp-5, 0x1.003da4bdcf8edp-5, 0x1.f59bc6a4c249p-6, 0x1.eae9421685f93p-6, 0x1.e0637ddc6a61dp-6, 0x1.d60a379a1f921p-6, 0x1.cbdd28bd5e1fap-6, 0x1.c1dc06aee6614p-6, 0x1.b8068302a097bp-6, 0x1.ae5c4ba6e72abp-6, 0x1.a4dd0b12e30d9p-6, 0x1.9b8868740be26p-6, 0x1.925e07dab990ep-6, 0x1.895d8a65ce596p-6, 0x1.80868e6d703eep-6, 0x1.77d8afacda396p-6, 0x1.6f53876b33995p-6, 0x1.66f6aca3809bcp-6, 0x1.5ec1b42b9712cp-6, 0x1.56b430da2751bp-6, 0x1.4ecdb3abcd671p-6, 0x1.470dcbe73261p-6, 0x1.3f7407403963bp-6, 0x1.37fff1fa39464p-6, 0x1.30b1170945863p-6, 0x1.298700328691dp-6, 0x1.2281362ba5a1fp-6, 0x1.1b9f40b942498p-6, 0x1.14e0a6cc83524p-6, 0x1.0e44ee9fba74dp-6, 0x1.07cb9dd21dbd4p-6, 0x1.017439829c3bfp-6, 0x1.f67c8cd39c09bp-7, 0x1.ea5291e60497p-7, 0x1.de698aa8d5d29p-7, 0x1.d2c07f4ce9903p-7, 0x1.c75677f471944p-7, 0x1.bc2a7cde49b07p-7, 0x1.b13b968f8d262p-7, 0x1.a688cdfb91148p-7, 0x1.9c112caa509d3p-7, 0x1.91d3bcdd3001ep-7, 0x1.87cf89b24694fp-7, 0x1.7e039f461e98fp-7, 0x1.746f0ad3ef492p-7, 0x1.6b10dad46a5eap-7, 0x1.61e81f1b1068ep-7, 0x1.58f3e8f22aef4p-7, 0x1.50334b355b77fp-7, 0x1.47a55a6ad1c0dp-7, 0x1.3f492cdb3934bp-7, 0x1.371ddaa857903p-7, 0x1.2f227de26b592p-7, 0x1.2756329c5252p-7, 0x1.1fb816fe7bda5p-7, 0x1.18474b58b42efp-7, 0x1.1102f232cbea2p-7, 0x1.09ea305c25c29p-7, 0x1.02fc2cfa31d9dp-7, 0x1.f870232bbcf85p-8, 0x1.eb3a145009078p-8, 0x1.de548a49b54p-8, 0x1.d1bde70ce33e5p-8, 0x1.c57491ac8ebfp-8, 0x1.b976f66be3a34p-8, 0x1.adc386cdddb32p-8, 0x1.a258b9a337bf4p-8, 0x1.97350b16be1eap-8, 0x1.8c56fcb8117a1p-8, 0x1.81bd1584e5288p-8, 0x1.7765e1f0cb675p-8, 0x1.6d4ff3eb99914p-8, 0x1.6379e2e672667p-8, 0x1.59e24bd785e08p-8, 0x1.5087d13c8fdddp-8, 0x1.47691b1c2444ep-8, 0x1.3e84d705d6b4cp-8, 0x1.35d9b811470b3p-8, 0x1.2d6676dc1fb37p-8, 0x1.2529d18712b0bp-8, 0x1.1d228bb1dfcd8p-8, 0x1.154f6e767053dp-8, 0x1.0daf4863102e7p-8, 0x1.0640ed73d47f1p-8, 0x1.fe066e166b25ap-9, 0x1.efea07d3cf7ecp-9, 0x1.e22a704bfe858p-9, 0x1.d4c57a42cbceep-9, 0x1.c7b902ff5b5f1p-9, 0x1.bb02f236915fbp-9, 0x1.aea139f463dbap-9, 0x1.a291d6841782bp-9, 0x1.96d2ce577cd82p-9, 0x1.8b6231ed4181ep-9, 0x1.803e1bb660f8bp-9, 0x1.7564affac45ebp-9, 0x1.6ad41cbd225dfp-9, 0x1.608a999e31139p-9, 0x1.568667bf2df7fp-9, 0x1.4cc5d1a3d3f9bp-9, 0x1.43472b13c8cbdp-9, 0x1.3a08d0fb8d3abp-9, 0x1.3109294cfe0a7p-9, 0x1.2846a2df70a09p-9, 0x1.1fbfb54f77db6p-9, 0x1.1772e0de5cea7p-9, 0x1.0f5eae5153787p-9, 0x1.0781aed076aa2p-9, 0x1.ffb4f78b2da69p-10, 0x1.f0cf6d75c6496p-10, 0x1.e2501272ec276p-10, 0x1.d434494f9afbcp-10, 0x1.c679845076f66p-10, 0x1.b91d44ee9e9cep-10, 0x1.ac1d1b9486cdcp-10, 0x1.9f76a75af649bp-10, 0x1.932795c61c42ep-10, 0x1.872da282dcf6fp-10, 0x1.7b8697245b15ap-10, 0x1.70304ae1cdb6dp-10, 0x1.6528a254ae23p-10, 0x1.5a6d8f373b2ccp-10, 0x1.4ffd102373e31p-10, 0x1.45d530527f798p-10, 0x1.3bf4075c910a5p-10, 0x1.3257b8f950334p-10, 0x1.28fe74c0d8917p-10, 0x1.1fe675ed3cf84p-10, 0x1.170e031cb38adp-10, 0x1.0e736e1463f62p-10, 0x1.06151383ce1e7p-10, 0x1.fbe2b591eac22p-11, 0x1.ec0d6b6a57343p-11, 0x1.dca740a53af76p-11, 0x1.cdad415531559p-11, 0x1.bf1c8d1920804p-11, 0x1.b0f256abcea93p-11, 0x1.a32be375007f7p-11, 0x1.95c68b1c2d71fp-11, 0x1.88bfb71ccca63p-11, 0x1.7c14e25c3d566p-11, 0x1.6fc398c152eb3p-11, 0x1.63c976cd8425bp-11, 0x1.58242937c12c4p-11, 0x1.4cd16c88f5a83p-11, 0x1.41cf0cba347b9p-11, 0x1.371ae4d48ffa3p-11, 0x1.2cb2de92a208ep-11, 0x1.2294f203c086fp-11, 0x1.18bf2530df963p-11, 0x1.0f2f8bc322a7ep-11, 0x1.05e446ac19d48p-11, 0x1.f9b7079f54bc4p-12, 0x1.e826fb5f43614p-12, 0x1.d714f631e13d7p-12, 0x1.c67d9da518519p-12, 0x1.b65dae9be5599p-12, 0x1.a6b1fcb2a189cp-12, 0x1.977771a689dcp-12, 0x1.88ab0cc07a051p-12, 0x1.7a49e242d61cdp-12, 0x1.6c511ada9bc5ap-12, 0x1.5ebdf3139003dp-12, 0x1.518dbacf862a1p-12, 0x1.44bdd4c0b3b29p-12, 0x1.384bb5e708e9fp-12, 0x1.2c34e51087a97p-12, 0x1.2076fa5c8b121p-12, 0x1.150f9ec1f7463p-12, 0x1.09fc8b984c2dap-12, 0x1.fe77144710b35p-13, 0x1.e994e645b55f9p-13, 0x1.d54e5cc4237a4p-13, 0x1.c19f649b81303p-13, 0x1.ae8407141d017p-13, 0x1.9bf869185416fp-13, 0x1.89f8ca6c93898p-13, 0x1.788184ec7a024p-13, 0x1.678f0bccf12c6p-13, 0x1.571deae32dda4p-13, 0x1.472ac5f08227dp-13, 0x1.37b257f2e946dp-13, 0x1.28b1727a310a5p-13, 0x1.1a24fd01bbc9p-13, 0x1.0c09f44eaad9cp-13, 0x1.fcbad3a4e8bbcp-14, 0x1.e2390623706dbp-14, 0x1.c888f21e9f4c6p-14, 0x1.afa52f76ee55ap-14, 0x1.97887acdf20dcp-14, 0x1.802db474a7db2p-14, 0x1.698fdf61608a3p-14, 0x1.53aa202d445f3p-14, 0x1.3e77bc192ef5bp-14, 0x1.29f41819c13dbp-14, 0x1.161ab7ea7d737p-14, 0x1.02e73d27c260bp-14, 0x1.e0aaccdefd439p-15, 0x1.bcc21d10e0abep-15, 0x1.9a0c571f97e26p-15, 0x1.78819c5a3e434p-15, 0x1.581a41989780dp-15, 0x1.38cecdbadf264p-15, 0x1.1a97f8353197ep-15, 0x1.fadd4f4c6b294p-16, 0x1.c297e0f18abb6p-16, 0x1.8c52272096fefp-16, 0x1.57fef9ff12bfep-16, 0x1.2591859307ac6p-16, 0x1.e9fa8eb136f27p-17, 0x1.8c6c17d5ba3c6p-17, 0x1.325fd97e79dc1p-17, 0x1.b77d37ccc77f9p-18, 0x1.10e370ae21d59p-18, 0x1.c318a84da6794p-20, -0x1.482ded696810bp-21, -0x1.7954bc2874095p-19, -0x1.4a50cbf4cbefcp-18, -0x1.d22120b2f974cp-18, -0x1.2a2140a39088p-17, -0x1.686d9283cebe8p-17, -0x1.a4082e1d4df26p-17, -0x1.dd034b38ebda4p-17, -0x1.09b85a2c7253dp-16, -0x1.23b0e4d979969p-16, -0x1.3c73c208e329ap-16, -0x1.54093bcf4b4ffp-16, -0x1.6a796b49c3a83p-16, -0x1.7fcc39ebcf1d3p-16, -0x1.940962c28121fp-16, -0x1.a73873ad1c761p-16, -0x1.b960ce8b82defp-16, -0x1.ca89aa62ca242p-16, -0x1.daba147853441p-16, -0x1.e9f8f163a1d83p-16, -0x1.f84cfe17520e8p-16, -0x1.02de6870b932cp-15, -0x1.09276d31c32b6p-15, -0x1.0f04b341431f8p-15, -0x1.14794ea789a4p-15, -0x1.198841f316efp-15, -0x1.1e347ea558223p-15, -0x1.2280e59be2be5p-15, -0x1.2670477652a44p-15, -0x1.2a0564f8e20e5p-15, -0x1.2d42ef6be1564p-15, -0x1.302b88f82597bp-15, -0x1.32c1c5008709ap-15, -0x1.350828789203ap-15, -0x1.37012a387e219p-15, -0x1.38af334e86e8cp-15, -0x1.3a149f4dbbe82p-15, -0x1.3b33bc9a66f41p-15, -0x1.3c0eccb414607p-15, -0x1.3ca8047d5c927p-15, -0x1.3d018c8181494p-15, -0x1.3d1d8137f0456p-15, -0x1.3cfdf345c42abp-15, -0x1.3ca4e7bd53778p-15, -0x1.3c14585be2762p-15, -0x1.3b4e33c586eecp-15, -0x1.3a545dbf53935p-15, -0x1.3928af67d7c26p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.70d36f8ab6506p-1, 0x1.67d8477034dfdp-1, 0x1.5ec1bb72785d6p-1, 0x1.558a7ead91d49p-1, 0x1.4c2e04fdb5312p-1, 0x1.42a8a851731d3p-1, 0x1.38f7be8a75e59p-1, 0x1.2f19a292ab347p-1, 0x1.250db32477ec6p-1, 0x1.1ad4498accc97p-1, 0x1.106eaa5a47a39p-1, 0x1.05def1dd96975p-1, 0x1.f64ffb5311ae4p-2, 0x1.e09aa9177beb2p-2, 0x1.caa61b96db0b5p-2, 0x1.b47b70fe9c419p-2, 0x1.9e24871ca998cp-2, 0x1.87abcd95577c5p-2, 0x1.711c1aecb5eb2p-2, 0x1.5a8084ce06cabp-2, 0x1.43e43bd1f2725p-2, 0x1.2d526ae2bd8f4p-2, 0x1.16d61a438f9adp-2, 0x1.007a162bf73ffp-2, 0x1.d491b1b35d289p-3, 0x1.a898efdf97412p-3, 0x1.7d1d29e584876p-3, 0x1.5230a157145e6p-3, 0x1.27e482727b2f4p-3, 0x1.fc91aa5c4d4d8p-4, 0x1.aad8e57206535p-4, 0x1.5ab9fdf8b4ecap-4, 0x1.0c4dcb5f9a887p-4, 0x1.7f556a511d011p-5, 0x1.d392e38003e6dp-6, 0x1.606ba6b65e0e2p-7, -0x1.acbc91614cd15p-8, -0x1.7e67c53bbc352p-6, -0x1.44a43b0bd0d4ep-5, -0x1.c5d6f2f723c75p-5, -0x1.215f2a0384592p-4, -0x1.5da832bc738f1p-4, -0x1.97c35ae2fbf06p-4, -0x1.cfaf119ad3163p-4, -0x1.02b5a8ff7d4a6p-3, -0x1.1c7cc39f9595bp-3, -0x1.352e38837f53cp-3, -0x1.4ccc04313761bp-3, -0x1.6358b2a563b26p-3, -0x1.78d7527fe27fap-3, -0x1.8d4b68a4d35cp-3, -0x1.a0b8e45d55966p-3, -0x1.b32414008dad5p-3, -0x1.c4919a2aea962p-3, -0x1.d5066387a0265p-3, -0x1.e4879d2e36e42p-3, -0x1.f31aab94ae24ep-3, -0x1.0062910a81d38p-2, -0x1.06c65d820329ep-2, -0x1.0cbba82b16828p-2, -0x1.12456a6741f44p-2, -0x1.1766a6d9805c2p-2, -0x1.1c226680977f3p-2, -0x1.207bb60ed45a8p-2, -0x1.2475a37c5078fp-2, -0x1.28133bd0cd9afp-2, -0x1.2b5789222596ap-2, -0x1.2e4590c4512e5p-2, -0x1.30e051a80d711p-2, -0x1.332ac2e52c0f1p-2, -0x1.3527d26dbe3cbp-2, -0x1.36da63e74a2d5p-2, -0x1.38454fa764881p-2, -0x1.396b61d11da5ep-2, -0x1.3a4f5990c785dp-2, -0x1.3af3e873c5cd8p-2, -0x1.3b5bb1da2e4c1p-2, -0x1.3b894a801c96dp-2, -0x1.3b7f381cc7c73p-2, -0x1.3b3ff11575adcp-2, -0x1.3acddc429732ep-2, -0x1.3a2b50c560a3ep-2, -0x1.395a95ec6817bp-2, -0x1.385de325cd0c3p-2, -0x1.37375ffdaa604p-2, -0x1.35e9242788d01p-2, -0x1.34753791bce03p-2, -0x1.32dd92819b236p-2, -0x1.31241db790862p-2, -0x1.2f4ab29a3354ep-2, -0x1.2d531b67838dbp-2, -0x1.2b3f136b8e6c4p-2, -0x1.2910473bcb6c8p-2, -0x1.26c854f688fffp-2, -0x1.2468cc85da05cp-2, -0x1.21f32fe572e38p-2, -0x1.1f68f36b03037p-2, -0x1.1ccb7e108cefap-2, -0x1.1a1c29c06270ap-2, -0x1.175c43a25ab1bp-2, -0x1.148d0c69f33f7p-2, -0x1.11afb8a50c477p-2, -0x1.0ec5710afc5c9p-2, -0x1.0bcf52cbb5d39p-2, -0x1.08ce6fdecf89p-2, -0x1.05c3cf52337ddp-2, -0x1.02b06d984c98p-2, -0x1.ff2a79ab145c2p-3, -0x1.f8e64a5a200e1p-3, -0x1.f2960a18f8c16p-3, -0x1.ec3b62ed3e14ap-3, -0x1.e5d7ec9a1f172p-3, -0x1.df6d2d31144f2p-3, -0x1.d8fc99a0098fdp-3, -0x1.d287963ccf28p-3, -0x1.cc0f774dc1b4cp-3, -0x1.c595818f97ep-3, -0x1.bf1aeab833bdfp-3, -0x1.b8a0d9f67d108p-3, -0x1.b228686f373ddp-3, -0x1.abb2a1b6c326bp-3, -0x1.a5408447d221dp-3, -0x1.9ed301f70f645p-3, -0x1.986b0063ae3fdp-3, -0x1.92095964f798dp-3, -0x1.8baedb74c9644p-3, -0x1.855c4a171aa4ap-3, -0x1.7f125e3e8af0fp-3, -0x1.78d1c6ae01089p-3, -0x1.729b28576d928p-3, -0x1.6c6f1eb7b58acp-3, -0x1.664e3c2fd89a1p-3, -0x1.60390a5b53582p-3, -0x1.5a300a63e5edap-3, -0x1.5433b552ac9e4p-3, -0x1.4e447c5eb5542p-3, -0x1.4862c939114b3p-3, -0x1.428efe5678dadp-3, -0x1.3cc9773692133p-3, -0x1.371288a8e59e8p-3, -0x1.316a810f945e1p-3, -0x1.2bd1a89fdbd6fp-3, -0x1.264841a083d11p-3, -0x1.20ce88a62d3e5p-3, -0x1.1b64b4cdb026bp-3, -0x1.160af7f47c498p-3, -0x1.10c17eef1de04p-3, -0x1.0b8871bdf02fep-3, -0x1.065ff3c004111p-3, -0x1.014823e45cbd5p-3, -0x1.f88239b2eee39p-4, -0x1.ee95ea7679613p-4, -0x1.e4cb7f7edb344p-4, -0x1.db2316c0fb111p-4, -0x1.d19cc70e1b2b7p-4, -0x1.c838a063da092p-4, -0x1.bef6ac399a58ap-4, -0x1.b5d6edcb392aap-4, -0x1.acd96261420e3p-4, -0x1.a3fe0196a818fp-4, -0x1.9b44bd9c2a8f1p-4, -0x1.92ad837966c1p-4, -0x1.8a383b4bb0a02p-4, -0x1.81e4c882d101fp-4, -0x1.79b30a1ba8822p-4, -0x1.71a2dad8d6dc7p-4, -0x1.69b4117970975p-4, -0x1.61e680edd7952p-4, -0x1.5a39f88ac2552p-4, -0x1.52ae443a8510fp-4, -0x1.4b432caca7f96p-4, -0x1.43f87783db75bp-4, -0x1.3ccde7825498ep-4, -0x1.35c33cb4a30bfp-4, -0x1.2ed8349b09916p-4, -0x1.280c8a5166549p-4, -0x1.215ff6b5b6fb7p-4, -0x1.1ad2308d43e95p-4, -0x1.1462eca87c336p-4, -0x1.0e11de058d88ap-4, -0x1.07deb5f1c2c8ep-4, -0x1.01c92429b026ep-4, -0x1.f7a1adf0740fap-5, -0x1.ebeaf6a8f98fp-5, -0x1.e06d79fd3a3fap-5, -0x1.d5288d371bbb2p-5, -0x1.ca1b839f9a57fp-5, -0x1.bf45aeb24cf7dp-5, -0x1.b4a65e4ef754ap-5, -0x1.aa3ce0e942b8p-5, -0x1.a00883b6a1b0fp-5, -0x1.960892da738a1p-5, -0x1.8c3c599070ffdp-5, -0x1.82a322556e2d5p-5, -0x1.793c370e7fc2fp-5, -0x1.7006e12e908afp-5, -0x1.670269da6c29ap-5, -0x1.5e2e1a0b53da5p-5, -0x1.55893ab01e39p-5, -0x1.4d1314ccf5ca8p-5, -0x1.44caf199b5919p-5, -0x1.3cb01a9ef9d8cp-5, -0x1.34c1d9d1e5336p-5, -0x1.2cff79aea604bp-5, -0x1.25684551c8842p-5, -0x1.1dfb889058698p-5, -0x1.16b8900ee161bp-5, -0x1.0f9ea9575068dp-5, -0x1.08ad22edc3687p-5, -0x1.01e34c644af87p-5, -0x1.f680ecdb52557p-6, -0x1.e987e5de276f6p-6, -0x1.dcda2a2201dc7p-6, -0x1.d076629e0b794p-6, -0x1.c45b3b0d9d5a9p-6, -0x1.b887620c71856p-6, -0x1.acf989311e42bp-6, -0x1.a1b06525f3ad9p-6, -0x1.96aaadc03d99bp-6, -0x1.8be71e15f94c7p-6, -0x1.8164749210a08p-6, -0x1.772173071d64ep-6, -0x1.6d1cdec0ce4c2p-6, -0x1.63558093e7ca3p-6, -0x1.59ca24ecfdbc5p-6, -0x1.50799bdde3bc8p-6, -0x1.4762b929e505ep-6, -0x1.3e845450d2af8p-6, -0x1.35dd4898e56e3p-6, -0x1.2d6c75178f027p-6, -0x1.2530bcb932e0cp-6, -0x1.1d290647e2ee8p-6, -0x1.15543c71145d2p-6, -0x1.0db14dca6db58p-6, -0x1.063f2cd5a3867p-6, -0x1.fdf9a006e931fp-7, -0x1.efd2636baa4bdp-7, -0x1.e206a0827fcdep-7, -0x1.d4945bda9ac31p-7, -0x1.c779a1e8fe401p-7, -0x1.bab48706c1407p-7, -0x1.ae43276ddfc78p-7, -0x1.a223a734c57efp-7, -0x1.965432489fe57p-7, -0x1.8ad2fc6673d44p-7, -0x1.7f9e41131119ap-7, -0x1.74b44391fd7d2p-7, -0x1.6a134edb4beb9p-7, -0x1.5fb9b5907a87bp-7, -0x1.55a5d1f06e24cp-7, -0x1.4bd605ca7a472p-7, -0x1.4248ba70a5a93p-7, -0x1.38fc60a91b5c7p-7, -0x1.2fef709ee074ep-7, -0x1.272069d1d71b3p-7, -0x1.1e8dd30619715p-7, -0x1.16363a32b6f9ep-7, -0x1.0e18346fddaap-7, -0x1.06325de47a52bp-7, -0x1.fd06b366b239p-8, -0x1.ee13a3cf99f3dp-8, -0x1.df88eec3d9209p-8, -0x1.d1640384cd669p-8, -0x1.c3a25eabf6834p-8, -0x1.b6418a013ff95p-8, -0x1.a93f1c50ad1f3p-8, -0x1.9c98b93f7caa3p-8, -0x1.904c1120cef7dp-8, -0x1.8456e0c9de902p-8, -0x1.78b6f165d624fp-8, -0x1.6d6a184954a72p-8, -0x1.626e36c5a8be1p-8, -0x1.57c139fbd1b24p-8, -0x1.4d611aaf5036fp-8, -0x1.434bdd18d1c32p-8, -0x1.397f90b8c4d6ep-8, -0x1.2ffa5029d943ap-8, -0x1.26ba40f37e7c9p-8, -0x1.1dbd935c62bf6p-8, -0x1.1502823cffbefp-8, -0x1.0c8752d23c6b9p-8, -0x1.044a54902a077p-8, -0x1.f893c1e9d2f92p-9, -0x1.e908b6b770c3dp-9, -0x1.d9f061a06c994p-9, -0x1.cb47afc3bfc7dp-9, -0x1.bd0ba0ef97a53p-9, -0x1.af3947495efecp-9, -0x1.a1cdc6f65a77bp-9, -0x1.94c655c4ea69ap-9, -0x1.88203ad67908p-9, -0x1.7bd8ce4a1f792p-9, -0x1.6fed78e80785ap-9, -0x1.645bb3cd9881ap-9, -0x1.5921081a708fep-9, -0x1.4e3b0e9e35809p-9, -0x1.43a76f87449e3p-9, -0x1.3963e21243a83p-9, -0x1.2f6e2c3a9b6dcp-9, -0x1.25c4226be4799p-9, -0x1.1c63a73444afap-9, -0x1.134aaaf7c49cep-9, -0x1.0a772ba4a18b5p-9, -0x1.01e73468a31afp-9, -0x1.f331bacedb3c1p-10, -0x1.e31496e3bfb9dp-10, -0x1.d3735f7cec1cdp-10, -0x1.c44a8f4572af7p-10, -0x1.b596b89b7b06fp-10, -0x1.a754850750dep-10, -0x1.9980b4b498601p-10, -0x1.8c181deda4844p-10, -0x1.7f17ac98e9d6cp-10, -0x1.727c61b89d747p-10, -0x1.664352ec6ad34p-10, -0x1.5a69a9f556dd5p-10, -0x1.4eeca43bc51b2p-10, -0x1.43c99257994dp-10, -0x1.38fdd79a7b13ap-10, -0x1.2e86e99c3ba8dp-10, -0x1.24624fc954a5cp-10, -0x1.1a8da2f37fd78p-10, -0x1.11068ce462802p-10, -0x1.07cac7f259871p-10, -0x1.fdb03d2e81502p-11, -0x1.ec58d612b1fb6p-11, -0x1.db8b2dac5514bp-11, -0x1.cb4334fedfaacp-11, -0x1.bb7cfa33fada5p-11, -0x1.ac34a7dd4ad54p-11, -0x1.9d66843a1ccf7p-11, -0x1.8f0ef080f7fe1p-11, -0x1.812a682d00c4ep-11, -0x1.73b5804f28ab4p-11, -0x1.66ace6e31a343p-11, -0x1.5a0d6227d9d8ep-11, -0x1.4dd3cffc0df57p-11, -0x1.41fd253ddfec4p-11, -0x1.36866d2e6e63cp-11, -0x1.2b6cc8d8bff54p-11, -0x1.20ad6e7c2bb77p-11, -0x1.1645a8fa2acf2p-11, -0x1.0c32d74785f5cp-11, -0x1.02726be0d019bp-11, -0x1.f203d88447edep-12, -0x1.dfbde0c42c06ap-12, -0x1.ce0e445f97a72p-12, -0x1.bcf07a285d38fp-12, -0x1.ac601aec528cep-12, -0x1.9c58e083cc4a1p-12, -0x1.8cd6a4e5f91c7p-12, -0x1.7dd5614309473p-12, -0x1.6f512d24005f1p-12, -0x1.61463d901dd09p-12, -0x1.53b0e437b90fbp-12, -0x1.468d8ea47f6f6p-12, -0x1.39d8c56ef5e57p-12, -0x1.2d8f2b79201c9p-12, -0x1.21ad7d2e3d83dp-12, -0x1.16308fc77686fp-12, -0x1.0b15509568d34p-12, -0x1.0058c44e7561ap-12, -0x1.ebf00cc370d1dp-13, -0x1.d7e0909d23169p-13, -0x1.c47da20148c39p-13, -0x1.b1c1f8606e8b5p-13, -0x1.9fa8738db3a79p-13, -0x1.8e2c1a90777d4p-13, -0x1.7d481a7e31d28p-13, -0x1.6cf7c55c518fep-13, -0x1.5d369109e3e53p-13, -0x1.4e001630ec68cp-13, -0x1.3f500f3f2b879p-13, -0x1.312257663675ap-13, -0x1.2372e9a2a6f8p-13, -0x1.163ddfca4d6a8p-13, -0x1.097f71a11cf2dp-13, -0x1.fa67e7e98ff13p-14, -0x1.e2afaf7d92a82p-14, -0x1.cbcf529983c4p-14, -0x1.b5c01eddf91ap-14, -0x1.a07b9559e8751p-14, -0x1.8bfb68ff64e37p-14, -0x1.78397d23c8d5fp-14, -0x1.652fe40afcb7fp-14, -0x1.52d8dd7d96a1ap-14, -0x1.412ed56987a83p-14, -0x1.302c628d15964p-14, -0x1.1fcc452bd6d4fp-14, -0x1.100965cd71d4p-14, -0x1.00ded405dc635p-14, -0x1.e48f8a8db3ecdp-15, -0x1.c87f2774f4408p-15, -0x1.ad837a4cb2fc1p-15, -0x1.9393c3aece8c6p-15, -0x1.7aa7872becc2dp-15, -0x1.62b68943ba52cp-15, -0x1.4bb8cd6cda142p-15, -0x1.35a6942c128dep-15, -0x1.2078593a4f7e3p-15, -0x1.0c26d1b90869fp-15, -0x1.f155d4e957ff8p-16, -0x1.cbfb8c6943671p-16, -0x1.a831783109f47p-16, -0x1.85eaac04732edp-16, -0x1.651a9e18e6c46p-16, -0x1.45b5241abe01dp-16, -0x1.27ae704a13eep-16, -0x1.0afb0eae6c27fp-16, -0x1.df1fc4c102d59p-17, -0x1.aac445d331c02p-17, -0x1.78ceb36f60624p-17, -0x1.492abf4be7fc8p-17, -0x1.1bc4b531a3e18p-17, -0x1.e112ecb48be1fp-18, -0x1.8ecce9e72f782p-18, -0x1.40935f8d36ce5p-18, -0x1.ec86b805b8dd2p-19, -0x1.5f75ec8b7f82cp-19, -0x1.b3651835b9248p-20, -0x1.6bf2e11a10e6p-21, 0x1.ce98a10b14eefp-23, 0x1.1c78c2349113ap-20, 0x1.f26c5802a9e35p-20, 0x1.5e0f9067f872bp-19, 0x1.bcff8776b3204p-19, 0x1.0b1db5416cc24p-18, 0x1.34fb7fa7c9341p-18, 0x1.5c3241f63c65ep-18, 0x1.80da5d1a89bf7p-18, 0x1.a30b797a0d0dbp-18, 0x1.c2dc8c56bf4b6p-18, 0x1.e063dd0906498p-18, 0x1.fbb70a0fb85d5p-18, 0x1.0a7586fbd136ap-17, 0x1.160a220df286cp-17, 0x1.20a336a034bcp-17, 0x1.2a4a5a03d369p-17, 0x1.3308d8a275118p-17, 0x1.3ae7b81623a17p-17, 0x1.41efb930a7e98p-17, 0x1.482959f2d3a03p-17, 0x1.4d9cd7743f118p-17, 0x1.52522fbbfe5b6p-17, 0x1.5651238aca951p-17, 0x1.59a138171a641p-17, 0x1.5c49b8bb9cb5p-17, 0x1.5e51b89891892p-17, 0x1.5fc01428646e7p-17, 0x1.609b72c7fa0c8p-17, 0x1.60ea483317197p-17, 0x1.60b2d5f545979p-17, 0x1.5ffb2ccfa3018p-17, 0x1.5ec92e13d83eep-17, 0x1.5d228cf4c5baep-17, 0x1.5b0ccfcd06331p-17, 0x1.588d515bcb649p-17, 0x1.55a941f84cca7p-17, 0x1.5265a8bc1c053p-17, 0x1.4ec764a4b4f35p-17, 0x1.4ad32dac88517p-17, 0x1.468d95dbd42e5p-17, 0x1.41fb0a51846aep-17, 0x1.3d1fd44466f0fp-17, 0x1.380019fcf0de9p-17, 0x1.329fdfc7d3c6cp-17, 0x1.2d0308e1a021ap-17, 0x1.272d585badd96p-17, 0x1.212271fa859b3p-17, 0x1.1ae5db0e0089p-17, 0x1.147afb4350e1ap-17, 0x1.0de51d712a186p-17, 0x1.0727705e36a02p-17, 0x1.004507820b414p-17, 0x1.f281b7818ded4p-18, 0x1.e43b98431238bp-18, 0x1.d5bd3cffd4a69p-18, 0x1.c70c007141c5bp-18, 0x1.b82d0da2ec6b1p-18, 0x1.a92561396e779p-18, 0x1.99f9cab081219p-18, 0x1.8aaeed9098464p-18, 0x1.7b49429c46cd3p-18, 0x1.6bcd18f5a8126p-18, 0x1.5c3e973c145f8p-18, 0x1.4ca1bca25a1b8p-18, 0x1.3cfa61fdb8803p-18, 0x1.2d4c3acdd4556p-18, 0x1.1d9ad63ddce02p-18, 0x1.0de9a01f19cefp-18, 0x1.fc77c3ba1f5b5p-19, 0x1.dd2986d6e21fbp-19, 0x1.bdee985c13665p-19, 0x1.9eccc7b5a4958p-19, 0x1.7fc9a6acb21b2p-19, 0x1.60ea8b1551a37p-19, 0x1.42349071b3e4ap-19, 0x1.23ac998ae459dp-19, 0x1.055751ff75e8fp-19, 0x1.ce725f90d489ap-20, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.c43b56ad732f7p-1, 0x1.c00befd7acde5p-1, 0x1.bbd4d3b547333p-1, 0x1.b795b4b02c3d1p-1, 0x1.b34e1d7254cf1p-1, 0x1.aefd815c2527bp-1, 0x1.aaa34a4f7c54bp-1, 0x1.a63ee3facf7a6p-1, 0x1.a1cfc4dadf353p-1, 0x1.9d55752f9e8f1p-1, 0x1.98cf9422eded7p-1, 0x1.943ddb5f1c71fp-1, 0x1.8fa021504db42p-1, 0x1.8af65a47e1339p-1, 0x1.864098b41c741p-1, 0x1.817f0c992f197p-1, 0x1.7cb2027362957p-1, 0x1.77d9e1a535fe6p-1, 0x1.72f72a8f4f465p-1, 0x1.6e0a746bbb078p-1, 0x1.69146b01ec50fp-1, 0x1.6415cc4551d8bp-1, 0x1.5f0f65ed26593p-1, 0x1.5a02131155e02p-1, 0x1.54eeb9d5ed2e4p-1, 0x1.4fd6492c6ed6fp-1, 0x1.4ab9b6b0a8547p-1, 0x1.4599fca51fc61p-1, 0x1.40781811f2aacp-1, 0x1.3b550707ed3afp-1, 0x1.3631c708c9a17p-1, 0x1.310f5394c857dp-1, 0x1.2beea4dd46612p-1, 0x1.26d0ae9b7e4ap-1, 0x1.21b65f0a3e4dcp-1, 0x1.1ca09e012349ep-1, 0x1.17904c2fa5fa9p-1, 0x1.128642762d23ap-1, 0x1.0d83515b37314p-1, 0x1.0888409aa8cabp-1, 0x1.0395cecd3dc5cp-1, 0x1.fd59624c5379cp-2, 0x1.f39b2689e6408p-2, 0x1.e9f22e3351dc8p-2, 0x1.e05fa9b33eaefp-2, 0x1.d6e4b605edc45p-2, 0x1.cd825cda8f3d4p-2, 0x1.c43994cbbea5p-2, 0x1.bb0b41ac3d7f5p-2, 0x1.b1f834e52b0cfp-2, 0x1.a9012de335664p-2, 0x1.a026da906ce87p-2, 0x1.9769d7d892722p-2, 0x1.8ecab235ec5fcp-2, 0x1.8649e644d9531p-2, 0x1.7de7e15c858e7p-2, 0x1.75a5022b4defp-2, 0x1.6d81995586abbp-2, 0x1.657dea157a56cp-2, 0x1.5d9a2adba5918p-2, 0x1.55d685ee3edddp-2, 0x1.4e331a074bafp-2, 0x1.46affaf0925c5p-2, 0x1.3f4d321cd6812p-2, 0x1.380abf3de3c49p-2, 0x1.30e898d6f984fp-2, 0x1.29e6accb4ae15p-2, 0x1.2304e0e844d77p-2, 0x1.1c43136b67e29p-2, 0x1.15a11b838ed7ap-2, 0x1.0f1ec9cd83544p-2, 0x1.08bbe8cbc9c3cp-2, 0x1.02783d59a4f8ep-2, 0x1.f8a70e3290428p-3, 0x1.ec9b01ba79922p-3, 0x1.e0cbc21a22564p-3, 0x1.d538b40aa745fp-3, 0x1.c9e134e5eece1p-3, 0x1.bec49b547c81p-3, 0x1.b3e237f26fed3p-3, 0x1.a93955ec00a8dp-3, 0x1.9ec93b91ac59ep-3, 0x1.94912ae45df9bp-3, 0x1.8a906219cbe66p-3, 0x1.80c61c195beccp-3, 0x1.773190f1d1e6ep-3, 0x1.6dd1f6480d8acp-3, 0x1.64a67fbf1dc7fp-3, 0x1.5bae5f59f63aap-3, 0x1.52e8c5d7098e4p-3, 0x1.4a54e3060d6a9p-3, 0x1.41f1e6182741bp-3, 0x1.39befdead127fp-3, 0x1.31bb594da7f86p-3, 0x1.29e6274368431p-3, 0x1.223e973e5959dp-3, 0x1.1ac3d9585b425p-3, 0x1.13751e86d8a54p-3, 0x1.0c5198cac6f29p-3, 0x1.05587b5cf794bp-3, 0x1.fd11f5adc715ap-4, 0x1.efc49ab04a9d4p-4, 0x1.e2c755519f4a9p-4, 0x1.d61898b19ff24p-4, 0x1.c9b6dbb905e1fp-4, 0x1.bda0994d4af9cp-4, 0x1.b1d4507fa735ap-4, 0x1.a65084b7440a3p-4, 0x1.9b13bdd72d09ap-4, 0x1.901c886003fa9p-4, 0x1.8569758deb6cep-4, 0x1.7af91b72bf603p-4, 0x1.70ca150cef8c2p-4, 0x1.66db025b25af6p-4, 0x1.5d2a886cf24e5p-4, 0x1.53b75170aed93p-4, 0x1.4a800cbec7031p-4, 0x1.41836ee294375p-4, 0x1.38c031a0f726dp-4, 0x1.303513fcd6a9ap-4, 0x1.27e0da39aaa86p-4, 0x1.1fc24ddc3669p-4, 0x1.17d83da994bb2p-4, 0x1.10217da4b634ap-4, 0x1.089ce70a6e2bfp-4, 0x1.0149584c2d92bp-4, 0x1.f44b6a13073d4p-5, 0x1.e661cc10ffbd2p-5, 0x1.d8d3b25a18809p-5, 0x1.cb9f02deabcc8p-5, 0x1.bec1ada2b26a2p-5, 0x1.b239aca74c6a2p-5, 0x1.a60503d2d9e08p-5, 0x1.9a21c0d7cf3a4p-5, 0x1.8e8dfb1a5c64fp-5, 0x1.8347d3950bbb1p-5, 0x1.784d74bc72629p-5, 0x1.6d9d12620d91p-5, 0x1.6334e99664faep-5, 0x1.5913408a8b107p-5, 0x1.4f3666710fc8ap-5, 0x1.459cb35e78fcp-5, 0x1.3c44882957e0ap-5, 0x1.332c4e4a04cep-5, 0x1.2a5277ba1c05fp-5, 0x1.21b57ed3c0c9dp-5, 0x1.1953e630bc323p-5, 0x1.112c38898094fp-5, 0x1.093d08941e246p-5, 0x1.0184f0e336da3p-5, 0x1.f4052789ee9e9p-6, 0x1.e569364440eecp-6, 0x1.d73370ba58e78p-6, 0x1.c9614863283ep-6, 0x1.bbf03d26774d4p-6, 0x1.aedddd1c22eap-6, 0x1.a227c44bc0f39p-6, 0x1.95cb9c6cc009ep-6, 0x1.89c71ca701b4ap-6, 0x1.7e18095404cc1p-6, 0x1.72bc33c09e066p-6, 0x1.67b179ef4c09ap-6, 0x1.5cf5c65b2e0a5p-6, 0x1.52870fbb98beap-6, 0x1.486358c866801p-6, 0x1.3e88affee6756p-6, 0x1.34f52f678ea87p-6, 0x1.2ba6fc5c60d9p-6, 0x1.229c475009c9p-6, 0x1.19d34b95c3756p-6, 0x1.114a4f29f331p-6, 0x1.08ffa27b8ee47p-6, 0x1.00f1a03641007p-6, 0x1.f23d5a1ab26e1p-7, 0x1.e30a6f0ef4fd2p-7, 0x1.d4476f9631577p-7, 0x1.c5f15ed766ac3p-7, 0x1.b805526fc3771p-7, 0x1.aa8072103aadp-7, 0x1.9d5ff71cb10c8p-7, 0x1.90a12c4caedd6p-7, 0x1.84416d4d9e91ap-7, 0x1.783e266696df6p-7, 0x1.6c94d41da679dp-7, 0x1.614302dea709bp-7, 0x1.56464ea391c54p-7, 0x1.4b9c629e4d354p-7, 0x1.4142f8e40311ep-7, 0x1.3737da19e1ca6p-7, 0x1.2d78dd2359327p-7, 0x1.2403e6d1ca06bp-7, 0x1.1ad6e995a140bp-7, 0x1.11efe530df148p-7, 0x1.094ce66b04abfp-7, 0x1.00ec06c664aeap-7, 0x1.f196d86da39acp-8, 0x1.e1d291b35389cp-8, 0x1.d287b55e6c753p-8, 0x1.c3b2d6aabe75p-8, 0x1.b5509f875cb3bp-8, 0x1.a75dd0113461dp-8, 0x1.99d73e102fd79p-8, 0x1.8cb9d476dff9fp-8, 0x1.800292e49cb15p-8, 0x1.73ae8d2a1910bp-8, 0x1.67baead062733p-8, 0x1.5c24e6a23d55ap-8, 0x1.50e9ce37ddabbp-8, 0x1.46070184ec559p-8, 0x1.3b79f268d57d2p-8, 0x1.314024415408ap-8, 0x1.27572b7f35118p-8, 0x1.1dbcad3d466cap-8, 0x1.146e5ed96b7b7p-8, 0x1.0b6a058fcf437p-8, 0x1.02ad76182962ep-8, 0x1.f46d288a20805p-9, 0x1.e406a54a9b868p-9, 0x1.d423644e5fad1p-9, 0x1.c4bf837b9b4c9p-9, 0x1.b5d73c106b988p-9, 0x1.a766e1f501cc3p-9, 0x1.996ae311816b5p-9, 0x1.8bdfc6a77ed01p-9, 0x1.7ec22caf1b369p-9, 0x1.720ecd37a6111p-9, 0x1.65c277cbb470ep-9, 0x1.59da12d8a4f37p-9, 0x1.4e529b197c7dfp-9, 0x1.432923050c958p-9, 0x1.385ad23f5931bp-9, 0x1.2de4e50e28143p-9, 0x1.23c4abd0b4053p-9, 0x1.19f78a7a6d701p-9, 0x1.107af810bfed4p-9, 0x1.074c7e2bccf83p-9, 0x1.fcd370f414b73p-10, 0x1.eba0a88d7d695p-10, 0x1.dafc20068f9p-10, 0x1.cae175a63c8c4p-10, 0x1.bb4c6835189aap-10, 0x1.ac38d620124c3p-10, 0x1.9da2bca054edcp-10, 0x1.8f8636e8461b6p-10, 0x1.81df7d5578367p-10, 0x1.74aae4a788bebp-10, 0x1.67e4dd3bc6848p-10, 0x1.5b89f24d8a523p-10, 0x1.4f96c93b2ee6fp-10, 0x1.440820cf879d2p-10, 0x1.38dad08fcb9a5p-10, 0x1.2e0bc80dcf40ap-10, 0x1.23980e3e82dfcp-10, 0x1.197cc0d49ba03p-10, 0x1.0fb7139f4ba31p-10, 0x1.06444fecfbd42p-10, 0x1.fa43a7e3db495p-11, 0x1.e89a246565924p-11, 0x1.d78721e4c4691p-11, 0x1.c705d348f2dadp-11, 0x1.b71190c4ab44fp-11, 0x1.a7a5d6c8603afp-11, 0x1.98be44fb161b3p-11, 0x1.8a569d39f82aap-11, 0x1.7c6ac29e82ef8p-11, 0x1.6ef6b88b1dbd7p-11, 0x1.61f6a1be01e52p-11, 0x1.5566bf6a49eccp-11, 0x1.49437057070afp-11, 0x1.3d89300437819p-11, 0x1.323495d581412p-11, 0x1.2742544289de5p-11, 0x1.1caf380cce21ap-11, 0x1.1278277ada56ep-11, 0x1.089a2198bfc8cp-11, 0x1.fe247afb552bfp-12, 0x1.ebbb532cf93fep-12, 0x1.d9f355ea8e991p-12, 0x1.c8c7394b21eb6p-12, 0x1.b831de0a7f7fcp-12, 0x1.a82e4e442b98dp-12, 0x1.98b7bc3736db3p-12, 0x1.89c98112c549fp-12, 0x1.7b5f1bcb0a97ep-12, 0x1.6d742ff6871c2p-12, 0x1.600484b359baep-12, 0x1.530c03946828dp-12, 0x1.4686b7963adb8p-12, 0x1.3a70cc1b4cb34p-12, 0x1.2ec68befaaca7p-12, 0x1.23846053b1f9dp-12, 0x1.18a6d00db96dbp-12, 0x1.0e2a7e82831ep-12, 0x1.040c2ad44112ap-12, 0x1.f4915e10150a4p-13, 0x1.e1b9fe6321614p-13, 0x1.cf8c5149de8fbp-13, 0x1.be02a25cdb919p-13, 0x1.ad176ca015e6p-13, 0x1.9cc5590959fd9p-13, 0x1.8d073d119d01bp-13, 0x1.7dd819510c666p-13, 0x1.6f331825879dap-13, 0x1.61138c633af6bp-13, 0x1.5374f00f2204bp-13, 0x1.4652e3231b138p-13, 0x1.39a92a5b606f8p-13, 0x1.2d73ae0d14a21p-13, 0x1.21ae7905ad656p-13, 0x1.1655b772fc75p-13, 0x1.0b65b5d399e21p-13, 0x1.00dadfef772cfp-13, 0x1.ed637fb0bbc76p-14, 0x1.d9cdf9e45979ep-14, 0x1.c6eeb60512a5p-14, 0x1.b4bf728fd1865p-14, 0x1.a33a232f4c5ddp-14, 0x1.9258ef060891cp-14, 0x1.82162f05ba93dp-14, 0x1.726c6c53b0eccp-14, 0x1.63565eb9e5019p-14, 0x1.54ceeb24569adp-14, 0x1.46d1222a5be2ap-14, 0x1.39583ea38a571p-14, 0x1.2c5fa447e62eep-14, 0x1.1fe2de5b0524bp-14, 0x1.13dd9e61d2b1ap-14, 0x1.084bbae2a7e53p-14, 0x1.fa525c5ed269fp-15, 0x1.e4e42a72c2a11p-15, 0x1.d0455cdd1a9d4p-15, 0x1.bc6eb1402b24fp-15, 0x1.a95923e35a4dep-15, 0x1.96fdeda32a89ap-15, 0x1.855681f20348bp-15, 0x1.745c8ce93ffcap-15, 0x1.6409f16a06a63p-15, 0x1.5458c74d6d3ep-15, 0x1.454359a3793bcp-15, 0x1.36c4250086a8fp-15, 0x1.28d5d5d8a59f4p-15, 0x1.1b7346e8866d8p-15, 0x1.0e977fab85106p-15, 0x1.023db2de71a22p-15, 0x1.ecc27a1d61c1cp-16, 0x1.d5fb466aaaa01p-16, 0x1.c01d22bb9d35ap-16, 0x1.ab1fb2afb5cf7p-16, 0x1.96fae2e8b0f4ep-16, 0x1.83a6e69951797p-16, 0x1.711c3528998a8p-16, 0x1.5f5387e8d326ap-16, 0x1.4e45d7e1ce839p-16, 0x1.3dec5badb723p-16, 0x1.2e408567ebde7p-16, 0x1.1f3c00ad4b3dfp-16, 0x1.10d8b0ad60613p-16, 0x1.0310ae4bf48b5p-16, 0x1.ebbc8ca4d358p-17, 0x1.d277ef60f4eb1p-17, 0x1.ba48e3978e78ep-17, 0x1.a32525bb8fbbfp-17, 0x1.8d02ccbf4926p-17, 0x1.77d8470714a44p-17, 0x1.639c5775fabe7p-17, 0x1.50461293a5b12p-17, 0x1.3dccdbcaac5b5p-17, 0x1.2c2862be80dc1p-17, 0x1.1b50a0b837f4bp-17, 0x1.0b3dd62966c8p-17, 0x1.f7d11088ca85dp-18, 0x1.da92fd5278495p-18, 0x1.beb3824d2cee9p-18, 0x1.a4252b1c13ee2p-18, 0x1.8adafb362a939p-18, 0x1.72c869d86e743p-18, 0x1.5be15e1b0813dp-18, 0x1.461a2b284a932p-18, 0x1.31678c9469e61p-18, 0x1.1dbea2d4d3bcdp-18, 0x1.0b14efd616b5fp-18, 0x1.f2c0a75eb58f4p-19, 0x1.d12e12e4d7976p-19, 0x1.b15f482ebc06ap-19, 0x1.93421705cad25p-19, 0x1.76c4f34cee6fep-19, 0x1.5bd6ef72b3749p-19, 0x1.4267b71390653p-19, 0x1.2a6789cac358p-19, 0x1.13c7363023797p-19, 0x1.fcf02a02e0a8p-20, 0x1.d4d808eb34a5ap-20, 0x1.af2ac77142c9fp-20, 0x1.8bce1d1d478cdp-20, 0x1.6aa8b239988e8p-20, 0x1.4ba217ada5beap-20, 0x1.2ea2bf1fa7504p-20, 0x1.1393f35a9445dp-20, 0x1.f4bfa1ec03c2ap-21, 0x1.c5e27e7b64db5p-21, 0x1.9a67d2ad5c7b9p-21, 0x1.72286f3f7e6cp-21, 0x1.4cfe92969d05ap-21, 0x1.2ac5dc615af2dp-21, 0x1.0b5b41a5c11ddp-21, 0x1.dd3a026c66cd6p-22, 0x1.a8d531146c7a8p-22, 0x1.794971ef31cd2p-22, 0x1.4e5a7a9168af2p-22, 0x1.27ce3f591ae6ep-22, 0x1.056cdffb887a2p-22, 0x1.ce0129754e5ecp-23, 0x1.98ab3878fb32bp-23, 0x1.6a7453fda688fp-23, 0x1.42fcaac389abep-23, 0x1.21e812883917bp-23, 0x1.06dde858c7b22p-23, 0x1.e311e3e75294ep-24, 0x1.c32e80620bf98p-24, 0x1.ad7424d0f96fbp-24, 0x1.a14b759715871p-24, 0x1.9e23075890289p-24, 0x1.a36f2b5089cfp-24, 0x1.b0a9bd5f8b56bp-24, 0x1.c551f3c37adf2p-24, 0x1.e0ec306a85395p-24, 0x1.0180e9e971c22p-23, 0x1.159088b4ec50cp-23, 0x1.2c6e62ae6c412p-23, 0x1.45e625e80ba73p-23, 0x1.61c5acb732ab9p-23, 0x1.7fdceaa3374bfp-23, 0x1.9ffdd9f509941p-23, 0x1.c1fc69e2639a2p-23, 0x1.e5ae6d4f4116fp-23, 0x1.0575c51038237p-22, 0x1.18c6948d2ad9bp-22, 0x1.2cb7332394dbp-22, 0x1.413600f000553p-22, 0x1.563228da25f6ep-22, 0x1.6b9b9985b9845p-22, 0x1.8162fe7e41393p-22, 0x1.9779b99beab1fp-22, 0x1.add1dc9f7f97ap-22, 0x1.c45e23039735fp-22, 0x1.db11ec0143ce8p-22, 0x1.f1e134c679187p-22, 0x1.0460496e45492p-21, 0x1.0fd2975e914b9p-21, 0x1.1b425f4a13f61p-21, 0x1.26aac096890a2p-21, 0x1.32071c851e6e8p-21, 0x1.3d5313d26c407p-21, 0x1.488a846a0cdddp-21, 0x1.53a9872d32574p-21, 0x1.5eac6dcb9a313p-21, 0x1.698fc0ae3ebbp-21, 0x1.74503cf33a7c4p-21, 0x1.7eead27a45fdfp-21, 0x1.895ca2014ae43p-21, 0x1.93a2fb5082ea4p-21, 0x1.9dbb5b75a3efp-21, 0x1.a7a36b0d9b669p-21, 0x1.b158fc9c60d3ap-21, 0x1.bada0af26bfdap-21, 0x1.c424b79f5d36bp-21, 0x1.cd3749716d9ecp-21, 0x1.d6102b013d533p-21, 0x1.deade9499b01bp-21, 0x1.e70f324ae22dbp-21, 0x1.ef32d3b9963a9p-21, 0x1.f717b9b7d99ep-21, 0x1.febced996e371p-21, 0x1.0310ca58f31f6p-20, 0x1.06a277965bb66p-20, 0x1.0a132b776f39cp-20, 0x1.0d629f40e42d3p-20, 0x1.109098039a1d9p-20, 0x1.139ce61ae6698p-20, 0x1.168764af15fb7p-20, 0x1.194ff93c0849bp-20, 0x1.1bf6931bb7affp-20, 0x1.1e7b2b14a8363p-20, 0x1.20ddc2ebfb0fp-20, 0x1.231e64fb2db6ap-20, 0x1.253d23c94b0f1p-20, 0x1.273a19a78d502p-20, 0x1.291568513e132p-20, 0x1.2acf388eca17cp-20, 0x1.2c67b9dbee3f3p-20, 0x1.2ddf2210e0ea6p-20, 0x1.2f35ad0e64216p-20, 0x1.306b9c6caa9cfp-20, 0x1.3181372cf52d4p-20, 0x1.3276c96ddbcf2p-20, 0x1.334ca42227ecp-20, 0x1.34031cca28b4dp-20, 0x1.349a8d2f79867p-20, 0x1.351353231fd2fp-20, 0x1.356dd03df1932p-20, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.3b2db57b200e2p-4, 0x1.392b56ef59bd7p-4, 0x1.369f1247760b6p-4, 0x1.33a5cb012b48fp-4, 0x1.304fd38dd102cp-4, 0x1.2ca2090a108afp-4, 0x1.289748ebb12c2p-4, 0x1.24221b39a10e4p-4, 0x1.1f2e7273c6484p-4, 0x1.19a368cb8f211p-4, 0x1.1364e8562cc79p-4, 0x1.0c55313cba3adp-4, 0x1.04563580d93aep-4, 0x1.f6958b5d75717p-5, 0x1.e22f19a09a8c3p-5, 0x1.cb47b87491471p-5, 0x1.b1b492e41e05fp-5, 0x1.95524317e3206p-5, 0x1.76056c2a01261p-5, 0x1.53bb0ff275695p-5, 0x1.2e68a9e5e1436p-5, 0x1.060c17f8165d6p-5, 0x1.b556b40fa710fp-6, 0x1.58a85f819a9b2p-6, 0x1.ec6e70b9f260ap-7, 0x1.1c7555eba845p-7, 0x1.07b2693047417p-9, -0x1.451dc2994877ap-8, -0x1.904d381f0bcc4p-7, -0x1.43471bc98c124p-6, -0x1.c24206fcc97aap-6, -0x1.22557a0344d8p-5, -0x1.65089d4c1d508p-5, -0x1.a900930856645p-5, -0x1.ee028ad6231ddp-5, -0x1.19e9a23479061p-4, -0x1.3d1bc5950dc5bp-4, -0x1.607a537f1c54cp-4, -0x1.83e8610764a6ep-4, -0x1.a749a1d2406cap-4, -0x1.ca829021d948p-4, -0x1.ed788fad4c4d3p-4, -0x1.080905ba77884p-3, -0x1.191b47689113ap-3, -0x1.29e76d005a07cp-3, -0x1.3a62794048038p-3, -0x1.4a8217bd0e929p-3, -0x1.5a3ca14bb4098p-3, -0x1.69891ec64b042p-3, -0x1.785f4a52e2198p-3, -0x1.86b78f534cfbdp-3, -0x1.948b092364f9dp-3, -0x1.a1d380c9d5a8cp-3, -0x1.ae8b69bdd4727p-3, -0x1.baaddde245e47p-3, -0x1.c63698d4d3ae5p-3, -0x1.d121f2ad42694p-3, -0x1.db6cda475c7bcp-3, -0x1.e514cf2f722cbp-3, -0x1.ee17db476fe8dp-3, -0x1.f6748c386d089p-3, -0x1.fe29ecc27e95p-3, -0x1.029bbefd641cfp-2, -0x1.05ce9842ea4d6p-2, -0x1.08adaeed456aap-2, -0x1.0b3960cc3a269p-2, -0x1.0d72397d40887p-2, -0x1.0f58ef37059f4p-2, -0x1.10ee5faa4fe48p-2, -0x1.12338cfae6c4dp-2, -0x1.13299ad29f8bfp-2, -0x1.13d1cb9035091p-2, -0x1.142d7d9318f18p-2, -0x1.143e28a519982p-2, -0x1.14055b82555abp-2, -0x1.1384b97fb08ddp-2, -0x1.12bdf84fba8bbp-2, -0x1.11b2dde5c4c56p-2, -0x1.10653e76a8549p-2, -0x1.0ed6fa96a8ec5p-2, -0x1.0d09fd73af3fp-2, -0x1.0b003b2b02e74p-2, -0x1.08bbaf399abcp-2, -0x1.063e5b05ff319p-2, -0x1.038a4482bf41ap-2, -0x1.00a174e861745p-2, -0x1.fb0bef0b7b726p-3, -0x1.f473b14b640b2p-3, -0x1.ed7e49122b375p-3, -0x1.e62fcce7c54e9p-3, -0x1.de8c4f990be6cp-3, -0x1.d697de98aa62ap-3, -0x1.ce5680805dddep-3, -0x1.c5cc33b0993e1p-3, -0x1.bcfced0ccb0c2p-3, -0x1.b3ec96d273c6ep-3, -0x1.aa9f0f896d80ep-3, -0x1.a118290bc218p-3, -0x1.975ba7a3a3df1p-3, -0x1.8d6d413df960cp-3, -0x1.83509cb04e877p-3, -0x1.79095110ba9c1p-3, -0x1.6e9ae51eb176bp-3, -0x1.6408cebb86bdap-3, -0x1.59567271a25ap-3, -0x1.4e8723096ef65p-3, -0x1.439e212b10a2ap-3, -0x1.389e9b0c0fa1cp-3, -0x1.2d8bac282b4ep-3, -0x1.22685d0495541p-3, -0x1.1737a2fce8dcap-3, -0x1.0bfc60193f50ep-3, -0x1.00b962ecbd5afp-3, -0x1.eae2ccf82f6f3p-4, -0x1.d44e24571ed69p-4, -0x1.bdb9f367b6851p-4, -0x1.a72b3a3b4b8b7p-4, -0x1.90a6d18646535p-4, -0x1.7a316aaed1043p-4, -0x1.63cf8fe65636ep-4, -0x1.4d85a44d1a105p-4, -0x1.3757e41f5ddbcp-4, -0x1.214a64eb778e8p-4, -0x1.0b6115d056187p-4, -0x1.eb3f7f87e4df9p-5, -0x1.c0140bc26d8c1p-5, -0x1.9546cb79d8b8ep-5, -0x1.6ade6f82889dap-5, -0x1.40e15f1f3524cp-5, -0x1.1755b8d026eadp-5, -0x1.dc82a65aea6bbp-6, -0x1.8b537b973ed88p-6, -0x1.3b288453babf7p-6, -0x1.d81792a64c04cp-7, -0x1.3c0d96392a693p-7, -0x1.448a102d930d8p-8, -0x1.59da9b8765969p-12, 0x1.148a3532f4eccp-8, 0x1.1ce7dcb9e72a2p-7, 0x1.ad0b82b5ccd84p-7, 0x1.1d5189eed1128p-6, 0x1.62d14475e60c5p-6, 0x1.a6ff639e22bb4p-6, 0x1.e9d6cdf9b4b07p-6, 0x1.15a96dc56110bp-5, 0x1.35b7a9a4347acp-5, 0x1.5514344ed7737p-5, 0x1.73bd5c719d5e4p-5, 0x1.91b1a46a3f679p-5, 0x1.aeefc10090ce8p-5, 0x1.cb76981da869ap-5, 0x1.e7453f81d91fep-5, 0x1.012d7dbce73cep-4, 0x1.0e5b9ec9921ap-4, 0x1.1b2cd1a8650cap-4, 0x1.27a0fa6fc14cap-4, 0x1.33b811e565fep-4, 0x1.3f7224d940453p-4, 0x1.4acf5380b950ep-4, 0x1.55cfd0d2aa493p-4, 0x1.6073e1e414ecdp-4, 0x1.6abbdd45c3b1bp-4, 0x1.74a82a62f2d59p-4, 0x1.7e3940e120fb7p-4, 0x1.876fa80124b65p-4, 0x1.904bf601a5cadp-4, 0x1.98cecf83148a9p-4, 0x1.a0f8e6ed3b163p-4, 0x1.a8cafbd68260fp-4, 0x1.b045da6d006ccp-4, 0x1.b76a5ae16c3f5p-4, 0x1.be3960d40de69p-4, 0x1.c4b3dac3b2a4fp-4, 0x1.cadac17ecd074p-4, 0x1.d0af1796c9b0bp-4, 0x1.d631e8d5a1a73p-4, 0x1.db6449b5cb8edp-4, 0x1.e04756dc911a5p-4, 0x1.e4dc3496da47ep-4, 0x1.e9240e5877376p-4, 0x1.ed20163df6abbp-4, 0x1.f0d184911c91dp-4, 0x1.f439974ff1839p-4, 0x1.f75991b67ea0ep-4, 0x1.fa32bbcb4918dp-4, 0x1.fcc661ee713cbp-4, 0x1.ff15d46ba8222p-4, 0x1.009133876c521p-3, 0x1.0176b85dd0d66p-3, 0x1.023c2583cc7c7p-3, 0x1.02e228ebacef2p-3, 0x1.0369717f32ac2p-3, 0x1.03d2aef0e9adcp-3, 0x1.041e918ee3b03p-3, 0x1.044dca16e222ap-3, 0x1.0461098bdd4dep-3, 0x1.0459010cf4ffbp-3, 0x1.043661adc02c5p-3, 0x1.03f9dc5003729p-3, 0x1.03a4217ebc076p-3, 0x1.0335e14a90a2cp-3, 0x1.02afcb279430ap-3, 0x1.02128dcc5eadfp-3, 0x1.015ed712798c2p-3, 0x1.009553d81b372p-3, 0x1.ff6d5fc64e5bbp-4, 0x1.fd872b8af6f5ap-4, 0x1.fb795d84eea01p-4, 0x1.f945456b8c6dcp-4, 0x1.f6ec2ff6b72fcp-4, 0x1.f46f66b14d0b6p-4, 0x1.f1d02fcde131ep-4, 0x1.ef0fcdfdcdf8ep-4, 0x1.ec2f804a80eecp-4, 0x1.e93081f117cadp-4, 0x1.e6140a400ee37p-4, 0x1.e2db4c772ee89p-4, 0x1.df8777a981956p-4, 0x1.dc19b6a154649p-4, 0x1.d8932fc6423c4p-4, 0x1.d4f50505262a2p-4, 0x1.d14053b9fffb8p-4, 0x1.cd76349ba781ep-4, 0x1.c997bba95ad4ep-4, 0x1.c5a5f81a07e6dp-4, 0x1.c1a1f44d46dddp-4, 0x1.bd8cb5be0c3afp-4, 0x1.b9673cf6e6d43p-4, 0x1.b5328587db395p-4, 0x1.b0ef85fdb7918p-4, 0x1.ac9f2fdae6fbap-4, 0x1.a8426f91b116dp-4, 0x1.a3da2c7fcd12dp-4, 0x1.9f6748eb59df1p-4, 0x1.9aeaa20104f01p-4, 0x1.96650fd3894bdp-4, 0x1.91d7655c40529p-4, 0x1.8d42707cebd88p-4, 0x1.88a6fa028d3b7p-4, 0x1.8405c5a94c9f7p-4, 0x1.7f5f9221607c9p-4, 0x1.7ab51914ebd17p-4, 0x1.76070f2ec8c5bp-4, 0x1.7156242232e5dp-4, 0x1.6ca302b3482b6p-4, 0x1.67ee50c055ea5p-4, 0x1.6338af4be84fcp-4, 0x1.5e82ba879103bp-4, 0x1.59cd09df5c211p-4, 0x1.55183005ea5e8p-4, 0x1.5064bb0125da3p-4, 0x1.4bb334378a513p-4, 0x1.4704207df5549p-4, 0x1.42580025f825p-4, 0x1.3daf4f0ca15c9p-4, 0x1.390a84a9b6a84p-4, 0x1.346a141f55f2cp-4, 0x1.2fce6c49f7aaep-4, 0x1.2b37f7d0c7f2p-4, 0x1.26a71d36521f3p-4, 0x1.221c3ee975717p-4, 0x1.1d97bb569cf5cp-4, 0x1.1919ecf9330fcp-4, 0x1.14a32a6d4aab7p-4, 0x1.1033c68177ed9p-4, 0x1.0bcc1048d20fp-4, 0x1.076c532d17e02p-4, 0x1.0314d700f1531p-4, 0x1.fd8bc024956a5p-5, 0x1.f4ff5e79808a1p-5, 0x1.ec8503f831789p-5, 0x1.e41d24fd8fe29p-5, 0x1.dbc82f70ea54fp-5, 0x1.d3868ae901d4fp-5, 0x1.cb5898d10a90ep-5, 0x1.c33eb48d9af86p-5, 0x1.bb3933a17f63dp-5, 0x1.b34865d26d022p-5, 0x1.ab6c954d88ccdp-5, 0x1.a3a606cbc1cb9p-5, 0x1.9bf4f9b5ef2e8p-5, 0x1.9459a848b784bp-5, 0x1.8cd447b82ec3dp-5, 0x1.856508532fb41p-5, 0x1.7e0c15a6646ecp-5, 0x1.76c9969efbd4ep-5, 0x1.6f9dadad0a93dp-5, 0x1.688878e588f19p-5, 0x1.618a1223f6e17p-5, 0x1.5aa28f2b96e41p-5, 0x1.53d201c841d18p-5, 0x1.4d1877eecf528p-5, 0x1.4675fbdd1039ap-5, 0x1.3fea9439540c6p-5, 0x1.397644317ea99p-5, 0x1.33190b99a2161p-5, 0x1.2cd2e70a226bbp-5, 0x1.26a3cffd5e48dp-5, 0x1.208bbcecd7878p-5, 0x1.1a8aa16de1843p-5, 0x1.14a06e4dca0a8p-5, 0x1.0ecd11ad86c3p-5, 0x1.0910771cda775p-5, 0x1.036a87b4fb52p-5, 0x1.fbb6546564057p-6, 0x1.f0c4861fecb4p-6, 0x1.e5ff693a0a461p-6, 0x1.db66be31e1fd4p-6, 0x1.d0fa41935de5fp-6, 0x1.c6b9ac27343a6p-6, 0x1.bca4b320eea1dp-6, 0x1.b2bb084bd8aa5p-6, 0x1.a8fc5a36f30acp-6, 0x1.9f68545fd2585p-6, 0x1.95fe9f5c7e4c1p-6, 0x1.8cbee1044438fp-6, 0x1.83a8bc978a124p-6, 0x1.7abbd2e69babbp-6, 0x1.71f7c27775b96p-6, 0x1.695c27aa942fap-6, 0x1.60e89cdec29aep-6, 0x1.589cba93f1407p-6, 0x1.5078178d13407p-6, 0x1.487a48f10721bp-6, 0x1.40a2e26a8a7b1p-6, 0x1.38f1764741e18p-6, 0x1.31659595d0dfdp-6, 0x1.29fed043084f9p-6, 0x1.22bcb5362e966p-6, 0x1.1b9ed26c6498ep-6, 0x1.14a4b5132ae82p-6, 0x1.0dcde9a207dcbp-6, 0x1.0719fbf35712bp-6, 0x1.0088775c42453p-6, 0x1.f431cd87cb4d3p-7, 0x1.e795a97351b63p-7, 0x1.db3b971594f2dp-7, 0x1.cf22aaae45fc3p-7, 0x1.c349f84a5380cp-7, 0x1.b7b093ea62b34p-7, 0x1.ac5591a7db978p-7, 0x1.a13805d881c2ep-7, 0x1.96570530a09a7p-7, 0x1.8bb1a4e3d217cp-7, 0x1.8146fac47ad23p-7, 0x1.77161d61d81d1p-7, 0x1.6d1e2424df905p-7, 0x1.635e276bc2f18p-7, 0x1.59d540a4441f2p-7, 0x1.50828a64d08bdp-7, 0x1.476520846ed77p-7, 0x1.3e7c203181578p-7, 0x1.35c6a80771d26p-7, 0x1.2d43d8233dd77p-7, 0x1.24f2d236f6008p-7, 0x1.1cd2b99c32387p-7, 0x1.14e2b36582a0bp-7, 0x1.0d21e66ee6a7fp-7, 0x1.058f7b6d4d69dp-7, 0x1.fc5539fa52ad5p-8, 0x1.ede4ef60381f5p-8, 0x1.dfcc743384f9fp-8, 0x1.d20a29b74af6dp-8, 0x1.c49c7560b35ep-8, 0x1.b781c0eb9dce4p-8, 0x1.aab87a6db9755p-8, 0x1.9e3f146816784p-8, 0x1.921405d746e84p-8, 0x1.8635ca4216ddbp-8, 0x1.7aa2e1c6e54b2p-8, 0x1.6f59d127aeb43p-8, 0x1.645921d4d0417p-8, 0x1.599f61f692abep-8, 0x1.4f2b247583328p-8, 0x1.44fb0101a983ep-8, 0x1.3b0d9418a4be5p-8, 0x1.31617f0ab6904p-8, 0x1.27f567fecbab5p-8, 0x1.1ec7f9f58773fp-8, 0x1.15d7e4cb5d9f5p-8, 0x1.0d23dd39c5da7p-8, 0x1.04aa9cd78f631p-8, 0x1.f8d5c430bf1acp-9, 0x1.e8c6e096c74f3p-9, 0x1.d9261f327f9b1p-9, 0x1.c9f11a02824bfp-9, 0x1.bb2574abbb562p-9, 0x1.acc0dc711470dp-9, 0x1.9ec10829d86e6p-9, 0x1.9123b836dfd55p-9, 0x1.83e6b676970dp-9, 0x1.7707d637ede17p-9, 0x1.6a84f42c35fedp-9, 0x1.5e5bf6580adb1p-9, 0x1.528acc03454d1p-9, 0x1.470f6da810369p-9, 0x1.3be7dce124718p-9, 0x1.311224573e94cp-9, 0x1.268c57add1f13p-9, 0x1.1c54936f0e2b4p-9, 0x1.1268fcf73c82p-9, 0x1.08c7c25f81265p-9, 0x1.fede34d01347ap-10, 0x1.ecba88c36dfe3p-10, 0x1.db21102e91337p-10, 0x1.ca0e6b6c287d3p-10, 0x1.b97f4b6c9fbp-10, 0x1.a97071860586cp-10, 0x1.99deaf432280cp-10, 0x1.8ac6e63205434p-10, 0x1.7c2607b1f27b4p-10, 0x1.6df914c0cec38p-10, 0x1.603d1dc82215dp-10, 0x1.52ef4269aaa57p-10, 0x1.460cb14b9d883p-10, 0x1.3992a7e49e312p-10, 0x1.2d7e724776ddfp-10, 0x1.21cd6aeea1bacp-10, 0x1.167cfa87a97dcp-10, 0x1.0b8a97be725ddp-10, 0x1.00f3c70877aa4p-10, 0x1.ed6c34dff7f88p-11, 0x1.d99e62be898fcp-11, 0x1.c67970d7c2976p-11, 0x1.b3f8d24415728p-11, 0x1.a21813a04466ap-11, 0x1.90d2daa4b0031p-11, 0x1.8024e5bd05e88p-11, 0x1.700a0ba05ac06p-11, 0x1.607e3ae9c41acp-11, 0x1.517d79b17a15bp-11, 0x1.4303e5268fa8ap-11, 0x1.350db1294df8bp-11, 0x1.279727e63c29p-11, 0x1.1a9ca971e0f19p-11, 0x1.0e1aab6544bd3p-11, 0x1.020db87b4124fp-11, 0x1.ece4e05d48a0bp-12, 0x1.d68b0cb260383p-12, 0x1.c10785a7017a6p-12, 0x1.ac54022bb71ap-12, 0x1.986a5fb3e775bp-12, 0x1.8544a17b4b934p-12, 0x1.72dcefcd63038p-12, 0x1.612d974ef1bd2p-12, 0x1.503108498eb12p-12, 0x1.3fe1d5f94965ap-12, 0x1.303ab5dc765bap-12, 0x1.21367f05a2b22p-12, 0x1.12d0296fb6aeap-12, 0x1.0502cd544ed36p-12, 0x1.ef934508a1d56p-13, 0x1.d63fff857e8ecp-13, 0x1.be02b4439bab3p-13, 0x1.a6d288c47cc4fp-13, 0x1.90a6dcaa091d6p-13, 0x1.7b77487e6da64p-13, 0x1.673b9c808bac7p-13, 0x1.53ebdf7510f6dp-13, 0x1.41804d7c19d3p-13, 0x1.2ff156eb78155p-13, 0x1.1f379f2d92701p-13, 0x1.0f4bfba4d6b9bp-13, 0x1.00277293c1d75p-13, 0x1.e3867412fe2e2p-14, 0x1.c8316da61486fp-14, 0x1.ae42f6e1c780dp-14, 0x1.95ae8e227dd2p-14, 0x1.7e68091d64afp-14, 0x1.686392e6b4d4dp-14, 0x1.5395aa00d7025p-14, 0x1.3ff31e745215dp-14, 0x1.2d710ff077458p-14, 0x1.1c04ebf4b67a6p-14, 0x1.0ba46c028a397p-14, 0x1.f88b27afcef29p-15, 0x1.dbbd5f643b25cp-15, 0x1.c0cca5321fee6p-15, 0x1.a7a6a9656cc62p-15, 0x1.9039a33d967f1p-15, 0x1.7a744db526ee7p-15, 0x1.6645e4594bfc7p-15, 0x1.539e20313e1a2p-15, 0x1.426d34b54646cp-15, 0x1.32a3ccd536f59p-15, 0x1.2433080e278fp-15, 0x1.170c778f399e1p-15, 0x1.0b221b6d3e3d1p-15, 0x1.00665fe4fedcap-15, 0x1.ed983557fb9b7p-16, 0x1.dc8d109ee918fp-16, 0x1.cd929342bb6f9p-16, 0x1.c090c266b088cp-16, 0x1.b57061be5545cp-16, 0x1.ac1aeeb968f87p-16, 0x1.a47a9bca2fca6p-16, 0x1.9e7a4bc5cc4dbp-16, 0x1.9a058d5e3875cp-16, 0x1.970896b56c1c7p-16, 0x1.957041095086bp-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.7473e31c6ad17p-4, 0x1.7ca238540cbf5p-4, 0x1.83e400916f094p-4, 0x1.8a4edf642ac9dp-4, 0x1.8ff67d618c0d1p-4, 0x1.94ec17d80e07fp-4, 0x1.993e408c7ab73p-4, 0x1.9cf8c595aac4dp-4, 0x1.a024b9924185dp-4, 0x1.a2c894f27afd1p-4, 0x1.a4e869c5e0ebp-4, 0x1.a686244eea005p-4, 0x1.a7a1d37b1738fp-4, 0x1.a839f535d9f89p-4, 0x1.a84bc3577bee9p-4, 0x1.a7d37ea90f9abp-4, 0x1.a6ccb6183b55fp-4, 0x1.a53288c0c757fp-4, 0x1.a2ffe1e675245p-4, 0x1.a02fae59973b4p-4, 0x1.9cbd0b0d54fd1p-4, 0x1.98a36ce2de06ap-4, 0x1.93dec1da39bffp-4, 0x1.8e6b8bfac629ap-4, 0x1.8846f65cdbefcp-4, 0x1.816ee4ccfafaep-4, 0x1.79e1fe896ed68p-4, 0x1.719fb49e9d3p-4, 0x1.68a8446593c65p-4, 0x1.5efcb6a4cb511p-4, 0x1.549edbcd5d695p-4, 0x1.499145c7b74cbp-4, 0x1.3dd73fbaaa6d3p-4, 0x1.3174c42f12f88p-4, 0x1.246e71e964e5bp-4, 0x1.16c97fc9952c3p-4, 0x1.088baff92cb1p-4, 0x1.f376854e082e1p-5, 0x1.d4bdd1107fa7p-5, 0x1.b4fb6a9d860c1p-5, 0x1.943e247ccd61ap-5, 0x1.72956207e735fp-5, 0x1.5010fdd60a3dbp-5, 0x1.2cc131158066ap-5, 0x1.08b67bf8f89e9p-5, 0x1.c8031ead18fd5p-6, 0x1.7d666f1d35176p-6, 0x1.31b89193ee7ccp-6, 0x1.ca3632643f774p-7, 0x1.2f5ec3e1f38efp-7, 0x1.2659c5d96819dp-8, -0x1.43c954bf41d5bp-12, -0x1.50856fb30b396p-8, -0x1.47019ea5bbff6p-7, -0x1.e61da8f8ce843p-7, -0x1.42ad8a6a55745p-6, -0x1.923fe9e0b79ffp-6, -0x1.e1a9d2e964126p-6, -0x1.18680c201b3f9p-5, -0x1.3fcc4464e7e35p-5, -0x1.66f4fb9b0dcfcp-5, -0x1.8dd61ff7e747bp-5, -0x1.b46426bcd669cp-5, -0x1.da940dacde842p-5, -0x1.002dadec6c82ap-4, -0x1.12d810e8af851p-4, -0x1.25447ca6703a7p-4, -0x1.376e8227e352bp-4, -0x1.4951f5f1e11dep-4, -0x1.5aeaef3555d1p-4, -0x1.6c35c6cc54ce6p-4, -0x1.7d2f16104584ep-4, -0x1.8dd3b58e43111p-4, -0x1.9e20bb9e6cd5ep-4, -0x1.ae137ae284a0cp-4, -0x1.bda980afeef8dp-4, -0x1.cce09368c26d8p-4, -0x1.dbb6b0c73d676p-4, -0x1.ea2a0c1edd21dp-4, -0x1.f8390c95b27d1p-4, -0x1.02f125ac516p-3, -0x1.099248e6647fbp-3, -0x1.0fff6bdffcedfp-3, -0x1.163820cd24ed6p-3, -0x1.1c3c0f4912d8ep-3, -0x1.220af37237db4p-3, -0x1.27a49d08e7a3cp-3, -0x1.2d08ee9128765p-3, -0x1.3237dc78279eep-3, -0x1.37316c3da6b8cp-3, -0x1.3bf5b3a1c6f1dp-3, -0x1.4084d7d7727f6p-3, -0x1.44df0cbba1d7bp-3, -0x1.490494119c5a6p-3, -0x1.4cf5bcc4757f7p-3, -0x1.50b2e22dbf827p-3, -0x1.543c6b619dc3ep-3, -0x1.5792ca80343c5p-3, -0x1.5ab67c0c8213fp-3, -0x1.5da806489a2ddp-3, -0x1.6067f8973c499p-3, -0x1.62f6eae2c189dp-3, -0x1.65557d0946629p-3, -0x1.6784564e102c4p-3, -0x1.698424d005e5ep-3, -0x1.6b559d05343b5p-3, -0x1.6cf9793b3c442p-3, -0x1.6e70791c96fd5p-3, -0x1.6fbb613a8dd4p-3, -0x1.70dafa9bd0808p-3, -0x1.71d0124f8421cp-3, -0x1.729b7904b9209p-3, -0x1.733e02a61da16p-3, -0x1.73b885f9d3033p-3, -0x1.740bdc455310cp-3, -0x1.7438e0f532c1ap-3, -0x1.74407148b558dp-3, -0x1.74236c010e745p-3, -0x1.73e2b11430bfcp-3, -0x1.737f216318935p-3, -0x1.72f99e736846dp-3, -0x1.72530a2c49e7cp-3, -0x1.718c46966cfb9p-3, -0x1.70a6359f14de4p-3, -0x1.6fa1b8de156fap-3, -0x1.6e7fb15ea48cap-3, -0x1.6d40ff6af1615p-3, -0x1.6be6825a6025fp-3, -0x1.6a7118625b534p-3, -0x1.68e19e699b855p-3, -0x1.6738efdddfe3cp-3, -0x1.6577e68bee996p-3, -0x1.639f5a79d9d73p-3, -0x1.61b021c370c06p-3, -0x1.5fab1078c0fc3p-3, -0x1.5d90f87ea80b2p-3, -0x1.5b62a9714e8e1p-3, -0x1.5920f0888c9cdp-3, -0x1.56cc987e2210fp-3, -0x1.54666975a77f7p-3, -0x1.51ef28e63b664p-3, -0x1.4f679985cb028p-3, -0x1.4cd07b35f42acp-3, -0x1.4a2a8af26cd47p-3, -0x1.477682c0ddcb5p-3, -0x1.44b519a22b533p-3, -0x1.41e703851be02p-3, -0x1.3f0cf13a4def7p-3, -0x1.3c27906970b27p-3, -0x1.39378b87b6bdap-3, -0x1.363d89cf74ab5p-3, -0x1.333a2f38e1214p-3, -0x1.302e1c73e5852p-3, -0x1.2d19eee302e2dp-3, -0x1.29fe40972edfep-3, -0x1.26dba84cac404p-3, -0x1.23b2b968cc83ap-3, -0x1.208403f89473ap-3, -0x1.1d5014b03e5adp-3, -0x1.1a1774eb83e7dp-3, -0x1.16daaaaeb5e4cp-3, -0x1.139a38a8902adp-3, -0x1.10569e34c106fp-3, -0x1.0d10575f24efbp-3, -0x1.09c7dce79c2adp-3, -0x1.067da4468b166p-3, -0x1.03321fb1e2c9ep-3, -0x1.ffcb7c4591d88p-4, -0x1.f931d6b76ad0bp-4, -0x1.f2981fde32b29p-4, -0x1.ebff228d02386p-4, -0x1.e567a3544a6d1p-4, -0x1.ded26091c993bp-4, -0x1.d840128156afcp-4, -0x1.d1b16b4e6b0b6p-4, -0x1.cb2717265663p-4, -0x1.c4a1bc4b213a9p-4, -0x1.be21fb270a028p-4, -0x1.b7a86e6096027p-4, -0x1.b135aaef27f82p-4, -0x1.aaca4030090efp-4, -0x1.a466b7fbfe949p-4, -0x1.9e0b96bd22879p-4, -0x1.97b95b8540437p-4, -0x1.9170802471634p-4, -0x1.8b3179400c44dp-4, -0x1.84fcb669db33cp-4, -0x1.7ed2a2378d757p-4, -0x1.78b3a25a5dfccp-4, -0x1.72a017b6e6192p-4, -0x1.6c985e7d17064p-4, -0x1.669cce4050b01p-4, -0x1.60adba0f91175p-4, -0x1.5acb708db4132p-4, -0x1.54f63c09bd9ffp-4, -0x1.4f2e629728c24p-4, -0x1.4974262635876p-4, -0x1.43c7c49c2f492p-4, -0x1.3e2977eba673fp-4, -0x1.3899762c993bfp-4, -0x1.3317f1b485ce5p-4, -0x1.2da5192e60b62p-4, -0x1.284117b26c1e5p-4, -0x1.22ec14ddead61p-4, -0x1.1da634eaaa84ep-4, -0x1.186f98c663fffp-4, -0x1.13485e29e97c9p-4, -0x1.0e309fb023531p-4, -0x1.092874ecd638fp-4, -0x1.042ff2832f12bp-4, -0x1.fe8e547828079p-5, -0x1.f4dc563869834p-5, -0x1.eb4a02f3b3f79p-5, -0x1.e1d76e24e3217p-5, -0x1.d884a63fa5f7cp-5, -0x1.cf51b4da78aep-5, -0x1.c63e9ed80988dp-5, -0x1.bd4b6490060ccp-5, -0x1.b47801f74db87p-5, -0x1.abc46ec783f2ep-5, -0x1.a3309ea603a62p-5, -0x1.9abc814a2ee3ep-5, -0x1.926802a318d27p-5, -0x1.8a330afc865cfp-5, -0x1.821d7f234a39fp-5, -0x1.7a274088f26e4p-5, -0x1.72502d66cad0cp-5, -0x1.6a9820e0359d9p-5, -0x1.62fef32451a6cp-5, -0x1.5b84798ef6edep-5, -0x1.542886c902f83p-5, -0x1.4ceaeae7f4821p-5, -0x1.45cb738cdb7fcp-5, -0x1.3ec9ec0298d7ap-5, -0x1.37e61d5b6ee5p-5, -0x1.311fce8de5937p-5, -0x1.2a76c49100aa8p-5, -0x1.23eac277c84a1p-5, -0x1.1d7b898c260d5p-5, -0x1.1728d96918978p-5, -0x1.10f270143b6cfp-5, -0x1.0ad80a16a6f84p-5, -0x1.04d962952a232p-5, -0x1.fdec66cfb99e8p-6, -0x1.f25c6a621bfe9p-6, -0x1.e7023ee72101fp-6, -0x1.dbdd5150cb7c6p-6, -0x1.d0ed0ca790eep-6, -0x1.c630da333a0cdp-6, -0x1.bba821a2826c1p-6, -0x1.b15249318fe33p-6, -0x1.a72eb5cf32ed3p-6, -0x1.9d3ccb410197dp-6, -0x1.937bec4646ad5p-6, -0x1.89eb7ab9d548cp-6, -0x1.808ad7b2b6f95p-6, -0x1.775963a3c8deap-6, -0x1.6e567e7a3f4b1p-6, -0x1.658187bb17aa1p-6, -0x1.5cd9de9f86bd6p-6, -0x1.545ee23058a31p-6, -0x1.4c0ff1605387ap-6, -0x1.43ec6b259e6c6p-6, -0x1.3bf3ae922a9a8p-6, -0x1.34251aeb30a51p-6, -0x1.2c800fbfbcc25p-6, -0x1.2503ecfe4f68bp-6, -0x1.1db013099c091p-6, -0x1.1683e2cc6b88dp-6, -0x1.0f7ebdcc9d8cep-6, -0x1.08a0063d5812cp-6, -0x1.01e71f1067725p-6, -0x1.f6a6d80da0643p-7, -0x1.e9c8a381309bap-7, -0x1.dd326b97aa9e6p-7, -0x1.d0e2fd65e7ecp-7, -0x1.c4d928149a46cp-7, -0x1.b913bcfa0a704p-7, -0x1.ad918fb278767p-7, -0x1.a251763721c95p-7, -0x1.975248f4066fdp-7, -0x1.8c92e2dc5f47p-7, -0x1.8212217ddea3p-7, -0x1.77cee512c6925p-7, -0x1.6dc81092c3e0bp-7, -0x1.63fc89c2c1ecp-7, -0x1.5a6b39438fe3dp-7, -0x1.51130a9f8b851p-7, -0x1.47f2ec5730f3dp-7, -0x1.3f09cfecbc511p-7, -0x1.3656a9eeceafep-7, -0x1.2dd8720221f5cp-7, -0x1.258e22ea594c4p-7, -0x1.1d76ba91f2155p-7, -0x1.15913a115c226p-7, -0x1.0ddca5b54231dp-7, -0x1.06580504094edp-7, -0x1.fe04c5851da3ep-8, -0x1.efb599f0546d7p-8, -0x1.e1c0a9e3f8226p-8, -0x1.d4241e8b1eaf3p-8, -0x1.c6de27a5a61bbp-8, -0x1.b9ecfb8ae8f8cp-8, -0x1.ad4ed72b3d76ap-8, -0x1.a101fe104d36fp-8, -0x1.9504ba5c50446p-8, -0x1.89555cc839431p-8, -0x1.7df23ca0da72cp-8, -0x1.72d9b7c314671p-8, -0x1.680a329713863p-8, -0x1.5d82180aab38fp-8, -0x1.533fd98ad5d6cp-8, -0x1.4941eefc67a6ep-8, -0x1.3f86d6b3fae14p-8, -0x1.360d156d1e88ep-8, -0x1.2cd33640d67a1p-8, -0x1.23d7ca9b6ea57p-8, -0x1.1b196a31aeb26p-8, -0x1.1296b2f576326p-8, -0x1.0a4e4909c9d72p-8, -0x1.023ed6b65824bp-8, -0x1.f4ce18b4fc237p-9, -0x1.e58b40bfac8e2p-9, -0x1.d6b29e58a9f0cp-9, -0x1.c841b627fb1fp-9, -0x1.ba36189464e62p-9, -0x1.ac8d61a55a867p-9, -0x1.9f4538e43f189p-9, -0x1.925b513d0b036p-9, -0x1.85cd68de60c41p-9, -0x1.799949191d6adp-9, -0x1.6dbcc63f6d3ecp-9, -0x1.6235bf8373bb4p-9, -0x1.57021ed59078ep-9, -0x1.4c1fd8c244f35p-9, -0x1.418cec4fd3608p-9, -0x1.374762db8e273p-9, -0x1.2d4d4ff6f1db7p-9, -0x1.239cd144853e5p-9, -0x1.1a340e5490b5dp-9, -0x1.11113881b36dap-9, -0x1.08328acd58619p-9, -0x1.ff2c93783507cp-10, -0x1.ee7586643903fp-10, -0x1.de3c9c9eb02d2p-10, -0x1.ce7e9697df398p-10, -0x1.bf3846a90de8fp-10, -0x1.b06690cd4d122p-10, -0x1.a2066a5a6d195p-10, -0x1.9414d9ba198f3p-10, -0x1.868ef623373cbp-10, -0x1.7971e753825c8p-10, -0x1.6cbae54985c6ap-10, -0x1.606737fed7e9fp-10, -0x1.54743722cdfe3p-10, -0x1.48df49d583a78p-10, -0x1.3da5e66362f37p-10, -0x1.32c59201186d2p-10, -0x1.283be08809cb3p-10, -0x1.1e067433571a8p-10, -0x1.1422fd5d5c436p-10, -0x1.0a8f3a3dcbadap-10, -0x1.0148f6a85aec4p-10, -0x1.f09c17981b6d5p-11, -0x1.df38bfe63b6fap-11, -0x1.ce63cc870ff9p-11, -0x1.be193d00852e4p-11, -0x1.ae5529963d0d1p-11, -0x1.9f13c2ceb07b6p-11, -0x1.905150f9b7463p-11, -0x1.820a33b8798a1p-11, -0x1.743ae186d3151p-11, -0x1.66dfe7462a1ap-11, -0x1.59f5e7c9c031bp-11, -0x1.4d799b647f76ap-11, -0x1.4167cf7848761p-11, -0x1.35bd6606c36fcp-11, -0x1.2a775543b725fp-11, -0x1.1f92a728e696ap-11, -0x1.150c790b79392p-11, -0x1.0ae1fb32ed857p-11, -0x1.0110707196e65p-11, -0x1.ef2a5b7d506c9p-12, -0x1.dcdb33a39674bp-12, -0x1.cb2e598087825p-12, -0x1.ba1edf373f0c9p-12, -0x1.a9a7f823e4cd6p-12, -0x1.99c4f81f39bf7p-12, -0x1.8a7152c53688dp-12, -0x1.7ba89abec047ep-12, -0x1.6d66810e6471fp-12, -0x1.5fa6d46023defp-12, -0x1.5265805c40d9p-12, -0x1.459e8cfd10309p-12, -0x1.394e1de7c7065p-12, -0x1.2d7071c83fe3ep-12, -0x1.2201e1afb2a1ep-12, -0x1.16fee076585abp-12, -0x1.0c63fa1ff674bp-12, -0x1.022dd3434a03ap-12, -0x1.f0b250e895e3fp-13, -0x1.ddc59b6287963p-13, -0x1.cb8f5ba56b311p-13, -0x1.ba0993fbfcb7cp-13, -0x1.a92e7235797ebp-13, -0x1.98f84e95d8f52p-13, -0x1.8961aacb566cbp-13, -0x1.7a6530e94daa7p-13, -0x1.6bfdb26852d71p-13, -0x1.5e26272b6e622p-13, -0x1.50d9ac8a7cda1p-13, -0x1.441384618dc8dp-13, -0x1.37cf142547e4cp-13, -0x1.2c07e3fc28401p-13, -0x1.20b99ddc9d5cep-13, -0x1.15e00cafeb3bbp-13, -0x1.0b771b79b8decp-13, -0x1.017ad484490e5p-13, -0x1.efcec1227848p-14, -0x1.dd720c1db0537p-14, -0x1.cbd850a36bf12p-14, -0x1.bafa8da59bdf7p-14, -0x1.aad1f8e39f186p-14, -0x1.9b57fd7759775p-14, -0x1.8c863a6aa2277p-14, -0x1.7e568154cef46p-14, -0x1.70c2d50050974p-14, -0x1.63c568182ea68p-14, -0x1.57589bdd43fc1p-14, -0x1.4b76fee31b269p-14, -0x1.401b4bd445c81p-14, -0x1.3540683e0dec4p-14, -0x1.2ae163635fa53p-14, -0x1.20f97516c8871p-14, -0x1.1783fc9b6c954p-14, -0x1.0e7c7f8ccdae9p-14, -0x1.05dea8cd46d89p-14, -0x1.fb4c8ef6314a6p-15, -0x1.eb9e9bd7d13b6p-15, -0x1.dcaba15d2461ap-15, -0x1.ce6c0b26516e3p-15, -0x1.c0d885721dfb2p-15, -0x1.b3e9fb46021p-15, -0x1.a79994a1e784ap-15, -0x1.9be0b4bf585e4p-15, -0x1.90b8f85be16ddp-15, -0x1.861c340e69c55p-15, -0x1.7c0472a74c948p-15, -0x1.726bf39af1afap-15, -0x1.694d2976b814fp-15, -0x1.60a2b85ff0248p-15, -0x1.5867749cb3d28p-15, -0x1.5096612666116p-15, -0x1.492aae45a3c36p-15, -0x1.421fb8376f713p-15, -0x1.3b7105db66c5ep-15, -0x1.351a476acea5fp-15, -0x1.2f175538409p-15, -0x1.29642e77cacc5p-15, -0x1.23fcf80f5324p-15, -0x1.1eddfb6f07e25p-15, -0x1.1a03a571b77dap-15, -0x1.156a8544d8818p-15, -0x1.110f4b581a741p-15, -0x1.0ceec85450e06p-15, -0x1.0905ec198ac3ep-15, -0x1.0551c4c4308acp-15, -0x1.01cf7db8f79b1p-15, -0x1.fcf8bd6f0f883p-16, -0x1.f6ab95e74b0f7p-16, -0x1.f0b280697bdfcp-16, -0x1.eb08abf74dcccp-16, -0x1.e5a9795ce51aep-16, -0x1.e09079945ca6ep-16, -0x1.dbb96c34ce6a4p-16, -0x1.d7203deca12ebp-16, -0x1.d2c10706d86e4p-16, -0x1.ce9809fb13817p-16, -0x1.caa1b20808f3p-16, -0x1.c6da91d82dfccp-16, -0x1.c33f62304f174p-16, -0x1.bfcd00a7d8c2dp-16, -0x1.bc806e6a8e3e5p-16, -0x1.b956cf0378d8fp-16, -0x1.b64d6730c9422p-16, -0x1.b3619bc07b47ap-16, -0x1.b090f07574ac6p-16, -0x1.add906f4f99efp-16, -0x1.ab379dbc29b6ap-16, -0x1.a8aa8f1d6450fp-16, -0x1.a62fd04552045p-16, -0x1.a3c5704764527p-16, -0x1.a16997319928dp-16, -0x1.9f1a85275359cp-16, -0x1.9cd6918312ba1p-16, -0x1.9a9c29fee38bp-16, -0x1.9869d1e34db3p-16, -0x1.963e213ca63a9p-16, -0x1.9417c41685cdcp-16, -0x1.91f579bd45fe7p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.c6578b23ad22dp-1, 0x1.c1eeda578596ap-1, 0x1.bd7dd84695807p-1, 0x1.b906f2759b79bp-1, 0x1.b48bb673bf94p-1, 0x1.b00ce3dc157d4p-1, 0x1.ab8a8648cdcb5p-1, 0x1.a704141b6e6bcp-1, 0x1.a2788f79b7d39p-1, 0x1.9de6a7619f9f2p-1, 0x1.994cd735b3a8cp-1, 0x1.94a983979c11ep-1, 0x1.8ffb13cc865f3p-1, 0x1.8b40073d4825ap-1, 0x1.867706e9a82cbp-1, 0x1.819ef2dc666acp-1, 0x1.7cb6ebd58dcf7p-1, 0x1.77be597c4f196p-1, 0x1.72b4ed7afb592p-1, 0x1.6d9aa3f0a4d75p-1, 0x1.686fc1a64cac6p-1, 0x1.6334d072f4b06p-1, 0x1.5dea9a33da0d3p-1, 0x1.589222b5b534dp-1, 0x1.532ca0e2111bep-1, 0x1.4dbb777966c74p-1, 0x1.48402d982d385p-1, 0x1.42bc673af9376p-1, 0x1.3d31ddec40715p-1, 0x1.37a259bdb1597p-1, 0x1.320faaa741e5bp-1, 0x1.2c7ba25f441ccp-1, 0x1.26e80eb8dfe61p-1, 0x1.2156b49148ecp-1, 0x1.1bc94b4fcdac5p-1, 0x1.164178f959354p-1, 0x1.10c0ced53ba5dp-1, 0x1.0b48c69ec22a7p-1, 0x1.05dac03d782fbp-1, 0x1.0077fffc9719p-1, 0x1.f6435a7285cc8p-2, 0x1.ebb1a2fd23541p-2, 0x1.e13cb00c0be07p-2, 0x1.d6e61b25eeaf4p-2, 0x1.ccaf413ef30cbp-2, 0x1.c29943a2e4c77p-2, 0x1.b8a5095dbd981p-2, 0x1.aed341114a162p-2, 0x1.a52463277324bp-2, 0x1.9b98b451c810bp-2, 0x1.92304847ca4f8p-2, 0x1.88eb04b6a2e64p-2, 0x1.7fc8a455f40ap-2, 0x1.76c8ba168bf72p-2, 0x1.6deab460cfffap-2, 0x1.652de059c70b9p-2, 0x1.5c916d26a0a16p-2, 0x1.54146f2794329p-2, 0x1.4bb5e323e255ep-2, 0x1.4374b1619526cp-2, 0x1.3b4fb0a47723ap-2, 0x1.3345a9107494dp-2, 0x1.2b5556ec4f63ep-2, 0x1.237d6d4236306p-2, 0x1.1bbc985c5ece3p-2, 0x1.1411801c53494p-2, 0x1.0c7aca2c19edcp-2, 0x1.04f71c08c74d3p-2, 0x1.fb0a39ccee57cp-3, 0x1.ec46eedbe024dp-3, 0x1.dda1b6a9127b8p-3, 0x1.cf17fd9e43483p-3, 0x1.c0a73fc26608p-3, 0x1.b24d0b125f27dp-3, 0x1.a40701970feecp-3, 0x1.95d2db3b80b5dp-3, 0x1.87ae6766538c9p-3, 0x1.79978e59952dbp-3, 0x1.6b8c525c344acp-3, 0x1.5d8ad0b06c7cbp-3, 0x1.4f91425a5b495p-3, 0x1.419dfcba10effp-3, 0x1.33af71fc49c19p-3, 0x1.25c43164eb2d2p-3, 0x1.17dae776535c5p-3, 0x1.09f25df867ea9p-3, 0x1.f812f7c45f72ap-4, 0x1.dc3e8a515d876p-4, 0x1.c065b4eb16adep-4, 0x1.a486f18fd6e6ep-4, 0x1.88a0f203ac2cep-4, 0x1.6cb29ec86ac68p-4, 0x1.50bb15f70d6aep-4, 0x1.34b9a9fe1bef7p-4, 0x1.18ade048a2d9bp-4, 0x1.f92edfa1d9f97p-5, 0x1.c0ec7f43fb9a1p-5, 0x1.8894ca9513a3p-5, 0x1.50284687dc818p-5, 0x1.17a7ce9eef895p-5, 0x1.be2923303b5f8p-6, 0x1.4ce01c18c5928p-6, 0x1.b6f03c1f9f4d1p-7, 0x1.a7d544e98779ep-8, -0x1.e8e5c4dd39beap-12, -0x1.e5358ccd52b83p-8, -0x1.d604bc078c4b9p-7, -0x1.5cbc5bb5f381fp-6, -0x1.ce74c08e58725p-6, -0x1.201243ca9a3ecp-5, -0x1.58e2249a0293cp-5, -0x1.91a620dec56aap-5, -0x1.ca5a2bef1ed63p-5, -0x1.017d08bcd3c0dp-4, -0x1.1dc0bc51a5584p-4, -0x1.39f5f38b82bd8p-4, -0x1.561a62036601ep-4, -0x1.722bad8e8c39ep-4, -0x1.8e276faf58b28p-4, -0x1.aa0b36fe242fbp-4, -0x1.c5d48889ce564p-4, -0x1.e180e12ffe14cp-4, -0x1.fd0db6ecddab3p-4, -0x1.0c3c3d1128051p-3, -0x1.19df4b6b4a229p-3, -0x1.276ebaf515a6p-3, -0x1.34e93f228fc9dp-3, -0x1.424d8afdbeb77p-3, -0x1.4f9a51b48fa1cp-3, -0x1.5cce47225a7e9p-3, -0x1.69e82055019bap-3, -0x1.76e6940db87f7p-3, -0x1.83c85b3d6e901p-3, -0x1.908c317cd758ap-3, -0x1.9d30d580274c1p-3, -0x1.a9b5098677d2bp-3, -0x1.b61793c4d8cbap-3, -0x1.c2573ecd249e6p-3, -0x1.ce72d9f08462dp-3, -0x1.da69399dbcc2p-3, -0x1.e63937bb42adfp-3, -0x1.f1e1b3fd20bb8p-3, -0x1.fd619436b185dp-3, -0x1.045be2541db54p-2, -0x1.09f19c243a541p-2, -0x1.0f717484fd375p-2, -0x1.14daec0e5f31dp-2, -0x1.1a2d8715bfdd3p-2, -0x1.1f68cdcaa70cdp-2, -0x1.248c4c5196983p-2, -0x1.299792dcee3f1p-2, -0x1.2e8a35c3e990bp-2, -0x1.3363cd97bfc3p-2, -0x1.3823f736e739bp-2, -0x1.3cca53de8a614p-2, -0x1.4156893a3080dp-2, -0x1.45c84171a3bf3p-2, -0x1.4a1f2b351c459p-2, -0x1.4e5af9c7b78ap-2, -0x1.527b650844fd3p-2, -0x1.5680297871c9p-2, -0x1.5a6908425957cp-2, -0x1.5e35c73c8612bp-2, -0x1.61e630ec6dc79p-2, -0x1.657a148769b5cp-2, -0x1.68f145f243c3fp-2, -0x1.6c4b9dbf50f4fp-2, -0x1.6f88f92b322cap-2, -0x1.72a93a183ad45p-2, -0x1.75ac47088e867p-2, -0x1.78920b16fb77bp-2, -0x1.7b5a75ee9ed12p-2, -0x1.7e057bc15ed9bp-2, -0x1.8093153d3fc66p-2, -0x1.83033f80a61a3p-2, -0x1.8555fc0d8b6cap-2, -0x1.878b50bbb094fp-2, -0x1.89a347a9dd0fep-2, -0x1.8b9def2e3238dp-2, -0x1.8d7b59c59dc51p-2, -0x1.8f3b9e0276807p-2, -0x1.90ded67a50eddp-2, -0x1.926521b31111dp-2, -0x1.93cea20f4be11p-2, -0x1.951b7db9fa148p-2, -0x1.964bde918d8ap-2, -0x1.975ff212726e9p-2, -0x1.9857e941048ccp-2, -0x1.9933f89303bep-2, -0x1.99f457d894b17p-2, -0x1.9a994224d26c7p-2, -0x1.9b22f5b6005c5p-2, -0x1.9b91b3dd60ec2p-2, -0x1.9be5c0e6c0762p-2, -0x1.9c1f63ffb8135p-2, -0x1.9c3ee71eb2d97p-2, -0x1.9c4496e9c479dp-2, -0x1.9c30c29d4feffp-2, -0x1.9c03bbf28d341p-2, -0x1.9bbdd705f8f01p-2, -0x1.9b5f6a3dae36ep-2, -0x1.9ae8ce2fb68fp-2, -0x1.9a5a5d885df23p-2, -0x1.99b474f083b92p-2, -0x1.98f772f3ff51dp-2, -0x1.9823b7e815abbp-2, -0x1.9739a5d20b3b2p-2, -0x1.9639a04dd454cp-2, -0x1.95240c74efc1ep-2, -0x1.93f950c56e311p-2, -0x1.92b9d5092dfc9p-2, -0x1.9166023d4e5bap-2, -0x1.8ffe4279e1e86p-2, -0x1.8e8300d9e5c1dp-2, -0x1.8cf4a963805ep-2, -0x1.8b53a8f08dc43p-2, -0x1.89a06d177c42dp-2, -0x1.87db641482ddcp-2, -0x1.8604fcb32adc5p-2, -0x1.841da6383f5fep-2, -0x1.8225d04c14803p-2, -0x1.801deae53c5afp-2, -0x1.7e0666339b935p-2, -0x1.7bdfb28bed87ep-2, -0x1.79aa4053b0c39p-2, -0x1.77667fed886c5p-2, -0x1.7514e1a60900fp-2, -0x1.72b5d5a0fd28ep-2, -0x1.7049cbc71d4d5p-2, -0x1.6dd133b440955p-2, -0x1.6b4c7ca603c02p-2, -0x1.68bc156aeab41p-2, -0x1.66206c51fd32ap-2, -0x1.6379ef1ade413p-2, -0x1.60c90ae6623b7p-2, -0x1.5e0e2c279d67ep-2, -0x1.5b49be95759bcp-2, -0x1.587c2d1cab7fap-2, -0x1.55a5e1d266734p-2, -0x1.52c745e73c06fp-2, -0x1.4fe0c19ab37bcp-2, -0x1.4cf2bc2f49afap-2, -0x1.49fd9bdeeedcep-2, -0x1.4701c5d00222ep-2, -0x1.43ff9e0ac6711p-2, -0x1.40f7876f568cbp-2, -0x1.3de9e3ac0c515p-2, -0x1.3ad71334669acp-2, -0x1.37bf753861f9ap-2, -0x1.34a3679c4cfcfp-2, -0x1.318346f10a701p-2, -0x1.2e5f6e6ccf2dbp-2, -0x1.2b3837e44ad29p-2, -0x1.280dfbc446beep-2, -0x1.24e1110bb0d84p-2, -0x1.21b1cd4613ce6p-2, -0x1.1e8084867c725p-2, -0x1.1b4d8962c6d8dp-2, -0x1.18192cef557aep-2, -0x1.14e3bebb2bbbap-2, -0x1.11ad8ccc6f585p-2, -0x1.0e76e39d47f68p-2, -0x1.0b400e1922f8ep-2, -0x1.0809559a517cdp-2, -0x1.04d301e805578p-2, -0x1.019d5934a2f52p-2, -0x1.fcd14038e0e96p-3, -0x1.f66a3349299f1p-3, -0x1.f0060e74dd0cbp-3, -0x1.e9a551666b056p-3, -0x1.e3487897e3b56p-3, -0x1.dceffd53772d5p-3, -0x1.d69c55b4844d6p-3, -0x1.d04df4a94361cp-3, -0x1.ca0549f4f04a1p-3, -0x1.c3c2c232831fbp-3, -0x1.bd86c6d7e5c42p-3, -0x1.b751be39ac7ecp-3, -0x1.b1240b8f42b6ap-3, -0x1.aafe0ef78f4c6p-3, -0x1.a4e0257e06e85p-3, -0x1.9ecaa92030a0ep-3, -0x1.98bdf0d38a83p-3, -0x1.92ba508bd5032p-3, -0x1.8cc01941bf315p-3, -0x1.86cf98f9eca4dp-3, -0x1.80e91acc4ef82p-3, -0x1.7b0ce6ebd73adp-3, -0x1.753b42ae74cbcp-3, -0x1.6f7470955a90ep-3, -0x1.69b8b0558fd52p-3, -0x1.64083ee0c23d5p-3, -0x1.5e63566e56312p-3, -0x1.58ca2e84b3f52p-3, -0x1.533cfc02c98bep-3, -0x1.4dbbf129c23eep-3, -0x1.48473da6f20d2p-3, -0x1.42df0e9de52a5p-3, -0x1.3d838eb2a1a0cp-3, -0x1.3834e6140a60dp-3, -0x1.32f33a8668225p-3, -0x1.2dbeaf6e0e6c8p-3, -0x1.289765da1da48p-3, -0x1.237d7c8f6303cp-3, -0x1.1e7110134a266p-3, -0x1.19723ab6e5781p-3, -0x1.148114a202f1bp-3, -0x1.0f9db3de5511bp-3, -0x1.0ac82c62a4a06p-3, -0x1.0600901e05f94p-3, -0x1.0146ef031f0a9p-3, -0x1.f936ae26d1ddp-4, -0x1.effba8d4f11dbp-4, -0x1.e6dce2927b353p-4, -0x1.ddda6c429b997p-4, -0x1.d4f45340346aap-4, -0x1.cc2aa1745555bp-4, -0x1.c37d5d6c910a7p-4, -0x1.baec8a713f575p-4, -0x1.b278289baf6ffp-4, -0x1.aa2034ec31bdep-4, -0x1.a1e4a95ffe818p-4, -0x1.99c57d070adbep-4, -0x1.91c2a419a0cc8p-4, -0x1.89dc100de15f6p-4, -0x1.8211afad0866ap-4, -0x1.7a636f288e405p-4, -0x1.72d1382f11242p-4, -0x1.6b5af2010c4d5p-4, -0x1.6400818557ba7p-4, -0x1.5cc1c95d6fce9p-4, -0x1.559ea9f9814fap-4, -0x1.4e9701ac39c11p-4, -0x1.47aaacbe5788ap-4, -0x1.40d98581fb455p-4, -0x1.3a236465b700bp-4, -0x1.3388200758101p-4, -0x1.2d078d466fde7p-4, -0x1.26a17f569278ep-4, -0x1.2055c7d150d9ap-4, -0x1.1a2436c7e9d67p-4, -0x1.140c9ad4b1e08p-4, -0x1.0e0ec12c2fa5cp-4, -0x1.082a75adef831p-4, -0x1.025f82f509e93p-4, -0x1.f95b64d0bbdd2p-5, -0x1.ee299894fd4d3p-5, -0x1.e3292f92a78aep-5, -0x1.d859b61ad7f4fp-5, -0x1.cdbab692036bfp-5, -0x1.c34bb98d634b8p-5, -0x1.b90c45efc51dep-5, -0x1.aefbe105be16cp-5, -0x1.a51a0ea141a28p-5, -0x1.9b66513499fb1p-5, -0x1.91e029ecc5ecfp-5, -0x1.888718cb3847fp-5, -0x1.7f5a9cbefde86p-5, -0x1.765a33bd44b82p-5, -0x1.6d855ad94c726p-5, -0x1.64db8e5bbad5ep-5, -0x1.5c5c49d956c95p-5, -0x1.540708492c356p-5, -0x1.4bdb441a18393p-5, -0x1.43d87747c13efp-5, -0x1.3bfe1b6ef6b6dp-5, -0x1.344ba9e1819f4p-5, -0x1.2cc09bb95ecfdp-5, -0x1.255c69eb6ce1bp-5, -0x1.1e1e8d5985f82p-5, -0x1.17067ee4115e5p-5, -0x1.1013b77b037c2p-5, -0x1.0945b02e57bdp-5, -0x1.029be23dffd6cp-5, -0x1.f82b8e529680cp-6, -0x1.eb65b17b9840bp-6, -0x1.dee5224b6c5a8p-6, -0x1.d2a8d5eb7a447p-6, -0x1.c6afc274e85f5p-6, -0x1.baf8df0a5ccefp-6, -0x1.af8323f0c9714p-6, -0x1.a44d8aa743a77p-6, -0x1.99570dfdecdd8p-6, -0x1.8e9eaa2bed39cp-6, -0x1.84235ce48c6a3p-6, -0x1.79e4256b5f68dp-6, -0x1.6fe004a7a2721p-6, -0x1.6615fd36ac2aap-6, -0x1.5c85137d9298p-6, -0x1.532c4db9fa2cfp-6, -0x1.4a0ab412180fcp-6, -0x1.411f50a3e84fap-6, -0x1.38692f93a2954p-6, -0x1.2fe75f1966fbcp-6, -0x1.2798ef8e360f6p-6, -0x1.1f7cf3782749cp-6, -0x1.17927f95efa16p-6, -0x1.0fd8aae9b6c51p-6, -0x1.084e8ec340a45p-6, -0x1.00f346c969dc1p-6, -0x1.f38be2060e6fap-7, -0x1.e58b5bbe3e3fep-7, -0x1.d7e3407914ab7p-7, -0x1.ca91dae1f5262p-7, -0x1.bd957a9edd996p-7, -0x1.b0ec745c2e656p-7, -0x1.a49521d754afap-7, -0x1.988de1e86eec4p-7, -0x1.8cd5188ae05efp-7, -0x1.81692ee4e1a77p-7, -0x1.7648934e24dd4p-7, -0x1.6b71b95573e61p-7, -0x1.60e319c5760fcp-7, -0x1.569b32a88aa1fp-7, -0x1.4c98874bc512cp-7, -0x1.42d9a04114b77p-7, -0x1.395d0b60a628dp-7, -0x1.30215bc970903p-7, -0x1.272529e10b928p-7, -0x1.1e671352c8397p-7, -0x1.15e5bb0e15ff1p-7, -0x1.0d9fc9443bba8p-7, -0x1.0593eb656936bp-7, -0x1.fb81a83a51cf6p-8, -0x1.ec4a769c6da23p-8, -0x1.dd7fbc1b85e3p-8, -0x1.cf1efd3c4b5abp-8, -0x1.c125c8d216da8p-8, -0x1.b391b7f238bc1p-8, -0x1.a6606de64f451p-8, -0x1.998f981dacf2ep-8, -0x1.8d1cee1dd6461p-8, -0x1.810631722882p-8, -0x1.75492d9aabe9p-8, -0x1.69e3b7fa21386p-8, -0x1.5ed3afc350dd3p-8, -0x1.5416fde5a6045p-8, -0x1.49ab94f920383p-8, -0x1.3f8f7129a324dp-8, -0x1.35c09821acaccp-8, -0x1.2c3d18f47cd8ep-8, -0x1.23030c07b4b41p-8, -0x1.1a1092fc76c51p-8, -0x1.1163d8980f581p-8, -0x1.08fb10ac2e28bp-8, -0x1.00d477feb6c7ep-8, -0x1.f1dca8626329ep-9, -0x1.e28de74fc5498p-9, -0x1.d3b95ae11a202p-9, -0x1.c55bc251d9046p-9, -0x1.b771edc9d1f3cp-9, -0x1.a9f8be2911e8cp-9, -0x1.9ced24d35e7c3p-9, -0x1.904c237b46005p-9, -0x1.8412cbecd859cp-9, -0x1.783e3fd80f589p-9, -0x1.6ccbb09af4a35p-9, -0x1.61b85f0b8f569p-9, -0x1.57019b41a1caep-9, -0x1.4ca4c4603e425p-9, -0x1.429f485f4901dp-9, -0x1.38eea3d4ddb54p-9, -0x1.2f9061beb2026p-9, -0x1.26821b4b742b7p-9, -0x1.1dc177a432233p-9, -0x1.154c2bb5cb52fp-9, -0x1.0d1ff9fa7fa76p-9, -0x1.053ab24397f19p-9, -0x1.fb346306625f6p-10, -0x1.ec78c32c75007p-10, -0x1.de3e721d385a2p-10, -0x1.d08175fb3ee8ap-10, -0x1.c33ded7d16777p-10, -0x1.b6700f831f287p-10, -0x1.aa142aaddaf3dp-10, -0x1.9e26a4f4f02c8p-10, -0x1.92a3fb3ec6442p-10, -0x1.8788c0f8d593dp-10, -0x1.7cd19fb0aa295p-10, -0x1.727b56adb5bedp-10, -0x1.6882ba8bd817cp-10, -0x1.5ee4b4d6c64bap-10, -0x1.559e43a6437b5p-10, -0x1.4cac793b3753ep-10, -0x1.440c7b9dada15p-10, -0x1.3bbb843bbb8fcp-10, -0x1.33b6df89581f1p-10, -0x1.2bfbeca12d68ep-10, -0x1.24881ce65897ap-10, -0x1.1d58f3a73b75ap-10, -0x1.166c05c13dcd2p-10, -0x1.0fbef945a3c11p-10, -0x1.094f851f695b5p-10, -0x1.031b70ba2c524p-10, -0x1.fa4127544d721p-11, -0x1.eeb9aaaa7ee5ep-11, -0x1.e39c593a5cc36p-11, -0x1.d8e53f1574c87p-11, -0x1.ce9085f4212a9p-11, -0x1.c49a749070556p-11, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.e9a961828e9e5p-1, 0x1.e7dffb8a9e53p-1, 0x1.e60ca970f9349p-1, 0x1.e430684c295b8p-1, 0x1.e24c2033de294p-1, 0x1.e0609fd283fddp-1, 0x1.de6e99d7c7c41p-1, 0x1.dc76a40b8c046p-1, 0x1.da7937b8fd41fp-1, 0x1.d876b328780cbp-1, 0x1.d66f5be292be6p-1, 0x1.d463617d24c43p-1, 0x1.d252e0bb3b0f7p-1, 0x1.d03de6d1ae093p-1, 0x1.ce2474aabe607p-1, 0x1.cc06820b61454p-1, 0x1.c9e400845ffe3p-1, 0x1.c7bcde1fff0afp-1, 0x1.c59107c27f30dp-1, 0x1.c3606b386eb69p-1, 0x1.c12af8f17b3d5p-1, 0x1.bef0a56965cfp-1, 0x1.bcb16a42dcbf6p-1, 0x1.ba6d47199b848p-1, 0x1.b82442122cb01p-1, 0x1.b5d6682e48f65p-1, 0x1.b383cd6d0c6adp-1, 0x1.b12c8cbe3a026p-1, 0x1.aed0c7cf8999ap-1, 0x1.ac70a6baa4c8p-1, 0x1.aa0c5799fb6bcp-1, 0x1.a7a40e0a18352p-1, 0x1.a538029c89409p-1, 0x1.a2c87240e7985p-1, 0x1.a0559da7f0ba3p-1, 0x1.9ddfc8a424277p-1, 0x1.9b67398ad2a56p-1, 0x1.98ec389813e26p-1, 0x1.966f0f57a7ec4p-1, 0x1.93f008146aaf3p-1, 0x1.916f6d4f9f62fp-1, 0x1.8eed89410e243p-1, 0x1.8c6aa560a79d8p-1, 0x1.89e709fa250d5p-1, 0x1.8762fdcae2acp-1, 0x1.84dec5aa0dbdp-1, 0x1.825aa43b10bd2p-1, 0x1.7fd6d9aa0e9f7p-1, 0x1.7d53a3721f78p-1, 0x1.7ad13c2cf1203p-1, 0x1.784fdb6b5b03ep-1, 0x1.75cfb596651cep-1, 0x1.7350fbd840968p-1, 0x1.70d3dc0ca442cp-1, 0x1.6e5880b7fc9ffp-1, 0x1.6bdf1104e198bp-1, 0x1.6967b0c741836p-1, 0x1.66f28084b23acp-1, 0x1.647f9d81609ffp-1, 0x1.620f21d1189b8p-1, 0x1.5fa1246be64ap-1, 0x1.5d35b945d415ap-1, 0x1.5accf16956071p-1, 0x1.5866db13f2d01p-1, 0x1.560381d4c72a6p-1, 0x1.53a2eeac84fbcp-1, 0x1.5145282e94879p-1, 0x1.4eea32a30cb09p-1, 0x1.4c92102934026p-1, 0x1.4a3cc0da4d27ep-1, 0x1.47ea42ec6d473p-1, 0x1.459a92d52cc31p-1, 0x1.434dab6bfe43bp-1, 0x1.4103860c0401fp-1, 0x1.3ebc1ab53f7c3p-1, 0x1.3c77602cf89dfp-1, 0x1.3a354c1d4543cp-1, 0x1.37f5d33397286p-1, 0x1.35b8e93e40d5ep-1, 0x1.337e8148dcf05p-1, 0x1.31468db792cap-1, 0x1.2f110061294dap-1, 0x1.2cddcaa7e67c5p-1, 0x1.2aacdd913556cp-1, 0x1.287e29dc10dffp-1, 0x1.2651a01636348p-1, 0x1.242730b01e261p-1, 0x1.21fecc0fc1e0dp-1, 0x1.1fd862a232149p-1, 0x1.1db3e4ec03448p-1, 0x1.1b91439897292p-1, 0x1.19706f884cd08p-1, 0x1.175159dd9d6dap-1, 0x1.1533f4092f82fp-1, 0x1.13182fd4ea15cp-1, 0x1.10fdff6e10ee7p-1, 0x1.0ee5556e7359cp-1, 0x1.0cce24e4b8a31p-1, 0x1.0ab8615bd2311p-1, 0x1.08a3fee19e7d2p-1, 0x1.0690f20cc702p-1, 0x1.047f3001e10d1p-1, 0x1.026eae77dd192p-1, 0x1.005f63bbcc66p-1, 0x1.fca28d680d62ep-2, 0x1.f8889dc5730bbp-2, 0x1.f470e8cfce1fdp-2, 0x1.f05b6005c1242p-2, 0x1.ec47f62684cd8p-2, 0x1.e8369f32f1a4cp-2, 0x1.e427506dac72ap-2, 0x1.e01a005a83853p-2, 0x1.dc0ea6bd09207p-2, 0x1.d8053c967b5ecp-2, 0x1.d3fdbc2300fc9p-2, 0x1.cff820d64bc45p-2, 0x1.cbf46757ab29dp-2, 0x1.c7f28d7d96ff5p-2, 0x1.c3f29248bfe64p-2, 0x1.bff475deaeb8cp-2, 0x1.bbf83983fbb71p-2, 0x1.b7fddf9624f34p-2, 0x1.b4056b85119d8p-2, 0x1.b00ee1cc4311cp-2, 0x1.ac1a47ebc0d93p-2, 0x1.a827a460c4e5ep-2, 0x1.a436fe9e2dc04p-2, 0x1.a0485f04c0c54p-2, 0x1.9c5bcedb3d541p-2, 0x1.987158464a9abp-2, 0x1.948906404698ep-2, 0x1.90a2e490f6597p-2, 0x1.8cbeffc521101p-2, 0x1.88dd65261a0f3p-2, 0x1.84fe22b13b59ap-2, 0x1.8121470f584a2p-2, 0x1.7d46e18c29a0cp-2, 0x1.796f020db991dp-2, 0x1.7599b90bcef26p-2, 0x1.71c7178761a1dp-2, 0x1.6df72f0213c9ap-2, 0x1.6a2a1175b68cep-2, 0x1.665fd14be0bf4p-2, 0x1.6298815591ed2p-2, 0x1.5ed434c2ea801p-2, 0x1.5b12ff1af9e02p-2, 0x1.5754f433a374ap-2, 0x1.539a28299fca1p-2, 0x1.4fe2af5895787p-2, 0x1.4c2e9e535375fp-2, 0x1.487e09dc29c29p-2, 0x1.44d106dd61be3p-2, 0x1.4127aa61da1e8p-2, 0x1.3d82098dc6141p-2, 0x1.39e0399791d16p-2, 0x1.36424fc0edc62p-2, 0x1.32a8614ffecbep-2, 0x1.2f128388b96c8p-2, 0x1.2b80cba6652e6p-2, 0x1.27f34ed547e68p-2, 0x1.246a222c7fa87p-2, 0x1.20e55aa8036b4p-2, 0x1.1d650d22d39dbp-2, 0x1.19e94e5152c0ap-2, 0x1.167232bbd0957p-2, 0x1.12ffceb93aae4p-2, 0x1.0f92366a02a61p-2, 0x1.0c297db32a2c1p-2, 0x1.08c5b83982f44p-2, 0x1.0566f95d18e0bp-2, 0x1.020d5434ca58ap-2, 0x1.fd71b7141f5ebp-3, 0x1.f6d343a9e16fep-3, 0x1.f03f727048444p-3, 0x1.e9b666fac3b5bp-3, 0x1.e3384423ba04bp-3, 0x1.dcc52c05df295p-3, 0x1.d65d3ff5dfb4ap-3, 0x1.d000a07c63a7dp-3, 0x1.c9af6d506f6ap-3, 0x1.c369c55210632p-3, 0x1.bd2fc6856b39dp-3, 0x1.b7018e0e1779ap-3, 0x1.b0df382acfa9ap-3, 0x1.aac8e031795a1p-3, 0x1.a4bea08b7470ap-3, 0x1.9ec092b245f02p-3, 0x1.98cecf2c883d1p-3, 0x1.92e96d8b2ef25p-3, 0x1.8d10846712d6ap-3, 0x1.8744295ec977bp-3, 0x1.81847114c86a9p-3, 0x1.7bd16f2dca847p-3, 0x1.762b364f7fd83p-3, 0x1.7091d81f816e2p-3, 0x1.6b05654283704p-3, 0x1.6585ed5bcf76bp-3, 0x1.60137f0cf801p-3, 0x1.5aae27f5ca636p-3, 0x1.5555f4b4838d8p-3, 0x1.500af0e63532p-3, 0x1.4acd272768812p-3, 0x1.459ca114fcb2fp-3, 0x1.4079674d2c45ep-3, 0x1.3b638170d97dp-3, 0x1.365af624f7e48p-3, 0x1.315fcb1436ee9p-3, 0x1.2c7204f0cedd2p-3, 0x1.2791a77682735p-3, 0x1.22beb56cc2f4ap-3, 0x1.1df930a90565ep-3, 0x1.19411a113a1cap-3, 0x1.1496719e6a21p-3, 0x1.0ff9365f7b43cp-3, 0x1.0b69667c1059bp-3, 0x1.06e6ff3794917p-3, 0x1.0271fcf459415p-3, 0x1.fc14b66db14eep-4, 0x1.f3602952299e4p-4, 0x1.eac6463c18e8p-4, 0x1.e246ff2a8f49ep-4, 0x1.d9e2447d0822ep-4, 0x1.d19804fad98cap-4, 0x1.c9682ddad354dp-4, 0x1.c152aacb082eep-4, 0x1.b95765f8af86dp-4, 0x1.b1764818334f4p-4, 0x1.a9af386d4be2p-4, 0x1.a2021cd340d28p-4, 0x1.9a6ed9c53d1a2p-4, 0x1.92f55266b7ac8p-4, 0x1.8b95688befcp-4, 0x1.844efcc278bebp-4, 0x1.7d21ee59d2b41p-4, 0x1.760e1b6c0f668p-4, 0x1.6f1360e67e1eep-4, 0x1.68319a9260971p-4, 0x1.6168a31da2e56p-4, 0x1.5ab854239692fp-4, 0x1.54208635ad583p-4, 0x1.4da110e43432dp-4, 0x1.4739cac708812p-4, 0x1.40ea898649f27p-4, 0x1.3ab321e3059b3p-4, 0x1.349367bfd6d4cp-4, 0x1.2e8b2e297f24cp-4, 0x1.289a475f722dbp-4, 0x1.22c084dc5413dp-4, 0x1.1cfdb75e68eep-4, 0x1.1751aeeff4e88p-4, 0x1.11bc3aef8967bp-4, 0x1.0c3d2a1841a1bp-4, 0x1.06d44a89e90dp-4, 0x1.018169d10dc1bp-4, 0x1.f888a9ddfa6cfp-5, 0x1.ee39b0c351146p-5, 0x1.e4158056e3831p-5, 0x1.da1bafb5bdf68p-5, 0x1.d04bd5246790cp-5, 0x1.c6a5861de0f58p-5, 0x1.bd28576269e81p-5, 0x1.b3d3dd060f51ep-5, 0x1.aaa7aa7efdd26p-5, 0x1.a1a352b39baap-5, 0x1.98c6680863a9dp-5, 0x1.90107c6d839ecp-5, 0x1.8781216c3ddebp-5, 0x1.7f17e83407fbdp-5, 0x1.76d461a76d4d4p-5, 0x1.6eb61e68adea4p-5, 0x1.66bcaee61df68p-5, 0x1.5ee7a36640abfp-5, 0x1.57368c13a3b6p-5, 0x1.4fa8f90875969p-5, 0x1.483e7a59d9313p-5, 0x1.40f6a022f78bp-5, 0x1.39d0fa8fcb2c2p-5, 0x1.32cd19e7a9016p-5, 0x1.2bea8e978664ap-5, 0x1.2528e93bf9d49p-5, 0x1.1e87baaaf8791p-5, 0x1.180693fd4e572p-5, 0x1.11a50697d78ap-5, 0x1.0b62a4346ff35p-5, 0x1.053efeeaa44a6p-5, 0x1.fe7352703fef7p-6, 0x1.f2a46c11aca8fp-6, 0x1.e710717dd70dbp-6, 0x1.dbb68a74b9422p-6, 0x1.d095dfc0cbea1p-6, 0x1.c5ad9b454dd0dp-6, 0x1.bafce80c13f06p-6, 0x1.b082f252d3c5fp-6, 0x1.a63ee797f334cp-6, 0x1.9c2ff6a6ddf87p-6, 0x1.92554fa3dbb8ap-6, 0x1.88ae2417714d8p-6, 0x1.7f39a6f94b173p-6, 0x1.75f70cbaaac84p-6, 0x1.6ce58b5066011p-6, 0x1.64045a3c74548p-6, 0x1.5b52b297038f6p-6, 0x1.52cfcf1723dabp-6, 0x1.4a7aec1b05636p-6, 0x1.425347afc61f3p-6, 0x1.3a582198d6b7cp-6, 0x1.3288bb56fb898p-6, 0x1.2ae4582ee0908p-6, 0x1.236a3d2f4da12p-6, 0x1.1c19b136f54c6p-6, 0x1.14f1fcf9e35c8p-6, 0x1.0df26b068f227p-6, 0x1.071a47ca8b3fbp-6, 0x1.0068e196df95ap-6, 0x1.f3bb11480f76fp-7, 0x1.e6ef1e2b389acp-7, 0x1.da6c91fb47252p-7, 0x1.ce3218bf253cdp-7, 0x1.c23e6265f4018p-7, 0x1.b69022cbccec7p-7, 0x1.ab2611bde6fa1p-7, 0x1.9ffeeafe1cca3p-7, 0x1.95196e45ee75bp-7, 0x1.8a745f48e72c2p-7, 0x1.800e85b67fee6p-7, 0x1.75e6ad3b76f5p-7, 0x1.6bfba582a433cp-7, 0x1.624c423552037p-7, 0x1.58d75afb11817p-7, 0x1.4f9bcb7923f88p-7, 0x1.469873515b5a4p-7, 0x1.3dcc3620a231fp-7, 0x1.3535fb7d01f91p-7, 0x1.2cd4aef34afcdp-7, 0x1.24a7400451b9p-7, 0x1.1caca221ca88p-7, 0x1.14e3ccaac60a6p-7, 0x1.0d4bbae7d1601p-7, 0x1.05e36c06bdb71p-7, 0x1.fd53c62c2522cp-8, 0x1.ef3c4e005daabp-8, 0x1.e17e850c33dd3p-8, 0x1.d418887412b59p-8, 0x1.c7087cf33e484p-8, 0x1.ba4c8ecfc12adp-8, 0x1.ade2f1cdd860ap-8, 0x1.a1c9e122deedfp-8, 0x1.95ff9f67bf89cp-8, 0x1.8a82768af3304p-8, 0x1.7f50b7c212c6dp-8, 0x1.7468bb7afca9fp-8, 0x1.69c8e14c9b5ffp-8, 0x1.5f6f8fe74b779p-8, 0x1.555b3504e7e47p-8, 0x1.4b8a455885dbp-8, 0x1.41fb3c7ddda39p-8, 0x1.38ac9ce86ba69p-8, 0x1.2f9cefd24c3a8p-8, 0x1.26cac52ad4bcbp-8, 0x1.1e34b384f1d56p-8, 0x1.15d958054c98bp-8, 0x1.0db756503cb4ep-8, 0x1.05cd58778a7ecp-8, 0x1.fc341dd00aba8p-9, 0x1.ed3860ade2c91p-9, 0x1.dea4f35ea9255p-9, 0x1.d0775bfe3e58ep-9, 0x1.c2ad2cc8758bp-9, 0x1.b54403f2fec52p-9, 0x1.a8398b87254f4p-9, 0x1.9b8b793b6a94bp-9, 0x1.8f378e4d00f25p-9, 0x1.833b975932409p-9, 0x1.77956c36ad98bp-9, 0x1.6c42efced248fp-9, 0x1.61420ff6ea76p-9, 0x1.5690c5496e2d9p-9, 0x1.4c2d12ff42887p-9, 0x1.421506c9064f8p-9, 0x1.3846b8a86ef3bp-9, 0x1.2ec04ac9b1e8bp-9, 0x1.257fe95d0cf6p-9, 0x1.1c83ca70635c4p-9, 0x1.13ca2dc90382bp-9, 0x1.0b515cbd87aa3p-9, 0x1.0317aa0fe5ea6p-9, 0x1.f636e38f53ad1p-10, 0x1.e6b63218b4182p-10, 0x1.d7aa1c0030999p-10, 0x1.c90f8f34df851p-10, 0x1.bae38b06c25f6p-10, 0x1.ad231fdd58f7ep-10, 0x1.9fcb6eeea75a3p-10, 0x1.92d9a9f6ce1d5p-10, 0x1.864b12f01e8c8p-10, 0x1.7a1cfbcbc6cedp-10, 0x1.6e4cc62b0becp-10, 0x1.62d7e319198fdp-10, 0x1.57bbd2c56e4ddp-10, 0x1.4cf6243eea057p-10, 0x1.4284752f78c73p-10, 0x1.3864719868dbep-10, 0x1.2e93d38f688edp-10, 0x1.251062fc303b2p-10, 0x1.1bd7f556dadc8p-10, 0x1.12e86d66ef646p-10, 0x1.0a3fbb0324f56p-10, 0x1.01dbdad1d4bbbp-10, 0x1.f375ac1451656p-11, 0x1.e3b5846c0adadp-11, 0x1.d47381e95b845p-11, 0x1.c5abff7c4b0cfp-11, 0x1.b75b6f4ea3cadp-11, 0x1.a97e5a4db6f4p-11, 0x1.9c115fb59ef52p-11, 0x1.8f11349e0924dp-11, 0x1.827aa388828cdp-11, 0x1.764a8bf04d3p-11, 0x1.6a7de1dbbaa67p-11, 0x1.5f11ad6f113ddp-11, 0x1.54030a80f7c97p-11, 0x1.494f28306b48fp-11, 0x1.3ef3487c3c5ffp-11, 0x1.34ecbfdc16a4p-11, 0x1.2b38f4db0d7aap-11, 0x1.21d55fb3b2947p-11, 0x1.18bf89edb064cp-11, 0x1.0ff50dfceb826p-11, 0x1.077396e2271e8p-11, 0x1.fe71bf9a55875p-12, 0x1.ee856780d654ap-12, 0x1.df1dda6c5dddp-12, 0x1.d036eb8e66683p-12, 0x1.c1cc8ba591962p-12, 0x1.b3dac850d5e8cp-12, 0x1.a65dcb6598cd5p-12, 0x1.9951da48af4a7p-12, 0x1.8cb3554a3feb5p-12, 0x1.807eb70483a7cp-12, 0x1.74b093bd5d3a9p-12, 0x1.694598cabde47p-12, 0x1.5e3a8bf9da4e5p-12, 0x1.538c4af920b06p-12, 0x1.4937cac4eee16p-12, 0x1.3f3a1716fd81fp-12, 0x1.359051d880b48p-12, 0x1.2c37b296ebed1p-12, 0x1.232d85fb5f99p-12, 0x1.1a6f2d44adb4cp-12, 0x1.11fa1dc3f54fap-12, 0x1.09cbe05bc9485p-12, 0x1.01e21101df8dfp-12, 0x1.f474bc8674118p-13, 0x1.e5a5119595f1ap-13, 0x1.d750c5d5083f2p-13, 0x1.c973a04d9f9c8p-13, 0x1.bc098988ccad8p-13, 0x1.af0e8ab0f96e1p-13, 0x1.a27eccb686fbfp-13, 0x1.96569779529a7p-13, 0x1.8a9250f6c670ep-13, 0x1.7f2e7c7c48fadp-13, 0x1.7427b9de1d2d8p-13, 0x1.697ac4b27ffbdp-13, 0x1.5f247391153b9p-13, 0x1.5521b75676e3ap-13, 0x1.4b6f9a6beb233p-13, 0x1.420b40132399bp-13, 0x1.38f1e3b5fd934p-13, 0x1.3020d83a36ae5p-13, 0x1.27958758f2c89p-13, 0x1.1f4d70fa22847p-13, 0x1.17462a9397f59p-13, 0x1.0f7d5e8bdb77fp-13, 0x1.07f0cba08e416p-13, 0x1.009e445071318p-13, 0x1.f3075c91b5795p-14, 0x1.e53e03ad54b2fp-14, 0x1.d7dc92b52e718p-14, 0x1.cadf4181ad578p-14, 0x1.be4269f8076b1p-14, 0x1.b202870679ee7p-14, 0x1.a61c33a6cc1cp-14, 0x1.9a8c29e70a2c2p-14, 0x1.8f4f41f84cb25p-14, 0x1.846271437317ep-14, 0x1.79c2c983b9f8p-14, 0x1.6f6d77e70d1d4p-14, 0x1.655fc433f8211p-14, 0x1.5b970ff51b5edp-14, 0x1.5210d5aa0aee7p-14, 0x1.48caa7fd7a48dp-14, 0x1.3fc231009a777p-14, 0x1.36f5316b9168cp-14, 0x1.2e617fe2eed94p-14, 0x1.2605084204841p-14, 0x1.1dddcaea0ae9p-14, 0x1.15e9dc15f5781p-14, 0x1.0e276332dffb5p-14, 0x1.06949a3cfba91p-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.08c251272922ep-6, -0x1.3eca7d7b815b4p-6, -0x1.750df4c3c5915p-6, -0x1.ab33f1245887fp-6, -0x1.e10985bf1dacep-6, -0x1.0b3ed739b28d3p-5, -0x1.25ce31780290ep-5, -0x1.404492ff0551fp-5, -0x1.5abcb91b4de91p-5, -0x1.7557a75469c35p-5, -0x1.903a20b78822ap-5, -0x1.ab8a6239b1762p-5, -0x1.c76e28f114434p-5, -0x1.e40908fe45b9fp-5, -0x1.00bd8aba7889cp-4, -0x1.0fefeb1f09503p-4, -0x1.1fa6c34ee85ffp-4, -0x1.2fea4ac682e12p-4, -0x1.40bfb02315c24p-4, -0x1.52290f8b8c26ap-4, -0x1.64257e4d4b9cp-4, -0x1.76b127e9340a9p-4, -0x1.89c5790e5b646p-4, -0x1.9d59554ef68e5p-4, -0x1.b16154b1c05ccp-4, -0x1.c5d00699f6567p-4, -0x1.da9637d64afdep-4, -0x1.efa339f965302p-4, -0x1.02729535bbc62p-3, -0x1.0d249bf57784fp-3, -0x1.17ddf2b8f3ff1p-3, -0x1.2294a4d7b0d26p-3, -0x1.2d3ea53a9c162p-3, -0x1.37d1e9d43539cp-3, -0x1.424484b382926p-3, -0x1.4c8cba9c1462fp-3, -0x1.56a1171b2031bp-3, -0x1.60787e1d57ed7p-3, -0x1.6a0a3b12d1c44p-3, -0x1.734e0db6045c4p-3, -0x1.7c3c349111756p-3, -0x1.84cd75613487ep-3, -0x1.8cfb237bd49e9p-3, -0x1.94bf245ac6ac7p-3, -0x1.9c13f2770ff9ep-3, -0x1.a2f49e99bdc2fp-3, -0x1.a95ccfca90777p-3, -0x1.af48c20372435p-3, -0x1.b4b543ce90023p-3, -0x1.b99fb2f380794p-3, -0x1.be05f855fca4ep-3, -0x1.c1e68326cc80fp-3, -0x1.c54043853ad9dp-3, -0x1.c812a4ad44dcfp-3, -0x1.ca5d86cc4a7a1p-3, -0x1.cc213893d1b47p-3, -0x1.cd5e709f88294p-3, -0x1.ce1646c189317p-3, -0x1.ce4a2d45bb2fep-3, -0x1.cdfbea3b178f3p-3, -0x1.cd2d90cfa3d2dp-3, -0x1.cbe17aca3cc95p-3, -0x1.ca1a422b766b7p-3, -0x1.c7dabafd5e006p-3, -0x1.c525ed58845bbp-3, -0x1.c1ff0fa3500a4p-3, -0x1.be69810f86951p-3, -0x1.ba68c458de21ap-3, -0x1.b6007ac691366p-3, -0x1.b1345f70fc84cp-3, -0x1.ac0842cbbad56p-3, -0x1.a6800674088cfp-3, -0x1.a09f99429f329p-3, -0x1.9a6af39ff76a2p-3, -0x1.93e6141944212p-3, -0x1.8d14fc346c7ep-3, -0x1.85fbad80d7c5cp-3, -0x1.7e9e26e2d13c2p-3, -0x1.7700621719a06p-3, -0x1.6f26516c250a8p-3, -0x1.6713ddae73366p-3, -0x1.5ecce4456f68fp-3, -0x1.5655357e3a8d8p-3, -0x1.4db09301dbab2p-3, -0x1.44e2ae7439512p-3, -0x1.3bef28397d0abp-3, -0x1.32d98e5f6242fp-3, -0x1.29a55ba82dcfap-3, -0x1.2055f6b50dfe2p-3, -0x1.16eeb14db110dp-3, -0x1.0d72c7c31a281p-3, -0x1.03e5606ba858bp-3, -0x1.f493166d17a02p-4, -0x1.e14482a9a31cfp-4, -0x1.cde4c9ecd41dbp-4, -0x1.ba79823323aefp-4, -0x1.a70812d651838p-4, -0x1.9395b46d1fb7fp-4, -0x1.802770c77b116p-4, -0x1.6cc22304bda0bp-4, -0x1.596a77c1a5a4fp-4, -0x1.4624ed5bf522cp-4, -0x1.32f5d449b68f9p-4, -0x1.1fe14f82545f7p-4, -0x1.0ceb54f7c84fdp-4, -0x1.f42f5c3c992acp-5, -0x1.ced3f1022a16fp-5, -0x1.a9cb4cc55efd6p-5, -0x1.851bfecf8e0d8p-5, -0x1.60cc4296380d2p-5, -0x1.3ce2013336c93p-5, -0x1.1962d2eb20e33p-5, -0x1.eca8018017b83p-6, -0x1.a7750c1de2c97p-6, -0x1.6336246c3e36ep-6, -0x1.1ff414867d27dp-6, -0x1.bb6e2a9e68261p-7, -0x1.390da3c5700a6p-7, -0x1.71a9ac4562f8ap-8, -0x1.d687adf288962p-10, 0x1.03c73fc47b7aap-9, 0x1.74d099f7f91e7p-8, 0x1.31884bee790b3p-7, 0x1.a64888c7ffeap-7, 0x1.0c5054fbf0ddfp-6, 0x1.44449cb0e3a7ep-6, 0x1.7afdceb61a5fap-6, 0x1.b079090d9dc0fp-6, 0x1.e4b3d11c9efc4p-6, 0x1.0bd60823e375fp-5, 0x1.24b0084c1a77fp-5, 0x1.3ce73cb4f7206p-5, 0x1.547b26123022dp-5, 0x1.6b6b707ec317fp-5, 0x1.81b7f1e424393p-5, 0x1.9760a8673f772p-5, 0x1.ac65b8db86bb5p-5, 0x1.c0c76d3c3b6bep-5, 0x1.d486332c1e789p-5, 0x1.e7a29a7bacf15p-5, 0x1.fa1d53b60ba05p-5, 0x1.05fb975a5bbc7p-4, 0x1.0e988c9d0fe64p-4, 0x1.16e60ec9987aap-4, 0x1.1ee4b09ff519ap-4, 0x1.269511d184ffbp-4, 0x1.2df7de5c6d29cp-4, 0x1.350dcdea92522p-4, 0x1.3bd7a3342b2dbp-4, 0x1.42562b65ea608p-4, 0x1.488a3d8ac1c01p-4, 0x1.4e74b9f93cc6ep-4, 0x1.541689c472ed1p-4, 0x1.59709e308c451p-4, 0x1.5e83f02ad6c72p-4, 0x1.63517fc5678bbp-4, 0x1.67da53b6438e4p-4, 0x1.6c1f78da07b4ep-4, 0x1.702201ba0dff5p-4, 0x1.73e3061603e72p-4, 0x1.7763a270efd54p-4, 0x1.7aa4f7a197f2fp-4, 0x1.7da82a66472cfp-4, 0x1.806e62fbe3088p-4, 0x1.82f8ccb84bc95p-4, 0x1.854895a7fbff8p-4, 0x1.875eee2edda36p-4, 0x1.893d08ac49d77p-4, 0x1.8ae4192228c1fp-4, 0x1.8c5554df27d1p-4, 0x1.8d91f22bf775fp-4, 0x1.8e9b27fb8a2e5p-4, 0x1.8f722d9e43cb5p-4, 0x1.90183a78102b5p-4, 0x1.908e85b95460ap-4, 0x1.90d6461aaea97p-4, 0x1.90f0b19b769efp-4, 0x1.90defd42f3c17p-4, 0x1.90a25ce43c4eap-4, 0x1.903c02e4af5d8p-4, 0x1.8fad2004fd682p-4, 0x1.8ef6e32cb42e1p-4, 0x1.8e1a79383d0bdp-4, 0x1.8d190cc945831p-4, 0x1.8bf3c619805bap-4, 0x1.8aabcacfb5292p-4, 0x1.89423dd71130fp-4, 0x1.87b83f38a8ccfp-4, 0x1.860eebf72214p-4, 0x1.84475dec767d9p-4, 0x1.8262aba9c11e3p-4, 0x1.8061e8590bf18p-4, 0x1.7e4623a10f008p-4, 0x1.7c10698ad3aabp-4, 0x1.79c1c26931ddep-4, 0x1.775b32c217685p-4, 0x1.74ddbb398d6d8p-4, 0x1.724a587e71caep-4, 0x1.6fa20338d3e18p-4, 0x1.6ce5aff9ec27ap-4, 0x1.6a164f2d9fb98p-4, 0x1.6734cd0d844eap-4, 0x1.6442119559d6cp-4, 0x1.613f0078eacbap-4, 0x1.5e2c791b4c00ep-4, 0x1.5b0b56876b3adp-4, 0x1.57dc6f69e4488p-4, 0x1.54a0960c115e3p-4, 0x1.51589850489d6p-4, 0x1.4e053faf3f94p-4, 0x1.4aa751368673p-4, 0x1.473f8d8812b73p-4, 0x1.43ceb0dacd213p-4, 0x1.405572fc19a9ep-4, 0x1.3cd487524dd65p-4, 0x1.394c9ce00ddadp-4, 0x1.35be5e4883b5dp-4, 0x1.322a71d46965ep-4, 0x1.2e917977da718p-4, 0x1.2af412d8e4a8fp-4, 0x1.2752d756cfb0ap-4, 0x1.23ae5c1210f2bp-4, 0x1.200731f4e386p-4, 0x1.1c5de5bc7ca7ap-4, 0x1.18b30002d372dp-4, 0x1.15070548f3edep-4, 0x1.115a7601d527p-4, 0x1.0dadce9dac0b2p-4, 0x1.0a018795b0c3ep-4, 0x1.0656157852623p-4, 0x1.02abe8f5ced09p-4, 0x1.fe06ddda5495bp-5, 0x1.f6ba20f2fce51p-5, 0x1.ef7265ff33eadp-5, 0x1.e8307077d7595p-5, 0x1.e0f4fca164557p-5, 0x1.d9c0bfa8d26cap-5, 0x1.d29467c0e2a5bp-5, 0x1.cb709c3fd0085p-5, 0x1.c455fdbd613fdp-5, 0x1.bd452631436d5p-5, 0x1.b63ea911b261bp-5, 0x1.af43137257065p-5, 0x1.a852ec235b412p-5, 0x1.a16eb3d0a86b5p-5, 0x1.9a96e52141ed5p-5, 0x1.93cbf4d6bd699p-5, 0x1.8d0e51ecc4c0ep-5, 0x1.865e65b8a4c17p-5, 0x1.7fbc9408d9b92p-5, 0x1.79293b44933cep-5, 0x1.72a4b48b2dbadp-5, 0x1.6c2f53d394d49p-5, 0x1.65c9680b88df1p-5, 0x1.5f733b36c7e3p-5, 0x1.592d128e0993bp-5, 0x1.52f72e9dd3ddfp-5, 0x1.4cd1cb6519fc2p-5, 0x1.46bd2073a60f6p-5, 0x1.40b96108457fdp-5, 0x1.3ac6bc2eb87edp-5, 0x1.34e55cdd58b44p-5, 0x1.2f156a1279e71p-5, 0x1.295706f17df2ap-5, 0x1.23aa52df99ebap-5, 0x1.1e0f69a044b7ap-5, 0x1.18866371534f4p-5, 0x1.130f5526b985ep-5, 0x1.0daa5045ef571p-5, 0x1.08576320f733cp-5, 0x1.031698f10604dp-5, 0x1.fbcff3e18a485p-6, 0x1.f19716ec623c9p-6, 0x1.e782a018242p-6, 0x1.dd928f1619279p-6, 0x1.d3c6de648ca0dp-6, 0x1.ca1f837f44c4ep-6, 0x1.c09c6f0f2383cp-6, 0x1.b73d8d18e83cdp-6, 0x1.ae02c52b1da94p-6, 0x1.a4ebfa8b247b2p-6, 0x1.9bf90c6161bbbp-6, 0x1.9329d5e49250ep-6, 0x1.8a7e2e84364b5p-6, 0x1.81f5ea1227b0dp-6, 0x1.7990d8eb458a8p-6, 0x1.714ec81f49bbbp-6, 0x1.692f8197b5ecap-6, 0x1.6132cc3de86d7p-6, 0x1.59586c204e826p-6, 0x1.51a02296b852cp-6, 0x1.4a09ae65d4cffp-6, 0x1.4294cbe1cbb95p-6, 0x1.3b4135100486p-6, 0x1.340ea1c80ab7bp-6, 0x1.2cfcc7d3a783dp-6, 0x1.260b5b0e199b4p-6, 0x1.1f3a0d828193ap-6, 0x1.18888f897b35dp-6, 0x1.11f68fe5e248ep-6, 0x1.0b83bbe0d309p-6, 0x1.052fbf64d6ceap-6, 0x1.fdf48a3095f39p-7, 0x1.f1c5ecee0cb24p-7, 0x1.e5d2f7d663976p-7, 0x1.da1af9cacfa09p-7, 0x1.ce9d3fe827f41p-7, 0x1.c35915b41ef11p-7, 0x1.b84dc54923dadp-7, 0x1.ad7a9780beabp-7, 0x1.a2ded41c974f1p-7, 0x1.9879c1ee11cbp-7, 0x1.8e4aa6fc945e4p-7, 0x1.8450c8aa7eb3fp-7, 0x1.7a8b6bd8c13b2p-7, 0x1.70f9d5094318ep-7, 0x1.679b487ff0b3ap-7, 0x1.5e6f0a629fe1cp-7, 0x1.55745ed7ad954p-7, 0x1.4caa8a237c6cbp-7, 0x1.4410d0c4bbf4ap-7, 0x1.3ba6778f92363p-7, 0x1.336ac3c7abcc6p-7, 0x1.2b5cfb392e8fp-7, 0x1.237c6450a0225p-7, 0x1.1bc84631bf4c3p-7, 0x1.143fe8cd5ae41p-7, 0x1.0ce294f629be7p-7, 0x1.05af9474a9c65p-7, 0x1.fd4c64341db0bp-8, 0x1.ef8b73a486247p-8, 0x1.e21af16a071dbp-8, 0x1.d4f97a2c35189p-8, 0x1.c825ad2982cb7p-8, 0x1.bb9e2c5457da1p-8, 0x1.af619c6e8d26p-8, 0x1.a36ea523545afp-8, 0x1.97c3f11f9b0c6p-8, 0x1.8c602e28ee74cp-8, 0x1.81420d32f0b93p-8, 0x1.76684273674c4p-8, 0x1.6bd18574ecd9p-8, 0x1.617c91285361ep-8, 0x1.576823f4be2bep-8, 0x1.4d92ffc67f914p-8, 0x1.43fbea1cc5b6p-8, 0x1.3aa1ac161b76bp-8, 0x1.3183127bce2d7p-8, 0x1.289eedcc39fd9p-8, 0x1.1ff412440cb05p-8, 0x1.178157e685e57p-8, 0x1.0f459a84ba7f9p-8, 0x1.073fb9c3ea37bp-8, 0x1.fedd3245d7233p-9, 0x1.efa23ffd6e635p-9, 0x1.e0cc732c38dep-9, 0x1.d259aa194f26bp-9, 0x1.c447cad97b72fp-9, 0x1.b694c351fa6abp-9, 0x1.a93e8939c3eb8p-9, 0x1.9c431a197904ep-9, 0x1.8fa07b49fcceep-9, 0x1.8354b9f1c8fep-9, 0x1.775deb010df8ap-9, 0x1.6bba2b2ca9aecp-9, 0x1.60679ee801083p-9, 0x1.5564725dcf9c1p-9, 0x1.4aaed967f1121p-9, 0x1.40450f8635a2dp-9, 0x1.362557d452083p-9, 0x1.2c4dfcfee80f2p-9, 0x1.22bd5137c6304p-9, 0x1.1971ae2959adbp-9, 0x1.106974e964abcp-9, 0x1.07a30deb0263bp-9, 0x1.fe39d1e003ca5p-10, 0x1.edaaf9f34aeddp-10, 0x1.dd9690718aeffp-10, 0x1.cdf99ffadccadp-10, 0x1.bed1414bf40a3p-10, 0x1.b01a9b1b52ac8p-10, 0x1.a1d2e1f5a5f85p-10, 0x1.93f758194584p-10, 0x1.86854d50f6375p-10, 0x1.797a1ecdecc55p-10, 0x1.6cd3370137071p-10, 0x1.608e0d747fd46p-10, 0x1.54a826a253a2cp-10, 0x1.491f13cdde087p-10, 0x1.3df072da3c49ap-10, 0x1.3319ee216970dp-10, 0x1.28993c4ad3b54p-10, 0x1.1e6c20219c503p-10, 0x1.1490686aa1468p-10, 0x1.0b03efba42851p-10, 0x1.01c49c4a03db9p-10, 0x1.f1a0bf9c090afp-11, 0x1.e04a6e94b5c71p-11, 0x1.cf8255d0c3d1dp-11, 0x1.bf449b97f6ff1p-11, 0x1.af8d7bd1a037cp-11, 0x1.a05947af2df85p-11, 0x1.91a46556d55a6p-11, 0x1.836b4f8e66947p-11, 0x1.75aa956659515p-11, 0x1.685ed9e51be8cp-11, 0x1.5b84d3b2b6231p-11, 0x1.4f194cc4c6bb4p-11, 0x1.4319220ae9242p-11, 0x1.3781431b8ed18p-11, 0x1.2c4eb1e1528d6p-11, 0x1.217e8248d4b67p-11, 0x1.170dd9ef23c78p-11, 0x1.0cf9efd0be384p-11, 0x1.03400bf931fe7p-11, 0x1.f3bb0e66c7a18p-12, 0x1.e19f95750968cp-12, 0x1.d0289fd774375p-12, 0x1.bf513ff105e37p-12, 0x1.af14a733b64dbp-12, 0x1.9f6e25884b3dep-12, 0x1.905928b7c193p-12, 0x1.81d13bd652fabp-12, 0x1.73d206b02699ep-12, 0x1.66574d37aa659p-12, 0x1.595ceef5a649ap-12, 0x1.4cdee67b0a037p-12, 0x1.40d948d47b8b9p-12, 0x1.354844ffadb6bp-12, 0x1.2a28236282341p-12, 0x1.1f754543f8b7bp-12, 0x1.152c2446f5375p-12, 0x1.0b4951e6d760fp-12, 0x1.01c976f5eeffap-12, 0x1.f152a63b8d195p-13, 0x1.dfcb78c298fa4p-13, 0x1.cef73d41b5ae5p-13, 0x1.becff6402f508p-13, 0x1.af4fd01b716fcp-13, 0x1.a071201a4a1e5p-13, 0x1.922e6383dcf58p-13, 0x1.84823eba62e04p-13, 0x1.77677c5990d86p-13, 0x1.6ad90c58ba4dbp-13, 0x1.5ed20330ac838p-13, 0x1.534d990528c5p-13, 0x1.484728d213f5ep-13, 0x1.3dba2f9c47adap-13, 0x1.33a24ba6005d2p-13, 0x1.29fb3ba6e316bp-13, 0x1.20c0de079dac9p-13, 0x1.17ef30210b879p-13, 0x1.0f824d7ee01cap-13, 0x1.07766f25d7018p-13, 0x1.ff8fd5ba97cd2p-14, 0x1.f0e664f8a3c3cp-14, 0x1.e2e9a6743d9d9p-14, 0x1.d592ea03c0c0ap-14, 0x1.c8dbb393bfc19p-14, 0x1.bcbdb9dbe03bap-14, 0x1.b132e51a41ff7p-14, 0x1.a6354dd54d91p-14, 0x1.9bbf3ba3e5466p-14, 0x1.91cb23fbe058ap-14, 0x1.8853a906b6808p-14, 0x1.7f53987c517e7p-14, 0x1.76c5ea83ea123p-14, 0x1.6ea5c09adc353p-14, 0x1.66ee64816037dp-14, 0x1.5f9b472d10cbfp-14, 0x1.58a7ffc12c552p-14, 0x1.52104a8c78a2dp-14, 0x1.4bd0080cb686p-14, 0x1.45e33bf78f1a1p-14, 0x1.40460c48e4c7p-14, 0x1.3af4c0567344fp-14, 0x1.35ebbfe8a9e9ep-14, 0x1.31279258a7efep-14, 0x1.2ca4ddb34a7d1p-14, 0x1.286065e13139dp-14, 0x1.24570bd3a8864p-14, 0x1.2085ccb662ca3p-14, 0x1.1ce9c125ebcc7p-14, 0x1.19801c6abf2fap-14, 0x1.16462bb8f23b6p-14, 0x1.1339557455eb6p-14, 0x1.1057187901c7p-14, 0x1.0d9d0b6830723p-14, 0x1.0b08dbf959ca1p-14, 0x1.08984e4f77764p-14, 0x1.06493c525fbffp-14, 0x1.0419950c216eap-14, 0x1.02075c0a4f01cp-14, 0x1.0010a8c3251b9p-14, 0x1.fc674bfcf14d4p-15, 0x1.f8dd2284b22a9p-15, 0x1.f57f7486aed3dp-15, 0x1.f24b04b0b2b43p-15, 0x1.ef3cb7e3d953p-15, 0x1.ec51942a06a15p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.218a874f9812ap-3, -0x1.2dfa711c9641ap-3, -0x1.3a13e248a61f3p-3, -0x1.45d3cba39b9cap-3, -0x1.51396555b4e19p-3, -0x1.5c4600e690735p-3, -0x1.66fcc1ccc5dd6p-3, -0x1.7162468c5019ap-3, -0x1.7b7c4ad5c81f2p-3, -0x1.8551496674b4bp-3, -0x1.8ee822c2e75f9p-3, -0x1.9847cc64e4381p-3, -0x1.a1770aa79c20bp-3, -0x1.aa7c36a8440adp-3, -0x1.b35d10749305dp-3, -0x1.bc1e9d394c079p-3, -0x1.c4c510aa3840cp-3, -0x1.cd53c08cb1612p-3, -0x1.d5cd211e59b5bp-3, -0x1.de32c8fc7caeap-3, -0x1.e6857b2f747b7p-3, -0x1.eec5360b11f53p-3, -0x1.f6f145ac93879p-3, -0x1.ff0858fce1e19p-3, -0x1.03844c1f95c01p-2, -0x1.0777de2b5c411p-2, -0x1.0b5d930876ec7p-2, -0x1.0f33fa707ea62p-2, -0x1.12f98e4c689e8p-2, -0x1.16acbce2fb06ap-2, -0x1.1a4bf238a51a8p-2, -0x1.1dd5a08a99604p-2, -0x1.214847d7fa2ccp-2, -0x1.24a27c735fe05p-2, -0x1.27e2ec9d38d76p-2, -0x1.2b08652c6d52ep-2, -0x1.2e11d54ea83c8p-2, -0x1.30fe516c99b3p-2, -0x1.33cd1540ba5a1p-2, -0x1.367d85309117ep-2, -0x1.390f2ef968a4bp-2, -0x1.3b81c9c1d911cp-2, -0x1.3dd535a186c77p-2, -0x1.40097ab040a19p-2, -0x1.421ec7ad1d26dp-2, -0x1.4415704d7392bp-2, -0x1.45edeb42ca232p-2, -0x1.47a8d005bee98p-2, -0x1.4946d472fcb6p-2, -0x1.4ac8ca4637c1bp-2, -0x1.4c2f9c7e0c552p-2, -0x1.4d7c4cb292aaap-2, -0x1.4eaff06764739p-2, -0x1.4fcbae60c8f7fp-2, -0x1.50d0bc02c1a5ap-2, -0x1.51c05abfc67b2p-2, -0x1.529bd59c11963p-2, -0x1.53647ec9a15a2p-2, -0x1.541bad6036901p-2, -0x1.54c2bb33fecccp-2, -0x1.555b02cce9b9ap-2, -0x1.55e5dd8013355p-2, -0x1.5664a1ac37b67p-2, -0x1.56d8a119a548cp-2, -0x1.5743277dbabc8p-2, -0x1.57a57921b1bedp-2, -0x1.5800d1ac197a2p-2, -0x1.5856630c33ec8p-2, -0x1.58a7548621bffp-2, -0x1.58f4c1dead9e7p-2, -0x1.593fbaa55416bp-2, -0x1.5989419b146d1p-2, -0x1.59d24c347e87cp-2, -0x1.5a1bc23564effp-2, -0x1.5a667d6490a7ep-2, -0x1.5ab34955d7a84p-2, -0x1.5b02e348ecbaep-2, -0x1.5b55fa1b54135p-2, -0x1.5bad2e4bdf3bcp-2, -0x1.5c09120e3061ap-2, -0x1.5c6a296cbe074p-2, -0x1.5cd0ea77f3bc4p-2, -0x1.5d3dbd810b9fcp-2, -0x1.5db0fd5f59046p-2, -0x1.5e2af7bec4091p-2, -0x1.5eabed7658463p-2, -0x1.5f3412e5c4bb6p-2, -0x1.5fc39058d39fp-2, -0x1.605a826fe5f74p-2, -0x1.60f8fa8c8f2c9p-2, -0x1.619eff418b1afp-2, -0x1.624c8cc5499b4p-2, -0x1.6301956668635p-2, -0x1.63be020177314p-2, -0x1.6481b2777deacp-2, -0x1.654c7e24bd3b5p-2, -0x1.661e345738a8ap-2, -0x1.66f69cc4a1e2ap-2, -0x1.67d577ff42ca4p-2, -0x1.68ba7fe9a0409p-2, -0x1.69a568287d599p-2, -0x1.6a95de930b7b6p-2, -0x1.6b8b8ba10c7c3p-2, -0x1.6c8612d6b73fp-2, -0x1.6d85132e31f2ap-2, -0x1.6e88277e8a335p-2, -0x1.6f8ee6e004cbfp-2, -0x1.7098e50db14b5p-2, -0x1.71a5b2c431292p-2, -0x1.72b4de1da3855p-2, -0x1.73c5f2eaa4cbdp-2, -0x1.74d87b0867139p-2, -0x1.75ebfeb3d443fp-2, -0x1.770004d9be676p-2, -0x1.781413641cd87p-2, -0x1.7927af845a4p-2, -0x1.7a3a5dfab98aep-2, -0x1.7b4ba35ad249dp-2, -0x1.7c5b044d33de4p-2, -0x1.7d6805ce34bc9p-2, -0x1.7e722d69f3eb2p-2, -0x1.7f7901759de5ep-2, -0x1.807c0945fd40ep-2, -0x1.817acd635ef4dp-2, -0x1.8274d7badf726p-2, -0x1.8369b3cd22adfp-2, -0x1.8458eeda8fc69p-2, -0x1.8542180d0fd5dp-2, -0x1.8624c09f6cf0cp-2, -0x1.87007c024eb5dp-2, -0x1.87d4dffef01cfp-2, -0x1.88a184d792effp-2, -0x1.89660565c2f34p-2, -0x1.8a21ff3673bd7p-2, -0x1.8ad512a40bb76p-2, -0x1.8b7ee2ee62dc2p-2, -0x1.8c1f1650c6d2p-2, -0x1.8cb5561616639p-2, -0x1.8d414eaaf459cp-2, -0x1.8dc2afae307f2p-2, -0x1.8e392bff6348ap-2, -0x1.8ea479cbd6f7ap-2, -0x1.8f045299bff6bp-2, -0x1.8f587351dca33p-2, -0x1.8fa09c477d634p-2, -0x1.8fdc913f0a95cp-2, -0x1.900c197312eb4p-2, -0x1.902eff97ebd2cp-2, -0x1.904511ddf2807p-2, -0x1.904e21f279dc5p-2, -0x1.904a04ff73de5p-2, -0x1.903893a9d96aap-2, -0x1.9019aa0eeaa1dp-2, -0x1.8fed27c044902p-2, -0x1.8fb2efbee4dd7p-2, -0x1.8f6ae8751d3fcp-2, -0x1.8f14fbaf87675p-2, -0x1.8eb1169505435p-2, -0x1.8e3f299dd357ep-2, -0x1.8dbf2889bebc6p-2, -0x1.8d310a5584ea2p-2, -0x1.8c94c92f6a1d2p-2, -0x1.8bea626b1226ap-2, -0x1.8b31d674a087ap-2, -0x1.8a6b28c3347f5p-2, -0x1.89965fcabd89p-2, -0x1.88b384ed3f986p-2, -0x1.87c2a46b8632ep-2, -0x1.86c3cd5558df5p-2, -0x1.85b7117932ae2p-2, -0x1.849c85538a0b9p-2, -0x1.83743ffdb3daap-2, -0x1.823e5b1c655dep-2, -0x1.80faf2cde29p-2, -0x1.7faa2597ddc3p-2, -0x1.7e4c145514655p-2, -0x1.7ce0e222aea53p-2, -0x1.7b68b44d67a9bp-2, -0x1.79e3b23e8ea75p-2, -0x1.78520568dc69ap-2, -0x1.76b3d9352d28cp-2, -0x1.75095aef24d0ep-2, -0x1.7352b9b1c061p-2, -0x1.71902653df5f1p-2, -0x1.6fc1d354c9c72p-2, -0x1.6de7f4c8b6dbbp-2, -0x1.6c02c0456279fp-2, -0x1.6a126cceaac89p-2, -0x1.681732c346f8bp-2, -0x1.66114bc995c68p-2, -0x1.6400f2bc8ac31p-2, -0x1.61e66398c2525p-2, -0x1.5fc1db69b9488p-2, -0x1.5d939837363abp-2, -0x1.5b5bd8f2e24ebp-2, -0x1.591add6617425p-2, -0x1.56d0e61fe7811p-2, -0x1.547e34636279cp-2, -0x1.52230a161c3f4p-2, -0x1.4fbfa9aef39c9p-2, -0x1.4d5456252590cp-2, -0x1.4ae152dfa566fp-2, -0x1.4866e3a4c4696p-2, -0x1.45e54c8a26fbep-2, -0x1.435cd1e50bf4fp-2, -0x1.40cdb83ae7f73p-2, -0x1.3e384432545bap-2, -0x1.3b9cba8456f22p-2, -0x1.38fb5fee03ebap-2, -0x1.3654792276682p-2, -0x1.33a84abd2874ep-2, -0x1.30f71934a6f5ep-2, -0x1.2e4128cda1eb5p-2, -0x1.2b86bd8e5d07ep-2, -0x1.28c81b327fb7dp-2, -0x1.2605851f44268p-2, -0x1.233f3e5807e7cp-2, -0x1.207589733c10cp-2, -0x1.1da8a88fb7d56p-2, -0x1.1ad8dd4a6b768p-2, -0x1.180668b473111p-2, -0x1.15318b498b80ap-2, -0x1.125a84e6e8748p-2, -0x1.0f8194c268a2dp-2, -0x1.0ca6f96228fb6p-2, -0x1.09caf0947bb02p-2, -0x1.06edb76838152p-2, -0x1.040f8a2569fp-2, -0x1.0130a4465ee6ap-2, -0x1.fca280e21ded4p-3, -0x1.f6e330e1bb8acp-3, -0x1.f123ca617095cp-3, -0x1.eb64bd6b15c7ap-3, -0x1.e5a6783216c82p-3, -0x1.dfe96709bf0a4p-3, -0x1.da2df45c2097dp-3, -0x1.d47488a1b1d21p-3, -0x1.cebd8a597fda4p-3, -0x1.c9095e0210045p-3, -0x1.c3586612d510ap-3, -0x1.bdab02f6439a6p-3, -0x1.b80193048156cp-3, -0x1.b25c727e9f4d6p-3, -0x1.acbbfb8a7184ep-3, -0x1.a720862eec627p-3, -0x1.a18a68510de4cp-3, -0x1.9bf9f5b1547d9p-3, -0x1.966f7fe9aca9cp-3, -0x1.90eb566beecb9p-3, -0x1.8b6dc680cbd96p-3, -0x1.85f71b473ede2p-3, -0x1.80879db469caap-3, -0x1.7b1f9493ec8ap-3, -0x1.75bf4488a847dp-3, -0x1.7066f00ded24bp-3, -0x1.6b16d7790df41p-3, -0x1.65cf38fb5e687p-3, -0x1.609050a48bd98p-3, -0x1.5b5a58655346ep-3, -0x1.562d881298fe4p-3, -0x1.510a1568c9436p-3, -0x1.4bf0340f97f74p-3, -0x1.46e0159e0cc63p-3, -0x1.41d9e99ed22fap-3, -0x1.3cdddd94de462p-3, -0x1.37ec1d005036p-3, -0x1.3304d1639b348p-3, -0x1.2e282248ed3e4p-3, -0x1.29563547ce21ep-3, -0x1.248f2e0afddf9p-3, -0x1.1fd32e568288p-3, -0x1.1b22560def484p-3, -0x1.167cc33ad4cd1p-3, -0x1.11e292136125ep-3, -0x1.0d53dd012d652p-3, -0x1.08d0bca82aeb2p-3, -0x1.045947edbd8d2p-3, -0x1.ffdb27ffdaf85p-4, -0x1.f71b68b986c92p-4, -0x1.ee7375b373538p-4, -0x1.e5e36f5691cd9p-4, -0x1.dd6b72d91f668p-4, -0x1.d50b9a4e10f65p-4, -0x1.ccc3fcb4b536dp-4, -0x1.c494ae086f9dap-4, -0x1.bc7dbf50869p-4, -0x1.b47f3eb0265d9p-4, -0x1.ac99377652a36p-4, -0x1.a4cbb22e08f13p-4, -0x1.9d16b4ae5feap-4, -0x1.957a422aabd88p-4, -0x1.8df65b42b6f7bp-4, -0x1.868afe12ea6d7p-4, -0x1.7f3826448010cp-4, -0x1.77fdcd1dab0a3p-4, -0x1.70dbe991b7d5ap-4, -0x1.69d27051212e6p-4, -0x1.62e153d995809p-4, -0x1.5c088485eb49fp-4, -0x1.5547f09e01997p-4, -0x1.4e9f84668874ep-4, -0x1.480f2a30b124cp-4, -0x1.4196ca69c1792p-4, -0x1.3b364baa89daap-4, -0x1.34ed92c6ba485p-4, -0x1.2ebc82dc1507fp-4, -0x1.28a2fd617e26ep-4, -0x1.22a0e235e1d06p-4, -0x1.1cb60faef639ep-4, -0x1.16e262a7d0b2ap-4, -0x1.1125b68f51021p-4, -0x1.0b7fe5765f35cp-4, -0x1.05f0c81dfbb23p-4, -0x1.007836051f0f6p-4, -0x1.f62c0aecd3837p-5, -0x1.eb94172b42e5ap-5, -0x1.e12838d9f5f6cp-5, -0x1.d6e815f460ef9p-5, -0x1.ccd35276c8562p-5, -0x1.c2e9907794105p-5, -0x1.b92a70403dd5ep-5, -0x1.af959065cad24p-5, -0x1.a62a8de0d7da7p-5, -0x1.9ce9042537822p-5, -0x1.93d08d391a528p-5, -0x1.8ae0c1cbc886cp-5, -0x1.8219394be5905p-5, -0x1.797989fd41f5dp-5, -0x1.7101490e3a246p-5, -0x1.68b00aac9cec9p-5, -0x1.6085621a221c2p-5, -0x1.5880e1c06977ap-5, -0x1.50a21b448597ep-5, -0x1.48e89f9a1305fp-5, -0x1.4153ff15d9795p-5, -0x1.39e3c97ffabbdp-5, -0x1.32978e25ac64ap-5, -0x1.2b6edbea7e84fp-5, -0x1.246941592fa17p-5, -0x1.1d864cb40f06bp-5, -0x1.16c58c04ec69cp-5, -0x1.10268d2c98001p-5, -0x1.09a8ddf1f25a9p-5, -0x1.034c0c108af58p-5, -0x1.fa1f4a8da9c07p-6, -0x1.ede66ec7d4e94p-6, -0x1.e1eca0a9ce4c6p-6, -0x1.d630fc63a9e65p-6, -0x1.cab29e945fdc7p-6, -0x1.bf70a46208321p-6, -0x1.b46a2b913d0d4p-6, -0x1.a99e529bba104p-6, -0x1.9f0c38c62ccf9p-6, -0x1.94b2fe35425d4p-6, -0x1.8a91c401e975dp-6, -0x1.80a7ac4cdd03fp-6, -0x1.76f3da516616cp-6, -0x1.6d7572776bd07p-6, -0x1.642b9a64c1d06p-6, -0x1.5b15790dc765ep-6, -0x1.523236c551eap-6, -0x1.4980fd4be510bp-6, -0x1.4100f7de43bfdp-6, -0x1.38b1534353caap-6, -0x1.30913dd95db7fp-6, -0x1.289fe7a2a7de4p-6, -0x1.20dc825172779p-6, -0x1.1946415356c92p-6, -0x1.11dc59dc0f004p-6, -0x1.0a9e02efa55b8p-6, -0x1.038a756c10422p-6, -0x1.f941d82481d56p-7, -0x1.ebc1471d4920dp-7, -0x1.de91b50234a86p-7, -0x1.d1b1a308cc756p-7, -0x1.c51f966a3ceecp-7, -0x1.b8da187039bbcp-7, -0x1.acdfb680d810fp-7, -0x1.a12f02298a9f6p-7, -0x1.95c6912920308p-7, -0x1.8aa4fd78e3e3dp-7, -0x1.7fc8e554d96e5p-7, -0x1.7530eb43236e7p-7, -0x1.6adbb61a8f9a8p-7, -0x1.60c7f1085846ap-7, -0x1.56f44b9520e1cp-7, -0x1.4d5f79a92931bp-7, -0x1.4408338fc3206p-7, -0x1.3aed35fa1e622p-7, -0x1.320d42015304fp-7, -0x1.29671d27c929dp-7, -0x1.20f99159f9b01p-7, -0x1.18c36cee8b7bdp-7, -0x1.10c382a5d8742p-7, -0x1.08f8a9a8da3b6p-7, -0x1.0161bd878735p-7, -0x1.f3fb3c6d46769p-8, -0x1.e596601a15432p-8, -0x1.d792b780f3cfp-8, -0x1.c9ee1cc3b48eap-8, -0x1.bca672b229e5ep-8, -0x1.afb9a4c0e85c5p-8, -0x1.a325a6ff287afp-8, -0x1.96e8760bd73fap-8, -0x1.8b001709da363p-8, -0x1.7f6a97938e89ap-8, -0x1.74260dad92d02p-8, -0x1.693097b8da715p-8, -0x1.5e885c641a235p-8, -0x1.542b8a9c91b56p-8, -0x1.4a18597e3cbc1p-8, -0x1.404d084371b75p-8, -0x1.36c7de33f62bep-8, -0x1.2d872a938e72p-8, -0x1.2489449014c36p-8, -0x1.1bcc8b2f17882p-8, -0x1.134f653b0cf61p-8, -0x1.0b1041301c4a9p-8, -0x1.030d952887e03p-8, -0x1.f68bbd9179453p-9, -0x1.e76f465616c08p-9, -0x1.d8c2dd962a897p-9, -0x1.ca83aae1dc973p-9, -0x1.bcaee437fe7ccp-9, -0x1.af41cddb4ba9ep-9, -0x1.a239ba2742166p-9, -0x1.959409648ff7fp-9, -0x1.894e299d27655p-9, -0x1.7d65966fff387p-9, -0x1.71d7d8e48c729p-9, -0x1.66a2873dfb724p-9, -0x1.5bc344ce328f2p-9, -0x1.5137c1c8a8cc1p-9, -0x1.46fdbb1514017p-9, -0x1.3d12fa21fc919p-9, -0x1.337554b73bb95p-9, -0x1.2a22acc866bc2p-9, -0x1.2118f0473aa0ep-9, -0x1.185618f603fd3p-9, -0x1.0fd82c3a0cf2dp-9, -0x1.079d3aee1c9fcp-9, -0x1.ff46c26a0b844p-10, -0x1.efd18c98a1e3p-10, -0x1.e0d738be149e7p-10, -0x1.d25440b158fa3p-10, -0x1.c44533707a3c2p-10, -0x1.b6a6b4c7295f2p-10, -0x1.a9757cf5b8dcep-10, -0x1.9cae58588c6ep-10, -0x1.904e271000243p-10, -0x1.8451dca8d45ep-10, -0x1.78b67fc52798fp-10, -0x1.6d7929c600605p-10, -0x1.62970675795d6p-10, -0x1.580d53b18205ep-10, -0x1.4dd9611757f0dp-10, -0x1.43f88fafa36bcp-10, -0x1.3a68519b4dd72p-10, -0x1.312629c111c7cp-10, -0x1.282fab7bca8fcp-10, -0x1.1f827a49868fep-10, -0x1.171c497b69d25p-10, -0x1.0efadbe6548eep-10, -0x1.071c0394653afp-10, -0x1.fefb42ee8fb58p-11, -0x1.f03b4a36ccc67p-11, -0x1.e1f418b7dd299p-11, -0x1.d421c62f776f5p-11, -0x1.c6c085ce43803p-11, -0x1.b9cca5a537c2p-11, -0x1.ad428e14c703p-11, -0x1.a11ec13ddf9d3p-11, -0x1.955dda74befa2p-11, -0x1.89fc8db5a157dp-11, -0x1.7ef7a71b494e1p-11, -0x1.744c0a5768c37p-11, -0x1.69f6b22ce863fp-11, -0x1.5ff4afec116d8p-11, -0x1.56432af09a45dp-11, -0x1.4cdf6021988d3p-11, -0x1.43c6a173554d5p-11, -0x1.3af6556b08ac2p-11, -0x1.326bf6a478daep-11, -0x1.2a2513597f691p-11, -0x1.221f4ceb703fep-11, -0x1.1a58576e661afp-11, -0x1.12cdf9366f89ap-11, -0x1.0b7e0a669d996p-11, -0x1.04667481efe1ap-11, -0x1.fb0a63fc4063ep-12, -0x1.edb09bb08dce7p-12, -0x1.e0bbc656b283fp-12, -0x1.d4283990fb5fbp-12, -0x1.c7f269a268037p-12, -0x1.bc16e8a69b01ap-12, -0x1.b09265cd669e1p-12, -0x1.a561ac99ee7dap-12, -0x1.9a81a425569cfp-12, -0x1.8fef4e64f93f7p-12, -0x1.85a7c7741ee36p-12, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.dfbdb0bb9a588p-1, 0x1.dd63020d02c6ap-1, 0x1.dafb2ebcb9424p-1, 0x1.d88644df50dd9p-1, 0x1.d604a6a950db4p-1, 0x1.d3770527a3fc3p-1, 0x1.d0de55bf36d41p-1, 0x1.ce3bc469561cdp-1, 0x1.cb90a45754df5p-1, 0x1.c8de60539ce1cp-1, 0x1.c6266be275fcbp-1, 0x1.c36a35d7eb4f7p-1, 0x1.c0ab1cd57d7d3p-1, 0x1.bdea65eb44724p-1, 0x1.bb29356cbfb49p-1, 0x1.b86889e904a57p-1, 0x1.b5a9391eef376p-1, 0x1.b2ebeeb70faa8p-1, 0x1.b0312c8498165p-1, 0x1.ad794c0b40fa7p-1, 0x1.aac481089c7ep-1, 0x1.a812dcc28aa04p-1, 0x1.a56451e19a9f6p-1, 0x1.a2b8b8a44749ap-1, 0x1.a00fd33eb9811p-1, 0x1.9d69524188c03p-1, 0x1.9ac4d8e8970ap-1, 0x1.982201395a78cp-1, 0x1.95805fdda0f0ap-1, 0x1.92df87ace9ebp-1, 0x1.903f0cdaec71cp-1, 0x1.8d9e87c5b577ap-1, 0x1.8afd9760fa1f4p-1, 0x1.885be33ef1495p-1, 0x1.85b91d391c943p-1, 0x1.831502bd260cdp-1, 0x1.806f5dc33478dp-1, 0x1.7dc80574087d6p-1, 0x1.7b1ede85d2911p-1, 0x1.7873db570d595p-1, 0x1.75c6fbced0c4cp-1, 0x1.73184d0a05a87p-1, 0x1.7067e8dcc0e4p-1, 0x1.6db5f52ebc933p-1, 0x1.6b02a3398da66p-1, 0x1.684e2eaecc375p-1, 0x1.6598dccbe83fap-1, 0x1.62e2fb60ea4cdp-1, 0x1.602cdfcedf96ap-1, 0x1.5d76e60231548p-1, 0x1.5ac16f6ca454bp-1, 0x1.580ce2024bb91p-1, 0x1.5559a73c3a301p-1, 0x1.52a82b2358835p-1, 0x1.4ff8db65566bbp-1, 0x1.4d4c267556619p-1, 0x1.4aa27ab990319p-1, 0x1.47fc45c6e1b8ep-1, 0x1.4559f3aaf441p-1, 0x1.42bbee4563c58p-1, 0x1.40229cb015379p-1, 0x1.3d8e62b6c14p-1, 0x1.3affa05d81cbcp-1, 0x1.3876b1761a0a6p-1, 0x1.35f3ed4386153p-1, 0x1.3377a62b4e84cp-1, 0x1.3102297404b6p-1, 0x1.2e93bf103e6b6p-1, 0x1.2c2ca9755a447p-1, 0x1.29cd257d4f467p-1, 0x1.27756a52c8951p-1, 0x1.2525a966c4964p-1, 0x1.22de0e6ef7cp-1, 0x1.209ebf6c2eb06p-1, 0x1.1e67dcb7f38bep-1, 0x1.1c398118c0555p-1, 0x1.1a13c1dc08637p-1, 0x1.17f6aef5735e2p-1, 0x1.15e25322a85a9p-1, 0x1.13d6b4130ac1cp-1, 0x1.11d3d292df91fp-1, 0x1.0fd9aab950e06p-1, 0x1.0de83418cfa0bp-1, 0x1.0bff61f1662eap-1, 0x1.0a1f2364870dep-1, 0x1.084763a9fd7e5p-1, 0x1.06780a459f241p-1, 0x1.04b0fb3d71922p-1, 0x1.02f2174ff618fp-1, 0x1.013b3c2a5b314p-1, 0x1.ff18893cac52cp-2, 0x1.fbca11aee4918p-2, 0x1.f88abd1f461b9p-2, 0x1.f55a3285e6f6dp-2, 0x1.f23814c45beadp-2, 0x1.ef240308b67c9p-2, 0x1.ec1d992e06846p-2, 0x1.e924701a2783cp-2, 0x1.e6381e18c1899p-2, 0x1.e3583733536ccp-2, 0x1.e0844d863a7d6p-2, 0x1.ddbbf1929cd7cp-2, 0x1.dafeb28d33b6fp-2, 0x1.d84c1ea9e18a6p-2, 0x1.d5a3c3641bb9fp-2, 0x1.d3052dc421f02p-2, 0x1.d06feaa1066fp-2, 0x1.cde386df8ee9ep-2, 0x1.cb5f8fadf4ecep-2, 0x1.c8e392bc9061bp-2, 0x1.c66f1e737a42bp-2, 0x1.c401c225319b6p-2, 0x1.c19b0e3e57f2p-2, 0x1.bf3a94728de5bp-2, 0x1.bcdfe7e687c22p-2, 0x1.ba8a9d576819ep-2, 0x1.b83a4b3f7585dp-2, 0x1.b5ee89f83b5d3p-2, 0x1.b3a6f3da2bd4dp-2, 0x1.b1632559d4ad5p-2, 0x1.af22bd22bb8b6p-2, 0x1.ace55c2ff554fp-2, 0x1.aaaaa5e28b7c6p-2, 0x1.a8724015c1b24p-2, 0x1.a63bd331550fep-2, 0x1.a4070a39bd855p-2, 0x1.a1d392de9055ep-2, 0x1.9fa11d870e2fap-2, 0x1.9d6f5d5cef574p-2, 0x1.9b3e085586fa7p-2, 0x1.990cd73947c5cp-2, 0x1.96db85a9bd884p-2, 0x1.94a9d2260fb0bp-2, 0x1.92777e0e1ab58p-2, 0x1.90444da42eec7p-2, 0x1.8e10080d897cap-2, 0x1.8bda7751950e1p-2, 0x1.89a36857fe16p-2, 0x1.876aaae5aefb9p-2, 0x1.85301198be31dp-2, 0x1.82f371e360c0ep-2, 0x1.80b4a405ea08fp-2, 0x1.7e738307e8248p-2, 0x1.7c2fecb06d2f1p-2, 0x1.79e9c17d8ceb6p-2, 0x1.77a0e49b1e2c1p-2, 0x1.75553bd8c93d7p-2, 0x1.7306af9f75562p-2, 0x1.70b52ae616628p-2, 0x1.6e609b25efd5p-2, 0x1.6c08f04e5071cp-2, 0x1.69ae1cb7d5985p-2, 0x1.675015173b52fp-2, 0x1.64eed06fc9008p-2, 0x1.628a48055dad1p-2, 0x1.6022774e2b0d9p-2, 0x1.5db75be423136p-2, 0x1.5b48f5762154ap-2, 0x1.58d745b8dc29p-2, 0x1.56625057a0ff8p-2, 0x1.53ea1ae4e60b6p-2, 0x1.516eaccab5ad2p-2, 0x1.4ef00f3aff087p-2, 0x1.4c6e4d1fd09b8p-2, 0x1.49e9730b7e9c3p-2, 0x1.47618f28c6407p-2, 0x1.44d6b12ae6e95p-2, 0x1.4248ea3dc105ep-2, 0x1.3fb84cf5fc6fbp-2, 0x1.3d24ed413874cp-2, 0x1.3a8ee056524f3p-2, 0x1.37f63ca5bcc44p-2, 0x1.355b19c9f8bf2p-2, 0x1.32bd9078261cap-2, 0x1.301dba70beaf7p-2, 0x1.2d7bb27074e3bp-2, 0x1.2ad794213c9c3p-2, 0x1.28317c0b846f3p-2, 0x1.25898787a0971p-2, 0x1.22dfd4af6805ap-2, 0x1.203482500b853p-2, 0x1.1d87afdc2606ep-2, 0x1.1ad97d5e07df6p-2, 0x1.182a0b6a45bf2p-2, 0x1.15797b1280d6dp-2, 0x1.12c7edd87b12p-2, 0x1.101585a168033p-2, 0x1.0d6264a98975ap-2, 0x1.0aaead78110b5p-2, 0x1.07fa82d34bbe6p-2, 0x1.054607b51907dp-2, 0x1.02915f3faa273p-2, 0x1.ffb959652209cp-3, 0x1.fa5026c031ef3p-3, 0x1.f4e76d45e00b8p-3, 0x1.ef7f73a83798dp-3, 0x1.ea1880827ce36p-3, 0x1.e4b2da46511c2p-3, 0x1.df4ec72978e68p-3, 0x1.d9ec8d14386e6p-3, 0x1.d48c719058605p-3, 0x1.cf2eb9b8bdc77p-3, 0x1.c9d3aa29a667ap-3, 0x1.c47b86f178dddp-3, 0x1.bf2693823affcp-3, 0x1.b9d512a3979bap-3, 0x1.b487466587d38p-3, 0x1.af3d70138773p-3, 0x1.a9f7d0286dc1dp-3, 0x1.a4b6a642d1505p-3, 0x1.9f7a311a022e8p-3, 0x1.9a42ae7395451p-3, 0x1.95105b197ff04p-3, 0x1.8fe372d0bf767p-3, 0x1.8abc305089b69p-3, 0x1.859acd3a0e182p-3, 0x1.807f8210b6069p-3, 0x1.7b6a8632eb1f7p-3, 0x1.765c0fd363f5ap-3, 0x1.715453f2e6b28p-3, 0x1.6c53865a95d04p-3, 0x1.6759d996aba93p-3, 0x1.62677ef1b04a8p-3, 0x1.5d7ca67028aa7p-3, 0x1.58997eccb6754p-3, 0x1.53be35749fa56p-3, 0x1.4eeaf684ce9d7p-3, 0x1.4a1fecc733e4ep-3, 0x1.455d41b091729p-3, 0x1.40a31d5ea87b6p-3, 0x1.3bf1a696caa63p-3, 0x1.374902c4cb203p-3, 0x1.32a955fa4342p-3, 0x1.2e12c2ee3a995p-3, 0x1.29856afd1b79ap-3, 0x1.25016e2901455p-3, 0x1.2086eb1a517bp-3, 0x1.1c15ff20a6907p-3, 0x1.17aec634004aep-3, 0x1.13515af642607p-3, 0x1.0efdd6b4efcadp-3, 0x1.0ab4516b31bf2p-3, 0x1.0674e1c411ab2p-3, 0x1.023f9d1cfed6dp-3, 0x1.fc292f1103882p-4, 0x1.f3e7c7a25a41bp-4, 0x1.ebbb26f9853d6p-4, 0x1.e3a36d9f1056ap-4, 0x1.dba0b99fa3e03p-4, 0x1.d3b3269364485p-4, 0x1.cbdacda5b7c5bp-4, 0x1.c417c59d50a0cp-4, 0x1.bc6a22e48a2bdp-4, 0x1.b4d1f7920ddbbp-4, 0x1.ad4f5371bb3a8p-4, 0x1.a5e2440dc6631p-4, 0x1.9e8ad4b823e48p-4, 0x1.97490e94196a6p-4, 0x1.901cf8a00574ep-4, 0x1.890697bf5c8cp-4, 0x1.8205eec4c839fp-4, 0x1.7b1afe7c70c4bp-4, 0x1.7445c5b668551p-4, 0x1.6d86415136d5ep-4, 0x1.66dc6c447f55cp-4, 0x1.60483fabbff94p-4, 0x1.59c9b2d12546dp-4, 0x1.5360bb386f919p-4, 0x1.4d0d4ca9e785p-4, 0x1.46cf593d5ce55p-4, 0x1.40a6d16530374p-4, 0x1.3a93a3f95f38dp-4, 0x1.3495be4297288p-4, 0x1.2ead0c0545d0dp-4, 0x1.28d9778ca84a5p-4, 0x1.231ae9b5d6938p-4, 0x1.1d7149fac6b66p-4, 0x1.17dc7e7d477cep-4, 0x1.125c6c11ef2e3p-4, 0x1.0cf0f64afdfc1p-4, 0x1.0799ff832ed86p-4, 0x1.025768e878cf8p-4, 0x1.fa52250d795d3p-5, 0x1.f01db6a4b8fefp-5, 0x1.e61142657cde6p-5, 0x1.dc2c82196afc6p-5, 0x1.d26f2d99a2c55p-5, 0x1.c8d8fae3275ap-5, 0x1.bf699e2b0f716p-5, 0x1.b620c9f27a1dep-5, 0x1.acfe2f1a45ffcp-5, 0x1.a4017cf687bb4p-5, 0x1.9b2a6161bfb03p-5, 0x1.927888cfc8fa1p-5, 0x1.89eb9e60853c1p-5, 0x1.81834bf23ee4p-5, 0x1.793f3a33c1e41p-5, 0x1.711f10b62bf24p-5, 0x1.692275fe6d9dp-5, 0x1.61490f9681231p-5, 0x1.5992821e50045p-5, 0x1.51fe715c4c93ap-5, 0x1.4a8c804db7711p-5, 0x1.433c5136979c2p-5, 0x1.3c0d85b15e6f7p-5, 0x1.34ffbebe3b634p-5, 0x1.2e129cd21aab2p-5, 0x1.2745bfe5528c9p-5, 0x1.2098c781fdacfp-5, 0x1.1a0b52d200ee1p-5, 0x1.139d00acbbcbp-5, 0x1.0d4d6fa469314p-5, 0x1.071c3e1329cb5p-5, 0x1.01090a27b980fp-5, 0x1.f626e3e3aa301p-6, 0x1.ea7626dc93f97p-6, 0x1.deff192566b46p-6, 0x1.d3c0f6b1ca719p-6, 0x1.c8bafb940caaep-6, 0x1.bdec6412ac787p-6, 0x1.b3546cbd4653ep-6, 0x1.a8f25280e23c9p-6, 0x1.9ec552bb9bc8fp-6, 0x1.94ccab4fb184ep-6, 0x1.8b079ab5f4937p-6, 0x1.8175600f9ab09p-6, 0x1.78153b377c6bdp-6, 0x1.6ee66cd2b45b8p-6, 0x1.65e83660aec1cp-6, 0x1.5d19da4a9cf9ep-6, 0x1.547a9bf25ef99p-6, 0x1.4c09bfc0d36a8p-6, 0x1.43c68b339d23fp-6, 0x1.3bb044ea5eb79p-6, 0x1.33c634b365bd5p-6, 0x1.2c07a397cfb76p-6, 0x1.2473dbe72aab8p-6, 0x1.1d0a29428eap-6, 0x1.15c9d8a7359f2p-6, 0x1.0eb23878972c1p-6, 0x1.07c2988a00d6p-6, 0x1.00fa4a27b7de1p-6, 0x1.f4b1403f40d9cp-7, 0x1.e7b9dd92de873p-7, 0x1.db0d181ccbd26p-7, 0x1.cea99ee139b08p-7, 0x1.c28e2423c29d4p-7, 0x1.b6b95d74423bbp-7, 0x1.ab2a03bae3b5cp-7, 0x1.9fded34351be1p-7, 0x1.94d68bc7272bp-7, 0x1.8a0ff07790af4p-7, 0x1.7f89c8062dc29p-7, 0x1.7542dcad392d9p-7, 0x1.6b39fc36ec8c5p-7, 0x1.616df8043dbfdp-7, 0x1.57dda512e6d18p-7, 0x1.4e87dc02b9b28p-7, 0x1.456b791a5e842p-7, 0x1.3c875c4b650cfp-7, 0x1.33da6935b9adap-7, 0x1.2b63872a8473dp-7, 0x1.2321a12e726d6p-7, 0x1.1b13a5fb6f032p-7, 0x1.13388801d1da5p-7, 0x1.0b8f3d690552dp-7, 0x1.0416c00fa9fe7p-7, 0x1.f99c1b1676943p-8, 0x1.eb684e4e724c4p-8, 0x1.dd9023c7b80c5p-8, 0x1.d011ace8aaf36p-8, 0x1.c2eb02794493ep-8, 0x1.b61a449de5cc1p-8, 0x1.a99d9ad1579bdp-8, 0x1.9d7333de07828p-8, 0x1.919945d68625bp-8, 0x1.860e0e0d4ebabp-8, 0x1.7acfd10bdcd34p-8, 0x1.6fdcda891ca92p-8, 0x1.65337d5f374f7p-8, 0x1.5ad21380c655p-8, 0x1.50b6fded71f03p-8, 0x1.46e0a4a6026e1p-8, 0x1.3d4d769fea3d5p-8, 0x1.33fbe9b850bffp-8, 0x1.2aea7aa6a18acp-8, 0x1.2217aceea7f62p-8, 0x1.19820ad23ce78p-8, 0x1.112825428b0ddp-8, 0x1.090893d0f171bp-8, 0x1.0121f49f8922bp-8, 0x1.f2e5d8a2a2344p-9, 0x1.e3f44bf414eb9p-9, 0x1.d56ca61b8bc48p-9, 0x1.c74c56a0515d4p-9, 0x1.b990d986de54fp-9, 0x1.ac37b72e610e1p-9, 0x1.9f3e842dd299ap-9, 0x1.92a2e1309d4b2p-9, 0x1.86627ad2e5da2p-9, 0x1.7a7b097d7b00ep-9, 0x1.6eea514171ca8p-9, 0x1.63ae21b378b19p-9, 0x1.58c455c6f0c35p-9, 0x1.4e2ad3a8c3c5p-9, 0x1.43df8c9a10205p-9, 0x1.39e07ccaa8577p-9, 0x1.302bab336b101p-9, 0x1.26bf297085baep-9, 0x1.1d99139b98441p-9, 0x1.14b79025d052dp-9, 0x1.0c18cfb1f554dp-9, 0x1.03bb0cee751acp-9, 0x1.f73918ded6c63p-10, 0x1.e777391170105p-10, 0x1.d82d2a5038ff8p-10, 0x1.c957af5ed8fd3p-10, 0x1.baf39d9dab60ep-10, 0x1.acfddcbe7f4a9p-10, 0x1.9f7366799f8b9p-10, 0x1.92514643187c8p-10, 0x1.8594990054844p-10, 0x1.793a8cbe1192p-10, 0x1.6d406066af88ep-10, 0x1.61a36378e9a1ap-10, 0x1.5660f5bf00636p-10, 0x1.4b7687065673fp-10, 0x1.40e196d783a03p-10, 0x1.369fb42eefp-10, 0x1.2cae7d35ebb58p-10, 0x1.230b9efc6a499p-10, 0x1.19b4d5332943cp-10, 0x1.10a7e9e69324ap-10, 0x1.07e2b53a237c2p-10, 0x1.fec63a48efd9ep-11, 0x1.ee4e2a57f8717p-11, 0x1.de593c488799fp-11, 0x1.cee38bd81336ep-11, 0x1.bfe94e57c0c05p-11, 0x1.b166d22b25171p-11, 0x1.a3587e48703ccp-11, 0x1.95bad1ba02e9p-11, 0x1.888a632179b21p-11, 0x1.7bc3e03c2d54p-11, 0x1.6f640d69306d8p-11, 0x1.6367c530ca02fp-11, 0x1.57cbf7cd74389p-11, 0x1.4c8daab66027dp-11, 0x1.41a9f82b814c7p-11, 0x1.371e0ec3245bp-11, 0x1.2ce730f9134fcp-11, 0x1.2302b4bf4521ap-11, 0x1.196e031020871p-11, 0x1.102697824d87p-11, 0x1.0729ffde18881p-11, 0x1.fcebb768d23f2p-12, 0x1.ec0fb7ee93d7ap-12, 0x1.dbbb852805a8fp-12, 0x1.cbeac41d8d2cfp-12, 0x1.bc993a3fe32b5p-12, 0x1.adc2cca5b219fp-12, 0x1.9f637f4c577b2p-12, 0x1.9177745bc1054p-12, 0x1.83faeb6d65938p-12, 0x1.76ea40d659dfep-12, 0x1.6a41ecf47383cp-12, 0x1.5dfe837e8427p-12, 0x1.521cb2d79e021p-12, 0x1.46994365630b5p-12, 0x1.3b7116e9555bdp-12, 0x1.30a127dd2a988p-12, 0x1.262688d2179p-12, 0x1.1bfe63d30dbfdp-12, 0x1.1225f9c9eba7p-12, 0x1.089aa1e793bep-12, 0x1.feb3921dc4d4dp-13, 0x1.ecc1e2850b48bp-13, 0x1.db5b622b4d109p-13, 0x1.ca7b663ec0abap-13, 0x1.ba1d6ae201999p-13, 0x1.aa3d121e0e351p-13, 0x1.9ad622d9b9ab8p-13, 0x1.8be487d680f55p-13, 0x1.7d644eb2ae179p-13, 0x1.6f51a6f0c52dbp-13, 0x1.61a8e10422e99p-13, 0x1.54666d62c1bb3p-13, 0x1.4786db9c10018p-13, 0x1.3b06d974cd5c7p-13, 0x1.2ee33207d981dp-13, 0x1.2318ccebe8df7p-13, 0x1.17a4ad5e096cap-13, 0x1.0c83f170ea288p-13, 0x1.01b3d140d5f47p-13, 0x1.ee633c5894c14p-14, 0x1.d9f584223b9ap-14, 0x1.c6197d1c55efbp-14, 0x1.b2ca5892bf7dp-14, 0x1.a00374745bca5p-14, 0x1.8dc059f08bdfbp-14, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      50, 0x1.3b68f08461f9fp+2, 0x1.4cf017e78af0cp+0, 0x1.0b6e02cdb89c6p+2, -0x1.83f82362370ecp-3, 
      {{
        {0x1.010c282c6ef3dp+2, 0x1.0236f8a517d2p+2, 0x1.4c673a433f3c5p-3, -0x1.d46fa50f3f7c8p-2, 0x1.309c0f3c1db8p-2, -0x1.3b627c15f685p-3}, 
        {0x1.0236f8a517d2p+2, 0x1.0361c9287d77ap+2, 0x1.3b84620287218p-3, -0x1.c97b801064768p-2, 0x1.27fb4665722cp-2, 0x1.89da86905e5b6p-1}, 
        {0x1.0361c9287d77ap+2, 0x1.048c99a12655dp+2, 0x1.2b0949b35ae96p-3, -0x1.bde668f02dcb3p-2, 0x1.5314a28dc06cap-2, 0x1.86045a247c678p-2}, 
        {0x1.048c99a12655dp+2, 0x1.05b76a19cf34p+2, 0x1.1b0074ab33dc1p-3, -0x1.b124757117f1cp-2, 0x1.686b92a144b56p-2, 0x1.6cd04b433778ap-2}, 
        {0x1.05b76a19cf34p+2, 0x1.06e23a9278123p+2, 0x1.0b724f41a0782p-3, -0x1.a3a1ad90287e4p-2, 0x1.7c617d3ad0daep-2, 0x1.f9167186e611ap-3}, 
        {0x1.06e23a9278123p+2, 0x1.080d0b15ddb7dp+2, 0x1.f8cac17c2e1b4p-4, -0x1.95812fc432407p-2, 0x1.8a32d9dd82a94p-2, 0x1.5e0528435ee93p-3}, 
        {0x1.080d0b15ddb7dp+2, 0x1.0937db8e8696p+2, 0x1.dbbcf23942eccp-4, -0x1.86f37849d554fp-2, 0x1.93c63471cb314p-2, 0x1.92e4fa60741fap-4}, 
        {0x1.0937db8e8696p+2, 0x1.0a62ac072f743p+2, 0x1.bfc1bde9c9cc8p-4, -0x1.781f50e853bb1p-2, 0x1.9949085bf99dcp-2, 0x1.2145e2b53b88ap-5}, 
        {0x1.0a62ac072f743p+2, 0x1.0b8d7c8a9519ep+2, 0x1.a4dcf40c56d07p-4, -0x1.692831ace90d6p-2, 0x1.9b4382bc83ba6p-2, -0x1.54e988a2d99d9p-6}, 
        {0x1.0b8d7c8a9519ep+2, 0x1.0cb84d033df81p+2, 0x1.8b0ff809804b3p-4, -0x1.5a2d469bb5dbfp-2, 0x1.9a1910982e23dp-2, -0x1.16a56caea9833p-4}, 
        {0x1.0cb84d033df81p+2, 0x1.0de31d7be6d64p+2, 0x1.725a0eea28a84p-4, -0x1.4b49993cfce6fp-2, 0x1.964952296b3a2p-2, -0x1.bf7522c26d649p-4}, 
        {0x1.0de31d7be6d64p+2, 0x1.0f0dedf48fb47p+2, 0x1.5ab8a8d003be2p-4, -0x1.3c944b4b2e76bp-2, 0x1.902a71f3d151bp-2, -0x1.24e20d7455759p-3}, 
        {0x1.0f0dedf48fb47p+2, 0x1.1038be77f55a1p+2, 0x1.4427a6750fc5ap-4, -0x1.2e20fa06f5aabp-2, 0x1.8827401394407p-2, -0x1.5f124aee5116dp-3}, 
        {0x1.1038be77f55a1p+2, 0x1.11638ef09e384p+2, 0x1.2ea19a7b08377p-4, -0x1.1fffe8e9a8abp-2, 0x1.7e8c889de3ee3p-2, -0x1.8b144831ba174p-3}, 
        {0x1.11638ef09e384p+2, 0x1.128e5f6947167p+2, 0x1.1a2006c1cc4eep-4, -0x1.123e26ad67252p-2, 0x1.73bd9c9583f7bp-2, -0x1.ad22f50ace03fp-3}, 
        {0x1.128e5f6947167p+2, 0x1.13b92fecacbc1p+2, 0x1.069b958001029p-4, -0x1.04e5ab74b871dp-2, 0x1.68002ba60d26ap-2, -0x1.c58de5754d755p-3}, 
        {0x1.13b92fecacbc1p+2, 0x1.14e40065559a4p+2, 0x1.e8189ca9d065bp-5, -0x1.effbddbc26248p-3, 0x1.5b97b80ee910bp-2, -0x1.d2fbe55dff268p-3}, 
        {0x1.14e40065559a4p+2, 0x1.160ed0ddfe787p+2, 0x1.c4d38eddd3db3p-5, -0x1.d7178ed2966adp-3, 0x1.4ed1370451afap-2, -0x1.d8b31ccd73bb6p-3}, 
        {0x1.160ed0ddfe787p+2, 0x1.1739a161641e1p+2, 0x1.a356a4963baffp-5, -0x1.bf234d4cb0764p-3, 0x1.41e2ae6533b1ep-2, -0x1.d7683c004f3a2p-3}, 
        {0x1.1739a161641e1p+2, 0x1.186471da0cfc4p+2, 0x1.8390496583fb4p-5, -0x1.a820399fb6c59p-3, 0x1.34fd329a3bf03p-2, -0x1.cdb843a39ac12p-3}, 
        {0x1.186471da0cfc4p+2, 0x1.198f4252b5da7p+2, 0x1.656efacc9edb7p-5, -0x1.920b87634c745p-3, 0x1.285b8fa5cddd8p-2, -0x1.bf4c463108484p-3}, 
        {0x1.198f4252b5da7p+2, 0x1.1aba12cb5eb8ap+2, 0x1.48e18975c9ab9p-5, -0x1.7cdf0d0dd7d5p-3, 0x1.1c1eed66c85dap-2, -0x1.aaeda0052c138p-3}, 
        {0x1.1aba12cb5eb8ap+2, 0x1.1be4e34ec45e4p+2, 0x1.2dd752c201b33p-5, -0x1.6891e75358594p-3, 0x1.1070f3bf621bap-2, -0x1.934d155afdc62p-3}, 
        {0x1.1be4e34ec45e4p+2, 0x1.1d0fb3c76d3c7p+2, 0x1.14407143c0f34p-5, -0x1.5518d836b6759p-3, 0x1.0568726c6f01fp-2, -0x1.77012bdd124e7p-3}, 
        {0x1.1d0fb3c76d3c7p+2, 0x1.1e3a8440161aap+2, 0x1.f81bcbf49bd9fp-6, -0x1.42669d6ae3c94p-3, 0x1.f64c3be7bb3f3p-3, -0x1.58c9228d4240cp-3}, 
        {0x1.1e3a8440161aap+2, 0x1.1f6554c37bc04p+2, 0x1.ca63717e17692p-6, -0x1.306c436f056c6p-3, 0x1.e36ed905f08f3p-3, -0x1.3955bcd5e5aedp-3}, 
        {0x1.1f6554c37bc04p+2, 0x1.2090253c249e7p+2, 0x1.9f3e21b85c5e7p-6, -0x1.1f1a0894bcdbfp-3, 0x1.d249fcd24c1b3p-3, -0x1.17e6195e3beabp-3}, 
        {0x1.2090253c249e7p+2, 0x1.21baf5b4cd7cap+2, 0x1.76948a6b47598p-6, -0x1.0e5f5aa2e7cc7p-3, 0x1.c2f9776d6289ap-3, -0x1.eee492c130bd1p-4}, 
        {0x1.21baf5b4cd7cap+2, 0x1.22e5c62d765adp+2, 0x1.5051c9524237dp-6, -0x1.fc56c7fcf4754p-4, 0x1.b56f80ea90396p-3, -0x1.ae61ca211b5c7p-4}, 
        {0x1.22e5c62d765adp+2, 0x1.241096b0dc007p+2, 0x1.2c636b92d3b55p-6, -0x1.dcdb39c9df821p-4, 0x1.a9a9570cfd324p-3, -0x1.72c8bd3f8553ep-4}, 
        {0x1.241096b0dc007p+2, 0x1.253b672984deap+2, 0x1.0ab95d85f7634p-6, -0x1.be2c5520af819p-4, 0x1.9f8490fabb49cp-3, -0x1.3aa821b4289eep-4}, 
        {0x1.253b672984deap+2, 0x1.266637a22dbcdp+2, 0x1.d68b9427a7aa5p-7, -0x1.a02c8c04664bep-4, 0x1.96e8e141da746p-3, -0x1.0a3afaa04841dp-4}, 
        {0x1.266637a22dbcdp+2, 0x1.2791082593627p+2, 0x1.9bf9d29eb0cb3p-7, -0x1.82c127bd530c8p-4, 0x1.8fa05882f99aep-3, -0x1.c5e529edc998p-5}, 
        {0x1.2791082593627p+2, 0x1.28bbd89e3c40ap+2, 0x1.65a97ec946a0fp-7, -0x1.65d3bf4329a69p-4, 0x1.896aed210d88ap-3, -0x1.893d6e73fcc1cp-5}, 
        {0x1.28bbd89e3c40ap+2, 0x1.29e6a916e51edp+2, 0x1.3389950aadc9dp-7, -0x1.49528c494ec9cp-4, 0x1.8409e7e78eadp-3, -0x1.66baeb409e8cbp-5}, 
        {0x1.29e6a916e51edp+2, 0x1.2b11798f8dfdp+2, 0x1.058b4184053bp-7, -0x1.2d3165f70e759p-4, 0x1.7f21bac328d4ep-3, -0x1.5e4607a75f55ep-5}, 
        {0x1.2b11798f8dfdp+2, 0x1.2c3c4a12f3a2ap+2, 0x1.b741f79a767b7p-8, -0x1.116acf5736e2bp-4, 0x1.7a572a7a74096p-3, -0x1.76437877145c3p-5}, 
        {0x1.2c3c4a12f3a2ap+2, 0x1.2d671a8b9c80dp+2, 0x1.6b7b0174bd75dp-8, -0x1.ec0186b8fc2bep-5, 0x1.753898570329dp-3, -0x1.ae989d91665a9p-5}, 
        {0x1.2d671a8b9c80dp+2, 0x1.2e91eb04455fp+2, 0x1.27a558c718e73p-8, -0x1.b5fb0ced98dbcp-5, 0x1.6f54c36be698bp-3, -0x1.06dba41ab1367p-4}, 
        {0x1.2e91eb04455fp+2, 0x1.2fbcbb87ab04ap+2, 0x1.d740cbd08d1b9p-9, -0x1.80e8dffdb8ae8p-5, 0x1.6823d907a211bp-3, -0x1.4b2c077131976p-4}, 
        {0x1.2fbcbb87ab04ap+2, 0x1.30e78c0053e2dp+2, 0x1.6e88e4cc90147p-9, -0x1.4d0631e7ae935p-5, 0x1.5f147f11210cfp-3, -0x1.a52a91844f69p-4}, 
        {0x1.30e78c0053e2dp+2, 0x1.32125c78fcc1p+2, 0x1.14bf30114ac22p-9, -0x1.1aa3e87a8ff19p-5, 0x1.538edfea38eb2p-3, -0x1.0bc578bdc75cp-3}, 
        {0x1.32125c78fcc1p+2, 0x1.333d2cf1a59f3p+2, 0x1.92c9bb04565b9p-10, -0x1.d454d95e5db45p-6, 0x1.44e838cbc658fp-3, -0x1.51e76f9746c65p-3}, 
        {0x1.333d2cf1a59f3p+2, 0x1.3467fd750b44dp+2, 0x1.17b1e5d23f9bp-10, -0x1.7837b142807c1p-6, 0x1.326b39e5549fdp-3, -0x1.a4f4a4f2e6174p-3}, 
        {0x1.3467fd750b44dp+2, 0x1.3592cdedb423p+2, 0x1.6d4287f3896bep-11, -0x1.2229652a33681p-6, 0x1.1b62ee1327624p-3, -0x1.04eecb4f5ba09p-2}, 
        {0x1.3592cdedb423p+2, 0x1.36bd9e665d013p+2, 0x1.b678e1a551c52p-12, -0x1.a743e1df0b9p-7, 0x1.fdaa661620d6bp-4, -0x1.38b1a89f9c89fp-2}, 
        {0x1.36bd9e665d013p+2, 0x1.37e86ee9c2a6ep+2, 0x1.d1ce38b2c730ep-13, -0x1.1c863a02e996ep-7, 0x1.b93ae0b5502a2p-4, -0x1.8caff5b099df9p-2}, 
        {0x1.37e86ee9c2a6ep+2, 0x1.39133f626b851p+2, 0x1.97d31b397da07p-14, -0x1.50df2292ab5c4p-8, 0x1.626963f9cc426p-4, -0x1.8f45362d34df7p-2}, 
        {0x1.39133f626b851p+2, 0x1.3a3e0fdb14634p+2, 0x1.f5a39797b0d4p-16, -0x1.370eb5b2924bdp-9, 0x1.0b0731f276344p-4, -0x1.754add0ffabe6p-1}, 
        {0x1.3a3e0fdb14634p+2, 0x1.3b68f08461f9fp+2, 0x1.045927cae48bcp-18, -0x1.7aedc785aae8ap-11, 0x1.9e8714a38768cp-6, 0x1.3d6a07ed7d905p+1}, 
      }}, 
      -0x1.8dc936851a14cp+7, 0x1.e62dd11f220a6p+11
    }
  };
  // clang-format on
}
SkfData params_hyb_0_2_as_si() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.fcce22c27891fp-2, -0x1.b485affe28fa2p-2, -0x1.70487b1d4bc2cp-2, -0x1.30c06a52caaf6p-2, -0x1.ecc551a041ecap-3, -0x1.82eb62ec8adc3p-3, -0x1.2431728ef26c1p-3, -0x1.a12dfda89731fp-4, -0x1.0fcefb64a6237p-4, -0x1.270ef2c82318ep-5, -0x1.5ac92c70fb79ap-7, 0x1.4f348f68f9048p-7, 0x1.b601e91c246c6p-6, 0x1.41a342fed427bp-5, 0x1.8a849fa166027p-5, 0x1.b87a1b44afbfap-5, 0x1.ce4d968c82f4p-5, 0x1.ceb2d4d514073p-5, 0x1.bc416cb527d75p-5, 0x1.99715f66c6a86p-5, 0x1.689806ccb029fp-5, 0x1.2be9d17819996p-5, 0x1.cac1c8ef5e671p-6, 0x1.2dbc463271fabp-6, 0x1.0861d46f5dd98p-7, -0x1.76062ee979bb1p-9, -0x1.d08dcdeddccf8p-7, -0x1.a5da3476628cdp-6, -0x1.329c72a0e61bdp-5, -0x1.92304e333960bp-5, -0x1.f0c46407d6d2p-5, -0x1.26c790fb77a71p-4, -0x1.53f013d25cf7ep-4, -0x1.7f8f923605663p-4, -0x1.a965590a83b79p-4, -0x1.d13b6d72f5c88p-4, -0x1.f6e598261423dp-4, -0x1.0d2024a1ca97p-3, -0x1.1d97bbbbce556p-3, -0x1.2ccecf8705a11p-3, -0x1.3abd7c9914648p-3, -0x1.475e7836fbe52p-3, -0x1.52aee2cca551p-3, -0x1.5cae26bbbe192p-3, -0x1.655dd6c3b2276p-3, -0x1.6cc182849f118p-3, -0x1.72de7d52e792fp-3, -0x1.77bb998e875c8p-3, -0x1.7b60df118bf62p-3, -0x1.7dd744fd84c85p-3, -0x1.7f287630a8d34p-3, -0x1.7f5ea4c1fcf64p-3, -0x1.7e846d3adf151p-3, -0x1.7ca4c6f83daa8p-3, -0x1.79cafcf3d3603p-3, -0x1.7602a97f09e9dp-3, -0x1.7157b01df95cbp-3, -0x1.6bd6324c167e4p-3, -0x1.658a7dfc9dbb4p-3, -0x1.5e80f6964ac12p-3, -0x1.56c5fa958ce0cp-3, -0x1.4e65c8b5429d7p-3, -0x1.456c677aa1bcep-3, -0x1.3beb5f4027785p-3, -0x1.31e2f3cabab3cp-3, -0x1.27628b31a630ep-3, -0x1.1c74d743ff29fp-3, -0x1.11244b652f62bp-3, -0x1.057b1601293a7p-3, -0x1.f3062f962d376p-4, -0x1.da8bb4053a29fp-4, -0x1.c1990a46dcd4cp-4, -0x1.a83fb2819739fp-4, -0x1.8e9051eb6fc48p-4, -0x1.749aaeba399e8p-4, -0x1.5a6db217534a8p-4, -0x1.40176f39871d4p-4, -0x1.25a52e34568c2p-4, -0x1.0b2378c388a13p-4, -0x1.e13c4eb79aabp-5, -0x1.ac40da143ebebp-5, -0x1.7769c230267bbp-5, -0x1.42cb0bd9825e9p-5, -0x1.0e779a442ac65p-5, -0x1.b50264cade8cap-6, -0x1.4df0f5c447248p-6, -0x1.cfb3e8f8ec121p-7, -0x1.05b4540eaafa7p-7, -0x1.f0c1ac25bf7f7p-10, 0x1.0ddfd4e66cbf9p-8, 0x1.4937ee2be92bfp-7, 0x1.044bff3edd646p-6, 0x1.62762cd3d6919p-6, 0x1.bf0a8ba48479bp-6, 0x1.0cfd79275cdbep-5, 0x1.399d6f28499d4p-5, 0x1.655fa7f38abc2p-5, 0x1.903f53b361709p-5, 0x1.ba3842b5bec91p-5, 0x1.e346d76a8b3b3p-5, 0x1.05b3fd453269ap-4, 0x1.194c88b892318p-4, 0x1.2c6bfb43f920dp-4, 0x1.3f1179bb21b8ap-4, 0x1.513c5e5cbcc9dp-4, 0x1.62ec371c1c773p-4, 0x1.7420c433b3c58p-4, 0x1.84d9f6d054688p-4, 0x1.9517efad13e1p-4, 0x1.a4dafd8173c59p-4, 0x1.b4239b2d8210ap-4, 0x1.c2f26d99867a1p-4, 0x1.d14841474b008p-4, 0x1.df26079aee5dap-4, 0x1.ec8cd3e6a0423p-4, 0x1.f97dd8497a5a4p-4, 0x1.02fd313a1fe75p-3, 0x1.0901ec341e524p-3, 0x1.0ecddaa22af3p-3, 0x1.1461c3199c9d6p-3, 0x1.19be73c58ede9p-3, 0x1.1ee4c1164e1a6p-3, 0x1.23d5849534c9fp-3, 0x1.28919bdff55fp-3, 0x1.2d19e7cc6095ap-3, 0x1.316f4bb3b9d6ap-3, 0x1.3592ace2f61fbp-3, 0x1.3984f22bd5bddp-3, 0x1.3d47039182d34p-3, 0x1.40d9ca0aa96b8p-3, 0x1.443e2f529ee35p-3, 0x1.47751dc343866p-3, 0x1.4a7f8031c8cdbp-3, 0x1.4d5e41c9699d2p-3, 0x1.50124de02b8p-3, 0x1.529c8fc32cf05p-3, 0x1.54fdf2793b33cp-3, 0x1.5737607bc3286p-3, 0x1.5949c367448dfp-3, 0x1.5b3603a55085bp-3, 0x1.5cfd0812b18bfp-3, 0x1.5e9fb5a4b1631p-3, 0x1.601eef1063529p-3, 0x1.617b9476bc17ep-3, 0x1.62b68317b429p-3, 0x1.63d0950e564fap-3, 0x1.64caa116d6b9dp-3, 0x1.65a53debdf26cp-3, 0x1.6662297b1dfbdp-3, 0x1.670174ebda4cbp-3, 0x1.6783e3c7a4df5p-3, 0x1.67ea3676922bap-3, 0x1.68352a5946ad2p-3, 0x1.686579dd48e51p-3, 0x1.687bdc8a74251p-3, 0x1.687907092293ep-3, 0x1.685dab20fe97ap-3, 0x1.682a77b123a63p-3, 0x1.67e018a262793p-3, 0x1.677f36d4fdee2p-3, 0x1.6708780b59eddp-3, 0x1.667c7ed32c93bp-3, 0x1.65dbea6eca99cp-3, 0x1.652756c018386p-3, 0x1.645f5c3674a54p-3, 0x1.63848fc0cde6p-3, 0x1.629782c4ae4fdp-3, 0x1.6198c31af9c74p-3, 0x1.6088db128f888p-3, 0x1.5f685178faaf2p-3, 0x1.5e37a9a8e6bacp-3, 0x1.5cf7639dfbb2ep-3, 0x1.5ba7fc0d7d6eep-3, 0x1.5a49ec82f62a9p-3, 0x1.58ddab800dddp-3, 0x1.5763ac9eaee61p-3, 0x1.55dc60b487f06p-3, 0x1.544835f70b9bdp-3, 0x1.52a7981f0a1f7p-3, 0x1.50faf08b34f68p-3, 0x1.4f42a660c9523p-3, 0x1.4d7f1ea9e7ee7p-3, 0x1.4bb0bc71270dep-3, 0x1.49d7e0da1054ap-3, 0x1.47f4eb366f3dbp-3, 0x1.460839185160ap-3, 0x1.44122660eb8cep-3, 0x1.42130d4c77f55p-3, 0x1.400b467b6c6cp-3, 0x1.3dfb28f949c48p-3, 0x1.3be30a417dc12p-3, 0x1.39c33e42b3041p-3, 0x1.379c1761007ep-3, 0x1.356de677672e5p-3, 0x1.3338fad8ffd7ap-3, 0x1.30fda2522a76ep-3, 0x1.2ebc292a1e7c8p-3, 0x1.2c74da2506e0bp-3, 0x1.2a27fe86eced3p-3, 0x1.27d5de1786d8dp-3, 0x1.257ebf26fcad5p-3, 0x1.2322e693b0a93p-3, 0x1.20c297d0f6014p-3, 0x1.1e5e14eead368p-3, 0x1.1bf59ea19e6acp-3, 0x1.1989744c78315p-3, 0x1.1719d409419b7p-3, 0x1.14a6fab319ab5p-3, 0x1.123123f015916p-3, 0x1.0fb88a3b0c705p-3, 0x1.0d3d66ed37263p-3, 0x1.0abff2476687ep-3, 0x1.0840637ac8248p-3, 0x1.05bef0b1068c3p-3, 0x1.033bcf13c6dc1p-3, 0x1.00b732d35cdcdp-3, 0x1.fc629e5979777p-4, 0x1.f754acdd513a6p-4, 0x1.f244f3fc1464ap-4, 0x1.ed33d4b32ab31p-4, 0x1.e821ae396b17ap-4, 0x1.e30ede03aa163p-4, 0x1.ddfbbfc829606p-4, 0x1.d8e8ad810f64ep-4, 0x1.d3d5ff6e02f7bp-4, 0x1.cec40c153f849p-4, 0x1.c9b3284411f6bp-4, 0x1.c4a3a70f20d93p-4, 0x1.bf95d9d27def1p-4, 0x1.ba8a1031b2837p-4, 0x1.b5809817e9a27p-4, 0x1.b079bdb841057p-4, 0x1.ab75cb8e63e31p-4, 0x1.a6750a5f6ddf6p-4, 0x1.a177c13b29774p-4, 0x1.9c7e357db9bb3p-4, 0x1.9788aad188d3cp-4, 0x1.92976331afbbap-4, 0x1.8daa9eec9da85p-4, 0x1.88c29ca719b2dp-4, 0x1.83df995f85c47p-4, 0x1.7f01d0715a837p-4, 0x1.7a297b98d4815p-4, 0x1.7556d2f6c2225p-4, 0x1.708a0d146bbafp-4, 0x1.6bc35ee78a74bp-4, 0x1.6702fbd64501p-4, 0x1.624915bb2a024p-4, 0x1.5d95dce923f36p-4, 0x1.58e9802f5f559p-4, 0x1.54442cdd21bddp-4, 0x1.4fa60ec58fa44p-4, 0x1.4b0f504360156p-4, 0x1.46801a3c7e9dep-4, 0x1.41f894259e706p-4, 0x1.3d78e405c02bap-4, 0x1.39012e79ae213p-4, 0x1.349196b771ec9p-4, 0x1.302a3e91c8a25p-4, 0x1.2bcb467b972bcp-4, 0x1.2774cd8b66e7bp-4, 0x1.2326f17ee8cd9p-4, 0x1.1ee1cebe87573p-4, 0x1.1aa58061086d3p-4, 0x1.1672202f4063cp-4, 0x1.1247c6a7da6dbp-4, 0x1.0e268b0337c16p-4, 0x1.0a0e833764e81p-4, 0x1.05ffc3fc27ae3p-4, 0x1.01fa60cf244c7p-4, 0x1.fbfcd7f033edcp-5, 0x1.f417ed1a70198p-5, 0x1.ec4620ef0bdcap-5, 0x1.e48790eec6332p-5, 0x1.dcdc58522e927p-5, 0x1.d5449012ebdb7p-5, 0x1.cdc04ef522f6ep-5, 0x1.c64fa990f7d54p-5, 0x1.bef2b25c2a3a4p-5, 0x1.b7a979b3c5884p-5, 0x1.b0740de5e5a7dp-5, 0x1.a9527b3b89a89p-5, 0x1.a244cc0274ce6p-5, 0x1.9b4b08971810bp-5, 0x1.9465376e8519bp-5, 0x1.8d935d2066328p-5, 0x1.86d57c70fac22p-5, 0x1.802b965b158f1p-5, 0x1.7995aa1a1b5adp-5, 0x1.7313b534017d5p-5, 0x1.6ca5b3834a0a1p-5, 0x1.664b9f40fcca8p-5, 0x1.6005710e9cb38p-5, 0x1.59d3200016abfp-5, 0x1.53b4a1a5ab65bp-5, 0x1.4da9ea15d22ddp-5, 0x1.47b2ebf710d3ap-5, 0x1.41cf9889cefe1p-5, 0x1.3bffdfb21b6cdp-5, 0x1.3643b00167bacp-5, 0x1.309af6c03828dp-5, 0x1.2b059ff7c6652p-5, 0x1.2583967b94225p-5, 0x1.2014c3f2f2126p-5, 0x1.1ab910e2732e1p-5, 0x1.157064b550da9p-5, 0x1.103aa5c6bb013p-5, 0x1.0b17b96b168ffp-5, 0x1.060783f926291p-5, 0x1.0109e8d31d026p-5, 0x1.f83d94df3b6cfp-6, 0x1.ee8c14c53a945p-6, 0x1.e4ff12cc67ccbp-6, 0x1.db964ec69c829p-6, 0x1.d250c0815d783p-6, 0x1.c92fbf1c19206p-6, 0x1.c03232d8a58fbp-6, 0x1.b757d5cc045e9p-6, 0x1.aea060bb1f485p-6, 0x1.a60b8b2a71c78p-6, 0x1.9d990b6d87c5ep-6, 0x1.954896b648ed4p-6, 0x1.8d19e124141efp-6, 0x1.850c9dd2ade1ep-6, 0x1.7d207ee8f51cfp-6, 0x1.755535a76ac8p-6, 0x1.6daa72767dccep-6, 0x1.661fe4f4a16d3p-6, 0x1.5eb53c042c111p-6, 0x1.576a25d8f6c07p-6, 0x1.503e5005c66dcp-6, 0x1.4931678970fe7p-6, 0x1.424318dbc5cf5p-6, 0x1.3b730ffa384b8p-6, 0x1.34c0f87440a16p-6, 0x1.2e2c7d77842b2p-6, 0x1.27b549dbaf077p-6, 0x1.215b082e0e5d6p-6, 0x1.1b1d62bce7126p-6, 0x1.14fc03a27f181p-6, 0x1.0ef694cfe819fp-6, 0x1.090cc0177c0e6p-6, 0x1.033e2f3717a26p-6, 0x1.fb1517c41584ep-7, 0x1.efe2ff9586f1dp-7, 0x1.e4e5695863734p-7, 0x1.da1ba8a5c5665p-7, 0x1.cf85114bafbbap-7, 0x1.c520f75e33913p-7, 0x1.baeeaf4807a7ep-7, 0x1.b0ed8dda904b1p-7, 0x1.a71ce85d78094p-7, 0x1.9d7c149da0f34p-7, 0x1.940a68fbb78f6p-7, 0x1.8ac73c7a1fbaap-7, 0x1.81b1e6ca833f7p-7, 0x1.78c9c05ac9d45p-7, 0x1.700e2261a78ep-7, 0x1.677e66eaa2cd4p-7, 0x1.5f19e8e1b206fp-7, 0x1.56e0041e56aa5p-7, 0x1.4ed0156e5582p-7, 0x1.46e97a9fef4bdp-7, 0x1.3f2b928bb737dp-7, 0x1.3795bd1df4dffp-7, 0x1.30275b5fa32b2p-7, 0x1.28dfcf7f04cacp-7, 0x1.21be7cd7d3f38p-7, 0x1.1ac2c7fb0e95dp-7, 0x1.13ec16b66306bp-7, 0x1.0d39d01b3b44ep-7, 0x1.06ab5c856d52fp-7, 0x1.004025a18e8aep-7, 0x1.f3ef2ce5df5f1p-8, 0x1.e7a236b27dd6fp-8, 0x1.db98442badd6cp-8, 0x1.cfd033a16ed46p-8, 0x1.c448e63a5b9a5p-8, 0x1.b9013ffc56465p-8, 0x1.adf827d4992f7p-8, 0x1.a32c879f2cb51p-8, 0x1.989d4c2dc35e1p-8, 0x1.8e49654e03525p-8, 0x1.842fc5cf3e4e3p-8, 0x1.7a4f63879a98cp-8, 0x1.70a73758ae651p-8, 0x1.67363d339730cp-8, 0x1.5dfb741c84f54p-8, 0x1.54f5de2dc8f04p-8, 0x1.4c24809a6068cp-8, 0x1.438663b001a29p-8, 0x1.3b1a92d8b3b99p-8, 0x1.32e01c9be8639p-8, 0x1.2ad6129f28c3ap-8, 0x1.22fb89a64a0cap-8, 0x1.1b4f999339b7p-8, 0x1.13d15d655bef6p-8, 0x1.0c7ff3388300ap-8, 0x1.055a7c438168fp-8, 0x1.fcc039acba272p-9, 0x1.ef1ff8b0425cfp-9, 0x1.e1d28a88b29d3p-9, 0x1.d4d64a5064727p-9, 0x1.c829993e92aa3p-9, 0x1.bbcadea056a55p-9, 0x1.afb887d10bf98p-9, 0x1.a3f1083226c5bp-9, 0x1.9872d92277a8ap-9, 0x1.8d3c79f4f7ce9p-9, 0x1.824c6fe70cc3bp-9, 0x1.77a1461664b0ap-9, 0x1.6d398d765aafp-9, 0x1.6313dcc4fd1a6p-9, 0x1.592ed07fae8cbp-9, 0x1.4f890ad7789adp-9, 0x1.462133a5023d9p-9, 0x1.3cf5f85c496f2p-9, 0x1.34060c000df7cp-9, 0x1.2b502715062fap-9, 0x1.22d30794df661p-9, 0x1.1a8d70e105fcep-9, 0x1.127e2bb54e8ep-9, 0x1.0aa4061a70e72p-9, 0x1.02fdd358664fap-9, 0x1.f714d7d164d41p-10, 0x1.e8915ad11d9fdp-10, 0x1.da6ef5161a36ap-10, 0x1.ccab76164a789p-10, 0x1.bf44b73b80dbcp-10, 0x1.b2389bc775325p-10, 0x1.a58510b7c64fcp-10, 0x1.99280ca9fa8e8p-10, 0x1.8d1f8fbf85f69p-10, 0x1.8169a381da861p-10, 0x1.76045ac68a7dbp-10, 0x1.6aedd1936f2dep-10, 0x1.60242d02ebe9dp-10, 0x1.55a59b28453eap-10, 0x1.4b7052f40b4e8p-10, 0x1.4182941899902p-10, 0x1.37daa6eeaf533p-10, 0x1.2e76dc5a1da93p-10, 0x1.25558dae8bd34p-10, 0x1.1c751c944a523p-10, 0x1.13d3f2ed433d7p-10, 0x1.0b7082b9f15aap-10, 0x1.034945fe6bb36p-10, 0x1.f6b97d4eff9c3p-11, 0x1.e752ecdfa1ee8p-11, 0x1.d85bfd8a0ac9bp-11, 0x1.c9d1e159f10dap-11, 0x1.bbb1d955db234p-11, 0x1.adf9354996fbcp-11, 0x1.a0a55390aa67bp-11, 0x1.93b3a0e0b8657p-11, 0x1.87219813f5f98p-11, 0x1.7aecc1f38353fp-11, 0x1.6f12b501c856cp-11, 0x1.63911544c40dp-11, 0x1.5865941054b2dp-11, 0x1.4d8defd074429p-11, 0x1.4307f3d3789b6p-11, 0x1.38d17814470c2p-11, 0x1.2ee8610493204p-11, 0x1.254a9f571ab94p-11, 0x1.1bf62fc9f752ap-11, 0x1.12e91af0fd75cp-11, 0x1.0a2175003612ap-11, 0x1.019d5d9686af7p-11, 0x1.f2b5ff10d904fp-12, 0x1.e2b12156121e7p-12, 0x1.d328a33ebc1bep-12, 0x1.c4191b3b95b3cp-12, 0x1.b57f3483e7dd6p-12, 0x1.a757aeadeb37dp-12, 0x1.999f5d48106b7p-12, 0x1.8c532773307bep-12, 0x1.7f70077da8a2ap-12, 0x1.72f30a7fac76ep-12, 0x1.66d94ff897e2bp-12, 0x1.5b20096d951e2p-12, 0x1.4fc47a098111bp-12, 0x1.44c3f63e3b29bp-12, 0x1.3a1be36746ee9p-12, 0x1.2fc9b76e2276cp-12, 0x1.25caf86ff1c4ap-12, 0x1.1c1d3c64de173p-12, 0x1.12be28c90e282p-12, 0x1.09ab7247495acp-12, 0x1.00e2dc655686p-12, 0x1.f0c47264050f6p-13, 0x1.e04ed1e9cd01cp-13, 0x1.d060b3bfd5266p-13, 0x1.c0f60f84fcbc6p-13, 0x1.b20af77cff29bp-13, 0x1.a39b97fdca5ecp-13, 0x1.95a436dff1775p-13, 0x1.882132f285735p-13, 0x1.7b0f037207789p-13, 0x1.6e6a37827bd1ep-13, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.b89c7ebe655c1p-1, -0x1.aede080463e26p-1, -0x1.a468df3f25ce6p-1, -0x1.996d5fccc86cp-1, -0x1.8e16e2ec463aep-1, -0x1.828b5a53cbc86p-1, -0x1.76ec1ee88c133p-1, -0x1.6b55eda5ca8d3p-1, -0x1.5fe0ea3075ecbp-1, -0x1.54a1541a02658p-1, -0x1.49a7eb9971db4p-1, -0x1.3f02116b19c46p-1, -0x1.34ba2ffb14354p-1, -0x1.2ad834b8f7896p-1, -0x1.2161d50e5fa04p-1, -0x1.185aca37c11fbp-1, -0x1.0fc5222d99b25p-1, -0x1.07a189854c725p-1, -0x1.ffdefc070de23p-2, -0x1.f15af4941cb69p-2, -0x1.e3b24ce928633p-2, -0x1.d6df08b17e4ffp-2, -0x1.cada4640b93ecp-2, -0x1.bf9c252cf29a1p-2, -0x1.b51c4669d5318p-2, -0x1.ab51e4711dc26p-2, -0x1.a233f319a3215p-2, -0x1.99b93ebe12f46p-2, -0x1.91d889c4c13ffp-2, -0x1.8a88a491d2ca9p-2, -0x1.83c07f58c383p-2, -0x1.7d77387bf3bf1p-2, -0x1.77a4298a1e387p-2, -0x1.723ef27a57779p-2, -0x1.6d3f81c0500c3p-2, -0x1.689e18d079b0bp-2, -0x1.64534e1c4e223p-2, -0x1.60580e0a8f56fp-2, -0x1.5ca59be42c283p-2, -0x1.593592dad8056p-2, -0x1.5601e6ce6513p-2, -0x1.5304e4640b85p-2, -0x1.5039302ce6d4ep-2, -0x1.4d99c4ceb6e71p-2, -0x1.4b21f04f97eb9p-2, -0x1.48cd50c69cb8ep-2, -0x1.4697d0c365e55p-2, -0x1.447da3b8f5778p-2, -0x1.427b429ef4e0ep-2, -0x1.408d68dbda9adp-2, -0x1.3eb1116f344f2p-2, -0x1.3ce37444f4e64p-2, -0x1.3b220397f74b8p-2, -0x1.396a694dbf002p-2, -0x1.37ba843bb57b5p-2, -0x1.3610654d51b6bp-2, -0x1.346a4c8b095c1p-2, -0x1.32c6a60baa0b9p-2, -0x1.312406e2c7672p-2, -0x1.2f812a24b1a15p-2, -0x1.2ddcee18532fdp-2, -0x1.2c3651a8f81aep-2, -0x1.2a8c721f21dc3p-2, -0x1.28de8f9c7167dp-2, -0x1.272be5ed00a7ep-2, -0x1.2573f36c7cb5ap-2, -0x1.23b63e347696ap-2, -0x1.21f2619a84652p-2, -0x1.20280c59e2518p-2, -0x1.1e56feddaf91ep-2, -0x1.1c7f09afbd714p-2, -0x1.1aa00c0cd13b4p-2, -0x1.18b9f29c2c395p-2, -0x1.16ccb645e86cp-2, -0x1.14d85b225be6bp-2, -0x1.12dcef7c973c9p-2, -0x1.10da8ae2b85b1p-2, -0x1.0ed14d403918ap-2, -0x1.0cc15dfff2ba3p-2, -0x1.0aaaeb35228e6p-2, -0x1.088e28cc06e87p-2, -0x1.066b4fc38f989p-2, -0x1.04429d72061abp-2, -0x1.021452d6992f5p-2, -0x1.ffc167f2a06ep-3, -0x1.fb500eb4bf60cp-3, -0x1.f6d52ae217663p-3, -0x1.f25150735a31dp-3, -0x1.edc515a37b501p-3, -0x1.e9311240dda1p-3, -0x1.e495df13f0b4ap-3, -0x1.dff4155769457p-3, -0x1.db4c4e3e58af2p-3, -0x1.d69f2284e3438p-3, -0x1.d1ed2a090008cp-3, -0x1.cd36fb6999e5bp-3, -0x1.c87d2bab36571p-3, -0x1.c3c04de1fa179p-3, -0x1.bf00f2e16654cp-3, -0x1.ba3fa8f25a4cp-3, -0x1.b57cfb8ff966dp-3, -0x1.b0b9732bef38bp-3, -0x1.abf594fa7686fp-3, -0x1.a731e2c65ac4p-3, -0x1.a26edacd01309p-3, -0x1.9dacf7a24be52p-3, -0x1.98ecb01bfd0b4p-3, -0x1.942e77440ca8ap-3, -0x1.8f72bc51189ap-3, -0x1.8ab9eaa41c83fp-3, -0x1.860469ca63ae2p-3, -0x1.81529d82e7d84p-3, -0x1.7ca4e5c63af74p-3, -0x1.77fb9ed06490ep-3, -0x1.7357212c27bb9p-3, -0x1.6eb7c1bf5aacap-3, -0x1.6a1dd1d7f9a26p-3, -0x1.65899f39c0622p-3, -0x1.60fb742c1bacdp-3, -0x1.5c7397885ae97p-3, -0x1.57f24cc8106e3p-3, -0x1.5377d413b9eap-3, -0x1.4f046a51ba9c6p-3, -0x1.4a984935da5fp-3, -0x1.4633a7517f296p-3, -0x1.41d6b824b70cdp-3, -0x1.3d81ac30395b3p-3, -0x1.3934b1086dedcp-3, -0x1.34eff1695e65cp-3, -0x1.30b3954b7a885p-3, -0x1.2c7fc1f902d93p-3, -0x1.28549a23d153dp-3, -0x1.24323dfb4b7bep-3, -0x1.2018cb424579ep-3, -0x1.1c085d64a5016p-3, -0x1.18010d8ca1b33p-3, -0x1.1402f2b7986d5p-3, -0x1.100e21ca5e2e7p-3, -0x1.0c22ada53318ep-3, -0x1.0840a7373c13p-3, -0x1.04681d91b7caep-3, -0x1.00991dfad4bb4p-3, -0x1.f9a768008365fp-4, -0x1.f22fd312c23e5p-4, -0x1.eacb8dd246fd2p-4, -0x1.e37aa5dec655ap-4, -0x1.dc3d25f382ef4p-4, -0x1.d513216a0fedap-4, -0x1.cdfc86a908a79p-4, -0x1.c6f96391884c1p-4, -0x1.c009b88cc0f95p-4, -0x1.b92d83b9ce539p-4, -0x1.b264c107a14aap-4, -0x1.abaf6a4dd7ad3p-4, -0x1.a50d7764b0cbcp-4, -0x1.9e7ede3c47a11p-4, -0x1.980392f30f294p-4, -0x1.919b87ebc850fp-4, -0x1.8b46ade2e8de9p-4, -0x1.8504f40384383p-4, -0x1.7ed647fbb9b93p-4, -0x1.78ba9610a94a4p-4, -0x1.72b1c931ea311p-4, -0x1.6cbbcb0c839p-4, -0x1.66d8841d5d9d1p-4, -0x1.6107dbc32973fp-4, -0x1.5b49b84fb7982p-4, -0x1.559dff18b45b9p-4, -0x1.50049487c7864p-4, -0x1.4a7d5c2a0e72ep-4, -0x1.450838beecef2p-4, -0x1.3fa50c462f6aap-4, -0x1.3a53b80d7e1bep-4, -0x1.35141cbd1d3afp-4, -0x1.2fe61a63feb88p-4, -0x1.2ac9908324eabp-4, -0x1.25be5e185c297p-4, -0x1.20c461a8520b5p-4, -0x1.1bdb79481097p-4, -0x1.170382a5e5aeep-4, -0x1.123c5b11c2525p-4, -0x1.0d85df8518bf2p-4, -0x1.08dfecaa46fdcp-4, -0x1.044a5ee3937a4p-4, -0x1.ff8a24a3942dep-5, -0x1.f69fc5b4fdfe6p-5, -0x1.edd5585c01cfep-5, -0x1.e52a939a0604cp-5, -0x1.dc9f2e1c060d7p-5, -0x1.d432de44e5755p-5, -0x1.cbe55a3753c0ap-5, -0x1.c3b657df4662ep-5, -0x1.bba58cfb13b62p-5, -0x1.b3b2af24310e5p-5, -0x1.abdd73d79cb6ap-5, -0x1.a425907df26e4p-5, -0x1.9c8aba7331c9fp-5, -0x1.950ca70e3402cp-5, -0x1.8dab0ba7d72d6p-5, -0x1.86659da1daa1ap-5, -0x1.7f3c126d6eae6p-5, -0x1.782e1f91795b7p-5, -0x1.713b7ab08c5c2p-5, -0x1.6a63d98e8f02p-5, -0x1.63a6f2161d97fp-5, -0x1.5d047a5d99eddp-5, -0x1.567c28abf52bp-5, -0x1.500db37d30186p-5, -0x1.49b8d18696cdep-5, -0x1.437d39bab9e0fp-5, -0x1.3d5aa34d2789p-5, -0x1.3750c5b5eab74p-5, -0x1.315f58b4d2effp-5, -0x1.2b8614548703dp-5, -0x1.25c4b0ed6b19ap-5, -0x1.201ae72857926p-5, -0x1.1a8870012d189p-5, -0x1.150d04c94038bp-5, -0x1.0fa85f29a65dfp-5, -0x1.0a5a3925675d3p-5, -0x1.05224d1b90093p-5, -0x1.000055c9333p-5, -0x1.f5e81c969fp-6, -0x1.ebfa64414c992p-6, -0x1.e236fa56ff589p-6, -0x1.d89d5766bc1c9p-6, -0x1.cf2cf4cd48e0fp-6, -0x1.c5e54cb85d068p-6, -0x1.bcc5da29b1ef2p-6, -0x1.b3ce18fa06effp-6, -0x1.aafd85dbfc731p-6, -0x1.a2539e5ee3d69p-6, -0x1.99cfe0f16fa18p-6, -0x1.9171cce44e9c8p-6, -0x1.8938e26caac44p-6, -0x1.8124a2a6926bep-6, -0x1.79348f974adadp-6, -0x1.71682c2f828b7p-6, -0x1.69befc4d71d2ep-6, -0x1.623884bee0cadp-6, -0x1.5ad44b43127e1p-6, -0x1.5391d68c9dc93p-6, -0x1.4c70ae4327f95p-6, -0x1.45705b050dd2cp-6, -0x1.3e906668f072ap-6, -0x1.37d05aff2fe3fp-6, -0x1.312fc453514d2p-6, -0x1.2aae2eed4626ep-6, -0x1.244b2852aa4d5p-6, -0x1.1e063f07e5eb2p-6, -0x1.17df02913a48ep-6, -0x1.11d50373c2a54p-6, -0x1.0be7d33656178p-6, -0x1.0617046262682p-6, -0x1.00622a84aa0f9p-6, -0x1.f591b45bec7e4p-7, -0x1.ea9551e76d3a5p-7, -0x1.dfce5ae11c041p-7, -0x1.d53bfe899f73ep-7, -0x1.cadd6e2dd92dep-7, -0x1.c0b1dd279a07p-7, -0x1.b6b880de48172p-7, -0x1.acf090c74de7bp-7, -0x1.a35946668130ap-7, -0x1.99f1dd4e60c53p-7, -0x1.90b9932030b99p-7, -0x1.87afa78c0f7f6p-7, -0x1.7ed35c50d14e1p-7, -0x1.7623f53bd1b16p-7, -0x1.6da0b828a4b95p-7, -0x1.6548ed00aa9cp-7, -0x1.5d1bddba8028p-7, -0x1.5518d65963f52p-7, -0x1.4d3f24ec6a524p-7, -0x1.458e198da9765p-7, -0x1.3e050661344a8p-7, -0x1.36a33f940c7b7p-7, -0x1.2f681b5aef61fp-7, -0x1.2852f1f1070edp-7, -0x1.21631d9685619p-7, -0x1.1a97fa8f1dc4dp-7, -0x1.13f0e7206e06cp-7, -0x1.0d6d439043728p-7, -0x1.070c7222cdc2p-7, -0x1.00cdd718b679fp-7, -0x1.f561b15a41d1cp-8, -0x1.e969be2720ca7p-8, -0x1.ddb2a8eb79e79p-8, -0x1.d23b49e29477bp-8, -0x1.c7027d2adb786p-8, -0x1.bc0722c0f9ddfp-8, -0x1.b1481e7acfbb2p-8, -0x1.a6c458023b807p-8, -0x1.9c7abacfc09b9p-8, -0x1.926a3624fe858p-8, -0x1.8891bd070debap-8, -0x1.7ef04638ae8e5p-8, -0x1.7584cc3456ba5p-8, -0x1.6c4e4d261e29bp-8, -0x1.634bcae58b0f6p-8, -0x1.5a7c4aef372a6p-8, -0x1.51ded65e5cebap-8, -0x1.497279e63f74dp-8, -0x1.413645cb7a1a1p-8, -0x1.39294ddd32e56p-8, -0x1.314aa96e2d4cp-8, -0x1.2999734dc53e9p-8, -0x1.2214c9c0d324fp-8, -0x1.1abbce7a72937p-8, -0x1.138da694b66d1p-8, -0x1.0c897a89431fbp-8, -0x1.05ae7629d64cfp-8, -0x1.fdf791316fdc5p-9, -0x1.f0e14882349a5p-9, -0x1.e4186ebb9dee1p-9, -0x1.d79ba0165d033p-9, -0x1.cb6939afde08bp-9, -0x1.bf7fba0667f59p-9, -0x1.b3dda5db1db9p-9, -0x1.a881882210c7fp-9, -0x1.9d69f1f22cd2ep-9, -0x1.92957a751b9a1p-9, -0x1.8802bed7054a4p-9, -0x1.7db062364e995p-9, -0x1.739d0d9336cbdp-9, -0x1.69c76fbf7b5c4p-9, -0x1.602e3d4ddb8b4p-9, -0x1.56d030819b605p-9, -0x1.4dac093df5c61p-9, -0x1.44c08cf591783p-9, -0x1.3c0c8699e50d5p-9, -0x1.338ec68a9a70cp-9, -0x1.2b462284f0abfp-9, -0x1.233175931adfep-9, -0x1.1b4f9ffb9a2c5p-9, -0x1.139f8730a2daap-9, -0x1.0c2015bf7f473p-9, -0x1.04d03b3ff50bbp-9, -0x1.fb5dd88765361p-10, -0x1.ed76448b8bbe9p-10, -0x1.dfe7b7342eb05p-10, -0x1.d2b036b9e8d9fp-10, -0x1.c5cdd2c540ffap-10, -0x1.b93ea44deee8ap-10, -0x1.ad00cd7a2defap-10, -0x1.a112797e435d7p-10, -0x1.9571dc7c15a7bp-10, -0x1.8a1d3362e8d68p-10, -0x1.7f12c3cf4fd58p-10, -0x1.7450dbeb27e67p-10, -0x1.69d5d24de0a3ep-10, -0x1.5fa005dcd9683p-10, -0x1.55adddabef1e1p-10, -0x1.4bfdc8de4b5fp-10, -0x1.428e3e874e96bp-10, -0x1.395dbd8bc235ep-10, -0x1.306acc832b8b2p-10, -0x1.27b3f9996e8c5p-10, -0x1.1f37da7094a7dp-10, -0x1.16f50c02d9634p-10, -0x1.0eea3284ef466p-10, -0x1.0715f9488071fp-10, -0x1.feee253de6a8bp-11, -0x1.f0186f78d615ap-11, -0x1.e1a85135ff352p-11, -0x1.d39b57bca9412p-11, -0x1.c5ef1d6e90a65p-11, -0x1.b8a1499025881p-11, -0x1.abaf901110f9dp-11, -0x1.9f17b1556f0ap-11, -0x1.92d779ff74a9p-11, -0x1.86ecc2b9c040bp-11, -0x1.7b5570022c72dp-11, -0x1.700f71f5319bp-11, -0x1.6518c419e4f14p-11, -0x1.5a6f6d2e729f1p-11, -0x1.50117ef542bep-11, -0x1.45fd1602be707p-11, -0x1.3c30598b7ac2bp-11, -0x1.32a97b3320b23p-11, -0x1.2966b6dbe29f6p-11, -0x1.2066527681a29p-11, -0x1.17a69dd2f53bcp-11, -0x1.0f25f2719b78ap-11, -0x1.06e2b355072d5p-11, -0x1.fdb699a8e183dp-12, -0x1.ee1c68dd63df8p-12, -0x1.def3d13ba7b8ep-12, -0x1.d039e156903cfp-12, -0x1.c1ebb909475e9p-12, -0x1.b40689220e826p-12, -0x1.a687930e1ceep-12, -0x1.996c2886ab0efp-12, -0x1.8cb1ab3f3c288p-12, -0x1.80558c950b642p-12, -0x1.74554d3f9e10fp-12, -0x1.68ae7d02968bp-12, -0x1.5d5eba60884a7p-12, -0x1.5263b24f22ac6p-12, -0x1.47bb1fec512d5p-12, -0x1.3d62cc34a78e9p-12, -0x1.33588dbaee361p-12, -0x1.299a4860902fep-12, -0x1.2025ed0fa69e1p-12, -0x1.16f97975b525dp-12, -0x1.0e12f7bf99824p-12, -0x1.05707e56c44ddp-12, -0x1.fa205f3eab5a7p-13, -0x1.e9e0736ee25afp-13, -0x1.da1dac6f18107p-13, -0x1.cad493e7dee82p-13, -0x1.bc01c97e4c167p-13, -0x1.ada2025b205d5p-13, -0x1.9fb208b3f4ef1p-13, -0x1.922ebb568cdb6p-13, -0x1.85150d360a2bdp-13, -0x1.786204fa7ae19p-13, -0x1.6c12bc91c36dep-13, -0x1.602460c36740cp-13, -0x1.549430c5a14f8p-13, -0x1.495f7dd47d1dfp-13, -0x1.3e83aacb47a85p-13, -0x1.33fe2bbf6dff1p-13, -0x1.29cc859d7cd1bp-13, -0x1.1fec4dc7a8b03p-13, -0x1.165b29b6cf81ep-13, -0x1.0d16ce9c9301ep-13, -0x1.041d0107a9c9ap-13, -0x1.f6d7291351b67p-14, -0x1.e600d6bd908dep-14, -0x1.d5b2ec2e4d3e3p-14, -0x1.c5e96683e0375p-14, -0x1.b6a05e33ea785p-14, -0x1.a7d4066802241p-14, -0x1.9980ac5d942fp-14, -0x1.8ba2b6c8d8ea9p-14, -0x1.7e36a53b0568ep-14, -0x1.71390f8afa67dp-14, -0x1.64a6a542337c3p-14, -0x1.587c2d0b6356fp-14, -0x1.4cb684249f92p-14, -0x1.41529dd43e424p-14, -0x1.364d82e085eaap-14, -0x1.2ba4510a50f4bp-14, -0x1.21543a8a1df08p-14, -0x1.175a8590020eep-14, -0x1.0db48bc637f18p-14, -0x1.045fb9d635eb1p-14, -0x1.f6b31de083e98p-15, -0x1.e53f38ab95bcap-15, -0x1.d45f09cc17b8p-15, -0x1.c40df95911eb5p-15, -0x1.b44790e6a82fdp-15, -0x1.a5077aacf5b01p-15, -0x1.964980b3c8d4ep-15, -0x1.88098c0375a43p-15, -0x1.7a43a3da4cb5cp-15, -0x1.6cf3ece5e2e67p-15, -0x1.6016a880a21ebp-15, -0x1.53a833f46840cp-15, -0x1.47a507bfc3249p-15, -0x1.3c09b6e106a81p-15, -0x1.30d2ee24276e8p-15, -0x1.25fd73757c262p-15, -0x1.1b86253702ffbp-15, -0x1.1169f99b02671p-15, -0x1.07a5fe01b847fp-15, -0x1.fc6eacb40c6d8p-16, -0x1.ea36790f9bc3bp-16, -0x1.d89dff95ceb5cp-16, -0x1.c7a0085935937p-16, -0x1.b73783de39f29p-16, -0x1.a75f89ff25381p-16, -0x1.981358da2aefcp-16, -0x1.894e53c41ddb8p-16, -0x1.7b0c02421481fp-16, -0x1.6d480f092005ap-16, -0x1.5ffe470486658p-16, -0x1.532a98619034p-16, -0x1.46c911a1f236dp-16, -0x1.3ad5e0b31c1c8p-16, -0x1.2f4d520cb10fp-16, -0x1.242bcfd38a908p-16, -0x1.196de1005ce3p-16, -0x1.0f102891d5f2bp-16, -0x1.050f64bca8767p-16, -0x1.f6d0dc4ccd999p-17, -0x1.e4306e42423d4p-17, -0x1.d23795de9290cp-17, -0x1.c0e09a15648dfp-17, -0x1.b025f0e2bf43fp-17, -0x1.a0023de909725p-17, -0x1.907051210780bp-17, -0x1.816b258957c26p-17, -0x1.72eddfe3b98c6p-17, -0x1.64f3cd7baf7d4p-17, -0x1.577862ef63abbp-17, -0x1.4a773b083cc1cp-17, -0x1.3dec15962e7b7p-17, -0x1.31d2d6547dd7cp-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.68c6ec8057e3ep-7, 0x1.0e9ee6345d3b3p-4, 0x1.e2607deb9efddp-4, 0x1.52f802417d5d6p-3, 0x1.abd211acd754fp-3, 0x1.fb40e04b46021p-3, 0x1.20881451efd4p-2, 0x1.3ea329d2530f1p-2, 0x1.580ce5f1784c9p-2, 0x1.6cf3fac8d1019p-2, 0x1.7d95aedc23228p-2, 0x1.8a3942b27d984p-2, 0x1.932c88155a49ep-2, 0x1.98c176e486dfcp-2, 0x1.9b4c0f5decf9ep-2, 0x1.9b2046bfeaa66p-2, 0x1.98903b6dc9735p-2, 0x1.93eaf94cfacbap-2, 0x1.8d7bca7db0d7bp-2, 0x1.8589d02d6b78dp-2, 0x1.7c57a7134c33p-2, 0x1.72237b3e3b612p-2, 0x1.6724f1a301f09p-2, 0x1.5b8feff3a34b3p-2, 0x1.4f934cfd09f54p-2, 0x1.43591ccf0fa86p-2, 0x1.3706cc5e085e2p-2, 0x1.2abd5b5762591p-2, 0x1.1e99af286bf22p-2, 0x1.12b4eef98a9bap-2, 0x1.0724d8d7b18f7p-2, 0x1.f7f80fb7b92e3p-3, 0x1.e29457365c942p-3, 0x1.ce386e5bacd3fp-3, 0x1.baf920983e2c8p-3, 0x1.a8e689f964c82p-3, 0x1.980c929912f03p-3, 0x1.887372ad0ddc8p-3, 0x1.7a20325934981p-3, 0x1.6d1519a1f6fdp-3, 0x1.61520a81f2da9p-3, 0x1.56d4c5acebccbp-3, 0x1.4d991f69c3f7dp-3, 0x1.45992c33cd48bp-3, 0x1.3ecd6c94fab4fp-3, 0x1.392cfd699e012p-3, 0x1.34adce4a31957p-3, 0x1.3144dc4841a22p-3, 0x1.2ee66ca6556f5p-3, 0x1.2d864275ec0c5p-3, 0x1.2d17cb16f021dp-3, 0x1.2d8e3fc88a125p-3, 0x1.2edcbce22e4cp-3, 0x1.30f6511a6365cp-3, 0x1.33ce081403b01p-3, 0x1.3756f34a296d2p-3, 0x1.3b8433aad32b4p-3, 0x1.40490521e0f67p-3, 0x1.4598cc52a4fc3p-3, 0x1.4b6725f54c862p-3, 0x1.51a7f6cf0e142p-3, 0x1.584f7b0406da5p-3, 0x1.5f5253872f85dp-3, 0x1.66a255bd94bd3p-3, 0x1.6e3b5644802ddp-3, 0x1.7610bac6edb82p-3, 0x1.7e18ecfc78bdp-3, 0x1.864abcc6e0d6cp-3, 0x1.8e9d6288fcb3fp-3, 0x1.970882229db6p-3, 0x1.9f842dfb3e47cp-3, 0x1.a808e97b99d1dp-3, 0x1.b08faa6e25b0fp-3, 0x1.b911d8ed9bea2p-3, 0x1.c1894dc2a3379p-3, 0x1.c9f04f4a705d6p-3, 0x1.d2418d2e59f4cp-3, 0x1.da781b521862ap-3, 0x1.e28f6c69062adp-3, 0x1.ea834c9b7a1c9p-3, 0x1.f24fdc8ffbd23p-3, 0x1.f9f18d0e2ca28p-3, 0x1.00b28da86df75p-2, 0x1.0453c6ff99db9p-2, 0x1.07db19572f32fp-2, 0x1.0b474ddf9a75fp-2, 0x1.0e974f336b99dp-2, 0x1.11ca285a0b061p-2, 0x1.14df03b61d69cp-2, 0x1.17d529d2d471ap-2, 0x1.1aac0009ee90dp-2, 0x1.1d6307026f17ap-2, 0x1.1ff9d90d6896bp-2, 0x1.2270286a56993p-2, 0x1.24c5bd7f13f01p-2, 0x1.26fa75109c2e6p-2, 0x1.290e3e894e737p-2, 0x1.2b011a57c40d1p-2, 0x1.2cd3186eaad3fp-2, 0x1.2e8456ead2969p-2, 0x1.301500e152acep-2, 0x1.31854d548bee2p-2, 0x1.32d57e4c6b70ep-2, 0x1.3405e00c84b34p-2, 0x1.3516c861e81abp-2, 0x1.3608960265f31p-2, 0x1.36dbaff798bb1p-2, 0x1.37908510dfcf8p-2, 0x1.38278b58a6f3cp-2, 0x1.38a13f8a6069fp-2, 0x1.38fe2487a394cp-2, 0x1.393ec2cbb76b1p-2, 0x1.3963a7dd75631p-2, 0x1.396d65c000dcp-2, 0x1.395c926326215p-2, 0x1.3931c714907dep-2, 0x1.38ed9ff33342ep-2, 0x1.3890bb666b6c8p-2, 0x1.381bb99a72785p-2, 0x1.378f3c03a9db6p-2, 0x1.36ebe4ea3b148p-2, 0x1.363256ff3af1fp-2, 0x1.356334fc4f1f8p-2, 0x1.347f214e61d9dp-2, 0x1.3386bdcb93454p-2, 0x1.327aab742ad75p-2, 0x1.315b8a3ddc69bp-2, 0x1.3029f8e85835p-2, 0x1.2ee694d9d0693p-2, 0x1.2d91fa01eb333p-2, 0x1.2c2cc2c183c69p-2, 0x1.2ab787d5a165fp-2, 0x1.2932e04437d02p-2, 0x1.279f614977effp-2, 0x1.25fd9e44d00f5p-2, 0x1.244e28a50d0f5p-2, 0x1.22918fd36378bp-2, 0x1.20c8611d8474cp-2, 0x1.1ef3279f11ce3p-2, 0x1.1d126c2b09265p-2, 0x1.1b26b535c4425p-2, 0x1.193086c047281p-2, 0x1.1730624571232p-2, 0x1.1526c6a9a5586p-2, 0x1.1314302d44a23p-2, 0x1.10f9186231dfap-2, 0x1.0ed5f6247564fp-2, 0x1.0cab33a2c0441p-2, 0x1.0a79739955fb5p-2, 0x1.0840fafe25304p-2, 0x1.060234bab73afp-2, 0x1.03bd8939fe1acp-2, 0x1.01735e748b083p-2, 0x1.fe482ff5c986fp-3, 0x1.f9a02dfbb1582p-3, 0x1.f4ef74a96d9c3p-3, 0x1.f036bd03471b2p-3, 0x1.eb76bb687661p-3, 0x1.e6b01f95b5b0ap-3, 0x1.e1e394a5ff026p-3, 0x1.dd11c1123a368p-3, 0x1.d83b46b0de15bp-3, 0x1.d360c2b6413dcp-3, 0x1.ce82cdb669af1p-3, 0x1.c9a1fba902fdap-3, 0x1.c4bedbefebbafp-3, 0x1.bfd9f960bf41ap-3, 0x1.baf3da518a813p-3, 0x1.b60d00a8a925fp-3, 0x1.b125e9efbdeb7p-3, 0x1.ac3f0f6985e42p-3, 0x1.a758e62a2cfc7p-3, 0x1.a273df31c83ffp-3, 0x1.9d90678880018p-3, 0x1.98aee85be1903p-3, 0x1.93cfc71ced288p-3, 0x1.8ef3659e60972p-3, 0x1.8a1a2232c4491p-3, 0x1.854457c9e2d2fp-3, 0x1.80725e0d486c2p-3, 0x1.7ba4897b84df5p-3, 0x1.76db2b81f25ebp-3, 0x1.72169294e434ep-3, 0x1.6d570a461f69ap-3, 0x1.689cdb5993aeep-3, 0x1.63e84bd869b03p-3, 0x1.5f399f2272369p-3, 0x1.5a9115fe15c91p-3, 0x1.55eeeea6f6ee2p-3, 0x1.515364db6f845p-3, 0x1.4cbeb1e919931p-3, 0x1.48310cb89f632p-3, 0x1.43aaa9d8fdf9ap-3, 0x1.3f2bbb8a707dep-3, 0x1.3ab471c92c1fep-3, 0x1.3644fa5817985p-3, 0x1.31dd80cb9522p-3, 0x1.2d7e2e9483dd5p-3, 0x1.29272b0b7fa74p-3, 0x1.24d89b7c6d77ap-3, 0x1.2092a3325fb4dp-3, 0x1.1c556383c1c74p-3, 0x1.1820fbdecf528p-3, 0x1.13f589d6457bfp-3, 0x1.0fd3292e4abb1p-3, 0x1.0bb9f3e961373p-3, 0x1.07aa0255746acp-3, 0x1.03a36b18d0c83p-3, 0x1.ff4c867e03b9fp-4, 0x1.f7653c8afca32p-4, 0x1.ef911c503031bp-4, 0x1.e7d046da25ceap-4, 0x1.e022da61cff6ap-4, 0x1.d888f2633d2aap-4, 0x1.d102a7b36ebcp-4, 0x1.c990109551eeep-4, 0x1.c23140cdc2d28p-4, 0x1.bae649b6b6b75p-4, 0x1.b3af3a5183b4p-4, 0x1.ac8c1f5846fd8p-4, 0x1.a57d034e8d3f2p-4, 0x1.9e81ee9135eaep-4, 0x1.979ae765b31b6p-4, 0x1.90c7f208ac899p-4, 0x1.8a0910bc21349p-4, 0x1.835e43d512783p-4, 0x1.7cc789c8cf9cp-4, 0x1.7644df39ee59bp-4, 0x1.6fd63f05035acp-4, 0x1.697ba24d226ap-4, 0x1.63350088357afp-4, 0x1.5d024f8b32178p-4, 0x1.56e38396332ecp-4, 0x1.50d88f607c5f2p-4, 0x1.4ae164246af5p-4, 0x1.44fdf1ab538f2p-4, 0x1.3f2e26594e85ep-4, 0x1.3971ef38efe9ep-4, 0x1.33c93806e8d14p-4, 0x1.2e33eb3d8fd6dp-4, 0x1.28b1f2204cec5p-4, 0x1.234334c6e2578p-4, 0x1.1de79a2892261p-4, 0x1.189f08271a49dp-4, 0x1.1369639983d97p-4, 0x1.0e469056c1c21p-4, 0x1.093671401e0b1p-4, 0x1.0438e84b7170ep-4, 0x1.fe9bad1a461d9p-5, 0x1.f4ea3883e24b5p-5, 0x1.eb5d31b102d34p-5, 0x1.e1f455f56d76ap-5, 0x1.d8af612d9e385p-5, 0x1.cf8e0dd093bd8p-5, 0x1.c69015012c7f1p-5, 0x1.bdb52e9f1850fp-5, 0x1.b4fd11576279p-5, 0x1.ac6772b49507cp-5, 0x1.a3f4072e7c248p-5, 0x1.9ba282398a595p-5, 0x1.93729655e164bp-5, 0x1.8b63f51e04d76p-5, 0x1.83764f5538412p-5, 0x1.7ba954f58b623p-5, 0x1.73fcb53d96d96p-5, 0x1.6c701ebdf0564p-5, 0x1.65033f664d85bp-5, 0x1.5db5c49265324p-5, 0x1.56875b168519ap-5, 0x1.4f77af4be1091p-5, 0x1.48866d1c9f20ep-5, 0x1.41b3400f9db8dp-5, 0x1.3afdd353f44ecp-5, 0x1.3465d1cc32a9dp-5, 0x1.2deae6195aad6p-5, 0x1.278cbaa597522p-5, 0x1.214af9aeaf038p-5, 0x1.1b254d5035f38p-5, 0x1.151b5f8d79b6cp-5, 0x1.0f2cda5b2c7c9p-5, 0x1.095967a8cdc82p-5, 0x1.03a0b169cdd8fp-5, 0x1.fc04c33ce7b61p-6, 0x1.f0fc44b8fd8e1p-6, 0x1.e6273baf0d25fp-6, 0x1.db84fcd23cd0dp-6, 0x1.d114dd31674d7p-6, 0x1.c6d632466446ep-6, 0x1.bcc85204cbd58p-6, 0x1.b2ea92e84530dp-6, 0x1.a93c4c0258d33p-6, 0x1.9fbcd507c9952p-6, 0x1.966b865d7de5ap-6, 0x1.8d47b924eb0c9p-6, 0x1.8450c74818fc1p-6, 0x1.7b860b852bb0fp-6, 0x1.72e6e17983b97p-6, 0x1.6a72a5ac70f5bp-6, 0x1.6228b5997845cp-6, 0x1.5a086fba31125p-6, 0x1.5211338fbcccap-6, 0x1.4a4261abd4e0ep-6, 0x1.429b5bb97840ap-6, 0x1.3b1b8485371d6p-6, 0x1.33c24005189a5p-6, 0x1.2c8ef36029f04p-6, 0x1.258104f5aa592p-6, 0x1.1e97dc63dce97p-6, 0x1.17d2e28e8544p-6, 0x1.113181a506025p-6, 0x1.0ab325282d7cap-6, 0x1.045739efad6c1p-6, 0x1.fc3a5c5e7c37bp-7, 0x1.f008e2f6e6fcfp-7, 0x1.e4186408b1593p-7, 0x1.d868db3fb2855p-7, 0x1.ccf89fa1951ap-7, 0x1.c1c69bc2f38abp-7, 0x1.b6d1bd202aa2p-7, 0x1.ac18f4234978dp-7, 0x1.a19b34298593cp-7, 0x1.975773882514fp-7, 0x1.8d4cab90f2b5p-7, 0x1.8379d89641254p-7, 0x1.79ddf9ee631dap-7, 0x1.707811f6cac02p-7, 0x1.67472616a0786p-7, 0x1.5e4a3ec101315p-7, 0x1.55806776bb0ffp-7, 0x1.4ce8aec7b88dep-7, 0x1.44822653f0b64p-7, 0x1.3c4be2cc04ea3p-7, 0x1.3444fbf16e561p-7, 0x1.2c6c8c9657f1cp-7, 0x1.24c1b29d156c6p-7, 0x1.1d438ef7441afp-7, 0x1.15f145a491d42p-7, 0x1.0ec9fdb130573p-7, 0x1.07cce133f6a5dp-7, 0x1.00f91d4c314dfp-7, 0x1.f49bc43e4d1edp-8, 0x1.e794c5aa9d94fp-8, 0x1.dadbab2e8c474p-8, 0x1.ce6ee714ee2ap-8, 0x1.c24cf19b05fccp-8, 0x1.b67448e8d23ecp-8, 0x1.aae37108e2f3cp-8, 0x1.9f98f3dfb466cp-8, 0x1.949361229b06bp-8, 0x1.89d14e4e41344p-8, 0x1.7f51569cbe0adp-8, 0x1.75121afb48ccdp-8, 0x1.6b1241ff8dbd1p-8, 0x1.615077dcabb6p-8, 0x1.57cb6e57dac72p-8, 0x1.4e81dcbcc5b2ep-8, 0x1.45727fd19333ep-8, 0x1.3c9c19caaf5d3p-8, 0x1.33fd723e4bcb9p-8, 0x1.2b955617a54abp-8, 0x1.2362978a0dce8p-8, 0x1.1b640e03c0f1p-8, 0x1.13989620857e3p-8, 0x1.0bff119c208e3p-8, 0x1.049667449e66dp-8, 0x1.fabb05d8e7ea4p-9, 0x1.eca6aab8f5aebp-9, 0x1.deeda88b9fb0dp-9, 0x1.d18df467221adp-9, 0x1.c4858cf9092bbp-9, 0x1.b7d27a694a5d8p-9, 0x1.ab72ce3d3a141p-9, 0x1.9f64a33a58337p-9, 0x1.93a61d490631bp-9, 0x1.883569571b61ep-9, 0x1.7d10bd3a6a9bep-9, 0x1.723657933700cp-9, 0x1.67a47fae9d7d3p-9, 0x1.5d598568f4b97p-9, 0x1.5353c1102be92p-9, 0x1.499193462abbfp-9, 0x1.401164e3341dep-9, 0x1.36d1a6d8516ap-9, 0x1.2dd0d211c96f6p-9, 0x1.250d6759a2b82p-9, 0x1.1c85ef3a3a14ep-9, 0x1.1438f9e0edfc5p-9, 0x1.0c251f00dd9f1p-9, 0x1.0448fdb5c390ap-9, 0x1.f94678cddb6dfp-10, 0x1.ea651154a4ff5p-10, 0x1.dbeb2e4f8e97fp-10, 0x1.cdd646f8b5c89p-10, 0x1.c023e03baea77p-10, 0x1.b2d18c7cd1d62p-10, 0x1.a5dceb60e25a2p-10, 0x1.9943a9950d872p-10, 0x1.8d038097473ccp-10, 0x1.811a367f00367p-10, 0x1.75859dc65052fp-10, 0x1.6a439513766dep-10, 0x1.5f520702dbf37p-10, 0x1.54aee9f16e067p-10, 0x1.4a583fc785a2cp-10, 0x1.404c15c435158p-10, 0x1.368884491a4f5p-10, 0x1.2d0baea6a89p-10, 0x1.23d3c2e9010edp-10, 0x1.1adef9a542fb6p-10, 0x1.122b95c76b9c3p-10, 0x1.09b7e460c7aabp-10, 0x1.01823c76e6d6dp-10, 0x1.f311fda65da97p-11, 0x1.e3952ba5ee33cp-11, 0x1.d48aea708f438p-11, 0x1.c5f033f64f2cap-11, 0x1.b7c214371ce09p-11, 0x1.a9fda8e7dce0cp-11, 0x1.9ca02118c2732p-11, 0x1.8fa6bcdcf20d8p-11, 0x1.830eccf35d6ddp-11, 0x1.76d5b270f5f8ap-11, 0x1.6af8de6c2118dp-11, 0x1.5f75d1a977dddp-11, 0x1.544a1c49deabcp-11, 0x1.49735d79e7435p-11, 0x1.3eef43227b197p-11, 0x1.34bb899ae27c4p-11, 0x1.2ad5fb5c07dfap-11, 0x1.213c70b51dd24p-11, 0x1.17eccf8180dffp-11, 0x1.0ee50adfedecep-11, 0x1.062322eaf59ebp-11, 0x1.fb4a48e58962bp-12, 0x1.ead251703fca1p-12, 0x1.dadaaa514dc39p-12, 0x1.cb5fb6389a5bap-12, 0x1.bc5def281a88bp-12, 0x1.add1e5f3a3f0dp-12, 0x1.9fb841c30025cp-12, 0x1.920dbf9670fa4p-12, 0x1.84cf31cd6516ep-12, 0x1.77f97faf679d3p-12, 0x1.6b89a4f758cfbp-12, 0x1.5f7cb160b1979p-12, 0x1.53cfc836e3ecap-12, 0x1.48801fe6da5f6p-12, 0x1.3d8b019269493p-12, 0x1.32edc8a5b7095p-12, 0x1.28a5e26e97b57p-12, 0x1.1eb0cdb5c7856p-12, 0x1.150c1a59e066ap-12, 0x1.0bb568ec46297p-12, 0x1.02aa6a4faec2cp-12, 0x1.f3d1beb0ba4dap-13, 0x1.e2dd30dc3c18fp-13, 0x1.d272ea5faea01p-13, 0x1.c28ec831633ap-13, 0x1.b32cc44dab3b2p-13, 0x1.a448f50768432p-13, 0x1.95df8c5b8ad7p-13, 0x1.87ecd747bd6eap-13, 0x1.7a6d3d23cc449p-13, 0x1.6d5d3efe0f438p-13, 0x1.60b976fa9b85bp-13, 0x1.547e97b563206p-13, 0x1.48a96ba70c4afp-13, 0x1.3d36d48c957efp-13, 0x1.3223cad1e6fe2p-13, 0x1.276d5cfed73f5p-13, 0x1.1d10af2739943p-13, 0x1.130afa5d93f35p-13, 0x1.09598c2856f92p-13, 0x1.fff38bf457ae5p-14, 0x1.edd2395964ec5p-14, 0x1.dc4a2ffc3428ap-14, 0x1.cb56a422c20f3p-14, 0x1.baf2ede27917bp-14, 0x1.ab1a882bbb7fcp-14, 0x1.9bc90fda6fb82p-14, 0x1.8cfa42cc215bbp-14, 0x1.7ea9fefb6b36dp-14, 0x1.70d441a0cfd67p-14, 0x1.6375265857499p-14, 0x1.5688e64d934b5p-14, 0x1.4a0bd76b9df62p-14, 0x1.3dfa6b9317783p-14, 0x1.32512fd4dfca7p-14, 0x1.270ccbb1f966cp-14, 0x1.1c2a0060af1b3p-14, 0x1.11a5a8164be75p-14, 0x1.077cb555e74e1p-14, 0x1.fb586487bdcabp-15, 0x1.e8627ffc72f48p-15, 0x1.d6122bf2b04e9p-15, 0x1.c46202c298b9ep-15, 0x1.b34cc8fef58ep-15, 0x1.a2cd6c4975952p-15, 0x1.92df022e635cap-15, 0x1.837cc7095ecdep-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.0629beaf0eeafp+0, -0x1.02617bac59e54p+0, -0x1.fea4452b31daep-1, -0x1.f985698789b68p-1, -0x1.f5041d5626f0cp-1, -0x1.f0cdbc5178d2ap-1, -0x1.ec9f9dbef1af2p-1, -0x1.e845f5f12de2ap-1, -0x1.e39a172803a65p-1, -0x1.de811717d5874p-1, -0x1.d8ea37034a91cp-1, -0x1.d2cd260c0c398p-1, -0x1.cc288697f626ap-1, -0x1.c50089afaf987p-1, -0x1.bd5d912c32f57p-1, -0x1.b54b15f5793cbp-1, -0x1.acd6d482340f9p-1, -0x1.a4100ad29457dp-1, -0x1.9b06ba20c16cp-1, -0x1.91cb09a823cd3p-1, -0x1.886cdb9084323p-1, -0x1.7efb643afcbb3p-1, -0x1.75859687ab577p-1, -0x1.6c18f7372d402p-1, -0x1.62c20fe2ac7d3p-1, -0x1.598c46e705518p-1, -0x1.5081d8d5cf855p-1, -0x1.47abd71e73a1cp-1, -0x1.3f122980af64p-1, -0x1.36bb91ca22568p-1, -0x1.2eadb4251b0aap-1, -0x1.26ed26414b4f6p-1, -0x1.1f7d84aad6b3p-1, -0x1.18618abc02324p-1, -0x1.119b292578e23p-1, -0x1.0b2b98d49e8f9p-1, -0x1.05136a44154fbp-1, -0x1.fea52552f07bap-2, -0x1.f3d0f17d90034p-2, -0x1.e9a804ea70c15p-2, -0x1.e027483064215p-2, -0x1.d74ae124982b6p-2, -0x1.cf0e53c0f5fdp-2, -0x1.c76ca0fc7725bp-2, -0x1.c0606190df3fdp-2, -0x1.b9e3dbb4ca68fp-2, -0x1.b3f1140129226p-2, -0x1.ae81da9a765eep-2, -0x1.a98fd614e027ap-2, -0x1.a5148d758518fp-2, -0x1.a109725509284p-2, -0x1.9d67ebaab6c5dp-2, -0x1.9a29614642931p-2, -0x1.9747478dc7bd8p-2, -0x1.94bb2ac889552p-2, -0x1.927eb92585d1bp-2, -0x1.908bcaccfd90dp-2, -0x1.8edc679bbacb5p-2, -0x1.8d6aca8e2cd64p-2, -0x1.8c3163417b45p-2, -0x1.8b2ad62f0539dp-2, -0x1.8a51fc5656a98p-2, -0x1.89a1e2ed7fef4p-2, -0x1.891647b8d7f3dp-2, -0x1.88a998a0de767p-2, -0x1.8857f09005482p-2, -0x1.881d3b26b59e6p-2, -0x1.87f59fde1826bp-2, -0x1.87dd80b4d30a7p-2, -0x1.87d17855cd583p-2, -0x1.87ce57f9275cap-2, -0x1.87d1253a91078p-2, -0x1.87d718125702ep-2, -0x1.87dd990bd97bbp-2, -0x1.87e23fc1064fap-2, -0x1.87e2d1921feeep-2, -0x1.87dd4085b0a1ep-2, -0x1.87cfaa36dd37ap-2, -0x1.87b856b814768p-2, -0x1.8795b75439161p-2, -0x1.8766651f9186p-2, -0x1.87291f524b231p-2, -0x1.86dcc96edff2ap-2, -0x1.8680693dddb1ap-2, -0x1.861324ada428p-2, -0x1.85943fa758a23p-2, -0x1.850319ea6fa01p-2, -0x1.845f2cfe3f73ap-2, -0x1.83a80a4596909p-2, -0x1.82dd593be35f8p-2, -0x1.81fed5df00d45p-2, -0x1.810c4f446f152p-2, -0x1.8005a655882cbp-2, -0x1.7eeaccabf682ep-2, -0x1.7dbbc386c07f4p-2, -0x1.7c789ad03773p-2, -0x1.7b21702e0bffcp-2, -0x1.79b66e161b138p-2, -0x1.7837cae43bbcep-2, -0x1.76a5c7eefda3cp-2, -0x1.7500b09ae9c1bp-2, -0x1.7348d96d2aeddp-2, -0x1.717e9f1fa7683p-2, -0x1.6fa265b950cbdp-2, -0x1.6db497addb8f1p-2, -0x1.6bb5a5080ecb1p-2, -0x1.69a602a17d206p-2, -0x1.67862969ebb44p-2, -0x1.655695bfcb149p-2, -0x1.6317c6da4b399p-2, -0x1.60ca3e44bccd8p-2, -0x1.5e6e7f6a2fed9p-2, -0x1.5c050f2fa6a8cp-2, -0x1.598e739ac9b68p-2, -0x1.570b3382da69bp-2, -0x1.547bd6498adc8p-2, -0x1.51e0e39989d23p-2, -0x1.4f3ae328e58fdp-2, -0x1.4c8a5c7db886ap-2, -0x1.49cfd6b42b483p-2, -0x1.470bd8453c647p-2, -0x1.443ee6ce4b1cbp-2, -0x1.416986d9bb904p-2, -0x1.3e8c3ba953986p-2, -0x1.3ba787031247cp-2, -0x1.38bbe90149481p-2, -0x1.35c9dfe6a4ee8p-2, -0x1.32d1e7f698e4dp-2, -0x1.2fd47b527c9b8p-2, -0x1.2cd211db54018p-2, -0x1.29cb21181a472p-2, -0x1.26c01c203170bp-2, -0x1.23b1738983ee4p-2, -0x1.209f9559dbc0ap-2, -0x1.1d8aecfaf63b8p-2, -0x1.1a73e330f24ecp-2, -0x1.175ade12c71a7p-2, -0x1.14404104918ap-2, -0x1.11246cb39cd28p-2, -0x1.0e07bf14166d6p-2, -0x1.0aea936071f74p-2, -0x1.07cd421a72d4p-2, -0x1.04b0210ddead7p-2, -0x1.01938354bd86ap-2, -0x1.fcef72ba22cf1p-3, -0x1.f6ba21dfa8bc4p-3, -0x1.f087aa7217272p-3, -0x1.ea58b54b8fb41p-3, -0x1.e42dba648a887p-3, -0x1.de073a67ed813p-3, -0x1.d7e5b675ba34ap-3, -0x1.d1c9ab11f184dp-3, -0x1.cbb3903fd5901p-3, -0x1.c5a3d999792ccp-3, -0x1.bf9af663cb8c8p-3, -0x1.b999519f5d9c5p-3, -0x1.b39f52166895p-3, -0x1.adad5a68aa646p-3, -0x1.a7c3c915bd4d5p-3, -0x1.a1e2f886a2942p-3, -0x1.9c0b3f172e629p-3, -0x1.963cef1ff1739p-3, -0x1.90785701344eep-3, -0x1.8abdc12f80fa9p-3, -0x1.850d744202632p-3, -0x1.7f67b30305ffbp-3, -0x1.79ccbc82ac046p-3, -0x1.743ccc2bd5f68p-3, -0x1.6eb819db1b583p-3, -0x1.693ed9f7af4e5p-3, -0x1.63d13d8ddbc6cp-3, -0x1.5e6f726ac91c9p-3, -0x1.5919a33937a08p-3, -0x1.53cff79ec6bfcp-3, -0x1.4e9294596c8b8p-3, -0x1.49619b5ccf58p-3, -0x1.443d2bef1705ap-3, -0x1.3f2562c50591p-3, -0x1.3a1a5a1d00b8dp-3, -0x1.351c29d8f334fp-3, -0x1.302ae796c9b07p-3, -0x1.2b46a6c782b9cp-3, -0x1.266f78c4c011p-3, -0x1.21a56ce4db182p-3, -0x1.1ce8908d87d31p-3, -0x1.1838ef45172ebp-3, -0x1.139692c27595cp-3, -0x1.0f0182fc0c874p-3, -0x1.0a79c635a435bp-3, -0x1.05ff610d6b016p-3, -0x1.0192568856b43p-3, -0x1.fa65503bf03d9p-4, -0x1.f1c0ab87ebbe1p-4, -0x1.e936bbf2753f7p-4, -0x1.e0c77ba20ca26p-4, -0x1.d872e1fbf0b16p-4, -0x1.d038e3ba23aap-4, -0x1.c8197301c275p-4, -0x1.c0147f79682f5p-4, -0x1.b829f65ff97dfp-4, -0x1.b059c2a3914eap-4, -0x1.a8a3ccf8a7a6fp-4, -0x1.a107fbf15ba1cp-4, -0x1.99863414c30ecp-4, -0x1.921e57f62cb25p-4, -0x1.8ad0484c3901bp-4, -0x1.839be407a8749p-4, -0x1.7c810869c8e79p-4, -0x1.757f911a6671fp-4, -0x1.6e97583d27391p-4, -0x1.67c836863d538p-4, -0x1.6112034e5f6d6p-4, -0x1.5a7494a5f9933p-4, -0x1.53efbf678d85dp-4, -0x1.4d8357493c13dp-4, -0x1.472f2eed774c2p-4, -0x1.40f317f2ep-4, -0x1.3acee30351ec7p-4, -0x1.34c25fe228644p-4, -0x1.2ecd5d79c60ap-4, -0x1.28efa9e86adb7p-4, -0x1.2329128c67827p-4, -0x1.1d79640fbba4ap-4, -0x1.17e06a732eac9p-4, -0x1.125df118f06bap-4, -0x1.0cf1c2ced2feap-4, -0x1.079ba9d82639ep-4, -0x1.025b6ff746082p-4, -0x1.fa61bcedc36c9p-5, -0x1.f0377c66148p-5, -0x1.e637af4412632p-5, -0x1.dc61e5ba1a487p-5, -0x1.d2b5af515317p-5, -0x1.c9329afa653ddp-5, -0x1.bfd8371de57a4p-5, -0x1.b6a611ac793f2p-5, -0x1.ad9bb82eb3afdp-5, -0x1.a4b8b7d4a47f6p-5, -0x1.9bfc9d851a75ap-5, -0x1.9366f5ec93f9dp-5, -0x1.8af74d8bd63eep-5, -0x1.82ad30c629a95p-5, -0x1.7a882bef3680fp-5, -0x1.7287cb5877bbap-5, -0x1.6aab9b5e49271p-5, -0x1.62f3287486bdep-5, -0x1.5b5dff32bc742p-5, -0x1.53ebac5fe45e6p-5, -0x1.4c9bbcfdb49bap-5, -0x1.456dbe537a323p-5, -0x1.3e613df883554p-5, -0x1.3775c9de1750ap-5, -0x1.30aaf05905f61p-5, -0x1.2a00402ac672bp-5, -0x1.2375488a33469p-5, -0x1.1d09992be08d6p-5, -0x1.16bcc24a101d5p-5, -0x1.108e54ac4ebd5p-5, -0x1.0a7de1aeb41f8p-5, -0x1.048afb48d1eep-5, -0x1.fd6a6828a26f1p-6, -0x1.f1f83ea68e0dcp-6, -0x1.e6bea1ec75096p-6, -0x1.dbbcbb43d6d3bp-6, -0x1.d0f1b569a2bebp-6, -0x1.c65cbc98bf1c6p-6, -0x1.bbfcfe940d7b6p-6, -0x1.b1d1aab00068dp-6, -0x1.a7d9f1dbb60d7p-6, -0x1.9e1506a9a8888p-6, -0x1.94821d57f084dp-6, -0x1.8b206bd81a068p-6, -0x1.81ef29d694991p-6, -0x1.78ed90c1b93aep-6, -0x1.701adbd06e795p-6, -0x1.6776480867ebep-6, -0x1.5eff1444010f2p-6, -0x1.56b48137bec0bp-6, -0x1.4e95d17769ffp-6, -0x1.46a2497ad2b27p-6, -0x1.3ed92fa234dfdp-6, -0x1.3739cc3a43c7dp-6, -0x1.2fc3697fdd113p-6, -0x1.287553a366ccep-6, -0x1.214ed8cbd6ecbp-6, -0x1.1a4f491969199p-6, -0x1.1375f6a801802p-6, -0x1.0cc23591493f7p-6, -0x1.06335bee72e1dp-6, -0x1.ff9183b3795f2p-7, -0x1.f30382df53a62p-7, -0x1.e6bb6d9fe49c3p-7, -0x1.dab8003c62facp-7, -0x1.cef7fb04a7be3p-7, -0x1.c37a22518296fp-7, -0x1.b83d3e84a1fcbp-7, -0x1.ad401c07f2bdcp-7, -0x1.a2818b4c97687p-7, -0x1.980060c97086cp-7, -0x1.8dbb74f93b4b7p-7, -0x1.83b1a4583cd83p-7, -0x1.79e1cf619d4adp-7, -0x1.704ada8c539c7p-7, -0x1.66ebae47bba63p-7, -0x1.5dc336f7d2143p-7, -0x1.54d064f11eb7bp-7, -0x1.4c122c7444c65p-7, -0x1.438785a94882ep-7, -0x1.3b2f6c9a8d42bp-7, -0x1.3308e12f8383p-7, -0x1.2b12e72714fdp-7, -0x1.234c8611cd4f9p-7, -0x1.1bb4c94bc2345p-7, -0x1.144abff63f54p-7, -0x1.0d0d3bc026451p-7, -0x1.05fbdaa02bbe5p-7, -0x1.fe2ae1ec75e63p-8, -0x1.f0b2397e73accp-8, -0x1.e38bff3349d9p-8, -0x1.d6b67d7bc5c1dp-8, -0x1.ca3005ece168bp-8, -0x1.bdf6f12fd6075p-8, -0x1.b2099ef1e9ef2p-8, -0x1.a66675d40395p-8, -0x1.9b0be359fa773p-8, -0x1.8ff85bd9b8bap-8, -0x1.852a5a6a230ffp-8, -0x1.7aa060d1ce889p-8, -0x1.7058f7758dd61p-8, -0x1.6652ad46ce71bp-8, -0x1.5c8c17b1cfc03p-8, -0x1.5303d28bb59eap-8, -0x1.49b8800077c03p-8, -0x1.40a8c880b0ad4p-8, -0x1.37d35aaf50549p-8, -0x1.2f36eb4f358fcp-8, -0x1.26d23530af2a1p-8, -0x1.1ea3f91ee5d31p-8, -0x1.16aafdcd376dfp-8, -0x1.0ee60fc47ef52p-8, -0x1.07540150511b3p-8, -0x1.ffe754d85f44cp-9, -0x1.f187d1615d419p-9, -0x1.e3873e8139bafp-9, -0x1.d5e36d6c3f95dp-9, -0x1.c89a3a1fabf59p-9, -0x1.bba98b3bf2036p-9, -0x1.af0f51df00f61p-9, -0x1.a2c9897ea00e6p-9, -0x1.96d637c2d4b57p-9, -0x1.8b336c6062808p-9, -0x1.7fdf40f3663ap-9, -0x1.74d7d8da091fep-9, -0x1.6a1b610f5eea8p-9, -0x1.5fa8100666babp-9, -0x1.557c258532dfcp-9, -0x1.4b95ea8045886p-9, -0x1.41f3b0f61b9cep-9, -0x1.3893d3caead4p-9, -0x1.2f74b6a49d243p-9, -0x1.2694c5c701b02p-9, -0x1.1df275f04380dp-9, -0x1.158c4435988c3p-9, -0x1.0d60b5e03e6aap-9, -0x1.056e584ab2296p-9, -0x1.fb67817c7b5cp-10, -0x1.ec5f18a1860cfp-10, -0x1.ddc0bf85bf175p-10, -0x1.cf89cebcaac38p-10, -0x1.c1b7ada997559p-10, -0x1.b447d23db690dp-10, -0x1.a737c0b6e49fdp-10, -0x1.9a850b5f1c5f2p-10, -0x1.8e2d524c8b892p-10, -0x1.822e432260a7bp-10, -0x1.768598d23fa7ep-10, -0x1.6b311b5e6f13cp-10, -0x1.602e9f9cbcd18p-10, -0x1.557c06fa0503ap-10, -0x1.4b173f3e8392fp-10, -0x1.40fe4252cb39ep-10, -0x1.372f16057f588p-10, -0x1.2da7cbd1c0cc4p-10, -0x1.246680a6548e4p-10, -0x1.1b695cad78d53p-10, -0x1.12ae93158ba21p-10, -0x1.0a3461da4a6c1p-10, -0x1.01f9118ee3e49p-10, -0x1.f3f5ea51689bcp-11, -0x1.e470d3957acap-11, -0x1.d55fad23ba45ap-11, -0x1.c6bf58c362a06p-11, -0x1.b88ccb6472c2ep-11, -0x1.aac50cbc595fcp-11, -0x1.9d6536e4111fbp-11, -0x1.906a75f7a4dcdp-11, -0x1.83d207b7259d3p-11, -0x1.77993b28feeebp-11, -0x1.6bbd703dbd3b4p-11, -0x1.603c17753198p-11, -0x1.5512b18502d21p-11, -0x1.4a3ecf00a484ep-11, -0x1.3fbe100294798p-11, -0x1.358e23d72d58ep-11, -0x1.2bacc8a8ad308p-11, -0x1.2217cb2c9ff9p-11, -0x1.18cd0652ba0f5p-11, -0x1.0fca62f4f92f9p-11, -0x1.070dd78924f25p-11, -0x1.fd2acfa755075p-12, -0x1.ecbe493786bc9p-12, -0x1.dcd256c1f5426p-12, -0x1.cd634c23f15dbp-12, -0x1.be6d958944bccp-12, -0x1.afedb6df14578p-12, -0x1.a1e04b493e44fp-12, -0x1.9442049a6fd2p-12, -0x1.870faace78e79p-12, -0x1.7a461b87988c4p-12, -0x1.6de2498de5d4ap-12, -0x1.61e13c5152751p-12, -0x1.56400f6e40349p-12, -0x1.4afbf2345cafbp-12, -0x1.4012272ffbb86p-12, -0x1.358003b5b1445p-12, -0x1.2b42ef708d196p-12, -0x1.215863f25d49cp-12, -0x1.17bdec4668feep-12, -0x1.0e7124865775bp-12, -0x1.056fb97164f3cp-12, -0x1.f96ed00b7edb5p-13, -0x1.e88bfa3836283p-13, -0x1.d832aa0aaf352p-13, -0x1.c85eb654ae2e3p-13, -0x1.b90c135b8df62p-13, -0x1.aa36d2202fe34p-13, -0x1.9bdb1faab75dp-13, -0x1.8df54459f0ec7p-13, -0x1.8081a33747bbfp-13, -0x1.737cb94dd104dp-13, -0x1.66e31d055067p-13, -0x1.5ab17d80c3acdp-13, -0x1.4ee4a200a3e9fp-13, -0x1.437969486efa9p-13, -0x1.386cc907a7508p-13, -0x1.2dbbcd46243b8p-13, -0x1.236397d3a274fp-13, -0x1.19615fba764fap-13, -0x1.0fb270b55b0b1p-13, -0x1.06542aa84e2c2p-13, -0x1.fa880238c0af8p-14, -0x1.e8fef57c489fcp-14, -0x1.d80861bf12e14p-14, -0x1.c79f9df7dedcep-14, -0x1.b7c0247e1c84fp-14, -0x1.a865921cdf3ap-14, -0x1.998ba52b96c55p-14, -0x1.8b2e3cab1c63ap-14, -0x1.7d495767e562fp-14, -0x1.6fd913214f6f1p-14, -0x1.62d9abb4eb019p-14, -0x1.56477a4f79e26p-14, -0x1.4a1ef4a19244p-14, -0x1.3e5cac19201b8p-14, -0x1.32fd4d1f27434p-14, -0x1.27fd9e59e75f6p-14, -0x1.1d5a7ff35d029p-14, -0x1.1310eae34af7fp-14, -0x1.091df03e836c1p-14, -0x1.fefd7111cd495p-15, -0x1.ec6106191a782p-15, -0x1.da614a686efcep-15, -0x1.c8f913d33a044p-15, -0x1.b82361ef7d6c6p-15, -0x1.a7db5ce1f7fb2p-15, -0x1.981c5431abe2dp-15, -0x1.88e1bda2a0138p-15, -0x1.7a2734183abe3p-15, -0x1.6be8767e28439p-15, -0x1.5e2166b90e214p-15, -0x1.50ce089d39754p-15, -0x1.43ea80ed830ffp-15, -0x1.3773145fcb4f4p-15, -0x1.2b6426a7cf3c3p-15, -0x1.1fba398aaca26p-15, -0x1.1471ebf61a6eap-15, -0x1.0987f92040e5cp-15, -0x1.fdf26f57990bfp-16, -0x1.e98531a78b644p-16, -0x1.d5c24f38b4d4ep-16, -0x1.c2a41014a1cddp-16, -0x1.b024ecbda9dadp-16, -0x1.9e3f8cb5bb40ep-16, -0x1.8ceec50cf85fbp-16, -0x1.7c2d96fbfad05p-16, -0x1.6bf72e89502cap-16, -0x1.5c46e137194d6p-16, -0x1.4d182cbce7516p-16, -0x1.3e66b5c9c8ccp-16, -0x1.302e46cfb679p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.bf0dfbfe271acp-1, 0x1.b9d47cfa215b1p-1, 0x1.b482b0d11b7a1p-1, 0x1.af1dc79fc5eaep-1, 0x1.a9aa7d1144e47p-1, 0x1.a42d12429230ap-1, 0x1.9ea94b310c12p-1, 0x1.99226f19fe23dp-1, 0x1.939b4b3d1ea8fp-1, 0x1.8e1637820f266p-1, 0x1.88951c8f98e39p-1, 0x1.83197af2076e8p-1, 0x1.7da472fbfe98bp-1, 0x1.7836cd1a3382fp-1, 0x1.72d1025e620a6p-1, 0x1.6d734510846adp-1, 0x1.681d891eda121p-1, 0x1.62cf8c4d9602ep-1, 0x1.5d88de0e4022bp-1, 0x1.5848e6ed03739p-1, 0x1.530eef8762d4ep-1, 0x1.4dda27042c513p-1, 0x1.48a9a9083700ep-1, 0x1.437c8326695afp-1, 0x1.3e51b9cbfe76bp-1, 0x1.39284cabe3a96p-1, 0x1.33ff3aad8cb2bp-1, 0x1.2ed58564bb363p-1, 0x1.29aa3418898fbp-1, 0x1.247c5660939e2p-1, 0x1.1f4b065f763bcp-1, 0x1.1a156aa1ff88fp-1, 0x1.14dab7aa72192p-1, 0x1.0f9a312f24a89p-1, 0x1.0a532b138fb63p-1, 0x1.05050a229e53dp-1, 0x1.ff5e8921830a1p-2, 0x1.f4a2c497d8768p-2, 0x1.e9d5fa3e7a09fp-2, 0x1.def7815f6eb19p-2, 0x1.d406d4ae0ef44p-2, 0x1.c90391c1d041p-2, 0x1.bded785eba679p-2, 0x1.b2c469932f6ffp-2, 0x1.a78866b1fb074p-2, 0x1.9c39902ee43cap-2, 0x1.90d824636731ap-2, 0x1.85647e4096229p-2, 0x1.79df13f297f2bp-2, 0x1.6e487579b9fc7p-2, 0x1.62a14b3c81ad6p-2, 0x1.56ea5495d4b2cp-2, 0x1.4b246661cbdc7p-2, 0x1.3f50698b80af9p-2, 0x1.336f599dc9b93p-2, 0x1.2782435888c17p-2, 0x1.1b8a434bfafe3p-2, 0x1.0f88847b2fbdcp-2, 0x1.037e3f06a1fbp-2, 0x1.eed96dbf790f9p-3, 0x1.d6aa750bd7f17p-3, 0x1.be72439b6b02ap-3, 0x1.a63399646e0efp-3, 0x1.8df14462a5af6p-3, 0x1.75ae1e655dfe6p-3, 0x1.5d6d0af34b877p-3, 0x1.4530f544581f3p-3, 0x1.2cfcce514caf4p-3, 0x1.14d38af9368a1p-3, 0x1.f97044789aad6p-4, 0x1.c95b17181a1c4p-4, 0x1.996d7a605bdb5p-4, 0x1.69ad558035da7p-4, 0x1.3a208760e75a2p-4, 0x1.0acce3e8614dap-4, 0x1.b77062c3b7218p-5, 0x1.59d04c17890e8p-5, 0x1.f9899728449f1p-6, 0x1.40b1ffefc4043p-6, 0x1.125f6b9f3374dp-7, -0x1.673e2dd7237e8p-9, -0x1.c2feb42ee1058p-7, -0x1.94825e2d769f9p-6, -0x1.22ee4f4271903p-5, -0x1.7abd317878c43p-5, -0x1.d1a439e462f7ep-5, -0x1.13cd07ac63a9dp-4, -0x1.3e4acebf746fcp-4, -0x1.68470b69603e3p-4, -0x1.91bd7b3698821p-4, -0x1.baaa00cf0f355p-4, -0x1.e308a4ac0b17p-4, -0x1.056acadbd320bp-3, -0x1.190694eb57bcep-3, -0x1.2c55ef2eea9c3p-3, -0x1.3f572c396dc81p-3, -0x1.5208b2ad4a238p-3, -0x1.6468fd5a3378fp-3, -0x1.76769b5219b2ap-3, -0x1.88302ff592e1ap-3, -0x1.999472f8241d5p-3, -0x1.aaa2305ccadep-3, -0x1.bb58486b05465p-3, -0x1.cbb5af9cc8309p-3, -0x1.dbb96e85aa3eap-3, -0x1.eb62a1b3969cbp-3, -0x1.fab0798959434p-3, -0x1.04d11d09ac954p-2, -0x1.0c1b9d6b5f712p-2, -0x1.1337734db3b82p-2, -0x1.1a245d986b3bbp-2, -0x1.20e2249744a62p-2, -0x1.277099d7eb78fp-2, -0x1.2dcf9805da097p-2, -0x1.33ff02c4503a5p-2, -0x1.39fec686747f3p-2, -0x1.3fced865cd57ep-2, -0x1.456f35f72a92dp-2, -0x1.4adfe51e1aed3p-2, -0x1.5020f3df14c3fp-2, -0x1.55327830628cep-2, -0x1.5a148fc9fc6f3p-2, -0x1.5ec75ff45bbbfp-2, -0x1.634b1556719ecp-2, -0x1.679fe3c2cdc71p-2, -0x1.6bc606041677ap-2, -0x1.6fbdbda8e7178p-2, -0x1.738752cf29107p-2, -0x1.772313ef0632fp-2, -0x1.7a9155a580818p-2, -0x1.7dd2727ecb87bp-2, -0x1.80e6cac077837p-2, -0x1.83cec433830bfp-2, -0x1.868ac9ee6771bp-2, -0x1.891b4c1f2d092p-2, -0x1.8b80bfd59f8fep-2, -0x1.8dbb9ecdabea5p-2, -0x1.8fcc6739fda5ep-2, -0x1.91b39b8ee34acp-2, -0x1.9371c24d91ad1p-2, -0x1.950765cfcb843p-2, -0x1.96751413fd8eep-2, -0x1.97bb5e89dce5ep-2, -0x1.98dad9df8fd8p-2, -0x1.99d41dcf6fd45p-2, -0x1.9aa7c4ee6b6a4p-2, -0x1.9b566c7b1440dp-2, -0x1.9be0b42d60ef4p-2, -0x1.9c473e072f074p-2, -0x1.9c8aae2583ff2p-2, -0x1.9cabaa92a0569p-2, -0x1.9caadb18e4137p-2, -0x1.9c88e91689df1p-2, -0x1.9c467f5245f51p-2, -0x1.9be449d0c6401p-2, -0x1.9b62f5ab1e32bp-2, -0x1.9ac330e61c9aap-2, -0x1.9a05aa4a97bddp-2, -0x1.992b113ea999fp-2, -0x1.9834159fe6638p-2, -0x1.9721679e8cd47p-2, -0x1.95f3b799b12a2p-2, -0x1.94abb5fc688c5p-2, -0x1.934a131bf2381p-2, -0x1.91cf7f16e0314p-2, -0x1.903ca9b541ae5p-2, -0x1.8e924249ceccap-2, -0x1.8cd0f794143cap-2, -0x1.8af977a3a0a78p-2, -0x1.890c6fbc304a1p-2, -0x1.870a8c3ad816p-2, -0x1.84f4787c313bap-2, -0x1.82cadec37b6e3p-2, -0x1.808e6822bdce1p-2, -0x1.7e3fbc63defe4p-2, -0x1.7bdf81f2b384ap-2, -0x1.796e5dc7ff603p-2, -0x1.76ecf35569132p-2, -0x1.745be4725c5edp-2, -0x1.71bbd149d6181p-2, -0x1.6f0d584919f5bp-2, -0x1.6c51160f4d116p-2, -0x1.6987a55df2e8cp-2, -0x1.66b19f0a44f3dp-2, -0x1.63cf99ef6935dp-2, -0x1.60e22ae17b08fp-2, -0x1.5de9e4a16bdb5p-2, -0x1.5ae757d1ab97bp-2, -0x1.57db12eba2675p-2, -0x1.54c5a235ecd87p-2, -0x1.51a78fbb59f8ep-2, -0x1.4e816342ab64fp-2, -0x1.4b53a2470afap-2, -0x1.481ecff135bc1p-2, -0x1.44e36d115b7ddp-2, -0x1.41a1f819a619ap-2, -0x1.3e5aed196b4f2p-2, -0x1.3b0ec5b902ad7p-2, -0x1.37bdf936372d7p-2, -0x1.3468fc615791dp-2, -0x1.3110419ad778dp-2, -0x1.2db438d187b8cp-2, -0x1.2a554f8157141p-2, -0x1.26f3f0b29d05fp-2, -0x1.239084f9e8f12p-2, -0x1.202b727850688p-2, -0x1.1cc51cdc390e6p-2, -0x1.195de56299a2cp-2, -0x1.15f62ad8aa57ap-2, -0x1.128e499e0a21bp-2, -0x1.0f269ba7468d8p-2, -0x1.0bbf7880cee45p-2, -0x1.08593552456fap-2, -0x1.04f424e2310d5p-2, -0x1.0190979a06ba9p-2, -0x1.fc5db71512a3p-3, -0x1.f59e78e0f3874p-3, -0x1.eee407732ebe4p-3, -0x1.e82ef113d06a2p-3, -0x1.e17fbf82909d8p-3, -0x1.dad6f802785a1p-3, -0x1.d4351b660539dp-3, -0x1.cd9aa61bbe8fdp-3, -0x1.c708103b45aeap-3, -0x1.c07dcd92c1a98p-3, -0x1.b9fc4db4bbabfp-3, -0x1.b383fc064ee28p-3, -0x1.ad153fcdb1397p-3, -0x1.a6b07c410c28p-3, -0x1.a0561095a3c3ap-3, -0x1.9a06580f361fap-3, -0x1.93c1aa0fa813fp-3, -0x1.8d885a26dfc1cp-3, -0x1.875ab822d925cp-3, -0x1.8139101fe4e2fp-3, -0x1.7b23aa991308fp-3, -0x1.751acc78c108cp-3, -0x1.6f1eb72945924p-3, -0x1.692fa8a5bc1bep-3, -0x1.634ddb8ae202p-3, -0x1.5d798728061fp-3, -0x1.57b2df9009fb1p-3, -0x1.51fa15aa6761cp-3, -0x1.4c4f574441671p-3, -0x1.46b2cf2172c8ap-3, -0x1.4124a50d9d30bp-3, -0x1.3ba4fded33314p-3, -0x1.3633fbce7892fp-3, -0x1.30d1bdfa79d76p-3, -0x1.2b7e6105f0628p-3, -0x1.2639fee217aebp-3, -0x1.2104aeed72acep-3, -0x1.1bde86046c31ep-3, -0x1.16c79691ee98ep-3, -0x1.11bff09fd2ef5p-3, -0x1.0cc7a1e732386p-3, -0x1.07deb5e09e0fep-3, -0x1.030535d42f143p-3, -0x1.fc7651d2dafb7p-4, -0x1.f301286e2d0dap-4, -0x1.e9aaf5a570f94p-4, -0x1.e073bbc043e6cp-4, -0x1.d75b79414d84dp-4, -0x1.ce6229046e84fp-4, -0x1.c587c25c90194p-4, -0x1.bccc39310f2b5p-4, -0x1.b42f7e1acf9d4p-4, -0x1.abb17e80db6efp-4, -0x1.a35224b4a6687p-4, -0x1.9b11580de2f02p-4, -0x1.92eefd05ec446p-4, -0x1.8aeaf552c5ecfp-4, -0x1.83052001a9e1p-4, -0x1.7b3d59912a4efp-4, -0x1.73937c0ae164bp-4, -0x1.6c075f1caffa5p-4, -0x1.6498d8318a0ffp-4, -0x1.5d47ba89cf301p-4, -0x1.5613d753301ep-4, -0x1.4efcfdc01fe24p-4, -0x1.4802fb1ecfd93p-4, -0x1.41259aefb8006p-4, -0x1.3a64a6fba8847p-4, -0x1.33bfe76967e7ep-4, -0x1.2d3722d2db4acp-4, -0x1.26ca1e59b9895p-4, -0x1.20789dbbcb1fbp-4, -0x1.1a426366b3d51p-4, -0x1.1427308b49b45p-4, -0x1.0e26c530789bfp-4, -0x1.0840e045b31b2p-4, -0x1.02753fb4efba3p-4, -0x1.f98740e86e285p-5, -0x1.ee577d2d7dc5p-5, -0x1.e35aaabb2f3a2p-5, -0x1.d8903e8fd19cfp-5, -0x1.cdf7ac4582c88p-5, -0x1.c3906630f2afcp-5, -0x1.b959dd7f5284dp-5, -0x1.af5382536b7f5p-5, -0x1.a57cc3e1e2e0bp-5, -0x1.9bd5108cae623p-5, -0x1.925bd5fdb967p-5, -0x1.89108140be1bdp-5, -0x1.7ff27edc54fbbp-5, -0x1.77013aea40b4cp-5, -0x1.6e3c212ef17ffp-5, -0x1.65a29d304be1dp-5, -0x1.5d341a4bae425p-5, -0x1.54f003cb3d183p-5, -0x1.4cd5c4fa754ecp-5, -0x1.44e4c93a0a868p-5, -0x1.3d1c7c1311e53p-5, -0x1.357c49497e62p-5, -0x1.2e039cedef426p-5, -0x1.26b1e36ed6686p-5, -0x1.1f8689a8f8e91p-5, -0x1.1880fcf74b533p-5, -0x1.11a0ab422d855p-5, -0x1.0ae5030e0afffp-5, -0x1.044d73896067cp-5, -0x1.fbb2d93455978p-6, -0x1.ef10bdd584e06p-6, -0x1.e2b377ec4b656p-6, -0x1.d699ec276e62dp-6, -0x1.cac30104df1e6p-6, -0x1.bf2d9ee713bdbp-6, -0x1.b3d8b029561ep-6, -0x1.a8c321330fb6ep-6, -0x1.9debe08a1badep-6, -0x1.9351dee41e66fp-6, -0x1.88f40f36f0a4ap-6, -0x1.7ed166c81eeb9p-6, -0x1.74e8dd3b859bep-6, -0x1.6b396ca1090cp-6, -0x1.61c211817ec0bp-6, -0x1.5881caeab847dp-6, -0x1.4f779a7ac9bf7p-6, -0x1.46a2846a844a1p-6, -0x1.3e018f972ac77p-6, -0x1.3593c58b72682p-6, -0x1.2d583287c48dbp-6, -0x1.254de589d00b8p-6, -0x1.1d73f053701cp-6, -0x1.15c96770e7a35p-6, -0x1.0e4d623e7e1d1p-6, -0x1.06fefaed79fd4p-6, -0x1.ffba9d110ffdep-7, -0x1.f1cef9ef137f2p-7, -0x1.e4395205b3745p-7, -0x1.d6f7f0ac00d1ep-7, -0x1.ca092703d1422p-7, -0x1.bd6b4bfd1ddd5p-7, -0x1.b11cbc586fd0cp-7, -0x1.a51bdaa85282dp-7, -0x1.99670f51eb91bp-7, -0x1.8dfcc88cac035p-7, -0x1.82db7a6125e89p-7, -0x1.78019ea71fc83p-7, -0x1.6d6db502d4efp-7, -0x1.631e42e17d62p-7, -0x1.5911d3752043cp-7, -0x1.4f46f7afb0ac3p-7, -0x1.45bc463d88177p-7, -0x1.3c705b7f3689ap-7, -0x1.3361d982c46ap-7, -0x1.2a8f67fc58497p-7, -0x1.21f7b43e52754p-7, -0x1.19997130e2fa5p-7, -0x1.117357491f062p-7, -0x1.0984247f9caedp-7, -0x1.01ca9c469b77bp-7, -0x1.f48b0eff7ef65p-8, -0x1.e5e768e2c72fp-8, -0x1.d7a7ed7714ff1p-8, -0x1.c9ca4e98e4b0cp-8, -0x1.bc4c48a9a22ap-8, -0x1.af2ba2777bda9p-8, -0x1.a2662d249df22p-8, -0x1.95f9c40dd8b0ep-8, -0x1.89e44cb0c26c1p-8, -0x1.7e23b6915a596p-8, -0x1.72b5fb1f368ap-8, -0x1.67991d9a44af2p-8, -0x1.5ccb2af727caep-8, -0x1.524a39c338fd3p-8, -0x1.48146a0835911p-8, -0x1.3e27e52f9ec89p-8, -0x1.3482dde5d8141p-8, -0x1.2b238ffd0294p-8, -0x1.2208404fa7e7fp-8, -0x1.192f3ca32ef34p-8, -0x1.1096db8a2c0a5p-8, -0x1.083d7c4689b6dp-8, -0x1.002186ab974fep-8, -0x1.f082d5fffe289p-9, -0x1.e13743bf5121fp-9, -0x1.d25d583b237b9p-9, -0x1.c3f2254b3d1p-9, -0x1.b5f2ccbccf09bp-9, -0x1.a85c801612681p-9, -0x1.9b2c8059fac8fp-9, -0x1.8e601dcbfb356p-9, -0x1.81f4b7b3eb95ap-9, -0x1.75e7bc22197d6p-9, -0x1.6a36a7b385719p-9, -0x1.5edf055656c93p-9, -0x1.53de6e0e8fbb3p-9, -0x1.493288bb061a8p-9, -0x1.3ed909daa8a1ep-9, -0x1.34cfb352127f4p-9, -0x1.2b1454317aa26p-9, -0x1.21a4c87afdaep-9, -0x1.187ef8e94d3d4p-9, -0x1.0fa0dab6c2cep-9, -0x1.07086f64e3d21p-9, -0x1.fd678908a70dfp-10, -0x1.ed41e6fa74eb9p-10, -0x1.dd9c42b05037cp-10, -0x1.ce72fd0ee43adp-10, -0x1.bfc28d6227a47p-10, -0x1.b18780f21d79ap-10, -0x1.a3be7a98af7cbp-10, -0x1.96643258948cp-10, -0x1.897574f54f5ap-10, -0x1.7cef238c5541fp-10, -0x1.70ce332f4a15p-10, -0x1.650fac7f7067p-10, -0x1.59b0ab4a3b35fp-10, -0x1.4eae5e271530ep-10, -0x1.44060616537c7p-10, -0x1.39b4f62162975p-10, -0x1.2fb892fc27bddp-10, -0x1.260e52a79d8e3p-10, -0x1.1cb3bc15a76c9p-10, -0x1.13a666ce28085p-10, -0x1.0ae3fa9555639p-10, -0x1.026a2f1347c3ap-10, -0x1.f46d96f99a3c3p-11, -0x1.e48f4c7afd0f4p-11, -0x1.d535494628143p-11, -0x1.c65b7513f9b4ap-11, -0x1.b7fdd4166f846p-11, -0x1.aa188656db531p-11, -0x1.9ca7c7169b21cp-11, -0x1.8fa7ec325061bp-11, -0x1.83156587980f3p-11, -0x1.76ecbc5d3e42bp-11, -0x1.6b2a92cdf023bp-11, -0x1.5fcba335621c7p-11, -0x1.54ccbf9fef7c6p-11, -0x1.4a2ad13ca9d99p-11, -0x1.3fe2d7d1d8df3p-11, -0x1.35f1e933e4adcp-11, -0x1.2c5530bea88c5p-11, -0x1.2309eed1267d2p-11, -0x1.1a0d784b9c61bp-11, -0x1.115d360ff08d3p-11, -0x1.08f6a484758adp-11, -0x1.00d75318fd36ap-11, -0x1.f1f9c79c6bf6fp-12, -0x1.e2ca157ea05cdp-12, -0x1.d41b1b5bc3b35p-12, -0x1.c5e88720095e8p-12, -0x1.b82e28415512p-12, -0x1.aae7eee43d8f4p-12, -0x1.9e11eb056512ep-12, -0x1.91a84ba715e22p-12, -0x1.85a75e03141a8p-12, -0x1.7a0b8cc0a3de4p-12, -0x1.6ed15f2ea709ep-12, -0x1.63f57881d2e6ep-12, -0x1.59749716ea0a7p-12, -0x1.4f4b93b8ee369p-12, -0x1.457760eb3e16bp-12, -0x1.3bf50a3791c58p-12, -0x1.32c1b37fc48e7p-12, -0x1.29da9853659a9p-12, -0x1.213d0b48fb46p-12, -0x1.18e6755aefa7fp-12, -0x1.10d4554815a46p-12, -0x1.09043ef7bbb74p-12, -0x1.0173dae13d9ddp-12, -0x1.f441caee0ce75p-13, -0x1.e6125d29ea9c1p-13, -0x1.d85531e4313f4p-13, -0x1.cb06332b66aafp-13, -0x1.be216e9ef09e4p-13, -0x1.b1a31465ee7c8p-13, -0x1.a587762c4b856p-13, -0x1.99cb0625f69bdp-13, -0x1.8e6a561824962p-13, -0x1.83621668812b6p-13, -0x1.78af153233781p-13, -0x1.6e4e3d60977aep-13, -0x1.643c95cf9f065p-13, -0x1.5a774071b36bfp-13, -0x1.50fb797b0411p-13, -0x1.47c6969225191p-13, -0x1.3ed60605ea563p-13, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.e3d483adb52e5p-1, 0x1.e1f4772d62903p-1, 0x1.e002b07ff4346p-1, 0x1.de008e6039813p-1, 0x1.dbef6a0538412p-1, 0x1.d9d093719186bp-1, 0x1.d7a54e72a8c6ep-1, 0x1.d56ed040b509p-1, 0x1.d32e3dafd0482p-1, 0x1.d0e4a9e1d761ap-1, 0x1.ce93156939e4fp-1, 0x1.cc3a6dcd82323p-1, 0x1.c9db8d635629fp-1, 0x1.c7773b6ac392bp-1, 0x1.c50e2c67d6674p-1, 0x1.c2a102aaaedd6p-1, 0x1.c0304efd732ddp-1, 0x1.bdbc916f9f618p-1, 0x1.bb463a374220ap-1, 0x1.b8cdaaa1b9344p-1, 0x1.b653360e6209ep-1, 0x1.b3d722ee8e37fp-1, 0x1.b159abc6c6b25p-1, 0x1.aedb002e1295cp-1, 0x1.ac5b45c89256bp-1, 0x1.a9da993b42519p-1, 0x1.a7590f172b635p-1, 0x1.a4d6b4bab50d4p-1, 0x1.a25391281ab64p-1, 0x1.9fcfa5d05882fp-1, 0x1.9d4aef522080ap-1, 0x1.9ac5662ca0473p-1, 0x1.983eff660b6a3p-1, 0x1.95b7ad260403fp-1, 0x1.932f5f441af73p-1, 0x1.90a603cab6a13p-1, 0x1.8e1b876ec3999p-1, 0x1.8b8fd5fca2bb3p-1, 0x1.8902dabacd679p-1, 0x1.867480c2b93d3p-1, 0x1.83e4b3507cc6dp-1, 0x1.81535e09c67e1p-1, 0x1.7ec06d3caa4b1p-1, 0x1.7c2bce16d4e1bp-1, 0x1.79956ed5a7626p-1, 0x1.76fd3eefc19c4p-1, 0x1.74632f3876f56p-1, 0x1.71c731fdaa71p-1, 0x1.6f293b20850ecp-1, 0x1.6c894029743c4p-1, 0x1.69e73857dcc52p-1, 0x1.67431cadde627p-1, 0x1.649ce7f88e9d6p-1, 0x1.61f496d4f6a95p-1, 0x1.5f4a27b230215p-1, 0x1.5c9d9ad0e4d41p-1, 0x1.59eef2407b819p-1, 0x1.573e31da31c0fp-1, 0x1.548b5f3a5f87p-1, 0x1.51d681b81a9ebp-1, 0x1.4f1fa25b702c3p-1, 0x1.4c66cbd25f54p-1, 0x1.49ac0a64c2535p-1, 0x1.46ef6be74e47p-1, 0x1.4430ffadca663p-1, 0x1.4170d67ca24eep-1, 0x1.3eaf0279f0dd5p-1, 0x1.3beb971e1c671p-1, 0x1.3926a9241fd61p-1, 0x1.36604e799517ep-1, 0x1.33989e2e94e43p-1, 0x1.30cfb0657e198p-1, 0x1.2e059e42b6ba8p-1, 0x1.2b3a81dc71501p-1, 0x1.286e762a8768ep-1, 0x1.25a196f672387p-1, 0x1.22d400cb6e503p-1, 0x1.2005d0e6cff25p-1, 0x1.1d37252894151p-1, 0x1.1a681c0432461p-1, 0x1.1798d471b6755p-1, 0x1.14c96ddf29b28p-1, 0x1.11fa08224c0fp-1, 0x1.0f2ac36aa4b3bp-1, 0x1.0c5bc033ec1f9p-1, 0x1.098d1f38d2fa6p-1, 0x1.06bf01662857ep-1, 0x1.03f187ce5ef9ep-1, 0x1.0124d39d76d9p-1, 0x1.fcb20c1a93b5ap-2, 0x1.f71c80b47687dp-2, 0x1.f18947709d7aap-2, 0x1.ebf8a29141f96p-2, 0x1.e66ad41e8ffeep-2, 0x1.e0e01dd32dc77p-2, 0x1.db58c1098c7f9p-2, 0x1.d5d4fea9fd8bap-2, 0x1.d0551719928e4p-2, 0x1.cad94a29bcc03p-2, 0x1.c561d708ae3c2p-2, 0x1.bfeefc327b7c5p-2, 0x1.ba80f762f9853p-2, 0x1.b518058854579p-2, 0x1.afb462b65be71p-2, 0x1.aa564a1a86b4ep-2, 0x1.a4fdf5f0a0d16p-2, 0x1.9fab9f782c1bap-2, 0x1.9a5f7eea656e2p-2, 0x1.9519cb70f31eap-2, 0x1.8fdabb1d3394fp-2, 0x1.8aa282e02b87ap-2, 0x1.857156830bf45p-2, 0x1.804768a05439dp-2, 0x1.7b24ea9d81cf6p-2, 0x1.760a0ca551904p-2, 0x1.70f6fda28d52bp-2, 0x1.6bebeb3b5e519p-2, 0x1.66e901cd25b9ap-2, 0x1.61ee6c68d1adfp-2, 0x1.5cfc54cfb1d76p-2, 0x1.5812e370bf9f2p-2, 0x1.53323f665eeb5p-2, 0x1.4e5a8e7489ba3p-2, 0x1.498bf5076d366p-2, 0x1.44c696326cd37p-2, 0x1.400a93af8940ap-2, 0x1.3b580ddf2ac1p-2, 0x1.36af23c848c04p-2, 0x1.320ff318e87cfp-2, 0x1.2d7a9826f5db2p-2, 0x1.28ef2df16c42cp-2, 0x1.246dce21cff9bp-2, 0x1.1ff6910df323cp-2, 0x1.1b898dba03535p-2, 0x1.1726d9dadad58p-2, 0x1.12ce89d8970abp-2, 0x1.0e80b0d16be0fp-2, 0x1.0a3d609cb07b3p-2, 0x1.0604a9ce288a1p-2, 0x1.01d69bb9818a3p-2, 0x1.fb6688ec01a74p-3, 0x1.f33561c4c87bap-3, 0x1.eb19d951dbb9bp-3, 0x1.e314048734d06p-3, 0x1.db23f600fe6cbp-3, 0x1.d349be0c97b1p-3, 0x1.cb856ab1e2305p-3, 0x1.c3d707bcc672ep-3, 0x1.bc3e9ec6fb547p-3, 0x1.b4bc3741fea45p-3, 0x1.ad4fd6813fe97p-3, 0x1.a5f97fc47b864p-3, 0x1.9eb93442390cdp-3, 0x1.978ef33272e9ap-3, 0x1.907ab9d957913p-3, 0x1.897c83923404bp-3, 0x1.829449da66418p-3, 0x1.7bc2045c72df9p-3, 0x1.7505a8fb245d7p-3, 0x1.6e5f2bdcb87e4p-3, 0x1.67ce7f761d7dep-3, 0x1.6153949633aa5p-3, 0x1.5aee5a710efd3p-3, 0x1.549ebeab4262dp-3, 0x1.4e64ad6523f6cp-3, 0x1.484011460f7f1p-3, 0x1.4230d387a0fc5p-3, 0x1.3c36dc00e58ccp-3, 0x1.3652113184651p-3, 0x1.3082584cd46eap-3, 0x1.2ac79544e596p-3, 0x1.2521aad579627p-3, 0x1.1f907a8ede86ap-3, 0x1.1a13e4e0c6491p-3, 0x1.14abc924efb43p-3, 0x1.0f5805a9c9fa3p-3, 0x1.0a1877bced81ap-3, 0x1.04ecfbb586df1p-3, 0x1.ffaad9fd29e5ep-4, 0x1.f5a34c4227593p-4, 0x1.ebc3019c0034cp-4, 0x1.e209abd0799d2p-4, 0x1.d876fb1ca62aep-4, 0x1.cf0a9e481aee8p-4, 0x1.c5c442b7ec293p-4, 0x1.bca394814b05dp-4, 0x1.b3a83e7be0787p-4, 0x1.aad1ea53dc787p-4, 0x1.a220409bab81cp-4, 0x1.9992e8dd696a6p-4, 0x1.912989abf4294p-4, 0x1.88e3c8b3b83f6p-4, 0x1.80c14acb21a62p-4, 0x1.78c1b402bba39p-4, 0x1.70e4a7b4fcb54p-4, 0x1.6929c895bade8p-4, 0x1.6190b8c14cc0fp-4, 0x1.5a1919cb52ec2p-4, 0x1.52c28ccd2ce8bp-4, 0x1.4b8cb27415c6bp-4, 0x1.44772b0eed1b9p-4, 0x1.3d81969ba7b02p-4, 0x1.36ab94d46b096p-4, 0x1.2ff4c53c53444p-4, 0x1.295cc72be3187p-4, 0x1.22e339dd1eb51p-4, 0x1.1c87bc7751ffep-4, 0x1.1649ee1a828f8p-4, 0x1.10296dea8de8fp-4, 0x1.0a25db19f3ffbp-4, 0x1.043ed4f450427p-4, 0x1.fce7f5d10159ap-5, 0x1.f189d924f454dp-5, 0x1.e66293899f7d5p-5, 0x1.db716523ce565p-5, 0x1.d0b58ea9c278ap-5, 0x1.c62e517466e57p-5, 0x1.bbdaef8fea4bfp-5, 0x1.b1baabcbc25e8p-5, 0x1.a7ccc9ca18903p-5, 0x1.9e108e0ea5dd5p-5, 0x1.94853e0cfa737p-5, 0x1.8b2a203638f68p-5, 0x1.81fe7c064293p-5, 0x1.79019a105b9a3p-5, 0x1.7032c40b446f9p-5, 0x1.679144dccdd1ap-5, 0x1.5f1c68a4ec5c1p-5, 0x1.56d37cc844ee2p-5, 0x1.4eb5cffa40bcbp-5, 0x1.46c2b2469fe9bp-5, 0x1.3ef9751a94d5p-5, 0x1.37596b4d67732p-5, 0x1.2fe1e928a2c55p-5, 0x1.2892446fcff8bp-5, 0x1.2169d467c3649p-5, 0x1.1a67f1dd772fbp-5, 0x1.138bf72c80a04p-5, 0x1.0cd54045174bcp-5, 0x1.06432ab1b90e8p-5, 0x1.ffaa2b38d2c4fp-6, 0x1.f314c3a71dcc5p-6, 0x1.e6c4e39ce5e46p-6, 0x1.dab95362c3aacp-6, 0x1.cef0dea2eb23p-6, 0x1.c36a547006016p-6, 0x1.b824874b6cd0cp-6, 0x1.ad1e4d2ab465bp-6, 0x1.a2567f7c9b946p-6, 0x1.97cbfb2d5a928p-6, 0x1.8d7da0aa5bc23p-6, 0x1.836a53e55e9a7p-6, 0x1.7990fc570dd25p-6, 0x1.6ff08501054b1p-6, 0x1.6687dc6f55cbap-6, 0x1.5d55f4b987f55p-6, 0x1.5459c38317693p-6, 0x1.4b9241fb80dafp-6, 0x1.42fe6cddcea93p-6, 0x1.3a9d446fbd50cp-6, 0x1.326dcc80678acp-6, 0x1.2a6f0c6692b7ep-6, 0x1.22a00efe8d849p-6, 0x1.1affe2a7b1aa6p-6, 0x1.138d994181c51p-6, 0x1.0c48482872024p-6, 0x1.052f083252855p-6, 0x1.fc81eb54dd00dp-7, 0x1.eefa609aa546ap-7, 0x1.e1c5b68898ee9p-7, 0x1.d4e23a41373f1p-7, 0x1.c84e3facc34f6p-7, 0x1.bc08216e92bp-7, 0x1.b00e40d9e472p-7, 0x1.a45f05e639842p-7, 0x1.98f8df233841p-7, 0x1.8dda41ac266eap-7, 0x1.8301a91af4101p-7, 0x1.786d977aeabb8p-7, 0x1.6e1c953af6343p-7, 0x1.640d311fa1043p-7, 0x1.5a3e0034abc1ap-7, 0x1.50ad9dbe6ed91p-7, 0x1.475aab2ad8fb4p-7, 0x1.3e43d0023a74ep-7, 0x1.3567b9d7ccd43p-7, 0x1.2cc51c39fb156p-7, 0x1.245ab0a2776d5p-7, 0x1.1c2736661bbccp-7, 0x1.142972a49c6a8p-7, 0x1.0c6030381170fp-7, 0x1.04ca3fa4569b6p-7, 0x1.faccee0c97a1p-8, 0x1.ec676405e72cap-8, 0x1.de61a36ceed0dp-8, 0x1.d0b97946276b1p-8, 0x1.c36cbd3fdd811p-8, 0x1.b679518fbbd4p-8, 0x1.a9dd22d038f55p-8, 0x1.9d9627ddeee79p-8, 0x1.91a261b4df52fp-8, 0x1.85ffdb4dae6fcp-8, 0x1.7aaca97ad7302p-8, 0x1.6fa6eac5dce0ap-8, 0x1.64ecc74c838a3p-8, 0x1.5a7c709e0e3e1p-8, 0x1.505421988e443p-8, 0x1.46721e46420d8p-8, 0x1.3cd4b3bb098a5p-8, 0x1.337a37f1f89eep-8, 0x1.2a6109ab040dap-8, 0x1.21879048d3408p-8, 0x1.18ec3baeb5d1ep-8, 0x1.108d841ec46e9p-8, 0x1.0869ea182c38p-8, 0x1.007ff635aa488p-8, 0x1.f19c721878457p-9, 0x1.e2a6961402c54p-9, 0x1.d41b98aab4764p-9, 0x1.c5f8c9587ace6p-9, 0x1.b83b86879adf6p-9, 0x1.aae13d5057bc3p-9, 0x1.9de769391f69ep-9, 0x1.914b93f73e5b7p-9, 0x1.850b55301e8b5p-9, 0x1.7924523b13e0ap-9, 0x1.6d943de3bee43p-9, 0x1.6258d82d04a32p-9, 0x1.576fee149aa0bp-9, 0x1.4cd7595734585p-9, 0x1.428d00354e608p-9, 0x1.388ed538945d1p-9, 0x1.2edad6f9f1847p-9, 0x1.256f0fe84195ep-9, 0x1.1c49960fa7e13p-9, 0x1.13688ae192926p-9, 0x1.0aca1afd61ce5p-9, 0x1.026c7df9c1d45p-9, 0x1.f49bec5d54226p-10, 0x1.e4d9a1001b0dap-10, 0x1.d58ec852724e7p-10, 0x1.c6b82511c167p-10, 0x1.b8528ddbb43c2p-10, 0x1.aa5aecc919045p-10, 0x1.9cce3f0a147bdp-10, 0x1.8fa99483c4046p-10, 0x1.82ea0f6f360a8p-10, 0x1.768ce3f9ccf52p-10, 0x1.6a8f57e6fa9bcp-10, 0x1.5eeec2336766fp-10, 0x1.53a88ab971f77p-10, 0x1.48ba29d710554p-10, 0x1.3e21281512a7cp-10, 0x1.33db1dcfbd536p-10, 0x1.29e5b2e0c920ep-10, 0x1.203e9e4ab1c91p-10, 0x1.16e3a5e569695p-10, 0x1.0dd29e0c5c9d7p-10, 0x1.0509694dccdedp-10, 0x1.f90bf037004e3p-11, 0x1.e88c90f982345p-11, 0x1.d890cb835af01p-11, 0x1.c914d06fa5738p-11, 0x1.ba14e9c0271b9p-11, 0x1.ab8d7a4bab106p-11, 0x1.9d7afd2ee7f6cp-11, 0x1.8fda053fe8bfp-11, 0x1.82a73c83f5304p-11, 0x1.75df63a7f2c22p-11, 0x1.697f517b37e9ap-11, 0x1.5d83f26ccce5p-11, 0x1.51ea480b11b29p-11, 0x1.46af6885c5966p-11, 0x1.3bd07e326768cp-11, 0x1.314ac712e7ea6p-11, 0x1.271b945ea9d7bp-11, 0x1.1d404a0dc72cfp-11, 0x1.13b65e6693f2ap-11, 0x1.0a7b598d5abe9p-11, 0x1.018cd516481a9p-11, 0x1.f1d0f73302df7p-12, 0x1.e1181092bb1d7p-12, 0x1.d0ea8d15717ebp-12, 0x1.c144231ebcfbdp-12, 0x1.b220a7e4ffc72p-12, 0x1.a37c0eae5ff1bp-12, 0x1.95526811bd7aep-12, 0x1.879fe13b9be1cp-12, 0x1.7a60c336e6e77p-12, 0x1.6d9172398ee73p-12, 0x1.612e6cf4e5cc9p-12, 0x1.55344be9b5733p-12, 0x1.499fc0bff9d24p-12, 0x1.3e6d95a2350a4p-12, 0x1.339aac9c51a14p-12, 0x1.2923fefdfbf3cp-12, 0x1.1f069cc06d00bp-12, 0x1.153fabef94194p-12, 0x1.0bcc681694a56p-12, 0x1.02aa21af83458p-12, 0x1.f3ac7b2cbc87fp-13, 0x1.e29c68fe55a32p-13, 0x1.d21f24de587c9p-13, 0x1.c22fec7257715p-13, 0x1.b2ca21f9741f6p-13, 0x1.a3e94b50cdec3p-13, 0x1.958910fdb69ffp-13, 0x1.87a53d3d92f6cp-13, 0x1.7a39bb1b56f15p-13, 0x1.6d42958a6e27dp-13, 0x1.60bbf68713b9bp-13, 0x1.54a2263be7697p-13, 0x1.48f18a2cb17b3p-13, 0x1.3da6a4663dea4p-13, 0x1.32be12b332244p-13, 0x1.28348dd5c15c3p-13, 0x1.1e06e8c638421p-13, 0x1.14320ff62af9bp-13, 0x1.0ab308984f397p-13, 0x1.0186efecd0207p-13, 0x1.f155f52425846p-14, 0x1.e038e7b3a7f7dp-14, 0x1.cfb17a4503b6ep-14, 0x1.bfba9a6980bffp-14, 0x1.b04f5f4a0d56cp-14, 0x1.a16b08726cbf5p-14, 0x1.9308fca43b28p-14, 0x1.8524c8b19c6ccp-14, 0x1.77ba1e5f6a49cp-14, 0x1.6ac4d34eb9a26p-14, 0x1.5e40dfed8eb2p-14, 0x1.522a5e6e9997ep-14, 0x1.467d89c7d427fp-14, 0x1.3b36bcb7d9026p-14, 0x1.305270d1d15abp-14, 0x1.25cd3d8fd22a8p-14, 0x1.1ba3d76b846a4p-14, 0x1.11d30efcf617bp-14, 0x1.0857d01f6ebebp-14, 0x1.fe5e42384cbe7p-15, 0x1.ecac43b576c31p-15, 0x1.db94162e8fc8ep-15, 0x1.cb105b3be5174p-15, 0x1.bb1be317bb9bap-15, 0x1.abb1ab2aa76cdp-15, 0x1.9cccdca21e3d8p-15, 0x1.8e68cb110892p-15, 0x1.8080f31a175ccp-15, 0x1.7310f9239c11cp-15, 0x1.6614a814b345dp-15, 0x1.5987f01b7e1ecp-15, 0x1.4d66e57c3bbcdp-15, 0x1.41adbf6905badp-15, 0x1.3658d6e1ff20bp-15, 0x1.2b64a59db9422p-15, 0x1.20cdc4f9a62dfp-15, 0x1.1690ecf259461p-15, 0x1.0caaf3236fcedp-15, 0x1.0318c9cee888cp-15, 0x1.f3aefdd77e321p-16, 0x1.e1c8767733c7dp-16, 0x1.d07882cebc12bp-16, 0x1.bfb9da44fd46ap-16, 0x1.af8764a9aa62dp-16, 0x1.9fdc3895bce45p-16, 0x1.90b399d85c88fp-16, 0x1.8208f7efe8c08p-16, 0x1.73d7ec8ec4af1p-16, 0x1.661c3a2bac1b4p-16, 0x1.58d1ca9d3229ep-16, 0x1.4bf4adc0262bbp-16, 0x1.3f811828938c8p-16, 0x1.337361dd1363dp-16, 0x1.27c8051c2d5c4p-16, 0x1.1c7b9d2b773d2p-16, 0x1.118ae530415e3p-16, 0x1.06f2b7117ddffp-16, 0x1.f96014c54f24bp-17, 0x1.e57fe6aedae7bp-17, 0x1.d23f437fc26b8p-17, 0x1.bf98c019d70cdp-17, 0x1.ad8724b998f7cp-17, 0x1.9c056b1ee145fp-17, 0x1.8b0ebcc4c66d7p-17, 0x1.7a9e7128366abp-17, 0x1.6ab00c1d073bfp-17, 0x1.5b3f3c30ec201p-17, 0x1.4c47d91bf7d48p-17, 0x1.3dc5e23e583c4p-17, 0x1.2fb57d2ace58p-17, 0x1.2212f43d99c8bp-17, 0x1.14dab53f70ac7p-17, 0x1.080950142d5dap-17, 0x1.f736eae9b4ea5p-18, 0x1.df1beb698971p-18, 0x1.c7bb7f2285a36p-18, 0x1.b10fbe17bf55ap-18, 0x1.9b12f89d2ee16p-18, 0x1.85bfb533b6497p-18, 0x1.7110ae781f9bap-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.1b11d8af57a28p-3, -0x1.2ae495910ccbp-3, -0x1.3a7d2f99b72c3p-3, -0x1.49ce3e152119fp-3, -0x1.58cbff4ea7055p-3, -0x1.676c682a40541p-3, -0x1.75a726fe3666bp-3, -0x1.83759bfea9b99p-3, -0x1.90d2c95c443b3p-3, -0x1.9dbb3d002aa3fp-3, -0x1.aa2cf59437cb6p-3, -0x1.b627444c014eap-3, -0x1.c1aaacab00097p-3, -0x1.ccb8c34fb2105p-3, -0x1.d7540c9c0de3bp-3, -0x1.e17fdbe8d6912p-3, -0x1.eb4033cbdea58p-3, -0x1.f499a7d8b27efp-3, -0x1.fd9140272620ap-3, -0x1.03162f69d6f53p-2, -0x1.073853ccd0d53p-2, -0x1.0b31f4cba7ffp-2, -0x1.0f06059f4e35p-2, -0x1.12b77c3530cdap-2, -0x1.1649494451e5bp-2, -0x1.19be5161bfe4ap-2, -0x1.1d196707069cp-2, -0x1.205d457bcc36p-2, -0x1.238c8c92a9716p-2, -0x1.26a9bd28e942bp-2, -0x1.29b73658b37e4p-2, -0x1.2cb7334d4d512p-2, -0x1.2fabc9a996c7cp-2, -0x1.3296e87178eb1p-2, -0x1.357a5767b6dfdp-2, -0x1.3857b6d270c93p-2, -0x1.3b307f9974936p-2, -0x1.3e0603b27c48dp-2, -0x1.40d96ed04a0a1p-2, -0x1.43abc74a98c2ap-2, -0x1.467def35a2938p-2, -0x1.4950a5a0ec4b8p-2, -0x1.4c2487f5d0e79p-2, -0x1.4efa136f14257p-2, -0x1.51d1a6a374026p-2, -0x1.54ab831df12fep-2, -0x1.5787ceff1425fp-2, -0x1.5a6696a31b9cep-2, -0x1.5d47ce4980c14p-2, -0x1.602b53bab748ep-2, -0x1.6310efe98b272p-2, -0x1.65f8588ddb491p-2, -0x1.68e131b6d1f84p-2, -0x1.6bcb0f5304f1fp-2, -0x1.6eb576ad41dd2p-2, -0x1.719fdfdcf7c27p-2, -0x1.7489b72979cfdp-2, -0x1.77725e5f80275p-2, -0x1.7a592e1877e4bp-2, -0x1.7d3d76f360d2p-2, -0x1.801e82bf11a6p-2, -0x1.82fb9595dc347p-2, -0x1.85d3eeea9f317p-2, -0x1.88a6ca876d1e9p-2, -0x1.8b73617e011bcp-2, -0x1.8e38eb0a3d6e6p-2, -0x1.90f69d670de59p-2, -0x1.93abae9604c16p-2, -0x1.9657551a0ee8cp-2, -0x1.98f8c8a5acf0dp-2, -0x1.9b8f42bd1851p-2, -0x1.9e19ff4cc2461p-2, -0x1.a0983d349cfbap-2, -0x1.a3093ec8a236cp-2, -0x1.a56c4a47010e8p-2, -0x1.a7c0aa4467b05p-2, -0x1.aa05ae0ed6426p-2, -0x1.ac3aaa0764e0fp-2, -0x1.ae5ef7f3695abp-2, -0x1.b071f74566a78p-2, -0x1.b2730d5e2207ap-2, -0x1.b461a5c64e602p-2, -0x1.b63d32611ec2ap-2, -0x1.b8052b982699p-2, -0x1.b9b91080d9b3bp-2, -0x1.bb5866fc0977bp-2, -0x1.bce2bbcfab423p-2, -0x1.be57a2bb38ee6p-2, -0x1.bfb6b686fe2c7p-2, -0x1.c0ff990e95f46p-2, -0x1.c231f346dfc39p-2, -0x1.c34d753fb5383p-2, -0x1.c451d6219b68ep-2, -0x1.c53ed427b5055p-2, -0x1.c61434962a78p-2, -0x1.c6d1c3ad460b6p-2, -0x1.c77754997db03p-2, -0x1.c804c16096606p-2, -0x1.c879eacc1e3fp-2, -0x1.c8d6b85166cf1p-2, -0x1.c91b17f731d2bp-2, -0x1.c946fe393b7d5p-2, -0x1.c95a65e9cc318p-2, -0x1.c95550117d53dp-2, -0x1.c937c3cd5696p-2, -0x1.c901ce2b68ab5p-2, -0x1.c8b382060a581p-2, -0x1.c84cf7dddbec2p-2, -0x1.c7ce4db2ac6dbp-2, -0x1.c737a6db68eap-2, -0x1.c6892bdd2a27cp-2, -0x1.c5c30a418459fp-2, -0x1.c4e5746c34197p-2, -0x1.c3f0a1703cde3p-2, -0x1.c2e4cce499861p-2, -0x1.c1c236b893933p-2, -0x1.c0892307d5ce7p-2, -0x1.bf39d9ee5440ep-2, -0x1.bdd4a75c1b1b5p-2, -0x1.bc59dae91a194p-2, -0x1.bac9c7a8fd864p-2, -0x1.b924c3ff283f5p-2, -0x1.b76b2972dda4bp-2, -0x1.b59d5483ad139p-2, -0x1.b3bba47e2c8a1p-2, -0x1.b1c67b5112bb1p-2, -0x1.afbe3d62bce2cp-2, -0x1.ada3516728b6ep-2, -0x1.ab762036771e4p-2, -0x1.a93714a3fc86fp-2, -0x1.a6e69b55e6537p-2, -0x1.a485229d8aed8p-2, -0x1.a2131a505c935p-2, -0x1.9f90f3a197efep-2, -0x1.9cff20fca8c88p-2, -0x1.9a5e15e053b2p-2, -0x1.97ae46baa8c3ep-2, -0x1.94f028c5c2cd9p-2, -0x1.922431e55cbb3p-2, -0x1.8f4ad8853d9a7p-2, -0x1.8c64937882b8cp-2, -0x1.8971d9d9c7dc2p-2, -0x1.867322ec350f8p-2, -0x1.8368e5fd7040dp-2, -0x1.80539a4877876p-2, -0x1.7d33b6d96563ep-2, -0x1.7a09b2721fdb8p-2, -0x1.76d6036ff3cp-2, -0x1.73991fb219f16p-2, -0x1.70537c812e13ep-2, -0x1.6d058e778bbaap-2, -0x1.69afc96a9bb4fp-2, -0x1.6652a0550a033p-2, -0x1.62ee8541e4e4fp-2, -0x1.5f83e938a7322p-2, -0x1.5c133c2a23727p-2, -0x1.589cecde58edcp-2, -0x1.552168e327b83p-2, -0x1.51a11c7be3b99p-2, -0x1.4e1c7291c6af3p-2, -0x1.4a93d4a539af4p-2, -0x1.4707aabff8609p-2, -0x1.43785b6802761p-2, -0x1.3fe64b9363cb5p-2, -0x1.3c51de9cc2699p-2, -0x1.38bb7638ba61bp-2, -0x1.3523726bf9d75p-2, -0x1.318a31822133dp-2, -0x1.2df010055f242p-2, -0x1.2a5568b6c15a7p-2, -0x1.26ba948740395p-2, -0x1.231fea9174b44p-2, -0x1.1f85c013fb072p-2, -0x1.1bec686c7c1ep-2, -0x1.185435135ccbp-2, -0x1.14bd759804473p-2, -0x1.1128779dc1788p-2, -0x1.0d9586d941caep-2, -0x1.0a04ed0e9a7ddp-2, -0x1.0676f20fdb2a5p-2, -0x1.02ebdbbc282ebp-2, -0x1.fec7dbfeae92bp-3, -0x1.f7bed5a41154bp-3, -0x1.f0bd24747735cp-3, -0x1.e9c34498aa1bp-3, -0x1.e2d1ae592f4cep-3, -0x1.dbe8d6220f098p-3, -0x1.d5092c876584cp-3, -0x1.ce331e4ac1bc5p-3, -0x1.c76714613a60dp-3, -0x1.c0a573fa370f9p-3, -0x1.b9ee9e86ec1d2p-3, -0x1.b342f1c2704dap-3, -0x1.aca2c7ba7709ep-3, -0x1.a60e76d898327p-3, -0x1.9f8651ec23ceap-3, -0x1.990aa8347c4f6p-3, -0x1.929bc56bea35dp-3, -0x1.8c39f1d2e7599p-3, -0x1.85e5723bd2dbep-3, -0x1.7f9e88170ea84p-3, -0x1.7965717f7cd59p-3, -0x1.733a69475259ep-3, -0x1.6d1da7053f108p-3, -0x1.670f5f21dcffdp-3, -0x1.610fc2e56a632p-3, -0x1.5b1f0085bc009p-3, -0x1.553d43346c2f8p-3, -0x1.4f6ab32d3dc5ap-3, -0x1.49a775c4abdf8p-3, -0x1.43f3ad769e9aep-3, -0x1.3e4f79f545a3cp-3, -0x1.38baf838142e6p-3, -0x1.3336428acbe5p-3, -0x1.2dc1709ca69f6p-3, -0x1.285c978f88e59p-3, -0x1.2307ca073f017p-3, -0x1.1dc31838c822ap-3, -0x1.188e8ff99d1c8p-3, -0x1.136a3ccef805fp-3, -0x1.0e5627fd1772bp-3, -0x1.09525896771e8p-3, -0x1.045ed38b0513dp-3, -0x1.fef7376e6c8dcp-4, -0x1.f55163e63ba7ep-4, -0x1.ebcc2a42b78f6p-4, -0x1.e267847c0474ap-4, -0x1.d92368daa9302p-4, -0x1.cfffca14e39acp-4, -0x1.c6fc976baa372p-4, -0x1.be19bcc7801dfp-4, -0x1.b55722d4ebac6p-4, -0x1.acb4af20aa59fp-4, -0x1.a43244338e59ep-4, -0x1.9bcfc1ae0b501p-4, -0x1.938d04636d5ap-4, -0x1.8b69e674aac25p-4, -0x1.83663f6ae2abcp-4, -0x1.7b81e4517477bp-4, -0x1.73bca7cfb6114p-4, -0x1.6c165a4243a7fp-4, -0x1.648ec9d3e8808p-4, -0x1.5d25c2961e383p-4, -0x1.55db0e991ec88p-4, -0x1.4eae76038d2a7p-4, -0x1.479fbf29abfaap-4, -0x1.40aeaea42791ep-4, -0x1.39db07666dc4ap-4, -0x1.33248ad495bf6p-4, -0x1.2c8af8d8d47b8p-4, -0x1.260e0ff87fe91p-4, -0x1.1fad8d689dcf5p-4, -0x1.19692d220054ap-4, -0x1.1340a9f4ee3cep-4, -0x1.0d33bd9c57936p-4, -0x1.074220d097a1cp-4, -0x1.016b8b59c2f79p-4, -0x1.f75f68430306dp-5, -0x1.ec1ca288ef1c1p-5, -0x1.e10e304677a92p-5, -0x1.d6337ae5b693ap-5, -0x1.cb8bea99da42ap-5, -0x1.c116e67e6b1eep-5, -0x1.b6d3d4b5b3c36p-5, -0x1.acc21a864b2afp-5, -0x1.a2e11c77c3aa8p-5, -0x1.99303e6e82f1cp-5, -0x1.8faee3c6c040ep-5, -0x1.865c6f6eafddbp-5, -0x1.7d3843ffdd2f3p-5, -0x1.7441c3d7b326fp-5, -0x1.6b78512f38f27p-5, -0x1.62db4e32056b1p-5, -0x1.5a6a1d1469457p-5, -0x1.52242028d5fa4p-5, -0x1.4a08b9f4821dap-5, -0x1.42174d4350118p-5, -0x1.3a4f3d3af7c78p-5, -0x1.32afed6d79e75p-5, -0x1.2b38c1eadc59cp-5, -0x1.23e91f5233bd4p-5, -0x1.1cc06ae200cdp-5, -0x1.15be0a87deea5p-5, -0x1.0ee164ef8be03p-5, -0x1.0829e1914afc8p-5, -0x1.0196e8bfa59cfp-5, -0x1.f64fc76918b07p-6, -0x1.e9b8793bbccd4p-6, -0x1.dd66bd52b37ebp-6, -0x1.d1596c1fe93ddp-6, -0x1.c58f60414f00ap-6, -0x1.ba07769551e25p-6, -0x1.aec08e4e3ef2fp-6, -0x1.a3b989049496cp-6, -0x1.98f14ac852593p-6, -0x1.8e66ba314246p-6, -0x1.8418c06e49273p-6, -0x1.7a064953c7828p-6, -0x1.702e4369017b4p-6, -0x1.668f9ff4ad449p-6, -0x1.5d295308946ep-6, -0x1.53fa538c64326p-6, -0x1.4b019b479f68bp-6, -0x1.423e26eaccd4dp-6, -0x1.39aef617d1a93p-6, -0x1.31530b6995131p-6, -0x1.29296c7ade09fp-6, -0x1.213121ec7f172p-6, -0x1.1969376acf601p-6, -0x1.11d0bbb27aceap-6, -0x1.0a66c094a956cp-6, -0x1.032a5afa8a03fp-6, -0x1.f83545d07b2cp-7, -0x1.ea6d66fe60505p-7, -0x1.dcfb55ffc695ep-7, -0x1.cfdd559653f14p-7, -0x1.c311aec5bc44ep-7, -0x1.b696b0d431f88p-7, -0x1.aa6ab149d7d38p-7, -0x1.9e8c0bef44ff9p-7, -0x1.92f922cb26747p-7, -0x1.87b05e1efafcdp-7, -0x1.7cb02c630e6bep-7, -0x1.71f702418f6bfp-7, -0x1.67835a90fdd28p-7, -0x1.5d53b64dcce32p-7, -0x1.53669c9358763p-7, -0x1.49ba9a9439af6p-7, -0x1.404e4391ed304p-7, -0x1.372030d3e3681p-7, -0x1.2e2f019e0396cp-7, -0x1.25795b269d4a4p-7, -0x1.1cfde88bd765p-7, -0x1.14bb5ac8a22acp-7, -0x1.0cb068a932856p-7, -0x1.04dbcebf0d1e8p-7, -0x1.fa789ea94e6efp-8, -0x1.eba164c14921fp-8, -0x1.dd2f8af16e9f5p-8, -0x1.cf20b78851854p-8, -0x1.c1729bdc1e8a9p-8, -0x1.b422f42e708abp-8, -0x1.a72f878f95ddp-8, -0x1.9a9627c151a8cp-8, -0x1.8e54b11923588p-8, -0x1.82690a621c9dep-8, -0x1.76d124be54194p-8, -0x1.6b8afb87f69d9p-8, -0x1.60949432056aep-8, -0x1.55ebfe28c8217p-8, -0x1.4b8f52b1fb276p-8, -0x1.417cb4ccbfd8ap-8, -0x1.37b251115c4e3p-8, -0x1.2e2e5d90c9522p-8, -0x1.24ef19b41e8d7p-8, -0x1.1bf2ce1bde0eap-8, -0x1.1337cc7f279cp-8, -0x1.0abc6f8ada499p-8, -0x1.027f1ac0aa851p-8, -0x1.f4fc74ac63e19p-9, -0x1.e5708627fe7c4p-9, -0x1.d657646957529p-9, -0x1.c7ae1a87f25e1p-9, -0x1.b971c3fc061bep-9, -0x1.ab9f8c5cfe567p-9, -0x1.9e34af20361a3p-9, -0x1.912e7757e966p-9, -0x1.848a3f726828ep-9, -0x1.784570f9965f3p-9, -0x1.6c5d8452bc208p-9, -0x1.60d0007eb04fep-9, -0x1.559a7ada626ffp-9, -0x1.4aba96dfcb7b3p-9, -0x1.402e05e74b63cp-9, -0x1.35f286e979696p-9, -0x1.2c05e6416aa89p-9, -0x1.2265fd6f77e37p-9, -0x1.1910b2dc8554ep-9, -0x1.1003f99dd10fcp-9, -0x1.073dd13949098p-9, -0x1.fd788ad4edc6dp-10, -0x1.ecfadbcfefc1ep-10, -0x1.dcfedc531f5a4p-10, -0x1.cd80ea5da3fecp-10, -0x1.be7d7a8cd3c06p-10, -0x1.aff117ac03ddfp-10, -0x1.a1d8624597f0fp-10, -0x1.943010355afdap-10, -0x1.86f4ec3c2a488p-10, -0x1.7a23d594e7cedp-10, -0x1.6db9bf8acae67p-10, -0x1.61b3b11103c35p-10, -0x1.560ec45bb542fp-10, -0x1.4ac8267a53a1p-10, -0x1.3fdd16f359717p-10, -0x1.354ae76161847p-10, -0x1.2b0efb11a252p-10, -0x1.2126c6a3caee5p-10, -0x1.178fcfab42a67p-10, -0x1.0e47ac51cea66p-10, -0x1.054c02fb9b67fp-10, -0x1.f93513d954817p-11, -0x1.e8620ddf43a55p-11, -0x1.d81a9dfc09b78p-11, -0x1.c85a8bd3938a1p-11, -0x1.b91dbc10abb9cp-11, -0x1.aa602fbdb0603p-11, -0x1.9c1e03a00a093p-11, -0x1.8e536f965ebep-11, -0x1.80fcc5f97e382p-11, -0x1.7416730003a31p-11, -0x1.679cfc24a86a2p-11, -0x1.5b8cff8f45d37p-11, -0x1.4fe333807d854p-11, -0x1.449c65c008104p-11, -0x1.39b57b0da0b59p-11, -0x1.2f2b6e948cd55p-11, -0x1.24fb5161b470ep-11, -0x1.1b2249dc4d19bp-11, -0x1.119d93410a04ap-11, -0x1.086a7d1fd0cd8p-11, -0x1.ff0cd5b7d193bp-12, -0x1.eddda65d41b86p-12, -0x1.dd427f58ca0e5p-12, -0x1.cd36989874963p-12, -0x1.bdb54de33e754p-12, -0x1.aeba1df18786ep-12, -0x1.a040a98a2e15ep-12, -0x1.9244b2a43fc64p-12, -0x1.84c21b8d371ffp-12, -0x1.77b4e613b511fp-12, -0x1.6b1932b6a1419p-12, -0x1.5eeb3fd8b20ep-12, -0x1.532768f83a0cbp-12, -0x1.47ca25eb38beep-12, -0x1.3cd00a1f9ebcap-12, -0x1.3235c3dfad03ep-12, -0x1.27f81b9a6a771p-12, -0x1.1e13f3301906fp-12, -0x1.14864542a1853p-12, -0x1.0b4c2489deb5cp-12, -0x1.0262bb2bc068ep-12, -0x1.f38e943060347p-13, -0x1.e2ee50d15ed96p-13, -0x1.d2df8587322fbp-13, -0x1.c35d3585f3d6p-13, -0x1.b4628cbde614p-13, -0x1.a5eadeb726bddp-13, -0x1.97f1a57432ca4p-13, -0x1.8a72805b25e2fp-13, -0x1.7d6933258ab2ap-13, -0x1.70d1a4d6a73abp-13, -0x1.64a7deb822f51p-13, -0x1.58e80b5cf03e6p-13, -0x1.4d8e75aa507f9p-13, -0x1.429787e6e3c8p-13, -0x1.37ffcacf9b4e1p-13, -0x1.2dc3e4b27853dp-13, -0x1.23e0988efd4ecp-13, -0x1.1a52c53c30e7p-13, -0x1.1117649415faap-13, -0x1.082b8aa4886e8p-13, -0x1.ff18c9ca9fee2p-14, -0x1.ee6e72e6ca7a9p-14, -0x1.de52cca27a7d6p-14, -0x1.cec0c1580e2d4p-14, -0x1.bfb3684b8b59p-14, -0x1.b12604484b80ep-14, -0x1.a3140247f093bp-14, -0x1.9578f8228043bp-14, -0x1.8850a3475ad43p-14, -0x1.7b96e77ef117ep-14, -0x1.6f47cdb502519p-14, -0x1.635f82cb337e2p-14, -0x1.57da5673d12fcp-14, -0x1.4cb4ba148fd97p-14, -0x1.41eb3fb11be16p-14, -0x1.377a98dd4d85fp-14, -0x1.2d5f95b6d6128p-14, -0x1.239723e637e89p-14, -0x1.1a1e4da6e3b7cp-14, -0x1.10f238d64d23p-14, -0x1.08102609cfe8dp-14, -0x1.feeadf56789e1p-15, -0x1.ee3f1237c602dp-15, -0x1.de17fbbbf6ea5p-15, -0x1.ce70e188749d1p-15, -0x1.bf45364eebd2ep-15, -0x1.b09098446495bp-15, -0x1.a24ecfa3e08a4p-15, -0x1.947bcd3c3733ap-15, -0x1.8713a908ec75ap-15, -0x1.7a12a0d5b9a3fp-15, -0x1.6d7516ec86d2dp-15, -0x1.613790cd9332cp-15, -0x1.5556b5f1874aap-15, -0x1.49cf4e95370e6p-15, -0x1.3e9e428ecfba7p-15, -0x1.33c0982c36b9ap-15, -0x1.2933731a5d69fp-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.dc31c1fb974c3p-1, 0x1.d9c2d431d3daep-1, 0x1.d749a9bcd72f5p-1, 0x1.d4c5d0b47c876p-1, 0x1.d236d1923ce7cp-1, 0x1.cf9c3d830d4f1p-1, 0x1.ccf5b96c3784fp-1, 0x1.ca4305f0d638fp-1, 0x1.c78404d315e2dp-1, 0x1.c4b8bc116240fp-1, 0x1.c1e1571ea975bp-1, 0x1.befe268ffe40bp-1, 0x1.bc0f9e9286ecfp-1, 0x1.b9165473f6e26p-1, 0x1.b612fb7e94d8cp-1, 0x1.b3066160a54cfp-1, 0x1.aff16a4e34c72p-1, 0x1.acd50d04204e9p-1, 0x1.a9b24ecbc05f6p-1, 0x1.a68a3f98133ccp-1, 0x1.a35df64f71a3p-1, 0x1.a02e8d4febf1fp-1, 0x1.9cfd1f3836a0ap-1, 0x1.99cac3fb814p-1, 0x1.96988e43b513cp-1, 0x1.93678923360c2p-1, 0x1.9038b61568caap-1, 0x1.8d0d0b4bc5b04p-1, 0x1.89e57244293b2p-1, 0x1.86c2c6a445082p-1, 0x1.83a5d55585337p-1, 0x1.808f5bdc641b4p-1, 0x1.7d8007e5fe80cp-1, 0x1.7a787706a6035p-1, 0x1.777936a44705ap-1, 0x1.7482c40798b48p-1, 0x1.71958c8f446e2p-1, 0x1.6eb1ee00703d4p-1, 0x1.6bd836f063f9ep-1, 0x1.6908a7434931ap-1, 0x1.664370bc5b4ccp-1, 0x1.6388b79c27b88p-1, 0x1.60d89349d483cp-1, 0x1.5e330f04a83edp-1, 0x1.5b982a9b6297cp-1, 0x1.5907db2730ffp-1, 0x1.56820bc858e65p-1, 0x1.54069e62e18fep-1, 0x1.51956c59d1b43p-1, 0x1.4f2e4747b92p-1, 0x1.4cd0f9b37d86dp-1, 0x1.4a7d47c0852dap-1, 0x1.4832efd984bcdp-1, 0x1.45f1ab555b903p-1, 0x1.43b92f1586e61p-1, 0x1.41892c1dd18b2p-1, 0x1.3f6150250200cp-1, 0x1.3d41461e57d55p-1, 0x1.3b28b6bbc8cb2p-1, 0x1.391748e8ed4e9p-1, 0x1.370ca23eaeedbp-1, 0x1.3508676fc2edcp-1, 0x1.330a3cae170acp-1, 0x1.3111c609515c1p-1, 0x1.2f1ea7c6969c7p-1, 0x1.2d3086b1c3afdp-1, 0x1.2b47086858a3cp-1, 0x1.2961d39e4b7acp-1, 0x1.2780905d01df3p-1, 0x1.25a2e83cb1f45p-1, 0x1.23c88698664d1p-1, 0x1.21f118bceb3p-1, 0x1.201c4e12de53fp-1, 0x1.1e49d8442541p-1, 0x1.1c796b5d07e9bp-1, 0x1.1aaabde92aa18p-1, 0x1.18dd890ca494cp-1, 0x1.171188996c966p-1, 0x1.15467b215375cp-1, 0x1.137c2204c4992p-1, 0x1.11b2417e7c942p-1, 0x1.0fe8a0ac6c7bdp-1, 0x1.0e1f0995f745fp-1, 0x1.0c55492fb8413p-1, 0x1.0a8b2f5cfe6a3p-1, 0x1.08c08eef2745cp-1, 0x1.06f53da2fea35p-1, 0x1.0529141c4e98fp-1, 0x1.035beddfbd68ep-1, 0x1.018da94b2156fp-1, 0x1.ff7c4f18ce76ap-2, 0x1.fbda992e5a819p-2, 0x1.f835fe325942dp-2, 0x1.f48e50db2257p-2, 0x1.f0e3691ead0dep-2, 0x1.ed35241586d5ep-2, 0x1.e98363dc3a50fp-2, 0x1.e5ce0f734ea5cp-2, 0x1.e215129e0947ap-2, 0x1.de585dc01bfc3p-2, 0x1.da97e5ba5faafp-2, 0x1.d6d3a3c6c69f8p-2, 0x1.d30b95539e6fep-2, 0x1.cf3fbbde46063p-2, 0x1.cb701ccd74663p-2, 0x1.c79cc14b28cd9p-2, 0x1.c3c5b61e62fa2p-2, 0x1.bfeb0b84b44aep-2, 0x1.bc0cd50bc8f6dp-2, 0x1.b82b296af538fp-2, 0x1.b446225ce5ab7p-2, 0x1.b05ddc7976c78p-2, 0x1.ac72770fd333bp-2, 0x1.a8841400de99ep-2, 0x1.a492d79a005cap-2, 0x1.a09ee8705cb1cp-2, 0x1.9ca86f3c839a2p-2, 0x1.98af96b6a9f35p-2, 0x1.94b48b736df42p-2, 0x1.90b77bc138ab8p-2, 0x1.8cb8978640e83p-2, 0x1.88b8101f39363p-2, 0x1.84b6183eb37efp-2, 0x1.80b2e3cd37aadp-2, 0x1.7caea7ca1fbabp-2, 0x1.78a99a2d34139p-2, 0x1.74a3f1c9144cbp-2, 0x1.709de62e68fb2p-2, 0x1.6c97af8fe9ea5p-2, 0x1.689186a7345bep-2, 0x1.648ba49a7938bp-2, 0x1.608642e302c39p-2, 0x1.5c819b34907aep-2, 0x1.587de7658ee18p-2, 0x1.547b615829dc8p-2, 0x1.507a42e436927p-2, 0x1.4c7ac5c1f9a21p-2, 0x1.487d2375c4d9ep-2, 0x1.4481953c6dc2ep-2, 0x1.408853f899eap-2, 0x1.3c919820e1589p-2, 0x1.389d99aec2662p-2, 0x1.34ac900e67532p-2, 0x1.30beb20f39b82p-2, 0x1.2cd435d54195fp-2, 0x1.28ed50cb4dd42p-2, 0x1.250a3795deb3cp-2, 0x1.212b1e06d8cecp-2, 0x1.1d503711ef7dep-2, 0x1.1979b4c1cf702p-2, 0x1.15a7c82dfe755p-2, 0x1.11daa1716f9abp-2, 0x1.0e126fa1c652p-2, 0x1.0a4f60c7443ep-2, 0x1.0691a1d55e8f5p-2, 0x1.02d95ea3f92fbp-2, 0x1.fe4d83d274343p-3, 0x1.f6f3ea67fc346p-3, 0x1.efa641cdbc7ep-3, 0x1.e864d86795abp-3, 0x1.e12ffa305d74cp-3, 0x1.da07f0b33ed1p-3, 0x1.d2ed03061d8b1p-3, 0x1.cbdf75c4fb967p-3, 0x1.c4df8b0e52e9fp-3, 0x1.bded82805b16ap-3, 0x1.b709993737f78p-3, 0x1.b03409cc00c3dp-3, 0x1.a96d0c549b1d6p-3, 0x1.a2b4d6645f8d3p-3, 0x1.9c0b9b0d7ea29p-3, 0x1.95718ae325d37p-3, 0x1.8ee6d3fc4c5dep-3, 0x1.886ba1f730163p-3, 0x1.82001dfd6ec64p-3, 0x1.7ba46ec8b89a8p-3, 0x1.7558b8a81655ap-3, 0x1.6f1d1d85b6f93p-3, 0x1.68f1bced3ebc3p-3, 0x1.62d6b4128cc0bp-3, 0x1.5ccc1dd8fdb17p-3, 0x1.56d212db12a54p-3, 0x1.50e8a9727b68ap-3, 0x1.4b0ff5c085ee3p-3, 0x1.454809b6e3123p-3, 0x1.3f90f520ba881p-3, 0x1.39eac5ac0a6d6p-3, 0x1.345586f34fdebp-3, 0x1.2ed142876d1f2p-3, 0x1.295dfff9c486bp-3, 0x1.23fbc4e690222p-3, 0x1.1eaa94ff62a9fp-3, 0x1.196a7215d1d11p-3, 0x1.143b5c2649eb3p-3, 0x1.0f1d5162f952ap-3, 0x1.0a104e3ee4446p-3, 0x1.05144d78fee4fp-3, 0x1.0029482768b1ap-3, 0x1.f69e6b855a71bp-4, 0x1.ed0c186224089p-4, 0x1.e39b7fa3d7194p-4, 0x1.da4c8711eb636p-4, 0x1.d11f1193515c4p-4, 0x1.c812ff451dd81p-4, 0x1.bf282d911b505p-4, 0x1.b65e774454208p-4, 0x1.adb5b4a579933p-4, 0x1.a52dbb8b324eep-4, 0x1.9cc65f723942ap-4, 0x1.947f719365b3fp-4, 0x1.8c58c0f96eb0ep-4, 0x1.84521a969012ep-4, 0x1.7c6b4959ec4dap-4, 0x1.74a41644b94a8p-4, 0x1.6cfc487f2d676p-4, 0x1.6573a56d2b319p-4, 0x1.5e09f0c2a8decp-4, 0x1.56beec97d058fp-4, 0x1.4f92597cd4595p-4, 0x1.4883f68d78cfap-4, 0x1.419381844cd31p-4, 0x1.3ac0b6cd9298cp-4, 0x1.340b5199d460fp-4, 0x1.2d730bf025202p-4, 0x1.26f79ec00a139p-4, 0x1.2098c1f30c051p-4, 0x1.1a562c7df0c6ap-4, 0x1.142f947199e6ep-4, 0x1.0e24af0b8737p-4, 0x1.083530c6001f3p-4, 0x1.0260cd67dce5bp-4, 0x1.f94e7027ee3cap-5, 0x1.ee1046b070efp-5, 0x1.e30682789ff6fp-5, 0x1.d83086a00c6bep-5, 0x1.cd8db5726ccbep-5, 0x1.c31d7082cf449p-5, 0x1.b8df18c615ba1p-5, 0x1.aed20eacb31b9p-5, 0x1.a4f5b23bb32a3p-5, 0x1.9b496325076c3p-5, 0x1.91cc80df1c761p-5, 0x1.887e6abbb9a6ap-5, 0x1.7f5e7ffe2dccep-5, 0x1.766c1ff0c47dbp-5, 0x1.6da6a9f98e4eap-5, 0x1.650d7dae7545cp-5, 0x1.5c9ffae8a6fe4p-5, 0x1.545d81d7504a3p-5, 0x1.4c457311b0ff2p-5, 0x1.44572fa885d25p-5, 0x1.3c921936d05bcp-5, 0x1.34f591f1f8532p-5, 0x1.2d80fcb95094ap-5, 0x1.2633bd24fa4cep-5, 0x1.1f0d37942ebd6p-5, 0x1.180cd13af1b5fp-5, 0x1.1131f02f29988p-5, 0x1.0a7bfb7529382p-5, 0x1.03ea5b0ba488ep-5, 0x1.faf8efee36c8ap-6, 0x1.ee6378996ae81p-6, 0x1.e213267932eedp-6, 0x1.d606d2377a26fp-6, 0x1.ca3d56da62cc6p-6, 0x1.beb591d5e617bp-6, 0x1.b36e631c73714p-6, 0x1.a866ad2ea27fp-6, 0x1.9d9d5529f1b8fp-6, 0x1.931142d6a04abp-6, 0x1.88c160b4a3f67p-6, 0x1.7eac9c07c36abp-6, 0x1.74d1e4e2d8904p-6, 0x1.6b302e324070cp-6, 0x1.61c66dc581dc6p-6, 0x1.58939c582c366p-6, 0x1.4f96b599f78ebp-6, 0x1.46ceb83623ec4p-6, 0x1.3e3aa5da2d97ep-6, 0x1.35d9833bc5854p-6, 0x1.2daa581e272e8p-6, 0x1.25ac2f56c4d88p-6, 0x1.1dde16d1541b9p-6, 0x1.163f1f933f9b5p-6, 0x1.0ece5dbe85ad5p-6, 0x1.078ae893fe4c4p-6, 0x1.0073da751aa31p-6, 0x1.f310a1ca3dcb3p-7, 0x1.e58ed913a478ep-7, 0x1.d860a25772598p-7, 0x1.cb844b6b9e743p-7, 0x1.bef82869a6eb2p-7, 0x1.b2ba93ac3c418p-7, 0x1.a6c9edcc1aee9p-7, 0x1.9b249d9c1776ap-7, 0x1.8fc910245fda6p-7, 0x1.84b5b89d006ffp-7, 0x1.79e91067b5ff1p-7, 0x1.6f61970906179p-7, 0x1.651dd220c0d0ap-7, 0x1.5b1c4d61d404cp-7, 0x1.515b9a8993393p-7, 0x1.47da515661e48p-7, 0x1.3e970f7de53d6p-7, 0x1.359078a29fba1p-7, 0x1.2cc536492152p-7, 0x1.2433f7ccb8cdbp-7, 0x1.1bdb7253b8b8p-7, 0x1.13ba60c353be9p-7, 0x1.0bcf83b315d96p-7, 0x1.0419a15fffffbp-7, 0x1.f92f0b3e9bbddp-8, 0x1.ea9003a1d039cp-8, 0x1.dc53d9a3184dp-8, 0x1.ce7845d9562f6p-8, 0x1.c0fb0b9c10143p-8, 0x1.b3d9f8e63136p-8, 0x1.a712e6385a03fp-8, 0x1.9aa3b67aca699p-8, 0x1.8e8a56deeb8b2p-8, 0x1.82c4bec086313p-8, 0x1.7750ef86a8b36p-8, 0x1.6c2cf4844b4dap-8, 0x1.6156e2d8b4489p-8, 0x1.56ccd94fa7c71p-8, 0x1.4c8d0041672a2p-8, 0x1.429589728c24cp-8, 0x1.38e4aff3bf81p-8, 0x1.2f78b801583ffp-8, 0x1.264feee2e6755p-8, 0x1.1d68aacaaef06p-8, 0x1.14c14ab51f935p-8, 0x1.0c58364842d1cp-8, 0x1.042bddb334509p-8, 0x1.f875731b39accp-9, 0x1.e906956e7c8f6p-9, 0x1.da08346f1e3c1p-9, 0x1.cb77723ad837bp-9, 0x1.bd5180bdcb2bbp-9, 0x1.af93a17256d55p-9, 0x1.a23b252136132p-9, 0x1.95456ba1e6f1dp-9, 0x1.88afe39b69fbp-9, 0x1.7c780a455955dp-9, 0x1.709b6b29626bbp-9, 0x1.65179fe52692ap-9, 0x1.59ea4fec885d1p-9, 0x1.4f11304c6bc18p-9, 0x1.448a036defdb6p-9, 0x1.3a5298da22442p-9, 0x1.3068ccfe3507ap-9, 0x1.26ca88f03c43fp-9, 0x1.1d75c23471349p-9, 0x1.14687a83070b7p-9, 0x1.0ba0bf8e8bf6cp-9, 0x1.031caacae4664p-9, 0x1.f5b4c269af1c4p-10, 0x1.e5b026347434dp-10, 0x1.d627f7c567644p-10, 0x1.c718c3b248b6p-10, 0x1.b87f2beb56dc8p-10, 0x1.aa57e7509dfc9p-10, 0x1.9c9fc148995dfp-10, 0x1.8f5399581ddf7p-10, 0x1.827062bb908e9p-10, 0x1.75f3240175c5ep-10, 0x1.69d8f6a65210ep-10, 0x1.5e1f06b1e4b59p-10, 0x1.52c29255b524cp-10, 0x1.47c0e98cfa0fap-10, 0x1.3d176dbde3272p-10, 0x1.32c3915c301ebp-10, 0x1.28c2d78d2ff93p-10, 0x1.1f12d3cd10fa6p-10, 0x1.15b129959581dp-10, 0x1.0c9b8c061869ep-10, 0x1.03cfbd8cfbf1bp-10, 0x1.f6971f24bcbe8p-11, 0x1.e619c4487258bp-11, 0x1.d62347479aef4p-11, 0x1.c6afa0e8d4ab3p-11, 0x1.b7bae5570e4f8p-11, 0x1.a9414384625e4p-11, 0x1.9b3f048f94a8p-11, 0x1.8db08b2c2f1e3p-11, 0x1.8092530d38f4p-11, 0x1.73e0f0528233bp-11, 0x1.67990ef88353cp-11, 0x1.5bb7724ac7589p-11, 0x1.5038f458dd599p-11, 0x1.451a856dcb1d9p-11, 0x1.3a592b89fe8c8p-11, 0x1.2ff201dfb207fp-11, 0x1.25e23851c2fdap-11, 0x1.1c2712f4f3f1fp-11, 0x1.12bde9938fa73p-11, 0x1.09a427336d283p-11, 0x1.00d7499e488c4p-11, 0x1.f0a9c1d8dcdep-12, 0x1.e0351e235e25dp-12, 0x1.d04c0ed92c80fp-12, 0x1.c0ea1cafbcdcp-12, 0x1.b20af17c331c6p-12, 0x1.a3aa575f0dee1p-12, 0x1.95c437f4210cbp-12, 0x1.88549b86d0f85p-12, 0x1.7b57a84a7cb8bp-12, 0x1.6ec9a1970a6b7p-12, 0x1.62a6e729891c9p-12, 0x1.56ebf468d7b08p-12, 0x1.4b955fae3edd7p-12, 0x1.409fd991f68bdp-12, 0x1.36082c3b81e5cp-12, 0x1.2bcb3ab5d7ba9p-12, 0x1.21e60047420b5p-12, 0x1.18558fcced185p-12, 0x1.0f17131a162c5p-12, 0x1.0627ca5ac414ap-12, 0x1.fb0a16f409893p-13, 0x1.ea588317350cap-13, 0x1.da35d8721a07dp-13, 0x1.ca9d3e6422321p-13, 0x1.bb8a034064841p-13, 0x1.acf79b3b75042p-13, 0x1.9ee19f5f7e283p-13, 0x1.9143cc86964b6p-13, 0x1.841a025b337ddp-13, 0x1.7760425e9525dp-13, 0x1.6b12aef520bf9p-13, 0x1.5f2d8a78772e9p-13, 0x1.53ad364f4387fp-13, 0x1.488e320a9565ap-13, 0x1.3dcd1a88b93f5p-13, 0x1.3366a91d67282p-13, 0x1.2957b2bf38a0cp-13, 0x1.1f9d273a49919p-13, 0x1.16341067e6b46p-13, 0x1.0d19916b311aap-13, 0x1.044ae5f2a133ep-13, 0x1.f78ac2fca0348p-14, 0x1.e70cdd55d6749p-14, 0x1.d7171d027406fp-14, 0x1.c7a4af9449099p-14, 0x1.b8b0ecce3a77dp-14, 0x1.aa37555dab8a7p-14, 0x1.9c33919c6034bp-14, 0x1.8ea1705a913a2p-14, 0x1.817ce5b12231p-14, 0x1.74c209dbb66e1p-14, 0x1.686d181a8638dp-14, 0x1.5c7a6d9bc5a17p-14, 0x1.50e6886c72fe1p-14, 0x1.45ae06706487ap-14, 0x1.3acda4616aeeap-14, 0x1.30423cd564288p-14, 0x1.2608c74b11999p-14, 0x1.1c1e573d915dbp-14, 0x1.12801b3e4da5dp-14, 0x1.092b5c1542a3ep-14, 0x1.001d7be7724f3p-14, 0x1.eea7eac6c5bfap-15, 0x1.dd98b5e709094p-15, 0x1.cd08abecb6094p-15, 0x1.bcf34bf8927f2p-15, 0x1.ad544015b621fp-15, 0x1.9e275bcadf5c6p-15, 0x1.8f689ab63f7edp-15, 0x1.81141f3384097p-15, 0x1.7326310bdf17p-15, 0x1.659b3c2fc849ap-15, 0x1.586fcf7a46aaep-15, 0x1.4ba09b7d7d9a8p-15, 0x1.3f2a715845aacp-15, 0x1.330a41949bbcfp-15, 0x1.273d1b0ea864fp-15, 0x1.1bc029e42c0ebp-15, 0x1.1090b66c1c603p-15, 0x1.05ac24363650cp-15, 0x1.f61fe224b201dp-16, 0x1.e173683ee68fbp-16, 0x1.cd4e39c3a75f3p-16, 0x1.b9abe4c14836fp-16, 0x1.a6882494dc4ep-16, 0x1.93dee040d76b6p-16, 0x1.81ac28d0fde77p-16, 0x1.6fec37cb42485p-16, 0x1.5e9b6dad3fc4ep-16, 0x1.4db65075f290dp-16, 0x1.3d398a3b6300ep-16, 0x1.2d21e7cbeae5cp-16, 0x1.1d6c575ac974dp-16, 0x1.0e15e737b67b4p-16, 0x1.fe37892252643p-17, 0x1.e0f67481fcca7p-17, 0x1.c4635f468e51cp-17, 0x1.a8794eedc9364p-17, 0x1.8d337d8f754b9p-17, 0x1.728d57c4538ap-17, 0x1.58827a9f2978bp-17, 0x1.3f0eb1b75961bp-17, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      50, 0x1.8504d551d68c7p+2, 0x1.ae1c84fead646p+0, 0x1.d793f0e1ec229p+1, -0x1.d6f42741dd728p-6, 
      {{
        {0x1.aef9c1f85d745p+1, 0x1.b5eab7030bf9p+1, 0x1.c3e6338c5aa8p-4, -0x1.de87d36dbe2c4p-3, 0x1.91feba4bc6aa8p-3, 0x1.7ef65169bbec5p-6}, 
        {0x1.b5eab7030bf9p+1, 0x1.bcdbac0dba7dcp+1, 0x1.9260fe51e7efbp-4, -0x1.b282567300c9ap-3, 0x1.99c866d8a9c4bp-3, -0x1.deb3e5c435418p-4}, 
        {0x1.bcdbac0dba7dcp+1, 0x1.c3cca102ef739p+1, 0x1.659650298739ap-4, -0x1.882d4e037943fp-3, 0x1.72d8081839698p-3, -0x1.303a8b4be52e4p-4}, 
        {0x1.c3cca102ef739p+1, 0x1.cabd960d9df85p+1, 0x1.3d2f7ac70f815p-4, -0x1.614c6399814dbp-3, 0x1.5a18dc5382a4cp-3, -0x1.4af0be601587cp-4}, 
        {0x1.cabd960d9df85p+1, 0x1.d1ae8b184c7dp+1, 0x1.18d9c17b2ab0cp-4, -0x1.3d38ba6d743dep-3, 0x1.3f2d7386b346ep-3, -0x1.301b699373aa2p-4}, 
        {0x1.d1ae8b184c7dp+1, 0x1.d89f8022fb01cp+1, 0x1.f08c88942cabp-5, -0x1.1bf22fd40c4f1p-3, 0x1.2670cfbca129fp-3, -0x1.241678680217ep-4}, 
        {0x1.d89f8022fb01cp+1, 0x1.df9075182ff79p+1, 0x1.b653d5cdceebcp-5, -0x1.fa99c831c7973p-4, 0x1.0eae755198cd6p-3, -0x1.1478172556cbep-4}, 
        {0x1.df9075182ff79p+1, 0x1.e6816a22de7c5p+1, 0x1.827a9ee1eadcap-5, -0x1.c25343ae7b4c1p-4, 0x1.f062b09c1a40ap-4, -0x1.064d9b0d0935fp-4}, 
        {0x1.e6816a22de7c5p+1, 0x1.ed725f2d8d01p+1, 0x1.54795367abecdp-5, -0x1.8ecd8c3116e84p-4, 0x1.c5b66fd2d0377p-4, -0x1.f046086c2b7p-5}, 
        {0x1.ed725f2d8d01p+1, 0x1.f46354383b85cp+1, 0x1.2bcf73d74e6c3p-5, -0x1.5fc8a58c6f081p-4, 0x1.9d582d2c53995p-4, -0x1.d4cddf6baed11p-5}, 
        {0x1.f46354383b85cp+1, 0x1.fb544942ea0a7p+1, 0x1.0803679c24161p-5, -0x1.35058c36502ccp-4, 0x1.7735ee3c9f178p-4, -0x1.b9f920d248694p-5}, 
        {0x1.fb544942ea0a7p+1, 0x1.01229f1c0f802p+2, 0x1.d144a5faba96ap-6, -0x1.0e46eec2863ecp-4, 0x1.53426817ee419p-4, -0x1.9fc5a48003fb2p-5}, 
        {0x1.01229f1c0f802p+2, 0x1.049b19a166c28p+2, 0x1.9a7fda449e596p-6, -0x1.d6a1d59ba5bcep-5, 0x1.31707d2469134p-4, -0x1.8652cf7809f4fp-5}, 
        {0x1.049b19a166c28p+2, 0x1.08139426be04ep+2, 0x1.6aecabdafccadp-6, -0x1.97d258b9ae91ap-5, 0x1.11b080cdd922p-4, -0x1.6d778725649b4p-5}, 
        {0x1.08139426be04ep+2, 0x1.0b8c0eac15474p+2, 0x1.41cbd7785a2b6p-6, -0x1.5fadcadc83311p-5, 0x1.e7ec3f5264df5p-5, -0x1.55571a38fabbdp-5}, 
        {0x1.0b8c0eac15474p+2, 0x1.0f048926afc22p+2, 0x1.1e6a4395abf94p-6, -0x1.2dc58b6645ea7p-5, 0x1.b0644d4f43effp-5, -0x1.3dd4adc3d85a1p-5}, 
        {0x1.0f048926afc22p+2, 0x1.127d03ac07048p+2, 0x1.0020ab290aa6ap-6, -0x1.01ae0513bc21ep-5, 0x1.7caf77d3746aap-5, -0x1.270ab8913f5acp-5}, 
        {0x1.127d03ac07048p+2, 0x1.15f57e315e46ep+2, 0x1.cca694a6561abp-7, -0x1.b5fd4d0b03ac3p-6, 0x1.4cafbb17695a9p-5, -0x1.10e3fd8f3563ep-5}, 
        {0x1.15f57e315e46ep+2, 0x1.196df8b6b5894p+2, 0x1.a0e3142ae807ap-7, -0x1.72a3e27f727c1p-6, 0x1.204a89bb84adap-5, -0x1.f6dde67849bd1p-6}, 
        {0x1.196df8b6b5894p+2, 0x1.1ce6733150042p+2, 0x1.7beb57d92e24cp-7, -0x1.388ad0531892bp-6, 0x1.eec5f6d1a417bp-6, -0x1.cd3bc875bffb8p-6}, 
        {0x1.1ce6733150042p+2, 0x1.205eedb6a7468p+2, 0x1.5cc8eb4445dp-7, -0x1.06f32431b85d7p-6, 0x1.a3bcc650e2948p-6, -0x1.a503eb5a1568bp-6}, 
        {0x1.205eedb6a7468p+2, 0x1.23d7683bfe88ep+2, 0x1.4299bb7587fcap-7, -0x1.ba4801bbac5a4p-7, 0x1.5f3e9136746dp-6, -0x1.7e1564feef32ep-6}, 
        {0x1.23d7683bfe88ep+2, 0x1.274fe2c155cb4p+2, 0x1.2c8f6d2fd61efp-7, -0x1.74d549c911bcbp-7, 0x1.2115c44bff00ap-6, -0x1.5884bbef3570cp-6}, 
        {0x1.274fe2c155cb4p+2, 0x1.2ac85d46ad0d9p+2, 0x1.19eeb5ab1f347p-7, -0x1.3c3498472b694p-7, 0x1.d212e93994feep-7, -0x1.344acb8d80d3fp-6}, 
        {0x1.2ac85d46ad0d9p+2, 0x1.2e40d7c147888p+2, 0x1.0a0eb1da0f4ep-7, -0x1.0f189d51a89ddp-7, 0x1.6dc3c1627a1ecp-7, -0x1.116566d6f8136p-6}, 
        {0x1.2e40d7c147888p+2, 0x1.31b952469ecaep+2, 0x1.f8b07c885c728p-8, -0x1.d8802f52fc848p-8, 0x1.14cf4472da787p-7, -0x1.dfb896df11034p-7}, 
        {0x1.31b952469ecaep+2, 0x1.3531cccbf60d3p+2, 0x1.e08a9d7e03d4bp-8, -0x1.a4ebd88d02871p-8, 0x1.8d883b9993155p-8, -0x1.9f4e1fb298357p-7}, 
        {0x1.3531cccbf60d3p+2, 0x1.38aa47514d4f9p+2, 0x1.cac08c38644aep-8, -0x1.81224babfc44fp-8, 0x1.066771759904fp-8, -0x1.6196679dd558fp-7}, 
        {0x1.38aa47514d4f9p+2, 0x1.3c22c1cbe7ca8p+2, 0x1.b6869baf5850bp-8, -0x1.6ae9cb8a27803p-8, 0x1.26b6d5ae58bf4p-9, -0x1.268966fca4cc1p-7}, 
        {0x1.3c22c1cbe7ca8p+2, 0x1.3f9b3c513f0cep+2, 0x1.a32f5bee81682p-8, -0x1.6020d6f034bbep-8, 0x1.9c3030e46592cp-11, -0x1.dc634867fbdcfp-8}, 
        {0x1.3f9b3c513f0cep+2, 0x1.4313b6d6964f3p+2, 0x1.902a492f96edp-8, -0x1.5ebe33752f3a9p-8, -0x1.9fa4e82b93a9cp-12, -0x1.71074040dba03p-8}, 
        {0x1.4313b6d6964f3p+2, 0x1.468c315bed919p+2, 0x1.7d027b6da727fp-8, -0x1.64d0e9e31f9f3p-8, -0x1.580d8ee52c12bp-10, -0x1.0b0d9e54db9ccp-8}, 
        {0x1.468c315bed919p+2, 0x1.4a04abe144d3fp+2, 0x1.695d55ed59a19p-8, -0x1.7080334f992e7p-8, -0x1.02eaf0a5cbd1cp-9, -0x1.54e9af68f9fccp-9}, 
        {0x1.4a04abe144d3fp+2, 0x1.4d7d265bdf4eep+2, 0x1.54f9368338f5ep-8, -0x1.800b977d6709fp-8, -0x1.3a6115b673e71p-9, -0x1.3cb9fc77ef6bdp-10}, 
        {0x1.4d7d265bdf4eep+2, 0x1.50f5a0e136913p+2, 0x1.3fac251bf5275p-8, -0x1.91cac89266a11p-8, -0x1.542481bee082bp-9, 0x1.aa43dea9c3df6p-14}, 
        {0x1.50f5a0e136913p+2, 0x1.546e1b668dd39p+2, 0x1.29628339a731ep-8, -0x1.a42dc36ec487p-8, -0x1.51f9baf55a2ebp-9, 0x1.5cc123c34676dp-10}, 
        {0x1.546e1b668dd39p+2, 0x1.57e695ebe515fp+2, 0x1.121dbb3a1ade7p-8, -0x1.b5bcc9a6f8747p-8, -0x1.359b5dc2dc74p-9, 0x1.449f988ebc7ddp-9}, 
        {0x1.57e695ebe515fp+2, 0x1.5b5f10667f90ep+2, 0x1.f3e5dfd41fac3p-9, -0x1.c518525f02a93p-8, -0x1.00cba236f3d5cp-9, 0x1.d03c011a2067ep-9}, 
        {0x1.5b5f10667f90ep+2, 0x1.5ed78aebd6d33p+2, 0x1.c2135804fa69dp-9, -0x1.d0f90c2bba82bp-8, -0x1.6a8aee8bea719p-10, 0x1.287db7175603ep-8}, 
        {0x1.5ed78aebd6d33p+2, 0x1.625005712e159p+2, 0x1.8f3522c7b93b4p-9, -0x1.d82fece8f4862p-8, -0x1.53351f8d9db69p-11, 0x1.638ca7b604774p-8}, 
        {0x1.625005712e159p+2, 0x1.65c87ff68557fp+2, 0x1.5bdc1168d4191p-9, -0x1.d9a62fa74882bp-8, 0x1.ee2299be61ac7p-13, 0x1.9935914daa8f3p-8}, 
        {0x1.65c87ff68557fp+2, 0x1.6940fa711fd2ep+2, 0x1.28b5e18ed3d57p-9, -0x1.d45d422e48357p-8, 0x1.480e62d8fa6a6p-10, 0x1.c984de580d957p-8}, 
        {0x1.6940fa711fd2ep+2, 0x1.6cb974f677153p+2, 0x1.ed15383db7853p-10, -0x1.c76ed8fc0155fp-8, 0x1.38e42c2510658p-9, 0x1.f48728a1fdde3p-8}, 
        {0x1.6cb974f677153p+2, 0x1.7031ef7bce579p+2, 0x1.8c73e7be75b31p-10, -0x1.b20cb60c17692p-8, 0x1.dbbf955692c99p-9, 0x1.0cdd539eca24ep-7}, 
        {0x1.7031ef7bce579p+2, 0x1.73aa6a012599fp+2, 0x1.31714967d6bfap-10, -0x1.9381b27016b18p-8, 0x1.455ad461182a5p-8, 0x1.1daf7a45a27b7p-7}, 
        {0x1.73aa6a012599fp+2, 0x1.7722e4867cdc5p+2, 0x1.bc3749914d058p-11, -0x1.6b2dcee9e6938p-8, 0x1.a24ef65e88cafp-8, 0x1.28686f565231ap-7}, 
        {0x1.7722e4867cdc5p+2, 0x1.7a9b5f0117573p+2, 0x1.29419d2c1ba9cp-11, -0x1.3894a1f8bb71ep-8, 0x1.01601c9b91b2bp-7, 0x1.3d331b88a8606p-7}, 
        {0x1.7a9b5f0117573p+2, 0x1.7e13d9866e999p+2, 0x1.5d239b8a656c4p-12, -0x1.f64fa6ae9fa9ap-9, 0x1.34faa910e4ba4p-7, 0x1.1fbe11529fc21p-7}, 
        {0x1.7e13d9866e999p+2, 0x1.818c540bc5dbfp+2, 0x1.4388b54dd1d39p-13, -0x1.661d0b95138c7p-9, 0x1.63ca652f64eaep-7, 0x1.b10e9059362cfp-7}, 
        {0x1.818c540bc5dbfp+2, 0x1.8504d551d68c7p+2, 0x1.50c9b442b91bep-15, -0x1.78f59ede4b9f9p-10, 0x1.aa3e1a85f1f6ep-7, -0x1.367854ec4c7f1p-2}, 
      }}, 
      0x1.58943d1cb68abp+3, -0x1.817645e4707ap+6
    }
  };
  // clang-format on
}
SkfData params_hyb_0_2_h_ag() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.5db391a6157fcp-4, -0x1.a35e4ecb81c16p-4, -0x1.e9bed49df2937p-4, -0x1.1818cff0a735ep-3, -0x1.3b0c0b5c347d2p-3, -0x1.5d8b19cecb7f9p-3, -0x1.7f64858021814p-3, -0x1.a061594dc3b49p-3, -0x1.c05df4c562c3ap-3, -0x1.df4291999613bp-3, -0x1.fcf39402e2db3p-3, -0x1.0cabc14c7d47dp-2, -0x1.1a2ff552fe2f5p-2, -0x1.27026c8c92662p-2, -0x1.331f2601e0e23p-2, -0x1.3e82d54b54b4bp-2, -0x1.492cba8e8420fp-2, -0x1.531e3da64b52fp-2, -0x1.5c5973c54d05cp-2, -0x1.64e0c247ec8bfp-2, -0x1.6cb76f5c2cd4ap-2, -0x1.73e0ee235b566p-2, -0x1.7a67a7c4331aap-2, -0x1.804a76feef271p-2, -0x1.858e3d8b215a5p-2, -0x1.8a39eaee508edp-2, -0x1.8e557206f6bacp-2, -0x1.91e8849cfea83p-2, -0x1.94f9c9b1a794ap-2, -0x1.978ed1af7fc4ap-2, -0x1.99ac9fbb799b4p-2, -0x1.9b5859207836ep-2, -0x1.9c97b33f6e30ap-2, -0x1.9d70f8a47c8abp-2, -0x1.9deabc9e2fa04p-2, -0x1.9e0b71de8b40dp-2, -0x1.9dd91456a6955p-2, -0x1.9d590133e7cf5p-2, -0x1.9c900116711e7p-2, -0x1.9b82761482993p-2, -0x1.9a349471fa187p-2, -0x1.98aa8dc963ba7p-2, -0x1.96e8a111f019cp-2, -0x1.94f30fc3b39f4p-2, -0x1.92ce02bb7b42cp-2, -0x1.907d6cd9c2818p-2, -0x1.8e04f6181d06ep-2, -0x1.8b67f3b47d4eap-2, -0x1.88a96cec53f83p-2, -0x1.85cc28a32abb4p-2, -0x1.82d2be9de668fp-2, -0x1.7fbfa6c89b95p-2, -0x1.7c9542ba11d91p-2, -0x1.7955e08ec6077p-2, -0x1.7603b88b618aep-2, -0x1.72a0e7c9de356p-2, -0x1.6f2f6a0cd96d4p-2, -0x1.6bb114a02193fp-2, -0x1.682794063480fp-2, -0x1.64946d897a906p-2, -0x1.60f90470c9adfp-2, -0x1.5d56a131a9737p-2, -0x1.59ae7858939d8p-2, -0x1.5602661b26ca9p-2, -0x1.52518ba67b9d6p-2, -0x1.4e9e4180cc64p-2, -0x1.4ae98d27917f5p-2, -0x1.4734587389503p-2, -0x1.437f7202bec3p-2, -0x1.3fcb8fd5022ep-2, -0x1.3c19533b7f3a6p-2, -0x1.38694d3214bbfp-2, -0x1.34bc0258253bdp-2, -0x1.3111edf9374cfp-2, -0x1.2d6b83e2f0445p-2, -0x1.29c9311722751p-2, -0x1.262b5ba94128p-2, -0x1.2292623694b08p-2, -0x1.1efe9b640f4e4p-2, -0x1.1b7055ad42f3dp-2, -0x1.17e7d7a4efd09p-2, -0x1.1465609f39f67p-2, -0x1.10e929a0ad2bfp-2, -0x1.0d73665ef0184p-2, -0x1.0a0446203d9c8p-2, -0x1.069bf452e33dbp-2, -0x1.033a98ca2f419p-2, -0x1.ffc0af4aa3b6bp-3, -0x1.f91aa1f1531a3p-3, -0x1.f28340bca5922p-3, -0x1.ebfab92a0ba8fp-3, -0x1.e5812e9af5255p-3, -0x1.df16ba73c2cdbp-3, -0x1.d8bb6cc972422p-3, -0x1.d26f4d8f636e9p-3, -0x1.cc325e247c6c9p-3, -0x1.c6049b14df6aep-3, -0x1.bfe5fde1f5b3bp-3, -0x1.b9d67ea56ec03p-3, -0x1.b3d6156acda61p-3, -0x1.ade4bb25fb9dap-3, -0x1.a8026a3a033ecp-3, -0x1.a22f1e905e03fp-3, -0x1.9c6ad54d47c63p-3, -0x1.96b58c36ade74p-3, -0x1.910f40e8efca3p-3, -0x1.8b77eff66430dp-3, -0x1.85ef940ce9d4cp-3, -0x1.807625389a358p-3, -0x1.7b0b9854e0e2dp-3, -0x1.75afdeb6872ep-3, -0x1.7062e612b967cp-3, -0x1.6b2498a0aea5dp-3, -0x1.65f4dd6eb0743p-3, -0x1.60d398df88f83p-3, -0x1.5bc0ad43449c4p-3, -0x1.56bbfb7da4185p-3, -0x1.51c563ad5fd38p-3, -0x1.4cdcc5c8e263dp-3, -0x1.480202276800dp-3, -0x1.4334f9efe68aep-3, -0x1.3e758f69b902fp-3, -0x1.39c3a62dc1134p-3, -0x1.351f2338fa39ep-3, -0x1.3087ece3c1566p-3, -0x1.2bfdeac29e4aap-3, -0x1.278105768db98p-3, -0x1.231126731b9c6p-3, -0x1.1eae37c08cef2p-3, -0x1.1a5823bf80123p-3, -0x1.160ed4f26f11bp-3, -0x1.11d235d018fd6p-3, -0x1.0da230a0aff27p-3, -0x1.097eaf664b62fp-3, -0x1.05679bd04beb7p-3, -0x1.015cdf388f52p-3, -0x1.fabcc551b9198p-4, -0x1.f2d81dcd6cfbbp-4, -0x1.eb0b99075fb5ap-4, -0x1.e35707e0bc709p-4, -0x1.dbba3b208c069p-4, -0x1.d435039a53d2p-4, -0x1.ccc732510044p-4, -0x1.c5709894144bbp-4, -0x1.be310815953e4p-4, -0x1.b70852f7d3d4dp-4, -0x1.aff64bd2d9f54p-4, -0x1.a8fdedfbf1535p-4, -0x1.a2189cb6af69fp-4, -0x1.9b496de96e309p-4, -0x1.9490360edc28ap-4, -0x1.8decc9ce6592p-4, -0x1.875efdeb311f1p-4, -0x1.80e6a732b0fe8p-4, -0x1.7a839a6baf0a5p-4, -0x1.7435ac46aa61bp-4, -0x1.6dfcb1504bd0ap-4, -0x1.67d87de694cd7p-4, -0x1.61c8e631475bcp-4, -0x1.5bcdbe1dd4c4ap-4, -0x1.55e6d95eeffd1p-4, -0x1.50140b6fa9decp-4, -0x1.4a552799d2109p-4, -0x1.44aa00ff2962fp-4, -0x1.3f126aa4d8308p-4, -0x1.398e37807fb28p-4, -0x1.341d3a863c589p-4, -0x1.2ebf46b6e9921p-4, -0x1.29742f2e071edp-4, -0x1.243bc72eb3852p-4, -0x1.1f15e22f432acp-4, -0x1.1a0253e31c1b3p-4, -0x1.1500f0429a7e7p-4, -0x1.10118b90dcac5p-4, -0x1.0b33fa5f6f7a1p-4, -0x1.0668118ff3085p-4, -0x1.01ada653d7358p-4, -0x1.fa091c54cfa48p-5, -0x1.f0d93dbad7997p-5, -0x1.e7cb5cf93727ap-5, -0x1.dedf26b07cc7fp-5, -0x1.d61447f66df17p-5, -0x1.cd6a6e4992564p-5, -0x1.c4e14784ba8edp-5, -0x1.bc7881d2f3d66p-5, -0x1.b42fcba44e891p-5, -0x1.ac06d3a3cb206p-5, -0x1.a3fd48aea3dcbp-5, -0x1.9c12d9cd1ebd2p-5, -0x1.9447362cf8a95p-5, -0x1.8c9a0d1d6eb9cp-5, -0x1.850b0e0cd2f8dp-5, -0x1.7d99e88799f7bp-5, -0x1.76464c38ba277p-5, -0x1.6f0fe8eb33191p-5, -0x1.67f66e8c95f0ap-5, -0x1.60f98d305448p-5, -0x1.5a18f513b632ap-5, -0x1.535456a23ebb9p-5, -0x1.4cab627a5c633p-5, -0x1.461dc972442f7p-5, -0x1.3fab3c9ccaf9ep-5, -0x1.39536d4e2c71cp-5, -0x1.33160d20a3adp-5, -0x1.2cf2cdf8c2fbcp-5, -0x1.26e9620980702p-5, -0x1.20f97bd7e5ddap-5, -0x1.1b22ce3e70f9fp-5, -0x1.15650c7222d9ep-5, -0x1.0fbfe9fb9de8fp-5, -0x1.0a331ac7320ap-5, -0x1.04be5322211ffp-5, -0x1.fec28f53431fbp-6, -0x1.f4375b193c361p-6, -0x1.e9da743186d7fp-6, -0x1.dfab465a6eda6p-6, -0x1.d5a93e053e166p-6, -0x1.cbd3c86f2f13ap-6, -0x1.c22a53a23ebb6p-6, -0x1.b8ac4e76e4268p-6, -0x1.af592895a8c0fp-6, -0x1.a6305278e9f1cp-6, -0x1.9d313d6ec7cc5p-6, -0x1.945b5b9b4aa4dp-6, -0x1.8bae1ffac7457p-6, -0x1.8328fe647abbp-6, -0x1.7acb6b8d6576cp-6, -0x1.7294dd0b5b368p-6, -0x1.6a84c9584212dp-6, -0x1.629aa7d595cf1p-6, -0x1.5ad5f0cfe6f08p-6, -0x1.53361d8241344p-6, -0x1.4bbaa81a53895p-6, -0x1.44630bbbff56dp-6, -0x1.3d2ec48505508p-6, -0x1.361d4f90bfaap-6, -0x1.2f2e2afbcab2cp-6, -0x1.2860d5e773091p-6, -0x1.21b4d07c8ea01p-6, -0x1.1b299bf2e7ffbp-6, -0x1.14beba8b64d28p-6, -0x1.0e73af9bafa4dp-6, -0x1.0847ff80d5a34p-6, -0x1.023b2fe4feef2p-6, -0x1.f8998e63b22bdp-7, -0x1.ecf89a77fdcf2p-7, -0x1.e19295f5b0d1ap-7, -0x1.d66693a35e7aap-7, -0x1.cb73aacef1817p-7, -0x1.c0b8f3873eceap-7, -0x1.b63588840cf77p-7, -0x1.abe886c7c6226p-7, -0x1.a1d10da1a6c1p-7, -0x1.97ee3eaf7e844p-7, -0x1.8e3f3ddf173dcp-7, -0x1.84c3316f5b03bp-7, -0x1.7b7941f151852p-7, -0x1.72609a48ca549p-7, -0x1.697867accee74p-7, -0x1.60bfd9a7e082p-7, -0x1.5836221800aafp-7, -0x1.4fda752e9d752p-7, -0x1.47ac09703e53fp-7, -0x1.3faa17b3f9c2bp-7, -0x1.37d3db25cdef6p-7, -0x1.3028913824b8p-7, -0x1.28a779bfadd9ap-7, -0x1.214fd6d252812p-7, -0x1.1a20ecd9bf628p-7, -0x1.131a028bddbe3p-7, -0x1.0c3a60b650d7p-7, -0x1.05815340482aep-7, -0x1.fddc4e58c905cp-8, -0x1.f10058fedac37p-8, -0x1.e46d6ab956e6cp-8, -0x1.d8222c3ff5c51p-8, -0x1.cc1d4b3ad41acp-8, -0x1.c05d79122d58ap-8, -0x1.b4e16ce4439e7p-8, -0x1.a9a7df501f372p-8, -0x1.9eaf923e34425p-8, -0x1.93f746c4674a5p-8, -0x1.897dc6add7339p-8, -0x1.7f41ddc1b2477p-8, -0x1.75425cbc225e8p-8, -0x1.6b7e18ad7a186p-8, -0x1.61f3eaf3609dfp-8, -0x1.58a2b13629de5p-8, -0x1.4f894d5ff3f55p-8, -0x1.46a6a58eca558p-8, -0x1.3df9a4196188p-8, -0x1.3581378074bep-8, -0x1.2d3c52688d3acp-8, -0x1.2529eb92221f2p-8, -0x1.1d48fdd103c81p-8, -0x1.159887c25bb29p-8, -0x1.0e178d01a45b9p-8, -0x1.06c513daede53p-8, -0x1.ff404e4e0fc94p-9, -0x1.f14fab61188afp-9, -0x1.e3b664200e682p-9, -0x1.d672a565d382dp-9, -0x1.c982a3307b4bfp-9, -0x1.bce49ac11277cp-9, -0x1.b096ce88b1474p-9, -0x1.a4978963f3688p-9, -0x1.98e51d8f7519fp-9, -0x1.8d7de45ca2379p-9, -0x1.82603e3db9106p-9, -0x1.778a92cb68bc8p-9, -0x1.6cfb508be0169p-9, -0x1.62b0eccef5a62p-9, -0x1.58a9e3ca2c2b4p-9, -0x1.4ee4b86b86806p-9, -0x1.4404c98b1dc4ep-9, -0x1.3aceb813cac9p-9, -0x1.31d60f7e5e75p-9, -0x1.2919671e08281p-9, -0x1.2097613274759p-9, -0x1.184ea5074ccd3p-9, -0x1.103de0064a2f2p-9, -0x1.0863c59e2bfcbp-9, -0x1.00bf0fb49f16ep-9, -0x1.f29cf948d4d66p-10, -0x1.e421a553535bdp-10, -0x1.d609b8f29e272p-10, -0x1.c852d5c6b0069p-10, -0x1.bafaa8c23a474p-10, -0x1.adfeea3d7e508p-10, -0x1.a15d5d46fd049p-10, -0x1.9513d0cb73d11p-10, -0x1.89201dd30db0dp-10, -0x1.7d8028b4acac4p-10, -0x1.7231e040fec82p-10, -0x1.67333e7264638p-10, -0x1.5c8247d5db4e2p-10, -0x1.521d0a6f6560ap-10, -0x1.48019f67ba09p-10, -0x1.3e2e2a4d176bbp-10, -0x1.34a0d97912f91p-10, -0x1.2b57e8e25f1d1p-10, -0x1.225189f5bbf8dp-10, -0x1.198c18b95db99p-10, -0x1.1105e3d54b31ap-10, -0x1.08bd4c19c3acp-10, -0x1.00b0b98d3b96cp-10, -0x1.f1bd380d64486p-11, -0x1.e28ade649c65bp-11, -0x1.d3c76dd547f6dp-11, -0x1.c56ffff610539p-11, -0x1.b781bf7a74dd2p-11, -0x1.a9f9e8ea08b57p-11, -0x1.9cd5c93bdfbd2p-11, -0x1.9012bdefe0d4ap-11, -0x1.83ae353e25276p-11, -0x1.77a5ac5ecb279p-11, -0x1.6bf6b0c59b0a6p-11, -0x1.609edebf97687p-11, -0x1.559be19167f74p-11, -0x1.4aeb72fb76f63p-11, -0x1.408b5ae899a9cp-11, -0x1.36796f196dfd9p-11, -0x1.2cb392cb9fefap-11, -0x1.2337b67ee6ea5p-11, -0x1.1a03d6e39c65bp-11, -0x1.1115fe4e0fdbep-11, -0x1.086c453629fa1p-11, -0x1.0004ca370d064p-11, -0x1.efbb78d580e2ap-12, -0x1.dfeaaa1a0ea13p-12, -0x1.d093b0e9fc556p-12, -0x1.c1b32ba8e8066p-12, -0x1.b345cdcf13b75p-12, -0x1.a54860597abcep-12, -0x1.97b7c07b1665ep-12, -0x1.8a90dd830ee32p-12, -0x1.7dd0bc23aaf06p-12, -0x1.7174732feaffbp-12, -0x1.65792cae386ep-12, -0x1.59dc23598623ap-12, -0x1.4e9aa5be39968p-12, -0x1.43b213300de0dp-12, -0x1.391fda64f5949p-12, -0x1.2ee17c63cb6f8p-12, -0x1.24f48a247d96p-12, -0x1.1b56bf7d9bf2ep-12, -0x1.12057cb5dce49p-12, -0x1.08fed2406cd31p-12, -0x1.004096611ea2dp-12, -0x1.ef907ea21a024p-13, -0x1.df28499307897p-13, -0x1.cf44246fb37p-13, -0x1.bfe037ba816bep-13, -0x1.b0f8a54400861p-13, -0x1.a289b263b3a5p-13, -0x1.948fbe2175673p-13, -0x1.870740fc0b7cfp-13, -0x1.79eccb5cfe18dp-13, -0x1.6d3d06e7c0b73p-13, -0x1.60f4b424f383cp-13, -0x1.5510aaeeb068fp-13, -0x1.498dd9ab8bc0dp-13, -0x1.3e6944c169a5fp-13, -0x1.33a005ea1a14dp-13, -0x1.292f4d21a3faap-13, -0x1.1f145d3e719edp-13, -0x1.154c8f094a631p-13, -0x1.0bd54a9f50bep-13, -0x1.02ac115087325p-13, -0x1.f39ce9a6b63d8p-14, -0x1.e274261f98685p-14, -0x1.d1d94c5aa99dep-14, -0x1.c1c7e43f7342p-14, -0x1.b23b9cff848b7p-14, -0x1.a3304199c2347p-14, -0x1.94a1e38130c02p-14, -0x1.868c34d9b39f3p-14, -0x1.78ebbb786b28p-14, -0x1.6bbca227f6e34p-14, -0x1.5efb4fdcaacabp-14, -0x1.52a446e70de3ap-14, -0x1.46b42524b48fep-14, -0x1.3b27a25a3c9a5p-14, -0x1.2ffb8fc77b316p-14, -0x1.252bc84fbdf54p-14, -0x1.1ab8828e7aed6p-14, -0x1.109ba5c08f41ap-14, -0x1.06d374d5a59bap-14, -0x1.faba6fbf4613cp-15, -0x1.e86c9a55b7bf9p-15, -0x1.d6b845b97c212p-15, -0x1.c59899f1e740fp-15, -0x1.b50a982f4b56fp-15, -0x1.a50418f0cb552p-15, -0x1.95865dd55c5eep-15, -0x1.868a898bb9567p-15, -0x1.780d14cadf43ep-15, -0x1.6a09be19089cfp-15, -0x1.5c7c862c7701ap-15, -0x1.4f61a6f199238p-15, -0x1.42b56c48c622ep-15, -0x1.36744660c34e7p-15, -0x1.2a9abb90bd938p-15, -0x1.1f2578a3a90efp-15, -0x1.14113f722e70fp-15, -0x1.095aeecc2296ep-15, -0x1.fdfefefc92ff3p-16, -0x1.e9f808c045d65p-16, -0x1.d69b4c1f4965dp-16, -0x1.c3e34cb1a8bd9p-16, -0x1.b1cc237d0cbb8p-16, -0x1.a04c9590020d3p-16, -0x1.8f63c0c280224p-16, -0x1.7f0b7d1749249p-16, -0x1.6f3f258213cb6p-16, -0x1.5ffa41bc8c6ap-16, -0x1.51387a0f5276ep-16, -0x1.42f58ddf57fap-16, -0x1.352d95bf10a52p-16, -0x1.27dc90887ca52p-16, -0x1.1afe4ff86ec6bp-16, -0x1.0e9041e337402p-16, -0x1.028dc9f5cac74p-16, -0x1.ede7c5d4f1e29p-17, -0x1.d77e3bf48d4fap-17, -0x1.c1d8d448375bp-17, -0x1.acf13941ea081p-17, -0x1.98be1a2f3a1f3p-17, -0x1.8543bc52a1899p-17, -0x1.727290ba6b28bp-17, -0x1.6048686b067d9p-17, -0x1.4ebfc5e8992e7p-17, -0x1.3dd4828e97e55p-17, -0x1.2d80db30dd586p-17, -0x1.1dc0598d7664dp-17, -0x1.0e8e752ba27b5p-17, -0x1.ffcd7bd7209cdp-18, -0x1.e389c55adf2e8p-18, -0x1.c849ae98383ebp-18, -0x1.ae052412bf374p-18, -0x1.94b46d4594c8p-18, -0x1.7c500c50f23d2p-18, -0x1.64d0eace28c35p-18, -0x1.4e2fcb4afaa78p-18, -0x1.38661142ff1cdp-18, -0x1.236d290f082f2p-18, -0x1.0f4548ba9c0f1p-18, -0x1.f7a9d61a3557bp-19, -0x1.d252f20cfca18p-19, -0x1.ae6d8256b25a8p-19, -0x1.8beb485e4cb34p-19, -0x1.6acafcb6170adp-19, -0x1.4af8c8979cb64p-19, -0x1.2c6d77b0948a8p-19, -0x1.0f1ff22b684afp-19, -0x1.e60bde3de8124p-20, -0x1.b02cc5a80e4a9p-20, -0x1.7c90cc498b5ebp-20, -0x1.4b251f4ab0d34p-20, -0x1.1bd8982552969p-20, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.e66940c4df789p-5, -0x1.12d552719a302p-4, -0x1.31c7d11227336p-4, -0x1.4fb18dcb537a9p-4, -0x1.6c43ba440ad1ep-4, -0x1.8729c2d9b02a5p-4, -0x1.a02b2c27ed6fcp-4, -0x1.b72370a036a3dp-4, -0x1.cbec48c72158ap-4, -0x1.de67a01836d33p-4, -0x1.ee89a98e335e4p-4, -0x1.fc4f374cfd2f8p-4, -0x1.03daf5a60dc39p-3, -0x1.086056823ce01p-3, -0x1.0bbdb9b92300cp-3, -0x1.0dfbce9c0332ap-3, -0x1.0f23e779a0b4dp-3, -0x1.0f402ac03498ap-3, -0x1.0e5c6e260503ap-3, -0x1.0c85ecf6df2e6p-3, -0x1.09ca5aa866b0fp-3, -0x1.06371d5344f64p-3, -0x1.01d7e70eeb814p-3, -0x1.f97f5eb5d3a9fp-4, -0x1.edf950bcc755ep-4, -0x1.e136b996996e7p-4, -0x1.d34f68fbf2754p-4, -0x1.c45bd6b134ac8p-4, -0x1.b475cdbeff2e8p-4, -0x1.a3b7d6f94e3bp-4, -0x1.923bf77457037p-4, -0x1.801a6fc970551p-4, -0x1.6d69089bd06f1p-4, -0x1.5a3b2859bc67fp-4, -0x1.46a280c0315e4p-4, -0x1.32afdb8613791p-4, -0x1.1e739e07bb679p-4, -0x1.09fde3105df4fp-4, -0x1.eabc88cd6eb28p-5, -0x1.c147012b7ff07p-5, -0x1.97b64a2bed22dp-5, -0x1.6e22b680d7064p-5, -0x1.44a1cfd7fba83p-5, -0x1.1b46b1ca27707p-5, -0x1.e44526c433642p-6, -0x1.928a936c96db6p-6, -0x1.417b3feb6f6ap-6, -0x1.e265ec5d10433p-7, -0x1.439747f95a812p-7, -0x1.4d745f3a4b5aep-8, -0x1.7f2cf34f03cc5p-12, 0x1.190b0d72902c7p-8, 0x1.22a24b484adeep-7, 0x1.b6416908c11bbp-7, 0x1.23a5c76df76e5p-6, 0x1.6ad670a146523p-6, 0x1.b0aa2ff91792ep-6, 0x1.f519bf313b179p-6, 0x1.1c0f7bb5b6cadp-5, 0x1.3cda6374b594fp-5, 0x1.5ceb958c3df56p-5, 0x1.7c4193052ecc4p-5, 0x1.9adb5666b878dp-5, 0x1.b8ba49fc66fc2p-5, 0x1.d5d7ac108e553p-5, 0x1.f23870673fb18p-5, 0x1.06eebd5a47b71p-4, 0x1.1463f5d4d4a15p-4, 0x1.217c890bf9588p-4, 0x1.2e392f2697c94p-4, 0x1.3a9aac715a861p-4, 0x1.46a1cf233a0cep-4, 0x1.524f6fc21e98cp-4, 0x1.5da473ccc6b13p-4, 0x1.68a1d1b6cc8e4p-4, 0x1.734894ee1f77dp-4, 0x1.7d99e0aa8b48dp-4, 0x1.8796f0a539ba3p-4, 0x1.914117618d1b3p-4, 0x1.9a99ba3d765ap-4, 0x1.a3a24beb013ap-4, 0x1.ac5c462f20305p-4, 0x1.b4c923caa9da6p-4, 0x1.bcea5b52938a7p-4, 0x1.c4c15b8022adep-4, 0x1.cc4f8936b93d1p-4, 0x1.d3963f31b54ffp-4, 0x1.da96cf0f4089bp-4, 0x1.e1528345aeed4p-4, 0x1.e7caa183c094ep-4, 0x1.ee006d0466e93p-4, 0x1.f3f528776b25bp-4, 0x1.f9aa1740c53c2p-4, 0x1.ff207df383743p-4, 0x1.022cd1063831ap-3, 0x1.04ab6484cd287p-3, 0x1.070c9b863af01p-3, 0x1.0951169e60706p-3, 0x1.0b79741193079p-3, 0x1.0d864f16de1dcp-3, 0x1.0f783f43003fap-3, 0x1.114fd828fe9bdp-3, 0x1.130da934fa475p-3, 0x1.14b23dbdd4273p-3, 0x1.163e1d436bf16p-3, 0x1.17b1cbcabd9eap-3, 0x1.190dca47bd4ccp-3, 0x1.1a529705bb889p-3, 0x1.1b80ae025267fp-3, 0x1.1c988932aedcp-3, 0x1.1d9aa0af276a6p-3, 0x1.1e876ac49e1efp-3, 0x1.1f5f5beddee62p-3, 0x1.2022e6b930b78p-3, 0x1.20d27b9fb515ap-3, 0x1.216e88d499347p-3, 0x1.21f77a128a0abp-3, 0x1.226db86d33afcp-3, 0x1.22d1aa2c0cf31p-3, 0x1.2323b2b27997cp-3, 0x1.2364327802e56p-3, 0x1.23938711fcb82p-3, 0x1.23b20b4e50b21p-3, 0x1.23c0175de65ecp-3, 0x1.23be010bcc725p-3, 0x1.23ac1bfd913b8p-3, 0x1.238ab9f8bb753p-3, 0x1.235a2b293dc9p-3, 0x1.231abe653dfb8p-3, 0x1.22ccc16ae7bbbp-3, 0x1.22708115fea02p-3, 0x1.2206498b7f6e1p-3, 0x1.218e665a873d7p-3, 0x1.210922926370fp-3, 0x1.2076c8ce3dbeep-3, 0x1.1fd7a3375e184p-3, 0x1.1f2bfb7f56d78p-3, 0x1.1e741ad3ac50cp-3, 0x1.1db049ccb0732p-3, 0x1.1ce0d05953f54p-3, 0x1.1c05f5a98dfd5p-3, 0x1.1b200018ec3fp-3, 0x1.1a2f351a8e60fp-3, 0x1.1933d9279025bp-3, 0x1.182e2fb0b10d2p-3, 0x1.171e7b13aae73p-3, 0x1.1604fc94821b5p-3, 0x1.14e4e3fecac0bp-3, 0x1.13b89f6688d7p-3, 0x1.1283463371282p-3, 0x1.11451585e6c1ap-3, 0x1.0ffe4988e0d68p-3, 0x1.0eaf1d7874a4cp-3, 0x1.0d57cbaa318c5p-3, 0x1.0bf88d96d26f8p-3, 0x1.0a919be49f004p-3, 0x1.09232e722a496p-3, 0x1.07ad7c60dff6ap-3, 0x1.0630bc1f29d12p-3, 0x1.04ad2371d81e1p-3, 0x1.0322e77cb19b4p-3, 0x1.01923cca04657p-3, 0x1.fff6aea282eb3p-4, 0x1.fcbcd4f920773p-4, 0x1.f977525afcd06p-4, 0x1.f6268b819ed29p-4, 0x1.f2cae423265dbp-4, 0x1.ef64bef71d8c4p-4, 0x1.ebf47dba3e82dp-4, 0x1.e87a81316b6b6p-4, 0x1.e4f7292be168fp-4, 0x1.e16ad48501fcap-4, 0x1.ddd5e125c7fa7p-4, 0x1.da38ac05f45c8p-4, 0x1.d693912d405dep-4, 0x1.d2e6ebb4590bdp-4, 0x1.cf3315c5ffc91p-4, 0x1.cb7868a00963ep-4, 0x1.c7b73c9462738p-4, 0x1.c3efe909fe98bp-4, 0x1.c022c47da6525p-4, 0x1.bc502482900a7p-4, 0x1.b8785dc2bf15dp-4, 0x1.b49bc3ff03b3cp-4, 0x1.b0baaa0eabe43p-4, 0x1.acd561debc9cap-4, 0x1.a8ec3c70c879cp-4, 0x1.a4ff89d94988ap-4, 0x1.a10f993d8dfe7p-4, 0x1.9d1cb8d13ee65p-4, 0x1.992735d388b2p-4, 0x1.952f5c8bd76bap-4, 0x1.9135784665de8p-4, 0x1.8d39d3508336cp-4, 0x1.893cb6f4b2a18p-4, 0x1.853e6b76aa33dp-4, 0x1.813f380f50c3ep-4, 0x1.7d3f62e8b72f3p-4, 0x1.793f311a279e1p-4, 0x1.753ee6a448d53p-4, 0x1.713ec66d70264p-4, 0x1.6d3f123e2528fp-4, 0x1.69400abdda0e5p-4, 0x1.6541ef6fe159ap-4, 0x1.6144feb0b1e21p-4, 0x1.5d4975b367b2fp-4, 0x1.594f907f90372p-4, 0x1.555789ef08b0ep-4, 0x1.51619b9f92db3p-4, 0x1.4d6dfe28462e3p-4, 0x1.497ce8d18db97p-4, 0x1.458e919761c64p-4, 0x1.41a32fecd78p-4, 0x1.3dbaf001b6846p-4, 0x1.39d60be04cff3p-4, 0x1.35f4b24d1b60ep-4, 0x1.321713641eb4ep-4, 0x1.2e3d5e11f88d9p-4, 0x1.2a67c01174a43p-4, 0x1.269665ee3fbcfp-4, 0x1.22c97b062f655p-4, 0x1.1f01298a9797cp-4, 0x1.1b3d9a81c9e43p-4, 0x1.177ef5c8b38eap-4, 0x1.13c56214925fdp-4, 0x1.101104f4d1be9p-4, 0x1.0c6202d4f2b1bp-4, 0x1.08b87efe976b4p-4, 0x1.05149b9b9fb71p-4, 0x1.017679b8404f2p-4, 0x1.fbbc728aa1ccfp-5, 0x1.f497f2367c52fp-5, 0x1.ed7fadf74c345p-5, 0x1.e673df283b76bp-5, 0x1.df74bd01fcf34p-5, 0x1.d8827c9fe4453p-5, 0x1.d19d510516b3cp-5, 0x1.cac56b0ecededp-5, 0x1.c3faf9b7290dcp-5, 0x1.bd3e2a16eda34p-5, 0x1.b68f26a7af171p-5, 0x1.afee186f4948p-5, 0x1.a95b261173a2cp-5, 0x1.a2d675860f42ep-5, 0x1.9c6028ce746f3p-5, 0x1.95f861b75e808p-5, 0x1.8f9f3ffa07cebp-5, 0x1.8954df72a415p-5, 0x1.83195d90361e6p-5, 0x1.7cecd3b64513cp-5, 0x1.76cf5a180579p-5, 0x1.70c1072f33653p-5, 0x1.6ac1efc31f1dfp-5, 0x1.64d226ef902dcp-5, 0x1.5ef1be2bc7176p-5, 0x1.5920c5518d75cp-5, 0x1.535f4aa416421p-5, 0x1.4dad5ad6f7151p-5, 0x1.480b01155b1c3p-5, 0x1.427847090ce45p-5, 0x1.3cf534e191bbfp-5, 0x1.3781d15b3b3b5p-5, 0x1.321e21c63a354p-5, 0x1.2cca2a0c78ddap-5, 0x1.2785ecd589093p-5, 0x1.22516b0e61808p-5, 0x1.1d2ca4f060389p-5, 0x1.181798f4efc7fp-5, 0x1.1312447ef54ap-5, 0x1.0e1ca3b1d6da6p-5, 0x1.0936b1131d49dp-5, 0x1.046067a627849p-5, 0x1.ff337db8ee42dp-6, 0x1.f5c55d1b451c6p-6, 0x1.ec765a5559181p-6, 0x1.e346600c611b9p-6, 0x1.da35575043edbp-6, 0x1.d143265451c74p-6, 0x1.c86fb2896f11p-6, 0x1.bfbadcf2f2c28p-6, 0x1.b72488b7ab246p-6, 0x1.aeac9321dc72dp-6, 0x1.a652dadab50f8p-6, 0x1.9e173b2ef7d1fp-6, 0x1.95f98e33cd8fap-6, 0x1.8df9ac66a744fp-6, 0x1.86176c846c537p-6, 0x1.7e52a49809c1dp-6, 0x1.76ab28699291bp-6, 0x1.6f20ca6c83604p-6, 0x1.67b35c19719cp-6, 0x1.6062ad7c4cee9p-6, 0x1.592e8d62acda5p-6, 0x1.5216c9688964ap-6, 0x1.4b1b2e0306775p-6, 0x1.443b86031a52bp-6, 0x1.3d779d396cecap-6, 0x1.36cf3bb7cdc14p-6, 0x1.304229ea92227p-6, 0x1.29d02f5a77786p-6, 0x1.23791284afdcfp-6, 0x1.1d3c990b83bfp-6, 0x1.171a878fb1ab1p-6, 0x1.1112a2c144e74p-6, 0x1.0b24ad70d78fbp-6, 0x1.05506a47f2f23p-6, 0x1.ff2b369a17fc8p-7, 0x1.f3e803a998dc9p-7, 0x1.e8d6bd350ac06p-7, 0x1.ddf6e3a0b09f9p-7, 0x1.d347f637f17a3p-7, 0x1.c8c97337f05b4p-7, 0x1.be7ad7fc24f8ep-7, 0x1.b45ba0f38e369p-7, 0x1.a7f9c09d17b1bp-7, 0x1.9e511a1ed2277p-7, 0x1.94d637562d5ap-7, 0x1.8b8887ec9c551p-7, 0x1.826781821826p-7, 0x1.797297655666p-7, 0x1.70a93c48739b9p-7, 0x1.680ae24c9f15cp-7, 0x1.5f96fb7a41198p-7, 0x1.574cf84c18de1p-7, 0x1.4f2c4a78fd6fdp-7, 0x1.4734626ccea6dp-7, 0x1.3f64b0aaaead6p-7, 0x1.37bca5953f237p-7, 0x1.303bb18f1ae78p-7, 0x1.28e144ee28ae7p-7, 0x1.21acd0592e39ap-7, 0x1.1a9dc47d108adp-7, 0x1.13b39280f29b2p-7, 0x1.0cedabb6dd46cp-7, 0x1.064b8272ffcc2p-7, 0x1.ff9911ff8afc3p-8, 0x1.f2e065315aef2p-8, 0x1.e66be681ab77cp-8, 0x1.da3a7fa156077p-8, 0x1.ce4b1c2293366p-8, 0x1.c29ca995c6985p-8, 0x1.b72e172fb84dap-8, 0x1.abfe5762b1a19p-8, 0x1.a10c5cd0b983dp-8, 0x1.965721da8c057p-8, 0x1.8bdd9f83f0189p-8, 0x1.819ecf6e6eb6cp-8, 0x1.7799b21f1b4aap-8, 0x1.6dcd49a97514ap-8, 0x1.64389ab519971p-8, 0x1.5adaae7a7db61p-8, 0x1.51b28eb290f77p-8, 0x1.48bf49ba7991ap-8, 0x1.3ffff0ab12367p-8, 0x1.377397cc09a1cp-8, 0x1.2f195619e89bfp-8, 0x1.26f045d609772p-8, 0x1.1ef7841f0cb7ap-8, 0x1.172e3111cfb21p-8, 0x1.0f936fb303863p-8, 0x1.082665e5fdf53p-8, 0x1.00e63c61a4f5bp-8, 0x1.f3a43d46f1596p-9, 0x1.e5d275c75f1d5p-9, 0x1.d85582acd9ac3p-9, 0x1.cb2bcbf8cbbc1p-9, 0x1.be53c41361fa5p-9, 0x1.b1cbd36b2ed2ep-9, 0x1.a59273bf5d1b9p-9, 0x1.99a620807826fp-9, 0x1.8e0559ed42505p-9, 0x1.82aea512af5a1p-9, 0x1.77a08bbcbe447p-9, 0x1.6cd99c57486bdp-9, 0x1.62586b4be50fep-9, 0x1.581b8d318b598p-9, 0x1.4e21a1a410826p-9, 0x1.4469484764cd1p-9, 0x1.3af126eace03dp-9, 0x1.31b7e75f6a182p-9, 0x1.28bc384c2f73dp-9, 0x1.1ffccc96cd5c9p-9, 0x1.17785c0157775p-9, 0x1.0f2da2929bafbp-9, 0x1.071b60deb150bp-9, 0x1.fe80ab2c558bap-10, 0x1.ef36bacaa899p-10, 0x1.e056667634b79p-10, 0x1.d1dd4a85af8f4p-10, 0x1.c3c956c132e51p-10, 0x1.b61806625e96dp-10, 0x1.a8c71cea9ac99p-10, 0x1.9bd4781220a4dp-10, 0x1.8f3de1ecb2e9fp-10, 0x1.83013649ea256p-10, 0x1.771c596113494p-10, 0x1.6b8d39139da63p-10, 0x1.6051ca14d2e76p-10, 0x1.55680cd82d1d6p-10, 0x1.4ace08cb0e45p-10, 0x1.4081cec937ffap-10, 0x1.36817873816f6p-10, 0x1.2ccb282df4345p-10, 0x1.235d0916034bfp-10, 0x1.1a354eddb5a7dp-10, 0x1.115235e1517c7p-10, 0x1.08b203ce628e5p-10, 0x1.0053042787c6cp-10, 0x1.f0671c9a41f52p-11, 0x1.e0a406603675ep-11, 0x1.d1597f82db55dp-11, 0x1.c28478ce3bc1fp-11, 0x1.b421d7ca9fcaep-11, 0x1.a62e9b1103157p-11, 0x1.98a7cea14783bp-11, 0x1.8b8a87d9e2d3dp-11, 0x1.7ed40c88ba3a5p-11, 0x1.72817ea1274d3p-11, 0x1.669031f379504p-11, 0x1.5afd802161073p-11, 0x1.4fc6d1b48596cp-11, 0x1.44e99dc419242p-11, 0x1.3a6369c1ecf05p-11, 0x1.3031c99e875a4p-11, 0x1.265305f6f0a4p-11, 0x1.1cc2d6a5c7bc9p-11, 0x1.1380f006219cp-11, 0x1.0a8a74ee509cdp-11, 0x1.01dd3c016706ep-11, 0x1.f2ee530a51c3cp-12, 0x1.e2ac68e82c1dp-12, 0x1.d2f088401cda8p-12, 0x1.c3b91f99b1ab8p-12, 0x1.b4fbd3590ba2bp-12, 0x1.a6baddfea179bp-12, 0x1.98f1de5ef0c19p-12, 0x1.8b9bdceaec419p-12, 0x1.7eb5d7b18e74dp-12, 0x1.723c6e5e8c9ep-12, 0x1.662c67e0f59b8p-12, 0x1.5a825f68dd03ep-12, 0x1.4f3b5ce924d63p-12, 0x1.4454441a13febp-12, 0x1.39ca1c41f2c53p-12, 0x1.2f9a004debfcfp-12, 0x1.25c11e2eb0247p-12, 0x1.1c3cb6d48d25ap-12, 0x1.130a1ddde7c0bp-12, 0x1.0a26b907ed39ep-12, 0x1.019001a570c07p-12, 0x1.f285cf6cdc00ep-13, 0x1.e27d8fbb7911cp-13, 0x1.d2ff1b310f0bfp-13, 0x1.c4071429e12f4p-13, 0x1.b591108b3a279p-13, 0x1.a798c86ff1f49p-13, 0x1.9a1a116a36911p-13, 0x1.8d10e75fd82d3p-13, 0x1.8079484a37bd5p-13, 0x1.744f6e05b08f8p-13, 0x1.689157138d848p-13, 0x1.5d36556558d2p-13, 0x1.523ff82ac856cp-13, 0x1.47a937681a67ap-13, 0x1.3d6eafda79681p-13, 0x1.338d49850e76ep-13, 0x1.2a01e020d03d5p-13, 0x1.20c9956e5c297p-13, 0x1.17e1190e3b827p-13, 0x1.0f45f8d72a564p-13, 0x1.06f56146b525dp-13, 0x1.fdd900534846fp-14, 0x1.ee527f6862946p-14, 0x1.df51335b48125p-14, 0x1.d0d0c19312e84p-14, 0x1.c2cc83626f785p-14, 0x1.b53fd05bc89f4p-14, 0x1.a8266dfa22332p-14, 0x1.9b7c194b27793p-14, 0x1.8f3cba9453ad6p-14, 0x1.8364610802359p-14, 0x1.77ef52dbd77b2p-14, 0x1.6cd9bf4234431p-14, 0x1.621ffb32ed9e6p-14, 0x1.57bed2807ef83p-14, 0x1.4db2eff564f32p-14, 0x1.43f487e8bdb9cp-14, 0x1.3a8e0a6e1f8f2p-14, 0x1.316f0530f7fccp-14, 0x1.28991acae9a43p-14, 0x1.2008b96d793f7p-14, 0x1.17bda157fc8d4p-14, 0x1.0fb2df7fbd322p-14, 0x1.07e6b50e2a5c3p-14, 0x1.00570434ab4b8p-14, 0x1.f20297261c77dp-15, 0x1.e3c6e337e4281p-15, 0x1.d5f6cd95dd32cp-15, 0x1.c88e78a86d046p-15, 0x1.bb8a0ae4f0d0bp-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.3a1f6f875b1f6p-5, 0x1.588e1dd3fda2ep-5, 0x1.75bf84a8a2a4fp-5, 0x1.910d47d3f3803p-5, 0x1.a9f339ed54d6p-5, 0x1.c01c63f987b5ap-5, 0x1.d334b82eb4364p-5, 0x1.e2f58cce95413p-5, 0x1.ef3c1db3612e9p-5, 0x1.f7f687fea037ap-5, 0x1.fd153e9db49b3p-5, 0x1.fe95af4334affp-5, 0x1.fc87f8940677ep-5, 0x1.f70556b817926p-5, 0x1.ee295049003d8p-5, 0x1.e2149d2c3e772p-5, 0x1.d2eff48138ce3p-5, 0x1.c0e91ff6c1a2ep-5, 0x1.ac2f13a390194p-5, 0x1.94f14e3589c51p-5, 0x1.7b60d24d8460fp-5, 0x1.5fb1f5f471becp-5, 0x1.4219d715b0b8bp-5, 0x1.22be95ba8ad6ep-5, 0x1.01d0ca07b2199p-5, 0x1.bf0650590beap-6, 0x1.780e97b9858a8p-6, 0x1.2f15e1c717592p-6, 0x1.c8dbd276ddfcp-7, 0x1.30c06ccbc28d3p-7, 0x1.2cc5a272f8fcbp-8, -0x1.6de58f711bdd2p-13, -0x1.46156fe66890bp-8, -0x1.41155b8f43f2dp-7, -0x1.df5cc8d565e95p-7, -0x1.3eb824f3b300ap-6, -0x1.8d7593948e8d5p-6, -0x1.dbba5751d011ap-6, -0x1.14afa3b88cb32p-5, -0x1.3b2095ba91631p-5, -0x1.611fc76466923p-5, -0x1.869e04189cef1p-5, -0x1.ab8d08938eb8cp-5, -0x1.cfdfa512895abp-5, -0x1.f389f53ff8606p-5, -0x1.0b40c74fc315cp-4, -0x1.1c5ec8930eb7ap-4, -0x1.2d1b4a31b835ap-4, -0x1.3d733cf032c42p-4, -0x1.4d641a7f5e44p-4, -0x1.5cebcb45dfa0dp-4, -0x1.6c0891b7a5474p-4, -0x1.7ab8fcb92d10fp-4, -0x1.88fbe197694d2p-4, -0x1.96d05c804458p-4, -0x1.a435d4336f86ap-4, -0x1.b12bfcd1ed4d3p-4, -0x1.bdb2d719d2897p-4, -0x1.c9caab9f98e2p-4, -0x1.d57402fc00978p-4, -0x1.e0af9c17af032p-4, -0x1.eb7e61a0180e5p-4, -0x1.f5e15fffb34c1p-4, -0x1.ffd99c102719ep-4, -0x1.04b49b13cfd69p-3, -0x1.09484b6c0ec4ep-3, -0x1.0da88f59fd83ap-3, -0x1.11d6288e0b869p-3, -0x1.15d1e894eb88p-3, -0x1.199cade05a6c7p-3, -0x1.1d3760136a4d8p-3, -0x1.20a2ec67a2747p-3, -0x1.23e042cf149p-3, -0x1.26f054189372cp-3, -0x1.29d41102588a8p-3, -0x1.2c8c69f4ae3dcp-3, -0x1.2f1a4f151c242p-3, -0x1.317eb071a325cp-3, -0x1.33ba7e18fdc3dp-3, -0x1.35cea8068742cp-3, -0x1.37bc1dd733a2fp-3, -0x1.3983ce4b572e5p-3, -0x1.3b26a6a7827cp-3, -0x1.3ca59210e5344p-3, -0x1.3e0179035c63bp-3, -0x1.3f3b40f6d8104p-3, -0x1.4053cc3b47536p-3, -0x1.414bfa031b13dp-3, -0x1.4224a68a2c13ep-3, -0x1.42deab4340e35p-3, -0x1.437adef89521fp-3, -0x1.43fa15d1ae322p-3, -0x1.445d213881137p-3, -0x1.44a4cf9f9e8f4p-3, -0x1.44d1ec3173865p-3, -0x1.44e53e74950bdp-3, -0x1.44df89f1ff3e8p-3, -0x1.44c18de8ad68dp-3, -0x1.448c0516ef6bcp-3, -0x1.443fa59e9f772p-3, -0x1.43dd21060f882p-3, -0x1.43652454b23b8p-3, -0x1.42d85847b7619p-3, -0x1.42376198732fcp-3, -0x1.4182e14c5729p-3, -0x1.40bb750561c4fp-3, -0x1.3fe1b74a7cc4ap-3, -0x1.3ef63fc0e5b5fp-3, -0x1.3df9a3529d425p-3, -0x1.3cec7440a7ab8p-3, -0x1.3bcf42227e4bcp-3, -0x1.3aa299d5dede3p-3, -0x1.396705631b9a6p-3, -0x1.381d0bda6aab3p-3, -0x1.36c5312ececcfp-3, -0x1.355ff612d21cdp-3, -0x1.33edd7daf0a96p-3, -0x1.326f5068f2ep-3, -0x1.30e4d622ada44p-3, -0x1.2f4edbf591968p-3, -0x1.2dadd16789f59p-3, -0x1.2c0222b45febp-3, -0x1.2a4c38f602342p-3, -0x1.288c7a554507cp-3, -0x1.26c34a4016cd3p-3, -0x1.24f109a212e1p-3, -0x1.2316171c6efb4p-3, -0x1.2132cf3a9a675p-3, -0x1.1f478ca17d854p-3, -0x1.1d54a837ec8d3p-3, -0x1.1b5a79476fe8fp-3, -0x1.195955952e407p-3, -0x1.1751917322701p-3, -0x1.15437fca2cca3p-3, -0x1.132f721dc4ab4p-3, -0x1.1115b88a5081ap-3, -0x1.0ef6a1bf34f4cp-3, -0x1.0cd27af5cb865p-3, -0x1.0aa98fe678ee8p-3, -0x1.087c2abd0ba16p-3, -0x1.064a940d66dbfp-3, -0x1.041512c9778a9p-3, -0x1.01dbec3906d0dp-3, -0x1.ff3ec7e801372p-4, -0x1.fabf77beaba5ap-4, -0x1.f63a685943801p-4, -0x1.f1b016b8e5fdfp-4, -0x1.ed249ed1f7e87p-4, -0x1.e8913f76250dep-4, -0x1.e3f9f69d57182p-4, -0x1.df5f3498fe4a8p-4, -0x1.dac166c4d06dap-4, -0x1.d620f798f975dp-4, -0x1.d17e4ebddf06ap-4, -0x1.ccd9d120b007dp-4, -0x1.c833e1080cdb4p-4, -0x1.c38cde2832ab8p-4, -0x1.bee525b64ad36p-4, -0x1.ba3d127a947b4p-4, -0x1.b594fce156d49p-4, -0x1.b0ed3b0a8a5cap-4, -0x1.ac4620d85fd91p-4, -0x1.a79ffffc9e065p-4, -0x1.a2fb28051fd9dp-4, -0x1.9e57e66771969p-4, -0x1.99b6868bb3671p-4, -0x1.951751d6ef3acp-4, -0x1.907a8fb4ce05cp-4, -0x1.8be085a0f0772p-4, -0x1.8749772fe200ep-4, -0x1.82b5a617ba3f1p-4, -0x1.7e2552388cc26p-4, -0x1.7998b9a4a360ap-4, -0x1.751018a89fe35p-4, -0x1.708ba9d38f76cp-4, -0x1.6c0ba5fee4f1p-4, -0x1.679044567832dp-4, -0x1.6319ba606d147p-4, -0x1.5ea83c05142a5p-4, -0x1.5a3bfb96a6985p-4, -0x1.55d529d8e3758p-4, -0x1.5173f608734fp-4, -0x1.4d188de20e9ffp-4, -0x1.48c31da957c2p-4, -0x1.4473d02f617b4p-4, -0x1.402aced8db4cdp-4, -0x1.3be841a3e5cacp-4, -0x1.37ac4f2d85acp-4, -0x1.33771cb6c7551p-4, -0x1.2f48ce298dc56p-4, -0x1.2b21861d20997p-4, -0x1.270165da70b1cp-4, -0x1.22e88d6035711p-4, -0x1.1ed71b66dc3dbp-4, -0x1.1acd2d6454d35p-4, -0x1.16cadf8fce74p-4, -0x1.12d04ce5667fp-4, -0x1.0edd8f29d3afep-4, -0x1.0af2beee142e5p-4, -0x1.070ff39322d47p-4, -0x1.0335434db8113p-4, -0x1.fec586544840bp-5, -0x1.f7310e2073978p-5, -0x1.efad438e9ace9p-5, -0x1.e83a49f4a7a45p-5, -0x1.e0d842782b0b1p-5, -0x1.d9874c16f37b5p-5, -0x1.d24783afa129p-5, -0x1.cb1903fd7ebdbp-5, -0x1.c3fbe5da81f05p-5, -0x1.bcf03ffc6a198p-5, -0x1.b5f62707ffc5fp-5, -0x1.af0dafc451c9bp-5, -0x1.a836e557ed7a8p-5, -0x1.a171dc952c6bep-5, -0x1.9abea0c38cf1p-5, -0x1.941d3d52df671p-5, -0x1.8d8dbbf4c3dd4p-5, -0x1.871024a48eb83p-5, -0x1.80a47db23ac74p-5, -0x1.7a4acbcc56a2ap-5, -0x1.74031209c3f1ep-5, -0x1.6dcd51f36b161p-5, -0x1.67a98b8decb79p-5, -0x1.6197bd63264abp-5, -0x1.5b97e48bb0f2fp-5, -0x1.55a9fcb846b74p-5, -0x1.4fce003b05951p-5, -0x1.4a03e810a4dacp-5, -0x1.444babe9636f7p-5, -0x1.3ea5423209cedp-5, -0x1.3910a01d94334p-5, -0x1.338db9acd18f4p-5, -0x1.2e1c81b7782efp-5, -0x1.28bce9f4f8e86p-5, -0x1.236ee304d456p-5, -0x1.1e325c76db4efp-5, -0x1.190744cc04d2bp-5, -0x1.13ed8996ee6fcp-5, -0x1.0ee5177e9bf37p-5, -0x1.09edda023c912p-5, -0x1.0507bbeb8a9d1p-5, -0x1.0032a705b0a16p-5, -0x1.f6dd0922f0f33p-6, -0x1.ed7679045dc58p-6, -0x1.e4316cc789175p-6, -0x1.db0db1d12e54bp-6, -0x1.d20b13a030dc6p-6, -0x1.c9295d152494ap-6, -0x1.c068573152edbp-6, -0x1.b7c7c9cce9e0fp-6, -0x1.af477b833ca66p-6, -0x1.a6e731c019ff7p-6, -0x1.9ea6b0cce8cdap-6, -0x1.9685bbdd9bd8ep-6, -0x1.8e84151d80fefp-6, -0x1.86a17dbb80d48p-6, -0x1.7eddb5f6465a2p-6, -0x1.77387d287b193p-6, -0x1.6fb191d47d8d4p-6, -0x1.6848b1affeec9p-6, -0x1.60fd99af4d339p-6, -0x1.59d006107e39ap-6, -0x1.52bfb265711d7p-6, -0x1.4bcc59b2ca3bdp-6, -0x1.44f5b62175644p-6, -0x1.3e3b81baaac5cp-6, -0x1.379d75b3dfe2fp-6, -0x1.311b4ae7ebc7ap-6, -0x1.2ab4b9c039f29p-6, -0x1.24697a1d8d5c3p-6, -0x1.1e394415e81ep-6, -0x1.1823ce99ab04bp-6, -0x1.1228d0d529954p-6, -0x1.0c480198f2b9bp-6, -0x1.0681177b86c6cp-6, -0x1.00d3c8e58f606p-6, -0x1.f67f9828d08bap-7, -0x1.eb89ae367b71bp-7, -0x1.e0c5405714454p-7, -0x1.d631ba03cb736p-7, -0x1.cbce87a4c38dbp-7, -0x1.c19b14a87fe21p-7, -0x1.b796cd1a18986p-7, -0x1.adc11cf826e22p-7, -0x1.a4197065afcc6p-7, -0x1.9a9f338a23ebdp-7, -0x1.9151d373c7483p-7, -0x1.8830bcc7169c5p-7, -0x1.7f3b5c9232c0bp-7, -0x1.7671208b66be8p-7, -0x1.6dd176b9aad9p-7, -0x1.655bcd9a78b2cp-7, -0x1.5d0f942c932abp-7, -0x1.54ec39f99b69dp-7, -0x1.4cf12ef3ee7f2p-7, -0x1.451de454d8832p-7, -0x1.3d71cb17a01d5p-7, -0x1.35ec555a4040ep-7, -0x1.2e8cf5f0d6116p-7, -0x1.2753205ebf224p-7, -0x1.203e48ed27ec9p-7, -0x1.194de4c200712p-7, -0x1.128169b1cae53p-7, -0x1.0bd84e8cd1269p-7, -0x1.05520af7068e4p-7, -0x1.fddc2eeaa2909p-8, -0x1.f157daf2b58dap-8, -0x1.e5160ec907091p-8, -0x1.d915c10f8d2ep-8, -0x1.cd55ea5d698b6p-8, -0x1.c1d5854fda53dp-8, -0x1.b6938e7fb415dp-8, -0x1.ab8f048abdeebp-8, -0x1.9ecbbc5a7b4dfp-8, -0x1.9454bc9572e25p-8, -0x1.8a180e6c755c9p-8, -0x1.8014b489b4f3p-8, -0x1.7649b44a1bd8cp-8, -0x1.6cb614fc3a147p-8, -0x1.6358e00ee7fb1p-8, -0x1.5a31211af0122p-8, -0x1.513de5c2dc10fp-8, -0x1.487e3e533aec2p-8, -0x1.3ff13cb559142p-8, -0x1.3795f5847cf78p-8, -0x1.2f6b7f8e3090fp-8, -0x1.2770f3fbac48ep-8, -0x1.1fa56e511fb8p-8, -0x1.18080c9d1a4a8p-8, -0x1.1097ef312f3e5p-8, -0x1.095439176d03fp-8, -0x1.023c0fd90e34ep-8, -0x1.f69d370dc5277p-9, -0x1.e9160e1a81135p-9, -0x1.dbe0ff128cacbp-9, -0x1.cefc6ae7a588fp-9, -0x1.c266b77c4846dp-9, -0x1.b61e5036b4032p-9, -0x1.aa21a5b6d36fcp-9, -0x1.9e6f2bb14c317p-9, -0x1.93056ac6fbc39p-9, -0x1.87e2d956a1dc5p-9, -0x1.7d0603b3285a9p-9, -0x1.726d78be8e372p-9, -0x1.6817cc8cab066p-9, -0x1.5e03992037d5bp-9, -0x1.542f7ec20924cp-9, -0x1.4a9a238f973dfp-9, -0x1.414233253a09dp-9, -0x1.382660ca3a369p-9, -0x1.2f4562b654f91p-9, -0x1.269df6c25816ap-9, -0x1.1e2ee02d8a749p-9, -0x1.15f6e7b4d5a57p-9, -0x1.0df4dbd542b3bp-9, -0x1.062790641e91bp-9, -0x1.fd1bbd66acf42p-10, -0x1.ee4d4ac1f6e8p-10, -0x1.dfe19091552ep-10, -0x1.d1d660d5c83e1p-10, -0x1.c42997aad86e6p-10, -0x1.b6d91b18b36fep-10, -0x1.a9e2dad0ae3f1p-10, -0x1.9d44cfaf1cb35p-10, -0x1.90fcfca102bedp-10, -0x1.85096f9cb5ce3p-10, -0x1.79683a6d6d61fp-10, -0x1.6e177beebee9ap-10, -0x1.63155a8f4dd73p-10, -0x1.58600542626e2p-10, -0x1.4df5b364e55bcp-10, -0x1.43d4a4a56d317p-10, -0x1.39fb206e09881p-10, -0x1.3067775f27472p-10, -0x1.2717fec83fae2p-10, -0x1.1e0b188f61c03p-10, -0x1.153f2aa366739p-10, -0x1.0cb2a3909e23fp-10, -0x1.0463f9a98718ep-10, -0x1.f8a353cba5d5bp-11, -0x1.e8f47140fb6aap-11, -0x1.d9b86495948c9p-11, -0x1.caec5331388f9p-11, -0x1.bc8d70e57f326p-11, -0x1.ae98e0e5d3a25p-11, -0x1.a10c4db129adbp-11, -0x1.93e4b8e618bdbp-11, -0x1.871f81253bd24p-11, -0x1.7aba9ded4ab9dp-11, -0x1.6eb3136b55949p-11, -0x1.63069dda57f98p-11, -0x1.57b2dcf2b932fp-11, -0x1.4cb57adc4b67dp-11, -0x1.420c2f7ea60b9p-11, -0x1.37b4becbb11b7p-11, -0x1.2dacf960c43c8p-11, -0x1.23f2ba9a46695p-11, -0x1.1a83eb7559fbcp-11, -0x1.115e7f83e9cfap-11, -0x1.08807645ccb4fp-11, -0x1.ffcfb5424fb9cp-12, -0x1.ef25858981a7fp-12, -0x1.defea0270d64p-12, -0x1.cf575c833fbb3p-12, -0x1.c02c29379a45ap-12, -0x1.b1798938e1026p-12, -0x1.a33c154ca920bp-12, -0x1.957078e84fe55p-12, -0x1.88137863579c3p-12, -0x1.7b21df8207d7fp-12, -0x1.6e989ff225759p-12, -0x1.6274b169b8b31p-12, -0x1.56b3226b9c28bp-12, -0x1.4b5114f44cd17p-12, -0x1.404ba70eeefb1p-12, -0x1.35a0588af8125p-12, -0x1.2b4c45f2e2efcp-12, -0x1.214ceb29e9851p-12, -0x1.179fc09888ceap-12, -0x1.0e424fa58bd29p-12, -0x1.053231d4d73f8p-12, -0x1.f8da21d7ab5ap-13, -0x1.e7e14d59bd723p-13, -0x1.d77751f4f98d3p-13, -0x1.c79249365f963p-13, -0x1.b83395e761695p-13, -0x1.a95545b29171dp-13, -0x1.9af35dce6181ap-13, -0x1.8d09ff6a56ae4p-13, -0x1.7f9573eb6d59cp-13, -0x1.7291e87c68012p-13, -0x1.65fc810dbbec7p-13, -0x1.59d01e451f1fcp-13, -0x1.4e0a8befde2e4p-13, -0x1.42a94fa6a1651p-13, -0x1.37a7e97195c88p-13, -0x1.2d03aced0337p-13, -0x1.22b9a19b5e14fp-13, -0x1.18c6eba850fb4p-13, -0x1.0f288c4a13eb2p-13, -0x1.05dbea9dce611p-13, -0x1.f9bca019000c9p-14, -0x1.e85a47c1386b1p-14, -0x1.d78bc82878a4p-14, -0x1.c74c40ccdea9bp-14, -0x1.b796f68760bbep-14, -0x1.a86751c95809p-14, -0x1.99b8e13d022p-14, -0x1.8b8756b7fc4edp-14, -0x1.7dccfcc0cdb7dp-14, -0x1.708a3eef40737p-14, -0x1.63b6bc00bacd3p-14, -0x1.57502130da644p-14, -0x1.4b52bdceaefcbp-14, -0x1.3fbafd5343fc4p-14, -0x1.34856a26865dfp-14, -0x1.29aeb72e9e331p-14, -0x1.1f338497fdb9ap-14, -0x1.1510c0e2cdb5dp-14, -0x1.0b44d9318e0f8p-14, -0x1.01c884cac4b85p-14, -0x1.f13a75a1de6fcp-15, -0x1.df7d96e713068p-15, -0x1.ce551be5d2731p-15, -0x1.bdbbd92f176c8p-15, -0x1.adacd9e222413p-15, -0x1.9e250a5a225c2p-15, -0x1.8f1a86fac0cdap-15, -0x1.808df7fe8e417p-15, -0x1.727968d402183p-15, -0x1.64d87ecd02bc8p-15, -0x1.57a78d0e6fae3p-15, -0x1.4ae2313435991p-15, -0x1.3e84e4e6de1acp-15, -0x1.328c016382772p-15, -0x1.26f3e69dbc6acp-15, -0x1.1bb952d8d623dp-15, -0x1.10d8ec5d3edf4p-15, -0x1.064f8f46a187ep-15, -0x1.f834630c2c525p-16, -0x1.e46bedecf6d04p-16, -0x1.d13fd4babb77ep-16, -0x1.beaa94f3d0eb5p-16, -0x1.aca73c122597p-16, -0x1.9b30baec990eep-16, -0x1.8a37f5e6ead6ep-16, -0x1.79d6770f8fcc2p-16, -0x1.69e9a1c7866ebp-16, -0x1.5a7731ea09b3cp-16, -0x1.4b7a5f2bec1a2p-16, -0x1.3cf0fd3403877p-16, -0x1.2ed564e31b35p-16, -0x1.21246ddd9b86ap-16, -0x1.13daccf6ba381p-16, -0x1.06f4ea338ae41p-16, -0x1.f4df39c2274d4p-17, -0x1.dc8fa56ce77fbp-17, -0x1.c4f5b411d7261p-17, -0x1.ae0bbb17e3b74p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.89e979f2d3f23p-5, 0x1.b059823ac5353p-5, 0x1.d806392bf816ap-5, 0x1.006a4b17ec57ap-4, 0x1.1554ae70b81c2p-4, 0x1.2ab4a6324c8dcp-4, 0x1.407ca4b73c463p-4, 0x1.569f41a0e4f8fp-4, 0x1.6d0f49f68ad1cp-4, 0x1.83bfce0f6f1dap-4, 0x1.9aa42d72fdd03p-4, 0x1.b1b020d9f58a5p-4, 0x1.c8d7c27a4c048p-4, 0x1.e00f94c601f1cp-4, 0x1.f74c87c310868p-4, 0x1.0741fe903df5ap-3, 0x1.12d5e5954476ep-3, 0x1.1e5d1f5ec4105p-3, 0x1.29d30e2a78652p-3, 0x1.35335028f3e08p-3, 0x1.4079bf4946dcap-3, 0x1.4ba270b8a24fdp-3, 0x1.56a9b420a9fb4p-3, 0x1.618c12ae1a4aap-3, 0x1.6c464de8ae3ccp-3, 0x1.76d55e64361c9p-3, 0x1.8136725219bcbp-3, 0x1.8b66ebf9b93cdp-3, 0x1.9564601d5ddb8p-3, 0x1.9f2c9450e5c45p-3, 0x1.a8bd7d468630cp-3, 0x1.b2153d15a8212p-3, 0x1.bb32217f25f08p-3, 0x1.c412a231e463fp-3, 0x1.ccb55f123c1fbp-3, 0x1.d5191e864346ep-3, 0x1.dd3ccbc8b7df9p-3, 0x1.e51f7543fe2ccp-3, 0x1.ecc04af64d594p-3, 0x1.f41e9cdffc585p-3, 0x1.fb39d97c99a01p-3, 0x1.0108c623accd2p-2, 0x1.0452ae2595eb3p-2, 0x1.077a855f5b28cp-2, 0x1.0a8038d6282bap-2, 0x1.0d63c152fd9c8p-2, 0x1.102522c2a411cp-2, 0x1.12c46b9b84d4dp-2, 0x1.1541b4494e8cdp-2, 0x1.179d1e9e4a8cbp-2, 0x1.19d6d54a3dd09p-2, 0x1.1bef0b56b19bfp-2, 0x1.1de5fba87de52p-2, 0x1.1fbbe8866d881p-2, 0x1.21711b24cda2fp-2, 0x1.2305e335c329ap-2, 0x1.247a967e3b974p-2, 0x1.25cf906f4c522p-2, 0x1.270531c3dbcffp-2, 0x1.281be022680f1p-2, 0x1.291405c2c5e44p-2, 0x1.29ee1117b2d87p-2, 0x1.2aaa747c11925p-2, 0x1.2b49a5e3b03eap-2, 0x1.2bcc1e8f75585p-2, 0x1.2c325ac4ce4fbp-2, 0x1.2c7cd988461c9p-2, 0x1.2cac1c5b1dea5p-2, 0x1.2cc0a6fbcfabdp-2, 0x1.2cbaff29592bep-2, 0x1.2c9bac6936f7fp-2, 0x1.2c6337cff613fp-2, 0x1.2c122bcc3fe14p-2, 0x1.2ba913f445d46p-2, 0x1.2b287cd57ee81p-2, 0x1.2a90f3c696403p-2, 0x1.29e306bb79d74p-2, 0x1.291f441b764cp-2, 0x1.28463a9945dcdp-2, 0x1.2758790d0872dp-2, 0x1.26568e5008274p-2, 0x1.2541091a42c83p-2, 0x1.241877e19e6a1p-2, 0x1.22dd68bac03a9p-2, 0x1.2190693b6eb5ep-2, 0x1.2032065e79f6ep-2, 0x1.1ec2cc690ede7p-2, 0x1.1d4346d175f2ep-2, 0x1.1bb4002721602p-2, 0x1.1a1581fc0c4d8p-2, 0x1.186854cf51943p-2, 0x1.16acfff8f967bp-2, 0x1.14e40996eb057p-2, 0x1.130df67af9a07p-2, 0x1.112b4a1a05f0ap-2, 0x1.0f3c867c21eb9p-2, 0x1.0d422c2db6a85p-2, 0x1.0b3cba319c272p-2, 0x1.092cadf41bf5p-2, 0x1.0712833ed8108p-2, 0x1.04eeb42d8b12cp-2, 0x1.02c1b9239b736p-2, 0x1.008c08c277594p-2, 0x1.fc9c2fc16e6cfp-3, 0x1.f810b303f3f96p-3, 0x1.f3767d9eedeb6p-3, 0x1.eece6e227f0eap-3, 0x1.ea195f505030ap-3, 0x1.e5582810a3d9p-3, 0x1.e08b9b68ab116p-3, 0x1.dbb48871fb90ep-3, 0x1.d6d3ba53339cbp-3, 0x1.d1e9f839a78dp-3, 0x1.ccf8055429ac8p-3, 0x1.c7fea0cecb05ep-3, 0x1.c2fe85cf9a669p-3, 0x1.bdf86b744d5bp-3, 0x1.b8ed04d0d86cp-3, 0x1.b3dd00eeda778p-3, 0x1.aec90acde5b25p-3, 0x1.a9b1c9648f74fp-3, 0x1.a497dfa245f19p-3, 0x1.9f7bec71e4ca2p-3, 0x1.9a5e8abcfed9bp-3, 0x1.9540516fcc7a6p-3, 0x1.9021d37dce1d2p-3, 0x1.8b039fe70388dp-3, 0x1.85e641bdbd08p-3, 0x1.80ca402d04c2ep-3, 0x1.7bb01e7f87a43p-3, 0x1.76985c270f609p-3, 0x1.718374c4709a8p-3, 0x1.6c71e02ff6cep-3, 0x1.6764128242964p-3, 0x1.625a7c1d9180cp-3, 0x1.5d5589b771309p-3, 0x1.5855a462d09f7p-3, 0x1.535b319a6cd9ep-3, 0x1.4e66934b9a174p-3, 0x1.497827e159586p-3, 0x1.44904a4fbd303p-3, 0x1.3faf521f940a1p-3, 0x1.3ad5937a5b717p-3, 0x1.36035f3669e33p-3, 0x1.313902e35a974p-3, 0x1.2c76c8d6a7e8bp-3, 0x1.27bcf8387fcbcp-3, 0x1.230bd510b9b0fp-3, 0x1.1e63a054012e7p-3, 0x1.19c497f11e921p-3, 0x1.152ef6de63839p-3, 0x1.10a2f52733cc4p-3, 0x1.0c20c7f9aa451p-3, 0x1.07a8a1b451ff1p-3, 0x1.033ab1f3f1e57p-3, 0x1.fdae4b42d5af1p-4, 0x1.f4fc4dff3999fp-4, 0x1.ec5fbb72bb21fp-4, 0x1.e3d8ddded46d7p-4, 0x1.db67fa8ccf03bp-4, 0x1.d30d51e9b143ap-4, 0x1.cac91fa232e42p-4, 0x1.c29b9abea361bp-4, 0x1.ba84f5bebed43p-4, 0x1.b2855eb56f6a7p-4, 0x1.aa9cff6479ca6p-4, 0x1.a2cbfd58047e9p-4, 0x1.9b127a01ffb9fp-4, 0x1.937092d566ee8p-4, 0x1.8be661615b83p-4, 0x1.8473fb6c06b64p-4, 0x1.7d19730d522aap-4, 0x1.75d6d6c96691p-4, 0x1.6eac31aaf0ccep-4, 0x1.67998b5d2b75p-4, 0x1.609ee845a7f14p-4, 0x1.59bc499dd3dd8p-4, 0x1.52f1ad8c3ade8p-4, 0x1.4c3f0f3d7e39cp-4, 0x1.45a466fd02e45p-4, 0x1.3f21aa4d51fc8p-4, 0x1.38b6cc002aa1p-4, 0x1.3263bc4e4145ap-4, 0x1.2c2868eead948p-4, 0x1.2604bd2e013aap-4, 0x1.1ff8a2050a16p-4, 0x1.1a03fe2f3ad85p-4, 0x1.1426b640bad2cp-4, 0x1.0e60acbc19bf8p-4, 0x1.08b1c227aa008p-4, 0x1.0319d5227aa35p-4, 0x1.fb3184f1ec2d6p-5, 0x1.f05cca7242b5ap-5, 0x1.e5b52d8cf5915p-5, 0x1.db3a5ddaf300fp-5, 0x1.d0ec07ed5aa32p-5, 0x1.c6c9d572f787ap-5, 0x1.bcd36d5cfadb5p-5, 0x1.b3087402f1e5dp-5, 0x1.a9688b45f9cfap-5, 0x1.9ff352b32f6dap-5, 0x1.96a867a55d2f9p-5, 0x1.8d876565e45fdp-5, 0x1.848fe54ce6482p-5, 0x1.7bc17ee0a8a7ep-5, 0x1.731bc7f43bd1bp-5, 0x1.6a9e54c55e90dp-5, 0x1.6248b819a24ep-5, 0x1.5a1a835ad45f5p-5, 0x1.521346b2a412cp-5, 0x1.4a32912594ed7p-5, 0x1.4277f0ad2eb3bp-5, 0x1.3ae2f2517ab3dp-5, 0x1.33732241c6979p-5, 0x1.2c280becb369dp-5, 0x1.25013a1790d2bp-5, 0x1.1dfe36f5053bbp-5, 0x1.171e8c3b08d97p-5, 0x1.1061c33830c92p-5, 0x1.09c764e850f0fp-5, 0x1.034efa0871d4p-5, 0x1.f9f01654442bbp-6, 0x1.ed84418c43d9bp-6, 0x1.e159869cd758ep-6, 0x1.d56ef67f3bf74p-6, 0x1.c9c3a2638f6d1p-6, 0x1.be569bd12f31p-6, 0x1.b326f4c5ed6e9p-6, 0x1.a833bfd411c5cp-6, 0x1.9d7c103f38d38p-6, 0x1.92fefa181337p-6, 0x1.88bb925702abdp-6, 0x1.7eb0eef5a6d03p-6, 0x1.74de270753f6ap-6, 0x1.6b4252d07ff8cp-6, 0x1.61dc8bdd25c02p-6, 0x1.58abed162ac74p-6, 0x1.4faf92d5c8ae5p-6, 0x1.46e69afafa314p-6, 0x1.3e5024fbff316p-6, 0x1.35eb51f7ef61dp-6, 0x1.2db744c768416p-6, 0x1.25b3220c5a9a3p-6, 0x1.1dde1040fb0c7p-6, 0x1.163737c5dd611p-6, 0x1.0ebdc2ef3eddfp-6, 0x1.0770de11826c4p-6, 0x1.004fb78ceb3a5p-6, 0x1.f2b2ffb11ad22p-7, 0x1.e51ad3191c316p-7, 0x1.d7d552d743e46p-7, 0x1.cae0ecd7bbc1fp-7, 0x1.be3c137db8333p-7, 0x1.b1e53db26f131p-7, 0x1.a5dae6f2c1026p-7, 0x1.9a1b8f5bb6f5cp-7, 0x1.8ea5bbb5baa97p-7, 0x1.8377f57eaffa8p-7, 0x1.7890caf2e9839p-7, 0x1.6deecf1507f99p-7, 0x1.639099b4ce212p-7, 0x1.5974c774e2544p-7, 0x1.4f99f9cfaaa0cp-7, 0x1.45fed71b1797p-7, 0x1.3ca20a8ba32adp-7, 0x1.3382443652888p-7, 0x1.2a9e3911ebb45p-7, 0x1.21f4a2f75369ap-7, 0x1.198440a12171p-7, 0x1.114bd5aa7179ep-7, 0x1.094a2a8cf8128p-7, 0x1.017e0c9e652a8p-7, 0x1.f3cc9c1a30255p-8, 0x1.e5038bb85f0c7p-8, 0x1.d69e9fbdf510ep-8, 0x1.c89b9967a3a4fp-8, 0x1.baf8437cc1287p-8, 0x1.adb27242c498ep-8, 0x1.a0c8036fbc9c5p-8, 0x1.9436de1bc6f82p-8, 0x1.87fcf2b19c6fdp-8, 0x1.7c183ade38ec9p-8, 0x1.7086b97fab311p-8, 0x1.65467a9319537p-8, 0x1.5a55932204b02p-8, 0x1.4fb2212ed6e6dp-8, 0x1.455a4ba0c324bp-8, 0x1.3b4c422f06fdcp-8, 0x1.31863d4b92b6cp-8, 0x1.28067e0d236ap-8, 0x1.1ecb4e18da92p-8, 0x1.15d2ff8b56e97p-8, 0x1.0d1bece15e64dp-8, 0x1.04a478e01b862p-8, 0x1.f8d61cf9f4482p-9, 0x1.e8dc418a528f1p-9, 0x1.d95855899c704p-9, 0x1.ca475edbd2929p-9, 0x1.bba672fdf6145p-9, 0x1.ad72b6d2d560fp-9, 0x1.9fa95e6f75f34p-9, 0x1.9247ace718c26p-9, 0x1.854af416f4ef8p-9, 0x1.78b09471adc62p-9, 0x1.6c75fcca8acf2p-9, 0x1.6098aa208bdcap-9, 0x1.55162769551dep-9, 0x1.49ec0d5c05ce6p-9, 0x1.3f18023c0282dp-9, 0x1.3497b9a3bc152p-9, 0x1.2a68f44f7c31bp-9, 0x1.20897fe84117dp-9, 0x1.16f736ceb18edp-9, 0x1.0dafffe62f42p-9, 0x1.04b1ce6013545p-9, 0x1.f7f5430e335dp-10, 0x1.e7110916002e4p-10, 0x1.d6b31c98cd312p-10, 0x1.c6d7c251e267ap-10, 0x1.b77b558f6a064p-10, 0x1.a89a47cbea999p-10, 0x1.9a3120486a0eap-10, 0x1.8c3c7ba74a811p-10, 0x1.7eb90b87e4303p-10, 0x1.71a39622e8fd3p-10, 0x1.64f8f5e79ef53p-10, 0x1.58b61919ec469p-10, 0x1.4cd8017150c67p-10, 0x1.415bc3b8c1c49p-10, 0x1.363e876f7d926p-10, 0x1.2b7d866acdba1p-10, 0x1.21160c78d40cdp-10, 0x1.170577044d235p-10, 0x1.0d4934b966b65p-10, 0x1.03dec52b9cc04p-10, 0x1.f58770f952af1p-11, 0x1.e3eb5e091aa9dp-11, 0x1.d2e4b1f55ed2fp-11, 0x1.c26eec403177bp-11, 0x1.b285aad5a2d3fp-11, 0x1.a324a964be98fp-11, 0x1.9447c0bad0725p-11, 0x1.85eae620f88ap-11, 0x1.780a2abc0e052p-11, 0x1.6aa1baeed554bp-11, 0x1.5dadddbe8bb36p-11, 0x1.512af439c9d76p-11, 0x1.451578e1be4cp-11, 0x1.3969ff15c1b37p-11, 0x1.2e253281423bfp-11, 0x1.2343d68c0a58p-11, 0x1.18c2c5ccddfcap-11, 0x1.0e9ef17e6ffb1p-11, 0x1.04d560f6ac14cp-11, 0x1.f6c66240ae455p-12, 0x1.e48b27edfd1f8p-12, 0x1.d2f3a00a71e6p-12, 0x1.c1fa7fca64c31p-12, 0x1.b19aa38702a49p-12, 0x1.a1cf0dc8890bep-12, 0x1.9292e654fd621p-12, 0x1.83e1794367ec6p-12, 0x1.75b6361381427p-12, 0x1.680caec9c778bp-12, 0x1.5ae0970ffa8a8p-12, 0x1.4e2dc359ed8e3p-12, 0x1.41f0280ea6d7p-12, 0x1.3623d8b5c4aap-12, 0x1.2ac507291903p-12, 0x1.1fd002ca73dbp-12, 0x1.154137bd927acp-12, 0x1.0b152e261dc87p-12, 0x1.01488969bdde4p-12, 0x1.efb00eec432ep-13, 0x1.dd810015ffd42p-13, 0x1.cbfdc80ff3c01p-13, 0x1.bb20797cb13bfp-13, 0x1.aae3568d28546p-13, 0x1.9b40cfb33684ap-13, 0x1.8c33825b98ffdp-13, 0x1.7db637af220f5p-13, 0x1.6fc3e35b24055p-13, 0x1.6257a260eb068p-13, 0x1.556cb9ec2b8dap-13, 0x1.48fe963055719p-13, 0x1.3d08c94c9d7e1p-13, 0x1.31870a36b91e4p-13, 0x1.267533ac1a8fbp-13, 0x1.1bcf4329a1e69p-13, 0x1.119157e9a0aadp-13, 0x1.07b7b1e815072p-13, 0x1.fc7d61da0c0bdp-14, 0x1.ea45a739b9a9ep-14, 0x1.d8c16d1d53e46p-14, 0x1.c7ea26d064758p-14, 0x1.b7b97fff6ae49p-14, 0x1.a8295b067eda1p-14, 0x1.9933cf4afda1p-14, 0x1.8ad3279ff8ccap-14, 0x1.7d01e0b529a8ep-14, 0x1.6fbaa7904a1d8p-14, 0x1.62f85810905bfp-14, 0x1.56b5fb7c1eb0cp-14, 0x1.4aeec717361bcp-14, 0x1.3f9e1ac4f62e7p-14, 0x1.34bf7fb17ccb1p-14, 0x1.2a4ea7052ca9dp-14, 0x1.204768a0f5b5ap-14, 0x1.16a5c1e361a4ap-14, 0x1.0d65d4763fdfp-14, 0x1.0483e524bb327p-14, 0x1.f7f8b5735a611p-15, 0x1.e79779cc0065fp-15, 0x1.d7dd665de937fp-15, 0x1.c8c407c82ed7ap-15, 0x1.ba4526398c499p-15, 0x1.ac5ac37a15b16p-15, 0x1.9eff19035a7e8p-15, 0x1.922c9626928d4p-15, 0x1.85ddde4089218p-15, 0x1.7a0dc6faedd3p-15, 0x1.6eb7569ac131dp-15, 0x1.63d5c25b84df2p-15, 0x1.59646cd6e6ae1p-15, 0x1.4f5ee4789b80ap-15, 0x1.45c0e1fe13684p-15, 0x1.3c864701c8597p-15, 0x1.33ab1c91d88afp-15, 0x1.2b2b91d1a190cp-15, 0x1.2303faa61a42fp-15, 0x1.1b30ce6ca7593p-15, 0x1.13aea6bc1a621p-15, 0x1.0c7a3e2fa9bb1p-15, 0x1.05906f3b91301p-15, 0x1.fddc66164059bp-16, 0x1.f12140cff3626p-16, 0x1.e4e9d5547cabdp-16, 0x1.d930c162dd529p-16, 0x1.cdf0d7cb816ebp-16, 0x1.c3251e8369b7p-16, 0x1.b8c8ccc757c74p-16, 0x1.aed7494e95fdep-16, 0x1.a54c288cdf023p-16, 0x1.9c232b030d084p-16, 0x1.93583b9e13724p-16, 0x1.8ae76e23e8bcbp-16, 0x1.82ccfdadf7812p-16, 0x1.7b054b30b3d74p-16, 0x1.738cdc0ff3cd8p-16, 0x1.6c6058bfaf755p-16, 0x1.657c8b70cad76p-16, 0x1.5ede5ec98e4aep-16, 0x1.5882dca9782a3p-16, 0x1.52672cf80aef5p-16, 0x1.4c88947e53fd8p-16, 0x1.46e473cabf00fp-16, 0x1.4178461f06557p-16, 0x1.3c41a067d00cbp-16, 0x1.373e303dc974ap-16, 0x1.326bbaefe2008p-16, 0x1.2dc81c96690e6p-16, 0x1.2951472ec16ddp-16, 0x1.250541bf66ec6p-16, 0x1.20e2278407377p-16, 0x1.1ce627216604p-16, 0x1.190f81e0cf3d7p-16, 0x1.155c8af2dd955p-16, 0x1.11cba6b950fffp-16, 0x1.0e5b4a17bfcb6p-16, 0x1.0b09f9cae510ap-16, 0x1.07d649c65c382p-16, 0x1.04bedc9887ff2p-16, 0x1.01c262d479c13p-16, 0x1.fdbf350340331p-17, 0x1.f82a9d221a9aep-17, 0x1.f2c4acb04be06p-17, 0x1.ed8b2a21036c6p-17, 0x1.e87bf2b9b7c0ep-17, 0x1.e394f9a5c02e8p-17, 0x1.ded447133e34ap-17, 0x1.da37f75935658p-17, 0x1.d5be3a263d5fdp-17, 0x1.d16551b7c2548p-17, 0x1.cd2b92194b314p-17, 0x1.c90f606ba2d89p-17, 0x1.c50f323393b34p-17, 0x1.c1298cafd50ccp-17, 0x1.bd5d043618eeep-17, 0x1.b9a83b96b7587p-17, 0x1.b609e386fc917p-17, 0x1.b280ba1198ea1p-17, 0x1.af0b8a0d3bf9bp-17, 0x1.aba92a98cb419p-17, 0x1.a8587e9d5f6e3p-17, 0x1.a518745570e62p-17, 0x1.a1e804d94ab47p-17, 0x1.9ec633b064b1dp-17, 0x1.9bb20e677c917p-17, 0x1.98aaac2b4859ep-17, 0x1.95af2d678e67fp-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.b6e4f70aa43fep-4, -0x1.cd7abb858ea2cp-4, -0x1.e4391d9d3bbbfp-4, -0x1.fb23e188ad402p-4, -0x1.091f3dffa7ea1p-3, -0x1.14c6034285c69p-3, -0x1.20879b171cefcp-3, -0x1.2c652a54dd7a5p-3, -0x1.385f9dad8f14cp-3, -0x1.4477a82697605p-3, -0x1.50adc262f666p-3, -0x1.5d022aa362bc5p-3, -0x1.6974e5637e4bp-3, -0x1.7605be7ce0b7fp-3, -0x1.82b44aba9d99cp-3, -0x1.8f7fe9c9e3ad2p-3, -0x1.9c67c8765dab4p-3, -0x1.a96ae322b7cdfp-3, -0x1.b688086f9e0b5p-3, -0x1.c3bddc050937dp-3, -0x1.d10ad973479ddp-3, -0x1.de6d57228e55p-3, -0x1.ebe3894918e4fp-3, -0x1.f96b84e0fe239p-3, -0x1.0381a14bf2ce4p-2, -0x1.0a5450d9d8839p-2, -0x1.112cb573f6f96p-2, -0x1.1809a98c538a9p-2, -0x1.1ee9ff03e49e8p-2, -0x1.25cc80756899bp-2, -0x1.2caff2738aa6dp-2, -0x1.339314b99e61ep-2, -0x1.3a74a34e823ffp-2, -0x1.4153579953d07p-2, -0x1.482de967cf258p-2, -0x1.4f030fe644b63p-2, -0x1.55d18289408fdp-2, -0x1.5c97f9e9004dp-2, -0x1.6355308ef879ap-2, -0x1.6a07e3b5afc25p-2, -0x1.70aed3fb48c5bp-2, -0x1.7748c60723a57p-2, -0x1.7dd48322f8f9fp-2, -0x1.8450d9c7e94cfp-2, -0x1.8abc9e1ff5a8bp-2, -0x1.9116aa7c5d40dp-2, -0x1.975ddfc158b7cp-2, -0x1.9d9125c7b60f6p-2, -0x1.a3af6bb4d14c6p-2, -0x1.a9b7a849616bap-2, -0x1.afa8da279a879p-2, -0x1.b582081116a53p-2, -0x1.bb42411cfdaa2p-2, -0x1.c0e89ce6dca2cp-2, -0x1.c6743bb697a82p-2, -0x1.cbe446a1e3e8cp-2, -0x1.d137efa7a7f18p-2, -0x1.d66e71c5ab55ep-2, -0x1.db871108ec58dp-2, -0x1.e0811a98f3ffbp-2, -0x1.e55be4be7f317p-2, -0x1.ea16cee5c8f91p-2, -0x1.eeb1419cc4344p-2, -0x1.f32aae8d8635cp-2, -0x1.f78290752f534p-2, -0x1.fbb86b178462cp-2, -0x1.ffcbcb2f7ea51p-2, -0x1.01de232e8290bp-1, -0x1.03c4bd880335ep-1, -0x1.05998838919c5p-1, -0x1.075c5b240c64ep-1, -0x1.090d12700bd1bp-1, -0x1.0aab8e75170e4p-1, -0x1.0c37b3aef7a09p-1, -0x1.0db16aac3c62cp-1, -0x1.0f189ffcfe7dcp-1, -0x1.106d4420f6077p-1, -0x1.11af4b74efa36p-1, -0x1.12deae1fafe78p-1, -0x1.13fb67fe53b11p-1, -0x1.1505789035fcfp-1, -0x1.15fce2e26d846p-1, -0x1.16e1ad7ae7653p-1, -0x1.17b3e2432c3e9p-1, -0x1.18738e72d9a91p-1, -0x1.1920c279d9edfp-1, -0x1.19bb91ea60977p-1, -0x1.1a441362b8624p-1, -0x1.1aba6076e6f6dp-1, -0x1.1b1e959a312fap-1, -0x1.1b70d20884541p-1, -0x1.1bb137afcdf3bp-1, -0x1.1bdfeb19488a1p-1, -0x1.1bfd1352c1fafp-1, -0x1.1c08d9d7e2464p-1, -0x1.1c036a7b7be97p-1, -0x1.1becf350e57cfp-1, -0x1.1bc5a49566e4p-1, -0x1.1b8db099bcb25p-1, -0x1.1b454babb8d0fp-1, -0x1.1aecac0001b3ep-1, -0x1.1a84099bf8444p-1, -0x1.1a0b9e3fc791dp-1, -0x1.1983a550a0b81p-1, -0x1.18ec5bc329c8p-1, -0x1.1846000621e9p-1, -0x1.1790d1ed3d8cdp-1, -0x1.16cd129c41884p-1, -0x1.15fb04725b86p-1, -0x1.151aeaf5be6cap-1, -0x1.142d0abf8674bp-1, -0x1.1331a967e2f47p-1, -0x1.12290d728e3c3p-1, -0x1.11137e3b92da9p-1, -0x1.0ff143e460ec4p-1, -0x1.0ec2a741361a3p-1, -0x1.0d87f1c6db5b7p-1, -0x1.0c416d78b95bp-1, -0x1.0aef64d74311p-1, -0x1.099222cebf5bfp-1, -0x1.0829f2a6693d6p-1, -0x1.06b71feff1f2cp-1, -0x1.0539f6775e4fdp-1, -0x1.03b2c233454c3p-1, -0x1.0221cf3570331p-1, -0x1.0087699bda7c4p-1, -0x1.fdc7bb042af46p-2, -0x1.fa6eede61edbap-2, -0x1.f70503b67aadep-2, -0x1.f38a93f654b8fp-2, -0x1.f00035b4d3e35p-2, -0x1.ec667f75e0e8ap-2, -0x1.e8be07199f426p-2, -0x1.e50761c4b0605p-2, -0x1.e14323c941a02p-2, -0x1.dd71e090e1f1cp-2, -0x1.d9942a872078bp-2, -0x1.d5aa9304f42b4p-2, -0x1.d1b5aa3cea3cap-2, -0x1.cdb5ff28191ep-2, -0x1.c9ac1f73da4b7p-2, -0x1.c5989770467c7p-2, -0x1.c17bf1ff7277ap-2, -0x1.bd56b8856e4afp-2, -0x1.b92972d900c06p-2, -0x1.b4f4a73521423p-2, -0x1.b0b8da2b2762dp-2, -0x1.ac768e95b863ap-2, -0x1.a82e458c65f98p-2, -0x1.a3e07e57ffa0cp-2, -0x1.9f8db66799247p-2, -0x1.9b3669463926ap-2, -0x1.96db10913724cp-2, -0x1.927c23ef3e684p-2, -0x1.8e1a1907f9dabp-2, -0x1.89b5637c5e2dbp-2, -0x1.854e74df95dc5p-2, -0x1.80e5bcb0894dap-2, -0x1.7c7ba853fd61p-2, -0x1.7810a30f4b79p-2, -0x1.73a51603a874fp-2, -0x1.6f396829fbecdp-2, -0x1.6acdfe4f450aep-2, -0x1.66633b1184375p-2, -0x1.61f97edd2bc95p-2, -0x1.5d9127eb1275fp-2, -0x1.592a923ee1c58p-2, -0x1.54c617a602517p-2, -0x1.50640fb6fb3d6p-2, -0x1.4c04cfd1471cfp-2, -0x1.47a8ab1d9a526p-2, -0x1.434ff28e9289bp-2, -0x1.3efaf4e1d3b77p-2, -0x1.3aa9fea18567ap-2, -0x1.365d5a2636f7ep-2, -0x1.32154f99210dap-2, -0x1.2dd224f6bfe46p-2, -0x1.29941e11c9f6fp-2, -0x1.255b7c9677965p-2, -0x1.2128800e1e0f7p-2, -0x1.1cfb65e316e84p-2, -0x1.18d46964f3a27p-2, -0x1.14b3c3ccf61a9p-2, -0x1.1099ac42d25ap-2, -0x1.0c8657e1aae7p-2, -0x1.0879f9bd50cf8p-2, -0x1.0474c2e7ba3dap-2, -0x1.0076e276b3fa9p-2, -0x1.f9010b138e90dp-3, -0x1.f123aea09e75cp-3, -0x1.e956021f84ce2p-3, -0x1.e198545443e94p-3, -0x1.d9eaf0493221p-3, -0x1.d24e1d5c7c79p-3, -0x1.cac21f4df94a1p-3, -0x1.c347364d3419bp-3, -0x1.bbdd9f07c4364p-3, -0x1.b48592b7d1106p-3, -0x1.ad3f4732d2649p-3, -0x1.a60aeef87b7efp-3, -0x1.9ee8b941d43bap-3, -0x1.97d8d2107456p-3, -0x1.90db623de64c7p-3, -0x1.89f08f8b2588ep-3, -0x1.83187cb031a5ep-3, -0x1.7c53496bbf9b4p-3, -0x1.75a11292f4984p-3, -0x1.6f01f22134377p-3, -0x1.6875ff47f4dadp-3, -0x1.61fd4e7e9f777p-3, -0x1.5b97f1926afaep-3, -0x1.5545f7b63eba6p-3, -0x1.4f076d928eb9bp-3, -0x1.48dc5d552e44dp-3, -0x1.42c4cec11f05p-3, -0x1.3cc0c73e4cbc1p-3, -0x1.36d049e942d74p-3, -0x1.30f357a2c338bp-3, -0x1.2b29ef1f56d8ap-3, -0x1.25740cf6bc192p-3, -0x1.1fd1abb342a03p-3, -0x1.1a42c3e10869p-3, -0x1.14c74c1d19ce8p-3, -0x1.0f5f3924748e6p-3, -0x1.0a0a7de2e3379p-3, -0x1.04c90b81bb916p-3, -0x1.ff35a2eceadbap-4, -0x1.f4ff7b2230488p-4, -0x1.eaef78150472dp-4, -0x1.e1056f250d9dbp-4, -0x1.d74132bbc537bp-4, -0x1.cda29267f4bb2p-4, -0x1.c4295af8f1763p-4, -0x1.bad5569965fa5p-4, -0x1.b1a64ce9c8dc7p-4, -0x1.a89c031a64a05p-4, -0x1.9fb63c0509709p-4, -0x1.96f4b8464f4dcp-4, -0x1.8e573656728ebp-4, -0x1.85dd72a1cf44bp-4, -0x1.7d8727a0e9bfbp-4, -0x1.75540df012444p-4, -0x1.6d43dc669a1a8p-4, -0x1.6556482d9da68p-4, -0x1.5d8b04d66033dp-4, -0x1.55e1c4703a271p-4, -0x1.4e5a379e19962p-4, -0x1.46f40dab91ef9p-4, -0x1.3faef4a17ebc9p-4, -0x1.388a995a3652bp-4, -0x1.3186a7954b951p-4, -0x1.2aa2ca0ae383fp-4, -0x1.23deaa7e9819p-4, -0x1.1d39f1d1ee3e9p-4, -0x1.16b448165c107p-4, -0x1.104d549ee0a2ap-4, -0x1.0a04be112e016p-4, -0x1.03da2a76656adp-4, -0x1.fb9a7e96ccec6p-5, -0x1.efbb432163601p-5, -0x1.e415ebb3c0269p-5, -0x1.d8a9c0b95ebf2p-5, -0x1.cd7609ff48013p-5, -0x1.c27a0ed08492ap-5, -0x1.b7b51611be5fp-5, -0x1.ad26665c1386ap-5, -0x1.a2cd46171c87dp-5, -0x1.98a8fb922926ep-5, -0x1.8eb8cd1cb306ap-5, -0x1.84fc011e0e636p-5, -0x1.7b71de2c529afp-5, -0x1.7219ab228569ep-5, -0x1.68f2af3605594p-5, -0x1.5ffc320b3bce9p-5, -0x1.57357bc9911d4p-5, -0x1.4e9dd52eae352p-5, -0x1.463487a107b5ap-5, -0x1.3df8dd41bad7dp-5, -0x1.35ea20fdba11dp-5, -0x1.2e079e9e4e074p-5, -0x1.2650a2d8f176p-5, -0x1.1ec47b5e827e1p-5, -0x1.176276e9d6491p-5, -0x1.1029e54da9caap-5, -0x1.091a1781f7566p-5, -0x1.02325fb0b383ep-5, -0x1.f6e42283df373p-6, -0x1.e9b101ced9a33p-6, -0x1.dcca094f3bacp-6, -0x1.d02de7d02e2b4p-6, -0x1.c3db4eeef4abcp-6, -0x1.b7d0f32dabdabp-6, -0x1.ac0d8c050451p-6, -0x1.a08fd3f4f62dap-6, -0x1.955688947b95ep-6, -0x1.8a606aa05165dp-6, -0x1.7fac3e08c683fp-6, -0x1.7538c9fea248cp-6, -0x1.6b04d8ff21fadp-6, -0x1.610f38df18a18p-6, -0x1.5756bad534b3p-6, -0x1.4dda3383713f2p-6, -0x1.44987affb99f8p-6, -0x1.3b906cdbc1caep-6, -0x1.32c0e82c1dd85p-6, -0x1.2a28cf8e99677p-6, -0x1.21c7092fdc4c2p-6, -0x1.199a7ed051ef6p-6, -0x1.11a21dc86e22cp-6, -0x1.09dcd70c43707p-6, -0x1.02499f2e76ddep-6, -0x1.f5cedcc52d846p-7, -0x1.e76a80fdb33b8p-7, -0x1.d96429fa8f85ep-7, -0x1.cbb9ddf8aae39p-7, -0x1.be69aa7de4a63p-7, -0x1.b171a458332b3p-7, -0x1.a4cfe79baed54p-7, -0x1.9882979fb6368p-7, -0x1.8c87defb191ffp-7, -0x1.80ddef7f63eaep-7, -0x1.758302334afcap-7, -0x1.6a75574c3abd4p-7, -0x1.5fb336272f30cp-7, -0x1.553aed40aa61fp-7, -0x1.4b0ad22c0bc4ep-7, -0x1.4121418a214cdp-7, -0x1.377c9eff14f8bp-7, -0x1.2e1b5527b0146p-7, -0x1.24fbd58e07bfdp-7, -0x1.1c1c989d8fa1fp-7, -0x1.137c1d96a0035p-7, -0x1.0b18ea817418dp-7, -0x1.02f18c20a763ep-7, -0x1.f6092bc67383fp-8, -0x1.e6a143ac3f995p-8, -0x1.d7a8a12accdd9p-8, -0x1.c91c9279de125p-8, -0x1.bafa72b1989eap-8, -0x1.ad3fa9aa8482dp-8, -0x1.9fe9abdce6828p-8, -0x1.92f5fa3f779cep-8, -0x1.866222258ab7bp-8, -0x1.7a2bbd1ca815ap-8, -0x1.6e5070c9aa6aep-8, -0x1.62cdeec563c12p-8, -0x1.57a1f478dc2edp-8, -0x1.4cca4af92940cp-8, -0x1.4244c6e2f0ab3p-8, -0x1.380f483597f13p-8, -0x1.2e27ba2e2ecep-8, -0x1.248c13221a49ep-8, -0x1.1b3a54598812fp-8, -0x1.123089e9b364dp-8, -0x1.096cca8f03187p-8, -0x1.00ed378705ec9p-8, -0x1.f15ff8d4af74p-9, -0x1.e1669e0ce556dp-9, -0x1.d1eade6eec165p-9, -0x1.c2e94d83cc9f8p-9, -0x1.b45e9258dff17p-9, -0x1.a64767335e69ap-9, -0x1.98a099440b354p-9, -0x1.8b67085afeb97p-9, -0x1.7e97a69ba555fp-9, -0x1.722f7830f0426p-9, -0x1.662b9301ccc94p-9, -0x1.5a891e65e4227p-9, -0x1.4f4552daaf2ecp-9, -0x1.445d79b8e8c65p-9, -0x1.39ceecea60db8p-9, -0x1.2f9716a040c4bp-9, -0x1.25b37109be6c6p-9, -0x1.1c21860b4b5b5p-9, -0x1.12deeef6480d1p-9, -0x1.09e9544138bfap-9, -0x1.013e6d4090012p-9, -0x1.f1b7ffc006548p-10, -0x1.e17fc0b900d2bp-10, -0x1.d1cfe1fd76391p-10, -0x1.c2a443acc21c9p-10, -0x1.b3f8e0ebe1659p-10, -0x1.a5c9cf5e8053ap-10, -0x1.98133ea15c866p-10, -0x1.8ad177c614f0fp-10, -0x1.7e00dcd063383p-10, -0x1.719de834c65bdp-10, -0x1.65a52c58ab0ddp-10, -0x1.5a13531409d67p-10, -0x1.4ee51d349189p-10, -0x1.4417620253e84p-10, -0x1.39a70ec5fe9b2p-10, -0x1.2f912650a854ep-10, -0x1.25d2c085280d2p-10, -0x1.1c6909e3084d4p-10, -0x1.13514313120fep-10, -0x1.0a88c07570552p-10, -0x1.020ce9b16e1a3p-10, -0x1.f3b6728db01adp-11, -0x1.e3e27841e9de5p-11, -0x1.d4992256476bap-11, -0x1.c5d5d1ce2e796p-11, -0x1.b7940a0963f05p-11, -0x1.a9cf6ff706be5p-11, -0x1.9c83c94bc7c6ap-11, -0x1.8facfbbb6335ep-11, -0x1.83470c35555f6p-11, -0x1.774e1e24cb24p-11, -0x1.6bbe72b3cba1ep-11, -0x1.609468119758dp-11, -0x1.55cc78bc38efbp-11, -0x1.4b633acd4593fp-11, -0x1.41555f49c78bep-11, -0x1.379fb1754d59ep-11, -0x1.2e3f16281bdddp-11, -0x1.25308b287aac8p-11, -0x1.1c71268717aecp-11, -0x1.13fe15fe7b47cp-11, -0x1.0bd49e558607bp-11, -0x1.03f21ac4f4156p-11, -0x1.f8a7f8bfb85d6p-12, -0x1.e9ef92fe4d47bp-12, -0x1.dbb63a5fea339p-12, -0x1.cdf74d49de483p-12, -0x1.c0ae5154ea943p-12, -0x1.b3d6f23b4e32bp-12, -0x1.a76d00cc811a3p-12, -0x1.9b6c71e67cb4ap-12, -0x1.8fd15d7484be4p-12, -0x1.8497fd736be98p-12, -0x1.79bcacfb2fcedp-12, -0x1.6f3be74deeda5p-12, -0x1.651246ec18b23p-12, -0x1.5b3c84adcf2cap-12, -0x1.51b776e16392p-12, -0x1.4880106ee233fp-12, -0x1.3f93600092af2p-12, -0x1.36ee8f3064bb3p-12, -0x1.2e8ee1ba31ab2p-12, -0x1.2671b4b2becd7p-12, -0x1.1e947dc376c27p-12, -0x1.16f4ca6abdde5p-12, -0x1.0f903f40d6c65p-12, -0x1.0864974140c57p-12, -0x1.016fa31880155p-12, -0x1.f55e90ec75e02p-13, -0x1.e84302c73e852p-13, -0x1.db88b73beb0d3p-13, -0x1.cf2befeab06b3p-13, -0x1.c329135eed388p-13, -0x1.b77cabdcace59p-13, -0x1.ac236635f6e83p-13, -0x1.a11a10a7da99dp-13, -0x1.965d99bef8b74p-13, -0x1.8beb0f4388b53p-13, -0x1.81bf9d2c948e9p-13, -0x1.77d88c9a5f576p-13, -0x1.6e3342d7d0beep-13, -0x1.64cd4062b310ep-13, -0x1.5ba41ffabab45p-13, -0x1.52b595b71f4e3p-13, -0x1.49ff6e22b2b94p-13, -0x1.417f8d5e47e14p-13, -0x1.3933ee495c003p-13, -0x1.311aa1b0cb4b3p-13, -0x1.2931cd837f0b4p-13, -0x1.2177ac0cf11b6p-13, -0x1.19ea8b3568deap-13, -0x1.1288cbc7c2d92p-13, -0x1.0b50e0bcbf509p-13, -0x1.04414e8b9f36p-13, -0x1.fab1550003acp-14, -0x1.ed2b3429b3c06p-14, -0x1.dfeda4a8cdb84p-14, -0x1.d2f62e7a1e08p-14, -0x1.c642765600996p-14, -0x1.b9d03c8cf05cfp-14, -0x1.ad9d5bed3e876p-14, -0x1.a1a7c8b19bbbdp-14, -0x1.95ed8f78614d4p-14, -0x1.8a6cd4434b53fp-14, -0x1.7f23d17f782b9p-14, -0x1.7410d71578f04p-14, -0x1.6932498142543p-14, -0x1.5e86a0f1c5f84p-14, -0x1.540c68700965fp-14, -0x1.49c23d0d87de3p-14, -0x1.3fa6cd19aa921p-14, -0x1.35b8d75e32838p-14, -0x1.2bf72a625c941p-14, -0x1.2260a3b497f0cp-14, -0x1.18f42f3aa004cp-14, -0x1.0fb0c687d0e0cp-14, -0x1.06957039879bep-14, -0x1.fb427eb2d2128p-15, -0x1.e9a6a58ac3125p-15, -0x1.d855a93a70fd8p-15, -0x1.c74df36b1b998p-15, -0x1.b68e02203bb8fp-15, -0x1.a61466b23e4a9p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.7897d71f80685p-2, 0x1.799c8009f3eb4p-2, 0x1.7ab01eee59ae2p-2, 0x1.7bd2fc15f7c5ep-2, 0x1.7d054e7b5e5ddp-2, 0x1.7e473a0df24bdp-2, 0x1.7f98ce75f7453p-2, 0x1.80fa064c8655ep-2, 0x1.826ac6ba5bee1p-2, 0x1.83eadf707ae11p-2, 0x1.857a0aee0c926p-2, 0x1.8717ef07ad55ap-2, 0x1.88c41da5224cbp-2, 0x1.8a7e15ab76777p-2, 0x1.8c45440a6efb1p-2, 0x1.8e1904e53dd67p-2, 0x1.8ff8a4cf55565p-2, 0x1.91e362170aafep-2, 0x1.93d86e189d7e4p-2, 0x1.95d6ee94ebfdep-2, 0x1.97ddff07d65bp-2, 0x1.99ecb1fae9d39p-2, 0x1.9c02125180305p-2, 0x1.9e1d248c032c3p-2, 0x1.a03ce8006966dp-2, 0x1.a260580672a71p-2, 0x1.a4866d167c527p-2, 0x1.a6ae1dda0e3cp-2, 0x1.a8d6602d8f195p-2, 0x1.aafe2a12bb04ep-2, 0x1.ad247293b2b74p-2, 0x1.af4832969f801p-2, 0x1.b16865a20c1cp-2, 0x1.b3840a923068ep-2, 0x1.b59a243f8237dp-2, 0x1.b7a9ba16fa81ep-2, 0x1.b9b1d8a4854e2p-2, 0x1.bbb192101fc97p-2, 0x1.bda7fe8e37048p-2, 0x1.bf943cc3d7294p-2, 0x1.c175721f482a1p-2, 0x1.c34acb25b0875p-2, 0x1.c5137bb6581ap-2, 0x1.c6cebf4426242p-2, 0x1.c87bd905f3426p-2, 0x1.ca1a141e40d3dp-2, 0x1.cba8c3bae8bb9p-2, 0x1.cd27432d51588p-2, 0x1.ce94f5fba9a46p-2, 0x1.cff147ebb0f97p-2, 0x1.d13bad078a7c5p-2, 0x1.d273a19d06263p-2, 0x1.d398aa37dd399p-2, 0x1.d4aa539744345p-2, 0x1.d5a8329f36157p-2, 0x1.d691e445dfe05p-2, 0x1.d7670d7d7803p-2, 0x1.d8275b1ae4239p-2, 0x1.d8d281b9702eep-2, 0x1.d9683d9be7236p-2, 0x1.d9e8528b4dcfbp-2, 0x1.da528bb381eccp-2, 0x1.daa6bb7dfa45cp-2, 0x1.dae4bb6add24bp-2, 0x1.db0c6be8a15a6p-2, 0x1.db1db42a6b93cp-2, 0x1.db1881fd5155p-2, 0x1.dafcc99cae759p-2, 0x1.daca8585b361p-2, 0x1.da81b64a49948p-2, 0x1.da22626377af8p-2, 0x1.d9ac96035e9aap-2, 0x1.d92062e6eb79dp-2, 0x1.d87de0275a8f1p-2, 0x1.d7c52a0ba02a7p-2, 0x1.d6f661d9d20acp-2, 0x1.d611ada8a022fp-2, 0x1.d5173830f2c14p-2, 0x1.d407309fbfb0ap-2, 0x1.d2e1ca6823f5ep-2, 0x1.d1a73d15d18dbp-2, 0x1.d057c41fddebfp-2, 0x1.cef39ebc0345fp-2, 0x1.cd7b0fb251919p-2, 0x1.cbee5d316d23p-2, 0x1.ca4dd0a350ca9p-2, 0x1.c899b682ac84cp-2, 0x1.c6d25e30da93ep-2, 0x1.c4f819cc7e5dcp-2, 0x1.c30b3e08c8a6cp-2, 0x1.c10c22056faebp-2, 0x1.befb1f27596c3p-2, 0x1.bcd890f20437ep-2, 0x1.baa4d4e1a6dd7p-2, 0x1.b8604a461a8b4p-2, 0x1.b60b521e81e04p-2, 0x1.b3a64ef5bd5dp-2, 0x1.b131a4bfa8618p-2, 0x1.aeadb8b720ebap-2, 0x1.ac1af13ce03d9p-2, 0x1.a979b5b71f958p-2, 0x1.a6ca6e7210014p-2, 0x1.a40d84812238bp-2, 0x1.a14361a121227p-2, 0x1.9e6c701b1b0e8p-2, 0x1.9b891aa823527p-2, 0x1.9899cc55dd548p-2, 0x1.959ef06be0d9ap-2, 0x1.9298f251e9f4ep-2, 0x1.8f883d76d88d4p-2, 0x1.8c6d3d38836f9p-2, 0x1.89485ccc530bap-2, 0x1.861a0728ab57ep-2, 0x1.82e2a6ef21c68p-2, 0x1.7fa2a65776f0fp-2, 0x1.7c5a6f1b5e17fp-2, 0x1.790a6a630312cp-2, 0x1.75b300b259ac8p-2, 0x1.725499d727ecap-2, 0x1.6eef9cd7d2c3bp-2, 0x1.6b846fe2e613ep-2, 0x1.6813783f548ffp-2, 0x1.649d1a3d7133p-2, 0x1.6121b9289ad7ap-2, 0x1.5da1b73999edap-2, 0x1.5a1d7589acc9fp-2, 0x1.5695540641bp-2, 0x1.5309b16554e6cp-2, 0x1.4f7aeb1a79e33p-2, 0x1.4be95d4c82c7ep-2, 0x1.485562cbca9dep-2, 0x1.44bf5509197cdp-2, 0x1.41278c0d23826p-2, 0x1.3d8e5e709c716p-2, 0x1.39f42154dd547p-2, 0x1.3659285d1de73p-2, 0x1.32bdc5a831f03p-2, 0x1.2f2249cad7bep-2, 0x1.2b8703ca85be2p-2, 0x1.27ec4118bd573p-2, 0x1.24524d8edb8bcp-2, 0x1.20b9736a628f7p-2, 0x1.1d21fb49c0434p-2, 0x1.198c2c2983f7ap-2, 0x1.15f84b6208ba9p-2, 0x1.12669ca58b668p-2, 0x1.0ed761fead529p-2, 0x1.0b4adbcf5b49cp-2, 0x1.07c148d01c4d2p-2, 0x1.043ae60fbcb1ep-2, 0x1.00b7eef35a017p-2, 0x1.fa713a6d8f607p-3, 0x1.f37a51da95d4p-3, 0x1.ec8b910554bc6p-3, 0x1.e5a561791ed39p-3, 0x1.dec8297864ebcp-3, 0x1.d7f44c00ade27p-3, 0x1.d12a28cf11a31p-3, 0x1.ca6a1c6547efep-3, 0x1.c3b4800f34126p-3, 0x1.bd09a9e8f1d99p-3, 0x1.b669ece558759p-3, 0x1.afd598d4f16fcp-3, 0x1.a94cfa6d5cb4dp-3, 0x1.a2d05b5119c6bp-3, 0x1.9c600217b6f7p-3, 0x1.95fc32565c1cdp-3, 0x1.8fa52ca8ab7d7p-3, 0x1.895b2eb9f727p-3, 0x1.831e734ec8f99p-3, 0x1.7cef324ea9245p-3, 0x1.76cda0ce38327p-3, 0x1.70b9f1197a5abp-3, 0x1.6ab452be676a7p-3, 0x1.64bcf297b21b5p-3, 0x1.5ed3fad7bc451p-3, 0x1.58f99313c2796p-3, 0x1.532de04f290d7p-3, 0x1.4d710506f9831p-3, 0x1.47c3213d7b37bp-3, 0x1.42245285ef41cp-3, 0x1.3c94b4106793p-3, 0x1.37145eb5b95f3p-3, 0x1.31a369037af25p-3, 0x1.2c41e7481e8dap-3, 0x1.26efeb9f152f7p-3, 0x1.21ad85fcfcc9fp-3, 0x1.1c7ac43bd6652p-3, 0x1.1757b22747af7p-3, 0x1.12445988d585cp-3, 0x1.0d40c23426652p-3, 0x1.084cf2133cf2cp-3, 0x1.0368ed32aefe7p-3, 0x1.fd296b9bb201ep-4, 0x1.f3a098b5fc801p-4, 0x1.ea375f2ed1e56p-4, 0x1.e0edb926de414p-4, 0x1.d7c39d7ce2b35p-4, 0x1.ceb8ffe5851ccp-4, 0x1.c5cdd102fe646p-4, 0x1.bd01fe7c906fep-4, 0x1.b4557315d8ed9p-4, 0x1.abc816c5ebd24p-4, 0x1.a359cece3c95ap-4, 0x1.9b0a7dd14b9e1p-4, 0x1.92da03e917af3p-4, 0x1.8ac83ebd58755p-4, 0x1.82d509996f00ap-4, 0x1.7b003d821cb99p-4, 0x1.7349b14af0f96p-4, 0x1.6bb139ab71525p-4, 0x1.6436a953fa984p-4, 0x1.5cd9d10255e9fp-4, 0x1.559a7f96029bap-4, 0x1.4e788224336e5p-4, 0x1.4773a40b7cc94p-4, 0x1.408baf073261dp-4, 0x1.39c06b4274d76p-4, 0x1.33119f6aeccd4p-4, 0x1.2c7f10c332cf2p-4, 0x1.26088334e377dp-4, 0x1.1fadb9625f542p-4, 0x1.196e74b835734p-4, 0x1.134a757e37f01p-4, 0x1.0d417ae83aceep-4, 0x1.075343267c794p-4, 0x1.017f8b75b69f2p-4, 0x1.f78c205db2d52p-5, 0x1.ec4d19acdd218p-5, 0x1.e14178574c5edp-5, 0x1.d668b06e18767p-5, 0x1.cbc234b1cf1b6p-5, 0x1.c14d76ae81f9cp-5, 0x1.b709e6d72cb7dp-5, 0x1.acf6f4a069a34p-5, 0x1.a3140e9a7f978p-5, 0x1.9960a28ac0adp-5, 0x1.8fdc1d8444984p-5, 0x1.8685ebfff5eddp-5, 0x1.7d5d79f3fb169p-5, 0x1.746232ea76bb4p-5, 0x1.6b938217a7bfcp-5, 0x1.62f0d26f5fa72p-5, 0x1.5a798eb9dedc4p-5, 0x1.522d21a80a349p-5, 0x1.4a0af5e706b12p-5, 0x1.421276333528fp-5, 0x1.3a430d6a975c7p-5, 0x1.329c269e9769p-5, 0x1.2b1d2d253c841p-5, 0x1.23c58ca9c703p-5, 0x1.1c94b13cbb6dfp-5, 0x1.158a07635cf62p-5, 0x1.0ea4fc26985f6p-5, 0x1.07e4fd216178fp-5, 0x1.0149788e87b75p-5, 0x1.f5a3baac03e2ap-6, 0x1.e8fb3633654cdp-6, 0x1.dc98448355964p-6, 0x1.d079c80fd5819p-6, 0x1.c49ea507423ccp-6, 0x1.b905c167e24a4p-6, 0x1.adae0514767e1p-6, 0x1.a29659e7df3f1p-6, 0x1.97bdabc7cfb64p-6, 0x1.8d22e8b6a4094p-6, 0x1.82c500e44a701p-6, 0x1.78a2e6be57c76p-6, 0x1.6ebb8eff3dc55p-6, 0x1.650df0bcaec76p-6, 0x1.5b9905753425ep-6, 0x1.525bc91cf70dfp-6, 0x1.49553a29c66efp-6, 0x1.4084599e58949p-6, 0x1.37e82b14d3ae1p-6, 0x1.2f7fb4c898579p-6, 0x1.2749ff9f63f43p-6, 0x1.1f461731b6723p-6, 0x1.177309d29851fp-6, 0x1.0fcfe896b7cadp-6, 0x1.085bc75ae145dp-6, 0x1.0115bcc9e08dcp-6, 0x1.f3f9c4c38cf6dp-7, 0x1.e620a8f135b6dp-7, 0x1.d89e6480fc254p-7, 0x1.cb713b967edc6p-7, 0x1.be97781ada175p-7, 0x1.b20f69c1c3262p-7, 0x1.a5d7660d987a2p-7, 0x1.99edc8528f1cbp-7, 0x1.8e50f1b8de98dp-7, 0x1.82ff493e14289p-7, 0x1.77f73bb584b47p-7, 0x1.6d373bc7dad3ep-7, 0x1.62bdc1f1ec709p-7, 0x1.58894c82b0a33p-7, 0x1.4e985f9882d45p-7, 0x1.44e9851da849fp-7, 0x1.3b7b4cc421d8cp-7, 0x1.324c4c00d0c1bp-7, 0x1.295b1e05f8721p-7, 0x1.20a663bd201b4p-7, 0x1.182cc3c05c6edp-7, 0x1.0fecea5307b18p-7, 0x1.07e58959ed7cep-7, 0x1.00155852f1ee3p-7, 0x1.f0f628987185cp-8, 0x1.e22affb5a600cp-8, 0x1.d3c6c621f0b7fp-8, 0x1.c5c716e7a570ap-8, 0x1.b82997e1c222dp-8, 0x1.aaebf9a5ec684p-8, 0x1.9e0bf76db3757p-8, 0x1.918756ff1f556p-8, 0x1.855be89498abcp-8, 0x1.798786c432465p-8, 0x1.6e0816665a1f3p-8, 0x1.62db867c0463ep-8, 0x1.57ffd0144df81p-8, 0x1.4d72f631a9509p-8, 0x1.433305ae967e4p-8, 0x1.393e1521f4c42p-8, 0x1.2f9244c2f040fp-8, 0x1.262dbe4c9976fp-8, 0x1.1d0eb4e127428p-8, 0x1.143364ecf2721p-8, 0x1.0b9a14092b47ep-8, 0x1.034110de54279p-8, 0x1.f64d660d0e221p-9, 0x1.e692b5df14d25p-9, 0x1.d74ee3797ef5bp-9, 0x1.c87ed251da713p-9, 0x1.ba1f76cfdd211p-9, 0x1.ac2dd61092365p-9, 0x1.9ea705a96adf5p-9, 0x1.91882b6b2db8dp-9, 0x1.84ce7d24e1be7p-9, 0x1.78774066ae892p-9, 0x1.6c7fca44c73f4p-9, 0x1.60e57f1a61e7cp-9, 0x1.55a5d24cc6f2p-9, 0x1.4abe460e81647p-9, 0x1.402c6b22b7936p-9, 0x1.35ede0a0b5f22p-9, 0x1.2c0053b7adaeep-9, 0x1.22617f72b7fc4p-9, 0x1.190f2c7d18f84p-9, 0x1.100730e6d5542p-9, 0x1.07476fe9987c3p-9, 0x1.fd9bb35be2e46p-10, 0x1.ed30d621e4562p-10, 0x1.dd4a5ad465237p-10, 0x1.cde46ca46f7b8p-10, 0x1.befb4ed2a2c5dp-10, 0x1.b08b5c3dcb2d3p-10, 0x1.a29106f2647bcp-10, 0x1.9508d7bb1feb8p-10, 0x1.87ef6db25d28ap-10, 0x1.7b417dd4af4bp-10, 0x1.6efbd2946ee64p-10, 0x1.631b4b6e63533p-10, 0x1.579cdc7f79109p-10, 0x1.4c7d8e1baca26p-10, 0x1.41ba7c6605e99p-10, 0x1.3750d6e9c91a6p-10, 0x1.2d3de034d5712p-10, 0x1.237eed7331a46p-10, 0x1.1a11660bd6f82p-10, 0x1.10f2c33ea6ae7p-10, 0x1.08208fc3b37d9p-10, 0x1.ff30ced76390cp-11, 0x1.eeafed8380bbep-11, 0x1.deb9f55ccafcp-11, 0x1.cf4a8037b5de3p-11, 0x1.c05d47373e7b6p-11, 0x1.b1ee221aa149cp-11, 0x1.a3f9068da49c3p-11, 0x1.967a077b79d6p-11, 0x1.896d546436e68p-11, 0x1.7ccf38b4e605bp-11, 0x1.709c1b22306cdp-11, 0x1.64d07d059ffcbp-11, 0x1.5968f9bd78459p-11, 0x1.4e62460f2729cp-11, 0x1.43b92f8c49f4ap-11, 0x1.396a9bfa46e4fp-11, 0x1.2f7388bc75fdcp-11, 0x1.25d10a40dbd11p-11, 0x1.1c804b6f6c5b9p-11, 0x1.137e8d1bdaaccp-11, 0x1.0ac92579eafeep-11, 0x1.025d7f9448267p-11, 0x1.f472358bad6ccp-12, 0x1.e4b3146b02b3bp-12, 0x1.d578e8a8f34fbp-12, 0x1.c6bf24bdd747dp-12, 0x1.b8815fbe32acdp-12, 0x1.aabb5465c17a4p-12, 0x1.9d68e0273d955p-12, 0x1.90860240e3de3p-12, 0x1.840edad59e347p-12, 0x1.77ffaa0ad1883p-12, 0x1.6c54cf2ac0a81p-12, 0x1.610ac7cb73221p-12, 0x1.561e2efa1b432p-12, 0x1.4b8bbc6aeb726p-12, 0x1.415043ad47fd8p-12, 0x1.3768b3645315ap-12, 0x1.2dd21483bdd2ep-12, 0x1.24898990d2147p-12, 0x1.1b8c4de7a8a24p-12, 0x1.12d7b5047e0c3p-12, 0x1.0a6929d117de9p-12, 0x1.023e2df62a689p-12, 0x1.f4a8b26164ee4p-13, 0x1.e552b1566b07bp-13, 0x1.d675dcb5b1245p-13, 0x1.c80de0c080742p-13, 0x1.ba1690d85183ep-13, 0x1.ac8be64f58bfbp-13, 0x1.9f69ff404d099p-13, 0x1.92ad1d6d47f6ep-13, 0x1.8651a525a930ep-13, 0x1.7a541c32dd707p-13, 0x1.6eb128cbe8a9cp-13, 0x1.6365908f9dc86p-13, 0x1.586e37855d417p-13, 0x1.4dc81f2446aacp-13, 0x1.43706560bce9ep-13, 0x1.396443c01d751p-13, 0x1.2fa10e7296d47p-13, 0x1.26243372f15acp-13, 0x1.1ceb39ac492f7p-13, 0x1.13f3c0257c691p-13, 0x1.0b3b7d324c532p-13, 0x1.02c03daa0b22dp-13, 0x1.f4ffc8477290fp-14, 0x1.e4f0d06ef07ebp-14, 0x1.d54fab8a7c463p-14, 0x1.c61898814dd6bp-14, 0x1.b747fc0395f59p-14, 0x1.a8da5f360ac81p-14, 0x1.9acc6e6712eeep-14, 0x1.8d1af7cd667c7p-14, 0x1.7fc2ea4fe7ce2p-14, 0x1.72c154568dbbcp-14, 0x1.661362a424ec6p-14, 0x1.59b65f38b8f15p-14, 0x1.4da7b03c77eeap-14, 0x1.41e4d6f2db231p-14, 0x1.366b6eb5e99dbp-14, 0x1.2b392bf965356p-14, 0x1.204bdb55afaf3p-14, 0x1.15a1609a40cc3p-14, 0x1.0b37b5e77c12bp-14, 0x1.010ceacfb9d2cp-14, 0x1.ee3e46feb89e4p-15, 0x1.dad92fd77d9p-15, 0x1.c7e72611b06d7p-15, 0x1.b564e40ad8e07p-15, 0x1.a34f471b2e289p-15, 0x1.91a34e2726ed1p-15, 0x1.805e183d260edp-15, 0x1.6f7ce33ef703ap-15, 0x1.5efd0a96d5fedp-15, 0x1.4edc05f7abfe6p-15, 0x1.3f1768283c154p-15, 0x1.2facddd8f7ba9p-15, 0x1.209a2c8430faap-15, 0x1.11dd3158621e4p-15, 0x1.0373e02c4c186p-15, 0x1.eab884f94249fp-16, 0x1.cf28ece5f40dfp-16, 0x1.b4355bebb2bc6p-16, 0x1.99da5b82eda65p-16, 0x1.8014991231a06p-16, 0x1.66e0e44168b89p-16, 0x1.4e3c2d5d540b5p-16, 0x1.362383ca9d95ap-16, 0x1.1e9414882b8d7p-16, 0x1.078b28c037dd6p-16, 0x1.e20c48cf86936p-17, 0x1.b60509d7d37bp-17, 0x1.8afbbfd979ed2p-17, 0x1.60ebc40a71808p-17, 0x1.37d09b3fb48f6p-17, 0x1.0fa5f3af3ce05p-17, 0x1.d0cf459327b56p-18, 0x1.842346557c6d3p-18, 0x1.39402542a82b6p-18, 0x1.e03cc12d738f4p-19, 0x1.516d6b2052a96p-19, 0x1.8c0873efd8164p-20, 0x1.ef9c7e90cce8p-22, -0x1.1b471bf39bc73p-21, -0x1.90b133dcd72dfp-20, -0x1.46ad5a06978b4p-19, -0x1.c1dc1f4d0645dp-19, -0x1.1cf857018c981p-18, -0x1.577b3dcd7fb87p-18, }}, 
      std::vector<double>(518, 0.0), 
      std::vector<double>(518, 0.0), 
      std::vector<double>(518, 0.0), 
      std::vector<double>(518, 0.0), 
      std::vector<double>(518, 0.0), 
      std::vector<double>(518, 0.0), 
      std::vector<double>(518, 0.0), 
      std::vector<double>(518, 0.0), 
    }}, 
    {
      50, 0x1.e1af3a14cec42p+1, 0x1.238dbcc65746p+1, 0x1.69f350acd2625p+1, -0x1.c095b30b2c95ap-7, 
      {{
        {0x1.4548f53c579f2p+1, 0x1.4869b941aa9a4p+1, 0x1.380ced1c7a3e7p-5, -0x1.e31c18b1ed686p-4, 0x1.131a356564b7p-3, 0x1.1930cbd938ee5p-6}, 
        {0x1.4869b941aa9a4p+1, 0x1.4b8a7d3184069p+1, 0x1.211907c32ad31p-5, -0x1.c817b6842a2eep-4, 0x1.15ade13e91b53p-3, -0x1.5f2d0680add1cp-4}, 
        {0x1.4b8a7d3184069p+1, 0x1.4eab4136d701bp+1, 0x1.0b7599b6d526bp-5, -0x1.ad94277cee7f8p-4, 0x1.08ce74c8a79b2p-3, -0x1.dd2a7aecdd275p-5}, 
        {0x1.4eab4136d701bp+1, 0x1.51cc0526b06dfp+1, 0x1.ee2dc1e479575p-6, -0x1.941f1475b2eb3p-4, 0x1.000f999ac5626p-3, -0x1.0bf542d88ef49p-4}, 
        {0x1.51cc0526b06dfp+1, 0x1.54ecc92c03691p+1, 0x1.c7e2398f7b852p-6, -0x1.7b925409ddef5p-4, 0x1.ec7a2e06f178fp-4, -0x1.0371979afbad7p-4}, 
        {0x1.54ecc92c03691p+1, 0x1.580d8d3156644p+1, 0x1.a3f122a1d36a7p-6, -0x1.63f776356d15dp-4, 0x1.d974f43a2735p-4, -0x1.0472d31fcdacfp-4}, 
        {0x1.580d8d3156644p+1, 0x1.5b2e51212fd08p+1, 0x1.8243167caf833p-6, -0x1.4d4b09ef3c76cp-4, 0x1.c65cdeb3990bbp-4, -0x1.0248d3074c8e8p-4}, 
        {0x1.5b2e51212fd08p+1, 0x1.5e4f152682cbap+1, 0x1.62c0c7bcdfc84p-6, -0x1.378c87ad4fb66p-4, 0x1.b36d67220b9d1p-4, -0x1.00ead352fca3p-4}, 
        {0x1.5e4f152682cbap+1, 0x1.616fd92bd5c6cp+1, 0x1.455308fe90c61p-6, -0x1.22ba4fa8ca2fap-4, 0x1.a09797d0eda6cp-4, -0x1.fd8ec2f8ceb0ep-5}, 
        {0x1.616fd92bd5c6cp+1, 0x1.64909d1baf331p+1, 0x1.29e2d4cf6451ap-6, -0x1.0ed2c6df8c8f2p-4, 0x1.8de9eae95e615p-4, -0x1.f86bbac900fb3p-5}, 
        {0x1.64909d1baf331p+1, 0x1.67b16121022e3p+1, 0x1.1059554e139dep-6, -0x1.f7a78a5846cfp-5, 0x1.7b6c72ba492e9p-4, -0x1.f3802b465a67fp-5}, 
        {0x1.67b16121022e3p+1, 0x1.6ad22510db9a7p+1, 0x1.f13fd6ef35638p-7, -0x1.d375f6438e873p-5, 0x1.691d25bb07fbbp-4, -0x1.eceb4322f2d4dp-5}, 
        {0x1.6ad22510db9a7p+1, 0x1.6df2e9162e959p+1, 0x1.c5406dfba879dp-7, -0x1.b10b8cfe930c7p-5, 0x1.570b9c568d15bp-4, -0x1.e6738bde06885p-5}, 
        {0x1.6df2e9162e959p+1, 0x1.7113ad1b8190cp+1, 0x1.9c883a845cdcdp-7, -0x1.9062508bcd2f6p-5, 0x1.4536c3a78c86bp-4, -0x1.df1631f4d13d7p-5}, 
        {0x1.7113ad1b8190cp+1, 0x1.7434710b5afdp+1, 0x1.76eba33474923p-7, -0x1.7173e9ca08e96p-5, 0x1.33a7070e56704p-4, -0x1.d6a2e52afd545p-5}, 
        {0x1.7434710b5afdp+1, 0x1.77553510adf82p+1, 0x1.543fb826cd744p-7, -0x1.5439189c308a4p-5, 0x1.22669744d058fp-4, -0x1.ce66484316cddp-5}, 
        {0x1.77553510adf82p+1, 0x1.7a75f90087646p+1, 0x1.345a43b697bafp-7, -0x1.38aa342b5c95dp-5, 0x1.1173722f93c3cp-4, -0x1.c493f7e241221p-5}, 
        {0x1.7a75f90087646p+1, 0x1.7d96bd05da5f8p+1, 0x1.1711d7c4d3a94p-7, -0x1.1ebef5af98abep-5, 0x1.00dc77cd759d7p-4, -0x1.bad25c55cd2e9p-5}, 
        {0x1.7d96bd05da5f8p+1, 0x1.80b7810b2d5abp+1, 0x1.f87bbc14ececcp-8, -0x1.066e611997f67p-5, 0x1.e14214ea08683p-5, -0x1.b01102656fbcdp-5}, 
        {0x1.80b7810b2d5abp+1, 0x1.83d844fb06c6fp+1, 0x1.c76d4d4f84f3bp-8, -0x1.df5e1da7395fdp-6, 0x1.c19514f90d287p-5, -0x1.a492d80c6e8c5p-5}, 
        {0x1.83d844fb06c6fp+1, 0x1.86f9090059c21p+1, 0x1.9aaaeebc17ec3p-8, -0x1.b4ed9671089bfp-6, 0x1.a2bfc842c6eacp-5, -0x1.98b82c74779fbp-5}, 
        {0x1.86f9090059c21p+1, 0x1.8a19cd05acbd3p+1, 0x1.71e9350f0ac7dp-8, -0x1.8d75bfda31571p-6, 0x1.84c8f5403274p-5, -0x1.8c07cf469a29ep-5}, 
        {0x1.8a19cd05acbd3p+1, 0x1.8d3a90f586298p+1, 0x1.4cdedc760d7a7p-8, -0x1.68e017c1fbf8fp-6, 0x1.67c0475c7b58ep-5, -0x1.7e93de595d93cp-5}, 
        {0x1.8d3a90f586298p+1, 0x1.905b54fad924ap+1, 0x1.2b44e6b3ae90dp-8, -0x1.4714a44e05d83p-6, 0x1.4bb415ecfbaf3p-5, -0x1.70c925aea0f05p-5}, 
        {0x1.905b54fad924ap+1, 0x1.937c18eab290ep+1, 0x1.0cd6b93aeec65p-8, -0x1.27fa65f50ab4ap-6, 0x1.30aabc20677bdp-5, -0x1.61f6e5319c00ep-5}, 
        {0x1.937c18eab290ep+1, 0x1.969cdcf0058cp+1, 0x1.e2a476c1a436fp-9, -0x1.0b771f54ef7a1p-6, 0x1.16b78d56d5126p-5, -0x1.52cd3d1beb454p-5}, 
        {0x1.969cdcf0058cp+1, 0x1.99bda0f558873p+1, 0x1.b0efe905e457cp-9, -0x1.e2de9bdf515ap-7, 0x1.fbc1e127e3ca3p-6, -0x1.42d12776bc254p-5}, 
        {0x1.99bda0f558873p+1, 0x1.9cde64e531f37p+1, 0x1.841654042b095p-9, -0x1.b38cc0d1d3dc6p-7, 0x1.cc6ca7add3f5ap-6, -0x1.322771dda3e1cp-5}, 
        {0x1.9cde64e531f37p+1, 0x1.9fff28ea84ee9p+1, 0x1.5ba3fb6b72742p-9, -0x1.88bcc9b5393f2p-7, 0x1.9f88e49d3d83ep-6, -0x1.20f4c0577f8a5p-5}, 
        {0x1.9fff28ea84ee9p+1, 0x1.a31fecefd7e9bp+1, 0x1.372b17755a7cap-9, -0x1.62309585da712p-7, 0x1.752aab5fa7ddep-6, -0x1.0f083b66d83a4p-5}, 
        {0x1.a31fecefd7e9bp+1, 0x1.a640b0dfb156p+1, 0x1.164411a140ee9p-9, -0x1.3fa7b689f1019p-7, 0x1.4d6d3c4cd1446p-6, -0x1.f8c6969d46538p-6}, 
        {0x1.a640b0dfb156p+1, 0x1.a96174e504512p+1, 0x1.f11b8152e0539p-10, -0x1.20df175d32a0ap-7, 0x1.286ba2b39b58p-6, -0x1.d27f5cda9429dp-6}, 
        {0x1.a96174e504512p+1, 0x1.ac8238d4ddbd6p+1, 0x1.bb5b4aa8699bfp-10, -0x1.059165755b64fp-7, 0x1.06386f73503e8p-6, -0x1.aa8af97253693p-6}, 
        {0x1.ac8238d4ddbd6p+1, 0x1.afa2fcda30b88p+1, 0x1.8aa04bf631cfdp-10, -0x1.daedbeb6ae13p-8, 0x1.cde635c279074p-7, -0x1.81909aa2f40e9p-6}, 
        {0x1.afa2fcda30b88p+1, 0x1.b2c3c0df83b3bp+1, 0x1.5e5196e3ee39dp-10, -0x1.b08a8db2294f6p-8, 0x1.955db05ad3eb4p-7, -0x1.57240d22c859fp-6}, 
        {0x1.b2c3c0df83b3bp+1, 0x1.b5e484cf5d1ffp+1, 0x1.35e4f9f852af5p-10, -0x1.8b6037a84c706p-8, 0x1.630d977d5fb4bp-7, -0x1.2b58489c47102p-6}, 
        {0x1.b5e484cf5d1ffp+1, 0x1.b90548d4b01b1p+1, 0x1.10df795f55e8ap-10, -0x1.6ad090627a6d1p-8, 0x1.37296b81ffb5p-7, -0x1.fcd9c09541472p-7}, 
        {0x1.b90548d4b01b1p+1, 0x1.bc260cc489875p+1, 0x1.ddab8f69b77ffp-11, -0x1.4e38d5157c5f6p-8, 0x1.11db56df45555p-7, -0x1.9ff1ddd031944p-7}, 
        {0x1.bc260cc489875p+1, 0x1.bf46d0c9dc827p+1, 0x1.9ed97c0154486p-11, -0x1.34f166740657bp-8, 0x1.e6b9d37d4b0c9p-8, -0x1.40c50b1c66f87p-7}, 
        {0x1.bf46d0c9dc827p+1, 0x1.c26794cf2f7dap+1, 0x1.64b3a98ee37b8p-11, -0x1.1e4dbd40ce911p-8, 0x1.b7b172fa3dfe5p-8, -0x1.bd9bc9dac14fap-8}, 
        {0x1.c26794cf2f7dap+1, 0x1.c58858bf08e9ep+1, 0x1.2ec738c63d8f2p-11, -0x1.099cb032ad2c3p-8, 0x1.97064ab636286p-8, -0x1.e8904483521eep-9}, 
        {0x1.c58858bf08e9ep+1, 0x1.c8a91cc45be5p+1, 0x1.f988d6862137ep-12, -0x1.ec501a056efa7p-9, 0x1.851da0650193ep-8, -0x1.3129868f1d616p-11}, 
        {0x1.c8a91cc45be5p+1, 0x1.cbc9e0c9aee02p+1, 0x1.9cff2957b6ea6p-12, -0x1.c669e3313ec62p-9, 0x1.8251b7d207572p-8, 0x1.5b9d972aeeeb2p-9}, 
        {0x1.cbc9e0c9aee02p+1, 0x1.ceeaa4b9884c7p+1, 0x1.47e417750ab42p-12, -0x1.a0073b90e3929p-9, 0x1.8f0fbbbee151ep-8, 0x1.85cdcb6e8270dp-8}, 
        {0x1.ceeaa4b9884c7p+1, 0x1.d20b68bedb479p+1, 0x1.f4ec6e0a21016p-13, -0x1.779f9795a1808p-9, 0x1.aba38c7b0a467p-8, 0x1.33d378850c2dep-7}, 
        {0x1.d20b68bedb479p+1, 0x1.d52c2caeb4b3dp+1, 0x1.6a83d19fc3b18p-13, -0x1.4b9da97ca91a4p-9, 0x1.d8c613163dc23p-8, 0x1.9e5530e1527f4p-7}, 
        {0x1.d52c2caeb4b3dp+1, 0x1.d84cf0b407aefp+1, 0x1.e48ceae5eb775p-14, -0x1.1a6ee485b4b91p-9, 0x1.0ac3359a21a6p-7, 0x1.16e8f539af66cp-6}, 
        {0x1.d84cf0b407aefp+1, 0x1.db6db4b95aaa2p+1, 0x1.1d1f27d15a102p-14, -0x1.c49149f09097dp-10, 0x1.33a85847fd55ap-7, 0x1.1f95bc3e49171p-6}, 
        {0x1.db6db4b95aaa2p+1, 0x1.de8e78a934166p+1, 0x1.098529ca8f012p-15, -0x1.4407b6a461e48p-10, 0x1.5dd319d29440ap-7, 0x1.0d034bf1a0177p-5}, 
        {0x1.de8e78a934166p+1, 0x1.e1af3a14cec42p+1, 0x1.1685e198251d4p-17, -0x1.57a73e3afe762p-11, 0x1.acb65e979fc33p-7, -0x1.6abd6007f24e8p-1}, 
      }}, 
      0x1.bc53381895dbdp+5, -0x1.125aae404f5cap+10
    }
  };
  // clang-format on
}
SkfData params_hyb_0_2_s_as() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{-0x1.03d4cc0e45798p-1, -0x1.2d67f9dee7595p-1, -0x1.6803d94df4763p-1, -0x1.a9dc479b5146fp-1, -0x1.ea9d702e934b4p-1, -0x1.120ddfbd4d6afp+0, -0x1.292b6b85c5be2p+0, -0x1.3997554975c78p+0, -0x1.42ff52edd02b3p+0, -0x1.459c99668fe5bp+0, -0x1.420761b374ea6p+0, -0x1.39123ad5ee19bp+0, -0x1.2bad51dd8111fp+0, -0x1.1ad09beb1808ap+0, -0x1.076ca4c33e282p+0, -0x1.e4bfb94911f7ep-1, -0x1.b8e0fafb8ff13p-1, -0x1.8c9285f2424e2p-1, -0x1.60f14f2df303fp-1, -0x1.36e296e727735p-1, -0x1.0f193c9ec32c7p-1, -0x1.d42feac662dd9p-2, -0x1.907385faa55cdp-2, -0x1.536c65c70078fp-2, -0x1.1d4c8ab38cb8dp-2, -0x1.dc3084d3fa7ebp-3, -0x1.8b5a58eb8ef93p-3, -0x1.478e98428df18p-3, -0x1.101fa65082288p-3, -0x1.c87b580ee318cp-4, -0x1.85feda76e56edp-4, -0x1.56df858a4625bp-4, -0x1.392fb64e40a7ap-4, -0x1.2b049e8451e19p-4, -0x1.2a78c52a4c62bp-4, -0x1.35b41f4222daap-4, -0x1.4af7127372088p-4, -0x1.68a10e83ab68fp-4, -0x1.8d305eac64b74p-4, -0x1.b73efd77d426bp-4, -0x1.e5812f389b613p-4, -0x1.0b639b7b5b5f7p-3, -0x1.24fffefbcdd39p-3, -0x1.3f1ced08c3b4ap-3, -0x1.59503a228c799p-3, -0x1.733c80faf427cp-3, -0x1.8c8f6667e9079p-3, -0x1.a500a1f793943p-3, -0x1.bc51c19edbbdfp-3, -0x1.d24e2f4d1ca78p-3, -0x1.e6caf5052ceacp-3, -0x1.f9a5ff3f480fap-3, -0x1.05627a6607927p-2, -0x1.0d09f97d79732p-2, -0x1.13c15199628a7p-2, -0x1.1985b78d92dd7p-2, -0x1.1e53b8c50291dp-2, -0x1.222a905b9c488p-2, -0x1.250b5efc12e42p-2, -0x1.26f920a9e2f7cp-2, -0x1.27f88de75ab7fp-2, -0x1.280fe2eb8a798p-2, -0x1.274692f8e888ap-2, -0x1.25a4f4d79bf36p-2, -0x1.2333f6859968p-2, -0x1.1ffce28210dfdp-2, -0x1.1c093b23ab383p-2, -0x1.1762aa7cd8e4bp-2, -0x1.121300efcc2abp-2, -0x1.0c243a6bb9759p-2, -0x1.05a0827053813p-2, -0x1.fd2461f90d9bbp-3, -0x1.ee077b67024ecp-3, -0x1.ddff539bfb1fep-3, -0x1.cd20c7f755e5p-3, -0x1.bb805545696bcp-3, -0x1.a931e1c5af123p-3, -0x1.9648936ed739fp-3, -0x1.82d6b60b0ce83p-3, -0x1.6eedb190217adp-3, -0x1.5a9e0e6f16895p-3, -0x1.45f783d33eb4dp-3, -0x1.31090aff77d1fp-3, -0x1.1be0f31415021p-3, -0x1.068cf15d03bfap-3, -0x1.e234573698d4fp-4, -0x1.b72a7692e7cbep-4, -0x1.8c1454ad921c8p-4, -0x1.6108d60147a7p-4, -0x1.361d9a3eadcd6p-4, -0x1.0b66e6c5acf13p-4, -0x1.c1ef2aaf4d6d4p-5, -0x1.6dc214427fcddp-5, -0x1.1a66657c58785p-5, -0x1.8ff239a9a14d8p-6, -0x1.da51f33afc3a5p-7, -0x1.3281cc9850a2bp-8, 0x1.45f2891e9b9bep-8, 0x1.da0f9a5237145p-7, 0x1.85de6100fbe67p-6, 0x1.0df08b95be9f6p-5, 0x1.5779dba3d747ep-5, 0x1.9f7e695327736p-5, 0x1.e5f2c9cce8ba1p-5, 0x1.156667c455276p-4, 0x1.3701c13c755bep-4, 0x1.57c78e99b6c74p-4, 0x1.77b4863fe03bep-4, 0x1.96c5f7727274p-4, 0x1.b4f9c9220e11bp-4, 0x1.d24724ca80613p-4, 0x1.eebc0e0c94467p-4, 0x1.05284738077b7p-3, 0x1.12825e1cc9e11p-3, 0x1.1f6c90094f4ddp-3, 0x1.2be755688e3e5p-3, 0x1.37f3558495458p-3, 0x1.4391615f419f5p-3, 0x1.4ec26ec1e879dp-3, 0x1.598793a5480b7p-3, 0x1.63e2020b4fe0bp-3, 0x1.6dd3045af49d4p-3, 0x1.775bfa445399fp-3, 0x1.807e5629f1b14p-3, 0x1.893b9b03fddb1p-3, 0x1.91955aad1894cp-3, 0x1.998d3484fe00cp-3, 0x1.a124d454bc541p-3, 0x1.a85df1610f6b7p-3, 0x1.af3a4d9917cadp-3, 0x1.b5bbb4d1efbf3p-3, 0x1.bbe3fc01aa17cp-3, 0x1.c1b5006e4798cp-3, 0x1.c730a6c76502ep-3, 0x1.cc58da23b0dfep-3, 0x1.d12f8ade3baeap-3, 0x1.d5b6ad52ed3ccp-3, 0x1.d9f0387d30aabp-3, 0x1.ddde247f8cfb2p-3, 0x1.e182691de6fdap-3, 0x1.e4defc3696661p-3, 0x1.e7f5d0477534dp-3, 0x1.eac8d30c141abp-3, 0x1.ed59ec40bd3c7p-3, 0x1.efaafc93c818dp-3, 0x1.f1bddccba9ac3p-3, 0x1.f3945d2509bbap-3, 0x1.f53044e8a79dcp-3, 0x1.f693523620335p-3, 0x1.f7bf39fdd73cdp-3, 0x1.f8b5a82289228p-3, 0x1.f9783fb997f6bp-3, 0x1.fa089b608823bp-3, 0x1.fa684d9e0977bp-3, 0x1.fa98e1456e12cp-3, 0x1.fa9bd9d46543dp-3, 0x1.fa72b3c42f56ap-3, 0x1.fa1ee4c930fdap-3, 0x1.f9a1dbfd787bbp-3, 0x1.f8fd01f4c9486p-3, 0x1.f831b8ba675a6p-3, 0x1.f7415bba70c5p-3, 0x1.f62d3f99e377p-3, 0x1.f4f6b201811cp-3, 0x1.f39ef96040e8ap-3, 0x1.f22754aa6a6c8p-3, 0x1.f090fb1a6209ap-3, 0x1.eedd1bf7d0b2ap-3, 0x1.ed0cde692eb88p-3, 0x1.eb216152ffd6p-3, 0x1.e91bbb46f8b41p-3, 0x1.e6fcfa84616ddp-3, 0x1.e4c62509e656ep-3, 0x1.e27838b822b1bp-3, 0x1.e0142b8365d38p-3, 0x1.dd9aebb271bp-3, 0x1.db0d60279104ep-3, 0x1.d86c68b10a859p-3, 0x1.d5b8de5df9ee1p-3, 0x1.d2f393d489ce6p-3, 0x1.d01d55a6fc1ccp-3, 0x1.cd36eaa502f59p-3, 0x1.ca411427a3a8bp-3, 0x1.c73c8e5612f95p-3, 0x1.c42a1062a1782p-3, 0x1.c10a4cbf378bep-3, 0x1.bdddf1494f8f7p-3, 0x1.baa5a76dcc257p-3, 0x1.b76214455483ap-3, 0x1.b413d8aa26d8fp-3, 0x1.b0bb914887799p-3, 0x1.ad59d6ab026fap-3, 0x1.a9ef3d43d67dap-3, 0x1.a67c5574b1ffdp-3, 0x1.a301ab96039c7p-3, 0x1.9f7fc7fed1885p-3, 0x1.9bf72f0df3471p-3, 0x1.9868613554261p-3, 0x1.94d3db07a9c19p-3, 0x1.913a1548dde9ap-3, 0x1.8d9b8501304c4p-3, 0x1.89f89b92f1fcbp-3, 0x1.8651c6d2a0cap-3, 0x1.82a77120f00c4p-3, 0x1.7efa018666f0dp-3, 0x1.7b49dbd004e6cp-3, 0x1.779760ac780f3p-3, 0x1.73e2edc966262p-3, 0x1.702cddf0582e5p-3, 0x1.6c758922d8495p-3, 0x1.68bd44b57453p-3, 0x1.6504636958bafp-3, 0x1.614b35845258fp-3, 0x1.5d9208e7132c6p-3, 0x1.59d92921a9507p-3, 0x1.5620df8632b28p-3, 0x1.52697339ca06bp-3, 0x1.4eb32943e1c17p-3, 0x1.4afe449c16c28p-3, 0x1.474b0636c3b38p-3, 0x1.4399ad1065d0ep-3, 0x1.3fea763824098p-3, 0x1.3c3e2670d3c1bp-3, 0x1.3893c8a601f26p-3, 0x1.34ec37c4c146p-3, 0x1.3147aa55bc9dep-3, 0x1.2da65518b2a71p-3, 0x1.2a086b07eabd6p-3, 0x1.266e1d5c55548p-3, 0x1.22d79b9258c8ap-3, 0x1.1f45136f78535p-3, 0x1.1bb6b108cc597p-3, 0x1.182c9eca47ac1p-3, 0x1.14a7057ed60cep-3, 0x1.11260c59200ffp-3, 0x1.0da9d8fcfeea4p-3, 0x1.0a328f896c45fp-3, 0x1.06c052a2e38f4p-3, 0x1.0353437e061aap-3, 0x1.ffd703d4dbd3cp-4, 0x1.f91258bb15fecp-4, 0x1.f258bffadff4dp-4, 0x1.ebaa7156eab95p-4, 0x1.e507a21d295d2p-4, 0x1.de70853adca2ep-4, 0x1.d7e54b4fc802bp-4, 0x1.d16622c0776d9p-4, 0x1.caf337c77d2e7p-4, 0x1.c48cb4859f1dap-4, 0x1.be32c110e351p-4, 0x1.b7e583829165cp-4, 0x1.b1a520040c3d7p-4, 0x1.ab71b8daaca4dp-4, 0x1.a54b6e72a5b09p-4, 0x1.9f325f68f9d8dp-4, 0x1.9926a894a80ecp-4, 0x1.9328650f17d5dp-4, 0x1.8d37ae3bf7ecp-4, 0x1.87549bd090352p-4, 0x1.817f43dab17c5p-4, 0x1.7bb7bac757a08p-4, 0x1.75fe136917ae1p-4, 0x1.70525efe6fe3ap-4, 0x1.6ab4ad380cce9p-4, 0x1.65250c3f1733p-4, 0x1.5fa388bb9797bp-4, 0x1.5a302ddafa303p-4, 0x1.54cb0556bf1c1p-4, 0x1.4f74177b59454p-4, 0x1.4a2b6b2f425e3p-4, 0x1.44f105fa426cbp-4, 0x1.3fc4ec0cec47ap-4, 0x1.3aa7204849ef5p-4, 0x1.3597a445b4b3p-4, 0x1.3096785ed4ec1p-4, 0x1.2ba39bb5bfce2p-4, 0x1.26bf0c3d2ee69p-4, 0x1.21e8c6c0c743fp-4, 0x1.1d20c6ed69f0bp-4, 0x1.1867075984c77p-4, 0x1.13bb818d5c98ap-4, 0x1.0f1e2e0b4996ap-4, 0x1.0a8f0457dfb43p-4, 0x1.060dfb01fb63fp-4, 0x1.019b07aaaf8fp-4, 0x1.fa6c3e1a1d8d4p-5, 0x1.f1be6a0b97ff9p-5, 0x1.e92c793562867p-5, 0x1.e0b65003cf236p-5, 0x1.d85bd15221621p-5, 0x1.d01cde78623e8p-5, 0x1.c7f95758d457fp-5, 0x1.bff11a6d097ep-5, 0x1.b80404d2988aap-5, 0x1.b031f2577d083p-5, 0x1.a87abd861c6b1p-5, 0x1.a0de3fb0f89c9p-5, 0x1.995c50fe16dffp-5, 0x1.91f4c8721841cp-5, 0x1.8aa77bfb11a3ep-5, 0x1.8374407b21a3dp-5, 0x1.7c5ae9d2cc738p-5, 0x1.755b4aeb20ceap-5, 0x1.6e7535bfabadfp-5, 0x1.67a87b683ef14p-5, 0x1.60f4ec228edf3p-5, 0x1.5a5a575ba4b81p-5, 0x1.53d88bb9346ecp-5, 0x1.4d6f5722cc62p-5, 0x1.471e86cae5c54p-5, 0x1.40e5e737d997ap-5, 0x1.3ac5444cb596bp-5, 0x1.34bc6951f7dbep-5, 0x1.2ecb20fe2a758p-5, 0x1.28f1357e64f5fp-5, 0x1.232e707eb1ddfp-5, 0x1.1d829b32534d5p-5, 0x1.17ed7e5becf6bp-5, 0x1.126ee2558b986p-5, 0x1.0d068f188d24p-5, 0x1.07b44c45693cbp-5, 0x1.0277e12b5300ap-5, 0x1.faa2299f74e86p-6, 0x1.f07f5beb4fda9p-6, 0x1.e686e649df79bp-6, 0x1.dcb85562849dp-6, 0x1.d313358224201p-6, 0x1.c99712a8a3e16p-6, 0x1.c043789617886p-6, 0x1.b717f2d798261p-6, 0x1.ae140cd3ca353p-6, 0x1.a53751d70fdcfp-6, 0x1.9c814d1f6bafap-6, 0x1.93f189e806864p-6, 0x1.8b8793746fb1ep-6, 0x1.8342f51b80fep-6, 0x1.7b233a51f5ff6p-6, 0x1.7327eeb4b2764p-6, 0x1.6b509e12b8782p-6, 0x1.639cd476d34e5p-6, 0x1.5c0c1e30f383fp-6, 0x1.549e07df3fa8ep-6, 0x1.4d521e76dd4e2p-6, 0x1.4627ef4c6f6a8p-6, 0x1.3f1f081c5131ep-6, 0x1.3836f71288715p-6, 0x1.316f4ad2767a1p-6, 0x1.2ac7927e46329p-6, 0x1.243f5dbe169ap-6, 0x1.1dd63cc6ec4c1p-6, 0x1.178bc0615d5a2p-6, 0x1.115f79f006f5dp-6, 0x1.0b50fb75c25e1p-6, 0x1.055fd79ba180cp-6, 0x1.ff17436d6809dp-7, 0x1.f3a7db9b2271cp-7, 0x1.e870a13b52015p-7, 0x1.dd70bf40c9d57p-7, 0x1.d2a762201f21bp-7, 0x1.c813b7d908c31p-7, 0x1.bdb4efff61f04p-7, 0x1.b38a3bc3c1f39p-7, 0x1.a992cdfbae904p-7, 0x1.9fcddb296a7b8p-7, 0x1.963a998366f28p-7, 0x1.8cd840fb4bc27p-7, 0x1.83a60b44a6a6dp-7, 0x1.7aa333db398bdp-7, 0x1.71cef808f2f71p-7, 0x1.692896eb7a121p-7, 0x1.60af517975be9p-7, 0x1.58626a87674d2p-7, 0x1.504126cc3d6c8p-7, 0x1.484acce584953p-7, 0x1.407ea55b48a4ap-7, 0x1.38dbfaa3a36f8p-7, 0x1.31621925f1addp-7, 0x1.2a104f3dc08c5p-7, 0x1.22e5ed3d64affp-7, 0x1.1be2457046364p-7, 0x1.1504ac1cdf2ap-7, 0x1.0e4c778670385p-7, 0x1.07b8ffee68464p-7, 0x1.01499f958a4d2p-7, 0x1.f5fb657989a4dp-8, 0x1.e9a92f4b98dedp-8, 0x1.dd9b5d26dc044p-8, 0x1.d1d0b393435a3p-8, 0x1.c647fb1abcbcap-8, 0x1.bb0000485d228p-8, 0x1.aff793a711f16p-8, 0x1.a52d89bfe291fp-8, 0x1.9aa0bb17b823dp-8, 0x1.9050042cbf946p-8, 0x1.863a45735f57bp-8, 0x1.7c5e6352c73c4p-8, 0x1.72bb46211ffb4p-8, 0x1.694fda1f591cep-8, 0x1.601b0f74a1daep-8, 0x1.571bda2984d8bp-8, 0x1.4e513222b8b38p-8, 0x1.45ba131b9b017p-8, 0x1.3d557ca06539dp-8, 0x1.352272081796ap-8, 0x1.2d1ffa6e2338cp-8, 0x1.254d20abd1966p-8, 0x1.1da8f351727ddp-8, 0x1.1632849f50647p-8, 0x1.0ee8ea7e7132dp-8, 0x1.07cb3e79277fep-8, 0x1.00d89db370909p-8, 0x1.f42051c65e529p-9, 0x1.e6e2089074eafp-9, 0x1.d9f4af4896522p-9, 0x1.cd569c6594763p-9, 0x1.c1062d40f7c2bp-9, 0x1.b501c60629bf1p-9, 0x1.a947d1a16e227p-9, 0x1.9dd6c1aeae4eap-9, 0x1.92ad0e6820c35p-9, 0x1.87c93694ce3abp-9, 0x1.7d29bf76fa0fbp-9, 0x1.72cd34ba76609p-9, 0x1.68b22862daeb1p-9, 0x1.5ed732b9b9184p-9, 0x1.553af23caf61bp-9, 0x1.4bdc0b8b85285p-9, 0x1.42b9295634875p-9, 0x1.39d0fc4af667fp-9, 0x1.31223b0442c2dp-9, 0x1.28aba1f6ddd36p-9, 0x1.206bf35fde8adp-9, 0x1.1861f732be94p-9, 0x1.108c7b076b788p-9, 0x1.08ea520868187p-9, 0x1.017a54e0eb51cp-9, 0x1.f476c35628186p-10, 0x1.e658b7bc46ec9p-10, 0x1.d89858798e0b3p-10, 0x1.cb338186d5d16p-10, 0x1.be28192d45fbdp-10, 0x1.b1740fe33876fp-10, 0x1.a51560294c9ap-10, 0x1.990a0e6785a39p-10, 0x1.8d5028caacc47p-10, 0x1.81e5c721b68bp-10, 0x1.76c903c04f71p-10, 0x1.6bf817b3ca9e8p-10, 0x1.61712f86e18e9p-10, 0x1.57328839dc64cp-10, 0x1.4d3a67c4e60a8p-10, 0x1.43871cf688d37p-10, 0x1.3a16ff5255eb3p-10, 0x1.30e86eefbf6c8p-10, 0x1.27f9d4592e257p-10, 0x1.1f49a06b35c18p-10, 0x1.16d64c341d649p-10, 0x1.0e9e58d3810bep-10, 0x1.06a04f5a4f40fp-10, 0x1.fdb58155ae40fp-11, 0x1.ee988ab27bec1p-11, 0x1.dfe6fb18302b4p-11, 0x1.d19e21ba8ecd3p-11, 0x1.c3bb5c764cc2ep-11, 0x1.b63c1793c80f1p-11, 0x1.a91dcd8a6bf9p-11, 0x1.9c5e06c485d6ap-11, 0x1.8ffa5963b5a96p-11, 0x1.83f06905f0df4p-11, 0x1.783de68b08cf3p-11, 0x1.6ce08fdae6edep-11, 0x1.61d62fac22daap-11, 0x1.571c9d4b7f3c6p-11, 0x1.4cb1bc63ba29p-11, 0x1.42937cc618727p-11, 0x1.38bfda33934fap-11, 0x1.2f34dc2686985p-11, 0x1.25f0959d0a5e2p-11, 0x1.1cf124e3fa962p-11, 0x1.1434b362690adp-11, 0x1.0bb97565e3a6cp-11, 0x1.037da9ef32fe5p-11, 0x1.f6ff34ff750dap-12, 0x1.e77b35cf06fbcp-12, 0x1.d86c1227913c3p-12, 0x1.c9ce99bc57adp-12, 0x1.bb9fafb9149e8p-12, 0x1.addc4a62a9ac8p-12, 0x1.a08172b9201c3p-12, 0x1.938c441ac7343p-12, 0x1.86f9ebe881398p-12, 0x1.7ac7a92b3a8f7p-12, 0x1.6ef2cc3a9b318p-12, 0x1.6378b664a3442p-12, 0x1.5856d996c0254p-12, 0x1.4d8ab807c4eb9p-12, 0x1.4311e3e32c1c4p-12, 0x1.38e9fef578423p-12, 0x1.2f10ba598e046p-12, 0x1.2583d6276bb7ap-12, 0x1.1c412123e53efp-12, 0x1.1346787164adcp-12, 0x1.0a91c74211dabp-12, 0x1.0221068ad711ep-12, 0x1.f3e4796f57af3p-13, 0x1.e406fac1e2f82p-13, 0x1.d4a5d203d986cp-13, 0x1.c5bd5960f11abp-13, 0x1.b74a03ab5e931p-13, 0x1.a9485bcfcd475p-13, 0x1.9bb5044b32db2p-13, 0x1.8e8cb6a3357f9p-13, 0x1.81cc42e097373p-13, 0x1.75708f0c18829p-13, 0x1.697696ad55404p-13, 0x1.5ddb6a4bfd08ep-13, 0x1.529c2ef360b85p-13, 0x1.47b61db804fa9p-13, 0x1.3d26833f97884p-13, 0x1.32eabf4adf7eap-13, 0x1.290044422d3a5p-13, 0x1.1f6496c381bebp-13, 0x1.16154d3355274p-13, 0x1.0d100f4f2fab8p-13, 0x1.045295c280647p-13, 0x1.f7b5537b02634p-14, 0x1.e74c491c243c2p-14, 0x1.d765de75c1e25p-14, 0x1.c7fe0440d1732p-14, 0x1.b910c91fe01b1p-14, 0x1.aa9a58e106991p-14, 0x1.9c96fbc41729dp-14, 0x1.8f0315c3bbbadp-14, 0x1.81db25e38dbbbp-14, 0x1.751bc580f0759p-14, 0x1.68c1a7a8120e7p-14, 0x1.5cc9986c6c671p-14, 0x1.51307c4458a95p-14, 0x1.45f34f691b796p-14, 0x1.3b0f2539333bap-14, 0x1.3081279f1c1b4p-14, 0x1.2646967a699aap-14, 0x1.1c5cc70ccf52cp-14, 0x1.12c12369e6d1fp-14, 0x1.097129ea5dea1p-14, 0x1.006a6ca1e3ebp-14, 0x1.ef5521b10b923p-15, 0x1.de5e9d0d23c44p-15, 0x1.cdecdfa783eebp-15, 0x1.bdfba1314ed68p-15, 0x1.ae86bbc73c655p-15, 0x1.9f8a2b008117p-15, 0x1.91020b01512e7p-15, 0x1.82ea97961c9efp-15, 0x1.75402b50b496dp-15, 0x1.67ff3eac3663p-15, 0x1.5b246735c39f5p-15, 0x1.4eac56b9929d4p-15, 0x1.4293da75e7ff6p-15, 0x1.36d7da516240bp-15, 0x1.2b7558162effcp-15, 0x1.20696eb34d86ep-15, 0x1.15b15180a9785p-15, 0x1.0b4a4b88a48d7p-15, 0x1.0131bed4a46e4p-15, 0x1.eeca477e67fe6p-16, 0x1.dbc410941614ep-16, 0x1.c94c1eeeb5001p-16, 0x1.b75de150efdbfp-16, 0x1.a5f4edfeed759p-16, 0x1.950d0189c1515p-16, 0x1.84a1fda35efe1p-16, 0x1.74afe7f8d2da2p-16, 0x1.6532e914cb6c6p-16, 0x1.56274b491802p-16, 0x1.4789799f66c68p-16, 0x1.3955fed057706p-16, 0x1.2b89844382139p-16, 0x1.1e20d112d0f4ap-16, 0x1.1118c9172a061p-16, 0x1.046e6bfb77c7dp-16, 0x1.f03da8aa6a143p-17, 0x1.d84e6d83ef6bep-17, 0x1.c109c21e525fcp-17, 0x1.aa6a72c769f18p-17, 0x1.946b7ae1a9d78p-17, 0x1.7f0803538b9p-17, 0x1.6a3b6101d932cp-17, 0x1.5601134f83cbdp-17, 0x1.4254c2b0cd2fep-17, 0x1.2f323f4163ae4p-17, 0x1.1c957f6c8f6dp-17, 0x1.0a7a9e94edebcp-17, 0x1.f1bbb7ac1f03ap-18, 0x1.cf773178768e7p-18, 0x1.ae20b02abc79bp-18, 0x1.8db17987b99d7p-18, 0x1.6e231137a9553p-18, 0x1.4f6f3693fb51bp-18, 0x1.318fe2827daabp-18, }}, 
      {{-0x1.f36419448d1e7p-2, -0x1.084019af335dfp-1, -0x1.1e165b9b38137p-1, -0x1.38c2a52642c3ep-1, -0x1.55f2737715db8p-1, -0x1.73a9733cd1d77p-1, -0x1.9054798bcd78p-1, -0x1.aac8fbaf3dae6p-1, -0x1.c23ac3e5ad179p-1, -0x1.d62d9adf48314p-1, -0x1.e6661bacf4081p-1, -0x1.f2db6024b2e71p-1, -0x1.fbaa3be411889p-1, -0x1.008530a5c9f5fp+0, -0x1.01a2b4db8ed4ep+0, -0x1.0157c019850a5p+0, -0x1.ffa1d81a83235p-1, -0x1.fa764eb8a1bb5p-1, -0x1.f3845613e116cp-1, -0x1.eb1ea64f6af38p-1, -0x1.e19214708a0a7p-1, -0x1.d724365f45bb7p-1, -0x1.cc13ad5c7704ep-1, -0x1.c0977f511c94ap-1, -0x1.b4df71b6b7ddep-1, -0x1.a914b11526765p-1, -0x1.9d59cb1ceabc2p-1, -0x1.91cb7bfa93b69p-1, -0x1.86815c3555c16p-1, -0x1.7b8e05d7f588fp-1, -0x1.70fff26a70c95p-1, -0x1.66e21288c4ec9p-1, -0x1.5d3c17e2a9a62p-1, -0x1.5412e3d41fae9p-1, -0x1.4b690cb3171b3p-1, -0x1.433f409844529p-1, -0x1.3b949107a6837p-1, -0x1.3466bd4473c15p-1, -0x1.2db2736d263f5p-1, -0x1.277384c8da557p-1, -0x1.21a51853f5b51p-1, -0x1.1c41dda6bf7c6p-1, -0x1.174435fb7da87p-1, -0x1.12a64eb91d896p-1, -0x1.0e6234631af3dp-1, -0x1.0a71e5bb4bd0bp-1, -0x1.06cf6814f090cp-1, -0x1.0374d9a6eef9bp-1, -0x1.005c7f83c0cc7p-1, -0x1.fb019e0215551p-2, -0x1.f5b8e6e33463p-2, -0x1.f0d4a2f2eaf1cp-2, -0x1.ec4b12bedaacfp-2, -0x1.e812f2ab33e57p-2, -0x1.e42380b8431ep-2, -0x1.e0748461d98ebp-2, -0x1.dcfe3bae4eabep-2, -0x1.d9b9709661e2ap-2, -0x1.d69f71dbce265p-2, -0x1.d3aa0ec3103e2p-2, -0x1.d0d39108726e8p-2, -0x1.ce16b64c40d02p-2, -0x1.cb6ea9d98a701p-2, -0x1.c8d6ff2f4492cp-2, -0x1.c64bad53f76a5p-2, -0x1.c3c90abf39c3dp-2, -0x1.c14bc981cf8b2p-2, -0x1.bed0f34e87d27p-2, -0x1.bc55e51ceec99p-2, -0x1.b9d84a497597ap-2, -0x1.b75617439e7c6p-2, -0x1.b4cd83fbe44acp-2, -0x1.b23d06526c32ep-2, -0x1.afa34cc5387c2p-2, -0x1.acff398cc57e9p-2, -0x1.aa4fde3f5de3bp-2, -0x1.a79477fcd846p-2, -0x1.a4cc6c11bd704p-2, -0x1.a1f744f4d0bb7p-2, -0x1.9f14af7e094b6p-2, -0x1.9c24783a3ce9ap-2, -0x1.992688c7a36dcp-2, -0x1.961ae53128ec8p-2, -0x1.9301a946c0714p-2, -0x1.8fdb05f8847aap-2, -0x1.8ca73ec177ed2p-2, -0x1.8966a733853e7p-2, -0x1.8619a0b5e1fabp-2, -0x1.82c09880595bfp-2, -0x1.7f5c05d47602ap-2, -0x1.7bec686df81bcp-2, -0x1.78724721dd50ap-2, -0x1.74ee2ea59a61bp-2, -0x1.7160b07b90339p-2, -0x1.6dca62027049dp-2, -0x1.6a2bdba2cfbe9p-2, -0x1.6685b8128677ap-2, -0x1.62d893a3dbd16p-2, -0x1.5f250b987d7ecp-2, -0x1.5b6bbd74ebd71p-2, -0x1.57ad465653249p-2, -0x1.53ea425007008p-2, -0x1.50234bd67079fp-2, -0x1.4c58fb3b5fefap-2, -0x1.488be63cfa712p-2, -0x1.44bc9fa63c858p-2, -0x1.40ebb6feeb46p-2, -0x1.3d19b848e9bf7p-2, -0x1.39472bc99dc16p-2, -0x1.357495deded82p-2, -0x1.31a2848bb6a27p-2, -0x1.2dd15941694a4p-2, -0x1.2a0197a0d054p-2, -0x1.2633b3d634293p-2, -0x1.22681dee117ddp-2, -0x1.1e9f41d13d83dp-2, -0x1.1ad98742c3ae3p-2, -0x1.171751de55e87p-2, -0x1.13590116f97fep-2, -0x1.0f9ef03683a36p-2, -0x1.0be9765f124c9p-2, -0x1.0838e68fb7334p-2, -0x1.048d8fad439ap-2, -0x1.00e7bc8f8e3c6p-2, -0x1.fa8f6825cccefp-3, -0x1.f35b725a2689cp-3, -0x1.ec341609f0e42p-3, -0x1.e519ca18474fcp-3, -0x1.de0cfe332ef7p-3, -0x1.d70e1b0acd2dfp-3, -0x1.d01d8289926bap-3, -0x1.c93b900cb46d4p-3, -0x1.c268989c568bfp-3, -0x1.bba4eb22c2d16p-3, -0x1.b4f0d0a220e67p-3, -0x1.ae4c8c6855893p-3, -0x1.a7b85c40f48d8p-3, -0x1.a13478a55b647p-3, -0x1.9ac114eb4fa64p-3, -0x1.945e5f726aa0ep-3, -0x1.8e0c81d0b38cep-3, -0x1.87cba0fea9819p-3, -0x1.819bdd82fd5d4p-3, -0x1.7b7d539e18a95p-3, -0x1.75701b7593c7ep-3, -0x1.6f74493fb40bcp-3, -0x1.6989ed6ee1e67p-3, -0x1.63b114dd12c4bp-3, -0x1.5de9c8f7028b3p-3, -0x1.58340fe6f10bep-3, -0x1.528fecbeb2339p-3, -0x1.4cfd5fa0b7367p-3, -0x1.477c65e7da327p-3, -0x1.420cfa4da6cadp-3, -0x1.3caf150f144ccp-3, -0x1.3762ac0f88e79p-3, -0x1.3227b2fa45a24p-3, -0x1.2cfe1b6227b4ep-3, -0x1.27e5d4dff6b03p-3, -0x1.22decd2f3ccf3p-3, -0x1.1de8f049ce65ap-3, -0x1.1904288216672p-3, -0x1.14305e9c361b9p-3, -0x1.0f6d79e60b595p-3, -0x1.0abb604e35e7p-3, -0x1.0619f67a1a42dp-3, -0x1.01891fdb041c5p-3, -0x1.fa117d84d64a4p-4, -0x1.f13168eae22e5p-4, -0x1.e871c27f43772p-4, -0x1.dfd2490a1b287p-4, -0x1.d752b9a77ac97p-4, -0x1.cef2cfe9303b5p-4, -0x1.c6b245f756a8ep-4, -0x1.be90d4afd181ap-4, -0x1.b68e33c49397ep-4, -0x1.aeaa19d8a44ebp-4, -0x1.a6e43c9bd1409p-4, -0x1.9f3c50e4ee76ap-4, -0x1.97b20acab4ab3p-4, -0x1.90451dbb09df4p-4, -0x1.88f53c90d5562p-4, -0x1.81c219a864f18p-4, -0x1.7aab66f276ef1p-4, -0x1.73b0d6060946p-4, -0x1.6cd2183110c7p-4, -0x1.660ede883a4b1p-4, -0x1.5f66d9f5d5162p-4, -0x1.58d9bb480075bp-4, -0x1.5267333e2e8d6p-4, -0x1.4c0ef2960685fp-4, -0x1.45d0aa17abbf5p-4, -0x1.3fac0aa165464p-4, -0x1.39a0c532a69b1p-4, -0x1.33ae8af670fe8p-4, -0x1.2dd50d4d0c09p-4, -0x1.2813fdd51997fp-4, -0x1.226b0e7401ba3p-4, -0x1.1cd9f15dc7aafp-4, -0x1.1760591c4cc96p-4, -0x1.11fdf89611072p-4, -0x1.0cb2831480498p-4, -0x1.077dac49d8b3bp-4, -0x1.025f2856b4c16p-4, -0x1.faad579e88381p-5, -0x1.f0c7d780702a4p-5, -0x1.e70d3b66cef34p-5, -0x1.dd7cef6852c5fp-5, -0x1.d41660a6d1911p-5, -0x1.cad8fd56d98bap-5, -0x1.c1c434c6aa764p-5, -0x1.b8d7776493587p-5, -0x1.b01236c4b94d4p-5, -0x1.a773e5a647b93p-5, -0x1.9efbf7f8103e5p-5, -0x1.96a9e2dca6658p-5, -0x1.8e7d1cadff141p-5, -0x1.86751d00a3a3ap-5, -0x1.7e915ca6821b5p-5, -0x1.76d155b16a601p-5, -0x1.6f3483753f65ap-5, -0x1.67ba6289e9646p-5, -0x1.60627058500c6p-5, -0x1.592c2bc80415fp-5, -0x1.5217161c7da6dp-5, -0x1.4b22b110f6cbcp-5, -0x1.444e7faa42f86p-5, -0x1.3d9a06378cac3p-5, -0x1.3704ca52e71bfp-5, -0x1.308e52e1b4ef2p-5, -0x1.2a362814ea0b1p-5, -0x1.23fbd36925427p-5, -0x1.1ddedfa6a5c6ep-5, -0x1.17ded8e11770bp-5, -0x1.11fb4c7741d1fp-5, -0x1.0c33c9128f881p-5, -0x1.0687dea673c61p-5, -0x1.00f71e6fb0349p-5, -0x1.f70235e6f2157p-6, -0x1.ec4acffcf1914p-6, -0x1.e1c735476b5f1p-6, -0x1.d7769276bb158p-6, -0x1.cd5816c2ddfbp-6, -0x1.c36af3e8a326cp-6, -0x1.b9ae5e2695f6dp-6, -0x1.b0218c39cfe5fp-6, -0x1.a6c3b75a8ff88p-6, -0x1.9d941b38b604cp-6, -0x1.9491f5f815ddfp-6, -0x1.8bbc882cada6p-6, -0x1.831314d6be911p-6, -0x1.7a94e15eca378p-6, -0x1.724135917d9cp-6, -0x1.6a175b9b87c9ap-6, -0x1.6216a00557d0cp-6, -0x1.5a3e51aed46ebp-6, -0x1.528dc1cafe993p-6, -0x1.4b0443db8f1c8p-6, -0x1.43a12dac81ee7p-6, -0x1.3c63d74f9c937p-6, -0x1.354b9b17ed7b1p-6, -0x1.2e57d5953dfd6p-6, -0x1.2787e58f850c7p-6, -0x1.20db2c02500bbp-6, -0x1.1a510c182552ap-6, -0x1.13e8eb25e6ae9p-6, -0x1.0da230a6273acp-6, -0x1.077c463486249p-6, -0x1.01769788fd7a4p-6, -0x1.f72124e66088dp-7, -0x1.eb934dab6e70bp-7, -0x1.e0428d42c0157p-7, -0x1.d52dcba0eea1fp-7, -0x1.ca53f4c3fec51p-7, -0x1.bfb3f8a9db1fp-7, -0x1.b54ccb46c63cbp-7, -0x1.ab1d647bbbbp-7, -0x1.a124c00cd5609p-7, -0x1.9761dd97a702ap-7, -0x1.8dd3c08995553p-7, -0x1.847970162ec85p-7, -0x1.7b51f72d7778dp-7, -0x1.725c64723f05ep-7, -0x1.6997ca3066ecp-7, -0x1.61033e5336f22p-7, -0x1.589dda5ba7bd4p-7, -0x1.5066bb56b5d56p-7, -0x1.485d01d3aad11p-7, -0x1.407fd1da785ffp-7, -0x1.38ce52e20b2bcp-7, -0x1.3147afc6a8fc4p-7, -0x1.29eb16c047f4dp-7, -0x1.22b7b958fb7fp-7, -0x1.1baccc635953ap-7, -0x1.14c987f0ec4e2p-7, -0x1.0e0d2748ab316p-7, -0x1.0776e8dd7a42p-7, -0x1.01060e44b08a5p-7, -0x1.f573b8595467ep-8, -0x1.e92334a6c8e8ap-8, -0x1.dd1926fa4464ap-8, -0x1.d1542ad63284p-8, -0x1.c5d2e1a461977p-8, -0x1.ba93f2a388204p-8, -0x1.af960ad4e9df1p-8, -0x1.a4d7dcea194ffp-8, -0x1.9a582132c5d16p-8, -0x1.9015958ab0a34p-8, -0x1.860efd47afb0ap-8, -0x1.7c432127d6e91p-8, -0x1.72b0cf3fb03d5p-8, -0x1.6956dae893facp-8, -0x1.60341caf24e5ap-8, -0x1.57477241d59dap-8, -0x1.4e8fbe5f995bp-8, -0x1.460be8c6aa10ap-8, -0x1.3dbade236d839p-8, -0x1.359b8fff73287p-8, -0x1.2dacf4b09cc91p-8, -0x1.25ee07484922fp-8, -0x1.1e5dc782be6a4p-8, -0x1.16fb39b69ab6bp-8, -0x1.0fc566c46e603p-8, -0x1.08bb5c066f69bp-8, -0x1.01dc2b4053328p-8, -0x1.f64dd51e8d1e8p-9, -0x1.e93568b3fcbd7p-9, -0x1.dc6d4e81e6605p-9, -0x1.cff3cc1d74eecp-9, -0x1.c3c72f50f73d3p-9, -0x1.b7e5cdfd21726p-9, -0x1.ac4e05fa83e81p-9, -0x1.a0fe3cfb4d7abp-9, -0x1.95f4e06d4504dp-9, -0x1.8b30655c216d9p-9, -0x1.80af48540acfap-9, -0x1.76700d4477633p-9, -0x1.6c713f6344138p-9, -0x1.62b171100f82fp-9, -0x1.592f3bb7f1611p-9, -0x1.4fe93fb95ad9ap-9, -0x1.46de24485626ep-9, -0x1.3e0c9753001ffp-9, -0x1.35734d665006ap-9, -0x1.2d1101932373fp-9, -0x1.24e47553a185cp-9, -0x1.1cec7070bbe35p-9, -0x1.1527c0e82efafp-9, -0x1.0d953ad2a9187p-9, -0x1.0633b84a3e0a9p-9, -0x1.fe0432a250f1ep-10, -0x1.effe8771990dcp-10, -0x1.e254461225b1p-10, -0x1.d50350cfe5c31p-10, -0x1.c8099502b0cd6p-10, -0x1.bb650ade9919fp-10, -0x1.af13b544cccfp-10, -0x1.a313a194ef838p-10, -0x1.9762e77f369b3p-10, -0x1.8bffa8d6d7d4p-10, -0x1.80e81165427c3p-10, -0x1.761a56bda8999p-10, -0x1.6b94b8114416cp-10, -0x1.61557e041228ap-10, -0x1.575afa822a13ep-10, -0x1.4da3889586c9cp-10, -0x1.442d8c3c83898p-10, -0x1.3af77240a752p-10, -0x1.31ffb00e409ep-10, -0x1.2944c38c46eebp-10, -0x1.20c532f5039efp-10, -0x1.187f8caf0aa6cp-10, -0x1.10726726e0c2cp-10, -0x1.089c60a90ed16p-10, -0x1.00fc1f3cd193ap-10, -0x1.f320a0fe635fdp-11, -0x1.e4af52fd81c03p-11, -0x1.d6a1cd2f9668ep-11, -0x1.c8f596a1eadf5p-11, -0x1.bba84470fffd7p-11, -0x1.aeb77983ff308p-11, -0x1.a220e648e5b84p-11, -0x1.95e2487247791p-11, -0x1.89f96ab568467p-11, -0x1.7e642489b4754p-11, -0x1.732059e92fc6dp-11, -0x1.682bfb118929p-11, -0x1.5d85044688568p-11, -0x1.53297d952eefp-11, -0x1.49177a97eda1fp-11, -0x1.3f4d1a3baff14p-11, -0x1.35c88685e6a25p-11, -0x1.2c87f45b6613ep-11, -0x1.2389a348633bp-11, -0x1.1acbdd4919bc9p-11, -0x1.124cf6934a6ccp-11, -0x1.0a0b4d612912ep-11, -0x1.020549bc7c649p-11, -0x1.f472ba95d696fp-12, -0x1.e54c063683474p-12, -0x1.d6937ee6d732ap-12, -0x1.c8463f3e83889p-12, -0x1.ba617380981f3p-12, -0x1.ace2593c94392p-12, -0x1.9fc63ef0daa1ep-12, -0x1.930a83af88797p-12, -0x1.86ac96c3e92ddp-12, -0x1.7aa9f75a321e2p-12, -0x1.6f003428a76eep-12, -0x1.63aceb1a092dfp-12, -0x1.58adc8fa19bdcp-12, -0x1.4e008923239bap-12, -0x1.43a2f52d155f5p-12, -0x1.3992e49e721a8p-12, -0x1.2fce3c9e32363p-12, -0x1.2652efa7b0885p-12, -0x1.1d1efd3f50f5cp-12, -0x1.143071a9246f6p-12, -0x1.0b8565a0a428dp-12, -0x1.031bfe11ecf6ep-12, -0x1.f5e4d7a8658f8p-13, -0x1.e60dd6cb17764p-13, -0x1.d6af89508b7c2p-13, -0x1.c7c69542761cbp-13, -0x1.b94fb66ea729bp-13, -0x1.ab47bde9d3ep-13, -0x1.9dab91933cc22p-13, -0x1.90782b9bf6cbep-13, -0x1.83aa9a0ffc68fp-13, -0x1.773ffe6112cbcp-13, -0x1.6b358cf5beb26p-13, -0x1.5f888cb8b0f76p-13, -0x1.543656ab62492p-13, -0x1.493c557a8b5cap-13, -0x1.3e980514cd5f4p-13, -0x1.3446f243d0038p-13, -0x1.2a46ba47291e2p-13, -0x1.20950a70c22b1p-13, -0x1.172f9fc514821p-13, -0x1.0e14469b1c96p-13, -0x1.0540da3fd7538p-13, -0x1.f966893612541p-14, -0x1.e8d2fbac2801p-14, -0x1.d8c318090ed56p-14, -0x1.c933059d23b5ep-14, -0x1.ba1f063affb1bp-14, -0x1.ab8375408b7c8p-14, -0x1.9d5cc83c62abep-14, -0x1.8fa78c6d932bcp-14, -0x1.82606768f045ap-14, -0x1.75841632bb04p-14, -0x1.690f6cac6846ep-14, -0x1.5cff5503b6fe2p-14, -0x1.5150cf250afaep-14, -0x1.4600f0333ec01p-14, -0x1.3b0ce1ff68b73p-14, -0x1.3071e284e6c4cp-14, -0x1.262d43681835fp-14, -0x1.1c3c6978b73e2p-14, -0x1.129ccc352d651p-14, -0x1.094bf5526d33dp-14, -0x1.0047804595fdp-14, -0x1.ef1a33a0ddc4dp-15, -0x1.de34ff2085d8ap-15, -0x1.cddaff1f9dd3fp-15, -0x1.be07efb48c5eap-15, -0x1.aeb7ac26df7d8p-15, -0x1.9fe62e1e0396dp-15, -0x1.918f8cd8e0343p-15, -0x1.83affc684c8c9p-15, -0x1.7643ccf06f97ap-15, -0x1.694769e8ad083p-15, -0x1.5cb759676a75fp-15, -0x1.50903b6d8bbf9p-15, -0x1.44cec9361e33ep-15, -0x1.396fd48c8218fp-15, -0x1.2e704723d30e6p-15, -0x1.23cd21f49cb97p-15, -0x1.19837c9bdc59p-15, -0x1.0f9084c096b22p-15, -0x1.05f17d7b7ee4p-15, -0x1.f9477d84c2ba3p-16, -0x1.e74969acd970dp-16, -0x1.d5e3bf711068p-16, -0x1.c511a53a7f04fp-16, -0x1.b4ce66cf090e6p-16, -0x1.a515744932767p-16, -0x1.95e261177cd7ap-16, -0x1.8730e30282b93p-16, -0x1.78fcd138b289cp-16, -0x1.6b4223608fe5ap-16, -0x1.5dfcf0b003bcbp-16, -0x1.51296f08cca3cp-16, -0x1.44c3f21c8b959p-16, -0x1.38c8ea970c0f7p-16, -0x1.2d34e5493d7p-16, -0x1.22048a5dccb52p-16, -0x1.17349c933e3b2p-16, -0x1.0cc1f8763fb06p-16, -0x1.02a993a594a3ep-16, -0x1.f1d0f834554b8p-17, -0x1.def7aee1834bap-17, -0x1.ccc1c479a6d42p-17, -0x1.bb29debc2b1a7p-17, -0x1.aa2aceac7a1fdp-17, -0x1.99bf8f57faae7p-17, -0x1.89e344920a87cp-17, -0x1.7a9139c5cbeb2p-17, -0x1.6bc4e0c78876fp-17, -0x1.5d79d0b27804p-17, -0x1.4fabc4cd46009p-17, -0x1.42569b7539a01p-17, -0x1.357655112d0fdp-17, -0x1.2907130d417c5p-17, -0x1.1d0516dbe0382p-17, -0x1.116cc0fb3f1cfp-17, -0x1.063a9008b9fa7p-17, -0x1.f6d63fa9e81bdp-18, -0x1.e1f650f8cab4fp-18, -0x1.cdcefb1b41a18p-18, -0x1.ba5a1a6651f65p-18, -0x1.a791beb95e264p-18, -0x1.957029ec73766p-18, -0x1.83efce42cf721p-18, -0x1.730b4cea3bc68p-18, -0x1.62bd74857232ap-18, -0x1.53013fb8dc4fp-18, -0x1.43d1d3d5b53b1p-18, -0x1.352a7f7773345p-18, -0x1.2706b93c084cfp-18, -0x1.19621e7bd70bp-18, -0x1.0c3872141c90bp-18, -0x1.ff0b365b3d6b4p-19, -0x1.e68b48319818dp-19, -0x1.cee9725ade13ep-19, -0x1.b81e4f54cf9b4p-19, -0x1.a222b96e624c3p-19, -0x1.8cefc88e21e44p-19, -0x1.787ed052dc839p-19, -0x1.64c95e0cd9093p-19, -0x1.51c936e9abb1fp-19, -0x1.3f7856189bd21p-19, -0x1.2dd0eb03b69ebp-19, -0x1.1ccd57a0a3a07p-19, -0x1.0c682eb8ae12p-19, -0x1.f938649c8a776p-20, -0x1.dac8a42183ae1p-20, -0x1.bd7753a251075p-20, -0x1.a13b0013fc8f5p-20, -0x1.860a88eaa636ap-20, -0x1.6bdd1d2c52b7dp-20, -0x1.52aa390a1c82ep-20, -0x1.3a69a2ff80d7p-20, -0x1.23136969b922ep-20, -0x1.0c9fe015c6755p-20, -0x1.ee0f3bc649d69p-21, -0x1.c486f4e4b3e76p-21, -0x1.9c9917d194b8ap-21, -0x1.763849c83dfa8p-21, -0x1.5157a485c4f78p-21, -0x1.2deab2530d736p-21, -0x1.0be56a1c70e65p-21, -0x1.d67857b76819cp-22, -0x1.97c7798e8d0c6p-22, -0x1.5ba2876abd21ep-22, -0x1.21f48ba230cfep-22, -0x1.d5528cf4646efp-23, -0x1.6b5a4feef9cc9p-23, -0x1.05da91db421fbp-23, -0x1.495d986fc6a44p-24, -0x1.1ececcccbf45ap-25, 0x1.138d488ebaec5p-27, 0x1.98df07cb55355p-25, 0x1.6ed1e1787f7bdp-24, 0x1.04eb2c2deba7fp-23, 0x1.4edc38c3f069fp-23, 0x1.9558dd74e460bp-23, 0x1.d87cec9094048p-23, 0x1.0c31a6c24afa5p-22, 0x1.2a93022789e46p-22, 0x1.476f1d1ab082cp-22, 0x1.62d222ccc1364p-22, 0x1.7cc7d8a9366f9p-22, 0x1.955ba24328017p-22, 0x1.ac9884bfcc815p-22, 0x1.c2892a3ea397fp-22, 0x1.d737e55a2884ep-22, 0x1.eaaeb3a818f7ep-22, 0x1.fcf7421dbf285p-22, 0x1.070d7743c0abap-21, 0x1.0f1165e827115p-21, 0x1.168bd1a0f5c39p-21, 0x1.1d80fc758ee82p-21, 0x1.23f5062536448p-21, 0x1.29ebee1b7be24p-21, 0x1.2f69945ec928ap-21, 0x1.3471baa58d2efp-21, 0x1.3908058ad8745p-21, 0x1.3d2ffd88c08a4p-21, 0x1.40ed101961d2ap-21, }}, 
      std::vector<double>(600, 0.0), 
      {{0x1.a38cb8eaabc9ep-2, 0x1.78b93e6e7272ep-1, 0x1.e7d390acd0ca7p-1, 0x1.115df03e55b29p+0, 0x1.19eb3cec1d3d9p+0, 0x1.138b1fee05179p+0, 0x1.03bcfc81566fcp+0, 0x1.de0739fde2c85p-1, 0x1.b19068dae72fdp-1, 0x1.86dda01b25611p-1, 0x1.60fe66fb21474p-1, 0x1.41a580746132dp-1, 0x1.297f89acd98bfp-1, 0x1.187eccee1ab73p-1, 0x1.0e19088458a89p-1, 0x1.09782d4d720c2p-1, 0x1.099fda81c6f47p-1, 0x1.0d8861ceb8c44p-1, 0x1.1431cf1d65cb1p-1, 0x1.1cafc03cd3cbbp-1, 0x1.2631f4e1b3ca1p-1, 0x1.3005973378e8p-1, 0x1.3998a6d230da8p-1, 0x1.4277548b15b4ep-1, 0x1.4a49505519583p-1, 0x1.50d0a2502311ap-1, 0x1.55e543ec4f723p-1, 0x1.5970ce1bbb854p-1, 0x1.5b6deceabfcf4p-1, 0x1.5be3565c413f7p-1, 0x1.5ae0f4def5453p-1, 0x1.587e5622dc60bp-1, 0x1.54d8e4f47f8f1p-1, 0x1.50119f4b05d97p-1, 0x1.4a4b24ad3293ap-1, 0x1.43a8a31637fedp-1, 0x1.3c4d5a2861579p-1, 0x1.345c17b79dafp-1, 0x1.2bf669c4ca707p-1, 0x1.233bcd8a45d3p-1, 0x1.1a4941d5982c2p-1, 0x1.11394c58165cap-1, 0x1.08242c4db10b3p-1, 0x1.fe3fe2f913ea6p-2, 0x1.ec80cb51c7ec3p-2, 0x1.db2dce1a8c0aap-2, 0x1.ca64b5b57dac6p-2, 0x1.ba3e92d709748p-2, 0x1.aad036f09ecccp-2, 0x1.9c2ac18872c06p-2, 0x1.8e5c137939ef5p-2, 0x1.816f143cbb7f8p-2, 0x1.756bd2fe3c2c1p-2, 0x1.6a579de214e61p-2, 0x1.60346e7a6d9b3p-2, 0x1.57043976728c9p-2, 0x1.4ec4b05d0a5b6p-2, 0x1.47724d415e98dp-2, 0x1.4108207470462p-2, 0x1.3b80253cabdbep-2, 0x1.36d37ec336c02p-2, 0x1.32fa9bb07a177p-2, 0x1.2fed46937bbfap-2, 0x1.2da2ad3a84fcdp-2, 0x1.2c116914069f6p-2, 0x1.2b2f8f8986a5dp-2, 0x1.2af2cccfb5db4p-2, 0x1.2b50878638211p-2, 0x1.2c3e08be3608fp-2, 0x1.2db0a2f1bdf4p-2, 0x1.2f9dd2fc8f015p-2, 0x1.31fb57d53f36p-2, 0x1.34bf400406adcp-2, 0x1.37dfedfc2d006p-2, 0x1.3b5416050da59p-2, 0x1.3f12b9030ca4ep-2, 0x1.43131f38f97d1p-2, 0x1.474cd548307eep-2, 0x1.4bb7ac9f4774bp-2, 0x1.504bbf788dedbp-2, 0x1.550177b417a1ep-2, 0x1.59d1974f526a2p-2, 0x1.5eb540ff3b9a2p-2, 0x1.63a5ff7d920efp-2, 0x1.689dca657f604p-2, 0x1.6d9707f8aaeb2p-2, 0x1.728c8bb4d8815p-2, 0x1.777992217f6bep-2, 0x1.7c59ba91c5533p-2, 0x1.8128ffbac931p-2, 0x1.85e3aff8d0714p-2, 0x1.8a8665feda7e8p-2, 0x1.8f0e027e903a5p-2, 0x1.9377a7202a56p-2, 0x1.97c0b2e6b4f5bp-2, 0x1.9be6bfe3dbcf9p-2, 0x1.9fe7a1f0dfa3cp-2, 0x1.a3c166087fae6p-2, 0x1.a77251da2d43cp-2, 0x1.aaf8e33cef94bp-2, 0x1.ae53cf3ff72f6p-2, 0x1.b18200b04fb1dp-2, 0x1.b4829601fe916p-2, 0x1.b754de9e3c37ep-2, 0x1.b9f857a8bb6b3p-2, 0x1.bc6ca85b72f13p-2, 0x1.beb19e2243f92p-2, 0x1.c0c728a517e05p-2, 0x1.c2ad55eeb8d0bp-2, 0x1.c4644ed8d396ap-2, 0x1.c5ebc9cb0b18ap-2, 0x1.c745e398bef29p-2, 0x1.c871ad6b19699p-2, 0x1.c96f973765d51p-2, 0x1.ca40230714405p-2, 0x1.cae3e448a0f73p-2, 0x1.cb5b7f1b78b99p-2, 0x1.cba7a77d1d4e9p-2, 0x1.cbc9204706307p-2, 0x1.cbc0b9f6f1de6p-2, 0x1.cb8f5144caeacp-2, 0x1.cb35cd907dab7p-2, 0x1.cab51f36c666bp-2, 0x1.ca0e3dde17146p-2, 0x1.c94226ccc0fd2p-2, 0x1.c851db5831bc9p-2, 0x1.c73e5f7aa54afp-2, 0x1.c608b89991536p-2, 0x1.c4b1ec83468a6p-2, 0x1.c33b00a6236ebp-2, 0x1.c1a4f97f6e82dp-2, 0x1.bff0da3c042dbp-2, 0x1.be1fa481ce738p-2, 0x1.bc325856fef9ep-2, 0x1.ba29f41b3d01ap-2, 0x1.b807748775767p-2, 0x1.b5cbd4aa7f8e2p-2, 0x1.b3780ddaf61cbp-2, 0x1.b10d1799261e8p-2, 0x1.ae8be75e91ac5p-2, 0x1.abf5705af23d1p-2, 0x1.a94aa320cd0dfp-2, 0x1.a68c6d455c6b6p-2, 0x1.a3bbb8f8ca2cp-2, 0x1.a0d96c9c5bb9p-2, 0x1.9de66a5c33153p-2, 0x1.9ae38fd1dd01ep-2, 0x1.97d1b5b3e62e3p-2, 0x1.94b1af959700ap-2, 0x1.91844bb87f45bp-2, 0x1.8e4a52f04f8c7p-2, 0x1.8b04889835707p-2, 0x1.87b3aa980a0d8p-2, 0x1.84587176f8f4dp-2, 0x1.80f39078bcc5cp-2, 0x1.7d85b5c272d4cp-2, 0x1.7a0f8a83f6963p-2, 0x1.7691b322e816p-2, 0x1.730ccf64d5a77p-2, 0x1.6f817a966d286p-2, 0x1.6bf04bae27437p-2, 0x1.6859d56966203p-2, 0x1.64bea6639fb6ap-2, 0x1.611f4927abf66p-2, 0x1.5d7c443bc691ap-2, 0x1.59d61a29333ep-2, 0x1.562d4980abf5bp-2, 0x1.52824cdce3f65p-2, 0x1.4ed59ae46c6afp-2, 0x1.4b27a64c30d1cp-2, 0x1.4778dddb9aea1p-2, 0x1.43c9ac7330d4ep-2, 0x1.401a791649fa8p-2, 0x1.3c6ba6f826ca8p-2, 0x1.38bd958c8387bp-2, 0x1.3510a09b731a9p-2, 0x1.3165205827c19p-2, 0x1.2dbb697a25aeep-2, 0x1.2a13cd583aa5p-2, 0x1.266e9a0495362p-2, 0x1.22cc1a694eccdp-2, 0x1.1f2c9664d285dp-2, 0x1.1b9052e594fefp-2, 0x1.17f79204b5c09p-2, 0x1.1462931f413f9p-2, 0x1.10d192edd9dadp-2, 0x1.0d44cb9ac28cap-2, 0x1.09bc74d63e8f7p-2, 0x1.0638c3e9644eap-2, 0x1.02b9ebc781fb3p-2, 0x1.fe803a3c708dp-3, 0x1.f7970cc907fd2p-3, 0x1.f0b8a7d1be03fp-3, 0x1.e9e55fbd5801ep-3, 0x1.e31d84d63ad86p-3, 0x1.dc61636384759p-3, 0x1.d5b143c1c9e56p-3, 0x1.cf0d6a7bb3147p-3, 0x1.c8761862bfeabp-3, 0x1.c1eb8aa8590b6p-3, 0x1.bb6dfaf74cc5ep-3, 0x1.b4fd9f8dc72c8p-3, 0x1.ae9aab57b3b7cp-3, 0x1.a8454e0982503p-3, 0x1.a1fdb43b1af5cp-3, 0x1.9bc40782d8713p-3, 0x1.95986e904ab9ap-3, 0x1.8f7b0d468a85cp-3, 0x1.896c04d5db2e5p-3, 0x1.836b73d4750fcp-3, 0x1.7d7976563915dp-3, 0x1.7796260344a4fp-3, 0x1.71c19a2d43945p-3, 0x1.6bfbe7e389038p-3, 0x1.66452205ec688p-3, 0x1.609d59568d242p-3, 0x1.5b049c8a8ff74p-3, 0x1.557af859fb494p-3, 0x1.5000778ed9d5fp-3, 0x1.4a952313c6106p-3, 0x1.45390202024b5p-3, 0x1.3fec19af43799p-3, 0x1.3aaeca499870ap-3, 0x1.35804e9a2b4eep-3, 0x1.3061102f9c1c1p-3, 0x1.2b510e5915c08p-3, 0x1.265046e3d8109p-3, 0x1.215eb624ba8eap-3, 0x1.1c7c5701eafdfp-3, 0x1.17a922fcf5d7dp-3, 0x1.12e5123d2413dp-3, 0x1.0e301b9a2d61p-3, 0x1.098a34a737c7p-3, 0x1.04f351be29f61p-3, 0x1.006b660b2ed93p-3, 0x1.f7e4c730e66c6p-4, 0x1.ef1076b3f61afp-4, 0x1.e659ba730f608p-4, 0x1.ddc07044ed9b2p-4, 0x1.d544741b137e3p-4, 0x1.cce5a019134dfp-4, 0x1.c4a3ccab532a4p-4, 0x1.bc7ed09d5effap-4, 0x1.b476812f71eb4p-4, 0x1.ac8ab22b68546p-4, 0x1.a4bb35f8cb903p-4, 0x1.9d07ddb00a6aap-4, 0x1.9570792cdf483p-4, 0x1.8df4d71fb460fp-4, 0x1.8694c51e3d51dp-4, 0x1.7f500fb31d34ep-4, 0x1.7826826cb50a3p-4, 0x1.7117e7eb1d9e7p-4, 0x1.6a2409ed5910cp-4, 0x1.634ab15dc92aap-4, 0x1.5c8ba65dfa5eap-4, 0x1.55e6b051d180fp-4, 0x1.4f5b95ea2edf6p-4, 0x1.48ea1d2f168edp-4, 0x1.42920b896d3afp-4, 0x1.3c5325cc5bf23p-4, 0x1.362d303e66e4p-4, 0x1.301feea2468bfp-4, 0x1.2a2b243f8e8d4p-4, 0x1.244e93eb2cf8dp-4, 0x1.1e8a000fca42dp-4, 0x1.18dd2ab6114b9p-4, 0x1.1347d58ce5497p-4, 0x1.0dc9c1f18594ap-4, 0x1.0862b0f7a6e3dp-4, 0x1.031263717dc2fp-4, 0x1.fbb133ef74dep-5, 0x1.f16a29e2ec8acp-5, 0x1.e74f29381d1adp-5, 0x1.dd5fb225d0c61p-5, 0x1.d39b44ae3b2bdp-5, 0x1.ca0160ae1415cp-5, 0x1.c09185eb71d84p-5, 0x1.b74b342458c0fp-5, 0x1.ae2deb1cf7d68p-5, 0x1.a5392aad8bep-5, 0x1.9c6c72cfe1508p-5, 0x1.93c743ac7138p-5, 0x1.8b491da70fb98p-5, 0x1.82f1816b2ed79p-5, 0x1.7abfeff7a945bp-5, 0x1.72b3eaaa1ae0dp-5, 0x1.6accf349c01eep-5, 0x1.630a8c11de91bp-5, 0x1.5b6c37bbb3addp-5, 0x1.53f17987f082ap-5, 0x1.4c99d547bbb6bp-5, 0x1.4564cf654508dp-5, 0x1.3e51ecebe786p-5, 0x1.3760b38fdf616p-5, 0x1.3090a9b599c34p-5, 0x1.29e15678a051cp-5, 0x1.235241b2255f5p-5, 0x1.1ce2f3ff3607dp-5, 0x1.1692f6c6999dbp-5, 0x1.1061d43e5c4c8p-5, 0x1.0a4f177110322p-5, 0x1.045a4c42c927cp-5, 0x1.fd05feeb9f6cp-6, 0x1.f1917d5e33f68p-6, 0x1.e65630f50d4a8p-6, 0x1.db53389dbdd5dp-6, 0x1.d087b52344ae8p-6, 0x1.c5f2c93545751p-6, 0x1.bb93996ed48c4p-6, 0x1.b1694c5cecc38p-6, 0x1.a7730a8488d2bp-6, 0x1.9daffe685ff24p-6, 0x1.941f548e50d33p-6, 0x1.8ac03b8477719p-6, 0x1.8191e3e5ee753p-6, 0x1.7893805f410eep-6, 0x1.6fc445b28917fp-6, 0x1.67236abb41e68p-6, 0x1.5eb02871c548p-6, 0x1.5669b9ee821ep-6, 0x1.4e4f5c6cdf3cep-6, 0x1.46604f4dd3b41p-6, 0x1.3e9bd41a33ca7p-6, 0x1.37012e84af2a9p-6, 0x1.2f8fa46b87fcfp-6, 0x1.28467dd9fe01ep-6, 0x1.21250509761e4p-6, 0x1.1a2a866252638p-6, 0x1.1356507c8ac3p-6, 0x1.0ca7b420017f7p-6, 0x1.061e04448e6eep-6, 0x1.ff712c23a3e33p-7, 0x1.f2ed81bd8044dp-7, 0x1.e6afbc61e60dap-7, 0x1.dab6937780768p-7, 0x1.cf00c2be286e3p-7, 0x1.c38d0a4c29223p-7, 0x1.b85a2e8b1dcadp-7, 0x1.ad66f83467517p-7, 0x1.a2b2344d39d1fp-7, 0x1.983ab4224d39p-7, 0x1.8dff4d433c415p-7, 0x1.83fed97d7b4c2p-7, 0x1.7a3836d70bab8p-7, 0x1.70aa4788da7b7p-7, 0x1.6753f1f8d2133p-7, 0x1.5e3420b3a950ep-7, 0x1.5549c26670cp-7, 0x1.4c93c9d7d6904p-7, 0x1.44112de13bf79p-7, 0x1.3bc0e96783814p-7, 0x1.33a1fb53b5245p-7, 0x1.2bb3668b6761fp-7, 0x1.23f431e8fbc72p-7, 0x1.1c636833ad444p-7, 0x1.15001817732c2p-7, 0x1.0dc9541cbaf6bp-7, 0x1.06be329ffdb41p-7, 0x1.ffbb9b925f482p-8, 0x1.f24e87061c0d2p-8, 0x1.e5336ae49ba34p-8, 0x1.d86891d9572acp-8, 0x1.cbec4ddfbf045p-8, 0x1.bfbcf830ed1a1p-8, 0x1.b3d8f131274f3p-8, 0x1.a83ea05d32edbp-8, 0x1.9cec74377cbb4p-8, 0x1.91e0e2351a7eap-8, 0x1.871a66aaa63c5p-8, 0x1.7c9784b8fa7e2p-8, 0x1.7256c639cd62ap-8, 0x1.6856bbac31806p-8, 0x1.5e95fc20fc0afp-8, 0x1.55132527166c1p-8, 0x1.4bccdab7bbe08p-8, 0x1.42c1c722a4c99p-8, 0x1.39f09afa2703cp-8, 0x1.31580cff45ea9p-8, 0x1.28f6da0dbd4b3p-8, 0x1.20cbc50803e52p-8, 0x1.18d596c347722p-8, 0x1.11131df36b7ep-8, 0x1.09832f17056e4p-8, 0x1.0224a4635962p-8, 0x1.f5ecbb60c1d6bp-9, 0x1.e7ee80c9a8a43p-9, 0x1.da4c6ec47d0fbp-9, 0x1.cd0465e239de1p-9, 0x1.c014515a1708bp-9, 0x1.b37a26e1ffe62p-9, 0x1.a733e6872e7aep-9, 0x1.9b3f9a86e890bp-9, 0x1.8f9b572769473p-9, 0x1.84453a90fa7e2p-9, 0x1.793b6ca73517bp-9, 0x1.6e7c1ee283a83p-9, 0x1.64058c29d19f6p-9, 0x1.59d5f8ac773d9p-9, 0x1.4febb1bc6886cp-9, 0x1.46450da89fe23p-9, 0x1.3ce06b97cb26fp-9, 0x1.33bc336347793p-9, 0x1.2ad6d5725ba3fp-9, 0x1.222eca95c7744p-9, 0x1.19c293e39bb36p-9, 0x1.1190ba936692p-9, 0x1.0997cfdaaee3ep-9, 0x1.01d66cc9c9fdcp-9, 0x1.f49664520547dp-10, 0x1.e5e990ac3f594p-10, 0x1.d7a3be4484e7fp-10, 0x1.c9c25b603c852p-10, 0x1.bc42e4a52b30ep-10, 0x1.af22e4d761f5bp-10, 0x1.a25ff497f3ec2p-10, 0x1.95f7ba246f071p-10, 0x1.89e7e91717a76p-10, 0x1.7e2e4227f1198p-10, 0x1.72c892ee92fd2p-10, 0x1.67b4b5a4bf348p-10, 0x1.5cf090e9cdbedp-10, 0x1.527a1786e69d6p-10, 0x1.484f4833fe807p-10, 0x1.3e6e2d5db1413p-10, 0x1.34d4dcebe0448p-10, 0x1.2b81780922477p-10, 0x1.22722aeb05b8p-10, 0x1.19a52c9b1db68p-10, 0x1.1118bec0d8a08p-10, 0x1.08cb2d6c2ec84p-10, 0x1.00bacee1125fbp-10, 0x1.f1cc06c765e5cp-11, 0x1.e2966a0b0512ap-11, 0x1.d3d1aee61370cp-11, 0x1.c57acf8501422p-11, 0x1.b78ed8865bb9dp-11, 0x1.aa0ae89b0c90ap-11, 0x1.9cec30282f276p-11, 0x1.902ff0ea51c62p-11, 0x1.83d37d9a44f9dp-11, 0x1.77d4399358a38p-11, 0x1.6c2f987b192f3p-11, 0x1.60e31dea75c2p-11, 0x1.55ec5d185b4dbp-11, 0x1.4b48f885b90e5p-11, 0x1.40f6ab88aac61p-11, 0x1.36f32255594cp-11, 0x1.2d3c355b443ep-11, 0x1.23cfc118d05ffp-11, 0x1.1aabafc730646p-11, 0x1.11cdf90e909b9p-11, 0x1.0934a1bb8792p-11, 0x1.00ddbb75d71a1p-11, 0x1.f18ec8f0ff8fap-12, 0x1.e1df8e960bfc8p-12, 0x1.d2aa34f800da3p-12, 0x1.c3eb40b9c32a9p-12, 0x1.b59f4d7df6db8p-12, 0x1.a7c30d636cce5p-12, 0x1.9a534883f1c1dp-12, 0x1.8d4cdc7580608p-12, 0x1.80acbbcdc5546p-12, 0x1.746feda7ec5fdp-12, 0x1.68938d2cb9a1bp-12, 0x1.5d14c91ce10edp-12, 0x1.51f0e35d9a547p-12, 0x1.47253087585d1p-12, 0x1.3caf1776b7d6dp-12, 0x1.328c10df8cdbbp-12, 0x1.28b9a6e211162p-12, 0x1.1f3574a20c8dbp-12, 0x1.15fd25e02e3eep-12, 0x1.0d0e76955c34dp-12, 0x1.0467328ff37a8p-12, 0x1.f80a6a2621551p-13, 0x1.e7ccd0ef7127ap-13, 0x1.d8118b9fed24p-13, 0x1.c8d4a9179bd78p-13, 0x1.ba12544000eeep-13, 0x1.abc6d35d72c5dp-13, 0x1.9dee8763d6f59p-13, 0x1.9085eb4eee6acp-13, 0x1.8389937e1fe5bp-13, 0x1.76f62d13920ep-13, 0x1.6ac87d56ad6c3p-13, 0x1.5efd6119dea75p-13, 0x1.5391cc2389b61p-13, 0x1.4882c89a32853p-13, 0x1.3dcd7673bc72cp-13, 0x1.336f0ae7b79c9p-13, 0x1.2964cfe4a74a3p-13, 0x1.1fac238862c6ep-13, 0x1.1642779afebf6p-13, 0x1.0d25510d191ebp-13, 0x1.0452477871157p-13, 0x1.f78e094719eaep-14, 0x1.e702880ff5299p-14, 0x1.d6fda4b66a119p-14, 0x1.c77b1a34566e9p-14, 0x1.b876c42ed04ap-14, 0x1.a9ec9e1729e48p-14, 0x1.9bd8c25170d34p-14, 0x1.8e37695f644f6p-14, 0x1.8104e910615abp-14, 0x1.743db3b605ad8p-14, 0x1.67de575d759c7p-14, 0x1.5be37d0d3577fp-14, 0x1.5049e807745a2p-14, 0x1.450e7510d66f1p-14, 0x1.3a2e19bb84b69p-14, 0x1.2fa5e3b68dc71p-14, 0x1.2572f8215ea44p-14, 0x1.1b9292e383943p-14, 0x1.12020608484a8p-14, 0x1.08beb91e7984ap-14, 0x1.ff8c5137d8cdbp-15, 0x1.ee2bca89f8d7bp-15, 0x1.dd57272f76869p-15, 0x1.cd09d675657bap-15, 0x1.bd3f6cdf3a39ap-15, 0x1.adf3a312a43dap-15, 0x1.9f2254caadb2cp-15, 0x1.90c77fd1b4ac6p-15, 0x1.82df430216435p-15, 0x1.7565dd4d5b4ffp-15, 0x1.6857acc99271fp-15, 0x1.5bb12dc5ba615p-15, 0x1.4f6ef9e361acp-15, 0x1.438dc736e8212p-15, 0x1.380a676d69ac6p-15, 0x1.2ce1c6f88b8ebp-15, 0x1.2210ec3fb7945p-15, 0x1.1794f6d726901p-15, 0x1.0d6b1ebbe3038p-15, 0x1.0390b39586269p-15, 0x1.f40637f99db2p-16, 0x1.e17fa98e478ffp-16, 0x1.cf88e0ae79e8ep-16, 0x1.be1d2be4a7d11p-16, 0x1.ad380234960b8p-16, 0x1.9cd501d83c86p-16, 0x1.8cefef059ede6p-16, 0x1.7d84b2bd81469p-16, 0x1.6e8f59a273c1ep-16, 0x1.600c12d7ee8d7p-16, 0x1.51f72ee9e7783p-16, 0x1.444d1ebbc94c7p-16, 0x1.370a727f51294p-16, 0x1.2a2bd8b2efcc3p-16, 0x1.1dae1d26ffb0fp-16, 0x1.118e280ac3961p-16, 0x1.05c8fcff6a51p-16, 0x1.f4b77465ecd2p-17, 0x1.de872f00f37cp-17, 0x1.c8fbcb2f94a31p-17, 0x1.b4101a554cfafp-17, 0x1.9fbf1c40aac0dp-17, 0x1.8c03fd9ee875fp-17, 0x1.78da1679e4c48p-17, 0x1.663ce8c1540bcp-17, 0x1.54281ee07b5efp-17, 0x1.42978a5e783b6p-17, 0x1.318722873d6bap-17, 0x1.20f3031f8ae1ep-17, 0x1.10d76b23e1d5fp-17, 0x1.0130bb8ff0176p-17, 0x1.e3f6ec5fda56bp-18, 0x1.c66878f57a9cdp-18, 0x1.a9af9cec60635p-18, 0x1.8dc6134525076p-18, 0x1.72a5cfdf68ed7p-18, 0x1.5848fd72d5689p-18, 0x1.3ea9fb9a8af18p-18, 0x1.25c35cee37066p-18, 0x1.0d8fe52bb8782p-18, 0x1.ec150edfb1201p-19, 0x1.be5cc8f8bafp-19, 0x1.91ed921a16de9p-19, 0x1.66be587603997p-19, 0x1.3cc65bd93edc5p-19, 0x1.13fd2aa53fb16p-19, 0x1.d8b53dce202b8p-20, 0x1.8badb6ffd253bp-20, 0x1.40d492daeb138p-20, 0x1.f0365492b9ec3p-21, 0x1.62e6b01739a92p-21, 0x1.b33dcf3545413p-22, 0x1.51126ae9d5c9fp-23, -0x1.6a0d7e04d3cbbp-24, -0x1.561925d468694p-22, -0x1.2533d407c8f4dp-21, -0x1.9bce6b1d760e9p-21, -0x1.0779454b0200dp-20, -0x1.3f5ad398e7aa1p-20, -0x1.75963fad7bc3p-20, -0x1.aa35912461bedp-20, -0x1.dd427b7856262p-20, -0x1.076330a6ba147p-19, -0x1.1f652bd788ed2p-19, }}, 
      {{-0x1.2553849883549p+0, -0x1.61957a3e87d13p+0, -0x1.9aa23d9b9d00fp+0, -0x1.c44b7b5a46a4p+0, -0x1.dc1314b54d97dp+0, -0x1.e3f70bdcffe33p+0, -0x1.dfa05c2e0836fp+0, -0x1.d2f08682db7bp+0, -0x1.c15572ff59775p+0, -0x1.ad89db3fbbe86p+0, -0x1.998dff877bd75p+0, -0x1.86bae0874a8e6p+0, -0x1.75dfde40ae8f5p+0, -0x1.6761e14a6597p+0, -0x1.5b58227624e6cp+0, -0x1.51a475d7eafdap+0, -0x1.4a0721d5c1e85p+0, -0x1.442e14db89cap+0, -0x1.3fc01cdaa813fp+0, -0x1.3c64b48f40c54p+0, -0x1.39c9ad89024d3p+0, -0x1.37a58145bd553p+0, -0x1.35ba016c5a2ecp+0, -0x1.33d40b85888a1p+0, -0x1.31cb3fe305a58p+0, -0x1.2f81e27f5af57p+0, -0x1.2ce32ff568744p+0, -0x1.29e206272ca71p+0, -0x1.26787acd973e7p+0, -0x1.22a5dcf894415p+0, -0x1.1e6dac591e14dp+0, -0x1.19d6dc9db4b83p+0, -0x1.14eaf7537056ep+0, -0x1.0fb52b4b0dec9p+0, -0x1.0a418994419b1p+0, -0x1.049c8a03da8f5p+0, -0x1.fda585351307dp-1, -0x1.f1e1473879a71p-1, -0x1.e60442087aa67p-1, -0x1.da24c223b5d97p-1, -0x1.ce57245dba968p-1, -0x1.c2add3ba0438fp-1, -0x1.b739635367dc8p-1, -0x1.ac08952907723p-1, -0x1.a128487f4a17p-1, -0x1.96a366824de9dp-1, -0x1.8c82e39a1714bp-1, -0x1.82cddca8f0574p-1, -0x1.7989c8382591p-1, -0x1.70baabd0cce35p-1, -0x1.68634785076e3p-1, -0x1.6085329519999p-1, -0x1.5920edb8bdf0cp-1, -0x1.5235f3f502f7dp-1, -0x1.4bc2a4bbf8457p-1, -0x1.45c523b6dc7fep-1, -0x1.403a4e44df6b6p-1, -0x1.3b1e966c8ade1p-1, -0x1.366dfc753c9a9p-1, -0x1.32242c5023c3fp-1, -0x1.2e3c935dd66ccp-1, -0x1.2ab26ec3d1c23p-1, -0x1.2780d45cc4b0ap-1, -0x1.24a2b9298f15dp-1, -0x1.2212f7f7afc0dp-1, -0x1.1fcc59f6ef64ap-1, -0x1.1dc9a1ada18c6p-1, -0x1.1c05979c0304fp-1, -0x1.1a7b17373027dp-1, -0x1.19251ac0c8984p-1, -0x1.17fec4c71fb8dp-1, -0x1.170366a1c8743p-1, -0x1.162e83dc95e21p-1, -0x1.157bd30fa527p-1, -0x1.14e73cfe44458p-1, -0x1.146cdaf1c7203p-1, -0x1.1408f5255fdf9p-1, -0x1.13b801d0b468dp-1, -0x1.1376a50a74e97p-1, -0x1.1341b171cb226p-1, -0x1.1316295abe07bp-1, -0x1.12f1402103ce1p-1, -0x1.12d05b4227b21p-1, -0x1.12b112ee1802fp-1, -0x1.129131d7d14c3p-1, -0x1.126eb431ac5d2p-1, -0x1.1247c5e2d4719p-1, -0x1.121ac01dbfa22p-1, -0x1.11e6268dd4a61p-1, -0x1.11a8a454e2b35p-1, -0x1.1161090bc7024p-1, -0x1.110e45f06700ep-1, -0x1.10af6b602fdc9p-1, -0x1.1043a6b15cc01p-1, -0x1.0fca406ebd7dp-1, -0x1.0f429aeb1c1fbp-1, -0x1.0eac311602662p-1, -0x1.0e06957606bf9p-1, -0x1.0d51712dd80d8p-1, -0x1.0c8c82f743938p-1, -0x1.0bb79e07ae3e5p-1, -0x1.0ad2a8d93e90dp-1, -0x1.09dd9bd9e479dp-1, -0x1.08d880054511p-1, -0x1.07c36d70df174p-1, -0x1.069e89d311bacp-1, -0x1.056a070e3497bp-1, -0x1.042621c8d89fdp-1, -0x1.02d3201b4fc5bp-1, -0x1.01715058e2582p-1, -0x1.0000c7444ba72p-1, -0x1.fd052a49c1b37p-2, -0x1.f9ed3f7721565p-2, -0x1.f6ba94e5231bcp-2, -0x1.f36dfadb07c9ap-2, -0x1.f0084a34e6ab8p-2, -0x1.ec8a638632d64p-2, -0x1.e8f52e31363c2p-2, -0x1.e549976d4533p-2, -0x1.e188913ab888p-2, -0x1.ddb3114870dcp-2, -0x1.d9ca0fd1e3ed7p-2, -0x1.d5ce867e5ea0ep-2, -0x1.d1c16f4a715cp-2, -0x1.cda3c383cc5cep-2, -0x1.c9767ade6f39ep-2, -0x1.c53a8aa86a43fp-2, -0x1.c0f0e51f779f8p-2, -0x1.bc9a78e9c2ae8p-2, -0x1.b83830b10489ap-2, -0x1.b3caf2dd31e1bp-2, -0x1.af53a16a28da5p-2, -0x1.aad319d283202p-2, -0x1.a64a35090418dp-2, -0x1.a1b9c77a1713dp-2, -0x1.9d22a10f6a70ap-2, -0x1.98858d30c2ba2p-2, -0x1.93e352be8aab4p-2, -0x1.8f3cb404202e3p-2, -0x1.8a926ea147edp-2, -0x1.85e53b6b8c7b3p-2, -0x1.8135ce494a22fp-2, -0x1.7c84d608f9b97p-2, -0x1.77d2fc37ae0f4p-2, -0x1.7320e4f9df287p-2, -0x1.6e6f2ee96295ep-2, -0x1.69be72fafc9fap-2, -0x1.650f446d55d8ep-2, -0x1.606230c257b85p-2, -0x1.5bb7bfc33a885p-2, -0x1.5710738ed56a2p-2, -0x1.526cc8b131561p-2, -0x1.4dcd3642f2ef1p-2, -0x1.49322e0ee20b6p-2, -0x1.449c1cbbc2e7fp-2, -0x1.400b69f8a83cep-2, -0x1.3b8078aa0c1d3p-2, -0x1.36fba716316f6p-2, -0x1.327d4f0f8f96p-2, -0x1.2e05c61c5ac7bp-2, -0x1.29955d9a8f99dp-2, -0x1.252c62e03ee3cp-2, -0x1.20cb1f581d0ecp-2, -0x1.1c71d89aa38c8p-2, -0x1.1820d08445c14p-2, -0x1.13d8454956648p-2, -0x1.0f987188610eap-2, -0x1.0b618c5ba9318p-2, -0x1.0733c96a841f4p-2, -0x1.030f58fb29602p-2, -0x1.fde8d00ae815dp-3, -0x1.f5c6408dd6aadp-3, -0x1.edb750b0a0bc1p-3, -0x1.e5bc4789617f3p-3, -0x1.ddd56643f5b47p-3, -0x1.d602e855b0e46p-3, -0x1.ce4503b322612p-3, -0x1.c69be907393f1p-3, -0x1.bf07c3eb1757cp-3, -0x1.b788bb1dc4a28p-3, -0x1.b01ef0bb2b981p-3, -0x1.a8ca8271ac107p-3, -0x1.a18b89b5d6a8ep-3, -0x1.9a621bf3e4801p-3, -0x1.934e4abeabf3bp-3, -0x1.8c5023fbff05bp-3, -0x1.8567b20e5f2d7p-3, -0x1.7e94fbfc2018p-3, -0x1.77d8059422adfp-3, -0x1.7130cf90553bap-3, -0x1.6a9f57b6356cdp-3, -0x1.642398f59452bp-3, -0x1.5dbd8b85d923fp-3, -0x1.576d25020917bp-3, -0x1.51325883c3d87p-3, -0x1.4b0d16bd73e68p-3, -0x1.44fd4e13d6f7fp-3, -0x1.3f02eab7123dap-3, -0x1.391dd6bb63423p-3, -0x1.334dfa318a6b8p-3, -0x1.2d933b3ef8c99p-3, -0x1.27ed7e35c75d8p-3, -0x1.225ca5ac6f0a9p-3, -0x1.1ce092953400ep-3, -0x1.177924553a13cp-3, -0x1.122638db24124p-3, -0x1.0ce7acb52825fp-3, -0x1.07bd5b26841adp-3, -0x1.02a71e3c372c9p-3, -0x1.fb499dc1dc015p-4, -0x1.f16c89e02c7a2p-4, -0x1.e7b6ae9017555p-4, -0x1.de27b7b6bdc43p-4, -0x1.d4bf4f8265c02p-4, -0x1.cb7d1e8982ac3p-4, -0x1.c260cbe807ebp-4, -0x1.b969fd5b3f76fp-4, -0x1.b098575c2b864p-4, -0x1.a7eb7d38ad485p-4, -0x1.9f63112b85d9p-4, -0x1.96feb4734bcd5p-4, -0x1.8ebe07688be29p-4, -0x1.86a0f195b0efep-4, -0x1.7ea67695b3319p-4, -0x1.76ce86c0544ffp-4, -0x1.6f18c008b59d7p-4, -0x1.6784bfdd5e30cp-4, -0x1.60122337e8b9bp-4, -0x1.58c086ac760ddp-4, -0x1.518f8678eef94p-4, -0x1.4a7ebe941baa9p-4, -0x1.438dcabc9794bp-4, -0x1.3cbc468798cf1p-4, -0x1.3609cd6f8e1eap-4, -0x1.2f75fae28458ap-4, -0x1.29006a5050229p-4, -0x1.22a8b7386cc0bp-4, -0x1.1c6e7d378781cp-4, -0x1.16515814aa954p-4, -0x1.1050e3cdfe281p-4, -0x1.0a6cbca5150a5p-4, -0x1.04a47f2abad8ep-4, -0x1.fdef90947e2dfp-5, -0x1.f2cc6aa8676ffp-5, -0x1.e7dec8113c706p-5, -0x1.dd25e5412cafcp-5, -0x1.d2a0ffaea16b7p-5, -0x1.c84f55e530e7cp-5, -0x1.be3027956e0c4p-5, -0x1.b442b5a39e2bdp-5, -0x1.aa8642355a411p-5, -0x1.a0fa10be28fc6p-5, -0x1.979d660b1c31fp-5, -0x1.8e6f884d81243p-5, -0x1.856fbf24b0ad7p-5, -0x1.7c9d53a70db7p-5, -0x1.73f7906a44a38p-5, -0x1.6b7dc18ada189p-5, -0x1.632f34b315d3p-5, -0x1.5b0b39215dee2p-5, -0x1.53111fae0b69p-5, -0x1.4b403ad0c7654p-5, -0x1.4397dea57d165p-5, -0x1.3c1760f0eba2dp-5, -0x1.34be1924ddf34p-5, -0x1.2d8b60641627ap-5, -0x1.267e9185eecf8p-5, -0x1.1f970919b6d1dp-5, -0x1.18d42569d238dp-5, -0x1.1235467e9b4efp-5, -0x1.0bb9ce210bca2p-5, -0x1.05611fdd2dabbp-5, -0x1.fe554208a2bc5p-6, -0x1.f22b715e25221p-6, -0x1.e6439f7e3962cp-6, -0x1.da9ca1c17e5d1p-6, -0x1.cf355118863bfp-6, -0x1.c40c8a0e128fep-6, -0x1.b9212cc8ddb44p-6, -0x1.ae721d0ce7a7ap-6, -0x1.a3fe423c524ccp-6, -0x1.99c48757c3eeap-6, -0x1.8fc3dafe51705p-6, -0x1.85fb2f6cf0db8p-6, -0x1.7c697a7d77d46p-6, -0x1.730db5a5253cbp-6, -0x1.69e6ddf2b49fp-6, -0x1.60f3f40c053bbp-6, -0x1.5833fc2b51e78p-6, -0x1.4fa5fe1bfea7ap-6, -0x1.474905370045ep-6, -0x1.3f1c205edf436p-6, -0x1.371e61fb643e2p-6, -0x1.2f4edff4df01ap-6, -0x1.27acb3af25d0ap-6, -0x1.2036fa0439e8ep-6, -0x1.18ecd33eaa94cp-6, -0x1.11cd6313ab89ap-6, -0x1.0ad7d09cf02a4p-6, -0x1.040b465245576p-6, -0x1.facde405f3fcdp-7, -0x1.edd4099e218a8p-7, -0x1.e127664089584p-7, -0x1.d4c66945c8575p-7, -0x1.c8af887d0f764p-7, -0x1.bce1401d3f0cbp-7, -0x1.b15a12b5d26d6p-7, -0x1.a618891f89531p-7, -0x1.9b1b326cdea24p-7, -0x1.9060a3da592cp-7, -0x1.85e778bea58cep-7, -0x1.7bae527a927e5p-7, -0x1.71b3d868f101ap-7, -0x1.67f6b7ce4a535p-7, -0x1.5e75a3c882292p-7, -0x1.552f553e5ccb9p-7, -0x1.4c228acef5b36p-7, -0x1.434e08c11d625p-7, -0x1.3ab098f2a6587p-7, -0x1.32490ac7a4f2cp-7, -0x1.2a163319a4076p-7, -0x1.2216ec26cb26ep-7, -0x1.1a4a1580fe646p-7, -0x1.12ae93fcf617fp-7, -0x1.0b4351a1518fdp-7, -0x1.04073d95a6a93p-7, -0x1.f9f298231ee12p-8, -0x1.ec30ec976f3bap-8, -0x1.dec774d1da52dp-8, -0x1.d1b436d66522cp-8, -0x1.c4f54241b248cp-8, -0x1.b888b02740bb2p-8, -0x1.ac6ca2efc02d8p-8, -0x1.a09f463776588p-8, -0x1.951eceacc25fep-8, -0x1.89e979eeba1d7p-8, -0x1.7efd8e6be58a9p-8, -0x1.74595b412191cp-8, -0x1.69fb3818a3869p-8, -0x1.5fe185092d07bp-8, -0x1.560aaa756628fp-8, -0x1.4c7518eb69ff3p-8, -0x1.431f490484ffp-8, -0x1.3a07bb452965dp-8, -0x1.312cf7fd18465p-8, -0x1.288d8f27c9a15p-8, -0x1.2028184d09b2p-8, -0x1.17fb3261dd284p-8, -0x1.100583a99fef2p-8, -0x1.0845b99768115p-8, -0x1.00ba88afad4b8p-8, -0x1.f2c558d46f1b4p-9, -0x1.e479ce28a332cp-9, -0x1.d690036690f25p-9, -0x1.c90597ce6189ap-9, -0x1.bbd8379bf5fdbp-9, -0x1.af059bcda2411p-9, -0x1.a28b89eb816bp-9, -0x1.9667d3cf6dc0cp-9, -0x1.8a98576d896cp-9, -0x1.7f1afe9d70a44p-9, -0x1.73edbee402b71p-9, -0x1.690e993dcf71ap-9, -0x1.5e7b99ea22bbp-9, -0x1.5432d836b3fffp-9, -0x1.4a32764bf45ecp-9, -0x1.4078a0fa00a54p-9, -0x1.37038f8637affp-9, -0x1.2dd183796dd9ap-9, -0x1.24e0c86ec5ec6p-9, -0x1.1c2fb3e331455p-9, -0x1.13bca5058917bp-9, -0x1.0b8604875121cp-9, -0x1.038a446e19b3ap-9, -0x1.f78fbfcb044b6p-10, -0x1.e87ab623c0834p-10, -0x1.d9d285c70615ap-10, -0x1.cb9459d53cd2ap-10, -0x1.bdbd6e5794a66p-10, -0x1.b04b0fea5a317p-10, -0x1.a33a9b687ec06p-10, -0x1.96897d984e00ap-10, -0x1.8a3532d97c3c2p-10, -0x1.7e3b46d453b02p-10, -0x1.7299542a1e43bp-10, -0x1.674d0426d020fp-10, -0x1.5c540e73d4c91p-10, -0x1.51ac38cc1be9ep-10, -0x1.475356b14c0fep-10, -0x1.3d4749222c172p-10, -0x1.3385fe522cd83p-10, -0x1.2a0d71622bd3dp-10, -0x1.20dbaa1a4f598p-10, -0x1.17eebca5118afp-10, -0x1.0f44c94b6b9b6p-10, -0x1.06dbfc321ba7fp-10, -0x1.fd651a30351dap-11, -0x1.ed8d7e2c41c81p-11, -0x1.de2dc0be880bcp-11, -0x1.cf4294056f67bp-11, -0x1.c0c8bf5d368b1p-11, -0x1.b2bd1ee7ba694p-11, -0x1.a51ca31660effp-11, -0x1.97e450361e99p-11, -0x1.8b113dfd8e827p-11, -0x1.7ea0971d29353p-11, -0x1.728f98d179743p-11, -0x1.66db927763cbcp-11, -0x1.5b81e5226e2f8p-11, -0x1.50800334f9784p-11, -0x1.45d36ffa8a40ap-11, -0x1.3b79bf43ece35p-11, -0x1.3170950549fe6p-11, -0x1.27b5a4f62ea3dp-11, -0x1.1e46b23364dbep-11, -0x1.15218ee2b010dp-11, -0x1.0c441bd85a06dp-11, -0x1.03ac483e90d2fp-11, -0x1.f6b0227d16ea3p-12, -0x1.e68b0356e5ab1p-12, -0x1.d6e5635e0aecbp-12, -0x1.c7bb8cefdd489p-12, -0x1.b909e3d3a9834p-12, -0x1.aacce49e13003p-12, -0x1.9d012417b0df3p-12, -0x1.8fa34ea70b575p-12, -0x1.82b027bd9554cp-12, -0x1.76248947e1d9bp-12, -0x1.69fd6320e7a58p-12, -0x1.5e37ba882bf42p-12, -0x1.52d0a99b22b2p-12, -0x1.47c55ed138fc3p-12, -0x1.3d131c7ae3fe1p-12, -0x1.32b738436e5edp-12, -0x1.28af1ab592a83p-12, -0x1.1ef83ec2c9e17p-12, -0x1.1590314d45cf3p-12, -0x1.0c7490b475f8fp-12, -0x1.03a30c6449711p-12, -0x1.f632c8cd88e09p-13, -0x1.e5aad1f058d7ap-13, -0x1.d5a9f43b1f4e4p-13, -0x1.c62c0e7b75702p-13, -0x1.b72d1d78ed388p-13, -0x1.a8a93b30250d8p-13, -0x1.9a9c9e1269c9fp-13, -0x1.8d03a75ac762cp-13, -0x1.7fdaa5a038a9ep-13, -0x1.731e2fc363482p-13, -0x1.66cae6dd01b07p-13, -0x1.5add84f861b9bp-13, -0x1.4f52dc6c0645ep-13, -0x1.4427d7360914ap-13, -0x1.3959765c57c57p-13, -0x1.2ee4d150e3769p-13, -0x1.24c7155931fap-13, -0x1.1afd84f99c4c6p-13, -0x1.1185776418118p-13, -0x1.085c57ea7592ep-13, -0x1.feff4ae7e5732p-14, -0x1.edd9e3ec3d04cp-14, -0x1.dd43c3e2026e2p-14, -0x1.cd3857dcd598ap-14, -0x1.bdb33008b1f69p-14, -0x1.aeaffeb4edc84p-14, -0x1.a02a9764fc093p-14, -0x1.921eede7527b8p-14, -0x1.84891571b33ddp-14, -0x1.77653fc34320fp-14, -0x1.6aafbc4c121f4p-14, -0x1.5e64f75a08181p-14, -0x1.5281794ac6d5dp-14, -0x1.4701e5c3223eap-14, -0x1.3be2faeb71b56p-14, -0x1.312190b097e7fp-14, -0x1.26ba980a1725ap-14, -0x1.1cab1a44b8773p-14, -0x1.12f03851e24acp-14, -0x1.09872a1b4ac1fp-14, -0x1.006d3ddb22fe3p-14, -0x1.ef3faef144c48p-15, -0x1.de38dfd13360cp-15, -0x1.cdc129244f35cp-15, -0x1.bdd3cd6f1996ep-15, -0x1.ae6c35c56ff35p-15, -0x1.9f85f0ab9d683p-15, -0x1.911cb0feaa5dp-15, -0x1.832c4ce40139bp-15, -0x1.75b0bcc03b89cp-15, -0x1.68a61a34d7c65p-15, -0x1.5c089f24c1152p-15, -0x1.4fd4a4bf3a03dp-15, -0x1.4406a291c3034p-15, -0x1.389b2d9f6ff51p-15, -0x1.2d8ef77fb454cp-15, -0x1.22decd81ccc2ep-15, -0x1.188797d6ff905p-15, -0x1.0e8658c232c78p-15, -0x1.04d82bcd355fep-15, -0x1.f6f48a06d3a67p-16, -0x1.e4d3e06409095p-16, -0x1.d349205a11609p-16, -0x1.c24f3c33f614cp-16, -0x1.b1e1517e763e9p-16, -0x1.a1faa7aff2026p-16, -0x1.9296aedad71b3p-16, -0x1.83b0fe68ac869p-16, -0x1.754553de2ad68p-16, -0x1.674f91a86b412p-16, -0x1.59cbbdf28a93fp-16, -0x1.4cb60183c73f6p-16, -0x1.400aa6a5ea33dp-16, -0x1.33c6181368485p-16, -0x1.27e4dfedc7f69p-16, -0x1.1c63a6bb29072p-16, -0x1.113f326bc096ep-16, -0x1.0674656634c18p-16, -0x1.f8007b370571cp-17, -0x1.e3bfa74260229p-17, -0x1.d020b3a536385p-17, -0x1.bd1e36f24767dp-17, -0x1.aab2f7f45f18bp-17, -0x1.98d9ec172e872p-17, -0x1.878e35dcb78bdp-17, -0x1.76cb235e48f5cp-17, -0x1.668c2cd94d4efp-17, -0x1.56ccf345b9ff8p-17, -0x1.47893efb1f907p-17, -0x1.38bcfe5c0f14bp-17, -0x1.2a64448eb5aaep-17, -0x1.1c7b483e6969p-17, -0x1.0efe626760db8p-17, -0x1.01ea0d2be56aap-17, -0x1.ea75c5655e298p-18, -0x1.d1db381b8e23fp-18, -0x1.b9fe20572375cp-18, -0x1.a2d8659ea165dp-18, -0x1.8c64272357729p-18, -0x1.769bb9d462763p-18, -0x1.6179a67e949fcp-18, -0x1.4cf8a7ff3fe9bp-18, -0x1.3913a9833184fp-18, -0x1.25c5c4d370e2bp-18, -0x1.130a40b257d84p-18, -0x1.00dc8f439eab5p-18, -0x1.de7099059d2a6p-19, -0x1.bc32798dad89cp-19, -0x1.9af696a192e9bp-19, -0x1.7ab511cdd47bp-19, -0x1.5b6654f9d6985p-19, -0x1.3d030fc741676p-19, -0x1.1f843510c500dp-19, -0x1.02e2f87681368p-19, -0x1.ce31980816589p-20, -0x1.983ebbcbc0894p-20, -0x1.63e12c7056b6cp-20, -0x1.310d29c389842p-20, -0x1.ff6ebe175f44bp-21, -0x1.9fa9be1c3e1e5p-21, -0x1.42b640669e1ddp-21, -0x1.d0ffe32cab164p-22, -0x1.21e66ddfd87edp-22, -0x1.dfe93bdac0304p-24, 0x1.6747ac42dcc62p-25, 0x1.99cd25154397cp-23, 0x1.68207e64d83fdp-22, 0x1.feb77eeed307fp-22, 0x1.48659a912db81p-21, 0x1.8f3d143749b67p-21, 0x1.d3f0e8b46f39fp-21, 0x1.0b47a91621c3cp-20, 0x1.2b9306d309ad3p-20, 0x1.4ae12ff8a1e9dp-20, 0x1.69388d2404603p-20, 0x1.869f4f703ff02p-20, 0x1.a31b72a1db788p-20, 0x1.beb2bf3e64f5dp-20, 0x1.d96acc962c01ap-20, 0x1.f34902b616eb1p-20, 0x1.06294e2302bf6p-19, 0x1.1246542cac227p-19, 0x1.1dfe06168ecb8p-19, 0x1.2952c26698813p-19, 0x1.3446d45e395cap-19, 0x1.3edc74bc82bcep-19, 0x1.4915ca7dd9f57p-19, 0x1.52f4eb944ba6fp-19, 0x1.5c7bdd954b759p-19, 0x1.65ac96678476cp-19, 0x1.6e88fcdf3f464p-19, 0x1.7712e96581c96p-19, 0x1.7f4c267f0a8c7p-19, 0x1.8736716f29d33p-19, 0x1.8ed37aaf9cdf9p-19, 0x1.9624e6818273ep-19, 0x1.9d2c4d6a4038p-19, 0x1.a3eb3caba4e7dp-19, 0x1.aa6336bc7aea5p-19, 0x1.b095b3b53859fp-19, 0x1.b68421c19f39bp-19, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{0x1.dd7eb477834d7p-1, 0x1.dd498aefd9696p-1, 0x1.dcea2c969947fp-1, 0x1.dc582fb2a03e7p-1, 0x1.db8a4b4cf2359p-1, 0x1.da779d5aab0e7p-1, 0x1.d918961cc482dp-1, 0x1.d7678928c7e4ep-1, 0x1.d560f181f2d57p-1, 0x1.d3037a4f13eeep-1, 0x1.d04fdd694ce91p-1, 0x1.cd48a6b3e8db6p-1, 0x1.c9f1e83d039b5p-1, 0x1.c650e84000b73p-1, 0x1.c26bcf93d1b86p-1, 0x1.be495cf23bb4cp-1, 0x1.b9f09fdad38bep-1, 0x1.b568bc90a76c1p-1, 0x1.b0b8b9c481f94p-1, 0x1.abe757d6fc592p-1, 0x1.a6faf12e1d706p-1, 0x1.a1f962d51c483p-1, 0x1.9ce7fc773702ep-1, 0x1.97cb76b7acdddp-1, 0x1.92a7eeea04fc9p-1, 0x1.8d80e7398c6b4p-1, 0x1.88594a6153828p-1, 0x1.8333722c13166p-1, 0x1.7e11300b07c0cp-1, 0x1.78f3d72a964d4p-1, 0x1.73dc478263b63p-1, 0x1.6ecaf973e1127p-1, 0x1.69c0099db44dfp-1, 0x1.64bb449bc91edp-1, 0x1.5fbc327b23abap-1, 0x1.5ac221b5c749ap-1, 0x1.55cc31966d231p-1, 0x1.50d95bed53741p-1, 0x1.4be87e077e7dfp-1, 0x1.46f860e04fc17p-1, 0x1.4207c08ac090ap-1, 0x1.3d1552d3c8ef9p-1, 0x1.381fcd22d4406p-1, 0x1.3325e99fb3a41p-1, 0x1.2e266ba755e3ep-1, 0x1.29202399e0759p-1, 0x1.2411f20d97d8bp-1, 0x1.1efaca728076bp-1, 0x1.19d9b532c06a6p-1, 0x1.14add15bbaf64p-1, 0x1.0f7655db92225p-1, 0x1.0a32925e4c263p-1, 0x1.04e1efd558855p-1, 0x1.ff07e167173c1p-2, 0x1.f43061ce1a8cp-2, 0x1.e93ccb33f6821p-2, 0x1.de2cb983b606dp-2, 0x1.d2fff90a85edap-2, 0x1.c7b684fcebf26p-2, 0x1.bc5085c221186p-2, 0x1.b0ce4f10789d1p-2, 0x1.a5305de4b22ccp-2, 0x1.9977565ce68f4p-2, 0x1.8da4017ecfa2ep-2, 0x1.81b74af02d677p-2, 0x1.75b23ea73a40fp-2, 0x1.6996069857309p-2, 0x1.5d63e8655c0fdp-2, 0x1.511d431258a9p-2, 0x1.44c38cc30657bp-2, 0x1.3858508395a5cp-2, 0x1.2bdd2c1f22995p-2, 0x1.1f53ce059bbaep-2, 0x1.12bdf342a02e9p-2, 0x1.061d65867b19ap-2, 0x1.f2e7f2843f6cp-3, 0x1.d98717ad9c2a4p-3, 0x1.c01c03b39faecp-3, 0x1.a6aa8ad91a1cp-3, 0x1.8d36895234885p-3, 0x1.73c3e04660942p-3, 0x1.5a5672fae2586p-3, 0x1.40f224257c2acp-3, 0x1.279ad36693562p-3, 0x1.0e545aea1b366p-3, 0x1.ea451a5cbd02bp-4, 0x1.b81265df8b1cp-4, 0x1.86181271109d7p-4, 0x1.545d7f2690246p-4, 0x1.22e9ecbee1efdp-4, 0x1.e388f51924605p-5, 0x1.81e8473e14796p-5, 0x1.20ff7850f3f52p-5, 0x1.81b7bc78cade4p-6, 0x1.8629e0892a031p-7, 0x1.8bf53c3ba9eedp-12, -0x1.69be11cdaf4eep-7, -0x1.6dffdf2a903eep-6, -0x1.128dd5dda82dep-5, -0x1.6d0e1c9ac30b7p-5, -0x1.c6761183b9ea7p-5, -0x1.0f5db639154cap-4, -0x1.3aea28670f28ep-4, -0x1.65dba7582139bp-4, -0x1.902db1df1efe7p-4, -0x1.b9dbfde271183p-4, -0x1.e2e27889e031dp-4, -0x1.059ea327745cfp-3, -0x1.1974617895ad1p-3, -0x1.2cf0c0a85e2dcp-3, -0x1.40122597ec2a5p-3, -0x1.52d7106ec9bbbp-3, -0x1.653e1c657c38p-3, -0x1.7745ff85fedc4p-3, -0x1.88ed8a62ebf61p-3, -0x1.9a33a7c5e3ed4p-3, -0x1.ab175c55f10e2p-3, -0x1.bb97c636714bdp-3, -0x1.cbb41c9f2c3a1p-3, -0x1.db6baf6e1f57cp-3, -0x1.eabde6b38ac34p-3, -0x1.f9aa4238d21efp-3, -0x1.04182c814bd74p-2, -0x1.0b27ec6756af4p-2, -0x1.120442c718f49p-2, -0x1.18ad1c6e30568p-2, -0x1.1f2270b93849p-2, -0x1.2564414c7716cp-2, -0x1.2b7299cb7963ep-2, -0x1.314d8f8fc88dcp-2, -0x1.36f5415ee45d6p-2, -0x1.3c69d71fb381dp-2, -0x1.41ab818f8454cp-2, -0x1.46ba79f6cebaap-2, -0x1.4b9701ddd181dp-2, -0x1.504162c132658p-2, -0x1.54b9edc6bd4a4p-2, -0x1.5900fb725b559p-2, -0x1.5d16eb5b67428p-2, -0x1.60fc23e26ec8bp-2, -0x1.64b111e77e1c8p-2, -0x1.683628810a346p-2, -0x1.6b8be0b390b17p-2, -0x1.6eb2b929fcd1p-2, -0x1.71ab35eee6823p-2, -0x1.7475e026bbe63p-2, -0x1.771345cae0aaap-2, -0x1.7983f965d8596p-2, -0x1.7bc891d07f949p-2, -0x1.7de1a9f067977p-2, -0x1.7fcfe0775943ep-2, -0x1.8193d7a409da1p-2, -0x1.832e35040f6cep-2, -0x1.849fa137118ebp-2, -0x1.85e8c7b3498ffp-2, -0x1.870a568b4b472p-2, -0x1.8804fe352787ep-2, -0x1.88d97152e3e3fp-2, -0x1.8988647c4babep-2, -0x1.8a128e0a22f9ep-2, -0x1.8a78a5e2b6811p-2, -0x1.8abb6547ceb96p-2, -0x1.8adb86a60586ap-2, -0x1.8ad9c5657c994p-2, -0x1.8ab6ddbbf6bacp-2, -0x1.8a738c8055588p-2, -0x1.8a108eff71f0ap-2, -0x1.898ea2d25bbd3p-2, -0x1.88ee85b5ecdc5p-2, -0x1.8830f563bedfp-2, -0x1.8756af6c73511p-2, -0x1.86607113542d3p-2, -0x1.854ef72b4292bp-2, -0x1.8422fdf4f65e1p-2, -0x1.82dd40fe86bb8p-2, -0x1.817e7b04374cdp-2, -0x1.800765d2882p-2, -0x1.7e78ba2983305p-2, -0x1.7cd32fa13ff6ap-2, -0x1.7b177c8f9debcp-2, -0x1.794655ef2a8bcp-2, -0x1.77606f473037ep-2, -0x1.75667a94eca51p-2, -0x1.73592835e3675p-2, -0x1.713926d348348p-2, -0x1.6f07234e7ffd2p-2, -0x1.6cc3c8aeaebd8p-2, -0x1.6a6fc00f4bdf7p-2, -0x1.680bb08fbbdap-2, -0x1.65983f43e4f27p-2, -0x1.63160f25ba476p-2, -0x1.6085c107bbd4cp-2, -0x1.5de7f3885ab9cp-2, -0x1.5b3d43064bdedp-2, -0x1.58864995b1abbp-2, -0x1.55c39ef624b93p-2, -0x1.52f5d88990ef7p-2, -0x1.501d894bdb317p-2, -0x1.4d3b41cb569fp-2, -0x1.4a4f9021f764ep-2, -0x1.475affef45befp-2, -0x1.445e1a530389ap-2, -0x1.415965e88bdd4p-2, -0x1.3e4d66c2d411ap-2, -0x1.3b3a9e691ee0ap-2, -0x1.38218bd445f2bp-2, -0x1.3502ab6ca7e7cp-2, -0x1.31de7708a7129p-2, -0x1.2eb565ebbe2dp-2, -0x1.2b87ecc61b305p-2, -0x1.28567db4c98ddp-2, -0x1.2521884254e91p-2, -0x1.21e97967f1152p-2, -0x1.1eaebb8f146bp-2, -0x1.1b71b693894fap-2, -0x1.1832cfc5ed3dcp-2, -0x1.14f269ee97295p-2, -0x1.11b0e550e8c2dp-2, -0x1.0e6e9faefc876p-2, -0x1.0b2bf44db10d4p-2, -0x1.07e93bf90e79cp-2, -0x1.04a6cd08ff167p-2, -0x1.0164fb6658d33p-2, -0x1.fc4831205eb22p-3, -0x1.f5c8e742ea905p-3, -0x1.ef4cb2adb1a85p-3, -0x1.e8d42829d3a8bp-3, -0x1.e25fd7dcecb7fp-3, -0x1.dbf04d564565dp-3, -0x1.d5860f9c708f7p-3, -0x1.cf21a13b4ae64p-3, -0x1.c8c3805259773p-3, -0x1.c26c26a38026fp-3, -0x1.bc1c09a20ca02p-3, -0x1.b5d39a82041aep-3, -0x1.af934647c3d36p-3, -0x1.a95b75d7d1e17p-3, -0x1.a32c8e06f711bp-3, -0x1.9d06efaa7f72fp-3, -0x1.96eaf7a8b5d2cp-3, -0x1.90d8ff09842b2p-3, -0x1.8ad15b07373fbp-3, -0x1.84d45d1f680dap-3, -0x1.7ee25323fb392p-3, -0x1.78fb874c3f43cp-3, -0x1.732040461713fp-3, -0x1.6d50c1473613bp-3, -0x1.678d4a1e65fc3p-3, -0x1.61d61744d8111p-3, -0x1.5c2b61ef71f5ap-3, -0x1.568d6020242efp-3, -0x1.50fc44b72f0e7p-3, -0x1.4b783f8470686p-3, -0x1.46017d589b4cap-3, -0x1.4098281664505p-3, -0x1.3b3c66c3a50b8p-3, -0x1.35ee5d9a61aecp-3, -0x1.30ae2e19c0861p-3, -0x1.2b7bf716e4749p-3, -0x1.2657d4cdb3351p-3, -0x1.2141e0f175c86p-3, -0x1.1c3a32bd5f607p-3, -0x1.1740df04f2dfbp-3, -0x1.1255f8443fe19p-3, -0x1.0d798eb002bbcp-3, -0x1.08abb04595e2p-3, -0x1.03ec68dabe57p-3, -0x1.fe77845a9bcb6p-4, -0x1.f53387e529f26p-4, -0x1.ec0ce7cd628b3p-4, -0x1.e303abb73f7eap-4, -0x1.da17d7905dd05p-4, -0x1.d1496bad60098p-4, -0x1.c89864e70883bp-4, -0x1.c004bcb6ddd5p-4, -0x1.b78e69536cb85p-4, -0x1.af355dcc1ea55p-4, -0x1.a6f98a24aa601p-4, -0x1.9edadb70122ecp-4, -0x1.96d93beb3d153p-4, -0x1.8ef4931717e83p-4, -0x1.872cc5d250dfap-4, -0x1.7f81b6729c964p-4, -0x1.77f344dd8dc9cp-4, -0x1.70814ea0fa94cp-4, -0x1.692baf0af0034p-4, -0x1.61f23f41353dbp-4, -0x1.5ad4d65859b5fp-4, -0x1.53d3496a5426ep-4, -0x1.4ced6bacac3bep-4, -0x1.46230e8634b02p-4, -0x1.3f7401a450439p-4, -0x1.38e0130fc6fa7p-4, -0x1.32670f41295cdp-4, -0x1.2c08c134c0d67p-4, -0x1.25c4f27e10e73p-4, -0x1.1f9b6b5ae7e9bp-4, -0x1.198bf2c5febc2p-4, -0x1.13964e892a75p-4, -0x1.0dba434f207ecp-4, -0x1.07f794b4cad0dp-4, -0x1.024e055a31e64p-4, -0x1.f97aade5f1826p-5, -0x1.ee8a94ace0de9p-5, -0x1.e3cb3f1e7daa7p-5, -0x1.d93c2bd53dd57p-5, -0x1.cedcd80e703ap-5, -0x1.c4acbfc71de81p-5, -0x1.baab5dd82120bp-5, -0x1.b0d82c11736a2p-5, -0x1.a732a354b47fap-5, -0x1.9dba3baeeeaefp-5, -0x1.946e6c7198fe4p-5, -0x1.8b4eac4adbad9p-5, -0x1.825a715d16b8dp-5, -0x1.79913155b219p-5, -0x1.70f26183343fp-5, -0x1.687d76eaa6865p-5, -0x1.6031e65c47f95p-5, -0x1.580f248792f9dp-5, -0x1.5014a60e94663p-5, -0x1.4841df989e15p-5, -0x1.409645e4517bcp-5, -0x1.39114dd90714cp-5, -0x1.31b26c9797161p-5, -0x1.2a79178a853cdp-5, -0x1.2364c47590ba3p-5, -0x1.1c74e984b0006p-5, -0x1.15a8fd5a74904p-5, -0x1.0f00771de20a8p-5, -0x1.087ace87b1d43p-5, -0x1.02177bef0fa02p-5, -0x1.f7abf0ab9492bp-6, -0x1.eb6b7ae80395cp-6, -0x1.df6c8b869e546p-6, -0x1.d3ae1912def3dp-6, -0x1.c82f1bc4e0658p-6, -0x1.bcee8d94c2eaep-6, -0x1.b1eb6a4d22c08p-6, -0x1.a724af9ca3c13p-6, -0x1.9c995d269b26ap-6, -0x1.92487492dc556p-6, -0x1.8830f99ca74a9p-6, -0x1.7e51f220c8dc3p-6, -0x1.74aa662aeee72p-6, -0x1.6b3960022a164p-6, -0x1.61fdec34b74bep-6, -0x1.58f719a304b7p-6, -0x1.5023f989fe8afp-6, -0x1.47839f8ca845dp-6, -0x1.3f1521bd060bap-6, -0x1.36d798a45dd29p-6, -0x1.2eca1f4acef8bp-6, -0x1.26ebd33e50722p-6, -0x1.1f3bd4990999cp-6, -0x1.17b946071d908p-6, -0x1.10634ccbdc818p-6, -0x1.093910c669917p-6, -0x1.0239bc75d8fe5p-6, -0x1.f6c8f9f98faf5p-7, -0x1.e9710448dc069p-7, -0x1.dc69fcbe79b5p-7, -0x1.cfb24d95fa023p-7, -0x1.c3486664f1a9p-7, -0x1.b72abc1d79329p-7, -0x1.ab57c90fc51a1p-7, -0x1.9fce0ceaf3465p-7, -0x1.948c0cbd0b0a5p-7, -0x1.899052f241f67p-7, -0x1.7ed96f537e72cp-7, -0x1.7465f70423636p-7, -0x1.6a34847f3b5c4p-7, -0x1.6043b793eb77p-7, -0x1.569235615ad48p-7, -0x1.4d1ea851ed02fp-7, -0x1.43e7c015f5p-7, -0x1.3aec319ddc56cp-7, -0x1.322ab713bc3c3p-7, -0x1.29a20fd47ccb2p-7, -0x1.215100687571ap-7, -0x1.1936527b9aabbp-7, -0x1.1150d4d53aba5p-7, -0x1.099f5b4f5114dp-7, -0x1.0220becd73ae3p-7, -0x1.f5a7ba66c4fc2p-8, -0x1.e76f32b6744f2p-8, -0x1.d995b616a4152p-8, -0x1.cc191dd791201p-8, -0x1.bef74cf787364p-8, -0x1.b22e300ccfde9p-8, -0x1.a5bbbd2f1b78ep-8, -0x1.999df3e06b651p-8, -0x1.8dd2dcf583f91p-8, -0x1.82588a7df1d0fp-8, -0x1.772d17aba6f94p-8, -0x1.6c4ea8ba3a5ebp-8, -0x1.61bb6ad5cce2fp-8, -0x1.577194019fe9cp-8, -0x1.4d6f62fe60be2p-8, -0x1.43b31f3031d2ap-8, -0x1.3a3b1884753c4p-8, -0x1.3105a75761fadp-8, -0x1.28112c5969af6p-8, -0x1.1f5c10747191dp-8, -0x1.16e4c4b0e75e7p-8, -0x1.0ea9c21ab705ep-8, -0x1.06a989a6262f3p-8, -0x1.fdc54829326b2p-9, -0x1.eea743b29395dp-9, -0x1.dff635fbdf9fap-9, -0x1.d1af5e0ecbe4ep-9, -0x1.c3d009b491e93p-9, -0x1.b655953f35347p-9, -0x1.a93d6b52d1a1fp-9, -0x1.9c8504aefd63bp-9, -0x1.9029e7f848db5p-9, -0x1.8429a981da08ep-9, -0x1.7881eb1735935p-9, -0x1.6d305bc63719dp-9, -0x1.6232b7a9396p-9, -0x1.5786c7b18297p-9, -0x1.4d2a6171ea12fp-9, -0x1.431b66e9c8dfap-9, -0x1.3957c65036e4cp-9, -0x1.2fdd79df95ba3p-9, -0x1.26aa87a1746e2p-9, -0x1.1dbd013acb1ddp-9, -0x1.151303b897f18p-9, -0x1.0caab75cdbcc8p-9, -0x1.04824f6bfe021p-9, -0x1.f93013f53840bp-10, -0x1.e9d45f7789636p-10, -0x1.daee279f45285p-10, -0x1.cc7a27253d143p-10, -0x1.be752cd9e9839p-10, -0x1.b0dc1b458b4d6p-10, -0x1.a3abe8493d363p-10, -0x1.96e19cc10978bp-10, -0x1.8a7a5426fa61ep-10, -0x1.7e733c3732628p-10, -0x1.72c9949504d5ap-10, -0x1.677aae71229f7p-10, -0x1.5c83ec30ce421p-10, -0x1.51e2c11624ea9p-10, -0x1.4794b0e973759p-10, -0x1.3d974fa3a96dbp-10, -0x1.33e84119dc824p-10, -0x1.2a8538a9e8d7cp-10, -0x1.216bf8e82ad29p-10, -0x1.189a534e513a6p-10, -0x1.100e27eb4d588p-10, -0x1.07c5651466b1ep-10, -0x1.ff7c0e2ec077dp-11, -0x1.efec2fdb8fa43p-11, -0x1.e0d75de2b580dp-11, -0x1.d239e1231cbaap-11, -0x1.c4101c14692e5p-11, -0x1.b6568a367cf8p-11, -0x1.a909bf83381ebp-11, -0x1.9c2667e271804p-11, -0x1.8fa946a027dfp-11, -0x1.838f35e4e822ep-11, -0x1.77d5263065e05p-11, -0x1.6c781dd647b9dp-11, -0x1.6175387d1f456p-11, -0x1.56c9a69f8d24cp-11, -0x1.4c72ad0f8f0e1p-11, -0x1.426da47bf01e8p-11, -0x1.38b7f8f7dbe99p-11, -0x1.2f4f29848ea37p-11, -0x1.2630c79d1f79fp-11, -0x1.1d5a76c45f7a1p-11, -0x1.14c9ec14ca4f6p-11, -0x1.0c7cedd28300fp-11, -0x1.047152ff59f96p-11, -0x1.f94a05e1ac17ap-12, -0x1.ea2be9d075a74p-12, -0x1.db845f5915b8ep-12, -0x1.cd4f924cfa06dp-12, -0x1.bf89cbfcc2089p-12, -0x1.b22f7277dfa28p-12, -0x1.a53d07cffc0fp-12, -0x1.98af296021724p-12, -0x1.8c828f1793095p-12, -0x1.80b40ac850591p-12, -0x1.754087793567p-12, -0x1.6a2508bbabd3bp-12, -0x1.5f5eaa04e27a8p-12, -0x1.54ea9e0a80c76p-12, -0x1.4ac62e22c7cdbp-12, -0x1.40eeb9a816501p-12, -0x1.3761b55fc6449p-12, -0x1.2e1caae452b8p-12, -0x1.251d3812c2e95p-12, -0x1.1c610e7b40f1bp-12, -0x1.13e5f2d4e1d37p-12, -0x1.0ba9bc7481374p-12, -0x1.03aa54c6b38b1p-12, -0x1.f7cb6d9970e29p-13, -0x1.e8b3dd38cbb0dp-13, -0x1.da0a31c602bfp-13, -0x1.cbcac4d5efa1cp-13, -0x1.bdf20f48d7e2ep-13, -0x1.b07ca861145c1p-13, -0x1.a36744df3b185p-13, -0x1.96aeb623a501cp-13, -0x1.8a4fe955448bbp-13, -0x1.7e47e68daa392p-13, -0x1.7293d00a2ee42p-13, -0x1.6730e16219707p-13, -0x1.5c1c6ec1c0d02p-13, -0x1.5153e42a7702dp-13, -0x1.46d4c4b747de8p-13, -0x1.3c9ca9e655975p-13, -0x1.32a942e6d4d28p-13, -0x1.28f853eb8357ep-13, -0x1.1f87b5818af72p-13, -0x1.165553ebbbeaap-13, -0x1.0d5f2e8202cabp-13, -0x1.04a357150ba8fp-13, -0x1.f83fe2abf79c6p-14, -0x1.e7a664844ff8fp-14, -0x1.d776bf257a999p-14, -0x1.c7ad9e6078766p-14, -0x1.b847cd53848ebp-14, -0x1.a942355fea3f5p-14, -0x1.9a99dd273562cp-14, -0x1.8c4be78f60e3ap-14, -0x1.7e5592cdfcbcdp-14, -0x1.70b4377a1a94cp-14, -0x1.636547a4dd1a5p-14, -0x1.56664df88679p-14, -0x1.49b4ecdde1ae3p-14, -0x1.3d4edda7e314fp-14, -0x1.3131efc55c203p-14, -0x1.255c07f8a1a9p-14, -0x1.19cb1f9501afcp-14, -0x1.0e7d43c1e56f2p-14, -0x1.037094c381da4p-14, -0x1.f1468a91e8f1ep-15, -0x1.dc27337f558acp-15, -0x1.c77fcf57ef828p-15, -0x1.b34d2a0d6e519p-15, -0x1.9f8c2f3fbcbf8p-15, -0x1.8c39e90bc0ep-15, -0x1.79537ee386d28p-15, -0x1.66d6346f9bd37p-15, -0x1.54bf68795cbc3p-15, -0x1.430c93ddfd93ep-15, -0x1.31bb488a18d43p-15, -0x1.20c9307d8c618p-15, -0x1.10340cd76e873p-15, -0x1.fff369d3d27f2p-16, -0x1.e0302aab8da2fp-16, -0x1.c11a5e5afe3fbp-16, -0x1.a2ae2e3f1e87fp-16, -0x1.84e7e94fe6e89p-16, -0x1.67c4029118e97p-16, -0x1.4b3f0f90870d2p-16, -0x1.2f55c6f18563p-16, -0x1.1404ff051de86p-16, -0x1.f29358dd773fp-17, -0x1.be41c1a9da7ebp-17, -0x1.8b0f933be6328p-17, -0x1.58f75d6f77f32p-17, -0x1.27f3e2d61c93p-17, -0x1.f0002ce5e771dp-18, -0x1.922e33176b6a5p-18, -0x1.3668731c450cp-18, -0x1.b94bb8255386cp-19, -0x1.09bb5ae98c6c6p-19, -0x1.783b9abc1651p-21, 0x1.2727e99290f2ap-21, 0x1.dbbe2645f132fp-20, 0x1.8e3faa02fc763p-19, 0x1.157d43c67a9f8p-18, 0x1.620efe42cb254p-18, 0x1.acdbf3ed443cp-18, 0x1.f5eade2919741p-18, 0x1.1ea12180289acp-17, 0x1.41743be0d77cdp-17, 0x1.6371d1c17bb9ap-17, 0x1.849ce0c431f62p-17, 0x1.a4f851c91d13p-17, 0x1.c486fa088fep-17, 0x1.e34b9c21256aap-17, 0x1.00a4748cfec17p-16, 0x1.0f40c0acd66ddp-16, 0x1.1d7bfac90ea73p-16, 0x1.2b5763d0e4738p-16, 0x1.38d435b55822ep-16, 0x1.45f3a3cfae86bp-16, 0x1.52b6db432087fp-16, 0x1.5f1f0359edb7cp-16, 0x1.6b2d3dddebca5p-16, 0x1.76e2a76cc84f5p-16, 0x1.824057c81c5c5p-16, 0x1.8d47622178594p-16, 0x1.97f8d562904a7p-16, 0x1.a255bc71a903fp-16, }}, 
      {{0x1.dd8a0d17bb742p-1, 0x1.dd78b2437e874p-1, 0x1.dd5a5d637b1ecp-1, 0x1.dd2d3824f1dep-1, 0x1.dcef194a93a33p-1, 0x1.dc9dc0e871ffbp-1, 0x1.dc37093a48541p-1, 0x1.dbb90a875df4dp-1, 0x1.db2232c9047b9p-1, 0x1.da7152d14b0dep-1, 0x1.d9a5a305ea04p-1, 0x1.d8bec1b9fe391p-1, 0x1.d7bcacf9218e2p-1, 0x1.d69fb94c5ca25p-1, 0x1.d56886b4ee231p-1, 0x1.d417f4d204668p-1, 0x1.d2af16e8bf7ffp-1, 0x1.d12f28522b7edp-1, 0x1.cf9981a901a15p-1, 0x1.cdef8eeff563cp-1, 0x1.cc32c6cfd3d6cp-1, 0x1.ca64a2f9ae3c4p-1, 0x1.c88699ab522bdp-1, 0x1.c69a184a96ab5p-1, 0x1.c4a07f0580996p-1, 0x1.c29b1d6144372p-1, 0x1.c08b2fa010636p-1, 0x1.be71dce4e3b58p-1, 0x1.bc5035fcf7f1fp-1, 0x1.ba2734b758a65p-1, 0x1.b7f7bbb4b0a9ap-1, 0x1.b5c2969b2055ep-1, 0x1.b3887a9bc7c48p-1, 0x1.b14a0739ada11p-1, 0x1.af07c74383802p-1, 0x1.acc231f3a8b4p-1, 0x1.aa79ac2b77351p-1, 0x1.a82e89c083665p-1, 0x1.a5e10ed3e6ba1p-1, 0x1.a391712cf66eep-1, 0x1.a13fd991f5159p-1, 0x1.9eec651a53ed4p-1, 0x1.9c972676fa84bp-1, 0x1.9a40272ddae29p-1, 0x1.97e768c6bcb7fp-1, 0x1.958ce5e7c642fp-1, 0x1.93309360bddc1p-1, 0x1.90d2612471f0ep-1, 0x1.8e723b300260ap-1, 0x1.8c100a6016711p-1, 0x1.89abb534418c1p-1, 0x1.874520810287ep-1, 0x1.84dc3010fa0a6p-1, 0x1.8270c735feb81p-1, 0x1.8002c94ad9b63p-1, 0x1.7d921a267b86bp-1, 0x1.7b1e9e8180172p-1, 0x1.78a83c4ee4b96p-1, 0x1.762edb08cbee5p-1, 0x1.73b263f22bca2p-1, 0x1.7132c24e3ffd6p-1, 0x1.6eafe38e8f517p-1, 0x1.6c29b7784f20cp-1, 0x1.69a03041e534p-1, 0x1.671342a9412d7p-1, 0x1.6482e603b6d5p-1, 0x1.61ef144801b75p-1, 0x1.5f57ca1307a03p-1, 0x1.5cbd06a7eaa32p-1, 0x1.5a1ecbebeea1cp-1, 0x1.577d1e5eaf38ep-1, 0x1.54d8050f16abp-1, 0x1.522f898d7fc58p-1, 0x1.4f83b7db649d2p-1, 0x1.4cd49e58eeca7p-1, 0x1.4a224db0bf5a4p-1, 0x1.476cd8c23540ep-1, 0x1.44b4548a74812p-1, 0x1.41f8d80c6ead8p-1, 0x1.3f3a7c3820717p-1, 0x1.3c795bd137cf4p-1, 0x1.39b593554e656p-1, 0x1.36ef40e1e1bb6p-1, 0x1.3426841a2b735p-1, 0x1.315b7e0cfc576p-1, 0x1.2e8e511ab192ap-1, 0x1.2bbf20db642fap-1, 0x1.28ee120562424p-1, 0x1.261b4a540a5cfp-1, 0x1.2346f06f172ccp-1, 0x1.20712bd26a685p-1, 0x1.1d9a24b665ccap-1, 0x1.1ac203f8da141p-1, 0x1.17e8f30694e9cp-1, 0x1.150f1bc599bafp-1, 0x1.1234a8800564cp-1, 0x1.0f59c3cfa58bcp-1, 0x1.0c7e988a4677dp-1, 0x1.09a351aeb9a81p-1, 0x1.06c81a5297fa5p-1, 0x1.03ed1d90be4cap-1, 0x1.0112867887752p-1, 0x1.fc70fffb8167p-2, 0x1.f6be69d2b5a06p-2, 0x1.f10d9f95a29edp-2, 0x1.eb5ef5d4983cap-2, 0x1.e5b2c076e7a02p-2, 0x1.e00952a1f0d42p-2, 0x1.da62fea19119dp-2, 0x1.d4c015d1e4c25p-2, 0x1.cf20e88a5d70bp-2, 0x1.c985c60a1f222p-2, 0x1.c3eefc659f269p-2, 0x1.be5cd8757d1dfp-2, 0x1.b8cfa5c68afc7p-2, 0x1.b347ae8b02c32p-2, 0x1.adc53b8cd37f5p-2, 0x1.a8489421101fp-2, 0x1.a2d1fe1c64648p-2, 0x1.9d61bdc8937edp-2, 0x1.97f815daf384fp-2, 0x1.9295476bde5a9p-2, 0x1.8d3991ef090a1p-2, 0x1.87e5332cc4a76p-2, 0x1.8298673c14f1fp-2, 0x1.7d53687d9a11dp-2, 0x1.78166f9744a3ep-2, 0x1.72e1b370c7c56p-2, 0x1.6db56930c75bbp-2, 0x1.6891c43ab6482p-2, 0x1.6376f62d5bbbdp-2, 0x1.5e652ee1fc278p-2, 0x1.595c9c6c1ac78p-2, 0x1.545d6b19ccc33p-2, 0x1.4f67c5749acc1p-2, 0x1.4a7bd442e0848p-2, 0x1.4599be89b0497p-2, 0x1.40c1a98f28e3ap-2, 0x1.3bf3b8dd3aef8p-2, 0x1.37300e44dbc7ep-2, 0x1.3276c9e199a29p-2, 0x1.2dc80a1d8b991p-2, 0x1.2923ebb59bd95p-2, 0x1.248a89be24f6cp-2, 0x1.1ffbfda7d9ff2p-2, 0x1.1b785f44f55ebp-2, 0x1.16ffc4ceadb1bp-2, 0x1.129242eae6d77p-2, 0x1.0e2fecb218ac9p-2, 0x1.09d8d3b570b4dp-2, 0x1.058d08051dfd9p-2, 0x1.014c9836cb9e3p-2, 0x1.fa2f22d8867e5p-3, 0x1.f1dbfeb4659efp-3, 0x1.e99fd89e23c9dp-3, 0x1.e17ac2744aeap-3, 0x1.d96ccb65377cdp-3, 0x1.d175fffd7a9d4p-3, 0x1.c9966a366647fp-3, 0x1.c1ce1184b4e3fp-3, 0x1.ba1cfae74c0fcp-3, 0x1.b28328f6156cp-3, 0x1.ab009bf0e4982p-3, 0x1.a39551ce67bcap-3, 0x1.9c41464b1e3dfp-3, 0x1.950472f85050ap-3, 0x1.8ddecf4b02273p-3, 0x1.86d050aae2ba9p-3, 0x1.7fd8ea8129dbap-3, 0x1.78f88e476f3bcp-3, 0x1.722f2b9667f2dp-3, 0x1.6b7cb034926dcp-3, 0x1.64e10824c7f99p-3, 0x1.5e5c1db4b8514p-3, 0x1.57edd98b3bd39p-3, 0x1.519622b68fbbfp-3, 0x1.4b54deba6e4adp-3, 0x1.4529f19df9304p-3, 0x1.3f153df9860f2p-3, 0x1.3916a5043e237p-3, 0x1.332e06a1910cfp-3, 0x1.2d5b416e81c6ep-3, 0x1.279e32ceba72cp-3, 0x1.21f6b6f97b321p-3, 0x1.1c64a9065438cp-3, 0x1.16e7e2f9a956dp-3, 0x1.11803dd10decap-3, 0x1.0c2d918f5ee6fp-3, 0x1.06efb548b3632p-3, 0x1.01c67f2e1264cp-3, 0x1.f9638931e4036p-4, 0x1.ef62b42d08d61p-4, 0x1.e58a26e58d04ep-4, 0x1.dbd98786b897ep-4, 0x1.d2507ae46dad5p-4, 0x1.c8eea48ff763dp-4, 0x1.bfb3a6ec6bb1ep-4, 0x1.b69f2342ae3e2p-4, 0x1.adb0b9d4ddafp-4, 0x1.a4e809f178d97p-4, 0x1.9c44b205f570cp-4, 0x1.93c64fb0ef721p-4, 0x1.8b6c7fd3ebd7cp-4, 0x1.8336dea4a75dfp-4, 0x1.7b2507bdf5915p-4, 0x1.73369630329e8p-4, 0x1.6b6b249145989p-4, 0x1.63c24d0c3634ap-4, 0x1.5c3ba970559f6p-4, 0x1.54d6d33ffba9fp-4, 0x1.4d9363bed8d22p-4, 0x1.4670f3ffdf72ep-4, 0x1.3f6f1cf2c3bfdp-4, 0x1.388d7771139c8p-4, 0x1.31cb9c4aea599p-4, 0x1.2b2924533c1fbp-4, 0x1.24a5a86bc0c6p-4, 0x1.1e40c19079539p-4, 0x1.17fa08e2d6db6p-4, 0x1.11d117b47f01bp-4, 0x1.0bc58791b47edp-4, 0x1.05d6f24b60491p-4, 0x1.0004f200c1ba5p-4, 0x1.f49e425183a46p-5, 0x1.e96a3535e08a3p-5, 0x1.de6cf3304fc1dp-5, 0x1.d3a5b3a5bca68p-5, 0x1.c913aeee3e492p-5, 0x1.beb61e646a24ep-5, 0x1.b48c3c740176p-5, 0x1.aa9544a804754p-5, 0x1.a0d073b825d64p-5, 0x1.973d0795a7af4p-5, 0x1.8dda3f77a1705p-5, 0x1.84a75be6b5f27p-5, 0x1.7ba39ec837296p-5, 0x1.72ce4b68bf8e9p-5, 0x1.6a26a68643628p-5, 0x1.61abf65997a8p-5, 0x1.595d829f7bdd6p-5, 0x1.513a94a120d35p-5, 0x1.4942773c31e7ap-5, 0x1.417476ea65eb9p-5, 0x1.39cfe1c899781p-5, 0x1.3254079d758p-5, 0x1.2b0039dfa32eep-5, 0x1.23d3cbbb936a2p-5, 0x1.1cce1218db5b4p-5, 0x1.15ee639f287bep-5, 0x1.0f3418bacf4c1p-5, 0x1.089e8ba0f676fp-5, 0x1.022d185364b9cp-5, 0x1.f7be3947de2fap-6, 0x1.eb67f06f1b5f5p-6, 0x1.df5619123405bp-6, 0x1.d38779d76e144p-6, 0x1.c7fadd19cbcc6p-6, 0x1.bcaf10ec9b065p-6, 0x1.b1a2e71e64068p-6, 0x1.a6d5353b45412p-6, 0x1.9c44d48ebf905p-6, 0x1.91f0a224f0c0bp-6, 0x1.87d77ecb4f737p-6, 0x1.7df84f10daf87p-6, 0x1.7451fb45d2d34p-6, 0x1.6ae36f7af3cf6p-6, 0x1.61ab9b803cbf8p-6, 0x1.58a972e3462aep-6, 0x1.4fdbeced2acbdp-6, 0x1.474204a006805p-6, 0x1.3edab8b41202bp-6, 0x1.36a50b945eee7p-6, 0x1.2ea0035b357a2p-6, 0x1.26caa9ce1a3abp-6, 0x1.1f240c597a892p-6, 0x1.17ab3c0c106ccp-6, 0x1.105f4d91ed27cp-6, 0x1.093f592f446e4p-6, 0x1.024a7abae6b1p-6, 0x1.f6ffa330fdc82p-7, 0x1.e9bd016512647p-7, 0x1.dccb5ce82ca4fp-7, 0x1.d02909848cc52p-7, 0x1.c3d461eb35e1dp-7, 0x1.b7cbc7a614cc3p-7, 0x1.ac0da309ccc9ap-7, 0x1.a098632728d96p-7, 0x1.956a7dbc2a75cp-7, 0x1.8a826f24d9006p-7, 0x1.7fdeba4baa71dp-7, 0x1.757de899b95e3p-7, 0x1.6b5e89e6b063p-7, 0x1.617f34686f367p-7, 0x1.57de84a27fdcdp-7, 0x1.4e7b1d554f59ep-7, 0x1.4553a76d3d912p-7, 0x1.3c66d1f171c31p-7, 0x1.33b351f293737p-7, 0x1.2b37e27956fbep-7, 0x1.22f34474ea96bp-7, 0x1.1ae43ea945289p-7, 0x1.13099d9d5b6c4p-7, 0x1.0b6233893ebe7p-7, 0x1.03ecd84426f06p-7, 0x1.f950d264dd312p-8, 0x1.eb279266ff87dp-8, 0x1.dd5bc11f71427p-8, 0x1.cfeb39cc904e3p-8, 0x1.c2d3e2360eb25p-8, 0x1.b613aa889ee95p-8, 0x1.a9a88d31a5db2p-8, 0x1.9d908ebaf2309p-8, 0x1.91c9bda67f792p-8, 0x1.8652324a4ac47p-8, 0x1.7b280eac3aefcp-8, 0x1.70497e5e2440ap-8, 0x1.65b4b659e705cp-8, 0x1.5b67f4ddb166ap-8, 0x1.5161814864aa8p-8, 0x1.479fabf6246ffp-8, 0x1.3e20ce1d113d7p-8, 0x1.34e349aa32a33p-8, 0x1.2be5891e9257cp-8, 0x1.2325ff6c8fe78p-8, 0x1.1aa327d5694f7p-8, 0x1.125b85c6ff43cp-8, 0x1.0a4da4b9d95cp-8, 0x1.0278180f65a2fp-8, 0x1.f5b2f5e0feba2p-9, 0x1.e6e0e0586928cp-9, 0x1.d877442dad95dp-9, 0x1.ca7384d2a3881p-9, 0x1.bcd3144196f91p-9, 0x1.af9372bd22855p-9, 0x1.a2b22e90a2bb1p-9, 0x1.962ce3d1494a7p-9, 0x1.8a013c1fcb04fp-9, 0x1.7e2cee6ab7ep-9, 0x1.72adbeb170972p-9, 0x1.67817dc7ca429p-9, 0x1.5ca6091a564fp-9, 0x1.52194a735868ep-9, 0x1.47d937c0666aap-9, 0x1.3de3d2d8b90f4p-9, 0x1.343729442bb84p-9, 0x1.2ad15402ea27cp-9, 0x1.21b07755d1cecp-9, 0x1.18d2c28786b0ap-9, 0x1.10366fb63a2a8p-9, 0x1.07d9c39e230fdp-9, 0x1.ff761ac95cd71p-10, 0x1.efb14cc8c7ad8p-10, 0x1.e061e3f2f4071p-10, 0x1.d184ba9e4d7bp-10, 0x1.c316be5b3e3e1p-10, 0x1.b514ef919d77p-10, 0x1.a77c611f86fd8p-10, 0x1.9a4a37f995c18p-10, 0x1.8d7baacc8f7ep-10, 0x1.810e01a06fb3fp-10, 0x1.74fe957cd9ce7p-10, 0x1.694ad00ef2705p-10, 0x1.5df02b5096e9ep-10, 0x1.52ec3130fe181p-10, 0x1.483c7b3ea9e88p-10, 0x1.3ddeb252c9098p-10, 0x1.33d08e3de6fd9p-10, 0x1.2a0fd575f816ep-10, 0x1.209a5cc5c0396p-10, 0x1.176e06fd8c822p-10, 0x1.0e88c4a53d93bp-10, 0x1.05e893afa41bp-10, 0x1.fb16fe5e54bd1p-11, 0x1.eadf3e178aa7dp-11, 0x1.db262f7461723p-11, 0x1.cbe833e8dc2c5p-11, 0x1.bd21c4e70b81bp-11, 0x1.aecf73550c8f8p-11, 0x1.a0ede7057fcf9p-11, 0x1.9379de326fc29p-11, 0x1.86702cfaa17fcp-11, 0x1.79cdbce14b8e7p-11, 0x1.6d8f8c5025c13p-11, 0x1.61b2ae1bd3a62p-11, 0x1.5634490a9a755p-11, 0x1.4b11975d64853p-11, 0x1.4047e65b0126ap-11, 0x1.35d495dda3d79p-11, 0x1.2bb517e2949aap-11, 0x1.21e6f01c0e4edp-11, 0x1.1867b38542035p-11, 0x1.0f3507f8784e5p-11, 0x1.064ca3c74bea9p-11, 0x1.fb589aa9e3cfp-12, 0x1.eaa3b56518facp-12, 0x1.da76627afe22dp-12, 0x1.cacc8a7f7868p-12, 0x1.bba2332411bf5p-12, 0x1.acf37e80512a6p-12, 0x1.9ebcaa5de1f7bp-12, 0x1.90fa0f887552fp-12, 0x1.83a821214fbbbp-12, 0x1.76c36bf6746d4p-12, 0x1.6a4895dd6541ep-12, 0x1.5e345d115ebf5p-12, 0x1.528397950fda6p-12, 0x1.47333297b02aep-12, 0x1.3c4031dd73a8fp-12, 0x1.31a7af2b46571p-12, 0x1.2766d9b5c4217p-12, 0x1.1d7af59360585p-12, 0x1.13e15b31ad005p-12, 0x1.0a9776cdb72b9p-12, 0x1.019ac7ef66c93p-12, 0x1.f1d1c1cfb1d71p-13, 0x1.e0fecca54a664p-13, 0x1.d0b81d3401ba4p-13, 0x1.c0f942fb64ca2p-13, 0x1.b1bdef3997a2ep-13, 0x1.a301f404351cep-13, 0x1.94c143668241cp-13, 0x1.86f7ee84e7e03p-13, 0x1.79a224c583772p-13, 0x1.6cbc32fdcdab6p-13, 0x1.604282a531596p-13, 0x1.5431990c7924ep-13, 0x1.4886169a0a839p-13, 0x1.3d3cb60ac053dp-13, 0x1.32524bb768999p-13, 0x1.27c3c4deb2f06p-13, 0x1.1d8e26f3934d7p-13, 0x1.13ae8eefecee7p-13, 0x1.0a2230ab7aa6ep-13, 0x1.00e65636e36dfp-13, 0x1.eff0be75ae4c6p-14, 0x1.deab80b64fd27p-14, 0x1.cdf8053ba4a98p-14, 0x1.bdd185ab95067p-14, 0x1.ae33622329c9ep-14, 0x1.9f19201af4daap-14, 0x1.907e6952c259cp-14, 0x1.825f0ac43a0e9p-14, 0x1.74b6f39c6ba41p-14, 0x1.6782343c11d4ap-14, 0x1.5abcfd3e6b03ap-14, 0x1.4e639e86830ebp-14, 0x1.42728652c996fp-14, 0x1.36e64056d340dp-14, 0x1.2bbb74db2157dp-14, 0x1.20eee7e2ceb21p-14, 0x1.167d7857007ecp-14, 0x1.0c641f37fa64fp-14, 0x1.029feed3b3e7p-14, 0x1.f25c2403a1e82p-15, 0x1.e01796c9bc44ap-15, 0x1.ce6ce96161b9p-15, 0x1.bd56fbeb9b94p-15, 0x1.acd0d9e37199ap-15, 0x1.9cd5b8c81fea9p-15, 0x1.8d60f6d0aaa33p-15, 0x1.7e6e19a89926fp-15, 0x1.6ff8cd359ced3p-15, 0x1.61fce265f554cp-15, 0x1.54764e07539bbp-15, 0x1.476127a60f6bap-15, 0x1.3ab9a87478755p-15, 0x1.2e7c2a3a124fp-15, 0x1.22a5264a88dcdp-15, 0x1.173134842d582p-15, 0x1.0c1d0a55cfa57p-15, 0x1.016579cbc0cf6p-15, 0x1.ee0ee147a846dp-16, 0x1.d9ffeed06485cp-16, 0x1.c6986121a8034p-16, 0x1.b3d2af56e823ap-16, 0x1.a1a98113b102cp-16, 0x1.9017acec7e247p-16, 0x1.7f1836db9d0cdp-16, 0x1.6ea64ec1bfac9p-16, 0x1.5ebd4ef1f017ep-16, 0x1.4f58bac8a6d66p-16, 0x1.40743d4daa71cp-16, 0x1.320ba7e07f576p-16, 0x1.241af0ef1304ep-16, 0x1.169e32b667694p-16, 0x1.0991aa0cfc301p-16, 0x1.f9e36a6d4d662p-17, 0x1.e175a58357ca1p-17, 0x1.c9d340d98fcedp-17, 0x1.b2f5b42bf4703p-17, 0x1.9cd6b1638fd8ap-17, 0x1.877022958bb53p-17, 0x1.72bc28125977fp-17, 0x1.5eb5168474089p-17, 0x1.4b55751e5cc82p-17, 0x1.3897fbd767d23p-17, 0x1.267791b6dbf86p-17, 0x1.14ef4b2d150d8p-17, 0x1.03fa687a39863p-17, 0x1.e728a844485bep-18, 0x1.c77142da45a46p-18, 0x1.a8c615ea5900ep-18, 0x1.8b1ee27e66cb7p-18, 0x1.6e73b2c0788b7p-18, 0x1.52bcd75bc3cbcp-18, 0x1.37f2e4f3e4449p-18, 0x1.1e0eb1b1a3097p-18, 0x1.050952e4aac4ep-18, 0x1.d9b83573120fcp-19, 0x1.ab012c06d6d4fp-19, 0x1.7de11431f3eb1p-19, 0x1.524be5878b474p-19, 0x1.283600836ff26p-19, 0x1.ff28555ffa2b2p-20, 0x1.b0b715db97252p-20, 0x1.65034bb89db53p-20, 0x1.1bf8b4c499ebfp-20, 0x1.ab07795505de7p-21, 0x1.2322ecfacdb32p-21, 0x1.403e59f4c8af6p-22, 0x1.0ec6c13b86bf5p-24, -0x1.5f491fbda79d5p-23, -0x1.9a06945f6eeep-22, -0x1.3dda30bbfc318p-21, -0x1.aa75f3595ca3fp-21, -0x1.097a44baa0e4cp-20, -0x1.3bb979e703c33p-20, -0x1.6c06a2e0d6091p-20, -0x1.9a6f5722b30f2p-20, -0x1.c700c04474e08p-20, -0x1.f1c79e241185ap-20, -0x1.0d6825737e17ap-19, -0x1.21135f6ab0915p-19, -0x1.33eb4a08381dfp-19, -0x1.45f585127fe0dp-19, -0x1.573784bdcf46bp-19, -0x1.67b69353a823p-19, -0x1.7777d2ca05583p-19, -0x1.86803e4b03d05p-19, -0x1.94d4abad7d3e4p-19, -0x1.a279ccdf1b8cp-19, -0x1.af7431405b222p-19, -0x1.bbc846f303811p-19, -0x1.c77a5c1b81642p-19, -0x1.d28ea015a4b67p-19, -0x1.dd09249d23c66p-19, -0x1.e6eddeea5e7efp-19, -0x1.f040a8c3c68bp-19, -0x1.f90541844d386p-19, -0x1.009fa78ba533bp-18, -0x1.04792f75169d4p-18, -0x1.0810f36a2f247p-18, -0x1.0b68a2fad5c4p-18, -0x1.0e81e2c5c9e78p-18, -0x1.115e4cdee7ac9p-18, -0x1.13ff71312d827p-18, -0x1.1666d5dcb26e4p-18, -0x1.1895f790adcf4p-18, -0x1.1a8e49e1bb945p-18, -0x1.1c51379c7b726p-18, -0x1.1de02314b4509p-18, -0x1.1f3c6671199c9p-18, -0x1.206753f3d5f94p-18, -0x1.2162363ff9d61p-18, -0x1.222e509bee808p-18, -0x1.22ccdf3108c8p-18, -0x1.233f17485ca35p-18, -0x1.23862784e7bf3p-18, -0x1.23a3381b3388cp-18, -0x1.23976b06860b1p-18, -0x1.2363dc3bbaff2p-18, -0x1.2309a1d9ddd5fp-18, -0x1.2289cc589bcd1p-18, -0x1.21e566b4a6d65p-18, -0x1.211d769a1b7c3p-18, -0x1.2032fc8d01f83p-18, -0x1.1f26f40ffea8cp-18, -0x1.1dfa53c943c55p-18, -0x1.1cae0da5d95afp-18, -0x1.1b430efb4d26bp-18, -0x1.19ba40a7dabb6p-18, -0x1.18148731206a1p-18, -0x1.1652c2e16d9acp-18, -0x1.1475cfe3bb4ebp-18, -0x1.127e865e60f35p-18, -0x1.106dba8c8fe6cp-18, -0x1.0e443cd6a7d6dp-18, -0x1.0c02d9e96ce9p-18, -0x1.09aa5acc33464p-18, -0x1.073b84f604a5ap-18, -0x1.04b71a61d4979p-18, -0x1.021dd9a1c673ap-18, -0x1.fee0fbe331966p-19, -0x1.f95f7e9071f42p-19, -0x1.f3b8a4d1203f4p-19, -0x1.ededd1e31c3b1p-19, -0x1.e80062db004f7p-19, -0x1.e1f1aec171e66p-19, -0x1.dbc306af29c84p-19, -0x1.d575b5e7c77c3p-19, }}, 
      std::vector<double>(600, 0.0), 
      {{-0x1.d3d220b7cc80cp-7, -0x1.d0a241cd38795p-6, -0x1.58da86b743411p-5, -0x1.c5d05bb6d5f3cp-5, -0x1.177168dd14163p-4, -0x1.4a0c577ab1911p-4, -0x1.7ad9429f5ebebp-4, -0x1.aa0889b7c4fc8p-4, -0x1.d7d0860c4e8a7p-4, -0x1.02332371a601dp-3, -0x1.17fc6c3c24098p-3, -0x1.2d574e1fce2e3p-3, -0x1.4252198df7a6p-3, -0x1.56f6431c59063p-3, -0x1.6b48c7196c37dp-3, -0x1.7f4ac6305c9f1p-3, -0x1.92fa3e527a24p-3, -0x1.a652cb146f75ep-3, -0x1.b94e5f2f555b3p-3, -0x1.cbe5edf43a7e2p-3, -0x1.de11ff671fa03p-3, -0x1.efcb2c9653b92p-3, -0x1.008541e71a0e8p-2, -0x1.08e4ead600c93p-2, -0x1.1101f679c4d43p-2, -0x1.18da59c588f2ap-2, -0x1.206ca39cd3bcp-2, -0x1.27b8006542323p-2, -0x1.2ebc380e85d35p-2, -0x1.3579a7bc22be5p-2, -0x1.3bf1381e04851p-2, -0x1.42245163f3c01p-2, -0x1.4814cd9674853p-2, -0x1.4dc4e9ff6c4e3p-2, -0x1.5337382ecf32bp-2, -0x1.586e8f0c5f2aep-2, -0x1.5d6dfc4f5104p-2, -0x1.6238b69f89868p-2, -0x1.66d21092040d2p-2, -0x1.6b3d6ca2b1729p-2, -0x1.6f7e3241505e4p-2, -0x1.7397c3fc63f4ap-2, -0x1.778d76cd05859p-2, -0x1.7b628a7fa4459p-2, -0x1.7f1a2330c7298p-2, -0x1.82b743d0fc6f7p-2, -0x1.863cc9a083a9dp-2, -0x1.89ad68915846fp-2, -0x1.8d0ba87d40632p-2, -0x1.9059e31cf5a5ep-2, -0x1.939a42ad89597p-2, -0x1.96cec13172c4ep-2, -0x1.99f9283b58392p-2, -0x1.9d1b11318550cp-2, -0x1.a035e5f9e9fafp-2, -0x1.a34ae1ff9ae8p-2, -0x1.a65b1383ed53ap-2, -0x1.a9675d2e63623p-2, -0x1.ac7077cfcf11cp-2, -0x1.af76f44e234e1p-2, -0x1.b27b3daf8975ap-2, -0x1.b57d9b3c4aff1p-2, -0x1.b87e32b0281fep-2, -0x1.bb7d0a74830bap-2, -0x1.be7a0bddbb7a6p-2, -0x1.c1750566be25bp-2, -0x1.c46dace6986f2p-2, -0x1.c763a1bc7427cp-2, -0x1.ca566eeefdc64p-2, -0x1.cd458d3cb6022p-2, -0x1.d030651b2bd0ep-2, -0x1.d31650a382accp-2, -0x1.d5f69d6b06b9ap-2, -0x1.d8d08e46e3ecep-2, -0x1.dba35cfa5d0dep-2, -0x1.de6e3bcf1ba45p-2, -0x1.e13057176c696p-2, -0x1.e3e8d69a61321p-2, -0x1.e696deea0680bp-2, -0x1.e93992a3ee452p-2, -0x1.ebd0139c73a26p-2, -0x1.ee5983f5326dap-2, -0x1.f0d5071f4004ap-2, -0x1.f341c2c9bbe5cp-2, -0x1.f59edfbd66a34p-2, -0x1.f7eb8aa5e2cdep-2, -0x1.fa26f4c964deap-2, -0x1.fc5054af7be39p-2, -0x1.fe66e6b7bb7cdp-2, -0x1.0034f6d07ed75p-1, -0x1.012c5980fd43bp-1, -0x1.021943d9f8b24p-1, -0x1.02fb62180c85cp-1, -0x1.03d264704817p-1, -0x1.049dff32be7a1p-1, -0x1.055deae783f9dp-1, -0x1.0611e4666d83cp-1, -0x1.06b9ace9e4b1bp-1, -0x1.07550a1d1e12ap-1, -0x1.07e3c625fd8fdp-1, -0x1.0865afaaf53cep-1, -0x1.08da99d5208aep-1, -0x1.09425c4ee4a91p-1, -0x1.099cd33f5414fp-1, -0x1.09e9df429407p-1, -0x1.0a29655f81f78p-1, -0x1.0a5b4efacd58p-1, -0x1.0a7f89c7c235p-1, -0x1.0a9607b6f199cp-1, -0x1.0a9ebee2ef22ap-1, -0x1.0a99a97b4e9ddp-1, -0x1.0a86c5ae0fe99p-1, -0x1.0a66158fa2d73p-1, -0x1.0a379f01aa37ep-1, -0x1.09fb6b98a56fcp-1, -0x1.09b18880a3869p-1, -0x1.095a066120791p-1, -0x1.08f4f9402ce76p-1, -0x1.0882786500729p-1, -0x1.08029e3a0da8dp-1, -0x1.0775882eb762cp-1, -0x1.06db5698bc75fp-1, -0x1.06342c9572251p-1, -0x1.05802feae2db5p-1, -0x1.04bf88e8e5355p-1, -0x1.03f2624a3cb6ep-1, -0x1.0318e915d8d99p-1, -0x1.02334c803de37p-1, -0x1.0141bdcd2a36bp-1, -0x1.004470318389ep-1, -0x1.fe77316b32e56p-2, -0x1.fc4edc2f9164ap-2, -0x1.fa10515f1251fp-2, -0x1.f7bc04a1dfcaap-2, -0x1.f5526c61610cep-2, -0x1.f2d401913fd7p-2, -0x1.f0413f798dd8cp-2, -0x1.ed9aa38206427p-2, -0x1.eae0acfe824f1p-2, -0x1.e813dcfca6f31p-2, -0x1.e534b612d0f62p-2, -0x1.e243bc304843ap-2, -0x1.df41746ec25d2p-2, -0x1.dc2e64e53691ap-2, -0x1.d90b147c05bc8p-2, -0x1.d5d80ac27fa95p-2, -0x1.d295cfc5bce06p-2, -0x1.cf44ebe8d92c8p-2, -0x1.cbe5e7be88b19p-2, -0x1.c8794be406425p-2, -0x1.c4ffa0dd618e3p-2, -0x1.c1796ef320d68p-2, -0x1.bde73e113e15ap-2, -0x1.ba4995a774296p-2, -0x1.b6a0fc8ae065ap-2, -0x1.b2edf8d8ee71dp-2, -0x1.af310fdb90a57p-2, -0x1.ab6ac5eeba531p-2, -0x1.a79b9e671960fp-2, -0x1.a3c41b7a0f9dbp-2, -0x1.9fe4be26dbfdp-2, -0x1.9bfe0620f8221p-2, -0x1.981071bb9d761p-2, -0x1.941c7dd670799p-2, -0x1.9022a5cb48a41p-2, -0x1.8c23635d122ccp-2, -0x1.881f2ea7c0119p-2, -0x1.84167e1149138p-2, -0x1.8009c63ba8a02p-2, -0x1.7bf979f7e174ap-2, -0x1.77e60a39f1b4dp-2, -0x1.73cfe60dbb8ap-2, -0x1.6fb77a8cd5f9dp-2, -0x1.6b9d32d5426f3p-2, -0x1.67817800faa65p-2, -0x1.6364b11e599dcp-2, -0x1.5f4743294df65p-2, -0x1.5b29910559b61p-2, -0x1.570bfb784f294p-2, -0x1.52eee125cbc2p-2, -0x1.4ed29e8b67baap-2, -0x1.4ab78dfd905cap-2, -0x1.469e07a50f906p-2, -0x1.4286617d31508p-2, -0x1.3e70ef5285af6p-2, -0x1.3a5e02c23783dp-2, -0x1.364deb39f4a97p-2, -0x1.3240f5f85cd51p-2, -0x1.2e376e0df76edp-2, -0x1.2a319c5ea5018p-2, -0x1.262fc7a3899cap-2, -0x1.2232346d6c33p-2, -0x1.1e39252780d8ep-2, -0x1.1a44da1a9f336p-2, -0x1.16559170d7e74p-2, -0x1.126b87396c1afp-2, -0x1.0e86f56d1d5f9p-2, -0x1.0aa813f2d20b2p-2, -0x1.06cf18a4892d8p-2, -0x1.02fc37549d3ebp-2, -0x1.fe5f43a690ab4p-3, -0x1.f6d30fe8e5649p-3, -0x1.ef542f2b7163fp-3, -0x1.e7e2f9496031fp-3, -0x1.e07fc24ac7ca6p-3, -0x1.d92ada71ff40cp-3, -0x1.d1e48e495e119p-3, -0x1.caad26b149bc5p-3, -0x1.c384e8ee960c9p-3, -0x1.bc6c16b931e9dp-3, -0x1.b562ee4b161f5p-3, -0x1.ae69aa6f6c704p-3, -0x1.a7808291f0b8fp-3, -0x1.a0a7aace8434p-3, -0x1.99df5400e691bp-3, -0x1.9327abd498671p-3, -0x1.8c80dcd4df0a1p-3, -0x1.85eb0e7cdae5bp-3, -0x1.7f666547be5afp-3, -0x1.78f302c10f2edp-3, -0x1.72910594f60cp-3, -0x1.6c4089a09a54ap-3, -0x1.6601a80277cbdp-3, -0x1.5fd4772ac3339p-3, -0x1.59b90aebbc719p-3, -0x1.53af748a02767p-3, -0x1.4db7c2ccdd781p-3, -0x1.47d2020e716bfp-3, -0x1.41fe3c4be6d4fp-3, -0x1.3c3c793580364p-3, -0x1.368cbe3e8efbdp-3, -0x1.30ef0ead5c112p-3, -0x1.2b636baae55f1p-3, -0x1.25e9d452846abp-3, -0x1.208245c17386fp-3, -0x1.1b2cbb262b71dp-3, -0x1.15e92dcf9dc1ep-3, -0x1.10b7953c46ddcp-3, -0x1.0b97e72915badp-3, -0x1.068a17a026bfdp-3, -0x1.018e190757125p-3, -0x1.f947b85d4b82p-4, -0x1.ef96a0bcc04dfp-4, -0x1.e608c6ca4f36bp-4, -0x1.dc9e034b7be81p-4, -0x1.d3562c493a838p-4, -0x1.ca31152ac0189p-4, -0x1.c12e8ecfe60b4p-4, -0x1.b84e67ab179c2p-4, -0x1.af906bdadeaecp-4, -0x1.a6f46542f72d1p-4, -0x1.9e7a1ba4f8dd3p-4, -0x1.962154b88cc1ep-4, -0x1.8de9d4432daa3p-4, -0x1.85d35c2f7cbe2p-4, -0x1.7dddaca41b3f2p-4, -0x1.7608841a15746p-4, -0x1.6e539f72d542dp-4, -0x1.66beba0da3794p-4, -0x1.5f498ddcb2038p-4, -0x1.57f3d379b33d3p-4, -0x1.50bd4239fb0bfp-4, -0x1.49a590422cbf5p-4, -0x1.42ac7299747aap-4, -0x1.3bd19d3c4d0abp-4, -0x1.3514c32ed2532p-4, -0x1.2e75968ea135dp-4, -0x1.27f3c8a446021p-4, -0x1.218f09f4388a2p-4, -0x1.1b470a4f69377p-4, -0x1.151b78e35ca6p-4, -0x1.0f0c0449dae25p-4, -0x1.09185a982e69cp-4, -0x1.0340296df8e97p-4, -0x1.fb063c073522p-5, -0x1.efc1ca705fae3p-5, -0x1.e4b2573e4bbbep-5, -0x1.d9d73b1ace18dp-5, -0x1.cf2fce4c3f5d6p-5, -0x1.c4bb68ce3ebdep-5, -0x1.ba796269a815ap-5, -0x1.b06912cbc7ba3p-5, -0x1.a689d19cc8ec7p-5, -0x1.9cdaf69567591p-5, -0x1.935bd993e299ap-5, -0x1.8a0bd2b0351fep-5, -0x1.80ea3a4f9971ep-5, -0x1.77f6693757091p-5, -0x1.6f2fb89edf44fp-5, -0x1.669582413f04bp-5, -0x1.5e27206de2179p-5, -0x1.55e3ee18b202fp-5, -0x1.4dcb46e98e02dp-5, -0x1.45dc874b23a76p-5, -0x1.3e170c79286a4p-5, -0x1.367a348df8cddp-5, -0x1.2f055e8f9e6f9p-5, -0x1.27b7ea7c44708p-5, -0x1.2091395615fabp-5, -0x1.1990ad2e92dbp-5, -0x1.12b5a931575dbp-5, -0x1.0bff91ae59e4ep-5, -0x1.056dcc23a7b87p-5, -0x1.fdff7e8d3a625p-6, -0x1.f169a619408fdp-6, -0x1.e518e166bc7a7p-6, -0x1.d90c0591282dep-6, -0x1.cd41ea62b8a61p-6, -0x1.c1b96a621e5bp-6, -0x1.b67162df611acp-6, -0x1.ab68b3ffe109dp-6, -0x1.a09e40c98c469p-6, -0x1.9610ef2d3c845p-6, -0x1.8bbfa81053225p-6, -0x1.81a957559474p-6, -0x1.77ccebe53f68cp-6, -0x1.6e2957b472775p-6, -0x1.64bd8fcbe09cdp-6, -0x1.5b888c4dd4543p-6, -0x1.5289487b8fff4p-6, -0x1.49bec2ba08f2ep-6, -0x1.4127fc9609cf8p-6, -0x1.38c3fac7b685p-6, -0x1.3091c5358502cp-6, -0x1.289066f6a0045p-6, -0x1.20beee54c8641p-6, -0x1.191c6ccdab19p-6, -0x1.11a7f713baa76p-6, -0x1.0a60a50e8e205p-6, -0x1.034591dac4fb9p-6, -0x1.f8abb792fa578p-7, -0x1.eb2148beb135bp-7, -0x1.ddea20a62f624p-7, -0x1.d1048f179ba64p-7, -0x1.c46eea3d6f28ap-7, -0x1.b8278e995e33ap-7, -0x1.ac2cdefe8b6cdp-7, -0x1.a07d448b1663cp-7, -0x1.95172ea1013ddp-7, -0x1.89f912de70505p-7, -0x1.7f216d155fcdep-7, -0x1.748ebf42c2ddfp-7, -0x1.6a3f91851325cp-7, -0x1.603272126e52fp-7, -0x1.5665f52e2147bp-7, -0x1.4cd8b51dd0c2dp-7, -0x1.4389521e259e9p-7, -0x1.3a76725713de7p-7, -0x1.319ec1cfbc447p-7, -0x1.2900f261ee9edp-7, -0x1.209bbbad53d7ap-7, -0x1.186ddb0a43032p-7, -0x1.1076137c4875ep-7, -0x1.08b32da4628c1p-7, -0x1.0123f7b2f99e4p-7, -0x1.f38e8ab32f4bp-8, -0x1.e537df78cb365p-8, -0x1.d741aac6dfb22p-8, -0x1.c9a9b4577197cp-8, -0x1.bc6dce703b3efp-8, -0x1.af8bd5c41e95dp-8, -0x1.a301b1544ce94p-8, -0x1.96cd5251257dbp-8, -0x1.8aecb3fadabd4p-8, -0x1.7f5ddb81dd696p-8, -0x1.741ed7e717f27p-8, -0x1.692dc1dc02bp-8, -0x1.5e88bba292a9p-8, -0x1.542df0ed0de6ap-8, -0x1.4a1b96bdc671ep-8, -0x1.404feb46c816ap-8, -0x1.36c935c976f36p-8, -0x1.2d85c6762a60ap-8, -0x1.2483f64bc6b76p-8, -0x1.1bc226f75a791p-8, -0x1.133ec2b3c4308p-8, -0x1.0af83c29673edp-8, -0x1.02ed0e4def925p-8, -0x1.f63778885cd73p-9, -0x1.e705a2781d8d2p-9, -0x1.d841c0a55054bp-9, -0x1.c9e908e4e8bfep-9, -0x1.bbf8c0674cbfcp-9, -0x1.ae6e3b795b719p-9, -0x1.a146dd45c73d5p-9, -0x1.94801796c9769p-9, -0x1.88176a983f428p-9, -0x1.7c0a649a2992bp-9, -0x1.7056a1d39b75ep-9, -0x1.64f9cc261ea19p-9, -0x1.59f19ae187722p-9, -0x1.4f3bd2884ca5bp-9, -0x1.44d6449455df8p-9, -0x1.3abecf3c55c81p-9, -0x1.30f35d39a3f72p-9, -0x1.2771e58ea8ab9p-9, -0x1.1e386b4dcc3e1p-9, -0x1.1544fd6101f45p-9, -0x1.0c95b651de6f9p-9, -0x1.0428bc12473bdp-9, -0x1.f7f87f8b7399cp-10, -0x1.e81cfb165a97ap-10, -0x1.d8bb788f21c87p-10, -0x1.c9d09ae1cd22cp-10, -0x1.bb5919b4049a5p-10, -0x1.ad51c0fdc93dcp-10, -0x1.9fb770a379d82p-10, -0x1.92871c1119955p-10, -0x1.85bdc9d6e1a95p-10, -0x1.79589347203c6p-10, -0x1.6d54a415613a1p-10, -0x1.61af39f6e8e6p-10, -0x1.5665a4447a942p-10, -0x1.4b75439d6ca54p-10, -0x1.40db898c162a9p-10, -0x1.3695f82b842cp-10, -0x1.2ca221ce7f933p-10, -0x1.22fda8a7e83d1p-10, -0x1.19a63e745d4eap-10, -0x1.1099a42533eecp-10, -0x1.07d5a98cbd84dp-10, -0x1.feb05a17b0611p-11, -0x1.ee3e3681a73d3p-11, -0x1.de50dd6f2d7d3p-11, -0x1.cee45f362b8efp-11, -0x1.bff4e6d01b032p-11, -0x1.b17eb9420b0ep-11, -0x1.a37e35072c6c7p-11, -0x1.95efd17de3198p-11, -0x1.88d01e5757c16p-11, -0x1.7c1bc30984e26p-11, -0x1.6fcf7e43bc3c7p-11, -0x1.63e825659d20bp-11, -0x1.5862a3f878ecbp-11, -0x1.4d3bfb2b1f641p-11, -0x1.427141500ea0ap-11, -0x1.37ffa15dfd979p-11, -0x1.2de45a72c0c01p-11, -0x1.241cbf587f2cep-11, -0x1.1aa6360d32046p-11, -0x1.117e374c6abc7p-11, -0x1.08a24e1b5958ep-11, -0x1.0010175708c4ap-11, -0x1.ef8a8289a12f9p-12, -0x1.df7f1649e19dep-12, -0x1.cff9898ea90dcp-12, -0x1.c0f59c44e41ap-12, -0x1.b26f2dd8886f2p-12, -0x1.a4623c6aa960fp-12, -0x1.96cae40ba155bp-12, -0x1.89a55df942116p-12, -0x1.7cedffe101f7ep-12, -0x1.70a13b260fc26p-12, -0x1.64bb9c2b490c6p-12, -0x1.5939c9a0ffe91p-12, -0x1.4e1883d67f48ep-12, -0x1.4354a40f49afcp-12, -0x1.38eb1bdbf7a8fp-12, -0x1.2ed8f476b511ep-12, -0x1.251b4e2342373p-12, -0x1.1baf5f9279366p-12, -0x1.129275493904ep-12, -0x1.09c1f10aba9cep-12, -0x1.013b494630ca3p-12, -0x1.f1f8110f6a93fp-13, -0x1.e20399d8c93cdp-13, -0x1.d2948f335b13bp-13, -0x1.c3a6786f6a3d1p-13, -0x1.b53500dd9b2b9p-13, -0x1.a73bf6cfdda2ep-13, -0x1.99b74aa041888p-13, -0x1.8ca30dbda119dp-13, -0x1.7ffb71bdf8e4ap-13, -0x1.73bcc7765a98dp-13, -0x1.67e37e18642e4p-13, -0x1.5c6c225519247p-13, -0x1.51535d850af22p-13, -0x1.4695f4d5b3d19p-13, -0x1.3c30c87bf0ffep-13, -0x1.3220d2eb7867cp-13, -0x1.28632813419bfp-13, -0x1.1ef4f49eb5ffcp-13, -0x1.15d37d3ba64f2p-13, -0x1.0cfc1de4da4bdp-13, -0x1.046c49312df2p-13, -0x1.f8430f4e4efbep-14, -0x1.e832ee29c4753p-14, -0x1.d8a393d891648p-14, -0x1.c9908d46ef0b9p-14, -0x1.baf58e3285388p-14, -0x1.acce6ffb7a49bp-14, -0x1.9f17307d5497bp-14, -0x1.91cbf0efa66d2p-14, -0x1.84e8f4ce39ca1p-14, -0x1.786aa0c89faa3p-14, -0x1.6c4d79b8fc13p-14, -0x1.608e23a1e4384p-14, -0x1.552960b3265c8p-14, -0x1.4a1c1055587aap-14, -0x1.3f632e3c03c04p-14, -0x1.34fbd17e4bdffp-14, -0x1.2ae32bb5e6d2bp-14, -0x1.2116882448edcp-14, -0x1.17934addda9abp-14, -0x1.0e56effb17cf9p-14, -0x1.055f0acf770d5p-14, -0x1.f9528a4be8cccp-15, -0x1.e866bd064156dp-15, -0x1.d7f656d922df3p-15, -0x1.c7fd296b2b92cp-15, -0x1.b8772da217ee8p-15, -0x1.a960825074b9bp-15, -0x1.9ab56aed1e0bap-15, -0x1.8c724e5447fdep-15, -0x1.7e93b591dd843p-15, -0x1.71164ab4f54a3p-15, -0x1.63f6d7ac28b38p-15, -0x1.5732452a92a1cp-15, -0x1.4ac599953e83ep-15, -0x1.3eadf7f8d59a4p-15, -0x1.32e89f07523b5p-15, -0x1.2772e81d8536dp-15, -0x1.1c4a46503ff2bp-15, -0x1.116c4580ec216p-15, -0x1.06d689796011cp-15, -0x1.f90d9a1d8e7dcp-16, -0x1.e4f5c296cf46ep-16, -0x1.d161593e357bbp-16, -0x1.be4c542c9be9ep-16, -0x1.abb2d12eb59bap-16, -0x1.9991144c22f56p-16, -0x1.87e3865a8dd9bp-16, -0x1.76a6b39c7d8ddp-16, -0x1.65d74a6b91ad4p-16, -0x1.557219eddc1aep-16, -0x1.457410d5fe6eap-16, -0x1.35da3c2dcd9e6p-16, -0x1.26a1c62b29bd3p-16, -0x1.17c7f50ec6159p-16, -0x1.094a2a0c953c5p-16, -0x1.f64bc07b405f4p-17, -0x1.dab15735e4143p-17, -0x1.bfc07002d7392p-17, -0x1.a574907c5f57cp-17, -0x1.8bc96a46dc58ep-17, -0x1.72bad94aa107ep-17, -0x1.5a44e1fd9775ap-17, -0x1.4263afbc3ba0cp-17, -0x1.2b1393317716p-17, -0x1.145100ccef22p-17, -0x1.fc311e8eb54e6p-18, -0x1.d0cdec68e872cp-18, -0x1.a67219443cdbp-18, -0x1.7d178f88b1067p-18, -0x1.54b8735b3d0c9p-18, -0x1.2d4f2026a8fd2p-18, -0x1.06d6263bc12eep-18, -0x1.c2909110563eap-19, -0x1.7940f4c65da0bp-19, -0x1.31b3badf85073p-19, -0x1.d7befe4cb9edfp-20, -0x1.4f7663fe9fb25p-20, -0x1.94f85291dc98ep-21, -0x1.22fdac372379fp-22, 0x1.ae8132be25b34p-23, 0x1.62849b85436cep-21, 0x1.29a647aeab18ap-20, 0x1.9f0ad0620c233p-20, 0x1.08bf14eb88b5dp-19, 0x1.408710b44a82ap-19, 0x1.76e40aa17e059p-19, 0x1.abdc7ccde9658p-19, 0x1.df76aed8f5516p-19, 0x1.08dc5c25f3fdbp-18, 0x1.21544172a0457p-18, 0x1.3925e66584285p-18, 0x1.505415527fdefp-18, 0x1.66e184cfbd0e3p-18, 0x1.7cd0d8abd9c0ep-18, 0x1.9224a2d9396bcp-18, 0x1.a6df644edb175p-18, 0x1.bb038ddf153fdp-18, 0x1.ce93810494834p-18, 0x1.e19190a5f62f1p-18, 0x1.f40001d053b2ap-18, 0x1.02f086348d759p-17, 0x1.0b9b6debbe193p-17, 0x1.1401c7d2e2308p-17, 0x1.1c249e0d77233p-17, 0x1.2404f5665afacp-17, 0x1.2ba3cd953bb1bp-17, 0x1.33022180900fep-17, 0x1.3a20e77c3a5a7p-17, 0x1.41011184f8274p-17, 0x1.47a38d78bebe4p-17, 0x1.4e09454c22714p-17, 0x1.54331f3ce8305p-17, 0x1.5a21fe01dd05cp-17, 0x1.5fd6c0f80fde8p-17, 0x1.6552444d90a35p-17, }}, 
      {{0x1.e682f988ede38p-1, 0x1.e662c1ac91508p-1, 0x1.e61e0c84e6651p-1, 0x1.e5a9bd40667d5p-1, 0x1.e4ff3c3574b71p-1, 0x1.e41cab321bc66p-1, 0x1.e303fd7673f6bp-1, 0x1.e1b9bd9f76a3ep-1, 0x1.e043e332ad30ep-1, 0x1.dea8e02952b2dp-1, 0x1.dceef0b8e9e92p-1, 0x1.db1ba8eb24b63p-1, 0x1.d933b57e58ac2p-1, 0x1.d73ac400b8efdp-1, 0x1.d53386d4eba4ap-1, 0x1.d31fcb82d074bp-1, 0x1.d1009bb00f776p-1, 0x1.ced662fe66889p-1, 0x1.cca115b115bdbp-1, 0x1.ca6055525c3a8p-1, 0x1.c813919f0c964p-1, 0x1.c5ba24c91c5f2p-1, 0x1.c3536ab52d363p-1, 0x1.c0ded33d62f71p-1, 0x1.be5befc7060fdp-1, 0x1.bbca7ca1307ap-1, 0x1.b92a66b7d5868p-1, 0x1.b67bce2da625ap-1, 0x1.b3bf066ce10d8p-1, 0x1.b0f494366af2ap-1, 0x1.ae1d2a2a20914p-1, 0x1.ab39a434ec818p-1, 0x1.a84b02422d14ap-1, 0x1.a552627f28046p-1, 0x1.a250fb715d209p-1, 0x1.9f481613bb486p-1, 0x1.9c390823566ddp-1, 0x1.99252eba3b4b7p-1, 0x1.960de94e666f8p-1, 0x1.92f49523adbabp-1, 0x1.8fda8939630f4p-1, 0x1.8cc112b79b632p-1, 0x1.89a971dc1f7c6p-1, 0x1.8694d764071ap-1, 0x1.8384626cb266p-1, 0x1.80791ec538236p-1, 0x1.7d7403a8326e9p-1, 0x1.7a75f2d529eb3p-1, 0x1.777fb8008073p-1, 0x1.74920890ad9e1p-1, 0x1.71ad839fbba19p-1, 0x1.6ed2b2384e0dap-1, 0x1.6c0207c5d84d2p-1, 0x1.693be2b03a7e7p-1, 0x1.66808d1b7dd97p-1, 0x1.63d03dc50a269p-1, 0x1.612b18f83f5fcp-1, 0x1.5e913194fee04p-1, 0x1.5c028a233a4ccp-1, 0x1.597f15ef36f95p-1, 0x1.5706ba2ab1083p-1, 0x1.54994f0f91667p-1, 0x1.5236a10154dddp-1, 0x1.4fde71aab73d8p-1, 0x1.4d90791590304p-1, 0x1.4b4c66bb2e913p-1, 0x1.4911e28bc767fp-1, 0x1.46e08debddf9bp-1, 0x1.44b804a6c3174p-1, 0x1.4297ddd58489p-1, 0x1.407facb9d6b9dp-1, 0x1.3e6f018cabaap-1, 0x1.3c656a4052a95p-1, 0x1.3a62733617d3ep-1, 0x1.3865a7e779173p-1, 0x1.366e93831b308p-1, 0x1.347cc17dbb1cdp-1, 0x1.328fbe176c3f5p-1, 0x1.30a716d57a8a8p-1, 0x1.2ec25af156ed7p-1, 0x1.2ce11bbcf8e4dp-1, 0x1.2b02ecfd26dfap-1, 0x1.2927653a1aad6p-1, 0x1.274e1e06fc39cp-1, 0x1.2576b440a7ca4p-1, 0x1.23a0c8443dbffp-1, 0x1.21cbfe1df068cp-1, 0x1.1ff7fdb08b769p-1, 0x1.1e2472d623b88p-1, 0x1.1c510d7a68e97p-1, 0x1.1a7d81af01d02p-1, 0x1.18a987ba622dcp-1, 0x1.16d4dc217fdc3p-1, 0x1.14ff3faccead2p-1, 0x1.13287768dd6ccp-1, 0x1.11504ca2f420bp-1, 0x1.0f768ce209eep-1, 0x1.0d9b09dc63ccep-1, 0x1.0bbd996a2d9ep-1, 0x1.09de1575582e2p-1, 0x1.07fc5be701a55p-1, 0x1.06184e92acfd7p-1, 0x1.0431d31f86131p-1, 0x1.0248d2efef397p-1, 0x1.005d3b078e338p-1, 0x1.fcddf7e01e326p-2, 0x1.f8fc1339947dfp-2, 0x1.f514b69afda32p-2, 0x1.f127d6e092954p-2, 0x1.ed356f05fe2afp-2, 0x1.e93d7fe825982p-2, 0x1.e54010064561p-2, 0x1.e13d2b42a611ep-2, 0x1.dd34e2a318ab2p-2, 0x1.d9274c117bd8fp-2, 0x1.d514821c6d96fp-2, 0x1.d0fca3b862dc5p-2, 0x1.ccdfd4013f43fp-2, 0x1.c8be39fc9e62ap-2, 0x1.c498005ce7ddbp-2, 0x1.c06d55454deb5p-2, 0x1.bc3e6a0ed0a1dp-2, 0x1.b80b730e61c8dp-2, 0x1.b3d4a75c365fep-2, 0x1.af9a409c603d3p-2, 0x1.ab5c7ac8ba526p-2, 0x1.a71b93fc368b8p-2, 0x1.a2d7cc3f9dff5p-2, 0x1.9e916557c4c1bp-2, 0x1.9a48a29540bd6p-2, 0x1.95fdc8a5a475fp-2, 0x1.91b11d66475f8p-2, 0x1.8d62e7b89d1cfp-2, 0x1.89136f581a542p-2, 0x1.84c2fcb1af01bp-2, 0x1.8071d8bcd024ap-2, 0x1.7c204cd610c18p-2, 0x1.77cea29b4d51cp-2, 0x1.737d23c95bfc8p-2, 0x1.6f2c1a1b47c0ap-2, 0x1.6adbcf2b0f17ap-2, 0x1.668c8c53dcd2ep-2, 0x1.623e9a95bc86cp-2, 0x1.5df2427abdc15p-2, 0x1.59a7cbfd82183p-2, 0x1.555f7e7133694p-2, 0x1.5119a06ad208dp-2, 0x1.4cd677abd91b2p-2, 0x1.4896490e319e4p-2, 0x1.4459587167d4fp-2, 0x1.401fe8a91eacp-2, 0x1.3bea3b6cb7dd5p-2, 0x1.37b8914823a02p-2, 0x1.338b298dd7042p-2, 0x1.2f624249db557p-2, 0x1.2b3e1835eb1acp-2, 0x1.271ee6ae9d1d4p-2, 0x1.2304e7a9885edp-2, 0x1.1ef053ac6411ep-2, 0x1.1ae161c512dd6p-2, 0x1.16d847829262dp-2, 0x1.12d538eeca2f9p-2, 0x1.0ed868892c785p-2, 0x1.0ae2074222e5cp-2, 0x1.06f244773f181p-2, 0x1.03094df026859p-2, 0x1.fe4e9fb861d21p-3, 0x1.f698e9a1646c2p-3, 0x1.eef1cb8fd2145p-3, 0x1.e75994410b74bp-3, 0x1.dfd08f3b931a5p-3, 0x1.d85704d06562bp-3, 0x1.d0ed3a1d5303ep-3, 0x1.c993711068be1p-3, 0x1.c249e86c391bdp-3, 0x1.bb10dbcd16556p-3, 0x1.b3e883af16825p-3, 0x1.acd11574ea05ep-3, 0x1.a5cac36f6f18ep-3, 0x1.9ed5bce5f29c2p-3, 0x1.97f22e1f1d51ap-3, 0x1.9120406a75be1p-3, 0x1.8a601a2a7a35ap-3, 0x1.83b1dedf3d17dp-3, 0x1.7d15af317a6e5p-3, 0x1.768ba8fe26ee2p-3, 0x1.7013e762625e8p-3, 0x1.69ae82c7cd654p-3, 0x1.635b90f133c3cp-3, 0x1.5d1b25078a24ep-3, 0x1.56ed4fa72b3f3p-3, 0x1.50d21eed5d184p-3, 0x1.4ac99e8606a8dp-3, 0x1.44d3d7b99a47ap-3, 0x1.3ef0d17b2a4d2p-3, 0x1.3920907698fb7p-3, 0x1.3363171ef4619p-3, 0x1.2db865bcd785dp-3, 0x1.28207a7cea58ep-3, 0x1.229b517e67d23p-3, 0x1.1d28e4e1a9522p-3, 0x1.17c92cd6b90efp-3, 0x1.127c1fabd9115p-3, 0x1.0d41b1dc0cd5p-3, 0x1.0819d61d8dccfp-3, 0x1.03047d70363aap-3, 0x1.fc032e57aa4ccp-4, 0x1.f222221ce181p-4, 0x1.e865ae94c5deap-4, 0x1.decda928d1576p-4, 0x1.d559e46301f94p-4, 0x1.cc0a300966a3bp-4, 0x1.c2de593952042p-4, 0x1.b9d62a8250005p-4, 0x1.b0f16c00ae0ep-4, 0x1.a82fe377b9a79p-4, 0x1.9f91546ba508bp-4, 0x1.9715803afd42ap-4, 0x1.8ebc2637c85b4p-4, 0x1.868503c038fccp-4, 0x1.7e6fd456f7e3ep-4, 0x1.767c51bb03edbp-4, 0x1.6eaa33ff226f1p-4, 0x1.66f931a0e08afp-4, 0x1.5f68ff9f23975p-4, 0x1.57f95190450c1p-4, 0x1.50a9d9b7bcap-4, 0x1.497a491b52982p-4, 0x1.426a4f97ddce2p-4, 0x1.3b799bf58a707p-4, 0x1.34a7dbfba97cp-4, 0x1.2df4bc8407b46p-4, 0x1.275fe98dcf449p-4, 0x1.20e90e4fede11p-4, 0x1.1a8fd54b06fa9p-4, 0x1.1453e85aeb803p-4, 0x1.0e34f0c79ca49p-4, 0x1.08329755d67b2p-4, 0x1.024c8457253e9p-4, 0x1.f904bf730c9dap-5, 0x1.eda7a22d2429bp-5, 0x1.e280ff846baeep-5, 0x1.d79025b1efbcap-5, 0x1.ccd4629b98191p-5, 0x1.c24d03eeef6ep-5, 0x1.b7f9573b0c3dfp-5, 0x1.add8aa099ea6bp-5, 0x1.a3ea49f727297p-5, 0x1.9a2d84ca5402bp-5, 0x1.90a1a88a8dddbp-5, 0x1.87460395b5ff1p-5, 0x1.7e19e4b513cb3p-5, 0x1.751c9b317c35cp-5, 0x1.6c4d76e6b158cp-5, 0x1.63abc856002dap-5, 0x1.5b36e0b81c0e6p-5, 0x1.52ee120e42e7cp-5, 0x1.4ad0af32a4206p-5, 0x1.42de0be8151d3p-5, 0x1.3b157ce915264p-5, 0x1.337657f620aafp-5, 0x1.2bfff3e35bfdep-5, 0x1.24b1a8a5990d1p-5, 0x1.1d8acf5eb5f9dp-5, 0x1.168ac26961953p-5, 0x1.0fb0dd6440d3dp-5, 0x1.08fc7d3c7be8bp-5, 0x1.026d0037ba69ep-5, 0x1.f8038bfb18138p-6, 0x1.eb745f408871bp-6, 0x1.df2b3f4a9ca41p-6, 0x1.d326f419f33a2p-6, 0x1.c76648b387acep-6, 0x1.bbe80b2e4d9f9p-6, 0x1.b0ab0cbfcecc7p-6, 0x1.a5ae21c7dbcd8p-6, 0x1.9af021db58318p-6, 0x1.906fe7ce1f0ecp-6, 0x1.862c51bc0c07fp-6, 0x1.7c24411136237p-6, 0x1.72569a9154027p-6, 0x1.68c2465e5ffcdp-6, 0x1.5f662ffe72fbdp-6, 0x1.56414660ebe41p-6, 0x1.4d527be2dded8p-6, 0x1.4498c652cfc4p-6, 0x1.3c131ef3d32cep-6, 0x1.33c0827ffa2p-6, 0x1.2b9ff12a2cd7dp-6, 0x1.23b06e9f69feep-6, 0x1.1bf1020773cb2p-6, 0x1.1460b604f1c51p-6, 0x1.0cfe98b508a25p-6, 0x1.05c9bbae74debp-6, 0x1.fd826800491dap-7, 0x1.efc8345eb5f5ap-7, 0x1.e263146abed1ap-7, 0x1.d55146f988ecfp-7, 0x1.c89111bc78156p-7, 0x1.bc20c13a1e319p-7, 0x1.affea8c665be6p-7, 0x1.a4292279fb7dp-7, 0x1.989e8f291a813p-7, 0x1.8d5d5659a41ap-7, 0x1.8263e638974a7p-7, 0x1.77b0b38f03f63p-7, 0x1.6d4239b659658p-7, 0x1.6316fa8c38ef1p-7, 0x1.592d7e65cb60ap-7, 0x1.4f845402921c8p-7, 0x1.461a107ed71b1p-7, 0x1.3ced4f459cb6p-7, 0x1.33fcb2023d5f9p-7, 0x1.2b46e091a01b4p-7, 0x1.22ca88f31a362p-7, 0x1.1a865f38fcb18p-7, 0x1.12791d78d782cp-7, 0x1.0aa183bb747bep-7, 0x1.02fe57ec91e3bp-7, 0x1.f71ccb94c1593p-8, 0x1.e8a0fda998b27p-8, 0x1.da86f479206c2p-8, 0x1.cccc69a44154fp-8, 0x1.bf6f21e8d60a1p-8, 0x1.b26cecfee1a8bp-8, 0x1.a5c3a5758a43dp-8, 0x1.9971308fd915fp-8, 0x1.8d737e214c40cp-8, 0x1.81c8886a40dd7p-8, 0x1.766e53f43e163p-8, 0x1.6b62ef6e23d22p-8, 0x1.60a473884b4ep-8, 0x1.563102d098825p-8, 0x1.4c06c98e88b83p-8, 0x1.4223fd9f3f26dp-8, 0x1.3886de519a014p-8, 0x1.2f2db44253e85p-8, 0x1.2616d1383325ep-8, 0x1.1d409000550fp-8, 0x1.14a9544a8e81ap-8, 0x1.0c4f8a85f0fa4p-8, 0x1.0431a7bd71b88p-8, 0x1.f89c52e973673p-9, 0x1.e9472b0a45c19p-9, 0x1.da60f3f5c985dp-9, 0x1.cbe6d9e4ecea9p-9, 0x1.bdd618ec4bd21p-9, 0x1.b02bfcb7d98f4p-9, 0x1.a2e5e04700e1cp-9, 0x1.96012da9471dcp-9, 0x1.897b5dbb793f6p-9, 0x1.7d51f7e55f8a1p-9, 0x1.718291d806e67p-9, 0x1.660acf4c9aed6p-9, 0x1.5ae861c3e0f5p-9, 0x1.50190846460a9p-9, 0x1.459a8f2499c0ap-9, 0x1.3b6acfb964ec7p-9, 0x1.3187b02aedc78p-9, 0x1.27ef232de3d2ep-9, 0x1.1e9f27c8bb5e9p-9, 0x1.1595c917b674cp-9, 0x1.0cd11e11a429bp-9, 0x1.044f494d50205p-9, 0x1.f81cf18f5327bp-10, 0x1.e819cb55484fep-10, 0x1.d891a82999ba6p-10, 0x1.c98125c3427b7p-10, 0x1.bae4f6e52fbbfp-10, 0x1.acb9e2f1dbcb3p-10, 0x1.9efcc5805dddcp-10, 0x1.91aa8df2eb174p-10, 0x1.84c03f0ee625dp-10, 0x1.783aee965ba85p-10, 0x1.6c17c4e300c37p-10, 0x1.6053fc82b0858p-10, 0x1.54ece1d565d77p-10, 0x1.49dfd2aca8fa8p-10, 0x1.3f2a3dec8715fp-10, 0x1.34c9a32df6904p-10, 0x1.2abb9262ba359p-10, 0x1.20fdab7abeac6p-10, 0x1.178d9e0ae6f52p-10, 0x1.0e6928f555774p-10, 0x1.058e1a131fefbp-10, 0x1.f9f49bbef7bd2p-11, 0x1.e9575e48a0a4ap-11, 0x1.d9406d5074752p-11, 0x1.c9abd5bbedfccp-11, 0x1.ba95bf2a6dd16p-11, 0x1.abfa6b59a407cp-11, 0x1.9dd6358cbec84p-11, 0x1.902591f6527efp-11, 0x1.82e50d24f8ba5p-11, 0x1.76114b729e832p-11, 0x1.69a708767a4cp-11, 0x1.5da31679a4becp-11, 0x1.52025dee4c119p-11, 0x1.46c1dce97b971p-11, 0x1.3bdea69f6f6cbp-11, 0x1.3155e2e26ea78p-11, 0x1.2724cda42336dp-11, 0x1.1d48b679679a1p-11, 0x1.13bf002084caap-11, 0x1.0a852009d71c2p-11, 0x1.01989de2d1869p-11, 0x1.f1ee2646b6959p-12, 0x1.e13c553af5538p-12, 0x1.d117401e9467p-12, 0x1.c17a7f6e58243p-12, 0x1.b261cbd46d2b7p-12, 0x1.a3c8fd59a273fp-12, 0x1.95ac0a9af1d19p-12, 0x1.8807080349e5fp-12, 0x1.7ad6270986204p-12, 0x1.6e15b5728c3c8p-12, 0x1.61c21c9771154p-12, 0x1.55d7e0afa709dp-12, 0x1.4a53a01f1516bp-12, 0x1.3f3212c8113a4p-12, 0x1.347009612c21p-12, 0x1.2a0a6cceb9d61p-12, 0x1.1ffe3d800d1b7p-12, 0x1.164892d055a73p-12, 0x1.0ce69a6b09da5p-12, 0x1.03d597b3d93dfp-12, 0x1.f625c66417b3p-13, 0x1.e537d3fe91f84p-13, 0x1.d4dc5a735a4bbp-13, 0x1.c50e82f25354cp-13, 0x1.b5c99c902d42dp-13, 0x1.a7091b3dd9921p-13, 0x1.98c896c633af7p-13, 0x1.8b03c9d1b5f28p-13, 0x1.7db690f028eaap-13, 0x1.70dce9a82f44dp-13, 0x1.6472f18c8a44ap-13, 0x1.5874e55703e3cp-13, 0x1.4cdf2008db79bp-13, 0x1.41ae1a10a2e6p-13, 0x1.36de6875649c8p-13, 0x1.2c6cbc0704299p-13, 0x1.2255e093b7db7p-13, 0x1.1896bc227cefdp-13, 0x1.0f2c4e327ff87p-13, 0x1.0613aeff419e4p-13, 0x1.fa941d9303564p-14, 0x1.e9996a496468cp-14, 0x1.d932009200d14p-14, 0x1.c958c8d37651ap-14, 0x1.ba08d6202b3ddp-14, 0x1.ab3d64f43c627p-14, 0x1.9cf1d9fbbe617p-14, 0x1.8f21c0e11ca92p-14, 0x1.81c8cb2362acfp-14, 0x1.74e2cef44b881p-14, 0x1.686bc61de9bcep-14, 0x1.5c5fccefbcea1p-14, 0x1.50bb21330b7cdp-14, 0x1.457a21265693bp-14, 0x1.3a994a7fbfe8p-14, 0x1.3015397639eb9p-14, 0x1.25eaa7d15bbe2p-14, 0x1.1c166bffaed1ap-14, 0x1.1295783355a2bp-14, 0x1.0964d984e1ba6p-14, 0x1.0081b71c371bp-14, 0x1.efd2a2beaf9b8p-15, 0x1.df32024de7cc4p-15, 0x1.cf1c6df13bd52p-15, 0x1.bf8cf48cfb9a8p-15, 0x1.b07ed168c807ap-15, 0x1.a1ed6ac4344ep-15, 0x1.93d45075a5aeep-15, 0x1.862f3a932e6d7p-15, 0x1.78fa08252763bp-15, 0x1.6c30bde24ef07p-15, 0x1.5fcf84f52b4f8p-15, 0x1.53d2a9ca7c1e9p-15, 0x1.48369ae87d161p-15, 0x1.3cf7e7cec5b89p-15, 0x1.32133fde8d67dp-15, 0x1.2785714b1b4eep-15, 0x1.1d4b681232ee3p-15, 0x1.13622cfc445ddp-15, 0x1.09c6e4a431ca3p-15, 0x1.0076ce8676a74p-15, 0x1.eede882efae03p-16, 0x1.dd5b6fc1f679bp-16, 0x1.cc5f694c37b85p-16, 0x1.bbe5b91caabbdp-16, 0x1.abe9d0ad67b89p-16, 0x1.9c674d12e6b76p-16, 0x1.8d59f5777e175p-16, 0x1.7ebdb9a2cbfa4p-16, 0x1.708eb08cc8517p-16, 0x1.62c916fc27a1dp-16, 0x1.55694e2fbe82ap-16, 0x1.486bda92a38d1p-16, 0x1.3bcd627ab71a7p-16, 0x1.2f8aacf15501bp-16, 0x1.23a0a085e6d64p-16, 0x1.180c422a05392p-16, 0x1.0ccab416f7f72p-16, 0x1.01d934bc443e2p-16, 0x1.ee6a3b6e1020ap-17, 0x1.d9b7c5a3e55bfp-17, 0x1.c596221b1281dp-17, 0x1.b2009b610d94ap-17, 0x1.9ef2aac037081p-17, 0x1.8c67f67f9e5c4p-17, 0x1.7a5c5031a35c3p-17, 0x1.68cbb310ff458p-17, 0x1.57b2426bd2678p-17, 0x1.470c481c4e51fp-17, 0x1.36d6330e8b96fp-17, 0x1.270c95d33b933p-17, 0x1.17ac253ec43cbp-17, 0x1.08b1b714723e4p-17, 0x1.f434817ac35acp-18, 0x1.d7c5ac158b77ep-18, 0x1.bc1150066ef87p-18, 0x1.a11207756ed1cp-18, 0x1.86c2a26a1cc8ep-18, 0x1.6d1e24a47f006p-18, 0x1.541fc38971f1dp-18, 0x1.3bc2e421f8224p-18, 0x1.2403192cdb587p-18, 0x1.0cdc2142141e5p-18, 0x1.ec93ca0ecedf9p-19, 0x1.c090eaeb62c8ep-19, 0x1.95a8145cb6408p-19, 0x1.6bd1ffc0e6d76p-19, 0x1.4307ad79e4ac9p-19, 0x1.1b4261f34eac3p-19, 0x1.e8f745897818bp-20, 0x1.9d5a67df09e67p-20, 0x1.53a22a6e5afc3p-20, 0x1.0bc2ff2719272p-20, 0x1.8b638aef9a932p-21, 0x1.02c78b287ddeep-21, 0x1.f6755f53f9d86p-23, -0x1.0bbd9d79bdaa9p-27, -0x1.05611f9db81f8p-22, -0x1.fbf3ea10c1e8cp-22, -0x1.761cff6f7f62bp-21, -0x1.eb2ae83bbc639p-21, -0x1.2e9a27d9796c9p-20, -0x1.6624a201d4bacp-20, -0x1.9c3ca3ec378ebp-20, -0x1.d0e9ac534e124p-20, -0x1.02197d2ebb96dp-19, -0x1.1b0fc8418c4ap-19, -0x1.335b1bab0f88fp-19, -0x1.4afec015e07adp-19, -0x1.61fde3d4c01c7p-19, -0x1.785b9c1b45be3p-19, -0x1.8e1ae6292b4bfp-19, -0x1.a33ea868c57c6p-19, -0x1.b7c9b3810704dp-19, -0x1.cbbec35b98984p-19, -0x1.df20801f6159dp-19, -0x1.f1f17f1ffcda2p-19, -0x1.021a21e13db75p-18, -0x1.0af5a02bea9d3p-18, -0x1.138c6b76bd46bp-18, -0x1.1bdfad0a2970bp-18, -0x1.23f086cf483f4p-18, -0x1.2bc013aa595ap-18, -0x1.334f67d102855p-18, -0x1.3a9f911c7bd75p-18, -0x1.41b19757cedd4p-18, -0x1.48867c8a4f514p-18, -0x1.4f1f3d3e76e1bp-18, -0x1.557cd0c544089p-18, -0x1.5ba0297640d74p-18, -0x1.618a34ec58ea7p-18, -0x1.673bdc3f9628p-18, -0x1.6cb6043bee5bep-18, -0x1.71f98d9539572p-18, -0x1.7707551871dcdp-18, -0x1.7be033da5be1bp-18, -0x1.8084ff63acf1bp-18, -0x1.84f689dad1d26p-18, -0x1.8935a22b6d0e5p-18, -0x1.8d43142ba1b9bp-18, -0x1.911fa8bf4b4aap-18, -0x1.94cc25f93387cp-18, -0x1.98494f3a5de53p-18, -0x1.9b97e54f81f72p-18, -0x1.9eb8a68cc5b1cp-18, -0x1.a1ac4ee7cd5e1p-18, -0x1.a473981035baep-18, -0x1.a70f39868a286p-18, -0x1.a97fe8b1c74c3p-18, -0x1.abc658f3805ffp-18, -0x1.ade33bbab2faep-18, -0x1.afd740955bc99p-18, -0x1.b1a31540dc0dep-18, -0x1.b34765b93f76ep-18, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
    }}, 
    {
      50, 0x1.650b0f27bb2ffp+2, 0x1.d41b41230468p+0, 0x1.1b6d91493a2ep+2, -0x1.27a70a679356ep-4, 
      {{
        {0x1.8666666666666p+1, 0x1.8cdfad4f2e109p+1, 0x1.f5a0ab644fe95p-3, -0x1.28e36355a14d5p-1, 0x1.0f6fa68f2eaa8p-1, 0x1.33741a63a0973p-4}, 
        {0x1.8cdfad4f2e109p+1, 0x1.9358f437f5babp+1, 0x1.bc5ced8e2fd07p-3, -0x1.0d23102739b77p-1, 0x1.15446e4d45fa7p-1, -0x1.805120fc80cd6p-2}, 
        {0x1.9358f437f5babp+1, 0x1.99d23b20bd64dp+1, 0x1.88a725f43069p-3, -0x1.e52177d73a76ap-2, 0x1.f0390f2da40a5p-2, -0x1.dd963cd61de56p-3}, 
        {0x1.99d23b20bd64dp+1, 0x1.a04b8209850efp+1, 0x1.5a0ec787d83fep-3, -0x1.b4c4e8b2150e4p-2, 0x1.cbfdbe02467f5p-2, -0x1.00c0e0fec118cp-2}, 
        {0x1.a04b8209850efp+1, 0x1.a6c4c8f24cb91p+1, 0x1.302a16ffcbd2ap-3, -0x1.8835d9bd43da4p-2, 0x1.a508d0ab25737p-2, -0x1.cf8bf58620bfcp-3}, 
        {0x1.a6c4c8f24cb91p+1, 0x1.ad3e0fdb14634p+1, 0x1.0a95e218d3247p-3, -0x1.5f66807edea05p-2, 0x1.81de2cc1416c6p-2, -0x1.b65b32bd38439p-3}, 
        {0x1.ad3e0fdb14634p+1, 0x1.b3b756c3dc0d6p+1, 0x1.d1ea73da4aed4p-4, -0x1.3a0d0be907ee4p-2, 0x1.609cc39c67eacp-2, -0x1.982fb7d54e6e6p-3}, 
        {0x1.b3b756c3dc0d6p+1, 0x1.ba309daca3b78p+1, 0x1.95e25a89ab935p-4, -0x1.17f31b50ada4p-2, 0x1.41a549d51b531p-2, -0x1.7d0699f455c1dp-3}, 
        {0x1.ba309daca3b78p+1, 0x1.c0a9e4956b61ap+1, 0x1.60710bdd8e231p-4, -0x1.f1c0bd472932dp-3, 0x1.24bd4e06d010cp-2, -0x1.62a870163fd08p-3}, 
        {0x1.c0a9e4956b61ap+1, 0x1.c7232b7e330bcp+1, 0x1.30ff0c635b5c3p-4, -0x1.b94083b30b9ap-3, 0x1.09d56a98ac4ebp-2, -0x1.49a861855840ap-3}, 
        {0x1.c7232b7e330bcp+1, 0x1.cd9c7266fab5fp+1, 0x1.06ff519aac881p-4, -0x1.8600a050b068p-3, 0x1.e1a620173dcd7p-3, -0x1.31d3a499c9782p-3}, 
        {0x1.cd9c7266fab5fp+1, 0x1.d415b94fc2601p+1, 0x1.c3dd87db00414p-5, -0x1.57a1255752f58p-3, 0x1.b33f12791152ap-3, -0x1.1b2e59141e203p-3}, 
        {0x1.d415b94fc2601p+1, 0x1.da8f00388a0a3p+1, 0x1.82a7883014e4ap-5, -0x1.2dc6c51e0881cp-3, 0x1.8847a1e09ab02p-3, -0x1.05ae9d3538198p-3}, 
        {0x1.da8f00388a0a3p+1, 0x1.e108472151b45p+1, 0x1.497b66fb2224ep-5, -0x1.081ac6cc17825p-3, 0x1.609343ad21e99p-3, -0x1.e2982727b9455p-4}, 
        {0x1.e108472151b45p+1, 0x1.e7818e0a195e7p+1, 0x1.1788fec6e3e26p-5, -0x1.cc95c500fa18ep-4, 0x1.3bf6b2278a96ep-3, -0x1.bc00757652f2ep-4}, 
        {0x1.e7818e0a195e7p+1, 0x1.edfad4f2e108ap+1, 0x1.d820bde5a93cap-6, -0x1.90124836af11ap-4, 0x1.1a47a44b197d9p-3, -0x1.9785d0fffc58dp-4}, 
        {0x1.edfad4f2e108ap+1, 0x1.f4741bdba8b2cp+1, 0x1.8cc1dccdae9bap-6, -0x1.5a179cd7f7cecp-4, 0x1.f6ba1c6c97f4ep-4, -0x1.751958488d1f6p-4}, 
        {0x1.f4741bdba8b2cp+1, 0x1.faed62c4705cep+1, 0x1.4bb128e6dae94p-6, -0x1.2a1a7911ee62p-4, 0x1.be1e0a10e5bd5p-4, -0x1.54ab4ed44f876p-4}, 
        {0x1.faed62c4705cep+1, 0x1.00b354d69c038p+2, 0x1.13c5cf85f94e9p-6, -0x1.ff2f0ef4e24c2p-5, 0x1.8a6d9efdd16e8p-4, -0x1.362d21cdc1551p-4}, 
        {0x1.00b354d69c038p+2, 0x1.03eff84affd89p+2, 0x1.c7e18da78793cp-7, -0x1.b4265709f2a4ap-5, 0x1.5b5d9ec0b85bap-4, -0x1.198ee140cb81dp-4}, 
        {0x1.03eff84affd89p+2, 0x1.072c9bbf63adap+2, 0x1.767687b05de25p-7, -0x1.72328b24a928ep-5, 0x1.30a537f245ee1p-4, -0x1.fd83fa272e705p-5}, 
        {0x1.072c9bbf63adap+2, 0x1.0a693f33c782bp+2, 0x1.318a79a79f087p-7, -0x1.3879ee0b7a53dp-5, 0x1.09fdced3a4ea8p-4, -0x1.cb6d5bb7b7bfdp-5}, 
        {0x1.0a693f33c782bp+2, 0x1.0da5e2a82b57cp+2, 0x1.ef0fde1194374p-8, -0x1.0630cd532a4e3p-5, 0x1.ce46591565eaep-5, -0x1.9cbbf9b8b9cedp-5}, 
        {0x1.0da5e2a82b57cp+2, 0x1.10e2861c8f2cep+2, 0x1.8e028ebcfd0f2p-8, -0x1.b5321129ff236p-6, 0x1.8fa6bef10aa78p-5, -0x1.71510de18110ap-5}, 
        {0x1.10e2861c8f2cep+2, 0x1.141f2990f301fp+2, 0x1.3d5c06ea119aap-8, -0x1.6a03345ddd2fbp-6, 0x1.579d97581336p-5, -0x1.490e47cb02755p-5}, 
        {0x1.141f2990f301fp+2, 0x1.175bcd0556d7p+2, 0x1.f5a0ab5ab1016p-9, -0x1.298c3e82defb8p-6, 0x1.25b043e13dd88p-5, -0x1.23d4fe5418b1cp-5}, 
        {0x1.175bcd0556d7p+2, 0x1.1a987079baac1p+2, 0x1.88a725eeb109p-9, -0x1.e5397f9a670e1p-7, 0x1.f2d19a25159b1p-6, -0x1.0186f8e3d94c1p-5}, 
        {0x1.1a987079baac1p+2, 0x1.1dd513ee1e812p+2, 0x1.302a16fa4c72bp-9, -0x1.88375e600fe4ap-7, 0x1.a4aba29c6d662p-6, -0x1.c40ac9f0fe365p-6}, 
        {0x1.1dd513ee1e812p+2, 0x1.2111b76282563p+2, 0x1.d1ea73c9cccd6p-10, -0x1.3a0cf50d68e2ap-7, 0x1.60153859e6d77p-6, -0x1.8a63e35d3ef7dp-6}, 
        {0x1.2111b76282563p+2, 0x1.244e5ad6e62b4p+2, 0x1.60710be04dd3p-10, -0x1.f1c05979e3246p-8, 0x1.243e25a669c85p-6, -0x1.55dc5b1f1658ep-6}, 
        {0x1.244e5ad6e62b4p+2, 0x1.278afe4b4a005p+2, 0x1.06ff519c0c601p-10, -0x1.86003cf604b94p-8, 0x1.e0bee389fa061p-7, -0x1.2636e3c10efd6p-6}, 
        {0x1.278afe4b4a005p+2, 0x1.2ac7a1bfadd56p+2, 0x1.82a78831bb1bp-11, -0x1.2dc6666298ebep-8, 0x1.8776e23970ed2p-7, -0x1.f66d8d951421bp-7}, 
        {0x1.2ac7a1bfadd56p+2, 0x1.2e04453411aa7p+2, 0x1.1788fec27dfcp-11, -0x1.cc95110412c7dp-9, 0x1.3b3b5ca01628bp-7, -0x1.a93dc4dc32131p-7}, 
        {0x1.2e04453411aa7p+2, 0x1.3140e8a8757f9p+2, 0x1.8cc1dcd793e2p-12, -0x1.5a16f32253a29p-9, 0x1.f56bea16f3ad5p-8, -0x1.646485a05e478p-7}, 
        {0x1.3140e8a8757f9p+2, 0x1.347d8c1cd954ap+2, 0x1.13c5cf84dfd5p-12, -0x1.ff2dcfc0ebb51p-10, 0x1.894599c14c593p-8, -0x1.2767d410d4e59p-7}, 
        {0x1.347d8c1cd954ap+2, 0x1.37ba2f913d29bp+2, 0x1.7676879c9355ap-13, -0x1.72315f97f3dcep-10, 0x1.2fa10f51bb3f7p-8, -0x1.e39b942512585p-8}, 
        {0x1.37ba2f913d29bp+2, 0x1.3af6d305a0fecp+2, 0x1.ef0fddf730d1p-14, -0x1.062fb5a45469dp-10, 0x1.cc811f195ed55p-9, -0x1.8638b2b916a4cp-8}, 
        {0x1.3af6d305a0fecp+2, 0x1.3e33767a04d3dp+2, 0x1.3d5c06e9a1039p-14, -0x1.6a012d070f2cap-11, 0x1.5616d233a772fp-9, -0x1.35b30e46ef6afp-8}, 
        {0x1.3e33767a04d3dp+2, 0x1.417019ee68a8ep+2, 0x1.88a725f77cd5cp-15, -0x1.e535c150671bbp-12, 0x1.f037ba67ca45bp-10, -0x1.e22d9fc7d7faep-9}, 
        {0x1.417019ee68a8ep+2, 0x1.44acbd62cc7dfp+2, 0x1.d1ea73ada70afp-16, -0x1.3a09865cadd1p-12, 0x1.5de5c7fe4ec1ep-10, -0x1.6edffa43a7bebp-9}, 
        {0x1.44acbd62cc7dfp+2, 0x1.47e960d73053p+2, 0x1.06ff51a4d82cdp-16, -0x1.85f9ff5f3c6d2p-13, 0x1.dd224f936a74bp-11, -0x1.0f952190cc89cp-9}, 
        {0x1.47e960d73053p+2, 0x1.4b26044b94281p+2, 0x1.1788fec1c9d73p-17, -0x1.cc89d5f20a9fep-14, 0x1.384e9b93c154fp-11, -0x1.84cac468b528bp-10}, 
        {0x1.4b26044b94281p+2, 0x1.4e62a7bff7fd2p+2, 0x1.13c5cf82c3667p-18, -0x1.ff19d779fbbbp-15, 0x1.84a6b3f1483d1p-12, -0x1.0ad16aea99e4cp-10}, 
        {0x1.4e62a7bff7fd2p+2, 0x1.519f4b345bd24p+2, 0x1.ef0fde1356936p-20, -0x1.061e3d45be908p-15, 0x1.c56e84f6c2fe4p-13, -0x1.5adcf7e80efa8p-11}, 
        {0x1.519f4b345bd24p+2, 0x1.54dbeea8bfa75p+2, 0x1.88a725f2fbe9ep-21, -0x1.e4f9d525760c3p-17, 0x1.e5d4fa1898d3dp-14, -0x1.a349a5e835a54p-12}, 
        {0x1.54dbeea8bfa75p+2, 0x1.5818921d237c6p+2, 0x1.06ff519e16cbp-22, -0x1.859648edbc0a1p-18, 0x1.ceb8bc04fae98p-15, -0x1.c962bef1c178cp-13}, 
        {0x1.5818921d237c6p+2, 0x1.5b55359187517p+2, 0x1.13c5cf83a9fcp-24, -0x1.fdd8737e3a099p-20, 0x1.7241afc2ba8c5p-16, -0x1.ab0866479164dp-14}, 
        {0x1.5b55359187517p+2, 0x1.5e91d905eb268p+2, 0x1.88a725f696403p-27, -0x1.e157c46c6801fp-22, 0x1.bc56e08fb6517p-18, -0x1.3002755e5be55p-15}, 
        {0x1.5e91d905eb268p+2, 0x1.61ce7c7a4efb9p+2, 0x1.13c5cf851aeb5p-30, -0x1.e692f67bfbb5ap-25, 0x1.2d4c6b267615ap-20, -0x1.01c2c0d14b454p-17}, 
        {0x1.61ce7c7a4efb9p+2, 0x1.650b0f27bb2ffp+2, 0x1.13c5cf8e541a4p-36, -0x1.1ae407410aac3p-29, -0x1.7280693ee86c9p-25, 0x1.9e6d7055c8b1fp-18}, 
      }}, 
      -0x1.29b4813d391bcp-13, 0x1.045af9805c507p-10
    }
  };
  // clang-format on
}
SkfData params_hyb_0_2_ga_s() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{-0x1.f0c6c2c4ac544p+0, -0x1.ec6f34e32adb6p+0, -0x1.e55f9ffa4cd62p+0, -0x1.dbd4c2217fd22p+0, -0x1.d01954c9844a4p+0, -0x1.c27ff6abad125p+0, -0x1.b35e0e2f5fb8ap+0, -0x1.a307cb3e8bd41p+0, -0x1.91cd3a7f3a9a4p+0, -0x1.7ff8466031108p+0, -0x1.6dcb7d07c6e72p+0, -0x1.5b81755412639p+0, -0x1.494c9caceb11cp+0, -0x1.3757802651e09p+0, -0x1.25c52de7e6abcp+0, -0x1.14b1d7cfb2866p+0, -0x1.043382f483301p+0, -0x1.e8b576cf9956bp-1, -0x1.ca66a4216d96cp-1, -0x1.ad8a095f6bd1bp-1, -0x1.92285a56e3db7p-1, -0x1.78448bb0d654cp-1, -0x1.5fdd0df269fb4p-1, -0x1.48ec7ac86a47p-1, -0x1.336a73d67b001p-1, -0x1.1f4c9ff70b2c4p-1, -0x1.0c869152c93b8p-1, -0x1.f6154f4ddb73dp-2, -0x1.d5957b8ce3eafp-2, -0x1.b77069943218fp-2, -0x1.9b87c86329886p-2, -0x1.81bd8994568d2p-2, -0x1.69f4a19536823p-2, -0x1.541077aba7616p-2, -0x1.3ff48edd8a8f6p-2, -0x1.2d8531170b6c3p-2, -0x1.1ca82a08468f7p-2, -0x1.0d44aae088dc5p-2, -0x1.fe85621a8c30dp-3, -0x1.e5158fa040d9ep-3, -0x1.ce0cb147b8713p-3, -0x1.b94028ab2987p-3, -0x1.a6880af191359p-3, -0x1.95be9854805cdp-3, -0x1.86bf9b6b3a526p-3, -0x1.79682d95a1c26p-3, -0x1.6d96eae3ba073p-3, -0x1.632c489f3c33dp-3, -0x1.5a0abdfb24bf2p-3, -0x1.5216a6b9e65f9p-3, -0x1.4b35fe609da3ep-3, -0x1.4550202379ee1p-3, -0x1.404da3aeac22fp-3, -0x1.3c18570bd39ecp-3, -0x1.389a44f32622ap-3, -0x1.35c065150d03p-3, -0x1.3379e6bc9387dp-3, -0x1.31b62030a7b2fp-3, -0x1.306546efc70b4p-3, -0x1.2f786fb29ea1ep-3, -0x1.2ee1a1f9e2d3dp-3, -0x1.2e93f1ed5314p-3, -0x1.2e8393cd57af4p-3, -0x1.2ea5e09ba8581p-3, -0x1.2ef149a192d2dp-3, -0x1.2f5d3de4944a6p-3, -0x1.2fe2080c8d8fap-3, -0x1.3078ac3fa5e19p-3, -0x1.311acc3176e68p-3, -0x1.31c294c9a3ecdp-3, -0x1.326ab57a38e15p-3, -0x1.330e5ecfc306p-3, -0x1.33a944a8c2a9ap-3, -0x1.3437a0c75bcf4p-3, -0x1.34b6337531deap-3, -0x1.35224104b2d3bp-3, -0x1.35798bc22cb74p-3, -0x1.35ba4a69737f4p-3, -0x1.35e31ba520ed7p-3, -0x1.35f2f794ce939p-3, -0x1.35e920c3d5ff4p-3, -0x1.35c51628f1fa1p-3, -0x1.358687923c5ecp-3, -0x1.352d4d4c601cp-3, -0x1.34b9630f60b25p-3, -0x1.342ae58b73845p-3, -0x1.3382118c5bb9bp-3, -0x1.32bf43a22f9b6p-3, -0x1.31e2f77f96545p-3, -0x1.30edc69d72e93p-3, -0x1.2fe0660b91e69p-3, -0x1.2ebba38e3ac87p-3, -0x1.2d80623e19313p-3, -0x1.2c2f96ddf3d7dp-3, -0x1.2aca440ec8e1dp-3, -0x1.295176838190fp-3, -0x1.27c64155925b2p-3, -0x1.2629baa07ffd7p-3, -0x1.247cf88cbd2d5p-3, -0x1.22c10eecbf2e8p-3, -0x1.20f70d7fa262bp-3, -0x1.1f1ffed66cff2p-3, -0x1.1d3ce7c21317p-3, -0x1.1b4ec71f3581fp-3, -0x1.195695cd769b2p-3, -0x1.175546a41d633p-3, -0x1.154bc6427a833p-3, -0x1.133afaac84b9p-3, -0x1.1123c2b6a90c8p-3, -0x1.0f06f55371cffp-3, -0x1.0ce7a566dc2d1p-3, -0x1.0ac3b613fb37cp-3, -0x1.089c10c933358p-3, -0x1.0671699820f62p-3, -0x1.044470394937p-3, -0x1.0215cf6bb8df4p-3, -0x1.ffcc5868f2e84p-4, -0x1.fb6c4a204b60dp-4, -0x1.f70ca250763f3p-4, -0x1.f2ae7f36a3265p-4, -0x1.ee52edc7e6dbfp-4, -0x1.e9fae8cbda538p-4, -0x1.e5a7584cd0ca4p-4, -0x1.e159116070f53p-4, -0x1.dd10d646281a4p-4, -0x1.d8cf56d57acc7p-4, -0x1.d495313263223p-4, -0x1.d062f2bb94558p-4, -0x1.cc3919242219fp-4, -0x1.c81813a8f2394p-4, -0x1.c40044521365fp-4, -0x1.bff20131545d3p-4, -0x1.bbed959123b44p-4, -0x1.b7f34309ac558p-4, -0x1.b403427528c2ep-4, -0x1.b01dc4bf468b1p-4, -0x1.ac42f38e4d74p-4, -0x1.a872f1c6b4ff8p-4, -0x1.a4addbec041f8p-4, -0x1.a0f3c862bd655p-4, -0x1.9d44c798a0824p-4, -0x1.99a0e4191f794p-4, -0x1.9608229480567p-4, -0x1.927a81e07a483p-4, -0x1.8ef7faf909148p-4, -0x1.8b808107b33b1p-4, -0x1.88140176c9004p-4, -0x1.84b26414e7304p-4, -0x1.815b8b4b9cc7ap-4, -0x1.7e0f546a6f76p-4, -0x1.7acd9805c07d6p-4, -0x1.77962a6773915p-4, -0x1.7468dc0dbe0d4p-4, -0x1.71457a336917fp-4, -0x1.6e2bcf5c150ccp-4, -0x1.6b1ba3ded519p-4, -0x1.6814be69b6dacp-4, -0x1.6516e47982df8p-4, -0x1.6221dac218a9fp-4, -0x1.5f3565851643cp-4, -0x1.5c5148d5f137dp-4, -0x1.597548cc034fep-4, -0x1.56a129a44b289p-4, -0x1.53d4afd58e86dp-4, -0x1.510fa01a29a12p-4, -0x1.4e51bf731baffp-4, -0x1.4b9ad327cba4ap-4, -0x1.48eaa0c5a1c69p-4, -0x1.4640ee220774dp-4, -0x1.439d8160a3d0ep-4, -0x1.410020fef2508p-4, -0x1.3e6893e597aadp-4, -0x1.3bd6a17f32a06p-4, -0x1.394a11d3e9be3p-4, -0x1.36c2ada894316p-4, -0x1.34403ea029413p-4, -0x1.31c28f5e0e271p-4, -0x1.2f496ba7e3d43p-4, -0x1.2cd4a085a3f2dp-4, -0x1.2a63fc5f078a5p-4, -0x1.27f74f157c44dp-4, -0x1.258e6a1a29527p-4, -0x1.2329207fc928bp-4, -0x1.20c747085687ap-4, -0x1.1e68b42eb974ap-4, -0x1.1c0d402cc5f89p-4, -0x1.19b4c4fdfaee9p-4, -0x1.175f1e5f7748bp-4, -0x1.150c29cda556p-4, -0x1.12bbc68016a7bp-4, -0x1.106dd56400d2p-4, -0x1.0e223915bf507p-4, -0x1.0bd8d5d9ae498p-4, -0x1.09919194a1eccp-4, -0x1.074c53c42f601p-4, -0x1.05090576eac3ep-4, -0x1.02c79144b783fp-4, -0x1.0087e3473770cp-4, -0x1.fc93d224c282cp-5, -0x1.f81b235a81e79p-5, -0x1.f3a59b15b65e8p-5, -0x1.ef331d0663cd8p-5, -0x1.eac38f98b79cp-5, -0x1.e656dbe74d6dap-5, -0x1.e1ecedad694edp-5, -0x1.dd85b33910ceap-5, -0x1.d9211d5cdd602p-5, -0x1.d4bf1f6170162p-5, -0x1.d05faef662229p-5, -0x1.cc02c422980f3p-5, -0x1.c7a85933dcf3p-5, -0x1.c3506aadb5ce9p-5, -0x1.befaf73757f33p-5, -0x1.baa7ff88c4374p-5, -0x1.b657865703ccfp-5, -0x1.b209903f9691p-5, -0x1.adbe23b324c27p-5, -0x1.a97548df8e87ap-5, -0x1.a52f09998101cp-5, -0x1.a0eb7145b52dp-5, -0x1.9caa8cc2042e1p-5, -0x1.986c6a4e808c4p-5, -0x1.9431725b66b31p-5, -0x1.8ff8f42e8d9f7p-5, -0x1.8bc36885de1ap-5, -0x1.8790e2aa07779p-5, -0x1.836176defd1ebp-5, -0x1.7f353a4e937d2p-5, -0x1.7b0c42f3e0f82p-5, -0x1.76e6a78774c7ap-5, -0x1.72c47f6c6ac73p-5, -0x1.6ea5e29e5c3cp-5, -0x1.6a8ae9a033315p-5, -0x1.6673ad6bd582fp-5, -0x1.62604762a8fe2p-5, -0x1.5e50d13edc8adp-5, -0x1.5a45650572d8ap-5, -0x1.563e1cf8ff6dfp-5, -0x1.523b138d05909p-5, -0x1.4e3c6359ed10dp-5, -0x1.4a4227117f989p-5, -0x1.464c7973df031p-5, -0x1.425b7544ea2f6p-5, -0x1.3e6f35420294ap-5, -0x1.3a87d4182b347p-5, -0x1.36a56c5a76b7fp-5, -0x1.32c81878bc447p-5, -0x1.2eeff2b692557p-5, -0x1.2b1d152286ce5p-5, -0x1.274f998d92dcfp-5, -0x1.23879982ccc83p-5, -0x1.1fc52e3f53733p-5, -0x1.1c0870aa76be2p-5, -0x1.1851794e1ee28p-5, -0x1.14a0604f7540bp-5, -0x1.10f53d67d0612p-5, -0x1.0d5027dde8ca5p-5, -0x1.09b1367f58c88p-5, -0x1.06187f9a6c137p-5, -0x1.028618f8416edp-5, -0x1.fdf42fae822cdp-6, -0x1.f6e921cbe01ap-6, -0x1.efeb307c355a2p-6, -0x1.e8fa82c0bf42cp-6, -0x1.e2173e6030e95p-6, -0x1.db4187df472e8p-6, -0x1.d479827a17f7ap-6, -0x1.cdbf501e288d2p-6, -0x1.c713116538d19p-6, -0x1.c074e590cffcep-6, -0x1.b9e4ea8677da9p-6, -0x1.b3633cccae49fp-6, -0x1.aceff7887ccfcp-6, -0x1.a68b347bb0992p-6, -0x1.a0350c03b23aap-6, -0x1.99ed9518e8c46p-6, -0x1.93b4e54eaafb2p-6, -0x1.8d8b10d3ac6a3p-6, -0x1.87702a72e86bep-6, -0x1.81644394f069ep-6, -0x1.7b676c41acd0dp-6, -0x1.7579b3227275cp-6, -0x1.6f9b258470a56p-6, -0x1.69cbcf5b6f6b6p-6, -0x1.640bbb44d21cbp-6, -0x1.5e5af28ae25b6p-6, -0x1.58b97d284d11fp-6, -0x1.532761cbe0deep-6, -0x1.4da4a5dc7af2bp-6, -0x1.48314d7d20f67p-6, -0x1.42cd5b914b80cp-6, -0x1.3d78d1c155d62p-6, -0x1.3833b07f15112p-6, -0x1.32fdf70a927a8p-6, -0x1.2dd7a376e9c3ep-6, -0x1.28c0b2af441cap-6, -0x1.23b9207bf459cp-6, -0x1.1ec0e787aff74p-6, -0x1.19d80164de9e8p-6, -0x1.14fe66930a0adp-6, -0x1.10340e846256ap-6, -0x1.0b78efa35818dp-6, -0x1.06ccff584d06fp-6, -0x1.0230320f59b33p-6, -0x1.fb44f67c3e836p-7, -0x1.f2479ad360abap-7, -0x1.e9683459037abp-7, -0x1.e0a6a478dacedp-7, -0x1.d802cae173287p-7, -0x1.cf7c8590595eep-7, -0x1.c713b0de57717p-7, -0x1.bec8278ba77e5p-7, -0x1.b699c2cc400ebp-7, -0x1.ae885a5420633p-7, -0x1.a693c46390154p-7, -0x1.9ebbd5d369fb4p-7, -0x1.970062216002ap-7, -0x1.8f613b7c244d3p-7, -0x1.87de32cf9c27fp-7, -0x1.807717d0f2a39p-7, -0x1.792bb90aa2bb1p-7, -0x1.71fbe3e865548p-7, -0x1.6ae764c30a25ep-7, -0x1.63ee06ec3fb5fp-7, -0x1.5d0f94ba2a1b6p-7, -0x1.564bd792f41acp-7, -0x1.4fa297f82d9ap-7, -0x1.49139d920b1d6p-7, -0x1.429eaf3a90b8ep-7, -0x1.3c4393087cd3bp-7, -0x1.36020e5a219ccp-7, -0x1.2fd9e5e00b8c9p-7, -0x1.29cadda77feecp-7, -0x1.23d4b924cf833p-7, -0x1.1df73b3d7dc53p-7, -0x1.1832265238a27p-7, -0x1.12853c48a46b6p-7, -0x1.0cf03e94f616dp-7, -0x1.0772ee435ecaep-7, -0x1.020d0c01466cfp-7, -0x1.f97cb04caafcfp-8, -0x1.ef0d257a98e96p-8, -0x1.e4caf71956b34p-8, -0x1.dab5a43e48755p-8, -0x1.d0ccab97be02ep-8, -0x1.c70f8b7d0fa3cp-8, -0x1.bd7dc1fe5ad4cp-8, -0x1.b416ccf3d7729p-8, -0x1.aada2a0ccb814p-8, -0x1.a1c756de187e6p-8, -0x1.98ddd0f067976p-8, -0x1.901d15cdf23b9p-8, -0x1.8784a30fe82ap-8, -0x1.7f13f66b74ab9p-8, -0x1.76ca8dbe64f18p-8, -0x1.6ea7e71b6b5fcp-8, -0x1.66ab80d607a4bp-8, -0x1.5ed4d98e0ff57p-8, -0x1.5723703addaf1p-8, -0x1.4f96c4361e7d6p-8, -0x1.482e55464cd73p-8, -0x1.40e9a3a8ce687p-8, -0x1.39c8301bb9d24p-8, -0x1.32c97be749f1ap-8, -0x1.2bed08e6f7a46p-8, -0x1.25325992415d2p-8, -0x1.1e98f10523e6bp-8, -0x1.182053083c2e6p-8, -0x1.11c804189f96dp-8, -0x1.0b8f896f5fd99p-8, -0x1.05766908ca3abp-8, -0x1.fef85356a7f75p-9, -0x1.f340a5dc816edp-9, -0x1.e7c4da8003106p-9, -0x1.dc8403d890ebbp-9, -0x1.d17d3643b7fe3p-9, -0x1.c6af87f044976p-9, -0x1.bc1a10e8d3e2dp-9, -0x1.b1bbeb1de9986p-9, -0x1.a794326f77cf2p-9, -0x1.9da204b5f7ea4p-9, -0x1.93e481cafbd98p-9, -0x1.8a5acb914b629p-9, -0x1.810405fc8e023p-9, -0x1.77df571877d42p-9, -0x1.6eebe70f8a653p-9, -0x1.6628e031672ddp-9, -0x1.5d956ef8ae162p-9, -0x1.5530c21074f3cp-9, -0x1.4cfa0a5951d24p-9, -0x1.44f07aee0226ap-9, -0x1.3d134927a8bdap-9, -0x1.3561aca1a534ep-9, -0x1.2ddadf3d10d1bp-9, -0x1.267e1d23d3c26p-9, -0x1.1f4aa4cb61fdfp-9, -0x1.183fb6f716bf4p-9, -0x1.115c96ba35ee5p-9, -0x1.0aa0897999a82p-9, -0x1.040ad6ed03737p-9, -0x1.fb3592403209bp-10, -0x1.ee9f58e61fe36p-10, -0x1.e2519f360b044p-10, -0x1.d64b074412c64p-10, -0x1.ca8a37cdb311bp-10, -0x1.bf0ddc38a541fp-10, -0x1.b3d4a4912c6c9p-10, -0x1.a8dd4587d96c5p-10, -0x1.9e26786ebdae2p-10, -0x1.93aefb361a43cp-10, -0x1.897590688fbbdp-10, -0x1.7f78ff26c7fe9p-10, -0x1.75b81322b895ep-10, -0x1.6c319c9a61399p-10, -0x1.62e470522086bp-10, -0x1.59cf678e9dc0bp-10, -0x1.50f1600e4e5dep-10, -0x1.48493c029d00ep-10, -0x1.3fd5e208ac3d6p-10, -0x1.37963d21c72c3p-10, -0x1.2f893cab7eae2p-10, -0x1.27add4577a1f3p-10, -0x1.2002fc22fa5a1p-10, -0x1.1887b04e1c8e7p-10, -0x1.113af152d868ep-10, -0x1.0a1bc3dbc4cf9p-10, -0x1.032930baa3c31p-10, -0x1.f8c489bd79a34p-11, -0x1.eb8c22960506ap-11, -0x1.dea756182aa38p-11, -0x1.d214565c26cb6p-11, -0x1.c5d15d649cdebp-11, -0x1.b9dcad09b3463p-11, -0x1.ae348ee3fba25p-11, -0x1.a2d7543725d5bp-11, -0x1.97c355dc82a5dp-11, -0x1.8cf6f42d5f674p-11, -0x1.827096ed3bd4dp-11, -0x1.782ead33ea492p-11, -0x1.6e2fad578c63dp-11, -0x1.647214d68639dp-11, -0x1.5af4684158fa1p-11, -0x1.51b533247b182p-11, -0x1.48b307f225a8p-11, -0x1.3fec7fec1f05cp-11, -0x1.37603b0d869dfp-11, -0x1.2f0b5f266d8eap-11, -0x1.26ef9feb3e2c8p-11, -0x1.1f0a2becdf3e4p-11, -0x1.1759bd1cc747fp-11, -0x1.0fdd13b7c1413p-11, -0x1.0892f6301b724p-11, -0x1.017a3117edf47p-11, -0x1.f5232e16f2984p-12, -0x1.e7b001373866dp-12, -0x1.da989870c8d5p-12, -0x1.cddabc3776022p-12, -0x1.c174406862ff8p-12, -0x1.b563041fe224fp-12, -0x1.a9a4f18f8ed75p-12, -0x1.9e37fdd4b8d36p-12, -0x1.931a28cf12932p-12, -0x1.88497cf7aae8dp-12, -0x1.7dc40f383d12p-12, -0x1.7387fec2b989ap-12, -0x1.699374e9366f1p-12, -0x1.5fe4a4f61e87p-12, -0x1.5679cc04af0c2p-12, -0x1.4d5130d9ca9e8p-12, -0x1.446923bd111a1p-12, -0x1.3bbffe52463dcp-12, -0x1.33542372fd3a2p-12, -0x1.2b23ff0894dd4p-12, -0x1.232e05e67017bp-12, -0x1.1b70b5a47a2abp-12, -0x1.13ea9479e8899p-12, -0x1.0c9a311837468p-12, -0x1.057e2286761d4p-12, -0x1.fd2a0ff9945d7p-13, -0x1.efbb118036d79p-13, -0x1.e2aca7fc29bc9p-13, -0x1.d5fc4152b5129p-13, -0x1.c9a75aabe45b6p-13, -0x1.bdab802bd8eb1p-13, -0x1.b2064cac95d74p-13, -0x1.a6b569783f316p-13, -0x1.9bb68e03e22ap-13, -0x1.91077faab331fp-13, -0x1.86a61169e36e8p-13, -0x1.7c90239cd9412p-13, -0x1.72c3a3ba42c9p-13, -0x1.693e8c1179753p-13, -0x1.5ffee388c15cdp-13, -0x1.5702bd5bfbe2fp-13, -0x1.4e4838dc30b8ap-13, -0x1.45cd812fd06bfp-13, -0x1.3d90cd13a04c7p-13, -0x1.35905e9c8a31ep-13, -0x1.2dca82fa1f80cp-13, -0x1.263d923a1dca3p-13, -0x1.1ee7ef0cb3469p-13, -0x1.17c80689b6812p-13, -0x1.10dc4ff6d3035p-13, -0x1.0a234c8e9560bp-13, -0x1.039b87489eb24p-13, -0x1.fa8729451c08dp-14, -0x1.ee3424d46a767p-14, -0x1.e23b4f1136a92p-14, -0x1.d69a079c5534ap-14, -0x1.cb4dbf7f9ea5dp-14, -0x1.c053f8ca4cec6p-14, -0x1.b5aa462f839c7p-14, -0x1.ab4e4aa6b92c7p-14, -0x1.a13db90e5e22ep-14, -0x1.977653d066557p-14, -0x1.8df5ec88fd5b9p-14, -0x1.84ba63af006dcp-14, -0x1.7bc1a83ec441cp-14, -0x1.7309b76670f2dp-14, -0x1.6a909c3473232p-14, -0x1.62546f47bdb53p-14, -0x1.5a535681cb89bp-14, -0x1.528b84ba98052p-14, -0x1.4afb3975e7bc3p-14, -0x1.43a0c09a9cfb6p-14, -0x1.3c7a722b7d3e5p-14, -0x1.3586b20172ef7p-14, -0x1.2ec3ef876b258p-14, -0x1.2830a5779d49p-14, -0x1.21cb599a13626p-14, -0x1.1b929c849ed64p-14, -0x1.1585095bfcacdp-14, -0x1.0fa14596334c2p-14, -0x1.09e600be00092p-14, -0x1.0451f43758578p-14, -0x1.fdc7c609b85f4p-15, -0x1.f335331ccd693p-15, -0x1.e8e9dad049097p-15, -0x1.dee37a357af5cp-15, -0x1.d51fdfd89008cp-15, -0x1.cb9ceb5334a44p-15, -0x1.c2588ce13d2a9p-15, -0x1.b950c4f5edb85p-15, -0x1.b083a3d2e25b5p-15, -0x1.a7ef491fa6641p-15, -0x1.9f91e3825ccf6p-15, -0x1.9769b0396efb1p-15, -0x1.8f74fab60ed74p-15, -0x1.87b21c37c9d4ep-15, -0x1.801f7b68e81c7p-15, -0x1.78bb8bfbd5a9cp-15, -0x1.7184ce4995a7cp-15, -0x1.6a79cef12cf53p-15, -0x1.63992678a4ddcp-15, -0x1.5ce178eebb1fep-15, -0x1.5651758eb64e2p-15, -0x1.4fe7d6653c844p-15, -0x1.49a35ff7b5decp-15, -0x1.4382e0ecadac5p-15, -0x1.3d8531b70c1f1p-15, -0x1.37a93443aeb7ep-15, -0x1.31edd3a93205ep-15, -0x1.2c5203da8f935p-15, -0x1.26d4c15cfd2b7p-15, -0x1.2175110053904p-15, -0x1.1c31ff9b321cdp-15, -0x1.170aa1c9fe82bp-15, -0x1.11fe13b1a288ep-15, -0x1.0d0b78c57ff8p-15, -0x1.0831fb90f469ep-15, -0x1.0370cd8424923p-15, -0x1.fd8e4d8859145p-16, -0x1.f4688bfc69025p-16, -0x1.eb6ee07c02ff1p-16, -0x1.e29fe18d7630dp-16, -0x1.d9fa31dd2e98bp-16, -0x1.d17c7ff8ec5c5p-16, -0x1.c925860fd272ap-16, -0x1.c0f409b4209e7p-16, -0x1.b8e6dba133f6cp-16, -0x1.b0fcd7823236p-16, -0x1.a934e3ba49473p-16, -0x1.a18df12ed02bep-16, -0x1.9a06fb0f0b517p-16, -0x1.929f069e315cap-16, -0x1.8b5522faf186ap-16, -0x1.842868e69b955p-16, -0x1.7d17fa8ae8e7ap-16, -0x1.7623033d724f9p-16, -0x1.6f48b742ac25fp-16, -0x1.6888538e4158ap-16, -0x1.61e11d816a8aep-16, -0x1.5b5262a9b59e2p-16, -0x1.54db787ca858cp-16, -0x1.4e7bbc12b33b1p-16, -0x1.483291e19f052p-16, -0x1.41ff6576bc454p-16, -0x1.3be1a9301f57ep-16, -0x1.35d8d5f6c5df2p-16, -0x1.2fe46af8eb109p-16, }}, 
      {{-0x1.f10aa7dae5608p+0, -0x1.ed788908801dap+0, -0x1.e79e850ac4e1ep+0, -0x1.df9fe0add4216p+0, -0x1.d5a93f6ea9d0ap+0, -0x1.c9eda0de12464p+0, -0x1.bca3ad965bfefp+0, -0x1.ae0371fd9669dp+0, -0x1.9e448ca185dcfp+0, -0x1.8d9cc8f3d3997p+0, -0x1.7c3f1a05a1c9bp+0, -0x1.6a5ae81d31258p+0, -0x1.581b9f91f7c66p+0, -0x1.45a87a839475ap+0, -0x1.33247232766eap+0, -0x1.20ae5279b63d4p+0, -0x1.0e60e5805b493p+0, -0x1.f8a65b3789121p-1, -0x1.d53159156892dp-1, -0x1.b28356c5a315cp-1, -0x1.90b7185ff725p-1, -0x1.6fe2200b2f2cbp-1, -0x1.50154cff7ac87p-1, -0x1.315d5be85b7bcp-1, -0x1.13c37120e58c3p-1, -0x1.ee9b2fb4f1c62p-2, -0x1.b7fe3b3314cdap-2, -0x1.83b21297672e2p-2, -0x1.51b504ddef9f9p-2, -0x1.2201e1e720f7ep-2, -0x1.e92170bf8fe49p-3, -0x1.92af29bec7043p-3, -0x1.4095708e8b54ep-3, -0x1.e572f91875db7p-4, -0x1.51fc59ab86418p-4, -0x1.8d13eb4494cbp-5, -0x1.0b727dc6d8167p-6, 0x1.ca67457664ddbp-7, 0x1.5c6ae6e5d7bedp-5, 0x1.1c20635a82f0bp-4, 0x1.8350da93c782ep-4, 0x1.e4096e699a417p-4, 0x1.1f4611e4aa4ap-3, 0x1.498d2e1f35313p-3, 0x1.70fa4c4991f1ap-3, 0x1.95ad139e82112p-3, 0x1.b7c46f1cc8af6p-3, 0x1.d75e7b1e6971p-3, 0x1.f49884cf39e2ap-3, 0x1.07c788ea48ae3p-2, 0x1.142ef183ba2b5p-2, 0x1.1f8ff65b5449ap-2, 0x1.29f7a4d17cb37p-2, 0x1.337298dab2c4bp-2, 0x1.3c0d31541e5e3p-2, 0x1.43d2b587cdddap-2, 0x1.4acea335748d1p-2, 0x1.510be737f6d2ap-2, 0x1.569505d9d74ccp-2, 0x1.5b7418aa9a011p-2, 0x1.5fb2cdba3731p-2, 0x1.635a68c419a1dp-2, 0x1.6673c62587b1bp-2, 0x1.69075f02e8b58p-2, 0x1.6b1d4dcd5c6c3p-2, 0x1.6cbd526f13099p-2, 0x1.6deed5ae03947p-2, 0x1.6eb8ebad5020ep-2, 0x1.6f2255bb16249p-2, 0x1.6f3183bb596fap-2, 0x1.6eec958632e08p-2, 0x1.6e595c828a3f2p-2, 0x1.6d7d5daddd937p-2, 0x1.6c5dd4209d5b3p-2, 0x1.6affb3fcaa1f6p-2, 0x1.6967ad9ade6dap-2, 0x1.679a30c4bceafp-2, 0x1.659b6fcf4cbecp-2, 0x1.636f627cc636dp-2, 0x1.6119c89ba5833p-2, 0x1.5e9e2c6665684p-2, 0x1.5bffe4aeba642p-2, 0x1.594216e29ba6ep-2, 0x1.5667b8f9e576p-2, 0x1.53739359d21ecp-2, 0x1.506842b8b9b6fp-2, 0x1.4d483a08d677fp-2, 0x1.4a15c46cce454p-2, 0x1.46d30734693acp-2, 0x1.438203dbf1ecep-2, 0x1.40249a0604b22p-2, 0x1.3cbc896702982p-2, 0x1.394b739ab81b6p-2, 0x1.35d2dddf9b312p-2, 0x1.325432b5e551cp-2, 0x1.2ed0c36314edep-2, 0x1.2b49c95ba2578p-2, 0x1.27c06795608fcp-2, 0x1.2435abc52132ep-2, 0x1.20aa8f8a48b9bp-2, 0x1.1d1ff98ae5738p-2, 0x1.1996be829e098p-2, 0x1.160fa2467070bp-2, 0x1.128b58beb8717p-2, 0x1.0f0a86d883741p-2, 0x1.0b8dc36eb745dp-2, 0x1.0815982b1ddep-2, 0x1.04a2825f0e737p-2, 0x1.0134f3d31eca6p-2, 0x1.fb9aa71a731eap-3, 0x1.f4d8e81ce13d5p-3, 0x1.ee236b08cb29fp-3, 0x1.e77bbb0cd465p-3, 0x1.e0e260262f832p-3, 0x1.da57d3522a718p-3, 0x1.d3dc7f7fb85b7p-3, 0x1.cd70c27423944p-3, 0x1.c714eda55b91dp-3, 0x1.c0c9470b7a9e8p-3, 0x1.ba8e09ea6fe08p-3, 0x1.b46367943baa6p-3, 0x1.ae498823f1189p-3, 0x1.a8408b318b0f7p-3, 0x1.a248887e8bcd6p-3, 0x1.9c61909b30885p-3, 0x1.968bad83e9ec6p-3, 0x1.90c6e336a0f9bp-3, 0x1.8b13303f40cc1p-3, 0x1.85708e3b1211cp-3, 0x1.7fdef2528d976p-3, 0x1.7a5e4da97d73ep-3, 0x1.74ee8dc59a905p-3, 0x1.6f8f9cebea47ap-3, 0x1.6a4162757d15cp-3, 0x1.6503c31c2d8bap-3, 0x1.5fd6a14030e0fp-3, 0x1.5ab9dd274e01dp-3, 0x1.55ad55368647ap-3, 0x1.50b0e6270a034p-3, 0x1.4bc46b3721b9ep-3, 0x1.46e7be57c0671p-3, 0x1.421ab85742b53p-3, 0x1.3d5d3109c3d7bp-3, 0x1.38aeff6f58f4fp-3, 0x1.340ff9d85c768p-3, 0x1.2f7ff607d9f5bp-3, 0x1.2afec95425546p-3, 0x1.268c48c57e365p-3, 0x1.22284932bb774p-3, 0x1.1dd29f5bd7e87p-3, 0x1.198b2002578a9p-3, 0x1.15519fff78123p-3, 0x1.1125f4581bfffp-3, 0x1.0d07f24e84881p-3, 0x1.08f76f71d6c47p-3, 0x1.04f441ab9669ap-3, 0x1.00fe3f4b1fac2p-3, 0x1.fa2a7e1eadbdp-4, 0x1.f272305d68fa1p-4, 0x1.ead344bba1ab6p-4, 0x1.e34d6ba96d175p-4, 0x1.dbe056a61b1dep-4, 0x1.d48bb846c6461p-4, 0x1.cd4f443b4d6aap-4, 0x1.c62aaf520efb8p-4, 0x1.bf1daf7a95541p-4, 0x1.b827fbc75916cp-4, 0x1.b1494c6ed8e4dp-4, 0x1.aa815acc0bb78p-4, 0x1.a3cfe15e34e51p-4, 0x1.9d349bc84e982p-4, 0x1.96af46cfd598cp-4, 0x1.903fa05b3b02cp-4, 0x1.89e5676fba788p-4, 0x1.83a05c2ec3ca9p-4, 0x1.7d703fd2dc47dp-4, 0x1.7754d4ac00296p-4, 0x1.714dde1b84186p-4, 0x1.6b5b208f7729ap-4, 0x1.657c617d91ca9p-4, 0x1.5fb1675db4728p-4, 0x1.59f9f9a407ad8p-4, 0x1.5455e0bac6214p-4, 0x1.4ec4e5fbc3b7fp-4, 0x1.4946d3a9bef63p-4, 0x1.43db74e98cd89p-4, 0x1.3e8295bb2b887p-4, 0x1.393c02f2cd81p-4, 0x1.34078a31e31ep-4, 0x1.2ee4f9e032117p-4, 0x1.29d42124fe9cfp-4, 0x1.24d4cfe050976p-4, 0x1.1fe6d6a457689p-4, 0x1.1b0a06aef242ap-4, 0x1.163e31e35f96p-4, 0x1.11832ac414a22p-4, 0x1.0cd8c46cbf6b4p-4, 0x1.083ed28c739dbp-4, 0x1.03b5296002b74p-4, 0x1.fe773b58fc1f6p-5, 0x1.f5a40973ca6c6p-5, 0x1.ecf0689bfdc2ap-5, 0x1.e45c054eb77b6p-5, 0x1.dbe68cf10b7ddp-5, 0x1.d38fadc6b135p-5, 0x1.cb5716e90fa78p-5, 0x1.c33c783e9d4bp-5, 0x1.bb3f82729c07ap-5, 0x1.b35fe6ed28f83p-5, 0x1.ab9d57cbac37dp-5, 0x1.a3f787d99b5ebp-5, 0x1.9c6e2a89993c2p-5, 0x1.9500f3eeed86p-5, 0x1.8daf98b751ae7p-5, 0x1.8679ce2514fa8p-5, 0x1.7f5f4a0997275p-5, 0x1.785fc2c0101c5p-5, 0x1.717aef28add1dp-5, 0x1.6ab086a3fddc6p-5, 0x1.6400410ea3ac8p-5, 0x1.5d69d6bd5a193p-5, 0x1.56ed00793cb15p-5, 0x1.508974b41f8aep-5, 0x1.4a3ef1f74708cp-5, 0x1.440d305ab424fp-5, 0x1.3df3ea5ae2c84p-5, 0x1.37f2dad9102aep-5, 0x1.3209bd19159abp-5, 0x1.2c384cbf823b1p-5, 0x1.267e45cfedc5ap-5, 0x1.20db64ab7f5cap-5, 0x1.1b4f660faa8d3p-5, 0x1.15da071518a62p-5, 0x1.107b052ec242cp-5, 0x1.0b321e292ed58p-5, 0x1.05ff1029e02dep-5, 0x1.00e199aede5c1p-5, 0x1.f7b2f31ccd89fp-6, 0x1.edccdded7cc93p-6, 0x1.e41072dc37fbp-6, 0x1.da7d31a5676acp-6, 0x1.d1129ab5aee72p-6, 0x1.c7d02f2a65626p-6, 0x1.beb570d234af9p-6, 0x1.b5c1e22de3776p-6, 0x1.acf5067147fdep-6, 0x1.a44e618457c27p-6, 0x1.9bcd78045e86fp-6, 0x1.9371cf454eacdp-6, 0x1.8b3aed532e6bdp-6, 0x1.832858f39f11fp-6, 0x1.7b3999a77a14p-6, 0x1.736e37ac811e1p-6, 0x1.6bc5bbff24a88p-6, 0x1.643fb05c55cf2p-6, 0x1.5cdb9f436a747p-6, 0x1.559913f8086e2p-6, 0x1.4e779a842194ep-6, 0x1.4776bfb9efd46p-6, 0x1.40961135fc7ddp-6, 0x1.39d51d6129021p-6, 0x1.33337372b914bp-6, 0x1.2cb0a37260538p-6, 0x1.264c3e3a4999p-6, 0x1.2005d5791e4e2p-6, 0x1.19dcfbb40767ep-6, 0x1.13d14448a6a63p-6, 0x1.0de2436f0b9a9p-6, 0x1.080f8e3b9a9cp-6, 0x1.0258baa0ebfcap-6, 0x1.f97abee33e933p-7, 0x1.ee7a28c43f87p-7, 0x1.e3aee414bb29ap-7, 0x1.d91823ceedb15p-7, 0x1.ceb51cba99dbfp-7, 0x1.c485057028522p-7, 0x1.ba87165b84e59p-7, 0x1.b0ba89befa66bp-7, 0x1.a71e9bb5c9844p-7, 0x1.9db28a36b3008p-7, 0x1.947595164c6bp-7, 0x1.8b66fe0935e4ep-7, 0x1.828608a6200a3p-7, 0x1.79d1fa67abdcap-7, 0x1.714a1aae2bb72p-7, 0x1.68edb2c12bf65p-7, 0x1.60bc0dd0d9d9cp-7, 0x1.58b478f74466p-7, 0x1.50d643396c03ap-7, 0x1.4920bd8831c0bp-7, 0x1.41933ac116b7ap-7, 0x1.3a2d0faed49e8p-7, 0x1.32ed9309cf362p-7, 0x1.2bd41d785d315p-7, 0x1.24e0098ee8b73p-7, 0x1.1e10b3cfe7edcp-7, 0x1.17657aabb0ecfp-7, 0x1.10ddbe8024992p-7, 0x1.0a78e198359a6p-7, 0x1.0436482b492ffp-7, 0x1.fc2ab0b8e7205p-8, 0x1.f02af4731f19cp-8, 0x1.e46c2f7468e22p-8, 0x1.d8ed397d0c4d6p-8, 0x1.cdacee1bcc841p-8, 0x1.c2aa2cab03741p-8, 0x1.b7e3d84d7c83cp-8, 0x1.ad58d7eb0ff04p-8, 0x1.a308162cfdb68p-8, 0x1.98f0817a0e387p-8, 0x1.8f110bf274ad5p-8, 0x1.8568ab6b78b6cp-8, 0x1.7bf6596ae6896p-8, 0x1.72b913224abb9p-8, 0x1.69afd969f33f7p-8, 0x1.60d9b0bbc42c6p-8, 0x1.5835a12dd4848p-8, 0x1.4fc2b66cdc413p-8, 0x1.477fffb674359p-8, 0x1.3f6c8fd328103p-8, 0x1.37877d105cbb6p-8, 0x1.2fcfe13a0e357p-8, 0x1.2844d994620fcp-8, 0x1.20e586d516bf5p-8, 0x1.19b10d1ccc146p-8, 0x1.12a693f027f3dp-8, 0x1.0bc54630dab0ep-8, 0x1.050c521681a0ep-8, 0x1.fcf5d24ed9f07p-9, 0x1.f02080628c43bp-9, 0x1.e3971e8338f15p-9, 0x1.d758233cb1e87p-9, 0x1.cb620b7c2b5f4p-9, 0x1.bfb35a80c5b93p-9, 0x1.b44a99cbe5e2bp-9, 0x1.a926591167f5cp-9, 0x1.9e452e27ae66ap-9, 0x1.93a5b4f78d29bp-9, 0x1.89468f6c14325p-9, 0x1.7f2665623e5cp-9, 0x1.7543e49886feep-9, 0x1.6b9dc09e647dfp-9, 0x1.6232b2c3b2827p-9, 0x1.59017a0805b29p-9, 0x1.5008db09ef149p-9, 0x1.47479ff635506p-9, 0x1.3ebc9876ffdd9p-9, 0x1.366699a2f92fdp-9, 0x1.2e447dec68723p-9, 0x1.265525104c61ap-9, 0x1.1e97740568a58p-9, 0x1.170a54eb5f8a2p-9, 0x1.0facb6f9c3da3p-9, 0x1.087d8e6f2f38cp-9, 0x1.017bd480620d5p-9, 0x1.f54d0e8eca4p-10, 0x1.e7f953656e116p-10, 0x1.dafa86e9077f7p-10, 0x1.ce4ec1e3cb817p-10, 0x1.c1f4266475c32p-10, 0x1.b5e8df9cfb545p-10, 0x1.aa2b21c175a3cp-10, 0x1.9eb929e728802p-10, 0x1.93913de3a31dfp-10, 0x1.88b1ac2c202acp-10, 0x1.7e18cbb50205fp-10, 0x1.73c4fbd17f636p-10, 0x1.69b4a4138a7a4p-10, 0x1.5fe6342bd9fabp-10, 0x1.565823ca3a121p-10, 0x1.4d08f27e0296fp-10, 0x1.43f72796d3038p-10, 0x1.3b2152057c98fp-10, 0x1.3286083d3a337p-10, 0x1.2a23e81511c61p-10, 0x1.21f996a981464p-10, 0x1.1a05c03e6aa47p-10, 0x1.124718213ff1ap-10, 0x1.0abc588b6fb2p-10, 0x1.036442851c48bp-10, 0x1.f87b3b902abb6p-11, 0x1.ea8e7146267cap-11, 0x1.dcffcfba85083p-11, 0x1.cfcd0d3424c69p-11, 0x1.c2f3ec7a94428p-11, 0x1.b6723c9ed6e27p-11, 0x1.aa45d8c4c0f4p-11, 0x1.9e6ca7ece0adbp-11, 0x1.92e49cbf0c791p-11, 0x1.87abb5556dfdp-11, 0x1.7cbffb08492dfp-11, 0x1.721f823a45f93p-11, 0x1.67c86a25542fcp-11, 0x1.5db8dca8376d3p-11, 0x1.53ef0e14a6091p-11, 0x1.4a693cfe01283p-11, 0x1.4125b208b168ap-11, 0x1.3822bfba0fd7bp-11, 0x1.2f5ec2490ab47p-11, 0x1.26d81f6f42e48p-11, 0x1.1e8d463adbc0fp-11, 0x1.167caee0e2349p-11, 0x1.0ea4da9054a27p-11, 0x1.07045345bc7cbp-11, 0x1.ff33573edb2e3p-12, 0x1.f0c6fd64c6a74p-12, 0x1.e2c0dfbf6b9bcp-12, 0x1.d51e5555474aap-12, 0x1.c7dcc51e8d60ap-12, 0x1.baf9a5b3a417ap-12, 0x1.ae727cfcf1342p-12, 0x1.a244dfe3cbbe4p-12, 0x1.966e72049db9ap-12, 0x1.8aece562452acp-12, 0x1.7fbdfa1a84ae3p-12, 0x1.74df7e1bd3571p-12, 0x1.6a4f4cdc2680fp-12, 0x1.600b4f10fcbdp-12, 0x1.56117a68a3195p-12, 0x1.4c5fd14477f52p-12, 0x1.42f4627468a2cp-12, 0x1.39cd48f39be0cp-12, 0x1.30e8aba62f7dep-12, 0x1.2844bd180bdd4p-12, 0x1.1fdfbb3ce5aaep-12, 0x1.17b7ef3148603p-12, 0x1.0fcbacfcc6de5p-12, 0x1.081953552efd7p-12, 0x1.009f4b62dc708p-12, 0x1.f2b8110c2f3edp-13, 0x1.e49c103aed20cp-13, 0x1.d6e7a29a9d771p-13, 0x1.c997e990685f8p-13, 0x1.bcaa1930d8b88p-13, 0x1.b01b77d4d7d54p-13, 0x1.a3e95db0a365fp-13, 0x1.9811346caaaap-13, 0x1.8c9076c052065p-13, 0x1.8164b00eca078p-13, 0x1.768b7c05af0f1p-13, 0x1.6c02863d5fa6dp-13, 0x1.61c789db57d78p-13, 0x1.57d851365b784p-13, 0x1.4e32b57c45205p-13, 0x1.44d49e59c9e65p-13, 0x1.3bbc01a3b6858p-13, 0x1.32e6396f01249p-13, 0x1.2a52ac88258eap-13, 0x1.21fecd52799b8p-13, 0x1.19e8c6fee57d6p-13, 0x1.120ed14eb8d38p-13, 0x1.0a6f3046fd45fp-13, 0x1.030833e52783cp-13, 0x1.f7b06fab0a698p-14, 0x1.e9bb46562a065p-14, 0x1.dc2dd031b1e37p-14, 0x1.cf0507596a075p-14, 0x1.c23dfb1717b0dp-14, 0x1.b5d5cf5e0e3e6p-14, 0x1.a9c9bc490258p-14, 0x1.9e170d9b15fa4p-14, 0x1.92bb22433ced1p-14, 0x1.87b36be253b83p-14, 0x1.7cfd6e53fc5c4p-14, 0x1.7296bf39c5f45p-14, 0x1.687d05890ddc6p-14, 0x1.5eadf91b49a76p-14, 0x1.5527624061444p-14, 0x1.4be7195449f17p-14, 0x1.42eb06560721bp-14, 0x1.3a3120815d55cp-14, 0x1.31b76deae299ap-14, 0x1.297c031e0fb35p-14, 0x1.217d02bd7bfb4p-14, 0x1.19b89d2568135p-14, 0x1.122d10104f6fap-14, 0x1.0ad8a63d487a4p-14, 0x1.03b9b718cf55p-14, 0x1.f99d4cceeb76ep-15, 0x1.ec2bc7e3d762p-15, 0x1.df1bd6680ed5p-15, 0x1.d26a861956ab6p-15, 0x1.c614fae024d75p-15, 0x1.ba186e3763abap-15, 0x1.ae722e97f383cp-15, 0x1.a31f9ee777dadp-15, 0x1.981e35eb0a05fp-15, 0x1.8d6b7dbc3f7ccp-15, 0x1.8305134292ca4p-15, 0x1.78e8a5af67be9p-15, 0x1.6f13f5fd78f6fp-15, 0x1.6584d672f58cfp-15, 0x1.5c392a27b170dp-15, 0x1.532ee48cea5f8p-15, 0x1.4a6408f8d37f1p-15, 0x1.41d6aa351ddf3p-15, 0x1.3984ea0fcf214p-15, 0x1.316cf8ef31d66p-15, 0x1.298d15685b5b5p-15, 0x1.21e38bd854e1ep-15, 0x1.1a6eb5ffedc89p-15, 0x1.132cfaa1fdf6ep-15, 0x1.0c1ccd244432ep-15, 0x1.053cad32b13dep-15, 0x1.fd164cc948feap-16, 0x1.f00d9fcb79cc6p-16, 0x1.e35c983e47dc2p-16, 0x1.d70090c8e311dp-16, 0x1.caf6f944a4cb2p-16, 0x1.bf3d561e4f639p-16, 0x1.b3d13fbc2e7adp-16, 0x1.a8b061e74b8aep-16, 0x1.9dd87b39e8d98p-16, 0x1.93475c90602f1p-16, 0x1.88fae87edd43fp-16, 0x1.7ef112cab1132p-16, 0x1.7527dfe650488p-16, 0x1.6b9d6472980adp-16, 0x1.624fc4c1cea52p-16, 0x1.593d345e6f875p-16, 0x1.5063f5965fb1dp-16, 0x1.47c259072b4dcp-16, 0x1.3f56bd306285ap-16, 0x1.371f8e052d538p-16, 0x1.2f1b44846aa65p-16, 0x1.27486651a418cp-16, 0x1.1fa58551061d6p-16, 0x1.18313f47904f5p-16, 0x1.10ea3d7b61dd8p-16, 0x1.09cf345885706p-16, 0x1.02dee318913ddp-16, 0x1.f83026d756278p-17, 0x1.eaf33246b03a7p-17, 0x1.de04a3c30262cp-17, 0x1.d162499190bb8p-17, 0x1.c50a045e5c0fdp-17, 0x1.b8f9c6a5b0833p-17, 0x1.ad2f9421d3261p-17, 0x1.a1a9813c751cbp-17, 0x1.9665b2876e2fp-17, 0x1.8b625c33ae7fdp-17, 0x1.809dc19109c2p-17, 0x1.7616348f0746ap-17, 0x1.6bca15420d7ecp-17, 0x1.61b7d16d5506fp-17, 0x1.57dde40e77de7p-17, 0x1.4e3ad4ed24953p-17, 0x1.44cd382e9b3b3p-17, 0x1.3b93adeb7875bp-17, 0x1.328ce1c97b303p-17, 0x1.29b78a97f94c8p-17, 0x1.211269ef40233p-17, 0x1.189c4bd34a084p-17, 0x1.1054065910137p-17, 0x1.0838794e5697p-17, 0x1.00488de41da24p-17, 0x1.f1066cbb93d6fp-18, 0x1.e1cedb7ff3b48p-18, 0x1.d2e86f0565cdbp-18, 0x1.c4513e8bf75b5p-18, 0x1.b6077117bf5b7p-18, 0x1.a8093cdeab46fp-18, 0x1.9a54e6c785202p-18, 0x1.8ce8c1de46741p-18, 0x1.7fc32ed982b18p-18, 0x1.72e29b9f1beb1p-18, 0x1.664582ccbf79p-18, 0x1.59ea6b44f43f4p-18, 0x1.4dcfe7c0c6b1bp-18, 0x1.41f496615fce5p-18, 0x1.3657204bee95ep-18, 0x1.2af6394338d91p-18, 0x1.1fd09f4528eeep-18, 0x1.14e51a2f7b56ap-18, 0x1.0a327b632e6fap-18, 0x1.ff6f3ada73fa8p-19, 0x1.eae6c760ff5ffp-19, 0x1.d6c9742c615cbp-19, 0x1.c3152977c06c2p-19, 0x1.afc7df4dde163p-19, 0x1.9cdf9cf795c57p-19, 0x1.8a5a78690e6b2p-19, 0x1.783695b8c6276p-19, 0x1.66722695dcd41p-19, 0x1.550b69c9539eep-19, 0x1.4400aab73eccfp-19, 0x1.335040e62c38fp-19, 0x1.22f88f81559d5p-19, 0x1.12f804f6cd655p-19, 0x1.034d1a7c0069ep-19, 0x1.e7eca74e3cc98p-20, 0x1.c9e47c1eebd7bp-20, 0x1.ac7ee1bdb9735p-20, 0x1.8fb918f9098e8p-20, 0x1.739074572afa2p-20, 0x1.580257698af36p-20, 0x1.3d0c361951f8dp-20, 0x1.22ab94208fa03p-20, 0x1.08de04415df16p-20, 0x1.df424f98290b9p-21, }}, 
      {{-0x1.f1d76a7d14373p+0, -0x1.f0a53799048c5p+0, -0x1.eeac152eb078cp+0, -0x1.ebf3583f94267p+0, -0x1.e8848426e5e17p+0, -0x1.e46ac83ece9edp+0, -0x1.dfb2845aa7221p+0, -0x1.da68da3634de8p+0, -0x1.d49b4e68555bcp+0, -0x1.ce57793b3add4p+0, -0x1.c7aac697447aep+0, -0x1.c0a243a9b7f1bp+0, -0x1.b94a78ca19859p+0, -0x1.b1af4d760b6fp+0, -0x1.a9dbf5b96fca9p+0, -0x1.a1dae687ca3e7p+0, -0x1.99b5d0551fda3p+0, -0x1.91759e2569a3ep+0, -0x1.892278b91a346p+0, -0x1.80c3cbc19866fp+0, -0x1.78604e2f8e921p+0, -0x1.6ffe0a4a3b9aap+0, -0x1.67a268ba51b6dp+0, -0x1.5f523a0a26abfp+0, -0x1.5711c17c67e64p+0, -0x1.4ee4c017ca24bp+0, -0x1.46ce7de8f963dp+0, -0x1.3ed1d57d6c994p+0, -0x1.36f13d3ea1becp+0, -0x1.2f2ece18e1cd5p+0, -0x1.278c4f8d5fde6p+0, -0x1.200b3f9a2408ap+0, -0x1.18acd72562d5ap+0, -0x1.117211840fb05p+0, -0x1.0a5bb546c7855p+0, -0x1.036a5980eaee1p+0, -0x1.f93cd22ec26f6p-1, -0x1.ebf04f33c2105p-1, -0x1.deef6ddd2483bp-1, -0x1.d23a372150987p-1, -0x1.c5d07efe53187p-1, -0x1.b9b1ea1ab0a6bp-1, -0x1.adddf39d69381p-1, -0x1.a253f2a82ce44p-1, -0x1.97131f56fdf9ap-1, -0x1.8c1a972ea5cfap-1, -0x1.816960b5049c2p-1, -0x1.76fe6e5da192bp-1, -0x1.6cd8a159b133ap-1, -0x1.62f6cc8283664p-1, -0x1.5957b70a443cfp-1, -0x1.4ffa1ea2ae74fp-1, -0x1.46dcb9379ff55p-1, -0x1.3dfe36926dfcdp-1, -0x1.355d4190e3732p-1, -0x1.2cf8849abba78p-1, -0x1.24cea4805bc3cp-1, -0x1.1cde46c978523p-1, -0x1.15261168bf9e9p-1, -0x1.0da4ab8afb331p-1, -0x1.0658be44c364ap-1, -0x1.fe81ea5b7895cp-2, -0x1.f0b7fddff0226p-2, -0x1.e3511b97440fbp-2, -0x1.d64ab01b38262p-2, -0x1.c9a230f331202p-2, -0x1.bd551d533b6c8p-2, -0x1.b160fec74682bp-2, -0x1.a5c369c70f3p-2, -0x1.9a79fe2d8c2cp-2, -0x1.8f826792ad0d2p-2, -0x1.84da5d8c2fa1bp-2, -0x1.7a7fa3dd79d12p-2, -0x1.70700a9cb3a11p-2, -0x1.66a96e4f64988p-2, -0x1.5d29b7fde10f5p-2, -0x1.53eedd3cae272p-2, -0x1.4af6e02c96e7ap-2, -0x1.423fcf73bbdfap-2, -0x1.39c7c6320a4bfp-2, -0x1.318cebf21c0dp-2, -0x1.298d749595906p-2, -0x1.21c7a03ada2a9p-2, -0x1.1a39bb1a5d502p-2, -0x1.12e21d5b92711p-2, -0x1.0bbf2ae385f2fp-2, -0x1.04cf53202a2efp-2, -0x1.fc2221a5eaca8p-3, -0x1.ef05d3b7d7c27p-3, -0x1.e246de0976899p-3, -0x1.d5e2779534f9bp-3, -0x1.c9d5ec4ba8e8dp-3, -0x1.be1e9c9d1497cp-3, -0x1.b2b9fcfea07f1p-3, -0x1.a7a5956daf90cp-3, -0x1.9cdf00f404d26p-3, -0x1.9263ed2e6952dp-3, -0x1.883219d62ed64p-3, -0x1.7e47584ca8c49p-3, -0x1.74a18b2729e97p-3, -0x1.6b3ea5ba7abf2p-3, -0x1.621caba56159p-3, -0x1.5939b05aab85dp-3, -0x1.5093d6ab954dap-3, -0x1.4829505382f71p-3, -0x1.3ff85d85d7218p-3, -0x1.37ff4c7e70ceep-3, -0x1.303c79153bcd1p-3, -0x1.28ae4c54f86ebp-3, -0x1.21533c155dc4ep-3, -0x1.1a29d02d9bd9cp-3, -0x1.13308aa85799fp-3, -0x1.0c660c417b788p-3, -0x1.05c8fa4e2e86ep-3, -0x1.feb00a294d124p-4, -0x1.f223cee5a9836p-4, -0x1.e5eacd0f603f5p-4, -0x1.da02a2be772fap-4, -0x1.ce6901423ea3bp-4, -0x1.c31bac837106cp-4, -0x1.b8187a6ad6649p-4, -0x1.ad5d524c2fecap-4, -0x1.a2e82c555b9dfp-4, -0x1.98b711018f094p-4, -0x1.8ec81890cefc7p-4, -0x1.85196a838c299p-4, -0x1.7ba93d1a4d91fp-4, -0x1.7275d4d94f5e6p-4, -0x1.697d840fe9fedp-4, -0x1.60beaa63a4b4dp-4, -0x1.5837b45edb176p-4, -0x1.4fe71b02eb876p-4, -0x1.47cb635de6508p-4, -0x1.3fe31e23b5052p-4, -0x1.382ce74aac88dp-4, -0x1.30a765ab70755p-4, -0x1.29514aa40e831p-4, -0x1.222951be305dap-4, -0x1.1b2e405847351p-4, -0x1.145ee5519542p-4, -0x1.0dba18b8fff25p-4, -0x1.073ebb7e96b06p-4, -0x1.00ebb727c05fep-4, -0x1.f57ffb0bfd55cp-5, -0x1.e97510e06e3eap-5, -0x1.ddb4b2fce75b5p-5, -0x1.d23cf3900973dp-5, -0x1.c70bf347e37c2p-5, -0x1.bc1fe0d74610dp-5, -0x1.b176f87f54bdp-5, -0x1.a70f839d2f654p-5, -0x1.9ce7d83b80d27p-5, -0x1.92fe58a7cc5dp-5, -0x1.8951730b5896dp-5, -0x1.7fdfa1079b839p-5, -0x1.76a7675607ffdp-5, -0x1.6da7556b3330dp-5, -0x1.64de051d36329p-5, -0x1.5c4a1a4d3ce1ap-5, -0x1.53ea42942e678p-5, -0x1.4bbd34f254183p-5, -0x1.43c1b181e81b2p-5, -0x1.3bf6812c6e536p-5, -0x1.345a7562b99cbp-5, -0x1.2cec67d77e692p-5, -0x1.25ab3a3c56f23p-5, -0x1.1e95d60120b74p-5, -0x1.17ab2c159615p-5, -0x1.10ea34ad0f8d9p-5, -0x1.0a51ef045cec7p-5, -0x1.03e161299dff6p-5, -0x1.fb2f2f8c1ff5ep-6, -0x1.eee74bd373781p-6, -0x1.e2e949b1dc319p-6, -0x1.d73367b723ec9p-6, -0x1.cbc3f01c28622p-6, -0x1.c09938682205cp-6, -0x1.b5b1a119135abp-6, -0x1.ab0b954f50a37p-6, -0x1.a0a58a7bfe23fp-6, -0x1.967e001263e4fp-6, -0x1.8c937f3c0dd17p-6, -0x1.82e49a8f7f2efp-6, -0x1.796fedc97e5e5p-6, -0x1.70341d88c6ed9p-6, -0x1.672fd70c1334dp-6, -0x1.5e61cff266f91p-6, -0x1.55c8c5fd7d87p-6, -0x1.4d637ed648fa6p-6, -0x1.4530c7d3749e5p-6, -0x1.3d2f75c1cb713p-6, -0x1.355e64ae7d29dp-6, -0x1.2dbc77b32b3aap-6, -0x1.264898c3b28f2p-6, -0x1.1f01b87d9e512p-6, -0x1.17e6cdf93caaap-6, -0x1.10f6d69c40699p-6, -0x1.0a30d5ede9e37p-6, -0x1.0393d56ca1486p-6, -0x1.fa3dc8c9f3e87p-7, -0x1.eda22f941e847p-7, -0x1.e153141e5dda1p-7, -0x1.d54eb6057ec6dp-7, -0x1.c9935f54b7784p-7, -0x1.be1f644021c25p-7, -0x1.b2f122e16ca1dp-7, -0x1.a80702f6a8c4ep-7, -0x1.9d5f75a316c5p-7, -0x1.92f8f531eea01p-7, -0x1.88d204dafd41bp-7, -0x1.7ee930891c55ap-7, -0x1.753d0ca2575a1p-7, -0x1.6bcc35d1ced4fp-7, -0x1.629550d335158p-7, -0x1.59970a3fd66e7p-7, -0x1.50d0165d355aap-7, -0x1.483f30ed0eebdp-7, -0x1.3fe31cfed596p-7, -0x1.37baa4c2857dp-7, -0x1.2fc4995cd1492p-7, -0x1.27ffd2bc8f28dp-7, -0x1.206b2f716840bp-7, -0x1.19059461b2d7bp-7, -0x1.11cded2cade05p-7, -0x1.0ac32b32ef5cdp-7, -0x1.03e4460187b75p-7, -0x1.fa607611a10f7p-8, -0x1.ed4c1af32ca6p-8, -0x1.e0898c466556fp-8, -0x1.d416e6a5289c2p-8, -0x1.c7f25164504a6p-8, -0x1.bc19fe5538e13p-8, -0x1.b08c2988f2d99p-8, -0x1.a547191507071p-8, -0x1.9a491cd9caab3p-8, -0x1.8f908e4a2e65cp-8, -0x1.851bd034fe713p-8, -0x1.7ae94e8f8ae04p-8, -0x1.70f77e41a66a1p-8, -0x1.6744dcf2f54abp-8, -0x1.5dcff0d97c758p-8, -0x1.549748897238ep-8, -0x1.4b997ac635dfp-8, -0x1.42d5265471f2fp-8, -0x1.3a48f1cd57b7dp-8, -0x1.31f38b72f92a9p-8, -0x1.29d3a9059d3e6p-8, -0x1.21e8079a26421p-8, -0x1.1a2f6b717117ap-8, -0x1.12a89fd09f2c4p-8, -0x1.0b5276da5bcb9p-8, -0x1.042bc968fbdfap-8, -0x1.fa66edd3047fap-9, -0x1.ecd0ca6ef586ap-9, -0x1.df9300f351fecp-9, -0x1.d2ab75ff047d7p-9, -0x1.c6181a3edcf41p-9, -0x1.b9d6ea2b970fdp-9, -0x1.ade5edc956666p-9, -0x1.a24338688e4d1p-9, -0x1.96ece8684fb8fp-9, -0x1.8be126f9f156p-9, -0x1.811e27e60723p-9, -0x1.76a22952a2d06p-9, -0x1.6c6b738acc8f7p-9, -0x1.627858c743843p-9, -0x1.58c734f85b11ap-9, -0x1.4f566d910a64dp-9, -0x1.46247153196a5p-9, -0x1.3d2fb81c619bap-9, -0x1.3476c2b52c37dp-9, -0x1.2bf81a9f8e5f8p-9, -0x1.23b251e7d759p-9, -0x1.1ba402f5ec655p-9, -0x1.13cbd05fad2b3p-9, -0x1.0c2864bc4251ep-9, -0x1.04b872785accep-9, -0x1.faf567569b6d6p-10, -0x1.ecdbd3da4a75ap-10, -0x1.df21bc5af9368p-10, -0x1.d1c4c1168468fp-10, -0x1.c4c2905a8194dp-10, -0x1.b818e636fc617p-10, -0x1.abc58c32c93a1p-10, -0x1.9fc6590156bfap-10, -0x1.9419303a136dfp-10, -0x1.88bc0211400b3p-10, -0x1.7daccb1239047p-10, -0x1.72e993db2c944p-10, -0x1.687070da31521p-10, -0x1.5e3f820bb5478p-10, -0x1.5454f2ba48ed5p-10, -0x1.4aaef93fb88c4p-10, -0x1.414bd6c758fd9p-10, -0x1.3829d711b3b29p-10, -0x1.2f47503947b53p-10, -0x1.26a2a2789eae8p-10, -0x1.1e3a37f17da6cp-10, -0x1.160c84753a816p-10, -0x1.0e18054e3995fp-10, -0x1.065b410a83a21p-10, -0x1.fda98e8edfd52p-11, -0x1.ef0660fcc0ceep-11, -0x1.e0ca3ba515623p-11, -0x1.d2f271bf78e74p-11, -0x1.c57c671453a4cp-11, -0x1.b8658f9e7bed8p-11, -0x1.abab6f2e958cbp-11, -0x1.9f4b991074a13p-11, -0x1.9343afb26c452p-11, -0x1.8791644e46cbap-11, -0x1.7c3276941d676p-11, -0x1.7124b456ec18cp-11, -0x1.6665f93ad08d2p-11, -0x1.5bf42e651c775p-11, -0x1.51cd4a2dcdb78p-11, -0x1.47ef4fd2eb537p-11, -0x1.3e584f2d46aa7p-11, -0x1.35066466e319bp-11, -0x1.2bf7b7b2e0b5fp-11, -0x1.232a7d06e0328p-11, -0x1.1a9cf3d5e72ap-11, -0x1.124d66ccaf2b2p-11, -0x1.0a3a2b8f63969p-11, -0x1.0261a278c30c6p-11, -0x1.f5846cb531659p-12, -0x1.e6b4b87f27bc6p-12, -0x1.d851265cb172bp-12, -0x1.ca56c7dc07993p-12, -0x1.bcc2c1978c303p-12, -0x1.af924ac39e3e8p-12, -0x1.a2c2acbf0dd7ap-12, -0x1.965142a56977p-12, -0x1.8a3b78e431ffp-12, -0x1.7e7eccd2183ccp-12, -0x1.7318cc48598e5p-12, -0x1.6807153eabcedp-12, -0x1.5d475568fe158p-12, -0x1.52d749d76b0eap-12, -0x1.48b4be987a332p-12, -0x1.3edd8e5cfee22p-12, -0x1.354fa21e5943bp-12, -0x1.2c08f0c68aa55p-12, -0x1.23077eda07b12p-12, -0x1.1a495e23dbc5p-12, -0x1.11ccad632dd27p-12, -0x1.098f97fadfdf2p-12, -0x1.019055a2d15bdp-12, -0x1.f39a5435fa1eap-13, -0x1.e488c9c045bf2p-13, -0x1.d5e8c1c4c1ffcp-13, -0x1.c7b7087a2f5f5p-13, -0x1.b9f07fe15cd15p-13, -0x1.ac921f3b9afebp-13, -0x1.9f98f28477003p-13, -0x1.930219ee3d906p-13, -0x1.86cac96195f91p-13, -0x1.7af04800089a5p-13, -0x1.6f6fefa94a4ecp-13, -0x1.64472c8393d62p-13, -0x1.59737c860adf6p-13, -0x1.4ef26f06f6f32p-13, -0x1.44c1a44b51255p-13, -0x1.3adecd19d87eep-13, -0x1.3147aa503e552p-13, -0x1.27fa0c7adec09p-13, -0x1.1ef3d36ee5ab9p-13, -0x1.1632ede6d043ap-13, -0x1.0db559214bb37p-13, -0x1.057920820e10bp-13, -0x1.faf8ba6afc214p-14, -0x1.eb7a6babe5867p-14, -0x1.dc73bc26e3d53p-14, -0x1.cde12cba64f73p-14, -0x1.bfbf571aec327p-14, -0x1.b20aed2e7e15cp-14, -0x1.a4c0b86bfd342p-14, -0x1.97dd993e34aa9p-14, -0x1.8b5e866b0c61ep-14, -0x1.7f408c7d934abp-14, -0x1.7380cd34cb322p-14, -0x1.681c7ef503c4ap-14, -0x1.5d10ec3ccc1f6p-14, -0x1.525b731de2567p-14, -0x1.47f984b81b61dp-14, -0x1.3de8a4b94c39fp-14, -0x1.342668dea6694p-14, -0x1.2ab0787a14bbbp-14, -0x1.21848bfaafaa1p-14, -0x1.18a06c776204ep-14, -0x1.1001f33d15392p-14, -0x1.07a7095f80392p-14, -0x1.ff1b4e98d51c9p-15, -0x1.ef67a8c4b7479p-15, -0x1.e02f4d121d2cdp-15, -0x1.d16e8399f0559p-15, -0x1.c321affa5135ep-15, -0x1.b545509761badp-15, -0x1.a7d5fde0a88c6p-15, -0x1.9ad0699b63d69p-15, -0x1.8e315e3118e66p-15, -0x1.81f5be0397884p-15, -0x1.761a82c332553p-15, -0x1.6a9cbccbe904bp-15, -0x1.5f7992850549ep-15, -0x1.54ae3fc5154dp-15, -0x1.4a38153a54b15p-15, -0x1.401477d6965c9p-15, -0x1.3640e03ee95dep-15, -0x1.2cbada3fc8d79p-15, -0x1.23800443726dap-15, -0x1.1a8e0ecccd1e2p-15, -0x1.11e2bbf5fde52p-15, -0x1.097bdef1a3e0ep-15, -0x1.01575b8fe9e29p-15, -0x1.f2e64b8b95898p-16, -0x1.e39a8272fddcbp-16, -0x1.d4c7819f6225ap-16, -0x1.c6698c7a9e81p-16, -0x1.b87d03375aa6ap-16, -0x1.aafe61fdf028cp-16, -0x1.9dea4021b62d1p-16, -0x1.913d4f59639efp-16, -0x1.84f45afcc56ep-16, -0x1.790c4748f2735p-16, -0x1.6d8210a8ec14fp-16, -0x1.6252cb02a97ebp-16, -0x1.577ba1096aa88p-16, -0x1.4cf9d394d8a9bp-16, -0x1.42cab8fce437ep-16, -0x1.38ebbc78fda28p-16, -0x1.2f5a5d84cfb17p-16, -0x1.26142f483fd28p-16, -0x1.1d16d80546ea2p-16, -0x1.14601087c3fc3p-16, -0x1.0beda39a240f8p-16, -0x1.03bd6d7df51b6p-16, -0x1.f79ab6d075dc7p-17, -0x1.e836d6013363cp-17, -0x1.d94b53cc27cd3p-17, -0x1.cad46a6833955p-17, -0x1.bcce721ab1c9dp-17, -0x1.af35e053ecad5p-17, -0x1.a20746ce7ce03p-17, -0x1.953f52b65c07ap-17, -0x1.88dacbd873459p-17, -0x1.7cd637f61525ap-17, -0x1.712f4acef809p-17, -0x1.65e2ba2d433d2p-17, -0x1.5aedb0966d1e2p-17, -0x1.504d6f69947adp-17, -0x1.45ff4e2d1faa9p-17, -0x1.3c00b9e366a9ap-17, -0x1.324f3462da255p-17, -0x1.28e853b3929d4p-17, -0x1.1fc9c17104a38p-17, -0x1.16f13a32102c2p-17, -0x1.0e5c8cf20d5c5p-17, -0x1.06099a81bb8a2p-17, -0x1.fbeca9f0bb42ap-18, -0x1.ec417e5d4ae7bp-18, -0x1.dd0dd86fc44fcp-18, -0x1.ce4dfdc453109p-18, -0x1.bffe52709d005p-18, -0x1.b21b58166c1cbp-18, -0x1.a4a1acf2d52a1p-18, -0x1.978e0afc5e6adp-18, -0x1.8add470340c0ap-18, -0x1.7e8c4fdca7162p-18, -0x1.72982d9163cd1p-18, -0x1.66fe00905cc29p-18, -0x1.5bbb00eeb24b4p-18, -0x1.50cc7da3cfe89p-18, -0x1.462fdbd221d24p-18, -0x1.3be2961494eacp-18, -0x1.31e23bcf507c1p-18, -0x1.282c7087722fdp-18, -0x1.1ebeeb3d60624p-18, -0x1.159775cef5b64p-18, -0x1.0cb3ec5b0031fp-18, -0x1.04123cb057faap-18, -0x1.f760cb722ed5p-19, -0x1.e718edde2fb99p-19, -0x1.d7491fa5e8cd3p-19, -0x1.c7edbed122ef1p-19, -0x1.b903476b8546dp-19, -0x1.aa8652946078ap-19, -0x1.9c739580ecb4bp-19, -0x1.8ec7e09a5fb6fp-19, -0x1.81801e9f42085p-19, -0x1.749953c04917ep-19, -0x1.68109cce86587p-19, -0x1.5be32e7109e1p-19, -0x1.500e545d94756p-19, -0x1.448f708e49b6ep-19, -0x1.3963fa93983b7p-19, -0x1.2e897ed673bfp-19, -0x1.23fd9dec0783ep-19, -0x1.19be0bea885a6p-19, -0x1.0fc88fc57903dp-19, -0x1.061b02adaaee2p-19, -0x1.f9669eef699b6p-20, -0x1.e71ee40aca0cdp-20, -0x1.d55aed70f2bd8p-20, -0x1.c416f3b4ca32bp-20, -0x1.b34f4e590e478p-20, -0x1.a300729c0a166p-20, -0x1.9326f28cda8ccp-20, -0x1.83bf7c1653d19p-20, -0x1.74c6d80bb061bp-20, -0x1.6639e94944e82p-20, -0x1.5815abce052ddp-20, -0x1.4a5733ed7e8d9p-20, -0x1.3cfbad772bbf2p-20, -0x1.30005aee57ed6p-20, -0x1.236294c9d7e15p-20, -0x1.171fc8b9cc17dp-20, -0x1.0b3578e905156p-20, -0x1.ff4276a9ad155p-21, -0x1.e8c17233ce02dp-21, -0x1.d2e35bb60614bp-21, -0x1.bda3ce2b2cc1fp-21, -0x1.a8fe871d540d5p-21, -0x1.94ef65769713dp-21, -0x1.817268676232cp-21, -0x1.6e83ae4688c24p-21, -0x1.5c1f73870d96p-21, -0x1.4a4211c63994dp-21, -0x1.38e7fea7f6d45p-21, -0x1.280dcb0406569p-21, -0x1.17b021f402917p-21, -0x1.07cbc7fd7a941p-21, -0x1.f0bb342774c06p-22, -0x1.d2c519b8dffdap-22, -0x1.b5af57cb3f0bcp-22, -0x1.997431b7ee13fp-22, -0x1.7e0e158793447p-22, -0x1.63779a9f7f1b8p-22, -0x1.49ab803980764p-22, -0x1.30a4ac2db12ccp-22, -0x1.185e299edd558p-22, -0x1.00d327a852b49p-22, -0x1.d3fdf0a5ac0adp-23, -0x1.a7ba1e4e64a33p-23, -0x1.7cd20090e1283p-23, -0x1.533cfe95c69ddp-23, -0x1.2af2bc4a328acp-23, -0x1.03eb185d2714bp-23, -0x1.bc3c549dc3ca4p-24, -0x1.73088119ffb06p-24, -0x1.2c2bbd43905c5p-24, -0x1.cf2eedcd51b0bp-25, -0x1.4a7afe8053aa2p-25, -0x1.94401d3fd9c7bp-26, -0x1.380ceb82d9f9bp-27, 0x1.4fad69f99457p-28, 0x1.3bc855638e46ap-26, 0x1.0de1179882153p-25, 0x1.7a04aab5aef89p-25, 0x1.e2667d7ba06aep-25, 0x1.238ec82e0c82ap-24, 0x1.542028708e8f7p-24, 0x1.82f24deb9023fp-24, 0x1.b00fe2bb50806p-24, 0x1.db834d9402197p-24, 0x1.02ab5a2ec269ap-23, 0x1.16c9fefcbbfd6p-23, 0x1.2a226a367d2e5p-23, 0x1.3cb9534553de4p-23, 0x1.4e93552c242f3p-23, 0x1.5fb4eefb98f77p-23, 0x1.702284f783d47p-23, 0x1.7fe0613ca2d2dp-23, 0x1.8ef2b4b34f38ep-23, 0x1.9d5d97b7cb957p-23, 0x1.ab250acd161d1p-23, 0x1.b84cf7599deb7p-23, 0x1.c4d9307283be4p-23, 0x1.d0cd733d8d8a6p-23, 0x1.dc2d67f32f59fp-23, 0x1.e6fca214da9c2p-23, 0x1.f13ea12a30d67p-23, 0x1.faf6d18c1906bp-23, 0x1.02144649f8aa3p-22, 0x1.066b8ca4f0b73p-22, 0x1.0a82d677ebc57p-22, 0x1.0e5bb5a7d7df3p-22, 0x1.11f7b3d778824p-22, 0x1.1558524235cc8p-22, 0x1.187f0a47ba6f3p-22, 0x1.1b6d4d7daa5a9p-22, 0x1.1e2485c0a58eep-22, 0x1.20a615b880802p-22, 0x1.22f358d1dbb63p-22, 0x1.250da36f0de8fp-22, 0x1.26f6431ec3182p-22, 0x1.28ae7ed86d365p-22, 0x1.2a3796dc91e62p-22, 0x1.2b92c54881613p-22, 0x1.2cc13deb6349ap-22, }}, 
      {{-0x1.309130a94b2c5p-8, -0x1.4359ae9124aa7p-7, -0x1.0785e43ad1adbp-6, -0x1.813cfd4cd0b93p-6, -0x1.0796eb08a3abbp-5, -0x1.57935dec4279p-5, -0x1.ae96e7c2c8598p-5, -0x1.050eacb1dcf52p-4, -0x1.33b465bfdf42dp-4, -0x1.61deb5cb31dfbp-4, -0x1.8e462b97bad22p-4, -0x1.b7c833db56fa3p-4, -0x1.dd6f310a1cc3fp-4, -0x1.fe76707540adcp-4, -0x1.0d251d904d613p-3, -0x1.1842d525341f1p-3, -0x1.2077614a17b24p-3, -0x1.25b8b8a96dd27p-3, -0x1.280d4371b58e8p-3, -0x1.2788e64a9af56p-3, -0x1.244aa63f69205p-3, -0x1.1e79f0138bfa6p-3, -0x1.16448e71a468bp-3, -0x1.0bdce1f5fac36p-3, -0x1.feef41dcfb5c2p-4, -0x1.e2968a05f3181p-4, -0x1.c31cf5b792508p-4, -0x1.a0ec1435db62dp-4, -0x1.7c6cfb6b7879fp-4, -0x1.56055b9ccebe7p-4, -0x1.2e12e3e549aeap-4, -0x1.04ed0f2c0bd6dp-4, -0x1.b5d12118e84f5p-5, -0x1.60aa1542987e6p-5, -0x1.0af1fcd34ca52p-5, -0x1.6a4a94970173dp-6, -0x1.7ee0a2dc28071p-7, -0x1.6329da6c6cebcp-10, 0x1.214c96bc5ce45p-7, 0x1.34717462b9d71p-6, 0x1.d4a237dc166b8p-6, 0x1.385e26f71585cp-5, 0x1.8425a89a0ff8cp-5, 0x1.cd720fcd17cb8p-5, 0x1.0a0affe0a01a7p-4, 0x1.2bf755fcb85c2p-4, 0x1.4c716a9b3fa43p-4, 0x1.6b6fb2df3385ap-4, 0x1.88ea22c246e21p-4, 0x1.a4d9a63dd10e6p-4, 0x1.bf38abbc24983p-4, 0x1.d8040b34303aap-4, 0x1.ef3b84ee9bcf8p-4, 0x1.0270c1860a2c4p-3, 0x1.0c7babac78b5dp-3, 0x1.15c8154379489p-3, 0x1.1e5271d2a7fbdp-3, 0x1.261cc8b464085p-3, 0x1.2d2a43e44dd52p-3, 0x1.337f53a80627bp-3, 0x1.3921812d6c9cdp-3, 0x1.3e170646965b6p-3, 0x1.42665046c1d77p-3, 0x1.461594fa3a462p-3, 0x1.492a95237bd6dp-3, 0x1.4baa959897902p-3, 0x1.4d9a8649e0e46p-3, 0x1.4eff42eea7243p-3, 0x1.4fddd60250dcep-3, 0x1.503baacd018f5p-3, 0x1.501ea33b39a29p-3, 0x1.4f8d0f1ca178dp-3, 0x1.4e8d89ce54d13p-3, 0x1.4d26c8384689bp-3, 0x1.4b5f62ffef51fp-3, 0x1.493da805bad2p-3, 0x1.46c77b390bc63p-3, 0x1.44024a77f4a87p-3, 0x1.40f313b844867p-3, 0x1.3d9e79339eedap-3, 0x1.3a08dd5fb076ep-3, 0x1.36368031c700cp-3, 0x1.322b982cca0b6p-3, 0x1.2dec63794ca57p-3, 0x1.297d2f47d7d7ap-3, 0x1.24e2559941827p-3, 0x1.20203300d4557p-3, 0x1.1b3b16ea46524p-3, 0x1.1637316092b45p-3, 0x1.1118814d6d40ap-3, 0x1.0be2c5bdfeef8p-3, 0x1.069973ffaa10fp-3, 0x1.013fb37dc8ca3p-3, 0x1.f7b0beaedc4c8p-4, 0x1.eccc19a681ca6p-4, 0x1.e1d62a8d5245p-4, 0x1.d6d343868641ep-4, 0x1.cbc76dcaf9e9p-4, 0x1.c0b67ec55f28bp-4, 0x1.b5a428b658d21p-4, 0x1.aa9405d1d456ep-4, 0x1.9f899da04410ap-4, 0x1.9488651f4bfc2p-4, 0x1.8993ba981c5a4p-4, 0x1.7eaede67eb6a3p-4, 0x1.73dcea11f371dp-4, 0x1.6920c6ee395a2p-4, 0x1.5e7d25abacc46p-4, 0x1.53f477aaadbc8p-4, 0x1.4988eaed7c1cep-4, 0x1.3f3a4743e6435p-4, 0x1.350f60fdd6d02p-4, 0x1.2b064148f68aap-4, 0x1.212007e02f915p-4, 0x1.175db2add2ed1p-4, 0x1.0dc0246001daap-4, 0x1.044829ae620bcp-4, 0x1.f5ecfa5c0e60dp-5, 0x1.e39793695e40ep-5, 0x1.d19156d380723p-5, 0x1.bfdb5f73eaa6fp-5, 0x1.ae76a8e4908f3p-5, 0x1.9d640c9e65ea3p-5, 0x1.8ca43e9d5ce3dp-5, 0x1.7c37ca1ad60dep-5, 0x1.6c1f0ed81aa06p-5, 0x1.5c5a3f51fd249p-5, 0x1.4ce96012d40f6p-5, 0x1.3dcc4834a20f6p-5, 0x1.2f02a3060593ep-5, 0x1.208bf2acae202p-5, 0x1.126793902bfd3p-5, 0x1.0494c0502b4cfp-5, 0x1.ee252c116f7c9p-6, 0x1.d3c03158b470bp-6, 0x1.b9f86e8a5f991p-6, 0x1.a0cb9ff23168cp-6, 0x1.88376770cb687p-6, 0x1.7039530fd3a86p-6, 0x1.58cee2bd6a9fdp-6, 0x1.41f58d28ac424p-6, 0x1.2baac3be46b34p-6, 0x1.15ebf5c7262e1p-6, 0x1.00b692adde2cap-6, 0x1.d81016e6dff4cp-7, 0x1.afbba6c2b2eddp-7, 0x1.886ac01ad40dap-7, 0x1.6218519556d8fp-7, 0x1.3cbf4b5110c37p-7, 0x1.185a9c4a4ba1ap-7, 0x1.e9ca5ee66c887p-8, 0x1.a4b3d198eb734p-8, 0x1.616745890b62ap-8, 0x1.1fda5839b5ba3p-8, 0x1.c0051a27ec2f2p-9, 0x1.43aa98dcdc1e1p-9, 0x1.951f92507fc3ep-10, 0x1.527c672f681e7p-11, -0x1.e3d29d79036bep-13, -0x1.1c3596c37d39bp-10, -0x1.f61f2f3f5e2a8p-10, -0x1.653149f4c85b7p-9, -0x1.cc9575d631e75p-9, -0x1.18a8b7a4135eap-8, -0x1.49bd19abb9912p-8, -0x1.799228c257233p-8, -0x1.a831eb818cb7dp-8, -0x1.d5a61e48a40f4p-8, -0x1.00fc15e2577a4p-7, -0x1.169893a75c705p-7, -0x1.2bace4a1e4c39p-7, -0x1.403d36b1590dbp-7, -0x1.544d8992d3eb5p-7, -0x1.67e1affc488bap-7, -0x1.7afd518ccf017p-7, -0x1.8da3ed706a713p-7, -0x1.9fd8dd8f5ffd8p-7, -0x1.b19f5a1c0deap-7, -0x1.c2fa7d50410dfp-7, -0x1.d3ed472b0a58ep-7, -0x1.e47aa10296875p-7, -0x1.f4a560c28538bp-7, -0x1.023825db19dfcp-6, -0x1.09ef0c633aaecp-6, -0x1.1178b90de1ba5p-6, -0x1.18d67b0f63a2bp-6, -0x1.20099bed87ac9p-6, -0x1.27135f6732023p-6, -0x1.2df5031bbdc83p-6, -0x1.34afbdfd635c1p-6, -0x1.3b44bf9bde8cdp-6, -0x1.41b52f55447f7p-6, -0x1.48022b7ae6a55p-6, -0x1.4e2cc8776935ep-6, -0x1.54361001c0c3ap-6, -0x1.5a1f0067266c8p-6, -0x1.5fe88bf405305p-6, -0x1.65939881b43f3p-6, -0x1.6b20ff2cd81dp-6, -0x1.70918c3610d0fp-6, -0x1.75e5ff0ceb469p-6, -0x1.7b1f0a8354ed4p-6, -0x1.803d552667a3p-6, -0x1.854179b861b9ep-6, -0x1.8a2c07c6a9014p-6, -0x1.8efd84562bb7fp-6, -0x1.93b66a9ffd777p-6, -0x1.98572cd861ea5p-6, -0x1.9ce034f9e572ap-6, -0x1.a151e58f34eecp-6, -0x1.a5ac9a76694f5p-6, -0x1.a9f0a9997c892p-6, -0x1.ae1e63984705bp-6, -0x1.b236146141a8ep-6, -0x1.b63803b75fep-6, -0x1.ba2475a400e2dp-6, -0x1.bdfbaad5144a4p-6, -0x1.c1bde0e824078p-6, -0x1.c56b52a3bfb7bp-6, -0x1.c9043821293e8p-6, -0x1.cc88c6e8ac7f4p-6, -0x1.cff932030d719p-6, -0x1.d35827f439d4bp-6, -0x1.d69f0b96a8052p-6, -0x1.d9d25c253cfb2p-6, -0x1.dcf24d872353ep-6, -0x1.dfff106a91d0ap-6, -0x1.e2f8d20f3f815p-6, -0x1.e5dfbc1c1989cp-6, -0x1.e8b3f481fcdcp-6, -0x1.eb759d6c6ae75p-6, -0x1.ee24d540a64d9p-6, -0x1.f0c1b6ab50406p-6, -0x1.f34c58bbe2909p-6, -0x1.f5c4cf0d459fep-6, -0x1.f82b29fa3c671p-6, -0x1.fa7f76dc324f9p-6, -0x1.fcc1c052db2f7p-6, -0x1.fef20e92cbd23p-6, -0x1.008833dca9467p-5, -0x1.018e6811ce797p-5, -0x1.028ba563c7dbfp-5, -0x1.037fecc62ff83p-5, -0x1.046b3ed0c30e6p-5, -0x1.054d9be932093p-5, -0x1.0627046ad2aeep-5, -0x1.06f778cb51816p-5, -0x1.07bef9bc44ef1p-5, -0x1.087d88491ef1p-5, -0x1.093325f12689ep-5, -0x1.09dfd4bd7d034p-5, -0x1.0a839753142c8p-5, -0x1.0b1e7100948cdp-5, -0x1.0bb065c868a95p-5, -0x1.0c397a67119cdp-5, -0x1.0cb9b4561e05p-5, -0x1.0d3119cc0a57dp-5, -0x1.0d9fb1b96c716p-5, -0x1.0e0583c3d1713p-5, -0x1.0e62983eb7cdfp-5, -0x1.0eb6f8230c5e1p-5, -0x1.0f02ad0599dc6p-5, -0x1.0f45c10cc8273p-5, -0x1.0f803ee60d633p-5, -0x1.0fb231bb6628p-5, -0x1.0fdba52920014p-5, -0x1.0ffca5343b94cp-5, -0x1.10153e4194dfap-5, -0x1.10257d0e09d4dp-5, -0x1.102d6ea7b36c7p-5, -0x1.102d206852e96p-5, -0x1.10249ff0ebf38p-5, -0x1.1013fb26ad4b2p-5, -0x1.0ffb4030f45f8p-5, -0x1.0fda7d788c7f2p-5, -0x1.0fb1c1a7efefp-5, -0x1.0f811bac7de45p-5, -0x1.0f489ab899c33p-5, -0x1.0f084e4662036p-5, -0x1.0ec0461b153dap-5, -0x1.0e70924ad0f22p-5, -0x1.0e19433c99d7bp-5, -0x1.0dba69ae8f17ap-5, -0x1.0d5416ba11937p-5, -0x1.0ce65bd7d884ap-5, -0x1.0c714ae3bf63dp-5, -0x1.0bf4f6203f04ap-5, -0x1.0b717039750cbp-5, -0x1.0ae6cc47aaa39p-5, -0x1.0a551dd15028dp-5, -0x1.09bc78cc51c9bp-5, -0x1.091cf19ecfdefp-5, -0x1.08769d1f2cff7p-5, -0x1.07c9909373e4fp-5, -0x1.0715e1b019b4dp-5, -0x1.065ba6961dbcp-5, -0x1.059af5d0950a4p-5, -0x1.04d3e651a6805p-5, -0x1.04068f6f0834p-5, -0x1.033308de06f62p-5, -0x1.02596aaf27cfdp-5, -0x1.0179cd497ee84p-5, -0x1.00944965a6b71p-5, -0x1.ff51f0113c767p-6, -0x1.fd6fe4fccc36cp-6, -0x1.fb82a4a91b2c2p-6, -0x1.f98a62a97c13fp-6, -0x1.f78752fe5294ep-6, -0x1.f579aa0a4728ep-6, -0x1.f3619c8778374p-6, -0x1.f13f5f7d05f52p-6, -0x1.ef132834d30c9p-6, -0x1.ecdd2c31c1d14p-6, -0x1.ea9da126209afp-6, -0x1.e854bceab744bp-6, -0x1.e602b57629d1dp-6, -0x1.e3a7c0d4c49ffp-6, -0x1.e1441520d826fp-6, -0x1.ded7e87b75204p-6, -0x1.dc63710598916p-6, -0x1.d9e6e4d9d2fb4p-6, -0x1.d7627a063cf1cp-6, -0x1.d4d66686e6d82p-6, -0x1.d242e0408a0f3p-6, -0x1.cfa81cfba2484p-6, -0x1.cd06525fb54a4p-6, -0x1.ca5db5eef2ac5p-6, -0x1.c7ae7d020099fp-6, -0x1.c4f8dcc3f59fdp-6, -0x1.c23d0a2e8c2d5p-6, -0x1.bf7b3a06577d7p-6, -0x1.bcb3a0d74cf1ap-6, -0x1.b9e672f10a928p-6, -0x1.b713e4637f60ep-6, -0x1.b43c28fb74b03p-6, -0x1.b15f743f24e02p-6, -0x1.ae7df96ad0ad3p-6, -0x1.ab97eb6d6619dp-6, -0x1.a8ad7ce50c992p-6, -0x1.a5bee01bd0e4ep-6, -0x1.a2cc470422614p-6, -0x1.9fd5e33577e98p-6, -0x1.9cdbe5e8decb3p-6, -0x1.99de7ff589c24p-6, -0x1.96dde1cd6beb1p-6, -0x1.93da3b79c9dabp-6, -0x1.90d3bc97d97dep-6, -0x1.8dca945566e57p-6, -0x1.8abef16d85bcfp-6, -0x1.87b1022546464p-6, -0x1.84a0f448948dap-6, -0x1.818ef526fc2c7p-6, -0x1.7e7b3190ab605p-6, -0x1.7b65d5d373526p-6, -0x1.784f0db7e8086p-6, -0x1.7537047ea5a21p-6, -0x1.721de4dd9210fp-6, -0x1.6f03d8fd5b55ap-6, -0x1.6be90a7705eb4p-6, -0x1.68cda251a4b84p-6, -0x1.65b1c90017544p-6, -0x1.6295a65f1230ap-6, -0x1.5f7961b321d4cp-6, -0x1.5c5d21a6e935bp-6, -0x1.59410c4975dfp-6, -0x1.5625470cc55cfp-6, -0x1.5309f6c45cf2fp-6, -0x1.4fef3fa410776p-6, -0x1.4cd5453eea428p-6, -0x1.49bc2a86337b9p-6, -0x1.46a411c8a5eaap-6, -0x1.438d1cb1c3161p-6, -0x1.40776c49407c7p-6, -0x1.3d6320f2a6787p-6, -0x1.3a505a6d0e1b5p-6, -0x1.373f37d3001a8p-6, -0x1.342fd79a75832p-6, -0x1.31225795008afp-6, -0x1.2e16d4f00be51p-6, -0x1.2b0d6c354b58dp-6, -0x1.2806394b3d3cap-6, -0x1.25015775d8f96p-6, -0x1.21fee1574984bp-6, -0x1.1efef0f0e7e45p-6, -0x1.1c019fa4279e5p-6, -0x1.19070633c27e6p-6, -0x1.160f3cc4f1061p-6, -0x1.131a5ae0b6906p-6, -0x1.1028777559cb1p-6, -0x1.0d39a8d7db13p-6, -0x1.0a4e04c58d4c2p-6, -0x1.0765a065c4893p-6, -0x1.0480904b8f428p-6, -0x1.019ee87783f3fp-6, -0x1.fd8178b336cc8p-7, -0x1.f7cc3da6283bbp-7, -0x1.f21e4470cd5a9p-7, -0x1.ec77b0a6713e9p-7, -0x1.e6d8a4c8c4c17p-7, -0x1.e141424bd2683p-7, -0x1.dbb1a99a184a3p-7, -0x1.d629fa1888a26p-7, -0x1.d0aa522aa0e6p-7, -0x1.cb32cf365100cp-7, -0x1.c5c38da8153b9p-7, -0x1.c05ca8f6c2bbep-7, -0x1.bafe3ba77fa34p-7, -0x1.b5a85f517eab2p-7, -0x1.b05b2ca1a5a3ep-7, -0x1.ab16bb5e5e2ccp-7, -0x1.a5db226ae7c1dp-7, -0x1.a0a877cae2156p-7, -0x1.9b7ed0a593db8p-7, -0x1.965e414927bbdp-7, -0x1.9146dd2dc8e48p-7, -0x1.8c38b6f89dd61p-7, -0x1.8733e07e9d302p-7, -0x1.82386ac7681e8p-7, -0x1.7d46660fe138dp-7, -0x1.785de1ccd2ddcp-7, -0x1.737eecad4554ep-7, -0x1.6ea9949cf55p-7, -0x1.69dde6c696596p-7, -0x1.651bef95f64bep-7, -0x1.6063baba239b7p-7, -0x1.5bb553278152p-7, -0x1.5710c319b7ddp-7, -0x1.52761415a743ap-7, -0x1.4de54eeb48791p-7, -0x1.495e7bb790174p-7, -0x1.44e1a1e637348p-7, -0x1.406ec8337529cp-7, -0x1.3c05f4adecb79p-7, -0x1.37a72cb85380ep-7, -0x1.3352750b4375fp-7, -0x1.2f07d1b6f6936p-7, -0x1.2ac7462513cc6p-7, -0x1.2690d51a802ddp-7, -0x1.226480b91f8a5p-7, -0x1.1e424a81c22eep-7, -0x1.1a2a3355f1859p-7, -0x1.161c3b79db65ap-7, -0x1.121862965358cp-7, -0x1.0e1ea7bac7a1bp-7, -0x1.0a2f095f41ccbp-7, -0x1.064985668f392p-7, -0x1.026baec49437dp-7, -0x1.fd34b38ebbaa2p-8, -0x1.f5a62ce3a2754p-8, -0x1.ee2bc0a6e173p-8, -0x1.e6c564e4473d2p-8, -0x1.df730e999bd53p-8, -0x1.d834b1bc16ba9p-8, -0x1.d10a413dd8f11p-8, -0x1.c9f3af1398021p-8, -0x1.c2f0ec3a63badp-8, -0x1.bc01e8bda8271p-8, -0x1.b52693bd3a863p-8, -0x1.ae5edb738bf78p-8, -0x1.a7aaad3c193bfp-8, -0x1.a109f599f72c7p-8, -0x1.9a7ca03e7886cp-8, -0x1.9402981011a5fp-8, -0x1.8d9bc73117ebfp-8, -0x1.874817071f138p-8, -0x1.81077041f686p-8, -0x1.7ad9bae2f4a9cp-8, -0x1.74bede446366cp-8, -0x1.6eb6c120c85c4p-8, -0x1.68c1499a6eab8p-8, -0x1.62de5d42c0a0dp-8, -0x1.5d0de121cc256p-8, -0x1.574fb9bd874bep-8, -0x1.51a3cb212c3ap-8, -0x1.4c09f8e4606f3p-8, -0x1.4682263243462p-8, -0x1.410c35d061b94p-8, -0x1.3ba80a2547ea4p-8, -0x1.3655853eebd2ep-8, -0x1.311488d9105aep-8, -0x1.2be4f66315c9p-8, -0x1.26c6af0596f8dp-8, -0x1.21b993a7bda9ep-8, -0x1.1cbd84f43f454p-8, -0x1.17d2635dd3efp-8, -0x1.12f80f23bad31p-8, -0x1.0e2e68557650ep-8, -0x1.09754ed645713p-8, -0x1.04cca2605edf8p-8, -0x1.00344287cb576p-8, -0x1.f7581d79703c5p-9, -0x1.ee67cc9b5bcdap-9, -0x1.e59750d28916bp-9, -0x1.dce6683f87d3bp-9, -0x1.d454d0c8805dap-9, -0x1.cbe2481b3ab47p-9, -0x1.c38e8bae95fbdp-9, -0x1.bb5958c3a825ep-9, -0x1.b3426c66889d2p-9, -0x1.ab49836ec4cbdp-9, -0x1.a36e5a7fbd8f4p-9, -0x1.9bb0ae08c59e1p-9, -0x1.94103a4543df1p-9, -0x1.8c8cbb3cda417p-9, -0x1.8525ecc30c3a5p-9, -0x1.7ddb8a78517ccp-9, -0x1.76ad4fc9b766dp-9, -0x1.6f9af7f1b4acap-9, -0x1.68a43df90b168p-9, -0x1.61c8dcb7cd46bp-9, -0x1.5b088ed6dfc81p-9, -0x1.54630ed1c4fc4p-9, -0x1.4dd816f8d09eep-9, -0x1.47676173d451cp-9, -0x1.4110a844ebaf4p-9, -0x1.3ad3a54c58d4dp-9, -0x1.34b0124c49d83p-9, -0x1.2ea5a8ed36cc5p-9, -0x1.28b422c2cda36p-9, -0x1.22db395139d2dp-9, -0x1.1d1aa612f284p-9, -0x1.1772227eeea8dp-9, -0x1.11e1680ef3863p-9, -0x1.0c683046f5f67p-9, -0x1.070634bc1d18ep-9, -0x1.01bb2f1c6c32dp-9, -0x1.f90db26d603e7p-10, -0x1.eed1da05380e8p-10, -0x1.e4c24951e97dp-10, -0x1.dade7518638d9p-10, -0x1.d125d2a1768p-10, -0x1.c797d7cb7c4d1p-10, -0x1.be33fb1a95792p-10, -0x1.b4f9b3c989282p-10, -0x1.abe879da48de7p-10, -0x1.a2ffc6259795p-10, -0x1.9a3f1269a175cp-10, -0x1.91a5d959030e8p-10, -0x1.893396a785ec7p-10, -0x1.80e7c7162b52bp-10, -0x1.78c1e87e4cc16p-10, -0x1.70c179daac702p-10, -0x1.68e5fb4f78b21p-10, -0x1.612eee300040ap-10, -0x1.599bd50334477p-10, -0x1.522c3385ca744p-10, -0x1.4adf8eaa83e57p-10, -0x1.43b56c9853291p-10, -0x1.3cad54a6734fdp-10, -0x1.35c6cf565cf0dp-10, -0x1.2f01664b9ebe4p-10, -0x1.285ca441d1f75p-10, -0x1.21d815007a4cfp-10, -0x1.1b73454d5073fp-10, -0x1.152dc2dcbcd7cp-10, -0x1.0f071c419e28cp-10, -0x1.08fee0dad5159p-10, -0x1.0314a0c1654fbp-10, -0x1.fa8fd96a4ac31p-11, -0x1.ef30ac14060bbp-11, -0x1.e40add2a20a83p-11, -0x1.d91d91353e817p-11, -0x1.ce67ed7be961ep-11, -0x1.c3e917e2c7daep-11, -0x1.b9a036d302813p-11, -0x1.af8c71242b678p-11, -0x1.a5acee0c2bdb1p-11, -0x1.9c00d5149640ep-11, -0x1.92874e1695877p-11, -0x1.893f813dfecd9p-11, -0x1.80289712e765bp-11, -0x1.7741b88ae7fdcp-11, -0x1.6e8a0f20dceedp-11, -0x1.6600c4f3a901ap-11, -0x1.5da504eb18ce8p-11, -0x1.5575fae28c314p-11, -0x1.4d72d3d95648dp-11, -0x1.459abe25b993p-11, -0x1.3dece9acc1f32p-11, -0x1.3668881b66233p-11, -0x1.2f0ccd210952ap-11, -0x1.27d8eeaab3644p-11, -0x1.20cc251ab5d11p-11, -0x1.19e5ab82f3a22p-11, -0x1.1324bfd7749c9p-11, -0x1.0c88a31fd291fp-11, -0x1.061099a24bfdap-11, -0x1.ff77d616964fp-12, -0x1.f313c51bae761p-12, -0x1.e6f39dfbb7f5bp-12, -0x1.db1605c900473p-12, -0x1.cf79a91c04847p-12, -0x1.c41d3c220c4b1p-12, -0x1.b8ff7a9eb0a66p-12, -0x1.ae1f27e368878p-12, -0x1.a37b0eba50fb1p-12, -0x1.99120148641d8p-12, -0x1.8ee2d8e7642a2p-12, -0x1.84ec75f47badap-12, -0x1.7b2dbf9dbfbdcp-12, }}, 
      {{-0x1.04e411ced9ae8p-8, -0x1.0d3eac1975553p-7, -0x1.a7333f9559b46p-7, -0x1.2a6e571aa0f5fp-6, -0x1.8c3b7d408941cp-6, -0x1.f917da1b05e8bp-6, -0x1.3822e1872e61ap-5, -0x1.7834dbdc4a6afp-5, -0x1.bbdebc52c0e47p-5, -0x1.010f0d31f2b48p-4, -0x1.24f1ae884e59ap-4, -0x1.490ff7c8e22f7p-4, -0x1.6ce86e72f7be5p-4, -0x1.900337771647ap-4, -0x1.b1f48c85ec9f1p-4, -0x1.d25e2c708df8dp-4, -0x1.f0eff800bdbadp-4, -0x1.06b3f1bde0fe4p-3, -0x1.13c8c4eaed00ep-3, -0x1.1fa2a0708aa01p-3, -0x1.2a339d050daaap-3, -0x1.33731b2f3c6edp-3, -0x1.3b5d385658029p-3, -0x1.41f23982025a2p-3, -0x1.4735de84ab325p-3, -0x1.4b2efb68782d1p-3, -0x1.4de6db48fbcd6p-3, -0x1.4f68aa69e650cp-3, -0x1.4fc17e8e67835p-3, -0x1.4eff7dee3dfb7p-3, -0x1.4d31815b3d1a6p-3, -0x1.4a673794fadeap-3, -0x1.46b0de50f8476p-3, -0x1.421ea7ca78599p-3, -0x1.3cc08da09a223p-3, -0x1.36a681f0513f7p-3, -0x1.2fe0693fb91f6p-3, -0x1.287dc5963a761p-3, -0x1.208d734bd1804p-3, -0x1.181dada1a6251p-3, -0x1.0f3c342d04febp-3, -0x1.05f655e422572p-3, -0x1.f8b1aa158db52p-4, -0x1.e4df862efabf3p-4, -0x1.d08ce8d91bf0fp-4, -0x1.bbcf1e7926ef7p-4, -0x1.a6ba4557d15e5p-4, -0x1.9161679fa7894p-4, -0x1.7bd678437bef8p-4, -0x1.662a412395c9fp-4, -0x1.506c560f60d29p-4, -0x1.3aab185c35da4p-4, -0x1.24f3cb23361b9p-4, -0x1.0f52af6d79197p-4, -0x1.f3a4410923689p-5, -0x1.c8fcf9d07429p-5, -0x1.9ec1d439fa015p-5, -0x1.75041109e6517p-5, -0x1.4bd319a9b6bb9p-5, -0x1.233cbff54b1bap-5, -0x1.f69afa7fb65a7p-6, -0x1.a8214464f9939p-6, -0x1.5b20e22f2b0ebp-6, -0x1.0fac482bb3de1p-6, -0x1.8ba799ee12ccep-7, -0x1.f696545d3dd11p-8, -0x1.b96c44f19d8f7p-9, 0x1.b15456cefb62fp-11, 0x1.41ed2244a8617p-8, 0x1.233d45bef3231p-7, 0x1.a1e119c1dcceep-7, 0x1.0e6e45982967bp-6, 0x1.4a16394fc538bp-6, 0x1.83e7d735b7bdcp-6, 0x1.bbe3750085e44p-6, 0x1.f20a3fac08c18p-6, 0x1.132f1b05a2cp-5, 0x1.2c711446c144dp-5, 0x1.44ccdcaf76f6bp-5, 0x1.5c44ac7b5a341p-5, 0x1.72db1e68ad167p-5, 0x1.889327fa608bp-5, 0x1.9d700f2f72d79p-5, 0x1.b1755eac260d4p-5, 0x1.c4a6d9680cb66p-5, 0x1.d7086ed394287p-5, 0x1.e89e3031b0718p-5, 0x1.f96c47a9a56c8p-5, 0x1.04bb78ad6023ap-4, 0x1.0c613b3e8374p-4, 0x1.13a9952d49a73p-4, 0x1.1a96b45cbad06p-4, 0x1.212aca98189efp-4, 0x1.27680d6d64789p-4, 0x1.2d50b5fbf8a04p-4, 0x1.32e7008a1644ep-4, 0x1.382d2bc71f735p-4, 0x1.3d2577b2b2dap-4, 0x1.41d22432ecc24p-4, 0x1.46356f71162ebp-4, 0x1.4a51941c33c77p-4, 0x1.4e28c7b243f77p-4, 0x1.51bd38ecdf9b1p-4, 0x1.55110e666a1bcp-4, 0x1.58266584252edp-4, 0x1.5aff51a93db92p-4, 0x1.5d9ddbafb4e9ap-4, 0x1.6004019e8ad4p-4, 0x1.6233b690fd8f2p-4, 0x1.642ee2c0e9466p-4, 0x1.65f8b10b781bbp-4, 0x1.67902f447bbaep-4, 0x1.68f891c09f90cp-4, 0x1.6a339af1a030ap-4, 0x1.6b43038f15eb8p-4, 0x1.6c287a4c522fdp-4, 0x1.6ce5a38920675p-4, 0x1.6d7c1906226c1p-4, 0x1.6ded69a394cc5p-4, 0x1.6e3b192efd9ep-4, 0x1.6e66a04281b26p-4, 0x1.6e716c371055bp-4, 0x1.6e5cdf2a0f317p-4, 0x1.6e2a50163b5f5p-4, 0x1.6ddb0afec638bp-4, 0x1.6d70512aa743bp-4, 0x1.6ceb596d210f3p-4, 0x1.6c4d507782cbfp-4, 0x1.6b97592fbd662p-4, 0x1.6aca8d07484fdp-4, 0x1.69e7fc4e81668p-4, 0x1.68f0ae816645bp-4, 0x1.67e5a28bc90cfp-4, 0x1.66c7cf04201e5p-4, 0x1.6598225d40872p-4, 0x1.6457830fc40fep-4, 0x1.6306cfbc92e3dp-4, 0x1.61a6df4a71f79p-4, 0x1.603881004e286p-4, 0x1.5ebc7c9e3569p-4, 0x1.5d339276b97cap-4, 0x1.5b9e7b8a47313p-4, 0x1.59fde9a5ab699p-4, 0x1.58528784a565p-4, 0x1.569cf8f8ff1d9p-4, 0x1.54dddb1643d92p-4, 0x1.5315c461c4869p-4, 0x1.5145450680b3dp-4, 0x1.4f6ce70c059p-4, 0x1.4d8d2e8f9eaa7p-4, 0x1.4ba699feba07p-4, 0x1.49b9a251b42bp-4, 0x1.47c6bb460b1cep-4, 0x1.45ce5397372cdp-4, 0x1.43d0d5356c3c1p-4, 0x1.41cea5799c07ep-4, 0x1.3fc825565b883p-4, 0x1.3dbdb18564d52p-4, 0x1.3bafa2b1a7544p-4, 0x1.399e4d9e06e67p-4, 0x1.378a03490c3b1p-4, 0x1.3573110dedba9p-4, 0x1.3359c0c3562f7p-4, 0x1.313e58d87b8c2p-4, 0x1.2f211c70d0eb9p-4, 0x1.2d024b7eecad2p-4, 0x1.2ae222dec256ap-4, 0x1.28c0dc6fb6493p-4, 0x1.269eaf2e80bbp-4, 0x1.247bcf4f3abd4p-4, 0x1.22586e578577ep-4, 0x1.2034bb38ee43ep-4, 0x1.1e10e26b7c778p-4, 0x1.1bed0e084f072p-4, 0x1.19c965e438376p-4, 0x1.17a60faa2e8ecp-4, 0x1.15832ef559277p-4, 0x1.1360e56a97e27p-4, 0x1.113f52d153107p-4, 0x1.0f1e952b6c8fap-4, 0x1.0cfec8cc3e7eap-4, 0x1.0ae0086e82376p-4, 0x1.08c26d493590cp-4, 0x1.06a60f235758ap-4, 0x1.048b0466a8fp-4, 0x1.0271623171dfdp-4, 0x1.00593c674835cp-4, 0x1.fc854b8207ae5p-5, 0x1.f85b5fb7d17dcp-5, 0x1.f434d68ff9cb3p-5, 0x1.f011cf2b8d634p-5, 0x1.ebf266c690f5dp-5, 0x1.e7d6b8d0e11b1p-5, 0x1.e3bedf05e2b47p-5, 0x1.dfaaf18311621p-5, 0x1.db9b06dd9c40ep-5, 0x1.d78f3436fb20cp-5, 0x1.d3878d50b3ca2p-5, 0x1.cf84249f2e9a8p-5, 0x1.cb850b5bd3771p-5, 0x1.c78a51965e8c8p-5, 0x1.c39406456ef87p-5, 0x1.bfa2375673997p-5, 0x1.bbb4f1bcf0653p-5, 0x1.b7cc418104b0fp-5, 0x1.b3e831cd70003p-5, 0x1.b008ccfcf0c0cp-5, 0x1.ac2e1ca70458ep-5, 0x1.a85829ac1f652p-5, 0x1.a486fc4168b4dp-5, 0x1.a0ba9bfbbf13ap-5, 0x1.9cf30fda60137p-5, 0x1.99305e50ef738p-5, 0x1.95728d5113ec3p-5, 0x1.91b9a2536d8e5p-5, 0x1.8e05a2602d7d3p-5, 0x1.8a5692172ac63p-5, 0x1.86ac75b77346dp-5, 0x1.8307512673057p-5, 0x1.7f6727f6ae1ddp-5, 0x1.7bcbfd6e0f5d3p-5, 0x1.7835d48bca80dp-5, 0x1.74a4af74645cfp-5, 0x1.71188d93980afp-5, 0x1.6d91753b5cc44p-5, 0x1.6a0f6898a0a5cp-5, 0x1.669269a5b5db4p-5, 0x1.631a7a2e0731ap-5, 0x1.5fa79bd1a7037p-5, 0x1.5c39d008aa125p-5, 0x1.58d118265fe5dp-5, 0x1.556d755c5c5e9p-5, 0x1.520ee8bd473b8p-5, 0x1.4eb5733f92fdcp-5, 0x1.4b6115bfef314p-5, 0x1.4811d10397df7p-5, 0x1.44c7a5ba79bb7p-5, 0x1.4182948112c0ap-5, 0x1.3e429de23a2fap-5, 0x1.3b07c258a936dp-5, 0x1.37d202506b53ep-5, 0x1.34a15e27fcbap-5, 0x1.3175d63162638p-5, 0x1.2e4f6ab2fe3b2p-5, 0x1.2b2e1be855e6cp-5, 0x1.2811ea028e468p-5, 0x1.24fad528de82bp-5, 0x1.21e8dd78d9946p-5, 0x1.1edc03069a9abp-5, 0x1.1bd445dcd726bp-5, 0x1.18d1a5fcc85c7p-5, 0x1.15d4235e1522ap-5, 0x1.12dbbdee986ecp-5, 0x1.0fe875922c247p-5, 0x1.0cfa4a2241a4p-5, 0x1.0a113b6d95cafp-5, 0x1.072d4937c54a1p-5, 0x1.044e7338e371ep-5, 0x1.0174b91d0e2e7p-5, 0x1.fd403507de06fp-6, 0x1.f7a12e00a519bp-6, 0x1.f20c5c2f545dbp-6, 0x1.ec81be8333798p-6, 0x1.e70153cf0064cp-6, 0x1.e18b1ac81d013p-6, 0x1.dc1f12058faa7p-6, 0x1.d6bd37ff3b5d1p-6, 0x1.d1658b0d03755p-6, 0x1.cc180965f2f34p-6, 0x1.c6d4b11f917b5p-6, 0x1.c19b802ceba3cp-6, 0x1.bc6c745dfba9cp-6, 0x1.b7478b5ee51d4p-6, 0x1.b22cc2b72fd8ap-6, 0x1.ad1c17c951143p-6, 0x1.a81587d1b51c1p-6, 0x1.a3190fe6545a2p-6, 0x1.9e26acf5f9901p-6, 0x1.993e5bc7aec52p-6, 0x1.946018fa17e88p-6, 0x1.8f8be102fe017p-6, 0x1.8ac1b02e8cf73p-6, 0x1.8601829ee4629p-6, 0x1.814b544b85e41p-6, 0x1.7c9f2100d241p-6, 0x1.77fce45f7a8a6p-6, 0x1.736499dc1c306p-6, 0x1.6ed63cbeabd3dp-6, 0x1.6a51c82217af2p-6, 0x1.65d736f3d4e2bp-6, 0x1.616683f3877fp-6, 0x1.5cffa9b2978ecp-6, 0x1.58a2a293eb6c8p-6, 0x1.544f68cb978a6p-6, 0x1.5005f65e9b983p-6, 0x1.4bc64522bf548p-6, 0x1.47904ebe48a95p-6, 0x1.43640ca7e9608p-6, 0x1.3f417826a249bp-6, 0x1.3b288a51b9606p-6, 0x1.37193c10abb8fp-6, 0x1.3313861b4a5adp-6, 0x1.2f1760f9ace16p-6, 0x1.2b24c504555fap-6, 0x1.273baa64630a4p-6, 0x1.235c0913b1e26p-6, 0x1.1f85d8dd1c26dp-6, 0x1.1bb9115caf1aep-6, 0x1.17f5aa000d8a9p-6, 0x1.143b9a06a816p-6, 0x1.108ad8822af8p-6, 0x1.0ce35c56e13e6p-6, 0x1.09451c3c196a5p-6, 0x1.05b00ebcaa701p-6, 0x1.02242a37644d5p-6, 0x1.fd42c9bf35543p-7, 0x1.f64f697b4f76cp-7, 0x1.ef6e1f5f071bfp-7, 0x1.e89ed6d2b6a33p-7, 0x1.e1e17aec55805p-7, 0x1.db35f670c026cp-7, 0x1.d49c33d502c52p-7, 0x1.ce141d3fc026dp-7, 0x1.c79d9c8a8210cp-7, 0x1.c1389b4320229p-7, 0x1.bae502ad379c1p-7, 0x1.b4a2bbc39aafcp-7, 0x1.ae71af39f1187p-7, 0x1.a851c57e016cbp-7, 0x1.a242e6b966d01p-7, 0x1.9c44fad30a208p-7, 0x1.9657e970bb822p-7, 0x1.907b99f8d72d5p-7, 0x1.8aaff393cf7f4p-7, 0x1.84f4dd2dc685ep-7, 0x1.7f4a3d7869b13p-7, 0x1.79affaec422fep-7, 0x1.7425fbca8dd05p-7, 0x1.6eac261ef4b21p-7, 0x1.69425fc122d18p-7, 0x1.63e88e567db9bp-7, 0x1.5e9e9753cef36p-7, 0x1.59645ffef84e5p-7, 0x1.5439cd70d8046p-7, 0x1.4f1ec4969d4f5p-7, 0x1.4a132a33c5e0dp-7, 0x1.4516e2e3c809cp-7, 0x1.4029d31bbc758p-7, 0x1.3b4bdf2c15afap-7, 0x1.367ceb4266dcfp-7, 0x1.31bcdb6af1bd1p-7, 0x1.2d0b93928358p-7, 0x1.2868f7881a7c7p-7, 0x1.23d4eafe96d3fp-7, 0x1.1f4f518e644e8p-7, 0x1.1ad80eb72110ep-7, 0x1.166f05e16962cp-7, 0x1.12141a606a9cfp-7, 0x1.0dc72f73947e5p-7, 0x1.098828482b42p-7, 0x1.0556e7fb18564p-7, 0x1.0133519a57ffcp-7, 0x1.fa3a904d67ef3p-8, 0x1.f2295d2aa75b6p-8, 0x1.ea32cfa2b7c3p-8, 0x1.e256ad7af0d54p-8, 0x1.da94bc6ae3fp-8, 0x1.d2ecc21f71f12p-8, 0x1.cb5e843dc9636p-8, 0x1.c3e9c866b5738p-8, 0x1.bc8e54393d89fp-8, 0x1.b54bed55b5331p-8, 0x1.ae225960ecf67p-8, 0x1.a7115e06cae68p-8, 0x1.a018c0fd49edep-8, 0x1.993848074118fp-8, 0x1.926fb8f73308ap-8, 0x1.8bbed9b1fa36fp-8, 0x1.852570317bfcp-8, 0x1.7ea3428799804p-8, 0x1.783816e0576d7p-8, 0x1.71e3b38493c43p-8, 0x1.6ba5dedcc97d6p-8, 0x1.657e5f733b531p-8, 0x1.5f6cfbf6a0051p-8, 0x1.59717b3c50829p-8, 0x1.538ba442b4d9dp-8, 0x1.4dbb3e338c8f1p-8, 0x1.480010661d577p-8, 0x1.4259e2614b062p-8, 0x1.3cc87bddee3f4p-8, 0x1.374ba4c8b7c28p-8, 0x1.31e325445e4d9p-8, 0x1.2c8ec5ab4ef43p-8, 0x1.274e4e91c3a6p-8, 0x1.222188c7978dfp-8, 0x1.1d083d5a15412p-8, 0x1.180235958868fp-8, 0x1.130f3b07246e7p-8, 0x1.0e2f177e84696p-8, 0x1.0961950f3d59dp-8, 0x1.04a67e1255159p-8, 0x1.fffb3a4fd84dap-9, 0x1.f6cd7a70a2295p-9, 0x1.edc352eafb02p-9, 0x1.e4dc5ab8ff255p-9, 0x1.dc18296d06c7p-9, 0x1.d37657344cecp-9, 0x1.caf67cd8f794dp-9, 0x1.c29833c458c39p-9, 0x1.ba5b1601150cdp-9, 0x1.b23ebe3d1daedp-9, 0x1.aa42c7cb5a28fp-9, 0x1.a266cea5b065ep-9, 0x1.9aaa6f6e2d686p-9, 0x1.930d4771aba62p-9, 0x1.8b8ef4a8478f7p-9, 0x1.842f15b76d5b1p-9, 0x1.7ced49f2dfebdp-9, 0x1.75c9315e2b3c7p-9, 0x1.6ec26cae2d4ffp-9, 0x1.67d89d49944b7p-9, 0x1.610b654a5442bp-9, 0x1.5a5a677eb56f5p-9, 0x1.53c5476a19c93p-9, 0x1.4d4ba94629a42p-9, 0x1.46ed3202ff98ap-9, 0x1.40a98748cc7a1p-9, 0x1.3a804f781db4cp-9, 0x1.347131aa6b2b6p-9, 0x1.2e7bd5b2f6245p-9, 0x1.289fe41f33af8p-9, 0x1.22dd063797ep-9, 0x1.1d32e5ff9feep-9, 0x1.17a12e368bfd2p-9, 0x1.12278a57b65dep-9, 0x1.0cc5a69b06656p-9, 0x1.077b2ff4dcb94p-9, 0x1.0247d416ec0c3p-9, 0x1.fa5682dffe434p-10, 0x1.f04a4e58b103cp-10, 0x1.e66a6a6c245a8p-10, 0x1.dcb6386934e2fp-10, 0x1.d32d1b1af4246p-10, 0x1.c9ce76c7f10c3p-10, 0x1.c099b132a8852p-10, 0x1.b78ccc40dc639p-10, 0x1.aea9fd1c95898p-10, 0x1.a5ef472b26e71p-10, 0x1.9d5c1616e3bf4p-10, 0x1.94efd70539a7p-10, 0x1.8ca9f89636ec7p-10, 0x1.8489eae482b5p-10, 0x1.7c8f1f848ef39p-10, 0x1.74b9098424708p-10, 0x1.6d071d69cd0b4p-10, 0x1.6578d13410f24p-10, 0x1.5e0d9c584a057p-10, 0x1.56c4f7c28e722p-10, 0x1.4f9e5dd5046f7p-10, 0x1.48994a65ad0aep-10, 0x1.41b53abe3de06p-10, 0x1.3af1ad9b01ffap-10, 0x1.344e23295d5e2p-10, 0x1.2dca1d0721b45p-10, 0x1.27651e40756f8p-10, 0x1.211eab4f58f8dp-10, 0x1.1af64a19c953ap-10, 0x1.14eb81f04930bp-10, 0x1.0efddb8c56dd8p-10, 0x1.092ce10efc195p-10, 0x1.03781dfefca21p-10, 0x1.fbbe3e8e0864ep-11, 0x1.f0c2e668c1ca9p-11, 0x1.e5fd52e8dfc41p-11, 0x1.db6ca626b3c81p-11, 0x1.d11004f212b0bp-11, 0x1.c6e696d192669p-11, 0x1.bcef85fb13e6ep-11, 0x1.b329ff52dd215p-11, 0x1.a9953263b1b9dp-11, 0x1.a030515c808f1p-11, 0x1.96fa910b2ad5dp-11, 0x1.8df328d819eafp-11, 0x1.851952c1577fbp-11, 0x1.7c6c4b557b361p-11, 0x1.73eb51aece0f2p-11, 0x1.6b95a76ed73b8p-11, 0x1.636a90b940b64p-11, 0x1.5b69542cdae3ap-11, 0x1.53913ae1692acp-11, 0x1.4be190611c066p-11, 0x1.4459a2a25684dp-11, 0x1.3cf8c2037617cp-11, 0x1.35be4146765cep-11, 0x1.2ea975893fb1p-11, 0x1.27b9b64232019p-11, 0x1.20ee5d3a17c93p-11, 0x1.1a46c686ffa1fp-11, 0x1.13c25086d2f69p-11, 0x1.0d605bda1bc42p-11, 0x1.07204b5e5c77cp-11, 0x1.01018429a66e3p-11, 0x1.f606db063ae3dp-12, 0x1.ea4ae1c285507p-12, 0x1.decdf3c2887a3p-12, 0x1.d38eec86fdf28p-12, 0x1.c88cabcc42abbp-12, 0x1.bdc6157ee8153p-12, 0x1.b33a11b35ec1p-12, 0x1.a8e78c98f5c72p-12, 0x1.9ecd76728d53fp-12, 0x1.94eac388a841ap-12, 0x1.8b3e6c2389a3fp-12, 0x1.81c76c7eddf51p-12, 0x1.7884c4c04ae73p-12, 0x1.6f7578ebe3ae6p-12, 0x1.669890dd0162fp-12, 0x1.5ded183a2fbc6p-12, 0x1.55721e6d3ed89p-12, 0x1.4d26b696b65dp-12, 0x1.4509f787c105dp-12, 0x1.3d1afbb3eda14p-12, 0x1.3558e12bfe807p-12, 0x1.2dc2c990fc382p-12, 0x1.2657da0c8a0f6p-12, 0x1.1f173b44d3a09p-12, 0x1.18001955b1589p-12, 0x1.1111a3c6387a8p-12, 0x1.0a4b0d7da0007p-12, 0x1.03ab8cbb630c3p-12, 0x1.fa64b617c9db4p-13, 0x1.edbd6a822f10fp-13, 0x1.e15fb6cf33b44p-13, 0x1.d54a2179a900fp-13, 0x1.c97b374b67c22p-13, 0x1.bdf18b49cdd42p-13, 0x1.b2abb6a352dfbp-13, 0x1.a7a8589e7a901p-13, 0x1.9ce6167ff5944p-13, 0x1.92639b7df4545p-13, 0x1.881f98ab10ed1p-13, 0x1.7e18c4de993cfp-13, 0x1.744ddcab1c74dp-13, 0x1.6abda2438a7edp-13, 0x1.6166dd6a1095fp-13, 0x1.58485b5dcf551p-13, 0x1.4f60eec7ace3cp-13, 0x1.46af6fa75efb9p-13, 0x1.3e32bb40bfafbp-13, 0x1.35e9b4092a5p-13, 0x1.2dd34194d7655p-13, 0x1.25ee50844e4bdp-13, 0x1.1e39d272d3013p-13, 0x1.16b4bde38fb01p-13, 0x1.0f5e0e3131228p-13, 0x1.0834c377558a2p-13, 0x1.0137e286e29d6p-13, 0x1.f4cce9a63dd92p-14, 0x1.e77f10bda6a42p-14, 0x1.da845f5806a24p-14, 0x1.cddb035a0075dp-14, 0x1.c181335e9d545p-14, 0x1.b5752ea395638p-14, 0x1.a9b53ce1eb43bp-14, 0x1.9e3fae2f949d4p-14, 0x1.9312dae084269p-14, 0x1.882d23695db52p-14, 0x1.7d8cf03ece4c4p-14, 0x1.7330b1bfec49fp-14, 0x1.6916e00d5422ep-14, 0x1.5f3dfaf563994p-14, 0x1.55a489cfc47a8p-14, 0x1.4c491b6b34837p-14, 0x1.432a45ebcff05p-14, 0x1.3a46a6ae95ccfp-14, 0x1.319ce22e7f6dbp-14, 0x1.292ba3ecac0a9p-14, 0x1.20f19e50225e1p-14, 0x1.18ed8a9174b89p-14, 0x1.111e289729518p-14, 0x1.09823ee02f87ap-14, 0x1.02189a66db767p-14, 0x1.f5c01d12502b1p-15, 0x1.e7aee9d1ffe65p-15, 0x1.d9fb5aa836b22p-15, 0x1.cca33b4ca45eap-15, 0x1.bfa4637379ad5p-15, 0x1.b2fcb66fc546ap-15, 0x1.a6aa23209c312p-15, 0x1.9aaaa3aa4820bp-15, 0x1.8efc3d421b3ap-15, 0x1.839d00044c54fp-15, 0x1.788b06b66b978p-15, 0x1.6dc4769299805p-15, 0x1.63477f164c06cp-15, 0x1.591259d3eacb4p-15, 0x1.4f234a2d89b79p-15, 0x1.45789d3db8e3fp-15, 0x1.3c10a98f1f609p-15, }}, 
      {{-0x1.6549e21a910cap-3, -0x1.e281bb454b0abp-3, -0x1.4b1680964803dp-2, -0x1.b27fb409909dap-2, -0x1.0dc53a2e54c06p-1, -0x1.3e816886c76c7p-1, -0x1.684a4db410491p-1, -0x1.893ed63ee4f74p-1, -0x1.a08a8dce3fef8p-1, -0x1.ae25f6599692cp-1, -0x1.b29c23afba2b6p-1, -0x1.aed9531ac7ceep-1, -0x1.a402bb3ba5b0ap-1, -0x1.9357a6c7cc53p-1, -0x1.7e1a421b6e29bp-1, -0x1.657f36eab233cp-1, -0x1.4aa2a21d1f26fp-1, -0x1.2e818396b742fp-1, -0x1.11f6a2ab23543p-1, -0x1.eb736d46057bbp-2, -0x1.b4c1103b069c9p-2, -0x1.80c2130e64b5cp-2, -0x1.50288834b6516p-2, -0x1.237374ee801fp-2, -0x1.f5ea1a032897cp-3, -0x1.adb3ef8a60302p-3, -0x1.6e5fbca8060b2p-3, -0x1.37d4217b7b424p-3, -0x1.09d0d5f67752fp-3, -0x1.c7ec95ee28c69p-4, -0x1.8b973c4ed9018p-4, -0x1.5d8eec0c6bf62p-4, -0x1.3cafe82a089b4p-4, -0x1.27cba05ab4223p-4, -0x1.1dabfbdf3883fp-4, -0x1.1d1b667ac75fp-4, -0x1.24ee763ab06eap-4, -0x1.3408700ea6926p-4, -0x1.495a75d2c9e4cp-4, -0x1.63e283c51e023p-4, -0x1.82ad9298e06c9p-4, -0x1.a4db654a5e087p-4, -0x1.c9a099ae21e25p-4, -0x1.f0458edf77129p-4, -0x1.0c11ce2b3108bp-3, -0x1.20517ea0eb81fp-3, -0x1.349d44b4afbb4p-3, -0x1.48b8468667dcp-3, -0x1.5c6da691f6318p-3, -0x1.6f9023c2d87b1p-3, -0x1.81f927b12cef2p-3, -0x1.9387b0ce74132p-3, -0x1.a41f85535071dp-3, -0x1.b3a8d73bb9028p-3, -0x1.c2114ba364ebp-3, -0x1.cf434f21d5d0cp-3, -0x1.db3a99f72eca4p-3, -0x1.e5f0f61a1fa74p-3, -0x1.ef625e2691afep-3, -0x1.f78c835fda00fp-3, -0x1.fe6eb31b871c7p-3, -0x1.0204fe5885596p-2, -0x1.0430b5cf3ae1bp-2, -0x1.05bd1638f42fcp-2, -0x1.06adc1097153ap-2, -0x1.070742bad5a4cp-2, -0x1.06cede09f97d4p-2, -0x1.060a4e1c61719p-2, -0x1.04bf8bd8a4f2dp-2, -0x1.02f49feb9cd2ap-2, -0x1.00af866c5bde2p-2, -0x1.fbec48eaa1783p-3, -0x1.f59c98bded8d6p-3, -0x1.ee7b9604e0d23p-3, -0x1.e694ef4226127p-3, -0x1.ddf4814c3f61ap-3, -0x1.d4a662531b973p-3, -0x1.cab6dada888a9p-3, -0x1.c0324dcfd0ffep-3, -0x1.b52514847596fp-3, -0x1.a99b553e6e2dbp-3, -0x1.9da0db28263a7p-3, -0x1.9140f527faba2p-3, -0x1.84865f2b8c93ap-3, -0x1.777b3751985b6p-3, -0x1.6a28fe74ec5d6p-3, -0x1.5c98a21f02f7p-3, -0x1.4ed28ceeaac4dp-3, -0x1.40deba0ffc28bp-3, -0x1.32c4c87906087p-3, -0x1.248c0b27f7c9ep-3, -0x1.163b947b3477p-3, -0x1.07da3bc066877p-3, -0x1.f2dd3a333d622p-4, -0x1.d5fe295e4ac6cp-4, -0x1.b9236d6bbe7e7p-4, -0x1.9c588c1fd8793p-4, -0x1.7fa85678d6c51p-4, -0x1.631cd9fe243abp-4, -0x1.46bf57721ea5cp-4, -0x1.2a983fe85a207p-4, -0x1.0eaf3862c2a61p-4, -0x1.e61646bf5ad13p-5, -0x1.af645e7481fddp-5, -0x1.7953cfcd5d4e9p-5, -0x1.43ee94d5a431p-5, -0x1.0f3db0eeab2ffp-5, -0x1.b692aac2076e5p-6, -0x1.50320205d5e99p-6, -0x1.d6ce65a2392c4p-7, -0x1.0ff3c67ad42bdp-7, -0x1.33898d5753bb8p-9, 0x1.cac5506db7799p-9, 0x1.2eb2c194bfd61p-7, 0x1.e7102a5df52ep-7, 0x1.4ddd607439691p-6, 0x1.a6534f24bfae2p-6, 0x1.fce5553c4bdeap-6, 0x1.28c81d00db334p-5, 0x1.5228fe591f181p-5, 0x1.7a94d9d248bep-5, 0x1.a20bb3f4f4559p-5, 0x1.c88df7cfe4493p-5, 0x1.ee1c648fcb7cbp-5, 0x1.095bfe41478afp-4, 0x1.1b30fb2a51edfp-4, 0x1.2c8dd88dd135cp-4, 0x1.3d7355befc57bp-4, 0x1.4de23f0225fdcp-4, 0x1.5ddb6c31844f6p-4, 0x1.6d5fc0abbbd32p-4, 0x1.7c702c46ee4aap-4, 0x1.8b0dacf7b72cfp-4, 0x1.993950d78b7dfp-4, 0x1.a6f43838bcd0cp-4, 0x1.b43f977ee9ccfp-4, 0x1.c11cb87f9ee6ap-4, 0x1.cd8cfb3ede01p-4, 0x1.d991d5ecd0368p-4, 0x1.e52cd41bacfc8p-4, 0x1.f05f953578401p-4, 0x1.fb2bca474e9b4p-4, 0x1.02c999a1a5dd7p-3, 0x1.07cbcdf0ba744p-3, 0x1.0c9d6c25e051fp-3, 0x1.113f60e0f3fb4p-3, 0x1.15b299af370b2p-3, 0x1.19f80390bcd83p-3, 0x1.1e1089af5f8d1p-3, 0x1.21fd1451df363p-3, 0x1.25be88116823dp-3, 0x1.2955c5535494p-3, 0x1.2cc3a80511154p-3, 0x1.300907943f198p-3, 0x1.3326b71a6ede6p-3, 0x1.361d85b1989f2p-3, 0x1.38ee3ee54926fp-3, 0x1.3b99ab34197ebp-3, 0x1.3e20909597fp-3, 0x1.4083b2f9e3d51p-3, 0x1.42c3d4ba2f857p-3, 0x1.44e1b6f34caeap-3, 0x1.46de19c5e2771p-3, 0x1.48b9bc7a1fc15p-3, 0x1.4a755d86ea6f5p-3, 0x1.4c11ba7e65c2p-3, 0x1.4d8f8fe326d11p-3, 0x1.4eef98ea8e976p-3, 0x1.50328f315f67cp-3, 0x1.51592a67ed7ecp-3, 0x1.52641ffb30e55p-3, 0x1.535422bfa0b88p-3, 0x1.5429e2a1fd87dp-3, 0x1.54e60c617b45ap-3, 0x1.55894955c9642p-3, 0x1.56143f42824cbp-3, 0x1.56879038b765bp-3, 0x1.56e3da867add8p-3, 0x1.5729b8b39f8dep-3, 0x1.5759c18a67c1fp-3, 0x1.5774882a678b8p-3, 0x1.577a9c23bfaap-3, 0x1.576c899894fp-3, 0x1.574ad962c7bb8p-3, 0x1.5716113bed56p-3, 0x1.56ceb3e5c71d2p-3, 0x1.56754151a73afp-3, 0x1.560a36c581dffp-3, 0x1.558e0efdab062p-3, 0x1.5501424a9ee54p-3, 0x1.546446aa76f96p-3, 0x1.53b78fde13861p-3, 0x1.52fb8f7a13fabp-3, 0x1.5230b4f42308cp-3, 0x1.51576dad1435bp-3, 0x1.507024f88496ap-3, 0x1.4f7b4422a8794p-3, 0x1.4e793274f2618p-3, 0x1.4d6a553a2c694p-3, 0x1.4c4f0fc27e464p-3, 0x1.4b27c367cfab9p-3, 0x1.49f4cf92c2d78p-3, 0x1.48b691c072673p-3, 0x1.476d65890164ap-3, 0x1.4619a4a6f05c9p-3, 0x1.44bba6ff1fbcfp-3, 0x1.4353c2a95b6bep-3, 0x1.41e24bf933c5bp-3, 0x1.406795870296ap-3, 0x1.3ee3f038ebae4p-3, 0x1.3d57ab4b9c5bep-3, 0x1.3bc3145ac72fcp-3, 0x1.3a267769281bfp-3, 0x1.38821ee8163c2p-3, 0x1.36d653be928ccp-3, 0x1.35235d4fe60c5p-3, 0x1.33698181e460cp-3, 0x1.31a904c2d768cp-3, 0x1.2fe22a0f46bcap-3, 0x1.2e1532f7b4a0ap-3, 0x1.2c425fa664a4bp-3, 0x1.2a69eee559ae2p-3, 0x1.288d2ea766441p-3, 0x1.26aa20a8ba788p-3, 0x1.24c2235952712p-3, 0x1.22d571655577ep-3, 0x1.20e444523c067p-3, 0x1.1eeed47cfcb43p-3, 0x1.1cf5591896608p-3, 0x1.1af8082d2d425p-3, 0x1.18f71697de0bfp-3, 0x1.16f2b80b6267dp-3, 0x1.14eb1f119f6eep-3, 0x1.12e07d0e1d37fp-3, 0x1.10d3024174b14p-3, 0x1.0ec2ddcd9dc7p-3, 0x1.0cb03dbb16cd5p-3, 0x1.0a9b4efed5587p-3, 0x1.08843d80d2c5bp-3, 0x1.066b34233475ap-3, 0x1.04505cc9d3051p-3, 0x1.0233e06217ba2p-3, 0x1.0015e6eaf6f88p-3, 0x1.fbed2efa06abbp-4, 0x1.f7ac30a4bcc24p-4, 0x1.f3691d9cf2112p-4, 0x1.ef243f0b1d04bp-4, 0x1.eadddc875eff7p-4, 0x1.e6963c26c25d7p-4, 0x1.e24da2876445bp-4, 0x1.de0452db7a732p-4, 0x1.d9ba8ef334f6dp-4, 0x1.d570974566d4dp-4, 0x1.d126aaf705538p-4, 0x1.ccdd07e1736d1p-4, 0x1.c893ea97c39cap-4, 0x1.c44b8e6af38c7p-4, 0x1.c0042d6d3a44cp-4, 0x1.bbbe007494d76p-4, 0x1.b7793f1c96cecp-4, 0x1.b3361fc7c4bedp-4, 0x1.aef4d7a0702c3p-4, 0x1.aab59a99541dep-4, 0x1.a6789b6e05b49p-4, 0x1.a23e0ba35167cp-4, 0x1.9e061b87b9af4p-4, 0x1.99d0fa33f9327p-4, 0x1.959ed58be8e2cp-4, 0x1.916fda3f88ec5p-4, 0x1.8d4433cc7fb12p-4, 0x1.891c0c7fec548p-4, 0x1.84f78d789f7c8p-4, 0x1.80d6dea9c2e7fp-4, 0x1.7cba26dde794ap-4, 0x1.78a18bba72e47p-4, 0x1.748d31c373e88p-4, 0x1.707d3c5fc2bcp-4, 0x1.6c71cddd777adp-4, 0x1.686b07769686dp-4, 0x1.64690955fbf3fp-4, 0x1.606bf29c66f9fp-4, 0x1.5c73e165a72c5p-4, 0x1.5880f2cdd7985p-4, 0x1.549342f69ce09p-4, 0x1.50aaed0c60b54p-4, 0x1.4cc80b4b796b1p-4, 0x1.48eab7053b678p-4, 0x1.451308a4e7046p-4, 0x1.414117b471ae3p-4, 0x1.3d74fae12227p-4, 0x1.39aec7fffb866p-4, 0x1.35ee9411f58fep-4, 0x1.3234734802316p-4, 0x1.2e807906da898p-4, 0x1.2ad2b7ea9a242p-4, 0x1.272b41ca26ac1p-4, 0x1.238a27ba66e15p-4, 0x1.1fef7a114c2c5p-4, 0x1.1c5b4868b4418p-4, 0x1.18cda1a1227c8p-4, 0x1.154693e45b7f5p-4, 0x1.11c62ca7e5339p-4, 0x1.0e4c78af6dfd2p-4, 0x1.0ad9840f27c9ep-4, 0x1.076d5a2e0fc6ap-4, 0x1.040805c83452bp-4, 0x1.00a990f0f5d88p-4, 0x1.faa40a2a90b66p-5, 0x1.f402d5fbfa905p-5, 0x1.ed6f95a41929bp-5, 0x1.e6ea5831e5f1cp-5, 0x1.e0732b7a26ff9p-5, 0x1.da0a1c1c5d7bfp-5, 0x1.d3af3587c16bp-5, 0x1.cd62820066453p-5, 0x1.c7240aa480499p-5, 0x1.c0f3d771b72e9p-5, 0x1.bad1ef4aa6363p-5, 0x1.b4be57fc68ec7p-5, 0x1.aeb916443f793p-5, 0x1.a8c22dd548c21p-5, 0x1.a2d9a15e4449ep-5, 0x1.9cff728f665c3p-5, 0x1.9733a22029c1fp-5, 0x1.91762fd52af63p-5, 0x1.8bc71a85fa353p-5, 0x1.86266022f001bp-5, 0x1.8093fdbaf22fp-5, 0x1.7b0fef812eb76p-5, 0x1.759a30d2c5ae9p-5, 0x1.7032bc3c67983p-5, 0x1.6ad98b7fd3054p-5, 0x1.658e979945e14p-5, 0x1.6051d8c4d4b62p-5, 0x1.5b234683a5c9ep-5, 0x1.5602d7a114aa4p-5, 0x1.50f08237b9ebbp-5, 0x1.4bec3bb65bb08p-5, 0x1.46f5f8e4b998p-5, 0x1.420dade849e68p-5, 0x1.3d334e48d5412p-5, 0x1.3866ccf4fb8a1p-5, 0x1.33a81c46a01ccp-5, 0x1.2ef72e073d0ddp-5, 0x1.2a53f37423125p-5, 0x1.25be5d42a178fp-5, 0x1.21365ba41a15fp-5, 0x1.1cbbde4a05b36p-5, 0x1.184ed469e3654p-5, 0x1.13ef2cc118088p-5, 0x1.0f9cd598c38dcp-5, 0x1.0b57bcc97dfcfp-5, 0x1.071fcfbf1202ep-5, 0x1.02f4fb7c24d8bp-5, 0x1.fdae593ba3014p-6, 0x1.f58c9ebe83193p-6, 0x1.ed849f3a5e0b8p-6, 0x1.e59631b2cd5cep-6, 0x1.ddc12c7c76459p-6, 0x1.d6056543e2942p-6, 0x1.ce62b1144473cp-6, 0x1.c6d8e45e2245cp-6, 0x1.bf67d2fdfc25cp-6, 0x1.b80f5042d32b8p-6, 0x1.b0cf2ef49fc99p-6, 0x1.a9a7415ac06e2p-6, 0x1.a29759423deb4p-6, 0x1.9b9f48040f2b4p-6, 0x1.94bede8b3d3a1p-6, 0x1.8df5ed5afc0cbp-6, 0x1.8744449499c44p-6, 0x1.80a9b3fd72ddap-6, 0x1.7a260b04b46b3p-6, 0x1.73b918c91690ep-6, 0x1.6d62ac1e7f134p-6, 0x1.6722939382d44p-6, 0x1.60f89d76d66bap-6, 0x1.5ae497dca402ep-6, 0x1.54e650a3c4567p-6, 0x1.4efd957ae56bep-6, 0x1.492a33e58cafep-6, 0x1.436bf94112bfap-6, 0x1.3dc2b2c96bd3p-6, 0x1.382e2d9deca2cp-6, 0x1.32ae36c5eab69p-6, 0x1.2d429b35435e3p-6, 0x1.27eb27d0ccda4p-6, 0x1.22a7a972a942ep-6, 0x1.1d77ecee85058p-6, 0x1.185bbf15b7d5cp-6, 0x1.1352ecbb48c36p-6, 0x1.0e5d42b7e2217p-6, 0x1.097a8deda2f26p-6, 0x1.04aa9b4bdbebap-6, 0x1.ffda6fa562106p-7, 0x1.f684612d40b9dp-7, 0x1.ed52a587e4d1dp-7, 0x1.e444d74424f17p-7, 0x1.db5a912d8d55dp-7, 0x1.d2936e52a5b0bp-7, 0x1.c9ef0a0b09efep-7, 0x1.c16cfffd47e85p-7, 0x1.b90cec2494312p-7, 0x1.b0ce6ad64112p-7, 0x1.a8b118c710d99p-7, 0x1.a0b4931047774p-7, 0x1.98d877349e869p-7, 0x1.911c6324f5ccep-7, 0x1.897ff544e8f96p-7, 0x1.8202cc6f1f071p-7, 0x1.7aa487f9766f1p-7, 0x1.7364c7b90cc42p-7, 0x1.6c432c05ffeebp-7, 0x1.653f55bf21576p-7, 0x1.5e58e64d66eaap-7, 0x1.578f7fa734b58p-7, 0x1.50e2c4538a5b9p-7, 0x1.4a52576cf571bp-7, 0x1.43dddca46f6fep-7, 0x1.3d84f84403103p-7, 0x1.37474f3157ebdp-7, 0x1.312486f015b43p-7, 0x1.2b1c45a42876p-7, 0x1.252e3213de939p-7, 0x1.1f59f3a9e9322p-7, 0x1.199f3277387b2p-7, 0x1.13fd9734cc0b4p-7, 0x1.0e74cb4542ec5p-7, 0x1.090478b677616p-7, 0x1.03ac4a42e5ec6p-7, 0x1.fcd7d6a608d8bp-8, 0x1.f2860ffd06d5dp-8, 0x1.e8629a1ade176p-8, 0x1.de6ccff284a9p-8, 0x1.d4a40ddbc2891p-8, 0x1.cb07b194feff2p-8, 0x1.c1971a44db47dp-8, 0x1.b851a87bcbd8fp-8, 0x1.af36be3553596p-8, 0x1.a645bed9565f2p-8, 0x1.9d7e0f3d24052p-8, 0x1.94df15a47bb1p-8, 0x1.8c6839c25f0dcp-8, 0x1.8418e4b9d0532p-8, 0x1.7bf0811e881a5p-8, 0x1.73ee7af560e45p-8, 0x1.6c114dd56ede7p-8, 0x1.645a4dd69c28ap-8, 0x1.5cc7f85f8528ap-8, 0x1.5559bf34081d4p-8, 0x1.4e0f158ade3f8p-8, 0x1.46e7700dc4026p-8, 0x1.3fe244d966373p-8, 0x1.38ff0b7d4d81ap-8, 0x1.323d3cfbb2b63p-8, 0x1.2b9c53c940ee5p-8, 0x1.251bcbccc9881p-8, 0x1.1ebb225ee6237p-8, 0x1.1879d6497d58ep-8, 0x1.125767c749f8bp-8, 0x1.0c53588358702p-8, 0x1.066d2b9855bd8p-8, 0x1.00a4658fed4eap-8, 0x1.f5f118c42657dp-9, 0x1.ead24ee85ca8dp-9, 0x1.dfeb7f3099e8ap-9, 0x1.d53bbe1862664p-9, 0x1.cac222f0cb36dp-9, 0x1.c07dc7de54352p-9, 0x1.b66dc9d6c561dp-9, 0x1.ac91489ecb862p-9, 0x1.a2e766c795f75p-9, 0x1.996f49ac1c878p-9, 0x1.9028196e62a67p-9, 0x1.871100f481167p-9, 0x1.7e292de58b998p-9, 0x1.756fd0a64906p-9, 0x1.6ce41c55a7cc5p-9, 0x1.648546c92bbc8p-9, 0x1.5c5288890e1a9p-9, 0x1.544b1ccc29599p-9, 0x1.4c6e4173c78f5p-9, 0x1.44bb370735ccfp-9, 0x1.3d3140af29dddp-9, 0x1.35cfa430f5ebfp-9, 0x1.2e95a9e97ec87p-9, 0x1.27829cc832c38p-9, 0x1.2095ca49958ecp-9, 0x1.19ce8271cddp-9, 0x1.132c17c71b9f4p-9, 0x1.0caddf4be13dfp-9, 0x1.06533078db186p-9, 0x1.001b65370ce7ap-9, 0x1.f40bb3b348419p-10, 0x1.e823da2f749dp-10, 0x1.dc7e000c1bafep-10, 0x1.d118ec214e27cp-10, 0x1.c5f369e8de91dp-10, 0x1.bb0c49716b541p-10, 0x1.b0625f51a3329p-10, 0x1.a5f4849b2ea15p-10, 0x1.9bc196cdfc2b8p-10, 0x1.91c877cb0b5f5p-10, 0x1.88080dc814676p-10, 0x1.7e7f43427eep-10, 0x1.752d06f2e2084p-10, 0x1.6c104bc0ab3b5p-10, 0x1.632808b588bd2p-10, 0x1.5a7338f178e94p-10, 0x1.51f0db9ea6b68p-10, 0x1.499ff3e5b5b28p-10, 0x1.417f88e1fad85p-10, 0x1.398ea59641045p-10, 0x1.31cc58e13e978p-10, 0x1.2a37b572d5c49p-10, 0x1.22cfd1c0ff4b6p-10, 0x1.1b93c7fd4af2dp-10, 0x1.1482b60a64845p-10, 0x1.0d9bbd71a9a9ap-10, 0x1.06de0359678e4p-10, 0x1.0048b07a8eea3p-10, 0x1.f3b5e22e76168p-11, 0x1.e727e9e1ffcc9p-11, 0x1.dae5de7f28f5ap-11, 0x1.ceee2d4eb49fcp-11, 0x1.c33f4a60889bap-11, 0x1.b7d7b079b6dc2p-11, 0x1.acb5e10216794p-11, 0x1.a1d863f2cec3dp-11, 0x1.973dc7c41535cp-11, 0x1.8ce4a15c600f2p-11, 0x1.82cb8bfe14497p-11, 0x1.78f1293602ef6p-11, 0x1.6f5420ca0fa95p-11, 0x1.65f320a73aca8p-11, 0x1.5cccdccfecabp-11, 0x1.53e00f4a0f779p-11, 0x1.4b2b780ccc757p-11, 0x1.42addcee39bc1p-11, 0x1.3a660990f457cp-11, 0x1.3252cf510f0fep-11, 0x1.2a730530c4602p-11, 0x1.22c587c5516e2p-11, 0x1.1b49392340e0dp-11, 0x1.13fd00c98aae2p-11, 0x1.0cdfcb8d9b2b7p-11, 0x1.05f08b863e29dp-11, 0x1.fe5c6fecaa4fdp-12, 0x1.f12f9a6e84284p-12, 0x1.e4589945e59d2p-12, 0x1.d7d578fb7d767p-12, 0x1.cba44fbf3bd76p-12, 0x1.bfc33d3baac1ap-12, 0x1.b4306a6882b0bp-12, 0x1.a8ea095c08024p-12, 0x1.9dee551de0dedp-12, 0x1.933b91795f126p-12, 0x1.88d00ad123c5cp-12, 0x1.7eaa15f1055c4p-12, 0x1.74c80fe34726p-12, 0x1.6b285dc5864fap-12, 0x1.61c96c9e3a89cp-12, 0x1.58a9b135e8722p-12, 0x1.4fc7a7eecfc6ap-12, 0x1.4721d4a0337bbp-12, 0x1.3eb6c2733de6ep-12, 0x1.368503c156a8p-12, 0x1.2e8b31f516b59p-12, 0x1.26c7ed6c33a84p-12, 0x1.1f39dd5dde6f6p-12, 0x1.17dfafc028f92p-12, 0x1.10b81931915a5p-12, 0x1.09c1d4e4c5c3ep-12, 0x1.02fba48bc73e4p-12, 0x1.f8c8a08da86e2p-13, 0x1.ebf54d28d2c34p-13, 0x1.df7af8837bfb4p-13, 0x1.d35758b98ef49p-13, 0x1.c788304c9aa12p-13, 0x1.bc0b4e0a23ab1p-13, 0x1.b0de8cf1458f8p-13, 0x1.a5ffd4180ac41p-13, 0x1.9b6d1690d3456p-13, 0x1.9124534dcca6fp-13, 0x1.8723950268ba5p-13, 0x1.7d68f203c263cp-13, 0x1.73f28c26ad42bp-13, 0x1.6abe909a50d75p-13, 0x1.61cb37c3c0c31p-13, 0x1.5916c5107bc5ap-13, 0x1.509f86ccbdcfap-13, 0x1.4863d5f461916p-13, 0x1.40621601c26e4p-13, 0x1.3898b4bbbe283p-13, 0x1.31062a001ee8fp-13, 0x1.29a8f78d53d9ep-13, 0x1.227fa8cb7afedp-13, 0x1.1b88d294f7c5bp-13, 0x1.14c312fa9aae6p-13, 0x1.0e2d110d13a0ep-13, }}, 
      {{-0x1.470ee9ee0bdfbp-3, -0x1.72acc86d9310ap-3, -0x1.b4d3678155279p-3, -0x1.0363247f4ed84p-2, -0x1.30ff6d84778ecp-2, -0x1.60635917c7258p-2, -0x1.8f3a23bc5e2b7p-2, -0x1.bbb94c3ef6705p-2, -0x1.e49652d140601p-2, -0x1.047afecb1cc96p-1, -0x1.142cc97d1bbabp-1, -0x1.21463d47fde5ap-1, -0x1.2bc9bc79c8744p-1, -0x1.33cf06ea5f3e4p-1, -0x1.397d0712662b6p-1, -0x1.3d04b713b4f37p-1, -0x1.3e9d05b8e2a31p-1, -0x1.3e7f9d748d0b1p-1, -0x1.3ce67199513a8p-1, -0x1.3a09eb3152eb1p-1, -0x1.361fa4c4c98e1p-1, -0x1.315989e462346p-1, -0x1.2be555aed2d4bp-1, -0x1.25ec518d1bd2p-1, -0x1.1f933d939be29p-1, -0x1.18fa6e2a98924p-1, -0x1.123df55f36a72p-1, -0x1.0b75d98a22ae6p-1, -0x1.04b67dca696p-1, -0x1.fc21ab4b2086cp-2, -0x1.ef2574e1ac9f3p-2, -0x1.e28eaa1f8c099p-2, -0x1.d66ed0b61fec8p-2, -0x1.cad312a10f089p-2, -0x1.bfc4d51df472bp-2, -0x1.b54a5d68f99d9p-2, -0x1.ab6749aeca0c6p-2, -0x1.a21ce434d55b9p-2, -0x1.996a782ab981p-2, -0x1.914db2be8d9cap-2, -0x1.89c2fdbeb474fp-2, -0x1.82c5c4a8c64fcp-2, -0x1.7c50a6600a5d1p-2, -0x1.765d9e2f901dbp-2, -0x1.70e62c068199cp-2, -0x1.6be37d5872b33p-2, -0x1.674e92f6a7667p-2, -0x1.63205efec65c4p-2, -0x1.5f51d8fc9e0c5p-2, -0x1.5bdc0aedeb72fp-2, -0x1.58b81bf65a8c4p-2, -0x1.55df5bd90259ep-2, -0x1.534b4ef7a095bp-2, -0x1.50f5b8a82383dp-2, -0x1.4ed87987f4081p-2, -0x1.4cee33149590ap-2, -0x1.4b316bb981634p-2, -0x1.499d040c8f338p-2, -0x1.482c23e65a32cp-2, -0x1.46da3d913c794p-2, -0x1.45a310104b368p-2, -0x1.4482a7a8e0931p-2, -0x1.43755c6391b92p-2, -0x1.4277cec448efp-2, -0x1.4186e35f5382p-2, -0x1.409fbe18396a9p-2, -0x1.3fbfbdbd05112p-2, -0x1.3ee4786abeccp-2, -0x1.3e0bb8d5e6663p-2, -0x1.3d337c4e0603bp-2, -0x1.3c59f12bc250cp-2, -0x1.3b7d754e9707p-2, -0x1.3a9c945d74f57p-2, -0x1.39b6059beea68p-2, -0x1.38c8a94aa8bcap-2, -0x1.37d385aab45f6p-2, -0x1.36d5c3cf57188p-2, -0x1.35ceac6eab94fp-2, -0x1.34bda4db5eecbp-2, -0x1.33a22c46b6414p-2, -0x1.327bd95d872e5p-2, -0x1.314a584529e9fp-2, -0x1.300d68efd1228p-2, -0x1.2ec4ddb4fc292p-2, -0x1.2d709a160acfp-2, -0x1.2c109198ace5ep-2, -0x1.2aa4c6a602db3p-2, -0x1.292d496348a95p-2, -0x1.27aa367e4cdap-2, -0x1.261bb5ed42921p-2, -0x1.2481f9a67d74cp-2, -0x1.22dd3c5878bb3p-2, -0x1.212dc02c9399ep-2, -0x1.1f73cd9e7c74bp-2, -0x1.1dafb2705a01ap-2, -0x1.1be1c0c06a0e4p-2, -0x1.1a0a4e411ab54p-2, -0x1.1829b390faeb7p-2, -0x1.16404bad69ed7p-2, -0x1.144e737a0e1d6p-2, -0x1.125489582431fp-2, -0x1.1052ecca6467cp-2, -0x1.0e49fe239b3ep-2, -0x1.0c3a1e3e3b4c7p-2, -0x1.0a23ae3a3625p-2, -0x1.08070f3d70d57p-2, -0x1.05e4a2332121dp-2, -0x1.03bcc787e8e13p-2, -0x1.018fdee3061ecp-2, -0x1.febc8dbee89p-3, -0x1.fa50cca30b835p-3, -0x1.f5dd0f2b348ep-3, -0x1.f16219df386dep-3, -0x1.ece09c7d0eefcp-3, -0x1.e85942cefc31dp-3, -0x1.e3ccb482b6163p-3, -0x1.df3b950ca4914p-3, -0x1.daa683966a9cap-3, -0x1.d60e1af6885d4p-3, -0x1.d172f1ae025dcp-3, -0x1.ccd599e8dcb3cp-3, -0x1.c836a17efb4c8p-3, -0x1.c39691f41bc4dp-3, -0x1.bef5f076ec502p-3, -0x1.ba553ddfe6dp-3, -0x1.b5b4f6b10b566p-3, -0x1.b115931757bdep-3, -0x1.ac7786ee769a9p-3, -0x1.a7db41c6e5b9ep-3, -0x1.a3412eee5a24ap-3, -0x1.9ea9b57a76bddp-3, -0x1.9a1538559387p-3, -0x1.9584164dbee19p-3, -0x1.90f6aa25dca64p-3, -0x1.8c6d4aa8d33ebp-3, -0x1.87e84abea00cbp-3, -0x1.8367f982f7a49p-3, -0x1.7eeca25d3366p-3, -0x1.7a768d19274d8p-3, -0x1.7605fe00acf82p-3, -0x1.719b35f58cc5cp-3, -0x1.6d36728b991e8p-3, -0x1.68d7ee22b3bb1p-3, -0x1.647fe00091d4dp-3, -0x1.602e7c6a0997cp-3, -0x1.5be3f4bbc929dp-3, -0x1.57a077826bd95p-3, -0x1.53643091f0f75p-3, -0x1.4f2f491c8f16p-3, -0x1.4b01e7c8fe0f3p-3, -0x1.46dc30c82c63cp-3, -0x1.42be45ea58084p-3, -0x1.3ea846b38f067p-3, -0x1.3a9a506f81f3fp-3, -0x1.36947e44b02b3p-3, -0x1.3296e946f22a2p-3, -0x1.2ea1a88985479p-3, -0x1.2ab4d130a6d1bp-3, -0x1.26d07682f0b82p-3, -0x1.22f4a9fa7deb1p-3, -0x1.1f217b55eaa9fp-3, -0x1.1b56f8a932838p-3, -0x1.17952e6e5a715p-3, -0x1.13dc2795db9d3p-3, -0x1.102bed96b712cp-3, -0x1.0c84887e3a46p-3, -0x1.08e5feff53038p-3, -0x1.05505681989bbp-3, -0x1.01c3932ff7d1cp-3, -0x1.fc7f700e30d6cp-4, -0x1.f5898dc6e72ep-4, -0x1.eea5811e640cp-4, -0x1.e7d3499f34a2ap-4, -0x1.e112e4e463ec5p-4, -0x1.da644eb29518dp-4, -0x1.d3c781101ee46p-4, -0x1.cd3c745bd1a42p-4, -0x1.c6c31f6268099p-4, -0x1.c05b7772a9a5p-4, -0x1.ba0570703ba36p-4, -0x1.b3c0fce549ff1p-4, -0x1.ad8e0e132a919p-4, -0x1.a76c94021b723p-4, -0x1.a15c7d904a5f1p-4, -0x1.9b5db8804a22ep-4, -0x1.9570318707e79p-4, -0x1.8f93d4594b05dp-4, -0x1.89c88bb8db75dp-4, -0x1.840e4181396b1p-4, -0x1.7e64deb4029c4p-4, -0x1.78cc4b84df8f7p-4, -0x1.73446f65175bfp-4, -0x1.6dcd310ebdbc9p-4, -0x1.6866768f6f7d7p-4, -0x1.63102552c7d64p-4, -0x1.5dca222c6bb0ep-4, -0x1.58945161d5134p-4, -0x1.536e96b3d25ccp-4, -0x1.4e58d567c3b86p-4, -0x1.4952f0509c374p-4, -0x1.445cc9d7a558bp-4, -0x1.3f764404f9097p-4, -0x1.3a9f4087b89bap-4, -0x1.35d7a0bdf0e37p-4, -0x1.311f45bc23329p-4, -0x1.2c7610547144p-4, -0x1.27dbe11d5971dp-4, -0x1.23509878111aep-4, -0x1.1ed416967304ap-4, -0x1.1a663b807c178p-4, -0x1.1606e7196f441p-4, -0x1.11b5f9249dc0bp-4, -0x1.0d735149d4264p-4, -0x1.093ecf198d251p-4, -0x1.05185210de62ap-4, -0x1.00ffb99d3820cp-4, -0x1.f9e9ca3fe6ecp-5, -0x1.f1ef67e38758p-5, -0x1.ea100acbfa15fp-5, -0x1.e24b719b88252p-5, -0x1.daa15af640bfep-5, -0x1.d3118587d273ep-5, -0x1.cb9b9dc97ca4fp-5, -0x1.c43f865df155bp-5, -0x1.bcfced05e8a98p-5, -0x1.b5d390bf649e5p-5, -0x1.aec330a6f129bp-5, -0x1.a7cb8bfc5ab1ep-5, -0x1.a0ec622750d26p-5, -0x1.9a2572bbecfb1p-5, -0x1.93767d7ef9ba9p-5, -0x1.8cdf426a20b2dp-5, -0x1.865f81afe9c2bp-5, -0x1.7ff6fbbf90aaap-5, -0x1.79a571489f95bp-5, -0x1.736aa33e6c6e2p-5, -0x1.6d4652db5f4efp-5, -0x1.673841a4015e3p-5, -0x1.61403169eaee5p-5, -0x1.5b5de44e740d4p-5, -0x1.55911cc54189ep-5, -0x1.4fd99d9693b2ep-5, -0x1.4a3729e176d39p-5, -0x1.44a9851dbc731p-5, -0x1.3f30731dcb0f7p-5, -0x1.39cbb81057addp-5, -0x1.347b1881d4d3bp-5, -0x1.2f3e595ddf094p-5, -0x1.2a153ff08d908p-5, -0x1.24ff91e77f344p-5, -0x1.1ffd1552f9bcbp-5, -0x1.1b0d90a6d66p-5, -0x1.1630cabb6dd8cp-5, -0x1.11668ace560a6p-5, -0x1.0cae988329262p-5, -0x1.0808bbe43867cp-5, -0x1.0374bd6321f7dp-5, -0x1.fde4cbb2e2b9dp-6, -0x1.f502fd1243543p-6, -0x1.ec43a23a4718ap-6, -0x1.e3a64f53b464p-6, -0x1.db2a995b0795p-6, -0x1.d2d01621521d9p-6, -0x1.ca965c4d05e0dp-6, -0x1.c27d035ab76a5p-6, -0x1.ba83a39dc6d13p-6, -0x1.b2a9d6410e3b5p-6, -0x1.aaef354785d36p-6, -0x1.a3535b8cd4bep-6, -0x1.9bd5e4c5e42c4p-6, -0x1.94766d814f3e5p-6, -0x1.8d349327e0f97p-6, -0x1.860ff3fd03767p-6, -0x1.7f082f1efbb23p-6, -0x1.781ce48749f54p-6, -0x1.714db50ade9a8p-6, -0x1.6a9a425a31fc6p-6, -0x1.64022f0165876p-6, -0x1.5d851e6845226p-6, -0x1.5722b4d245c68p-6, -0x1.50da975e4e9bap-6, -0x1.4aac6c069a025p-6, -0x1.4497d9a072bap-6, -0x1.3e9c87dbdbeb1p-6, -0x1.38ba1f4340ee3p-6, -0x1.32f0493af53a8p-6, -0x1.2d3eb000c0fdcp-6, -0x1.27a4feab5b69p-6, -0x1.2222e129d582p-6, -0x1.1cb80442f35d4p-6, -0x1.17641594936aap-6, -0x1.1226c392ea214p-6, -0x1.0cffbd87c8397p-6, -0x1.07eeb391e24f2p-6, -0x1.02f356a3f4a08p-6, -0x1.fc1ab107faa3bp-7, -0x1.f278d7949ffa1p-7, -0x1.e90087c179ea4p-7, -0x1.dfb12a03413a8p-7, -0x1.d68a286df662p-7, -0x1.cd8aeeb2dfd7cp-7, -0x1.c4b2ea1eb4029p-7, -0x1.bc01899763752p-7, -0x1.b3763d9a44461p-7, -0x1.ab107839ccd14p-7, -0x1.a2cfad1b909e2p-7, -0x1.9ab351761ce7ep-7, -0x1.92badc0eb35e9p-7, -0x1.8ae5c5373bcbp-7, -0x1.833386cbe6e38p-7, -0x1.7ba39c3100f96p-7, -0x1.74358250ae22bp-7, -0x1.6ce8b79892af1p-7, -0x1.65bcbbf7a305cp-7, -0x1.5eb110dbb42d5p-7, -0x1.57c5392f1ea08p-7, -0x1.50f8b956790ecp-7, -0x1.4a4b172e2e861p-7, -0x1.43bbda080c72fp-7, -0x1.3d4a8aa8dcbaap-7, -0x1.36f6b345f0a27p-7, -0x1.30bfdf82a615ep-7, -0x1.2aa59c6dfb23dp-7, -0x1.24a7787fe0bdfp-7, -0x1.1ec50396dae0dp-7, -0x1.18fdcef559849p-7, -0x1.13516d3f2391dp-7, -0x1.0dbf7276c873cp-7, -0x1.084773fae8fddp-7, -0x1.02e90883a3c8dp-7, -0x1.fb47903f88f6ep-8, -0x1.f0ee9864c7e3dp-8, -0x1.e6c65edfa8394p-8, -0x1.dcce1bb63ba1cp-8, -0x1.d30509866e7d8p-8, -0x1.c96a658092ec7p-8, -0x1.bffd6f61c037cp-8, -0x1.b6bd696e7d621p-8, -0x1.ada9986cf5805p-8, -0x1.a4c1439f9fc18p-8, -0x1.9c03b4bf8462bp-8, -0x1.937037f6b68d9p-8, -0x1.8b061bdabc337p-8, -0x1.82c4b1670c6cdp-8, -0x1.7aab4bf74029p-8, -0x1.72b94141ab4b5p-8, -0x1.6aede951a9c87p-8, -0x1.63489e82178c9p-8, -0x1.5bc8bd779ba0cp-8, -0x1.546da51b313c8p-8, -0x1.4d36b6946a31p-8, -0x1.46235543febc9p-8, -0x1.3f32e6be00c25p-8, -0x1.3864d2c498ef3p-8, -0x1.31b883422b06bp-8, -0x1.2b2d6443df84cp-8, -0x1.24c2e3f41f2cfp-8, -0x1.1e787294fc059p-8, -0x1.184d827aa2c48p-8, -0x1.12418805fcee3p-8, -0x1.0c53f99ef4f14p-8, -0x1.06844faf37cbcp-8, -0x1.00d2049c6c7c7p-8, -0x1.f679298624bb6p-9, -0x1.eb86fce1b42b4p-9, -0x1.e0cc83bee58b9p-9, -0x1.d648c25dbd841p-9, -0x1.cbfac0c087b22p-9, -0x1.c1e18aa10f13dp-9, -0x1.b7fc2f65eab7cp-9, -0x1.ae49c21804f83p-9, -0x1.a4c95957a91ddp-9, -0x1.9b7a0f52c731ep-9, -0x1.925b01b9b09p-9, -0x1.896b51b51e5bep-9, -0x1.80aa23dbc5af3p-9, -0x1.7816a02805ad5p-9, -0x1.6faff1edb87d9p-9, -0x1.677547cff6c33p-9, -0x1.5f65d3b6f7cb2p-9, -0x1.5780cac618012p-9, -0x1.4fc565519fc8dp-9, -0x1.4832ded5059edp-9, -0x1.40c875e91775fp-9, -0x1.39856c39ec57fp-9, -0x1.3269067d30198p-9, -0x1.2b728c687ff17p-9, -0x1.24a148a7b23b2p-9, -0x1.1df488d357a5bp-9, -0x1.176b9d672fffap-9, -0x1.1105d9b8a4143p-9, -0x1.0ac293ed39e73p-9, -0x1.04a124f1bc85dp-9, -0x1.fd41d0e109d3ap-10, -0x1.f1827990ef22bp-10, -0x1.e6030607c0a09p-10, -0x1.dac23d9ebbc92p-10, -0x1.cfbeece1f1c7p-10, -0x1.c4f7e57e2c1fp-10, -0x1.ba6bfe2f76dd8p-10, -0x1.b01a12af7398bp-10, -0x1.a60103a402042p-10, -0x1.9c1fb68e2c121p-10, -0x1.927515b864b1bp-10, -0x1.890010263c596p-10, -0x1.7fbf9983670d6p-10, -0x1.76b2aa12cda93p-10, -0x1.6dd83e9e31864p-10, -0x1.652f5865ed69p-10, -0x1.5cb6fd108a84fp-10, -0x1.546e369aa2105p-10, -0x1.4c5413473e11bp-10, -0x1.4467a58fb1f21p-10, -0x1.3ca8041470622p-10, -0x1.3514498cfcb18p-10, -0x1.2dab94b91766p-10, -0x1.266d0851737a8p-10, -0x1.1f57caf8e5373p-10, -0x1.186b072d1f519p-10, -0x1.11a5eb38621f3p-10, -0x1.0b07a922de37bp-10, -0x1.048f76a42ed91p-10, -0x1.fc791a2aa9128p-11, -0x1.f01c52c526b09p-11, -0x1.e40717fb1f77ep-11, -0x1.d837f19f57deap-11, -0x1.ccad6e58006dap-11, -0x1.c166238541b88p-11, -0x1.b660ad2535e78p-11, -0x1.ab9badbb385dcp-11, -0x1.a115ce34a078p-11, -0x1.96cdbdcfe1023p-11, -0x1.8cc23202cc93ap-11, -0x1.82f1e661e9b5cp-11, -0x1.795b9c87fcdc9p-11, -0x1.6ffe1bfcc77bcp-11, -0x1.66d8321db5d44p-11, -0x1.5de8b205a5f2bp-11, -0x1.552e7475af624p-11, -0x1.4ca857bdf2144p-11, -0x1.44553fa66f304p-11, -0x1.3c341558da7d3p-11, -0x1.3443c74944217p-11, -0x1.2c8349217adep-11, -0x1.24f193aa8859cp-11, -0x1.1d8da4b723fecp-11, -0x1.16562f95d055cp-11, -0x1.0f4adb703e798p-11, -0x1.086a64bf575b7p-11, -0x1.01b3dcab12705p-11, -0x1.f64cb1faf847bp-12, -0x1.e981e81fc6e4bp-12, -0x1.dd05996e3aa38p-12, -0x1.d0d60c604541ep-12, -0x1.c4f1901a2b57ap-12, -0x1.b9567c44d5a11p-12, -0x1.ae0330e998fc4p-12, -0x1.a2f6164c337b1p-12, -0x1.982d9cc85649cp-12, -0x1.8da83caca1355p-12, -0x1.8364761a393ccp-12, -0x1.7960d0deee9f7p-12, -0x1.6f9bdc558de17p-12, -0x1.66142f42ed64bp-12, -0x1.5cc867b66f848p-12, -0x1.53b72ae72c8e4p-12, -0x1.4adf2515e1a77p-12, -0x1.423f096cb467ep-12, -0x1.39d591ded43a9p-12, -0x1.31a17f0b16a6fp-12, -0x1.29a1981c452dfp-12, -0x1.21d4aaad3213fp-12, -0x1.1a398aa8df0f6p-12, -0x1.12cf122e9b145p-12, -0x1.0b94217582f2cp-12, -0x1.04879eb07f9bep-12, -0x1.fb50ebe1b839ep-13, -0x1.edeb321a69cap-13, -0x1.e0dbff085f0dep-13, -0x1.d4214cc91640dp-13, -0x1.c7b920606543cp-13, -0x1.bba189881d37cp-13, -0x1.afd8a27c454cap-13, -0x1.a45c8fca67e3ep-13, -0x1.992b801ce8969p-13, -0x1.8e43ac0e56dep-13, -0x1.83a355f8dabdp-13, -0x1.7948c9c52a83bp-13, -0x1.6f325cbdfb315p-13, -0x1.655e6d623849bp-13, -0x1.5bcb633851fc4p-13, -0x1.5277aea1c88cp-13, -0x1.4961c8af86e0dp-13, -0x1.408832f87827dp-13, -0x1.37e9776e001e7p-13, -0x1.2f8428335ef64p-13, -0x1.2756df75d6e0ep-13, -0x1.1f603f43716cep-13, -0x1.179ef164cb817p-13, -0x1.1011a735a44cbp-13, -0x1.08b7197f7a365p-13, -0x1.018e0853d15b6p-13, -0x1.f52a75d08398fp-14, -0x1.e796fee298b35p-14, -0x1.da5f55fdbf6c1p-14, -0x1.cd8132b85df9ap-14, -0x1.c0fa59d60afa5p-14, -0x1.b4c89d02bd2c6p-14, -0x1.a8e9da953aa21p-14, -0x1.9d5bfd4a38154p-14, -0x1.921cfc083ece4p-14, -0x1.872ad9a076205p-14, -0x1.7c83a48bc8d53p-14, -0x1.722576b672533p-14, -0x1.680e753ef2a4fp-14, -0x1.5e3cd03e1547fp-14, -0x1.54aec28c814cp-14, -0x1.4b62918b13e66p-14, -0x1.42568cea41e0bp-14, -0x1.39890e7852bc5p-14, -0x1.30f879e567625p-14, -0x1.28a33c93bbbaep-14, -0x1.2087cd5f7bc38p-14, -0x1.18a4ac74304ebp-14, -0x1.10f86313d6c59p-14, -0x1.09818369dd581p-14, -0x1.023ea85771127p-14, -0x1.f65cea93de32dp-15, -0x1.e89f2c12aa3fep-15, -0x1.db417d13455e2p-15, -0x1.ce41558703512p-15, -0x1.c19c3d06de683p-15, -0x1.b54fca7f8a148p-15, -0x1.a959a3e15a905p-15, -0x1.9db77dcab35c5p-15, -0x1.92671b3674995p-15, -0x1.87664d2cd01cap-15, -0x1.7cb2f27717cf2p-15, -0x1.724af74ece3cp-15, -0x1.682c551583a59p-15, -0x1.5e55120a4934bp-15, -0x1.54c34101356b9p-15, -0x1.4b7501165eab5p-15, -0x1.42687d7701568p-15, -0x1.399bed0a3c29bp-15, -0x1.310d92399fc48p-15, -0x1.28bbbaabb9bb1p-15, -0x1.20a4bf03a9d89p-15, -0x1.18c702a182f17p-15, -0x1.1120f364173dcp-15, -0x1.09b1096b7de3cp-15, -0x1.0275c6dfdb197p-15, -0x1.f6db6f5ec8cep-16, -0x1.e92ee2c1072cbp-16, -0x1.dbe3259bf6d43p-16, -0x1.cef587efaad9bp-16, -0x1.c2636b85ee66ap-16, -0x1.b62a43ac09a1dp-16, -0x1.aa4794aa30c82p-16, -0x1.9eb8f3694006p-16, -0x1.937c050ec4367p-16, -0x1.888e7e9c3b403p-16, -0x1.7dee24941eac1p-16, -0x1.7398ca9160a96p-16, -0x1.698c52f5cd82fp-16, -0x1.5fc6ae8bf4eeap-16, -0x1.5645dc301b5b3p-16, -0x1.4d07e87cba0e3p-16, -0x1.440aed732a8cep-16, -0x1.3b4d1231cfbep-16, -0x1.32cc8a9735c9fp-16, -0x1.2a8796f613465p-16, -0x1.227c83d8884dp-16, -0x1.1aa9a99d097d5p-16, -0x1.130d6c3d63349p-16, -0x1.0ba63afa788e2p-16, -0x1.047290256dd8ep-16, -0x1.fae1e18a97e2cp-17, -0x1.ed3fd8d4c9234p-17, -0x1.dffc39a7ff82ep-17, -0x1.d3144b89e1e84p-17, -0x1.c68569736381bp-17, -0x1.ba4d013e617f5p-17, -0x1.ae689362a27c1p-17, -0x1.a2d5b24989281p-17, -0x1.979201f6c4046p-17, -0x1.8c9b377b4b6a1p-17, -0x1.81ef189711ec3p-17, -0x1.778b7b725b015p-17, -0x1.6d6e45d8df5f7p-17, -0x1.63956d0b0da8cp-17, -0x1.59fef551b203p-17, -0x1.50a8f197af3eap-17, -0x1.479182ff7a152p-17, -0x1.3eb6d87f965a3p-17, -0x1.36172e92a6e9dp-17, -0x1.2db0cecc9f67ap-17, -0x1.25820f9c364fp-17, -0x1.1d8953ca7b8e5p-17, -0x1.15c50a3adefcdp-17, }}, 
      {{0x1.2a667ecf6bb53p-17, -0x1.f07f488e5711fp-14, -0x1.5f49e75350603p-11, -0x1.eb5c6af2675cfp-10, -0x1.f5e89685d3be8p-9, -0x1.a9e59115dcbcdp-8, -0x1.3f23b26b1e8p-7, -0x1.b500ff62f9eb1p-7, -0x1.172209722036dp-6, -0x1.512d76265dd4fp-6, -0x1.848ebc7a7eac6p-6, -0x1.ada4dbd410534p-6, -0x1.c968aec35e43ep-6, -0x1.d57f55b806222p-6, -0x1.d03e5e2b9c42dp-6, -0x1.b8a4f2646fa22p-6, -0x1.8e4def2c39e5ep-6, -0x1.515cd2a25e40ep-6, -0x1.0269ff2328022p-6, -0x1.44d7da520af3bp-7, -0x1.95278f0d0621ep-9, 0x1.2dc8e64fb7e34p-8, 0x1.ac75d8253e30ep-7, 0x1.6bfd9092c68e6p-6, 0x1.057ddda8f3539p-5, 0x1.58bb2d53cdd28p-5, 0x1.aeda5236989f3p-5, 0x1.03854207cfac6p-4, 0x1.3040dffb27474p-4, 0x1.5d40dcc9d453ap-4, 0x1.8a2f4c4c9d493p-4, 0x1.b6bda6ce3dd6cp-4, 0x1.e2a2438170811p-4, 0x1.06cd2f32bd0fep-3, 0x1.1bb6744d9f116p-3, 0x1.2ff4a080c357dp-3, 0x1.4371ea132031p-3, 0x1.561a9eb0e88ep-3, 0x1.67de1e23d48bbp-3, 0x1.78af958ef6559p-3, 0x1.888575085ec83p-3, 0x1.9758359ce97a4p-3, 0x1.a521977e999e6p-3, 0x1.b1dcca6e5a6bp-3, 0x1.bd8703acec592p-3, 0x1.c81fc36c7c7d2p-3, 0x1.d1a87bb664129p-3, 0x1.da23dcbd651f5p-3, 0x1.e19542f659461p-3, 0x1.e8008ff878b94p-3, 0x1.ed6a5b8847d59p-3, 0x1.f1d8340cfedfp-3, 0x1.f550afb1b35ffp-3, 0x1.f7db3e7f2c3fep-3, 0x1.f97f2fdef9c28p-3, 0x1.fa4892bf6c886p-3, 0x1.fa3bb2b1e6cedp-3, 0x1.f96047b0cac7cp-3, 0x1.f7beb89c77156p-3, 0x1.f5602047830d7p-3, 0x1.f24e1eb279befp-3, 0x1.ee928a6d15b8cp-3, 0x1.ea371cfc81116p-3, 0x1.e54532216ea6fp-3, 0x1.dfc5a808371b9p-3, 0x1.d9c0e23722f5ap-3, 0x1.d33ee6bea55f1p-3, 0x1.cc47878e9f9cbp-3, 0x1.c4e28979722a6p-3, 0x1.bd17be169b3afp-3, 0x1.b4ef0b49b6e29p-3, 0x1.ac7060b9cb017p-3, 0x1.a3a39fb311294p-3, 0x1.9a907c35d74f8p-3, 0x1.913e5e5c4089bp-3, 0x1.87b44a1da0406p-3, 0x1.7df8d149cc679p-3, 0x1.741210f856d1p-3, 0x1.6a05b93369d18p-3, 0x1.5fd91bdcc5916p-3, 0x1.55913ef1f2162p-3, 0x1.4b32ee67fd2d1p-3, 0x1.40c2ca9fe5179p-3, 0x1.364551a30d0bfp-3, 0x1.2bbee29ac9f73p-3, 0x1.2133bc0e42272p-3, 0x1.16a7f63448f51p-3, 0x1.0c1f7b0738ab6p-3, 0x1.019dfdd1ff963p-3, 0x1.ee4de76dbc922p-4, 0x1.d97b1ca47d99dp-4, 0x1.c4c972523229p-4, 0x1.b03e34357f4b1p-4, 0x1.9bde293fb32cdp-4, 0x1.87ad9e90cb852p-4, 0x1.73b07564702b3p-4, 0x1.5fea323683a2ap-4, 0x1.4c5e0b7ab077p-4, 0x1.390ef68b87a5dp-4, 0x1.25ffb1e1f1695p-4, 0x1.1332cc21304d1p-4, 0x1.00aaa7fa360c6p-4, 0x1.dcd2fa93c6971p-5, 0x1.b8e2b02e9aa9ap-5, 0x1.95882c6f50731p-5, 0x1.72c6c8c387418p-5, 0x1.50a176d4fdfcp-5, 0x1.2f1abc88e3f08p-5, 0x1.0e34b266d63eap-5, 0x1.dbe209cbeb0b5p-6, 0x1.9c92aa979fa51p-6, 0x1.5e9a600b51de8p-6, 0x1.21ec64a2581a1p-6, 0x1.cd124cace3dd4p-7, 0x1.58e132e0d4f29p-7, 0x1.ce89221fbbe62p-8, 0x1.e0eb0ec5c24e8p-9, 0x1.783078dc0f0fbp-12, -0x1.78a823c49c019p-9, -0x1.8b16885c67f98p-8, -0x1.2a660edf29664p-7, -0x1.8cbec385c913ap-7, -0x1.ec9a3237493d5p-7, -0x1.24feceb02be12p-6, -0x1.52775b48be91bp-6, -0x1.7eb9cd65d1e0fp-6, -0x1.a9c966fe0b5acp-6, -0x1.d3a99ac56ebap-6, -0x1.fc5e09040a82cp-6, -0x1.11f53e084d85cp-5, -0x1.252972455d6f6p-5, -0x1.37cdaab8f1407p-5, -0x1.49e40019af98ap-5, -0x1.5b6e986202dacp-5, -0x1.6c6fa4e9d6298p-5, -0x1.7ce96090e8cbbp-5, -0x1.8cde0dfab16b6p-5, -0x1.9c4ff5daf43cbp-5, -0x1.ab416551bdca4p-5, -0x1.b9b4ac5612d69p-5, -0x1.c7ac1c306aec2p-5, -0x1.d52a060831da7p-5, -0x1.e230b989a438ap-5, -0x1.eec283aaa50fp-5, -0x1.fae1ad9592381p-5, -0x1.03483de01712ap-4, -0x1.08e89699786f7p-4, -0x1.0e52fd814667fp-4, -0x1.13888bfd63cbap-4, -0x1.188a583b85776p-4, -0x1.1d597531633d2p-4, -0x1.21f6f2ace571dp-4, -0x1.2663dd6fb6e8fp-4, -0x1.2aa13f5138337p-4, -0x1.2eb01f61ad972p-4, -0x1.32918209b468bp-4, -0x1.3646692189b1cp-4, -0x1.39cfd3fc7a3c5p-4, -0x1.3d2ebf65e441ap-4, -0x1.4064258e7681fp-4, -0x1.4370fde9aad55p-4, -0x1.46563cfccb56fp-4, -0x1.4914d421f716ep-4, -0x1.4badb1427b5d7p-4, -0x1.4e21be8c7a81fp-4, -0x1.5071e2280a6a4p-4, -0x1.529efdeff2802p-4, -0x1.54a9ef31cc1b8p-4, -0x1.56938e78bc84ep-4, -0x1.585caf653fc56p-4, -0x1.5a062093b1b08p-4, -0x1.5b90ab925e972p-4, -0x1.5cfd14e71aee4p-4, -0x1.5e4c1c239280dp-4, -0x1.5f7e7c06d8cfcp-4, -0x1.6094eaaa30d8p-4, -0x1.619019b69ad65p-4, -0x1.6270b6a06da14p-4, -0x1.63376ae6288f2p-4, -0x1.63e4dc4fbd289p-4, -0x1.6479ad2bb2c07p-4, -0x1.64f67c87f1299p-4, -0x1.655be66451388p-4, -0x1.65aa83ddab25ap-4, -0x1.65e2eb5087707p-4, -0x1.6605b0732f971p-4, -0x1.6613646752872p-4, -0x1.660c95c3d49adp-4, -0x1.65f1d097c929dp-4, -0x1.65c39e67cfe02p-4, -0x1.658286272f8bp-4, -0x1.652f0c2e25122p-4, -0x1.64c9b22ece8d5p-4, -0x1.6452f72a0765ep-4, -0x1.63cb576560955p-4, -0x1.63334c63368dap-4, -0x1.628b4cdda513ep-4, -0x1.61d3ccc4eeeffp-4, -0x1.610d3d41ab6b3p-4, -0x1.60380cbadfcc4p-4, -0x1.5f54a6dff607ep-4, -0x1.5e6374b65e56fp-4, -0x1.5d64dcaa80eafp-4, -0x1.5c5942a38f573p-4, -0x1.5b410819aeeccp-4, -0x1.5a1c8c2de89d9p-4, -0x1.58ec2bc33f5d3p-4, -0x1.57b041985fe99p-4, -0x1.5669266146326p-4, -0x1.551730e05d3ap-4, -0x1.53bab5fe979bdp-4, -0x1.525408e21f6e5p-4, -0x1.50e37b034a4c3p-4, -0x1.4f695c3f9b264p-4, -0x1.4de5faeaae849p-4, -0x1.4c59a3dd075a3p-4, -0x1.4ac4a280c6749p-4, -0x1.492740dc69e65p-4, -0x1.4781c79bbfe25p-4, -0x1.45d47e1746055p-4, -0x1.441faa5a2f4bp-4, -0x1.4263912759ae8p-4, -0x1.40a0d847b9536p-4, -0x1.3ed6d3163f0cbp-4, -0x1.3d064f23eab25p-4, -0x1.3b2f8d43a5842p-4, -0x1.3952ccfe76864p-4, -0x1.37704c9159eeep-4, -0x1.358848ec38ea6p-4, -0x1.339afdb2256b4p-4, -0x1.31a8a53aeaea7p-4, -0x1.2fb17895f9311p-4, -0x1.2db5af8e9f51dp-4, -0x1.2bb580b1826a6p-4, -0x1.29b1215339207p-4, -0x1.27a8c597e1a21p-4, -0x1.259ca07b8fae4p-4, -0x1.238ce3db64614p-4, -0x1.2179c07f24aaep-4, -0x1.1f6366231ec1bp-4, -0x1.1d4a0382345bp-4, -0x1.1b2dc65fdff5ep-4, -0x1.190edb920c3b8p-4, -0x1.16ed6f0a9b544p-4, -0x1.14c9abe07d4bfp-4, -0x1.12a3bc5841fd9p-4, -0x1.107bc9ec0384fp-4, -0x1.0e51fd52a719ap-4, -0x1.0c267e8661ad7p-4, -0x1.09f974ca78bdcp-4, -0x1.07cb06b04309bp-4, -0x1.059b5a1b676a4p-4, -0x1.036a9445634d1p-4, -0x1.0138d9c062d8ap-4, -0x1.fe0c9cf2eb43p-5, -0x1.f9a62b7469c1bp-5, -0x1.f53ea453cfac9p-5, -0x1.f0d64b9c75d4bp-5, -0x1.ec6d64173f1e2p-5, -0x1.e8042f4ac9c21p-5, -0x1.e39aed7b386bap-5, -0x1.df31dda9c309p-5, -0x1.dac93d9421f7p-5, -0x1.d66149b3fd65cp-5, -0x1.d1fa3d3e79969p-5, -0x1.cd945223f9a3cp-5, -0x1.c92fc110262fcp-5, -0x1.c4ccc16a52ba3p-5, -0x1.c06b895642a7dp-5, -0x1.bc0c4db559f52p-5, -0x1.b7af42284420ap-5, -0x1.b354991103953p-5, -0x1.aefc839576978p-5, -0x1.aaa731a2407aep-5, -0x1.a654d1ee18deap-5, -0x1.a20591fd73ef6p-5, -0x1.9db99e2675f44p-5, -0x1.997121952ea28p-5, -0x1.952c46500a463p-5, -0x1.90eb353c6bbb2p-5, -0x1.8cae1623666abp-5, -0x1.88750fb68b48ep-5, -0x1.84404794bc81bp-5, -0x1.800fe24ef9c1ep-5, -0x1.7be4036d24c34p-5, -0x1.77bccd72aac07p-5, -0x1.739a61e31439fp-5, -0x1.6f7ce1466cf92p-5, -0x1.6b646b2d866d2p-5, -0x1.67511e360e0d2p-5, -0x1.6343180e70b5bp-5, -0x1.5f3a757995909p-5, -0x1.5b37525260b06p-5, -0x1.5739c98f0d361p-5, -0x1.5341f54456e8dp-5, -0x1.4f4feea8782cap-5, -0x1.4b63ce1603bb8p-5, -0x1.477dab0e9642ep-5, -0x1.439d9c3d6a728p-5, -0x1.3fc3b779d199cp-5, -0x1.3bf011c991e1fp-5, -0x1.3822bf6337dd8p-5, -0x1.345bd3b051931p-5, -0x1.309b614fa6b7ap-5, -0x1.2ce17a176768cp-5, -0x1.292e2f175870ap-5, -0x1.2581909b041ccp-5, -0x1.21dbae2beaba6p-5, -0x1.1e3c9693bced9p-5, -0x1.1aa457dea03bdp-5, -0x1.1712ff5d7cbcap-5, -0x1.138899a858831p-5, -0x1.100532a0bfb1fp-5, -0x1.0c88d5743afcap-5, -0x1.09138c9ed819cp-5, -0x1.05a561edbb5bdp-5, -0x1.023e5e81c22d6p-5, -0x1.fdbd15a46ac3bp-6, -0x1.f70bdd5f0689ap-6, -0x1.f069228c15182p-6, -0x1.e9d4f241d95abp-6, -0x1.e34f5859d2b47p-6, -0x1.dcd85f76885f7p-6, -0x1.d67011095d3dfp-6, -0x1.d01675586e39cp-6, -0x1.c9cb93847a7dep-6, -0x1.c38f718eca476p-6, -0x1.bd62145f19ef8p-6, -0x1.b7437fc9838d9p-6, -0x1.b133b69463ab3p-6, -0x1.ab32ba7e32b74p-6, -0x1.a5408c4362b0cp-6, -0x1.9f5d2ba41d27cp-6, -0x1.9988976a09bp-6, -0x1.93c2cd6df82d6p-6, -0x1.8e0bca9d7f2a8p-6, -0x1.88638b008fa0bp-6, -0x1.82ca09beec9a8p-6, -0x1.7d3f41259bcc8p-6, -0x1.77c32aac3abccp-6, -0x1.7255befa47f38p-6, -0x1.6cf6f5ec538b6p-6, -0x1.67a6c69921adep-6, -0x1.62652756b8a89p-6, -0x1.5d320dbf5a999p-6, -0x1.580d6eb673d9ap-6, -0x1.52f73e6d6c8dp-6, -0x1.4def70687275cp-6, -0x1.48f5f7832fc72p-6, -0x1.440ac5f56fac7p-6, -0x1.3f2dcd57afd09p-6, -0x1.3a5efea7afc8bp-6, -0x1.359e4a4cdf6c8p-6, -0x1.30eba01ccbc5ep-6, -0x1.2c46ef5f7c85cp-6, -0x1.27b026d3ba3fdp-6, -0x1.232734b356c2ep-6, -0x1.1eac06b758977p-6, -0x1.1a3e8a1c267dep-6, -0x1.15deaba5a2bdcp-6, -0x1.118c57a32e87fp-6, -0x1.0d4779f3bab79p-6, -0x1.090ffe09b564p-6, -0x1.04e5ceeef3ed6p-6, -0x1.00c8d74897691p-6, -0x1.f97202b5bd82cp-7, -0x1.f16c6e19df601p-7, -0x1.e980c3d92e8d6p-7, -0x1.e1aed663f760ep-7, -0x1.d9f677868dd39p-7, -0x1.d25778708f3ddp-7, -0x1.cad1a9bc03b47p-7, -0x1.c364db747dfe1p-7, -0x1.bc10dd1e114ffp-7, -0x1.b4d57dbc49da9p-7, -0x1.adb28bd8f9b66p-7, -0x1.a6a7d58b08a07p-7, -0x1.9fb5287d1db72p-7, -0x1.98da51f4422e5p-7, -0x1.92171ed667dc9p-7, -0x1.8b6b5bb0e04e3p-7, -0x1.84d6d4beb91a6p-7, -0x1.7e5955ef0b8dbp-7, -0x1.77f2aaeb3a08dp-7, -0x1.71a29f1d075fep-7, -0x1.6b68fdb4a45f6p-7, -0x1.654591aeaf3e6p-7, -0x1.5f3825da08d7ep-7, -0x1.594084dda1731p-7, -0x1.535e793e23c3ap-7, -0x1.4d91cd638acecp-7, -0x1.47da4b9ea14bp-7, -0x1.4237be2e61e5ep-7, -0x1.3ca9ef45386efp-7, -0x1.3730a90e2f4f5p-7, -0x1.31cbb5b1f8692p-7, -0x1.2c7adf5bdcc66p-7, -0x1.273df03e815a4p-7, -0x1.2214b298a1596p-7, -0x1.1cfef0b991adbp-7, -0x1.17fc7505ad569p-7, -0x1.130d09fa9e08ep-7, -0x1.0e307a3381585p-7, -0x1.0966906ce72cap-7, -0x1.04af1788aedbep-7, -0x1.0009da91c0617p-7, -0x1.f6ed497f3c127p-8, -0x1.edea82f3a22d8p-8, -0x1.e50af8b66001bp-8, -0x1.dc4e426a065c8p-8, -0x1.d3b3f82400a39p-8, -0x1.cb3bb27242a63p-8, -0x1.c2e50a60b130dp-8, -0x1.baaf997e4050dp-8, -0x1.b29af9e1bf2p-8, -0x1.aaa6c62e763e6p-8, -0x1.a2d299986728bp-8, -0x1.9b1e0fe8589cap-8, -0x1.9388c57f9edecp-8, -0x1.8c12575ba3436p-8, -0x1.84ba63192e12fp-8, -0x1.7d8086f77aab6p-8, -0x1.766461db12353p-8, -0x1.6f6593506b857p-8, -0x1.6883bb8e619e8p-8, -0x1.61be7b7871557p-8, -0x1.5b1574a0ca7e4p-8, -0x1.5488494a3da13p-8, -0x1.4e169c69f8b53p-8, -0x1.47c011a91f8c1p-8, -0x1.41844d66410e8p-8, -0x1.3b62f4b6a6309p-8, -0x1.355bad678dc29p-8, -0x1.2f6e1dff3f713p-8, -0x1.2999edbe08412p-8, -0x1.23dec49f1c4d6p-8, -0x1.1e3c4b5965a95p-8, -0x1.18b22b6031c4ap-8, -0x1.13400ee3dfa69p-8, -0x1.0de5a0d269da4p-8, -0x1.08a28cd7e6c91p-8, -0x1.03767f5ef681p-8, -0x1.fcc24b2255b42p-9, -0x1.f2c45aaeb8efp-9, -0x1.e8f28ab3e36d1p-9, -0x1.df4c3a024bc97p-9, -0x1.d5cd979c18d2p-9, -0x1.cc7c6e004dfb8p-9, -0x1.c354ea747e7c5p-9, -0x1.ba5671ae53bd8p-9, -0x1.b18069e553fc8p-9, -0x1.a8d23ad345efp-9, -0x1.a04b4db494f7ap-9, -0x1.97eb0d489db5bp-9, -0x1.8fb0e5d201e63p-9, -0x1.879c4516e650bp-9, -0x1.7fac9a6144f7dp-9, -0x1.77e1567f0ca03p-9, -0x1.7039ebc27c029p-9, -0x1.68b5ce024813fp-9, -0x1.61547299d7b1dp-9, -0x1.5a155069788cep-9, -0x1.52f7dfd69413ep-9, -0x1.4bfb9acbd49b4p-9, -0x1.451ffcb960793p-9, -0x1.3e648294f86bep-9, -0x1.37c8aada2142p-9, -0x1.314bf58a210a4p-9, -0x1.2aede42c2d3c9p-9, -0x1.24adf9cd50d51p-9, -0x1.1e8bbb005c009p-9, -0x1.1886adddbcb4ap-9, -0x1.129e5a033850fp-9, -0x1.0cd248938ebcbp-9, -0x1.07220435fb2c1p-9, -0x1.018d191598c0fp-9, -0x1.f82629c102b8ap-10, -0x1.ed670d8df6276p-10, -0x1.e2dbfef46fbe7p-10, -0x1.d884225624ef6p-10, -0x1.ce5e9f11076bap-10, -0x1.c46a9f7bc3ccap-10, -0x1.baa750e1df68dp-10, -0x1.b113e37f5c8ecp-10, -0x1.a7af8a7bdd46fp-10, -0x1.9e797be57503ep-10, -0x1.9570f0ab00ba5p-10, -0x1.8c952495e1583p-10, -0x1.83e5564383925p-10, -0x1.7b60c71e58b3dp-10, -0x1.7306bb56899fdp-10, -0x1.6ad679da3a5c6p-10, -0x1.62cf4c4d64e78p-10, -0x1.5af07f01a3297p-10, -0x1.533960ed740bp-10, -0x1.4ba943a362265p-10, -0x1.443f7b48fd6dfp-10, -0x1.3cfb5e8d9ec93p-10, -0x1.35dc46a10f8a6p-10, -0x1.2ee18f2a2ea53p-10, -0x1.280a963d777ep-10, -0x1.2156bc5392dcp-10, -0x1.1ac5643ffd3f6p-10, -0x1.1455f32797d33p-10, -0x1.0e07d0778a6f9p-10, -0x1.07da65dc4ac41p-10, -0x1.01cd1f3893be3p-10, -0x1.f7bed53984fdcp-11, -0x1.ec21707cdc63ap-11, -0x1.e0c0f4e053556p-11, -0x1.d59c4b3337a12p-11, -0x1.cab2605fb8fbcp-11, -0x1.c002255c22a7dp-11, -0x1.b58a8f1cf6f78p-11, -0x1.ab4a96873643ep-11, -0x1.a1413863f7e3ap-11, -0x1.976d7553d1972p-11, -0x1.8dce51c3bd4f9p-11, -0x1.8462d5e206d7cp-11, -0x1.7b2a0d9401397p-11, -0x1.7223086c8210bp-11, -0x1.694cd9a2b7659p-11, -0x1.60a69809991f2p-11, -0x1.582f5e07fff88p-11, -0x1.4fe64991127ap-11, -0x1.47ca7c1d31da4p-11, -0x1.3fdb1aa31fd7p-11, -0x1.38174d91e54f6p-11, -0x1.307e40ca8efbap-11, -0x1.290f239a51472p-11, -0x1.21c928b4f2a59p-11, -0x1.1aab862f473e5p-11, -0x1.13b575797b486p-11, -0x1.0ce6335992164p-11, -0x1.063cffe5d392bp-11, -0x1.ff723cfdc8555p-12, -0x1.f2b3ab932dd46p-12, -0x1.e63cdf516511dp-12, -0x1.da0c726c0263dp-12, -0x1.ce2105761333bp-12, -0x1.c2793f52a7c6dp-12, -0x1.b713cd23baa5bp-12, -0x1.abef6238198eep-12, -0x1.a10ab7f7d9f6fp-12, -0x1.96648dcf2872ep-12, -0x1.8bfba91769231p-12, -0x1.81ced4fecb5acp-12, -0x1.77dce26e1bd18p-12, -0x1.6e24a7ece7d5fp-12, -0x1.64a50183eb342p-12, -0x1.5b5cd09ddee06p-12, -0x1.524afbe6bd1e4p-12, -0x1.496e6f29a6d3p-12, -0x1.40c61b2d8ef13p-12, -0x1.3850f590a1a22p-12, -0x1.300df8a38e294p-12, -0x1.27fc2343152cdp-12, -0x1.201a78b2fa54p-12, -0x1.18680077bdcbbp-12, -0x1.10e3c63140e17p-12, -0x1.098cd976c5d92p-12, -0x1.02624db3701c7p-12, -0x1.f6c6740a1490bp-13, -0x1.e91d723853692p-13, -0x1.dbc7d23e91aep-13, -0x1.cec3d7208b61bp-13, -0x1.c20fca6a02d8bp-13, -0x1.b5a9fc063b229p-13, -0x1.a990c21e999c4p-13, -0x1.9dc278fff3467p-13, -0x1.923d83077bc52p-13, -0x1.87004896e2be2p-13, -0x1.7c09380ea615bp-13, -0x1.7156c5d05e1a3p-13, -0x1.66e76c461c866p-13, -0x1.5cb9abef648eep-13, -0x1.52cc0b7335c69p-13, -0x1.491d17b61d6f6p-13, -0x1.3fab63f2db1e9p-13, -0x1.367589d4f4c6ep-13, -0x1.2d7a29946ccap-13, -0x1.24b7ea11bc7f7p-13, -0x1.1c2d78ef01c15p-13, -0x1.13d98aaa1228fp-13, -0x1.0bbadab0a6e27p-13, -0x1.03d02b72d3a76p-13, -0x1.f8308cdecd26ep-14, -0x1.e923f87a8bb81p-14, -0x1.da78491cb3382p-14, -0x1.cc2b3c5933d9cp-14, -0x1.be3a9de458c5ap-14, -0x1.b0a44776da305p-14, -0x1.a36620a7a7889p-14, -0x1.967e1eba33b7ap-14, -0x1.89ea44634afbcp-14, -0x1.7da8a185627f3p-14, -0x1.71b752e4165e9p-14, -0x1.661481d2573d1p-14, -0x1.5abe63d8f910cp-14, -0x1.4fb33a5a48492p-14, }}, 
      {{-0x1.ed40327a3ce4ep-7, -0x1.a40377e36935dp-5, -0x1.c892bcb064204p-4, -0x1.8360b135132ffp-3, -0x1.19acfe894988cp-2, -0x1.711890c1db9d5p-2, -0x1.c0c584bc03c19p-2, -0x1.01dcdcc716525p-1, -0x1.1b870bb282a39p-1, -0x1.2ccbe5286d8c4p-1, -0x1.35c12441c760fp-1, -0x1.36f6c0da67bc9p-1, -0x1.314c81a5be3c3p-1, -0x1.25cf5bca624b4p-1, -0x1.159e85d2b7fc9p-1, -0x1.01d78dba0af08p-1, -0x1.d7109b4df9b31p-2, -0x1.a74bb64b14153p-2, -0x1.760eef20e4befp-2, -0x1.44c889d9fd748p-2, -0x1.14a6980d90b7fp-2, -0x1.cd331f13e6f1ap-3, -0x1.76b255b6b7f08p-3, -0x1.26d4a7e4f4a03p-3, -0x1.bc94a6c74582ap-4, -0x1.3af057b1e0c8fp-4, -0x1.920f0b5b8cac5p-5, -0x1.9aed06a241c9fp-6, -0x1.39d80f1b46eedp-8, 0x1.87fc914513e1fp-7, 0x1.9ff0ee0a7b5cap-6, 0x1.24b2c0706de9fp-5, 0x1.625385c2d5845p-5, 0x1.8b16d2db55f8ep-5, 0x1.a1457dd7c1248p-5, 0x1.a724806ea506p-5, 0x1.9ee41f6254a94p-5, 0x1.8a985914de90cp-5, 0x1.6c3923652b4b3p-5, 0x1.45a25db40ca93p-5, 0x1.188f735da0d18p-5, 0x1.cd2b3f20bec7p-6, 0x1.62432d78034c8p-6, 0x1.e5e76d6edb7f3p-7, 0x1.030c690a375b3p-7, 0x1.0068a0ab51f5dp-10, -0x1.7eedc1717056ap-8, -0x1.9859d6b23bbap-7, -0x1.33f7b401c7e2p-6, -0x1.95fe3d18ee86bp-6, -0x1.f154c83a4852cp-6, -0x1.229d099bfed13p-5, -0x1.4888e02bdc11fp-5, -0x1.6a309aac62773p-5, -0x1.8767e25a9a4a1p-5, -0x1.a0046c9dbe327p-5, -0x1.b406993f691e1p-5, -0x1.c36daa0a8c6afp-5, -0x1.ce40e828fe74cp-5, -0x1.d48e29f0eda48p-5, -0x1.d66947f916273p-5, -0x1.d3ec27355ccc6p-5, -0x1.cd36e62f8138cp-5, -0x1.c26fcafcdd3d3p-5, -0x1.b3c2ba7ca029ap-5, -0x1.a16035eceead3p-5, -0x1.8b7c0707ea819p-5, -0x1.724bd7f67fcb2p-5, -0x1.5605f1ef66885p-5, -0x1.36e04adb9a584p-5, -0x1.150ff234dec0fp-5, -0x1.e191aedbd2bfep-6, -0x1.947ba8f37bc98p-6, -0x1.4341bd2fc9bb9p-6, -0x1.dc8cf902e76ccp-7, -0x1.2bd6d06a198b1p-7, -0x1.d487aa10d3aa5p-9, 0x1.1b4e0033d81d1p-9, 0x1.074f06b8e67cep-7, 0x1.cb9b7fe680932p-7, 0x1.49853fd9c2a1ep-6, 0x1.ae7ad62abd8a6p-6, 0x1.0a2fef82f96ebp-5, 0x1.3d754508615d7p-5, 0x1.70eaf6b2af55ap-5, 0x1.a470f32918d4ap-5, 0x1.d7e969664f2d2p-5, 0x1.059c4c7a044c3p-4, 0x1.1f224eb65094p-4, 0x1.387a9e41131e8p-4, 0x1.5199de2375748p-4, 0x1.6a7562a0efddap-4, 0x1.830328b32ff4ep-4, 0x1.9b39d362e19afp-4, 0x1.b310ad8eb7bb3p-4, 0x1.ca7fae3a28588p-4, 0x1.e17f7d6b3ee0ap-4, 0x1.f80977e1943aep-4, 0x1.070bd8348fa6p-3, 0x1.11d2770bd9ef1p-3, 0x1.1c5653a3999dfp-3, 0x1.26957cc388f48p-3, 0x1.308e4f84615a9p-3, 0x1.3a3f711aeb151p-3, 0x1.43a7c81966148p-3, 0x1.4cc6758957821p-3, 0x1.559ace3921a67p-3, 0x1.5e24548b92285p-3, 0x1.6662b305568a1p-3, 0x1.6e55b7bea2258p-3, 0x1.7602fbcaf4cd6p-3, 0x1.7d604e89e6cc4p-3, 0x1.8471f6cb07cf1p-3, 0x1.8b383112f4ebdp-3, 0x1.91b35bdc756c8p-3, 0x1.97e3f66d734adp-3, 0x1.9dca9f330dbc7p-3, 0x1.a36811a399debp-3, 0x1.a8bd23b27ea05p-3, 0x1.adcac2ec10febp-3, 0x1.b291f156f8d4fp-3, 0x1.b713c23d385b8p-3, 0x1.bb51570075411p-3, 0x1.bf4bdc1b8be55p-3, 0x1.c304866f0af05p-3, 0x1.c67c90ef6eeacp-3, 0x1.c9b53ac39ceabp-3, 0x1.ccafc5d905b57p-3, 0x1.cf6d75ea39269p-3, 0x1.d1ef8fed065fcp-3, 0x1.d43759d76ed1ap-3, 0x1.d6461aa6a0b85p-3, 0x1.d81d1a916440ep-3, 0x1.d9bda34f48a49p-3, 0x1.db29005f80579p-3, 0x1.dc607f3d5d114p-3, 0x1.dd656f742b0f5p-3, 0x1.de392288b2488p-3, 0x1.dedcebb3773bep-3, 0x1.df521f6b57172p-3, 0x1.df9a12c469f3cp-3, 0x1.dfb61aaa83c73p-3, 0x1.dfa78b0136a79p-3, 0x1.df6fb5b4cf6a1p-3, 0x1.df0fe9c83635p-3, 0x1.de89726b4bb4cp-3, 0x1.dddd9623fa071p-3, 0x1.dd0d9612816f2p-3, 0x1.dc1aad5743782p-3, 0x1.db06109de22abp-3, 0x1.d9d0edcf0de74p-3, 0x1.d87c6be82ec8bp-3, 0x1.d709aaf5dab67p-3, 0x1.d579c42c8b8aep-3, 0x1.d3cdca19a0f16p-3, 0x1.d206c8e626ba1p-3, 0x1.d025c6a471773p-3, 0x1.ce2bc3a1eedddp-3, 0x1.cc19bab726983p-3, 0x1.c9f0a190d3f65p-3, 0x1.c7b168ee313eap-3, 0x1.c55cfcd1d1f71p-3, 0x1.c2f444a3cb175p-3, 0x1.c0782344fe0a9p-3, 0x1.bde977148e62p-3, 0x1.bb4919e948fbdp-3, 0x1.b897e1017c169p-3, 0x1.b5d69cec0c52dp-3, 0x1.b306196db6b37p-3, 0x1.b0271d6567c28p-3, 0x1.ad3a6ab24c472p-3, 0x1.aa40be1dc30edp-3, 0x1.a73acf4b0c8b2p-3, 0x1.a42950add7e4cp-3, 0x1.a10cef886f07bp-3, 0x1.9de653f1b0471p-3, 0x1.9ab620e287503p-3, 0x1.977cf44a6099ap-3, 0x1.943b67299bbd5p-3, 0x1.90f20db0f0768p-3, 0x1.8da1776497acp-3, 0x1.8a4a2f41fda25p-3, 0x1.86ecbbe6d4048p-3, 0x1.83899fb85fbecp-3, 0x1.8021590a1c32cp-3, 0x1.7cb46242deea2p-3, 0x1.794331ffd82b3p-3, 0x1.75ce3b35035d1p-3, 0x1.7255ed4ac542ep-3, 0x1.6edab438a8398p-3, 0x1.6b5cf89d3e616p-3, 0x1.67dd1fd369eb8p-3, 0x1.645b8c055f19p-3, 0x1.60d89c3db8c4bp-3, 0x1.5d54ac7711d07p-3, 0x1.59d015aa96b04p-3, 0x1.564b2dddf43acp-3, 0x1.52c64831001c1p-3, 0x1.4f41b4eb711d3p-3, 0x1.4bbdc18ad8833p-3, 0x1.483ab8d1106afp-3, 0x1.44b8e2d3319acp-3, 0x1.413885090b82dp-3, 0x1.3db9e25d2b9dbp-3, 0x1.3a3d3b3d43d06p-3, 0x1.36c2cdaae7df5p-3, 0x1.334ad54c6ef35p-3, 0x1.2fd58b7de16fcp-3, 0x1.2c632761bc8f4p-3, 0x1.28f3ddf17a30ep-3, 0x1.2587e20db45e9p-3, 0x1.221f648dca293p-3, 0x1.1eba944efd0fcp-3, 0x1.1b599e42f0f29p-3, 0x1.17fcad7d90563p-3, 0x1.14a3eb4256b75p-3, 0x1.114f7f1103944p-3, 0x1.0dff8eb1c8a3bp-3, 0x1.0ab43e40fa435p-3, 0x1.076db03a5c806p-3, 0x1.042c05841c911p-3, 0x1.00ef5d797a416p-3, 0x1.fb7081dbe3b92p-4, 0x1.f50bd1f47745bp-4, 0x1.eeb1cda128edep-4, 0x1.e862a91881eeap-4, 0x1.e21e95e9b6343p-4, 0x1.dbe5c3089ce9ap-4, 0x1.d5b85cd9ebe12p-4, 0x1.cf968d3fdac83p-4, 0x1.c9807ba75da6bp-4, 0x1.c3764d15e6d32p-4, 0x1.bd782437dc585p-4, 0x1.b786216faf33ep-4, 0x1.b1a062e57d8efp-4, 0x1.abc70497534b8p-4, 0x1.a5fa2069d09acp-4, 0x1.a039ce393be32p-4, 0x1.9a8623eabfa18p-4, 0x1.94df357de00ebp-4, 0x1.8f45151dea9ccp-4, 0x1.89b7d333475f2p-4, 0x1.84377e7499b7fp-4, 0x1.7ec423f789f02p-4, 0x1.795dcf4121eabp-4, 0x1.74048a55a88a4p-4, 0x1.6eb85dc7e6acdp-4, 0x1.697950c7c642dp-4, 0x1.6447693043f06p-4, 0x1.5f22ab94a5537p-4, 0x1.5a0b1b4cf5b0ep-4, 0x1.5500ba81c529cp-4, 0x1.50038a372dd08p-4, 0x1.4b138a57254dcp-4, 0x1.4630b9bb22a43p-4, 0x1.415b163523deap-4, 0x1.3c929c981dadap-4, 0x1.37d748bfe5ac2p-4, 0x1.33291598a39b5p-4, 0x1.2e87fd25db005p-4, 0x1.29f3f88919ce4p-4, 0x1.256d00085c4bbp-4, 0x1.20f30b143609bp-4, 0x1.1c86104dc9111p-4, 0x1.1826058c9cb15p-4, 0x1.13d2dfe459ebfp-4, 0x1.0f8c93aa78ec4p-4, 0x1.0b53147be8ddp-4, 0x1.07265542b3864p-4, 0x1.0306483ba7c73p-4, 0x1.fde5bdf80c57ap-5, 0x1.f5d814ee71323p-5, 0x1.ede37609209aap-5, 0x1.e607c0ca1689p-5, 0x1.de44d3923f2ffp-5, 0x1.d69a8bad10321p-5, 0x1.cf08c55c244e5p-5, 0x1.c78f5be2c8f8bp-5, 0x1.c02e299180577p-5, 0x1.b8e507d164fd6p-5, 0x1.b1b3cf2f6d461p-5, 0x1.aa9a576785874p-5, 0x1.a398776f757bbp-5, 0x1.9cae05818d084p-5, 0x1.95dad72712064p-5, 0x1.8f1ec14267af5p-5, 0x1.88799818e7ed4p-5, 0x1.81eb2f5c753d6p-5, 0x1.7b735a34b49dbp-5, 0x1.7511eb47f68ddp-5, 0x1.6ec6b4c3cbf86p-5, 0x1.6891886545f72p-5, 0x1.62723780df634p-5, 0x1.5c68930a1687ep-5, 0x1.56746b9ab5331p-5, 0x1.50959179c835p-5, 0x1.4acbd4a24cfbbp-5, 0x1.451704c99a92ep-5, 0x1.3f76f1657fb24p-5, 0x1.39eb69b2298ecp-5, 0x1.34743cb7c82c2p-5, 0x1.2f11394fffa9dp-5, 0x1.29c22e2b24c98p-5, 0x1.2486e9d54b5dcp-5, 0x1.1f5f3abb2b34ap-5, 0x1.1a4aef2edb7d3p-5, 0x1.1549d56c6f377p-5, 0x1.105bbb9e6cb2p-5, 0x1.0b806fe22b59p-5, 0x1.06b7c04c16c74p-5, 0x1.02017aebd6bfep-5, 0x1.fabadba0c9b92p-6, 0x1.f196ce180efb5p-6, 0x1.e89669707be7dp-6, 0x1.dfb949f32979fp-6, 0x1.d6ff0c06d1b8fp-6, 0x1.ce674c372fb66p-6, 0x1.c5f1a73c38d8ap-6, 0x1.bd9dba0130d99p-6, 0x1.b56b21ab90bbfp-6, 0x1.ad597ba1d0332p-6, 0x1.a5686591f7733p-6, 0x1.9d977d78158f4p-6, 0x1.95e661a476cf2p-6, 0x1.8e54b0c1c3cbcp-6, 0x1.86e209daddb24p-6, 0x1.7f8e0c60980cp-6, 0x1.7858582f3ba31p-6, 0x1.71408d93d5546p-6, 0x1.6a464d5159f4fp-6, 0x1.636938a58f1b1p-6, 0x1.5ca8f14dc6de4p-6, 0x1.5605198b661c3p-6, 0x1.4f7d54283542dp-6, 0x1.4911447a85797p-6, 0x1.42c08e6919f9ap-6, 0x1.3c8ad66eeab45p-6, 0x1.366fc19eaa72p-6, 0x1.306ef5a62c955p-6, 0x1.2a8818d18c3b9p-6, 0x1.24bad20e324b9p-6, 0x1.1f06c8edac5e1p-6, 0x1.196ba5a854813p-6, 0x1.13e9111fd7e83p-6, 0x1.0e7eb4e18f2bp-6, 0x1.092c3b28b571bp-6, 0x1.03f14ee079a1p-6, 0x1.fd9b374bd475ep-7, 0x1.f3819b9384923p-7, 0x1.e99524a429003p-7, 0x1.dfd52df7b5e2ap-7, 0x1.d6411478c44a4p-7, 0x1.ccd836853e321p-7, 0x1.c399f3f0d0c73p-7, 0x1.ba85ae07222cdp-7, 0x1.b19ac78dda36ap-7, 0x1.a8d8a4c687f43p-7, 0x1.a03eab703ca52p-7, 0x1.97cc42c91731dp-7, 0x1.8f80d38f94889p-7, 0x1.875bc803b891fp-7, 0x1.7f5c8be80fbdep-7, 0x1.77828c828927fp-7, 0x1.6fcd389d3496bp-7, 0x1.683c0086c28d4p-7, 0x1.60ce561305c65p-7, 0x1.5983ac9b28aefp-7, 0x1.525b78fde5b2p-7, 0x1.4b55319f82ff4p-7, 0x1.44704e69c1842p-7, 0x1.3dac48cba2efap-7, 0x1.37089bb90ec7dp-7, 0x1.3084c3aa65c37p-7, 0x1.2a203e9beb0f7p-7, 0x1.23da8c0d1a03cp-7, 0x1.1db32cffdc761p-7, 0x1.17a9a3f7a847dp-7, 0x1.11bd74f8837a3p-7, 0x1.0bee2585ec415p-7, 0x1.063b3ca1ab6a1p-7, 0x1.00a442ca8f88p-7, 0x1.f65183f617219p-8, 0x1.eb908b4f90c2dp-8, 0x1.e104b57c316ap-8, 0x1.d6ad1f44b6786p-8, 0x1.cc88e85c8cefbp-8, 0x1.c297335e4688cp-8, 0x1.b8d725c7e3b8cp-8, 0x1.af47e7f6fd58ap-8, 0x1.a5e8a524c0225p-8, 0x1.9cb88b61d3a24p-8, 0x1.93b6cb920ccdfp-8, 0x1.8ae2996814383p-8, 0x1.823b2b60d7ea3p-8, 0x1.79bfbabeeb39ap-8, 0x1.716f8385c296bp-8, 0x1.6949c474d25cap-8, 0x1.614dbf02932c9p-8, 0x1.597ab757679a9p-8, 0x1.51cff448695cep-8, 0x1.4a4cbf521a9e4p-8, 0x1.42f06492fed2cp-8, 0x1.3bba32c61f48cp-8, 0x1.34a97b3d6c424p-8, 0x1.2dbd91dc18fdcp-8, 0x1.26f5cd10d6cfdp-8, 0x1.205185cffd191p-8, 0x1.19d0178d9f805p-8, 0x1.1370e03795d21p-8, 0x1.0d33402f67b9fp-8, 0x1.07169a44336b7p-8, 0x1.011a53ac81fe3p-8, 0x1.f67ba800114f1p-9, 0x1.eb010a62cc03ep-9, 0x1.dfc3a70f8ed13p-9, 0x1.d4c25b312756ep-9, 0x1.c9fc0882026ebp-9, 0x1.bf6f953f4dc9fp-9, 0x1.b51bec1c0dbd3p-9, 0x1.aafffc3427394p-9, 0x1.a11ab8ff6272cp-9, 0x1.976b1a4462d7ap-9, 0x1.8df01c0ba144dp-9, 0x1.84a8be92600b1p-9, 0x1.7b94063da1c3cp-9, 0x1.72b0fb8d24175p-9, 0x1.69feab0e52a14p-9, 0x1.617c254f5e6c1p-9, 0x1.59287ed234367p-9, 0x1.5102cfffac23dp-9, 0x1.490a351a9b073p-9, 0x1.413dce3310269p-9, 0x1.399cbf19902e5p-9, 0x1.32262f526c49ep-9, 0x1.2ad94a0927df8p-9, 0x1.23b53e03ee0fbp-9, 0x1.1cb93d972479fp-9, 0x1.15e47e9908b42p-9, 0x1.0f363a5572e95p-9, 0x1.08adad81a44b3p-9, 0x1.024a183033e97p-9, 0x1.f8157b8a2e3d8p-10, 0x1.ebddc9d363bffp-10, 0x1.dfebaf024f8f6p-10, 0x1.d43dc5394f02dp-10, 0x1.c8d2acdfaff63p-10, 0x1.bda7bc9943a47p-10, 0x1.b2be44701c49dp-10, 0x1.a813a424fddcbp-10, 0x1.9da69442be85fp-10, 0x1.9375d3299b011p-10, 0x1.898024f9a772ep-10, 0x1.7fc4537d50034p-10, 0x1.76412e142cc83p-10, 0x1.6cf5899e0a9b9p-10, 0x1.63e040662b1c4p-10, 0x1.5b00320ec71cfp-10, 0x1.5254437cccbeap-10, 0x1.49db5ec3d6f7cp-10, 0x1.419473125fa67p-10, 0x1.397e749e3f531p-10, 0x1.31985c9141374p-10, 0x1.29e128f61db8ep-10, 0x1.2257dca596ad4p-10, 0x1.1afb7f33d4e89p-10, 0x1.13cb1cdde9d57p-10, 0x1.0cc5c677b2fffp-10, 0x1.05ea9159cfc1cp-10, 0x1.fe712e9f9f58ep-11, 0x1.f15ded0d3fc91p-11, 0x1.e499a2f63b471p-11, 0x1.d8229dd1d2ef4p-11, 0x1.cbf73372a19c5p-11, 0x1.c015c1e4e2ba6p-11, 0x1.b47caf4d1d885p-11, 0x1.a92a69c70eb8fp-11, 0x1.9e1d6744c1245p-11, 0x1.9354256e4aa1p-11, 0x1.88cd29817ebb2p-11, 0x1.7e8700321d451p-11, 0x1.74803d8a1b06ep-11, 0x1.6ab77cca5cd1cp-11, 0x1.612b604b9d5cep-11, 0x1.57da915fa5c58p-11, 0x1.4ec3c032a6432p-11, 0x1.45e5a3ad12967p-11, 0x1.3d3ef95586933p-11, 0x1.34ce853308575p-11, 0x1.2c9311af9cb2ap-11, 0x1.248b6f7b04c3bp-11, 0x1.1cb6756dfb422p-11, 0x1.1513006d7e9ecp-11, 0x1.0d9ff34eadbb4p-11, 0x1.065c36bab7529p-11, 0x1.fe8d72269710fp-12, 0x1.f0bcdcaeaa2ap-12, 0x1.e344a01039e46p-12, 0x1.d622ba1d5dc78p-12, 0x1.c955334387f55p-12, 0x1.bcda1e57d2e2bp-12, 0x1.b0af9864623c3p-12, 0x1.a4d3c87653e77p-12, 0x1.9944df6ce176fp-12, 0x1.8e0117c8d321p-12, 0x1.8306b57d5933bp-12, 0x1.785405c1703e8p-12, 0x1.6de75ee23546fp-12, 0x1.63bf2016058dp-12, 0x1.59d9b150be173p-12, 0x1.503583188b5cap-12, 0x1.46d10e5bdfeaep-12, 0x1.3daad44837828p-12, 0x1.34c15e21518cap-12, 0x1.2c133d1a1272dp-12, 0x1.239f0a2d7855bp-12, 0x1.1b6365f8ce9d4p-12, 0x1.135ef8967e43cp-12, 0x1.0b907179d06b3p-12, 0x1.03f6874b5f3d4p-12, 0x1.f91fef8cbd07dp-13, 0x1.eab70f2cec597p-13, 0x1.dcb0046ce5704p-13, 0x1.cf08739f49b21p-13, 0x1.c1be0e3400115p-13, 0x1.b4ce92794fc7dp-13, 0x1.a837cb5ea435bp-13, 0x1.9bf79037d9a8fp-13, 0x1.900bc482ce35ap-13, 0x1.847257acee0c7p-13, 0x1.792944da34b81p-13, 0x1.6e2e92ad5fb1dp-13, 0x1.63805310681efp-13, 0x1.591ca2fe7b5c3p-13, 0x1.4f01aa4e99449p-13, 0x1.452d9b7eb42cbp-13, 0x1.3b9eb37fa56fap-13, 0x1.32533982152ddp-13, 0x1.29497ec37c2abp-13, 0x1.207fde5beda03p-13, 0x1.17f4bd0caad5p-13, 0x1.0fa6890e9c942p-13, 0x1.0793b9e1f4fa2p-13, 0x1.ff75a03a48a63p-14, 0x1.f034aa7b78ecbp-14, 0x1.e161b6f01df3fp-14, 0x1.d2f9fb109468cp-14, 0x1.c4fabd06d436ap-14, 0x1.b761535126d77p-14, 0x1.aa2b2465b2354p-14, 0x1.9d55a65696b97p-14, 0x1.90de5e76bd2e4p-14, 0x1.84c2e10043acfp-14, 0x1.7900d0b9c8565p-14, 0x1.6d95de9fcb38p-14, 0x1.627fc98c4fa37p-14, 0x1.57bc5de1864c1p-14, 0x1.4d497534a46efp-14, 0x1.4324f5fc7ebffp-14, 0x1.394cd33ec709fp-14, 0x1.2fbf0c417414ap-14, 0x1.2679ac3d56be3p-14, 0x1.1d7aca1399c6ep-14, 0x1.14c088046376fp-14, 0x1.0c4913693207cp-14, 0x1.0412a4712d361p-14, 0x1.f836fbc12aa73p-15, 0x1.e8c3d9a4ff8e3p-15, 0x1.d9c890fbdc3a4p-15, 0x1.cb41e3fb55bb5p-15, 0x1.bd2ca83562d7p-15, 0x1.af85c632652cp-15, 0x1.a24a39117c753p-15, 0x1.95770e2e4bc1bp-15, 0x1.890964c91feb6p-15, 0x1.7cfe6db684044p-15, 0x1.71536b0ec6446p-15, 0x1.6605afe5efc83p-15, 0x1.5b12a000dcf51p-15, 0x1.5077af9215f9p-15, 0x1.463262f34584cp-15, 0x1.3c404e643f61fp-15, 0x1.329f15c830db7p-15, 0x1.294c6c635789fp-15, 0x1.2046149a095a2p-15, 0x1.1789dfac45e8dp-15, 0x1.0f15ad73cafb3p-15, 0x1.06e76c1e11f8dp-15, 0x1.fdfa2fcd51184p-16, 0x1.eea975a4a77d3p-16, 0x1.dfd8d8c41219ap-16, 0x1.d184a2966db1ap-16, 0x1.c3a9365920da1p-16, 0x1.b6431084017d3p-16, 0x1.a94ec62c2ac69p-16, 0x1.9cc90468abc1cp-16, 0x1.90ae8fb7f5a55p-16, 0x1.84fc4360aa35ap-16, 0x1.79af10d723484p-16, 0x1.6ec3ff1fd2834p-16, 0x1.64382a3545898p-16, }}, 
      {{-0x1.34eed6a77c0d9p-1, -0x1.95ddeecfe4af5p-1, -0x1.f5cda899c10c7p-1, -0x1.206be7b16b085p+0, -0x1.38d5803884a53p+0, -0x1.4508ed653d586p+0, -0x1.476429dab5ad3p+0, -0x1.42a069412c515p+0, -0x1.3944b0d189121p+0, -0x1.2d6a1473e0406p+0, -0x1.20ac40f07abdp+0, -0x1.14307b9107f88p+0, -0x1.08b68260bf623p+0, -0x1.fd590ddc24307p-1, -0x1.ec853ee9a912dp-1, -0x1.def7fcf16af9dp-1, -0x1.d47abc3d14fcdp-1, -0x1.ccb1139055d7ep-1, -0x1.c72a847ac5d4bp-1, -0x1.c36f7de5c3c42p-1, -0x1.c10ab0579671dp-1, -0x1.bf8f19246532fp-1, -0x1.be9bcdca8d8e1p-1, -0x1.bdddf53c3a07fp-1, -0x1.bd11360c1da25p-1, -0x1.bbff8da87a0cp-1, -0x1.ba80568ca7d9cp-1, -0x1.b876aa8eb706dp-1, -0x1.b5d08552794fcp-1, -0x1.b284ce82f6aadp-1, -0x1.ae9197d3bfe06p-1, -0x1.a9fb0f4487316p-1, -0x1.a4ca5fd0783a9p-1, -0x1.9f0c2d81bebeep-1, -0x1.98cf552dbcfb4p-1, -0x1.922447286efd9p-1, -0x1.8b1c94507cdfap-1, -0x1.83ca4857731a4p-1, -0x1.7c3f2d3125fbep-1, -0x1.748c4a533fc3ap-1, -0x1.6cc1b96b146c7p-1, -0x1.64eea353141a4p-1, -0x1.5d212df12f6e2p-1, -0x1.55664cf8361eep-1, -0x1.4dc990938cd4dp-1, -0x1.46551280dac2p-1, -0x1.3f1189535a721p-1, -0x1.38066f124529bp-1, -0x1.313a21a76a692p-1, -0x1.2ab1f0d250376p-1, -0x1.24721f7564632p-1, -0x1.1e7de6946e8f7p-1, -0x1.18d78440878f5p-1, -0x1.138056e26a3d3p-1, -0x1.0e78f64cd30eep-1, -0x1.09c0fa4e91273p-1, -0x1.05587659b1c78p-1, -0x1.013e767e8c0e6p-1, -0x1.fae2f1bc29b27p-2, -0x1.f3defafdbbc5dp-2, -0x1.ed6c3c23c9c02p-2, -0x1.e785528b6910cp-2, -0x1.e224792c9b3bcp-2, -0x1.dd43b1238a8ep-2, -0x1.d8dcdb47f57c8p-2, -0x1.d4e9c3975c019p-2, -0x1.d16422b436705p-2, -0x1.ce459b3b30f8bp-2, -0x1.cb87b83584456p-2, -0x1.c923f02850877p-2, -0x1.c713ae089b71fp-2, -0x1.c5505f61c6c35p-2, -0x1.c3d385a4a6f0ep-2, -0x1.c296c7ff82bb9p-2, -0x1.c194033a81909p-2, -0x1.c0c555b277a81p-2, -0x1.c0252673bac3fp-2, -0x1.bfae276e9714ep-2, -0x1.bf5b5394e6f6ep-2, -0x1.bf27ea3e9b746p-2, -0x1.bf0f6964ea85bp-2, -0x1.bf0d881cccfe3p-2, -0x1.bf1e32531e80ep-2, -0x1.bf3d864dda9d2p-2, -0x1.bf67d400a4582p-2, -0x1.bf999dea2a0adp-2, -0x1.bfcf9af8651e9p-2, -0x1.c006b8d8417ebp-2, -0x1.c03c1e16745d4p-2, -0x1.c06d2b8ecca18p-2, -0x1.c0977ccef7471p-2, -0x1.c0b8e74199038p-2, -0x1.c0cf782646b9ep-2, -0x1.c0d971839697dp-2, -0x1.c0d5465d3f017p-2, -0x1.c0c1968605d8p-2, -0x1.c09d2a63fe81fp-2, -0x1.c066eef012ed5p-2, -0x1.c01df2257c0b7p-2, -0x1.bfc16000124b8p-2, -0x1.bf508014edc6ap-2, -0x1.becab3c0bb70ep-2, -0x1.be2f74d9e7236p-2, -0x1.bd7e54c9a7ca6p-2, -0x1.bcb6fbe6ddd05p-2, -0x1.bbd928ea3a234p-2, -0x1.bae4b055f9003p-2, -0x1.b9d97bb43d5e5p-2, -0x1.b8b7889bf7869p-2, -0x1.b77ee77998794p-2, -0x1.b6305961c8d15p-2, -0x1.b4cae340648cdp-2, -0x1.b34f525e0ae59p-2, -0x1.b1bdf2e83e0f3p-2, -0x1.b0171b5933442p-2, -0x1.ae5b2b2128373p-2, -0x1.ac8a897d8e118p-2, -0x1.aaa5a47dc24c9p-2, -0x1.a8acf030b2d12p-2, -0x1.a6a0e5f425051p-2, -0x1.a48203dd58ce5p-2, -0x1.a250cc3355372p-2, -0x1.a00dc4f4a9b15p-2, -0x1.9db977643a1a8p-2, -0x1.9b546f9a3be16p-2, -0x1.98df3c17b85b4p-2, -0x1.965a6d5bb7134p-2, -0x1.93c69579c1c8cp-2, -0x1.912447b1f8a6cp-2, -0x1.8e74180b6943fp-2, -0x1.8bb69af1bc9d8p-2, -0x1.88ec64d792a84p-2, -0x1.861609debfc6ap-2, -0x1.83341d87561bap-2, -0x1.80473265df033p-2, -0x1.7d4fd9e09c389p-2, -0x1.7a4ea3f3356a2p-2, -0x1.77441ef7fe3fap-2, -0x1.7430d775f6b7ap-2, -0x1.711557f2c8beap-2, -0x1.6df228c84e74bp-2, -0x1.6ac7cffd72109p-2, -0x1.6796d1227a4b1p-2, -0x1.645fad3116e2ep-2, -0x1.6122e2709d5dcp-2, -0x1.5de0ec5ef2f0ap-2, -0x1.5a9a439e9261bp-2, -0x1.574f5de9ed3aap-2, -0x1.5400ae0c350acp-2, -0x1.50aea3df49p-2, -0x1.4d59ac4e3dbbbp-2, -0x1.4a02315bbbadap-2, -0x1.46a89a2b48394p-2, -0x1.434d4b0c7b6edp-2, -0x1.3ff0a5872a4ddp-2, -0x1.3c930867ae0cfp-2, -0x1.3934cfca88a8fp-2, -0x1.35d65526dadcep-2, -0x1.3277ef5741f72p-2, -0x1.2f19f2a0dea66p-2, -0x1.2bbcb0b86fa27p-2, -0x1.286078c584972p-2, -0x1.2505976409862p-2, -0x1.21ac56a474f59p-2, -0x1.1e54fe0b26165p-2, -0x1.1affd28f7978bp-2, -0x1.17ad169b49f1fp-2, -0x1.145d0a0b7dc98p-2, -0x1.110fea32466d5p-2, -0x1.0dc5f1db881a9p-2, -0x1.0a7f5953cf135p-2, -0x1.073c5671f58fbp-2, -0x1.03fd1ca377c79p-2, -0x1.00c1dcfb4e8p-2, -0x1.fb158c85e4db2p-3, -0x1.f4b00a1a4a0eep-3, -0x1.ee538793fa193p-3, -0x1.e80055b76e604p-3, -0x1.e1b6c1579966ap-3, -0x1.db77137fa7cebp-3, -0x1.d541919b92c79p-3, -0x1.cf167d9ec17fcp-3, -0x1.c8f616283cb57p-3, -0x1.c2e096a3f85e1p-3, -0x1.bcd6376904c6fp-3, -0x1.b6d72dd478901p-3, -0x1.b0e3ac6122751p-3, -0x1.aafbe2bc2532fp-3, -0x1.a51ffdd6c76dp-3, -0x1.9f5027f5cdc4fp-3, -0x1.998c88bed5e5ap-3, -0x1.93d5454432ec5p-3, -0x1.8e2a800fc5747p-3, -0x1.888c592d630cfp-3, -0x1.82faee3535c29p-3, -0x1.7d765a569188p-3, -0x1.77feb6638ce4dp-3, -0x1.729418ddab329p-3, -0x1.6d369603b9d6p-3, -0x1.67e63fe0f8342p-3, -0x1.62a3265d80b5dp-3, -0x1.5d6d574fddbd6p-3, -0x1.5844de8f9e948p-3, -0x1.5329c608addccp-3, -0x1.4e1c15cf2db3fp-3, -0x1.491bd4339e9cdp-3, -0x1.442905d6f5b14p-3, -0x1.3f43adbe83548p-3, -0x1.3a6bcd67518f1p-3, -0x1.35a164d8e4157p-3, -0x1.30e472b723722p-3, -0x1.2c34f453629b1p-3, -0x1.2792e5bc69d6ep-3, -0x1.22fe41cd7d453p-3, -0x1.1e77023c628ddp-3, -0x1.19fd1fa671275p-3, -0x1.1590919cb0b8bp-3, -0x1.11314eaf19d1bp-3, -0x1.0cdf4c7716012p-3, -0x1.089a7fa14732ep-3, -0x1.0462dbf6b19aep-3, -0x1.0038546566f66p-3, -0x1.f835f1ad8ac0dp-4, -0x1.f014df1bacfeap-4, -0x1.e80dacc0fedeap-4, -0x1.e0203afd482eep-4, -0x1.d84c68b95c7eep-4, -0x1.d09213718456cp-4, -0x1.c8f117404ab54p-4, -0x1.c1694ee9fc3bcp-4, -0x1.b9fa93e8b4da1p-4, -0x1.b2a4be791d653p-4, -0x1.ab67a5a7d3d42p-4, -0x1.a4431f5f592f6p-4, -0x1.9d37007696cb5p-4, -0x1.96431cbfbd688p-4, -0x1.8f6747178e0e3p-4, -0x1.88a35174c018dp-4, -0x1.81f70cf78ad1fp-4, -0x1.7b6249f91ed92p-4, -0x1.74e4d81af850dp-4, -0x1.6e7e8655e891bp-4, -0x1.682f2308c10aap-4, -0x1.61f67c0681c09p-4, -0x1.5bd45ea3fc7ap-4, -0x1.55c897c4d7797p-4, -0x1.4fd2f3e7e2ef4p-4, -0x1.49f33f32ba746p-4, -0x1.4429457ca776fp-4, -0x1.3e74d258c5d5fp-4, -0x1.38d5b11f68e83p-4, -0x1.334bacf6c6ea7p-4, -0x1.2dd690daecc4p-4, -0x1.287627a507806p-4, -0x1.232a3c1209d38p-4, -0x1.1df298c8be31bp-4, -0x1.18cf085f4d65fp-4, -0x1.13bf55604f779p-4, -0x1.0ec34a4f6d8dbp-4, -0x1.09dab1adabdcep-4, -0x1.050555fd64c4dp-4, -0x1.004301c60600fp-4, -0x1.f726ff2f3ba53p-5, -0x1.eded341c85befp-5, -0x1.e4d837aac6dddp-5, -0x1.dbe79f5608efdp-5, -0x1.d31b00c5f0d51p-5, -0x1.ca71f1d42c4cbp-5, -0x1.c1ec0892e1fdcp-5, -0x1.b988db5331b01p-5, -0x1.b14800abc459dp-5, -0x1.a9290f7f6a9a3p-5, -0x1.a12b9f03d0aabp-5, -0x1.994f46c8373d3p-5, -0x1.91939ebc3b7afp-5, -0x1.89f83f369a713p-5, -0x1.827cc0fbf1529p-5, -0x1.7b20bd45710e2p-5, -0x1.73e3cdc779f99p-5, -0x1.6cc58cb81e263p-5, -0x1.65c594d57c4dcp-5, -0x1.5ee3816bef1e8p-5, -0x1.581eee5c0bf91p-5, -0x1.5177782066ec9p-5, -0x1.4aecbbd319201p-5, -0x1.447e5733067e9p-5, -0x1.3e2be8a8da8eap-5, -0x1.37f50f4bbcce3p-5, -0x1.31d96ae5bbe0cp-5, -0x1.2bd89bf7e7cfap-5, -0x1.25f243be231c4p-5, -0x1.20260432a33fap-5, -0x1.1a73801127fa8p-5, -0x1.14da5ad9e4301p-5, -0x1.0f5a38d422d84p-5, -0x1.09f2bf10a04dp-5, -0x1.04a3936ba49c1p-5, -0x1.fed8b91dbaecfp-6, -0x1.f49983e5f518ep-6, -0x1.ea88d7c228dep-6, -0x1.e0a606e7bca13p-6, -0x1.d6f0653151f41p-6, -0x1.cd67482072d4bp-6, -0x1.c40a06def7db1p-6, -0x1.bad7fa401e2dcp-6, -0x1.b1d07cc167fc2p-6, -0x1.a8f2ea8b41dbdp-6, -0x1.a03ea17179015p-6, -0x1.97b300f3895b9p-6, -0x1.8f4f6a3cc00f6p-6, -0x1.8713402446056p-6, -0x1.7efde72d09655p-6, -0x1.770ec5858dbc9p-6, -0x1.6f454307a9d85p-6, -0x1.67a0c9382a2e9p-6, -0x1.6020c346669c5p-6, -0x1.58c49e0bc0eb2p-6, -0x1.518bc80b13276p-6, -0x1.4a75b1700dc6fp-6, -0x1.4381cc0e7bc6ep-6, -0x1.3caf8b617f0b6p-6, -0x1.35fe648aac614p-6, -0x1.2f6dce511cf0ep-6, -0x1.28fd412060bb3p-6, -0x1.22ac3707646bfp-6, -0x1.1c7a2bb736192p-6, -0x1.16669c81b7b6dp-6, -0x1.1071085836195p-6, -0x1.0a98efc9e539bp-6, -0x1.04ddd5024541dp-6, -0x1.fe7e778ed84d4p-7, -0x1.f37952f06909bp-7, -0x1.e8ab4a14a9224p-7, -0x1.de136e10a9524p-7, -0x1.d3b0d31eecd3cp-7, -0x1.c982909af565ep-7, -0x1.bf87c0fca7ebdp-7, -0x1.b5bf81d37a281p-7, -0x1.ac28f3c17a783p-7, -0x1.a2c33a762d57fp-7, -0x1.998d7ca936d16p-7, -0x1.9086e414e38fp-7, -0x1.87ae9d70918e9p-7, -0x1.7f03d86af003fp-7, -0x1.7685c7a41aa4ap-7, -0x1.6e33a0a79e6ep-7, -0x1.660c9be65b3d5p-7, -0x1.5e0ff4b05753ep-7, -0x1.563ce92e673b1p-7, -0x1.4e92ba5bd2d72p-7, -0x1.4710abffdcec9p-7, -0x1.3fb604a7390d5p-7, -0x1.38820d9d768c1p-7, -0x1.317412e65a1ffp-7, -0x1.2a8b63372b6ddp-7, -0x1.23c74feff8b73p-7, -0x1.1d272d14d25ffp-7, -0x1.16aa5146fdde1p-7, -0x1.105015be22e43p-7, -0x1.0a17d64175736p-7, -0x1.0400f120d89bep-7, -0x1.fc158e5c081bap-8, -0x1.f069776b45d25p-8, -0x1.e4fc68f0ec238p-8, -0x1.d9cd3348e9ef1p-8, -0x1.cedaab9be0f5fp-8, -0x1.c423abd16b13p-8, -0x1.b9a712826a25dp-8, -0x1.af63c2eb59f68p-8, -0x1.a558a4dea96a3p-8, -0x1.9b84a4b71e6a7p-8, -0x1.91e6b34a3e952p-8, -0x1.887dc5dac68fbp-8, -0x1.7f48d60b2592dp-8, -0x1.7646e1d008bap-8, -0x1.6d76eb62f14c7p-8, -0x1.64d7f934d6012p-8, -0x1.5c6915e0d17d3p-8, -0x1.5429501edf74cp-8, -0x1.4c17bab6a707cp-8, -0x1.44336c7254e09p-8, -0x1.3c7b8011828e7p-8, -0x1.34ef143c2fe2ep-8, -0x1.2d8d4b75cca3p-8, -0x1.26554c1051234p-8, -0x1.1f46401f6a07ap-8, -0x1.185f556bb64f5p-8, -0x1.119fbd66168cp-8, -0x1.0b06ad1b105d5p-8, -0x1.04935d2645581p-8, -0x1.fc8a134bf902cp-9, -0x1.f035e45d825d1p-9, -0x1.e428b37e30416p-9, -0x1.d8610d668e6a4p-9, -0x1.ccdd857268e35p-9, -0x1.c19cb588b57bcp-9, -0x1.b69d3e03a9217p-9, -0x1.abddc598fc861p-9, -0x1.a15cf9425b8c5p-9, -0x1.97198c2606d02p-9, -0x1.8d12377fa0878p-9, -0x1.8345ba892e4ddp-9, -0x1.79b2da6446d87p-9, -0x1.705862036dd52p-9, -0x1.67352213ab73cp-9, -0x1.5e47f0e64a38dp-9, -0x1.558faa5acd1a9p-9, -0x1.4d0b2fc91578dp-9, -0x1.44b967ebbfaf5p-9, -0x1.3c993ecaaf82p-9, -0x1.34a9a5a5d0e42p-9, -0x1.2ce992e00f5a9p-9, -0x1.255801ea81b89p-9, -0x1.1df3f32fc8876p-9, -0x1.16bc6bffa4b89p-9, -0x1.0fb0767ac224p-9, -0x1.08cf217ebd21p-9, -0x1.021780925aca5p-9, -0x1.f71157a3ee9a1p-10, -0x1.ea437fb86568ep-10, -0x1.ddc3bb7d9b1edp-10, -0x1.d19055c784c4bp-10, -0x1.c5a7a1fd322a4p-10, -0x1.ba07fbf3de975p-10, -0x1.aeafc7ca78d59p-10, -0x1.a39d71c59cf18p-10, -0x1.98cf6e2bfd722p-10, -0x1.8e443923486a5p-10, -0x1.83fa568d72fedp-10, -0x1.79f051e68786fp-10, -0x1.7024be22da22ap-10, -0x1.6696358db5c89p-10, -0x1.5d4359a87d4cbp-10, -0x1.542ad30a3f3d9p-10, -0x1.4b4b513fbc99cp-10, -0x1.42a38aabdddb5p-10, -0x1.3a323c689e3c1p-10, -0x1.31f62a2866701p-10, -0x1.29ee1e17dc788p-10, -0x1.2218e8c019eb1p-10, -0x1.1a7560e95f339p-10, -0x1.1302637e25682p-10, -0x1.0bbed36eabf77p-10, -0x1.04a99994f00f5p-10, -0x1.fb83493219abdp-11, -0x1.ee0bd1ac11b17p-11, -0x1.e0e9f1cfda33cp-11, -0x1.d41d48c086d2bp-11, -0x1.c7a30ee4d7ecp-11, -0x1.bb79587156c9ep-11, -0x1.af9e43fd33c3bp-11, -0x1.a40ffa50d5fffp-11, -0x1.98ccae352cde6p-11, -0x1.8dd29c43c66a5p-11, -0x1.83200ab7ab488p-11, -0x1.78b3493efc864p-11, -0x1.6e8ab0cd558a4p-11, -0x1.64a4a36ee10a4p-11, -0x1.5aff8c1c38aa1p-11, -0x1.5199de8eed09ap-11, -0x1.48721716dde45p-11, -0x1.3f86ba70248e4p-11, -0x1.36d65599d015cp-11, -0x1.2e5f7dad3a115p-11, -0x1.2620cfb61c2e1p-11, -0x1.1e18f08b3c2a5p-11, -0x1.16468ca7d0af3p-11, -0x1.0ea8580580a3bp-11, -0x1.073d0df70226bp-11, -0x1.00037103638bbp-11, -0x1.f1f49583c6369p-12, -0x1.e440d76cdfdfep-12, -0x1.d6e9565d5c341p-12, -0x1.c9ebce3f36a42p-12, -0x1.bd46080789d02p-12, -0x1.b0f5d9740d38ap-12, -0x1.a4f924c9a44d9p-12, -0x1.994dd89416476p-12, -0x1.8df1ef66b3c9fp-12, -0x1.82e36f9e2b9f5p-12, -0x1.78206b233bac6p-12, -0x1.6da6ff2e7d2bdp-12, -0x1.6375540d224e8p-12, -0x1.59899ce6b5e96p-12, -0x1.4fe21783b3c3bp-12, -0x1.467d0c15476d9p-12, -0x1.3d58ccfdcf728p-12, -0x1.3473b69a52d6ap-12, -0x1.2bcc2f0cf5087p-12, -0x1.2360a60849333p-12, -0x1.1b2f949b85d8ap-12, -0x1.13377cffa71cp-12, -0x1.0b76ea656db9cp-12, -0x1.03ec70c450be4p-12, -0x1.f92d595468149p-13, -0x1.eae886183197ap-13, -0x1.dd07c22f48a9dp-13, -0x1.cf88780af2894p-13, -0x1.c26821d8fc0cfp-13, -0x1.b5a4492bd68fep-13, -0x1.a93a86a483d3fp-13, -0x1.9d28819e1c9f9p-13, -0x1.916befdb0ee83p-13, -0x1.86029533f6b79p-13, -0x1.7aea434806159p-13, -0x1.7020d92f5b70ep-13, -0x1.65a4432e8a46ap-13, -0x1.5b727a6be371ep-13, -0x1.518984a663ebap-13, -0x1.47e773edfe518p-13, -0x1.3e8a665d9a2c9p-13, -0x1.357085d66dfefp-13, -0x1.2c9807bcc0b4ep-13, -0x1.23ff2cb65e217p-13, -0x1.1ba4406a239b9p-13, -0x1.13859941330adp-13, -0x1.0ba198295bcd2p-13, -0x1.03f6a858dd7d2p-13, -0x1.f9067e270763dp-14, -0x1.ea8bb6e2189f2p-14, -0x1.dc7a0c496359dp-14, -0x1.cecea28c07953p-14, -0x1.c186b035c1bcfp-14, -0x1.b49f7dc57bae2p-14, -0x1.a8166545b050cp-14, -0x1.9be8d1e74abd7p-14, -0x1.90143f9e7863p-14, -0x1.84963ac1d8183p-14, -0x1.796c5fab64838p-14, -0x1.6e945a5b75e5bp-14, -0x1.640be61dbfb82p-14, -0x1.59d0cd2ffca84p-14, -0x1.4fe0e86a7063ap-14, -0x1.463a1eea4abc9p-14, -0x1.3cda65bd9f0cbp-14, -0x1.33bfbf90fad2fp-14, -0x1.2ae83c5e9200ep-14, -0x1.2251f91f13b32p-14, -0x1.19fb1f7bbf35dp-14, -0x1.11e1e5822c43p-14, -0x1.0a048d594eb01p-14, -0x1.026164f7e9c77p-14, -0x1.f5ed8bb865464p-15, -0x1.e786298a215acp-15, -0x1.d98982d83e7e5p-15, -0x1.cbf48c82cab52p-15, -0x1.bec4504ff99d6p-15, -0x1.b1f5ec67ffea4p-15, -0x1.a58692d335755p-15, -0x1.997388fa9e52dp-15, -0x1.8dba272aaddf4p-15, -0x1.8257d8189e361p-15, -0x1.774a186983e4p-15, -0x1.6c8e763c9d2e8p-15, -0x1.622290b7015b5p-15, -0x1.58041792b161dp-15, -0x1.4e30caaf055e3p-15, -0x1.44a679a51998cp-15, -0x1.3b63035d1868bp-15, -0x1.326455a7265a4p-15, -0x1.29a86cd6a6eep-15, -0x1.212d536043833p-15, -0x1.18f1217aac7e2p-15, -0x1.10f1fcc1c5685p-15, -0x1.092e17dd2a8d9p-15, -0x1.01a3b2290a264p-15, -0x1.f4a22ec40ebe3p-16, -0x1.e6693ea79ea82p-16, -0x1.d8995b14ebf2ep-16, -0x1.cb2f620cda615p-16, -0x1.be2847e658cp-16, -0x1.b18116c0734bap-16, -0x1.a536edfa70722p-16, -0x1.994701ae710dap-16, -0x1.8dae9a327db26p-16, -0x1.826b139c32d7dp-16, -0x1.7779dd497d52bp-16, -0x1.6cd8796af0d14p-16, -0x1.62847c93966b3p-16, -0x1.587b8d48ec31fp-16, -0x1.4ebb6397f682ap-16, -0x1.4541c8aaa5a69p-16, -0x1.3c0c965f11fd4p-16, -0x1.3319b6e28ab0cp-16, -0x1.2a67244b4bfb4p-16, -0x1.21f2e83575afep-16, -0x1.19bb1b5f988fbp-16, -0x1.11bde5499789p-16, -0x1.09f97bd5131eap-16, -0x1.026c22e331a0fp-16, -0x1.f62857eeaa42cp-17, -0x1.e7dfebb17f294p-17, -0x1.d9fbd86b66d69p-17, -0x1.cc790e8e48906p-17, -0x1.bf5496ebddf8fp-17, -0x1.b28b92032329bp-17, -0x1.a61b374f026a6p-17, -0x1.9a00d49a533cfp-17, -0x1.8e39cd539fc37p-17, -0x1.82c399e71b6abp-17, }}, 
      {{0x1.1c6f9e6b80c35p-1, 0x1.1bc29acb957d1p-1, 0x1.1aa3fd9169d17p-1, 0x1.191652ccaaf9fp-1, 0x1.171d0b6d9c855p-1, 0x1.14bc61e2be31fp-1, 0x1.11f93bbf9bd91p-1, 0x1.0ed90a5576bb1p-1, 0x1.0b61abb8beb3bp-1, 0x1.07994d4498ba9p-1, 0x1.0386505307257p-1, 0x1.fe5e632f80eb8p-2, 0x1.f534e6a8d48a2p-2, 0x1.eb9d14e8a8ddbp-2, 0x1.e1a39d01f0854p-2, 0x1.d754d89964b45p-2, 0x1.ccbcb6486c137p-2, 0x1.c1e6a89ea9d4fp-2, 0x1.b6dd994b2e712p-2, 0x1.ababdff3b03b2p-2, 0x1.a05b3c41c8cefp-2, 0x1.94f4d2b2ef22cp-2, 0x1.89812bbec851ep-2, 0x1.7e0834efcb05cp-2, 0x1.729143937af63p-2, 0x1.672318b11eb11p-2, 0x1.5bc3e5ff72822p-2, 0x1.5079539b2245fp-2, 0x1.454886489d1dp-2, 0x1.3a362613d61edp-2, 0x1.2f466527d1e7bp-2, 0x1.247d06be5d909p-2, 0x1.19dd660df0d14p-2, 0x1.0f6a7d20b418ep-2, 0x1.0526eb83e1b79p-2, 0x1.f629f984a612fp-3, 0x1.e26d5d4048db2p-3, 0x1.cf1b6e1fe95b8p-3, 0x1.bc3713b8e1b35p-3, 0x1.a9c2bc05774d3p-3, 0x1.97c065779753bp-3, 0x1.8631a8683c48dp-3, 0x1.7517bfe483bf6p-3, 0x1.647391db1fad1p-3, 0x1.5445b6ae6a709p-3, 0x1.448e80307c614p-3, 0x1.354e000fad229p-3, 0x1.26840dba92f84p-3, 0x1.18304bc334309p-3, 0x1.0a522cc96c21dp-3, 0x1.f9d1efe9956b6p-4, 0x1.dfe79a0c8e2a9p-4, 0x1.c6e350143341bp-4, 0x1.aec2c963dfe7fp-4, 0x1.978382bec8b17p-4, 0x1.8122c3cce5a2cp-4, 0x1.6b9da41e513cdp-4, 0x1.56f10fbaf0947p-4, 0x1.4319cb4b3aae4p-4, 0x1.301477e6066fbp-4, 0x1.1ddd968e4ca86p-4, 0x1.0c718b6ac786p-4, 0x1.f7994180b8489p-5, 0x1.d7d6136e8673cp-5, 0x1.b991c9e3df2e4p-5, 0x1.9cc47df79e396p-5, 0x1.8166292a4dd37p-5, 0x1.676ea9c0fedc5p-5, 0x1.4ed5c6eabc347p-5, 0x1.379334b6b3298p-5, 0x1.219e97e008829p-5, 0x1.0cef89732ca51p-5, 0x1.f2fb349f54a74p-6, 0x1.ce80ad110a213p-6, 0x1.ac5e914942c1fp-6, 0x1.8c83f9801ea23p-6, 0x1.6ee0071d4b6cap-6, 0x1.5361ea7ff1764p-6, 0x1.39f8e888dfccbp-6, 0x1.22945fe620994p-6, 0x1.0d23ce1ee41d7p-6, 0x1.f32da8bcfe95ep-7, 0x1.cfba77faa0295p-7, 0x1.afcdf58cac25dp-7, 0x1.93486df0f63afp-7, 0x1.7a0a96057f924p-7, 0x1.63f591f57b491p-7, 0x1.50eafb9a52b3cp-7, 0x1.40cce850d3ed6p-7, 0x1.337dee432364ap-7, 0x1.28e12928bc446p-7, 0x1.20da3e7e732fdp-7, 0x1.1b4d6138ffc3ap-7, 0x1.181f54f5294a7p-7, 0x1.173570a93a531p-7, 0x1.1875a0dbde123p-7, 0x1.1bc66964f8f11p-7, 0x1.210ee6bd722afp-7, 0x1.2836cee339a1p-7, 0x1.312671d71999p-7, 0x1.3bc6b9ba1d618p-7, 0x1.48012a908056fp-7, 0x1.55bfe1b036cp-7, 0x1.64ed94e12677bp-7, 0x1.7575913548676p-7, 0x1.8743b99eaf723p-7, 0x1.9a448549959e8p-7, 0x1.ae64fdc057b79p-7, 0x1.c392bcdf1e1bdp-7, 0x1.d9bbea9ce1f1ap-7, 0x1.f0cf3aaf26ba6p-7, 0x1.045df506d7ac6p-6, 0x1.10b8de2d8a40fp-6, 0x1.1d707c9b7ce16p-6, 0x1.2a7d34bf32fafp-6, 0x1.37d7aa3f24ca3p-6, 0x1.4578be8e20c45p-6, 0x1.53598f7c8acbfp-6, 0x1.617375c835ecfp-6, 0x1.6fc003ac50641p-6, 0x1.7e390372d84e8p-6, 0x1.8cd87608d00a4p-6, 0x1.9b9891965b3a4p-6, 0x1.aa73c01bc278p-6, 0x1.b9649e1443185p-6, 0x1.c865f91f70c0dp-6, 0x1.d772ceb1c66d1p-6, 0x1.e6864acd07556p-6, 0x1.f59bc6c0ceb64p-6, 0x1.025763f9dd113p-5, 0x1.09dd7f5ab571ep-5, 0x1.115e228ccc0fap-5, 0x1.18d74eee214fdp-5, 0x1.204719a794f7dp-5, 0x1.27abab28367b2p-5, 0x1.2f033ea528ec9p-5, 0x1.364c219e09bp-5, 0x1.3d84b365c476p-5, 0x1.44ab64afbb2c2p-5, 0x1.4bbeb72123f9dp-5, 0x1.52bd3ce67e538p-5, 0x1.59a5984cf383p-5, 0x1.60767b5f82fb2p-5, 0x1.672ea787cba9dp-5, 0x1.6dcced3248c5bp-5, 0x1.74502b75d5c16p-5, 0x1.7ab74fbe4ed0fp-5, 0x1.8101557a19f0ep-5, 0x1.872d45ca742eep-5, 0x1.8d3a37364e6fcp-5, 0x1.93274d5f90e03p-5, 0x1.98f3b8ba9ad94p-5, 0x1.9e9eb647ce5p-5, 0x1.a4278f4f06cb3p-5, 0x1.a98d991ccbac2p-5, 0x1.aed034c11a40ep-5, 0x1.b3eececfa7417p-5, 0x1.b8e8df216bbcp-5, 0x1.bdbde89765df5p-5, 0x1.c26d78de66ed5p-5, 0x1.c6f72833d6c42p-5, 0x1.cb5a992b4d533p-5, 0x1.cf977874ebd15p-5, 0x1.d3ad7ca45d6cep-5, 0x1.d79c65f868983p-5, 0x1.db63fe2300675p-5, 0x1.df041811c24cbp-5, 0x1.e27c8fb6d220bp-5, 0x1.e5cd49d20336fp-5, 0x1.e8f633ba4994dp-5, 0x1.ebf743275f93ep-5, 0x1.eed075fb9f98p-5, 0x1.f181d20e041e5p-5, 0x1.f40b64f44d728p-5, 0x1.f66d43cd454c2p-5, 0x1.f8a78b0b1eeb9p-5, 0x1.faba5e3df0e64p-5, 0x1.fca5e7de48489p-5, 0x1.fe6a5917d6ce7p-5, 0x1.0003f4ca1dbffp-4, 0x1.00bf6ba2f413ep-4, 0x1.0167b31994fc5p-4, 0x1.01fcf020aa571p-4, 0x1.027f4a800b98ap-4, 0x1.02eeecba7fdf1p-4, 0x1.034c03f399862p-4, 0x1.0396bfd5af777p-4, 0x1.03cf5277f6243p-4, 0x1.03f5f044bd447p-4, 0x1.040acfdfd5577p-4, 0x1.040e2a0d1f035p-4, 0x1.040039974ad56p-4, 0x1.03e13b36cc33dp-4, 0x1.03b16d790224ap-4, 0x1.037110a79b5d7p-4, 0x1.032066b0394e6p-4, 0x1.02bfb30c557f8p-4, 0x1.024f3aa96da69p-4, 0x1.01cf43d179a03p-4, 0x1.01401613aed08p-4, 0x1.00a1fa2d96e6fp-4, 0x1.ffea73e8f2fdp-5, 0x1.fe74407e3ddcbp-5, 0x1.fce1f19fdeee4p-5, 0x1.fb34207ee00dep-5, 0x1.f96b67ce424f3p-5, 0x1.f788639985cf2p-5, 0x1.f58bb11bfdf17p-5, 0x1.f375ee98fa21ap-5, 0x1.f147bb34c69c8p-5, 0x1.ef01b6ce89d48p-5, 0x1.eca481daff7f6p-5, 0x1.ea30bd401bdb8p-5, 0x1.e7a70a319131bp-5, 0x1.e5080a0e432f1p-5, 0x1.e2545e3ea4ed9p-5, 0x1.df8ca81404d51p-5, 0x1.dcb188a8cc4fap-5, 0x1.d9c3a0c1adb1dp-5, 0x1.d6c390afc7b7cp-5, 0x1.d3b1f833bd8b9p-5, 0x1.d08f7661c0dc9p-5, 0x1.cd5ca986945d5p-5, 0x1.ca1a2f0d7f456p-5, 0x1.c6c8a36738df6p-5, 0x1.c368a1f1c4c0dp-5, 0x1.bffac4e1432f5p-5, 0x1.bc7fa529b3f1bp-5, 0x1.b8f7da69a5ebbp-5, 0x1.b563fad5d9d91p-5, 0x1.b1c49b25cb243p-5, 0x1.ae1a4e812a199p-5, 0x1.aa65a66e35875p-5, 0x1.a6a732c10235ap-5, 0x1.a2df818b9c291p-5, 0x1.9f0f1f0f0da67p-5, 0x1.9b3695ad3d8acp-5, 0x1.97566ddba92f9p-5, 0x1.936f2e16f3878p-5, 0x1.8f815ad741b4cp-5, 0x1.8b8d76856bc89p-5, 0x1.87940170f1233p-5, 0x1.839579c6b7232p-5, 0x1.7f925b8886874p-5, 0x1.7b8b208549a0bp-5, 0x1.77804051ffb74p-5, 0x1.7372304368cc2p-5, 0x1.6f61636860942p-5, 0x1.6b4e4a84e5d96p-5, 0x1.6739540dc848fp-5, 0x1.6322ec24fb44p-5, 0x1.5f0b7c9686ac2p-5, 0x1.5af36cd60fad9p-5, 0x1.56db21fcf92f7p-5, 0x1.52c2fec915394p-5, 0x1.4eab639bdf364p-5, 0x1.4a94ae7a41e7cp-5, 0x1.467f3b0cdd697p-5, 0x1.426b62a0ccedcp-5, 0x1.3e597c28e5dd1p-5, 0x1.3a49dc3f6b6b1p-5, 0x1.363cd52835ed8p-5, 0x1.3232b6d341fe2p-5, 0x1.2e2bcedfacaf2p-5, 0x1.2a28689f0f18fp-5, 0x1.2628cd193cc68p-5, 0x1.222d431059bd3p-5, 0x1.1e360f054af16p-5, 0x1.1a43733c774d6p-5, 0x1.1655afc2d7e2cp-5, 0x1.126d027353c11p-5, 0x1.0e89a6fc6176bp-5, 0x1.0aabd6e5ec1fap-5, 0x1.06d3c9977931bp-5, 0x1.0301b45e852b8p-5, 0x1.fe6b94ea3dc98p-6, 0x1.f6e07a11629f5p-6, 0x1.ef627682029a8p-6, 0x1.e7f1e48eb1c9cp-6, 0x1.e08f1a9bb52fep-6, 0x1.d93a6b2dfddc6p-6, 0x1.d1f424fa6575bp-6, 0x1.cabc92f5306d9p-6, 0x1.c393fc61ca9d4p-6, 0x1.bc7aa4e2bc2d7p-6, 0x1.b570cc89c74e5p-6, 0x1.ae76afe83c1f1p-6, 0x1.a78c881f68babp-6, 0x1.a0b28af12ddc9p-6, 0x1.99e8ead0b1133p-6, 0x1.932fd6f31e6d9p-6, 0x1.8c877b6087b76p-6, 0x1.85f00104c6851p-6, 0x1.7f698dc06c531p-6, 0x1.78f44479bc7f5p-6, 0x1.7290452d9dd09p-6, 0x1.6c3dad0093073p-6, 0x1.65fc964fa82c6p-6, 0x1.5fcd18c155521p-6, 0x1.59af49565a4a5p-6, 0x1.53a33a7a848dcp-6, 0x1.4da8fc15638adp-6, 0x1.47c09b9ae88c2p-6, 0x1.41ea241be911ep-6, 0x1.3c259e568cc1cp-6, 0x1.367310c694a44p-6, 0x1.30d27fb58b281p-6, 0x1.2b43ed4ac7d15p-6, 0x1.25c7599b533ddp-6, 0x1.205cc2b9a529ap-6, 0x1.1b0424c5361e9p-6, 0x1.15bd79f9e907ap-6, 0x1.1088babf44366p-6, 0x1.0b65ddb78197ep-6, 0x1.0654d7ce6e5bdp-6, 0x1.01559c48146ccp-6, 0x1.f8d0399e735e1p-7, 0x1.ef18930749b17p-7, 0x1.e584221067ae5p-7, 0x1.dc12c1216f9a5p-7, 0x1.d2c447df3e352p-7, 0x1.c9988b46c8903p-7, 0x1.c08f5dc78eefdp-7, 0x1.b7a88f5da07e2p-7, 0x1.aee3edab275dp-7, 0x1.a64144118589ap-7, 0x1.9dc05bc9ffc0dp-7, 0x1.9560fbfde8507p-7, 0x1.8d22e9de6a365p-7, 0x1.8505e8bbc4b0ep-7, 0x1.7d09ba1c271c7p-7, 0x1.752e1dd2071d8p-7, 0x1.6d72d212079cp-7, 0x1.65d793886f272p-7, 0x1.5e5c1d6e173e9p-7, 0x1.5700299cf4dd9p-7, 0x1.4fc370a427fddp-7, 0x1.48a5a9db9211dp-7, 0x1.41a68b76f78a8p-7, 0x1.3ac5ca98b61fdp-7, 0x1.34031b63fa764p-7, 0x1.2d5e310e8c7f7p-7, 0x1.26d6bdf2272e4p-7, 0x1.206c739d5d782p-7, 0x1.1a1f02e411472p-7, 0x1.13ee1bef79f9cp-7, 0x1.0dd96e4dbd1bap-7, 0x1.07e0a90119a02p-7, 0x1.02037a8ea8033p-7, 0x1.f88322195d377p-8, 0x1.ed3534611a29ap-8, 0x1.e21c86b87e62ep-8, 0x1.d7387356f2369p-8, 0x1.cc885400bb08dp-8, 0x1.c20b821fa049fp-8, 0x1.b7c156dac8dffp-8, 0x1.ada92b2dd851cp-8, 0x1.a3c257ff48e1bp-8, 0x1.9a0c36360b9a8p-8, 0x1.90861ece6ce5ap-8, 0x1.872f6aee40c3cp-8, 0x1.7e0773f85ed1cp-8, 0x1.750d939f69981p-8, 0x1.6c4123f7e94f2p-8, 0x1.63a17f89bdc13p-8, 0x1.5b2e0160e5512p-8, 0x1.52e6051da2702p-8, 0x1.4ac8e703fdd23p-8, 0x1.42d6040aacb29p-8, 0x1.3b0cb9e958579p-8, 0x1.336c672652f0bp-8, 0x1.2bf46b23b2c53p-8, 0x1.24a4262bde1dp-8, 0x1.1d7af97d89dd7p-8, 0x1.167847572a482p-8, 0x1.0f9b7301ddbefp-8, 0x1.08e3e0dbcf943p-8, 0x1.0250f6621cc0ap-8, 0x1.f7c434746b6e1p-9, 0x1.eb2d68758c1d6p-9, 0x1.dedc5ae8488a4p-9, 0x1.d2cfe07090ef2p-9, 0x1.c706d044a4794p-9, 0x1.bb80043b3c5f8p-9, 0x1.b03a58d8db6b1p-9, 0x1.a534ad5c47053p-9, 0x1.9a6de3ca36bb2p-9, 0x1.8fe4e0f83137p-9, 0x1.85988c96aee32p-9, 0x1.7b87d13a76f3fp-9, 0x1.71b19c65469dep-9, 0x1.6814de8dc1e4cp-9, 0x1.5eb08b26b8b8ep-9, 0x1.558398a5c0f0dp-9, 0x1.4c8d00892ac14p-9, 0x1.43cbbf5d5704ap-9, 0x1.3b3ed4c173d34p-9, 0x1.32e5436ba2cc8p-9, 0x1.2abe112c8b522p-9, 0x1.22c846f266379p-9, 0x1.1b02f0cb7e655p-9, 0x1.136d1de82dc0ap-9, 0x1.0c05e09c5d1a9p-9, 0x1.04cc4e6089f52p-9, 0x1.fb7effa4a9e18p-10, 0x1.edbd21693e23fp-10, 0x1.e0513fde72827p-10, 0x1.d3399f1c55095p-10, 0x1.c67489811f8aap-10, 0x1.ba004fae333fcp-10, 0x1.addb48845bc61p-10, 0x1.a203d11f57348p-10, 0x1.96784cd0b54fp-10, 0x1.8b37251a12587p-10, 0x1.803ec9a6aa21dp-10, 0x1.758db044579bbp-10, 0x1.6b2254dc08cacp-10, 0x1.60fb3969963c6p-10, 0x1.5716e5f328c44p-10, 0x1.4d73e8800f1c1p-10, 0x1.4410d50f264d4p-10, 0x1.3aec458cc7611p-10, 0x1.3204d9c84c5c3p-10, 0x1.295937692b636p-10, 0x1.20e809e3aa4c4p-10, 0x1.18b0026d3ffc4p-10, 0x1.10afd7f08f533p-10, 0x1.08e6470120c84p-10, 0x1.015211ceb65bcp-10, 0x1.f3e40030db172p-11, 0x1.e589be3f1818fp-11, 0x1.d79303342428bp-11, 0x1.c9fd7f4a20232p-11, 0x1.bcc6ed6d870d9p-11, 0x1.afed1320ff517p-11, 0x1.a36dc060cdd86p-11, 0x1.9746cf85ee2e8p-11, 0x1.8b762528dcbbap-11, 0x1.7ff9b00413865p-11, 0x1.74cf68d647769p-11, 0x1.69f5524467e53p-11, 0x1.5f6978bb67e71p-11, 0x1.5529f251da1b9p-11, 0x1.4b34dea962d24p-11, 0x1.418866d005b68p-11, 0x1.3822bd215754bp-11, 0x1.2f021d279687bp-11, 0x1.2624cb7cb2158p-11, 0x1.1d8915ab4175cp-11, 0x1.152d520f74d07p-11, 0x1.0d0fdfb8019b6p-11, 0x1.052f26470da4fp-11, 0x1.fb132ba643186p-12, 0x1.ec3b4d90471dap-12, 0x1.ddd3b390bc8b3p-12, 0x1.cfd96f1b36644p-12, 0x1.c249a1949db9ap-12, 0x1.b5217c15c0d76p-12, 0x1.a85e3f2e15c9cp-12, 0x1.9bfd3aa6be2f7p-12, 0x1.8ffbcd45cbe61p-12, 0x1.84576491d3a01p-12, 0x1.790d7c95ce4acp-12, 0x1.6e1b9fa54f928p-12, 0x1.637f662117603p-12, 0x1.5936763c03b6ep-12, 0x1.4f3e83c066ffap-12, 0x1.45954fd5c5048p-12, 0x1.3c38a8c6ff27cp-12, 0x1.332669c8f2199p-12, 0x1.2a5c7ac1857e2p-12, 0x1.21d8d00f36f9fp-12, 0x1.19996a511e63ep-12, 0x1.119c562f72c45p-12, 0x1.09dfac248ec8bp-12, 0x1.026190467cc52p-12, 0x1.f6406422100a9p-13, 0x1.e8339860ab578p-13, 0x1.da9948981a776p-13, 0x1.cd6e15a61a64dp-13, 0x1.c0aeb58f5afbcp-13, 0x1.b457f31929894p-13, 0x1.a866ad6444979p-13, 0x1.9cd7d788d55d8p-13, 0x1.91a878338ecf9p-13, 0x1.86d5a94408d86p-13, 0x1.7c5c976c3bcc4p-13, 0x1.723a81d13803bp-13, 0x1.686cb9ad0c1a6p-13, 0x1.5ef0a1f1e0203p-13, 0x1.55c3aeee48711p-13, 0x1.4ce365f2cbb13p-13, 0x1.444d5cf8a23d8p-13, 0x1.3bff3a49ae283p-13, 0x1.33f6b429a7419p-13, 0x1.2c319080817a5p-13, 0x1.24ada4860bd3p-13, 0x1.1d68d46ec6f17p-13, 0x1.16611319eedb6p-13, 0x1.0f9461c0c0d87p-13, 0x1.0900cfa6ef11ap-13, 0x1.02a479cc56a5dp-13, 0x1.f8fb153fb15b1p-14, 0x1.ed147366e432p-14, 0x1.e19196e300cb7p-14, 0x1.d66f21a66656p-14, 0x1.cba9ce3068cc8p-14, 0x1.c13e6efee76b9p-14, 0x1.b729ee0247a4dp-14, 0x1.ad694c13b5efap-14, 0x1.a3f9a06dbe7aep-14, 0x1.9ad81827284fbp-14, 0x1.9201f5b01e9bbp-14, 0x1.897490518ffdap-14, 0x1.812d53aed3b01p-14, 0x1.7929bf49814adp-14, 0x1.716766077da0bp-14, 0x1.69e3edbb3529ap-14, 0x1.629d0eadfe62p-14, 0x1.5b90932ca0b49p-14, 0x1.54bc5715f9435p-14, 0x1.4e1e476bb7fabp-14, 0x1.47b461e530f7cp-14, 0x1.417cb4843a26ap-14, 0x1.3b755d2c12934p-14, 0x1.359c893a4a0ecp-14, 0x1.2ff07521a6ff5p-14, 0x1.2a6f6c070211fp-14, 0x1.2517c760117fap-14, 0x1.1fe7ee9420a81p-14, 0x1.1ade569eabe6p-14, 0x1.15f981b3d997cp-14, 0x1.1137fee6ce316p-14, 0x1.0c9869d1cfa3cp-14, 0x1.08196a4038d0ap-14, 0x1.03b9b3da2efe5p-14, 0x1.fef00ba43631ap-15, 0x1.f6a65527b4a3cp-15, 0x1.ee93eeeb46d86p-15, 0x1.e6b698d532fa8p-15, 0x1.df0c276e0baf8p-15, 0x1.d792834c676e1p-15, 0x1.d047a883cc34ep-15, 0x1.c929a616c5e7ap-15, 0x1.c2369d6c1bca1p-15, 0x1.bb6cc1c71486fp-15, 0x1.b4ca57c2c2febp-15, 0x1.ae4db4d0480d4p-15, 0x1.a7f53eb805504p-15, 0x1.a1bf6b1daeea4p-15, 0x1.9baabf07339cbp-15, 0x1.95b5ce666cd03p-15, 0x1.8fdf3ba58cdp-15, 0x1.8a25b7364122bp-15, 0x1.8487ff2376437p-15, 0x1.7f04dea5b9da5p-15, 0x1.799b2dba2bf5ap-15, 0x1.7449d0bbf1ef7p-15, 0x1.6f0fb80022b5fp-15, 0x1.69ebdf7422bc2p-15, 0x1.64dd4e3e5d33ep-15, 0x1.5fe316615a8fdp-15, 0x1.5afc54611d9bap-15, 0x1.56282eeac6158p-15, 0x1.5165d67e69a6ep-15, 0x1.4cb4851b16a08p-15, 0x1.48137decfbca8p-15, 0x1.43820cfda512ap-15, 0x1.3eff86e648c4ap-15, 0x1.3a8b488413a6ep-15, 0x1.3624b6ae7173cp-15, 0x1.31cb3def44011p-15, 0x1.2d7e523cff592p-15, 0x1.293d6eb6a168fp-15, 0x1.250815617c9cfp-15, 0x1.20ddcee8cc6acp-15, 0x1.1cbe2a5f0617cp-15, 0x1.18a8bd00e3edap-15, 0x1.149d21fa1bbd2p-15, 0x1.109afa2bba8d3p-15, 0x1.0ca1ebf41aa9p-15, 0x1.08b1a2f86d8f9p-15, 0x1.04c9cfefd2909p-15, 0x1.00ea286fea993p-15, 0x1.fa24cd75d4879p-16, 0x1.f284931e34a4fp-16, 0x1.eaf327ef87612p-16, 0x1.e3701a3ef6312p-16, 0x1.dbfb004791883p-16, 0x1.d49377d43ce84p-16, 0x1.cd3925ec39169p-16, 0x1.c5ebb6822923p-16, 0x1.beaadc2599786p-16, 0x1.b7764fb6e7cfbp-16, 0x1.b04dd01d89248p-16, 0x1.a9312200980c3p-16, 0x1.a2200f81a9473p-16, 0x1.9b1a67f9c9008p-16, 0x1.941fffb8a2e5ap-16, 0x1.8d30afc5ba6c2p-16, }}, 
      {{0x1.1c7a1ffd571e7p-1, 0x1.1bec6507b7be3p-1, 0x1.1b01266d4bf8cp-1, 0x1.19b9d27ce0c75p-1, 0x1.18185c7cd548cp-1, 0x1.161f30b79dc93p-1, 0x1.13d126e32b68ap-1, 0x1.113173a5a11d2p-1, 0x1.0e4399d84810bp-1, 0x1.0b0b5c0658693p-1, 0x1.078cae8482a33p-1, 0x1.03cbaa622f2aap-1, 0x1.ff9902bd3c348p-2, 0x1.f726e5f41a0d6p-2, 0x1.ee49855a96c52p-2, 0x1.e5095e8f95cep-2, 0x1.db6ed6d96774fp-2, 0x1.d1822e4448b66p-2, 0x1.c74b74c43a65dp-2, 0x1.bcd2813481dbcp-2, 0x1.b21eea0c75f49p-2, 0x1.a737ffa040eadp-2, 0x1.9c24c7c450bdbp-2, 0x1.90ebfaab602f1p-2, 0x1.859400d8b0f21p-2, 0x1.7a22f20260835p-2, 0x1.6e9e94c24ab73p-2, 0x1.630c5ef6afd0ap-2, 0x1.577176b6a76e2p-2, 0x1.4bd2b3c12dae2p-2, 0x1.4034a1505961p-2, 0x1.349b803cd2d2cp-2, 0x1.290b496011ecap-2, 0x1.1d87b026270d5p-2, 0x1.12142541c7c87p-2, 0x1.06b3d9774c5c5p-2, 0x1.f6d380e9a1905p-3, 0x1.e071275e75c5p-3, 0x1.ca45aa7a596e6p-3, 0x1.b455a554196d4p-3, 0x1.9ea54f78aeaecp-3, 0x1.89388256a3374p-3, 0x1.7412be81e6794p-3, 0x1.5f3730cb31b09p-3, 0x1.4aa8b72738327p-3, 0x1.3669e562f67d5p-3, 0x1.227d09a34dd58p-3, 0x1.0ee430aeeb975p-3, 0x1.f7425404158a7p-4, 0x1.d16b1758b52f2p-4, 0x1.ac456bf339e3bp-4, 0x1.87d3adcc40aafp-4, 0x1.6417dac0e1e1ap-4, 0x1.411398b3d6cd6p-4, 0x1.1ec83b502b3d8p-4, 0x1.fa6d92e3022bbp-5, 0x1.b8c0046c655d9p-5, 0x1.7888c37f8bcf8p-5, 0x1.39c84b4c633bfp-5, 0x1.f8fd4489f63adp-6, 0x1.8156c3d4fac61p-6, 0x1.0c9b7c35570e2p-6, 0x1.35922f9a0476ap-7, 0x1.5ee47fa40210ap-9, -0x1.00b71b08fe1b4p-8, -0x1.52b4628e52c87p-7, -0x1.0fad83771f92ap-6, -0x1.732d16297db99p-6, -0x1.d3debdd376e02p-6, -0x1.18e460dad4befp-5, -0x1.4678e9c493019p-5, -0x1.72b083d0ff86fp-5, -0x1.9d8ee6bf2d7dbp-5, -0x1.c717f45ce387ep-5, -0x1.ef4fb52ea8bd9p-5, -0x1.0b1d2aa16c402p-4, -0x1.1dee10965ad54p-4, -0x1.301cc19262c08p-4, -0x1.41ab8026052ap-4, -0x1.529c9b07f9a66p-4, -0x1.62f26bd68ea2bp-4, -0x1.72af55e798b85p-4, -0x1.81d5c5263261dp-4, -0x1.90682cfda43dep-4, -0x1.9e690750df47ep-4, -0x1.abdad37e078cbp-4, -0x1.b8c0156d91ed4p-4, -0x1.c51b54ac9f14p-4, -0x1.d0ef1b92146dbp-4, -0x1.dc3df66e507c8p-4, -0x1.e70a72c4e7a0cp-4, -0x1.f1571e906cdbep-4, -0x1.fb26878fc45efp-4, -0x1.023d9d4e73a21p-3, -0x1.06abe18662006p-3, -0x1.0adf550c0609p-3, -0x1.0ed93b2657c68p-3, -0x1.129ad583e9c83p-3, -0x1.162563fbfe9b4p-3, -0x1.197a24539a9cfp-3, -0x1.1c9a520684f3dp-3, -0x1.1f87261402e96p-3, -0x1.2241d6cf3eaf9p-3, -0x1.24cb97b33825ep-3, -0x1.2725993a21b5ep-3, -0x1.295108b80617ap-3, -0x1.2b4f10389e5cep-3, -0x1.2d20d6603271p-3, -0x1.2ec77e4f6625p-3, -0x1.30442789dcc9cp-3, -0x1.3197eddf81362p-3, -0x1.32c3e95860a0fp-3, -0x1.33c92e22fb472p-3, -0x1.34a8cc84db602p-3, -0x1.3563d0cd660dcp-3, -0x1.35fb434aba4e8p-3, -0x1.367028408efd3p-3, -0x1.36c37fe0dcd99p-3, -0x1.36f646464e72p-3, -0x1.370973704d77bp-3, -0x1.36fdfb40969eap-3, -0x1.36d4cd7a337e3p-3, -0x1.368ed5c1cd3ffp-3, -0x1.362cfb9f30881p-3, -0x1.35b0227ffc6ebp-3, -0x1.351929bb54f5fp-3, -0x1.3468ec968845p-3, -0x1.33a0424a9ebe9p-3, -0x1.32bffe0aac9adp-3, -0x1.31c8ef0ae5e64p-3, -0x1.30bbe08852971p-3, -0x1.2f9999d11f34fp-3, -0x1.2e62de4d7414dp-3, -0x1.2d186d88c435cp-3, -0x1.2bbb033b83e8ap-3, -0x1.2a4b575541fcp-3, -0x1.28ca1e070c8dbp-3, -0x1.273807ce1fbf5p-3, -0x1.2595c17ecbd53p-3, -0x1.23e3f44f8f3acp-3, -0x1.222345e4581c6p-3, -0x1.20545859e4cap-3, -0x1.1e77ca5140403p-3, -0x1.1c8e36fb485d7p-3, -0x1.1a9836244cb9p-3, -0x1.18965c3fa3cccp-3, -0x1.16893a734b8ep-3, -0x1.14715ea382fd2p-3, -0x1.124f537e5a089p-3, -0x1.1023a08737c2p-3, -0x1.0deeca225443dp-3, -0x1.0bb151a017517p-3, -0x1.096bb54870cfdp-3, -0x1.071e706611934p-3, -0x1.04c9fb518ff1dp-3, -0x1.026ecb7c74967p-3, -0x1.000d537c2a4cbp-3, -0x1.fb4c0629addc4p-4, -0x1.f6728e8825c48p-4, -0x1.f18f14971a8acp-4, -0x1.eca2677714781p-4, -0x1.e7ad50fa94d02p-4, -0x1.e2b095bab378dp-4, -0x1.ddacf52b6bb5fp-4, -0x1.d8a329afcafc4p-4, -0x1.d393e8addb288p-4, -0x1.ce7fe2a259b27p-4, -0x1.c967c33434d17p-4, -0x1.c44c3147de68ep-4, -0x1.bf2dcf125ddcdp-4, -0x1.ba0d3a2c423cbp-4, -0x1.b4eb0ba44e0f2p-4, -0x1.afc7d81208bacp-4, -0x1.aaa42fa8141e4p-4, -0x1.a5809e46562e2p-4, -0x1.a05dab8bfda04p-4, -0x1.9b3bdae95e218p-4, -0x1.961babb197106p-4, -0x1.90fd992c1a603p-4, -0x1.8be21aa61187dp-4, -0x1.86c9a38393ffep-4, -0x1.81b4a350be6f8p-4, -0x1.7ca385d2a37ffp-4, -0x1.7796b3181c515p-4, -0x1.728e8f8a75931p-4, -0x1.6d8b7bfdfb89bp-4, -0x1.688dd5c266101p-4, -0x1.6395f6b32466fp-4, -0x1.5ea4354789b44p-4, -0x1.59b8e4a2dab8fp-4, -0x1.54d454a43ceaap-4, -0x1.4ff6d1f68669fp-4, -0x1.4b20a61ff287p-4, -0x1.46521791b4d98p-4, -0x1.418b69b771f5p-4, -0x1.3cccdd0698ccdp-4, -0x1.3816af0d9e5d2p-4, -0x1.33691a831c4cep-4, -0x1.2ec45754d201ep-4, -0x1.2a289ab68636fp-4, -0x1.25961730cc4p-4, -0x1.210cfcafa9fd2p-4, -0x1.1c8d78911f31cp-4, -0x1.1817b5b38d8b2p-4, -0x1.13abdc840264cp-4, -0x1.0f4a130c5fa76p-4, -0x1.0af27d016556dp-4, -0x1.06a53bd099e0fp-4, -0x1.02626eae12674p-4, -0x1.fc546544311bcp-5, -0x1.f3f9452d5f23cp-5, -0x1.ebb3aec9eb51ep-5, -0x1.e383cfc4c78f2p-5, -0x1.db69d1dbd252fp-5, -0x1.d365daf9c8649p-5, -0x1.cb780d4fea424p-5, -0x1.c3a0876f5bde5p-5, -0x1.bbdf6462374ecp-5, -0x1.b434bbc4553fp-5, -0x1.aca0a1dbc8aeep-5, -0x1.a52327b10d48ep-5, -0x1.9dbc5b26e742fp-5, -0x1.966c4711f5d7p-5, -0x1.8f32f34ff30d2p-5, -0x1.881064dea6773p-5, -0x1.81049df2837c1p-5, -0x1.7a0f9e0cf81dbp-5, -0x1.73316212674edp-5, -0x1.6c69e45fd0f2dp-5, -0x1.65b91ce025c76p-5, -0x1.5f1f01214682p-5, -0x1.589b8468b0993p-5, -0x1.522e97c7d0facp-5, -0x1.4bd82a30068a6p-5, -0x1.459828864a32bp-5, -0x1.3f6e7db684488p-5, -0x1.395b12c688e9p-5, -0x1.335dcee8bf8dp-5, -0x1.2d76978e73003p-5, -0x1.27a55079c9624p-5, -0x1.21e9dbcf68c55p-5, -0x1.1c441a27c15f3p-5, -0x1.16b3eaa002f02p-5, -0x1.11392aeabb40fp-5, -0x1.0bd3b7601d602p-5, -0x1.06836b0df57bp-5, -0x1.01481fc7424b3p-5, -0x1.f8435c66f9c6p-6, -0x1.ee1fdbbb11bb3p-6, -0x1.e4256a84a476p-6, -0x1.da53b3be25d71p-6, -0x1.d0aa607e90fap-6, -0x1.c7291814a728ap-6, -0x1.bdcf80218cf52p-6, -0x1.b49d3cb2bfd99p-6, -0x1.ab91f05b6ccf9p-6, -0x1.a2ad3c4d1d508p-6, -0x1.99eec06fce73ap-6, -0x1.91561b795fdd5p-6, -0x1.88e2eb046b63cp-6, -0x1.8094cba67daadp-6, -0x1.786b5905b60dp-6, -0x1.70662dedcc685p-6, -0x1.6884e46483257p-6, -0x1.60c715bd835cp-6, -0x1.592c5aada0f7ap-6, -0x1.51b44b5d9875ep-6, -0x1.4a5e7f7c311ffp-6, -0x1.432a8e4fdbad9p-6, -0x1.3c180ec7bff28p-6, -0x1.3526978c44241p-6, -0x1.2e55bf0f0b9b3p-6, -0x1.27a51b9a7096ep-6, -0x1.211443607d38bp-6, -0x1.1aa2cc895e196p-6, -0x1.14504d415df16p-6, -0x1.0e1c5bc65c42p-6, -0x1.08068e74d1ff9p-6, -0x1.020e7bd45628bp-6, -0x1.f8677547638fp-7, -0x1.ecebc3c8fb734p-7, -0x1.e1a911cca2945p-7, -0x1.d69e8ea2f7f7p-7, -0x1.cbcb6a62ae579p-7, -0x1.c12ed5fc5aef9p-7, -0x1.b6c8034d64754p-7, -0x1.ac96253236ed6p-7, -0x1.a2986f97a0287p-7, -0x1.98ce178b7111bp-7, -0x1.8f36534c5b5e8p-7, -0x1.85d05a590fd61p-7, -0x1.7c9b657eae15bp-7, -0x1.7396aee676561p-7, -0x1.6ac17222d686fp-7, -0x1.621aec3bc6169p-7, -0x1.59a25bba7d0f3p-7, -0x1.515700b4868b2p-7, -0x1.49381cd63dfa5p-7, -0x1.4144f36ca4813p-7, -0x1.397cc96ea99bp-7, -0x1.31dee585e0aa5p-7, -0x1.2a6a9016a5ff3p-7, -0x1.231f1347b9f1fp-7, -0x1.1bfbbb0956b63p-7, -0x1.14ffd51bc2defp-7, -0x1.0e2ab11565393p-7, -0x1.077ba0685d39p-7, -0x1.00f1f667a40dep-7, -0x1.f51a109773c84p-8, -0x1.e8985a6dc5653p-8, -0x1.dc5d7c71ec34ep-8, -0x1.d0682ca58b724p-8, -0x1.c4b724f23b2b8p-8, -0x1.b949232ec4143p-8, -0x1.ae1ce9239a3fdp-8, -0x1.a3313c8ea2974p-8, -0x1.9884e7264309ap-8, -0x1.8e16b69bc7e16p-8, -0x1.83e57c9d2307ep-8, -0x1.79f00ed60b687p-8, -0x1.703546f081cb3p-8, -0x1.66b40294c0822p-8, -0x1.5d6b23689c18p-8, -0x1.54598f0e5d74bp-8, -0x1.4b7e2f23125cap-8, -0x1.42d7f13c6457bp-8, -0x1.3a65c6e5f2e68p-8, -0x1.3226a59e39cp-8, -0x1.2a1986d306301p-8, -0x1.223d67dd84508p-8, -0x1.1a9149fde26ccp-8, -0x1.1314325693d95p-8, -0x1.0bc529e738096p-8, -0x1.04a33d8725984p-8, -0x1.fb5afbbf45b68p-9, -0x1.edc5fecb99a39p-9, -0x1.e085b4a864bddp-9, -0x1.d398554848253p-9, -0x1.c6fc200d85dcbp-9, -0x1.baaf5bbb97372p-9, -0x1.aeb0566845babp-9, -0x1.a2fd656c55ad9p-9, -0x1.9794e553c09bfp-9, -0x1.8c7539cd85781p-9, -0x1.819ccd9b1fc82p-9, -0x1.770a127f9c5p-9, -0x1.6cbb812e612b5p-9, -0x1.62af9939a3b6dp-9, -0x1.58e4e100954a9p-9, -0x1.4f59e59d4ea6bp-9, -0x1.460d3ad27fb49p-9, -0x1.3cfd7af8dfaap-9, -0x1.342946ec74a4fp-9, -0x1.2b8f45f9a0bacp-9, -0x1.232e25ca0dd12p-9, -0x1.1b049a51705dcp-9, -0x1.13115dba2aa0bp-9, -0x1.0b533051cfc73p-9, -0x1.03c8d875923adp-9, -0x1.f8e244fd35b7p-10, -0x1.ea95c15ca0ed7p-10, -0x1.dca9d6351cb5cp-10, -0x1.cf1c3f33adf44p-10, -0x1.c1eac35ef214bp-10, -0x1.b51334ef712bcp-10, -0x1.a8937127de14dp-10, -0x1.9c69602d6f551p-10, -0x1.9092f4e0325d2p-10, -0x1.850e2cb37c11p-10, -0x1.79d90f8665b21p-10, -0x1.6ef1af7c6cb0fp-10, -0x1.645628d62a235p-10, -0x1.5a04a1ca38641p-10, -0x1.4ffb4a5e38392p-10, -0x1.46385c4009c48p-10, -0x1.3cba1a9f315ddp-10, -0x1.337ed20673979p-10, -0x1.2a84d835abcffp-10, -0x1.21ca8bfbdd4e1p-10, -0x1.194e55117caa4p-10, -0x1.110ea3f306e6ap-10, -0x1.0909f1bbd8b49p-10, -0x1.013ec0014981dp-10, -0x1.f357315c29515p-11, -0x1.e49e1bbc25cdcp-11, -0x1.d64f73747a7b1p-11, -0x1.c8687caa079cfp-11, -0x1.bae68b0df1a9ep-11, -0x1.adc701979e511p-11, -0x1.a107523f62f22p-11, -0x1.94a4fdb9e2f2p-11, -0x1.889d9334214ep-11, -0x1.7ceeb0104ca25p-11, -0x1.7195ffa341cfp-11, -0x1.66913af2cc372p-11, -0x1.5bde2874a3d3dp-11, -0x1.517a9bce2c417p-11, -0x1.47647594f3e17p-11, -0x1.3d99a30ff8775p-11, -0x1.34181df9af016p-11, -0x1.2addec42d1b92p-11, -0x1.21e91fd5f67d8p-11, -0x1.1937d65bea451p-11, -0x1.10c83900d7735p-11, -0x1.08987c3a33e9fp-11, -0x1.00a6df8d78a3bp-11, -0x1.f1e35aaf477d8p-12, -0x1.e2ee752b039ffp-12, -0x1.d46bcd5989268p-12, -0x1.c658366bbf897p-12, -0x1.b8b0978d60d2ep-12, -0x1.ab71eb7bdc9cep-12, -0x1.9e99401ec7d3ep-12, -0x1.9223b621df183p-12, -0x1.860e80909416fp-12, -0x1.7a56e4732d0e7p-12, -0x1.6efa386d696fbp-12, -0x1.63f5e45eb2d05p-12, -0x1.59476103d6205p-12, -0x1.4eec379a3c947p-12, -0x1.44e20184aea1dp-12, -0x1.3b2667f18f78ep-12, -0x1.31b723829a036p-12, -0x1.2891fbf61988bp-12, -0x1.1fb4c7d194f88p-12, -0x1.171d6c0df4f57p-12, -0x1.0ec9dbc517916p-12, -0x1.06b817e0d4e1fp-12, -0x1.fdcc5d96d6d65p-13, -0x1.eea47842b390fp-13, -0x1.dff4d0c93107bp-13, -0x1.d1b9d1626bd19p-13, -0x1.c3effce69f8a3p-13, -0x1.b693ee3ccfe1dp-13, -0x1.a9a257cc17eabp-13, -0x1.9d1802efa425dp-13, -0x1.90f1cf6d48e4ep-13, -0x1.852cb2eea94ccp-13, -0x1.79c5b87ceef6fp-13, -0x1.6eb9ffff0db33p-13, -0x1.6406bdba79486p-13, -0x1.59a939d659d1ep-13, -0x1.4f9ecfe12d9c8p-13, -0x1.45e4ee58cdb2dp-13, -0x1.3c791634d2669p-13, -0x1.3358da734fbafp-13, -0x1.2a81dfa7dc2d4p-13, -0x1.21f1db8cde419p-13, -0x1.19a694971b6c3p-13, -0x1.119de18b756cdp-13, -0x1.09d5a916dc6afp-13, -0x1.024be16863cddp-13, -0x1.f5fd1f9ada6bep-14, -0x1.e7d7909ff39a1p-14, -0x1.da235aade45fep-14, -0x1.ccdcde9111f4ap-14, -0x1.c000985d123a4p-14, -0x1.b38b1eb94b3c6p-14, -0x1.a77922315a0f1p-14, -0x1.9bc76c895763ap-14, -0x1.9072e015c02dfp-14, -0x1.857877171e74ap-14, -0x1.7ad5431940c24p-14, -0x1.70866c560203dp-14, -0x1.6689311b8e615p-14, -0x1.5cdae53614aa1p-14, -0x1.5378f15cd73p-14, -0x1.4a60d2a28babfp-14, -0x1.419019e8fc7a5p-14, -0x1.39046b57db28ap-14, -0x1.30bb7dd6b840dp-14, -0x1.28b31a8a0e216p-14, -0x1.20e91c5353e4ep-14, -0x1.195b6f5409653p-14, -0x1.12081073ad38dp-14, -0x1.0aed0ce8903b9p-14, -0x1.040881c377b04p-14, -0x1.fab136fc03cf3p-15, -0x1.edb72b177e0a9p-15, -0x1.e11f73dbe22d6p-15, -0x1.d4e6c193ca839p-15, -0x1.c909e003b8a16p-15, -0x1.bd85b5a0e2fb3p-15, -0x1.b25742ccec40ep-15, -0x1.a77ba1166c598p-15, -0x1.9cf0027e297dcp-15, -0x1.92b1b0c0f6fddp-15, -0x1.88be0ca616081p-15, -0x1.7f128d52066c8p-15, -0x1.75acbf9db0aabp-15, -0x1.6c8a4571ce44p-15, -0x1.63a8d52680d49p-15, -0x1.5b0638e6f9535p-15, -0x1.52a04e191f9dep-15, -0x1.4a7504c9250fdp-15, -0x1.42825f18e609cp-15, -0x1.3ac670b310afp-15, -0x1.333f5e41f06c1p-15, -0x1.2beb5ce9d1aa6p-15, -0x1.24c8b1c6eb507p-15, -0x1.1dd5b16eb084ap-15, -0x1.1710bf74837c5p-15, -0x1.10784df1ad9aep-15, -0x1.0a0add108f8acp-15, -0x1.03c6fa9af2faap-15, -0x1.fb568316e20d1p-16, -0x1.ef6cb343a8df9p-16, -0x1.e3cdedf4dbd5dp-16, -0x1.d877b350890fap-16, -0x1.cd679aa42797bp-16, -0x1.c29b51a405e85p-16, -0x1.b8109bb01a2d6p-16, -0x1.adc5511e028c3p-16, -0x1.a3b75e8824de2p-16, -0x1.99e4c421c1e93p-16, -0x1.904b950fedad8p-16, -0x1.86e9f6c73eaa2p-16, -0x1.7dbe206e243e4p-16, -0x1.74c65a43bf671p-16, -0x1.6c00fd0b2b1ecp-16, -0x1.636c717b091fep-16, -0x1.5b072fb14bd88p-16, -0x1.52cfbeab15ec4p-16, -0x1.4ac4b3c0977c7p-16, -0x1.42e4b224d5c2dp-16, -0x1.3b2e6a693d49ep-16, -0x1.33a09a04ea95fp-16, -0x1.2c3a0adf9176dp-16, -0x1.24f992dfe7a15p-16, -0x1.1dde137d836e5p-16, -0x1.16e679560fc2cp-16, -0x1.1011bbc5c547ap-16, -0x1.095edc8310707p-16, -0x1.02cce73d53061p-16, -0x1.f8b5e27d4d196p-17, -0x1.ec10322123a5dp-17, -0x1.dfa70c4730e6p-17, -0x1.d378d0f3345dap-17, -0x1.c783f0a5bdafbp-17, -0x1.bbc6ebbb9aa4dp-17, -0x1.b04051d2702bdp-17, -0x1.a4eec1323c09ap-17, -0x1.99d0e63bd083ap-17, -0x1.8ee57adbfac08p-17, -0x1.842b46034f8e4p-17, -0x1.79a11b226c1abp-17, -0x1.6f45d9aa99551p-17, -0x1.65186c92a99d2p-17, -0x1.5b17c9dff6cffp-17, -0x1.5142f23363decp-17, -0x1.4798f05a44661p-17, -0x1.3e18d8e3063bap-17, -0x1.34c1c9b59499fp-17, -0x1.2b92e9af46a3fp-17, -0x1.228b68424a45ep-17, -0x1.19aa7d186d78dp-17, -0x1.10ef67b92f481p-17, -0x1.08596f32ff86p-17, -0x1.ffcfc38f2881ap-18, -0x1.ef34293680b7fp-18, -0x1.dedec6ce65093p-18, -0x1.cece605d0e0edp-18, -0x1.bf01c5ec30238p-18, -0x1.af77d2fdeb7a1p-18, -0x1.a02f6e06e6e4cp-18, -0x1.912787ed6933dp-18, -0x1.825f1b8d4cd9ep-18, -0x1.73d52d40a8f15p-18, -0x1.6588ca6d058dbp-18, -0x1.57790915008c1p-18, -0x1.49a5076e342ecp-18, -0x1.3c0beb7b482d9p-18, -0x1.2eace2aa03b89p-18, -0x1.2187217546c6p-18, -0x1.1499e30ac40c3p-18, -0x1.07e468f46327ep-18, -0x1.f6cbf58a54253p-19, -0x1.de3bcb931eb87p-19, -0x1.c616f976394fp-19, -0x1.ae5c2eee836ap-19, -0x1.970a257280212p-19, -0x1.801f9fae26d63p-19, -0x1.699b69027c43dp-19, -0x1.537c550ac096dp-19, -0x1.3dc13f27059d9p-19, -0x1.28690a0bf92a1p-19, -0x1.13729f57ba26bp-19, -0x1.fdb9de571a409p-20, -0x1.d54ddf947b192p-20, -0x1.ad9f3a7615df5p-20, -0x1.86abf1e1ee72ep-20, -0x1.607212ec8bdb4p-20, -0x1.3aefb4382c5f3p-20, -0x1.1622f55bbe65cp-20, -0x1.e413fca2f6a0cp-21, -0x1.9d45fdd97914cp-21, -0x1.57d85cadbdfbcp-21, -0x1.13c79525cac31p-21, -0x1.a220601e7535cp-22, -0x1.1f5d844021077p-22, }}, 
      {{0x1.1c99aec5659b1p-1, 0x1.1c6a63e8388d1p-1, 0x1.1c1bc3c9a8b07p-1, 0x1.1bae185a2900ep-1, 0x1.1b21c720aedfap-1, 0x1.1a774f6ee6bccp-1, 0x1.19af4849e04d6p-1, 0x1.18ca5e2120ef9p-1, 0x1.17c9506ac1f64p-1, 0x1.16acef377974ap-1, 0x1.157618cd95639p-1, 0x1.1425b7567ac5p-1, 0x1.12bcbea72d8c2p-1, 0x1.113c2a29e3104p-1, 0x1.0fa4faec8df94p-1, 0x1.0df835d6a6a6fp-1, 0x1.0c36e2072d2e3p-1, 0x1.0a62075adace9p-1, 0x1.087aad19b777bp-1, 0x1.0681d8cab580cp-1, 0x1.04788d2b8ad59p-1, 0x1.025fc94abb59fp-1, 0x1.003887c19030fp-1, 0x1.fc077c174ff0dp-2, 0x1.f784b7f379497p-2, 0x1.f2ea967a82c11p-2, 0x1.ee3ade15115cep-2, 0x1.e977479e77c86p-2, 0x1.e4a17df603856p-2, 0x1.dfbb1db0b3769p-2, 0x1.dac5b4e796cc1p-2, 0x1.d5c2c31f62827p-2, 0x1.d0b3b9460a89ap-2, 0x1.cb99f9c377c04p-2, 0x1.c676d89ab02ep-2, 0x1.c14b9b990872dp-2, 0x1.bc197a9136e68p-2, 0x1.b6e19fa04bfe3p-2, 0x1.b1a5277adace5p-2, 0x1.ac6521c0bc986p-2, 0x1.a72291560f1d8p-2, 0x1.a1de6cc03500bp-2, 0x1.9c999e85c6abp-2, 0x1.975505907ac2fp-2, 0x1.921175903d3a4p-2, 0x1.8ccfb75eb5a05p-2, 0x1.87908962a0286p-2, 0x1.82549ff276c38p-2, 0x1.7d1ca5b5ee48p-2, 0x1.77e93c05eecfcp-2, 0x1.72bafb4ab2db3p-2, 0x1.6d927357c9efap-2, 0x1.68702bc5cc1c7p-2, 0x1.6354a449934d3p-2, 0x1.5e405508dba05p-2, 0x1.5933aeec33722p-2, 0x1.542f1bee2c282p-2, 0x1.4f32ff67c757bp-2, 0x1.4a3fb65a185c3p-2, 0x1.455597b522b8fp-2, 0x1.4074f49bfafdbp-2, 0x1.3b9e18a6352d2p-2, 0x1.36d14a1eadd69p-2, 0x1.320eca3fc05cp-2, 0x1.2d56d56cfe9f8p-2, 0x1.28a9a36a75872p-2, 0x1.24076791a1162p-2, 0x1.1f70510418e79p-2, 0x1.1ae48adc15953p-2, 0x1.16643c5add8ecp-2, 0x1.11ef89153749ep-2, 0x1.0d86911df02e8p-2, 0x1.0929712e96992p-2, 0x1.04d842ce71f1ep-2, 0x1.00931c77d7a0bp-2, 0x1.f8b42377d7a77p-3, 0x1.f05a66c9c201ep-3, 0x1.e8191f2d9a025p-3, 0x1.dff063de3d889p-3, 0x1.d7e047459e01dp-3, 0x1.cfe8d736a08c9p-3, 0x1.c80a1d24b2881p-3, 0x1.c0441e591d1d5p-3, 0x1.b896dc26392f8p-3, 0x1.b1025418a600ap-3, 0x1.a986802686f14p-3, 0x1.a22356dcf0d0bp-3, 0x1.9ad8cb8b930fap-3, 0x1.93a6ce6eaf4bbp-3, 0x1.8c8d4cd77a7b4p-3, 0x1.858c3152e9795p-3, 0x1.7ea363cf0c228p-3, 0x1.77d2c9bef45eap-3, 0x1.711a463d437a8p-3, 0x1.6a79ba2d669e2p-3, 0x1.63f1045b8b2a4p-3, 0x1.5d80019b61dcdp-3, 0x1.57268ce5ac562p-3, 0x1.50e47f74acbe3p-3, 0x1.4ab9b0df7e946p-3, 0x1.44a5f7345989cp-3, 0x1.3ea92711d464ap-3, 0x1.38c313bf25488p-3, 0x1.32f38f4371dc9p-3, 0x1.2d3a6a7c2a088p-3, 0x1.2797753285e95p-3, 0x1.220a7e301f133p-3, 0x1.1c935352b2529p-3, 0x1.1731c19f11d68p-3, 0x1.11e595534decep-3, 0x1.0cae99f819974p-3, 0x1.078c9a716e7dfp-3, 0x1.027f610e80152p-3, 0x1.fb0d6f31e8907p-4, 0x1.f144cec6f113ep-4, 0x1.e7a472af5a405p-4, 0x1.de2bec06d9a94p-4, 0x1.d4dacb4b03812p-4, 0x1.cbb0a0737b0c6p-4, 0x1.c2acfb08fb87fp-4, 0x1.b9cf6a3b61f9cp-4, 0x1.b1177cf68f74ap-4, 0x1.a884c1f658967p-4, 0x1.a016c7d9726bbp-4, 0x1.97cd1d336c32ep-4, 0x1.8fa7509dcc2afp-4, 0x1.87a4f0c83f972p-4, 0x1.7fc58c87fc68p-4, 0x1.7808b2e650227p-4, 0x1.706df32e6aa0cp-4, 0x1.68f4dcfa68b74p-4, 0x1.619d003fa8f29p-4, 0x1.5a65ed5a6fe24p-4, 0x1.534f3518e59d9p-4, 0x1.4c5868c570e7bp-4, 0x1.45811a3078c04p-4, 0x1.3ec8dbb991ffbp-4, 0x1.382f40581f832p-4, 0x1.31b3dba36bf0ep-4, 0x1.2b5641da42022p-4, 0x1.251607ea086c6p-4, 0x1.1ef2c3756a632p-4, 0x1.18ec0ada8d664p-4, 0x1.13017538dcfbap-4, 0x1.0d329a767005bp-4, 0x1.077f13450cfe5p-4, 0x1.01e67926d0131p-4, 0x1.f8d0cce4f568fp-5, 0x1.ee08ecaed9e16p-5, 0x1.e37489c2a0b1dp-5, 0x1.d912ddf6ebb15p-5, 0x1.cee324e7d5ca8p-5, 0x1.c4e49bfc936e5p-5, 0x1.bb16826c929a6p-5, 0x1.b17819441856fp-5, 0x1.a808a3686f5ffp-5, 0x1.9ec7659b9f2d4p-5, 0x1.95b3a67fbda71p-5, 0x1.8cccae99d74bdp-5, 0x1.8411c8547acd8p-5, 0x1.7b824001e5afcp-5, 0x1.731d63dddcce8p-5, 0x1.6ae2840f30cd4p-5, 0x1.62d0f2a8f62d3p-5, 0x1.5ae803ab70af2p-5, 0x1.53270d04bb822p-5, 0x1.4b8d66912b136p-5, 0x1.441a6a1b741c3p-5, 0x1.3ccd735c90e48p-5, 0x1.35a5dffb74356p-5, 0x1.2ea30f8c7f124p-5, 0x1.27c46390c969ep-5, 0x1.21093f7535ffap-5, 0x1.1a7108915ab49p-5, 0x1.13fb26263ab8ap-5, 0x1.0da7015cd9aep-5, 0x1.07740544a493dp-5, 0x1.01619ed1b7dbdp-5, 0x1.f6de79b602849p-6, 0x1.eb38a0307c3a7p-6, 0x1.dfd0963fb83ap-6, 0x1.d4a544c976e2p-6, 0x1.c9b59867a49ffp-6, 0x1.bf0081636e561p-6, 0x1.b484f3b01f92fp-6, 0x1.aa41e6e5d1a28p-6, 0x1.a036563be95e1p-6, 0x1.966140836e474p-6, 0x1.8cc1a8212ef9cp-6, 0x1.83569307c6a5bp-6, 0x1.7a1f0ab17635ap-6, 0x1.711a1c19e14e8p-6, 0x1.6846d7b7a1cb3p-6, 0x1.5fa45175c07a7p-6, 0x1.5731a0ad0e327p-6, 0x1.4eede01d600aap-6, 0x1.46d82de6b23fep-6, 0x1.3eefab8232785p-6, 0x1.37337dbb2bc43p-6, 0x1.2fa2cca7e8c53p-6, 0x1.283cc3a2735adp-6, 0x1.2100914149c02p-6, 0x1.19ed674fff41cp-6, 0x1.13027ac7c88b7p-6, 0x1.0c3f03c7fcb37p-6, 0x1.05a23d8e83fa1p-6, 0x1.fe56cce07c2fap-7, 0x1.f1b37fa2a13cp-7, 0x1.e5591c3af5f22p-7, 0x1.d94631809c9a1p-7, 0x1.cd79543ad3155p-7, 0x1.c1f11f114671bp-7, 0x1.b6ac327c667cbp-7, 0x1.aba934b5a439ep-7, 0x1.a0e6d1a79ca59p-7, 0x1.9663bade518a9p-7, 0x1.8c1ea7773aef5p-7, 0x1.821654116f083p-7, 0x1.784982bdaf6bfp-7, 0x1.6eb6faee7eba4p-7, 0x1.655d89682f385p-7, 0x1.5c3c0030f43eap-7, 0x1.53513680ef6d3p-7, 0x1.4a9c08b247baap-7, 0x1.421b58313bdd6p-7, 0x1.39ce0b6c3e239p-7, 0x1.31b30dc416e7cp-7, 0x1.29c94f7c0d137p-7, 0x1.220fc5aa17129p-7, 0x1.1a856a27169ep-7, 0x1.13293b7f1f37ap-7, 0x1.0bfa3ce1c8313p-7, 0x1.04f776128d31cp-7, 0x1.fc3fe6b277ec6p-8, 0x1.eee58ae4e3a99p-8, 0x1.e1de030052e01p-8, 0x1.d52781f4b5229p-8, 0x1.c8c0433f54ad6p-8, 0x1.bca68acc62ab3p-8, 0x1.b0d8a4d8a5892p-8, 0x1.a554e5d356dc2p-8, 0x1.9a19aa4028aebp-8, 0x1.8f255699794p-8, 0x1.84765732b69cep-8, 0x1.7a0b201af0f22p-8, 0x1.6fe22cff9dd95p-8, 0x1.65fa010f91682p-8, 0x1.5c5126de2881ep-8, 0x1.52e63046aa0c9p-8, 0x1.49b7b64fdfe0fp-8, 0x1.40c4590fe5c5ep-8, 0x1.380abf9032af8p-8, 0x1.2f8997b1dc8a6p-8, 0x1.273f961215babp-8, 0x1.1f2b75eee83f9p-8, 0x1.174bf90c2c832p-8, 0x1.0f9fe798bfc75p-8, 0x1.08261013f7a6fp-8, 0x1.00dd473355348p-8, 0x1.f388cf90f47b5p-9, 0x1.e5b4a54ebb386p-9, 0x1.d83bdd1981184p-9, 0x1.cb1c5009d0cf8p-9, 0x1.be53e2a53241fp-9, 0x1.b1e084aca721p-9, 0x1.a5c030ebaf36p-9, 0x1.99f0ed07d3c7fp-9, 0x1.8e70c950bc5d6p-9, 0x1.833de090cc4a6p-9, 0x1.785657de4d8b8p-9, 0x1.6db85e6d1f5b6p-9, 0x1.63622d60f846dp-9, 0x1.595207a02d1bfp-9, 0x1.4f8639a705264p-9, 0x1.45fd195b9e881p-9, 0x1.3cb505e257ffap-9, 0x1.33ac6772cb595p-9, 0x1.2ae1af2d51ce9p-9, 0x1.225356f116d16p-9, 0x1.19ffe132b6751p-9, 0x1.11e5d8d363822p-9, 0x1.0a03d0f89f586p-9, 0x1.025864e47a0ccp-9, 0x1.f5c46f9cbb277p-10, 0x1.e73fe978c6cf6p-10, 0x1.d9209cba6dd97p-10, 0x1.cb63fdc4fcbebp-10, 0x1.be078fb79da03p-10, 0x1.b108e4244f953p-10, 0x1.a4659ac7f0b1bp-10, 0x1.981b614356449p-10, 0x1.8c27f2d5710c1p-10, 0x1.808918167b20ep-10, 0x1.753ca6b437796p-10, 0x1.6a40812f3220fp-10, 0x1.5f9296990ea7p-10, 0x1.5530e253d3e1cp-10, 0x1.4b196bd242875p-10, 0x1.414a465927fadp-10, 0x1.37c190c1b40e4p-10, 0x1.2e7d753ccaf7cp-10, 0x1.257c2917537b2p-10, 0x1.1cbbec7f7ba4fp-10, 0x1.143b0a4af7799p-10, 0x1.0bf7d7be37568p-10, 0x1.03f0b45489307p-10, 0x1.f848131263089p-11, 0x1.e9209542e08abp-11, 0x1.da67e8eee1162p-11, 0x1.cc1b1a8c45181p-11, 0x1.be3748ebfa299p-11, 0x1.b0b9a4d5454e3p-11, 0x1.a39f70a2d40eep-11, 0x1.96e5ffe189dd8p-11, 0x1.8a8ab6f10a328p-11, 0x1.7e8b0aa5f7be2p-11, 0x1.72e47fede224bp-11, 0x1.6794ab74e0ecap-11, 0x1.5c99314cd29b9p-11, 0x1.51efc4963ee32p-11, 0x1.4796272ad1815p-11, 0x1.3d8a29496e0ep-11, 0x1.33c9a943d4d48p-11, 0x1.2a52932dd1f69p-11, 0x1.2122e08df49a7p-11, 0x1.1838980fc92d3p-11, 0x1.0f91cd378d0cdp-11, 0x1.072ca0175b99p-11, 0x1.fe0e7a0b9991p-12, 0x1.ee3fb8abffba1p-12, 0x1.dee984221f749p-12, 0x1.d0087b61cbafep-12, 0x1.c19953b8dfb89p-12, 0x1.b398d84a5038bp-12, 0x1.a603e98be8c34p-12, 0x1.98d77cc6a4cfbp-12, 0x1.8c109b9997141p-12, 0x1.7fac637f5c8b6p-12, 0x1.73a805560a7dbp-12, 0x1.6800c4e990c8ep-12, 0x1.5cb3f8808767dp-12, 0x1.51bf086b5a296p-12, 0x1.471f6e95cb614p-12, 0x1.3cd2b61ac16b2p-12, 0x1.32d67ada5b64dp-12, 0x1.292869123a354p-12, 0x1.1fc63cf7fba0cp-12, 0x1.16adc255db407p-12, 0x1.0ddcd429730f7p-12, 0x1.05515c4489fd5p-12, 0x1.fa12a5dfeaf4p-13, 0x1.ea057d20e5eb4p-13, 0x1.da77669b075fbp-13, 0x1.cb64a574633d9p-13, 0x1.bcc996ff7bc01p-13, 0x1.aea2b2145bcb9p-13, 0x1.a0ec866d5aed3p-13, 0x1.93a3bc077d7e4p-13, 0x1.86c512865c341p-13, 0x1.7a4d609b884c2p-13, 0x1.6e39937156b7dp-13, 0x1.6286ae190129fp-13, 0x1.5731c8fc15d13p-13, 0x1.4c3811511ba19p-13, 0x1.4196c8935da86p-13, 0x1.374b43fdd71edp-13, 0x1.2d52ec0923663p-13, 0x1.23ab3bec6f3bfp-13, 0x1.1a51c1214f382p-13, 0x1.11441aea7c7d8p-13, 0x1.087ff9dd5e62dp-13, 0x1.00031f6e51c5p-13, 0x1.ef96baff586afp-14, 0x1.dfad2be6b6fc9p-14, 0x1.d045747e4bf88p-14, 0x1.c15b9606e194ap-14, 0x1.b2ebaf490cacdp-14, 0x1.a4f1fbcc94ea6p-14, 0x1.976ad314b16e8p-14, 0x1.8a52a7e0e591dp-14, 0x1.7da607727ecfap-14, 0x1.716198d68b819p-14, 0x1.65821c343a631p-14, 0x1.5a046a1f85dcdp-14, 0x1.4ee572f017a2bp-14, 0x1.44223e1c4df21p-14, 0x1.39b7e9984822cp-14, 0x1.2fa3a938e9ca6p-14, 0x1.25e2c61ab99a8p-14, 0x1.1c729e0c8b94cp-14, 0x1.1350a2fddd5ccp-14, 0x1.0a7a5a70d2a41p-14, 0x1.01ed5cefbccaap-14, 0x1.f34eab0c330dbp-15, 0x1.e34c0279ebb1p-15, 0x1.d3ce5d3542ed3p-15, 0x1.c4d17a4b3d706p-15, 0x1.b65139d580c3p-15, 0x1.a8499c0cbce8p-15, 0x1.9ab6c06126d47p-15, 0x1.8d94e498dde9dp-15, 0x1.80e063f41baa1p-15, 0x1.7495b6570b6aep-15, 0x1.68b16f7927718p-15, 0x1.5d303e19ff5e1p-15, 0x1.520eeb3b41b39p-15, 0x1.474a595fefa2ep-15, 0x1.3cdf83d09a4d5p-15, 0x1.32cb7de488b6ep-15, 0x1.290b724fac76ap-15, 0x1.1f9ca275490b7p-15, 0x1.167c65bf2c534p-15, 0x1.0da828f9650bcp-15, 0x1.051d6db251e5cp-15, 0x1.f9b3933df074cp-16, 0x1.e9b5cc0703ecfp-16, 0x1.da3cfe3f97599p-16, 0x1.cb44c73fd77f5p-16, 0x1.bcc8e8212805dp-16, 0x1.aec544ae7d673p-16, 0x1.a135e25c0cb24p-16, 0x1.9416e74632221p-16, 0x1.8764993758815p-16, 0x1.7b1b5cb4b5638p-16, 0x1.6f37b411b90f7p-16, 0x1.63b63e89f8752p-16, 0x1.5893b76177f72p-16, 0x1.4dccf50b1f8bp-16, 0x1.435ee8553ccfp-16, 0x1.39469b9beabb9p-16, 0x1.2f8132012b0dcp-16, 0x1.260be6aaa7559p-16, 0x1.1ce40c04d5327p-16, 0x1.14070b0b7adc7p-16, 0x1.0b72629756027p-16, 0x1.0323a6b0d2f92p-16, 0x1.f630ffcf64b99p-17, 0x1.e69d555ee6b61p-17, 0x1.d787ed80db7e2p-17, 0x1.c8ec8cfaef709p-17, 0x1.bac71cbbf231ap-17, 0x1.ad13a8b89e706p-17, 0x1.9fce5ed0d1f5dp-17, 0x1.92f38dbce82aap-17, 0x1.867fa403175fdp-17, 0x1.7a6f2ef49451cp-17, 0x1.6ebed9b23c7dap-17, 0x1.636b6c389eee4p-17, 0x1.5871ca7335635p-17, 0x1.4dcef3568dd51p-17, 0x1.43800001457e6p-17, 0x1.398222e39876dp-17, 0x1.2fd2a6ed64235p-17, 0x1.266eeec2692fcp-17, 0x1.1d5473f4a2fcdp-17, 0x1.1480c6448d981p-17, 0x1.0bf18ae72b68ap-17, 0x1.03a47bd1a88d1p-17, 0x1.f72ece14df598p-18, 0x1.e7905bff19902p-18, 0x1.d86989c471206p-18, 0x1.c9b6640ecbdf9p-18, 0x1.bb731a9a60f61p-18, 0x1.ad9bff0a11824p-18, 0x1.a02d83c4f6188p-18, 0x1.93243adce36ffp-18, 0x1.867cd4fda4865p-18, 0x1.7a342064a9a93p-18, 0x1.6e4707e0f47abp-18, 0x1.62b291dafe5cdp-18, 0x1.5773df64663f2p-18, 0x1.4c882b4f281fbp-18, 0x1.41ecc94c2bcfap-18, 0x1.379f2510ef50bp-18, 0x1.2d9cc184201fp-18, 0x1.23e337f0e89a7p-18, 0x1.1a703740c6e74p-18, 0x1.1141833bb83dp-18, 0x1.0854f3ce8bad3p-18, 0x1.ff50e8ae5bf3bp-19, 0x1.ee7405ed82767p-19, 0x1.de0f5fd2b11cep-19, 0x1.ce1f39c64bdf9p-19, 0x1.be9ff8e5f2c97p-19, 0x1.af8e22d3ca258p-19, 0x1.a0e65c8fbb3dbp-19, 0x1.92a5695a6acd1p-19, 0x1.84c829a193dc8p-19, 0x1.774b99f582714p-19, 0x1.6a2cd2076725bp-19, 0x1.5d6903b03fa61p-19, 0x1.50fd7a00109fcp-19, 0x1.44e7985531b96p-19, 0x1.3924d97b7033fp-19, 0x1.2db2ced2c1e0cp-19, 0x1.228f1f7d56d8fp-19, 0x1.17b78794cc486p-19, 0x1.0d29d76646a5ep-19, 0x1.02e3f2b53ee41p-19, 0x1.f1c7a00998d62p-20, 0x1.de4eefce76dcap-20, 0x1.cb5a08a76e409p-20, 0x1.b8e54003b6c32p-20, 0x1.a6ed0b96030e8p-20, 0x1.956e00222660ep-20, 0x1.8464d055722b6p-20, 0x1.73ce4ba97af0bp-20, 0x1.63a75d50ecc3dp-20, 0x1.53ed0b2e132cp-20, 0x1.449c74d2d3dc5p-20, 0x1.35b2d289c8163p-20, 0x1.272d746827778p-20, 0x1.1909c168402e4p-20, 0x1.0b45368c2db63p-20, 0x1.fbbacc112a931p-21, 0x1.e19fecee328bdp-21, 0x1.c835442094717p-21, 0x1.af766bd9a6902p-21, 0x1.975f229b4d6b8p-21, 0x1.7feb49d5dafd5p-21, 0x1.6916e4930209cp-21, 0x1.52de162d70b3cp-21, 0x1.3d3d2114a1c9ap-21, 0x1.2830659c7e2f8p-21, 0x1.13b460d868b6p-21, 0x1.ff8b57029e488p-22, 0x1.d8c1f1ccc8718p-22, 0x1.b3062bd042a6p-22, 0x1.8e51cffa73875p-22, 0x1.6a9ed8824a492p-22, 0x1.47e76d17ddbacp-22, 0x1.2625e125ebf31p-22, 0x1.0554b2249ec04p-22, 0x1.cadd0bf9f2dffp-23, 0x1.8cdc52f8ba949p-23, 0x1.509d1daf1af7ap-23, 0x1.161598795c26ap-23, 0x1.ba7869cec1fdep-24, 0x1.4c0f4e32b1511p-24, 0x1.c1bb8cdd25896p-25, 0x1.e348d813da0ddp-26, 0x1.3db76ffb22031p-28, -0x1.385caa2d27e9ep-26, -0x1.5a2be98d890d7p-25, -0x1.0930c43e667b6p-24, -0x1.62770fd3e3d4dp-24, -0x1.b8f7ec8ab68f1p-24, -0x1.06610895fb241p-23, -0x1.2ef1ece1e354cp-23, -0x1.5635a57ce3727p-23, -0x1.7c330aa2fcbbcp-23, -0x1.a0f0cc01ae41bp-23, -0x1.c4757230ce9bfp-23, -0x1.e6c7601b87a41p-23, -0x1.03f66a2d0ca89p-22, -0x1.13f5f53e7a40bp-22, -0x1.23654e24dcf27p-22, -0x1.324761755bfe7p-22, -0x1.409f0c08ae331p-22, -0x1.4e6f1b8617634p-22, -0x1.5bba4ee85ddfp-22, -0x1.688356fd0567ap-22, -0x1.74ccd6ddf6d36p-22, -0x1.80996465de292p-22, -0x1.8beb889f6befep-22, -0x1.96c5c02fb3ce6p-22, -0x1.a12a7bbbd697bp-22, -0x1.ab1c204a2f1cfp-22, -0x1.b49d079f2ace2p-22, -0x1.bdaf809602be3p-22, -0x1.c655cf757ada1p-22, -0x1.ce922e40d7498p-22, -0x1.d666cd052a1a1p-22, -0x1.ddd5d2232c641p-22, -0x1.e4e15a95ba6fap-22, -0x1.eb8b7a3523453p-22, -0x1.f1d63bf76a19ep-22, -0x1.f7c3a22d9ca3bp-22, -0x1.fd55a6be5bda1p-22, -0x1.01471daedf659p-21, -0x1.03b7a4e1525e8p-21, -0x1.05fd59eccc226p-21, -0x1.081929fab157fp-21, -0x1.0a0bfe7eb0de1p-21, -0x1.0bd6bd4ce27bfp-21, -0x1.0d7a48aee08c8p-21, -0x1.0ef77f77ec517p-21, -0x1.104f3d1827c5dp-21, -0x1.118259aeededap-21, -0x1.1291aa1c57ee1p-21, -0x1.137e0011f4ed9p-21, -0x1.14482a22c3076p-21, -0x1.14f0f3d26f519p-21, -0x1.157925a3e7552p-21, -0x1.15e1852743d06p-21, -0x1.162ad507180edp-21, -0x1.1655d51528d6fp-21, -0x1.1663425697d6ap-21, -0x1.1653d70f86187p-21, -0x1.16284ace37e18p-21, }}, 
      {{-0x1.585e5492bf5a3p-8, -0x1.5870bcaf87d55p-7, -0x1.026d20ab948f6p-6, -0x1.58c36067da94ap-6, -0x1.af4bfd65b2bf3p-6, -0x1.030d9f7c2e4c7p-5, -0x1.2ea4357419016p-5, -0x1.5a7685d928f7dp-5, -0x1.8692045ef7683p-5, -0x1.b304568d0cd19p-5, -0x1.dfdad90343c81p-5, -0x1.069116f1aca1ap-4, -0x1.1d72ec6dd3d19p-4, -0x1.3497f59b363b2p-4, -0x1.4c0460676d386p-4, -0x1.63bb66e148d7ep-4, -0x1.7bbf3e0267b09p-4, -0x1.94110bc419602p-4, -0x1.acb0e3b8e246ep-4, -0x1.c59dc9537c4b2p-4, -0x1.ded5b6ff8b8ep-4, -0x1.f855a93484bdap-4, -0x1.090cd65ab8d6dp-3, -0x1.160e779facc29p-3, -0x1.232ce8fcba694p-3, -0x1.3064fe8721b07p-3, -0x1.3db339f41de36p-3, -0x1.4b13d4d08d8eep-3, -0x1.5882caa2eb25fp-3, -0x1.65fbe2d18d2a3p-3, -0x1.737aba2f3500fp-3, -0x1.80facc172acf8p-3, -0x1.8e777b088707fp-3, -0x1.9bec18b56aaf3p-3, -0x1.a953ed7f9ab61p-3, -0x1.b6aa3f5f74d0cp-3, -0x1.c3ea58353dcdep-3, -0x1.d10f8b86ff033p-3, -0x1.de153baf10958p-3, -0x1.eaf6de809a548p-3, -0x1.f7b001685f672p-3, -0x1.021e26885e665p-2, -0x1.084bc44819364p-2, -0x1.0e5ece14fb721p-2, -0x1.145549d40ff7bp-2, -0x1.1a2d502b7bae8p-2, -0x1.1fe50d545c104p-2, -0x1.257ac1c47b815p-2, -0x1.2aecc2b33d706p-2, -0x1.30397a7d1a1b7p-2, -0x1.355f68e8c5238p-2, -0x1.3a5d2350f91d7p-2, -0x1.3f3154b5b2d04p-2, -0x1.43dabdb7839dep-2, -0x1.4858347f60ap-2, -0x1.4ca8a495481e3p-2, -0x1.50cb0ea7c99d9p-2, -0x1.54be88466ba1cp-2, -0x1.58823b90b5009p-2, -0x1.5c1566db7ab74p-2, -0x1.5f775c4de8f7fp-2, -0x1.62a78177a4a4p-2, -0x1.65a54ee12da14p-2, -0x1.68704f979d44fp-2, -0x1.6b0820b4ad027p-2, -0x1.6d6c70e3dff29p-2, -0x1.6f9cffe58bdfdp-2, -0x1.71999e105fbcdp-2, -0x1.73622bd1fece7p-2, -0x1.74f6992f20b17p-2, -0x1.7656e543a42d6p-2, -0x1.77831dc2ea9a1p-2, -0x1.787b5e78c385bp-2, -0x1.793fd0cb2c578p-2, -0x1.79d0ab3d09514p-2, -0x1.7a2e30f212de2p-2, -0x1.7a58b13405b26p-2, -0x1.7a5086f93ff56p-2, -0x1.7a16186cd591fp-2, -0x1.79a9d67834502p-2, -0x1.790c3c4e5ebfap-2, -0x1.783dcef8cce8dp-2, -0x1.773f1ce5f648p-2, -0x1.7610bd7991635p-2, -0x1.74b3509e8abfp-2, -0x1.73277e5ab6422p-2, -0x1.716df66446ed8p-2, -0x1.6f876fb9087dfp-2, -0x1.6d74a83762e48p-2, -0x1.6b3664392e9ecp-2, -0x1.68cd6e30582bep-2, -0x1.663a96455fd0fp-2, -0x1.637eb1f7ae325p-2, -0x1.609a9bbfd26d3p-2, -0x1.5d8f32b3a1574p-2, -0x1.5a5d5a2c41c2ep-2, -0x1.5705f96e2a2f8p-2, -0x1.5389fb53160d2p-2, -0x1.4fea4df5f3741p-2, -0x1.4c27e260d5327p-2, -0x1.4843ac3ce537dp-2, -0x1.443ea18465741p-2, -0x1.4019ba36b73d1p-2, -0x1.3bd5f00e78a15p-2, -0x1.37743e39b09c9p-2, -0x1.32f5a1140fe7cp-2, -0x1.2e5b15e34baap-2, -0x1.29a59a9589b01p-2, -0x1.24d62d81e614ap-2, -0x1.1fedcd2b0fb68p-2, -0x1.1aed7803f5c4p-2, -0x1.15d62c3688ffdp-2, -0x1.10a8e76c8e8c8p-2, -0x1.0b66a69a78ce9p-2, -0x1.061065cc4c1d8p-2, -0x1.00a71ff483638p-2, -0x1.f6579d79e24e9p-3, -0x1.eb3ed4b32bec3p-3, -0x1.e005d2bad154ap-3, -0x1.d4ae812204f4ap-3, -0x1.c93ac5965bdf6p-3, -0x1.bdac81969b8e6p-3, -0x1.b205922b1df15p-3, -0x1.a647cfa1cd90bp-3, -0x1.9a750d4d8ce5ep-3, -0x1.8e8f19490c6e6p-3, -0x1.8297bc3cf0b09p-3, -0x1.7690b92933f69p-3, -0x1.6a7bcd31b3092p-3, -0x1.5e5aaf6dcc49dp-3, -0x1.522f10bb0075p-3, -0x1.45fa9b927d4d2p-3, -0x1.39bef3e17c308p-3, -0x1.2d7db6e463034p-3, -0x1.21387b04924fep-3, -0x1.14f0cfb8c55adp-3, -0x1.08a83d67fc3dep-3, -0x1.f8c08a9d97f6ap-4, -0x1.e034c2ce1e833p-4, -0x1.c7b008a3b3ee8p-4, -0x1.af3532874136dp-4, -0x1.96c707e504d42p-4, -0x1.7e68410d39b15p-4, -0x1.661b8718b8072p-4, -0x1.4de373d16a1ap-4, -0x1.35c2919e6ead8p-4, -0x1.1dbb5b73caeb5p-4, -0x1.05d03cc587801p-4, -0x1.dc0722fc3775p-5, -0x1.acaf4bf009cbep-5, -0x1.7d9d6df4db198p-5, -0x1.4ed5e3718b5a6p-5, -0x1.205ce7aa5f74fp-5, -0x1.e46d2d9697a99p-6, -0x1.88cddbeefe20ep-6, -0x1.2de396bbe1951p-6, -0x1.a76bb94b1c3f5p-7, -0x1.e92fbb6b06f83p-8, -0x1.0d668aad5f6bbp-9, 0x1.b105a6b4476b3p-9, 0x1.1a2c324fe9f07p-7, 0x1.c65a1aa0a5e18p-7, 0x1.385f7ecfd694p-6, 0x1.8ca79688c4f17p-6, 0x1.dfffb84c26a1ap-6, 0x1.1931412febda5p-5, 0x1.41e5667f205b7p-5, 0x1.6a19d4e802268p-5, 0x1.91cc31aff27aap-5, 0x1.b8fa3e44917b6p-5, 0x1.dfa1d7f04e317p-5, 0x1.02e07bc63a09bp-4, 0x1.15aad8986a59ep-4, 0x1.282f19f097ad1p-4, 0x1.3a6c649c39849p-4, 0x1.4c61ea88f96d5p-4, 0x1.5e0eea98584d3p-4, 0x1.6f72b072695b4p-4, 0x1.808c9457b1b8dp-4, 0x1.915bfaf238a0cp-4, 0x1.a1e05525d55f2p-4, 0x1.b2191fdfcc4e9p-4, 0x1.c205e3e5b23cdp-4, 0x1.d1a635a3d0172p-4, 0x1.e0f9b4fad1093p-4, 0x1.f0000d0d062dcp-4, 0x1.feb8f40b1f448p-4, 0x1.069215803ced3p-3, 0x1.0da0becf81afdp-3, 0x1.1488610566eb1p-3, 0x1.1b48ec52a0fdap-3, 0x1.21e255ec09efcp-3, 0x1.285497effcf59p-3, 0x1.2e9fb14b978e4p-3, 0x1.34c3a59fe4a56p-3, 0x1.3ac07d26f8c08p-3, 0x1.40964498fe578p-3, 0x1.46450d11422c7p-3, 0x1.4bccebf332727p-3, 0x1.512dfacf65decp-3, 0x1.56685748a55d5p-3, 0x1.5b7c22f8ff728p-3, 0x1.60698356e62bp-3, 0x1.6530a19a60658p-3, 0x1.69d1aaa25038dp-3, 0x1.6e4cced9cbd2ep-3, 0x1.72a2421d9b491p-3, 0x1.76d23ba1c8e16p-3, 0x1.7adcf5d7629dfp-3, 0x1.7ec2ae5254693p-3, 0x1.8283a5af71c1fp-3, 0x1.86201f7aa8befp-3, 0x1.8998621566547p-3, 0x1.8cecb69d2a19ap-3, 0x1.901d68d24df36p-3, 0x1.932ac6ff0529ap-3, 0x1.961521de99f08p-3, 0x1.98dccc84dc334p-3, 0x1.9b821c45db23ep-3, 0x1.9e05689dd634ep-3, 0x1.a0670b197714dp-3, 0x1.a2a75f3e4aff2p-3, 0x1.a4c6c2738a55ap-3, 0x1.a6c593eb2070bp-3, 0x1.a8a4348b06fedp-3, 0x1.aa6306d6e7c3p-3, 0x1.ac026eda0c9c6p-3, 0x1.ad82d211a5c0bp-3, 0x1.aee4975756564p-3, 0x1.b02826cc1c878p-3, 0x1.b14de9c389a2ep-3, 0x1.b2564aaf522ffp-3, 0x1.b341b50b29aadp-3, 0x1.b41095490609bp-3, 0x1.b4c358bdad26ep-3, 0x1.b55a6d8d9f668p-3, 0x1.b5d6429a607bap-3, 0x1.b637477011195p-3, 0x1.b67dec336dcb7p-3, 0x1.b6aaa190215fcp-3, 0x1.b6bdd8a7764e5p-3, 0x1.b6b802ff62bb7p-3, 0x1.b6999271f61cbp-3, 0x1.b662f91d1d117p-3, 0x1.b614a952c2788p-3, 0x1.b5af1589568eep-3, 0x1.b532b04ca6193p-3, 0x1.b49fec2f1a3abp-3, 0x1.b3f73bbb4af9ep-3, 0x1.b3391165f7cf3p-3, 0x1.b265df805828cp-3, 0x1.b17e182ac6881p-3, 0x1.b0822d47cd43p-3, 0x1.af72906f87b55p-3, 0x1.ae4fb2e365f6fp-3, 0x1.ad1a058247a7p-3, 0x1.abd1f8bcedcb3p-3, 0x1.aa77fc8acd71bp-3, 0x1.a90c805f34201p-3, 0x1.a78ff31ecc237p-3, 0x1.a602c31571cccp-3, 0x1.a4655dec5fc21p-3, 0x1.a2b830a0b88cfp-3, 0x1.a0fba77a5e71bp-3, 0x1.9f302e03217a7p-3, 0x1.9d562efe41123p-3, 0x1.9b6e146042113p-3, 0x1.9978474713124p-3, 0x1.97752ff286fbfp-3, 0x1.956535bd15e7cp-3, 0x1.9348bf14f6e1p-3, 0x1.9120317581c3ep-3, 0x1.8eebf160db002p-3, 0x1.8cac6259f3cccp-3, 0x1.8a61e6decb731p-3, 0x1.880ce062fc3f3p-3, 0x1.85adaf4a94164p-3, 0x1.8344b2e530c6fp-3, 0x1.80d2496960f6fp-3, 0x1.7e56cff04b6dcp-3, 0x1.7bd2a271993ap-3, 0x1.79461bbfa1cecp-3, 0x1.76b19583d8388p-3, 0x1.7415683b7341p-3, 0x1.7171eb345f763p-3, 0x1.6ec7748a5eee8p-3, 0x1.6c165924712e2p-3, 0x1.695eecb26fd3p-3, 0x1.66a181aae46dp-3, 0x1.63de69491a275p-3, 0x1.6115f38b5fd1ep-3, 0x1.5e486f31869c8p-3, 0x1.5b7629bb90521p-3, 0x1.589f6f689178bp-3, 0x1.55c48b35c4b47p-3, 0x1.52e5c6ddd2f0ep-3, 0x1.50036ad8423e2p-3, 0x1.4d1dbe591cf9bp-3, 0x1.4a350750bc26cp-3, 0x1.47498a6bc3e92p-3, 0x1.445b8b134877p-3, 0x1.416b4b6d19be8p-3, 0x1.3e790c5c3be71p-3, 0x1.3b850d81805eep-3, 0x1.388f8d3c4ca5cp-3, 0x1.3598c8ab7a99dp-3, 0x1.32a0fbae6762fp-3, 0x1.2fa860e61aff3p-3, 0x1.2caf31b69a083p-3, 0x1.29b5a6484d758p-3, 0x1.26bbf5898f50bp-3, 0x1.23c255305551fp-3, 0x1.20c8f9bbf6c0cp-3, 0x1.1dd016770a14bp-3, 0x1.1ad7dd796402cp-3, 0x1.17e07faa2ac69p-3, 0x1.14ea2cc204af1p-3, 0x1.11f5134d5ca9fp-3, 0x1.0f0160aebe8dap-3, 0x1.0c0f4121441adp-3, 0x1.091edfbb1f045p-3, 0x1.06306670310ap-3, 0x1.0343fe14b307ap-3, 0x1.0059ce5ff829ap-3, 0x1.fae3fbde70569p-4, 0x1.f5196490dd624p-4, 0x1.ef541fba916c8p-4, 0x1.e994741c3ad26p-4, 0x1.e3daa659f8494p-4, 0x1.de26f90178562p-4, 0x1.d879ac9042fc7p-4, 0x1.d2d2ff7a0fbe6p-4, 0x1.cd332e2f327b4p-4, 0x1.c79a732320ef2p-4, 0x1.c20906d2fbb72p-4, 0x1.bc7f1fcc38c2ap-4, 0x1.b6fcf2b34dc48p-4, 0x1.b182b24a76c9dp-4, 0x1.ac108f78794c5p-4, 0x1.a6a6b94f7e23p-4, 0x1.a1455d13eef82p-4, 0x1.9beca643600edp-4, 0x1.969cbe9b7d8e7p-4, 0x1.9155ce21021ffp-4, 0x1.8c17fb26b02f6p-4, 0x1.86e36a544f65fp-4, 0x1.81b83eadae5dp-4, 0x1.7c969999a55f8p-4, 0x1.777e9ae91876bp-4, 0x1.727060ddfbc12p-4, 0x1.6d6c083254f84p-4, 0x1.6871ac1f3bbb7p-4, 0x1.63816663d574ap-4, 0x1.5e9b4f4c505cp-4, 0x1.59bf7db8d6be1p-4, 0x1.54ee07247e361p-4, 0x1.5026ffac3173cp-4, 0x1.4b6a7a1591ea4p-4, 0x1.46b887d5d2479p-4, 0x1.4211391888216p-4, 0x1.3d749cc676102p-4, 0x1.38e2c08c4a5b9p-4, 0x1.345bb0e154ae7p-4, 0x1.2fdf790e302dp-4, 0x1.2b6e233362778p-4, 0x1.2707b84fef3c3p-4, 0x1.22ac4047de6b3p-4, 0x1.1e5bc1eab592dp-4, 0x1.1a1642f9e518p-4, 0x1.15dbc82f2599ap-4, 0x1.11ac5542c84f9p-4, 0x1.0d87ecf1f8fc2p-4, 0x1.096e9104ef54bp-4, 0x1.0560425512571p-4, 0x1.015d00d30b42cp-4, 0x1.fac99719906bdp-5, 0x1.f2ef4166de433p-5, 0x1.eb2afb427ea83p-5, 0x1.e37cbdbec38afp-5, 0x1.dbe4805752695p-5, 0x1.d46238fc804cp-5, 0x1.ccf5dc1e89863p-5, 0x1.c59f5cb8a7543p-5, 0x1.be5eac5c002e4p-5, 0x1.b733bb3a74ecbp-5, 0x1.b01e783146832p-5, 0x1.a91ed0d3999bbp-5, 0x1.a234b174d37dcp-5, 0x1.9b600532d0f4ap-5, 0x1.94a0b5fff8458p-5, 0x1.8df6acad24cadp-5, 0x1.8761d0f36c904p-5, 0x1.80e2097dc0a2ep-5, 0x1.7a773bf264eb3p-5, 0x1.74214cfc44d7dp-5, 0x1.6de020541dcfbp-5, 0x1.67b398c98728fp-5, 0x1.619b984bd0f5ep-5, 0x1.5b97fff2be39bp-5, 0x1.55a8b00715f3ap-5, 0x1.4fcd880b12629p-5, 0x1.4a0666c2a61p-5, 0x1.44532a3b9c9e7p-5, 0x1.3eb3afd5942e5p-5, 0x1.3927d449d4494p-5, 0x1.33af73b2fa93dp-5, 0x1.2e4a699483f62p-5, 0x1.28f890e232efep-5, 0x1.23b9c4074b58ap-5, 0x1.1e8ddcedae1cdp-5, 0x1.1974b504cd376p-5, 0x1.146e25487cd74p-5, 0x1.0f7a06479e847p-5, 0x1.0a98302aaa7e9p-5, 0x1.05c87aba12c15p-5, 0x1.010abd6484f64p-5, 0x1.f8bd9e8a0eeap-6, 0x1.ef890e51e8f95p-6, 0x1.e677772ba3136p-6, 0x1.dd88859e0c9aap-6, 0x1.d4bbe5b6dece9p-6, 0x1.cc114315a39f7p-6, 0x1.c38848f656222p-6, 0x1.bb20a23bc2483p-6, 0x1.b2d9f979a3d99p-6, 0x1.aab3f8fe86ce3p-6, 0x1.a2ae4add63653p-6, 0x1.9ac898f6fd03dp-6, 0x1.93028d0306ac8p-6, 0x1.8b5bd099054fcp-6, 0x1.83d40d38f37d3p-6, 0x1.7c6aec53b31d9p-6, 0x1.7520175334961p-6, 0x1.6df337a2751aap-6, 0x1.66e3f6b531b5dp-6, 0x1.5ff1fe0f717f4p-6, 0x1.591cf74ccadc9p-6, 0x1.52648c27799cfp-6, 0x1.4bc8667f3aabdp-6, 0x1.4548305ff51a5p-6, 0x1.3ee394082a27fp-6, 0x1.389a3bef36daap-6, 0x1.326bd2cb5be29p-6, 0x1.2c58039799291p-6, 0x1.265e7999527bep-6, 0x1.207ee065ca00bp-6, 0x1.1ab8e3e7625cp-6, 0x1.150c3062b808ap-6, 0x1.0f78727b8b89p-6, 0x1.09fd57397b0a9p-6, 0x1.049a8c0c9285p-6, 0x1.fe9f7da35acf3p-7, 0x1.f4393bad5eedp-7, 0x1.ea01afbd213d1p-7, 0x1.dff8384a88639p-7, 0x1.d61c34c6df2c3p-7, 0x1.cc6d05a3ffc18p-7, 0x1.c2ea0c5b3014ap-7, 0x1.b992ab73a431ep-7, 0x1.b0664688c2a94p-7, 0x1.a76442501a267p-7, 0x1.9e8c049f137b5p-7, 0x1.95dcf4704f391p-7, 0x1.8d5679e8d36f1p-7, 0x1.84f7fe5ce228bp-7, 0x1.7cc0ec5493664p-7, 0x1.74b0af903c6b8p-7, 0x1.6cc6b50c7cfc1p-7, 0x1.65026b0628002p-7, 0x1.5d6340fddd58ep-7, 0x1.55e8a7bb78148p-7, 0x1.4e9211513372bp-7, 0x1.475ef11ea2e04p-7, 0x1.404ebbd36dfe4p-7, 0x1.3960e771d94adp-7, 0x1.3294eb5117e6ap-7, 0x1.2bea401f6c604p-7, 0x1.25605fe416698p-7, 0x1.1ef6c601111e4p-7, 0x1.18acef34a1ba8p-7, 0x1.1282599ab7962p-7, 0x1.0c7684ae2037fp-7, 0x1.0688f14990581p-7, 0x1.00b921a880d4fp-7, 0x1.f60d32cfc7f0fp-8, 0x1.eae1bb0d64b21p-8, 0x1.dfeee8cca0ec1p-8, 0x1.d533cb959e125p-8, 0x1.caaf75b60c5fep-8, 0x1.c060fc411c7cbp-8, 0x1.b647770f27f34p-8, 0x1.ac6200bd1b729p-8, 0x1.a2afb6ab9cf1p-8, 0x1.992fb8fdf4bb9p-8, 0x1.8fe12a98b898p-8, 0x1.86c331203e53bp-8, 0x1.7dd4f4f6d335dp-8, 0x1.7515a13abd674p-8, 0x1.6c8463c408b74p-8, 0x1.64206d221fddap-8, 0x1.5be8f09934c2bp-8, 0x1.53dd241f77cep-8, 0x1.4bfc405a24231p-8, 0x1.4445809a5c058p-8, 0x1.3cb822d9deac5p-8, 0x1.355367b7922cap-8, 0x1.2e169273e7f5p-8, 0x1.2700e8ed1a704p-8, 0x1.2011b39b48096p-8, 0x1.19483d8c6ab8bp-8, 0x1.12a3d4602e115p-8, 0x1.0c23c843a659p-8, 0x1.05c76becea117p-8, 0x1.ff1c292d19171p-9, 0x1.f2ee33f5fffb4p-9, 0x1.e703ac9fb5c76p-9, 0x1.db5b4c820a554p-9, 0x1.cff3d1d79ece9p-9, 0x1.c4cbffb3e4406p-9, 0x1.b9e29df8f086dp-9, 0x1.af36794d2b4p-9, 0x1.a4c66310d7484p-9, 0x1.9a913153767ep-9, 0x1.9095bec90f203p-9, 0x1.86d2eabf4ed4dp-9, 0x1.7d479912933abp-9, 0x1.73f2b222d895dp-9, 0x1.6ad322c88e961p-9, 0x1.61e7dc4954e97p-9, 0x1.592fd44ca5ca4p-9, 0x1.50aa04d06cd97p-9, 0x1.48556c1d88949p-9, 0x1.40310cbc447a1p-9, 0x1.383bed68bd394p-9, 0x1.307519073e20fp-9, 0x1.28db9e988feaep-9, 0x1.216e912e4426ap-9, 0x1.1a2d07def2019p-9, 0x1.13161dba742e9p-9, 0x1.0c28f1be1b8c5p-9, 0x1.0564a6c8e52b7p-9, 0x1.fd90c71f50e6ep-10, 0x1.f0a6a52293911p-10, 0x1.e4094415d2815p-10, 0x1.d7b707d831539p-10, 0x1.cbae5b961d7ffp-10, 0x1.bfedb1b1c5aap-10, 0x1.b47383ab98d15p-10, 0x1.a93e520ad425cp-10, 0x1.9e4ca44619dcdp-10, 0x1.939d08ac21ecdp-10, 0x1.892e144c760a3p-10, 0x1.7efe62e04669ep-10, 0x1.750c96b351a79p-10, 0x1.6b57588ce8d1dp-10, 0x1.61dd57990c3bp-10, 0x1.589d49519c8eep-10, 0x1.4f95e967b7d09p-10, 0x1.46c5f9ad219b5p-10, 0x1.3e2c41fdde0d3p-10, 0x1.35c79029e0f68p-10, 0x1.2d96b7dee10fcp-10, 0x1.2598929255f95p-10, 0x1.1dcbff6b93806p-10, 0x1.162fe32e0c4c4p-10, 0x1.0ec32823be341p-10, 0x1.0784be07c5fcbp-10, 0x1.007399f1185bp-10, 0x1.f31d6c7ad1cbdp-11, 0x1.e5aa24f87561ep-11, 0x1.d88b66b436057p-11, 0x1.cbbf451815164p-11, 0x1.bf43dd76241eep-11, 0x1.b31756e00ab95p-11, 0x1.a737e1fee9e63p-11, 0x1.9ba3b8eb9c9e9p-11, 0x1.90591f0758183p-11, 0x1.855660d4ab843p-11, 0x1.7a99d3d0e2359p-11, 0x1.7021d64dc69a4p-11, 0x1.65eccf4bc9a3dp-11, 0x1.5bf92e548c22fp-11, 0x1.52456b55ce5fp-11, 0x1.48d0067cc2fb5p-11, 0x1.3f978811c9ab1p-11, 0x1.369a80548d6d2p-11, 0x1.2dd787588b438p-11, 0x1.254d3ce1ff993p-11, 0x1.1cfa48433a1d5p-11, 0x1.14dd583a5a19fp-11, 0x1.0cf522cf71797p-11, 0x1.05406533112e2p-11, 0x1.fb7bc73a79784p-12, 0x1.ecd8d2598b96dp-12, 0x1.de958f8e206b6p-12, 0x1.d0afaff07d206p-12, 0x1.c324f1a78b3b5p-12, 0x1.b5f31faad0eb2p-12, 0x1.a918118539dbbp-12, 0x1.9c91ab18ad65bp-12, }}, 
      {{-0x1.2a38c8e4e8cbap-8, -0x1.2a40a2d64356dp-7, -0x1.bf75820fa83bap-7, -0x1.2a62bac31fe5fp-6, -0x1.751e8b61f1b9fp-6, -0x1.bff5aa92efc89p-6, -0x1.0578590e1ca35p-5, -0x1.2b0c9dc1992b3p-5, -0x1.50bcd5f435bd5p-5, -0x1.768e7a93a72adp-5, -0x1.9c872909902e1p-5, -0x1.c2ac812b0486ap-5, -0x1.e904049da022p-5, -0x1.07c97c68cfdf3p-4, -0x1.1b2f26230a368p-4, -0x1.2eb53fbd61478p-4, -0x1.425dc8db434abp-4, -0x1.562a78ce725c1p-4, -0x1.6a1cb8b71b5c1p-4, -0x1.7e359f5c39a57p-4, -0x1.9275ee9857946p-4, -0x1.a6de123299b28p-4, -0x1.bb6e1ffa0e609p-4, -0x1.d025d8f9065c9p-4, -0x1.e504ab96f9ea6p-4, -0x1.fa09b681a77e9p-4, -0x1.0799e61c29a69p-3, -0x1.1240bb8b9ba7bp-3, -0x1.1cf87ee220083p-3, -0x1.27c033f0d9007p-3, -0x1.3296c177339b8p-3, -0x1.3d7af39f652dfp-3, -0x1.486b7e7e3e05fp-3, -0x1.5367008eca1a4p-3, -0x1.5e6c05237c31ap-3, -0x1.697906c7c2406p-3, -0x1.748c718df890fp-3, -0x1.7fa4a54689ad7p-3, -0x1.8abff79de78c6p-3, -0x1.95dcb61fa55p-3, -0x1.a0f9281d949b9p-3, -0x1.ac13907a4d6f4p-3, -0x1.b72a2f56dbf0ep-3, -0x1.c23b43a3b9f26p-3, -0x1.cd450c956def1p-3, -0x1.d845cafd74dep-3, -0x1.e33bc28827a59p-3, -0x1.ee253ae09d0a1p-3, -0x1.f90080bb704d6p-3, -0x1.01e5f364ca779p-2, -0x1.0742e34a26c02p-2, -0x1.0c9640a1b3e89p-2, -0x1.11df40277e722p-2, -0x1.171d1b0ee5be1p-2, -0x1.1c4f0f48b3a4ap-2, -0x1.21745fc0a8e62p-2, -0x1.268c549315503p-2, -0x1.2b963b3afea74p-2, -0x1.309166b95f1bfp-2, -0x1.357d2fb5fdeaep-2, -0x1.3a58f49a59577p-2, -0x1.3f2419a718c0ep-2, -0x1.43de090475a5bp-2, -0x1.488632ce05942p-2, -0x1.4d1c0d1a46aacp-2, -0x1.519f13fe4da81p-2, -0x1.560ec98de838cp-2, -0x1.5a6ab5d88b08fp-2, -0x1.5eb266e3549cp-2, -0x1.62e570a06670fp-2, -0x1.67036ce3e08bp-2, -0x1.6b0bfb56b02f2p-2, -0x1.6efec1676fd9ap-2, -0x1.72db6a398afffp-2, -0x1.76a1a692d2eb9p-2, -0x1.7a512cc7afc73p-2, -0x1.7de9b8a616555p-2, -0x1.816b0b5f665fdp-2, -0x1.84d4eb71518bap-2, -0x1.8827248de8e8dp-2, -0x1.8b618782ef276p-2, -0x1.8e83ea2082cabp-2, -0x1.918e271f3dd3p-2, -0x1.94801e05d8fp-2, -0x1.9759b30e6d109p-2, -0x1.9a1acf0b5ac94p-2, -0x1.9cc35f4befc29p-2, -0x1.9f535580d3dbdp-2, -0x1.a1caa7a04e478p-2, -0x1.a4294fca6a8ddp-2, -0x1.a66f4c2d0e299p-2, -0x1.a89c9ee801646p-2, -0x1.aab14df0ffacep-2, -0x1.acad62f7cb717p-2, -0x1.ae90eb4a58da1p-2, -0x1.b05bf7b90e7efp-2, -0x1.b20e9c7b2aa1p-2, -0x1.b3a8f1134aafcp-2, -0x1.b52b103424112p-2, -0x1.b69517a56bf94p-2, -0x1.b7e72828fc636p-2, -0x1.b92165602f946p-2, -0x1.ba43f5b183bdfp-2, -0x1.bb4f022e7fb91p-2, -0x1.bc42b679e3d6bp-2, -0x1.bd1f40ae2a4aep-2, -0x1.bde4d14455e18p-2, -0x1.be939afb17567p-2, -0x1.bf2bd2be4a34p-2, -0x1.bfadaf8eca87dp-2, -0x1.c0196a6aabca8p-2, -0x1.c06f3e35cc93ep-2, -0x1.c0af67a2c94e4p-2, -0x1.c0da251c5b1b2p-2, -0x1.c0efb6af1232ap-2, -0x1.c0f05df37f179p-2, -0x1.c0dc5df8c0826p-2, -0x1.c0b3fb2f7c2cp-2, -0x1.c0777b5540b4fp-2, -0x1.c027256058243p-2, -0x1.bfc3416bfeac2p-2, -0x1.bf4c18a50f4dep-2, -0x1.bec1f5371614ap-2, -0x1.be252239d4aa7p-2, -0x1.bd75eb9f323d7p-2, -0x1.bcb49e219a38ep-2, -0x1.bbe18732c7a0cp-2, -0x1.bafcf4eafc9e1p-2, -0x1.ba0735f8aa317p-2, -0x1.b90099907def3p-2, -0x1.b7e96f5de284dp-2, -0x1.b6c20773e4f5bp-2, -0x1.b58ab23e86ea7p-2, -0x1.b443c074793bbp-2, -0x1.b2ed83093dd7ep-2, -0x1.b1884b1fb3362p-2, -0x1.b01469fd008b9p-2, -0x1.ae9230fbed4ffp-2, -0x1.ad01f180958f7p-2, -0x1.ab63fcec85967p-2, -0x1.a9b8a493334b7p-2, -0x1.a80039aed617ap-2, -0x1.a63b0d55a1c43p-2, -0x1.a469706f5639ap-2, -0x1.a28bb3ab32338p-2, -0x1.a0a227763833p-2, -0x1.9ead1bf1d03d8p-2, -0x1.9cace0eabeee1p-2, -0x1.9aa1c5d06ec4ap-2, -0x1.988c19ac901a1p-2, -0x1.966c2b1b0a00bp-2, -0x1.94424842388bep-2, -0x1.920ebecb7d575p-2, -0x1.8fd1dbdc1b41dp-2, -0x1.8d8bec0e5c7cbp-2, -0x1.8b3d3b6b04407p-2, -0x1.88e6156308a1ep-2, -0x1.8686c4c991e4dp-2, -0x1.841f93ce402d2p-2, -0x1.81b0cbf7b4ea6p-2, -0x1.7f3ab61e5c79ep-2, -0x1.7cbd9a677b132p-2, -0x1.7a39c04078277p-2, -0x1.77af6e5a67c56p-2, -0x1.751eeaa5cd996p-2, -0x1.72887a4ea0241p-2, -0x1.6fec61b87f661p-2, -0x1.6d4ae47b298efp-2, -0x1.6aa4455f22b06p-2, -0x1.67f8c65a92197p-2, -0x1.6548a88e563b1p-2, -0x1.62942c43480c2p-2, -0x1.5fdb90e7b4f6ep-2, -0x1.5d1f150d028e2p-2, -0x1.5a5ef6658698dp-2, -0x1.579b71c28bfap-2, -0x1.54d4c31280efdp-2, -0x1.520b255f57054p-2, -0x1.4f3ed2cd06a43p-2, -0x1.4c70049841453p-2, -0x1.499ef3154891ap-2, -0x1.46cbd5aeed1a3p-2, -0x1.43f6e2e5b4328p-2, -0x1.4120504f224d3p-2, -0x1.3e48529527a6bp-2, -0x1.3b6f1d75b0ff8p-2, -0x1.3894e3c25bf6ep-2, -0x1.35b9d760471abp-2, -0x1.32de2948083a4p-2, -0x1.30020985bc3b8p-2, -0x1.2d25a739385d5p-2, -0x1.2a49309656be1p-2, -0x1.276cd2e55f787p-2, -0x1.2490ba838de67p-2, -0x1.21b512e3aef5dp-2, -0x1.1eda068ed88dep-2, -0x1.1bffbf253caadp-2, -0x1.1926655f10b41p-2, -0x1.164e210d8de41p-2, -0x1.1377191c07ae2p-2, -0x1.10a17391173fdp-2, -0x1.0dcd558fdbae9p-2, -0x1.0afae3594d7f6p-2, -0x1.082a404da82b9p-2, -0x1.055b8eede147fp-2, -0x1.028ef0dd35394p-2, -0x1.ff890dc58affbp-3, -0x1.f9f8e1d684041p-3, -0x1.f46d9c154fc79p-3, -0x1.eee778fc1b1f3p-3, -0x1.e966b35af37d4p-3, -0x1.e3eb845b9bb4bp-3, -0x1.de76238571734p-3, -0x1.d906c6c16e004p-3, -0x1.d39da25e44023p-3, -0x1.ce3ae9148b573p-3, -0x1.c8decc0b066fbp-3, -0x1.c3897adafbe46p-3, -0x1.be3b2394a4473p-3, -0x1.b8f3f2c3a3639p-3, -0x1.b3b413739b01p-3, -0x1.ae7baf34c752cp-3, -0x1.a94aee20acfebp-3, -0x1.a421f6ded2941p-3, -0x1.9f00eea986525p-3, -0x1.99e7f952b4a68p-3, -0x1.94d73948c4d12p-3, -0x1.8fcecf9b7d763p-3, -0x1.8acedc00f821bp-3, -0x1.85d77cda9931fp-3, -0x1.80e8cf3a0fac3p-3, -0x1.7c02eee657b56p-3, -0x1.7725f660ca3bfp-3, -0x1.7251feea2bc1p-3, -0x1.6d872087bf86fp-3, -0x1.68c572085e451p-3, -0x1.640d09098f7efp-3, -0x1.5f5df9fca8221p-3, -0x1.5ab8582be058cp-3, -0x1.561c35bf75ac9p-3, -0x1.5189a3c2c37cap-3, -0x1.4d00b2295e16dp-3, -0x1.48816fd42eb28p-3, -0x1.440bea96869f6p-3, -0x1.3fa02f3b3517cp-3, -0x1.3b3e498998ad2p-3, -0x1.36e6444aab6d8p-3, -0x1.3298294e071e4p-3, -0x1.2e54016eef9f1p-3, -0x1.2a19d4994ad44p-3, -0x1.25e9a9ce9890ep-3, -0x1.21c3872ae53a2p-3, -0x1.1da771e9b39e9p-3, -0x1.19956e6add209p-3, -0x1.158d80376e5bep-3, -0x1.118faa067affbp-3, -0x1.0d9bedc1e3958p-3, -0x1.09b24c8b1a66fp-3, -0x1.05d2c6bfd96f8p-3, -0x1.01fd5bfecea17p-3, -0x1.fc641658894b5p-4, -0x1.f4e1a4ed697a6p-4, -0x1.ed735eb6bd95cp-4, -0x1.e6193d558df2dp-4, -0x1.ded3391a633efp-4, -0x1.d7a1490e1b178p-4, -0x1.d08362fab5997p-4, -0x1.c9797b73fdfe7p-4, -0x1.c28385e018d77p-4, -0x1.bba1748007b85p-4, -0x1.b4d33878046dcp-4, -0x1.ae18c1d7d3673p-4, -0x1.a771ffa2e8635p-4, -0x1.a0dedfd884131p-4, -0x1.9a5f4f7bae8dep-4, -0x1.93f33a9b11669p-4, -0x1.8d9a8c58ca035p-4, -0x1.87552ef20a2c4p-4, -0x1.81230bc6adb15p-4, -0x1.7b040b60adf02p-4, -0x1.74f8157b7c03bp-4, -0x1.6eff110b3d66cp-4, -0x1.6918e443ef9a8p-4, -0x1.634574a06db89p-4, -0x1.5d84a6e95b1a4p-4, -0x1.57d65f3bf2073p-4, -0x1.523a8110b63e2p-4, -0x1.4cb0ef420b57cp-4, -0x1.47398c12afb89p-4, -0x1.41d439341a211p-4, -0x1.3c80d7ccbd34cp-4, -0x1.373f487e2cec6p-4, -0x1.320f6b6b29fe4p-4, -0x1.2cf1203d8f32p-4, -0x1.27e4462c255eap-4, -0x1.22e8bc0059adcp-4, -0x1.1dfe601bd97b8p-4, -0x1.1925107e115c8p-4, -0x1.145caac9921a1p-4, -0x1.0fa50c495a108p-4, -0x1.0afe11f6023a2p-4, -0x1.0667987ad1b8p-4, -0x1.01e17c3ab6439p-4, -0x1.fad732aa41a81p-5, -0x1.f20b975592387p-5, -0x1.e95fddc4ab866p-5, -0x1.e0d3bcd9d6ea8p-5, -0x1.d866eb15426e8p-5, -0x1.d0191e9db6c95p-5, -0x1.c7ea0d491948cp-5, -0x1.bfd96ca4beefep-5, -0x1.b7e6f1fd87491p-5, -0x1.b0125267cb97fp-5, -0x1.a85b42c71b067p-5, -0x1.a0c177d5c2bf7p-5, -0x1.9944a62c2c84ap-5, -0x1.91e4824807c9ap-5, -0x1.8aa0c09347885p-5, -0x1.8379156aef2cfp-5, -0x1.7c6d3525b32d5p-5, -0x1.757cd41a6b888p-5, -0x1.6ea7a6a65a4b9p-5, -0x1.67ed613342969p-5, -0x1.614db83d59a1bp-5, -0x1.5ac860590680cp-5, -0x1.545d0e387c3ffp-5, -0x1.4e0b76b12644cp-5, -0x1.47d34ec0ed9f6p-5, -0x1.41b44b93558cdp-5, -0x1.3bae22866e19ep-5, -0x1.35c0892f9f5e9p-5, -0x1.2feb3560507b5p-5, -0x1.2a2ddd2a64b89p-5, -0x1.248836e494683p-5, -0x1.1ef9f92ea07bcp-5, -0x1.1982daf560cedp-5, -0x1.14229376af9c6p-5, -0x1.0ed8da4530b6ap-5, -0x1.09a5674bf5e9fp-5, -0x1.0487f2d200e48p-5, -0x1.ff006afb48ca4p-6, -0x1.f51bd0af8747bp-6, -0x1.eb61899de36a1p-6, -0x1.e1d10974e11d2p-6, -0x1.d869c4ba222ccp-6, -0x1.cf2b30cfea91ep-6, -0x1.c614c3fa64b68p-6, -0x1.bd25f564aed64p-6, -0x1.b45e3d25ad42dp-6, -0x1.abbd1444a0d88p-6, -0x1.a341f4bd8c304p-6, -0x1.9aec59855c4dap-6, -0x1.92bbbe8ddea25p-6, -0x1.8aafa0c98466fp-6, -0x1.82c77e2eefc59p-6, -0x1.7b02d5bc50757p-6, -0x1.7361277a91e5bp-6, -0x1.6be1f48053ecfp-6, -0x1.6484bef4baa8cp-6, -0x1.5d490a120dcedp-6, -0x1.562e5a282af51p-6, -0x1.4f34349ecf09cp-6, -0x1.485a1ff7b0a53p-6, -0x1.419fa3d075c4ep-6, -0x1.3b0448e47de4cp-6, -0x1.3487990e8781cp-6, -0x1.2e291f4a29fb4p-6, -0x1.27e867b52f153p-6, -0x1.21c4ff90c5c7ap-6, -0x1.1bbe75429291bp-6, -0x1.15d45855991ap-6, -0x1.1006397b09a86p-6, -0x1.0a53aa8aea088p-6, -0x1.04bc3e84a0de5p-6, -0x1.fe7f131ebb972p-7, -0x1.f3ba41f4d35p-7, -0x1.e929367aa5acfp-7, -0x1.decb1ff0035a8p-7, -0x1.d49f2fe55e9ffp-7, -0x1.caa49a3b82308p-7, -0x1.c0da95231c5b8p-7, -0x1.b740591c0816dp-7, -0x1.add520f474428p-7, -0x1.a49829c7d138dp-7, -0x1.9b88b2fd9c96ep-7, -0x1.92a5fe47ef194p-7, -0x1.89ef4fa1ee522p-7, -0x1.8163ed4e0e867p-7, -0x1.79031fd432c32p-7, -0x1.70cc31ff97788p-7, -0x1.68be70dcac316p-7, -0x1.60d92bb6b4ffp-7, -0x1.591bb4155c69dp-7, -0x1.51855dba12b7cp-7, -0x1.4a157e9d5c4f3p-7, -0x1.42cb6eebf1843p-7, -0x1.3ba68903d09b6p-7, -0x1.34a629712887ep-7, -0x1.2dc9aeeb2bbd7p-7, -0x1.27107a50c988ap-7, -0x1.2079eea54d81fp-7, -0x1.1a05710ce713fp-7, -0x1.13b268c91a7dp-7, -0x1.0d803f351bb84p-7, -0x1.076e5fc214da9p-7, -0x1.017c37f358072p-7, -0x1.f7526eb4ff093p-8, -0x1.ebe99f26f754ap-8, -0x1.e0bce8811ddc1p-8, -0x1.d5cb360c772d5p-8, -0x1.cb13770e415f2p-8, -0x1.c0949ebf957abp-8, -0x1.b64da444e8868p-8, -0x1.ac3d82a5796dbp-8, -0x1.a26338c2a4296p-8, -0x1.98bdc94f1dd5cp-8, -0x1.8f4c3ac621037p-8, -0x1.860d9762818c5p-8, -0x1.7d00ed15b44dap-8, -0x1.74254d7ec255cp-8, -0x1.6b79cde131185p-8, -0x1.62fd871bdb6e6p-8, -0x1.5aaf959fbf54cp-8, -0x1.528f1966c0684p-8, -0x1.4a9b35ea627fep-8, -0x1.42d3121a7a6d1p-8, -0x1.3b35d853d88bp-8, -0x1.33c2b656ed1c4p-8, -0x1.2c78dd3e68fffp-8, -0x1.25578175d955dp-8, -0x1.1e5ddab04129bp-8, -0x1.178b23deb096bp-8, -0x1.10de9b26dde2ep-8, -0x1.0a5781d9bbc9ep-8, -0x1.03f51c6a1208ap-8, -0x1.fb6d64c633b29p-9, -0x1.ef371cbe356f4p-9, -0x1.e345fbfc17dccp-9, -0x1.d798a3b8793b3p-9, -0x1.cc2dbb11fb738p-9, -0x1.c103eefaa8f8dp-9, -0x1.b619f22568dcdp-9, -0x1.ab6e7cf37be67p-9, -0x1.a1004d62102c4p-9, -0x1.96ce26f7e3e34p-9, -0x1.8cd6d2b2fa2fdp-9, -0x1.83191ef6682d3p-9, -0x1.7993df7831b6bp-9, -0x1.7045ed2f40a7bp-9, -0x1.672e2641732f4p-9, -0x1.5e4b6df1c2e95p-9, -0x1.559cac8e830cdp-9, -0x1.4d20cf5fbabefp-9, -0x1.44d6c8959cad1p-9, -0x1.3cbd8f3719abbp-9, -0x1.34d41f108c1a9p-9, -0x1.2d1978a28870ep-9, -0x1.258ca110c83dep-9, -0x1.1e2ca2113391p-9, -0x1.16f889db0dd8p-9, -0x1.0fef6b163ee3ap-9, -0x1.09105ccac2c42p-9, -0x1.025a7a50353bp-9, -0x1.f799c67b06eabp-10, -0x1.eacd76b180388p-10, -0x1.de4e550e349a6p-10, -0x1.d21ab979ecb19p-10, -0x1.c63103dc5cf45p-10, -0x1.ba8f9bfceaa99p-10, -0x1.af34f163b8f3ep-10, -0x1.a41f7b3b080d5p-10, -0x1.994db830d810ap-10, -0x1.8ebe2e58dbb36p-10, -0x1.846f6b0eb1ee2p-10, -0x1.7a6002d87776ap-10, -0x1.708e914991a65p-10, -0x1.66f9b8e5dfd4dp-10, -0x1.5da0230523decp-10, -0x1.54807fb6c39dep-10, -0x1.4b9985a5db728p-10, -0x1.42e9f1fd969abp-10, -0x1.3a70884dd9ba8p-10, -0x1.322c12703e74ep-10, -0x1.2a1b606d5dd48p-10, -0x1.223d486262c36p-10, -0x1.1a90a666f574fp-10, -0x1.13145c736b7dcp-10, -0x1.0bc7524750ddbp-10, -0x1.04a8755038fc2p-10, -0x1.fb6d7121b9c09p-11, -0x1.ede229111f514p-11, -0x1.e0ad0e35f53a8p-11, -0x1.d3cc26f053bf8p-11, -0x1.c73d8409ce42dp-11, -0x1.baff4086c2b8dp-11, -0x1.af0f81784526ap-11, -0x1.a36c75cea5273p-11, -0x1.9814562c8dafbp-11, -0x1.8d0564babbb32p-11, -0x1.823decfc505eep-11, -0x1.77bc43a3b8a35p-11, -0x1.6d7ec6682c0dap-11, -0x1.6383dbdbc2818p-11, -0x1.59c9f3421de3bp-11, -0x1.504f8467a8d62p-11, -0x1.47130f79692cap-11, -0x1.3e131cdd63d8p-11, -0x1.354e3d0b92bcbp-11, -0x1.2cc308676b8cep-11, -0x1.24701f19f5666p-11, -0x1.1c5428ec6cfaap-11, -0x1.146dd523765ap-11, -0x1.0cbbda5adaceep-11, -0x1.053cf661d16e9p-11, -0x1.fbdfdc2fa5a84p-12, -0x1.eda71a93e85f7p-12, -0x1.dfcd4d2196f18p-12, -0x1.d250265db16a1p-12, -0x1.c52d65deec435p-12, -0x1.b862d80c9506ap-12, -0x1.abee55de7fbd6p-12, -0x1.9fcdc49df6e33p-12, -0x1.93ff15a7aab2ep-12, -0x1.8880462ea0b47p-12, -0x1.7d4f5f001c58p-12, -0x1.726a7448826a3p-12, -0x1.67cfa559343b3p-12, -0x1.5d7d1c6f5ad0dp-12, -0x1.53710e7ba6306p-12, -0x1.49a9baeafc408p-12, -0x1.40256b700f271p-12, -0x1.36e273cde2cadp-12, -0x1.2ddf31a336373p-12, -0x1.251a0c36cf14fp-12, -0x1.1c917444aad13p-12, -0x1.1443e3cc0aa54p-12, -0x1.0c2fddde60cb9p-12, -0x1.0453ee6f107a5p-12, -0x1.f95d544815156p-13, -0x1.ea7d5c4e7715ap-13, -0x1.dc053ff196766p-13, -0x1.cdf25a845bd31p-13, -0x1.c0421753f8dp-13, -0x1.b2f1f1513743cp-13, -0x1.a5ff72bb51fdap-13, -0x1.996834cc4ff57p-13, -0x1.8d29df66f04cap-13, -0x1.814228c605ce5p-13, -0x1.75aed52d5a3f4p-13, -0x1.6a6db69bf9f76p-13, -0x1.5f7cac7ff2946p-13, -0x1.54d9a36b812aap-13, -0x1.4a8294cb9b3ccp-13, -0x1.4075869fde304p-13, -0x1.36b08b33d6d4cp-13, -0x1.2d31c0d9a2cc4p-13, -0x1.23f751a5d9cf6p-13, -0x1.1aff732ccd386p-13, -0x1.12486641074eep-13, -0x1.09d076b30fbd3p-13, -0x1.0195fb126df94p-13, -0x1.f32ea8dfbda6fp-14, -0x1.e3a5dc418e253p-14, -0x1.d48e7b079597ep-14, -0x1.c5e5838d35291p-14, -0x1.b7a80759afd66p-14, -0x1.a9d32ab055f5dp-14, -0x1.9c642422cb899p-14, -0x1.8f583c2598f2dp-14, -0x1.82accca6cf9b5p-14, -0x1.765f40a6d7a95p-14, -0x1.6a6d13d34ef7dp-14, -0x1.5ed3d223f6cb7p-14, -0x1.53911779a4ec6p-14, -0x1.48a28f3f314cp-14, -0x1.3e05f40c55f1bp-14, -0x1.33b90f4a7c7fdp-14, -0x1.29b9b8db6b43cp-14, -0x1.2005d6c1cfa81p-14, -0x1.169b5ccb99c78p-14, -0x1.0d784c3e2330fp-14, -0x1.049ab38419777p-14, -0x1.f8015bba426d7p-15, -0x1.e750c61e5e0acp-15, -0x1.d7200e33153f6p-15, -0x1.c76bb3d2ed6a9p-15, -0x1.b8304e20eb353p-15, -0x1.a96a8af845862p-15, -0x1.9b172e5f3623ap-15, -0x1.8d3311fcd7cc4p-15, -0x1.7fbb249204152p-15, -0x1.72ac697524167p-15, -0x1.6603f810e3aedp-15, -0x1.59befb65bda3ap-15, -0x1.4ddab18e4d857p-15, -0x1.42546b4662aa2p-15, -0x1.37298b74bc752p-15, -0x1.2c5786b76dc3ap-15, -0x1.21dbe2f2d1ep-15, -0x1.17b436e30cdb4p-15, }}, 
      {{0x1.9e3ab179856abp-1, 0x1.9e272e19b2457p-1, 0x1.9e018a881fe04p-1, 0x1.9dc348825b43dp-1, 0x1.9d650abf8739bp-1, 0x1.9cdf7fd8d06b9p-1, 0x1.9c2c133a92eb4p-1, 0x1.9b45621840d4fp-1, 0x1.9a277b82501f8p-1, 0x1.98cff624f6ab6p-1, 0x1.973de699c032p-1, 0x1.9571c02438561p-1, 0x1.936d280b4e217p-1, 0x1.9132c1ff2c38bp-1, 0x1.8ec5fa5b257fcp-1, 0x1.8c2ad1af1e68p-1, 0x1.8965abda724b8p-1, 0x1.867b24204ea31p-1, 0x1.836fe6f2f9885p-1, 0x1.804891b717878p-1, 0x1.7d09986896e6fp-1, 0x1.79b730d033f0bp-1, 0x1.765542d3c948ap-1, 0x1.72e75d5713efdp-1, 0x1.6f70af19ebf4p-1, 0x1.6bf40300a6b4p-1, 0x1.6873bf38d068p-1, 0x1.64f1e6b59f87fp-1, 0x1.61701c8b04461p-1, 0x1.5defa8bad9f7cp-1, 0x1.5a717e14c6a9cp-1, 0x1.56f640d62df62p-1, 0x1.537e4dc3d8ef8p-1, 0x1.5009c18266b53p-1, 0x1.4c987ffd0834p-1, 0x1.492a3bb36f52dp-1, 0x1.45be7cd025d27p-1, 0x1.4254a7efc418bp-1, 0x1.3eec0487ba679p-1, 0x1.3b83c2e0b116ep-1, 0x1.381b019ced5eep-1, 0x1.34b0d2c6d92fbp-1, 0x1.31444066bfedfp-1, 0x1.2dd450a12a425p-1, 0x1.2a6009612611fp-1, 0x1.26e6739316d69p-1, 0x1.23669df5be882p-1, 0x1.1fdf9f87d1cb3p-1, 0x1.1c509998d8ecap-1, 0x1.18b8b9845c53ep-1, 0x1.15173a1e5a35fp-1, 0x1.116b64d7f53ep-1, 0x1.0db492a316ab7p-1, 0x1.09f22c9b78ad5p-1, 0x1.0623ac7b3f0c5p-1, 0x1.02489ce0e5a25p-1, 0x1.fcc132d7dc76ap-2, 0x1.f4d69d6aa6d9p-2, 0x1.ecd0f450c2dbfp-2, 0x1.e4afd3807517p-2, 0x1.dc72f75bd00eap-2, 0x1.d41a3bd503becp-2, 0x1.cba59b7144b3ep-2, 0x1.c3152e301629bp-2, 0x1.ba69285c228ep-2, 0x1.b1a1d94a50df8p-2, 0x1.a8bfaa0b3c992p-2, 0x1.9fc31c12bab48p-2, 0x1.96acc7d8b58d5p-2, 0x1.8d7d5b763fe0ep-2, 0x1.843599415fb5p-2, 0x1.7ad65669cb95p-2, 0x1.71607998801ebp-2, 0x1.67d4f993d72bap-2, 0x1.5e34dbe988c8bp-2, 0x1.5481339fcc0c9p-2, 0x1.4abb1fee9834fp-2, 0x1.40e3cb01e1f1p-2, 0x1.36fc68c57e9dbp-2, 0x1.2d0635bb40c8fp-2, 0x1.230275dbb7f9ep-2, 0x1.18f27381e8a07p-2, 0x1.0ed77e6235c92p-2, 0x1.04b2ea8ca1f76p-2, 0x1.f50c1ef4ec353p-3, 0x1.e0a48e4ea98bfp-3, 0x1.cc31da6b4bc0fp-3, 0x1.b7b6bc3c8fc81p-3, 0x1.a335ecd6b8e5ap-3, 0x1.8eb223fc0970ap-3, 0x1.7a2e16bdaa966p-3, 0x1.65ac7631960b8p-3, 0x1.512fee3cec23ap-3, 0x1.3cbb2472341ffp-3, 0x1.2850b702f04aep-3, 0x1.13f33bc3edb59p-3, 0x1.ff4a7e8750eb9p-4, 0x1.d6d287e456b08p-4, 0x1.ae8382b3941c8p-4, 0x1.866246d009ba3p-4, 0x1.5e73938c0032cp-4, 0x1.36bc0e7fcb288p-4, 0x1.0f404275199e4p-4, 0x1.d0093cdb3753dp-5, 0x1.821ae9877cffap-5, 0x1.34bdf4c8980e3p-5, 0x1.cff5187efa052p-6, 0x1.37b14048887fep-6, 0x1.417f890323253p-7, 0x1.65f144fc63cf7p-11, -0x1.11e21391d7f9dp-7, -0x1.1b94137ace39ap-6, -0x1.acac311b91deep-6, -0x1.1e1641bd015dep-5, -0x1.65045732cde01p-5, -0x1.ab1a6c6a259d9p-5, -0x1.f052d668e86bep-5, -0x1.1a5415cefae22p-4, -0x1.3c0aa1d3a514cp-4, -0x1.5d4a9b80d32f9p-4, -0x1.7e11af519a596p-4, -0x1.9e5da9c149c8cp-4, -0x1.be2c7705d2a1cp-4, -0x1.dd7c22c1a4f1p-4, -0x1.fc4ad7adbc117p-4, -0x1.0d4b6f9e2a1cbp-3, -0x1.1c2f509a6fe34p-3, -0x1.2ad051a4e8611p-3, -0x1.392dc45452b97p-3, -0x1.474708c2609a4p-3, -0x1.551b8d4ec0346p-3, -0x1.62aace5ffa4bp-3, -0x1.6ff4562261eb7p-3, -0x1.7cf7bc453abf5p-3, -0x1.89b4a5b651c98p-3, -0x1.962ac45c3022fp-3, -0x1.a259d6cf11ef8p-3, -0x1.ae41a810d6528p-3, -0x1.b9e20f43f674bp-3, -0x1.c53aef61c757cp-3, -0x1.d04c36f00d7fep-3, -0x1.db15dfb61abfp-3, -0x1.e597ee717eee6p-3, -0x1.efd2728a7bf6p-3, -0x1.f9c585c8515e3p-3, -0x1.01b8a602b8f1cp-2, -0x1.066af971e8657p-2, -0x1.0af9d8c09f851p-2, -0x1.0f6564160a0b8p-2, -0x1.13adc00c0861ap-2, -0x1.17d31589d8772p-2, -0x1.1bd5919eefdcbp-2, -0x1.1fb5655e2032ep-2, -0x1.2372c5b8fb5dap-2, -0x1.270deb5b91e13p-2, -0x1.2a87128880693p-2, -0x1.2dde7af562777p-2, -0x1.311467a7a5d44p-2, -0x1.34291ed1c71c4p-2, -0x1.371ce9b10117ap-2, -0x1.39f0146b6bc7cp-2, -0x1.3ca2edee9699ap-2, -0x1.3f35c7ce9bfb5p-2, -0x1.41a8f625b871dp-2, -0x1.43fccf746139fp-2, -0x1.4631ac81e491ep-2, -0x1.4847e83d9026ep-2, -0x1.4a3fdfa0643f6p-2, -0x1.4c19f18f5727p-2, -0x1.4dd67ebe21d27p-2, -0x1.4f75e992a4af9p-2, -0x1.50f89608da83fp-2, -0x1.525ee99761b55p-2, -0x1.53a94b1499c8fp-2, -0x1.54d8229c558ap-2, -0x1.55ebd976239a4p-2, -0x1.56e4d9fc31618p-2, -0x1.57c38f82be3e8p-2, -0x1.588866402bbacp-2, -0x1.5933cb35a113dp-2, -0x1.59c62c1847d1dp-2, -0x1.5a3ff73b1ad29p-2, -0x1.5aa19b794fb3fp-2, -0x1.5aeb882151d11p-2, -0x1.5b1e2ce053391p-2, -0x1.5b39f9ae6ec87p-2, -0x1.5b3f5ebb618d6p-2, -0x1.5b2ecc5bcd643p-2, -0x1.5b08b2f714a0cp-2, -0x1.5acd82f5bcbdbp-2, -0x1.5a7dacb0637f8p-2, -0x1.5a19a05f3dc04p-2, -0x1.59a1ce0a20557p-2, -0x1.5916a579122c9p-2, -0x1.5878962567a1p-2, -0x1.57c80f2b5eaep-2, -0x1.57057f3c4296dp-2, -0x1.563154910ffabp-2, -0x1.554bfcdd98747p-2, -0x1.5455e5442391cp-2, -0x1.534f7a498f55ep-2, -0x1.523927c9e5488p-2, -0x1.511358ed6cdccp-2, -0x1.4fde781e2f50ap-2, -0x1.4e9aeefdf2bcp-2, -0x1.4d49265ca5b7p-2, -0x1.4be9862f3a457p-2, -0x1.4a7c7586ef264p-2, -0x1.49025a8902b0cp-2, -0x1.477b9a66d334fp-2, -0x1.45e89956616eap-2, -0x1.4449ba8b3a543p-2, -0x1.429f602fc59bcp-2, -0x1.40e9eb5eefbb5p-2, -0x1.3f29bc1e39814p-2, -0x1.3d5f31581c8e7p-2, -0x1.3b8aa8d6ced01p-2, -0x1.39ac7f3f5e5fdp-2, -0x1.37c5100d1ec1ap-2, -0x1.35d4b58d6ef7dp-2, -0x1.33dbc8dbcde13p-2, -0x1.31daa1de41454p-2, -0x1.2fd1974205e3p-2, -0x1.2dc0fe788f8a8p-2, -0x1.2ba92bb4d0e73p-2, -0x1.298a71e8c8567p-2, -0x1.276522c35630bp-2, -0x1.25398eae549acp-2, -0x1.230804ccee3b1p-2, -0x1.20d0d2fa391acp-2, -0x1.1e9445c80c05p-2, -0x1.1c52a87e10275p-2, -0x1.1a0c45190bde6p-2, -0x1.17c1644a68016p-2, -0x1.15724d77e750ep-2, -0x1.131f46bb95c05p-2, -0x1.10c894e3e9016p-2, -0x1.0e6e7b74101f4p-2, -0x1.0c113ca4768e3p-2, -0x1.09b119636fb17p-2, -0x1.074e515611006p-2, -0x1.04e922d936635p-2, -0x1.0281cb02ae968p-2, -0x1.001885a28dd0dp-2, -0x1.fb5b1a894e3bp-3, -0x1.f682366450095p-3, -0x1.f1a6cee6b168ep-3, -0x1.ecc951a2fa4ccp-3, -0x1.e7ea29b1a3f44p-3, -0x1.e309bfb55ac0ap-3, -0x1.de2879df714dap-3, -0x1.d946bbf48bd49p-3, -0x1.d464e751859e3p-3, -0x1.cf835af07fcb5p-3, -0x1.caa2736e2403cp-3, -0x1.c5c28b0f16a4p-3, -0x1.c0e3f9c58fa02p-3, -0x1.bc07153719382p-3, -0x1.b72c30c27c6a9p-3, -0x1.b2539d85cb4ecp-3, -0x1.ad7daa648dbd5p-3, -0x1.a8aaa40e1046ap-3, -0x1.a3dad503cae91p-3, -0x1.9f0e859feaf68p-3, -0x1.9a45fc1bf2164p-3, -0x1.95817c976a63p-3, -0x1.90c1491eb7902p-3, -0x1.8c05a1b1f45f2p-3, -0x1.874ec44be7d53p-3, -0x1.829cece90964ap-3, -0x1.7df0558e93296p-3, -0x1.79493651a156fp-3, -0x1.74a7c55e633e5p-3, -0x1.700c36ff4a911p-3, -0x1.6b76bda45264ep-3, -0x1.66e789ea400e1p-3, -0x1.625ecaa1f5928p-3, -0x1.5ddcacd7c1787p-3, -0x1.59615bdab4bdap-3, -0x1.54ed0143fc539p-3, -0x1.507fc4fe38d92p-3, -0x1.4c19cd4cd9d89p-3, -0x1.47bb3ed375816p-3, -0x1.43643c9d22248p-3, -0x1.3f14e823c27ep-3, -0x1.3acd61575e507p-3, -0x1.368dc6a56501fp-3, -0x1.325634fff661ap-3, -0x1.2e26c7e51ffe3p-3, -0x1.29ff996611afep-3, -0x1.25e0c22e4a38bp-3, -0x1.21ca598ac05f3p-3, -0x1.1dbc7570f6ed7p-3, -0x1.19b72a8610af9p-3, -0x1.15ba8c25d57ecp-3, -0x1.11c6ac69a5b4p-3, -0x1.0ddb9c2f6cba5p-3, -0x1.09f96b20793d2p-3, -0x1.062027b851d21p-3, -0x1.024fdf4b780b4p-3, -0x1.fd113c1c33e3ap-4, -0x1.f594de3571e4dp-4, -0x1.ee2ab8f17adf3p-4, -0x1.e6d2de45f6c0cp-4, -0x1.df8d5e1c5379cp-4, -0x1.d85a465e80d1bp-4, -0x1.d139a303a1ae2p-4, -0x1.ca2b7e1c850e1p-4, -0x1.c32fdfe004a2p-4, -0x1.bc46ceb7457b6p-4, -0x1.b5704f49c0716p-4, -0x1.aeac64893c71ep-4, -0x1.a7fb0fbd924ap-4, -0x1.a15c509052863p-4, -0x1.9ad025183d94dp-4, -0x1.945689e4a3483p-4, -0x1.8def7a08865acp-4, -0x1.879aef25ab049p-4, -0x1.8158e177739ap-4, -0x1.7b2947dd99476p-4, -0x1.750c17e6ba941p-4, -0x1.6f0145dac35eap-4, -0x1.6908c4c52b272p-4, -0x1.6322867f0bf1cp-4, -0x1.5d4e7bb90fa5p-4, -0x1.578c9405362c4p-4, -0x1.51dcbde071089p-4, -0x1.4c3ee6bc18e09p-4, -0x1.46b2fb0737708p-4, -0x1.4138e637ac88p-4, -0x1.3bd092d3273a3p-4, -0x1.3679ea77f995p-4, -0x1.3134d5e5c1c5ep-4, -0x1.2c013d05ece4ap-4, -0x1.26df06f41174fp-4, -0x1.21ce1a0621179p-4, -0x1.1cce5bd47495fp-4, -0x1.17dfb141ae962p-4, -0x1.1301fe8279307p-4, -0x1.0e3527251a5a4p-4, -0x1.09790e18e3e6cp-4, -0x1.04cd95b57c1f9p-4, -0x1.00329fc1ff21ep-4, -0x1.f7501af7face6p-5, -0x1.ee5b7f3ca2463p-5, -0x1.e5872ccfa3007p-5, -0x1.dcd2e343bdf8ap-5, -0x1.d43e614d98dp-5, -0x1.cbc964d044dbbp-5, -0x1.c373aae9813ccp-5, -0x1.bb3ceffdb3c9ap-5, -0x1.b324efc39c4c9p-5, -0x1.ab2b654fc2cccp-5, -0x1.a3500b1f9f787p-5, -0x1.9b929b24800fep-5, -0x1.93f2cece2968p-5, -0x1.8c705f1535058p-5, -0x1.850b04852fbdp-5, -0x1.7dc27746751f3p-5, -0x1.76966f27cb363p-5, -0x1.6f86a3a7bfa2p-5, -0x1.6892cbfdc6c8ap-5, -0x1.61ba9f231994p-5, -0x1.5afdd3db5d01bp-5, -0x1.545c20bd07326p-5, -0x1.4dd53c398d3cbp-5, -0x1.4768dca5547aap-5, -0x1.4116b83f6e033p-5, -0x1.3ade853914908p-5, -0x1.34bff9bcf6538p-5, -0x1.2ebacbf64730cp-5, -0x1.28ceb2179bbfp-5, -0x1.22fb6261919c5p-5, -0x1.1d4093293fd14p-5, -0x1.179dfade78689p-5, -0x1.12135011d26f6p-5, -0x1.0ca0497a87a0cp-5, -0x1.07449dfc1b879p-5, -0x1.020004abd7b4p-5, -0x1.f9a469ac2ca8fp-6, -0x1.ef75cc06b9ea7p-6, -0x1.e5739ffa9c2a9p-6, -0x1.db9d55a6d45aap-6, -0x1.d1f25dbf4cfc5p-6, -0x1.c8722995b1e4cp-6, -0x1.bf1c2b21f442ap-6, -0x1.b5efd50a78ca9p-6, -0x1.acec9aabf7c7bp-6, -0x1.a411f0210e5c2p-6, -0x1.9b5f4a497f88ep-6, -0x1.92d41ed129365p-6, -0x1.8a6fe436af595p-6, -0x1.823211d1df523p-6, -0x1.7a1a1fd9c8b3bp-6, -0x1.7227876a91148p-6, -0x1.6a59c28b05bafp-6, -0x1.62b04c31e581dp-6, -0x1.5b2aa04aee395p-6, -0x1.53c83bbba45d2p-6, -0x1.4c889c67e333ap-6, -0x1.456b4136295f2p-6, -0x1.3e6faa13aa52ep-6, -0x1.379557f82bb55p-6, -0x1.30dbcce9a09d6p-6, -0x1.2a428bff94414p-6, -0x1.23c9196659893p-6, -0x1.1d6efa620ac8cp-6, -0x1.1733b5514fc3ep-6, -0x1.1116d1aff6ab5p-6, -0x1.0b17d81958517p-6, -0x1.0536524a90bfp-6, -0x1.fee3964903301p-7, -0x1.f3939d5b613cp-7, -0x1.e87bd427eb477p-7, -0x1.dd9b575bf2b73p-7, -0x1.d2f145f9278edp-7, -0x1.c87cc157effb6p-7, -0x1.be3ced2984c1dp-7, -0x1.b430ef79adfap-7, -0x1.aa57f0b046162p-7, -0x1.a0b11b9265a7ap-7, -0x1.973b9d435841ep-7, -0x1.8df6a5453e52cp-7, -0x1.84e1657976b07p-7, -0x1.7bfb1220c8d24p-7, -0x1.7342e1db48aa9p-7, -0x1.6ab80da807d6ep-7, -0x1.6259d0e484aa1p-7, -0x1.5a27694bec2dap-7, -0x1.522016f615c44p-7, -0x1.4a431c565764ap-7, -0x1.428fbe3a262d5p-7, -0x1.3b0543c77c013p-7, -0x1.33a2f67b19f3bp-7, -0x1.2c68222696137p-7, -0x1.255414ee3eb33p-7, -0x1.1e661f46d42fp-7, -0x1.179d93f319988p-7, -0x1.10f9c8013e1f4p-7, -0x1.0a7a12c820e5dp-7, -0x1.041dcde470f2cp-7, -0x1.fbc8aa6b5355fp-8, -0x1.ef9a0db5deb2ap-8, -0x1.e3ae865f94febp-8, -0x1.d804d9918a9ffp-8, -0x1.cc9bd0dfd8e8cp-8, -0x1.c1723a42655dap-8, -0x1.b686e80d76089p-8, -0x1.abd8b0ea1249cp-8, -0x1.a1666fce33ceap-8, -0x1.972f03f4c8cf3p-8, -0x1.8d3150d58b82cp-8, -0x1.836c3e1cb07c1p-8, -0x1.79deb7a26cc57p-8, -0x1.7087ad6258856p-8, -0x1.67661372ae743p-8, -0x1.5e78e1fb6942cp-8, -0x1.55bf152d43baap-8, -0x1.4d37ad389c718p-8, -0x1.44e1ae443c7d5p-8, -0x1.3cbc2064075dp-8, -0x1.34c60f8f918b3p-8, -0x1.2cfe8b98a4359p-8, -0x1.2564a821a9deep-8, -0x1.1df77c940b86cp-8, -0x1.16b624167ca4dp-8, -0x1.0f9fbd8336419p-8, -0x1.08b36b5e287c3p-8, -0x1.01f053cb1bbdep-8, -0x1.f6ab410795365p-9, -0x1.e9c4fd9be2064p-9, -0x1.dd2c3ee2a95b3p-9, -0x1.d0df6d5b8abe1p-9, -0x1.c4dcf8623398bp-9, -0x1.b923561a4f6abp-9, -0x1.adb1035b713d4p-9, -0x1.a284839cfda72p-9, -0x1.979c60e20f2f3p-9, -0x1.8cf72ba55e0fep-9, -0x1.82937ac52c7bbp-9, -0x1.786feb6f34919p-9, -0x1.6e8b210ca2245p-9, -0x1.64e3c52e11929p-9, -0x1.5b7887779c21ap-9, -0x1.52481d8cef0acp-9, -0x1.495142fd72db5p-9, -0x1.4092b93080e85p-9, -0x1.380b4751ac75cp-9, -0x1.2fb9ba3d1cc12p-9, -0x1.279ce46bfe217p-9, -0x1.1fb39de105b9ep-9, -0x1.17fcc4150e831p-9, -0x1.107739e3d0c83p-9, -0x1.0921e778ae79ep-9, -0x1.01fbba3b9f968p-9, -0x1.f607497c6b4f7p-10, -0x1.e8713d51868efp-10, -0x1.db33494f30f1ep-10, -0x1.ce4b70b0cdf3cp-10, -0x1.c1b7c06f87b3bp-10, -0x1.b5764f1d894e5p-10, -0x1.a9853cc18fe96p-10, -0x1.9de2b2b2b1ca1p-10, -0x1.928ce374743c3p-10, -0x1.87820a932747p-10, -0x1.7cc06c808850bp-10, -0x1.72465670b6f2bp-10, -0x1.68121e376d5c3p-10, -0x1.5e2222258c04fp-10, -0x1.5474c8e6f310dp-10, -0x1.4b088160a4e18p-10, -0x1.41dbc28f42bb5p-10, -0x1.38ed0b65d4d91p-10, -0x1.303ae2ace1502p-10, -0x1.27c3d6e1df47ap-10, -0x1.1f867e16effd5p-10, -0x1.178175d2fbffbp-10, -0x1.0fb362f21515cp-10, -0x1.081af18638fa9p-10, -0x1.00b6d4b85f6b7p-10, -0x1.f30b8d53d6958p-11, -0x1.e50d10acc6f4bp-11, -0x1.d76fc2eb17816p-11, -0x1.ca3140bba116cp-11, -0x1.bd4f33ce1627ap-11, -0x1.b0c7529b386b2p-11, -0x1.a497602bbb06ep-11, -0x1.98bd2bdfd6631p-11, -0x1.8d36913788b5bp-11, -0x1.8201779b854afp-11, -0x1.771bd226d2c4ap-11, -0x1.6c839f7117a38p-11, -0x1.6236e95994347p-11, -0x1.5833c4d2cb741p-11, -0x1.4e7851aed86fep-11, -0x1.4502ba6c717dcp-11, -0x1.3bd1340496232p-11, -0x1.32e1fdb8eca08p-11, -0x1.2a3360e2c5ab5p-11, -0x1.21c3b0c2d0b2ap-11, -0x1.19914a5174858p-11, -0x1.119a940fd6093p-11, -0x1.09ddfdd9838bbp-11, -0x1.025a00b6ca8b2p-11, -0x1.f61a3d5f63bfdp-12, -0x1.e7ebc53f38372p-12, -0x1.da25c013179fcp-12, -0x1.ccc565da1c088p-12, -0x1.bfc7ff378d25cp-12, -0x1.b32ae51f39b3ep-12, -0x1.a6eb8083175cp-12, -0x1.9b074a021b997p-12, -0x1.8f7bc998545fdp-12, -0x1.84469650394edp-12, -0x1.796555f534fe8p-12, -0x1.6ed5bcc762cb7p-12, -0x1.64958d307fc7bp-12, -0x1.5aa2977a09ddp-12, -0x1.50fab9848cacap-12, -0x1.479bde8019795p-12, -0x1.3e83fea5e7674p-12, -0x1.35b11ef315513p-12, -0x1.2d2150e490592p-12, -0x1.24d2b2341b27ap-12, -0x1.1cc36c966cd72p-12, -0x1.14f1b57a6ec0fp-12, -0x1.0d5bcdc98ba7cp-12, -0x1.060001a917762p-12, -0x1.fdb950798a66dp-13, -0x1.efe046d452c6bp-13, -0x1.e271bf3a97ed2p-13, -0x1.d56aa71c76c5fp-13, -0x1.c8c8000f5766p-13, -0x1.bc86df5d2390ep-13, -0x1.b0a46d957f8e2p-13, -0x1.a51de620fd32ep-13, -0x1.99f096d63ab6ap-13, -0x1.8f19df90f0ed4p-13, -0x1.849731cae6174p-13, -0x1.7a661036befafp-13, -0x1.70840e5cac778p-13, -0x1.66eed038e8f83p-13, -0x1.5da409dc03f8ap-13, -0x1.54a17f0cf6337p-13, -0x1.4be502ecf65ffp-13, -0x1.436c779d08308p-13, -0x1.3b35cde541117p-13, -0x1.333f04ddbe264p-13, -0x1.2b8629993fd0dp-13, -0x1.240956d16d756p-13, -0x1.1cc6b494b05f4p-13, -0x1.15bc77f5ade02p-13, -0x1.0ee8e2bc4dc13p-13, -0x1.084a43184d04ap-13, -0x1.01def3555a455p-13, -0x1.f74ab32161c78p-14, -0x1.eb37cee05b361p-14, -0x1.df8233b5b38fdp-14, -0x1.d426f165ca904p-14, -0x1.c9232d2214e1p-14, }}, 
      {{0x1.9e3eadd4419f2p-1, 0x1.9e3872fc7825cp-1, 0x1.9e2d019a44dbp-1, 0x1.9e1af22900176p-1, 0x1.9e0095ac6cb2p-1, 0x1.9ddc205fc363dp-1, 0x1.9dabcd561b603p-1, 0x1.9d6df9b6544a4p-1, 0x1.9d2137c722f06p-1, 0x1.9cc45ac074261p-1, 0x1.9c567ca2839fp-1, 0x1.9bd6ff5c8bd84p-1, 0x1.9b458a73ffbabp-1, 0x1.9aa20634b303cp-1, 0x1.99ec954506aaep-1, 0x1.99258d4d1fe6ep-1, 0x1.984d6f387fdffp-1, 0x1.9764df7729084p-1, 0x1.966c9e8722209p-1, 0x1.956581f837518p-1, 0x1.94506e09c0da6p-1, 0x1.932e4ff42e4d2p-1, 0x1.920018e58df4bp-1, 0x1.90c6b9b0798c9p-1, 0x1.8f831f2741c87p-1, 0x1.8e362f196dae6p-1, 0x1.8ce0c5e73044fp-1, 0x1.8b83b49d19e27p-1, 0x1.8a1fbf89b00b9p-1, 0x1.88b59d3e9625ap-1, 0x1.8745f5ef5d73ap-1, 0x1.85d16320bd78fp-1, 0x1.84586f9be51ddp-1, 0x1.82db979a8a226p-1, 0x1.815b49217657ep-1, 0x1.7fd7e48059c13p-1, 0x1.7e51bceebbd36p-1, 0x1.7cc9193ee5288p-1, 0x1.7b3e34a08b4d2p-1, 0x1.79b13f6dede89p-1, 0x1.78225ffed8a54p-1, 0x1.7691b37dc4412p-1, 0x1.74ff4ebbebffbp-1, 0x1.736b3f01c7f55p-1, 0x1.71d58ad9de9b1p-1, 0x1.703e32d44d9d4p-1, 0x1.6ea53241d2825p-1, 0x1.6d0a7fe569a1ap-1, 0x1.6b6e0e9bea944p-1, 0x1.69cfcdf939ac5p-1, 0x1.682faadae5c3fp-1, 0x1.668d8ff028ef6p-1, 0x1.64e9663769511p-1, 0x1.634315717304fp-1, 0x1.619a848ab4944p-1, 0x1.5fef99fadfce8p-1, 0x1.5e423c1b52a3fp-1, 0x1.5c925174bde0fp-1, 0x1.5adfc1047fa6cp-1, 0x1.592a727a2a5ddp-1, 0x1.57724e6db5af9p-1, 0x1.55b73e8ed35d6p-1, 0x1.53f92dcde18dfp-1, 0x1.5238087eed5dp-1, 0x1.5073bc773c6a8p-1, 0x1.4eac3925c92bdp-1, 0x1.4ce16fa719c89p-1, 0x1.4b1352d4d86edp-1, 0x1.4941d75189b0cp-1, 0x1.476cf390be2b1p-1, 0x1.45949fdc0df3bp-1, 0x1.43b8d65534762p-1, 0x1.41d992f59158fp-1, 0x1.3ff6d38b568d2p-1, 0x1.3e1097b4a2341p-1, 0x1.3c26e0d8c33f4p-1, 0x1.3a39b21fdc081p-1, 0x1.384910691a809p-1, 0x1.3655023fb3132p-1, 0x1.345d8fcec8a15p-1, 0x1.3262c2d46e45cp-1, 0x1.3064a693e212dp-1, 0x1.2e6347c726dap-1, 0x1.2c5eb49018afep-1, 0x1.2a56fc691abeap-1, 0x1.284c301575456p-1, 0x1.263e61917d7f2p-1, 0x1.242da4029940dp-1, 0x1.221a0ba73565dp-1, 0x1.2003adc6ba79ep-1, 0x1.1deaa0a193a3bp-1, 0x1.1bcefb615296bp-1, 0x1.19b0d608fd848p-1, 0x1.1790496591d5dp-1, 0x1.156d6efec405p-1, 0x1.13486108060f6p-1, 0x1.11213a51da6d6p-1, 0x1.0ef8163b7b0bp-1, 0x1.0ccd10a4d755ap-1, 0x1.0aa045e0f0677p-1, 0x1.0871d2a895bd2p-1, 0x1.0641d40d82e4bp-1, 0x1.0410676de6121p-1, 0x1.01ddaa684c838p-1, 0x1.ff53759fec81bp-2, 0x1.fae96d432dda9p-2, 0x1.f67d77f0f7f1fp-2, 0x1.f20fd208418cp-2, 0x1.eda0b7fc521dap-2, 0x1.e93066418be73p-2, 0x1.e4bf193b0616p-2, 0x1.e04d0d28f135ep-2, 0x1.dbda7e17c9764p-2, 0x1.d767a7d0510bdp-2, 0x1.d2f4c5c84c86dp-2, 0x1.ce82131402df1p-2, 0x1.ca0fca5877faep-2, 0x1.c59e25be62208p-2, 0x1.c12d5ee5d429cp-2, 0x1.bcbdaeda948fep-2, 0x1.b84f4e0927775p-2, 0x1.b3e274347780dp-2, 0x1.af77586c28ce5p-2, 0x1.ab0e310385f6ap-2, 0x1.a6a7338907588p-2, 0x1.a24294be70661p-2, 0x1.9de088917b707p-2, 0x1.9981421511bebp-2, 0x1.9524f37b0aaa7p-2, 0x1.90cbce0e6dccp-2, 0x1.8c76022e2f6aep-2, 0x1.8823bf486c081p-2, 0x1.83d533d6132ebp-2, 0x1.7f8a8d57065f5p-2, 0x1.7b43f84ea34c2p-2, 0x1.7701a040b56edp-2, 0x1.72c3afaecc56bp-2, 0x1.6e8a5015f398ap-2, 0x1.6a55a9ecc3269p-2, 0x1.6625e4a1ca3ffp-2, 0x1.61fb269a51067p-2, 0x1.5dd595316547fp-2, 0x1.59b554b73a679p-2, 0x1.559a8870ce53cp-2, 0x1.51855297d8cfbp-2, 0x1.4d75d45afd26p-2, 0x1.496c2dde373b2p-2, 0x1.45687e3b8d3b9p-2, 0x1.416ae383f53p-2, 0x1.3d737ac0726c1p-2, 0x1.39825ff36ad85p-2, 0x1.3597ae1a29181p-2, 0x1.31b37f2e8e9ffp-2, 0x1.2dd5ec28f3f9dp-2, 0x1.29ff0d02309e9p-2, 0x1.262ef8b5ca645p-2, 0x1.2265c54449de5p-2, 0x1.1ea387b5b1ecap-2, 0x1.1ae8541c17d6ap-2, 0x1.17343d96578bap-2, 0x1.13875652e950cp-2, 0x1.0fe1af92cb387p-2, 0x1.0c4359ac88127p-2, 0x1.08ac640f5306fp-2, 0x1.051cdd4639ap-2, 0x1.0194d2fb66188p-2, 0x1.fc28a3f6ef52cp-3, 0x1.f536cc71cba91p-3, 0x1.ee54359eefd7ap-3, 0x1.e780f40f8741bp-3, 0x1.e0bd1ab57a59ap-3, 0x1.da08baea9d02fp-3, 0x1.d363e477ef6d3p-3, 0x1.cccea59cf167bp-3, 0x1.c6490b170205fp-3, 0x1.bfd32028c8f0bp-3, 0x1.b96ceea1aeab1p-3, 0x1.b3167ee55234cp-3, 0x1.accfd7f30f61bp-3, 0x1.a698ff6d7d47ep-3, 0x1.a071f9a1f578ap-3, 0x1.9a5ac9901b3ap-3, 0x1.945370f15913p-3, 0x1.8e5bf0406642ap-3, 0x1.887446c0bd42ep-3, 0x1.829c7286132ccp-3, 0x1.7cd4707bc1097p-3, 0x1.771c3c6c2b615p-3, 0x1.7173d10819144p-3, 0x1.6bdb27ee0328bp-3, 0x1.665239b15768fp-3, 0x1.60d8fde1ac0c6p-3, 0x1.5b6f6b11e7102p-3, 0x1.561576df55bacp-3, 0x1.50cb15f8b287dp-3, 0x1.4b903c251de26p-3, 0x1.4664dc4b01c2bp-3, 0x1.4148e876e3b46p-3, 0x1.3c3c51e226269p-3, 0x1.373f08f9b2dcbp-3, 0x1.3250fd6493c85p-3, 0x1.2d721e0a77a7ap-3, 0x1.28a2591a1d213p-3, 0x1.23e19c0faeecbp-3, 0x1.1f2fd3bb04b6p-3, 0x1.1a8cec45d0a72p-3, 0x1.15f8d139b4509p-3, 0x1.11736d863eb35p-3, 0x1.0cfcab86d7d1fp-3, 0x1.089475088ad4cp-3, 0x1.043ab34fc3ddcp-3, 0x1.ffde9e3bdc639p-4, 0x1.f764616dfa8acp-4, 0x1.ef067fcdba51dp-4, 0x1.e6c4c80d94a67p-4, 0x1.de9f0805251c1p-4, 0x1.d6950cbb78bf9p-4, 0x1.cea6a27128244p-4, 0x1.c6d394aa4c8p-4, 0x1.bf1bae3833aeep-4, 0x1.b77eb942f64fcp-4, 0x1.affc7f52c3fd2p-4, 0x1.a894c9591dee9p-4, 0x1.a1475fb9c7b71p-4, 0x1.9a140a538f8d1p-4, 0x1.92fa9088f119cp-4, 0x1.8bfab9487433cp-4, 0x1.85144b14effa7p-4, 0x1.7e470c0d91f4fp-4, 0x1.7792c1f5bbabcp-4, 0x1.70f7323caf882p-4, 0x1.6a74220510d6ap-4, 0x1.6409562c3558cp-4, 0x1.5db693514945cp-4, 0x1.577b9ddc46f6cp-4, 0x1.51583a04c07b2p-4, 0x1.4b4c2bd87fa8dp-4, 0x1.45573741f7067p-4, 0x1.3f79200e8b20ap-4, 0x1.39b1a9f4ae222p-4, 0x1.34009899d2f56p-4, 0x1.2e65af9836877p-4, 0x1.28e0b2847ed2cp-4, 0x1.237164f332db3p-4, 0x1.1e178a7e08f98p-4, 0x1.18d2e6c90ef8fp-4, 0x1.13a33d87a9ec6p-4, 0x1.0e885281708a8p-4, 0x1.0981e996df031p-4, 0x1.048fc6c5e5e2dp-4, 0x1.ff635c5ca8bf1p-5, 0x1.f5cec82c3b0bbp-5, 0x1.ec6159daf57d8p-5, 0x1.e31a9aa5d6a68p-5, 0x1.d9fa142e20cc6p-5, 0x1.d0ff5080d06bep-5, 0x1.c829da1dcfe1ep-5, 0x1.bf793bfee7e0ep-5, 0x1.b6ed019e72ae2p-5, 0x1.ae84b6fdcc2a9p-5, 0x1.a63fe8ab88826p-5, 0x1.9e1e23c96a1f9p-5, 0x1.961ef6121f501p-5, 0x1.8e41eddec2b46p-5, 0x1.86869a2c24707p-5, 0x1.7eec8a9fd94e5p-5, 0x1.77734f8d14c0bp-5, 0x1.701a79f94b4d6p-5, 0x1.68e19ba0a24dcp-5, 0x1.61c846fa2872p-5, 0x1.5ace0f3bdf1e7p-5, 0x1.53f2885e911e8p-5, 0x1.4d354721787p-5, 0x1.4695e10db59c9p-5, 0x1.4013ec7996df5p-5, 0x1.39af008bb4b81p-5, 0x1.3366b53de11acp-5, 0x1.2d3aa35feaa45p-5, 0x1.272a649a36a4dp-5, 0x1.2135937032b3cp-5, 0x1.1b5bcb429c653p-5, 0x1.159ca851a2a56p-5, 0x1.0ff7c7bee2d71p-5, 0x1.0a6cc78f3bb91p-5, 0x1.04fb46ac83179p-5, 0x1.ff45c9ce233ebp-6, 0x1.f4c685ee6028ep-6, 0x1.ea7804fcc4cfap-6, 0x1.e0598c11220cbp-6, 0x1.d66a621a287edp-6, 0x1.cca9cfdf3de5cp-6, 0x1.c31720021c4f8p-6, 0x1.b9b19f002e6b6p-6, 0x1.b0789b33bb4f4p-6, 0x1.a76b64d4d8894p-6, 0x1.9e894dfa249ap-6, 0x1.95d1aa995194bp-6, 0x1.8d43d0877af8dp-6, 0x1.84df17794c664p-6, 0x1.7ca2d902f65a9p-6, 0x1.748e7097fad2ep-6, 0x1.6ca13b8ac95f4p-6, 0x1.64da990c2e2dp-6, 0x1.5d39ea2aa21abp-6, 0x1.55be91d16334fp-6, 0x1.4e67f4c777625p-6, 0x1.473579ae7c657p-6, 0x1.402689015a506p-6, 0x1.393a8d12d2c99p-6, 0x1.3270f20bedd51p-6, 0x1.2bc925ea463f8p-6, 0x1.2542987e387adp-6, 0x1.1edcbb68f0688p-6, 0x1.1897021a5f36bp-6, 0x1.1270e1cf102a5p-6, 0x1.0c69d18de84dbp-6, 0x1.06814a25c88ffp-6, 0x1.00b6c62b1a151p-6, 0x1.f61383ea80f8p-7, 0x1.eaf37737f6826p-7, 0x1.e00c65e95056cp-7, 0x1.d55d531efbf48p-7, 0x1.cae54569503e3p-7, 0x1.c0a346c2acfd6p-7, 0x1.b696648974679p-7, 0x1.acbdaf79e00a7p-7, 0x1.a3183ba7bc642p-7, 0x1.99a52077ffe32p-7, 0x1.9063789a44589p-7, 0x1.8752620230ef4p-7, 0x1.7e70fde0bcba8p-7, 0x1.75be709d649abp-7, 0x1.6d39e1cf3f5a9p-7, 0x1.64e27c3607f28p-7, 0x1.5cb76db31147ep-7, 0x1.54b7e74221fe5p-7, 0x1.4ce31cf24507ep-7, 0x1.453845de87585p-7, 0x1.3db69c26ae6bfp-7, 0x1.365d5ce7d6e08p-7, 0x1.2f2bc8350e69fp-7, 0x1.2821210fe11c2p-7, 0x1.213cad60dd22dp-7, 0x1.1a7db5f00d53bp-7, 0x1.13e3865d6c92cp-7, 0x1.0d6d6d1952e1dp-7, 0x1.071abb5cdc869p-7, 0x1.00eac5224cd35p-7, 0x1.f5b9c23adap-8, 0x1.e9e0d167d0f2dp-8, 0x1.de496feb4eba4p-8, 0x1.d2f25b2a4ed08p-8, 0x1.c7da55bfa9cdfp-8, 0x1.bd00276cc9cf2p-8, 0x1.b2629d0a5e942p-8, 0x1.a800887917d06p-8, 0x1.9dd8c092648b8p-8, 0x1.93ea2119398c3p-8, 0x1.8a338aaaddf3bp-8, 0x1.80b3e2afc5145p-8, 0x1.776a134c6f097p-8, 0x1.6e550b52583a3p-8, 0x1.6573be30f38ecp-8, 0x1.5cc523e6b4688p-8, 0x1.544838f2273d8p-8, 0x1.4bfbfe43191ebp-8, 0x1.43df792bd33a7p-8, 0x1.3bf1b3526501fp-8, 0x1.3431baa204434p-8, 0x1.2c9ea13c7efedp-8, 0x1.25377d6bc2a13p-8, 0x1.1dfb69937932p-8, 0x1.16e98422bc2e4p-8, 0x1.1000ef85dd1p-8, 0x1.0940d2184802dp-8, 0x1.02a856167c8d4p-8, 0x1.f86d5320403dap-9, 0x1.ebd5fcb45237ap-9, 0x1.df8914024a6cbp-9, 0x1.d3850b773238cp-9, 0x1.c7c85cb8f6e78p-9, 0x1.bc51888b97674p-9, 0x1.b11f16b68776fp-9, 0x1.a62f95ea4f106p-9, 0x1.9b819ba65ebdbp-9, 0x1.9113c41f21dacp-9, 0x1.86e4b2244892bp-9, 0x1.7cf30f075179fp-9, 0x1.733d8a8248138p-9, 0x1.69c2da9ec803cp-9, 0x1.6081bb9d36df2p-9, 0x1.5778efdc3f458p-9, 0x1.4ea73fc08689ep-9, 0x1.460b799ca4c7ap-9, 0x1.3da471995783bp-9, 0x1.3571019df59b4p-9, 0x1.2d700939211ebp-9, 0x1.25a06d89b9ea7p-9, 0x1.1e0119280d0b8p-9, 0x1.1690fc0f46025p-9, 0x1.0f4f0b8720c2p-9, 0x1.083a420dd90cbp-9, 0x1.01519f425b1d3p-9, 0x1.f5284f9d659a7p-10, 0x1.e801caa57db39p-10, 0x1.db2dcc9e3c466p-10, 0x1.ceaa7c20c6978p-10, 0x1.c276093503842p-10, 0x1.b68ead28fdd24p-10, 0x1.aaf2aa68c6dbap-10, 0x1.9fa04c56ce507p-10, 0x1.9495e724c4765p-10, 0x1.89d1d7acf3bfap-10, 0x1.7f52834c187d2p-10, 0x1.751657bbba095p-10, 0x1.6b1bcaecfb4cdp-10, 0x1.61615ae3eddd1p-10, 0x1.57e58d935c74p-10, 0x1.4ea6f0b911405p-10, 0x1.45a419ba9b706p-10, 0x1.3cdba5828553ep-10, 0x1.344c385e10791p-10, 0x1.2bf47ddb5ddfdp-10, 0x1.23d328a819e7fp-10, 0x1.1be6f27093356p-10, 0x1.142e9bbf530e9p-10, 0x1.0ca8ebdd26526p-10, 0x1.0554b0b199282p-10, 0x1.fc617d47d483fp-11, 0x1.ee77e0f8e2615p-11, 0x1.e0ea4e8ce9082p-11, 0x1.d3b69464e5c0ep-11, 0x1.c6da8cf1b8e1ap-11, 0x1.ba541e7a76809p-11, 0x1.ae213ae3952d5p-11, 0x1.a23fdf76f750cp-11, 0x1.96ae14accef97p-11, 0x1.8b69edf556ad2p-11, 0x1.80718983622d5p-11, 0x1.75c31017c0a5dp-11, 0x1.6b5cb4cd71677p-11, 0x1.613cb4e6a6acp-11, 0x1.5761579a9711bp-11, 0x1.4dc8ede4189fep-11, 0x1.4471d25106aedp-11, 0x1.3b5a68d26d4b1p-11, 0x1.32811e8d7a4dep-11, 0x1.29e469ad30cacp-11, 0x1.2182c934ddea4p-11, 0x1.195ac4d34c0c4p-11, 0x1.116aecb6b17d6p-11, 0x1.09b1d9615a858p-11, 0x1.022e2b7f0be2dp-11, 0x1.f5bd1776342d8p-12, 0x1.e783552e6b7bbp-12, 0x1.d9ac8085d40c9p-12, 0x1.cc3618e7909f9p-12, 0x1.bf1dac7c8a065p-12, 0x1.b260d7de7a25ap-12, 0x1.a5fd45cc4b6f1p-12, 0x1.99f0aedfc685ap-12, 0x1.8e38d9448a72ap-12, 0x1.82d398704a039p-12, 0x1.77beccdc4b9d4p-12, 0x1.6cf863c02535fp-12, 0x1.627e56cdb31cap-12, 0x1.584eabee42cc6p-12, 0x1.4e677500f0719p-12, 0x1.44c6cf9a2e921p-12, 0x1.3b6ae4c479a6ep-12, 0x1.3251e8c22cd65p-12, 0x1.297a1ad07c51ap-12, 0x1.20e1c4eb86eb1p-12, 0x1.18873b9383d9ap-12, 0x1.1068dd93041b6p-12, 0x1.088513c6444fep-12, 0x1.00da50e38b6f9p-12, 0x1.f2ce2289275a7p-13, 0x1.e453b561e9e4ap-13, 0x1.d64278532bd53p-13, 0x1.c8979b6a27b82p-13, 0x1.bb50605a53b2bp-13, 0x1.ae6a1a1a147eap-13, 0x1.a1e22c8157afbp-13, 0x1.95b60bea0a742p-13, 0x1.89e33cd26201p-13, 0x1.7e675380f9457p-13, 0x1.733ff3aab1e05p-13, 0x1.686ad01a503d3p-13, 0x1.5de5aa59daf49p-13, 0x1.53ae525da51cap-13, 0x1.49c2a63100d74p-13, 0x1.402091a49f84fp-13, 0x1.36c60dfe88312p-13, 0x1.2db121aba6052p-13, 0x1.24dfdff2e78d2p-13, 0x1.1c5068a9e6b42p-13, 0x1.1400e7eb16c2ap-13, 0x1.0bef95cd69107p-13, 0x1.041ab61d6eb7cp-13, 0x1.f901302fcc584p-14, 0x1.ea3f2c4b6236dp-14, 0x1.dbec2b3266fd9p-14, 0x1.ce050cda1cb29p-14, 0x1.c086c60858777p-14, 0x1.b36e5fd64f516p-14, 0x1.a6b8f735f6451p-14, 0x1.9a63bc79e44d4p-14, 0x1.8e6bf2dfc7481p-14, 0x1.82cef01d3caa5p-14, 0x1.778a1bef21f55p-14, 0x1.6c9aefab3d3d1p-14, 0x1.61fef5d43e758p-14, 0x1.57b3c9b008c7p-14, 0x1.4db716e03c2a5p-14, 0x1.440698fcf5082p-14, 0x1.3aa01b31b56d5p-14, 0x1.318177dc7071fp-14, 0x1.28a8982eab923p-14, 0x1.201373d0ae0ccp-14, 0x1.17c01086b2ed5p-14, 0x1.0fac81d815d53p-14, 0x1.07d6e8b86e9fap-14, 0x1.003d733297035p-14, 0x1.f1bcb82b15c51p-15, 0x1.e36fd5464129ap-15, 0x1.d590e4811750dp-15, 0x1.c81ca45146e18p-15, 0x1.bb0fea3fc9788p-15, 0x1.ae67a2544b602p-15, 0x1.a220ce83e6a33p-15, 0x1.96388623236fap-15, 0x1.8aabf55b28868p-15, 0x1.7f785ca212b78p-15, 0x1.749b10365dc9cp-15, 0x1.6a11779d51219p-15, 0x1.5fd90d24643edp-15, 0x1.55ef5d65851a6p-15, 0x1.4c5206ce39892p-15, 0x1.42feb92987d5p-15, 0x1.39f3352c9821ap-15, 0x1.312d4c060653fp-15, 0x1.28aadeefceddfp-15, 0x1.2069dec3cede7p-15, 0x1.18684b92c5ed6p-15, 0x1.10a4343dd25f1p-15, 0x1.091bb61252617p-15, 0x1.01ccfc6825fc3p-15, 0x1.f56c80847db71p-16, 0x1.e7ab8fe2f0fbap-16, 0x1.da53cd7344dc6p-16, 0x1.cd61f8f179cf8p-16, 0x1.c0d2eaa0a5f81p-16, 0x1.b4a392a1d6c91p-16, 0x1.a8d0f84f032acp-16, 0x1.9d58399a01e3cp-16, 0x1.92368a6f63d7cp-16, 0x1.8769341d21898p-16, 0x1.7ced94bd09dc6p-16, 0x1.72c11ea2d824ep-16, 0x1.68e157cde0f4dp-16, 0x1.5f4bd95e3ddc3p-16, 0x1.55fe4f0d6d4fap-16, 0x1.4cf676aa4871p-16, 0x1.44321f9842795p-16, 0x1.3baf2a51e07a2p-16, 0x1.336b87ee51adcp-16, 0x1.2b6539aa1d882p-16, 0x1.239a5072d078ep-16, 0x1.1c08ec759a661p-16, 0x1.14af3cb0c7d1bp-16, 0x1.0d8b7e88109cep-16, 0x1.069bfd5ba1c18p-16, 0x1.ffbe2443a44bfp-17, 0x1.f2a64606fb03ap-17, 0x1.e5ed45f5dc84bp-17, 0x1.d99022ea81a5bp-17, 0x1.cd8bf3ec8d86dp-17, 0x1.c1dde77d8007ep-17, 0x1.b68342e9efc83p-17, 0x1.ab79619f3c6c5p-17, 0x1.a0bdb485c9048p-17, 0x1.964dc15f8c239p-17, 0x1.8c27222ada42cp-17, 0x1.8247848967931p-17, 0x1.78aca92b49057p-17, 0x1.6f54633df5fbcp-17, 0x1.663c97df280cdp-17, 0x1.5d633d9381caap-17, 0x1.54c65bc0dfba1p-17, 0x1.4c640a2c4ede1p-17, 0x1.443a707b7d763p-17, 0x1.3c47c5b9a1e73p-17, 0x1.348a4fdfb55bfp-17, 0x1.2d00635ff6e14p-17, 0x1.25a862b49d0bfp-17, 0x1.1e80bdf1a6732p-17, 0x1.1787f259b1cb7p-17, 0x1.10bc89f5cd5a1p-17, 0x1.0a1d1b302a94bp-17, }}, 
      {{-0x1.3dcc47dd3ae35p-15, -0x1.3dcea6e970198p-13, -0x1.65a25b907e029p-12, -0x1.3e245c11b278dp-11, -0x1.f1d2be59048b6p-11, -0x1.6740d9e057eep-10, -0x1.ea89c53267ee5p-10, -0x1.41a692a0181c7p-9, -0x1.9910e2b62a1b4p-9, -0x1.fbd02ee73ce49p-9, -0x1.3515d8b8756bcp-8, -0x1.722fe32a40a57p-8, -0x1.b54c711f4201ap-8, -0x1.fe77b6cfa1e62p-8, -0x1.26d925f03c4a8p-7, -0x1.517808574b828p-7, -0x1.7f0bc43bb0f16p-7, -0x1.af80cebbfb662p-7, -0x1.e2bce0f7f2df6p-7, -0x1.0c4f9803fa35cp-6, -0x1.288062b56a272p-6, -0x1.45da7897d28dp-6, -0x1.6444e7cac28b5p-6, -0x1.83a46e369ff7cp-6, -0x1.a3dbc795ad7fbp-6, -0x1.c4cbfda108e55p-6, -0x1.e654b881ed511p-6, -0x1.042a46fc808dap-5, -0x1.1554a6fcf12efp-5, -0x1.269825dfa4742p-5, -0x1.37e3514d6aae7p-5, -0x1.4924bafd5ac37p-5, -0x1.5a4b16274f7c8p-5, -0x1.6b45524eb247fp-5, -0x1.7c02b35ea1e9fp-5, -0x1.8c72e71db3e23p-5, -0x1.9c861809ed44cp-5, -0x1.ac2cfdb572fb5p-5, -0x1.bb58eac239f6bp-5, -0x1.c9fbd89f0fe2fp-5, -0x1.d808712ad92b1p-5, -0x1.e572166467ff8p-5, -0x1.f22ce84db782ep-5, -0x1.fe2dc92936f1bp-5, -0x1.04b5301b82159p-4, -0x1.09ec8d8b68d8bp-4, -0x1.0eb896f8e2431p-4, -0x1.13154946f4b35p-4, -0x1.16ff03358f726p-4, -0x1.1a728403b4395p-4, -0x1.1d6ce9b35fa08p-4, -0x1.1febaefc4063p-4, -0x1.21eca8f956659p-4, -0x1.236e049ca7bf6p-4, -0x1.246e43f342ac4p-4, -0x1.24ec3b42ec28dp-4, -0x1.24e70e09edd3p-4, -0x1.245e2be8b01bfp-4, -0x1.23514d7bf9537p-4, -0x1.21c0712df0a9ap-4, -0x1.1fabd80348073p-4, -0x1.1d1402694e76ep-4, -0x1.19f9ad090562p-4, -0x1.165dcda2c623p-4, -0x1.12418ff57a78ap-4, -0x1.0da652b3ef6abp-4, -0x1.088da48a59f5p-4, -0x1.02f94135bbf43p-4, -0x1.f9d61d5d0280dp-5, -0x1.ecca34ceae712p-5, -0x1.ded32d41f80e6p-5, -0x1.cff5afa70621p-5, -0x1.c036a45ab0256p-5, -0x1.af9b2e50338bfp-5, -0x1.9e28a666800d1p-5, -0x1.8be496e8c0a3ap-5, -0x1.78d4b73992555p-5, -0x1.64fee7a832e0ep-5, -0x1.50692d6ecbc64p-5, -0x1.3b19aed8e7f07p-5, -0x1.2516af9115457p-5, -0x1.0e668d14a113cp-5, -0x1.ee1f7698ba91p-6, -0x1.be318292b5289p-6, -0x1.8d106c490532ap-6, -0x1.5ac97c0005051p-6, -0x1.276a0e5301315p-6, -0x1.e5ff1d707159dp-7, -0x1.7b2ee484f2d9cp-7, -0x1.0e7e653d28007p-7, -0x1.4011252b243c1p-8, -0x1.7f42b069028f9p-10, 0x1.071de4377b04fp-9, 0x1.69d83bccef01ap-8, 0x1.296afe026dde5p-7, 0x1.9f29a8bf0e192p-7, 0x1.0b06ef3613a5ap-6, 0x1.46fecb83e1e83p-6, 0x1.836f844e99ef1p-6, 0x1.c04c56a4dd8b7p-6, 0x1.fd88a474ae1fp-6, 0x1.1d8bfb9b7dbeap-5, 0x1.3c770138c0fcfp-5, 0x1.5b7f530809f67p-5, 0x1.7a9ef84b2f806p-5, 0x1.99d01095a416bp-5, 0x1.b90cd4bf74e22p-5, 0x1.d84f97c6235a9p-5, 0x1.f792c79bdf91bp-5, 0x1.0b6876f2d46d3p-4, 0x1.1b0258546e20cp-4, 0x1.2a9469745abf4p-4, 0x1.3a1c1a9a24611p-4, 0x1.4996eb12bb9c7p-4, 0x1.59026968b49cfp-4, 0x1.685c3395863aap-4, 0x1.77a1f72c0d617p-4, 0x1.86d1717c97fe9p-4, 0x1.95e86fb2b6f42p-4, 0x1.a4e4ceed17d1dp-4, 0x1.b3c47c4fa35cbp-4, 0x1.c28575102c5fep-4, 0x1.d125c67dd54bcp-4, 0x1.dfa38e03868ap-4, 0x1.edfcf9259bdfep-4, 0x1.fc30457b0e026p-4, 0x1.051de05129347p-3, 0x1.0c0ee41913f4dp-3, 0x1.12ea64d346d7ep-3, 0x1.19afa12506825p-3, 0x1.205ddf8dcd424p-3, 0x1.26f46e58a0e3bp-3, 0x1.2d72a38bdbcfbp-3, 0x1.33d7dcd7910d3p-3, 0x1.3a237f829bd8fp-3, 0x1.4054f8566562ep-3, 0x1.466bbb8993b5cp-3, 0x1.4c6744a99658ap-3, 0x1.524716833a038p-3, 0x1.580abb0a51781p-3, 0x1.5db1c3408273ap-3, 0x1.633bc71b4a145p-3, 0x1.68a865694f8f9p-3, 0x1.6df743b70ee75p-3, 0x1.73280e32e8cfdp-3, 0x1.783a7790aea3dp-3, 0x1.7d2e38ecb87b8p-3, 0x1.820311ae84833p-3, 0x1.86b8c76b01006p-3, 0x1.8b4f25c67c9dfp-3, 0x1.8fc5fe565059fp-3, 0x1.941d2882493ddp-3, 0x1.98548165e4587p-3, 0x1.9c6bebb15c1a2p-3, 0x1.a0634f8a96064p-3, 0x1.a43a9a6dfa66fp-3, 0x1.a7f1bf0f36e4ep-3, 0x1.ab88b53a011eap-3, 0x1.aeff79b2cdd15p-3, 0x1.b2560e1797d5dp-3, 0x1.b58c78c0a71e5p-3, 0x1.b8a2c4a1767d4p-3, 0x1.bb990129a69dbp-3, 0x1.be6f422610a65p-3, 0x1.c1259fa1feaf5p-3, 0x1.c3bc35c8805dbp-3, 0x1.c63324c5f526cp-3, 0x1.c88a90a9bf09ep-3, 0x1.cac2a14825ab5p-3, 0x1.ccdb821c78c37p-3, 0x1.ced5622b5cc76p-3, 0x1.d0b073e566bb3p-3, 0x1.d26ced09e5c1bp-3, 0x1.d40b0689fcb7dp-3, 0x1.d58afc6bf79fcp-3, 0x1.d6ed0daeef55ap-3, 0x1.d8317c2eb2c1p-3, 0x1.d9588c87f9e9cp-3, 0x1.da6285fcf1e3dp-3, 0x1.db4fb25a0ab41p-3, 0x1.dc205ddb20aedp-3, 0x1.dcd4d710f7a57p-3, 0x1.dd6d6ec707e08p-3, 0x1.ddea77e9a857cp-3, 0x1.de4c476c8813cp-3, 0x1.de9334318a146p-3, 0x1.debf96eff689p-3, 0x1.ded1ca1c0be9cp-3, 0x1.deca29cee806bp-3, 0x1.dea913aed55d9p-3, 0x1.de6ee6d7f2279p-3, 0x1.de1c03c53c8f5p-3, 0x1.ddb0cc39fd04cp-3, 0x1.dd2da32b8eaf7p-3, 0x1.dc92ecab95d4p-3, 0x1.dbe10dd28aabbp-3, 0x1.db186caab22e6p-3, 0x1.da39701b779f2p-3, 0x1.d9447fd52d029p-3, 0x1.d83a043d2a949p-3, 0x1.d71a665a5d12ep-3, 0x1.d5e60fc231448p-3, 0x1.d49d6a85ec93cp-3, 0x1.d340e12064a7ap-3, 0x1.d1d0de6425d18p-3, 0x1.d04dcd69f799ap-3, 0x1.ceb8197fd1e27p-3, 0x1.cd102e182bc41p-3, 0x1.cb5676b9be83ep-3, 0x1.c98b5eefa4e79p-3, 0x1.c7af5239e5d8cp-3, 0x1.c5c2bbfe634e6p-3, 0x1.c3c6077a32c49p-3, 0x1.c1b99fb352f08p-3, 0x1.bf9def6ad20c6p-3, 0x1.bd73610f4cf9fp-3, 0x1.bb3a5eafdd39cp-3, 0x1.b8f351ef6500dp-3, 0x1.b69ea3f83eb3bp-3, 0x1.b43cbd70526a1p-3, 0x1.b1ce066d88afep-3, 0x1.af52e66aa5116p-3, 0x1.accbc43c7b40cp-3, 0x1.aa39060786cp-3, 0x1.a79b1135e42dbp-3, 0x1.a4f24a6da60ccp-3, 0x1.a23f158785065p-3, 0x1.9f81d585f0ee2p-3, 0x1.9cbaec8c7e223p-3, 0x1.99eabbd7a75c5p-3, 0x1.9711a3b4eda15p-3, 0x1.9430037b51e8ep-3, 0x1.9146398424183p-3, 0x1.8e54a324258bfp-3, 0x1.8b5b9ca5071d8p-3, 0x1.885b813f3814ep-3, 0x1.8554ab140606ap-3, 0x1.824773280e8p-3, 0x1.7f34315e08a8cp-3, 0x1.7c1b3c71d1bf1p-3, 0x1.78fce9f3d0a7cp-3, 0x1.75d98e44a280cp-3, 0x1.72b17c9111f7ep-3, 0x1.6f8506ce5b281p-3, 0x1.6c547db6b412dp-3, 0x1.692030c61e1bcp-3, 0x1.65e86e377fa44p-3, 0x1.62ad8301fc1bcp-3, 0x1.5f6fbad694304p-3, 0x1.5c2f601e0634ep-3, 0x1.58ecbbf6ec1b9p-3, 0x1.55a8163419a47p-3, 0x1.5261b55b3ba48p-3, 0x1.4f19dea3a88edp-3, 0x1.4bd0d5f5775b9p-3, 0x1.4886dde8c973fp-3, 0x1.453c37c546c11p-3, 0x1.41f12381dbb39p-3, 0x1.3ea5dfc4a0a28p-3, 0x1.3b5aa9e2fcfa7p-3, 0x1.380fbde1f120ep-3, 0x1.34c556769c275p-3, 0x1.317bad06ebb75p-3, 0x1.2e32f9aa71d15p-3, 0x1.2aeb732b765b9p-3, 0x1.27a54f0822335p-3, 0x1.2460c173de23ap-3, 0x1.211dfd58d6cdbp-3, 0x1.1ddd3459a6642p-3, 0x1.1a9e96d323577p-3, 0x1.176253de4ead2p-3, 0x1.142899527014ap-3, 0x1.10f193c745551p-3, 0x1.0dbd6e975a32dp-3, 0x1.0a8c53e279d5cp-3, 0x1.075e6c9040bc5p-3, 0x1.0433e052cad3bp-3, 0x1.010cd5a976accp-3, 0x1.fbd2e3c78b6ebp-4, 0x1.f593b248b4ccbp-4, 0x1.ef5c5cc7fc7bdp-4, 0x1.e92d26e9a272dp-4, 0x1.e306520af2625p-4, 0x1.dce81d48ee262p-4, 0x1.d6d2c5870486fp-4, 0x1.d0c68575f93e1p-4, 0x1.cac3959adcce5p-4, 0x1.c4ca2c5639242p-4, 0x1.beda7deb48c32p-4, 0x1.b8f4bc874d9edp-4, 0x1.b319184902566p-4, 0x1.ad47bf481eca7p-4, 0x1.a780dd9cf8d8ap-4, 0x1.a1c49d682a5e3p-4, 0x1.9c1326da519e1p-4, 0x1.966ca03be1d66p-4, 0x1.90d12df4fcfb5p-4, 0x1.8b40f29559962p-4, 0x1.85bc0edc349a3p-4, 0x1.8042a1c04babdp-4, 0x1.7ad4c877dd628p-4, 0x1.75729e80b0675p-4, 0x1.701c3da81cdcep-4, 0x1.6ad1be131b95ap-4, 0x1.6593364652d36p-4, 0x1.6060bb2e26b8dp-4, 0x1.5b3a6026c5afp-4, 0x1.5620370433bccp-4, 0x1.5112501a52e08p-4, 0x1.4c10ba44e3d98p-4, 0x1.471b82ef84a76p-4, 0x1.4232b61da4d5fp-4, 0x1.3d565e727346ap-4, 0x1.38868538c387cp-4, 0x1.33c3326ae6afp-4, 0x1.2f0c6cba7c757p-4, 0x1.2a623998358d4p-4, 0x1.25c49d3b8b0edp-4, 0x1.21339aaa68001p-4, 0x1.1caf33c0c442p-4, 0x1.18376938302fap-4, 0x1.13cc3aaf51d0bp-4, 0x1.0f6da6b14f659p-4, 0x1.0b1baabd2bb46p-4, 0x1.06d6434d0d65fp-4, 0x1.029d6bdd7714fp-4, 0x1.fce23de8d5361p-5, 0x1.f4a2ac50f3c94p-5, 0x1.ec7c144f85abfp-5, 0x1.e46e657db2d69p-5, 0x1.dc798dbf326fap-5, 0x1.d49d794fcc036p-5, 0x1.ccda12d0a5b69p-5, 0x1.c52f43556de2p-5, 0x1.bd9cf271525dcp-5, 0x1.b6230643cea1dp-5, 0x1.aec163854b1b5p-5, 0x1.a777ed938e105p-5, 0x1.a046867dfdb7bp-5, 0x1.992d0f11b5fc5p-5, 0x1.922b66e56ae1ap-5, 0x1.8b416c651e92ep-5, 0x1.846efcdda6e4ep-5, 0x1.7db3f488013b3p-5, 0x1.77102e9478b02p-5, 0x1.7083853597762p-5, 0x1.6a0dd1aaee5a2p-5, 0x1.63aeec4ba3fb2p-5, 0x1.5d66ac90d9c8p-5, 0x1.5734e91fdacfap-5, 0x1.511977d41e94ap-5, 0x1.4b142dc917758p-5, 0x1.4524df63d356bp-5, 0x1.3f4b605c68ee8p-5, 0x1.398783c7369f6p-5, 0x1.33d91c1df11e1p-5, 0x1.2e3ffb48807c8p-5, 0x1.28bbf2a5af75fp-5, 0x1.234cd313a8c67p-5, 0x1.1df26cf84777cp-5, 0x1.18ac90493592fp-5, 0x1.137b0c93ded6bp-5, 0x1.0e5db10532df9p-5, 0x1.09544c7139ed5p-5, 0x1.045ead5a7a823p-5, 0x1.fef943f26afcp-6, 0x1.f55bf084dfd17p-6, 0x1.ebe4fbdda7d9cp-6, 0x1.e2940102c8dcfp-6, 0x1.d9689a9c089a5p-6, 0x1.d06262ffa78edp-6, 0x1.c780f43ec1a99p-6, 0x1.bec3e8315ec8p-6, 0x1.b62ad8822b3b9p-6, 0x1.adb55eb9e0cb7p-6, 0x1.a563144a5bf93p-6, 0x1.9d33929962753p-6, 0x1.9526730b146d7p-6, 0x1.8d3b4f0c16ca4p-6, 0x1.8571c01b68453p-6, 0x1.7dc95fd3f189ep-6, 0x1.7641c7f5c031bp-6, 0x1.6eda926f01b61p-6, 0x1.67935964acc24p-6, 0x1.606bb73ae7ab2p-6, 0x1.5963469d22e81p-6, 0x1.5279a285f381cp-6, 0x1.4bae6646a236dp-6, 0x1.45012d8e7cb27p-6, 0x1.3e719471defd6p-6, 0x1.37ff3771006a2p-6, 0x1.31a9b37e7cf34p-6, 0x1.2b70a6059f44dp-6, 0x1.2553acf06ef58p-6, 0x1.1f5266ad7f6b3p-6, 0x1.196c7235850aep-6, 0x1.13a16f10b0b5ep-6, 0x1.0df0fd5bcbf0ep-6, 0x1.085abdcd23ca2p-6, 0x1.02de51b93956bp-6, 0x1.faf6b62e75316p-7, 0x1.f062f90a95afep-7, 0x1.e600b299228c6p-7, 0x1.dbcf2aca35352p-7, 0x1.d1cdaaf307933p-7, 0x1.c7fb7dd4f238bp-7, 0x1.be57efa403d25p-7, 0x1.b4e24e0d3fee2p-7, 0x1.ab99e83c7f77bp-7, 0x1.a27e0ee1ff93p-7, 0x1.998e14378f5bep-7, 0x1.90c94c0571a5ap-7, 0x1.882f0ba6ea499p-7, 0x1.7fbeaa0e79d4ap-7, 0x1.77777fc9ca65p-7, 0x1.6f58e70551f09p-7, 0x1.67623b8fa88bap-7, 0x1.5f92dadc98516p-7, 0x1.57ea2407e14cap-7, 0x1.506777d7c5154p-7, 0x1.490a38bf3c93cp-7, 0x1.41d1cadffd138p-7, 0x1.3abd940c39a21p-7, 0x1.33ccfbc821de3p-7, 0x1.2cff6b4b2c22cp-7, 0x1.26544d8120edfp-7, 0x1.1fcb0f0af138fp-7, 0x1.19631e3f54cc2p-7, 0x1.131beb2b33a9p-7, 0x1.0cf4e791dd7d5p-7, 0x1.06ed86ed0e241p-7, 0x1.01053e6cc36ccp-7, 0x1.f67709edc6ea8p-8, 0x1.eb1fa64d6dec4p-8, 0x1.e00346986f053p-8, 0x1.d520e2d669172p-8, 0x1.ca7776749edccp-8, 0x1.c0060043a10f9p-8, 0x1.b5cb8274aece5p-8, 0x1.abc70296cb6c6p-8, 0x1.a1f789938fdafp-8, 0x1.985c23abb9a5p-8, 0x1.8ef3e07375ccep-8, 0x1.85bdd2ce735eap-8, 0x1.7cb910ebb5451p-8, 0x1.73e4b4412d839p-8, 0x1.6b3fd987221cep-8, 0x1.62c9a0b35c36dp-8, 0x1.5a812cf425fbfp-8, 0x1.5265a4ab197b9p-8, 0x1.4a763167bf67fp-8, 0x1.42b1ffe2054c4p-8, 0x1.3b183ff487915p-8, 0x1.33a82496b7334p-8, 0x1.2c60e3d6d6ee4p-8, 0x1.2541b6d3d7354p-8, 0x1.1e49d9b70f891p-8, 0x1.17788badd8493p-8, 0x1.10cd0ee3073e8p-8, 0x1.0a46a8784fb88p-8, 0x1.03e4a07f86cc5p-8, 0x1.fb4c83e7a33fap-9, 0x1.ef15b565754e1p-9, 0x1.e32376ea62fb1p-9, 0x1.d7746f90eea7ap-9, 0x1.cc074c0df221ap-9, 0x1.c0dabea22f6fdp-9, 0x1.b5ed7f0bc3c77p-9, 0x1.ab3e4a777cac3p-9, 0x1.a0cbe372144aap-9, 0x1.969511d9574e7p-9, 0x1.8c98a2cd3673ep-9, 0x1.82d568a0c225bp-9, 0x1.794a3acb1ad7cp-9, 0x1.6ff5f5d8534f8p-9, 0x1.66d77b5a45695p-9, 0x1.5dedb1d95ddcp-9, 0x1.553784c566dc6p-9, 0x1.4cb3e46644ad8p-9, 0x1.4461c5ccb5921p-9, 0x1.3c4022c3112d4p-9, 0x1.344df9be02d2ep-9, 0x1.2c8a4dcd4df97p-9, 0x1.24f4268c906bep-9, 0x1.1d8a90140fbd3p-9, 0x1.164c9ae9898d4p-9, 0x1.0f395bf10f9fbp-9, 0x1.084fec5df0554p-9, 0x1.018f69a3a5e6bp-9, 0x1.f5edeacdad061p-10, 0x1.e90b6adcc7424p-10, 0x1.dc75a7290da74p-10, 0x1.d02afb7003829p-10, 0x1.c429cb5abf20dp-10, 0x1.b870826090acep-10, 0x1.acfd93a9da984p-10, 0x1.a1cf79f3086a8p-10, 0x1.96e4b76fbefbdp-10, 0x1.8c3bd5ae32f7ep-10, 0x1.81d3657ab20a9p-10, 0x1.77a9fec360f82p-10, 0x1.6dbe407c2a1eap-10, 0x1.640ed082e3232p-10, 0x1.5a9a5b83a8a9cp-10, 0x1.515f94dd7139p-10, 0x1.485d3686dce9cp-10, 0x1.3f9200f33c422p-10, 0x1.36fcbaf7d4fd5p-10, 0x1.2e9c31b1603f3p-10, 0x1.266f3869ca154p-10, 0x1.1e74a87e3244ap-10, 0x1.16ab61452443ep-10, 0x1.0f1247f518633p-10, 0x1.07a8478b2f814p-10, 0x1.006c50b235aep-10, 0x1.f2bab353cd8fep-11, 0x1.e4f4bc5ce2f3p-11, 0x1.d784bec086ca5p-11, 0x1.ca68c7582f454p-11, 0x1.bd9eed6691595p-11, 0x1.b1255268d241cp-11, 0x1.a4fa21e841011p-11, 0x1.991b914c9cd93p-11, 0x1.8d87dfaee5cc8p-11, 0x1.823d55acbb6f5p-11, 0x1.773a453c454efp-11, 0x1.6c7d0980ab037p-11, 0x1.6204069f173p-11, 0x1.57cda994477b2p-11, 0x1.4dd8680aaad5dp-11, 0x1.4422c0310aecep-11, 0x1.3aab3891c33d7p-11, 0x1.31705fea8592ep-11, 0x1.2870cd04a8c7cp-11, 0x1.1fab1e8e059dap-11, 0x1.171dfaf25d637p-11, 0x1.0ec810354dcdp-11, 0x1.06a813cccd79p-11, 0x1.fd7984f86a67ep-12, 0x1.ee09c05f9e6d2p-12, 0x1.defe6fb1e80f6p-12, 0x1.d0553695578bap-12, 0x1.c20bc62db1269p-12, 0x1.b41fdcd7d195fp-12, 0x1.a68f45e61c93bp-12, 0x1.9957d95df59aap-12, 0x1.8c777bb641e66p-12, 0x1.7fec1d96f4296p-12, 0x1.73b3bb9998849p-12, 0x1.67cc5e0ae70dep-12, 0x1.5c3418ad57f25p-12, 0x1.50e90a7cb4b1bp-12, 0x1.45e95d72a7cf3p-12, 0x1.3b33464c475acp-12, 0x1.30c504509887dp-12, 0x1.269ce11808b5cp-12, 0x1.1cb93054dd44ap-12, 0x1.13184f9c921adp-12, 0x1.09b8a6322ae8fp-12, 0x1.0098a4d16e9ddp-12, 0x1.ef6d8af625ca9p-13, 0x1.de2316839376ap-13, 0x1.cd4f043073455p-13, 0x1.bcee7d3fae12ep-13, 0x1.acfebbf142389p-13, 0x1.9d7d0b2374c02p-13, 0x1.8e66c5f5bbf17p-13, 0x1.7fb9576d62541p-13, 0x1.71723a1bcd6cdp-13, 0x1.638ef7c677881p-13, 0x1.560d2910843dcp-13, 0x1.48ea7525f7cbbp-13, 0x1.3c24916886767p-13, 0x1.2fb9411df93ccp-13, 0x1.23a655201c28fp-13, 0x1.17e9ab8e39d96p-13, 0x1.0c812f801d0c7p-13, 0x1.016ad8ba89c5bp-13, 0x1.ed4956ca71b83p-14, 0x1.d8596f847ed85p-14, 0x1.c40233cdd82cep-14, 0x1.b03ff2ec13a84p-14, 0x1.9d0f12b7148bbp-14, 0x1.8a6c0f131b84ap-14, 0x1.7853796d8bfb9p-14, 0x1.66c1f83c5e1d4p-14, 0x1.55b446802e4e6p-14, 0x1.45273348e473p-14, 0x1.3517a13ce6fa2p-14, 0x1.25828622ce518p-14, 0x1.1664ea6d92472p-14, 0x1.07bbe8cb2264bp-14, 0x1.f3095b6acc0b5p-15, 0x1.d778ee0b23efp-15, 0x1.bcc12713a579cp-15, 0x1.a2dcc53a7398cp-15, 0x1.89c6a783d4bcep-15, 0x1.7179cc7aef7bfp-15, 0x1.59f1516ede51dp-15, 0x1.432871b401a6ap-15, }}, 
      {{0x1.9db1393eed077p-12, 0x1.98487c1b80cdbp-11, 0x1.289943d6ce252p-10, 0x1.73f6a93ccb06cp-10, 0x1.a32a4ce4b1647p-10, 0x1.aa552dcbc14a3p-10, 0x1.7e2044a1ca991p-10, 0x1.14c093281b396p-10, 0x1.9a7a9732f4577p-12, -0x1.22ac71d8c378p-11, -0x1.d598c845a722p-10, -0x1.b318470add06dp-9, -0x1.503d7c169f08ep-8, -0x1.d87a734afabb1p-8, -0x1.3872b74e806adp-7, -0x1.8bed9dbfbe54bp-7, -0x1.e5c507d585aa1p-7, -0x1.22819a9eea3d9p-6, -0x1.5457551cf8d16p-6, -0x1.87e8f0debf596p-6, -0x1.bcc0c7d040c75p-6, -0x1.f270c15df9edap-6, -0x1.144a109d955dbp-5, -0x1.2f6862839a2bcp-5, -0x1.4a6bf1c754a4fp-5, -0x1.65333057214a5p-5, -0x1.7fa26421232b5p-5, -0x1.99a380ad813c9p-5, -0x1.b325e4b14050dp-5, -0x1.cc1e029257641p-5, -0x1.e484f9f0f1323p-5, -0x1.fc5827690f30fp-5, -0x1.09cc57754503fp-4, -0x1.1525822030f5p-4, -0x1.203b3a5712f75p-4, -0x1.2b1259f608371p-4, -0x1.35b0b720223ebp-4, -0x1.401cf07e651d4p-4, -0x1.4a5e3d2291eb1p-4, -0x1.547c40551c369p-4, -0x1.5e7ee17311affp-4, -0x1.686e27e4cc8b6p-4, -0x1.72521b201ee16p-4, -0x1.7c32a697893c5p-4, -0x1.8617816b2a082p-4, -0x1.900819a6d7092p-4, -0x1.9a0b82d288d76p-4, -0x1.a42867966fcfap-4, -0x1.ae64fe323fd23p-4, -0x1.b8c6ff86f5bdfp-4, -0x1.c353a0736d6dap-4, -0x1.ce0f8d45fa81dp-4, -0x1.d8fee707f1327p-4, -0x1.e425426b26526p-4, -0x1.ef85a824d640dp-4, -0x1.fb2296852d9c7p-4, -0x1.037f020f1c45ap-3, -0x1.098cb1a87799ep-3, -0x1.0fbad34d46556p-3, -0x1.1609a2c004822p-3, -0x1.1c7920fc75bd1p-3, -0x1.2309171ee422cp-3, -0x1.29b91970f1c47p-3, -0x1.30888a9117652p-3, -0x1.37769eab2e14cp-3, -0x1.3e825eb9a9525p-3, -0x1.45aaabc82f448p-3, -0x1.4cee42313f2fep-3, -0x1.544bbcd17da9dp-3, -0x1.5bc1982c1acf5p-3, -0x1.634e357c724bfp-3, -0x1.6aefddb1b2474p-3, -0x1.72a4c451fc8c8p-3, -0x1.7a6b0a42e1724p-3, -0x1.8240c075a287p-3, -0x1.8a23ea75fbf3fp-3, -0x1.921280daace9cp-3, -0x1.9a0a73972285fp-3, -0x1.a209ac2e1af7ap-3, -0x1.aa0e0fc5194e9p-3, -0x1.b2158118fca43p-3, -0x1.ba1de253eda1cp-3, -0x1.c22516c5427b9p-3, -0x1.ca29047bd80adp-3, -0x1.d22795c3b23f7p-3, -0x1.da1eba8799ff6p-3, -0x1.e20c6997a26bep-3, -0x1.e9eea1d5795fcp-3, -0x1.f1c36b477c134p-3, -0x1.f988d813854fdp-3, -0x1.009e82b13c577p-2, -0x1.046f0e16c56e1p-2, -0x1.083528fb259bdp-2, -0x1.0beff4b53848fp-2, -0x1.0f9e997a32498p-2, -0x1.1340469cc915ap-2, -0x1.16d432c3b0f36p-2, -0x1.1a599c17f4b1ap-2, -0x1.1dcfc86b9081ep-2, -0x1.21360558d0cd6p-2, -0x1.248ba85ad94c9p-2, -0x1.27d00edfc8ecap-2, -0x1.2b029e54dad4fp-2, -0x1.2e22c42cf3d14p-2, -0x1.312ff5e1f102bp-2, -0x1.3429b0f11d6fap-2, -0x1.370f7ad3274a4p-2, -0x1.39e0e0efe2c54p-2, -0x1.3c9d788e3743dp-2, -0x1.3f44dec07b811p-2, -0x1.41d6b84d8ef74p-2, -0x1.4452b196f837ep-2, -0x1.46b87e7c49bb5p-2, -0x1.4907da3c0b2c9p-2, -0x1.4b4087526aeb5p-2, -0x1.4d624f55e5f1bp-2, -0x1.4f6d02d228f89p-2, -0x1.51607921526e7p-2, -0x1.533c9043cd8d8p-2, -0x1.55012cb6f36bdp-2, -0x1.56ae394a97689p-2, -0x1.5843a6f5ad247p-2, -0x1.59c16caa2dd76p-2, -0x1.5b2787285aebcp-2, -0x1.5c75f8d185e5ap-2, -0x1.5dacc97a79ba9p-2, -0x1.5ecc063da14fcp-2, -0x1.5fd3c14d0977ep-2, -0x1.60c411c4554d9p-2, -0x1.619d137abd8ddp-2, -0x1.625ee6d531cebp-2, -0x1.6309b098aa889p-2, -0x1.639d99bcc7348p-2, -0x1.641acf3ec3802p-2, -0x1.648181f4d0c7bp-2, -0x1.64d1e661ef1b7p-2, -0x1.650c348a41da5p-2, -0x1.6530a7c7fab73p-2, -0x1.653f7ea0dce95p-2, -0x1.6538fa9c67eeap-2, -0x1.651d601aaeb43p-2, -0x1.64ecf62be7777p-2, -0x1.64a80668b701fp-2, -0x1.644edccb423ffp-2, -0x1.63e1c78908636p-2, -0x1.636116ed8adb7p-2, -0x1.62cd1d35c9483p-2, -0x1.62262e6c932d1p-2, -0x1.616ca047b2e6ep-2, -0x1.60a0ca05f488ap-2, -0x1.5fc3044e082f1p-2, -0x1.5ed3a90e46d3ap-2, -0x1.5dd3135d5306bp-2, -0x1.5cc19f5b9bb93p-2, -0x1.5b9faa15be718p-2, -0x1.5a6d9167caaecp-2, -0x1.592bb3e162f59p-2, -0x1.57da70aabc66fp-2, -0x1.567a276a7c00ep-2, -0x1.550b382c6e741p-2, -0x1.538e03491aff4p-2, -0x1.5202e94e2c09bp-2, -0x1.506a4ae7adec9p-2, -0x1.4ec488ca22299p-2, -0x1.4d12039d6075bp-2, -0x1.4b531be84678fp-2, -0x1.498831fd324e6p-2, -0x1.47b1a5e745209p-2, -0x1.45cfd758697c8p-2, -0x1.43e325981ab74p-2, -0x1.41ebef72e9e2cp-2, -0x1.3fea932abe8d5p-2, -0x1.3ddf6e67ccb54p-2, -0x1.3bcade2a3f7e9p-2, -0x1.39ad3ebc91a18p-2, -0x1.3786eba69321dp-2, -0x1.35583fa117784p-2, -0x1.3321948a4756ap-2, -0x1.30e3435a93d5ap-2, -0x1.2e9da41a44712p-2, -0x1.2c510dd7a278cp-2, -0x1.29fdd69db612bp-2, -0x1.27a4536b94d3p-2, -0x1.2544d82c41744p-2, -0x1.22dfb7af1226p-2, -0x1.207543a09ddf7p-2, -0x1.1e05cc842da39p-2, -0x1.1b91a1adab1d3p-2, -0x1.1919113c0ad11p-2, -0x1.169c68142f41fp-2, -0x1.141bf1dc3c3b3p-2, -0x1.1197f8f75f189p-2, -0x1.0f10c681ff494p-2, -0x1.0c86a24e5cc73p-2, -0x1.09f9d2e19111cp-2, -0x1.076a9d70f3ffp-2, -0x1.04d945dfddc99p-2, -0x1.02460ebdc9701p-2, -0x1.ff62728992a5p-3, -0x1.fa360ab0b1394p-3, -0x1.f5076308ed25dp-3, -0x1.efd6f5fa32ca8p-3, -0x1.eaa53b3bcddecp-3, -0x1.e572a7d4723d9p-3, -0x1.e03fae1ad24f1p-3, -0x1.db0cbdb6bb25fp-3, -0x1.d5da43a2af462p-3, -0x1.d0a8aa2e00162p-3, -0x1.cb7858ff5e0efp-3, -0x1.c649b517d6e03p-3, -0x1.c11d20d6442a9p-3, -0x1.bbf2fbfb1cbf2p-3, -0x1.b6cba3aca9433p-3, -0x1.b1a7727b96f36p-3, -0x1.ac86c067e41e2p-3, -0x1.a769e2e61d8b5p-3, -0x1.a2512ce4ebef1p-3, -0x1.9d3ceed2f32a8p-3, -0x1.982d76a4eab8dp-3, -0x1.93230fdc0a8dfp-3, -0x1.8e1e038ca774dp-3, -0x1.891e986515ccp-3, -0x1.842512b4b9fffp-3, -0x1.7f31b47357787p-3, -0x1.7a44bd48871bfp-3, -0x1.755e6a935b8fap-3, -0x1.707ef7723334ep-3, -0x1.6ba69ccaae37bp-3, -0x1.66d59151c446fp-3, -0x1.620c0994001f7p-3, -0x1.5d4a37fdd2d78p-3, -0x1.58904ce405f2ep-3, -0x1.53de768c3ff03p-3, -0x1.4f34e135a095dp-3, -0x1.4a93b721725b8p-3, -0x1.45fb209be2dcbp-3, -0x1.416b4404d4ce2p-3, -0x1.3ce445d8af4edp-3, -0x1.386648b94256p-3, -0x1.33f16d76aa3fep-3, -0x1.2f85d31839826p-3, -0x1.2b2396e56a4cbp-3, -0x1.26cad46ec75acp-3, -0x1.227ba596dbd2cp-3, -0x1.1e36229b1cf9bp-3, -0x1.19fa621cd226p-3, -0x1.15c87929f142ep-3, -0x1.11a07b45fb531p-3, -0x1.0d827a72c83dfp-3, -0x1.096e87394ff8bp-3, -0x1.0564b0b260557p-3, -0x1.0165048f4d8b6p-3, -0x1.fadf1e451b45fp-4, -0x1.f308b6d09468ap-4, -0x1.eb46e61dbd99p-4, -0x1.e399bcfe8b754p-4, -0x1.dc0149cae84dbp-4, -0x1.d47d987149237p-4, -0x1.cd0eb2870fa21p-4, -0x1.c5b49f58c8eb1p-4, -0x1.be6f63fa49317p-4, -0x1.b73f035689c2dp-4, -0x1.b0237e3f63e14p-4, -0x1.a91cd37d2164fp-4, -0x1.a22affddc6fecp-4, -0x1.9b4dfe4450688p-4, -0x1.9485c7b791fb4p-4, -0x1.8dd2537108817p-4, -0x1.873396eb6114dp-4, -0x1.80a985f0d3994p-4, -0x1.7a3412a94681bp-4, -0x1.73d32da83c654p-4, -0x1.6d86c5fa8a2b1p-4, -0x1.674ec933d732fp-4, -0x1.612b237be4ac2p-4, -0x1.5b1bbf9b9e8fbp-4, -0x1.55208709f28d4p-4, -0x1.4f3961f86fe7p-4, -0x1.4966375fadc77p-4, -0x1.43a6ed0b791e3p-4, -0x1.3dfb67a6ca318p-4, -0x1.38638ac77ff4cp-4, -0x1.32df38f9e39abp-4, -0x1.2d6e53cbf2738p-4, -0x1.2810bbd86fd9ep-4, -0x1.22c650d1be203p-4, -0x1.1d8ef18c7df6ep-4, -0x1.186a7c09f7fdep-4, -0x1.1358cd824b66dp-4, -0x1.0e59c26e6749dp-4, -0x1.096d3691cacdp-4, -0x1.049305040f4a3p-4, -0x1.ff96107475baap-5, -0x1.f62a341fbaef7p-5, -0x1.ece2279fed6cbp-5, -0x1.e3bd9c7b4fa43p-5, -0x1.dabc43395db44p-5, -0x1.d1ddcb735d795p-5, -0x1.c921e3e48403cp-5, -0x1.c0883a79b66cfp-5, -0x1.b8107c60e2873p-5, -0x1.afba5617f347p-5, -0x1.a785737b624e7p-5, -0x1.9f717fd465317p-5, -0x1.977e25e6bb07p-5, -0x1.8fab0ffe16c1dp-5, -0x1.87f7e7fb302adp-5, -0x1.80645760703afp-5, -0x1.78f0075e468d2p-5, -0x1.719aa0df1f771p-5, -0x1.6a63cc9305563p-5, -0x1.634b32fae2837p-5, -0x1.5c507c73741cdp-5, -0x1.5573513fde839p-5, -0x1.4eb35993f4cc6p-5, -0x1.48103d9e29489p-5, -0x1.4189a5912b5f2p-5, -0x1.3b1f39ad38595p-5, -0x1.34d0a2491b41ap-5, -0x1.2e9d87dadea76p-5, -0x1.288593003262cp-5, -0x1.22886c8688dd7p-5, -0x1.1ca5bd72e7a86p-5, -0x1.16dd2f09704a4p-5, -0x1.112e6ad4a68e8p-5, -0x1.0b991aac6ad4ep-5, -0x1.061ce8bcb5c02p-5, -0x1.00b97f8c0f48cp-5, -0x1.f6dd14038753fp-6, -0x1.ec7766d7b578ap-6, -0x1.e2414f099dd9dp-6, -0x1.d83a24f20d44ap-6, -0x1.ce6141d827dafp-6, -0x1.c4b5fffb6d4fcp-6, -0x1.bb37ba9d50c61p-6, -0x1.b1e5ce0a5bdf5p-6, -0x1.a8bf97a2e61ffp-6, -0x1.9fc475e362123p-6, -0x1.96f3c86c3f735p-6, -0x1.8e4cf0096b903p-6, -0x1.85cf4eb96b997p-6, -0x1.7d7a47b4130b3p-6, -0x1.754d3f70e386ep-6, -0x1.6d479bad080cbp-6, -0x1.6568c370f8f2ap-6, -0x1.5db01f15cd87bp-6, -0x1.561d184a2eb69p-6, -0x1.4eaf1a17007ap-6, -0x1.476590e3b1f2fp-6, -0x1.403fea7a45033p-6, -0x1.393d960b07ccdp-6, -0x1.325e043000c94p-6, -0x1.2ba0a6f01752ep-6, -0x1.2504f1c1f3b38p-6, -0x1.1e8a598e98d4ap-6, -0x1.183054b3c2d39p-6, -0x1.11f65b05fbb28p-6, -0x1.0bdbe5d27a8e4p-6, -0x1.05e06fe0c0af5p-6, -0x1.00037574006abp-6, -0x1.f488e8988effp-7, -0x1.e945d74ee7f15p-7, -0x1.de3cb883f26acp-7, -0x1.d36c90aecb392p-7, -0x1.c8d4674588d97p-7, -0x1.be7346bd8e81p-7, -0x1.b4483c8b80db3p-7, -0x1.aa525922f197fp-7, -0x1.a090aff5a43dcp-7, -0x1.9702577286fbap-7, -0x1.8da669045b42bp-7, -0x1.847c01100e28p-7, -0x1.7b823ef2d007fp-7, -0x1.72b844ffd4e92p-7, -0x1.6a1d387de0cb7p-7, -0x1.61b041a483bf8p-7, -0x1.59708b9923532p-7, -0x1.515d446bbf089p-7, -0x1.49759d137de94p-7, -0x1.41b8c96b006d9p-7, -0x1.3a26002c88072p-7, -0x1.32bc7aeddd5e3p-7, -0x1.2b7b761c10d6dp-7, -0x1.246230f708004p-7, -0x1.1d6fed8ce017p-7, -0x1.16a3f0b52702bp-7, -0x1.0ffd820beb834p-7, -0x1.097bebeca836fp-7, -0x1.031e7b6d0ae0cp-7, -0x1.f9c900af318f7p-8, -0x1.ed9a9a4c69603p-8, -0x1.e1b06df90a0bep-8, -0x1.d6092b447d746p-8, -0x1.caa386faa8cbfp-8, -0x1.bf7e3b181aba1p-8, -0x1.b49806be0a36ap-8, -0x1.a9efae26285c2p-8, -0x1.9f83fa964ba97p-8, -0x1.9553ba53f46c2p-8, -0x1.8b5dc097af63ap-8, -0x1.81a0e5805775bp-8, -0x1.781c06063b3d3p-8, -0x1.6ece03ee28236p-8, -0x1.65b5c5bc5d445p-8, -0x1.5cd236a768169p-8, -0x1.5422468af107dp-8, -0x1.4ba4e9da72b4ep-8, -0x1.43591993e7d84p-8, -0x1.3b3dd33269bcdp-8, -0x1.335218a0c48f2p-8, -0x1.2b94f02c060d2p-8, -0x1.24056476040c6p-8, -0x1.1ca28467de375p-8, -0x1.156b6324805a7p-8, -0x1.0e5f17fb2078dp-8, -0x1.077cbe59c1a9bp-8, -0x1.00c375bfb58d6p-8, -0x1.f464c3604bd87p-9, -0x1.e7915349448c5p-9, -0x1.db0af1ff6847ap-9, -0x1.cecffdfefb131p-9, -0x1.c2dedd60c0d87p-9, -0x1.b735fdbf6511ep-9, -0x1.abd3d41cf86d1p-9, -0x1.a0b6dcc88b249p-9, -0x1.95dd9b43e7ffdp-9, -0x1.8b469a296ae8bp-9, -0x1.80f06b11fd38dp-9, -0x1.76d9a67b318d6p-9, -0x1.6d00ebad8b83fp-9, -0x1.6364e0a2e81dap-9, -0x1.5a0431ed171dp-9, -0x1.50dd929c97da8p-9, -0x1.47efbc2789e3bp-9, -0x1.3f396e50c502ep-9, -0x1.36b96f0f2511p-9, -0x1.2e6e8a7505a16p-9, -0x1.26579297ed871p-9, -0x1.1e735f7872165p-9, -0x1.16c0ceea476e3p-9, -0x1.0f3ec47c8f4p-9, -0x1.07ec2962549f3p-9, -0x1.00c7ec5b45be4p-9, -0x1.f3a2033941ccp-10, -0x1.e60cc574beb3cp-10, -0x1.d8ce1d2126ecp-10, -0x1.cbe4125a0a958p-10, -0x1.bf4cb77214a8p-10, -0x1.b30628c727975p-10, -0x1.a70e8c96fed3cp-10, -0x1.9b6412d43a1fcp-10, -0x1.9004f4fbf1221p-10, -0x1.84ef75ebb42d7p-10, -0x1.7a21e1b810c42p-10, -0x1.6f9a8d8388f21p-10, -0x1.6557d75614041p-10, -0x1.5b5825f505b31p-10, -0x1.5199e8bb8c2ecp-10, -0x1.481b9773901c3p-10, -0x1.3edbb22f25d24p-10, -0x1.35d8c12273ad9p-10, -0x1.2d11547e10ddap-10, -0x1.24840449e7ecap-10, -0x1.1c2f704092e02p-10, -0x1.14123fab3573ap-10, -0x1.0c2b213dcfcbep-10, -0x1.0478caf414c7ep-10, -0x1.f9f3f3dd61263p-11, -0x1.eb5ae4a22c328p-11, -0x1.dd23fe3f7ffd2p-11, -0x1.cf4ce43ddeb6ep-11, -0x1.c1d34763c4fb3p-11, -0x1.b4b4e5750ba3dp-11, -0x1.a7ef88f33c21dp-11, -0x1.9b8108ded1809p-11, -0x1.8f6748796c609p-11, -0x1.83a03708f0755p-11, -0x1.7829cf9b907acp-11, -0x1.6d0218ccc339ep-11, -0x1.6227248b20f08p-11, -0x1.57970fdf291b8p-11, -0x1.4d5002b2eb3c5p-11, -0x1.43502f9a95c1p-11, -0x1.3995d39de3d9cp-11, -0x1.301f36026cef7p-11, -0x1.26eaa816d101cp-11, -0x1.1df684fec13e4p-11, -0x1.1541317fe2919p-11, -0x1.0cc91bcf877ep-11, -0x1.048cbb613fdd9p-11, -0x1.f915216c7b53fp-12, -0x1.e9824a5b10824p-12, -0x1.da5e15aa05c5p-12, -0x1.cba5b8767b377p-12, -0x1.bd56788423fe8p-12, -0x1.af6dabe413aebp-12, -0x1.a1e8b89d154f6p-12, -0x1.94c514558ce2ap-12, -0x1.880043fedfd5bp-12, -0x1.7b97db8256d9p-12, -0x1.6f897d6f81ad2p-12, -0x1.63d2daac0d95bp-12, -0x1.5871b2250d8a7p-12, -0x1.4d63d081b2cdep-12, -0x1.42a70fd76c001p-12, -0x1.3839575f68e14p-12, -0x1.2e189b2d7dcf1p-12, -0x1.2442dbe8627c7p-12, -0x1.1ab62683467c4p-12, -0x1.117093f8b95dcp-12, -0x1.08704906dc73ap-12, -0x1.ff66ebd9c022ap-13, -0x1.ee70ac538a169p-13, -0x1.ddfa6078b76fcp-13, -0x1.ce00aac8ff156p-13, -0x1.be8042cb0c90fp-13, -0x1.af75f493cbf57p-13, -0x1.a0dea05006725p-13, -0x1.92b739d057af3p-13, -0x1.84fcc817681d9p-13, -0x1.77ac64ea67c0fp-13, -0x1.6ac33c63c4053p-13, -0x1.5e3e8c8803ec2p-13, -0x1.521ba4dcd560cp-13, -0x1.4657e6022d114p-13, -0x1.3af0c14d81d03p-13, -0x1.2fe3b86710943p-13, -0x1.252e5ce92493fp-13, -0x1.1ace50015efe3p-13, -0x1.10c14213e9966p-13, -0x1.0704f2609c50bp-13, -0x1.fb2e5d54009fcp-14, -0x1.e8eba5bc608a1p-14, -0x1.d73d918316c2fp-14, -0x1.c6200f366019dp-14, -0x1.b58f27c679232p-14, -0x1.a586fde594131p-14, -0x1.9603cd6b367dcp-14, -0x1.8701eabaeb88p-14, -0x1.787dc22e41b5fp-14, -0x1.6a73d782019a4p-14, -0x1.5ce0c5468fb6p-14, -0x1.4fc13c536a668p-14, -0x1.4312033db6e99p-14, -0x1.36cff5d1cdf95p-14, -0x1.2af8048fba214p-14, -0x1.1f87342a9ad3ap-14, -0x1.147a9d0add79fp-14, -0x1.09cf6ad33fb5ep-14, -0x1.ff05b7d11bb58p-15, -0x1.eb2481f81e0efp-15, -0x1.d7f5f931259f2p-15, -0x1.c5750564297b3p-15, -0x1.b39cb06fcdd24p-15, -0x1.a2682552b0ebp-15, -0x1.91d2af599715ap-15, -0x1.81d7b9525cb7p-15, -0x1.7272ccc39871ep-15, -0x1.639f9128d154ep-15, -0x1.5559cb3338d5cp-15, -0x1.479d5c0ecb6c2p-15, -0x1.3a6640abc2e4ep-15, -0x1.2db0910c48c79p-15, -0x1.21787f964a8a9p-15, -0x1.15ba586963b0dp-15, -0x1.0a7280b8bf32cp-15, -0x1.ff3aec51c72b9p-16, -0x1.ea6f9c629ec93p-16, -0x1.d67c6b03aa35p-16, -0x1.c35aded740544p-16, -0x1.b104aa9ba7fd5p-16, -0x1.9f73ac0b55539p-16, -0x1.8ea1eac40dfdbp-16, -0x1.7e899734cb23ap-16, -0x1.6f2509922df7dp-16, -0x1.606ec0d16cdb1p-16, -0x1.526161a990087p-16, -0x1.44f7b59ad909bp-16, -0x1.382ca9fc3d2b9p-16, -0x1.2bfb4f0ec3652p-16, -0x1.205ed716ac777p-16, -0x1.1552957a49e6p-16, -0x1.0ad1fde657195p-16, -0x1.00d8a377bf0e9p-16, -0x1.eec46fd55f2f7p-17, -0x1.dcd5159dadbb3p-17, -0x1.cbdb118163d63p-17, -0x1.bbce754f9d6dep-17, -0x1.aca789f3c27cbp-17, -0x1.9e5ece052d96fp-17, -0x1.90ecf4600df4fp-17, -0x1.844ae2c74cc5bp-17, -0x1.7871b08f4a8e5p-17, -0x1.6d5aa5513c61ep-17, -0x1.62ff37a6f39eep-17, -0x1.59590beee0a31p-17, -0x1.5061f3181c953p-17, -0x1.4813e97657f66p-17, -0x1.4069159d65359p-17, -0x1.395bc7444e421p-17, }}, 
      {{0x1.b7d2cc714e5fp-1, 0x1.b7c808932f51ep-1, 0x1.b7a9ee1005285p-1, 0x1.b76ee755f1de1p-1, 0x1.b7108e56a9fdep-1, 0x1.b68c0a46b9388p-1, 0x1.b5e187f2f4657p-1, 0x1.b513635c42964p-1, 0x1.b4254f0fe37a8p-1, 0x1.b31b9bb05d373p-1, 0x1.b1faab2b9b408p-1, 0x1.b0c68f4a7a6f8p-1, 0x1.af82cddbdef6fp-1, 0x1.ae3242de62dd6p-1, 0x1.acd71906ddf25p-1, 0x1.ab72d1dcc6c3cp-1, 0x1.aa0657d357cfap-1, 0x1.a89215fd0460dp-1, 0x1.a7161211c8a8ap-1, 0x1.a59206718b937p-1, 0x1.a4057a8f225a1p-1, 0x1.a26fd8c95989p-1, 0x1.a0d0812b1b2a3p-1, 0x1.9f26d8e0696e7p-1, 0x1.9d7256698b34ap-1, 0x1.9bb28abd992abp-1, 0x1.99e727a65d99dp-1, 0x1.981003accf951p-1, 0x1.962d1bf28eadp-1, 0x1.943e9453ffb26p-1, 0x1.9244b62a061p-1, 0x1.903fedfb24758p-1, 0x1.8e30c8634e4c3p-1, 0x1.8c17ee708bf07p-1, 0x1.89f621a974bbdp-1, 0x1.87cc37e9b578bp-1, 0x1.859b1738b529bp-1, 0x1.8363b1b7071fdp-1, 0x1.812701b8c6382p-1, 0x1.7ee6061d45c89p-1, 0x1.7ca1beef9ffc6p-1, 0x1.7a5b2a5792a33p-1, 0x1.781341deb6303p-1, 0x1.75caf80b60064p-1, 0x1.738336504c061p-1, 0x1.713cdb4e8784fp-1, 0x1.6ef8b965c7253p-1, 0x1.6cb7958e70be5p-1, 0x1.6a7a26780a54dp-1, 0x1.684113e65952bp-1, 0x1.660cf64757963p-1, 0x1.63de567c26585p-1, 0x1.61b5adcf36c0fp-1, 0x1.5f9366122116bp-1, 0x1.5d77d9dddf809p-1, 0x1.5b6354f076da9p-1, 0x1.595614a36da8dp-1, 0x1.57504876ce71dp-1, 0x1.555212acd4dd1p-1, 0x1.535b88f2b6f78p-1, 0x1.516cb513658ep-1, 0x1.4f8595b168015p-1, 0x1.4da61f0552c68p-1, 0x1.4bce3b9ea417cp-1, 0x1.49fdcd2516832p-1, 0x1.4834ad18c1cf2p-1, 0x1.4672ad8f9b315p-1, 0x1.44b799ef20f8ep-1, 0x1.430337a12d191p-1, 0x1.415546c31c1f8p-1, 0x1.3fad82ce9aa6ap-1, 0x1.3e0ba33b923dep-1, 0x1.3c6f5c1acf4f2p-1, 0x1.3ad85ea913415p-1, 0x1.394659da651c6p-1, 0x1.37b8fadd80216p-1, 0x1.362fed975a67ep-1, 0x1.34aadd16ca50fp-1, 0x1.332974005fb49p-1, 0x1.31ab5cf290abcp-1, 0x1.303042e2662a8p-1, 0x1.2eb7d170d9ac4p-1, 0x1.2d41b5391f524p-1, 0x1.2bcd9c1817d2cp-1, 0x1.2a5b356d2e661p-1, 0x1.28ea3254e9b6fp-1, 0x1.277a45dd73cb1p-1, 0x1.260b25356568fp-1, 0x1.249c87d51a797p-1, 0x1.232e27a2ddad7p-1, 0x1.21bfc11230acbp-1, 0x1.2051133e787dfp-1, 0x1.1ee1e00159ce1p-1, 0x1.1d71ec0504a31p-1, 0x1.1c00fed2b612p-1, 0x1.1a8ee2ddb1b7dp-1, 0x1.191b658aefa6bp-1, 0x1.17a65735c0c01p-1, 0x1.162f8b319d619p-1, 0x1.14b6d7c95d481p-1, 0x1.133c163c0baf1p-1, 0x1.11bf22b7895d5p-1, 0x1.103fdc5130bdcp-1, 0x1.0ebe24fcaa31cp-1, 0x1.0d39e18119851p-1, 0x1.0bb2f96cd23eap-1, 0x1.0a295707b8a36p-1, 0x1.089ce74473411p-1, 0x1.070d99b09345cp-1, 0x1.057b6063d0722p-1, 0x1.03e62fee7b9d8p-1, 0x1.024dff4741be9p-1, 0x1.00b2c7b85af56p-1, 0x1.fe2909988065bp-2, 0x1.fae66873fa848p-2, 0x1.f79daba26b469p-2, 0x1.f44ed6cbe06f6p-2, 0x1.f0f9f178795a4p-2, 0x1.ed9f06e785633p-2, 0x1.ea3e25e69ad56p-2, 0x1.e6d760a8bbec9p-2, 0x1.e36acc9dab563p-2, 0x1.dff8824984de1p-2, 0x1.dc809d1cb0b48p-2, 0x1.d9033b4c46dacp-2, 0x1.d5807daaf3dd6p-2, 0x1.d1f887826e3ffp-2, 0x1.ce6b7e6d8ce19p-2, 0x1.cad98a330b8a4p-2, 0x1.c742d4a107c02p-2, 0x1.c3a789693eaf1p-2, 0x1.c007d5fe1a36ep-2, 0x1.bc63e9708fc23p-2, 0x1.b8bbf44ed8617p-2, 0x1.b510288408c1bp-2, 0x1.b160b9388e47p-2, 0x1.adaddab390694p-2, 0x1.a9f7c23d3fffcp-2, 0x1.a63ea6020e53ep-2, 0x1.a282bcf6d4c6cp-2, 0x1.9ec43ebde7516p-2, 0x1.9b03638d1808cp-2, 0x1.97406414a49b8p-2, 0x1.937b7967114dfp-2, 0x1.8fb4dce1ed0f5p-2, 0x1.8becc81780da1p-2, 0x1.882374b96275fp-2, 0x1.84591c83eb7b6p-2, 0x1.808df92a8fc34p-2, 0x1.7cc244451504ap-2, 0x1.78f6373d9cac4p-2, 0x1.752a0b3f8bce1p-2, 0x1.715df9273f28ep-2, 0x1.6d9239728f305p-2, 0x1.69c704321e672p-2, 0x1.65fc90fb69acdp-2, 0x1.623316db9f566p-2, 0x1.5e6acc4b2a287p-2, 0x1.5aa3e721fd643p-2, 0x1.56de9c8c8a275p-2, 0x1.531b21016bc1cp-2, 0x1.4f59a837b573cp-2, 0x1.4b9a651dec22bp-2, 0x1.47dd89d1998bap-2, 0x1.442347977f8cep-2, 0x1.406bced45ec5p-2, 0x1.3cb74f064f35ep-2, 0x1.3905f6bea847ep-2, 0x1.3557f39c6c4dcp-2, 0x1.31ad72473db0dp-2, 0x1.2e069e6acd0fcp-2, 0x1.2a63a2b2c758ap-2, 0x1.26c4a8c736adap-2, 0x1.2329d9495683ap-2, 0x1.1f935bd0d381bp-2, 0x1.1c0156e97720fp-2, 0x1.1873f0113722bp-2, 0x1.14eb4bb6a4764p-2, 0x1.11678d37bb512p-2, 0x1.0de8d6e10585fp-2, 0x1.0a6f49ed19a73p-2, 0x1.06fb06846640ep-2, 0x1.038c2bbd4cac2p-2, 0x1.0022d79c86371p-2, 0x1.f97e4e2b9d939p-3, 0x1.f2c26c19aa10ap-3, 0x1.ec123eacce4cap-3, 0x1.e56df973bf004p-3, 0x1.ded5cde5921d9p-3, 0x1.d849eb657226dp-3, 0x1.d1ca7f46bf79p-3, 0x1.cb57b4d18a6d4p-3, 0x1.c4f1b54770df8p-3, 0x1.be98a7e8c9febp-3, 0x1.b84cb1fa276ecp-3, 0x1.b20df6ca2210ep-3, 0x1.abdc97b76a85ap-3, 0x1.a5b8b4371c89bp-3, 0x1.9fa269db53697p-3, 0x1.9999d459edf43p-3, 0x1.939f0d9390e39p-3, 0x1.8db22d9ad1b8dp-3, 0x1.87d34abb8f579p-3, 0x1.82027982793f4p-3, 0x1.7c3fccc4ada32p-3, 0x1.768b55a78620ep-3, 0x1.70e523a878b22p-3, 0x1.6b4d44a516867p-3, 0x1.65c3c4e31ff97p-3, 0x1.6048af18abe2bp-3, 0x1.5adc0c74607dbp-3, 0x1.557de4a5ba646p-3, 0x1.502e3de55a92ep-3, 0x1.4aed1cfd65225p-3, 0x1.45ba8551dc7e6p-3, 0x1.409678e90647cp-3, 0x1.3b80f873ce75p-3, 0x1.367a03562c34dp-3, 0x1.318197af834cp-3, 0x1.2c97b262fae5ap-3, 0x1.27bc4f1fd8c86p-3, 0x1.22ef6869c8517p-3, 0x1.1e30f7a11fac7p-3, 0x1.1980f50b14555p-3, 0x1.14df57d9e2689p-3, 0x1.104c1634ec08ap-3, 0x1.0bc72540be5fep-3, 0x1.0750792709711p-3, 0x1.02e8051e8b973p-3, 0x1.fd1b76e5be3a7p-4, 0x1.f4831b1871c3bp-4, 0x1.ec06d7ee23bd6p-4, 0x1.e3a68cd76c98cp-4, 0x1.db6217ab8116ap-4, 0x1.d33954b6f8994p-4, 0x1.cb2c1eca5b2bp-4, 0x1.c33a4f4880048p-4, 0x1.bb63be34b58adp-4, 0x1.b3a84240bd516p-4, 0x1.ac07b0da81be8p-4, 0x1.a481de39a176dp-4, 0x1.9d169d6cbb738p-4, 0x1.95c5c06682cdbp-4, 0x1.8e8f180a9d686p-4, 0x1.8772743a439fcp-4, 0x1.806fa3e0a725dp-4, 0x1.798674ff1f1cep-4, 0x1.72b6b4b91780fp-4, 0x1.6c002f5fc709dp-4, 0x1.6562b07da6f45p-4, 0x1.5ede02e1b0e98p-4, 0x1.5871f0aa5f818p-4, 0x1.521e4350737c5p-4, 0x1.4be2c3b17cfe1p-4, 0x1.45bf3a1a28a03p-4, 0x1.3fb36e5051c14p-4, 0x1.39bf279cd8233p-4, 0x1.33e22cd53ba83p-4, 0x1.2e1c4464fbb92p-4, 0x1.286d3456be059p-4, 0x1.22d4c25d39742p-4, 0x1.1d52b3dbe7e5bp-4, 0x1.17e6cdef7ecc5p-4, 0x1.1290d5762f1c5p-4, 0x1.0d508f17ac6acp-4, 0x1.0825bf4cfc1a7p-4, 0x1.03102a680e59fp-4, 0x1.fc1f29364023p-5, 0x1.f24783ffcb262p-5, 0x1.e898ed3d03d8ep-5, 0x1.df12ece890142p-5, 0x1.d5b50af490f67p-5, 0x1.cc7ecf5756478p-5, 0x1.c36fc217aefd2p-5, 0x1.ba876b58d3b76p-5, 0x1.b1c55365eeb8cp-5, 0x1.a92902bd43764p-5, 0x1.a0b2021af8eacp-5, 0x1.985fda83810bfp-5, 0x1.9032154da7951p-5, 0x1.88283c2c45b15p-5, 0x1.8041d9379adf6p-5, 0x1.787e76f64ddefp-5, 0x1.70dda0661a957p-5, 0x1.695ee104263a5p-5, 0x1.6201c4d5050d3p-5, 0x1.5ac5d86c6d5d5p-5, 0x1.53aaa8f49787bp-5, 0x1.4cafc435562ebp-5, 0x1.45d4b89ada00bp-5, 0x1.3f19153c313c1p-5, 0x1.387c69e17917ep-5, 0x1.31fe4709c981fp-5, 0x1.2b9e3df0da7e8p-5, 0x1.255be09461c14p-5, 0x1.1f36c1b931ffep-5, 0x1.192e74f0143fdp-5, 0x1.13428e9a62297p-5, 0x1.0d72a3ee62c8bp-5, 0x1.07be4afb69068p-5, 0x1.02251aadb5448p-5, 0x1.f94d55a440ddfp-6, 0x1.ee85283312f88p-6, 0x1.e3f0e0381f1c2p-6, 0x1.d98fb2b826258p-6, 0x1.cf60d69209e0dp-6, 0x1.c5638484033acp-6, 0x1.bb96f7307268cp-6, 0x1.b1fa6b2250c5cp-6, 0x1.a88d1ed147e86p-6, 0x1.9f4e52a564ccdp-6, 0x1.963d48fa795ep-6, 0x1.8d5946232770bp-6, 0x1.84a1906b92611p-6, 0x1.7c15701bc4afcp-6, 0x1.73b42f79c5676p-6, 0x1.6b7d1acb6181fp-6, 0x1.636f8057aa032p-6, 0x1.5b8ab0682c682p-6, 0x1.53cdfd49e1346p-6, 0x1.4c38bb4ddf629p-6, 0x1.44ca40c9c80e6p-6, 0x1.3d81e617f4e62p-6, 0x1.365f05976b803p-6, 0x1.2f60fbab96486p-6, 0x1.288726bbc46dbp-6, 0x1.21d0e732701c8p-6, 0x1.1b3d9f7c57af3p-6, 0x1.14ccb4075d2b1p-6, 0x1.0e7d8b4138001p-6, 0x1.084f8d95f9bf2p-6, 0x1.0242256e6242bp-6, 0x1.f8a97e5c160d7p-7, 0x1.ed0d9262d360cp-7, 0x1.e1af67974dea5p-7, 0x1.d68de288aa457p-7, 0x1.cba7eba9f7753p-7, 0x1.c0fc6f4d0dcf7p-7, 0x1.b68a5d9d1f181p-7, 0x1.ac50aa9912899p-7, 0x1.a24e4e0d9375cp-7, 0x1.9882438efb4efp-7, 0x1.8eeb8a72f552cp-7, 0x1.858925c9ee224p-7, 0x1.7c5a1c585d5a9p-7, 0x1.735d788fd2a88p-7, 0x1.6a924887dfadbp-7, 0x1.61f79df6d0a32p-7, 0x1.598c8e2a476ep-7, 0x1.515031ff9fd0fp-7, 0x1.4941a5dc485b5p-7, 0x1.416009a5e1387p-7, 0x1.39aa80ba52d53p-7, 0x1.322031e7b65c2p-7, 0x1.2ac047642d962p-7, 0x1.2389eec59e818p-7, 0x1.1c7c58f9581c2p-7, 0x1.1596ba3ba379fp-7, 0x1.0ed84a0f402a9p-7, 0x1.08404334d0287p-7, 0x1.01cde3a23373bp-7, 0x1.f700d8f3abc5cp-8, 0x1.eaae4403e049ap-8, 0x1.dea297377b484p-8, 0x1.d2dc677551f9ep-8, 0x1.c75a4fb6e121ep-8, 0x1.bc1af0f686738p-8, 0x1.b11cf21db1853p-8, 0x1.a65efff30c09dp-8, 0x1.9bdfcd089a289p-8, 0x1.919e11a9da447p-8, 0x1.87988bc9e11b3p-8, 0x1.7dcdfef17824ap-8, 0x1.743d342d3fe2ep-8, 0x1.6ae4f9fbd5933p-8, 0x1.61c4243c01e0ap-8, 0x1.58d98c1aeee81p-8, 0x1.502410026bbf8p-8, 0x1.47a293873aaefp-8, 0x1.3f53ff576dc47p-8, 0x1.37374128d56c1p-8, 0x1.2f4b4ba77df2ap-8, 0x1.278f166442b4dp-8, 0x1.20019dc373e27p-8, 0x1.18a1e2eb92c5dp-8, 0x1.116eebb42568ap-8, 0x1.0a67c294a224cp-8, 0x1.038b769375ab9p-8, 0x1.f9b2366a43124p-9, 0x1.ec9f90d6f33d5p-9, 0x1.dfdd3509f673bp-9, 0x1.d369643887f4fp-9, 0x1.c742680f4b6cdp-9, 0x1.bb669291b7b86p-9, 0x1.afd43df9bde76p-9, 0x1.a489cc97b33bdp-9, 0x1.9985a8b283c81p-9, 0x1.8ec644681f98dp-9, 0x1.844a198e38effp-9, 0x1.7a0fa993421c3p-9, 0x1.70157d5fb7e09p-9, 0x1.665a2537b2ca5p-9, 0x1.5cdc389cc3661p-9, 0x1.539a56301b94fp-9, 0x1.4a932394ff6p-9, 0x1.41c54d5389ad4p-9, 0x1.392f86bbb6c2dp-9, 0x1.30d089c8c18aap-9, 0x1.28a71704ccd64p-9, 0x1.20b1f56cde431p-9, 0x1.18eff25526ce7p-9, 0x1.115fe14d9a3a1p-9, 0x1.0a009c06d9c15p-9, 0x1.02d102376bee5p-9, 0x1.f79ff3028aff3p-10, 0x1.e9f8daaf4e9ebp-10, 0x1.dcaa9dca8ad2dp-10, 0x1.cfb329e58d06fp-10, 0x1.c310779b2129dp-10, 0x1.b6c08a5dcabeap-10, 0x1.aac17046a9101p-10, 0x1.9f1141e4f002bp-10, 0x1.93ae220e0f6acp-10, 0x1.88963dae7380ep-10, 0x1.7dc7cb9ae6587p-10, 0x1.73410c629376ap-10, 0x1.69004a21aa2ap-10, 0x1.5f03d854a203ap-10, 0x1.554a13ac174e9p-10, 0x1.4bd161e14d0a4p-10, 0x1.4298318b4141bp-10, 0x1.399cf9f46da6ep-10, 0x1.30de3af10f495p-10, 0x1.285a7cb61bbp-10, 0x1.20104fb0c4f11p-10, 0x1.17fe4c5e95c81p-10, 0x1.102313262c6d1p-10, 0x1.087d4c3083489p-10, 0x1.010ba742d5243p-10, 0x1.f399b7322cd9cp-11, 0x1.e57f4f81f50a8p-11, 0x1.d7c5a2eb23fa8p-11, 0x1.ca6a4af6ed14dp-11, 0x1.bd6aeefb0ee76p-11, 0x1.b0c543d466952p-11, 0x1.a4770ba29faecp-11, 0x1.987e1584fa5e1p-11, 0x1.8cd83d582569dp-11, 0x1.81836b752cf8dp-11, 0x1.767d947175bebp-11, 0x1.6bc4b8dfc7f3cp-11, 0x1.6156e512614f6p-11, 0x1.573230de10f2bp-11, 0x1.4d54bf5e55276p-11, 0x1.43bcbeba7da7dp-11, 0x1.3a6867ebc9a6ap-11, 0x1.3155fe84844b5p-11, 0x1.2883d07817f9dp-11, 0x1.1ff035e41987bp-11, 0x1.179990da46681p-11, 0x1.0f7e4d2b71fcfp-11, 0x1.079ce03361989p-11, 0x1.ffe7914b26446p-12, 0x1.f1031cb5d4a11p-12, 0x1.e28984408799ap-12, 0x1.d477fb0bd1addp-12, 0x1.c6cbc55fc748cp-12, 0x1.b982384e5ccb1p-12, 0x1.ac98b9577561ep-12, 0x1.a00cbe0ea4e8cp-12, 0x1.93dbcbc28e545p-12, 0x1.88037725edf3bp-12, 0x1.7c8163fa35de3p-12, 0x1.715344bbc51b6p-12, 0x1.6676da4face97p-12, 0x1.5be9f3b2ff2d3p-12, 0x1.51aa6daba3cc9p-12, 0x1.47b6327aaa22bp-12, 0x1.3e0b399015a88p-12, 0x1.34a787401ccf8p-12, 0x1.2b892c79d8b49p-12, 0x1.22ae467f590efp-12, 0x1.1a14fe9f20dc8p-12, 0x1.11bb89eefc7a6p-12, 0x1.09a029083285ap-12, 0x1.01c127c507667p-12, 0x1.f439b9ff1ef4cp-13, 0x1.e56354a38f815p-13, 0x1.d6fbf7adebe11p-13, 0x1.c9008fdc85d1ep-13, 0x1.bb6e1dfd20c23p-13, 0x1.ae41b67706303p-13, 0x1.a17880d7791ebp-13, 0x1.950fb76078697p-13, 0x1.8904a699d4799p-13, 0x1.7d54ace47d54ep-13, 0x1.71fd3a101122dp-13, 0x1.66fbcef29108ep-13, 0x1.5c4dfd023c5d9p-13, 0x1.51f165f18afdfp-13, 0x1.47e3bb4d33db4p-13, 0x1.3e22be1c435acp-13, 0x1.34ac3e8229365p-13, 0x1.2b7e1b62c42bfp-13, 0x1.229642085b44ep-13, 0x1.19f2adcb764c5p-13, 0x1.119167bc9bc26p-13, 0x1.0970864fe1625p-13, 0x1.018e2d0a3f048p-13, 0x1.f3d118617127ep-14, 0x1.e4fbc0f25ce8ap-14, 0x1.d698e579e7bbfp-14, 0x1.c8a52f5a0383bp-14, 0x1.bb1d5f0fb7a5bp-14, 0x1.adfe4ba20e8fep-14, 0x1.a144e2142ef71p-14, 0x1.94ee24daa045ap-14, 0x1.88f72b538401ap-14, 0x1.7d5d2141d9f6p-14, 0x1.721d464baeb18p-14, 0x1.6734ed7b29e9cp-14, 0x1.5ca17cc27024fp-14, 0x1.52606c8247745p-14, 0x1.486f471373e5fp-14, 0x1.3ecba852bda0fp-14, 0x1.35733d2f92143p-14, 0x1.2c63c33d3596dp-14, 0x1.239b084676873p-14, 0x1.1b16e9e3d7a2dp-14, 0x1.12d5551421ec3p-14, 0x1.0ad445d75577ep-14, 0x1.0311c6cbeae64p-14, 0x1.f717e19cb3a84p-15, 0x1.e881d535b56bdp-15, 0x1.da5dd0e2a8e3p-15, 0x1.cca85776dfe5ap-15, 0x1.bf5e056983655p-15, 0x1.b27b902a033e5p-15, 0x1.a5fdc578887e5p-15, 0x1.99e18ac25b5b1p-15, 0x1.8e23dc821e964p-15, 0x1.82c1cda3d7a7fp-15, 0x1.77b886eca6256p-15, 0x1.6d0546661917cp-15, 0x1.62a55ecd14377p-15, 0x1.58963704294bbp-15, 0x1.4ed549895ae2p-15, 0x1.456023ef30fp-15, 0x1.3c3466590e71ep-15, 0x1.334fc2faba54bp-15, 0x1.2aaffd9b01babp-15, 0x1.2252eb196c0ap-15, 0x1.1a3670f6ea11ep-15, 0x1.125884e1706cfp-15, 0x1.0ab72c426fcb5p-15, 0x1.03507bd0169bcp-15, 0x1.f8452e42a6234p-16, 0x1.ea576088fc38bp-16, 0x1.dcd40eb14f804p-16, 0x1.cfb7d452e4de4p-16, 0x1.c2ff679ad831ap-16, 0x1.b6a7988dc07eep-16, 0x1.aaad504e0eacfp-16, 0x1.9f0d90672b266p-16, 0x1.93c5721d15d6ap-16, 0x1.88d225c08e486p-16, 0x1.7e30f20792e5p-16, 0x1.73df336a28ea8p-16, 0x1.69da5b8351b84p-16, 0x1.601ff07614f07p-16, 0x1.56ad8c5688617p-16, 0x1.4d80dc96bf5e9p-16, 0x1.4497a17783fe9p-16, 0x1.3befad7ccf701p-16, 0x1.3386e4e5e0f73p-16, 0x1.2b5b3d28e301ap-16, 0x1.236abc7207fa8p-16, 0x1.1bb379260ab11p-16, 0x1.14339967fbfb8p-16, 0x1.0ce952a25156bp-16, 0x1.05d2e913107a1p-16, 0x1.fddd5eb634158p-17, 0x1.f0760c20e03b3p-17, 0x1.e36cb6a6dce4dp-17, 0x1.d6be54cdbf04dp-17, 0x1.ca67f695bb9f2p-17, 0x1.be66c4b4e0522p-17, 0x1.b2b7ffd7a0a58p-17, 0x1.a758ffe69b4b1p-17, 0x1.9c47335163714p-17, 0x1.91801e5e4f96ep-17, 0x1.87015a7f171ep-17, 0x1.7cc895aa1d76ep-17, 0x1.72d391b8623edp-17, 0x1.692023c7e5525p-17, 0x1.5fac33a2762dp-17, 0x1.5675bb28b09f4p-17, 0x1.4d7ac5c1415e3p-17, 0x1.44b96fcc1b866p-17, 0x1.3c2fe619b6da2p-17, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
    }}, 
    {
      50, 0x1.2d4245f5ad96ap+2, 0x1.f947d18a2ab0cp+0, 0x1.35f10a679ea84p+2, -0x1.bd012b5ff3afp-5, 
      {{
        {0x1.88f5c28f5c28fp+1, 0x1.8d26b286d0694p+1, 0x1.ef734c6417e8cp-3, -0x1.2b5e9e6f21cdp-1, 0x1.2770d1687e63p-1, 0x1.76ac1b4ada452p-4}, 
        {0x1.8d26b286d0694p+1, 0x1.9157a27e44a98p+1, 0x1.c983af4c89459p-3, -0x1.17df18d617f4cp-1, 0x1.2c0a8d55d73a8p-1, -0x1.d457221d72a73p-2}, 
        {0x1.9157a27e44a98p+1, 0x1.9588928b3278ap+1, 0x1.a61cc7699420ep-3, -0x1.04f9d3d4641e6p-1, 0x1.1509e1b31c80ep-1, -0x1.29fce0a0380b4p-2}, 
        {0x1.9588928b3278ap+1, 0x1.99b98282a6b8ep+1, 0x1.85193bfffa3a9p-3, -0x1.e6a01b4af95bcp-2, 0x1.066722a8e1fep-1, -0x1.441808ef47aa8p-2}, 
        {0x1.99b98282a6b8ep+1, 0x1.9dea727a1af93p+1, 0x1.6655639254339p-3, -0x1.c54cc844ba151p-2, 0x1.ecf84aaaffdap-2, -0x1.2a3a718cc3d3dp-2}, 
        {0x1.9dea727a1af93p+1, 0x1.a21b62718f397p+1, 0x1.49af3901ee05ap-3, -0x1.a5f9e08da5214p-2, 0x1.cfacc0f90c2d8p-2, -0x1.1ec44a7eff6a3p-2}, 
        {0x1.a21b62718f397p+1, 0x1.a64c52690379bp+1, 0x1.2f06508d4762p-3, -0x1.8888a7f63777bp-2, 0x1.b3817052a264p-2, -0x1.0ff653bfa464p-2}, 
        {0x1.a64c52690379bp+1, 0x1.aa7d426077b9fp+1, 0x1.163bcc89dbe16p-3, -0x1.6ce37dddc395bp-2, 0x1.98ca69c755423p-2, -0x1.02847e1857798p-2}, 
        {0x1.aa7d426077b9fp+1, 0x1.aeae326d65892p+1, 0x1.fe64a4c546c69p-4, -0x1.52f31f9d4cf27p-2, 0x1.7f657af1b3f89p-2, -0x1.eaac8811ae49cp-3}, 
        {0x1.aeae326d65892p+1, 0x1.b2df2264d9c96p+1, 0x1.d39bfea3b47aap-4, -0x1.3aa1a06681695p-2, 0x1.674bff34bf79bp-2, -0x1.d0ef8955a816p-3}, 
        {0x1.b2df2264d9c96p+1, 0x1.b710125c4e09ap+1, 0x1.abe8bb03bb653p-4, -0x1.23d98e2e01a44p-2, 0x1.507622945909p-2, -0x1.b8264a4b90222p-3}, 
        {0x1.b710125c4e09ap+1, 0x1.bb410253c249ep+1, 0x1.8718b0b20147fp-4, -0x1.0e861b6e9f363p-2, 0x1.3ad7ebcf673c3p-2, -0x1.a02e86353394dp-3}, 
        {0x1.bb410253c249ep+1, 0x1.bf71f24b368a3p+1, 0x1.64fc6447b0cc4p-4, -0x1.f5266b77ce70fp-3, 0x1.266711003f5e2p-2, -0x1.88e670b15de3bp-3}, 
        {0x1.bf71f24b368a3p+1, 0x1.c3a2e25824595p+1, 0x1.4566f0ad853c7p-4, -0x1.cfdad277277f8p-3, 0x1.131af137c74c6p-2, -0x1.72aa114213c0bp-3}, 
        {0x1.c3a2e25824595p+1, 0x1.c7d3d24f98999p+1, 0x1.282df156a4397p-4, -0x1.ad03f0913299p-3, 0x1.00e666087fc5ep-2, -0x1.5ceabc76e61c5p-3}, 
        {0x1.c7d3d24f98999p+1, 0x1.cc04c2470cd9ep+1, 0x1.0d296be448a23p-4, -0x1.8c7d8ff1a61c7p-3, 0x1.df8697ef52f1ap-3, -0x1.483a26015bea2p-3}, 
        {0x1.cc04c2470cd9ep+1, 0x1.d035b23e811a2p+1, 0x1.e86773f310044p-5, -0x1.6e24be8a1f08ap-3, 0x1.bf48acef18fbbp-3, -0x1.34382b352b41bp-3}, 
        {0x1.d035b23e811a2p+1, 0x1.d466a235f55a6p+1, 0x1.ba52e58701314p-5, -0x1.51d7f9b88332ep-3, 0x1.a101e4334a22p-3, -0x1.2113d54ef7496p-3}, 
        {0x1.d466a235f55a6p+1, 0x1.d897922d699aap+1, 0x1.8fd2a9ecb42fp-5, -0x1.37770520bac3p-3, 0x1.849c780e40ce9p-3, -0x1.0eaadab530a9bp-3}, 
        {0x1.d897922d699aap+1, 0x1.dcc8823a5769dp+1, 0x1.68a860b8a5c41p-5, -0x1.1ee2f52bf658ap-3, 0x1.6a06010c60bedp-3, -0x1.fa6a51ea25231p-4}, 
        {0x1.dcc8823a5769dp+1, 0x1.e0f97231cbaa1p+1, 0x1.44999f530af7ap-5, -0x1.07fe4069249afp-3, 0x1.512698cf92ab6p-3, -0x1.d8bd33622d419p-4}, 
        {0x1.e0f97231cbaa1p+1, 0x1.e52a62293fea5p+1, 0x1.236fc45aa3bfbp-5, -0x1.e5595439d0782p-4, 0x1.39ee9e9548be2p-3, -0x1.b8ef09dff1a9ap-4}, 
        {0x1.e52a62293fea5p+1, 0x1.e95b5220b42a9p+1, 0x1.04f7cb154c1e6p-5, -0x1.bda678bf06628p-4, 0x1.24468bb518317p-3, -0x1.9aaacb435c38ep-4}, 
        {0x1.e95b5220b42a9p+1, 0x1.ed8c4218286aep+1, 0x1.d2043e4a8ae01p-6, -0x1.98b0d23ea9423p-4, 0x1.101b07445edb7p-3, -0x1.7df42d12fc3c9p-4}, 
        {0x1.ed8c4218286aep+1, 0x1.f1bd3225163ap+1, 0x1.9ec4df6a1eb1ep-6, -0x1.7647d05717d95p-4, 0x1.fab1136b43fc9p-4, -0x1.630763c10f5c7p-4}, 
        {0x1.f1bd3225163ap+1, 0x1.f5ee221c8a7a4p+1, 0x1.6fdf063de5467p-6, -0x1.563da26a6d172p-4, 0x1.d7d12c4bcb5a2p-4, -0x1.497acf8391059p-4}, 
        {0x1.f5ee221c8a7a4p+1, 0x1.fa1f1213feba8p+1, 0x1.450614bb24b9p-6, -0x1.386714bd86fc6p-4, 0x1.b773c19d30ac1p-4, -0x1.31b64fa5d27aap-4}, 
        {0x1.fa1f1213feba8p+1, 0x1.fe50020b72fadp+1, 0x1.1df2e8f8f9e7cp-6, -0x1.1c9b8b2dbc916p-4, 0x1.996c05a7c5dfdp-4, -0x1.1b822879aeffep-4}, 
        {0x1.fe50020b72fadp+1, 0x1.01407901739d8p+2, 0x1.f4c708c7e29dcp-7, -0x1.02b52b707b0bp-4, 0x1.7d92a4eb79e5dp-4, -0x1.06e15e13fba96p-4}, 
        {0x1.01407901739d8p+2, 0x1.0358f107ea852p+2, 0x1.b43564996549ep-7, -0x1.d5216201ff562p-5, 0x1.63c00010b9ec1p-4, -0x1.e7f308c8baa48p-5}, 
        {0x1.0358f107ea852p+2, 0x1.05716903a4a54p+2, 0x1.79bf5e37336c1p-7, -0x1.a81b1c3b92a6bp-5, 0x1.4bc8c64ce98c8p-4, -0x1.c50f2f43e8892p-5}, 
        {0x1.05716903a4a54p+2, 0x1.0789e0ff5ec56p+2, 0x1.44fb9e7f2e1edp-7, -0x1.7e1baaa1e35acp-5, 0x1.35883d7dcee88p-4, -0x1.a5a1d50446abcp-5}, 
        {0x1.0789e0ff5ec56p+2, 0x1.09a258fb18e58p+2, 0x1.15884c3fa0b63p-7, -0x1.56ec71454b89cp-5, 0x1.20d2daccdbc0bp-4, -0x1.89524aa61efb7p-5}, 
        {0x1.09a258fb18e58p+2, 0x1.0bbad0f6d305ap+2, 0x1.d614b3f30a6eep-8, -0x1.325c400076993p-5, 0x1.0d816ef306c22p-4, -0x1.704827f084acap-5}, 
        {0x1.0bbad0f6d305ap+2, 0x1.0dd348f28d25cp+2, 0x1.8a59a7ea7edf4p-8, -0x1.103f291d7c9b6p-5, 0x1.f6d5b1ae759f9p-5, -0x1.5a68e90ae813cp-5}, 
        {0x1.0dd348f28d25cp+2, 0x1.0febc0f9040d5p+2, 0x1.47405c09c2d6cp-8, -0x1.e0dd183521d77p-6, 0x1.d4ce898687059p-5, -0x1.47e1144aba7f7p-5}, 
        {0x1.0febc0f9040d5p+2, 0x1.120438f4be2d7p+2, 0x1.0c332305d21bbp-8, -0x1.a59247d78eeabp-6, 0x1.b4995db34489ep-5, -0x1.386b86fe84c81p-5}, 
        {0x1.120438f4be2d7p+2, 0x1.141cb0f0784dap+2, 0x1.b148acc0059fcp-9, -0x1.6e65ea18595dcp-6, 0x1.95e8f2f545ddap-5, -0x1.2c4d2dcb9ef7bp-5}, 
        {0x1.141cb0f0784dap+2, 0x1.163528ec326dcp+2, 0x1.5819e46f0b3ecp-9, -0x1.3b2a9383b748ep-6, 0x1.786946e0ae5bp-5, -0x1.235db1a0686bp-5}, 
        {0x1.163528ec326dcp+2, 0x1.184da0e7ec8dep+2, 0x1.0bd66235cbdd1p-9, -0x1.0bbd982360cbdp-6, 0x1.5bca4e1d24db3p-5, -0x1.1da55a6f504c5p-5}, 
        {0x1.184da0e7ec8dep+2, 0x1.1a6618ee63757p+2, 0x1.97049f0e3223cp-10, -0x1.c00daaf0f9832p-7, 0x1.3fbb2d141200fp-5, -0x1.1b3467f3b1d7ep-5}, 
        {0x1.1a6618ee63757p+2, 0x1.1c7e90ea1d959p+2, 0x1.2c4d83c8fa3ddp-10, -0x1.6ff1b43a2c1e5p-7, 0x1.23e96f03ad38ap-5, -0x1.1be593e3ee1dp-5}, 
        {0x1.1c7e90ea1d959p+2, 0x1.1e9708e5d7b5bp+2, 0x1.ab3bc9b5c3042p-11, -0x1.27218c8cca3c9p-7, 0x1.08064a2d6b817p-5, -0x1.1ff3a443de193p-5}, 
        {0x1.1e9708e5d7b5bp+2, 0x1.20af80e191d5dp+2, 0x1.2215d69ef6ccfp-11, -0x1.cb59a973bcb1dp-8, 0x1.d77a5a5ae6586p-6, -0x1.26e763606e615p-5}, 
        {0x1.20af80e191d5dp+2, 0x1.22c7f8dd4bf5fp+2, 0x1.728b969aa6c55p-12, -0x1.576f9af59be76p-8, 0x1.9d8a79e43d4c8p-6, -0x1.323868872dff4p-5}, 
        {0x1.22c7f8dd4bf5fp+2, 0x1.24e070d906162p+2, 0x1.b33dbb4e3b2e3p-13, -0x1.e5fa88baab82ap-9, 0x1.616172dfc7b36p-6, -0x1.3c89a0b1dd014p-5}, 
        {0x1.24e070d906162p+2, 0x1.26f8e8df7cfdbp+2, 0x1.c49483416e45ep-14, -0x1.3d224e3057a87p-9, 0x1.233186875b693p-6, -0x1.59d5bd134dc4p-5}, 
        {0x1.26f8e8df7cfdbp+2, 0x1.291160db371ddp+2, 0x1.83fe62489b9d5p-15, -0x1.6cc0d352c31d8p-10, 0x1.be803d6855e38p-7, -0x1.3f94b4b86a37bp-5}, 
        {0x1.291160db371ddp+2, 0x1.2b29d8d6f13dfp+2, 0x1.d37aca41b4e98p-17, -0x1.4773e1a5cffe5p-11, 0x1.40ee46e4187dbp-7, -0x1.01f0751fac194p-4}, 
        {0x1.2b29d8d6f13dfp+2, 0x1.2d4245f5ad96ap+2, 0x1.db7c6855b04e2p-20, -0x1.8582f806ef1cbp-13, 0x1.d8ec951bcd03cp-9, 0x1.a261ae0fb9dcbp-3}, 
      }}, 
      -0x1.23b78c68dcdc6p+3, 0x1.8e6e4805bc4bp+6
    }
  };
  // clang-format on
}
SkfData params_hyb_0_2_as_s() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{-0x1.518722bc93797p-8, -0x1.6a63e3fc13453p-7, -0x1.2b3b6b4a99e72p-6, -0x1.ba6bbdb39b9bbp-6, -0x1.311a99d13db45p-5, -0x1.8f4c62d9ae7bfp-5, -0x1.f4a9c5fcf6921p-5, -0x1.2ebc0122f9fd1p-4, -0x1.62e88343f179ep-4, -0x1.94fa995e31d59p-4, -0x1.c3419febf41c3p-4, -0x1.ec4d32fd9e1afp-4, -0x1.077afd18ca6ecp-3, -0x1.152f7ea3aed9dp-3, -0x1.1efa522d7d0a9p-3, -0x1.24b28f45615ecp-3, -0x1.264d141a5177fp-3, -0x1.23d7f019d167p-3, -0x1.1d7677bc297dbp-3, -0x1.135b448f06e94p-3, -0x1.05c85816cc9a7p-3, -0x1.ea0a68f59b434p-4, -0x1.c2c43e5beb0f4p-4, -0x1.9666453ddcf15p-4, -0x1.65946be97d7f5p-4, -0x1.30f6eb52e2b55p-4, -0x1.f26982305fd16p-5, -0x1.7dc76f194a22dp-5, -0x1.053923f995235p-5, -0x1.13bc695362f63p-6, -0x1.969096a5d7a86p-10, 0x1.c56d4cf7b38bap-7, 0x1.dee02638aa0dap-6, 0x1.6cb828a44eba9p-5, 0x1.e87f27648d7f9p-5, 0x1.311604e07b4d1p-4, 0x1.6c9a8d34f4ea1p-4, 0x1.a68c8754e2181p-4, 0x1.deb134800f0c8p-4, 0x1.0a6b94daf6843p-3, 0x1.246bb9bca7a3fp-3, 0x1.3d49c18d5567ap-3, 0x1.54f8ea93af645p-3, 0x1.6b6de88697654p-3, 0x1.809ef6233542p-3, 0x1.94849c8026bffp-3, 0x1.a71a5bea502ffp-3, 0x1.b85ea9065ddebp-3, 0x1.c85243363cb72p-3, 0x1.d6f750cf3460bp-3, 0x1.e450b83aaf3eap-3, 0x1.f061f08908595p-3, 0x1.fb2f370a0447ep-3, 0x1.025ef44e54e49p-2, 0x1.068b5ed80d113p-2, 0x1.0a1eb697f19dcp-2, 0x1.0d1e461afa05bp-2, 0x1.0f8f1aae96d0ep-2, 0x1.11767e22aa23dp-2, 0x1.12d9bbdf702f3p-2, 0x1.13bdfe2a18c4fp-2, 0x1.142848e5df7c4p-2, 0x1.141d8c20165ccp-2, 0x1.13a2c1f9bab35p-2, 0x1.12bd0a7413c66p-2, 0x1.1171bb2124034p-2, 0x1.0fc65e5632ffp-2, 0x1.0dc0a2fd0f9b2p-2, 0x1.0b6642159bb84p-2, 0x1.08bce0d800006p-2, 0x1.05c9f6406e3d2p-2, 0x1.0292b90d9201fp-2, 0x1.fe383119d504fp-3, 0x1.f6d57f7844beep-3, 0x1.ef0640107f664p-3, 0x1.e6d2ff884bf71p-3, 0x1.de4410c8483e4p-3, 0x1.d561a2c0bb93bp-3, 0x1.cc33cbcfdac7ep-3, 0x1.c2c289cdf65afp-3, 0x1.b915b80ecd30dp-3, 0x1.af34fe4506aa8p-3, 0x1.a527bc0cd9754p-3, 0x1.9af4f4fc176c2p-3, 0x1.90a3408cde29fp-3, 0x1.8638c037b33d7p-3, 0x1.7bbb1ccd0497bp-3, 0x1.712f8acf3607cp-3, 0x1.669ad471e4f0bp-3, 0x1.5c01672ba8e4dp-3, 0x1.5167628de3a87p-3, 0x1.46d0a650c9568p-3, 0x1.3c40de0a1e83ep-3, 0x1.31bb89a9aa6c8p-3, 0x1.2744026edf4cap-3, 0x1.1cdd7c83af815p-3, 0x1.128b05bef73e4p-3, 0x1.084f824bc64a3p-3, 0x1.fc5b502e59a21p-4, 0x1.e84ff3e569131p-4, 0x1.d4818697125f9p-4, 0x1.c0f42a583e33dp-4, 0x1.adab89fb8755dp-4, 0x1.9aaada69bd8d4p-4, 0x1.87f4df973417bp-4, 0x1.758bf46fdb456p-4, 0x1.637214d2d56b8p-4, 0x1.51a8e8a36b877p-4, 0x1.4031cf0674dcap-4, 0x1.2f0de90b4a85cp-4, 0x1.1e43d688e60b1p-4, 0x1.0dc4b0126de7bp-4, 0x1.fb36e7e74bb1ap-5, 0x1.db91a85bb989fp-5, 0x1.bc9aaa881309fp-5, 0x1.9e52989d02705p-5, 0x1.80b9bacd710f5p-5, 0x1.63cff5bc054a5p-5, 0x1.4794cb2419e6dp-5, 0x1.2c075d18016ecp-5, 0x1.112673de7aeafp-5, 0x1.ede10c58bbd29p-6, 0x1.bac7866c77c5fp-6, 0x1.88fc3bce79cc9p-6, 0x1.587ab0e8049ap-6, 0x1.293e1f062a14fp-6, 0x1.f68310f67e38bp-7, 0x1.9cff93147ca08p-7, 0x1.45e74af66c866p-7, 0x1.e25f3e85aac0cp-8, 0x1.3d9bc1f09eda8p-8, 0x1.3add3b5aec326p-9, 0x1.c226afcfeaf7bp-16, -0x1.2aff045d72c17p-9, -0x1.286c7fa0fbbd9p-8, -0x1.b71b47bd9428bp-8, -0x1.20d158911b9abp-7, -0x1.640cfd7690cffp-7, -0x1.a54c66f1dff7dp-7, -0x1.e49b9afe8b0f2p-7, -0x1.11036517f36a7p-6, -0x1.2ecd22a854e1p-6, -0x1.4bb1382951778p-6, -0x1.67b5d9b6cf027p-6, -0x1.82e135b0678adp-6, -0x1.9d396ce3ea775p-6, -0x1.b6c48b2ed1145p-6, -0x1.cf8880f1d69b5p-6, -0x1.e78b1d9b06947p-6, -0x1.fed20b7197e88p-6, -0x1.0ab1665ad735dp-5, -0x1.15a15d071d286p-5, -0x1.203b811515b25p-5, -0x1.2a825534aa27dp-5, -0x1.3478482a98832p-5, -0x1.3e1fb5d57b4fbp-5, -0x1.477ae85b67e16p-5, -0x1.508c1961bfedcp-5, -0x1.5955733489f33p-5, -0x1.61d911c7eeca4p-5, -0x1.6a190384ac28ep-5, -0x1.721749d6d1035p-5, -0x1.79d5d97c6f103p-5, -0x1.81569a97872d3p-5, -0x1.889b688af3276p-5, -0x1.8fa611ad6a9c8p-5, -0x1.967856df8eff7p-5, -0x1.9d13eb12af1b5p-5, -0x1.a37a72cd628c4p-5, -0x1.a9ad83b9d502fp-5, -0x1.afaea44796c59p-5, -0x1.b57f4b6885c92p-5, -0x1.bb20e06def6b4p-5, -0x1.c094bb08a69c7p-5, -0x1.c5dc236caab3fp-5, -0x1.caf852970400fp-5, -0x1.cfea72b2f0102p-5, -0x1.d4b39f9a284d3p-5, -0x1.d954e76b20dccp-5, -0x1.ddcf4b2f7aa4ep-5, -0x1.e223bf8c9ede6p-5, -0x1.e6532d78748c7p-5, -0x1.ea5e72ec79f2p-5, -0x1.ee46639225837p-5, -0x1.f20bc9644e131p-5, -0x1.f5af654263f71p-5, -0x1.f931ef737321ep-5, -0x1.fc9418181a5dcp-5, -0x1.ffd6878bcfa2p-5, -0x1.017cef5b65aedp-4, -0x1.02ff5ba968c58p-4, -0x1.0472d212cc1d3p-4, -0x1.05d79899f2d8ep-4, -0x1.072df1f8412dp-4, -0x1.08761db4f37cdp-4, -0x1.09b0583c94805p-4, -0x1.0adcdafa134b5p-4, -0x1.0bfbdc7220dcep-4, -0x1.0d0d90613a8bdp-4, -0x1.0e1227dc6da11p-4, -0x1.0f09d174aa13ep-4, -0x1.0ff4b95c404ecp-4, -0x1.10d3098e02e0fp-4, -0x1.11a4e9f5703fbp-4, -0x1.126a80973fbefp-4, -0x1.1323f1b9b016fp-4, -0x1.13d1600c03554p-4, -0x1.1472eccca6387p-4, -0x1.1508b7ed97a6p-4, -0x1.1592e036bfd52p-4, -0x1.16118365f9418p-4, -0x1.1684be4cae062p-4, -0x1.16ecaceaf6f86p-4, -0x1.17496a8846b99p-4, -0x1.179b11c9b57fap-4, -0x1.17e1bcc60f2fdp-4, -0x1.181d8517d4dfbp-4, -0x1.184e83ed65fccp-4, -0x1.1874d2178b823p-4, -0x1.18908816a4923p-4, -0x1.18a1be26afe8p-4, -0x1.18a88c4a6cb95p-4, -0x1.18a6164218b13p-4, -0x1.189836ca5c108p-4, -0x1.18803289b9781p-4, -0x1.185e224fb4f5ap-4, -0x1.18321ee02282dp-4, -0x1.17fc40f37f361p-4, -0x1.17bca13822d69p-4, -0x1.1773585469a94p-4, -0x1.17207ee9edb0dp-4, -0x1.16c42d99cbae5p-4, -0x1.165e7d09ef4fbp-4, -0x1.15ef85eb4c55bp-4, -0x1.15776100e93fep-4, -0x1.14f627279307ep-4, -0x1.146bf15e103aep-4, -0x1.13d8d8cda44bdp-4, -0x1.133cf6d2b803bp-4, -0x1.1298650572fdfp-4, -0x1.11eb3d421e6eep-4, -0x1.113599b12647p-4, -0x1.107794ce9178p-4, -0x1.0fb14970d2662p-4, -0x1.0ee2d2ced27d7p-4, -0x1.0e0c4c8521869p-4, -0x1.0d2dd29a3b018p-4, -0x1.0c478181d075dp-4, -0x1.0b59761f19c6fp-4, -0x1.0a63cdc62509dp-4, -0x1.0966a63c2c048p-4, -0x1.08621db6fc2efp-4, -0x1.075652db75142p-4, -0x1.064364bb3749ep-4, -0x1.052972d18e8cdp-4, -0x1.04089cffb1bf8p-4, -0x1.02e103886a8f5p-4, -0x1.01b2c70b419afp-4, -0x1.007e087f40839p-4, -0x1.fe85d25ac94e5p-5, -0x1.fc031555b15cp-5, -0x1.f9741da60d601p-5, -0x1.f6d92f8337267p-5, -0x1.f4328f990d169p-5, -0x1.f18082fc0f1aap-5, -0x1.eec34f1db31e2p-5, -0x1.ebfb39c0ff371p-5, -0x1.e92888ef81bffp-5, -0x1.e64b82eead5e9p-5, -0x1.e3646e35a1c2cp-5, -0x1.e073916363ee4p-5, -0x1.dd7933358989bp-5, -0x1.da759a7f4ed5ep-5, -0x1.d7690e2116847p-5, -0x1.d453d5004aac8p-5, -0x1.d13635ff944cbp-5, -0x1.ce1077f76522dp-5, -0x1.cae2e1aec1319p-5, -0x1.c7adb9d445255p-5, -0x1.c47146f75bde7p-5, -0x1.c12dcf8199fb7p-5, -0x1.bde399b033c64p-5, -0x1.ba92eb8d8c1cfp-5, -0x1.b73c0aeacabdap-5, -0x1.b3df3d598159dp-5, -0x1.b07cc8254c707p-5, -0x1.ad14f04d7752ep-5, -0x1.a9a7fa7e9c4bp-5, -0x1.a6362b0c3ec5fp-5, -0x1.a2bfc5ea61a08p-5, -0x1.9f450ea71b566p-5, -0x1.9bc648642382cp-5, -0x1.9843b5d065a79p-5, -0x1.94bd9921944efp-5, -0x1.9134340dc227dp-5, -0x1.8da7c7c508274p-5, -0x1.8a1894eb3a16ep-5, -0x1.8686db91ad6ebp-5, -0x1.82f2db3119846p-5, -0x1.7f5cd2a393e03p-5, -0x1.7bc5001eada4dp-5, -0x1.782ba12db7aaep-5, -0x1.7490f2ac2cf69p-5, -0x1.70f530c04d60bp-5, -0x1.6d5896d5e5fep-5, -0x1.69bb5f9951769p-5, -0x1.661dc4f2a946bp-5, -0x1.628000013274bp-5, -0x1.5ee2491704557p-5, -0x1.5b44d7b4e8502p-5, -0x1.57a7e2867ab96p-5, -0x1.540b9f5e801b7p-5, -0x1.5070433381ea5p-5, -0x1.4cd6021c9d89p-5, -0x1.493d0f4e9681ep-5, -0x1.45a59d191fa28p-5, -0x1.420fdce45ed98p-5, -0x1.3e7bff2eac307p-5, -0x1.3aea338a82bc2p-5, -0x1.375aa89cabf48p-5, -0x1.33cd8c1a9c4f2p-5, -0x1.30430ac903918p-5, -0x1.2cbb507a8b95dp-5, -0x1.2936880ec68e9p-5, -0x1.25b4db714c168p-5, -0x1.22367398ff6a1p-5, -0x1.1ebb78877ecc7p-5, -0x1.1b441148c0a8cp-5, -0x1.17d063f2d112ep-5, -0x1.146095a5b7bdfp-5, -0x1.10f4ca8b85b5p-5, -0x1.0d8d25d8820a9p-5, -0x1.0a29c9cb7b1ecp-5, -0x1.06cad7ae3a073p-5, -0x1.03706fd615473p-5, -0x1.001ab1a4a5a83p-5, -0x1.f99377112fdabp-6, -0x1.f2fb55fd3f317p-6, -0x1.ec6d39250828fp-6, -0x1.e5e957c0a2cacp-6, -0x1.df6fe72b3f773p-6, -0x1.d9011ae5f28c4p-6, -0x1.d29d249abb27bp-6, -0x1.cc44341fba77dp-6, -0x1.c5f6777aa2a34p-6, -0x1.bfb41ae45eb06p-6, -0x1.b97d48cce06c8p-6, -0x1.b35229df31e15p-6, -0x1.ad32e505a5bfep-6, -0x1.a71f9f6e439c9p-6, -0x1.a1187c8f5b92ep-6, -0x1.9b1d9e2c485a6p-6, -0x1.952f245a5b94dp-6, -0x1.8f4d2d85f508bp-6, -0x1.8977d677bf279p-6, -0x1.83af3a5a189d9p-6, -0x1.7df372be97ea3p-6, -0x1.784497a3b87ddp-6, -0x1.72a2bf7aae8a9p-6, -0x1.6d0dff2d4e8ap-6, -0x1.67866a2419599p-6, -0x1.620c124c674ep-6, -0x1.5c9f081ea3758p-6, -0x1.573f5aa4a7ecep-6, -0x1.51ed17802f516p-6, -0x1.4ca84af152dc6p-6, -0x1.4770ffdd260dep-6, -0x1.42473fd4595fcp-6, -0x1.3d2b1319f0adap-6, -0x1.381c80aa015ap-6, -0x1.331b8e408156dp-6, -0x1.2e284060184a8p-6, -0x1.29429a58f9db3p-6, -0x1.246a9e4fc4325p-6, -0x1.1fa04d44609cdp-6, -0x1.1ae3a718e42b9p-6, -0x1.1634aa98727p-6, -0x1.1193557e15aaap-6, -0x1.0cffa47b99c9fp-6, -0x1.087993405b738p-6, -0x1.04011c80121f2p-6, -0x1.ff2c73f311365p-7, -0x1.f671c8faa9b8ep-7, -0x1.edd227e8f3fb2p-7, -0x1.e54d7ecdf6eecp-7, -0x1.dce3ba04c324bp-7, -0x1.d494c4405e21ep-7, -0x1.cc6086987c72p-7, -0x1.c446e89615ba2p-7, -0x1.bc47d03fd163cp-7, -0x1.b463222644d5fp-7, -0x1.ac98c17001d5p-7, -0x1.a4e88fe5739fdp-7, -0x1.9d526dfc87faap-7, -0x1.95d63ae42e014p-7, -0x1.8e73d48f8d328p-7, -0x1.872b17c125f6ep-7, -0x1.7ffbe0159ae6p-7, -0x1.78e6080e5b14cp-7, -0x1.71e9691c0605fp-7, -0x1.6b05dba8a99a8p-7, -0x1.643b3721b83b9p-7, -0x1.5d895201d4cb5p-7, -0x1.56f001da664bp-7, -0x1.506f1b5ced938p-7, -0x1.4a0672643ab01p-7, -0x1.43b5d9fd55189p-7, -0x1.3d7d24704a4f1p-7, -0x1.375c2348bb9bbp-7, -0x1.3152a75e3f079p-7, -0x1.2b6080dc9a341p-7, -0x1.25857f4bc76ebp-7, -0x1.1fc17197cf6c7p-7, -0x1.1a142618813ep-7, -0x1.147d6a98fccedp-7, -0x1.0efd0c5f129b7p-7, -0x1.0992d832868dap-7, -0x1.043e9a642b04cp-7, -0x1.fe003da9b0cdbp-8, -0x1.f3ae61f88e8e6p-8, -0x1.e98737df91452p-8, -0x1.df8a54d1c1623p-8, -0x1.d5b74d978c8d6p-8, -0x1.cc0db65b870a2p-8, -0x1.c28d22b6f9991p-8, -0x1.b93525be40e83p-8, -0x1.b005520cefa65p-8, -0x1.a6fd39d1ca07p-8, -0x1.9e1c6eda8af2bp-8, -0x1.9562829f732c7p-8, -0x1.8ccf064ec11adp-8, -0x1.84618ad7e1597p-8, -0x1.7c19a0f67c1cap-8, -0x1.73f6d93d5272p-8, -0x1.6bf8c420f2f95p-8, -0x1.641ef20233c98p-8, -0x1.5c68f3388bae7p-8, -0x1.54d6581c2b3a2p-8, -0x1.4d66b10ffa87dp-8, -0x1.46198e8b52998p-8, -0x1.3eee81238cc4dp-8, -0x1.37e51995604d5p-8, -0x1.30fce8ce0b149p-8, -0x1.2a357ff4416ep-8, -0x1.238e7070f3ba9p-8, -0x1.1d074bf7cd5dbp-8, -0x1.169fa36344593p-8, -0x1.10570b97a9f19p-8, -0x1.0a2d16000ee74p-8, -0x1.042155cc0edb6p-8, -0x1.fc66bd3ada057p-9, -0x1.f0c5891e914e1p-9, -0x1.e55e387a34fa5p-9, -0x1.da2ff592d2b8dp-9, -0x1.cf39ebc8d4d3p-9, -0x1.c47b47a47238bp-9, -0x1.b9f336e1f212ap-9, -0x1.afa0e87d60575p-9, -0x1.a5838cbddbeb9p-9, -0x1.9b9a5540739b6p-9, -0x1.91e47502a08ebp-9, -0x1.8861206c49f6p-9, -0x1.7f0f8d5965a2fp-9, -0x1.75eef323415e4p-9, -0x1.6cfe8aa94a33fp-9, -0x1.643d8e598fa12p-9, -0x1.5bab3a38d74afp-9, -0x1.5346cbea5e85p-9, -0x1.4b0f82b737131p-9, -0x1.43049f9551299p-9, -0x1.3b25652e39ff2p-9, -0x1.337117e560c4bp-9, -0x1.2be6fdde41b8ep-9, -0x1.24865f021b92dp-9, -0x1.1d4e850554fd1p-9, -0x1.163ebb6caa549p-9, -0x1.0f564f91fa042p-9, -0x1.089490a8d6e41p-9, -0x1.01f8cfc2cb393p-9, -0x1.f704bfa69ae83p-10, -0x1.ea612b66e986ap-10, -0x1.de05904aca0dp-10, -0x1.d1f09faee445dp-10, -0x1.c6210ecdf5715p-10, -0x1.ba9596c607974p-10, -0x1.af4cf49d1679dp-10, -0x1.a445e9451daa5p-10, -0x1.997f399fae249p-10, -0x1.8ef7ae80f06ccp-10, -0x1.84ae14b21f916p-10, -0x1.7aa13cf37d116p-10, -0x1.70cffbfda2a14p-10, -0x1.67392a829182cp-10, -0x1.5ddba52dbee74p-10, -0x1.54b64ca436d7p-10, -0x1.4bc80583bb02ep-10, -0x1.430fb8619867ap-10, -0x1.3a8c51c8f9359p-10, -0x1.323cc238a7bb7p-10, -0x1.2a1ffe20653b2p-10, -0x1.2234fdddc965ap-10, -0x1.1a7abdb887981p-10, -0x1.12f03dde8b8f9p-10, -0x1.0b94825f5fb8bp-10, -0x1.046693274ff05p-10, -0x1.facaf7f42e20ep-11, -0x1.ed2098da7f65cp-11, -0x1.dfcc2fc40fbc8p-11, -0x1.d2cbeafe18949p-11, -0x1.c61e00532039p-11, -0x1.b9c0acfd034f3p-11, -0x1.adb235964e76ep-11, -0x1.a1f0e60b3630dp-11, -0x1.967b1189fdfa5p-11, -0x1.8b4f1272e4032p-11, -0x1.806b4a47d69e6p-11, -0x1.75ce219b609ddp-11, -0x1.6b7607ffdc9b2p-11, -0x1.616173f5d33cbp-11, -0x1.578ee2da56c63p-11, -0x1.4dfcd8d519c15p-11, -0x1.44a9e0c64ae17p-11, -0x1.3b948c3459b53p-11, -0x1.32bb733981ecap-11, -0x1.2a1d347143ee9p-11, -0x1.21b874e5d1453p-11, -0x1.198bdffd26d9ep-11, -0x1.1196276693b9fp-11, -0x1.09d60307cb714p-11, -0x1.024a30ea1ad7dp-11, -0x1.f5e2ea4f3f9a8p-12, -0x1.e79533b0f2253p-12, -0x1.d9a8de001ceb7p-12, -0x1.cc1b94f48d0bdp-12, -0x1.beeb0fd17edefp-12, -0x1.b2151140aa9b2p-12, -0x1.a597672cc2345p-12, -0x1.996fea9c4e432p-12, -0x1.8d9c7f8cdf22bp-12, -0x1.821b14cdd8477p-12, -0x1.76e9a3dc07252p-12, -0x1.6c0630bca9849p-12, -0x1.616ec9d912d36p-12, -0x1.572187da4717ep-12, -0x1.4d1c8d849bbfep-12, -0x1.435e0793674c3p-12, -0x1.39e42c9555d0ep-12, -0x1.30ad3cc835e6ep-12, -0x1.27b781f541e9cp-12, -0x1.1f014f4d62e7ep-12, -0x1.16890145afeb8p-12, -0x1.0e4cfd73ffbaep-12, -0x1.064bb26b60793p-12, -0x1.fd072f328e0e7p-13, -0x1.ede65a441730fp-13, -0x1.df31f77c73e7ep-13, -0x1.d0e7292f583ap-13, -0x1.c303224d92075p-13, -0x1.b5832620056ap-13, -0x1.a8648802e90bp-13, -0x1.9ba4ab20f1592p-13, -0x1.8f41022eef0b6p-13, -0x1.83370f28de07dp-13, -0x1.7784630d4959ep-13, -0x1.6c269d9a76ec2p-13, -0x1.611b6d0b8dda7p-13, -0x1.56608dd61fd8bp-13, -0x1.4bf3ca6837e79p-13, -0x1.41d2fae65b873p-13, -0x1.37fc04eaf5196p-13, -0x1.2e6cdb4582d1bp-13, -0x1.25237dba15cfcp-13, -0x1.1c1df8c213adfp-13, -0x1.135a654ce9a7ap-13, -0x1.0ad6e88185e76p-13, -0x1.0291b3808a61ep-13, -0x1.f512064d96b2ep-14, -0x1.e5763fa1895c9p-14, -0x1.d64cba3ccee74p-14, -0x1.c792336fb1d2cp-14, -0x1.b9437e254b4eap-14, -0x1.ab5d826f8f1a3p-14, -0x1.9ddd3d151458dp-14, -0x1.90bfbf1f77859p-14, -0x1.84022d6c48b44p-14, -0x1.77a1c03eab718p-14, -0x1.6b9bc2d308cccp-14, -0x1.5fed92f46c538p-14, -0x1.5494a09298f94p-14, -0x1.498e6d5b19a17p-14, -0x1.3ed88c5183093p-14, -0x1.3470a16de32cap-14, -0x1.2a546136406c7p-14, -0x1.2081906114c77p-14, -0x1.16f6037348e09p-14, -0x1.0daf9e635b9e5p-14, -0x1.04ac543ca416fp-14, -0x1.f7d44d89a7e68p-15, -0x1.e6ce4c46f5ba8p-15, -0x1.d642e1134a46cp-15, }}, 
      {{-0x1.207a8c92d9512p-8, -0x1.2b920eec414fbp-7, -0x1.daca0da1b2462p-7, -0x1.51b52a6de7259p-6, -0x1.c3d5c30039a78p-6, -0x1.21bb130c9d286p-5, -0x1.6794691bcdfbep-5, -0x1.b25b321bc5eb5p-5, -0x1.005a3218b0519p-4, -0x1.28929b0d853c2p-4, -0x1.51162acf7f045p-4, -0x1.792a733dbdd0ep-4, -0x1.a0220b3a026cbp-4, -0x1.c561245e9df08p-4, -0x1.e86082a245f2p-4, -0x1.0457054db9228p-3, -0x1.12f6b68e4762ap-3, -0x1.1feba363ef032p-3, -0x1.2b1bdc060b14cp-3, -0x1.3476375640ca8p-3, -0x1.3bf23d4f9a496p-3, -0x1.418d5895ba911p-3, -0x1.454c6c3067127p-3, -0x1.4738b6a638ce2p-3, -0x1.475f7b025b249p-3, -0x1.45d27e03d7p-3, -0x1.42a58742cac5bp-3, -0x1.3dee4392b579cp-3, -0x1.37c4f5936a137p-3, -0x1.3041e8dd2604bp-3, -0x1.277deea0a01eap-3, -0x1.1d92c4f9eb5fp-3, -0x1.129a3217fd95p-3, -0x1.06ad3067f5f0ep-3, -0x1.f3c803955d755p-4, -0x1.d8acf4ffba995p-4, -0x1.bc37cce740d0ep-4, -0x1.9e955b9392226p-4, -0x1.7ff0280e7dd9ap-4, -0x1.60705fd8eff72p-4, -0x1.403c0c13b08c9p-4, -0x1.1f774af816003p-4, -0x1.fc88bdb6fea01p-5, -0x1.b98714f2e1ceep-5, -0x1.7625bb9ada019p-5, -0x1.329c46479b67bp-5, -0x1.de3bf5755d7fep-6, -0x1.57b482ea82e26p-6, -0x1.a3f41d83cd6ep-7, -0x1.357763b1fc2fap-8, 0x1.aeab79bf8ac72p-9, 0x1.6eb777a7c4b89p-7, 0x1.36f799be83bb6p-6, 0x1.b471f8de597d5p-6, 0x1.17ccdc66de941p-5, 0x1.542144fd883acp-5, 0x1.8f234d81abfap-5, 0x1.c8c1fe4f8a908p-5, 0x1.00773821616bcp-4, 0x1.1bcdd9579a338p-4, 0x1.365f60002828ap-4, 0x1.50273bac53f84p-4, 0x1.6921c8b261f4p-4, 0x1.814c452cb3c2fp-4, 0x1.98a4c037f09a8p-4, 0x1.af2a05394f2b7p-4, 0x1.c4db85e15f495p-4, 0x1.d9b9457e1177cp-4, 0x1.edc3c778f813cp-4, 0x1.007e00f7b8028p-3, 0x1.09b1aa2b68e6fp-3, 0x1.127dc0a1b9a9p-3, 0x1.1ae354f0b1591p-3, 0x1.22e3a4cf495dcp-3, 0x1.2a801871916cap-3, 0x1.31ba3f24b1847p-3, 0x1.3893cb2c62edap-3, 0x1.3f0e8d16ec8bdp-3, 0x1.452c6ed683af6p-3, 0x1.4aef6ef3541a4p-3, 0x1.50599c1ef00f5p-3, 0x1.556d115dfff0cp-3, 0x1.5a2bf2e49bca3p-3, 0x1.5e986ba88a7edp-3, 0x1.62b4ab96bbaeep-3, 0x1.6682e649565afp-3, 0x1.6a055212a0997p-3, 0x1.6d3e272f5f5ecp-3, 0x1.702f9ef848c66p-3, 0x1.72dbf2f47caf3p-3, 0x1.75455bbd4ef7ep-3, 0x1.776e0fb31b3bap-3, 0x1.795841908eb0fp-3, 0x1.7b061ef2d8e57p-3, 0x1.7c79cef012898p-3, 0x1.7db570d1f06dap-3, 0x1.7ebb1b0342a4bp-3, 0x1.7f8cda35f4d29p-3, 0x1.802cb0bf5bd3dp-3, 0x1.809c9624337dap-3, 0x1.80de76cc1c5b5p-3, 0x1.80f433d52c92dp-3, 0x1.80dfa3012a968p-3, 0x1.80a28eb6988bcp-3, 0x1.803eb60f76372p-3, 0x1.7fb5ccef14437p-3, 0x1.7f097c186551ep-3, 0x1.7e3b613f7c114p-3, 0x1.7d4d0f12c5df7p-3, 0x1.7c400d3b21a7fp-3, 0x1.7b15b0e24b4bep-3, 0x1.79cfc2063372dp-3, 0x1.786f78b41514ep-3, 0x1.76f62fb93eba9p-3, 0x1.756536970f70ap-3, 0x1.73bdd19872fa5p-3, 0x1.720139f0df03dp-3, 0x1.70309de3287a4p-3, 0x1.6e4d20eed75a2p-3, 0x1.6c57dc0307f04p-3, 0x1.6a51ddb62a834p-3, 0x1.683c2a8209386p-3, 0x1.6617bd0341199p-3, 0x1.63e5863b24976p-3, 0x1.61a66dd2bbeabp-3, 0x1.5f5b525d93532p-3, 0x1.5d05099b3db88p-3, 0x1.5aa460b6c94aep-3, 0x1.583a1c83b0426p-3, 0x1.55c6f9b86c74p-3, 0x1.534bad26cf267p-3, 0x1.50c8e3f2a9e59p-3, 0x1.4e3f43c7212a9p-3, 0x1.4baf6b0b223b9p-3, 0x1.4919f1153d5b3p-3, 0x1.467f665f30cd1p-3, 0x1.43e054b9526e2p-3, 0x1.413d3f7e11edap-3, 0x1.3e96a3c5ca306p-3, 0x1.3becf89afb60bp-3, 0x1.3940af2f19a52p-3, 0x1.3692330fdd259p-3, 0x1.33e1ea5d062b2p-3, 0x1.313035fe47138p-3, 0x1.2e7d71d91d8d9p-3, 0x1.2bc9f5062a888p-3, 0x1.29161205bfd3cp-3, 0x1.266216f340eb4p-3, 0x1.23ae4db71ce23p-3, 0x1.20fafc3721365p-3, 0x1.1e486484f60bcp-3, 0x1.1b96c50aac123p-3, 0x1.18e658b540cdap-3, 0x1.1637571d088d7p-3, 0x1.1389f4ac0a619p-3, 0x1.10de62c24a89dp-3, 0x1.0e34cfd82e77dp-3, 0x1.0b8d679f14c8dp-3, 0x1.08e853205980fp-3, 0x1.0645b8db041c2p-3, 0x1.03a5bce0543a9p-3, 0x1.010880ef6372p-3, 0x1.fcdc49202215fp-4, 0x1.f7ad8a5a9ed34p-4, 0x1.f284fc5dd4011p-4, 0x1.ed62d225a7472p-4, 0x1.e8473b0bd3bf8p-4, 0x1.e33262f8789a4p-4, 0x1.de2472916955fp-4, 0x1.d91d8f683c07ep-4, 0x1.d41ddc2700988p-4, 0x1.cf2578bb5fdc2p-4, 0x1.ca34828037a49p-4, 0x1.c54b14656f2f5p-4, 0x1.c069471615888p-4, 0x1.bb8f311c8fd3ep-4, 0x1.b6bce704e3cd3p-4, 0x1.b1f27b7d13f13p-4, 0x1.ad2fff736f674p-4, 0x1.a8758233052cp-4, 0x1.a3c3117e239d1p-4, 0x1.9f18b9a712241p-4, 0x1.9a7685a713144p-4, 0x1.95dc7f33de743p-4, 0x1.914aaed39a481p-4, 0x1.8cc11befa039ep-4, 0x1.883fcce60d1b4p-4, 0x1.83c6c71a4bb03p-4, 0x1.7f560f04b5254p-4, 0x1.7aeda8415e984p-4, 0x1.768d959e26584p-4, 0x1.7235d9281382fp-4, 0x1.6de67438136f1p-4, 0x1.699f677f1f9efp-4, 0x1.6560b311d1817p-4, 0x1.612a567369fe4p-4, 0x1.5cfc50a04ff64p-4, 0x1.58d6a01805051p-4, 0x1.54b942e695708p-4, 0x1.50a436ad7eb29p-4, 0x1.4c9778ac0f9c9p-4, 0x1.489305c740229p-4, 0x1.4496da910752dp-4, 0x1.40a2f34f25714p-4, 0x1.3cb74c0173486p-4, 0x1.38d3e067ae696p-4, 0x1.34f8ac06ceae3p-4, 0x1.3125aa2de2578p-4, 0x1.2d5ad5fa81253p-4, 0x1.29982a5cd03f7p-4, 0x1.25dda21b2a4b6p-4, 0x1.222b37d564fb7p-4, 0x1.1e80e607c477fp-4, 0x1.1adea70da051ap-4, 0x1.17447523b9fdfp-4, 0x1.13b24a6a542bep-4, 0x1.102820e7081fbp-4, 0x1.0ca5f28662c3bp-4, 0x1.092bb91d4cc4bp-4, 0x1.05b96e6a432f4p-4, 0x1.024f0c1664987p-4, 0x1.fdd9176cb034bp-5, 0x1.f723c506e6e7fp-5, 0x1.f07e236247279p-5, 0x1.e9e81e991fb27p-5, 0x1.e361a93e15a0cp-5, 0x1.dceab5bdd2d76p-5, 0x1.d683365fe2488p-5, 0x1.d02b1d477babdp-5, 0x1.c9e25c7430f39p-5, 0x1.c3a8e5c28b38dp-5, 0x1.bd7eaaec8c361p-5, 0x1.b7639d8a1d75dp-5, 0x1.b157af115f7cfp-5, 0x1.ab5ad0d6eb3bep-5, 0x1.a56cf40df7006p-5, 0x1.9f8e09c8615d9p-5, 0x1.99be02f6ab30dp-5, 0x1.93fcd067d68f2p-5, 0x1.8e4a62c934748p-5, 0x1.88a6aaa61a86fp-5, 0x1.831198678c88dp-5, 0x1.7d8b1c53d2cb1p-5, 0x1.7813268e03411p-5, 0x1.72a9a71581143p-5, 0x1.6d4e8dc5752e3p-5, 0x1.6801ca543b811p-5, 0x1.62c34c52d31ffp-5, 0x1.5d93032c48b5ep-5, 0x1.5870de25269f2p-5, 0x1.535ccc5ae28a8p-5, 0x1.4e56bcc357128p-5, 0x1.495e9e2c40dap-5, 0x1.44745f3ac7a05p-5, 0x1.3f97ee6b0cf5cp-5, 0x1.3ac93a0fcdf08p-5, 0x1.360830520dadp-5, 0x1.3154bf30cd874p-5, 0x1.2caed480d8544p-5, 0x1.28165dec9666bp-5, 0x1.238b48f3f8ccdp-5, 0x1.1f0d82ec6b97bp-5, 0x1.1a9cf900e22bbp-5, 0x1.16399831ea9a6p-5, 0x1.11e34d55d3484p-5, 0x1.0d9a0518e11cp-5, 0x1.095dabfd91fdbp-5, 0x1.052e2e5cee78p-5, 0x1.010b7866e8b74p-5, 0x1.f9eaec458fb3p-6, 0x1.f1d826df3fd23p-6, 0x1.e9de7809aae76p-6, 0x1.e1fdb6e556aa2p-6, 0x1.da35ba45bb0dep-6, 0x1.d28658b283239p-6, 0x1.caef6868ef0ep-6, 0x1.c370bf5d33d9dp-6, 0x1.bc0a333c01556p-6, 0x1.b4bb996c06803p-6, 0x1.ad84c70f94f0ap-6, 0x1.a6659106470a7p-6, 0x1.9f5dcbeeb880ep-6, 0x1.986d4c284d9fdp-6, 0x1.9193e5d5073f7p-6, 0x1.8ad16cdb62aeap-6, 0x1.8425b4e840a65p-6, 0x1.7d909170dff19p-6, 0x1.7711d5b4df1e3p-6, 0x1.70a954c0431b3p-6, 0x1.6a56e16d92f34p-6, 0x1.641a4e67f21e9p-6, 0x1.5df36e2d477fdp-6, 0x1.57e2131071bfbp-6, 0x1.51e60f3b7ba83p-6, 0x1.4bff34b1da5a3p-6, 0x1.462d5552b7796p-6, 0x1.407042db39fp-6, 0x1.3ac7cee8db5cfp-6, 0x1.3533cafbb9fd4p-6, 0x1.2fb40878fc2d9p-6, 0x1.2a4858ad2d958p-6, 0x1.24f08ccea4116p-6, 0x1.1fac75ffe49b8p-6, 0x1.1a7be552120f9p-6, 0x1.155eabc752c85p-6, 0x1.10549a5542339p-6, 0x1.0b5d81e75ee14p-6, 0x1.06793361745a2p-6, 0x1.01a77fa20bff6p-6, 0x1.f9d06f09b1fb8p-7, 0x1.f07657ca4176ep-7, 0x1.e7405b404ac58p-7, 0x1.de2e1b2f1ca07p-7, 0x1.d53f39678a7cep-7, 0x1.cc7357ccb38e8p-7, 0x1.c3ca1858b4adp-7, 0x1.bb431d2153313p-7, 0x1.b2de085ca5004p-7, 0x1.aa9a7c65a4e43p-7, 0x1.a2781bc0b8d07p-7, 0x1.9a7689203827p-7, 0x1.92956768d5d7bp-7, 0x1.8ad459b609173p-7, 0x1.8333035e63cap-7, 0x1.7bb107f7cb61ep-7, 0x1.744e0b5bbfcd9p-7, 0x1.6d09b1ab71273p-7, 0x1.65e39f53dc6b4p-7, 0x1.5edb7911cedafp-7, 0x1.57f0e3f5cea12p-7, 0x1.5123856804df1p-7, 0x1.4a73032c01b9ep-7, 0x1.43df03647e4b5p-7, 0x1.3d672c96f98eep-7, 0x1.370b25af5182ap-7, 0x1.30ca96034286p-7, 0x1.2aa52555cfa49p-7, 0x1.249a7bda9d39ap-7, 0x1.1eaa42393262ap-7, 0x1.18d421902651ep-7, 0x1.1317c3783b0cfp-7, 0x1.0d74d20761eeap-7, 0x1.07eaf7d3aa7cep-7, 0x1.0279dff61eaa7p-7, 0x1.fa426c1b0aaecp-8, 0x1.efc14c822b3d9p-8, 0x1.e56fba861a03bp-8, 0x1.db4d10a673cacp-8, 0x1.d158aa82ce78ap-8, 0x1.c791e4df7006bp-8, 0x1.bdf81da9d8ff9p-8, 0x1.b48ab3fd1d2adp-8, 0x1.ab49082626d44p-8, 0x1.a2327ba7abd34p-8, 0x1.9946713e159f5p-8, 0x1.90844ce333a1cp-8, 0x1.87eb73d1c5d72p-8, 0x1.7f7b4c88d74fp-8, 0x1.77333ecef60c7p-8, 0x1.6f12b3b539a48p-8, 0x1.6719159a2e475p-8, 0x1.5f45d02c7c82cp-8, 0x1.5798506d82f31p-8, 0x1.501004b3b9579p-8, 0x1.48ac5caceb1fcp-8, 0x1.416cc9605198fp-8, 0x1.3a50bd307b728p-8, 0x1.3357abdd17436p-8, 0x1.2c810a848e7e4p-8, 0x1.25cc4fa586807p-8, 0x1.1f38f32027147p-8, 0x1.18c66e375059bp-8, 0x1.12743b919ff9cp-8, 0x1.0c41d73a55b71p-8, 0x1.062ebea213ac9p-8, 0x1.003a709f77249p-8, 0x1.f4c8dadf2c45bp-9, 0x1.e9586d6cb6de6p-9, 0x1.de229efd610cp-9, 0x1.d326787536dd4p-9, 0x1.c86305866390dp-9, 0x1.bdd754b0dc947p-9, 0x1.b3827741cfb6dp-9, 0x1.a9638152c82bp-9, 0x1.9f7989c8b7f5cp-9, 0x1.95c3aa52ace9ep-9, 0x1.8c40ff684a887p-9, 0x1.82f0a8481fd9ap-9, 0x1.79d1c6f5c8ea9p-9, 0x1.70e38037c56c8p-9, 0x1.6824fb95395eap-9, 0x1.5f95635361b95p-9, 0x1.5733e472fb056p-9, 0x1.4effaead5f55ap-9, 0x1.46f7f47185492p-9, 0x1.3f1beae0d0e49p-9, 0x1.376ac9cbca862p-9, 0x1.2fe3cbae8caa8p-9, 0x1.28862dad2e511p-9, 0x1.21512f900447ap-9, 0x1.1a4413bfb17c6p-9, 0x1.135e1f41230b8p-9, 0x1.0c9e99b16a86p-9, 0x1.0604cd417b827p-9, 0x1.ff200d638a4d2p-10, 0x1.f27f2a9b7e9c7p-10, 0x1.e62595cec25b9p-10, 0x1.da11f7a4bad0fp-10, 0x1.ce42fdbeea77p-10, 0x1.c2b75aaf2d7cap-10, 0x1.b76dc5edfac6ep-10, 0x1.ac64fbd05ce37p-10, 0x1.a19bbd7ddd78dp-10, 0x1.9710d0e64a6e6p-10, 0x1.8cc300b739c72p-10, 0x1.82b11c51e8af5p-10, 0x1.78d9f7c04c7f7p-10, 0x1.6f3c6baa9d58ap-10, 0x1.65d7554c9310ep-10, 0x1.5ca9966a8efb4p-10, 0x1.53b21546b70d9p-10, 0x1.4aefbc960ec4dp-10, 0x1.42617b755d603p-10, 0x1.3a06455e33a1dp-10, 0x1.31dd121baf21fp-10, 0x1.29e4ddbf7a6f4p-10, 0x1.221ca8967afd9p-10, 0x1.1a83771dbac0fp-10, 0x1.131851f6f8d72p-10, 0x1.0bda45dd8b40ap-10, 0x1.04c8639afe2d3p-10, 0x1.fbc37ff79732bp-11, 0x1.ee4ae78815a23p-11, 0x1.e125374844d8ap-11, 0x1.d450b05ab4dd8p-11, 0x1.c7cb9b8d621d9p-11, 0x1.bb944942c76d3p-11, 0x1.afa9115b5ed42p-11, 0x1.a408531effac4p-11, 0x1.98b075261c52dp-11, 0x1.8d9fe54386f59p-11, 0x1.82d5186d88fc6p-11, 0x1.784e8aa798135p-11, 0x1.6e0abeebeccddp-11, 0x1.64083f14ee0eep-11, 0x1.5a459bc71cca8p-11, 0x1.50c16b9e809c4p-11, 0x1.477a4e1aaa957p-11, 0x1.3e6ee6ea30465p-11, 0x1.359de0fb6f77ep-11, 0x1.2d05ed97d37e7p-11, 0x1.24a5c44e48174p-11, 0x1.1c7c22dd66047p-11, 0x1.1487cd1db1396p-11, 0x1.0cc78cebd7b3fp-11, 0x1.053a32137f8c9p-11, 0x1.fbbd2473533aap-12, 0x1.ed67118eec3ap-12, 0x1.df6fedaa10272p-12, 0x1.d1d58628ce769p-12, 0x1.c495b3793c758p-12, 0x1.b7ae58e9dfae6p-12, 0x1.ab1d64804fb17p-12, 0x1.9ee0ced0708a3p-12, 0x1.92f69ad34a93ap-12, 0x1.875cd5beb49d6p-12, 0x1.7c1196dd3bc4dp-12, 0x1.7112ff664acd7p-12, 0x1.665f3a566ebfep-12, 0x1.5bf47c480fba1p-12, 0x1.51d1034cc8461p-12, 0x1.47f316c68632dp-12, 0x1.3e590740fb96dp-12, 0x1.35012e4c17bbdp-12, 0x1.2be9ee5662c5p-12, 0x1.2311b2874b5e6p-12, 0x1.1a76ee9a7be2cp-12, 0x1.12181ebb522edp-12, 0x1.09f3c7601d5bcp-12, 0x1.02087526eeff7p-12, 0x1.f4a9796305606p-13, 0x1.e5ae750465b22p-13, 0x1.d71d25b270a14p-13, 0x1.c8f2e3243c5bdp-13, 0x1.bb2d1402e86d3p-13, 0x1.adc92da7869ecp-13, 0x1.a0c4b3d665b58p-13, 0x1.941d387e64699p-13, 0x1.87d05b7752f8ep-13, 0x1.7bdbca417df6fp-13, 0x1.703d3fc5d23b7p-13, 0x1.64f2841712a35p-13, 0x1.59f96c32e1ae3p-13, 0x1.4f4fd9c56a26p-13, 0x1.44f3baebafb2cp-13, 0x1.3ae309f7faf6bp-13, 0x1.311bcd364f92dp-13, 0x1.279c16b2682e1p-13, 0x1.1e6203fd8e75ep-13, 0x1.156bbdf5ca4a6p-13, 0x1.0cb7788d9d6ebp-13, 0x1.04437294cba28p-13, 0x1.f81beb03adc2bp-14, 0x1.e82aaa7670267p-14, 0x1.d8afdfc5a1fe4p-14, 0x1.c9a85b437f08dp-14, 0x1.bb1100e7a64ebp-14, 0x1.ace6c7eb4fea7p-14, 0x1.9f26ba63ab61p-14, 0x1.91cdf4df597dap-14, 0x1.84d9a6051ee96p-14, 0x1.78470e3400aaep-14, 0x1.6c137f249c9f5p-14, 0x1.603c5b8c6fe7ap-14, 0x1.54bf16c319e1fp-14, 0x1.49993466d3082p-14, 0x1.3ec84804d97a9p-14, 0x1.3449f4c23a506p-14, 0x1.2a1bed05449a4p-14, 0x1.203bf22245208p-14, 0x1.16a7d408849a2p-14, 0x1.0d5d70f036061p-14, 0x1.045ab50a884acp-14, 0x1.f73b3465d1a45p-15, 0x1.e6484f4378405p-15, 0x1.d5d8e33fa0471p-15, 0x1.c5e932795037ep-15, 0x1.b67598078bfd3p-15, 0x1.a77a876ab60fap-15, 0x1.98f48bfe6e56cp-15, 0x1.8ae0486e34a51p-15, 0x1.7d3a762dbe664p-15, 0x1.6fffe4f2e4de6p-15, 0x1.632d7a2f64ef3p-15, 0x1.56c03095170cp-15, 0x1.4ab5178fca609p-15, 0x1.3f0952cf360f4p-15, 0x1.33ba19ca899cbp-15, 0x1.28c4b747f83f4p-15, 0x1.1e2688ea1efbfp-15, 0x1.13dcfeb8e4cb6p-15, 0x1.09e59ab346404p-15, 0x1.003df05ff84d7p-15, 0x1.edc748c085b88p-16, 0x1.dba8d80d0f795p-16, 0x1.ca1c19db32f0dp-16, 0x1.b91cb92446d37p-16, 0x1.a8a67fdd60a0dp-16, 0x1.98b556341a372p-16, 0x1.894541cd8ae32p-16, 0x1.7a5265052b8bp-16, 0x1.6bd8fe4276f07p-16, 0x1.5dd56733a7badp-16, 0x1.5044142289326p-16, 0x1.4321934cbf039p-16, 0x1.366a8c349046cp-16, 0x1.2a1bbefc47e55p-16, 0x1.1e3203c34b1b5p-16, 0x1.12aa4a0938e2ep-16, 0x1.0781980ea7c4cp-16, 0x1.f96a1483481f5p-17, 0x1.e483a54bc20c6p-17, 0x1.d04a7085a230cp-17, 0x1.bcb92d2a1f592p-17, 0x1.a9caba0bcd1d1p-17, 0x1.977a1cc2a0d7cp-17, 0x1.85c280a17a2bep-17, 0x1.749f35b4ff856p-17, 0x1.640bafbe78812p-17, 0x1.5403854696aaep-17, 0x1.44826e9e2b69cp-17, 0x1.358444f8b8b41p-17, 0x1.2705018ca3ec2p-17, 0x1.1900bc9d8949cp-17, 0x1.0b73acad942cbp-17, 0x1.fcb44b43acc08p-18, 0x1.e3612fde4b1e7p-18, 0x1.cae71fa8e88efp-18, 0x1.b33f690845922p-18, 0x1.9c638ed604645p-18, 0x1.864d46dc62bb4p-18, 0x1.70f6786119a64p-18, 0x1.5c593ac01082ep-18, 0x1.486fd3fff80ap-18, 0x1.3534b77ea3476p-18, 0x1.22a2849f691bfp-18, 0x1.10b40581cd661p-18, 0x1.fec85b93413aap-19, 0x1.dd5c3293befd6p-19, 0x1.bd1a15f6b2fb5p-19, 0x1.9df8d79660abcp-19, 0x1.7fef92b7cf2b6p-19, 0x1.62f5aa413a236p-19, 0x1.4702c6236fd5ep-19, 0x1.2c0ed1917f12fp-19, 0x1.1211f8f3af0e5p-19, 0x1.f2094f9f63fep-20, 0x1.c1bf0ddf221d9p-20, 0x1.9336f508d710ap-20, 0x1.666340a1ec648p-20, }}, 
      {{-0x1.03d4cc0e45798p-1, -0x1.2d67f9dee7595p-1, -0x1.6803d94df4763p-1, -0x1.a9dc479b5146fp-1, -0x1.ea9d702e934b4p-1, -0x1.120ddfbd4d6afp+0, -0x1.292b6b85c5be2p+0, -0x1.3997554975c78p+0, -0x1.42ff52edd02b3p+0, -0x1.459c99668fe5bp+0, -0x1.420761b374ea6p+0, -0x1.39123ad5ee19bp+0, -0x1.2bad51dd8111fp+0, -0x1.1ad09beb1808ap+0, -0x1.076ca4c33e282p+0, -0x1.e4bfb94911f7ep-1, -0x1.b8e0fafb8ff13p-1, -0x1.8c9285f2424e2p-1, -0x1.60f14f2df303fp-1, -0x1.36e296e727735p-1, -0x1.0f193c9ec32c7p-1, -0x1.d42feac662dd9p-2, -0x1.907385faa55cdp-2, -0x1.536c65c70078fp-2, -0x1.1d4c8ab38cb8dp-2, -0x1.dc3084d3fa7ebp-3, -0x1.8b5a58eb8ef93p-3, -0x1.478e98428df18p-3, -0x1.101fa65082288p-3, -0x1.c87b580ee318cp-4, -0x1.85feda76e56edp-4, -0x1.56df858a4625bp-4, -0x1.392fb64e40a7ap-4, -0x1.2b049e8451e19p-4, -0x1.2a78c52a4c62bp-4, -0x1.35b41f4222daap-4, -0x1.4af7127372088p-4, -0x1.68a10e83ab68fp-4, -0x1.8d305eac64b74p-4, -0x1.b73efd77d426bp-4, -0x1.e5812f389b613p-4, -0x1.0b639b7b5b5f7p-3, -0x1.24fffefbcdd39p-3, -0x1.3f1ced08c3b4ap-3, -0x1.59503a228c799p-3, -0x1.733c80faf427cp-3, -0x1.8c8f6667e9079p-3, -0x1.a500a1f793943p-3, -0x1.bc51c19edbbdfp-3, -0x1.d24e2f4d1ca78p-3, -0x1.e6caf5052ceacp-3, -0x1.f9a5ff3f480fap-3, -0x1.05627a6607927p-2, -0x1.0d09f97d79732p-2, -0x1.13c15199628a7p-2, -0x1.1985b78d92dd7p-2, -0x1.1e53b8c50291dp-2, -0x1.222a905b9c488p-2, -0x1.250b5efc12e42p-2, -0x1.26f920a9e2f7cp-2, -0x1.27f88de75ab7fp-2, -0x1.280fe2eb8a798p-2, -0x1.274692f8e888ap-2, -0x1.25a4f4d79bf36p-2, -0x1.2333f6859968p-2, -0x1.1ffce28210dfdp-2, -0x1.1c093b23ab383p-2, -0x1.1762aa7cd8e4bp-2, -0x1.121300efcc2abp-2, -0x1.0c243a6bb9759p-2, -0x1.05a0827053813p-2, -0x1.fd2461f90d9bbp-3, -0x1.ee077b67024ecp-3, -0x1.ddff539bfb1fep-3, -0x1.cd20c7f755e5p-3, -0x1.bb805545696bcp-3, -0x1.a931e1c5af123p-3, -0x1.9648936ed739fp-3, -0x1.82d6b60b0ce83p-3, -0x1.6eedb190217adp-3, -0x1.5a9e0e6f16895p-3, -0x1.45f783d33eb4dp-3, -0x1.31090aff77d1fp-3, -0x1.1be0f31415021p-3, -0x1.068cf15d03bfap-3, -0x1.e234573698d4fp-4, -0x1.b72a7692e7cbep-4, -0x1.8c1454ad921c8p-4, -0x1.6108d60147a7p-4, -0x1.361d9a3eadcd6p-4, -0x1.0b66e6c5acf13p-4, -0x1.c1ef2aaf4d6d4p-5, -0x1.6dc214427fcddp-5, -0x1.1a66657c58785p-5, -0x1.8ff239a9a14d8p-6, -0x1.da51f33afc3a5p-7, -0x1.3281cc9850a2bp-8, 0x1.45f2891e9b9bep-8, 0x1.da0f9a5237145p-7, 0x1.85de6100fbe67p-6, 0x1.0df08b95be9f6p-5, 0x1.5779dba3d747ep-5, 0x1.9f7e695327736p-5, 0x1.e5f2c9cce8ba1p-5, 0x1.156667c455276p-4, 0x1.3701c13c755bep-4, 0x1.57c78e99b6c74p-4, 0x1.77b4863fe03bep-4, 0x1.96c5f7727274p-4, 0x1.b4f9c9220e11bp-4, 0x1.d24724ca80613p-4, 0x1.eebc0e0c94467p-4, 0x1.05284738077b7p-3, 0x1.12825e1cc9e11p-3, 0x1.1f6c90094f4ddp-3, 0x1.2be755688e3e5p-3, 0x1.37f3558495458p-3, 0x1.4391615f419f5p-3, 0x1.4ec26ec1e879dp-3, 0x1.598793a5480b7p-3, 0x1.63e2020b4fe0bp-3, 0x1.6dd3045af49d4p-3, 0x1.775bfa445399fp-3, 0x1.807e5629f1b14p-3, 0x1.893b9b03fddb1p-3, 0x1.91955aad1894cp-3, 0x1.998d3484fe00cp-3, 0x1.a124d454bc541p-3, 0x1.a85df1610f6b7p-3, 0x1.af3a4d9917cadp-3, 0x1.b5bbb4d1efbf3p-3, 0x1.bbe3fc01aa17cp-3, 0x1.c1b5006e4798cp-3, 0x1.c730a6c76502ep-3, 0x1.cc58da23b0dfep-3, 0x1.d12f8ade3baeap-3, 0x1.d5b6ad52ed3ccp-3, 0x1.d9f0387d30aabp-3, 0x1.ddde247f8cfb2p-3, 0x1.e182691de6fdap-3, 0x1.e4defc3696661p-3, 0x1.e7f5d0477534dp-3, 0x1.eac8d30c141abp-3, 0x1.ed59ec40bd3c7p-3, 0x1.efaafc93c818dp-3, 0x1.f1bddccba9ac3p-3, 0x1.f3945d2509bbap-3, 0x1.f53044e8a79dcp-3, 0x1.f693523620335p-3, 0x1.f7bf39fdd73cdp-3, 0x1.f8b5a82289228p-3, 0x1.f9783fb997f6bp-3, 0x1.fa089b608823bp-3, 0x1.fa684d9e0977bp-3, 0x1.fa98e1456e12cp-3, 0x1.fa9bd9d46543dp-3, 0x1.fa72b3c42f56ap-3, 0x1.fa1ee4c930fdap-3, 0x1.f9a1dbfd787bbp-3, 0x1.f8fd01f4c9486p-3, 0x1.f831b8ba675a6p-3, 0x1.f7415bba70c5p-3, 0x1.f62d3f99e377p-3, 0x1.f4f6b201811cp-3, 0x1.f39ef96040e8ap-3, 0x1.f22754aa6a6c8p-3, 0x1.f090fb1a6209ap-3, 0x1.eedd1bf7d0b2ap-3, 0x1.ed0cde692eb88p-3, 0x1.eb216152ffd6p-3, 0x1.e91bbb46f8b41p-3, 0x1.e6fcfa84616ddp-3, 0x1.e4c62509e656ep-3, 0x1.e27838b822b1bp-3, 0x1.e0142b8365d38p-3, 0x1.dd9aebb271bp-3, 0x1.db0d60279104ep-3, 0x1.d86c68b10a859p-3, 0x1.d5b8de5df9ee1p-3, 0x1.d2f393d489ce6p-3, 0x1.d01d55a6fc1ccp-3, 0x1.cd36eaa502f59p-3, 0x1.ca411427a3a8bp-3, 0x1.c73c8e5612f95p-3, 0x1.c42a1062a1782p-3, 0x1.c10a4cbf378bep-3, 0x1.bdddf1494f8f7p-3, 0x1.baa5a76dcc257p-3, 0x1.b76214455483ap-3, 0x1.b413d8aa26d8fp-3, 0x1.b0bb914887799p-3, 0x1.ad59d6ab026fap-3, 0x1.a9ef3d43d67dap-3, 0x1.a67c5574b1ffdp-3, 0x1.a301ab96039c7p-3, 0x1.9f7fc7fed1885p-3, 0x1.9bf72f0df3471p-3, 0x1.9868613554261p-3, 0x1.94d3db07a9c19p-3, 0x1.913a1548dde9ap-3, 0x1.8d9b8501304c4p-3, 0x1.89f89b92f1fcbp-3, 0x1.8651c6d2a0cap-3, 0x1.82a77120f00c4p-3, 0x1.7efa018666f0dp-3, 0x1.7b49dbd004e6cp-3, 0x1.779760ac780f3p-3, 0x1.73e2edc966262p-3, 0x1.702cddf0582e5p-3, 0x1.6c758922d8495p-3, 0x1.68bd44b57453p-3, 0x1.6504636958bafp-3, 0x1.614b35845258fp-3, 0x1.5d9208e7132c6p-3, 0x1.59d92921a9507p-3, 0x1.5620df8632b28p-3, 0x1.52697339ca06bp-3, 0x1.4eb32943e1c17p-3, 0x1.4afe449c16c28p-3, 0x1.474b0636c3b38p-3, 0x1.4399ad1065d0ep-3, 0x1.3fea763824098p-3, 0x1.3c3e2670d3c1bp-3, 0x1.3893c8a601f26p-3, 0x1.34ec37c4c146p-3, 0x1.3147aa55bc9dep-3, 0x1.2da65518b2a71p-3, 0x1.2a086b07eabd6p-3, 0x1.266e1d5c55548p-3, 0x1.22d79b9258c8ap-3, 0x1.1f45136f78535p-3, 0x1.1bb6b108cc597p-3, 0x1.182c9eca47ac1p-3, 0x1.14a7057ed60cep-3, 0x1.11260c59200ffp-3, 0x1.0da9d8fcfeea4p-3, 0x1.0a328f896c45fp-3, 0x1.06c052a2e38f4p-3, 0x1.0353437e061aap-3, 0x1.ffd703d4dbd3cp-4, 0x1.f91258bb15fecp-4, 0x1.f258bffadff4dp-4, 0x1.ebaa7156eab95p-4, 0x1.e507a21d295d2p-4, 0x1.de70853adca2ep-4, 0x1.d7e54b4fc802bp-4, 0x1.d16622c0776d9p-4, 0x1.caf337c77d2e7p-4, 0x1.c48cb4859f1dap-4, 0x1.be32c110e351p-4, 0x1.b7e583829165cp-4, 0x1.b1a520040c3d7p-4, 0x1.ab71b8daaca4dp-4, 0x1.a54b6e72a5b09p-4, 0x1.9f325f68f9d8dp-4, 0x1.9926a894a80ecp-4, 0x1.9328650f17d5dp-4, 0x1.8d37ae3bf7ecp-4, 0x1.87549bd090352p-4, 0x1.817f43dab17c5p-4, 0x1.7bb7bac757a08p-4, 0x1.75fe136917ae1p-4, 0x1.70525efe6fe3ap-4, 0x1.6ab4ad380cce9p-4, 0x1.65250c3f1733p-4, 0x1.5fa388bb9797bp-4, 0x1.5a302ddafa303p-4, 0x1.54cb0556bf1c1p-4, 0x1.4f74177b59454p-4, 0x1.4a2b6b2f425e3p-4, 0x1.44f105fa426cbp-4, 0x1.3fc4ec0cec47ap-4, 0x1.3aa7204849ef5p-4, 0x1.3597a445b4b3p-4, 0x1.3096785ed4ec1p-4, 0x1.2ba39bb5bfce2p-4, 0x1.26bf0c3d2ee69p-4, 0x1.21e8c6c0c743fp-4, 0x1.1d20c6ed69f0bp-4, 0x1.1867075984c77p-4, 0x1.13bb818d5c98ap-4, 0x1.0f1e2e0b4996ap-4, 0x1.0a8f0457dfb43p-4, 0x1.060dfb01fb63fp-4, 0x1.019b07aaaf8fp-4, 0x1.fa6c3e1a1d8d4p-5, 0x1.f1be6a0b97ff9p-5, 0x1.e92c793562867p-5, 0x1.e0b65003cf236p-5, 0x1.d85bd15221621p-5, 0x1.d01cde78623e8p-5, 0x1.c7f95758d457fp-5, 0x1.bff11a6d097ep-5, 0x1.b80404d2988aap-5, 0x1.b031f2577d083p-5, 0x1.a87abd861c6b1p-5, 0x1.a0de3fb0f89c9p-5, 0x1.995c50fe16dffp-5, 0x1.91f4c8721841cp-5, 0x1.8aa77bfb11a3ep-5, 0x1.8374407b21a3dp-5, 0x1.7c5ae9d2cc738p-5, 0x1.755b4aeb20ceap-5, 0x1.6e7535bfabadfp-5, 0x1.67a87b683ef14p-5, 0x1.60f4ec228edf3p-5, 0x1.5a5a575ba4b81p-5, 0x1.53d88bb9346ecp-5, 0x1.4d6f5722cc62p-5, 0x1.471e86cae5c54p-5, 0x1.40e5e737d997ap-5, 0x1.3ac5444cb596bp-5, 0x1.34bc6951f7dbep-5, 0x1.2ecb20fe2a758p-5, 0x1.28f1357e64f5fp-5, 0x1.232e707eb1ddfp-5, 0x1.1d829b32534d5p-5, 0x1.17ed7e5becf6bp-5, 0x1.126ee2558b986p-5, 0x1.0d068f188d24p-5, 0x1.07b44c45693cbp-5, 0x1.0277e12b5300ap-5, 0x1.faa2299f74e86p-6, 0x1.f07f5beb4fda9p-6, 0x1.e686e649df79bp-6, 0x1.dcb85562849dp-6, 0x1.d313358224201p-6, 0x1.c99712a8a3e16p-6, 0x1.c043789617886p-6, 0x1.b717f2d798261p-6, 0x1.ae140cd3ca353p-6, 0x1.a53751d70fdcfp-6, 0x1.9c814d1f6bafap-6, 0x1.93f189e806864p-6, 0x1.8b8793746fb1ep-6, 0x1.8342f51b80fep-6, 0x1.7b233a51f5ff6p-6, 0x1.7327eeb4b2764p-6, 0x1.6b509e12b8782p-6, 0x1.639cd476d34e5p-6, 0x1.5c0c1e30f383fp-6, 0x1.549e07df3fa8ep-6, 0x1.4d521e76dd4e2p-6, 0x1.4627ef4c6f6a8p-6, 0x1.3f1f081c5131ep-6, 0x1.3836f71288715p-6, 0x1.316f4ad2767a1p-6, 0x1.2ac7927e46329p-6, 0x1.243f5dbe169ap-6, 0x1.1dd63cc6ec4c1p-6, 0x1.178bc0615d5a2p-6, 0x1.115f79f006f5dp-6, 0x1.0b50fb75c25e1p-6, 0x1.055fd79ba180cp-6, 0x1.ff17436d6809dp-7, 0x1.f3a7db9b2271cp-7, 0x1.e870a13b52015p-7, 0x1.dd70bf40c9d57p-7, 0x1.d2a762201f21bp-7, 0x1.c813b7d908c31p-7, 0x1.bdb4efff61f04p-7, 0x1.b38a3bc3c1f39p-7, 0x1.a992cdfbae904p-7, 0x1.9fcddb296a7b8p-7, 0x1.963a998366f28p-7, 0x1.8cd840fb4bc27p-7, 0x1.83a60b44a6a6dp-7, 0x1.7aa333db398bdp-7, 0x1.71cef808f2f71p-7, 0x1.692896eb7a121p-7, 0x1.60af517975be9p-7, 0x1.58626a87674d2p-7, 0x1.504126cc3d6c8p-7, 0x1.484acce584953p-7, 0x1.407ea55b48a4ap-7, 0x1.38dbfaa3a36f8p-7, 0x1.31621925f1addp-7, 0x1.2a104f3dc08c5p-7, 0x1.22e5ed3d64affp-7, 0x1.1be2457046364p-7, 0x1.1504ac1cdf2ap-7, 0x1.0e4c778670385p-7, 0x1.07b8ffee68464p-7, 0x1.01499f958a4d2p-7, 0x1.f5fb657989a4dp-8, 0x1.e9a92f4b98dedp-8, 0x1.dd9b5d26dc044p-8, 0x1.d1d0b393435a3p-8, 0x1.c647fb1abcbcap-8, 0x1.bb0000485d228p-8, 0x1.aff793a711f16p-8, 0x1.a52d89bfe291fp-8, 0x1.9aa0bb17b823dp-8, 0x1.9050042cbf946p-8, 0x1.863a45735f57bp-8, 0x1.7c5e6352c73c4p-8, 0x1.72bb46211ffb4p-8, 0x1.694fda1f591cep-8, 0x1.601b0f74a1daep-8, 0x1.571bda2984d8bp-8, 0x1.4e513222b8b38p-8, 0x1.45ba131b9b017p-8, 0x1.3d557ca06539dp-8, 0x1.352272081796ap-8, 0x1.2d1ffa6e2338cp-8, 0x1.254d20abd1966p-8, 0x1.1da8f351727ddp-8, 0x1.1632849f50647p-8, 0x1.0ee8ea7e7132dp-8, 0x1.07cb3e79277fep-8, 0x1.00d89db370909p-8, 0x1.f42051c65e529p-9, 0x1.e6e2089074eafp-9, 0x1.d9f4af4896522p-9, 0x1.cd569c6594763p-9, 0x1.c1062d40f7c2bp-9, 0x1.b501c60629bf1p-9, 0x1.a947d1a16e227p-9, 0x1.9dd6c1aeae4eap-9, 0x1.92ad0e6820c35p-9, 0x1.87c93694ce3abp-9, 0x1.7d29bf76fa0fbp-9, 0x1.72cd34ba76609p-9, 0x1.68b22862daeb1p-9, 0x1.5ed732b9b9184p-9, 0x1.553af23caf61bp-9, 0x1.4bdc0b8b85285p-9, 0x1.42b9295634875p-9, 0x1.39d0fc4af667fp-9, 0x1.31223b0442c2dp-9, 0x1.28aba1f6ddd36p-9, 0x1.206bf35fde8adp-9, 0x1.1861f732be94p-9, 0x1.108c7b076b788p-9, 0x1.08ea520868187p-9, 0x1.017a54e0eb51cp-9, 0x1.f476c35628186p-10, 0x1.e658b7bc46ec9p-10, 0x1.d89858798e0b3p-10, 0x1.cb338186d5d16p-10, 0x1.be28192d45fbdp-10, 0x1.b1740fe33876fp-10, 0x1.a51560294c9ap-10, 0x1.990a0e6785a39p-10, 0x1.8d5028caacc47p-10, 0x1.81e5c721b68bp-10, 0x1.76c903c04f71p-10, 0x1.6bf817b3ca9e8p-10, 0x1.61712f86e18e9p-10, 0x1.57328839dc64cp-10, 0x1.4d3a67c4e60a8p-10, 0x1.43871cf688d37p-10, 0x1.3a16ff5255eb3p-10, 0x1.30e86eefbf6c8p-10, 0x1.27f9d4592e257p-10, 0x1.1f49a06b35c18p-10, 0x1.16d64c341d649p-10, 0x1.0e9e58d3810bep-10, 0x1.06a04f5a4f40fp-10, 0x1.fdb58155ae40fp-11, 0x1.ee988ab27bec1p-11, 0x1.dfe6fb18302b4p-11, 0x1.d19e21ba8ecd3p-11, 0x1.c3bb5c764cc2ep-11, 0x1.b63c1793c80f1p-11, 0x1.a91dcd8a6bf9p-11, 0x1.9c5e06c485d6ap-11, 0x1.8ffa5963b5a96p-11, 0x1.83f06905f0df4p-11, 0x1.783de68b08cf3p-11, 0x1.6ce08fdae6edep-11, 0x1.61d62fac22daap-11, 0x1.571c9d4b7f3c6p-11, 0x1.4cb1bc63ba29p-11, 0x1.42937cc618727p-11, 0x1.38bfda33934fap-11, 0x1.2f34dc2686985p-11, 0x1.25f0959d0a5e2p-11, 0x1.1cf124e3fa962p-11, 0x1.1434b362690adp-11, 0x1.0bb97565e3a6cp-11, 0x1.037da9ef32fe5p-11, 0x1.f6ff34ff750dap-12, 0x1.e77b35cf06fbcp-12, 0x1.d86c1227913c3p-12, 0x1.c9ce99bc57adp-12, 0x1.bb9fafb9149e8p-12, 0x1.addc4a62a9ac8p-12, 0x1.a08172b9201c3p-12, 0x1.938c441ac7343p-12, 0x1.86f9ebe881398p-12, 0x1.7ac7a92b3a8f7p-12, 0x1.6ef2cc3a9b318p-12, 0x1.6378b664a3442p-12, 0x1.5856d996c0254p-12, 0x1.4d8ab807c4eb9p-12, 0x1.4311e3e32c1c4p-12, 0x1.38e9fef578423p-12, 0x1.2f10ba598e046p-12, 0x1.2583d6276bb7ap-12, 0x1.1c412123e53efp-12, 0x1.1346787164adcp-12, 0x1.0a91c74211dabp-12, 0x1.0221068ad711ep-12, 0x1.f3e4796f57af3p-13, 0x1.e406fac1e2f82p-13, 0x1.d4a5d203d986cp-13, 0x1.c5bd5960f11abp-13, 0x1.b74a03ab5e931p-13, 0x1.a9485bcfcd475p-13, 0x1.9bb5044b32db2p-13, 0x1.8e8cb6a3357f9p-13, 0x1.81cc42e097373p-13, 0x1.75708f0c18829p-13, 0x1.697696ad55404p-13, 0x1.5ddb6a4bfd08ep-13, 0x1.529c2ef360b85p-13, 0x1.47b61db804fa9p-13, 0x1.3d26833f97884p-13, 0x1.32eabf4adf7eap-13, 0x1.290044422d3a5p-13, 0x1.1f6496c381bebp-13, 0x1.16154d3355274p-13, 0x1.0d100f4f2fab8p-13, 0x1.045295c280647p-13, 0x1.f7b5537b02634p-14, 0x1.e74c491c243c2p-14, 0x1.d765de75c1e25p-14, 0x1.c7fe0440d1732p-14, 0x1.b910c91fe01b1p-14, 0x1.aa9a58e106991p-14, 0x1.9c96fbc41729dp-14, 0x1.8f0315c3bbbadp-14, 0x1.81db25e38dbbbp-14, 0x1.751bc580f0759p-14, 0x1.68c1a7a8120e7p-14, 0x1.5cc9986c6c671p-14, 0x1.51307c4458a95p-14, 0x1.45f34f691b796p-14, 0x1.3b0f2539333bap-14, 0x1.3081279f1c1b4p-14, 0x1.2646967a699aap-14, 0x1.1c5cc70ccf52cp-14, 0x1.12c12369e6d1fp-14, 0x1.097129ea5dea1p-14, 0x1.006a6ca1e3ebp-14, 0x1.ef5521b10b923p-15, 0x1.de5e9d0d23c44p-15, 0x1.cdecdfa783eebp-15, 0x1.bdfba1314ed68p-15, 0x1.ae86bbc73c655p-15, 0x1.9f8a2b008117p-15, 0x1.91020b01512e7p-15, 0x1.82ea97961c9efp-15, 0x1.75402b50b496dp-15, 0x1.67ff3eac3663p-15, 0x1.5b246735c39f5p-15, 0x1.4eac56b9929d4p-15, 0x1.4293da75e7ff6p-15, 0x1.36d7da516240bp-15, 0x1.2b7558162effcp-15, 0x1.20696eb34d86ep-15, 0x1.15b15180a9785p-15, 0x1.0b4a4b88a48d7p-15, 0x1.0131bed4a46e4p-15, 0x1.eeca477e67fe6p-16, 0x1.dbc410941614ep-16, 0x1.c94c1eeeb5001p-16, 0x1.b75de150efdbfp-16, 0x1.a5f4edfeed759p-16, 0x1.950d0189c1515p-16, 0x1.84a1fda35efe1p-16, 0x1.74afe7f8d2da2p-16, 0x1.6532e914cb6c6p-16, 0x1.56274b491802p-16, 0x1.4789799f66c68p-16, 0x1.3955fed057706p-16, 0x1.2b89844382139p-16, 0x1.1e20d112d0f4ap-16, 0x1.1118c9172a061p-16, 0x1.046e6bfb77c7dp-16, 0x1.f03da8aa6a143p-17, 0x1.d84e6d83ef6bep-17, 0x1.c109c21e525fcp-17, 0x1.aa6a72c769f18p-17, 0x1.946b7ae1a9d78p-17, 0x1.7f0803538b9p-17, 0x1.6a3b6101d932cp-17, 0x1.5601134f83cbdp-17, 0x1.4254c2b0cd2fep-17, 0x1.2f323f4163ae4p-17, 0x1.1c957f6c8f6dp-17, 0x1.0a7a9e94edebcp-17, 0x1.f1bbb7ac1f03ap-18, 0x1.cf773178768e7p-18, 0x1.ae20b02abc79bp-18, 0x1.8db17987b99d7p-18, 0x1.6e231137a9553p-18, 0x1.4f6f3693fb51bp-18, 0x1.318fe2827daabp-18, }}, 
      {{-0x1.f36419448d1e7p-2, -0x1.084019af335dfp-1, -0x1.1e165b9b38137p-1, -0x1.38c2a52642c3ep-1, -0x1.55f2737715db8p-1, -0x1.73a9733cd1d77p-1, -0x1.9054798bcd78p-1, -0x1.aac8fbaf3dae6p-1, -0x1.c23ac3e5ad179p-1, -0x1.d62d9adf48314p-1, -0x1.e6661bacf4081p-1, -0x1.f2db6024b2e71p-1, -0x1.fbaa3be411889p-1, -0x1.008530a5c9f5fp+0, -0x1.01a2b4db8ed4ep+0, -0x1.0157c019850a5p+0, -0x1.ffa1d81a83235p-1, -0x1.fa764eb8a1bb5p-1, -0x1.f3845613e116cp-1, -0x1.eb1ea64f6af38p-1, -0x1.e19214708a0a7p-1, -0x1.d724365f45bb7p-1, -0x1.cc13ad5c7704ep-1, -0x1.c0977f511c94ap-1, -0x1.b4df71b6b7ddep-1, -0x1.a914b11526765p-1, -0x1.9d59cb1ceabc2p-1, -0x1.91cb7bfa93b69p-1, -0x1.86815c3555c16p-1, -0x1.7b8e05d7f588fp-1, -0x1.70fff26a70c95p-1, -0x1.66e21288c4ec9p-1, -0x1.5d3c17e2a9a62p-1, -0x1.5412e3d41fae9p-1, -0x1.4b690cb3171b3p-1, -0x1.433f409844529p-1, -0x1.3b949107a6837p-1, -0x1.3466bd4473c15p-1, -0x1.2db2736d263f5p-1, -0x1.277384c8da557p-1, -0x1.21a51853f5b51p-1, -0x1.1c41dda6bf7c6p-1, -0x1.174435fb7da87p-1, -0x1.12a64eb91d896p-1, -0x1.0e6234631af3dp-1, -0x1.0a71e5bb4bd0bp-1, -0x1.06cf6814f090cp-1, -0x1.0374d9a6eef9bp-1, -0x1.005c7f83c0cc7p-1, -0x1.fb019e0215551p-2, -0x1.f5b8e6e33463p-2, -0x1.f0d4a2f2eaf1cp-2, -0x1.ec4b12bedaacfp-2, -0x1.e812f2ab33e57p-2, -0x1.e42380b8431ep-2, -0x1.e0748461d98ebp-2, -0x1.dcfe3bae4eabep-2, -0x1.d9b9709661e2ap-2, -0x1.d69f71dbce265p-2, -0x1.d3aa0ec3103e2p-2, -0x1.d0d39108726e8p-2, -0x1.ce16b64c40d02p-2, -0x1.cb6ea9d98a701p-2, -0x1.c8d6ff2f4492cp-2, -0x1.c64bad53f76a5p-2, -0x1.c3c90abf39c3dp-2, -0x1.c14bc981cf8b2p-2, -0x1.bed0f34e87d27p-2, -0x1.bc55e51ceec99p-2, -0x1.b9d84a497597ap-2, -0x1.b75617439e7c6p-2, -0x1.b4cd83fbe44acp-2, -0x1.b23d06526c32ep-2, -0x1.afa34cc5387c2p-2, -0x1.acff398cc57e9p-2, -0x1.aa4fde3f5de3bp-2, -0x1.a79477fcd846p-2, -0x1.a4cc6c11bd704p-2, -0x1.a1f744f4d0bb7p-2, -0x1.9f14af7e094b6p-2, -0x1.9c24783a3ce9ap-2, -0x1.992688c7a36dcp-2, -0x1.961ae53128ec8p-2, -0x1.9301a946c0714p-2, -0x1.8fdb05f8847aap-2, -0x1.8ca73ec177ed2p-2, -0x1.8966a733853e7p-2, -0x1.8619a0b5e1fabp-2, -0x1.82c09880595bfp-2, -0x1.7f5c05d47602ap-2, -0x1.7bec686df81bcp-2, -0x1.78724721dd50ap-2, -0x1.74ee2ea59a61bp-2, -0x1.7160b07b90339p-2, -0x1.6dca62027049dp-2, -0x1.6a2bdba2cfbe9p-2, -0x1.6685b8128677ap-2, -0x1.62d893a3dbd16p-2, -0x1.5f250b987d7ecp-2, -0x1.5b6bbd74ebd71p-2, -0x1.57ad465653249p-2, -0x1.53ea425007008p-2, -0x1.50234bd67079fp-2, -0x1.4c58fb3b5fefap-2, -0x1.488be63cfa712p-2, -0x1.44bc9fa63c858p-2, -0x1.40ebb6feeb46p-2, -0x1.3d19b848e9bf7p-2, -0x1.39472bc99dc16p-2, -0x1.357495deded82p-2, -0x1.31a2848bb6a27p-2, -0x1.2dd15941694a4p-2, -0x1.2a0197a0d054p-2, -0x1.2633b3d634293p-2, -0x1.22681dee117ddp-2, -0x1.1e9f41d13d83dp-2, -0x1.1ad98742c3ae3p-2, -0x1.171751de55e87p-2, -0x1.13590116f97fep-2, -0x1.0f9ef03683a36p-2, -0x1.0be9765f124c9p-2, -0x1.0838e68fb7334p-2, -0x1.048d8fad439ap-2, -0x1.00e7bc8f8e3c6p-2, -0x1.fa8f6825cccefp-3, -0x1.f35b725a2689cp-3, -0x1.ec341609f0e42p-3, -0x1.e519ca18474fcp-3, -0x1.de0cfe332ef7p-3, -0x1.d70e1b0acd2dfp-3, -0x1.d01d8289926bap-3, -0x1.c93b900cb46d4p-3, -0x1.c268989c568bfp-3, -0x1.bba4eb22c2d16p-3, -0x1.b4f0d0a220e67p-3, -0x1.ae4c8c6855893p-3, -0x1.a7b85c40f48d8p-3, -0x1.a13478a55b647p-3, -0x1.9ac114eb4fa64p-3, -0x1.945e5f726aa0ep-3, -0x1.8e0c81d0b38cep-3, -0x1.87cba0fea9819p-3, -0x1.819bdd82fd5d4p-3, -0x1.7b7d539e18a95p-3, -0x1.75701b7593c7ep-3, -0x1.6f74493fb40bcp-3, -0x1.6989ed6ee1e67p-3, -0x1.63b114dd12c4bp-3, -0x1.5de9c8f7028b3p-3, -0x1.58340fe6f10bep-3, -0x1.528fecbeb2339p-3, -0x1.4cfd5fa0b7367p-3, -0x1.477c65e7da327p-3, -0x1.420cfa4da6cadp-3, -0x1.3caf150f144ccp-3, -0x1.3762ac0f88e79p-3, -0x1.3227b2fa45a24p-3, -0x1.2cfe1b6227b4ep-3, -0x1.27e5d4dff6b03p-3, -0x1.22decd2f3ccf3p-3, -0x1.1de8f049ce65ap-3, -0x1.1904288216672p-3, -0x1.14305e9c361b9p-3, -0x1.0f6d79e60b595p-3, -0x1.0abb604e35e7p-3, -0x1.0619f67a1a42dp-3, -0x1.01891fdb041c5p-3, -0x1.fa117d84d64a4p-4, -0x1.f13168eae22e5p-4, -0x1.e871c27f43772p-4, -0x1.dfd2490a1b287p-4, -0x1.d752b9a77ac97p-4, -0x1.cef2cfe9303b5p-4, -0x1.c6b245f756a8ep-4, -0x1.be90d4afd181ap-4, -0x1.b68e33c49397ep-4, -0x1.aeaa19d8a44ebp-4, -0x1.a6e43c9bd1409p-4, -0x1.9f3c50e4ee76ap-4, -0x1.97b20acab4ab3p-4, -0x1.90451dbb09df4p-4, -0x1.88f53c90d5562p-4, -0x1.81c219a864f18p-4, -0x1.7aab66f276ef1p-4, -0x1.73b0d6060946p-4, -0x1.6cd2183110c7p-4, -0x1.660ede883a4b1p-4, -0x1.5f66d9f5d5162p-4, -0x1.58d9bb480075bp-4, -0x1.5267333e2e8d6p-4, -0x1.4c0ef2960685fp-4, -0x1.45d0aa17abbf5p-4, -0x1.3fac0aa165464p-4, -0x1.39a0c532a69b1p-4, -0x1.33ae8af670fe8p-4, -0x1.2dd50d4d0c09p-4, -0x1.2813fdd51997fp-4, -0x1.226b0e7401ba3p-4, -0x1.1cd9f15dc7aafp-4, -0x1.1760591c4cc96p-4, -0x1.11fdf89611072p-4, -0x1.0cb2831480498p-4, -0x1.077dac49d8b3bp-4, -0x1.025f2856b4c16p-4, -0x1.faad579e88381p-5, -0x1.f0c7d780702a4p-5, -0x1.e70d3b66cef34p-5, -0x1.dd7cef6852c5fp-5, -0x1.d41660a6d1911p-5, -0x1.cad8fd56d98bap-5, -0x1.c1c434c6aa764p-5, -0x1.b8d7776493587p-5, -0x1.b01236c4b94d4p-5, -0x1.a773e5a647b93p-5, -0x1.9efbf7f8103e5p-5, -0x1.96a9e2dca6658p-5, -0x1.8e7d1cadff141p-5, -0x1.86751d00a3a3ap-5, -0x1.7e915ca6821b5p-5, -0x1.76d155b16a601p-5, -0x1.6f3483753f65ap-5, -0x1.67ba6289e9646p-5, -0x1.60627058500c6p-5, -0x1.592c2bc80415fp-5, -0x1.5217161c7da6dp-5, -0x1.4b22b110f6cbcp-5, -0x1.444e7faa42f86p-5, -0x1.3d9a06378cac3p-5, -0x1.3704ca52e71bfp-5, -0x1.308e52e1b4ef2p-5, -0x1.2a362814ea0b1p-5, -0x1.23fbd36925427p-5, -0x1.1ddedfa6a5c6ep-5, -0x1.17ded8e11770bp-5, -0x1.11fb4c7741d1fp-5, -0x1.0c33c9128f881p-5, -0x1.0687dea673c61p-5, -0x1.00f71e6fb0349p-5, -0x1.f70235e6f2157p-6, -0x1.ec4acffcf1914p-6, -0x1.e1c735476b5f1p-6, -0x1.d7769276bb158p-6, -0x1.cd5816c2ddfbp-6, -0x1.c36af3e8a326cp-6, -0x1.b9ae5e2695f6dp-6, -0x1.b0218c39cfe5fp-6, -0x1.a6c3b75a8ff88p-6, -0x1.9d941b38b604cp-6, -0x1.9491f5f815ddfp-6, -0x1.8bbc882cada6p-6, -0x1.831314d6be911p-6, -0x1.7a94e15eca378p-6, -0x1.724135917d9cp-6, -0x1.6a175b9b87c9ap-6, -0x1.6216a00557d0cp-6, -0x1.5a3e51aed46ebp-6, -0x1.528dc1cafe993p-6, -0x1.4b0443db8f1c8p-6, -0x1.43a12dac81ee7p-6, -0x1.3c63d74f9c937p-6, -0x1.354b9b17ed7b1p-6, -0x1.2e57d5953dfd6p-6, -0x1.2787e58f850c7p-6, -0x1.20db2c02500bbp-6, -0x1.1a510c182552ap-6, -0x1.13e8eb25e6ae9p-6, -0x1.0da230a6273acp-6, -0x1.077c463486249p-6, -0x1.01769788fd7a4p-6, -0x1.f72124e66088dp-7, -0x1.eb934dab6e70bp-7, -0x1.e0428d42c0157p-7, -0x1.d52dcba0eea1fp-7, -0x1.ca53f4c3fec51p-7, -0x1.bfb3f8a9db1fp-7, -0x1.b54ccb46c63cbp-7, -0x1.ab1d647bbbbp-7, -0x1.a124c00cd5609p-7, -0x1.9761dd97a702ap-7, -0x1.8dd3c08995553p-7, -0x1.847970162ec85p-7, -0x1.7b51f72d7778dp-7, -0x1.725c64723f05ep-7, -0x1.6997ca3066ecp-7, -0x1.61033e5336f22p-7, -0x1.589dda5ba7bd4p-7, -0x1.5066bb56b5d56p-7, -0x1.485d01d3aad11p-7, -0x1.407fd1da785ffp-7, -0x1.38ce52e20b2bcp-7, -0x1.3147afc6a8fc4p-7, -0x1.29eb16c047f4dp-7, -0x1.22b7b958fb7fp-7, -0x1.1baccc635953ap-7, -0x1.14c987f0ec4e2p-7, -0x1.0e0d2748ab316p-7, -0x1.0776e8dd7a42p-7, -0x1.01060e44b08a5p-7, -0x1.f573b8595467ep-8, -0x1.e92334a6c8e8ap-8, -0x1.dd1926fa4464ap-8, -0x1.d1542ad63284p-8, -0x1.c5d2e1a461977p-8, -0x1.ba93f2a388204p-8, -0x1.af960ad4e9df1p-8, -0x1.a4d7dcea194ffp-8, -0x1.9a582132c5d16p-8, -0x1.9015958ab0a34p-8, -0x1.860efd47afb0ap-8, -0x1.7c432127d6e91p-8, -0x1.72b0cf3fb03d5p-8, -0x1.6956dae893facp-8, -0x1.60341caf24e5ap-8, -0x1.57477241d59dap-8, -0x1.4e8fbe5f995bp-8, -0x1.460be8c6aa10ap-8, -0x1.3dbade236d839p-8, -0x1.359b8fff73287p-8, -0x1.2dacf4b09cc91p-8, -0x1.25ee07484922fp-8, -0x1.1e5dc782be6a4p-8, -0x1.16fb39b69ab6bp-8, -0x1.0fc566c46e603p-8, -0x1.08bb5c066f69bp-8, -0x1.01dc2b4053328p-8, -0x1.f64dd51e8d1e8p-9, -0x1.e93568b3fcbd7p-9, -0x1.dc6d4e81e6605p-9, -0x1.cff3cc1d74eecp-9, -0x1.c3c72f50f73d3p-9, -0x1.b7e5cdfd21726p-9, -0x1.ac4e05fa83e81p-9, -0x1.a0fe3cfb4d7abp-9, -0x1.95f4e06d4504dp-9, -0x1.8b30655c216d9p-9, -0x1.80af48540acfap-9, -0x1.76700d4477633p-9, -0x1.6c713f6344138p-9, -0x1.62b171100f82fp-9, -0x1.592f3bb7f1611p-9, -0x1.4fe93fb95ad9ap-9, -0x1.46de24485626ep-9, -0x1.3e0c9753001ffp-9, -0x1.35734d665006ap-9, -0x1.2d1101932373fp-9, -0x1.24e47553a185cp-9, -0x1.1cec7070bbe35p-9, -0x1.1527c0e82efafp-9, -0x1.0d953ad2a9187p-9, -0x1.0633b84a3e0a9p-9, -0x1.fe0432a250f1ep-10, -0x1.effe8771990dcp-10, -0x1.e254461225b1p-10, -0x1.d50350cfe5c31p-10, -0x1.c8099502b0cd6p-10, -0x1.bb650ade9919fp-10, -0x1.af13b544cccfp-10, -0x1.a313a194ef838p-10, -0x1.9762e77f369b3p-10, -0x1.8bffa8d6d7d4p-10, -0x1.80e81165427c3p-10, -0x1.761a56bda8999p-10, -0x1.6b94b8114416cp-10, -0x1.61557e041228ap-10, -0x1.575afa822a13ep-10, -0x1.4da3889586c9cp-10, -0x1.442d8c3c83898p-10, -0x1.3af77240a752p-10, -0x1.31ffb00e409ep-10, -0x1.2944c38c46eebp-10, -0x1.20c532f5039efp-10, -0x1.187f8caf0aa6cp-10, -0x1.10726726e0c2cp-10, -0x1.089c60a90ed16p-10, -0x1.00fc1f3cd193ap-10, -0x1.f320a0fe635fdp-11, -0x1.e4af52fd81c03p-11, -0x1.d6a1cd2f9668ep-11, -0x1.c8f596a1eadf5p-11, -0x1.bba84470fffd7p-11, -0x1.aeb77983ff308p-11, -0x1.a220e648e5b84p-11, -0x1.95e2487247791p-11, -0x1.89f96ab568467p-11, -0x1.7e642489b4754p-11, -0x1.732059e92fc6dp-11, -0x1.682bfb118929p-11, -0x1.5d85044688568p-11, -0x1.53297d952eefp-11, -0x1.49177a97eda1fp-11, -0x1.3f4d1a3baff14p-11, -0x1.35c88685e6a25p-11, -0x1.2c87f45b6613ep-11, -0x1.2389a348633bp-11, -0x1.1acbdd4919bc9p-11, -0x1.124cf6934a6ccp-11, -0x1.0a0b4d612912ep-11, -0x1.020549bc7c649p-11, -0x1.f472ba95d696fp-12, -0x1.e54c063683474p-12, -0x1.d6937ee6d732ap-12, -0x1.c8463f3e83889p-12, -0x1.ba617380981f3p-12, -0x1.ace2593c94392p-12, -0x1.9fc63ef0daa1ep-12, -0x1.930a83af88797p-12, -0x1.86ac96c3e92ddp-12, -0x1.7aa9f75a321e2p-12, -0x1.6f003428a76eep-12, -0x1.63aceb1a092dfp-12, -0x1.58adc8fa19bdcp-12, -0x1.4e008923239bap-12, -0x1.43a2f52d155f5p-12, -0x1.3992e49e721a8p-12, -0x1.2fce3c9e32363p-12, -0x1.2652efa7b0885p-12, -0x1.1d1efd3f50f5cp-12, -0x1.143071a9246f6p-12, -0x1.0b8565a0a428dp-12, -0x1.031bfe11ecf6ep-12, -0x1.f5e4d7a8658f8p-13, -0x1.e60dd6cb17764p-13, -0x1.d6af89508b7c2p-13, -0x1.c7c69542761cbp-13, -0x1.b94fb66ea729bp-13, -0x1.ab47bde9d3ep-13, -0x1.9dab91933cc22p-13, -0x1.90782b9bf6cbep-13, -0x1.83aa9a0ffc68fp-13, -0x1.773ffe6112cbcp-13, -0x1.6b358cf5beb26p-13, -0x1.5f888cb8b0f76p-13, -0x1.543656ab62492p-13, -0x1.493c557a8b5cap-13, -0x1.3e980514cd5f4p-13, -0x1.3446f243d0038p-13, -0x1.2a46ba47291e2p-13, -0x1.20950a70c22b1p-13, -0x1.172f9fc514821p-13, -0x1.0e14469b1c96p-13, -0x1.0540da3fd7538p-13, -0x1.f966893612541p-14, -0x1.e8d2fbac2801p-14, -0x1.d8c318090ed56p-14, -0x1.c933059d23b5ep-14, -0x1.ba1f063affb1bp-14, -0x1.ab8375408b7c8p-14, -0x1.9d5cc83c62abep-14, -0x1.8fa78c6d932bcp-14, -0x1.82606768f045ap-14, -0x1.75841632bb04p-14, -0x1.690f6cac6846ep-14, -0x1.5cff5503b6fe2p-14, -0x1.5150cf250afaep-14, -0x1.4600f0333ec01p-14, -0x1.3b0ce1ff68b73p-14, -0x1.3071e284e6c4cp-14, -0x1.262d43681835fp-14, -0x1.1c3c6978b73e2p-14, -0x1.129ccc352d651p-14, -0x1.094bf5526d33dp-14, -0x1.0047804595fdp-14, -0x1.ef1a33a0ddc4dp-15, -0x1.de34ff2085d8ap-15, -0x1.cddaff1f9dd3fp-15, -0x1.be07efb48c5eap-15, -0x1.aeb7ac26df7d8p-15, -0x1.9fe62e1e0396dp-15, -0x1.918f8cd8e0343p-15, -0x1.83affc684c8c9p-15, -0x1.7643ccf06f97ap-15, -0x1.694769e8ad083p-15, -0x1.5cb759676a75fp-15, -0x1.50903b6d8bbf9p-15, -0x1.44cec9361e33ep-15, -0x1.396fd48c8218fp-15, -0x1.2e704723d30e6p-15, -0x1.23cd21f49cb97p-15, -0x1.19837c9bdc59p-15, -0x1.0f9084c096b22p-15, -0x1.05f17d7b7ee4p-15, -0x1.f9477d84c2ba3p-16, -0x1.e74969acd970dp-16, -0x1.d5e3bf711068p-16, -0x1.c511a53a7f04fp-16, -0x1.b4ce66cf090e6p-16, -0x1.a515744932767p-16, -0x1.95e261177cd7ap-16, -0x1.8730e30282b93p-16, -0x1.78fcd138b289cp-16, -0x1.6b4223608fe5ap-16, -0x1.5dfcf0b003bcbp-16, -0x1.51296f08cca3cp-16, -0x1.44c3f21c8b959p-16, -0x1.38c8ea970c0f7p-16, -0x1.2d34e5493d7p-16, -0x1.22048a5dccb52p-16, -0x1.17349c933e3b2p-16, -0x1.0cc1f8763fb06p-16, -0x1.02a993a594a3ep-16, -0x1.f1d0f834554b8p-17, -0x1.def7aee1834bap-17, -0x1.ccc1c479a6d42p-17, -0x1.bb29debc2b1a7p-17, -0x1.aa2aceac7a1fdp-17, -0x1.99bf8f57faae7p-17, -0x1.89e344920a87cp-17, -0x1.7a9139c5cbeb2p-17, -0x1.6bc4e0c78876fp-17, -0x1.5d79d0b27804p-17, -0x1.4fabc4cd46009p-17, -0x1.42569b7539a01p-17, -0x1.357655112d0fdp-17, -0x1.2907130d417c5p-17, -0x1.1d0516dbe0382p-17, -0x1.116cc0fb3f1cfp-17, -0x1.063a9008b9fa7p-17, -0x1.f6d63fa9e81bdp-18, -0x1.e1f650f8cab4fp-18, -0x1.cdcefb1b41a18p-18, -0x1.ba5a1a6651f65p-18, -0x1.a791beb95e264p-18, -0x1.957029ec73766p-18, -0x1.83efce42cf721p-18, -0x1.730b4cea3bc68p-18, -0x1.62bd74857232ap-18, -0x1.53013fb8dc4fp-18, -0x1.43d1d3d5b53b1p-18, -0x1.352a7f7773345p-18, -0x1.2706b93c084cfp-18, -0x1.19621e7bd70bp-18, -0x1.0c3872141c90bp-18, -0x1.ff0b365b3d6b4p-19, -0x1.e68b48319818dp-19, -0x1.cee9725ade13ep-19, -0x1.b81e4f54cf9b4p-19, -0x1.a222b96e624c3p-19, -0x1.8cefc88e21e44p-19, -0x1.787ed052dc839p-19, -0x1.64c95e0cd9093p-19, -0x1.51c936e9abb1fp-19, -0x1.3f7856189bd21p-19, -0x1.2dd0eb03b69ebp-19, -0x1.1ccd57a0a3a07p-19, -0x1.0c682eb8ae12p-19, -0x1.f938649c8a776p-20, -0x1.dac8a42183ae1p-20, -0x1.bd7753a251075p-20, -0x1.a13b0013fc8f5p-20, -0x1.860a88eaa636ap-20, -0x1.6bdd1d2c52b7dp-20, -0x1.52aa390a1c82ep-20, -0x1.3a69a2ff80d7p-20, -0x1.23136969b922ep-20, -0x1.0c9fe015c6755p-20, -0x1.ee0f3bc649d69p-21, -0x1.c486f4e4b3e76p-21, -0x1.9c9917d194b8ap-21, -0x1.763849c83dfa8p-21, -0x1.5157a485c4f78p-21, -0x1.2deab2530d736p-21, -0x1.0be56a1c70e65p-21, -0x1.d67857b76819cp-22, -0x1.97c7798e8d0c6p-22, -0x1.5ba2876abd21ep-22, -0x1.21f48ba230cfep-22, -0x1.d5528cf4646efp-23, -0x1.6b5a4feef9cc9p-23, -0x1.05da91db421fbp-23, -0x1.495d986fc6a44p-24, -0x1.1ececcccbf45ap-25, 0x1.138d488ebaec5p-27, 0x1.98df07cb55355p-25, 0x1.6ed1e1787f7bdp-24, 0x1.04eb2c2deba7fp-23, 0x1.4edc38c3f069fp-23, 0x1.9558dd74e460bp-23, 0x1.d87cec9094048p-23, 0x1.0c31a6c24afa5p-22, 0x1.2a93022789e46p-22, 0x1.476f1d1ab082cp-22, 0x1.62d222ccc1364p-22, 0x1.7cc7d8a9366f9p-22, 0x1.955ba24328017p-22, 0x1.ac9884bfcc815p-22, 0x1.c2892a3ea397fp-22, 0x1.d737e55a2884ep-22, 0x1.eaaeb3a818f7ep-22, 0x1.fcf7421dbf285p-22, 0x1.070d7743c0abap-21, 0x1.0f1165e827115p-21, 0x1.168bd1a0f5c39p-21, 0x1.1d80fc758ee82p-21, 0x1.23f5062536448p-21, 0x1.29ebee1b7be24p-21, 0x1.2f69945ec928ap-21, 0x1.3471baa58d2efp-21, 0x1.3908058ad8745p-21, 0x1.3d2ffd88c08a4p-21, 0x1.40ed101961d2ap-21, }}, 
      {{0x1.00d946bc3300ep-17, -0x1.554c680e558aap-13, -0x1.c2a3a5180fe9dp-11, -0x1.31f0965d54f6ap-9, -0x1.3154caa40eb2bp-8, -0x1.fadbb1d09621p-8, -0x1.733e2d97730e6p-7, -0x1.effe84c4eaa52p-7, -0x1.34415a4c42dfp-6, -0x1.68e2407834d58p-6, -0x1.90e03a39f5629p-6, -0x1.a803156e39c51p-6, -0x1.aafe3f798238ep-6, -0x1.97807c8c2fc2ap-6, -0x1.6c2d58a0b3f36p-6, -0x1.288770d822724p-6, -0x1.99ae8f0ca7a5cp-7, -0x1.683548c180f07p-8, 0x1.72f5e3ec3346cp-9, 0x1.952548c945408p-7, 0x1.785a6b4f8d17cp-6, 0x1.1ab2d6673b9cbp-5, 0x1.7f9ba8ea9ea8cp-5, 0x1.e9a58648415b4p-5, 0x1.2bcd474bea898p-4, 0x1.64226b355f53ep-4, 0x1.9d3d37a5602c4p-4, 0x1.d699bc12cf391p-4, 0x1.07daa04c43616p-3, 0x1.240c7aa20942ep-3, 0x1.3faf2c9c976a8p-3, 0x1.5a94e8173e135p-3, 0x1.74930af4673b1p-3, 0x1.8d83dfe888b08p-3, 0x1.a548a480dd0a3p-3, 0x1.bbc8a808bbf14p-3, 0x1.d0ef088e274f9p-3, 0x1.e4a9aa9d95fd5p-3, 0x1.f6e9cf7cf9c67p-3, 0x1.03d27c90161c8p-2, 0x1.0b6a7c468db3ep-2, 0x1.123b85f5b06a9p-2, 0x1.1845591caea6cp-2, 0x1.1d8877ea6213ep-2, 0x1.22062551564bep-2, 0x1.25c099a185473p-2, 0x1.28bb294a6f802p-2, 0x1.2afa3255cbfe8p-2, 0x1.2c82d67c921e2p-2, 0x1.2d5aa8ae860dap-2, 0x1.2d87747e044bep-2, 0x1.2d0f2e5eaa8f1p-2, 0x1.2bf8023a15ce8p-2, 0x1.2a486991c1af5p-2, 0x1.2807af3a9dd59p-2, 0x1.253bd4b53f316p-2, 0x1.21ec98b9efaa8p-2, 0x1.1e21738a526b4p-2, 0x1.19e1d99aeabf8p-2, 0x1.153519a1c9b03p-2, 0x1.10224993ea4edp-2, 0x1.0ab04492c5c81p-2, 0x1.04e5b5d23214ap-2, 0x1.fd925208e2ac6p-3, 0x1.f0c231398e346p-3, 0x1.e367e9141e79ap-3, 0x1.d5903ef62fd02p-3, 0x1.c747c7d9d5bf7p-3, 0x1.b89ac8b46f2a4p-3, 0x1.a995154ffad3ep-3, 0x1.9a41f5155cb72p-3, 0x1.8aac12dfe4453p-3, 0x1.7add79c18e1e3p-3, 0x1.6adf9d6db2a9ap-3, 0x1.5abb6a91ab382p-3, 0x1.4a795a3d6f33fp-3, 0x1.3a2183b997bc6p-3, 0x1.29bba96f26dc7p-3, 0x1.194f3f4777427p-3, 0x1.08e36a9e41ff7p-3, 0x1.f0fdfa4e79d46p-4, 0x1.d050d9be094dbp-4, 0x1.afcb9692f8d81p-4, 0x1.8f797bfe3f898p-4, 0x1.6f64f40f413a9p-4, 0x1.4f9785bba7eap-4, 0x1.3019da9fb4da3p-4, 0x1.10f3cba4ec6a1p-4, 0x1.e458e5890c0f5p-5, 0x1.a7947f0dfff33p-5, 0x1.6ba6178ededa7p-5, 0x1.30985d2f2d2f6p-5, 0x1.ecea2f14cf903p-6, 0x1.7a8a7cfee8159p-6, 0x1.0a22113529cacp-6, 0x1.377fc835e5245p-7, 0x1.7b8bddf3dac79p-9, -0x1.d5e8c96f4675bp-9, -0x1.4582969eb0c35p-7, -0x1.0892115f605d4p-6, -0x1.6c27ea37534c7p-6, -0x1.cd7cd7e13f846p-6, -0x1.1646296481cabp-5, -0x1.44a99ac0a1bc9p-5, -0x1.71e7d14fe6bf6p-5, -0x1.9e0073695b8f5p-5, -0x1.c8f3acb9751f5p-5, -0x1.f2c21ecbfcca3p-5, -0x1.0db6694cffbd9p-4, -0x1.217a95cbf3912p-4, -0x1.34aacb2d014ep-4, -0x1.4751a7ce621b5p-4, -0x1.5969f742c3938p-4, -0x1.6af4d7951b389p-4, -0x1.7bf388f2ecf3fp-4, -0x1.8c676d220f867p-4, -0x1.9c5206b4f3f8ap-4, -0x1.abb4f7cf0375ep-4, -0x1.ba92005bac0fp-4, -0x1.c8eafbadcc53fp-4, -0x1.d6c1dd9060ca1p-4, -0x1.e418aee367f65p-4, -0x1.f0f189edecfd5p-4, -0x1.fd4e96975352ap-4, -0x1.0499035df6212p-3, -0x1.0a4f0966a62c6p-3, -0x1.0fca7b728b2b8p-3, -0x1.150c7832157d6p-3, -0x1.1a161e14e1ea6p-3, -0x1.1ee88ab02780cp-3, -0x1.2384da68ef418p-3, -0x1.27ec285690483p-3, -0x1.2c1f8e4ee267bp-3, -0x1.3020250c4a149p-3, -0x1.33ef045d9f06cp-3, -0x1.378d43516a1bep-3, -0x1.3afbf85035638p-3, -0x1.3e3c391d011c1p-3, -0x1.414f1ab6a3bd9p-3, -0x1.4435b118b8bf5p-3, -0x1.46f10ede67086p-3, -0x1.498244cc38ee8p-3, -0x1.4bea614876fecp-3, -0x1.4e2a6fcaae2ddp-3, -0x1.5043784b31a22p-3, -0x1.52367ebaf894ep-3, -0x1.5404828af1903p-3, -0x1.55ae7e48346bep-3, -0x1.57356750acdebp-3, -0x1.589a2da1d2418p-3, -0x1.59ddbbc12e11ep-3, -0x1.5b00f6bcd392ap-3, -0x1.5c04be4092fcp-3, -0x1.5ce9ecbbbc63fp-3, -0x1.5db15792be2e3p-3, -0x1.5e5bcf57c17d6p-3, -0x1.5eea20058eb46p-3, -0x1.5f5d11389d21bp-3, -0x1.5fb56662e5447p-3, -0x1.5ff3def7fa952p-3, -0x1.6019368ff0d5ap-3, -0x1.6026250078407p-3, -0x1.601b5e6c95bf4p-3, -0x1.5ff9934be82b8p-3, -0x1.5fc1706b2455p-3, -0x1.5f739ee7a1e9dp-3, -0x1.5f10c427ff56ap-3, -0x1.5e9981d3dacc5p-3, -0x1.5e0e75cc6c734p-3, -0x1.5d703a278777fp-3, -0x1.5cbf652e1b695p-3, -0x1.5bfc895f11d13p-3, -0x1.5b283576eeefap-3, -0x1.5a42f47c4812bp-3, -0x1.594d4dd0f0c17p-3, -0x1.5847c54768db3p-3, -0x1.5732db3bfb6a7p-3, -0x1.560f0cb0df204p-3, -0x1.54dcd36c855cfp-3, -0x1.539ca6194e577p-3, -0x1.524ef865d1ecdp-3, -0x1.50f43b24f8ef6p-3, -0x1.4f8cdc6d2f1fdp-3, -0x1.4e1947b61d8e7p-3, -0x1.4c99e5f46b35cp-3, -0x1.4b0f1db337484p-3, -0x1.4979532b11604p-3, -0x1.47d8e8566c0e7p-3, -0x1.462e3d03999a9p-3, -0x1.4479aee4843a2p-3, -0x1.42bb999c7389dp-3, -0x1.40f456cc31175p-3, -0x1.3f243e1ce8582p-3, -0x1.3d4ba54a34664p-3, -0x1.3b6ae02ba3a34p-3, -0x1.398240be0cbd8p-3, -0x1.3792172cf0052p-3, -0x1.359ab1dc1816ap-3, -0x1.339c5d7195ffbp-3, -0x1.319764e026f21p-3, -0x1.2f8c11720545dp-3, -0x1.2d7aaad40b49dp-3, -0x1.2b6377212a858p-3, -0x1.2946baedf9d8cp-3, -0x1.2724b9545ee13p-3, -0x1.24fdb3ff10aacp-3, -0x1.22d1eb34eca39p-3, -0x1.20a19de3f8e05p-3, -0x1.1e6d09abf2457p-3, -0x1.1c346ae8630f5p-3, -0x1.19f7fcba28383p-3, -0x1.17b7f9105261p-3, -0x1.157498b0791cbp-3, -0x1.132e133e58271p-3, -0x1.10e49f42e0bfdp-3, -0x1.0e987232a84b8p-3, -0x1.0c49c073cb192p-3, -0x1.09f8bd63507dp-3, -0x1.07a59b5a1c936p-3, -0x1.05508bb1732d2p-3, -0x1.02f9bec7345f4p-3, -0x1.00a16401c3bedp-3, -0x1.fc8fb92d80a4ap-4, -0x1.f7d9d336cf4bfp-4, -0x1.f321e123acd53p-4, -0x1.ee683acc7e0f9p-4, -0x1.e9ad363a70244p-4, -0x1.e4f127aab36bap-4, -0x1.e034619234ec3p-4, -0x1.db7734a1956cap-4, -0x1.d6b9efc9a9bd3p-4, -0x1.d1fce04051358p-4, -0x1.cd405185b7818p-4, -0x1.c8848d69f3ac4p-4, -0x1.c3c9dc12f492p-4, -0x1.bf108402a7608p-4, -0x1.ba58ca1d5d6cp-4, -0x1.b5a2f1b03c92bp-4, -0x1.b0ef3c77c67e8p-4, -0x1.ac3deaa666f09p-4, -0x1.a78f3aead44f6p-4, -0x1.a2e36a76692b3p-4, -0x1.9e3ab50340302p-4, -0x1.999554da21d3ep-4, -0x1.94f382d821436p-4, -0x1.9055767404304p-4, -0x1.8bbb65c3532eep-4, -0x1.8725857f1f509p-4, -0x1.8294090878931p-4, -0x1.7e07226c9823ep-4, -0x1.797f0268bed0ep-4, -0x1.74fbd86dd0f96p-4, -0x1.707dd2a3b02cbp-4, -0x1.6c051dec5c7cep-4, -0x1.6791e5e6e48fep-4, -0x1.632454f22b779p-4, -0x1.5ebc942f8c693p-4, -0x1.5a5acb8565d36p-4, -0x1.55ff21a19174bp-4, -0x1.51a9bbfbd2c4cp-4, -0x1.4d5abed8439b8p-4, -0x1.49124d49c0d8p-4, -0x1.44d08934640c1p-4, -0x1.40959350086a7p-4, -0x1.3c618b2ae2b46p-4, -0x1.38348f2c2dea1p-4, -0x1.340ebc96f1227p-4, -0x1.2ff02f8cdcc9bp-4, -0x1.2bd903114431bp-4, -0x1.27c9510c304b3p-4, -0x1.23c1324d8cef4p-4, -0x1.1fc0be90705ecp-4, -0x1.1bc80c7e79ce4p-4, -0x1.17d731b346fcfp-4, -0x1.13ee42bffdda1p-4, -0x1.100d532ee9571p-4, -0x1.0c347587260f1p-4, -0x1.0863bb505c204p-4, -0x1.049b351686bd7p-4, -0x1.00daf26dc323fp-4, -0x1.fa4603ec516dbp-5, -0x1.f2e6e2bf4b003p-5, -0x1.eb989adbbee3ep-5, -0x1.e45b43f82baa3p-5, -0x1.dd2ef4020ddfdp-5, -0x1.d613bf25a28f2p-5, -0x1.cf09b7d5aced6p-5, -0x1.c810eed3322dep-5, -0x1.c129733534a09p-5, -0x1.ba53527060beap-5, -0x1.b38e985eb9dc2p-5, -0x1.acdb4f4737b9p-5, -0x1.a6397fe560334p-5, -0x1.9fa93170d5b6bp-5, -0x1.992a69a4dd3bp-5, -0x1.92bd2cc7dcde8p-5, -0x1.8c617db2cf983p-5, -0x1.86175dd8b50b8p-5, -0x1.7fdecd4df4573p-5, -0x1.79b7cacfbdd5fp-5, -0x1.73a253cb6142bp-5, -0x1.6d9e64659de1bp-5, -0x1.67abf781ef24dp-5, -0x1.61cb06c9cf1bep-5, -0x1.5bfb8ab3f4521p-5, -0x1.563d7a8b8c806p-5, -0x1.5090cc776a3bep-5, -0x1.4af5758133b1cp-5, -0x1.456b699c845efp-5, -0x1.3ff29bae0b9d3p-5, -0x1.3a8afd92a263dp-5, -0x1.3534802657e38p-5, -0x1.2fef134b77179p-5, -0x1.2abaa5f182d81p-5, -0x1.2597261c25f56p-5, -0x1.208480ea1b3bap-5, -0x1.1b82a29c07bdep-5, -0x1.1691769b4a38cp-5, -0x1.11b0e780bd168p-5, -0x1.0ce0df1b6843ap-5, -0x1.0821467729839p-5, -0x1.037205e3496b8p-5, -0x1.fda609f1fd8b4p-6, -0x1.f4885543ce17fp-6, -0x1.eb8aba3cd0096p-6, -0x1.e2ad041800419p-6, -0x1.d9eefcd710dbfp-6, -0x1.d1506d4eba664p-6, -0x1.c8d11d32f1a88p-6, -0x1.c070d322e689p-6, -0x1.b82f54b4ed207p-6, -0x1.b00c66822c65cp-6, -0x1.a807cc322a5efp-6, -0x1.a02148862cb14p-6, -0x1.98589d646b736p-6, -0x1.90ad8be31b303p-6, -0x1.891fd453470edp-6, -0x1.81af364b84474p-6, -0x1.7a5b70b26eb3cp-6, -0x1.732441c908885p-6, -0x1.6c096734da00ap-6, -0x1.650a9e09f380cp-6, -0x1.5e27a2d4b8d1dp-6, -0x1.576031a38442fp-6, -0x1.50b406101b589p-6, -0x1.4a22db48f3a2p-6, -0x1.43ac6c1a4ca22p-6, -0x1.3d5072f71ecb3p-6, -0x1.370eaa01d884cp-6, -0x1.30e6cb14f3154p-6, -0x1.2ad88fcb56fd5p-6, -0x1.24e3b18894b2ap-6, -0x1.1f07e980f3d6p-6, -0x1.1944f0c14fbf5p-6, -0x1.139a8036cf71ap-6, -0x1.0e0850b66b996p-6, -0x1.088e1b044dd6ap-6, -0x1.032b97daf9d7ep-6, -0x1.fbc0ffe4bba8ep-7, -0x1.f159180d45fa5p-7, -0x1.e71ee9bdc2271p-7, -0x1.dd11e6a745b6p-7, -0x1.d33180aa7831fp-7, -0x1.c97d29e3f762ap-7, -0x1.bff454b85ea2bp-7, -0x1.b69673dff9c48p-7, -0x1.ad62fa722bf79p-7, -0x1.a4595bf076fap-7, -0x1.9b790c514024bp-7, -0x1.92c1800a2bea1p-7, -0x1.8a322c1a4271p-7, -0x1.81ca8613b0441p-7, -0x1.798a042539984p-7, -0x1.71701d23602c5p-7, -0x1.697c4891361fp-7, -0x1.61adfea8e62dcp-7, -0x1.5a04b863e4b22p-7, -0x1.527fef82dd10bp-7, -0x1.4b1f1e954516p-7, -0x1.43e1c100ac7dcp-7, -0x1.3cc75307c1be1p-7, -0x1.35cf51d0f6b3ap-7, -0x1.2ef93b6cfc356p-7, -0x1.28448edcd3f64p-7, -0x1.21b0cc17a91fap-7, -0x1.1b3d74105aab5p-7, -0x1.14ea08babef38p-7, -0x1.0eb60d10a077cp-7, -0x1.08a10516724bcp-7, -0x1.02aa75dfc217ep-7, -0x1.f9a3cb26c897fp-8, -0x1.ee2db6deb7d7ap-8, -0x1.e2f1bf99045d2p-8, -0x1.d7eef843de22dp-8, -0x1.cd2476103c282p-8, -0x1.c2915077a4708p-8, -0x1.b834a141956f1p-8, -0x1.ae0d848858dbp-8, -0x1.a41b18bd6dcfp-8, -0x1.9a5c7ead895abp-8, -0x1.90d0d9841e53ep-8, -0x1.87774ece7b097p-8, -0x1.7e4f067e8502dp-8, -0x1.75572aed0a591p-8, -0x1.6c8ee8dbaffc6p-8, -0x1.63f56f76898f3p-8, -0x1.5b89f0554e75bp-8, -0x1.534b9f7c3a2b9p-8, -0x1.4b39b35c9b414p-8, -0x1.435364d5013d7p-8, -0x1.3b97ef313edd8p-8, -0x1.3406902a015ffp-8, -0x1.2c9e87e425a98p-8, -0x1.255f18efe2118p-8, -0x1.1e47884790c24p-8, -0x1.17571d4e50713p-8, -0x1.108d21ce63c9fp-8, -0x1.09e8e1f758d51p-8, -0x1.0369ac5c003e3p-8, -0x1.fa1da3e05c8b7p-9, -0x1.edaf4c0ca2f5fp-9, -0x1.e186fc99ab56p-9, -0x1.d5a36596ce02cp-9, -0x1.ca033bc00faecp-9, -0x1.bea53877f2642p-9, -0x1.b38819c12a5b1p-9, -0x1.a8aaa237e7da1p-9, -0x1.9e0b990af25cdp-9, -0x1.93a9c9f48f608p-9, -0x1.8984053311ee2p-9, -0x1.7f991f816ea58p-9, -0x1.75e7f20f6442fp-9, -0x1.6c6f5a7992b06p-9, -0x1.632e3ac15d2cbp-9, -0x1.5a237944a1a98p-9, -0x1.514e00b549e19p-9, -0x1.48acc010b987cp-9, -0x1.403eaa96fd696p-9, -0x1.3802b7c209c39p-9, -0x1.2ff7e33ca396fp-9, -0x1.281d2cd9460bp-9, -0x1.20719888deb8cp-9, -0x1.18f42e517370bp-9, -0x1.11a3fa44a5aa1p-9, -0x1.0a800c761a5c5p-9, -0x1.038778f1d064ap-9, -0x1.f972ae0eea3d3p-10, -0x1.ec2987ddaf5afp-10, -0x1.df31bd64a8b64p-10, -0x1.d28995b981036p-10, -0x1.c62f5f7f0c447p-10, -0x1.ba2170d0dd5bep-10, -0x1.ae5e272ec99b9p-10, -0x1.a2e3e7682444ep-10, -0x1.97b11d8732544p-10, -0x1.8cc43cbc33575p-10, -0x1.821bbf486fe38p-10, -0x1.77b626693849dp-10, -0x1.6d91fa42ccc64p-10, -0x1.63adc9cb370b8p-10, -0x1.5a082ab522af2p-10, -0x1.509fb95aa030fp-10, -0x1.477318a7e922fp-10, -0x1.3e80f2061fcfcp-10, -0x1.35c7f5461b447p-10, -0x1.2d46d88b26f6fp-10, -0x1.24fc5835ca4ecp-10, -0x1.1ce736ceaa129p-10, -0x1.15063cf166756p-10, -0x1.0d5839378465ap-10, -0x1.05dc002381fc3p-10, -0x1.fd20d817824ap-11, -0x1.eee8ba0b98f06p-11, -0x1.e10d71a3568a2p-11, -0x1.d38cd58a1e397p-11, -0x1.c664c76db9567p-11, -0x1.b99333d55805dp-11, -0x1.ad1611f8f92a5p-11, -0x1.a0eb6398ece88p-11, -0x1.951134d58ec92p-11, -0x1.89859c0781c9cp-11, -0x1.7e46b997d65b4p-11, -0x1.7352b7d8a5058p-11, -0x1.68a7caddde2f9p-11, -0x1.5e44305665ca7p-11, -0x1.54262f6568dadp-11, -0x1.4a4c187c0700cp-11, -0x1.40b4453333d82p-11, -0x1.375d1825e8489p-11, -0x1.2e44fccb996aep-11, -0x1.256a6752f742cp-11, -0x1.1ccbd47cdfb74p-11, -0x1.1467c977d8a61p-11, -0x1.0c3cd3bb4b5dep-11, -0x1.044988e3e2206p-11, -0x1.f9190d1e9b4aap-12, -0x1.ea08e471ce962p-12, -0x1.db5ff22cbbb7bp-12, -0x1.cd1b9fe98f50bp-12, -0x1.bf39662bf9617p-12, -0x1.b1b6cc1c937fcp-12, -0x1.a49167445f5f7p-12, -0x1.97c6db49fb1a8p-12, -0x1.8b54d9ae74329p-12, -0x1.7f39218b2ea3dp-12, -0x1.73717f508512p-12, -0x1.67fbcc84c7144p-12, -0x1.5cd5ef846b1a8p-12, -0x1.51fddb42789ddp-12, -0x1.47718f09e49c3p-12, -0x1.3d2f163fa96dap-12, -0x1.3334882580bacp-12, -0x1.2980079d85d5bp-12, -0x1.200fc2ee8503ap-12, -0x1.16e1f388f6cfbp-12, -0x1.0df4ddcd3136dp-12, -0x1.0546d0d185e96p-12, -0x1.f9ac4c54f743cp-13, -0x1.e942836552b57p-13, -0x1.d94d22a781395p-13, -0x1.c9c919a1e60d4p-13, -0x1.bab36b22acf87p-13, -0x1.ac092cd77d5a2p-13, -0x1.9dc786e6343b7p-13, -0x1.8febb38792473p-13, -0x1.8272fea3b6ecep-13, -0x1.755ac56f3da4dp-13, -0x1.68a0760c03f46p-13, -0x1.5c418f29d9d38p-13, -0x1.503b9fa971a22p-13, -0x1.448c464106c3dp-13, -0x1.39313122a3774p-13, -0x1.2e281da39ab8cp-13, -0x1.236ed7e69913dp-13, -0x1.19033a85e1965p-13, -0x1.0ee32e40670d9p-13, -0x1.050ca9a7dec29p-13, -0x1.f6fb619ffab4ap-14, -0x1.e468aa004b6bp-14, -0x1.d25d68caabee2p-14, -0x1.c0d5f38dd50bp-14, -0x1.afceb8772a94p-14, -0x1.9f443dc15a882p-14, -0x1.8f33212448c62p-14, -0x1.7f981749241ebp-14, -0x1.706feb3efffc3p-14, -0x1.61b77df552bfdp-14, -0x1.536bc5b5fcdd2p-14, -0x1.4589cda37ebbap-14, -0x1.380eb538ea1d3p-14, -0x1.2af7afcd00246p-14, -0x1.1e420417a4e5ap-14, -0x1.11eb0bb80fc1ap-14, -0x1.05f032c05bdfbp-14, -0x1.f49dee818fe52p-15, -0x1.de09d1aca9c41p-15, -0x1.c81f5077491aep-15, -0x1.b2d9cdb6cad46p-15, -0x1.9e34cccb59f2p-15, -0x1.8a2bf0ce850e9p-15, -0x1.76bafbc4432d3p-15, -0x1.63ddcdd185de6p-15, -0x1.51906479e05d1p-15, -0x1.3fced9da9a435p-15, -0x1.2e9563ee99931p-15, -0x1.1de053d4b0e07p-15, -0x1.0dac1519df026p-15, -0x1.fbea5a0f5372ep-16, -0x1.dd7073e7bac3ap-16, -0x1.bfe3e5331551ap-16, -0x1.a33e4add8a24ep-16, -0x1.8779700699492p-16, -0x1.6c8f4cbfd996fp-16, -0x1.527a04d4726f1p-16, -0x1.3933e696bca44p-16, -0x1.20b769b6cd749p-16, -0x1.08ff2e1cfaf7bp-16, -0x1.e40bf599d41c3p-17, -0x1.b78d799bf095bp-17, -0x1.8c790c367bf4cp-17, -0x1.62c519316c2fdp-17, -0x1.3a68521e76ec4p-17, -0x1.1359ac60f4371p-17, -0x1.db20be70b6658p-18, -0x1.9207c3c421c55p-18, -0x1.4b57d38097348p-18, -0x1.0700d11cd86eep-18, -0x1.89e62a7f3f0c9p-19, -0x1.0a3ed4ab63c7fp-19, -0x1.1ddc251f29c62p-20, -0x1.7d72c412a4f5p-23, 0x1.6c8717603edadp-21, 0x1.942fc34a39457p-20, 0x1.352580e4de8ddp-19, 0x1.9c643f4835e7ap-19, 0x1.ffed000a540a3p-19, 0x1.2febf9c16803ep-18, 0x1.5e1e4e3bb6f0fp-18, 0x1.8a98eaaa871ebp-18, 0x1.b566eaaea6656p-18, }}, 
      {{-0x1.794502081119cp-6, -0x1.29350878de55ap-4, -0x1.349e799c7f3e3p-3, -0x1.fb7056bbf6f8ap-3, -0x1.67b234298399dp-2, -0x1.cca812bbf3d4fp-2, -0x1.11f0687fc078ap-1, -0x1.33e42ec019138p-1, -0x1.4acd563fbf8abp-1, -0x1.5669c065b8703p-1, -0x1.574a8c6959d16p-1, -0x1.4e8e8c3faf669p-1, -0x1.3da7d8c5b73dp-1, -0x1.262e884defc6fp-1, -0x1.09be983039729p-1, -0x1.d3bf88705d9d1p-2, -0x1.8fec7aed9af2dp-2, -0x1.4a7377cfdfcbbp-2, -0x1.056352277d48ep-2, -0x1.84d1fb00f6664p-3, -0x1.05ac91e89c675p-3, -0x1.1e959b1702bacp-4, -0x1.186f3e705a871p-6, 0x1.f16ab1f46df71p-6, 0x1.27f6f6a160cc2p-4, 0x1.bc9040d87322cp-4, 0x1.1d480c7f1335ap-3, 0x1.516d6d7858a74p-3, 0x1.7b4f705c54b19p-3, 0x1.9ba55db252c25p-3, 0x1.b33d0d2983018p-3, 0x1.c2eeed28b584p-3, 0x1.cb959344d8686p-3, 0x1.ce0a63010b567p-3, 0x1.cb2327411a07cp-3, 0x1.c3ae159fde71ep-3, 0x1.b86d8ce763001p-3, 0x1.aa15c000b3c28p-3, 0x1.994caa3640318p-3, 0x1.86aae6c777d2cp-3, 0x1.72bbf9646fd1cp-3, 0x1.5dfdc1fa77801p-3, 0x1.48dfdd1a88f77p-3, 0x1.33c3c63492676p-3, 0x1.1efde6718cfc8p-3, 0x1.0ad71244da717p-3, 0x1.ef1bad1781268p-4, 0x1.caae93935525p-4, 0x1.a8bef71605ed8p-4, 0x1.89939b3ffae37p-4, 0x1.6d62f31853a0cp-4, 0x1.5454b4f82938cp-4, 0x1.3e83cef7df5acp-4, 0x1.2c006109d70b2p-4, 0x1.1cd3c7c9f16f1p-4, 0x1.10f7bc0c0053ap-4, 0x1.0866270844132p-4, 0x1.0310e0b6dc4a6p-4, 0x1.00e3ff76a56e6p-4, 0x1.01c64a5ef6fc1p-4, 0x1.0599d9da40853p-4, 0x1.0c3ceac218e12p-4, 0x1.158acf85a230ap-4, 0x1.215cdf81dc339p-4, 0x1.2f8b4730e9088p-4, 0x1.3feda71095e83p-4, 0x1.525b7cd09c3f7p-4, 0x1.66ac5e1a281d7p-4, 0x1.7cb813ef3fa55p-4, 0x1.9456a87834efcp-4, 0x1.ad60773e43eb4p-4, 0x1.c7ae4a66fb00dp-4, 0x1.e3198878676e9p-4, 0x1.ff7c6fb57db6p-4, 0x1.0e592bf07956fp-3, 0x1.1d4bf8dfdda24p-3, 0x1.2c85be533f5f5p-3, 0x1.3bf6766676fc1p-3, 0x1.4b8f000ef886cp-3, 0x1.5b412109721cap-3, 0x1.6aff80b6549cap-3, 0x1.7abd9e0ccdfdp-3, 0x1.8a6fc31a0e711p-3, 0x1.9a0af863fc7d1p-3, 0x1.a984fa0b194f5p-3, 0x1.b8d42fcd767ccp-3, 0x1.c7efa83c4fefbp-3, 0x1.d6cf16b9d274bp-3, 0x1.e56ad34f3ccf7p-3, 0x1.f3bbdb2f44e71p-3, 0x1.00dde861bced1p-2, 0x1.07b27d31ef3a6p-2, 0x1.0e591f997ff0bp-2, 0x1.14cf90faf085cp-2, 0x1.1b13dd05c882ep-2, 0x1.2124556e787a2p-2, 0x1.26ff8d1cd2c44p-2, 0x1.2ca45310a1205p-2, 0x1.3211ad3a82db8p-2, 0x1.3746d381eca44p-2, 0x1.3c432b28aa0d5p-2, 0x1.410642b0a4923p-2, 0x1.458fce59ffa63p-2, 0x1.49dfa53ee5fd7p-2, 0x1.4df5bf01bfdecp-2, 0x1.51d231f478bb1p-2, 0x1.557531966b32fp-2, 0x1.58df0d4330305p-2, 0x1.5c102eef127d7p-2, 0x1.5f0919d476fdbp-2, 0x1.61c927a68eb8bp-2, 0x1.6453c12561752p-2, 0x1.66a8348e78f7fp-2, 0x1.68c758399ae4fp-2, 0x1.6ab212dc9227cp-2, 0x1.6c6959b6ad95fp-2, 0x1.6dee2ec21f238p-2, 0x1.6f419ef1637b4p-2, 0x1.7064c07eaeb42p-2, 0x1.7158b153155d7p-2, 0x1.721e958a77dfbp-2, 0x1.72b796183637cp-2, 0x1.7324df8f481cp-2, 0x1.7367a10ebf3b7p-2, 0x1.73810b5249272p-2, 0x1.73724fe4e9433p-2, 0x1.733ca0732fe59p-2, 0x1.72e12e3983ddap-2, 0x1.7261298a9aabep-2, 0x1.71bdc169fd3fap-2, 0x1.70f823363de0ep-2, 0x1.70117a5e780f8p-2, 0x1.6f0af01eb6a3bp-2, 0x1.6de5ab3f23bc1p-2, 0x1.6ca2cfd251c5bp-2, 0x1.6b437eefc54ddp-2, 0x1.69c8d668e0aa2p-2, 0x1.6833f07782dd2p-2, 0x1.6685e366fe346p-2, 0x1.64bfc13916f39p-2, 0x1.62e29749bf2ep-2, 0x1.60ef6df4d5a4p-2, 0x1.5ee7484161cc5p-2, 0x1.5ccb2395afe63p-2, 0x1.5a9bf77727265p-2, 0x1.585ab5580eb47p-2, 0x1.56084874844b8p-2, 0x1.53a595bf1dddbp-2, 0x1.51337bdcaa626p-2, 0x1.4eb2d32de3366p-2, 0x1.4c246de523ae7p-2, 0x1.49891825dc981p-2, 0x1.46e1982b28eadp-2, 0x1.442eae72dc2acp-2, 0x1.417115ea72d18p-2, 0x1.3ea9841b9371cp-2, 0x1.3bd8a9561fc5fp-2, 0x1.38ff30d64b286p-2, 0x1.361dc0e5af034p-2, 0x1.3334faf6ceba5p-2, 0x1.30457bbaf9753p-2, 0x1.2d4fdb32ea1cfp-2, 0x1.2a54acbae3fb8p-2, 0x1.27547f134014cp-2, 0x1.244fdc669ff6cp-2, 0x1.21474a4efd647p-2, 0x1.1e3b49daceab1p-2, 0x1.1b2c579362ca8p-2, 0x1.181aeb8566027p-2, 0x1.1507794c535c4p-2, 0x1.11f270214e56dp-2, 0x1.0edc3aedab837p-2, 0x1.0bc5406127327p-2, 0x1.08ade30b9c018p-2, 0x1.05968179c995fp-2, 0x1.027f7654b2205p-2, 0x1.fed23105bbb7ap-3, 0x1.f8a77695c0196p-3, 0x1.f27f5cecdb252p-3, 0x1.ec5a7ceaac056p-3, 0x1.e63968ff99acdp-3, 0x1.e01cad6efe5a7p-3, 0x1.da04d08e15a4fp-3, 0x1.d3f252ff123d8p-3, 0x1.cde5afe7fd4c4p-3, 0x1.c7df5d2528dcep-3, 0x1.c1dfcb7749962p-3, 0x1.bbe766ad53e2ep-3, 0x1.b5f695ca86fadp-3, 0x1.b00dbb290a11cp-3, 0x1.aa2d3499a403dp-3, 0x1.a4555b8122269p-3, 0x1.9e8684f3f8584p-3, 0x1.98c101d0a7ea9p-3, 0x1.93051ed970796p-3, 0x1.8d5324cdb8a0ep-3, 0x1.87ab58837cdbcp-3, 0x1.820dfb011c7f5p-3, 0x1.7c7b49979bb59p-3, 0x1.76f37dfd7afe9p-3, 0x1.7176ce6a22792p-3, 0x1.6c056db1cf597p-3, 0x1.669f8b61ed914p-3, 0x1.614553dda71fep-3, 0x1.5bf6f07a895f9p-3, 0x1.56b4879d04807p-3, 0x1.517e3cd49691cp-3, 0x1.4c5430f770d85p-3, 0x1.4736823d719e3p-3, 0x1.42254c5a43de8p-3, 0x1.3d20a8968faf8p-3, 0x1.3828ade81ca2ep-3, 0x1.333d7108e2972p-3, 0x1.2e5f048cf762p-3, 0x1.298d78f75dba7p-3, 0x1.24c8dccdc4564p-3, 0x1.20113cab30d49p-3, 0x1.1b66a351b7e32p-3, 0x1.16c919bb4d2c2p-3, 0x1.1238a729c3adp-3, 0x1.0db5513616377p-3, 0x1.093f1bdf062dep-3, 0x1.04d63e82f380fp-3, 0x1.007a46cf863f6p-3, 0x1.f856e42c6b9b6p-4, 0x1.efd37d835fe1p-4, 0x1.e76a53c291ebap-4, 0x1.df1b5e6717407p-4, 0x1.d6e69261a57e5p-4, 0x1.cecbe22bc2097p-4, 0x1.c6cb3ddd2a02ep-4, 0x1.bee49341511e2p-4, 0x1.b717cded0ff75p-4, 0x1.af64d7545b342p-4, 0x1.a7cb96e00fc22p-4, 0x1.a04bf203b6485p-4, 0x1.98e5cc532afadp-4, 0x1.91990798150d3p-4, 0x1.8a6583e722278p-4, 0x1.834b1fb4e1fb3p-4, 0x1.7c49b7ea3957cp-4, 0x1.756127f858b31p-4, 0x1.6e9149ec253f8p-4, 0x1.67d9f68107babp-4, 0x1.613b053316377p-4, 0x1.5ab44c5091ae3p-4, 0x1.5445a10aaeb43p-4, 0x1.4deed785aa94dp-4, 0x1.47afc2e828675p-4, 0x1.41883569d9a5cp-4, 0x1.3b78006175c9cp-4, 0x1.357ef45207cadp-4, 0x1.2f9ce0f794d7ap-4, 0x1.29d195532a883p-4, 0x1.241cdfb6591cfp-4, 0x1.1e7e8dce2648bp-4, 0x1.18f66cad84d46p-4, 0x1.138448d757a0fp-4, 0x1.0e27ee480ef99p-4, 0x1.08e1287ee903bp-4, 0x1.03afc286def84p-4, 0x1.fd270dfe909acp-5, 0x1.f318804879eaap-5, 0x1.e9336fad7ac5dp-5, 0x1.df776f494d501p-5, 0x1.d5e411a0f1addp-5, 0x1.cc78e8b1e6afcp-5, 0x1.c335860113ad9p-5, 0x1.ba197aa96dc56p-5, 0x1.b124576a54a01p-5, 0x1.a855acb5ae786p-5, 0x1.9fad0abdc1a2p-5, 0x1.972a0182c7594p-5, 0x1.8ecc20e03f969p-5, 0x1.8692f899f8e35p-5, 0x1.7e7e1868d067cp-5, 0x1.768d100727076p-5, 0x1.6ebf6f3d031aap-5, 0x1.6714c5ebe40c3p-5, 0x1.5f8ca41a3c3e1p-5, 0x1.582699fe95c99p-5, 0x1.50e2380a5b101p-5, 0x1.49bf0ef44376fp-5, 0x1.42bcafc261242p-5, 0x1.3bdaabd3d1d84p-5, 0x1.351894ea0c8f3p-5, 0x1.2e75fd31d4016p-5, 0x1.27f2774bc537cp-5, 0x1.218d96548a4b2p-5, 0x1.1b46edecae7e7p-5, 0x1.151e124017923p-5, 0x1.0f12980d23432p-5, 0x1.092414ab6f495p-5, 0x1.03521e1249bbcp-5, 0x1.fb3895bda0597p-6, 0x1.f00464b37d1c4p-6, 0x1.e506d8f9e2c45p-6, 0x1.da3f23f135bbcp-6, 0x1.cfac78706d357p-6, 0x1.c54e0ace66c99p-6, 0x1.bb2310eabcd07p-6, 0x1.b12ac23620e4p-6, 0x1.a76457ba3a884p-6, 0x1.9dcf0c2118c12p-6, 0x1.946a1bbc30409p-6, 0x1.8b34c48af65ccp-6, 0x1.822e4641132cap-6, 0x1.7955e24c3559p-6, 0x1.70aadbd9890aep-6, 0x1.682c77dad1f6ep-6, 0x1.5fd9fd0b352f9p-6, 0x1.57b2b3f3a561cp-6, 0x1.4fb5e6ef0694cp-6, 0x1.47e2e22dfd7a5p-6, 0x1.4038f3ba7427p-6, 0x1.38b76b7acff9dp-6, 0x1.315d9b34dfbe7p-6, 0x1.2a2ad69084d7fp-6, 0x1.231e731a0d9c6p-6, 0x1.1c37c844532bdp-6, 0x1.15762f6a8caf6p-6, 0x1.0ed903d1e3448p-6, 0x1.085fa2aac529fp-6, 0x1.02096b11f613bp-6, 0x1.f7ab7c22c5f45p-7, 0x1.eb87fd4172cabp-7, 0x1.dfa7234b7d5cfp-7, 0x1.d407bbe8e7c7p-7, 0x1.c8a8989df3426p-7, 0x1.bd888eca82867p-7, 0x1.b2a677a90b909p-7, 0x1.a801304d2147ep-7, 0x1.9d9799a19ed56p-7, 0x1.936898665f943p-7, 0x1.8973152db3747p-7, 0x1.7fb5fc595a551p-7, 0x1.76303e173d384p-7, 0x1.6ce0ce5dc4f3ap-7, 0x1.63c6a4e7ed527p-7, 0x1.5ae0bd30fe26p-7, 0x1.522e166ffc8e6p-7, 0x1.49adb392d8b66p-7, 0x1.415e9b395283ap-7, 0x1.393fd7afa4db9p-7, 0x1.315076e8e8fd7p-7, 0x1.298f8a794611cp-7, 0x1.21fc278fe729dp-7, 0x1.1a9566f0b8dp-7, 0x1.135a64edfaaeep-7, 0x1.0c4a41619b994p-7, 0x1.05641fa66b59dp-7, 0x1.fd4e4d2242538p-8, 0x1.f02500d275c69p-8, 0x1.e34ab5c369e0bp-8, 0x1.d6bdce233f342p-8, 0x1.ca7cb2d923724p-8, 0x1.be85d375fad87p-8, 0x1.b2d7a624cda7dp-8, 0x1.a770a79afbea4p-8, 0x1.9c4f5b083f1c5p-8, 0x1.91724a068036cp-8, 0x1.86d8048978cccp-8, 0x1.7c7f20ce306b5p-8, 0x1.72663b4a52486p-8, 0x1.688bf69b60525p-8, 0x1.5eeefb75c2393p-8, 0x1.558df893bdaa1p-8, 0x1.4c67a2a44a83fp-8, 0x1.437ab439d8213p-8, 0x1.3ac5edb8f79b6p-8, 0x1.32481546f2136p-8, 0x1.29fff6b8512e4p-8, 0x1.21ec637f57cfp-8, 0x1.1a0c329a6d05fp-8, 0x1.125e40827ff6p-8, 0x1.0ae16f19602fdp-8, 0x1.0394a5981384dp-8, 0x1.f8eda0fa4e213p-9, 0x1.eb0dc2f5f813ep-9, 0x1.dd879ecc2fe8ap-9, 0x1.d0592c46e8828p-9, 0x1.c3806d2daa86bp-9, 0x1.b6fb6d2243628p-9, 0x1.aac8417d8b665p-9, 0x1.9ee5092c3a83p-9, 0x1.934fec8bd77dcp-9, 0x1.88071d47b6e5cp-9, 0x1.7d08d6361e12bp-9, 0x1.72535b3583682p-9, 0x1.67e4f909ef402p-9, 0x1.5dbc053a894edp-9, 0x1.53d6ddef3ecbp-9, 0x1.4a33e9ceac24ap-9, 0x1.40d197dc1dd02p-9, 0x1.37ae5f55cefe1p-9, 0x1.2ec8bf93579cep-9, 0x1.261f3fe45846cp-9, 0x1.1db06f6f52a97p-9, 0x1.157ae510c69b2p-9, 0x1.0d7d3f3a8ecd3p-9, 0x1.05b623d3765ap-9, 0x1.fc48802e3023ep-10, 0x1.ed8c90ebfacbap-10, 0x1.df35f0ec17218p-10, 0x1.d14225265c3ep-10, 0x1.c3aec040bcaf1p-10, 0x1.b6796251cdc43p-10, 0x1.a99fb8a3ff9ebp-10, 0x1.9d1f7d796e613p-10, 0x1.90f677d05fa26p-10, 0x1.85227b285ea04p-10, 0x1.79a167480937bp-10, 0x1.6e712803825d8p-10, 0x1.638fb503a1becp-10, 0x1.58fb118dbc7fbp-10, 0x1.4eb14c4c40869p-10, 0x1.44b07f17e5847p-10, 0x1.3af6cec1a8a7cp-10, 0x1.31826add76d2ap-10, 0x1.28518d8d9517dp-10, 0x1.1f627b4eb8dc4p-10, 0x1.16b382c4df5eap-10, 0x1.0e42fc88e5c7dp-10, 0x1.060f4af6cdd39p-10, 0x1.fc2db3f983162p-11, 0x1.ecb03dd5b1133p-11, 0x1.dda33087166a1p-11, 0x1.cf039b19cd6e8p-11, 0x1.c0ce9e44e5b89p-11, 0x1.b3016c0f9f5e4p-11, 0x1.a59947781c345p-11, 0x1.9893841b725cep-11, 0x1.8bed85df24a68p-11, 0x1.7fa4c09c0166fp-11, 0x1.73b6b7ca58834p-11, 0x1.6820fe2fa1a2fp-11, 0x1.5ce1358d71745p-11, 0x1.51f50e51b573cp-11, 0x1.475a47486a73fp-11, 0x1.3d0ead4e76c18p-11, 0x1.33101b05e6087p-11, 0x1.295c788b70043p-11, 0x1.1ff1bb2d37bbdp-11, 0x1.16cde522cec79p-11, 0x1.0def054670e8cp-11, 0x1.055336cf7e43cp-11, 0x1.f9f13539df13p-12, 0x1.e9bae24678776p-12, 0x1.d9ffe4906321ap-12, 0x1.cabcd02dd918fp-12, 0x1.bbee4f5b6efbap-12, 0x1.ad9121ff165f1p-12, 0x1.9fa21d2d4b07ap-12, 0x1.921e2ab06bdf3p-12, 0x1.850248926cb33p-12, 0x1.784b88a874315p-12, 0x1.6bf71020c6829p-12, 0x1.60021712abe88p-12, 0x1.5469e8108d73ep-12, 0x1.492bdfbbe19b3p-12, 0x1.3e456c5b6822dp-12, 0x1.33b40d73348b2p-12, 0x1.2975535eb733p-12, 0x1.1f86deecca24bp-12, 0x1.15e660fdaa205p-12, 0x1.0c919a22a81aap-12, 0x1.03865a4009a0fp-12, 0x1.f5850060ffd3dp-13, 0x1.e487f2d520327p-13, 0x1.d411834f62858p-13, 0x1.c41dc51ad32d5p-13, 0x1.b4a8e6af7f25fp-13, 0x1.a5af310bd66f5p-13, 0x1.972d07109a951p-13, 0x1.891ee4e06ec0ap-13, 0x1.7b815f42f7536p-13, 0x1.6e51230ab80fdp-13, 0x1.618af47e864b9p-13, 0x1.552baec5cf4eep-13, 0x1.493043585503p-13, 0x1.3d95b970a02edp-13, 0x1.32592d818b553p-13, 0x1.2777d0aea4752p-13, 0x1.1ceee847adba6p-13, 0x1.12bbcd469848ep-13, 0x1.08dbebd08bf56p-13, 0x1.fe9985731fa83p-14, 0x1.ec17c615a1d46p-14, 0x1.da2ddf1745dc5p-14, 0x1.c8d73899f9e1ap-14, 0x1.b80f5c6f38882p-14, 0x1.a7d1f53920bffp-14, 0x1.981acd8fdf49p-14, 0x1.88e5cf2d58cb2p-14, 0x1.7a2f021c02e6p-14, 0x1.6bf28beb1430ep-14, 0x1.5e2caee721265p-14, 0x1.50d9c9575052dp-14, 0x1.43f654be7287cp-14, 0x1.377ee520ed0a2p-14, 0x1.2b70284eb0aa8p-14, 0x1.1fc6e53107e88p-14, 0x1.147ffb1cfa5d9p-14, 0x1.099861298d811p-14, 0x1.fe1a4b1275c39p-15, 0x1.e9b6d9d158bddp-15, 0x1.d600e39f5afb6p-15, 0x1.c2f3080e74109p-15, 0x1.b08810048baa4p-15, 0x1.9ebaec94f9222p-15, 0x1.8d86b5e13de05p-15, 0x1.7ce6a9fff720bp-15, 0x1.6cd62bebc2fccp-15, 0x1.5d50c277e598bp-15, 0x1.4e52174bf02f9p-15, 0x1.3fd5f5e56e84bp-15, 0x1.31d84aa0d8231p-15, 0x1.245521c8092f5p-15, 0x1.1748a6a64665fp-15, 0x1.0aaf22a3cf20cp-15, 0x1.fd09f8cce6209p-16, 0x1.e58d6dee03bf4p-16, 0x1.cee1e1dc60bcdp-16, 0x1.b900c74b5266ep-16, 0x1.a3e3c4de17a1p-16, 0x1.8f84b3a097651p-16, 0x1.7bdd9d894241bp-16, 0x1.68e8bc06ef563p-16, 0x1.56a0769778db2p-16, 0x1.44ff6168576f6p-16, 0x1.34003c0059e5dp-16, 0x1.239deff3c5c38p-16, 0x1.13d38f9f2158dp-16, 0x1.049c54ee23dbap-16, 0x1.ebe7405138d02p-17, 0x1.cfa9ed8fd9335p-17, 0x1.b47804b0153e4p-17, 0x1.9a491eb4b9727p-17, 0x1.8115186f308dcp-17, 0x1.68d41064c6bf1p-17, 0x1.517e64cf24d37p-17, 0x1.3b0cb1a0dec7ep-17, 0x1.2577ce9f499fp-17, 0x1.10b8cd87b4f4p-17, 0x1.f991f0806f696p-18, 0x1.d3439e2e7e899p-18, 0x1.ae7a0e23abe3ep-18, 0x1.8b291085902b4p-18, 0x1.6944d8607a74ep-18, 0x1.48c1f88603d1cp-18, 0x1.29956085a8c74p-18, 0x1.0bb459c16b22dp-18, 0x1.de2909152915cp-19, 0x1.a757aab979f6p-19, 0x1.72e1245f71707p-19, 0x1.40b29fab0a28dp-19, 0x1.10b9dee84e23fp-19, 0x1.c5ca702e5cfe3p-20, 0x1.6e472054041f3p-20, 0x1.1ac8acb7b6001p-20, 0x1.965dfec1be07ep-21, 0x1.fd6c14a6ff12bp-22, 0x1.b9752a96fc993p-23, -0x1.ae68d78244f5bp-25, -0x1.3a9bedc1052b4p-22, -0x1.190fa58b4c65dp-21, -0x1.8e60977934cacp-21, -0x1.fd74233bf7c44p-21, -0x1.333e0319cf22dp-20, -0x1.64d438f0938e1p-20, -0x1.93940cb3d307dp-20, -0x1.bf941f0a8989dp-20, -0x1.e8ea5e07c7fd4p-20, -0x1.07d60585b773cp-19, -0x1.19f6e05052021p-19, -0x1.2ae1bc0cf253fp-19, -0x1.3aa04782d245dp-19, -0x1.493be631a7c9cp-19, -0x1.56bdb2e9beb59p-19, -0x1.632e823853161p-19, -0x1.6e96e4cede824p-19, -0x1.78ff29cd429a9p-19, -0x1.826f610291ffbp-19, -0x1.8aef5d0ab7ebdp-19, -0x1.9286b56a68885p-19, -0x1.993cc88cab0bap-19, -0x1.9f18bdbab28bbp-19, -0x1.a42186ecb8d1fp-19, -0x1.a85de2b23845ap-19, -0x1.abd45dd9e9238p-19, -0x1.ae8b553522c7ap-19, -0x1.b088f72032bd4p-19, -0x1.b1d34537df08bp-19, -0x1.b27015b833d29p-19, -0x1.b265150c04304p-19, -0x1.b1b7c72f06a13p-19, -0x1.b06d890bdebaap-19, -0x1.ae8b91c5736bdp-19, -0x1.ac16f4045095cp-19, -0x1.a9149f2a92972p-19, }}, 
      {{-0x1.2553849883549p+0, -0x1.61957a3e87d13p+0, -0x1.9aa23d9b9d00fp+0, -0x1.c44b7b5a46a4p+0, -0x1.dc1314b54d97dp+0, -0x1.e3f70bdcffe33p+0, -0x1.dfa05c2e0836fp+0, -0x1.d2f08682db7bp+0, -0x1.c15572ff59775p+0, -0x1.ad89db3fbbe86p+0, -0x1.998dff877bd75p+0, -0x1.86bae0874a8e6p+0, -0x1.75dfde40ae8f5p+0, -0x1.6761e14a6597p+0, -0x1.5b58227624e6cp+0, -0x1.51a475d7eafdap+0, -0x1.4a0721d5c1e85p+0, -0x1.442e14db89cap+0, -0x1.3fc01cdaa813fp+0, -0x1.3c64b48f40c54p+0, -0x1.39c9ad89024d3p+0, -0x1.37a58145bd553p+0, -0x1.35ba016c5a2ecp+0, -0x1.33d40b85888a1p+0, -0x1.31cb3fe305a58p+0, -0x1.2f81e27f5af57p+0, -0x1.2ce32ff568744p+0, -0x1.29e206272ca71p+0, -0x1.26787acd973e7p+0, -0x1.22a5dcf894415p+0, -0x1.1e6dac591e14dp+0, -0x1.19d6dc9db4b83p+0, -0x1.14eaf7537056ep+0, -0x1.0fb52b4b0dec9p+0, -0x1.0a418994419b1p+0, -0x1.049c8a03da8f5p+0, -0x1.fda585351307dp-1, -0x1.f1e1473879a71p-1, -0x1.e60442087aa67p-1, -0x1.da24c223b5d97p-1, -0x1.ce57245dba968p-1, -0x1.c2add3ba0438fp-1, -0x1.b739635367dc8p-1, -0x1.ac08952907723p-1, -0x1.a128487f4a17p-1, -0x1.96a366824de9dp-1, -0x1.8c82e39a1714bp-1, -0x1.82cddca8f0574p-1, -0x1.7989c8382591p-1, -0x1.70baabd0cce35p-1, -0x1.68634785076e3p-1, -0x1.6085329519999p-1, -0x1.5920edb8bdf0cp-1, -0x1.5235f3f502f7dp-1, -0x1.4bc2a4bbf8457p-1, -0x1.45c523b6dc7fep-1, -0x1.403a4e44df6b6p-1, -0x1.3b1e966c8ade1p-1, -0x1.366dfc753c9a9p-1, -0x1.32242c5023c3fp-1, -0x1.2e3c935dd66ccp-1, -0x1.2ab26ec3d1c23p-1, -0x1.2780d45cc4b0ap-1, -0x1.24a2b9298f15dp-1, -0x1.2212f7f7afc0dp-1, -0x1.1fcc59f6ef64ap-1, -0x1.1dc9a1ada18c6p-1, -0x1.1c05979c0304fp-1, -0x1.1a7b17373027dp-1, -0x1.19251ac0c8984p-1, -0x1.17fec4c71fb8dp-1, -0x1.170366a1c8743p-1, -0x1.162e83dc95e21p-1, -0x1.157bd30fa527p-1, -0x1.14e73cfe44458p-1, -0x1.146cdaf1c7203p-1, -0x1.1408f5255fdf9p-1, -0x1.13b801d0b468dp-1, -0x1.1376a50a74e97p-1, -0x1.1341b171cb226p-1, -0x1.1316295abe07bp-1, -0x1.12f1402103ce1p-1, -0x1.12d05b4227b21p-1, -0x1.12b112ee1802fp-1, -0x1.129131d7d14c3p-1, -0x1.126eb431ac5d2p-1, -0x1.1247c5e2d4719p-1, -0x1.121ac01dbfa22p-1, -0x1.11e6268dd4a61p-1, -0x1.11a8a454e2b35p-1, -0x1.1161090bc7024p-1, -0x1.110e45f06700ep-1, -0x1.10af6b602fdc9p-1, -0x1.1043a6b15cc01p-1, -0x1.0fca406ebd7dp-1, -0x1.0f429aeb1c1fbp-1, -0x1.0eac311602662p-1, -0x1.0e06957606bf9p-1, -0x1.0d51712dd80d8p-1, -0x1.0c8c82f743938p-1, -0x1.0bb79e07ae3e5p-1, -0x1.0ad2a8d93e90dp-1, -0x1.09dd9bd9e479dp-1, -0x1.08d880054511p-1, -0x1.07c36d70df174p-1, -0x1.069e89d311bacp-1, -0x1.056a070e3497bp-1, -0x1.042621c8d89fdp-1, -0x1.02d3201b4fc5bp-1, -0x1.01715058e2582p-1, -0x1.0000c7444ba72p-1, -0x1.fd052a49c1b37p-2, -0x1.f9ed3f7721565p-2, -0x1.f6ba94e5231bcp-2, -0x1.f36dfadb07c9ap-2, -0x1.f0084a34e6ab8p-2, -0x1.ec8a638632d64p-2, -0x1.e8f52e31363c2p-2, -0x1.e549976d4533p-2, -0x1.e188913ab888p-2, -0x1.ddb3114870dcp-2, -0x1.d9ca0fd1e3ed7p-2, -0x1.d5ce867e5ea0ep-2, -0x1.d1c16f4a715cp-2, -0x1.cda3c383cc5cep-2, -0x1.c9767ade6f39ep-2, -0x1.c53a8aa86a43fp-2, -0x1.c0f0e51f779f8p-2, -0x1.bc9a78e9c2ae8p-2, -0x1.b83830b10489ap-2, -0x1.b3caf2dd31e1bp-2, -0x1.af53a16a28da5p-2, -0x1.aad319d283202p-2, -0x1.a64a35090418dp-2, -0x1.a1b9c77a1713dp-2, -0x1.9d22a10f6a70ap-2, -0x1.98858d30c2ba2p-2, -0x1.93e352be8aab4p-2, -0x1.8f3cb404202e3p-2, -0x1.8a926ea147edp-2, -0x1.85e53b6b8c7b3p-2, -0x1.8135ce494a22fp-2, -0x1.7c84d608f9b97p-2, -0x1.77d2fc37ae0f4p-2, -0x1.7320e4f9df287p-2, -0x1.6e6f2ee96295ep-2, -0x1.69be72fafc9fap-2, -0x1.650f446d55d8ep-2, -0x1.606230c257b85p-2, -0x1.5bb7bfc33a885p-2, -0x1.5710738ed56a2p-2, -0x1.526cc8b131561p-2, -0x1.4dcd3642f2ef1p-2, -0x1.49322e0ee20b6p-2, -0x1.449c1cbbc2e7fp-2, -0x1.400b69f8a83cep-2, -0x1.3b8078aa0c1d3p-2, -0x1.36fba716316f6p-2, -0x1.327d4f0f8f96p-2, -0x1.2e05c61c5ac7bp-2, -0x1.29955d9a8f99dp-2, -0x1.252c62e03ee3cp-2, -0x1.20cb1f581d0ecp-2, -0x1.1c71d89aa38c8p-2, -0x1.1820d08445c14p-2, -0x1.13d8454956648p-2, -0x1.0f987188610eap-2, -0x1.0b618c5ba9318p-2, -0x1.0733c96a841f4p-2, -0x1.030f58fb29602p-2, -0x1.fde8d00ae815dp-3, -0x1.f5c6408dd6aadp-3, -0x1.edb750b0a0bc1p-3, -0x1.e5bc4789617f3p-3, -0x1.ddd56643f5b47p-3, -0x1.d602e855b0e46p-3, -0x1.ce4503b322612p-3, -0x1.c69be907393f1p-3, -0x1.bf07c3eb1757cp-3, -0x1.b788bb1dc4a28p-3, -0x1.b01ef0bb2b981p-3, -0x1.a8ca8271ac107p-3, -0x1.a18b89b5d6a8ep-3, -0x1.9a621bf3e4801p-3, -0x1.934e4abeabf3bp-3, -0x1.8c5023fbff05bp-3, -0x1.8567b20e5f2d7p-3, -0x1.7e94fbfc2018p-3, -0x1.77d8059422adfp-3, -0x1.7130cf90553bap-3, -0x1.6a9f57b6356cdp-3, -0x1.642398f59452bp-3, -0x1.5dbd8b85d923fp-3, -0x1.576d25020917bp-3, -0x1.51325883c3d87p-3, -0x1.4b0d16bd73e68p-3, -0x1.44fd4e13d6f7fp-3, -0x1.3f02eab7123dap-3, -0x1.391dd6bb63423p-3, -0x1.334dfa318a6b8p-3, -0x1.2d933b3ef8c99p-3, -0x1.27ed7e35c75d8p-3, -0x1.225ca5ac6f0a9p-3, -0x1.1ce092953400ep-3, -0x1.177924553a13cp-3, -0x1.122638db24124p-3, -0x1.0ce7acb52825fp-3, -0x1.07bd5b26841adp-3, -0x1.02a71e3c372c9p-3, -0x1.fb499dc1dc015p-4, -0x1.f16c89e02c7a2p-4, -0x1.e7b6ae9017555p-4, -0x1.de27b7b6bdc43p-4, -0x1.d4bf4f8265c02p-4, -0x1.cb7d1e8982ac3p-4, -0x1.c260cbe807ebp-4, -0x1.b969fd5b3f76fp-4, -0x1.b098575c2b864p-4, -0x1.a7eb7d38ad485p-4, -0x1.9f63112b85d9p-4, -0x1.96feb4734bcd5p-4, -0x1.8ebe07688be29p-4, -0x1.86a0f195b0efep-4, -0x1.7ea67695b3319p-4, -0x1.76ce86c0544ffp-4, -0x1.6f18c008b59d7p-4, -0x1.6784bfdd5e30cp-4, -0x1.60122337e8b9bp-4, -0x1.58c086ac760ddp-4, -0x1.518f8678eef94p-4, -0x1.4a7ebe941baa9p-4, -0x1.438dcabc9794bp-4, -0x1.3cbc468798cf1p-4, -0x1.3609cd6f8e1eap-4, -0x1.2f75fae28458ap-4, -0x1.29006a5050229p-4, -0x1.22a8b7386cc0bp-4, -0x1.1c6e7d378781cp-4, -0x1.16515814aa954p-4, -0x1.1050e3cdfe281p-4, -0x1.0a6cbca5150a5p-4, -0x1.04a47f2abad8ep-4, -0x1.fdef90947e2dfp-5, -0x1.f2cc6aa8676ffp-5, -0x1.e7dec8113c706p-5, -0x1.dd25e5412cafcp-5, -0x1.d2a0ffaea16b7p-5, -0x1.c84f55e530e7cp-5, -0x1.be3027956e0c4p-5, -0x1.b442b5a39e2bdp-5, -0x1.aa8642355a411p-5, -0x1.a0fa10be28fc6p-5, -0x1.979d660b1c31fp-5, -0x1.8e6f884d81243p-5, -0x1.856fbf24b0ad7p-5, -0x1.7c9d53a70db7p-5, -0x1.73f7906a44a38p-5, -0x1.6b7dc18ada189p-5, -0x1.632f34b315d3p-5, -0x1.5b0b39215dee2p-5, -0x1.53111fae0b69p-5, -0x1.4b403ad0c7654p-5, -0x1.4397dea57d165p-5, -0x1.3c1760f0eba2dp-5, -0x1.34be1924ddf34p-5, -0x1.2d8b60641627ap-5, -0x1.267e9185eecf8p-5, -0x1.1f970919b6d1dp-5, -0x1.18d42569d238dp-5, -0x1.1235467e9b4efp-5, -0x1.0bb9ce210bca2p-5, -0x1.05611fdd2dabbp-5, -0x1.fe554208a2bc5p-6, -0x1.f22b715e25221p-6, -0x1.e6439f7e3962cp-6, -0x1.da9ca1c17e5d1p-6, -0x1.cf355118863bfp-6, -0x1.c40c8a0e128fep-6, -0x1.b9212cc8ddb44p-6, -0x1.ae721d0ce7a7ap-6, -0x1.a3fe423c524ccp-6, -0x1.99c48757c3eeap-6, -0x1.8fc3dafe51705p-6, -0x1.85fb2f6cf0db8p-6, -0x1.7c697a7d77d46p-6, -0x1.730db5a5253cbp-6, -0x1.69e6ddf2b49fp-6, -0x1.60f3f40c053bbp-6, -0x1.5833fc2b51e78p-6, -0x1.4fa5fe1bfea7ap-6, -0x1.474905370045ep-6, -0x1.3f1c205edf436p-6, -0x1.371e61fb643e2p-6, -0x1.2f4edff4df01ap-6, -0x1.27acb3af25d0ap-6, -0x1.2036fa0439e8ep-6, -0x1.18ecd33eaa94cp-6, -0x1.11cd6313ab89ap-6, -0x1.0ad7d09cf02a4p-6, -0x1.040b465245576p-6, -0x1.facde405f3fcdp-7, -0x1.edd4099e218a8p-7, -0x1.e127664089584p-7, -0x1.d4c66945c8575p-7, -0x1.c8af887d0f764p-7, -0x1.bce1401d3f0cbp-7, -0x1.b15a12b5d26d6p-7, -0x1.a618891f89531p-7, -0x1.9b1b326cdea24p-7, -0x1.9060a3da592cp-7, -0x1.85e778bea58cep-7, -0x1.7bae527a927e5p-7, -0x1.71b3d868f101ap-7, -0x1.67f6b7ce4a535p-7, -0x1.5e75a3c882292p-7, -0x1.552f553e5ccb9p-7, -0x1.4c228acef5b36p-7, -0x1.434e08c11d625p-7, -0x1.3ab098f2a6587p-7, -0x1.32490ac7a4f2cp-7, -0x1.2a163319a4076p-7, -0x1.2216ec26cb26ep-7, -0x1.1a4a1580fe646p-7, -0x1.12ae93fcf617fp-7, -0x1.0b4351a1518fdp-7, -0x1.04073d95a6a93p-7, -0x1.f9f298231ee12p-8, -0x1.ec30ec976f3bap-8, -0x1.dec774d1da52dp-8, -0x1.d1b436d66522cp-8, -0x1.c4f54241b248cp-8, -0x1.b888b02740bb2p-8, -0x1.ac6ca2efc02d8p-8, -0x1.a09f463776588p-8, -0x1.951eceacc25fep-8, -0x1.89e979eeba1d7p-8, -0x1.7efd8e6be58a9p-8, -0x1.74595b412191cp-8, -0x1.69fb3818a3869p-8, -0x1.5fe185092d07bp-8, -0x1.560aaa756628fp-8, -0x1.4c7518eb69ff3p-8, -0x1.431f490484ffp-8, -0x1.3a07bb452965dp-8, -0x1.312cf7fd18465p-8, -0x1.288d8f27c9a15p-8, -0x1.2028184d09b2p-8, -0x1.17fb3261dd284p-8, -0x1.100583a99fef2p-8, -0x1.0845b99768115p-8, -0x1.00ba88afad4b8p-8, -0x1.f2c558d46f1b4p-9, -0x1.e479ce28a332cp-9, -0x1.d690036690f25p-9, -0x1.c90597ce6189ap-9, -0x1.bbd8379bf5fdbp-9, -0x1.af059bcda2411p-9, -0x1.a28b89eb816bp-9, -0x1.9667d3cf6dc0cp-9, -0x1.8a98576d896cp-9, -0x1.7f1afe9d70a44p-9, -0x1.73edbee402b71p-9, -0x1.690e993dcf71ap-9, -0x1.5e7b99ea22bbp-9, -0x1.5432d836b3fffp-9, -0x1.4a32764bf45ecp-9, -0x1.4078a0fa00a54p-9, -0x1.37038f8637affp-9, -0x1.2dd183796dd9ap-9, -0x1.24e0c86ec5ec6p-9, -0x1.1c2fb3e331455p-9, -0x1.13bca5058917bp-9, -0x1.0b8604875121cp-9, -0x1.038a446e19b3ap-9, -0x1.f78fbfcb044b6p-10, -0x1.e87ab623c0834p-10, -0x1.d9d285c70615ap-10, -0x1.cb9459d53cd2ap-10, -0x1.bdbd6e5794a66p-10, -0x1.b04b0fea5a317p-10, -0x1.a33a9b687ec06p-10, -0x1.96897d984e00ap-10, -0x1.8a3532d97c3c2p-10, -0x1.7e3b46d453b02p-10, -0x1.7299542a1e43bp-10, -0x1.674d0426d020fp-10, -0x1.5c540e73d4c91p-10, -0x1.51ac38cc1be9ep-10, -0x1.475356b14c0fep-10, -0x1.3d4749222c172p-10, -0x1.3385fe522cd83p-10, -0x1.2a0d71622bd3dp-10, -0x1.20dbaa1a4f598p-10, -0x1.17eebca5118afp-10, -0x1.0f44c94b6b9b6p-10, -0x1.06dbfc321ba7fp-10, -0x1.fd651a30351dap-11, -0x1.ed8d7e2c41c81p-11, -0x1.de2dc0be880bcp-11, -0x1.cf4294056f67bp-11, -0x1.c0c8bf5d368b1p-11, -0x1.b2bd1ee7ba694p-11, -0x1.a51ca31660effp-11, -0x1.97e450361e99p-11, -0x1.8b113dfd8e827p-11, -0x1.7ea0971d29353p-11, -0x1.728f98d179743p-11, -0x1.66db927763cbcp-11, -0x1.5b81e5226e2f8p-11, -0x1.50800334f9784p-11, -0x1.45d36ffa8a40ap-11, -0x1.3b79bf43ece35p-11, -0x1.3170950549fe6p-11, -0x1.27b5a4f62ea3dp-11, -0x1.1e46b23364dbep-11, -0x1.15218ee2b010dp-11, -0x1.0c441bd85a06dp-11, -0x1.03ac483e90d2fp-11, -0x1.f6b0227d16ea3p-12, -0x1.e68b0356e5ab1p-12, -0x1.d6e5635e0aecbp-12, -0x1.c7bb8cefdd489p-12, -0x1.b909e3d3a9834p-12, -0x1.aacce49e13003p-12, -0x1.9d012417b0df3p-12, -0x1.8fa34ea70b575p-12, -0x1.82b027bd9554cp-12, -0x1.76248947e1d9bp-12, -0x1.69fd6320e7a58p-12, -0x1.5e37ba882bf42p-12, -0x1.52d0a99b22b2p-12, -0x1.47c55ed138fc3p-12, -0x1.3d131c7ae3fe1p-12, -0x1.32b738436e5edp-12, -0x1.28af1ab592a83p-12, -0x1.1ef83ec2c9e17p-12, -0x1.1590314d45cf3p-12, -0x1.0c7490b475f8fp-12, -0x1.03a30c6449711p-12, -0x1.f632c8cd88e09p-13, -0x1.e5aad1f058d7ap-13, -0x1.d5a9f43b1f4e4p-13, -0x1.c62c0e7b75702p-13, -0x1.b72d1d78ed388p-13, -0x1.a8a93b30250d8p-13, -0x1.9a9c9e1269c9fp-13, -0x1.8d03a75ac762cp-13, -0x1.7fdaa5a038a9ep-13, -0x1.731e2fc363482p-13, -0x1.66cae6dd01b07p-13, -0x1.5add84f861b9bp-13, -0x1.4f52dc6c0645ep-13, -0x1.4427d7360914ap-13, -0x1.3959765c57c57p-13, -0x1.2ee4d150e3769p-13, -0x1.24c7155931fap-13, -0x1.1afd84f99c4c6p-13, -0x1.1185776418118p-13, -0x1.085c57ea7592ep-13, -0x1.feff4ae7e5732p-14, -0x1.edd9e3ec3d04cp-14, -0x1.dd43c3e2026e2p-14, -0x1.cd3857dcd598ap-14, -0x1.bdb33008b1f69p-14, -0x1.aeaffeb4edc84p-14, -0x1.a02a9764fc093p-14, -0x1.921eede7527b8p-14, -0x1.84891571b33ddp-14, -0x1.77653fc34320fp-14, -0x1.6aafbc4c121f4p-14, -0x1.5e64f75a08181p-14, -0x1.5281794ac6d5dp-14, -0x1.4701e5c3223eap-14, -0x1.3be2faeb71b56p-14, -0x1.312190b097e7fp-14, -0x1.26ba980a1725ap-14, -0x1.1cab1a44b8773p-14, -0x1.12f03851e24acp-14, -0x1.09872a1b4ac1fp-14, -0x1.006d3ddb22fe3p-14, -0x1.ef3faef144c48p-15, -0x1.de38dfd13360cp-15, -0x1.cdc129244f35cp-15, -0x1.bdd3cd6f1996ep-15, -0x1.ae6c35c56ff35p-15, -0x1.9f85f0ab9d683p-15, -0x1.911cb0feaa5dp-15, -0x1.832c4ce40139bp-15, -0x1.75b0bcc03b89cp-15, -0x1.68a61a34d7c65p-15, -0x1.5c089f24c1152p-15, -0x1.4fd4a4bf3a03dp-15, -0x1.4406a291c3034p-15, -0x1.389b2d9f6ff51p-15, -0x1.2d8ef77fb454cp-15, -0x1.22decd81ccc2ep-15, -0x1.188797d6ff905p-15, -0x1.0e8658c232c78p-15, -0x1.04d82bcd355fep-15, -0x1.f6f48a06d3a67p-16, -0x1.e4d3e06409095p-16, -0x1.d349205a11609p-16, -0x1.c24f3c33f614cp-16, -0x1.b1e1517e763e9p-16, -0x1.a1faa7aff2026p-16, -0x1.9296aedad71b3p-16, -0x1.83b0fe68ac869p-16, -0x1.754553de2ad68p-16, -0x1.674f91a86b412p-16, -0x1.59cbbdf28a93fp-16, -0x1.4cb60183c73f6p-16, -0x1.400aa6a5ea33dp-16, -0x1.33c6181368485p-16, -0x1.27e4dfedc7f69p-16, -0x1.1c63a6bb29072p-16, -0x1.113f326bc096ep-16, -0x1.0674656634c18p-16, -0x1.f8007b370571cp-17, -0x1.e3bfa74260229p-17, -0x1.d020b3a536385p-17, -0x1.bd1e36f24767dp-17, -0x1.aab2f7f45f18bp-17, -0x1.98d9ec172e872p-17, -0x1.878e35dcb78bdp-17, -0x1.76cb235e48f5cp-17, -0x1.668c2cd94d4efp-17, -0x1.56ccf345b9ff8p-17, -0x1.47893efb1f907p-17, -0x1.38bcfe5c0f14bp-17, -0x1.2a64448eb5aaep-17, -0x1.1c7b483e6969p-17, -0x1.0efe626760db8p-17, -0x1.01ea0d2be56aap-17, -0x1.ea75c5655e298p-18, -0x1.d1db381b8e23fp-18, -0x1.b9fe20572375cp-18, -0x1.a2d8659ea165dp-18, -0x1.8c64272357729p-18, -0x1.769bb9d462763p-18, -0x1.6179a67e949fcp-18, -0x1.4cf8a7ff3fe9bp-18, -0x1.3913a9833184fp-18, -0x1.25c5c4d370e2bp-18, -0x1.130a40b257d84p-18, -0x1.00dc8f439eab5p-18, -0x1.de7099059d2a6p-19, -0x1.bc32798dad89cp-19, -0x1.9af696a192e9bp-19, -0x1.7ab511cdd47bp-19, -0x1.5b6654f9d6985p-19, -0x1.3d030fc741676p-19, -0x1.1f843510c500dp-19, -0x1.02e2f87681368p-19, -0x1.ce31980816589p-20, -0x1.983ebbcbc0894p-20, -0x1.63e12c7056b6cp-20, -0x1.310d29c389842p-20, -0x1.ff6ebe175f44bp-21, -0x1.9fa9be1c3e1e5p-21, -0x1.42b640669e1ddp-21, -0x1.d0ffe32cab164p-22, -0x1.21e66ddfd87edp-22, -0x1.dfe93bdac0304p-24, 0x1.6747ac42dcc62p-25, 0x1.99cd25154397cp-23, 0x1.68207e64d83fdp-22, 0x1.feb77eeed307fp-22, 0x1.48659a912db81p-21, 0x1.8f3d143749b67p-21, 0x1.d3f0e8b46f39fp-21, 0x1.0b47a91621c3cp-20, 0x1.2b9306d309ad3p-20, 0x1.4ae12ff8a1e9dp-20, 0x1.69388d2404603p-20, 0x1.869f4f703ff02p-20, 0x1.a31b72a1db788p-20, 0x1.beb2bf3e64f5dp-20, 0x1.d96acc962c01ap-20, 0x1.f34902b616eb1p-20, 0x1.06294e2302bf6p-19, 0x1.1246542cac227p-19, 0x1.1dfe06168ecb8p-19, 0x1.2952c26698813p-19, 0x1.3446d45e395cap-19, 0x1.3edc74bc82bcep-19, 0x1.4915ca7dd9f57p-19, 0x1.52f4eb944ba6fp-19, 0x1.5c7bdd954b759p-19, 0x1.65ac96678476cp-19, 0x1.6e88fcdf3f464p-19, 0x1.7712e96581c96p-19, 0x1.7f4c267f0a8c7p-19, 0x1.8736716f29d33p-19, 0x1.8ed37aaf9cdf9p-19, 0x1.9624e6818273ep-19, 0x1.9d2c4d6a4038p-19, 0x1.a3eb3caba4e7dp-19, 0x1.aa6336bc7aea5p-19, 0x1.b095b3b53859fp-19, 0x1.b68421c19f39bp-19, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{-0x1.05ceca0a20e0ap-7, -0x1.05d4eb0e30d12p-6, -0x1.88d0c1d359d26p-6, -0x1.05f3530ee9205p-5, -0x1.479347401eddap-5, -0x1.895246baa49ebp-5, -0x1.cb3c0abbc3002p-5, -0x1.06aeb5a2b31b4p-4, -0x1.27e1da2189399p-4, -0x1.493dfab7b10ccp-4, -0x1.6ac92dbc86625p-4, -0x1.8c88cdd7a27a5p-4, -0x1.ae813bb07d3cbp-4, -0x1.d0b5ac8d3ef6cp-4, -0x1.f32805edeb87cp-4, -0x1.0aec62c22c1cp-3, -0x1.1c637a3f462b9p-3, -0x1.2df8126eaa8f5p-3, -0x1.3fa83bba74486p-3, -0x1.51715497e5151p-3, -0x1.6350131ad7e45p-3, -0x1.754090d6034aep-3, -0x1.873e58705a1bap-3, -0x1.9944746753c85p-3, -0x1.ab4d7e868e8a5p-3, -0x1.bd53afae35b49p-3, -0x1.cf50ef9204dd7p-3, -0x1.e13ee42a77e1p-3, -0x1.f31700a0334d8p-3, -0x1.026949c34ef01p-2, -0x1.0b356a231020ep-2, -0x1.13ec77d02a624p-2, -0x1.1c8b09a0698f7p-2, -0x1.250dbc2a02badp-2, -0x1.2d7136918c9ap-2, -0x1.35b22edc3d36cp-2, -0x1.3dcd6dc9cd8d1p-2, -0x1.45bfd23aaee9bp-2, -0x1.4d8654281e2b2p-2, -0x1.551e073435ad1p-2, -0x1.5c841cd89170cp-2, -0x1.63b5e63a295adp-2, -0x1.6ab0d5a9338cbp-2, -0x1.71727fd3addb9p-2, -0x1.77f89cb11fc42p-2, -0x1.7e41082ddda97p-2, -0x1.8449c29be6addp-2, -0x1.8a10f0ef1692bp-2, -0x1.8f94dcca2fd6dp-2, -0x1.94d3f461d92b8p-2, -0x1.99ccca3a6b57ep-2, -0x1.9e7e14c50463dp-2, -0x1.a2e6ade015207p-2, -0x1.a705923f3abc5p-2, -0x1.aad9e0bdf7a0bp-2, -0x1.ae62d9a0793a4p-2, -0x1.b19fddc56a22ep-2, -0x1.b4906dcb6cbd9p-2, -0x1.b734292ca6de5p-2, -0x1.b98acd527fdadp-2, -0x1.bb9434a3753ccp-2, -0x1.bd50558cad9ep-2, -0x1.bebf4188c68e1p-2, -0x1.bfe124251a28dp-2, -0x1.c0b64206980c1p-2, -0x1.c13ef7ef20ebdp-2, -0x1.c17bb9c42aafbp-2, -0x1.c16d119755fb2p-2, -0x1.c1139eb186441p-2, -0x1.c07014a0e2f0ep-2, -0x1.bf833a4a25538p-2, -0x1.be4de8fd788edp-2, -0x1.bcd10b8f217e9p-2, -0x1.bb0d9d741636bp-2, -0x1.b904a9e2a92b1p-2, -0x1.b6b74af756828p-2, -0x1.b426a8ddc4bc7p-2, -0x1.b153f8fdffb28p-2, -0x1.ae407d2def47cp-2, -0x1.aaed82e70e2bap-2, -0x1.a75c62805c4aep-2, -0x1.a38e7e6c8969p-2, -0x1.9f85427c5af72p-2, -0x1.9b4223253ea4cp-2, -0x1.96c69ccc1356dp-2, -0x1.921433141d16p-2, -0x1.8d2c70322779dp-2, -0x1.8810e443d2289p-2, -0x1.82c324ab103abp-2, -0x1.7d44cb6dcd4d2p-2, -0x1.77977699ca4ccp-2, -0x1.71bcc7aca84d1p-2, -0x1.6bb663002bf8dp-2, -0x1.6585ef3ab7d92p-2, -0x1.5f2d14c4055f4p-2, -0x1.58ad7d3e1cafep-2, -0x1.5208d3028d633p-2, -0x1.4b40c0a3f0247p-2, -0x1.4456f073ab796p-2, -0x1.3d4d0c0c032b5p-2, -0x1.3624bbde6e5cdp-2, -0x1.2edfa6c6344bap-2, -0x1.277f719f4ede6p-2, -0x1.2005bee18db6p-2, -0x1.18742e3ff4ed5p-2, -0x1.10cc5c4c54e26p-2, -0x1.090fe21f0dd8bp-2, -0x1.01405502fb7e9p-2, -0x1.f2be8c4af484ep-3, -0x1.e2dc8494fc3bap-3, -0x1.d2dda30957c17p-3, -0x1.c2c4ede2ccf68p-3, -0x1.b29560f183818p-3, -0x1.a251ed22913a5p-3, -0x1.91fd780f0f904p-3, -0x1.819adb92898b3p-3, -0x1.712ce568a641bp-3, -0x1.60b656d1e2e7fp-3, -0x1.5039e43f2a544p-3, -0x1.3fba3504288cap-3, -0x1.2f39e31028394p-3, -0x1.1ebb7aad47dap-3, -0x1.0e417a45e38e3p-3, -0x1.fb9ca45fe2ef4p-4, -0x1.dac8c8fc69236p-4, -0x1.ba0c09ae09cd6p-4, -0x1.996af0a10b46ap-4, -0x1.78e9eaa432059p-4, -0x1.588d46f5b3616p-4, -0x1.38593719e2825p-4, -0x1.1851cebb30948p-4, -0x1.f0f6072643302p-5, -0x1.b1b15ab7b5006p-5, -0x1.72dd0b93d2916p-5, -0x1.3480511bdd61dp-5, -0x1.ed444d773cc12p-6, -0x1.729298144e209p-6, -0x1.f1f113e125766p-7, -0x1.010568306dc1fp-7, -0x1.27a62a39ca32dp-11, 0x1.b33164e8cc2c6p-8, 0x1.c31d76873e48cp-7, 0x1.54ff388f7cd4bp-6, 0x1.c7138808dffd8p-6, 0x1.1be0e9636515p-5, 0x1.5380598010dbcp-5, 0x1.8a63997764aa8p-5, 0x1.c08665d168b18p-5, 0x1.f5e4b1e3636d6p-5, 0x1.153d53957f59ep-4, 0x1.2f22525171ddfp-4, 0x1.489f9f089b7dap-4, 0x1.61b39da831de3p-4, 0x1.7a5ccbc94bbc5p-4, 0x1.9299c0502b43dp-4, 0x1.aa692b0941922p-4, 0x1.c1c9d44417609p-4, 0x1.d8ba9c6c4c9d5p-4, 0x1.ef3a7ba0d57c8p-4, 0x1.02a440a4ca984p-3, 0x1.0d71e9d5c5e34p-3, 0x1.1805d7bdd91eap-3, 0x1.225fb3b858693p-3, 0x1.2c7f31e9bc286p-3, 0x1.3664110786c5ap-3, 0x1.400e1a1fbd591p-3, 0x1.497d2060085edp-3, 0x1.52b100dc9516ep-3, 0x1.5ba9a256b6aeap-3, 0x1.6466f5035d32bp-3, 0x1.6ce8f2517059cp-3, 0x1.752f9cb00fecfp-3, 0x1.7d3aff54d26d9p-3, 0x1.850b2e02065e3p-3, 0x1.8ca044ccfd38dp-3, 0x1.93fa67e479948p-3, 0x1.9b19c3573266ep-3, 0x1.a1fe8ada8bee2p-3, 0x1.a8a8f99186424p-3, 0x1.af1951d3e18f2p-3, 0x1.b54fdcf592598p-3, 0x1.bb4ceb0e80881p-3, 0x1.c110d2c2983aep-3, 0x1.c69bf10a40abp-3, 0x1.cbeea8fb34addp-3, 0x1.d1096391c05f4p-3, 0x1.d5ec8f7a7d76bp-3, 0x1.da98a0dc7aeb5p-3, 0x1.df0e1123edd09p-3, 0x1.e34d5ecd61be3p-3, 0x1.e7570d316fcc1p-3, 0x1.eb2ba4510954fp-3, 0x1.eecbb0a253db7p-3, 0x1.f237c2de21817p-3, 0x1.f5706fcdff079p-3, 0x1.f876501ae9ce9p-3, 0x1.fb4a001ca892ep-3, 0x1.fdec1fa9ceccbp-3, 0x1.002ea8f434ea3p-2, 0x1.014f1e8fb19cbp-2, 0x1.0257c54449124p-2, 0x1.0348f311c39ap-2, 0x1.0422ff4486c56p-2, 0x1.04e6425fb7222p-2, 0x1.05931607b5dfap-2, 0x1.0629d4ed00f87p-2, 0x1.06aadab774febp-2, 0x1.071683f1eec92p-2, 0x1.076d2df655ccbp-2, 0x1.07af36da04239p-2, 0x1.07dcfd5a9822p-2, 0x1.07f6e0cb29505p-2, 0x1.07fd4101e4bfep-2, 0x1.07f07e460cc4dp-2, 0x1.07d0f93e65523p-2, 0x1.079f12dfff54fp-2, 0x1.075b2c5d74a66p-2, 0x1.0705a716821c9p-2, 0x1.069ee48812321p-2, 0x1.0627463ca78dep-2, 0x1.059f2dbd342dbp-2, 0x1.0506fc825627dp-2, 0x1.045f13e5fa05dp-2, 0x1.03a7d51567fe7p-2, 0x1.02e1a103b2d23p-2, 0x1.020cd85c91174p-2, 0x1.0129db779a5aep-2, 0x1.00390a4be818fp-2, 0x1.fe7588c83cfd4p-3, 0x1.fc5ed1a5ae812p-3, 0x1.fa2eac4edc28bp-3, 0x1.f7e5d4c668278p-3, 0x1.f58505de027c5p-3, 0x1.f30cf9224f3adp-3, 0x1.f07e66c78e57bp-3, 0x1.edda059704f96p-3, 0x1.eb208add17955p-3, 0x1.e852aa582d7bap-3, 0x1.e5711628428ccp-3, 0x1.e27c7ebf2f029p-3, 0x1.df7592d1a9b48p-3, 0x1.dc5cff48f33d9p-3, 0x1.d9336f3538186p-3, 0x1.d5f98bc098188p-3, 0x1.d2affc22deb13p-3, 0x1.cf576595dd156p-3, 0x1.cbf06b4a68d44p-3, 0x1.c87bae5e05fb8p-3, 0x1.c4f9cdd1233e6p-3, 0x1.c16b667dfb799p-3, 0x1.bdd113100f63ap-3, 0x1.ba2b6bfc35a7dp-3, 0x1.b67b07793ec5cp-3, 0x1.b2c0797929341p-3, 0x1.aefc53a2e8673p-3, 0x1.ab2f254caee83p-3, 0x1.a7597b76cc31ep-3, 0x1.a37be0c704d23p-3, 0x1.9f96dd8474a43p-3, 0x1.9baaf793ec2fep-3, 0x1.97b8b274caf15p-3, 0x1.93c08f3e56875p-3, 0x1.8fc30c9d843b6p-3, 0x1.8bc0a6d33786ep-3, 0x1.87b9d7b2ee8bcp-3, 0x1.83af16a1e1c72p-3, 0x1.7fa0d896880b7p-3, 0x1.7b8f90188163dp-3, 0x1.777bad40ee28fp-3, 0x1.73659dbb1d2adp-3, 0x1.6f4dccc59d3f9p-3, 0x1.6b34a333ac0fbp-3, 0x1.671a876ef9532p-3, 0x1.62ffdd79c2e61p-3, 0x1.5ee506f13f263p-3, 0x1.5aca63105bc1ap-3, 0x1.56b04eb2c74a3p-3, 0x1.5297245842e8ep-3, 0x1.4e7f3c28433c4p-3, 0x1.4a68ebf5ca632p-3, 0x1.465487438bea5p-3, 0x1.42425f484d6c1p-3, 0x1.3e32c2f387657p-3, 0x1.3a25fef2382fp-3, 0x1.361c5db3f3a71p-3, 0x1.321627702a45cp-3, 0x1.2e13a22b9c2d1p-3, 0x1.2a1511be001d4p-3, 0x1.261ab7d7d746cp-3, 0x1.2224d4086c34ap-3, 0x1.1e33a3c3f86c1p-3, 0x1.1a476269f3627p-3, 0x1.1660494b86659p-3, 0x1.127e8fb21ca96p-3, 0x1.0ea26ae61aeacp-3, 0x1.0acc0e35aed24p-3, 0x1.06fbaafbbd204p-3, 0x1.033170a6e879ep-3, 0x1.fedb19815c673p-4, 0x1.f76055e93cc0ap-4, 0x1.eff2ea2f3ea01p-4, 0x1.e893265e9520ap-4, 0x1.e14156f2ac7b4p-4, 0x1.d9fdc4e6170cbp-4, 0x1.d2c8b5c19d8a2p-4, 0x1.cba26bab58026p-4, 0x1.c48b2575ea0dcp-4, 0x1.bd831eafb9b7p-4, 0x1.b68a8fb247d14p-4, 0x1.afa1adb17f81fp-4, 0x1.a8c8aacb1e6bbp-4, 0x1.a1ffb6160ec6dp-4, 0x1.9b46fbb1d14e4p-4, 0x1.949ea4d5da82ep-4, 0x1.8e06d7e0f4dadp-4, 0x1.877fb868942abp-4, 0x1.8109674826107p-4, 0x1.7aa402b055001p-4, 0x1.744fa6363d69dp-4, 0x1.6e0c6ae293ed3p-4, 0x1.67da6740b9998p-4, 0x1.61b9af6dbd02p-4, 0x1.5baa552744cdp-4, 0x1.55ac67da6445ep-4, 0x1.4fbff4b255317p-4, 0x1.49e506a7187ap-4, 0x1.441ba68bfa2eep-4, 0x1.3e63db1df5d94p-4, 0x1.38bda911fe7e1p-4, 0x1.3329132323171p-4, 0x1.2da61a209361p-4, 0x1.2834bcfb7f5e4p-4, 0x1.22d4f8d4d3d79p-4, 0x1.1d86c90ad0af9p-4, 0x1.184a27467855bp-4, 0x1.131f0b88d8dedp-4, 0x1.0e056c382ae5fp-4, 0x1.08fd3e2cc7c8ep-4, 0x1.040674bdf660cp-4, 0x1.fe42039d17d91p-5, 0x1.f499abb2c14d1p-5, 0x1.eb13bffb349c4p-5, 0x1.e1b01c158e09bp-5, 0x1.d86e991999c97p-5, 0x1.cf4f0daf54e14p-5, 0x1.c6514e2612356p-5, 0x1.bd752c8b40ef5p-5, 0x1.b4ba78c0d76a2p-5, 0x1.ac2100935b407p-5, 0x1.a3a88fcf8c778p-5, 0x1.9b50f057b09ccp-5, 0x1.9319ea387d21p-5, 0x1.8b0343bda1a6bp-5, 0x1.830cc185f0d9ep-5, 0x1.7b36269727d2p-5, 0x1.737f347158913p-5, 0x1.6be7ab21ed6c3p-5, 0x1.646f4956509d5p-5, 0x1.5d15cc6e3153bp-5, 0x1.55daf08d6697fp-5, 0x1.4ebe70ad76026p-5, 0x1.47c006aeb684bp-5, 0x1.40df6b69159c2p-5, 0x1.3a1c56bc7cd09p-5, 0x1.33767fa0d99c4p-5, 0x1.2ced9c35c545dp-5, 0x1.268161d1d0e56p-5, 0x1.20318511742d1p-5, 0x1.19fdb9e59e3fcp-5, 0x1.13e5b3a1eccfdp-5, 0x1.0de9250a88d13p-5, 0x1.0807c061a6a27p-5, 0x1.02413774ae9a4p-5, 0x1.f92a77521ca59p-6, 0x1.ee06fc115cf41p-6, 0x1.e3175e9c2e04ap-6, 0x1.d85affe071cabp-6, 0x1.cdd1405bceaafp-6, 0x1.c3798031f13cfp-6, 0x1.b9531f4231d5p-6, 0x1.af5d7d3c8fc36p-6, 0x1.a597f9b60e3eep-6, 0x1.9c01f43c6ec2p-6, 0x1.929acc69541dcp-6, 0x1.8961e1f4c3b2ap-6, 0x1.805694c7144c1p-6, 0x1.7778450a400fep-6, 0x1.6ec6533aa794p-6, 0x1.664020373f11fp-6, 0x1.5de50d512f919p-6, 0x1.55b47c5ae7d23p-6, 0x1.4dadcfb6a1df4p-6, 0x1.45d06a6463a5fp-6, 0x1.3e1bb00f759e1p-6, 0x1.368f051b5690ep-6, 0x1.2f29ceb02c7cap-6, 0x1.27eb72c6bb071p-6, 0x1.20d35833d7c1bp-6, 0x1.19e0e6b36564ap-6, 0x1.131386f2d9862p-6, 0x1.0c6aa29b47e08p-6, 0x1.05e5a45aff1dap-6, 0x1.ff07efdd68aefp-7, 0x1.f28a145470cp-7, 0x1.e650920199436p-7, 0x1.da5a471a0a993p-7, 0x1.cea614308af47p-7, 0x1.c332dc43b46b9p-7, 0x1.b7ff84cb57eep-7, 0x1.ad0af5c52d7c2p-7, 0x1.a25419c0b57e4p-7, 0x1.97d9ddea78416p-7, 0x1.8d9b321676922p-7, 0x1.839708ca0691ap-7, 0x1.79cc5744f1228p-7, 0x1.703a1589ec155p-7, 0x1.66df3e667f26p-7, 0x1.5dbacf7a336cp-7, 0x1.54cbc93d41509p-7, 0x1.4c112f06970ap-7, 0x1.438a07115356ep-7, 0x1.3b355a81b237fp-7, 0x1.3312356971b64p-7, 0x1.2b1fa6cbad4d4p-7, 0x1.235cc0a0398acp-7, 0x1.1bc897d680e09p-7, 0x1.14624457e6b9fp-7, 0x1.0d28e109b37fep-7, 0x1.061b8bce8e0eap-7, 0x1.fe72cb0f0bf82p-8, 0x1.f103242963903p-8, 0x1.e3e670aacaef8p-8, 0x1.d71b045008478p-8, 0x1.ca9f38d2e1f67p-8, 0x1.be716de841b6p-8, 0x1.b290093da62cfp-8, 0x1.a6f97675e2554p-8, 0x1.9bac27253837dp-8, 0x1.90a692cccd063p-8, 0x1.85e736d584edap-8, 0x1.7b6c968a465a2p-8, 0x1.71353b11ae851p-8, 0x1.673fb3673af6cp-8, 0x1.5d8a9453ed553p-8, 0x1.5414786671f08p-8, 0x1.4adbffeaca76ep-8, 0x1.41dfd0e185d03p-8, 0x1.391e96f68643p-8, 0x1.3097037760dc2p-8, 0x1.2847cd4953d8ep-8, 0x1.202fb0dedf561p-8, 0x1.184d702d00d42p-8, 0x1.109fd2a017311p-8, 0x1.0925a51077424p-8, 0x1.01ddb9b6ad657p-8, 0x1.f58dd03ef3164p-9, 0x1.e7c01a3f06f59p-9, 0x1.da50158d9cb26p-9, 0x1.cd3b90a7dad54p-9, 0x1.c080644e03522p-9, 0x1.b41c7368fcfedp-9, 0x1.a80daaef7f953p-9, 0x1.9c5201cada618p-9, 0x1.90e778bb6d404p-9, 0x1.85cc1a3ccc0acp-9, 0x1.7afdfa699cc5ep-9, 0x1.707b36df31b1ep-9, 0x1.6641f6a0e8cf7p-9, 0x1.5c5069fb53a8ap-9, 0x1.52a4ca672fcffp-9, 0x1.493d5a6c36d8p-9, 0x1.40186583c4119p-9, 0x1.37343ffb6185p-9, 0x1.2e8f46d733251p-9, 0x1.2627dfb4550e4p-9, 0x1.1dfc78ab2072p-9, 0x1.160b88316b6ffp-9, 0x1.0e538cfcbb6cbp-9, 0x1.06d30de47d0a6p-9, 0x1.ff113388663c4p-10, 0x1.f0e58ebb62f24p-10, 0x1.e3206a76c165cp-10, 0x1.d5bf1325170b2p-10, 0x1.c8bee44b7d7ccp-10, 0x1.bc1d484e7d23ap-10, 0x1.afd7b8372189bp-10, 0x1.a3ebbb7844d62p-10, 0x1.9856e7b41db84p-10, 0x1.8d16e081fc9bdp-10, 0x1.8229573469b0bp-10, 0x1.778c0a9f759d6p-10, 0x1.6d3cc6df70a68p-10, 0x1.6339651fed458p-10, 0x1.597fcb632152cp-10, 0x1.500dec49a4a2dp-10, 0x1.46e1c6da9dfa4p-10, 0x1.3df9664c48f3cp-10, 0x1.3552e1ccf33e8p-10, 0x1.2cec5c4c6b94p-10, 0x1.24c40445d9632p-10, 0x1.1cd8138a14d58p-10, 0x1.1526cf0a786ep-10, 0x1.0dae86a427beap-10, 0x1.066d94ebe09b9p-10, 0x1.fec4bdf4869ebp-11, 0x1.f116a871581a8p-11, 0x1.e3cddc5d0eacap-11, 0x1.d6e7609e6f71dp-11, 0x1.ca604f9104e48p-11, 0x1.be35d6a3156d7p-11, 0x1.b26535f4b575p-11, 0x1.a6ebbff7fa224p-11, 0x1.9bc6d9124de93p-11, 0x1.90f3f73eeaf46p-11, 0x1.8670a1b27d72p-11, 0x1.7c3a707fee70cp-11, 0x1.724f0c3e5a005p-11, 0x1.68ac2db032d5bp-11, 0x1.5f4f9d6b92c6fp-11, 0x1.56373383bb457p-11, 0x1.4d60d733c4b54p-11, 0x1.44ca7e8a7f90ap-11, 0x1.3c722e17854fep-11, 0x1.3455f8997b55fp-11, 0x1.2c73fead86889p-11, 0x1.24ca6e7ff0ed2p-11, 0x1.1d57837dfff0ep-11, 0x1.16198608faaf1p-11, 0x1.0f0ecb2a60a8fp-11, 0x1.0835b4495042p-11, 0x1.018caee11a4d3p-11, 0x1.f62468720795fp-12, 0x1.e989923a688a9p-12, 0x1.dd45fb319bb65p-12, 0x1.d156d9625e6cap-12, 0x1.c5b97844bd7b5p-12, 0x1.ba6b38393339dp-12, 0x1.af698e0614eb2p-12, 0x1.a4b202574022ap-12, 0x1.9a4231400d92fp-12, 0x1.9017c9bf8044ep-12, 0x1.86308d46ad9cep-12, 0x1.7c8a4f415bed7p-12, 0x1.7322f4a0cf08cp-12, 0x1.69f87368c511fp-12, 0x1.6108d23e94b1p-12, 0x1.585227fa7210ap-12, 0x1.4fd29b3acd243p-12, 0x1.478861f9cb758p-12, 0x1.3f71c124d06adp-12, 0x1.378d0c361478ep-12, 0x1.2fd8a4d0447fdp-12, 0x1.2852fa5c22901p-12, 0x1.20fa89a820718p-12, 0x1.19cddc89f544ap-12, 0x1.12cb89821e7c2p-12, 0x1.0bf2336151222p-12, 0x1.054088efca4c2p-12, 0x1.fd6a892d04b0fp-13, 0x1.f09e58146f65p-13, 0x1.e41a1ff096856p-13, 0x1.d7db976ad6c84p-13, 0x1.cbe089dc051f4p-13, 0x1.c026d6b0d1ad9p-13, 0x1.b4ac70d19ba45p-13, 0x1.a96f5e0dadec3p-13, 0x1.9e6db689d7fe6p-13, 0x1.93a5a4324f1cfp-13, 0x1.8915622fdd52p-13, 0x1.7ebb3c6038608p-13, 0x1.74958ed18f111p-13, 0x1.6aa2c54129b93p-13, 0x1.60e15a9d1d167p-13, 0x1.574fd889067c4p-13, 0x1.4decd6e5b81b6p-13, 0x1.44b6fb5bd396p-13, 0x1.3bacf8e9455dfp-13, 0x1.32cd8f7190a68p-13, 0x1.2a178b50de665p-13, 0x1.2189c4f1d137ep-13, 0x1.19232065f75c3p-13, 0x1.10e28d00eeb15p-13, 0x1.08c704f6177b8p-13, 0x1.00cf8cf8cde5ep-13, 0x1.f1f667be56431p-14, 0x1.e292248e646c4p-14, 0x1.d370947cd4a41p-14, 0x1.c4900dd797281p-14, 0x1.b5eef878106dcp-14, 0x1.a78bcd2028cc2p-14, 0x1.996514dbcab02p-14, 0x1.8b796866ca24cp-14, 0x1.7dc76f9710348p-14, 0x1.704de0caf6df5p-14, 0x1.630b805bc25d9p-14, 0x1.55ff201422405p-14, 0x1.49279eaaa4468p-14, 0x1.3c83e74004e8ap-14, 0x1.3012f0e148582p-14, 0x1.23d3be0d887ebp-14, }}, 
      {{-0x1.c575391d8480cp-8, -0x1.c57a5fac5baacp-7, -0x1.5422d3fbe93efp-6, -0x1.c59280da7cb5ep-6, -0x1.1b88edd2212cfp-5, -0x1.5453fe3b06adp-5, -0x1.8d2eaa8fd020cp-5, -0x1.c61dbb06e2016p-5, -0x1.ff265e821e9a2p-5, -0x1.1c26fe00a0744p-4, -0x1.38cd0128974a2p-4, -0x1.5587dc877d45ep-4, -0x1.725a0a90f1f98p-4, -0x1.8f45c9042a3a1p-4, -0x1.ac4d085cefecbp-4, -0x1.c9715e36fac51p-4, -0x1.e6b3faa29df32p-4, -0x1.020ad026a6cbp-3, -0x1.10cb4fa6ec0d7p-3, -0x1.1f9b692c1dc18p-3, -0x1.2e7acf0b55119p-3, -0x1.3d68f93149482p-3, -0x1.4c65268c48037p-3, -0x1.5b6e5f224d702p-3, -0x1.6a8376b396762p-3, -0x1.79a30fcc8014ep-3, -0x1.88cb9f2bf34b8p-3, -0x1.97fb6f669e917p-3, -0x1.a730a4b1d7c2ap-3, -0x1.b66940c3ed0dp-3, -0x1.c5a326ba33b08p-3, -0x1.d4dc1ef7b1d52p-3, -0x1.e411daf1845f2p-3, -0x1.f341f8e01c555p-3, -0x1.013503a73346cp-2, -0x1.08c3c440be141p-2, -0x1.104bfada6b5acp-2, -0x1.17cc61142c157p-2, -0x1.1f43aeff2dbf7p-2, -0x1.26b09c7477b18p-2, -0x1.2e11e253063d5p-2, -0x1.35663ba59c453p-2, -0x1.3cac66b0b389fp-2, -0x1.43e325e92edb5p-2, -0x1.4b0940d49646bp-2, -0x1.521d84d3b373fp-2, -0x1.591ec5d88b83p-2, -0x1.600bdf08b1fdep-2, -0x1.66e3b34d06dbep-2, -0x1.6da52dcfe4d73p-2, -0x1.744f426adade2p-2, -0x1.7ae0ee04f7a21p-2, -0x1.815936e2b0e7bp-2, -0x1.87b72ce86fcd4p-2, -0x1.8df9e9d0b3797p-2, -0x1.94209156c5c58p-2, -0x1.9a2a5156e461fp-2, -0x1.a01661e4bb3ddp-2, -0x1.a5e405590903cp-2, -0x1.ab9288572b3b8p-2, -0x1.b12141cb55c4ep-2, -0x1.b68f92e223677p-2, -0x1.bbdce6fa1dc96p-2, -0x1.c108b38fe3eeap-2, -0x1.c61278256e5b2p-2, -0x1.caf9be2501187p-2, -0x1.cfbe18c03df9ep-2, -0x1.d45f24cbcf2e5p-2, -0x1.d8dc889806ee1p-2, -0x1.dd35f3c6db9dbp-2, -0x1.e16b1f1f95492p-2, -0x1.e57bcc60773a3p-2, -0x1.e967c60eaf1dfp-2, -0x1.ed2edf44ce549p-2, -0x1.f0d0f3800383fp-2, -0x1.f44de66c49a52p-2, -0x1.f7a5a3afc1c35p-2, -0x1.fad81eb55e212p-2, -0x1.fde5527705062p-2, -0x1.0066a0a3aa46fp-1, -0x1.01c7fa4d8fd38p-1, -0x1.0316be6963f22p-1, -0x1.0452f881c3834p-1, -0x1.057cb7606314fp-1, -0x1.06940cf2c96d6p-1, -0x1.07990e2f22ee9p-1, -0x1.088bd2f938d27p-1, -0x1.096c76078ee24p-1, -0x1.0a3b14c8b5bc8p-1, -0x1.0af7cf48d1393p-1, -0x1.0ba2c8175dea3p-1, -0x1.0c3c242d385c3p-1, -0x1.0cc40ad2ed918p-1, -0x1.0d3aa58755285p-1, -0x1.0da01fe67ed81p-1, -0x1.0df4a790f265fp-1, -0x1.0e386c134919p-1, -0x1.0e6b9ece21902p-1, -0x1.0e8e72de72cfp-1, -0x1.0ea11d0640b64p-1, -0x1.0ea3d395b3a8cp-1, -0x1.0e96ce5498dcbp-1, -0x1.0e7a466c48b64p-1, -0x1.0e4e7651f98b6p-1, -0x1.0e1399b17f415p-1, -0x1.0dc9ed5877fd2p-1, -0x1.0d71af21e9db1p-1, -0x1.0d0b1de250245p-1, -0x1.0c9679541d104p-1, -0x1.0c140204ac55dp-1, -0x1.0b83f941ab61fp-1, -0x1.0ae6a106f53ap-1, -0x1.0a3c3bece392bp-1, -0x1.09850d171635fp-1, -0x1.08c15823ae851p-1, -0x1.07f1611b0229ap-1, -0x1.07156c5fc172ep-1, -0x1.062dbe9f95528p-1, -0x1.053a9cc42f42ep-1, -0x1.043c4be4d024ap-1, -0x1.0333113840948p-1, -0x1.021f32073e766p-1, -0x1.0100f39f59551p-1, -0x1.ffb1368c862c4p-2, -0x1.fd4cdc5b1bf08p-2, -0x1.fad562cdb5e0ep-2, -0x1.f84b53b0e71eep-2, -0x1.f5af3864a5e7fp-2, -0x1.f30199c72a6dcp-2, -0x1.f0430020a7d21p-2, -0x1.ed73f30fcf02p-2, -0x1.ea94f9771d326p-2, -0x1.e7a6996af74f1p-2, -0x1.e4a958208368fp-2, -0x1.e19db9dd49cffp-2, -0x1.de8441e78d93p-2, -0x1.db5d727763e03p-2, -0x1.d829cca87e65p-2, -0x1.d4e9d06ca98f9p-2, -0x1.d19dfc7ef5755p-2, -0x1.ce46ce578f15dp-2, -0x1.cae4c2203b77p-2, -0x1.c77852a975ec1p-2, -0x1.c401f9602e736p-2, -0x1.c0822e4422731p-2, -0x1.bcf967deca1d8p-2, -0x1.b9681b3adbcebp-2, -0x1.b5cebbdc5d785p-2, -0x1.b22dbbb93e647p-2, -0x1.ae858b327cd45p-2, -0x1.aad6990dcc0bp-2, -0x1.a721526fbac4ap-2, -0x1.a36622d656242p-2, -0x1.9fa5741444423p-2, -0x1.9bdfae4c557aap-2, -0x1.981537ed848f4p-2, -0x1.944675af659efp-2, -0x1.9073ca8eff8b7p-2, -0x1.8c9d97cc0b685p-2, -0x1.88c43ce699f2dp-2, -0x1.84e8179d15654p-2, -0x1.810983eaa2babp-2, -0x1.7d28dc05dd8c2p-2, -0x1.7946785fe9b0fp-2, -0x1.7562afa3d6ac7p-2, -0x1.717dd6b658df3p-2, -0x1.6d9840b5cc2a8p-2, -0x1.69b23efa82395p-2, -0x1.65cc21175c6efp-2, -0x1.61e634daa75d2p-2, -0x1.5e00c64f3a662p-2, -0x1.5a1c1fbdda387p-2, -0x1.563889aed557ap-2, -0x1.52564aebdd57dp-2, -0x1.4e75a8821a25fp-2, -0x1.4a96e5c472f88p-2, -0x1.46ba444e0a45p-2, -0x1.42e00404ee7b7p-2, -0x1.3f08631cf80f6p-2, -0x1.3b339e1ad61edp-2, -0x1.3761efd746339p-2, -0x1.33939182771ep-2, -0x1.2fc8baa790c16p-2, -0x1.2c01a1306456cp-2, -0x1.283e79693efd9p-2, -0x1.247f7604dc678p-2, -0x1.20c4c8207ee64p-2, -0x1.1d0e9f481ec92p-2, -0x1.195d297abe3aep-2, -0x1.15b0932ed0097p-2, -0x1.12090756c04adp-2, -0x1.0e66af658c66cp-2, -0x1.0ac9b35379792p-2, -0x1.073239a2d937dp-2, -0x1.03a06764e698p-2, -0x1.0014603eb2ba4p-2, -0x1.f91c8cdc42745p-3, -0x1.f21c759defb1ap-3, -0x1.eb28b9bff0888p-3, -0x1.e44195900f031p-3, -0x1.dd6742b6c7b46p-3, -0x1.d699f841c3a61p-3, -0x1.cfd9eaae67629p-3, -0x1.c9274bf470f33p-3, -0x1.c2824b90abdbbp-3, -0x1.bbeb168fa1917p-3, -0x1.b561d79866f8fp-3, -0x1.aee6b6f761183p-3, -0x1.a879daa91c414p-3, -0x1.a21b66651ed78p-3, -0x1.9bcb7ba8c5c14p-3, -0x1.958a39c21e366p-3, -0x1.8f57bddabceafp-3, -0x1.89342302953a4p-3, -0x1.831f823acf705p-3, -0x1.7d19f280901f9p-3, -0x1.772388d7c2fb4p-3, -0x1.713c5855d6bd8p-3, -0x1.6b64722c7041dp-3, -0x1.659be5b414d4p-3, -0x1.5fe2c076c4a94p-3, -0x1.5a390e3a8bacbp-3, -0x1.549ed90bfef21p-3, -0x1.4f142948aeb89p-3, -0x1.499905a98270cp-3, -0x1.442d734d0a33cp-3, -0x1.3ed175c1b4154p-3, -0x1.39850f0ff4437p-3, -0x1.34483fc452c37p-3, -0x1.2f1b06f96b1b8p-3, -0x1.29fd6261cd32ep-3, -0x1.24ef4e51cad8cp-3, -0x1.1ff0c5c92d8abp-3, -0x1.1b01c27cd0158p-3, -0x1.16223ce02319ep-3, -0x1.11522c2e93a8cp-3, -0x1.0c918674d85d8p-3, -0x1.07e0409a23338p-3, -0x1.033e4e6937364p-3, -0x1.fd574532c5d8dp-4, -0x1.f4505daeb2accp-4, -0x1.eb67c79bed632p-4, -0x1.e29d625db443cp-4, -0x1.d9f10b75dd499p-4, -0x1.d1629e959aa12p-4, -0x1.c8f1f5ae06db2p-4, -0x1.c09ee9006e45dp-4, -0x1.b8694f2e637eep-4, -0x1.b050fd498be57p-4, -0x1.a855c6e32931bp-4, -0x1.a0777e1b71cadp-4, -0x1.98b5f3b09b87bp-4, -0x1.9110f70da90a9p-4, -0x1.89885658f8a85p-4, -0x1.821bde8290d0bp-4, -0x1.7acb5b522b04cp-4, -0x1.73969774fe3d4p-4, -0x1.6c7d5c8b47589p-4, -0x1.657f733591255p-4, -0x1.5e9ca321baa1bp-4, -0x1.57d4b317bc505p-4, -0x1.512769062b94ep-4, -0x1.4a948a0e7f157p-4, -0x1.441bda9110f6ap-4, -0x1.3dbd1e38e05a7p-4, -0x1.37781807143e3p-4, -0x1.314c8a5e3d141p-4, -0x1.2b3a370d56addp-4, -0x1.2540df5a8c3a8p-4, -0x1.1f60440dbb5a7p-4, -0x1.1998257abb354p-4, -0x1.13e8438b62a62p-4, -0x1.0e505dc95378ap-4, -0x1.08d033678624p-4, -0x1.0367834b9b1e2p-4, -0x1.fc2c182ddc299p-5, -0x1.f1b7185eddd88p-5, -0x1.e76f83907e34ep-5, -0x1.dd54d5d428808p-5, -0x1.d3668af6c3e02p-5, -0x1.c9a41e909272dp-5, -0x1.c00d0c14a0869p-5, -0x1.b6a0cedfc1cd9p-5, -0x1.ad5ee24722e8ep-5, -0x1.a446c1a66bc53p-5, -0x1.9b57e86d7599p-5, -0x1.9291d22d98092p-5, -0x1.89f3faa68b57dp-5, -0x1.817dddd2e48a9p-5, -0x1.792ef7f42ad3p-5, -0x1.7106c59e863b3p-5, -0x1.6904c3c40e9d9p-5, -0x1.61286fbfb548cp-5, -0x1.5971475fd10c1p-5, -0x1.51dec8f049281p-5, -0x1.4a707344646a5p-5, -0x1.4325c5c03c746p-5, -0x1.3bfe4061d5e27p-5, -0x1.34f963c9e07b7p-5, -0x1.2e16b1442079ap-5, -0x1.2755aacf8145bp-5, -0x1.20b5d325d4ce6p-5, -0x1.1a36adc340317p-5, -0x1.13d7beed58e06p-5, -0x1.0d988bb9ee07bp-5, -0x1.07789a158a8a2p-5, -0x1.017770c9a55a9p-5, -0x1.f7292f0512028p-6, -0x1.eb9f2da9e6017p-6, -0x1.e04ff086d1f95p-6, -0x1.d53a8c8696c3ep-6, -0x1.ca5e18833c564p-6, -0x1.bfb9ad4f2a414p-6, -0x1.b54c65bdaf3c6p-6, -0x1.ab155eab1494dp-6, -0x1.a113b70429cc9p-6, -0x1.97468fcd5e3a7p-6, -0x1.8dad0c295f84dp-6, -0x1.8446515f3fc79p-6, -0x1.7b1186e03394fp-6, -0x1.720dd64cd7a1fp-6, -0x1.693a6b7a0f00ep-6, -0x1.60967475771bp-6, -0x1.582121897654dp-6, -0x1.4fd9a540e3f5cp-6, -0x1.47bf346a532c7p-6, -0x1.3fd1061afa26fp-6, -0x1.380e53b144056p-6, -0x1.307658d70318cp-6, -0x1.2908538350194p-6, -0x1.21c383fc159f2p-6, -0x1.1aa72cd7472a3p-6, -0x1.13b292fbcd925p-6, -0x1.0ce4fda21f069p-6, -0x1.063db654964edp-6, -0x1.ff7811def513ap-7, -0x1.f2be87418c59ep-7, -0x1.e64d6dcf49abep-7, -0x1.da236b276ed0ep-7, -0x1.ce3f298825023p-7, -0x1.c29f57cc0c0bcp-7, -0x1.b742a96746891p-7, -0x1.ac27d664239ecp-7, -0x1.a14d9b5f4faaap-7, -0x1.96b2b983a540fp-7, -0x1.8c55f685949b6p-7, -0x1.82361c9e271bfp-7, -0x1.7851fa85acf64p-7, -0x1.6ea8636e09bcep-7, -0x1.65382efcb6575p-7, -0x1.5c0039445da39p-7, -0x1.52ff62be439c8p-7, -0x1.4a34904349fc4p-7, -0x1.419eab04b75d9p-7, -0x1.393ca084c0dd4p-7, -0x1.310d628ec3eeep-7, -0x1.290fe72f4b46bp-7, -0x1.214328abd6f7p-7, -0x1.19a6257a6b6a6p-7, -0x1.1237e038ec6e5p-7, -0x1.0af75fa44594bp-7, -0x1.03e3ae8f6272p-7, -0x1.f9f7b7b3f870dp-8, -0x1.ec7df4ce75f88p-8, -0x1.df584228623bdp-8, -0x1.d284d55c635f1p-8, -0x1.c601ebd208776p-8, -0x1.b9cdcaa9f0138p-8, -0x1.ade6bea9b6c03p-8, -0x1.a24b1c27ab914p-8, -0x1.96f93ef65488bp-8, -0x1.8bef8a4fc3b3fp-8, -0x1.812c68c0c4e17p-8, -0x1.76ae4c13e2857p-8, -0x1.6c73ad3c4b60cp-8, -0x1.627b0c409a08fp-8, -0x1.58c2f02581239p-8, -0x1.4f49e6d861f41p-8, -0x1.460e8519d00eep-8, -0x1.3d0f666806208p-8, -0x1.344b2ce94b3a1p-8, -0x1.2bc0815653e4bp-8, -0x1.236e12e49882fp-8, -0x1.1b529730aad99p-8, -0x1.136cca288be12p-8, -0x1.0bbb6df6026f1p-8, -0x1.043d4ae8f8587p-8, -0x1.f9e25ec3bc1b8p-9, -0x1.ebabdf7834135p-9, -0x1.ddd4cc7108234p-9, -0x1.d05ae5cfdc83p-9, -0x1.c33bf72b84b6fp-9, -0x1.b675d7655c95dp-9, -0x1.aa06687ed2d89p-9, -0x1.9deb976f1e733p-9, -0x1.92235bf92727dp-9, -0x1.86abb881a394fp-9, -0x1.7b82b9e571cf8p-9, -0x1.70a677502ba93p-9, -0x1.66151212f8e34p-9, -0x1.5bccb57ba9709p-9, -0x1.51cb96ac0ec41p-9, -0x1.480ff471a11efp-9, -0x1.3e98171d716e8p-9, -0x1.3562505c6338dp-9, -0x1.2c6cfb0fba6a5p-9, -0x1.23b67b25fa346p-9, -0x1.1b3d3d7416ac7p-9, -0x1.12ffb78efe3d4p-9, -0x1.0afc67a577896p-9, -0x1.0331d45a5d512p-9, -0x1.f73d193e60f36p-10, -0x1.e8824f1e16f16p-10, -0x1.da308893e0c3bp-10, -0x1.cc4513a0eb108p-10, -0x1.bebd4dbfb2497p-10, -0x1.b196a39cd99bep-10, -0x1.a4ce90d0d7cd8p-10, -0x1.98629f9a613efp-10, -0x1.8c506899a239ap-10, -0x1.8095928c3d257p-10, -0x1.752fd20a15a84p-10, -0x1.6a1ce942ef711p-10, -0x1.5f5aa7bcd20aep-10, -0x1.54e6ea13429c2p-10, -0x1.4abf99b7460e8p-10, -0x1.40e2acb03b632p-10, -0x1.374e255d81d0cp-10, -0x1.2e001238f28cdp-10, -0x1.24f68d9a2adf7p-10, -0x1.1c2fbd7aa681ep-10, -0x1.13a9d33aaec89p-10, -0x1.0b630b6716b73p-10, -0x1.0359ad7fcf40dp-10, -0x1.f718177e87a87p-11, -0x1.e7f105c51c5c4p-11, -0x1.d93af3e4ed435p-11, -0x1.caf2c41a8a048p-11, -0x1.bd156c62bfdcp-11, -0x1.af9ff61173977p-11, -0x1.a28f7d6a15d96p-11, -0x1.95e13139af631p-11, -0x1.8992527284452p-11, -0x1.7da033c9493bbp-11, -0x1.72083953ec90bp-11, -0x1.66c7d829ec6f5p-11, -0x1.5bdc96063bc8ep-11, -0x1.514408eaaf43bp-11, -0x1.46fbd6c4f26d5p-11, -0x1.3d01b5150196p-11, -0x1.33536895239abp-11, -0x1.29eec4e3627d3p-11, -0x1.20d1ac2c808a6p-11, -0x1.17fa0ed861f3p-11, -0x1.0f65eb37ef1e4p-11, -0x1.07134d34638d7p-11, -0x1.fe009c001c16ap-12, -0x1.ee562790f0efap-12, -0x1.df23a2d3eed56p-12, -0x1.d0658c49372fbp-12, -0x1.c2187aa50650ep-12, -0x1.b4391c3f0ad01p-12, -0x1.a6c436846c955p-12, -0x1.99b6a56c7c65cp-12, -0x1.8d0d5af002777p-12, -0x1.80c55e832140dp-12, -0x1.74dbcc91ce4ecp-12, -0x1.694dd5fecdc53p-12, -0x1.5e18bfa530156p-12, -0x1.5339e1dc46368p-12, -0x1.48aea7fe0937p-12, -0x1.3e748fefe2b1ap-12, -0x1.348929addc736p-12, -0x1.2aea16d8229afp-12, -0x1.21950a42d664dp-12, -0x1.1887c78829153p-12, -0x1.0fc0229cb4a43p-12, -0x1.073bff660c515p-12, -0x1.fdf2a2a6f3b8p-13, -0x1.edec35f1cb291p-13, -0x1.de60db57b134dp-13, -0x1.cf4cd24530c55p-13, -0x1.c0ac762a9dd3p-13, -0x1.b27c3dc272824p-13, -0x1.a4b8ba5baf132p-13, -0x1.975e97281d1d3p-13, -0x1.8a6a988e7616p-13, -0x1.7dd99b80569fep-13, -0x1.71a894d3e9e74p-13, -0x1.65d490a14c29ap-13, -0x1.5a5ab1a381449p-13, -0x1.4f38309d02e74p-13, -0x1.446a5bbfc5f99p-13, -0x1.39ee9618b81f8p-13, -0x1.2fc256fe9b395p-13, -0x1.25e329842f917p-13, -0x1.1c4eabedaaea2p-13, -0x1.13028f295863dp-13, -0x1.09fc964b68711p-13, -0x1.013a960cd4eb7p-13, -0x1.f174e89a995c1p-14, -0x1.e0f44f303d321p-14, -0x1.d0ef6d5819293p-14, -0x1.c162700c0b56fp-14, -0x1.b249a2dd4da13p-14, -0x1.a3a16f151c0afp-14, -0x1.95665adaa6c47p-14, -0x1.8795085e793f3p-14, -0x1.7a2a350afda58p-14, -0x1.6d22b8ba2f41cp-14, -0x1.607b84f04b05fp-14, -0x1.5431a41b6e856p-14, -0x1.484238d807d66p-14, -0x1.3caa7d39ffa92p-14, -0x1.3167c21a856fep-14, -0x1.26776e6a64605p-14, -0x1.1bd6fe88ca9bp-14, -0x1.1184039e69f95p-14, -0x1.077c22fcddcabp-14, -0x1.fb7a2b0474f5dp-15, -0x1.e8894e016badcp-15, -0x1.d6216b549bfd5p-15, -0x1.c43e6300b49b5p-15, -0x1.b2dc378de4cfap-15, -0x1.a1f70cf8257bdp-15, -0x1.918b27a4dd5d8p-15, -0x1.8194eb5fab37bp-15, -0x1.7210da5e3adddp-15, -0x1.62fb944af253p-15, -0x1.5451d55656352p-15, -0x1.4610754efc604p-15, -0x1.383466bfe8c34p-15, -0x1.2abab6152d7ccp-15, -0x1.1da088c6ac06p-15, -0x1.10e31c88cd43ap-15, -0x1.047fc683196edp-15, -0x1.f0e7e518f9589p-16, -0x1.d97a44da4e0ccp-16, -0x1.c2b1da4bafbf1p-16, -0x1.ac89fc78fc53cp-16, -0x1.96fe2a1c0dae7p-16, -0x1.820a084a7a157p-16, -0x1.6da9612d38b0ap-16, -0x1.59d822c1e7d68p-16, -0x1.46925da582011p-16, -0x1.33d443e83c3bp-16, -0x1.219a27ea5f30fp-16, -0x1.0fe07b41d4478p-16, -0x1.fd479b50855ebp-17, -0x1.dbc197e2dbd8fp-17, -0x1.bb287e136673ep-17, -0x1.9b7615f8d8492p-17, -0x1.7ca45c03f68ddp-17, -0x1.5ead7f2ab9e9cp-17, -0x1.418bdf21ff7e2p-17, -0x1.253a0aa578782p-17, -0x1.09b2bdcd6e8c3p-17, -0x1.dde1c0e40c9dep-18, -0x1.a9df09374410ep-18, -0x1.7753ca001b0e8p-18, -0x1.4636c7183333ap-18, -0x1.167f0ff2a80c3p-18, -0x1.d047f9be1900cp-19, -0x1.763a58c6adde8p-19, -0x1.1ec501582ec34p-19, -0x1.93b0744979fe3p-20, -0x1.dd931db5d0135p-21, -0x1.3adf330b362a4p-22, 0x1.3285badc511ebp-22, 0x1.c6bbc00c671b1p-21, 0x1.75986bb2c444fp-20, 0x1.01b593350af8fp-19, 0x1.4677ae63efbdep-19, 0x1.891ecd6d3f483p-19, 0x1.c9b6d9b21b1afp-19, 0x1.0425b1b6d1c51p-18, 0x1.2273d28ab93c6p-18, 0x1.3fcb434db50edp-18, 0x1.5c315048ddc1dp-18, 0x1.77ab1f990b26cp-18, 0x1.923db2a4669e7p-18, 0x1.abede7826b51ap-18, 0x1.c4c07a56b65eep-18, 0x1.dcba069f163f9p-18, 0x1.f3df087533e47p-18, 0x1.0519eee22017fp-17, 0x1.0fde63b97f49cp-17, 0x1.1a3ef541471e9p-17, 0x1.243da89123b78p-17, 0x1.2ddc75dc86343p-17, 0x1.371d48f22db51p-17, 0x1.400201b6bebe6p-17, 0x1.488c749a8e9a8p-17, 0x1.50be6b0acdac5p-17, 0x1.5899a3de318eep-17, 0x1.601fd3bd52741p-17, 0x1.6752a586c74a9p-17, 0x1.6e33baaf43d33p-17, 0x1.74c4ab9dc32aap-17, 0x1.7b070803e86e3p-17, }}, 
      {{0x1.dd7eb477834d7p-1, 0x1.dd498aefd9696p-1, 0x1.dcea2c969947fp-1, 0x1.dc582fb2a03e7p-1, 0x1.db8a4b4cf2359p-1, 0x1.da779d5aab0e7p-1, 0x1.d918961cc482dp-1, 0x1.d7678928c7e4ep-1, 0x1.d560f181f2d57p-1, 0x1.d3037a4f13eeep-1, 0x1.d04fdd694ce91p-1, 0x1.cd48a6b3e8db6p-1, 0x1.c9f1e83d039b5p-1, 0x1.c650e84000b73p-1, 0x1.c26bcf93d1b86p-1, 0x1.be495cf23bb4cp-1, 0x1.b9f09fdad38bep-1, 0x1.b568bc90a76c1p-1, 0x1.b0b8b9c481f94p-1, 0x1.abe757d6fc592p-1, 0x1.a6faf12e1d706p-1, 0x1.a1f962d51c483p-1, 0x1.9ce7fc773702ep-1, 0x1.97cb76b7acdddp-1, 0x1.92a7eeea04fc9p-1, 0x1.8d80e7398c6b4p-1, 0x1.88594a6153828p-1, 0x1.8333722c13166p-1, 0x1.7e11300b07c0cp-1, 0x1.78f3d72a964d4p-1, 0x1.73dc478263b63p-1, 0x1.6ecaf973e1127p-1, 0x1.69c0099db44dfp-1, 0x1.64bb449bc91edp-1, 0x1.5fbc327b23abap-1, 0x1.5ac221b5c749ap-1, 0x1.55cc31966d231p-1, 0x1.50d95bed53741p-1, 0x1.4be87e077e7dfp-1, 0x1.46f860e04fc17p-1, 0x1.4207c08ac090ap-1, 0x1.3d1552d3c8ef9p-1, 0x1.381fcd22d4406p-1, 0x1.3325e99fb3a41p-1, 0x1.2e266ba755e3ep-1, 0x1.29202399e0759p-1, 0x1.2411f20d97d8bp-1, 0x1.1efaca728076bp-1, 0x1.19d9b532c06a6p-1, 0x1.14add15bbaf64p-1, 0x1.0f7655db92225p-1, 0x1.0a32925e4c263p-1, 0x1.04e1efd558855p-1, 0x1.ff07e167173c1p-2, 0x1.f43061ce1a8cp-2, 0x1.e93ccb33f6821p-2, 0x1.de2cb983b606dp-2, 0x1.d2fff90a85edap-2, 0x1.c7b684fcebf26p-2, 0x1.bc5085c221186p-2, 0x1.b0ce4f10789d1p-2, 0x1.a5305de4b22ccp-2, 0x1.9977565ce68f4p-2, 0x1.8da4017ecfa2ep-2, 0x1.81b74af02d677p-2, 0x1.75b23ea73a40fp-2, 0x1.6996069857309p-2, 0x1.5d63e8655c0fdp-2, 0x1.511d431258a9p-2, 0x1.44c38cc30657bp-2, 0x1.3858508395a5cp-2, 0x1.2bdd2c1f22995p-2, 0x1.1f53ce059bbaep-2, 0x1.12bdf342a02e9p-2, 0x1.061d65867b19ap-2, 0x1.f2e7f2843f6cp-3, 0x1.d98717ad9c2a4p-3, 0x1.c01c03b39faecp-3, 0x1.a6aa8ad91a1cp-3, 0x1.8d36895234885p-3, 0x1.73c3e04660942p-3, 0x1.5a5672fae2586p-3, 0x1.40f224257c2acp-3, 0x1.279ad36693562p-3, 0x1.0e545aea1b366p-3, 0x1.ea451a5cbd02bp-4, 0x1.b81265df8b1cp-4, 0x1.86181271109d7p-4, 0x1.545d7f2690246p-4, 0x1.22e9ecbee1efdp-4, 0x1.e388f51924605p-5, 0x1.81e8473e14796p-5, 0x1.20ff7850f3f52p-5, 0x1.81b7bc78cade4p-6, 0x1.8629e0892a031p-7, 0x1.8bf53c3ba9eedp-12, -0x1.69be11cdaf4eep-7, -0x1.6dffdf2a903eep-6, -0x1.128dd5dda82dep-5, -0x1.6d0e1c9ac30b7p-5, -0x1.c6761183b9ea7p-5, -0x1.0f5db639154cap-4, -0x1.3aea28670f28ep-4, -0x1.65dba7582139bp-4, -0x1.902db1df1efe7p-4, -0x1.b9dbfde271183p-4, -0x1.e2e27889e031dp-4, -0x1.059ea327745cfp-3, -0x1.1974617895ad1p-3, -0x1.2cf0c0a85e2dcp-3, -0x1.40122597ec2a5p-3, -0x1.52d7106ec9bbbp-3, -0x1.653e1c657c38p-3, -0x1.7745ff85fedc4p-3, -0x1.88ed8a62ebf61p-3, -0x1.9a33a7c5e3ed4p-3, -0x1.ab175c55f10e2p-3, -0x1.bb97c636714bdp-3, -0x1.cbb41c9f2c3a1p-3, -0x1.db6baf6e1f57cp-3, -0x1.eabde6b38ac34p-3, -0x1.f9aa4238d21efp-3, -0x1.04182c814bd74p-2, -0x1.0b27ec6756af4p-2, -0x1.120442c718f49p-2, -0x1.18ad1c6e30568p-2, -0x1.1f2270b93849p-2, -0x1.2564414c7716cp-2, -0x1.2b7299cb7963ep-2, -0x1.314d8f8fc88dcp-2, -0x1.36f5415ee45d6p-2, -0x1.3c69d71fb381dp-2, -0x1.41ab818f8454cp-2, -0x1.46ba79f6cebaap-2, -0x1.4b9701ddd181dp-2, -0x1.504162c132658p-2, -0x1.54b9edc6bd4a4p-2, -0x1.5900fb725b559p-2, -0x1.5d16eb5b67428p-2, -0x1.60fc23e26ec8bp-2, -0x1.64b111e77e1c8p-2, -0x1.683628810a346p-2, -0x1.6b8be0b390b17p-2, -0x1.6eb2b929fcd1p-2, -0x1.71ab35eee6823p-2, -0x1.7475e026bbe63p-2, -0x1.771345cae0aaap-2, -0x1.7983f965d8596p-2, -0x1.7bc891d07f949p-2, -0x1.7de1a9f067977p-2, -0x1.7fcfe0775943ep-2, -0x1.8193d7a409da1p-2, -0x1.832e35040f6cep-2, -0x1.849fa137118ebp-2, -0x1.85e8c7b3498ffp-2, -0x1.870a568b4b472p-2, -0x1.8804fe352787ep-2, -0x1.88d97152e3e3fp-2, -0x1.8988647c4babep-2, -0x1.8a128e0a22f9ep-2, -0x1.8a78a5e2b6811p-2, -0x1.8abb6547ceb96p-2, -0x1.8adb86a60586ap-2, -0x1.8ad9c5657c994p-2, -0x1.8ab6ddbbf6bacp-2, -0x1.8a738c8055588p-2, -0x1.8a108eff71f0ap-2, -0x1.898ea2d25bbd3p-2, -0x1.88ee85b5ecdc5p-2, -0x1.8830f563bedfp-2, -0x1.8756af6c73511p-2, -0x1.86607113542d3p-2, -0x1.854ef72b4292bp-2, -0x1.8422fdf4f65e1p-2, -0x1.82dd40fe86bb8p-2, -0x1.817e7b04374cdp-2, -0x1.800765d2882p-2, -0x1.7e78ba2983305p-2, -0x1.7cd32fa13ff6ap-2, -0x1.7b177c8f9debcp-2, -0x1.794655ef2a8bcp-2, -0x1.77606f473037ep-2, -0x1.75667a94eca51p-2, -0x1.73592835e3675p-2, -0x1.713926d348348p-2, -0x1.6f07234e7ffd2p-2, -0x1.6cc3c8aeaebd8p-2, -0x1.6a6fc00f4bdf7p-2, -0x1.680bb08fbbdap-2, -0x1.65983f43e4f27p-2, -0x1.63160f25ba476p-2, -0x1.6085c107bbd4cp-2, -0x1.5de7f3885ab9cp-2, -0x1.5b3d43064bdedp-2, -0x1.58864995b1abbp-2, -0x1.55c39ef624b93p-2, -0x1.52f5d88990ef7p-2, -0x1.501d894bdb317p-2, -0x1.4d3b41cb569fp-2, -0x1.4a4f9021f764ep-2, -0x1.475affef45befp-2, -0x1.445e1a530389ap-2, -0x1.415965e88bdd4p-2, -0x1.3e4d66c2d411ap-2, -0x1.3b3a9e691ee0ap-2, -0x1.38218bd445f2bp-2, -0x1.3502ab6ca7e7cp-2, -0x1.31de7708a7129p-2, -0x1.2eb565ebbe2dp-2, -0x1.2b87ecc61b305p-2, -0x1.28567db4c98ddp-2, -0x1.2521884254e91p-2, -0x1.21e97967f1152p-2, -0x1.1eaebb8f146bp-2, -0x1.1b71b693894fap-2, -0x1.1832cfc5ed3dcp-2, -0x1.14f269ee97295p-2, -0x1.11b0e550e8c2dp-2, -0x1.0e6e9faefc876p-2, -0x1.0b2bf44db10d4p-2, -0x1.07e93bf90e79cp-2, -0x1.04a6cd08ff167p-2, -0x1.0164fb6658d33p-2, -0x1.fc4831205eb22p-3, -0x1.f5c8e742ea905p-3, -0x1.ef4cb2adb1a85p-3, -0x1.e8d42829d3a8bp-3, -0x1.e25fd7dcecb7fp-3, -0x1.dbf04d564565dp-3, -0x1.d5860f9c708f7p-3, -0x1.cf21a13b4ae64p-3, -0x1.c8c3805259773p-3, -0x1.c26c26a38026fp-3, -0x1.bc1c09a20ca02p-3, -0x1.b5d39a82041aep-3, -0x1.af934647c3d36p-3, -0x1.a95b75d7d1e17p-3, -0x1.a32c8e06f711bp-3, -0x1.9d06efaa7f72fp-3, -0x1.96eaf7a8b5d2cp-3, -0x1.90d8ff09842b2p-3, -0x1.8ad15b07373fbp-3, -0x1.84d45d1f680dap-3, -0x1.7ee25323fb392p-3, -0x1.78fb874c3f43cp-3, -0x1.732040461713fp-3, -0x1.6d50c1473613bp-3, -0x1.678d4a1e65fc3p-3, -0x1.61d61744d8111p-3, -0x1.5c2b61ef71f5ap-3, -0x1.568d6020242efp-3, -0x1.50fc44b72f0e7p-3, -0x1.4b783f8470686p-3, -0x1.46017d589b4cap-3, -0x1.4098281664505p-3, -0x1.3b3c66c3a50b8p-3, -0x1.35ee5d9a61aecp-3, -0x1.30ae2e19c0861p-3, -0x1.2b7bf716e4749p-3, -0x1.2657d4cdb3351p-3, -0x1.2141e0f175c86p-3, -0x1.1c3a32bd5f607p-3, -0x1.1740df04f2dfbp-3, -0x1.1255f8443fe19p-3, -0x1.0d798eb002bbcp-3, -0x1.08abb04595e2p-3, -0x1.03ec68dabe57p-3, -0x1.fe77845a9bcb6p-4, -0x1.f53387e529f26p-4, -0x1.ec0ce7cd628b3p-4, -0x1.e303abb73f7eap-4, -0x1.da17d7905dd05p-4, -0x1.d1496bad60098p-4, -0x1.c89864e70883bp-4, -0x1.c004bcb6ddd5p-4, -0x1.b78e69536cb85p-4, -0x1.af355dcc1ea55p-4, -0x1.a6f98a24aa601p-4, -0x1.9edadb70122ecp-4, -0x1.96d93beb3d153p-4, -0x1.8ef4931717e83p-4, -0x1.872cc5d250dfap-4, -0x1.7f81b6729c964p-4, -0x1.77f344dd8dc9cp-4, -0x1.70814ea0fa94cp-4, -0x1.692baf0af0034p-4, -0x1.61f23f41353dbp-4, -0x1.5ad4d65859b5fp-4, -0x1.53d3496a5426ep-4, -0x1.4ced6bacac3bep-4, -0x1.46230e8634b02p-4, -0x1.3f7401a450439p-4, -0x1.38e0130fc6fa7p-4, -0x1.32670f41295cdp-4, -0x1.2c08c134c0d67p-4, -0x1.25c4f27e10e73p-4, -0x1.1f9b6b5ae7e9bp-4, -0x1.198bf2c5febc2p-4, -0x1.13964e892a75p-4, -0x1.0dba434f207ecp-4, -0x1.07f794b4cad0dp-4, -0x1.024e055a31e64p-4, -0x1.f97aade5f1826p-5, -0x1.ee8a94ace0de9p-5, -0x1.e3cb3f1e7daa7p-5, -0x1.d93c2bd53dd57p-5, -0x1.cedcd80e703ap-5, -0x1.c4acbfc71de81p-5, -0x1.baab5dd82120bp-5, -0x1.b0d82c11736a2p-5, -0x1.a732a354b47fap-5, -0x1.9dba3baeeeaefp-5, -0x1.946e6c7198fe4p-5, -0x1.8b4eac4adbad9p-5, -0x1.825a715d16b8dp-5, -0x1.79913155b219p-5, -0x1.70f26183343fp-5, -0x1.687d76eaa6865p-5, -0x1.6031e65c47f95p-5, -0x1.580f248792f9dp-5, -0x1.5014a60e94663p-5, -0x1.4841df989e15p-5, -0x1.409645e4517bcp-5, -0x1.39114dd90714cp-5, -0x1.31b26c9797161p-5, -0x1.2a79178a853cdp-5, -0x1.2364c47590ba3p-5, -0x1.1c74e984b0006p-5, -0x1.15a8fd5a74904p-5, -0x1.0f00771de20a8p-5, -0x1.087ace87b1d43p-5, -0x1.02177bef0fa02p-5, -0x1.f7abf0ab9492bp-6, -0x1.eb6b7ae80395cp-6, -0x1.df6c8b869e546p-6, -0x1.d3ae1912def3dp-6, -0x1.c82f1bc4e0658p-6, -0x1.bcee8d94c2eaep-6, -0x1.b1eb6a4d22c08p-6, -0x1.a724af9ca3c13p-6, -0x1.9c995d269b26ap-6, -0x1.92487492dc556p-6, -0x1.8830f99ca74a9p-6, -0x1.7e51f220c8dc3p-6, -0x1.74aa662aeee72p-6, -0x1.6b3960022a164p-6, -0x1.61fdec34b74bep-6, -0x1.58f719a304b7p-6, -0x1.5023f989fe8afp-6, -0x1.47839f8ca845dp-6, -0x1.3f1521bd060bap-6, -0x1.36d798a45dd29p-6, -0x1.2eca1f4acef8bp-6, -0x1.26ebd33e50722p-6, -0x1.1f3bd4990999cp-6, -0x1.17b946071d908p-6, -0x1.10634ccbdc818p-6, -0x1.093910c669917p-6, -0x1.0239bc75d8fe5p-6, -0x1.f6c8f9f98faf5p-7, -0x1.e9710448dc069p-7, -0x1.dc69fcbe79b5p-7, -0x1.cfb24d95fa023p-7, -0x1.c3486664f1a9p-7, -0x1.b72abc1d79329p-7, -0x1.ab57c90fc51a1p-7, -0x1.9fce0ceaf3465p-7, -0x1.948c0cbd0b0a5p-7, -0x1.899052f241f67p-7, -0x1.7ed96f537e72cp-7, -0x1.7465f70423636p-7, -0x1.6a34847f3b5c4p-7, -0x1.6043b793eb77p-7, -0x1.569235615ad48p-7, -0x1.4d1ea851ed02fp-7, -0x1.43e7c015f5p-7, -0x1.3aec319ddc56cp-7, -0x1.322ab713bc3c3p-7, -0x1.29a20fd47ccb2p-7, -0x1.215100687571ap-7, -0x1.1936527b9aabbp-7, -0x1.1150d4d53aba5p-7, -0x1.099f5b4f5114dp-7, -0x1.0220becd73ae3p-7, -0x1.f5a7ba66c4fc2p-8, -0x1.e76f32b6744f2p-8, -0x1.d995b616a4152p-8, -0x1.cc191dd791201p-8, -0x1.bef74cf787364p-8, -0x1.b22e300ccfde9p-8, -0x1.a5bbbd2f1b78ep-8, -0x1.999df3e06b651p-8, -0x1.8dd2dcf583f91p-8, -0x1.82588a7df1d0fp-8, -0x1.772d17aba6f94p-8, -0x1.6c4ea8ba3a5ebp-8, -0x1.61bb6ad5cce2fp-8, -0x1.577194019fe9cp-8, -0x1.4d6f62fe60be2p-8, -0x1.43b31f3031d2ap-8, -0x1.3a3b1884753c4p-8, -0x1.3105a75761fadp-8, -0x1.28112c5969af6p-8, -0x1.1f5c10747191dp-8, -0x1.16e4c4b0e75e7p-8, -0x1.0ea9c21ab705ep-8, -0x1.06a989a6262f3p-8, -0x1.fdc54829326b2p-9, -0x1.eea743b29395dp-9, -0x1.dff635fbdf9fap-9, -0x1.d1af5e0ecbe4ep-9, -0x1.c3d009b491e93p-9, -0x1.b655953f35347p-9, -0x1.a93d6b52d1a1fp-9, -0x1.9c8504aefd63bp-9, -0x1.9029e7f848db5p-9, -0x1.8429a981da08ep-9, -0x1.7881eb1735935p-9, -0x1.6d305bc63719dp-9, -0x1.6232b7a9396p-9, -0x1.5786c7b18297p-9, -0x1.4d2a6171ea12fp-9, -0x1.431b66e9c8dfap-9, -0x1.3957c65036e4cp-9, -0x1.2fdd79df95ba3p-9, -0x1.26aa87a1746e2p-9, -0x1.1dbd013acb1ddp-9, -0x1.151303b897f18p-9, -0x1.0caab75cdbcc8p-9, -0x1.04824f6bfe021p-9, -0x1.f93013f53840bp-10, -0x1.e9d45f7789636p-10, -0x1.daee279f45285p-10, -0x1.cc7a27253d143p-10, -0x1.be752cd9e9839p-10, -0x1.b0dc1b458b4d6p-10, -0x1.a3abe8493d363p-10, -0x1.96e19cc10978bp-10, -0x1.8a7a5426fa61ep-10, -0x1.7e733c3732628p-10, -0x1.72c9949504d5ap-10, -0x1.677aae71229f7p-10, -0x1.5c83ec30ce421p-10, -0x1.51e2c11624ea9p-10, -0x1.4794b0e973759p-10, -0x1.3d974fa3a96dbp-10, -0x1.33e84119dc824p-10, -0x1.2a8538a9e8d7cp-10, -0x1.216bf8e82ad29p-10, -0x1.189a534e513a6p-10, -0x1.100e27eb4d588p-10, -0x1.07c5651466b1ep-10, -0x1.ff7c0e2ec077dp-11, -0x1.efec2fdb8fa43p-11, -0x1.e0d75de2b580dp-11, -0x1.d239e1231cbaap-11, -0x1.c4101c14692e5p-11, -0x1.b6568a367cf8p-11, -0x1.a909bf83381ebp-11, -0x1.9c2667e271804p-11, -0x1.8fa946a027dfp-11, -0x1.838f35e4e822ep-11, -0x1.77d5263065e05p-11, -0x1.6c781dd647b9dp-11, -0x1.6175387d1f456p-11, -0x1.56c9a69f8d24cp-11, -0x1.4c72ad0f8f0e1p-11, -0x1.426da47bf01e8p-11, -0x1.38b7f8f7dbe99p-11, -0x1.2f4f29848ea37p-11, -0x1.2630c79d1f79fp-11, -0x1.1d5a76c45f7a1p-11, -0x1.14c9ec14ca4f6p-11, -0x1.0c7cedd28300fp-11, -0x1.047152ff59f96p-11, -0x1.f94a05e1ac17ap-12, -0x1.ea2be9d075a74p-12, -0x1.db845f5915b8ep-12, -0x1.cd4f924cfa06dp-12, -0x1.bf89cbfcc2089p-12, -0x1.b22f7277dfa28p-12, -0x1.a53d07cffc0fp-12, -0x1.98af296021724p-12, -0x1.8c828f1793095p-12, -0x1.80b40ac850591p-12, -0x1.754087793567p-12, -0x1.6a2508bbabd3bp-12, -0x1.5f5eaa04e27a8p-12, -0x1.54ea9e0a80c76p-12, -0x1.4ac62e22c7cdbp-12, -0x1.40eeb9a816501p-12, -0x1.3761b55fc6449p-12, -0x1.2e1caae452b8p-12, -0x1.251d3812c2e95p-12, -0x1.1c610e7b40f1bp-12, -0x1.13e5f2d4e1d37p-12, -0x1.0ba9bc7481374p-12, -0x1.03aa54c6b38b1p-12, -0x1.f7cb6d9970e29p-13, -0x1.e8b3dd38cbb0dp-13, -0x1.da0a31c602bfp-13, -0x1.cbcac4d5efa1cp-13, -0x1.bdf20f48d7e2ep-13, -0x1.b07ca861145c1p-13, -0x1.a36744df3b185p-13, -0x1.96aeb623a501cp-13, -0x1.8a4fe955448bbp-13, -0x1.7e47e68daa392p-13, -0x1.7293d00a2ee42p-13, -0x1.6730e16219707p-13, -0x1.5c1c6ec1c0d02p-13, -0x1.5153e42a7702dp-13, -0x1.46d4c4b747de8p-13, -0x1.3c9ca9e655975p-13, -0x1.32a942e6d4d28p-13, -0x1.28f853eb8357ep-13, -0x1.1f87b5818af72p-13, -0x1.165553ebbbeaap-13, -0x1.0d5f2e8202cabp-13, -0x1.04a357150ba8fp-13, -0x1.f83fe2abf79c6p-14, -0x1.e7a664844ff8fp-14, -0x1.d776bf257a999p-14, -0x1.c7ad9e6078766p-14, -0x1.b847cd53848ebp-14, -0x1.a942355fea3f5p-14, -0x1.9a99dd273562cp-14, -0x1.8c4be78f60e3ap-14, -0x1.7e5592cdfcbcdp-14, -0x1.70b4377a1a94cp-14, -0x1.636547a4dd1a5p-14, -0x1.56664df88679p-14, -0x1.49b4ecdde1ae3p-14, -0x1.3d4edda7e314fp-14, -0x1.3131efc55c203p-14, -0x1.255c07f8a1a9p-14, -0x1.19cb1f9501afcp-14, -0x1.0e7d43c1e56f2p-14, -0x1.037094c381da4p-14, -0x1.f1468a91e8f1ep-15, -0x1.dc27337f558acp-15, -0x1.c77fcf57ef828p-15, -0x1.b34d2a0d6e519p-15, -0x1.9f8c2f3fbcbf8p-15, -0x1.8c39e90bc0ep-15, -0x1.79537ee386d28p-15, -0x1.66d6346f9bd37p-15, -0x1.54bf68795cbc3p-15, -0x1.430c93ddfd93ep-15, -0x1.31bb488a18d43p-15, -0x1.20c9307d8c618p-15, -0x1.10340cd76e873p-15, -0x1.fff369d3d27f2p-16, -0x1.e0302aab8da2fp-16, -0x1.c11a5e5afe3fbp-16, -0x1.a2ae2e3f1e87fp-16, -0x1.84e7e94fe6e89p-16, -0x1.67c4029118e97p-16, -0x1.4b3f0f90870d2p-16, -0x1.2f55c6f18563p-16, -0x1.1404ff051de86p-16, -0x1.f29358dd773fp-17, -0x1.be41c1a9da7ebp-17, -0x1.8b0f933be6328p-17, -0x1.58f75d6f77f32p-17, -0x1.27f3e2d61c93p-17, -0x1.f0002ce5e771dp-18, -0x1.922e33176b6a5p-18, -0x1.3668731c450cp-18, -0x1.b94bb8255386cp-19, -0x1.09bb5ae98c6c6p-19, -0x1.783b9abc1651p-21, 0x1.2727e99290f2ap-21, 0x1.dbbe2645f132fp-20, 0x1.8e3faa02fc763p-19, 0x1.157d43c67a9f8p-18, 0x1.620efe42cb254p-18, 0x1.acdbf3ed443cp-18, 0x1.f5eade2919741p-18, 0x1.1ea12180289acp-17, 0x1.41743be0d77cdp-17, 0x1.6371d1c17bb9ap-17, 0x1.849ce0c431f62p-17, 0x1.a4f851c91d13p-17, 0x1.c486fa088fep-17, 0x1.e34b9c21256aap-17, 0x1.00a4748cfec17p-16, 0x1.0f40c0acd66ddp-16, 0x1.1d7bfac90ea73p-16, 0x1.2b5763d0e4738p-16, 0x1.38d435b55822ep-16, 0x1.45f3a3cfae86bp-16, 0x1.52b6db432087fp-16, 0x1.5f1f0359edb7cp-16, 0x1.6b2d3dddebca5p-16, 0x1.76e2a76cc84f5p-16, 0x1.824057c81c5c5p-16, 0x1.8d47622178594p-16, 0x1.97f8d562904a7p-16, 0x1.a255bc71a903fp-16, }}, 
      {{0x1.dd8a0d17bb742p-1, 0x1.dd78b2437e874p-1, 0x1.dd5a5d637b1ecp-1, 0x1.dd2d3824f1dep-1, 0x1.dcef194a93a33p-1, 0x1.dc9dc0e871ffbp-1, 0x1.dc37093a48541p-1, 0x1.dbb90a875df4dp-1, 0x1.db2232c9047b9p-1, 0x1.da7152d14b0dep-1, 0x1.d9a5a305ea04p-1, 0x1.d8bec1b9fe391p-1, 0x1.d7bcacf9218e2p-1, 0x1.d69fb94c5ca25p-1, 0x1.d56886b4ee231p-1, 0x1.d417f4d204668p-1, 0x1.d2af16e8bf7ffp-1, 0x1.d12f28522b7edp-1, 0x1.cf9981a901a15p-1, 0x1.cdef8eeff563cp-1, 0x1.cc32c6cfd3d6cp-1, 0x1.ca64a2f9ae3c4p-1, 0x1.c88699ab522bdp-1, 0x1.c69a184a96ab5p-1, 0x1.c4a07f0580996p-1, 0x1.c29b1d6144372p-1, 0x1.c08b2fa010636p-1, 0x1.be71dce4e3b58p-1, 0x1.bc5035fcf7f1fp-1, 0x1.ba2734b758a65p-1, 0x1.b7f7bbb4b0a9ap-1, 0x1.b5c2969b2055ep-1, 0x1.b3887a9bc7c48p-1, 0x1.b14a0739ada11p-1, 0x1.af07c74383802p-1, 0x1.acc231f3a8b4p-1, 0x1.aa79ac2b77351p-1, 0x1.a82e89c083665p-1, 0x1.a5e10ed3e6ba1p-1, 0x1.a391712cf66eep-1, 0x1.a13fd991f5159p-1, 0x1.9eec651a53ed4p-1, 0x1.9c972676fa84bp-1, 0x1.9a40272ddae29p-1, 0x1.97e768c6bcb7fp-1, 0x1.958ce5e7c642fp-1, 0x1.93309360bddc1p-1, 0x1.90d2612471f0ep-1, 0x1.8e723b300260ap-1, 0x1.8c100a6016711p-1, 0x1.89abb534418c1p-1, 0x1.874520810287ep-1, 0x1.84dc3010fa0a6p-1, 0x1.8270c735feb81p-1, 0x1.8002c94ad9b63p-1, 0x1.7d921a267b86bp-1, 0x1.7b1e9e8180172p-1, 0x1.78a83c4ee4b96p-1, 0x1.762edb08cbee5p-1, 0x1.73b263f22bca2p-1, 0x1.7132c24e3ffd6p-1, 0x1.6eafe38e8f517p-1, 0x1.6c29b7784f20cp-1, 0x1.69a03041e534p-1, 0x1.671342a9412d7p-1, 0x1.6482e603b6d5p-1, 0x1.61ef144801b75p-1, 0x1.5f57ca1307a03p-1, 0x1.5cbd06a7eaa32p-1, 0x1.5a1ecbebeea1cp-1, 0x1.577d1e5eaf38ep-1, 0x1.54d8050f16abp-1, 0x1.522f898d7fc58p-1, 0x1.4f83b7db649d2p-1, 0x1.4cd49e58eeca7p-1, 0x1.4a224db0bf5a4p-1, 0x1.476cd8c23540ep-1, 0x1.44b4548a74812p-1, 0x1.41f8d80c6ead8p-1, 0x1.3f3a7c3820717p-1, 0x1.3c795bd137cf4p-1, 0x1.39b593554e656p-1, 0x1.36ef40e1e1bb6p-1, 0x1.3426841a2b735p-1, 0x1.315b7e0cfc576p-1, 0x1.2e8e511ab192ap-1, 0x1.2bbf20db642fap-1, 0x1.28ee120562424p-1, 0x1.261b4a540a5cfp-1, 0x1.2346f06f172ccp-1, 0x1.20712bd26a685p-1, 0x1.1d9a24b665ccap-1, 0x1.1ac203f8da141p-1, 0x1.17e8f30694e9cp-1, 0x1.150f1bc599bafp-1, 0x1.1234a8800564cp-1, 0x1.0f59c3cfa58bcp-1, 0x1.0c7e988a4677dp-1, 0x1.09a351aeb9a81p-1, 0x1.06c81a5297fa5p-1, 0x1.03ed1d90be4cap-1, 0x1.0112867887752p-1, 0x1.fc70fffb8167p-2, 0x1.f6be69d2b5a06p-2, 0x1.f10d9f95a29edp-2, 0x1.eb5ef5d4983cap-2, 0x1.e5b2c076e7a02p-2, 0x1.e00952a1f0d42p-2, 0x1.da62fea19119dp-2, 0x1.d4c015d1e4c25p-2, 0x1.cf20e88a5d70bp-2, 0x1.c985c60a1f222p-2, 0x1.c3eefc659f269p-2, 0x1.be5cd8757d1dfp-2, 0x1.b8cfa5c68afc7p-2, 0x1.b347ae8b02c32p-2, 0x1.adc53b8cd37f5p-2, 0x1.a8489421101fp-2, 0x1.a2d1fe1c64648p-2, 0x1.9d61bdc8937edp-2, 0x1.97f815daf384fp-2, 0x1.9295476bde5a9p-2, 0x1.8d3991ef090a1p-2, 0x1.87e5332cc4a76p-2, 0x1.8298673c14f1fp-2, 0x1.7d53687d9a11dp-2, 0x1.78166f9744a3ep-2, 0x1.72e1b370c7c56p-2, 0x1.6db56930c75bbp-2, 0x1.6891c43ab6482p-2, 0x1.6376f62d5bbbdp-2, 0x1.5e652ee1fc278p-2, 0x1.595c9c6c1ac78p-2, 0x1.545d6b19ccc33p-2, 0x1.4f67c5749acc1p-2, 0x1.4a7bd442e0848p-2, 0x1.4599be89b0497p-2, 0x1.40c1a98f28e3ap-2, 0x1.3bf3b8dd3aef8p-2, 0x1.37300e44dbc7ep-2, 0x1.3276c9e199a29p-2, 0x1.2dc80a1d8b991p-2, 0x1.2923ebb59bd95p-2, 0x1.248a89be24f6cp-2, 0x1.1ffbfda7d9ff2p-2, 0x1.1b785f44f55ebp-2, 0x1.16ffc4ceadb1bp-2, 0x1.129242eae6d77p-2, 0x1.0e2fecb218ac9p-2, 0x1.09d8d3b570b4dp-2, 0x1.058d08051dfd9p-2, 0x1.014c9836cb9e3p-2, 0x1.fa2f22d8867e5p-3, 0x1.f1dbfeb4659efp-3, 0x1.e99fd89e23c9dp-3, 0x1.e17ac2744aeap-3, 0x1.d96ccb65377cdp-3, 0x1.d175fffd7a9d4p-3, 0x1.c9966a366647fp-3, 0x1.c1ce1184b4e3fp-3, 0x1.ba1cfae74c0fcp-3, 0x1.b28328f6156cp-3, 0x1.ab009bf0e4982p-3, 0x1.a39551ce67bcap-3, 0x1.9c41464b1e3dfp-3, 0x1.950472f85050ap-3, 0x1.8ddecf4b02273p-3, 0x1.86d050aae2ba9p-3, 0x1.7fd8ea8129dbap-3, 0x1.78f88e476f3bcp-3, 0x1.722f2b9667f2dp-3, 0x1.6b7cb034926dcp-3, 0x1.64e10824c7f99p-3, 0x1.5e5c1db4b8514p-3, 0x1.57edd98b3bd39p-3, 0x1.519622b68fbbfp-3, 0x1.4b54deba6e4adp-3, 0x1.4529f19df9304p-3, 0x1.3f153df9860f2p-3, 0x1.3916a5043e237p-3, 0x1.332e06a1910cfp-3, 0x1.2d5b416e81c6ep-3, 0x1.279e32ceba72cp-3, 0x1.21f6b6f97b321p-3, 0x1.1c64a9065438cp-3, 0x1.16e7e2f9a956dp-3, 0x1.11803dd10decap-3, 0x1.0c2d918f5ee6fp-3, 0x1.06efb548b3632p-3, 0x1.01c67f2e1264cp-3, 0x1.f9638931e4036p-4, 0x1.ef62b42d08d61p-4, 0x1.e58a26e58d04ep-4, 0x1.dbd98786b897ep-4, 0x1.d2507ae46dad5p-4, 0x1.c8eea48ff763dp-4, 0x1.bfb3a6ec6bb1ep-4, 0x1.b69f2342ae3e2p-4, 0x1.adb0b9d4ddafp-4, 0x1.a4e809f178d97p-4, 0x1.9c44b205f570cp-4, 0x1.93c64fb0ef721p-4, 0x1.8b6c7fd3ebd7cp-4, 0x1.8336dea4a75dfp-4, 0x1.7b2507bdf5915p-4, 0x1.73369630329e8p-4, 0x1.6b6b249145989p-4, 0x1.63c24d0c3634ap-4, 0x1.5c3ba970559f6p-4, 0x1.54d6d33ffba9fp-4, 0x1.4d9363bed8d22p-4, 0x1.4670f3ffdf72ep-4, 0x1.3f6f1cf2c3bfdp-4, 0x1.388d7771139c8p-4, 0x1.31cb9c4aea599p-4, 0x1.2b2924533c1fbp-4, 0x1.24a5a86bc0c6p-4, 0x1.1e40c19079539p-4, 0x1.17fa08e2d6db6p-4, 0x1.11d117b47f01bp-4, 0x1.0bc58791b47edp-4, 0x1.05d6f24b60491p-4, 0x1.0004f200c1ba5p-4, 0x1.f49e425183a46p-5, 0x1.e96a3535e08a3p-5, 0x1.de6cf3304fc1dp-5, 0x1.d3a5b3a5bca68p-5, 0x1.c913aeee3e492p-5, 0x1.beb61e646a24ep-5, 0x1.b48c3c740176p-5, 0x1.aa9544a804754p-5, 0x1.a0d073b825d64p-5, 0x1.973d0795a7af4p-5, 0x1.8dda3f77a1705p-5, 0x1.84a75be6b5f27p-5, 0x1.7ba39ec837296p-5, 0x1.72ce4b68bf8e9p-5, 0x1.6a26a68643628p-5, 0x1.61abf65997a8p-5, 0x1.595d829f7bdd6p-5, 0x1.513a94a120d35p-5, 0x1.4942773c31e7ap-5, 0x1.417476ea65eb9p-5, 0x1.39cfe1c899781p-5, 0x1.3254079d758p-5, 0x1.2b0039dfa32eep-5, 0x1.23d3cbbb936a2p-5, 0x1.1cce1218db5b4p-5, 0x1.15ee639f287bep-5, 0x1.0f3418bacf4c1p-5, 0x1.089e8ba0f676fp-5, 0x1.022d185364b9cp-5, 0x1.f7be3947de2fap-6, 0x1.eb67f06f1b5f5p-6, 0x1.df5619123405bp-6, 0x1.d38779d76e144p-6, 0x1.c7fadd19cbcc6p-6, 0x1.bcaf10ec9b065p-6, 0x1.b1a2e71e64068p-6, 0x1.a6d5353b45412p-6, 0x1.9c44d48ebf905p-6, 0x1.91f0a224f0c0bp-6, 0x1.87d77ecb4f737p-6, 0x1.7df84f10daf87p-6, 0x1.7451fb45d2d34p-6, 0x1.6ae36f7af3cf6p-6, 0x1.61ab9b803cbf8p-6, 0x1.58a972e3462aep-6, 0x1.4fdbeced2acbdp-6, 0x1.474204a006805p-6, 0x1.3edab8b41202bp-6, 0x1.36a50b945eee7p-6, 0x1.2ea0035b357a2p-6, 0x1.26caa9ce1a3abp-6, 0x1.1f240c597a892p-6, 0x1.17ab3c0c106ccp-6, 0x1.105f4d91ed27cp-6, 0x1.093f592f446e4p-6, 0x1.024a7abae6b1p-6, 0x1.f6ffa330fdc82p-7, 0x1.e9bd016512647p-7, 0x1.dccb5ce82ca4fp-7, 0x1.d02909848cc52p-7, 0x1.c3d461eb35e1dp-7, 0x1.b7cbc7a614cc3p-7, 0x1.ac0da309ccc9ap-7, 0x1.a098632728d96p-7, 0x1.956a7dbc2a75cp-7, 0x1.8a826f24d9006p-7, 0x1.7fdeba4baa71dp-7, 0x1.757de899b95e3p-7, 0x1.6b5e89e6b063p-7, 0x1.617f34686f367p-7, 0x1.57de84a27fdcdp-7, 0x1.4e7b1d554f59ep-7, 0x1.4553a76d3d912p-7, 0x1.3c66d1f171c31p-7, 0x1.33b351f293737p-7, 0x1.2b37e27956fbep-7, 0x1.22f34474ea96bp-7, 0x1.1ae43ea945289p-7, 0x1.13099d9d5b6c4p-7, 0x1.0b6233893ebe7p-7, 0x1.03ecd84426f06p-7, 0x1.f950d264dd312p-8, 0x1.eb279266ff87dp-8, 0x1.dd5bc11f71427p-8, 0x1.cfeb39cc904e3p-8, 0x1.c2d3e2360eb25p-8, 0x1.b613aa889ee95p-8, 0x1.a9a88d31a5db2p-8, 0x1.9d908ebaf2309p-8, 0x1.91c9bda67f792p-8, 0x1.8652324a4ac47p-8, 0x1.7b280eac3aefcp-8, 0x1.70497e5e2440ap-8, 0x1.65b4b659e705cp-8, 0x1.5b67f4ddb166ap-8, 0x1.5161814864aa8p-8, 0x1.479fabf6246ffp-8, 0x1.3e20ce1d113d7p-8, 0x1.34e349aa32a33p-8, 0x1.2be5891e9257cp-8, 0x1.2325ff6c8fe78p-8, 0x1.1aa327d5694f7p-8, 0x1.125b85c6ff43cp-8, 0x1.0a4da4b9d95cp-8, 0x1.0278180f65a2fp-8, 0x1.f5b2f5e0feba2p-9, 0x1.e6e0e0586928cp-9, 0x1.d877442dad95dp-9, 0x1.ca7384d2a3881p-9, 0x1.bcd3144196f91p-9, 0x1.af9372bd22855p-9, 0x1.a2b22e90a2bb1p-9, 0x1.962ce3d1494a7p-9, 0x1.8a013c1fcb04fp-9, 0x1.7e2cee6ab7ep-9, 0x1.72adbeb170972p-9, 0x1.67817dc7ca429p-9, 0x1.5ca6091a564fp-9, 0x1.52194a735868ep-9, 0x1.47d937c0666aap-9, 0x1.3de3d2d8b90f4p-9, 0x1.343729442bb84p-9, 0x1.2ad15402ea27cp-9, 0x1.21b07755d1cecp-9, 0x1.18d2c28786b0ap-9, 0x1.10366fb63a2a8p-9, 0x1.07d9c39e230fdp-9, 0x1.ff761ac95cd71p-10, 0x1.efb14cc8c7ad8p-10, 0x1.e061e3f2f4071p-10, 0x1.d184ba9e4d7bp-10, 0x1.c316be5b3e3e1p-10, 0x1.b514ef919d77p-10, 0x1.a77c611f86fd8p-10, 0x1.9a4a37f995c18p-10, 0x1.8d7baacc8f7ep-10, 0x1.810e01a06fb3fp-10, 0x1.74fe957cd9ce7p-10, 0x1.694ad00ef2705p-10, 0x1.5df02b5096e9ep-10, 0x1.52ec3130fe181p-10, 0x1.483c7b3ea9e88p-10, 0x1.3ddeb252c9098p-10, 0x1.33d08e3de6fd9p-10, 0x1.2a0fd575f816ep-10, 0x1.209a5cc5c0396p-10, 0x1.176e06fd8c822p-10, 0x1.0e88c4a53d93bp-10, 0x1.05e893afa41bp-10, 0x1.fb16fe5e54bd1p-11, 0x1.eadf3e178aa7dp-11, 0x1.db262f7461723p-11, 0x1.cbe833e8dc2c5p-11, 0x1.bd21c4e70b81bp-11, 0x1.aecf73550c8f8p-11, 0x1.a0ede7057fcf9p-11, 0x1.9379de326fc29p-11, 0x1.86702cfaa17fcp-11, 0x1.79cdbce14b8e7p-11, 0x1.6d8f8c5025c13p-11, 0x1.61b2ae1bd3a62p-11, 0x1.5634490a9a755p-11, 0x1.4b11975d64853p-11, 0x1.4047e65b0126ap-11, 0x1.35d495dda3d79p-11, 0x1.2bb517e2949aap-11, 0x1.21e6f01c0e4edp-11, 0x1.1867b38542035p-11, 0x1.0f3507f8784e5p-11, 0x1.064ca3c74bea9p-11, 0x1.fb589aa9e3cfp-12, 0x1.eaa3b56518facp-12, 0x1.da76627afe22dp-12, 0x1.cacc8a7f7868p-12, 0x1.bba2332411bf5p-12, 0x1.acf37e80512a6p-12, 0x1.9ebcaa5de1f7bp-12, 0x1.90fa0f887552fp-12, 0x1.83a821214fbbbp-12, 0x1.76c36bf6746d4p-12, 0x1.6a4895dd6541ep-12, 0x1.5e345d115ebf5p-12, 0x1.528397950fda6p-12, 0x1.47333297b02aep-12, 0x1.3c4031dd73a8fp-12, 0x1.31a7af2b46571p-12, 0x1.2766d9b5c4217p-12, 0x1.1d7af59360585p-12, 0x1.13e15b31ad005p-12, 0x1.0a9776cdb72b9p-12, 0x1.019ac7ef66c93p-12, 0x1.f1d1c1cfb1d71p-13, 0x1.e0fecca54a664p-13, 0x1.d0b81d3401ba4p-13, 0x1.c0f942fb64ca2p-13, 0x1.b1bdef3997a2ep-13, 0x1.a301f404351cep-13, 0x1.94c143668241cp-13, 0x1.86f7ee84e7e03p-13, 0x1.79a224c583772p-13, 0x1.6cbc32fdcdab6p-13, 0x1.604282a531596p-13, 0x1.5431990c7924ep-13, 0x1.4886169a0a839p-13, 0x1.3d3cb60ac053dp-13, 0x1.32524bb768999p-13, 0x1.27c3c4deb2f06p-13, 0x1.1d8e26f3934d7p-13, 0x1.13ae8eefecee7p-13, 0x1.0a2230ab7aa6ep-13, 0x1.00e65636e36dfp-13, 0x1.eff0be75ae4c6p-14, 0x1.deab80b64fd27p-14, 0x1.cdf8053ba4a98p-14, 0x1.bdd185ab95067p-14, 0x1.ae33622329c9ep-14, 0x1.9f19201af4daap-14, 0x1.907e6952c259cp-14, 0x1.825f0ac43a0e9p-14, 0x1.74b6f39c6ba41p-14, 0x1.6782343c11d4ap-14, 0x1.5abcfd3e6b03ap-14, 0x1.4e639e86830ebp-14, 0x1.42728652c996fp-14, 0x1.36e64056d340dp-14, 0x1.2bbb74db2157dp-14, 0x1.20eee7e2ceb21p-14, 0x1.167d7857007ecp-14, 0x1.0c641f37fa64fp-14, 0x1.029feed3b3e7p-14, 0x1.f25c2403a1e82p-15, 0x1.e01796c9bc44ap-15, 0x1.ce6ce96161b9p-15, 0x1.bd56fbeb9b94p-15, 0x1.acd0d9e37199ap-15, 0x1.9cd5b8c81fea9p-15, 0x1.8d60f6d0aaa33p-15, 0x1.7e6e19a89926fp-15, 0x1.6ff8cd359ced3p-15, 0x1.61fce265f554cp-15, 0x1.54764e07539bbp-15, 0x1.476127a60f6bap-15, 0x1.3ab9a87478755p-15, 0x1.2e7c2a3a124fp-15, 0x1.22a5264a88dcdp-15, 0x1.173134842d582p-15, 0x1.0c1d0a55cfa57p-15, 0x1.016579cbc0cf6p-15, 0x1.ee0ee147a846dp-16, 0x1.d9ffeed06485cp-16, 0x1.c6986121a8034p-16, 0x1.b3d2af56e823ap-16, 0x1.a1a98113b102cp-16, 0x1.9017acec7e247p-16, 0x1.7f1836db9d0cdp-16, 0x1.6ea64ec1bfac9p-16, 0x1.5ebd4ef1f017ep-16, 0x1.4f58bac8a6d66p-16, 0x1.40743d4daa71cp-16, 0x1.320ba7e07f576p-16, 0x1.241af0ef1304ep-16, 0x1.169e32b667694p-16, 0x1.0991aa0cfc301p-16, 0x1.f9e36a6d4d662p-17, 0x1.e175a58357ca1p-17, 0x1.c9d340d98fcedp-17, 0x1.b2f5b42bf4703p-17, 0x1.9cd6b1638fd8ap-17, 0x1.877022958bb53p-17, 0x1.72bc28125977fp-17, 0x1.5eb5168474089p-17, 0x1.4b55751e5cc82p-17, 0x1.3897fbd767d23p-17, 0x1.267791b6dbf86p-17, 0x1.14ef4b2d150d8p-17, 0x1.03fa687a39863p-17, 0x1.e728a844485bep-18, 0x1.c77142da45a46p-18, 0x1.a8c615ea5900ep-18, 0x1.8b1ee27e66cb7p-18, 0x1.6e73b2c0788b7p-18, 0x1.52bcd75bc3cbcp-18, 0x1.37f2e4f3e4449p-18, 0x1.1e0eb1b1a3097p-18, 0x1.050952e4aac4ep-18, 0x1.d9b83573120fcp-19, 0x1.ab012c06d6d4fp-19, 0x1.7de11431f3eb1p-19, 0x1.524be5878b474p-19, 0x1.283600836ff26p-19, 0x1.ff28555ffa2b2p-20, 0x1.b0b715db97252p-20, 0x1.65034bb89db53p-20, 0x1.1bf8b4c499ebfp-20, 0x1.ab07795505de7p-21, 0x1.2322ecfacdb32p-21, 0x1.403e59f4c8af6p-22, 0x1.0ec6c13b86bf5p-24, -0x1.5f491fbda79d5p-23, -0x1.9a06945f6eeep-22, -0x1.3dda30bbfc318p-21, -0x1.aa75f3595ca3fp-21, -0x1.097a44baa0e4cp-20, -0x1.3bb979e703c33p-20, -0x1.6c06a2e0d6091p-20, -0x1.9a6f5722b30f2p-20, -0x1.c700c04474e08p-20, -0x1.f1c79e241185ap-20, -0x1.0d6825737e17ap-19, -0x1.21135f6ab0915p-19, -0x1.33eb4a08381dfp-19, -0x1.45f585127fe0dp-19, -0x1.573784bdcf46bp-19, -0x1.67b69353a823p-19, -0x1.7777d2ca05583p-19, -0x1.86803e4b03d05p-19, -0x1.94d4abad7d3e4p-19, -0x1.a279ccdf1b8cp-19, -0x1.af7431405b222p-19, -0x1.bbc846f303811p-19, -0x1.c77a5c1b81642p-19, -0x1.d28ea015a4b67p-19, -0x1.dd09249d23c66p-19, -0x1.e6eddeea5e7efp-19, -0x1.f040a8c3c68bp-19, -0x1.f90541844d386p-19, -0x1.009fa78ba533bp-18, -0x1.04792f75169d4p-18, -0x1.0810f36a2f247p-18, -0x1.0b68a2fad5c4p-18, -0x1.0e81e2c5c9e78p-18, -0x1.115e4cdee7ac9p-18, -0x1.13ff71312d827p-18, -0x1.1666d5dcb26e4p-18, -0x1.1895f790adcf4p-18, -0x1.1a8e49e1bb945p-18, -0x1.1c51379c7b726p-18, -0x1.1de02314b4509p-18, -0x1.1f3c6671199c9p-18, -0x1.206753f3d5f94p-18, -0x1.2162363ff9d61p-18, -0x1.222e509bee808p-18, -0x1.22ccdf3108c8p-18, -0x1.233f17485ca35p-18, -0x1.23862784e7bf3p-18, -0x1.23a3381b3388cp-18, -0x1.23976b06860b1p-18, -0x1.2363dc3bbaff2p-18, -0x1.2309a1d9ddd5fp-18, -0x1.2289cc589bcd1p-18, -0x1.21e566b4a6d65p-18, -0x1.211d769a1b7c3p-18, -0x1.2032fc8d01f83p-18, -0x1.1f26f40ffea8cp-18, -0x1.1dfa53c943c55p-18, -0x1.1cae0da5d95afp-18, -0x1.1b430efb4d26bp-18, -0x1.19ba40a7dabb6p-18, -0x1.18148731206a1p-18, -0x1.1652c2e16d9acp-18, -0x1.1475cfe3bb4ebp-18, -0x1.127e865e60f35p-18, -0x1.106dba8c8fe6cp-18, -0x1.0e443cd6a7d6dp-18, -0x1.0c02d9e96ce9p-18, -0x1.09aa5acc33464p-18, -0x1.073b84f604a5ap-18, -0x1.04b71a61d4979p-18, -0x1.021dd9a1c673ap-18, -0x1.fee0fbe331966p-19, -0x1.f95f7e9071f42p-19, -0x1.f3b8a4d1203f4p-19, -0x1.ededd1e31c3b1p-19, -0x1.e80062db004f7p-19, -0x1.e1f1aec171e66p-19, -0x1.dbc306af29c84p-19, -0x1.d575b5e7c77c3p-19, }}, 
      {{-0x1.1286bd41221b5p-15, -0x1.128edaae79bcep-13, -0x1.350a3fecbbb35p-12, -0x1.130c1ade2f946p-11, -0x1.aeba3d0b7e83fp-11, -0x1.372d50a362169p-10, -0x1.a97cc2bf07993p-10, -0x1.1773d93d741a6p-9, -0x1.640916cad7df4p-9, -0x1.bacc1c3b14702p-9, -0x1.0dff908c6620cp-8, -0x1.43e8cb5cc20f1p-8, -0x1.7f2d2c77edf6cp-8, -0x1.bfc99c5a4f038p-8, -0x1.02d57a44493bbp-7, -0x1.28568f72eb6b6p-7, -0x1.504d671477f01p-7, -0x1.7a96ddd8a09b4p-7, -0x1.a707aab2eaeaep-7, -0x1.d56ce32372ef9p-7, -0x1.02c65155ccda9p-6, -0x1.1b93660605bdcp-6, -0x1.34faedefe4859p-6, -0x1.4ed7e298ca8eep-6, -0x1.690368dbe1b69p-6, -0x1.835540354f6d2p-6, -0x1.9da42f121d0aep-6, -0x1.b7c66a701534cp-6, -0x1.d191f781828a2p-6, -0x1.eadd066570657p-6, -0x1.01bf22aaadffap-5, -0x1.0da695f6a85fbp-5, -0x1.19111f3606a84p-5, -0x1.23eba47b3c576p-5, -0x1.2e23c986ee2efp-5, -0x1.37a805c1ef1fbp-5, -0x1.4067b6a5b9f24p-5, -0x1.48532eca042e6p-5, -0x1.4f5bc1d279b07p-5, -0x1.5573cd7a1ca5dp-5, -0x1.5a8ebffa6f43p-5, -0x1.5ea11c0c245e1p-5, -0x1.61a07abd83b4bp-5, -0x1.63838b588eaf9p-5, -0x1.64421190537f8p-5, -0x1.63d4e229cea2dp-5, -0x1.6235de51a5b3cp-5, -0x1.5f5fedccadfc7p-5, -0x1.5b4ef82df23f1p-5, -0x1.55ffdd399c3dcp-5, -0x1.4f706c98f9172p-5, -0x1.479f5d00a92p-5, -0x1.3e8c42e71499cp-5, -0x1.343786e65a05ap-5, -0x1.28a25be22744ep-5, -0x1.1bceb5076534bp-5, -0x1.0dbf3bb90e541p-5, -0x1.fcee8af6be666p-6, -0x1.dbf593d8820ebp-6, -0x1.b89cb1abd6a14p-6, -0x1.92ee20cd9596cp-6, -0x1.6af5273027e13p-6, -0x1.40be01959521bp-6, -0x1.1455d1434c421p-6, -0x1.cb951473b74c2p-7, -0x1.6a55c3f0ef363p-7, -0x1.050c7da469955p-7, -0x1.37b29f63ed546p-8, -0x1.76eb560b0798ap-10, 0x1.0713ef22a5421p-9, 0x1.6bd58cbe5f7cap-8, 0x1.2d700ab129b3ep-7, 0x1.a8302be11164ep-7, 0x1.1302f9ca7409bp-6, 0x1.5365d4f25de02p-6, 0x1.952d96175c3bfp-6, 0x1.d847016c1eed6p-6, 0x1.0e4f5d80fca43p-5, 0x1.3110a851482acp-5, 0x1.545da1962b6eep-5, 0x1.782c87bafffe9p-5, 0x1.9c739b5e8fd9ep-5, 0x1.c1292351fe0ffp-5, 0x1.e64370614a174p-5, 0x1.05dc7073abd27p-4, 0x1.18bff217ab59ap-4, 0x1.2bc77ed2ab713p-4, 0x1.3eee63ebdbd39p-4, 0x1.522ffba58ce0cp-4, 0x1.6587ae9130a6cp-4, 0x1.78f0f4ce21b1p-4, 0x1.8c675733e6bf8p-4, 0x1.9fe67068a0559p-4, 0x1.b369ede441cb3p-4, 0x1.c6ed90e146dbbp-4, 0x1.da6d2f3b5f149p-4, 0x1.ede4b43cc159ep-4, 0x1.00a810ad56831p-3, 0x1.0a55c770cab09p-3, 0x1.13f99648c91dfp-3, 0x1.1d91a115c4e8p-3, 0x1.271c17f7d2102p-3, 0x1.30973786b7d4dp-3, 0x1.3a0149032918bp-3, 0x1.4358a2814df2bp-3, 0x1.4c9ba70ced919p-3, 0x1.55c8c6c769b4p-3, 0x1.5ede7effc4e38p-3, 0x1.67db5a44f64a2p-3, 0x1.70bdf072c450dp-3, 0x1.7984e6b95accfp-3, 0x1.822eef9fd7abbp-3, 0x1.8abacb020c8fbp-3, 0x1.93274609a945cp-3, 0x1.9b733b2303d8bp-3, 0x1.a39d91edbf59dp-3, 0x1.aba53f297d5b1p-3, 0x1.b389449ed5081p-3, 0x1.bb48b104c5879p-3, 0x1.c2e29fe2d6a87p-3, 0x1.ca563970183bfp-3, 0x1.d1a2b26f36a65p-3, 0x1.d8c74c07d344p-3, 0x1.dfc3539d53a81p-3, 0x1.e69622a34a017p-3, 0x1.ed3f1e6fbb443p-3, 0x1.f3bdb80b566f4p-3, 0x1.fa116bffda823p-3, 0x1.001ce1126333dp-2, 0x1.031b26b542ebdp-2, 0x1.060355d21ec14p-2, 0x1.08d542a82b156p-2, 0x1.0b90c6affbfa2p-2, 0x1.0e35c07ec42f7p-2, 0x1.10c413a92b037p-2, 0x1.133ba8a5c8eb1p-2, 0x1.159c6caf547fdp-2, 0x1.17e651a694ff1p-2, 0x1.1a194df422a61p-2, 0x1.1c355c6a0611cp-2, 0x1.1e3a7c253c59ep-2, 0x1.2028b06f33b27p-2, 0x1.2200009f42c55p-2, 0x1.23c077fc2daf2p-2, 0x1.256a259dba601p-2, 0x1.26fd1c4e61228p-2, 0x1.2879726d21a32p-2, 0x1.29df41cf84641p-2, 0x1.2b2ea7a3ce538p-2, 0x1.2c67c4536e704p-2, 0x1.2d8abb65aba43p-2, 0x1.2e97b36297abfp-2, 0x1.2f8ed5b64e845p-2, 0x1.30704e9484921p-2, 0x1.313c4cdc6afd1p-2, 0x1.31f301fce9ce6p-2, 0x1.3294a1d9397ecp-2, 0x1.332162addb136p-2, 0x1.33997cf5f08c7p-2, 0x1.33fd2b50ffc21p-2, 0x1.344caa6917551p-2, 0x1.348838d963554p-2, 0x1.34b017152861ap-2, 0x1.34c4874f2fcfdp-2, 0x1.34c5cd61a318ep-2, 0x1.34b42eb65458dp-2, 0x1.348ff22f7a789p-2, 0x1.34596010dd7edp-2, 0x1.3410c1e97a10ep-2, 0x1.33b6627d8fd2cp-2, 0x1.334a8db12b5ccp-2, 0x1.32cd90731fe74p-2, 0x1.323fb8a874311p-2, 0x1.31a155184625p-2, 0x1.30f2b5581d541p-2, 0x1.303429b8b7431p-2, 0x1.2f660333405a2p-2, 0x1.2e88935702419p-2, 0x1.2d9c2c3785ea2p-2, 0x1.2ca1205b24696p-2, 0x1.2b97c2aa086ep-2, 0x1.2a80665da2eddp-2, 0x1.295b5ef08c763p-2, 0x1.2829000ed712ep-2, 0x1.26e99d86cb14ep-2, 0x1.259d8b3a14e03p-2, 0x1.24451d0f5b66dp-2, 0x1.22e0a6e441f3p-2, 0x1.21707c7fd7042p-2, 0x1.1ff4f18567e2cp-2, 0x1.1e6e5967bea33p-2, 0x1.1cdd075cc6a1dp-2, 0x1.1b414e5197083p-2, 0x1.199b80dee1989p-2, 0x1.17ebf13dc2abdp-2, 0x1.1632f13cf9dbfp-2, 0x1.1470d2367b15p-2, 0x1.12a5e50567e1fp-2, 0x1.10d279fc6190bp-2, 0x1.0ef6e0dc3ac5ep-2, 0x1.0d1368cb06beep-2, 0x1.0b28604b824bbp-2, 0x1.09361534d44e6p-2, 0x1.073cd4aaab778p-2, 0x1.053ceb15af229p-2, 0x1.0336a41c46652p-2, 0x1.012a4a9bb714fp-2, 0x1.fe30514327ef3p-3, 0x1.fa010ecafc24p-3, 0x1.f5c75e86706c1p-3, 0x1.f183cf6a0d4cap-3, 0x1.ed36ee9cc1f0dp-3, 0x1.e8e1476dd58b9p-3, 0x1.e483634b79b21p-3, 0x1.e01dc9b9ea539p-3, 0x1.dbb1004b1df33p-3, 0x1.d73d8a9709a7bp-3, 0x1.d2c3ea3469edcp-3, 0x1.ce449eb218365p-3, 0x1.c9c02590e2a4ap-3, 0x1.c536fa3dec222p-3, 0x1.c0a9960d86b72p-3, 0x1.bc1870369011cp-3, 0x1.b783fdce430ap-3, 0x1.b2ecb1c48a72fp-3, 0x1.ae52fce0bf3c3p-3, 0x1.a9b74dbedc71ap-3, 0x1.a51a10cd26751p-3, 0x1.a07bb04a3a03ep-3, 0x1.9bdc944385aafp-3, 0x1.973d22942f6cp-3, 0x1.929dbee45880ep-3, 0x1.8dfecaa8c7283p-3, 0x1.8960a522eccd5p-3, 0x1.84c3ab614b304p-3, 0x1.8028384033459p-3, 0x1.7b8ea46ad5033p-3, 0x1.76f7465cae2c3p-3, 0x1.726272633f7b8p-3, 0x1.6dd07aa019c43p-3, 0x1.6941af0b31707p-3, 0x1.64b65d757f681p-3, 0x1.602ed18be7749p-3, 0x1.5bab54da64224p-3, 0x1.572c2ecf73b87p-3, 0x1.52b1a4bfc72acp-3, 0x1.4e3bf9ea29557p-3, 0x1.49cb6f7ba9f48p-3, 0x1.45604493f2d3fp-3, 0x1.40fab649e5204p-3, 0x1.3c9affb05743p-3, 0x1.384159db14b77p-3, 0x1.33edfbe3fe6b4p-3, 0x1.2fa11af0652dp-3, 0x1.2b5aea3682e39p-3, 0x1.271b9b032345dp-3, 0x1.22e35cbf6fc13p-3, 0x1.1eb25cf6e132fp-3, 0x1.1a88c75d522d6p-3, 0x1.1666c5d52d628p-3, 0x1.124c8075c2c2ap-3, 0x1.0e3a1d91b0d68p-3, 0x1.0a2fc1bd6a3ebp-3, 0x1.062d8fd5d130cp-3, 0x1.0233a906f0dc6p-3, 0x1.fc8459a57bb47p-4, 0x1.f4b2722feac77p-4, 0x1.ecf1d4320ff5p-4, 0x1.e542b5061efdep-4, 0x1.dda546e9b6889p-4, 0x1.d619b90bff534p-4, 0x1.cea0379be94d8p-4, 0x1.c738ebd675029p-4, 0x1.bfe3fc15105dfp-4, 0x1.b8a18bdbf8b67p-4, 0x1.b171bbe8a220fp-4, 0x1.aa54aa4035a18p-4, 0x1.a34a723dfdc4dp-4, 0x1.9c532ca1df8a5p-4, 0x1.956eef9ec7b21p-4, 0x1.8e9dcee9242dap-4, 0x1.87dfdbc541f2dp-4, 0x1.81352515ae532p-4, 0x1.7a9db76989b87p-4, 0x1.74199d0acb14dp-4, 0x1.6da8de0c75986p-4, 0x1.674b8058bae0dp-4, 0x1.610187bf0aafep-4, 0x1.5acaf6020c4aap-4, 0x1.54a7cae581804p-4, 0x1.4e98043c0e9aap-4, 0x1.489b9df4eae7fp-4, 0x1.42b2922971f47p-4, 0x1.3cdcd92a9925cp-4, 0x1.371a698e4523cp-4, 0x1.316b383c7ff24p-4, 0x1.2bcf387c8c616p-4, 0x1.26465c01d703ep-4, 0x1.20d092f8c2e72p-4, 0x1.1b6dcc13523bdp-4, 0x1.161df495a6e14p-4, 0x1.10e0f8625e001p-4, 0x1.0bb6c206c24ccp-4, 0x1.069f3ac6d5a7bp-4, 0x1.019a4aa93218dp-4, 0x1.f94fb1057d486p-5, 0x1.ef8f940476f5bp-5, 0x1.e5f4077740dc3p-5, 0x1.dc7cd266a038fp-5, 0x1.d329b9d23d925p-5, 0x1.c9fa80c656ec6p-5, 0x1.c0eee87117eb5p-5, 0x1.b806b03793a9ep-5, 0x1.af4195ca658bep-5, 0x1.a69f5539f25d8p-5, 0x1.9e1fa90a4bdabp-5, 0x1.95c24a46b970ap-5, 0x1.8d86f094de20ap-5, 0x1.856d5247828e6p-5, 0x1.7d752471011d1p-5, 0x1.759e1af550963p-5, 0x1.6de7e89bb3bp-5, 0x1.66523f20066ap-5, 0x1.5edccf43ae2cp-5, 0x1.578748de2d026p-5, 0x1.50515aed5580fp-5, 0x1.493ab3a51fa6p-5, 0x1.4243007f229d1p-5, 0x1.3b69ee49b0906p-5, 0x1.34af2936964b6p-5, 0x1.2e125ce97cecp-5, 0x1.27933485f4522p-5, 0x1.21315abd1e8fep-5, 0x1.1aec79db03635p-5, 0x1.14c43bd38b607p-5, 0x1.0eb84a4f1f46cp-5, 0x1.08c84eb6f2e4cp-5, 0x1.02f3f240f69dap-5, 0x1.fa75bbf6e7933p-6, 0x1.ef3975b0a9497p-6, 0x1.e43263702c146p-6, 0x1.d95fd6e8cd016p-6, 0x1.cec121d4ea1cap-6, 0x1.c4559609d5ce5p-6, 0x1.ba1c858b2f67fp-6, 0x1.b015429d9a8c8p-6, 0x1.a63f1fd8da614p-6, 0x1.9c9970395356bp-6, 0x1.93238730f4f22p-6, 0x1.89dcb8b78ae4fp-6, 0x1.80c4595a7ffdbp-6, 0x1.77d9be4c091afp-6, 0x1.6f1c3d71c799dp-6, 0x1.668b2d72db82ep-6, 0x1.5e25e5c56c7f2p-6, 0x1.55ebbebba9954p-6, 0x1.4ddc1190476b8p-6, 0x1.45f6387275529p-6, 0x1.3e398e9158928p-6, 0x1.36a5702702054p-6, 0x1.2f393a82f048ap-6, 0x1.27f44c141076ep-6, 0x1.20d604724d92cp-6, 0x1.19ddc467a9bccp-6, 0x1.130aedf8e1e34p-6, 0x1.0c5ce46da94ddp-6, 0x1.05d30c586fa49p-6, 0x1.fed9973b80745p-7, 0x1.f25312f6769a3p-7, 0x1.e6115d1c43057p-7, 0x1.da1349b307ce2p-7, 0x1.ce57af981a605p-7, 0x1.c2dd688adc3cp-7, 0x1.b7a35136d5b69p-7, 0x1.aca8493d22382p-7, 0x1.a1eb333d29bcbp-7, 0x1.976af4dca901p-7, 0x1.8d2676cf1aa67p-7, 0x1.831ca4dc7774fp-7, 0x1.794c6de75793bp-7, 0x1.6fb4c3f284356p-7, 0x1.66549c25e1c94p-7, 0x1.5d2aeed2d5e17p-7, 0x1.5436b7781c241p-7, 0x1.4b76f4c50fe7p-7, 0x1.42eaa89c71ed6p-7, 0x1.3a90d816acce6p-7, 0x1.32688b839c863p-7, 0x1.2a70ce6bdc6e8p-7, 0x1.22a8af919f6acp-7, 0x1.1b0f40f116813p-7, 0x1.13a397c06a3d3p-7, 0x1.0c64cc6f49889p-7, 0x1.0551faa6115bp-7, 0x1.fcd4828923cb7p-8, 0x1.ef5984c0ea9f4p-8, 0x1.e2314686904d1p-8, 0x1.d55a18d0563c4p-8, 0x1.c8d252f25e339p-8, 0x1.bc985298bceaap-8, 0x1.b0aa7bc0ef8b4p-8, 0x1.a50738b2bbbc5p-8, 0x1.99acf9f87b9e1p-8, 0x1.8e9a3656e022ap-8, 0x1.83cd6ac42e432p-8, 0x1.79451a5efb4a3p-8, 0x1.6effce647256bp-8, 0x1.64fc162621ad2p-8, 0x1.5b3886ff5c3bdp-8, 0x1.51b3bc4a31008p-8, 0x1.486c5753fc42p-8, 0x1.3f60ff519c75fp-8, 0x1.369061534b1c8p-8, 0x1.2df930381ea1fp-8, 0x1.259a24a14040bp-8, 0x1.1d71fce4cffa8p-8, 0x1.157f7d0084bc2p-8, 0x1.0dc16e8c081a8p-8, 0x1.0636a0ab13038p-8, 0x1.fdbbcffe9d844p-9, 0x1.ef6c3d34010fbp-9, 0x1.e17c47db00a6ap-9, 0x1.d3e9b97d059b7p-9, 0x1.c6b2662a6c3dcp-9, 0x1.b9d42c5c6d92ep-9, 0x1.ad4cf4d6c3cf1p-9, 0x1.a11ab28908716p-9, 0x1.953b626fdaa3ap-9, 0x1.89ad0b75d0af5p-9, 0x1.7e6dbe5437e91p-9, 0x1.737b9573adc37p-9, 0x1.68d4b4cc98cbcp-9, 0x1.5e7749c77e2f2p-9, 0x1.54618b1d45cc5p-9, 0x1.4a91b8b76a015p-9, 0x1.41061b9015751p-9, 0x1.37bd059240e1cp-9, 0x1.2eb4d179c74c3p-9, 0x1.25ebe2b37b5c6p-9, 0x1.1d60a53d45b77p-9, 0x1.15118d8647da6p-9, 0x1.0cfd184f13c97p-9, 0x1.0521ca89eba0ep-9, 0x1.fafc627641581p-10, 0x1.ec21c2b30b41bp-10, 0x1.ddb0ef5df8e0ap-10, 0x1.cfa7317255defp-10, 0x1.c201e11492caap-10, 0x1.b4be65543fa51p-10, 0x1.a7da33ee4d60ap-10, 0x1.9b52d10faa91p-10, 0x1.8f25cf1843304p-10, 0x1.8350ce5e5835p-10, 0x1.77d17cf246a02p-10, 0x1.6ca59662b61f9p-10, 0x1.61cae3813f08fp-10, 0x1.573f3a277a2adp-10, 0x1.4d007cfc92178p-10, 0x1.430c9b3b4aa8bp-10, 0x1.3961907890bebp-10, 0x1.2ffd646a7f17ap-10, 0x1.26de2aaffb25ep-10, 0x1.1e020298c93edp-10, 0x1.156716ee3c294p-10, 0x1.0d0b9dbc6746ep-10, 0x1.04edd81beafdp-10, 0x1.fa1823f89bb49p-11, 0x1.eac943ddda1cep-11, 0x1.dbebd1e5094f2p-11, 0x1.cd7ca47ea0bd3p-11, 0x1.bf78a6278becdp-11, 0x1.b1dcd503d86f6p-11, 0x1.a4a6427a9ea75p-11, 0x1.97d212d324e6cp-11, 0x1.8b5d7cd342fd4p-11, 0x1.7f45c95f066cep-11, 0x1.73885319970e2p-11, 0x1.682286075f0f9p-11, 0x1.5d11df317977fp-11, 0x1.5253ec4a6270ep-11, 0x1.47e64b53efe16p-11, 0x1.3dc6aa468d9ddp-11, 0x1.33f2c6b9c341dp-11, 0x1.2a686d8dfc458p-11, 0x1.21257a9798d63p-11, 0x1.1827d84b44119p-11, 0x1.0f6d7f6b8d294p-11, 0x1.06f476b7c89d2p-11, 0x1.fd75a53862dfep-12, 0x1.ed7d69c69ccb1p-12, 0x1.ddfc98d1319dep-12, 0x1.ceefa998c549ep-12, 0x1.c0532c51f6fbp-12, 0x1.b223c9922436fp-12, 0x1.a45e41bea2f0ep-12, 0x1.96ff6c7e6e109p-12, 0x1.8a04382e40d2bp-12, 0x1.7d69a9571ddafp-12, 0x1.712cda273baa4p-12, 0x1.654af9ed51f7bp-12, 0x1.59c14c9648d34p-12, 0x1.4e8d2a2d3b28bp-12, 0x1.43abfe5dcfc9dp-12, 0x1.391b47f8df8aap-12, 0x1.2ed8987b662f3p-12, 0x1.24e19397b3cfdp-12, 0x1.1b33eec0e07fep-12, 0x1.11cd70b87442p-12, 0x1.08abf11e45165p-12, 0x1.ff9ab004fedafp-13, 0x1.ee5f3af3a8fefp-13, 0x1.dda192679df2p-13, 0x1.cd5de42672922p-13, 0x1.bd907b9142864p-13, 0x1.ae35c0ddc3578p-13, 0x1.9f4a3853747aap-13, 0x1.90ca818cca10dp-13, 0x1.82b356bc4a443p-13, 0x1.75018bf59f0c8p-13, 0x1.67b20e7a73d4dp-13, 0x1.5ac1e40b31053p-13, 0x1.4e2e2a3b6a342p-13, 0x1.41f415ca09cfdp-13, 0x1.3610f1fd1f383p-13, 0x1.2a82200148168p-13, 0x1.1f45164ca2074p-13, 0x1.145760053b94fp-13, 0x1.09b69c6afc684p-13, 0x1.fec0fc89cfb6fp-14, 0x1.eaa596a3777acp-14, 0x1.d716b777ad1a3p-14, 0x1.c4103320b68cp-14, 0x1.b18e0073033cfp-14, 0x1.9f8c37f80bdf4p-14, 0x1.8e0712ef6a84fp-14, 0x1.7cfaea55ef07ep-14, 0x1.6c6435f2b32c4p-14, 0x1.5c3f8b6a050e7p-14, 0x1.4c899d56140b8p-14, 0x1.3d3f3a6544c1cp-14, 0x1.2e5d4c7e1153cp-14, 0x1.1fe0d7e861341p-14, 0x1.11c6fa7c39dbep-14, 0x1.040cead5b3858p-14, 0x1.ed5fef1c2ee16p-15, 0x1.d35b0cf420e54p-15, 0x1.ba0627d9a5f64p-15, 0x1.a15c6400517b2p-15, 0x1.89590fc286b2bp-15, 0x1.71f7a2448519ap-15, 0x1.5b33ba20a74c8p-15, 0x1.45091c1ca9848p-15, 0x1.2f73b1e7c9363p-15, 0x1.1a6f88e18efaep-15, 0x1.05f8d0e917e58p-15, 0x1.e417b669649c1p-16, 0x1.bd4a32633c50bp-16, 0x1.978236d799bf6p-16, 0x1.72b920fadeb4p-16, 0x1.4ee8880c572d6p-16, 0x1.2c0a3b539b2f9p-16, 0x1.0a18402ca08cfp-16, 0x1.d219a044326d3p-17, 0x1.91c4ae2bbd531p-17, 0x1.5326e2ee2973fp-17, 0x1.1635d50b68839p-17, 0x1.b5ceea8cd0355p-18, 0x1.426416c00f289p-18, 0x1.a430cbac6fa44p-19, 0x1.9366c1c778defp-20, -0x1.5a65512a74e58p-24, -0x1.b309859ef4b6fp-20, -0x1.a28233de70f31p-19, -0x1.32f59a1eba536p-18, -0x1.91ef37c86526ap-18, -0x1.ee3cc8652f147p-18, -0x1.23f65301e2a88p-17, -0x1.4f865a078204bp-17, -0x1.79d531f67fa69p-17, -0x1.a2e95cbbd15a3p-17, -0x1.cac927a7ddf21p-17, -0x1.f17aad85d04d2p-17, -0x1.0b81ec508073fp-16, -0x1.1db5325c8b9dfp-16, -0x1.2f59f0729eca6p-16, -0x1.4072d8b3678e5p-16, -0x1.510288b606ae6p-16, -0x1.610b8a6192a04p-16, -0x1.709054bf035fep-16, -0x1.7f934cc3ba094p-16, -0x1.8e16c614c9afp-16, -0x1.9c1d03c34dcf5p-16, -0x1.a9a83901e06aep-16, -0x1.b6ba89d37b672p-16, -0x1.c3560bb3dfe46p-16, -0x1.cf7cc639bbbdbp-16, -0x1.db30b3b2bb4ecp-16, -0x1.e673c1b9af22ap-16, -0x1.f147d1c6ede52p-16, -0x1.fbaeb9bb2b83ep-16, }}, 
      {{-0x1.314fef3606ab9p-9, -0x1.3248d69774746p-8, -0x1.cebdfeac49fe2p-8, -0x1.386cfe4a91496p-7, -0x1.8e02d79fac608p-7, -0x1.e9e257b87ebb2p-7, -0x1.26d248c790a4ep-6, -0x1.5d49942dc1e6ap-6, -0x1.98c8ee0e498d2p-6, -0x1.d98b148e18a84p-6, -0x1.0fca6df45135p-5, -0x1.355d133564664p-5, -0x1.5d529492a3727p-5, -0x1.876f69e9ddaf5p-5, -0x1.b36bbea59644ep-5, -0x1.e0f79c29cdb2bp-5, -0x1.07df5aecbe0a6p-4, -0x1.1fb5dcc409234p-4, -0x1.37d58b95784e6p-4, -0x1.50169f053a17p-4, -0x1.68542ab7cda1fp-4, -0x1.806cbdd78937dp-4, -0x1.9842cc99c1bf6p-4, -0x1.afbceb2e808d9p-4, -0x1.c6c5e1949dc16p-4, -0x1.dd4c9f7dc8a94p-4, -0x1.f34416e50733p-4, -0x1.045181a80e16ap-3, -0x1.0eb1d17d9eeefp-3, -0x1.18c1b339c458bp-3, -0x1.22814d37e6e7p-3, -0x1.2bf2078792b3bp-3, -0x1.35165f855c76ep-3, -0x1.3df1bc6fe5b54p-3, -0x1.468845bf64ab3p-3, -0x1.4edebbd29a47bp-3, -0x1.56fa53581e865p-3, -0x1.5ee093b66dffp-3, -0x1.66973896ea7afp-3, -0x1.6e24169f9c033p-3, -0x1.758d035443d12p-3, -0x1.7cd7c0083a681p-3, -0x1.8409e7bf7ac04p-3, -0x1.8b28dfd4f8f33p-3, -0x1.9239cb370325cp-3, -0x1.9941800703babp-3, -0x1.a0447f685a063p-3, -0x1.a746ef49c753bp-3, -0x1.ae4c95f5c58cdp-3, -0x1.b558d737b172ap-3, -0x1.bc6eb2e620393p-3, -0x1.c390c4a528dddp-3, -0x1.cac144b698f59p-3, -0x1.d20209b102e96p-3, -0x1.d9548af9d3b36p-3, -0x1.e0b9e3e1caf24p-3, -0x1.e832d7462f2c3p-3, -0x1.efbfd39c37ac5p-3, -0x1.f760f74ee89a2p-3, -0x1.ff16155a3c2c4p-3, -0x1.036f5d088e55ep-2, -0x1.075d17feebed4p-2, -0x1.0b53c26778792p-2, -0x1.0f52c7220d1cp-2, -0x1.13597788791a2p-2, -0x1.17670dd651d42p-2, -0x1.1b7aaf83867f7p-2, -0x1.1f936f8ea8535p-2, -0x1.23b050b4665dfp-2, -0x1.27d047924b25fp-2, -0x1.2bf23cb3293c4p-2, -0x1.30150e8417fc9p-2, -0x1.343793312f256p-2, -0x1.38589a698149dp-2, -0x1.3c76ef0a1083p-2, -0x1.409158afb2d19p-2, -0x1.44a69d30137cfp-2, -0x1.48b581fa0f72ep-2, -0x1.4cbccd5ded849p-2, -0x1.50bb47bdea926p-2, -0x1.54afbca7c992p-2, -0x1.5898fbd80dae3p-2, -0x1.5c75da27a77d7p-2, -0x1.60453264dac92p-2, -0x1.6405e6182fff7p-2, -0x1.67b6de364da8ap-2, -0x1.6b570bbf8ddb1p-2, -0x1.6ee5684e2ffbcp-2, -0x1.7260f693ff9d8p-2, -0x1.75c8c2c84aa3ep-2, -0x1.791be306ff0c4p-2, -0x1.7c5977a1bdbfbp-2, -0x1.7f80ab63b66b7p-2, -0x1.8290b3c91247cp-2, -0x1.8588d12aad903p-2, -0x1.88684edee7c84p-2, -0x1.8b2e8350317cap-2, -0x1.8ddad00a16618p-2, -0x1.906ca1bd66876p-2, -0x1.92e3703c20802p-2, -0x1.953ebe6dbc8aap-2, -0x1.977e1a3c6d6dp-2, -0x1.99a11c7be0a57p-2, -0x1.9ba768ca10d7p-2, -0x1.9d90ad6a9efeep-2, -0x1.9f5ca31d3ba9bp-2, -0x1.a10b0cef89b72p-2, -0x1.a29bb80af0899p-2, -0x1.a40e7b7ec880dp-2, -0x1.a56338073e8d4p-2, -0x1.a699d7d153214p-2, -0x1.a7b24e3c4f8bp-2, -0x1.a8ac9798fb9a4p-2, -0x1.a988b8e6ef0c6p-2, -0x1.aa46bf903fd68p-2, -0x1.aae6c123d7a05p-2, -0x1.ab68db0eb1f9p-2, -0x1.abcd32543c72p-2, -0x1.ac13f3461783fp-2, -0x1.ac3d513b6a618p-2, -0x1.ac498647f9a84p-2, -0x1.ac38d2f335b64p-2, -0x1.ac0b7def62f27p-2, -0x1.abc1d3d10d49cp-2, -0x1.ab5c26c6e144ep-2, -0x1.aadace521803p-2, -0x1.aa3e26ff8891dp-2, -0x1.a986922189be3p-2, -0x1.a8b4758aaee9cp-2, -0x1.a7c83b4984d83p-2, -0x1.a6c251655dd8dp-2, -0x1.a5a3299c3f53fp-2, -0x1.a46b392206ba3p-2, -0x1.a31af860d296ap-2, -0x1.a1b2e2babeb79p-2, -0x1.a033764cfeddfp-2, -0x1.9e9d33b464433p-2, -0x1.9cf09dd354ff4p-2, -0x1.9b2e39993cc92p-2, -0x1.99568dcb85241p-2, -0x1.976a22d00adcap-2, -0x1.9569827927432p-2, -0x1.935537d342254p-2, -0x1.912dcef3f4e16p-2, -0x1.8ef3d4cac0c71p-2, -0x1.8ca7d6f354cf5p-2, -0x1.8a4a6389646f1p-2, -0x1.87dc08fe1226bp-2, -0x1.855d55eee341ap-2, -0x1.82ced8fe427cdp-2, -0x1.803120ad8a1a3p-2, -0x1.7d84bb38932e8p-2, -0x1.7aca3672c5c32p-2, -0x1.78021fa5a3a42p-2, -0x1.752d0370ccf8ep-2, -0x1.724b6dab74198p-2, -0x1.6f5de9473ede8p-2, -0x1.6c6500348d0f9p-2, -0x1.69613b481e399p-2, -0x1.6653222213679p-2, -0x1.633b3b163eab2p-2, -0x1.601a0b15c0751p-2, -0x1.5cf01599e9f1cp-2, -0x1.59bddc905b9dbp-2, -0x1.5683e04857b71p-2, -0x1.53429f614507fp-2, -0x1.4ffa96ba5779ep-2, -0x1.4cac4163576afp-2, -0x1.4958188e8048dp-2, -0x1.45fe93836da72p-2, -0x1.42a0279313bc4p-2, -0x1.3f3d480cb28e6p-2, -0x1.3bd66633c6e57p-2, -0x1.386bf136e8bafp-2, -0x1.34fe562791e1ep-2, -0x1.318dfff2cce6p-2, -0x1.2e1b575ab3816p-2, -0x1.2aa6c2f0c969cp-2, -0x1.2730a7111d78p-2, -0x1.23b965de2f671p-2, -0x1.20415f3d91cfbp-2, -0x1.1cc8f0d544dbep-2, -0x1.19507609bb9f1p-2, -0x1.15d847fc8b326p-2, -0x1.1260bd8bbba99p-2, -0x1.0eea2b51b2866p-2, -0x1.0b74e3a5aebecp-2, -0x1.0801369cd6568p-2, -0x1.048f720bc7ea1p-2, -0x1.011fe188adf72p-2, -0x1.fb659cdb99b3dp-3, -0x1.f490ffb90c706p-3, -0x1.edc2758196813p-3, -0x1.e6fa83a9ef2d7p-3, -0x1.e039ab4c23ae7p-3, -0x1.d9806930d00eep-3, -0x1.d2cf35d91283fp-3, -0x1.cc2685892181p-3, -0x1.c586c8537f3e2p-3, -0x1.bef06a24c489dp-3, -0x1.b863d2cffcbdap-3, -0x1.b1e1661b75ce1p-3, -0x1.ab6983ce16ef6p-3, -0x1.a4fc87bd244c8p-3, -0x1.9e9ac9da6704cp-3, -0x1.98449e42b88e7p-3, -0x1.91fa554ce8b37p-3, -0x1.8bbc3b98f398ep-3, -0x1.858a9a1f7c633p-3, -0x1.7f65b641929dbp-3, -0x1.794dd1d8ad4b6p-3, -0x1.73432b46dabd4p-3, -0x1.6d45fd8729961p-3, -0x1.6756803e28acdp-3, -0x1.6174e7ca9bb5ap-3, -0x1.5ba1655641824p-3, -0x1.55dc26e6b4a68p-3, -0x1.5025576e63dbep-3, -0x1.4a7d1edd8facep-3, -0x1.44e3a2335713bp-3, -0x1.3f59038ec79e5p-3, -0x1.39dd623fe769cp-3, -0x1.3470dad8c383ep-3, -0x1.2f13873e70399p-3, -0x1.29c57eb9fd15p-3, -0x1.2486d6095ba9dp-3, -0x1.1f579f7033e8cp-3, -0x1.1a37eac89a8b1p-3, -0x1.1527c593b6c79p-3, -0x1.10273b0a469acp-3, -0x1.0b36542d02832p-3, -0x1.065517d4e5187p-3, -0x1.01838ac344e4ap-3, -0x1.f9835f639d25dp-4, -0x1.f01f0ec4ad50cp-4, -0x1.e6da215cecebcp-4, -0x1.ddb4912e12be9p-4, -0x1.d4ae54a6dae33p-4, -0x1.cbc75ec14193p-4, -0x1.c2ff9f2044918p-4, -0x1.ba57022d4597bp-4, -0x1.b1cd713506b61p-4, -0x1.a962d284345dep-4, -0x1.a11709837ed2dp-4, -0x1.98e9f6d351f9fp-4, -0x1.90db7867041dap-4, -0x1.88eb699fa60cp-4, -0x1.8119a36651bbp-4, -0x1.7965fc460638ep-4, -0x1.71d048850b481p-4, -0x1.6a585a3ddd87ep-4, -0x1.62fe01779fd17p-4, -0x1.5bc10c3e1440ep-4, -0x1.54a146b919917p-4, -0x1.4d9e7b43ae904p-4, -0x1.46b872827a963p-4, -0x1.3feef379db0a8p-4, -0x1.3941c3a375bf9p-4, -0x1.32b0a70350579p-4, -0x1.2c3b603c6ecdcp-4, -0x1.25e1b0a4f518p-4, -0x1.1fa35859d262dp-4, -0x1.19801651efc07p-4, -0x1.1377a870ea618p-4, -0x1.0d89cb9951f51p-4, -0x1.07b63bbe73cd3p-4, -0x1.01fcb3f5adafep-4, -0x1.f8b9dd0e9a24ep-5, -0x1.edad49fdf2b0ep-5, -0x1.e2d3207757188p-5, -0x1.d82ad0fe6aa69p-5, -0x1.cdb3cafaab11dp-5, -0x1.c36d7cd4beda2p-5, -0x1.b9575412e493cp-5, -0x1.af70bd748cfb8p-5, -0x1.a5b9250d19d76p-5, -0x1.9c2ff65dcd9b4p-5, -0x1.92d49c6ee6e42p-5, -0x1.89a681e7f1fdfp-5, -0x1.80a511274cef2p-5, -0x1.77cfb458e4ba3p-5, -0x1.6f25d58c300c8p-5, -0x1.66a6dec965f3ep-5, -0x1.5e523a25f90b4p-5, -0x1.562751d8571f2p-5, -0x1.4e25904af0ce7p-5, -0x1.464c602e8f7d1p-5, -0x1.3e9b2c8bf77b3p-5, -0x1.371160d4df2e8p-5, -0x1.2fae68f439d32p-5, -0x1.2871b15ddfaffp-5, -0x1.215aa71d8e1c5p-5, -0x1.1a68b7e54ba7fp-5, -0x1.139b521b2bd1cp-5, -0x1.0cf1e4e67e9eep-5, -0x1.066be03c65072p-5, -0x1.0008b4ebd5d5p-5, -0x1.f38fa952280c1p-6, -0x1.e75164312bef5p-6, -0x1.db5581b2d092fp-6, -0x1.cf9aeb1e0da61p-6, -0x1.c4208bd570b02p-6, -0x1.b8e55168cbe2fp-6, -0x1.ade82ba5f9e53p-6, -0x1.a3280ca8a4fcap-6, -0x1.98a3e8e92aee1p-6, -0x1.8e5ab74a97f2p-6, -0x1.844b7127c783dp-6, -0x1.7a75125fa9a4ep-6, -0x1.70d69960b503fp-6, -0x1.676f07338fe39p-6, -0x1.5e3d5f84ee57p-6, -0x1.5540a8aeb49cbp-6, -0x1.4c77ebc05a118p-6, -0x1.43e234869696fp-6, -0x1.3b7e919264462p-6, -0x1.334c143f5082bp-6, -0x1.2b49d0b92c9cep-6, -0x1.2376de011be63p-6, -0x1.1bd255f206428p-6, -0x1.145b5544790f3p-6, -0x1.0d10fb91f0bf3p-6, -0x1.05f26b579d785p-6, -0x1.fdfd93f1374e5p-7, -0x1.f06a7f7f59035p-7, -0x1.e329efc0de55dp-7, -0x1.d63a40f04b77p-7, -0x1.c999d51bf5d7dp-7, -0x1.bd471425cd457p-7, -0x1.b1406bc22ebbep-7, -0x1.a5844f75fc09dp-7, -0x1.9a113893e1c2p-7, -0x1.8ee5a638e4ce9p-7, -0x1.84001d483205cp-7, -0x1.795f2866420bp-7, -0x1.6f0157f34d44dp-7, -0x1.64e5420530448p-7, -0x1.5b098260a0426p-7, -0x1.516cba71d9e67p-7, -0x1.480d9144c1ec2p-7, -0x1.3eeab37c7e3dfp-7, -0x1.3602d34a91dp-7, -0x1.2d54a8657c7cdp-7, -0x1.24deeffeeb6b4p-7, -0x1.1ca06cb97c1a7p-7, -0x1.1497e69e17481p-7, -0x1.0cc42b10ebff5p-7, -0x1.05240cc60dc47p-7, -0x1.fb6cc76b7986p-8, -0x1.ecf41a20bbcfap-8, -0x1.dedbd66448e55p-8, -0x1.d121cb2ced6b6p-8, -0x1.c3c3d1961dff3p-8, -0x1.b6bfccc5bd78cp-8, -0x1.aa13a9d1712e3p-8, -0x1.9dbd5fa38a406p-8, -0x1.91baeedf8e5c8p-8, -0x1.860a61c665dadp-8, -0x1.7aa9cc1a37645p-8, -0x1.6f974b01fc1a3p-8, -0x1.64d104ecce36cp-8, -0x1.5a552974fdb2bp-8, -0x1.5021f142efb73p-8, -0x1.46359defcf9eep-8, -0x1.3c8e79e818d68p-8, -0x1.332ad84dfeaeap-8, -0x1.2a0914dbb8e01p-8, -0x1.212793c5baabap-8, -0x1.1884c19cd83e4p-8, -0x1.101f133063136p-8, -0x1.07f505703e75ep-8, -0x1.00051d4ef448ap-8, -0x1.f09bcf479a605p-9, -0x1.e19bf219e1cb6p-9, -0x1.d307dba3266a2p-9, -0x1.c4dcd388644bdp-9, -0x1.b7183049ce91cp-9, -0x1.a9b75707a7849p-9, -0x1.9cb7bb474d944p-9, -0x1.9016deb889a6p-9, -0x1.83d250fb220f6p-9, -0x1.77e7af64b991dp-9, -0x1.6c54a4c701165p-9, -0x1.6116e936437c4p-9, -0x1.562c41d049399p-9, -0x1.4b928083a540fp-9, -0x1.414783d7622b6p-9, -0x1.374936b322c97p-9, -0x1.2d959027ad1a8p-9, -0x1.242a9337ec0c1p-9, -0x1.1b064ea26a41dp-9, -0x1.1226dcab4796fp-9, -0x1.098a62e6ad495p-9, -0x1.012f1203c78fep-9, -0x1.f2264b3083981p-10, -0x1.e269c7d8970d1p-10, -0x1.d3253b8e53335p-10, -0x1.c4555c78a70fp-10, -0x1.b5f6f4f23e7bbp-10, -0x1.a806e32601dp-10, -0x1.9a8218acb7fd6p-10, -0x1.8d659a2bcfab7p-10, -0x1.80ae7ef55f139p-10, -0x1.7459f0a945379p-10, -0x1.68652ad78778bp-10, -0x1.5ccd7aa3e28dfp-10, -0x1.51903e6a8938p-10, -0x1.46aae56621967p-10, -0x1.3c1aef56f6fbdp-10, -0x1.31ddec2b6a633p-10, -0x1.27f17ba992e3cp-10, -0x1.1e534d1a23871p-10, -0x1.15011ef486be8p-10, -0x1.0bf8be8c32d94p-10, -0x1.033807bf42654p-10, -0x1.f579c94c73f0fp-11, -0x1.e50a9a8a284b6p-11, -0x1.d51e8e7b000dcp-11, -0x1.c5b1cb04b60ffp-11, -0x1.b6c09018c1fbap-11, -0x1.a847372027c6ep-11, -0x1.9a423269aed2dp-11, -0x1.8cae0c9a8362ap-11, -0x1.7f876821380edp-11, -0x1.72cafeab2c291p-11, -0x1.6675a09c4b95p-11, -0x1.5a843489296f3p-11, -0x1.4ef3b6b36f34cp-11, -0x1.43c138889bea9p-11, -0x1.38e9e0230e4f8p-11, -0x1.2e6ae7cd596d7p-11, -0x1.24419d87d6ec6p-11, -0x1.1a6b629079a16p-11, -0x1.10e5aaecd7ccp-11, -0x1.07adfcf6651f7p-11, -0x1.fd83e1d1bafc8p-12, -0x1.ec3e60e5a9db1p-12, -0x1.db86ec90d0ed6p-12, -0x1.cb591b7019318p-12, -0x1.bbb0a482e1735p-12, -0x1.ac895e5ce3edp-12, -0x1.9ddf3e5c2e7dbp-12, -0x1.8fae57e323ff3p-12, -0x1.81f2db9676fap-12, -0x1.74a9169f0f4bbp-12, -0x1.67cd71efd4738p-12, -0x1.5b5c718f4926fp-12, -0x1.4f52b3e4ee45ap-12, -0x1.43acf10a6103cp-12, -0x1.3867fa2024152p-12, -0x1.2d80b8a60908ep-12, -0x1.22f42dd72e20cp-12, -0x1.18bf72097dba1p-12, -0x1.0edfb410a8f94p-12, -0x1.055238a48d0f2p-12, -0x1.f828b395e95c1p-13, -0x1.e6470c8954d9bp-13, -0x1.d4fa81fb9fdd3p-13, -0x1.c43e4102d4175p-13, -0x1.b40d9ce02ac15p-13, -0x1.a4640df3b0e6dp-13, -0x1.953d30b6066ffp-13, -0x1.8694c4b826cdfp-13, -0x1.7866aba910f4dp-13, -0x1.6aaee8614cd57p-13, -0x1.5d699df41f80fp-13, -0x1.50930ec65cd89p-13, -0x1.44279baac2135p-13, -0x1.3823c303b8aa7p-13, -0x1.2c841fea6b2aep-13, -0x1.2145695b17315p-13, -0x1.1664716679729p-13, -0x1.0bde24684f4dbp-13, -0x1.01af8842bb77cp-13, -0x1.efab773d17e85p-14, -0x1.dc9bea6085731p-14, -0x1.ca2b06038860dp-14, -0x1.b853938136aa4p-14, -0x1.a710882170efdp-14, -0x1.965d03c73328ap-14, -0x1.86344fa77f385p-14, -0x1.7691dd08b6e74p-14, -0x1.6771440a42a7ap-14, -0x1.58ce427452e3cp-14, -0x1.4aa4ba8f90f6bp-14, -0x1.3cf0b204996fdp-14, -0x1.2fae50c312985p-14, -0x1.22d9dff038ad5p-14, -0x1.166fc8dcb6ea6p-14, -0x1.0a6c9401a36b6p-14, -0x1.fd99d008f6f95p-15, -0x1.e71b1183e5316p-15, -0x1.d156acbeea88ep-15, -0x1.bc4698c6697aap-15, -0x1.a7e501a5310a5p-15, -0x1.942c46ade4fc9p-15, -0x1.8116f8d09e136p-15, -0x1.6e9fd8fc7d7f8p-15, -0x1.5cc1d68cf308ap-15, -0x1.4b780dc268195p-15, -0x1.3abdc64614991p-15, -0x1.2a8e71b8b585bp-15, -0x1.1ae5aa4be867fp-15, -0x1.0bbf3165ea116p-15, -0x1.fa2ddc9eecb14p-16, -0x1.ddd1d9d724d79p-16, -0x1.c262b8f1f7a9cp-16, -0x1.a7d91cba120c9p-16, -0x1.8e2de9ef75e35p-16, -0x1.755a45018fa22p-16, -0x1.5d578fdace941p-16, -0x1.461f67bd5306bp-16, -0x1.2faba3303a05p-16, -0x1.19f64ffd2eb88p-16, -0x1.04f9b13dc40f5p-16, -0x1.e1607af0805dcp-17, -0x1.ba293996db3bep-17, -0x1.94434e5217a4bp-17, -0x1.6fa4c53d0d03ep-17, -0x1.4c44035725282p-17, -0x1.2a17c34c94541p-17, -0x1.09171258f8e34p-17, -0x1.d2729a872c50ep-18, -0x1.94ec3ae90d9c5p-18, -0x1.598aec4474b9p-18, -0x1.203f232d27ad5p-18, -0x1.d1f3ba2c1e6p-19, -0x1.6759366c5a674p-19, -0x1.0092bb32254c6p-19, -0x1.3b0a7966913f3p-20, -0x1.f0b4d05fdb153p-22, 0x1.dd26ba962e911p-23, 0x1.d938e7bb6a19fp-21, 0x1.96e8ca63df0a2p-20, 0x1.1d5bb8d156ad5p-19, 0x1.6c1a3edb6e521p-19, 0x1.b7c547877ff0cp-19, 0x1.0038b835eaa69p-18, 0x1.231955b94780bp-18, 0x1.448e22c7947d5p-18, 0x1.64a0769b46d32p-18, 0x1.83595c4dc4cc4p-18, 0x1.a0c195d8b2ac4p-18, 0x1.bce19efb33c4bp-18, 0x1.d7c1b003f5959p-18, 0x1.f169c080dd70fp-18, 0x1.04f0c4ea91566p-17, 0x1.109844db51733p-17, 0x1.1baf024999e17p-17, 0x1.263883ef579ffp-17, 0x1.303836253e233p-17, 0x1.39b16bf3a0cbap-17, 0x1.42a76018be7c7p-17, 0x1.4b1d3604d1e73p-17, 0x1.5315facc3dbd7p-17, 0x1.5a94a61029159p-17, 0x1.619c1addcfe56p-17, 0x1.682f2884eb01ap-17, 0x1.6e508b6566d54p-17, 0x1.7402edb4b814p-17, 0x1.7948e83b29579p-17, 0x1.7e2503093e7a7p-17, 0x1.8299b625a54dbp-17, 0x1.86a96a33c213ep-17, 0x1.8a56791349994p-17, 0x1.8da32e78f5e4p-17, 0x1.9091c880c5e31p-17, 0x1.93247839d0c2fp-17, 0x1.955d622c1057fp-17, 0x1.973e9ed83f714p-17, 0x1.98ca3b3211413p-17, 0x1.9a023914e8c3dp-17, 0x1.9ae88fb35833ap-17, 0x1.9b7f2c017cb8p-17, 0x1.9bc7f11a8e377p-17, 0x1.9bc4b8a19efa7p-17, 0x1.9b77531df2e27p-17, 0x1.9ae18852e2ad1p-17, 0x1.9a051793a1bc2p-17, 0x1.98e3b812ef08p-17, 0x1.977f192efabb5p-17, 0x1.95d8e2b981ea3p-17, 0x1.93f2b53c62aedp-17, 0x1.91ce2a3ac40ddp-17, 0x1.8f6cd46ef5a97p-17, 0x1.8cd040051e52ep-17, 0x1.89f9f2d2f48fbp-17, 0x1.86eb6c8c88482p-17, 0x1.83a626f64769bp-17, 0x1.802b961458df3p-17, 0x1.7c7d285774c81p-17, 0x1.789c46c745763p-17, 0x1.748a552a73c8cp-17, 0x1.7048b22c85ccfp-17, 0x1.6bd8b78191162p-17, 0x1.673bba07ec095p-17, 0x1.627309e7f3b95p-17, 0x1.5d7ff2b1eefa4p-17, 0x1.5863bb7a3594dp-17, 0x1.531fa6f3afc6dp-17, }}, 
      {{0x1.e682f988ede38p-1, 0x1.e662c1ac91508p-1, 0x1.e61e0c84e6651p-1, 0x1.e5a9bd40667d5p-1, 0x1.e4ff3c3574b71p-1, 0x1.e41cab321bc66p-1, 0x1.e303fd7673f6bp-1, 0x1.e1b9bd9f76a3ep-1, 0x1.e043e332ad30ep-1, 0x1.dea8e02952b2dp-1, 0x1.dceef0b8e9e92p-1, 0x1.db1ba8eb24b63p-1, 0x1.d933b57e58ac2p-1, 0x1.d73ac400b8efdp-1, 0x1.d53386d4eba4ap-1, 0x1.d31fcb82d074bp-1, 0x1.d1009bb00f776p-1, 0x1.ced662fe66889p-1, 0x1.cca115b115bdbp-1, 0x1.ca6055525c3a8p-1, 0x1.c813919f0c964p-1, 0x1.c5ba24c91c5f2p-1, 0x1.c3536ab52d363p-1, 0x1.c0ded33d62f71p-1, 0x1.be5befc7060fdp-1, 0x1.bbca7ca1307ap-1, 0x1.b92a66b7d5868p-1, 0x1.b67bce2da625ap-1, 0x1.b3bf066ce10d8p-1, 0x1.b0f494366af2ap-1, 0x1.ae1d2a2a20914p-1, 0x1.ab39a434ec818p-1, 0x1.a84b02422d14ap-1, 0x1.a552627f28046p-1, 0x1.a250fb715d209p-1, 0x1.9f481613bb486p-1, 0x1.9c390823566ddp-1, 0x1.99252eba3b4b7p-1, 0x1.960de94e666f8p-1, 0x1.92f49523adbabp-1, 0x1.8fda8939630f4p-1, 0x1.8cc112b79b632p-1, 0x1.89a971dc1f7c6p-1, 0x1.8694d764071ap-1, 0x1.8384626cb266p-1, 0x1.80791ec538236p-1, 0x1.7d7403a8326e9p-1, 0x1.7a75f2d529eb3p-1, 0x1.777fb8008073p-1, 0x1.74920890ad9e1p-1, 0x1.71ad839fbba19p-1, 0x1.6ed2b2384e0dap-1, 0x1.6c0207c5d84d2p-1, 0x1.693be2b03a7e7p-1, 0x1.66808d1b7dd97p-1, 0x1.63d03dc50a269p-1, 0x1.612b18f83f5fcp-1, 0x1.5e913194fee04p-1, 0x1.5c028a233a4ccp-1, 0x1.597f15ef36f95p-1, 0x1.5706ba2ab1083p-1, 0x1.54994f0f91667p-1, 0x1.5236a10154dddp-1, 0x1.4fde71aab73d8p-1, 0x1.4d90791590304p-1, 0x1.4b4c66bb2e913p-1, 0x1.4911e28bc767fp-1, 0x1.46e08debddf9bp-1, 0x1.44b804a6c3174p-1, 0x1.4297ddd58489p-1, 0x1.407facb9d6b9dp-1, 0x1.3e6f018cabaap-1, 0x1.3c656a4052a95p-1, 0x1.3a62733617d3ep-1, 0x1.3865a7e779173p-1, 0x1.366e93831b308p-1, 0x1.347cc17dbb1cdp-1, 0x1.328fbe176c3f5p-1, 0x1.30a716d57a8a8p-1, 0x1.2ec25af156ed7p-1, 0x1.2ce11bbcf8e4dp-1, 0x1.2b02ecfd26dfap-1, 0x1.2927653a1aad6p-1, 0x1.274e1e06fc39cp-1, 0x1.2576b440a7ca4p-1, 0x1.23a0c8443dbffp-1, 0x1.21cbfe1df068cp-1, 0x1.1ff7fdb08b769p-1, 0x1.1e2472d623b88p-1, 0x1.1c510d7a68e97p-1, 0x1.1a7d81af01d02p-1, 0x1.18a987ba622dcp-1, 0x1.16d4dc217fdc3p-1, 0x1.14ff3faccead2p-1, 0x1.13287768dd6ccp-1, 0x1.11504ca2f420bp-1, 0x1.0f768ce209eep-1, 0x1.0d9b09dc63ccep-1, 0x1.0bbd996a2d9ep-1, 0x1.09de1575582e2p-1, 0x1.07fc5be701a55p-1, 0x1.06184e92acfd7p-1, 0x1.0431d31f86131p-1, 0x1.0248d2efef397p-1, 0x1.005d3b078e338p-1, 0x1.fcddf7e01e326p-2, 0x1.f8fc1339947dfp-2, 0x1.f514b69afda32p-2, 0x1.f127d6e092954p-2, 0x1.ed356f05fe2afp-2, 0x1.e93d7fe825982p-2, 0x1.e54010064561p-2, 0x1.e13d2b42a611ep-2, 0x1.dd34e2a318ab2p-2, 0x1.d9274c117bd8fp-2, 0x1.d514821c6d96fp-2, 0x1.d0fca3b862dc5p-2, 0x1.ccdfd4013f43fp-2, 0x1.c8be39fc9e62ap-2, 0x1.c498005ce7ddbp-2, 0x1.c06d55454deb5p-2, 0x1.bc3e6a0ed0a1dp-2, 0x1.b80b730e61c8dp-2, 0x1.b3d4a75c365fep-2, 0x1.af9a409c603d3p-2, 0x1.ab5c7ac8ba526p-2, 0x1.a71b93fc368b8p-2, 0x1.a2d7cc3f9dff5p-2, 0x1.9e916557c4c1bp-2, 0x1.9a48a29540bd6p-2, 0x1.95fdc8a5a475fp-2, 0x1.91b11d66475f8p-2, 0x1.8d62e7b89d1cfp-2, 0x1.89136f581a542p-2, 0x1.84c2fcb1af01bp-2, 0x1.8071d8bcd024ap-2, 0x1.7c204cd610c18p-2, 0x1.77cea29b4d51cp-2, 0x1.737d23c95bfc8p-2, 0x1.6f2c1a1b47c0ap-2, 0x1.6adbcf2b0f17ap-2, 0x1.668c8c53dcd2ep-2, 0x1.623e9a95bc86cp-2, 0x1.5df2427abdc15p-2, 0x1.59a7cbfd82183p-2, 0x1.555f7e7133694p-2, 0x1.5119a06ad208dp-2, 0x1.4cd677abd91b2p-2, 0x1.4896490e319e4p-2, 0x1.4459587167d4fp-2, 0x1.401fe8a91eacp-2, 0x1.3bea3b6cb7dd5p-2, 0x1.37b8914823a02p-2, 0x1.338b298dd7042p-2, 0x1.2f624249db557p-2, 0x1.2b3e1835eb1acp-2, 0x1.271ee6ae9d1d4p-2, 0x1.2304e7a9885edp-2, 0x1.1ef053ac6411ep-2, 0x1.1ae161c512dd6p-2, 0x1.16d847829262dp-2, 0x1.12d538eeca2f9p-2, 0x1.0ed868892c785p-2, 0x1.0ae2074222e5cp-2, 0x1.06f244773f181p-2, 0x1.03094df026859p-2, 0x1.fe4e9fb861d21p-3, 0x1.f698e9a1646c2p-3, 0x1.eef1cb8fd2145p-3, 0x1.e75994410b74bp-3, 0x1.dfd08f3b931a5p-3, 0x1.d85704d06562bp-3, 0x1.d0ed3a1d5303ep-3, 0x1.c993711068be1p-3, 0x1.c249e86c391bdp-3, 0x1.bb10dbcd16556p-3, 0x1.b3e883af16825p-3, 0x1.acd11574ea05ep-3, 0x1.a5cac36f6f18ep-3, 0x1.9ed5bce5f29c2p-3, 0x1.97f22e1f1d51ap-3, 0x1.9120406a75be1p-3, 0x1.8a601a2a7a35ap-3, 0x1.83b1dedf3d17dp-3, 0x1.7d15af317a6e5p-3, 0x1.768ba8fe26ee2p-3, 0x1.7013e762625e8p-3, 0x1.69ae82c7cd654p-3, 0x1.635b90f133c3cp-3, 0x1.5d1b25078a24ep-3, 0x1.56ed4fa72b3f3p-3, 0x1.50d21eed5d184p-3, 0x1.4ac99e8606a8dp-3, 0x1.44d3d7b99a47ap-3, 0x1.3ef0d17b2a4d2p-3, 0x1.3920907698fb7p-3, 0x1.3363171ef4619p-3, 0x1.2db865bcd785dp-3, 0x1.28207a7cea58ep-3, 0x1.229b517e67d23p-3, 0x1.1d28e4e1a9522p-3, 0x1.17c92cd6b90efp-3, 0x1.127c1fabd9115p-3, 0x1.0d41b1dc0cd5p-3, 0x1.0819d61d8dccfp-3, 0x1.03047d70363aap-3, 0x1.fc032e57aa4ccp-4, 0x1.f222221ce181p-4, 0x1.e865ae94c5deap-4, 0x1.decda928d1576p-4, 0x1.d559e46301f94p-4, 0x1.cc0a300966a3bp-4, 0x1.c2de593952042p-4, 0x1.b9d62a8250005p-4, 0x1.b0f16c00ae0ep-4, 0x1.a82fe377b9a79p-4, 0x1.9f91546ba508bp-4, 0x1.9715803afd42ap-4, 0x1.8ebc2637c85b4p-4, 0x1.868503c038fccp-4, 0x1.7e6fd456f7e3ep-4, 0x1.767c51bb03edbp-4, 0x1.6eaa33ff226f1p-4, 0x1.66f931a0e08afp-4, 0x1.5f68ff9f23975p-4, 0x1.57f95190450c1p-4, 0x1.50a9d9b7bcap-4, 0x1.497a491b52982p-4, 0x1.426a4f97ddce2p-4, 0x1.3b799bf58a707p-4, 0x1.34a7dbfba97cp-4, 0x1.2df4bc8407b46p-4, 0x1.275fe98dcf449p-4, 0x1.20e90e4fede11p-4, 0x1.1a8fd54b06fa9p-4, 0x1.1453e85aeb803p-4, 0x1.0e34f0c79ca49p-4, 0x1.08329755d67b2p-4, 0x1.024c8457253e9p-4, 0x1.f904bf730c9dap-5, 0x1.eda7a22d2429bp-5, 0x1.e280ff846baeep-5, 0x1.d79025b1efbcap-5, 0x1.ccd4629b98191p-5, 0x1.c24d03eeef6ep-5, 0x1.b7f9573b0c3dfp-5, 0x1.add8aa099ea6bp-5, 0x1.a3ea49f727297p-5, 0x1.9a2d84ca5402bp-5, 0x1.90a1a88a8dddbp-5, 0x1.87460395b5ff1p-5, 0x1.7e19e4b513cb3p-5, 0x1.751c9b317c35cp-5, 0x1.6c4d76e6b158cp-5, 0x1.63abc856002dap-5, 0x1.5b36e0b81c0e6p-5, 0x1.52ee120e42e7cp-5, 0x1.4ad0af32a4206p-5, 0x1.42de0be8151d3p-5, 0x1.3b157ce915264p-5, 0x1.337657f620aafp-5, 0x1.2bfff3e35bfdep-5, 0x1.24b1a8a5990d1p-5, 0x1.1d8acf5eb5f9dp-5, 0x1.168ac26961953p-5, 0x1.0fb0dd6440d3dp-5, 0x1.08fc7d3c7be8bp-5, 0x1.026d0037ba69ep-5, 0x1.f8038bfb18138p-6, 0x1.eb745f408871bp-6, 0x1.df2b3f4a9ca41p-6, 0x1.d326f419f33a2p-6, 0x1.c76648b387acep-6, 0x1.bbe80b2e4d9f9p-6, 0x1.b0ab0cbfcecc7p-6, 0x1.a5ae21c7dbcd8p-6, 0x1.9af021db58318p-6, 0x1.906fe7ce1f0ecp-6, 0x1.862c51bc0c07fp-6, 0x1.7c24411136237p-6, 0x1.72569a9154027p-6, 0x1.68c2465e5ffcdp-6, 0x1.5f662ffe72fbdp-6, 0x1.56414660ebe41p-6, 0x1.4d527be2dded8p-6, 0x1.4498c652cfc4p-6, 0x1.3c131ef3d32cep-6, 0x1.33c0827ffa2p-6, 0x1.2b9ff12a2cd7dp-6, 0x1.23b06e9f69feep-6, 0x1.1bf1020773cb2p-6, 0x1.1460b604f1c51p-6, 0x1.0cfe98b508a25p-6, 0x1.05c9bbae74debp-6, 0x1.fd826800491dap-7, 0x1.efc8345eb5f5ap-7, 0x1.e263146abed1ap-7, 0x1.d55146f988ecfp-7, 0x1.c89111bc78156p-7, 0x1.bc20c13a1e319p-7, 0x1.affea8c665be6p-7, 0x1.a4292279fb7dp-7, 0x1.989e8f291a813p-7, 0x1.8d5d5659a41ap-7, 0x1.8263e638974a7p-7, 0x1.77b0b38f03f63p-7, 0x1.6d4239b659658p-7, 0x1.6316fa8c38ef1p-7, 0x1.592d7e65cb60ap-7, 0x1.4f845402921c8p-7, 0x1.461a107ed71b1p-7, 0x1.3ced4f459cb6p-7, 0x1.33fcb2023d5f9p-7, 0x1.2b46e091a01b4p-7, 0x1.22ca88f31a362p-7, 0x1.1a865f38fcb18p-7, 0x1.12791d78d782cp-7, 0x1.0aa183bb747bep-7, 0x1.02fe57ec91e3bp-7, 0x1.f71ccb94c1593p-8, 0x1.e8a0fda998b27p-8, 0x1.da86f479206c2p-8, 0x1.cccc69a44154fp-8, 0x1.bf6f21e8d60a1p-8, 0x1.b26cecfee1a8bp-8, 0x1.a5c3a5758a43dp-8, 0x1.9971308fd915fp-8, 0x1.8d737e214c40cp-8, 0x1.81c8886a40dd7p-8, 0x1.766e53f43e163p-8, 0x1.6b62ef6e23d22p-8, 0x1.60a473884b4ep-8, 0x1.563102d098825p-8, 0x1.4c06c98e88b83p-8, 0x1.4223fd9f3f26dp-8, 0x1.3886de519a014p-8, 0x1.2f2db44253e85p-8, 0x1.2616d1383325ep-8, 0x1.1d409000550fp-8, 0x1.14a9544a8e81ap-8, 0x1.0c4f8a85f0fa4p-8, 0x1.0431a7bd71b88p-8, 0x1.f89c52e973673p-9, 0x1.e9472b0a45c19p-9, 0x1.da60f3f5c985dp-9, 0x1.cbe6d9e4ecea9p-9, 0x1.bdd618ec4bd21p-9, 0x1.b02bfcb7d98f4p-9, 0x1.a2e5e04700e1cp-9, 0x1.96012da9471dcp-9, 0x1.897b5dbb793f6p-9, 0x1.7d51f7e55f8a1p-9, 0x1.718291d806e67p-9, 0x1.660acf4c9aed6p-9, 0x1.5ae861c3e0f5p-9, 0x1.50190846460a9p-9, 0x1.459a8f2499c0ap-9, 0x1.3b6acfb964ec7p-9, 0x1.3187b02aedc78p-9, 0x1.27ef232de3d2ep-9, 0x1.1e9f27c8bb5e9p-9, 0x1.1595c917b674cp-9, 0x1.0cd11e11a429bp-9, 0x1.044f494d50205p-9, 0x1.f81cf18f5327bp-10, 0x1.e819cb55484fep-10, 0x1.d891a82999ba6p-10, 0x1.c98125c3427b7p-10, 0x1.bae4f6e52fbbfp-10, 0x1.acb9e2f1dbcb3p-10, 0x1.9efcc5805dddcp-10, 0x1.91aa8df2eb174p-10, 0x1.84c03f0ee625dp-10, 0x1.783aee965ba85p-10, 0x1.6c17c4e300c37p-10, 0x1.6053fc82b0858p-10, 0x1.54ece1d565d77p-10, 0x1.49dfd2aca8fa8p-10, 0x1.3f2a3dec8715fp-10, 0x1.34c9a32df6904p-10, 0x1.2abb9262ba359p-10, 0x1.20fdab7abeac6p-10, 0x1.178d9e0ae6f52p-10, 0x1.0e6928f555774p-10, 0x1.058e1a131fefbp-10, 0x1.f9f49bbef7bd2p-11, 0x1.e9575e48a0a4ap-11, 0x1.d9406d5074752p-11, 0x1.c9abd5bbedfccp-11, 0x1.ba95bf2a6dd16p-11, 0x1.abfa6b59a407cp-11, 0x1.9dd6358cbec84p-11, 0x1.902591f6527efp-11, 0x1.82e50d24f8ba5p-11, 0x1.76114b729e832p-11, 0x1.69a708767a4cp-11, 0x1.5da31679a4becp-11, 0x1.52025dee4c119p-11, 0x1.46c1dce97b971p-11, 0x1.3bdea69f6f6cbp-11, 0x1.3155e2e26ea78p-11, 0x1.2724cda42336dp-11, 0x1.1d48b679679a1p-11, 0x1.13bf002084caap-11, 0x1.0a852009d71c2p-11, 0x1.01989de2d1869p-11, 0x1.f1ee2646b6959p-12, 0x1.e13c553af5538p-12, 0x1.d117401e9467p-12, 0x1.c17a7f6e58243p-12, 0x1.b261cbd46d2b7p-12, 0x1.a3c8fd59a273fp-12, 0x1.95ac0a9af1d19p-12, 0x1.8807080349e5fp-12, 0x1.7ad6270986204p-12, 0x1.6e15b5728c3c8p-12, 0x1.61c21c9771154p-12, 0x1.55d7e0afa709dp-12, 0x1.4a53a01f1516bp-12, 0x1.3f3212c8113a4p-12, 0x1.347009612c21p-12, 0x1.2a0a6cceb9d61p-12, 0x1.1ffe3d800d1b7p-12, 0x1.164892d055a73p-12, 0x1.0ce69a6b09da5p-12, 0x1.03d597b3d93dfp-12, 0x1.f625c66417b3p-13, 0x1.e537d3fe91f84p-13, 0x1.d4dc5a735a4bbp-13, 0x1.c50e82f25354cp-13, 0x1.b5c99c902d42dp-13, 0x1.a7091b3dd9921p-13, 0x1.98c896c633af7p-13, 0x1.8b03c9d1b5f28p-13, 0x1.7db690f028eaap-13, 0x1.70dce9a82f44dp-13, 0x1.6472f18c8a44ap-13, 0x1.5874e55703e3cp-13, 0x1.4cdf2008db79bp-13, 0x1.41ae1a10a2e6p-13, 0x1.36de6875649c8p-13, 0x1.2c6cbc0704299p-13, 0x1.2255e093b7db7p-13, 0x1.1896bc227cefdp-13, 0x1.0f2c4e327ff87p-13, 0x1.0613aeff419e4p-13, 0x1.fa941d9303564p-14, 0x1.e9996a496468cp-14, 0x1.d932009200d14p-14, 0x1.c958c8d37651ap-14, 0x1.ba08d6202b3ddp-14, 0x1.ab3d64f43c627p-14, 0x1.9cf1d9fbbe617p-14, 0x1.8f21c0e11ca92p-14, 0x1.81c8cb2362acfp-14, 0x1.74e2cef44b881p-14, 0x1.686bc61de9bcep-14, 0x1.5c5fccefbcea1p-14, 0x1.50bb21330b7cdp-14, 0x1.457a21265693bp-14, 0x1.3a994a7fbfe8p-14, 0x1.3015397639eb9p-14, 0x1.25eaa7d15bbe2p-14, 0x1.1c166bffaed1ap-14, 0x1.1295783355a2bp-14, 0x1.0964d984e1ba6p-14, 0x1.0081b71c371bp-14, 0x1.efd2a2beaf9b8p-15, 0x1.df32024de7cc4p-15, 0x1.cf1c6df13bd52p-15, 0x1.bf8cf48cfb9a8p-15, 0x1.b07ed168c807ap-15, 0x1.a1ed6ac4344ep-15, 0x1.93d45075a5aeep-15, 0x1.862f3a932e6d7p-15, 0x1.78fa08252763bp-15, 0x1.6c30bde24ef07p-15, 0x1.5fcf84f52b4f8p-15, 0x1.53d2a9ca7c1e9p-15, 0x1.48369ae87d161p-15, 0x1.3cf7e7cec5b89p-15, 0x1.32133fde8d67dp-15, 0x1.2785714b1b4eep-15, 0x1.1d4b681232ee3p-15, 0x1.13622cfc445ddp-15, 0x1.09c6e4a431ca3p-15, 0x1.0076ce8676a74p-15, 0x1.eede882efae03p-16, 0x1.dd5b6fc1f679bp-16, 0x1.cc5f694c37b85p-16, 0x1.bbe5b91caabbdp-16, 0x1.abe9d0ad67b89p-16, 0x1.9c674d12e6b76p-16, 0x1.8d59f5777e175p-16, 0x1.7ebdb9a2cbfa4p-16, 0x1.708eb08cc8517p-16, 0x1.62c916fc27a1dp-16, 0x1.55694e2fbe82ap-16, 0x1.486bda92a38d1p-16, 0x1.3bcd627ab71a7p-16, 0x1.2f8aacf15501bp-16, 0x1.23a0a085e6d64p-16, 0x1.180c422a05392p-16, 0x1.0ccab416f7f72p-16, 0x1.01d934bc443e2p-16, 0x1.ee6a3b6e1020ap-17, 0x1.d9b7c5a3e55bfp-17, 0x1.c596221b1281dp-17, 0x1.b2009b610d94ap-17, 0x1.9ef2aac037081p-17, 0x1.8c67f67f9e5c4p-17, 0x1.7a5c5031a35c3p-17, 0x1.68cbb310ff458p-17, 0x1.57b2426bd2678p-17, 0x1.470c481c4e51fp-17, 0x1.36d6330e8b96fp-17, 0x1.270c95d33b933p-17, 0x1.17ac253ec43cbp-17, 0x1.08b1b714723e4p-17, 0x1.f434817ac35acp-18, 0x1.d7c5ac158b77ep-18, 0x1.bc1150066ef87p-18, 0x1.a11207756ed1cp-18, 0x1.86c2a26a1cc8ep-18, 0x1.6d1e24a47f006p-18, 0x1.541fc38971f1dp-18, 0x1.3bc2e421f8224p-18, 0x1.2403192cdb587p-18, 0x1.0cdc2142141e5p-18, 0x1.ec93ca0ecedf9p-19, 0x1.c090eaeb62c8ep-19, 0x1.95a8145cb6408p-19, 0x1.6bd1ffc0e6d76p-19, 0x1.4307ad79e4ac9p-19, 0x1.1b4261f34eac3p-19, 0x1.e8f745897818bp-20, 0x1.9d5a67df09e67p-20, 0x1.53a22a6e5afc3p-20, 0x1.0bc2ff2719272p-20, 0x1.8b638aef9a932p-21, 0x1.02c78b287ddeep-21, 0x1.f6755f53f9d86p-23, -0x1.0bbd9d79bdaa9p-27, -0x1.05611f9db81f8p-22, -0x1.fbf3ea10c1e8cp-22, -0x1.761cff6f7f62bp-21, -0x1.eb2ae83bbc639p-21, -0x1.2e9a27d9796c9p-20, -0x1.6624a201d4bacp-20, -0x1.9c3ca3ec378ebp-20, -0x1.d0e9ac534e124p-20, -0x1.02197d2ebb96dp-19, -0x1.1b0fc8418c4ap-19, -0x1.335b1bab0f88fp-19, -0x1.4afec015e07adp-19, -0x1.61fde3d4c01c7p-19, -0x1.785b9c1b45be3p-19, -0x1.8e1ae6292b4bfp-19, -0x1.a33ea868c57c6p-19, -0x1.b7c9b3810704dp-19, -0x1.cbbec35b98984p-19, -0x1.df20801f6159dp-19, -0x1.f1f17f1ffcda2p-19, -0x1.021a21e13db75p-18, -0x1.0af5a02bea9d3p-18, -0x1.138c6b76bd46bp-18, -0x1.1bdfad0a2970bp-18, -0x1.23f086cf483f4p-18, -0x1.2bc013aa595ap-18, -0x1.334f67d102855p-18, -0x1.3a9f911c7bd75p-18, -0x1.41b19757cedd4p-18, -0x1.48867c8a4f514p-18, -0x1.4f1f3d3e76e1bp-18, -0x1.557cd0c544089p-18, -0x1.5ba0297640d74p-18, -0x1.618a34ec58ea7p-18, -0x1.673bdc3f9628p-18, -0x1.6cb6043bee5bep-18, -0x1.71f98d9539572p-18, -0x1.7707551871dcdp-18, -0x1.7be033da5be1bp-18, -0x1.8084ff63acf1bp-18, -0x1.84f689dad1d26p-18, -0x1.8935a22b6d0e5p-18, -0x1.8d43142ba1b9bp-18, -0x1.911fa8bf4b4aap-18, -0x1.94cc25f93387cp-18, -0x1.98494f3a5de53p-18, -0x1.9b97e54f81f72p-18, -0x1.9eb8a68cc5b1cp-18, -0x1.a1ac4ee7cd5e1p-18, -0x1.a473981035baep-18, -0x1.a70f39868a286p-18, -0x1.a97fe8b1c74c3p-18, -0x1.abc658f3805ffp-18, -0x1.ade33bbab2faep-18, -0x1.afd740955bc99p-18, -0x1.b1a31540dc0dep-18, -0x1.b34765b93f76ep-18, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
    }}, 
    {
      50, 0x1.650b0f27bb2ffp+2, 0x1.d41b41230468p+0, 0x1.1b6d91493a2ep+2, -0x1.27a70a679356ep-4, 
      {{
        {0x1.8666666666666p+1, 0x1.8cdfad4f2e109p+1, 0x1.f5a0ab644fe95p-3, -0x1.28e36355a14d5p-1, 0x1.0f6fa68f2eaa8p-1, 0x1.33741a63a0973p-4}, 
        {0x1.8cdfad4f2e109p+1, 0x1.9358f437f5babp+1, 0x1.bc5ced8e2fd07p-3, -0x1.0d23102739b77p-1, 0x1.15446e4d45fa7p-1, -0x1.805120fc80cd6p-2}, 
        {0x1.9358f437f5babp+1, 0x1.99d23b20bd64dp+1, 0x1.88a725f43069p-3, -0x1.e52177d73a76ap-2, 0x1.f0390f2da40a5p-2, -0x1.dd963cd61de56p-3}, 
        {0x1.99d23b20bd64dp+1, 0x1.a04b8209850efp+1, 0x1.5a0ec787d83fep-3, -0x1.b4c4e8b2150e4p-2, 0x1.cbfdbe02467f5p-2, -0x1.00c0e0fec118cp-2}, 
        {0x1.a04b8209850efp+1, 0x1.a6c4c8f24cb91p+1, 0x1.302a16ffcbd2ap-3, -0x1.8835d9bd43da4p-2, 0x1.a508d0ab25737p-2, -0x1.cf8bf58620bfcp-3}, 
        {0x1.a6c4c8f24cb91p+1, 0x1.ad3e0fdb14634p+1, 0x1.0a95e218d3247p-3, -0x1.5f66807edea05p-2, 0x1.81de2cc1416c6p-2, -0x1.b65b32bd38439p-3}, 
        {0x1.ad3e0fdb14634p+1, 0x1.b3b756c3dc0d6p+1, 0x1.d1ea73da4aed4p-4, -0x1.3a0d0be907ee4p-2, 0x1.609cc39c67eacp-2, -0x1.982fb7d54e6e6p-3}, 
        {0x1.b3b756c3dc0d6p+1, 0x1.ba309daca3b78p+1, 0x1.95e25a89ab935p-4, -0x1.17f31b50ada4p-2, 0x1.41a549d51b531p-2, -0x1.7d0699f455c1dp-3}, 
        {0x1.ba309daca3b78p+1, 0x1.c0a9e4956b61ap+1, 0x1.60710bdd8e231p-4, -0x1.f1c0bd472932dp-3, 0x1.24bd4e06d010cp-2, -0x1.62a870163fd08p-3}, 
        {0x1.c0a9e4956b61ap+1, 0x1.c7232b7e330bcp+1, 0x1.30ff0c635b5c3p-4, -0x1.b94083b30b9ap-3, 0x1.09d56a98ac4ebp-2, -0x1.49a861855840ap-3}, 
        {0x1.c7232b7e330bcp+1, 0x1.cd9c7266fab5fp+1, 0x1.06ff519aac881p-4, -0x1.8600a050b068p-3, 0x1.e1a620173dcd7p-3, -0x1.31d3a499c9782p-3}, 
        {0x1.cd9c7266fab5fp+1, 0x1.d415b94fc2601p+1, 0x1.c3dd87db00414p-5, -0x1.57a1255752f58p-3, 0x1.b33f12791152ap-3, -0x1.1b2e59141e203p-3}, 
        {0x1.d415b94fc2601p+1, 0x1.da8f00388a0a3p+1, 0x1.82a7883014e4ap-5, -0x1.2dc6c51e0881cp-3, 0x1.8847a1e09ab02p-3, -0x1.05ae9d3538198p-3}, 
        {0x1.da8f00388a0a3p+1, 0x1.e108472151b45p+1, 0x1.497b66fb2224ep-5, -0x1.081ac6cc17825p-3, 0x1.609343ad21e99p-3, -0x1.e2982727b9455p-4}, 
        {0x1.e108472151b45p+1, 0x1.e7818e0a195e7p+1, 0x1.1788fec6e3e26p-5, -0x1.cc95c500fa18ep-4, 0x1.3bf6b2278a96ep-3, -0x1.bc00757652f2ep-4}, 
        {0x1.e7818e0a195e7p+1, 0x1.edfad4f2e108ap+1, 0x1.d820bde5a93cap-6, -0x1.90124836af11ap-4, 0x1.1a47a44b197d9p-3, -0x1.9785d0fffc58dp-4}, 
        {0x1.edfad4f2e108ap+1, 0x1.f4741bdba8b2cp+1, 0x1.8cc1dccdae9bap-6, -0x1.5a179cd7f7cecp-4, 0x1.f6ba1c6c97f4ep-4, -0x1.751958488d1f6p-4}, 
        {0x1.f4741bdba8b2cp+1, 0x1.faed62c4705cep+1, 0x1.4bb128e6dae94p-6, -0x1.2a1a7911ee62p-4, 0x1.be1e0a10e5bd5p-4, -0x1.54ab4ed44f876p-4}, 
        {0x1.faed62c4705cep+1, 0x1.00b354d69c038p+2, 0x1.13c5cf85f94e9p-6, -0x1.ff2f0ef4e24c2p-5, 0x1.8a6d9efdd16e8p-4, -0x1.362d21cdc1551p-4}, 
        {0x1.00b354d69c038p+2, 0x1.03eff84affd89p+2, 0x1.c7e18da78793cp-7, -0x1.b4265709f2a4ap-5, 0x1.5b5d9ec0b85bap-4, -0x1.198ee140cb81dp-4}, 
        {0x1.03eff84affd89p+2, 0x1.072c9bbf63adap+2, 0x1.767687b05de25p-7, -0x1.72328b24a928ep-5, 0x1.30a537f245ee1p-4, -0x1.fd83fa272e705p-5}, 
        {0x1.072c9bbf63adap+2, 0x1.0a693f33c782bp+2, 0x1.318a79a79f087p-7, -0x1.3879ee0b7a53dp-5, 0x1.09fdced3a4ea8p-4, -0x1.cb6d5bb7b7bfdp-5}, 
        {0x1.0a693f33c782bp+2, 0x1.0da5e2a82b57cp+2, 0x1.ef0fde1194374p-8, -0x1.0630cd532a4e3p-5, 0x1.ce46591565eaep-5, -0x1.9cbbf9b8b9cedp-5}, 
        {0x1.0da5e2a82b57cp+2, 0x1.10e2861c8f2cep+2, 0x1.8e028ebcfd0f2p-8, -0x1.b5321129ff236p-6, 0x1.8fa6bef10aa78p-5, -0x1.71510de18110ap-5}, 
        {0x1.10e2861c8f2cep+2, 0x1.141f2990f301fp+2, 0x1.3d5c06ea119aap-8, -0x1.6a03345ddd2fbp-6, 0x1.579d97581336p-5, -0x1.490e47cb02755p-5}, 
        {0x1.141f2990f301fp+2, 0x1.175bcd0556d7p+2, 0x1.f5a0ab5ab1016p-9, -0x1.298c3e82defb8p-6, 0x1.25b043e13dd88p-5, -0x1.23d4fe5418b1cp-5}, 
        {0x1.175bcd0556d7p+2, 0x1.1a987079baac1p+2, 0x1.88a725eeb109p-9, -0x1.e5397f9a670e1p-7, 0x1.f2d19a25159b1p-6, -0x1.0186f8e3d94c1p-5}, 
        {0x1.1a987079baac1p+2, 0x1.1dd513ee1e812p+2, 0x1.302a16fa4c72bp-9, -0x1.88375e600fe4ap-7, 0x1.a4aba29c6d662p-6, -0x1.c40ac9f0fe365p-6}, 
        {0x1.1dd513ee1e812p+2, 0x1.2111b76282563p+2, 0x1.d1ea73c9cccd6p-10, -0x1.3a0cf50d68e2ap-7, 0x1.60153859e6d77p-6, -0x1.8a63e35d3ef7dp-6}, 
        {0x1.2111b76282563p+2, 0x1.244e5ad6e62b4p+2, 0x1.60710be04dd3p-10, -0x1.f1c05979e3246p-8, 0x1.243e25a669c85p-6, -0x1.55dc5b1f1658ep-6}, 
        {0x1.244e5ad6e62b4p+2, 0x1.278afe4b4a005p+2, 0x1.06ff519c0c601p-10, -0x1.86003cf604b94p-8, 0x1.e0bee389fa061p-7, -0x1.2636e3c10efd6p-6}, 
        {0x1.278afe4b4a005p+2, 0x1.2ac7a1bfadd56p+2, 0x1.82a78831bb1bp-11, -0x1.2dc6666298ebep-8, 0x1.8776e23970ed2p-7, -0x1.f66d8d951421bp-7}, 
        {0x1.2ac7a1bfadd56p+2, 0x1.2e04453411aa7p+2, 0x1.1788fec27dfcp-11, -0x1.cc95110412c7dp-9, 0x1.3b3b5ca01628bp-7, -0x1.a93dc4dc32131p-7}, 
        {0x1.2e04453411aa7p+2, 0x1.3140e8a8757f9p+2, 0x1.8cc1dcd793e2p-12, -0x1.5a16f32253a29p-9, 0x1.f56bea16f3ad5p-8, -0x1.646485a05e478p-7}, 
        {0x1.3140e8a8757f9p+2, 0x1.347d8c1cd954ap+2, 0x1.13c5cf84dfd5p-12, -0x1.ff2dcfc0ebb51p-10, 0x1.894599c14c593p-8, -0x1.2767d410d4e59p-7}, 
        {0x1.347d8c1cd954ap+2, 0x1.37ba2f913d29bp+2, 0x1.7676879c9355ap-13, -0x1.72315f97f3dcep-10, 0x1.2fa10f51bb3f7p-8, -0x1.e39b942512585p-8}, 
        {0x1.37ba2f913d29bp+2, 0x1.3af6d305a0fecp+2, 0x1.ef0fddf730d1p-14, -0x1.062fb5a45469dp-10, 0x1.cc811f195ed55p-9, -0x1.8638b2b916a4cp-8}, 
        {0x1.3af6d305a0fecp+2, 0x1.3e33767a04d3dp+2, 0x1.3d5c06e9a1039p-14, -0x1.6a012d070f2cap-11, 0x1.5616d233a772fp-9, -0x1.35b30e46ef6afp-8}, 
        {0x1.3e33767a04d3dp+2, 0x1.417019ee68a8ep+2, 0x1.88a725f77cd5cp-15, -0x1.e535c150671bbp-12, 0x1.f037ba67ca45bp-10, -0x1.e22d9fc7d7faep-9}, 
        {0x1.417019ee68a8ep+2, 0x1.44acbd62cc7dfp+2, 0x1.d1ea73ada70afp-16, -0x1.3a09865cadd1p-12, 0x1.5de5c7fe4ec1ep-10, -0x1.6edffa43a7bebp-9}, 
        {0x1.44acbd62cc7dfp+2, 0x1.47e960d73053p+2, 0x1.06ff51a4d82cdp-16, -0x1.85f9ff5f3c6d2p-13, 0x1.dd224f936a74bp-11, -0x1.0f952190cc89cp-9}, 
        {0x1.47e960d73053p+2, 0x1.4b26044b94281p+2, 0x1.1788fec1c9d73p-17, -0x1.cc89d5f20a9fep-14, 0x1.384e9b93c154fp-11, -0x1.84cac468b528bp-10}, 
        {0x1.4b26044b94281p+2, 0x1.4e62a7bff7fd2p+2, 0x1.13c5cf82c3667p-18, -0x1.ff19d779fbbbp-15, 0x1.84a6b3f1483d1p-12, -0x1.0ad16aea99e4cp-10}, 
        {0x1.4e62a7bff7fd2p+2, 0x1.519f4b345bd24p+2, 0x1.ef0fde1356936p-20, -0x1.061e3d45be908p-15, 0x1.c56e84f6c2fe4p-13, -0x1.5adcf7e80efa8p-11}, 
        {0x1.519f4b345bd24p+2, 0x1.54dbeea8bfa75p+2, 0x1.88a725f2fbe9ep-21, -0x1.e4f9d525760c3p-17, 0x1.e5d4fa1898d3dp-14, -0x1.a349a5e835a54p-12}, 
        {0x1.54dbeea8bfa75p+2, 0x1.5818921d237c6p+2, 0x1.06ff519e16cbp-22, -0x1.859648edbc0a1p-18, 0x1.ceb8bc04fae98p-15, -0x1.c962bef1c178cp-13}, 
        {0x1.5818921d237c6p+2, 0x1.5b55359187517p+2, 0x1.13c5cf83a9fcp-24, -0x1.fdd8737e3a099p-20, 0x1.7241afc2ba8c5p-16, -0x1.ab0866479164dp-14}, 
        {0x1.5b55359187517p+2, 0x1.5e91d905eb268p+2, 0x1.88a725f696403p-27, -0x1.e157c46c6801fp-22, 0x1.bc56e08fb6517p-18, -0x1.3002755e5be55p-15}, 
        {0x1.5e91d905eb268p+2, 0x1.61ce7c7a4efb9p+2, 0x1.13c5cf851aeb5p-30, -0x1.e692f67bfbb5ap-25, 0x1.2d4c6b267615ap-20, -0x1.01c2c0d14b454p-17}, 
        {0x1.61ce7c7a4efb9p+2, 0x1.650b0f27bb2ffp+2, 0x1.13c5cf8e541a4p-36, -0x1.1ae407410aac3p-29, -0x1.7280693ee86c9p-25, 0x1.9e6d7055c8b1fp-18}, 
      }}, 
      -0x1.29b4813d391bcp-13, 0x1.045af9805c507p-10
    }
  };
  // clang-format on
}
SkfData params_hyb_0_2_si_ag() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.8032ef2eb723ap-1, -0x1.87eead5d8ea37p-1, -0x1.88a94b75d36dfp-1, -0x1.8302bb411654dp-1, -0x1.77a82a1e5b5eap-1, -0x1.6749389df23e5p-1, -0x1.529ab7fc23078p-1, -0x1.3a4f26077130ep-1, -0x1.1f0edc5e96d8ap-1, -0x1.017999d5bef0ep-1, -0x1.c44c469e06adbp-2, -0x1.833bdf7c87291p-2, -0x1.40b8a2b661b67p-2, -0x1.fb416dea7cc79p-3, -0x1.7573eea0940d7p-3, -0x1.e2c168396b052p-4, -0x1.c0ba938267e46p-5, 0x1.a4ded2f0a777fp-8, 0x1.0b9badf4fdd25p-4, 0x1.f236139fa9a82p-4, 0x1.6687858fe2f79p-3, 0x1.cdad00f690171p-3, 0x1.171baf61bfa65p-2, 0x1.44013759a8633p-2, 0x1.6d7a0652f090fp-2, 0x1.938073f5c95e3p-2, 0x1.b616ad798a496p-2, 0x1.d5473c4261ea5p-2, 0x1.f12478b4991e8p-2, 0x1.04e36f6bb6b2ep-1, 0x1.0fa579843e7acp-1, 0x1.18e7c19e35156p-1, 0x1.20ba5dc3de5c3p-1, 0x1.272dff1ae5fdp-1, 0x1.2c54088f04d94p-1, 0x1.303e94d588f7bp-1, 0x1.33004c79a1111p-1, 0x1.34ac10549d2f8p-1, 0x1.355495a7ce72p-1, 0x1.350c1609ead8p-1, 0x1.33e4275de0783p-1, 0x1.31edb9dc79c8ep-1, 0x1.2f392a316ee44p-1, 0x1.2bd652f1e4719p-1, 0x1.27d4903245ad2p-1, 0x1.2342b2ce3687p-1, 0x1.1e2ee9caff6b5p-1, 0x1.18a6ac2516a38p-1, 0x1.12b6abb3b2a6fp-1, 0x1.0c6ad49dbbe01p-1, 0x1.05ce5762f8f56p-1, 0x1.fdd7702b7e41cp-2, 0x1.ef99b996fbf62p-2, 0x1.e0f62e4f5c849p-2, 0x1.d1fe503092c11p-2, 0x1.c2c27f887fc95p-2, 0x1.b351f9d7ad487p-2, 0x1.a3badca9a2e35p-2, 0x1.940a2e7225301p-2, 0x1.844bec6e7a3cep-2, 0x1.748b1b2882449p-2, 0x1.64d1d745232e3p-2, 0x1.5529650e5c742p-2, 0x1.459bf6a687083p-2, 0x1.362b5c22efa3dp-2, 0x1.26e307242f7e9p-2, 0x1.17c9a849c00f9p-2, 0x1.08e53552698e1p-2, 0x1.f475d64ead68fp-3, 0x1.d79ea95941909p-3, 0x1.bb4cacba1b8aap-3, 0x1.9f867ba175a15p-3, 0x1.8451a763a3a2ep-3, 0x1.69b2dcdf107b9p-3, 0x1.4fae084149dc1p-3, 0x1.364674a396ac4p-3, 0x1.1d7ee5a6e6388p-3, 0x1.0559a9f1762e7p-3, 0x1.dbb14c7a16dd9p-4, 0x1.adfab300bb17dp-4, 0x1.8191b724031f8p-4, 0x1.5677b09287e89p-4, 0x1.2cad12f28be88p-4, 0x1.04316435c9ddap-4, 0x1.ba0672516e2b6p-5, 0x1.6e40757576c3dp-5, 0x1.250a69952fd65p-5, 0x1.bcb8b64dc96bcp-6, 0x1.345a0dfd6fcc6p-6, 0x1.61c872eb02316p-7, 0x1.92081a41f5b38p-9, -0x1.1e9b8c782ed1fp-8, -0x1.79d6f1162ee21p-7, -0x1.2da51ab8f02ecp-6, -0x1.99ec4e660de39p-6, -0x1.00eccfe51b3a8p-5, -0x1.32c2cc12ccce2p-5, -0x1.628461cb68162p-5, -0x1.903de0c1a488fp-5, -0x1.bbfbacd55fedp-5, -0x1.e5ca4835ba005p-5, -0x1.06db2d6b67f25p-4, -0x1.19e65ace9f1fdp-4, -0x1.2c0d28308836bp-4, -0x1.3d562155b3609p-4, -0x1.4dc7dbe073c53p-4, -0x1.5d68ef8a3d5d1p-4, -0x1.6c3fed4a54831p-4, -0x1.7a5356322ccep-4, -0x1.87a992bc62c1ep-4, -0x1.9448eb2ada768p-4, -0x1.a037816362af2p-4, -0x1.ab7b4c88eb031p-4, -0x1.b61a1660f657fp-4, -0x1.c0197a6dea3bfp-4, -0x1.c97ee6890d39bp-4, -0x1.d24f9cb29c27fp-4, -0x1.da90b5c21c888p-4, -0x1.e247249c28359p-4, -0x1.e977b9947fb39p-4, -0x1.f02725aafb745p-4, -0x1.f659fd5eb8f83p-4, -0x1.fc14bae4a0c98p-4, -0x1.00addfd16d826p-3, -0x1.0319aa742b662p-3, -0x1.054fd5f5b7db9p-3, -0x1.07526e95eb7f6p-3, -0x1.092373af8a35ap-3, -0x1.0ac4d70ab2944p-3, -0x1.0c387c228ed54p-3, -0x1.0d8037737457dp-3, -0x1.0e9dcde30db11p-3, -0x1.0f92f44fd7ddbp-3, -0x1.10614f507d49cp-3, -0x1.110a732737e39p-3, -0x1.118fe3e96b7c9p-3, -0x1.11f315d85aa88p-3, -0x1.12356de53a0afp-3, -0x1.12584258f425p-3, -0x1.125cdb96cbae9p-3, -0x1.124474f040369p-3, -0x1.12103d80d4962p-3, -0x1.11c15908a5ecap-3, -0x1.1158e0bde885fp-3, -0x1.10d7e40eaba93p-3, -0x1.103f694dd2e35p-3, -0x1.0f906e480673dp-3, -0x1.0eca1b69a1caap-3, -0x1.0df1e52cf51edp-3, -0x1.0d05e054ab2d1p-3, -0x1.0c06e8bf04292p-3, -0x1.0af5d4560d96fp-3, -0x1.09d37335c351p-3, -0x1.08a08fbcd86c7p-3, -0x1.075dee8d0e4e1p-3, -0x1.060c4e80163fbp-3, -0x1.04ac6895cb385p-3, -0x1.033eefe0068d7p-3, -0x1.01c4916fd016ep-3, -0x1.003df44706b14p-3, -0x1.fd5772a1e892ep-4, -0x1.fa1cf6c716cdp-4, -0x1.f6cd9e951e822p-4, -0x1.f36a87ba469f5p-4, -0x1.eff4c43bccb11p-4, -0x1.ec6d5aca1a5a5p-4, -0x1.e8d54727495a2p-4, -0x1.e52d7a9d6b37bp-4, -0x1.e176dc816b56p-4, -0x1.ddb24abf2661fp-4, -0x1.d9e09a6af30ddp-4, -0x1.d602985504077p-4, -0x1.d219099af7bcap-4, -0x1.ce24ac349fb5bp-4, -0x1.ca2637790e92dp-4, -0x1.c61e5c99deab8p-4, -0x1.c20dc713008b5p-4, -0x1.bdf51d0e15b9fp-4, -0x1.b9d4ffb8d5a0ep-4, -0x1.b5ae0b8e871bfp-4, -0x1.b180d8951ef71p-4, -0x1.ad4dfa8ecf6a1p-4, -0x1.a916012131e24p-4, -0x1.a4d977f363e7ap-4, -0x1.a098e6c486cb9p-4, -0x1.9c54d17c2df37p-4, -0x1.980db836178b8p-4, -0x1.93c4174ab0331p-4, -0x1.8f786755a4455p-4, -0x1.8b2b1d3b98662p-4, -0x1.86dcaa300ff91p-4, -0x1.828d7bbc5254ap-4, -0x1.7e3dfbc7ee6e1p-4, -0x1.79ee90a35df1ep-4, -0x1.759f9d1513c78p-4, -0x1.7151806922291p-4, -0x1.6d0496837fdf6p-4, -0x1.68b937f4d37a4p-4, -0x1.646fba1191808p-4, -0x1.60286f0b24958p-4, -0x1.5be3a60ac6638p-4, -0x1.57a1ab4da09e4p-4, -0x1.5362c841caa08p-4, -0x1.4f2743a3ad3f6p-4, -0x1.4aef619b61b0fp-4, -0x1.46bb63d9992c5p-4, -0x1.428b89b3ade9cp-4, -0x1.3e60103e7eb09p-4, -0x1.3a393267c9201p-4, -0x1.3617290dc46d1p-4, -0x1.31fa2b14caf76p-4, -0x1.2de26d7af5de5p-4, -0x1.29d0236999823p-4, -0x1.25c37e44a6d36p-4, -0x1.21bcadb7fdbdbp-4, -0x1.1dbbdfc2d0e36p-4, -0x1.19c140c1415a3p-4, -0x1.15ccfb7461642p-4, -0x1.11df3908d85e2p-4, -0x1.0df8211c5ec86p-4, -0x1.0a17d9c250afp-4, -0x1.063e878790536p-4, -0x1.026c4d75f0aep-4, -0x1.fd429a2eb811cp-5, -0x1.f5bb4cf1ca456p-5, -0x1.ee42f05bd42f2p-5, -0x1.e6d9bea6d2d89p-5, -0x1.df7fef274c886p-5, -0x1.d835b6545b0b5p-5, -0x1.d0fb45d091308p-5, -0x1.c9d0cc73cf862p-5, -0x1.c2b6765606efp-5, -0x1.bbac6cdae96b7p-5, -0x1.b4b2d6be793e7p-5, -0x1.adc9d8226425ep-5, -0x1.a6f1929c125cap-5, -0x1.a02a25434fb86p-5, -0x1.9973acc16e85p-5, -0x1.92ce4360c8aa2p-5, -0x1.8c3a011c79d14p-5, -0x1.85b6fbb03d6eep-5, -0x1.7f4546a84c178p-5, -0x1.78e4f37123041p-5, -0x1.7296116719fa9p-5, -0x1.6c58ade5b65c7p-5, -0x1.662cd456a699cp-5, -0x1.60128e405a6b5p-5, -0x1.5a09e3542697ap-5, -0x1.5412d97bf54fcp-5, -0x1.4e2d74e771334p-5, -0x1.4859b818b311fp-5, -0x1.4297a3f06b098p-5, -0x1.3ce737b98c061p-5, -0x1.3748713475c99p-5, -0x1.31bb4ca1af696p-5, -0x1.2c3fc4cc2bee6p-5, -0x1.26d5d3132b626p-5, -0x1.217d6f73befa6p-5, -0x1.1c369091f7c1ep-5, -0x1.17012bc1cccafp-5, -0x1.11dd350fc47fcp-5, -0x1.0cca9f4966b71p-5, -0x1.07c95c058435fp-5, -0x1.02d95bac5f3b3p-5, -0x1.fbf51aff6adc5p-6, -0x1.f259bf45782abp-6, -0x1.e8e07e4414b57p-6, -0x1.df892ff6ff638p-6, -0x1.d653aa4c4b546p-6, -0x1.cd3fc1341c7c4p-6, -0x1.c44d46b06879cp-6, -0x1.bb7c0ae4b8d2bp-6, -0x1.b2cbdc25f16afp-6, -0x1.aa3c870a11596p-6, -0x1.a1cdd677f8aa1p-6, -0x1.997f93b721761p-6, -0x1.9151867f54c1cp-6, -0x1.894375084a3fap-6, -0x1.8155241937e34p-6, -0x1.79865718427dfp-6, -0x1.71d6d019d7d72p-6, -0x1.6a464fefd99eap-6, -0x1.62d49638aad15p-6, -0x1.5b81616e04d1dp-6, -0x1.544c6ef3a3b18p-6, -0x1.4d357b25b810bp-6, -0x1.463c4167221c5p-6, -0x1.3f607c2f72234p-6, -0x1.38a1e518ab3f5p-6, -0x1.320034ecc107bp-6, -0x1.2b7b23b2ddac6p-6, -0x1.251268bc5d7a4p-6, -0x1.1ec5bab188397p-6, -0x1.1894cf9e091a9p-6, -0x1.127f5cfd1f914p-6, -0x1.0c8517c58d551p-6, -0x1.06a5b4753d4fdp-6, -0x1.00e0e71ca91a8p-6, -0x1.f66cc6d3ebff7p-7, -0x1.eb4bb967adc24p-7, -0x1.e05e0c083e9bep-7, -0x1.d5a32444423b3p-7, -0x1.cb1a6739804f2p-7, -0x1.c0c339a88eb54p-7, -0x1.b69d000801365p-7, -0x1.aca71e9714f85p-7, -0x1.a2e0f96fe720bp-7, -0x1.9949f49928938p-7, -0x1.8fe1741763ec2p-7, -0x1.86a6dbfdc0935p-7, -0x1.7d99907e5f187p-7, -0x1.74b8f5fa340f9p-7, -0x1.6c0471107c337p-7, -0x1.637b66adbd1edp-7, -0x1.5b1e20abfa86bp-7, -0x1.52ea3fa241d3ep-7, -0x1.4ae00a6d2cbddp-7, -0x1.42fee7bca1632p-7, -0x1.3b463ed123b9dp-7, -0x1.33b5778878d4ep-7, -0x1.2c4bfa69e48dfp-7, -0x1.250930b201915p-7, -0x1.1dec845e360e3p-7, -0x1.16f56037c25dfp-7, -0x1.10232fde6c4ecp-7, -0x1.09755fd2c6ee5p-7, -0x1.02eb5d801a7ccp-7, -0x1.f9092e8bcafc5p-8, -0x1.ec80f9020774ep-8, -0x1.e03cfb28dcfebp-8, -0x1.d43c17e347099p-8, -0x1.c87d344153718p-8, -0x1.bcff378f77aap-8, -0x1.b1c10b652b92dp-8, -0x1.a6c19bb2ce782p-8, -0x1.9bffd6cedb95fp-8, -0x1.917aad826b974p-8, -0x1.873113150989ep-8, -0x1.7d21fd57dd3f5p-8, -0x1.734c64b029b27p-8, -0x1.69af44212b443p-8, -0x1.604999554d5e5p-8, -0x1.571a64a6c4fddp-8, -0x1.4e20a9278b5cfp-8, -0x1.455b6ca8bf35dp-8, -0x1.3cc9b7c1708e7p-8, -0x1.346a95d4d79e1p-8, -0x1.2c3d1517fb057p-8, -0x1.24404696c9917p-8, -0x1.1c733e38aa5abp-8, -0x1.14d512c484605p-8, -0x1.0d64dde442bp-8, -0x1.0621bc27dabcdp-8, -0x1.fe159a0fa396p-9, -0x1.f03e65ce9b185p-9, -0x1.e2bc262b50a43p-9, -0x1.d58d2b9f2b951p-9, -0x1.c8afcc7fb86a4p-9, -0x1.bc2264ff29214p-9, -0x1.afe3572c21faep-9, -0x1.a3f10af0a4833p-9, -0x1.9849ee1041626p-9, -0x1.8cec742586466p-9, -0x1.81d7169ebb981p-9, -0x1.770854b9e8fadp-9, -0x1.6c7eb38039eafp-9, -0x1.6238bdc0b7c9ap-9, -0x1.5835040a6d9ap-9, -0x1.4e721ca5f17e5p-9, -0x1.44eea38e63b99p-9, -0x1.3ba93a69e4e41p-9, -0x1.32a0888185956p-9, -0x1.29d33ab8c3368p-9, -0x1.214003848b3adp-9, -0x1.18e59ae1cee2bp-9, -0x1.10c2be4bb2394p-9, -0x1.08d630b1552d4p-9, -0x1.011eba6b44482p-9, -0x1.f33652611d843p-10, -0x1.e494a017182c4p-10, -0x1.d6560e9cab2c8p-10, -0x1.c878590df7c3cp-10, -0x1.baf944e6e89adp-10, -0x1.add6a1ea9e3d3p-10, -0x1.a10e4a0a65599p-10, -0x1.949e214c3a2acp-10, -0x1.888415b0fe30ap-10, -0x1.7cbe1f1a3e72bp-10, -0x1.714a3f2fb6345p-10, -0x1.662681447e581p-10, -0x1.5b50fa3bf9358p-10, -0x1.50c7c86e8081ep-10, -0x1.4689138dcb2a6p-10, -0x1.3c930c893287cp-10, -0x1.32e3ed71b2e37p-10, -0x1.2979f95dc6d59p-10, -0x1.20537c4d17dap-10, -0x1.176ecb0c065d2p-10, -0x1.0eca43171482bp-10, -0x1.06644a7e2623bp-10, -0x1.fc769f8f565ccp-11, -0x1.ec9b93a75ca81p-11, -0x1.dd346f7d9775fp-11, -0x1.ce3e418a0e879p-11, -0x1.bfb6284938542p-11, -0x1.b19952015d2a7p-11, -0x1.a3e4fc87fd401p-11, -0x1.96967506e0824p-11, -0x1.89ab17c151a2ap-11, -0x1.7d204fd90e615p-11, -0x1.70f397134cc88p-11, -0x1.6522759dad0a3p-11, -0x1.59aa81d323efap-11, -0x1.4e896000ec43cp-11, -0x1.43bcc22b883adp-11, -0x1.394267d3bcfecp-11, -0x1.2f181dbbbcd89p-11, -0x1.253bbdac611cdp-11, -0x1.1bab2e3a8c66ep-11, -0x1.1264628ccde7ep-11, -0x1.09655a2111183p-11, -0x1.00ac2092b9b84p-11, -0x1.f06d9ac1e9073p-12, -0x1.e007076abd9c1p-12, -0x1.d020e4561475ep-12, -0x1.c0b7a52bd493fp-12, -0x1.b1c7d3956482p-12, -0x1.a34e0ece58046p-12, -0x1.95470b362f224p-12, -0x1.87af91e330ea2p-12, -0x1.7a8480366b656p-12, -0x1.6dc2c7712296ep-12, -0x1.61676c4b44af5p-12, -0x1.556f868b8db32p-12, -0x1.49d840a0fb186p-12, -0x1.3e9ed73dc81bap-12, -0x1.33c098f3f0fe1p-12, -0x1.293ae5d35bcd8p-12, -0x1.1f0b2f0990a4p-12, -0x1.152ef68321cd3p-12, -0x1.0ba3ce8ebd0fp-12, -0x1.02675981f23f2p-12, -0x1.f2ee92bf330efp-13, -0x1.e1a2beffd4eb8p-13, -0x1.d0e6d874b4b84p-13, -0x1.c0b69d21c6dcbp-13, -0x1.b10de7ba5b837p-13, -0x1.a1e8aefe3bc62p-13, -0x1.9343051a029bep-13, -0x1.8519170a7c66ep-13, -0x1.77672c02eae5dp-13, -0x1.6a29a4d601672p-13, -0x1.5d5cfb61cbae6p-13, -0x1.50fdc1fddab7cp-13, -0x1.4508a2ec627b3p-13, -0x1.397a5fcd68692p-13, -0x1.2e4fd1143c457p-13, -0x1.2385e57f9d8e3p-13, -0x1.1919a19317a26p-13, -0x1.0f081f13c4e78p-13, -0x1.054e8c85bedf3p-13, -0x1.f7d45958f913ap-14, -0x1.e5b0ac190c50ep-14, -0x1.d42ce4df566a8p-14, -0x1.c343fcd561b8bp-14, -0x1.b2f111ca6a6ap-14, -0x1.a32f654687a19p-14, -0x1.93fa5ba2c5601p-14, -0x1.854d7b24ebad9p-14, -0x1.77246b1eb8d37p-14, -0x1.697af3130fca1p-14, -0x1.5c4cf9ddfb5dbp-14, -0x1.4f9684e2a1901p-14, -0x1.4353b73cbec25p-14, -0x1.3780d0f798683p-14, -0x1.2c1a2e4a1635ap-14, -0x1.211c46d67969dp-14, -0x1.1683acf068dcdp-14, -0x1.0c4d0ce73927ap-14, -0x1.02752c5554116p-14, -0x1.f1f1d2e8c666p-15, -0x1.dfaa74ecc1e65p-15, -0x1.ce0e59c67d354p-15, -0x1.bd17c9f63a54ep-15, -0x1.acc13a39aa12ap-15, -0x1.9d054a617fd91p-15, -0x1.8ddec42ec42b3p-15, -0x1.7f489a37cc921p-15, -0x1.713de6d45d0bap-15, -0x1.63b9eb104b16p-15, -0x1.56b80da44f1d3p-15, -0x1.4a33d9f59b9dcp-15, -0x1.3e28ff18ddfa1p-15, -0x1.32934edcc95f5p-15, -0x1.276ebcd7ed1a6p-15, -0x1.1cb75d7bc678fp-15, -0x1.1269652c3667ep-15, -0x1.0881275ad6f14p-15, -0x1.fdf62b4e27e1ep-16, -0x1.eba77e039bd2p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.3ed1db5c7a4aep-9, -0x1.ee0e7df4334b2p-5, -0x1.e3476bd2246f1p-4, -0x1.5cbc864256e45p-3, -0x1.bc6ebbefe75e4p-3, -0x1.084de9c369173p-2, -0x1.2cada7b3bab97p-2, -0x1.4b76d257f2107p-2, -0x1.64da5c3df1e0bp-2, -0x1.7916ba5c12c6ep-2, -0x1.8873e54a1d58fp-2, -0x1.934043501dd9ap-2, -0x1.99ceabe1045e7p-2, -0x1.9c74764ad8d29p-2, -0x1.9b87913d077a4p-2, -0x1.975d211f21294p-2, -0x1.90488b9b73967p-2, -0x1.869aa32440d79p-2, -0x1.7aa0f42f98a67p-2, -0x1.6ca54ba07f5a4p-2, -0x1.5ced686a71573p-2, -0x1.4bbb0c6bd2fep-2, -0x1.394aaaf7a5948p-2, -0x1.25d50e6f7eba9p-2, -0x1.118ea43275b3dp-2, -0x1.f94efe5ee3e5cp-3, -0x1.ce96bd94b5e3ap-3, -0x1.a343b7d10be3ep-3, -0x1.779d5f7d8cd9ep-3, -0x1.4be3fbcb3367ep-3, -0x1.2051225789d2ap-3, -0x1.ea30230cdaa79p-4, -0x1.94cbfaa11945bp-4, -0x1.40c4c9741b7bap-4, -0x1.dcbde900b47d8p-5, -0x1.3baa676bccb09p-5, -0x1.3d65fb9f0c607p-6, -0x1.8af2b574e4688p-11, 0x1.1b4ae25b21acdp-6, 0x1.1c8816ed9b7c1p-5, 0x1.a64f8a823d1c5p-5, 0x1.156d0fef9e522p-4, 0x1.550803a3e8ab2p-4, 0x1.91f11e2c87afbp-4, 0x1.cc24c025885c5p-4, 0x1.01d15a151a758p-3, 0x1.1c36e1bedf1f4p-3, 0x1.3545ac8eb10f4p-3, 0x1.4d01986645b73p-3, 0x1.636f86f9e3dabp-3, 0x1.78953bae4483cp-3, 0x1.8c793b75edb9dp-3, 0x1.9f22aeb2462e7p-3, 0x1.b099452439e23p-3, 0x1.c0e51c2d28f65p-3, 0x1.d00ea7eeb32b9p-3, 0x1.de1e9fbada0a3p-3, 0x1.eb1deda4b39bp-3, 0x1.f715a06277198p-3, 0x1.01076f4e6cdaap-2, 0x1.06096d9b54abap-2, 0x1.0a95654590c06p-2, 0x1.0eafec5d5364ap-2, 0x1.125d56d95928p-2, 0x1.15a296f9828b1p-2, 0x1.1883efa5c97dbp-2, 0x1.1b05bd6b8a0a1p-2, 0x1.1d2c46f7f673bp-2, 0x1.1efbbbc14e502p-2, 0x1.207832ff97583p-2, 0x1.21a5aad3cf60fp-2, 0x1.2288078745fbdp-2, 0x1.232312d692ba8p-2, 0x1.237a7b44387f4p-2, 0x1.2391d3762e0a7p-2, 0x1.236c91a64011cp-2, 0x1.230e0f2ec5f5dp-2, 0x1.2279883ba0768p-2, 0x1.21b21ba42b95dp-2, 0x1.20bacaef5949ap-2, 0x1.1f967a804acf9p-2, 0x1.1e47f1e7b5bddp-2, 0x1.1cd1dc54ce2c3p-2, 0x1.1b36c91f9289ap-2, 0x1.19792c6632f41p-2, 0x1.179b5fb7e4c13p-2, 0x1.159fa2c858edcp-2, 0x1.13881c27f8537p-2, 0x1.1156d9fdee8bap-2, 0x1.0f0dd2c1eb5f8p-2, 0x1.0caee5f473a99p-2, 0x1.0a3bdcd539c34p-2, 0x1.07b66b1747d49p-2, 0x1.05202f92c6d0cp-2, 0x1.027ab4f4264e2p-2, 0x1.ff8ee4d0f27d2p-3, 0x1.fa0f988e3787fp-3, 0x1.f47a2971bf663p-3, 0x1.eed118ba1a591p-3, 0x1.e916c5d8df2f4p-3, 0x1.e34d6fb50f405p-3, 0x1.dd7735e9e1745p-3, 0x1.d7961a0208936p-3, 0x1.d1ac00afa37bcp-3, 0x1.cbbab300dba38p-3, 0x1.c5c3df90eaa6fp-3, 0x1.bfc91bb4b4a9fp-3, 0x1.b9cbe4a1eec7fp-3, 0x1.b3cda08f68f06p-3, 0x1.adcf9fcd3be18p-3, 0x1.a7d31dd3a21fp-3, 0x1.a1d94247c24a8p-3, 0x1.9be321f5d637p-3, 0x1.95f1bfc07f373p-3, 0x1.90060d853edb3p-3, 0x1.8a20ecf6358a5p-3, 0x1.844330695bbfep-3, 0x1.7e6d9b9d6b927p-3, 0x1.78a0e474e08f8p-3, 0x1.72ddb3a77a1b4p-3, 0x1.6d24a56af90ep-3, 0x1.67764a13d3e88p-3, 0x1.61d326aebca73p-3, 0x1.5c3bb593c7c9p-3, 0x1.56b066f3d745p-3, 0x1.5131a160bbc84p-3, 0x1.4bbfc2504e33dp-3, 0x1.465b1e9aae37cp-3, 0x1.410402f3a4485p-3, 0x1.3bbab45f4697ep-3, 0x1.367f70a1f0eb2p-3, 0x1.31526eab9ffd5p-3, 0x1.2c33defed9cd1p-3, 0x1.2723ec1313dc6p-3, 0x1.2222bab2a3b57p-3, 0x1.1d306a543006cp-3, 0x1.184d156f8a96cp-3, 0x1.1378d1ce0121cp-3, 0x1.0eb3b0d623604p-3, 0x1.09fdbfd325ca3p-3, 0x1.05570837ffe09p-3, 0x1.00bf8fde8a99dp-3, 0x1.f86eb2858986bp-4, 0x1.ef7cc775092f9p-4, 0x1.e6a95753850a1p-4, 0x1.ddf4556778eedp-4, 0x1.d55dafd24b1d7p-4, 0x1.cce5632be4308p-4, 0x1.c48b32d1fac3cp-4, 0x1.bc4f0bea5205ep-4, 0x1.b430cb63ce92ap-4, 0x1.ac304a9081624p-4, 0x1.a44d5f65d8a58p-4, 0x1.9c87dcb98ec38p-4, 0x1.94df927b97823p-4, 0x1.8d544ded2ee2p-4, 0x1.85e5d9d54df02p-4, 0x1.7e93feb29183dp-4, 0x1.775e82eab3a19p-4, 0x1.70452af7aa288p-4, 0x1.6947b992790a3p-4, 0x1.6265efdbcc75cp-4, 0x1.5b9f8d82679fcp-4, 0x1.54f450e778574p-4, 0x1.4e63f740e20cfp-4, 0x1.47ee3cb98d7eep-4, 0x1.4192dc8fd061dp-4, 0x1.3b519131f9e1p-4, 0x1.352a1459163eep-4, 0x1.2f1c1f21f6422p-4, 0x1.29276a248c33cp-4, 0x1.234bad89aef6ap-4, 0x1.1d88a11f53f02p-4, 0x1.17ddfc6b54299p-4, 0x1.124b76bcd199p-4, 0x1.0cd0c73c52bd5p-4, 0x1.076da4faaae3dp-4, 0x1.0221c6fec8f4cp-4, 0x1.f9d9c8a5036a5p-5, 0x1.ef9d681cd8063p-5, 0x1.e58ddac9cd3e2p-5, 0x1.dbaa8f58af63ap-5, 0x1.d1f2f4d174ed9p-5, 0x1.c8667aa910d39p-5, 0x1.bf0490d21b41p-5, 0x1.b5cca7cc65ba6p-5, 0x1.acbe30b392a48p-5, 0x1.a3d89d4cbfa57p-5, 0x1.9b1b6013547a4p-5, 0x1.9285ec4504512p-5, 0x1.8a17b5ed0ad08p-5, 0x1.81d031eeb552dp-5, 0x1.79aed60f3ace4p-5, 0x1.71b318feedaa1p-5, 0x1.69dc7261d04e5p-5, 0x1.622a5ad78c6d1p-5, 0x1.5a9c4c02da643p-5, 0x1.5331c090574f6p-5, 0x1.4bea343ccf11ap-5, 0x1.44c523db048a5p-5, 0x1.3dc20d58f3bc5p-5, 0x1.36e06fc49b46fp-5, 0x1.301fcb5049513p-5, 0x1.297fa15678921p-5, 0x1.22ff745d3dd02p-5, 0x1.1c9ec8194d95fp-5, 0x1.165d2170a0162p-5, 0x1.103a067cb55c5p-5, 0x1.0a34fe8c86cedp-5, 0x1.044d922624f33p-5, 0x1.fd0696101c417p-6, 0x1.f1ab68547c3f3p-6, 0x1.e688b37e033cbp-6, 0x1.db9d92671fe6bp-6, 0x1.d0e92260e5dp-6, 0x1.c66a83337ca04p-6, 0x1.bc20d71e3f0a1p-6, 0x1.b20b42d78dc24p-6, 0x1.a828ed8c5c17dp-6, 0x1.9e7900df81706p-6, 0x1.94faa8e8d32d1p-6, 0x1.8bad143409149p-6, 0x1.828f73bf734b9p-6, 0x1.79a0fafa8830fp-6, 0x1.70e0dfc441ac3p-6, 0x1.684e5a695da1cp-6, 0x1.5fe8a5a270aa2p-6, 0x1.57aefe91da86dp-6, 0x1.4fa0a4c1927adp-6, 0x1.47bcda20d77ddp-6, 0x1.4002e301bd3f9p-6, 0x1.3872061691c3cp-6, 0x1.31098c6f2bc4dp-6, 0x1.29c8c1761262fp-6, 0x1.22aef2ed87f92p-6, 0x1.1bbb70ec77643p-6, 0x1.14ed8ddb3cb25p-6, 0x1.0e449e70596a8p-6, 0x1.07bff9ad07c1p-6, 0x1.015ef8d9b30e8p-6, 0x1.f641ef04ac7cp-7, 0x1.ea0aa6e581cabp-7, 0x1.de16d96594243p-7, 0x1.d2654b04c56f9p-7, 0x1.c6f4c4ab357eep-7, 0x1.bbc413a1262e6p-7, 0x1.b0d20986a8a0ap-7, 0x1.a61d7c4b3c677p-7, 0x1.9ba54625430c3p-7, 0x1.9168458954a1dp-7, 0x1.87655d218372fp-7, 0x1.7d9b73c479b0ep-7, 0x1.7409746c8a774p-7, 0x1.6aae4e2ea5428p-7, 0x1.6188f4314694dp-7, 0x1.58985da34133cp-7, 0x1.4fdb85b28fd76p-7, 0x1.47516b830ccfdp-7, 0x1.3ef912251c949p-7, 0x1.36d1808c5907ap-7, 0x1.2ed9c1862a24dp-7, 0x1.2710e3b05c70fp-7, 0x1.1f75f96fae1eap-7, 0x1.180818e657d6ep-7, 0x1.10c65bea906fap-7, 0x1.09afdffd0a964p-7, 0x1.02c3c63f7231p-7, 0x1.f80266d5c3beap-8, 0x1.eace9f8cb8d61p-8, 0x1.ddea8e3a7d875p-8, 0x1.d154916b60db5p-8, 0x1.c50b0e8e32ddbp-8, 0x1.b90c71e11cc1p-8, 0x1.ad572e5e87a6dp-8, 0x1.a1e9bda9fb852p-8, 0x1.96c29ffd067eap-8, 0x1.8be05c141ca07p-8, 0x1.81417f1b8a7c4p-8, 0x1.76e49c9c59af8p-8, 0x1.6cc84e694acfp-8, 0x1.62eb348bd14a6p-8, 0x1.594bf5310fe0cp-8, 0x1.4fe93c96e9a08p-8, 0x1.46c1bcf914dffp-8, 0x1.3dd42e7e3b70ep-8, 0x1.351f4f25289eap-8, 0x1.2ca1e2b201de7p-8, 0x1.245ab29b901bp-8, 0x1.1c488df8975b9p-8, 0x1.146a496d3fdddp-8, 0x1.0cbebf188cb31p-8, 0x1.0544ce81edf2fp-8, 0x1.fbf6b90db8ffap-9, 0x1.edc2a69120826p-9, 0x1.dfeb44339392bp-9, 0x1.d26e7ad966b0dp-9, 0x1.c54a3d81a7353p-9, 0x1.b87c8922484c1p-9, 0x1.ac0364846dc7p-9, 0x1.9fdce020e2d79p-9, 0x1.940715fce9bbfp-9, 0x1.8880298714fdcp-9, 0x1.7d46477478829p-9, 0x1.7257a59e0205p-9, 0x1.67b282de151bp-9, 0x1.5d5526ee61384p-9, 0x1.533de245ef6c4p-9, 0x1.496b0df771fd8p-9, 0x1.3fdb0b8fd822ap-9, 0x1.368c44f514f68p-9, 0x1.2d7d2c45377c1p-9, 0x1.24ac3bb5b42d4p-9, 0x1.1c17f57304aacp-9, 0x1.13bee38079868p-9, 0x1.0b9ff8706e639p-9, 0x1.03b90e29778f2p-9, 0x1.f81247e73537cp-10, 0x1.e91dc3e1d250fp-10, 0x1.da91eefb7496ep-10, 0x1.cc6c36244888ap-10, 0x1.beaa1447b702ep-10, 0x1.b149121077bdp-10, 0x1.a446c5ad644cfp-10, 0x1.97a0d296cca69p-10, 0x1.8b54e95477dd1p-10, 0x1.7f60c744133c2p-10, 0x1.73c2366061e78p-10, 0x1.68770d08fb788p-10, 0x1.5d7d2dca99989p-10, 0x1.52d28728057c3p-10, 0x1.48751363a9c01p-10, 0x1.3e62d849b3434p-10, 0x1.3499e6fadc03cp-10, 0x1.2b185bb7c3d8dp-10, 0x1.21dc5dacf0eedp-10, 0x1.18e41ebf6f048p-10, 0x1.102ddb5a06a65p-10, 0x1.07b7da3b144b5p-10, 0x1.ff00d8861beacp-11, 0x1.ef0bd886e6e16p-11, 0x1.df8d7d9d66b1ep-11, 0x1.d082a410c30a8p-11, 0x1.c1e83aec60b1dp-11, 0x1.b3bb43a309c75p-11, 0x1.a5f8d1b35926ap-11, 0x1.989e0a4d14b49p-11, 0x1.8ba823f87544bp-11, 0x1.7f14663df23a1p-11, 0x1.72e0294fa76edp-11, 0x1.6708d5b3f2883p-11, 0x1.5b8be3f0f753cp-11, 0x1.5066dc3a0233p-11, 0x1.4597561d7dcbap-11, 0x1.3b1af8348084bp-11, 0x1.30ef77d33844ap-11, 0x1.271298bb123d3p-11, 0x1.1d822ccd97c2ep-11, 0x1.143c13c08a38fp-11, 0x1.0b3e3ad3b5dd4p-11, 0x1.02869c87115e3p-11, 0x1.f42680a59b03bp-12, 0x1.e3c474c03c41ep-12, 0x1.d3e35686dfd74p-12, 0x1.c47f7f6f2d8ffp-12, 0x1.b59560b452f58p-12, 0x1.a72182d212f51p-12, 0x1.992085021d2fdp-12, 0x1.8b8f1cbb6ed03p-12, 0x1.7e6a15342237ep-12, 0x1.71ae4ee55dd02p-12, 0x1.6558bf1155606p-12, 0x1.59666f4b6f08p-12, 0x1.4dd47d02e6611p-12, 0x1.42a0190f1b7abp-12, 0x1.37c6873e25704p-12, 0x1.2d451de580fc1p-12, 0x1.23194574bf8c8p-12, 0x1.1940780a3a75ap-12, 0x1.0fb84109d8a98p-12, 0x1.067e3cb5b245p-12, 0x1.fb202f917d0f8p-13, 0x1.e9d71e26d87a4p-13, 0x1.d91cde344a13ap-13, 0x1.c8ed276b93278p-13, 0x1.b943cf6ad8233p-13, 0x1.aa1cc90661fe9p-13, 0x1.9b742393695b9p-13, 0x1.8d460a37989cp-13, 0x1.7f8ec33c0360bp-13, 0x1.724aaf638506ep-13, 0x1.65764944cf1a6p-13, 0x1.590e24a66baddp-13, 0x1.4d0eede0fe7a3p-13, 0x1.41756941ee7a1p-13, 0x1.363e72728cd64p-13, 0x1.2b66fbe2a8394p-13, 0x1.20ec0e34d4fcp-13, 0x1.16cac7b042a87p-13, 0x1.0d005bb33ad25p-13, 0x1.038a1229a3a84p-13, 0x1.f4ca8e0db468bp-14, 0x1.e31ed382a3583p-14, 0x1.d20bf9a36ef29p-14, 0x1.c18d2a6aa7d7dp-14, 0x1.b19db3e47596ap-14, 0x1.a239073e0e375p-14, 0x1.935ab7d8c116dp-14, 0x1.84fe7a64199b7p-14, 0x1.772023fb5545dp-14, 0x1.69bba949ee2ffp-14, 0x1.5ccd1db388f09p-14, 0x1.5050b28113c6ep-14, 0x1.4442b61364b35p-14, 0x1.389f9319cd695p-14, 0x1.2d63cfcd8395fp-14, 0x1.228c0d3239e39p-14, 0x1.1815065a5b9e2p-14, 0x1.0dfb8fb02a89dp-14, 0x1.043c96430c954p-14, 0x1.f5aa3e32a8aedp-15, 0x1.e3848d0ba1db6p-15, 0x1.d2027f0485dc3p-15, 0x1.c11ea61782931p-15, 0x1.b0d3bf0dc1419p-15, 0x1.a11cb0481ec3p-15, 0x1.91f488930ab2bp-15, 0x1.83567e01521b5p-15, 0x1.753decce42da7p-15, 0x1.67a65646e6819p-15, 0x1.5a8b5fba6547bp-15, 0x1.4de8d17151464p-15, 0x1.41ba95abced55p-15, 0x1.35fcb7a753f0ep-15, 0x1.2aab62a54d1eap-15, 0x1.1fc2e103c7749p-15, 0x1.153f9b508cecfp-15, 0x1.0b1e176864eedp-15, 0x1.015af79ac52fdp-15, 0x1.efe5f3a7a3832p-16, 0x1.ddc5ed9763c89p-16, 0x1.cc4fc2799032ep-16, 0x1.bb7d8a330938cp-16, 0x1.ab498da6a931ep-16, 0x1.9bae45356efffp-16, 0x1.8ca65753d14a3p-16, 0x1.7e2c972c6c21fp-16, 0x1.703c034101e94p-16, 0x1.62cfc42158f04p-16, 0x1.55e32b1e1cbc4p-16, 0x1.4971b11553e75p-16, 0x1.3d76f53723f1cp-16, 0x1.31eebbdf1f1e6p-16, 0x1.26d4ed6bb31fep-16, 0x1.1c259526a2249p-16, 0x1.11dce0304316fp-16, 0x1.07f71c73d3905p-16, 0x1.fce16f4a04cfp-17, 0x1.ea8c7c7b8eb13p-17, 0x1.d8e8b51e8da1p-17, 0x1.c7efa79d9f72p-17, 0x1.b79b1a5d06ab3p-17, 0x1.a7e509f7f0b42p-17, 0x1.98c7a78aa602p-17, 0x1.8a3d5708293fcp-17, 0x1.7c40ad9d606e9p-17, 0x1.6ecc701f80543p-17, 0x1.61db91862c109p-17, 0x1.556931735851dp-17, 0x1.49709abe721bep-17, 0x1.3ded421680ecbp-17, 0x1.32dac4a492a95p-17, 0x1.2834e6bd33e32p-17, 0x1.1df7929ac22e5p-17, 0x1.141ed721d041ap-17, 0x1.0aa6e6b281c89p-17, 0x1.018c15f13af7ap-17, 0x1.f195b5781cce7p-18, 0x1.e0bf960b47033p-18, 0x1.d08f3793fc1c5p-18, 0x1.c0fe400fb2821p-18, 0x1.b2068f860e73bp-18, 0x1.a3a23e1af5179p-18, 0x1.95cb9a314ed51p-18, 0x1.887d269c370fep-18, 0x1.7bb198dd77e43p-18, 0x1.6f63d77db46b4p-18, 0x1.638ef8400959bp-18, 0x1.582e3ec3e680cp-18, 0x1.4d3d1ad279ea6p-18, 0x1.42b726e9c633cp-18, 0x1.389826c90789ep-18, 0x1.2edc06068ae79p-18, 0x1.257ed6c072105p-18, 0x1.1c7cd03570b63p-18, 0x1.13d24d8e9ab31p-18, 0x1.0b7bcca544e9bp-18, 0x1.0375ecb1adafcp-18, 0x1.f77ada9fc224cp-19, 0x1.e89e5a920b4acp-19, 0x1.da5052f1b2579p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.0b137c01031c8p-1, -0x1.0fa2490b63084p-1, -0x1.0f964f709792fp-1, -0x1.0b6c473ef3667p-1, -0x1.03ab3be4d4f53p-1, -0x1.f1bdd9d08e2ap-2, -0x1.d71f2fb64abefp-2, -0x1.b8816114e7896p-2, -0x1.96df2d19a02dbp-2, -0x1.731f0d7881161p-2, -0x1.4e1086f27c729p-2, -0x1.286dec4386fbfp-2, -0x1.02db9b7aa87b8p-2, -0x1.bbccff0e990e4p-3, -0x1.740abd67eb3f5p-3, -0x1.2f364b08fa45dp-3, -0x1.dbe02ef10653fp-4, -0x1.616a4197f3575p-4, -0x1.df8a47f160a31p-5, -0x1.0ee6a17da668p-5, -0x1.462c0c478b7b1p-7, 0x1.610575af81f81p-7, 0x1.dd0e6c66db993p-6, 0x1.7173210b1f5b1p-5, 0x1.e17b6f0b440b3p-5, 0x1.1fa4e426067bdp-4, 0x1.45d5aef716b3dp-4, 0x1.63c15e25ccadfp-4, 0x1.79dfbc6e2e594p-4, 0x1.88ade9484ff1ap-4, 0x1.90ae8276d1011p-4, 0x1.9269204fbc2cbp-4, 0x1.8e6820c36936dp-4, 0x1.85354b0472014p-4, 0x1.7756ab03669a4p-4, 0x1.654cb1d9ae98dp-4, 0x1.4f91c60f96a59p-4, 0x1.369abb33a124cp-4, 0x1.1ad76e98b5e17p-4, 0x1.f965e9206720cp-5, 0x1.b9264d0b3775bp-5, 0x1.75af924d5e14ap-5, 0x1.2fb37162149dap-5, 0x1.cfa9f3499842bp-6, 0x1.3d51a914c86a9p-6, 0x1.52d9b76b4a98ap-7, 0x1.4f2f5a23275aap-10, -0x1.fce564ee6a7dap-8, -0x1.12487817e913bp-6, -0x1.a37d705554d8ep-6, -0x1.1917238582d77p-5, -0x1.5ee2410e3e34ap-5, -0x1.a2de9d7983395p-5, -0x1.e4d4304b8489bp-5, -0x1.1249c94dbd60bp-4, -0x1.30fa7852ad619p-4, -0x1.4e6b7716ff353p-4, -0x1.6a8ed8b6808d1p-4, -0x1.855919cd02fc9p-4, -0x1.9ec0ee5905f48p-4, -0x1.b6bf2d721be09p-4, -0x1.cd4eccf197144p-4, -0x1.e26cdde83c4d9p-4, -0x1.f619cceb8364dp-4, -0x1.0428006b33b34p-3, -0x1.0c8c124819549p-3, -0x1.143b6b24571ap-3, -0x1.1b38e0b40d5d3p-3, -0x1.2187b019d2226p-3, -0x1.272b65ded2367p-3, -0x1.2c27cd9c59b94p-3, -0x1.3080e88d273e4p-3, -0x1.343ae9643a5c2p-3, -0x1.375a3377438f3p-3, -0x1.39e35b62b834ep-3, -0x1.3bdb279d1f659p-3, -0x1.3d468fcfde687p-3, -0x1.3e2aba2d7ac7bp-3, -0x1.3e8cf65cf7686p-3, -0x1.3e72b5f1bae6bp-3, -0x1.3de182c20eec2p-3, -0x1.3cdef3b8f05c3p-3, -0x1.3b70a0efea197p-3, -0x1.399c17ecae5eap-3, -0x1.3766d0ce5d3cdp-3, -0x1.34d6250e62e3bp-3, -0x1.31ef484315184p-3, -0x1.2eb7431896716p-3, -0x1.2b32f07f35eacp-3, -0x1.2766fce256e11p-3, -0x1.2357e71974631p-3, -0x1.1f0a02ad80d86p-3, -0x1.1a817aff4de99p-3, -0x1.15c256d8267d2p-3, -0x1.10d07bf42b568p-3, -0x1.0bafb225afa81p-3, -0x1.0663a5c74aafap-3, -0x1.00efe94cc40b4p-3, -0x1.f6afebbc6dedbp-4, -0x1.eb3e56057fad3p-4, -0x1.df919aeee7804p-4, -0x1.d3b00ac4e70eep-4, -0x1.c79fb83fb54d5p-4, -0x1.bb6673dac0309p-4, -0x1.af09c77226149p-4, -0x1.a28ef2a0414bcp-4, -0x1.95fae83a1b3c1p-4, -0x1.89524d27ecbdp-4, -0x1.7c9978b2907c9p-4, -0x1.6fd4763cf0b11p-4, -0x1.630708445c0d4p-4, -0x1.5634ac6df17bfp-4, -0x1.4960a05aa2fd5p-4, -0x1.3c8de6f60ee63p-4, -0x1.2fbf4df54833ap-4, -0x1.22f7734048243p-4, -0x1.1638ca09dbf7cp-4, -0x1.09859f657cad6p-4, -0x1.f9c03c6f4cde8p-5, -0x1.e094a4d6edb97p-5, -0x1.c78c56cd23cc1p-5, -0x1.aeaafb83b0b74p-5, -0x1.95f408b278ebdp-5, -0x1.7d6ac19cddeafp-5, -0x1.65123740e174cp-5, -0x1.4ced47fa72bb4p-5, -0x1.34fe9ee546513p-5, -0x1.1d48b34213822p-5, -0x1.05cdc81a31bcbp-5, -0x1.dd1fd89f1ba99p-6, -0x1.af21f670d61bdp-6, -0x1.81a53bae9f992p-6, -0x1.54ac99635802ep-6, -0x1.283aa476c923ep-6, -0x1.f8a33710a476ep-7, -0x1.a1e6db3259a3dp-7, -0x1.4c438295aac2bp-7, -0x1.ef77f1cd022a7p-8, -0x1.48a52f266705dp-8, -0x1.482553905770bp-9, -0x1.c3a4d383150afp-16, 0x1.3c8a565db7233p-9, 0x1.3c05880fe40a9p-8, 0x1.d77b94c3076e4p-8, 0x1.3852e1bbd3d59p-7, 0x1.83c1639208b2bp-7, 0x1.ce08c43d7809fp-7, 0x1.0b9ded6228094p-6, 0x1.2fa271a502ae9p-6, 0x1.5311669b217dfp-6, 0x1.75ea9c2adb179p-6, 0x1.982df733e6a3ap-6, 0x1.b9db71b7ba2ccp-6, 0x1.daf31ade52566p-6, 0x1.fb7516c282393p-6, 0x1.0db0cefb6c5f8p-5, 0x1.1d5c7e5d15e69p-5, 0x1.2cbdc8ec8efb2p-5, 0x1.3bd4e69fff6a7p-5, 0x1.4aa21722d268p-5, 0x1.5925a0de1e9c7p-5, 0x1.675fcfec118cfp-5, 0x1.7550f4ff7b148p-5, 0x1.82f96448d9ea9p-5, 0x1.905974624b9a6p-5, 0x1.9d717d4aff63p-5, 0x1.aa41d779f2071p-5, 0x1.b6cadb0e62952p-5, 0x1.c30cdf230ab92p-5, 0x1.cf0839479196bp-5, 0x1.dabd3d2227289p-5, 0x1.e62c3c39b0a4ep-5, 0x1.f15585e75eb48p-5, 0x1.fc39676d656cdp-5, 0x1.036c161799e34p-4, 0x1.08990f035ba61p-4, 0x1.0da3c2d8b4bedp-4, 0x1.128c55a7b4759p-4, 0x1.1752eb774fa23p-4, 0x1.1bf7a88df4d6bp-4, 0x1.207ab1ba3f7f3p-4, 0x1.24dc2c9917a6fp-4, 0x1.291c3fd6e56fcp-4, 0x1.2d3b1369d4c83p-4, 0x1.3138d0c3a8fc4p-4, 0x1.3515a2fa07b6p-4, 0x1.38d1b6e4aa785p-4, 0x1.3c6d3b3153373p-4, 0x1.3fe8606dd7168p-4, 0x1.43435908eda6bp-4, 0x1.467e594ac16afp-4, 0x1.499997467fe86p-4, 0x1.4c954ac64f971p-4, 0x1.4f71ad33237adp-4, 0x1.522ef979ed7b4p-4, 0x1.54cd6bef9f825p-4, 0x1.574d423550d86p-4, 0x1.59aebb1db7615p-4, 0x1.5bf21694f3d26p-4, 0x1.5e17958b7da49p-4, 0x1.601f79e4c47bp-4, 0x1.620a0669e2771p-4, 0x1.63d77ec08bcf9p-4, 0x1.6588276635afep-4, 0x1.671c45af3e2fap-4, 0x1.68941fc9c3c29p-4, 0x1.69effcc3b4adp-4, 0x1.6b30249389ed3p-4, 0x1.6c54e023172fbp-4, 0x1.6d5e795bc664fp-4, 0x1.6e4d3b339eb4fp-4, 0x1.6f2171ba73617p-4, 0x1.6fdb6a26a26cp-4, 0x1.707b72e0d8b7dp-4, 0x1.7101db8e61ec4p-4, 0x1.716ef519a1386p-4, 0x1.71c311b85e873p-4, 0x1.71fe84efb3b75p-4, 0x1.7221a395715fdp-4, 0x1.722cc3cef2ddfp-4, 0x1.72203d0d636dep-4, 0x1.71fc68078feccp-4, 0x1.71c19eb16b447p-4, 0x1.71703c317c63dp-4, 0x1.71089cd472cf3p-4, 0x1.708b1dff27464p-4, 0x1.6ff81e1f53163p-4, 0x1.6f4ffc9b45858p-4, 0x1.6e9319c0e1691p-4, 0x1.6dc1d6b426f76p-4, 0x1.6cdc955d8821p-4, 0x1.6be3b8583d15fp-4, 0x1.6ad7a2e0cbcf8p-4, 0x1.69b8b8c3e519cp-4, 0x1.68875e4db82fp-4, 0x1.6743f839cf8bap-4, 0x1.65eeeba383fe8p-4, 0x1.64889df70db39p-4, 0x1.631174e32fb48p-4, 0x1.6189d64b78c47p-4, 0x1.5ff2283b0f097p-4, 0x1.5e4ad0d7f9ab7p-4, 0x1.5c943656d50f5p-4, 0x1.5acebeeee6111p-4, 0x1.58fad0ce76f49p-4, 0x1.5718d20f6e907p-4, 0x1.552928ac14562p-4, 0x1.532c3a73f0abcp-4, 0x1.51226d00c0fafp-4, 0x1.4f0c25ab75119p-4, 0x1.4ce9c9812e45cp-4, 0x1.4abbbd383fd4cp-4, 0x1.488265252a277p-4, 0x1.463e252f95367p-4, 0x1.43ef60c74b1a7p-4, 0x1.41967ad9364edp-4, 0x1.3f33d5c469ce2p-4, 0x1.3cc7d34f3b4d1p-4, 0x1.3a52d49c72925p-4, 0x1.37d53a209b48bp-4, 0x1.354f63977bc39p-4, 0x1.32c1aff9bc50ap-4, 0x1.302c7d72c5138p-4, 0x1.2d902956d973p-4, 0x1.2aed1019768e1p-4, 0x1.28438d43fca16p-4, 0x1.2593fb6ca54e3p-4, 0x1.22deb42dcd169p-4, 0x1.2024101d90c46p-4, 0x1.1d6466c5c42e8p-4, 0x1.1aa00e9c414d9p-4, 0x1.17d75cfb9136ep-4, 0x1.150aa61bf1186p-4, 0x1.123a3d0cb0c0dp-4, 0x1.0f6673adebed6p-4, 0x1.0c8f9aaa9cf6bp-4, 0x1.09b6017307735p-4, 0x1.06d9f6377994cp-4, 0x1.03fbc5e364f3dp-4, 0x1.011bbc18c9848p-4, 0x1.fc744657e9f7p-5, 0x1.f6ae883f247ccp-5, 0x1.f0e6cd421544cp-5, 0x1.eb1da20a67626p-5, 0x1.e553908a988abp-5, 0x1.df891ff8887b7p-5, 0x1.d9bed4c8a0bb2p-5, 0x1.d3f530a98eb75p-5, 0x1.ce2cb2808e7e8p-5, 0x1.c865d666477d8p-5, 0x1.c2a115a43437bp-5, 0x1.bcdee6b297161p-5, 0x1.b71fbd36f5f77p-5, 0x1.b1640a031debp-5, 0x1.abac3b14ad527p-5, 0x1.a5f8bb951cad3p-5, 0x1.a049f3da4afbbp-5, 0x1.9aa0496782767p-5, 0x1.94fc1eeefdb1cp-5, 0x1.8f5dd453dfcebp-5, 0x1.89c5c6aca230cp-5, 0x1.84345045f6a85p-5, 0x1.7ea9c8a6121d7p-5, 0x1.792684906939bp-5, 0x1.73aad609ce2d7p-5, 0x1.6e370c5cf7a92p-5, 0x1.68cb741f65c7cp-5, 0x1.63685736a4905p-5, 0x1.5e0dfcdde889bp-5, 0x1.58bca9ac01824p-5, 0x1.53749f999dea1p-5, 0x1.4e361e07e0dbbp-5, 0x1.490161c73f37cp-5, 0x1.43d6a51ea7b1fp-5, 0x1.3eb76d44775c7p-5, 0x1.39a15d3c932ccp-5, 0x1.3495ec14e4d11p-5, 0x1.2f954a513db7cp-5, 0x1.2a9fa612dcbc7p-5, 0x1.25b52b20a7f0fp-5, 0x1.20d602efa344bp-5, 0x1.1c0254aba139cp-5, 0x1.173a45402e5c3p-5, 0x1.127df761adfb6p-5, 0x1.0dcd8b96a9e79p-5, 0x1.092920414edfp-5, 0x1.0490d1a90efa9p-5, 0x1.0004ba0470155p-5, 0x1.f709e305e92f5p-6, 0x1.ee231cae4b5e3p-6, 0x1.e55549816f1f8p-6, 0x1.dca08e2d82d2bp-6, 0x1.d4050ba412d58p-6, 0x1.cb82df2ebb93cp-6, 0x1.c31a2283f7bd7p-6, 0x1.bacaebdbf3697p-6, 0x1.b2954e057508bp-6, 0x1.aa79587abbcb9p-6, 0x1.a277177665104p-6, 0x1.9a8e940843be9p-6, 0x1.92bfd42a27743p-6, 0x1.8b0adad4959e7p-6, 0x1.836fa813666dap-6, 0x1.7bee391a44ef6p-6, 0x1.748688591031ap-6, 0x1.6d388d9017cf1p-6, 0x1.66043de42c25cp-6, 0x1.5ee98bf289f6ep-6, 0x1.57e867e4908b1p-6, 0x1.5100bf834c361p-6, 0x1.4a327e4ac7266p-6, 0x1.437d8d7d29a75p-6, 0x1.3ce1d4359e92ap-6, 0x1.365f377afca5bp-6, 0x1.2ff59a52378bfp-6, 0x1.29a4ddd0902b3p-6, 0x1.236ce12d886c7p-6, 0x1.1d4d81d492c1ep-6, 0x1.17469b768475p-6, 0x1.1158081ac51aap-6, 0x1.0b81a03039114p-6, 0x1.05c33a9de9d96p-6, 0x1.001cacd36977ep-6, 0x1.f51b95b1e32d8p-7, 0x1.ea2ccebe788e1p-7, 0x1.df6ca79e33d22p-7, 0x1.d4dac0b17e9dp-7, 0x1.ca76b80599928p-7, 0x1.c04029722bcb6p-7, 0x1.b636aeb636121p-7, 0x1.ac59df9488dd4p-7, 0x1.a2a951efaabd6p-7, 0x1.992499e533759p-7, 0x1.8fcb49e89e90dp-7, 0x1.869cf2dd9b13dp-7, 0x1.7d992431cd0a9p-7, 0x1.74bf6bf60961ep-7, 0x1.6c0f56f71046ap-7, 0x1.638870d5bac87p-7, 0x1.5b2a441eb5146p-7, 0x1.52f45a61a2194p-7, 0x1.4ae63c47ca5b7p-7, 0x1.42ff71aa4ab73p-7, 0x1.3b3f81a7bf1f6p-7, 0x1.33a5f2b9725b5p-7, 0x1.2c324ac80ff2cp-7, 0x1.24e40f3fd6bcp-7, 0x1.1dbac52459b27p-7, 0x1.16b5f123bd5a8p-7, 0x1.0fd517a9794cp-7, 0x1.0917bcf0acce6p-7, 0x1.027d6515f001fp-7, 0x1.f80b28515dea5p-8, 0x1.eb5f9c781490dp-8, 0x1.def72eee94a7ep-8, 0x1.d2d0e84b9c04bp-8, 0x1.c6ebd18d08964p-8, 0x1.bb46f435ea2c7p-8, 0x1.afe15a6b90ba4p-8, 0x1.a4ba0f11b187ap-8, 0x1.99d01de5997a9p-8, 0x1.8f22939870f68p-8, 0x1.84b07de87c375p-8, 0x1.7a78ebb9825f4p-8, 0x1.707aed2c25762p-8, 0x1.66b593b44f5f9p-8, 0x1.5d27f22eacc09p-8, 0x1.53d11cf52c88ep-8, 0x1.4ab029f28619fp-8, 0x1.41c430b4d53d8p-8, 0x1.390c4a7f34d7fp-8, 0x1.3087925a6e921p-8, 0x1.28352524b2d0cp-8, 0x1.201421a066341p-8, 0x1.1823a881f7f45p-8, 0x1.1062dc7cdd41fp-8, 0x1.08d0e24f980b7p-8, 0x1.016ce0cee27eap-8, 0x1.f46c01dffc48fp-9, 0x1.e656dba4403d6p-9, 0x1.d898a98e42bep-9, 0x1.cb2fcab69ec0bp-9, 0x1.be1aa2b8faf27p-9, 0x1.b15799c0c5321p-9, 0x1.a4e51c94756e4p-9, 0x1.98c19c9f7ebe4p-9, 0x1.8ceb8ffaebe4fp-9, 0x1.81617174e88bcp-9, 0x1.7621c09706cadp-9, 0x1.6b2b01ab91801p-9, 0x1.607bbdc1c5bc6p-9, 0x1.561282b14cc9cp-9, 0x1.4bede31cbdee6p-9, 0x1.420c76736b7b7p-9, 0x1.386cd8f27fa6ep-9, 0x1.2f0daba578f54p-9, 0x1.25ed946603619p-9, 0x1.1d0b3ddb7f549p-9, 0x1.14655779de092p-9, 0x1.0bfa958037921p-9, 0x1.03c9b0f6f9db2p-9, 0x1.f7a2cf5b91b36p-10, 0x1.e820f871f631ep-10, 0x1.d90b6bddf681fp-10, 0x1.ca5fc1ca80af8p-10, 0x1.bc1b9bd9fbe7dp-10, 0x1.ae3ca51f8a77ep-10, 0x1.a0c092175bfa8p-10, 0x1.93a5209e8a6ep-10, 0x1.86e817eaabda7p-10, 0x1.7a87488082ca1p-10, 0x1.6e808c29d334dp-10, 0x1.62d1c5eb32ea6p-10, 0x1.5778e1f84a4b4p-10, 0x1.4c73d5a7d2938p-10, 0x1.41c09f66708a6p-10, 0x1.375d46a8af23ep-10, 0x1.2d47dbdc15937p-10, 0x1.237e78571c037p-10, 0x1.19ff3e4854835p-10, 0x1.10c858a455543p-10, 0x1.07d7fb12b3647p-10, 0x1.fe58c3b3db20fp-11, 0x1.ed87a395054a6p-11, 0x1.dd393051dae9dp-11, 0x1.cd6a152db9227p-11, 0x1.be170df712cdfp-11, 0x1.af3ce6d6feec6p-11, 0x1.a0d87c1f2e60bp-11, 0x1.92e6ba1743d33p-11, 0x1.85649cc931a0ep-11, 0x1.784f2fccfa648p-11, 0x1.6ba38e146315ap-11, 0x1.5f5ee1b652841p-11, 0x1.537e63ba8d6p-11, 0x1.47ff5be57a5cap-11, 0x1.3cdf2084ef5d1p-11, 0x1.321b163d23553p-11, 0x1.27b0afd6c9da6p-11, 0x1.1d9d6e0db31c7p-11, 0x1.13dedf60f0fb3p-11, 0x1.0a729fe360fcbp-11, 0x1.0156590d6ed11p-11, 0x1.f10f831f5575cp-12, 0x1.e0093a4c807dcp-12, 0x1.cf9578da0765fp-12, 0x1.bfaff9686c648p-12, 0x1.b0548fab0bd4ap-12, 0x1.a17f2813692e8p-12, 0x1.932bc77bfa4b4p-12, 0x1.85568ad3513c9p-12, 0x1.77fba6c6fa074p-12, 0x1.6b17676cd428dp-12, 0x1.5ea62fedb3f8dp-12, 0x1.52a47a2c7f52cp-12, 0x1.470ed66dcb803p-12, 0x1.3be1eafd8f584p-12, 0x1.311a73d3cd759p-12, 0x1.26b542375ba36p-12, 0x1.1caf3c60aa4a9p-12, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.ece2bf82ce772p-7, -0x1.42dc9e207f67ep-5, -0x1.f9f53fadb9f49p-5, -0x1.4fcfe13956afep-4, -0x1.99bcc935826e4p-4, -0x1.dac31f0917792p-4, -0x1.0987325dd1355p-3, -0x1.21763949e52d7p-3, -0x1.356254af36ecp-3, -0x1.45885934f0b4fp-3, -0x1.522bb95826305p-3, -0x1.5b9418eb412c3p-3, -0x1.620b041312dbap-3, -0x1.65da445babaep-3, -0x1.674aa99d22bdcp-3, -0x1.66a2f76c008e7p-3, -0x1.6427033c07771p-3, -0x1.60171df5791e4p-3, -0x1.5aafb4e115e3ap-3, -0x1.54290e7f102fp-3, -0x1.4cb7200299209p-3, -0x1.448955bef6855p-3, -0x1.3bcb5753136ebp-3, -0x1.32a40cc684c2cp-3, -0x1.2936545af3c4bp-3, -0x1.1fa1332fda60dp-3, -0x1.160016074ac47p-3, -0x1.0c6b051270bdap-3, -0x1.02f6d1203b77fp-3, -0x1.f36a885801f79p-4, -0x1.e16ab87943fb3p-4, -0x1.d0071f5e42f42p-4, -0x1.bf5425dc7c311p-4, -0x1.af622e9ae02fbp-4, -0x1.a03dfed91dde4p-4, -0x1.91f115b20fd06p-4, -0x1.8481fb7df9cbep-4, -0x1.77f4922f482f9p-4, -0x1.6c4a6984165fap-4, -0x1.61831380dc40ep-4, -0x1.579c7303e6d1cp-4, -0x1.4e92ffbe75f34p-4, -0x1.4661fe00dbf39p-4, -0x1.3f03abf6930bcp-4, -0x1.387168839351ep-4, -0x1.32a3d82f1d66ep-4, -0x1.2d9309f0c5d73p-4, -0x1.29369b09e9755p-4, -0x1.2585d885ac61cp-4, -0x1.2277dd57036e8p-4, -0x1.2003abdb4cb51p-4, -0x1.1e2041a0f5387p-4, -0x1.1cc4a5bbe5b37p-4, -0x1.1be7f3971c78cp-4, -0x1.1b816467d8d98p-4, -0x1.1b88584302022p-4, -0x1.1bf45ecaa20eep-4, -0x1.1cbd3f423e85dp-4, -0x1.1ddb0014551fbp-4, -0x1.1f45edb4eca8ap-4, -0x1.20f6a05ca63f8p-4, -0x1.22e5ffee57cdap-4, -0x1.250d45c683e31p-4, -0x1.2765b66fab746p-4, -0x1.29e9b5eb6dd51p-4, -0x1.2c933859f78aap-4, -0x1.2f5cb66614998p-4, -0x1.3240f3c79875cp-4, -0x1.353afe1dff091p-4, -0x1.38462c251a858p-4, -0x1.3b5e1cfb73bcp-4, -0x1.3e7eb73fabd51p-4, -0x1.41a427e77cd27p-4, -0x1.44cae0c3a35abp-4, -0x1.47ef96a59d6acp-4, -0x1.4b0f3f1c5e51fp-4, -0x1.4e270dc687958p-4, -0x1.5134714a958fp-4, -0x1.54351015c3e5bp-4, -0x1.5726c50a2cd5fp-4, -0x1.5a079c41b3833p-4, -0x1.5cd5d00217eaep-4, -0x1.5f8fc5f3d3a1p-4, -0x1.62340ca31a0e5p-4, -0x1.64c159492ebf1p-4, -0x1.673685d479015p-4, -0x1.69928f208d472p-4, -0x1.6bd4934d51a31p-4, -0x1.6dfbd02571fb3p-4, -0x1.7007a186c99d5p-4, -0x1.71f77fc35081cp-4, -0x1.73cafdf536bb9p-4, -0x1.7581c84560c9bp-4, -0x1.771ba227a651p-4, -0x1.789864934eb9p-4, -0x1.79f7fc3fae04ap-4, -0x1.7b3a67ec93dffp-4, -0x1.7c5fb6bd24817p-4, -0x1.7d6806aa5b6a6p-4, -0x1.7e5383114898bp-4, -0x1.7f2263600ffccp-4, -0x1.7fd4e9e3145d4p-4, -0x1.806b62b20b28fp-4, -0x1.80e622babdffbp-4, -0x1.814586e5b28ccp-4, -0x1.8189f350364cdp-4, -0x1.81b3d2975d436p-4, -0x1.81c3953037ab2p-4, -0x1.81b9b0ca656d4p-4, -0x1.81969fbaf30afp-4, -0x1.815ae06e088c5p-4, -0x1.8106f4de49991p-4, -0x1.809b62111c3d5p-4, -0x1.8018af9774b89p-4, -0x1.7f7f67131bf57p-4, -0x1.7ed013c0d8fbep-4, -0x1.7e0b42083d1fdp-4, -0x1.7d317f11f149bp-4, -0x1.7c4358655ce7ep-4, -0x1.7b415b8e450a4p-4, -0x1.7a2c15cabec97p-4, -0x1.790413c17dc48p-4, -0x1.77c9e1404c386p-4, -0x1.767e0902565p-4, -0x1.7521147ddbf58p-4, -0x1.73b38bb8d39f9p-4, -0x1.7235f523f53d9p-4, -0x1.70a8d57b9b6b8p-4, -0x1.6f0cafadcdff3p-4, -0x1.6d6204c4b6008p-4, -0x1.6ba953d4c49ebp-4, -0x1.69e319ede4128p-4, -0x1.680fd20f333ccp-4, -0x1.662ff51cef1dap-4, -0x1.6443f9d85e2acp-4, -0x1.624c54d99e8c7p-4, -0x1.6049788b3d39fp-4, -0x1.5e3bd52774e0ep-4, -0x1.5c23d8b6d922cp-4, -0x1.5a01ef102ce37p-4, -0x1.57d681d91e2b8p-4, -0x1.55a1f887a92abp-4, -0x1.5364b86409331p-4, -0x1.511f248b2b5aep-4, -0x1.4ed19df1b1e76p-4, -0x1.4c7c8367aafbap-4, -0x1.4a20319d124a5p-4, -0x1.47bd233919266p-4, -0x1.455372a7b21c5p-4, -0x1.42e3931e989a4p-4, -0x1.406dd929c74abp-4, -0x1.3df2975d380ecp-4, -0x1.3b721e5ba9b3cp-4, -0x1.38ecbcddd6f46p-4, -0x1.3662bfba31c47p-4, -0x1.33d471ed1feaap-4, -0x1.31421ca1a8039p-4, -0x1.2eac073a76a89p-4, -0x1.2c12775b1fed8p-4, -0x1.2975b0f177ea3p-4, -0x1.26d5f63f00ba6p-4, -0x1.243387e246b92p-4, -0x1.218ea4e03179bp-4, -0x1.1ee78aad4707ep-4, -0x1.1c3e7536e034p-4, -0x1.19939eec51f6ep-4, -0x1.16e740c81242cp-4, -0x1.14399258d3548p-4, -0x1.118ac9ca90f18p-4, -0x1.0edb1bef8bp-4, -0x1.0c2abc4920483p-4, -0x1.0979dd107a0f1p-4, -0x1.06c8af3f01afbp-4, -0x1.041762968f21dp-4, -0x1.016625a94a187p-4, -0x1.fd6a4bc26871ep-5, -0x1.f8091f0eb711bp-5, -0x1.f2a91b9564df4p-5, -0x1.ed4a958d187a6p-5, -0x1.e7eddf118a25p-5, -0x1.e293482f3701cp-5, -0x1.dd3b1eee6c24cp-5, -0x1.d7e5af5dc811cp-5, -0x1.d293439c3c823p-5, -0x1.cd4423e2863f6p-5, -0x1.c7f8968c3f4d8p-5, -0x1.c2b0e0207b92ep-5, -0x1.bd6d435a1275ep-5, -0x1.b82e012f89219p-5, -0x1.b2f358dab39b8p-5, -0x1.adbd87e0151bfp-5, -0x1.a88cca1606b28p-5, -0x1.a36159abadb6fp-5, -0x1.9e3b6f2fcb85ap-5, -0x1.991b419769598p-5, -0x1.9401064468596p-5, -0x1.8eecf10bf68e8p-5, -0x1.89df343ce9772p-5, -0x1.84d800a5fccddp-5, -0x1.7fd7859bf638dp-5, -0x1.7addf0ffaab7ep-5, -0x1.75eb6f43d4375p-5, -0x1.71002b72dda41p-5, -0x1.6c1c4f34624bbp-5, -0x1.674002d2a361ep-5, -0x1.626b6d3fb99fp-5, -0x1.5d9eb41aa7e7bp-5, -0x1.58d9fbb43aeffp-5, -0x1.541d6713be4bdp-5, -0x1.4f6917fb89be1p-5, -0x1.4abd2eed64a7bp-5, -0x1.4619cb2ec15bcp-5, -0x1.417f0accd6521p-5, -0x1.3ced0aa09a7ffp-5, -0x1.3863e652a09e4p-5, -0x1.33e3b85ed6a3bp-5, -0x1.2f6c9a183678p-5, -0x1.2afea3ac5e069p-5, -0x1.2699ec27193d6p-5, -0x1.223e8975e4a91p-5, -0x1.1dec906b61a3fp-5, -0x1.19a414c2ccfb4p-5, -0x1.156529236c6edp-5, -0x1.112fdf24011d9p-5, -0x1.0d04474e3cc28p-5, -0x1.08e271222f8ecp-5, -0x1.04ca6b19d0663p-5, -0x1.00bc42ac75474p-5, -0x1.f97008a4c0ea9p-6, -0x1.f17b7710943acp-6, -0x1.e99ae5a5ec994p-6, -0x1.e1ce6785a4928p-6, -0x1.da160def25f44p-6, -0x1.d271e847bc6d7p-6, -0x1.cae20421e6112p-6, -0x1.c3666d44bfff6p-6, -0x1.bbff2db36e213p-6, -0x1.b4ac4db489ee1p-6, -0x1.ad6dd3d9abee5p-6, -0x1.a643c506e50f1p-6, -0x1.9f2e247a4e7a2p-6, -0x1.982cf3d394811p-6, -0x1.9140331b931ffp-6, -0x1.8a67e0cbe73dap-6, -0x1.83a3f9d6901bbp-6, -0x1.7cf479ad8ea9ap-6, -0x1.76595a4a87a87p-6, -0x1.6fd2943667eb3p-6, -0x1.69601e91072fp-6, -0x1.6301ef18d4ccep-6, -0x1.5cb7fa3272d44p-6, -0x1.568232f0658d8p-6, -0x1.50608b1ab4e9cp-6, -0x1.4a52f33697184p-6, -0x1.44595a8e0f25bp-6, -0x1.3e73af378e6bep-6, -0x1.38a1de1d9c569p-6, -0x1.32e3d30672e67p-6, -0x1.2d39789b9a7f6p-6, -0x1.27a2b8718887cp-6, -0x1.221f7b0f30a8dp-6, -0x1.1cafa7f5a2056p-6, -0x1.175325a790bcep-6, -0x1.1209d9b0e3a6dp-6, -0x1.0cd3a8ae36cc3p-6, -0x1.07b076545b107p-6, -0x1.02a02577ced08p-6, -0x1.fb45302842cc5p-7, -0x1.f16f5ea6cc4bfp-7, -0x1.e7be972b04242p-7, -0x1.de3298eef0486p-7, -0x1.d4cb21b564272p-7, -0x1.cb87edd85176fp-7, -0x1.c268b85719051p-7, -0x1.b96d3ae4b14a1p-7, -0x1.b0952df59e8e1p-7, -0x1.a7e048cdeb0c2p-7, -0x1.9f4e418ecd755p-7, -0x1.96decd445ab65p-7, -0x1.8e919ff2ddaa1p-7, -0x1.86666ca43034ep-7, -0x1.7e5ce574dee52p-7, -0x1.7674bba1100e8p-7, -0x1.6ead9f915cd38p-7, -0x1.670740e766a06p-7, -0x1.5f814e8a4f184p-7, -0x1.581b76b2fbefap-7, -0x1.50d566f823e39p-7, -0x1.49aecc5a425bdp-7, -0x1.42a7534f463acp-7, -0x1.3bbea7ce0e4aep-7, -0x1.34f47559d0245p-7, -0x1.2e48670d28f06p-7, -0x1.27ba27a515f8p-7, -0x1.2149618ba8a8dp-7, -0x1.1af5bee293795p-7, -0x1.14bee98d72f8p-7, -0x1.0ea48b3bf72f9p-7, -0x1.08a64d73c85dp-7, -0x1.02c3d99a34e6ap-7, -0x1.f9f9b1fb5dd3p-8, -0x1.eea1e9be27765p-8, -0x1.e37facf58603bp-8, -0x1.d8924e22de94ep-8, -0x1.cdd91fe187aa4p-8, -0x1.c35374f7a3562p-8, -0x1.b900a06677ec9p-8, -0x1.aedff57a90b07p-8, -0x1.a4f0c7db3164ap-8, -0x1.9b326b99849f6p-8, -0x1.91a4353f4db3fp-8, -0x1.884579dd34b77p-8, -0x1.7f158f18a8202p-8, -0x1.7613cb3944836p-8, -0x1.6d40213f86f55p-8, -0x1.6498b4a28f979p-8, -0x1.5c1d7601f37ebp-8, -0x1.53cdbeac989aep-8, -0x1.4ba8e8d056b26p-8, -0x1.43ae4f853215dp-8, -0x1.3bdd4ed7b68eap-8, -0x1.343543d35dd7dp-8, -0x1.2cb58c8c4672ep-8, -0x1.255d8828ab27ap-8, -0x1.1e2c96e9f2eebp-8, -0x1.17221a353df9dp-8, -0x1.103d749bebb21p-8, -0x1.097e09e35b1ddp-8, -0x1.02e33f0c8c50bp-8, -0x1.f8d8f4b6a8294p-9, -0x1.ec3246ba6b919p-9, -0x1.dfd145dfc38b5p-9, -0x1.d3b4c68ec3b13p-9, -0x1.c7db9fe7d3f89p-9, -0x1.bc44abceaaf09p-9, -0x1.b0eec6f4a27f5p-9, -0x1.a5d8d0e2668cfp-9, -0x1.9b01ac01021ep-9, -0x1.90683da26af2ap-9, -0x1.860b6e09009fbp-9, -0x1.7bea286f41223p-9, -0x1.72035b0e27bccp-9, -0x1.6855f723589b6p-9, -0x1.5ee0f0f6aff6p-9, -0x1.55a33fdf4597bp-9, -0x1.4c9bde47c541fp-9, -0x1.43c9c9b29f181p-9, -0x1.3b2c02bd576cep-9, -0x1.32c18d2382aeep-9, -0x1.2a896fc1592f5p-9, -0x1.2282b4959ab51p-9, -0x1.1aac68c34aa79p-9, -0x1.13059c92c236cp-9, -0x1.0b8d63726ea26p-9, -0x1.0442d3f71ca91p-9, -0x1.fa4a0fb7d18a4p-10, -0x1.ec6638038105ep-10, -0x1.ded860dd6258ap-10, -0x1.d19ed09846583p-10, -0x1.c4b7d3cc50535p-10, -0x1.b821bd51e087bp-10, -0x1.abdae63d9810fp-10, -0x1.9fe1addb3ffdfp-10, -0x1.943479a7e5bc2p-10, -0x1.88d1b54befa17p-10, -0x1.7db7d294149c1p-10, -0x1.72e54969f66edp-10, -0x1.685897cc69bccp-10, -0x1.5e1041c6edcaap-10, -0x1.540ad168fbb73p-10, -0x1.4a46d6bcbc94fp-10, -0x1.40c2e7bcbc8e6p-10, -0x1.377da04abc055p-10, -0x1.2e75a22468c3bp-10, -0x1.25a994d8bdcf8p-10, -0x1.1d1825bca3d6bp-10, -0x1.14c007df55ef4p-10, -0x1.0c9ff3fe6fa5bp-10, -0x1.04b6a879c34fcp-10, -0x1.fa05d28d47f22p-11, -0x1.eb06ffc669e19p-11, -0x1.dc6e7692b05a3p-11, -0x1.ce39dfc295357p-11, -0x1.c066eee8946f9p-11, -0x1.b2f3623cc10a9p-11, -0x1.a5dd028214de6p-11, -0x1.9921a2e9855b1p-11, -0x1.8cbf20f5546a3p-11, -0x1.80b3645c4c98dp-11, -0x1.74fc5eec836f3p-11, -0x1.69980c6de716ep-11, -0x1.5e8472841b76cp-11, -0x1.53bfa0911b707p-11, -0x1.4947af96a852ap-11, -0x1.3f1ac21817de6p-11, -0x1.353703fba34c6p-11, -0x1.2b9aaa6bd204cp-11, -0x1.2243f3b8c5b66p-11, -0x1.193127394474dp-11, -0x1.1060952bf45f6p-11, -0x1.07d0969783aa7p-11, -0x1.feff1a5a2d7dcp-12, -0x1.eed7c64e77fb5p-12, -0x1.df28165944501p-12, -0x1.cfed005fff8fbp-12, -0x1.c1238aa15c93p-12, -0x1.b2c8cb794a15ap-12, -0x1.a4d9e920cfefbp-12, -0x1.975419714d747p-12, -0x1.8a34a1a64cd2cp-12, -0x1.7d78d61fcb1bp-12, -0x1.711e1a255f31dp-12, -0x1.6521dfa87eaecp-12, -0x1.5981a708147fcp-12, -0x1.4e3afed3dfb45p-12, -0x1.434b838ffb44bp-12, -0x1.38b0df792f9bap-12, -0x1.2e68ca496165fp-12, -0x1.247108fc56da9p-12, -0x1.1ac76d9570343p-12, -0x1.1169d6e4c7f22p-12, -0x1.0856304e515b2p-12, -0x1.ff14e31cbf3e3p-13, -0x1.ee093d07e7e7fp-13, -0x1.dd858deca9779p-13, -0x1.cd860cbb9dba8p-13, -0x1.be07075943ca4p-13, -0x1.af04e2306304fp-13, -0x1.a07c17c623c64p-13, -0x1.9269384f141d1p-13, -0x1.84c8e9455cf29p-13, -0x1.7797e500eeb24p-13, -0x1.6ad2fa4fd1127p-13, -0x1.5e770c0e6d75bp-13, -0x1.528110c687c33p-13, -0x1.46ee12493bd47p-13, -0x1.3bbb2d4dd6c74p-13, -0x1.30e591109f331p-13, -0x1.266a7ef3bc80bp-13, -0x1.1c474a20f4a04p-13, -0x1.1279572d11fddp-13, -0x1.08fe1bbb57ddbp-13, -0x1.ffa63c4a8e054p-14, -0x1.edebea3f49532p-14, -0x1.dcc88ecae5ae8p-14, -0x1.cc3796b9f4102p-14, -0x1.bc348d90a140ep-14, -0x1.acbb1cdc7dcddp-14, -0x1.9dc70b91a1538p-14, -0x1.8f543d6755fe5p-14, -0x1.815eb23b903b7p-14, -0x1.73e28569b60e4p-14, -0x1.66dbed40f4f5p-14, -0x1.5a473a602dea5p-14, -0x1.4e20d72258697p-14, -0x1.4265470b3ecc6p-14, -0x1.37112634577c9p-14, -0x1.2c2128c0c09ebp-14, -0x1.21921a4d2ed56p-14, -0x1.1760dd687618fp-14, -0x1.0d8a6b08ac482p-14, -0x1.040bd206ff3c1p-14, -0x1.f5c46d37bfc61p-15, -0x1.e415a3bb17159p-15, -0x1.d305e2825f663p-15, -0x1.c28fec3c48b9ep-15, -0x1.b2aeaa67a6e09p-15, -0x1.a35d2c5f5c5ddp-15, -0x1.9496a67537908p-15, -0x1.865671039d5f6p-15, -0x1.7898078d8858ep-15, -0x1.6b5707df1a76ap-15, -0x1.5e8f31330bac4p-15, -0x1.523c635c74a1fp-15, -0x1.465a9df712666p-15, -0x1.3ae5ff9081c48p-15, -0x1.2fdac4ec10702p-15, -0x1.2535483476b27p-15, -0x1.1af2003be1939p-15, -0x1.110d7fc0b0bc8p-15, -0x1.078474b0b3ec7p-15, -0x1.fca74eeb8c4a3p-16, -0x1.eaeff4866dd93p-16, -0x1.d9dcd0cfb3e7bp-16, -0x1.c9680b46388d2p-16, -0x1.b98bfb00fdfb4p-16, -0x1.aa4325592c317p-16, -0x1.9b883cc1ff348p-16, -0x1.8d561f7dedd7ap-16, -0x1.7fa7d6727d5bp-16, -0x1.727893faa6fcfp-16, -0x1.65c3b2cc24eeap-16, -0x1.5984b4bb5bcfep-16, -0x1.4db741c75512bp-16, -0x1.425726f279d8ap-16, -0x1.37605539bd65bp-16, -0x1.2ccee08df0fb4p-16, -0x1.229efed5d233dp-16, -0x1.18cd06ef0f7a6p-16, -0x1.0f556fbe0d0c1p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.32c5b316fd537p-1, 0x1.18b09be9b5fdbp-1, 0x1.0371a04aa49a7p-1, 0x1.e5f6aeab822cfp-2, 0x1.ce38ff0c751d3p-2, 0x1.bf17c06faccddp-2, 0x1.b7d5360334c08p-2, 0x1.b79a9a04b40d8p-2, 0x1.bd88dae3d154p-2, 0x1.c8bb8b68b6a18p-2, 0x1.d84e1b8a7d387p-2, 0x1.eb658c35e5928p-2, 0x1.009a3ad7f7994p-1, 0x1.0c7d70203f1a7p-1, 0x1.190411b37ccc7p-1, 0x1.25debb2f42504p-1, 0x1.32c7095e5e6cdp-1, 0x1.3f7f1331ce63cp-1, 0x1.4bd13998cae3ep-1, 0x1.579008a3d0f57p-1, 0x1.6295c0487747ap-1, 0x1.6cc3d224e1f4fp-1, 0x1.76008f583e901p-1, 0x1.7e3bb61fcd9fap-1, 0x1.85685b581497bp-1, 0x1.8b7d96ea9a0adp-1, 0x1.907682403857ap-1, 0x1.94523806d69b5p-1, 0x1.97137fdcf331ep-1, 0x1.98c026f19dcb7p-1, 0x1.996038a774855p-1, 0x1.98fd519b7e3c6p-1, 0x1.97a230f797e7bp-1, 0x1.955a878565372p-1, 0x1.9232e80838c7fp-1, 0x1.8e38b64c0d37ep-1, 0x1.8979fe8b68adep-1, 0x1.8405328b9c1e7p-1, 0x1.7de8dacc96f31p-1, 0x1.773350cf71588p-1, 0x1.6ff291a49fd26p-1, 0x1.68342b16a8d4ap-1, 0x1.60053ae948837p-1, 0x1.577273ee9faf6p-1, 0x1.4e881f2f7c52ep-1, 0x1.455214cf02e61p-1, 0x1.3bdbadee1b918p-1, 0x1.322fb46e38549p-1, 0x1.285855e3f6e1dp-1, 0x1.1e5f1cfe3c0fap-1, 0x1.144cf1db5d2e8p-1, 0x1.0a2a1f95244eap-1, 0x1.fffcb884c4feep-2, 0x1.eba1a1c6a222ap-2, 0x1.d7503fb6a1691p-2, 0x1.c314d3f5d77fap-2, 0x1.aefaa5bd0821ap-2, 0x1.9b0c0a9c353d9p-2, 0x1.87526f951b337p-2, 0x1.73d6623b95203p-2, 0x1.609f9992df5a4p-2, 0x1.4db4fecd2e107p-2, 0x1.3b1cb6680ce13p-2, 0x1.28dcd279f162dp-2, 0x1.16f7758083b92p-2, 0x1.0572d0c7aa7e9p-2, 0x1.e8a51d6d7b6b4p-3, 0x1.c73380aae6f9fp-3, 0x1.a695cc7939398p-3, 0x1.86cff5fa877eap-3, 0x1.67e4fd4ebe401p-3, 0x1.49d705d69e875p-3, 0x1.2ca76e763d989p-3, 0x1.1056e8b974bbap-3, 0x1.e9cb1c005c342p-4, 0x1.b4a5e43de0174p-4, 0x1.813c662cc755ep-4, 0x1.4f8c0b62eef09p-4, 0x1.1f917e1caf915p-4, 0x1.e2916d68e88edp-5, 0x1.895a094b16d1bp-5, 0x1.3372297e61378p-5, 0x1.c19bd9c77c0b8p-6, 0x1.22c0885b0a4b3p-6, 0x1.146c0daa73e8bp-7, -0x1.044169af2f2ffp-11, -0x1.28cfb0e2678eap-7, -0x1.1abd0a6c24c1cp-6, -0x1.9b44791b9410cp-6, -0x1.0b10ebe77db1fp-5, -0x1.45bcb3a200bcep-5, -0x1.7db7d86f04c2bp-5, -0x1.b314a71499a53p-5, -0x1.e5e55effa65c7p-5, -0x1.0b1e11c60475cp-4, -0x1.221579a4b6e01p-4, -0x1.37e1d20a280dap-4, -0x1.4c8bf14c78e4fp-4, -0x1.601c99e00b8a2p-4, -0x1.729c7b4bc3743p-4, -0x1.841432be72673p-4, -0x1.948c4ad012b1ep-4, -0x1.a40d3a2878e85p-4, -0x1.b29f60f69f3cdp-4, -0x1.c04b055219b3bp-4, -0x1.cd184ec6afa2dp-4, -0x1.d90f41651412fp-4, -0x1.e437b8bffcbeep-4, -0x1.ee99633afa7fbp-4, -0x1.f83bbe0197b46p-4, -0x1.009308f2d94e5p-3, -0x1.04afb8a4392c3p-3, -0x1.08775b8af4d1p-3, -0x1.0bed436238b7cp-3, -0x1.0f14a69b6b0e8p-3, -0x1.11f0a12a8213ap-3, -0x1.1484359437ae6p-3, -0x1.16d24e23de713p-3, -0x1.18ddbe2f63p-3, -0x1.1aa94352836b4p-3, -0x1.1c37868db0686p-3, -0x1.1d8b1d39f3818p-3, -0x1.1ea689c878e79p-3, -0x1.1f8c3c4a39f09p-3, -0x1.203e92c1ec419p-3, -0x1.20bfd947088b3p-3, -0x1.21124a0494098p-3, -0x1.21380d204e376p-3, -0x1.2133389796b8p-3, -0x1.2105d01e86336p-3, -0x1.20b1c50bf368dp-3, -0x1.2038f65a902d1p-3, -0x1.1f9d30c4a4bep-3, -0x1.1ee02efd30251p-3, -0x1.1e039a06e0e3p-3, -0x1.1d0909a72fd8fp-3, -0x1.1bf204f26c47bp-3, -0x1.1ac002ec4db64p-3, -0x1.19746b37db8b2p-3, -0x1.181096d1214adp-3, -0x1.1695d0cb258d6p-3, -0x1.1505570cd3cafp-3, -0x1.13605b0824cfep-3, -0x1.11a802678b42p-3, -0x1.0fdd67ae7af93p-3, -0x1.0e019acaf7e32p-3, -0x1.0c15a196f26c3p-3, -0x1.0a195893896e5p-3, -0x1.081080f0c560cp-3, -0x1.05fa462424372p-3, -0x1.03d787cb980f3p-3, -0x1.01a91daf3fbeep-3, -0x1.fedfaff4af6d4p-4, -0x1.fa58fed0efa46p-4, -0x1.f5bfaad3c45b3p-4, -0x1.f1152883471e7p-4, -0x1.ec5ade3ffbaedp-4, -0x1.e7922476be7ccp-4, -0x1.e2bc45d379ee1p-4, -0x1.ddda7f77b4ce5p-4, -0x1.d8ee01374034bp-4, -0x1.d3f7eddc8ef25p-4, -0x1.cef95b75c02b8p-4, -0x1.c9f353aaa7005p-4, -0x1.c4e6d41bac145p-4, -0x1.bfd4cec8ccb9fp-4, -0x1.babe2a7fcc047p-4, -0x1.b5a3c35020cc6p-4, -0x1.b0866b02fdf51p-4, -0x1.ab66e995d07f2p-4, -0x1.a645fdb53c447p-4, -0x1.a1245d36f4acfp-4, -0x1.9c02b590ad3cap-4, -0x1.96e1ac4ab410cp-4, -0x1.91c1df6ce594dp-4, -0x1.8ca3e5e51814cp-4, -0x1.87884fe631de3p-4, -0x1.826fa73f8c889p-4, -0x1.7d5a6fac7f8f2p-4, -0x1.7849271c275aep-4, -0x1.733c45f1bdb46p-4, -0x1.6e343f3df83f6p-4, -0x1.693180f211ab7p-4, -0x1.6434740d2ab3dp-4, -0x1.5f3d7cc4c7ca9p-4, -0x1.5a4cfaa932ed3p-4, -0x1.556348c680832p-4, -0x1.5080bdc2f6dabp-4, -0x1.4ba5abfb7f909p-4, -0x1.46d2619ec5708p-4, -0x1.420728c77f677p-4, -0x1.3d44479661908p-4, -0x1.388a004c0fa9fp-4, -0x1.33d8916357ab1p-4, -0x1.2f3035abeaaa5p-4, -0x1.2a912465af29fp-4, -0x1.25fb915cbeeb9p-4, -0x1.216fad0606425p-4, -0x1.1ceda49c7a29p-4, -0x1.1875a23ec1bfdp-4, -0x1.1407cd0d2fa89p-4, -0x1.0fa44947db943p-4, -0x1.0b4b386cab73fp-4, -0x1.06fcb95517881p-4, -0x1.02b8e85372942p-4, -0x1.fcffbe9f11aefp-5, -0x1.f4a36bc4c3c62p-5, -0x1.ec5d02e1ffa97p-5, -0x1.e42caa8beca2bp-5, -0x1.dc1285537bf48p-5, -0x1.d40eb1f35e27ap-5, -0x1.cc214b7b3036cp-5, -0x1.c44a6977d4a1ap-5, -0x1.bc8a201900806p-5, -0x1.b4e080541049fp-5, -0x1.ad4d98044560dp-5, -0x1.a5d172089752dp-5, -0x1.9e6c165f5009ap-5, -0x1.971d8a3fa6fddp-5, -0x1.8fe5d0319f555p-5, -0x1.88c4e82464085p-5, -0x1.81bacf835ffa9p-5, -0x1.7ac7814a4e8c4p-5, -0x1.73eaf6187b2c3p-5, -0x1.6d25244360d36p-5, -0x1.6675ffe8d4569p-5, -0x1.5fdd7b00e0f5dp-5, -0x1.595b856f71e7bp-5, -0x1.52f00d15e0ccdp-5, -0x1.4c9afde47c0cp-5, -0x1.465c41ec0c7a1p-5, -0x1.4033c16f60fccp-5, -0x1.3a2162f4e407dp-5, -0x1.34250b582f57dp-5, -0x1.2e3e9ddba2238p-5, -0x1.286dfc39e55afp-5, -0x1.22b306b75a71p-5, -0x1.1d0d9c3365e7p-5, -0x1.177d9a398679fp-5, -0x1.1202dd1230254p-5, -0x1.0c9d3fd3590a1p-5, -0x1.074c9c70b0225p-5, -0x1.0210cbcb7223ep-5, -0x1.f9d34b83a357fp-6, -0x1.efae027bd69c1p-6, -0x1.e5b1688881e93p-6, -0x1.dbdd280369abp-6, -0x1.d230e9b20306dp-6, -0x1.c8ac54df5e391p-6, -0x1.bf4f0f750a793p-6, -0x1.b618be12ef2acp-6, -0x1.ad0904262a8b6p-6, -0x1.a41f83fef03c7p-6, -0x1.9b5bdee57f94fp-6, -0x1.92bdb52e294a6p-6, -0x1.8a44a64c86eb5p-6, -0x1.81f050e5db06p-6, -0x1.79c052e2b6d48p-6, -0x1.71b4497fe8f4p-6, -0x1.69cbd15ec98e5p-6, -0x1.62068694ea4b7p-6, -0x1.5a6404bb3aef3p-6, -0x1.52e3e6fcaf4c2p-6, -0x1.4b85c82467f54p-6, -0x1.444942ab72168p-6, -0x1.3d2df0c62143cp-6, -0x1.36336c710dcdap-6, -0x1.2f594f7db1462p-6, -0x1.289f339ebca6bp-6, -0x1.2204b27415cc5p-6, -0x1.1b8965968bc4bp-6, -0x1.152ce6a33cff5p-6, -0x1.0eeecf46b9f0ap-6, -0x1.08ceb947d8e56p-6, -0x1.02cc3e9243775p-6, -0x1.f9cdf28179de6p-7, -0x1.ee3d074e33ae7p-7, -0x1.e2e4f0b7ec37p-7, -0x1.d7c4e4843043bp-7, -0x1.ccdc19231c6e6p-7, -0x1.c229c5c0fffb1p-7, -0x1.b7ad22575f42cp-7, -0x1.ad6567bd6528dp-7, -0x1.a351cfb7c0ca3p-7, -0x1.99719507d8e16p-7, -0x1.8fc3f37a76a6fp-7, -0x1.864827f5d311ap-7, -0x1.7cfd70870ee7ap-7, -0x1.73e30c6f12d11p-7, -0x1.6af83c2ee6e6dp-7, -0x1.623c419368677p-7, -0x1.59ae5fc083938p-7, -0x1.514ddb3bd2b9cp-7, -0x1.4919f9f6c2d29p-7, -0x1.4112035828fap-7, -0x1.39354045525a5p-7, -0x1.3182fb2aa0f73p-7, -0x1.29fa8003a2e99p-7, -0x1.229b1c62b3f34p-7, -0x1.1b641f7828b6bp-7, -0x1.1454da19097b2p-7, -0x1.0d6c9ec55c126p-7, -0x1.06aac1ae052c7p-7, -0x1.000e98ba3e92p-7, -0x1.f32ef719529bap-8, -0x1.e689870ffb346p-8, -0x1.da2b97a6bc677p-8, -0x1.ce13e2bc97186p-8, -0x1.c24125c8831fap-8, -0x1.b6b221dff7d11p-8, -0x1.ab659bbcd651cp-8, -0x1.a05a5bc2a5221p-8, -0x1.958f2e033cf27p-8, -0x1.8b02e242cff69p-8, -0x1.80b531b94d4abp-8, -0x1.76a32c48b9f67p-8, -0x1.6ccc8e3422d15p-8, -0x1.6330362d98a22p-8, -0x1.59cd06a4fa1afp-8, -0x1.50a1e5c8cd256p-8, -0x1.47adbd86993d6p-8, -0x1.3eef7b8ad5b54p-8, -0x1.366611405e617p-8, -0x1.2e1073cf8216ep-8, -0x1.25ed9c1ca31b4p-8, -0x1.1dfc86c671b02p-8, -0x1.163c3423c0292p-8, -0x1.0eaba840fa1f6p-8, -0x1.0749eadd35bf9p-8, -0x1.00160766f3782p-8, -0x1.f21e19f0f5b47p-9, -0x1.e4681ca7d0c6bp-9, -0x1.d70843bdc929ap-9, -0x1.c9fcc33c15a5cp-9, -0x1.bd43d6600ac8fp-9, -0x1.b0dbbf90b305bp-9, -0x1.a4c2c853de05dp-9, -0x1.98f74142a1004p-9, -0x1.8d7781fd56245p-9, -0x1.8241e91f0d07cp-9, -0x1.7754dc3098006p-9, -0x1.6caec79b0ba12p-9, -0x1.624e1e99ddf2ep-9, -0x1.58315b2c93662p-9, -0x1.4e56fe08067p-9, -0x1.44bd8e874c12dp-9, -0x1.3b639a9c47565p-9, -0x1.3247b6bfda3b4p-9, -0x1.29687de1c86fdp-9, -0x1.20c4915853148p-9, -0x1.185a98cf80a0ap-9, -0x1.10294238345c8p-9, -0x1.082f41b6f55b7p-9, -0x1.006b519288fc5p-9, -0x1.f1b8644493b98p-10, -0x1.e3015378c66c1p-10, -0x1.d4af09479dbc6p-10, -0x1.c6bf29ec5b217p-10, -0x1.b92f653301a33p-10, -0x1.abfd765390343p-10, -0x1.9f2723ccef7b8p-10, -0x1.92aa3f3fb175fp-10, -0x1.8684a548ca54fp-10, -0x1.7ab43d5bf3ccap-10, -0x1.6f36f99e29269p-10, -0x1.640ad6bff1caap-10, -0x1.592ddbd7a5066p-10, -0x1.4e9e1a3bb2554p-10, -0x1.4459ad5ce2e77p-10, -0x1.3a5ebaa0a9cc2p-10, -0x1.30ab713b6e79cp-10, -0x1.273e0a0b0b21bp-10, -0x1.1e14c77147a2fp-10, -0x1.152df52e7763bp-10, -0x1.0c87e83c5517fp-10, -0x1.0420fea8df182p-10, -0x1.f7ef3ee2ff34ap-11, -0x1.e81474bcaab18p-11, -0x1.d8ae8fbb8d0e4p-11, -0x1.c9ba91c060893p-11, -0x1.bb358d67dcdf4p-11, -0x1.ad1ca5c338e44p-11, -0x1.9f6d0e1123ae2p-11, -0x1.92240977769ecp-11, -0x1.853eeabd4f3d1p-11, -0x1.78bb1405e66e5p-11, -0x1.6c95f68bfec8p-11, -0x1.60cd125de1decp-11, -0x1.555df61a22649p-11, -0x1.4a463eacfd403p-11, -0x1.3f83970e6a0fcp-11, -0x1.3513b800c623ep-11, -0x1.2af467d0664a8p-11, -0x1.21237a13b22f1p-11, -0x1.179ecf6bf165fp-11, -0x1.0e645546f55e2p-11, -0x1.057205a14747ep-11, -0x1.f98bcd92974e3p-12, -0x1.e8bc1645d1746p-12, -0x1.d87121d8043efp-12, -0x1.c8a74403251d5p-12, -0x1.b95ae74b64041p-12, -0x1.aa888c8bfa4edp-12, -0x1.9c2cca862fbb2p-12, -0x1.8e444d7133835p-12, -0x1.80cbd68b7c619p-12, -0x1.73c03badf4653p-12, -0x1.671e66dff9cccp-12, -0x1.5ae355ed0d85p-12, -0x1.4f0c19fc16877p-12, -0x1.4395d727a0f8ep-12, -0x1.387dc417d4d5cp-12, -0x1.2dc1299d92408p-12, -0x1.235d624f1d481p-12, -0x1.194fda25f6127p-12, -0x1.0f960e1e4c34dp-12, -0x1.062d8bd7a03cep-12, -0x1.fa27e26db0a55p-13, -0x1.e88dd8136dacap-13, -0x1.d78873575dd72p-13, -0x1.c7134d582a4c4p-13, -0x1.b72a1ceb7d9c3p-13, -0x1.a7c8b5eff522p-13, -0x1.98eb08a1f4177p-13, -0x1.8a8d20f337047p-13, -0x1.7cab25e53ef7cp-13, -0x1.6f4158e690eccp-13, -0x1.624c1532da7c7p-13, -0x1.55c7cf35e5545p-13, -0x1.49b113f17d7b8p-13, -0x1.3e048865ee856p-13, -0x1.32bee8fe3e3b8p-13, -0x1.27dd08fe16b99p-13, -0x1.1d5bd1f35eb07p-13, -0x1.1338432acf458p-13, -0x1.096f7126f4be1p-13, -0x1.fffd0a34d40dbp-14, -0x1.edc578c98a902p-14, -0x1.dc32d02500937p-14, -0x1.cb3fd8bf499d7p-14, -0x1.bae7807ad213bp-14, -0x1.ab24d9b3efa31p-14, -0x1.9bf31a58bad8ap-14, -0x1.8d4d9b02b7576p-14, -0x1.7f2fd618714ccp-14, -0x1.719566f2eee19p-14, -0x1.647a09090cdb6p-14, -0x1.57d9971f4c21ap-14, -0x1.4bb00a7c13925p-14, -0x1.3ff97a21fd188p-14, -0x1.34b21a0d5527ep-14, -0x1.29d63a769d06p-14, -0x1.1f6247195f299p-14, -0x1.1552c67f57d84p-14, -0x1.0ba4594ef403p-14, -0x1.0253b99eab4e8p-14, -0x1.f2bb7496bb54bp-15, -0x1.e17e8ca4cc2b9p-15, -0x1.d0eac060e1372p-15, -0x1.c0fa4284260c1p-15, -0x1.b1a7725131b59p-15, -0x1.a2ecda645d88dp-15, -0x1.94c52f8b11f4cp-15, -0x1.872b4f9f64ae7p-15, -0x1.7a1a406c46dbap-15, -0x1.6d8d2e968facdp-15, -0x1.617f6c8d52562p-15, -0x1.55ec717e29e26p-15, -0x1.4acfd85240f85p-15, -0x1.40255eb051712p-15, -0x1.35e8e403b4f82p-15, -0x1.2c16688b6d41cp-15, -0x1.22aa0c6d8fa2dp-15, -0x1.19a00ed21936ep-15, -0x1.10f4cd0290af8p-15, -0x1.08a4c19189c0fp-15, -0x1.00ac8385491dap-15, -0x1.f2118b15e276dp-16, -0x1.e36caa5cbb8c4p-16, -0x1.d564342f859f3p-16, -0x1.c7f22a9ea4c7ep-16, -0x1.bb10c10adbb28p-16, -0x1.aeba5ac360903p-16, -0x1.a2e989ab5c07fp-16, -0x1.97990ceaed783p-16, -0x1.8cc3cfa9d108bp-16, -0x1.8264e7d039296p-16, -0x1.787794d6dc9eep-16, -0x1.6ef73e988c8d1p-16, -0x1.65df742f5d83fp-16, -0x1.5d2bead7cf5fep-16, -0x1.54d87cdeb0001p-16, -0x1.4ce1288e7a1f2p-16, -0x1.45420f2af8c56p-16, -0x1.3df773eefc5a7p-16, -0x1.36fdbb11945ffp-16, -0x1.305168cd4ba91p-16, -0x1.29ef2074db16bp-16, -0x1.23d3a38553161p-16, -0x1.1dfbd0c17e732p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.8d0b9c40a3ca5p-2, 0x1.7777b4c13d8f7p-2, 0x1.64db1711cd58cp-2, 0x1.559e2cce9f093p-2, 0x1.49e688a1ec65bp-2, 0x1.41a5712c4523p-2, 0x1.3ca99eba385d5p-2, 0x1.3aa6f1ffdf00cp-2, 0x1.3b3dfd2421283p-2, 0x1.3e069dd0b3062p-2, 0x1.42961eecbd2bcp-2, 0x1.4881df9f9f13ep-2, 0x1.4f6329e81a766p-2, 0x1.56dae9bca7fc2p-2, 0x1.5e93063145189p-2, 0x1.663eaaa39d5c3p-2, 0x1.6d9aecafbaf78p-2, 0x1.746f3da6ae362p-2, 0x1.7a8d1ac443f8p-2, 0x1.7fcf6b53ac8b5p-2, 0x1.8419e4f385e6bp-2, 0x1.875883d5a7062p-2, 0x1.897ee10d33bcp-2, 0x1.8a85178c368p-2, 0x1.8a6a7903ed90fp-2, 0x1.8933b5df5b577p-2, 0x1.86e9972bf3d39p-2, 0x1.8397e218568a4p-2, 0x1.7f4c9d40d2bb4p-2, 0x1.7a17aebb42042p-2, 0x1.740aa415f36b4p-2, 0x1.6d386ffacc95cp-2, 0x1.65b50274c909dp-2, 0x1.5d94c6576f4a7p-2, 0x1.54ec2226542eap-2, 0x1.4bcf14649caefp-2, 0x1.4250f2c76e76cp-2, 0x1.38844857866d3p-2, 0x1.2e7ac937ad9ap-2, 0x1.2445504b1b46ap-2, 0x1.19f3dbae296c8p-2, 0x1.0f9581bfe176ep-2, 0x1.05385ef6c56bap-2, 0x1.f5d302b2ce1fbp-3, 0x1.e169af80bda4ap-3, 0x1.cd4a534672796p-3, 0x1.b98832dded271p-3, 0x1.a634611da50e8p-3, 0x1.935de48527418p-3, 0x1.8111e2c12afedp-3, 0x1.6f5bca7efce52p-3, 0x1.5e45764e01fe9p-3, 0x1.4dd746b32de5ap-3, 0x1.3e1834979f969p-3, 0x1.2f0ddee435b91p-3, 0x1.20bc967698f63p-3, 0x1.13276b445d8e1p-3, 0x1.06503ce3caec4p-3, 0x1.f46f9fa74acb9p-4, 0x1.ddbbcf53a0a3ap-4, 0x1.c882c9fc79fe8p-4, 0x1.b4c0c9d27411ep-4, 0x1.a270bf2ab5d0fp-4, 0x1.918df0e41325dp-4, 0x1.8210369f86b37p-4, 0x1.73eec2b3bd326p-4, 0x1.672101cdc54eep-4, 0x1.5b9dec0835a11p-4, 0x1.515c070641be2p-4, 0x1.485161b7cb651p-4, 0x1.4073902436e95p-4, 0x1.39b7ac727060fp-4, 0x1.3412604feaf06p-4, 0x1.2f77f76795a6ap-4, 0x1.2bdc796573126p-4, 0x1.2933c88018f41p-4, 0x1.2771c0e32124fp-4, 0x1.268a558ed3c91p-4, 0x1.2671a8147aed9p-4, 0x1.271c19b745e36p-4, 0x1.287e55a0782c2p-4, 0x1.2a8d54d1985f5p-4, 0x1.2d3e5d33c2b31p-4, 0x1.3086fd84aebf5p-4, 0x1.345d07f2ab52fp-4, 0x1.38b68d0599182p-4, 0x1.3d89d80f99639p-4, 0x1.42cd6de2d8956p-4, 0x1.48780e08893ffp-4, 0x1.4e80b6415d6f8p-4, 0x1.54dea7c0a504ep-4, 0x1.5b896d5f26233p-4, 0x1.6278e1f306a98p-4, 0x1.69a536098b52cp-4, 0x1.7106f4656beefp-4, 0x1.789704d8164d9p-4, 0x1.804ead4535c56p-4, 0x1.882790d714da9p-4, 0x1.901bad99da2f5p-4, 0x1.982558d615954p-4, 0x1.a03f3a95aa88bp-4, 0x1.a86448c001961p-4, 0x1.b08fc22ef39d7p-4, 0x1.b8bd2a08fb6a9p-4, 0x1.c0e8439538714p-4, 0x1.c90d0ea5ecbadp-4, 0x1.d127c4a2885d3p-4, 0x1.d934d62aa45b3p-4, 0x1.e130e940814f3p-4, 0x1.e918d7e24cb04p-4, 0x1.f0e9aef55e0d1p-4, 0x1.f8a0ad64dcfd8p-4, 0x1.001da1aaf4b7bp-3, 0x1.03db88ab1c21p-3, 0x1.0788f3b712ecbp-3, 0x1.0b24e202a6367p-3, 0x1.0eae694785504p-3, 0x1.1224b4fd95067p-3, 0x1.15870576751f7p-3, 0x1.18d4aee00b197p-3, 0x1.1c0d18339eb6fp-3, 0x1.1f2fba186cd9bp-3, 0x1.223c1dc0bbdf1p-3, 0x1.2531dbc8551bp-3, 0x1.28109b1a560d2p-3, 0x1.2ad80fe3180c8p-3, 0x1.2d87fa9187286p-3, 0x1.302026e9ec91cp-3, 0x1.32a06b2ae626ep-3, 0x1.3508a7447a6b1p-3, 0x1.3758c420a38b9p-3, 0x1.3990b2fc4d159p-3, 0x1.3bb06ccfc3843p-3, 0x1.3db7f1c57deebp-3, 0x1.3fa748be3671ap-3, 0x1.417e7ee1014e8p-3, 0x1.433da7361e2ffp-3, 0x1.44e4da4ae4646p-3, 0x1.467435dd2a01ap-3, 0x1.47ebdc8c76efap-3, 0x1.494bf58f8ee4ap-3, 0x1.4a94ac6d1af28p-3, 0x1.4bc630b6a30e6p-3, 0x1.4ce0b5c560d26p-3, 0x1.4de47278bf801p-3, 0x1.4ed1a0f6b0d71p-3, 0x1.4fa87e6ddf8dp-3, 0x1.5069205d85defp-3, 0x1.5114ac23c3afdp-3, 0x1.51aa9c0614753p-3, 0x1.522b35df999bbp-3, 0x1.5296c1f55d1a1p-3, 0x1.52ed8ac47d58dp-3, 0x1.532fdccf6f205p-3, 0x1.535e066a6e2e1p-3, 0x1.5378578730ac4p-3, 0x1.537f21802930cp-3, 0x1.5372b6e3a127cp-3, 0x1.53536b3f1fc41p-3, 0x1.532192eb9a5edp-3, 0x1.52dd82db16458p-3, 0x1.52879068428d1p-3, 0x1.52201128b8f3cp-3, 0x1.51a75ac277d56p-3, 0x1.511dc2c51f4cp-3, 0x1.50839e8754e23p-3, 0x1.4fd94308b4c06p-3, 0x1.4f1f04d876288p-3, 0x1.4e553800de84fp-3, 0x1.4d7c2ff78146ep-3, 0x1.4c943f920fe4cp-3, 0x1.4b9db8ff87d3fp-3, 0x1.4a98edc558751p-3, 0x1.49862ec007911p-3, 0x1.4865cc26d3181p-3, 0x1.47381591bd3e7p-3, 0x1.45fd5a015e7a5p-3, 0x1.44b5e7e7ed208p-3, 0x1.43620d32c9d3cp-3, 0x1.42021754086f4p-3, 0x1.4096534b660bdp-3, 0x1.3f1f0dae282f7p-3, 0x1.3d9c92ad8546p-3, 0x1.3c0f2e1b43b3fp-3, 0x1.3a772b6c4925ep-3, 0x1.38d4d5b9106e5p-3, 0x1.372877bbeaae6p-3, 0x1.35725bcd319bcp-3, 0x1.33b2cbdd88cb4p-3, 0x1.31ea116e7703bp-3, 0x1.301875899ed6cp-3, 0x1.2e3e40b6f3bep-3, 0x1.2c5bbaf24817ep-3, 0x1.2a712ba09a0d4p-3, 0x1.287ed98577556p-3, 0x1.26850ab8cd2bap-3, 0x1.2484049d7805cp-3, 0x1.227c0bd8c6107p-3, 0x1.206d644b27601p-3, 0x1.1e58510a2011bp-3, 0x1.1c3d145b9dc8ap-3, 0x1.1a1befb2a4382p-3, 0x1.17f523ad59857p-3, 0x1.15c8f0144aecp-3, 0x1.139793dad8ef1p-3, 0x1.11614d20a9aa3p-3, 0x1.0f265933e1ecbp-3, 0x1.0ce6f49414697p-3, 0x1.0aa35af59fbb5p-3, 0x1.085bc74552c7ap-3, 0x1.061073ac36f42p-3, 0x1.03c199933b92fp-3, 0x1.016f71a6b7162p-3, 0x1.fe3467b317cecp-4, 0x1.f9842ecfb086p-4, 0x1.f4cea5b24605p-4, 0x1.f0143803e780cp-4, 0x1.eb5550098ebfdp-4, 0x1.e69256a4da94ep-4, 0x1.e1cbb3538caffp-4, 0x1.dd01cc2de8aefp-4, 0x1.d83505e414188p-4, 0x1.d365c3ba8552bp-4, 0x1.ce946785c7f5cp-4, 0x1.c9c151a5b0dc8p-4, 0x1.c4ece1001e198p-4, 0x1.c01772fb957f3p-4, 0x1.bb416379ca86dp-4, 0x1.b66b0cd245a4ap-4, 0x1.b194c7cd43e74p-4, 0x1.acbeeb9ef3d43p-4, 0x1.a7e9cde3249ddp-4, 0x1.a315c299891f8p-4, 0x1.9e431c227b462p-4, 0x1.99722b3c6b85cp-4, 0x1.94a33f01e9e3ap-4, 0x1.8fd6a4e849761p-4, 0x1.8b0ca8bedcc41p-4, 0x1.864594aec04adp-4, 0x1.8181b13b2108bp-4, 0x1.7cc14541f9144p-4, 0x1.780495fd2c9a3p-4, 0x1.734be703fb7a4p-4, 0x1.6e977a4cb3fafp-4, 0x1.69e7902e9c33dp-4, 0x1.653c6763fe4ccp-4, 0x1.60963d0c52785p-4, 0x1.5bf54cae73d62p-4, 0x1.5759d03ae06bp-4, 0x1.52c4000df5edfp-4, 0x1.4e3412f22c4c2p-4, 0x1.49aa3e2248f5ep-4, 0x1.4526b54b8c03bp-4, 0x1.40a9aa8fd59ep-4, 0x1.3c334e87c8939p-4, 0x1.37c3d044eb2e3p-4, 0x1.335b5d53cd216p-4, 0x1.2efa21be3509p-4, 0x1.2aa0480d5aed6p-4, 0x1.264df94c36d5p-4, 0x1.22035d09e2dd7p-4, 0x1.1dc0995c1e0ccp-4, 0x1.1985d2e1ea0d9p-4, 0x1.15532cc64e90cp-4, 0x1.1128c8c34092ep-4, 0x1.0d06c724b243fp-4, 0x1.08ed46cbcb66cp-4, 0x1.04dc653249173p-4, 0x1.00d43e6e0b4e7p-4, 0x1.f9a9da698cef2p-5, 0x1.f1bd15bfbaf46p-5, 0x1.e9e25ee0ca397p-5, 0x1.e219e3268c059p-5, 0x1.da63cd4b0b199p-5, 0x1.d2c0457158e4ap-5, 0x1.cb2f712e919cap-5, 0x1.c3b173931e9d5p-5, 0x1.bc466d34213d4p-5, 0x1.b4ee7c3512104p-5, 0x1.ada9bc517d5d2p-5, 0x1.a67846e6ef134p-5, 0x1.9f5a32fef653ap-5, 0x1.984f955946e0fp-5, 0x1.91588075f2d79p-5, 0x1.8a75049fbc51fp-5, 0x1.83a52ff675201p-5, 0x1.7ce90e79744f3p-5, 0x1.7640aa1214d7dp-5, 0x1.6fac0a9e42b81p-5, 0x1.692b35fb145f2p-5, 0x1.62be300f65dacp-5, 0x1.5c64fad684e84p-5, 0x1.561f966ada8fp-5, 0x1.4fee01109bc49p-5, 0x1.49d037407f576p-5, 0x1.43c633b273801p-5, 0x1.3dcfef685155ep-5, 0x1.37ed61b8974cap-5, 0x1.321e805919d88p-5, 0x1.2c633f69b5d4bp-5, 0x1.26bb917efa77bp-5, 0x1.212767acd23ap-5, 0x1.1ba6b19120d3dp-5, 0x1.16395d5e597e1p-5, 0x1.10df57e60c0cbp-5, 0x1.0b988ca36504fp-5, 0x1.0664e5c5a216fp-5, 0x1.01444c3a79389p-5, 0x1.f86d4f70d7647p-6, 0x1.ee77bd921d3b5p-6, 0x1.e4a7ada672b62p-6, 0x1.dafce84a4d4fcp-6, 0x1.d17733fcf3d3p-6, 0x1.c81655346891ep-6, 0x1.bedb564c437afp-6, 0x1.b5c36d0d125adp-6, 0x1.accf9a7a3cf1cp-6, 0x1.a3ff9bc9a0e24p-6, 0x1.9b532c8738964p-6, 0x1.92ca06a74ad7bp-6, 0x1.8a63e29866566p-6, 0x1.8220775535c62p-6, 0x1.79ff7a762205fp-6, 0x1.7200a042c95b8p-6, 0x1.6a239bc33b917p-6, 0x1.62681ed0fd16bp-6, 0x1.5acdda27e90bp-6, 0x1.53547d76b9ecap-6, 0x1.4bfbb76f6759ep-6, 0x1.44c335d73cbfcp-6, 0x1.3daaa596b3849p-6, 0x1.36b1b2c9029a9p-6, 0x1.2fd808cb6598ap-6, 0x1.291d524c2802p-6, 0x1.2281395952436p-6, 0x1.1c03676f1dafap-6, 0x1.15a385860a319p-6, 0x1.0f613c20b1249p-6, 0x1.093c3359419e3p-6, 0x1.033412eea793dp-6, 0x1.fa9104a2e04b4p-7, 0x1.eef2516096cb4p-7, 0x1.e38b5a08843f2p-7, 0x1.d85b6c392fc62p-7, 0x1.cd61d554bc7c3p-7, 0x1.c29de29751efdp-7, 0x1.b80ee12d031dp-7, 0x1.adb41e46f3312p-7, 0x1.a38ce72fe24f1p-7, 0x1.9998896019e31p-7, 0x1.8fd65290b2e43p-7, 0x1.864590ce46e79p-7, 0x1.7ce5928afb215p-7, 0x1.73b5a6afedc59p-7, 0x1.6ab51cae1814dp-7, 0x1.61e3448e88edep-7, 0x1.593f6f021b151p-7, 0x1.50c8ed709213bp-7, 0x1.487f12070f9d8p-7, 0x1.40612fc63460dp-7, 0x1.386e9a8f7ee69p-7, 0x1.30a6a7323c64bp-7, 0x1.2908ab77eb464p-7, 0x1.2193fe301f9aep-7, 0x1.1a47f73be6e33p-7, 0x1.1323ef98a9f6cp-7, 0x1.0c27416a94c14p-7, 0x1.0551480686ef2p-7, 0x1.fd42bff71f046p-8, 0x1.f02dce37dbeb1p-8, 0x1.e362790b675abp-8, 0x1.d6df8155a65a9p-8, 0x1.caa3aab1efb64p-8, 0x1.beadbb8192d6dp-8, 0x1.b2fc7cf9b3c09p-8, 0x1.a78ebb3060103p-8, 0x1.9c634528d67e8p-8, 0x1.9178ecdf24f05p-8, 0x1.86ce8752efc37p-8, 0x1.7c62ec91a3a4bp-8, 0x1.7234f7bfe0f51p-8, 0x1.6843872254d18p-8, 0x1.5e8d7c25ce32p-8, 0x1.5511bb66d4ef4p-8, 0x1.4bcf2cb873de6p-8, 0x1.42c4bb2ab224p-8, 0x1.39f155103382ep-8, 0x1.3153ec036b2c6p-8, 0x1.28eb74eb39aa1p-8, 0x1.20b6e7ff0bd5cp-8, 0x1.18b540ca672b5p-8, 0x1.10e57e2ff13f7p-8, 0x1.0946a26c197aep-8, 0x1.01d7b317233d8p-8, 0x1.f52f724d8b36dp-9, 0x1.e70b81deb5056p-9, 0x1.d941b44928017p-9, 0x1.cbd02fb390838p-9, 0x1.beb5210390608p-9, 0x1.b1eebbdcb2633p-9, 0x1.a57b3a9e45fbdp-9, 0x1.9958de60ea6f9p-9, 0x1.8d85eef2aa6c6p-9, 0x1.8200bad302392p-9, 0x1.76c7972d9db1dp-9, 0x1.6bd8dfd47f659p-9, 0x1.6132f73993a5dp-9, 0x1.56d446675ba67p-9, 0x1.4cbb3cf907601p-9, 0x1.42e65111c3a84p-9, 0x1.3953ff5371fbcp-9, 0x1.3002cad4c2a7cp-9, 0x1.26f13d168cbbbp-9, 0x1.1e1de5f8b0e33p-9, 0x1.15875bae511cfp-9, 0x1.0d2c3ab16ad11p-9, 0x1.050b25b5fea05p-9, 0x1.fa458b3943c9dp-10, 0x1.eae392c92431p-10, 0x1.dbedcc3aad084p-10, 0x1.cd61adafd1cdp-10, 0x1.bf3cb92f0930ap-10, 0x1.b17c7c8383179p-10, 0x1.a41e911defd59p-10, 0x1.97209bf34de2fp-10, 0x1.8a804d5bc3f46p-10, 0x1.7e3b60f0fbd85p-10, 0x1.724f9d6bb72cp-10, 0x1.66bad481424ap-10, 0x1.5b7ae2c070ffdp-10, 0x1.508daf6e67795p-10, 0x1.45f12c6302589p-10, 0x1.3ba355e57297bp-10, 0x1.31a2328817c37p-10, 0x1.27ebd30546a66p-10, 0x1.1e7e521b3105ep-10, 0x1.1557d468631e3p-10, 0x1.0c7688480b136p-10, 0x1.03d8a5aea8141p-10, 0x1.f6f8dc0d932cap-11, 0x1.e6c0581c18c76p-11, 0x1.d70467645b34fp-11, 0x1.c7c1c3dd8caefp-11, 0x1.b8f53955a6b71p-11, 0x1.aa9ba52dd01bcp-11, 0x1.9cb1f61656p-11, 0x1.8f352bccd642dp-11, 0x1.822256d95527cp-11, 0x1.7576984cf8158p-11, 0x1.692f21807d73ap-11, 0x1.5d4933d42a8eap-11, 0x1.51c2206e1e876p-11, 0x1.469747fc8cd62p-11, 0x1.3bc61a751b843p-11, 0x1.314c16d5daff9p-11, 0x1.2726cae6a6316p-11, 0x1.1d53d2fa5ec5cp-11, 0x1.13d0d9b0fb8c5p-11, 0x1.0a9b97b907a1p-11, 0x1.01b1d391b6a72p-11, 0x1.f222c29a88746p-12, 0x1.e17044a6744bdp-12, 0x1.d1480a46297dcp-12, 0x1.c1a60a2de486ap-12, 0x1.b286544d4e3b9p-12, 0x1.a3e51155f72cfp-12, 0x1.95be8242cec92p-12, 0x1.880effdf6401ap-12, 0x1.7ad2fa51eb409p-12, 0x1.6e06f8a4298bp-12, 0x1.61a7984ed9beep-12, 0x1.55b18cc628964p-12, 0x1.4a219f07611c7p-12, 0x1.3ef4ad287bec6p-12, 0x1.3427a9e9ad23dp-12, 0x1.29b79c46a313ap-12, 0x1.1fa19f0e0cb8bp-12, 0x1.15e2e076f79dbp-12, 0x1.0c78a1ba03f8cp-12, 0x1.036036ad1c59cp-12, 0x1.f52e0abfe7e8dp-13, 0x1.e4350b776006cp-13, 0x1.d3d08248fad45p-13, 0x1.c3fba4398221ap-13, 0x1.b4b1c7d4a5561p-13, 0x1.a5ee647c00205p-13, 0x1.97ad11b63df9ap-13, 0x1.89e98687a461ap-13, 0x1.7c9f98c68dac8p-13, 0x1.6fcb3c76dd0afp-13, 0x1.63688326854a5p-13, 0x1.57739b4ca7697p-13, 0x1.4be8cfa859cefp-13, 0x1.40c486a62b799p-13, 0x1.360341c269a0ap-13, 0x1.2ba19ceecc539p-13, 0x1.219c4df97a45ap-13, 0x1.17f023f5cd291p-13, 0x1.0e9a06a4dd4b7p-13, 0x1.0596f5e1cc75dp-13, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.9b4eac3d34496p-2, -0x1.8f4b158026516p-2, -0x1.848c1d1e403f3p-2, -0x1.7b7e2e531abep-2, -0x1.745a13e3562abp-2, -0x1.6f2fa8c051a56p-2, -0x1.6bed149ea48adp-2, -0x1.6a6a118ab95c7p-2, -0x1.6a702c99cf86p-2, -0x1.6bbeeac1d7361p-2, -0x1.6e10ea0ac2a1ap-2, -0x1.712104dad3313p-2, -0x1.74acd48474ac1p-2, -0x1.7876015a586cep-2, -0x1.7c43f471112dfp-2, -0x1.7fe51b84ebc5bp-2, -0x1.832f1dd7ed072p-2, -0x1.85feb37bd5054p-2, -0x1.883799484dbddp-2, -0x1.89c45aa594109p-2, -0x1.8a95c6fe34995p-2, -0x1.8aa2054adf671p-2, -0x1.89e4865c0ea85p-2, -0x1.885e0ab1b4993p-2, -0x1.86120e6f44a93p-2, -0x1.8306e283c94fbp-2, -0x1.7f4586a4ae3b2p-2, -0x1.7ad9693dacb26p-2, -0x1.75cfe5d1b8b91p-2, -0x1.703798c68b4bdp-2, -0x1.6a1fbbe90e3dp-2, -0x1.6397b4249acfap-2, -0x1.5caed8d07e881p-2, -0x1.55745fce33707p-2, -0x1.4df74f41c70c6p-2, -0x1.46465f2473be6p-2, -0x1.3e6fc7a7dd0a4p-2, -0x1.368108bee6d9ap-2, -0x1.2e86bc4a9e7bbp-2, -0x1.268c7f168523ap-2, -0x1.1e9cf1b4b4eadp-2, -0x1.16c1c8395e60ap-2, -0x1.0f03dbf537f6dp-2, -0x1.076b35a79b7ecp-2, -0x1.fffe1bdcec25ap-3, -0x1.f18b8fddb408p-3, -0x1.e389d8f87f111p-3, -0x1.d6025625a7aa4p-3, -0x1.c8fcc6d07061cp-3, -0x1.bc7f6ded55ac6p-3, -0x1.b08f3d7f831afp-3, -0x1.a530008ba2a99p-3, -0x1.9a647c28d3bc4p-3, -0x1.902e85b5c698fp-3, -0x1.868f1086d082ep-3, -0x1.7d8637384ec6ap-3, -0x1.751344e08d124p-3, -0x1.6d34c17f0da6fp-3, -0x1.65e8836ce313ap-3, -0x1.5f2bc571eb8c2p-3, -0x1.58fb3f48564bap-3, -0x1.53533dac4ac74p-3, -0x1.4e2fb7c1fd0ebp-3, -0x1.498c35c9ba2aap-3, -0x1.4563c76d5a8eep-3, -0x1.41b27ebdbcf12p-3, -0x1.3e73a25a5f38p-3, -0x1.3ba2537ccc3e7p-3, -0x1.393991d682636p-3, -0x1.373440a915e2fp-3, -0x1.358d2d6fae59dp-3, -0x1.343f181ca0e43p-3, -0x1.3344bca75c27cp-3, -0x1.3298dd614239ep-3, -0x1.32364d4d35e54p-3, -0x1.3217f99c2f50bp-3, -0x1.3238f1865206ep-3, -0x1.32946bf65d0aap-3, -0x1.3325cad0a02a3p-3, -0x1.33e89bf253481p-3, -0x1.34d8984bef078p-3, -0x1.35f1a1a9929eap-3, -0x1.372fbfd4c035cp-3, -0x1.388f1db838df7p-3, -0x1.3a0c0712c1471p-3, -0x1.3ba2e71689f13p-3, -0x1.3d50481b63ffdp-3, -0x1.3f10d454e7ec8p-3, -0x1.40e1575473157p-3, -0x1.42bec00538ed5p-3, -0x1.44a622c87e32p-3, -0x1.4694bb5e17dbp-3, -0x1.4887ee567ba9bp-3, -0x1.4a7d49e1eb527p-3, -0x1.4c7285e7af87p-3, -0x1.4e6583653d0d7p-3, -0x1.50544b26120fep-3, -0x1.523d0bf22f5dbp-3, -0x1.541e1859dc41fp-3, -0x1.55f5e44a46618p-3, -0x1.57c30296961ccp-3, -0x1.5984229c46a4p-3, -0x1.5b380e20b46bfp-3, -0x1.5cdda77a9cc25p-3, -0x1.5e73e80e99b4fp-3, -0x1.5ff9df1ba6b6bp-3, -0x1.616eb0cd43e8ap-3, -0x1.62d195846565ep-3, -0x1.6421d946703bep-3, -0x1.655edb41cd16dp-3, -0x1.66880d5931b01p-3, -0x1.679cf3a9523bcp-3, -0x1.689d23ffd38d9p-3, -0x1.6988453d95e8ap-3, -0x1.6a5e0ea1c84acp-3, -0x1.6b1e46fe22501p-3, -0x1.6bc8c3d71de2ap-3, -0x1.6c5d687508f4cp-3, -0x1.6cdc24ebc77dfp-3, -0x1.6d44f51fb61ccp-3, -0x1.6d97dfcdd2fddp-3, -0x1.6dd4f59c9bb0cp-3, -0x1.6dfc503a040edp-3, -0x1.6e0e118995ef8p-3, -0x1.6e0a62e485b37p-3, -0x1.6df1746c396e9p-3, -0x1.6dc37c6ea37c6p-3, -0x1.6d80b6daf2bd6p-3, -0x1.6d2964c475608p-3, -0x1.6cbdcbf128961p-3, -0x1.6c3e3671963ep-3, -0x1.6baaf23fb4fd4p-3, -0x1.6b0450e32f127p-3, -0x1.6a4aa719db2adp-3, -0x1.697e4c83c017ep-3, -0x1.689f9b52792d4p-3, -0x1.67aeeffbe629cp-3, -0x1.66aca8f053889p-3, -0x1.6599265431376p-3, -0x1.6474c9bd6949ap-3, -0x1.633ff5f47c7b5p-3, -0x1.61fb0eb96f11ap-3, -0x1.60a6788cb9fedp-3, -0x1.5f42987c5aad1p-3, -0x1.5dcfd3f53636cp-3, -0x1.5c4e9098d2b02p-3, -0x1.5abf34175bf39p-3, -0x1.5921f0c6fc959p-3, -0x1.5777e9a230573p-3, -0x1.55c0edb4c2792p-3, -0x1.53fd614919844p-3, -0x1.522da86dfec8dp-3, -0x1.505226dee66cep-3, -0x1.4e6b3fed00e96p-3, -0x1.4c795668db05cp-3, -0x1.4a7ccc8c345d7p-3, -0x1.487603e3d6c5dp-3, -0x1.46655d39453e6p-3, -0x1.444b387c2b8bep-3, -0x1.4227f4aba8e1cp-3, -0x1.3ffbefbfade59p-3, -0x1.3dc78692b004fp-3, -0x1.3b8b14cc29be6p-3, -0x1.3946f4cc4a616p-3, -0x1.36fb7f99487fcp-3, -0x1.34a90ccecb2d1p-3, -0x1.324ff28faa40fp-3, -0x1.2ff0857a584c4p-3, -0x1.2d8b18a015eb3p-3, -0x1.2b1ffd7ef9e3cp-3, -0x1.28af83fec3821p-3, -0x1.2639fa7052419p-3, -0x1.23bfad8f996b7p-3, -0x1.2140e887b6d25p-3, -0x1.1ebdf4f8f4616p-3, -0x1.1c371b0051f8fp-3, -0x1.19aca1403515ap-3, -0x1.171ecce9f37cep-3, -0x1.148de1c7cafc8p-3, -0x1.11fa2246f0e95p-3, -0x1.0f63cf81721e9p-3, -0x1.0ccb294781da8p-3, -0x1.0a306e2810c43p-3, -0x1.0793db78677f1p-3, -0x1.04f5ad5aa8a5ap-3, -0x1.02561ec3226bfp-3, -0x1.ff6ad2f8d708cp-4, -0x1.fa278c549bd2ap-4, -0x1.f4e2d89733defp-4, -0x1.ef9d2476126d7p-4, -0x1.ea56da5e845cfp-4, -0x1.e51062749dbbap-4, -0x1.dfca22912d87bp-4, -0x1.da847e3f5ec0ep-4, -0x1.d53fd6ba34892p-4, -0x1.cffc8aea5e3a8p-4, -0x1.cabaf764ad56dp-4, -0x1.c57b766960547p-4, -0x1.c03e5fe49172dp-4, -0x1.bb04096fd263p-4, -0x1.b5ccc65516302p-4, -0x1.b098e792eeaf7p-4, -0x1.ab68bbe214ac3p-4, -0x1.a63c8fbc206bap-4, -0x1.a114ad6372895p-4, -0x1.9bf15cebee2c4p-4, -0x1.96d2e444aba2fp-4, -0x1.91b9874228f51p-4, -0x1.8ca587a90082ap-4, -0x1.87972538d92a1p-4, -0x1.828e9db771859p-4, -0x1.7d8c2cfb930edp-4, -0x1.78900cf7cfc76p-4, -0x1.739a75c4e24a6p-4, -0x1.6eab9dab9aa36p-4, -0x1.69c3b92e3fd0ap-4, -0x1.64e2fb115d254p-4, -0x1.60099463ec0fdp-4, -0x1.5b37b486ddf74p-4, -0x1.566d89340a66bp-4, -0x1.51ab3e848594dp-4, -0x1.4cf0fef66f47cp-4, -0x1.483ef372490acp-4, -0x1.4395434fe65aep-4, -0x1.3ef4145b08bc9p-4, -0x1.3a5b8ad7ba8c8p-4, -0x1.35cbc98686fbbp-4, -0x1.3144f1a88e824p-4, -0x1.2cc723039fb8p-4, -0x1.28527be650b42p-4, -0x1.23e7192c34eccp-4, -0x1.1f8516423293dp-4, -0x1.1b2c8d2b00f1dp-4, -0x1.16dd9683d7d4bp-4, -0x1.129849895014cp-4, -0x1.0e5cbc1c78b2bp-4, -0x1.0a2b02c81e734p-4, -0x1.060330c64029bp-4, -0x1.01e55805b1746p-4, -0x1.fba3125fc09b8p-5, -0x1.f38fa75d73826p-5, -0x1.eb908b654d737p-5, -0x1.e3a5d87134d03p-5, -0x1.dbcfa62054ac3p-5, -0x1.d40e09c354b11p-5, -0x1.cc6116688e8bfp-5, -0x1.c4c8dce82f4d1p-5, -0x1.bd456bf048f1ap-5, -0x1.b5d6d010bc2cp-5, -0x1.ae7d13c706062p-5, -0x1.a7383f89db332p-5, -0x1.a00859d4a3031p-5, -0x1.98ed6732bcdb2p-5, -0x1.91e76a4aa4413p-5, -0x1.8af663e8e12eep-5, -0x1.841a530ad4273p-5, -0x1.7d5334e962fb9p-5, -0x1.76a105037aa43p-5, -0x1.7003bd287a94p-5, -0x1.697b5582827e4p-5, -0x1.6307c4a0a6c72p-5, -0x1.5ca8ff8118a3ap-5, -0x1.565ef99b33225p-5, -0x1.5029a4e97f67cp-5, -0x1.4a08f1f3a9ca2p-5, -0x1.43fccfd86baacp-5, -0x1.3e052c57684a5p-5, -0x1.3821f3dafeb59p-5, -0x1.32531182139a1p-5, -0x1.2c986f29ca912p-5, -0x1.26f1f57734838p-5, -0x1.215f8be0f215ap-5, -0x1.1be118b8c531p-5, -0x1.167681350f8d7p-5, -0x1.111fa97a4435ep-5, -0x1.0bdc74a43d9b3p-5, -0x1.06acc4cf8a279p-5, -0x1.01907b2292778p-5, -0x1.f90eefad6c269p-6, -0x1.ef2334828889bp-6, -0x1.e55d81b8bcd29p-6, -0x1.dbbd929f7da0cp-6, -0x1.d24320f2c5854p-6, -0x1.c8ede4ec25803p-6, -0x1.bfbd9553a5a4fp-6, -0x1.b6b1e79063988p-6, -0x1.adca8fb8ecce5p-6, -0x1.a50740a35f10ep-6, -0x1.9c67abf54f56cp-6, -0x1.93eb823361c74p-6, -0x1.8b9272d0ae61p-6, -0x1.835c2c3ddf41bp-6, -0x1.7b485bf80ee4dp-6, -0x1.7356ae9769de6p-6, -0x1.6b86cfdd8766p-6, -0x1.63d86ac38bb3cp-6, -0x1.5c4b2987fe5c6p-6, -0x1.54deb5bc6b33bp-6, -0x1.4d92b852bb67ap-6, -0x1.4666d9aa4f462p-6, -0x1.3f5ac19cd5de8p-6, -0x1.386e178ae8d15p-6, -0x1.31a08268632aep-6, -0x1.2af1a8c87b054p-6, -0x1.246130e99092bp-6, -0x1.1deec0c0c9157p-6, -0x1.1799fe055dd84p-6, -0x1.11628e3bb38f6p-6, -0x1.0b4816c0293e8p-6, -0x1.054a3cd1a7161p-6, -0x1.fed14b37dbf63p-7, -0x1.f345ec8349d4p-7, -0x1.e7f1a7cc4e07fp-7, -0x1.dcd3c76e167c9p-7, -0x1.d1ecb9a7f3b4bp-7, -0x1.c7398748cc02bp-7, -0x1.bcba98f8543bbp-7, -0x1.b26f3a2faaacp-7, -0x1.a856b6d34066p-7, -0x1.9e705b42b6f0ap-7, -0x1.94bb74681d861p-7, -0x1.8b374fc6f0651p-7, -0x1.81e33b8a926f6p-7, -0x1.78be869451f7fp-7, -0x1.6fc880890c754p-7, -0x1.670079de619d2p-7, -0x1.5e65c3e77e5a7p-7, -0x1.55f7b0e169197p-7, -0x1.4db593fefc734p-7, -0x1.459ec17454d49p-7, -0x1.3db28e81efe43p-7, -0x1.35f0517f4b6b5p-7, -0x1.2e5761e51ea15p-7, -0x1.26e718572f8a6p-7, -0x1.1f9eceadb0b6ap-7, -0x1.187ddffe42417p-7, -0x1.1183a8a47fb19p-7, -0x1.0aaf864a2cbd8p-7, -0x1.0400d7eefed73p-7, -0x1.faedfbdfd9ae4p-8, -0x1.ee22b41c77e35p-8, -0x1.e19e9eec1a9c7p-8, -0x1.d5608589300afp-8, -0x1.c967341c07681p-8, -0x1.bdb179c5ba082p-8, -0x1.b23e28aa76861p-8, -0x1.a70c15faff4c7p-8, -0x1.9c1a19fd88ae6p-8, -0x1.91671015e0e24p-8, -0x1.86f1d6ccf6243p-8, -0x1.7cb94fd7bea7cp-8, -0x1.72bc601d670b8p-8, -0x1.68f9efbcff0abp-8, -0x1.5f70ea1284e5p-8, -0x1.56203dbb5f416p-8, -0x1.4d06dc9a36e79p-8, -0x1.4423bbda58912p-8, -0x1.3b75d3f2a7444p-8, -0x1.32fc20a793e25p-8, -0x1.2ab5a10d5d9ep-8, -0x1.22a157891eca6p-8, -0x1.1abe49d1c3b56p-8, -0x1.130b80f073ed4p-8, -0x1.0b8809407a0bbp-8, -0x1.0432f26ef01cbp-8, -0x1.fa169ef3b07e6p-9, -0x1.ec206d5db155ep-9, -0x1.de8183536a90bp-9, -0x1.d1381aa47be8ap-9, -0x1.c44273b41943cp-9, -0x1.b79ed573b73d7p-9, -0x1.ab4b8d5cf6981p-9, -0x1.9f46ef6b5251bp-9, -0x1.938f5614b9e0cp-9, -0x1.882322420ac9cp-9, -0x1.7d00bb46ba7abp-9, -0x1.72268ed81fe2cp-9, -0x1.679311042b3bdp-9, -0x1.5d44bc27cc33ep-9, -0x1.533a10e4a7e1dp-9, -0x1.49719616a9931p-9, -0x1.3fe9d8c90d9d6p-9, -0x1.36a16c2aed874p-9, -0x1.2d96e983c32dcp-9, -0x1.24c8f0274c9a9p-9, -0x1.1c3625692cdbdp-9, -0x1.13dd349076575p-9, -0x1.0bbcceca8f0bfp-9, -0x1.03d3ab1e28875p-9, -0x1.f8410cbb9c0a5p-10, -0x1.e944463467049p-10, -0x1.daae9328ed795p-10, -0x1.cc7d8f5fbb30fp-10, -0x1.beaee1c781fd4p-10, -0x1.b1403c59defep-10, -0x1.a42f5bfe42cd7p-10, -0x1.977a086c93ddbp-10, -0x1.8b1e140edc84cp-10, -0x1.7f195be37de37p-10, -0x1.7369c75eb2081p-10, -0x1.680d484b7973p-10, -0x1.5d01daad71aaap-10, -0x1.524584a0edf45p-10, -0x1.47d6563c1783p-10, -0x1.3db2696f3c3b4p-10, -0x1.33d7e1e4ba62ep-10, -0x1.2a44ece1cc5e6p-10, -0x1.20f7c125bf1b7p-10, -0x1.17ee9eca2ff19p-10, -0x1.0f27cf227135dp-10, -0x1.06a1a49b0f75bp-10, -0x1.fcb4f532cce9ep-11, -0x1.eca16ab595be3p-11, -0x1.dd0583a7a1978p-11, -0x1.cdde2b1f173c6p-11, -0x1.bf285d1d114ep-11, -0x1.b0e1264c01e17p-11, -0x1.a305a3bdc4226p-11, -0x1.959302a9eb353p-11, -0x1.8886802be1226p-11, -0x1.7bdd690129566p-11, -0x1.6f951947f7926p-11, -0x1.63aafc3d9faebp-11, -0x1.581c8bfdad932p-11, -0x1.4ce75140c51d1p-11, -0x1.4208e31c38de3p-11, -0x1.377ee6c1afb85p-11, -0x1.2d470f3f53616p-11, -0x1.235f1d4076b38p-11, -0x1.19c4deceb9dd5p-11, -0x1.10762f1345c3bp-11, -0x1.0770f619f161p-11, -0x1.fd665125c81edp-12, -0x1.ec758f2de34ffp-12, -0x1.dc0bc0d667406p-12, -0x1.cc25188c43b96p-12, -0x1.bcbde02a55eedp-12, -0x1.add278860322bp-12, -0x1.9f5f58fd8895p-12, -0x1.91610f07f57e7p-12, -0x1.83d43dc6765c7p-12, -0x1.76b59d984521cp-12, -0x1.6a01fbaf00fbdp-12, -0x1.5db639a4d510bp-12, -0x1.51cf4d15bdbap-12, -0x1.464a3f3780085p-12, -0x1.3b242c7795be5p-12, -0x1.305a4416563bcp-12, -0x1.25e9c7c6ef23dp-12, -0x1.1bd00b4e14b3fp-12, -0x1.120a742506709p-12, -0x1.0896791a4c27p-12, -0x1.fee343f253eb8p-13, -0x1.ed330e5a77b06p-13, -0x1.dc17a2d3d9abp-13, -0x1.cb8c72a5db158p-13, -0x1.bb8d0e494f1b7p-13, -0x1.ac1524c0ab038p-13, -0x1.9d2082ec30d35p-13, -0x1.8eab12e517aeap-13, -0x1.80b0db583702cp-13, -0x1.732dfee3eba83p-13, -0x1.661ebb780dbd3p-13, -0x1.597f69b7096ecp-13, -0x1.4d4c7c5a13fe9p-13, -0x1.41827f9714bb7p-13, -0x1.361e188905618p-13, -0x1.2b1c04987200cp-13, -0x1.207918ebfcbacp-13, -0x1.163241d34fa91p-13, -0x1.0c44823ab2ef7p-13, -0x1.02acf31e5abe3p-13, -0x1.f2d1860236dc5p-14, -0x1.e0ea6acae3c52p-14, -0x1.cf9f4491e29e8p-14, -0x1.beeaeb49a9e5p-14, -0x1.aec85dd9cbee9p-14, -0x1.9f32c129fbc4dp-14, -0x1.90255f30127ep-14, -0x1.819ba604b3055p-14, -0x1.739126fba1fbbp-14, -0x1.660195c1a9daap-14, -0x1.58e8c783d50fp-14, -0x1.4c42b21698f1fp-14, -0x1.400b6b25959d3p-14, -0x1.343f27652823ap-14, -0x1.28da39ce037b3p-14, -0x1.1dd912d554889p-14, -0x1.13383faf84b84p-14, -0x1.08f469946ef86p-14, -0x1.fe14aa0cea3f6p-15, -0x1.eaedc246ae0e9p-15, -0x1.d86e0dcf5f898p-15, -0x1.c68fb11b73a0fp-15, -0x1.b54d01b6b80f9p-15, -0x1.a4a084f56f639p-15, -0x1.9484eeb1ca28fp-15, -0x1.84f51ffcbe224p-15, -0x1.75ec25df36f87p-15, -0x1.6765382846892p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.f975945460ad3p-5, -0x1.0e11858398e29p-4, -0x1.21303feec25b3p-4, -0x1.3617a97c75f37p-4, -0x1.4cc01a2cfaa72p-4, -0x1.651a7840fa12ep-4, -0x1.7f1126637f04ap-4, -0x1.9a88f23502e73p-4, -0x1.b761fd79c12f9p-4, -0x1.d5789da31a405p-4, -0x1.f4a62ea1bf214p-4, -0x1.0a60eb757121bp-3, -0x1.1ad09db304b62p-3, -0x1.2b8c914cdb463p-3, -0x1.3c7f037592646p-3, -0x1.4d924c12c8aefp-3, -0x1.5eb116635930ep-3, -0x1.6fc691e1c03c7p-3, -0x1.80be9bcf58aa9p-3, -0x1.9185e1e2156d4p-3, -0x1.a209fe9656b76p-3, -0x1.b2398faa8a90fp-3, -0x1.c204474b3d367p-3, -0x1.d15af874da455p-3, -0x1.e02f9f0cf5625p-3, -0x1.ee75643015437p-3, -0x1.fc209f2b31e09p-3, -0x1.049369c89d6e4p-2, -0x1.0abf566aeb416p-2, -0x1.108ffbe769eecp-2, -0x1.1601cd3b0ab89p-2, -0x1.1b11c51ef2c4fp-2, -0x1.1fbd60a0f8eap-2, -0x1.2402994bd3af4p-2, -0x1.27dfdefcb1058p-2, -0x1.2b5411808ad4dp-2, -0x1.2e5e7a1031e32p-2, -0x1.30fec4bf10993p-2, -0x1.3334f9edc4bebp-2, -0x1.350177cf1090bp-2, -0x1.3664ec0b4a60ap-2, -0x1.37604d8c40b84p-2, -0x1.37f4d67996b3p-2, -0x1.3823fe6be713p-2, -0x1.37ef74db6cce1p-2, -0x1.37591bcd97e4dp-2, -0x1.366302c3d53f6p-2, -0x1.350f61ecba5a7p-2, -0x1.336095980398ap-2, -0x1.315919ed07191p-2, -0x1.2efb86e2b4beep-2, -0x1.2c4a8c77b42a7p-2, -0x1.2948ef28de4aap-2, -0x1.25f984a3ee146p-2, -0x1.225f30b42366cp-2, -0x1.1e7ce26655fccp-2, -0x1.1a559161e3d8p-2, -0x1.15ec3b73e0d53p-2, -0x1.1143e249d55ep-2, -0x1.0c5f8959748cap-2, -0x1.074233f2ab7f4p-2, -0x1.01eee379874c6p-2, -0x1.f8d12b8afbfd6p-3, -0x1.ed64874785674p-3, -0x1.e19dbef4c1848p-3, -0x1.d582a81402cafp-3, -0x1.c919069893e58p-3, -0x1.bc668ad9e8368p-3, -0x1.af70cfb786efap-3, -0x1.a23d58eb6a7bcp-3, -0x1.94d19187933bdp-3, -0x1.8732ca9bd2f99p-3, -0x1.79663a0122f63p-3, -0x1.6b70f947cf736p-3, -0x1.5d5804c62ee5ep-3, -0x1.4f203ac58c0a6p-3, -0x1.40ce5acb4916fp-3, -0x1.326704fc3cfafp-3, -0x1.23eeb9987ea55p-3, -0x1.1569d88dfd609p-3, -0x1.06dca120544ap-3, -0x1.f0966348c7e03p-4, -0x1.d3730e9cbee18p-4, -0x1.b656fc2226272p-4, -0x1.9949a11a523c1p-4, -0x1.7c52301ed8425p-4, -0x1.5f779939e5a0bp-4, -0x1.42c08a18980bfp-4, -0x1.26336e5587111p-4, -0x1.09d66fd9d6a16p-4, -0x1.db5eeea68905ep-5, -0x1.a388597b66dadp-5, -0x1.6c33effdace2bp-5, -0x1.356c032557e5ap-5, -0x1.fe74cd1e294f8p-6, -0x1.9350e4226378ep-6, -0x1.297e06d657471p-6, -0x1.821a0036f9fc4p-7, -0x1.6836b7cc1101dp-8, 0x1.6e1f53755b0bbp-11, 0x1.bd83a5dada1bbp-8, 0x1.a369de86a21a3p-7, 0x1.3260b9182b851p-6, 0x1.9158cc13f5bebp-6, 0x1.ee9280dae427p-6, 0x1.2501ff7f0289ap-5, 0x1.51d21c278f94cp-5, 0x1.7db57211d0e34p-5, 0x1.a8a83d448ef12p-5, 0x1.d2a717b6cd083p-5, 0x1.fbaef6df0205p-5, 0x1.11de949f343bcp-4, 0x1.2567a9f4b9fdep-4, 0x1.3871b8072c781p-4, 0x1.4afbe43d4c1fcp-4, 0x1.5d057b9037bp-4, 0x1.6e8df14e7ec24p-4, 0x1.7f94dddff8618p-4, 0x1.9019fd8ab8e5p-4, 0x1.a01d2f3987d46p-4, 0x1.af9e734424d33p-4, 0x1.be9dea39bcdb1p-4, 0x1.cd1bd3adc56eap-4, 0x1.db188d079cc28p-4, 0x1.e89490552972fp-4, 0x1.f5907320bf9cbp-4, 0x1.010672a53ac8ep-3, 0x1.070557f2a476p-3, 0x1.0cc55a0c09feap-3, 0x1.1246f5015bf23p-3, 0x1.178aafd3c3cb4p-3, 0x1.1c911bec928fbp-3, 0x1.215ad496812d6p-3, 0x1.25e87e794fc52p-3, 0x1.2a3ac717d49ap-3, 0x1.2e5264508c3dp-3, 0x1.323013e0b2dfdp-3, 0x1.35d49ae9fa27bp-3, 0x1.3940c57ade257p-3, 0x1.3c756619a783fp-3, 0x1.3f73555221f7dp-3, 0x1.423b7146117dap-3, 0x1.44ce9d405bd8cp-3, 0x1.472dc14b043bp-3, 0x1.4959c9c7e69c7p-3, 0x1.4b53a70c3f137p-3, 0x1.4d1c4cfefb6b1p-3, 0x1.4eb4b2b9d8b9dp-3, 0x1.501dd22d4cf8ep-3, 0x1.5158a7c739177p-3, 0x1.5266321c5f238p-3, 0x1.534771949e4b5p-3, 0x1.53fd6819ee8e2p-3, 0x1.548918ca1a5bcp-3, 0x1.54eb87ab23a7ap-3, 0x1.5525b96266092p-3, 0x1.5538b2ee58006p-3, 0x1.55257962f42a3p-3, 0x1.54ed11a8b467ep-3, 0x1.5490803e2decep-3, 0x1.5410c8fc22384p-3, 0x1.536eeedc27483p-3, 0x1.52abf3c1b07dcp-3, 0x1.51c8d84596fa8p-3, 0x1.50c69b83f65e4p-3, 0x1.4fa63aec6cd8fp-3, 0x1.4e68b214a0a85p-3, 0x1.4d0efa8d0b01bp-3, 0x1.4b9a0bb7fdd97p-3, 0x1.4a0adaa2ccc8ap-3, 0x1.486259e11bb3dp-3, 0x1.46a1796a427d3p-3, 0x1.44c92678b50b5p-3, 0x1.42da4b6b66d8ap-3, 0x1.40d5cfa923024p-3, 0x1.3ebc9785c49b8p-3, 0x1.3c8f842945983p-3, 0x1.3a4f737898df3p-3, 0x1.37fd400045d7dp-3, 0x1.3599c0e0b2f98p-3, 0x1.3325c9bc1691cp-3, 0x1.30a22aa6008eep-3, 0x1.2e0fb0147564ep-3, 0x1.2b6f22d2840e9p-3, 0x1.28c147f454883p-3, 0x1.2606e0cca1911p-3, 0x1.2340aae385138p-3, 0x1.206f5feea5461p-3, 0x1.1d93b5ca968bp-3, 0x1.1aae5e7584866p-3, 0x1.17c0080b001d8p-3, 0x1.14c95cc0f5e39p-3, 0x1.11cb02e5bb5cep-3, 0x1.0ec59cdf22617p-3, 0x1.0bb9c92a9b6abp-3, 0x1.08a8225e42bccp-3, 0x1.05913f2ade92ep-3, 0x1.0275b25ec2dfcp-3, 0x1.feac15d313d6fp-4, 0x1.f865a7c133c85p-4, 0x1.f2192908e5f85p-4, 0x1.ebc7a08d6c7f5p-4, 0x1.e5720da1bdf37p-4, 0x1.df19681742ef1p-4, 0x1.d8bea04dde52ap-4, 0x1.d2629f451d129p-4, 0x1.cc0646ae7f7f8p-4, 0x1.c5aa7100d4fe1p-4, 0x1.bf4ff18c918e1p-4, 0x1.b8f7949109c7p-4, 0x1.b2a21f529e14dp-4, 0x1.ac505031941f5p-4, 0x1.a602dec1d4e36p-4, 0x1.9fba7be33e933p-4, 0x1.9977d1daa7f74p-4, 0x1.933b846b7a66bp-4, 0x1.8d0630f1cecedp-4, 0x1.86d86e7d0d9dep-4, 0x1.80b2cdeafcfb5p-4, 0x1.7a95da033562ep-4, 0x1.74821792f07f6p-4, 0x1.6e78058925c6ep-4, 0x1.68781d12ee2a4p-4, 0x1.6282d1b820968p-4, 0x1.5c9891782099dp-4, 0x1.56b9c4e6d3bcap-4, 0x1.50e6cf49b657bp-4, 0x1.4b200eb50559dp-4, 0x1.4565dc28f6d4ap-4, 0x1.3fb88baef748fp-4, 0x1.3a186c76e5b81p-4, 0x1.3485c8f44608ap-4, 0x1.2f00e6fb63953p-4, 0x1.298a07de5d0a1p-4, 0x1.2421688a12877p-4, 0x1.1ec741a2f1fd3p-4, 0x1.197bc7a198c69p-4, 0x1.143f2aef491d9p-4, 0x1.0f1198022a142p-4, 0x1.09f33779507c8p-4, 0x1.04e42e388ba75p-4, 0x1.ffc93b07dbbffp-5, 0x1.f5e9463627a2cp-5, 0x1.ec28b2a83d607p-5, 0x1.e287ae6cc8a9cp-5, 0x1.d90661299d2b9p-5, 0x1.cfa4ec4fcc613p-5, 0x1.c6636b4f11d01p-5, 0x1.bd41f3c88d951p-5, 0x1.b44095c0c52b7p-5, 0x1.ab5f5bd0ece4fp-5, 0x1.a29e4b576e753p-5, 0x1.99fd64a7aeaeap-5, 0x1.917ca3390b0b6p-5, 0x1.891bfdd50df5fp-5, 0x1.80db66c4d6ff7p-5, 0x1.78bacbfdb1bd3p-5, 0x1.70ba174cdf86dp-5, 0x1.68d92e8289df5p-5, 0x1.6117f39be3864p-5, 0x1.597644ec739cap-5, 0x1.51f3fd4686a54p-5, 0x1.4a90f422ce2c3p-5, 0x1.434cfdc722c55p-5, 0x1.3c27eb6c71868p-5, 0x1.35218b63cf042p-5, 0x1.2e39a93ab6233p-5, 0x1.27700dde6a514p-5, 0x1.20c47fbe87ae6p-5, 0x1.1a36c2eeb9c78p-5, 0x1.13c699479fe96p-5, 0x1.0d73c286db2d3p-5, 0x1.073dfc6e4ad35p-5, 0x1.012502e279badp-5, 0x1.f65120106eabbp-6, 0x1.ea90b8c2d0223p-6, 0x1.df083dd20e658p-6, 0x1.d3b71a5cbc202p-6, 0x1.c89cb6dee9a4ep-6, 0x1.bdb879657dd06p-6, 0x1.b309c5bfffed3p-6, 0x1.a88ffdb0e91eap-6, 0x1.9e4a811c72c4ap-6, 0x1.9438ae35ee82fp-6, 0x1.8a59e1abae41p-6, 0x1.80ad76d17b6e4p-6, 0x1.7732c7c9a7654p-6, 0x1.6de92dacbcaadp-6, 0x1.64d000afd2719p-6, 0x1.5be6984985e6ap-6, 0x1.532c4b55a80eap-6, 0x1.4aa07037a032dp-6, 0x1.42425cfb87173p-6, 0x1.3a11677604d39p-6, 0x1.320ce562f6f17p-6, 0x1.2a342c82e68aap-6, 0x1.228692b74a31fp-6, 0x1.1b036e1dadad6p-6, 0x1.13aa1529af538p-6, 0x1.0c79debdea44bp-6, 0x1.05722243c9fadp-6, 0x1.fd246f84aa876p-7, 0x1.efb2efe7d8d71p-7, 0x1.e28e78b61428dp-7, 0x1.d5b5beac174c5p-7, 0x1.c9277863fba6dp-7, 0x1.bce25e790a3eep-7, 0x1.b0e52ba9a8a59p-7, 0x1.a52e9cf78d5d9p-7, 0x1.99bd71c6334dcp-7, 0x1.8e906bf7ae07ep-7, 0x1.83a65007c85ccp-7, 0x1.78fde5259e817p-7, 0x1.6e95f54ba449dp-7, 0x1.646d4d563506p-7, 0x1.5a82bd18a32a1p-7, 0x1.50d51770e9854p-7, 0x1.47633259facd2p-7, 0x1.3e2be6fcbf87dp-7, 0x1.352e11bfc8f21p-7, 0x1.2c689255c7f12p-7, 0x1.23da4bcacef52p-7, 0x1.1b8224906ae6dp-7, 0x1.135f06889c222p-7, 0x1.0b6fdf0fb8a41p-7, 0x1.03b39f0543a9fp-7, 0x1.f85275a77feddp-8, 0x1.e99f54ef1516p-8, 0x1.db4bd30985b95p-8, 0x1.cd55ee589a7e2p-8, 0x1.bfbbac7fe99d6p-8, 0x1.b27b1a6b6e9bbp-8, 0x1.a5924c54867e9p-8, 0x1.98ff5dc55ff8bp-8, 0x1.8cc0719aefe01p-8, 0x1.80d3b2057891cp-8, 0x1.75375087b71fp-8, 0x1.69e985f4befc9p-8, 0x1.5ee8926c9b02bp-8, 0x1.5432bd57b8cccp-8, 0x1.49c6556134febp-8, 0x1.3fa1b0700f793p-8, 0x1.35c32b9f597fcp-8, 0x1.2c292b3565b35p-8, 0x1.22d21a9a0c2c7p-8, 0x1.19bc6c4c0a065p-8, 0x1.10e699d58a6eap-8, 0x1.084f23bfe47b3p-8, 0x1.ffe9230d33c19p-9, 0x1.efaae3133df94p-9, 0x1.dfe0b1fdf1b5cp-9, 0x1.d087c7c77508dp-9, 0x1.c19d69d8db5c4p-9, 0x1.b31eeae9d6059p-9, 0x1.a509aadf6545p-9, 0x1.975b16a98fe2p-9, 0x1.8a10a82037e8cp-9, 0x1.7d27e5df1dfd5p-9, 0x1.709e63212306fp-9, 0x1.6471bf9ad5264p-9, 0x1.589fa7545baadp-9, 0x1.4d25d282cddap-9, 0x1.42020561029a3p-9, 0x1.37321007e9e5ap-9, 0x1.2cb3ce4679079p-9, 0x1.2285277939656p-9, 0x1.18a40e6181b6fp-9, 0x1.0f0e80fc6f116p-9, 0x1.05c288599b847p-9, 0x1.f97c70e3507dfp-10, 0x1.e7ff5ff940957p-10, 0x1.d70a30907d25dp-10, 0x1.c6994a1c472e2p-10, 0x1.b6a92893fc571p-10, 0x1.a7365c1f69932p-10, 0x1.983d88c330e43p-10, 0x1.89bb660d45a46p-10, 0x1.7bacbec19c9a1p-10, 0x1.6e0e70871c394p-10, 0x1.60dd6b94c890cp-10, 0x1.5416b25f5a2d6p-10, 0x1.47b75947296e8p-10, 0x1.3bbc86468ef25p-10, 0x1.302370a0bebbap-10, 0x1.24e960912a732p-10, 0x1.1a0baefb6e248p-10, 0x1.0f87c51bd73bfp-10, 0x1.055b1c389074fp-10, 0x1.f7067aa6e3e1fp-11, 0x1.e3fb81b90a733p-11, 0x1.d1909cca859ep-11, 0x1.bfc138a91aa0bp-11, 0x1.ae88df36e6463p-11, 0x1.9de336d578025p-11, 0x1.8dcc01d28cf5bp-11, 0x1.7e3f1dd679b7p-11, 0x1.6f38835446084p-11, 0x1.60b444fb88e0fp-11, 0x1.52ae8f2c07485p-11, 0x1.4523a76b217a6p-11, 0x1.380febdb0fb2bp-11, 0x1.2b6fd2b3f8f7ep-11, 0x1.1f3fe9bee5084p-11, 0x1.137cd5d28f7c8p-11, 0x1.082352521fba1p-11, 0x1.fa60615b8f788p-12, 0x1.e540afca9c6adp-12, 0x1.d0e188190474ep-12, 0x1.bd3d0ba33fce6p-12, 0x1.aa4d840b40b56p-12, 0x1.980d624cf63f3p-12, 0x1.86773dd6aa593p-12, 0x1.7585d3a53f7bap-12, 0x1.653405644a72ap-12, 0x1.557cd8920517fp-12, 0x1.465b75a71a6f7p-12, 0x1.37cb274245655p-12, 0x1.29c75957be20fp-12, 0x1.1c4b986473ab6p-12, 0x1.0f5390a509cddp-12, 0x1.02db0d50978f2p-12, 0x1.edbbefae36ff6p-13, 0x1.d6b0ae474ac35p-13, 0x1.c08c9dc4503a9p-13, 0x1.ab483d91dc4ddp-13, 0x1.96dc43cb54111p-13, 0x1.83419bdc2a316p-13, 0x1.707165283609ep-13, 0x1.5e64f1bb013f5p-13, 0x1.4d15c4fe07606p-13, 0x1.3c7d9275c6389p-13, 0x1.2c963c85996cfp-13, 0x1.1d59d33a3f28cp-13, 0x1.0ec2931af4bdbp-13, 0x1.00cae4011bp-13, 0x1.e6daafec924ddp-14, 0x1.cd4954315f22bp-14, 0x1.b4d77b0b8841ap-14, 0x1.9d7b389629b6cp-14, 0x1.872aecba566dcp-14, 0x1.71dd4128e2be3p-14, 0x1.5d89275fec7cdp-14, 0x1.4a25d6bc03ee4p-14, 0x1.37aaca94bd38bp-14, 0x1.260fc0647e30bp-14, 0x1.154cb5fb59acp-14, 0x1.0559e7bcc58d1p-14, 0x1.ec5f9dd0014d6p-15, 0x1.cf8e3fd5ec10cp-15, 0x1.b431917edcff9p-15, 0x1.9a3bdea4c6e8fp-15, 0x1.819fdfea81b6ep-15, 0x1.6a50b7b1d4f81p-15, 0x1.5441ef24a6541p-15, 0x1.3f677350f4013p-15, 0x1.2bb592573bc1fp-15, 0x1.1920f8aaf3fbbp-15, 0x1.079eae64bc771p-15, 0x1.ee48294bd8b97p-16, 0x1.cf4dc61a4544ap-16, 0x1.b23a4a77070ap-16, 0x1.96fa70d48c3a2p-16, 0x1.7d7b9220858e2p-16, 0x1.65aba12e4689ep-16, 0x1.4f79263fd1dc3p-16, 0x1.3ad33aacd6828p-16, 0x1.27a984a70b6acp-16, 0x1.15ec331b33fbfp-16, 0x1.058bf9ae39163p-16, 0x1.ecf419ab58f7fp-17, 0x1.d1503c163ea2bp-17, 0x1.b810b033601b7p-17, 0x1.a11ab70a6420ap-17, 0x1.8c547614bc053p-17, 0x1.79a4f06ee0365p-17, 0x1.68f400394e0cap-17, 0x1.5a2a502822597p-17, 0x1.4d3155403a8dp-17, 0x1.41f348c0b2485p-17, 0x1.385b2237cdd55p-17, 0x1.305491c220b8fp-17, 0x1.29cbfa730044ep-17, 0x1.24ae6ce5300eep-17, 0x1.20e9a1f2d1b86p-17, 0x1.1e6bf593975aep-17, 0x1.1d2461e046eb4p-17, 0x1.1d027a3a9abbbp-17, 0x1.1df6669893573p-17, 0x1.1ff0def252403p-17, 0x1.22e326d19b9b1p-17, 0x1.26bf09021da74p-17, 0x1.2b76d361a3b25p-17, 0x1.30fd52cf62f97p-17, 0x1.3745cf398792bp-17, 0x1.3e4407c83e17p-17, 0x1.45ec2f2568f0dp-17, 0x1.4e32e7e0417d9p-17, 0x1.570d40ec24e7fp-17, 0x1.6070b239ceedp-17, 0x1.6a53196a48c99p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.e4b2287297cf7p-5, -0x1.f8b5e45f5d123p-5, -0x1.06e34ac7ed8a2p-4, -0x1.1202ff38ff818p-4, -0x1.1dc7dece848bcp-4, -0x1.2a3cb8029f278p-4, -0x1.3769754c3a2cdp-4, -0x1.455342d9e6dcap-4, -0x1.53fcbad4994ccp-4, -0x1.636616224e5fp-4, -0x1.738d5ff53b724p-4, -0x1.846eaabfe317fp-4, -0x1.9604456924d0ap-4, -0x1.a846efd56d49ap-4, -0x1.bb2e0e0c2272cp-4, -0x1.ceafd96ae8c3bp-4, -0x1.e2c18f7c9c476p-4, -0x1.f7579e2795322p-4, -0x1.0632e680415eep-3, -0x1.10efb1d1ab733p-3, -0x1.1bdba6828b4ddp-3, -0x1.26f01bdf724d7p-3, -0x1.322659aeed9dp-3, -0x1.3d77a565cd095p-3, -0x1.48dd4df54acd5p-3, -0x1.5450b642efb99p-3, -0x1.5fcb5e5bfe556p-3, -0x1.6b46eb7766f9ep-3, -0x1.76bd2eda07876p-3, -0x1.82282bb15d9fdp-3, -0x1.8d821bf8bc4f3p-3, -0x1.98c5747d09becp-3, -0x1.a3ece812599f3p-3, -0x1.aef36a0e431c8p-3, -0x1.b9d43018fd2dfp-3, -0x1.c48ab3666a07fp-3, -0x1.cf12b16753feep-3, -0x1.d9682c0229a31p-3, -0x1.e387696177f1cp-3, -0x1.ed6cf36568892p-3, -0x1.f71596c48f1e3p-3, -0x1.003f30f3a4573p-2, -0x1.04d251c400b4bp-2, -0x1.0942f490e70c5p-2, -0x1.0d8ffe9af019dp-2, -0x1.11b872b7c45cp-2, -0x1.15bb7056d7221p-2, -0x1.1998327bf6645p-2, -0x1.1d4e0eb26b23fp-2, -0x1.20dc73fb1984dp-2, -0x1.2442e9b7c1fdfp-2, -0x1.27810e9540cf8p-2, -0x1.2a9697766d907p-2, -0x1.2d834e60fb1acp-2, -0x1.3047116d8de78p-2, -0x1.32e1d1bc08606p-2, -0x1.3553926ce58a5p-2, -0x1.379c67a059de6p-2, -0x1.39bc757bc4dbep-2, -0x1.3bb3ef35ee07bp-2, -0x1.3d83162a60e95p-2, -0x1.3f2a38f433aabp-2, -0x1.40a9b2905bfacp-2, -0x1.4201e987bc6bdp-2, -0x1.43334f20edd18p-2, -0x1.443e5e99d0fp-2, -0x1.45239c68d4b0bp-2, -0x1.45e39585e9d4p-2, -0x1.467edebafddc6p-2, -0x1.46f613fbec7c6p-2, -0x1.4749d7c5adeap-2, -0x1.477ad284af2eap-2, -0x1.4789b2021209fp-2, -0x1.477728d7b2fb6p-2, -0x1.4743edeac11b8p-2, -0x1.46f0bbecae98ep-2, -0x1.467e50e251621p-2, -0x1.45ed6db0f4377p-2, -0x1.453ed5b131703p-2, -0x1.44734e47565c4p-2, -0x1.438b9e8127adp-2, -0x1.42888eb8cf7b5p-2, -0x1.416ae83cc2564p-2, -0x1.403374fc6fd1p-2, -0x1.3ee2ff398d4c8p-2, -0x1.3d7a513dc94c2p-2, -0x1.3bfa3514c2d24p-2, -0x1.3a63744a11c21p-2, -0x1.38b6d7ab3c351p-2, -0x1.36f5270d6a97p-2, -0x1.351f2916b91bp-2, -0x1.3335a30afbe11p-2, -0x1.3139589bd45e3p-2, -0x1.2f2b0bbbf154dp-2, -0x1.2d0b7c7559b15p-2, -0x1.2adb68c2a2a14p-2, -0x1.289b8c6aecd48p-2, -0x1.264ca0e08e14bp-2, -0x1.23ef5d224787cp-2, -0x1.2184759eee3b1p-2, -0x1.1f0c9c1b687ecp-2, -0x1.1c887f9ae8521p-2, -0x1.19f8cc494488p-2, -0x1.175e2b675fecdp-2, -0x1.14b943397f341p-2, -0x1.120ab6f77d683p-2, -0x1.0f5326bec0f3bp-2, -0x1.0c932f85e797cp-2, -0x1.09cb6b120a152p-2, -0x1.06fc6fed89e5ep-2, -0x1.0426d160568f3p-2, -0x1.014b1f69948d3p-2, -0x1.fcd3cd752eac2p-3, -0x1.f70761663d3c6p-3, -0x1.f13206bd83849p-3, -0x1.eb54c2e703b8cp-3, -0x1.e57094a2cf60bp-3, -0x1.df8674065bc05p-3, -0x1.d997527fb5a37p-3, -0x1.d3a41ada8e649p-3, -0x1.cdadb146fe1dbp-3, -0x1.c7b4f361e4254p-3, -0x1.c1bab83ed0ba3p-3, -0x1.bbbfd0735ad8fp-3, -0x1.b5c50623d506cp-3, -0x1.afcb1d113ec64p-3, -0x1.a9d2d2a86907ap-3, -0x1.a3dcde1239594p-3, -0x1.9de9f044ed102p-3, -0x1.97fab4165d48bp-3, -0x1.920fce4f19874p-3, -0x1.8c29ddbe60e38p-3, -0x1.86497b4eda13cp-3, -0x1.806f3a1bfee8ap-3, -0x1.7a9ba78826ff3p-3, -0x1.74cf4b5330c68p-3, -0x1.6f0aa7b1acb45p-3, -0x1.694e396482bdcp-3, -0x1.639a77d106a4cp-3, -0x1.5defd519708b9p-3, -0x1.584ebe35a20fap-3, -0x1.52b79b0c42787p-3, -0x1.4d2ace8c108f5p-3, -0x1.47a8b6c56e843p-3, -0x1.4231ad04172a5p-3, -0x1.3cc605e8f907cp-3, -0x1.3766118429248p-3, -0x1.32121b6ee3ec7p-3, -0x1.2cca6ae59b438p-3, -0x1.278f42e2057a4p-3, -0x1.2260e23521b51p-3, -0x1.1d3f83a13386ep-3, -0x1.182b5df3acf49p-3, -0x1.1324a41ef62acp-3, -0x1.0e2b85541f353p-3, -0x1.09402d1c65bc1p-3, -0x1.0462c37294edep-3, -0x1.ff26d9b85f83dp-4, -0x1.f5a49504dcbbcp-4, -0x1.ec3ef495fbd35p-4, -0x1.e2f62de10ca94p-4, -0x1.d9ca7035da834p-4, -0x1.d0bbe4eeadf45p-4, -0x1.c7caaf9fc2071p-4, -0x1.bef6ee461e979p-4, -0x1.b640b975d9a0bp-4, -0x1.ada82487bdb8dp-4, -0x1.a52d3dc647adp-4, -0x1.9cd00e99fb38bp-4, -0x1.94909bb507d24p-4, -0x1.8c6ee53e49811p-4, -0x1.846ae6fb8343fp-4, -0x1.7c84987aefe03p-4, -0x1.74bbed3c150cp-4, -0x1.6d10d4d7d97b9p-4, -0x1.65833b27e019p-4, -0x1.5e13086d20abdp-4, -0x1.56c02175c2802p-4, -0x1.4f8a67c233f6p-4, -0x1.4871b9a97e434p-4, -0x1.4175f27cd838ap-4, -0x1.3a96eaaa73a5p-4, -0x1.33d477df87456p-4, -0x1.2d2e6d299514ap-4, -0x1.26a49b16edb01p-4, -0x1.2036cfd66f39bp-4, -0x1.19e4d75683c63p-4, -0x1.13ae7b635cde8p-4, -0x1.0d9383c46f3fep-4, -0x1.0793b6592f628p-4, -0x1.01aed7350ec56p-4, -0x1.f7c951757c72ep-5, -0x1.ec69d76d69477p-5, -0x1.e13ebef1f5d7bp-5, -0x1.d64783dc867cbp-5, -0x1.cb839f708f2ep-5, -0x1.c0f2888aedee4p-5, -0x1.b693b3cfdf648p-5, -0x1.ac6693d7966dep-5, -0x1.a26a9959786a5p-5, -0x1.989f3356043f8p-5, -0x1.8f03cf3f69b33p-5, -0x1.8597d920d338fp-5, -0x1.7c5abbc469f1cp-5, -0x1.734be0d8186f7p-5, -0x1.6a6ab11110cf7p-5, -0x1.61b6944e1abfcp-5, -0x1.592ef1b8b185cp-5, -0x1.50d32fe4f47d2p-5, -0x1.48a2b4f07172ep-5, -0x1.409ce69fcd148p-5, -0x1.38c12a7b50241p-5, -0x1.310ee5ea5f6aap-5, -0x1.29857e4de0e1p-5, -0x1.2224591998426p-5, -0x1.1aeadbec7e32fp-5, -0x1.13d86ca815268p-5, -0x1.0cec7186c8bp-5, -0x1.062651315410ap-5, -0x1.ff0ae5a67ac9ap-6, -0x1.f2127c5ccb915p-6, -0x1.e562375b6d19p-6, -0x1.d8f8e8ede233cp-6, -0x1.ccd564f74697p-6, -0x1.c0f681129a7a8p-6, -0x1.b55b14b16969ep-6, -0x1.aa01f938e86dbp-6, -0x1.9eea0a1d87539p-6, -0x1.941224fd0a315p-6, -0x1.897929b733952p-6, -0x1.7f1dfa850015fp-6, -0x1.74ff7c0e8f6cp-6, -0x1.6b1c957fb0804p-6, -0x1.6174309b2d4fep-6, -0x1.580539ccd484ap-6, -0x1.4ecea03a49e9cp-6, -0x1.45cf55d2b0bcbp-6, -0x1.3d064f5d31418p-6, -0x1.347284866375cp-6, -0x1.2c12efecab8c4p-6, -0x1.23e68f2b8dd1ep-6, -0x1.1bec62e603235p-6, -0x1.14236ecfdc044p-6, -0x1.0c8ab9b62c04bp-6, -0x1.05214d86dc698p-6, -0x1.fbcc6eaeb00bcp-7, -0x1.edb10ed4c7f36p-7, -0x1.dfeea26a5a243p-7, -0x1.d28356c71edb4p-7, -0x1.c56d5fb73500dp-7, -0x1.b8aaf780c8f07p-7, -0x1.ac3a5ee852f73p-7, -0x1.a019dd338845dp-7, -0x1.9447c02b03f79p-7, -0x1.88c25c1abbe22p-7, -0x1.7d880bd148382p-7, -0x1.7297309e11b16p-7, -0x1.67ee324e70147p-7, -0x1.5d8b7f29bd58bp-7, -0x1.536d8bec71163p-7, -0x1.4992d3c25ac75p-7, -0x1.3ff9d83fe7942p-7, -0x1.36a1215a9c78bp-7, -0x1.2d873d60c1ac8p-7, -0x1.24aac0f04949ep-7, -0x1.1c0a46ecffd81p-7, -0x1.13a470760d0d7p-7, -0x1.0b77e4dacfc3ep-7, -0x1.0383518f1e217p-7, -0x1.f78ad43de43cfp-8, -0x1.e879d04318d01p-8, -0x1.d9d1165829967p-8, -0x1.cb8e318780ef8p-8, -0x1.bdaeb89f0e365p-8, -0x1.b0304e12da55p-8, -0x1.a3109fded47e6p-8, -0x1.964d6767eb535p-8, -0x1.89e4695c773cbp-8, -0x1.7dd375940d0d4p-8, -0x1.721866eebbbe5p-8, -0x1.66b12333cc11ap-8, -0x1.5b9b9af004a25p-8, -0x1.50d5c95384f88p-8, -0x1.465db40f3e18bp-8, -0x1.3c316b3216e98p-8, -0x1.324f0905c40a8p-8, -0x1.28b4b1eb5dcd1p-8, -0x1.1f609437beb9cp-8, -0x1.1650e80fb3148p-8, -0x1.0d83ef440218ep-8, -0x1.04f7f52d5a38p-8, -0x1.f9569d104b647p-9, -0x1.e938b2a0a8fc3p-9, -0x1.d992f93a3b7bfp-9, -0x1.ca6250f984ab8p-9, -0x1.bba3aba0ae34p-9, -0x1.ad540c4f3a246p-9, -0x1.9f708739dc8ddp-9, -0x1.91f6416288eb6p-9, -0x1.84e27050bb354p-9, -0x1.783259ca1294fp-9, -0x1.6be3538b3a598p-9, -0x1.5ff2c301320f5p-9, -0x1.545e1d02fc0c9p-9, -0x1.4922e58bbf657p-9, -0x1.3e3eaf755a77cp-9, -0x1.33af1c337c015p-9, -0x1.2971db8f3e419p-9, -0x1.1f84ab6351186p-9, -0x1.15e55758b8c2ep-9, -0x1.0c91b8a422e78p-9, -0x1.0387b5c3e1b3bp-9, -0x1.f58a847d06f39p-10, -0x1.e490bcc437465p-10, -0x1.d41e2e0865a94p-10, -0x1.c42f0a84de508p-10, -0x1.b4bf9c87d9374p-10, -0x1.a5cc45f6aaea3p-10, -0x1.97517fd3645d6p-10, -0x1.894bd9c3f4f0fp-10, -0x1.7bb7f99ad8c72p-10, -0x1.6e929ae13f27p-10, -0x1.61d88e62d4d55p-10, -0x1.5586b9bb0e5bdp-10, -0x1.499a16e409e3fp-10, -0x1.3e0fb3c713e72p-10, -0x1.32e4b1ceb4d01p-10, -0x1.2816457a6831fp-10, -0x1.1da1b5f3e7139p-10, -0x1.13845ca6174f3p-10, -0x1.09bba4d595e7dp-10, -0x1.00450b3adf3ebp-10, -0x1.ee3c3b3c3d077p-11, -0x1.dc88f4e92276p-11, -0x1.cb6ba0ff20d1ep-11, -0x1.badfbcda69d84p-11, -0x1.aae0e4f530106p-11, -0x1.9b6ad42f5ca99p-11, -0x1.8c79631979e75p-11, -0x1.7e088742c7f99p-11, -0x1.7014528a7f687p-11, -0x1.6298f27435d0cp-11, -0x1.5592af7f63d18p-11, -0x1.48fdec8204483p-11, -0x1.3cd726064821cp-11, -0x1.311af1ab58abfp-11, -0x1.25c5fd8920f81p-11, -0x1.1ad50f9716a7bp-11, -0x1.10450515fda27p-11, -0x1.0612d1fc9d3f5p-11, -0x1.f87700cebd19cp-12, -0x1.e57860159d157p-12, -0x1.d3242b51f13c2p-12, -0x1.c174f5132adb8p-12, -0x1.b06577ea01b9cp-12, -0x1.9ff09563e377ap-12, -0x1.9011550bd3e9bp-12, -0x1.80c2e370aa23dp-12, -0x1.720091309ae71p-12, -0x1.63c5d209fbbb2p-12, -0x1.560e3bf12fd5ep-12, -0x1.48d5862ba67f8p-12, -0x1.3c17886fe098p-12, -0x1.2fd03a0a606aap-12, -0x1.23fbb1077900ap-12, -0x1.18962161e6e25p-12, -0x1.0d9bdc361ee7bp-12, -0x1.03094efa3ed63p-12, -0x1.f1b60575248eep-13, -0x1.de1b36b51fda8p-13, -0x1.cb3badb486fb8p-13, -0x1.b91119402005bp-13, -0x1.a795598d655ep-13, -0x1.96c27edef5e92p-13, -0x1.8692c83137e83p-13, -0x1.7700a1ef1b986p-13, -0x1.6806a4aec870fp-13, -0x1.599f93f61caeap-13, -0x1.4bc65d06d0551p-13, -0x1.3e7615b2196dp-13, -0x1.31a9fb33b02adp-13, -0x1.255d711411aa7p-13, -0x1.198c0011cde8bp-13, -0x1.0e315511d1aaap-13, -0x1.034940167e634p-13, -0x1.f19f667ad0e9ap-14, -0x1.dd8183874a953p-14, -0x1.ca313e2103507p-14, -0x1.b7a73b8cf11adp-14, -0x1.a5dc5db4adba8p-14, -0x1.94c9c160add33p-14, -0x1.8468bc7e5c6b6p-14, -0x1.74b2dc71a22f4p-14, -0x1.65a1e471c246bp-14, -0x1.572fcbf139587p-14, -0x1.4956bd1068515p-14, -0x1.3c11131acc124p-14, -0x1.2f59590e86ed8p-14, -0x1.232a482dff9abp-14, -0x1.177ec69b5c589p-14, -0x1.0c51e5fda0c43p-14, -0x1.019ee22f35a87p-14, -0x1.eec23feb46ec5p-15, -0x1.db28578491fddp-15, -0x1.c86770f7af00bp-15, -0x1.b6773ca0c150fp-15, -0x1.a54fb31f83968p-15, -0x1.94e9131c75219p-15, -0x1.853bdf1df1c5fp-15, -0x1.7640db6cdfe77p-15, -0x1.67f10c08844d3p-15, -0x1.5a45b2a928268p-15, -0x1.4d384cd130b28p-15, -0x1.40c291ec48b42p-15, -0x1.34de717c4aa1ep-15, -0x1.298611538c746p-15, -0x1.1eb3cbdc37af1p-15, -0x1.14622e6c5f755p-15, -0x1.0a8bf7a676a2bp-15, -0x1.012c15e5e22a4p-15, -0x1.f07b4b6e964a2p-16, -0x1.df77e0b8d8ef2p-16, -0x1.cf44d4b6176b7p-16, -0x1.bfd9642d9ee6fp-16, -0x1.b12d1ceb68a2p-16, -0x1.a337db1d954d5p-16, -0x1.95f1c6c6087fep-16, -0x1.8953513f8cf96p-16, -0x1.7d5532d5fba91p-16, -0x1.71f06870eafb2p-16, -0x1.671e31505fab3p-16, -0x1.5cd80cdaff935p-16, -0x1.5317b87d59a78p-16, -0x1.49d72d99b80b6p-16, -0x1.41109f881afc6p-16, -0x1.38be79a5dadadp-16, -0x1.30db5d748de1ap-16, -0x1.296220c7bc19ep-16, -0x1.224dcc00fca62p-16, -0x1.1b99985a16162p-16, -0x1.1540ee3cb4394p-16, -0x1.0f3f63a75cf99p-16, -0x1.0990ba9f36b7p-16, -0x1.0430dfae52512p-16, -0x1.fe37d0dc1991ap-17, -0x1.f49c243a726dfp-17, -0x1.eb878083765cdp-17, -0x1.e2f2f6aa7905bp-17, -0x1.dad7def94a33cp-17, -0x1.d32fd6941f344p-17, -0x1.cbf4bd11ca702p-17, -0x1.c520b227a87f6p-17, -0x1.beae1368b1267p-17, -0x1.b8977a1723559p-17, -0x1.b2d7b908266e9p-17, -0x1.ad69da98fbef6p-17, -0x1.a8491eb5132p-17, -0x1.a370f8ec9cc54p-17, -0x1.9edd0e9b147dp-17, -0x1.9a89351d3b2fbp-17, -0x1.967170161c433p-17, -0x1.9291efc298fa1p-17, -0x1.8ee70f5b151d3p-17, -0x1.8b6d5382cec33p-17, -0x1.882168c4723e1p-17, -0x1.8500221b90d47p-17, -0x1.8206778a858b5p-17, -0x1.7f3184bc6bc3fp-17, -0x1.7c7e87b2c2ccfp-17, -0x1.79eadf7e76574p-17, -0x1.77740b03c739bp-17, -0x1.7517a7c8eab71p-17, -0x1.72d370ceecfd4p-17, -0x1.70a53d748beb4p-17, -0x1.6e8b0062c210dp-17, -0x1.6c82c682a157cp-17, -0x1.6a8ab5fc43b29p-17, -0x1.68a10d3e811bap-17, -0x1.66c4220f1d12p-17, -0x1.64f260a331efap-17, -0x1.632a4abf8962fp-17, -0x1.616a76e0ae2c2p-17, -0x1.5fb18f6a71ef2p-17, -0x1.5dfe51dea07e9p-17, -0x1.5c4f8e1ab2804p-17, -0x1.5aa4259c48a8p-17, -0x1.58fb0acc17a0ap-17, -0x1.5753404f4330bp-17, -0x1.55abd85ebb159p-17, -0x1.5403f42493cfdp-17, -0x1.525ac31f0effbp-17, -0x1.50af828929873p-17, -0x1.4f017cc88887ap-17, -0x1.4d5008e09134bp-17, -0x1.4b9a89ea7aebap-17, -0x1.49e06e923d266p-17, -0x1.4821309827231p-17, -0x1.465c5456fc80ap-17, -0x1.4491684e70312p-17, -0x1.42c004b1d7905p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.7f663e5569297p-1, 0x1.7d8f38a1be04fp-1, 0x1.7b7fd204c5d7dp-1, 0x1.79395d6f99923p-1, 0x1.76bdcbea8c37dp-1, 0x1.740f935db6553p-1, 0x1.7131959250417p-1, 0x1.6e27081fa767dp-1, 0x1.6af35dc6678d9p-1, 0x1.679a319422933p-1, 0x1.641f340746801p-1, 0x1.60861a5058d9dp-1, 0x1.5cd28fb7ce56dp-1, 0x1.5908291f510cbp-1, 0x1.552a5a89092d8p-1, 0x1.513c6e86d9106p-1, 0x1.4d417f6dbad1bp-1, 0x1.493c72260a88ep-1, 0x1.452ff26ff5e0fp-1, 0x1.411e7073239bep-1, 0x1.3d0a1f718a748p-1, 0x1.38f4f5771ac14p-1, 0x1.34e0abe2070e8p-1, 0x1.30cec0a2010f5p-1, 0x1.2cc0780f708ddp-1, 0x1.28b6df3e719fbp-1, 0x1.24b2ceb42c91bp-1, 0x1.20b4ed67cb9c1p-1, 0x1.1cbdb3fae65c5p-1, 0x1.18cd7017aee5ap-1, 0x1.14e447e56dae2p-1, 0x1.11023d85fcf67p-1, 0x1.0d273290db5d6p-1, 0x1.0952eb8237296p-1, 0x1.05851315e86dfp-1, 0x1.01bd3d87c0c4p-1, 0x1.fbf5d767c016fp-2, 0x1.f47b1c25c2f89p-2, 0x1.ed090f1d6c7f3p-2, 0x1.e59e605bcb03p-2, 0x1.de39af27632efp-2, 0x1.d6d98ea8910f6p-2, 0x1.cf7c8a3982195p-2, 0x1.c821295e330a7p-2, 0x1.c0c5f365c2f4fp-2, 0x1.b96972b708ef1p-2, 0x1.b20a37cafe577p-2, 0x1.aaa6dbd7f2961p-2, 0x1.a33e0330dbd07p-2, 0x1.9bce5f5c664fep-2, 0x1.9456b0e786a71p-2, 0x1.8cd5c8f777963p-2, 0x1.854a8a9f254cbp-2, 0x1.7db3ebfbfd1b3p-2, 0x1.7610f71e1e5ebp-2, 0x1.6e60cabfd3705p-2, 0x1.66a29ad0275e7p-2, 0x1.5ed5b0d442f8dp-2, 0x1.56f96c2332f08p-2, 0x1.4f0d41ff6fc79p-2, 0x1.4710bd917c593p-2, 0x1.3f037fc6a33b6p-2, 0x1.36e53f16cd292p-2, 0x1.2eb5c73421a09p-2, 0x1.2674f8a70f88cp-2, 0x1.1e22c8591ccc9p-2, 0x1.15bf3f10badd1p-2, 0x1.0d4a78e02ccabp-2, 0x1.04c4a4896957cp-2, 0x1.f85c05b166eabp-3, 0x1.e70dcbef15151p-3, 0x1.d59f6172bab9cp-3, 0x1.c411abc6bc405p-3, 0x1.b265aee1457dbp-3, 0x1.a09c8ba7584cep-3, 0x1.8eb77e6c9948dp-3, 0x1.7cb7dd7195194p-3, 0x1.6a9f176214b41p-3, 0x1.586eb1d4df88dp-3, 0x1.462847ce1e936p-3, 0x1.33cd88457c726p-3, 0x1.216034b0f0e11p-3, 0x1.0ee21f9500221p-3, 0x1.f8aa56366503p-4, 0x1.d3768f5ea4dcdp-4, 0x1.ae2ce547ef7f1p-4, 0x1.88d169bdb1fe7p-4, 0x1.6368431a59161p-4, 0x1.3df5a9c0efff8p-4, 0x1.187de5a7fd587p-4, 0x1.e60a97ec0de0cp-5, 0x1.9b20796006c6p-5, 0x1.504640f3d6eccp-5, 0x1.0584ccd31fa7bp-5, 0x1.75ca07af09a71p-6, 0x1.c1bf45ded12eap-7, 0x1.31710ed878c1cp-8, -0x1.1eb90f714a4efp-8, -0x1.b65c5e396942ep-7, -0x1.6e11cdd41c915p-6, -0x1.0023c57bb8912p-5, -0x1.48def98c1b89cp-5, -0x1.9131dd47b518cp-5, -0x1.d913e1b19b336p-5, -0x1.103e48ba1e2c1p-4, -0x1.33b1c9c83eae9p-4, -0x1.56e056f5d4b1p-4, -0x1.79c5e3de5ee91p-4, -0x1.9c5e75ecc5c08p-4, -0x1.bea625721e358p-4, -0x1.e0991eacd787bp-4, -0x1.0119d1605508ap-3, -0x1.11b9044fbeeaap-3, -0x1.22285ef1ca34fp-3, -0x1.326623cd9a585p-3, -0x1.4270a183190b2p-3, -0x1.52463322c04dep-3, -0x1.61e5407e95ee2p-3, -0x1.714c3e747832ap-3, -0x1.8079af31e5075p-3, -0x1.8f6c2271560dap-3, -0x1.9e2235b167385p-3, -0x1.ac9a9465d606p-3, -0x1.bad3f82292872p-3, -0x1.c8cd28c0fe54dp-3, -0x1.d684fc7f77612p-3, -0x1.e3fa581b66ec2p-3, -0x1.f12c2ee5e2b08p-3, -0x1.fe1982d31dda5p-3, -0x1.0560b2425b7cdp-2, -0x1.0b9179a78e7fcp-2, -0x1.119eae9d13b4ep-2, -0x1.1787ef7e8499ep-2, -0x1.1d4ce1fadf8cp-2, -0x1.22ed330e16833p-2, -0x1.286896f881b99p-2, -0x1.2dbec9344ae96p-2, -0x1.32ef8c68e6af7p-2, -0x1.37faaa5cacc82p-2, -0x1.3cdff3e4a12efp-2, -0x1.419f40d282cccp-2, -0x1.46386fe134d0bp-2, -0x1.4aab669f8db29p-2, -0x1.4ef81159a804ap-2, -0x1.531e6300be512p-2, -0x1.571e5511af7aep-2, -0x1.5af7e77a30071p-2, -0x1.5eab207cc86b4p-2, -0x1.62380c93a5a68p-2, -0x1.659ebe525a7ecp-2, -0x1.68df4e4695c7fp-2, -0x1.6bf9dad7e9da6p-2, -0x1.6eee8826b0385p-2, -0x1.71bd7fea1b695p-2, -0x1.7466f14d8a669p-2, -0x1.76eb10cd2907p-2, -0x1.794a1811ef737p-2, -0x1.7b8445cd15bf3p-2, -0x1.7d99dd92ff296p-2, -0x1.7f8b27b5b7dc3p-2, -0x1.8158711f0fb66p-2, -0x1.83020b2a5a7c2p-2, -0x1.84884b7def605p-2, -0x1.85eb8be46b6cbp-2, -0x1.872c2a25ca212p-2, -0x1.884a87e05bc5ap-2, -0x1.89470a61ae196p-2, -0x1.8a221a7f6b555p-2, -0x1.8adc247041fa3p-2, -0x1.8b7597a4d8ef4p-2, -0x1.8beee6a0e7b17p-2, -0x1.8c4886d46e2cdp-2, -0x1.8c82f07522aecp-2, -0x1.8c9e9e581ac7p-2, -0x1.8c9c0dcbb702cp-2, -0x1.8c7bbe71e0046p-2, -0x1.8c3e321a95da1p-2, -0x1.8be3ec9ee55ccp-2, -0x1.8b6d73bc3e514p-2, -0x1.8adb4ef03c534p-2, -0x1.8a2e0754e4bd6p-2, -0x1.8966277d61e8ep-2, -0x1.88843b53410d7p-2, -0x1.8788cff43aa9fp-2, -0x1.867473908a4e3p-2, -0x1.8547b549d8684p-2, -0x1.84032512c2d69p-2, -0x1.82a7538eff693p-2, -0x1.8134d1f421fdcp-2, -0x1.7fac31eb0a9d9p-2, -0x1.7e0e0571fb9c4p-2, -0x1.7c5adebf60847p-2, -0x1.7a93502541db7p-2, -0x1.78b7ebf56efap-2, -0x1.76c944665c368p-2, -0x1.74c7eb78b8e5bp-2, -0x1.72b472ddbe842p-2, -0x1.708f6bde3cfd1p-2, -0x1.6e5967425fa93p-2, -0x1.6c12f53a32f01p-2, -0x1.69bca546e4632p-2, -0x1.67570624c68fcp-2, -0x1.64e2a5b60ca7cp-2, -0x1.626010ee4a51p-2, -0x1.5fcfd3beafb1ap-2, -0x1.5d327903037afp-2, -0x1.5a888a6f59a1bp-2, -0x1.57d2907e88152p-2, -0x1.5511126156d1p-2, -0x1.524495ee6837bp-2, -0x1.4f6d9f92dbe56p-2, -0x1.4c8cb243a8ea2p-2, -0x1.49a24f6fac556p-2, -0x1.46aef6f26c84p-2, -0x1.43b327078d3bfp-2, -0x1.40af5c3ef3b3p-2, -0x1.3da41171984fap-2, -0x1.3a91bfb7014b7p-2, -0x1.3778de5b68dcap-2, -0x1.3459e2d68537ap-2, -0x1.313540c2f7414p-2, -0x1.2e0b69d65642ap-2, -0x1.2adccdd9dad39p-2, -0x1.27a9daa3a3b27p-2, -0x1.2472fc1091e82p-2, -0x1.21389bfeb6eecp-2, -0x1.1dfb224859433p-2, -0x1.1abaf4bf80dcp-2, -0x1.1778772a0fed1p-2, -0x1.14340b3e67167p-2, -0x1.10ee10a085283p-2, -0x1.0da6e4dfb09p-2, -0x1.0a5ee37497147p-2, -0x1.071665bfea07ep-2, -0x1.03cdc309713a7p-2, -0x1.0085507f90456p-2, -0x1.fa7ac26e71d1bp-3, -0x1.f3ec8c589ce23p-3, -0x1.ed609c84d8219p-3, -0x1.e6d78c8c2a72p-3, -0x1.e051f1dc865dbp-3, -0x1.d9d05dbca9684p-3, -0x1.d3535d50a98a9p-3, -0x1.ccdb799f3a84cp-3, -0x1.c66937979346fp-3, -0x1.bffd1817f8b7fp-3, -0x1.b99797f4e42cfp-3, -0x1.b3393000bb03ap-3, -0x1.ace255141ae3dp-3, -0x1.a6937816a207ap-3, -0x1.a04d060848a61p-3, -0x1.9a0f680b23eb7p-3, -0x1.93db036dadc3cp-3, -0x1.8db039b574709p-3, -0x1.878f68aa2d841p-3, -0x1.8178ea6139732p-3, -0x1.7b6d15497813fp-3, -0x1.756c3c377cfd9p-3, -0x1.6f76ae72122fdp-3, -0x1.698cb7bf0905p-3, -0x1.63aea0705262ap-3, -0x1.5ddcad7159c3fp-3, -0x1.581720549b33cp-3, -0x1.525e3761789afp-3, -0x1.4cb22da238668p-3, -0x1.47133af238f45p-3, -0x1.4181940c50dc8p-3, -0x1.3bfd6a994e037p-3, -0x1.3686ed3e98bcap-3, -0x1.311e47acf7791p-3, -0x1.2bc3a2af68731p-3, -0x1.2677243a0b2f8p-3, -0x1.2138ef7925437p-3, -0x1.1c0924e02f044p-3, -0x1.16e7e238e57f8p-3, -0x1.11d542b26b65dp-3, -0x1.0cd15ef06591p-3, -0x1.07dc4d1a1a2cbp-3, -0x1.02f620e98a989p-3, -0x1.fc3dd775138b6p-4, -0x1.f2ad793381f84p-4, -0x1.e93b40a763fa6p-4, -0x1.dfe743073f465p-4, -0x1.d6b19144dd2dep-4, -0x1.cd9a382ace778p-4, -0x1.c4a14079d695cp-4, -0x1.bbc6af060b389p-4, -0x1.b30a84d3dd002p-4, -0x1.aa6cbf34bdabbp-4, -0x1.a1ed57e3b2ee1p-4, -0x1.998c45217e1fdp-4, -0x1.914979d09b4d3p-4, -0x1.8924e590e68ccp-4, -0x1.811e74daf98e9p-4, -0x1.7936111b38f36p-4, -0x1.716ba0cc8ec79p-4, -0x1.69bf0792cf248p-4, -0x1.62302654c590bp-4, -0x1.5abedb55e73e4p-4, -0x1.536b024faab0cp-4, -0x1.4c34748a7ecdcp-4, -0x1.451b08f663481p-4, -0x1.3e1e94431f686p-4, -0x1.373ee8f813adbp-4, -0x1.307bd78ba917p-4, -0x1.29d52e7a58747p-4, -0x1.234aba5d4b82dp-4, -0x1.1cdc4600955a6p-4, -0x1.16899a7903128p-4, -0x1.10527f398142bp-4, -0x1.0a36ba281822bp-4, -0x1.04360fb27c007p-4, -0x1.fca085c468ac1p-5, -0x1.f10a2ae0a9236p-5, -0x1.e5a88fb197ae6p-5, -0x1.da7b32da906cbp-5, -0x1.cf8190cf59f82p-5, -0x1.c4bb23f83ddd6p-5, -0x1.ba2764d54a74ep-5, -0x1.afc5ca20baf1p-5, -0x1.a595c8f08ec7cp-5, -0x1.9b96d4d74914p-5, -0x1.91c86003dd8ffp-5, -0x1.8829db60cc906p-5, -0x1.7ebab6b26ad75p-5, -0x1.757a60b45d53dp-5, -0x1.6c684736454c5p-5, -0x1.6383d7379f686p-5, -0x1.5acc7d02dae1cp-5, -0x1.5241a447a557dp-5, -0x1.49e2b8347140cp-5, -0x1.41af238f39c87p-5, -0x1.39a650cd7fe57p-5, -0x1.31c7aa2b8da74p-5, -0x1.2a1299c2f4d6bp-5, -0x1.228689a059716p-5, -0x1.1b22e3d87dcc2p-5, -0x1.13e7129c9c53p-5, -0x1.0cd2804e0aae2p-5, -0x1.05e497912f165p-5, -0x1.fe3986bf8ac91p-6, -0x1.f0f4de34f2433p-6, -0x1.e3fa0d33acb35p-6, -0x1.d747ec7d2f109p-6, -0x1.cadd560296ac1p-6, -0x1.beb92502c1296p-6, -0x1.b2da36271c8bbp-6, -0x1.a73f679f4fb67p-6, -0x1.9be7993ba9ca7p-6, -0x1.90d1ac866f96ep-6, -0x1.85fc84dc02e69p-6, -0x1.7b670781ef9f9p-6, -0x1.71101bbcdd4c8p-6, -0x1.66f6aae5753f5p-6, -0x1.5d19a07c3a7cbp-6, -0x1.5377ea3c5d4a2p-6, -0x1.4a10782d90003p-6, -0x1.40e23cb4e0a4ep-6, -0x1.37ec2ca4a4adcp-6, -0x1.2f2d3f4b6e775p-6, -0x1.26a46e8225c7cp-6, -0x1.1e50b6b9332c6p-6, -0x1.16311704dbc1p-6, -0x1.0e449128b8f91p-6, -0x1.068a29a26c139p-6, -0x1.fe01cf66fe522p-7, -0x1.ef4faad50261p-7, -0x1.e0fbff56cdac9p-7, -0x1.d304ec6e57d7bp-7, -0x1.c568976581651p-7, -0x1.b8252b5a92adfp-7, -0x1.ab38d94b6209ep-7, -0x1.9ea1d81f3373fp-7, -0x1.925e64af4edccp-7, -0x1.866cc1ce6d875p-7, -0x1.7acb384ef05eap-7, -0x1.6f781707f45f7p-7, -0x1.6471b2d95a339p-7, -0x1.59b666aeb01abp-7, -0x1.4f44938118dd9p-7, -0x1.451aa05841f4ap-7, -0x1.3b36fa4a56717p-7, -0x1.3198147b10b9ap-7, -0x1.283c6819e7fbap-7, -0x1.1f22745f6456dp-7, -0x1.1648be89a1e09p-7, -0x1.0dadd1d80c60fp-7, -0x1.05503f86588f6p-7, -0x1.fa5d3d8d8dd3ep-8, -0x1.ea8f19776830bp-8, -0x1.db3358e103191p-8, -0x1.cc474da3b6534p-8, -0x1.bdc8554ac6781p-8, -0x1.afb3d90196758p-8, -0x1.a2074d80bf08bp-8, -0x1.94c032fa1c811p-8, -0x1.87dc1503de574p-8, -0x1.7b588a82a46bp-8, -0x1.6f333592ba827p-8, -0x1.6369c37078cc9p-8, -0x1.57f9ec5fdc432p-8, -0x1.4ce173935973ap-8, -0x1.421e27120034bp-8, -0x1.37addf9cf1682p-8, -0x1.2d8e809435fcp-8, -0x1.23bdf7db04663p-8, -0x1.1a3a3dbb77fafp-8, -0x1.110154c9c9093p-8, -0x1.081149c70f4efp-8, -0x1.fed0670729edbp-9, -0x1.ee0865818be29p-9, -0x1.ddc6e42586857p-9, -0x1.ce084b834451ap-9, -0x1.bec91754c390bp-9, -0x1.b005d63f385bp-9, -0x1.a1bb2993f85fp-9, -0x1.93e5c510ff141p-9, -0x1.86826ea116babp-9, -0x1.798dfe1bb82d1p-9, -0x1.6d055d04a8d3p-9, -0x1.60e5864b68bb7p-9, -0x1.552b860a7caecp-9, -0x1.49d479469c1b9p-9, -0x1.3edd8dadd2109p-9, -0x1.34440156a077p-9, -0x1.2a05227f23ddp-9, -0x1.201e4f4c4d34dp-9, -0x1.168cf5893baa8p-9, -0x1.0d4e9266b3bfp-9, -0x1.0460b23acbdf4p-9, -0x1.f781e0819ceaap-10, -0x1.e6d9ecb2b2acdp-10, -0x1.d6c4f9958de02p-10, -0x1.c73e9403cfeb9p-10, -0x1.b84264a61c3e2p-10, -0x1.a9cc2f76f0933p-10, -0x1.9bd7d346447f5p-10, -0x1.8e61493df7077p-10, -0x1.8164a4671c46p-10, -0x1.74de11303c00fp-10, -0x1.68c9d4f47ef0ep-10, -0x1.5d244d83da7c7p-10, -0x1.51e9f0ac4749fp-10, -0x1.47174bc40968fp-10, -0x1.3ca9033510d5bp-10, -0x1.329bd20975b62p-10, -0x1.28ec89792a366p-10, -0x1.1f981078c93f9p-10, -0x1.169b6349acd1ep-10, -0x1.0df3930b2fdb5p-10, -0x1.059dc54d3c331p-10, -0x1.fb2e674830acp-11, -0x1.ebba567afe46ap-11, -0x1.dcda18ee0f5ccp-11, -0x1.ce8894ebbb6a3p-11, -0x1.c0c0d57f9f255p-11, -0x1.b37e09ab68fe8p-11, -0x1.a6bb839e59996p-11, -0x1.9a74b7ef81b67p-11, -0x1.8ea53cdab97dbp-11, -0x1.8348c9805e3b2p-11, -0x1.785b3527d03e9p-11, -0x1.6dd87684b8131p-11, -0x1.63bca2ff14689p-11, -0x1.5a03edfe0fc88p-11, -0x1.50aaa8359e15cp-11, -0x1.47ad3ef6e6925p-11, -0x1.3f083b8371dc6p-11, -0x1.36b8426323fe2p-11, -0x1.2eba12bcf9c7p-11, -0x1.270a85b28b3dbp-11, -0x1.1fa68dbe5074bp-11, -0x1.188b3614a6497p-11, -0x1.11b5a2078e8b6p-11, -0x1.0b230c6d2a328p-11, -0x1.04d0c708e83cep-11, -0x1.fd7873eed0262p-12, -0x1.f1c5c63a0d586p-12, -0x1.e684ab2e2d534p-12, -0x1.dbb0725f74d41p-12, -0x1.d14493a8bd722p-12, -0x1.c73cae1d9c741p-12, -0x1.bd948701aef3bp-12, -0x1.b44808c509812p-12, -0x1.ab534205afce5p-12, -0x1.a2b264961788cp-12, -0x1.9a61c4889cb63p-12, -0x1.925dd73fe807cp-12, -0x1.8aa332842a504p-12, -0x1.832e8b9d2d91dp-12, -0x1.7bfcb671275dap-12, -0x1.750aa4a83a832p-12, -0x1.6e5564d4a5cd8p-12, -0x1.67da219f82fd3p-12, -0x1.619620fa12d6p-12, -0x1.5b86c35381177p-12, -0x1.55a982d311f57p-12, -0x1.4ffbf296ae436p-12, -0x1.4a7bbdf5ba7f8p-12, -0x1.4526a7c82888ap-12, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.85a9c407c90aep-1, 0x1.85526b1011ce2p-1, 0x1.84ec50f2d98a7p-1, 0x1.8476f5977737cp-1, 0x1.83f1ffbf80b76p-1, 0x1.835d3b1374118p-1, 0x1.82b895aabf56p-1, 0x1.82041d3721635p-1, 0x1.813ffbf56cfacp-1, 0x1.806c75801dc8ep-1, 0x1.7f89e39b0612dp-1, 0x1.7e98b30ab1701p-1, 0x1.7d99608604dfcp-1, 0x1.7c8c75cd0c3cap-1, 0x1.7b7286ece52f9p-1, 0x1.7a4c2fb62082cp-1, 0x1.791a1168e0c51p-1, 0x1.77dcd09837b8dp-1, 0x1.76951344eefb7p-1, 0x1.75437f2ec91e6p-1, 0x1.73e8b85a7f37ap-1, 0x1.72855fca167a7p-1, 0x1.711a1264c1d96p-1, 0x1.6fa7680b3566ep-1, 0x1.6e2df2d5287d4p-1, 0x1.6cae3e74a8a8ap-1, 0x1.6b28cfbbec495p-1, 0x1.699e244252902p-1, 0x1.680eb2256798ep-1, 0x1.667ae7e2daeb8p-1, 0x1.64e32c4882e1bp-1, 0x1.6347de77b7978p-1, 0x1.61a955f974fd5p-1, 0x1.6007e2e0ee59ep-1, 0x1.5e63cdfa63255p-1, 0x1.5cbd59043c1fp-1, 0x1.5b14bef09d53cp-1, 0x1.596a342dcdaeep-1, 0x1.57bde6f3f76fep-1, 0x1.560fff96ef4e8p-1, 0x1.5460a0dad7acep-1, 0x1.52afe84a90ec6p-1, 0x1.50fdee8f0fc6ep-1, 0x1.4f4ac7c6cc11p-1, 0x1.4d9683dc958dap-1, 0x1.4be12edd36df3p-1, 0x1.4a2ad14b662a4p-1, 0x1.4873707195e6ep-1, 0x1.46bb0eb1494bap-1, 0x1.4501abcfa9ea8p-1, 0x1.4347453f1b6cbp-1, 0x1.418bd665aa3e5p-1, 0x1.3fcf58e02c7bfp-1, 0x1.3e11c4c203fap-1, 0x1.3c5310d1754fp-1, 0x1.3a9332c089c21p-1, 0x1.38d21f6284e9dp-1, 0x1.370fcaddf30adp-1, 0x1.354c28db5cf62p-1, 0x1.33872cb0b6849p-1, 0x1.31c0c98998d59p-1, 0x1.2ff8f28c643f4p-1, 0x1.2e2f9afc61e7fp-1, 0x1.2c64b65904425p-1, 0x1.2a98387a5fefdp-1, 0x1.28ca15aafffe8p-1, 0x1.26fa42bf33a4p-1, 0x1.2528b529f1d36p-1, 0x1.2355630f76bdfp-1, 0x1.21804355b997bp-1, 0x1.1fa94db2d5ac8p-1, 0x1.1dd07ab98a64dp-1, 0x1.1bf5c3e3edef4p-1, 0x1.1a19239c6cf35p-1, 0x1.183a9545372efp-1, 0x1.165a153e32818p-1, 0x1.1477a0e98c246p-1, 0x1.129336af04df8p-1, 0x1.10acd5fe0d8e6p-1, 0x1.0ec47f4eca641p-1, 0x1.0cda3422151dbp-1, 0x1.0aedf7008f846p-1, 0x1.08ffcb78dc02p-1, 0x1.070fb61d0f335p-1, 0x1.051dbc7f68c26p-1, 0x1.0329e52e67fc5p-1, 0x1.013437b04802fp-1, 0x1.fe7978fbec95dp-2, 0x1.fa86f9fb18d4fp-2, 0x1.f69106f8bcc09p-2, 0x1.f297b6514a78ap-2, 0x1.ee9b2015ad52ap-2, 0x1.ea9b5dfd5bea1p-2, 0x1.e6988b57e8e34p-2, 0x1.e292c4fe25bafp-2, 0x1.de8a2942deab6p-2, 0x1.da7ed7e34caebp-2, 0x1.d670f1f742746p-2, 0x1.d26099e128151p-2, 0x1.ce4df33dcddecp-2, 0x1.ca3922d4259fbp-2, 0x1.c6224e84eac98p-2, 0x1.c2099d3a454d8p-2, 0x1.bdef36d76ffep-2, 0x1.b9d344286c20dp-2, 0x1.b5b5eed1c4d77p-2, 0x1.b197614074d5p-2, 0x1.ad77c699e7c95p-2, 0x1.a9574aac29191p-2, 0x1.a53619de3daf8p-2, 0x1.a1146120b3781p-2, 0x1.9cf24dde67618p-2, 0x1.98d00ded88121p-2, 0x1.94adcf80db757p-2, 0x1.908bc11945d3p-2, 0x1.8c6a117799041p-2, 0x1.8848ef8eaf507p-2, 0x1.84288a75d10e7p-2, 0x1.8009115b6b306p-2, 0x1.7beab378180f8p-2, 0x1.77cda001f8b3ap-2, 0x1.73b2062064be6p-2, 0x1.6f9814dff2bd8p-2, 0x1.6b7ffb26d1da2p-2, 0x1.6769e7a983d94p-2, 0x1.635608dfe8e9cp-2, 0x1.5f448cfaaa726p-2, 0x1.5b35a1d8fe45dp-2, 0x1.572974fec38f3p-2, 0x1.5320338afd6c8p-2, 0x1.4f1a0a2ea5ef9p-2, 0x1.4b172523dad6ep-2, 0x1.4717b0256946cp-2, 0x1.431bd666b025bp-2, 0x1.3f23c28bdd83dp-2, 0x1.3b2f9ea283168p-2, 0x1.373f941a88d27p-2, 0x1.3353cbbf71c44p-2, 0x1.2f6c6db1faa1p-2, 0x1.2b89a1620efb4p-2, 0x1.27ab8d8912e9ap-2, 0x1.23d25824818eap-2, 0x1.1ffe2670de4fdp-2, 0x1.1c2f1ce4f92c7p-2, 0x1.18655f2d82aebp-2, 0x1.14a11028f0592p-2, 0x1.10e251e3af5dp-2, 0x1.0d294594a4b89p-2, 0x1.09760b99f6c76p-2, 0x1.05c8c376251c9p-2, 0x1.02218bcd63a69p-2, 0x1.fd0104c684b38p-3, 0x1.f5cb88312cc61p-3, 0x1.eea2d9d356158p-3, 0x1.e7872fd96134cp-3, 0x1.e078bea0e260dp-3, 0x1.d977b8b682c88p-3, 0x1.d2844ed45ebc3p-3, 0x1.cb9eafe0dc5ebp-3, 0x1.c4c708edf9f7p-3, 0x1.bdfd853904eeap-3, 0x1.b7424e2ac950dp-3, 0x1.b0958b5825913p-3, 0x1.a9f76283045abp-3, 0x1.a367f79bbfec6p-3, 0x1.9ce76cc2e1d1ep-3, 0x1.9675e24b3e16ep-3, 0x1.901376bc6d79ep-3, 0x1.89c046d59a4ddp-3, 0x1.837c6d90a1ccfp-3, 0x1.7d48042581118p-3, 0x1.7723220e1841ap-3, 0x1.710ddd0a2a6cfp-3, 0x1.6b084923ae566p-3, 0x1.651278b35bfp-3, 0x1.5f2c7c657bceep-3, 0x1.5956633eee093p-3, 0x1.53903aa277731p-3, 0x1.4dda0e5633cd1p-3, 0x1.4833e8894acbcp-3, 0x1.429dd1d9cd962p-3, 0x1.3d17d15abf5dcp-3, 0x1.37a1ec9a539e9p-3, 0x1.323c27a849661p-3, 0x1.2ce6851c6f105p-3, 0x1.27a1061d4cb96p-3, 0x1.226baa66e911bp-3, 0x1.1d467051aebe4p-3, 0x1.183154d96978fp-3, 0x1.132c53a45f562p-3, 0x1.0e37670a7d649p-3, 0x1.0952881c97a72p-3, 0x1.047daeabbb876p-3, 0x1.ff71a2a1243abp-4, 0x1.f607cae594c3bp-4, 0x1.ecbdbea12bb3bp-4, 0x1.e393640c48c07p-4, 0x1.da889f2a630f2p-4, 0x1.d19d51d919693p-4, 0x1.c8d15bdf55cb5p-4, 0x1.c0249afc6828dp-4, 0x1.b796eaf72bbcbp-4, 0x1.af2825ad1c86p-4, 0x1.a6d823216b01ap-4, 0x1.9ea6b98c000e8p-4, 0x1.9693bd687aaa3p-4, 0x1.8e9f018511e16p-4, 0x1.86c857116a42cp-4, 0x1.7f0f8dad50eecp-4, 0x1.777473775fc88p-4, 0x1.6ff6d51b84459p-4, 0x1.68967de168832p-4, 0x1.615337babc55ep-4, 0x1.5a2ccb515bb29p-4, 0x1.5323001550ab9p-4, 0x1.4c359c4aaf41bp-4, 0x1.4564651748381p-4, 0x1.3eaf1e9033173p-4, 0x1.38158bc72c34ep-4, 0x1.31976ed7c4a57p-4, 0x1.2b3488f465d73p-4, 0x1.24ec9a732391ep-4, 0x1.1ebf62da5ce16p-4, 0x1.18aca0ed2c9f3p-4, 0x1.12b412b7a4db5p-4, 0x1.0cd5759ad6321p-4, 0x1.07108658a369dp-4, 0x1.0165011f5d1eep-4, 0x1.f7a5432a51ac2p-5, 0x1.ecb245c65d699p-5, 0x1.e1f07f8120ad9p-5, 0x1.d75f64fa4f099p-5, 0x1.ccfe6a1815baep-5, 0x1.c2cd021bb465cp-5, 0x1.b8ca9fb5a1b45p-5, 0x1.aef6b5193c8e2p-5, 0x1.a550b410098e1p-5, 0x1.9bd80e0c7a9ap-5, 0x1.928c343c447b2p-5, 0x1.896c979a3e3e4p-5, 0x1.8078a8ffcbc3fp-5, 0x1.77afd935d75ffp-5, 0x1.6f11990551bb1p-5, 0x1.669d594744fdap-5, 0x1.5e528af46e967p-5, 0x1.56309f346ae17p-5, 0x1.4e37076c6d0c9p-5, 0x1.4665354d85b1ep-5, 0x1.3eba9ae2798e4p-5, 0x1.3736aa9d28af3p-5, 0x1.2fd8d76386189p-5, 0x1.28a0949c23658p-5, 0x1.218d563a4ea2fp-5, 0x1.1a9e90c9c480ap-5, 0x1.13d3b979f8f3ep-5, 0x1.0d2c4628f75b7p-5, 0x1.06a7ad6dd8bb4p-5, 0x1.004566a2d4fe4p-5, 0x1.f409d3dde0957p-6, 0x1.e7cb609e8280fp-6, 0x1.dbce673fafba1p-6, 0x1.d011dd48851fdp-6, 0x1.c494ba1f67369p-6, 0x1.b955f7199052fp-6, 0x1.ae548f89ecbc1p-6, 0x1.a38f80cf35febp-6, 0x1.9905ca6168e2p-6, 0x1.8eb66dde81971p-6, 0x1.84a06f169289dp-6, 0x1.7ac2d417324fbp-6, 0x1.711ca5363fffep-6, 0x1.67aced1c0e23dp-6, 0x1.5e72b8cce4c52p-6, 0x1.556d17b1f286p-6, 0x1.4c9b1ba19f657p-6, 0x1.43fbd8e74dd91p-6, 0x1.3b8e664a8ba63p-6, 0x1.3351dd15b3e0fp-6, 0x1.2b45591c06ff7p-6, 0x1.2367f8bf3d3ap-6, 0x1.1bb8dcf4949fap-6, 0x1.1437294961352p-6, 0x1.0ce203e71b999p-6, 0x1.05b89596fdabap-6, 0x1.fd74138a43d9fp-7, 0x1.efcb1d066a3fp-7, 0x1.e274a9156a5dcp-7, 0x1.d56f1e7d91523p-7, 0x1.c8b8e95b4b3fdp-7, 0x1.bc507b2335e5fp-7, 0x1.b0344aa35d48dp-7, 0x1.a462d403c9d69p-7, 0x1.98da98c6481bap-7, 0x1.8d9a1fc5862c7p-7, 0x1.829ff5337b82p-7, 0x1.77eaaa9731cdbp-7, 0x1.6d78d6c9e9239p-7, 0x1.634915f39feccp-7, 0x1.595a09870442cp-7, 0x1.4faa583cdb5edp-7, 0x1.4638ae0ed0c2p-7, 0x1.3d03bc31d0f97p-7, 0x1.340a390fd63dcp-7, 0x1.2b4ae04141621p-7, 0x1.22c47285bb23ap-7, 0x1.1a75b5bca4997p-7, 0x1.125d74dd1bfa3p-7, 0x1.0a7a7fed9a817p-7, 0x1.02cbabfb2ff3dp-7, 0x1.f69fa620c1f24p-8, 0x1.e80ba85757e77p-8, 0x1.d9d9266b72cc9p-8, 0x1.cc05f1ee791bcp-8, 0x1.be8fe61d0ed7cp-8, 0x1.b174e7c9afc35p-8, 0x1.a4b2e546c0842p-8, 0x1.9847d65021ac3p-8, 0x1.8c31bbf449726p-8, 0x1.806ea07cefec7p-8, 0x1.74fc9757500b1p-8, 0x1.69d9bcfc0852ap-8, 0x1.5f0436d6a0a8bp-8, 0x1.547a332cbd18fp-8, 0x1.4a39e90502123p-8, 0x1.4041980db3accp-8, 0x1.368f88831283bp-8, 0x1.2d220b1581aaap-8, 0x1.23f778cf7337dp-8, 0x1.1b0e32fb2b6dep-8, 0x1.1264a30856dc1p-8, 0x1.09f93a717eb7fp-8, 0x1.01ca72a15e405p-8, 0x1.f3ad99b03c76cp-9, 0x1.e439a420f8609p-9, 0x1.d53625c9c4db9p-9, 0x1.c6a04ee8e75c9p-9, 0x1.b8755e9020857p-9, 0x1.aab2a26eb0d93p-9, 0x1.9d55769b60d11p-9, 0x1.905b455e94342p-9, 0x1.83c186fc6ca19p-9, 0x1.7785c17f0c319p-9, 0x1.6ba58880f04bbp-9, 0x1.601e7cf77b361p-9, 0x1.54ee4cfda74d9p-9, 0x1.4a12b39eef28ep-9, 0x1.3f8978a27287ap-9, 0x1.35507056553d9p-9, 0x1.2b657b5b68fd6p-9, 0x1.21c686711e115p-9, 0x1.18718a41c5253p-9, 0x1.0f648b2f22207p-9, 0x1.069d991f5be32p-9, 0x1.fc359e948b0bdp-10, 0x1.ebb4a80e11fa5p-10, 0x1.dbb4b1346be22p-10, 0x1.cc3232087295fp-10, 0x1.bd29b7a08632cp-10, 0x1.ae97e3c728123p-10, 0x1.a0796c9a88ee8p-10, 0x1.92cb1c2cfa755p-10, 0x1.8589d02648c99p-10, 0x1.78b2796615da7p-10, 0x1.6c421ba71dc9ep-10, 0x1.6035cd2385096p-10, 0x1.548ab63a1d096p-10, 0x1.493e1114b4df7p-10, 0x1.3e4d294f6aa12p-10, 0x1.33b55ba10af59p-10, 0x1.29741584811f8p-10, 0x1.1f86d4e34d5ccp-10, 0x1.15eb27c1181f9p-10, 0x1.0c9eabe8513fap-10, 0x1.039f0e97e933ep-10, 0x1.f5d41864430c1p-11, 0x1.e4fadfd8e35d6p-11, 0x1.d4ae27011483ep-11, 0x1.c4e9bdbcddfe6p-11, 0x1.b5a98fbf5a8fp-11, 0x1.a6e9a3f75b096p-11, 0x1.98a61bfa3de08p-11, 0x1.8adb337100dcap-11, 0x1.7d853f8785fe3p-11, 0x1.70a0ae5e0f9aep-11, 0x1.642a067cf13b7p-11, 0x1.581de64a736c5p-11, 0x1.4c790382e8b49p-11, 0x1.41382ab2f3ec4p-11, 0x1.36583eb3f9312p-11, 0x1.2bd6382abd4dfp-11, 0x1.21af25082b3e8p-11, 0x1.17e0280c3f97fp-11, 0x1.0e66784b15c7p-11, 0x1.053f60b414aap-11, 0x1.f8d07f366c7f6p-12, 0x1.e7bd0c88cbd46p-12, 0x1.d73f70e1e6095p-12, 0x1.c752d7de2216dp-12, 0x1.b7f29056c9516p-12, 0x1.a91a0b892aa3bp-12, 0x1.9ac4dc41c2daep-12, 0x1.8ceeb60b5ddd1p-12, 0x1.7f936c6229213p-12, 0x1.72aef1eaa972cp-12, 0x1.663d57ac8ff35p-12, 0x1.5a3acc515cc9ep-12, 0x1.4ea39b66cb723p-12, 0x1.43742ca4f78eep-12, 0x1.38a9033835bd9p-12, 0x1.2e3ebd0e8edcdp-12, 0x1.24321228d68e6p-12, 0x1.1a7fd3ef529b8p-12, 0x1.1124ec89e3032p-12, 0x1.081e5e3ba1b15p-12, 0x1.fed28583e0d47p-13, 0x1.ee05956dc87e6p-13, 0x1.ddd079ee13322p-13, 0x1.ce2dec14d2db2p-13, 0x1.bf18cf21a9258p-13, 0x1.b08c2f62ad239p-13, 0x1.a2834119a8f25p-13, 0x1.94f95f677eba4p-13, 0x1.87ea0b3dac09bp-13, 0x1.7b50ea55cdd0dp-13, 0x1.6f29c62f0bc51p-13, 0x1.63708b115843bp-13, 0x1.582147166a932p-13, 0x1.4d38293853fcfp-13, 0x1.42b18065aa598p-13, 0x1.3889ba9b19367p-13, 0x1.2ebd64025997bp-13, 0x1.2549261662641p-13, 0x1.1c29c6ccd096p-13, 0x1.135c27c4585aep-13, 0x1.0add457841d39p-13, 0x1.02aa3678c1ba8p-13, 0x1.f5805550510dfp-14, 0x1.e638d4f998431p-14, 0x1.d778ac8f297d7p-14, 0x1.c93acafe321e3p-14, 0x1.bb7a4c1e5bb05p-14, 0x1.ae327759b8b4bp-14, 0x1.a15ebe5d4f799p-14, 0x1.94fabbd202acbp-14, 0x1.8902321dd2cbfp-14, 0x1.7d710a2d2db2p-14, 0x1.724352443643fp-14, 0x1.67753cd7d25ap-14, 0x1.5d031f6e5c1f4p-14, 0x1.52e97187cbd95p-14, 0x1.4924cb8d332fcp-14, 0x1.3fb1e5c763c23p-14, 0x1.368d975c9bc23p-14, 0x1.2db4d5550f518p-14, 0x1.2524b1a62dda1p-14, 0x1.1cda5a447aaa7p-14, 0x1.14d3183bd63f3p-14, 0x1.0d0c4ece162e4p-14, 0x1.05837a97c3876p-14, 0x1.fc6c6175c5521p-15, 0x1.ee443c1f3c562p-15, 0x1.e08a0cb56a555p-15, 0x1.d33987131631cp-15, 0x1.c64e89e7702b2p-15, 0x1.b9c51d43f723dp-15, 0x1.ad997134dbd87p-15, 0x1.a1c7dc63acb7dp-15, 0x1.964cdac404d11p-15, 0x1.8b250c4a08e21p-15, 0x1.804d33aa71ac7p-15, 0x1.75c23523ed858p-15, 0x1.6b8115519be2p-15, 0x1.6186f80670c84p-15, 0x1.57d11f314231cp-15, 0x1.4e5ce9c94da2cp-15, 0x1.4527d2c3015eap-15, 0x1.3c2f700ccf92fp-15, 0x1.33717193e0f66p-15, 0x1.2aeba0506b67fp-15, 0x1.229bdd59837cep-15, 0x1.1a8021003180cp-15, 0x1.129679f1a130fp-15, 0x1.0add0c60373e4p-15, 0x1.035211336662bp-15, 0x1.f7e7aa7c1f9c2p-16, 0x1.e98170f68e906p-16, 0x1.db6e5aa2a55abp-16, 0x1.cdab6fb56a6e9p-16, 0x1.c035da6a3de06p-16, 0x1.b30ae5ac3b741p-16, 0x1.a627fbcabe8bap-16, 0x1.998aa538cc281p-16, 0x1.8d3087570bcbep-16, 0x1.8117634807e7dp-16, 0x1.753d14ce75b22p-16, 0x1.699f91353189p-16, 0x1.5e3ce640b2a0ep-16, 0x1.53133929af616p-16, 0x1.4820c5a0b4782p-16, 0x1.3d63dcda68034p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.11d790074bc1cp-4, -0x1.2207ecfa66d7ap-4, -0x1.32aa86dd5845ap-4, -0x1.43c47ca1aacd8p-4, -0x1.5555cf0696facp-4, -0x1.6759aa119a931p-4, -0x1.79c6ce81c4bbdp-4, -0x1.8c901068cb138p-4, -0x1.9fa4e207f8ba3p-4, -0x1.b2f1e3d9d9d6ep-4, -0x1.c66174480c3eep-4, -0x1.d9dc3ae9d259dp-4, -0x1.ed49ac4d1f335p-4, -0x1.0048421dd790ep-3, -0x1.09cb9a97756abp-3, -0x1.1322261e86a3dp-3, -0x1.1c3f649fd2ca5p-3, -0x1.251735a615718p-3, -0x1.2d9df8ec6e728p-3, -0x1.35c8a98b75ba8p-3, -0x1.3d8cf415587d7p-3, -0x1.44e147ffbd465p-3, -0x1.4bbce4bfb5681p-3, -0x1.5217e2fe81ceep-3, -0x1.57eb3a4d8dc9ep-3, -0x1.5d30c3bdcf73ep-3, -0x1.61e339bb3def7p-3, -0x1.65fe358852724p-3, -0x1.697e2ab04f38ap-3, -0x1.6c6060c12e62bp-3, -0x1.6ea2eb9837f5ap-3, -0x1.7044a285ee65ap-3, -0x1.71451687fdbacp-3, -0x1.71a487d1c63e3p-3, -0x1.7163dad62ac3ap-3, -0x1.70848cffbc4f7p-3, -0x1.6f08a93edf3ccp-3, -0x1.6cf2bc9082abcp-3, -0x1.6a45ca9b23bap-3, -0x1.6705427b83761p-3, -0x1.6334f3d644834p-3, -0x1.5ed9043fe93cbp-3, -0x1.59f5e50959745p-3, -0x1.5490497bdc14bp-3, -0x1.4ead1d8cdfdcp-3, -0x1.48517d0f53a6ep-3, -0x1.4182ab66579f8p-3, -0x1.3a460bbb0fd5dp-3, -0x1.32a119b5d957ap-3, -0x1.2a9962b9d6622p-3, -0x1.22347fa07c6bep-3, -0x1.19780ef2136a2p-3, -0x1.1069af971da8bp-3, -0x1.070efbfe408b6p-3, -0x1.fadb0b634cf36p-4, -0x1.e715a2ad223bp-4, -0x1.d2d8a62368aafp-4, -0x1.be2ed6953d53ep-4, -0x1.a922c7914e32ep-4, -0x1.93beda475ead5p-4, -0x1.7e0d3906884eep-4, -0x1.6817d34d534p-4, -0x1.51e85a6146366p-4, -0x1.3b883e63d9a06p-4, -0x1.2500abdb2e155p-4, -0x1.0e5a89a55f49fp-4, -0x1.ef3cee9b8c588p-5, -0x1.c1a99777f0e9fp-5, -0x1.940b2869a76a8p-5, -0x1.6671274cc0165p-5, -0x1.38ea846f97a05p-5, -0x1.0b859a2e7adcbp-5, -0x1.bca059fe9cc7fp-6, -0x1.62aed7c4de4a6p-6, -0x1.094fe25daaca7p-6, -0x1.61370ec0ea6dep-7, -0x1.62a2c07681998p-8, -0x1.8d24f160865e7p-14, 0x1.5289bbd101f98p-8, 0x1.53a4f2becec3fp-7, 0x1.fbe0f91912586p-7, 0x1.50eb0a4bb11ddp-6, 0x1.a2b1bedd12c16p-6, 0x1.f3353b901c9fbp-6, 0x1.21339096c8138p-5, 0x1.481d051a23f09p-5, 0x1.6e50c277e7b8p-5, 0x1.93c906b797a55p-5, 0x1.b88083b0efd94p-5, 0x1.dc725bf01bab9p-5, 0x1.ff9a1f9226416p-5, 0x1.10f9e48deeab3p-4, 0x1.21bddd269c0d1p-4, 0x1.32175c798e34ap-4, 0x1.4204f5dc9edb1p-4, 0x1.51856b7ecf24ap-4, 0x1.6097acd393b9bp-4, 0x1.6f3ad50050d57p-4, 0x1.7d6e294c9d681p-4, 0x1.8b311795da631p-4, 0x1.988334c69a36cp-4, 0x1.a5643b524cf6p-4, 0x1.b1d409b59945cp-4, 0x1.bdd2a0fbbf562p-4, 0x1.c96023495b08fp-4, 0x1.d47cd26cdd97dp-4, 0x1.df290e74ee374p-4, 0x1.e965544d0b9e5p-4, 0x1.f3323c608c596p-4, 0x1.fc90794446098p-4, 0x1.02c06b337a18cp-3, 0x1.07021b644c4edp-3, 0x1.0b0dc9dc70dc5p-3, 0x1.0ee3fdce5fa06p-3, 0x1.1285485da60aap-3, 0x1.15f24408f6b6dp-3, 0x1.192b9418025d4p-3, 0x1.1c31e40cf98bdp-3, 0x1.1f05e719d34d6p-3, 0x1.21a85799561cp-3, 0x1.2419f68be15c1p-3, 0x1.265b8b17f2184p-3, 0x1.286de20e6e6f2p-3, 0x1.2a51cd72ab602p-3, 0x1.2c082406242dbp-3, 0x1.2d91c0d7e97bdp-3, 0x1.2eef82d7ba189p-3, 0x1.30224c6cbae03p-3, 0x1.312b030fd141ep-3, 0x1.320a8ee9835dcp-3, 0x1.32c1da736d91bp-3, 0x1.3351d21d225afp-3, 0x1.33bb63f487e71p-3, 0x1.33ff7f5194899p-3, 0x1.341f14855c05p-3, 0x1.341b148c6cc57p-3, 0x1.33f470c4662d3p-3, 0x1.33ac1aa4b57c5p-3, 0x1.3343037a76ae5p-3, 0x1.32ba1c275e098p-3, 0x1.321254e3a519ap-3, 0x1.314c9d02deef9p-3, 0x1.3069e2bbb020ep-3, 0x1.2f6b12f253a9ap-3, 0x1.2e511905dbf94p-3, 0x1.2d1cdea021368p-3, 0x1.2bcf4b884a41fp-3, 0x1.2a694577e6cap-3, 0x1.28ebaff279e4ap-3, 0x1.27576c1f77d24p-3, 0x1.25ad58a699023p-3, 0x1.23ee518e71a19p-3, 0x1.221b301d45ca8p-3, 0x1.2034cabc0293ep-3, 0x1.1e3bf4db4a693p-3, 0x1.1c317eda8bep-3, 0x1.1a1635f109878p-3, 0x1.17eae418c5819p-3, 0x1.15b04ffb4b9d6p-3, 0x1.13673ce034214p-3, 0x1.11106a9d62c88p-3, 0x1.0eac9588edb9fp-3, 0x1.0c3c766c9598ap-3, 0x1.09c0c27aca486p-3, 0x1.073a2b4526696p-3, 0x1.04a95eb4561b1p-3, 0x1.020f07015930dp-3, 0x1.fed795602c959p-4, 0x1.f9809916552f5p-4, 0x1.f41a5741e02d5p-4, 0x1.eea606834fc2cp-4, 0x1.e924d5fd7bdfp-4, 0x1.e397ed5634062p-4, 0x1.de006cb8d68b1p-4, 0x1.d85f6cdae4332p-4, 0x1.d2b5ff0250eefp-4, 0x1.cd052d0d91a83p-4, 0x1.c74df97d52084p-4, 0x1.c1915f7fb612p-4, 0x1.bbd052fd09a62p-4, 0x1.b60bc0a5e3397p-4, 0x1.b0448e0283349p-4, 0x1.aa7b99837a89bp-4, 0x1.a4b1ba937552bp-4, 0x1.9ee7c1aa161cep-4, 0x1.991e785fe2f0bp-4, 0x1.9356a1830d8c5p-4, 0x1.8d90f92d345f3p-4, 0x1.87ce34d9e5905p-4, 0x1.820f037de8ceep-4, 0x1.7c540d9f39f08p-4, 0x1.769df56da80bep-4, 0x1.70ed56dc07ffdp-4, 0x1.6b42c7b9f08bep-4, 0x1.659ed7cdeeeb8p-4, 0x1.600210f02990fp-4, 0x1.5a6cf725650aap-4, 0x1.54e008ba5e3bp-4, 0x1.4f5bbe5f6d651p-4, 0x1.49e08b446b04ap-4, 0x1.446edd34c7aacp-4, 0x1.3f071cb3d0b69p-4, 0x1.39a9ad19153f9p-4, 0x1.3456ecace346fp-4, 0x1.2f0f34c4d5f95p-4, 0x1.29d2d9e06964bp-4, 0x1.24a22bc58f699p-4, 0x1.1f7d759d3a4b3p-4, 0x1.1a64fe0fd9594p-4, 0x1.15590761be61ep-4, 0x1.1059cf8f6729fp-4, 0x1.0b679069a24e9p-4, 0x1.06827fb18c911p-4, 0x1.01aacf345ed07p-4, 0x1.f9c159ce10eebp-5, 0x1.f0488603244bp-5, 0x1.e6eb703482087p-5, 0x1.ddaa5e80f531fp-5, 0x1.d485902ec256cp-5, 0x1.cb7d3de050146p-5, 0x1.c29199c83200fp-5, 0x1.b9c2cfdc95f4fp-5, 0x1.b111060a07643p-5, 0x1.a87c5c65886c3p-5, 0x1.a004ed5df7177p-5, 0x1.97aacdecbbab5p-5, 0x1.8f6e0dc5bcd64p-5, 0x1.874eb78694d03p-5, 0x1.7f4cd0e501736p-5, 0x1.77685adc905a7p-5, 0x1.6fa151db81bep-5, 0x1.67f7adeede316p-5, 0x1.606b62edbff47p-5, 0x1.58fc60a3cdbcap-5, 0x1.51aa92fae0a07p-5, 0x1.4a75e223dbd4ep-5, 0x1.435e32bead71p-5, 0x1.3c6366017cc9fp-5, 0x1.358559df03f23p-5, 0x1.2ec3e92c11e4p-5, 0x1.281eebc43bad8p-5, 0x1.219636adb4e04p-5, 0x1.1b299c3c5599fp-5, 0x1.14d8ec33cc637p-5, 0x1.0ea3f3e8fb8cap-5, 0x1.088a7e6287a5ap-5, 0x1.028c5478911abp-5, 0x1.f95279e74430ap-6, 0x1.edc1f95594107p-6, 0x1.e266ad41e1b73p-6, 0x1.d7401842b84dap-6, 0x1.cc4db9b6da31dp-6, 0x1.c18f0dfb2de74p-6, 0x1.b7038e9f1f8efp-6, 0x1.acaab29782286p-6, 0x1.a283ee6feafb5p-6, 0x1.988eb47a91b7p-6, 0x1.8eca74febd068p-6, 0x1.85369e65b8134p-6, 0x1.7bd29d6663437p-6, 0x1.729ddd2f521fep-6, 0x1.6997c78f933c6p-6, 0x1.60bfc51e15771p-6, 0x1.58153d5fb6864p-6, 0x1.4f9796ec01dcep-6, 0x1.47463790a90cbp-6, 0x1.3f208473ade7bp-6, 0x1.3725e23457b6ap-6, 0x1.2f55b50ae6257p-6, 0x1.27af60e7186a4p-6, 0x1.2032498d85229p-6, 0x1.18ddd2b3caa3bp-6, 0x1.11b1601b9cabdp-6, 0x1.0aac55acbfa34p-6, 0x1.03ce178de40dfp-6, 0x1.fa2c1478fcaa3p-7, 0x1.ed0725471f48p-7, 0x1.e02c2c62deab7p-7, 0x1.d399f5d933bdap-7, 0x1.c74f4f0f0797cp-7, 0x1.bb4b06e70eb1fp-7, 0x1.af8bede5bbb66p-7, 0x1.a410d6537430cp-7, 0x1.98d8945d09ebep-7, 0x1.8de1fe3285a5fp-7, 0x1.832bec2441b5ap-7, 0x1.78b538be79353p-7, 0x1.6e7cc0e34343dp-7, 0x1.648163e3086e8p-7, 0x1.5ac203938a2ebp-7, 0x1.513d84656e6a5p-7, 0x1.47f2cd7880394p-7, 0x1.3ee0c8ae7bb59p-7, 0x1.360662bcabc64p-7, 0x1.2d628b3c2f3fbp-7, 0x1.24f434b911423p-7, 0x1.1cba54c030324p-7, 0x1.14b3e3ec01c94p-7, 0x1.0cdfddf03bfc5p-7, 0x1.053d41a46e435p-7, 0x1.fb96221b24dbfp-8, 0x1.ed10a2cd416acp-8, 0x1.dee816505a2d5p-8, 0x1.d11a941e346bep-8, 0x1.c3a63a44d0854p-8, 0x1.b6892d704f7d2p-8, 0x1.a9c198f3371dp-8, 0x1.9d4daecd1eca1p-8, 0x1.912ba7afd8331p-8, 0x1.8559c303227aap-8, 0x1.79d646e6f8776p-8, 0x1.6e9f803485969p-8, 0x1.63b3c27dd55b9p-8, 0x1.5911680c46c65p-8, 0x1.4eb6d1ddd31d1p-8, 0x1.44a267a137033p-8, 0x1.3ad297b109f7ep-8, 0x1.3145d70dcf7f8p-8, 0x1.27faa15712dacp-8, 0x1.1eef78c393347p-8, 0x1.1622e61893223p-8, 0x1.0d9378a051f1ep-8, 0x1.053fc61fb974bp-8, 0x1.fa4cd596a498ep-9, 0x1.ea8c1276fd76cp-9, 0x1.db3a94c020731p-9, 0x1.cc55bae673021p-9, 0x1.bddaefd7dc78ap-9, 0x1.afc7aadf65bdcp-9, 0x1.a2196f87d4e74p-9, 0x1.94cdcd7d51b35p-9, 0x1.87e2606e2693cp-9, 0x1.7b54cfeaacee1p-9, 0x1.6f22cf447182p-9, 0x1.634a1d6ca92c9p-9, 0x1.57c884d1fcc89p-9, 0x1.4c9bdb3db91eap-9, 0x1.41c201b07bab7p-9, 0x1.3738e43e5e7a6p-9, 0x1.2cfe79eab0097p-9, 0x1.2310c4835089fp-9, 0x1.196dd07bac0d8p-9, 0x1.1013b4c771b4bp-9, 0x1.070092b5023f7p-9, 0x1.fc652b8f55a4bp-10, 0x1.eb4fe72360e58p-10, 0x1.dabdd71c7256dp-10, 0x1.caab8df63698p-10, 0x1.bb15b1653309ep-10, 0x1.abf8fa0a2ae17p-10, 0x1.9d5233258c1d6p-10, 0x1.8f1e3a4ada3a2p-10, 0x1.8159ff1445efcp-10, 0x1.740282d65db49p-10, 0x1.6714d854088f2p-10, 0x1.5a8e2372b4b2ep-10, 0x1.4e6b98eedf0ebp-10, 0x1.42aa7e10f60e7p-10, 0x1.37482862a1b12p-10, 0x1.2c41fd647b15bp-10, 0x1.219572443ec14p-10, 0x1.17400b938600cp-10, 0x1.0d3f5cff0ac6cp-10, 0x1.039109067a13ep-10, 0x1.f4658169d6a0bp-11, 0x1.e24486b3e9deap-11, 0x1.d0babc86d711dp-11, 0x1.bfc3d8efa2c25p-11, 0x1.af5bace2f49c2p-11, 0x1.9f7e23b4d7813p-11, 0x1.90274291f5098p-11, 0x1.815327fa5ce07p-11, 0x1.72fe0b3ddab45p-11, 0x1.65243bf9e465bp-11, 0x1.57c2219926ff3p-11, 0x1.4ad43ad4b9a9dp-11, 0x1.3e571d36f9fecp-11, 0x1.324774a018eb5p-11, 0x1.26a202cc5a678p-11, 0x1.1b639edc0d2cap-11, 0x1.108934dd3d20fp-11, 0x1.060fc55722f08p-11, 0x1.f7e8c9aea69fp-12, 0x1.e46877015e7b9p-12, 0x1.d19909382dc25p-12, 0x1.bf751c55be5d1p-12, 0x1.adf770f617791p-12, 0x1.9d1aeb7a95716p-12, 0x1.8cda93396bd8ep-12, 0x1.7d3191b0a82fp-12, 0x1.6e1b31bcb8d9cp-12, 0x1.5f92ded272fc9p-12, 0x1.5194243c9393p-12, 0x1.441aac5cba745p-12, 0x1.37223fefd3fe6p-12, 0x1.2aa6c555f65b6p-12, 0x1.1ea43fdda145ep-12, 0x1.1316cf126372p-12, 0x1.07faae0edb3fep-12, 0x1.fa9865a410b84p-13, 0x1.e60f9b2fe202cp-13, 0x1.d254106b08adfp-13, 0x1.bf5f0aef840f1p-13, 0x1.ad2a010c21fd3p-13, 0x1.9bae988f8a997p-13, 0x1.8ae6a59993e0cp-13, 0x1.7acc2972c2e73p-13, 0x1.6b595169f63ccp-13, 0x1.5c8875b81bc1ep-13, 0x1.4e541869e0cebp-13, 0x1.40b6e44f49c25p-13, 0x1.33ababf11fde6p-13, 0x1.272d688c16cd5p-13, 0x1.1b373911a3864p-13, 0x1.0fc4612e616d8p-13, 0x1.04d04856004a5p-13, 0x1.f4acf1a91fabp-14, 0x1.e0a53dca602bcp-14, 0x1.cd810f9bebcdap-14, 0x1.bb384201fc83p-14, 0x1.a9c2ee8531bbdp-14, 0x1.99196ba8e12c4p-14, 0x1.89344b4b3415cp-14, 0x1.7a0c590efc2b4p-14, 0x1.6b9a98cefb408p-14, 0x1.5dd8451a8262ap-14, 0x1.50becdbb38414p-14, 0x1.4447d643de02cp-14, 0x1.386d34a7e7481p-14, 0x1.2d28efdbbaddp-14, 0x1.22753e7d735d3p-14, 0x1.184c8585f6329p-14, 0x1.0ea9570234f73p-14, 0x1.058670d475343p-14, 0x1.f9bd76fae11a4p-15, 0x1.e95a91da5131cp-15, 0x1.d9daa6b68b61bp-15, 0x1.cb34784db171cp-15, 0x1.bd5f157ab0d8ep-15, 0x1.b051d7116b3ddp-15, 0x1.a4045dc8bce2ep-15, 0x1.986e903214f74p-15, 0x1.8d8898be58779p-15, 0x1.834ae3cfc508fp-15, 0x1.79ae1dd888828p-15, 0x1.70ab3185cadap-15, 0x1.683b45f6de116p-15, 0x1.6057bd0051db2p-15, 0x1.58fa317aa9069p-15, 0x1.521c759c65c2ep-15, 0x1.4bb8915f31a2cp-15, 0x1.45c8c0efdc90dp-15, 0x1.40477328f291cp-15, 0x1.3b2f4817aa5d4p-15, 0x1.367b0f8aec4f8p-15, 0x1.3225c7ac380d3p-15, 0x1.2e2a9ba228b9bp-15, 0x1.2a84e23c5fe61p-15, 0x1.27301ca89df03p-15, 0x1.2427f530c97dap-15, 0x1.21683e01b4b65p-15, 0x1.1eeceffa6809ep-15, 0x1.1cb22983b87f3p-15, 0x1.1ab42d6ffa5a7p-15, 0x1.18ef61e299b2bp-15, 0x1.17604f3f662a9p-15, 0x1.16039f216298ep-15, 0x1.14d61b58e577dp-15, 0x1.13d4acf0db44ep-15, 0x1.12fc5b3afc576p-15, 0x1.124a4ae2cba92p-15, 0x1.11bbbd072a54ap-15, 0x1.114e0e5a5d8d7p-15, 0x1.10feb64854a2dp-15, 0x1.10cb46230a4c4p-15, 0x1.10b16854d6045p-15, 0x1.10aedf9885cfap-15, 0x1.10c18637192acp-15, 0x1.10e74d4afae4fp-15, 0x1.111e3c088bc96p-15, 0x1.11646f0be4269p-15, 0x1.11b817aba1b01p-15, 0x1.12177b50a14d6p-15, 0x1.1280f2d2823fdp-15, 0x1.12f2e9d8d3ff8p-15, 0x1.136bde40ca6b9p-15, 0x1.13ea5f875da4ap-15, 0x1.146d0e37b018ep-15, 0x1.14f29b5da6954p-15, 0x1.1579c7fc8ab94p-15, 0x1.16016489a22ffp-15, 0x1.1688506a9e939p-15, 0x1.170d7977c41ep-15, 0x1.178fdb81b860cp-15, 0x1.180e7fdad2d2dp-15, 0x1.18887ce3e0cbdp-15, 0x1.18fcf59c3bc71p-15, 0x1.196b193522138p-15, 0x1.19d222a833512p-15, 0x1.1a315850ffcd1p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.d59383c3096cap-3, -0x1.e87f1aa4c0b6ep-3, -0x1.fb0eeef91d11bp-3, -0x1.06a3d06aa7d77p-2, -0x1.0f962befab7f5p-2, -0x1.185f6a50f4d29p-2, -0x1.20ffc7a0cd391p-2, -0x1.2976ef95f7904p-2, -0x1.31c4140a0a474p-2, -0x1.39e604a1fec53p-2, -0x1.41db46768965cp-2, -0x1.49a22adac75b6p-2, -0x1.5138e49eb508bp-2, -0x1.589d9b5fb987p-2, -0x1.5fce7ca4dc811p-2, -0x1.66c9caa6d929p-2, -0x1.6d8de8bf0a0e9p-2, -0x1.7419658c76c66p-2, -0x1.7a6b02eccf5bbp-2, -0x1.8081bbf12bbcep-2, -0x1.865cc8fc9a577p-2, -0x1.8bfba23de3966p-2, -0x1.915e00b6e38aap-2, -0x1.9683de033e6e4p-2, -0x1.9b6d730e49e5cp-2, -0x1.a01b35e54ae6ap-2, -0x1.a48dd6cfd4463p-2, -0x1.a8c63cd4854eap-2, -0x1.acc581cca1797p-2, -0x1.b08cee253975dp-2, -0x1.b41df469082f8p-2, -0x1.b77a2caaa0f6bp-2, -0x1.baa34fe34ca83p-2, -0x1.bd9b3357edac7p-2, -0x1.c063c41282ef7p-2, -0x1.c2ff027c4cefbp-2, -0x1.c56efe2266d0cp-2, -0x1.c7b5d1ac8e1f2p-2, -0x1.c9d59f0c13cabp-2, -0x1.cbd08be754c5p-2, -0x1.cda8be44b9b7ap-2, -0x1.cf6059770c7ffp-2, -0x1.d0f97b4be412ep-2, -0x1.d276397c136e8p-2, -0x1.d3d89f5d3ed0ep-2, -0x1.d522abd327f86p-2, -0x1.d6564f7eb7354p-2, -0x1.d7756b287072bp-2, -0x1.d881ce63a1b76p-2, -0x1.d97d366766eddp-2, -0x1.da694d1a756b9p-2, -0x1.db47a84e76951p-2, -0x1.dc19c927c46b6p-2, -0x1.dce11bae3882ep-2, -0x1.dd9ef683df4e7p-2, -0x1.de549abe5cd59p-2, -0x1.df0333dfe96bep-2, -0x1.dfabd7ecefc0bp-2, -0x1.e04f879b61ee7p-2, -0x1.e0ef2e990ea3bp-2, -0x1.e18ba3e6542f7p-2, -0x1.e225aa42bf275p-2, -0x1.e2bdf0a9443d1p-2, -0x1.e35512d9e727p-2, -0x1.e3eb99eed3f39p-2, -0x1.e481fcfb045b6p-2, -0x1.e518a1b0c3d22p-2, -0x1.e5afdd0e755c2p-2, -0x1.e647f41034475p-2, -0x1.e6e11c64fbcf4p-2, -0x1.e77b7d262716cp-2, -0x1.e8172f903fd25p-2, -0x1.e8b43fbc1ec05p-2, -0x1.e952ad578ad3dp-2, -0x1.e9f26c5c9831cp-2, -0x1.ea9365c718d72p-2, -0x1.eb35784790d93p-2, -0x1.ebd878f32b308p-2, -0x1.ec7c33f043be4p-2, -0x1.ed206d1f271bfp-2, -0x1.edc4e0bebc906p-2, -0x1.ee69440cd6df4p-2, -0x1.ef0d45e1fc02fp-2, -0x1.efb08f487532ap-2, -0x1.f052c40e8b0e2p-2, -0x1.f0f38353d7821p-2, -0x1.f19268119a09fp-2, -0x1.f22f099e0f316p-2, -0x1.f2c8fc2abbf06p-2, -0x1.f35fd13dbc467p-2, -0x1.f3f3182614a44p-2, -0x1.f4825e6b15895p-2, -0x1.f50d3036dbe26p-2, -0x1.f59318bc0345fp-2, -0x1.f613a2969c877p-2, -0x1.f68e58287cdcp-2, -0x1.f702c3f0fb1dep-2, -0x1.f77070e03c9b3p-2, -0x1.f7d6eaa61b1d6p-2, -0x1.f835bdfcce61ap-2, -0x1.f88c78ef66a49p-2, -0x1.f8daab1c3e143p-2, -0x1.f91fe5f3701bep-2, -0x1.f95bbcf17f71ap-2, -0x1.f98dc5d638866p-2, -0x1.f9b598d7f62c6p-2, -0x1.f9d2d0d35caf3p-2, -0x1.f9e50b77a9b53p-2, -0x1.f9ebe96fae076p-2, -0x1.f9e70e87938d9p-2, -0x1.f9d621cf7ee36p-2, -0x1.f9b8cdbb3026p-2, -0x1.f98ec03eb3406p-2, -0x1.f957aae83afabp-2, -0x1.f91342f742f29p-2, -0x1.f8c1417108c1cp-2, -0x1.f86163327879fp-2, -0x1.f7f368ffa352cp-2, -0x1.f7771790d3e5ep-2, -0x1.f6ec379d58983p-2, -0x1.f65295e4194eap-2, -0x1.f5aa03320c36cp-2, -0x1.f4f25466a2b7p-2, -0x1.f42b62763e5a1p-2, -0x1.f3550a6ac2d3p-2, -0x1.f26f2d625dba3p-2, -0x1.f179b08c90546p-2, -0x1.f0747d2597181p-2, -0x1.ef5f8070366ccp-2, -0x1.ee3aabae0ef04p-2, -0x1.ed05f41679b3fp-2, -0x1.ebc152cc1011ap-2, -0x1.ea6cc4d0e1baep-2, -0x1.e9084af973d73p-2, -0x1.e793e9de9906dp-2, -0x1.e60fa9ce2cd76p-2, -0x1.e47b96bace5fep-2, -0x1.e2d7c02a9c379p-2, -0x1.e12439250ecdcp-2, -0x1.df61181ff90dcp-2, -0x1.dd8e76ebbdd1fp-2, -0x1.dbac729ed094ep-2, -0x1.d9bb2b8084e47p-2, -0x1.d7bac4f345a83p-2, -0x1.d5ab655e3bb6dp-2, -0x1.d38d36166f987p-2, -0x1.d16063477c749p-2, -0x1.cf251bdbd7b04p-2, -0x1.ccdb9164bca0ap-2, -0x1.ca83f801cc983p-2, -0x1.c81e86486a57fp-2, -0x1.c5ab752adbe34p-2, -0x1.c32affdf42fc8p-2, -0x1.c09d63c67271fp-2, -0x1.be02e052ab3adp-2, -0x1.bb5bb6ee4db3ep-2, -0x1.b8a82ae286062p-2, -0x1.b5e8813dfeb5p-2, -0x1.b31d00bba2921p-2, -0x1.b045f1a9751e2p-2, -0x1.ad639dcf8a95p-2, -0x1.aa765057271ep-2, -0x1.a77e55b20d7c2p-2, -0x1.a47bfb8206096p-2, -0x1.a16f90809dfddp-2, -0x1.9e5964672ed7ep-2, -0x1.9b39c7d72f363p-2, -0x1.98110c42cfc88p-2, -0x1.94df83d5f268cp-2, -0x1.91a5815f792aap-2, -0x1.8e63583af46a7p-2, -0x1.8b195c3ab7556p-2, -0x1.87c7e192520ap-2, -0x1.846f3cc178cb5p-2, -0x1.810fc27f5d8d2p-2, -0x1.7da9c7a678c55p-2, -0x1.7a3da120cba0ap-2, -0x1.76cba3d49b99bp-2, -0x1.73542491a7733p-2, -0x1.6fd777fedc2d9p-2, -0x1.6c55f2888a695p-2, -0x1.68cfe84f1d86bp-2, -0x1.6545ad1653327p-2, -0x1.61b79434fd7bep-2, -0x1.5e25f08545c81p-2, -0x1.5a911455773a6p-2, -0x1.56f9515954183p-2, -0x1.535ef89bedcaep-2, -0x1.4fc25a72076c8p-2, -0x1.4c23c66d011b6p-2, -0x1.48838b4e49018p-2, -0x1.44e1f6fb5522fp-2, -0x1.413f56722431bp-2, -0x1.3d9bf5be43a47p-2, -0x1.39f81fee5d426p-2, -0x1.36541f0a45fd7p-2, -0x1.32b03c0994417p-2, -0x1.2f0cbecab5ceap-2, -0x1.2b69ee0a8600ap-2, -0x1.27c80f5c65d33p-2, -0x1.24276722cf0c3p-2, -0x1.2088388866808p-2, -0x1.1ceac57983553p-2, -0x1.194f4e9e34eafp-2, -0x1.15b61354bb93bp-2, -0x1.121f51ac74828p-2, -0x1.0e8b46613b29p-2, -0x1.0afa2cd736c62p-2, -0x1.076c3f171abebp-2, -0x1.03e1b5cacacc2p-2, -0x1.005ac83a6fc1ep-2, -0x1.f9af5893ddae5p-3, -0x1.f2b12ced87cb8p-3, -0x1.ebbb73ac7efc5p-3, -0x1.e4ce902848d83p-3, -0x1.ddeae2e33d05cp-3, -0x1.d710c9892e2e8p-3, -0x1.d0409eeeb9318p-3, -0x1.c97abb1145237p-3, -0x1.c2bf7317a1a34p-3, -0x1.bc0f195347073p-3, -0x1.b569fd422dd5dp-3, -0x1.aed06b913bc69p-3, -0x1.a842ae1f3f427p-3, -0x1.a1c10c0072597p-3, -0x1.9b4bc982844dap-3, -0x1.94e3283123894p-3, -0x1.8e8766dafe557p-3, -0x1.8838c19736ca4p-3, -0x1.81f771cb4e603p-3, -0x1.7bc3ae3174e67p-3, -0x1.759daadf3bbffp-3, -0x1.6f85994cb5517p-3, -0x1.697ba85be0151p-3, -0x1.6380046077b6cp-3, -0x1.5d92d7281013ep-3, -0x1.57b448027e83ep-3, -0x1.51e47bca9169dp-3, -0x1.4c2394ef04775p-3, -0x1.4671b37bbdf1dp-3, -0x1.40cef5234442bp-3, -0x1.3b3b7548668c7p-3, -0x1.35b74d08202ebp-3, -0x1.30429343a844ep-3, -0x1.2add5caaaee31p-3, -0x1.2587bbc5bbbeap-3, -0x1.2041c100bc578p-3, -0x1.1b0b7ab5a499cp-3, -0x1.15e4f53736333p-3, -0x1.10ce3adbdec7ap-3, -0x1.0bc75408a97f2p-3, -0x1.06d0473c43ee3p-3, -0x1.01e9191a13b47p-3, -0x1.fa2398eaab904p-4, -0x1.f094c4b895e71p-4, -0x1.e725b446cc291p-4, -0x1.ddd662e102cb9p-4, -0x1.d4a6c88c1ec3ap-4, -0x1.cb96da1ca0187p-4, -0x1.c2a6894cfaddep-4, -0x1.b9d5c4d3e9259p-4, -0x1.b124787aa28cdp-4, -0x1.a8928d32fceb9p-4, -0x1.a01fe92d80b2ep-4, -0x1.97cc6fef4a746p-4, -0x1.8f980267d36ep-4, -0x1.87827f0692811p-4, -0x1.7f8bc1d0704dp-4, -0x1.77b3a4750e9b2p-4, -0x1.6ff9fe63de00ep-4, -0x1.685ea4e0ff429p-4, -0x1.60e16b19ed4c1p-4, -0x1.59822239ed1afp-4, -0x1.5240997e41d91p-4, -0x1.4b1c9e4a1fdf6p-4, -0x1.4415fc3a61453p-4, -0x1.3d2c7d38f35cdp-4, -0x1.365fe9900264dp-4, -0x1.2fb007fcda47ap-4, -0x1.291c9dc2812a6p-4, -0x1.22a56ebc05747p-4, -0x1.1c4a3d6e7fd7fp-4, -0x1.160acb1ac95a3p-4, -0x1.0fe6d7cee0163p-4, -0x1.09de2276fe96ap-4, -0x1.03f068ee60ae2p-4, -0x1.fc3ad01f702f6p-5, -0x1.f0c9b78a9ab21p-5, -0x1.e58cfe319cfbcp-5, -0x1.da84188592692p-5, -0x1.cfae7973a63a4p-5, -0x1.c50b9282b4f87p-5, -0x1.ba9ad3f04a40dp-5, -0x1.b05bacccf1cdfp-5, -0x1.a64d8b17dee9fp-5, -0x1.9c6fdbd9ebb2fp-5, -0x1.92c20b3fedba4p-5, -0x1.894384b46058ap-5, -0x1.7ff3b2f867e29p-5, -0x1.76d2003c2b45dp-5, -0x1.6dddd636873adp-5, -0x1.65169e3c19a1bp-5, -0x1.5c7bc155a835cp-5, -0x1.540ca855e12efp-5, -0x1.4bc8bbee7abe2p-5, -0x1.43af64c4ae3a3p-5, -0x1.3bc00b851335ep-5, -0x1.33fa18f6dc41ap-5, -0x1.2c5cf60e75b2dp-5, -0x1.24e80bff8725p-5, -0x1.1d9ac44e5cfcp-5, -0x1.167488e0b8247p-5, -0x1.0f74c40e06e37p-5, -0x1.089ae0af0ba2cp-5, -0x1.01e64a2ceccb6p-5, -0x1.f6acd91f74b4dp-6, -0x1.e9d56918beaacp-6, -0x1.dd451f2412a4cp-6, -0x1.d0fad7ae1060fp-6, -0x1.c4f570ca465f2p-6, -0x1.b933ca4ad15e9p-6, -0x1.adb4c5d6fc6aap-6, -0x1.a2774700d635fp-6, -0x1.977a3359d1925p-6, -0x1.8cbc72866949ep-6, -0x1.823cee50d4029p-6, -0x1.77fa92bac6106p-6, -0x1.6df44e0e4de07p-6, -0x1.642910edca496p-6, -0x1.5a97ce62ffadp-6, -0x1.513f7bed567acp-6, -0x1.481f118f40413p-6, -0x1.3f3589dacbc0fp-6, -0x1.3681e1fd728efp-6, -0x1.2e0319cb166bfp-6, -0x1.25b833c846f2fp-6, -0x1.1da03533c0d64p-6, -0x1.15ba260f3b14cp-6, -0x1.0e0511277dedbp-6, -0x1.0680041bc9342p-6, -0x1.fe541ec92a898p-7, -0x1.f0048cb354ca5p-7, -0x1.e20f7e6f2f636p-7, -0x1.d473264925824p-7, -0x1.c72dbc6971e6ap-7, -0x1.ba3d7edb82658p-7, -0x1.ada0b194435bp-7, -0x1.a1559e774a991p-7, -0x1.955a955b0399dp-7, -0x1.89adec0bd31c3p-7, -0x1.7e4dfe4e3a9bdp-7, -0x1.73392de01932fp-7, -0x1.686de278f360cp-7, -0x1.5dea89c96213fp-7, -0x1.53ad9779abc94p-7, -0x1.49b585277b139p-7, -0x1.4000d262e3abfp-7, -0x1.368e04aa93fa3p-7, -0x1.2d5ba767505c1p-7, -0x1.24684be6bf35p-7, -0x1.1bb2895584812p-7, -0x1.1338fcb8bbfbdp-7, -0x1.0afa48e6d3654p-7, -0x1.02f5167fce794p-7, -0x1.f65027c9f5915p-8, -0x1.e723ea603394fp-8, -0x1.d862e8540eac5p-8, -0x1.ca0aa081c690bp-8, -0x1.bc189cfb870ep-8, -0x1.ae8a72f3ecd5cp-8, -0x1.a15dc2a7b0bd5p-8, -0x1.949037468b231p-8, -0x1.881f86db53fc1p-8, -0x1.7c097233721d4p-8, -0x1.704bc4c59c48cp-8, -0x1.64e45497fd2bcp-8, -0x1.59d10225bf147p-8, -0x1.4f0fb8440d2c1p-8, -0x1.449e6c0690f61p-8, -0x1.3a7b1ca37635ep-8, -0x1.30a3d356fdae5p-8, -0x1.2716a346ab63ap-8, -0x1.1dd1a96410196p-8, -0x1.14d30c4f40577p-8, -0x1.0c18fc38f9ce2p-8, -0x1.03a1b2c482a42p-8, -0x1.f6d6e5d28cad2p-9, -0x1.e6e911a87b5d9p-9, -0x1.d776939242792p-9, -0x1.c87c2806e600fp-9, -0x1.b9f69d2ec66c9p-9, -0x1.abe2d2a52d731p-9, -0x1.9e3db939ac1ap-9, -0x1.910452b150ccap-9, -0x1.8433b187cbff4p-9, -0x1.77c8f8b07e4e4p-9, -0x1.6bc15b5789fd6p-9, -0x1.601a1ca2e597ap-9, -0x1.54d08f738513dp-9, -0x1.49e2162697ccep-9, -0x1.3f4c2256eb125p-9, -0x1.350c349e78111p-9, -0x1.2b1fdc5826a75p-9, -0x1.2184b761c763bp-9, -0x1.183871de57d38p-9, -0x1.0f38c5f8893ecp-9, -0x1.06837ba59d858p-9, -0x1.fc2cd0d1331e6p-10, -0x1.ebdede2bb11aap-10, -0x1.dc18ff2dfba35p-10, -0x1.ccd72d5ea8d5fp-10, -0x1.be157b813a308p-10, -0x1.afd015209d06ep-10, -0x1.a2033e1a9e298p-10, -0x1.94ab522c553f8p-10, -0x1.87c4c47f9c16dp-10, -0x1.7b4c1f398228dp-10, -0x1.6f3e0309e058fp-10, -0x1.639726bbfc0bdp-10, -0x1.585456c85139ep-10, -0x1.4d7274e7801e2p-10, -0x1.42ee77a661e17p-10, -0x1.38c569fb56454p-10, -0x1.2ef46adcc26d4p-10, -0x1.2578acd8cae99p-10, -0x1.1c4f75ae4a21p-10, -0x1.13761de70f7fap-10, -0x1.0aea107356845p-10, -0x1.02a8ca4696551p-10, -0x1.f55fb3eb229cep-11, -0x1.e5f9beab670f2p-11, -0x1.d71b163b86364p-11, -0x1.c8bf3d0fbf3d2p-11, -0x1.bae1d5e9a7a39p-11, -0x1.ad7ea32176a8ap-11, -0x1.a09185f1f7d99p-11, -0x1.94167dc727795p-11, -0x1.8809a78f7a8d1p-11, -0x1.7c673d0fcebadp-11, -0x1.712b943a0726ap-11, -0x1.66531e8651221p-11, -0x1.5bda684f11938p-11, -0x1.51be182f7947fp-11, -0x1.47faee64be634p-11, -0x1.3e8dc431f8acfp-11, -0x1.35738b469c3a6p-11, -0x1.2ca94d2794076p-11, -0x1.242c2a9af3b83p-11, -0x1.1bf95b1640819p-11, -0x1.140e2c2f4cf29p-11, -0x1.0c68010fa14fep-11, -0x1.050451ea6eee1p-11, -0x1.fbc156ea1079ep-12, -0x1.edf55cc3b2049p-12, -0x1.e0a01dbbb0ecbp-12, -0x1.d3bd2820e603ap-12, -0x1.c7482f3bc4c2ap-12, -0x1.bb3d0a57e20f5p-12, -0x1.af97b3d244e19p-12, -0x1.a454482c71074p-12, -0x1.996f052425b8p-12, -0x1.8ee448cfbdf52p-12, -0x1.84b090bf2a272p-12, -0x1.7ad0792170f59p-12, -0x1.7140bbeeafb06p-12, -0x1.67fe3016867b2p-12, -0x1.5f05c8b2e9772p-12, -0x1.5654943f41504p-12, -0x1.4de7bbd3d5501p-12, -0x1.45bc82656873ap-12, -0x1.3dd0440902c2p-12, -0x1.3620753bd3137p-12, -0x1.2eaaa22f1cabdp-12, -0x1.276c6e1825674p-12, -0x1.206392840c997p-12, -0x1.198ddeaf88d3ap-12, -0x1.12e936e271fd7p-12, -0x1.0c7393cf1101p-12, -0x1.062b01f521abp-12, -0x1.000da1087b0adp-12, -0x1.f43346b69a683p-13, -0x1.e89a9a97cea65p-13, -0x1.dd4de96bee6f5p-13, -0x1.d24a00ce65233p-13, -0x1.c78bcf2eb8bd7p-13, -0x1.bd1062c72ca23p-13, -0x1.b2d4e899e88ep-13, -0x1.a8d6ab747952p-13, -0x1.9f1312f999591p-13, -0x1.9587a2b11fa27p-13, -0x1.8c31f91dfa2c1p-13, -0x1.830fceda16fa3p-13, -0x1.7a1ef5b8219dp-13, -0x1.715d57eaf694ap-13, -0x1.68c8f732b442p-13, -0x1.605fec0f49ddp-13, -0x1.582064f86ed3bp-13, -0x1.5008a59ae3f0fp-13, -0x1.4817061ae42cep-13, -0x1.4049f25bab074p-13, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.90d22bc58e66ap-1, 0x1.8fe94a6b7693cp-1, 0x1.8ef39f3e7ab2cp-1, 0x1.8df2609b64866p-1, 0x1.8ce67f6e2cd32p-1, 0x1.8bd0aa11268e9p-1, 0x1.8ab151dfcf73ep-1, 0x1.8988b291f895cp-1, 0x1.8856da9d7c4d9p-1, 0x1.871bb403fc67bp-1, 0x1.85d70d159bd76p-1, 0x1.8488a0d08c094p-1, 0x1.83301e9f70cafp-1, 0x1.81cd314e2f101p-1, 0x1.805f851e12adbp-1, 0x1.7ee6ccefd14f9p-1, 0x1.7d62c6844af2ap-1, 0x1.7bd33ddc86bbdp-1, 0x1.7a380fc6cf8b8p-1, 0x1.78912baa54e2ap-1, 0x1.76de94a4dae2p-1, 0x1.7520620eee22bp-1, 0x1.7356bf7b36a66p-1, 0x1.7181ec44fe4d7p-1, 0x1.6fa23ac103424p-1, 0x1.6db80f226bbccp-1, 0x1.6bc3de243c707p-1, 0x1.69c62b861866ep-1, 0x1.67bf886986177p-1, 0x1.65b0919b51c1ep-1, 0x1.6399edd3286bp-1, 0x1.617c4bf2121dap-1, 0x1.5f5861471078dp-1, 0x1.5d2ee7dff1d5fp-1, 0x1.5b009ceb41c41p-1, 0x1.58ce3f2f33bf5p-1, 0x1.56988d9889ccfp-1, 0x1.546045e399008p-1, 0x1.52262360e5b4ap-1, 0x1.4feaddd6320d4p-1, 0x1.4daf287c4c629p-1, 0x1.4b73b11986b6ap-1, 0x1.49391f3854264p-1, 0x1.47001379474b4p-1, 0x1.44c926ff693f5p-1, 0x1.4294eaf5ac95bp-1, 0x1.4063e82c253f5p-1, 0x1.3e369ecb89cd3p-1, 0x1.3c0d861d76db2p-1, 0x1.39e90c67e46abp-1, 0x1.37c996da350aap-1, 0x1.35af818a52f77p-1, 0x1.339b1f804a8c9p-1, 0x1.318cbacee801dp-1, 0x1.2f8494b7e5b48p-1, 0x1.2d82e5da4a432p-1, 0x1.2b87de69a9548p-1, 0x1.2993a66d0b7a8p-1, 0x1.27a65e04564dfp-1, 0x1.25c01db3244d4p-1, 0x1.23e0f6b00ba56p-1, 0x1.2208f3376da8bp-1, 0x1.203816e0f88bap-1, 0x1.1e6e5ef717e94p-1, 0x1.1cabc2cfa7378p-1, 0x1.1af03425464cfp-1, 0x1.193b9f70c41c3p-1, 0x1.178dec422366fp-1, 0x1.15e6fd98c77e9p-1, 0x1.1446b23a6fcbbp-1, 0x1.12ace508a5887p-1, 0x1.11196d545d384p-1, 0x1.0f8c1f2f877bdp-1, 0x1.0e04cbbc6267ep-1, 0x1.0c83417a6198cp-1, 0x1.0b074c9088b89p-1, 0x1.0990b7152048dp-1, 0x1.081f4952b002dp-1, 0x1.06b2ca0a30133p-1, 0x1.054afeb26b798p-1, 0x1.03e7abb489de3p-1, 0x1.028894a5c7401p-1, 0x1.012d7c7e570d9p-1, 0x1.ffac4b9af98f2p-2, 0x1.fd04a5d5c34fdp-2, 0x1.fa638c4a6504ep-2, 0x1.f7c883dc2695cp-2, 0x1.f5331206ed85p-2, 0x1.f2a2bd2cd2f4fp-2, 0x1.f0170cdec5b78p-2, 0x1.ed8f8a2058839p-2, 0x1.eb0bbfa6e142cp-2, 0x1.e88b3a140fb9dp-2, 0x1.e60d882c2472dp-2, 0x1.e3923b07e793fp-2, 0x1.e118e6428dd07p-2, 0x1.dea12023ab8f2p-2, 0x1.dc2a81c563226p-2, 0x1.d9b4a736eb186p-2, 0x1.d73f2f9b9b42ap-2, 0x1.d4c9bd46a170fp-2, 0x1.d253f5d37dfa8p-2, 0x1.cfdd823b7480cp-2, 0x1.cd660ee809fe4p-2, 0x1.caed4bc2b9e91p-2, 0x1.c872ec41ffdfcp-2, 0x1.c5f6a773d51c7p-2, 0x1.c3783805c3895p-2, 0x1.c0f75c4aacd1p-2, 0x1.be73d63e62e14p-2, 0x1.bbed6b872a81cp-2, 0x1.b963e5754e41ap-2, 0x1.b6d71100d120fp-2, 0x1.b446bec56576cp-2, 0x1.b1b2c2fcb778bp-2, 0x1.af1af5772fe4ap-2, 0x1.ac7f31933d502p-2, 0x1.a9df56333e819p-2, 0x1.a73b45b228a5bp-2, 0x1.a492e5d6f461bp-2, 0x1.a1e61fc6f5d14p-2, 0x1.9f34dff724b83p-2, 0x1.9c7f161c72cf7p-2, 0x1.99c4b51b41c56p-2, 0x1.9705b2f6046p-2, 0x1.944208bb2677dp-2, 0x1.9179b27246572p-2, 0x1.8eacaf08d036bp-2, 0x1.8bdb003e0e4ecp-2, 0x1.8904aa8ebdc2ep-2, 0x1.8629b52031a55p-2, 0x1.834a29ab16fa9p-2, 0x1.80661465e60e4p-2, 0x1.7d7d83ef0e4aap-2, 0x1.7a908936e8e38p-2, 0x1.779f37697b90dp-2, 0x1.74a9a3d81f94p-2, 0x1.71afe5e30ad55p-2, 0x1.6eb216e2d0a5fp-2, 0x1.6bb05211e2116p-2, 0x1.68aab4760e9f8p-2, 0x1.65a15cca1db7cp-2, 0x1.62946b677a0c8p-2, 0x1.5f84023002685p-2, 0x1.5c70447800beep-2, 0x1.595956f0527fcp-2, 0x1.563f5f90c7e31p-2, 0x1.53228582c1a9fp-2, 0x1.5002f10c0ea44p-2, 0x1.4ce0cb7a170f2p-2, 0x1.49bc3f0d54ea9p-2, 0x1.469576e51e8d4p-2, 0x1.436c9eebcaf1p-2, 0x1.4041e3c332cb9p-2, 0x1.3d1572b190a6ap-2, 0x1.39e7798ec5af5p-2, 0x1.36b826b205e03p-2, 0x1.3387a8dfef7b2p-2, 0x1.30562f390d62ap-2, 0x1.2d23e928ca0a3p-2, 0x1.29f10654d36e3p-2, 0x1.26bdb68cf4798p-2, 0x1.238a29bb5f728p-2, 0x1.20568fd5723bep-2, 0x1.1d2318ccf0023p-2, 0x1.19eff481b44d8p-2, 0x1.16bd52b3df03cp-2, 0x1.138b62f676bb6p-2, 0x1.105a54a28b086p-2, 0x1.0d2a56caca04ap-2, 0x1.09fb982f92bf7p-2, 0x1.06ce4733802f4p-2, 0x1.03a291d06ca43p-2, 0x1.0078a58cee9e4p-2, 0x1.faa15ee4953ffp-3, 0x1.f455b805ba248p-3, 0x1.ee0eae61f32b8p-3, 0x1.e7cc98ac7a3c9p-3, 0x1.e18fcc56a935p-3, 0x1.db589d8066a31p-3, 0x1.d5275ee973afp-3, 0x1.cefc61e3997p-3, 0x1.c8d7f645a87b6p-3, 0x1.c2ba6a5f545a2p-3, 0x1.bca40aedddb48p-3, 0x1.b69523118c13cp-3, 0x1.b08dfc43ed8cfp-3, 0x1.aa8ede4ee0bcp-3, 0x1.a4980f445e7f4p-3, 0x1.9ea9d376ff0eep-3, 0x1.98c46d73398dfp-3, 0x1.92e81df9570ccp-3, 0x1.8d1523f8181a2p-3, 0x1.874bbc87fd0fbp-3, 0x1.818c22e7400bap-3, 0x1.7bd6907667178p-3, 0x1.762b3cb577464p-3, 0x1.708a5d41c2a27p-3, 0x1.6af425d440354p-3, 0x1.6568c8407fbedp-3, 0x1.5fe874741c181p-3, 0x1.5a735876b6cdp-3, 0x1.5509a06a77a79p-3, 0x1.4fab768d02192p-3, 0x1.4a590338e5c8ap-3, 0x1.45126ce77d14cp-3, 0x1.3fd7d8333fb15p-3, 0x1.3aa967da7a6cfp-3, 0x1.35873cc26899p-3, 0x1.307175fab61efp-3, 0x1.2b6830c156e6dp-3, 0x1.266b8886b3919p-3, 0x1.217b96f23531ep-3, 0x1.1c9873e70e97cp-3, 0x1.17c2358961175p-3, 0x1.12f8f0439c3ddp-3, 0x1.0e3cb6cc284bfp-3, 0x1.098d9a2b48199p-3, 0x1.04eba9c13c115p-3, 0x1.0056f34c974f6p-3, 0x1.f79f05e19f5e1p-4, 0x1.eeaac679e5947p-4, 0x1.e5d13a6526887p-4, 0x1.dd127099a6371p-4, 0x1.d46e750f3af69p-4, 0x1.cbe550cdfb278p-4, 0x1.c37709fd2bfcep-4, 0x1.bb23a3f26a523p-4, 0x1.b2eb1f40f873p-4, 0x1.aacd79c952414p-4, 0x1.a2caaec8cdab6p-4, 0x1.9ae2b6e9671e6p-4, 0x1.93158851b1532p-4, 0x1.8b6316b4cabdap-4, 0x1.83cb536272d35p-4, 0x1.7c4e2d5726e22p-4, 0x1.74eb914c46781p-4, 0x1.6da369c83d98ep-4, 0x1.66759f2ead8bap-4, 0x1.5f6217d0916f1p-4, 0x1.5868b7fc5ae3dp-4, 0x1.5189620e00fd7p-4, 0x1.4ac3f67f01a7ep-4, 0x1.441853f64d3c5p-4, 0x1.3d8657581e62p-4, 0x1.370ddbd5b4e86p-4, 0x1.30aebafcf71edp-4, 0x1.2a68ccc7f1924p-4, 0x1.243be7ac35046p-4, 0x1.1e27e0aa0fcafp-4, 0x1.182c8b5b9fc75p-4, 0x1.1249ba03bb062p-4, 0x1.0c7f3d9cabdd9p-4, 0x1.06cce5e6c0b5bp-4, 0x1.01328176aa623p-4, 0x1.f75fbb8756535p-5, 0x1.ec898e6b21567p-5, 0x1.e1e21264f5db2p-5, 0x1.d768dc58d8063p-5, 0x1.cd1d7f5d424a7p-5, 0x1.c2ff8cd566ae1p-5, 0x1.b90e948afae5ap-5, 0x1.af4a24c792704p-5, 0x1.a5b1ca6d7d345p-5, 0x1.9c45111032b48p-5, 0x1.9303830c3d8ccp-5, 0x1.89eca99eb1111p-5, 0x1.81000cfc1dcc2p-5, 0x1.783d34670be66p-5, 0x1.6fa3a645f62fcp-5, 0x1.6732e838c67fp-5, 0x1.5eea7f2dd2b2fp-5, 0x1.56c9ef765d26ap-5, 0x1.4ed0bcda8f71cp-5, 0x1.46fe6aacfd88cp-5, 0x1.3f527bdda2cf8p-5, 0x1.37cc730c6406ap-5, 0x1.306bd29b0f0a9p-5, 0x1.29301cbee0d52p-5, 0x1.2218d3918842fp-5, 0x1.1b257921b0298p-5, 0x1.14558f8309016p-5, 0x1.0da898dddbfe1p-5, 0x1.071e177e1db97p-5, 0x1.00b58de20b5b4p-5, 0x1.f4dcfd909e245p-6, 0x1.e890da7b5381fp-6, 0x1.dc85b95454a6cp-6, 0x1.d0baa1bbde679p-6, 0x1.c52e9c3ae47b4p-6, 0x1.b9e0b25acbb57p-6, 0x1.aecfeebc3d723p-6, 0x1.a3fb5d2d22f99p-6, 0x1.99620abdbce43p-6, 0x1.8f0305d4ec52p-6, 0x1.84dd5e43a2b09p-6, 0x1.7af025577fcdep-6, 0x1.713a6deca5427p-6, 0x1.67bb4c7ebc60bp-6, 0x1.5e71d73936689p-6, 0x1.555d2606ce076p-6, 0x1.4c7c52a041b3bp-6, 0x1.43ce789a57c6fp-6, 0x1.3b52b573281e1p-6, 0x1.3308289eb464dp-6, 0x1.2aedf392c804p-6, 0x1.230339d23852ap-6, 0x1.1b4720f76c69ap-6, 0x1.13b8d0be4adc1p-6, 0x1.0c57730d82111p-6, 0x1.052233ff30e1ap-6, 0x1.fc3083d1efd62p-7, 0x1.ee719ac6e895bp-7, 0x1.e10612a248ef9p-7, 0x1.d3ec55c9892e2p-7, 0x1.c722d34e33b7dp-7, 0x1.baa7fef871cf7p-7, 0x1.ae7a51508e56dp-7, 0x1.a29847a77f759p-7, 0x1.9700641e6eb3dp-7, 0x1.8bb12dad51d3cp-7, 0x1.80a930289e444p-7, 0x1.75e6fc46118b6p-7, 0x1.6b6927a09f8c6p-7, 0x1.612e4cbb8c49ep-7, 0x1.57350b04bc677p-7, 0x1.4d7c06d62a1d8p-7, 0x1.4401e976b1dbap-7, 0x1.3ac5611a12003p-7, 0x1.31c520e03b588p-7, 0x1.28ffe0d3f539ap-7, 0x1.20745de8d74e9p-7, 0x1.182159f8a21cfp-7, 0x1.10059bbffc2a2p-7, 0x1.081feeda98d22p-7, 0x1.006f23bed0443p-7, 0x1.f1e41f71565f5p-8, 0x1.e34f19c8d883ap-8, 0x1.d51cf451336a8p-8, 0x1.c74b765f18e1cp-8, 0x1.b9d870c118e57p-8, 0x1.acc1bdb0fab0cp-8, 0x1.a00540c441931p-8, 0x1.93a0e6dbeb0c4p-8, 0x1.8792a61367e0ap-8, 0x1.7bd87daee3913p-8, 0x1.70707608dbe6dp-8, 0x1.6558a07f15cd2p-8, 0x1.5a8f175ef63cfp-8, 0x1.5011fdd14a791p-8, 0x1.45df7fc5838edp-8, 0x1.3bf5d1dc74041p-8, 0x1.3253315290d46p-8, 0x1.28f5e3e9c33f1p-8, 0x1.1fdc37d2cda72p-8, 0x1.1704839651dfbp-8, 0x1.0e6d25fd78553p-8, 0x1.061485fa44bd4p-8, 0x1.fbf2251f3c6f1p-9, 0x1.ec3285721bee3p-9, 0x1.dce72aa4811e4p-9, 0x1.ce0d21fc94e78p-9, 0x1.bfa1881d739fcp-9, 0x1.b1a188d4f3d3cp-9, 0x1.a40a5ee91adfep-9, 0x1.96d953e54cd9ep-9, 0x1.8a0bbfe73f1f6p-9, 0x1.7d9f096bbb997p-9, 0x1.7190a51b39382p-9, 0x1.65de15965b18dp-9, 0x1.5a84eb4256e7p-9, 0x1.4f82c41552cc1p-9, 0x1.44d54b62bc0ccp-9, 0x1.3a7a39a7a7395p-9, 0x1.306f54573a7f7p-9, 0x1.26b26da72c3ffp-9, 0x1.1d41645c612bdp-9, 0x1.141a2397a5f6p-9, 0x1.0b3aa2a29cd04p-9, 0x1.02a0e4bccf7f7p-9, 0x1.f495f1d2069a6p-10, 0x1.e46df3757e27dp-10, 0x1.d4c61a482f524p-10, 0x1.c59ac88789cd9p-10, 0x1.b6e87666ffc6ap-10, 0x1.a8abb1ad66b5bp-10, 0x1.9ae11d52fff26p-10, 0x1.8d8571203f8f5p-10, 0x1.8095794d4519ap-10, 0x1.740e16221a814p-10, 0x1.67ec3b97c7ccdp-10, 0x1.5c2cf0fa2ab55p-10, 0x1.50cd508ab631bp-10, 0x1.45ca8724090ep-10, 0x1.3b21d3de69117p-10, 0x1.30d087b53276dp-10, 0x1.26d4052d2ad2ap-10, 0x1.1d29bffbd14e2p-10, 0x1.13cf3cafa7b41p-10, 0x1.0ac2105970f0fp-10, 0x1.01ffe03679bbbp-10, 0x1.f30cc2b7beb9fp-11, 0x1.e2a6b0c5bfe4fp-11, 0x1.d2c9322c68d2p-11, 0x1.c3700c40ed141p-11, 0x1.b49721772c4e5p-11, 0x1.a63a70c2be27bp-11, 0x1.985614fa21e17p-11, 0x1.8ae6443c17324p-11, 0x1.7de74f572065ap-11, 0x1.7155a13330ad3p-11, 0x1.652dbe3d88375p-11, 0x1.596c43d6bef18p-11, 0x1.4e0de7c2fea3ep-11, 0x1.430f779c6e6c4p-11, 0x1.386dd847ca311p-11, 0x1.2e26056b2db5p-11, 0x1.243510e70af53p-11, 0x1.1a9822514efa5p-11, 0x1.114c7672b314bp-11, 0x1.084f5ec636766p-11, 0x1.ff3c81f58463dp-12, 0x1.ee6d2cede1b84p-12, 0x1.de2bd7bdf5706p-12, 0x1.ce73c139820b2p-12, 0x1.bf404cd3ef874p-12, 0x1.b08d01b8d1061p-12, 0x1.a25589e89722ap-12, 0x1.9495b15968af1p-12, 0x1.8749651c1708ep-12, 0x1.7a6cb2852910ap-12, 0x1.6dfbc659f2686p-12, 0x1.61f2ec01ad848p-12, 0x1.564e8cba90738p-12, 0x1.4b0b2ed2d2e7p-12, 0x1.402574e59b234p-12, 0x1.359a1d1bc778dp-12, 0x1.2b6600708b466p-12, 0x1.218611f9d35a4p-12, 0x1.17f75e3469987p-12, 0x1.0eb70a53c8217p-12, 0x1.05c2539596928p-12, 0x1.fa2d1d318b549p-13, 0x1.e9624d706b004p-13, 0x1.d91f3ad1d037cp-13, 0x1.c95f133753d2cp-13, 0x1.ba1d2e4456266p-13, 0x1.ab550c2ef0694p-13, 0x1.9d02549799f64p-13, 0x1.8f20d5675e4ddp-13, 0x1.81ac81b4939fp-13, 0x1.74a170adf251ap-13, 0x1.67fbdc8bff28ep-13, 0x1.5bb82188a8771p-13, 0x1.4fd2bcdcfa76cp-13, 0x1.44484bc4e3953p-13, 0x1.39158a88d9d65p-13, 0x1.2e37538d5938ap-13, 0x1.23aa9e6820121p-13, 0x1.196c7efb08f9cp-13, 0x1.0f7a2494793c5p-13, 0x1.05d0d915389eep-13, 0x1.f8dc00375a12dp-14, 0x1.e69e2c68adedcp-14, 0x1.d4e3601ef21cbp-14, 0x1.c3a6f377b1c0fp-14, 0x1.b2e46bccf0b92p-14, 0x1.a2977a3e6b691p-14, 0x1.92bbfa447fb3cp-14, 0x1.834df04c77ffap-14, 0x1.7449885e20ac4p-14, 0x1.65ab14ca71edp-14, 0x1.576f0ce321e76p-14, 0x1.49920bbaf37c9p-14, 0x1.3c10ceee95c8ep-14, 0x1.2ee83575e8091p-14, 0x1.22153e7d7876bp-14, 0x1.15950848119bep-14, 0x1.0964cf182d975p-14, 0x1.fb03d84246b5ep-15, 0x1.e3d3a8ffd0db7p-15, 0x1.cd34307673f13p-15, 0x1.b720c29610befp-15, 0x1.a194e54df7ed5p-15, 0x1.8c8c4eb7d77bbp-15, 0x1.7802e3503ecaep-15, 0x1.63f4b43c70189p-15, 0x1.505dfd9d2c323p-15, 0x1.3d3b24ee36cc4p-15, 0x1.2a88b77244f36p-15, 0x1.184368ab0e40ap-15, 0x1.066810dd397bp-15, 0x1.e9e7573fc1d46p-16, 0x1.c7c6aceec9b4ep-16, 0x1.a6689ef696381p-16, 0x1.85c7e80dd5476p-16, 0x1.65df7ee938a39p-16, 0x1.46aa93c662377p-16, 0x1.28248e0ae9537p-16, 0x1.0a4909f6e51b1p-16, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      50, 0x1.4cdd2f1a9fbe7p+2, 0x1.0263d128d07ecp+1, 0x1.348d9709836d6p+2, -0x1.59939754717f8p-7, 
      {{
        {0x1.0ac9363f572dep+2, 0x1.0c1b87d099601p+2, 0x1.15b08f2ea592ap-6, -0x1.c6aef4ed68191p-5, 0x1.caed9bfd4e54p-5, 0x1.0e66980f34059p-9}, 
        {0x1.0c1b87d099601p+2, 0x1.0d6dd9571ecacp+2, 0x1.034db47f28483p-6, -0x1.b3b56c9a90d16p-5, 0x1.cbf99f32cc7d5p-5, -0x1.50058d49a4246p-7}, 
        {0x1.0d6dd9571ecacp+2, 0x1.0ec02ae860fcfp+2, 0x1.e36678f132a6bp-7, -0x1.a0d1de7f2065fp-5, 0x1.c6c5682e2f9b9p-5, -0x1.281ea2779be0ap-7}, 
        {0x1.0ec02ae860fcfp+2, 0x1.10127c79a32f2p+2, 0x1.c1bec0896156fp-7, -0x1.8e22104e27747p-5, 0x1.c22f63c983dccp-5, -0x1.7292cce569d61p-7}, 
        {0x1.10127c79a32f2p+2, 0x1.1164ce002899dp+2, 0x1.a19ffdb6cf8a7p-7, -0x1.7ba8d6c61c7a1p-5, 0x1.bc723019c7c41p-5, -0x1.98efa23f7f664p-7}, 
        {0x1.1164ce002899dp+2, 0x1.12b71f916accp+2, 0x1.83054341e657dp-7, -0x1.696f6ee69101dp-5, 0x1.b61ce43d0195bp-5, -0x1.c9c035a891026p-7}, 
        {0x1.12b71f916accp+2, 0x1.14097122acfe2p+2, 0x1.65e901628af78p-7, -0x1.577cfa9b2f7a9p-5, 0x1.af060f5bd0453p-5, -0x1.f2aa3585c8b5cp-7}, 
        {0x1.14097122acfe2p+2, 0x1.155bc2a93268ep+2, 0x1.4a450cd65079ep-7, -0x1.45d8d3060fa44p-5, 0x1.a74d04836580cp-5, -0x1.0cf30ef3367cap-6}, 
        {0x1.155bc2a93268ep+2, 0x1.16ae143a749bp+2, 0x1.3012a8ed5338ep-7, -0x1.34898873fd126p-5, 0x1.9ef86d239411fp-5, -0x1.2038cf4746c6p-6}, 
        {0x1.16ae143a749bp+2, 0x1.180065cbb6cd3p+2, 0x1.174a8e16fa2f9p-7, -0x1.239577e62fc8dp-5, 0x1.960b041871b1p-5, -0x1.31c0df0f0ce66p-6}, 
        {0x1.180065cbb6cd3p+2, 0x1.1952b7523c37fp+2, 0x1.ffc9e6e0c198bp-8, -0x1.1302a89a644c7p-5, 0x1.8c9297ac4f2c3p-5, -0x1.41733f10845f9p-6}, 
        {0x1.1952b7523c37fp+2, 0x1.1aa508e37e6a1p+2, 0x1.d3b32d40e44c7p-8, -0x1.02d68be0d4481p-5, 0x1.829db47e737ebp-5, -0x1.51527adf6e1d9p-6}, 
        {0x1.1aa508e37e6a1p+2, 0x1.1bf75a74c09c4p+2, 0x1.aa3f886fea628p-8, -0x1.e62c97e3f4365p-6, 0x1.782af63a1298cp-5, -0x1.5eccc6dd83034p-6}, 
        {0x1.1bf75a74c09c4p+2, 0x1.1d49ac0602ce6p+2, 0x1.835cbfec3825dp-8, -0x1.c78d6f1cdc39p-6, 0x1.6d4d595fa219p-5, -0x1.6be7cde220b9dp-6}, 
        {0x1.1d49ac0602ce6p+2, 0x1.1e9bfd8c88392p+2, 0x1.5ef7da721ced1p-8, -0x1.a9d851f8a3baep-6, 0x1.6207d15bab86cp-5, -0x1.76dc7e953ab6ep-6}, 
        {0x1.1e9bfd8c88392p+2, 0x1.1fee4f1dca6b5p+2, 0x1.3cfd2e63f583bp-8, -0x1.8d15227e71d84p-6, 0x1.566b6a5c6c5f9p-5, -0x1.81b213a82f834p-6}, 
        {0x1.1fee4f1dca6b5p+2, 0x1.2140a0af0c9d7p+2, 0x1.1d58728a4492bp-8, -0x1.714b01942e44p-6, 0x1.4a791a4f8921fp-5, -0x1.8abf5e039faa5p-6}, 
        {0x1.2140a0af0c9d7p+2, 0x1.2292f23592083p+2, 0x1.ffe99d7b9b12dp-9, -0x1.56807344b6091p-6, 0x1.3e3f03ab8d28fp-5, -0x1.9253a03b8673ap-6}, 
        {0x1.2292f23592083p+2, 0x1.23e543c6d43a5p+2, 0x1.c979d8f7640d6p-9, -0x1.3cbaea96cde56p-6, 0x1.31c8d472fab85p-5, -0x1.9969c9a6a81a8p-6}, 
        {0x1.23e543c6d43a5p+2, 0x1.25379558166c8p+2, 0x1.97360ef31e837p-9, -0x1.23ff335ea38c8p-6, 0x1.251a73b8d8f65p-5, -0x1.9ee46d9e00bc4p-6}, 
        {0x1.25379558166c8p+2, 0x1.2689e6de9bd73p+2, 0x1.68f1fcf727e56p-9, -0x1.0c516bdacbf4fp-6, 0x1.1840a0fa5130ap-5, -0x1.a2eba9f1097dfp-6}, 
        {0x1.2689e6de9bd73p+2, 0x1.27dc386fde096p+2, 0x1.3e80c78f42f8p-9, -0x1.eb696389c93afp-7, 0x1.0b46dd9fe106p-5, -0x1.a659c51a568e5p-6}, 
        {0x1.27dc386fde096p+2, 0x1.292e8a01203b9p+2, 0x1.17b51bcac8a5fp-9, -0x1.c056e9dd4576dp-7, 0x1.fc63ce1c47b19p-6, -0x1.a83585700053bp-6}, 
        {0x1.292e8a01203b9p+2, 0x1.2a80db87a5a64p+2, 0x1.e8c2a09dcaa3dp-10, -0x1.976ee2db10772p-7, 0x1.e21c682e7a74bp-6, -0x1.a8b66b3d059fap-6}, 
        {0x1.2a80db87a5a64p+2, 0x1.2bd32d18e7d87p+2, 0x1.a8af0dad934fcp-10, -0x1.70b2dbb7adfa7p-7, 0x1.c7cd06f0b289p-6, -0x1.a873d7f104e1cp-6}, 
        {0x1.2bd32d18e7d87p+2, 0x1.2d257eaa2a0a9p+2, 0x1.6ed39ae3c5de8p-10, -0x1.4c22facefa2aap-7, 0x1.ad81c4a96f8ffp-6, -0x1.a6bd18ac6df8p-6}, 
        {0x1.2d257eaa2a0a9p+2, 0x1.2e77d030af755p+2, 0x1.3ad47f582bb96p-10, -0x1.29bdf66f75d0ap-7, 0x1.9351b0561cf5p-6, -0x1.a3ab5a29ae26bp-6}, 
        {0x1.2e77d030af755p+2, 0x1.2fca21c1f1a77p+2, 0x1.0c564f6bf2c83p-10, -0x1.0980ad9dad654p-7, 0x1.795249b4b15cfp-6, -0x1.9fc434513c2f9p-6}, 
        {0x1.2fca21c1f1a77p+2, 0x1.311c735333d9ap+2, 0x1.c5fc80bf2f59fp-11, -0x1.d6cd1a9ab2b7fp-8, 0x1.5f90c76bdffb6p-6, -0x1.9a6d28dd66d4cp-6}, 
        {0x1.311c735333d9ap+2, 0x1.326ec4d9b9446p+2, 0x1.7ce4d374856c6p-11, -0x1.9ed311a9a5cf4p-8, 0x1.4623f4ab5d848p-6, -0x1.93d554146f374p-6}, 
        {0x1.326ec4d9b9446p+2, 0x1.33c1166afb768p+2, 0x1.3cb41106ac68bp-11, -0x1.6b03a0732ccc6p-8, 0x1.2d1fb17ecd02p-6, -0x1.8c3f8eb6e6b5ep-6}, 
        {0x1.33c1166afb768p+2, 0x1.351367fc3da8bp+2, 0x1.04bb832e94091p-11, -0x1.3b4c3150efcbp-8, 0x1.1493b7764bc69p-6, -0x1.83538543dae6fp-6}, 
        {0x1.351367fc3da8bp+2, 0x1.3665b982c3136p+2, 0x1.a89f912ec5358p-12, -0x1.0f9726a63e056p-8, 0x1.f92a7680ea5a8p-7, -0x1.792833d25b0dcp-6}, 
        {0x1.3665b982c3136p+2, 0x1.37b80b1405459p+2, 0x1.5592b38b7d586p-12, -0x1.cf96ff8eafc76p-9, 0x1.ca7009f910bb5p-7, -0x1.6df01d97f26e2p-6}, 
        {0x1.37b80b1405459p+2, 0x1.390a5ca54777cp+2, 0x1.0f0a1cd14ca78p-12, -0x1.879a6c0e291c2p-9, 0x1.9d1973009a25ap-7, -0x1.61631969358dfp-6}, 
        {0x1.390a5ca54777cp+2, 0x1.3a5cae3689a9ep+2, 0x1.a792898fa0437p-13, -0x1.46fa4fdf15ba8p-9, 0x1.7150f0766f287p-7, -0x1.53b5ce811c4a8p-6}, 
        {0x1.3a5cae3689a9ep+2, 0x1.3baeffbd0f14ap+2, 0x1.453ceb8d9de5dp-13, -0x1.0d71f50fcafa4p-9, 0x1.473a39b810332p-7, -0x1.44c35cce2c7fp-6}, 
        {0x1.3baeffbd0f14ap+2, 0x1.3d01514e5146cp+2, 0x1.e98f5c8c88d67p-14, -0x1.b56cc04b5302cp-10, 0x1.1efd99000dff9p-7, -0x1.34b162a3bc8bep-6}, 
        {0x1.3d01514e5146cp+2, 0x1.3e53a2df9378fp+2, 0x1.6801dc347630bp-14, -0x1.5cec97a98aa5dp-10, 0x1.f17d57173b092p-8, -0x1.235f14976b82p-6}, 
        {0x1.3e53a2df9378fp+2, 0x1.3fa5f46618e3ap+2, 0x1.01a554d0002afp-14, -0x1.10b47e987de54p-10, 0x1.a94a452a6ca1dp-8, -0x1.10d8a12fd33d3p-6}, 
        {0x1.3fa5f46618e3ap+2, 0x1.40f845f75b15dp+2, 0x1.651365e7eed3ap-15, -0x1.a01149fd1d4a2p-11, 0x1.65ae598739723p-8, -0x1.fa4da2c352cep-7}, 
        {0x1.40f845f75b15dp+2, 0x1.424a97889d48p+2, 0x1.dbfbe8ebb241bp-16, -0x1.34418b717e75p-11, 0x1.26f3bdc54abbfp-8, -0x1.d0756cc720564p-7}, 
        {0x1.424a97889d48p+2, 0x1.439ce90f22b2bp+2, 0x1.2e65b9238d1a2p-16, -0x1.b8a04ad4d4503p-12, 0x1.dad0aa5b68893p-9, -0x1.a439cf0def725p-7}, 
        {0x1.439ce90f22b2bp+2, 0x1.44ef3aa064e4ep+2, 0x1.69addc0ceb43p-17, -0x1.2cf43084f7ac1p-12, 0x1.72afc32420147p-9, -0x1.7592d664ab622p-7}, 
        {0x1.44ef3aa064e4ep+2, 0x1.46418c31a717p+2, 0x1.8fd201bc937fap-18, -0x1.838cb556d29d5p-13, 0x1.161e37ec3734fp-9, -0x1.44a5c96b1c69bp-7}, 
        {0x1.46418c31a717p+2, 0x1.4793ddb82c81cp+2, 0x1.8d329c7ee48dep-19, -0x1.ccb4efaaf7f65p-14, 0x1.8b58901eae7d4p-10, -0x1.10c32dd93db05p-7}, 
        {0x1.4793ddb82c81cp+2, 0x1.48e62f496eb3ep+2, 0x1.527d8fb921a3ep-20, -0x1.e843690268b4ap-15, 0x1.042b5a43301ep-10, -0x1.b927295290d16p-8}, 
        {0x1.48e62f496eb3ep+2, 0x1.4a3880dab0e61p+2, 0x1.c62d029bf1439p-22, -0x1.b155911c49012p-16, 0x1.2db5daecbf87fp-11, -0x1.3c4dafc941919p-8}, 
        {0x1.4a3880dab0e61p+2, 0x1.4b8ad2613650dp+2, 0x1.8d5d8ba8402dfp-24, -0x1.145fc3a106bap-17, 0x1.21e9323ce5abep-12, -0x1.ea34dea75c81bp-9}, 
        {0x1.4b8ad2613650dp+2, 0x1.4cdd2f1a9fbe7p+2, 0x1.fc75ab108cfdap-28, -0x1.ae267f0e5d00cp-20, 0x1.77c7d30778d18p-15, 0x1.f461ed1f1dbc8p-8}, 
      }}, 
      -0x1.0f74795174af5p-1, 0x1.30c6e8de4fb4ap+3
    }
  };
  // clang-format on
}
SkfData params_hyb_0_2_c_ag() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.da76be87c9a12p-1, 0x1.e83de6ab6c3efp-1, 0x1.f335d8bcb856bp-1, 0x1.fb659ad2c848ap-1, 0x1.00716051baa65p+0, 0x1.01e6a1a04bc55p+0, 0x1.02215a526720fp+0, 0x1.0132d32fcf92ep+0, 0x1.fe5ff60748627p-1, 0x1.f85b1f8244c3bp-1, 0x1.f07f56e5291d9p-1, 0x1.e6f6f48f758ebp-1, 0x1.dbed2d2cef0f8p-1, 0x1.cf8b3d349b3cdp-1, 0x1.c1f8b24785dedp-1, 0x1.b35c8d960d20ep-1, 0x1.a3dcb87a06e5ap-1, 0x1.939cfeab8b757p-1, 0x1.82becc31f11c7p-1, 0x1.71612b12cde53p-1, 0x1.5fa09cd4e34a2p-1, 0x1.4d935d5fc1015p-1, 0x1.3b599feb9c7abp-1, 0x1.29078d138636dp-1, 0x1.16b141a7f3fep-1, 0x1.046870a45b8b8p-1, 0x1.e47ad186c5d06p-2, 0x1.c07f923757201p-2, 0x1.9cfcda2050623p-2, 0x1.7a0d7e11d9bb1p-2, 0x1.57c810ddc9e2p-2, 0x1.363e8288c1398p-2, 0x1.157ee8e074a0ep-2, 0x1.eb29ab1fadc1cp-3, 0x1.ad14eed5d8c96p-3, 0x1.70d23bb693657p-3, 0x1.367249277294ep-3, 0x1.fc0641ca06131p-4, 0x1.8f1ec197af697p-4, 0x1.263bde0d40672p-4, 0x1.82c8d6bc72421p-5, 0x1.8265d0935d0d2p-6, 0x1.ebcde4eb6bf4cp-11, -0x1.539ed2faa7f0dp-6, -0x1.535b1eae8b103p-5, -0x1.f50a6b7057f3cp-5, -0x1.477c218c237ebp-4, -0x1.90a22652155a7p-4, -0x1.d6097961d674fp-4, -0x1.0be34465c8694p-3, -0x1.2af7d37aa670bp-3, -0x1.484e5061170ebp-3, -0x1.63f32b6c97b54p-3, -0x1.7df3364cb6cfap-3, -0x1.965b898998972p-3, -0x1.ad3974391d92dp-3, -0x1.c29a6e3aab29ep-3, -0x1.d68c06fad7326p-3, -0x1.e91bd057e315fp-3, -0x1.fa574a051142p-3, -0x1.0525e9237dfc1p-2, -0x1.0c834ec3c36eap-2, -0x1.134a591f431d4p-2, -0x1.19995f159d627p-2, -0x1.1f46c0e260debp-2, -0x1.246fb9cf29619p-2, -0x1.291a281be7827p-2, -0x1.2d4bd067679fp-2, -0x1.310a5e26515dap-2, -0x1.345b636bb2578p-2, -0x1.374457695871p-2, -0x1.39ca93508418dp-2, -0x1.3bf34da8616f6p-2, -0x1.3dc39496bd1aap-2, -0x1.3f4047ded9104p-2, -0x1.406e1379111d9p-2, -0x1.41516b996c79cp-2, -0x1.41ee8ac58cdb9p-2, -0x1.42497244ac049p-2, -0x1.4265eccfc1b58p-2, -0x1.42479309e81cbp-2, -0x1.41f1d104dc2f5p-2, -0x1.4167ebf763b1bp-2, -0x1.40ad07562c3e3p-2, -0x1.3fc428ae70665p-2, -0x1.3eb039e90ae4dp-2, -0x1.3d7409ed921bap-2, -0x1.3c124be7140d9p-2, -0x1.3a8d95a0a8e63p-2, -0x1.38e85d8708934p-2, -0x1.3724f8d5bf017p-2, -0x1.35459a59dd12bp-2, -0x1.334c520c43bdep-2, -0x1.313b0d9ce0e7bp-2, -0x1.2f1399e52f37dp-2, -0x1.2cd7a51de7363p-2, -0x1.2a88c1a2250c1p-2, -0x1.2828690105766p-2, -0x1.25b7ff1ce26p-2, -0x1.2338d51c89fe7p-2, -0x1.20ac2bfd86c4ep-2, -0x1.1e1336a588b62p-2, -0x1.1b6f1b61d250ep-2, -0x1.18c0f4d43e356p-2, -0x1.1609d25c28425p-2, -0x1.134ab814ac8ap-2, -0x1.10849e88c0503p-2, -0x1.0db8724004375p-2, -0x1.0ae7134573e2bp-2, -0x1.081154c3ce7d4p-2, -0x1.0537fccc2255dp-2, -0x1.025bc4527f91cp-2, -0x1.fefaaec9c42e1p-3, -0x1.f93aab33251d6p-3, -0x1.f378a55aa66a6p-3, -0x1.edb5ae8cdbe8dp-3, -0x1.e7f2c3a0737e6p-3, -0x1.e230cec498ccap-3, -0x1.dc70a94ea72c4p-3, -0x1.d6b31d71b855ap-3, -0x1.d0f8e7ce9ed17p-3, -0x1.cb42b8cf97653p-3, -0x1.c59135c84c90bp-3, -0x1.bfe4f9d84a165p-3, -0x1.ba3e96934134ap-3, -0x1.b49e9476f5b8bp-3, -0x1.af057339da92ep-3, -0x1.a973a9ff2d1d5p-3, -0x1.a3e9a77d61c77p-3, -0x1.9e67d22298bdep-3, -0x1.98ee884066c6bp-3, -0x1.937e20457fbd2p-3, -0x1.8e16e908db9fdp-3, -0x1.88b92a273bc58p-3, -0x1.83652471ce485p-3, -0x1.7e1b126b13d25p-3, -0x1.78db28ce1a65ep-3, -0x1.73a5971b9f517p-3, -0x1.6e7a88287bdefp-3, -0x1.695a22a8e7033p-3, -0x1.644489b46e47fp-3, -0x1.5f39dd3f1324fp-3, -0x1.5a3a3a84a3c0fp-3, -0x1.5545bc64384dp-3, -0x1.505c7baa8ea4ap-3, -0x1.4b7e8f4af7ab8p-3, -0x1.46ac0c8754323p-3, -0x1.41e2ba4c35adp-3, -0x1.3d279d847d70ep-3, -0x1.38782889ecbcap-3, -0x1.33d4676156d2ep-3, -0x1.2f3c649109d15p-3, -0x1.2ab02921de7d5p-3, -0x1.262fbc9b4597fp-3, -0x1.21bb24fca1d31p-3, -0x1.1d5266b6312e9p-3, -0x1.18f584a33bcb4p-3, -0x1.14a4800705f13p-3, -0x1.105f588d6214p-3, -0x1.0c260c4f90fd3p-3, -0x1.07f897dd942d7p-3, -0x1.03d6f64be1be3p-3, -0x1.ff82428a5dff9p-4, -0x1.f76e223f8161cp-4, -0x1.ef7179eb38a52p-4, -0x1.e78c357dd1d68p-4, -0x1.dfbe3edb4863cp-4, -0x1.d8077e13dc465p-4, -0x1.d067d99c43248p-4, -0x1.c8df3683fe75dp-4, -0x1.c16d78a89a013p-4, -0x1.ba1282e4c3c98p-4, -0x1.b2ce373a5c3b9p-4, -0x1.aba076f6f3a0bp-4, -0x1.a48922d263ec7p-4, -0x1.9d881b075ae76p-4, -0x1.969d3f661cad2p-4, -0x1.8fc86f61be2b3p-4, -0x1.89098a1865c63p-4, -0x1.82606e5732f06p-4, -0x1.7bccfa9a85f07p-4, -0x1.754f0d0b6dc1cp-4, -0x1.6ee6837aff546p-4, -0x1.68933b5c55edbp-4, -0x1.625511bdeb881p-4, -0x1.5c2be342e53b9p-4, -0x1.56178c1cd90ap-4, -0x1.5017e806747e8p-4, -0x1.4a2cd23f580b9p-4, -0x1.445625895a2bdp-4, -0x1.3e93bc275492fp-4, -0x1.38e56fdd8495bp-4, -0x1.334b19f376293p-4, -0x1.2dc4933767b57p-4, -0x1.2851b402ffad4p-4, -0x1.22f25441308e8p-4, -0x1.1da64b7518476p-4, -0x1.186d70c1ac613p-4, -0x1.13479af1fc95p-4, -0x1.0e34a081dec0dp-4, -0x1.093457a6cffep-4, -0x1.04469658e09f2p-4, -0x1.fed664b7048d3p-5, -0x1.f544028c2be76p-5, -0x1.ebd5b1182ebcap-5, -0x1.e28b1b09a4e9dp-5, -0x1.d963eae515106p-5, -0x1.d05fcb12101eep-5, -0x1.c77e65e702d1bp-5, -0x1.bebf65b3bde15p-5, -0x1.b62274caab5c3p-5, -0x1.ada73d88c31f9p-5, -0x1.a54d6a5c48a2dp-5, -0x1.9d14a5ca6eee9p-5, -0x1.94fc9a73f5669p-5, -0x1.8d04f318e3bf1p-5, -0x1.852d5a9b819e8p-5, -0x1.7d757c02a93afp-5, -0x1.75dd027b9b4ep-5, -0x1.6e63995b72a0bp-5, -0x1.6708ec204f76ep-5, -0x1.5fcca6725fcb3p-5, -0x1.58ae7424d26eep-5, -0x1.51ae0136cf70ap-5, -0x1.4acaf9d483dd2p-5, -0x1.44050a584ab45p-5, -0x1.3d5bdf4c03f4fp-5, -0x1.36cf256a96962p-5, -0x1.305e89a1a6eccp-5, -0x1.2a09b913817ddp-5, -0x1.23d0611935abp-5, -0x1.1db22f44e1faap-5, -0x1.17aed1642d0f9p-5, -0x1.11c5f582e2dddp-5, -0x1.0bf749edb7856p-5, -0x1.06427d3523dcp-5, -0x1.00a73e305c009p-5, -0x1.f64a7800aa1e6p-6, -0x1.eb784c25b11cep-6, -0x1.e0d7584b3fe87p-6, -0x1.d666fc92e3254p-6, -0x1.cc2699ca7bbe7p-6, -0x1.c21591726b615p-6, -0x1.b83345c3b93b6p-6, -0x1.ae7f19b614f0fp-6, -0x1.a4f87105cc359p-6, -0x1.9b9eb03998fbdp-6, -0x1.92713ca851639p-6, -0x1.896f7c7e77fd2p-6, -0x1.8098d6c3a06bfp-6, -0x1.77ecb35fb5127p-6, -0x1.6f6a7b200f015p-6, -0x1.671197bc7057dp-6, -0x1.5ee173dbcecb1p-6, -0x1.56d97b18fdce3p-6, -0x1.4ef91a07363fap-6, -0x1.473fbe3670594p-6, -0x1.3facd637a6673p-6, -0x1.383fd1a0edfaep-6, -0x1.30f8211172db5p-6, -0x1.29d53635524b2p-6, -0x1.22d683c95a28fp-6, -0x1.1bfb7d9ea5947p-6, -0x1.1543989e1f8a2p-6, -0x1.0eae4acbea0dep-6, -0x1.083b0b4aa7c6fp-6, -0x1.01e9525eaadecp-6, -0x1.f77132e20b3acp-7, -0x1.eb50b6250632bp-7, -0x1.df7025fcfda89p-7, -0x1.d3ce7c3b4a3e9p-7, -0x1.c86ab5111dcebp-7, -0x1.bd43cf148dfb3p-7, -0x1.b258cb4559c83p-7, -0x1.a7a8ad1171493p-7, -0x1.9d327a593f61bp-7, -0x1.92f53b73b16p-7, -0x1.88effb32037ccp-7, -0x1.7f21c6e33ff17p-7, -0x1.7589ae578895p-7, -0x1.6c26c3e314787p-7, -0x1.62f81c60ecc61p-7, -0x1.59fccf356a4c4p-7, -0x1.5133f6506f79bp-7, -0x1.489cae2f5bfbep-7, -0x1.403615dec2709p-7, -0x1.37ff4efbe5a7dp-7, -0x1.2ff77db5e739fp-7, -0x1.281dc8cec29acp-7, -0x1.2071599c09204p-7, -0x1.18f15c0760404p-7, -0x1.119cfe8ec7cacp-7, -0x1.0a737244a4303p-7, -0x1.0373eacf92e08p-7, -0x1.f93b3cd40f8dap-8, -0x1.ebdf8bc3692c9p-8, -0x1.ded3392d7cd17p-8, -0x1.d214c0f57c0c7p-8, -0x1.c5a2a41f229e8p-8, -0x1.b97b68cbf7117p-8, -0x1.ad9d9a382d94dp-8, -0x1.a207c8b731107p-8, -0x1.96b889afd464dp-8, -0x1.8bae779828c16p-8, -0x1.80e831f10019p-8, -0x1.76645d412547bp-8, -0x1.6c21a31033ac7p-8, -0x1.621eb1e1311e5p-8, -0x1.585a3d2ccd876p-8, -0x1.4ed2fd5b5b48bp-8, -0x1.4587afbe8458cp-8, -0x1.3c77168aaaf08p-8, -0x1.339ff8d011151p-8, -0x1.2b012273ae38p-8, -0x1.22723ab00e21cp-8, -0x1.1a4033d03a2acp-8, -0x1.1242f74df04f2p-8, -0x1.0a796419c4503p-8, -0x1.02e25dd2a2224p-8, -0x1.f6f9997a1e25p-9, -0x1.e88f3b74533fap-9, -0x1.da83847ce05e7p-9, -0x1.ccd46090a1bb8p-9, -0x1.bf7fc4ad095e8p-9, -0x1.b283aebc7145bp-9, -0x1.a5de25820e6cp-9, -0x1.998d388581da5p-9, -0x1.8d8efffe1939p-9, -0x1.81e19cbdc090ap-9, -0x1.7683381b9de9fp-9, -0x1.6b7203de6f901p-9, -0x1.60ac3a2699438p-9, -0x1.56301d57fa40bp-9, -0x1.4bfbf8038d3c2p-9, -0x1.420e1cd0c710ep-9, -0x1.3864e666bf646p-9, -0x1.2efeb7553ff46p-9, -0x1.25d9f9fd8e177p-9, -0x1.1cf5207b2118dp-9, -0x1.144ea48c33fd3p-9, -0x1.0be5077a27fdbp-9, -0x1.03b6d201daa06p-9, -0x1.f7852877d81acp-10, -0x1.e80dcb099b51dp-10, -0x1.d904c8c9c6816p-10, -0x1.ca676cf112686p-10, -0x1.bc3310b0070fep-10, -0x1.ae651afeebf5ap-10, -0x1.a0fb006d98affp-10, -0x1.93f242f34471ap-10, -0x1.874871be4c8bcp-10, -0x1.7afb290414d4ep-10, -0x1.6f0811d0d72cfp-10, -0x1.636ce1d79046fp-10, -0x1.58275b4200b6dp-10, -0x1.4d354c80c1236p-10, -0x1.4294901b699bfp-10, -0x1.38430c80eb987p-10, -0x1.2e3eb3d8039e6p-10, -0x1.248583cfdc7p-10, -0x1.1b158570d2e1ep-10, -0x1.11eccced7f7f1p-10, -0x1.09097973dd733p-10, -0x1.0069b4feb9832p-10, -0x1.f017684ec75ap-11, -0x1.dfdb6bef11474p-11, -0x1.d01c0776f49abp-11, -0x1.c0d5e1a90d58ap-11, -0x1.b205b517aa6adp-11, -0x1.a3a84fcad2d73p-11, -0x1.95ba92e71d0e6p-11, -0x1.883972551eac9p-11, -0x1.7b21f469a8ebp-11, -0x1.6e71318e8d12ep-11, -0x1.622453ec54964p-11, -0x1.563897149dc3cp-11, -0x1.4aab47ad5fbcap-11, -0x1.3f79c31ced5f2p-11, -0x1.34a17736bc8cp-11, -0x1.2a1fe1e934a83p-11, -0x1.1ff290ec57181p-11, -0x1.16172171287bap-11, -0x1.0c8b3fd232b79p-11, -0x1.034ca744e5b1fp-11, -0x1.f4b24317db75bp-12, -0x1.e35d0d55009c8p-12, -0x1.d29579317ddc2p-12, -0x1.c2576df1fca4p-12, -0x1.b29eed9c2117cp-12, -0x1.a36814657386p-12, -0x1.94af18242a677p-12, -0x1.867047c23306fp-12, -0x1.78a80ab22bcf2p-12, -0x1.6b52e066ae5e4p-12, -0x1.5e6d5fcbc5586p-12, -0x1.51f436c263a2ap-12, -0x1.45e4299e3873cp-12, -0x1.3a3a12a5aa2f3p-12, -0x1.2ef2e193bd7e1p-12, -0x1.240b9b1c8f492p-12, -0x1.19815873b094dp-12, -0x1.0f5146d4d78aep-12, -0x1.0578a70e91ed5p-12, -0x1.f7e99a1eac56cp-13, -0x1.e5863ee8aa0b7p-13, -0x1.d3c22e359738cp-13, -0x1.c2987d6649cf4p-13, -0x1.b20464ac83f7dp-13, -0x1.a2013e3999701p-13, -0x1.928a8570c95cdp-13, -0x1.839bd61e49abcp-13, -0x1.7530ebb0de93fp-13, -0x1.6745a078b10fcp-13, -0x1.59d5ece8bd2bap-13, -0x1.4cdde6dc97d14p-13, -0x1.4059c0e163ba1p-13, -0x1.3445c9827ca4p-13, -0x1.289e6a999d562p-13, -0x1.1d6028a1fb26dp-13, -0x1.1287a20f2b94bp-13, -0x1.08118ea6f9fa4p-13, -0x1.fbf57dbceca09p-14, -0x1.e8803673fbe48p-14, -0x1.d5bd47619d067p-14, -0x1.c3a6de25651a6p-14, -0x1.b23754e284512p-14, -0x1.a1693117ccb0cp-14, -0x1.9137227d542fdp-14, -0x1.819c01e76e499p-14, -0x1.7292d02f7f1bfp-14, -0x1.6416b521ff9f7p-14, -0x1.5622fe725b0cbp-14, -0x1.48b31eb352f0cp-14, -0x1.3bc2ac558e0aep-14, -0x1.2f4d60aad4659p-14, -0x1.234f16eea59d9p-14, -0x1.17c3cb54a4e94p-14, -0x1.0ca79a1abbecep-14, -0x1.01f6bea1b3d23p-14, -0x1.ef5b251476998p-15, -0x1.db9119b02db84p-15, -0x1.c88882300ab2ap-15, -0x1.b63abd1a36f7p-15, -0x1.a4a15ec3de687p-15, -0x1.93b62fbd8cc78p-15, -0x1.83732b4a1c262p-15, -0x1.73d27dde4b7cfp-15, -0x1.64ce83aad5004p-15, -0x1.5661c730551afp-15, -0x1.4886ffdb5327bp-15, -0x1.3b3910aacb5b1p-15, -0x1.2e7306df7839fp-15, -0x1.223018b4315c9p-15, -0x1.166ba41f7adfep-15, -0x1.0b212d9d6f825p-15, -0x1.004c5f01c9f8dp-15, -0x1.ebd20caa95068p-16, -0x1.d7e6296bbd54ap-16, -0x1.c4cd3a892d63fp-16, -0x1.b27fa83094e4p-16, -0x1.a0f61a70eb15fp-16, -0x1.902977410fb62p-16, -0x1.8012e09317362p-16, -0x1.70abb277cb514p-16, -0x1.61ed814e581f6p-16, -0x1.53d21802161f1p-16, -0x1.4653765853484p-16, -0x1.396bcf457ee98p-16, -0x1.2d1587549c389p-16, -0x1.214b331710fefp-16, -0x1.160795a1b911fp-16, -0x1.0b459f1555514p-16, -0x1.01006b320b3abp-16, -0x1.ee667fefe95e6p-17, -0x1.dbb31898360cbp-17, -0x1.c9ddcd5db004bp-17, -0x1.b8de17eefa41p-17, -0x1.a8abbc388b55dp-17, -0x1.993ec6038deccp-17, -0x1.8a8f86a8008d3p-17, -0x1.7c9692d3532fap-17, -0x1.6f4cc05b0559ep-17, -0x1.62ab24243f684p-17, -0x1.56ab10199a18dp-17, -0x1.4b4611344d992p-17, -0x1.4075ed8b3c86dp-17, -0x1.3634a27cf3767p-17, -0x1.2c7c62df80649p-17, -0x1.23479540f1f1fp-17, -0x1.1a90d23a3c4e7p-17, -0x1.1252e2c4498fcp-17, -0x1.0a88bea4ad925p-17, -0x1.032d8ae1f343ep-17, -0x1.f879308b277f1p-18, -0x1.eb62c3cfefb3fp-18, -0x1.df0f17943a514p-18, -0x1.d375c2f25dfaap-18, -0x1.c88ea97c5292bp-18, -0x1.be51f8ac8e50dp-18, -0x1.b4b8256ee1514p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.7694b7b69baafp-1, 0x1.8c76aeeb796c1p-1, 0x1.a154751838b55p-1, 0x1.b5198645a50ffp-1, 0x1.c7b70af3e1415p-1, 0x1.d9218284c74f7p-1, 0x1.e95101da3e774p-1, 0x1.f841922a2b016p-1, 0x1.02f905b5dbc19p+0, 0x1.0931c28c615fbp+0, 0x1.0eccbca5934eep+0, 0x1.13ccbaccddf58p+0, 0x1.183545ec395b7p+0, 0x1.1c0a87e3d9748p+0, 0x1.1f513becb9aafp+0, 0x1.220e8f2fec43ep+0, 0x1.2447ff5f5c9dbp+0, 0x1.2603481c2354p+0, 0x1.274657f3d3db8p+0, 0x1.2817417981e6ap+0, 0x1.287c28510264cp+0, 0x1.287b414292df5p+0, 0x1.281a567cb9bcp+0, 0x1.275f93cbc9efap+0, 0x1.2650c83b93601p+0, 0x1.24f39ba4ae6f1p+0, 0x1.234d90b6037a4p+0, 0x1.216403687a846p+0, 0x1.1f3c248b3f4efp+0, 0x1.1cdaf4c643b5ep+0, 0x1.1a4540b7ae2dap+0, 0x1.177f9ed72a70dp+0, 0x1.148e6f2eabe75p+0, 0x1.1175dc3893affp+0, 0x1.0e39dbef6821ep+0, 0x1.0ade307efd742p+0, 0x1.07666895829ffp+0, 0x1.03d5dfb8d32d4p+0, 0x1.002fbf21b9445p+0, 0x1.f8edfeb986853p-1, 0x1.f15cd4eb1071dp-1, 0x1.e9b13c5a366b1p-1, 0x1.e1f01bcdf863cp-1, 0x1.da1e08896e22fp-1, 0x1.d23f4911f7b0bp-1, 0x1.ca57d7c29d001p-1, 0x1.c26b6587a0966p-1, 0x1.ba7d5d15fb538p-1, 0x1.b290e696e2652p-1, 0x1.aaa8eb625c1c8p-1, 0x1.a2c8196fb0ffap-1, 0x1.9af0e679896eap-1, 0x1.932592ffafa1cp-1, 0x1.8b682d2fd63bfp-1, 0x1.83ba939dbb1dfp-1, 0x1.7c1e77c819cdap-1, 0x1.7495608f070b7p-1, 0x1.6d20acc0f7682p-1, 0x1.65c195bc9fc3bp-1, 0x1.5e7932028ede2p-1, 0x1.57487791fa9c2p-1, 0x1.50303e0a4798fp-1, 0x1.493140a69005p-1, 0x1.424bb91a6b20cp-1, 0x1.3b80de5885a9p-1, 0x1.34d0daf9cfd13p-1, 0x1.2e3c0b681665dp-1, 0x1.27c2b882aab3cp-1, 0x1.2165194d2e306p-1, 0x1.1b23547958ff9p-1, 0x1.14fd81c8a1478p-1, 0x1.0ef3ab47f1a6ap-1, 0x1.0905ce6b13feap-1, 0x1.0333dd0efb72p-1, 0x1.fafb7cd4458f3p-2, 0x1.efc69fe1dad09p-2, 0x1.e4c8cc6396ff9p-2, 0x1.da019b54b0632p-2, 0x1.cf70972929c32p-2, 0x1.c5153d549f68dp-2, 0x1.baeeffb9897b2p-2, 0x1.b0fd45fe72091p-2, 0x1.a73f6ec82b1c3p-2, 0x1.9db4d0d987721p-2, 0x1.945cbc1a1720fp-2, 0x1.8b367a864554cp-2, 0x1.8241510b87deep-2, 0x1.797c80532bf41p-2, 0x1.70e7457dc62dcp-2, 0x1.6880dad0c32p-2, 0x1.6048785735104p-2, 0x1.583d5476c938ep-2, 0x1.505ea479843e2p-2, 0x1.48ab9d0c9570bp-2, 0x1.412372b443f1p-2, 0x1.39c55a34f14dbp-2, 0x1.329088f136039p-2, 0x1.2b84353d6da13p-2, 0x1.249f96a934bdap-2, 0x1.1de1e63f8366bp-2, 0x1.174a5ebe15b56p-2, 0x1.10d83cc4faeaap-2, 0x1.0a8abeff4b0bbp-2, 0x1.046126461f8bdp-2, 0x1.fcb56b7e0784p-3, 0x1.f0ed65eded471p-3, 0x1.e568cbf58050fp-3, 0x1.da2632da43a06p-3, 0x1.cf243535fdb72p-3, 0x1.c461731b0227fp-3, 0x1.b9dc92342897ep-3, 0x1.af943de05188ap-3, 0x1.a587274946c92p-3, 0x1.9bb40575fbf16p-3, 0x1.9219955836d4fp-3, 0x1.88b699d5b2649p-3, 0x1.7f89dbcce2b2ap-3, 0x1.76922a1586f75p-3, 0x1.6dce597d50d32p-3, 0x1.653d44c102734p-3, 0x1.5cddcc825c6f8p-3, 0x1.54aed73b6ac08p-3, 0x1.4caf512fab144p-3, 0x1.44de2c5b841fdp-3, 0x1.3d3a60627cc3fp-3, 0x1.35c2ea7c8d9d5p-3, 0x1.2e76cd62bb9fcp-3, 0x1.2755113b2978cp-3, 0x1.205cc384aeafp-3, 0x1.198cf70201ae7p-3, 0x1.12e4c3a47a09dp-3, 0x1.0c6346767ac62p-3, 0x1.0607a1858ad82p-3, 0x1.ffa1f7984cc4ap-4, 0x1.f37d0236a13c6p-4, 0x1.e79ec407c2526p-4, 0x1.dc05a77f2074ap-4, 0x1.d0b02033756ecp-4, 0x1.c59caaafbc51cp-4, 0x1.bac9cc43b7039p-4, 0x1.b03612d414ce4p-4, 0x1.a5e014aa7782fp-4, 0x1.9bc670458a343p-4, 0x1.91e7cc296c348p-4, 0x1.8842d6b099838p-4, 0x1.7ed645dd7b3cap-4, 0x1.75a0d72cc2825p-4, 0x1.6ca162978559fp-4, 0x1.63d691a2b2d57p-4, 0x1.5b3f45bdf38b1p-4, 0x1.52da588b969b2p-4, 0x1.4aa6aa56c9a04p-4, 0x1.42a321eb9c255p-4, 0x1.3aceac7015e4ap-4, 0x1.33283d3e5d2ebp-4, 0x1.2baecdbfe5055p-4, 0x1.24615d4992e9bp-4, 0x1.1d3ef0f8d0edbp-4, 0x1.1646939178dbap-4, 0x1.0f77555c8bf7p-4, 0x1.08d04c07a780ap-4, 0x1.025092852d05ap-4, 0x1.f7ee91da27225p-5, 0x1.eb8728bcb67c9p-5, 0x1.df693dc23fa42p-5, 0x1.d3932e928813p-5, 0x1.c80362336f6d2p-5, 0x1.bcb848d0a7daap-5, 0x1.b1b05b849c436p-5, 0x1.a6ea1c228520dp-5, 0x1.9c641501a96f1p-5, 0x1.921cd8c9c8ec8p-5, 0x1.88130240b6b26p-5, 0x1.7e4534191aa5p-5, 0x1.74b218c25d417p-5, 0x1.6b586239bf306p-5, 0x1.6236c9dc931e6p-5, 0x1.594c103ba2ff7p-5, 0x1.5096fcefb46d7p-5, 0x1.48165e6f2ef18p-5, 0x1.3fc909e4def21p-5, 0x1.37addb07d1c03p-5, 0x1.2fc3b3f44252cp-5, 0x1.28097d0595fb4p-5, 0x1.207e24b15ee04p-5, 0x1.19209f635d33dp-5, 0x1.11efe75a7ba17p-5, 0x1.0aeafc86bb573p-5, 0x1.0410e468089ffp-5, 0x1.fac153dbebe68p-6, 0x1.edb2bab094404p-6, 0x1.e0f42830d0853p-6, 0x1.d483d166f982cp-6, 0x1.c85ff54ae3951p-6, 0x1.bc86dc893d486p-6, 0x1.b0f6d94c54281p-6, 0x1.a5ae470641233p-6, 0x1.9aab8a3c5ef86p-6, 0x1.8fed105404543p-6, 0x1.85714f608255ap-6, 0x1.7b36c5f24c079p-6, 0x1.713bfae74566bp-6, 0x1.677f7d3c37d74p-6, 0x1.5dffe3df5b27bp-6, 0x1.54bbcd83e9f9bp-6, 0x1.4bb1e076cb6c3p-6, 0x1.42e0ca74352c5p-6, 0x1.3a47407e52973p-6, 0x1.31e3feb4dea21p-6, 0x1.29b5c82db628fp-6, 0x1.21bb66ce5328cp-6, 0x1.19f3ab2630317p-6, 0x1.125d6c4a12a7p-6, 0x1.0af787b02f26fp-6, 0x1.03c0e10d2ae39p-6, 0x1.f970c463dd631p-7, 0x1.ebb9f5d49358cp-7, 0x1.de5b41b8bb9ffp-7, 0x1.d1529ed1a8d63p-7, 0x1.c49e0f179b80ap-7, 0x1.b83b9f7d1d4b4p-7, 0x1.ac2967b3c762dp-7, 0x1.a06589f268a61p-7, 0x1.94ee32bc833e5p-7, 0x1.89c198ab192b6p-7, 0x1.7eddfc36b849dp-7, 0x1.7441a782ccdb6p-7, 0x1.69eaee2a1492dp-7, 0x1.5fd82d0c4cep-7, 0x1.5607ca1cf7e55p-7, 0x1.4c78343335452p-7, 0x1.4327e2dabd471p-7, 0x1.3a155625d1db3p-7, 0x1.313f16803ef5p-7, 0x1.28a3b4834ef06p-7, 0x1.2041c8cab7392p-7, 0x1.1817f3ca6e4a3p-7, 0x1.1024dda56e41ep-7, 0x1.0867360554d67p-7, 0x1.00ddb3f2ddb84p-7, 0x1.f30e2b5e75398p-8, 0x1.e4c4411c5e636p-8, 0x1.d6db41a204d82p-8, 0x1.c950d30466a5ep-8, 0x1.bc22a8a3d479ep-8, 0x1.af4e82e658d2cp-8, 0x1.a2d22ef384642p-8, 0x1.96ab8671ad76p-8, 0x1.8ad86f4478079p-8, 0x1.7f56db4cca741p-8, 0x1.7424c829fcc8fp-8, 0x1.69403efc5a706p-8, 0x1.5ea75428d5d2ep-8, 0x1.5458271df859ap-8, 0x1.4a50e21a01065p-8, 0x1.408fb9f2292fep-8, 0x1.3712eddb0a096p-8, 0x1.2dd8c7321c7bcp-8, 0x1.24df99484cd7p-8, 0x1.1c25c12d9eb3dp-8, 0x1.13a9a57dd2a94p-8, 0x1.0b69b62e1649bp-8, 0x1.03646c5ba9017p-8, 0x1.f7309436f14f7p-9, 0x1.e807b4956b865p-9, 0x1.d94b60c091f71p-9, 0x1.caf8d07e714a8p-9, 0x1.bd0d4c13e0154p-9, 0x1.af862becae9p-9, 0x1.a260d845acf02p-9, 0x1.959ac8d84291ep-9, 0x1.89318487a1c7cp-9, 0x1.7d22a10fa6606p-9, 0x1.716bc2b52a899p-9, 0x1.660a9bf7ee358p-9, 0x1.5afced4601cf1p-9, 0x1.504084b0a119dp-9, 0x1.45d33da2738acp-9, 0x1.3bb300974db04p-9, 0x1.31ddc2d539ac8p-9, 0x1.28518626ebeabp-9, 0x1.1f0c58977c16ep-9, 0x1.160c542f79fc2p-9, 0x1.0d4f9eb344f5cp-9, 0x1.04d46962959e7p-9, 0x1.f931e172ae085p-10, 0x1.e936f86357d3fp-10, 0x1.d9b4bc0e32aa2p-10, 0x1.caa7e5f5d5554p-10, 0x1.bc0d4433534b6p-10, 0x1.ade1b9039478cp-10, 0x1.a0223a56ac32p-10, 0x1.92cbd161787eep-10, 0x1.85db9a315ef2fp-10, 0x1.794ec3420e50ap-10, 0x1.6d228d1567dccp-10, 0x1.615449cd42b34p-10, 0x1.55e15cc74829dp-10, 0x1.4ac73a3ab0f4ap-10, 0x1.400366d7f511bp-10, 0x1.3593776a50134p-10, 0x1.2b75107b208c3p-10, 0x1.21a5e5f707979p-10, 0x1.1823bad4ec838p-10, 0x1.0eec60bea2315p-10, 0x1.05fdb7bb53a99p-10, 0x1.faab5bb725ea9p-11, 0x1.e9e47dce32e02p-11, 0x1.d9a2e818461c9p-11, 0x1.c9e2c720e146ep-11, 0x1.baa061076c8c5p-11, 0x1.abd814e78e385p-11, 0x1.9d865a443a547p-11, 0x1.8fa7c075f0c25p-11, 0x1.821e24f3ddbbbp-11, 0x1.751bd03e06fbfp-11, 0x1.6882d65b6582dp-11, 0x1.5c502082a9a24p-11, 0x1.5080ad111b5b2p-11, 0x1.45118f0978973p-11, 0x1.39ffed95be892p-11, 0x1.2f49038b50c8bp-11, 0x1.24ea1ef1cd6d8p-11, 0x1.1ae0a08c78c5cp-11, 0x1.1129fb65e0803p-11, 0x1.07c3b45e38acp-11, 0x1.fd56c377b09b7p-12, 0x1.ebbd557ca6d46p-12, 0x1.dab68e671fe6p-12, 0x1.ca3dfe1eecb67p-12, 0x1.ba4f540b10ac6p-12, 0x1.aae65e49d486ap-12, 0x1.9bff08ecdc05cp-12, 0x1.8d955d394f11ap-12, 0x1.7fa580eca1845p-12, 0x1.722bb58536252p-12, 0x1.6524578e6bc9cp-12, 0x1.588bddf19aa0ep-12, 0x1.4c5ed94a3c21dp-12, 0x1.4099f33dda5cep-12, 0x1.3539edd89393ep-12, 0x1.2a3ba2eba7581p-12, 0x1.1f9c037128f4ep-12, 0x1.155816f26274dp-12, 0x1.0b6cfaf1e6b3fp-12, 0x1.01d7e258f62cfp-12, 0x1.f12c29d093bebp-13, 0x1.df49dd57c8c03p-13, 0x1.ce03bee5a3d83p-13, 0x1.bd54d491993acp-13, 0x1.ad3849e822c4ap-13, 0x1.9da96eeb8a42ep-13, 0x1.8ea3b71abaa9cp-13, 0x1.8022b87ddf7b5p-13, 0x1.72222ab8de13ep-13, 0x1.649de6232d75fp-13, 0x1.5791e2e4df8cep-13, 0x1.4afa381aa9f7ap-13, 0x1.3ed31afc97c4fp-13, 0x1.3318de0c10498p-13, 0x1.27c7f0460eb8p-13, 0x1.1cdcdc5a1531p-13, 0x1.125447e6db18ap-13, 0x1.082af2baf455fp-13, 0x1.fcbb6c34273a2p-14, 0x1.e9d3081032392p-14, 0x1.d796cd2d2f56bp-14, 0x1.c600fe71bc328p-14, 0x1.b50c0c3501d0fp-14, 0x1.a4b292f6e0eep-14, 0x1.94ef5a1f828abp-14, 0x1.85bd52c5a58a3p-14, 0x1.7717967dc70f2p-14, 0x1.68f96633dd269p-14, 0x1.5b5e290670306p-14, 0x1.4e416b2ee6b35p-14, 0x1.419edcedb13ebp-14, 0x1.3572517fb02a2p-14, 0x1.29b7be18b8c82p-14, 0x1.1e6b38e61d88dp-14, 0x1.1388f817072f2p-14, 0x1.090d50ebbb5bep-14, 0x1.fde96d99926e4p-15, 0x1.ea7774c808b17p-15, 0x1.d7be1180a9a8ep-15, 0x1.c5b6d4fa42235p-15, 0x1.b45b85df1f77bp-15, 0x1.a3a61eb3cb6aep-15, 0x1.9390cc495553fp-15, 0x1.8415ec38d6615p-15, 0x1.75300b6a88842p-15, 0x1.66d9e4a6efefdp-15, 0x1.590e5f31ba96cp-15, 0x1.4bc88d70f36ap-15, 0x1.3f03ab9822145p-15, 0x1.32bb1e62b6ae3p-15, 0x1.26ea71d507a06p-15, 0x1.1b8d58051be1ap-15, 0x1.109fa7ef571e8p-15, 0x1.061d5c4e97236p-15, 0x1.f8052506bbae9p-16, 0x1.e49712f952c8dp-16, 0x1.d1e9415a770dp-16, 0x1.bff4ae079d361p-16, 0x1.aeb293e1826adp-16, 0x1.9e1c68d9e672ep-16, 0x1.8e2bdc1c7de34p-16, 0x1.7edad43695f24p-16, 0x1.70236d572ca8fp-16, 0x1.61fff79af064bp-16, 0x1.546af55fd1b2bp-16, 0x1.475f19aae5f4bp-16, 0x1.3ad74694878a9p-16, 0x1.2ece8bc6ddd3fp-16, 0x1.234025008fa5ep-16, 0x1.182778adfeafp-16, 0x1.0d80167bb4813p-16, 0x1.0345b602c6eb6p-16, 0x1.f2e86af6ae82bp-17, 0x1.e00f30ec5a2f9p-17, 0x1.cdf80d44d6f4ap-17, 0x1.bc9b95388b9ffp-17, 0x1.abf2a189d09f2p-17, 0x1.9bf64c480d2d9p-17, 0x1.8c9fee9fad373p-17, 0x1.7de91ec2f35c7p-17, 0x1.6fcbadda89fcp-17, 0x1.6241a612510e5p-17, 0x1.554548a345cfap-17, 0x1.48d10bfef6d03p-17, 0x1.3cdf9a006447ep-17, 0x1.316bce2c74394p-17, 0x1.2670b40581d9bp-17, 0x1.1be9855c67c55p-17, 0x1.11d1a8cab0965p-17, 0x1.0824b01f11b46p-17, 0x1.fdbcadc42f8e1p-18, 0x1.ebf501d82f356p-18, 0x1.daea71f17ad34p-18, 0x1.ca955ea772d33p-18, 0x1.baee7100529bcp-18, 0x1.abee980e3c60fp-18, 0x1.9d8f0666204b2p-18, 0x1.8fc92fc7aeef5p-18, 0x1.8296c6d9a61dap-18, 0x1.75f1bae2300ep-18, 0x1.69d435cd11dc5p-18, 0x1.5e3899eb1e3bep-18, 0x1.5319800d91da9p-18, 0x1.4871b5942dda7p-18, 0x1.3e3c3a8c58a04p-18, 0x1.34743fe969281p-18, 0x1.2b1525bddf477p-18, 0x1.221a7992ac8cbp-18, 0x1.197ff4c6d24fap-18, 0x1.11417afc22418p-18, 0x1.095b188f52df5p-18, 0x1.01c901274e15cp-18, 0x1.f50f1c83b8908p-19, 0x1.e7267bb368c2dp-19, 0x1.d9d162411772dp-19, 0x1.cd095640cdf0fp-19, 0x1.c0c81f22140cp-19, 0x1.b507c3405cd31p-19, 0x1.a9c285ae1d4ccp-19, 0x1.9ef2e3df4a558p-19, 0x1.94939390cb48dp-19, 0x1.8a9f80c363045p-19, 0x1.8111cbaaed1eep-19, 0x1.77e5c6d112228p-19, 0x1.6f16f532197b7p-19, 0x1.66a1087da7aebp-19, 0x1.5e7fdf28b933cp-19, 0x1.56af832e71b9p-19, 0x1.4f2c280299c3p-19, 0x1.47f22940a634fp-19, 0x1.40fe09203bef5p-19, 0x1.3a4c6efee2c74p-19, 0x1.33da2601efbf2p-19, 0x1.2da41bc139c11p-19, 0x1.27a75edf8984cp-19, 0x1.21e11df7a68d1p-19, 0x1.1c4ea645baa7p-19, 0x1.16ed628ddd81fp-19, 0x1.11bad9ed9010dp-19, 0x1.0cb4aedc9001dp-19, 0x1.07d89e0ffe09p-19, 0x1.03247d7c8f417p-19, 0x1.fd2c76ea85b5ap-20, 0x1.f457bb2c7fd7ap-20, 0x1.ebc70000fe837p-20, 0x1.e376a8a9f3507p-20, 0x1.db634216f9712p-20, 0x1.d389812c27344p-20, 0x1.cbe6410e4391ap-20, 0x1.c47681c9714bep-20, 0x1.bd3766da888d7p-20, 0x1.b62635beb3151p-20, 0x1.af4054b34d659p-20, 0x1.a883495515bfbp-20, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.34aef7db0e76bp-2, 0x1.2b6a858ed723cp-2, 0x1.1f24d4a06ccd4p-2, 0x1.1013fe4d071ffp-2, 0x1.fcddf8ae9d658p-3, 0x1.d4e3e83da4a86p-3, 0x1.a8c7ff251405fp-3, 0x1.79180e872c91fp-3, 0x1.465c9b203d466p-3, 0x1.112291405b102p-3, 0x1.b3ece87369b47p-4, 0x1.42b6e5aa5f5a1p-4, 0x1.9f32683051ecp-5, 0x1.6dfd8871877fbp-6, -0x1.8ba4446b552f2p-8, -0x1.18969ddaeea1fp-5, -0x1.fcfa7044f4167p-5, -0x1.6ea9964eb86c1p-4, -0x1.dc3c2a46dbb59p-4, -0x1.235a7656f1132p-3, -0x1.56d3a848703e1p-3, -0x1.8862de3ce37c2p-3, -0x1.b7cce080e37c9p-3, -0x1.e5006e7d13d7p-3, -0x1.07f2286821c07p-2, -0x1.1c315ebac8249p-2, -0x1.2f353986d00f4p-2, -0x1.40f7eb45eb36cp-2, -0x1.5176a7e9e0f7ep-2, -0x1.60b16809bd577p-2, -0x1.6eaa5dd95c51p-2, -0x1.7b65528d63b87p-2, -0x1.86e72c3c8a7cdp-2, -0x1.9135bbd249c12p-2, -0x1.9a57c04b87c1p-2, -0x1.a254f453a2d13p-2, -0x1.a93604ec6fb9dp-2, -0x1.af0467ae4c17dp-2, -0x1.b3ca1d18f325bp-2, -0x1.b7917654d3a25p-2, -0x1.ba64f1112caeap-2, -0x1.bc4f2c829bcf7p-2, -0x1.bd5aec41f7d9p-2, -0x1.bd9319df17d0ap-2, -0x1.bd02bba6857f5p-2, -0x1.bbb4e00011109p-2, -0x1.b9b48346e1555p-2, -0x1.b70c77ab2b30dp-2, -0x1.b3c7543ecfb31p-2, -0x1.afef6c3e0d556p-2, -0x1.ab8ecc838a834p-2, -0x1.a6af3beefcceep-2, -0x1.a15a3bcfad45ap-2, -0x1.9b990655c293p-2, -0x1.95748a59e568p-2, -0x1.8ef565343c009p-2, -0x1.8823dc572ef1dp-2, -0x1.8107d87f54a96p-2, -0x1.79a8e39967d8ap-2, -0x1.720e297985053p-2, -0x1.6a3e7aa6cb29bp-2, -0x1.6240501a6841dp-2, -0x1.5a19cedb5fc54p-2, -0x1.51d4740a57936p-2, -0x1.496e5bd4b7c9bp-2, -0x1.40f0a5675529ep-2, -0x1.3860355a4bf13p-2, -0x1.2fc19a506bbdep-2, -0x1.271912658bc9cp-2, -0x1.1e6a91eaeba37p-2, -0x1.15b9ca453585cp-2, -0x1.0d0a2fd9280b9p-2, -0x1.045efe54ad09fp-2, -0x1.f776764bfe798p-3, -0x1.e6436cdbf6cd8p-3, -0x1.d52a161742811p-3, -0x1.c42f3cede3f19p-3, -0x1.b357420f339eap-3, -0x1.a2a61e1804c76p-3, -0x1.921f65ab93aa2p-3, -0x1.81c64f51f6844p-3, -0x1.719dbaa809cc4p-3, -0x1.61a838418a51cp-3, -0x1.51e81194d1ca7p-3, -0x1.425f505aaef5p-3, -0x1.330fc4f533a76p-3, -0x1.23fb0ba36761bp-3, -0x1.1522907ba0272p-3, -0x1.06879251f0122p-3, -0x1.f056499bf3a8cp-4, -0x1.d41c6402ae48fp-4, -0x1.b862f79c7068ap-4, -0x1.9d2b3ac0462f2p-4, -0x1.827619c76810fp-4, -0x1.68443b25c3baap-4, -0x1.4e96042b453cp-4, -0x1.356b9e4ae363fp-4, -0x1.1cc4fcabf2731p-4, -0x1.04a1e1bd7ea78p-4, -0x1.da03c90440444p-5, -0x1.abc8eaa9c05ffp-5, -0x1.7e91c3f6bdacbp-5, -0x1.525cb1e5e0766p-5, -0x1.2727d8017b363p-5, -0x1.f9e2488bec578p-6, -0x1.a76ca43dacf8fp-6, -0x1.56e9d9c10d6cp-6, -0x1.0854a43617639p-6, -0x1.774ed0442ffddp-7, -0x1.c370e445228e7p-8, -0x1.3f670153561cap-9, 0x1.f2d1c3591c42cp-10, 0x1.91e1bf8c35b79p-8, 0x1.4ff7fee79586p-7, 0x1.d37dac61179c5p-7, 0x1.29c81baeec91ep-6, 0x1.681f0962ab30ap-6, 0x1.a4cae078fd237p-6, 0x1.dfd2e04e5302p-6, 0x1.0c9f1ee43d529p-5, 0x1.288a0de8ffc01p-5, 0x1.43adc2919b725p-5, 0x1.5e0db3b8ed559p-5, 0x1.77ad4805ad1e6p-5, 0x1.908fd4e57d4adp-5, 0x1.a8b89e262fdfbp-5, 0x1.c02ad617a37cp-5, 0x1.d6e99e1ce3ef3p-5, 0x1.ecf80791ce61cp-5, 0x1.012c8a7572ed6p-4, 0x1.0b87dd7b7ff58p-4, 0x1.158f71168b78cp-4, 0x1.1f44b3fa179c8p-4, 0x1.28a90feb699a2p-4, 0x1.31bdea4b9a8f7p-4, 0x1.3a84a48e3aa49p-4, 0x1.42fe9c9a45832p-4, 0x1.4b2d2d1457c8ep-4, 0x1.5311ad922b191p-4, 0x1.5aad72b820a38p-4, 0x1.6201ce42594afp-4, 0x1.69100efb5c0d9p-4, 0x1.6fd980a2cc17fp-4, 0x1.765f6bc701baep-4, 0x1.7ca3159493e18p-4, 0x1.82a5bf9ef4f14p-4, 0x1.8868a7a51512dp-4, 0x1.8de4685aa6b3fp-4, 0x1.932d105bc7e4ep-4, 0x1.9839bcbfec7d9p-4, 0x1.9d0b914ce7e09p-4, 0x1.a1a3ac71c201dp-4, 0x1.a603274092217p-4, 0x1.aa2b156fd0372p-4, 0x1.ae1c85630debdp-4, 0x1.b1d8803b04229p-4, 0x1.b56009ec6c5fap-4, 0x1.b8b4215d535e2p-4, 0x1.bbd5c0884a05cp-4, 0x1.bec5dca4a8ad7p-4, 0x1.c18566535ef8fp-4, 0x1.c41549cf5bc85p-4, 0x1.c6766f20c66fp-4, 0x1.c8a9ba522804bp-4, 0x1.cab00ba6be04bp-4, 0x1.cc8a3fd0d77b9p-4, 0x1.ce393027cfb0bp-4, 0x1.cfbdb2dc79783p-4, 0x1.d1189b2ba6bb7p-4, 0x1.d24ab98df75bap-4, 0x1.d354dbe4a0431p-4, 0x1.d437cda2af80dp-4, 0x1.d4f457f29522fp-4, 0x1.d58b41d7d4a92p-4, 0x1.d5fd504caf90fp-4, 0x1.d64b465bea679p-4, 0x1.d675e536a71a5p-4, 0x1.d67dec468b0fbp-4, 0x1.d664193c52746p-4, 0x1.d629281b0e509p-4, 0x1.d5cdd340503dbp-4, 0x1.d552d3698859bp-4, 0x1.d4b8dfb6d4cc1p-4, 0x1.d400adabbc406p-4, 0x1.d32af12df8468p-4, 0x1.d2385c82be6eap-4, 0x1.d129a04aec66cp-4, 0x1.cfff6b7e4be0bp-4, 0x1.ceba6b66625c5p-4, 0x1.cd5b4b9913343p-4, 0x1.cbe2b5f34c391p-4, 0x1.ca51529426682p-4, 0x1.c8a7c7d8854c2p-4, 0x1.c6e6ba57978bfp-4, 0x1.c50ecce020067p-4, 0x1.c320a076e83d2p-4, 0x1.c11cd4562c8ep-4, 0x1.bf0405ee2c74ep-4, 0x1.bcd6d0e6c7f61p-4, 0x1.ba95cf2226ad8p-4, 0x1.b84198c048d73p-4, 0x1.b5dac4236d35fp-4, 0x1.b361e5f52c2cap-4, 0x1.b0d7912c2156dp-4, 0x1.ae3c5711f7a5ap-4, 0x1.ab90c749c668fp-4, 0x1.a8d56fd678e6ep-4, 0x1.a60add214081bp-4, 0x1.a33199ffcccf2p-4, 0x1.a04a2fba3f147p-4, 0x1.9d552610aeed8p-4, 0x1.9a53034025bb6p-4, 0x1.97444c071541ap-4, 0x1.942983a9052eap-4, 0x1.91032bf197eedp-4, 0x1.8dd1c536c205ap-4, 0x1.8a95ce5a38acep-4, 0x1.874fc4ca0ec07p-4, 0x1.8400248087012p-4, 0x1.80a768031e245p-4, 0x1.7d460860d57c9p-4, 0x1.79dc7d2fc6256p-4, 0x1.766b3c8a1039cp-4, 0x1.72f2bb0a32bfap-4, 0x1.6f736bc6da5b4p-4, 0x1.6bedc04e4079dp-4, 0x1.686228a128abep-4, 0x1.64d1132d930ebp-4, 0x1.613aecc937a51p-4, 0x1.5da020abdd19p-4, 0x1.5a011869a001cp-4, 0x1.565e3bed3ccdcp-4, 0x1.52b7f1726a63p-4, 0x1.4f0e9d805c274p-4, 0x1.4b62a2e47279bp-4, 0x1.47b462ad30233p-4, 0x1.44043c25759d5p-4, 0x1.40528cd014a9ap-4, 0x1.3c9fb063c3c9cp-4, 0x1.38ec00c774955p-4, 0x1.3537d60f16144p-4, 0x1.31838678c7291p-4, 0x1.2dcf666a7afa3p-4, 0x1.2a1bc87010c33p-4, 0x1.2668fd39e048bp-4, 0x1.22b7539bba955p-4, 0x1.1f07188c5dc39p-4, 0x1.1b58972556e93p-4, 0x1.17ac18a354f2ep-4, 0x1.1401e466dff3bp-4, 0x1.105a3ff57b3d9p-4, 0x1.0cb56efb234e6p-4, 0x1.0913b34c2c24ep-4, 0x1.05754ce772cbap-4, 0x1.01da79f8e273ep-4, 0x1.fc86edb888a9ep-5, 0x1.f560fc40b00c8p-5, 0x1.ee4391145440ap-5, 0x1.e72f1a3156278p-5, 0x1.e0240210f2633p-5, 0x1.d922afafc0b8p-5, 0x1.d22b869609fabp-5, 0x1.cb3ee6e0737edp-5, 0x1.c45d2d48f5d05p-5, 0x1.bd86b330142a1p-5, 0x1.b6bbcea655043p-5, 0x1.affcd275ebe43p-5, 0x1.a94a0e2c995c1p-5, 0x1.a2a3ce25b59cap-5, 0x1.9c0a5b945e905p-5, 0x1.957dfc8dd0898p-5, 0x1.8efef413dabbfp-5, 0x1.888d821f74153p-5, 0x1.8229e3ab696ap-5, 0x1.7bd452bf2606fp-5, 0x1.758d0679926c5p-5, 0x1.6f54331c08d97p-5, 0x1.692a0a1561c5dp-5, 0x1.630eba0d0c501p-5, 0x1.5d026eee44957p-5, 0x1.570551f34de7bp-5, 0x1.511789b0cb9fcp-5, 0x1.4b393a2120f94p-5, 0x1.456a84afe60acp-5, 0x1.3fab88456a76dp-5, 0x1.39fc615245d5ap-5, 0x1.345d29daf902p-5, 0x1.2ecdf9839b038p-5, 0x1.294ee59b92fc1p-5, 0x1.23e001296137bp-5, 0x1.1e815cf66e37p-5, 0x1.1933079ae7cc9p-5, 0x1.13f50d89a9228p-5, 0x1.0ec7791c269f4p-5, 0x1.09aa529e65662p-5, 0x1.049da05af49a8p-5, 0x1.ff42cd4ddd75bp-6, 0x1.f56b4fdbf97bep-6, 0x1.ebb4c97cb74cdp-6, 0x1.e21f37a9bbbb5p-6, 0x1.d8aa9451e3abfp-6, 0x1.cf56d5f13da44p-6, 0x1.c623efa9040f5p-6, 0x1.bd11d1577ee06p-6, 0x1.b42067afdaa7bp-6, 0x1.ab4f9c51e922bp-6, 0x1.a29f55e1c38ap-6, 0x1.9a0f781f570f1p-6, 0x1.919fe3fdc93d2p-6, 0x1.895077babcb08p-6, 0x1.81210ef56c488p-6, 0x1.791182c59463dp-6, 0x1.7121a9d2361cep-6, 0x1.695158681eb5bp-6, 0x1.6167ce20938d7p-6, 0x1.59d5636ef1fc2p-6, 0x1.5261f1dc5f176p-6, 0x1.4b0d4540bab73p-6, 0x1.43d7278b41b41p-6, 0x1.3cbf60d739a1bp-6, 0x1.35c5b78045481p-6, 0x1.2ee9f0367eb44p-6, 0x1.282bce122ca8cp-6, 0x1.218b12a7369cap-6, 0x1.1b077e1840104p-6, 0x1.14a0cf2972f5ap-6, 0x1.0e56c352f9e05p-6, 0x1.082916d3223fp-6, 0x1.021784c02f119p-6, 0x1.f8438e33a317ap-7, 0x1.ec8f2db4aa0aap-7, 0x1.e111580ed501ap-7, 0x1.d5c97b8549602p-7, 0x1.cab704b340739p-7, 0x1.bfd95eab97313p-7, 0x1.b52ff317c5f4p-7, 0x1.aaba2a561d0c5p-7, 0x1.a0776b9754349p-7, 0x1.96671cfb6e527p-7, 0x1.8c88a3adf2ed2p-7, 0x1.82db64016c75fp-7, 0x1.795ec18a434e6p-7, 0x1.70121f38ebb41p-7, 0x1.66f4df7359e5bp-7, 0x1.5e06642dd5d7ap-7, 0x1.55460f031efc6p-7, 0x1.4cb3414bdeb8ap-7, 0x1.444d5c3574a1cp-7, 0x1.3c13c0d8160c5p-7, 0x1.3405d04c47411p-7, 0x1.2c22ebbfa96acp-7, 0x1.246a7489200d4p-7, 0x1.1cdbcc3c53efbp-7, 0x1.157654bc8d481p-7, 0x1.0e39704eec9d9p-7, 0x1.072481ac00d5bp-7, 0x1.0036ec10c079dp-7, 0x1.f2e0269dae911p-8, 0x1.e59eb7b8d00f2p-8, 0x1.d8a855c64ae49p-8, 0x1.cbfbcc9dad147p-8, 0x1.bf97e9b689799p-8, 0x1.b37b7c431cc21p-8, 0x1.a7a55549d500ap-8, 0x1.9c1447bdb872fp-8, 0x1.90c728959a50ep-8, 0x1.85bccee254411p-8, 0x1.7af413e3cb4dap-8, 0x1.706bd31cfdb6ap-8, 0x1.6622ea66f161ep-8, 0x1.5c183a02a977bp-8, 0x1.524aa4aa175a1p-8, 0x1.48b90fa013a1bp-8, 0x1.3f6262bf54255p-8, 0x1.3645888886749p-8, 0x1.2d616e2f71c82p-8, 0x1.24b503a73c442p-8, 0x1.1c3f3badcbf45p-8, 0x1.13ff0bd65a062p-8, 0x1.0bf36c932bddcp-8, 0x1.041b593e86db6p-8, 0x1.f8eba045bf4efp-9, 0x1.ea03a5048a0fbp-9, 0x1.db7cc93a44c29p-9, 0x1.cd551b7086359p-9, 0x1.bf8ab044684eap-9, 0x1.b21ba27000abfp-9, 0x1.a50612d2a3145p-9, 0x1.98482877f1a98p-9, 0x1.8be0109dd4c07p-9, 0x1.7fcbfeb965a32p-9, 0x1.740a2c7abd07dp-9, 0x1.6898d9cfec2cfp-9, 0x1.5d764ce6dc7b1p-9, 0x1.52a0d22e84942p-9, 0x1.4816bc57104bdp-9, 0x1.3dd664515d7c8p-9, 0x1.33de294daec34p-9, 0x1.2a2c70b9af279p-9, 0x1.20bfa63dbc8dcp-9, 0x1.17963bb989463p-9, 0x1.0eaea94037a1cp-9, 0x1.06076d13b97fp-9, 0x1.fb3e173facac2p-10, 0x1.eae81ee8e058p-10, 0x1.db0a127ee94b6p-10, 0x1.cba11f8c3e0d2p-10, 0x1.bcaa7fbbf5252p-10, 0x1.ae2378ca811c5p-10, 0x1.a0095c75abf5dp-10, 0x1.9259886babd8ap-10, 0x1.85116639640e2p-10, 0x1.782e6b37bcf0dp-10, 0x1.6bae18783b539p-10, 0x1.5f8dfab0ba1bbp-10, 0x1.53cbaa262d485p-10, 0x1.4864ca96f7c3dp-10, 0x1.3d570b23fe128p-10, 0x1.32a0263931e67p-10, 0x1.283de1753ec4cp-10, 0x1.1e2e0d9060c03p-10, 0x1.146e8642816c9p-10, 0x1.0afd32287ca72p-10, 0x1.01d802a8ac0afp-10, 0x1.f1f9e7ad47255p-11, 0x1.e0d418ac82cbcp-11, 0x1.d03aba7beddcfp-11, 0x1.c02a03f0a0188p-11, 0x1.b09e4049f5aa8p-11, 0x1.a193cef1efe6dp-11, 0x1.9307233ca1ecp-11, 0x1.84f4c4262c6e5p-11, 0x1.77594c0ffc21cp-11, 0x1.6a31687ce07b9p-11, 0x1.5d79d9cc13555p-11, 0x1.512f72f3b3d34p-11, 0x1.454f193a76a16p-11, 0x1.39d5c3f08164fp-11, 0x1.2ec07c28254d6p-11, 0x1.240c5c6defdc6p-11, 0x1.19b69080840f5p-11, 0x1.0fbc550823985p-11, 0x1.061af74e40df3p-11, 0x1.f99fa9ea44403p-12, 0x1.e7b0b75e9abdp-12, 0x1.d66411ef36dafp-12, 0x1.c5b4d391c15eap-12, 0x1.b59e34adcdda4p-12, 0x1.a61b8b8dea7b2p-12, 0x1.97284bd294e0fp-12, 0x1.88c005e6308fcp-12, 0x1.7ade66722137ep-12, 0x1.6d7f35d53edd6p-12, 0x1.609e579bea95ap-12, 0x1.5437c9f9b6ca1p-12, 0x1.4847a54416f1p-12, 0x1.3cca1b6f9fe68p-12, 0x1.31bb778deca6cp-12, 0x1.27181d4e5569p-12, 0x1.1cdc887ffa4d3p-12, 0x1.13054c94b3b8p-12, 0x1.098f142790695p-12, 0x1.0076a08399d47p-12, 0x1.ef71925adbff1p-13, 0x1.dea4f6daf9bd4p-13, 0x1.ce8173ba5e0d5p-13, 0x1.bf0137eb07f5p-13, 0x1.b01e9b3da6cdp-13, 0x1.a1d41d8611d5ap-13, 0x1.941c65c24f84dp-13, 0x1.86f2414504b96p-13, 0x1.7a50a2e33e518p-13, 0x1.6e32a2268688ap-13, 0x1.62937a7f16413p-13, 0x1.576e8a7dda68cp-13, 0x1.4cbf530d7ef55p-13, 0x1.428176b04bdf9p-13, 0x1.38b0b8c0a7744p-13, 0x1.2f48fcb55d514p-13, 0x1.2646456754e17p-13, 0x1.1da4b45bbdf4dp-13, 0x1.1560890f9ad42p-13, 0x1.0d76204795348p-13, 0x1.05e1f3615e967p-13, 0x1.fd412f51cb0cbp-14, 0x1.ef5d7b5e68028p-14, 0x1.e21261494cde9p-14, 0x1.d559ab6ce2963p-14, 0x1.c92d56da1abe1p-14, 0x1.bd87921e0acf9p-14, 0x1.b262bc0bd9837p-14, 0x1.a7b9628aca042p-14, 0x1.9d86416a9760bp-14, 0x1.93c4413b5fb4fp-14, 0x1.8a6e762df3894p-14, 0x1.81801ef5c49c2p-14, 0x1.78f4a3b1a83ecp-14, 0x1.70c794d92db6ap-14, 0x1.68f4aa2ed8708p-14, 0x1.6177c1b89b249p-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.fa45564ec5f6ap-3, 0x1.ff28267d63ccfp-3, 0x1.014f491ab1754p-2, 0x1.024bde87680d8p-2, 0x1.028495a447163p-2, 0x1.01f7e63dcaf6ep-2, 0x1.00a70b4a18a1bp-2, 0x1.fd2ab0cdc73edp-3, 0x1.f79094d6f8497p-3, 0x1.f08e5ed1f1935p-3, 0x1.e8352939a9387p-3, 0x1.de98125296d51p-3, 0x1.d3cbfb19001e5p-3, 0x1.c7e6fb0c3493cp-3, 0x1.baffd10363309p-3, 0x1.ad2d8fdb0cd5dp-3, 0x1.9e8763e159195p-3, 0x1.8f245374fc509p-3, 0x1.7f1b094a33104p-3, 0x1.6e81aca672f4p-3, 0x1.5d6dba3dff136p-3, 0x1.4bf44b4101c26p-3, 0x1.3a27ca4a757bbp-3, 0x1.281b9983d593dp-3, 0x1.15e17860f99d3p-3, 0x1.0389fab4fc261p-3, 0x1.e2490cdfb9737p-4, 0x1.bd7ecd5c7bf1dp-4, 0x1.98cfc6315bd92p-4, 0x1.7454a056a858dp-4, 0x1.502425fa9694bp-4, 0x1.2c533861d7412p-4, 0x1.08f4c8075157ap-4, 0x1.cc33b8505b0adp-5, 0x1.87a3557ebc657p-5, 0x1.44537475b0172p-5, 0x1.025c07877dc8ap-5, 0x1.83a43eb6942abp-6, 0x1.05902c6e707aap-6, 0x1.1536cf77c2c98p-7, 0x1.2e0a04d6a1cb1p-10, -0x1.86284b33a6c4cp-8, -0x1.a525ce7c45352p-7, -0x1.402c0c2199c78p-6, -0x1.aa4b536eb5457p-6, -0x1.0874f0f6f0e8cp-5, -0x1.3a01f4c69670cp-5, -0x1.69cc34713d6aep-5, -0x1.97d475ebd2b31p-5, -0x1.c41ca83d011ebp-5, -0x1.eea7c97dccc95p-5, -0x1.0bbce76119594p-4, -0x1.1f4bc59d54f89p-4, -0x1.32034b529fefdp-4, -0x1.43e69ac9e6bb9p-4, -0x1.54f9228d2b5bdp-4, -0x1.653e94751dcfap-4, -0x1.74badcf9e1a2ap-4, -0x1.83721a7c3f96p-4, -0x1.91689509e0291p-4, -0x1.9ea2b731c816bp-4, -0x1.ab2507ea2a71fp-4, -0x1.b6f42504bed7dp-4, -0x1.c2143ace205ecp-4, -0x1.cc8b0b8abf15ep-4, -0x1.d65cd5ccb49b8p-4, -0x1.df8e5d989535p-4, -0x1.e82466799ea1dp-4, -0x1.f023b05af0532p-4, -0x1.f790f4b9ca51p-4, -0x1.fe70e40653ca7p-4, -0x1.026411918cad7p-3, -0x1.054da4874b1adp-3, -0x1.07f76e65674a6p-3, -0x1.0a63a9c6c3078p-3, -0x1.0c94879b1a1eap-3, -0x1.0e8c2e7fb9b4cp-3, -0x1.104cba316aaccp-3, -0x1.11d83b1540e33p-3, -0x1.1330b5d76a8dp-3, -0x1.1458231f050ap-3, -0x1.15506f558316fp-3, -0x1.161b7a8015e92p-3, -0x1.16bb18299d35bp-3, -0x1.17310f5ba4cabp-3, -0x1.177f1aa44e5d8p-3, -0x1.17a6e8264c9b2p-3, -0x1.17aa19afe7a8dp-3, -0x1.178a44d682cfdp-3, -0x1.1748f314cf601p-3, -0x1.16e7a1eac10e4p-3, -0x1.1667c2ff128a3p-3, -0x1.15cabc430412ap-3, -0x1.1511e8196674dp-3, -0x1.143e95827905ep-3, -0x1.1352084db32c6p-3, -0x1.124d7951f2de5p-3, -0x1.113216ab74621p-3, -0x1.100103fe4896ep-3, -0x1.0ebb5abbb7c93p-3, -0x1.0d622a6900dabp-3, -0x1.0bf678e64c4f7p-3, -0x1.0a7942b4ee8eap-3, -0x1.08eb7b3c49692p-3, -0x1.074e0d0cd2a3ap-3, -0x1.05a1da20e94fdp-3, -0x1.03e7bc1b693e1p-3, -0x1.02208484306d8p-3, -0x1.004cfd030e1b5p-3, -0x1.fcdbcf32ff6dfp-4, -0x1.f907fdb7811cap-4, -0x1.f51fec52b057cp-4, -0x1.f124f3ca936c1p-4, -0x1.ed185f5ba7307p-4, -0x1.e8fb6d2759fb1p-4, -0x1.e4cf4ea13f5f3p-4, -0x1.e09528fb2368ep-4, -0x1.dc4e158fc346bp-4, -0x1.d7fb224c7708dp-4, -0x1.d39d521992666p-4, -0x1.cf359d418e212p-4, -0x1.cac4f1d68b332p-4, -0x1.c64c3415db542p-4, -0x1.c1cc3ec8f5ca6p-4, -0x1.bd45e3a38799fp-4, -0x1.b8b9eb9e07c71p-4, -0x1.b429174cdbfd3p-4, -0x1.af941f33baea8p-4, -0x1.aafbb4159efffp-4, -0x1.a6607f414994cp-4, -0x1.a1c322da8eba3p-4, -0x1.9d243a20977b8p-4, -0x1.988459b1351b9p-4, -0x1.93e40fc95362cp-4, -0x1.8f43e482affcep-4, -0x1.8aa45a0ee9055p-4, -0x1.8605ecf004e37p-4, -0x1.8169142ea6d4ep-4, -0x1.7cce418e0b109p-4, -0x1.7835e1be08151p-4, -0x1.73a05c8b2c2ep-4, -0x1.6f0e150d1cd61p-4, -0x1.6a7f69d3533a5p-4, -0x1.65f4b51042899p-4, -0x1.616e4cc3048f2p-4, -0x1.5cec82df8d7bp-4, -0x1.586fa5758274dp-4, -0x1.53f82cdebe392p-4, -0x1.4f860930908ddp-4, -0x1.4b19a52239185p-4, -0x1.46b3408fd2957p-4, -0x1.425318251fabap-4, -0x1.3df9657c31358p-4, -0x1.39a65f3b1cf16p-4, -0x1.355a3930ca90bp-4, -0x1.31152470d3493p-4, -0x1.2cd74f6e795bap-4, -0x1.28a0e6169f1b9p-4, -0x1.247211e8c01c9p-4, -0x1.204afa0ee16f7p-4, -0x1.1c2bc37473d47p-4, -0x1.181490dc2e667p-4, -0x1.140582f4e6507p-4, -0x1.0ffeb86d6f84fp-4, -0x1.0c004e0792c6fp-4, -0x1.080a5eaa2e7bdp-4, -0x1.041d037288405p-4, -0x1.003853c4e7885p-4, -0x1.f8b8cab90862ap-5, -0x1.f11298b5a61ep-5, -0x1.e97e36ac727a3p-5, -0x1.e1fbc6d06bbeap-5, -0x1.da8b6875fbd26p-5, -0x1.d32d382d2e3f2p-5, -0x1.cbe14fdae55bbp-5, -0x1.c4a7c6d1154cep-5, -0x1.bd80b1e610d47p-5, -0x1.b66c238ae359bp-5, -0x1.af6a2be0cd48fp-5, -0x1.a87ad8cddab1dp-5, -0x1.a19e3610a724fp-5, -0x1.9ad44d5350ec4p-5, -0x1.941d263daac02p-5, -0x1.8d78c686afd7dp-5, -0x1.86e732054cfa3p-5, -0x1.80686ac080ad1p-5, -0x1.79fc70feec302p-5, -0x1.73a34355cf49ep-5, -0x1.6d5cdeb78e369p-5, -0x1.67293e81af6cep-5, -0x1.61085c8a7c25ep-5, -0x1.5afa312e326ap-5, -0x1.54feb35bd54eap-5, -0x1.4f15d8a1a7593p-5, -0x1.493f953949c29p-5, -0x1.437bdc13917cbp-5, -0x1.3dca9ee3fd93p-5, -0x1.382bce2bed81bp-5, -0x1.329f59457f3d2p-5, -0x1.2d252e6e22a1ap-5, -0x1.27bd3ad0e7935p-5, -0x1.22676a9079151p-5, -0x1.1d23a8d0d14c9p-5, -0x1.17f1dfc0a7286p-5, -0x1.12d1f8a292229p-5, -0x1.0dc3dbd5ebddep-5, -0x1.08c770df6b0acp-5, -0x1.03dc9e7182215p-5, -0x1.fe0694e8f1983p-6, -0x1.f476b41caa3c1p-6, -0x1.eb096354ffa5fp-6, -0x1.e1be6a0280335p-6, -0x1.d8958e3de853bp-6, -0x1.cf8e94d654608p-6, -0x1.c6a9415efe58ap-6, -0x1.bde5563cad804p-6, -0x1.b54294b2db696p-6, -0x1.acc0bcf07948ep-6, -0x1.a45f8e1c7e683p-6, -0x1.9c1ec66224f63p-6, -0x1.93fe22fcdda98p-6, -0x1.8bfd604416591p-6, -0x1.841c39b6b3e18p-6, -0x1.7c5a6a064cb51p-6, -0x1.74b7ab2239e7ap-6, -0x1.6d33b64268e4fp-6, -0x1.65ce43f1efef7p-6, -0x1.5e870c197a81bp-6, -0x1.575dc6098035cp-6, -0x1.5052288443608p-6, -0x1.4963e9c7aa61ep-6, -0x1.4292bf96da537p-6, -0x1.3bde5f43bc9bbp-6, -0x1.35467db83718ap-6, -0x1.2ecacf7f5b24dp-6, -0x1.286b08ce4247dp-6, -0x1.2226dd8ce1c05p-6, -0x1.1bfe015ea3a6bp-6, -0x1.15f027aacd64cp-6, -0x1.0ffd03a4d32e4p-6, -0x1.0a24485466828p-6, -0x1.0465a89d71aeep-6, -0x1.fd81ae8fba432p-7, -0x1.f26b0e0e4dfeep-7, -0x1.e786d503cb3abp-7, -0x1.dcd468b211102p-7, -0x1.d2532e5dfacd4p-7, -0x1.c8028b5d4cd5ep-7, -0x1.bde1e52455855p-7, -0x1.b3f0a1533c701p-7, -0x1.aa2e25c2edb7ep-7, -0x1.a099d891c1d33p-7, -0x1.9733202fdabc8p-7, -0x1.8df9636b135bap-7, -0x1.84ec097ab53b2p-7, -0x1.7c0a7a0ad2c2dp-7, -0x1.73541d47513a3p-7, -0x1.6ac85be69b88bp-7, -0x1.62669f341caabp-7, -0x1.5a2e511a43edfp-7, -0x1.521edc2c605e3p-7, -0x1.4a37abb00e6aep-7, -0x1.42782ba67426fp-7, -0x1.3adfc8d51cb4dp-7, -0x1.336df0ce86da9p-7, -0x1.2c2211fa7c46dp-7, -0x1.24fb9b9e1097ap-7, -0x1.1df9fde348476p-7, -0x1.171ca9e09a71ep-7, -0x1.106311a00df91p-7, -0x1.09cca8261c1dbp-7, -0x1.0358e178497ccp-7, -0x1.fa0e6546e4232p-8, -0x1.edae2383dd4f2p-8, -0x1.e18fec02999bdp-8, -0x1.d5b2af4fd1118p-8, -0x1.ca1560345558p-8, -0x1.beb6f3bf3f53cp-8, -0x1.b396614f6e3f3p-8, -0x1.a8b2a29c97ddap-8, -0x1.9e0ab3c001b3ep-8, -0x1.939d933c8d265p-8, -0x1.896a42066a5bap-8, -0x1.7f6fc38a46453p-8, -0x1.75ad1db416fb2p-8, -0x1.6c2158f56b66fp-8, -0x1.62cb804b389b3p-8, -0x1.59aaa14375118p-8, -0x1.50bdcc0200e37p-8, -0x1.480413454c6e2p-8, -0x1.3f7c8c6a8875ap-8, -0x1.37264f7198ebdp-8, -0x1.2f0077005c4c1p-8, -0x1.270a2065ca6ebp-8, -0x1.1f426b9ca596p-8, -0x1.17a87b4db3daep-8, -0x1.103b74d1d68ap-8, -0x1.08fa803397057p-8, -0x1.01e4c8304af03p-8, -0x1.f5f2f47270245p-9, -0x1.e86f8ce80a6dbp-9, -0x1.db3dbf764da7ep-9, -0x1.ce5bf73b5dceap-9, -0x1.c1c8a4be5930dp-9, -0x1.b5823dedc79ebp-9, -0x1.a9873e1de22f4p-9, -0x1.9dd626065bccdp-9, -0x1.926d7bbf56a52p-9, -0x1.874bcabe0f4b3p-9, -0x1.7c6fa3d0bc9f2p-9, -0x1.71d79d1a5db23p-9, -0x1.6782520dbac16p-9, -0x1.5d6e6368031b4p-9, -0x1.539a772af79e5p-9, -0x1.49edb1d0a9b41p-9, -0x1.4095a54b14dfep-9, -0x1.3779aeb81eddap-9, -0x1.2e9888f6179e2p-9, -0x1.25f0f403c6af5p-9, -0x1.1d81b4f854b46p-9, -0x1.154995fadbebdp-9, -0x1.0d4766396537bp-9, -0x1.0579f9dfd2017p-9, -0x1.fbc0541c4ebbp-10, -0x1.ecf1a99e1e73fp-10, -0x1.de85ba1b867cep-10, -0x1.d07a55170ac8dp-10, -0x1.c2cd53aaa8781p-10, -0x1.b57c9871ffc0ap-10, -0x1.a8860f74945a8p-10, -0x1.9be7ae0f13f9dp-10, -0x1.8f9f72dcea782p-10, -0x1.83ab65a0ebcep-10, -0x1.7809972db71e6p-10, -0x1.6cb8214e6ad1fp-10, -0x1.61b526ad94166p-10, -0x1.56fed2bdc7f4ap-10, -0x1.4c9359a07e8bbp-10, -0x1.4270f80d485dfp-10, -0x1.3895f338fa9cep-10, -0x1.2f0098bb6a28fp-10, -0x1.25af3e775f25bp-10, -0x1.1ca042803a95bp-10, -0x1.13d20b0018ef7p-10, -0x1.0b43061e33bf8p-10, -0x1.02f1a9e4d1b02p-10, -0x1.f5b8e84e65067p-11, -0x1.e603d4cf63157p-11, -0x1.d6c133799ad45p-11, -0x1.c7ee2d7010c5ap-11, -0x1.b987fa95bbafep-11, -0x1.ab8be1598cc1ep-11, -0x1.9df73681ddb0ep-11, -0x1.90c75cf7ef0dcp-11, -0x1.83f9c593848c7p-11, -0x1.778beee6ffd8cp-11, -0x1.6b7b650a31c1bp-11, -0x1.5fc5c166e2f16p-11, -0x1.5468aa85407f8p-11, -0x1.4961d3d7a1348p-11, -0x1.3eaefd872aa15p-11, -0x1.344df440563d3p-11, -0x1.2a3c910032167p-11, -0x1.2078b8e16b3eep-11, -0x1.17005ce9b8256p-11, -0x1.0dd179d78810bp-11, -0x1.04ea17f0c9999p-11, -0x1.f89095a0e3ae7p-12, -0x1.e7d4626b5e52fp-12, -0x1.d79be9a6a7b59p-12, -0x1.c7e3943cad25cp-12, -0x1.b8a7e03e2f4ep-12, -0x1.a9e560820728bp-12, -0x1.9b98bc44e90f4p-12, -0x1.8dbeaecef66c6p-12, -0x1.80540714a8adcp-12, -0x1.7355a75b0a703p-12, -0x1.66c084ddd627dp-12, -0x1.5a91a773ab3efp-12, -0x1.4ec62935e0b0fp-12, -0x1.435b3628100aep-12, -0x1.384e0be14e0fdp-12, -0x1.2d9bf933bebb5p-12, -0x1.23425dda80cefp-12, -0x1.193eaa233ebcfp-12, -0x1.0f8e5e9b4e328p-12, -0x1.062f0bbe21db5p-12, -0x1.fa3ca345396dbp-13, -0x1.e8b3bf58de024p-13, -0x1.d7bee87849e1fp-13, -0x1.c759b8c266899p-13, -0x1.b77fe71a09079p-13, -0x1.a82d468e8780dp-13, -0x1.995dc5c335afp-13, -0x1.8b0d6e5fc74a5p-13, -0x1.7d38647bd20ep-13, -0x1.6fdae61049287p-13, -0x1.62f14a6afbe1ap-13, -0x1.567801a16f6cep-13, -0x1.4a6b940809e98p-13, -0x1.3ec8a1acef248p-13, -0x1.338be1d1ace96p-13, -0x1.28b22267d6862p-13, -0x1.1e384791839a5p-13, -0x1.141b4b221a902p-13, -0x1.0a583c2251703p-13, -0x1.00ec3e520bf9p-13, -0x1.efa9136b474bfp-14, -0x1.de1cd43740209p-14, -0x1.cd2e7d4c91676p-14, -0x1.bcd8f2bef097dp-14, -0x1.ad173d82e2e51p-14, -0x1.9de48a96ed3a4p-14, -0x1.8f3c2a28b5814p-14, -0x1.81198ec14d98cp-14, -0x1.73784c6ba1df1p-14, -0x1.665417f1ce29ep-14, -0x1.59a8c60b7ab85p-14, -0x1.4d724a9882755p-14, -0x1.41acb7de4a187p-14, -0x1.36543dc8421bcp-14, -0x1.2b65292c150a4p-14, -0x1.20dbe3106e2e9p-14, -0x1.16b4effbf5d06p-14, -0x1.0cecef3e8958p-14, -0x1.03809a46e8898p-14, -0x1.f4d987f083336p-15, -0x1.e35cb000087a7p-15, -0x1.d284b46d91176p-15, -0x1.c24bcbf99b48fp-15, -0x1.b2ac5b3aa7a8fp-15, -0x1.a3a0f36a58617p-15, -0x1.952451391e9afp-15, -0x1.87315b9e79e49p-15, -0x1.79c322c56b6bfp-15, -0x1.6cd4dee78a2c6p-15, -0x1.6061ef419788dp-15, -0x1.5465d8f3a3139p-15, -0x1.48dc4609e34ddp-15, -0x1.3dc10472369b2p-15, -0x1.331005018f101p-15, -0x1.28c55a777da17p-15, -0x1.1edd38904775cp-15, -0x1.1553f316dc3abp-15, -0x1.0c25fcff19d13p-15, -0x1.034fe7858afp-15, -0x1.f59cc28ef3af5p-16, -0x1.e53c6afd22afap-16, -0x1.d578964680d8dp-16, -0x1.c64b483f95d12p-16, -0x1.b7aeb91552eeep-16, -0x1.a99d53ca16d61p-16, -0x1.9c11b4a388c97p-16, -0x1.8f06a7d5fb0cap-16, -0x1.82772804ac9cep-16, -0x1.765e5ce13ae49p-16, -0x1.6ab799e56c062p-16, -0x1.5f7e5ce65ad99p-16, -0x1.54ae4cdfacdc7p-16, -0x1.4a4338b330146p-16, -0x1.403915e0d1b26p-16, -0x1.368bff71584dp-16, -0x1.2d3834bcdd153p-16, -0x1.243a18535b386p-16, -0x1.1b8e2ed3d455bp-16, -0x1.13311df40e6a4p-16, -0x1.0b1fab66063e2p-16, -0x1.0356bbd692403p-16, -0x1.f7a6a3f342bcap-17, -0x1.e9251b1148781p-17, -0x1.db2354b774bcp-17, -0x1.cd9bff042f781p-17, -0x1.c089fcaebbe1fp-17, -0x1.b3e863568dd8fp-17, -0x1.a7b279e928388p-17, -0x1.9be3b6ec65852p-17, -0x1.9077beeef5b2cp-17, -0x1.856a6301564aep-17, -0x1.7ab79f32ef42fp-17, -0x1.705b992297792p-17, -0x1.66529e8c68523p-17, -0x1.5c9923f455a0ap-17, -0x1.532bc34a6bedap-17, -0x1.4a073a9a67408p-17, -0x1.41286ae4073b1p-17, -0x1.388c56bd5ea2fp-17, -0x1.30302128f4933p-17, -0x1.28110c9089fecp-17, -0x1.202c796fe5549p-17, -0x1.187fe57d91e48p-17, -0x1.1108ea72cc08fp-17, -0x1.09c53cf97e173p-17, -0x1.02b2abe3ea88ep-17, -0x1.f79e3df9e75acp-18, -0x1.ea312c8889755p-18, -0x1.dd1a51df928acp-18, -0x1.d05609218f4c2p-18, -0x1.c3e0d875d6d2ep-18, -0x1.b7b76f6305c96p-18, -0x1.abd6a535410b1p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.82604aa4db879p-3, -0x1.a2615fbdc3983p-4, -0x1.27f5918ed413fp-6, 0x1.000006f27ccfdp-4, 0x1.1c15d116625b7p-3, 0x1.adfb2f05210bbp-3, 0x1.1a576fd959e09p-2, 0x1.57c08a5454ef1p-2, 0x1.8f08bba71e93bp-2, 0x1.c01a321be8562p-2, 0x1.eaf513d4953f8p-2, 0x1.07d86f877dff1p-1, 0x1.173bfacde36b6p-1, 0x1.23c09d0768d84p-1, 0x1.2d86cf8a859fp-1, 0x1.34b3797ebb80fp-1, 0x1.396e87b6a3804p-1, 0x1.3be19af7b904bp-1, 0x1.3c37819c31b46p-1, 0x1.3a9bdd2154e38p-1, 0x1.373a6ff1fe025p-1, 0x1.32404d3a3416ep-1, 0x1.2bd1eef7459ccp-1, 0x1.241b8b973f664p-1, 0x1.1b43d7f696772p-1, 0x1.116ee1858f594p-1, 0x1.06be8ca9ed947p-1, 0x1.f6a627c69044bp-2, 0x1.de9655639d6f2p-2, 0x1.c58784191258bp-2, 0x1.abaf4f02e4fd1p-2, 0x1.913e8ad3dd87ap-2, 0x1.76615628a6f91p-2, 0x1.5b3f9f656b254p-2, 0x1.3ffdc80c916d3p-2, 0x1.24bd196353293p-2, 0x1.099bf0e1f972bp-2, 0x1.dd6b70aa9763dp-3, 0x1.a845a3537e7e8p-3, 0x1.73f1327ccf7ap-3, 0x1.40931a2d144ebp-3, 0x1.0e4b22e47455p-3, 0x1.ba6900bb19d8bp-4, 0x1.5accc68da7052p-4, 0x1.fbd1a85ca4bf1p-5, 0x1.47bbb445ae726p-5, 0x1.33197a02adfadp-6, -0x1.d23d0a6caf983p-10, -0x1.6103d0b8ced1bp-6, -0x1.4c2f0bb940f03p-5, -0x1.e18e2ad438266p-5, -0x1.384e0ae5f1b1dp-4, -0x1.7cae46107f6f1p-4, -0x1.bdecac53c693ep-4, -0x1.fc10cc63eb54bp-4, -0x1.1b924974284c9p-3, -0x1.379a03435781ep-3, -0x1.522681b25ec59p-3, -0x1.6b3f7a84118afp-3, -0x1.82ed49c839d2dp-3, -0x1.9938d508dab66p-3, -0x1.ae2b73e25db85p-3, -0x1.c1cedc6dee4d4p-3, -0x1.d43eef9dfab3ep-3, -0x1.e5640f050fc03p-3, -0x1.f557bfb84cef6p-3, -0x1.021215fa9a034p-2, -0x1.08e9cbe1f22bdp-2, -0x1.0f382c6e56282p-2, -0x1.150266fba4f1ep-2, -0x1.1a4daa66897e7p-2, -0x1.1f1f1f3d3538ep-2, -0x1.237be13e6d718p-2, -0x1.2768f886389dp-2, -0x1.2aeb52f086acep-2, -0x1.2e07be46e033ap-2, -0x1.30c2e3be4c2f1p-2, -0x1.332145216a40dp-2, -0x1.35273bc776c5bp-2, -0x1.36d8f9372379fp-2, -0x1.383a891973c03p-2, -0x1.394fd3f875014p-2, -0x1.3a1ca23630f96p-2, -0x1.3aa49eb2a1dfp-2, -0x1.3aeb58b77cdd9p-2, -0x1.3af444ef619dcp-2, -0x1.3ac2bd61e6b8bp-2, -0x1.3a5a009d00d71p-2, -0x1.39bd3055f653ep-2, -0x1.38ef4fdaf96b3p-2, -0x1.37f342ab2ce11p-2, -0x1.36cbcb794eda1p-2, -0x1.357b8bc47acbep-2, -0x1.3405041892a52p-2, -0x1.326a94f10b2cbp-2, -0x1.30ae802736c11p-2, -0x1.2ed2eac8f4d3bp-2, -0x1.2cd9df2e01259p-2, -0x1.2ac54f20876d3p-2, -0x1.289715f0e41dp-2, -0x1.2650fa539bc28p-2, -0x1.23f4aff28c67fp-2, -0x1.2183d8a593de2p-2, -0x1.1f000551dae8p-2, -0x1.1c6ab67882203p-2, -0x1.19c55c847914fp-2, -0x1.171157eb82727p-2, -0x1.144ff937abc64p-2, -0x1.1182810d13ae9p-2, -0x1.0eaa203c5ce9ap-2, -0x1.0bc7f7ed831b3p-2, -0x1.08dd19e99b2c1p-2, -0x1.05ea89054d808p-2, -0x1.02f139a9ed807p-2, -0x1.ffe424f074172p-3, -0x1.f9dbd9fc44405p-3, -0x1.f3cb2cf023d4bp-3, -0x1.edb3a12c9aa6fp-3, -0x1.e796a47e8580ep-3, -0x1.e1759091698cap-3, -0x1.db51ac457b477p-3, -0x1.d52c2ce23c34p-3, -0x1.cf063721d45f3p-3, -0x1.c8e0e0146a9b1p-3, -0x1.c2bd2dddf682dp-3, -0x1.bc9c18538b3bcp-3, -0x1.b67e897eea56bp-3, -0x1.b0655e10239c8p-3, -0x1.aa5165c5030e1p-3, -0x1.a44363cd36ddp-3, -0x1.9e3c0f30bad0bp-3, -0x1.983c133c534ccp-3, -0x1.92440ff6340d1p-3, -0x1.8c549a9b5304bp-3, -0x1.866e3e2491a03p-3, -0x1.80917bd21fe16p-3, -0x1.7abecbbab7c49p-3, -0x1.74f69d5c2fb14p-3, -0x1.6f39582aad131p-3, -0x1.69875c1bf881dp-3, -0x1.63e1022c972ebp-3, -0x1.5e469cdcb272fp-3, -0x1.58b878a32e532p-3, -0x1.5336dc55d118p-3, -0x1.4dc20985cc10cp-3, -0x1.485a3cd08b1abp-3, -0x1.42ffae2514d28p-3, -0x1.3db15055b47c5p-3, -0x1.3871fa24c7b74p-3, -0x1.3340747f9375dp-3, -0x1.2e1ce516fdae9p-3, -0x1.29076dd63f075p-3, -0x1.24002d07030bep-3, -0x1.1f073d7131718p-3, -0x1.1a1cb6779c30cp-3, -0x1.1540ac32f4ef3p-3, -0x1.10732f8c00051p-3, -0x1.0bb44e55d757bp-3, -0x1.07041368e6cd1p-3, -0x1.026286beeedf4p-3, -0x1.fb9f5b208b34dp-4, -0x1.f29714e4c670bp-4, -0x1.e9ac3aef3014bp-4, -0x1.e0dec89f731dcp-4, -0x1.d82eb4d2fb61bp-4, -0x1.cf9bf228684a3p-4, -0x1.c7266f42fc0b3p-4, -0x1.bece170d47932p-4, -0x1.b692d0fa6c153p-4, -0x1.ae748145261bdp-4, -0x1.a673092c26fd7p-4, -0x1.9e8e472b272c7p-4, -0x1.96c6173044a88p-4, -0x1.8f1a52cd7f4d9p-4, -0x1.878ad16609d1fp-4, -0x1.801768578136ep-4, -0x1.78bfeb1f10d58p-4, -0x1.71842b7ab718fp-4, -0x1.6a63f986ece03p-4, -0x1.635f23d90a1f3p-4, -0x1.5c757796c3688p-4, -0x1.55a6c08b2f606p-4, -0x1.4ef2c939b9f57p-4, -0x1.48595aef7108cp-4, -0x1.41da3dd307efap-4, -0x1.3b7538f3eeb27p-4, -0x1.352a1258c4cdep-4, -0x1.2ef88f0d6917p-4, -0x1.28e07330da791p-4, -0x1.22e182030c35bp-4, -0x1.1cfb7df2c72a5p-4, -0x1.172e28abaa654p-4, -0x1.11794324480e5p-4, -0x1.0bdc8dac6523cp-4, -0x1.0657c7fb4b56ep-4, -0x1.00eab13e2548cp-4, -0x1.f72a104c9f0b4p-5, -0x1.ecad15ef2216bp-5, -0x1.e25def2c4abe1p-5, -0x1.d83c17290a623p-5, -0x1.ce470881ba66dp-5, -0x1.c47e3d6441ac5p-5, -0x1.bae12fa95772fp-5, -0x1.b16f58ecc835ep-5, -0x1.a82832a4a8cadp-5, -0x1.9f0b36376b1a4p-5, -0x1.9617dd10c117cp-5, -0x1.8d4da0b555b6fp-5, -0x1.84abfad54d70cp-5, -0x1.7c32655d97246p-5, -0x1.73e05a8817e26p-5, -0x1.6bb554eab30a3p-5, -0x1.63b0cf85415f6p-5, -0x1.5bd245ce86387p-5, -0x1.541933c030da1p-5, -0x1.4c8515e1febfap-5, -0x1.451569540df48p-5, -0x1.3dc9abd876b49p-5, -0x1.36a15bdc39b43p-5, -0x1.2f9bf87f982b2p-5, -0x1.28b9019de13f7p-5, -0x1.21f7f7d4c9ebep-5, -0x1.1b585c8b5504p-5, -0x1.14d9b1f859c19p-5, -0x1.0e7b7b28b63b8p-5, -0x1.083d3c053095cp-5, -0x1.021e79580bd7ap-5, -0x1.f83d71a4bb8eap-6, -0x1.ec7b022243233p-6, -0x1.e0f4b3441df6ap-6, -0x1.d5a996106b85bp-6, -0x1.ca98bd80c21fdp-6, -0x1.bfc13e8a83c78p-6, -0x1.b5223026caed6p-6, -0x1.aabaab59e30fbp-6, -0x1.a089cb3a5a9c9p-6, -0x1.968eacf7af7f8p-6, -0x1.8cc86fe087938p-6, -0x1.833635688c317p-6, -0x1.79d7212ddac99p-6, -0x1.70aa58fe10274p-6, -0x1.67af04daefc8fp-6, -0x1.5ee44efeae55p-6, -0x1.564963dfd5515p-6, -0x1.4ddd7234d1018p-6, -0x1.459faaf71b0ccp-6, -0x1.3d8f41661166cp-6, -0x1.35ab6b0975f64p-6, -0x1.2df35fb394ddfp-6, -0x1.266659831ec54p-6, -0x1.1f0394e4b1811p-6, -0x1.17ca50941407dp-6, -0x1.10b9cd9d271b6p-6, -0x1.09d14f5c8cc2bp-6, -0x1.03101b8013404p-6, -0x1.f8eaf40da3d7p-7, -0x1.ec016a8215ddep-7, -0x1.df62339fa26b4p-7, -0x1.d30bed48e2405p-7, -0x1.c6fd39ff3ad34p-7, -0x1.bb34c0e0cbba3p-7, -0x1.afb12da5fafb4p-7, -0x1.a471309e8df44p-7, -0x1.99737eae6126dp-7, -0x1.8eb6d149ca2adp-7, -0x1.8439e671944c5p-7, -0x1.79fb80ae9d75dp-7, -0x1.6ffa670d2cbbcp-7, -0x1.66356517ec058p-7, -0x1.5cab4ad284d35p-7, -0x1.535aecb40788bp-7, -0x1.4a4323a0e92a4p-7, -0x1.4162cce4ce28p-7, -0x1.38b8ca2c00ff5p-7, -0x1.3044017ca03d7p-7, -0x1.28035d2f957b2p-7, -0x1.1ff5cbe94130bp-7, -0x1.181a4091e89d7p-7, -0x1.106fb24def9c7p-7, -0x1.08f51c75cbd2dp-7, -0x1.01a97e8dd1ba8p-7, -0x1.f517b87b745b9p-8, -0x1.e7367a901001ap-8, -0x1.d9ad5b02622d6p-8, -0x1.cc7a798d425cdp-8, -0x1.bf9bfdeb2a001p-8, -0x1.b31017c385168p-8, -0x1.a6d4fe97dc84p-8, -0x1.9ae8f1b09919bp-8, -0x1.8f4a3809994c5p-8, -0x1.83f7203e886f1p-8, -0x1.78ee0077041b2p-8, -0x1.6e2d36528092dp-8, -0x1.63b326d4118e3p-8, -0x1.597e3e4dff861p-8, -0x1.4f8cf04d3aef2p-8, -0x1.45ddb784adaf1p-8, -0x1.3c6f15b87383bp-8, -0x1.333f93a8eb4aap-8, -0x1.2a4dc0fdc4e83p-8, -0x1.21983430ee876p-8, -0x1.191d8a7977704p-8, -0x1.10dc67b65d79p-8, -0x1.08d3765965728p-8, -0x1.01016751d37dp-8, -0x1.f2c9e3ee4ced3p-9, -0x1.e3f9a7e7c2f78p-9, -0x1.d58fa2606e042p-9, -0x1.c7896779aed42p-9, -0x1.b9e4977b5609fp-9, -0x1.ac9edea92d98dp-9, -0x1.9fb5f518b83ffp-9, -0x1.93279e86d20eap-9, -0x1.86f1aa2d9506cp-9, -0x1.7ae806e08d6c3p-9, -0x1.6f5c41b8eec69p-9, -0x1.6422930724bfap-9, -0x1.5938f65b60bfcp-9, -0x1.4e9d71f2b0fecp-9, -0x1.444e168d99db2p-9, -0x1.3a48ff46d5794p-9, -0x1.308c516a3bebp-9, -0x1.27163c4bf1b54p-9, -0x1.1de4f91fc11f2p-9, -0x1.14f6cad0bf7f8p-9, -0x1.0c49fdd9385a1p-9, -0x1.03dce81abad26p-9, -0x1.f75bd16d3e103p-10, -0x1.e776cfcd55f31p-10, -0x1.d807adac4ed9ap-10, -0x1.c90b5ef64064bp-10, -0x1.ba7ee8e0389f2p-10, -0x1.ac5f619c1aaap-10, -0x1.9ea9f00d1d49bp-10, -0x1.915bcb7d61cbbp-10, -0x1.84723b53ba372p-10, -0x1.77ea96ca552b4p-10, -0x1.6bc244a664d1fp-10, -0x1.5ff6baf02fa7cp-10, -0x1.54857eabde6a6p-10, -0x1.496c239369222p-10, -0x1.3ea84bd0dd1dcp-10, -0x1.3437a7b98e3ddp-10, -0x1.2a17f58a33911p-10, -0x1.204701239d0f6p-10, -0x1.16c2a3c82e5d3p-10, -0x1.0d88c3da5c849p-10, -0x1.0497549bd215ap-10, -0x1.f7d8abda57e8p-11, -0x1.e70ba81dfb19ep-11, -0x1.d6c3cec666cf7p-11, -0x1.c6fd685edb7d6p-11, -0x1.b7b4d4c07bb4cp-11, -0x1.a8e68a9a01326p-11, -0x1.9a8f16f967686p-11, -0x1.8cab1cd723b2bp-11, -0x1.7f3754a28ca33p-11, -0x1.72308bd0914d4p-11, -0x1.6593a46b81b5fp-11, -0x1.595d94a4a964p-11, -0x1.4d8b66677c8e8p-11, -0x1.421a36ee40f2dp-11, -0x1.3707365894b9ep-11, -0x1.2c4fa7434a825p-11, -0x1.21f0de61d9643p-11, -0x1.17e84219a7dc5p-11, -0x1.0e334a1ea63c1p-11, -0x1.04cf7f119036p-11, -0x1.f774f43f3a05cp-12, -0x1.e5e3c948474bbp-12, -0x1.d4e6ef96ca1afp-12, -0x1.c479f86e144ddp-12, -0x1.b4989347e3d36p-12, -0x1.a53e8d244525cp-12, -0x1.9667cfdb0b876p-12, -0x1.881061714c122p-12, -0x1.7a346370df23cp-12, -0x1.6cd0124486bd8p-12, -0x1.5fdfc4953feddp-12, -0x1.535feaab953fp-12, -0x1.474d0dd324ffap-12, -0x1.3ba3cfc245626p-12, -0x1.3060ea032dbacp-12, -0x1.25812d60cab94p-12, -0x1.1b01815625fc1p-12, -0x1.10dee380b4b75p-12, -0x1.071667154bb46p-12, -0x1.fb4a68b032faap-13, -0x1.e911102e4495dp-13, -0x1.d77b664f12be8p-13, -0x1.c68433cb541aap-13, -0x1.b626676ea0ac1p-13, -0x1.a65d152315ea3p-13, -0x1.9723750046d59p-13, -0x1.8874e2606bb84p-13, -0x1.7a4cdafa183aap-13, -0x1.6ca6fdff3c262p-13, -0x1.5f7f0b41327e6p-13, -0x1.52d0e25956ed2p-13, -0x1.469881d61064ep-13, -0x1.3ad2066dff84bp-13, -0x1.2f79aa366c5a1p-13, -0x1.248bc3dea93f2p-13, -0x1.1a04c5effb267p-13, -0x1.0fe13e127f1f1p-13, -0x1.061dd4555750fp-13, -0x1.f96e94f78f5eep-14, -0x1.e754f69d60edcp-14, -0x1.d5e8b3e20e5a7p-14, -0x1.c523e2737cb1ep-14, -0x1.b500c621eec8bp-14, -0x1.a579cfa0f0be1p-14, -0x1.96899b501e14cp-14, -0x1.882af00e2512cp-14, -0x1.7a58be0f2146p-14, -0x1.6d0e1dbb94417p-14, -0x1.60464e96dba09p-14, -0x1.53fcb629dbc34p-14, -0x1.482cdef824b34p-14, -0x1.3cd27777ca9ccp-14, -0x1.31e9511138ed8p-14, -0x1.276d5f24c02ffp-14, -0x1.1d5ab615e9cc9p-14, -0x1.13ad8a5dddb3ep-14, -0x1.0a622f9f9c67bp-14, -0x1.017517c7ca0bap-14, -0x1.f1c5a45904ee8p-15, -0x1.e150156bf95eap-15, -0x1.d183121343a07p-15, -0x1.c2585f793750cp-15, -0x1.b3c9f714f9aebp-15, -0x1.a5d2051f0beedp-15, -0x1.986ae71686edap-15, -0x1.8b8f2a4686152p-15, -0x1.7f398a5d7e2a7p-15, -0x1.7364f007c3ccdp-15, -0x1.680c6f961ac67p-15, -0x1.5d2b47ac160c4p-15, -0x1.52bcdff7293c7p-15, -0x1.48bcc7ef1f65bp-15, -0x1.3f26b59cb9b4cp-15, -0x1.35f6846cb106cp-15, -0x1.2d283406b093ap-15, -0x1.24b7e72ea7453p-15, -0x1.1ca1e2ad8ddc8p-15, -0x1.14e28c3f99a43p-15, -0x1.0d76698f9d3b4p-15, -0x1.065a1f33ff0f2p-15, -0x1.ff14df69b12e6p-16, -0x1.f20875376618dp-16, -0x1.e588f70c0ec06p-16, -0x1.d990928528d5cp-16, -0x1.ce19a9e517ef2p-16, -0x1.c31ed262c0d1ap-16, -0x1.b89ad28d4fa79p-16, -0x1.ae88a0b07f327p-16, -0x1.a4e36152e38d4p-16, -0x1.9ba665b168adcp-16, -0x1.92cd2a4d55917p-16, -0x1.8a53558d6b67bp-16, -0x1.8234b65b2dde4p-16, -0x1.7a6d42d454eabp-16, -0x1.72f91703b1377p-16, -0x1.6bd473a500024p-16, -0x1.64fbbcf109cabp-16, -0x1.5e6b79764e0d5p-16, -0x1.582050f2ee362p-16, -0x1.52170b44190d9p-16, -0x1.4c4c8f5562b0bp-16, -0x1.46bde217b3362p-16, -0x1.416825845d7d7p-16, -0x1.3c4897aa0533bp-16, -0x1.375c91b53fbadp-16, -0x1.32a18714fddf4p-16, -0x1.2e15049099e52p-16, -0x1.29b4af732c6abp-16, -0x1.257e44ba5ece4p-16, -0x1.216f984402b0ap-16, -0x1.1d86941041322p-16, -0x1.19c13780049e4p-16, -0x1.161d96955bef1p-16, -0x1.1299d949fe0adp-16, -0x1.0f343ad9966cdp-16, -0x1.0beb091bb5547p-16, -0x1.08bca3e34b7bfp-16, -0x1.05a77c5ba8d2ap-16, -0x1.02aa146fcd91p-16, -0x1.ff85fc74589dbp-17, -0x1.f9e1b6e3b019cp-17, -0x1.f464b9bdcdd6cp-17, -0x1.ef0c83adc091p-17, -0x1.e9d6af68dc482p-17, -0x1.e4c0f2bf94ac5p-17, -0x1.dfc91da0ed47bp-17, -0x1.daed192ec4772p-17, -0x1.d62ae6d94bda5p-17, -0x1.d1809f826b07p-17, -0x1.ccec72a127ffbp-17, -0x1.c86ca57ab373bp-17, -0x1.c3ff9253246afp-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.12aea9e20efd3p-3, -0x1.5bb1e3228f14dp-4, -0x1.2ac93239d3406p-5, 0x1.50f7bcbe83054p-7, 0x1.c02263c1f110dp-5, 0x1.8a4e7694e2f7dp-4, 0x1.13ac453620712p-3, 0x1.5b1648a39519cp-3, 0x1.9b1773ed017c3p-3, 0x1.d394c2a4e4853p-3, 0x1.024e31773ec3dp-2, 0x1.172d14cee322fp-2, 0x1.288972ea7f484p-2, 0x1.369078b01aa53p-2, 0x1.4176d56fedcf3p-2, 0x1.4975bc1697f2ap-2, 0x1.4ec954c1eb41p-2, 0x1.51afa876f74e9p-2, 0x1.52675b5629d6ep-2, 0x1.512e85950f65cp-2, 0x1.4e41d38cc06a1p-2, 0x1.49ddb2c9d2f34p-2, 0x1.4436433b8aff4p-2, 0x1.3d8040b1beff2p-2, 0x1.35ecc4ae55422p-2, 0x1.2da9b2dbdcf44p-2, 0x1.24e12e3c89ecp-2, 0x1.1bb94cb7ff8e5p-2, 0x1.12542d92b8587p-2, 0x1.08d0538928fefp-2, 0x1.fe9216aac4e6bp-3, 0x1.ebad6adb530bep-3, 0x1.d91dcf0b3b224p-3, 0x1.c708ea3973c08p-3, 0x1.b58ef123e3aabp-3, 0x1.a4caddfbe3ce4p-3, 0x1.94d2d613da0b9p-3, 0x1.85b8af8e3a2dbp-3, 0x1.778a7e08f549cp-3, 0x1.6a530d72eac95p-3, 0x1.5e1a3d34e6bb9p-3, 0x1.52e53e42ce257p-3, 0x1.48b6c29df473ap-3, 0x1.3f8f2e5547e7fp-3, 0x1.376cd32cb428dp-3, 0x1.304c36bc93316p-3, 0x1.2a285c1c3478cp-3, 0x1.24fb08768022ap-3, 0x1.20bcfcc240e52p-3, 0x1.1d66237d0be7ap-3, 0x1.1aedb4bafab84p-3, 0x1.194a540b6d988p-3, 0x1.18722b6e72fc5p-3, 0x1.185b05c50e921p-3, 0x1.18fa69e29d2c5p-3, 0x1.1a45b5d094397p-3, 0x1.1c32389fc7fefp-3, 0x1.1eb548eaf5f4p-3, 0x1.21c456e7c118dp-3, 0x1.2554f9fb6fd4ap-3, 0x1.295cfaa9dbc48p-3, 0x1.2dd25a1a55d0bp-3, 0x1.32ab5868d154bp-3, 0x1.37dbc57061b3cp-3, 0x1.3d6093853d826p-3, 0x1.432d50487ea9bp-3, 0x1.4939604f57dfp-3, 0x1.4f7c90c18adafp-3, 0x1.55ef18c7b5bcfp-3, 0x1.5c89976ed338fp-3, 0x1.63450f47a95e7p-3, 0x1.6a1ae130d6e09p-3, 0x1.7104c78029b0cp-3, 0x1.77fcd245e7b4p-3, 0x1.7efd64da9049ep-3, 0x1.86013478735fbp-3, 0x1.8d03476677868p-3, 0x1.93fef43177bc2p-3, 0x1.9aefe08e5c024p-3, 0x1.a1d1ffac8a5f6p-3, 0x1.a8a18fed80484p-3, 0x1.af5b181a381edp-3, 0x1.b5fb644523897p-3, 0x1.bc7f828ee76fcp-3, 0x1.c2e4bffdea772p-3, 0x1.c928a5886cca7p-3, 0x1.cf48f55c1573dp-3, 0x1.d543a85a5e438p-3, 0x1.db16ebb3df001p-3, 0x1.e0c11e87334cep-3, 0x1.e640cf6b3a1cbp-3, 0x1.eb94b9d593ed8p-3, 0x1.f0bbc35a6c37bp-3, 0x1.f5b4f8ceac8ccp-3, 0x1.fa7f8b5e92a1p-3, 0x1.ff1acdaf45161p-3, 0x1.01c3189121877p-2, 0x1.03e0a1a751aa3p-2, 0x1.05e5d5df8f813p-2, 0x1.07d294fee8ba5p-2, 0x1.09a6c9f81e5fep-2, 0x1.0b626a3fbbcb7p-2, 0x1.0d05754143caep-2, 0x1.0e8ff3ee0bf8fp-2, 0x1.1001f85cf453bp-2, 0x1.115b9d71fa7dap-2, 0x1.129d068579dfap-2, 0x1.13c65f04a1ae9p-2, 0x1.14d7da06c9e3cp-2, 0x1.15d1b1d578291p-2, 0x1.16b42766d7268p-2, 0x1.177f81cc08652p-2, 0x1.18340d95e55c4p-2, 0x1.18d21c33a8827p-2, 0x1.195a034f667f1p-2, 0x1.19cc1c2c77e64p-2, 0x1.1a28c30bc93eep-2, 0x1.1a705699aab61p-2, 0x1.1aa3376834138p-2, 0x1.1ac1c77868661p-2, 0x1.1acc69d396b96p-2, 0x1.1ac3823561619p-2, 0x1.1aa774c60dbecp-2, 0x1.1a78a5e3ebafdp-2, 0x1.1a3779fa16bdfp-2, 0x1.19e4556270f7p-2, 0x1.197f9c5098a41p-2, 0x1.1909b2c398b6ap-2, 0x1.1882fc7c64b4dp-2, 0x1.17ebdcf7579f9p-2, 0x1.1744b7675f37bp-2, 0x1.168deeb1c0c09p-2, 0x1.15c7e569b319dp-2, 0x1.14f2fdcb4416bp-2, 0x1.140f99b53f2f1p-2, 0x1.131e1aa1e6ed6p-2, 0x1.121ee19e7a0e3p-2, 0x1.11124f418cad9p-2, 0x1.0ff8c3a0552cbp-2, 0x1.0ed29e430dcbcp-2, 0x1.0da03e1896f34p-2, 0x1.0c6201698e122p-2, 0x1.0b1845cb042acp-2, 0x1.09c368110a276p-2, 0x1.0863c44145fa6p-2, 0x1.06f9b585ad206p-2, 0x1.0585961f9a9d6p-2, 0x1.040668ac5b25ap-2, 0x1.027f6732e5edap-2, 0x1.00ef6379cd154p-2, 0x1.fead64b315cc3p-3, 0x1.fb6b4f019f5e4p-3, 0x1.f8192ae21f0a7p-3, 0x1.f4b79af69f922p-3, 0x1.f1473f7a574ep-3, 0x1.edc8b63bff76bp-3, 0x1.ea3c9a988ed2bp-3, 0x1.e6a385763ac27p-3, 0x1.e2fe0d3fe2bbap-3, 0x1.df4cc5e0f98dp-3, 0x1.db9040c200a5fp-3, 0x1.d7c90cc5c15d2p-3, 0x1.d3f7b64770311p-3, 0x1.d01cc719c733dp-3, 0x1.cc38c6874aa78p-3, 0x1.c84c3953c5dcap-3, 0x1.c457a1bf09207p-3, 0x1.c05b7f88efc2p-3, 0x1.bc584ff6a645ep-3, 0x1.b84e8dd915823p-3, 0x1.b43eb1945ae4p-3, 0x1.b029312827298p-3, 0x1.ac0e8038c8a2fp-3, 0x1.a7ef1018bf8bfp-3, 0x1.a3cb4fd2929bep-3, 0x1.9fa3ac32b44cp-3, 0x1.9b788fd1424aep-3, 0x1.974a631b67b34p-3, 0x1.93198c5c38adfp-3, 0x1.8ee66fc4e44ffp-3, 0x1.8ab16f741985dp-3, 0x1.867aeb7c96406p-3, 0x1.824341ead10d4p-3, 0x1.7e0acec9c6c86p-3, 0x1.79d1ec26f28f1p-3, 0x1.7598f21586d2bp-3, 0x1.716036b0fca7dp-3, 0x1.6d280e1f246b6p-3, 0x1.68f0ca91c5d0cp-3, 0x1.64babc4805e22p-3, 0x1.6086318faab2bp-3, 0x1.5c5376c660d32p-3, 0x1.5822d65b2151fp-3, 0x1.53f498cfcd63cp-3, 0x1.4fc904bb23c3dp-3, 0x1.4ba05ecb0d296p-3, 0x1.477ae9c75b169p-3, 0x1.4358e694ff28ep-3, 0x1.3f3a9439b7667p-3, 0x1.3b202fe038546p-3, 0x1.3709f4dccb285p-3, 0x1.32f81cb260f7cp-3, 0x1.2eeadf180a2cfp-3, 0x1.2ae271fecf9f7p-3, 0x1.26df0997e0feep-3, 0x1.22e0d85b07d9bp-3, 0x1.1ee80f0d5c9cap-3, 0x1.1af4dcc8286ep-3, 0x1.17076effe7952p-3, 0x1.131ff18b70d2cp-3, 0x1.0f3e8eab1bd8ep-3, 0x1.0b636f0ff5d4fp-3, 0x1.078eb9e2eb6c5p-3, 0x1.03c094cbdf5e6p-3, 0x1.fff247f16ef3ep-4, 0x1.f87114487425dp-4, 0x1.f0fdd139b3c05p-4, 0x1.e998be9698635p-4, 0x1.e2421971fb735p-4, 0x1.dafa1c2ca35b9p-4, 0x1.d3c0fe816b9d1p-4, 0x1.cc96f5910a593p-4, 0x1.c57c33ed76dc9p-4, 0x1.be70e9a4ef68ep-4, 0x1.b775444cae116p-4, 0x1.b0896f0b421d3p-4, 0x1.a9ad92a29dc3cp-4, 0x1.a2e1d579e2d23p-4, 0x1.9c265ba6ec77p-4, 0x1.957b46f7a5dc5p-4, 0x1.8ee0b6fb376a2p-4, 0x1.8856c90b053e1p-4, 0x1.81dd9853a74ccp-4, 0x1.7b753dddba48ap-4, 0x1.751dd096b4eeep-4, 0x1.6ed76559acf7ap-4, 0x1.68a20ef82f605p-4, 0x1.627dde43136eep-4, 0x1.5c6ae21361fp-4, 0x1.566927534f759p-4, 0x1.5078b90746c45p-4, 0x1.4a99a0571047fp-4, 0x1.44cbe4970e774p-4, 0x1.3f0f8b5190bc6p-4, 0x1.39649850487e6p-4, 0x1.33cb0da5cd4b6p-4, 0x1.2e42ebb73bc0cp-4, 0x1.28cc3145e9e97p-4, 0x1.2366db792b717p-4, 0x1.1e12e5e82b4fep-4, 0x1.18d04aa3cb3f2p-4, 0x1.139f02409580ap-4, 0x1.0e7f03e0acb19p-4, 0x1.0970453dc6878p-4, 0x1.0472bab323e97p-4, 0x1.ff0cae8f03ffcp-5, 0x1.f556196e18ff4p-5, 0x1.ebc196fa83c41p-5, 0x1.e24f05bd90f7ap-5, 0x1.d8fe41e677ad9p-5, 0x1.cfcf255dc54acp-5, 0x1.c6c187d89e7fbp-5, 0x1.bdd53eebdbabfp-5, 0x1.b50a1e1eee5dap-5, 0x1.ac5ff6fe8ee01p-5, 0x1.a3d6992f38e1ep-5, 0x1.9b6dd27f63257p-5, 0x1.93256ef97f3fap-5, 0x1.8afd38f5b027cp-5, 0x1.82f4f92b4a983p-5, 0x1.7b0c76c2031a4p-5, 0x1.73437762dcbd4p-5, 0x1.6b99bf48cef89p-5, 0x1.640f11512312dp-5, 0x1.5ca32f0b82b8dp-5, 0x1.5555d8c9cb78dp-5, 0x1.4e26cdaf87d0cp-5, 0x1.4715cbc125093p-5, 0x1.40228ff2e2577p-5, 0x1.394cd6376a266p-5, 0x1.3294598e37a67p-5, 0x1.2bf8d41197095p-5, 0x1.2579ff047588ep-5, 0x1.1f1792dfd64edp-5, 0x1.18d147600e011p-5, 0x1.12a6d391af7f6p-5, 0x1.0c97edde31336p-5, 0x1.06a44c1854ceap-5, 0x1.00cba38842547p-5, 0x1.f61b51eebe78ap-6, 0x1.ead42177d43bfp-6, 0x1.dfc11d889a5cbp-6, 0x1.d4e1ad445c7a3p-6, 0x1.ca35372a818acp-6, 0x1.bfbb212baf371p-6, 0x1.b572d0be6b06ap-6, 0x1.ab5baaf33a11ep-6, 0x1.a175148855bebp-6, 0x1.97be71fcba6a3p-6, 0x1.8e3727a2fd13ap-6, 0x1.84de99b36ac5dp-6, 0x1.7bb42c5dd4f6ep-6, 0x1.72b743dacda7bp-6, 0x1.69e7447c8b8c4p-6, 0x1.614392bf3851dp-6, 0x1.58cb9358e2b67p-6, 0x1.507eab48fa67bp-6, 0x1.485c3fe74a679p-6, 0x1.4063b6f295d99p-6, 0x1.3894769eb6daap-6, 0x1.30ede5a2574fdp-6, 0x1.296f6b443431p-6, 0x1.22186f67fa168p-6, 0x1.1ae85a9aadab4p-6, 0x1.13c059a10d48ap-6, 0x1.0cdc02f929389p-6, 0x1.061cd30123761p-6, 0x1.ff046acec202ap-7, 0x1.f2172d7b0692cp-7, 0x1.e570c90458cp-7, 0x1.d9101a54e8b98p-7, 0x1.ccf40055b4eb6p-7, 0x1.c11b5bffcff74p-7, 0x1.b585106cbfdddp-7, 0x1.aa3002e637169p-7, 0x1.9f1b1af502fddp-7, 0x1.9445426f36a2cp-7, 0x1.89ad6585c0673p-7, 0x1.7f5272d118cfdp-7, 0x1.75335b5d7decdp-7, 0x1.6b4f12b64c2c7p-7, 0x1.61a48ef0d9ebap-7, 0x1.5832c8b69d79ap-7, 0x1.4ef8bb4e9ef6cp-7, 0x1.45f564a685025p-7, 0x1.3d27c55ab107bp-7, 0x1.348ee0be2c1d1p-7, 0x1.2c29bce1b0086p-7, 0x1.23f7629a430d5p-7, 0x1.1bf6dd874fb84p-7, 0x1.14273c17f41cdp-7, 0x1.0c878f90487dfp-7, 0x1.0516ec0da8c65p-7, 0x1.fba8d11570ae4p-8, 0x1.ed7e3dc5c2cdcp-8, 0x1.dfac57aabbc1p-8, 0x1.d2315e0f7e1fbp-8, 0x1.c50b96102c0d9p-8, 0x1.b8394a9d1db26p-8, 0x1.abb8cc7d8554ap-8, 0x1.9f88725103d3fp-8, 0x1.93a6989095f2p-8, 0x1.8811a18e9b139p-8, 0x1.7cc7f57637107p-8, 0x1.71c80249dc1e9p-8, 0x1.67103be144e87p-8, 0x1.5c9f1be668051p-8, 0x1.527321d244088p-8, 0x1.488ad2e890b1cp-8, 0x1.3ee4ba3302e37p-8, 0x1.357f687bf2b2cp-8, 0x1.2c5974484b125p-8, 0x1.237179d12b3c8p-8, 0x1.1ac61afcbc0bcp-8, 0x1.1255ff568a9a5p-8, 0x1.0a1fd40792193p-8, 0x1.02224bcd7b8dap-8, 0x1.f4b83de36b2d4p-9, 0x1.e598167fa2083p-9, 0x1.d6e1a7f787a16p-9, 0x1.c89283ae8df99p-9, 0x1.baa845cefc517p-9, 0x1.ad2095334956dp-9, 0x1.9ff9234f2e647p-9, 0x1.932fac1884254p-9, 0x1.86c1f5eed675dp-9, 0x1.7aadd182a7c3fp-9, 0x1.6ef119bc38962p-9, 0x1.6389b3a1c0a5p-9, 0x1.58758e3d12c68p-9, 0x1.4db2a280efc8fp-9, 0x1.433ef32df638dp-9, 0x1.39188cb6e314p-9, 0x1.2f3d852509a6fp-9, 0x1.25abfbfbfb207p-9, 0x1.1c621a1d167f9p-9, 0x1.135e11ab2cc6bp-9, 0x1.0a9e1decdbda4p-9, 0x1.0220833060dcbp-9, 0x1.f3c71d5baef0cp-10, 0x1.e3cb2cd40aaaep-10, 0x1.d449f231dcc96p-10, 0x1.c5403c007181ap-10, 0x1.b6aae9b35068p-10, 0x1.a886eb6b325b8p-10, 0x1.9ad141baa2fffp-10, 0x1.8d86fd6ae8062p-10, 0x1.80a53f414166fp-10, 0x1.742937c3bea79p-10, 0x1.681026fe1d209p-10, 0x1.5c575c4811ee8p-10, 0x1.50fc360a61a49p-10, 0x1.45fc218526dcbp-10, 0x1.3b549a956fe55p-10, 0x1.31032b7c61ff2p-10, 0x1.27056ca5cebd1p-10, 0x1.1d59046eda489p-10, 0x1.13fba6ee6f43cp-10, 0x1.0aeb15bc8a8f4p-10, 0x1.02251fb9d03efp-10, 0x1.f34f41b32a116p-11, 0x1.e2e103d368271p-11, 0x1.d2fb70b87c6dfp-11, 0x1.c39a8c226813ep-11, 0x1.b4ba72418e8d4p-11, 0x1.a657574ab17aep-11, 0x1.986d870e081fdp-11, 0x1.8af9648d1ef7p-11, 0x1.7df76991fcab7p-11, 0x1.716426476c062p-11, 0x1.653c40d1b7934p-11, 0x1.597c74e8363ebp-11, 0x1.4e21936f8fb03p-11, 0x1.43288214db138p-11, 0x1.388e3ae97d0fp-11, 0x1.2e4fcbff811f4p-11, 0x1.246a57071b103p-11, 0x1.1adb10ecdb07p-11, 0x1.119f41786c422p-11, 0x1.08b442ec60f09p-11, 0x1.001781a6d3812p-11, 0x1.ef8cf785f23a7p-12, 0x1.df7d817697d1bp-12, 0x1.cffbe2177f3c7p-12, 0x1.c1037bafb52a9p-12, 0x1.b28fd11cb021ap-12, 0x1.a49c85203c595p-12, 0x1.972559ab3ab24p-12, 0x1.8a262f32a05ebp-12, 0x1.7d9b03feb81fp-12, 0x1.717ff380a0ebp-12, 0x1.65d135a92c56ep-12, 0x1.5a8b1e41ee90dp-12, 0x1.4faa1c4952bd3p-12, 0x1.452ab95019dccp-12, 0x1.3b0998d9e712bp-12, 0x1.314377bfdd8a1p-12, 0x1.27d52b9790e4bp-12, 0x1.1ebba21939dc5p-12, 0x1.15f3e08d08994p-12, 0x1.0d7b03353c2c4p-12, 0x1.054e3cc10ed71p-12, 0x1.fad5ab771afeep-13, 0x1.eb9c580a98353p-13, 0x1.dceb649393a1fp-13, 0x1.cebddef35d8c3p-13, 0x1.c10efc9194fcfp-13, 0x1.b3da195b6950cp-13, 0x1.a71ab6c602d3cp-13, 0x1.9acc7adad1fe9p-13, 0x1.8eeb2f43b8de7p-13, 0x1.8372c060be57bp-13, 0x1.785f3c5f3399cp-13, 0x1.6dacd25932fc5p-13, 0x1.6357d171aedb5p-13, 0x1.595ca8043e63bp-13, 0x1.4fb7e2caa0ab1p-13, 0x1.46662c0ce55c6p-13, 0x1.3d644ad866158p-13, 0x1.34af2236557c8p-13, 0x1.2c43b0694a426p-13, 0x1.241f0e3147136p-13, 0x1.1c3e6e0b2047cp-13, 0x1.149f1b7f2b356p-13, 0x1.0d3e7a6e677e5p-13, 0x1.061a06617925p-13, 0x1.fe5ea3bf03122p-14, 0x1.f0f80b8eaef54p-14, 0x1.e3fbc1549007ap-14, 0x1.d7656c5e35fa7p-14, 0x1.cb30dce4b5be9p-14, 0x1.bf5a0ae39f24p-14, 0x1.b3dd14e99efa2p-14, 0x1.a8b63ef4cf93fp-14, 0x1.9de1f157fdfdbp-14, 0x1.935cb7a3c9aa5p-14, 0x1.89233f8f88ae6p-14, 0x1.7f3257fbad1e8p-14, 0x1.7586efe325494p-14, 0x1.6c1e156754d82p-14, 0x1.62f4f4d0bbc82p-14, 0x1.5a08d79b3c1aap-14, 0x1.51572394baf02p-14, 0x1.48dd59ecba1fap-14, 0x1.40991658f17bp-14, 0x1.38880e3796dc8p-14, 0x1.30a80fb9d2c1dp-14, 0x1.28f70113a39d5p-14, 0x1.2172dfaf122bep-14, 0x1.1a19bf68df406p-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.ad120510e89d1p-4, 0x1.0a789282ce556p-4, 0x1.aaab4e87e464ep-6, -0x1.7c5775581085cp-7, -0x1.84021e11b1f4fp-5, -0x1.4b1847e2be35ep-4, -0x1.c99fff968712bp-4, -0x1.1e6b4556a0f47p-3, -0x1.522ca913e29c3p-3, -0x1.800636ce863e9p-3, -0x1.a80844fd0d164p-3, -0x1.ca5e292015e3cp-3, -0x1.e74771eac922ep-3, -0x1.ff119c719dc4dp-3, -0x1.090a53b25c5d1p-2, -0x1.10580f2adeeaap-2, -0x1.15a3c2d6708e2p-2, -0x1.191fc688dbef4p-2, -0x1.1afe4108bc33fp-2, -0x1.1b708716d16fbp-2, -0x1.1aa65fc9f99a3p-2, -0x1.18ce519b8a431p-2, -0x1.161097cbda621p-2, -0x1.12972fccdacf7p-2, -0x1.0e86e2fc60145p-2, -0x1.0a010bbb9d22ep-2, -0x1.0523fbac27b22p-2, -0x1.000b4ba0d361fp-2, -0x1.f59fe415485bfp-3, -0x1.eb105c45d06e3p-3, -0x1.e08ee10d88d63p-3, -0x1.d63ccbbbc5817p-3, -0x1.cc365acfd2f18p-3, -0x1.c293530a88c49p-3, -0x1.b9679b379933ep-3, -0x1.b0c3ac86ae635p-3, -0x1.a8b4d4625053p-3, -0x1.a1455ce00ea0cp-3, -0x1.9a7cb56a24642p-3, -0x1.945fabc1af953p-3, -0x1.8ef0b7d336401p-3, -0x1.8a305221883f9p-3, -0x1.861d47d97cdbfp-3, -0x1.82b5020298fb8p-3, -0x1.7ff3bc9750e37p-3, -0x1.7dd4b0d84a29ap-3, -0x1.7c523803de679p-3, -0x1.7b65ea890e164p-3, -0x1.7b08beeee14a1p-3, -0x1.7b332aaabb458p-3, -0x1.7bdd44795c65cp-3, -0x1.7cfee4e9bd17p-3, -0x1.7e8fc19429374p-3, -0x1.808782131e15p-3, -0x1.82ddd065029dbp-3, -0x1.858a66d228df3p-3, -0x1.88851c62c0ab1p-3, -0x1.8bc5effd00ea9p-3, -0x1.8f451213c7c7dp-3, -0x1.92faecf227225p-3, -0x1.96e02ba6e35dap-3, -0x1.9aedbf6663bc8p-3, -0x1.9f1ce3482c117p-3, -0x1.a36636738fe85p-3, -0x1.a7c50aaa963ap-3, -0x1.ac3305bbfe457p-3, -0x1.b0aa9f852bf56p-3, -0x1.b5269dba07cd3p-3, -0x1.b9a2147bdf6eap-3, -0x1.be18667cf2eb2p-3, -0x1.c285449a7752bp-3, -0x1.c6e4ad00849afp-3, -0x1.cb32ea0165ff9p-3, -0x1.cf6c90bda5992p-3, -0x1.d38e7f9864796p-3, -0x1.d795dc562ff0cp-3, -0x1.db8011bd9c9f5p-3, -0x1.df4acca137888p-3, -0x1.e2f3f8572178cp-3, -0x1.e679babe4e618p-3, -0x1.e9da7005698f9p-3, -0x1.ed14a67173824p-3, -0x1.f0271a62d70f3p-3, -0x1.f310b2ce1738p-3, -0x1.f5d07e49d1b34p-3, -0x1.f865b0b9e744ep-3, -0x1.facfa1850498p-3, -0x1.fd0dca2da3c9ap-3, -0x1.ff1fc51d375d2p-3, -0x1.0082a638844cdp-2, -0x1.015f1c50de464p-2, -0x1.02253f76cc2p-2, -0x1.02d517bf4e121p-2, -0x1.036eb9aa5defp-2, -0x1.03f24503bde0fp-2, -0x1.045fe3bbcd92ep-2, -0x1.04b7c8c4fa786p-2, -0x1.04fa2f00dc6b7p-2, -0x1.05275845ac85ap-2, -0x1.053f8c8234c9bp-2, -0x1.05431903a211cp-2, -0x1.05324fdde4a91p-2, -0x1.050d87748068fp-2, -0x1.04d51a1f10aefp-2, -0x1.048965e2def84p-2, -0x1.042acc39e8c2ap-2, -0x1.03b9b1dfdd4efp-2, -0x1.03367e9e98c49p-2, -0x1.02a19d154b0ebp-2, -0x1.01fb7a77348f7p-2, -0x1.01448640a8a72p-2, -0x1.007d31e271c3bp-2, -0x1.ff4be0c9dceafp-3, -0x1.fd7e6c0a45b0bp-3, -0x1.fb92ef9d05ad2p-3, -0x1.f98a566938a1ep-3, -0x1.f7658b5f99384p-3, -0x1.f52578bfe72f6p-3, -0x1.f2cb076f6e637p-3, -0x1.f0571e64950b5p-3, -0x1.edcaa229e8ba6p-3, -0x1.eb267479a3154p-3, -0x1.e86b73f11c1fap-3, -0x1.e59a7bda6d0ecp-3, -0x1.e2b464097dc7dp-3, -0x1.dfba00c94da49p-3, -0x1.dcac22d5ef412p-3, -0x1.d98b975fe924p-3, -0x1.d6592815e8001p-3, -0x1.d3159b32171b4p-3, -0x1.cfc1b388ee8b7p-3, -0x1.cc5e3097c5a2cp-3, -0x1.c8ebce91ddee7p-3, -0x1.c56b466b12cd1p-3, -0x1.c1dd4ddfbfa6ep-3, -0x1.be429779ca512p-3, -0x1.ba9bd292fcb5p-3, -0x1.b6e9ab550cba7p-3, -0x1.b32ccab7c5b08p-3, -0x1.af65d67de619bp-3, -0x1.ab957131080e3p-3, -0x1.a7bc3a1d29bep-3, -0x1.a3dacd4c1b8fcp-3, -0x1.9ff1c3812bd1bp-3, -0x1.9c01b2355f27dp-3, -0x1.980b2b945c6a8p-3, -0x1.940ebe7a419e3p-3, -0x1.900b80afc7408p-3, -0x1.8c05199ad2802p-3, -0x1.87fa6ac8fa943p-3, -0x1.83ebf481ae6b9p-3, -0x1.7fda33b50d92dp-3, -0x1.7bc5a2058fe7ap-3, -0x1.77aeb5d238477p-3, -0x1.7395e2414a4d1p-3, -0x1.6f7b974b41264p-3, -0x1.6b6041c5f6c9ep-3, -0x1.67444b6fc88a5p-3, -0x1.63281afab742dp-3, -0x1.5f0c141768ba6p-3, -0x1.5af09780168eep-3, -0x1.56d603037453bp-3, -0x1.52bcb18fa2015p-3, -0x1.4ea4fb3d37e6dp-3, -0x1.4a8f355a8e6bep-3, -0x1.467bb27752595p-3, -0x1.426ac2706e74p-3, -0x1.3e5cb27c5a3f8p-3, -0x1.3a51cd37cc266p-3, -0x1.364a5ab2c8deep-3, -0x1.3246a07e049e2p-3, -0x1.2e46e1b884812p-3, -0x1.2a4b5f1d6e94p-3, -0x1.26545711e62a3p-3, -0x1.226205b2f1026p-3, -0x1.1e74a4e32dcbap-3, -0x1.1a8c6c5863f71p-3, -0x1.16a991a8bd552p-3, -0x1.12cc4857a5fb8p-3, -0x1.0ef4c1e239d0cp-3, -0x1.0b232dcb31ac3p-3, -0x1.0757b9a658d5p-3, -0x1.0392912368932p-3, -0x1.ffa7bc30da012p-4, -0x1.f837911736b7bp-4, -0x1.f0d4ed7964f7fp-4, -0x1.e9801a5bdfe9ap-4, -0x1.e2395d5932141p-4, -0x1.db00f8b286d87p-4, -0x1.d3d72b5f8a3ccp-4, -0x1.ccbc311e0962ep-4, -0x1.c5b042813ccb4p-4, -0x1.beb39500e69cdp-4, -0x1.b7c65b086117cp-4, -0x1.b0e8c405b24fp-4, -0x1.aa1afc78a8ae5p-4, -0x1.a35d2e0221b7ep-4, -0x1.9caf7f73706d6p-4, -0x1.961214ddece3p-4, -0x1.8f850fa2b5149p-4, -0x1.89088e828faeap-4, -0x1.829cadadf6f4p-4, -0x1.7c4186d542c62p-4, -0x1.75f73138e1a23p-4, -0x1.6fbdc1b9a4437p-4, -0x1.69954ae906a27p-4, -0x1.637ddd1971366p-4, -0x1.5d77866e6a8e4p-4, -0x1.578252eca2096p-4, -0x1.519e4c89e21bap-4, -0x1.4bcb7b3cc558fp-4, -0x1.4609e50c3a999p-4, -0x1.40598e1ebfc14p-4, -0x1.3aba78c95ec7ep-4, -0x1.352ca59e5081bp-4, -0x1.2fb0137b5449ep-4, -0x1.2a44bf97ad403p-4, -0x1.24eaa591c02d4p-4, -0x1.1fa1bf7c59cadp-4, -0x1.1a6a05eb93f07p-4, -0x1.15437001583b8p-4, -0x1.102df3798b49p-4, -0x1.0b2984b5d5c49p-4, -0x1.063616c915aeep-4, -0x1.01539b8276cdp-4, -0x1.f90406f075643p-5, -0x1.ef827c245855ap-5, -0x1.e622732793a78p-5, -0x1.dce3c64c59ea8p-5, -0x1.d3c64dc34f143p-5, -0x1.cac9dfae582e7p-5, -0x1.c1ee5032ec02dp-5, -0x1.b933718c0d923p-5, -0x1.b099141bd4e75p-5, -0x1.a81f067cb18aep-5, -0x1.9fc515924694dp-5, -0x1.978b0c9a1cde7p-5, -0x1.8f70b53bf419ap-5, -0x1.8775d799e4c18p-5, -0x1.7f9a3a6044793p-5, -0x1.77dda2d555fd4p-5, -0x1.703fd4e8bbdd1p-5, -0x1.68c09342c2bd9p-5, -0x1.615f9f537134ap-5, -0x1.5a1cb96170ef7p-5, -0x1.52f7a098ba47bp-5, -0x1.4bf0131915f8cp-5, -0x1.4505ce046efc7p-5, -0x1.3e388d8ce72dfp-5, -0x1.37880d02c1b55p-5, -0x1.30f406e21147ap-5, -0x1.2a7c34e02dc25p-5, -0x1.24204ff8f775ap-5, -0x1.1de0107bd4115p-5, -0x1.17bb2e1879f47p-5, -0x1.11b15feb746b5p-5, -0x1.0bc25c8a6b686p-5, -0x1.05edda102c432p-5, -0x1.00338e286ccb9p-5, -0x1.f5265c3692d1ap-6, -0x1.ea18ddb10b482p-6, -0x1.df3e0a04f8439p-6, -0x1.d49549f1abe9bp-6, -0x1.ca1e05c5e0a29p-6, -0x1.bfd7a574073c1p-6, -0x1.b5c190a5ffdf1p-6, -0x1.abdb2ed04b349p-6, -0x1.a223e744a4f47p-6, -0x1.989b2144261f1p-6, -0x1.8f404410c6c67p-6, -0x1.8612b6fe65665p-6, -0x1.7d11e1833dfa6p-6, -0x1.743d2b47db61bp-6, -0x1.6b93fc368ce84p-6, -0x1.6315bc8a47566p-6, -0x1.5ac1d4dd134cbp-6, -0x1.5297ae35f5ecdp-6, -0x1.4a96b21663497p-6, -0x1.42be4a8725827p-6, -0x1.3b0de224db074p-6, -0x1.3384e42c00bd6p-6, -0x1.2c22bc847c151p-6, -0x1.24e6d7ccb3d26p-6, -0x1.1dd0a364459e4p-6, -0x1.16df8d76482fcp-6, -0x1.101305031b765p-6, -0x1.096a79e9da785p-6, -0x1.02e55cf16ee67p-6, -0x1.f9063fa24edb6p-7, -0x1.ec866a720c84bp-7, -0x1.e04a21b342614p-7, -0x1.d4504ed770fc2p-7, -0x1.c897dd6ea81c8p-7, -0x1.bd1fbb354ad6bp-7, -0x1.b1e6d821078b9p-7, -0x1.a6ec266d33afbp-7, -0x1.9c2e9aa67d48p-7, -0x1.91ad2bb60b70cp-7, -0x1.8766d2ebd5a2ep-7, -0x1.7d5a8c089cae9p-7, -0x1.738755472cc05p-7, -0x1.69ec2f6511408p-7, -0x1.60881daab0b47p-7, -0x1.575a25f304b27p-7, -0x1.4e6150b28ccdfp-7, -0x1.459ca8fdf38b8p-7, -0x1.3d0b3c9015009p-7, -0x1.34ac1bcf9012cp-7, -0x1.2c7e59d3dcdadp-7, -0x1.24810c69d91a9p-7, -0x1.1cb34c1801863p-7, -0x1.1514342213328p-7, -0x1.0da2e28c616fap-7, -0x1.065e781e91883p-7, -0x1.fe55cd3eec925p-8, -0x1.f07afd7296a28p-8, -0x1.e2f4e58d4d971p-8, -0x1.d5c1dd7392d94p-8, -0x1.c8e042a288b5ap-8, -0x1.bc4e7830d462p-8, -0x1.b00ae6ce9f66p-8, -0x1.a413fcc4dead2p-8, -0x1.98682df3fb689p-8, -0x1.8d05f3d1cdfd6p-8, -0x1.81ebcd66f6897p-8, -0x1.77183f4bc4895p-8, -0x1.6c89d3a42e653p-8, -0x1.623f1a1b945a9p-8, -0x1.5836a7dfceb16p-8, -0x1.4e6f179bb685bp-8, -0x1.44e7097148f4ap-8, -0x1.3b9d22f32166ep-8, -0x1.32900f1d9f695p-8, -0x1.29be7e4f9d9fdp-8, -0x1.21272642c4cb2p-8, -0x1.18c8c20304a9fp-8, -0x1.10a211e687938p-8, -0x1.08b1db846da21p-8, -0x1.00f6e9ab9dd1ep-8, -0x1.f2e018b27f2c3p-9, -0x1.e438315ce3dc9p-9, -0x1.d5f3d1cce985bp-9, -0x1.c810b897d8057p-9, -0x1.ba8cae5be9befp-9, -0x1.ad6585aa47593p-9, -0x1.a0991af056aabp-9, -0x1.9425546065d3p-9, -0x1.880821da5c862p-9, -0x1.7c3f7cd32f467p-9, -0x1.70c9683ce58ccp-9, -0x1.65a3f06d84365p-9, -0x1.5acd2b0603357p-9, -0x1.504336d8b203dp-9, -0x1.46043bcf8e929p-9, -0x1.3c0e6ad2031adp-9, -0x1.325ffdaaf8ef5p-9, -0x1.28f736edbeb16p-9, -0x1.1fd261db9d088p-9, -0x1.16efd248d08b3p-9, -0x1.0e4de4815ccf3p-9, -0x1.05eafd2dc6b54p-9, -0x1.fb8b126f50d8ap-10, -0x1.ebb7fb5c41bbep-10, -0x1.dc59af5468eecp-10, -0x1.cd6d38662b7b5p-10, -0x1.beefb04490543p-10, -0x1.b0de40102a6fp-10, -0x1.a336201e70ecep-10, -0x1.95f497c2c0d9ap-10, -0x1.8916fd166df9ep-10, -0x1.7c9ab4c06d245p-10, -0x1.707d31beb373ep-10, -0x1.64bbf52e48367p-10, -0x1.59548e12fde89p-10, -0x1.4e4499216726ep-10, -0x1.4389c086c915fp-10, -0x1.3921bbb2b1bfdp-10, -0x1.2f0a4f1fff74bp-10, -0x1.25414c1e78492p-10, -0x1.1bc4909c5f535p-10, -0x1.129206f1127ecp-10, -0x1.09a7a5a6f1fafp-10, -0x1.01036f46184a8p-10, -0x1.f146e44010372p-11, -0x1.e10b90355f8d1p-11, -0x1.d1512cf88bbfap-11, -0x1.c2141b707b5f5p-11, -0x1.b350d27607944p-11, -0x1.a503de6fe0623p-11, -0x1.9729e0ed7cd49p-11, -0x1.89bf90431bdb8p-11, -0x1.7cc1b727ef8dep-11, -0x1.702d34538fc56p-11, -0x1.63fefa1dc7fc4p-11, -0x1.58340e1f0c074p-11, -0x1.4cc988d22b367p-11, -0x1.41bc95368c5fbp-11, -0x1.370a707582176p-11, -0x1.2cb06984e5c0dp-11, -0x1.22abe0cf1c9afp-11, -0x1.18fa47d9c1589p-11, -0x1.0f9920edfc7d6p-11, -0x1.0685fec2ec8e2p-11, -0x1.fb7d084f4947ep-12, -0x1.ea80c75f71d8ep-12, -0x1.da12bec16d66bp-12, -0x1.ca2e90bec8b4ep-12, -0x1.bacffd41e84cbp-12, -0x1.abf2e136da922p-12, -0x1.9d9335ebbb812p-12, -0x1.8fad107d12ebdp-12, -0x1.823ca138e9456p-12, -0x1.753e330c6dbc9p-12, -0x1.68ae2aef97534p-12, -0x1.5c89075587bb5p-12, -0x1.50cb5f9bb20d7p-12, -0x1.4571e37fea0f1p-12, -0x1.3a795a95e35bbp-12, -0x1.2fdea3bc96e2p-12, -0x1.259eb499e2347p-12, -0x1.1bb69915dcfd4p-12, -0x1.122372d8a88e3p-12, -0x1.08e278ca0c9bbp-12, -0x1.ffe1ed2703d3dp-13, -0x1.ee9898483851cp-13, -0x1.dde3da69eea45p-13, -0x1.cdbec1a2c894ep-13, -0x1.be2481c25bc8bp-13, -0x1.af107363f0684p-13, -0x1.a07e130b5623cp-13, -0x1.926900406b0d3p-13, -0x1.84ccfcb47627ep-13, -0x1.77a5eb62fc8bap-13, -0x1.6aefcfbcd2b95p-13, -0x1.5ea6ccd45d7a9p-13, -0x1.52c7248da06eep-13, -0x1.474d36d2c569ap-13, -0x1.3c3580c7336adp-13, -0x1.317c9c0a6a9fp-13, -0x1.271f3def18c2ap-13, -0x1.1d1a36c66174ap-13, -0x1.136a711b77202p-13, -0x1.0a0cf104902bap-13, -0x1.00fed36d6f70ep-13, -0x1.f07a9ad3d9e3ap-14, -0x1.df8b5716e6506p-14, -0x1.cf2aa2696afp-14, -0x1.bf536ff713739p-14, -0x1.b000de09f02bap-14, -0x1.a12e34d2f359cp-14, -0x1.92d6e5361fbap-14, -0x1.84f687a0079d1p-14, -0x1.7788dadc5c909p-14, -0x1.6a89c301a59fp-14, -0x1.5df5484fccdd5p-14, -0x1.51c79623d1f08p-14, -0x1.45fcf9f411f88p-14, -0x1.3a91e2405a57cp-14, -0x1.2f82dd9f83c33p-14, -0x1.24cc99c1a86e2p-14, -0x1.1a6be282e7608p-14, -0x1.105da1013401cp-14, -0x1.069edab6e4593p-14, -0x1.fa596139431d4p-15, -0x1.e808bc9398915p-15, -0x1.d64672585f894p-15, -0x1.c50d5f670e018p-15, -0x1.b458910b79873p-15, -0x1.a42343871a0ffp-15, -0x1.9468e0813aa64p-15, -0x1.8524fda0927ap-15, -0x1.76535b1d423ap-15, -0x1.67efe264a3646p-15, -0x1.59f6a4bb65ce3p-15, -0x1.4c63d9f62867ap-15, -0x1.3f33df349e7c7p-15, -0x1.326335a1564c9p-15, -0x1.25ee8147379bdp-15, -0x1.19d287d9cacafp-15, -0x1.0e0c2f991f4f4p-15, -0x1.02987e398177cp-15, -0x1.eee92f95b7c5dp-16, -0x1.d93b7b54f87b9p-16, -0x1.c4229b04cc9cfp-16, -0x1.af9980a966d67p-16, -0x1.9b9b52e94dd78p-16, -0x1.88236b3976fbap-16, -0x1.752d541ad25cdp-16, -0x1.62b4c73f90a62p-16, -0x1.50b5abee6f831p-16, -0x1.3f2c1541148p-16, -0x1.2e1440877faap-16, -0x1.1d6a93c4de2d3p-16, -0x1.0d2b9c1c8fa2cp-16, -0x1.faa818b4f91dep-17, -0x1.dbc17705d336bp-17, -0x1.bd9d46d6e4411p-17, -0x1.a035bed3ffa7ap-17, -0x1.838555f442bb1p-17, -0x1.6786c0f16a87ep-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.4784c0fb035dcp-2, -0x1.52dc2eec316ebp-2, -0x1.5d7575f861788p-2, -0x1.674c19fb155fap-2, -0x1.705ca53a6934ep-2, -0x1.78a49ffd7cc53p-2, -0x1.802285d2863bdp-2, -0x1.86d5b910da0c6p-2, -0x1.8cbe7511744a5p-2, -0x1.91ddbf87b82aap-2, -0x1.9635595426678p-2, -0x1.99c7af1c60d53p-2, -0x1.9c97c9e6bfe18p-2, -0x1.9ea93fec38f02p-2, -0x1.a00025c94426fp-2, -0x1.a0a1002d9117p-2, -0x1.a090b622eaa55p-2, -0x1.9fd483fd2516ap-2, -0x1.9e71eeff81989p-2, -0x1.9c6eb9bf64435p-2, -0x1.99d0d9485b908p-2, -0x1.969e6b025d194p-2, -0x1.92ddab587f5c7p-2, -0x1.8e94ed1c6eb2fp-2, -0x1.89ca91a138e61p-2, -0x1.84850186bece3p-2, -0x1.7ecaa62e3d476p-2, -0x1.78a1e3cf9a2f5p-2, -0x1.72111426ce92dp-2, -0x1.6b1e81b0674e3p-2, -0x1.63d0636c2144dp-2, -0x1.5c2cd91c8f051p-2, -0x1.5439e7fafcecbp-2, -0x1.4bfd77d6e4268p-2, -0x1.437d5098aace8p-2, -0x1.3abf181faa06bp-2, -0x1.31c85073ec9bbp-2, -0x1.289e564473e0dp-2, -0x1.1f465fab3d7f4p-2, -0x1.15c57b30bbb26p-2, -0x1.0c208f08ca41ep-2, -0x1.025c5883ae0c3p-2, -0x1.f0fad75bf2f2ap-3, -0x1.dd10663554033p-3, -0x1.c901dfa6451f2p-3, -0x1.b4d772d20e89fp-3, -0x1.a098fc4ca5768p-3, -0x1.8c4e06b0939fbp-3, -0x1.77fdcb647c807p-3, -0x1.63af338aad72bp-3, -0x1.4f68d91596914p-3, -0x1.3b3107fc98b96p-3, -0x1.270dbf8cd8c37p-3, -0x1.1304b3d261164p-3, -0x1.fe369e2be4f45p-4, -0x1.d6ad66d8ffbf7p-4, -0x1.af7778aaa51ffp-4, -0x1.889e00c8b70aep-4, -0x1.6229a5ec91112p-4, -0x1.3c228bd874ef8p-4, -0x1.169056da6ff65p-4, -0x1.e2f45eae648cap-5, -0x1.99cd8ab36d1e8p-5, -0x1.51b8a849cf424p-5, -0x1.0ac14b896b77bp-5, -0x1.89e45a7148964p-6, -0x1.00aa63be180eap-6, -0x1.e79b8654e1e2fp-8, 0x1.4ab13ef2d835bp-11, 0x1.17f7773e15dfcp-7, 0x1.0afe014ae9494p-6, 0x1.87500cb380f85p-6, 0x1.00737317f79bcp-5, 0x1.3bdc6fdf4df0cp-5, 0x1.75dec4246f036p-5, 0x1.ae76cf921f2f5p-5, 0x1.e5a183e9bffcep-5, 0x1.0dae2f8246efep-4, 0x1.27d2b27b250c8p-4, 0x1.413d8d28ef9d6p-4, 0x1.59ee3f4831c2fp-4, 0x1.71e4834d5edfp-4, 0x1.89204bbb0d18dp-4, 0x1.9fa1c0899cba2p-4, 0x1.b5693ca04ad1dp-4, 0x1.ca774b5f964bbp-4, 0x1.decca63ce912bp-4, 0x1.f26a326f67809p-4, 0x1.02a87f56cfc8ap-3, 0x1.0bc1207e0715bp-3, 0x1.147faa46192f6p-3, 0x1.1ce4dbd5f41c4p-3, 0x1.24f184e2715c9p-3, 0x1.2ca684b5fca2p-3, 0x1.3404c93fff54p-3, 0x1.3b0d4e2bef72ep-3, 0x1.41c11bffd963bp-3, 0x1.4821474249608p-3, 0x1.4e2eefa760a76p-3, 0x1.53eb3f44f5dcp-3, 0x1.595769cda010ep-3, 0x1.5e74abd27a547p-3, 0x1.63444a0b81da1p-3, 0x1.67c790a66567ep-3, 0x1.6bffd29b9d922p-3, 0x1.6fee6909ad39cp-3, 0x1.7394b29661d6ap-3, 0x1.76f412d5e955cp-3, 0x1.7a0df1b7a86edp-3, 0x1.7ce3baf89ca9ep-3, 0x1.7f76dd9b30938p-3, 0x1.81c8cb645ef05p-3, 0x1.83daf85e01bfap-3, 0x1.85aeda5e281d3p-3, 0x1.8745e8935d036p-3, 0x1.88a19b15af6e6p-3, 0x1.89c36a7c73f63p-3, 0x1.8aaccf787fa87p-3, 0x1.8b5f4272e40ddp-3, 0x1.8bdc3b2ff24c1p-3, 0x1.8c25307676712p-3, 0x1.8c3b97bb08997p-3, 0x1.8c20e4cf641bcp-3, 0x1.8bd689959297ap-3, 0x1.8b5df5b6f1efep-3, 0x1.8ab8965ed5dbcp-3, 0x1.89e7d5f8ccfa3p-3, 0x1.88ed1bf25905p-3, 0x1.87c9cc801078cp-3, 0x1.867f48660923fp-3, 0x1.850eecc37a06dp-3, 0x1.837a12e1769bep-3, 0x1.81c21004b737ep-3, 0x1.7fe83542498ffp-3, 0x1.7dedcf5729666p-3, 0x1.7bd426828f3a5p-3, 0x1.799c7e62fc039p-3, 0x1.774815d5da662p-3, 0x1.74d826d9abbp-3, 0x1.724de672a0f6cp-3, 0x1.6faa84919e92bp-3, 0x1.6cef2bfd8343bp-3, 0x1.6a1d023eacd75p-3, 0x1.6735278ca1af3p-3, 0x1.6438b6bdd1f64p-3, 0x1.6128c539545e5p-3, 0x1.5e0662ea9e671p-3, 0x1.5ad29a370a706p-3, 0x1.578e6ff540b4p-3, 0x1.543ae3664757ap-3, 0x1.50d8ee304f931p-3, 0x1.4d69845b13f19p-3, 0x1.49ed944dc7ac3p-3, 0x1.466606ce7d9ccp-3, 0x1.42d3bf02ffbedp-3, 0x1.3f379a730141cp-3, 0x1.3b92710b9edbp-3, 0x1.37e515241d83fp-3, 0x1.34305383ddf53p-3, 0x1.3074f3696fc48p-3, 0x1.2cb3b692bd1abp-3, 0x1.28ed594637423p-3, 0x1.2522925d09552p-3, 0x1.2154134e2ddc1p-3, 0x1.1d82883a6ae1bp-3, 0x1.19ae97f923c57p-3, 0x1.15d8e425f0f75p-3, 0x1.1202092ef30f9p-3, 0x1.0e2a9e63e05fbp-3, 0x1.0a533605ad542p-3, 0x1.067c5d56da32ep-3, 0x1.02a69cac4af3fp-3, 0x1.fda4eefd5265fp-4, 0x1.f600d8f887d25p-4, 0x1.ee61eb36bbf92p-4, 0x1.e6c91059d3c25p-4, 0x1.df3729df4bf8p-4, 0x1.d7ad1047176a2p-4, 0x1.d02b933b27b79p-4, 0x1.c8b379b77845bp-4, 0x1.c14582329d288p-4, 0x1.b9e262c6b8147p-4, 0x1.b28ac95ad89f7p-4, 0x1.ab3f5bcc9bd75p-4, 0x1.a400b81a1b025p-4, 0x1.9ccf748c065a8p-4, 0x1.95ac1fdfe9d4dp-4, 0x1.8e9741728fa39p-4, 0x1.8791596a6c65p-4, 0x1.809ae0e211d58p-4, 0x1.79b44a12993bcp-4, 0x1.72de007dfbb76p-4, 0x1.6c1869194e68bp-4, 0x1.6563e276d78bap-4, 0x1.5ec0c4eff6886p-4, 0x1.582f62ced3324p-4, 0x1.51b00877cbc19p-4, 0x1.4b42fc929dd7ep-4, 0x1.44e880333d01ep-4, 0x1.3ea0cf0254f5ap-4, 0x1.386c1f656cd0cp-4, 0x1.324aa2a6a8e1p-4, 0x1.2c3c851c21773p-4, 0x1.2641ee4ecb98fp-4, 0x1.205b0120ed1p-4, 0x1.1a87dbf417f81p-4, 0x1.14c898cea8b05p-4, 0x1.0f1d4d80c2262p-4, 0x1.09860bc8c411bp-4, 0x1.0402e17738dc3p-4, 0x1.fd27b1246dec3p-5, 0x1.f271eef063d7cp-5, 0x1.e7e4820475be3p-5, 0x1.dd7f694b55ep-5, 0x1.d3429d2a71a4cp-5, 0x1.c92e0fc2e7da3p-5, 0x1.bf41ad314c241p-5, 0x1.b57d5bcc3418cp-5, 0x1.abe0fc61891d2p-5, 0x1.a26c6a729e4c1p-5, 0x1.991f7c6f095b1p-5, 0x1.8ffa03ee3e217p-5, 0x1.86fbcde7e8307p-5, 0x1.7e24a2eb081bfp-5, 0x1.75744753cd113p-5, 0x1.6cea7b8030b6dp-5, 0x1.6486fc0356095p-5, 0x1.5c4981d7a5ee4p-5, 0x1.5431c28fb194cp-5, 0x1.4c3f7085d93b9p-5, 0x1.44723b0ab8c5p-5, 0x1.3cc9ce925b805p-5, 0x1.3545d4e03bbcdp-5, 0x1.2de5f5320f338p-5, 0x1.26a9d469620a7p-5, 0x1.1f91153404aa8p-5, 0x1.189b58334e84p-5, 0x1.11c83c223a54bp-5, 0x1.0b175dfa5ca46p-5, 0x1.04885917bc342p-5, 0x1.fc358eb713d64p-6, 0x1.ef9c829b859cbp-6, 0x1.e344bc7b769e6p-6, 0x1.d72d68c33324ep-6, 0x1.cb55b1e98467ep-6, 0x1.bfbcc0aa7833ep-6, 0x1.b461bc4022a7bp-6, 0x1.a943ca99589ebp-6, 0x1.9e62108e789a3p-6, 0x1.93bbb21443908p-6, 0x1.894fd26ccbf87p-6, 0x1.7f1d9456902c8p-6, 0x1.75241a39b868cp-6, 0x1.6b6286539320ap-6, 0x1.61d7fae04a0bdp-6, 0x1.58839a42e7222p-6, 0x1.4f64872ba332bp-6, 0x1.4679e4bc9985bp-6, 0x1.3dc2d6acd765ap-6, 0x1.353e8169e2feep-6, 0x1.2cec0a37b4ab1p-6, 0x1.24ca974f30b9p-6, 0x1.1cd94ffb31e22p-6, 0x1.15175cb4219bfp-6, 0x1.0d83e73a2f291p-6, 0x1.061e1aae32c9p-6, 0x1.fdca47526d62p-7, 0x1.efb060a57cdddp-7, 0x1.e1ece0eba6175p-7, 0x1.d47e2b29a239cp-7, 0x1.c762a5f822cbfp-7, 0x1.ba98bba6d2726p-7, 0x1.ae1eda5d258d8p-7, 0x1.a1f374390057dp-7, 0x1.9614ff6b44ccep-7, 0x1.8a81f65265e9fp-7, 0x1.7f38d7930046p-7, 0x1.7438262e88e62p-7, 0x1.697e699836e4ep-7, 0x1.5f0a2dc818719p-7, 0x1.54da034c7d611p-7, 0x1.4aec7f59b1ad5p-7, 0x1.41403bd83025p-7, 0x1.37d3d77134625p-7, 0x1.2ea5f599e91c6p-7, 0x1.25b53e9d1ae74p-7, 0x1.1d005fa392017p-7, 0x1.14860abb183fep-7, 0x1.0c44f6dc3ab74p-7, 0x1.043bdfeed415dp-7, 0x1.f8d30d9ad6707p-8, 0x1.e999628ee73e3p-8, 0x1.dac85444f539bp-8, 0x1.cc5d82349aaaep-8, 0x1.be5695c046c56p-8, 0x1.b0b14231b2bf1p-8, 0x1.a36b44b48b404p-8, 0x1.9682644f646acp-8, 0x1.89f471db0d938p-8, 0x1.7dbf47f85742fp-8, 0x1.71e0cb0461705p-8, 0x1.6656e90b84442p-8, 0x1.5b1f99bae36c5p-8, 0x1.5038de50c3f01p-8, 0x1.45a0c18baf343p-8, 0x1.3b555798796d9p-8, 0x1.3154bdff3b45p-8, 0x1.279d1b8f4a357p-8, 0x1.1e2ca04a47939p-8, 0x1.1501854e4b95cp-8, 0x1.0c1a0cbf45236p-8, 0x1.037481af92125p-8, 0x1.f61e700fd0a32p-9, 0x1.e5d118dd247f7p-9, 0x1.d5fdc85c2ba6ep-9, 0x1.c6a15a36923b5p-9, 0x1.b7b8baf5d043ep-9, 0x1.a940e7cd62bc2p-9, 0x1.9b36ee643067bp-9, 0x1.8d97ec9d2d8e3p-9, 0x1.8061105f4dd36p-9, 0x1.738f975ce2904p-9, 0x1.6720ceda6d906p-9, 0x1.5b12137504e83p-9, 0x1.4f60d0e84e15ap-9, 0x1.440a81d42c917p-9, 0x1.390caf822cd2dp-9, 0x1.2e64f1aabc17dp-9, 0x1.2410ee3a3e68p-9, 0x1.1a0e59161051ap-9, 0x1.105af3e17c456p-9, 0x1.06f48dc2bce44p-9, 0x1.fbb20650109e7p-10, 0x1.ea0c7b19801dap-10, 0x1.d8f4667d8b232p-10, 0x1.c865ce48006a4p-10, 0x1.b85cd1004dbap-10, 0x1.a8d5a575924c9p-10, 0x1.99cc9a4b55986p-10, 0x1.8b3e1586f59edp-10, 0x1.7d26941dc96p-10, 0x1.6f82a9841c9a9p-10, 0x1.624eff3d0838ep-10, 0x1.5588546b318d8p-10, 0x1.492b7d628923fp-10, 0x1.3d35633b06e51p-10, 0x1.31a303647b345p-10, 0x1.26716f3b7626p-10, 0x1.1b9dcb9f50106p-10, 0x1.11255089645bbp-10, 0x1.070548a578efep-10, 0x1.fa7621d6cc1ffp-11, 0x1.e7883073fe6a1p-11, 0x1.d53bbde684288p-11, 0x1.c38bed33afbcdp-11, 0x1.b27402dfcd9a6p-11, 0x1.a1ef642e798edp-11, 0x1.91f99665ab9e9p-11, 0x1.828e3e1382183p-11, 0x1.73a91e56d372p-11, 0x1.6546182a86d37p-11, 0x1.576129b3bd313p-11, 0x1.49f66d92cac41p-11, 0x1.3d021a3706edp-11, 0x1.308081356eb43p-11, 0x1.246e0ea222e3dp-11, 0x1.18c7486cba173p-11, 0x1.0d88cdbf6c254p-11, 0x1.02af56611519ep-11, 0x1.f06f6434151f5p-12, 0x1.dc3d90378bc84p-12, 0x1.c8c32cd6be73p-12, 0x1.b5fa629da7bb9p-12, 0x1.a3dd857a31155p-12, 0x1.926713a1e0207p-12, 0x1.8191b47d04455p-12, 0x1.7158379762566p-12, 0x1.61b5939647401p-12, 0x1.52a4e5340153cp-12, 0x1.44216e40af837p-12, 0x1.362694a8590c7p-12, 0x1.28afe17e41dap-12, 0x1.1bb9000d6d37ep-12, 0x1.0f3dbcee431e8p-12, 0x1.033a0521452eap-12, 0x1.ef53ca5d89e64p-13, 0x1.d9131097221b3p-13, 0x1.c3aa6f04ff421p-13, 0x1.af12b1c5a1295p-13, 0x1.9b44dd66a084p-13, 0x1.883a2d544f4b3p-13, 0x1.75ec1252a4d1dp-13, 0x1.645430ff40687p-13, 0x1.536c605c65bd9p-13, 0x1.432ea864d540ep-13, 0x1.339540a8554ep-13, 0x1.249a8ef0c8fdap-13, 0x1.163925efb9977p-13, 0x1.086bc3f41f4dcp-13, 0x1.f65aa350acb1p-14, 0x1.dcf1c1b014c8ap-14, 0x1.c493567c0ad7bp-14, 0x1.ad3622b3647c1p-14, 0x1.96d132985c3f2p-14, 0x1.815bdb79a09fp-14, 0x1.6ccdb989eb9abp-14, 0x1.591eadc5ef0f4p-14, 0x1.4646dbe845b98p-14, 0x1.343ea86b226f7p-14, 0x1.22feb6977948ap-14, 0x1.127fe6a15bebp-14, 0x1.02bb53d14201fp-14, 0x1.e754a573f6133p-15, 0x1.ca8cdef606b72p-15, 0x1.af12d81df5d4cp-15, 0x1.94da7d4bef301p-15, 0x1.7bd82016e7d98p-15, 0x1.6400742f2c2bap-15, 0x1.4d488c5720f78p-15, 0x1.37a5d771b290ep-15, 0x1.230e1da5f9c1ap-15, 0x1.0f777d9793d9dp-15, 0x1.f9b0d3666604ap-16, 0x1.d64f4b1de87cfp-16, 0x1.b4b886bbf1626p-16, 0x1.94db42eda7c9dp-16, 0x1.76a6cfd8b3467p-16, 0x1.5a0b0c70a77bcp-16, 0x1.3ef861ef6bb98p-16, 0x1.255fbf6fb97d2p-16, 0x1.0d3295a8d781ep-16, 0x1.ecc5a5957f637p-17, 0x1.c1c5bcf3acae8p-17, 0x1.994b2bd2d1a04p-17, 0x1.733c90285567ep-17, 0x1.4f816423c218dp-17, 0x1.2e01f71302d84p-17, 0x1.0ea7667dfbbc8p-17, 0x1.e2b72ef018e54p-18, 0x1.ac12604c0d5cap-18, 0x1.793722ee5ec28p-18, 0x1.49fda21fd62c4p-18, 0x1.1e3f66c96a6eep-18, 0x1.ebae98104a75dp-19, 0x1.a142e838c26c9p-19, 0x1.5cf67b63a62e9p-19, 0x1.1e8672fbcd9e5p-19, 0x1.cb6480c7e5086p-20, 0x1.647722fc50973p-20, 0x1.07cc7ba34d2dp-20, 0x1.69e0d12975f8cp-21, 0x1.adcb4c6f1bc7dp-22, 0x1.573c6e15f053ap-23, -0x1.a33998f256c4dp-25, -0x1.e7afcdca29486p-23, -0x1.9438b4b657074p-22, -0x1.0b806047afc66p-21, -0x1.3eccfb09ab4fcp-21, -0x1.64b0bc6c32f66p-21, -0x1.7dd40884d416ep-21, -0x1.8ad94a3d5eb19p-21, -0x1.8c5d26242d55ap-21, -0x1.82f6ab909e095p-21, -0x1.6f378428e7c99p-21, -0x1.51ac21d605ddbp-21, -0x1.2adbeb32693b9p-21, -0x1.f692ccfee020ep-22, -0x1.86e4c65b3841p-22, -0x1.07a04406051adp-22, -0x1.e6bbdf58e6706p-24, 0x1.106f884f87dccp-25, 0x1.957b0b2d62f1ep-23, 0x1.7f8ecad9dd537p-22, 0x1.1fdc3c15c6ac6p-21, 0x1.853c5adc4a5dep-21, 0x1.ef8a6e9e25b7fp-21, 0x1.2f364f36ae553p-20, 0x1.68c637026df39p-20, 0x1.a44b509de826p-20, 0x1.e19d90379f547p-20, 0x1.104b37767584cp-19, 0x1.30886ef48132ep-19, 0x1.51749cf9a552ep-19, 0x1.72fe9fb499de2p-19, 0x1.9515ff500735p-19, 0x1.b7aae855a30edp-19, 0x1.daae2641d798fp-19, 0x1.fe111e46490aap-19, 0x1.10e2e51cd1591p-18, 0x1.22df59d98e926p-18, 0x1.34f777a8252a5p-18, 0x1.47250c11cea06p-18, 0x1.596225a530991p-18, 0x1.6ba911d45783p-18, 0x1.7df45ae50e452p-18, 0x1.903ec5f2ed3b5p-18, 0x1.a283510282d77p-18, 0x1.b4bd3124fe94dp-18, 0x1.c6e7d0abcb3fp-18, 0x1.d8fecd6b87466p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.2e67b3da7f2d8p-2, -0x1.3b7da9f8f3747p-2, -0x1.4840377cd299p-2, -0x1.54abbec8370f4p-2, -0x1.60bcf32904be1p-2, -0x1.6c70da9147aefp-2, -0x1.77c4ce45eca0cp-2, -0x1.82b67aa7490e9p-2, -0x1.8d43de34f0385p-2, -0x1.976b47ebd968bp-2, -0x1.a12b551b3dp-2, -0x1.aa82eec9ded37p-2, -0x1.b37146c2b4d2fp-2, -0x1.bbf5d45d4e015p-2, -0x1.c4105113dcfdfp-2, -0x1.cbc0b4f67d58cp-2, -0x1.d30733092fb8ep-2, -0x1.d9e435981770dp-2, -0x1.e0585a8bc3f1ep-2, -0x1.e6646fc5cb58ep-2, -0x1.ec096f8c8341cp-2, -0x1.f1487d0b7df77p-2, -0x1.f622e0ed4c498p-2, -0x1.fa9a061218945p-2, -0x1.feaf7665d565dp-2, -0x1.01326bec043c4p-1, -0x1.02ddf4bb48eedp-1, -0x1.045b40562b1d1p-1, -0x1.05ab435216a65p-1, -0x1.06cefae811657p-1, -0x1.07c76bca5fdb7p-1, -0x1.0895a10be9084p-1, -0x1.093aab18f6ee8p-1, -0x1.09b79ec0dc912p-1, -0x1.0a0d944ffbb8ep-1, -0x1.0a3da6b991732p-1, -0x1.0a48f2d0ad29ap-1, -0x1.0a30968fad651p-1, -0x1.09f5b06d94f29p-1, -0x1.09995ec09540dp-1, -0x1.091cbf2d19dcp-1, -0x1.0880ee20b560fp-1, -0x1.07c7065842a0ap-1, -0x1.06f020709a852p-1, -0x1.05fd528143b07p-1, -0x1.04efafc07c67p-1, -0x1.03c8483013cc1p-1, -0x1.0288285280a38p-1, -0x1.013058e7af058p-1, -0x1.ff83bd620f55bp-2, -0x1.fc7b747867664p-2, -0x1.f949cf68511fdp-2, -0x1.f5f0bd70218a8p-2, -0x1.f272246f4bef2p-2, -0x1.eecfe0a93b6eep-2, -0x1.eb0bc49191754p-2, -0x1.e72798a11d7ep-2, -0x1.e3251b32ec56p-2, -0x1.df060068d011cp-2, -0x1.dacbf216ceb61p-2, -0x1.d6788fb4f8078p-2, -0x1.d20d6e571401cp-2, -0x1.cd8c18a9c1bafp-2, -0x1.c8f60ef48a3b5p-2, -0x1.c44cc72084c6bp-2, -0x1.bf91acc327de7p-2, -0x1.bac6212ceb132p-2, -0x1.b5eb7b7b66839p-2, -0x1.b10308ae97a5bp-2, -0x1.ac0e0bc10b90ap-2, -0x1.a70dbdc29d6dap-2, -0x1.a2034df592849p-2, -0x1.9cefe1edcc351p-2, -0x1.97d495b1df0a8p-2, -0x1.92b27bddd70f3p-2, -0x1.8d8a9dc776cc9p-2, -0x1.885dfba3c6bdbp-2, -0x1.832d8cadc4646p-2, -0x1.7dfa3f4e13f8bp-2, -0x1.78c4f94381af6p-2, -0x1.738e97cc401d9p-2, -0x1.6e57efcfb5fd3p-2, -0x1.6921ce08c7f77p-2, -0x1.63ecf73081dfbp-2, -0x1.5eba2828ffb35p-2, -0x1.598a162887dc4p-2, -0x1.545d6ee4c1284p-2, -0x1.4f34d8bde5ac7p-2, -0x1.4a10f2e9f2944p-2, -0x1.44f2559fb5323p-2, -0x1.3fd99241ae483p-2, -0x1.3ac73388bb426p-2, -0x1.35bbbdae7b466p-2, -0x1.30b7ae975f606p-2, -0x1.2bbb7dfc64ed9p-2, -0x1.26c79d946445dp-2, -0x1.21dc793cf95cbp-2, -0x1.1cfa7722f13dp-2, -0x1.1821f7ea42875p-2, -0x1.135356d57d9a3p-2, -0x1.0e8ee9ecbbdcfp-2, -0x1.09d5022400fbep-2, -0x1.0525eb810c53fp-2, -0x1.0081ed4098cb1p-2, -0x1.f7d293f608163p-3, -0x1.eeb87f90c06a6p-3, -0x1.e5b610c7ce7ffp-3, -0x1.dccbb29da70cep-3, -0x1.d3f9c7e532423p-3, -0x1.cb40ab850397dp-3, -0x1.c2a0b0b9489f9p-3, -0x1.ba1a23548075dp-3, -0x1.b1ad47feecdccp-3, -0x1.a95a5c74bde3p-3, -0x1.a12197c300004p-3, -0x1.99032a834a044p-3, -0x1.90ff3f1629f73p-3, -0x1.8915f9dc4d66fp-3, -0x1.8147796e795b8p-3, -0x1.7993d6d43db86p-3, -0x1.71fb25b972fe9p-3, -0x1.6a7d74a2818ep-3, -0x1.631acd1f77ad7p-3, -0x1.5bd333fded77ep-3, -0x1.54a6a979bbf63p-3, -0x1.4d95296c84c1fp-3, -0x1.469eab7c1ca9bp-3, -0x1.3fc32347cb443p-3, -0x1.39028094675d1p-3, -0x1.325caf7763949p-3, -0x1.2bd19880b3735p-3, -0x1.256120e3a1926p-3, -0x1.1f0b2a9e989ap-3, -0x1.18cf94a1d72d4p-3, -0x1.12ae3af51f77fp-3, -0x1.0ca6f6dc5d182p-3, -0x1.06b99efb4bf1ep-3, -0x1.00e60778229p-3, -0x1.f658043a791abp-4, -0x1.eb16bcf3b446ep-4, -0x1.e007d403c1453p-4, -0x1.d52ae059753a5p-4, -0x1.ca7f75268a9a9p-4, -0x1.c0052219b7d66p-4, -0x1.b5bb739708f22p-4, -0x1.aba1f2ee717abp-4, -0x1.a1b82690b680ep-4, -0x1.97fd9242b3133p-4, -0x1.8e71b74ee6ab9p-4, -0x1.851414b57f00ap-4, -0x1.7be4275ac3e54p-4, -0x1.72e16a33fb8e4p-4, -0x1.6a0b5672cd0bdp-4, -0x1.616163af28e1dp-4, -0x1.58e3080fbd32bp-4, -0x1.508fb8710119dp-4, -0x1.4866e88adb9a8p-4, -0x1.40680b14efd1dp-4, -0x1.389291e994bebp-4, -0x1.30e5ee278114p-4, -0x1.29619052321cdp-4, -0x1.2204e87115168p-4, -0x1.1acf662d7a0acp-4, -0x1.13c078ef586d2p-4, -0x1.0cd78ff8ea978p-4, -0x1.06141a812ab27p-4, -0x1.feeb0f9a67b53p-5, -0x1.f1f68e9123c83p-5, -0x1.e5499139089e5p-5, -0x1.d8e2f78c790a4p-5, -0x1.ccc1a2583d29bp-5, -0x1.c0e473640f8b1p-5, -0x1.b54a4d994d3a8p-5, -0x1.a9f21527cad0cp-5, -0x1.9edaafa8e50a6p-5, -0x1.94030440d0c44p-5, -0x1.8969fbbe3d5fp-5, -0x1.7f0e80b852adap-5, -0x1.74ef7fab133cbp-5, -0x1.6b0be71238c12p-5, -0x1.6162a7828839p-5, -0x1.57f2b3c1b5abp-5, -0x1.4ebb00dcdbbdp-5, -0x1.45ba863d9481ap-5, -0x1.3cf03dbdbca1p-5, -0x1.345b23b9ede2ep-5, -0x1.2bfa3722b98b1p-5, -0x1.23cc798cae249p-5, -0x1.1bd0ef3f32962p-5, -0x1.14069f423d884p-5, -0x1.0c6c936af83f6p-5, -0x1.0501d86752303p-5, -0x1.fb8afb911e512p-6, -0x1.ed6d2c19b4822p-6, -0x1.dfa86d4fcd79bp-6, -0x1.d23af0154a5aep-6, -0x1.c522eb5433bdep-6, -0x1.b85e9c0aaeba3p-6, -0x1.abec455552102p-6, -0x1.9fca3077eaebbp-6, -0x1.93f6ace4bd38fp-6, -0x1.887010425287dp-6, -0x1.7d34b66fe3776p-6, -0x1.724301886bd72p-6, -0x1.679959e479adap-6, -0x1.5d362e1abee28p-6, -0x1.5317f2ff77d6cp-6, -0x1.493d23a2b667ap-6, -0x1.3fa4414d96fc2p-6, -0x1.364bd37e70819p-6, -0x1.2d3267e40cb4dp-6, -0x1.24569257f0771p-6, -0x1.1bb6ecd7c510ap-6, -0x1.1352177de69b1p-6, -0x1.0b26b879292ap-6, -0x1.03337c03da541p-6, -0x1.f6ee28b41bc58p-7, -0x1.e7e0735e73c49p-7, -0x1.d93b544664809p-7, -0x1.cafc536d0d953p-7, -0x1.bd21047ca4a95p-7, -0x1.afa706af041a4p-7, -0x1.a28c04b32fa8cp-7, -0x1.95cdb491f3bebp-7, -0x1.8969d791a3871p-7, -0x1.7d5e3a19011ap-7, -0x1.71a8b3916eb37p-7, -0x1.664726485db1dp-7, -0x1.5b377f5029cefp-7, -0x1.5077b66051174p-7, -0x1.4605cdb523a4ep-7, -0x1.3bdfd1eefb72ep-7, -0x1.3203d9f0f8c28p-7, -0x1.287006bf5f5d9p-7, -0x1.1f22835d9544fp-7, -0x1.161984abd2234p-7, -0x1.0d53494487d0fp-7, -0x1.04ce19598f081p-7, -0x1.f9108d2243fb4p-8, -0x1.e90057c5578d3p-8, -0x1.d9685ae6f0fc1p-8, -0x1.ca4570e699048p-8, -0x1.bb9485f1d50d5p-8, -0x1.ad5297bd25c82p-8, -0x1.9f7cb53cfe382p-8, -0x1.920ffe5ec9ecap-8, -0x1.8509a3c20a4fcp-8, -0x1.7866e671991d1p-8, -0x1.6c25179d1ea2ap-8, -0x1.60419852c1b5fp-8, -0x1.54b9d93923a86p-8, -0x1.498b5a49abe41p-8, -0x1.3eb3aa8b31d3bp-8, -0x1.343067cd0c67ap-8, -0x1.29ff3e628fa95p-8, -0x1.201de8df0236fp-8, -0x1.168a2fd210d92p-8, -0x1.0d41e984ca0cfp-8, -0x1.0442f9b725b97p-8, -0x1.f716a2bc41595p-9, -0x1.e631dcc4e65eep-9, -0x1.d5d3b6bfcd44bp-9, -0x1.c5f85ecaa0183p-9, -0x1.b69c1b6a6b96p-9, -0x1.a7bb4b0e4433bp-9, -0x1.9952639354938p-9, -0x1.8b5df1ca57a25p-9, -0x1.7dda98fe85217p-9, -0x1.70c5127dfd8f4p-9, -0x1.641a2d23b4dd6p-9, -0x1.57d6cce2e1973p-9, -0x1.4bf7ea53f8e8cp-9, -0x1.407a92433b78ap-9, -0x1.355be540cfb2p-9, -0x1.2a9917327793fp-9, -0x1.202f6ee6dd836p-9, -0x1.161c45aa77907p-9, -0x1.0c5d06de0eb1ap-9, -0x1.02ef2f8edeb2bp-9, -0x1.f3a09c20b0d26p-10, -0x1.e1fc032efffa3p-10, -0x1.d0ebf3afdc0edp-10, -0x1.c06bed44df2abp-10, -0x1.b0778f0a8a218p-10, -0x1.a10a96dc001a3p-10, -0x1.9220e099fdb2fp-10, -0x1.83b6657503cc1p-10, -0x1.75c73b3ac01d6p-10, -0x1.684f93a69d10ap-10, -0x1.5b4bbbb587838p-10, -0x1.4eb81afcd2cep-10, -0x1.429133044bee8p-10, -0x1.36d39ea35fb7dp-10, -0x1.2b7c11615be15p-10, -0x1.208756d8c8b93p-10, -0x1.15f2521dbe337p-10, -0x1.0bb9fd274d19ap-10, -0x1.01db683bd93b5p-10, -0x1.f0a772c0d9adcp-11, -0x1.de405795f54bdp-11, -0x1.cc7c1eaf03e03p-11, -0x1.bb55900023aa2p-11, -0x1.aac79aaf3ed36p-11, -0x1.9acd540f52f78p-11, -0x1.8b61f6a13bdecp-11, -0x1.7c80e119f3b0ap-11, -0x1.6e25956e35b3dp-11, -0x1.604bb7e36fca6p-11, -0x1.52ef0e25f1c71p-11, -0x1.460b7e6447042p-11, -0x1.399d0e6fa5be7p-11, -0x1.2d9fe2e166048p-11, -0x1.22103e4564879p-11, -0x1.16ea8049484c9p-11, -0x1.0c2b24f08dbd3p-11, -0x1.01cec3cd4c111p-11, -0x1.efa41e7b36518p-12, -0x1.dc63a75b14309p-12, -0x1.c9d5edbb23524p-12, -0x1.b7f4ee5adeed1p-12, -0x1.a6bad5d6aa4bcp-12, -0x1.9621ff4eb456dp-12, -0x1.8624f3163652cp-12, -0x1.76be656ae8733p-12, -0x1.67e9353484a14p-12, -0x1.59a06acc35397p-12, -0x1.4bdf36cbc3a08p-12, -0x1.3ea0f0e464e66p-12, -0x1.31e116bcfe314p-12, -0x1.259b4ad7bd5adp-12, -0x1.19cb537edbdf1p-12, -0x1.0e6d19b86baedp-12, -0x1.037ca8410b386p-12, -0x1.f1ec551aaf573p-13, -0x1.ddabd7a3f849p-13, -0x1.ca30ac2477068p-13, -0x1.b773e269a73aep-13, -0x1.a56ec43e2280cp-13, -0x1.941ad3abf5cb3p-13, -0x1.8371c94ad1552p-13, -0x1.736d9299e273cp-13, -0x1.640850650554cp-13, -0x1.553c553516d01p-13, -0x1.470423cb2573p-13, -0x1.395a6da642b84p-13, -0x1.2c3a1193b8131p-13, -0x1.1f9e1a495b599p-13, -0x1.1381bd09d584ep-13, -0x1.07e058528f375p-13, -0x1.f96ae5262dcccp-14, -0x1.e3f971db7f9bbp-14, -0x1.cf63fc0289103p-14, -0x1.bba271766918dp-14, -0x1.a8ad0665ed112p-14, -0x1.967c331a5a778p-14, -0x1.8508b1ce82f88p-14, -0x1.744b7c95d7825p-14, -0x1.643dcb52f9efdp-14, -0x1.54d911bd7b534p-14, -0x1.4616fd765e093p-14, -0x1.37f1742afe9e9p-14, -0x1.2a6291c604115p-14, -0x1.1d64a6adfd578p-14, -0x1.10f236114ff26p-14, -0x1.0505f43f21fb3p-14, -0x1.f3358a19cad2cp-15, -0x1.dd5774906703ap-15, -0x1.c868246944a5bp-15, -0x1.b45e6c2a8c792p-15, -0x1.a13171831782cp-15, -0x1.8ed8aa8a3ecc7p-15, -0x1.7d4bdb152ae84p-15, -0x1.6c831221114abp-15, -0x1.5c76a751c7169p-15, -0x1.4d1f3884240a1p-15, -0x1.3e75a773a29p-15, -0x1.30731772b7a49p-15, -0x1.2310eb355c87fp-15, -0x1.1648c2ad4bc8cp-15, -0x1.0a1478f76ae63p-15, -0x1.fcdc44b3d90e1p-16, -0x1.e6a014a55a578p-16, -0x1.d169636aa9cf3p-16, -0x1.bd2d99b197d45p-16, -0x1.a9e283a71f47ap-16, -0x1.977e4d8cf8dd1p-16, -0x1.85f7806b3986fp-16, -0x1.7544fedd3689ap-16, -0x1.655e01f8d4e2ep-16, -0x1.563a164f8963bp-16, -0x1.47d119083fb97p-16, -0x1.3a1b351172d06p-16, -0x1.2d10e06ab1203p-16, -0x1.20aad984eb794p-16, -0x1.14e224b8cdedbp-16, -0x1.09b009d287321p-16, -0x1.fe1c23649bd3ep-17, -0x1.e9ec08020d97ap-17, -0x1.d6c3c9f0e15d5p-17, -0x1.c497e67c71678p-17, -0x1.b35d4ba2cb6b8p-17, -0x1.a30954130d1c2p-17, -0x1.9391c34e35fd5p-17, -0x1.84ecc1e9529b4p-17, -0x1.7710d9effc49cp-17, -0x1.69f4f3662a049p-17, -0x1.5d9050e850795p-17, -0x1.51da8c68ec15ep-17, -0x1.46cb940a6ef69p-17, -0x1.3c5ba714c0de6p-17, -0x1.328353056574fp-17, -0x1.293b70b9719e6p-17, -0x1.207d21b07aa46p-17, -0x1.1841cd67b2f92p-17, -0x1.10831ecc69d02p-17, -0x1.093b01c52f505p-17, -0x1.0263a0d0db8acp-17, -0x1.f7eec5758fe8dp-18, -0x1.ebe1d0c704b0cp-18, -0x1.e096153aa7a07p-18, -0x1.d601b037e11b7p-18, -0x1.cc1b26ed5cf18p-18, -0x1.c2d962794f223p-18, -0x1.ba33ac345bbep-18, -0x1.b221aa1dfb544p-18, -0x1.aa9b5b693b1e9p-18, -0x1.a3991528c6ceap-18, -0x1.9d137f192d0e6p-18, -0x1.9703908855872p-18, -0x1.91628d5933b95p-18, -0x1.8c2a0322b901ap-18, -0x1.8753c6691eebap-18, -0x1.82d9eff0a0a3cp-18, -0x1.7eb6da28c4288p-18, -0x1.7ae51eaf5f177p-18, -0x1.775f93ea81cafp-18, -0x1.74214ab883a3ap-18, -0x1.71258c35674d2p-18, -0x1.6e67d794dfadfp-18, -0x1.6be3e01037db2p-18, -0x1.69958ae7736dp-18, -0x1.6778ed74f514fp-18, -0x1.658a4b530c5aap-18, -0x1.63c61492c3088p-18, -0x1.6228e403541f1p-18, -0x1.60af7d89b6219p-18, -0x1.5f56cc87a292ap-18, -0x1.5e1be25195769p-18, -0x1.5cfbf4b337566p-18, -0x1.5bf45c81b2131p-18, -0x1.5b02943b70911p-18, -0x1.5a2436b4d0757p-18, -0x1.5956fdd14ae39p-18, -0x1.5898c148a9de9p-18, -0x1.57e77577d4b5ap-18, -0x1.57412a3ccc4c9p-18, -0x1.56a409dd70ec8p-18, -0x1.560e57f8ab01fp-18, -0x1.557e70819b1f3p-18, -0x1.54f2c6c470215p-18, -0x1.5469e4748f04p-18, -0x1.53e268c3af4a8p-18, -0x1.535b0781a1581p-18, -0x1.52d28844655ccp-18, -0x1.5247c5984d16ap-18, -0x1.51b9ac37d5f87p-18, -0x1.51273a4afbb8dp-18, -0x1.508f7eadb69eap-18, -0x1.4ff1983d64b0ap-18, -0x1.4f4cb52ce0ad6p-18, -0x1.4ea0125effe4p-18, -0x1.4deafac744c68p-18, -0x1.4d2cc6d083a1bp-18, -0x1.4c64dbc94597ap-18, -0x1.4b92ab55b48bap-18, -0x1.4ab5b2e6d85dbp-18, -0x1.49cd7b36f7a1dp-18, -0x1.48d997cae6807p-18, -0x1.47d9a6781ad2ap-18, -0x1.46cd4eef5274bp-18, -0x1.45b4424ba7c96p-18, -0x1.448e3aa5e1fb6p-18, -0x1.435afaabe06c5p-18, -0x1.421a4d3bf785fp-18, -0x1.40cc05041896ep-18, -0x1.3f6ffc24a2263p-18, -0x1.3e0613d6b74ccp-18, -0x1.3c8e3415f9c4cp-18, -0x1.3b084b4d8a6ebp-18, -0x1.39744e082c903p-18, -0x1.37d236a3734a6p-18, -0x1.36220505d9023p-18, -0x1.3463be57a633fp-18, -0x1.32976cbe8e0cep-18, -0x1.30bd1f1be5b1bp-18, -0x1.2ed4e8cd5dfcp-18, -0x1.2cdee1702aa53p-18, -0x1.2adb24a67a545p-18, -0x1.28c9d1df2fffep-18, -0x1.26ab0c1fc3fb7p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.7721f3ca9a71fp-2, 0x1.7a33d4d75f952p-2, 0x1.7d6c5851571cap-2, 0x1.80c86a84a1bf7p-2, 0x1.8444832efccp-2, 0x1.87dcb1dec2168p-2, 0x1.8b8cab311a44fp-2, 0x1.8f4fd6859fa79p-2, 0x1.93215bce3ed66p-2, 0x1.96fc3131ef342p-2, 0x1.9adb28474fc3dp-2, 0x1.9eb8fab965322p-2, 0x1.a29056343135ap-2, 0x1.a65be780dfe99p-2, 0x1.aa1664c1b2d13p-2, 0x1.adba96c4f263ep-2, 0x1.b143616be559p-2, 0x1.b4abcb2777701p-2, 0x1.b7ef038fe38a3p-2, 0x1.bb08691f699b5p-2, 0x1.bdf38e1a415fdp-2, 0x1.c0ac3caf4eb9ep-2, 0x1.c32e7a5e29526p-2, 0x1.c5768aaf7b74fp-2, 0x1.c780f14d051ccp-2, 0x1.c94a738677194p-2, 0x1.cad019501d7fcp-2, 0x1.cc0f2dc7f6e51p-2, 0x1.cd053f4d452acp-2, 0x1.cdb01f361e84fp-2, 0x1.ce0de12dd9d9dp-2, 0x1.ce1cda4695083p-2, 0x1.cddb9fc75686bp-2, 0x1.cd4905bfb7934p-2, 0x1.cc641d69438c2p-2, 0x1.cb2c335e237fbp-2, 0x1.c9a0cdac0814fp-2, 0x1.c7c1a9c9adf47p-2, 0x1.c58eba74c3c26p-2, 0x1.c308257d7305ep-2, 0x1.c02e41844b2c5p-2, 0x1.bd0193aed1d01p-2, 0x1.b982cd568d76cp-2, 0x1.b5b2c9b5f2795p-2, 0x1.b1928b963ac62p-2, 0x1.ad233b00d3f42p-2, 0x1.a86622f6b8757p-2, 0x1.a35caf2fc6c36p-2, 0x1.9e0869e3d083ap-2, 0x1.986af99eead6ap-2, 0x1.92861f2245b42p-2, 0x1.8c5bb3529be4fp-2, 0x1.85eda5351fdbep-2, 0x1.7f3df7fb9327ap-2, 0x1.784ec12020a89p-2, 0x1.712226915a4dap-2, 0x1.69ba5ceeaad2ap-2, 0x1.6219a5d5685e5p-2, 0x1.5a424e3e9c38bp-2, 0x1.5236aced800cep-2, 0x1.49f920eea0dfp-2, 0x1.418c10277bbccp-2, 0x1.38f1e5f66c21dp-2, 0x1.302d11e2a4d15p-2, 0x1.2740065bef692p-2, 0x1.1e2d3789dffffp-2, 0x1.14f71a2a24d8ap-2, 0x1.0ba0227d92ba1p-2, 0x1.022ac3438e7c9p-2, 0x1.f132d986d47bcp-3, 0x1.dddd17c69f874p-3, 0x1.ca591298a5c7p-3, 0x1.b6ab91366b463p-3, 0x1.a2d94f3b06eb2p-3, 0x1.8ee6fb351387ap-3, 0x1.7ad9354fa2c69p-3, 0x1.66b48e1150c84p-3, 0x1.527d8530b5284p-3, 0x1.3e38887d655a6p-3, 0x1.29e9f2dcc6dbap-3, 0x1.15960b59ea6bfp-3, 0x1.01410447c308dp-3, 0x1.d9ddf4e9f00c4p-4, 0x1.b147e8e1412dcp-4, 0x1.88c7c3be9ee95p-4, 0x1.606535bf6013bp-4, 0x1.3827befc5961fp-4, 0x1.1016ae6de8303p-4, 0x1.d07242173e8e8p-5, 0x1.812c020ce4403p-5, 0x1.32680a388f9d3p-5, 0x1.c866c00fa96c1p-6, 0x1.2d353fc141207p-6, 0x1.26a7f15222da7p-7, -0x1.49614082decf8p-12, -0x1.3840fdce3192fp-7, -0x1.3187112deaecap-6, -0x1.c5442ed6e7e1p-6, -0x1.2ba1d0e56ef86p-5, -0x1.73b90553082b7p-5, -0x1.bade7020ca5d6p-5, -0x1.00849bbf7c6adp-4, -0x1.231875f4772b7p-4, -0x1.4526c3c7f7a63p-4, -0x1.66abb6d56450cp-4, -0x1.87a3b4d5c5fcp-4, -0x1.a80b572e5402cp-4, -0x1.c7df6a734f28p-4, -0x1.e71ceddfc6232p-4, -0x1.02e0896168ffp-3, -0x1.11e49df170f56p-3, -0x1.20997e6bd25afp-3, -0x1.2efe0cad8a69ep-3, -0x1.3d114249157d8p-3, -0x1.4ad23026e4a7fp-3, -0x1.583ffe2224561p-3, -0x1.6559eaa219811p-3, -0x1.721f4a30521c1p-3, -0x1.7e8f870bdf4a2p-3, -0x1.8aaa20b9d9905p-3, -0x1.966eab935da38p-3, -0x1.a1dcd051466dcp-3, -0x1.acf44b95c93d4p-3, -0x1.b7b4ed743a79dp-3, -0x1.c21e98f71d313p-3, -0x1.cc3143a4b7859p-3, -0x1.d5ecf5025f04bp-3, -0x1.df51c616a1d88p-3, -0x1.e85fe0ea8359ap-3, -0x1.f1178009f71f1p-3, -0x1.f978ee03be9a2p-3, -0x1.00c242746e22p-2, -0x1.049d56e5dfc5ap-2, -0x1.084df01fa96cep-2, -0x1.0bd450eb07001p-2, -0x1.0f30c2d09c811p-2, -0x1.126395d83db4fp-2, -0x1.156d2048ee18fp-2, -0x1.184dbe692b9cp-2, -0x1.1b05d23f929fep-2, -0x1.1d95c353e8737p-2, -0x1.1ffdfe709e4f7p-2, -0x1.223ef564d8b41p-2, -0x1.24591ec70a1c8p-2, -0x1.264cf5b82a446p-2, -0x1.281af9a79ce8ep-2, -0x1.29c3ae17ca38p-2, -0x1.2b479a637d294p-2, -0x1.2ca749840b44dp-2, -0x1.2de349d854cccp-2, -0x1.2efc2ceca0cd2p-2, -0x1.2ff2874362b61p-2, -0x1.30c6f01ef0f7fp-2, -0x1.317a014c3029p-2, -0x1.320c56ee3bee2p-2, -0x1.327e8f4b1a6a2p-2, -0x1.32d14a997084fp-2, -0x1.33052acf4facbp-2, -0x1.331ad37211a13p-2, -0x1.3312e9674f0a2p-2, -0x1.32ee12c6f620ap-2, -0x1.32acf6ae7d04ap-2, -0x1.32503d1539dcbp-2, -0x1.31d88ea1e0bfdp-2, -0x1.31469481292bep-2, -0x1.309af83d9be99p-2, -0x1.2fd663988ea5p-2, -0x1.2ef980644631ep-2, -0x1.2e04f85f4aea3p-2, -0x1.2cf97510e1f58p-2, -0x1.2bd79fa6b91c2p-2, -0x1.2aa020d3ba262p-2, -0x1.2953a0b006a86p-2, -0x1.27f2c69a21f6ep-2, -0x1.267e39193c7bp-2, -0x1.24f69dc0a8c9bp-2, -0x1.235c99146fea6p-2, -0x1.21b0ce6f0b684p-2, -0x1.1ff3dfe837fc3p-2, -0x1.1e266e3ce6866p-2, -0x1.1c4918b8436d5p-2, -0x1.1a5c7d1dd5b4bp-2, -0x1.18613794a909ep-2, -0x1.1657e2938a405p-2, -0x1.144116ce4c215p-2, -0x1.121d6b240d844p-2, -0x1.0fed748e87495p-2, -0x1.0db1c6124dfa5p-2, -0x1.0b6af0b01364p-2, -0x1.09198356d76f4p-2, -0x1.06be0ad70527dp-2, -0x1.045911d680556p-2, -0x1.01eb20c58f6c7p-2, -0x1.fee97ba957e85p-3, -0x1.f9ecd9d64f941p-3, -0x1.f4e15f3d5ad5fp-3, -0x1.efc80a571274fp-3, -0x1.eaa1d4db88446p-3, -0x1.e56fb3b6004c2p-3, -0x1.e03296fa2973p-3, -0x1.daeb69dad0643p-3, -0x1.d59b12a1f956ep-3, -0x1.d04272aa57eb1p-3, -0x1.cae2665a251bcp-3, -0x1.c57bc51f32bbcp-3, -0x1.c00f616c4c512p-3, -0x1.ba9e08b7c13fcp-3, -0x1.b528837b210eap-3, -0x1.afaf9534158c3p-3, -0x1.aa33fc6652e83p-3, -0x1.a4b6729e909p-3, -0x1.9f37ac7684a6ap-3, -0x1.99b85999da2c2p-3, -0x1.943924cc0af78p-3, -0x1.8ebab3ef272ecp-3, -0x1.893da80b6a92ep-3, -0x1.83c29d57abf0ep-3, -0x1.7e4a2b42870ccp-3, -0x1.78d4e47c50dc1p-3, -0x1.73635701ae7a4p-3, -0x1.6df60c26e4d58p-3, -0x1.688d88a3c1685p-3, -0x1.632a4ca01ce21p-3, -0x1.5dccd3c0ee10ap-3, -0x1.58759535e43ffp-3, -0x1.532503c78205ep-3, -0x1.4ddb8de5ac29ep-3, -0x1.48999db6aae5dp-3, -0x1.435f9926904eep-3, -0x1.3e2de1f70060dp-3, -0x1.3904d5cf51e15p-3, -0x1.33e4ce4d02d27p-3, -0x1.2ece21146dfd4p-3, -0x1.29c11fe1d40bcp-3, -0x1.24be189a94238p-3, -0x1.1fc5555ea5967p-3, -0x1.1ad71c9a3929dp-3, -0x1.15f3b1178e41fp-3, -0x1.111b5210e5f6bp-3, -0x1.0c4e3b429b191p-3, -0x1.078ca4fd5036cp-3, -0x1.02d6c438339a7p-3, -0x1.fc599546ab8cp-4, -0x1.f31dcd7408a2bp-4, -0x1.e9fa87aa65ba5p-4, -0x1.e0f0147bbbb9cp-4, -0x1.d7febe7ee38d2p-4, -0x1.cf26ca744a22ap-4, -0x1.c668776a9491ep-4, -0x1.bdc3fee32d644p-4, -0x1.b53994f697cffp-4, -0x1.acc96878af989p-4, -0x1.a473a31ca6168p-4, -0x1.9c386998cdfbcp-4, -0x1.9417dbca1ef83p-4, -0x1.8c1214d781f3dp-4, -0x1.84272b54c4713p-4, -0x1.7c5731654591ep-4, -0x1.74a234de4acbp-4, -0x1.6d083f68fb94fp-4, -0x1.658956a40065bp-4, -0x1.5e257c44be72cp-4, -0x1.56dcae382ea5p-4, -0x1.4faee6c34affcp-4, -0x1.489c1ca31002bp-4, -0x1.41a4432c0ceeap-4, -0x1.3ac74a6982ebbp-4, -0x1.34051f3c0df7p-4, -0x1.2d5dab77d6309p-4, -0x1.26d0d60247c5cp-4, -0x1.205e82ef4ea8dp-4, -0x1.1a06939e1370ep-4, -0x1.13c8e6d53af8dp-4, -0x1.0da558dea31b4p-4, -0x1.079bc3a29ed51p-4, -0x1.01abfec2adc2dp-4, -0x1.f7abbf6761d13p-5, -0x1.ec3273af34f4cp-5, -0x1.e0ebbd2d2d6cp-5, -0x1.d5d73aef61f24p-5, -0x1.caf48871e2c2dp-5, -0x1.c0433dcde9729p-5, -0x1.b5c2efe7f9848p-5, -0x1.ab73309cf91bcp-5, -0x1.a1538eee39b42p-5, -0x1.9763972c76824p-5, -0x1.8da2d321c9e36p-5, -0x1.8410ca3a981abp-5, -0x1.7aad01ad7178ap-5, -0x1.7176fca1efca5p-5, -0x1.686e3c568e5e4p-5, -0x1.5f9240457f137p-5, -0x1.56e286487d27fp-5, -0x1.4e5e8abba584p-5, -0x1.4605c89f4d78cp-5, -0x1.3dd7b9b8e4426p-5, -0x1.35d3d6b2dabb8p-5, -0x1.2df9973b96885p-5, -0x1.26487223770fp-5, -0x1.1ebfdd79e6f67p-5, -0x1.175f4ea986218p-5, -0x1.10263a9368fc3p-5, -0x1.091415a973705p-5, -0x1.02285407d2abdp-5, -0x1.f6c4d31b2e431p-6, -0x1.e98393e8ea328p-6, -0x1.dc8bd1cf579f1p-6, -0x1.cfdc7434372d2p-6, -0x1.c37462b70e33p-6, -0x1.b752855a1dc6ep-6, -0x1.ab75c4a9b8831p-6, -0x1.9fdd09e218c83p-6, -0x1.94873f13b1271p-6, -0x1.89734f45fd48dp-6, -0x1.7ea02698e707cp-6, -0x1.740cb264b6948p-6, -0x1.69b7e158a4df9p-6, -0x1.5fa0a3980d765p-6, -0x1.55c5ead649ae5p-6, -0x1.4c26aa7144996p-6, -0x1.42c1d78abf513p-6, -0x1.399669205eef6p-6, -0x1.30a358227e90bp-6, -0x1.27e79f89d2c29p-6, -0x1.1f623c6be8349p-6, -0x1.17122e0e7a29ap-6, -0x1.0ef675f9b894ep-6, -0x1.070e180974bd8p-6, -0x1.feb034fa91a19p-7, -0x1.efa70c0f6f251p-7, -0x1.e0fecbb8a47bep-7, -0x1.d2b58f79d038dp-7, -0x1.c4c9780b8f1eep-7, -0x1.b738ab7231febp-7, -0x1.aa015512acff4p-7, -0x1.9d21a5c5d56dep-7, -0x1.9097d3e9fef8ap-7, -0x1.84621b72f41bp-7, -0x1.787ebdf8674a9p-7, -0x1.6cec02c2ec5e4p-7, -0x1.61a836d76d86cp-7, -0x1.56b1ad0147781p-7, -0x1.4c06bddb0452ap-7, -0x1.41a5c7d5c8b87p-7, -0x1.378d2f3f7e981p-7, -0x1.2dbb5e47c6d3bp-7, -0x1.242ec503be6e7p-7, -0x1.1ae5d970a35b1p-7, -0x1.11df177562353p-7, -0x1.091900e31773bp-7, -0x1.00921d749052fp-7, -0x1.f091f599a7cf9p-8, -0x1.e07858e97e653p-8, -0x1.d0d497af7aae8p-8, -0x1.c1a3f07f4dea1p-8, -0x1.b2e3ad9f9fdfp-8, -0x1.a49124fe9e65ep-8, -0x1.96a9b8250ddaep-8, -0x1.892ad427ef966p-8, -0x1.7c11f198cebe8p-8, -0x1.6f5c9474c2a52p-8, -0x1.63084c1237959p-8, -0x1.5712b30d8fce1p-8, -0x1.4b796f34a79eep-8, -0x1.403a3171513aep-8, -0x1.3552b5b2d25cfp-8, -0x1.2ac0c2d6733bbp-8, -0x1.20822a8f2e47fp-8, -0x1.1694c94c8b1ffp-8, -0x1.0cf68620b5099p-8, -0x1.03a552a5d5aeep-8, -0x1.f53e55c589feep-9, -0x1.e3c42a5e2b0ffp-9, -0x1.d2d8442d18e81p-9, -0x1.c276d8781c75cp-9, -0x1.b29c30781674bp-9, -0x1.a344a91cee733p-9, -0x1.946cb2d0ac7c2p-9, -0x1.8610d139cc089p-9, -0x1.782d9afce45dcp-9, -0x1.6abfb97daf5afp-9, -0x1.5dc3e89f84a9cp-9, -0x1.5136f6855be67p-9, -0x1.4515c35161017p-9, -0x1.395d40e4327f5p-9, -0x1.2e0a729bcfc84p-9, -0x1.231a6d124e0bfp-9, -0x1.188a55dc5a7bp-9, -0x1.0e5763479fcacp-9, -0x1.047edc1915c43p-9, -0x1.f5fc2e968e81fp-10, -0x1.e3a4f7994014fp-10, -0x1.d1f3007b8d159p-10, -0x1.c0e155602b28fp-10, -0x1.b06b20c86b61bp-10, -0x1.a08bab11d350fp-10, -0x1.913e59f4222e3p-10, -0x1.827eafffe3db8p-10, -0x1.74484c1d8e668p-10, -0x1.6696e90d486bap-10, -0x1.59665ce76dc09p-10, -0x1.4cb2989dcba4p-10, -0x1.4077a77dbbdb5p-10, -0x1.34b1aeb317fbfp-10, -0x1.295ceccc1fe73p-10, -0x1.1e75b93e53776p-10, -0x1.13f883ec54c31p-10, -0x1.09e1d4acdbf89p-10, -0x1.002e4ad2bc412p-10, -0x1.edb5396c2147fp-11, -0x1.dbc72e7d2a9ap-11, -0x1.ca8c3ade60108p-11, -0x1.b9fe4fe56b958p-11, -0x1.aa178953e4ee4p-11, -0x1.9ad22c75f016cp-11, -0x1.8c28a7437986dp-11, -0x1.7e158f84199b5p-11, -0x1.7093a1f5ab4d5p-11, -0x1.639dc1759af0bp-11, -0x1.572ef62cf9976p-11, -0x1.4b426cbf5bd9fp-11, -0x1.3fd3757c85999p-11, -0x1.34dd8394f0772p-11, -0x1.2a5c2c51299f5p-11, -0x1.204b264c11baep-11, -0x1.16a648affda81p-11, -0x1.0d698a76be4d1p-11, -0x1.049101ac8e9bp-11, -0x1.f831c56bd560fp-12, -0x1.e7faff30a59cep-12, -0x1.d8768e8be9e3ap-12, -0x1.c99d89d885d96p-12, -0x1.bb693e8ae2562p-12, -0x1.add32fd9b6df2p-12, -0x1.a0d5156ca31d3p-12, -0x1.9468da108c277p-12, -0x1.88889a71bcbc4p-12, -0x1.7d2ea3dbc28c9p-12, -0x1.725572fefb17cp-12, -0x1.67f7b2bbd33f2p-12, -0x1.5e103af3a6a5ap-12, -0x1.549a0f5f3b42ep-12, -0x1.4b905e6acd73p-12, -0x1.42ee8017a3f4fp-12, -0x1.3aaff4e31e54cp-12, -0x1.32d064b33198bp-12, -0x1.2b4b9dc84f232p-12, -0x1.241d93b499de5p-12, -0x1.1d425e586f183p-12, -0x1.16b638e4246f5p-12, -0x1.107580defc9d6p-12, -0x1.0a7cb533364d6p-12, -0x1.04c8753f33a2dp-12, -0x1.feaaffd744415p-13, -0x1.f441658d33dbcp-13, -0x1.ea4e1247414e1p-13, -0x1.e0cb368108f5p-13, -0x1.d7b33addf77c3p-13, -0x1.cf00be85fb79p-13, -0x1.c6ae958b7e37ap-13, -0x1.beb7c75a8d36dp-13, -0x1.b7178d3111309p-13, -0x1.afc9509fe5a79p-13, -0x1.a8c8aa14c8dccp-13, -0x1.a2115f6ce9a2fp-13, -0x1.9b9f6290010a7p-13, -0x1.956ed013ce784p-13, -0x1.8f7bede7db213p-13, -0x1.89c32a095ffc9p-13, -0x1.8441193f24be9p-13, -0x1.7ef275dd4b3e6p-13, -0x1.79d41e90cf705p-13, -0x1.74e31532a1d46p-13, -0x1.701c7da244ee4p-13, -0x1.6b7d9ca7c0bd8p-13, -0x1.6703d6dcc82f3p-13, -0x1.62acaf9d00511p-13, -0x1.5e75c7fd37bdcp-13, -0x1.5a5cddc975eedp-13, -0x1.565fca89bf54dp-13, -0x1.527c828d6eaecp-13, -0x1.4eb113fd0419ap-13, -0x1.4afba5f24b39dp-13, -0x1.475a7796b2a8p-13, -0x1.43cbdf47bf04fp-13, -0x1.404e49c174c58p-13, -0x1.3ce0394e967cbp-13, -0x1.398044fea93bp-13, -0x1.362d17e186432p-13, -0x1.32e570487be29p-13, -0x1.2fa81f0cc1138p-13, -0x1.2c7406db3b032p-13, -0x1.29481b855f55cp-13, -0x1.262361572942cp-13, -0x1.2304ec71ff4bep-13, -0x1.1febe02c61ef9p-13, -0x1.1cd76e76626f9p-13, -0x1.19c6d742a805dp-13, -0x1.16b967f405557p-13, -0x1.13ae7acf6f41p-13, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.64645ea6af1a1p-2, 0x1.655b60ef00196p-2, 0x1.66608af397b46p-2, 0x1.6773a161b6c5fp-2, 0x1.68944f7f786b7p-2, 0x1.69c227d54ef26p-2, 0x1.6afca52edfeb1p-2, 0x1.6c432be2d0a53p-2, 0x1.6d950b525ce3ap-2, 0x1.6ef17f92e58d8p-2, 0x1.7057b3352584fp-2, 0x1.71c6c11f3f96ap-2, 0x1.733db6703d23cp-2, 0x1.74bb94650e104p-2, 0x1.763f523850911p-2, 0x1.77c7def766c0dp-2, 0x1.79542348627d9p-2, 0x1.7ae3031d4e461p-2, 0x1.7c735f5220281p-2, 0x1.7e0417336ccep-2, 0x1.7f9409ec808cbp-2, 0x1.812217dc142p-2, 0x1.82ad23cf3cc72p-2, 0x1.843414229d063p-2, 0x1.85b5d3ca1f804p-2, 0x1.8731533fc754cp-2, 0x1.88a5895a54e09p-2, 0x1.8a11740c9d6c7p-2, 0x1.8b74190e93ffp-2, 0x1.8ccc867115c1ap-2, 0x1.8e19d31d9a7b9p-2, 0x1.8f5b1f42ecba2p-2, 0x1.908f94b01a6f6p-2, 0x1.91b6671ebf6b1p-2, 0x1.92ced46ddae79p-2, 0x1.93d824ce437bbp-2, 0x1.94d1aae1ddea5p-2, 0x1.95bac3ce9cef4p-2, 0x1.9692d746541dcp-2, 0x1.9759578451788p-2, 0x1.980dc141af363p-2, 0x1.98af9ba13a0abp-2, 0x1.993e7813c8bcdp-2, 0x1.99b9f235bf121p-2, 0x1.9a21afa688936p-2, 0x1.9a755fdaaf36p-2, 0x1.9ab4bbe935eabp-2, 0x1.9adf8654d4155p-2, 0x1.9af58ad19b254p-2, 0x1.9af69e078ab02p-2, 0x1.9ae29d5291b89p-2, 0x1.9ab96e8068714p-2, 0x1.9a7aff8cac099p-2, 0x1.9a27465b9b132p-2, 0x1.99be4073c923cp-2, 0x1.993ff2b719bfep-2, 0x1.98ac691b49ccfp-2, 0x1.9803b66247509p-2, 0x1.9745f3d295f14p-2, 0x1.967340eff41dfp-2, 0x1.958bc3346cd6ap-2, 0x1.948fa5ca083abp-2, 0x1.937f19453a15fp-2, 0x1.925a5360327c7p-2, 0x1.91218eb730913p-2, 0x1.8fd50a85ee55bp-2, 0x1.8e750a66394cdp-2, 0x1.8d01d60fd5d9cp-2, 0x1.8b7bb919b14f8p-2, 0x1.89e302bc783eap-2, 0x1.883805969b1e6p-2, 0x1.867b1771cafdep-2, 0x1.84ac9109f233dp-2, 0x1.82cccdd5b47a7p-2, 0x1.80dc2bd076792p-2, 0x1.7edb0b45ee0cep-2, 0x1.7cc9ce9f441afp-2, 0x1.7aa8da31bc7f6p-2, 0x1.7878940eeea48p-2, 0x1.763963d684368p-2, 0x1.73ebb28981761p-2, 0x1.718fea5f0def6p-2, 0x1.6f26769ac0382p-2, 0x1.6cafc36461454p-2, 0x1.6a2c3da128aa6p-2, 0x1.679c52ce65728p-2, 0x1.650070dd96352p-2, 0x1.62590611dfb18p-2, 0x1.5fa680dee737ap-2, 0x1.5ce94fc900984p-2, 0x1.5a21e146adda4p-2, 0x1.5750a3a36859ep-2, 0x1.547604e3ad9ap-2, 0x1.519272aa46fc6p-2, 0x1.4ea65a1ec5c69p-2, 0x1.4bb227d52d4d4p-2, 0x1.48b647b6c3c9fp-2, 0x1.45b324ec0110bp-2, 0x1.42a929c797a07p-2, 0x1.3f98bfb28c2e3p-2, 0x1.3c824f195a594p-2, 0x1.39663f5a1aa8bp-2, 0x1.3644f6b3a5dc8p-2, 0x1.331eda35acc6fp-2, 0x1.2ff44db1c0b88p-2, 0x1.2cc5b3ad4494p-2, 0x1.29936d543d4e7p-2, 0x1.265dda6d00f98p-2, 0x1.2325594cb9c9dp-2, 0x1.1fea46ccb5a0bp-2, 0x1.1cacfe40852b1p-2, 0x1.196dd96cd57bbp-2, 0x1.162d307f0dcb9p-2, 0x1.12eb5a059e78ep-2, 0x1.0fa8aae907dc1p-2, 0x1.0c657665875c2p-2, 0x1.09220e056c139p-2, 0x1.05dec19c1062dp-2, 0x1.029bdf41689a5p-2, 0x1.feb3669c5d4f6p-3, 0x1.f83110b1325acp-3, 0x1.f1b14e6343f65p-3, 0x1.eb34adc5aa9bap-3, 0x1.e4bbb9593cce1p-3, 0x1.de46f80a2e6a4p-3, 0x1.d7d6ed2e99ef8p-3, 0x1.d16c1885f828dp-3, 0x1.cb06f639757f7p-3, 0x1.c4a7fedd1c2aap-3, 0x1.be4fa771cfb8ep-3, 0x1.b7fe61680f633p-3, 0x1.b1b49aa371187p-3, 0x1.ab72bd7ed9a66p-3, 0x1.a53930d1579dp-3, 0x1.9f0857f3afe03p-3, 0x1.98e092c67fc21p-3, 0x1.92c23db8f82a6p-3, 0x1.8cadb1d02ac22p-3, 0x1.86a344aed94d8p-3, 0x1.80a3489dcab9bp-3, 0x1.7aae0c949a6dep-3, 0x1.74c3dc42f752dp-3, 0x1.6ee5001a54529p-3, 0x1.6911bd57fc3cep-3, 0x1.634a560f84ac1p-3, 0x1.5d8f0935a36d2p-3, 0x1.57e012ab4b27fp-3, 0x1.523dab4922a0cp-3, 0x1.4ca808eb3c301p-3, 0x1.471f5e7d17febp-3, 0x1.41a3dc05dccaap-3, 0x1.3c35aeb4ce3f4p-3, 0x1.36d500edf732ap-3, 0x1.3181fa5700becp-3, 0x1.2c3cbfe432b32p-3, 0x1.270573e59c7bdp-3, 0x1.21dc36145f757p-3, 0x1.1cc123a00e5e2p-3, 0x1.17b4573c2f13ap-3, 0x1.12b5e92dcd085p-3, 0x1.0dc5ef591808cp-3, 0x1.08e47d4f1579dp-3, 0x1.0411a45b56de2p-3, 0x1.fe9ae7236d06ep-4, 0x1.f52fefb834b11p-4, 0x1.ebe278105869ep-4, 0x1.e2b291aa3091ap-4, 0x1.d9a04a0273ea9p-4, 0x1.d0abaaaf8f873p-4, 0x1.c7d4b97cdb893p-4, 0x1.bf1b7885a5a82p-4, 0x1.b67fe6502da4cp-4, 0x1.ae01fde8642a6p-4, 0x1.a5a1b6fa88428p-4, 0x1.9d5f05ed85745p-4, 0x1.9539dbfd27243p-4, 0x1.8d3227540f145p-4, 0x1.8547d325623p-4, 0x1.7d7ac7c640356p-4, 0x1.75caeac6ee24bp-4, 0x1.6e381f0bba244p-4, 0x1.66c244e593beap-4, 0x1.5f693a2a538e4p-4, 0x1.582cda4cb3658p-4, 0x1.510cfe73f2045p-4, 0x1.4a097d93206e6p-4, 0x1.43222c80171d5p-4, 0x1.3c56de0a117bp-4, 0x1.35a7630fecfffp-4, 0x1.2f138a960b6e8p-4, 0x1.289b21dbd5007p-4, 0x1.223df470dab44p-4, 0x1.1bfbcc49988c3p-4, 0x1.15d471d3d21f2p-4, 0x1.0fc7ac0a8ec13p-4, 0x1.09d54089b058p-4, 0x1.03fcf3a12425cp-4, 0x1.fc7d10cf605ebp-5, 0x1.f133819ab2bbdp-5, 0x1.e61cbb5ac8981p-5, 0x1.db383dbfdd9cep-5, 0x1.d085869648abp-5, 0x1.c60411e8166dfp-5, 0x1.bbb35a1dd568ap-5, 0x1.b192d81e9b363p-5, 0x1.a7a2036f37be9p-5, 0x1.9de05250a1fap-5, 0x1.944d39dd98fd5p-5, 0x1.8ae82e277cd28p-5, 0x1.81b0a2525e6b4p-5, 0x1.78a608b04a8a3p-5, 0x1.6fc7d2dbce96p-5, 0x1.671571d1bbe9p-5, 0x1.5e8e560a26ccap-5, 0x1.5631ef90a829cp-5, 0x1.4dffae1bdfd24p-5, 0x1.45f701243caa4p-5, 0x1.3e1757fa08ef5p-5, 0x1.366021dac14bep-5, 0x1.2ed0ce05b441ep-5, 0x1.2768cbcff25cdp-5, 0x1.20278ab789e56p-5, 0x1.190c7a7617f02p-5, 0x1.12170b12acaa6p-5, 0x1.0b46acf307d35p-5, 0x1.049ad0ec2e6eap-5, 0x1.fc25d0a4bb1fep-6, 0x1.ef5cca10ba1ebp-6, 0x1.e2d9731c6887fp-6, 0x1.d69ab21e86746p-6, 0x1.ca9f6edf8c0f5p-6, 0x1.bee692b37f8bdp-6, 0x1.b36f0892abff4p-6, 0x1.a837bd31386cep-6, 0x1.9d3f9f15a60c4p-6, 0x1.92859eae37325p-6, 0x1.8808ae6553f96p-6, 0x1.7dc7c2b4db112p-6, 0x1.73c1d2387adbap-6, 0x1.69f5d5bf0b1a3p-6, 0x1.6062c85af1b8p-6, 0x1.5707a7719a70ap-6, 0x1.4de372c9ffe8fp-6, 0x1.44f52c9a544fp-6, 0x1.3c3bd994cdb84p-6, 0x1.33b680f3963edp-6, 0x1.2b642c83ea6cp-6, 0x1.2343e8b06c453p-6, 0x1.1b54c48aae7f9p-6, 0x1.1395d1d3fd7c4p-6, 0x1.0c0625056a46p-6, 0x1.04a4d55723859p-6, 0x1.fae1f98e31d3ap-7, 0x1.ecd3703de7206p-7, 0x1.df1c4df2d21fbp-7, 0x1.d1bad78dd24dp-7, 0x1.c4ad57a36dd69p-7, 0x1.b7f21e82bee7fp-7, 0x1.ab87823b4fed7p-7, 0x1.9f6bdea1d31adp-7, 0x1.939d9553ce8bdp-7, 0x1.881b0dba348bep-7, 0x1.7ce2b50b0e05dp-7, 0x1.71f2fe4a29071p-7, 0x1.674a6248d261ap-7, 0x1.5ce75fa4bd9a7p-7, 0x1.52c87ac600682p-7, 0x1.48ec3ddc4ec9bp-7, 0x1.3f5138db58786p-7, 0x1.35f601767bea5p-7, 0x1.2cd9331bad8bap-7, 0x1.23f96eedb7c51p-7, 0x1.1b555bbdce9bcp-7, 0x1.12eba60481537p-7, 0x1.0abaffda11894p-7, 0x1.02c220ee37608p-7, 0x1.f5ff8cfeb0c4ep-8, 0x1.e6e566a274b61p-8, 0x1.d8335f466b26dp-8, 0x1.c9e7124be0881p-8, 0x1.bbfe25e1500f3p-8, 0x1.ae764aec1d97p-8, 0x1.a14d3cf185affp-8, 0x1.9480c1fece90fp-8, 0x1.880eaa90c40b2p-8, 0x1.7bf4d17a8c939p-8, 0x1.70311bcbdd03dp-8, 0x1.64c178b69d159p-8, 0x1.59a3e17400412p-8, 0x1.4ed659291ed23p-8, 0x1.4456eccb1b94ep-8, 0x1.3a23b302dbbc5p-8, 0x1.303acc105adcbp-8, 0x1.269a61ada75b7p-8, 0x1.1d40a6f188bdfp-8, 0x1.142bd831dfe1dp-8, 0x1.0b5a3ae5c286cp-8, 0x1.02ca1d875ed5bp-8, 0x1.f4f3aeeb53f8ep-9, 0x1.e4cf91abcad29p-9, 0x1.d524b4e9f8ac3p-9, 0x1.c5effb518c9cap-9, 0x1.b72e58625d5e3p-9, 0x1.a8dcd0329c298p-9, 0x1.9af87730e899bp-9, 0x1.8d7e71e65dcfdp-9, 0x1.806bf4b89cc4fp-9, 0x1.73be43abde7e7p-9, 0x1.6772b2251cc68p-9, 0x1.5b86a2ac54ca7p-9, 0x1.4ff786aef2407p-9, 0x1.44c2de4265571p-9, 0x1.39e637e6f8d15p-9, 0x1.2f5f304adbed1p-9, 0x1.252b720d7debp-9, 0x1.1b48b58331145p-9, 0x1.11b4c07928638p-9, 0x1.086d65f9c99e5p-9, 0x1.fee10c22da6c3p-10, 0x1.ed781b26f2b58p-10, 0x1.dc9bebbfe9eccp-10, 0x1.cc488953131efp-10, 0x1.bc7a1777f9077p-10, 0x1.ad2cd1864dd8ep-10, 0x1.9e5d0a24df1bfp-10, 0x1.90072ad98da29p-10, 0x1.8227b39a5dd54p-10, 0x1.74bb3a5fa3bap-10, 0x1.67be6ab746347p-10, 0x1.5b2e05593484ep-10, 0x1.4f06dfbd02c33p-10, 0x1.4345e3b0b6587p-10, 0x1.37e80ef0cc988p-10, 0x1.2cea72c1811d2p-10, 0x1.224a338949c09p-10, 0x1.1804886c9d9b8p-10, 0x1.0e16baeb0045bp-10, 0x1.047e267d55669p-10, 0x1.f670706b02da4p-11, 0x1.e484dcbeb3252p-11, 0x1.d334b045c2f06p-11, 0x1.c27b2a4fb8adep-11, 0x1.b253aa756142ep-11, 0x1.a2b9afe53ee39p-11, 0x1.93a8d8b2a200ap-11, 0x1.851ce1276b99bp-11, 0x1.7711a3187a4f3p-11, 0x1.6983153cc1f8bp-11, 0x1.5c6d4a870d145p-11, 0x1.4fcc7182667a7p-11, 0x1.439cd3b129894p-11, 0x1.37dad4eeb93bp-11, 0x1.2c82f2d3d8868p-11, 0x1.2191c41da3222p-11, 0x1.1703f81724307p-11, 0x1.0cd6560585e16p-11, 0x1.0305bc96d6a7ep-11, 0x1.f31e42a6c385ep-12, 0x1.e0df20232757fp-12, 0x1.cf4854d8d295dp-12, 0x1.be544e78c3a71p-12, 0x1.adfda425e132ap-12, 0x1.9e3f1570d1fcfp-12, 0x1.8f138958ba205p-12, 0x1.80760d50da04fp-12, 0x1.7261d44af97a7p-12, 0x1.64d235c69d26p-12, 0x1.57c2ace4ef4d8p-12, 0x1.4b2ed78157f0fp-12, 0x1.3f12754eb22ffp-12, 0x1.336966f912d11p-12, 0x1.282fad4c12dc6p-12, 0x1.1d61685d8ef8fp-12, 0x1.12fad6bcd1a4fp-12, 0x1.08f854a611c3fp-12, 0x1.feacb67484b75p-13, 0x1.ec22ff7637431p-13, 0x1.da4ce596a42cfp-13, 0x1.c923ff65df0f2p-13, 0x1.b8a2174f76144p-13, 0x1.a8c12a3343f8fp-13, 0x1.997b66062f5fcp-13, 0x1.8acb287aa8a17p-13, 0x1.7caafdb0d5e28p-13, 0x1.6f159eee4de82p-13, 0x1.6205f15d3a09fp-13, 0x1.557704d2cb70dp-13, 0x1.4964129ce41bap-13, 0x1.3dc87c56cc08p-13, 0x1.329fcac4e416bp-13, 0x1.27e5acb72a87bp-13, 0x1.1d95f5f27a8a9p-13, 0x1.13ac9e206daap-13, 0x1.0a25bfc5ae6f4p-13, 0x1.00fd973ebd241p-13, 0x1.f0610385d84d7p-14, 0x1.df75f8db0e6a5p-14, 0x1.cf33469a11b58p-14, 0x1.bf9260f06af4p-14, 0x1.b08cf65220773p-14, 0x1.a21cedbafe918p-14, 0x1.943c64fb16a2fp-14, 0x1.86e5af0e3ba2ep-14, 0x1.7a13527e3f9f9p-14, 0x1.6dc007cfc105fp-14, 0x1.61e6b7f951a5dp-14, 0x1.56827ae4bf10dp-14, 0x1.4b8e95fa4c3a4p-14, 0x1.41067ab5a5387p-14, 0x1.36e5c5445a5a3p-14, 0x1.2d283b2db1bf7p-14, 0x1.23c9ca039ada1p-14, 0x1.1ac6861c94a5p-14, 0x1.121aa9565367fp-14, 0x1.09c291e0f8d0dp-14, 0x1.01bac112abf1ap-14, 0x1.f3ffb486c948fp-15, 0x1.e51d4361758cep-15, 0x1.d6c7f6d31995cp-15, 0x1.c8f9d4829f115p-15, 0x1.bbad1d95b9206p-15, 0x1.aedc4cb52516p-15, 0x1.a282141f3c6cap-15, 0x1.96995bc87dde3p-15, 0x1.8b1d3f89c3671p-15, 0x1.80090d5bcc36fp-15, 0x1.7558439fccbc1p-15, 0x1.6b068f74b8c4p-15, 0x1.610fcb18f75a6p-15, 0x1.576ffc5832357p-15, 0x1.4e235304fcf62p-15, 0x1.4526277e02718p-15, 0x1.3c74f93e76cd9p-15, 0x1.340c6d7982104p-15, 0x1.2be94dc062a1bp-15, 0x1.240886b30011p-15, 0x1.1c6726baaab9fp-15, 0x1.15025ccecab1p-15, 0x1.0dd777433a393p-15, 0x1.06e3e2a00b45dp-15, 0x1.002528827ebf1p-15, 0x1.f331dd0ddcfa1p-16, 0x1.e679ea76d51e4p-16, 0x1.da1e2e35b259fp-16, 0x1.ce1a8f20a9b85p-16, 0x1.c26b240533e97p-16, 0x1.b70c31ce8eb17p-16, 0x1.abfa29bb814ecp-16, 0x1.a131a7a2f1447p-16, 0x1.96af7046ecbd6p-16, 0x1.8c706fb5bad88p-16, 0x1.8271b7b899f52p-16, 0x1.78b07e4fbdbebp-16, 0x1.6f2a1c3b44eaep-16, 0x1.65dc0b90af0afp-16, 0x1.5cc3e65c94796p-16, 0x1.53df65502ff9bp-16, 0x1.4b2c5e7a77c0ap-16, 0x1.42a8c40c660d5p-16, 0x1.3a52a3281fe81p-16, 0x1.322822bab7016p-16, 0x1.2a2782602342ep-16, 0x1.224f19513a6bp-16, 0x1.1a9d555b50acdp-16, 0x1.1310b9e13e98ep-16, 0x1.0ba7dee583868p-16, 0x1.0461701d3e99p-16, 0x1.fa78581773d9p-17, 0x1.ec6dc64c9836p-17, 0x1.dea0ee008a532p-17, 0x1.d10fb2fd6bbb4p-17, 0x1.c3b818278ba2dp-17, 0x1.b6983e02cd1e2p-17, 0x1.a9ae61465138dp-17, 0x1.9cf8d97de8fdep-17, 0x1.907617b8eee17p-17, 0x1.8424a54611606p-17, 0x1.7803227ba8821p-17, 0x1.6c10458c3a01ep-17, 0x1.604ad966b8d48p-17, 0x1.54b1bca22de4dp-17, 0x1.4943e0745e15cp-17, 0x1.3e0047b32455p-17, 0x1.32e605e011336p-17, 0x1.27f43e3e0cdc1p-17, 0x1.1d2a22f097f96p-17, 0x1.1286f424649f8p-17, 0x1.0809ff40f0a06p-17, 0x1.fb653c45ad445p-18, 0x1.e7006cbd124f2p-18, 0x1.d2e47116626c2p-18, 0x1.bf103f2ac9994p-18, 0x1.ab82e032e97d5p-18, 0x1.983b6f8a15cf2p-18, 0x1.8539197fb32d9p-18, 0x1.727b1a3639e18p-18, 0x1.6000bc8f5cd8dp-18, 0x1.4dc95924e4bc5p-18, 0x1.3bd4554dc2081p-18, 0x1.2a21222eed868p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.29681fb10d778p-7, -0x1.786531eb40b57p-7, -0x1.c7b8f5752fecp-7, -0x1.0affea58535a3p-6, -0x1.30f3180dbd7d4p-6, -0x1.55164c41ec1edp-6, -0x1.76d57f215b8e6p-6, -0x1.95a97b8887d08p-6, -0x1.b1189d57447b7p-6, -0x1.c8b73a30fb5d5p-6, -0x1.dc27c25eb3d4dp-6, -0x1.eb1aa6231f6f5p-6, -0x1.f54e0a6d91495p-6, -0x1.fa8d5685372ccp-6, -0x1.fab0a30a50209p-6, -0x1.f59c118b408d3p-6, -0x1.eb3f12e868caap-6, -0x1.db93a1daa26c7p-6, -0x1.c69d76238eb51p-6, -0x1.ac69343a44cc7p-6, -0x1.8d0b9ca7cb11ap-6, -0x1.68a0bdbb01103p-6, -0x1.3f4b29c0f9191p-6, -0x1.113333831ee99p-6, -0x1.bd0c64dd1cd9fp-7, -0x1.4eeb9eeb7bcd3p-7, -0x1.b0dd6dd92b624p-8, -0x1.68197d75cdd63p-9, 0x1.5ebe7653e2c64p-10, 0x1.7164d2837fc94p-8, 0x1.4c0d34714dd77p-7, 0x1.e56a0e9113dcdp-7, 0x1.4224e326e7242p-6, 0x1.94166eca6e1dap-6, 0x1.e84a1ca288a4ep-6, 0x1.1f406fa778474p-5, 0x1.4b3e37d66b135p-5, 0x1.77ffc55b50fb8p-5, 0x1.a56713dba2fe1p-5, 0x1.d356d3a9f7097p-5, 0x1.00d93efba2bd1p-4, 0x1.182f32f883386p-4, 0x1.2f9fe38581cfcp-4, 0x1.471e6858d55cbp-4, 0x1.5e9e57cfa2a59p-4, 0x1.7613ca85d7bcdp-4, 0x1.8d735df59c545p-4, 0x1.a4b2363722461p-4, 0x1.bbc5fef80d521p-4, 0x1.d2a4ebc010362p-4, 0x1.e945b796d417bp-4, 0x1.ff9fa41db4cb2p-4, 0x1.0ad53c172bddcp-3, 0x1.15af3f06e4528p-3, 0x1.205a40a131e42p-3, 0x1.2ad2e60cc8c7ep-3, 0x1.351612748911ep-3, 0x1.3f20e58b5175ap-3, 0x1.48f0b9f7c683ap-3, 0x1.528323ac6e24bp-3, 0x1.5bd5ee2ff414dp-3, 0x1.64e71ad92f714p-3, 0x1.6db4df01e77c3p-3, 0x1.763da233344e1p-3, 0x1.7e7ffc4de4f09p-3, 0x1.867ab3b11f989p-3, 0x1.8e2cbb61234cap-3, 0x1.9595312fdf427p-3, 0x1.9cb35be8e2175p-3, 0x1.a386a981e5793p-3, 0x1.aa0ead5116c1ap-3, 0x1.b04b1e4a24654p-3, 0x1.b63bd542d9a6cp-3, 0x1.bbe0cb400cb2ep-3, 0x1.c13a17cb79155p-3, 0x1.c647ef5301ab3p-3, 0x1.cb0aa191e0a7cp-3, 0x1.cf829804017bp-3, 0x1.d3b05463e71f8p-3, 0x1.d7946f3343bfbp-3, 0x1.db2f964e8108cp-3, 0x1.de828b8b3a0b9p-3, 0x1.e18e2361db725p-3, 0x1.e45343a250899p-3, 0x1.e6d2e233d8605p-3, 0x1.e90e03dfe4362p-3, 0x1.eb05bb27ff37dp-3, 0x1.ecbb27269e1cap-3, 0x1.ee2f727ac34b7p-3, 0x1.ef63d23e48e89p-3, 0x1.f0598506bd71cp-3, 0x1.f111d1f09c60cp-3, 0x1.f18e07b4b3536p-3, 0x1.f1cf7bc794efcp-3, 0x1.f1d78982cfa3p-3, 0x1.f1a79157c7adp-3, 0x1.f140f80bf4441p-3, 0x1.f0a525fe44008p-3, 0x1.efd58675766b8p-3, 0x1.eed386f7342a3p-3, 0x1.eda096a79779cp-3, 0x1.ec3e25b0fd68fp-3, 0x1.eaada4b3da517p-3, 0x1.e8f0843e531cap-3, 0x1.e708344b676f5p-3, 0x1.e4f623c96034ap-3, 0x1.e2bbc0275bd4fp-3, 0x1.e05a74e9a9cf5p-3, 0x1.ddd3ab44c2b16p-3, 0x1.db28c9bea25fap-3, 0x1.d85b33d647fc8p-3, 0x1.d56c49b11ddc2p-3, 0x1.d25d67ce21ef3p-3, 0x1.cf2fe6be7cd73p-3, 0x1.cbe51ae36a9dep-3, 0x1.c87e543130727p-3, 0x1.c4fcddf6f0cfap-3, 0x1.c161feab2319fp-3, 0x1.bdaef7bc8e2cp-3, 0x1.b9e5056780523p-3, 0x1.b6055e8f22693p-3, 0x1.b211349ab1572p-3, 0x1.ae09b3567488dp-3, 0x1.a9f000d84577ep-3, 0x1.a5c53d6776f79p-3, 0x1.a18a8367fe602p-3, 0x1.9d40e748a8f0dp-3, 0x1.98e9777445a8cp-3, 0x1.94853c458a69fp-3, 0x1.901537fda7347p-3, 0x1.8b9a66bd50f12p-3, 0x1.8715be802967cp-3, 0x1.82882f1a62f47p-3, 0x1.7df2a238875b1p-3, 0x1.7955fb612f954p-3, 0x1.74b317f8a5916p-3, 0x1.700acf4644c98p-3, 0x1.6b5df27b88fafp-3, 0x1.66ad4cbca0c64p-3, 0x1.61f9a32a7fd21p-3, 0x1.5d43b4ee49bbap-3, 0x1.588c3b45fd35fp-3, 0x1.53d3e9925aefap-3, 0x1.4f1b6d65d7dffp-3, 0x1.4a636e94a0418p-3, 0x1.45ac8f45872a8p-3, 0x1.40f76c03d752ap-3, 0x1.3c449bd1ee29p-3, 0x1.3794b03c96aacp-3, 0x1.32e8356f0fc04p-3, 0x1.2e3fb247aac5dp-3, 0x1.299ba86cfb37ap-3, 0x1.24fc946386c9ep-3, 0x1.2062eda3e1b1ep-3, 0x1.1bcf26b132ba7p-3, 0x1.1741ad3013b43p-3, 0x1.12bae9fdb5a0bp-3, 0x1.0e3b41474fa24p-3, 0x1.09c312a1bf2cep-3, 0x1.0552b9215a5bbp-3, 0x1.00ea8b71df4c5p-3, 0x1.f915b7dd0b918p-4, 0x1.f067f1743e07fp-4, 0x1.e7cc57ae834e7p-4, 0x1.df437680e8396p-4, 0x1.d6cdd200b2fbdp-4, 0x1.ce6be6939f1c2p-4, 0x1.c61e291ff0f23p-4, 0x1.bde5073c697b7p-4, 0x1.b5c0e75fee88dp-4, 0x1.adb22910f71d3p-4, 0x1.a5b92514aa63ap-4, 0x1.9dd62d9da871bp-4, 0x1.96098e7a61655p-4, 0x1.8e538d431cd06p-4, 0x1.86b469877dbb2p-4, 0x1.7f2c5cfb9777cp-4, 0x1.77bb9ba483176p-4, 0x1.706254046fe07p-4, 0x1.6920af462b6e1p-4, 0x1.61f6d1681af5cp-4, 0x1.5ae4d966a0c79p-4, 0x1.53eae165ea287p-4, 0x1.4d08fedb228adp-4, 0x1.463f42b506dcap-4, 0x1.3f8db983d5ee8p-4, 0x1.38f46ba09d998p-4, 0x1.32735d53ded52p-4, 0x1.2c0a8efb87dc9p-4, 0x1.25b9fd3043551p-4, 0x1.1f81a0ea194acp-4, 0x1.19616fa4617c2p-4, 0x1.13595b8105ba7p-4, 0x1.0d69536b12c84p-4, 0x1.0791433898c49p-4, 0x1.01d113cbd771fp-4, 0x1.f851566774c7ap-5, 0x1.ed2fd99743771p-5, 0x1.e23d72b4ee8eep-5, 0x1.d779de6227c62p-5, 0x1.cce4d48fe3819p-5, 0x1.c27e08b85b71dp-5, 0x1.b8452a17b20ebp-5, 0x1.ae39e3e33639ap-5, 0x1.a45bdd7f4a8d8p-5, 0x1.9aaabab3f2775p-5, 0x1.91261be006da2p-5, 0x1.87cd9e2b1678p-5, 0x1.7ea0dbb5f3874p-5, 0x1.759f6bc9f1f8dp-5, 0x1.6cc8e306db5dbp-5, 0x1.641cd38f991e5p-5, 0x1.5b9acd359bb43p-5, 0x1.53425da2fe314p-5, 0x1.4b13108371b1p-5, 0x1.430c6fabeab94p-5, 0x1.3b2e03411ef6p-5, 0x1.337751dcce0acp-5, 0x1.2be7e0b1e27cbp-5, 0x1.247f33af67e66p-5, 0x1.1d3ccda26101ap-5, 0x1.162030567c7b5p-5, 0x1.0f28dcb5b268fp-5, 0x1.085652e6ccd85p-5, 0x1.01a8126add3a6p-5, 0x1.f63b347355f5cp-6, 0x1.e96cd1ba3031bp-6, 0x1.dce3f9170b36bp-6, 0x1.d09fa68276cc4p-6, 0x1.c49ed5b1b16bep-6, 0x1.b8e082459f74ep-6, 0x1.ad63a7f7edb89p-6, 0x1.a22742c65d42bp-6, 0x1.972a4f1c47236p-6, 0x1.8c6bc9fa664fcp-6, 0x1.81eab11ceb1c5p-6, 0x1.77a6031fe4481p-6, 0x1.6d9cbfa206be7p-6, 0x1.63cde765e43f3p-6, 0x1.5a387c718cb3p-6, 0x1.50db822cb6532p-6, 0x1.47b5fd7d62161p-6, 0x1.3ec6f4e317d1dp-6, 0x1.360d7090b960bp-6, 0x1.2d887a84f7568p-6, 0x1.25371ea1733c3p-6, 0x1.1d186ac0970ffp-6, 0x1.152b6eca29c74p-6, 0x1.0d6f3cc6aee5dp-6, 0x1.05e2e8f19074cp-6, 0x1.fd0b13944e1ddp-7, 0x1.eeac704745a48p-7, 0x1.e0a81e67b7175p-7, 0x1.d2fc59423099ep-7, 0x1.c5a7611d9cd89p-7, 0x1.b8a77b52c7c8bp-7, 0x1.abfaf26200ad7p-7, 0x1.9fa01606d7fa7p-7, 0x1.93953b4a234adp-7, 0x1.87d8bc922e19cp-7, 0x1.7c68f9b15f017p-7, 0x1.714457f31ed6ep-7, 0x1.666942275072cp-7, 0x1.5bd628ac2eee4p-7, 0x1.51898176cc081p-7, 0x1.4781c81a222a7p-7, 0x1.3dbd7dccd41cdp-7, 0x1.343b296d9d77ep-7, 0x1.2af957868c5adp-7, 0x1.21f69a4f09959p-7, 0x1.193189acbc83ap-7, 0x1.10a8c3335915bp-7, 0x1.085aea2360c45p-7, 0x1.0046a767e4a2dp-7, 0x1.f0d55326a5ae8p-8, 0x1.e18b49b6b37fp-8, 0x1.d2aca627d9b81p-8, 0x1.c436e752e876ep-8, 0x1.b627973465d99p-8, 0x1.a87c4addd944bp-8, 0x1.9b32a265a755dp-8, 0x1.8e4848d596b7cp-8, 0x1.81baf4180ba3dp-8, 0x1.758864e40aaa4p-8, 0x1.69ae66a81a686p-8, 0x1.5e2acf740e957p-8, 0x1.52fb7fe1cfd1fp-8, 0x1.481e62fd2f6dcp-8, 0x1.3d916e2ad6e73p-8, 0x1.3352a10e61361p-8, 0x1.2960056fad5eap-8, 0x1.1fb7af1f76f59p-8, 0x1.1657bbdb445a5p-8, 0x1.0d3e5330b47f7p-8, 0x1.0469a6603bbdfp-8, 0x1.f7afe07eb67aap-9, 0x1.e70eea34bab43p-9, 0x1.d6ed052b488c4p-9, 0x1.c746df1d2b297p-9, 0x1.b81937f85767fp-9, 0x1.a960e19e72dd1p-9, 0x1.9b1abfa4cfcep-9, 0x1.8d43c713f5becp-9, 0x1.7fd8fe26c02bdp-9, 0x1.72d77c092e736p-9, 0x1.663c6896efa0ep-9, 0x1.5a04fc19bafep-9, 0x1.4e2e7f0789ad3p-9, 0x1.42b649c0b4ae7p-9, 0x1.3799c44e15b54p-9, 0x1.2cd6661f2a3e4p-9, 0x1.2269b5c84ae99p-9, 0x1.185148c1064c2p-9, 0x1.0e8ac322a689ep-9, 0x1.0513d766eeab4p-9, 0x1.f7d48c4e37017p-10, 0x1.e617bbb65c8a3p-10, 0x1.d4ecf53320649p-10, 0x1.c4500bae2952dp-10, 0x1.b43cec4ebf1e3p-10, 0x1.a4af9dfb81807p-10, 0x1.95a440dd06fbfp-10, 0x1.87170de17a285p-10, 0x1.7904564142f5bp-10, 0x1.6b688304c4e8cp-10, 0x1.5e40148b47b3dp-10, 0x1.5187a21305ac1p-10, 0x1.453bd94277bf6p-10, 0x1.39597db2e48d1p-10, 0x1.2ddd687c39616p-10, 0x1.22c487c236167p-10, 0x1.180bde42f83dbp-10, 0x1.0db082e6e6b09p-10, 0x1.03afa051ff3a5p-10, 0x1.f40ce8ed3e03fp-11, 0x1.e164a05366f0ap-11, 0x1.cf612d70d259dp-11, 0x1.bdfd7afea8fb8p-11, 0x1.ad34970634a43p-11, 0x1.9d01b21537627p-11, 0x1.8d601e754e454p-11, 0x1.7e4b4f665f757p-11, 0x1.6fbed85c1f975p-11, 0x1.61b66c3ea826bp-11, 0x1.542ddcae2601ap-11, 0x1.47211949a05bcp-11, 0x1.3a8c2ef8d7a7p-11, 0x1.2e6b47393a30ep-11, 0x1.22baa76df3dc2p-11, 0x1.1776b0330e9b2p-11, 0x1.0c9bdcb3a9121p-11, 0x1.0226c2033b7fbp-11, 0x1.f0281cf3d7a6ep-12, 0x1.dcc11227cf692p-12, 0x1.ca1221a78dea8p-12, 0x1.b815384fd5eb2p-12, 0x1.a6c470a5b5eb7p-12, 0x1.961a11ad2aeddp-12, 0x1.86108dc5a0445p-12, 0x1.76a2818c4283p-12, 0x1.67cab2c418871p-12, 0x1.59840f43d342cp-12, 0x1.4bc9abe941d77p-12, 0x1.3e96c39266632p-12, 0x1.31e6b61c0f956p-12, 0x1.25b50765ee09fp-12, 0x1.19fd5e5c120bap-12, 0x1.0ebb8405c4af7p-12, 0x1.03eb6299a6372p-12, 0x1.f312092e06a42p-13, 0x1.df2127c89e6fp-13, 0x1.cbfcb1e56130ap-13, 0x1.b99d73cd1877fp-13, 0x1.a7fc738a015acp-13, 0x1.9712ef4c7464bp-13, 0x1.86da5bd9222edp-13, 0x1.774c6300b5ca5p-13, 0x1.6862e220c02adp-13, 0x1.5a17e8adbf87fp-13, 0x1.4c65b6c61dc6fp-13, 0x1.3f46bbce01e67p-13, 0x1.32b59513ce96bp-13, 0x1.26ad0c7d1f288p-13, 0x1.1b28173c24328p-13, 0x1.1021d48d40672p-13, 0x1.05958c7ca85a8p-13, 0x1.f6fd5d67ef6d1p-14, 0x1.e3b1a29f11096p-14, 0x1.d13f5f76cf421p-14, 0x1.bf9e532f8835bp-14, 0x1.aec683496cc6p-14, 0x1.9eb0396a56fa2p-14, 0x1.8f540151d1b3dp-14, 0x1.80aaa6dad1182p-14, 0x1.72ad340afb6ccp-14, 0x1.6554ef2f2770fp-14, 0x1.589b5904ce15p-14, 0x1.4c7a2af02868ap-14, 0x1.40eb553eb34fap-14, 0x1.35e8fd75d656cp-14, 0x1.2b6d7cad65f52p-14, 0x1.21735df5c0611p-14, 0x1.17f55cc941c64p-14, 0x1.0eee6388ce4abp-14, 0x1.06598a033022p-14, 0x1.fc64280e15fc5p-15, 0x1.ece6dffe4aea3p-15, 0x1.de326b3194c3dp-15, 0x1.d03e48e807808p-15, 0x1.c30245baeb701p-15, 0x1.b676792336ae7p-15, 0x1.aa934312592dep-15, 0x1.9f51499ce80d4p-15, 0x1.94a976b6b7d16p-15, 0x1.8a94f5fff2ef5p-15, 0x1.810d32a2c59c7p-15, 0x1.780bd5412f33dp-15, 0x1.6f8ac1f29282fp-15, 0x1.678416509cdd2p-15, 0x1.5ff227931f157p-15, 0x1.58cf80ba73d8ep-15, 0x1.5216e0c81504p-15, 0x1.4bc33904fdf4ap-15, 0x1.45cfab557c15ep-15, 0x1.4037889a16197p-15, 0x1.3af64f1d2c326p-15, 0x1.3607a90cfad83p-15, 0x1.31676b01ab0b3p-15, 0x1.2d11928f1779dp-15, 0x1.290244e1fc4dp-15, 0x1.2535cd6835bdbp-15, 0x1.21a89c83c844ep-15, 0x1.1e574648609fp-15, 0x1.1b3e814300544p-15, 0x1.185b254b8da38p-15, 0x1.15aa2a5ffecp-15, 0x1.1328a788dad9dp-15, 0x1.10d3d1c6c9f6ap-15, 0x1.0ea8fb08f263ap-15, 0x1.0ca5912be11b4p-15, 0x1.0ac71d00bfdcbp-15, 0x1.090b415c94831p-15, 0x1.076fba2f54479p-15, 0x1.05f25ba28a162p-15, 0x1.0491113f58d3fp-15, 0x1.0349dd1b9ede3p-15, 0x1.021ad70e06266p-15, 0x1.01022be8cc52bp-15, 0x1.fffc39760e26fp-16, 0x1.fe19fc307e69bp-16, 0x1.fc5a6ecc41b62p-16, 0x1.faba846041afap-16, 0x1.f9375301b6949p-16, 0x1.f7ce1282065eep-16, 0x1.f67c1b3773a02p-16, 0x1.f53ee4d0350e8p-16, 0x1.f414052fb4e7ap-16, 0x1.f2f92f55911ffp-16, 0x1.f1ec324e22b77p-16, 0x1.f0eaf82c2f417p-16, 0x1.eff3850b7dff5p-16, 0x1.ef03f61c0c1c3p-16, 0x1.ee1a80b5917c8p-16, 0x1.ed35717317727p-16, 0x1.ec532b565ce1ap-16, 0x1.eb7226f2bfc4p-16, 0x1.ea90f19f7d396p-16, 0x1.e9ae2cb0fbbfep-16, 0x1.e8c88cb8e537cp-16, 0x1.e7ded8cce5767p-16, 0x1.e6efe9d3c106dp-16, 0x1.e5faa9d8a0c8bp-16, 0x1.e4fe13645023ap-16, 0x1.e3f930dc41d9p-16, 0x1.e2eb1be72623p-16, 0x1.e1d2fcd6e79bfp-16, 0x1.e0b00a17dc7edp-16, 0x1.df8187a4fd68cp-16, 0x1.de46c680f88abp-16, 0x1.dcff2433fd422p-16, 0x1.dbaa0a4e07e5fp-16, 0x1.da46eded96b77p-16, 0x1.d8d54f4a96f7cp-16, 0x1.d754b945678c5p-16, 0x1.d5c4c0f9d2ed3p-16, 0x1.d4250555d0cf6p-16, 0x1.d2752eb3fef8ap-16, 0x1.d0b4ee799f832p-16, 0x1.cee3feb80b479p-16, 0x1.cd0221d170caap-16, 0x1.cb0f2220c72e7p-16, 0x1.c90ad1a4d4bb1p-16, 0x1.c6f509ae31eeep-16, 0x1.c4cdaa902c444p-16, 0x1.c2949b546e031p-16, 0x1.c049c971540f5p-16, 0x1.bded2882d87c9p-16, 0x1.bb7eb205fc479p-16, 0x1.b8fe651697b6fp-16, 0x1.b66c462f7f5eep-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.5b565ace7fdaap-3, -0x1.6ecf5b130e148p-3, -0x1.822fc3d57ee36p-3, -0x1.9568c429ddf4bp-3, -0x1.a86ca011bed63p-3, -0x1.bb2ed8299a26p-3, -0x1.cda443a2b28b9p-3, -0x1.dfc31e7adcecfp-3, -0x1.f1830dd37f109p-3, -0x1.016e8e1549954p-2, -0x1.09e5d78899d07p-2, -0x1.12253be7acceap-2, -0x1.1a2b301ba11e3p-2, -0x1.21f6ba5f4f5e7p-2, -0x1.29876664d7356p-2, -0x1.30dd38f6e0ad1p-2, -0x1.37f8a366c6373p-2, -0x1.3eda77097d884p-2, -0x1.4583d8f769152p-2, -0x1.4bf63637b393p-2, -0x1.52333875ca008p-2, -0x1.583cbb573eaf3p-2, -0x1.5e14c2814bc49p-2, -0x1.63bd705781333p-2, -0x1.6938fd785dc85p-2, -0x1.6e89b0f8d5eb1p-2, -0x1.73b1d95cc1843p-2, -0x1.78b3c647c10afp-2, -0x1.7d91c2e06a6b1p-2, -0x1.824e10de1d089p-2, -0x1.86eae438e6bb9p-2, -0x1.8b6a5f723c106p-2, -0x1.8fce906ccd223p-2, -0x1.94196dc990e9cp-2, -0x1.984cd4c01417bp-2, -0x1.9c6a87682beb1p-2, -0x1.a0742b6b5e475p-2, -0x1.a46b49149e24dp-2, -0x1.a8514ab5455acp-2, -0x1.ac277c56a86afp-2, -0x1.afef0bafff184p-2, -0x1.b3a90858d9064p-2, -0x1.b7566430cb0ddp-2, -0x1.baf7f3f5736bbp-2, -0x1.be8e7000758c9p-2, -0x1.c21a75277c9ebp-2, -0x1.c59c85b8d4ed7p-2, -0x1.c9150a8f8fp-2, -0x1.cc84543a9d3e3p-2, -0x1.cfea9c32bc4cdp-2, -0x1.d348061b62854p-2, -0x1.d69ca10b5109ep-2, -0x1.d9e868d9b6bb6p-2, -0x1.dd2b476d392adp-2, -0x1.e065160a7685ep-2, -0x1.e3959e9feb734p-2, -0x1.e6bc9d0d67288p-2, -0x1.e9d9c0657a6dp-2, -0x1.ececac278616ep-2, -0x1.eff4f9714c754p-2, -0x1.f2f2382709a54p-2, -0x1.f5e3f01158574p-2, -0x1.f8c9a1f040bbap-2, -0x1.fba2c882fb474p-2, -0x1.fe6ed984111cdp-2, -0x1.0096a34cce441p-1, -0x1.01eebf1cc609dp-1, -0x1.033f7640ef45fp-1, -0x1.04887e026e9b9p-1, -0x1.05c98b44b9854p-1, -0x1.070252dfe51afp-1, -0x1.083289f531bcp-1, -0x1.0959e63df3f2dp-1, -0x1.0a781e55010cp-1, -0x1.0b8ce9fac41aep-1, -0x1.0c9802542ab38p-1, -0x1.0d992224923f9p-1, -0x1.0e900602e688ep-1, -0x1.0f7c6c8a232b2p-1, -0x1.105e1685633f2p-1, -0x1.1134c717b71b6p-1, -0x1.120043dfe9479p-1, -0x1.12c055186965dp-1, -0x1.1374c5b388d3ep-1, -0x1.141d637439d5ap-1, -0x1.14b9ff037e25p-1, -0x1.154a6c02b386bp-1, -0x1.15ce811ae82a1p-1, -0x1.1646180962289p-1, -0x1.16b10da982d0fp-1, -0x1.170f41fc2f179p-1, -0x1.1760982cdfe93p-1, -0x1.17a4f694829f4p-1, -0x1.17dc46ba4b012p-1, -0x1.18067552975fap-1, -0x1.1823723c0c9c6p-1, -0x1.1833307b001a8p-1, -0x1.1835a633579f5p-1, -0x1.182acca0f1627p-1, -0x1.1812a00eb744dp-1, -0x1.17ed1fcc72128p-1, -0x1.17ba4e2375e0fp-1, -0x1.177a304a41eccp-1, -0x1.172cce5724053p-1, -0x1.16d23331fbaadp-1, -0x1.166a6c852af37p-1, -0x1.15f58aadcb329p-1, -0x1.1573a0ab361afp-1, -0x1.14e4c40df6439p-1, -0x1.14490ce62af03p-1, -0x1.13a095b174a9cp-1, -0x1.12eb7b4873aadp-1, -0x1.1229dccbe8665p-1, -0x1.115bdb9183924p-1, -0x1.10819b1070449p-1, -0x1.0f9b40cda6a5cp-1, -0x1.0ea8f4480e7a9p-1, -0x1.0daadee47f281p-1, -0x1.0ca12bd9a715ap-1, -0x1.0b8c081be1403p-1, -0x1.0a6ba24903c33p-1, -0x1.09402a9430242p-1, -0x1.0809d2b1ac6a5p-1, -0x1.06c8cdc2cbd2cp-1, -0x1.057d5041ef7d1p-1, -0x1.04278feea68ap-1, -0x1.02c7c3b9f0178p-1, -0x1.015e23b2a9a88p-1, -0x1.ffd5d1e45a18dp-2, -0x1.fcdc9b1244c89p-2, -0x1.f9d118d91a2edp-2, -0x1.f6b3c2c62e063p-2, -0x1.f38511e53d086p-2, -0x1.f045809c15be6p-2, -0x1.ecf58a86d7bap-2, -0x1.e995ac54ce0fdp-2, -0x1.e62663a5eb39ap-2, -0x1.e2a82ee8ef2d9p-2, -0x1.df1b8d3a37383p-2, -0x1.db80fe4345ae3p-2, -0x1.d7d9021afbbc1p-2, -0x1.d424192690542p-2, -0x1.d062c3fb46ddbp-2, -0x1.cc958340e4c3ep-2, -0x1.c8bcd794f0733p-2, -0x1.c4d9416eb39cbp-2, -0x1.c0eb4104098b1p-2, -0x1.bcf3562ef7c7p-2, -0x1.b8f20054141f4p-2, -0x1.b4e7be49b9d66p-2, -0x1.b0d50e400c343p-2, -0x1.acba6da9c9ff6p-2, -0x1.a8985925f08d7p-2, -0x1.a46f4c6a2d884p-2, -0x1.a03fc22e24afdp-2, -0x1.9c0a34177f7acp-2, -0x1.97cf1aa6cf617p-2, -0x1.938eed253bca7p-2, -0x1.8f4a2192fdcbp-2, -0x1.8b012c96a718p-2, -0x1.86b4816d30322p-2, -0x1.826491dad233ap-2, -0x1.7e11ce1ca4541p-2, -0x1.79bca4dafcb27p-2, -0x1.7565831c93f46p-2, -0x1.710cd43a69177p-2, -0x1.6cb301d45dfap-2, -0x1.685873c691e31p-2, -0x1.63fd901f70cc8p-2, -0x1.5fa2bb1676ff7p-2, -0x1.5b485703a6cf5p-2, -0x1.56eec457aa4bbp-2, -0x1.52966194a0e8ep-2, -0x1.4e3f8b4793d8p-2, -0x1.49ea9c028dfa8p-2, -0x1.4597ec5754cep-2, -0x1.4147d2d2bbb6bp-2, -0x1.3cfaa3f893dbfp-2, -0x1.38b0b2402f5adp-2, -0x1.346a4e1173681p-2, -0x1.3027c5c27e387p-2, -0x1.2be96595d0dap-2, -0x1.27af77b903267p-2, -0x1.237a4443f6d0bp-2, -0x1.1f4a11388d813p-2, -0x1.1b1f2282d1bd3p-2, -0x1.16f9b9f99f587p-2, -0x1.12da175fb6562p-2, -0x1.0ec0786541e55p-2, -0x1.0aad18a9c8eb1p-2, -0x1.06a031be81813p-2, -0x1.0299fb290fc51p-2, -0x1.fd3554cd35b48p-3, -0x1.f544e5de863e4p-3, -0x1.ed630c73d9a65p-3, -0x1.e5902780c5659p-3, -0x1.ddcc9207840cbp-3, -0x1.d618a3227481p-3, -0x1.ce74ae0e1fcf1p-3, -0x1.c6e10233cf3dep-3, -0x1.bf5deb34a490ep-3, -0x1.b7ebb0f52d6fcp-3, -0x1.b08a97a96ae94p-3, -0x1.a93adfe14d121p-3, -0x1.a1fcc6959046cp-3, -0x1.9ad08534feb41p-3, -0x1.93b651b20d5a2p-3, -0x1.8cae5e90cd80ap-3, -0x1.85b8daf528efbp-3, -0x1.7ed5f2b16f14dp-3, -0x1.7805ce551c366p-3, -0x1.7148933be0dc7p-3, -0x1.6a9e639ce185ep-3, -0x1.64075e9a26bdap-3, -0x1.5d83a0503aee3p-3, -0x1.571341e5e9a12p-3, -0x1.50b6599c2e3ecp-3, -0x1.4a6cfade2d5bcp-3, -0x1.44373651583fep-3, -0x1.3e1519e596943p-3, -0x1.3806b0e58a755p-3, -0x1.320c0406d647dp-3, -0x1.2c25197a6c397p-3, -0x1.2651f4fce76fbp-3, -0x1.209297e6d641ep-3, -0x1.1ae7013d0d3f5p-3, -0x1.154f2dc0e7bcdp-3, -0x1.0fcb1800831a8p-3, -0x1.0a5ab866e32bcp-3, -0x1.04fe054c0eb3fp-3, -0x1.ff69e60a0de3dp-4, -0x1.f4fee7e77205ep-4, -0x1.eabaf12d83114p-4, -0x1.e09ddf323d6e2p-4, -0x1.d6a78bc379203p-4, -0x1.ccd7cd45bbdf6p-4, -0x1.c32e76d2c30f7p-4, -0x1.b9ab5857bb08bp-4, -0x1.b04e3eb323b1cp-4, -0x1.a716f3d2642dp-4, -0x1.9e053ecef1739p-4, -0x1.9518e40b3081p-4, -0x1.8c51a54edb6afp-4, -0x1.83af41e316f41p-4, -0x1.7b3176ae14b79p-4, -0x1.72d7fe4e4e97ap-4, -0x1.6aa2913554ecbp-4, -0x1.6290e5c22e66bp-4, -0x1.5aa2b05b46769p-4, -0x1.52d7a387e8d73p-4, -0x1.4b2f700949db3p-4, -0x1.43a9c4f316c13p-4, -0x1.3c464fc390dcfp-4, -0x1.3504bc7b2fb8ep-4, -0x1.2de4b5b3c979ap-4, -0x1.26e5e4b741856p-4, -0x1.2007f195bc8cfp-4, -0x1.194a833b59429p-4, -0x1.12ad3f856c29p-4, -0x1.0c2fcb574179p-4, -0x1.05d1caae60b6dp-4, -0x1.ff25c16caaf85p-5, -0x1.f2e55fb7f81f6p-5, -0x1.e6e1b3c0a335ep-5, -0x1.db19ffd59169dp-5, -0x1.cf8d85364803fp-5, -0x1.c43b8435aa4ffp-5, -0x1.b9233c5bc5188p-5, -0x1.ae43ec86a5418p-5, -0x1.a39cd30a41f1cp-5, -0x1.992d2dcf728ebp-5, -0x1.8ef43a71fc26cp-5, -0x1.84f1365db0a88p-5, -0x1.7b235eeaa6f13p-5, -0x1.7189f1788c0b5p-5, -0x1.68242b890f60dp-5, -0x1.5ef14ad96fdbbp-5, -0x1.55f08d7b27d7fp-5, -0x1.4d2131ebbe3d7p-5, -0x1.4482772bbf912p-5, -0x1.3c139cd4defe4p-5, -0x1.33d3e32f45ac9p-5, -0x1.2bc28b4612261p-5, -0x1.23ded6fb0b50dp-5, -0x1.1c28091989737p-5, -0x1.149d656899d78p-5, -0x1.0d3e30bc5ecb5p-5, -0x1.0609b106b1ff9p-5, -0x1.fdfe5ace149b9p-6, -0x1.f03bdc7352436p-6, -0x1.e2ca7a4c2611ap-6, -0x1.d5a8ca59b161dp-6, -0x1.c8d5656960a7dp-6, -0x1.bc4ee72dcc833p-6, -0x1.b013ee564eae8p-6, -0x1.a4231ca5511ffp-6, -0x1.987b17055db05p-6, -0x1.8d1a859cf8d74p-6, -0x1.820013e14bb4dp-6, -0x1.772a70a7a68e9p-6, -0x1.6c984e35e215dp-6, -0x1.62486251a4635p-6, -0x1.5839664e97bbap-6, -0x1.4e6a171b91005p-6, -0x1.44d9354eb547fp-6, -0x1.3b858530a0065p-6, -0x1.326dcec691816p-6, -0x1.2990dddbb18adp-6, -0x1.20ed8209667c9p-6, -0x1.18828ebec8371p-6, -0x1.104edb473f505p-6, -0x1.085142d048016p-6, -0x1.0088a46e6b1fp-6, -0x1.f1e7c642dba1ep-7, -0x1.e323cbaf8694bp-7, -0x1.d4c32ee281066p-7, -0x1.c6c3cd823631ep-7, -0x1.b9238d1e7d30bp-7, -0x1.abe05b31ec285p-7, -0x1.9ef82d21e0bbcp-7, -0x1.9269003d63c1cp-7, -0x1.8630d9bac6776p-7, -0x1.7a4dc6b432e46p-7, -0x1.6ebddc231a53cp-7, -0x1.637f36da9c9e8p-7, -0x1.588ffb80ec81bp-7, -0x1.4dee5687bda9bp-7, -0x1.43987c23c9f64p-7, -0x1.398ca843705bp-7, -0x1.2fc91e847ed09p-7, -0x1.264c2a292d1b8p-7, -0x1.1d141e0c53ceep-7, -0x1.141f5494e6942p-7, -0x1.0b6c2fa8bcd73p-7, -0x1.02f9189eb1d74p-7, -0x1.f589006045766p-8, -0x1.e599bcd3a9dd1p-8, -0x1.d621653899e1ep-8, -0x1.c71d06973824p-8, -0x1.b889bc3d5fddfp-8, -0x1.aa64af9c4e26ap-8, -0x1.9cab18256e85ep-8, -0x1.8f5a3b264f13ep-8, -0x1.826f6ba3d2a9ap-8, -0x1.75e80a34a9db1p-8, -0x1.69c184db21163p-8, -0x1.5df956de52d2fp-8, -0x1.528d08a2c7641p-8, -0x1.477a2f829035fp-8, -0x1.3cbe6da4ea03bp-8, -0x1.325771d572aeep-8, -0x1.2842f75afa0a2p-8, -0x1.1e7ec5cdfd5a2p-8, -0x1.1508b0eed3bf2p-8, -0x1.0bde987b97e8p-8, -0x1.02fe6805d782p-8, -0x1.f4cc2d9023ebep-9, -0x1.e4274ef621bcbp-9, -0x1.d40a505641ec9p-9, -0x1.c471641a67e85p-9, -0x1.b558d2a7e9c2ap-9, -0x1.a6bcfa09ad116p-9, -0x1.989a4d9a418a3p-9, -0x1.8aed55ae0ec3p-9, -0x1.7db2af3d9fc88p-9, -0x1.70e70b9017cdcp-9, -0x1.64872fe5e0465p-9, -0x1.588ff52397befp-9, -0x1.4cfe477d55b68p-9, -0x1.41cf262243795p-9, -0x1.36ffa2e899c03p-9, -0x1.2c8ce1fa12d81p-9, -0x1.22741980cf109p-9, -0x1.18b29154be05cp-9, -0x1.0f45a2a992f6dp-9, -0x1.062ab7bd46f91p-9, -0x1.fabe970e7bb98p-10, -0x1.e9c1d2d00621cp-10, -0x1.d95a59b36e95ep-10, -0x1.c98382424f435p-10, -0x1.ba38c1ff3dfb6p-10, -0x1.ab75accad99ebp-10, -0x1.9d35f44a697b3p-10, -0x1.8f75674ff2768p-10, -0x1.822ff143fa503p-10, -0x1.75619990cd131p-10, -0x1.6906830f84e3p-10, -0x1.5d1aeb76a5fcdp-10, -0x1.519b2aca7f535p-10, -0x1.4683b2cf40058p-10, -0x1.3bd10e7cccf06p-10, -0x1.317fe1745e3e3p-10, -0x1.278ce777e6135p-10, -0x1.1df4f3e341789p-10, -0x1.14b4f12747c7dp-10, -0x1.0bc9e0469fd52p-10, -0x1.0330d8547957dp-10, -0x1.f5ce0bea376e4p-11, -0x1.e5d355c0a1f5ep-11, -0x1.d66c3acb61a4ep-11, -0x1.c7938fe591be9p-11, -0x1.b94451364a668p-11, -0x1.ab79a14471c66p-11, -0x1.9e2ec80e4c784p-11, -0x1.915f3224ce1bep-11, -0x1.85066fcaa729p-11, -0x1.792034170ea5dp-11, -0x1.6da8541c4666cp-11, -0x1.629ac611d3fd3p-11, -0x1.57f3a0826de22p-11, -0x1.4daf197d95e11p-11, -0x1.43c985ccdfdcfp-11, -0x1.3a3f582cda207p-11, -0x1.310d208998591p-11, -0x1.282f8b3ed5fb7p-11, -0x1.1fa3605bac75ep-11, -0x1.176582e9d6aa6p-11, -0x1.0f72f03878e69p-11, -0x1.07c8bf2a66997p-11, -0x1.00641f87e0252p-11, -0x1.f284b2a77bfabp-12, -0x1.e4c1984801f0ep-12, -0x1.d779dcfb862e2p-12, -0x1.caa89a68f4b43p-12, -0x1.be49159913a4fp-12, -0x1.b256bdc227b6ep-12, -0x1.a6cd2b1a0c956p-12, -0x1.9ba81daeb082ap-12, -0x1.90e37c44d49b8p-12, -0x1.867b533d0f09dp-12, -0x1.7c6bd37eeaa9bp-12, -0x1.72b1516a1a3a7p-12, -0x1.694843cda9ef9p-12, -0x1.602d42e511a8ep-12, -0x1.575d075b2350cp-12, -0x1.4ed46952acd84p-12, -0x1.46905f74cc042p-12, -0x1.3e8dfe04cf8f8p-12, -0x1.36ca75f998953p-12, -0x1.2f43141c65bb6p-12, -0x1.27f5402cf0b56p-12, -0x1.20de7c0acb32ap-12, -0x1.19fc62e3e2e78p-12, -0x1.134ca8681a3aep-12, -0x1.0ccd1801de9e9p-12, -0x1.067b9413a7dccp-12, -0x1.0056153a49d53p-12, -0x1.f4b5532809b1ep-13, -0x1.e90ee81880c25p-13, -0x1.ddb55757ab1d1p-13, -0x1.d2a535dbbd441p-13, -0x1.c7db3e31d1839p-13, -0x1.bd544f3907f8bp-13, -0x1.b30d6ae6159edp-13, -0x1.a903b50f3c14dp-13, -0x1.9f347240620cbp-13, -0x1.959d06973ee1dp-13, -0x1.8c3af4a760975p-13, -0x1.830bdc65e66a8p-13, -0x1.7a0d7a1cd1585p-13, -0x1.713da565b8268p-13, -0x1.689a502bc4d08p-13, -0x1.602185b4c8014p-13, -0x1.57d169b146ad8p-13, -0x1.4fa8375357799p-13, -0x1.47a4406c2cc96p-13, -0x1.3fc3ec902940cp-13, -0x1.3805b8415377ap-13, -0x1.306834200b29cp-13, -0x1.28ea0421e05a2p-13, -0x1.2189dece5cae8p-13, -0x1.1a468c81a963ep-13, -0x1.131ee6b4ecee9p-13, -0x1.0c11d74c398b2p-13, -0x1.051e57e9efec1p-13, -0x1.fc86e28ef7ce6p-14, -0x1.ef007526732d8p-14, -0x1.e1a7b1a6f7765p-14, -0x1.d47afc9cf8d4fp-14, -0x1.c778d3ee5a7ecp-14, -0x1.ba9fcdbd722f4p-14, -0x1.adee97554abc7p-14, -0x1.a163f41eebeefp-14, -0x1.94febc9f4f598p-14, -0x1.88bddd7dfacbcp-14, -0x1.7ca05693ddd7ap-14, -0x1.70a53a0256d8ap-14, -0x1.64cbab521deabp-14, -0x1.5912de99e785p-14, -0x1.4d7a17ac87c66p-14, -0x1.4200a94e65d06p-14, -0x1.36a5f4720ebbp-14, -0x1.2b69677bb4ca9p-14, -0x1.204a7d8b6e67fp-14, -0x1.1548bdce051efp-14, -0x1.0a63bad4256fap-14, -0x1.ff3623df89df7p-15, -0x1.e9dcd52f258cdp-15, -0x1.d4baeba088cc7p-15, -0x1.bfcfdb3732729p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.daf552d98b294p-2, 0x1.dd59fd2b8f25bp-2, 0x1.dfbbc0ac2b5ecp-2, 0x1.e2150db4ea2f4p-2, 0x1.e460d1d3cdcd6p-2, 0x1.e69a84ac90b06p-2, 0x1.e8be2f5b5674fp-2, 0x1.eac86f35b1234p-2, 0x1.ecb674bbc98a9p-2, 0x1.ee85ff7ab4064p-2, 0x1.f035578d653bcp-2, 0x1.f1c34554c6f4ap-2, 0x1.f32f07ead3f65p-2, 0x1.f4784ac0b7f3ap-2, 0x1.f59f1ac5b890dp-2, 0x1.f6a3db63f4b8cp-2, 0x1.f7873b914593p-2, 0x1.f84a2b258d4ep-2, 0x1.f8edd09c8a33bp-2, 0x1.f9737f5f98d93p-2, 0x1.f9dcaeabc821dp-2, 0x1.fa2af121b4f32p-2, 0x1.fa5fed0721e7ap-2, 0x1.fa7d553d9304bp-2, 0x1.fa84e2ed83777p-2, 0x1.fa784fe2e3a3dp-2, 0x1.fa595195373eap-2, 0x1.fa2994d3fad91p-2, 0x1.f9eaba0eaca49p-2, 0x1.f99e522ef45c1p-2, 0x1.f945dbfada62cp-2, 0x1.f8e2c1f4b3d5p-2, 0x1.f87658ae4b5fep-2, 0x1.f801dd84fb201p-2, 0x1.f78675bc8d348p-2, 0x1.f7052def2b7cp-2, 0x1.f67ef9c8f7712p-2, 0x1.f5f4b40673589p-2, 0x1.f5671ead59a14p-2, 0x1.f4d6e37816314p-2, 0x1.f444946c9cce3p-2, 0x1.f3b0ac97e651p-2, 0x1.f31b90e7f1a85p-2, 0x1.f285911ea5ab7p-2, 0x1.f1eee8d884124p-2, 0x1.f157c0a28b6b7p-2, 0x1.f0c02f1b362bcp-2, 0x1.f0283a1ae0db6p-2, 0x1.ef8fd7e05e4e9p-2, 0x1.eef6f03ee1283p-2, 0x1.ee5d5dcab7372p-2, 0x1.edc2ef02b5c35p-2, 0x1.ed2767747aebcp-2, 0x1.ec8a80d9f9952p-2, 0x1.ebebec2efa2dbp-2, 0x1.eb4b52bd85c14p-2, 0x1.eaa8572057fccp-2, 0x1.ea02963aae5cbp-2, 0x1.e959a824ed82p-2, 0x1.e8ad210dc6ea1p-2, 0x1.e7fc920f9759fp-2, 0x1.e74789f9ebf3fp-2, 0x1.e68d960f1c615p-2, 0x1.e5ce42b613903p-2, 0x1.e5091c20624ccp-2, 0x1.e43daee4d1cc3p-2, 0x1.e36b888eb8231p-2, 0x1.e29238224fbe3p-2, 0x1.e1b14e96729f5p-2, 0x1.e0c85f440656p-2, 0x1.dfd7004b8321ep-2, 0x1.dedccaf0f3ed8p-2, 0x1.ddd95beed6ebdp-2, 0x1.dccc53c049b8fp-2, 0x1.dbb556e2e4d22p-2, 0x1.da940e10b4cbcp-2, 0x1.d9682672b7bbfp-2, 0x1.d83151cc42b22p-2, 0x1.d6ef469fb9a8bp-2, 0x1.d5a1c04cf8f14p-2, 0x1.d4487f29d22dfp-2, 0x1.d2e34894fa167p-2, 0x1.d171e703c211p-2, 0x1.cff42a0af7ca1p-2, 0x1.ce69e6633830ep-2, 0x1.ccd2f5e910745p-2, 0x1.cb2f3799327aep-2, 0x1.c97e8f890ce4p-2, 0x1.c7c0e6dc0cee3p-2, 0x1.c5f62bb5c9995p-2, 0x1.c41e51296338dp-2, 0x1.c2394f264684ap-2, 0x1.c04722629b4abp-2, 0x1.be47cc438f91ap-2, 0x1.bc3b52c3b3129p-2, 0x1.ba21c0579992fp-2, 0x1.b7fb23d0ed06p-2, 0x1.b5c79040243bap-2, 0x1.b3871cd4fe388p-2, 0x1.b139e4bdf1461p-2, 0x1.aee00706b23bep-2, 0x1.ac79a675f2cb3p-2, 0x1.aa06e96a7a6c9p-2, 0x1.a787f9b7bb5cfp-2, 0x1.a4fd0481fc49fp-2, 0x1.a2663a1a32d4fp-2, 0x1.9fc3cdd9abf22p-2, 0x1.9d15f5fd93bc5p-2, 0x1.9a5ceb827871fp-2, 0x1.9798e9ffdaa43p-2, 0x1.94ca2f83dd105p-2, 0x1.91f0fc6f270cap-2, 0x1.8f0d93510b218p-2, 0x1.8c2038c3fefeep-2, 0x1.8929334a72012p-2, 0x1.8628cb2c159e7p-2, 0x1.831f4a53990efp-2, 0x1.800cfc2cec6a4p-2, 0x1.7cf22d8413968p-2, 0x1.79cf2c648b3aap-2, 0x1.76a447f951bd1p-2, 0x1.7371d06d92fcbp-2, 0x1.703816ce0628fp-2, 0x1.6cf76ceaf9c2cp-2, 0x1.69b0253b1bdb4p-2, 0x1.666292befd3c1p-2, 0x1.630f08e556846p-2, 0x1.5fb5db7011ddep-2, 0x1.5c575e5a1bec4p-2, 0x1.58f3e5bdfcda1p-2, 0x1.558bc5bd3fa97p-2, 0x1.521f5268a2832p-2, 0x1.4eaedfa9193f1p-2, 0x1.4b3ac1299a3c7p-2, 0x1.47c34a41bc227p-2, 0x1.4448cde120931p-2, 0x1.40cb9e7bad239p-2, 0x1.3d4c0df69066p-2, 0x1.39ca6d9613e62p-2, 0x1.36470dec37942p-2, 0x1.32c23ec815bcdp-2, 0x1.2f3c4f260d5b7p-2, 0x1.2bb58d20b0228p-2, 0x1.282e45e2766dbp-2, 0x1.24a6c5982c5c8p-2, 0x1.211f57642232ap-2, 0x1.1d984552117adp-2, 0x1.1a11d84bbb524p-2, 0x1.168c580e3be7p-2, 0x1.13080b200a5d7p-2, 0x1.0f8536c7a831bp-2, 0x1.0c041f02fb3d4p-2, 0x1.0885067f48b52p-2, 0x1.05082e91d90a5p-2, 0x1.018dd73132a48p-2, 0x1.fc2c7dddedcdap-3, 0x1.f54345e49d29p-3, 0x1.ee607de5d93f7p-3, 0x1.e7849a694435ep-3, 0x1.e0b00d06edf8cp-3, 0x1.d9e344609ad7p-3, 0x1.d31eac1c111d5p-3, 0x1.cc62acde5fa01p-3, 0x1.c5afac481d328p-3, 0x1.bf060cf29055cp-3, 0x1.b8662e6dc4668p-3, 0x1.b1d06d3f756a7p-3, 0x1.ab4522e2d43fdp-3, 0x1.a4c4a5c918a1dp-3, 0x1.9e4f495ad752fp-3, 0x1.97e55dfa19cc2p-3, 0x1.9187310526b84p-3, 0x1.8b350cd9fde0cp-3, 0x1.84ef38da7cfcap-3, 0x1.7eb5f9711cabap-3, 0x1.78899016502bfp-3, 0x1.726a3b566c85p-3, 0x1.6c5836d821b6ep-3, 0x1.6653bb637536ep-3, 0x1.605cfee93790fp-3, 0x1.5a74348aef06ap-3, 0x1.54998ca3380bfp-3, 0x1.4ecd34ce84c32p-3, 0x1.490f57f447c98p-3, 0x1.43601e507617ep-3, 0x1.3dbfad7d61bb3p-3, 0x1.382e287de578dp-3, 0x1.32abafc7d8949p-3, 0x1.2d38614ecab69p-3, 0x1.27d4588efc831p-3, 0x1.227fae9894e39p-3, 0x1.1d3a7a1b0bf7ep-3, 0x1.1804cf70c4a5ap-3, 0x1.12dec0aad060cp-3, 0x1.0dc85d9cdc4b1p-3, 0x1.08c1b3e941831p-3, 0x1.03cacf0d2a8f6p-3, 0x1.fdc770d9bd394p-4, 0x1.f418eec03055ap-4, 0x1.ea8a227ce1ad9p-4, 0x1.e11b12d7b4ab7p-4, 0x1.d7cbc2ca3eb64p-4, 0x1.ce9c3198d71p-4, 0x1.c58c5aebadbe6p-4, 0x1.bc9c36e7deeep-4, 0x1.b3cbba4878432p-4, 0x1.ab1ad67781afp-4, 0x1.a28979a6d887bp-4, 0x1.9a178ee90e25p-4, 0x1.91c4fe4a0d7d9p-4, 0x1.8991ace7ac5b5p-4, 0x1.817d7d0a122b2p-4, 0x1.79884e3beca89p-4, 0x1.71b1fd6276183p-4, 0x1.69fa64d545261p-4, 0x1.62615c75e3103p-4, 0x1.5ae6b9c723b75p-4, 0x1.538a50043e008p-4, 0x1.4c4bf0379ee71p-4, 0x1.452b695175d56p-4, 0x1.3e28883df6eep-4, 0x1.374317fb5019cp-4, 0x1.307ae1af4ebeap-4, 0x1.29cfacbcb5115p-4, 0x1.23413ed8398d1p-4, 0x1.1ccf5c1d32ae7p-4, 0x1.1679c721e97cep-4, 0x1.1040410b94ff6p-4, 0x1.0a2289a1f8742p-4, 0x1.04205f62a856cp-4, 0x1.fc72ff27dfc0cp-5, 0x1.f0db4caeb3fccp-5, 0x1.e5791d77b6398p-5, 0x1.da4be59f3403ap-5, 0x1.cf531762b2fa6p-5, 0x1.c48e234301423p-5, 0x1.b9fc782584195p-5, 0x1.af9d8374c0afbp-5, 0x1.a570b14025f2bp-5, 0x1.9b756c5b0dca9p-5, 0x1.91ab1e7afe3dbp-5, 0x1.8811305525e4ap-5, 0x1.7ea709bb16278p-5, 0x1.756c11b6b9802p-5, 0x1.6c5faea58b0ap-5, 0x1.638146530a17ep-5, 0x1.5ad03e1273a9p-5, 0x1.524bfad7b6d69p-5, 0x1.49f3e14fb2a54p-5, 0x1.41c755f7b57e6p-5, 0x1.39c5bd3442e29p-5, 0x1.31ee7b6722db2p-5, 0x1.2a40f504ba76ap-5, 0x1.22bc8ea8b0d3ep-5, 0x1.1b60ad29e0bccp-5, 0x1.142cb5ad9ccb9p-5, 0x1.0d200dba43a3dp-5, 0x1.063a1b492a954p-5, 0x1.fef489afbeb6bp-6, 0x1.f1bfe2f181f5dp-6, 0x1.e4d511c5f1114p-6, 0x1.d832e7039a8c2p-6, 0x1.cbd83506b7a4dp-6, 0x1.bfc3cfcd6192bp-6, 0x1.b3f48d1293f4bp-6, 0x1.a8694467fff66p-6, 0x1.9d20cf4ebd89p-6, 0x1.921a094ed0d7ep-6, 0x1.8753d00d9f688p-6, 0x1.7ccd036341e77p-6, 0x1.7284856ecec75p-6, 0x1.68793aa993d7ap-6, 0x1.5eaa09f94a164p-6, 0x1.5515dcc150663p-6, 0x1.4bbb9ef2e1e88p-6, 0x1.429a3f1c5e7cep-6, 0x1.39b0ae77a7864p-6, 0x1.30fde0f789e91p-6, 0x1.2880cd544f4dfp-6, 0x1.20386d176b65p-6, 0x1.1823bca654a63p-6, 0x1.1041bb4c8c12bp-6, 0x1.08916b44d3436p-6, 0x1.0111d1c1a1a7fp-6, 0x1.f383ede9ac4b5p-7, 0x1.e541cc2d58407p-7, 0x1.d75b5ad7f7516p-7, 0x1.c9cebc978de19p-7, 0x1.bc9a1a4841ee8p-7, 0x1.afbba2fccb625p-7, 0x1.a3318c05b196ap-7, 0x1.96fa10f747f67p-7, 0x1.8b1373ae8313p-7, 0x1.7f7bfc54a35c2p-7, 0x1.7431f961cbffcp-7, 0x1.6933bf9e8488ap-7, 0x1.5e7faa243788ap-7, 0x1.54141a5cb3ee7p-7, 0x1.49ef7800bae22p-7, 0x1.401031159a4b8p-7, 0x1.3674b9e9f731fp-7, 0x1.2d1b8d11ae106p-7, 0x1.24032b60eb749p-7, 0x1.1b2a1be67b38fp-7, 0x1.128eebe557c72p-7, 0x1.0a302ecd81b13p-7, 0x1.020c7e3428a3p-7, 0x1.f444f39657b98p-8, 0x1.e4e18eaff74b5p-8, 0x1.d5ec2553c21d4p-8, 0x1.c7621b1f6b2f5p-8, 0x1.b940df9a2021dp-8, 0x1.ab85ee1ddca17p-8, 0x1.9e2ecdbfc7d15p-8, 0x1.91391137a1e41p-8, 0x1.84a256c657d7ep-8, 0x1.7868481bc2af5p-8, 0x1.6c889a3ba27a5p-8, 0x1.61010d61df507p-8, 0x1.55cf6ce61d304p-8, 0x1.4af18f1ead755p-8, 0x1.40655542e7bedp-8, 0x1.3628ab4cf7c9ep-8, 0x1.2c3987db28214p-8, 0x1.2295ec10b4e3cp-8, 0x1.193be37630352p-8, 0x1.102983d981a17p-8, 0x1.075ced2d8b6e3p-8, 0x1.fda892d2f394cp-9, 0x1.ed1b98cf985eap-9, 0x1.dd0f678a34289p-9, 0x1.cd808d7d40ecap-9, 0x1.be6bac2133ca9p-9, 0x1.afcd77a8e2d2fp-9, 0x1.a1a2b6bd9d21ap-9, 0x1.93e8423b0e9ecp-9, 0x1.869b04eaf8656p-9, 0x1.79b7fb40ce25fp-9, 0x1.6d3c33153eb3ap-9, 0x1.6124cb61bf62bp-9, 0x1.556ef3fc1405cp-9, 0x1.4a17ed51f5e1ep-9, 0x1.3f1d0824ca656p-9, 0x1.347ba5458eca1p-9, 0x1.2a313550e7be3p-9, 0x1.203b386b75bbdp-9, 0x1.16973dfe67dd3p-9, 0x1.0d42e4745a1fdp-9, 0x1.043bd8f68edb2p-9, 0x1.f6ffae54f28ddp-10, 0x1.e61951df6b919p-10, 0x1.d5c04c3cd28cep-10, 0x1.c5f0688c1b5c9p-10, 0x1.b6a58cd97ff55p-10, 0x1.a7dbb99e0218ep-10, 0x1.998f094006854p-10, 0x1.8bbbaf94f4388p-10, 0x1.7e5df963fbd1ep-10, 0x1.71724be9faac1p-10, 0x1.64f5245e92779p-10, 0x1.58e3177a7553bp-10, 0x1.4d38d0fef1a8ap-10, 0x1.41f3133ec5a55p-10, 0x1.370eb6a8381f9p-10, 0x1.2c88a950941c3p-10, 0x1.225dee80e9bbp-10, 0x1.188b9e443f4c9p-10, 0x1.0f0ee4f718af7p-10, 0x1.05e502d86f116p-10, 0x1.fa16973818bap-11, 0x1.e8fe4bfcba416p-11, 0x1.d87c16b360c11p-11, 0x1.c88b0e79da692p-11, 0x1.b9266e0781953p-11, 0x1.aa4992e089967p-11, 0x1.9beffc8c43403p-11, 0x1.8e154bce5a8f6p-11, 0x1.80b541e30fafp-11, 0x1.73cbbfbe6a71ap-11, 0x1.6754c54e6faf1p-11, 0x1.5b4c70c050311p-11, 0x1.4faefdc89863dp-11, 0x1.4478c4ee5b287p-11, 0x1.39a63ad9595e8p-11, 0x1.2f33efa322c21p-11, 0x1.251e8e2b2fac3p-11, 0x1.1b62db6dee146p-11, 0x1.11fdb5dec2f33p-11, 0x1.08ec14c4f7ea6p-11, 0x1.002b079b9701p-11, 0x1.ef6f6ae853b86p-12, 0x1.df1eb8b8b8ec7p-12, 0x1.cf5ea18cfd31cp-12, 0x1.c029f9e9b78aep-12, 0x1.b17bc0cfcb6f1p-12, 0x1.a34f1e9e5bcf2p-12, 0x1.959f63fa49302p-12, 0x1.886808bb33335p-12, 0x1.7ba4aaddedc94p-12, 0x1.6f510d7c5f3f1p-12, 0x1.636917cab84bcp-12, 0x1.57e8d419f6cb3p-12, 0x1.4ccc6edfa8ccfp-12, 0x1.421035c2da57ap-12, 0x1.37b096ae25533p-12, 0x1.2daa1ee6d4495p-12, 0x1.23f97a28fec45p-12, 0x1.1a9b71c8a032fp-12, 0x1.118cebd786a3p-12, 0x1.08caea5018e07p-12, 0x1.00528a44db332p-12, 0x1.f0420629433d1p-13, 0x1.e0674b46ca8efp-13, 0x1.d10fb72f4cf6bp-13, 0x1.c2364d389645p-13, 0x1.b3d63f4dda026p-13, 0x1.a5eaec850285bp-13, 0x1.986fdfbc9966ep-13, 0x1.8b60ce421e112p-13, 0x1.7eb99680b3f13p-13, 0x1.72763eb7f967ep-13, 0x1.6692f3baef307p-13, 0x1.5b0c07b6c97ebp-13, 0x1.4fddf101889b4p-13, 0x1.450548f03b43dp-13, 0x1.3a7ecab4bdc7ep-13, 0x1.30475242e20ebp-13, 0x1.265bdb3cdb9b2p-13, 0x1.1cb97fe6c19b3p-13, 0x1.135d782113342p-13, 0x1.0a45186a1e83ep-13, 0x1.016dd0e619b46p-13, 0x1.f1aa58dbbf6e9p-14, 0x1.e0f19f4841db7p-14, 0x1.d0acf021e7d4ep-14, 0x1.c0d7f6873b8d1p-14, 0x1.b16e8bf4efd36p-14, 0x1.a26cb6a19b6d3p-14, 0x1.93cea7e5327eap-14, 0x1.8590baabfb5c3p-14, 0x1.77af71f4bf8a4p-14, 0x1.6a277759ffcf2p-14, 0x1.5cf599a5ee74ap-14, 0x1.5016cb70f5b6ep-14, 0x1.438821ca8d217p-14, 0x1.3746d2ec293fcp-14, 0x1.2b5034f60862p-14, 0x1.1fa1bcb5a5563p-14, 0x1.1438fc759ac28p-14, 0x1.0913a2d6bdd8ap-14, 0x1.fc5ef36477eb1p-15, 0x1.e714ca0909e89p-15, 0x1.d244c3c19f2b6p-15, 0x1.bdeb0ada032a1p-15, 0x1.aa03f7cb96a16p-15, 0x1.968c0f5587bbbp-15, 0x1.838000a4a3a63p-15, 0x1.70dca38a6ac14p-15, 0x1.5e9ef6c2fe35ep-15, 0x1.4cc41e498bcacp-15, 0x1.3b4961bae1231p-15, 0x1.2a2c2ac5bf5ep-15, 0x1.196a03a8a4244p-15, 0x1.090095bca39ffp-15, 0x1.f1db501a0b182p-16, 0x1.d25e3bf69973p-16, 0x1.b385ebdeadc92p-16, 0x1.954e9026828a8p-16, 0x1.77b48a358dd1fp-16, 0x1.5ab46a2b834b4p-16, 0x1.3e4aec9b13d3cp-16, 0x1.2274f859c4612p-16, 0x1.072f9c644e3b7p-16, 0x1.d8f01badf3b81p-17, 0x1.a4974bf2b47e8p-17, 0x1.714fc0b9ddc0ap-17, 0x1.3f14b21c1f727p-17, 0x1.0de195ad579bp-17, 0x1.bb6436494760dp-18, 0x1.5d04524bf817ep-18, 0x1.009bb458e451p-18, 0x1.4c45e6500b81dp-19, 0x1.364c061119923p-20, -0x1.235ae4fd9eec9p-23, -0x1.77b3f03148db1p-20, -0x1.61d30be90fdcdp-19, -0x1.02164613826f6p-18, -0x1.5178ca9a77d93p-18, -0x1.9f16631cd30f6p-18, -0x1.eaf424c2e7fa3p-18, -0x1.1a8b77266a053p-17, -0x1.3ec1b5f39b5dcp-17, -0x1.621f0d699554dp-17, -0x1.84a5a6717dfc7p-17, -0x1.a65795e6812aep-17, -0x1.c736de2b0c364p-17, -0x1.e74570aa6afc5p-17, -0x1.034297a3cd642p-16, -0x1.127bf6dce2f96p-16, -0x1.214fb96b978e5p-16, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      50, 0x1.38339c0ebedfap+2, 0x1.1885905c4330dp+1, 0x1.41399d039a359p+2, -0x1.5802a67ea0d22p-7, 
      {{
        {0x1.a45c810a569b1p+1, 0x1.a871321c5cd7fp+1, 0x1.a4df48c7bc641p-4, -0x1.fc4e991f9c8a4p-3, 0x1.167f9579c437p-2, 0x1.65be60d82018ep-5}, 
        {0x1.a871321c5cd7fp+1, 0x1.ac85e343dca3bp+1, 0x1.8599622b072e9p-4, -0x1.d884c0f7b2275p-3, 0x1.1ac68059560d1p-2, -0x1.bf534408d0566p-3}, 
        {0x1.ac85e343dca3bp+1, 0x1.b09a9455e2e09p+1, 0x1.6897365a32902p-4, -0x1.b5d247efb9313p-3, 0x1.056220fc3520cp-2, -0x1.229ceaf967be2p-3}, 
        {0x1.b09a9455e2e09p+1, 0x1.b4af457d62ac4p+1, 0x1.4db7c023b0af1p-4, -0x1.955fdb943595p-3, 0x1.eef89c512828ap-3, -0x1.40168aea774c1p-3}, 
        {0x1.b4af457d62ac4p+1, 0x1.b8c3f68f68e92p+1, 0x1.34daf97bd087ap-4, -0x1.76ca27bf049fcp-3, 0x1.d05b43b43772ap-3, -0x1.2b52ebb940128p-3}, 
        {0x1.b8c3f68f68e92p+1, 0x1.bcd8a7b6e8b4ep+1, 0x1.1de1db839d23bp-4, -0x1.5a17fa78df6b2p-3, 0x1.b3ba5483e9fa3p-3, -0x1.245852d9779fbp-3}, 
        {0x1.bcd8a7b6e8b4ep+1, 0x1.c0ed58c8eef1cp+1, 0x1.08ae5e9d7b42cp-4, -0x1.3f33aa77360fp-3, 0x1.97c44583a4c26p-3, -0x1.19601b4257577p-3}, 
        {0x1.c0ed58c8eef1cp+1, 0x1.c50209f06ebd7p+1, 0x1.ea46f4b11764ap-5, -0x1.260f360b968e6p-3, 0x1.7cdace2d16b59p-3, -0x1.0fbf5062c69fap-3}, 
        {0x1.c50209f06ebd7p+1, 0x1.c916bb0274fa5p+1, 0x1.c64a4afcd37acp-5, -0x1.0e9a87fa35211p-3, 0x1.62dd14a6eb7f9p-3, -0x1.058402d0193aep-3}, 
        {0x1.c916bb0274fa5p+1, 0x1.cd2b6c29f4c61p+1, 0x1.a530ac0ad9799p-5, -0x1.f18c40ff3204dp-4, 0x1.49d9e131f9fdfp-3, -0x1.f74d80b41a802p-4}, 
        {0x1.cd2b6c29f4c61p+1, 0x1.d1401d3bfb02fp+1, 0x1.86c6022f0e9e4p-5, -0x1.c9049d8ecf524p-4, 0x1.31c83420a4686p-3, -0x1.e317340d00aaep-4}, 
        {0x1.d1401d3bfb02fp+1, 0x1.d554ce4e013fcp+1, 0x1.6ad8364dca015p-5, -0x1.a37ef9a4cd59ap-4, 0x1.1aadf9d0aa27ep-3, -0x1.cf172538880cep-4}, 
        {0x1.d554ce4e013fcp+1, 0x1.d9697f75810b8p+1, 0x1.51372f895df6dp-5, -0x1.80dbf07254b69p-4, 0x1.048899b67797cp-3, -0x1.bb2e16ae7451dp-4}, 
        {0x1.d9697f75810b8p+1, 0x1.dd7e308787486p+1, 0x1.39b4d36b535e7p-5, -0x1.60fc59b14a965p-4, 0x1.deadf39678dd2p-4, -0x1.a6f6db0377d41p-4}, 
        {0x1.dd7e308787486p+1, 0x1.e192e1af07142p+1, 0x1.242505ffe6831p-5, -0x1.43c0e3f993ca3p-4, 0x1.b639b000bd761p-4, -0x1.9321e3f7f4b5dp-4}, 
        {0x1.e192e1af07142p+1, 0x1.e5a792c10d50fp+1, 0x1.105da9ba8a3b4p-5, -0x1.290a4b0dc57c1p-4, 0x1.8fab00ead6218p-4, -0x1.7eebede724e0bp-4}, 
        {0x1.e5a792c10d50fp+1, 0x1.e9bc43e88d1cbp+1, 0x1.fc6d3ed052f1dp-6, -0x1.10b94dfcb9807p-4, 0x1.6b0b2edd25e2ep-4, -0x1.6b0f8095ec65ep-4}, 
        {0x1.e9bc43e88d1cbp+1, 0x1.edd0f4fa93599p+1, 0x1.db138c79cb73p-6, -0x1.f55d47cf79e9p-5, 0x1.4851a81866672p-4, -0x1.56df7b4f2b79dp-4}, 
        {0x1.edd0f4fa93599p+1, 0x1.f1e5a62213255p+1, 0x1.bc65f7c3aaecp-6, -0x1.cd9614f8eabcap-5, 0x1.27866cd33b444p-4, -0x1.42fe34c7939aap-4}, 
        {0x1.f1e5a62213255p+1, 0x1.f5fa573419622p+1, 0x1.a02038ea08454p-6, -0x1.a9de73ca0d1c2p-5, 0x1.08a1f3a235215p-4, -0x1.2edb4b27dc995p-4}, 
        {0x1.f5fa573419622p+1, 0x1.fa0f08461f9fp+1, 0x1.860204a4f0dedp-6, -0x1.89f7ec2b41414p-5, 0x1.d75509d32664p-5, -0x1.1adb22f44def7p-4}, 
        {0x1.fa0f08461f9fp+1, 0x1.fe23b96d9f6acp+1, 0x1.6dcf0ce8d2af1p-6, -0x1.6da3d390127c4p-5, 0x1.a1399a137120bp-5, -0x1.06e227621c86ap-4}, 
        {0x1.fe23b96d9f6acp+1, 0x1.011c353fd2d3dp+2, 0x1.574f00261223dp-6, -0x1.54a3c12d99ac1p-5, 0x1.6ef037a904d1bp-5, -0x1.e58272b6532ecp-5}, 
        {0x1.011c353fd2d3dp+2, 0x1.03268dd392b9bp+2, 0x1.424d89b6fda19p-6, -0x1.3eb91a90b6533p-5, 0x1.408088d9e5aa8p-5, -0x1.bdaccac15bb81p-5}, 
        {0x1.03268dd392b9bp+2, 0x1.0530e65c95d82p+2, 0x1.2e9a51fb4a63ap-6, -0x1.2ba5596f3183ep-5, 0x1.15e03261527a4p-5, -0x1.9567de2f19678p-5}, 
        {0x1.0530e65c95d82p+2, 0x1.073b3ef055bdfp+2, 0x1.1c08fdcea41ccp-6, -0x1.1b29f6cc71243p-5, 0x1.de33b4c9366cep-6, -0x1.6d88b8591589dp-5}, 
        {0x1.073b3ef055bdfp+2, 0x1.0945977958dc6p+2, 0x1.0a712f2d9a36p-6, -0x1.0d0862ca3ad0ep-5, 0x1.9847869c89b7cp-6, -0x1.455491fb676dap-5}, 
        {0x1.0945977958dc6p+2, 0x1.0b4ff00d18c24p+2, 0x1.f35d098f589f9p-7, -0x1.01021be73912ep-5, 0x1.5a0c1fa800f52p-6, -0x1.1d65ed261631ep-5}, 
        {0x1.0b4ff00d18c24p+2, 0x1.0d5a48961be0bp+2, 0x1.d34133c79ac34p-7, -0x1.edb126e70ffa4p-6, 0x1.237431a87180fp-6, -0x1.ea6c926c8e3adp-6}, 
        {0x1.0d5a48961be0bp+2, 0x1.0f64a129dbc69p+2, 0x1.b4560e0aa1f2fp-7, -0x1.dc9a7e6106427p-6, 0x1.e9185b7818b35p-7, -0x1.9a98607705bf4p-6}, 
        {0x1.0f64a129dbc69p+2, 0x1.116ef9b2dee5p+2, 0x1.966ac28dfbf9p-7, -0x1.ce432f4930b7ap-6, 0x1.9a8d88e6dd799p-7, -0x1.4a40724313eb1p-6}, 
        {0x1.116ef9b2dee5p+2, 0x1.1379523be2037p+2, 0x1.795674ed170e2p-7, -0x1.c22e31b935e26p-6, 0x1.5b6121e96fe52p-7, -0x1.f463c0c33995cp-7}, 
        {0x1.1379523be2037p+2, 0x1.1583aacfa1e95p+2, 0x1.5cf8430528d7ep-7, -0x1.b7de4f504629ep-6, 0x1.2b851c6b92151p-7, -0x1.546db2f9e507fp-7}, 
        {0x1.1583aacfa1e95p+2, 0x1.178e0358a507bp+2, 0x1.413743dcce4aap-7, -0x1.aed69a587a513p-6, 0x1.0af5babe03128p-7, -0x1.678256a2557d3p-8}, 
        {0x1.178e0358a507bp+2, 0x1.19985bec64ed9p+2, 0x1.26028848f8e81p-7, -0x1.a699edb05ac0cp-6, 0x1.f388e4459f19p-8, -0x1.403710b985656p-11}, 
        {0x1.19985bec64ed9p+2, 0x1.1ba2b475680cp+2, 0x1.0b511ab5f5003p-7, -0x1.9eab39779e209p-6, 0x1.efb4d5a7db8f9p-8, 0x1.1965aa62f6939p-8}, 
        {0x1.1ba2b475680cp+2, 0x1.1dad0d0927f1ep+2, 0x1.e243fe90cbe1p-8, -0x1.968d6aafa5a1p-6, 0x1.054f6a8dd0f79p-7, 0x1.2c7234239e30cp-7}, 
        {0x1.1dad0d0927f1ep+2, 0x1.1fb765922b105p+2, 0x1.aef8676296497p-8, -0x1.8dc36d0793b44p-6, 0x1.220bd47181146p-7, 0x1.cd229cb88b9edp-7}, 
        {0x1.1fb765922b105p+2, 0x1.21c1be25eaf63p+2, 0x1.7cdd5eb3f62c6p-8, -0x1.83d02f2fb812bp-6, 0x1.4e26b51ca8d73p-7, 0x1.3677b30e4088cp-6}, 
        {0x1.21c1be25eaf63p+2, 0x1.23cc16aeee14ap+2, 0x1.4c20c67b4f58cp-8, -0x1.783699d186619p-6, 0x1.898a490f2a90dp-7, 0x1.86ba32ae7411fp-6}, 
        {0x1.23cc16aeee14ap+2, 0x1.25d66f37f1331p+2, 0x1.1d0073feb779p-8, -0x1.6a79a77005958p-6, 0x1.d4482c3a5fba5p-7, 0x1.d6d62a606a108p-6}, 
        {0x1.25d66f37f1331p+2, 0x1.27e0c7cbb118ep+2, 0x1.df945fd3e726ap-9, -0x1.5a1c2809efc28p-6, 0x1.172c807d71fc4p-6, 0x1.1364343222907p-5}, 
        {0x1.27e0c7cbb118ep+2, 0x1.29eb2054b4375p+2, 0x1.89b76c18ff13cp-9, -0x1.46a12a0cf1dddp-6, 0x1.4bda67190d6c2p-6, 0x1.3ba1705e51768p-5}, 
        {0x1.29eb2054b4375p+2, 0x1.2bf578e8741d3p+2, 0x1.39456b0b12351p-9, -0x1.2f8b735dec414p-6, 0x1.883acf4e31ee4p-6, 0x1.633ea1190403dp-5}, 
        {0x1.2bf578e8741d3p+2, 0x1.2dffd171773bap+2, 0x1.de73433bba7b7p-10, -0x1.145e57a31dc54p-6, 0x1.cc2f1e37494e6p-6, 0x1.8cb1b08de6317p-5}, 
        {0x1.2dffd171773bap+2, 0x1.300a2a0537218p+2, 0x1.595e761915319p-10, -0x1.e93691c68ae34p-7, 0x1.0c0899446c21ep-5, 0x1.afcc12ddacb18p-5}, 
        {0x1.300a2a0537218p+2, 0x1.3214828e3a3ffp+2, 0x1.cb85256dc1d57p-11, -0x1.9f95833f87b5ap-7, 0x1.3555238a605bcp-5, 0x1.ea1fbc707aed6p-5}, 
        {0x1.3214828e3a3ffp+2, 0x1.341edb21fa25dp+2, 0x1.0cab144f954f3p-11, -0x1.4ab5cb734757ep-7, 0x1.6435ce23f5618p-5, 0x1.ce2d790bb6bb2p-5}, 
        {0x1.341edb21fa25dp+2, 0x1.362933aafd444p+2, 0x1.f068d3fda1f52p-13, -0x1.d47114700721dp-8, 0x1.906a35ca4e0a5p-5, 0x1.79f01b9196437p-4}, 
        {0x1.362933aafd444p+2, 0x1.38339c0ebedfap+2, 0x1.01ecefd7c6873p-14, -0x1.eb7fd9df0322ep-9, 0x1.d8b5cd02e8891p-5, -0x1.226cb793f46dbp+1}, 
      }}, 
      0x1.128ed5d7f16a1p+7, -0x1.057750b14b6ffp+11
    }
  };
  // clang-format on
}
SkfData params_hyb_0_2_as_as() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    SkfData::SameElementLine {0x0p+0, -0x1.89b94708fe007p-3, -0x1.086d952ed0cdep-1, -0x1.a5c5f7c6759abp-5, 0x1.097edc7ef177ap-2, 0x1.254195cc857f3p-2, 0x1.17603925bb7b7p-2, 0, 3, 2}, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.2012de88e90f8p-1, -0x1.176de14c9ddf5p-1, -0x1.0aeed40e48926p-1, -0x1.f68e831122047p-2, -0x1.d2655a620db1bp-2, -0x1.aad54dd7d280cp-2, -0x1.813c65211a139p-2, -0x1.56d82ea74a765p-2, -0x1.2cbf0fce827cfp-2, -0x1.03dd1a79626c6p-2, -0x1.b9e7098f2feap-3, -0x1.713446f335d7ap-3, -0x1.2e84942bafb54p-3, -0x1.e4e9cbf764b14p-4, -0x1.7ac90e619dd81p-4, -0x1.1efae42058a61p-4, -0x1.a2f2d8affe625p-5, -0x1.23ea5ad011844p-5, -0x1.7f90436d8580bp-6, -0x1.d4756440c099ap-7, -0x1.08deb821b42c8p-7, -0x1.29b1112be058ep-8, -0x1.c177cf3bb2667p-9, -0x1.268de9af01716p-8, -0x1.eab6451be17e1p-8, -0x1.8e7f33205c016p-7, -0x1.2b6a159f803ffp-6, -0x1.a367cef09cbaap-6, -0x1.15d35fd8c57e8p-5, -0x1.6067169ea5624p-5, -0x1.afe1396db052cp-5, -0x1.0169be755d2d9p-4, -0x1.2bf7b10fbfafbp-4, -0x1.5702f4d24c365p-4, -0x1.82036864e6402p-4, -0x1.ac7fba1737021p-4, -0x1.d60cba3e57c3ep-4, -0x1.fe4c9bd342e61p-4, -0x1.1277166d59c2ep-3, -0x1.24d605a7979adp-3, -0x1.3625ebb79cf6bp-3, -0x1.464eb17db6ecdp-3, -0x1.553cef06dd2eep-3, -0x1.62e1822d5c121p-3, -0x1.6f3127a0c0126p-3, -0x1.7a24189df543p-3, -0x1.83b5af169a911p-3, -0x1.8be4112cb5e76p-3, -0x1.92afe40c3c20cp-3, -0x1.981c057e0a845p-3, -0x1.9c2d4b2642431p-3, -0x1.9eea4643406afp-3, -0x1.a05b0aedfb922p-3, -0x1.a088fa3cefc49p-3, -0x1.9f7e8f201fd25p-3, -0x1.9d472e359fbc5p-3, -0x1.99eef917f4d46p-3, -0x1.9582a5b54880ap-3, -0x1.900f5a191139cp-3, -0x1.89a28cc844ea3p-3, -0x1.8249e97972042p-3, -0x1.7a1339a77e294p-3, -0x1.710c50502485ap-3, -0x1.6742eb66fab7fp-3, -0x1.5cc4d1285f9edp-3, -0x1.519f9b6600e04p-3, -0x1.45e09e5485a5bp-3, -0x1.3994e8f550fbep-3, -0x1.2cc93b5f1095fp-3, -0x1.1f89fe90d6764p-3, -0x1.11e33d92f370ap-3, -0x1.03e09fb653046p-3, -0x1.eb1ac7a39f10fp-4, -0x1.cde8b8d3c1f2fp-4, -0x1.b03fd96fc5311p-4, -0x1.92340d1492cd2p-4, -0x1.73d851ed9c2fbp-4, -0x1.553ebfa8a6514p-4, -0x1.367887da78eb3p-4, -0x1.1795f7ac3a727p-4, -0x1.f14cf54386f63p-5, -0x1.b3713c8bb07cp-5, -0x1.75b42d148d2ep-5, -0x1.382f855e71a19p-5, -0x1.f5f6ca355f90cp-6, -0x1.7c5cb0a06eaf2p-6, -0x1.03bac5dca7188p-6, -0x1.187032ec518cdp-7, -0x1.5f8db2b870786p-10, 0x1.7b862fa560779p-8, 0x1.a470bf1234715p-7, 0x1.43ef75ebe6b3dp-6, 0x1.b3ed1cd7e5c83p-6, 0x1.110cff27cae0fp-5, 0x1.47308280d0cb3p-5, 0x1.7c57a056714c1p-5, 0x1.b079e5582b10ap-5, 0x1.e38fd57fa4158p-5, 0x1.0ac96f6b5ff3fp-4, 0x1.233ea64fa8374p-4, 0x1.3b251d761e0d9p-4, 0x1.527ac55ac8adcp-4, 0x1.693deb358710bp-4, 0x1.7f6d3381c6c82p-4, 0x1.950794c22e41ep-4, 0x1.aa0c527cb808ep-4, 0x1.be7af86b814b3p-4, 0x1.d25355dec3efep-4, 0x1.e595794d1cb56p-4, 0x1.f841ac0fce3e1p-4, 0x1.052c3724c5c8ep-3, 0x1.0ded397b54135p-3, 0x1.16644e131926dp-3, 0x1.1e91fbadbf4ffp-3, 0x1.2676dd0bffbdp-3, 0x1.2e139f469d64ap-3, 0x1.3569003b57557p-3, 0x1.3c77cd0db9cd2p-3, 0x1.4340e0bba9262p-3, 0x1.49c522c570124p-3, 0x1.500585e901175p-3, 0x1.560306f008c8dp-3, 0x1.5bbeab9050536p-3, 0x1.6139815dc5b48p-3, 0x1.66749ccd70e6cp-3, 0x1.6b7118488043ep-3, 0x1.7030134e8a0dcp-3, 0x1.74b2b1a60e953p-3, 0x1.78fa1a9a61bcdp-3, 0x1.7d0778460d768p-3, 0x1.80dbf6e8ed7b5p-3, 0x1.8478c4494800fp-3, 0x1.87df0f1f39a8dp-3, 0x1.8b100689fde9fp-3, 0x1.8e0cd98e82d29p-3, 0x1.90d6b69ef9d8cp-3, 0x1.936ecb2afa698p-3, 0x1.95d64337e0e4dp-3, 0x1.980e49012c72dp-3, 0x1.9a1804a06ea17p-3, 0x1.9bf49bbc955e1p-3, 0x1.9da5314032f16p-3, 0x1.9f2ae5166b25p-3, 0x1.a086d3ee3bafap-3, 0x1.a1ba1703c2ac1p-3, 0x1.a2c5c3ef3a17p-3, 0x1.a3aaec7955a6fp-3, 0x1.a46a7788b9af4p-3, 0x1.a505c2026516cp-3, 0x1.a57da53051f1fp-3, 0x1.a5d322101a2b1p-3, 0x1.a6073547b9d52p-3, 0x1.a61ad715c39bcp-3, 0x1.a60efb44a7918p-3, 0x1.a5e49120c51ep-3, 0x1.a59c83713591fp-3, 0x1.a537b87326ec3p-3, 0x1.a4b711d7a2bdfp-3, 0x1.a41b6cc3aa50dp-3, 0x1.a365a1d27265ap-3, 0x1.a2968519a7aep-3, 0x1.a1aee62f970edp-3, 0x1.a0af9033094b1p-3, 0x1.9f9949d4b18a7p-3, 0x1.9e6cd56209cbep-3, 0x1.9d2af0d16ce0ep-3, 0x1.9bd455cf5a99cp-3, 0x1.9a69b9ccaf985p-3, 0x1.98ebce0dc478ep-3, 0x1.975b3fba44d21p-3, 0x1.95b8b7edb0d97p-3, 0x1.9404dbc86bc4ep-3, 0x1.92404c813e47ep-3, 0x1.906ba7773c75ep-3, 0x1.8e878644063e7p-3, 0x1.8c947ece3e729p-3, 0x1.8a93235c3af67p-3, 0x1.888402a6dc887p-3, 0x1.8667a7ec7d672p-3, 0x1.843e9b03eb65dp-3, 0x1.8209606f682a4p-3, 0x1.7fc8796f9b57p-3, 0x1.7d7c641673ff2p-3, 0x1.7b259b59e60a3p-3, 0x1.78c4972683875p-3, 0x1.7659cc71ddb4cp-3, 0x1.73e5ad4cacdb6p-3, 0x1.7168a8f4af272p-3, 0x1.6ee32be63cbc7p-3, 0x1.6c559fed891d8p-3, 0x1.69c06c37820c9p-3, 0x1.6723f56252f25p-3, 0x1.64809d8d86a28p-3, 0x1.61d6c469bb2bep-3, 0x1.5f26c747f0819p-3, 0x1.5c71012865ab2p-3, 0x1.59b5cac91533dp-3, 0x1.56f57ab3bd7d5p-3, 0x1.5430654b830ap-3, 0x1.5166dcda32057p-3, 0x1.4e99319d12ba3p-3, 0x1.4bc7b1d16530fp-3, 0x1.48f2a9c07969bp-3, 0x1.461a63cb75c81p-3, 0x1.433f2876bcbccp-3, 0x1.40613e750c118p-3, 0x1.3d80eab23ef78p-3, 0x1.3a9e705dcfdfcp-3, 0x1.37ba10f50a481p-3, 0x1.34d40c4cf0e2ap-3, 0x1.31eca09be62aep-3, 0x1.2f040a830bf8bp-3, 0x1.2c1a85175f582p-3, 0x1.293049ea942bdp-3, 0x1.26459113aed62p-3, 0x1.235a91375ccbbp-3, 0x1.206f7f9012363p-3, 0x1.1d848ff5ddb47p-3, 0x1.1a99f4e60ad89p-3, 0x1.17afdf8a7e471p-3, 0x1.14c67fc0d362fp-3, 0x1.11de04214613bp-3, 0x1.0ef69a055c554p-3, 0x1.0c106d8e55ba1p-3, 0x1.092ba9ab62a1dp-3, 0x1.0648781fa94cbp-3, 0x1.0367018811c1ep-3, 0x1.00876d60e317ep-3, 0x1.fb53c4165466bp-4, 0x1.f59d09a3f1e19p-4, 0x1.efeaf3deed602p-4, 0x1.ea3dc9238806bp-4, 0x1.e495cdbf84714p-4, 0x1.def343fb4c382p-4, 0x1.d9566c22f083fp-4, 0x1.d3bf848ed46d3p-4, 0x1.ce2ec9ac299f1p-4, 0x1.c8a476053670cp-4, 0x1.c320c2495ca9cp-4, 0x1.bda3e554fed9ap-4, 0x1.b82e14393d395p-4, 0x1.b2bf82437c033p-4, 0x1.ad586104d2ec8p-4, 0x1.a7f8e059597p-4, 0x1.a2a12e6f4c63ep-4, 0x1.9d5177ce23bbp-4, 0x1.9809e75d7b3dp-4, 0x1.92caa66bf94eap-4, 0x1.8d93dcb607a2cp-4, 0x1.8865b06c826bep-4, 0x1.8340463b4ddd7p-4, 0x1.7e23c14fd6ebfp-4, 0x1.7910435f7ffe3p-4, 0x1.7405ecadf9ebp-4, 0x1.6f04dc1389429p-4, 0x1.6a0d2f033979p-4, 0x1.651f0190fd3ecp-4, 0x1.603a6e77bc322p-4, 0x1.5b5f8f1f4f816p-4, 0x1.568e7ba26c6d3p-4, 0x1.51c74ad47dbb7p-4, 0x1.4d0a12476c9fep-4, 0x1.4856e6515867ep-4, 0x1.43adda123e509p-4, 0x1.3f0eff7992f02p-4, 0x1.3a7a674bc9ad8p-4, 0x1.35f02127d0f59p-4, 0x1.31703b8c7d06p-4, 0x1.2cfac3dde748bp-4, 0x1.288fc66abf9c5p-4, 0x1.242f4e719098p-4, 0x1.1fd96625f8604p-4, 0x1.1b8e16b5d60bbp-4, 0x1.174d684e6a8b2p-4, 0x1.1317622170c5p-4, 0x1.0eec0a6a298e1p-4, 0x1.0acb66725f02dp-4, 0x1.06b57a975e342p-4, 0x1.02aa4a4ee6f9ep-4, 0x1.fd53b05826a76p-5, 0x1.f5684bc86bfc9p-5, 0x1.ed9268a76078ep-5, 0x1.e5d207057e5d7p-5, 0x1.de27255482dadp-5, 0x1.d691c070e644ep-5, 0x1.cf11d3ab45da1p-5, 0x1.c7a758d1bbf2bp-5, 0x1.c052483925e4ep-5, 0x1.b91298c65b7b3p-5, 0x1.b1e83ff753118p-5, 0x1.aad331ec34743p-5, 0x1.a3d361705919fp-5, 0x1.9ce8c0033c2d7p-5, 0x1.96133de1546d7p-5, 0x1.8f52ca0cdd82bp-5, 0x1.88a752568bep-5, 0x1.8210c3662c93ep-5, 0x1.7b8f08c331c06p-5, 0x1.75220cdd27da3p-5, 0x1.6ec9b91417e7ap-5, 0x1.6885f5c0d010ap-5, 0x1.6256aa3d1a3d2p-5, 0x1.5c3bbcebd6e74p-5, 0x1.5635134105fcap-5, 0x1.504291c9b28adp-5, 0x1.4a641c33cb6cbp-5, 0x1.44999555e0859p-5, 0x1.3ee2df36c869fp-5, 0x1.393fdb152e1b2p-5, 0x1.33b0696f02f73p-5, 0x1.2e346a08dbe6ap-5, 0x1.28cbbbf52f39ep-5, 0x1.23763d9b7ed27p-5, 0x1.1e33ccbf64643p-5, 0x1.19041f2e7110cp-5, 0x1.13e7587f1768cp-5, 0x1.0edd34cd70856p-5, 0x1.09e58f93a828dp-5, 0x1.050043c9c876bp-5, 0x1.002d2bec2eeaap-5, 0x1.f6d84403d0a5ap-6, 0x1.ed79ff45e1ffep-6, 0x1.e43f3bfcbac2fp-6, 0x1.db27abc0c8c06p-6, 0x1.d232ff70a8845p-6, 0x1.c960e73cd07cdp-6, 0x1.c0b112b30adecp-6, 0x1.b82330c9bb789p-6, 0x1.afb6efeaed391p-6, 0x1.a76bfdff2aefap-6, 0x1.9f42087821dd5p-6, 0x1.9738bc5b0f7fp-6, 0x1.8f4fc64af928ep-6, 0x1.8786d292ac09ep-6, 0x1.7fdd8d2e89d16p-6, 0x1.7853a1d61d08ap-6, 0x1.70e8bc057c2abp-6, 0x1.699c87067037cp-6, 0x1.626eadf96cd6dp-6, 0x1.5b5edbde4ec3dp-6, 0x1.546cbb9ce4c2cp-6, 0x1.4d97f80d4a21p-6, 0x1.46e03bffff11cp-6, 0x1.40453245de8e9p-6, 0x1.39c685b7ce8e8p-6, 0x1.3363e13e46b7fp-6, 0x1.2d1cefd8a1984p-6, 0x1.26f15ca436438p-6, 0x1.20e0d2e344eb2p-6, 0x1.1aeafe03a9c0fp-6, 0x1.150f89a565a15p-6, 0x1.0f4e21a0eba15p-6, 0x1.09a6720d42fc1p-6, 0x1.04182745f9261p-6, 0x1.fd45dbe1b4597p-7, 0x1.f28ce60707956p-7, 0x1.e804c7918498ep-7, 0x1.ddacdbcb79cedp-7, 0x1.d3847ebdefb0ap-7, 0x1.c98b0d3a4be71p-7, 0x1.bfbfe4e394b7ap-7, 0x1.b622643762d0cp-7, 0x1.acb1ea9676339p-7, 0x1.a36dd84cecd21p-7, 0x1.9a558e9a2bc5ap-7, 0x1.91686fb872ab7p-7, 0x1.88a5dee414ef7p-7, 0x1.800d406264463p-7, 0x1.779df9884c571p-7, 0x1.6f5770c09b5d9p-7, 0x1.67390d92019b6p-7, 0x1.5f4238a4b988ap-7, 0x1.57725bc7f7b9p-7, 0x1.4fc8e1f6fdddp-7, 0x1.4845375df4106p-7, 0x1.40e6c95e788d2p-7, 0x1.39ad0693e5c2cp-7, 0x1.32975ed75f4b4p-7, 0x1.2ba543439783fp-7, 0x1.24d62638587f3p-7, 0x1.1e297b5dcfe0ep-7, 0x1.179eb7a79f56bp-7, 0x1.11355157b23dp-7, 0x1.0aecc000dccbep-7, 0x1.04c47c8943f55p-7, 0x1.fd78025923812p-8, 0x1.f1a592fbeb262p-8, 0x1.e610a4d3ea16ep-8, 0x1.dab8347017c56p-8, 0x1.cf9b41183e183p-8, 0x1.c4b8cccf87485p-8, 0x1.ba0fdc56b555p-8, 0x1.af9f772e08afdp-8, 0x1.a566a796d9c8p-8, 0x1.9b647a94e065bp-8, 0x1.9197ffef3ad7bp-8, 0x1.88004a3126091p-8, 0x1.7e9c6eaa79a2dp-8, 0x1.756b856fdcae4p-8, 0x1.6c6ca95abf641p-8, 0x1.639ef80919dedp-8, 0x1.5b0191dceae87p-8, 0x1.529399fb86a61p-8, 0x1.4a54364caa27cp-8, 0x1.42428f795c956p-8, 0x1.3a5dd0ea9f628p-8, 0x1.32a528c7ecf71p-8, 0x1.2b17c7f588e72p-8, 0x1.23b4e212a369bp-8, 0x1.1c7bad77500d9p-8, 0x1.156b6332527e6p-8, 0x1.0e833f06c279p-8, 0x1.07c27f6985872p-8, 0x1.0128657ea2bb9p-8, 0x1.f5686a2cdf2bfp-9, 0x1.e8ca6955309f1p-9, 0x1.dc755ab6005ecp-9, 0x1.d067d5d50390ap-9, 0x1.c4a077770e7d1p-9, 0x1.b91de19908dep-9, 0x1.addebb68908d4p-9, 0x1.a2e1b13c64776p-9, 0x1.9825748c841fp-9, 0x1.8da8bbea0f833p-9, 0x1.836a42f6e4081p-9, 0x1.7968ca5cfc936p-9, 0x1.6fa317c58ab9bp-9, 0x1.6617f5cfd4d07p-9, 0x1.5cc63407d8532p-9, 0x1.53aca6dca67aap-9, 0x1.4aca27968d097p-9, 0x1.421d944cfb8abp-9, 0x1.39a5cfdc3796ap-9, 0x1.3161c1dacb493p-9, 0x1.2950568ec58edp-9, 0x1.21707ee2bec54p-9, 0x1.19c1305aab421p-9, 0x1.12416508758dap-9, 0x1.0af01b806b94dp-9, 0x1.03cc56cd77803p-9, 0x1.f9aa3cca57038p-10, 0x1.ec12fc374c754p-10, 0x1.ded10c2e846c7p-10, 0x1.d1e29588539ebp-10, 0x1.c545c98f7af8ap-10, 0x1.b8f8e1e7b9a99p-10, 0x1.acfa207412a01p-10, 0x1.a147cf3ce97dep-10, 0x1.95e04055d65cdp-10, 0x1.8ac1cdc35e8e9p-10, 0x1.7fead9606c0e8p-10, 0x1.7559ccc3bad1fp-10, 0x1.6b0d19251a2f2p-10, 0x1.61033742957f7p-10, 0x1.573aa745971ffp-10, 0x1.4db1f0a7f4edep-10, 0x1.4467a218fde34p-10, 0x1.3b5a516288d31p-10, 0x1.32889b4e06875p-10, 0x1.29f12389a3a13p-10, 0x1.2192948d7d9ddp-10, 0x1.196b9f80ec1fp-10, 0x1.117afc1fef5b5p-10, 0x1.09bf68a0b5134p-10, 0x1.0237a9994d995p-10, 0x1.f5c513cb19873p-11, 0x1.e77db51a2e727p-11, 0x1.d996e55351372p-11, 0x1.cc0e5e9b1840ap-11, 0x1.bee1e6d4afa56p-11, 0x1.b20f4f6fc9eecp-11, 0x1.a5947537113bdp-11, 0x1.996f401f28479p-11, 0x1.8d9da316370bfp-11, 0x1.821d9bd410f6fp-11, 0x1.76ed32aae7309p-11, 0x1.6c0a7a58a2db9p-11, 0x1.61738fd8d1eeep-11, 0x1.57269a3736a2bp-11, 0x1.4d21ca6301c75p-11, 0x1.43635b0298f24p-11, 0x1.39e9904816aacp-11, 0x1.30b2b7c65e149p-11, 0x1.27bd2846de055p-11, 0x1.1f07419feb6b5p-11, 0x1.168f6c8bc0fdap-11, 0x1.0e541a802a817p-11, 0x1.0653c586bac6p-11, 0x1.fd19e02b63e2bp-12, 0x1.edfc49d2e9a1dp-12, 0x1.df4bedbd48fcap-12, 0x1.d10601998a02ep-12, 0x1.c327cac312753p-12, 0x1.b5ae9df936328p-12, 0x1.a897df180b756p-12, 0x1.9be100d24b7a4p-12, 0x1.8f87846c4ee0ep-12, 0x1.8388f97812698p-12, 0x1.77e2fd924df75p-12, 0x1.6c933c208d2dcp-12, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.c49962e233276p-1, -0x1.bc91bea8688b3p-1, -0x1.b4c92bfeacfc1p-1, -0x1.ad105cb6fb765p-1, -0x1.a5478e1f97caep-1, -0x1.9d5b8e43ddc5ep-1, -0x1.9543176e7dcc1p-1, -0x1.8cfc754842db1p-1, -0x1.848b840472a81p-1, -0x1.7bf80a88595fap-1, -0x1.734c59c9c1d9ap-1, -0x1.6a943312df53cp-1, -0x1.61dbf24e46e76p-1, -0x1.592fe89eaaae3p-1, -0x1.509bde5f85fcep-1, -0x1.482abd72ef0ep-1, -0x1.3fe65c286fcc6p-1, -0x1.37d75c7683c06p-1, -0x1.30051ab52fb18p-1, -0x1.2875abc02ccd6p-1, -0x1.212de7627a87fp-1, -0x1.1a31793335639p-1, -0x1.1382f7da4256dp-1, -0x1.0d23fa572554dp-1, -0x1.071532d50e352p-1, -0x1.0156897553e61p-1, -0x1.f7ce6d1b0e17bp-2, -0x1.ed8bb6f99eea7p-2, -0x1.e3e13406b2261p-2, -0x1.daca544c26cbdp-2, -0x1.d241dcd625868p-2, -0x1.ca420c3883868p-2, -0x1.c2c4bad650fe9p-2, -0x1.bbc37737085aep-2, -0x1.b5379f019f00dp-2, -0x1.af1a750da5f54p-2, -0x1.a96534a6b0006p-2, -0x1.a41121fe91a8dp-2, -0x1.9f1797ef33fb7p-2, -0x1.9a721358c01d7p-2, -0x1.961a3c6dbfb2bp-2, -0x1.9209ee29a9763p-2, -0x1.8e3b3c23f8e0dp-2, -0x1.8aa876fb2d6ffp-2, -0x1.874c2f9aa8b1bp-2, -0x1.8421399278306p-2, -0x1.8122ac9f2f2bap-2, -0x1.7e4be56de06e5p-2, -0x1.7b9885a83cb08p-2, -0x1.79047360b57cp-2, -0x1.768bd7ffeb982p-2, -0x1.742b1ed2f047ep-2, -0x1.71def34f470dfp-2, -0x1.6fa43f1725d99p-2, -0x1.6d7827c52dde4p-2, -0x1.6b580c8abe952p-2, -0x1.694183b1bdd41p-2, -0x1.6732581493b04p-2, -0x1.6528869ad3f7p-2, -0x1.63223bc0d3ee3p-2, -0x1.611dd1289bb1ep-2, -0x1.5f19cb2e9506bp-2, -0x1.5d14d67d5c121p-2, -0x1.5b0dc2bd7981ap-2, -0x1.59038cbc1d72cp-2, -0x1.56f547e694b87p-2, -0x1.54e229f55d9a6p-2, -0x1.52c9855869899p-2, -0x1.50aac72b607a9p-2, -0x1.4e85753f4b563p-2, -0x1.4c592c39f3584p-2, -0x1.4a259dcb4b3f5p-2, -0x1.47ea8ef9123ccp-2, -0x1.45a7d680c15bbp-2, -0x1.435d5b4f9e6e5p-2, -0x1.410b1310accfdp-2, -0x1.3eb100d00e08ap-2, -0x1.3c4f33b34597ap-2, -0x1.39e5c5c5be075p-2, -0x1.3774dad8c3ae1p-2, -0x1.34fc9f7617e03p-2, -0x1.327d47e43932dp-2, -0x1.2ff70f3b8478fp-2, -0x1.2d6a368b67ae7p-2, -0x1.2ad7040efd0ebp-2, -0x1.283dc27070723p-2, -0x1.259ec01a92d1cp-2, -0x1.22fa4e97f8c53p-2, -0x1.2050c1feeb449p-2, -0x1.1da270696fc1dp-2, -0x1.1aefb178a84a9p-2, -0x1.1838dde2de688p-2, -0x1.157e4f0b8efep-2, -0x1.12c05ea4e2e6cp-2, -0x1.0fff665a09d3bp-2, -0x1.0d3bbf81e0874p-2, -0x1.0a75c2d953f3p-2, -0x1.07adc844ef328p-2, -0x1.04e42698fd898p-2, -0x1.02193367bc742p-2, -0x1.fe9a85aa3735p-3, -0x1.f9014edf59f3ep-3, -0x1.f367641cc49f5p-3, -0x1.edcd6365a2cb2p-3, -0x1.e833e6df770e5p-3, -0x1.e29b84a71ab38p-3, -0x1.dd04cead34cddp-3, -0x1.d770529982723p-3, -0x1.d1de99b45ef3cp-3, -0x1.cc5028d5eb2a6p-3, -0x1.c6c5805a3f1c3p-3, -0x1.c13f1c1a178afp-3, -0x1.bbbd73679090ep-3, -0x1.b640f90e73e9ap-3, -0x1.b0ca1b57cc9e8p-3, -0x1.ab594410738fbp-3, -0x1.a5eed8924a15ap-3, -0x1.a08b39cfe7cbcp-3, -0x1.9b2ec4627fb43p-3, -0x1.95d9d099b10f8p-3, -0x1.908cb28d1a903p-3, -0x1.8b47ba2f59b6bp-3, -0x1.860b336250834p-3, -0x1.80d7660c730a1p-3, -0x1.7bac962eeac5bp-3, -0x1.768b03fc7545p-3, -0x1.7172ebf0c88c9p-3, -0x1.6c6486e87c4a2p-3, -0x1.67600a3951267p-3, -0x1.6265a7cac740ep-3, -0x1.5d758e2efb0a5p-3, -0x1.588fe8bbafdc5p-3, -0x1.53b4dfa37dc05p-3, -0x1.4ee4980f08026p-3, -0x1.4a1f34362f5dcp-3, -0x1.4564d3792feecp-3, -0x1.40b5927985f79p-3, -0x1.3c118b329978bp-3, -0x1.3778d51212b44p-3, -0x1.32eb850fd0933p-3, -0x1.2e69adc56cb11p-3, -0x1.29f35f854a6b2p-3, -0x1.2588a8712d6d2p-3, -0x1.212994904706cp-3, -0x1.1cd62de4c85b5p-3, -0x1.188e7c80f3448p-3, -0x1.1452869ba49ffp-3, -0x1.1022506158888p-3, -0x1.0bfddd2745d0dp-3, -0x1.07e52db1ac3cbp-3, -0x1.03d8418c7713ap-3, -0x1.ffae2d8f8dc2p-4, -0x1.f7c354130b123p-4, -0x1.efefed3cf3e29p-4, -0x1.e833ed159349ap-4, -0x1.e08f453403ef9p-4, -0x1.d901e4dd21d13p-4, -0x1.d18bb921893d1p-4, -0x1.ca2cacfa8c2cap-4, -0x1.c2e4a966217dp-4, -0x1.bbb39581e6aa1p-4, -0x1.b49956a527b9ep-4, -0x1.ad95d079e9d44p-4, -0x1.a6a8e51522bf7p-4, -0x1.9fd2750df1464p-4, -0x1.99125f93f9b7bp-4, -0x1.92688284f518cp-4, -0x1.8bd4ba8154141p-4, -0x1.8556e300200a7p-4, -0x1.7eeed66209bdep-4, -0x1.789c6e03b64a8p-4, -0x1.725f824f49e9p-4, -0x1.6c37eacd3a7f6p-4, -0x1.66257e346d2c5p-4, -0x1.60281279a602dp-4, -0x1.5a3f7cde4eb61p-4, -0x1.546b91fe98f5dp-4, -0x1.4eac25df04bffp-4, -0x1.49010bf94c0efp-4, -0x1.436a1748bb1d1p-4, -0x1.3de71a55fbbcbp-4, -0x1.3877e742547bbp-4, -0x1.331c4fd265108p-4, -0x1.2dd4257861206p-4, -0x1.289f395dd093fp-4, -0x1.237d5c6cd8d28p-4, -0x1.1e6e5f59131d3p-4, -0x1.197212a7f6318p-4, -0x1.148846b8d5233p-4, -0x1.0fb0cbcc7a497p-4, -0x1.0aeb720c602f9p-4, -0x1.063809918e83p-4, -0x1.0196626b1d1cfp-4, -0x1.fa0c9948c641ap-5, -0x1.f10f3095a89b7p-5, -0x1.e8342ae7211b7p-5, -0x1.df7b2881539dcp-5, -0x1.d6e3c9cc43d1cp-5, -0x1.ce6daf5d4d6ep-5, -0x1.c6187a0018193p-5, -0x1.bde3cabf0fd3dp-5, -0x1.b5cf42eb6a545p-5, -0x1.adda8424b8a1bp-5, -0x1.a6053060102e5p-5, -0x1.9e4ee9eecabfcp-5, -0x1.96b75384e6fcap-5, -0x1.8f3e103f09fb4p-5, -0x1.87e2c3a828805p-5, -0x1.80a511bedb71fp-5, -0x1.79849efa62aa1p-5, -0x1.7281104f5d31ep-5, -0x1.6b9a0b343252dp-5, -0x1.64cf35a53d14dp-5, -0x1.5e203628ac718p-5, -0x1.578cb3d22a2d6p-5, -0x1.5114564642b65p-5, -0x1.4ab6c5bd94b64p-5, -0x1.4473ab07c800bp-5, -0x1.3e4aaf8e522fbp-5, -0x1.383b7d5709fe8p-5, -0x1.3245bf068a70fp-5, -0x1.2c691fe268f12p-5, -0x1.26a54bd342f6dp-5, -0x1.20f9ef66a0c2ap-5, -0x1.1b66b7d0b380dp-5, -0x1.15eb52edee7b7p-5, -0x1.10876f447c0e7p-5, -0x1.0b3abc0594b3dp-5, -0x1.0604e90eb449p-5, -0x1.00e5a6eab3e28p-5, -0x1.f7b94da587ea2p-6, -0x1.edd3355ea2c54p-6, -0x1.e4186a31966d4p-6, -0x1.da8852b0aa113p-6, -0x1.d12256d0c013p-6, -0x1.c7e5dfea5bccep-6, -0x1.bed258ba86445p-6, -0x1.b5e72d637ecap-6, -0x1.ad23cb6d52f8fp-6, -0x1.a487a1c64a60bp-6, -0x1.9c1220c33339p-6, -0x1.93c2ba1f90d3p-6, -0x1.8b98e0fda7901p-6, -0x1.839409e66e1aap-6, -0x1.7bb3aac95fa8bp-6, -0x1.73f73afc3651dp-6, -0x1.6c5e333a8b5b5p-6, -0x1.64e80da5588e8p-6, -0x1.5d9445c26e4c5p-6, -0x1.5662587bc3a1ap-6, -0x1.4f51c41ebe9d2p-6, -0x1.4862085b5dbp-6, -0x1.4192a64355172p-6, -0x1.3ae320490f6b1p-6, -0x1.3452fa3ea7263p-6, -0x1.2de1b954c6d5fp-6, -0x1.278ee41978686p-6, -0x1.215a0276e9ebbp-6, -0x1.1b429db21d316p-6, -0x1.154840698ce35p-6, -0x1.0f6a7693be98dp-6, -0x1.09a8cd7dcb11cp-6, -0x1.0402d3c9da7b5p-6, -0x1.fcf032db1fa22p-7, -0x1.f2105f60d630ap-7, -0x1.e76552543c79ap-7, -0x1.dcee3381b7302p-7, -0x1.d2aa2d4f25c1ap-7, -0x1.c8986cb8525c2p-7, -0x1.beb8214b4e3efp-7, -0x1.b5087d24b07e5p-7, -0x1.ab88b4ebd35e8p-7, -0x1.a237ffcef2b83p-7, -0x1.9915977f41ebcp-7, -0x1.9020b82ce87ecp-7, -0x1.8758a083045b2p-7, -0x1.7ebc91a381d55p-7, -0x1.764bcf22f953ep-7, -0x1.6e059f047942ap-7, -0x1.65e949b544c42p-7, -0x1.5df61a0882e73p-7, -0x1.562b5d32e83c1p-7, -0x1.4e8862c64b4cbp-7, -0x1.470c7cad3fd69p-7, -0x1.3fb6ff269061dp-7, -0x1.388740c0c2d26p-7, -0x1.317c9a558920fp-7, -0x1.2a9667052c2b6p-7, -0x1.23d40431eea29p-7, -0x1.1d34d17b65fbp-7, -0x1.16b830b9d11c8p-7, -0x1.105d85f9604b1p-7, -0x1.0a2437757d9fap-7, -0x1.040bad940bcb7p-7, -0x1.fc26a5c140b2dp-8, -0x1.f075280f6fc7p-8, -0x1.e501bfa3cc64ap-8, -0x1.d9cb4e3e0057ep-8, -0x1.ced0b9c28a64ap-8, -0x1.c410ec30fe282p-8, -0x1.b98ad39a4832ep-8, -0x1.af3d6216e4a01p-8, -0x1.a5278dbd17152p-8, -0x1.9b4850971466bp-8, -0x1.919ea89930bdep-8, -0x1.8829979808adp-8, -0x1.7ee8233ea383p-8, -0x1.75d9550497decp-8, -0x1.6cfc3a242e029p-8, -0x1.644fe3907ec69p-8, -0x1.5bd365eb9a6cep-8, -0x1.5385d97ca23afp-8, -0x1.4b665a25f0b6p-8, -0x1.4374075b3bf68p-8, -0x1.3badd5aa2decep-8, -0x1.341344a515eb6p-8, -0x1.2ca35388e2d7dp-8, -0x1.255d2fae2cc56p-8, -0x1.1e4009cdd9a0ap-8, -0x1.174b15f758d81p-8, -0x1.107d8b86e4edcp-8, -0x1.09d6a51bc508dp-8, -0x1.0355a08e9dba3p-8, -0x1.f9f37dcf82628p-9, -0x1.ed8488ab1cb72p-9, -0x1.e15cf0459ca7ep-9, -0x1.d57b495a4a7bbp-9, -0x1.c9de2eb702e0cp-9, -0x1.be84412937996p-9, -0x1.b36c276afdab8p-9, -0x1.a8948e102b53bp-9, -0x1.9dfc277392addp-9, -0x1.93a1aba44cb14p-9, -0x1.8983d8531fc29p-9, -0x1.7fa170bff4e84p-9, -0x1.75f93da774676p-9, -0x1.6c8a0d30a651ap-9, -0x1.6352b2dabd4afp-9, -0x1.5a52076af744cp-9, -0x1.5186e8da94bd1p-9, -0x1.48f03a44ed43dp-9, -0x1.408ce3d5a4a72p-9, -0x1.385bd2b6f853dp-9, -0x1.305bf900284c7p-9, -0x1.288c4da401568p-9, -0x1.20ebcc5f861e1p-9, -0x1.197975a8b8708p-9, -0x1.12344e9d77da9p-9, -0x1.0b1b60f28d50fp-9, -0x1.042dbae2d0bcep-9, -0x1.fad4de3cdf80ep-10, -0x1.eda12974ada36p-10, -0x1.e0be8e3f75f82p-10, -0x1.d42b4bf78d12cp-10, -0x1.c7e5aa5ed123bp-10, -0x1.bbebf97e97e82p-10, -0x1.b03c9187c5226p-10, -0x1.a4d5d2b350895p-10, -0x1.99b62522f55fcp-10, -0x1.8edbf8c23c1eep-10, -0x1.8445c527c32d1p-10, -0x1.79f20976d6656p-10, -0x1.6fdf4c4157afp-10, -0x1.660c1b69dc8p-10, -0x1.5c770c0631d4dp-10, -0x1.531eba4218738p-10, -0x1.4a01c94256c02p-10, -0x1.411ee30818415p-10, -0x1.3874b85491d2bp-10, -0x1.3002008cf8088p-10, -0x1.27c5799ec8e3cp-10, -0x1.1fbde7e454938p-10, -0x1.17ea1609a70a5p-10, -0x1.1048d4f1a8be2p-10, -0x1.08d8fb9bb0002p-10, -0x1.0199670934718p-10, -0x1.f511f447e61e3p-11, -0x1.e74d3b48ac09bp-11, -0x1.d9e27ff05221ap-11, -0x1.cccfaa533b738p-11, -0x1.c012ad8d3a6abp-11, -0x1.b3a98790e033fp-11, -0x1.a79240f7474ccp-11, -0x1.9bcaecd095d22p-11, -0x1.9051a8752cbfbp-11, -0x1.85249b57305a1p-11, -0x1.7a41f6d4f1c85p-11, -0x1.6fa7f60bcd50fp-11, -0x1.6554ddabb0939p-11, -0x1.5b46fbcb2e661p-11, -0x1.517ca7bc3dd4p-11, -0x1.47f441e174be9p-11, -0x1.3eac3383f4607p-11, -0x1.35a2eea9dd272p-11, -0x1.2cd6eded55d0ap-11, -0x1.2446b45449288p-11, -0x1.1bf0cd286dd9ep-11, -0x1.13d3cbd028751p-11, -0x1.0bee4ba7e0bfbp-11, -0x1.043eefdbe51b8p-11, -0x1.f988c685c2639p-12, -0x1.eafab071ce6ccp-12, -0x1.dcd110f5f54a1p-12, -0x1.cf096a066094dp-12, -0x1.c1a14bcaa001cp-12, -0x1.b49654582c293p-12, -0x1.a7e62f6d98f31p-12, -0x1.9b8e962f4a6bbp-12, -0x1.8f8d4ee4d1942p-12, -0x1.83e02cb7879a9p-12, -0x1.78850f722d615p-12, -0x1.6d79e34161d82p-12, -0x1.62bca07545a05p-12, -0x1.584b4b4410881p-12, -0x1.4e23f38d86dadp-12, -0x1.4444b49f85eap-12, -0x1.3aabb4fb76b88p-12, -0x1.3157261cb1241p-12, -0x1.2845443fc1235p-12, -0x1.1f74562aeb51dp-12, -0x1.16e2acf6ef2f7p-12, -0x1.0e8ea3d96166p-12, -0x1.06769fef82cf4p-12, -0x1.fd32201451b1fp-13, -0x1.ede8d8f4caa05p-13, -0x1.df0e6dbe39ba8p-13, -0x1.d09ff3e6debcep-13, -0x1.c29a92bbec5b4p-13, -0x1.b4fb8301d75fep-13, -0x1.a7c00e95eda67p-13, -0x1.9ae59011ed9abp-13, -0x1.8e697270ebe05p-13, -0x1.824930b634fdfp-13, -0x1.768255952a53ep-13, -0x1.6b127b1b12f9ep-13, -0x1.5ff74a5a66038p-13, -0x1.552e7b177edb4p-13, -0x1.4ab5d376dd089p-13, -0x1.408b27acd1a6ap-13, -0x1.36ac59aeb75f5p-13, -0x1.2d1758e56ea89p-13, -0x1.23ca21e1681fcp-13, -0x1.1ac2be1007df1p-13, -0x1.11ff437298be6p-13, -0x1.097dd4561ef4bp-13, -0x1.013c9f0d111d7p-13, -0x1.f273bb540c79p-14, -0x1.e2e7ab782f6a8p-14, -0x1.d3d1b017e063p-14, -0x1.c52e80b56fd4cp-14, -0x1.b6faea441ab62p-14, -0x1.a933ceaa3c5dbp-14, -0x1.9bd624464879dp-14, -0x1.8edef5760b13bp-14, -0x1.824b6020739d4p-14, -0x1.761895415ee1fp-14, -0x1.6a43d8782913cp-14, -0x1.5eca7f9818e72p-14, -0x1.53a9f23b69b7fp-14, -0x1.48dfa9584346fp-14, -0x1.3e692ed83d964p-14, -0x1.34441d3163094p-14, -0x1.2a6e1f025be89p-14, -0x1.20e4eeaf5e124p-14, -0x1.17a656027c752p-14, -0x1.0eb02dccf90d2p-14, -0x1.06005d8b045f9p-14, -0x1.fb29b61368794p-15, -0x1.ead7541c6a6f5p-15, -0x1.db05b7feede5ap-15, -0x1.cbb11f22bd947p-15, -0x1.bcd5e0e46eb51p-15, -0x1.ae706df267a96p-15, -0x1.a07d4faeb78a9p-15, -0x1.92f927944acebp-15, -0x1.85e0ae9e6b8fap-15, -0x1.7930b4b4d0123p-15, -0x1.6ce6201a59d03p-15, -0x1.60fdecdf33662p-15, -0x1.55752c559b0cep-15, -0x1.4a49048b07cecp-15, -0x1.3f76afc28662ap-15, -0x1.34fb7bf3820d2p-15, -0x1.2ad4ca4b39b22p-15, -0x1.21000eaff9c7ap-15, -0x1.177acf4870865p-15, -0x1.0e42a405a9f6ap-15, -0x1.0555362e92e83p-15, -0x1.f9607fde50847p-16, -0x1.e8a317d412c2bp-16, -0x1.d86de998c8feap-16, -0x1.c8bcc9c8fcb7ap-16, -0x1.b98bab748e63dp-16, -0x1.aad69f565ad7fp-16, -0x1.9c99d30eac36ep-16, -0x1.8ed19062ba79ep-16, -0x1.817a3c816c911p-16, -0x1.7490574b99e95p-16, -0x1.68107aa0e27c2p-16, -0x1.5bf759b07cb92p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.635e2fc491cfap-3, 0x1.6261e775e3639p-3, 0x1.6e692458ba9e7p-3, 0x1.8572579dd8cap-3, 0x1.a541432f948a8p-3, 0x1.cb8c82bb60ddap-3, 0x1.f61f37432e8f9p-3, 0x1.11782f22baddbp-2, 0x1.2818d3ee85375p-2, 0x1.3e2bbacc40cc3p-2, 0x1.530dc70e16436p-2, 0x1.663dfefbbf734p-2, 0x1.775ba7c3c5fa4p-2, 0x1.86237baac0148p-2, 0x1.926c59a1dc7c9p-2, 0x1.9c23be6a3a563p-2, 0x1.a34a3bbbe6056p-2, 0x1.a7f00bb3e67b7p-2, 0x1.aa31d99fe0af2p-2, 0x1.aa35d6fc9c8d6p-2, 0x1.a829289e348fep-2, 0x1.a43dafd9b631p-2, 0x1.9ea819f345db5p-2, 0x1.979e3aa59f49dp-2, 0x1.8f55cf8382d8dp-2, 0x1.86036eca331fdp-2, 0x1.7bd9b55b9579p-2, 0x1.7108a8d118998p-2, 0x1.65bd46e2487dp-2, 0x1.5a213af0f4bc6p-2, 0x1.4e5ab2b43dabbp-2, 0x1.428c4ba72c2c1p-2, 0x1.36d513ecc14cbp-2, 0x1.2b509a8eb0172p-2, 0x1.20170be96b749p-2, 0x1.153d577f61a31p-2, 0x1.0ad55c8ca10dfp-2, 0x1.00ee1afdaed4cp-2, 0x1.ef27cde9306d3p-3, 0x1.dda13b00a88cfp-3, 0x1.cd57b2bf1f613p-3, 0x1.be564d8358947p-3, 0x1.b0a46a7200576p-3, 0x1.a4460ef15b0ddp-3, 0x1.993c4196c7d42p-3, 0x1.8f8560855d24bp-3, 0x1.871d73022594p-3, 0x1.7ffe75cfc72b4p-3, 0x1.7a20a1fbc5246p-3, 0x1.757aae1a9c563p-3, 0x1.72020a3bd6a55p-3, 0x1.6fab16f45ed55p-3, 0x1.6e6957c05aaap-3, 0x1.6e2fa0d7f23bcp-3, 0x1.6ef04089c6482p-3, 0x1.709d2447fa77fp-3, 0x1.7327f9badfc4p-3, 0x1.76824c4273b92p-3, 0x1.7a9d9f494fa39p-3, 0x1.7f6b85b07b1b1p-3, 0x1.84ddb67e43b47p-3, 0x1.8ae61eeaf079bp-3, 0x1.9176f1e9ef5b7p-3, 0x1.9882a708f1668p-3, 0x1.9ffc1e988de41p-3, 0x1.a7d6b859160e2p-3, 0x1.b00632f0a4f63p-3, 0x1.b87ec21053494p-3, 0x1.c135131b81886p-3, 0x1.ca1e50bdaa26ap-3, 0x1.d3302587ff505p-3, 0x1.dc60bda7ed4bfp-3, 0x1.e5a6c7c30c072p-3, 0x1.eef97503a1beep-3, 0x1.f850786280ab5p-3, 0x1.00d2029f270c1p-2, 0x1.057666a9dcde7p-2, 0x1.0a11ff16a6bc7p-2, 0x1.0ea19f114c69cp-2, 0x1.1322547f1327ep-2, 0x1.1791662fc5654p-2, 0x1.1bec51f60b4efp-2, 0x1.2030caaeaae3dp-2, 0x1.245cb63cc2aeap-2, 0x1.286e2b7f9f8c4p-2, 0x1.2c6370458e26p-2, 0x1.303af73df88a6p-2, 0x1.33f35dec5c284p-2, 0x1.378b6a9d33687p-2, 0x1.3b020a5dd7427p-2, 0x1.3e564ef8a318p-2, 0x1.41876cf70d5e2p-2, 0x1.4494b9abce13ep-2, 0x1.477da94771f57p-2, 0x1.4a41ccf99b006p-2, 0x1.4ce0d120f6236p-2, 0x1.4f5a7b8b4c186p-2, 0x1.51aea9c695318p-2, 0x1.53dd4f8361e56p-2, 0x1.55e67508836fdp-2, 0x1.57ca35b7a8705p-2, 0x1.5988bea28d356p-2, 0x1.5b224d306196bp-2, 0x1.5c972dd31a7a7p-2, 0x1.5de7bacc6c2c6p-2, 0x1.5f145b022c6f9p-2, 0x1.601d80e1d9e18p-2, 0x1.6103a952ec523p-2, 0x1.61c75ab784f55p-2, 0x1.626923fb0b311p-2, 0x1.62e99bae3d184p-2, 0x1.63495f3039bd1p-2, 0x1.638911e416875p-2, 0x1.63a95c729ecbfp-2, 0x1.63aaec17d4197p-2, 0x1.638e71fbdc888p-2, 0x1.6354a296e9a56p-2, 0x1.62fe351fb8f0ap-2, 0x1.628be30419c1dp-2, 0x1.61fe676afba3cp-2, 0x1.61567ebf5d9a1p-2, 0x1.6094e64388568p-2, 0x1.5fba5babf2661p-2, 0x1.5ec79cc1427afp-2, 0x1.5dbd6708e70a8p-2, 0x1.5c9c7773defa8p-2, 0x1.5b658a13530acp-2, 0x1.5a1959d2bfc62p-2, 0x1.58b8a03779e1ap-2, 0x1.5744152564239p-2, 0x1.55bc6ea8ad7a3p-2, 0x1.542260c477982p-2, 0x1.52769d463b6dcp-2, 0x1.50b9d39dbcdf7p-2, 0x1.4eecb0b956c08p-2, 0x1.4d0fdee66574fp-2, 0x1.4b2405b584942p-2, 0x1.4929c9e2657f9p-2, 0x1.4721cd3eeee0ep-2, 0x1.450caea15e419p-2, 0x1.42eb09d533e0bp-2, 0x1.40bd778ea0352p-2, 0x1.3e848d60447e7p-2, 0x1.3c40ddb31602fp-2, 0x1.39f2f7c035cd2p-2, 0x1.379b678c9e1f1p-2, 0x1.353ab5e6842fbp-2, 0x1.32d15f6686f96p-2, 0x1.305ff83ad7437p-2, 0x1.2de6f6f3cffcep-2, 0x1.2b66d7825128fp-2, 0x1.28e012a85cd97p-2, 0x1.26531dfef912bp-2, 0x1.23c06bfd0befcp-2, 0x1.21286bff206e1p-2, 0x1.1e8b8a4ffb409p-2, 0x1.1bea3031e6982p-2, 0x1.1944c3e8a7afap-2, 0x1.169ba8c40ac2p-2, 0x1.13ef3f2aecc8fp-2, 0x1.113fe4a6b9c7fp-2, 0x1.0e8df3ef4bd91p-2, 0x1.0bd9c4f71c782p-2, 0x1.0923acf7b8a78p-2, 0x1.066bfe7e6c7f8p-2, 0x1.03b309791d5bdp-2, 0x1.00f91b433edd7p-2, 0x1.fc7cfd65c824p-3, 0x1.f706f84bbc7b2p-3, 0x1.f190b31dc71e2p-3, 0x1.ec1ab5056ac82p-3, 0x1.e6a5808a8c37cp-3, 0x1.e13193ada6f72p-3, 0x1.dbbf6801e35a1p-3, 0x1.d64f72c7159ddp-3, 0x1.d0e225038761p-3, 0x1.cb77eb9d9a675p-3, 0x1.c6112f752964ep-3, 0x1.c0ae557cb4e41p-3, 0x1.bb4fbed249ccap-3, 0x1.b5f5c8d818c0fp-3, 0x1.b0a0cd4cc2b7p-3, 0x1.ab5122634e7c1p-3, 0x1.a6071adabc961p-3, 0x1.a0c30615416bep-3, 0x1.9b85302f1099bp-3, 0x1.964de214c079bp-3, 0x1.911d61993b533p-3, 0x1.8bf3f18b44591p-3, 0x1.86d1d1ca79982p-3, 0x1.81b73f5bea959p-3, 0x1.7ca4747e2f622p-3, 0x1.7799a8bd080d6p-3, 0x1.7297110482b56p-3, 0x1.6d9cdfb3a671ap-3, 0x1.68ab44aeae882p-3, 0x1.63c26d70c7d99p-3, 0x1.5ee2851d66824p-3, 0x1.5a0bb4911f74ep-3, 0x1.553e227222348p-3, 0x1.5079f3403f53dp-3, 0x1.4bbf49648ff56p-3, 0x1.470e4540b2dccp-3, 0x1.4267053db1899p-3, 0x1.3dc9a5da83b01p-3, 0x1.393641ba38177p-3, 0x1.34acf1b1cbab1p-3, 0x1.302dccd5a34e7p-3, 0x1.2bb8e886baec6p-3, 0x1.274e587f8015ep-3, 0x1.22ee2ee05f381p-3, 0x1.1e987c3c01a8dp-3, 0x1.1a4d4fa345548p-3, 0x1.160cb6b0e29e2p-3, 0x1.11d6bd94d2096p-3, 0x1.0dab6f1f61d92p-3, 0x1.098ad4cc0b782p-3, 0x1.0574f6cc00c08p-3, 0x1.0169dc1072e53p-3, 0x1.fad314a9324a3p-4, 0x1.f2e80c4ee07d7p-4, 0x1.eb12a5ea86b55p-4, 0x1.e352e621cd59dp-4, 0x1.dba8cf79771a6p-4, 0x1.d4146266f502ep-4, 0x1.cc959d6178616p-4, 0x1.c52c7cf28d0c3p-4, 0x1.bdd8fbc654a7ep-4, 0x1.b69b12bb41813p-4, 0x1.af72b8f177aeep-4, 0x1.a85fe3d9bbd9bp-4, 0x1.a16287440a0e8p-4, 0x1.9a7a956dc6881p-4, 0x1.93a7ff0f93de3p-4, 0x1.8ceab36adacp-4, 0x1.8642a056ef564p-4, 0x1.7fafb24df0749p-4, 0x1.7931d479533aep-4, 0x1.72c8f0be25b44p-4, 0x1.6c74efc907392p-4, 0x1.6635b919dbdb3p-4, 0x1.600b330f3b354p-4, 0x1.59f542f19c616p-4, 0x1.53f3ccfe43d59p-4, 0x1.4e06b471f082ap-4, 0x1.482ddb934d7d9p-4, 0x1.426923bd28326p-4, 0x1.3cb86d686a6cbp-4, 0x1.371b9835dd5p-4, 0x1.319282f7b37d7p-4, 0x1.2c1d0bbadaedfp-4, 0x1.26bb0fd01a05bp-4, 0x1.216c6bd4f5f11p-4, 0x1.1c30fbbc6576ap-4, 0x1.17089ad74e7aap-4, 0x1.11f323dcd1e6ap-4, 0x1.0cf070f263d89p-4, 0x1.08005bb3b2e9bp-4, 0x1.0322bd3a5e336p-4, 0x1.fcaedc4af69b2p-5, 0x1.f33c8d41daa78p-5, 0x1.e9ee3cd918221p-5, 0x1.e0c399c63ebb6p-5, 0x1.d7bc520255a07p-5, 0x1.ced812d7202d9p-5, 0x1.c61688ec06cc9p-5, 0x1.bd776052ae327p-5, 0x1.b4fa4493391d6p-5, 0x1.ac9ee0b838cc2p-5, 0x1.a464df5a4e4b1p-5, 0x1.9c4beaab79c6cp-5, 0x1.9453ac822109ap-5, 0x1.8c7bce63c9457p-5, 0x1.84c3f98f831b7p-5, 0x1.7d2bd70815e73p-5, 0x1.75b30f9ddbde8p-5, 0x1.6e594bf85f91cp-5, 0x1.671e349fb1a45p-5, 0x1.600172057cba8p-5, 0x1.5902ac8dd9038p-5, 0x1.52218c97dd9e9p-5, 0x1.4b5dba85f6896p-5, 0x1.44b6dec5f9d16p-5, 0x1.3e2ca1d9025d9p-5, 0x1.37beac5b0ccbp-5, 0x1.316ca70a5e1a5p-5, 0x1.2b363acead7f7p-5, 0x1.251b10c016f31p-5, 0x1.1f1ad22dd6878p-5, 0x1.193528a4cde81p-5, 0x1.1369bdf5d2f5dp-5, 0x1.0db83c3bcb051p-5, 0x1.08204de190fa9p-5, 0x1.02a19da7a9182p-5, 0x1.fa77ad5385a62p-6, 0x1.efdd48c810b5p-6, 0x1.e57365707d3b7p-6, 0x1.db395be5676d2p-6, 0x1.d12e859e0094bp-6, 0x1.c7523cf93222cp-6, 0x1.bda3dd4666a9ep-6, 0x1.b422c2cdfa30bp-6, 0x1.aace4ad950714p-6, 0x1.a1a5d3ba96a7cp-6, 0x1.98a8bcd42ed2dp-6, 0x1.8fd6669fca07cp-6, 0x1.872e32b52da12p-6, 0x1.7eaf83d0aa515p-6, 0x1.7659bdd945196p-6, 0x1.6e2c45e692238p-6, 0x1.662682464506cp-6, 0x1.5e47da81750a9p-6, 0x1.568fb7619b0c8p-6, 0x1.4efd82f54bd7ep-6, 0x1.4790899a60423p-6, 0x1.40486ffa92a9bp-6, 0x1.39248ae25ff8bp-6, 0x1.322449a0165ccp-6, 0x1.2b471cdac0452p-6, 0x1.248c769553417p-6, 0x1.1df3ca31ad9ebp-6, 0x1.177c8c735129cp-6, 0x1.11263381ebfc8p-6, 0x1.0af036eba2a9ap-6, 0x1.04da0fa72b42ep-6, 0x1.fdc6702b6027bp-7, 0x1.f2165808f6f33p-7, 0x1.e6a2d15cf302fp-7, 0x1.db6ad97b02793p-7, 0x1.d06d7096e213dp-7, 0x1.c5a999c63a46p-7, 0x1.bb1e5b021c9e9p-7, 0x1.b0cabd2833c5cp-7, 0x1.a6adcbfb8f8f3p-7, 0x1.9cc6962523a4p-7, 0x1.93142d33fcfd4p-7, 0x1.8995a59d1be4ap-7, 0x1.804a16bb0bcefp-7, 0x1.77309acd282ddp-7, 0x1.6e484ef6a0845p-7, 0x1.6590533d31e3cp-7, 0x1.5d07ca87a27cap-7, 0x1.54adda9bf6d09p-7, 0x1.4c81ac1d678f7p-7, 0x1.44826a8a1c7c7p-7, 0x1.3caf4438aaab1p-7, 0x1.35076a555b6bfp-7, 0x1.2d8a10df391bp-7, 0x1.26366ea4e7fd9p-7, 0x1.1f0bbd414c0b6p-7, 0x1.18093917fce48p-7, 0x1.112e215189399p-7, 0x1.0a79b7d78d73p-7, 0x1.03eb41509d72dp-7, 0x1.fb040a3808cc7p-8, 0x1.ee7a9a9ab81c9p-8, 0x1.e238cd4ff8fa6p-8, 0x1.d63d41348de71p-8, 0x1.ca869a719b1d1p-8, 0x1.bf138272b0f66p-8, 0x1.b3e2a7db9595bp-8, 0x1.a8f2be7dd132ep-8, 0x1.9e427f4e00fbcp-8, 0x1.93d0a858f119p-8, 0x1.899bfcb88138dp-8, 0x1.7fa344885c577p-8, 0x1.75e54cda7be5dp-8, 0x1.6c60e7ab83cf7p-8, 0x1.6314ebd6f3b85p-8, 0x1.5a00350b32826p-8, 0x1.5121a3bd75cbfp-8, 0x1.48781d1d8a781p-8, 0x1.40028b097cd7ap-8, 0x1.37bfdc01277ddp-8, 0x1.2faf0319a79eep-8, 0x1.27cef7f0bb328p-8, 0x1.201eb6a00bf23p-8, 0x1.189d3fb0677bbp-8, 0x1.1149980ce8889p-8, 0x1.0a22c8f613c32p-8, 0x1.0327dff4e7f0cp-8, 0x1.f8afdd9bd066p-9, 0x1.eb6416e837bd9p-9, 0x1.de6a9ff81af5dp-9, 0x1.d1c1b51d8a7c8p-9, 0x1.c5679ab983ba6p-9, 0x1.b95a9d21ebb07p-9, 0x1.ad99108786c3ep-9, 0x1.a22150dc028ebp-9, 0x1.96f1c1b80670bp-9, 0x1.8c08ce415595p-9, 0x1.8164e911065b1p-9, 0x1.77048c19cc54p-9, 0x1.6ce6388e5c255p-9, 0x1.630876c7ecb14p-9, 0x1.5969d62cd464ep-9, 0x1.5008ed17460d3p-9, 0x1.46e458bc32d32p-9, 0x1.3dfabd124d6edp-9, 0x1.354ac4b938b3ap-9, 0x1.2cd320e0dc63dp-9, 0x1.24928930e04c5p-9, 0x1.1c87bbb05c4b1p-9, 0x1.14b17cadac5d2p-9, 0x1.0d0e96a67a274p-9, 0x1.059dda2ff4181p-9, 0x1.fcbc3bbe6326dp-10, 0x1.ee9c7c63a7d46p-10, 0x1.e0da3aed96b2dp-10, 0x1.d373476ebaad9p-10, 0x1.c6657d40aeacap-10, 0x1.b9aec2d6f1766p-10, 0x1.ad4d099223671p-10, 0x1.a13e4d93b4bf5p-10, 0x1.95809591f3a61p-10, 0x1.8a11f2ac9844bp-10, 0x1.7ef08041ac155p-10, 0x1.741a63c2ebeadp-10, 0x1.698dcc8b8acbbp-10, 0x1.5f48f3b67648ap-10, 0x1.554a1bf4eac29p-10, 0x1.4b8f9165892b7p-10, 0x1.4217a96bd7bcfp-10, 0x1.38e0c28826e3cp-10, 0x1.2fe9442fe3613p-10, 0x1.272f9ea65c642p-10, 0x1.1eb24ad5e4d55p-10, 0x1.166fca296f5c3p-10, 0x1.0e66a66687d75p-10, 0x1.06957187bb2aap-10, 0x1.fdf58b2eccd4bp-11, 0x1.ef2a8915e22efp-11, 0x1.e0c7303cd8f03p-11, 0x1.d2c8e3613088ap-11, 0x1.c52d143ea504bp-11, 0x1.b7f14348d935fp-11, 0x1.ab12ff65cd8bdp-11, 0x1.9e8fe5a922efap-11, 0x1.9265a11029dep-11, 0x1.8691ea3ebe69ap-11, 0x1.7b12873cee74ep-11, 0x1.6fe54b356d0e3p-11, 0x1.65081634cf1cdp-11, 0x1.5a78d4e99a5ecp-11, 0x1.5035806516478p-11, 0x1.463c1ddcf2918p-11, 0x1.3c8abe6db5c55p-11, 0x1.331f7ede00ffp-11, 0x1.29f88762914e4p-11, 0x1.21140b6323d79p-11, 0x1.187049401a7d4p-11, 0x1.100b8a18f5c6dp-11, 0x1.07e42193a0338p-11, 0x1.fff0db49116ecp-12, 0x1.f08dacaf2152dp-12, 0x1.e19b9b3391b99p-12, 0x1.d3179e080b17ep-12, 0x1.c4febf4c851d3p-12, 0x1.b74e1ba7b51bbp-12, 0x1.aa02e1e12848dp-12, 0x1.9d1a527d08074p-12, 0x1.9091bf5976abap-12, 0x1.84668b4db477cp-12, 0x1.789629caba628p-12, 0x1.6d1e1e7daf8dbp-12, 0x1.61fbfcf3e03dbp-12, 0x1.572d6840635cdp-12, 0x1.4cb012a374648p-12, 0x1.4281bd334961p-12, 0x1.38a03786a6d0bp-12, 0x1.2f095f6104c82p-12, 0x1.25bb20604d03fp-12, 0x1.1cb373ac28e5bp-12, 0x1.13f05fa6ed529p-12, 0x1.0b6ff7a012e2dp-12, 0x1.03305b882c6cdp-12, 0x1.f65f6f4cea453p-13, 0x1.e6d8889fabad7p-13, 0x1.d7c88b3ed3045p-13, 0x1.c92c1660fe7d8p-13, 0x1.baffdfb41218ep-13, 0x1.ad40b2d6efa8ap-13, 0x1.9feb70d60785fp-13, 0x1.92fd0faab80c7p-13, 0x1.867299bd46b6ep-13, 0x1.7a492d699a7f9p-13, 0x1.6e7dfc86b951bp-13, 0x1.630e4bf08e0b5p-13, 0x1.57f7731482adcp-13, 0x1.4d36db8068866p-13, 0x1.42ca0073f3aaep-13, 0x1.38ae6e74799fbp-13, 0x1.2ee1c2e32b005p-13, 0x1.2561ab957d668p-13, 0x1.1c2be66fe5182p-13, 0x1.133e4102ba72ep-13, 0x1.0a96982955e61p-13, 0x1.0232d7ab373d6p-13, 0x1.f421f3be94826p-14, 0x1.e45e0ea25ee7p-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.257a3ca6ad813p+0, -0x1.1c724ff9acbddp+0, -0x1.152921b343979p+0, -0x1.0f68b40948876p+0, -0x1.0af4285d4726p+0, -0x1.078c70083e006p+0, -0x1.04f3e8ef23f47p+0, -0x1.02f0f65cdcf6fp+0, -0x1.014fbd8e0a2b4p+0, -0x1.ffc64e39a20d7p-1, -0x1.fd0a8eaadd3aep-1, -0x1.fa2eb74f320ap-1, -0x1.f702f8f1f67eap-1, -0x1.f36427dbe851ap-1, -0x1.ef3a5fdf8d462p-1, -0x1.ea778e5695479p-1, -0x1.e515fa2b2a6a3p-1, -0x1.df16d1f44460ep-1, -0x1.d880ca9260a07p-1, -0x1.d15edb3a3b17p-1, -0x1.c9bf1eb0530abp-1, -0x1.c1b1e378eabdep-1, -0x1.b948b47c87b97p-1, -0x1.b095ea8b7d11fp-1, -0x1.a7abe3fd7ea8bp-1, -0x1.9e9c9b748ee32p-1, -0x1.95794e585213ap-1, -0x1.8c523ade32387p-1, -0x1.8336714699bbfp-1, -0x1.7a33b4ad1216bp-1, -0x1.7156689065538p-1, -0x1.68a988cebc468p-1, -0x1.6036aa331a394p-1, -0x1.580601f8655a9p-1, -0x1.501e72d594c1cp-1, -0x1.48859e348ebcfp-1, -0x1.413ff840d4a47p-1, -0x1.3a50ddb396a79p-1, -0x1.33baaa99f7085p-1, -0x1.2d7ed18692f62p-1, -0x1.279df29b71408p-1, -0x1.2217f1d33e21p-1, -0x1.1cec0c1ec8c38p-1, -0x1.1818eb3f7d9dcp-1, -0x1.139cb8843dc17p-1, -0x1.0f752e8eaaf2cp-1, -0x1.0b9faa1f956cap-1, -0x1.081939c7de86fp-1, -0x1.04deac5afa19ep-1, -0x1.01ec9e1904304p-1, -0x1.fe7f093c543eep-2, -0x1.f9a773562adb5p-2, -0x1.f54b09a206897p-2, -0x1.f1624806a41fp-2, -0x1.ede5a62675f79p-2, -0x1.eacda451294cdp-2, -0x1.e812d6b3ad126p-2, -0x1.e5adef177995ep-2, -0x1.e397c574aeceep-2, -0x1.e1c95f7cd6632p-2, -0x1.e03bf7263e8cbp-2, -0x1.dee9002f865b7p-2, -0x1.ddca2c948f73fp-2, -0x1.dcd96eaca093p-2, -0x1.dc10f0fb6403ap-2, -0x1.db6b42eb5d69p-2, -0x1.dae32ab5c0d6ap-2, -0x1.da73b56d9070dp-2, -0x1.da18370992da4p-2, -0x1.d9cc4a17605a3p-2, -0x1.d98bcf1dc4fbcp-2, -0x1.d952ebb1ee4bcp-2, -0x1.d91e09422ef2ep-2, -0x1.d8e9d39a1caa4p-2, -0x1.d8b3372595fdbp-2, -0x1.d8775efa8e28bp-2, -0x1.d833b2b352325p-2, -0x1.d7e5d42420a59p-2, -0x1.d78b9cf6f760dp-2, -0x1.d7231c37aa10bp-2, -0x1.d6aa93d8b6ee2p-2, -0x1.d6207637a2fb6p-2, -0x1.d58363a5eac59p-2, -0x1.d4d227fa47c34p-2, -0x1.d40bb82cecf91p-2, -0x1.d32f30007a2bap-2, -0x1.d23bcfb8c8565p-2, -0x1.d130f9e01d033p-2, -0x1.d00e311b1c7b4p-2, -0x1.ced3160bc9171p-2, -0x1.cd7f65442c433p-2, -0x1.cc12f54991decp-2, -0x1.ca8db4a9a040cp-2, -0x1.c8efa822a7039p-2, -0x1.c738e8e067682p-2, -0x1.c569a2ce28fafp-2, -0x1.c38212fe6c494p-2, -0x1.c18286280197fp-2, -0x1.bf6b5737ddce7p-2, -0x1.bd3cedf6d28e7p-2, -0x1.baf7bdc238069p-2, -0x1.b89c4456bf0fep-2, -0x1.b62b08acbfa08p-2, -0x1.b3a499e5878cdp-2, -0x1.b1098e493eb8p-2, -0x1.ae5a8254ff813p-2, -0x1.ab9817d8aa7bp-2, -0x1.a8c2f523f02b5p-2, -0x1.a5dbc441ea22ap-2, -0x1.a2e33242929f1p-2, -0x1.9fd9ee9164a59p-2, -0x1.9cc0aa5872e3cp-2, -0x1.999817ef51beap-2, -0x1.9660ea5542faep-2, -0x1.931bd4b618e57p-2, -0x1.8fc989f955d7ap-2, -0x1.8c6abc5b01814p-2, -0x1.89001d0db4df8p-2, -0x1.858a5be543d24p-2, -0x1.820a270975605p-2, -0x1.7e802ab0238bp-2, -0x1.7aed10de28c1cp-2, -0x1.7751812e82596p-2, -0x1.73ae209f1d0c8p-2, -0x1.70039162d3e5p-2, -0x1.6c5272b8413c8p-2, -0x1.689b60c50a4f7p-2, -0x1.64def4756fb9fp-2, -0x1.611dc35ff0bb9p-2, -0x1.5d585facd5475p-2, -0x1.598f58017ec3bp-2, -0x1.55c3376f58581p-2, -0x1.51f485663fa0cp-2, -0x1.4e23c5aa30944p-2, -0x1.4a51784c0518dp-2, -0x1.467e19a50ab83p-2, -0x1.42aa22552f1cap-2, -0x1.3ed6074384017p-2, -0x1.3b0239a0e01a3p-2, -0x1.372f26ec5933dp-2, -0x1.335d38f968822p-2, -0x1.2f8cd5f784c26p-2, -0x1.2bbe607b078a3p-2, -0x1.27f237873a232p-2, -0x1.2428b69969d77p-2, -0x1.206235b4eb0f7p-2, -0x1.1c9f096ff0db6p-2, -0x1.18df7f1bffe8fp-2, -0x1.1523ec0a2a981p-2, -0x1.116c977e98a49p-2, -0x1.0db9c8e73ceacp-2, -0x1.0a0bc48de609p-2, -0x1.0662cba8d6723p-2, -0x1.02bf1c6bb94cfp-2, -0x1.fe41e431b53acp-3, -0x1.f7110a253135bp-3, -0x1.efec15da0121cp-3, -0x1.e8d36cff045b6p-3, -0x1.e1c76fed654c4p-3, -0x1.dac879cc24191p-3, -0x1.d3d6e0b3898f6p-3, -0x1.ccf2f5d07b4a2p-3, -0x1.c61d05878896bp-3, -0x1.bf555797b9c76p-3, -0x1.b89c2f3d0329ap-3, -0x1.b1f1cb524e6f2p-3, -0x1.ab5666731eefp-3, -0x1.a4ca371cb57abp-3, -0x1.9e4d6fcebe54bp-3, -0x1.97e03f2b734bep-3, -0x1.9182d01739e5ap-3, -0x1.8b3549d7b931p-3, -0x1.84f7d0325d965p-3, -0x1.7eca838a4c651p-3, -0x1.78ad80fdc63eep-3, -0x1.72a0e283004bp-3, -0x1.6ca4bf04572ap-3, -0x1.66b92a7c025f3p-3, -0x1.60de360f2099p-3, -0x1.5b13f02838ffep-3, -0x1.555a64911d4e8p-3, -0x1.4fb19c8c39e72p-3, -0x1.4a199eed416bep-3, -0x1.449270314b99dp-3, -0x1.3f1c12964a611p-3, -0x1.39b68631ec175p-3, -0x1.3461c907e0374p-3, -0x1.2f1dd71f7965ep-3, -0x1.29eaaa98bd73ap-3, -0x1.24c83bc0d2a38p-3, -0x1.1fb68125daedfp-3, -0x1.1ab56faa2f2d9p-3, -0x1.15c4fa9711f43p-3, -0x1.10e513aec24ap-3, -0x1.0c15ab3e09999p-3, -0x1.0756b02d3798fp-3, -0x1.02a81010995fep-3, -0x1.fc136e70d2114p-4, -0x1.f2f7218076443p-4, -0x1.e9fb0d3be7408p-4, -0x1.e11f036076833p-4, -0x1.d862d39903738p-4, -0x1.cfc64b9917818p-4, -0x1.c7493737281eep-4, -0x1.beeb6086059dcp-4, -0x1.b6ac8fed6aa2cp-4, -0x1.ae8c8c41d11dap-4, -0x1.a68b1adb796d6p-4, -0x1.9ea7ffacb8ccap-4, -0x1.96e2fd5785e0ap-4, -0x1.8f3bd5425a48bp-4, -0x1.87b247ac5d38fp-4, -0x1.804613c0e531ap-4, -0x1.78f6f7aa51b62p-4, -0x1.71c4b0a442a28p-4, -0x1.6aaefb0d2e5d4p-4, -0x1.63b592775e73cp-4, -0x1.5cd831b951eeap-4, -0x1.561692fd8e295p-4, -0x1.4f706fd1dbb5ep-4, -0x1.48e58135f9555p-4, -0x1.42757fa9c232cp-4, -0x1.3c20233ad10e6p-4, -0x1.35e523919f4b4p-4, -0x1.2fc437fe26068p-4, -0x1.29bd17840436dp-4, -0x1.23cf78e62ddf9p-4, -0x1.1dfb12b22781fp-4, -0x1.183f9b4ad232ep-4, -0x1.129cc8f2cb522p-4, -0x1.0d1251d663ef6p-4, -0x1.079fec1534431p-4, -0x1.02454dcb4cfcap-4, -0x1.fa045a3416a85p-5, -0x1.efac806125044p-5, -0x1.e5827aa7dcf97p-5, -0x1.db85b5cdc42d2p-5, -0x1.d1b59ee2c8081p-5, -0x1.c811a34f9c973p-5, -0x1.be9930e38150ep-5, -0x1.b54bb5e1775b1p-5, -0x1.ac28a10ce7358p-5, -0x1.a32f61b5bfa31p-5, -0x1.9a5f67c40dd09p-5, -0x1.91b823c319493p-5, -0x1.893906ebfd614p-5, -0x1.80e1832fceep-5, -0x1.78b10b414a089p-5, -0x1.70a7129e0efdep-5, -0x1.68c30d976d35p-5, -0x1.6104715ac7d12p-5, -0x1.596ab3f98c388p-5, -0x1.51f54c70c5713p-5, -0x1.4aa3b2b04bebap-5, -0x1.43755fa194314p-5, -0x1.3c69cd2e20affp-5, -0x1.3580764596fccp-5, -0x1.2eb8d6e37e88bp-5, -0x1.28126c14a86e2p-5, -0x1.218cb3fc41be4p-5, -0x1.1b272dd8980ccp-5, -0x1.14e15a078c5b3p-5, -0x1.0ebaba0abc7a9p-5, -0x1.08b2d08b5f05bp-5, -0x1.02c9215ddb199p-5, -0x1.f9fa630a31f51p-6, -0x1.ee9d0e6b1da51p-6, -0x1.e37953b01c334p-6, -0x1.d88e4418a29f8p-6, -0x1.cddaf3569b18ap-6, -0x1.c35e77928fc67p-6, -0x1.b917e96f6935ep-6, -0x1.af06640dbac5ep-6, -0x1.a529050ea8572p-6, -0x1.9b7eec96675b1p-6, -0x1.92073d4e58722p-6, -0x1.88c11c66c913ap-6, -0x1.7fabb1985419ep-6, -0x1.76c62724f0adap-6, -0x1.6e0fa9d8a7d35p-6, -0x1.65876909f8577p-6, -0x1.5d2c9699f18bep-6, -0x1.54fe66f3fa489p-6, -0x1.4cfc110d594abp-6, -0x1.4524ce646e103p-6, -0x1.3d77daffac7a4p-6, -0x1.35f4756c537a1p-6, -0x1.2e99debceabdep-6, -0x1.27675a878108cp-6, -0x1.205c2ee3aeba6p-6, -0x1.1977a4686660dp-6, -0x1.12b906298cfe4p-6, -0x1.0c1fa1b55cd42p-6, -0x1.05aac711a0123p-6, -0x1.feb3917160d1fp-7, -0x1.f257f72ca6db2p-7, -0x1.e6416e08ccde6p-7, -0x1.da6ea98ec731ep-7, -0x1.cede62157dee5p-7, -0x1.c38f54ba36c1fp-7, -0x1.b8804358c0d61p-7, -0x1.adaff4834f148p-7, -0x1.a31d337a1fc28p-7, -0x1.98c6d022d54b5p-7, -0x1.8eab9effa201ap-7, -0x1.84ca792638c55p-7, -0x1.7b223c367e53bp-7, -0x1.71b1ca511768dp-7, -0x1.68780a0dbbc49p-7, -0x1.5f73e6716600dp-7, -0x1.56a44ee4538d8p-7, -0x1.4e083727dd44bp-7, -0x1.459e974c309c5p-7, -0x1.3d666ba5e4888p-7, -0x1.355e9c4514492p-7, -0x1.2d865a4a2acd2p-7, -0x1.25dc9a9e8dc24p-7, -0x1.1e606a3f4f486p-7, -0x1.1710da3822806p-7, -0x1.0fecff9859475p-7, -0x1.08f3f367d0c67p-7, -0x1.0224d29bcdd36p-7, -0x1.f6fd7c1795ec6p-8, -0x1.ea01b4cc75c85p-8, -0x1.dd54a04a80da2p-8, -0x1.d0f49706b91c5p-8, -0x1.c4dff8e02dc81p-8, -0x1.b9152d093efe8p-8, -0x1.ad92a1f0d947ep-8, -0x1.a256cd2baf62cp-8, -0x1.97602b5d6ac91p-8, -0x1.8cad4021e4ef3p-8, -0x1.823c95f65d6a2p-8, -0x1.780cbe22b9efep-8, -0x1.6e1c50a2cad8bp-8, -0x1.6469ec0f9f1b6p-8, -0x1.5af43588df0b4p-8, -0x1.51b9d89e3c7a5p-8, -0x1.48b98738efcdfp-8, -0x1.3ff1f9854a77fp-8, -0x1.3761eddc5d246p-8, -0x1.2f0828adb7cb4p-8, -0x1.26e3746940d89p-8, -0x1.1ef2a1692518p-8, -0x1.173485dbe968ap-8, -0x1.0fa7fdae9534dp-8, -0x1.084bea77001ap-8, -0x1.011f335e3dae5p-8, -0x1.f4418a165b2aep-9, -0x1.e69f231a5cfa4p-9, -0x1.d955208deec24p-9, -0x1.cc617bb3276cdp-9, -0x1.bfc2381f154e5p-9, -0x1.b3756390592d5p-9, -0x1.a77915c6140b4p-9, -0x1.9bcb70572ddf1p-9, -0x1.906a9e89eb206p-9, -0x1.8554d52be206p-9, -0x1.7a88526a47063p-9, -0x1.70035daa9489ep-9, -0x1.65c4476390129p-9, -0x1.5bc968f6acd41p-9, -0x1.52112489d1f1dp-9, -0x1.4899e4e17bef4p-9, -0x1.3f621d3b43753p-9, -0x1.36684928c84b1p-9, -0x1.2daaec6afd248p-9, -0x1.252892cddb93fp-9, -0x1.1cdfd0047d522p-9, -0x1.14cf3f8596e99p-9, -0x1.0cf5846865393p-9, -0x1.05514941f62a1p-9, -0x1.fbc28005c1b7p-10, -0x1.ed4843aace2a7p-10, -0x1.df315df7fffd2p-10, -0x1.d17b5d609175ap-10, -0x1.c423de04c2372p-10, -0x1.b728897172f48p-10, -0x1.aa8716607e4a2p-10, -0x1.9e3d4879fce7bp-10, -0x1.9248f0165583fp-10, -0x1.86a7ea01219bbp-10, -0x1.7b581f3cec9ddp-10, -0x1.705784c7c7e28p-10, -0x1.65a41b60b5aecp-10, -0x1.5b3bef4de3621p-10, -0x1.511d1823c0517p-10, -0x1.4745b88ce4edp-10, -0x1.3db3fe12cb501p-10, -0x1.346620e766bfbp-10, -0x1.2b5a63af7a8f5p-10, -0x1.228f134dd2347p-10, -0x1.1a0286af44031p-10, -0x1.11b31e977e94p-10, -0x1.099f456eac16dp-10, -0x1.01c56f0fe18a7p-10, -0x1.f4483130a1074p-11, -0x1.e573906e96c4p-11, -0x1.d70a19fe22825p-11, -0x1.c908fd6cbbddp-11, -0x1.bb6d7b557d223p-11, -0x1.ae34e5075d3afp-11, -0x1.a15c9c2cdf6p-11, -0x1.94e212754a648p-11, -0x1.88c2c93f59a19p-11, -0x1.7cfc51456d23p-11, -0x1.718c4a4b16dbfp-11, -0x1.667062cc349fdp-11, -0x1.5ba657ad5c198p-11, -0x1.512bf3edbafc5p-11, -0x1.46ff105a5b369p-11, -0x1.3d1d9342b5894p-11, -0x1.3385702eadc32p-11, -0x1.2a34a795dc3f9p-11, -0x1.2129469824e3cp-11, -0x1.186166b79c46bp-11, -0x1.0fdb2d93b35b6p-11, -0x1.0794cca5a350ap-11, -0x1.ff1901fc25c6ap-12, -0x1.ef8126080ddd7p-12, -0x1.e05eac69b9d8dp-12, -0x1.d1ae51cb41d0ap-12, -0x1.c36ce80ae3cbp-12, -0x1.b59755c22d695p-12, -0x1.a82a95cf5bafp-12, -0x1.9b23b6e0f7313p-12, -0x1.8e7fdb039b90ep-12, -0x1.823c3731e54cap-12, -0x1.765612e68a6a4p-12, -0x1.6acac7b0636bfp-12, -0x1.5f97c0c8a5df2p-12, -0x1.54ba7aab0875ep-12, -0x1.4a3082aff8bfbp-12, -0x1.3ff776a8a4cfp-12, -0x1.360d047d047a4p-12, -0x1.2c6ee9cbc23fcp-12, -0x1.231af38bfac91p-12, -0x1.1a0efdb0d29bdp-12, -0x1.1148f2ced475p-12, -0x1.08c6cbc31e9bdp-12, -0x1.00868f5c3b99bp-12, -0x1.f10ca4097d4eep-13, -0x1.e1886adf2735bp-13, -0x1.d27cd08bfabd8p-13, -0x1.c3e64bae2f758p-13, -0x1.b5c16b923ff01p-13, -0x1.a80ad798725a9p-13, -0x1.9abf4e9db7dep-13, -0x1.8ddba6675ac5cp-13, -0x1.815ccb11eeb78p-13, -0x1.753fbe834ebe2p-13, -0x1.698197df547d2p-13, -0x1.5e1f82ffb3bb9p-13, -0x1.5316bfee9732cp-13, -0x1.4864a264280f2p-13, -0x1.3e069146c3ca7p-13, -0x1.33fa062e1d9efp-13, -0x1.2a3c8ce8e2311p-13, -0x1.20cbc30543381p-13, -0x1.17a5575bf0a54p-13, -0x1.0ec7099ddb2aap-13, -0x1.062ea9e44a214p-13, -0x1.fbb4308779379p-14, -0x1.eb8e88c205a75p-14, -0x1.dbe85a11ff42fp-14, -0x1.ccbdbf95483a3p-14, -0x1.be0af126bfe3ap-14, -0x1.afcc429bd4f3fp-14, -0x1.a1fe23067d3fdp-14, -0x1.949d1bfbc68d1p-14, -0x1.87a5d0deb6978p-14, -0x1.7b14fe2fd3ffdp-14, -0x1.6ee778e05378ep-14, -0x1.631a2da9fece3p-14, -0x1.57aa206b0e579p-14, -0x1.4c946b85d4c9dp-14, -0x1.41d63f4486b51p-14, -0x1.376ce140e468fp-14, -0x1.2d55abcf99be2p-14, -0x1.238e0d6f2299p-14, -0x1.1a13883ade8e6p-14, -0x1.10e3b160ee15dp-14, -0x1.07fc309c24ed7p-14, -0x1.feb57f6251e24p-15, -0x1.edfa53dd4d638p-15, -0x1.ddc297626a912p-15, -0x1.ce0a23d44f20fp-15, -0x1.beccf352c51a2p-15, -0x1.b0071f54aba39p-15, -0x1.a1b4dfc7f4b33p-15, -0x1.93d28a3713406p-15, -0x1.865c90f4633edp-15, -0x1.794f824a71a33p-15, -0x1.6ca807b2a7c05p-15, -0x1.6062e5103cd68p-15, -0x1.547cf7f090952p-15, -0x1.48f336d0b48dp-15, -0x1.3dc2b0679304ep-15, -0x1.32e88af4e5a1ep-15, -0x1.28620394c747bp-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.c4b2a6d716edep-1, 0x1.c00cfd16101afp-1, 0x1.bb426a8ecd957p-1, 0x1.b655d2a7ab449p-1, 0x1.b14a87ecccd65p-1, 0x1.ac242897bc61ap-1, 0x1.a6e67d417e0b4p-1, 0x1.a1955ad7d875dp-1, 0x1.9c34887a4680cp-1, 0x1.96c7a9886dc31p-1, 0x1.91522be8051a2p-1, 0x1.8bd73a57738eep-1, 0x1.8659b2819f1d8p-1, 0x1.80dc1e7335db7p-1, 0x1.7b60b10752bfep-1, 0x1.75e944de3ee18p-1, 0x1.70775d733b749p-1, 0x1.6b0c29ebeed4p-1, 0x1.65a8894425e9dp-1, 0x1.604d0f81dfd1ep-1, 0x1.5afa0ba780627p-1, 0x1.55af8e23e67e2p-1, 0x1.506d6f89a7963p-1, 0x1.4b33575fa364dp-1, 0x1.4600c2e54f0dp-1, 0x1.40d50bac7477p-1, 0x1.3baf6df0acdfap-1, 0x1.368f0e9a9305ep-1, 0x1.317300e19225p-1, 0x1.2c5a4b8372926p-1, 0x1.2743ed8c43696p-1, 0x1.222ee2ac3b85bp-1, 0x1.1d1a271b881fp-1, 0x1.1804bb0df4f2ap-1, 0x1.12eda5b9ddce1p-1, 0x1.0dd3f7f7029f1p-1, 0x1.08b6ce7ab65e3p-1, 0x1.039553b779588p-1, 0x1.fcdd82ccf4e0dp-2, 0x1.f284c38346d04p-2, 0x1.e81f20e9e850cp-2, 0x1.ddab769ba9a1cp-2, 0x1.d328c55dcc1ap-2, 0x1.c896339d35ccbp-2, 0x1.bdf30d8d42c04p-2, 0x1.b33ec4f3891cbp-2, 0x1.a878f0ab4a73cp-2, 0x1.9da14bea76fa1p-2, 0x1.92b7b5517b1e7p-2, 0x1.87bc2dce3e964p-2, 0x1.7caed75a10ddfp-2, 0x1.718ff39975c03p-2, 0x1.665fe264229c8p-2, 0x1.5b1f203ac6308p-2, 0x1.4fce44afaa1d2p-2, 0x1.446e00c68de68p-2, 0x1.38ff1d4fb12dcp-2, 0x1.2d82794165726p-2, 0x1.21f908131e741p-2, 0x1.1663d01c8b3e5p-2, 0x1.0ac3e8fad462cp-2, 0x1.fe34f3fbb1379p-3, 0x1.e6d1713dc186p-3, 0x1.cf5fce041cb71p-3, 0x1.b7e2a506efce9p-3, 0x1.a05ca4a18a825p-3, 0x1.88d08c1fb170ep-3, 0x1.71412925f3d62p-3, 0x1.59b15535898eap-3, 0x1.4223f34c1ccf9p-3, 0x1.2a9bed9f885eep-3, 0x1.131c33758dd0fp-3, 0x1.f74f6e2e8566bp-4, 0x1.c882d7bfbea67p-4, 0x1.99d888cd09609p-4, 0x1.6b566184da9f9p-4, 0x1.3d0239d1de8a1p-4, 0x1.0ee1de4969c6p-4, 0x1.c1f61a95bf115p-5, 0x1.66a6e89d578ccp-5, 0x1.0be15ac6a7dfbp-5, 0x1.6360f35c67e78p-6, 0x1.607c78657c502p-7, -0x1.90261a38abe84p-14, -0x1.63eab1a2c30f3p-7, -0x1.60dcf722fe1p-6, -0x1.07198c30d1a18p-5, -0x1.5cf22ad6857a2p-5, -0x1.b1eee78a3ed73p-5, -0x1.03034c0da1066p-4, -0x1.2c982d18db51bp-4, -0x1.55b1ca9201842p-4, -0x1.7e4bfdc977c94p-4, -0x1.a662c6678a608p-4, -0x1.cdf24b05134fcp-4, -0x1.f4f6d9ab39e8fp-4, -0x1.0db6741dc8448p-3, -0x1.20a88a60c8873p-3, -0x1.335012d766ebap-3, -0x1.45ab850154246p-3, -0x1.57b96caf6d8dfp-3, -0x1.69786a04d4e66p-3, -0x1.7ae7316f68329p-3, -0x1.8c048b980d0cap-3, -0x1.9ccf554b499f1p-3, -0x1.ad467f5a985fp-3, -0x1.bd690e76e9c01p-3, -0x1.cd361b04c1d63p-3, -0x1.dcacd0ea4e3f8p-3, -0x1.ebcc6f57e32cap-3, -0x1.fa94488b3be3p-3, -0x1.0481e0c6edfa9p-2, -0x1.0b8d28f775e5ep-2, -0x1.126bc1bc71972p-2, -0x1.191d78f1ac6f9p-2, -0x1.1fa22540a5de8p-2, -0x1.25f9a5f61341p-2, -0x1.2c23e2d5e8665p-2, -0x1.3220cbee0bac9p-2, -0x1.37f05967d40cep-2, -0x1.3d928b5871a3cp-2, -0x1.4307699064542p-2, -0x1.484f036a1d8e1p-2, -0x1.4d696f97e1e25p-2, -0x1.5256cbf1150e6p-2, -0x1.57173d3efa9cfp-2, -0x1.5baaef090ebb3p-2, -0x1.601213610bee8p-2, -0x1.644ce2aeb2c78p-2, -0x1.685b9b7b6bc17p-2, -0x1.6c3e823dd325p-2, -0x1.6ff5e1254aa25p-2, -0x1.738207e5981c7p-2, -0x1.76e34b82ab9ap-2, -0x1.7a1a061c9add4p-2, -0x1.7d2696bbdd32bp-2, -0x1.8009611ddc917p-2, -0x1.82c2cd81e5bc4p-2, -0x1.8553487685e4p-2, -0x1.87bb42a75febdp-2, -0x1.89fb30ab87602p-2, -0x1.8c138ad467b98p-2, -0x1.8e04ccfd47c1ep-2, -0x1.8fcf765b68a9cp-2, -0x1.9174094ed4288p-2, -0x1.92f30b33da189p-2, -0x1.944d04354345ep-2, -0x1.95827f1f48d48p-2, -0x1.969409334d2b2p-2, -0x1.978231fc5e4afp-2, -0x1.984d8b248a62ap-2, -0x1.98f6a84b04672p-2, -0x1.997e1edb23b3bp-2, -0x1.99e485e43a487p-2, -0x1.9a2a75f24bc76p-2, -0x1.9a5088e7a36c2p-2, -0x1.9a5759d74d64cp-2, -0x1.9a3f84e0731b1p-2, -0x1.9a09a70a9df2ep-2, -0x1.99b65e22e0ee8p-2, -0x1.99464899e9387p-2, -0x1.98ba0562f6e4ap-2, -0x1.981233d3bd08cp-2, -0x1.974f73852cae8p-2, -0x1.9672643522b72p-2, -0x1.957ba5a9010a3p-2, -0x1.946bd7912b966p-2, -0x1.9343996d6993bp-2, -0x1.92038a722d3bfp-2, -0x1.90ac496ebb5e5p-2, -0x1.8f3e74b43492dp-2, -0x1.8dbaa9fd7b34bp-2, -0x1.8c218657f9abp-2, -0x1.8a73a60d3edf2p-2, -0x1.88b1a48d762b2p-2, -0x1.86dc1c5ab3433p-2, -0x1.84f3a6f5113b5p-2, -0x1.82f8dcc7a203bp-2, -0x1.80ec55162d0cp-2, -0x1.7ecea5ebb591ap-2, -0x1.7ca06409cacd2p-2, -0x1.7a6222d89d284p-2, -0x1.78147457d3349p-2, -0x1.75b7e9101d82bp-2, -0x1.734d100584f36p-2, -0x1.70d476aa73f38p-2, -0x1.6e4ea8d36d009p-2, -0x1.6bbc30ab7a552p-2, -0x1.691d96a943644p-2, -0x1.66736184d240ep-2, -0x1.63be162df98bdp-2, -0x1.60fe37c361f3bp-2, -0x1.5e34478a35272p-2, -0x1.5b60c4e661d48p-2, -0x1.58842d537a7ap-2, -0x1.559efc5e29bd2p-2, -0x1.52b1ab9e30dc8p-2, -0x1.4fbcb2b0fc1a7p-2, -0x1.4cc08734b955fp-2, -0x1.49bd9cc3f76b8p-2, -0x1.46b464f1c8a5ap-2, -0x1.43a54f466133ep-2, -0x1.4090c93c336a3p-2, -0x1.3d773e3d816e7p-2, -0x1.3a5917a263e22p-2, -0x1.3736bcaf40b34p-2, -0x1.34109293b050dp-2, -0x1.30e6fc69c9c97p-2, -0x1.2dba5b35d726p-2, -0x1.2a8b0de66c485p-2, -0x1.27597154dcc94p-2, -0x1.2425e0460ea33p-2, -0x1.20f0b36ba4625p-2, -0x1.1dba41657ed9ap-2, -0x1.1a82dec390361p-2, -0x1.174ade07feab5p-2, -0x1.14128fa993a83p-2, -0x1.10da4216732b5p-2, -0x1.0da241b71c19ap-2, -0x1.0a6ad8f1a7094p-2, -0x1.0734502d4af98p-2, -0x1.03feedd61c194p-2, -0x1.00caf661057bfp-2, -0x1.fb31589ff5541p-3, -0x1.f4d0a06cc3da2p-3, -0x1.ee74417b560f3p-3, -0x1.e81cb5543648ep-3, -0x1.e1ca71bf86de7p-3, -0x1.db7de8cf49f3p-3, -0x1.d53788e9f3237p-3, -0x1.cef7bcd54cc3fp-3, -0x1.c8beebc1a0d89p-3, -0x1.c28d795525c8ep-3, -0x1.bc63c5b7a8a5cp-3, -0x1.b6422d9e7420fp-3, -0x1.b0290a586b6a3p-3, -0x1.aa18b1da58109p-3, -0x1.a41176cb64c08p-3, -0x1.9e13a891c239bp-3, -0x1.981f935f72188p-3, -0x1.9235803f35af3p-3, -0x1.8c55b52199e69p-3, -0x1.868074ea1f43ep-3, -0x1.80b5ff7c762a2p-3, -0x1.7af691c9d903ap-3, -0x1.754265de6ad14p-3, -0x1.6f99b2eeb1df7p-3, -0x1.69fcad65119a1p-3, -0x1.646b86ef51924p-3, -0x1.5ee66e8c31b56p-3, -0x1.596d9098f0718p-3, -0x1.540116dee1907p-3, -0x1.4ea128a0fb657p-3, -0x1.494deaa95cf17p-3, -0x1.44077f56d2457p-3, -0x1.3ece06aa4f377p-3, -0x1.39a19e545a42p-3, -0x1.348261c26b14p-3, -0x1.2f706a2c42163p-3, -0x1.2a6bcea11f659p-3, -0x1.2574a414f5678p-3, -0x1.208afd6d7ad2ap-3, -0x1.1baeeb8f2f859p-3, -0x1.16e07d6a41b38p-3, -0x1.121fc0075ed59p-3, -0x1.0d6cbe9464105p-3, -0x1.08c78270f7bbp-3, -0x1.0430133b025acp-3, -0x1.ff4cedb60fe67p-4, -0x1.f6556320c1987p-4, -0x1.ed798bfaa89dp-4, -0x1.e4b96a661fa0dp-4, -0x1.dc14fd7aed5dcp-4, -0x1.d38c415da5772p-4, -0x1.cb1f2f56bf733p-4, -0x1.c2cdbde959439p-4, -0x1.ba97e0e9bc3a8p-4, -0x1.b27d89937bf7fp-4, -0x1.aa7ea69f608f2p-4, -0x1.a29b2458efeafp-4, -0x1.9ad2ecb3a2c0bp-4, -0x1.9325e75fd9d3fp-4, -0x1.8b93f9df64387p-4, -0x1.841d0799cb599p-4, -0x1.7cc0f1f03b14fp-4, -0x1.757f985118619p-4, -0x1.6e58d84b42fe5p-4, -0x1.674c8da0ffb21p-4, -0x1.605a925a8cde9p-4, -0x1.5982bed85fd23p-4, -0x1.52c4e9e50ad75p-4, -0x1.4c20e8c6cce36p-4, -0x1.45968f50ca5dap-4, -0x1.3f25aff3edc3bp-4, -0x1.38ce1bcf72a09p-4, -0x1.328fa2c118e8cp-4, -0x1.2c6a137502d5fp-4, -0x1.265d3b753b278p-4, -0x1.2068e738e66a2p-4, -0x1.1a8ce2331f1a6p-4, -0x1.14c8f6e17b39p-4, -0x1.0f1ceeda3f043p-4, -0x1.098892da3a5d6p-4, -0x1.040baad25353cp-4, -0x1.fd4bfbe97b4aep-5, -0x1.f2aea583beca5p-5, -0x1.e83ede29cacdap-5, -0x1.ddfc30600b63dp-5, -0x1.d3e62590e3d06p-5, -0x1.c9fc4623f7213p-5, -0x1.c03e1994cf44fp-5, -0x1.b6ab2688ed8adp-5, -0x1.ad42f2e53f9ebp-5, -0x1.a40503e2fac36p-5, -0x1.9af0de23e3fb1p-5, -0x1.920605c603b5ap-5, -0x1.8943fe76c3f58p-5, -0x1.80aa4b8582c7p-5, -0x1.78386ff5930d1p-5, -0x1.6fedee8fb2ae3p-5, -0x1.67ca49f2f5122p-5, -0x1.5fcd04a525d09p-5, -0x1.57f5a122a6b9fp-5, -0x1.5043a1edc6113p-5, -0x1.48b6899d97833p-5, -0x1.414ddaec48795p-5, -0x1.3a0918c4faaf6p-5, -0x1.32e7c6511fc53p-5, -0x1.2be967055d89cp-5, -0x1.250d7eadfaa65p-5, -0x1.1e53917ad56acp-5, -0x1.17bb240ae6d8dp-5, -0x1.1143bb775734ap-5, -0x1.0aecdd5e2365dp-5, -0x1.04b60fec51c2ep-5, -0x1.fd3db3cf87f9ep-6, -0x1.f14d857130eacp-6, -0x1.e59aa4e45b43ep-6, -0x1.da2423b775aa1p-6, -0x1.cee914f115758p-6, -0x1.c3e88d1fab907p-6, -0x1.b921a2687edbcp-6, -0x1.ae936c95e948dp-6, -0x1.a43d0524ee2d4p-6, -0x1.9a1d875214b43p-6, -0x1.90341025a292dp-6, -0x1.867fbe7f28395p-6, -0x1.7cffb320717fep-6, -0x1.73b310b7d1aap-6, -0x1.6a98fbe9d76bp-6, -0x1.61b09b5a6d23cp-6, -0x1.58f917b561d6p-6, -0x1.50719bb6655a7p-6, -0x1.4819543077da5p-6, -0x1.3fef7014d5b2p-6, -0x1.37f320795c37dp-6, -0x1.3023989e6dbcap-6, -0x1.28800df45bcf6p-6, -0x1.2107b82058786p-6, -0x1.19b9d100edb6cp-6, -0x1.129594b20954ap-6, -0x1.0b9a4190949f8p-6, -0x1.04c7183da6174p-6, -0x1.fc36b74287dd8p-7, -0x1.ef2ca1d99082bp-7, -0x1.e26e7f39c6efdp-7, -0x1.d5fae2f676ebap-7, -0x1.c9d0653f62cf6p-7, -0x1.bdeda2e2a6416p-7, -0x1.b2513d4de6338p-7, -0x1.a6f9da8ed966bp-7, -0x1.9be625533d29p-7, -0x1.9114cce824015p-7, -0x1.86848538b635bp-7, -0x1.7c3406cc66fdcp-7, -0x1.72220ec49b8fap-7, -0x1.684d5ed9cde1ep-7, -0x1.5eb4bd582f5b6p-7, -0x1.5556f51bdaebdp-7, -0x1.4c32d58c8442p-7, -0x1.43473298c0f88p-7, -0x1.3a92e4b0e00bep-7, -0x1.3214c8c15dabap-7, -0x1.29cbc02cf3439p-7, -0x1.21b6b0c647891p-7, -0x1.19d484c947467p-7, -0x1.12242ad425e87p-7, -0x1.0aa495e00d434p-7, -0x1.0354bd397f3b6p-7, -0x1.f86738f0db16ep-8, -0x1.ea8066f0157efp-8, -0x1.dcf30c9cb335dp-8, -0x1.cfbd3a86f7ca6p-8, -0x1.c2dd09918e756p-8, -0x1.b6509adf42dbbp-8, -0x1.aa1617c04e4b2p-8, -0x1.9e2bb19f434b1p-8, -0x1.928fa1ed9d69fp-8, -0x1.87402a0ff6f8ep-8, -0x1.7c3b9349f116ep-8, -0x1.71802ea9ce9cfp-8, -0x1.670c54f3c9cb4p-8, -0x1.5cde668d2aa1bp-8, -0x1.52f4cb6720fc5p-8, -0x1.494df2e96a0cdp-8, -0x1.3fe853dcc4017p-8, -0x1.36c26c553653dp-8, -0x1.2ddac19c321fp-8, -0x1.252fe01a8f8e8p-8, -0x1.1cc05b426d776p-8, -0x1.148acd78f5135p-8, -0x1.0c8dd800093p-8, -0x1.04c822dfe089cp-8, -0x1.fa70b9a12937ap-9, -0x1.ebba764745dcep-9, -0x1.dd6af35acfd5bp-9, -0x1.cf7fb55d2c9e5p-9, -0x1.c1f64d7b5832dp-9, -0x1.b4cc5960d8777p-9, -0x1.a7ff830ab7f25p-9, -0x1.9b8d809a92891p-9, -0x1.8f741429b8c28p-9, -0x1.83b10b9c6e9edp-9, -0x1.784240754b156p-9, -0x1.6d2597a8c01bfp-9, -0x1.62590170c7d49p-9, -0x1.57da7920c6a6dp-9, -0x1.4da804f99f732p-9, -0x1.43bfb5fdfd411p-9, -0x1.3a1fa7c6dada6p-9, -0x1.30c600584972ap-9, -0x1.27b0eff67c8d9p-9, -0x1.1edeb0fb17c26p-9, -0x1.164d87aacabf4p-9, -0x1.0dfbc20b38bc6p-9, -0x1.05e7b7b930ff8p-9, -0x1.fc1f937e6e9fap-10, -0x1.ece4c4d8c9979p-10, -0x1.de1bea574002ap-10, -0x1.cfc1fcb65acecp-10, -0x1.c1d406493df6ep-10, -0x1.b44f22aa4063fp-10, -0x1.a7307e6c47b4ep-10, -0x1.9a7556cce6cfap-10, -0x1.8e1af9674179cp-10, -0x1.821ec3e7c4bcap-10, -0x1.767e23c09d912p-10, -0x1.6b3695df10b8ap-10, -0x1.6045a66199df6p-10, -0x1.55a8f04ee2eacp-10, -0x1.4b5e1d4d92538p-10, -0x1.4162e55cf98e7p-10, -0x1.37b50e8e8bdd1p-10, -0x1.2e526cc04a919p-10, -0x1.2538e157f2f95p-10, -0x1.1c665aff23fb5p-10, -0x1.13d8d5604f7efp-10, -0x1.0b8e58e498446p-10, -0x1.0384fa72883ebp-10, -0x1.f775b65b5b7bep-11, -0x1.e85c506e2b727p-11, -0x1.d9ba34dd53bb9p-11, -0x1.cb8bec6adeec3p-11, -0x1.bdce16614da32p-11, -0x1.b07d681b9aa2fp-11, -0x1.a396ac8efcc64p-11, -0x1.9716c3d66ce46p-11, -0x1.8afaa2bfe8aa4p-11, -0x1.7f3f525b73884p-11, -0x1.73e1ef8bd5eebp-11, -0x1.68dfaa9915378p-11, -0x1.5e35c6c4a4773p-11, -0x1.53e199df4d878p-11, -0x1.49e08be0cb517p-11, -0x1.4030168118b7p-11, -0x1.36cdc4d36d948p-11, -0x1.2db732e2e727p-11, -0x1.24ea0d50dc0fbp-11, -0x1.1c6410f4d4c12p-11, -0x1.14230a7e29024p-11, -0x1.0c24d6173c004p-11, -0x1.04675f0a56ee5p-11, -0x1.f9d13ed03518ep-12, -0x1.eb4d3f5f10f55p-12, -0x1.dd3eecef3c8aep-12, -0x1.cfa29034f9121p-12, -0x1.c2748cc437807p-12, -0x1.b5b1606d0b77dp-12, -0x1.a955a29b21ad1p-12, -0x1.9d5e03b839531p-12, -0x1.91c74c918bd27p-12, -0x1.868e5dc0249b4p-12, -0x1.7bb02f141ce74p-12, -0x1.7129cf02b352bp-12, -0x1.66f86217347afp-12, -0x1.5d192266aec9bp-12, -0x1.53895f066b1dfp-12, -0x1.4a467b851a8f3p-12, -0x1.414def66b53e1p-12, -0x1.389d45a300492p-12, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.e86b9cdcf7d08p-1, 0x1.e69bf6f1a0a71p-1, 0x1.e4bf8abc97352p-1, 0x1.e2d677971ff66p-1, 0x1.e0e0f8e0bf598p-1, 0x1.dedf641fae338p-1, 0x1.dcd2263c479dep-1, 0x1.dab9c02cef5afp-1, 0x1.d896c35768b44p-1, 0x1.d669cddd94bfbp-1, 0x1.d43386fe6f85cp-1, 0x1.d1f49ba8f9a83p-1, 0x1.cfadbb5568af3p-1, 0x1.cd5f9531703fap-1, 0x1.cb0ad5a66e8e9p-1, 0x1.c8b0243ba4af6p-1, 0x1.c65021d3276ccp-1, 0x1.c3eb673da59efp-1, 0x1.c182841f67971p-1, 0x1.bf15fe1fc8831p-1, 0x1.bca6505bc782ep-1, 0x1.ba33eb14172ccp-1, 0x1.b7bf338f0dd9bp-1, 0x1.b54884272598fp-1, 0x1.b2d02c7f1462p-1, 0x1.b05671d504386p-1, 0x1.addb8f6efe23dp-1, 0x1.ab5fb71b28f28p-1, 0x1.a8e311bf1473p-1, 0x1.a665bff1d1129p-1, 0x1.a3e7da9d247e4p-1, 0x1.a16973a2a894ep-1, 0x1.9eea96821ce3cp-1, 0x1.9c6b48fe9c06cp-1, 0x1.99eb8bc0d122p-1, 0x1.976b5af49dad2p-1, 0x1.94eaaee0f2af2p-1, 0x1.92697c78e40c3p-1, 0x1.8fe7b5e53f98cp-1, 0x1.8d654b06231fep-1, 0x1.8ae229ec39671p-1, 0x1.885e3f49750fdp-1, 0x1.85d976d937f85p-1, 0x1.8353bbbff727dp-1, 0x1.80ccf8e282dd3p-1, 0x1.7e451935289edp-1, 0x1.7bbc0802f61abp-1, 0x1.7931b12d6f4eap-1, 0x1.76a6016513016p-1, 0x1.7418e65b0be3ap-1, 0x1.718a4eec72d84p-1, 0x1.6efa2b4789f5cp-1, 0x1.6c686d0b52fe7p-1, 0x1.69d50761ebbcbp-1, 0x1.673fef160ed44p-1, 0x1.64a91aa41ed6cp-1, 0x1.62108247158dep-1, 0x1.5f762001b598dp-1, 0x1.5cd9efa451ecep-1, 0x1.5a3beecf7ccfp-1, 0x1.579c1cf3eec24p-1, 0x1.54fa7b4febc96p-1, 0x1.52570cea6ab67p-1, 0x1.4fb1d68c4080ep-1, 0x1.4d0adeb78c1b9p-1, 0x1.4a622d9d947cfp-1, 0x1.47b7cd1353c8cp-1, 0x1.450bc884d7303p-1, 0x1.425e2ce7a459dp-1, 0x1.3faf08ac4acdcp-1, 0x1.3cfe6baf42995p-1, 0x1.3a4c67293e6eap-1, 0x1.37990d9f0c137p-1, 0x1.34e472d11fee5p-1, 0x1.322eabaae2c8cp-1, 0x1.2f77ce31dbb93p-1, 0x1.2cbff174c75c3p-1, 0x1.2a072d7aadf3ep-1, 0x1.274d9b320ca94p-1, 0x1.249354601c44ap-1, 0x1.21d873904338ep-1, 0x1.1f1d1403c06a2p-1, 0x1.1c6151a195119p-1, 0x1.19a548e6ba464p-1, 0x1.16e916d6a6ca4p-1, 0x1.142cd8ec2d761p-1, 0x1.1170ad0ab78f8p-1, 0x1.0eb4b16fe448cp-1, 0x1.0bf904a58afb1p-1, 0x1.093dc5742a03cp-1, 0x1.068312d5bf67p-1, 0x1.03c90be90fd6ap-1, 0x1.010fcfe55ec09p-1, 0x1.fcaefc1d29f32p-2, 0x1.f7406b53b3833p-2, 0x1.f1d42be538be2p-2, 0x1.ec6a7c202026fp-2, 0x1.e7039a162dc97p-2, 0x1.e19fc3893d0f3p-2, 0x1.dc3f35d8d4488p-2, 0x1.d6e22df098f2cp-2, 0x1.d188e83797fb6p-2, 0x1.cc33a08067b67p-2, 0x1.c6e291fa188bp-2, 0x1.c195f721f7d93p-2, 0x1.bc4e09b61b6d6p-2, 0x1.b70b02a8b42ebp-2, 0x1.b1cd1a1422c19p-2, 0x1.ac94872fcbebcp-2, 0x1.a7618045a37d1p-2, 0x1.a2343aa86e2d3p-2, 0x1.9d0ceaaab2853p-2, 0x1.97ebc39655becp-2, 0x1.92d0f7a4dee33p-2, 0x1.8dbcb7f8598ffp-2, 0x1.88af3494da245p-2, 0x1.83a89c5a9381ep-2, 0x1.7ea91d008488bp-2, 0x1.79b0e30fb3a26p-2, 0x1.74c019deeeadfp-2, 0x1.6fd6eb8f1657cp-2, 0x1.6af58107e3b4ap-2, 0x1.661c01f52ba5ep-2, 0x1.614a94c4996dap-2, 0x1.5c815ea3d7362p-2, 0x1.57c0837f29638p-2, 0x1.530826006e9cp-2, 0x1.4e58678e864a7p-2, 0x1.49b1684d17e2p-2, 0x1.4513471cb59ccp-2, 0x1.407e219b556dfp-2, 0x1.3bf2142523acap-2, 0x1.376f39d59ddf1p-2, 0x1.32f5ac8901161p-2, 0x1.2e8584ddfce4ap-2, 0x1.2a1eda37aa122p-2, 0x1.25c1c2bfc88c8p-2, 0x1.216e536932915p-2, 0x1.1d249ff291cfdp-2, 0x1.18e4bae9471e5p-2, 0x1.14aeb5ac899a9p-2, 0x1.1082a070b153fp-2, 0x1.0c608a42b56afp-2, 0x1.0848810bd2365p-2, 0x1.043a9195576dfp-2, 0x1.0036c78c9c286p-2, 0x1.f87a5b0e2a4ccp-3, 0x1.f09b9a0d16736p-3, 0x1.e8d15cfae0089p-3, 0x1.e11bb2a698741p-3, 0x1.d97aa7d28ec9p-3, 0x1.d1ee473d8ecd1p-3, 0x1.ca7699ac45d2bp-3, 0x1.c313a5f2cc84dp-3, 0x1.bbc570fe53e18p-3, 0x1.b48bfddeead5dp-3, 0x1.ad674dd160e0dp-3, 0x1.a65760493dd28p-3, 0x1.9f5c32fac87f1p-3, 0x1.9875c1e51d474p-3, 0x1.91a4075c56388p-3, 0x1.8ae6fc13b24bdp-3, 0x1.843e9727c813bp-3, 0x1.7daace28bbef4p-3, 0x1.772b9524755cp-3, 0x1.70c0deb0d0c2bp-3, 0x1.6a6a9bf5cdbfap-3, 0x1.6428bcb7b742bp-3, 0x1.5dfb2f6145874p-3, 0x1.57e1e10dabd0ap-3, 0x1.51dcbd92a3832p-3, 0x1.4bebaf8a63e37p-3, 0x1.460ea05d867b8p-3, 0x1.4045784cdf2f6p-3, 0x1.3a901e7b3bb09p-3, 0x1.34ee78f70eb7p-3, 0x1.2f606cc4053b5p-3, 0x1.29e5dde485b4ep-3, 0x1.247eaf630d091p-3, 0x1.1f2ac35b800b4p-3, 0x1.19e9fb0451e33p-3, 0x1.14bc36b797fabp-3, 0x1.0fa155fbfc7dfp-3, 0x1.0a99378d92132p-3, 0x1.05a3b9668c4d3p-3, 0x1.00c0b8c7d32dp-3, 0x1.f7e02482ec2e1p-4, 0x1.ee63437607088p-4, 0x1.e50a84f7723cp-4, 0x1.dbd59e65269cdp-4, 0x1.d2c443fc71801p-4, 0x1.c9d628e98c66bp-4, 0x1.c10aff56e7406p-4, 0x1.b862787c2c501p-4, 0x1.afdc44acf86afp-4, 0x1.a77813675929ap-4, 0x1.9f359361ec1ap-4, 0x1.97147299c24d7p-4, 0x1.8f145e5ffe6a8p-4, 0x1.873503671b21fp-4, 0x1.7f760dcff27c6p-4, 0x1.77d7293677edp-4, 0x1.705800be29bc2p-4, 0x1.68f83f1e3780dp-4, 0x1.61b78ead612dap-4, 0x1.5a95996d8b864p-4, 0x1.539209170ca16p-4, 0x1.4cac8723b076bp-4, 0x1.45e4bcd973e43p-4, 0x1.3f3a5354fa08bp-4, 0x1.38acf393b9242p-4, 0x1.323c467de1cd3p-4, 0x1.2be7f4efffc88p-4, 0x1.25afa7c455901p-4, 0x1.1f9307dbf3112p-4, 0x1.1991be278936bp-4, 0x1.13ab73aff8508p-4, 0x1.0ddfd19e9dea3p-4, 0x1.082e81455f6e8p-4, 0x1.02972c2673e01p-4, 0x1.fa32f7f7db6dp-5, 0x1.ef6a357e0a724p-5, 0x1.e4d3655e47641p-5, 0x1.da6ddcb162d1p-5, 0x1.d038f1374d1fbp-5, 0x1.c633f963c126ap-5, 0x1.bc5e4c6a75baap-5, 0x1.b2b7424adfb4dp-5, 0x1.a93e33db7d0c5p-5, 0x1.9ff27ad4b2291p-5, 0x1.96d371db35ec1p-5, 0x1.8de0748a14ddap-5, 0x1.8518df7c452d1p-5, 0x1.7c7c1055d501dp-5, 0x1.740965ccae8a7p-5, 0x1.6bc03fb0fba4p-5, 0x1.639ffef521b69p-5, 0x1.5ba805b55eebap-5, 0x1.53d7b73f07b1cp-5, 0x1.4c2e781767b6cp-5, 0x1.44abae0245a4bp-5, 0x1.3d4ec0081051fp-5, 0x1.3617167bb183ap-5, 0x1.2f041b000e025p-5, 0x1.2815388d302e1p-5, 0x1.2149db752201p-5, 0x1.1aa17168778d1p-5, 0x1.141b697a8a4f7p-5, 0x1.0db7342569935p-5, 0x1.0774434d8259p-5, 0x1.01520a44fb981p-5, 0x1.f69ffb9d9c7f2p-6, 0x1.eadb2843335p-6, 0x1.df5489d4661f3p-6, 0x1.d40b129bec373p-6, 0x1.c8fdb7d9a7cfdp-6, 0x1.be2b71c650129p-6, 0x1.b3933b969c744p-6, 0x1.a934137e0248fp-6, 0x1.9f0cfab0feefap-6, 0x1.951cf566f21b3p-6, 0x1.8b630adb9597cp-6, 0x1.81de455005e03p-6, 0x1.788db20b6fee4p-6, 0x1.6f70615b557c3p-6, 0x1.668566937c215p-6, 0x1.5dcbd80d7c072p-6, 0x1.5542cf27ff196p-6, 0x1.4ce96845a137bp-6, 0x1.44bec2cb8b701p-6, 0x1.3cc2011fb6903p-6, 0x1.34f248a6e7579p-6, 0x1.2d4ec1c262e37p-6, 0x1.25d697cd5666ep-6, 0x1.1e88f91a06973p-6, 0x1.176516eeb048bp-6, 0x1.106a258239e4fp-6, 0x1.09975bf89aff1p-6, 0x1.02ebf45f14c13p-6, 0x1.f8ce57505d152p-7, 0x1.ec10834f02968p-7, 0x1.df9cf21a96908p-7, 0x1.d3722ec3b61f7p-7, 0x1.c78eca018e1c9p-7, 0x1.bbf15a27f8a85p-7, 0x1.b0987b1d47abap-7, 0x1.a582ce4fbc505p-7, 0x1.9aaefaaab982fp-7, 0x1.901bac8bb016bp-7, 0x1.85c795b6bab0bp-7, 0x1.7bb16d4b13b3bp-7, 0x1.71d7efb733e96p-7, 0x1.6839deaccf65bp-7, 0x1.5ed601148edb5p-7, 0x1.55ab2301a188dp-7, 0x1.4cb815a51c7b3p-7, 0x1.43fbaf4131d82p-7, 0x1.3b74cb1c3c1b4p-7, 0x1.33224973ac79fp-7, 0x1.2b030f6ed0be1p-7, 0x1.231607117ef3dp-7, 0x1.1b5a1f2ea2b1bp-7, 0x1.13ce4b5ab326bp-7, 0x1.0c7183de113cbp-7, 0x1.0542c5a752de7p-7, 0x1.fc82247af7532p-8, 0x1.eed6df644ff4dp-8, 0x1.e181d12752f05p-8, 0x1.d48117be3587bp-8, 0x1.c7d2d9e4d209ap-8, 0x1.bb7546fcb1e8ap-8, 0x1.af6696f10c909p-8, 0x1.a3a50a1ac24aap-8, 0x1.982ee92457b1ap-8, 0x1.8d0284edf0decp-8, 0x1.821e367156276p-8, 0x1.77805ea600753p-8, 0x1.6d27666532909p-8, 0x1.6311be4e234ebp-8, 0x1.593ddeaa39c3p-8, 0x1.4faa475160cd9p-8, 0x1.46557f8e71767p-8, 0x1.3d3e1603b9b64p-8, 0x1.3462a08fa0cd6p-8, 0x1.2bc1bc316c418p-8, 0x1.235a0cee27c24p-8, 0x1.1b2a3db5aff55p-8, 0x1.13310047e77aep-8, 0x1.0b6d0d1a11a9dp-8, 0x1.03dd233c5b759p-8, 0x1.f900107f1c88dp-9, 0x1.eaa91035e5cedp-9, 0x1.dcb2ea24ca898p-9, 0x1.cf1b4f3931676p-9, 0x1.c1dffc931f265p-9, 0x1.b4febb5290b66p-9, 0x1.a875606542033p-9, 0x1.9c41cc54e0432p-9, 0x1.9061eb15b15e6p-9, 0x1.84d3b3d5aa3cfp-9, 0x1.799528cbfcfd1p-9, 0x1.6ea457091df1ep-9, 0x1.63ff5647423afp-9, 0x1.59a448bb5404p-9, 0x1.4f915ae66cc01p-9, 0x1.45c4c367c08b8p-9, 0x1.3c3cc2cf137abp-9, 0x1.32f7a36fa7f14p-9, 0x1.29f3b933b0b3fp-9, 0x1.212f617042c53p-9, 0x1.18a902b9ceed4p-9, 0x1.105f0cb917abap-9, 0x1.084ff800b114cp-9, 0x1.007a45e3034a9p-9, 0x1.f1b90091a5e11p-10, 0x1.e2ea731098741p-10, 0x1.d48618792fcacp-10, 0x1.c689363be6c2cp-10, 0x1.b8f121b4a25ep-10, 0x1.abbb3fdcf8db6p-10, 0x1.9ee504ff8b87dp-10, 0x1.926bf46c68053p-10, 0x1.864da02e7a08ep-10, 0x1.7a87a8c1feef6p-10, 0x1.6f17bccc11a8ep-10, 0x1.63fb98d332d9ep-10, 0x1.593106f8e2935p-10, 0x1.4eb5deb442a14p-10, 0x1.4488048db62d1p-10, 0x1.3aa569db95387p-10, 0x1.310c0c7fd8eacp-10, 0x1.27b9f6a6cf552p-10, 0x1.1ead3e86d58b4p-10, 0x1.15e406210a8fep-10, 0x1.0d5c7b0302f56p-10, 0x1.0514d6097d4fep-10, 0x1.fa16b6481fa1bp-11, 0x1.ea7cb2339802dp-11, 0x1.db58529dbe0e9p-11, 0x1.cca65f1648692p-11, 0x1.be63b38359d9fp-11, 0x1.b08d3fb272124p-11, 0x1.a32006eb3f36p-11, 0x1.96191f84480bfp-11, 0x1.8975b2796ccdep-11, 0x1.7d32fb043c1f2p-11, 0x1.714e4636103a2p-11, 0x1.65c4f293fa2f8p-11, 0x1.5a946fb46c5a9p-11, 0x1.4fba3ddea64afp-11, 0x1.4533edabda7c3p-11, 0x1.3aff1faa08e6bp-11, 0x1.311984008a95cp-11, 0x1.2780da16482f3p-11, 0x1.1e32f0399723cp-11, 0x1.152da349b9092p-11, 0x1.0c6ede61f5aep-11, 0x1.03f49a864e1b6p-11, 0x1.f779bca383108p-12, 0x1.e78b7b4c3be29p-12, 0x1.d81ab2bab5f6p-12, 0x1.c923bdf8ebc54p-12, 0x1.baa310cf9793bp-12, 0x1.ac953731d81fap-12, 0x1.9ef6d4abbe38ep-12, 0x1.91c4a3d3b3ed1p-12, 0x1.84fb75beb76e3p-12, 0x1.789831775e71ap-12, 0x1.6c97d37796515p-12, 0x1.60f76d2517078p-12, 0x1.55b4245080028p-12, 0x1.4acb32b714021p-12, 0x1.4039e5870a888p-12, 0x1.35fd9ce66b2adp-12, 0x1.2c13cb7c69bd6p-12, 0x1.2279f5fd39015p-12, 0x1.192db2b84c2bap-12, 0x1.102ca928f94eap-12, 0x1.077491897658bp-12, 0x1.fe0668d049e3dp-13, 0x1.edacd47e47892p-13, 0x1.ddd8361c3bf4cp-13, 0x1.ce847bec96d9dp-13, 0x1.bfadb1b13674ep-13, 0x1.b14fffebfa142p-13, 0x1.a367ab2389e1dp-13, 0x1.95f1132c2b69cp-13, 0x1.88e8b274ae8ecp-13, 0x1.7c4b1d5745e6dp-13, 0x1.7015016e46e42p-13, 0x1.644324ecc27a9p-13, 0x1.58d265fad6bb9p-13, 0x1.4dbfba15b5cd7p-13, 0x1.43082d734ca11p-13, 0x1.38a8e26972e08p-13, 0x1.2e9f10d89f95bp-13, 0x1.24e8059a03ea2p-13, 0x1.1b8121f103e33p-13, 0x1.1267db00007fep-13, 0x1.0999b94056648p-13, 0x1.011457fd8d7aap-13, 0x1.f1aac9a74d34fp-14, 0x1.e1b53e60e50d5p-14, 0x1.d243afafd60b4p-14, 0x1.c351e0d6ef27ap-14, 0x1.b4dbb5e834298p-14, 0x1.a6dd32dec62aep-14, 0x1.99527abe601e2p-14, 0x1.8c37ceb844334p-14, 0x1.7f898d55674f1p-14, 0x1.734431a5de01ep-14, 0x1.676452755b6ddp-14, 0x1.5be6a184afeb6p-14, 0x1.50c7eac82a3d2p-14, 0x1.460513aac2a4ep-14, 0x1.3b9b1a55f5e92p-14, 0x1.318714fe35cfap-14, 0x1.27c63133d9f9bp-14, 0x1.1e55b3387396cp-14, 0x1.1532f558718d9p-14, 0x1.0c5b6748f877p-14, 0x1.03cc8d89daf66p-14, 0x1.f70801973325dp-15, 0x1.e6fedab2a8e82p-15, 0x1.d779250d31b1ep-15, 0x1.c8728441e89fdp-15, 0x1.b9e6bfca724b3p-15, 0x1.abd1c1f0bb68ap-15, 0x1.9e2f96c7c6f85p-15, 0x1.90fc6b2b6296cp-15, 0x1.84348bc69781dp-15, 0x1.77d46420b5b88p-15, 0x1.6bd87db0cc2f6p-15, 0x1.603d7ef76f1b4p-15, 0x1.55002a9ea3f8bp-15, 0x1.4a1d5e9fcf499p-15, 0x1.3f92136f8115p-15, 0x1.355b5b2efd37cp-15, 0x1.2b7660e35c92p-15, 0x1.21e067b2275dfp-15, 0x1.1896ca23444bfp-15, 0x1.0f96f9681fedbp-15, 0x1.06de7ca7e97cep-15, 0x1.fcd5e0a19281bp-16, 0x1.ec740adbdbf77p-16, 0x1.dc930204acb31p-16, 0x1.cd2e76d0748f4p-16, 0x1.be423f69e3f3ep-16, 0x1.afca56428ce15p-16, 0x1.a1c2d8ec0e369p-16, 0x1.942806f9a52a1p-16, 0x1.86f640e9dfc84p-16, 0x1.7a2a071848d6bp-16, 0x1.6dbff8b6d2bd7p-16, 0x1.61b4d2ced4113p-16, 0x1.56056f496295cp-16, 0x1.4aaec3fee0c31p-16, 0x1.3fade1cd8652p-16, 0x1.34fff3b6c58c5p-16, 0x1.2aa23e034eb02p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.47e73ccfaef7ep-3, -0x1.56536a38e780ap-3, -0x1.64aba981dc8dcp-3, -0x1.72ebc6f9dad24p-3, -0x1.810df9900b06p-3, -0x1.8f0b58742253p-3, -0x1.9cdc4aeaf597fp-3, -0x1.aa78edf93314cp-3, -0x1.b7d96d38ef143p-3, -0x1.c4f64d86c0b67p-3, -0x1.d1c8a9390fd16p-3, -0x1.de4a5e52b3477p-3, -0x1.ea762fa55b8cdp-3, -0x1.f647da2af31e3p-3, -0x1.00de10054c964p-2, -0x1.06686567272a8p-2, -0x1.0bc2532521e47p-2, -0x1.10ebbad1e750ap-2, -0x1.15e4f1e4da552p-2, -0x1.1aaeb846d68f6p-2, -0x1.1f4a2db528098p-2, -0x1.23b8c66df3892p-2, -0x1.27fc3f875e708p-2, -0x1.2c169341f7724p-2, -0x1.3009ed977453ap-2, -0x1.33d8a1390f1ccp-2, -0x1.37851d247badfp-2, -0x1.3b11e2ebed4b1p-2, -0x1.3e817dc475cbbp-2, -0x1.41d67a667c10cp-2, -0x1.45135fc592264p-2, -0x1.483aa89fe66fap-2, -0x1.4b4ebde1577c5p-2, -0x1.4e51f1d2fe546p-2, -0x1.51467c0d944bdp-2, -0x1.542e7623562aep-2, -0x1.570bd8f4c9d4bp-2, -0x1.59e07aa3200aep-2, -0x1.5cae0d127765cp-2, -0x1.5f761cee5e344p-2, -0x1.623a112308bb4p-2, -0x1.64fb2abe27274p-2, -0x1.67ba852adced9p-2, -0x1.6a7916bceb2d1p-2, -0x1.6d37b17ff63b1p-2, -0x1.6ff7044084a02p-2, -0x1.72b79bc528e2dp-2, -0x1.7579e42f1a987p-2, -0x1.783e2a7a43681p-2, -0x1.7b049e159c2a7p-2, -0x1.7dcd528d6721p-2, -0x1.809841418f98p-2, -0x1.83654b232815bp-2, -0x1.86343a74946ebp-2, -0x1.8904c4888fd2cp-2, -0x1.8bd68b7cba09fp-2, -0x1.8ea91fece6098p-2, -0x1.917c029cbd506p-2, -0x1.944ea615cf6bfp-2, -0x1.972070386bd4p-2, -0x1.99f0bbbe011adp-2, -0x1.9cbed9ac041c3p-2, -0x1.9f8a12b6a20f2p-2, -0x1.a251a892bdee5p-2, -0x1.a514d736e4558p-2, -0x1.a7d2d60b0eaf6p-2, -0x1.aa8ad9073a1a5p-2, -0x1.ad3c11c0eb14dp-2, -0x1.afe5b067da32fp-2, -0x1.b286e4b214a0fp-2, -0x1.b51edeb7f91fcp-2, -0x1.b7accfc07a275p-2, -0x1.ba2feafe23d88p-2, -0x1.bca7663d6e87ap-2, -0x1.bf127a84e15d3p-2, -0x1.c17064a79a283p-2, -0x1.c3c065cad0581p-2, -0x1.c601c3dedefc1p-2, -0x1.c833ca0c71784p-2, -0x1.ca55c9166563dp-2, -0x1.cc6717b0f0111p-2, -0x1.ce6712ce9cd6bp-2, -0x1.d0551de3a8ebdp-2, -0x1.d230a3204e6b1p-2, -0x1.d3f913a27d263p-2, -0x1.d5ade79f81459p-2, -0x1.d74e9e861ba58p-2, -0x1.d8dabf197ac4ap-2, -0x1.da51d7858c562p-2, -0x1.dbb37d6d164bp-2, -0x1.dcff4df1ffffcp-2, -0x1.de34edb82ef2fp-2, -0x1.df5408e35e60ap-2, -0x1.e05c531047841p-2, -0x1.e14d8749758b5p-2, -0x1.e22767f81afe8p-2, -0x1.e2e9bed133d0bp-2, -0x1.e3945cbf47395p-2, -0x1.e42719c909fcep-2, -0x1.e4a1d4f52a27p-2, -0x1.e504742b83fbdp-2, -0x1.e54ee413ff743p-2, -0x1.e58117f34c5fap-2, -0x1.e59b0985b8f9ap-2, -0x1.e59cb8d85436dp-2, -0x1.e5862c208deb3p-2, -0x1.e5576f9284bb4p-2, -0x1.e51095362a4d6p-2, -0x1.e4b1b4bb6c5abp-2, -0x1.e43aeb4d81d85p-2, -0x1.e3ac5b658bb9fp-2, -0x1.e3062c9c9ed9fp-2, -0x1.e2488b7d64c4p-2, -0x1.e173a955672ddp-2, -0x1.e087bc0627198p-2, -0x1.df84fdd61bc73p-2, -0x1.de6bad41adb1ep-2, -0x1.dd3c0ccc4a9d5p-2, -0x1.dbf662d1a2fbcp-2, -0x1.da9af95727fa7p-2, -0x1.d92a1ddddcad4p-2, -0x1.d7a421348b814p-2, -0x1.d609574a6d274p-2, -0x1.d45a170255a26p-2, -0x1.d296ba066f651p-2, -0x1.d0bf9c9c96148p-2, -0x1.ced51d7b55c8ap-2, -0x1.ccd79d9f9fef8p-2, -0x1.cac780233cde2p-2, -0x1.c8a52a13ffc61p-2, -0x1.c671024bc80e4p-2, -0x1.c42b7149586b1p-2, -0x1.c1d4e10a02629p-2, -0x1.bf6dbce435a33p-2, -0x1.bcf67162ee553p-2, -0x1.ba6f6c220f282p-2, -0x1.b7d91bab9f325p-2, -0x1.b533ef55fdaa2p-2, -0x1.b2805722fdd61p-2, -0x1.afbec39ff7157p-2, -0x1.acefa5c6c81e7p-2, -0x1.aa136edfcbb04p-2, -0x1.a72a9064c00b4p-2, -0x1.a4357be4a2802p-2, -0x1.a134a2e87f16ep-2, -0x1.9e2876d92c624p-2, -0x1.9b1168e5ff606p-2, -0x1.97efe9ec67926p-2, -0x1.94c46a607ba74p-2, -0x1.918f5a367090dp-2, -0x1.8e5128ccf77ebp-2, -0x1.8b0a44d885d2bp-2, -0x1.87bb1c4f7a4ebp-2, -0x1.84641c5728b72p-2, -0x1.8105b131beb8ep-2, -0x1.7da0462d0364ep-2, -0x1.7a344591ec69fp-2, -0x1.76c21895089d3p-2, -0x1.734a2747b693dp-2, -0x1.6fccd88a258c5p-2, -0x1.6c4a91fe234b1p-2, -0x1.68c3b7faa470cp-2, -0x1.6538ad80140bbp-2, -0x1.61a9d42d593e4p-2, -0x1.5e178c35944a8p-2, -0x1.5a8234568ff04p-2, -0x1.56ea29cfdec1bp-2, -0x1.534fc85aa3fdep-2, -0x1.4fb36a2200777p-2, -0x1.4c1567bc21c56p-2, -0x1.48761823ed948p-2, -0x1.44d5d0b34606ep-2, -0x1.4134e51de249cp-2, -0x1.3d93a76cb5aadp-2, -0x1.39f267f9e2188p-2, -0x1.3651756d360cfp-2, -0x1.32b11cb9259e9p-2, -0x1.2f11a9184a95ep-2, -0x1.2b73640b57bd2p-2, -0x1.27d6955788374p-2, -0x1.243b83057cc9ap-2, -0x1.20a271608a2ep-2, -0x1.1d0ba2f67080bp-2, -0x1.1977589776f63p-2, -0x1.15e5d156ed991p-2, -0x1.12574a8c0a121p-2, -0x1.0ecbffd3205b8p-2, -0x1.0b442b0f328ap-2, -0x1.07c0046bd2d29p-2, -0x1.043fc25f559dp-2, -0x1.00c399ad4fabdp-2, -0x1.fa977ad2b9ab3p-3, -0x1.f3b0bdf457967p-3, -0x1.ecd35c3995ea2p-3, -0x1.e5ffb1d06a2c3p-3, -0x1.df3617a22c745p-3, -0x1.d876e35b9e308p-3, -0x1.d1c2677549c0cp-3, -0x1.cb18f33c562e4p-3, -0x1.c47ad2dbaf545p-3, -0x1.bde84f6589837p-3, -0x1.b761aedd38b4ep-3, -0x1.b0e7344156074p-3, -0x1.aa791f962d5bbp-3, -0x1.a417adf068859p-3, -0x1.9dc31980045dbp-3, -0x1.977b999b7473ap-3, -0x1.914162caffecp-3, -0x1.8b14a6d45163p-3, -0x1.84f594c62adfap-3, -0x1.7ee4590446a2ap-3, -0x1.78e11d535dc89p-3, -0x1.72ec08e546abap-3, -0x1.6d05406533d11p-3, -0x1.672ce60407f2dp-3, -0x1.61631984c1c97p-3, -0x1.5ba7f848f344ep-3, -0x1.55fb9d5d47b97p-3, -0x1.505e2186173ebp-3, -0x1.4acf9b4bfa0e3p-3, -0x1.45501f0862eb7p-3, -0x1.3fdfbef23df22p-3, -0x1.3a7e8b2a86988p-3, -0x1.352c91c8de92ap-3, -0x1.2fe9dee816a3p-3, -0x1.2ab67cb2b76b3p-3, -0x1.2592736f727c7p-3, -0x1.207dc98d90c4fp-3, -0x1.1b7883b1477adp-3, -0x1.1682a4bffef42p-3, -0x1.119c2dec82a02p-3, -0x1.0cc51ec31e883p-3, -0x1.07fd75359ee81p-3, -0x1.03452da73b8b5p-3, -0x1.fd3885f0c8c2ap-4, -0x1.f4055d24e599bp-4, -0x1.eaf0d0e67691ep-4, -0x1.e1face710792fp-4, -0x1.d9234056a6cfp-4, -0x1.d06a0e964142p-4, -0x1.c7cf1eb1cc2c9p-4, -0x1.bf5253c408862p-4, -0x1.b6f38e9616eefp-4, -0x1.aeb2adb4b1ea5p-4, -0x1.a68f8d851ab06p-4, -0x1.9e8a0859bfa22p-4, -0x1.96a1f6868df17p-4, -0x1.8ed72e74eeab4p-4, -0x1.872984b778493p-4, -0x1.7f98cc1d47c5ep-4, -0x1.7824d5c50898p-4, -0x1.70cd712fa5c55p-4, -0x1.69926c52a6846p-4, -0x1.627393aa34aafp-4, -0x1.5b70b24acc614p-4, -0x1.548991f2940c7p-4, -0x1.4dbdfb1a5f6ddp-4, -0x1.470db50657a16p-4, -0x1.407885d64fb8fp-4, -0x1.39fe3295be915p-4, -0x1.339e7f4b62735p-4, -0x1.2d592f088dfa4p-4, -0x1.272e03f81bf63p-4, -0x1.211cbf6d0eafep-4, -0x1.1b2521f0d6557p-4, -0x1.1546eb5143231p-4, -0x1.0f81daae1fc24p-4, -0x1.09d5ae867846ap-4, -0x1.044224c58bd7cp-4, -0x1.fd8df59ed1034p-5, -0x1.f2c7db1a6ce54p-5, -0x1.e83172f25c829p-5, -0x1.ddca35547b7bep-5, -0x1.d39199beb7567p-5, -0x1.c9871715145f8p-5, -0x1.bfaa23b715fd8p-5, -0x1.b5fa35948636bp-5, -0x1.ac76c241a3d01p-5, -0x1.a31f3f0ab4e89p-5, -0x1.99f321070357dp-5, -0x1.90f1dd2b3fff2p-5, -0x1.881ae85b56334p-5, -0x1.7f6db77ba9438p-5, -0x1.76e9bf81c4eap-5, -0x1.6e8e75847e2e7p-5, -0x1.665b4ecb8a029p-5, -0x1.5e4fc0de893e8p-5, -0x1.566b41938f438p-5, -0x1.4ead471d20751p-5, -0x1.47154817b1ae1p-5, -0x1.3fa2bb96a5e0ep-5, -0x1.38551930cc001p-5, -0x1.312bd90c6275bp-5, -0x1.2a2673eaa2f9bp-5, -0x1.23446332d28fep-5, -0x1.1c8520fce1482p-5, -0x1.15e8281b9420cp-5, -0x1.0f6cf426417ccp-5, -0x1.091301821bf44p-5, -0x1.02d9cd6b15b44p-5, -0x1.f981abf8ad97ap-6, -0x1.ed8f34709fce3p-6, -0x1.e1db3420c9c95p-6, -0x1.d664acd86ebb4p-6, -0x1.cb2aa2611f6f1p-6, -0x1.c02c1a8bd4c33p-6, -0x1.b5681d3d4abc8p-6, -0x1.aaddb479b14ebp-6, -0x1.a08bec6fa7979p-6, -0x1.9671d38293d8ep-6, -0x1.8c8e7a544cee5p-6, -0x1.82e0f3ce2bc4bp-6, -0x1.796855297826fp-6, -0x1.7023b5f73ef5p-6, -0x1.671230279493ep-6, -0x1.5e32e01045b42p-6, -0x1.5584e472f9f32p-6, -0x1.4d075e82ceacdp-6, -0x1.44b971e96eeaap-6, -0x1.3c9a44cba652ap-6, -0x1.34a8ffcd7a5aap-6, -0x1.2ce4ce15c9bddp-6, -0x1.254cdd5175061p-6, -0x1.1de05db615165p-6, -0x1.169e8204460a7p-6, -0x1.0f867f8982e88p-6, -0x1.08978e21a036ap-6, -0x1.01d0e837ddb68p-6, -0x1.f663958f2e0bep-7, -0x1.e972eab93e32ap-7, -0x1.dcce54266b5b1p-7, -0x1.d0745b2f687ep-7, -0x1.c4638e4bb0f92p-7, -0x1.b89a810f99294p-7, -0x1.ad17cc29adb12p-7, -0x1.a1da0d5f8d0c2p-7, -0x1.96dfe78a2a8a7p-7, -0x1.8c2802918b9a1p-7, -0x1.81b10b67fb235p-7, -0x1.7779b404c8158p-7, -0x1.6d80b35e83e17p-7, -0x1.63c4c564d1c53p-7, -0x1.5a44aaf9c147ep-7, -0x1.50ff29eac1f8bp-7, -0x1.47f30ce93a4a7p-7, -0x1.3f1f2382ac282p-7, -0x1.36824218934fp-7, -0x1.2e1b41d7db173p-7, -0x1.25e900b00ae97p-7, -0x1.1dea614a22e85p-7, -0x1.161e4aff2c0a1p-7, -0x1.0e83a9ce85586p-7, -0x1.07196e53ebf28p-7, -0x1.ffbd1b7a8f551p-8, -0x1.f1a4038074d5ep-8, -0x1.e3e5911ef6818p-8, -0x1.d67fc99ff7462p-8, -0x1.c970bb1bbe425p-8, -0x1.bcb67c628a5e7p-8, -0x1.b04f2ce5d24cep-8, -0x1.a438f4a13c7bbp-8, -0x1.987204034bdeep-8, -0x1.8cf893d5d0361p-8, -0x1.81cae5261a5e1p-8, -0x1.76e7412cfadf8p-8, -0x1.6c4bf93693744p-8, -0x1.61f76689fb833p-8, -0x1.57e7ea50c0dd6p-8, -0x1.4e1bed7e48643p-8, -0x1.4491e0b711b18p-8, -0x1.3b483c37e513ap-8, -0x1.323d7fbced8d4p-8, -0x1.29703268c59a3p-8, -0x1.20dee2ab786a8p-8, -0x1.188826297d33ap-8, -0x1.106a99a2b119cp-8, -0x1.0884e0d94ed8cp-8, -0x1.00d5a678eede5p-8, -0x1.f2b737fb185b5p-9, -0x1.e42af3352cfb4p-9, -0x1.d603fc4423233p-9, -0x1.c83fddd78b7b9p-9, -0x1.badc2f790b102p-9, -0x1.add6955b10c9dp-9, -0x1.a12cc027c1843p-9, -0x1.94dc6cd01bdddp-9, -0x1.88e3645b53c49p-9, -0x1.7d3f7bb676103p-9, -0x1.71ee93844f1bp-9, -0x1.66ee97ed97b89p-9, -0x1.5c3d8071772e1p-9, -0x1.51d94fb64f79ep-9, -0x1.47c0135ae31d5p-9, -0x1.3defe3c7d198p-9, -0x1.3466e4017156ep-9, -0x1.2b23417a04d54p-9, -0x1.222333e453f2bp-9, -0x1.1964fd06a97d6p-9, -0x1.10e6e88e35811p-9, -0x1.08a74be2d9fbdp-9, -0x1.00a485fb62888p-9, -0x1.f1b9fe64503f4p-10, -0x1.e29e52344bfe7p-10, -0x1.d3f2fca8f9d25p-10, -0x1.c5b504ccd934p-10, -0x1.b7e1831f772bfp-10, -0x1.aa75a143323ebp-10, -0x1.9d6e99abe9a97p-10, -0x1.90c9b74e990edp-10, -0x1.84845551e755cp-10, -0x1.789bdebfa8b9ep-10, -0x1.6d0dce3752ed8p-10, -0x1.61d7ada171f05p-10, -0x1.56f715e40294cp-10, -0x1.4c69ae97d6bbep-10, -0x1.422d2dbee601dp-10, -0x1.383f577ba03ebp-10, -0x1.2e9dfdc939facp-10, -0x1.25470034eaf42p-10, -0x1.1c384b9830b9ep-10, -0x1.136fd9d40b39dp-10, -0x1.0aebb18d2a402p-10, -0x1.02a9e5e921f92p-10, -0x1.f5512c9925f76p-11, -0x1.e5cbdc349071ap-11, -0x1.d6c048e6a818dp-11, -0x1.c82af7f041396p-11, -0x1.ba088514f28bdp-11, -0x1.ac55a2211003bp-11, -0x1.9f0f167191dcdp-11, -0x1.9231be7de03e6p-11, -0x1.85ba8b6383756p-11, -0x1.79a68273b6bd3p-11, -0x1.6df2bcc2d7be7p-11, -0x1.629c66b9b1678p-11, -0x1.57a0bfa89fa65p-11, -0x1.4cfd195c86284p-11, -0x1.42aed7b598ff5p-11, -0x1.38b3703ff1529p-11, -0x1.2f0869cdecbfap-11, -0x1.25ab5c144fc5p-11, -0x1.1c99ef482c561p-11, -0x1.13d1dbbe82e94p-11, -0x1.0b50e98d9dc78p-11, -0x1.0314f0302087bp-11, -0x1.f637ac5390393p-12, -0x1.e6c7215baba78p-12, -0x1.d7d4468e43c87p-12, -0x1.c95b3f03a04d3p-12, -0x1.bb58492d455c4p-12, -0x1.adc7be2fcc6cp-12, -0x1.a0a6113fe4283p-12, -0x1.93efcf026ed52p-12, -0x1.87a19cefb7139p-12, -0x1.7bb838b9b2792p-12, -0x1.703077b53f837p-12, -0x1.6507464662f69p-12, -0x1.5a39a74f6e927p-12, -0x1.4fc4b3a30b479p-12, -0x1.45a5997921808p-12, -0x1.3bd99be68d7edp-12, -0x1.325e12579ca34p-12, -0x1.2930680d436a8p-12, -0x1.204e1b9d09df4p-12, -0x1.17b4be739b957p-12, -0x1.0f61f459f9d6dp-12, -0x1.075372fd3d884p-12, -0x1.ff0e02f1cfc43p-13, -0x1.eff4efc760d5bp-13, -0x1.e1577dbd90321p-13, -0x1.d3319e4f1c03bp-13, -0x1.c57f625742a0ap-13, -0x1.b83cf93e9c89cp-13, -0x1.ab66b02c98a93p-13, -0x1.9ef8f13d7dfd6p-13, -0x1.92f042bce9afcp-13, -0x1.87494664acc2dp-13, -0x1.7c00b8a00224cp-13, -0x1.71136fd3021f5p-13, -0x1.667e5ba63e6efp-13, -0x1.5c3e84567dfe6p-13, -0x1.52510a087c5bp-13, -0x1.48b32420a2f99p-13, -0x1.3f62209ea312bp-13, -0x1.365b637cde13ap-13, -0x1.2d9c661398223p-13, -0x1.2522b67fcedfcp-13, -0x1.1cebf70db29d9p-13, -0x1.14f5dda6ab7dep-13, -0x1.0d3e3342d6b1ep-13, -0x1.05c2d35df3b78p-13, -0x1.fd0356df47bf9p-14, -0x1.eef174cdf66b1p-14, -0x1.e14c2052867dbp-14, -0x1.d40f9a27d6307p-14, -0x1.c738430323fdfp-14, -0x1.bac29aa42d59fp-14, -0x1.aeab3eeb48a24p-14, -0x1.a2eeeaf557b24p-14, -0x1.978a763d6a919p-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.da97b90e407c8p-1, 0x1.d7f72d7185226p-1, 0x1.d556712e74b83p-1, 0x1.d2b599cfb076fp-1, 0x1.d014586c1e74fp-1, 0x1.cd72122ff5715p-1, 0x1.cacdf810a247bp-1, 0x1.c8271c9ea9d6ap-1, 0x1.c57c8749accefp-1, 0x1.c2cd44b9762b3p-1, 0x1.c018741c4d756p-1, 0x1.bd5d5178579cep-1, 0x1.ba9b3d2de594ap-1, 0x1.b7d1c0ed77b67p-1, 0x1.b500927047b8dp-1, 0x1.b2279447585b5p-1, 0x1.af46d5152374p-1, 0x1.ac5e8d827b2d1p-1, 0x1.a96f1d394a205p-1, 0x1.a67907287ad05p-1, 0x1.a37ced4c34046p-1, 0x1.a07b8c2d45573p-1, 0x1.9d75b64285d4p-1, 0x1.9a6c4f57365ep-1, 0x1.976048127b647p-1, 0x1.945299b5a02cbp-1, 0x1.9144422157f16p-1, 0x1.8e36402d4eec6p-1, 0x1.8b29905958e8dp-1, 0x1.881f29dc1339ap-1, 0x1.8517fc1010b34p-1, 0x1.8214ec3e61821p-1, 0x1.7f16d3c38c85p-1, 0x1.7c1e7e8abc4bep-1, 0x1.792ca9d9e6ef2p-1, 0x1.7642036916587p-1, 0x1.735f28be87bbep-1, 0x1.7084a6c92c5fcp-1, 0x1.6db2f9b30f37dp-1, 0x1.6aea8ce536a24p-1, 0x1.682bbb36da043p-1, 0x1.6576cf420258bp-1, 0x1.62cc03d808e7p-1, 0x1.602b8490c494cp-1, 0x1.5d956e6f9da07p-1, 0x1.5b09d09a26b56p-1, 0x1.5888ad1c447ebp-1, 0x1.5611f9b64cfa7p-1, 0x1.53a5a0b1f31ap-1, 0x1.514381bb2aff6p-1, 0x1.4eeb72ba8d13ap-1, 0x1.4c9d40af15f2p-1, 0x1.4a58b08565c0dp-1, 0x1.481d7feaf35bp-1, 0x1.45eb661bdee41p-1, 0x1.43c214aa4fcabp-1, 0x1.41a1383e7e964p-1, 0x1.3f88794eb70f5p-1, 0x1.3d777cced0cb7p-1, 0x1.3b6de4d6b76bfp-1, 0x1.396b513fc6be1p-1, 0x1.376f6038d47a8p-1, 0x1.3579aed0ddbddp-1, 0x1.3389d97861771p-1, 0x1.319f7c7984d2ep-1, 0x1.2fba34672b334p-1, 0x1.2dd99e833c6abp-1, 0x1.2bfd591c573d8p-1, 0x1.2a2503e33d213p-1, 0x1.2850403845babp-1, 0x1.267eb17130877p-1, 0x1.24affd17ab562p-1, 0x1.22e3cb20e940dp-1, 0x1.2119c61ea64ddp-1, 0x1.1f519b69f0fdap-1, 0x1.1d8afb48173b9p-1, 0x1.1bc5990a106a9p-1, 0x1.1a012b26bc11ap-1, 0x1.183d6b504c06ap-1, 0x1.167a16852c8bcp-1, 0x1.14b6ed1cbf0bcp-1, 0x1.12f3b2d02fcb5p-1, 0x1.11302ebfb69d7p-1, 0x1.0f6c2b7488f75p-1, 0x1.0da776dfbeecep-1, 0x1.0be1e25672549p-1, 0x1.0a1b428b4f0d7p-1, 0x1.08536f85d5b56p-1, 0x1.068a4497840ep-1, 0x1.04bfa04f18465p-1, 0x1.02f3646a22667p-1, 0x1.012575c510818p-1, 0x1.feab7893c2df3p-2, 0x1.fb0845bb4fb16p-2, 0x1.f7612e9a0573cp-2, 0x1.f3b6146f603cfp-2, 0x1.f006ddf6b4c01p-2, 0x1.ec53773b7cfdp-2, 0x1.e89bd16c95954p-2, 0x1.e4dfe2ae9bb4p-2, 0x1.e11fa5ed9ccdbp-2, 0x1.dd5b1aae4dddp-2, 0x1.d99244dee7965p-2, 0x1.d5c52ca7dc579p-2, 0x1.d1f3de3c7dd24p-2, 0x1.ce1e69abc02d3p-2, 0x1.ca44e2b12df79p-2, 0x1.c66760862d793p-2, 0x1.c285fdb3b315p-2, 0x1.bea0d7e46e605p-2, 0x1.bab80fb790475p-2, 0x1.b6cbc894353dap-2, 0x1.b2dc287d8b3acp-2, 0x1.aee957e7b8c9ap-2, 0x1.aaf3818d9b289p-2, 0x1.a6fad2476607ep-2, 0x1.a2ff78e224e77p-2, 0x1.9f01a5f839c78p-2, 0x1.9b018bcacb8bbp-2, 0x1.96ff5e1c3aeddp-2, 0x1.92fb520b9e011p-2, 0x1.8ef59df14082ep-2, 0x1.8aee793c37ee4p-2, 0x1.86e61c510446bp-2, 0x1.82dcc06945874p-2, 0x1.7ed29f7481be5p-2, 0x1.7ac7f3fa02e1dp-2, 0x1.76bcf8fbc2ac5p-2, 0x1.72b1e9da70d64p-2, 0x1.6ea7023a81301p-2, 0x1.6a9c7dea53a75p-2, 0x1.669298c961899p-2, 0x1.62898eb07a949p-2, 0x1.5e819b5b06d3ap-2, 0x1.5a7afa514feefp-2, 0x1.5675e6d3c75ep-2, 0x1.52729bc74d723p-2, 0x1.4e7153a26d5aap-2, 0x1.4a72485b91345p-2, 0x1.4675b35822475p-2, 0x1.427bcd5c9651bp-2, 0x1.3e84ce7d6185ap-2, 0x1.3a90ee10cb074p-2, 0x1.36a062a199cc4p-2, 0x1.32b361e29cf2dp-2, 0x1.2eca20a3009a1p-2, 0x1.2ae4d2c3708f1p-2, 0x1.2703ab2c00e35p-2, 0x1.2326dbc2d6b4dp-2, 0x1.1f4e95638d32fp-2, 0x1.1b7b07d74e845p-2, 0x1.17ac61cda01dcp-2, 0x1.13e2d0d5d324fp-2, 0x1.101e815922fdp-2, 0x1.0c5f9e956aad5p-2, 0x1.08a6529879ee5p-2, 0x1.04f2c63bfd1bfp-2, 0x1.01452121f335ep-2, 0x1.fb3b1363613a5p-3, 0x1.f3f84a2ac8003p-3, 0x1.ecc22e703aea5p-3, 0x1.e599058898a9bp-3, 0x1.de7d12456cecfp-3, 0x1.d76e94f3bba24p-3, 0x1.d06dcb5ba2d92p-3, 0x1.c97af0c0cd1bdp-3, 0x1.c2963de3a62d7p-3, 0x1.bbbfe9034b237p-3, 0x1.b4f825e02c2d7p-3, 0x1.ae3f25bf5821p-3, 0x1.a795176e681cp-3, 0x1.a0fa274805f64p-3, 0x1.9a6e7f38fccd7p-3, 0x1.93f246c5d72dcp-3, 0x1.8d85a310f860ep-3, 0x1.8728b6e135473p-3, 0x1.80dba2a8d4fccp-3, 0x1.7a9e848d03d77p-3, 0x1.7471786da1dffp-3, 0x1.6e5497ed73cecp-3, 0x1.6847fa7aa2523p-3, 0x1.624bb557922bep-3, 0x1.5c5fdba3f9e08p-3, 0x1.56847e66414acp-3, 0x1.50b9ac951ddfcp-3, 0x1.4aff7321649b9p-3, 0x1.4555dd000d2f8p-3, 0x1.3fbcf33462eep-3, 0x1.3a34bcda5f0e1p-3, 0x1.34bd3f31253c3p-3, 0x1.2f567da59b70ap-3, 0x1.2a0079dd1deafp-3, 0x1.24bb33c04caf9p-3, 0x1.1f86a985e2b33p-3, 0x1.1a62d7bd9e9cap-3, 0x1.154fb95b36f71p-3, 0x1.104d47c151e84p-3, 0x1.0b5b7acc7ce73p-3, 0x1.067a48de2d3e3p-3, 0x1.01a9a6e7b0b86p-3, 0x1.f9d310ea43a5ep-4, 0x1.f073bf7094af6p-4, 0x1.e7353b26fddb5p-4, 0x1.de176348d76b9p-4, 0x1.d51a149d95d42p-4, 0x1.cc3d298e1c967p-4, 0x1.c3807a39da92ap-4, 0x1.bae3dc8bbc211p-4, 0x1.b267244eedabcp-4, 0x1.aa0a234362777p-4, 0x1.a1cca93218933p-4, 0x1.99ae84013998dp-4, 0x1.91af7fc7db5f5p-4, 0x1.89cf66e19567p-4, 0x1.820e0201c60cap-4, 0x1.7a6b1846918bap-4, 0x1.72e66f4b99c08p-4, 0x1.6b7fcb3c6667p-4, 0x1.6436eee683754p-4, 0x1.5d0b9bcb4d21fp-4, 0x1.55fd92316e28ap-4, 0x1.4f0c913609c9fp-4, 0x1.483856dd950bfp-4, 0x1.4180a02459f44p-4, 0x1.3ae5290ea7b8fp-4, 0x1.3465acb8ac90ep-4, 0x1.2e01e565f9aa4p-4, 0x1.27b98c90b066dp-4, 0x1.218c5af859641p-4, 0x1.1b7a08b063e7dp-4, 0x1.15824d2e4ddd7p-4, 0x1.0fa4df577545ep-4, 0x1.09e1758e9238ap-4, 0x1.0437c5c0d9a2ap-4, 0x1.fd4f0ae5923b7p-5, 0x1.f260d3993bf8cp-5, 0x1.e7a44f4ce6fd5p-5, 0x1.dd18e7281d0a1p-5, 0x1.d2be03e0a34e8p-5, 0x1.c8930dd0befb4p-5, 0x1.be976d0ccdc74p-5, 0x1.b4ca89783ad99p-5, 0x1.ab2bcad9d17fcp-5, 0x1.a1ba98ef68105p-5, 0x1.98765b80ef48ep-5, 0x1.8f5e7a72e02dbp-5, 0x1.86725dd80ca2bp-5, 0x1.7db16e02d58f2p-5, 0x1.751b1395ca105p-5, 0x1.6caeb793abdc6p-5, 0x1.646bc36ee364p-5, 0x1.5c51a1185f1f5p-5, 0x1.545fbb0de3a7bp-5, 0x1.4c957c67cf14cp-5, 0x1.44f250e64ff64p-5, 0x1.3d75a4fe14d9p-5, 0x1.361ee5e474556p-5, 0x1.2eed819b12957p-5, 0x1.27e0e6fb04524p-5, 0x1.20f885bf759dfp-5, 0x1.1a33ce8fd0f56p-5, 0x1.1392330970741p-5, 0x1.0d1325c8d4966p-5, 0x1.06b61a7269b18p-5, 0x1.007a85bad94ecp-5, 0x1.f4bfbaddda19fp-6, 0x1.e8cb30f60baeap-6, 0x1.dd165de44c147p-6, 0x1.d1a034292f57p-6, 0x1.c667a8ac5446fp-6, 0x1.bb6bb2c821387p-6, 0x1.b0ab4c54bbb9cp-6, 0x1.a62571b245cfcp-6, 0x1.9bd921d268757p-6, 0x1.91c55e4129f7p-6, 0x1.87e92b2d18998p-6, 0x1.7e438f6ecd146p-6, 0x1.74d3948fca7d8p-6, 0x1.6b9846d0c4199p-6, 0x1.6290b52f4153fp-6, 0x1.59bbf16ab5ad1p-6, 0x1.51191009015e8p-6, 0x1.48a7285a6c4b8p-6, 0x1.4065547d14e88p-6, 0x1.3852b15fde5d2p-6, 0x1.306e5ec4de92fp-6, 0x1.28b77f4352885p-6, 0x1.212d38491dd28p-6, 0x1.19ceb21bd49c2p-6, 0x1.129b17d959f9fp-6, 0x1.0b9197780fc42p-6, 0x1.04b161c6a8251p-6, 0x1.fbf354d716fbbp-7, 0x1.eed34fc7c59f8p-7, 0x1.e20127049460bp-7, 0x1.d57b52da4b4b9p-7, 0x1.c94051394b967p-7, 0x1.bd4ea5b0f2d7ap-7, 0x1.b1a4d96a64d4dp-7, 0x1.a6417b22c18b9p-7, 0x1.9b231f24d14dfp-7, 0x1.90485f421bb0ap-7, 0x1.85afdacb8c798p-7, 0x1.7b5836899172ap-7, 0x1.71401cb3cd47bp-7, 0x1.67663ce84e898p-7, 0x1.5dc94c2262c5ap-7, 0x1.546804b105b13p-7, 0x1.4b41262cedcf9p-7, 0x1.4253756e39f5fp-7, 0x1.399dbc81d62f8p-7, 0x1.311eca9e80ee8p-7, 0x1.28d574198caf2p-7, 0x1.20c0925b5847bp-7, 0x1.18df03d383cecp-7, 0x1.112fabece62c9p-7, 0x1.09b1730149ac7p-7, 0x1.0263464cf08b3p-7, 0x1.f6882fc3d0ce6p-8, 0x1.e8a5bd365bf4fp-8, 0x1.db1d2c1f4dc9ap-8, 0x1.cdec7d09e66a4p-8, 0x1.c111b9c43817bp-8, 0x1.b48af54442e55p-8, 0x1.a8564b8cd6244p-8, 0x1.9c71e1923d748p-8, 0x1.90dbe51ec1a42p-8, 0x1.85928cb6ff9edp-8, 0x1.7a94177e1d95bp-8, 0x1.6fdecd19e5fa7p-8, 0x1.6570fd96c60c3p-8, 0x1.5b49014bbf72p-8, 0x1.516538be48196p-8, 0x1.47c40c8624bc3p-8, 0x1.3e63ed313c5ccp-8, 0x1.354353276dba6p-8, 0x1.2c60be8e68fefp-8, 0x1.23bab72d91de3p-8, 0x1.1b4fcc51ec66ep-8, 0x1.131e94b21d404p-8, 0x1.0b25ae52791acp-8, 0x1.0363be692edd8p-8, 0x1.f7aee28512f3p-9, 0x1.e8fef44aa1f55p-9, 0x1.dab5266e912dcp-9, 0x1.cccefac3a96abp-9, 0x1.bf4a006d83392p-9, 0x1.b223d3aa69d22p-9, 0x1.a55a1d9d9429cp-9, 0x1.98ea9419b4affp-9, 0x1.8cd2f96be9e55p-9, 0x1.81111c270f335p-9, 0x1.75a2d6ef7559ap-9, 0x1.6a86104704218p-9, 0x1.5fb8ba59ca673p-9, 0x1.5538d2cafd9a8p-9, 0x1.4b0462826ca6ep-9, 0x1.41197d7a69137p-9, 0x1.3776428e2c8cfp-9, 0x1.2e18db48b3873p-9, 0x1.24ff7bb41dda6p-9, 0x1.1c28622987489p-9, 0x1.1391d721683f1p-9, 0x1.0b3a2d0475d23p-9, 0x1.031fbffd0b149p-9, 0x1.f681eb922c545p-10, 0x1.e7387b191a0c5p-10, 0x1.d8601f48e36dep-10, 0x1.c9f5daf4acf7dp-10, 0x1.bbf6c2b0f2948p-10, 0x1.ae5ffc7cc2b9p-10, 0x1.a12ebf6c20804p-10, 0x1.946053537abedp-10, 0x1.87f210744111bp-10, 0x1.7be15f2a92661p-10, 0x1.702bb79c103d7p-10, 0x1.64cea167c80a6p-10, 0x1.59c7b35738478p-10, 0x1.4f149310822bcp-10, 0x1.44b2f4c9a1b4ap-10, 0x1.3aa09afcd90f3p-10, 0x1.30db561e2918p-10, 0x1.27610451ea162p-10, 0x1.1e2f912486f1bp-10, 0x1.1544f5434220cp-10, 0x1.0c9f363624f0fp-10, 0x1.043c661af8de9p-10, 0x1.f83546c2bd577p-11, 0x1.e870310fef071p-11, 0x1.d925f7b54304p-11, 0x1.ca531e638afbp-11, 0x1.bbf43f6569e35p-11, 0x1.ae060b222a3c1p-11, 0x1.a08547a2ad576p-11, 0x1.936ed0186c454p-11, 0x1.86bf946689eadp-11, 0x1.7a7498acee2a2p-11, 0x1.6e8af4d568c1ep-11, 0x1.62ffd422d5cfp-11, 0x1.57d074c23da36p-11, 0x1.4cfa275deff0fp-11, 0x1.427a4eb28d3a3p-11, 0x1.384e5f2603eefp-11, 0x1.2e73de607172ap-11, 0x1.24e862e6e9c04p-11, 0x1.1ba993b81bc21p-11, 0x1.12b527ead01ecp-11, 0x1.0a08e64e3a24fp-11, 0x1.01a2a50c161bfp-11, 0x1.f300929925e5ap-12, 0x1.e33f8db7f72e7p-12, 0x1.d3fe3fa43d365p-12, 0x1.c538c876dd101p-12, 0x1.b6eb6387a3ba4p-12, 0x1.a91266c642bfbp-12, 0x1.9baa42169691p-12, 0x1.8eaf7eb0312f4p-12, 0x1.821ebe81163e9p-12, 0x1.75f4bb93a5cb6p-12, 0x1.6a2e4777a51a5p-12, 0x1.5ec84aae578aep-12, 0x1.53bfc419a4da7p-12, 0x1.4911c86e355cp-12, 0x1.3ebb81a884978p-12, 0x1.34ba2e84d7dabp-12, 0x1.2b0b21fa0c1e7p-12, 0x1.21abc2b735d94p-12, 0x1.18998aa404c9bp-12, 0x1.0fd20663dbf4p-12, 0x1.0752d4db9c074p-12, 0x1.fe334d7416e2ep-13, 0x1.ee487c05af453p-13, 0x1.dee0db3843f64p-13, 0x1.cff831bd19612p-13, 0x1.c18a664f80011p-13, 0x1.b3937edeb0c3bp-13, 0x1.a60f9fbc717f6p-13, 0x1.98fb0ad05d763p-13, 0x1.8c521ecfd0ff2p-13, 0x1.8011567a4a659p-13, 0x1.743547da481a4p-13, 0x1.68baa38a71c53p-13, 0x1.5d9e33ff17074p-13, 0x1.52dcdcd3d17b5p-13, 0x1.48739a1d4f5d7p-13, 0x1.3e5f7fbf22d1fp-13, 0x1.349db8c58cc97p-13, 0x1.2b2b86c32cfddp-13, 0x1.220641327a35ap-13, 0x1.192b54db074ep-13, 0x1.1098433a68e98p-13, 0x1.084aa1f0bd904p-13, 0x1.00401a30b9a19p-13, 0x1.f0ecd066532acp-14, 0x1.e1d6b55bbbdeap-14, 0x1.d339a49bcf5a5p-14, 0x1.c511826a2d8b4p-14, 0x1.b75a54f55a6c3p-14, 0x1.aa10435e62001p-14, 0x1.9d2f94c6acd98p-14, 0x1.90b4af63bf76ap-14, 0x1.849c1798f13c4p-14, 0x1.78e26f16dd738p-14, 0x1.6d8474007aa82p-14, 0x1.627f0015b8e0ap-14, 0x1.57cf07e3881p-14, 0x1.4d7199f92ad5dp-14, 0x1.4363de22b6ebcp-14, 0x1.39a314a8a7838p-14, 0x1.302c95946661p-14, 0x1.26fdcff9af0bdp-14, 0x1.1e144944b19e3p-14, 0x1.156d9c8cda863p-14, 0x1.0d0779ec251c2p-14, 0x1.04dfa5dadeedap-14, 0x1.f9e7f11f850cdp-15, 0x1.ea84bac8a3dc3p-15, 0x1.db91a47aae8efp-15, 0x1.cd0acdeee620bp-15, 0x1.beec79af446e2p-15, 0x1.b1330bff481d9p-15, 0x1.a3db09cc50b88p-15, 0x1.96e117a5623e1p-15, 0x1.8a41f8ba20a0dp-15, 0x1.7dfa8de0db31p-15, 0x1.7207d4a37bfeep-15, 0x1.6666e653316b2p-15, 0x1.5b14f722ac0eap-15, 0x1.500f5546c5cp-15, 0x1.4553681d6be08p-15, 0x1.3adeaf5aa778ep-15, 0x1.30aec23b9cf53p-15, 0x1.26c14ebf5e639p-15, 0x1.1d1418e56b19cp-15, 0x1.13a4f9f1bc548p-15, 0x1.0a71dfb639585p-15, 0x1.0178cbe171921p-15, 0x1.f16fa6a4f7dc1p-16, 0x1.e05a3ae3b8d2ep-16, 0x1.cfadc71e95844p-16, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      50, 0x1.4cccccccccccdp+2, 0x1.88f432f1941f1p+1, 0x1.1ee07f369a0b7p+3, -0x1.5fe55c388ed78p-7, 
      {{
        {0x1p+2, 0x1.0189374bc6a7fp+2, 0x1.a367d671f4e18p-6, -0x1.c8ed41dcd13d4p-4, 0x1.5eaf94f536bafp-3, 0x1.b6dc25c9931b6p-6}, 
        {0x1.0189374bc6a7fp+2, 0x1.03126e978d4fep+2, 0x1.7929a4da8e832p-6, -0x1.a712445b34aaep-4, 0x1.62a2b7170728ap-3, -0x1.1249979dfbbf9p-3}, 
        {0x1.03126e978d4fep+2, 0x1.049ba5e353f7dp+2, 0x1.5226d26efb9ffp-6, -0x1.85f96a134954bp-4, 0x1.4ee30c6df5085p-3, -0x1.8c27edb1e9e15p-4}, 
        {0x1.049ba5e353f7dp+2, 0x1.0624dd2f1a9fcp+2, 0x1.2e3c4147f5976p-6, -0x1.66827afcd0c6cp-4, 0x1.40a0133b85303p-3, -0x1.c662e8aea8297p-4}, 
        {0x1.0624dd2f1a9fcp+2, 0x1.07ae147ae147bp+2, 0x1.0d45504d3ca23p-6, -0x1.4883cc980407ep-4, 0x1.3044734dcf01cp-3, -0x1.c22e1858a5306p-4}, 
        {0x1.07ae147ae147bp+2, 0x1.09374bc6a7efap+2, 0x1.de3893d302b24p-7, -0x1.2c1544eacfb12p-4, 0x1.200f974a9e0d5p-3, -0x1.c947516dd4321p-4}, 
        {0x1.09374bc6a7efap+2, 0x1.0ac083126e979p+2, 0x1.a7359183e1d19p-7, -0x1.11382b7dbb93cp-4, 0x1.0f994fc085013p-3, -0x1.c877f37a78333p-4}, 
        {0x1.0ac083126e979p+2, 0x1.0c49ba5e353f8p+2, 0x1.75342587b526dp-7, -0x1.efde90edbb41ep-5, 0x1.fe54fe9d15d5cp-4, -0x1.c568feff8572cp-4}, 
        {0x1.0c49ba5e353f8p+2, 0x1.0dd2f1a9fbe77p+2, 0x1.47e6d5ecc3fe9p-7, -0x1.c071cb7fffcfbp-5, 0x1.ddafbd2655f44p-4, -0x1.bf198a45728d3p-4}, 
        {0x1.0dd2f1a9fbe77p+2, 0x1.0f5c28f5c28f6p+2, 0x1.1f00b5076262bp-7, -0x1.9421bcbc5fed9p-5, 0x1.bd7ecbc52cf09p-4, -0x1.b63f4159d1199p-4}, 
        {0x1.0f5c28f5c28f6p+2, 0x1.10e5604189375p+2, 0x1.f46bc4e38c0e6p-8, -0x1.6ae0fa5200e9ep-5, 0x1.9df1068d8e863p-4, -0x1.ab1a5cfbad364p-4}, 
        {0x1.10e5604189375p+2, 0x1.126e978d4fdf4p+2, 0x1.b277f9db26987p-8, -0x1.449dd32223e68p-5, 0x1.7f30a9d798949p-4, -0x1.9e02b79069408p-4}, 
        {0x1.126e978d4fdf4p+2, 0x1.13f7ced916873p+2, 0x1.77950abc38296p-8, -0x1.2142d5cbee53ep-5, 0x1.61619eac6e2fap-4, -0x1.8f44f6106d661p-4}, 
        {0x1.13f7ced916873p+2, 0x1.15810624dd2f2p+2, 0x1.433667a568a05p-8, -0x1.00b76235db0dp-5, 0x1.44a2495f78bdcp-4, -0x1.7f26e0d1b95acp-4}, 
        {0x1.15810624dd2f2p+2, 0x1.170a3d70a3d71p+2, 0x1.14d47ed90a2e1p-8, -0x1.c5c05634a7da3p-6, 0x1.290c0808b1071p-4, -0x1.6debf25e55d2cp-4}, 
        {0x1.170a3d70a3d71p+2, 0x1.189374bc6a7fp+2, 0x1.d7da6922f25ep-9, -0x1.8f3f5ef0a50f9p-6, 0x1.0eb35cfbc1605p-4, -0x1.5bd4c28ddfa66p-4}, 
        {0x1.189374bc6a7fp+2, 0x1.1a1cac083126fp+2, 0x1.900887e22cc87p-9, -0x1.5dad5ed946488p-6, 0x1.eb5047ef5e737p-5, -0x1.49177c04e8557p-4}, 
        {0x1.1a1cac083126fp+2, 0x1.1ba5e353f7ceep+2, 0x1.514714db6716p-9, -0x1.30c92a8822116p-6, 0x1.bbeca4ab1408ep-5, -0x1.35ec66c78db03p-4}, 
        {0x1.1ba5e353f7ceep+2, 0x1.1d2f1a9fbe76dp+2, 0x1.1ab6803e589d2p-9, -0x1.084fae6604953p-6, 0x1.8f4ba01ba7913p-5, -0x1.228261d8b3c92p-4}, 
        {0x1.1d2f1a9fbe76dp+2, 0x1.1eb851eb851ecp+2, 0x1.d7087658634ecp-10, -0x1.c7f94a62dcf21p-7, 0x1.65764a568fb9dp-5, -0x1.0f082c61f723bp-4}, 
        {0x1.1eb851eb851ecp+2, 0x1.204189374bc6ap+2, 0x1.85d5c4fd7c6b5p-10, -0x1.87167b4c1c2c9p-7, 0x1.3e6ef82bc84c3p-5, -0x1.f74b7bf2bacacp-5}, 
        {0x1.204189374bc6ap+2, 0x1.21cac083126e9p+2, 0x1.4064951a1ee05p-10, -0x1.4d6d67d99fc17p-7, 0x1.1a323d121d288p-5, -0x1.d0ff2814ccabp-5}, 
        {0x1.21cac083126e9p+2, 0x1.2353f7ced9168p+2, 0x1.055eded08cf83p-10, -0x1.1a75b1cb825f9p-7, 0x1.f16ed6ac7f25fp-6, -0x1.ab6fc12388adcp-5}, 
        {0x1.2353f7ced9168p+2, 0x1.24dd2f1a9fbe7p+2, 0x1.a71130ab3a37ap-11, -0x1.db523ced84ba1p-8, 0x1.b3e1d163cbb8dp-6, -0x1.86d706b71a308p-5}, 
        {0x1.24dd2f1a9fbe7p+2, 0x1.2666666666666p+2, 0x1.537e6d8cc56c1p-11, -0x1.8d08ebf090e96p-8, 0x1.7b99e4e72003cp-6, -0x1.63698a53097b2p-5}, 
        {0x1.2666666666666p+2, 0x1.27ef9db22d0e5p+2, 0x1.0df20e44be9dcp-11, -0x1.49108cd182e25p-8, 0x1.486bf9f1b21adp-6, -0x1.415464203fdacp-5}, 
        {0x1.27ef9db22d0e5p+2, 0x1.2978d4fdf3b64p+2, 0x1.a9118f4088f85p-12, -0x1.0e732158c22fdp-8, 0x1.1a267ae2cfd27p-6, -0x1.20be7c582fa36p-5}, 
        {0x1.2978d4fdf3b64p+2, 0x1.2b020c49ba5e3p+2, 0x1.4b1b2d626eef5p-12, -0x1.b8897459281fcp-9, 0x1.e1246fa821488p-7, -0x1.01c7d092e14a2p-5}, 
        {0x1.2b020c49ba5e3p+2, 0x1.2c8b439581062p+2, 0x1.fddee63eabe21p-13, -0x1.6348e37098704p-9, 0x1.96e6cb23b7709p-7, -0x1.c91760f78af44p-6}, 
        {0x1.2c8b439581062p+2, 0x1.2e147ae147ae1p+2, 0x1.83a1f0815b4d4p-13, -0x1.1b7a7c13e22cep-9, 0x1.551494375dcc5p-7, -0x1.923bf794af004p-6}, 
        {0x1.2e147ae147ae1p+2, 0x1.2f9db22d0e56p+2, 0x1.22a3817655584p-13, -0x1.bf1a5f3a05de9p-10, 0x1.1b289d9ee24b3p-7, -0x1.5f1c53c95e3d8p-6}, 
        {0x1.2f9db22d0e56p+2, 0x1.3126e978d4fdfp+2, 0x1.ad395775d57a4p-14, -0x1.5c13dd8cc2f5dp-10, 0x1.d1328b8f09b3bp-8, -0x1.2fcd260b5c9d4p-6}, 
        {0x1.3126e978d4fdfp+2, 0x1.32b020c49ba5ep+2, 0x1.37a2d7218ec1ep-14, -0x1.0b28c0b5b8802p-10, 0x1.79b3e0dba340bp-8, -0x1.045703a6e17f7p-6}, 
        {0x1.32b020c49ba5ep+2, 0x1.34395810624ddp+2, 0x1.bc1939ac62c09p-15, -0x1.93ad23371a258p-11, 0x1.2eb989ca4bc7fp-8, -0x1.b976da9d2c453p-7}, 
        {0x1.34395810624ddp+2, 0x1.35c28f5c28f5cp+2, 0x1.35d803836b0ap-15, -0x1.2ba2b7b1c8be6p-11, 0x1.de4ecc6d78612p-9, -0x1.71e2c02e682b6p-7}, 
        {0x1.35c28f5c28f5cp+2, 0x1.374bc6a7ef9dbp+2, 0x1.a636d0be083c1p-16, -0x1.b40de25c6c69ap-12, 0x1.73c7dcc268b6dp-9, -0x1.31d03131108bfp-7}, 
        {0x1.374bc6a7ef9dbp+2, 0x1.38d4fdf3b645ap+2, 0x1.1803f36662be4p-16, -0x1.3633608041e7ep-12, 0x1.1bb4dced9f573p-9, -0x1.f21a79faeed15p-8}, 
        {0x1.38d4fdf3b645ap+2, 0x1.3a5e353f7ced9p+2, 0x1.681afe146605dp-17, -0x1.ae0ed3defb86fp-13, 0x1.a7f58e88bc75fp-10, -0x1.8eb2fe55a9d9p-8}, 
        {0x1.3a5e353f7ced9p+2, 0x1.3be76c8b43958p+2, 0x1.becc3e791718bp-18, -0x1.214dd69a52b5ap-13, 0x1.3522433cdd771p-10, -0x1.38ccaf2e87b0ap-8}, 
        {0x1.3be76c8b43958p+2, 0x1.3d70a3d70a3d7p+2, 0x1.09c49dc46260cp-18, -0x1.77c954dfecc87p-14, 0x1.b6185aea31611p-11, -0x1.df62d5e473229p-9}, 
        {0x1.3d70a3d70a3d7p+2, 0x1.3ef9db22d0e56p+2, 0x1.2cbee91fc1c23p-19, -0x1.d421d1733e061p-15, 0x1.2c082db2a3adp-11, -0x1.65263b1fc7b34p-9}, 
        {0x1.3ef9db22d0e56p+2, 0x1.4083126e978d5p+2, 0x1.40566d3e5fd6ap-20, -0x1.153496d4091d2p-15, 0x1.8a588b4296e23p-12, -0x1.011ca47bb01fdp-9}, 
        {0x1.4083126e978d5p+2, 0x1.420c49ba5e354p+2, 0x1.3ca0645e28d56p-21, -0x1.346c18f99effbp-16, 0x1.ec7fb532150bep-13, -0x1.62b0ad6b445f4p-10}, 
        {0x1.420c49ba5e354p+2, 0x1.4395810624dd3p+2, 0x1.1cad388a2115fp-22, -0x1.3d0ea2f5ebc5ep-17, 0x1.203284819bbe4p-13, -0x1.cf2264a1d35p-11}, 
        {0x1.4395810624dd3p+2, 0x1.451eb851eb852p+2, 0x1.c43aea4afe66p-24, -0x1.25e1930eeaf4ep-18, 0x1.35a118c6c5f63p-14, -0x1.18f94c6b11fb1p-11}, 
        {0x1.451eb851eb852p+2, 0x1.46a7ef9db22d1p+2, 0x1.2f45c312af041p-25, -0x1.d8ee5c3d80c1p-20, 0x1.2793a44566d31p-15, -0x1.3376c1affcd38p-12}, 
        {0x1.46a7ef9db22d1p+2, 0x1.483126e978d5p+2, 0x1.3e527c9427054p-27, -0x1.35dff71f0d0ebp-21, 0x1.d9e8fbc9dbf3ap-17, -0x1.1fc70fe9ae144p-13}, 
        {0x1.483126e978d5p+2, 0x1.49ba5e353f7cfp+2, 0x1.c5969532d083bp-30, -0x1.24dcae7766a2ap-23, 0x1.1cc7d70289207p-18, -0x1.9a826bcccb705p-15}, 
        {0x1.49ba5e353f7cfp+2, 0x1.4b4395810624ep+2, 0x1.3ebf02a1bda03p-33, -0x1.28482ecb1d622p-26, 0x1.829e0f0455d49p-21, -0x1.5c801af98bdcbp-17}, 
        {0x1.4b4395810624ep+2, 0x1.4cccccccccccdp+2, 0x1.3eda241b8e991p-39, -0x1.58975308d810fp-31, -0x1.db5ca199cba7ep-26, 0x1.18261497d2afdp-17}, 
      }}, 
      -0x1.a8107500be92p-12, 0x1.86bc630cb2d61p-8
    }
  };
  // clang-format on
}
SkfData params_hyb_0_2_as_h() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.3f9d79ca1d669p-5, -0x1.252b82ff378b7p-5, -0x1.03db5ac5a37b6p-5, -0x1.b85f2a123d796p-6, -0x1.5d60a52071b96p-6, -0x1.efa7d5beca5b8p-7, -0x1.11a4335bdad83p-7, -0x1.16ec1175a4ff2p-10, 0x1.b524aea2acabap-8, 0x1.e4a36efbce384p-7, 0x1.7cb390fcef367p-6, 0x1.05c28ebf6e761p-5, 0x1.4ef4f8b4c8deap-5, 0x1.9989cd12d2853p-5, 0x1.e52180cbde0aap-5, 0x1.18b2256cd64dfp-4, 0x1.3f00c64eac141p-4, 0x1.6557757eaf27bp-4, 0x1.8b93dbb4fda5bp-4, 0x1.b19695422ec37p-4, 0x1.d74380ea50d36p-4, 0x1.fc81baf4e5105p-4, 0x1.109de06e5de25p-3, 0x1.22ae72828be6p-3, 0x1.3469a68cb58bap-3, 0x1.45c7ac3c2d8b6p-3, 0x1.56c1bc1d7f93dp-3, 0x1.6751fbf7945b6p-3, 0x1.7773637d7d823p-3, 0x1.8721a702cc82p-3, 0x1.96592900e2b8ap-3, 0x1.a516f0297e77fp-3, 0x1.b3589ed63a919p-3, 0x1.c11c69197edd5p-3, 0x1.ce61085b4cbc5p-3, 0x1.db25ad8c31508p-3, 0x1.e769f419ad395p-3, 0x1.f32dd737f6275p-3, 0x1.fe71a996b2883p-3, 0x1.049b0745c9be5p-2, 0x1.09bdf9db0aea5p-2, 0x1.0ea245567b173p-2, 0x1.1348a15dc4a36p-2, 0x1.17b1e164c9359p-2, 0x1.1bdef1b129768p-2, 0x1.1fd0d45ba85b3p-2, 0x1.23889e493d571p-2, 0x1.2707742ce366cp-2, 0x1.2a4e87b11412bp-2, 0x1.2d5f14e363686p-2, 0x1.303a5ff006574p-2, 0x1.32e1b33370fc5p-2, 0x1.35565da758c74p-2, 0x1.3799b1ac35b3bp-2, 0x1.39ad0420c5487p-2, 0x1.3b91aba360312p-2, 0x1.3d48ffccad513p-2, 0x1.3ed4583d14d34p-2, 0x1.40350b751cd16p-2, 0x1.416c6d94e8412p-2, 0x1.427bcf354fd8bp-2, 0x1.43647c8a13514p-2, 0x1.4427bce36bbd5p-2, 0x1.44c6c6a72259dp-2, 0x1.4542e0f8598cfp-2, 0x1.459d47a3bee3ep-2, 0x1.45d72fef196fbp-2, 0x1.45f1c8b2ba65ep-2, 0x1.45ee39a0f14f4p-2, 0x1.45cda2d3086e6p-2, 0x1.45911ca9a1be6p-2, 0x1.4539b7f85ca09p-2, 0x1.44c87e63e2f76p-2, 0x1.443e72d19cceep-2, 0x1.439c91ca2834ep-2, 0x1.42e3d1b8d715p-2, 0x1.421522ff32861p-2, 0x1.41316fdfea57ep-2, 0x1.40399c4dc04cp-2, 0x1.3f2e85af7ab6ap-2, 0x1.3e1102a9a61a3p-2, 0x1.3ce1e2fb27807p-2, 0x1.3ba1ef73d963p-2, 0x1.3a51ea06726eep-2, 0x1.38f28df203addp-2, 0x1.37848ffc37a9ap-2, 0x1.36089eb459d73p-2, 0x1.347f62b7c3207p-2, 0x1.32e97ef20346dp-2, 0x1.314790d5604dcp-2, 0x1.2f9a308a7e388p-2, 0x1.2de1f117cec11p-2, 0x1.2c1f608288c1fp-2, 0x1.2a5307eb6e0fp-2, 0x1.287d6ba991d09p-2, 0x1.269f0b64fa5d7p-2, 0x1.24b8623254a3ep-2, 0x1.22c9e6b060b29p-2, 0x1.20d40b273ef5fp-2, 0x1.1ed73da967a1bp-2, 0x1.1cd3e835de526p-2, 0x1.1aca70db257p-2, 0x1.18bb39da7d366p-2, 0x1.16a6a1cafb284p-2, 0x1.148d03bc34702p-2, 0x1.126eb758337ecp-2, 0x1.104c110491c21p-2, 0x1.0e25620299506p-2, 0x1.0bfaf88e56c5dp-2, 0x1.09cd1ffc94bd3p-2, 0x1.079c20d7bb2b2p-2, 0x1.056840fb96216p-2, 0x1.0331c3b0077dbp-2, 0x1.00f8e9c2af659p-2, 0x1.fd7be33f3888ep-3, 0x1.f9022ed20579dp-3, 0x1.f4852a1c19e47p-3, 0x1.f00544c1a7446p-3, 0x1.eb82ea56ede49p-3, 0x1.e6fe8288dabbbp-3, 0x1.e2787144134dcp-3, 0x1.ddf116da75ba2p-3, 0x1.d968d02722136p-3, 0x1.d4dff6b123dedp-3, 0x1.d056e0cce4327p-3, 0x1.cbcde1bb985f9p-3, 0x1.c74549cb52762p-3, 0x1.c2bd667380bfbp-3, 0x1.be3682722976ap-3, 0x1.b9b0e5e75fbb6p-3, 0x1.b52cd66fb34b3p-3, 0x1.b0aa973ddb2e9p-3, 0x1.ac2a6932f6e2dp-3, 0x1.a7ac8af63adc2p-3, 0x1.a331390b0e911p-3, 0x1.9eb8ade6a8577p-3, 0x1.9a4322043edb4p-3, 0x1.95d0cbf85cebcp-3, 0x1.9161e0832ac39p-3, 0x1.8cf692a14c093p-3, 0x1.888f13a672b4ep-3, 0x1.842b932043e51p-3, 0x1.7fcc3f39bd34fp-3, 0x1.7b71447664cccp-3, 0x1.771acde7fcccp-3, 0x1.72c90532d4f48p-3, 0x1.6e7c12997a378p-3, 0x1.6a34d7ddd2648p-3, 0x1.65f2175b3e132p-3, 0x1.61b49ebb78e2dp-3, 0x1.5d7c9107c7d42p-3, 0x1.594a101550f0dp-3, 0x1.551d3c8d88191p-3, 0x1.50f635f628964p-3, 0x1.4cd51ab8bb734p-3, 0x1.48ba0829b2846p-3, 0x1.44a51a8f29b78p-3, 0x1.40966d2748832p-3, 0x1.3c8e1a2e542b4p-3, 0x1.388c3ae47f2d3p-3, 0x1.3490e79317b27p-3, 0x1.309c3792650f5p-3, 0x1.2cae414dd2ba2p-3, 0x1.28c71a49dd9e8p-3, 0x1.24e6d7272a014p-3, 0x1.210d8ba303ec8p-3, 0x1.1d3b4ab45ab1p-3, 0x1.1970265daff9bp-3, 0x1.15ac2fe37418dp-3, 0x1.11ef77b5d4a1dp-3, 0x1.0e3a0d7a7f622p-3, 0x1.0a8c000fc5763p-3, 0x1.06e55d901492ap-3, 0x1.034633556cc83p-3, 0x1.ff5d1bf959e22p-4, 0x1.f83cf2d1bab53p-4, 0x1.f12c018cb3c97p-4, 0x1.ea2a5d1c0490fp-4, 0x1.e33819109e358p-4, 0x1.dc5547a0cd9d6p-4, 0x1.d581f9ae3cf9ap-4, 0x1.cebe3ecc2f62ep-4, 0x1.c80a25452a721p-4, 0x1.c165ba212044cp-4, 0x1.bad10929bcc32p-4, 0x1.b44c1cf7a3a33p-4, 0x1.add6fee9d7a0ap-4, 0x1.a771b739406d9p-4, 0x1.a11c4cec6a027p-4, 0x1.9ad6c618ee9edp-4, 0x1.94a1277377ebbp-4, 0x1.8e7b7593c223dp-4, 0x1.8865b0d35d599p-4, 0x1.825fdd2cffcfap-4, 0x1.7c69fa9b6920fp-4, 0x1.768408a923aebp-4, 0x1.70ae060b9647dp-4, 0x1.6ae7f07bea8e4p-4, 0x1.6531c4c34e2e9p-4, 0x1.5f8b7ec07596fp-4, 0x1.59f5196c970cap-4, 0x1.546e8ee047243p-4, 0x1.4ef7d8583e01ap-4, 0x1.4990ee3a0342ep-4, 0x1.4439c817e9fedp-4, 0x1.3ef25cb8cbb6ep-4, 0x1.39baa21607003p-4, 0x1.34928d65f9173p-4, 0x1.2f7a131d70307p-4, 0x1.2a7126f3fd23ep-4, 0x1.2577bbe4e334cp-4, 0x1.208dc4457a054p-4, 0x1.1bb331a250042p-4, 0x1.16e7f4ea7418p-4, 0x1.122bfe5ab3605p-4, 0x1.0d7f3d9b3b4f3p-4, 0x1.08e1a19757a2p-4, 0x1.045318ab9d567p-4, 0x1.ffa721c7a52d1p-5, 0x1.f6c5eced7aae6p-5, 0x1.ee026dbd6b891p-5, 0x1.e55c7b8fc9f58p-5, 0x1.dcd3edd72cf63p-5, 0x1.d4689880aeec6p-5, 0x1.cc1a5202cc28ep-5, 0x1.c3e8ed5ec59cep-5, 0x1.bbd43d268a4a5p-5, 0x1.b3dc13049fdd8p-5, 0x1.ac003f3823f52p-5, 0x1.a44091ac32172p-5, 0x1.9c9cd8ebb57b8p-5, 0x1.9514e2afe238fp-5, 0x1.8da87bca1d07bp-5, 0x1.86577025800adp-5, 0x1.7f218ae07f83ep-5, 0x1.7806962ceae67p-5, 0x1.71065b7754347p-5, 0x1.6a20a363e6668p-5, 0x1.635535c360b0ap-5, 0x1.5ca3db9093aep-5, 0x1.560c55af6a4d7p-5, 0x1.4f8e6f4ecf8c9p-5, 0x1.4929eba1efc2ep-5, 0x1.42de8f098f83ep-5, 0x1.3cac1d54ef3aap-5, 0x1.369259a7f8b93p-5, 0x1.309106bb4366p-5, 0x1.2aa7e69ac00bdp-5, 0x1.24d6baeebacap-5, 0x1.1f1d44e3e292ap-5, 0x1.197b45360ff95p-5, 0x1.13f07c4173993p-5, 0x1.0e7caa05c16e8p-5, 0x1.091f8e2751001p-5, 0x1.03d8e82b6a83cp-5, 0x1.fd50ee2f4b958p-6, 0x1.f31bf3cec77ebp-6, 0x1.e9125eb76ec35p-6, 0x1.df33ac46c3f09p-6, 0x1.d57f5a1d24a98p-6, 0x1.cbf4e34a6e14dp-6, 0x1.c293c6ac7df4cp-6, 0x1.b95b7f9996df5p-6, 0x1.b04b8e0ca0298p-6, 0x1.a7636c795bdcfp-6, 0x1.9ea2994cf3242p-6, 0x1.96089279dcaaap-6, 0x1.8d94d63130a0bp-6, 0x1.8546e2e8b58c2p-6, 0x1.7d1e38f8096e8p-6, 0x1.751a5736c9266p-6, 0x1.6d3abeb015b86p-6, 0x1.657ef0910c8d3p-6, 0x1.5de66f104c392p-6, 0x1.5670bd1c000b2p-6, 0x1.4f1d5e7c93663p-6, 0x1.47ebd7ffa593dp-6, 0x1.40dbaf63cb1afp-6, 0x1.39ec6b73675eep-6, 0x1.331d9403bca9fp-6, 0x1.2c6eb1e03f0a8p-6, 0x1.25df4f5a21b27p-6, 0x1.1f6ef759b01e2p-6, 0x1.191d364fec34fp-6, 0x1.12e999b3ab80fp-6, 0x1.0cd3b0411cb29p-6, 0x1.06db09dc4a77bp-6, 0x1.00ff37a493b3cp-6, 0x1.f67f97d709d81p-7, 0x1.eb38b485d219ap-7, 0x1.e028eedfe2289p-7, 0x1.d54f727b96502p-7, 0x1.caab6eaa8f21dp-7, 0x1.c03c134402fc6p-7, 0x1.b60093ac5c2p-7, 0x1.abf825636692bp-7, 0x1.a222001f86a13p-7, 0x1.987d5e421dd08p-7, 0x1.8f097bde0bf88p-7, 0x1.85c597a2e194p-7, 0x1.7cb0f25737a7dp-7, 0x1.73cacee236bd7p-7, 0x1.6b1272818c45ep-7, 0x1.6287246580f7cp-7, 0x1.5a282d3cc2501p-7, 0x1.51f4da5a8665p-7, 0x1.49ec7426f214dp-7, 0x1.420e4e63fbe8fp-7, 0x1.3a59b8955a077p-7, 0x1.32ce05aa625cbp-7, 0x1.2b6a8a56340e5p-7, 0x1.242e9d69ab3b2p-7, 0x1.1d199711070a7p-7, 0x1.162ad17b34ef4p-7, 0x1.0f61a8894f9f9p-7, 0x1.08b88a8dc6a6bp-7, 0x1.023b3b519bb6bp-7, 0x1.f7c30ae2bf6b7p-8, 0x1.eb55973477411p-8, 0x1.df2ce370adeap-8, 0x1.d347bbde07ac5p-8, 0x1.c7a4ef288d386p-8, 0x1.bc43500bd3b39p-8, 0x1.b121b45ac76f1p-8, 0x1.a63ef8a7fc64fp-8, 0x1.9b99efe3b020fp-8, 0x1.913183a41be1cp-8, 0x1.87049387901d4p-8, 0x1.7d12062410923p-8, 0x1.7358c53615e2ap-8, 0x1.69d7bdc49a948p-8, 0x1.608de23f48118p-8, 0x1.577a1fbb17347p-8, 0x1.4e9b745d2b633p-8, 0x1.45f0d6b7f2ab5p-8, 0x1.3d79472ceb175p-8, 0x1.3533c3e455785p-8, 0x1.2d1f53d1b49b9p-8, 0x1.253afd234c1a1p-8, 0x1.1d85cbd8c2bd7p-8, 0x1.15fecf35f3c8cp-8, 0x1.0ea518f64a914p-8, 0x1.0777bf3ebf93cp-8, 0x1.0075db65e1d7bp-8, 0x1.f33d18b51e2d8p-9, 0x1.e5e1d9a908186p-9, 0x1.d8d84d3fda156p-9, 0x1.cc1ebeed5bd13p-9, 0x1.bfb3851f7ce88p-9, 0x1.b394fc9fa4594p-9, 0x1.a7c18c70bab61p-9, 0x1.9c379e3b3e568p-9, 0x1.90f5a56e6d9bep-9, 0x1.85fa1b646fb0bp-9, 0x1.7b4382d0f690bp-9, 0x1.70d061f2bd4f8p-9, 0x1.669f47e1d9374p-9, 0x1.5caeca3ce732dp-9, 0x1.52fd851f79488p-9, 0x1.498a1b6dbdc4ep-9, 0x1.405336889e13fp-9, 0x1.37578643967d5p-9, 0x1.2e95c0b3ea47fp-9, 0x1.260ca2820440fp-9, 0x1.1dbaed695852dp-9, 0x1.159f6a8cc38c6p-9, 0x1.0db8e81b58b48p-9, 0x1.060638ebeefc6p-9, 0x1.fd0c75818720dp-10, 0x1.ee6f922ee25cep-10, 0x1.e033937d3d148p-10, 0x1.d2564de2d35fdp-10, 0x1.c4d59ffe94db7p-10, 0x1.b7af720ead87dp-10, 0x1.aae1b8b15ba1dp-10, 0x1.9e6a6ec98b7dbp-10, 0x1.92479b3acba4dp-10, 0x1.86774dbfc2b0cp-10, 0x1.7af79f59c901p-10, 0x1.6fc6b1eac5f51p-10, 0x1.64e2b0da45b3ep-10, 0x1.5a49cfb74be4ep-10, 0x1.4ffa4a1d33232p-10, 0x1.45f268b0a4e6dp-10, 0x1.3c306bfa2ad9bp-10, 0x1.32b2c4f831942p-10, 0x1.2977b777af85p-10, 0x1.207db1c7ef2bap-10, 0x1.17c3218edb7f4p-10, 0x1.0f467c33afb0ep-10, 0x1.07063eccc0d11p-10, 0x1.fe01dc2330298p-11, 0x1.ee6a2c2676784p-11, 0x1.df4294b84124ep-11, 0x1.d0884bbdb3848p-11, 0x1.c2389533251c6p-11, 0x1.b450c33c70051p-11, 0x1.a6ce36a989e59p-11, 0x1.99ae5de516fa7p-11, 0x1.8ceeb43f759c1p-11, 0x1.808cc32e4c545p-11, 0x1.7486220a3cee1p-11, 0x1.68d86e54c1062p-11, 0x1.5d816b5e7438bp-11, 0x1.527ec5c32ca6dp-11, 0x1.47ce4c37e234ap-11, 0x1.3d6dd6540b655p-11, 0x1.335b561797d46p-11, 0x1.29948e07ffd3cp-11, 0x1.2017a5f1b0215p-11, 0x1.16e295d02ca16p-11, 0x1.0df370155742p-11, 0x1.054851f7098dfp-11, 0x1.f9bec9d43742bp-12, 0x1.e96db930e37a2p-12, 0x1.d999ef6bc53abp-12, 0x1.ca3fffb47a357p-12, 0x1.bb5c8eeeab7b6p-12, 0x1.acec5ba331a6ep-12, 0x1.9eec34c7601f2p-12, 0x1.9158f383114c1p-12, 0x1.842fabcf88424p-12, 0x1.776d51a82883cp-12, 0x1.6b0eb7cf8f1dep-12, 0x1.5f11f08a990efp-12, 0x1.53735d17de38ep-12, 0x1.48309a534bff7p-12, 0x1.3d470c312e043p-12, 0x1.32b42773ef7d4p-12, 0x1.287543d6d6e72p-12, 0x1.1e887e807057fp-12, 0x1.14eaf4fc24d43p-12, 0x1.0b9a894f954d6p-12, 0x1.0294ff58a387dp-12, 0x1.f3b053b663772p-13, 0x1.e2c3d42754f6ap-13, 0x1.d2605a1855ab8p-13, 0x1.c281e74e40517p-13, 0x1.b3249c85a85f7p-13, 0x1.a444967aae48p-13, 0x1.95de28b7b54b5p-13, 0x1.87edaf951bdc7p-13, 0x1.7a6fb1e6b202fp-13, 0x1.6d60c8ab1933ep-13, 0x1.60bd8a11ce0b6p-13, 0x1.5482bab176b3fp-13, 0x1.48ad6d2eecb45p-13, 0x1.3d3a5c211c419p-13, 0x1.322690f2db14bp-13, 0x1.276f32629af8ap-13, 0x1.1d116e9ffcf33p-13, 0x1.130a89172d8ap-13, 0x1.0957d7eae32d5p-13, 0x1.ffed90c4ce1ebp-14, 0x1.edc9aa024f7fap-14, 0x1.dc3f1bb6b6e27p-14, 0x1.cb4927ba07fcfp-14, 0x1.bae332799ed95p-14, 0x1.ab08c21013574p-14, 0x1.9bb57d711c5f2p-14, 0x1.8ce52ba8d410dp-14, 0x1.7e93bb4c6e7a6p-14, 0x1.70bd1ba6cdf57p-14, 0x1.635d7afece2a8p-14, 0x1.56711c72a6461p-14, 0x1.49f44471f73c2p-14, 0x1.3de39e574e05ap-14, 0x1.323b95ba4df8ep-14, 0x1.26f8d1ac4d6e6p-14, 0x1.1c181ebdb5667p-14, 0x1.11965801f1d9p-14, 0x1.07707616bab3fp-14, 0x1.fb4713141d1bp-15, 0x1.e859595bbd103p-15, 0x1.d61238fdb886p-15, 0x1.c46c4fb07c487p-15, 0x1.b362650a10927p-15, 0x1.a2ef705797602p-15, 0x1.930e9081e4032p-15, 0x1.83bac1f2f952cp-15, 0x1.74efb7211ced3p-15, 0x1.66a8a0078ead1p-15, 0x1.58e1ad224957bp-15, 0x1.4b968f113260dp-15, 0x1.3ec2d685a4a3bp-15, 0x1.3262c54c0d52dp-15, 0x1.26728bdc68b43p-15, 0x1.1aee78458704ep-15, 0x1.0fd2f6468385ap-15, 0x1.051c8e968a6cdp-15, 0x1.f58fd09778fd3p-16, 0x1.e1a16e454b41cp-16, 0x1.ce6dd7bacb9bcp-16, 0x1.bbe8d24084d13p-16, 0x1.aa0e81d0ed2cdp-16, 0x1.98d3cd6168ab2p-16, 0x1.88430014564f6p-16, 0x1.7847a20ac5119p-16, 0x1.68e0e1f024dfbp-16, 0x1.5a0a1389d9697p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.fb3f1b3bb6596p-3, -0x1.00aecffca62c8p-2, -0x1.046a9884ba2c8p-2, -0x1.08c3b56b038cfp-2, -0x1.0daa193e0eaf5p-2, -0x1.130d7c7e5c54ap-2, -0x1.18dd8a7cf4fb1p-2, -0x1.1f0a2394fe81cp-2, -0x1.2583bd9b28aeap-2, -0x1.2c3b87b4f6ad7p-2, -0x1.33236d1b8f0d3p-2, -0x1.3a2e2c2146164p-2, -0x1.414f75d49a82fp-2, -0x1.487bf45ad637ap-2, -0x1.4fa933444db3ep-2, -0x1.56cd8fde1c20ap-2, -0x1.5de04807b8042p-2, -0x1.64d98884475cap-2, -0x1.6bb26083bf7e5p-2, -0x1.7264a770c8602p-2, -0x1.78eae6fad357fp-2, -0x1.7f40451be09c9p-2, -0x1.85607a0e64d5ap-2, -0x1.8b4803f6613a1p-2, -0x1.90f3dc861aab6p-2, -0x1.9661791ee837ap-2, -0x1.9b8ec0ca836fp-2, -0x1.a07a05893b1a2p-2, -0x1.a521fe58726c8p-2, -0x1.a985bf50b5f39p-2, -0x1.ada4af78322dbp-2, -0x1.b17e7e550443cp-2, -0x1.b5131b6e37abep-2, -0x1.b862b016dab72p-2, -0x1.bb6d9a72fae84p-2, -0x1.be3468cdb48d6p-2, -0x1.c0b7d526d364ap-2, -0x1.c2f8c1220e4fdp-2, -0x1.c4f8322a0e43fp-2, -0x1.c6b74d5a62e8ap-2, -0x1.c8375308100ddp-2, -0x1.c9799a43b389cp-2, -0x1.ca7f8ceb9c9p-2, -0x1.cb4aa4a2eab5cp-2, -0x1.cbdc68876c795p-2, -0x1.cc366b32e14acp-2, -0x1.cc5a48a3b55f1p-2, -0x1.cc49a3f2ed69p-2, -0x1.cc0624ff6640ep-2, -0x1.cb91764b21d0fp-2, -0x1.caed43332d8cp-2, -0x1.ca1b36891f1ccp-2, -0x1.c91cf97be1fc1p-2, -0x1.c7f432b276266p-2, -0x1.c6a2857ac8f86p-2, -0x1.c52990f5055e3p-2, -0x1.c38aef2f6ce37p-2, -0x1.c1c8343655abbp-2, -0x1.bfe2ed2b22e79p-2, -0x1.bddc9f7da29e4p-2, -0x1.bbb6c86068983p-2, -0x1.b972dc8307449p-2, -0x1.b7124809b3318p-2, -0x1.b496663940fe5p-2, -0x1.b2009e606c2c9p-2, -0x1.af5242031db7bp-2, -0x1.ac8c9cc1cf181p-2, -0x1.a9b0f11853344p-2, -0x1.a6c07803d2d0ap-2, -0x1.a3bc60d5244f9p-2, -0x1.a0a5d139414acp-2, -0x1.9d7de5726999p-2, -0x1.9a45b0b1050ap-2, -0x1.96fe3d7659418p-2, -0x1.93a88dece4de6p-2, -0x1.90459c28fc17bp-2, -0x1.8cd65a4d082cfp-2, -0x1.895bb2952409dp-2, -0x1.85d687536ea6cp-2, -0x1.8247b2e8ccd21p-2, -0x1.7eb007c4cfad2p-2, -0x1.7b1050744556cp-2, -0x1.77694fc1b44dfp-2, -0x1.73bbc0e6de9d9p-2, -0x1.700857cb57f17p-2, -0x1.6c4fc14a9a8a3p-2, -0x1.6892a37bd5c0dp-2, -0x1.64d19df6b2165p-2, -0x1.610d4a11e89afp-2, -0x1.5d463b1a5a95cp-2, -0x1.597cfe82ecb7bp-2, -0x1.55b21c0e8e7dp-2, -0x1.51e615f65429ep-2, -0x1.4e19690daa5b1p-2, -0x1.4a4c8ce64094p-2, -0x1.467ff3f4ced2ep-2, -0x1.42b40bb741255p-2, -0x1.3ee93cdc535a7p-2, -0x1.3b1feb6c4a94bp-2, -0x1.375876f24da05p-2, -0x1.33933aa5c454p-2, -0x1.2fd08d9337d5ep-2, -0x1.2c10c2c4401c1p-2, -0x1.2854296625cf8p-2, -0x1.249b0cef05fe7p-2, -0x1.20e5b5414f986p-2, -0x1.1d3466cd92c93p-2, -0x1.198762b2a709bp-2, -0x1.15dee6dc3c208p-2, -0x1.123b2e1ffefaep-2, -0x1.0e9c705979813p-2, -0x1.0b02e284e3803p-2, -0x1.076eb6d91182dp-2, -0x1.03e01ce0b3c02p-2, -0x1.005741930375fp-2, -0x1.f9a89ed7e170dp-3, -0x1.f2aedd07c1174p-3, -0x1.ebc1894dd9881p-3, -0x1.e4e0ead7371f8p-3, -0x1.de0d4491e88bdp-3, -0x1.d746d557c7b2p-3, -0x1.d08dd81797f7p-3, -0x1.c9e283fc790adp-3, -0x1.c3450c938cc9ap-3, -0x1.bcb5a1f03fe88p-3, -0x1.b63470cc1ea8ap-3, -0x1.afc1a2abd0f49p-3, -0x1.a95d5df98692ap-3, -0x1.a307c624ce7b4p-3, -0x1.9cc0fbbe9506ep-3, -0x1.96891c941cdc5p-3, -0x1.906043ca09778p-3, -0x1.8a4689f517f36p-3, -0x1.843c05336490ap-3, -0x1.7e40c943cb924p-3, -0x1.7854e79d70ce3p-3, -0x1.72786f85e13d6p-3, -0x1.6cab6e26b42p-3, -0x1.66edeea23ea2bp-3, -0x1.613ffa273432ap-3, -0x1.5ba1980bf21b4p-3, -0x1.5612cdbe105a9p-3, -0x1.50939f15d9fa5p-3, -0x1.4b240e2765841p-3, -0x1.45c41b723e10ap-3, -0x1.4073c5eada9b3p-3, -0x1.3b330b09bc48fp-3, -0x1.3602472da7797p-3, -0x1.30e0bc3708aecp-3, -0x1.2bcebc220e95ep-3, -0x1.26cc3ef472204p-3, -0x1.21d93b7a0f74cp-3, -0x1.1cf5a75107d65p-3, -0x1.182176f5704fap-3, -0x1.135c9dcc9a566p-3, -0x1.0ea70e2ff5841p-3, -0x1.0a00b9778d08dp-3, -0x1.0569900436d46p-3, -0x1.00e181495e799p-3, -0x1.f8d0f7ad49ee2p-4, -0x1.effcdac12603fp-4, -0x1.e746859501dfap-4, -0x1.deadd05c385bp-4, -0x1.d63291c9e75cep-4, -0x1.cdd49f1ebc5bep-4, -0x1.c593cc33a06f9p-4, -0x1.bd6febab55df4p-4, -0x1.b568cebc00911p-4, -0x1.ad7e45837421cp-4, -0x1.a5b01ef173f7ap-4, -0x1.9dfe28ddd938bp-4, -0x1.96683015557bfp-4, -0x1.8eee00668937ep-4, -0x1.878f64aec8bdcp-4, -0x1.804c26e67dce8p-4, -0x1.7924102d3b9c1p-4, -0x1.7216e8d583f97p-4, -0x1.6b24787041402p-4, -0x1.644c85d7f8143p-4, -0x1.5d8ed73bbdep-4, -0x1.56eb3229b375ap-4, -0x1.50615b99ceae2p-4, -0x1.49f117f787647p-4, -0x1.439a2b2c16742p-4, -0x1.3d5c58a6d3383p-4, -0x1.3737636c8017ep-4, -0x1.312b0e150fa8dp-4, -0x1.2b371adf8d508p-4, -0x1.255b4badc273bp-4, -0x1.1f976236262ccp-4, -0x1.19eb1fbace56fp-4, -0x1.145645e622cbfp-4, -0x1.0ed89419a4628p-4, -0x1.0971cc983ad47p-4, -0x1.0421af8c3e98ep-4, -0x1.fdcffac1df973p-5, -0x1.f388ed04d6a18p-5, -0x1.e96db690563aep-5, -0x1.df7dd8004186dp-5, -0x1.d5b8d1eab752bp-5, -0x1.cc1e24ec4cca9p-5, -0x1.c2ad51b3ed66dp-5, -0x1.b965d90e498f5p-5, -0x1.b0473bf0dcbebp-5, -0x1.a750fb838f3afp-5, -0x1.9e8299307d3fdp-5, -0x1.95db96a2f5182p-5, -0x1.8d5b75db86a09p-5, -0x1.8501b93474ca7p-5, -0x1.7ccde36af1a54p-5, -0x1.74bf77a3324a8p-5, -0x1.6cd5f98b082dep-5, -0x1.6510ed2a3678ap-5, -0x1.5d6fd722a3f3dp-5, -0x1.55f23c94e74edp-5, -0x1.4e97a34ab0505p-5, -0x1.475f91824768dp-5, -0x1.40498e2e9a50fp-5, -0x1.39552149ca969p-5, -0x1.3281d1d718177p-5, -0x1.2bcf29f8b2dabp-5, -0x1.253cb2e57d804p-5, -0x1.1ec9f75af5585p-5, -0x1.1876814035b57p-5, -0x1.1241dd99f3618p-5, -0x1.0c2b98a21e3d4p-5, -0x1.06333fc0ece8ep-5, -0x1.00586141fb9e2p-5, -0x1.f53517dc0ce1cp-6, -0x1.e9f29fc25a158p-6, -0x1.dee87b7711c0bp-6, -0x1.d415ce1b6910cp-6, -0x1.c979bc8cedae5p-6, -0x1.bf136d656d1ccp-6, -0x1.b4e2091c84bfap-6, -0x1.aae4b9d78482ep-6, -0x1.a11aab9dabbadp-6, -0x1.97830c516dcfcp-6, -0x1.8e1d0b9617fd5p-6, -0x1.84e7dd95a1d3dp-6, -0x1.7be2ae398b596p-6, -0x1.730cba69426fep-6, -0x1.6a6536ec89d51p-6, -0x1.61eb5cf956618p-6, -0x1.599e67c7d741cp-6, -0x1.517d9467e6111p-6, -0x1.49882215e3ca5p-6, -0x1.41bd51d1d2a98p-6, -0x1.3a1c66c375fc6p-6, -0x1.32a4a60f6bafp-6, -0x1.2b5556da7263bp-6, -0x1.242dc25c3326cp-6, -0x1.1d2d33d8796f8p-6, -0x1.1652f896fa657p-6, -0x1.0f9e6030bf87cp-6, -0x1.090ebbf842507p-6, -0x1.02a35f99a8423p-6, -0x1.f8b7419226dadp-7, -0x1.ec6daee39cd5cp-7, -0x1.e068bbe1b606dp-7, -0x1.d4a71e1ae0263p-7, -0x1.c92794d696585p-7, -0x1.bde8de8ec1c99p-7, -0x1.b2e9c4bd33236p-7, -0x1.a8290cba2ffbbp-7, -0x1.9da585abdd0f3p-7, -0x1.935e01e4bc134p-7, -0x1.895157d307681p-7, -0x1.7f7e61f09ab59p-7, -0x1.75e4010b0977p-7, -0x1.6c811730177b6p-7, -0x1.63548d06ec0eap-7, -0x1.5a5d4eacee93ap-7, -0x1.519a4cf1a776ap-7, -0x1.490a7cc84daf6p-7, -0x1.40acd76182898p-7, -0x1.38805a55e74eep-7, -0x1.30840771cabaep-7, -0x1.28b6e4c7c244cp-7, -0x1.2117fc9a9109fp-7, -0x1.19a65d283a29dp-7, -0x1.12611978c4481p-7, -0x1.0b4747cfff651p-7, -0x1.0458031b6af44p-7, -0x1.fb24d42705dd9p-8, -0x1.edeb3f18248d7p-8, -0x1.e10194705625cp-8, -0x1.d46629735d106p-8, -0x1.c8175b097762ap-8, -0x1.bc138dd2ff794p-8, -0x1.b0592de1387f4p-8, -0x1.a4e6ae1e135f4p-8, -0x1.99ba8aba760fcp-8, -0x1.8ed344453a1f2p-8, -0x1.842f6422fb2e2p-8, -0x1.79cd7a5421584p-8, -0x1.6fac1d85085a1p-8, -0x1.65c9ebb95a991p-8, -0x1.5c2588a9e6936p-8, -0x1.52bd9f30a9d5p-8, -0x1.4990e0628ec28p-8, -0x1.409e0393c85d3p-8, -0x1.37e3c69749d7dp-8, -0x1.2f60ed2aeca5ap-8, -0x1.27143fef49861p-8, -0x1.1efc91c857e9ep-8, -0x1.1718b058276d6p-8, -0x1.0f677db0cea24p-8, -0x1.07e7d7c9c921cp-8, -0x1.0098a476c366ep-8, -0x1.f2f19d834b3afp-9, -0x1.e50e8ee0a3609p-9, -0x1.d786077a8287ep-9, -0x1.ca55fcb447737p-9, -0x1.bd7c6dc22a90ap-9, -0x1.b0f3c08d96186p-9, -0x1.a4c466e5fb197p-9, -0x1.98e59302a49d6p-9, -0x1.8d556b1567f53p-9, -0x1.82121cef5852cp-9, -0x1.7719e10435919p-9, -0x1.6c6af71c99659p-9, -0x1.6203a8d1e769fp-9, -0x1.57e247ec18ffap-9, -0x1.4e0534242b4dap-9, -0x1.446ac0dcd0afp-9, -0x1.3b11688a86035p-9, -0x1.31f7986db7dd8p-9, -0x1.291bcbacfa2ddp-9, -0x1.207c84fc4ee05p-9, -0x1.18184ebe15ba5p-9, -0x1.0fedbe4d59533p-9, -0x1.07fb62802862ap-9, -0x1.003fe7addd34dp-9, -0x1.f173df75546b3p-10, -0x1.e2d05cf9d572ep-10, -0x1.d492a87a1babbp-10, -0x1.c6b84a39bb525p-10, -0x1.b93ebf1319ebbp-10, -0x1.ac23a09eb770fp-10, -0x1.9f6493439dae9p-10, -0x1.92ff453c81cfap-10, -0x1.86f174aced1bcp-10, -0x1.7b38eb5ead325p-10, -0x1.6fd386b762d45p-10, -0x1.64bf164e05642p-10, -0x1.59f99caa03eafp-10, -0x1.4f810ebd99f5p-10, -0x1.455373c1d6aa6p-10, -0x1.3b6edd496b7afp-10, -0x1.31d16d8cf844cp-10, -0x1.28794ab08ed7cp-10, -0x1.1f64aa485c4d3p-10, -0x1.1691cb09f081fp-10, -0x1.0dfefa2cab19bp-10, -0x1.05aa89d98c294p-10, -0x1.fb25b3b14012cp-11, -0x1.eb6ca6cfcace1p-11, -0x1.dc26d2abf8328p-11, -0x1.cd5130ac0d7c4p-11, -0x1.bee8cd053aaf1p-11, -0x1.b0eac664afa73p-11, -0x1.a3544d3798abdp-11, -0x1.9622a3ec5e0fap-11, -0x1.89531e4101c45p-11, -0x1.7ce31fd34ab7cp-11, -0x1.70d01e34f82c1p-11, -0x1.651799bb5c922p-11, -0x1.59b73386db031p-11, -0x1.4eac82f76007ap-11, -0x1.43f53dd65295bp-11, -0x1.398f25b578a87p-11, -0x1.2f7809d04d906p-11, -0x1.25adc7755dc8ep-11, -0x1.1c2e4855e666p-11, -0x1.12f784e8633b9p-11, -0x1.0a07816007805p-11, -0x1.015c4eb951952p-11, -0x1.f1e8145005bb2p-12, -0x1.e199b9475e41ap-12, -0x1.d1c9f5566ae8p-12, -0x1.c2754a9958b5ap-12, -0x1.b39848f2dfe12p-12, -0x1.a52faeb6894f8p-12, -0x1.97380bc224b63p-12, -0x1.89ae973136dfap-12, -0x1.7c8fe123a9549p-12, -0x1.6fd9059d96a1ep-12, -0x1.6387163507e4bp-12, -0x1.5797374ee6dfbp-12, -0x1.4c069fd0bb449p-12, -0x1.40d298adc4cbp-12, -0x1.35f87cb89732dp-12, -0x1.2b75b7e4577b6p-12, -0x1.2147c71eeda7ap-12, -0x1.176c37eb84c5bp-12, -0x1.0de0a7ac22e99p-12, -0x1.04a2c4c0a3f1dp-12, -0x1.f7609912ba6a4p-13, -0x1.e60e143cd881fp-13, -0x1.d549b048d79bcp-13, -0x1.c50f443701354p-13, -0x1.b55aa9991352ap-13, -0x1.a62827896a33ep-13, -0x1.9773abd1de45fp-13, -0x1.893985b303c1ap-13, -0x1.7b7612654358p-13, -0x1.6e25e8ff219e2p-13, -0x1.61452d031f012p-13, -0x1.54d0ec862fa94p-13, -0x1.48c5c0fd02002p-13, -0x1.3d207e0560f8dp-13, -0x1.31de0c2c4b664p-13, -0x1.26fb6cafe69c1p-13, -0x1.1c75b431513a7p-13, -0x1.124a0c9c79cd1p-13, -0x1.0875b40915288p-13, -0x1.fdebfbebd8de5p-14, -0x1.eb909cf1bcc29p-14, -0x1.d9d43ca07114dp-14, -0x1.c8b1cddc18162p-14, -0x1.b824e92290078p-14, -0x1.a828a20715ccdp-14, -0x1.98b74c24a4f8bp-14, -0x1.89d0194f12e21p-14, -0x1.7b6b42d80e607p-14, -0x1.6d85d3e396a9ep-14, -0x1.601bcb33c9a7p-14, -0x1.532944e7632a3p-14, -0x1.46aa179b9c059p-14, -0x1.3a9bbe3412aa9p-14, -0x1.2ef983df9f544p-14, -0x1.23c0560b4a14cp-14, -0x1.18ecda15945aep-14, -0x1.0e7bcec803563p-14, -0x1.046a0b5610a5cp-14, -0x1.f568ed50ed46fp-15, -0x1.e2b04693436adp-15, -0x1.d0a48190f18d8p-15, -0x1.bf3fc083b4492p-15, -0x1.ae7cb32c7e4fep-15, -0x1.9e55ff80914cp-15, -0x1.8ec6a4bec33b2p-15, -0x1.7fc962a70c64fp-15, -0x1.715a2ff79874bp-15, -0x1.63734e29c54dbp-15, -0x1.56115fa2dd6efp-15, -0x1.492f3d06c0838p-15, -0x1.3cc8b6f0dd7d5p-15, -0x1.30d9d37f208b7p-15, -0x1.255e8f13a766fp-15, -0x1.1a5308ede871dp-15, -0x1.0fb37bd42422bp-15, -0x1.057c4d3351c07p-15, -0x1.f753db21dc355p-16, -0x1.e471e8ac849fp-16, -0x1.d24c222403141p-16, -0x1.c0dc1b29f8171p-16, -0x1.b01b9a34d4622p-16, -0x1.a00497215f5bdp-16, -0x1.909139e4c7663p-16, -0x1.81bbec18091f2p-16, -0x1.737f008c1c8b2p-16, -0x1.65d5416c5cda2p-16, -0x1.58b99149f724bp-16, -0x1.4c26aace151f9p-16, -0x1.40186b4b5f2a7p-16, -0x1.3489a58f648ap-16, -0x1.2975c2ad7ca68p-16, -0x1.1ed879b673bdfp-16, -0x1.14ad7a1e3fc62p-16, -0x1.0af0bc7e18bcfp-16, -0x1.019e67b964f3ap-16, -0x1.f164b27b1767p-17, -0x1.e051e0f40a2cbp-17, -0x1.cffd1e5c6c03bp-17, -0x1.c05f68ea57787p-17, -0x1.b1720da122ae5p-17, -0x1.a32e91ef0994p-17, -0x1.958dcd3439673p-17, -0x1.888a8c7d3f104p-17, -0x1.7c1dbd5a81e69p-17, -0x1.7043543dbcdc2p-17, -0x1.64f55ca265db9p-17, -0x1.5a2d3746d6254p-17, -0x1.4fe65098e359ep-17, -0x1.461b9e8c85ae8p-17, -0x1.3cc83d92378a7p-17, -0x1.33e7728d760f3p-17, -0x1.2b74aa0c6b8b9p-17, -0x1.236b7f08484fep-17, -0x1.1bc3e903cef88p-17, -0x1.1484d0aea3435p-17, -0x1.0d9f389fb1b51p-17, -0x1.0712e4e94229ep-17, -0x1.00d6147154d7p-17, -0x1.f5ecde6c972f6p-18, -0x1.eac1796b324ep-18, -0x1.e02a9a3b563e2p-18, -0x1.d6233658c66f1p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.86f1bb3aa8defp-3, -0x1.9a9e92c0e30dcp-3, -0x1.ae4a7655ea4aap-3, -0x1.c1f3486967fb6p-3, -0x1.d596b4118cc95p-3, -0x1.e9323349dd644p-3, -0x1.fcc3152b9267bp-3, -0x1.082342039cc09p-2, -0x1.11dcc5a685db7p-2, -0x1.1b8c8e9b340dap-2, -0x1.25310c135e93ep-2, -0x1.2ec8a5debbb26p-2, -0x1.3851beca87107p-2, -0x1.41cab6d6b3bc3p-2, -0x1.4b31ed40aa9afp-2, -0x1.5485c2641856fp-2, -0x1.5dc49972cba2ep-2, -0x1.66ecda04fc30ep-2, -0x1.6ffcf183912f5p-2, -0x1.78f3546e31207p-2, -0x1.81ce7f7f04ffdp-2, -0x1.8a8cf8ae1c29ap-2, -0x1.932d501671d58p-2, -0x1.9bae20be8de9fp-2, -0x1.a40e1146b1b3ap-2, -0x1.ac4bd47e74488p-2, -0x1.b46629e3a2fbfp-2, -0x1.bc5bde0c275e2p-2, -0x1.c42bcafc9ba19p-2, -0x1.cbd4d86d266a4p-2, -0x1.d355fbfe160fep-2, -0x1.daae395daaffdp-2, -0x1.e1dca2605b198p-2, -0x1.e8e0570cc87b4p-2, -0x1.efb8859c957eap-2, -0x1.f6646a731ff94p-2, -0x1.fce3500b21169p-2, -0x1.019a476e0d008p-1, -0x1.04abc69c31fdbp-1, -0x1.07a5df9253d07p-1, -0x1.0a885314baaa4p-1, -0x1.0d52e88fcf0b3p-1, -0x1.10056dfbf6a33p-1, -0x1.129fb7bf64bb8p-1, -0x1.1521a08e1fe9p-1, -0x1.178b094876a41p-1, -0x1.19dbd8d819f9p-1, -0x1.1c13fc0c0cb64p-1, -0x1.1e3365739546cp-1, -0x1.203a0d385bc8ap-1, -0x1.2227f0f7d8375p-1, -0x1.23fd139c3217p-1, -0x1.25b97d34b2d51p-1, -0x1.275d3acde57a4p-1, -0x1.28e85e497dd8p-1, -0x1.2a5afe361e119p-1, -0x1.2bb535a710b59p-1, -0x1.2cf7240c0c84p-1, -0x1.2e20ed090f13bp-1, -0x1.2f32b84e63e2fp-1, -0x1.302cb170e342dp-1, -0x1.310f07c277696p-1, -0x1.31d9ee2af54b6p-1, -0x1.328d9b01520acp-1, -0x1.332a47e541114p-1, -0x1.33b0319943a3ap-1, -0x1.341f97dd31667p-1, -0x1.3478bd49434a6p-1, -0x1.34bbe729a5b5fp-1, -0x1.34e95d5a9884fp-1, -0x1.35016a2524c97p-1, -0x1.35045a1c68bdfp-1, -0x1.34f27bfb843ebp-1, -0x1.34cc2084227e8p-1, -0x1.34919a5dac2cdp-1, -0x1.34433df51ec1dp-1, -0x1.33e1615d8f50bp-1, -0x1.336c5c31586edp-1, -0x1.32e48773f9594p-1, -0x1.324a3d74a111p-1, -0x1.319dd9b16e392p-1, -0x1.30dfb8bb5e004p-1, -0x1.3010381af0e6p-1, -0x1.2f2fb6357efb5p-1, -0x1.2e3e923342e0bp-1, -0x1.2d3d2be614e8p-1, -0x1.2c2be3b0dba21p-1, -0x1.2b0b1a6fac90ap-1, -0x1.29db3160a0103p-1, -0x1.289c8a0d559f3p-1, -0x1.274f86352767ap-1, -0x1.25f487b80d7cdp-1, -0x1.248bf0822d0fap-1, -0x1.23162278147a9p-1, -0x1.21937f63a111fp-1, -0x1.200468e18e0e2p-1, -0x1.1e69404fa90d1p-1, -0x1.1cc266bbacd19p-1, -0x1.1b103cd2bd6c1p-1, -0x1.195322d186745p-1, -0x1.178b7874f75f9p-1, -0x1.15b99ceb9b4ebp-1, -0x1.13ddeec78c557p-1, -0x1.11f8cbf0fd9bfp-1, -0x1.100a91995a97ep-1, -0x1.0e139c2ef9d43p-1, -0x1.0c1447515f89p-1, -0x1.0a0cedc60dd26p-1, -0x1.07fde96de0895p-1, -0x1.05e7933af093ap-1, -0x1.03ca4326ff89cp-1, -0x1.01a6502a6358fp-1, -0x1.fef82066ea5ap-2, -0x1.fa97b03cf9a31p-2, -0x1.f62bf75c2f50fp-2, -0x1.f1b59b0831269p-2, -0x1.ed353e35b7ef3p-2, -0x1.e8ab817e23447p-2, -0x1.e4190313e7e8fp-2, -0x1.df7e5eb7de002p-2, -0x1.dadc2daf617f1p-2, -0x1.d63306bb45b95p-2, -0x1.d1837e0f93ad4p-2, -0x1.ccce254c0b969p-2, -0x1.c8138b7569564p-2, -0x1.c3543cef63c4fp-2, -0x1.be90c3775f764p-2, -0x1.b9c9a61fd4edp-2, -0x1.b4ff694c61032p-2, -0x1.b0328eae79cf3p-2, -0x1.ab639542c9574p-2, -0x1.a692f94f1dcd6p-2, -0x1.a1c13460f8905p-2, -0x1.9ceebd4ca745dp-2, -0x1.981c082cf20cep-2, -0x1.934986634bdeep-2, -0x1.8e77a6988b47p-2, -0x1.89a6d4be1f914p-2, -0x1.84d77a0fc03d2p-2, -0x1.8009fd1595d37p-2, -0x1.7b3ec1a6ceecap-2, -0x1.767628eca63fap-2, -0x1.71b09165d00aap-2, -0x1.6cee56ea4bc2bp-2, -0x1.682fd2af95335p-2, -0x1.63755b4d32db3p-2, -0x1.5ebf44c19b5d7p-2, -0x1.5a0de0776f649p-2, -0x1.55617d4b0390ap-2, -0x1.50ba679035297p-2, -0x1.4c18e91889958p-2, -0x1.477d493990aa5p-2, -0x1.42e7ccd388141p-2, -0x1.3e58b6583e127p-2, -0x1.39d045d22b9fap-2, -0x1.354eb8ebc8a5p-2, -0x1.30d44af70e5e3p-2, -0x1.2c6134f530453p-2, -0x1.27f5ad9e7d03ap-2, -0x1.2391e96a6aef5p-2, -0x1.1f361a97cbaaap-2, -0x1.1ae2713523d5ap-2, -0x1.16971b2922696p-2, -0x1.1254443b37bep-2, -0x1.0e1a161c4845ep-2, -0x1.09e8b86f7697ep-2, -0x1.05c050d305aa3p-2, -0x1.01a102e94d864p-2, -0x1.fb15e0c384083p-3, -0x1.f2fc720411d66p-3, -0x1.eaf5f55e39a7bp-3, -0x1.e302a2ecf36bap-3, -0x1.db22af2ea5663p-3, -0x1.d3564b179f9b8p-3, -0x1.cb9da42496593p-3, -0x1.c3f8e46d2f39ap-3, -0x1.bc6832b6855a7p-3, -0x1.b4ebb285acb26p-3, -0x1.ad83843235674p-3, -0x1.a62fc4f89d8bbp-3, -0x1.9ef08f0cbcb56p-3, -0x1.97c5f9ac1edc6p-3, -0x1.90b019304a1e2p-3, -0x1.89aeff20f127p-3, -0x1.82c2ba460ebc4p-3, -0x1.7beb56b9e4403p-3, -0x1.7528ddfadeb3p-3, -0x1.6e7b56fd541f6p-3, -0x1.67e2c63d2a27dp-3, -0x1.615f2dcf4ed7p-3, -0x1.5af08d73154a2p-3, -0x1.5496e2a35cb36p-3, -0x1.4e5228a79cf93p-3, -0x1.482258a4bbeabp-3, -0x1.420769adb83bep-3, -0x1.3c0150d42b2a7p-3, -0x1.3610013891d6ap-3, -0x1.30336c1a68df1p-3, -0x1.2a6b80e816baap-3, -0x1.24b82d4e9a418p-3, -0x1.1f195d490e1d2p-3, -0x1.198efb2feea51p-3, -0x1.1418efc82a141p-3, -0x1.0eb72251f8718p-3, -0x1.096978977a4e8p-3, -0x1.042fd6fb2018p-3, -0x1.fe14410ba428fp-4, -0x1.f3f06de9c3b0cp-4, -0x1.e9f3f58f7708ap-4, -0x1.e01e969ac2b65p-4, -0x1.d6700d634578cp-4, -0x1.cce81414392a5p-4, -0x1.c38662c5f4f8bp-4, -0x1.ba4aaf96f477fp-4, -0x1.b134aec463906p-4, -0x1.a84412c22bc28p-4, -0x1.9f788c5294584p-4, -0x1.96d1ca9d4def7p-4, -0x1.8e4f7b461d151p-4, -0x1.85f14a82f6bb2p-4, -0x1.7db6e331aa55fp-4, -0x1.759feeed0f3e3p-4, -0x1.6dac1621b7a23p-4, -0x1.65db002229e73p-4, -0x1.5e2c533aa04ep-4, -0x1.569fb4c4509cdp-4, -0x1.4f34c9383bce9p-4, -0x1.47eb344185c7cp-4, -0x1.40c298cf57b42p-4, -0x1.39ba99264c59ap-4, -0x1.32d2d6f169032p-4, -0x1.2c0af352a08d8p-4, -0x1.25628ef2e745cp-4, -0x1.1ed94a11d3059p-4, -0x1.186ec494cb99cp-4, -0x1.12229e15cd08ap-4, -0x1.0bf475f1bbe43p-4, -0x1.05e3eb564bd6bp-4, -0x1.ffe13a9ef99c2p-5, -0x1.f43455a95abcdp-5, -0x1.e8c065aa88972p-5, -0x1.dd84a889e8c6fp-5, -0x1.d2805c4f3228dp-5, -0x1.c7b2bf395f966p-5, -0x1.bd1b0fd4dc317p-5, -0x1.b2b88d10ef946p-5, -0x1.a88a765464f9fp-5, -0x1.9e900b917d8cp-5, -0x1.94c88d59223cfp-5, -0x1.8b333ced644d2p-5, -0x1.81cf5c53478e5p-5, -0x1.789c2e63df327p-5, -0x1.6f98f6dcbaadep-5, -0x1.66c4fa6face1ap-5, -0x1.5e1f7ed1e8476p-5, -0x1.55a7caca7bb9cp-5, -0x1.4d5d26402c567p-5, -0x1.453eda46b4357p-5, -0x1.3d4c312b66519p-5, -0x1.358476813b7f9p-5, -0x1.2de6f72c4e6fap-5, -0x1.2673016cc38eap-5, -0x1.1f27e4e927557p-5, -0x1.1804f2b840e92p-5, -0x1.11097d6a5e546p-5, -0x1.0a34d9121bc11p-5, -0x1.03865b4cad164p-5, -0x1.f9fab69350711p-6, -0x1.ed3263a4a5791p-6, -0x1.e0b272a0f9178p-6, -0x1.d4799ba9c73aep-6, -0x1.c8869a3a49f77p-6, -0x1.bcd82d328389bp-6, -0x1.b16d16e171b85p-6, -0x1.a6441d0e665ep-6, -0x1.9b5c0901a410bp-6, -0x1.90b3a78c24284p-6, -0x1.8649c90ea8a17p-6, -0x1.7c1d41800de46p-6, -0x1.722ce872e6fecp-6, -0x1.6877991a6aa5bp-6, -0x1.5efc324eb7557p-6, -0x1.55b996906ff63p-6, -0x1.4caeac0bb5f45p-6, -0x1.43da5c9a8d75ap-6, -0x1.3b3b95c6a826fp-6, -0x1.32d148ca9e60bp-6, -0x1.2a9a6a929cf5fp-6, -0x1.2295f3bc8be89p-6, -0x1.1ac2e097b1867p-6, -0x1.13203123d627ep-6, -0x1.0bace90fef9a6p-6, -0x1.04680fb85706cp-6, -0x1.faa160491b182p-7, -0x1.eccbb2092bca3p-7, -0x1.df4d395bc08ddp-7, -0x1.d224222fb2b9p-7, -0x1.c54e9fb02aaccp-7, -0x1.b8caec3c35238p-7, -0x1.ac97495dbc48fp-7, -0x1.a0b1ffbfc0011p-7, -0x1.95195f23fea33p-7, -0x1.89cbbe57fa722p-7, -0x1.7ec77b296f887p-7, -0x1.740afa5a34951p-7, -0x1.6994a793a3f7cp-7, -0x1.5f62f5597dc28p-7, -0x1.55745cfc4f48cp-7, -0x1.4bc75e8b6a18bp-7, -0x1.425a80c6769b6p-7, -0x1.392c510e95b1cp-7, -0x1.303b635727677p-7, -0x1.27865216376eap-7, -0x1.1f0bbe349452ep-7, -0x1.16ca4efd96975p-7, -0x1.0ec0b20e9ea5cp-7, -0x1.06ed9b464d381p-7, -0x1.fe9f8966f7b7fp-8, -0x1.efcbdd07f545fp-8, -0x1.e15dbde62d4e2p-8, -0x1.d352c46fdee2dp-8, -0x1.c5a894e73e67p-8, -0x1.b85cdf3e70b8p-8, -0x1.ab6d5ef340405p-8, -0x1.9ed7daea8e348p-8, -0x1.929a254b89448p-8, -0x1.86b21b5ab502bp-8, -0x1.7b1da554c172p-8, -0x1.6fdab64943e4cp-8, -0x1.64e74bf54f7dbp-8, -0x1.5a416e9df7bcp-8, -0x1.4fe730eac3d49p-8, -0x1.45d6afc017e8ep-8, -0x1.3c0e12199a956p-8, -0x1.328b88e49b0ffp-8, -0x1.294d4eda80d8p-8, -0x1.2051a85b45d15p-8, -0x1.1796e348045a4p-8, -0x1.0f1b56dd99eefp-8, -0x1.06dd638f6711bp-8, -0x1.fdb6e5c45ce48p-9, -0x1.ee27ee8e2e88cp-9, -0x1.df0ad7edb42d4p-9, -0x1.d05ca99a3204dp-9, -0x1.c21a7c47cf6b7p-9, -0x1.b441795f0f1fp-9, -0x1.a6cedab4b80efp-9, -0x1.99bfea422ec35p-9, -0x1.8d1201de50cep-9, -0x1.80c28af6caf56p-9, -0x1.74cefe49f8bbp-9, -0x1.6934e3a1548fcp-9, -0x1.5df1d18c72849p-9, -0x1.53036d1c953a5p-9, -0x1.486769a0dd11fp-9, -0x1.3e1b8863173c8p-9, -0x1.341d98652d3cap-9, -0x1.2a6b761f3b99fp-9, -0x1.21030b3e57a85p-9, -0x1.17e24e63fad13p-9, -0x1.0f0742e62561fp-9, -0x1.066ff890306edp-9, -0x1.fc3516c8ac351p-10, -0x1.ec0a46bbece98p-10, -0x1.dc5be8691d9a3p-10, -0x1.cd267a3eeafc7p-10, -0x1.be6691349dddfp-10, -0x1.b018d85486358p-10, -0x1.a23a1047ece41p-10, -0x1.94c70ee48563bp-10, -0x1.87bcbebb6747ap-10, -0x1.7b181ea9952cdp-10, -0x1.6ed6416a081a9p-10, -0x1.62f44d294733cp-10, -0x1.576f7b1a8f1a1p-10, -0x1.4c45170e87e32p-10, -0x1.41727f0b7c1bap-10, -0x1.36f522e730607p-10, -0x1.2cca83e237856p-10, -0x1.22f03444dd2eap-10, -0x1.1963d6fd983b4p-10, -0x1.10231f410f214p-10, -0x1.072bd02b98d7bp-10, -0x1.fcf778c8b77e5p-11, -0x1.ec218b83bb71fp-11, -0x1.dbd1b9e058c3bp-11, -0x1.cc040230fe873p-11, -0x1.bcb47f14c0c07p-11, -0x1.addf66cca669ap-11, -0x1.9f810a93f515cp-11, -0x1.9195d5fb724e8p-11, -0x1.841a4e4796d87p-11, -0x1.770b11d1ad1ep-11, -0x1.6a64d76bd75e5p-11, -0x1.5e246dc7f4d9ap-11, -0x1.5246bae162262p-11, -0x1.46c8bb698d05fp-11, -0x1.3ba7823755e2bp-11, -0x1.30e037b936275p-11, -0x1.2670196a2970dp-11, -0x1.1c5479494af2fp-11, -0x1.128abd5428312p-11, -0x1.09105f03baa2bp-11, -0x1.ffc5d59808da9p-12, -0x1.edffff3c91917p-12, -0x1.dcca9cdbaaeafp-12, -0x1.cc21336eb031dp-12, -0x1.bbff6a156d6d1p-12, -0x1.ac61092ec6c9dp-12, -0x1.9d41f9764391dp-12, -0x1.8e9e43266e45ap-12, -0x1.80720d1fff0b9p-12, -0x1.72b99c15b15f6p-12, -0x1.657151bcc5041p-12, -0x1.5895ac020e4a5p-12, -0x1.4c234443865c9p-12, -0x1.4016ce8e521b4p-12, -0x1.346d18e122b6ap-12, -0x1.29230a72eb116p-12, -0x1.1e35a2fdcee79p-12, -0x1.13a1fa0e415d7p-12, -0x1.09653e5641658p-12, -0x1.fef96a093af45p-13, -0x1.ebcb72406c372p-13, -0x1.d93b75ce4f4d3p-13, -0x1.c7447e639c056p-13, -0x1.b5e1bdb3212aep-13, -0x1.a50e8c46c9d8cp-13, -0x1.94c6685bf27ebp-13, -0x1.8504f4c6ed2b7p-13, -0x1.75c5f7dd8c943p-13, -0x1.67055a68a207ap-13, -0x1.58bf269c3e902p-13, -0x1.4aef8716a5416p-13, -0x1.3d92c5e5caa9fp-13, -0x1.30a54b933546p-13, -0x1.24239e3638a5ap-13, -0x1.180a608c52871p-13, -0x1.0c5651179a963p-13, -0x1.0104494322958p-13, -0x1.ec22791a496f4p-14, -0x1.d6f46f6dd5164p-14, -0x1.c278bff489abfp-14, -0x1.aea9e488f6538p-14, -0x1.9b8284ed408a4p-14, -0x1.88fd75562cc7fp-14, -0x1.7715b5008729cp-14, -0x1.65c66cd089423p-14, -0x1.550aedfb1991p-14, -0x1.44deb0b8aa72dp-14, -0x1.353d53018221ep-14, -0x1.2622975333368p-14, -0x1.178a637f18709p-14, -0x1.0970bf8199c81p-14, -0x1.f7a3a8c41219p-15, -0x1.dd53d635cadeep-15, -0x1.c3ead714a93d4p-15, -0x1.ab61b6d538917p-15, -0x1.93b1baa4e5985p-15, -0x1.7cd45f79de6fap-15, -0x1.66c35831ea41p-15, -0x1.51788bbfc1554p-15, -0x1.3cee1366a56e4p-15, -0x1.291e3903cead7p-15, -0x1.16037565632b7p-15, -0x1.03986eae96e4bp-15, -0x1.e3afed9150a3bp-16, -0x1.c17a13c0cf0e5p-16, -0x1.a08599dfdad7p-16, -0x1.80c918a87bb5fp-16, -0x1.623b74dcf5fc2p-16, -0x1.44d3dca0d4d9bp-16, -0x1.2889c4e7dfc45p-16, -0x1.0d54e6fa86f9ep-16, -0x1.e65a7c1e37426p-17, -0x1.b41609eeaadbap-17, -0x1.83cd67c31ceb5p-17, -0x1.5571fc5a6425ep-17, -0x1.28f5a0a3b32dp-17, -0x1.fc95376224caep-18, -0x1.aac73d9a5d39ap-18, -0x1.5c678366e255p-18, -0x1.115cfdd2d8ce4p-18, -0x1.931ec0e2b18b8p-19, -0x1.09ce2d1fcd028p-19, -0x1.0d34f29888e1bp-20, -0x1.2ae6802775382p-24, 0x1.b89b2ad47e076p-21, 0x1.c012da3e18112p-20, 0x1.4c796b33f983bp-19, 0x1.b39e558c5297bp-19, 0x1.0acf4ff69e4abp-18, 0x1.394fd5b8c1101p-18, 0x1.6562e82951d06p-18, 0x1.8f1a33aa86f73p-18, 0x1.b686e96d259cep-18, 0x1.dbb9c3ce1a7d7p-18, 0x1.fec30a89c7d9cp-18, 0x1.0fd94b6349db4p-17, 0x1.1f4beb7bedf1fp-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.4aa81e388d38dp-1, 0x1.4adb726692536p-1, 0x1.4b1075d5d12a3p-1, 0x1.4b46b78d1b63ap-1, 0x1.4b7dbced5cb26p-1, 0x1.4bb5032ddb36ep-1, 0x1.4bec00d0ba575p-1, 0x1.4c22270a27d3bp-1, 0x1.4c56e3161f6e8p-1, 0x1.4c899f79ebf77p-1, 0x1.4cb9c52f91c4fp-1, 0x1.4ce6bcba19d8cp-1, 0x1.4d0fef22568d8p-1, 0x1.4d34c6dc3d11fp-1, 0x1.4d54b09548ae8p-1, 0x1.4d6f1becacddfp-1, 0x1.4d837c16465a8p-1, 0x1.4d91486965b35p-1, 0x1.4d97fcdca156fp-1, 0x1.4d971a6feada3p-1, 0x1.4d8e278628c3p-1, 0x1.4d7cb02f8edbdp-1, 0x1.4d624665f3ecp-1, 0x1.4d3e823c4deaep-1, 0x1.4d11020278ee8p-1, 0x1.4cd96a5e5d07dp-1, 0x1.4c97665b799d1p-1, 0x1.4c4aa771c8264p-1, 0x1.4bf2e584e07e9p-1, 0x1.4b8fdedc321ddp-1, 0x1.4b215815177a9p-1, 0x1.4aa71c0f7f60ap-1, 0x1.4a20fbd5d0b9ap-1, 0x1.498ece80a5c88p-1, 0x1.48f07116ece86p-1, 0x1.4845c66af16c8p-1, 0x1.478eb6f4c12edp-1, 0x1.46cb30aa5ac4ep-1, 0x1.45fb26d60789p-1, 0x1.451e91eb37732p-1, 0x1.44356f5a2f03cp-1, 0x1.433fc162cf2aep-1, 0x1.423d8ee6b7991p-1, 0x1.412ee33afca66p-1, 0x1.4013cdf9a39c6p-1, 0x1.3eec62d314e2fp-1, 0x1.3db8b95faba3cp-1, 0x1.3c78ecf1864d9p-1, 0x1.3b2d1c66b8f26p-1, 0x1.39d569fbfcc59p-1, 0x1.3871fb1ff55adp-1, 0x1.3702f8472051fp-1, 0x1.35888cc081771p-1, 0x1.3402e68b1d988p-1, 0x1.3272362c4ca55p-1, 0x1.30d6ae86f35a4p-1, 0x1.2f3084b3ab876p-1, 0x1.2d7fefd9e0dcep-1, 0x1.2bc52909ec261p-1, 0x1.2a006b182f5c2p-1, 0x1.2831f2793616ep-1, 0x1.2659fd1edd6e4p-1, 0x1.2478ca5685486p-1, 0x1.228e9aa849897p-1, 0x1.209bafb746e27p-1, 0x1.1ea04c22e5bfap-1, 0x1.1c9cb3692d197p-1, 0x1.1a9129ca1b9c5p-1, 0x1.187df42c01aa2p-1, 0x1.16635800dbc31p-1, 0x1.14419b2caaebp-1, 0x1.121903ecc402ep-1, 0x1.0fe9d8c017668p-1, 0x1.0db4605067cb4p-1, 0x1.0b78e15c70608p-1, 0x1.0937a2a2f2458p-1, 0x1.06f0eacea8e56p-1, 0x1.04a500631c34ep-1, 0x1.025429aa50613p-1, 0x1.fffd594696ea9p-2, 0x1.fb499de2d8b1cp-2, 0x1.f68dab992259fp-2, 0x1.f1ca0be406433p-2, 0x1.ecff472c50da5p-2, 0x1.e82de4ade8859p-2, 0x1.e3566a5e1e908p-2, 0x1.de795cd36f54p-2, 0x1.d9973f2e9eb1ep-2, 0x1.d4b093052c7ddp-2, 0x1.cfc5d84d1878ap-2, 0x1.cad78d49e98cbp-2, 0x1.c5e62e7aecdd4p-2, 0x1.c0f2368aac36fp-2, 0x1.bbfc1e3f8817ep-2, 0x1.b7045c6d738c6p-2, 0x1.b20b65e8c8a3dp-2, 0x1.ad11ad7a2619ep-2, 0x1.a817a3d357f58p-2, 0x1.a31db78538347p-2, 0x1.9e2454f688652p-2, 0x1.992be65bb4592p-2, 0x1.9434d3af79facp-2, 0x1.8f3f82ac708eep-2, 0x1.8a4c56c75eab5p-2, 0x1.855bb12a62681p-2, 0x1.806df0b0dbf49p-2, 0x1.7b8371e419406p-2, 0x1.769c8ef8b200ap-2, 0x1.71b99fcc9cdd3p-2, 0x1.6cdaf9e5e3d4p-2, 0x1.6800f07202602p-2, 0x1.632bd445d928fp-2, 0x1.5e5bf3de388cp-2, 0x1.59919b60fcba9p-2, 0x1.54cd149eab944p-2, 0x1.500ea7149987ap-2, 0x1.4b5697ef89273p-2, 0x1.46a52a0ebfbbp-2, 0x1.41fa9e078d7dep-2, 0x1.3d5732293c53dp-2, 0x1.38bb228169d05p-2, 0x1.3426a8e0bcb7fp-2, 0x1.2f99fcdff7be2p-2, 0x1.2b1553e564398p-2, 0x1.2698e12a89cfap-2, 0x1.2224d5c238cf4p-2, 0x1.1db9609ed7643p-2, 0x1.1956ae98f52a4p-2, 0x1.14fcea761be14p-2, 0x1.10ac3cefdf76ep-2, 0x1.0c64ccbb1f51fp-2, 0x1.0826be8f7f086p-2, 0x1.03f2352f0b80bp-2, 0x1.ff8ea2dc19df1p-3, 0x1.f74c647600d4fp-3, 0x1.ef1de94d6a352p-3, 0x1.e70367d91313ep-3, 0x1.defd12f592f9dp-3, 0x1.d70b19f644733p-3, 0x1.cf2da8b66345dp-3, 0x1.c764e7aa4cf69p-3, 0x1.bfb0fbf0ed484p-3, 0x1.b81207653b726p-3, 0x1.b08828afda862p-3, 0x1.a9137b58cc4c7p-3, 0x1.a1b417d927a8fp-3, 0x1.9a6a13ace79dbp-3, 0x1.93358164b2648p-3, 0x1.8c1670b7a872ap-3, 0x1.850cee9530d94p-3, 0x1.7e190536b4ef3p-3, 0x1.773abc315e9e8p-3, 0x1.70721887ba8cp-3, 0x1.69bf1cbb4fb0ep-3, 0x1.6321c8de1f342p-3, 0x1.5c9a1aa40ac25p-3, 0x1.56280d741ebefp-3, 0x1.4fcb9a79c0509p-3, 0x1.4984b8b5b4b89p-3, 0x1.43535d0f0c85ap-3, 0x1.3d377a63dca28p-3, 0x1.37310199dde2ep-3, 0x1.313fe1aed1a0ep-3, 0x1.2b6407c8c5cf9p-3, 0x1.259d5f462526bp-3, 0x1.1febd1cd936a1p-3, 0x1.1a4f475d9e962p-3, 0x1.14c7a65c35ff6p-3, 0x1.0f54d3a5f02f2p-3, 0x1.09f6b29d14f06p-3, 0x1.04ad253878be2p-3, 0x1.fef01824272acp-4, 0x1.f4ae8ceac9866p-4, 0x1.ea9564db39489p-4, 0x1.e0a459a70a9b8p-4, 0x1.d6db22b66411ep-4, 0x1.cd397542e43b9p-4, 0x1.c3bf04720890bp-4, 0x1.ba6b816f106bdp-4, 0x1.b13e9b8478387p-4, 0x1.a8380034d80fbp-4, 0x1.9f575b535c4c4p-4, 0x1.969c571bb810fp-4, 0x1.8e069c498a8abp-4, 0x1.8595d22f5997dp-4, 0x1.7d499eccfce0ep-4, 0x1.7521a6e59043ap-4, 0x1.6d1d8e14e3006p-4, 0x1.653cf6e46a2dap-4, 0x1.5d7f82dfb1ddbp-4, 0x1.55e4d2a850d5cp-4, 0x1.4e6c86095df54p-4, 0x1.47163c0a68015p-4, 0x1.3fe19301f0b5ep-4, 0x1.38ce28a76c579p-4, 0x1.31db9a24c5c6p-4, 0x1.2b09842768a49p-4, 0x1.245782f0d3883p-4, 0x1.1dc53266b068bp-4, 0x1.17522e2277bacp-4, 0x1.10fe11809d51dp-4, 0x1.0ac877af4a077p-4, 0x1.04b0fbbca092bp-4, 0x1.fd6e71492553ap-5, 0x1.f1b592bc89b0fp-5, 0x1.e63691d208115p-5, 0x1.daf0a4b19b3e4p-5, 0x1.cfe301c4d7dbap-5, 0x1.c50cdfce5122cp-5, 0x1.ba6d76002addp-5, 0x1.b003fc11e10eap-5, 0x1.a5cfaa553fb0bp-5, 0x1.9bcfb9ca98345p-5, 0x1.920364342dc37p-5, 0x1.8869e428e6ae5p-5, 0x1.7f0275263a38ap-5, 0x1.75cc53a1687f6p-5, 0x1.6cc6bd17fbc38p-5, 0x1.63f0f01f94271p-5, 0x1.5b4a2c750703bp-5, 0x1.52d1b30ad016ep-5, 0x1.4a86c616d917fp-5, 0x1.4268a91fa0dcap-5, 0x1.3a76a108bbb88p-5, 0x1.32aff41eb7495p-5, 0x1.2b13ea2266f9p-5, 0x1.23a1cc5393398p-5, 0x1.1c58e57b1af5p-5, 0x1.153881f480dedp-5, 0x1.0e3fefb6edc8fp-5, 0x1.076e7e5da967dp-5, 0x1.00c37f300aec8p-5, 0x1.f47c8a51d69ccp-6, 0x1.e7bc49fb2694fp-6, 0x1.db44ea4862cf1p-6, 0x1.cf151bb3aa5f8p-6, 0x1.c32b924fe863p-6, 0x1.b78705d2feefcp-6, 0x1.ac26319f0ebb6p-6, 0x1.a107d4cae8d53p-6, 0x1.962ab229af61bp-6, 0x1.8b8d9051a9907p-6, 0x1.812f39a25120fp-6, 0x1.770e7c49a6d5ep-6, 0x1.6d2a2a48c1dffp-6, 0x1.63811977b71a7p-6, 0x1.5a122388cc22cp-6, 0x1.50dc260b02f59p-6, 0x1.47de026c024b2p-6, 0x1.3f169df963d75p-6, 0x1.3684e1e167067p-6, 0x1.2e27bb331378p-6, 0x1.25fe1addcca0fp-6, 0x1.1e06f5b05d9d4p-6, 0x1.164144578387fp-6, 0x1.0eac035bf4ef6p-6, 0x1.0746331ff696dp-6, 0x1.000ed7dc75128p-6, 0x1.f209f33b6844p-7, 0x1.e44f487f1545bp-7, 0x1.d6ebced28340bp-7, 0x1.c9ddad1210dafp-7, 0x1.bd23119e1bf03p-7, 0x1.b0ba325082e42p-7, 0x1.a4a14c716eff7p-7, 0x1.98d6a4ab85651p-7, 0x1.8d5886ff762eap-7, 0x1.822546b6f92acp-7, 0x1.773b3e573ddebp-7, 0x1.6c98cf92d0336p-7, 0x1.623c633b02b16p-7, 0x1.58246930e284dp-7, 0x1.4e4f5855b548ep-7, 0x1.44bbae7b105ebp-7, 0x1.3b67f052891abp-7, 0x1.3252a95d06a6fp-7, 0x1.297a6bd9bf082p-7, 0x1.20ddd0b4de48cp-7, 0x1.187b7775e451bp-7, 0x1.1052062db9031p-7, 0x1.0860296480f9p-7, 0x1.00a4940734ceep-7, 0x1.f23bfeaa0468cp-8, 0x1.e3965598f2b64p-8, 0x1.d555b8311cf82p-8, 0x1.c777bdfae28f5p-8, 0x1.b9fa0a8a812eap-8, 0x1.acda4d593c576p-8, 0x1.a016419e4b6b3p-8, 0x1.93abae279a6c3p-8, 0x1.8798653261a48p-8, 0x1.7bda44439cefdp-8, 0x1.706f34006b172p-8, 0x1.655528065a09ap-8, 0x1.5a8a1ec3a8f26p-8, 0x1.500c214f853e2p-8, 0x1.45d9434249989p-8, 0x1.3befa28dc513ap-8, 0x1.324d67558d915p-8, 0x1.28f0c3c76869ap-8, 0x1.1fd7f3f3ca25ap-8, 0x1.17013da673382p-8, 0x1.0e6af03f2fe5bp-8, 0x1.0613648abf04bp-8, 0x1.fbf1f937cc1ccp-9, 0x1.ec3447496352cp-9, 0x1.dcea9b9fdd8fp-9, 0x1.ce11f035b03cep-9, 0x1.bfa7505e01696p-9, 0x1.b1a7d878fdc85p-9, 0x1.a410b5a8afa2bp-9, 0x1.96df258665538p-9, 0x1.8a1075d8a510dp-9, 0x1.7da20449bd351p-9, 0x1.71913e1eefe83p-9, 0x1.65db9ff03b48cp-9, 0x1.5a7eb560d1c92p-9, 0x1.4f7818d8341d7p-9, 0x1.44c5733c03d01p-9, 0x1.3a647baa7f47ep-9, 0x1.3052f735be568p-9, 0x1.268eb89fa0aadp-9, 0x1.1d15a01681dbbp-9, 0x1.13e59af2a618dp-9, 0x1.0afca3746f447p-9, 0x1.0258c08355f4dp-9, 0x1.f3f00adb549ebp-10, 0x1.e3b123523737p-10, 0x1.d3f1212823a2ap-10, 0x1.c4ac726f9bc0bp-10, 0x1.b5df9c16b9031p-10, 0x1.a787396eaac69p-10, 0x1.999ffbb4dc00ep-10, 0x1.8c26a99db9846p-10, 0x1.7f181ee11c397p-10, 0x1.72714bc8574dep-10, 0x1.662f34bdf35c2p-10, 0x1.5a4ef1df06c73p-10, 0x1.4ecdae8e3c2ep-10, 0x1.43a8a90878549p-10, 0x1.38dd31fb32a55p-10, 0x1.2e68ac1c6305dp-10, 0x1.24488bc421244p-10, 0x1.1a7a5687e2194p-10, 0x1.10fba2d7545edp-10, 0x1.07ca179ae9df7p-10, 0x1.fdc6d7a7da6abp-11, 0x1.ec8acc7c891ebp-11, 0x1.dbdbb9e78d821p-11, 0x1.cbb56a22556ep-11, 0x1.bc13c4b91963p-11, 0x1.acf2cddb0ce91p-11, 0x1.9e4ea5adb05a8p-11, 0x1.902387a33bfdcp-11, 0x1.826dc9d421812p-11, 0x1.7529dc5b9a29p-11, 0x1.685448b73cbd9p-11, 0x1.5be9b12994ae9p-11, 0x1.4fe6d01fb1a6cp-11, 0x1.44487799a9b2ap-11, 0x1.390b9096068d7p-11, 0x1.2e2d1a8013b7bp-11, 0x1.23aa2aa10addap-11, 0x1.197feb9410249p-11, 0x1.0fab9cbcfbe3fp-11, 0x1.062a91c1e4f59p-11, 0x1.f9f4640ecdc31p-12, 0x1.e82ff05f32a1fp-12, 0x1.d702e33760e48p-12, 0x1.c6687be07d4e6p-12, 0x1.b65c1d381b293p-12, 0x1.a6d94cc30b225p-12, 0x1.97dbb1c53ba58p-12, 0x1.895f145e8c146p-12, 0x1.7b5f5cac909a6p-12, 0x1.6dd891f1262f8p-12, 0x1.60c6d9bdcf969p-12, 0x1.54267723c3036p-12, 0x1.47f3c9e898341p-12, 0x1.3c2b4dbf85df4p-12, 0x1.30c999871a335p-12, 0x1.25cb5e8b5ffdbp-12, 0x1.1b2d67cc57414p-12, 0x1.10ec9948b8adcp-12, 0x1.0705ef4ceba61p-12, 0x1.faecfb8c39a4ep-13, 0x1.e876df32cbda9p-13, 0x1.d6a40bfdea77bp-13, 0x1.c56f2fc2438e6p-13, 0x1.b4d3227eae56cp-13, 0x1.a4cae5299ff5cp-13, 0x1.9551a0860afbap-13, 0x1.8662a3ff8f7b2p-13, 0x1.77f9648dd07dcp-13, 0x1.6a117b9ede9d6p-13, 0x1.5ca6a6087fecdp-13, 0x1.4fb4c3004243ap-13, 0x1.4337d31a33e6p-13, 0x1.372bf74e1a015p-13, 0x1.2b8d700314c5ap-13, 0x1.20589c217cdefp-13, 0x1.1589f82aea18p-13, 0x1.0b1e1d583c6a5p-13, 0x1.0111c0bd845c4p-13, 0x1.eec364e77884p-14, 0x1.dc15b99036e38p-14, 0x1.ca1486e1f134ap-14, 0x1.b8ba059032064p-14, 0x1.a8009e14915b3p-14, 0x1.97e2e738477e4p-14, 0x1.885ba4a7e8367p-14, 0x1.7965c5910ee08p-14, 0x1.6afc6349be2d7p-14, 0x1.5d1ac0013e61bp-14, 0x1.4fbc457a482e8p-14, 0x1.42dc83ce41c86p-14, 0x1.367730395a292p-14, 0x1.2a8823ef520a5p-14, 0x1.1f0b5af8b97acp-14, 0x1.13fcf31876a73p-14, 0x1.09592ab95e29fp-14, 0x1.fe38bfc76238dp-15, 0x1.ea861e7499593p-15, 0x1.d793a5febe25dp-15, 0x1.c55ac440e511cp-15, 0x1.b3d51e9342c93p-15, 0x1.a2fc8fff87f1bp-15, 0x1.92cb2782e12fbp-15, 0x1.833b265d3a86ap-15, 0x1.7446fe6d7f19cp-15, 0x1.65e9509a6fb33p-15, 0x1.581ceb47cff05p-15, 0x1.4adcc8d78eec2p-15, 0x1.3e240e36a0d2ep-15, 0x1.31ee097539bfap-15, 0x1.2636306a20641p-15, 0x1.1af81f60d06bbp-15, 0x1.102f97d2184bdp-15, 0x1.05d87f26fc192p-15, 0x1.f7ddbb0b18a37p-16, 0x1.e4ddb94ed56e2p-16, 0x1.d2a98d7382188p-16, 0x1.c13a0a8cd04cfp-16, 0x1.b088404be74bfp-16, 0x1.a08d78f4e4dap-16, 0x1.9143376534aa3p-16, 0x1.82a3352a5962ap-16, 0x1.74a760a89ab94p-16, 0x1.6749db513afb5p-16, 0x1.5a84f7e7b52d5p-16, 0x1.4e5338d59c004p-16, 0x1.42af4e8ca651ap-16, 0x1.379415f68f236p-16, 0x1.2cfc96f24d1b2p-16, 0x1.22e402de4d3b2p-16, 0x1.1945b32f46e6dp-16, 0x1.101d281352bbcp-16, 0x1.07660720cf835p-16, 0x1.fe383421b44cp-17, 0x1.ee769b09c3781p-17, 0x1.df7f5fae34f66p-17, 0x1.d14adfeab9defp-17, 0x1.c3d1b88c826fp-17, 0x1.b70cc33008d4fp-17, 0x1.aaf51432071c4p-17, 0x1.9f83f8b2de4f2p-17, 0x1.94b2f4abe194p-17, 0x1.8a7bc115fc5cep-17, 0x1.80d84a211ae5dp-17, 0x1.77c2ad7bcefbdp-17, 0x1.6f3538aaab04cp-17, 0x1.672a676ecbd0fp-17, 0x1.5f9ce23b1c79cp-17, 0x1.58877cb7c14fap-17, 0x1.51e5345354cdep-17, 0x1.4bb12ee15a5e4p-17, 0x1.45e6b94590e0cp-17, 0x1.4081462ba74e6p-17, 0x1.3b7c6ccaeb1e4p-17, 0x1.36d3e7b59004bp-17, 0x1.328393b312ccdp-17, 0x1.2e876ea5746e6p-17, 0x1.2adb9678d3bd9p-17, 0x1.277c481d19c2p-17, 0x1.2465de8946b65p-17, 0x1.2194d1c824be9p-17, 0x1.1f05b60df7febp-17, 0x1.1cb53ad6dba6ep-17, 0x1.1aa02a0d7d8efp-17, 0x1.18c36739eee1ep-17, 0x1.171beeb831a63p-17, 0x1.15a6d4f64a11bp-17, 0x1.146145b97abc8p-17, 0x1.1348836a7de0fp-17, 0x1.1259e6685b3c4p-17, 0x1.1192dc61b61c1p-17, 0x1.10f0e7b445566p-17, 0x1.10719ed238368p-17, 0x1.1012abad58aafp-17, 0x1.0fd1cb27a665p-17, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      50, 0x1.9eb851eb851ecp+1, 0x1.7e6148a29a51dp+1, 0x1.1c7f2d13acd7ap+2, -0x1.9b2cd81bf102p-7, 
      {{
        {0x1.2666666666666p+1, 0x1.28ce703afb7e9p+1, 0x1.36c81e76bf784p-4, -0x1.0e7cee6d4b53ep-2, 0x1.940535dc5efbfp-2, 0x1.d2770cdaa932fp-4}, 
        {0x1.28ce703afb7e9p+1, 0x1.2b367a0f9096cp+1, 0x1.2303eaef6d4dcp-4, -0x1.fe58ad503fd7cp-3, 0x1.9a98f66d12c74p-2, -0x1.238a6808a9a57p-1}, 
        {0x1.2b367a0f9096cp+1, 0x1.2d9e83e425aeep+1, 0x1.10642a22c894dp-4, -0x1.e0b4ba462b645p-3, 0x1.79b633998fd2p-2, -0x1.6caad2b72d38ap-2}, 
        {0x1.2d9e83e425aeep+1, 0x1.30068db8bac71p+1, 0x1.fdae9ad18ac93p-5, -0x1.c5134baf93579p-3, 0x1.6524fd5267b0cp-2, -0x1.89415ca60da2ep-2}, 
        {0x1.30068db8bac71p+1, 0x1.326e978d4fdf4p+1, 0x1.dc9986a0d9d9fp-5, -0x1.ab0d53dd1db03p-3, 0x1.4ef7030da5cb5p-2, -0x1.64ad8558eb9d9p-2}, 
        {0x1.326e978d4fdf4p+1, 0x1.34d6a161e4f76p+1, 0x1.bd69dec45ab33p-5, -0x1.929e7c723dabep-3, 0x1.3ad927aabb523p-2, -0x1.528d9ed228327p-2}, 
        {0x1.34d6a161e4f76p+1, 0x1.373eab367a0f9p+1, 0x1.a002438d59ab8p-5, -0x1.7ba913074753p-3, 0x1.27c0fd0512f64p-2, -0x1.3c7f8fba8cebcp-2}, 
        {0x1.373eab367a0f9p+1, 0x1.39a6b50b0f27cp+1, 0x1.84471e1ff14f2p-5, -0x1.661747877389ep-3, 0x1.15e7426e29876p-2, -0x1.287d334a7d8dfp-2}, 
        {0x1.39a6b50b0f27cp+1, 0x1.3c0ebedfa43fep+1, 0x1.6a1e8fce6ed76p-5, -0x1.51d243f27244fp-3, 0x1.052e6e8a031cdp-2, -0x1.14f16e1985a26p-2}, 
        {0x1.3c0ebedfa43fep+1, 0x1.3e76c8b439581p+1, 0x1.517061abb0615p-5, -0x1.3ec48ef81d947p-3, 0x1.eb1fa22b5c1eap-3, -0x1.02469a6d75f95p-2}, 
        {0x1.3e76c8b439581p+1, 0x1.40ded288ce704p+1, 0x1.3a25f3e68964dp-5, -0x1.2cd969c81a4cbp-3, 0x1.cdfd747ccfa15p-3, -0x1.e0b92967bf3dep-3}, 
        {0x1.40ded288ce704p+1, 0x1.4346dc5d63886p+1, 0x1.242a2d4e627bbp-5, -0x1.1bfcf85bee749p-3, 0x1.b2e09474cf2fap-3, -0x1.be9321de58d27p-3}, 
        {0x1.4346dc5d63886p+1, 0x1.45aee631f8a09p+1, 0x1.0f696ad7d9282p-5, -0x1.0c1c3c12255c8p-3, 0x1.99b0c157c855cp-3, -0x1.9de100d2d6743p-3}, 
        {0x1.45aee631f8a09p+1, 0x1.4816f0068db8cp+1, 0x1.f7a2dd825519p-6, -0x1.fa4a1feb6c8c9p-4, 0x1.8259018051f2ap-3, -0x1.7ee878ff7707dp-3}, 
        {0x1.4816f0068db8cp+1, 0x1.4a7ef9db22d0ep+1, 0x1.d2a2a1098d63p-6, -0x1.de0c57c5d9e7ap-4, 0x1.6cc06cf493042p-3, -0x1.6162c7901f884p-3}, 
        {0x1.4a7ef9db22d0ep+1, 0x1.4ce703afb7e91p+1, 0x1.afb2d78d82fb7p-6, -0x1.c35e487b1b29dp-4, 0x1.58d21967d6761p-3, -0x1.458f5a6f37fcfp-3}, 
        {0x1.4ce703afb7e91p+1, 0x1.4f4f0d844d014p+1, 0x1.8eb6a08ecbf85p-6, -0x1.aa20cfe6b7765p-4, 0x1.467588bbe1bdap-3, -0x1.2b3d5f9967b8bp-3}, 
        {0x1.4f4f0d844d014p+1, 0x1.51b71758e2196p+1, 0x1.6f9361d848673p-6, -0x1.923688e689e13p-4, 0x1.3594fdb5ca2dp-3, -0x1.128a1e17cb45p-3}, 
        {0x1.51b71758e2196p+1, 0x1.541f212d77319p+1, 0x1.5230a6f6555aap-6, -0x1.7b83c0beb84f5p-4, 0x1.2619146252ae3p-3, -0x1.f6d10e98cc093p-4}, 
        {0x1.541f212d77319p+1, 0x1.56872b020c49cp+1, 0x1.3677ffed95d81p-6, -0x1.65ee7fe7fb5afp-4, 0x1.17eb2554493d3p-3, -0x1.cbbf8d972efccp-4}, 
        {0x1.56872b020c49cp+1, 0x1.58ef34d6a161ep+1, 0x1.1c54e028b586p-6, -0x1.515e86dd78e21p-4, 0x1.0af42197a6c9ap-3, -0x1.a3d0419c13e45p-4}, 
        {0x1.58ef34d6a161ep+1, 0x1.5b573eab367a1p+1, 0x1.03b47d4aae7ap-6, -0x1.3dbd4dce7b7bp-4, 0x1.fe3ad3c274989p-4, -0x1.7f1322017b27dp-4}, 
        {0x1.5b573eab367a1p+1, 0x1.5dbf487fcb924p+1, 0x1.d90b5c70118cap-7, -0x1.2af604c122c2ep-4, 0x1.e89fd744d45b7p-4, -0x1.5d7758a9752a5p-4}, 
        {0x1.5dbf487fcb924p+1, 0x1.6027525460aa6p+1, 0x1.ad7193d240905p-7, -0x1.18f59355eb9b2p-4, 0x1.d4ea1bb06aee4p-4, -0x1.3f10b6f6387b1p-4}, 
        {0x1.6027525460aa6p+1, 0x1.628f5c28f5c29p+1, 0x1.847f0ce6c86a7p-7, -0x1.07aa9996dee59p-4, 0x1.c2eb50dbab895p-4, -0x1.23d025118b756p-4}, 
        {0x1.628f5c28f5c29p+1, 0x1.64f765fd8adacp+1, 0x1.5e19af8040143p-7, -0x1.ee0ae27fc7bd8p-5, 0x1.b2760088a87b6p-4, -0x1.0bb201593e668p-4}, 
        {0x1.64f765fd8adacp+1, 0x1.675f6fd21ff2ep+1, 0x1.3a299d20776fdp-7, -0x1.cdf0515334129p-5, 0x1.a35ce8e7dfd7ap-4, -0x1.ed9b346f3d25p-5}, 
        {0x1.675f6fd21ff2ep+1, 0x1.69c779a6b50b1p+1, 0x1.1898ef15f5245p-7, -0x1.aeed104115848p-5, 0x1.957177a8524adp-4, -0x1.ca141626a6fe2p-5}, 
        {0x1.69c779a6b50b1p+1, 0x1.6c2f837b4a234p+1, 0x1.f2a6e7701c33cp-8, -0x1.90ec22edcfc99p-5, 0x1.888681e322ad5p-4, -0x1.ace2a0ffa62bp-5}, 
        {0x1.6c2f837b4a234p+1, 0x1.6e978d4fdf3b6p+1, 0x1.b88cd913c56b4p-8, -0x1.73dbf7f16f59cp-5, 0x1.7c6e4c8095d99p-4, -0x1.960e993703ea6p-5}, 
        {0x1.6e978d4fdf3b6p+1, 0x1.70ff972474539p+1, 0x1.82c09836c72a3p-8, -0x1.57ae705f46cf8p-5, 0x1.70fae45774d19p-4, -0x1.8587ac643929bp-5}, 
        {0x1.70ff972474539p+1, 0x1.7367a0f9096bcp+1, 0x1.5120e75bba551p-8, -0x1.3c58dd736dd35p-5, 0x1.65fecc134c7fcp-4, -0x1.7b5b3054726b3p-5}, 
        {0x1.7367a0f9096bcp+1, 0x1.75cfaacd9e83ep+1, 0x1.238de24af5312p-8, -0x1.21d3ffc33542bp-5, 0x1.5b4c261abf711p-4, -0x1.778087f75f79ep-5}, 
        {0x1.75cfaacd9e83ep+1, 0x1.7837b4a2339c1p+1, 0x1.f3d0f32538b82p-9, -0x1.081c0885415p-5, 0x1.50b553033bfb6p-4, -0x1.79fd09e53bfe8p-5}, 
        {0x1.7837b4a2339c1p+1, 0x1.7a9fbe76c8b44p+1, 0x1.a823dc7b5b081p-9, -0x1.de61315be2095p-6, 0x1.460c8cd878169p-4, -0x1.82cd70bac70c7p-5}, 
        {0x1.7a9fbe76c8b44p+1, 0x1.7d07c84b5dcc6p+1, 0x1.63d69ad41bbe8p-9, -0x1.ae2982fe08cbap-6, 0x1.3b2425436eaf9p-4, -0x1.91f32b78235p-5}, 
        {0x1.7d07c84b5dcc6p+1, 0x1.7f6fd21ff2e49p+1, 0x1.26a9d7e92c474p-9, -0x1.7f9e080fdb4ebp-6, 0x1.2fce6393a771cp-4, -0x1.a76eeb794fcd2p-5}, 
        {0x1.7f6fd21ff2e49p+1, 0x1.81d7dbf487fccp+1, 0x1.e0b788687efa7p-10, -0x1.52d2a3732883cp-6, 0x1.23dd8a1845803p-4, -0x1.c33fa448f7cd3p-5}, 
        {0x1.81d7dbf487fccp+1, 0x1.843fe5c91d14ep+1, 0x1.814e1c364d343p-10, -0x1.27e2189b35273p-6, 0x1.1723e2b279e78p-4, -0x1.e562866ca3016p-5}, 
        {0x1.843fe5c91d14ep+1, 0x1.86a7ef9db22d1p+1, 0x1.2e83b28fd24bp-10, -0x1.fddc12e8cc02dp-7, 0x1.0973cb8d84ab2p-4, -0x1.06efb88d5e407p-4}, 
        {0x1.86a7ef9db22d1p+1, 0x1.890ff97247454p+1, 0x1.cf72d87e98c4dp-11, -0x1.b03df2475d8d5p-7, 0x1.f53ed400d9a2ap-5, -0x1.1e58382db6e45p-4}, 
        {0x1.890ff97247454p+1, 0x1.8b780346dc5d6p+1, 0x1.5886626c84bdcp-11, -0x1.67489a2284d3fp-7, 0x1.d4f21cb81c0b5p-5, -0x1.38e40d5929323p-4}, 
        {0x1.8b780346dc5d6p+1, 0x1.8de00d1b71759p+1, 0x1.ed967f5e89102p-12, -0x1.236884ca8181cp-7, 0x1.b1a6d38892e4ep-5, -0x1.56baa5552d813p-4}, 
        {0x1.8de00d1b71759p+1, 0x1.904816f0068dcp+1, 0x1.514fecd65eb5ap-12, -0x1.ca30463ab4f7ap-8, 0x1.8afde8349f93dp-5, -0x1.77420037a23f2p-4}, 
        {0x1.904816f0068dcp+1, 0x1.92b020c49ba5ep+1, 0x1.b170cd179305cp-13, -0x1.59bdc774ad0ffp-8, 0x1.60a9a9832292ep-5, -0x1.9cbab06324609p-4}, 
        {0x1.92b020c49ba5ep+1, 0x1.95182a9930be1p+1, 0x1.ffe53448cdff2p-14, -0x1.ed53228d70444p-9, 0x1.321b5cae6dbb3p-5, -0x1.bebcd540d6e7ep-4}, 
        {0x1.95182a9930be1p+1, 0x1.9780346dc5d64p+1, 0x1.0b7709743a479p-14, -0x1.445429a03f4f4p-9, 0x1.ff6e048ad9abap-6, -0x1.fca6bd318b278p-4}, 
        {0x1.9780346dc5d64p+1, 0x1.99e83e425aee6p+1, 0x1.cca641e0fcf17p-16, -0x1.777faae94d2cbp-10, 0x1.8cad9297053afp-6, -0x1.e1680d641563bp-4}, 
        {0x1.99e83e425aee6p+1, 0x1.9c504816f0069p+1, 0x1.16a0b698657fdp-17, -0x1.530d25ce7b2fep-11, 0x1.20129de7a92aep-6, -0x1.90f181de2cb5fp-3}, 
        {0x1.9c504816f0069p+1, 0x1.9eb851eb851ecp+1, 0x1.1c6a7f3b08f9p-20, -0x1.9519b45e4cb86p-13, 0x1.acab132c61e02p-8, 0x1.4820a7a12f21cp-1}, 
      }}, 
      -0x1.8e946865789edp+5, 0x1.d9d52901c7499p+9
    }
  };
  // clang-format on
}
SkfData params_hyb_0_2_as_ga() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.6b85214c79415p+0, -0x1.551e26ff2878fp+0, -0x1.3a887df5e1d5bp+0, -0x1.1cb29b31b4939p+0, -0x1.f8f826225d30ep-1, -0x1.b562eba65ff33p-1, -0x1.7013b924ad177p-1, -0x1.2a4b99b38a834p-1, -0x1.ca3ca4bc6e54dp-2, -0x1.42e7a0a0fec08p-2, -0x1.802aa33fdb674p-3, -0x1.0bda21be2cdadp-4, 0x1.9c4949e57424ap-5, 0x1.4577ed17000cfp-3, 0x1.0a2a5006733d2p-2, 0x1.698b990e9591ep-2, 0x1.c0bf4930ea1c8p-2, 0x1.07e3405775845p-1, 0x1.2b5f0adeed49ap-1, 0x1.4aec997d9661p-1, 0x1.66ae4a8262fcap-1, 0x1.7ecd1c1dc03e8p-1, 0x1.93771252b81b4p-1, 0x1.a4dda2458ebcfp-1, 0x1.b334328caae32p-1, 0x1.beaf1596e7b2p-1, 0x1.c782b350a679cp-1, 0x1.cde2dd53986eap-1, 0x1.d20241b1c3354p-1, 0x1.d411f88e31916p-1, 0x1.d4412cc3acd59p-1, 0x1.d2bcdeffb0afdp-1, 0x1.cfafbfbd36e2ep-1, 0x1.cb421aa1271e2p-1, 0x1.c599ce3f70059p-1, 0x1.beda4d2d1d69p-1, 0x1.b724a69bdb6d4p-1, 0x1.ae979506d534p-1, 0x1.a54f917ce0448p-1, 0x1.9b66ea5bb2f49p-1, 0x1.90f5dc98d7ebdp-1, 0x1.8612aeb31f399p-1, 0x1.7ad1cc53a8124p-1, 0x1.6f45e1da8dc35p-1, 0x1.637ff78190174p-1, 0x1.578f8c077c713p-1, 0x1.4b82aec8a204ep-1, 0x1.3f6618f3e96e4p-1, 0x1.33454580a6fd3p-1, 0x1.272a87bd74b36p-1, 0x1.1b1f2095bc4e8p-1, 0x1.0f2b52c715448p-1, 0x1.0356762229abdp-1, 0x1.ef4e13801bdffp-2, 0x1.d84589fa45cf8p-2, 0x1.c19d4e44db09p-2, 0x1.ab5e0bb545cdbp-2, 0x1.958f35747cd53p-2, 0x1.8037204a08a5p-2, 0x1.6b5b1b6d73689p-2, 0x1.56ff88408ebadp-2, 0x1.4327f088f88b2p-2, 0x1.2fd71ab60c568p-2, 0x1.1d0ec9a13ce75p-2, 0x1.0ad14332d944fp-2, 0x1.f23dda6c9cb2fp-3, 0x1.cff02fb22ffbep-3, 0x1.aeb93a7bce911p-3, 0x1.8e97de58ff399p-3, 0x1.6f8a465b92bb7p-3, 0x1.518dfa3b3928bp-3, 0x1.349ff0b871c67p-3, 0x1.18bc9fbd3f43dp-3, 0x1.fbc01593d37f2p-4, 0x1.c80ba066594e3p-4, 0x1.96526b374b6cdp-4, 0x1.668a67d947f1ep-4, 0x1.38a905d72cc18p-4, 0x1.0ca348cf865dcp-4, 0x1.c4dbbb9103c19p-5, 0x1.73fa5e571e261p-5, 0x1.268aee2b8645fp-5, 0x1.b8eb3eec84e45p-6, 0x1.2b4506e6aa646p-6, 0x1.47e682f20398p-7, 0x1.1630801fc674cp-9, -0x1.61c8d462084ccp-8, -0x1.9bc9c2191f13ep-7, -0x1.3dc0d94a41ae4p-6, -0x1.a8347f437f06fp-6, -0x1.06b6ce30a2362p-5, -0x1.36cca7d60a438p-5, -0x1.6471fe6fa9053p-5, -0x1.8fbc9e698e735p-5, -0x1.b8c1e7a42fdc4p-5, -0x1.df96c71a64fa1p-5, -0x1.0227d8acdd3e8p-4, -0x1.13804eef9d6eap-4, -0x1.23de81b37ef43p-4, -0x1.334bea9af281p-4, -0x1.41d1c0ad89f74p-4, -0x1.4f78f7ed9fcdp-4, -0x1.5c4a4156509abp-4, -0x1.684e0b30ba371p-4, -0x1.738c81ad0bd84p-4, -0x1.7e0d8fac193cfp-4, -0x1.87d8dfa8a8522p-4, -0x1.90f5dcb3f0581p-4, -0x1.996bb37db42c8p-4, -0x1.a141536505325p-4, -0x1.a87d6f922e8eap-4, -0x1.af26801c396f1p-4, -0x1.b542c33cb356p-4, -0x1.bad83e93667eep-4, -0x1.bfecc07a3405ep-4, -0x1.c485e16729677p-4, -0x1.c8a90559f3bf3p-4, -0x1.cc5b5d50af261p-4, -0x1.cfa1e8c06502p-4, -0x1.d281770dd97edp-4, -0x1.d4fea9047a864p-4, -0x1.d71df24a05cf6p-4, -0x1.d8e39ace5b0b6p-4, -0x1.da53c037910f1p-4, -0x1.db72574a4369cp-4, -0x1.dc432d4e11616p-4, -0x1.dcc9e96db1c09p-4, -0x1.dd0a0e11bf90ap-4, -0x1.dd06fa34be7a1p-4, -0x1.dcc3eaaeffbffp-4, -0x1.dc43fb78c8a84p-4, -0x1.db8a28e1a7e23p-4, -0x1.da9950bc51072p-4, -0x1.d974337eaf0c5p-4, -0x1.d81d7556bc242p-4, -0x1.d6979f34e5da4p-4, -0x1.d4e51fcd135eep-4, -0x1.d3084c8f9fc69p-4, -0x1.d103629b55678p-4, -0x1.ced887a970745p-4, -0x1.cc89caf422365p-4, -0x1.ca192617decbap-4, -0x1.c7887def37d51p-4, -0x1.c4d9a368e89aap-4, -0x1.c20e54576c85p-4, -0x1.bf283c3961ee1p-4, -0x1.bc28f4fa2e4ep-4, -0x1.b911df6f0cb36p-4, -0x1.b5e4d1525f865p-4, -0x1.b2a2ff77275fdp-4, -0x1.af4dc3cc865dap-4, -0x1.abe669ff467d3p-4, -0x1.a86e300f525fp-4, -0x1.a4e646ddb7876p-4, -0x1.a14fd2b3c25d9p-4, -0x1.9dabebc3717c6p-4, -0x1.99fb9ea1d095p-4, -0x1.963fecbb8603ap-4, -0x1.9279ccc428f6fp-4, -0x1.8eaa2b20b3355p-4, -0x1.8ad1ea4d7dd9cp-4, -0x1.86f1e3402755p-4, -0x1.830ae5c5b4ad4p-4, -0x1.7f1db8dd35691p-4, -0x1.7b2b1b0f286c2p-4, -0x1.7733c2c1d2adfp-4, -0x1.73385e8aaf5fep-4, -0x1.6f39957d14999p-4, -0x1.6b380776241eap-4, -0x1.67344d661461ap-4, -0x1.632ef996db439p-4, -0x1.5f2897f040e5ep-4, -0x1.5b21ae395bf69p-4, -0x1.571abc577df8fp-4, -0x1.53143c8a90f42p-4, -0x1.4f0ea3a6ee9dap-4, -0x1.4b0a614cb8be4p-4, -0x1.4707e01cbdb9ep-4, -0x1.430785eafc397p-4, -0x1.3f09b3eed3292p-4, -0x1.3b0ec6f0f75fap-4, -0x1.371717774519ap-4, -0x1.3322f9ee87d9p-4, -0x1.2f32bed2522b5p-4, -0x1.2b46b2d303983p-4, -0x1.275f1efa160dfp-4, -0x1.237c48cccf78ep-4, -0x1.1f9e726d6f9f7p-4, -0x1.1bc5dabaf5002p-4, -0x1.17f2bd6f8e554p-4, -0x1.1425533dcc72p-4, -0x1.105dd1ecaa4a2p-4, -0x1.0c9c6c7278dcp-4, -0x1.08e1530ec0efp-4, -0x1.052cb36328603p-4, -0x1.017eb88b65024p-4, -0x1.fbaf1668953ccp-5, -0x1.f46ea363feaeep-5, -0x1.ed3c602ab65ebp-5, -0x1.e61890810454dp-5, -0x1.df0373f57658cp-5, -0x1.d7fd46071e586p-5, -0x1.d1063e4a6d726p-5, -0x1.ca1e908cb903p-5, -0x1.c3466cf6792dap-5, -0x1.bc7e002c4a63bp-5, -0x1.b5c5736ec0afdp-5, -0x1.af1cecb918617p-5, -0x1.a8848edecbd66p-5, -0x1.a1fc79a81e922p-5, -0x1.9b84c9eda2e98p-5, -0x1.951d99b2c8556p-5, -0x1.8ec7003f7a855p-5, -0x1.88811238dc186p-5, -0x1.824be1b924bbdp-5, -0x1.7c277e66b0668p-5, -0x1.7613f58a42dd9p-5, -0x1.70115224900ap-5, -0x1.6a1f9d0309d4ap-5, -0x1.643edcd405d34p-5, -0x1.5e6f163a36e8ep-5, -0x1.58b04bdf904f2p-5, -0x1.53027e878c0d4p-5, -0x1.4d65ad20e61b5p-5, -0x1.47d9d4d6cb7bdp-5, -0x1.425ef121889p-5, -0x1.3cf4fbd6b80d2p-5, -0x1.379bed38f6cd3p-5, -0x1.3253bc0727bc9p-5, -0x1.2d1c5d8b41354p-5, -0x1.27f5c5a8b2351p-5, -0x1.22dfe6ea5be98p-5, -0x1.1ddab29025e71p-5, -0x1.18e6189c2dc03p-5, -0x1.140207df9a6cap-5, -0x1.0f2e6e070eefep-5, -0x1.0a6b37a6c3fafp-5, -0x1.05b850464cc29p-5, -0x1.0115a26c0385fp-5, -0x1.f9062f504dd56p-6, -0x1.f001313f5112p-6, -0x1.e71c1a2d5b6bcp-6, -0x1.de56b7f5910d2p-6, -0x1.d5b0d6d9cc797p-6, -0x1.cd2a4195fd6fap-6, -0x1.c4c2c172f56edp-6, -0x1.bc7a1e58bd4fp-6, -0x1.b4501ee06a12ap-6, -0x1.ac44886577fc2p-6, -0x1.a4571f16b457ap-6, -0x1.9c87a606ad881p-6, -0x1.94d5df3bbaeeep-6, -0x1.8d418bbf916c2p-6, -0x1.85ca6bae755a6p-6, -0x1.7e703e45f86f2p-6, -0x1.7732c1f35ef08p-6, -0x1.7011b4619508bp-6, -0x1.690cd286c735ep-6, -0x1.6223d8b198eacp-6, -0x1.5b568295fce2cp-6, -0x1.54a48b59af2c5p-6, -0x1.4e0dada04f7e3p-6, -0x1.4791a39729ed3p-6, -0x1.41302700a20ap-6, -0x1.3ae8f13f43ed2p-6, -0x1.34bbbb6087da6p-6, -0x1.2ea83e273d3bp-6, -0x1.28ae3215a55eap-6, -0x1.22cd4f773f6c8p-6, -0x1.1d054e6a44d0ap-6, -0x1.1755e6e8dc795p-6, -0x1.11bed0d1fc74bp-6, -0x1.0c3fc3f20da11p-6, -0x1.06d8780b3ba06p-6, -0x1.0188a4dd8c803p-6, -0x1.f8a0045d4ee9cp-7, -0x1.ee5c8fa2cacc1p-7, -0x1.e4465b5a2c5e4p-7, -0x1.da5cd7891c923p-7, -0x1.d09f7479e49c7p-7, -0x1.c70da2c8902c7p-7, -0x1.bda6d36f9533p-7, -0x1.b46a77d40f4b6p-7, -0x1.ab5801d17c7ap-7, -0x1.a26ee3c51b9fdp-7, -0x1.99ae9098d4b6p-7, -0x1.91167bcdb3427p-7, -0x1.88a6198603e9ep-7, -0x1.805cde8f043b1p-7, -0x1.783a406a2e8ep-7, -0x1.703db5562bd03p-7, -0x1.6866b45758f33p-7, -0x1.60b4b53ffef31p-7, -0x1.592730b81e7ebp-7, -0x1.51bda044f108ep-7, -0x1.4a777e5008bd9p-7, -0x1.4354462e19112p-7, -0x1.3c53742577f52p-7, -0x1.357485743e816p-7, -0x1.2eb6f8562145dp-7, -0x1.281a4c09f8acbp-7, -0x1.219e00d6fca88p-7, -0x1.1b419811b4867p-7, -0x1.150494209f8acp-7, -0x1.0ee6788094158p-7, -0x1.08e6c9c8db5dcp-7, -0x1.03050daf0782bp-7, -0x1.fa8196150f7dep-8, -0x1.ef3313affad65p-8, -0x1.e41da6789fae8p-8, -0x1.d940630f0b2f1p-8, -0x1.ce9a606ebfcacp-8, -0x1.c42ab7f37b686p-8, -0x1.b9f0855d8b8dap-8, -0x1.afeb0e59c2d97p-8, -0x1.a61924eb03fe7p-8, -0x1.9c7a131381b24p-8, -0x1.930cfe4688899p-8, -0x1.89d10e6b1a515p-8, -0x1.80c56dddec171p-8, -0x1.77e949730a67p-8, -0x1.6f3bd07725fffp-8, -0x1.66bc34b08c164p-8, -0x1.5e69aa5fcf366p-8, -0x1.564368401f16ap-8, -0x1.4e48a787558a1p-8, -0x1.4678a3e5b893dp-8, -0x1.3ed29b85773c1p-8, -0x1.3755cf09dfbedp-8, -0x1.3001818e54255p-8, -0x1.28d4f8a4ffd24p-8, -0x1.21cf7c554e498p-8, -0x1.1af0571a27235p-8, -0x1.1436d5dff16cbp-8, -0x1.0da24802606bap-8, -0x1.0731ff4a09812p-8, -0x1.00e54fe9cb50cp-8, -0x1.f57720f802ccap-9, -0x1.e96833ff13f3cp-9, -0x1.dd9c8fa94265dp-9, -0x1.d212ef731da51p-9, -0x1.c6ca138e5cdb6p-9, -0x1.bbc0c0da9a4dep-9, -0x1.b0f5c0ddccf28p-9, -0x1.a667e1bc76066p-9, -0x1.9c15f6318a864p-9, -0x1.91fed586233afp-9, -0x1.88215b88e6f79p-9, -0x1.7e7c6885446e6p-9, -0x1.750ee13a6c678p-9, -0x1.6bd7aed221c04p-9, -0x1.62d5bed74f6dbp-9, -0x1.5a08032c75f74p-9, -0x1.516d7201ec786p-9, -0x1.490505cbf9199p-9, -0x1.40cdbd38bf50ep-9, -0x1.38c69b2611fdp-9, -0x1.30eea6971c676p-9, -0x1.2944eaa9efb0fp-9, -0x1.21c8768cf3892p-9, -0x1.1a785d743abfp-9, -0x1.1353b68ec02d5p-9, -0x1.0c599cfb8d226p-9, -0x1.05892fbec9d33p-9, -0x1.fdc3236d77959p-10, -0x1.f0c3d3216b6dbp-10, -0x1.e412c37be940dp-10, -0x1.d7ae50d0e4e4ap-10, -0x1.cb94decf595a8p-10, -0x1.bfc4d86abe93p-10, -0x1.b43cafc47ab02p-10, -0x1.a8fade1537222p-10, -0x1.9dfde39634a3ap-10, -0x1.9344476a9cf5ep-10, -0x1.88cc9788c4d97p-10, -0x1.7e9568a375e84p-10, -0x1.749d56133ab0cp-10, -0x1.6ae301bfa9b04p-10, -0x1.61651408bef0ap-10, -0x1.58223bb03c672p-10, -0x1.4f192dc313553p-10, -0x1.4648a582e42e1p-10, -0x1.3daf644f8f5f4p-10, -0x1.354c3190d27c4p-10, -0x1.2d1ddaa002afcp-10, -0x1.252332b1e352ep-10, -0x1.1d5b12c088e6cp-10, -0x1.15c459756a378p-10, -0x1.0e5deb1388047p-10, -0x1.0726b161b30d7p-10, -0x1.001d9b94f9a62p-10, -0x1.f2833c7673c04p-11, -0x1.e523664bb0d3p-11, -0x1.d819b2a941b52p-11, -0x1.cb6429c19ee41p-11, -0x1.bf00ddd08b6e1p-11, -0x1.b2edeaf1db6fbp-11, -0x1.a72976f893f6ap-11, -0x1.9bb1b1466c2bcp-11, -0x1.9084d2a3b070fp-11, -0x1.85a11d178906fp-11, -0x1.7b04dbc0a7d4cp-11, -0x1.70ae62ae5f57cp-11, -0x1.669c0eba22f68p-11, -0x1.5ccc456173dc8p-11, -0x1.533d74a03d4d1p-11, -0x1.49ee12cb9e663p-11, -0x1.40dc9e6d247a4p-11, -0x1.38079e1e78417p-11, -0x1.2f6da0657c156p-11, -0x1.270d3b90df44ap-11, -0x1.1ee50d9522e41p-11, -0x1.16f3bbea14651p-11, -0x1.0f37f368bc5cbp-11, -0x1.07b06829c17dp-11, -0x1.005bd564406bep-11, -0x1.f271fa9a31d83p-12, -0x1.e48d51ed57ad3p-12, -0x1.d70750622232fp-12, -0x1.c9dda2d579013p-12, -0x1.bd0e03232eb98p-12, -0x1.b09637e916dcep-12, -0x1.a474144af6f57p-12, -0x1.98a577b75de1cp-12, -0x1.8d284dad52d96p-12, -0x1.81fa8d82e0381p-12, -0x1.771a3a2c74345p-12, -0x1.6c85620518dc4p-12, -0x1.623a1e977c22bp-12, -0x1.58369467c7175p-12, -0x1.4e78f2be40ae8p-12, -0x1.44ff7372bc192p-12, -0x1.3bc85ab8ca919p-12, -0x1.32d1f6ecb26a1p-12, -0x1.2a1aa06121e8bp-12, -0x1.21a0b92da60acp-12, -0x1.1962acfdd3a01p-12, -0x1.115ef0e12fcd7p-12, -0x1.0994031bc50c4p-12, -0x1.02006af7705c1p-12, -0x1.f545712bb32f6p-13, -0x1.e6f3098635f54p-13, -0x1.d906e19223f8ep-13, -0x1.cb7e4c86ad9cap-13, -0x1.be56ade7ba5c8p-13, -0x1.b18d79306f9dep-13, -0x1.a520317ef90dbp-13, -0x1.990c69419541p-13, -0x1.8d4fc1e4e13p-13, -0x1.81e7eb835b582p-13, -0x1.76d2a49623eadp-13, -0x1.6c0db9a6f022p-13, -0x1.6197050334548p-13, -0x1.576c6e7079fa2p-13, -0x1.4d8beae1f1d7cp-13, -0x1.43f37c2f2ae6cp-13, -0x1.3aa130cbf613dp-13, -0x1.31932381853e2p-13, -0x1.28c77b289fa2cp-13, -0x1.203c6a6513554p-13, -0x1.17f02f6244401p-13, -0x1.0fe11390e8e25p-13, -0x1.080d6b65ecb01p-13, -0x1.0073961a78fbcp-13, -0x1.f223fada3fcfbp-14, -0x1.e3ce2ac862f72p-14, -0x1.d5e2b8225c7edp-14, -0x1.c85eb2aac2916p-14, -0x1.bb3f3d4f26979p-14, -0x1.ae818db5cdd63p-14, -0x1.a222ebcd8e67bp-14, -0x1.9620b15ffb9f7p-14, -0x1.8a7849a5b94e7p-14, -0x1.7f2730dcfda82p-14, -0x1.742af3e24c0ccp-14, -0x1.69812fcb50f0cp-14, -0x1.5f279183dff71p-14, -0x1.551bd56d19488p-14, -0x1.4b5bc6fe9d4cdp-14, -0x1.41e54069de437p-14, -0x1.38b62a3f7b322p-14, -0x1.2fcc7b16a2e72p-14, -0x1.272637367a31bp-14, -0x1.1ec1704179f6ep-14, -0x1.169c44e2c2426p-14, -0x1.0eb4e07d580c9p-14, -0x1.07097add4964cp-14, -0x1.ff30afd54dc36p-15, -0x1.f0bf8ebcbde91p-15, -0x1.e2bc48f19f692p-15, -0x1.d523ab7454ad3p-15, -0x1.c7f29939158b3p-15, -0x1.bb260a9f7ca1cp-15, -0x1.aebb0ced61f0bp-15, -0x1.a2aec1ccee24ep-15, -0x1.96fe5ecdce72ep-15, -0x1.8ba72ce97fffcp-15, -0x1.80a6880a90f8ap-15, -0x1.75f9de96c7242p-15, -0x1.6b9eb0fc23a28p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.253324d3596dbp+0, -0x1.34538a1609694p+0, -0x1.40246b5551889p+0, -0x1.48ccc5cbb2ca4p+0, -0x1.4e7dc95a497aep+0, -0x1.516f9fc3e5529p+0, -0x1.51deba8edd459p+0, -0x1.50099cb0eaebcp+0, -0x1.4c2f15b990f96p+0, -0x1.468cdf9464a36p+0, -0x1.3f5e91a05c0fdp+0, -0x1.36dcdbd8e4495p+0, -0x1.2d3cfe1a15dbdp+0, -0x1.22b071b8d256bp+0, -0x1.1764ba525224bp+0, -0x1.0b83559a7272p+0, -0x1.fe6389c714359p-1, -0x1.e5235301affe7p-1, -0x1.cb81db3eecdeap-1, -0x1.b1b3ed521962bp-1, -0x1.97e7be1cccf22p-1, -0x1.7e45693596976p-1, -0x1.64ef687225f26p-1, -0x1.4c0314a9e5f33p-1, -0x1.3399203b25614p-1, -0x1.1bc60b9075c79p-1, -0x1.049a945da2d6p-1, -0x1.dc483cf35cfb8p-2, -0x1.b0da2b9169c7bp-2, -0x1.86fa915b331eep-2, -0x1.5eb4758e60eedp-2, -0x1.380ee0562c0bep-2, -0x1.130d630e480bep-2, -0x1.df612635d2adfp-3, -0x1.9becf03a4e346p-3, -0x1.5bb5dce8e893cp-3, -0x1.1eaffe1157444p-3, -0x1.c998b4c6b1363p-4, -0x1.5bf2eddf53c58p-4, -0x1.e88f3fd836bc9p-5, -0x1.24d90b279a7ep-5, -0x1.b1a6a7a5b725ap-7, 0x1.0470f68cbd2afp-7, 0x1.c831668b316c9p-6, 0x1.7ced7b914814ap-5, 0x1.05fea45f5b565p-4, 0x1.48d5848845696p-4, 0x1.872ca77e3cfddp-4, 0x1.c134e81e0439ap-4, 0x1.f71e7cc076a02p-4, 0x1.148c652943cefp-3, 0x1.2ba91fc33be51p-3, 0x1.40fc1b7b2af5cp-3, 0x1.549b6f97a2a27p-3, 0x1.669c93e959338p-3, 0x1.7714599717ae6p-3, 0x1.8616e5e43c3c8p-3, 0x1.93b7aeb531f2p-3, 0x1.a0097894677fp-3, 0x1.ab1e55faf81d2p-3, 0x1.b507a7a655fadp-3, 0x1.bdd61dce7733dp-3, 0x1.c599ba1b41d74p-3, 0x1.cc61ccdb6e45dp-3, 0x1.d23d0f55c0512p-3, 0x1.d73982d10be36p-3, 0x1.db648db1535b6p-3, 0x1.decaf985b1a06p-3, 0x1.e178f78cfadaap-3, 0x1.e37a255f72ccp-3, 0x1.e4d991b161c51p-3, 0x1.e5a1c12483461p-3, 0x1.e5dcb3205ae13p-3, 0x1.e593e6aacf7bbp-3, 0x1.e4d05f3bbc2b3p-3, 0x1.e39aa986ebd8ep-3, 0x1.e1fae0387e094p-3, 0x1.dff8b0a015adbp-3, 0x1.dd9b5f476a4dep-3, 0x1.dae9cc710c23ap-3, 0x1.d7ea787c96321p-3, 0x1.d4a3882df20d1p-3, 0x1.d11ac8d5c5227p-3, 0x1.cd55b459bcc97p-3, 0x1.c959751ba5c66p-3, 0x1.c52ae9beaf2cap-3, 0x1.c0cea8ca6d4e3p-3, 0x1.bc49042b81751p-3, 0x1.b79e0c921a4b2p-3, 0x1.b2d194aea4e74p-3, 0x1.ade7344d6493dp-3, 0x1.a8e24b51b1f07p-3, 0x1.a3c60491aaddfp-3, 0x1.9e95589331bebp-3, 0x1.9953102b08fep-3, 0x1.9401c6fecb81cp-3, 0x1.8ea3edea88cffp-3, 0x1.893bcd4acd761p-3, 0x1.83cb872bdd9b5p-3, 0x1.7e55195ef69b6p-3, 0x1.78da5f766ba5fp-3, 0x1.735d14a973222p-3, 0x1.6dded5a08b4aap-3, 0x1.6861222b43d65p-3, 0x1.62e55ee054e5fp-3, 0x1.5d6cd6a8d1eb3p-3, 0x1.57f8bc374c85cp-3, 0x1.528a2b6bca473p-3, 0x1.4d222aa551841p-3, 0x1.47c1ac01f2c74p-3, 0x1.42698e8e0dc65p-3, 0x1.3d1a9f63aea07p-3, 0x1.37d59abacb124p-3, 0x1.329b2ceb09642p-3, 0x1.2d6bf35fdb602p-3, 0x1.28487d7f865f7p-3, 0x1.23314d85b4fecp-3, 0x1.1e26d9522d4bap-3, 0x1.19298b2c2af3fp-3, 0x1.1439c27af5a51p-3, 0x1.0f57d4742b3a5p-3, 0x1.0a840cc046122p-3, 0x1.05beae15db8fep-3, 0x1.0107f2cc1a406p-3, 0x1.f8c01ac9eead9p-4, 0x1.ef8e521efbb74p-4, 0x1.e67ad44578e95p-4, 0x1.dd85dd2358c09p-4, 0x1.d4af9cb0e4ca8p-4, 0x1.cbf837c6c4c79p-4, 0x1.c35fc8e00f004p-4, 0x1.bae660d1218f3p-4, 0x1.b28c0773c1872p-4, 0x1.aa50bc492a99dp-4, 0x1.a2347712835bep-4, 0x1.9a3728604d703p-4, 0x1.9258ba1941243p-4, 0x1.8a990ff92fa5ep-4, 0x1.82f8080838888p-4, 0x1.7b757b0ae8a65p-4, 0x1.74113ceb99a27p-4, 0x1.6ccb1d1d7a891p-4, 0x1.65a2e6f99ecc7p-4, 0x1.5e9862166ab1cp-4, 0x1.57ab5299abd2cp-4, 0x1.50db7985abfc1p-4, 0x1.4a28950181419p-4, 0x1.439260223335ap-4, 0x1.3d18955feff46p-4, 0x1.36baeb0abc38bp-4, 0x1.30791657ac41bp-4, 0x1.2a52cacc0c612p-4, 0x1.2447ba6e35fd6p-4, 0x1.1e5795f338852p-4, 0x1.18820ce986e2bp-4, 0x1.12c6cde0d72d3p-4, 0x1.0d25868f6144dp-4, 0x1.079de3f4a4a5ep-4, 0x1.022f9279dd327p-4, 0x1.f9b47c2093ecep-5, 0x1.ef3b249ad0c14p-5, 0x1.e4f2750a8c7cp-5, 0x1.dad9c3c6057f1p-5, 0x1.d0f066ff40fadp-5, 0x1.c735b4ee7c379p-5, 0x1.bda903f99e256p-5, 0x1.b449aad8da755p-5, 0x1.ab1700b8aa1efp-5, 0x1.a2105d5948d1bp-5, 0x1.9935192bd594ap-5, 0x1.90848d6d439dcp-5, 0x1.87fe143f32993p-5, 0x1.7fa108bed56f1p-5, 0x1.776cc71a03acfp-5, 0x1.6f60aca29104fp-5, 0x1.677c17e004ebep-5, 0x1.5fbe689fce7bep-5, 0x1.58270004095e2p-5, 0x1.50b54090ed109p-5, 0x1.49688e38f8d37p-5, 0x1.42404e67f539bp-5, 0x1.3b3be80cd96fap-5, 0x1.345ac3a2a8f8fp-5, 0x1.2d9c4b385c8d6p-5, 0x1.26ffea77e1af2p-5, 0x1.20850eac4563ep-5, 0x1.1a2b26c713ea5p-5, 0x1.13f1a36500121p-5, 0x1.0dd7f6d1d6c84p-5, 0x1.07dd950bd55ecp-5, 0x1.0201f3c661d86p-5, 0x1.f88914d87346bp-6, 0x1.ed49a442348c3p-6, 0x1.e2448b85dfea9p-6, 0x1.d778c3d51d4bp-6, 0x1.cce549d808c08p-6, 0x1.c2891dad084f5p-6, 0x1.b86342e7ee434p-6, 0x1.ae72c0906a326p-6, 0x1.a4b6a11fde7b6p-6, 0x1.9b2df27ea149cp-6, 0x1.91d7c600ae0cap-6, 0x1.88b33061e21d9p-6, 0x1.7fbf49c1b9555p-6, 0x1.76fb2d9ea497ap-6, 0x1.6e65fad0fc729p-6, 0x1.65fed3859139bp-6, 0x1.5dc4dd37efd5fp-6, 0x1.55b740ac50bbap-6, 0x1.4dd529e94136cp-6, 0x1.461dc83110e68p-6, 0x1.3e904dfafd138p-6, 0x1.372bf0ec2522bp-6, 0x1.2fefe9d05584p-6, 0x1.28db74929bbd6p-6, 0x1.21edd035ba17bp-6, 0x1.1b263ecc705e1p-6, 0x1.14840571a9e0dp-6, 0x1.0e066c408a64bp-6, 0x1.07acbe4c61bd6p-6, 0x1.017649988d1c1p-6, 0x1.f6c4be207caa3p-7, 0x1.eae0a4fc76cebp-7, 0x1.df3ef5090eff2p-7, 0x1.d3de612809e43p-7, 0x1.c8bda1c81eedep-7, 0x1.bddb74d41917ep-7, 0x1.b3369da1f374ap-7, 0x1.a8cde4e1e7a64p-7, 0x1.9ea0188d835ffp-7, 0x1.94ac0bd6b8472p-7, 0x1.8af09716f00cfp-7, 0x1.816c97be2a61fp-7, 0x1.781ef0421f226p-7, 0x1.6f06880d6bc56p-7, 0x1.66224b6ed3174p-7, 0x1.5d712b8886ce2p-7, 0x1.54f21e3f87a31p-7, 0x1.4ca41e2b0ddd2p-7, 0x1.44862a84174bcp-7, 0x1.3c974714fb2aap-7, 0x1.34d67c291f845p-7, 0x1.2d42d67cc3d55p-7, 0x1.25db672ce78c7p-7, 0x1.1e9f43a74a4d4p-7, 0x1.178d859a8abbcp-7, 0x1.10a54ae6614aap-7, 0x1.09e5b58bfab39p-7, 0x1.034deb9e70b1fp-7, 0x1.f9ba2e66c79ffp-8, 0x1.ed24cca76addcp-8, 0x1.e0da15d8c8039p-8, 0x1.d4d8757f106edp-8, 0x1.c91e5eaaec562p-8, 0x1.bdaa4bdbff514p-8, 0x1.b27abee3b8982p-8, 0x1.a78e40c86717dp-8, 0x1.9ce361a8966eap-8, 0x1.9278b89eb79f5p-8, 0x1.884ce3a50de2fp-8, 0x1.7e5e8779ebfa5p-8, 0x1.74ac4f84350dbp-8, 0x1.6b34edb82d7d2p-8, 0x1.61f71a7c92e6ep-8, 0x1.58f19490014dep-8, 0x1.502320eea3674p-8, 0x1.478a8ab82e1p-8, 0x1.3f26a31626e8fp-8, 0x1.36f64122773b6p-8, 0x1.2ef841ce4b6c5p-8, 0x1.272b87c93cc03p-8, 0x1.1f8efb68c7f4ep-8, 0x1.18218a900f045p-8, 0x1.10e22897e69dfp-8, 0x1.09cfce372f9fap-8, 0x1.02e9796b7b269p-8, 0x1.f85c5ac3f41d4p-9, 0x1.eb39e4c16fc41p-9, 0x1.de69ab603deebp-9, 0x1.d1e9d30991aeep-9, 0x1.c5b889d32e84ap-9, 0x1.b9d407542e759p-9, 0x1.ae3a8c7a5b132p-9, 0x1.a2ea63601a8e5p-9, 0x1.97e1df22e868bp-9, 0x1.8d1f5bba6503cp-9, 0x1.82a13dcff03cep-9, 0x1.7865f296d426fp-9, 0x1.6e6befa4fda0ep-9, 0x1.64b1b2cc41188p-9, 0x1.5b35c1f42a5aap-9, 0x1.51f6aaf459af6p-9, 0x1.48f3036f67824p-9, 0x1.402968ae54c71p-9, 0x1.37987f7c7cd96p-9, 0x1.2f3ef4041538dp-9, 0x1.271b79ab2d9fbp-9, 0x1.1f2ccaf137358p-9, 0x1.1771a94d0d3b8p-9, 0x1.0fe8dd0b83251p-9, 0x1.0891352e70c96p-9, 0x1.0169874c3eefap-9, 0x1.f4e15edfeaab8p-10, 0x1.e74b1ff385c05p-10, 0x1.da0e23000e876p-10, 0x1.cd284561a02fp-10, 0x1.c0977067b583fp-10, 0x1.b459991a0cd96p-10, 0x1.a86cbffe8282ap-10, 0x1.9ccef0dfdb1fp-10, 0x1.917e429574b3cp-10, 0x1.8678d6cbe3172p-10, 0x1.7bbcd9ce6c68ap-10, 0x1.7148825171fap-10, 0x1.671a1ed75188ep-10, 0x1.5d2fde6b5ea42p-10, 0x1.538823f666202p-10, 0x1.4a214dca678f8p-10, 0x1.40f9c3a37aa93p-10, 0x1.380ff677559d2p-10, 0x1.2f626045a1734p-10, 0x1.26ef83e924567p-10, 0x1.1eb5ece9afc7p-10, 0x1.16b42f4ee3992p-10, 0x1.0ee8e773b3bb4p-10, 0x1.0752b9daad634p-10, 0x1.ffe0a60619b9ep-11, 0x1.f180ce7d0cba7p-11, 0x1.e383650face89p-11, 0x1.d5e5f0b40e6a4p-11, 0x1.c8a60710e5405p-11, 0x1.bbc14c2ef3133p-11, 0x1.af35722bdf15ap-11, 0x1.a30038ee7091p-11, 0x1.971f6ddc275ebp-11, 0x1.8b90eb902f292p-11, 0x1.80529993a604ep-11, 0x1.75626c1735b5fp-11, 0x1.6abe63adf5f1dp-11, 0x1.60648d099477p-11, 0x1.565300b7c2fb3p-11, 0x1.4c87e2e0de523p-11, 0x1.43016307d09ccp-11, 0x1.39bdbbcb269bbp-11, 0x1.30bb32a753e17p-11, 0x1.27f817ba22f47p-11, 0x1.1f72c5874c6d2p-11, 0x1.1729a0be2e4fbp-11, 0x1.0f1b1800a1d32p-11, 0x1.0745a3aaea2ebp-11, 0x1.ff4f8b3973747p-12, 0x1.f080120689309p-12, 0x1.e21a0448c3302p-12, 0x1.d41a9c5567cd7p-12, 0x1.c67f25e5ac44fp-12, 0x1.b944fdb30e849p-12, 0x1.ac699115a1faap-12, 0x1.9fea5da454ccap-12, 0x1.93c4f0d70b3a1p-12, 0x1.87f6e7aaaca6p-12, 0x1.7c7dee46fb178p-12, 0x1.7157bfa63f1a1p-12, 0x1.6682253ebd2edp-12, 0x1.5bfaf6ade4982p-12, 0x1.51c019653f278p-12, 0x1.47cf80590b88cp-12, 0x1.3e272bb087733p-12, 0x1.34c52877d3adap-12, 0x1.2ba790537ef69p-12, 0x1.22cc89359cc99p-12, 0x1.1a3245146cf74p-12, 0x1.11d701a288592p-12, 0x1.09b908088fee6p-12, 0x1.01d6aca052abcp-12, 0x1.f45c9d62ca145p-13, 0x1.e57cb05e4ba6bp-13, 0x1.d70a7af0583d8p-13, 0x1.c902fa2e1728ep-13, 0x1.bb633f08f38a5p-13, 0x1.ae286dd5835ap-13, 0x1.a14fbdd5080e7p-13, 0x1.94d678c182973p-13, 0x1.88b9fa5c3fa62p-13, 0x1.7cf7affed9937p-13, 0x1.718d182eae0dfp-13, 0x1.6677c232a9e08p-13, 0x1.5bb54dab6395ep-13, 0x1.51436a2d8896bp-13, 0x1.471fd6de7feep-13, 0x1.3d48621340018p-13, 0x1.33bae8f14aa06p-13, 0x1.2a755711cd9cp-13, 0x1.2175a626cb18p-13, 0x1.18b9dda24ef8cp-13, 0x1.1040125fa3eddp-13, 0x1.0806664e7b7c4p-13, 0x1.000b082000069p-13, 0x1.f09865eb8dd42p-14, 0x1.e1905c2533603p-14, 0x1.d2fa991a25707p-14, 0x1.c4d3da07edae6p-14, 0x1.b718f2a89d3c9p-14, 0x1.a9c6cca261c37p-14, 0x1.9cda66fa784d3p-14, 0x1.9050d58b4e339p-14, 0x1.8427407de47b3p-14, 0x1.785ae3c64c898p-14, 0x1.6ce90ea339581p-14, 0x1.61cf232089f1bp-14, 0x1.570a959cc6052p-14, 0x1.4c98ec517c55dp-14, 0x1.4277bede6ae84p-14, 0x1.38a4b5d76d4e6p-14, 0x1.2f1d8a551d167p-14, 0x1.25e005881c6d7p-14, 0x1.1cea004ed5a49p-14, 0x1.143962cdea23cp-14, 0x1.0bcc240b00444p-14, 0x1.03a0498a02cf4p-14, 0x1.f767cdd9784bap-15, 0x1.e80a3b29887d5p-15, 0x1.d924388f4a071p-15, 0x1.cab23daa9a637p-15, 0x1.bcb0db8112a4bp-15, 0x1.af1cbbd38c555p-15, 0x1.a1f2a0776b328p-15, 0x1.952f62b4316b5p-15, 0x1.88cff2a4eeb3ap-15, 0x1.7cd1569d90a7fp-15, 0x1.7130aa93f63d6p-15, 0x1.65eb1f8cb831ep-15, 0x1.5afdfb0b8eb45p-15, 0x1.50669687337b2p-15, 0x1.46225ee0bb9bdp-15, 0x1.3c2ed3de4ed44p-15, 0x1.328987a93a7a4p-15, 0x1.29301e4f1b3ffp-15, 0x1.20204d464512cp-15, 0x1.1757daf53365ep-15, 0x1.0ed49e3d01305p-15, 0x1.06947e06c6bf6p-15, 0x1.fd2ae1a7bce87p-16, 0x1.edaaf8a1df41fp-16, 0x1.dea569d79d522p-16, 0x1.d0167ad7ba00cp-16, 0x1.c1fa8d1a5255fp-16, 0x1.b44e1d3c3b7c1p-16, 0x1.a70dc23f4d0a8p-16, 0x1.9a362ccf8878cp-16, 0x1.8dc4268d05f14p-16, 0x1.81b4915aa45bap-16, 0x1.760466b12b30cp-16, 0x1.6ab0b6f6dbefap-16, 0x1.5fb6a8dbacd81p-16, 0x1.551378b911bc5p-16, 0x1.4ac477f6bb321p-16, 0x1.40c70c72d90b7p-16, 0x1.3718afee83a92p-16, 0x1.2db6ef7dfa00bp-16, 0x1.249f6afcb4576p-16, 0x1.1bcfd48502e96p-16, 0x1.1345efeb6dd14p-16, 0x1.0aff923d98364p-16, 0x1.02faa14464772p-16, 0x1.f66a2613557cap-17, 0x1.e759dac221bb8p-17, 0x1.d8c08ae836739p-17, 0x1.ca9a7ea2b0ffdp-17, 0x1.bce41afd8b687p-17, 0x1.af99e11d7cbb6p-17, 0x1.a2b86d7070fc2p-17, 0x1.963c76e362d12p-17, 0x1.8a22ce1d68d0ap-17, 0x1.7e685cc0c1a1ep-17, 0x1.730a24b08db6ap-17, 0x1.68053f5b95bb6p-17, 0x1.5d56dd0cbf273p-17, 0x1.52fc443f87378p-17, 0x1.48f2d0f9aff64p-17, 0x1.3f37f4295c035p-17, 0x1.35c93307aaffap-17, 0x1.2ca4267fe529bp-17, 0x1.23c67a9a68a6fp-17, 0x1.1b2dedec58259p-17, 0x1.12d8510ae870ap-17, 0x1.0ac38602c0d5cp-17, 0x1.02ed7fd3282cdp-17, 0x1.f6a883d9f81cep-18, 0x1.e7ebbf6a222f7p-18, 0x1.d9a0f8148d788p-18, 0x1.cbc4919e8a919p-18, 0x1.be530cedf40e2p-18, 0x1.b149072a24559p-18, 0x1.a4a338e177a67p-18, 0x1.985e753699ceep-18, 0x1.8c77a912fedf3p-18, 0x1.80ebda5f55365p-18, 0x1.75b82741ad758p-18, 0x1.6ad9c560ff4bcp-18, 0x1.604e012e5779cp-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.a2e68a5dd9eb4p-2, -0x1.9cfd5d2e09789p-2, -0x1.912696db6dba9p-2, -0x1.8031bb95e988ep-2, -0x1.6b0a0d17e02d6p-2, -0x1.52a46a6517a63p-2, -0x1.37f1940e0b866p-2, -0x1.1bd44941281eep-2, -0x1.fe3570c2fb7d2p-3, -0x1.c4f51bc8d183p-3, -0x1.8d1e0af4f531p-3, -0x1.57b131e937dbfp-3, -0x1.257bc182df844p-3, -0x1.ee34cec08fdcfp-4, -0x1.99faee210fbb2p-4, -0x1.4edb61d6fd4bdp-4, -0x1.0d22be0b886acp-4, -0x1.a9c5c44fa5dcbp-5, -0x1.4bf9549c9aa72p-5, -0x1.0051e1439b701p-5, -0x1.8c038027fedfap-6, -0x1.38168c22aa279p-6, -0x1.029a0a364028cp-6, -0x1.d23bfdd962885p-7, -0x1.d22bf44faf39bp-7, -0x1.ffd36c4e123cbp-7, -0x1.2b02516c26cfbp-6, -0x1.67d51a774ba49p-6, -0x1.b3ec2a9d277e2p-6, -0x1.06767cf612936p-5, -0x1.384e8e5cb7575p-5, -0x1.6e72b6f932d09p-5, -0x1.a7e9f9fe207c3p-5, -0x1.e3ce65778b5ebp-5, -0x1.10a694c1b1bacp-4, -0x1.2fd334a5326ebp-4, -0x1.4f166ab992f31p-4, -0x1.6e228c9a52406p-4, -0x1.8cb28fb9ad81ap-4, -0x1.aa899a9a1988bp-4, -0x1.c77288a160982p-4, -0x1.e33f65eed12dcp-4, -0x1.fdc8e924ddd79p-4, -0x1.0b76f81a58513p-3, -0x1.174981a8774fdp-3, -0x1.2250ef877b1a7p-3, -0x1.2c8482963f7a5p-3, -0x1.35dda9606bd6bp-3, -0x1.3e57cd5d67804p-3, -0x1.45f0220adc4f8p-3, -0x1.4ca575e5a8b32p-3, -0x1.52780580d81cfp-3, -0x1.5769511b55861p-3, -0x1.5b7bf51b51ee2p-3, -0x1.5eb385c2e0dd2p-3, -0x1.61146e48e9ff1p-3, -0x1.62a3d34cbcb74p-3, -0x1.63677866684ddp-3, -0x1.6365a86debfb9p-3, -0x1.62a52000c97dap-3, -0x1.612cf9d265e31p-3, -0x1.5f049c6c9d4a9p-3, -0x1.5c33a929f7991p-3, -0x1.58c1cb3e4d20fp-3, -0x1.54b7581f4c62bp-3, -0x1.501c009a2f6c4p-3, -0x1.4af7b872e5d4dp-3, -0x1.45526b952cfd7p-3, -0x1.3f33f5a42aaep-3, -0x1.38a41aaba7b9dp-3, -0x1.31aa80c7c9cf8p-3, -0x1.2a4eaa9be437fp-3, -0x1.2297f2780c263p-3, -0x1.1a8d861576af9p-3, -0x1.123662da5a8d6p-3, -0x1.0999529db5cf4p-3, -0x1.00bce8e8d7033p-3, -0x1.ef4f016ebe0c1p-4, -0x1.dcbe756d35d12p-4, -0x1.c9d3f805d113ep-4, -0x1.b69adabcedfe1p-4, -0x1.a31df5b169c41p-4, -0x1.8f67a7b50c61p-4, -0x1.7b81d7115b3f9p-4, -0x1.6775f2da143e6p-4, -0x1.534cf4aeb0ecfp-4, -0x1.3f0f62cf5f246p-4, -0x1.2ac5526e53c9dp-4, -0x1.16766a2baa4b3p-4, -0x1.0229e4af63a5p-4, -0x1.dbcd26b3a866fp-5, -0x1.b365c20d30079p-5, -0x1.8b29a9c191707p-5, -0x1.63242a918bd7bp-5, -0x1.3b5fd598f749dp-5, -0x1.13e68665e5751p-5, -0x1.d982d26d19c92p-6, -0x1.8bf202b815678p-6, -0x1.3f2a5f7b180c7p-6, -0x1.e674e5d3b5a1p-7, -0x1.505f39ede53c1p-7, -0x1.785882de567cfp-8, -0x1.4f931b93d8926p-10, 0x1.98e7f67f95f27p-9, 0x1.e88cd4695aa5fp-8, 0x1.80223c5b4d67dp-7, 0x1.04df43b233e7ep-6, 0x1.48870036b7b16p-6, 0x1.8b0273f5eb187p-6, 0x1.cc4c7a1fe25d6p-6, 0x1.06304f532abf9p-5, 0x1.259d8a4366783p-5, 0x1.446c5645449d7p-5, 0x1.629b663909fb7p-5, 0x1.8029b340d050bp-5, 0x1.9d1678b1f4141p-5, 0x1.b961302d297bep-5, 0x1.d5098dd997e71p-5, 0x1.f00f7cc076bb9p-5, 0x1.05398da3cfc62p-4, 0x1.121a5be5478f4p-4, 0x1.1eaa66a9023b2p-4, 0x1.2aea003576089p-4, 0x1.36d98e0ec6738p-4, 0x1.42798782ff024p-4, 0x1.4dca744762f64p-4, 0x1.58cceb2726252p-4, 0x1.638190c3ba404p-4, 0x1.6de91666ae9c2p-4, 0x1.780438e4f107cp-4, 0x1.81d3bf9316566p-4, 0x1.8b587b4a26aa1p-4, 0x1.9493457c4b795p-4, 0x1.9d84ff58a28c1p-4, 0x1.a62e90fd5d602p-4, 0x1.ae90e8b75d06p-4, 0x1.b6acfa4e47522p-4, 0x1.be83be5c4a33ap-4, 0x1.c61631b08c56dp-4, 0x1.cd6554bb8a182p-4, 0x1.d4722b0461725p-4, 0x1.db3dbaa681ee9p-4, 0x1.e1c90bd6ebb8ap-4, 0x1.e81528706f576p-4, 0x1.ee231b867d739p-4, 0x1.f3f3f0fe1614dp-4, 0x1.f988b52c6dc88p-4, 0x1.fee20d1f60ea1p-4, 0x1.0200e965521a6p-3, 0x1.047456bcb835dp-3, 0x1.06cbd3d943bf2p-3, 0x1.0907e56567264p-3, 0x1.0b290f535915dp-3, 0x1.0d2fd4c030b19p-3, 0x1.0f1cb7d9660abp-3, 0x1.10f039c48acdep-3, 0x1.12aada8939697p-3, 0x1.144d18fd08884p-3, 0x1.15d772b189ea9p-3, 0x1.174a63e4251d5p-3, 0x1.18a6676fc462cp-3, 0x1.19ebf6c02b562p-3, 0x1.1b1b89c6f4a74p-3, 0x1.1c3596f201454p-3, 0x1.1d3a932351efap-3, 0x1.1e2af1aa2f08p-3, 0x1.1f07243d78d0dp-3, 0x1.1fcf9af7166d9p-3, 0x1.2084c45063f87p-3, 0x1.21270d1f8d35fp-3, 0x1.21b6e095be072p-3, 0x1.2234a83e15405p-3, 0x1.22a0cbfd51fa2p-3, 0x1.22fbb21220188p-3, 0x1.2345bf15fa599p-3, 0x1.237f55fea02b5p-3, 0x1.23a8d8200402dp-3, 0x1.23c2a52eb4d85p-3, 0x1.23cd1b42b2129p-3, 0x1.23c896daa9e0dp-3, 0x1.23b572df94d18p-3, 0x1.239408a8a6bbep-3, 0x1.2364afff8df27p-3, 0x1.2327bf2504433p-3, 0x1.22dd8ad598431p-3, 0x1.2286664eb50ddp-3, 0x1.2222a353e3321p-3, 0x1.21b292342f701p-3, 0x1.213681cfc0f88p-3, 0x1.20aebf9d83e64p-3, 0x1.201b97b0fb4d6p-3, 0x1.1f7d54c01890fp-3, 0x1.1ed440292d1c6p-3, 0x1.1e20a1f8d7b7p-3, 0x1.1d62c0effe282p-3, 0x1.1c9ae289bb6b9p-3, 0x1.1bc94b01532d3p-3, 0x1.1aee3d580e668p-3, 0x1.1a09fb5b17fb1p-3, 0x1.191cc5a940b4fp-3, 0x1.1826dbb8b60edp-3, 0x1.17287bdca8481p-3, 0x1.1621e34ad6f6p-3, 0x1.15134e211226dp-3, 0x1.13fcf76a9cba1p-3, 0x1.12df19257e03ap-3, 0x1.11b9ec47c2b7cp-3, 0x1.108da8c499c6dp-3, 0x1.0f5a85916db4ap-3, 0x1.0e20b8aad65a1p-3, 0x1.0ce077197e571p-3, 0x1.0b99f4f6ef015p-3, 0x1.0a4d657243b2fp-3, 0x1.08fafad4c1d3cp-3, 0x1.07a2e686610dfp-3, 0x1.064559122f71ep-3, 0x1.04e2822aa07e2p-3, 0x1.037a90adc2a46p-3, 0x1.020db2a956064p-3, 0x1.009c155ec548dp-3, 0x1.fe4bca8e10d73p-4, 0x1.fb569c2cc8df2p-4, 0x1.f858f5801db2p-4, 0x1.f5532af36bd8ap-4, 0x1.f2458f7dd2819p-4, 0x1.ef3074a8ce1cbp-4, 0x1.ec142a9691e02p-4, 0x1.e8f100083a987p-4, 0x1.e5c74263b08d7p-4, 0x1.e2973db96f025p-4, 0x1.df613cca01d38p-4, 0x1.dc25890b5fe53p-4, 0x1.d8e46aae0d45fp-4, 0x1.d59e28a2169dep-4, 0x1.d253089be0a2ap-4, 0x1.cf034f18c6492p-4, 0x1.cbaf3f639c944p-4, 0x1.c8571b99035ecp-4, 0x1.c4fb24abad598p-4, 0x1.c19b9a68636ddp-4, 0x1.be38bb7a0ba46p-4, 0x1.bad2c56d824ecp-4, 0x1.b769f4b55a8ffp-4, 0x1.b3fe84ad88063p-4, 0x1.b090af9ef1967p-4, 0x1.ad20aec2e9d3ap-4, 0x1.a9aeba469791dp-4, 0x1.a63b094e47997p-4, 0x1.a2c5d1f8a77d1p-4, 0x1.9f4f4961f5dfep-4, 0x1.9bd7a3a716976p-4, 0x1.985f13e8a483p-4, 0x1.94e5cc4dde9f5p-4, 0x1.916bfe079654bp-4, 0x1.8df1d9530524bp-4, 0x1.8a778d7c9444cp-4, 0x1.86fd48e29625bp-4, 0x1.838338f7ef728p-4, 0x1.80098a46b363ap-4, 0x1.7c906872b097bp-4, 0x1.7917fe3bf0067p-4, 0x1.75a0758127fccp-4, 0x1.7229f74221334p-4, 0x1.6eb4aba20e861p-4, 0x1.6b40b9e9db595p-4, 0x1.67ce488a6bbe6p-4, 0x1.645d7d1ed3ccep-4, 0x1.60ee7c6e849a7p-4, 0x1.5d816a6f6e1dbp-4, 0x1.5a166a481b427p-4, 0x1.56ad9e51c2bc4p-4, 0x1.5347281a52eb6p-4, 0x1.4fe32866765e7p-4, 0x1.4c81bf3391d1fp-4, 0x1.49230bb9be23cp-4, 0x1.45c72c6dbde09p-4, 0x1.426e3f02ed5dap-4, 0x1.3f18606d32d23p-4, 0x1.3bc5ace2e956dp-4, 0x1.38763fdecb03ep-4, 0x1.352a3421dae2cp-4, 0x1.31e1a3b54c3b6p-4, 0x1.2e9ca7ec6a966p-4, 0x1.2b5b59668272bp-4, 0x1.281dd010c91aep-4, 0x1.24e4232845e1cp-4, 0x1.21ae693bbc40fp-4, 0x1.1e7cb82d975f5p-4, 0x1.1b4f2535d61efp-4, 0x1.1825c4e3f946bp-4, 0x1.1500ab20f3154p-4, 0x1.11dfeb31175a3p-4, 0x1.0ec397b60d7eep-4, 0x1.0babc2b0c47f3p-4, 0x1.08987d83673b5p-4, 0x1.0589d8f35151cp-4, 0x1.027fe52b07232p-4, 0x1.fef563785827fp-5, 0x1.f8f49b42f5d64p-5, 0x1.f2fd8e817e21dp-5, 0x1.ed1058d99926bp-5, 0x1.e72d14cef2711p-5, 0x1.e153dbc72ac7dp-5, 0x1.db84c60dcb054p-5, 0x1.d5bfead833c59p-5, 0x1.d00560498b524p-5, 0x1.ca553b76afc76p-5, 0x1.c4af906a1f5d8p-5, 0x1.bf147227e5a23p-5, 0x1.b983f2b184762p-5, 0x1.b3fe2309d81f5p-5, 0x1.ae831338fc69p-5, 0x1.a912d2502e3fp-5, 0x1.a3ad6e6da801fp-5, 0x1.9e532e13ff0dfp-5, 0x1.9903a98cab63p-5, 0x1.93bf26b3e6253p-5, 0x1.8e85afff32446p-5, 0x1.89574f03cb6cap-5, 0x1.84340c7a78da1p-5, 0x1.7f1bf043602d9p-5, 0x1.7a0f0169d6242p-5, 0x1.750d46282b706p-5, 0x1.7016c3eb77d11p-5, 0x1.6b2b7f5764198p-5, 0x1.664b7c49f0015p-5, 0x1.6176bddf346f4p-5, 0x1.5cad467523a7ap-5, 0x1.57ef17af44e81p-5, 0x1.533c327a6de63p-5, 0x1.4e94971075f9ep-5, 0x1.49f844fbe7847p-5, 0x1.45673b1bac10fp-5, 0x1.40e177a6b32ddp-5, 0x1.3c66f82f9566fp-5, 0x1.37f7b9a832536p-5, 0x1.3393b8654901ap-5, 0x1.2f3af0220b76fp-5, 0x1.2aed5c03ad41cp-5, 0x1.26aaf69ceaa86p-5, 0x1.2273b9f18b9edp-5, 0x1.1e479f79deff7p-5, 0x1.1a26a02631303p-5, 0x1.1610b4623d26ep-5, 0x1.1205d41892854p-5, 0x1.0e05f6b5f88a6p-5, 0x1.0a11132ccaaebp-5, 0x1.06271ff84b0cp-5, 0x1.0248131fedbc5p-5, 0x1.fce7c47541668p-6, 0x1.f55504e40a565p-6, 0x1.edd7d10b4f53bp-6, 0x1.e670119c554c6p-6, 0x1.df1dae80d7ce4p-6, 0x1.d7e08ee14010cp-6, 0x1.d0b8992acb1abp-6, 0x1.c9a5b3159b80cp-6, 0x1.c2a7c1aabd1p-6, 0x1.bbbea94a11f49p-6, 0x1.b4ea4db02ce02p-6, 0x1.ae2a91fc18e4bp-6, 0x1.a77f58b50ce75p-6, 0x1.a0e883d0088ep-6, 0x1.9a65f4b55e2dfp-6, 0x1.93f78c462a6ddp-6, 0x1.8d9d2ae1ac3dap-6, 0x1.8756b06a92f4ep-6, 0x1.8123fc4c2cc5bp-6, 0x1.7b04ed7f85b53p-6, 0x1.74f962906905ap-6, 0x1.6f0139a25109p-6, 0x1.691c50753b823p-6, 0x1.634a846a6a51ap-6, 0x1.5d8bb28905e05p-6, 0x1.57dfb782b448p-6, 0x1.52466fb804db2p-6, 0x1.4cbfb73cd773p-6, 0x1.474b69dca2ac1p-6, 0x1.41e9631e9d47bp-6, 0x1.3c997e49d8c74p-6, 0x1.375b96693f2d3p-6, 0x1.322f864f7ba19p-6, 0x1.2d15289ac5891p-6, 0x1.280c57b89a03fp-6, 0x1.2314ede95ee87p-6, 0x1.1e2ec543e8e38p-6, 0x1.1959b7b8f001dp-6, 0x1.14959f166cffcp-6, 0x1.0fe2550adead1p-6, 0x1.0b3fb3287b9bfp-6, 0x1.06ad92e84eb44p-6, 0x1.022bcdad422eap-6, 0x1.fb74798e1e3ccp-7, 0x1.f2b172ea420a1p-7, 0x1.ea0e39d2c9fa5p-7, 0x1.e18a80960359bp-7, 0x1.d925f97209545p-7, 0x1.d0e05699f6edep-7, 0x1.c8b94a3af7332p-7, 0x1.c0b086813c15dp-7, 0x1.b8c5bd9ccde0ap-7, 0x1.b0f8a1c6458f2p-7, 0x1.a948e5436c679p-7, 0x1.a1b63a6bbb368p-7, 0x1.9a4053acc46e5p-7, 0x1.92e6e38e87c1ap-7, 0x1.8ba99cb7add0ep-7, 0x1.848831f1b0249p-7, 0x1.7d82562ce5008p-7, 0x1.7697bc8486ff7p-7, 0x1.6fc81842997ecp-7, 0x1.69131ce3cba1fp-7, 0x1.62787e1b3dc85p-7, 0x1.5bf7efd63ff93p-7, 0x1.5591263ff5923p-7, 0x1.4f43d5c4ffff9p-7, 0x1.490fb316ff3bdp-7, 0x1.42f473301813cp-7, 0x1.3cf1cb5669642p-7, 0x1.3707711f6aae1p-7, 0x1.31351a7346ba8p-7, 0x1.2b7a7d902512ap-7, 0x1.25d7510d651cdp-7, 0x1.204b4bdec6827p-7, 0x1.1ad625578dec5p-7, 0x1.1577952d906a1p-7, 0x1.102f537c33737p-7, 0x1.0afd18c75c2ap-7, 0x1.05e09dfe4c733p-7, 0x1.00d99c7e72233p-7, 0x1.f7cf9c2c39a6ap-8, 0x1.ee15da0e4cb1ep-8, 0x1.e485681308081p-8, 0x1.db1dbc9b8df4bp-8, 0x1.d1de4efef7d7p-8, 0x1.c8c6978f02af5p-8, 0x1.bfd60f9c7e4fp-8, 0x1.b70c317b855d7p-8, 0x1.ae6878878e856p-8, 0x1.a5ea612742857p-8, 0x1.9d9168d01d569p-8, 0x1.955d0e09daaf6p-8, 0x1.8d4cd071a4527p-8, 0x1.856030bd08e9fp-8, 0x1.7d96b0bcc278fp-8, 0x1.75efd35f2a539p-8, 0x1.6e6b1cb291827p-8, 0x1.670811e73f129p-8, 0x1.5fc6395144756p-8, 0x1.58a51a6a1243ap-8, 0x1.51a43dd1cfa38p-8, 0x1.4ac32d507723p-8, 0x1.440173d6be5f5p-8, 0x1.3d5e9d7ebd371p-8, 0x1.36da378c62522p-8, 0x1.3073d06db19e5p-8, 0x1.2a2af7baccc15p-8, 0x1.23ff3e35c4a7p-8, 0x1.1df035ca44c83p-8, 0x1.17fd718cfed44p-8, 0x1.122685bafefep-8, 0x1.0c6b07b8bc72cp-8, 0x1.06ca8e111a9dfp-8, 0x1.0144b07432b1fp-8, 0x1.f7b20f6c07b64p-9, 0x1.ed0e5b99fe479p-9, 0x1.e29d7ba0ed446p-9, 0x1.d85ea7ede341cp-9, 0x1.ce511b28d094ap-9, 0x1.c4741230d19efp-9, 0x1.bac6cc1862094p-9, 0x1.b1488a214d8d8p-9, 0x1.a7f88fb8b8678p-9, 0x1.9ed62272daa55p-9, 0x1.95e08a06d67d5p-9, 0x1.8d17104a68ec3p-9, 0x1.8479012da6b5cp-9, 0x1.7c05aab6a8827p-9, 0x1.73bc5cfd3b7d7p-9, 0x1.6b9c6a269f759p-9, 0x1.63a52661497f6p-9, 0x1.5bd5e7e0b2695p-9, 0x1.542e06d94937ap-9, 0x1.4cacdd7c55dcap-9, 0x1.4551c7f4194dep-9, 0x1.3e1c245ff3ca9p-9, 0x1.370b52d0ac586p-9, 0x1.301eb544d226p-9, 0x1.2955afa553689p-9, 0x1.22afa7c20595fp-9, 0x1.1c2c054e8a81fp-9, 0x1.15ca31df2e2a7p-9, 0x1.0f8998e5f96ddp-9, 0x1.0969a7afdd86dp-9, 0x1.0369cd620c019p-9, 0x1.fb12f5eec828dp-10, 0x1.ef90467c0a422p-10, 0x1.e44a75a9fcf6dp-10, 0x1.d94070542fea7p-10, 0x1.ce7126ef653e4p-10, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.431cd4e39c5a3p-1, -0x1.3da32bc1fae1p-1, -0x1.3874ce21a9e42p-1, -0x1.33691a0776cfep-1, -0x1.2e62d99686c23p-1, -0x1.294e5823f5f96p-1, -0x1.241f98a858149p-1, -0x1.1ed0bc8f8624p-1, -0x1.19609c65f07c3p-1, -0x1.13d19216fd775p-1, -0x1.0e28764a62ae1p-1, -0x1.086bcbdf6f425p-1, -0x1.02a3135aa7ca3p-1, -0x1.f9ac8505f7537p-2, -0x1.ee1ab717412cdp-2, -0x1.e2a03d7c62979p-2, -0x1.d74ba43fd19c1p-2, -0x1.cc2a358c19312p-2, -0x1.c147c8b42d669p-2, -0x1.b6aea872e693fp-2, -0x1.ac678b9a98da9p-2, -0x1.a2799b4d7d46ap-2, -0x1.98ea83be25426p-2, -0x1.8fbe89172d9d4p-2, -0x1.86f8a365109c2p-2, -0x1.7e9a9c1e81d1fp-2, -0x1.76a52d7738c37p-2, -0x1.6f1821fd3dde8p-2, -0x1.67f2735a3a757p-2, -0x1.6132677ee2482p-2, -0x1.5ad5abebc9aeep-2, -0x1.54d96efd0fc9dp-2, -0x1.4f3a772b92608p-2, -0x1.49f53841eb485p-2, -0x1.4505e68602f33p-2, -0x1.406887cf4d16dp-2, -0x1.3c1902879c952p-2, -0x1.38132ab0ca05dp-2, -0x1.3452cd205d5d9p-2, -0x1.30d3b920a8637p-2, -0x1.2d91c89b811e6p-2, -0x1.2a88e6f30ab9ep-2, -0x1.27b516b5c79f7p-2, -0x1.2512765ac03b4p-2, -0x1.229d442309f91p-2, -0x1.2051e12c5e76dp-2, -0x1.1e2cd3bc1089cp-2, -0x1.1c2ac8d3b3d46p-2, -0x1.1a48952d750aep-2, -0x1.188335c1ec17cp-2, -0x1.16d7cff1eb32p-2, -0x1.1543b1639d11bp-2, -0x1.13c44f9ac6e5p-2, -0x1.125747536edffp-2, -0x1.10fa5ba94d198p-2, -0x1.0fab7518be25dp-2, -0x1.0e68a06478253p-2, -0x1.0d300d66d28c5p-2, -0x1.0c000dd0e52fdp-2, -0x1.0ad713d7a70aap-2, -0x1.09b3b0d03ae34p-2, -0x1.089493bf62a49p-2, -0x1.077887e2b9bd8p-2, -0x1.065e74480e6e4p-2, -0x1.054556796a5acp-2, -0x1.042c4635bef9dp-2, -0x1.0312716c8df41p-2, -0x1.01f71b6b5f851p-2, -0x1.00d99b97121bfp-2, -0x1.ff72b85d5a5d7p-3, -0x1.fd2bb230bbe01p-3, -0x1.fadd3d7285a8ep-3, -0x1.f88691b112cfap-3, -0x1.f627031c8f1fap-3, -0x1.f3be007cc796dp-3, -0x1.f14b113f907fbp-3, -0x1.eecdd39fe8bb2p-3, -0x1.ec45fae5cecacp-3, -0x1.e9b34dbe2f6f9p-3, -0x1.e715a4aa1ba2ep-3, -0x1.e46ce88429ccep-3, -0x1.e1b9111b04031p-3, -0x1.defa23e035d07p-3, -0x1.dc3032aa6bb3p-3, -0x1.d95b5a8a8fa7dp-3, -0x1.d67bc2b311f79p-3, -0x1.d3919b70a58c5p-3, -0x1.d09d1d33b7fa2p-3, -0x1.cd9e87a9d2ff8p-3, -0x1.ca9620e64687p-3, -0x1.c78434997db5fp-3, -0x1.c46913567f7d7p-3, -0x1.c14511e6214a9p-3, -0x1.be1888a767044p-3, -0x1.bae3d2fc5c03fp-3, -0x1.b7a74ec2ba651p-3, -0x1.b4635bd776b12p-3, -0x1.b1185ba46ca1bp-3, -0x1.adc6b0b7581c8p-3, -0x1.aa6ebe6177ad3p-3, -0x1.a710e85f491e6p-3, -0x1.a3ad9287d99bbp-3, -0x1.a04520834a5f1p-3, -0x1.9cd7f588205a6p-3, -0x1.9966741eed65cp-3, -0x1.95f0fdebf6969p-3, -0x1.9277f37e5ad7cp-3, -0x1.8efbb4245f299p-3, -0x1.8b7c9dc46e2fcp-3, -0x1.87fb0cba80494p-3, -0x1.84775bb997c0ep-3, -0x1.80f1e3b112a2ep-3, -0x1.7d6afbb599ebap-3, -0x1.79e2f8ed6ebadp-3, -0x1.765a2e7feb525p-3, -0x1.72d0ed87f425ep-3, -0x1.6f478509289b5p-3, -0x1.6bbe41e78611fp-3, -0x1.68356ee14db32p-3, -0x1.64ad548ae86f2p-3, -0x1.6126394c8f184p-3, -0x1.5da0616180f4ap-3, -0x1.5a1c0ed8a0503p-3, -0x1.569981964ad69p-3, -0x1.5318f75749a3ap-3, -0x1.4f9aabb4c7744p-3, -0x1.4c1ed8292e2d2p-3, -0x1.48a5b415d85dep-3, -0x1.452f74c987cccp-3, -0x1.41bc4d8791352p-3, -0x1.3e4c6f8fa0325p-3, -0x1.3ae00a2611943p-3, -0x1.37774a9cc6352p-3, -0x1.34125c5c61208p-3, -0x1.30b168ede0521p-3, -0x1.2d54980489e71p-3, -0x1.29fc0f88054a2p-3, -0x1.26a7f39eb9dcap-3, -0x1.235866b8447e5p-3, -0x1.200d89980f636p-3, -0x1.1cc77b5fff067p-3, -0x1.1986599b29a92p-3, -0x1.164a4048933a6p-3, -0x1.131349e5ee836p-3, -0x1.0fe18f7a4f616p-3, -0x1.0cb528a0d979fp-3, -0x1.098e2b935b958p-3, -0x1.066cad39ff0a2p-3, -0x1.0350c1058d9f7p-3, -0x1.003a796cb659fp-3, -0x1.fa53cf1a18923p-4, -0x1.f43e36abf186dp-4, -0x1.ee344725074c3p-4, -0x1.e8361be5dd70bp-4, -0x1.e243ce2c46a21p-4, -0x1.dc5d7525ed4a8p-4, -0x1.d68326026f1bp-4, -0x1.d0b4f40519966p-4, -0x1.caf2f096479d2p-4, -0x1.c53d2b544add2p-4, -0x1.bf93b22402927p-4, -0x1.b9f69140f1dc7p-4, -0x1.b465d34d01a0bp-4, -0x1.aee1815fd55c5p-4, -0x1.a969a315b1206p-4, -0x1.a3fe3e9e095a9p-4, -0x1.9e9f58c9993b3p-4, -0x1.994cf5182be02p-4, -0x1.940715c5ea882p-4, -0x1.8ecdbbd859d8ep-4, -0x1.89a0e72aeed32p-4, -0x1.8480967b46b6fp-4, -0x1.7f6cc774fc904p-4, -0x1.7a6576bd27dc2p-4, -0x1.756a9ffd798b1p-4, -0x1.707c3def02a22p-4, -0x1.6b9a4a64a2e69p-4, -0x1.66c4be551d76fp-4, -0x1.61fb91e4dd2bap-4, -0x1.5d3ebc6f607a4p-4, -0x1.588e349059e0ep-4, -0x1.53e9f02c7d753p-4, -0x1.4f51e47a00575p-4, -0x1.4ac60608d031ap-4, -0x1.464648ca7c6eep-4, -0x1.41d2a019da4d6p-4, -0x1.3d6afec263a28p-4, -0x1.390f57074d7c4p-4, -0x1.34bf9aaa60509p-4, -0x1.307bbaf28ee6ep-4, -0x1.2c43a8b24bfe5p-4, -0x1.2817544da63f8p-4, -0x1.23f6adc029c6cp-4, -0x1.1fe1a4a284a26p-4, -0x1.1bd8282ff8202p-4, -0x1.17da274b96bb9p-4, -0x1.13e7908547fecp-4, -0x1.1000521ea2578p-4, -0x1.0c245a0f9106bp-4, -0x1.0853960acf7d1p-4, -0x1.048df38234843p-4, -0x1.00d35faad5d24p-4, -0x1.fa478f0207035p-5, -0x1.f2fe2f9830296p-5, -0x1.ebca7a444aee2p-5, -0x1.e4ac47d6f9c1fp-5, -0x1.dda370cc23eacp-5, -0x1.d6afcd517616dp-5, -0x1.cfd1354ca55c9p-5, -0x1.c90780616eacfp-5, -0x1.c25285f755883p-5, -0x1.bbb21d3f2dec1p-5, -0x1.b5261d3867fb4p-5, -0x1.aeae5cb6240d2p-5, -0x1.a84ab26412519p-5, -0x1.a1faf4cb223fbp-5, -0x1.9bbefa55f8ac3p-5, -0x1.959699553ed09p-5, -0x1.8f81a803bd406p-5, -0x1.897ffc8a53551p-5, -0x1.83916d03b8105p-5, -0x1.7db5cf801dcbp-5, -0x1.77ecfa08ab50ep-5, -0x1.7236c2a2d1736p-5, -0x1.6c92ff5376638p-5, -0x1.67018622091f1p-5, -0x1.61822d1b6e29cp-5, -0x1.5c14ca54cb8ddp-5, -0x1.56b933ee3eb1fp-5, -0x1.516f401569b8cp-5, -0x1.4c36c507efa36p-5, -0x1.470f9915d014bp-5, -0x1.41f992a3aeacap-5, -0x1.3cf4882cfbc79p-5, -0x1.3800504609e34p-5, -0x1.331cc19e0d8dap-5, -0x1.2e49b30105c0bp-5, -0x1.2986fb59908a7p-5, -0x1.24d471b2aba6bp-5, -0x1.2031ed3965f7cp-5, -0x1.1b9f453e785dfp-5, -0x1.171c5137d2992p-5, -0x1.12a8e8c21637dp-5, -0x1.0e44e3a201b1fp-5, -0x1.09f019c5ce24p-5, -0x1.05aa634677947p-5, -0x1.017398690159fp-5, -0x1.fa97233f47fabp-6, -0x1.f2644f15e76f7p-6, -0x1.ea4e65f5f5f49p-6, -0x1.e25519e081d01p-6, -0x1.da781d399b663p-6, -0x1.d2b722ca3ce15p-6, -0x1.cb11ddc21ed97p-6, -0x1.c38801b97ab0bp-6, -0x1.bc1942b2af617p-6, -0x1.b4c5551bdff6dp-6, -0x1.ad8bedd070f31p-6, -0x1.a66cc21a80c84p-6, -0x1.9f6787b447b0cp-6, -0x1.987bf4c965eefp-6, -0x1.91a9bff821df1p-6, -0x1.8af0a0529a113p-6, -0x1.84504d5fe5187p-6, -0x1.7dc87f1d20768p-6, -0x1.7758edfe79318p-6, -0x1.710152f01de5bp-6, -0x1.6ac167572594bp-6, -0x1.6498e5126c9aap-6, -0x1.5e87867b6a99fp-6, -0x1.588d0666eb8d5p-6, -0x1.52a92025cc5ep-6, -0x1.4cdb8f85aa1c2p-6, -0x1.472410d17eea6p-6, -0x1.418260d24052bp-6, -0x1.3bf63ccf65ad7p-6, -0x1.367f628f6e896p-6, -0x1.311d90585dd06p-6, -0x1.2bd084f02a5ebp-6, -0x1.2697ff9d22ef8p-6, -0x1.2173c02651551p-6, -0x1.1c6386d3d1065p-6, -0x1.1767146f179ap-6, -0x1.127e2a433c8d3p-6, -0x1.0da88a1d3ab4ap-6, -0x1.08e5f64c20168p-6, -0x1.043631a13dc48p-6, -0x1.ff31fee0a157cp-7, -0x1.f61c471f3e47p-7, -0x1.ed2ac4b01ee17p-7, -0x1.e45d014a7425ap-7, -0x1.dbb287aae469ep-7, -0x1.d32ae39398068p-7, -0x1.cac5a1cc2f7c3p-7, -0x1.c2825021aceeep-7, -0x1.ba607d665c396p-7, -0x1.b25fb9719d723p-7, -0x1.aa7f951fb241p-7, -0x1.a2bfa25178e8ep-7, -0x1.9b1f73ec1ee04p-7, -0x1.939e9dd8be4cap-7, -0x1.8c3cb50403f09p-7, -0x1.84f94f5db351ep-7, -0x1.7dd403d833525p-7, -0x1.76cc6a6804434p-7, -0x1.6fe21c0331c09p-7, -0x1.6914b2a0c1bb1p-7, -0x1.6263c93800538p-7, -0x1.5bcefbbfe23a7p-7, -0x1.5555e72e4981fp-7, -0x1.4ef829774906ep-7, -0x1.48b5618c5b2fep-7, -0x1.428d2f5b9377p-7, -0x1.3c7f33cec75dbp-7, -0x1.368b180c08f61p-7, -0x1.30b06f3a7dca1p-7, -0x1.2aeee594e2af3p-7, -0x1.25461feae1beep-7, -0x1.1fb5c403412a6p-7, -0x1.1a3d789ae6773p-7, -0x1.14dce563c1f2bp-7, -0x1.0f93b303c19aap-7, -0x1.0a618b13b51b5p-7, -0x1.0546181e30893p-7, -0x1.0041059e65888p-7, -0x1.f6a3fffdf5895p-8, -0x1.ecf16931a1ef4p-8, -0x1.e369a363a547bp-8, -0x1.da0c0cf766652p-8, -0x1.d0d806255b03dp-8, -0x1.c7ccf0f8768b9p-8, -0x1.beea314b98413p-8, -0x1.b62f2cc6ceaedp-8, -0x1.ad9b4adcbe3c2p-8, -0x1.a52df4c7e0edfp-8, -0x1.9ce69587c6b69p-8, -0x1.94c499de4d9bcp-8, -0x1.8cc7704ccaf25p-8, -0x1.84ee89112e1fdp-8, -0x1.7d39562333f84p-8, -0x1.75a74b3158cddp-8, -0x1.6e37dd9e01f45p-8, -0x1.66ea847c791bp-8, -0x1.5fbeb88df3311p-8, -0x1.58b3f43e8425cp-8, -0x1.51c9b3a217b9dp-8, -0x1.4aff7471569cep-8, -0x1.4454b606a32fbp-8, -0x1.3dc8f95ade42cp-8, -0x1.375bc10258063p-8, -0x1.310c9129a12afp-8, -0x1.2adaef9262354p-8, -0x1.24c6639027d52p-8, -0x1.1ece760523b42p-8, -0x1.18f2b15f0bf19p-8, -0x1.1332a193c2e35p-8, -0x1.0d8dd41e275fp-8, -0x1.0803d7fac143bp-8, -0x1.02943da48b499p-8, -0x1.fa7d2e2346697p-9, -0x1.f004ef5feb9d2p-9, -0x1.e5bee8c3ef146p-9, -0x1.dbaa46f6a06bep-9, -0x1.d1c6397b0f9a9p-9, -0x1.c811f2a96d56cp-9, -0x1.be8ca7a84e34ep-9, -0x1.b53590660ddd7p-9, -0x1.ac0be792185d5p-9, -0x1.a30eea9630153p-9, -0x1.9a3dd98fc36c9p-9, -0x1.9197f7493862ap-9, -0x1.891c893341209p-9, -0x1.80cad75e18e7fp-9, -0x1.78a22c72d3037p-9, -0x1.70a1d5acce507p-9, -0x1.68c922d2d4e69p-9, -0x1.61176630857e9p-9, -0x1.598bf48fab65dp-9, -0x1.5226253193a0cp-9, -0x1.4ae551c86d504p-9, -0x1.43c8d670a3e53p-9, -0x1.3cd011aa46d74p-9, -0x1.35fa645271eb4p-9, -0x1.2f47319cb57a1p-9, -0x1.28b5df0cace09p-9, -0x1.2245d46f3c8dep-9, -0x1.1bf67bd43c274p-9, -0x1.15c74187f162dp-9, -0x1.0fb7940c9ce56p-9, -0x1.09c6e4140f028p-9, -0x1.03f4a47947be8p-9, -0x1.fc80947426df7p-10, -0x1.f15298e171a71p-10, -0x1.e65e489b5ce9ap-10, -0x1.dba29a22d50f9p-10, -0x1.d11e880c0938fp-10, -0x1.c6d110f22efc6p-10, -0x1.bcb9376b43e5ap-10, -0x1.b2d601fbc8332p-10, -0x1.a9267b0a92581p-10, -0x1.9fa9b0d4c445bp-10, -0x1.965eb561c1d4cp-10, -0x1.8d449e776abcbp-10, -0x1.845a858e1b1f9p-10, -0x1.7b9f87c50747ap-10, -0x1.7312c5d69be71p-10, -0x1.6ab3640cd1f4p-10, -0x1.62808a35cdf5p-10, -0x1.5a79639879abbp-10, -0x1.529d1ee922409p-10, -0x1.4aeaee3e4a396p-10, -0x1.43620705ae1ap-10, -0x1.3c01a1f909f7fp-10, -0x1.34c8fb1335c08p-10, -0x1.2db751854b9fep-10, -0x1.26cbe7abebaf2p-10, -0x1.200603049986fp-10, -0x1.1964ec230b2fep-10, -0x1.12e7eea6bccp-10, -0x1.0c8e593085197p-10, -0x1.06577d583169cp-10, -0x1.0042afa29dc03p-10, -0x1.f49e8eee162a9p-11, -0x1.e8f93e2b104fbp-11, -0x1.dd9427197f875p-11, -0x1.d26e096055ccdp-11, -0x1.c785aa1c91f1ep-11, -0x1.bcd9d3cdd8262p-11, -0x1.b26956433bcf2p-11, -0x1.a833068828e6fp-11, -0x1.9e35bed194493p-11, -0x1.94705e6b42be4p-11, -0x1.8ae1c9a510b3bp-11, -0x1.8188e9c13b8f4p-11, -0x1.7864ace155dccp-11, -0x1.6f7405f4b843p-11, -0x1.66b5eca698d99p-11, -0x1.5e295d4c6031dp-11, -0x1.55cd58d416782p-11, -0x1.4da0e4b328d9fp-11, -0x1.45a30ad51506fp-11, -0x1.3dd2d98a7d2dep-11, -0x1.362f637863d4bp-11, -0x1.2eb7bf873699dp-11, -0x1.276b08d2ac671p-11, -0x1.20485e9935c18p-11, -0x1.194ee42c1347fp-11, -0x1.127dc0dee95cep-11, -0x1.0bd41ff834c53p-11, -0x1.055130a1c92f4p-11, -0x1.fde84bb1f129p-12, -0x1.f1786cbf084a2p-12, -0x1.e5513958de7f7p-12, -0x1.d9712db9c5b5p-12, -0x1.cdd6cd4b4945ap-12, -0x1.c280a28884e98p-12, -0x1.b76d3ee14974cp-12, -0x1.ac9b3a9e0918ep-12, -0x1.a20934c2c197cp-12, -0x1.97b5d2f3c20abp-12, -0x1.8d9fc15a5ea67p-12, -0x1.83c5b28949f9p-12, -0x1.7a265f61bc6b8p-12, -0x1.70c086f94b67dp-12, -0x1.6792ee7fc24bap-12, -0x1.5e9c612531662p-12, -0x1.55dbb000a3985p-12, -0x1.4d4fb1f6ff30fp-12, -0x1.44f743a2455bep-12, -0x1.3cd1473943f6p-12, -0x1.34dca4774760cp-12, -0x1.2d1848846fd0bp-12, -0x1.258325df41dccp-12, -0x1.1e1c3443e0f9cp-12, -0x1.16e2709682912p-12, -0x1.0fd4dccd07925p-12, -0x1.08f27fd8631f8p-12, -0x1.023a658f44237p-12, -0x1.f7573d31266e9p-13, -0x1.ea8a80acaf562p-13, -0x1.de0cc9a1cf863p-13, -0x1.d1dc554533878p-13, -0x1.c5f769c67ec9ep-13, -0x1.ba5c56295b5fep-13, -0x1.af09721dede7p-13, -0x1.a3fd1dda55dabp-13, -0x1.9935c1f4d56f4p-13, -0x1.8eb1cf3dd398cp-13, -0x1.846fbe9d1c887p-13, -0x1.7a6e10eb0aa07p-13, -0x1.70ab4ecde3c44p-13, -0x1.6726089741779p-13, -0x1.5ddcd61ff6951p-13, -0x1.54ce56a7e6b9ap-13, -0x1.4bf930b31f203p-13, -0x1.435c11e9196eep-13, -0x1.3af5aef428d97p-13, -0x1.32c4c3616babdp-13, -0x1.2ac8118106b05p-13, -0x1.22fe624729726p-13, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.152dd098558f6p+0, -0x1.f2b2444b7fe89p-1, -0x1.b4b4f8e3c7548p-1, -0x1.7226d8cc3c255p-1, -0x1.2caa2d5399f33p-1, -0x1.cb7232420f304p-2, -0x1.3d42e027400cp-2, -0x1.620ca41c1a38ep-3, -0x1.450d21546bc5p-5, 0x1.69746f17ef6cap-4, 0x1.ad7266f6e2e7ep-3, 0x1.4b803a6e7576ap-2, 0x1.b8026ecb0999p-2, 0x1.0de56d01f59aep-1, 0x1.3b4bc4300ad8fp-1, 0x1.642904a0f19fap-1, 0x1.888434848e405p-1, 0x1.a8735c3e8c82ap-1, 0x1.c41894f1040e2p-1, 0x1.db9f67fd6dd6cp-1, 0x1.ef3a7e7dc3d38p-1, 0x1.ff2190eb156d9p-1, 0x1.05c7d6513f001p+0, 0x1.0a6107ac2b7d5p+0, 0x1.0d7b3f2f82756p+0, 0x1.0f353766a8c63p+0, 0x1.0fad23a81a77cp+0, 0x1.0f0064474178fp+0, 0x1.0d4b4983e75ebp+0, 0x1.0aa8e445af045p+0, 0x1.0732e4b5ae4b5p+0, 0x1.030185d3700efp+0, 0x1.fc570762a846ap-1, 0x1.f18c32c30a5ffp-1, 0x1.e5ca0869e71ddp-1, 0x1.d935160bb08b2p-1, 0x1.cbef11c8ec95bp-1, 0x1.be16f4f5728f8p-1, 0x1.afc91ac7f1dd8p-1, 0x1.a11f61b3c26e6p-1, 0x1.92314e8ba0834p-1, 0x1.831430909acc5p-1, 0x1.73db4571294c4p-1, 0x1.6497dc660cbd4p-1, 0x1.55597811383bap-1, 0x1.462def275a429p-1, 0x1.37218bf8e8c84p-1, 0x1.283f2abdcfcc1p-1, 0x1.199056624535dp-1, 0x1.0b1d63a486485p-1, 0x1.f9db15097945bp-2, 0x1.de0dfc550df69p-2, 0x1.c2de06bd2f91fp-2, 0x1.a8540b33bfdbep-2, 0x1.8e77552f4e69cp-2, 0x1.754dc8c221f61p-2, 0x1.5cdc03cfc6525p-2, 0x1.45257cc8d89c7p-2, 0x1.2e2c9f63d4f8ep-2, 0x1.17f2e7a3b0129p-2, 0x1.0278fb3b8efecp-2, 0x1.db7d82512dd53p-3, 0x1.b386ee9580dd9p-3, 0x1.8d0b0b948adap-3, 0x1.68075a9d9d957p-3, 0x1.447688652e71ap-3, 0x1.2253187f692ap-3, 0x1.0196dfef0edc8p-3, 0x1.c4763f43fb83bp-4, 0x1.8871379d75ac8p-4, 0x1.4f0f60c8ce382p-4, 0x1.1840c5cc89c17p-4, 0x1.c7e9c886a1ddbp-5, 0x1.643590c18fb0cp-5, 0x1.05424cb222b84p-5, 0x1.55d9c7139979bp-6, 0x1.54479b1ee0265p-7, 0x1.c6dd698ae8703p-12, -0x1.270d0d3a53fb1p-7, -0x1.260936ab69e1fp-6, -0x1.b0b334d81d194p-6, -0x1.19e5377679ec7p-5, -0x1.57c9fb198fe57p-5, -0x1.9229eb75cfd19p-5, -0x1.c9267b6b3c137p-5, -0x1.fce07d0c7b0d6p-5, -0x1.16bc0b6713f7fp-4, -0x1.2d865d7a1a912p-4, -0x1.42de90629f55cp-4, -0x1.56d39f8f3431fp-4, -0x1.6974240ddf714p-4, -0x1.7ace52d15e0a4p-4, -0x1.8aeffb590ed6fp-4, -0x1.99e686b4ba285p-4, -0x1.a7bef6e1f6167p-4, -0x1.b485e682f4899p-4, -0x1.c04788ef4ab6p-4, -0x1.cb0faa9e70999p-4, -0x1.d4e9b1ead933p-4, -0x1.dde0a02a4d597p-4, -0x1.e5ff13162274cp-4, -0x1.ed4f467ae04ap-4, -0x1.f3db1624b2966p-4, -0x1.f9abfffc088bdp-4, -0x1.fecb2645323e7p-4, -0x1.01a0a8fb31aecp-3, -0x1.038b7a8ca1958p-3, -0x1.052a16980095cp-3, -0x1.068062cc57421p-3, -0x1.07921cf63b067p-3, -0x1.0862dc2d0fa9cp-3, -0x1.08f611fe6343ap-3, -0x1.094f0b97ce34ap-3, -0x1.0970f2efc2703p-3, -0x1.095ecfed26095p-3, -0x1.091b898d4241p-3, -0x1.08a9e7073862p-3, -0x1.080c90ebe04d3p-3, -0x1.074612410d396p-3, -0x1.0658d9974c09dp-3, -0x1.05473a1957f5dp-3, -0x1.04136c94d78ccp-3, -0x1.02bf907c25666p-3, -0x1.014dace102308p-3, -0x1.ff7f62d07a98ap-4, -0x1.fc2eee6c91172p-4, -0x1.f8ad83a97fb36p-4, -0x1.f4fe802175305p-4, -0x1.f12519a3c4903p-4, -0x1.ed245fd42c6b9p-4, -0x1.e8ff3dbb216d1p-4, -0x1.e4b87b470c1dp-4, -0x1.e052bebe880f4p-4, -0x1.dbd08e2416cd7p-4, -0x1.d734508bb38f4p-4, -0x1.d2804f631adc3p-4, -0x1.cdb6b7ad7602ap-4, -0x1.c8d99b333d803p-4, -0x1.c3eaf1a7121afp-4, -0x1.beec99c030493p-4, -0x1.b9e05a4aeaf7fp-4, -0x1.b4c7e32f9c864p-4, -0x1.afa4ce701c08p-4, -0x1.aa78a11bed584p-4, -0x1.a544cc3b135c3p-4, -0x1.a00aadaf8f026p-4, -0x1.9acb910d9c982p-4, -0x1.95889e29a2c82p-4, -0x1.904327c896854p-4, -0x1.8afc3035ad478p-4, -0x1.85b4c14daaadp-4, -0x1.806dd6580e3cdp-4, -0x1.7b285cae2acd7p-4, -0x1.75e5345aa02dap-4, -0x1.70a530b19012ep-4, -0x1.6b6918e1ea239p-4, -0x1.6631a8802879ep-4, -0x1.60ff900adabfp-4, -0x1.5bd37569582d4p-4, -0x1.56adf464efe94p-4, -0x1.518f9f1ce5cdcp-4, -0x1.4c78fe758c95ep-4, -0x1.476a9282be51bp-4, -0x1.4264d2edf7382p-4, -0x1.3d682f5848802p-4, -0x1.38750fb8596e7p-4, -0x1.338bd4b49fc38p-4, -0x1.2eacd7f9fda0bp-4, -0x1.29d86c8ee1375p-4, -0x1.250edf230c41cp-4, -0x1.2050765c1ad8ep-4, -0x1.1b9d731ee7345p-4, -0x1.16f610d5e052fp-4, -0x1.125a85b46dc1fp-4, -0x1.0dcb02f774bd5p-4, -0x1.0947b523171e3p-4, -0x1.04d0c43dc37ccp-4, -0x1.00665408adbe5p-4, -0x1.f811086b8d27ep-5, -0x1.ef6ee136989b9p-5, -0x1.e6e662ca1a926p-5, -0x1.de77b686e6664p-5, -0x1.d622ff30e2a91p-5, -0x1.cde85944dd6e9p-5, -0x1.c5c7db4a82da1p-5, -0x1.bdc19622ade04p-5, -0x1.b5d59552355fbp-5, -0x1.ae03df496b63dp-5, -0x1.a64c75a86e3d9p-5, -0x1.9eaf55807a3ccp-5, -0x1.972c77925b5b2p-5, -0x1.8fc3d08a22bbep-5, -0x1.8875513843898p-5, -0x1.8140e6c830865p-5, -0x1.7a267af49a555p-5, -0x1.7325f4396aa03p-5, -0x1.6c3f36038fceep-5, -0x1.657220deb847p-5, -0x1.5ebe92a10ecbp-5, -0x1.58246695103f6p-5, -0x1.51a375a18cc82p-5, -0x1.4b3b966feb773p-5, -0x1.44ec9d90be9eap-5, -0x1.3eb65d9ebde28p-5, -0x1.3898a76033c41p-5, -0x1.329349e6f2599p-5, -0x1.2ca612aedc91ep-5, -0x1.26d0cdbb0f45ep-5, -0x1.211345b1c09c8p-5, -0x1.1b6d43f6d9a02p-5, -0x1.15de90c55fd58p-5, -0x1.1066f347b30dep-5, -0x1.0b0631aeb2732p-5, -0x1.05bc1147d0323p-5, -0x1.0088569221d68p-5, -0x1.f6d58aa4e8bf7p-6, -0x1.ecc6414ce4fd9p-6, -0x1.e2e2562dca23ep-6, -0x1.d9294d522f73ap-6, -0x1.cf9aa9ded55adp-6, -0x1.c635ee3238b62p-6, -0x1.bcfa9c029e1e9p-6, -0x1.b3e8347ab21dp-6, -0x1.aafe3854c498bp-6, -0x1.a23c27f4ad938p-6, -0x1.99a1838073212p-6, -0x1.912dcaf7b3696p-6, -0x1.88e07e49e2e59p-6, -0x1.80b91d6b728c2p-6, -0x1.78b72869db1aap-6, -0x1.70da1f7ea8ef7p-6, -0x1.6921832183864p-6, -0x1.618cd4194937ep-6, -0x1.5a1b938c415bp-6, -0x1.52cd430f6bcep-6, -0x1.4ba164b5019ecp-6, -0x1.44977b1a25675p-6, -0x1.3daf0973d173bp-6, -0x1.36e7939b0a047p-6, -0x1.30409e185b6cap-6, -0x1.29b9ae2eb169fp-6, -0x1.235249e584317p-6, -0x1.1d09f8126c157p-6, -0x1.16e040621c77cp-6, -0x1.10d4ab60d4cffp-6, -0x1.0ae6c2823f538p-6, -0x1.05161028d310cp-6, -0x1.fec43f59664cfp-7, -0x1.f394fac43691ap-7, -0x1.e89d6d3e9c9f5p-7, -0x1.dddcb38447536p-7, -0x1.d351ec6a378ccp-7, -0x1.c8fc38e833732p-7, -0x1.bedabc216dacp-7, -0x1.b4ec9b6c6d28fp-7, -0x1.ab30fe5a4239p-7, -0x1.a1a70ebd1c91ep-7, -0x1.984df8ae20893p-7, -0x1.8f24ea92bad3dp-7, -0x1.862b152145c11p-7, -0x1.7d5fab6523216p-7, -0x1.74c1e2c2561b4p-7, -0x1.6c50f2f87f5f6p-7, -0x1.640c162572a01p-7, -0x1.5bf288c73de38p-7, -0x1.540389bdc5e02p-7, -0x1.4c3e5a4bf32a2p-7, -0x1.44a23e186e825p-7, -0x1.3d2e7b2dfe6cfp-7, -0x1.35e259fb7f502p-7, -0x1.2ebd255382e84p-7, -0x1.27be2a6b95f1cp-7, -0x1.20e4b8db349e6p-7, -0x1.1a30229a6e65fp-7, -0x1.139fbc0040a81p-7, -0x1.0d32dbc0a8af3p-7, -0x1.06e8daea74663p-7, -0x1.00c114e4d0e81p-7, -0x1.f575ced93eb91p-8, -0x1.e9ab65231db83p-8, -0x1.de21b166028a6p-8, -0x1.d2d77cf97ace8p-8, -0x1.c7cb95c6e1cf8p-8, -0x1.bcfcce420963cp-8, -0x1.b269fd618eeb8p-8, -0x1.a811fe96de668p-8, -0x1.9df3b1c5ec5a9p-8, -0x1.940dfb3ca643p-8, -0x1.8a5fc3aa23ab9p-8, -0x1.80e7f8159765ap-8, -0x1.77a589d505e9dp-8, -0x1.6e976e83c9576p-8, -0x1.65bc9ff8ddffdp-8, -0x1.5d141c3d0472p-8, -0x1.549ce580b67c7p-8, -0x1.4c560211f2863p-8, -0x1.443e7c51e5b2p-8, -0x1.3c5562aa70d8fp-8, -0x1.3499c7838ff77p-8, -0x1.2d0ac138a5bccp-8, -0x1.25a76a0dadc4ep-8, -0x1.1e6ee024560d6p-8, -0x1.17604571073f7p-8, -0x1.107abfafd7dc6p-8, -0x1.09bd78597398fp-8, -0x1.03279c97efdbep-8, -0x1.f970ba7736e81p-9, -0x1.ecdddd5f7fe69p-9, -0x1.e09511debb60dp-9, -0x1.d494cef3c6901p-9, -0x1.c8db928fc0a98p-9, -0x1.bd67e17f6e9d9p-9, -0x1.b23847549d277p-9, -0x1.a74b564f87ed5p-9, -0x1.9c9fc85d2effdp-9, -0x1.9233fa8e8a918p-9, -0x1.8806b3cd046ccp-9, -0x1.7e16a02fe551cp-9, -0x1.7462720c4690cp-9, -0x1.6ae8e1decbeb2p-9, -0x1.61a8ae357c6aep-9, -0x1.58a09b99b00ebp-9, -0x1.4fcf747a175b2p-9, -0x1.47340914e662ap-9, -0x1.3ecd2f621923ap-9, -0x1.3699c2fddacdp-9, -0x1.2e98a513110a4p-9, -0x1.26c8bc4607f63p-9, -0x1.1f28f49f4846ap-9, -0x1.17b83f768f3e5p-9, -0x1.1075935df4c94p-9, -0x1.095fec0d347f1p-9, -0x1.02764a4d27104p-9, -0x1.f76f67c6cab6cp-10, -0x1.ea4666fc2ed6cp-10, -0x1.dd6fb13fe21eap-10, -0x1.d0e96f18c3591p-10, -0x1.c4b1d267d6f1ap-10, -0x1.b8c7164163bfep-10, -0x1.ad277ec66d456p-10, -0x1.a1d158fe8d9fap-10, -0x1.96c2fab2370ecp-10, -0x1.8bfac2455ad15p-10, -0x1.817716927554ap-10, -0x1.773666c5ffb9cp-10, -0x1.6d372a3a4e914p-10, -0x1.6377e053cf29ap-10, -0x1.59f7105db9f68p-10, -0x1.50b34967238a5p-10, -0x1.47ab22207d078p-10, -0x1.3edd38b97c26cp-10, -0x1.364832bf71935p-10, -0x1.2deabcfc013c2p-10, -0x1.25c38b544fbc3p-10, -0x1.1dd158a88d36bp-10, -0x1.1612e6b3faebdp-10, -0x1.0e86fded477f4p-10, -0x1.072c6d6767189p-10, -0x1.00020ab2ca6cap-10, -0x1.f20d637e0348ap-11, -0x1.e472897994aa6p-11, -0x1.d731580107a5cp-11, -0x1.ca47abca1ae55p-11, -0x1.bdb36d5e17a81p-11, -0x1.b17290e12b7dcp-11, -0x1.a58315da8fd2bp-11, -0x1.99e306fd7e669p-11, -0x1.8e9079f2f0dedp-11, -0x1.83898f242b03dp-11, -0x1.78cc71860d65cp-11, -0x1.6e57566531187p-11, -0x1.64287d32c95d7p-11, -0x1.5a3e2f5248fd2p-11, -0x1.5096bfe7ce3bp-11, -0x1.47308ba74f8b6p-11, -0x1.3e09f8a4873d2p-11, -0x1.35217623a30b2p-11, -0x1.2c757c6aade73p-11, -0x1.24048c93b7d26p-11, -0x1.1bcd305fb7b4ap-11, -0x1.13cdfa0a27e17p-11, -0x1.0c05841d581b1p-11, -0x1.04727147795b9p-11, -0x1.fa26d860b19d6p-12, -0x1.ebce4e9faa0a8p-12, -0x1.ddd8b989f8fbbp-12, -0x1.d0439c5bc4401p-12, -0x1.c30c890038ce5p-12, -0x1.b6311fc3e3e0dp-12, -0x1.a9af0f0862cbdp-12, -0x1.9d8412f960fdcp-12, -0x1.91adf542e8386p-12, -0x1.862a8cc8fa004p-12, -0x1.7af7bd6071cf8p-12, -0x1.701377892bfe8p-12, -0x1.657bb82968d32p-12, -0x1.5b2e884a72ec3p-12, -0x1.5129fcd67bf93p-12, -0x1.476c3657b0a49p-12, -0x1.3df360b87c093p-12, -0x1.34bdb304fe4d1p-12, -0x1.2bc96f2dac054p-12, -0x1.2314e1cb12564p-12, -0x1.1a9e61e2c4c3fp-12, -0x1.126450ad65621p-12, -0x1.0a65195dcb725p-12, -0x1.029f30e941aedp-12, -0x1.f6222ba1b31b2p-13, -0x1.e7729fd79df7p-13, -0x1.d92ce065ef356p-13, -0x1.cb4e211a72ee5p-13, -0x1.bdd3a73a1996cp-13, -0x1.b0bac91de9223p-13, -0x1.a400edd1f7a8bp-13, -0x1.97a38cb64f24p-13, -0x1.8ba02d21bdde5p-13, -0x1.7ff46606860fep-13, -0x1.749ddd98e3a9cp-13, -0x1.699a48f76b011p-13, -0x1.5ee76bd5263c8p-13, -0x1.548318257603cp-13, -0x1.4a6b2dc9b572cp-13, -0x1.409d9a4076f95p-13, -0x1.371858567ffcfp-13, -0x1.2dd96fd956334p-13, -0x1.24def54b6c37ap-13, -0x1.1c270999d8a52p-13, -0x1.13afd9d39a675p-13, -0x1.0b779ee257599p-13, -0x1.037c9d4498cd1p-13, -0x1.f77a4992eb81dp-14, -0x1.e86f209b4c93bp-14, -0x1.d9d48af3f5867p-14, -0x1.cba769065f27ap-14, -0x1.bde4afd6136c6p-14, -0x1.b08968859ddc8p-14, -0x1.a392afddf619bp-14, -0x1.96fdb5d863c91p-14, -0x1.8ac7bd2ae2b83p-14, -0x1.7eee1ad6e0b06p-14, -0x1.736e35ba549c7p-14, -0x1.68458623262cp-14, -0x1.5d719564ce5ccp-14, -0x1.52effd7032b54p-14, -0x1.48be686daafbap-14, -0x1.3eda90591a2b3p-14, -0x1.35423ea0357fap-14, -0x1.2bf34bc2b693p-14, -0x1.22eb9ef4a5c58p-14, -0x1.1a292dc294f17p-14, -0x1.11a9fbb7c7b72p-14, -0x1.096c1a06422c6p-14, -0x1.016da730b6e8fp-14, -0x1.f3599d6c9289dp-15, -0x1.e44f918031969p-15, -0x1.d5b9b3a13353dp-15, -0x1.c794a4e947ecp-15, -0x1.b9dd1dec81979p-15, -0x1.ac8fee2232027p-15, -0x1.9fa9fb513727cp-15, -0x1.932840ff81f52p-15, -0x1.8707cfe4bb541p-15, -0x1.7b45cd60355b1p-15, -0x1.6fdf72f1d56c2p-15, -0x1.64d20db62c936p-15, -0x1.5a1afde57335dp-15, -0x1.4fb7b6558bbap-15, -0x1.45a5bbfee8814p-15, -0x1.3be2a5844eb33p-15, -0x1.326c1abd66037p-15, -0x1.293fd4440ddebp-15, -0x1.205b9b0467ca2p-15, -0x1.17bd47cfa1c2bp-15, -0x1.0f62c2f132cb8p-15, -0x1.074a03c6dce3ep-15, -0x1.fee220b62131bp-16, -0x1.efabfa03d35cdp-16, -0x1.e0edd7f10c5e8p-16, -0x1.d2a41a0d9de4bp-16, -0x1.c4cb3a4720e1cp-16, -0x1.b75fcc35c890ep-16, -0x1.aa5e7c6dbab96p-16, -0x1.9dc40fd4c083fp-16, -0x1.918d62fc657f1p-16, -0x1.85b769803c0cap-16, -0x1.7a3f2d684f24fp-16, -0x1.6f21ce8f9bf6ep-16, -0x1.645c820e7e806p-16, -0x1.59ec91a92ea94p-16, -0x1.4fcf5b418b538p-16, -0x1.4602504d26357p-16, -0x1.3c82f54e897bap-16, -0x1.334ee152279b6p-16, -0x1.2a63bd6ea83cp-16, -0x1.21bf444895d0ep-16, -0x1.195f419942d1dp-16, -0x1.114191b8dea47p-16, -0x1.0964212b99118p-16, -0x1.01c4ec31c241ep-16, -0x1.f4c3fcb5bead1p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.e80d3b3fac334p-3, 0x1.ddb1339add97p-3, 0x1.dd438ca901804p-3, 0x1.e5a0e8b178461p-3, 0x1.f5661ce2f30aep-3, 0x1.05892a05cba23p-2, 0x1.1290ad8bb7d51p-2, 0x1.210f80664d697p-2, 0x1.305a500aac7fap-2, 0x1.3fd8d166e2bccp-2, 0x1.4f0800a8747edp-2, 0x1.5d7ae716a4003p-2, 0x1.6ada46e49dbabp-2, 0x1.76e37326366cbp-2, 0x1.816699ab58fdp-2, 0x1.8a44c225561fep-2, 0x1.916db06efc287p-2, 0x1.96ddbf54d5272p-2, 0x1.9a9bc2210a21cp-2, 0x1.9cb7000ee11b6p-2, 0x1.9d455d0da629fp-2, 0x1.9c61b1394d42p-2, 0x1.9a2a923dcd226p-2, 0x1.96c0b0154b829p-2, 0x1.92461843b31b8p-2, 0x1.8cdd3f3e76293p-2, 0x1.86a84276bf045p-2, 0x1.7fc852f1225a3p-2, 0x1.785d45d56243bp-2, 0x1.708544359279cp-2, 0x1.685c9239a6358p-2, 0x1.5ffd67be8b963p-2, 0x1.577fd7643b1f5p-2, 0x1.4ef9c3030b736p-2, 0x1.467edcb6060b5p-2, 0x1.3e20b2a8a7374p-2, 0x1.35eec2e0b9213p-2, 0x1.2df6941dffddfp-2, 0x1.2643d189400dbp-2, 0x1.1ee067be86c33p-2, 0x1.17d4a2634f3bdp-2, 0x1.112749e768402p-2, 0x1.0addc157113d8p-2, 0x1.04fc243ec2c3fp-2, 0x1.ff0ac9029a7f2p-3, 0x1.f4f6cf77ec841p-3, 0x1.ebbe4738d8a3p-3, 0x1.e3617119af2a5p-3, 0x1.dbdf14a8b570bp-3, 0x1.d534ad36c8ef5p-3, 0x1.cf5e9300ffaf1p-3, 0x1.ca5820ff0f739p-3, 0x1.c61bd7c3a311ap-3, 0x1.c2a37db17dc66p-3, 0x1.bfe83caf50c29p-3, 0x1.bde2bd83683b5p-3, 0x1.bc8b4107c147dp-3, 0x1.bbd9b762d3973p-3, 0x1.bbc5d55b4144ep-3, 0x1.bc4727be99ecdp-3, 0x1.bd5524be866b4p-3, 0x1.bee73b2886af4p-3, 0x1.c0f4df742bc5ap-3, 0x1.c375abf5327e4p-3, 0x1.c6612684497p-3, 0x1.c9af0c42343adp-3, 0x1.cd57447fd7502p-3, 0x1.d151e6c8898f7p-3, 0x1.d59740263fb28p-3, 0x1.da1fd78d85d3cp-3, 0x1.dee471890b51p-3, 0x1.e3de1335a533bp-3, 0x1.e906049b206e7p-3, 0x1.ee55d26c2f407p-3, 0x1.f3c74f382315ap-3, 0x1.f954941acfba1p-3, 0x1.fef800f8ef5d3p-3, 0x1.02561e2c0d1efp-2, 0x1.05361970a377ep-2, 0x1.08198b4da13f8p-2, 0x1.0afe2ef469c2ap-2, 0x1.0de1e12a2441fp-2, 0x1.10c29f98390ffp-2, 0x1.139e880ac0c6cp-2, 0x1.1673d79f53e85p-2, 0x1.1940e9e5fb836p-2, 0x1.1c0437f58228fp-2, 0x1.1ebc57741402dp-2, 0x1.2167f9955f452p-2, 0x1.2405ea0fb8e22p-2, 0x1.26950e0a88baap-2, 0x1.29146308bba7fp-2, 0x1.2b82fdd25306ap-2, 0x1.2de0096010556p-2, 0x1.302ac5cbcc376p-2, 0x1.3262874760285p-2, 0x1.3486b51b42835p-2, 0x1.3696c8ad47a75p-2, 0x1.38924c8f8c9ddp-2, 0x1.3a78db973b3a3p-2, 0x1.3c4a1ffad652dp-2, 0x1.3e05d277c5f43p-2, 0x1.3fabb97eec946p-2, 0x1.413ba86829201p-2, 0x1.42b57eacab7f1p-2, 0x1.44192727fe17dp-2, 0x1.4566975f9e0edp-2, 0x1.469dced0f2c2dp-2, 0x1.47bed6457abcbp-2, 0x1.48c9bf2d1420dp-2, 0x1.49bea2fe5a096p-2, 0x1.4a9da29d3eceap-2, 0x1.4b66e5c80de6ap-2, 0x1.4c1a9a8b337abp-2, 0x1.4cb8f4bc0bab8p-2, 0x1.4d422d7b0a6f7p-2, 0x1.4db682bd5d085p-2, 0x1.4e1636de0a571p-2, 0x1.4e6190366a78ap-2, 0x1.4e98d8bda0597p-2, 0x1.4ebc5daea0b2bp-2, 0x1.4ecc6f343e1b8p-2, 0x1.4ec9601aa5155p-2, 0x1.4eb38585b4bd6p-2, 0x1.4e8b36abb7adbp-2, 0x1.4e50cc940b941p-2, 0x1.4e04a1d9622d5p-2, 0x1.4da7126f5fd4p-2, 0x1.4d387b6b68239p-2, 0x1.4cb93ad07ebcbp-2, 0x1.4c29af5e25bc9p-2, 0x1.4b8a3862261d3p-2, 0x1.4adb358d361ddp-2, 0x1.4a1d06ca5d291p-2, 0x1.49500c1904108p-2, 0x1.4874a5699264dp-2, 0x1.478b327c72a68p-2, 0x1.469412c366p-2, 0x1.458fa545085p-2, 0x1.447e48826234ap-2, 0x1.43605a5e7e1a5p-2, 0x1.42363807e5e95p-2, 0x1.41003de3fd02fp-2, 0x1.3fbec77c2aad7p-2, 0x1.3e722f6cc82dap-2, 0x1.3d1acf55c71fap-2, 0x1.3bb8ffccfc431p-2, 0x1.3a4d1c4d759e9p-2, 0x1.38d7721b16e75p-2, 0x1.37585b432c9c1p-2, 0x1.35d02bdab4f93p-2, 0x1.343f36bf94348p-2, 0x1.32a5cd91a8845p-2, 0x1.310440acd9b7ep-2, 0x1.2f5adf241258fp-2, 0x1.2da9f6bd12f22p-2, 0x1.2bf1d3ed12b8cp-2, 0x1.2a32c1d61dc52p-2, 0x1.286d0a4521e49p-2, 0x1.26a0f5b09b82ep-2, 0x1.24cecb37d659ap-2, 0x1.22f6d0a2b12fp-2, 0x1.21194a61de7cfp-2, 0x1.1f367b8f8ff71p-2, 0x1.1d4ea5f088faep-2, 0x1.1b6209f587a4p-2, 0x1.1970e6bd06474p-2, 0x1.177b7a15426aep-2, 0x1.1582007e8a8dcp-2, 0x1.1384b52dcc952p-2, 0x1.1183d20f5c159p-2, 0x1.0f7f8fc9ec10cp-2, 0x1.0d7825c1becc2p-2, 0x1.0b6dca1bfe1d4p-2, 0x1.0960b1c243369p-2, 0x1.0751106642f49p-2, 0x1.053f18859ffe1p-2, 0x1.032afb6de0842p-2, 0x1.0114e9408108dp-2, 0x1.fdfa21ee4cc02p-3, 0x1.f9c740cfcd1e3p-3, 0x1.f5918893557adp-3, 0x1.f159507141f67p-3, 0x1.ed1eed757bb9dp-3, 0x1.e8e2b28896907p-3, 0x1.e4a4f078f126fp-3, 0x1.e065f603ec277p-3, 0x1.dc260fdf11811p-3, 0x1.d7e588c13baf9p-3, 0x1.d3a4a96bad2d7p-3, 0x1.cf63b8b318112p-3, 0x1.cb22fb8885ffp-3, 0x1.c6e2b50231289p-3, 0x1.c2a32664306e1p-3, 0x1.be648f29148dp-3, 0x1.ba272d0a59536p-3, 0x1.b5eb3c08bb8e4p-3, 0x1.b1b0f6746f4dep-3, 0x1.ad7894f53760ap-3, 0x1.a9424e925d235p-3, 0x1.a50e58ba8b4abp-3, 0x1.a0dce74b91cep-3, 0x1.9cae2c9a06a2fp-3, 0x1.98825978d9471p-3, 0x1.94599d40bc115p-3, 0x1.903425d789fe8p-3, 0x1.8c121fb784075p-3, 0x1.87f3b5f67dc04p-3, 0x1.83d9124cf31aep-3, 0x1.7fc25d1d0666dp-3, 0x1.7bafbd79622d8p-3, 0x1.77a1592c0894bp-3, 0x1.739754bd093f2p-3, 0x1.6f91d3791944ep-3, 0x1.6b90f77818b2dp-3, 0x1.6794e1a378601p-3, 0x1.639db1bc89c53p-3, 0x1.5fab8662ac862p-3, 0x1.5bbe7d196c267p-3, 0x1.57d6b24e72a3fp-3, 0x1.53f4415f6cfe3p-3, 0x1.5017449fc4a48p-3, 0x1.4c3fd55e49efcp-3, 0x1.486e0beab2a0fp-3, 0x1.44a1ff9b04253p-3, 0x1.40dbc6d0de2e8p-3, 0x1.3d1b76fea2ff6p-3, 0x1.396124ac88d6fp-3, 0x1.35ace37d8ad1cp-3, 0x1.31fec6343be2dp-3, 0x1.2e56deb78049bp-3, 0x1.2ab53e172e682p-3, 0x1.2719f49091af5p-3, 0x1.23851192d4ec5p-3, 0x1.1ff6a3c35858dp-3, 0x1.1c6eb901ed496p-3, 0x1.18ed5e6cfe80cp-3, 0x1.1572a065a52ap-3, 0x1.11fe8a93a8b5fp-3, 0x1.0e9127e96c3f9p-3, 0x1.0b2a82a7ccfd4p-3, 0x1.07caa461f29e2p-3, 0x1.0471960108c92p-3, 0x1.011f5fc7f3557p-3, 0x1.fba812addc8ddp-4, 0x1.f51f335e44b7cp-4, 0x1.eea42e6c5fdb3p-4, 0x1.e8370f7347a6dp-4, 0x1.e1d7e0e4da4dcp-4, 0x1.db86ac1071495p-4, 0x1.d543792999dd2p-4, 0x1.cf0e4f4e9e1b7p-4, 0x1.c8e7348f035b2p-4, 0x1.c2ce2df1ec885p-4, 0x1.bcc33f7c604efp-4, 0x1.b6c66c377866ap-4, 0x1.b0d7b6367a001p-4, 0x1.aaf71e9cd20cap-4, 0x1.a524a5a3f1db4p-4, 0x1.9f604aa121275p-4, 0x1.99aa0c0b2b362p-4, 0x1.9401e77ff0288p-4, 0x1.8e67d9c9eb371p-4, 0x1.88dbdee590786p-4, 0x1.835df2069c0d3p-4, 0x1.7dee0d9d45809p-4, 0x1.788c2b5b5b0eap-4, 0x1.7338443947a1bp-4, 0x1.6df2507b00b53p-4, 0x1.68ba47b4dd87ap-4, 0x1.639020d05af1cp-4, 0x1.5e73d210c69d7p-4, 0x1.59655117d9dffp-4, 0x1.546492ea3d87fp-4, 0x1.4f718bf3fb8dep-4, 0x1.4a8c300cdea4cp-4, 0x1.45b4727cbd62ep-4, 0x1.40ea45ffb6d14p-4, 0x1.3c2d9cca5a64cp-4, 0x1.377e688dc2128p-4, 0x1.32dc9a7b9a177p-4, 0x1.2e48234a1972dp-4, 0x1.29c0f337ea8aap-4, 0x1.2546fa1005908p-4, 0x1.20da272d79a92p-4, 0x1.1c7a697f2a4a1p-4, 0x1.1827af8b7affep-4, 0x1.13e1e773eff26p-4, 0x1.0fa8fef8bdb22p-4, 0x1.0b7ce37c4d0f8p-4, 0x1.075d8206affdbp-4, 0x1.034ac74909172p-4, 0x1.fe893f41cd48cp-5, 0x1.f695ee371b9a9p-5, 0x1.eebb72f2756b6p-5, 0x1.e6f9a460a3a4ap-5, 0x1.df5058e109db7p-5, 0x1.d7bf664bd48dfp-5, 0x1.d046a1f80b95cp-5, 0x1.c8e5e0c18e153p-5, 0x1.c19cf70eefc88p-5, 0x1.ba6bb8d73e1p-5, 0x1.b351f9a7aaf13p-5, 0x1.ac4f8ca91c4bdp-5, 0x1.a56444a5a213fp-5, 0x1.9e8ff40dd1cecp-5, 0x1.97d26cfe08059p-5, 0x1.912b81438ea1ep-5, 0x1.8a9b0261ac103p-5, 0x1.8420c196947aep-5, 0x1.7dbc8fe046431p-5, 0x1.776e3e0147289p-5, 0x1.71359c854e185p-5, 0x1.6b127bc5cf6c8p-5, 0x1.6504becdaa8eap-5, 0x1.5f0c0ece42937p-5, 0x1.59284f96e2a36p-5, 0x1.535950e2ce3c4p-5, 0x1.4d9ee24ff7ae7p-5, 0x1.47f8d36302ca9p-5, 0x1.4266f38b310b4p-5, 0x1.3ce912263739bp-5, 0x1.377efe8400c7p-5, 0x1.322887ea58c2p-5, 0x1.2ce57d988134ep-5, 0x1.27b5aecab6cfep-5, 0x1.2298eabd97b9p-5, 0x1.1d8f00b181369p-5, 0x1.1897bfedcd54ep-5, 0x1.13b2f7c406b2p-5, 0x1.0ee07792ff6fap-5, 0x1.0a200ec9d9b7fp-5, 0x1.05718ceafb802p-5, 0x1.00d4c18eec7acp-5, 0x1.f892f8ce47012p-6, 0x1.ef9f1a817fd5cp-6, 0x1.e6cd880e64166p-6, 0x1.de1de18d96b67p-6, 0x1.d58fc75e883e1p-6, 0x1.cd22da2c55054p-6, 0x1.c4d6baf27e232p-6, 0x1.bcab0b0184cf3p-6, 0x1.b49f6c0360773p-6, 0x1.acb37fffd30dap-6, 0x1.a4e6e96098c18p-6, 0x1.9d394af57e5fcp-6, 0x1.95aa47f84c151p-6, 0x1.8e39841098f5fp-6, 0x1.86e6a35777d35p-6, 0x1.7fb14a5b0cd66p-6, 0x1.78991e21fa4bdp-6, 0x1.719dc42eb6369p-6, 0x1.6abee282becfcp-6, 0x1.63fc1fa1b22c9p-6, 0x1.5d552294490a6p-6, 0x1.56c992eb313c3p-6, 0x1.505918c1d4642p-6, 0x1.4a035cc0f4743p-6, 0x1.43c808213da0dp-6, 0x1.3da6c4adad66cp-6, 0x1.379f3cc5ea15dp-6, 0x1.31b11b607ab0ep-6, 0x1.2bdc0c0ce2a8ap-6, 0x1.261fbaf5a9e1cp-6, 0x1.207bd4e248958p-6, 0x1.1af00738f70ccp-6, 0x1.157c00006a5b1p-6, 0x1.101f6de174f3bp-6, 0x1.0ada002890ba5p-6, 0x1.05ab66c75126fp-6, 0x1.00935255c04cep-6, 0x1.f722e827451b4p-7, 0x1.ed4afbd34a5c5p-7, 0x1.e39e44d4ea009p-7, 0x1.da1c29a78df18p-7, 0x1.d0c4121e7f65p-7, 0x1.c7956766a0c81p-7, 0x1.be8f9407f666ep-7, 0x1.b5b203e704dcbp-7, 0x1.acfc24460f24cp-7, 0x1.a46d63c630142p-7, 0x1.9c0532683e582p-7, 0x1.93c3018da3ca8p-7, 0x1.8ba643f900b2bp-7, 0x1.83ae6dceaea8dp-7, 0x1.7bdaf4952a234p-7, 0x1.742b4f354efabp-7, 0x1.6c9ef5fa8573cp-7, 0x1.65356292bc9dcp-7, 0x1.5dee100e5806cp-7, 0x1.56c87adffd116p-7, 0x1.4fc420dc3611bp-7, 0x1.48e0813911318p-7, 0x1.421d1c8d9563cp-7, 0x1.3b7974d12313ep-7, 0x1.34f50d5abdc0dp-7, 0x1.2e8f6ae03dce5p-7, 0x1.284813756d82ep-7, 0x1.221e8e8b0dac4p-7, 0x1.1c1264edcb10cp-7, 0x1.162320c51bf3fp-7, 0x1.10504d920dd7ep-7, 0x1.0a99782e04779p-7, 0x1.04fe2ec95fb42p-7, 0x1.fefc01d438516p-8, 0x1.f430fed4bc248p-8, 0x1.e99a78ede4727p-8, 0x1.df37971b7966dp-8, 0x1.d50782f841389p-8, 0x1.cb0968bab17d2p-8, 0x1.c13c77318a868p-8, 0x1.b79fdfc0638e7p-8, 0x1.ae32d65c1bdcp-8, 0x1.a4f49187390d6p-8, 0x1.9be44a4e386f2p-8, 0x1.93013c43d480ap-8, 0x1.8a4aa57d29d26p-8, 0x1.81bfc68dde242p-8, 0x1.795fe28430b72p-8, 0x1.712a3ee4fecd1p-8, 0x1.691e23a7b93ccp-8, 0x1.613adb3256a5ap-8, 0x1.597fb2552b2ep-8, 0x1.51ebf846c0416p-8, 0x1.4a7efe9f989a6p-8, 0x1.43381955f29d2p-8, 0x1.3c169eb978acdp-8, 0x1.3519e76ee8809p-8, 0x1.2e414e6bb00d4p-8, 0x1.278c30f18516cp-8, 0x1.20f9ee89e51c5p-8, 0x1.1a89e901997d6p-8, 0x1.143b84642562ap-8, 0x1.0e0e26f7374efp-8, 0x1.08013935ff631p-8, 0x1.021425cc81b12p-8, 0x1.f88cb325d23ddp-9, 0x1.ed2e871174f6p-9, 0x1.e20ca9a01d352p-9, 0x1.d726015176976p-9, 0x1.cc7978d6dcfa8p-9, 0x1.c205ff098e4bfp-9, 0x1.b7ca86e0b3cfp-9, 0x1.adc6076761d0fp-9, 0x1.a3f77bb28dcb3p-9, 0x1.9a5de2d6d65bfp-9, 0x1.90f83fde53b0dp-9, 0x1.87c599be3e489p-9, 0x1.7ec4fb4c90141p-9, 0x1.75f57335a2c63p-9, 0x1.6d5613f198a97p-9, 0x1.64e5f3b9dad95p-9, 0x1.5ca42c7e79a61p-9, 0x1.548fdbdb7f751p-9, 0x1.4ca8230e45526p-9, 0x1.44ec26eaa76b1p-9, 0x1.3d5b0fd0494adp-9, 0x1.35f4099fc1551p-9, 0x1.2eb643afd2e03p-9, 0x1.27a0f0c28179bp-9, 0x1.20b346fa5643cp-9, 0x1.19ec7fcf73c9ap-9, 0x1.134bd804c4488p-9, 0x1.0cd08f9d29a92p-9, 0x1.0679e9d0b16a8p-9, 0x1.00472d01caccap-9, 0x1.f46f4565161c7p-10, 0x1.e8952ef3f3184p-10, 0x1.dcfeb5f2c9c53p-10, 0x1.d1aa7fa399c55p-10, 0x1.c6973732b775bp-10, 0x1.bbc38da1b9be9p-10, 0x1.b12e39b2df3bfp-10, 0x1.a6d5f7d42a376p-10, 0x1.9cb98a0b083e5p-10, 0x1.92d7b7e0097b9p-10, 0x1.892f4e4aa232cp-10, 0x1.7fbf1f9d52b1p-10, 0x1.76860371ea431p-10, 0x1.6d82d695ff15fp-10, 0x1.64b47af7a6455p-10, 0x1.5c19d7925d736p-10, 0x1.53b1d85c4b12cp-10, 0x1.4b7b6e3380f14p-10, 0x1.43758ecbbf1bfp-10, 0x1.3b9f349c4c289p-10, 0x1.33f75ece1b2e6p-10, 0x1.2c7d112a2e8b3p-10, 0x1.252f54084dfa4p-10, 0x1.1e0d343ddb108p-10, 0x1.1715c30cf4895p-10, 0x1.10481613eaa41p-10, 0x1.09a3473cf28e3p-10, 0x1.032674adf562fp-10, 0x1.f9a181718e2e7p-11, 0x1.ed42a397129bap-11, 0x1.e12ea4c298de8p-11, 0x1.d563e1e5cf9fbp-11, 0x1.c9e0bfd03afd9p-11, 0x1.bea3ab11a8c13p-11, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.cb21c9d23bed1p-1, -0x1.bc15e27f91708p-1, -0x1.afc44beab41f9p-1, -0x1.a5ed0d47c3befp-1, -0x1.9e4108b31d217p-1, -0x1.9869449b30a55p-1, -0x1.940ccb47f6462p-1, -0x1.90d52e6608076p-1, -0x1.8e71cb4af796bp-1, -0x1.8c99f350ffdcdp-1, -0x1.8b0e2b7e5a4ffp-1, -0x1.8998b76ca9fb1p-1, -0x1.880d98abfc29fp-1, -0x1.864a253724c28p-1, -0x1.843455f267b71p-1, -0x1.81b9eba2b55d9p-1, -0x1.7ecf7fa7dc2fcp-1, -0x1.7b6f8c1b7dbf5p-1, -0x1.779974d6273cbp-1, -0x1.73509bfb3dc1fp-1, -0x1.6e9b8a38c7788p-1, -0x1.69832dbdad4a2p-1, -0x1.641230ce73e73p-1, -0x1.5e546856eb944p-1, -0x1.58564f79a671ap-1, -0x1.52249fc0b71eep-1, -0x1.4bcbfc3a838fp-1, -0x1.4558aec2f55f2p-1, -0x1.3ed674a2610cep-1, -0x1.385057fe26d6p-1, -0x1.31d094280afp-1, -0x1.2b608338163afp-1, -0x1.25089395d2d57p-1, -0x1.1ed044436f29cp-1, -0x1.18be26c4eb509p-1, -0x1.12d7e564e091cp-1, -0x1.0d224c9e4a5c4p-1, -0x1.07a156ad9c55ap-1, -0x1.0258388c5731bp-1, -0x1.fa92df7c9ae91p-2, -0x1.f0eda0e85e76bp-2, -0x1.e7c3276deac64p-2, -0x1.df14cb0712f65p-2, -0x1.d6e2e5a0d48e5p-2, -0x1.cf2ceebf7b851p-2, -0x1.c7f1963c802f1p-2, -0x1.c12edd8e7b02fp-2, -0x1.bae22f3dad64fp-2, -0x1.b5087472b3e4ep-2, -0x1.af9e28be3befbp-2, -0x1.aa9f6c3f69e1p-2, -0x1.a608143df0808p-2, -0x1.a1d3ba41447dcp-2, -0x1.9dfdc9b4d08bep-2, -0x1.9a818c39e1c11p-2, -0x1.975a34d247b37p-2, -0x1.9482ea083a008p-2, -0x1.91f6cf247a53p-2, -0x1.8fb10c6f19114p-2, -0x1.8dacd66dc412ep-2, -0x1.8be57417b8b4ap-2, -0x1.8a564406f3de2p-2, -0x1.88fac0bf2b756p-2, -0x1.87ce85fb7a5a1p-2, -0x1.86cd4fc9fe86ep-2, -0x1.85f2fc93673adp-2, -0x1.853b9308083afp-2, -0x1.84a3425100315p-2, -0x1.8426635121fc7p-2, -0x1.83c17982332acp-2, -0x1.837133761802ep-2, -0x1.83326b0438086p-2, -0x1.8302252c268f5p-2, -0x1.82dd91b72dd5fp-2, -0x1.82c20aa2ddbb1p-2, -0x1.82ad135eb50aap-2, -0x1.829c57e6715dep-2, -0x1.828dabc137dfap-2, -0x1.827f08ec0b4b7p-2, -0x1.826e8eb4248f5p-2, -0x1.825a808453577p-2, -0x1.824144a798253p-2, -0x1.82216302c4dc4p-2, -0x1.81f983c6c9fc3p-2, -0x1.81c86e1d4a6bfp-2, -0x1.818d06d0f407fp-2, -0x1.81464ef2ffdffp-2, -0x1.80f3627f4e362p-2, -0x1.80937700ac46bp-2, -0x1.8025da3730dd1p-2, -0x1.7fa9f0c2d1f2bp-2, -0x1.7f1f34d480af3p-2, -0x1.7e8534e7e3e84p-2, -0x1.7ddb92876489ap-2, -0x1.7d22011ba39c4p-2, -0x1.7c5844c6daca2p-2, -0x1.7b7e314c22f78p-2, -0x1.7a93a9025be6ep-2, -0x1.79989bd24843dp-2, -0x1.788d063f8701dp-2, -0x1.7770f07c23afp-2, -0x1.76446d869697cp-2, -0x1.75079a520a10bp-2, -0x1.73ba9cf8bea51p-2, -0x1.725da3f84f436p-2, -0x1.70f0e5778a356p-2, -0x1.6f749e958285cp-2, -0x1.6de912c18c6d4p-2, -0x1.6c4e8b1bd2168p-2, -0x1.6aa555de4aa22p-2, -0x1.68edc5cdf7437p-2, -0x1.672831b4481ep-2, -0x1.6554f3e09f372p-2, -0x1.637469b1de918p-2, -0x1.6186f327e2a9fp-2, -0x1.5f8cf27cb48e5p-2, -0x1.5d86cbc530b5p-2, -0x1.5b74e498c0819p-2, -0x1.5957a3bfc857ep-2, -0x1.572f70e8488p-2, -0x1.54fcb4604c23cp-2, -0x1.52bfd6d5a7bcp-2, -0x1.5079411aab728p-2, -0x1.4e295bef5e99ep-2, -0x1.4bd08fcefd6bap-2, -0x1.496f44c169727p-2, -0x1.4705e2305292p-2, -0x1.4494cebfdcdcdp-2, -0x1.421c702a957ap-2, -0x1.3f9d2b2080f3dp-2, -0x1.3d1763291d8c3p-2, -0x1.3a8b7a882692dp-2, -0x1.37f9d224f3cbep-2, -0x1.3562c9744d517p-2, -0x1.32c6be6489b7bp-2, -0x1.30260d4bd88bp-2, -0x1.2d8110d8974b9p-2, -0x1.2ad822038db62p-2, -0x1.282b9803ffc34p-2, -0x1.257bc845706aep-2, -0x1.22c9065f04e6cp-2, -0x1.2013a40c6e102p-2, -0x1.1d5bf128416aap-2, -0x1.1aa23ba7a8caep-2, -0x1.17e6cf975852bp-2, -0x1.1529f719ad4bdp-2, -0x1.126bfa65df726p-2, -0x1.0fad201c92576p-2, -0x1.0cedab602e633p-2, -0x1.0a2ddf8da5044p-2, -0x1.076dfd4003681p-2, -0x1.04ae433038cb6p-2, -0x1.01eeee38b1a0fp-2, -0x1.fe6072b2fee97p-3, -0x1.f8e4bb7a16b13p-3, -0x1.f36b257a700f3p-3, -0x1.edf41bd1ebe2bp-3, -0x1.e88006146c8acp-3, -0x1.e30f4858615a6p-3, -0x1.dda24343ef7f7p-3, -0x1.d839541a9d191p-3, -0x1.d2d4d4cb6ea6dp-3, -0x1.cd751bff5ff2cp-3, -0x1.c81a7d2837953p-3, -0x1.c2c5488f95674p-3, -0x1.bd75cb66412bbp-3, -0x1.b82c4fd39c66fp-3, -0x1.b2e91d0538478p-3, -0x1.adac773e87b42p-3, -0x1.a8769fe89b06fp-3, -0x1.a347d5a1e656bp-3, -0x1.9e20544e0b44cp-3, -0x1.990055259ca3p-3, -0x1.93e80ec5da2eep-3, -0x1.8ed7b5405d586p-3, -0x1.89cf7a2ab1ce2p-3, -0x1.84cf8caddd52dp-3, -0x1.7fd81995c625fp-3, -0x1.7ae94b60828dap-3, -0x1.76034a4d81ad1p-3, -0x1.71263c6c920cp-3, -0x1.6c5245acc24cdp-3, -0x1.678787eb0c391p-3, -0x1.62c62300e024ep-3, -0x1.5e0e34d26f3a7p-3, -0x1.595fd95cc5646p-3, -0x1.54bb2ac3b0343p-3, -0x1.5020415f5e88dp-3, -0x1.4b8f33c9cc4f9p-3, -0x1.470816ebe5436p-3, -0x1.428afe0a71229p-3, -0x1.3e17fad2ae16fp-3, -0x1.39af1d66b495p-3, -0x1.355074698f956p-3, -0x1.30fc0d0b11f4cp-3, -0x1.2cb1f31369dafp-3, -0x1.287230ee6dc46p-3, -0x1.243ccfb6abf7fp-3, -0x1.2011d74035618p-3, -0x1.1bf14e2329f8ap-3, -0x1.17db39c605d1dp-3, -0x1.13cf9e67b3415p-3, -0x1.0fce7f29620e9p-3, -0x1.0bd7de181f526p-3, -0x1.07ebbc363a517p-3, -0x1.040a19846e671p-3, -0x1.0032f50ad5861p-3, -0x1.f8cc99c3512b9p-4, -0x1.f1483c738b843p-4, -0x1.e9d8caca10584p-4, -0x1.e27e3bbccb1abp-4, -0x1.db3884a3c1822p-4, -0x1.d40799488d4b1p-4, -0x1.cceb6bf56ff21p-4, -0x1.c5e3ed840af25p-4, -0x1.bef10d6bb3be9p-4, -0x1.b812b9cf6a7c6p-4, -0x1.b148df8b7a8bfp-4, -0x1.aa936a42ac3b5p-4, -0x1.a3f2446b274f2p-4, -0x1.9d65575b02dcdp-4, -0x1.96ec8b546ae2dp-4, -0x1.9087c79177f1dp-4, -0x1.8a36f24fb4ae6p-4, -0x1.83f9f0db477dap-4, -0x1.7dd0a799cdbbfp-4, -0x1.77bafa14e525bp-4, -0x1.71b8cb0466437p-4, -0x1.6bc9fc58519a6p-4, -0x1.65ee6f4271924p-4, -0x1.6026043fb277bp-4, -0x1.5a709b2134205p-4, -0x1.54ce1315163e7p-4, -0x1.4f3e4aaf00461p-4, -0x1.49c11ff06a29dp-4, -0x1.44567050a3d36p-4, -0x1.3efe18c4a2e88p-4, -0x1.39b7f5c69194bp-4, -0x1.3483e35d28055p-4, -0x1.2f61bd22cc5eap-4, -0x1.2a515e4c7e719p-4, -0x1.2552a1b08eaa3p-4, -0x1.206561cd2524ep-4, -0x1.1b8978ce95648p-4, -0x1.16bec09584a5cp-4, -0x1.120512bce247bp-4, -0x1.0d5c489fb1f03p-4, -0x1.08c43b5eac2b9p-4, -0x1.043cc3e5b2b75p-4, -0x1.ff8b75e23907ap-5, -0x1.f6bdf225ae9f5p-5, -0x1.ee10ad6ec73c2p-5, -0x1.e58358554df6bp-5, -0x1.dd15a33933aep-5, -0x1.d4c73e4b9ebcp-5, -0x1.cc97d997af04fp-5, -0x1.c487250afa99ap-5, -0x1.bc94d07dc4bp-5, -0x1.b4c08bbaede2fp-5, -0x1.ad0a06879ec7ap-5, -0x1.a570f0aab43cap-5, -0x1.9df4f9f3e55a2p-5, -0x1.9695d242acde2p-5, -0x1.8f53298cf451ap-5, -0x1.882cafe580332p-5, -0x1.8122158224e3cp-5, -0x1.7a330ac1bd4dbp-5, -0x1.735f4031ec697p-5, -0x1.6ca66694a8948p-5, -0x1.66082ee58faa6p-5, -0x1.5f844a5f08734p-5, -0x1.591a6a7f34394p-5, -0x1.52ca410cab3c1p-5, -0x1.4c93801b0d847p-5, -0x1.4675da0f65f9ep-5, -0x1.407101a45d9edp-5, -0x1.3a84a9ee48184p-5, -0x1.34b0865f0279p-5, -0x1.2ef44ac9abb26p-5, -0x1.294fab6634e8ap-5, -0x1.23c25cd4cb143p-5, -0x1.1e4c14211c64ap-5, -0x1.18ec86c5774a2p-5, -0x1.13a36aadc920dp-5, -0x1.0e70763a789d9p-5, -0x1.095360431ecf3p-5, -0x1.044be01922369p-5, -0x1.feb35b145ec89p-6, -0x1.f4f901c529781p-6, -0x1.eb6825defd1bbp-6, -0x1.e2003a0230e2ep-6, -0x1.d8c0b1d922281p-6, -0x1.cfa9021c02578p-6, -0x1.c6b8a09472e0bp-6, -0x1.bdef0420ebac2p-6, -0x1.b54ba4b7e9fa5p-6, -0x1.accdfb6af509bp-6, -0x1.a475826969bd3p-6, -0x1.9c41b5031d724p-6, -0x1.94320faacd785p-6, -0x1.8c460ff8639bep-6, -0x1.847d34ab0e5bdp-6, -0x1.7cd6fdab2f9afp-6, -0x1.7552ec0c1b775p-6, -0x1.6df0820db55abp-6, -0x1.66af431de21e7p-6, -0x1.5f8eb3d9d37b1p-6, -0x1.588e5a0f2c104p-6, -0x1.51adbcbcff894p-6, -0x1.4aec6414b47edp-6, -0x1.4449d97ab9509p-6, -0x1.3dc5a7871fa89p-6, -0x1.375f5a061367bp-6, -0x1.31167df8329bep-6, -0x1.2aeab5570ec85p-6, -0x1.24db67580bec5p-6, -0x1.1ee8390224feap-6, -0x1.1910bc281ad3p-6, -0x1.135483d0ed0b5p-6, -0x1.0db324378d645p-6, -0x1.082c32ca740b3p-6, -0x1.02bf462b2478bp-6, -0x1.fad7ec5b2ae38p-7, -0x1.f063b7af07d8ap-7, -0x1.e62122bf63172p-7, -0x1.dc0f645a1d68ap-7, -0x1.d22db5ab98p-7, -0x1.c87b523cbca28p-7, -0x1.bef777f0da2fdp-7, -0x1.b5a1670358599p-7, -0x1.ac78620554d64p-7, -0x1.a37baddb10bacp-7, -0x1.9aaa91b9474eap-7, -0x1.9204572264826p-7, -0x1.898849e3999e6p-7, -0x1.8135b811d463fp-7, -0x1.790bf206a6b34p-7, -0x1.710a4a5d01281p-7, -0x1.693015ede273dp-7, -0x1.617cabccea927p-7, -0x1.59ef6544d4a9ep-7, -0x1.52879dd3de9d6p-7, -0x1.4b44b32818b49p-7, -0x1.4426051ba18e3p-7, -0x1.3d2af5b0cdaa6p-7, -0x1.3652e90e43234p-7, -0x1.2f9d457afaef3p-7, -0x1.2909735a3a1e5p-7, -0x1.2296dd2774029p-7, -0x1.1c44ef7223567p-7, -0x1.161318d99333fp-7, -0x1.1000ca089ad17p-7, -0x1.0a0d75b14d236p-7, -0x1.043890889cd03p-7, -0x1.fd032283ecdb5p-8, -0x1.f1cfe1159ac01p-8, -0x1.e6d6520c45577p-8, -0x1.dc156e9001511p-8, -0x1.d18c33a1df0fap-8, -0x1.c739a212c4394p-8, -0x1.bd1cbe7a353d1p-8, -0x1.b334912d13966p-8, -0x1.a9802634503d3p-8, -0x1.9ffe8d4393ad1p-8, -0x1.96aed9afda18dp-8, -0x1.8d90226609fe1p-8, -0x1.84a181e181b5dp-8, -0x1.7be216229d247p-8, -0x1.735100a538987p-8, -0x1.6aed66572b7fdp-8, -0x1.62b66f8ec3656p-8, -0x1.5aab48013a6dp-8, -0x1.52cb1eb928777p-8, -0x1.4b15260cf87ep-8, -0x1.438893955ccecp-8, -0x1.3c24a023bf57dp-8, -0x1.34e887b8b943bp-8, -0x1.2dd3897a8855bp-8, -0x1.26e4e7ab8b97cp-8, -0x1.201be7a0c17p-8, -0x1.1977d1b84917ep-8, -0x1.12f7f14fed147p-8, -0x1.0c9b94bbb10f7p-8, -0x1.06620d3c68b2bp-8, -0x1.004aaef656acap-8, -0x1.f4a9a1cf9f4b6p-9, -0x1.e8ff99bfd7b25p-9, -0x1.dd95feea823e6p-9, -0x1.d26b8ff94bf1ep-9, -0x1.c77f1100031eap-9, -0x1.bccf4b6a4f989p-9, -0x1.b25b0de980dc7p-9, -0x1.a8212c627a9d1p-9, -0x1.9e207fdbbaa5bp-9, -0x1.9457e66b82c3ap-9, -0x1.8ac6432611e33p-9, -0x1.816a7e0c0be6p-9, -0x1.784383f8fbeecp-9, -0x1.6f504691f6c39p-9, -0x1.668fbc3465b8cp-9, -0x1.5e00dfe4ec10cp-9, -0x1.55a2b13e77b54p-9, -0x1.4d74346179e81p-9, -0x1.457471e33caa3p-9, -0x1.3da276bd676cap-9, -0x1.35fd543da7c84p-9, -0x1.2e841ff5822e2p-9, -0x1.2735f3aa5031p-9, -0x1.2011ed456125dp-9, -0x1.19172ec44b2e5p-9, -0x1.1244de295f2aap-9, -0x1.0b9a256c53d62p-9, -0x1.0516326b0b59cp-9, -0x1.fd706db52133bp-10, -0x1.f0fed07076b75p-10, -0x1.e4d5ff75f9e6ep-10, -0x1.d8f47489c29a4p-10, -0x1.cd58b0a95cb63p-10, -0x1.c2013bef7320bp-10, -0x1.b6eca577c503bp-10, -0x1.ac19834371c23p-10, -0x1.a186721daa41dp-10, -0x1.97321580905dcp-10, -0x1.8d1b177a9593ep-10, -0x1.83402894155e2p-10, -0x1.799fffb53afafp-10, -0x1.70395a0c510c1p-10, -0x1.670afaf4473fap-10, -0x1.5e13abdb9b0dep-10, -0x1.55523c2b7b031p-10, -0x1.4cc5812f4d1d5p-10, -0x1.446c55fc6b357p-10, -0x1.3c459b5a373a5p-10, -0x1.345037aa7e3b9p-10, -0x1.2c8b16d2063dcp-10, -0x1.24f52a2188242p-10, -0x1.1d8d683ed2233p-10, -0x1.1652cd0e46859p-10, -0x1.0f44599c8adb1p-10, -0x1.0861140883b7dp-10, -0x1.01a8076d90d95p-10, -0x1.f630879c097d6p-11, -0x1.e961bbfbcf60bp-11, -0x1.dce1df1bd8dc7p-11, -0x1.d0af2d6d5afa7p-11, -0x1.c4c7ec8841e5dp-11, -0x1.b92a6b02abc6dp-11, -0x1.add50048ae27bp-11, -0x1.a2c60c74c4af3p-11, -0x1.97fbf828a5a33p-11, -0x1.8d7534667e73ep-11, -0x1.83303a6ac0642p-11, -0x1.792b8b8650ba2p-11, -0x1.6f65b0f93c705p-11, -0x1.65dd3bcdd5f68p-11, -0x1.5c90c4b453867p-11, -0x1.537eebded91b5p-11, -0x1.4aa658de10b9ap-11, -0x1.4205ba7e0765p-11, -0x1.399bc6a3bce12p-11, -0x1.31673a2b0b448p-11, -0x1.2966d8c4ff226p-11, -0x1.21996cd6b48fdp-11, -0x1.19fdc758aea82p-11, -0x1.1292bfb6a37c7p-11, -0x1.0b5733afba679p-11, -0x1.044a07374f031p-11, -0x1.fad448ac4ac17p-12, -0x1.ed6cf6183f7c5p-12, -0x1.e05c0264cd39bp-12, -0x1.d39f64bc0d3dep-12, -0x1.c7351f8630da6p-12, -0x1.bb1b4030d923p-12, -0x1.af4fdef6ec493p-12, -0x1.a3d11ea9f33b1p-12, -0x1.989d2c7c13fc1p-12, -0x1.8db23fcb128dp-12, -0x1.830e99ec4b53cp-12, -0x1.78b085f998265p-12, -0x1.6e96589f27a12p-12, -0x1.64be6fea4006fp-12, -0x1.5b273318fc13fp-12, -0x1.51cf126acc2c7p-12, -0x1.48b486f222953p-12, -0x1.3fd61266cc28ep-12, -0x1.37323ef949c23p-12, -0x1.2ec79f27039eep-12, -0x1.2694cd8f53224p-12, -0x1.1e986cc9a9abbp-12, -0x1.16d1273c134c3p-12, -0x1.0f3daef2ffff8p-12, -0x1.07dcbd79bc153p-12, -0x1.00ad13b39a0b7p-12, -0x1.f35af36c45f0dp-13, -0x1.e5b97d47a8bc8p-13, -0x1.d873710f80262p-13, -0x1.cb868863c4365p-13, -0x1.bef08a286105dp-13, -0x1.b2af4a40c255bp-13, -0x1.a6c0a94cc03bcp-13, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.c912c05ece4f5p-5, 0x1.a2f1a11cf0901p-5, 0x1.75a584ef92783p-5, 0x1.41b7cf402dcc4p-5, 0x1.07c20eaa53848p-5, 0x1.90d2c9eed4ab7p-6, 0x1.08b4b4d1087eap-6, 0x1.e2293425e38dep-8, -0x1.e4b1b708148cep-10, -0x1.74ddb4fba36d7p-7, -0x1.5a8d9096fb277p-6, -0x1.fd60f14f4828cp-6, -0x1.50d9614c37dc7p-5, -0x1.a32f92d283ff2p-5, -0x1.f52b1e906634fp-5, -0x1.23275121360e9p-4, -0x1.4b13caf1ddf35p-4, -0x1.7227326d72d0ap-4, -0x1.98332d82d298p-4, -0x1.bd0eb6bd006c2p-4, -0x1.e095f309d5ab6p-4, -0x1.0154fe086e50fp-3, -0x1.119850f21c7adp-3, -0x1.210a133c92fd3p-3, -0x1.2fa17a7f3f503p-3, -0x1.3d57ab6b82a6dp-3, -0x1.4a2793d9a073ep-3, -0x1.560dc5021f8fep-3, -0x1.61084e62881fep-3, -0x1.6b1699b237fcap-3, -0x1.7439483520c1p-3, -0x1.7c7211a67e40fp-3, -0x1.83c3a4e4b54a5p-3, -0x1.8a318a792965bp-3, -0x1.8fc0090b06717p-3, -0x1.94740bc1f7c48p-3, -0x1.98530a95ee5f7p-3, -0x1.9b62f4828885bp-3, -0x1.9daa1b8fd3f7ep-3, -0x1.9f2f229e2a546p-3, -0x1.9ff8ece04b809p-3, -0x1.a00e8eecc6b86p-3, -0x1.9f77414eaf8cdp-3, -0x1.9e3a547cdeff1p-3, -0x1.9c5f261ef8f9bp-3, -0x1.99ed1787a796ap-3, -0x1.96eb854c00b0ep-3, -0x1.9361bfe0ed302p-3, -0x1.8f5705284ff2ep-3, -0x1.8ad27ad8c6584p-3, -0x1.85db29ac077bcp-3, -0x1.8077f94132d24p-3, -0x1.7aafaca17cb7p-3, -0x1.7488df5701275p-3, -0x1.6e0a0306b29f8p-3, -0x1.67395d7f8eea9p-3, -0x1.601d073259a8p-3, -0x1.58baea064ae45p-3, -0x1.5118c08015878p-3, -0x1.493c15319ec75p-3, -0x1.412a4269bee0bp-3, -0x1.38e8721c1970ap-3, -0x1.307b9df9ff959p-3, -0x1.27e88fb5f988fp-3, -0x1.1f33e16c3658ep-3, -0x1.1661fe2ace92dp-3, -0x1.0d7722954012cp-3, -0x1.04775d9f0fc07p-3, -0x1.f6cd22b3f08d1p-4, -0x1.e490e7a8d0964p-4, -0x1.d241200af6ba8p-4, -0x1.bfe48d87c55cbp-4, -0x1.ad819f8b21998p-4, -0x1.9b1e754c52a2fp-4, -0x1.88c0dfe4f1a8fp-4, -0x1.766e646f03ebcp-4, -0x1.642c3e277a002p-4, -0x1.51ff6092d3f3fp-4, -0x1.3fec79a1e40f2p-4, -0x1.2df7f3d4ecc66p-4, -0x1.1c25f85b9651cp-4, -0x1.0a7a7130696d1p-4, -0x1.f1f2165d57df8p-5, -0x1.cf4a704350d26p-5, -0x1.ad046199100d1p-5, -0x1.8b25edd41754bp-5, -0x1.69b4ae4714909p-5, -0x1.48b5d5fd69f24p-5, -0x1.282e3583692d3p-5, -0x1.08223e9a9dc7ap-5, -0x1.d12c0fb31d0aap-6, -0x1.931aa06d2d286p-6, -0x1.561704faf818bp-6, -0x1.1a27715f190f5p-6, -0x1.bea2fd3873ec2p-7, -0x1.4b34623d57cc9p-7, -0x1.b417fbea80977p-8, -0x1.acc6aff889aecp-9, 0x1.53bcc4d8679d7p-15, 0x1.adf97ac530d21p-9, 0x1.a6929480ee2fep-8, 0x1.38b0733618927p-7, 0x1.9bb0a62253b36p-7, 0x1.fc477e357f1f3p-7, 0x1.2d39adb25151p-6, 0x1.5b19ac6ebd6ep-6, 0x1.87c3a1e43f704p-6, 0x1.b337c92bd68adp-6, 0x1.dd76ad90467c5p-6, 0x1.0340932ffb7ffp-5, 0x1.172c297178d95p-5, 0x1.2a7ecb3a19e17p-5, 0x1.3d394a5ec3524p-5, 0x1.4f5c970a8cacap-5, 0x1.60e9bdfe03f2fp-5, 0x1.71e1e6de8162fp-5, 0x1.8246529526349p-5, 0x1.921859bd1c758p-5, 0x1.a1596b20b1f93p-5, 0x1.b00b0a44ec8cdp-5, 0x1.be2ece03294edp-5, 0x1.cbc65f306cbep-5, 0x1.d8d37751f9f18p-5, 0x1.e557df5ed2af7p-5, 0x1.f1556e8dbbc11p-5, 0x1.fcce092f6fab2p-5, 0x1.03e1cfca4ac4p-4, 0x1.091c167f966d8p-4, 0x1.0e16db4f86f96p-4, 0x1.12d3254c9373cp-4, 0x1.1751ff8c924fcp-4, 0x1.1b9478b695504p-4, 0x1.1f9ba295a9789p-4, 0x1.236891b04d1d1p-4, 0x1.26fc5ce479c3ap-4, 0x1.2a581d0818ab4p-4, 0x1.2d7cec8dbde9p-4, 0x1.306be72d8664dp-4, 0x1.33262991f4fffp-4, 0x1.35acd108ac693p-4, 0x1.3800fb36e5416p-4, 0x1.3a23c5d17e9b1p-4, 0x1.3c164e588d648p-4, 0x1.3dd9b1d645f78p-4, 0x1.3f6f0ca128c2bp-4, 0x1.40d77a2150fa4p-4, 0x1.42141498cbfa5p-4, 0x1.4325f4eedc548p-4, 0x1.440e327e117cep-4, 0x1.44cde2e515d38p-4, 0x1.456619da2146fp-4, 0x1.45d7e900f1987p-4, 0x1.46245fc336d83p-4, 0x1.464c8b2b5a965p-4, 0x1.465175c18dbb7p-4, 0x1.4634276b0656bp-4, 0x1.45f5a54b5bc9ep-4, 0x1.4596f1a7eaa1dp-4, 0x1.45190bcd2f917p-4, 0x1.447ceff605283p-4, 0x1.43c39734b4136p-4, 0x1.42edf75dc3186p-4, 0x1.41fd02f4763e1p-4, 0x1.40f1a918ef3f9p-4, 0x1.3fccd577da2cp-4, 0x1.3e8f703b9d94ep-4, 0x1.3d3a5dfefa0f2p-4, 0x1.3bce7fc10d112p-4, 0x1.3a4cb2daa974dp-4, 0x1.38b5d0f4f6a95p-4, 0x1.370ab0014b252p-4, 0x1.354c2232337fp-4, 0x1.337af5f59cad7p-4, 0x1.3197f5f0113dp-4, 0x1.2fa3e8f90274fp-4, 0x1.2d9f92180f839p-4, 0x1.2b8bb0833f166p-4, 0x1.2968ff9e239ffp-4, 0x1.273836f9dd746p-4, 0x1.24fa0a55f21d8p-4, 0x1.22af29a1edfe2p-4, 0x1.205840ffc90e9p-4, 0x1.1df5f8c702bb8p-4, 0x1.1b88f5886e91dp-4, 0x1.1911d812a80b1p-4, 0x1.16913d772426dp-4, 0x1.1407bf0fdb033p-4, 0x1.1175f28580d63p-4, 0x1.0edc69d644126p-4, 0x1.0c3bb35d0e422p-4, 0x1.099459d93c56p-4, 0x1.06e6e476c8f27p-4, 0x1.0433d6d6e2945p-4, 0x1.017bb118e656bp-4, 0x1.fd7ddfc773147p-5, 0x1.f7fc18def578p-5, 0x1.f272f91f0d4cbp-5, 0x1.ece3657992f69p-5, 0x1.e74e3c40adcedp-5, 0x1.e1b4553c8a36fp-5, 0x1.dc1681c1885b1p-5, 0x1.d6758cc6da224p-5, 0x1.d0d23afd899eep-5, 0x1.cb2d4ae7d882cp-5, 0x1.c58774f0f789ap-5, 0x1.bfe16b8505a9ep-5, 0x1.ba3bdb2954fp-5, 0x1.b4976a94e7a57p-5, 0x1.aef4bac92297ep-5, 0x1.a954672aa9f3ep-5, 0x1.a3b7059a614e6p-5, 0x1.9e1d268e8cc0fp-5, 0x1.9887552c055ffp-5, 0x1.92f6175f7f48bp-5, 0x1.8d69edf6daf16p-5, 0x1.87e354ba7b0c5p-5, 0x1.8262c286968c3p-5, 0x1.7ce8a9648831fp-5, 0x1.777576a410619p-5, 0x1.720992f48614p-5, 0x1.6ca5627df4146p-5, 0x1.674944fa1b262p-5, 0x1.61f595cd57ab2p-5, 0x1.5caaac1f63c07p-5, 0x1.5768daf3f51dfp-5, 0x1.523071433062fp-5, 0x1.4d01ba11f00dfp-5, 0x1.47dcfc89db9a9p-5, 0x1.42c27c1149d86p-5, 0x1.3db27862eed5bp-5, 0x1.38ad2da550c9cp-5, 0x1.33b2d481feb93p-5, 0x1.2ec3a23c8dbfdp-5, 0x1.29dfc8c952193p-5, 0x1.250776e3d81f9p-5, 0x1.203ad82517a0dp-5, 0x1.1b7a1519634bap-5, 0x1.16c553560e392p-5, 0x1.121cb58ec793cp-5, 0x1.0d805baaaf859p-5, 0x1.08f062d91adffp-5, 0x1.046ce5a60dee3p-5, 0x1.ffebf81ccb4f9p-6, 0x1.f71777276a79dp-6, 0x1.ee5c6e9fa07f9p-6, 0x1.e5bb00100bfcbp-6, 0x1.dd334880150d3p-6, 0x1.d4c560991ee5ap-6, 0x1.cc715ccb0f206p-6, 0x1.c4374d7036b6fp-6, 0x1.bc173ef08d2b2p-6, 0x1.b41139e44d5c3p-6, 0x1.ac254335e5f4ap-6, 0x1.a4535c43452e7p-6, 0x1.9c9b82fe80a14p-6, 0x1.94fdb20dd2c68p-6, 0x1.8d79e0eaf6a3bp-6, 0x1.86100401db46ap-6, 0x1.7ec00cceb34c2p-6, 0x1.7789e9fb61254p-6, 0x1.706d877c41832p-6, 0x1.696aceac4fb17p-6, 0x1.6281a668ab9cp-6, 0x1.5bb1f32b82342p-6, 0x1.54fb97264f1p-6, 0x1.4e5e725b8a441p-6, 0x1.47da62b7b5caep-6, 0x1.416f4429cc994p-6, 0x1.3b1cf0bb1f544p-6, 0x1.34e340a69583p-6, 0x1.2ec20a6f582a5p-6, 0x1.28b922f6ee42cp-6, 0x1.22c85d92bdabp-6, 0x1.1cef8c2102e24p-6, 0x1.172e7f1d35b06p-6, 0x1.118505b3e4963p-6, 0x1.0bf2edd602cc8p-6, 0x1.0678044baa3abp-6, 0x1.011414c6602bdp-6, 0x1.f78dd3e594ebbp-7, 0x1.ed209b13ca87p-7, 0x1.e2e010c37737dp-7, 0x1.d8cbc4fb3cdfep-7, 0x1.cee3463bb5c2bp-7, 0x1.c526219df8dcp-7, 0x1.bb93e2f129542p-7, 0x1.b22c14d7127a8p-7, 0x1.a8ee40dfe562fp-7, 0x1.9fd9efa505d97p-7, 0x1.96eea8e308739p-7, 0x1.8e2bf392c59a2p-7, 0x1.85915601980efp-7, 0x1.7d1e55e8d2318p-7, 0x1.74d2788457b74p-7, 0x1.6cad42a8725a9p-7, 0x1.64ae38d6e2eacp-7, 0x1.5cd4df532bea9p-7, 0x1.5520ba3619f7ap-7, 0x1.4d914d80a07e3p-7, 0x1.46261d2df1d14p-7, 0x1.3edead44e9969p-7, 0x1.37ba81e8cfb8bp-7, 0x1.30b91f696a4cfp-7, 0x1.29da0a526d33bp-7, 0x1.231cc77a46bf9p-7, 0x1.1c80dc104f70ep-7, 0x1.1605cdaa5ee0dp-7, 0x1.0fab2251cb363p-7, 0x1.0970608fd5648p-7, 0x1.03550f7987695p-7, 0x1.fab16d760e22fp-8, 0x1.eef5bd44c2fd2p-8, 0x1.e3762053a5e2fp-8, 0x1.d831aa031c2dp-8, 0x1.cd276f320dd08p-8, 0x1.c256864f8762ap-8, 0x1.b7be076b703c1p-8, 0x1.ad5d0c465c0d6p-8, 0x1.a332b0607d868p-8, 0x1.993e1107bed89p-8, 0x1.8f7e4d6509eddp-8, 0x1.85f28688c3ffap-8, 0x1.7c99df76846bep-8, 0x1.73737d30090b1p-8, 0x1.6a7e86bf74205p-8, 0x1.61ba2540d2c4dp-8, 0x1.592583eaf79f6p-8, 0x1.50bfd017aac13p-8, 0x1.4888394b36899p-8, 0x1.407df13b56a11p-8, 0x1.38a02bd58d8cfp-8, 0x1.30ee1f44e70d8p-8, 0x1.296703f72aedbp-8, 0x1.220a14a1862fcp-8, 0x1.1ad68e44af5dep-8, 0x1.13cbb03089a9p-8, 0x1.0ce8bc074c75bp-8, 0x1.062cf5c034f99p-8, 0x1.ff2f475384607p-9, 0x1.f2501cd706a38p-9, 0x1.e5bb020efa07fp-9, 0x1.d96e91b64ccc5p-9, 0x1.cd696b4007c15p-9, 0x1.c1aa32d7c6c2cp-9, 0x1.b62f91617ebb4p-9, 0x1.aaf834788e63bp-9, 0x1.a002ce6e30d1ap-9, 0x1.954e164747b3ap-9, 0x1.8ad8c7b9929f7p-9, 0x1.80a1a32850116p-9, 0x1.76a76da051af1p-9, 0x1.6ce8f0d391dfep-9, 0x1.6364fb143d394p-9, 0x1.5a1a5f4f50647p-9, 0x1.5107f506b51a8p-9, 0x1.482c984afc9b5p-9, 0x1.3f8729b4a59dbp-9, 0x1.37168e5d0a6cbp-9, 0x1.2ed9afd6e6e02p-9, 0x1.26cf7c268b04p-9, 0x1.1ef6e5b9b82ep-9, 0x1.174ee35f2ac28p-9, 0x1.0fd6703ddebb3p-9, 0x1.088c8bcc094e2p-9, 0x1.017039c5d0277p-9, 0x1.f501044787adap-10, 0x1.e778e22240814p-10, 0x1.da462dc3abc82p-10, 0x1.cd671010bd8d2p-10, 0x1.c0d9ba16d00c7p-10, 0x1.b49c64f69a85fp-10, 0x1.a8ad51ceda5f3p-10, 0x1.9d0ac9a6ae95dp-10, 0x1.91b31d57b9c6p-10, 0x1.86a4a577fd42dp-10, 0x1.7bddc2437d029p-10, 0x1.715cdb85be646p-10, 0x1.6720608309086p-10, 0x1.5d26c7e19244p-10, 0x1.536e8f92782c2p-10, 0x1.49f63cbaacdcp-10, 0x1.40bc5b9bbed54p-10, 0x1.37bf7f7c973d8p-10, 0x1.2efe429222b7dp-10, 0x1.267745e7eefbdp-10, 0x1.1e293148caad3p-10, 0x1.1612b327532f9p-10, 0x1.0e328086923dcp-10, 0x1.068754e2981fcp-10, 0x1.fe1fe43232f7dp-11, 0x1.ef9640a444de1p-11, 0x1.e16f5bd19efefp-11, 0x1.d3a8dea8356efp-11, 0x1.c6407e1f766d7p-11, 0x1.b933fb0a38d0ep-11, 0x1.ac8121e8da6a1p-11, 0x1.a025cabb95923p-11, 0x1.941fd8d512d92p-11, 0x1.886d3aad39bfep-11, 0x1.7d0be9b446ce5p-11, 0x1.71f9ea2627043p-11, 0x1.67354ade22c6cp-11, 0x1.5cbc252ad3ca9p-11, 0x1.528c9ca271afap-11, 0x1.48a4def77140ap-11, 0x1.3f0323cd7eac4p-11, 0x1.35a5ac8ed0e97p-11, 0x1.2c8ac441ddb6ap-11, 0x1.23b0bf5f6cd87p-11, 0x1.1b15fba90d4d1p-11, 0x1.12b8dffff167dp-11, 0x1.0a97dc3c30edcp-11, 0x1.02b1690472c8ap-11, 0x1.f6080f4c06107p-12, 0x1.e71c83daa7427p-12, 0x1.d89d53fdd61cdp-12, 0x1.ca87b461821ebp-12, 0x1.bcd8e9c816a1bp-12, 0x1.af8e48bef726cp-12, 0x1.a2a53553dc5cfp-12, 0x1.961b22cb19fefp-12, 0x1.89ed9356c651bp-12, 0x1.7e1a17cece86ap-12, 0x1.729e4f69efe66p-12, 0x1.6777e7779d6cp-12, 0x1.5ca49b1accdc1p-12, 0x1.52223305b0bfap-12, 0x1.47ee85365d028p-12, 0x1.3e0774b4554dfp-12, 0x1.346af14f08ba4p-12, 0x1.2b16f75d3824p-12, 0x1.22098f7d43fcep-12, 0x1.1940ce566b0e4p-12, 0x1.10bad45aec36bp-12, 0x1.0875cd8b15f21p-12, 0x1.006ff1393c76fp-12, 0x1.f14f039d2f869p-13, 0x1.e23599220f986p-13, 0x1.d39052d381386p-13, 0x1.c55bf559aba5ep-13, 0x1.b79559c35df5ep-13, 0x1.aa396d18b1189p-13, 0x1.9d452fef74565p-13, 0x1.90b5b6014cd8cp-13, 0x1.848825c398771p-13, 0x1.78b9b80104746p-13, 0x1.6d47b774d57dcp-13, 0x1.622f8067e2b44p-13, 0x1.576e804f41f5dp-13, 0x1.4d02356c8fc79p-13, 0x1.42e82e6fec192p-13, 0x1.391e0a1b8b749p-13, 0x1.2fa176e8ef84bp-13, 0x1.267032afacd37p-13, 0x1.1d880a4dd52a9p-13, 0x1.14e6d951e1a9cp-13, 0x1.0c8a89a635c9ep-13, 0x1.0471133e25af1p-13, 0x1.f930f788fdc88p-14, 0x1.e9fdac9725301p-14, 0x1.db4485fd761bfp-14, 0x1.cd01ddaaa683bp-14, 0x1.bf32268e4a7c3p-14, 0x1.b1d1ec0485122p-14, 0x1.a4ddd14490ecbp-14, 0x1.985290d1fe5p-14, 0x1.8c2cfbf0cc25cp-14, 0x1.8069fa1c1de5ep-14, 0x1.7506887fa9c0cp-14, 0x1.69ffb973c5a49p-14, 0x1.5f52b3fc0ecb4p-14, 0x1.54fcb348a0a56p-14, 0x1.4afb0639d2204p-14, 0x1.414b0ee6726f4p-14, 0x1.37ea4224774aap-14, 0x1.2ed6271417c6bp-14, 0x1.260c56ad48c71p-14, 0x1.1d8a7b4f91806p-14, 0x1.154e50542f92ap-14, 0x1.0d55a1a2812e4p-14, 0x1.059e4b46ad867p-14, 0x1.fc4c7214ff57cp-15, 0x1.edd6cc20dc198p-15, 0x1.dfd7b8e187f1bp-15, 0x1.d24b69b1c8508p-15, 0x1.c52e2c5939c27p-15, 0x1.b87c6a53063a3p-15, 0x1.ac32a8189a92p-15, 0x1.a04d84704b6a2p-15, 0x1.94c9b7bfd36b3p-15, 0x1.89a413629f078p-15, 0x1.7ed98103d3b8ap-15, 0x1.746701fbff9fep-15, 0x1.6a49aeb2637dcp-15, 0x1.607eb601c8398p-15, 0x1.57035ca0cab84p-15, 0x1.4dd4fc8d95b92p-15, 0x1.44f1047cef0ep-15, 0x1.3c54f74c96637p-15, 0x1.33fe6b78daee1p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.2d203f766a9cbp-4, 0x1.30e01227775cap-4, 0x1.32a3db4f29538p-4, 0x1.326b4e4c29cb3p-4, 0x1.303b6ec32cf6p-4, 0x1.2c1dfb4b7ae4ap-4, 0x1.2620d524dbc52p-4, 0x1.1e55695b9040dp-4, 0x1.14d01eb43c0e7p-4, 0x1.09a7cad746afep-4, 0x1.f9ea60ec73c3p-5, 0x1.dda50f14d3762p-5, 0x1.beb6209d4a216p-5, 0x1.9d556263db7dbp-5, 0x1.79bb3f66f3f76p-5, 0x1.542027ba4bf2ap-5, 0x1.2cbc0bcbcfa67p-5, 0x1.03c5eace3969fp-5, 0x1.b2e6e5ed0776ep-6, 0x1.5bf164436a928p-6, 0x1.030faadc8723dp-6, 0x1.5143d951d2c51p-7, 0x1.340f9e8aab882p-8, -0x1.ee6a6e8a875f4p-11, -0x1.b1c61a109f67dp-8, -0x1.9352b65d84824p-7, -0x1.26d269beb2e73p-6, -0x1.83a9340644437p-6, -0x1.dfef161107358p-6, -0x1.1db5172dac019p-5, -0x1.4af29f8b29729p-5, -0x1.7797c4e9eb2bbp-5, -0x1.a38e5366f2126p-5, -0x1.cec22c6b92871p-5, -0x1.f9212f6fd0daap-5, -0x1.114d90f646f13p-4, -0x1.2590cb6a62c2cp-4, -0x1.3953eaf01462bp-4, -0x1.4c916172d1c41p-4, -0x1.5f4462bd0338dp-4, -0x1.7168d87edfe9ap-4, -0x1.82fb569e41284p-4, -0x1.93f90fdd4407ep-4, -0x1.a45fcae27a965p-4, -0x1.b42dd7aabc9f7p-4, -0x1.c362056a5a621p-4, -0x1.d1fb98e181c16p-4, -0x1.dffa4325d559cp-4, -0x1.ed5e18e2129bfp-4, -0x1.fa278a0b33822p-4, -0x1.032bad04cef9fp-3, -0x1.08f74c2a1b59p-3, -0x1.0e774cbd3c37dp-3, -0x1.13ac784d1cefbp-3, -0x1.1897b49ebba4ep-3, -0x1.1d3a00ce09be9p-3, -0x1.2194729ec1f55p-3, -0x1.25a833fb01045p-3, -0x1.2976809d8245fp-3, -0x1.2d00a3e54f09ap-3, -0x1.3047f6d0c10bap-3, -0x1.334dde1dafa81p-3, -0x1.3613c88cbff05p-3, -0x1.389b2d45dc1a9p-3, -0x1.3ae58a5bc7cdap-3, -0x1.3cf4636d17b97p-3, -0x1.3ec940609b81p-3, -0x1.4065ac3ba557bp-3, -0x1.41cb341073fdep-3, -0x1.42fb66033dd9fp-3, -0x1.43f7d06462f08p-3, -0x1.44c200de5edb7p-3, -0x1.455b83b628195p-3, -0x1.45c5e31cc0ed2p-3, -0x1.4602a690cddc7p-3, -0x1.4613524f168fep-3, -0x1.45f966d0e5af2p-3, -0x1.45b6605754f2fp-3, -0x1.454bb68297ee2p-3, -0x1.44badbf464607p-3, -0x1.44053dfcbcb6bp-3, -0x1.432c44504537fp-3, -0x1.423150c7882ecp-3, -0x1.4115bf266db3p-3, -0x1.3fdae4eb56d2bp-3, -0x1.3e82112543ed8p-3, -0x1.3d0c8c507ded5p-3, -0x1.3b7b983947345p-3, -0x1.39d06fe412145p-3, -0x1.380c477adb2b1p-3, -0x1.36304c3f39bp-3, -0x1.343da480bde8fp-3, -0x1.32356f9753e1dp-3, -0x1.3018c5e147e41p-3, -0x1.2de8b8c49e63fp-3, -0x1.2ba652b388dabp-3, -0x1.2952973397adcp-3, -0x1.26ee82e780abcp-3, -0x1.247b0b9b35837p-3, -0x1.21f9205210276p-3, -0x1.1f69a956ed888p-3, -0x1.1ccd884df833cp-3, -0x1.1a25984804ebbp-3, -0x1.1772add74b94cp-3, -0x1.14b5972561305p-3, -0x1.11ef1c0a48ae3p-3, -0x1.0f1ffe247bca4p-3, -0x1.0c48f8f1c9a98p-3, -0x1.096ac1e8fa7ecp-3, -0x1.068608940c3d4p-3, -0x1.039b76ab006d8p-3, -0x1.00abb02f1b7a9p-3, -0x1.fb6ea70d02791p-4, -0x1.f57df33044de8p-4, -0x1.ef866bcfba5b7p-4, -0x1.e9892d6599da2p-4, -0x1.e3874a1766318p-4, -0x1.dd81c9eed2b72p-4, -0x1.d779ab12b7a69p-4, -0x1.d16fe1ffda8dep-4, -0x1.cb6559c1970f6p-4, -0x1.c55af42a4a10fp-4, -0x1.bf518a0b5c29ap-4, -0x1.b949eb6cf9602p-4, -0x1.b344dfc54c01ep-4, -0x1.ad43262f419bdp-4, -0x1.a74575a0b8a89p-4, -0x1.a14c7d202a4d1p-4, -0x1.9b58e3f9a0a52p-4, -0x1.956b49f31b0b9p-4, -0x1.8f84478028f49p-4, -0x1.89a46df4e3cf8p-4, -0x1.83cc47b81fa86p-4, -0x1.7dfc5874ddc9cp-4, -0x1.78351d4af7b31p-4, -0x1.72770cfefede6p-4, -0x1.6cc29829501a4p-4, -0x1.6718296453f56p-4, -0x1.61782579ef3a1p-4, -0x1.5be2eb901c6fp-4, -0x1.5658d554b04e3p-4, -0x1.50da3728495dep-4, -0x1.4b67604865ec1p-4, -0x1.46009af8a4d28p-4, -0x1.40a62cab2e8c3p-4, -0x1.3b585628496dep-4, -0x1.361753b5157bfp-4, -0x1.30e35d39776e5p-4, -0x1.2bbca6652d9c4p-4, -0x1.26a35ed4149cep-4, -0x1.2197b2319b706p-4, -0x1.1c99c85b6a2f2p-4, -0x1.17a9c5833ab77p-4, -0x1.12c7ca4fe928cp-4, -0x1.0df3f3fdbb774p-4, -0x1.092e5c7de3709p-4, -0x1.04771a953dd4p-4, -0x1.ff9c83f4a137fp-5, -0x1.f667c6e51743ep-5, -0x1.ed5019dd9a671p-5, -0x1.e455934e5dfb3p-5, -0x1.db78446c39123p-5, -0x1.d2b839656c34cp-5, -0x1.ca157995090adp-5, -0x1.c19007b4fe0bp-5, -0x1.b927e20ecc866p-5, -0x1.b0dd02aaf1819p-5, -0x1.a8af5f7f0378ap-5, -0x1.a09eea9a8e8cdp-5, -0x1.98ab9252afd09p-5, -0x1.90d5416c7dc54p-5, -0x1.891bdf463a84dp-5, -0x1.817f4fff5c42ep-5, -0x1.79ff749f6ef56p-5, -0x1.729c2b3bd4c62p-5, -0x1.6b554f1c6dbeap-5, -0x1.642ab8df28176p-5, -0x1.5d1c3e9a819adp-5, -0x1.5629b3ff01272p-5, -0x1.4f52ea77aa1p-5, -0x1.4897b149701p-5, -0x1.41f7d5b1b4effp-5, -0x1.3b732303ce7b2p-5, -0x1.350962c5a27a5p-5, -0x1.2eba5ccb53c7p-5, -0x1.2885d7521101ep-5, -0x1.226b9719ffa47p-5, -0x1.1c6b5f7f50cccp-5, -0x1.1684f2927f697p-5, -0x1.10b8112fbd668p-5, -0x1.0b047b15995bep-5, -0x1.0569eefadaa08p-5, -0x1.ffd055473a83ap-6, -0x1.f4fdd5eb62ca4p-6, -0x1.ea5bd8188495dp-6, -0x1.dfe9d295930efp-6, -0x1.d5a73adea5535p-6, -0x1.cb938548292d8p-6, -0x1.c1ae2520c8f49p-6, -0x1.b7f68cd20ae89p-6, -0x1.ae6c2dffb54f8p-6, -0x1.a50e79a60292cp-6, -0x1.9bdce0369f0a2p-6, -0x1.92d6d1b48f691p-6, -0x1.89fbbdceef9ffp-6, -0x1.814b13faa4ed8p-6, -0x1.78c4438afe356p-6, -0x1.7066bbc950ac9p-6, -0x1.6831ec0b92f9cp-6, -0x1.602543ca04db7p-6, -0x1.584032b3e2a08p-6, -0x1.508228c331d13p-6, -0x1.48ea964fa5a0dp-6, -0x1.4178ec20acbf3p-6, -0x1.3a2c9b7ea2e9dp-6, -0x1.33051643393a9p-6, -0x1.2c01cee90e2d5p-6, -0x1.2522389a84207p-6, -0x1.1e65c73fdca84p-6, -0x1.17cbef8c974b4p-6, -0x1.1154270c1e35dp-6, -0x1.0afde42dcc283p-6, -0x1.04c89e503ef39p-6, -0x1.fd679b982991p-7, -0x1.f17dd7fc057fp-7, -0x1.e5d2e6a0adcddp-7, -0x1.da65be87cfe63p-7, -0x1.cf3558f0e95a4p-7, -0x1.c440b168f1816p-7, -0x1.b986c5d904592p-7, -0x1.af069693fdc59p-7, -0x1.a4bf266322c0bp-7, -0x1.9aaf7a91df814p-7, -0x1.90d69af897c9ap-7, -0x1.8733920698d84p-7, -0x1.7dc56ccb3404ep-7, -0x1.748b3afe0eb3ep-7, -0x1.6b840f06a637dp-7, -0x1.62aefe030d42ap-7, -0x1.5a0b1fcdfda36p-7, -0x1.51978f042d6dbp-7, -0x1.49536908f86e2p-7, -0x1.413dce0a6cb1ep-7, -0x1.3955e104ad9c7p-7, -0x1.319ac7c4c8d81p-7, -0x1.2a0baaeaf26e7p-7, -0x1.22a7b5ec38823p-7, -0x1.1b6e1713ae3bfp-7, -0x1.145dff8317c55p-7, -0x1.0d76a3331a473p-7, -0x1.06b738f2f5d2ep-7, -0x1.001efa67cfb13p-7, -0x1.f35a48171d8d9p-8, -0x1.e6c1ea56a8181p-8, -0x1.da735fcb1c386p-8, -0x1.ce6d324f62dbfp-8, -0x1.c2adf1572b431p-8, -0x1.b73431e8ffd3p-8, -0x1.abfe8e97b6cdfp-8, -0x1.a10ba77b4be51p-8, -0x1.965a222926db6p-8, -0x1.8be8a9abdbe62p-8, -0x1.81b5ee7a6538bp-8, -0x1.77c0a66ee7315p-8, -0x1.6e078cbcfaec4p-8, -0x1.648961e78f91cp-8, -0x1.5b44ebb6637eep-8, -0x1.5238f52b1b79ap-8, -0x1.49644e760213ep-8, -0x1.40c5ccea6f83fp-8, -0x1.385c4af2e4157p-8, -0x1.3026a804d96afp-8, -0x1.2823c8944d61bp-8, -0x1.205296070f507p-8, -0x1.18b1fea7d2721p-8, -0x1.1140f5990b1d9p-8, -0x1.09fe72c7999bep-8, -0x1.02e972dd495c4p-8, -0x1.f801ee664d915p-9, -0x1.ea880b8764f5cp-9, -0x1.dd635239e0d4ap-9, -0x1.d091e0a4bc192p-9, -0x1.c411dddd99c0ep-9, -0x1.b7e179cc4e08fp-9, -0x1.abfeed0e46f43p-9, -0x1.a06878d9d1ea7p-9, -0x1.951c66e14ad2fp-9, -0x1.8a190936377b3p-9, -0x1.7f5cba2c59fb3p-9, -0x1.74e5dc3cb3e79p-9, -0x1.6ab2d9e88e93dp-9, -0x1.60c2259c8234dp-9, -0x1.5712399383347p-9, -0x1.4da197b9fd083p-9, -0x1.446ec990fdeadp-9, -0x1.3b78601172599p-9, -0x1.32bcf38f7c26ep-9, -0x1.2a3b239de2525p-9, -0x1.21f196f1a3c77p-9, -0x1.19defb45a5b24p-9, -0x1.1202053e8e4d6p-9, -0x1.0a59704ec446dp-9, -0x1.02e3fe9a98edfp-9, -0x1.f740f1b94476ep-10, -0x1.e91b5c9484e4cp-10, -0x1.db54e8f0cef8cp-10, -0x1.cdeb4e80ee9f5p-10, -0x1.c0dc514afb43bp-10, -0x1.b425c1730e68fp-10, -0x1.a7c57b06827eap-10, -0x1.9bb965c7a24c4p-10, -0x1.8fff74f9d4367p-10, -0x1.8495a72e46fe6p-10, -0x1.797a0611235cap-10, -0x1.6eaaa63736145p-10, -0x1.6425a6ec3325ep-10, -0x1.59e93201705a4p-10, -0x1.4ff37b9d37ccep-10, -0x1.4642c20a9d10cp-10, -0x1.3cd54d89e813fp-10, -0x1.33a970218a7f9p-10, -0x1.2abd856faad62p-10, -0x1.220ff27c3b2efp-10, -0x1.199f258ba9104p-10, -0x1.116995f21d674p-10, -0x1.096dc3e7535fp-10, -0x1.01aa385afec47p-10, -0x1.f43b0993a0893p-11, -0x1.e58c862610dc1p-11, -0x1.d7462a9d47a43p-11, -0x1.c9654b4837887p-11, -0x1.bbe74c437c63dp-11, -0x1.aec9a12933f86p-11, -0x1.a209ccc2050dp-11, -0x1.95a560b74d4dep-11, -0x1.8999fd467cea9p-11, -0x1.7de550f5984a2p-11, -0x1.72851848e2887p-11, -0x1.67771d79aeb67p-11, -0x1.5cb9382e55293p-11, -0x1.52494d334ea54p-11, -0x1.48254e356ede8p-11, -0x1.3e4b397d40529p-11, -0x1.34b919ab7f789p-11, -0x1.2b6d0576b0fd1p-11, -0x1.22651f69d2256p-11, -0x1.199f95a422abep-11, -0x1.111aa19a02e83p-11, -0x1.08d487d6e6b69p-11, -0x1.00cb97c05983ep-11, -0x1.f1fc56b41e6d8p-12, -0x1.e2d54e1607148p-12, -0x1.d41ef2c743156p-12, -0x1.c5d635c9e42b3p-12, -0x1.b7f81b919c69ep-12, -0x1.aa81bb9627855p-12, -0x1.9d703fe7aebf8p-12, -0x1.90c0e4c5253e6p-12, -0x1.8470f8349761p-12, -0x1.787dd99d6245dp-12, -0x1.6ce4f9645468p-12, -0x1.61a3d889acf7fp-12, -0x1.56b80848f488dp-12, -0x1.4c1f29baab033p-12, -0x1.41d6ed77c251p-12, -0x1.37dd133ee058ap-12, -0x1.2e2f699b6521ep-12, -0x1.24cbcd8e28884p-12, -0x1.1bb02a37f147p-12, -0x1.12da788599373p-12, -0x1.0a48bedddb245p-12, -0x1.01f910d0c303cp-12, -0x1.f3d31d917734p-13, -0x1.e430cb7a67678p-13, -0x1.d5079dcda694p-13, -0x1.c6541eea73a11p-13, -0x1.b812f08c87c1fp-13, -0x1.aa40cb3d9ae7fp-13, -0x1.9cda7dc9d934ep-13, -0x1.8fdcecb741534p-13, -0x1.834511bfd4478p-13, -0x1.770ffb4e9b3d9p-13, -0x1.6b3acbff6a17bp-13, -0x1.5fc2ba2155beep-13, -0x1.54a50f3bdd4dp-13, -0x1.49df2796a68b1p-13, -0x1.3f6e71c3d7ab1p-13, -0x1.35506e2cf5062p-13, -0x1.2b82aea237289p-13, -0x1.2202d5ec6060ap-13, -0x1.18ce9760e694ap-13, -0x1.0fe3b67889b0fp-13, -0x1.0740066830daap-13, -0x1.fdc2d37824002p-14, -0x1.ed8ba3ea2c8acp-14, -0x1.ddd67e50d9c64p-14, -0x1.ce9f7f428c521p-14, -0x1.bfe2df095d13ap-14, -0x1.b19cf0eeef584p-14, -0x1.a3ca228c5d345p-14, -0x1.9666fb1e1aff3p-14, -0x1.89701adbccb1dp-14, -0x1.7ce23a53ecea2p-14, -0x1.70ba29cb3b4d5p-14, -0x1.64f4d09fdc7e2p-14, -0x1.598f2cb019744p-14, -0x1.4e8651c4acbc5p-14, -0x1.43d768fe8a598p-14, -0x1.397fb0481159ep-14, -0x1.2f7c79c9979f9p-14, -0x1.25cb2b6139b62p-14, -0x1.1c693e1de3e58p-14, -0x1.13543dbd7fca9p-14, -0x1.0a89c82e366d6p-14, -0x1.02078d12b86b9p-14, -0x1.f3969a92f6ebfp-15, -0x1.e3a5b4edb91d5p-15, -0x1.d4382d24313cap-15, -0x1.c549e6ea1936ap-15, -0x1.b6d6e4dd59badp-15, -0x1.a8db47b04e052p-15, -0x1.9b534d593a322p-15, -0x1.8e3b5046df395p-15, -0x1.818fc69a08855p-15, -0x1.754d41640011dp-15, -0x1.69706be9c4ac1p-15, -0x1.5df60aebf2d72p-15, -0x1.52dafbf33b389p-15, -0x1.481c34a1559dfp-15, -0x1.3db6c20652b42p-15, -0x1.33a7c7fa36d27p-15, -0x1.29ec807ac04e3p-15, -0x1.20823b0d497c4p-15, -0x1.17665c24a8d5fp-15, -0x1.0e965c8af9ff2p-15, -0x1.060fc8cf39b37p-15, -0x1.fba0816d4021ep-16, -0x1.ebaaed633b053p-16, -0x1.dc3a5ea8dfafcp-16, -0x1.cd4a81a6592c8p-16, -0x1.bed7250277ac8p-16, -0x1.b0dc38a83e8f8p-16, -0x1.a355ccd30217p-16, -0x1.96401120d7826p-16, -0x1.899753ab3b7b2p-16, -0x1.7d580025ca10dp-16, -0x1.717e9f02e384ep-16, -0x1.6607d49e141b7p-16, -0x1.5af0606c27293p-16, -0x1.50351c30b96afp-16, -0x1.45d2fb392c618p-16, -0x1.3bc7099cdd287p-16, -0x1.320e6b827b778p-16, -0x1.28a65c6a5d80ep-16, -0x1.1f8c2e7dbbc59p-16, -0x1.16bd49e2aeb08p-16, -0x1.0e372c14d1dcap-16, -0x1.05f7674270ecfp-16, -0x1.fbf7435c46999p-17, -0x1.ec832a29740bp-17, -0x1.dd8e1c2ec43cdp-17, -0x1.cf13d753c49ddp-17, -0x1.c1103d09bb58p-17, -0x1.b37f5137fa1b9p-17, -0x1.a65d392fd03b7p-17, -0x1.99a63aa7ec8d1p-17, -0x1.8d56babefe0b2p-17, -0x1.816b3d05651dcp-17, -0x1.75e0628dca4bep-17, -0x1.6ab2e90463926p-17, -0x1.5fdfa9ccd7157p-17, -0x1.556399266343cp-17, -0x1.4b3bc55659acfp-17, -0x1.416555d895ca7p-17, -0x1.37dd8a95e2521p-17, -0x1.2ea1bb201cf1ep-17, -0x1.25af55f3f3d8ap-17, -0x1.1d03dfc018272p-17, -0x1.149cf2b1c1b17p-17, -0x1.0c783dc65f501p-17, -0x1.04938422529bbp-17, -0x1.f9d938d9281cep-18, -0x1.eb02e05e3fabcp-18, -0x1.dc9ff6781383cp-18, -0x1.ceac962e34acp-18, -0x1.c124fcc7aa496p-18, -0x1.b40588af94a93p-18, -0x1.a74ab8622f4adp-18, -0x1.9af12961f438dp-18, -0x1.8ef59734ad19cp-18, -0x1.8354da68389d8p-18, -0x1.780be79ed0f8bp-18, -0x1.6d17cea29caafp-18, -0x1.6275b9805c4efp-18, -0x1.5822eba8fdd42p-18, -0x1.4e1cc119e907ap-18, -0x1.4460ad8bd6729p-18, -0x1.3aec3ba7feaefp-18, -0x1.31bd0c437b015p-18, -0x1.28d0d5a0a83bbp-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.b6bf58de5227ap-1, 0x1.b34185ae17252p-1, 0x1.afa5ad57835d5p-1, 0x1.abed7724e6308p-1, 0x1.a81aeaf6a0ec7p-1, 0x1.a43059c6d3edap-1, 0x1.a03046b428a07p-1, 0x1.9c1d5181dc217p-1, 0x1.97fa232ace66bp-1, 0x1.93c95ce491f09p-1, 0x1.8f8d89bcd28c4p-1, 0x1.8b4912d52119ap-1, 0x1.86fe36256ad7ep-1, 0x1.82aeff9a364d8p-1, 0x1.7e5d44577c1cp-1, 0x1.7a0a9fe237ff9p-1, 0x1.75b872f014efap-1, 0x1.7167e39d14a83p-1, 0x1.6d19dec9a46b3p-1, 0x1.68cf1a67a9ebbp-1, 0x1.64881882132d7p-1, 0x1.60452acfeeaap-1, 0x1.5c0676a9b75b9p-1, 0x1.57cbf93d11b22p-1, 0x1.53958be08e0e7p-1, 0x1.4f62e86dfd0cap-1, 0x1.4b33ad8e78a2p-1, 0x1.470762e75d906p-1, 0x1.42dd7d1b1b01fp-1, 0x1.3eb56193f2989p-1, 0x1.3a8e6a1184aa3p-1, 0x1.3667e7f466a18p-1, 0x1.32412744f5f81p-1, 0x1.2e1971744da6bp-1, 0x1.29f00fd790d98p-1, 0x1.25c44dded95f7p-1, 0x1.21957b09f54e5p-1, 0x1.1d62ec9dba957p-1, 0x1.192bff1d3f8fp-1, 0x1.14f0178a8c036p-1, 0x1.10aea4729c3a6p-1, 0x1.0c671ec89d8cbp-1, 0x1.08190a9458055p-1, 0x1.03c3f777b1237p-1, 0x1.fecf021e2a801p-2, 0x1.f6069e60ed811p-2, 0x1.ed2e2c18d401ep-2, 0x1.e4452c695e021p-2, 0x1.db4b3916a494ep-2, 0x1.d240043a9594ep-2, 0x1.c92357d6a4a98p-2, 0x1.bff51546f4181p-2, 0x1.b6b5349b88214p-2, 0x1.ad63c3dbc33dap-2, 0x1.a400e637f7302p-2, 0x1.9a8cd32c81246p-2, 0x1.9107d599887d7p-2, 0x1.87724ad22da8bp-2, 0x1.7dcca1a59c8ddp-2, 0x1.741759643b473p-2, 0x1.6a5300e2dd514p-2, 0x1.6080357db0cc3p-2, 0x1.569fa21c61cd7p-2, 0x1.4cb1fe38b0dadp-2, 0x1.42b80ce8a106fp-2, 0x1.38b29bed1f4e4p-2, 0x1.2ea282c5f6bfep-2, 0x1.2488a1cbacb37p-2, 0x1.1a65e14fd4db6p-2, 0x1.103b30c446c2fp-2, 0x1.060985e98a091p-2, 0x1.f7a3b8096cf5ap-3, 0x1.e32a6639f7e5bp-3, 0x1.cea91e81c80bep-3, 0x1.ba21efa6cfc08p-3, 0x1.a596edc1a8559p-3, 0x1.910a30f6e7df9p-3, 0x1.7c7dd43fee1d8p-3, 0x1.67f3f442e302bp-3, 0x1.536eae39ba06p-3, 0x1.3ef01ee7e7887p-3, 0x1.2a7a619e74c1ep-3, 0x1.160f8f4e1b1fdp-3, 0x1.01b1bda70f206p-3, 0x1.dac5fc8c0d198p-4, 0x1.b24abbdc3ef56p-4, 0x1.89f5c79e898b4p-4, 0x1.61cb21b11d371p-4, 0x1.39cebe2ca25d4p-4, 0x1.12048236b2122p-4, 0x1.d4e085d3d26c7p-5, 0x1.862b88a581f84p-5, 0x1.37f17100b26d3p-5, 0x1.d472faa1b307ep-6, 0x1.3a15897696366p-6, 0x1.41b0d6bc594edp-7, 0x1.192525a7bd508p-11, -0x1.1c16155a1b6a8p-7, -0x1.23975645c1124p-6, -0x1.b7cf3a19bc63cp-6, -0x1.2553495c890c6p-5, -0x1.6e08cd1e57425p-5, -0x1.b60274c46b434p-5, -0x1.fd3abcaf6f4fp-5, -0x1.21d628d01d2e6p-4, -0x1.44a90889b0d8cp-4, -0x1.671384c3e5525p-4, -0x1.89133d58a5ebep-4, -0x1.aaa5eacc30c5ep-4, -0x1.cbc95e53f824cp-4, -0x1.ec7b81d4fc0d5p-4, -0x1.065d2bed107ep-3, -0x1.1641fdc16f27cp-3, -0x1.25eb50356036ep-3, -0x1.355849450b1fbp-3, -0x1.44881b0823747p-3, -0x1.537a039c04e77p-3, -0x1.622d4d0afe062p-3, -0x1.70a14d30f2222p-3, -0x1.7ed5659d775b4p-3, -0x1.8cc903739da5ap-3, -0x1.9a7b9f4783bdap-3, -0x1.a7ecbcf9e8a8ap-3, -0x1.b51beb91c9979p-3, -0x1.c208c51447fb2p-3, -0x1.ceb2ee5ae339cp-3, -0x1.db1a16e836679p-3, -0x1.e73df8bb48f4bp-3, -0x1.f31e5821a1d1bp-3, -0x1.febb038825d5cp-3, -0x1.0509e9a577217p-2, -0x1.0a9454c211dc4p-2, -0x1.0ffcb8ecfe2f4p-2, -0x1.154310a5fbd5p-2, -0x1.1a675affb359dp-2, -0x1.1f699b85af818p-2, -0x1.2449da221444ep-2, -0x1.290823031b502p-2, -0x1.2da486806649p-2, -0x1.321f1900282ep-2, -0x1.3677f2dc3370ep-2, -0x1.3aaf3046f2847p-2, -0x1.3ec4f13055dbep-2, -0x1.42b9592abbc23p-2, -0x1.468c8f4fd9f3cp-2, -0x1.4a3ebe25b2a72p-2, -0x1.4dd0138397a94p-2, -0x1.5140c07743e6fp-2, -0x1.5490f92a118d7p-2, -0x1.57c0f4c65126fp-2, -0x1.5ad0ed5cc7db7p-2, -0x1.5dc11fca5afebp-2, -0x1.6091cb9de9ccp-2, -0x1.634332fe5f6d5p-2, -0x1.65d59a90fdbeap-2, -0x1.6849495fe4527p-2, -0x1.6a9e88c0da4f7p-2, -0x1.6cd5a43c5eacap-2, -0x1.6eeee974fdeb3p-2, -0x1.70eaa80ef5a83p-2, -0x1.72c9319826779p-2, -0x1.748ad97055ca9p-2, -0x1.762ff4b1c5284p-2, -0x1.77b8da1a1e487p-2, -0x1.7925e1f3b9575p-2, -0x1.7a7765ff39dcfp-2, -0x1.7badc15d8e9a3p-2, -0x1.7cc9507a45d67p-2, -0x1.7dca70f64b3bp-2, -0x1.7eb18192fd343p-2, -0x1.7f7ee21dac4ffp-2, -0x1.8032f35b7769ep-2, -0x1.80ce16f58fa1bp-2, -0x1.8150af65ded65p-2, -0x1.81bb1fe417ae5p-2, -0x1.820dcc5325108p-2, -0x1.8249192f06aecp-2, -0x1.826d6b7b1167p-2, -0x1.827b28b0976f1p-2, -0x1.8272b6adf6fa3p-2, -0x1.82547ba6126c5p-2, -0x1.8220de102db4dp-2, -0x1.81d8449834558p-2, -0x1.817b160f65028p-2, -0x1.8109b95d65edfp-2, -0x1.80849571be3bap-2, -0x1.7fec1135b49c6p-2, -0x1.7f40937e94d39p-2, -0x1.7e82830059122p-2, -0x1.7db24640b8092p-2, -0x1.7cd0438a95f11p-2, -0x1.7bdce0e1d6c34p-2, -0x1.7ad883f7967c3p-2, -0x1.79c3921ebd49ap-2, -0x1.789e7040f71d3p-2, -0x1.776982d408edap-2, -0x1.76252dcf82c3ap-2, -0x1.74d1d4a2d2f9bp-2, -0x1.736fda2baf3e9p-2, -0x1.71ffa0acdd78ep-2, -0x1.708189c552ddcp-2, -0x1.6ef5f667ae82bp-2, -0x1.6d5d46d2062d5p-2, -0x1.6bb7da860f0eep-2, -0x1.6a0610419538ep-2, -0x1.684845f74b084p-2, -0x1.667ed8c7e7ba6p-2, -0x1.64aa24fb960d5p-2, -0x1.62ca85fbb670bp-2, -0x1.60e0564ce8759p-2, -0x1.5eebef8966edbp-2, -0x1.5cedaa5babbacp-2, -0x1.5ae5de795d808p-2, -0x1.58d4e29e8578p-2, -0x1.56bb0c890f968p-2, -0x1.5498b0f489988p-2, -0x1.526e23962c60bp-2, -0x1.503bb719243b5p-2, -0x1.4e01bd1b1aa91p-2, -0x1.4bc0862901b28p-2, -0x1.497861bc1b0b2p-2, -0x1.47299e373d37ep-2, -0x1.44d488e455674p-2, -0x1.42796df21f61ap-2, -0x1.401898721b7d1p-2, -0x1.3db25256b6439p-2, -0x1.3b46e471aa274p-2, -0x1.38d696729278cp-2, -0x1.3661aee5b4764p-2, -0x1.33e87332f5363p-2, -0x1.316b279d05ab1p-2, -0x1.2eea0f40b9506p-2, -0x1.2c656c148b76p-2, -0x1.29dd7ee85248ap-2, -0x1.27528765197p-2, -0x1.24c4c40d2a6a1p-2, -0x1.2234723c3ab8cp-2, -0x1.1fa1ce27bfe2ap-2, -0x1.1d0d12df6d3cp-2, -0x1.1a767a4dd31cp-2, -0x1.17de3d3921b26p-2, -0x1.154493440f0bcp-2, -0x1.12a9b2eede12bp-2, -0x1.100dd19884ca3p-2, -0x1.0d71237feffffp-2, -0x1.0ad3dbc56719ep-2, -0x1.08362c6c0b27bp-2, -0x1.0598465b6e95fp-2, -0x1.02fa59614cfc3p-2, -0x1.005c943355d41p-2, -0x1.fb7e48e225cbep-3, -0x1.f6446d4bc9662p-3, -0x1.f10bec962c5d4p-3, -0x1.ebd51b94033c7p-3, -0x1.e6a04cfca09c7p-3, -0x1.e16dd1708c4b7p-3, -0x1.dc3df77e47526p-3, -0x1.d7110ba734098p-3, -0x1.d1e758649890ep-3, -0x1.ccc1262cc2b5cp-3, -0x1.c79ebb784e25cp-3, -0x1.c2805cc77dfc2p-3, -0x1.bd664ca7b7bbcp-3, -0x1.b850cbb910c22p-3, -0x1.b34018b3f9a22p-3, -0x1.ae34706ef4ee9p-3, -0x1.a92e0de46daeep-3, -0x1.a42d2a3894dd2p-3, -0x1.9f31fcbf59482p-3, -0x1.9a3cbb0268404p-3, -0x1.954d98c74280ap-3, -0x1.9064c815565e4p-3, -0x1.8b82793c2f146p-3, -0x1.86a6dad9a6b3ap-3, -0x1.81d219e025439p-3, -0x1.7d04619ce6ed3p-3, -0x1.783ddbbe484dap-3, -0x1.737eb05a1ab41p-3, -0x1.6ec705f3fda61p-3, -0x1.6a170183b5c0cp-3, -0x1.656ec67b8fea6p-3, -0x1.60ce76cebe5b7p-3, -0x1.5c3632f7baefap-3, -0x1.57a619fea8945p-3, -0x1.531e497fb133dp-3, -0x1.4e9eddb164807p-3, -0x1.4a27f16b16c08p-3, -0x1.45b99e2b31872p-3, -0x1.4153fc1d8e19fp-3, -0x1.3cf72221c1c4p-3, -0x1.38a325d166a41p-3, -0x1.34581b865d712p-3, -0x1.301616610c9bdp-3, -0x1.2bdd284e915ccp-3, -0x1.27ad620eeb7bap-3, -0x1.2386d33b220d2p-3, -0x1.1f698a4b5cc15p-3, -0x1.1b55949cf0e1ap-3, -0x1.174afe786bab6p-3, -0x1.1349d31786ac8p-3, -0x1.0f521cab197cfp-3, -0x1.0b63e460ff27ap-3, -0x1.077f3269e676ep-3, -0x1.03a40dff2241p-3, -0x1.ffa4fad0c76e9p-4, -0x1.f8150c02d28b5p-4, -0x1.f098587f44065p-4, -0x1.e92ee76f7b905p-4, -0x1.e1d8be4671bdfp-4, -0x1.da95e0cb98df8p-4, -0x1.d3665125b1883p-4, -0x1.cc4a0fe57be65p-4, -0x1.c5411c1047ae5p-4, -0x1.be4b732a67e0bp-4, -0x1.b769114185224p-4, -0x1.b099f0f6d22cdp-4, -0x1.a9de0b89198bep-4, -0x1.a33558deb7ff4p-4, -0x1.9c9fcf8f6216fp-4, -0x1.961d64eddbbc1p-4, -0x1.8fae0d1182299p-4, -0x1.8951badfb90b1p-4, -0x1.8308601533b81p-4, -0x1.7cd1ed4f1e6bp-4, -0x1.76ae521422b38p-4, -0x1.709d7cdd4bb74p-4, -0x1.6a9f5b1ec7435p-4, -0x1.64b3d95083aecp-4, -0x1.5edae2f6ad043p-4, -0x1.591462aa0539cp-4, -0x1.536042201cbefp-4, -0x1.4dbe6a3365918p-4, -0x1.482ec2eb2620dp-4, -0x1.42b13383492eep-4, -0x1.3d45a27409a18p-4, -0x1.37ebf5797f2f8p-4, -0x1.32a4119b061ccp-4, -0x1.2d6ddb3286102p-4, -0x1.284935f3977d1p-4, -0x1.233604f285ddap-4, -0x1.1e342aab31e8p-4, -0x1.19438907d094ep-4, -0x1.146401678ad59p-4, -0x1.0f9574a4faa1bp-4, -0x1.0ad7c31c87a68p-4, -0x1.062accb2a397ap-4, -0x1.018e70d9e5f3dp-4, -0x1.fa051d320dc8dp-5, -0x1.f10e092178689p-5, -0x1.e8376202e73dfp-5, -0x1.df80e3a1e08b8p-5, -0x1.d6ea491f8f8c6p-5, -0x1.ce734cfd810eap-5, -0x1.c61ba928243d5p-5, -0x1.bde317010c16p-5, -0x1.b5c94f68f9462p-5, -0x1.adce0ac9a3a62p-5, -0x1.a5f1011f4cd0ap-5, -0x1.9e31ea021743bp-5, -0x1.96907caf22c01p-5, -0x1.8f0c70117387cp-5, -0x1.87a57aca9c639p-5, -0x1.805b533b3658dp-5, -0x1.792daf8b1d9ccp-5, -0x1.721c45b17a75bp-5, -0x1.6b26cb7c94a0ap-5, -0x1.644cf69970e22p-5, -0x1.5d8e7c9b3b933p-5, -0x1.56eb13027fcedp-5, -0x1.50626f442b9bap-5, -0x1.49f446d0616b3p-5, -0x1.43a04f191b278p-5, -0x1.3d663d98992dfp-5, -0x1.3745c7d7a49b5p-5, -0x1.313ea3739ffb5p-5, -0x1.2b5086246bfdap-5, -0x1.257b25c21bf63p-5, -0x1.1fbe384a80da1p-5, -0x1.1a1973e684bbcp-5, -0x1.148c8eef5cc38p-5, -0x1.0f173ff38fe08p-5, -0x1.09b93dbbd2e76p-5, -0x1.04723f4fbceecp-5, -0x1.fe83f7f4a17dep-6, -0x1.f450569cc1375p-6, -0x1.ea490a559497fp-6, -0x1.e06d837d1557dp-6, -0x1.d6bd33195c1d6p-6, -0x1.cd378ae035427p-6, -0x1.c3dbfd3e6bb69p-6, -0x1.baa9fd5ecccep-6, -0x1.b1a0ff30e7cfcp-6, -0x1.a8c0776f85bbep-6, -0x1.a007dba6e0555p-6, -0x1.9776a23a94352p-6, -0x1.8f0c426b58765p-6, -0x1.86c8345c6c7ddp-6, -0x1.7ea9f118d1b07p-6, -0x1.76b0f298446b3p-6, -0x1.6edcb3c3f70f5p-6, -0x1.672cb07b15768p-6, -0x1.5fa0659711841p-6, -0x1.583750efb27dbp-6, -0x1.50f0f15ef26e1p-6, -0x1.49ccc6c4a4a39p-6, -0x1.42ca5209e6b54p-6, -0x1.3be9152461ac9p-6, -0x1.3528931955016p-6, -0x1.2e88500078108p-6, -0x1.2807d106a2931p-6, -0x1.21a69c70507e3p-6, -0x1.1b64399bf2846p-6, -0x1.15403104118d5p-6, -0x1.0f3a0c414fb2fp-6, -0x1.0951560c3477cp-6, -0x1.03859a3ed7e9ep-6, -0x1.fbaccbacc2e37p-7, -0x1.f0868de8c9b27p-7, -0x1.e59799c028cd1p-7, -0x1.dadf100e9e269p-7, -0x1.d05c13ff1f9b1p-7, -0x1.c60dcb0d6c09ap-7, -0x1.bbf35d0754a7ep-7, -0x1.b20bf40dce095p-7, -0x1.a856bc95c06a8p-7, -0x1.9ed2e56893055p-7, -0x1.957f9fa47db19p-7, -0x1.8c5c1ebca943ep-7, -0x1.8367987908256p-7, -0x1.7aa144f604b32p-7, -0x1.72085ea3f4815p-7, -0x1.699c224658f41p-7, -0x1.615bcef2ed2ddp-7, -0x1.5946a61086f4dp-7, -0x1.515beb55c4edcp-7, -0x1.499ae4c7929e3p-7, -0x1.4202dab77d49p-7, -0x1.3a9317c1e5e41p-7, -0x1.334ae8cc001afp-7, -0x1.2c299d01b2381p-7, -0x1.252e85d34bf45p-7, -0x1.1e58f6f319409p-7, -0x1.17a84652d2032p-7, -0x1.111bcc20e7ea5p-7, -0x1.0ab2e2c5b4291p-7, -0x1.046ce6e085887p-7, -0x1.fc926e89218e8p-8, -0x1.f08e69eb88dp-8, -0x1.e4cc864b0021cp-8, -0x1.d94b8e5e66dd1p-8, -0x1.ce0a5129c2736p-8, -0x1.c307a1f719f78p-8, -0x1.b842584f1e6d8p-8, -0x1.adb94ff1abf9dp-8, -0x1.a36b68ce1ce73p-8, -0x1.995786fb78a57p-8, -0x1.8f7c92b07a877p-8, -0x1.85d9783b7672ep-8, -0x1.7c6d27fa1af04p-8, -0x1.7336965111bc6p-8, -0x1.6a34bba386bc8p-8, -0x1.6166944a8c53bp-8, -0x1.58cb208c6a9b2p-8, -0x1.50616493d2bd9p-8, -0x1.48286866fb3d8p-8, -0x1.401f37dea68f4p-8, -0x1.3844e29d1766dp-8, -0x1.30987c04ef5a1p-8, -0x1.29191b2ffe971p-8, -0x1.21c5dae6026f5p-8, -0x1.1a9dd9935810ap-8, -0x1.13a0393f9eea8p-8, -0x1.0ccc1f8451817p-8, -0x1.0620b58354f8cp-8, -0x1.ff3a4fbaf7e29p-9, -0x1.f2814d520c9fap-9, -0x1.e614cad02b826p-9, -0x1.d9f335fe423cp-9, -0x1.ce1b0356be295p-9, -0x1.c28aadf26236cp-9, -0x1.b740b77516937p-9, -0x1.ac3ba7fab0825p-9, -0x1.a17a0e03c3bd6p-9, -0x1.96fa7e626ad7p-9, -0x1.8cbb94271b6dep-9, -0x1.82bbf08d79d08p-9, -0x1.78fa3ae936c33p-9, -0x1.6f752092f406cp-9, -0x1.662b54d533024p-9, -0x1.5d1b90d950ee9p-9, -0x1.544493948ed4fp-9, -0x1.4ba521b527a03p-9, -0x1.433c058f76816p-9, -0x1.3b080f0b32b8dp-9, -0x1.33081390b580fp-9, -0x1.2b3aedf65dcfbp-9, -0x1.239f7e6e022a8p-9, -0x1.1c34aa727bcf7p-9, -0x1.14f95cb548f33p-9, -0x1.0dec850c47c43p-9, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.d18124341855ap-1, 0x1.d025cd1167c7cp-1, 0x1.cec0b8901cf88p-1, 0x1.cd51e695579ap-1, 0x1.cbd96ac5b1bdbp-1, 0x1.ca576bf6fe76ap-1, 0x1.c8cc22dd4e3c7p-1, 0x1.c737d82fec02dp-1, 0x1.c59ae278ae5bep-1, 0x1.c3f5a3b6616e1p-1, 0x1.c24886f26425fp-1, 0x1.c093fde202276p-1, 0x1.bed87ea59dac2p-1, 0x1.bd1681b250b2bp-1, 0x1.bb4e7fee41e92p-1, 0x1.b980f10454fa4p-1, 0x1.b7ae49f112c52p-1, 0x1.b5d6fbc880b4dp-1, 0x1.b3fb72b3036fp-1, 0x1.b21c151e473cep-1, 0x1.b039431e6386ap-1, 0x1.ae5355faf012ep-1, 0x1.ac6a9fe3905d9p-1, 0x1.aa7f6bc75f689p-1, 0x1.a891fd4ac2546p-1, 0x1.a6a290d75211p-1, 0x1.a4b15bc1cae9ep-1, 0x1.a2be8c824082fp-1, 0x1.a0ca4afb1c8dfp-1, 0x1.9ed4b8cbd0209p-1, 0x1.9cddf1ac65bbcp-1, 0x1.9ae60bcf814a7p-1, 0x1.98ed1848a034cp-1, 0x1.96f32374bd374p-1, 0x1.94f83563bc1e7p-1, 0x1.92fc5241429dap-1, 0x1.90ff7abbdc32ep-1, 0x1.8f01ac697ceccp-1, 0x1.8d02e228a1c57p-1, 0x1.8b03147d7b054p-1, 0x1.890239eaa945bp-1, 0x1.87004745401bdp-1, 0x1.84fd3003d0689p-1, 0x1.82f8e6885c658p-1, 0x1.80f35c65298f4p-1, 0x1.7eec829c6d201p-1, 0x1.7ce449daec2d2p-1, 0x1.7adaa2ada2bffp-1, 0x1.78cf7db29d3ep-1, 0x1.76c2cbc52b43bp-1, 0x1.74b47e25a047ep-1, 0x1.72a4869cd2a21p-1, 0x1.7092d79b9614fp-1, 0x1.6e7f645665fabp-1, 0x1.6c6a20dd7bc5ap-1, 0x1.6a5302318a579p-1, 0x1.6839fe555a39dp-1, 0x1.661f0c5c7a61ep-1, 0x1.64022477418c9p-1, 0x1.61e33ffc508f8p-1, 0x1.5fc2596fcd7c7p-1, 0x1.5d9f6c88823f5p-1, 0x1.5b7a763314cffp-1, 0x1.595374937e596p-1, 0x1.572a6704eff54p-1, 0x1.54ff4e1848d36p-1, 0x1.52d22b91459b2p-1, 0x1.50a302628a3bp-1, 0x1.4e71d6a8a6b1bp-1, 0x1.4c3eada435629p-1, 0x1.4a098db32d1f7p-1, 0x1.47d27e4985097p-1, 0x1.459987e93c88p-1, 0x1.435eb419e22b3p-1, 0x1.41220d5fac622p-1, 0x1.3ee39f3234839p-1, 0x1.3ca375f2e9b5cp-1, 0x1.3a619ee345d3ap-1, 0x1.381e281ad8185p-1, 0x1.35d9207d2e26bp-1, 0x1.339297afaa5efp-1, 0x1.314a9e0f4e548p-1, 0x1.2f0144a687e8p-1, 0x1.2cb69d2305a1fp-1, 0x1.2a6ab9cb9b1bfp-1, 0x1.281dad763cf0ep-1, 0x1.25cf8b7e1b3e4p-1, 0x1.238067b9dbd03p-1, 0x1.21305671ff9f2p-1, 0x1.1edf6c5770c45p-1, 0x1.1c8dbe7a413f3p-1, 0x1.1a3b62409ba69p-1, 0x1.17e86d5de9b9p-1, 0x1.1594f5ca3107p-1, 0x1.134111b9a9715p-1, 0x1.10ecd7948e97fp-1, 0x1.0e985def2c6fp-1, 0x1.0c43bb82299f7p-1, 0x1.09ef07230e99p-1, 0x1.079a57bd0b4fdp-1, 0x1.0545c449fa54bp-1, 0x1.02f163cba30a4p-1, 0x1.009d4d453933dp-1, 0x1.fc932f6a35f12p-2, 0x1.f7ecb41d96bebp-2, 0x1.f347566a559cap-2, 0x1.eea343e9d5629p-2, 0x1.ea00a9fe7a51fp-2, 0x1.e55fb5c97e00bp-2, 0x1.e0c094213922p-2, 0x1.dc237187d9804p-2, 0x1.d7887a228eb63p-2, 0x1.d2efd9b11d61bp-2, 0x1.ce59bb85e2ed5p-2, 0x1.c9c64a7e3f633p-2, 0x1.c535b0fb65483p-2, 0x1.c0a818db9294bp-2, 0x1.bc1dab73a3d5bp-2, 0x1.b79691890f8a8p-2, 0x1.b312f34c35823p-2, 0x1.ae92f85312807p-2, 0x1.aa16c794429bap-2, 0x1.a59e87626066fp-2, 0x1.a12a5d67b3b86p-2, 0x1.9cba6ea233fdbp-2, 0x1.984edf5fd4e5bp-2, 0x1.93e7d33b2466cp-2, 0x1.8f856d182e421p-2, 0x1.8b27cf21a8894p-2, 0x1.86cf1ac666823p-2, 0x1.827b70b70c318p-2, 0x1.7e2cf0e402fcdp-2, 0x1.79e3ba7baf638p-2, 0x1.759febe8dd418p-2, 0x1.7161a2d16cb81p-2, 0x1.6d28fc1531ab1p-2, 0x1.68f613cd0e2cep-2, 0x1.64c9054a3aa79p-2, 0x1.60a1eb15c6522p-2, 0x1.5c80def04410dp-2, 0x1.5865f9d1a4a26p-2, 0x1.545153e9419ecp-2, 0x1.5043049e0c868p-2, 0x1.4c3b228eec7p-2, 0x1.4839c3933f557p-2, 0x1.443efcbb80c3ep-2, 0x1.404ae25215ed7p-2, 0x1.3c5d87dc39d5fp-2, 0x1.3877001b0aec8p-2, 0x1.34975d0cb7df4p-2, 0x1.30beafedc8949p-2, 0x1.2ced093a849bep-2, 0x1.292278b07320ep-2, 0x1.255f0d4ff4608p-2, 0x1.21a2d55df4303p-2, 0x1.1dedde65afde9p-2, 0x1.1a40353a96072p-2, 0x1.1699e5fa34e97p-2, 0x1.12fafc0e42b3p-2, 0x1.0f63822eaf05cp-2, 0x1.0bd38263cd9p-2, 0x1.084b0608897p-2, 0x1.04ca15ccacd33p-2, 0x1.0150b9b72ebd2p-2, 0x1.fbbdf2512f5b1p-3, 0x1.f4e9b5bacac96p-3, 0x1.ee24c9e10b0e5p-3, 0x1.e76f39bba081bp-3, 0x1.e0c90f0922d7fp-3, 0x1.da3252542d1ccp-3, 0x1.d3ab0af8908c2p-3, 0x1.cd333f28868afp-3, 0x1.c6caf3f1fec47p-3, 0x1.c0722d43e72p-3, 0x1.ba28edf38710ep-3, 0x1.b3ef37c1e10dep-3, 0x1.adc50b610fa35p-3, 0x1.a7aa6879b6c01p-3, 0x1.a19f4db06df99p-3, 0x1.9ba3b8ab2bb01p-3, 0x1.95b7a616bac22p-3, 0x1.8fdb11ac2854bp-3, 0x1.8a0df636319b9p-3, 0x1.84504d96b4457p-3, 0x1.7ea210cc161bbp-3, 0x1.790337f6abc1ap-3, 0x1.7373ba5e1bee8p-3, 0x1.6df38e76bb9e7p-3, 0x1.6882a9e6e41acp-3, 0x1.6321018c3f55bp-3, 0x1.5dce89811526fp-3, 0x1.588b3521844d6p-3, 0x1.5356f710bb708p-3, 0x1.4e31c13e240f4p-3, 0x1.491b84ea8583fp-3, 0x1.441432ad1bb7fp-3, 0x1.3f1bba78a186ap-3, 0x1.3a320ba05335ep-3, 0x1.355714dcde759p-3, 0x1.308ac4514eda8p-3, 0x1.2bcd078fdff63p-3, 0x1.271dcb9ecf6e1p-3, 0x1.227cfcfd19158p-3, 0x1.1dea87a72798bp-3, 0x1.1966571b738fap-3, 0x1.14f0565f1802ep-3, 0x1.10887002571b9p-3, 0x1.0c2e8e250a978p-3, 0x1.07e29a7b0a911p-3, 0x1.03a47e5080ecep-3, 0x1.fee8451c60ecbp-4, 0x1.f6a2df7b487b1p-4, 0x1.ee789c1ab359cp-4, 0x1.e6694aa99b30ep-4, 0x1.de74ba310d539p-4, 0x1.d69ab91c0041cp-4, 0x1.cedb153f22217p-4, 0x1.c7359be07270dp-4, 0x1.bfaa19bec85e2p-4, 0x1.b8385b192b62dp-4, 0x1.b0e02bb60fb86p-4, 0x1.a9a156ea6f9e4p-4, 0x1.a27ba7a0c4f53p-4, 0x1.9b6ee85fdfab5p-4, 0x1.947ae3519763fp-4, 0x1.8d9f62495a771p-4, 0x1.86dc2ecaa39b9p-4, 0x1.8031120f45863p-4, 0x1.799dd50d96ddcp-4, 0x1.7322407e7eb1ep-4, 0x1.6cbe1ce35dc2dp-4, 0x1.6671328bd7976p-4, 0x1.603b499b79cc2p-4, 0x1.5a1c2a0f438afp-4, 0x1.54139bc30b95ep-4, 0x1.4e216676c7888p-4, 0x1.484551d3b071bp-4, 0x1.427f25714a928p-4, 0x1.3ccea8da4b576p-4, 0x1.3733a391610ep-4, 0x1.31addd15dba5ep-4, 0x1.2c3d1ce836a69p-4, 0x1.26e12a8e84308p-4, 0x1.2199cd98bb234p-4, 0x1.1c66cda4e64dep-4, 0x1.1747f263371f4p-4, 0x1.123d0399faf53p-4, 0x1.0d45c92973652p-4, 0x1.08620b0f933ffp-4, 0x1.0391916b9d804p-4, 0x1.fda8490355c88p-5, 0x1.f453197c260ecp-5, 0x1.eb23257175d69p-5, 0x1.e217fe708fc4fp-5, 0x1.d931366a751c5p-5, 0x1.d06e5fb9dcd41p-5, 0x1.c7cf0d28ff52ap-5, 0x1.bf52d1f7335b2p-5, 0x1.b6f941de568eep-5, 0x1.aec1f11808315p-5, 0x1.a6ac7462b08d4p-5, 0x1.9eb861065ed61p-5, 0x1.96e54cd972f59p-5, 0x1.8f32ce451ee49p-5, 0x1.87a07c49b8829p-5, 0x1.802dee82e081ap-5, 0x1.78dabd2b7fcd3p-5, 0x1.71a681219733dp-5, 0x1.6a90d3e9e9c51p-5, 0x1.63994fb37b8ecp-5, 0x1.5cbf8f5aea5a1p-5, 0x1.56032e6d9d3e8p-5, 0x1.4f63c92cd105ap-5, 0x1.48e0fc907ab01p-5, 0x1.427a664a0a505p-5, 0x1.3c2fa4c70460ap-5, 0x1.360057337cd72p-5, 0x1.2fec1d7c6bep-5, 0x1.29f29851e3a0fp-5, 0x1.241369292219ep-5, 0x1.1e4e323e851d2p-5, 0x1.18a296975d8f2p-5, 0x1.13103a03a4099p-5, 0x1.0d96c11f8d7a5p-5, 0x1.0835d155077b6p-5, 0x1.02ed10dd0fb8cp-5, 0x1.fb784d81f0aebp-6, 0x1.f14575b711a32p-6, 0x1.e740ebb41208cp-6, 0x1.dd6a027a62fc5p-6, 0x1.d3c00eb4016d2p-6, 0x1.ca4266b4ef4ap-6, 0x1.c0f0627c81c18p-6, 0x1.b7c95bb67a07cp-6, 0x1.aeccadbbf3e2fp-6, 0x1.a5f9b594245eap-6, 0x1.9d4fd1f4f49bp-6, 0x1.94ce634367222p-6, 0x1.8c74cb93e1167p-6, 0x1.84426eaa3e9b4p-6, 0x1.7c36b1f9cd338p-6, 0x1.7450fca51646dp-6, 0x1.6c90b77d8abp-6, 0x1.64f54d030a68fp-6, 0x1.5d7e29634b22cp-6, 0x1.562aba7918deap-6, 0x1.4efa6fcb7a616p-6, 0x1.47ecba8cb817dp-6, 0x1.41010d9941357p-6, 0x1.3a36dd7673f83p-6, 0x1.338da0514f688p-6, 0x1.2d04cdfd0081p-6, 0x1.269bdff15d0b2p-6, 0x1.2052514943bep-6, 0x1.1a279ec0e0ebcp-6, 0x1.141b46b3dd5e3p-6, 0x1.0e2cc91b78cbap-6, 0x1.085ba78c8af63p-6, 0x1.02a7653571cb9p-6, 0x1.fa1f0db7dbd9bp-7, 0x1.ef2725b5ca5a7p-7, 0x1.e46622402f64p-7, 0x1.d9db16538b2e4p-7, 0x1.cf8518087ab6dp-7, 0x1.c563408eb9db4p-7, 0x1.bb74ac280c1ebp-7, 0x1.b1b87a22fc9e7p-7, 0x1.a82dccd58d23ep-7, 0x1.9ed3c997c206ap-7, 0x1.95a998be18f28p-7, 0x1.8cae6593ea915p-7, 0x1.83e15e55a79d2p-7, 0x1.7b41b42b148ap-7, 0x1.72ce9b215dc8p-7, 0x1.6a874a252663dp-7, 0x1.626afafc7eba8p-7, 0x1.5a78ea40c8e1ep-7, 0x1.52b057588efd4p-7, 0x1.4b1084714ce85p-7, 0x1.4398b679298e6p-7, 0x1.3c483518a17a6p-7, 0x1.351e4aac2bea6p-7, 0x1.2e1a443dcf6aep-7, 0x1.273b717eae913p-7, 0x1.208124c08c1fcp-7, 0x1.19eab2ef46dcdp-7, 0x1.1377738a4dab9p-7, 0x1.0d26c09e0e27dp-7, 0x1.06f7f6bd5d354p-7, 0x1.00ea74fadaa08p-7, 0x1.f5fb39c4a3e1ep-8, 0x1.ea61a4e42c507p-8, 0x1.df06f828b99d3p-8, 0x1.d3ea05312ca45p-8, 0x1.c909a25989fc2p-8, 0x1.be64aaada9037p-8, 0x1.b3f9fddbe217dp-8, 0x1.a9c88027be7c5p-8, 0x1.9fcf1a5caac8bp-8, 0x1.960cb9c0af41bp-8, 0x1.8c8050072a71fp-8, 0x1.8328d343947c7p-8, 0x1.7a053ddc4978ep-8, 0x1.71148e7d5970bp-8, 0x1.6855c80b666f2p-8, 0x1.5fc7f196875a7p-8, 0x1.576a164d3bb04p-8, 0x1.4f3b456f65739p-8, 0x1.473a924155ae3p-8, 0x1.3f6713fee1ac4p-8, 0x1.37bfe5ce8a833p-8, 0x1.304426b4b1d3bp-8, 0x1.28f2f986de96dp-8, 0x1.21cb84df13a6bp-8, 0x1.1accf30f36e2ap-8, 0x1.13f672148a0f1p-8, 0x1.0d47338b37691p-8, 0x1.06be6ca1eff62p-8, 0x1.005b560d9ea79p-8, 0x1.f43a57fa5d449p-9, 0x1.e8065c1ad0a61p-9, 0x1.dc193e79c34d2p-9, 0x1.d0718bc0098cfp-9, 0x1.c50dd72a5a24fp-9, 0x1.b9ecba71b6ed5p-9, 0x1.af0cd5b3fe9b6p-9, 0x1.a46ccf5cb2e14p-9, 0x1.9a0b540de955cp-9, 0x1.8fe716897147ap-9, 0x1.85fecf9a23389p-9, 0x1.7c513dfd6a554p-9, 0x1.72dd264cf5542p-9, 0x1.69a152e8a4b1cp-9, 0x1.609c93e0a3253p-9, 0x1.57cdbedfb2ffcp-9, 0x1.4f33af15b3d79p-9, 0x1.46cd4522565c3p-9, 0x1.3e99670005a62p-9, 0x1.3696ffef08d14p-9, 0x1.2ec50060d3e1dp-9, 0x1.27225de390f43p-9, 0x1.1fae130de1287p-9, 0x1.18671f6aca06dp-9, 0x1.114c8765e4c21p-9, 0x1.0a5d5437b9621p-9, 0x1.039893d2535aep-9, 0x1.f9fab19c197dp-10, 0x1.ed1574ad20146p-10, 0x1.e07fa830181b7p-10, 0x1.d4378c5944bd7p-10, 0x1.c83b6a1410ecep-10, 0x1.bc8992dec3562p-10, 0x1.b12060a69b07ap-10, 0x1.a5fe35a455efap-10, 0x1.9b217c3927f11p-10, 0x1.9088a6cc198d8p-10, 0x1.86322fa7d064dp-10, 0x1.7c1c98d8cbaccp-10, 0x1.72466c0bfe1b3p-10, 0x1.68ae3a6dd867ep-10, 0x1.5f529c89c465p-10, 0x1.56323229fb4a8p-10, 0x1.4d4ba237cff8ep-10, 0x1.449d9a9c5fb14p-10, 0x1.3c26d021a701fp-10, 0x1.33e5fe53fe47fp-10, 0x1.2bd9e76407e7dp-10, 0x1.24015408f4186p-10, 0x1.1c5b136339c4bp-10, 0x1.14e5fadfa8612p-10, 0x1.0da0e61ae816p-10, 0x1.068ab6c55abfp-10, 0x1.ff44a90eba5b3p-11, 0x1.f1cd59cbdb0dcp-11, 0x1.e4ad664f6ccbfp-11, 0x1.d7e2c074ed89p-11, 0x1.cb6b65319a627p-11, 0x1.bf455c60c3a69p-11, 0x1.b36eb890e0b65p-11, 0x1.a7e596d15fb33p-11, 0x1.9ca81e8130875p-11, 0x1.91b4811e09ec9p-11, 0x1.8708fa14666dp-11, 0x1.7ca3ce9038757p-11, 0x1.72834d4e52197p-11, 0x1.68a5ce6e816fcp-11, 0x1.5f09b3465db27p-11, 0x1.55ad6634c55d6p-11, 0x1.4c8f5a760902fp-11, 0x1.43ae0bf8c4de4p-11, 0x1.3b07ff3363812p-11, 0x1.329bc0fa4af91p-11, 0x1.2a67e656b05bbp-11, 0x1.226b0c5e13161p-11, 0x1.1aa3d80a593cdp-11, 0x1.1310f6129244cp-11, 0x1.0bb11ac45601ep-11, 0x1.048301ddc601p-11, 0x1.fb0adcd055697p-12, 0x1.ed6e552655c3dp-12, 0x1.e02e0f213dbep-12, 0x1.d347bae1f5654p-12, 0x1.c6b916009b6dap-12, 0x1.ba7feb47ae292p-12, 0x1.ae9a12705c612p-12, 0x1.a3056fdff3447p-12, 0x1.97bff4666ed05p-12, 0x1.8cc79cfe2172dp-12, 0x1.821a728c77673p-12, 0x1.77b689a3ca16ap-12, 0x1.6d9a0246454abp-12, 0x1.63c307a9d9b08p-12, 0x1.5a2fcffd39f91p-12, 0x1.50de9c2dda073p-12, 0x1.47cdb7aef7d52p-12, 0x1.3efb78419c0b8p-12, 0x1.36663dbd9c344p-12, 0x1.2e0c71db92d2ep-12, 0x1.25ec87ffcebbdp-12, 0x1.1e04fd063203ap-12, 0x1.1654570f01df2p-12, 0x1.0ed9254ca0b3bp-12, 0x1.0791ffd2308a4p-12, 0x1.007d87631a4abp-12, 0x1.f334ca86f1b1dp-13, 0x1.e5ce9612b9a33p-13, 0x1.d8c5e4dde76b5p-13, 0x1.cc183a4b01e6dp-13, 0x1.bfc329525d524p-13, 0x1.b3c4542b5dd6ep-13, 0x1.a8196bf75fa1cp-13, 0x1.9cc0306e2897ap-13, 0x1.91b66f8bfa2aap-13, 0x1.86fa0541284d2p-13, 0x1.7c88db233018ap-13, 0x1.7260e81f5c93bp-13, 0x1.6880302ed841cp-13, 0x1.5ee4c40c3733dp-13, 0x1.558cc0ea734b1p-13, 0x1.4c76502d4a76dp-13, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.c186783c69be6p-7, -0x1.3c83eaa7c5ee7p-6, -0x1.a09466eb7ad14p-6, -0x1.05f3d92690014p-5, -0x1.3eae6bb473bb9p-5, -0x1.79e37dfefa8c5p-5, -0x1.b6fa49bd0967fp-5, -0x1.f55ad19926d81p-5, -0x1.1a38455cf6317p-4, -0x1.39d64863f4abfp-4, -0x1.5943b5584385dp-4, -0x1.784134435ac57p-4, -0x1.9694521706eb8p-4, -0x1.b407d7919d54fp-4, -0x1.d06bfbee28e17p-4, -0x1.eb967882e3e4dp-4, -0x1.02b14119dd49fp-3, -0x1.0ed856a58c4a4p-3, -0x1.1a335ff4827dfp-3, -0x1.24b7bb677700fp-3, -0x1.2e5d1ff0ef85fp-3, -0x1.371d76a8d5b25p-3, -0x1.3ef4b1f62af9ep-3, -0x1.45e0a361eebc7p-3, -0x1.4be0d0f961eb3p-3, -0x1.50f64afcfd50ep-3, -0x1.55238274cfd93p-3, -0x1.586c212276737p-3, -0x1.5ad4e32cb09f8p-3, -0x1.5c6372c7e91b8p-3, -0x1.5d1e460a4db7ep-3, -0x1.5d0c7f086824ep-3, -0x1.5c35ce489c69ep-3, -0x1.5aa2578ff4bfap-3, -0x1.585a9901001a6p-3, -0x1.5567547e0ce89p-3, -0x1.51d17b3a152b3p-3, -0x1.4da21b5f80d03p-3, -0x1.48e24fb0b6753p-3, -0x1.439b31048704p-3, -0x1.3dd5c97f54a87p-3, -0x1.379b09696a506p-3, -0x1.30f3bd8319702p-3, -0x1.29e886b7d762dp-3, -0x1.2281d3126ec35p-3, -0x1.1ac7d7d5923eap-3, -0x1.12c28c9d837f2p-3, -0x1.0a79a770f322p-3, -0x1.01f499a8d5082p-3, -0x1.f2751b30fc74dp-4, -0x1.e0a4c9c20895p-4, -0x1.ce856eb8a5f14p-4, -0x1.bc23a51c37d18p-4, -0x1.a98b731434b8ep-4, -0x1.96c84a815efdap-4, -0x1.83e50a484776p-4, -0x1.70ec00343c50cp-4, -0x1.5de6eb5c3b773p-4, -0x1.4adefef5a53d5p-4, -0x1.37dce58283a5cp-4, -0x1.24e8c44b1ed09p-4, -0x1.120a3f145b487p-4, -0x1.fe90f80bebf42p-5, -0x1.d9544f6a5fcb6p-5, -0x1.b46af2939ea1cp-5, -0x1.8fe06d69311b3p-5, -0x1.6bbf71deee278p-5, -0x1.4811e0812e64cp-5, -0x1.24e0d0f5244ep-5, -0x1.02349a694251cp-5, -0x1.c029b7da21845p-6, -0x1.7d1109523c5d7p-6, -0x1.3b2bb7e1c74d3p-6, -0x1.f50a24a6153d1p-7, -0x1.764e6e04db321p-7, -0x1.f46c8b9f65ee6p-8, -0x1.01a300d584806p-8, -0x1.45bd21cbedfbbp-12, 0x1.a6a28af184638p-9, 0x1.b550310c87634p-8, 0x1.48c8274dcfeefp-7, 0x1.b4021ebd41338p-7, 0x1.0e286ba8f64aap-6, 0x1.40d84db5bed0dp-6, 0x1.720f88a035f4p-6, 0x1.a1cd92da34b31p-6, 0x1.d0127c0654602p-6, 0x1.fcdee33ed0509p-6, 0x1.1419f6e34c8e3p-5, 0x1.29099f10fe753p-5, 0x1.3d3f75ca0a75ep-5, 0x1.50bcbcff0b476p-5, 0x1.6382e90ecbbb7p-5, 0x1.75939d135add4p-5, 0x1.86f0a75b930acp-5, 0x1.979bfe0f915afp-5, 0x1.a797bbfe90163p-5, 0x1.b6e61d94b21c8p-5, 0x1.c5897df736921p-5, 0x1.d3845445aa6b1p-5, 0x1.e0d930fea0c6ap-5, 0x1.ed8abb86918c7p-5, 0x1.f99bafcf7cb31p-5, 0x1.02876e100061ap-4, 0x1.07f38f7c4ad25p-4, 0x1.0d13b28ad5c29p-4, 0x1.11e953c6bae35p-4, 0x1.1675f5041ae91p-4, 0x1.1abb1c88f08aap-4, 0x1.1eba5442031cfp-4, 0x1.22752903739fep-4, 0x1.25ed29d45f962p-4, 0x1.2923e7451bb3cp-4, 0x1.2c1af2cf8e679p-4, 0x1.2ed3de41348eap-4, 0x1.31503b2e6150fp-4, 0x1.33919a6e4d21dp-4, 0x1.35998b9f8c74p-4, 0x1.37699cb48bf6dp-4, 0x1.39035987b1f4ep-4, 0x1.3a684b76cbcfep-4, 0x1.3b99f9056e956p-4, 0x1.3c99e585f6c2fp-4, 0x1.3d6990c8d8ef5p-4, 0x1.3e0a76d1f48ap-4, 0x1.3e7e0f939fdb5p-4, 0x1.3ec5ceaf276ep-4, 0x1.3ee3233a7bec8p-4, 0x1.3ed7778aceef2p-4, 0x1.3ea43103e01b6p-4, 0x1.3e4aafebbffeap-4, 0x1.3dcc4f42cef08p-4, 0x1.3d2a649fc2555p-4, 0x1.3c66400f7c2dbp-4, 0x1.3b812bf881eeap-4, 0x1.3a7c6d01e4e52p-4, 0x1.395941fd6cd2cp-4, 0x1.3818e3d4d8c78p-4, 0x1.36bc857a0ea43p-4, 0x1.354553da0dd26p-4, 0x1.33b475d281796p-4, 0x1.320b0c29cbac1p-4, 0x1.304a318967f37p-4, 0x1.2e72fa7a80f9cp-4, 0x1.2c8675649bf4fp-4, 0x1.2a85aa8e38bd5p-4, 0x1.28719c1f49e3ep-4, 0x1.264b462568756p-4, 0x1.24139e99a79ecp-4, 0x1.21cb9567ee55dp-4, 0x1.1f741477c055dp-4, 0x1.1d0dffb65a48ap-4, 0x1.1a9a35220eff5p-4, 0x1.18198cd6ccbddp-4, 0x1.158cd91bb7136p-4, 0x1.12f4e671c26cfp-4, 0x1.10527ba33b092p-4, 0x1.0da659d4293c5p-4, 0x1.0af13c937ef4ep-4, 0x1.0833d9ecfeac7p-4, 0x1.056ee27bcbc2p-4, 0x1.02a3017d96582p-4, 0x1.ffa1b9cca45bap-5, 0x1.f9f22ae8d89cp-5, 0x1.f4388d8ae631p-5, 0x1.ee760ed642accp-5, 0x1.e8abd20187cf8p-5, 0x1.e2daf081d8a4bp-5, 0x1.dd047a36cd617p-5, 0x1.d7297596d1f71p-5, 0x1.d14adfdbdfc59p-5, 0x1.cb69ad30872cbp-5, 0x1.c586c8dd3168dp-5, 0x1.bfa315758b9ap-5, 0x1.b9bf6d060efedp-5, 0x1.b3dca14192af6p-5, 0x1.adfb7baedae22p-5, 0x1.a81cbdd61b2b3p-5, 0x1.a241216e596c2p-5, 0x1.9c69588aabd1ap-5, 0x1.96960dc74264dp-5, 0x1.90c7e47636341p-5, 0x1.8aff78cc0f4dap-5, 0x1.853d600bfcf78p-5, 0x1.7f8228b3b37bap-5, 0x1.79ce5aa6eed2cp-5, 0x1.7422775a87e32p-5, 0x1.6e7ef9ff208c3p-5, 0x1.68e457ab591edp-5, 0x1.6352ff858c741p-5, 0x1.5dcb5aed0b3ccp-5, 0x1.584dcda2d46e3p-5, 0x1.52dab5f1c3c36p-5, 0x1.4d726cd6348efp-5, 0x1.481546251013p-5, 0x1.42c390b24db3fp-5, 0x1.3d7d9676d5e4dp-5, 0x1.38439cb5d03fap-5, 0x1.3315e42152eefp-5, 0x1.2df4a8fe7477p-5, 0x1.28e02348be1cep-5, 0x1.23d886d4fd27dp-5, 0x1.1ede0373713c3p-5, 0x1.19f0c511571ap-5, 0x1.1510f3d9d0ceep-5, 0x1.103eb4562721bp-5, 0x1.0b7a278d6870cp-5, 0x1.06c36b23606fep-5, 0x1.021a9976eca57p-5, 0x1.faff937f592e1p-6, 0x1.f1e62056187e6p-6, 0x1.e8e8fbf15aba4p-6, 0x1.e008432c58eb6p-6, 0x1.d7440d7488a97p-6, 0x1.ce9c6cfea4585p-6, 0x1.c6116efa73382p-6, 0x1.bda31bc551489p-6, 0x1.b551771b845c8p-6, 0x1.ad1c80485539dp-6, 0x1.a5043254f8065p-6, 0x1.9d088436429a5p-6, 0x1.952968f937c1cp-6, 0x1.8d66cfee6988ep-6, 0x1.85c0a4d435649p-6, 0x1.7e36cfffdc52ap-6, 0x1.76c9368585ba2p-6, 0x1.6f77ba5f1ef73p-6, 0x1.68423a922cb05p-6, 0x1.6128935489068p-6, 0x1.5a2a9e3012db3p-6, 0x1.534832255c3c3p-6, 0x1.4c8123cd487d3p-6, 0x1.45d54579b9a71p-6, 0x1.3f44675538224p-6, 0x1.38ce5781a84f3p-6, 0x1.3272e2360e0d9p-6, 0x1.2c31d1db6486dp-6, 0x1.260aef2889892p-6, 0x1.1ffe013d49cfbp-6, 0x1.1a0acdbc894d3p-6, 0x1.143118e594d6p-6, 0x1.0e70a5ac9a59dp-6, 0x1.08c935d251872p-6, 0x1.033a89fad6403p-6, 0x1.fb88c3877505fp-7, 0x1.f0ccf7b2a7faap-7, 0x1.e6412c1698abbp-7, 0x1.dbe4dac0e6ecep-7, 0x1.d1b77c53b188ep-7, 0x1.c7b8882a741ccp-7, 0x1.bde7747d759fbp-7, 0x1.b443b683f1d08p-7, 0x1.aaccc294eb3d2p-7, 0x1.a1820c46c208ap-7, 0x1.9863068d8e09dp-7, 0x1.8f6f23d841e0fp-7, 0x1.86a5d62cac22fp-7, 0x1.7e068f424886p-7, 0x1.7590c09c016ebp-7, 0x1.6d43dba0dad43p-7, 0x1.651f51b3894bfp-7, 0x1.5d22944911628p-7, 0x1.554d14fe5cf65p-7, 0x1.4d9e45ace6f26p-7, 0x1.4615987e6870ep-7, 0x1.3eb27fffaf863p-7, 0x1.37746f32841dfp-7, 0x1.305ad99ebc45dp-7, 0x1.29653362786fep-7, 0x1.2292f14192a73p-7, 0x1.1be388b4457f4p-7, 0x1.15566ff5127bfp-7, 0x1.0eeb1e0decbb8p-7, 0x1.08a10ae4ad82cp-7, 0x1.0277af46d9fdcp-7, 0x1.f8dd09e97d236p-8, 0x1.ed0a0d57cb0ap-8, 0x1.e1756061ddcd9p-8, 0x1.d61dfcb19cb62p-8, 0x1.cb02de22e890cp-8, 0x1.c02302d3cf384p-8, 0x1.b57d6b33aa251p-8, 0x1.ab111a112f9e4p-8, 0x1.a0dd14a7837dcp-8, 0x1.96e062aa4e49cp-8, 0x1.8d1a0e50e3a4cp-8, 0x1.8389246081164p-8, 0x1.7a2cb435af95fp-8, 0x1.7103cfcccc5b2p-8, 0x1.680d8bc9c3593p-8, 0x1.5f48ff7f04fc6p-8, 0x1.56b544f3b9f68p-8, 0x1.4e5178e940eefp-8, 0x1.461cbadffc45bp-8, 0x1.3e162d1b746c7p-8, 0x1.363cf4a5da5e4p-8, 0x1.2e903952ebe6cp-8, 0x1.270f25c24303ap-8, 0x1.1fb8e76117683p-8, 0x1.188cae6b765d6p-8, 0x1.1189adecf57e7p-8, 0x1.0aaf1bc0eb944p-8, 0x1.03fc30922f904p-8, 0x1.fae04fb4c95f4p-9, 0x1.ee147fc1b7e12p-9, 0x1.e193737214938p-9, 0x1.d55bb2813e5c9p-9, 0x1.c96bca3a72cabp-9, 0x1.bdc24d738af14p-9, 0x1.b25dd48709c0cp-9, 0x1.a73cfd4d895fp-9, 0x1.9c5e6b168fef5p-9, 0x1.91c0c6a0d3ad7p-9, 0x1.8762be11f48c3p-9, 0x1.7d4304edb4e99p-9, 0x1.7360540cb789dp-9, 0x1.69b96992cabafp-9, 0x1.604d08e4c7f26p-9, 0x1.5719fa9e0ab5p-9, 0x1.4e1f0c858bbc9p-9, 0x1.455b1182a17a7p-9, 0x1.3ccce1916c295p-9, 0x1.347359b6f5defp-9, 0x1.2c4d5bf5096f6p-9, 0x1.2459cf3dc922bp-9, 0x1.1c979f6704adap-9, 0x1.1505bd1d576fp-9, 0x1.0da31dd71642ap-9, 0x1.066ebbc70629fp-9, 0x1.fecf2b9de259p-10, 0x1.f1195ee41d811p-10, 0x1.e3ba218e94d74p-10, 0x1.d6af8cd6da3c5p-10, 0x1.c9f7c2e652908p-10, 0x1.bd90eeba2675fp-10, 0x1.b179440701887p-10, 0x1.a5aeff1cb5704p-10, 0x1.9a3064c9c0ce1p-10, 0x1.8efbc23ec3042p-10, 0x1.840f6cf1dcdaap-10, 0x1.7969c2820943p-10, 0x1.6f09289a6e392p-10, 0x1.64ec0cd5b6a71p-10, 0x1.5b10e4a16586cp-10, 0x1.51762d213c27cp-10, 0x1.481a6b12a8571p-10, 0x1.3efc2ab04b4b7p-10, 0x1.3619ff958bd44p-10, 0x1.2d7284a24ff07p-10, 0x1.25045bdec8693p-10, 0x1.1cce2e5f6614cp-10, 0x1.14ceac28e6beep-10, 0x1.0d048c149a5bep-10, 0x1.056e8bb4be4dap-10, 0x1.fc16de7231aaep-11, 0x1.edb402a764f1dp-11, 0x1.dfb2263b977fep-11, 0x1.d20ef7fa02e54p-11, 0x1.c4c8331150784p-11, 0x1.b7db9edebf64ep-11, 0x1.ab470eb9bd20bp-11, 0x1.9f0861bff4fd1p-11, 0x1.931d82a1d8dfcp-11, 0x1.8784676fa6baap-11, 0x1.7c3b1166ecca8p-11, 0x1.713f8cc09070dp-11, 0x1.668ff07f5901bp-11, 0x1.5c2a5e3effe09p-11, 0x1.520d0203ca327p-11, 0x1.4836120aab05fp-11, 0x1.3ea3ce99f2e4ap-11, 0x1.355481d289e15p-11, 0x1.2c467f81b9c34p-11, 0x1.237824f3872f1p-11, 0x1.1ae7d8c599929p-11, 0x1.12940abab61cap-11, 0x1.0a7b338ecb44ap-11, 0x1.029bd4cb8e76ep-11, 0x1.f5e8f13b58b17p-12, 0x1.e70763551a6e4p-12, 0x1.d89035cd5734ap-12, 0x1.ca80aed8fb542p-12, 0x1.bcd624a7e5ee6p-12, 0x1.af8dfd1508d21p-12, 0x1.a2a5ad57b0391p-12, 0x1.961ab9b5ec8eep-12, 0x1.89eab538248cfp-12, 0x1.7e13415dc7928p-12, 0x1.72920dd3252acp-12, 0x1.6764d8286301dp-12, 0x1.5c896b89946dep-12, 0x1.51fda077f2a6dp-12, 0x1.47bf5c842b508p-12, 0x1.3dcc9209d1f36p-12, 0x1.34233febe5148p-12, 0x1.2ac171526d3a1p-12, 0x1.21a53d6930e85p-12, 0x1.18ccc71f7bcacp-12, 0x1.10363ce8f5e12p-12, 0x1.07dfd87f8b97ap-12, 0x1.ff8fbd4cc3ac6p-13, 0x1.efd93ddba13d5p-13, 0x1.e098e6f0d8abep-13, 0x1.d1cb818216814p-13, 0x1.c36deac3adec7p-13, 0x1.b57d13b8a85b3p-13, 0x1.a7f600c4df7d3p-13, 0x1.9ad5c941022bbp-13, 0x1.8e1997108b6acp-13, 0x1.81bea639a702p-13, 0x1.75c2447eefdd9p-13, 0x1.6a21d0fb1c063p-13, 0x1.5edabbbe722b2p-13, 0x1.53ea856e1ba6ap-13, 0x1.494ebee541e04p-13, 0x1.3f0508d7eef2ap-13, 0x1.350b1377b3604p-13, 0x1.2b5e9e1a05235p-13, 0x1.21fd76e058174p-13, 0x1.18e57a61df86ap-13, 0x1.101493570011p-13, 0x1.0788ba465e18cp-13, 0x1.fe7fea6723741p-14, 0x1.ee70ae9ed8f5dp-14, 0x1.dee00153a6cdfp-14, 0x1.cfca3bca4cc6ep-14, 0x1.c12bcfd65209ap-14, 0x1.b3014746e8374p-14, 0x1.a5474356ad7ecp-14, 0x1.97fa7c1e6a546p-14, 0x1.8b17c00aa5804p-14, 0x1.7e9bf35408924p-14, 0x1.72840f7a8ef78p-14, 0x1.66cd22c36ef05p-14, 0x1.5b744fb9b1c69p-14, 0x1.5076ccb173561p-14, 0x1.45d1e34db8553p-14, 0x1.3b82f008d6809p-14, 0x1.318761bf5e441p-14, 0x1.27dcb93d7e803p-14, 0x1.1e8088ced6865p-14, 0x1.157073d0ab217p-14, 0x1.0caa2e4675d81p-14, 0x1.042b7c70c13fcp-14, 0x1.f7e464cc95a3bp-15, 0x1.e7f8675ebc603p-15, 0x1.d88ee5c6c1ac7p-15, 0x1.c9a3e2910507fp-15, 0x1.bb337ceb1768dp-15, 0x1.ad39efeb78e45p-15, 0x1.9fb391dd6903bp-15, 0x1.929cd390b53bdp-15, 0x1.85f23fad72cc2p-15, 0x1.79b07a0b8f7afp-15, 0x1.6dd43f0e2ac5fp-15, 0x1.625a6302a130cp-15, 0x1.573fd1833aeb2p-15, 0x1.4c818cdd69469p-15, 0x1.421cad7b84ed2p-15, 0x1.380e6151f8ad6p-15, 0x1.2e53eb4fc8a44p-15, 0x1.24eaa2d266a3p-15, 0x1.1bcff31cc05d3p-15, 0x1.13015ad17b1e3p-15, 0x1.0a7c6b7048d98p-15, 0x1.023ec8d64940ep-15, 0x1.f48c5182cec56p-16, 0x1.e520a4ad4450cp-16, 0x1.d6363b566a862p-16, 0x1.c7c8e6a11bf8bp-16, 0x1.b9d497c60238ep-16, 0x1.ac555f3669225p-16, 0x1.9f476bc44fe02p-16, 0x1.92a709cfb1e3fp-16, 0x1.8670a278d3352p-16, 0x1.7aa0bad78bc62p-16, 0x1.6f33f33766932p-16, 0x1.6427065886213p-16, 0x1.5976c8b52d383p-16, 0x1.4f2027cbd4104p-16, 0x1.4520296db67d8p-16, 0x1.3b73eb11be488p-16, 0x1.3218a12bab6ebp-16, 0x1.290b96877487bp-16, 0x1.204a2ba8b4132p-16, 0x1.17d1d62e1b7aap-16, 0x1.0fa02038cb5a9p-16, 0x1.07b2a7d782a86p-16, 0x1.00071e758a0d9p-16, 0x1.f136909a8bb0ap-17, 0x1.e2d9f7bcc5f72p-17, 0x1.d4f442cefa7e9p-17, 0x1.c78164c667a66p-17, 0x1.ba7d72112eba4p-17, 0x1.ade49f9dbaae3p-17, 0x1.a1b341e8891dep-17, 0x1.95e5cc103018dp-17, 0x1.8a78ceef8c8c4p-17, 0x1.7f68f83ddb547p-17, 0x1.74b311b4aba8dp-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.796e3729a47e5p-3, -0x1.89c4833c16b34p-3, -0x1.99f7e62f40e5cp-3, -0x1.aa06c5c01b2e4p-3, -0x1.b9ee2ed3ccba8p-3, -0x1.c9aa23d73818bp-3, -0x1.d935ea4e2f855p-3, -0x1.e88c53f77ca55p-3, -0x1.f7a801180b911p-3, -0x1.0341cd3ab87a3p-2, -0x1.0a8d0124ea75ap-2, -0x1.11b33e0798a2ep-2, -0x1.18b265b5ee294p-2, -0x1.1f88a56ac0ecbp-2, -0x1.26347d57f8ce2p-2, -0x1.2cb4c4e44703bp-2, -0x1.3308ac0d034c8p-2, -0x1.392fba619eba4p-2, -0x1.3f29cc093b9fbp-2, -0x1.44f70d3b55127p-2, -0x1.4a97f48ac9e13p-2, -0x1.500d3c5837dc2p-2, -0x1.5557dbb5a956p-2, -0x1.5a78fefb11695p-2, -0x1.5f720040c8ad1p-2, -0x1.64445febddc42p-2, -0x1.68f1bd6f62609p-2, -0x1.6d7bd05e246a1p-2, -0x1.71e461e18448dp-2, -0x1.762d46a4287e1p-2, -0x1.7a58593a50322p-2, -0x1.7e67750d530a8p-2, -0x1.825c71cc4f191p-2, -0x1.86391f6146e4bp-2, -0x1.89ff42679a89ap-2, -0x1.8db0911f1d335p-2, -0x1.914eb0d5a8cb5p-2, -0x1.94db33c0347f2p-2, -0x1.9857973bbede3p-2, -0x1.9bc5426e1906dp-2, -0x1.9f25853e6487fp-2, -0x1.a279979d29da7p-2, -0x1.a5c299140c1b7p-2, -0x1.a90190956c1bcp-2, -0x1.ac376c8499cd4p-2, -0x1.af6502ef96ef4p-2, -0x1.b28b11f3eac05p-2, -0x1.b5aa404862d97p-2, -0x1.b8c31de62b64bp-2, -0x1.bbd624cc0a12dp-2, -0x1.bee3b9d70b96fp-2, -0x1.c1ec2dac5580cp-2, -0x1.c4efbdb04903dp-2, -0x1.c7ee95077eb4ep-2, -0x1.cae8cd9e86aaep-2, -0x1.cdde7135b45d8p-2, -0x1.d0cf7a6e9590dp-2, -0x1.d3bbd5d8f5953p-2, -0x1.d6a362fda4589p-2, -0x1.d985f5656edbp-2, -0x1.dc63559af9772p-2, -0x1.df3b42265a26fp-2, -0x1.e20d70819198dp-2, -0x1.e4d98e05145eap-2, -0x1.e79f40cbdb6fbp-2, -0x1.ea5e288e795dfp-2, -0x1.ed15df74e4339p-2, -0x1.efc5fadeb5f58p-2, -0x1.f26e0c21c33f5p-2, -0x1.f50da13ef1fabp-2, -0x1.f7a4458d5ac0ep-2, -0x1.fa31825bc75f5p-2, -0x1.fcb4df88a40b6p-2, -0x1.ff2de4109ff76p-2, -0x1.00ce0b4a0f931p-1, -0x1.01ff7ee9e458fp-1, -0x1.032b109235ca6p-1, -0x1.0450846d40d0dp-1, -0x1.056f9f56d106ap-1, -0x1.0688270a14487p-1, -0x1.0799e24bb41f4p-1, -0x1.08a499105b0cbp-1, -0x1.09a8149fcff3fp-1, -0x1.0aa41fb4cfdbcp-1, -0x1.0b988699cc85ap-1, -0x1.0c851742b9db3p-1, -0x1.0d69a164111cfp-1, -0x1.0e45f6872d73p-1, -0x1.0f19ea1c2ac5fp-1, -0x1.0fe55189668b1p-1, -0x1.10a80438cac16p-1, -0x1.1161dba2ffb5fp-1, -0x1.1212b358a9813p-1, -0x1.12ba6909cc497p-1, -0x1.1358dc8b7a08ep-1, -0x1.13edefdbe2b13p-1, -0x1.14798724e3b29p-1, -0x1.14fb88bd31bb8p-1, -0x1.1573dd28346ffp-1, -0x1.15e26f14ac813p-1, -0x1.16472b5a3b3dap-1, -0x1.16a200f5e00b6p-1, -0x1.16f2e10581228p-1, -0x1.1739bec292381p-1, -0x1.17768f7beb5a9p-1, -0x1.17a94a8ee2079p-1, -0x1.17d1e95fb2fe6p-1, -0x1.17f067514fb8ap-1, -0x1.1804c1bc9936dp-1, -0x1.180ef7e719ef1p-1, -0x1.180f0af94a171p-1, -0x1.1804fdf46acfdp-1, -0x1.17f0d5a801aa6p-1, -0x1.17d298a705013p-1, -0x1.17aa4f3cb9d1p-1, -0x1.1778036157f42p-1, -0x1.173bc0ae72c56p-1, -0x1.16f5945336aa3p-1, -0x1.16a58d087f3edp-1, -0x1.164bbb04ceba1p-1, -0x1.15e82ff02c772p-1, -0x1.157afed7f2c98p-1, -0x1.15043c2291611p-1, -0x1.1483fd83486ccp-1, -0x1.13fa59ede42ddp-1, -0x1.1367698a7d28fp-1, -0x1.12cb45a93f99bp-1, -0x1.122608b64168ep-1, -0x1.1177ce2d6911bp-1, -0x1.10c0b28e68fadp-1, -0x1.1000d350d337ap-1, -0x1.0f384ed848c66p-1, -0x1.0e674468c7d0bp-1, -0x1.0d8dd41b1a05ep-1, -0x1.0cac1ed167afbp-1, -0x1.0bc2462bf060fp-1, -0x1.0ad06c7deb715p-1, -0x1.09d6b4c2943cap-1, -0x1.08d542925f0fep-1, -0x1.07cc3a1860725p-1, -0x1.06bbc007ddfe2p-1, -0x1.05a3f99214383p-1, -0x1.04850c5c2be79p-1, -0x1.035f1e7560e78p-1, -0x1.0232564d5ff2ep-1, -0x1.00fedaaad4d0cp-1, -0x1.ff89a5446209fp-2, -0x1.fd08cb194c5aep-2, -0x1.fa7b75feae431p-2, -0x1.f7e1f58580159p-2, -0x1.f53c9994aa7ebp-2, -0x1.f28bb258b22bep-2, -0x1.efcf9033d329dp-2, -0x1.ed0883ae8954fp-2, -0x1.ea36dd688a417p-2, -0x1.e75aee0a2d17ep-2, -0x1.e47506363f129p-2, -0x1.e185767c4821fp-2, -0x1.de8c8f4b3d13ap-2, -0x1.db8aa0e4a01d9p-2, -0x1.d87ffb5008c4p-2, -0x1.d56cee4f1f6a8p-2, -0x1.d251c951fbd96p-2, -0x1.cf2edb6bf2282p-2, -0x1.cc047348c8c3cp-2, -0x1.c8d2df2251db5p-2, -0x1.c59a6cb6701bdp-2, -0x1.c25b693d7f427p-2, -0x1.bf1621611e51bp-2, -0x1.bbcae1335d9c2p-2, -0x1.b879f4265186cp-2, -0x1.b523a503fe92ap-2, -0x1.b1c83de6a9ad6p-2, -0x1.ae6808318007p-2, -0x1.ab034c899d767p-2, -0x1.a79a52cf6d072p-2, -0x1.a42d62185c35ap-2, -0x1.a0bcc0a8eaf8ap-2, -0x1.9d48b3ef0b647p-2, -0x1.99d1807cd7125p-2, -0x1.96576a03925f3p-2, -0x1.92dab34f04fdbp-2, -0x1.8f5b9e4118052p-2, -0x1.8bda6bcdc6af2p-2, -0x1.88575bf755e49p-2, -0x1.84d2adcad61e2p-2, -0x1.814c9f5ce88f3p-2, -0x1.7dc56dc6cd528p-2, -0x1.7a3d5523b15c7p-2, -0x1.76b4908e3fb7cp-2, -0x1.732b5a1e7216dp-2, -0x1.6fa1eae79da64p-2, -0x1.6c187af6bec3ap-2, -0x1.688f4150fc1e6p-2, -0x1.650673f265a93p-2, -0x1.617e47cce7006p-2, -0x1.5df6f0c7721bbp-2, -0x1.5a70a1bd5d754p-2, -0x1.56eb8c7df1bp-2, -0x1.5367e1cc2ab39p-2, -0x1.4fe5d15ea5335p-2, -0x1.4c6589dfbad42p-2, -0x1.48e738edca4d5p-2, -0x1.456b0b1ba7ff5p-2, -0x1.41f12bf138c3cp-2, -0x1.3e79c5ec31ae6p-2, -0x1.3b05028101262p-2, -0x1.37930a1bd7a7cp-2, -0x1.34240421d65c4p-2, -0x1.30b816f25f1b6p-2, -0x1.2d4f67e88104ap-2, -0x1.29ea1b5c87d76p-2, -0x1.268854a5a61ep-2, -0x1.232a361bbb7fep-2, -0x1.1fcfe11937384p-2, -0x1.1c7975fd124d7p-2, -0x1.1927142ce268fp-2, -0x1.15d8da1703fefp-2, -0x1.128ee534da72ep-2, -0x1.0f49520d263a3p-2, -0x1.0c083c3669116p-2, -0x1.08cbbe5965055p-2, -0x1.0593f233a6ebep-2, -0x1.0260f09a22036p-2, -0x1.fe65a2f7b972fp-3, -0x1.f81357c958cb4p-3, -0x1.f1cb2bfff39f4p-3, -0x1.eb8d4a37313eep-3, -0x1.e559db554bad1p-3, -0x1.df310690e452p-3, -0x1.d912f176edca1p-3, -0x1.d2ffbff0a74c1p-3, -0x1.ccf79449a5415p-3, -0x1.c6fa8f35efdb3p-3, -0x1.c108cfd8252d6p-3, -0x1.bb2273c7b0646p-3, -0x1.b54797170724ap-3, -0x1.af785459ed114p-3, -0x1.a9b4c4abc5665p-3, -0x1.a3fcffb5e492ap-3, -0x1.9e511bb5ec601p-3, -0x1.98b12d842abf1p-3, -0x1.931d4899f42cap-3, -0x1.8d957f180b498p-3, -0x1.8819e1cd032afp-3, -0x1.82aa803b9c63dp-3, -0x1.7d4768a129176p-3, -0x1.77f0a7fbeae3cp-3, -0x1.72a64a116b85ap-3, -0x1.6d685974d2d7cp-3, -0x1.6836df8d386d2p-3, -0x1.6311e49bed406p-3, -0x1.5df96fc2c01cp-3, -0x1.58ed870a3936fp-3, -0x1.53ee2f67cfa89p-3, -0x1.4efb6cc40fe92p-3, -0x1.4a154200c1709p-3, -0x1.453bb0fefc805p-3, -0x1.406ebaa532bb7p-3, -0x1.3bae5ee5351aep-3, -0x1.36fa9cc222227p-3, -0x1.325372565171ap-3, -0x1.2db8dcd92dbd5p-3, -0x1.292ad8a502789p-3, -0x1.24a9613cb8c77p-3, -0x1.203471518ac47p-3, -0x1.1bcc02c8a44d5p-3, -0x1.17700ec0b69e1p-3, -0x1.13208d977cf85p-3, -0x1.0edd76ef2df01p-3, -0x1.0aa6c1b3e149bp-3, -0x1.067c6420e27d9p-3, -0x1.025e53c5f366ap-3, -0x1.fc990b18fc755p-4, -0x1.f48ddb7972decp-4, -0x1.ec9b00056278bp-4, -0x1.e4c05ee697ab8p-4, -0x1.dcfddd22684ap-4, -0x1.d5535ea36957cp-4, -0x1.cdc0c642fc59ep-4, -0x1.c645f5d2c78acp-4, -0x1.bee2ce25fb09ap-4, -0x1.b7972f1a72db4p-4, -0x1.b062f7a1c20b4p-4, -0x1.a94605ca0744ep-4, -0x1.a24036c6a545dp-4, -0x1.9b5166f8df2b3p-4, -0x1.947971f83e626p-4, -0x1.8db8329adf9fp-4, -0x1.870d82fd9a84cp-4, -0x1.80793c8c0027ap-4, -0x1.79fb380838d2ap-4, -0x1.73934d92ba93cp-4, -0x1.6d4154b1dd4d2p-4, -0x1.67052459497a8p-4, -0x1.60de92f142b8ap-4, -0x1.5acd765dcec49p-4, -0x1.54d1a405b8695p-4, -0x1.4eeaf0d96e313p-4, -0x1.49193159bec88p-4, -0x1.435c399e709b9p-4, -0x1.3db3dd5cb7278p-4, -0x1.381fefed86564p-4, -0x1.32a04453c1436p-4, -0x1.2d34ad4248489p-4, -0x1.27dcfd21e48e6p-4, -0x1.2299061711a9ap-4, -0x1.1d689a07a5cbap-4, -0x1.184b8aa05939dp-4, -0x1.1341a95a2bfe8p-4, -0x1.0e4ac77fab95p-4, -0x1.0966b63219455p-4, -0x1.0495466e6e5f2p-4, -0x1.ffac92248680cp-5, -0x1.f6531dc12bfafp-5, -0x1.ed1dd10ce4269p-5, -0x1.e40c4d3ef3531p-5, -0x1.db1e3374a3435p-5, -0x1.d25324b9dd5ddp-5, -0x1.c9aac2118c37dp-5, -0x1.c124ac7dbf8e1p-5, -0x1.b8c085079bcffp-5, -0x1.b07decc70e8f7p-5, -0x1.a85c84ea48e2bp-5, -0x1.a05beebd0883dp-5, -0x1.987bcbafa5201p-5, -0x1.90bbbd5decbf3p-5, -0x1.891b6595c72b9p-5, -0x1.819a665da9259p-5, -0x1.7a3861fad385p-5, -0x1.72f4faf75e47bp-5, -0x1.6bcfd428152e7p-5, -0x1.64c890b221afcp-5, -0x1.5dded410856adp-5, -0x1.5712421964c0ap-5, -0x1.50627f0325721p-5, -0x1.49cf2f695d64ap-5, -0x1.4357f851961f8p-5, -0x1.3cfc7f2fe231fp-5, -0x1.36bc69eb4be57p-5, -0x1.30975ee21307dp-5, -0x1.2a8d04edc7e03p-5, -0x1.249d03673866dp-5, -0x1.1ec7022a377cep-5, -0x1.190aa9993cbc9p-5, -0x1.1367a2a0dd3a7p-5, -0x1.0ddd96bb1efc3p-5, -0x1.086c2ff2a722fp-5, -0x1.031318e5c37e6p-5, -0x1.fba3f992a12d4p-6, -0x1.f1510ed6fd469p-6, -0x1.e72cca6ce1b9ap-6, -0x1.dd3686657c635p-6, -0x1.d36d9e13a3ed5p-6, -0x1.c9d16e1050b4dp-6, -0x1.c061543ee19dbp-6, -0x1.b71cafd11d588p-6, -0x1.ae02e14af723fp-6, -0x1.a5134a86202f9p-6, -0x1.9c4d4eb556d95p-6, -0x1.93b0526783404p-6, -0x1.8b3bbb8a9f113p-6, -0x1.82eef16e60cep-6, -0x1.7ac95cc6bd915p-6, -0x1.72ca67ae2d991p-6, -0x1.6af17da7c8b55p-6, -0x1.633e0ba12b1f2p-6, -0x1.5baf7ff42f635p-6, -0x1.54454a687a8f4p-6, -0x1.4cfedc34dc091p-6, -0x1.45dba8007cd99p-6, -0x1.3edb21e3ee97cp-6, -0x1.37fcbf6a07a9dp-6, -0x1.313ff7909c57p-6, -0x1.2aa442c91125cp-6, -0x1.24291af8c6856p-6, -0x1.1dcdfb795e78ap-6, -0x1.17926118e12d1p-6, -0x1.1175ca19bdaf3p-6, -0x1.0b77b632a6bb3p-6, -0x1.0597a68e5638dp-6, -0x1.ffaa3b964cfbfp-7, -0x1.f45f3ff52fbbfp-7, -0x1.e94d65415f08dp-7, -0x1.de73b9667e2fp-7, -0x1.d3d14d3220693p-7, -0x1.c9653451e1ecap-7, -0x1.bf2e85515554ap-7, -0x1.b52c5997bfcbep-7, -0x1.ab5dcd659a19bp-7, -0x1.a1c1ffd1efe88p-7, -0x1.985812c783efep-7, -0x1.8f1f2b01dc32p-7, -0x1.8616700a0aab6p-7, -0x1.7d3d0c3367ef1p-7, -0x1.74922c980e6efp-7, -0x1.6c1501154647bp-7, -0x1.63c4bc47bcfafp-7, -0x1.5ba09387a26bdp-7, -0x1.53a7bee4a2abcp-7, -0x1.4bd97921c50abp-7, -0x1.4434ffb11dd51p-7, -0x1.3cb992af79bd6p-7, -0x1.356674dfd9234p-7, -0x1.2e3aeba6dcdbep-7, -0x1.27363f0614dc4p-7, -0x1.2057b99738cabp-7, -0x1.199ea88748a3ep-7, -0x1.130a5b9198d31p-7, -0x1.0c9a24fac8c29p-7, -0x1.064d598ba6b3dp-7, -0x1.0023508c01283p-7, -0x1.f436c77acc8b6p-8, -0x1.e869deaba979dp-8, -0x1.dcdea3f4b6bebp-8, -0x1.d193d97357ceap-8, -0x1.c688460d3fa15p-8, -0x1.bbbab56562beap-8, -0x1.b129f7d0cff63p-8, -0x1.a6d4e24b77a4p-8, -0x1.9cba4e6cdbdf6p-8, -0x1.92d91a5cb1bfdp-8, -0x1.893028c770557p-8, -0x1.7fbe60d2d266ep-8, -0x1.7682ae124b3cfp-8, -0x1.6d7c007b6f0afp-8, -0x1.64a94c5a520e2p-8, -0x1.5c098a45df3a3p-8, -0x1.539bb71426bd7p-8, -0x1.4b5ed3cea84adp-8, -0x1.4351e5a6965b7p-8, -0x1.3b73f5e918dfbp-8, -0x1.33c411f38b6f1p-8, -0x1.2c414b27bd29p-8, -0x1.24eab6e02dc49p-8, -0x1.1dbf6e644e915p-8, -0x1.16be8edcc5283p-8, -0x1.0fe73947b0ed7p-8, -0x1.0938926cf512ep-8, -0x1.02b1c2d28a344p-8, -0x1.f8a3ed61a6a7dp-9, -0x1.ec30bbcdf9635p-9, -0x1.e00857dec1a5dp-9, -0x1.d4292fa7f2ba5p-9, -0x1.c891b845ab232p-9, -0x1.bd406dc542385p-9, -0x1.b233d30e61079p-9, -0x1.a76a71cc3eac2p-9, -0x1.9ce2da56eb49p-9, -0x1.929ba39cc14bcp-9, -0x1.88936b0beaf2dp-9, -0x1.7ec8d47c087abp-9, -0x1.753a8a17f6f1fp-9, -0x1.6be73c47b3c3p-9, -0x1.62cda19a63b52p-9, -0x1.59ec76b07c44ap-9, -0x1.51427e260ec1ap-9, -0x1.48ce807d3a472p-9, -0x1.408f4c08be588p-9, -0x1.3883b4d6b9685p-9, -0x1.30aa949b88056p-9, -0x1.2902ca9cd2319p-9, -0x1.218b3b9cbb9f9p-9, -0x1.1a42d1c53fd9ep-9, -0x1.13287c93b8121p-9, -0x1.0c3b30c48a08bp-9, -0x1.0579e83f036dfp-9, -0x1.fdc74402c1373p-10, -0x1.f0eec419fe6f4p-10, -0x1.e46862a579801p-10, -0x1.d8323b3f067fbp-10, -0x1.cc4a7312061b6p-10, -0x1.c0af38b536871p-10, -0x1.b55ec404dc3f8p-10, -0x1.aa5755fd4f008p-10, -0x1.9f973895dd6cep-10, -0x1.951cbe9c14eb7p-10, -0x1.8ae6438f65d5fp-10, -0x1.80f22b7d263c6p-10, -0x1.773ee2dcf69b8p-10, -0x1.6dcade6d82e6fp-10, -0x1.64949b11ab27cp-10, -0x1.5b9a9dae03eddp-10, -0x1.52db7306bc14fp-10, -0x1.4a55af9de7dffp-10, -0x1.4207ef9222c4p-10, -0x1.39f0d67d9c2b8p-10, -0x1.320f0f557f69fp-10, -0x1.2a614c49c3466p-10, -0x1.22e646a551572p-10, -0x1.1b9cbeae9612bp-10, -0x1.14837b886f75p-10, -0x1.0d994b137fd8p-10, -0x1.06dd01cfd77ebp-10, -0x1.004d7abf0ccd4p-10, -0x1.f3d32e8d51aa3p-11, -0x1.e7607e25f38c7p-11, -0x1.db40bff487744p-11, -0x1.cf71dbc0a1f17p-11, -0x1.c3f1c534c12dap-11, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.ced9d801312fep-1, 0x1.ccbd8d49788c2p-1, 0x1.caa0a74f96866p-1, 0x1.c88371cd2af58p-1, 0x1.c665e1adf2acdp-1, 0x1.c447a629a25e6p-1, 0x1.c2283a110a188p-1, 0x1.c006f462e53eap-1, 0x1.bde317832ecdfp-1, 0x1.bbbbdeab9c46bp-1, 0x1.b990895c8008dp-1, 0x1.b76064bb50b21p-1, 0x1.b52ad2e8998fap-1, 0x1.b2ef506b4f2aap-1, 0x1.b0ad77dcfec6bp-1, 0x1.ae65040a33adep-1, 0x1.ac15d0be1974bp-1, 0x1.a9bfda70c6de3p-1, 0x1.a7633d0daeb19p-1, 0x1.a500320430a41p-1, 0x1.a2970dcfb5054p-1, 0x1.a0283d1fa8774p-1, 0x1.9db441c26a512p-1, 0x1.9b3baf70f932dp-1, 0x1.98bf289437201p-1, 0x1.963f5b17f70abp-1, 0x1.93bcfd5bce31fp-1, 0x1.9138cb4de9271p-1, 0x1.8eb383b8de70cp-1, 0x1.8c2de5caa2723p-1, 0x1.89a8aed865795p-1, 0x1.87249861263b6p-1, 0x1.84a2564f259b7p-1, 0x1.822295772160bp-1, 0x1.7fa5fa53359ap-1, 0x1.7d2d1ff683595p-1, 0x1.7ab89736331c2p-1, 0x1.7848e6040086ep-1, 0x1.75de86f64f5ecp-1, 0x1.7379e8f9a3a0fp-1, 0x1.711b6f275eb85p-1, 0x1.6ec370bdadf31p-1, 0x1.6c723934bf751p-1, 0x1.6a28086d764f3p-1, 0x1.67e512f61544ap-1, 0x1.65a9826189ed7p-1, 0x1.637575ae4565dp-1, 0x1.614901b9cbfc4p-1, 0x1.5f2431be6352bp-1, 0x1.5d0707d88cc54p-1, 0x1.5af17d9229dadp-1, 0x1.58e384716fc0fp-1, 0x1.56dd0689fbb37p-1, 0x1.54dde70e92e96p-1, 0x1.52e602e24aff6p-1, 0x1.50f53127fde02p-1, 0x1.4f0b43cf1c1d2p-1, 0x1.4d28081d12172p-1, 0x1.4b4b47329a272p-1, 0x1.4974c68c71061p-1, 0x1.47a4487eff60dp-1, 0x1.45d98caca7039p-1, 0x1.44145076724bep-1, 0x1.42544f66fddcfp-1, 0x1.4099439781c0fp-1, 0x1.3ee2e60eef324p-1, 0x1.3d30ef1b268fbp-1, 0x1.3b8316a4523eep-1, 0x1.39d9147a7c3fap-1, 0x1.3832a09d7d3bfp-1, 0x1.368f737f6ca7dp-1, 0x1.34ef4641b71bdp-1, 0x1.3351d2ed0d7e5p-1, 0x1.31b6d4a45ee54p-1, 0x1.301e07d30d227p-1, 0x1.2e872a569676ep-1, 0x1.2cf1fba3e88d1p-1, 0x1.2b5e3ce8961d9p-1, 0x1.29cbb12822ec1p-1, 0x1.283a1d55a25dfp-1, 0x1.26a94869d9b2fp-1, 0x1.2518fb761fb74p-1, 0x1.238901b4296d2p-1, 0x1.21f92892f956dp-1, 0x1.20693fc1226aep-1, 0x1.1ed919348b8e2p-1, 0x1.1d48892fe26aep-1, 0x1.1bb76645e9d86p-1, 0x1.1a25895accf1ap-1, 0x1.1892cda39ce6dp-1, 0x1.16ff10a422e09p-1, 0x1.156a322b2729cp-1, 0x1.13d4144d51074p-1, 0x1.123c9b5ebd969p-1, 0x1.10a3adeb70711p-1, 0x1.0f0934aeb564fp-1, 0x1.0d6d1a8991d2bp-1, 0x1.0bcf4c785f6b1p-1, 0x1.0a2fb987a4c0dp-1, 0x1.088e52c846b9dp-1, 0x1.06eb0b4322b54p-1, 0x1.0545d7ec2997ep-1, 0x1.039eaf950ab0ep-1, 0x1.01f58adf819aep-1, 0x1.004a642f54816p-1, 0x1.fd3a6f3829a8cp-2, 0x1.f9dc05c55668fp-2, 0x1.f6798aad83e4fp-2, 0x1.f312ffa822dd5p-2, 0x1.efa8695f43d38p-2, 0x1.ec39cf5207c22p-2, 0x1.e8c73bb720ab7p-2, 0x1.e550bb5f6661dp-2, 0x1.e1d65d9895897p-2, 0x1.de58341043613p-2, 0x1.dad652b714642p-2, 0x1.d750cfa444494p-2, 0x1.d3c7c2f984363p-2, 0x1.d03b46c73b05ap-2, 0x1.ccab76f133f2p-2, 0x1.c9187113bcf5cp-2, 0x1.c582546940514p-2, 0x1.c1e941b05e7c4p-2, 0x1.be4d5b128b27ep-2, 0x1.baaec40b353acp-2, 0x1.b70da14f7d4c4p-2, 0x1.b36a18b67cd1fp-2, 0x1.afc4512221132p-2, 0x1.ac1c72689c866p-2, 0x1.a872a53e74507p-2, 0x1.a4c7132121189p-2, 0x1.a119e64253081p-2, 0x1.9d6b4973cbc2fp-2, 0x1.99bb6813d877p-2, 0x1.960a6dfa664aap-2, 0x1.92588766b43e2p-2, 0x1.8ea5e0ed9fdd2p-2, 0x1.8af2a7688f635p-2, 0x1.873f07e4f2bb1p-2, 0x1.838b2f945fbcdp-2, 0x1.7fd74bbd45488p-2, 0x1.7c2389ac33e7cp-2, 0x1.787016a5bbf8ap-2, 0x1.74bd1fd8dc8a6p-2, 0x1.710ad25203cdcp-2, 0x1.6d595aee9f55dp-2, 0x1.69a8e65133cefp-2, 0x1.65f9a0d602538p-2, 0x1.624bb68835a6dp-2, 0x1.5e9f5317904d2p-2, 0x1.5af4a1cea0571p-2, 0x1.574bcd8972473p-2, 0x1.53a500acbe3bep-2, 0x1.5000651d94a45p-2, 0x1.4c5e24397b8c5p-2, 0x1.48be66cf070d9p-2, 0x1.45215516df439p-2, 0x1.418716ad38994p-2, 0x1.3defd28bb4c29p-2, 0x1.3a5baf03ae96p-2, 0x1.36cad1b8f0546p-2, 0x1.333d5f9cc4fb3p-2, 0x1.2fb37ce97475fp-2, 0x1.2c2d4d1e14b18p-2, 0x1.28aaf2fabc52ap-2, 0x1.252c907d0c80ep-2, 0x1.21b246dd0c0f6p-2, 0x1.1e3c368a5ccd7p-2, 0x1.1aca7f29b969cp-2, 0x1.175d3f92c7c5fp-2, 0x1.13f495ce30575p-2, 0x1.10909f1400bcp-2, 0x1.0d3177ca54afp-2, 0x1.09d73b843de04p-2, 0x1.06820500f1ba9p-2, 0x1.0331ee2b3137cp-2, 0x1.ffce2031d8276p-3, 0x1.f943061642447p-3, 0x1.f2c2bcdbe351ep-3, 0x1.ec4d71b1d3003p-3, 0x1.e5e3501ef8d4fp-3, 0x1.df8482035df07p-3, 0x1.d9312f99e3fa5p-3, 0x1.d2e97f7a4b387p-3, 0x1.ccad969b925e6p-3, 0x1.c67d9856a03ffp-3, 0x1.c059a6693bccap-3, 0x1.ba41e0f94c2bep-3, 0x1.b4366698590f8p-3, 0x1.ae3754474ec0dp-3, 0x1.a844c57a7a79bp-3, 0x1.a25ed41dc36e8p-3, 0x1.9c85989915fb9p-3, 0x1.96b929d50399cp-3, 0x1.90f99d3f908f9p-3, 0x1.8b4706d12afabp-3, 0x1.85a17911d0775p-3, 0x1.8009051e52913p-3, 0x1.7a7dbaadc3aabp-3, 0x1.74ffa81702ad8p-3, 0x1.6f8eda5662e0ap-3, 0x1.6a2b5d136c5ffp-3, 0x1.64d53aa6bd1ecp-3, 0x1.5f8c7c1ff8df4p-3, 0x1.5a51294bce45bp-3, 0x1.552348ba0f456p-3, 0x1.5002dfc3d6c03p-3, 0x1.4aeff291bd191p-3, 0x1.45ea842215935p-3, 0x1.40f2964f3aa54p-3, 0x1.3c0829d5d888ep-3, 0x1.372b3e5b4882bp-3, 0x1.325bd273e35dp-3, 0x1.2d99e3a964998p-3, 0x1.28e56e813f8fdp-3, 0x1.243e6e83029f7p-3, 0x1.1fa4de3eaa8b9p-3, 0x1.1b18b752fc003p-3, 0x1.1699f273d2884p-3, 0x1.122887706dc1cp-3, 0x1.0dc46d39b403ep-3, 0x1.096d99e86d1a1p-3, 0x1.052402c37514ep-3, 0x1.00e79c45e2c9fp-3, 0x1.f970b44a45cap-4, 0x1.f12c5eae1459ep-4, 0x1.e9021c2fac61fp-4, 0x1.e0f1cfe03c423p-4, 0x1.d8fb5b757cbe1p-4, 0x1.d11e9f555195cp-4, 0x1.c95b7aa15a49bp-4, 0x1.c1b1cb425c2adp-4, 0x1.ba216df3806f4p-4, 0x1.b2aa3e4d87b91p-4, 0x1.ab4c16d1b3bap-4, 0x1.a406d0f4af149p-4, 0x1.9cda452935e87p-4, 0x1.95c64aeaa2933p-4, 0x1.8ecab8c750bfp-4, 0x1.87e7646ad200dp-4, 0x1.811c22a800545p-4, 0x1.7a68c782e1fa7p-4, 0x1.73cd263a65681p-4, 0x1.6d491151efd1bp-4, 0x1.66dc5a9ac3f4cp-4, 0x1.6086d33d398ebp-4, 0x1.5a484bc1cce43p-4, 0x1.54209419fef67p-4, 0x1.4e0f7ba90c8d7p-4, 0x1.4814d14c7676fp-4, 0x1.4230636460141p-4, 0x1.3c61ffdbbfcfp-4, 0x1.36a9743063fp-4, 0x1.31068d7acb77dp-4, 0x1.2b791875d2a45p-4, 0x1.2600e18633a78p-4, 0x1.209db4c1db36bp-4, 0x1.1b4f5df711d29p-4, 0x1.1615a8b379c83p-4, 0x1.10f0604ae1ebcp-4, 0x1.0bdf4fddecdfp-4, 0x1.06e242608ed31p-4, 0x1.01f902a0605dep-4, 0x1.fa46b6958d796p-5, 0x1.f0c22de5e902fp-5, 0x1.e764002f7df2ep-5, 0x1.de2bc25298575p-5, 0x1.d519091d2effep-5, 0x1.cc2b69559f0a5p-5, 0x1.c36277c51627bp-5, 0x1.babdc941b196bp-5, 0x1.b23cf2b84d3f5p-5, 0x1.a9df89360891bp-5, 0x1.a1a521f180193p-5, 0x1.998d5253bb6a2p-5, 0x1.9197b000d5654p-5, 0x1.89c3d0e0576d8p-5, 0x1.82114b25532c5p-5, 0x1.7a7fb5563272ep-5, 0x1.730ea65444417p-5, 0x1.6bbdb563058d5p-5, 0x1.648c7a2f27e05p-5, 0x1.5d7a8cd55579bp-5, 0x1.568785e8b7dbbp-5, 0x1.4fb2fe793a719p-5, 0x1.48fc90199435cp-5, 0x1.4263d4e511a94p-5, 0x1.3be8678522fa7p-5, 0x1.3589e336b12c8p-5, 0x1.2f47e3cf37149p-5, 0x1.292205c1a58fap-5, 0x1.2317e6230d512p-5, 0x1.1d2922af13ea3p-5, 0x1.175559cc34bebp-5, 0x1.119c2a8fcb709p-5, 0x1.0bfd34c1eecc2p-5, 0x1.067818e118af4p-5, 0x1.010c78259b46cp-5, 0x1.f773e909d7716p-6, 0x1.ed00616973947p-6, 0x1.e2bda05bb9e65p-6, 0x1.d8aaee5e27678p-6, 0x1.cec7957f33801p-6, 0x1.c512e16325154p-6, 0x1.bb8c1f4893e12p-6, 0x1.b2329e0ca09bdp-6, 0x1.a905ae2ed8b31p-6, 0x1.a004a1d4cf6acp-6, 0x1.972ecccd6e82cp-6, 0x1.8e838493ffc9ap-6, 0x1.86022052ee356p-6, 0x1.7da9f8e642053p-6, 0x1.757a68dddfab6p-6, 0x1.6d72cc7f810c7p-6, 0x1.659281c873a2dp-6, 0x1.5dd8e86f16988p-6, 0x1.564561e422b2ap-6, 0x1.4ed75153b44fcp-6, 0x1.478e1ba622077p-6, 0x1.4069278098e2cp-6, 0x1.3967dd458a228p-6, 0x1.3289a714e2222p-6, 0x1.2bcdf0cc10ca2p-6, 0x1.25342805e00afp-6, 0x1.1ebbbc1a22f0bp-6, 0x1.18641e1d30a3fp-6, 0x1.122cc0df38b66p-6, 0x1.0c1518eb71704p-6, 0x1.061c9c871913fp-6, 0x1.0042c3b051223p-6, 0x1.f50e1039b8205p-7, 0x1.e9d1ca715917fp-7, 0x1.decfb048b6d81p-7, 0x1.d406bf66f20dfp-7, 0x1.c975f8d57f2a5p-7, 0x1.bf1c60fc4d37dp-7, 0x1.b4f8ff9db7368p-7, 0x1.ab0adfd234ba2p-7, 0x1.a1511003e1b7cp-7, 0x1.97caa1e9c6ff1p-7, 0x1.8e76aa82fcb34p-7, 0x1.8554421193106p-7, 0x1.7c6284155969ep-7, 0x1.73a08f466faep-7, 0x1.6b0d858fc164cp-7, 0x1.62a88c093e891p-7, 0x1.5a70caf20ec15p-7, 0x1.52656daa8c4b8p-7, 0x1.4a85a2ae25956p-7, 0x1.42d09b8d233d9p-7, 0x1.3b458ce64a0ecp-7, 0x1.33e3ae6067b93p-7, 0x1.2caa3aa3c1db3p-7, 0x1.25986f536f5c8p-7, 0x1.1ead8d069a013p-7, 0x1.17e8d741ab27fp-7, 0x1.1149946f65acfp-7, 0x1.0acf0dd9eccc6p-7, 0x1.04788fa3bb661p-7, 0x1.fc8ad18115dbbp-8, 0x1.f069d5dc5b199p-8, 0x1.e48cd55ab5c88p-8, 0x1.d8f27e74e1fcep-8, 0x1.cd99850c59097p-8, 0x1.c280a25cad18fp-8, 0x1.b7a694ecd623ap-8, 0x1.ad0a208070d2ap-8, 0x1.a2aa0e08f3414p-8, 0x1.98852b96d7536p-8, 0x1.8e9a4c4abd736p-8, 0x1.84e8484689f62p-8, 0x1.7b6dfc9e80cefp-8, 0x1.722a4b4a5cc2bp-8, 0x1.691c1b16684b5p-8, 0x1.60425794979bp-8, 0x1.579bf10da5b8dp-8, 0x1.4f27dc7237ce2p-8, 0x1.46e5134c04f4ep-8, 0x1.3ed293af0677cp-8, 0x1.36ef602ab27cbp-8, 0x1.2f3a7fbb3e909p-8, 0x1.27b2fdbaf1ae3p-8, 0x1.2057e9d3801fcp-8, 0x1.192857ef76da8p-8, 0x1.1223602bb69eep-8, 0x1.0b481ec8ff229p-8, 0x1.0495b41d8c3fap-8, 0x1.fc16890d889bbp-9, 0x1.ef4ff0b5f6a2cp-9, 0x1.e2d5f7b6971a3p-9, 0x1.d6a6fe4b00321p-9, 0x1.cac16c4c2feafp-9, 0x1.bf23b114c1868p-9, 0x1.b3cc43654c103p-9, 0x1.a8b9a148f9c12p-9, 0x1.9dea4ffa490d7p-9, 0x1.935cdbc8071c7p-9, 0x1.890fd7fa7c5bap-9, 0x1.7f01deb8cfacbp-9, 0x1.753190eea02e9p-9, 0x1.6b9d9631d511dp-9, 0x1.62449ca8a888cp-9, 0x1.592558efecb3cp-9, 0x1.503e86018728cp-9, 0x1.478ee51b2e57ap-9, 0x1.3f153da55a2a1p-9, 0x1.36d05d1a79e0bp-9, 0x1.2ebf16ee61ac1p-9, 0x1.26e04475f902cp-9, 0x1.1f32c4cf24a3dp-9, 0x1.17b57cc8f1564p-9, 0x1.106756cbfe45bp-9, 0x1.094742c325dbbp-9, 0x1.025436046486p-9, 0x1.f71a56740cd5dp-10, 0x1.e9e2449818928p-10, 0x1.dcfe4093b1ee3p-10, 0x1.d06c5ea83879fp-10, 0x1.c42abd0dfcdd1p-10, 0x1.b83783c918603p-10, 0x1.ac90e47ed255ap-10, 0x1.a1351a4b78597p-10, 0x1.96226998c34dcp-10, 0x1.8b571ff4b8311p-10, 0x1.80d193e914909p-10, 0x1.769024d33132fp-10, 0x1.6c913abc717ffp-10, 0x1.62d346332b609p-10, 0x1.5954c024163aep-10, 0x1.501429b43b683p-10, 0x1.47100c1b6164ep-10, 0x1.3e46f87efe1bp-10, 0x1.35b787cda1a67p-10, 0x1.2d605a9ae5f37p-10, 0x1.254018fbdc77ap-10, 0x1.1d557263f4634p-10, 0x1.159f1d82612cep-10, 0x1.0e1bd82003b78p-10, 0x1.06ca66fdc0afbp-10, 0x1.ff532b66c28eap-11, 0x1.f1706d1dccacdp-11, 0x1.e3ea44e8a7013p-11, 0x1.d6be717befc98p-11, 0x1.c9eabe3a56a88p-11, 0x1.bd6d02f706ac1p-11, 0x1.b14323b8fc89cp-11, 0x1.a56b107f45b2p-11, 0x1.99e2c50628e58p-11, 0x1.8ea8488d347a5p-11, 0x1.83b9ad9e312f3p-11, 0x1.791511d4f5ba2p-11, 0x1.6eb89da81e387p-11, 0x1.64a284329e0b9p-11, 0x1.5ad102fe2f837p-11, 0x1.514261ce9edbfp-11, 0x1.47f4f26dea794p-11, 0x1.3ee710793b508p-11, 0x1.3617212eb015p-11, 0x1.2d83933bf9239p-11, 0x1.252ade8dc5654p-11, 0x1.1d0b841ffa888p-11, 0x1.15240dceb9777p-11, 0x1.0d730e282a508p-11, 0x1.05f7203f10547p-11, 0x1.fd5dcefc3e864p-12, 0x1.ef321ef82d4c9p-12, 0x1.e16897a130ed2p-12, 0x1.d3feafd3801b8p-12, 0x1.c6f1edc4e5bf1p-12, 0x1.ba3fe6b2d662ep-12, 0x1.ade63e91f0a3ap-12, 0x1.a1e2a7bee5e71p-12, 0x1.9632e2b0ca76dp-12, 0x1.8ad4bdacc1bbap-12, 0x1.7fc6147b07f3bp-12, 0x1.7504d01d4fee6p-12, 0x1.6a8ee686770dcp-12, 0x1.60625a53827f8p-12, 0x1.567d3a85e8d26p-12, 0x1.4cdda23f1e016p-12, 0x1.4381b87d610ddp-12, 0x1.3a67afd9c78cep-12, 0x1.318dc6477b016p-12, 0x1.28f244d42fa81p-12, 0x1.20937f69c64ecp-12, 0x1.186fd4911a1bp-12, 0x1.1085ad35f467cp-12, 0x1.08d37c6c21502p-12, 0x1.0157bf35a4e96p-12, 0x1.f421f8940bd04p-13, 0x1.e5fb87bd6298bp-13, 0x1.d8395ee0dd09dp-13, 0x1.cad8c31bbb79bp-13, 0x1.bdd70b4606f28p-13, 0x1.b1319f8ba8f11p-13, 0x1.a4e5f90791285p-13, 0x1.98f1a160c7f68p-13, 0x1.8d5232697b0fp-13, 0x1.820555bff4215p-13, 0x1.7708c4716ce2bp-13, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      50, 0x1.2345e0b4e11dcp+2, 0x1.786cffda99352p+1, 0x1.016aed04657c1p+3, -0x1.234463153f2c6p-7, 
      {{
        {0x1.f8927913e8145p+1, 0x1.fa21b25755a75p+1, 0x1.45c4ffd92692ep-6, -0x1.5a94239ad9aa5p-4, 0x1.fd9d252bf60e2p-4, 0x1.81966071948d1p-6}, 
        {0x1.fa21b25755a75p+1, 0x1.fbb0ebb03cc93p+1, 0x1.352ecfd67f6eap-6, -0x1.4e1e3ec16956ap-4, 0x1.00918e4e3ff32p-3, -0x1.e3d4d8cb7292bp-4}, 
        {0x1.fbb0ebb03cc93p+1, 0x1.fd4024f3aa5c3p+1, 0x1.2533894cf8dfbp-6, -0x1.41d483dd1b0ecp-4, 0x1.ef73fddaa3bb4p-4, -0x1.3d16c87a08f43p-4}, 
        {0x1.fd4024f3aa5c3p+1, 0x1.fecf5e3717ef3p+1, 0x1.15cf2fdc194e9p-6, -0x1.35e6171e96041p-4, 0x1.e3dd0d3a52951p-4, -0x1.5f792ee28ed9cp-4}, 
        {0x1.fecf5e3717ef3p+1, 0x1.002f4bc7ff889p+2, 0x1.06fddd5d6024dp-6, -0x1.2a43e135a7bf1p-4, 0x1.d704624288585p-4, -0x1.4e0df3ae36747p-4}, 
        {0x1.002f4bc7ff889p+2, 0x1.00f6e869b6521p+2, 0x1.f17783c88b9a6p-7, -0x1.1eefd0a437ed1p-4, 0x1.caceb2cb0b3c7p-4, -0x1.48301a7fc49f4p-4}, 
        {0x1.00f6e869b6521p+2, 0x1.01be850b6d1b9p+2, 0x1.d60a46a090685p-7, -0x1.13e73f167e0a4p-4, 0x1.becfe87c52a23p-4, -0x1.3fcbd73e24a6cp-4}, 
        {0x1.01be850b6d1b9p+2, 0x1.028621b7e0ac8p+2, 0x1.bbacb9190151ep-7, -0x1.09288bd4431adp-4, 0x1.b31fa30dc291ap-4, -0x1.3a65cbcc74411p-4}, 
        {0x1.028621b7e0ac8p+2, 0x1.034dbe599776p+2, 0x1.a257bbc434fa6p-7, -0x1.fd6447baf334fp-5, 0x1.a7a1e086d53e6p-4, -0x1.31a1858b4e55ep-4}, 
        {0x1.034dbe599776p+2, 0x1.04155afb4e3f8p+2, 0x1.8a045801de4c6p-7, -0x1.e904d5dce1b6bp-5, 0x1.9c7625db33907p-4, -0x1.2ab905b2d4fedp-4}, 
        {0x1.04155afb4e3f8p+2, 0x1.04dcf7a7c1d07p+2, 0x1.72abbfff0c79bp-7, -0x1.d52f2e069c1fcp-5, 0x1.918b0eb0a5e2cp-4, -0x1.25376362061fdp-4}, 
        {0x1.04dcf7a7c1d07p+2, 0x1.05a494497899fp+2, 0x1.5c474dda43fcep-7, -0x1.c1e07a99383ep-5, 0x1.86d37c9e4dccdp-4, -0x1.1cea43b7a4305p-4}, 
        {0x1.05a494497899fp+2, 0x1.066c30eb2f637p+2, 0x1.46d082961d3a6p-7, -0x1.af1597c0e6a81p-5, 0x1.7c69977dd06dbp-4, -0x1.168b74590a024p-4}, 
        {0x1.066c30eb2f637p+2, 0x1.0733cd97a2f46p+2, 0x1.324106503e406p-7, -0x1.9ccb2c1b58a49p-5, 0x1.723b4d8948028p-4, -0x1.1108177985608p-4}, 
        {0x1.0733cd97a2f46p+2, 0x1.07fb6a3959bdep+2, 0x1.1e92a69a0ae92p-7, -0x1.8afe811db5663p-5, 0x1.684098e40a7dep-4, -0x1.0981153b34488p-4}, 
        {0x1.07fb6a3959bdep+2, 0x1.08c306db10876p+2, 0x1.0bbf5641ab1b2p-7, -0x1.79ac9f910754p-5, 0x1.5e8c536d75ecp-4, -0x1.03512db763814p-4}, 
        {0x1.08c306db10876p+2, 0x1.098aa38784185p+2, 0x1.f382590d43d4ap-8, -0x1.68d2660504081p-5, 0x1.5511f23fae6fep-4, -0x1.fc2fa42c7b242p-5}, 
        {0x1.098aa38784185p+2, 0x1.0a5240293ae1dp+2, 0x1.d124c8c8c4721p-8, -0x1.586d39930ec96p-5, 0x1.4bc871f7c6326p-4, -0x1.ee22be5ac88d3p-5}, 
        {0x1.0a5240293ae1dp+2, 0x1.0b19dccaf1ab5p+2, 0x1.b05ab7dac2f1cp-8, -0x1.487a510c85d06p-5, 0x1.42c0adec0ec6fp-4, -0x1.e2759763b90a4p-5}, 
        {0x1.0b19dccaf1ab5p+2, 0x1.0be17977653c4p+2, 0x1.911927155b179p-8, -0x1.38f6bcc210f22p-5, 0x1.39ef8a556b87fp-4, -0x1.d888bb1737e0cp-5}, 
        {0x1.0be17977653c4p+2, 0x1.0ca916191c05cp+2, 0x1.73555aa3004ap-8, -0x1.29e0057ef6d7cp-5, 0x1.314cd572fe188p-4, -0x1.cb71ea740cfd6p-5}, 
        {0x1.0ca916191c05cp+2, 0x1.0d70b2bad2cf4p+2, 0x1.5704d890a813ep-8, -0x1.1b338d406fcecp-5, 0x1.28e75d7d9b753p-4, -0x1.c07d9aa1010efp-5}, 
        {0x1.0d70b2bad2cf4p+2, 0x1.0e384f6746603p+2, 0x1.3c1d6783efa6bp-8, -0x1.0cee9589180eap-5, 0x1.20b5253b4fd64p-4, -0x1.b71508b62cc1cp-5}, 
        {0x1.0e384f6746603p+2, 0x1.0effec08fd29bp+2, 0x1.22950d50451bdp-8, -0x1.fe1d96b74c5cep-6, 0x1.18aef0cd143a1p-4, -0x1.aaed2b799ff12p-5}, 
        {0x1.0effec08fd29bp+2, 0x1.0fc788aab3f33p+2, 0x1.0a620d7613375p-8, -0x1.e32375cbd06bcp-6, 0x1.10e19b5b08137p-4, -0x1.a0bfacbd9971ep-5}, 
        {0x1.0fc788aab3f33p+2, 0x1.108f255727843p+2, 0x1.e6f5cff3c6526p-9, -0x1.c8e9af45ca7d5p-6, 0x1.0943e376ff88fp-4, -0x1.97cdea5e74401p-5}, 
        {0x1.108f255727843p+2, 0x1.1156c1f8de4dbp+2, 0x1.bbacaf85181f3p-9, -0x1.af6be5b42adb2p-6, 0x1.01d00396bb69bp-4, -0x1.8ca9030663b7ap-5}, 
        {0x1.1156c1f8de4dbp+2, 0x1.121e5e9a95173p+2, 0x1.92d6a29eb0f1bp-9, -0x1.96a5875597465p-6, 0x1.f5208e4a86f33p-5, -0x1.832ac76db36adp-5}, 
        {0x1.121e5e9a95173p+2, 0x1.12e5fb4708a82p+2, 0x1.6c6202b05cca5p-9, -0x1.7e91de3fa8d63p-6, 0x1.e6f9e89e8d2c7p-5, -0x1.7ac086c182943p-5}, 
        {0x1.12e5fb4708a82p+2, 0x1.13ad97e8bf71ap+2, 0x1.483d96c571115p-9, -0x1.672cd3f854d9dp-6, 0x1.d921ff1ffaaddp-5, -0x1.708cc098e0c43p-5}, 
        {0x1.13ad97e8bf71ap+2, 0x1.1475348a763b2p+2, 0x1.265890db1a1aap-9, -0x1.50722c63768bp-6, 0x1.cba98c3c6c37fp-5, -0x1.67cf4d13fc10dp-5}, 
        {0x1.1475348a763b2p+2, 0x1.153cd136e9cc1p+2, 0x1.06a28af4b029ap-9, -0x1.3a5d94a1c5ee1p-6, 0x1.be82e0be0ec9cp-5, -0x1.5fe721e983e61p-5}, 
        {0x1.153cd136e9cc1p+2, 0x1.16046dd8a0959p+2, 0x1.d217086018eafp-10, -0x1.24eb3ff042d64p-6, 0x1.b1a6304ee6b99p-5, -0x1.56a9e27d3a7ecp-5}, 
        {0x1.16046dd8a0959p+2, 0x1.16cc0a7a575f1p+2, 0x1.9b07bce799583p-10, -0x1.101747da91ebep-6, 0x1.a51ff3ba6449p-5, -0x1.4e9bb864c2776p-5}, 
        {0x1.16cc0a7a575f1p+2, 0x1.1793a726cafp+2, 0x1.67f8b65763eddp-10, -0x1.f7bb7390b069bp-7, 0x1.98e5166b31d59p-5, -0x1.47483c503b981p-5}, 
        {0x1.1793a726cafp+2, 0x1.185b43c881b98p+2, 0x1.38cc3169d7fc8p-10, -0x1.d07625d88c038p-7, 0x1.8ceec502b907dp-5, -0x1.3ef750ee8c07p-5}, 
        {0x1.185b43c881b98p+2, 0x1.1922e06a3883p+2, 0x1.0d651f94c7da1p-10, -0x1.aa5788cfe3be9p-7, 0x1.81464421689bcp-5, -0x1.37982e079d5d6p-5}, 
        {0x1.1922e06a3883p+2, 0x1.19ea7d16ac13fp+2, 0x1.cb4e40fba2086p-11, -0x1.8558730b634d2p-7, 0x1.75e2bcd13ab77p-5, -0x1.30e74d4eb9202p-5}, 
        {0x1.19ea7d16ac13fp+2, 0x1.1ab219b862dd7p+2, 0x1.82ecfaa4fa80ap-11, -0x1.6172791379d33p-7, 0x1.6abdcff7f67b5p-5, -0x1.296c65fb86025p-5}, 
        {0x1.1ab219b862dd7p+2, 0x1.1b79b65a19a6fp+2, 0x1.417045a446aeap-11, -0x1.3e9f288ac69c9p-7, 0x1.5fdee1196c0e4p-5, -0x1.22cf36f207c2fp-5}, 
        {0x1.1b79b65a19a6fp+2, 0x1.1c4153068d37ep+2, 0x1.06a33779df06fp-11, -0x1.1cd8123c5b07ep-7, 0x1.553dd505310edp-5, -0x1.1cb47bd2ec39dp-5}, 
        {0x1.1c4153068d37ep+2, 0x1.1d08efa844016p+2, 0x1.a4a42d986c46ep-12, -0x1.f82ecf868574ep-8, 0x1.4ad5e68ce6a35p-5, -0x1.1617369791eccp-5}, 
        {0x1.1d08efa844016p+2, 0x1.1dd08c49facaep+2, 0x1.4894a02245a5cp-12, -0x1.b8aebfe501484p-8, 0x1.40abdc3de3a91p-5, -0x1.103edf12dab9dp-5}, 
        {0x1.1dd08c49facaep+2, 0x1.1e9828f66e5bdp+2, 0x1.f169a9d2f307ep-13, -0x1.7b249525ae007p-8, 0x1.36b882e9916f9p-5, -0x1.0a98576df5d7dp-5}, 
        {0x1.1e9828f66e5bdp+2, 0x1.1f5fc59825255p+2, 0x1.6947f34742f7ap-13, -0x1.3f85d04bb7bd1p-8, 0x1.2cfa07f4f3f0ep-5, -0x1.0564ee419b9e9p-5}, 
        {0x1.1f5fc59825255p+2, 0x1.20276239dbeedp+2, 0x1.f00d147f8c849p-14, -0x1.05c892560b63bp-8, 0x1.236c3746f4516p-5, -0x1.fc7cdbd265fc9p-6}, 
        {0x1.20276239dbeedp+2, 0x1.20eefee64f7fcp+2, 0x1.39d782b378594p-14, -0x1.9bc328d64b3c5p-9, 0x1.1a214e3debbdp-5, -0x1.00c695131105bp-5}, 
        {0x1.20eefee64f7fcp+2, 0x1.21b69b8806494p+2, 0x1.5d0692e21be2ep-15, -0x1.2f993ad12572ep-9, 0x1.10beb40f83b5dp-5, -0x1.c06e10d2a3b0dp-6}, 
        {0x1.21b69b8806494p+2, 0x1.227e3829bd12cp+2, 0x1.32ae65c73830bp-16, -0x1.8db941941eda1p-10, 0x1.088cc47eff557p-5, -0x1.430e97c85b7e8p-5}, 
        {0x1.227e3829bd12cp+2, 0x1.2345e0b4e11dcp+2, 0x1.2f263a9d094c7p-18, -0x1.8818e6d8c01ddp-11, 0x1.f97bf8e71cab1p-6, -0x1.2b9c9fc60f54p+1}, 
      }}, 
      0x1.85be7e4763197p+8, -0x1.f92d981459f32p+13
    }
  };
  // clang-format on
}
SkfData params_hyb_0_2_ga_h() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.6c6827ce788d4p-2, -0x1.7991d97b8589cp-2, -0x1.85827436d9129p-2, -0x1.9042e5b8a04a4p-2, -0x1.99de1ba0d276p-2, -0x1.a260091770082p-2, -0x1.a9d59f3170a9dp-2, -0x1.b04cdd57f3bfdp-2, -0x1.b5d3c93b5e1f9p-2, -0x1.ba77ffbae5686p-2, -0x1.be475b6a32d75p-2, -0x1.c150209687a5cp-2, -0x1.c3a02972886adp-2, -0x1.c54436289f538p-2, -0x1.c648309afbd2bp-2, -0x1.c6b7d7c4cae48p-2, -0x1.c69ef160a4423p-2, -0x1.c608e46e0d1b5p-2, -0x1.c50035bef6bc5p-2, -0x1.c38e507cbcd56p-2, -0x1.c1bbb6e004498p-2, -0x1.bf8f2b5310ecfp-2, -0x1.bd13d0b57ca1fp-2, -0x1.ba4fdc6e482c5p-2, -0x1.b74a3e7159a66p-2, -0x1.b4096afcd2a1fp-2, -0x1.b0936344ac4ap-2, -0x1.acedbc4d003b2p-2, -0x1.a91da2306a808p-2, -0x1.a527daa033c91p-2, -0x1.a110cab39b54p-2, -0x1.9cdc80804858p-2, -0x1.988ebce5b075ep-2, -0x1.942af9e37315fp-2, -0x1.8fb46d2d13abcp-2, -0x1.8b2e097e4241fp-2, -0x1.869a81285a217p-2, -0x1.81fc4a8e6bf4bp-2, -0x1.7d55a5f16d6adp-2, -0x1.78a8a3b43711ep-2, -0x1.73f72a61dd1f5p-2, -0x1.6f42fba4e32bcp-2, -0x1.6a8db749666d4p-2, -0x1.65d8dbe90b9acp-2, -0x1.6125c5f756bfcp-2, -0x1.5c75aed502d34p-2, -0x1.57c9ad975a02bp-2, -0x1.5322ba3618f34p-2, -0x1.4e81b27b24f11p-2, -0x1.49e75f305ed1dp-2, -0x1.455478100803p-2, -0x1.40c9a5bf3b266p-2, -0x1.3c47820db7c6bp-2, -0x1.37ce975710292p-2, -0x1.335f5ff6c8689p-2, -0x1.2efa4667113ecp-2, -0x1.2a9fa62256d92p-2, -0x1.264fcd012305dp-2, -0x1.220afcb0dae93p-2, -0x1.1dd16bfcaea11p-2, -0x1.19a347d7ea772p-2, -0x1.1580b44548d0fp-2, -0x1.1169cd45ea227p-2, -0x1.0d5e58cf8667fp-2, -0x1.095eff4aca224p-2, -0x1.056b8d4fa0b99p-2, -0x1.018409d66b14ap-2, -0x1.fb50ee2089d68p-3, -0x1.f3b1a6371ded9p-3, -0x1.ec2a315fb3846p-3, -0x1.e4ba7f5d4f351p-3, -0x1.dd627b1452a23p-3, -0x1.d6220af6eeb12p-3, -0x1.cef91119203a2p-3, -0x1.c7e76b0a1e6b1p-3, -0x1.c0ecf19ecd302p-3, -0x1.ba0978db08bebp-3, -0x1.b33cd01d5a368p-3, -0x1.ac86c29d23c3bp-3, -0x1.a5e71834d3debp-3, -0x1.9f5d965e41f5ep-3, -0x1.98ea013c06421p-3, -0x1.928c1c89a04e8p-3, -0x1.8c43ac540107cp-3, -0x1.86107569eec08p-3, -0x1.7ff23d8303004p-3, -0x1.79e8cb292ad4ap-3, -0x1.73f3e578c6e1bp-3, -0x1.6e1353ce3d8dfp-3, -0x1.6846dd758999p-3, -0x1.628e496a97bdep-3, -0x1.5ce95e3287589p-3, -0x1.5757e1cf84fafp-3, -0x1.51d999cc3b85dp-3, -0x1.4c6e4b5959c38p-3, -0x1.4715bb77027e6p-3, -0x1.41cfaf2499a0bp-3, -0x1.3c9beb92c366bp-3, -0x1.377a3654a6729p-3, -0x1.326a558e93225p-3, -0x1.2d6c1020ab084p-3, -0x1.287f2dcc5123dp-3, -0x1.23a377531e481p-3, -0x1.1ed8b68e1ec92p-3, -0x1.1a1eb67c445dp-3, -0x1.1575434767b27p-3, -0x1.10dc2a3ff26p-3, -0x1.0c5339cff0ecp-3, -0x1.07da416726d26p-3, -0x1.037111625da62p-3, -0x1.fe2ef5e0e4941p-4, -0x1.f59a9fef8ce1fp-4, -0x1.ed24c5fcd0416p-4, -0x1.e4cd0e2d88197p-4, -0x1.dc931fa3ff8f2p-4, -0x1.d476a270c1e32p-4, -0x1.cc773f8eadeeap-4, -0x1.c494a0e88396p-4, -0x1.bcce716519ea8p-4, -0x1.b5245cf737ec5p-4, -0x1.ad9610ae0112ep-4, -0x1.a6233ac343fe7p-4, -0x1.9ecb8aa5b42f6p-4, -0x1.978eb0fdbffcdp-4, -0x1.906c5fac8f61fp-4, -0x1.896449c56dc7cp-4, -0x1.82762382561b8p-4, -0x1.7ba1a234dc16fp-4, -0x1.74e67c34c6166p-4, -0x1.6e4468cdb9c94p-4, -0x1.67bb202d37e0cp-4, -0x1.614a5b51ea0a5p-4, -0x1.5af1d3fcfe0a2p-4, -0x1.54b144a5f45a1p-4, -0x1.4e88687103e4ap-4, -0x1.4876fb27f5233p-4, -0x1.427cb93524388p-4, -0x1.3c995fa03ff2dp-4, -0x1.36ccac0c4b461p-4, -0x1.31165cb66bb7bp-4, -0x1.2b76307516cb2p-4, -0x1.25ebe6b74b90cp-4, -0x1.20773f8396068p-4, -0x1.1b17fb76ba55p-4, -0x1.15cddbc1f570fp-4, -0x1.1098a228d8952p-4, -0x1.0b7810fecaa98p-4, -0x1.066bfc361d7b9p-4, -0x1.017400b869cecp-4, -0x1.f91ff215aeac1p-5, -0x1.ef7f5327329c9p-5, -0x1.e605ae6a5c969p-5, -0x1.dcb28e99de43cp-5, -0x1.d3857f62b8686p-5, -0x1.ca7e0d60637c3p-5, -0x1.c19bc6188a7c3p-5, -0x1.b8de37f679be1p-5, -0x1.b044f2465089ep-5, -0x1.a7cf85301b21dp-5, -0x1.9f7d81b2e836ap-5, -0x1.974e799ffd526p-5, -0x1.8f41ff9639b4bp-5, -0x1.8757a6fdc6972p-5, -0x1.7f8f04041f0d1p-5, -0x1.77e7ab98827fcp-5, -0x1.70613368dc53fp-5, -0x1.68fb31df26b55p-5, -0x1.61b53e1f2719bp-5, -0x1.5a8ef004fe39ap-5, -0x1.5387e023b3767p-5, -0x1.4c9fa7c790437p-5, -0x1.45d5e0e5f4011p-5, -0x1.3f2a263d83766p-5, -0x1.389c1334802a6p-5, -0x1.322b43eb66d11p-5, -0x1.2bd75538fd26fp-5, -0x1.259fe4ab18bb6p-5, -0x1.1f849087428c6p-5, -0x1.1984f7cb5aa1fp-5, -0x1.13a0ba2e37709p-5, -0x1.0dd778203bbc3p-5, -0x1.0828d2cbe02a2p-5, -0x1.02946c163028ap-5, -0x1.fa33cd3e76745p-6, -0x1.ef71cb84f5485p-6, -0x1.e4e21b2e60dcfp-6, -0x1.da8405e17f66ep-6, -0x1.d056d6be4447dp-6, -0x1.c659da5dab771p-6, -0x1.bc8c5ed44a0bdp-6, -0x1.b2edb3b0eb94bp-6, -0x1.a97d29d919b57p-6, -0x1.a03a144739fe1p-6, -0x1.9723c68cd90ffp-6, -0x1.8e39965eeee71p-6, -0x1.857adabab5da5p-6, -0x1.7ce6ec2a8545ep-6, -0x1.747d24b88fa8cp-6, -0x1.6c3cdff2f1498p-6, -0x1.64257aeca9513p-6, -0x1.5c36543ecf6a9p-6, -0x1.546ecc09a902fp-6, -0x1.4cce43f5b12c2p-6, -0x1.45541f34904f3p-6, -0x1.3dffc28215473p-6, -0x1.36d09424c927ep-6, -0x1.2fc5fbeef66afp-6, -0x1.28df633f2b1f4p-6, -0x1.221c34e0f1a5ep-6, -0x1.1b7bddad09ef6p-6, -0x1.14fdcb4a318e3p-6, -0x1.0ea16d6cf0d2cp-6, -0x1.08663537f4a06p-6, -0x1.024b955f52bcfp-6, -0x1.f8a2048fb7428p-7, -0x1.ecebe29791fa5p-7, -0x1.e173b47cb6fecp-7, -0x1.d6386bc821b62p-7, -0x1.cb38fd6d459cap-7, -0x1.c074617c2bfcfp-7, -0x1.b5e9931d0ca14p-7, -0x1.ab9790948f225p-7, -0x1.a17d5b3db0b7bp-7, -0x1.9799f78ac72cfp-7, -0x1.8dec6d0714cc1p-7, -0x1.8473c642a526dp-7, -0x1.7b2f10f51dfe3p-7, -0x1.721d5dd6afdcbp-7, -0x1.693dc12c7d08ap-7, -0x1.608f50567054fp-7, -0x1.581126a5c2fccp-7, -0x1.4fc26081e5408p-7, -0x1.47a21dc5af6efp-7, -0x1.3faf815bf7e94p-7, -0x1.37e9b0ffc374fp-7, -0x1.304fd601db457p-7, -0x1.28e11bb3d41f2p-7, -0x1.219cb10208c2ap-7, -0x1.1a81c7991ee09p-7, -0x1.138f9418dad7cp-7, -0x1.0cc54e03497b4p-7, -0x1.06222fb4b6e9dp-7, -0x1.ff4aecee70b9ap-8, -0x1.f29cc4eb9cf55p-8, -0x1.e6386cda1f963p-8, -0x1.da1c70b29f5aep-8, -0x1.ce4761703a4b9p-8, -0x1.c2b7d5ca26dd6p-8, -0x1.b76c69ebe1284p-8, -0x1.ac63c02641d32p-8, -0x1.a19c7e1243243p-8, -0x1.971551beb2c2ep-8, -0x1.8cccec9ebb64bp-8, -0x1.82c205f50e661p-8, -0x1.78f35a5540e8ap-8, -0x1.6f5fab8dd5ed4p-8, -0x1.6605c08fd27cap-8, -0x1.5ce465d760805p-8, -0x1.53fa6bb68949cp-8, -0x1.4b46a9650d5d5p-8, -0x1.42c7fa0aba927p-8, -0x1.3a7d3dd6023cap-8, -0x1.32655a1b09f6dp-8, -0x1.2a7f38e9e9af5p-8, -0x1.22c9c93aa5cfap-8, -0x1.1b43fec852398p-8, -0x1.13ecd207e31dbp-8, -0x1.0cc3400eacbc4p-8, -0x1.05c64ad30cefcp-8, -0x1.fde9f0ff77af8p-9, -0x1.f09ca80d16eedp-9, -0x1.e3a2d989013ffp-9, -0x1.d6faad0547963p-9, -0x1.caa252d767efp-9, -0x1.be9803f7a6a37p-9, -0x1.b2da01e1e4d7dp-9, -0x1.a766965177d98p-9, -0x1.9c3c142411acdp-9, -0x1.9158d538db1e4p-9, -0x1.86bb3c50be39p-9, -0x1.7c61b400ac864p-9, -0x1.724aaebefe599p-9, -0x1.6874a6ca36673p-9, -0x1.5ede1e0cf4c68p-9, -0x1.55859e020dfc4p-9, -0x1.4c69b7824b023p-9, -0x1.4389031808035p-9, -0x1.3ae2200a24171p-9, -0x1.3273b50e9b7cdp-9, -0x1.2a3c6fd2d6ce5p-9, -0x1.223b04ebd2617p-9, -0x1.1a6e2fbcafc47p-9, -0x1.12d4b25b3bae5p-9, -0x1.0b6d55a270586p-9, -0x1.0436e8273ab09p-9, -0x1.fa60803a5c2d9p-10, -0x1.ecb072275df94p-10, -0x1.df5b6a068fc3p-10, -0x1.d25f38001c82fp-10, -0x1.c5b9b81eac7b7p-10, -0x1.b968d22755663p-10, -0x1.ad6a79622b9dp-10, -0x1.a1bcac6b37798p-10, -0x1.965d74fc4f409p-10, -0x1.8b4ae71d6c64bp-10, -0x1.8083240680feep-10, -0x1.760453b6acf3p-10, -0x1.6bccab1f20a0ep-10, -0x1.61da68b40da54p-10, -0x1.582bd49a426fp-10, -0x1.4ebf40fe9381fp-10, -0x1.4593098d24dd8p-10, -0x1.3ca59355cfd6ep-10, -0x1.33f54c9cc7686p-10, -0x1.2b685a4d8247p-10, -0x1.232f47a94ebe5p-10, -0x1.1b2edd49d144cp-10, -0x1.1365ac33c0512p-10, -0x1.0bd24dbecd823p-10, -0x1.047363504dabp-10, -0x1.fa8f2d71cfe99p-11, -0x1.ec9b31b59c167p-11, -0x1.df08467f82c6fp-11, -0x1.d1d3e9b62949dp-11, -0x1.c4fbada94f702p-11, -0x1.b87d2ec2f6348p-11, -0x1.ac56196be1fe7p-11, -0x1.a0842568a06fbp-11, -0x1.95051ae0376a5p-11, -0x1.89d6cd2747de1p-11, -0x1.7ef71cc889814p-11, -0x1.7463f6e235001p-11, -0x1.6a1b54d137bbcp-11, -0x1.601b3bf23cf59p-11, -0x1.5661bd619f86bp-11, -0x1.4cecf59bf351p-11, -0x1.43bb0cddb12c9p-11, -0x1.3aca35fce046fp-11, -0x1.3218ae8a42cd2p-11, -0x1.29a4bf2e8749ep-11, -0x1.216cbac6bd103p-11, -0x1.196efe7b1736ap-11, -0x1.11a9f18b6d6e3p-11, -0x1.0a1c04262c396p-11, -0x1.02c3b422e0d1fp-11, -0x1.f73f061ffd2c6p-12, -0x1.e95bffba0e85bp-12, -0x1.dbdb8384e9ecfp-12, -0x1.cebacbc03e04bp-12, -0x1.c1f73e9e8f138p-12, -0x1.b58e2d2250479p-12, -0x1.a97d13bf1ad02p-12, -0x1.9dc17925a594ep-12, -0x1.9258f59c4ca51p-12, -0x1.874131487d20ap-12, -0x1.7c77e47f3289dp-12, -0x1.71fada8765513p-12, -0x1.67c7e8e484fdap-12, -0x1.5ddcf86f796bfp-12, -0x1.543800340bb97p-12, -0x1.4ad7055724183p-12, -0x1.41b81c4f13e84p-12, -0x1.38d9671f23e3fp-12, -0x1.30391599af4d4p-12, -0x1.27d564fbcf72ep-12, -0x1.1fac9f8ee8505p-12, -0x1.17bd1c4f17d38p-12, -0x1.10053e91a1fc1p-12, -0x1.088375ae385cbp-12, -0x1.0136391827eeap-12, -0x1.f43832df918b5p-13, -0x1.e6673bbcc105ep-13, -0x1.d8f6cb144704p-13, -0x1.cbe42ced35b0bp-13, -0x1.bf2cc54a89a26p-13, -0x1.b2cdfd51cd836p-13, -0x1.a6c565def8ff4p-13, -0x1.9b109f4ece07bp-13, -0x1.8fad303387ae1p-13, -0x1.8498f6c9841d7p-13, -0x1.79d1b2a1100d2p-13, -0x1.6f553edb087c3p-13, -0x1.6521861fb3d78p-13, -0x1.5b34819ae019bp-13, -0x1.518c39e6ae893p-13, -0x1.4826c4c491871p-13, -0x1.3f02594d77d82p-13, -0x1.361ced78828adp-13, -0x1.2d74fa40f665dp-13, -0x1.2508b618e1ef2p-13, -0x1.1cd677504a9e2p-13, -0x1.14dca005ea018p-13, -0x1.0d199dcee314bp-13, -0x1.058be94b73315p-13, -0x1.fc6416f57605ap-14, -0x1.ee15060bd96a4p-14, -0x1.e027ef6cd18edp-14, -0x1.d29a0dc1cadf2p-14, -0x1.c568b99d38b8bp-14, -0x1.b8915fc0e8ca6p-14, -0x1.ac117bea0d244p-14, -0x1.9fe69d6d1836bp-14, -0x1.940e6952b78dep-14, -0x1.888690f9c19e5p-14, -0x1.7d4cd7efcb21ep-14, -0x1.725f121214e33p-14, -0x1.67bb231dba808p-14, -0x1.5d5efe46c5547p-14, -0x1.5348a5d230ea5p-14, -0x1.49762ab2374a8p-14, -0x1.3fe5ac2741824p-14, -0x1.369557f19f59bp-14, -0x1.2d836cca611ebp-14, -0x1.24ae2311784c4p-14, -0x1.1c13dfe5d7405p-14, -0x1.13b2feee87cc7p-14, -0x1.0b8a2c02dd845p-14, -0x1.0397259db3efp-14, -0x1.f7b25749f1d2dp-15, -0x1.e89d1da03b75dp-15, -0x1.d9ebd4a1e7274p-15, -0x1.cb9bc9cadb7f4p-15, -0x1.bdaa58d8abdd6p-15, -0x1.b014ee778e66ep-15, -0x1.a2d91d5a63ac6p-15, -0x1.95f47a037725ap-15, -0x1.8964b00ff648cp-15, -0x1.7d277cee9525p-15, -0x1.713ab0855ca16p-15, -0x1.659c2b76886a8p-15, -0x1.5a49d1c052d2fp-15, -0x1.4f41b10719405p-15, -0x1.4481cbb0997bfp-15, -0x1.3a085665e85cdp-15, -0x1.2fd35f87bec8bp-15, -0x1.25e1314b7be77p-15, -0x1.1c300e613fbe7p-15, -0x1.12be4c612f6d2p-15, -0x1.098a4b9ec0d0dp-15, -0x1.009279353b002p-15, -0x1.efaaa10f7b6b7p-16, -0x1.dea29f33c68bbp-16, -0x1.ce0a19a811fb6p-16, -0x1.bdde40b402edap-16, -0x1.ae1c5e9ee0bf5p-16, -0x1.9ec1d1c22e66fp-16, -0x1.8fcc0c176483ap-16, -0x1.8138929b0d2e3p-16, -0x1.7304fcc71ab44p-16, -0x1.652ef81d3b48cp-16, -0x1.57b44e99b2151p-16, -0x1.4a9281de83c4ep-16, -0x1.3dc7bf0851bc3p-16, -0x1.3151d4e79b6p-16, -0x1.252ebd19b3dafp-16, -0x1.195c802f83d83p-16, -0x1.0dd934e4836b9p-16, -0x1.02a2ffa53bd99p-16, -0x1.ef70243756bfep-17, -0x1.da2d55826ed2fp-17, -0x1.c57a28e4d2153p-17, -0x1.b1534c0e85d47p-17, -0x1.9db583d494846p-17, -0x1.8a9daa55002dap-17, -0x1.7808cd6b5e5f1p-17, -0x1.65f679fc49c84p-17, -0x1.545b9780e2cabp-17, -0x1.433db511f57c3p-17, -0x1.329744c29839ep-17, -0x1.226597bac7866p-17, -0x1.12a612d9c1097p-17, -0x1.03562c44e2febp-17, -0x1.e8e6d57fcd6d4p-18, -0x1.cbf6ca43a7fc7p-18, -0x1.afd7839cda2cfp-18, -0x1.94846c74833dp-18, -0x1.79f90da252cebp-18, -0x1.6031574222ae8p-18, -0x1.47282e9ef46cap-18, -0x1.2eda2988b904ep-18, -0x1.17431b659b5e7p-18, -0x1.005f00f48e4bap-18, -0x1.d453f7d7f7acp-19, -0x1.a9402cbb54826p-19, -0x1.7f7c3e1715a52p-19, -0x1.57007819f5c92p-19, -0x1.2fc51da38302ep-19, -0x1.09c4c21cfd70ep-19, -0x1.c9f09f5ae287dp-20, -0x1.82ae4608c0decp-20, -0x1.3db9bed064d6dp-20, -0x1.f60c9fd8ae423p-21, -0x1.750ce9bd63504p-21, -0x1.f0bb20e4759cdp-22, -0x1.ff99614247c48p-23, -0x1.7221e47e9599p-26, 0x1.92e72ad02be99p-23, 0x1.a220082d43299p-22, 0x1.398752faba6b8p-21, 0x1.9e34f7b750184p-21, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.be770f830e4a3p-5, -0x1.bc09e9ecd80bdp-5, -0x1.b4530f98ef201p-5, -0x1.a797145940ac4p-5, -0x1.96228231da7cap-5, -0x1.8047c2904d6e7p-5, -0x1.665c4fb897b9fp-5, -0x1.48b6537fb6028p-5, -0x1.27ac6c66bd202p-5, -0x1.0394ebd810dabp-5, -0x1.b9871ee604d9ap-6, -0x1.67105da1839d3p-6, -0x1.105e7108c8878p-6, -0x1.6c0910ef595d8p-7, -0x1.623bbfd5cc9dcp-8, 0x1.dfdaadeff9a26p-12, 0x1.a6b7dc7f351b5p-8, 0x1.9b1a549e5701cp-7, 0x1.32b4a9e30c581p-6, 0x1.98c291732f633p-6, 0x1.ff5bac2e98215p-6, 0x1.331465fb9dfeep-5, 0x1.667298c8e72f1p-5, 0x1.99a546703c797p-5, 0x1.cc8d4cb7c247cp-5, 0x1.ff0e7b8dd0009p-5, 0x1.1887b433282d2p-4, 0x1.313ca134949e5p-4, 0x1.499bd1ae016eap-4, 0x1.619c2f471389cp-4, 0x1.7935aa225ee73p-4, 0x1.906126e54ef72p-4, 0x1.a7186f3fdde18p-4, 0x1.bd56215d1d93p-4, 0x1.d3159d0cc9879p-4, 0x1.e852f0dc8a4ep-4, 0x1.fd0ac9f34ce33p-4, 0x1.089d33babd573p-3, 0x1.126fc82c2e5acp-3, 0x1.1bfc452e57e83p-3, 0x1.254208c9316e6p-3, 0x1.2e40a8076e3d9p-3, 0x1.36f7eaad56d7fp-3, 0x1.3f67c69a50aep-3, 0x1.47905aedf4a65p-3, 0x1.4f71eb5a217dp-3, 0x1.570cdc1e6cb84p-3, 0x1.5e61aeefe6434p-3, 0x1.657100b202baep-3, 0x1.6c3b879cbddf3p-3, 0x1.72c2115c3beaep-3, 0x1.790580dd19457p-3, 0x1.7f06cbb80053ap-3, 0x1.84c6f762fca06p-3, 0x1.8a47166424303p-3, 0x1.8f8845ba24a02p-3, 0x1.948baa9b62e6fp-3, 0x1.9952709a9030fp-3, 0x1.9dddc83430a43p-3, 0x1.a22ee5c0a63bap-3, 0x1.a64700bc7c776p-3, 0x1.aa27534c254aep-3, 0x1.add119d6136afp-3, 0x1.b145839014761p-3, 0x1.b485eb858bbc9p-3, 0x1.b793889bdebb5p-3, 0x1.ba6f96f20aeb3p-3, 0x1.bd1b506c1d7d7p-3, 0x1.bf97ec8f15c9p-3, 0x1.c1e6a077be02fp-3, 0x1.c4089ececb506p-3, 0x1.c5ff179f4c433p-3, 0x1.c7cb37fea92d9p-3, 0x1.c96e29840277bp-3, 0x1.cae9119b96552p-3, 0x1.cc3d10cd80a18p-3, 0x1.cd6b42138d96fp-3, 0x1.ce74ba573725ap-3, 0x1.cf5a8828bd66dp-3, 0x1.d01db3b50bafp-3, 0x1.d0bf3ef4c7ae8p-3, 0x1.d1402605bf08fp-3, 0x1.d1a15f9aad064p-3, 0x1.d1e3dd6c2ed9p-3, 0x1.d2088c9871388p-3, 0x1.d21055e49b425p-3, 0x1.d1fc1dd9a0a4p-3, 0x1.d1ccc4bcc40eap-3, 0x1.d1832669a30cep-3, 0x1.d1201a17428ep-3, 0x1.d0a4721354128p-3, 0x1.d010fb7ebbe82p-3, 0x1.cf667e14a66fp-3, 0x1.cea5bc0311c9ap-3, 0x1.cdcf71d873defp-3, 0x1.cce4568780296p-3, 0x1.cbe51b7f43ef7p-3, 0x1.cad26cd454613p-3, 0x1.c9acf1765363fp-3, 0x1.c8754b6d0381bp-3, 0x1.c72c181818e49p-3, 0x1.c5d1f06dc9446p-3, 0x1.c4676934ee023p-3, 0x1.c2ed1338aed86p-3, 0x1.c1637b749f27ap-3, 0x1.bfcb2b392d583p-3, 0x1.be24a848ddaf6p-3, 0x1.bc7074ef7665ep-3, 0x1.baaf101462716p-3, 0x1.b8e0f549bb91bp-3, 0x1.b7069cd960bf1p-3, 0x1.b5207bd1389cap-3, 0x1.b32f040f97fa8p-3, 0x1.b132a45069dc8p-3, 0x1.af2bc83b8615bp-3, 0x1.ad1ad8745462ep-3, 0x1.ab003aaabdc4dp-3, 0x1.a8dc51ad3d7cap-3, 0x1.a6af7d7bda3fcp-3, 0x1.a47a1b5bcbd32p-3, 0x1.a23c85eb76d9ap-3, 0x1.9ff715369741dp-3, 0x1.9daa1eca55968p-3, 0x1.9b55f5c9286a8p-3, 0x1.98faeafe63f61p-3, 0x1.96994cf16026dp-3, 0x1.943167f830bcbp-3, 0x1.91c38649ee913p-3, 0x1.8f4ff010893f7p-3, 0x1.8cd6eb7a2ad77p-3, 0x1.8a58bcca2d9fp-3, 0x1.87d5a6699cd4dp-3, 0x1.854de8f744dcfp-3, 0x1.82c1c3574d8f5p-3, 0x1.803172c25176p-3, 0x1.7d9d32d3f8242p-3, 0x1.7b053d99004b6p-3, 0x1.7869cb9cbdf5cp-3, 0x1.75cb13f601748p-3, 0x1.73294c537191ep-3, 0x1.7084a90751fd2p-3, 0x1.6ddd5d12ba561p-3, 0x1.6b339a3044e15p-3, 0x1.688790de3e935p-3, 0x1.65d97068613c7p-3, 0x1.632966f11290dp-3, 0x1.6077a17a442fbp-3, 0x1.5dc4415b54476p-3, 0x1.5b0f81c163254p-3, 0x1.5859860b91775p-3, 0x1.55a276f6423fcp-3, 0x1.52ea7c42fa782p-3, 0x1.5031bcbf7f9dep-3, 0x1.4d785e4cb5287p-3, 0x1.4abe85e53724bp-3, 0x1.480457a3c2adep-3, 0x1.4549f6c95aab6p-3, 0x1.428f85c336056p-3, 0x1.3fd5263078318p-3, 0x1.3d1af8e7ab4b9p-3, 0x1.3a611dfc0e33cp-3, 0x1.37a7b4c28ffd7p-3, 0x1.34eedbd6bc69fp-3, 0x1.3236b11f52303p-3, 0x1.2f7f51d2bb5b8p-3, 0x1.2cc8da7b3ae69p-3, 0x1.2a1366fad4d93p-3, 0x1.275f129022221p-3, 0x1.24abf7d7fb331p-3, 0x1.21fa30d2e5c9ap-3, 0x1.1f49d6d48e031p-3, 0x1.1c9b02e81d978p-3, 0x1.19edcd0c2ab4cp-3, 0x1.17424d04fd715p-3, 0x1.149899efd1eccp-3, 0x1.11f0ca6033b12p-3, 0x1.0f4af4614a313p-3, 0x1.0ca72d7852fbp-3, 0x1.0a058aa6ee2d9p-3, 0x1.0766206d6aeep-3, 0x1.04c902ccf5f5p-3, 0x1.022e4549b3e0ep-3, 0x1.ff2bf5d995a2cp-4, 0x1.fa006c8cb315p-4, 0x1.f4da12de9f9cap-4, 0x1.efb90c1697fb3p-4, 0x1.ea9d7a94c1f14p-4, 0x1.e5877fd408fe6p-4, 0x1.e0773c73b0f7fp-4, 0x1.db6cd02d60ee3p-4, 0x1.d66859e7eea25p-4, 0x1.d169f873cc4cap-4, 0x1.cc71c6ba67fbcp-4, 0x1.c77fe37d4fadfp-4, 0x1.c294696889112p-4, 0x1.bdaf736b4efbap-4, 0x1.b8d11b7a57f33p-4, 0x1.b3f97ace3316p-4, 0x1.af28a9d9d36afp-4, 0x1.aa5ec04d5f673p-4, 0x1.a59bd51821078p-4, 0x1.a0dffe6abc482p-4, 0x1.9c2b51b929cccp-4, 0x1.977de3bcc2c53p-4, 0x1.92d7c875bd18bp-4, 0x1.8e39132ee29b3p-4, 0x1.89a1d67d47deap-4, 0x1.8512244348942p-4, 0x1.808a0e5702e7bp-4, 0x1.7c09a34a27cbp-4, 0x1.7790f4e095cf2p-4, 0x1.7320119da9934p-4, 0x1.6eb7080050502p-4, 0x1.6a55e5d58663dp-4, 0x1.65fcb7fcbdca8p-4, 0x1.61ab8bfff8a8ep-4, 0x1.5d626cbdf3f7dp-4, 0x1.592165cf8751bp-4, 0x1.54e881d5c9351p-4, 0x1.50b7cacfa426bp-4, 0x1.4c8f4a257c37cp-4, 0x1.486f0899e549ap-4, 0x1.44570e5aad63fp-4, 0x1.404762faa65fp-4, 0x1.3c400d6e00ccbp-4, 0x1.3841142e3a92dp-4, 0x1.344a7cf6d1a8fp-4, 0x1.305c4d0bd257ap-4, 0x1.2c7688a9a421bp-4, 0x1.2899353a0c5dcp-4, 0x1.24c454f94d72bp-4, 0x1.20f7eb5ad061dp-4, 0x1.1d33fad3bd053p-4, 0x1.19788557d6891p-4, 0x1.15c58c7046ed1p-4, 0x1.121b1060c9ee1p-4, 0x1.0e7912305a8e7p-4, 0x1.0adf917c10053p-4, 0x1.074e8da07889cp-4, 0x1.03c60579665b7p-4, 0x1.0045f75f9cf68p-4, 0x1.f99cc282a3254p-5, 0x1.f2be811a0bb0bp-5, 0x1.ebf124460bfc4p-5, 0x1.e534a596b85f4p-5, 0x1.de88fcb376ef9p-5, 0x1.d7ee21140e061p-5, 0x1.d1640931cd86ep-5, 0x1.caeaaa93b1a85p-5, 0x1.c481fa07a62b1p-5, 0x1.be29ec2cee119p-5, 0x1.b7e27388987a8p-5, 0x1.b1ab82ed80fb9p-5, 0x1.ab850c2cb8313p-5, 0x1.a56f003274de1p-5, 0x1.9f694fad2e7c7p-5, 0x1.9973ea3971b88p-5, 0x1.938ebfe28a1b6p-5, 0x1.8db9bc75ee1aap-5, 0x1.87f4d058ee4efp-5, 0x1.823fe89ff926ep-5, 0x1.7c9af1712aa9ap-5, 0x1.7705d7387d321p-5, 0x1.718085c70b3e9p-5, 0x1.6c0ae85b9e053p-5, 0x1.66a4e9c2fe004p-5, 0x1.614e7460a12d3p-5, 0x1.5c07721555ddbp-5, 0x1.56cfcc9723406p-5, 0x1.51a76cee0c87p-5, 0x1.4c8e3bf8ad3e3p-5, 0x1.478422349272dp-5, 0x1.428907cbc72b5p-5, 0x1.3d9cd4a466178p-5, 0x1.38bf705dd6b5dp-5, 0x1.33f0c247e3444p-5, 0x1.2f30b1b0f02ddp-5, 0x1.2a7f24f52f42ap-5, 0x1.25dc034a8e1c1p-5, 0x1.2147330837251p-5, 0x1.1cc09a869dc19p-5, 0x1.18481fed594a7p-5, 0x1.13dda94942918p-5, 0x1.0f811c84d3262p-5, 0x1.0b325f6e235f3p-5, 0x1.06f157b62a3fap-5, 0x1.02bdeb08439ecp-5, 0x1.fd2ffdcd91533p-6, 0x1.f4fef1a26178bp-6, 0x1.ece87c7141f9fp-6, 0x1.e4ec69070d13ep-6, 0x1.dd0a82218eeafp-6, 0x1.d5429273db42p-6, 0x1.cd9465a7f4eaap-6, 0x1.c5ffc3a6fc19dp-6, 0x1.be84799caeae7p-6, 0x1.b722518c1bcb2p-6, 0x1.afd91647b7ca7p-6, 0x1.a8a89287bd25p-6, 0x1.a1909115918edp-6, 0x1.9a90dd0c773ffp-6, 0x1.93a941693e659p-6, 0x1.8cd9892bb4159p-6, 0x1.86217f9bbd01ep-6, 0x1.7f80f44bc9241p-6, 0x1.78f7a5f461d4fp-6, 0x1.72856ce289181p-6, 0x1.6c2a105155de3p-6, 0x1.65e55c99e7618p-6, 0x1.5fb71d28af42ap-6, 0x1.599f1e37de238p-6, 0x1.539d2bf736279p-6, 0x1.4db112b5837c3p-6, 0x1.47da9ee0fe28bp-6, 0x1.41efd233a0f17p-6, 0x1.3c45bbdcd0a85p-6, 0x1.36b0af1fba7e3p-6, 0x1.31307869e526p-6, 0x1.2bc4e408ffceep-6, 0x1.266dbe29c3092p-6, 0x1.212ad3dc07ae5p-6, 0x1.1bfbf1203629cp-6, 0x1.16e0e1ccaa981p-6, 0x1.11d97499406d1p-6, 0x1.0ce573caffff5p-6, 0x1.0804ad1158d8p-6, 0x1.0336ebbb7ec3fp-6, 0x1.fcf7fd22aba5cp-7, 0x1.f3a75ee9bea05p-7, 0x1.ea7b98a859fb8p-7, 0x1.e174411dfc4e5p-7, 0x1.d890f1021ba68p-7, 0x1.cfd1406c9a32bp-7, 0x1.c734c732b8bf9p-7, 0x1.bebb1cf183195p-7, 0x1.b663d8ffee6dp-7, 0x1.ae2e928088ceap-7, 0x1.a61ae0cc62719p-7, 0x1.9e285ab216cc9p-7, 0x1.96569689647c2p-7, 0x1.8ea52b23f5773p-7, 0x1.8713af1d94d6cp-7, 0x1.7fa1b91066153p-7, 0x1.784ee2b5e934ap-7, 0x1.711ab9d1feb2dp-7, 0x1.6a04de94bbf77p-7, 0x1.630ce549e820dp-7, 0x1.5c3265b3b49d3p-7, 0x1.5575016bbd355p-7, 0x1.4ed4358701e42p-7, 0x1.484fb7357c567p-7, 0x1.41e71763e32e1p-7, 0x1.3b99f1910f581p-7, 0x1.3567e15f8e83fp-7, 0x1.2f5084133ea89p-7, 0x1.295377ebde2a9p-7, 0x1.23705b87fff1ep-7, 0x1.1da6d0444d0eep-7, 0x1.17f677a435a1p-7, 0x1.125ef45ea3f9ep-7, 0x1.0cdfec3fe9e94p-7, 0x1.077903ffb0171p-7, 0x1.0229e3321b1fdp-7, 0x1.f9e4654318a52p-8, 0x1.efa338ea00ee4p-8, 0x1.e58f9878c3be4p-8, 0x1.dba8ddd9ac712p-8, 0x1.d1ee65b51dab6p-8, 0x1.c85f8f596ef9fp-8, 0x1.befbc6c1aeecap-8, 0x1.b5c251ca69462p-8, 0x1.acb2b712fc004p-8, 0x1.a3cc54d6bdd2cp-8, 0x1.9b0e963d3334bp-8, 0x1.9278e5c90c234p-8, 0x1.8a0abd70e4e47p-8, 0x1.81c3846560167p-8, 0x1.79a2a5770c552p-8, 0x1.71a7bad1b9769p-8, 0x1.69d2162f97818p-8, 0x1.62213c2e4a51dp-8, 0x1.5a94a6aa51fe2p-8, 0x1.532bd0c640d4dp-8, 0x1.4be637539560ep-8, 0x1.44c3578bcb3c4p-8, 0x1.3dc2b0344a9c1p-8, 0x1.36e3b2ae172d1p-8, 0x1.30260f906e84fp-8, 0x1.2989188c69b66p-8, 0x1.230c614242759p-8, 0x1.1caf6e07124ecp-8, 0x1.1671c4274899fp-8, 0x1.1052e9e93930cp-8, 0x1.0a52667f9379cp-8, 0x1.046fc4e0b5426p-8, 0x1.fd550c9b25c56p-9, 0x1.f204799c8f3ap-9, 0x1.e6ece1bf22d16p-9, 0x1.dc0d5d47ce95bp-9, 0x1.d16504b3a0bd3p-9, 0x1.c6f2f79bdf1fap-9, 0x1.bcb6554b318eep-9, 0x1.b2ae39944a5cp-9, 0x1.a8d9c90ffa7f5p-9, 0x1.9f382870642f2p-9, 0x1.95c87e8bdc8d5p-9, 0x1.8c89f46b72801p-9, 0x1.837bb553618cbp-9, 0x1.7a9ceec9fd71bp-9, 0x1.71ecd09e5b543p-9, 0x1.696a8cebac3f1p-9, 0x1.6115579332863p-9, 0x1.58ec638df9897p-9, 0x1.50eef7bdcf28ap-9, 0x1.491c430a9a2b3p-9, 0x1.417386a9e348cp-9, 0x1.39f3e79c6c6e3p-9, 0x1.329cfa2e118e3p-9, 0x1.2b6db28604d1cp-9, 0x1.246573b317ad1p-9, 0x1.1d8387addf9dfp-9, 0x1.16c73a0944a7dp-9, 0x1.102fdb1ce795p-9, 0x1.09bcbeb067af8p-9, 0x1.036d3452e48afp-9, 0x1.fa8128433f5bp-10, 0x1.ee6c6dd207a8dp-10, 0x1.e29aefb4348dep-10, 0x1.d70b685c1c932p-10, 0x1.cbbc97106f5b6p-10, 0x1.c0ad47634e4d3p-10, 0x1.b5dc3a2adbc6ep-10, 0x1.ab484c170f062p-10, 0x1.a0f02d237935fp-10, 0x1.96d2dbe06d52cp-10, 0x1.8cef2217e4adp-10, 0x1.8343e4b5da37p-10, 0x1.79d006e564c9bp-10, 0x1.709273205ae67p-10, 0x1.678a173bc49c9p-10, 0x1.5eb5f06df9bd7p-10, 0x1.5614d6af3a08ap-10, 0x1.4da5e4c6d0885p-10, 0x1.45680e7d686e2p-10, 0x1.3d5a581657dfap-10, 0x1.357bc978beabp-10, 0x1.2dcb6ea63db12p-10, 0x1.264857b4acdc9p-10, 0x1.1ef198b884168p-10, 0x1.17c647cd5f616p-10, 0x1.10c579f37523p-10, 0x1.09ee70c869405p-10, 0x1.03402a86d8626p-10, 0x1.f973b75e11ccep-11, 0x1.ecb55f9151908p-11, 0x1.e043abd43844dp-11, 0x1.d41d01a15fc3ap-11, 0x1.c83fcdaa8cb5cp-11, 0x1.bcaa83c4029e6p-11, 0x1.b15b9ecacaeb3p-11, 0x1.a651a08d29c96p-11, 0x1.9b8b11b0eb49cp-11, 0x1.9106819400481p-11, 0x1.86c285a8e2b76p-11, 0x1.7cbdb4433e71ep-11, 0x1.72f5deced4125p-11, 0x1.696c500117691p-11, 0x1.601d083bc347ep-11, 0x1.5707a39481f7fp-11, 0x1.4e2adf0c3890ep-11, 0x1.45857ce1bd38ep-11, 0x1.3d164538f1ef6p-11, 0x1.34dc0610d6f1dp-11, 0x1.2cd5932d90294p-11, 0x1.2501c602d6741p-11, 0x1.1d5f7d9d10a39p-11, 0x1.15ed9e766966bp-11, 0x1.0eab0a895741bp-11, 0x1.0796c84a8b104p-11, 0x1.00afb856fb399p-11, 0x1.f3e9affc586b7p-12, 0x1.e6ca4f8528f65p-12, 0x1.d9ff580626e3ep-12, 0x1.cd86f0723d572p-12, 0x1.c15efd7d96aebp-12, 0x1.b585c1f39825bp-12, 0x1.a9f9830c552abp-12, 0x1.9eb8572b472c5p-12, 0x1.93c05a8f58b54p-12, 0x1.89107268b4383p-12, 0x1.7ea66c8093902p-12, 0x1.7480b08e8b478p-12, 0x1.6a9db5396bd9ep-12, 0x1.60fbdfd2ad436p-12, 0x1.5799c2ce77505p-12, 0x1.4e759fc171e6ep-12, 0x1.458e308b7bf18p-12, 0x1.3ce1eecbf1fd9p-12, 0x1.346f707cab63dp-12, 0x1.2c3551e58f59ap-12, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.9a76dc4f2bedfp-4, -0x1.a028c064729cap-4, -0x1.a8204e35f42efp-4, -0x1.b23af3f13d792p-4, -0x1.be51a480172b4p-4, -0x1.cc3a915b3c5b5p-4, -0x1.dbca3744679bp-4, -0x1.ecd42ad2de239p-4, -0x1.ff2c56b4f93dcp-4, -0x1.0953e70dee73cp-3, -0x1.138e6e0ae261dp-3, -0x1.1e3195d581e52p-3, -0x1.292a33e253f72p-3, -0x1.34665ca2e69cfp-3, -0x1.3fd55c255bf5p-3, -0x1.4b6790c37adbdp-3, -0x1.570e58c342dc5p-3, -0x1.62bc1f37abb7dp-3, -0x1.6e647f215cdb3p-3, -0x1.79fc5766228e7p-3, -0x1.8579b06042a5bp-3, -0x1.90d3a8f5bb567p-3, -0x1.9c01c894fc47ap-3, -0x1.a6fcc946d48a9p-3, -0x1.b1be3194c3b56p-3, -0x1.bc404ec32749bp-3, -0x1.c67e2611be541p-3, -0x1.d0736705af183p-3, -0x1.da1c5ed97846fp-3, -0x1.e375ec45792c4p-3, -0x1.ec7d736a4cbc3p-3, -0x1.f530d253284d2p-3, -0x1.fd8e562a0857ap-3, -0x1.02ca58735e052p-2, -0x1.06a177eecae0ap-2, -0x1.0a4c39fa904bep-2, -0x1.0dca75b11fca2p-2, -0x1.111c25cce074ep-2, -0x1.1441652570051p-2, -0x1.173a6ace9f565p-2, -0x1.1a0786870e8abp-2, -0x1.1ca91e06f517bp-2, -0x1.1f1fab26e8433p-2, -0x1.216bba5b66784p-2, -0x1.238de9035e684p-2, -0x1.2586e3677ad21p-2, -0x1.275762a2f1af1p-2, -0x1.29002ac0bc7eep-2, -0x1.2a820929f962fp-2, -0x1.2bddd34ae2943p-2, -0x1.2d14654126bep-2, -0x1.2e26a07cc5c26p-2, -0x1.2f156a6180d42p-2, -0x1.2fe1ab0ce3b93p-2, -0x1.308c4c6067785p-2, -0x1.311639575e90cp-2, -0x1.31805d95f3824p-2, -0x1.31cba50f82793p-2, -0x1.31f8fba41df23p-2, -0x1.32094ca3ab914p-2, -0x1.31fd82376933ep-2, -0x1.31d684c078fbp-2, -0x1.31953a3e4d653p-2, -0x1.313a8ec9019a4p-2, -0x1.30c7540579a8bp-2, -0x1.303c697fae015p-2, -0x1.2f9aa70e78cd4p-2, -0x1.2ee2e0c041edcp-2, -0x1.2e15e6d9223dp-2, -0x1.2d3485d95a198p-2, -0x1.2c3f8681c32c8p-2, -0x1.2b37adccd9e28p-2, -0x1.2a1dbcd67af04p-2, -0x1.28f270b1af85ap-2, -0x1.27b68231774cdp-2, -0x1.266aa5adf7b45p-2, -0x1.250f8ad15059ep-2, -0x1.23a5dc7652444p-2, -0x1.222e409fbce1cp-2, -0x1.20a95889b3c4ep-2, -0x1.1f17c0d2079ecp-2, -0x1.1d7a11b0120ep-2, -0x1.1bd0df32f894bp-2, -0x1.1a1cb97d398b5p-2, -0x1.185e2cf64316ap-2, -0x1.1695c26da8f3bp-2, -0x1.14c3ff2ebb8f7p-2, -0x1.12e96505f40ccp-2, -0x1.1106723bb51a8p-2, -0x1.0f1ba188c28b1p-2, -0x1.0d296a08faf59p-2, -0x1.0b303f3041a66p-2, -0x1.093090c471a16p-2, -0x1.072acade2d386p-2, -0x1.051f55f125764p-2, -0x1.030e96dbacf36p-2, -0x1.00f8eefcb6366p-2, -0x1.fdbd789e0111dp-3, -0x1.f980b30ff0458p-3, -0x1.f53c3c71a88e5p-3, -0x1.f0f0bde1058b6p-3, -0x1.ec9edaba3b397p-3, -0x1.e84730d7ac36p-3, -0x1.e3ea58cd19046p-3, -0x1.df88e61cfd44p-3, -0x1.db23676797c8p-3, -0x1.d6ba66939e718p-3, -0x1.d24e68f102121p-3, -0x1.cddfef56a548fp-3, -0x1.c96f763c0e3a6p-3, -0x1.c4fd75d0429a5p-3, -0x1.c08a620eff42bp-3, -0x1.bc16aad55418fp-3, -0x1.b7a2bbf68029cp-3, -0x1.b32efd51aa8cep-3, -0x1.aebbd2e8cba14p-3, -0x1.aa499cf8eab1ap-3, -0x1.a5d8b813886d3p-3, -0x1.a1697d38fc252p-3, -0x1.9cfc41f369374p-3, -0x1.98915871e85d6p-3, -0x1.94290fa387a5dp-3, -0x1.8fc3b351ce654p-3, -0x1.8b618c3a8f7a2p-3, -0x1.8702e028dd06p-3, -0x1.82a7f20d16924p-3, -0x1.7e5102140d3b9p-3, -0x1.79fe4dbd52ff5p-3, -0x1.75b00ff0c7a48p-3, -0x1.716681138046cp-3, -0x1.6d21d71c22249p-3, -0x1.68e245a6b191dp-3, -0x1.64a7fe07f215cp-3, -0x1.60732f604e074p-3, -0x1.5c4406ae3cdb7p-3, -0x1.581aaee02908ap-3, -0x1.53f750e5c92b8p-3, -0x1.4fda13c0d3cf9p-3, -0x1.4bc31c951cccap-3, -0x1.47b28eb7fc916p-3, -0x1.43a88bbf15937p-3, -0x1.3fa5338e6ffcfp-3, -0x1.3ba8a465effb4p-3, -0x1.37b2faee3aebbp-3, -0x1.33c452450e08cp-3, -0x1.2fdcc4091bb4bp-3, -0x1.2bfc68657ad05p-3, -0x1.282358a8968cbp-3, -0x1.2451a290b2dbep-3, -0x1.20875ecdb8cbfp-3, -0x1.1cc4a01a9b758p-3, -0x1.190977f410873p-3, -0x1.1555f6a27d76bp-3, -0x1.11aa2b439121cp-3, -0x1.0e0623d39fdc4p-3, -0x1.0a69ed36bbc3cp-3, -0x1.06d5934189581p-3, -0x1.034920c1d6811p-3, -0x1.ff893f0ded4b7p-4, -0x1.f89030d3b994cp-4, -0x1.f1a726a9f3bep-4, -0x1.eace2e97cacacp-4, -0x1.e40554e58d846p-4, -0x1.dd4ca42b0ac36p-4, -0x1.d6a4255d8d71fp-4, -0x1.d00bdfdd52daap-4, -0x1.c983d982ac86fp-4, -0x1.c30c16aae1057p-4, -0x1.bca49a44111edp-4, -0x1.b64d65d992e97p-4, -0x1.b006799b6f557p-4, -0x1.a9cfd47da4dc4p-4, -0x1.a3a9741a0fe27p-4, -0x1.9d9354e5a21bp-4, -0x1.978d7223d7138p-4, -0x1.9197c5f61ed58p-4, -0x1.8bb249655b61cp-4, -0x1.85dcf46b555f6p-4, -0x1.8017bdfbeac6ep-4, -0x1.7a629c0e03255p-4, -0x1.74bd83a4434eep-4, -0x1.6f2868d588125p-4, -0x1.69a33ed522ff3p-4, -0x1.642df7fae3cep-4, -0x1.5ec885cae7602p-4, -0x1.5972d8fd33e8ap-4, -0x1.542ce18526d01p-4, -0x1.4ef68e987f339p-4, -0x1.49cfceb7195dep-4, -0x1.44b88fb05478p-4, -0x1.3fb0beab7c2bbp-4, -0x1.3ab8483f381a7p-4, -0x1.35cf181d774bdp-4, -0x1.30f519d05eba4p-4, -0x1.2c2a38056d545p-4, -0x1.276e5cf827fc2p-4, -0x1.22c1725be7411p-4, -0x1.1e2361661bd25p-4, -0x1.199412d2ca35cp-4, -0x1.15136ee9d47fep-4, -0x1.10a15d8415f4ap-4, -0x1.0c3dc6105ea3p-4, -0x1.07e88f984c597p-4, -0x1.03a1a0c5033a9p-4, -0x1.fed1bfc773a1fp-5, -0x1.f67c65d4cf94p-5, -0x1.ee42fef7c3f28p-5, -0x1.e62555d874e18p-5, -0x1.de2334a7871d8p-5, -0x1.d63c6490f7859p-5, -0x1.ce70aeee8ca52p-5, -0x1.c6bfdc24f1ec9p-5, -0x1.bf29b44064d25p-5, -0x1.b7adfedd11768p-5, -0x1.b04c832d9b4d1p-5, -0x1.a905080fdc32ep-5, -0x1.a1d753f320c3ep-5, -0x1.9ac32d008aee8p-5, -0x1.93c859105a467p-5, -0x1.8ce69db30b8e5p-5, -0x1.861dc03960309p-5, -0x1.7f6d85b6dd31dp-5, -0x1.78d5b30ab64e5p-5, -0x1.72560ce3ddacap-5, -0x1.6bee57c5f5186p-5, -0x1.659e58131aa7bp-5, -0x1.5f65d2083c40bp-5, -0x1.594489cb1125ap-5, -0x1.533a436e92dbp-5, -0x1.4d46c2e579d3cp-5, -0x1.4769cc2cd4064p-5, -0x1.41a3232ce2411p-5, -0x1.3bf28bcab8eadp-5, -0x1.3657c9f39a3c4p-5, -0x1.30d2a195e8975p-5, -0x1.2b62d6a304ae9p-5, -0x1.26082d2de1573p-5, -0x1.20c2694cd9f8fp-5, -0x1.1b914f31244dfp-5, -0x1.1674a328211a1p-5, -0x1.116c299a97d65p-5, -0x1.0c77a71549242p-5, -0x1.0796e04d399c1p-5, -0x1.02c99a1c3df91p-5, -0x1.fc1f331f6ae78p-6, -0x1.f2d147c09a526p-6, -0x1.e9a8fcfc4e369p-6, -0x1.e0a5de243138p-6, -0x1.d7c776f33318ep-6, -0x1.cf0d53d8bce8dp-6, -0x1.c677014ad2ad7p-6, -0x1.be040cd9e79acp-6, -0x1.b5b404552b26dp-6, -0x1.ad8676344e3a6p-6, -0x1.a57af17f9d54fp-6, -0x1.9d9106009eab5p-6, -0x1.95c84405f04a2p-6, -0x1.8e203cf1ec894p-6, -0x1.86988183a1cafp-6, -0x1.7f30a51ba9169p-6, -0x1.77e83acb3bc5ap-6, -0x1.70bed6506de04p-6, -0x1.69b40c76502c4p-6, -0x1.62c772c0e16a7p-6, -0x1.5bf89f839ccc2p-6, -0x1.554729e4ee7bfp-6, -0x1.4eb2a9e4915b5p-6, -0x1.483ab851de834p-6, -0x1.41deef0099b1ap-6, -0x1.3b9ee8716d49p-6, -0x1.357a402d3ad03p-6, -0x1.2f70929d51c5dp-6, -0x1.29817d154b0cap-6, -0x1.23ac9dd97c79fp-6, -0x1.1df1941e775a8p-6, -0x1.18500006da6ccp-6, -0x1.12c782b2fa14bp-6, -0x1.0d57be27ce06dp-6, -0x1.0800557b6fdeap-6, -0x1.02c0ecad0f192p-6, -0x1.fb325178415dfp-7, -0x1.f1115f426a8b5p-7, -0x1.e71e50a82284ep-7, -0x1.dd5875929f3d4p-7, -0x1.d3bf1fe71017ap-7, -0x1.ca51a37c8d002p-7, -0x1.c10f5651482ecp-7, -0x1.b7f7902410762p-7, -0x1.af09aad47407dp-7, -0x1.a6450237ed00ap-7, -0x1.9da8f41dd54fep-7, -0x1.9534e04f4bf9cp-7, -0x1.8ce8288d91b1cp-7, -0x1.84c230e733e7ap-7, -0x1.7cc25e0f8a1b1p-7, -0x1.74e8189044ccap-7, -0x1.6d32c9b0bd839p-7, -0x1.65a1dcf0bab5fp-7, -0x1.5e34bfb254128p-7, -0x1.56eae13d94c6cp-7, -0x1.4fc3b2cfbe5e6p-7, -0x1.48bea777d8d32p-7, -0x1.41db341c30185p-7, -0x1.3b18cf885b4dbp-7, -0x1.3476f36381cb4p-7, -0x1.2df516f95bf46p-7, -0x1.2792b9a16090dp-7, -0x1.214f5845e12bdp-7, -0x1.1b2a72d39d40cp-7, -0x1.15238a9ba01e9p-7, -0x1.0f3a22e5a47b5p-7, -0x1.096dc09c0e6b5p-7, -0x1.03bdea5618fe2p-7, -0x1.fc5450a4d4dd2p-8, -0x1.f12da48319aebp-8, -0x1.e67621b4b2cc3p-8, -0x1.dbf405c02b605p-8, -0x1.d1a66d3b6b159p-8, -0x1.c78c77b0d407cp-8, -0x1.bda54786cc3afp-8, -0x1.b3f002c4b9414p-8, -0x1.aa6bd16452c3cp-8, -0x1.a117de85bc952p-8, -0x1.97f358f097121p-8, -0x1.8efd70af7523dp-8, -0x1.863559a7163cdp-8, -0x1.7d9a496a77d06p-8, -0x1.752b79a220685p-8, -0x1.6ce82459917f4p-8, -0x1.64cf88063c839p-8, -0x1.5ce0e435447e8p-8, -0x1.551b7b7384ff8p-8, -0x1.4d7e928382543p-8, -0x1.4609706ff4537p-8, -0x1.3ebb5e86c1febp-8, -0x1.3793a845bdc8dp-8, -0x1.30919b7dc2c55p-8, -0x1.29b48834166cbp-8, -0x1.22fbc07a7c895p-8, -0x1.1c669891c9eap-8, -0x1.15f46703a8303p-8, -0x1.0fa4847d3b42bp-8, -0x1.09764bda85ab1p-8, -0x1.03691ad60b651p-8, -0x1.faf89d74a1a41p-9, -0x1.ef5e961973e1fp-9, -0x1.e402e5d1ae232p-9, -0x1.d8e458bee5d88p-9, -0x1.ce01c3b934f8bp-9, -0x1.c359f0283813bp-9, -0x1.b8ebc443c8d3dp-9, -0x1.aeb61afcf1a3fp-9, -0x1.a4b7d85105115p-9, -0x1.9aefe4cfe85d6p-9, -0x1.915d2e2aa1494p-9, -0x1.87fea6edeae13p-9, -0x1.7ed346e23cf2fp-9, -0x1.75da0a5c0e381p-9, -0x1.6d11f2f8d0412p-9, -0x1.647a070633c57p-9, -0x1.5c1152a1bd8bp-9, -0x1.53d6e595bd47dp-9, -0x1.4bc9d54616c6dp-9, -0x1.43e93bcbd57afp-9, -0x1.3c3437f76ea4fp-9, -0x1.34a9ed43ffa7ap-9, -0x1.2d4983c1616b3p-9, -0x1.261227fbd6b36p-9, -0x1.1f030ae029eb2p-9, -0x1.181b63cf9c7bbp-9, -0x1.115a656eae086p-9, -0x1.0abf544aef513p-9, -0x1.04496f373838fp-9, -0x1.fbeff677199b5p-10, -0x1.ef94815590051p-10, -0x1.e37f1bf61bda2p-10, -0x1.d7ae621e9245bp-10, -0x1.cc20f70252887p-10, -0x1.c0d5960589071p-10, -0x1.b5cae41570cb9p-10, -0x1.aaff9f5a0acfdp-10, -0x1.a072872218bd5p-10, -0x1.962260689863cp-10, -0x1.8c0df5d6145ep-10, -0x1.8234172877eeep-10, -0x1.789399630f13ap-10, -0x1.6f2b51f61bf53p-10, -0x1.65fa3073f5208p-10, -0x1.5cff080d7aa32p-10, -0x1.5438c75e3a8b3p-10, -0x1.4ba65bf3dcad3p-10, -0x1.4346b7eabe778p-10, -0x1.3b18d1db1836fp-10, -0x1.331ba4b6dc1adp-10, -0x1.2b4e330ce699bp-10, -0x1.23af773fb307fp-10, -0x1.1c3e8251269cep-10, -0x1.14fa5d2fcaac7p-10, -0x1.0de2180020e15p-10, -0x1.06f4c690a5d2ep-10, -0x1.003181d1b8ec8p-10, -0x1.f32ecc4cfc2e8p-11, -0x1.e64b255fa1db9p-11, -0x1.d9b657c94e028p-11, -0x1.cd6eb34a1b047p-11, -0x1.c1728f3fd5b92p-11, -0x1.b5c04a9532f88p-11, -0x1.aa564bae58992p-11, -0x1.9f33005516442p-11, -0x1.9454dda4e8044p-11, -0x1.89ba5ff5d00bdp-11, -0x1.7f620a93a60ebp-11, -0x1.754a66a6ba18cp-11, -0x1.6b720aa3bd45ep-11, -0x1.61d78b05b48d5p-11, -0x1.587987db56ca9p-11, -0x1.4f56a76c74387p-11, -0x1.466d95b292f6dp-11, -0x1.3dbd072e7e59ep-11, -0x1.3543b5516d6e5p-11, -0x1.2d00605df9225p-11, -0x1.24f1ce924b4c4p-11, -0x1.1d16cd2834e3fp-11, -0x1.156e2fc919df9p-11, -0x1.0df6ce0a38696p-11, -0x1.06af876b9821bp-11, -0x1.ff2e81762d6ffp-12, -0x1.f159c914fbc1ep-12, -0x1.e3dec5fcdfbe8p-12, -0x1.d6bb63aaa267ep-12, -0x1.c9ed9ab072099p-12, -0x1.bd736a12de06ep-12, -0x1.b14ae4063d963p-12, -0x1.a5720f7553ed7p-12, -0x1.99e71e387597ap-12, -0x1.8ea833ad0720dp-12, -0x1.83b3866e58e69p-12, -0x1.7907540ed4dfbp-12, -0x1.6ea1e51a209fbp-12, -0x1.64818ae79cea4p-12, -0x1.5aa4a7a5c0399p-12, -0x1.510989ba1fbadp-12, -0x1.47aeb3b562ce3p-12, -0x1.3e9292ee398e6p-12, -0x1.35b3a5c1d3002p-12, -0x1.2d10729347b8p-12, -0x1.24a787fc8caaep-12, -0x1.1c777caa218p-12, -0x1.147eef3016455p-12, -0x1.0cbc852e13c71p-12, -0x1.052eea0ee5171p-12, -0x1.fba9bf1c0e432p-13, -0x1.ed5a296c66e0ep-13, -0x1.df6ca4621a35ep-13, -0x1.d1dec614ecabep-13, -0x1.c4ae324c5e7dep-13, -0x1.b7d89a53625b4p-13, -0x1.ab5bbcb3abc03p-13, -0x1.9f3564f3552e8p-13, -0x1.93636b515428dp-13, -0x1.87e3b4839bb7ep-13, -0x1.7cb4317508e5cp-13, -0x1.71d2deffe9202p-13, -0x1.673dc52a2258cp-13, -0x1.5cf2f84718f0bp-13, -0x1.52f05647a09e2p-13, -0x1.4934d27a386c9p-13, -0x1.3fbdd6f18ea5dp-13, -0x1.3689e6f148fd2p-13, -0x1.2d974cd5338bbp-13, -0x1.24e45cd0fad25p-13, -0x1.1c6f74fdbdcdp-13, -0x1.1436fd2a6ce79p-13, -0x1.0c3966a7672bap-13, -0x1.04752c13c092ep-13, -0x1.f9d1a2558797bp-14, -0x1.eb25c51d1465ap-14, -0x1.dce3e84b3f6eap-14, -0x1.cf0950490af43p-14, -0x1.c19342304497cp-14, -0x1.b47f1c5228756p-14, -0x1.a7ca4c3768215p-14, -0x1.9b724ec963acp-14, -0x1.8f74b71bf4c03p-14, -0x1.83cf0d7f3fb6fp-14, -0x1.787f0630045e3p-14, -0x1.6d825e1e5a8b2p-14, -0x1.62d6d6e14dae3p-14, -0x1.587a2e6879558p-14, -0x1.4e6a83de0f97p-14, -0x1.44a5931102efdp-14, -0x1.3b295ce10cb7fp-14, -0x1.31f3ed9c7040ap-14, -0x1.2903580a5f16ep-14, -0x1.2055cc8f73737p-14, -0x1.17e955cedaf26p-14, -0x1.0fbc48c43235cp-14, -0x1.07ccdd85d8d9p-14, -0x1.001962a2a7c4ep-14, -0x1.f1406166a5abcp-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.8b7451c64505dp-5, 0x1.aab7d15e3a7f9p-5, 0x1.ca322f2f529b5p-5, 0x1.e9cc1889b67e7p-5, 0x1.04b7e1a298874p-4, 0x1.148471d934dd8p-4, 0x1.24425043eba5bp-4, 0x1.33e8c2a97c974p-4, 0x1.436fb9f022062p-4, 0x1.52cfca7c5a5b1p-4, 0x1.620224617f611p-4, 0x1.71008b83c4d09p-4, 0x1.7fc54fc4e3731p-4, 0x1.8e4b454f4b13bp-4, 0x1.9c8dbd0f29319p-4, 0x1.aa887d64ba4ccp-4, 0x1.b837bb18424p-4, 0x1.c59812954ff72p-4, 0x1.d2a68170f849dp-4, 0x1.df60603cfa89bp-4, 0x1.ebc35ca84259ap-4, 0x1.f7cd73ec77a25p-4, 0x1.01be76c39ca4ap-3, 0x1.07682b1ea1e8bp-3, 0x1.0ce33db27f22p-3, 0x1.122f333b0b9f7p-3, 0x1.174bac6d8a9ddp-3, 0x1.1c38640112768p-3, 0x1.20f52cd4fb976p-3, 0x1.2581f033e5d45p-3, 0x1.29deac31cae26p-3, 0x1.2e0b7223b396ep-3, 0x1.3208652f9d99ep-3, 0x1.35d5b8f33456ep-3, 0x1.3973b0400eebep-3, 0x1.3ce29bec3207fp-3, 0x1.4022d9b59910cp-3, 0x1.4334d337afb88p-3, 0x1.4618fcf19b817p-3, 0x1.48cfd55c51b35p-3, 0x1.4b59e40f87ddap-3, 0x1.4db7b8f483554p-3, 0x1.4fe9eb8604687p-3, 0x1.51f11a1c5fc8dp-3, 0x1.53cde94517226p-3, 0x1.5581032531fe8p-3, 0x1.570b16e5a5448p-3, 0x1.586cd8292f69dp-3, 0x1.59a6fe8b0230ep-3, 0x1.5aba4525c2573p-3, 0x1.5ba76a2236f29p-3, 0x1.5c6f2e4d4d037p-3, 0x1.5d1254b4d9b38p-3, 0x1.5d91a24ac7b07p-3, 0x1.5deddd8e30f92p-3, 0x1.5e27ce3a1a589p-3, 0x1.5e403cf961ba6p-3, 0x1.5e37f31f9abc9p-3, 0x1.5e0fba66834a9p-3, 0x1.5dc85cafc3bbap-3, 0x1.5d62a3cabdc2dp-3, 0x1.5cdf593e25942p-3, 0x1.5c3f46151fc25p-3, 0x1.5b8332afc50b7p-3, 0x1.5aabe696b8847p-3, 0x1.59ba2851b782bp-3, 0x1.58aebd40e854p-3, 0x1.578a6978c577ep-3, 0x1.564defa075d96p-3, 0x1.54fa10d278884p-3, 0x1.538f8c7f700afp-3, 0x1.520f205300184p-3, 0x1.5079881a9704fp-3, 0x1.4ecf7dae01776p-3, 0x1.4d11b8d9bb30ep-3, 0x1.4b40ef4ad8dbap-3, 0x1.495dd47c7dab4p-3, 0x1.476919a6bee8ep-3, 0x1.45636daee918bp-3, 0x1.434d7d190efafp-3, 0x1.4127f1fad8b9cp-3, 0x1.3ef373ef747b5p-3, 0x1.3cb0a80cae80ep-3, 0x1.3a6030d90da2ap-3, 0x1.3802ae42f2667p-3, 0x1.3598bd98afe64p-3, 0x1.3322f981817e2p-3, 0x1.30a1f9f76d17dp-3, 0x1.2e165441eb5ffp-3, 0x1.2b809af15c0cfp-3, 0x1.28e15ddb41d1cp-3, 0x1.26392a172d5b7p-3, 0x1.238889fc59fcfp-3, 0x1.20d0051ff25c7p-3, 0x1.1e102053f4567p-3, 0x1.1b495da6aececp-3, 0x1.187c3c62cee27p-3, 0x1.15a9390ffb98bp-3, 0x1.12d0cd73f665bp-3, 0x1.0ff3709439769p-3, 0x1.0d1196b81041p-3, 0x1.0a2bb16b27b3ap-3, 0x1.07422f808c59cp-3, 0x1.04557d160be49p-3, 0x1.01660398082c3p-3, 0x1.fce8538b444e6p-4, 0x1.f700a76a87c2fp-4, 0x1.f115c5b3030efp-4, 0x1.eb286c0c9dc6bp-4, 0x1.e53952ed02c0ap-4, 0x1.df492da34cff1p-4, 0x1.d958aa64236e3p-4, 0x1.d36872567d854p-4, 0x1.cd7929a0d87e1p-4, 0x1.c78b6f76dee67p-4, 0x1.c19fde278edb4p-4, 0x1.bbb70b2bc80fp-4, 0x1.b5d187353a91dp-4, 0x1.afefde3db9e03p-4, 0x1.aa129796e0de8p-4, 0x1.a43a35fa0f8c5p-4, 0x1.9e673798af16ap-4, 0x1.989a162cb9d1cp-4, 0x1.92d3470990f5p-4, 0x1.8d133b2cfc086p-4, 0x1.875a5f506ad14p-4, 0x1.81a91bfa61a52p-4, 0x1.7bffd59013a6bp-4, 0x1.765eec67235cbp-4, 0x1.70c6bcd7845bap-4, 0x1.6b379f4d7a7d5p-4, 0x1.65b1e85bb2c82p-4, 0x1.6035e8cd6f287p-4, 0x1.5ac3edb8c3686p-4, 0x1.555c4090dd691p-4, 0x1.4fff27385709ap-4, 0x1.4aace41389cfdp-4, 0x1.4565b61ae561cp-4, 0x1.4029d8ed413fbp-4, 0x1.3af984e22a175p-4, 0x1.35d4ef1c229a3p-4, 0x1.30bc499ad9c59p-4, 0x1.2bafc34d4f0bcp-4, 0x1.26af8823e599cp-4, 0x1.21bbc1225efc5p-4, 0x1.1cd49471c0211p-4, 0x1.17fa2572189cdp-4, 0x1.132c94cc2dccp-4, 0x1.0e6c0083042c6p-4, 0x1.09b8840549394p-4, 0x1.0512383e94d1p-4, 0x1.007933a8876c2p-4, 0x1.f7db14b77bdbfp-5, 0x1.eede9c4136208p-5, 0x1.e5fd1cffcbc2ep-5, 0x1.dd36b1a6712d1p-5, 0x1.d48b70aa833f3p-5, 0x1.cbfb6c63a6f4p-5, 0x1.c386b32b8248bp-5, 0x1.bb2d4f7d12a02p-5, 0x1.b2ef481394ac1p-5, 0x1.aacca0090598cp-5, 0x1.a2c556f434562p-5, 0x1.9ad9690662fddp-5, 0x1.9308cf2877fc3p-5, 0x1.8b537f17bd3a3p-5, 0x1.83b96b822a1d5p-5, 0x1.7c3a8422396b6p-5, 0x1.74d6b5da47347p-5, 0x1.6d8deacf78839p-5, 0x1.66600a842b164p-5, 0x1.5f4cf9f1ecbep-5, 0x1.58549ba2f6357p-5, 0x1.5176cfcb30cabp-5, 0x1.4ab37460be6e9p-5, 0x1.440a653407526p-5, 0x1.3d7b7c074fe5ap-5, 0x1.370690a5d1376p-5, 0x1.30ab78fa584fbp-5, 0x1.2a6a09256abd1p-5, 0x1.24421392f3284p-5, 0x1.1e33690f6f3d4p-5, 0x1.183dd8dcabef8p-5, 0x1.126130c601ac1p-5, 0x1.0c9d3d341e321p-5, 0x1.06f1c9405345fp-5, 0x1.015e9ec771fd3p-5, 0x1.f7c70cf85cd3bp-6, 0x1.ed008ff21b82ep-6, 0x1.e26953a3c88edp-6, 0x1.d800e349b7e19p-6, 0x1.cdc6c85618673p-6, 0x1.c3ba8a9141154p-6, 0x1.b9dbb0391e2d3p-6, 0x1.b029be1fc3a5cp-6, 0x1.a6a437c92136dp-6, 0x1.9d4a9f87e6ceep-6, 0x1.941c76998e2fdp-6, 0x1.8b193d41916ffp-6, 0x1.824072e3d8eeep-6, 0x1.7991961e56e2bp-6, 0x1.710c24e1db0c6p-6, 0x1.68af9c8a23807p-6, 0x1.607b79f522121p-6, 0x1.586f39998a142p-6, 0x1.508a579c9b2f2p-6, 0x1.48cc4fe732706p-6, 0x1.41349e3a27e9p-6, 0x1.39c2be41f11e5p-6, 0x1.32762ba99b4bcp-6, 0x1.2b4e622d1234bp-6, 0x1.244addaabcaa6p-6, 0x1.1d6b1a3474692p-6, 0x1.16ae941fd8974p-6, 0x1.1014c815ff1f1p-6, 0x1.099d3322891c8p-6, 0x1.034752c21c7bep-6, 0x1.fa2549e089c8fp-7, 0x1.edfd50698b94ap-7, 0x1.e215b760a902p-7, 0x1.d66d7e5196653p-7, 0x1.cb03a62998927p-7, 0x1.bfd7314dc31b7p-7, 0x1.b4e723b02f5e8p-7, 0x1.aa3282e42c681p-7, 0x1.9fb8563172e85p-7, 0x1.9577a6a669e88p-7, 0x1.8b6f7f2973ccdp-7, 0x1.819eec895a28ep-7, 0x1.7804fd8cc8ea6p-7, 0x1.6ea0c300fc0a3p-7, 0x1.65714fc787d6p-7, 0x1.5c75b8e34f87ep-7, 0x1.53ad1584bf46p-7, 0x1.4b167f1524f5dp-7, 0x1.42b1114161db7p-7, 0x1.3a7bea03cacf8p-7, 0x1.327629ad61662p-7, 0x1.2a9ef2ee534ffp-7, 0x1.22f56addd024ap-7, 0x1.1b78b901388b2p-7, 0x1.14280752abd0fp-7, 0x1.0d028246f8715p-7, 0x1.060758d2f4552p-7, 0x1.fe6b78e0871a5p-8, 0x1.f119c2431fd5dp-8, 0x1.e417faec6e32cp-8, 0x1.d764951ae8d5ap-8, 0x1.cafe083214983p-8, 0x1.bee2d0beddc55p-8, 0x1.b311707b05749p-8, 0x1.a7886e4fa5d5bp-8, 0x1.9c465656d8f7cp-8, 0x1.9149b9dc89eb4p-8, 0x1.86912f5e78234p-8, 0x1.7c1b528b738d3p-8, 0x1.71e6c441dc122p-8, 0x1.67f22a8d68ba6p-8, 0x1.5e3c30a43fbd7p-8, 0x1.54c386e366cf3p-8, 0x1.4b86e2ca914c5p-8, 0x1.4284fef7546f1p-8, 0x1.39bc9b1fc805ep-8, 0x1.312c7c0c98bcep-8, 0x1.28d36b929664p-8, 0x1.20b0388bbe33p-8, 0x1.18c1b6cfcd6bcp-8, 0x1.1106bf2c5d7d7p-8, 0x1.097e2f5c92a8ap-8, 0x1.0226ea0060ce1p-8, 0x1.f5ffad26da51ap-9, 0x1.e80fc2c7213acp-9, 0x1.da7bf70e058cep-9, 0x1.cd4235a45b807p-9, 0x1.c060739a6be7ep-9, 0x1.b3d4af526c57ep-9, 0x1.a79cf06a68524p-9, 0x1.9bb747a5ae07ap-9, 0x1.9021ced5bb4e9p-9, 0x1.84daa8c2bbb44p-9, 0x1.79e001139d479p-9, 0x1.6f300c35c2e04p-9, 0x1.64c907445bc2ep-9, 0x1.5aa937ef6c759p-9, 0x1.50ceec6287a39p-9, 0x1.47387b2b46443p-9, 0x1.3de4431f80244p-9, 0x1.34d0ab435015p-9, 0x1.2bfc22aee450cp-9, 0x1.2365207425c66p-9, 0x1.1b0a238439adep-9, 0x1.12e9b294e816fp-9, 0x1.0b025c05e140cp-9, 0x1.0352b5c5f4df4p-9, 0x1.f7b2ba706fd86p-10, 0x1.e929ee323f8d8p-10, 0x1.db085ec72e428p-10, 0x1.cd4b726c215ddp-10, 0x1.bff09d6f42455p-10, 0x1.b2f561fa35bd3p-10, 0x1.a6574fdc6d2c2p-10, 0x1.9a14045599a5fp-10, 0x1.8e2929e03c3ccp-10, 0x1.829477fc68fc4p-10, 0x1.7753b2fab92e7p-10, 0x1.6c64abc7782dp-10, 0x1.61c53fb6099dap-10, 0x1.5773584c9c3e9p-10, 0x1.4d6ceb1024c19p-10, 0x1.43aff950a0b61p-10, 0x1.3a3a8ff5b806p-10, 0x1.310ac74bb404ep-10, 0x1.281ec2d0ce503p-10, 0x1.1f74b102e8658p-10, 0x1.170acb2da88dcp-10, 0x1.0edf5538f9dbap-10, 0x1.06f09d780263ap-10, 0x1.fe79f8f100094p-11, 0x1.ef85a9a54214fp-11, 0x1.e10125f2993b9p-11, 0x1.d2e95a15d1072p-11, 0x1.c53b45453125ap-11, 0x1.b7f3f953f6f3cp-11, 0x1.ab109a56d31d2p-11, 0x1.9e8e5e4965ea7p-11, 0x1.926a8cb4c8a65p-11, 0x1.86a27e571d917p-11, 0x1.7b339ccc3088ap-11, 0x1.701b62372774ep-11, 0x1.655758ed45e7ep-11, 0x1.5ae51b21c65d4p-11, 0x1.50c25292ca7bfp-11, 0x1.46ecb83763ea1p-11, 0x1.3d6213eeb8db5p-11, 0x1.34203c3041323p-11, 0x1.2b2515bd22bb9p-11, 0x1.226e9352a9987p-11, 0x1.19fab55ddc9abp-11, 0x1.11c789b03169ap-11, 0x1.09d32b355e2e3p-11, 0x1.021bc1aa47324p-11, 0x1.f53f02aa19035p-12, 0x1.e6b9557c64bd6p-12, 0x1.d8a314d5ce7b1p-12, 0x1.caf8f130ca80ep-12, 0x1.bdb7b1f0dbb47p-12, 0x1.b0dc34ddbfa1ep-12, 0x1.a4636da0c8808p-12, 0x1.984a654468d04p-12, 0x1.8c8e39b5e6a8bp-12, 0x1.812c1d4939df5p-12, 0x1.7621563f0c779p-12, 0x1.6b6b3e4cddcf8p-12, 0x1.6107422741546p-12, 0x1.56f2e10e37d8cp-12, 0x1.4d2bac5b9be3dp-12, 0x1.43af4713a1e0ep-12, 0x1.3a7b65776246dp-12, 0x1.318dcc9969a8ap-12, 0x1.28e451f44eb1p-12, 0x1.207cdb0345ebap-12, 0x1.18555cdca975ap-12, 0x1.106bdbce7b551p-12, 0x1.08be6afcd0e7fp-12, 0x1.014b2c022937dp-12, 0x1.f4209d234d12cp-13, 0x1.e61820364b83ap-13, 0x1.d87976e2600bcp-13, 0x1.cb4150e175bdap-13, 0x1.be6c775577afep-13, 0x1.b1f7cc1ef5bc9p-13, 0x1.a5e049375c629p-13, 0x1.9a23000e9bcp-13, 0x1.8ebd18ec375a6p-13, 0x1.83abd253bb175p-13, 0x1.78ec806c80b03p-13, 0x1.6e7c8c6cbad18p-13, 0x1.64597407c1642p-13, 0x1.5a80c8df822ebp-13, 0x1.50f02ff92437fp-13, 0x1.47a56134b2ae4p-13, 0x1.3e9e26c7dea46p-13, 0x1.35d85cbbb81c3p-13, 0x1.2d51f06d5c935p-13, 0x1.2508e011920f5p-13, 0x1.1cfb3a3b30093p-13, 0x1.15271d6469233p-13, 0x1.0d8ab77ac505p-13, 0x1.0624456de0e28p-13, 0x1.fde42581a8e84p-14, 0x1.efe4f23c6f89ep-14, 0x1.e247bfdd78a9bp-14, 0x1.d50977e49f4bep-14, 0x1.c8271db77c66dp-14, 0x1.bb9dcddd82674p-14, 0x1.af6abd40f018fp-14, 0x1.a38b387478b8dp-14, 0x1.97fca2fd817cbp-14, 0x1.8cbc76a2fb961p-14, 0x1.81c842c09ee2fp-14, 0x1.771dab9e8e7a9p-14, 0x1.6cba69cd41fbcp-14, 0x1.629c4985a1981p-14, 0x1.58c12a0d424e4p-14, 0x1.4f26fd1ea9499p-14, 0x1.45cbc6558548ep-14, 0x1.3cad9a9ec89dcp-14, 0x1.33ca9fac8e253p-14, 0x1.2b210b6db7c15p-14, 0x1.22af2389302adp-14, 0x1.1a733cdcbfb63p-14, 0x1.126bbaff5db5cp-14, 0x1.0a970fc6ecd1bp-14, 0x1.02f3bad151c27p-14, 0x1.f70092219b76fp-15, 0x1.e876a8b71b253p-15, 0x1.da4705fcb7f7bp-15, 0x1.cc6f0ea4c4feep-15, 0x1.beec3eabd40f4p-15, 0x1.b1bc2890131a1p-15, 0x1.a4dc748e615fdp-15, 0x1.984adfe50005cp-15, 0x1.8c053c1bb83a3p-15, 0x1.80096e5159b84p-15, 0x1.74556e8e72531p-15, 0x1.68e7471d1b959p-15, 0x1.5dbd13e5c6537p-15, 0x1.52d501d0deb29p-15, 0x1.482d4e2d3089bp-15, 0x1.3dc4461aec5f8p-15, 0x1.339845fb2fdb2p-15, 0x1.29a7b8e3f9268p-15, 0x1.1ff1181863c08p-15, 0x1.1672ea851a35ap-15, 0x1.0d2bc440da854p-15, 0x1.041a4610fca05p-15, 0x1.f67a39e3adf4dp-16, 0x1.e5260345df0b2p-16, 0x1.d435706db9453p-16, 0x1.c3a61f4d7f5e1p-16, 0x1.b375c2d27ff14p-16, 0x1.a3a22219dd56ep-16, 0x1.942917abfe60bp-16, 0x1.850890be72a7cp-16, 0x1.763e8c7c27d21p-16, 0x1.67c91b53bed1dp-16, 0x1.59a65e4bd5292p-16, 0x1.4bd4865d23367p-16, 0x1.3e51d3d2369c4p-16, 0x1.311c95acb26e7p-16, 0x1.2433290fe08a2p-16, 0x1.1793f8b0768d8p-16, 0x1.0b3d7c4966cdfp-16, 0x1.fe5c702b2872ep-17, 0x1.e6c9789ca2b82p-17, 0x1.cfbf495ceec0cp-17, 0x1.b93b2ff4077f2p-17, 0x1.a33a8f1415d14p-17, 0x1.8dbaddb9e5cep-17, 0x1.78b9a6557d179p-17, 0x1.643485fabe076p-17, 0x1.50292b99c41c2p-17, 0x1.3c95573ec9ad6p-17, 0x1.2976d959477bap-17, 0x1.16cb920a3b17bp-17, 0x1.0491707937511p-17, 0x1.e58ce4603703ep-18, 0x1.c2d144fa8205bp-18, 0x1.a0ec33b7b535cp-18, 0x1.7fd9fac4c8fb4p-18, 0x1.5f96fc6dd53b2p-18, 0x1.401fb211ed8d1p-18, 0x1.2170ab21f483cp-18, 0x1.03868c2a0cf83p-18, 0x1.ccbc1bca885a5p-19, 0x1.93e7f8b65fceep-19, 0x1.5c8a6c0e37c6ap-19, 0x1.269d56111318ap-19, 0x1.e43571724bfe6p-20, 0x1.7df96c8032f5dp-20, 0x1.1a7b1f67b07afp-20, 0x1.735e8e6eb1c18p-21, 0x1.6e2b6566c3d75p-22, 0x1.808e4c7d509b1p-35, -0x1.63cb8aa9891b5p-22, -0x1.5ec283bb29c0dp-21, -0x1.03525d3bd16e5p-20, -0x1.54d0486b08abp-20, -0x1.a3e4ebe9c37edp-20, -0x1.f09a06e87a0c9p-20, -0x1.1d7c9885e27a3p-19, -0x1.4185ee0bfcb08p-19, -0x1.646daac3af8bep-19, -0x1.86386405cdbeep-19, -0x1.a6ea9e7da1d88p-19, -0x1.c688ced6137cbp-19, -0x1.e5175a5da54c6p-19, -0x1.014d4bd0cfd3dp-18, -0x1.0f8b6780574e7p-18, -0x1.1d481d9ab52d5p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.3f49fc726af07p-3, -0x1.4f9300c14955ep-3, -0x1.5fe53a2a58679p-3, -0x1.703fb1bc6e5d6p-3, -0x1.80a1410df224ep-3, -0x1.910895f97aec6p-3, -0x1.a174367a02697p-3, -0x1.b1e284922f60fp-3, -0x1.c251c22e46a26p-3, -0x1.d2c014f3ce551p-3, -0x1.e32b89f4db225p-3, -0x1.f392193f80e3fp-3, -0x1.01f8d4a1fac52p-2, -0x1.0a240906d0a59p-2, -0x1.12499026628b5p-2, -0x1.1a684c17bc021p-2, -0x1.227f1c04ddc1ap-2, -0x1.2a8cdd667eb21p-2, -0x1.32906d280133ep-2, -0x1.3a88a8b44e5a7p-2, -0x1.42746eec6b864p-2, -0x1.4a52a108bee6p-2, -0x1.52222366065b9p-2, -0x1.59e1de3f11018p-2, -0x1.6190be545308ap-2, -0x1.692db58261f74p-2, -0x1.70b7bb486e5f6p-2, -0x1.782dcd3fc27acp-2, -0x1.7f8eef854c3fcp-2, -0x1.86da2d16230f2p-2, -0x1.8e0e981ff98e2p-2, -0x1.952b4a466222dp-2, -0x1.9c2f64ddb0603p-2, -0x1.a31a111c4d93bp-2, -0x1.a9ea80433534cp-2, -0x1.b09febbe525f9p-2, -0x1.b739953d62671p-2, -0x1.bdb6c6c5fb437p-2, -0x1.c416d2bf48506p-2, -0x1.ca5913f807e7p-2, -0x1.d07ceda745d78p-2, -0x1.d681cb684c97ep-2, -0x1.dc6721323dbd9p-2, -0x1.e22c6b4bb1a35p-2, -0x1.e7d12e3ac6e6fp-2, -0x1.ed54f6b1ef989p-2, -0x1.f2b75979d794bp-2, -0x1.f7f7f358ac2aep-2, -0x1.fd1668f706281p-2, -0x1.010933615f329p-1, -0x1.0375d067f3e43p-1, -0x1.05d0e95c0e74ep-1, -0x1.081a5fbc30feap-1, -0x1.0a5218a6dd58cp-1, -0x1.0c77fcc856964p-1, -0x1.0e8bf847e67e5p-1, -0x1.108dfab4be14cp-1, -0x1.127df6f27d4c1p-1, -0x1.145be32574c8cp-1, -0x1.1627b89eae40cp-1, -0x1.17e173c7c602ep-1, -0x1.1989140ea5ee4p-1, -0x1.1b1e9bd1271efp-1, -0x1.1ca21048a7bbap-1, -0x1.1e1379759c94bp-1, -0x1.1f72e20b26489p-1, -0x1.20c0575ab0be2p-1, -0x1.21fbe93fa54f9p-1, -0x1.2325aa0b3363cp-1, -0x1.243dae7037d0fp-1, -0x1.25440d6f43e9bp-1, -0x1.2638e042cda95p-1, -0x1.271c424b888e4p-1, -0x1.27ee50fced847p-1, -0x1.28af2bc9f481dp-1, -0x1.295ef41202b12p-1, -0x1.29fdcd0e0f973p-1, -0x1.2a8bdbbe04b5fp-1, -0x1.2b0946d658574p-1, -0x1.2b7636ade7ac6p-1, -0x1.2bd2d52c0ef12p-1, -0x1.2c1f4db7042f9p-1, -0x1.2c5bcd2274a62p-1, -0x1.2c88819e65e7cp-1, -0x1.2ca59aa65cea2p-1, -0x1.2cb348f0c977dp-1, -0x1.2cb1be5ebb4d3p-1, -0x1.2ca12debdd22ap-1, -0x1.2c81cb9eb99acp-1, -0x1.2c53cc7947374p-1, -0x1.2c176669c10ccp-1, -0x1.2bccd03bc67e5p-1, -0x1.2b744189c69e1p-1, -0x1.2b0df2aeb6fbp-1, -0x1.2a9a1cb813a99p-1, -0x1.2a18f9582af0dp-1, -0x1.298ac2d8b4658p-1, -0x1.28efb40db2204p-1, -0x1.284808489e09fp-1, -0x1.2793fb4be10b1p-1, -0x1.26d3c93e95a85p-1, -0x1.2607aea09563ap-1, -0x1.252fe83ecf571p-1, -0x1.244cb327ea3d7p-1, -0x1.235e4ca1305dap-1, -0x1.2264f21bc2b59p-1, -0x1.2160e12a18739p-1, -0x1.20525775c506bp-1, -0x1.1f3992b58616fp-1, -0x1.1e16d0a39af09p-1, -0x1.1cea4ef4616c4p-1, -0x1.1bb44b4d3b307p-1, -0x1.1a75033bb63d2p-1, -0x1.192cb42cfe793p-1, -0x1.17db9b6591387p-1, -0x1.1681f5f9363f3p-1, -0x1.152000c33b669p-1, -0x1.13b5f85ef4346p-1, -0x1.124419207a19dp-1, -0x1.10ca9f0dae39cp-1, -0x1.0f49c5d77c7efp-1, -0x1.0dc1c8d35d5dep-1, -0x1.0c32e2f516435p-1, -0x1.0a9d4ec8b8ae5p-1, -0x1.0901466cde345p-1, -0x1.075f038d201d3p-1, -0x1.05b6bf5ccb076p-1, -0x1.0408b291cd0b5p-1, -0x1.0255155fdb809p-1, -0x1.009c1f73d5046p-1, -0x1.fdbc0fdead79ep-2, -0x1.fa360ac917545p-2, -0x1.f6a69ba460299p-2, -0x1.f30e2d3f94696p-2, -0x1.ef6d29342b466p-2, -0x1.ebc3f7df46b85p-2, -0x1.e813005b52edfp-2, -0x1.e45aa87a0b573p-2, -0x1.e09b54bedb2a2p-2, -0x1.dcd568599f8bp-2, -0x1.d9094521c21abp-2, -0x1.d5374b91adae1p-2, -0x1.d15fdac29c4d8p-2, -0x1.cd835068b934ap-2, -0x1.c9a208cf97438p-2, -0x1.c5bc5ed6f69a3p-2, -0x1.c1d2abefde349p-2, -0x1.bde54819fe88cp-2, -0x1.b9f489e1634f1p-2, -0x1.b600c65c6c195p-2, -0x1.b20a512a0fae3p-2, -0x1.ae117c70615d8p-2, -0x1.aa1698db5ee59p-2, -0x1.a619f59bfb09cp-2, -0x1.a21be0676be43p-2, -0x1.9e1ca576b7ab5p-2, -0x1.9a1c8f867aa3fp-2, -0x1.961be7d6e9544p-2, -0x1.921af62c0cc47p-2, -0x1.8e1a00ce32a57p-2, -0x1.8a194c8a96332p-2, -0x1.86191cb436d49p-2, -0x1.8219b324e7076p-2, -0x1.7e1b503e8583bp-2, -0x1.7a1e32ec68837p-2, -0x1.762298a4f1f0cp-2, -0x1.7228bd6b5232bp-2, -0x1.6e30dbd16f7aap-2, -0x1.6a3b2cf9fb407p-2, -0x1.6647e89aa6165p-2, -0x1.625744fe7e977p-2, -0x1.5e6977086eae7p-2, -0x1.5a7eb235ddce3p-2, -0x1.569728a170312p-2, -0x1.52b30b05e6338p-2, -0x1.4ed288c11ae81p-2, -0x1.4af5cfd718391p-2, -0x1.471d0cf54ce71p-2, -0x1.43486b75d7335p-2, -0x1.3f781562e74a2p-2, -0x1.3bac337a3a4e1p-2, -0x1.37e4ed30a92ddp-2, -0x1.342268b5cbb56p-2, -0x1.3064caf7aef8fp-2, -0x1.2cac37a69b94ep-2, -0x1.28f8d138f09ap-2, -0x1.254ab8ef0907ap-2, -0x1.21a20ed7326c6p-2, -0x1.1dfef1d1afd83p-2, -0x1.1a617f94c98edp-2, -0x1.16c9d4b0e829fp-2, -0x1.13380c94b8874p-2, -0x1.0fac41915a441p-2, -0x1.0c268cde97763p-2, -0x1.08a7069f20597p-2, -0x1.052dc5e4d1fc1p-2, -0x1.01bae0b4ff8f1p-2, -0x1.fc9cd81982dbp-3, -0x1.f5d0f7ca90339p-3, -0x1.ef12467068222p-3, -0x1.e860e807da5c4p-3, -0x1.e1bcfe9ffc036p-3, -0x1.db26aa62e1d9dp-3, -0x1.d49e099e544f9p-3, -0x1.ce2338cc8d3c8p-3, -0x1.c7b6529ce7871p-3, -0x1.c1576ffc9a3a9p-3, -0x1.bb06a81f5e819p-3, -0x1.b4c41088210edp-3, -0x1.ae8fbd11a1ef6p-3, -0x1.a869bff70e33ap-3, -0x1.a25229dc96f5dp-3, -0x1.9c4909d7f5e6dp-3, -0x1.964e6d78ee569p-3, -0x1.906260d1c1ec5p-3, -0x1.8a84ee7f92e59p-3, -0x1.84b61fb2c10e1p-3, -0x1.7ef5fc37343f5p-3, -0x1.79448a7c99ae1p-3, -0x1.73a1cf9e8cfccp-3, -0x1.6e0dcf6cbc06ep-3, -0x1.68888c72eda57p-3, -0x1.63120800fb41cp-3, -0x1.5daa4232bfd9ep-3, -0x1.585139f7e4b76p-3, -0x1.5306ed1ba9bfcp-3, -0x1.4dcb584c919f8p-3, -0x1.489e7723fe1fbp-3, -0x1.4380442db2184p-3, -0x1.3e70b8ef446e5p-3, -0x1.396fcdef7a71p-3, -0x1.347d7abd8d1aap-3, -0x1.2f99b5f856918p-3, -0x1.2ac475556a8ccp-3, -0x1.25fdada818bb4p-3, -0x1.214552e855a8cp-3, -0x1.1c9b58398e866p-3, -0x1.17ffaff15fec6p-3, -0x1.13724b9e412c8p-3, -0x1.0ef31c0e064cdp-3, -0x1.0a8211545936dp-3, -0x1.061f1ad1125aep-3, -0x1.01ca27367993dp-3, -0x1.fb06491ee0575p-4, -0x1.f294008b08042p-4, -0x1.ea3d4e4dc60fap-4, -0x1.e2020ad87dcb1p-4, -0x1.d9e20d7d202cap-4, -0x1.d1dd2c798d13fp-4, -0x1.c9f33d02b6fb1p-4, -0x1.c224134f9aad7p-4, -0x1.ba6f82a40940fp-4, -0x1.b2d55d5b39c34p-4, -0x1.ab5574f22d2a6p-4, -0x1.a3ef9a11dbbbbp-4, -0x1.9ca39c9939fccp-4, -0x1.95714ba705858p-4, -0x1.8e5875a360ebp-4, -0x1.8758e84945439p-4, -0x1.807270afbc6e8p-4, -0x1.79a4db52edcbp-4, -0x1.72eff41cfc23ap-4, -0x1.6c53866eb1fdbp-4, -0x1.65cf5d28002afp-4, -0x1.5f6342b04bcep-4, -0x1.590f00fe9036p-4, -0x1.52d261a14ef16p-4, -0x1.4cad2dc656027p-4, -0x1.469f2e4254fe2p-4, -0x1.40a82b984798cp-4, -0x1.3ac7ee00b21bp-4, -0x1.34fe3d70b235fp-4, -0x1.2f4ae1a0e4364p-4, -0x1.29ada2141be28p-4, -0x1.2426461df34d6p-4, -0x1.1eb494e92f42bp-4, -0x1.1958557df9a8cp-4, -0x1.14114ec7f17b8p-4, -0x1.0edf479c12d95p-4, -0x1.09c206be77202p-4, -0x1.04b952e7eaa4dp-4, -0x1.ff89e596bc5acp-5, -0x1.f5c95a365c653p-5, -0x1.ec30911c8d8a2p-5, -0x1.e2bf17ca3df8bp-5, -0x1.d9747bdd215eep-5, -0x1.d0504b19150fep-5, -0x1.c75213713c08fp-5, -0x1.be796310d38a4p-5, -0x1.b5c5c863c09c7p-5, -0x1.ad36d21ed8fb1p-5, -0x1.a4cc0f47e6ae3p-5, -0x1.9c850f3d6a8cdp-5, -0x1.946161be19c92p-5, -0x1.8c6096f01bce4p-5, -0x1.84823f6809224p-5, -0x1.7cc5ec2fa98b8p-5, -0x1.752b2ecc76bfcp-5, -0x1.6db19945deafdp-5, -0x1.6658be2b4fa4ap-5, -0x1.5f20309a039e8p-5, -0x1.5807844298564p-5, -0x1.510e4d6e69518p-5, -0x1.4a342104b7a6cp-5, -0x1.4378948f980d8p-5, -0x1.3cdb3e40ac821p-5, -0x1.365bb4f5ab3e6p-5, -0x1.2ff9903cb1469p-5, -0x1.29b4685861f0ep-5, -0x1.238bd643d8b06p-5, -0x1.1d7f73b668352p-5, -0x1.178edb272a0ccp-5, -0x1.11b9a7d063b04p-5, -0x1.0bff75b2baa9dp-5, -0x1.065fe1983edcp-5, -0x1.00da89174aea9p-5, -0x1.f6de152a6e7f9p-6, -0x1.ec3a0a91ced83p-6, -0x1.e1c8327a5a9a5p-6, -0x1.d787cea60d1e9p-6, -0x1.cd7822876370dp-6, -0x1.c398734540bc4p-6, -0x1.b9e807be89882p-6, -0x1.b066288d73a94p-6, -0x1.a712200a92a5fp-6, -0x1.9deb3a4fa794fp-6, -0x1.94f0c53a24493p-6, -0x1.8c22106d74c9dp-6, -0x1.837e6d550b911p-6, -0x1.7b052f262dc2ap-6, -0x1.72b5aae186622p-6, -0x1.6a8f3754808a1p-6, -0x1.62912d1a66866p-6, -0x1.5abae69d50616p-6, -0x1.530bc016da251p-6, -0x1.4b831790a771dp-6, -0x1.44204ce4b46b5p-6, -0x1.3ce2c1bd7d205p-6, -0x1.35c9d995eb3f1p-6, -0x1.2ed4f9b9214e6p-6, -0x1.2803894213f0cp-6, -0x1.2154f11af8eeap-6, -0x1.1ac89bfc93117p-6, -0x1.145df66d4e253p-6, -0x1.0e146ec039e6dp-6, -0x1.07eb7513dfa74p-6, -0x1.01e27b50f356fp-6, -0x1.f7f1ea51bd22cp-7, -0x1.ec5cb02864a75p-7, -0x1.e10436a1e295fp-7, -0x1.d5e76fc180338p-7, -0x1.cb05510de3729p-7, -0x1.c05cd38d01b79p-7, -0x1.b5ecf3bfc69cbp-7, -0x1.abb4b19d97872p-7, -0x1.a1b3108f97e6fp-7, -0x1.97e7176bc33e9p-7, -0x1.8e4fd06fda213p-7, -0x1.84ec493c1b1dfp-7, -0x1.7bbb92cdd9e4dp-7, -0x1.72bcc179e5292p-7, -0x1.69eeece6cef6p-7, -0x1.615130070aca5p-7, -0x1.58e2a912e71dp-7, -0x1.50a2798267eb3p-7, -0x1.488fc60703b81p-7, -0x1.40a9b68539fd3p-7, -0x1.38ef760e1c5fcp-7, -0x1.316032d8ad1d3p-7, -0x1.29fb1e3b2d6cap-7, -0x1.22bf6ca451fb2p-7, -0x1.1bac55946106bp-7, -0x1.14c113963bee2p-7, -0x1.0dfce438549fcp-7, -0x1.075f080592497p-7, -0x1.00e6c27e244c7p-7, -0x1.f526b4208bfdap-8, -0x1.e8c83021e98a5p-8, -0x1.dcb09169319cbp-8, -0x1.d0de760f44416p-8, -0x1.c55081ce36794p-8, -0x1.ba055df264a3ep-8, -0x1.aefbb94b74962p-8, -0x1.a432481d4835cp-8, -0x1.99a7c410e3fa3p-8, -0x1.8f5aec254c243p-8, -0x1.854a84a0578a6p-8, -0x1.7b7556ff7d558p-8, -0x1.71da31e89d636p-8, -0x1.6877e91ac470ap-8, -0x1.5f4d555ef23b8p-8, -0x1.56595478db6d2p-8, -0x1.4d9ac917b1fcbp-8, -0x1.45109ac6ed4ap-8, -0x1.3cb9b5df19d21p-8, -0x1.34950b76af14bp-8, -0x1.2ca19152ead34p-8, -0x1.24de41d8b8b21p-8, -0x1.1d4a1bfda3236p-8, -0x1.15e42338ce74dp-8, -0x1.0eab5f74042fep-8, -0x1.079edcfcc92dp-8, -0x1.00bdac7585195p-8, -0x1.f40dc58d73821p-9, -0x1.e6f3322095e78p-9, -0x1.da29d935b16b2p-9, -0x1.cdaffd925ec86p-9, -0x1.c183ea138f3edp-9, -0x1.b5a3f190bd5dp-9, -0x1.aa0e6ebf46e41p-9, -0x1.9ec1c415f3b3dp-9, -0x1.93bc5bb0adb1cp-9, -0x1.88fca73465289p-9, -0x1.7e811fb32b32bp-9, -0x1.744845907bffp-9, -0x1.6a50a065bf208p-9, -0x1.6098bee6f9f7dp-9, -0x1.571f36c7bf79ep-9, -0x1.4de2a4a04e1fap-9, -0x1.44e1abd2f0434p-9, -0x1.3c1af6718bc7cp-9, -0x1.338d3523766dap-9, -0x1.2b371f0b7c427p-9, -0x1.231771ae27edcp-9, -0x1.1b2cf0d84589ep-9, -0x1.13766685a129p-9, -0x1.0bf2a2c80858p-9, -0x1.04a07bae835c9p-9, -0x1.fafd9a59a2e1fp-10, -0x1.ed18f2064b7adp-10, -0x1.df90cd4c3ffa8p-10, -0x1.d263064e12848p-10, -0x1.c58d82389e697p-10, -0x1.b90e311480217p-10, -0x1.ace30d981582fp-10, -0x1.a10a1cf9f791cp-10, -0x1.95816ec3fdaacp-10, -0x1.8a471ca6c6aa9p-10, -0x1.7f594a4dbccdfp-10, -0x1.74b62533a52ddp-10, -0x1.6a5be477b2f77p-10, -0x1.6048c8b3167cap-10, -0x1.567b1bcf1ea32p-10, -0x1.4cf130dbce4abp-10, -0x1.43a963e701d19p-10, -0x1.3aa219d41612ap-10, -0x1.31d9c03407dcep-10, -0x1.294ecd1e2808bp-10, -0x1.20ffbf0946e64p-10, -0x1.18eb1ca56125ap-10, -0x1.110f74b5d85c2p-10, -0x1.096b5dec21c17p-10, -0x1.01fd76c2ffdc9p-10, -0x1.f588cab4674bep-11, -0x1.e77daea56ae43p-11, -0x1.d9d70356d00aep-11, -0x1.cc92413c98b15p-11, -0x1.bfaceefc6473dp-11, -0x1.b324a129cef62p-11, -0x1.a6f6fa03c425dp-11, -0x1.9b21a932cdfbbp-11, -0x1.8fa26b8855a9cp-11, -0x1.84770abedc075p-11, -0x1.799d5d3b1fc88p-11, -0x1.6f1345ce38b3cp-11, -0x1.64d6b3789e61fp-11, -0x1.5ae5a12e1c54bp-11, -0x1.513e159ab2b73p-11, -0x1.47de22e85d414p-11, -0x1.3ec3e685c2b6dp-11, -0x1.35ed88edca15dp-11, -0x1.2d593d70100ccp-11, -0x1.250541fa3fdeap-11, -0x1.1cefdee24a14bp-11, -0x1.151766b176bd9p-11, -0x1.0d7a35f053389p-11, -0x1.0616b2f3794ddp-11, -0x1.fdd69b5252168p-12, -0x1.efecfecf75279p-12, -0x1.e26d9579bb7efp-12, -0x1.d555767b59e6ap-12, -0x1.c8a1caaf11ab2p-12, -0x1.bc4fcc438658ap-12, -0x1.b05cc6601f562p-12, -0x1.a4c614cb76b82p-12, -0x1.998923935224p-12, -0x1.8ea36eb61e1c4p-12, -0x1.841281cde733fp-12, -0x1.79d3f7bccfd09p-12, -0x1.6fe57a5af9046p-12, -0x1.6644c225df683p-12, -0x1.5cef95f121251p-12, -0x1.53e3ca98ae15bp-12, -0x1.4b1f42b45a55dp-12, -0x1.429fee4cd01a1p-12, -0x1.3a63ca91da0e1p-12, -0x1.3268e19206394p-12, -0x1.2aad49f3945a9p-12, -0x1.232f26aeb6efap-12, -0x1.1beca6c9180bap-12, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.1bfc1098d1decp-1, 0x1.1c5ac02f41e7p-1, 0x1.1cbdcd28dbe22p-1, 0x1.1d24e82290636p-1, 0x1.1d8fb8748c98p-1, 0x1.1dfddd36bb65ep-1, 0x1.1e6eee4891dd1p-1, 0x1.1ee27d56e058fp-1, 0x1.1f5816db97bcbp-1, 0x1.1fcf431465a64p-1, 0x1.204786eddc73cp-1, 0x1.20c064e190819p-1, 0x1.21395dc6186a7p-1, 0x1.21b1f1905bd8bp-1, 0x1.2229a005eeb9fp-1, 0x1.229fe9608409cp-1, 0x1.23144ee2bc61bp-1, 0x1.2386535eb735ap-1, 0x1.23f57baef7392p-1, 0x1.24614f2237265p-1, 0x1.24c957dadfedbp-1, 0x1.252d2322d8948p-1, 0x1.258c41b46bc74p-1, 0x1.25e647f900ad5p-1, 0x1.263ace3e61089p-1, 0x1.268970e340f1cp-1, 0x1.26d1d07bbd658p-1, 0x1.271391ee7309ep-1, 0x1.274e5e8ad4859p-1, 0x1.2781e41955b88p-1, 0x1.27add4e5fbdfap-1, 0x1.27d1e7c5db323p-1, 0x1.27edd817fe383p-1, 0x1.280165c22f5b3p-1, 0x1.280c552a10aa5p-1, 0x1.280e6f2ae7da1p-1, 0x1.280781087e612p-1, 0x1.27f75c5f68d19p-1, 0x1.27ddd7130af8bp-1, 0x1.27bacb399c80dp-1, 0x1.278e17067716fp-1, 0x1.27579cb2e6273p-1, 0x1.27174265b6dccp-1, 0x1.26ccf219b65a2p-1, 0x1.2678998350154p-1, 0x1.261a29f5761f5p-1, 0x1.25b19845f92b1p-1, 0x1.253edcb17429fp-1, 0x1.24c1f2beeb621p-1, 0x1.243ad923379ecp-1, 0x1.23a991a45d267p-1, 0x1.230e20fcdef2bp-1, 0x1.22688ebf25ebcp-1, 0x1.21b8e5390f80cp-1, 0x1.20ff3157ad817p-1, 0x1.203b828b4e521p-1, 0x1.1f6deaabd1dd2p-1, 0x1.1e967ddd5aa94p-1, 0x1.1db55275644f2p-1, 0x1.1cca80e0453f3p-1, 0x1.1bd6238726656p-1, 0x1.1ad856b6734eep-1, 0x1.19d13884ca12fp-1, 0x1.18c0e8ba6f64ep-1, 0x1.17a788b948cacp-1, 0x1.16853b6560435p-1, 0x1.155a250df5fb9p-1, 0x1.14266b571d364p-1, 0x1.12ea3523e9adbp-1, 0x1.11a5aa812bacfp-1, 0x1.1058f490bcdacp-1, 0x1.0f043d755b842p-1, 0x1.0da7b03f16282p-1, 0x1.0c4378d845f39p-1, 0x1.0ad7c3f317835p-1, 0x1.0964bef79df89p-1, 0x1.07ea97f275ddap-1, 0x1.06697d83edbe4p-1, 0x1.04e19ecfba639p-1, 0x1.03532b6d30c29p-1, 0x1.01be5358044d2p-1, 0x1.002346e189336p-1, 0x1.fd046d44ef04ap-2, 0x1.f9b6a6da5a487p-2, 0x1.f65d9c80da738p-2, 0x1.f2f9b07530c98p-2, 0x1.ef8b451ac2a47p-2, 0x1.ec12bce3e6595p-2, 0x1.e8907a3b203f8p-2, 0x1.e504df6d3d615p-2, 0x1.e1704e94511d1p-2, 0x1.ddd329838b282p-2, 0x1.da2dd1b3e5f4ep-2, 0x1.d680a831a43dbp-2, 0x1.d2cc0d8a9bf42p-2, 0x1.cf1061bd4c60bp-2, 0x1.cb4e0428b3929p-2, 0x1.c785537ce867cp-2, 0x1.c3b6adac6b19fp-2, 0x1.bfe26fde2fd4cp-2, 0x1.bc08f6605937ep-2, 0x1.b82a9c9ba3a6dp-2, 0x1.b447bd077666cp-2, 0x1.b060b11e9e0f9p-2, 0x1.ac75d154a5514p-2, 0x1.a887750bccef3p-2, 0x1.a495f28b9b05dp-2, 0x1.a0a19ef8012b5p-2, 0x1.9caace49109e5p-2, 0x1.98b1d3433f97ap-2, 0x1.94b6ff70328cep-2, 0x1.90baa3180f1bdp-2, 0x1.8cbd0d3b4ef13p-2, 0x1.88be8b8d0eb64p-2, 0x1.84bf6a6dd8234p-2, 0x1.80bff4e6e574dp-2, 0x1.7cc074a5d0a1dp-2, 0x1.78c131f8b86fbp-2, 0x1.74c273cacf13dp-2, 0x1.70c47fa14ede3p-2, 0x1.6cc79998d6af2p-2, 0x1.68cc0463279f9p-2, 0x1.64d201453fe62p-2, 0x1.60d9d015d0c6bp-2, 0x1.5ce3af3c0ffc2p-2, 0x1.58efdbaed6fb5p-2, 0x1.54fe90f41bed9p-2, 0x1.51100920b5e09p-2, 0x1.4d247cd86ad97p-2, 0x1.493c234e4a6ddp-2, 0x1.455732454ebc4p-2, 0x1.4175de113d297p-2, 0x1.3d985997cd0bap-2, 0x1.39bed6520711fp-2, 0x1.35e9844de5529p-2, 0x1.32189230281f9p-2, 0x1.2e4c2d3663982p-2, 0x1.2a8481394270cp-2, 0x1.26c1b8aef608cp-2, 0x1.2303fcadda64cp-2, 0x1.1f4b74ef45b4p-2, 0x1.1b9847d2804c2p-2, 0x1.17ea9a5fe9806p-2, 0x1.1442904c3f386p-2, 0x1.10a04bfc0bc95p-2, 0x1.0d03ee8736ff2p-2, 0x1.096d97bcb50d3p-2, 0x1.05dd6626559a8p-2, 0x1.0253770cb0451p-2, 0x1.fd9fccf6538d4p-3, 0x1.f6a59e8827da3p-3, 0x1.efb89609c6403p-3, 0x1.e8d8e454f74c9p-3, 0x1.e206b7eb23a83p-3, 0x1.db423cfe35e1bp-3, 0x1.d48b9d79a6704p-3, 0x1.cde3010b9a2f7p-3, 0x1.c7488d2e2a323p-3, 0x1.c0bc6530b7057p-3, 0x1.ba3eaa416002cp-3, 0x1.b3cf7b7681acfp-3, 0x1.ad6ef5d84aea9p-3, 0x1.a71d346a63d9p-3, 0x1.a0da503599049p-3, 0x1.9aa6605197577p-3, 0x1.948179eeab8d9p-3, 0x1.8e6bb05f87d01p-3, 0x1.88651523113c1p-3, 0x1.826db7ee23bc1p-3, 0x1.7c85a6b563f47p-3, 0x1.76acedb7015a5p-3, 0x1.70e397847cb11p-3, 0x1.6b29ad0c65bb1p-3, 0x1.657f35a41100bp-3, 0x1.5fe4371143e9bp-3, 0x1.5a58b593d80b5p-3, 0x1.54dcb3ef53069p-3, 0x1.4f7033746bee1p-3, 0x1.4a13340a88c14p-3, 0x1.44c5b43925087p-3, 0x1.3f87b1312de39p-3, 0x1.3a5926d646585p-3, 0x1.353a0fc7fbcb4p-3, 0x1.302a656ae1d83p-3, 0x1.2b2a1ff19f362p-3, 0x1.26393665daf0ap-3, 0x1.21579eb11ff4dp-3, 0x1.1c854da59584p-3, 0x1.17c23706b5e4p-3, 0x1.130e4d91d3cdap-3, 0x1.0e69830699b2dp-3, 0x1.09d3c82f616f8p-3, 0x1.054d0ce975fd2p-3, 0x1.00d5402d39e1bp-3, 0x1.f8d8a02c531cp-4, 0x1.f02453d59a0c8p-4, 0x1.e78d7449076ddp-4, 0x1.df13d8ee613fep-4, 0x1.d6b757b1a80d8p-4, 0x1.ce77c511eed64p-4, 0x1.c654f4300e05fp-4, 0x1.be4eb6dd100e9p-4, 0x1.b664dda85965cp-4, 0x1.ae9737ed9f401p-4, 0x1.a6e593e290e4dp-4, 0x1.9f4fbea45344p-4, 0x1.97d58444a62c4p-4, 0x1.9076afd6e515cp-4, 0x1.89330b7cb07e7p-4, 0x1.820a607266313p-4, 0x1.7afc771b55a55p-4, 0x1.7409170db3fa7p-4, 0x1.6d30071e52e94p-4, 0x1.66710d6c16f6ep-4, 0x1.5fcbef6b2fbb8p-4, 0x1.594071f010201p-4, 0x1.52ce593a29ea9p-4, 0x1.4c7568fe69f5p-4, 0x1.4635647176d24p-4, 0x1.400e0e51b2c11p-4, 0x1.39ff28f0ff2bep-4, 0x1.3408763e45bfdp-4, 0x1.2e29b7cec310cp-4, 0x1.2862aee7175c1p-4, 0x1.22b31c841ba83p-4, 0x1.1d1ac1637c227p-4, 0x1.17995e0c189bbp-4, 0x1.122eb2d62c8c9p-4, 0x1.0cda7ff33bfdep-4, 0x1.079c8575cb7c7p-4, 0x1.02748358dd4bep-4, 0x1.fac4730e74b17p-5, 0x1.f0cacfc506743p-5, 0x1.e6fb9c9418d73p-5, 0x1.dd5659430b281p-5, 0x1.d3da85aeda80fp-5, 0x1.ca87a1d69efc2p-5, 0x1.c15d2de7a8db3p-5, 0x1.b85aaa4933c59p-5, 0x1.af7f97a7be32ap-5, 0x1.a6cb76fff9bcdp-5, 0x1.9e3dc9a96053bp-5, 0x1.95d611606ac97p-5, 0x1.8d93d05069c81p-5, 0x1.8576891d05697p-5, 0x1.7d7dbeeb63705p-5, 0x1.75a8f56af47d5p-5, 0x1.6df7b0ddee953p-5, 0x1.66697621700b1p-5, 0x1.5efdcab55015ap-5, 0x1.57b434c39f862p-5, 0x1.508c3b27d9473p-5, 0x1.49856575c248ap-5, 0x1.429f3c0001ff2p-5, 0x1.3bd947de699d4p-5, 0x1.353312f3f655bp-5, 0x1.2eac27f48b23cp-5, 0x1.2844126a6109dp-5, 0x1.21fa5ebb36392p-5, 0x1.1bce9a2d378f2p-5, 0x1.15c052eba9af4p-5, 0x1.0fcf180b50ac1p-5, 0x1.09fa798e9800cp-5, 0x1.044208698022ep-5, 0x1.fd4aad0a9b9bp-6, 0x1.f247ed87fdc85p-6, 0x1.e77afa070e14cp-6, 0x1.dce2fc41a947dp-6, 0x1.d27f1ff53e977p-6, 0x1.c84e92e803087p-6, 0x1.be5084edbec5fp-6, 0x1.b48427ec34701p-6, 0x1.aae8afdf2ad3bp-6, 0x1.a17d52dc1200fp-6, 0x1.984149155289p-6, 0x1.8f33ccdd3fd82p-6, 0x1.86541aa8b1e6p-6, 0x1.7da171115015cp-6, 0x1.751b10d7836c1p-6, 0x1.6cc03ce41e2d9p-6, 0x1.64903a49b561dp-6, 0x1.5c8a5045ac39dp-6, 0x1.54adc840fd516p-6, 0x1.4cf9edd0b73c5p-6, 0x1.456e0eb639bf6p-6, 0x1.3e097adf2f7a8p-6, 0x1.36cb84654a5b6p-6, 0x1.2fb37f8dbd35bp-6, 0x1.28c0c2c882b18p-6, 0x1.21f2a6af637bcp-6, 0x1.1b488604c864fp-6, 0x1.14c1bdb259d4ap-6, 0x1.0e5dacc767a62p-6, 0x1.081bb47722936p-6, 0x1.01fb3816a5122p-6, 0x1.f7f73a35a11fcp-7, 0x1.ec38962bfcb24p-7, 0x1.e0b9576b041dap-7, 0x1.d578557e1bb33p-7, 0x1.ca746c1bcab6bp-7, 0x1.bfac7b1fe78c9p-7, 0x1.b51f668570e03p-7, 0x1.aacc1660341edp-7, 0x1.a0b176d61f82p-7, 0x1.96ce78186878cp-7, 0x1.8d220e5c6a49ep-7, 0x1.83ab31d45be64p-7, 0x1.7a68dea7c22d2p-7, 0x1.715a14ebbc30cp-7, 0x1.687dd89b18979p-7, 0x1.5fd3318e44fdcp-7, 0x1.57592b730d7d3p-7, 0x1.4f0ed5c43a6e1p-7, 0x1.46f343c104c76p-7, 0x1.3f058c6467e04p-7, 0x1.3744ca5c5897ap-7, 0x1.2fb01c00d7e4dp-7, 0x1.2846a34aeb828p-7, 0x1.210785cb7e1cdp-7, 0x1.19f1eca2264e1p-7, 0x1.13050473d8139p-7, 0x1.0c3ffd6182b1cp-7, 0x1.05a20afe9c294p-7, 0x1.fe54c88f38f8p-8, 0x1.f1b08730d6982p-8, 0x1.e555cd457e868p-8, 0x1.d9431cc8e7d1ap-8, 0x1.cd76fe3ba9424p-8, 0x1.c1f0008fc2679p-8, 0x1.b6acb91513c02p-8, 0x1.ababc365d141dp-8, 0x1.a0ebc152eb079p-8, 0x1.966b5ad07136p-8, 0x1.8c293de1f828cp-8, 0x1.82241e86fa163p-8, 0x1.785ab6a73f75cp-8, 0x1.6ecbc5ff4a35cp-8, 0x1.6576120cc88bbp-8, 0x1.5c5865fb12be1p-8, 0x1.5371928fb478dp-8, 0x1.4ac06e17035ccp-8, 0x1.4243d450c702p-8, 0x1.39faa65cf02e4p-8, 0x1.31e3caa864de7p-8, 0x1.29fe2cd9e28dbp-8, 0x1.2248bdbef5082p-8, 0x1.1ac2733906db1p-8, 0x1.136a482a8b621p-8, 0x1.0c3f3c64434a3p-8, 0x1.054054929f7a8p-8, 0x1.fcd934567fb66p-9, 0x1.ef8636b52344cp-9, 0x1.e285d5e31ff0fp-9, 0x1.d5d640a742a43p-9, 0x1.c975aec93aa51p-9, 0x1.bd6260eddfe82p-9, 0x1.b19aa073ccb15p-9, 0x1.a61cbf5039138p-9, 0x1.9ae717ec28101p-9, 0x1.8ff80d01e0267p-9, 0x1.854e097ab3439p-9, 0x1.7ae7804d1731fp-9, 0x1.70c2ec5b0f1a3p-9, 0x1.66ded050eb257p-9, 0x1.5d39b68455cf4p-9, 0x1.53d230d3beab2p-9, 0x1.4aa6d88613698p-9, 0x1.41b64e2ad37fdp-9, 0x1.38ff397a7c324p-9, 0x1.308049374a2f2p-9, 0x1.2838330e577d6p-9, 0x1.2025b3790ddbfp-9, 0x1.18478d9ef9f54p-9, 0x1.109c8b37f1e3ap-9, 0x1.09237c6e9c897p-9, 0x1.01db37c3502b9p-9, 0x1.f58533de9abbbp-10, 0x1.e7b10b90ac86ep-10, 0x1.da37c84940e1fp-10, 0x1.cd17477e44039p-10, 0x1.c04d72387ba0dp-10, 0x1.b3d83cdd8cc1ap-10, 0x1.a7b5a6fabfdcdp-10, 0x1.9be3bb107a38p-10, 0x1.90608e5e6ece5p-10, 0x1.852a40b07eda6p-10, 0x1.7a3efc2c5f688p-10, 0x1.6f9cf51fe34b1p-10, 0x1.654269d00114ep-10, 0x1.5b2da24893f9ep-10, 0x1.515cf02cbed15p-10, 0x1.47ceae88141fbp-10, 0x1.3e8141a063a35p-10, 0x1.357316c838a42p-10, 0x1.2ca2a43210ea2p-10, 0x1.240e68c433941p-10, 0x1.1bb4ebed46351p-10, 0x1.1394bd797d526p-10, 0x1.0bac756886a6ap-10, 0x1.03fab3c40effp-10, 0x1.f8fc40edf8068p-11, 0x1.ea6ad64a8c6a9p-11, 0x1.dc3e9608f64bdp-11, 0x1.ce74fd69c5639p-11, 0x1.c10b98368f387p-11, 0x1.b4000076c2566p-11, 0x1.a74fde25b9818p-11, 0x1.9af8e6ea09b63p-11, 0x1.8ef8ddce0ba36p-11, 0x1.834d92f99a174p-11, 0x1.77f4e36d03578p-11, 0x1.6cecb8bd2a77dp-11, 0x1.623308d0d5877p-11, 0x1.57c5d59f23a1fp-11, 0x1.4da32cef2ae27p-11, 0x1.43c92818b6cc3p-11, 0x1.3a35ebc626ed3p-11, 0x1.30e7a7b7693bcp-11, 0x1.27dc96860c1ffp-11, 0x1.1f12fd6a65e93p-11, 0x1.16892c01cda22p-11, 0x1.0e3d7c15e1354p-11, 0x1.062e5164d7886p-11, 0x1.fcb432d5b00e4p-12, 0x1.ed7e9658ad6c1p-12, 0x1.deb8ce02dfb38p-12, 0x1.d05fecc483b1ep-12, 0x1.c27117687a7a4p-12, 0x1.b4e98430db0d1p-12, 0x1.a7c67a7565e27p-12, 0x1.9b055243d3959p-12, 0x1.8ea3740200f2p-12, 0x1.829e5811e41e2p-12, 0x1.76f386774e0acp-12, 0x1.6ba0967f6eb19p-12, 0x1.60a32e6a1394bp-12, 0x1.55f903149b8b4p-12, 0x1.4b9fd7a698321p-12, 0x1.41957d4018809p-12, 0x1.37d7d2a98fe53p-12, 0x1.2e64c4055eddbp-12, 0x1.253a4a82e7ep-12, 0x1.1c566c1335164p-12, 0x1.13b73b1f25765p-12, 0x1.0b5ad63f198f5p-12, 0x1.033f67f418639p-12, 0x1.f6c64cc4d504bp-13, 0x1.e788a61b47735p-13, 0x1.d8c2752c203a9p-13, 0x1.ca7068ef09ad8p-13, 0x1.bc8f45931ce01p-13, 0x1.af1be401de2c4p-13, 0x1.a2133164e0dbdp-13, 0x1.95722eadf9a4ep-13, 0x1.8935f021fa91dp-13, 0x1.7d5b9ce5ead18p-13, 0x1.71e06e8ea9533p-13, 0x1.66c1b0b2fce14p-13, 0x1.5bfcc07ffa505p-13, 0x1.518f0c4fb425ep-13, 0x1.477613423bd2p-13, 0x1.3daf64d8cf8e4p-13, 0x1.3438a0933b2fcp-13, 0x1.2b0f758f6203ep-13, 0x1.2231a22ada4ccp-13, 0x1.199cf3a6a2787p-13, 0x1.114f45ccd3402p-13, 0x1.094682985330dp-13, 0x1.0180a1de78b22p-13, 0x1.f3f751f536e63p-14, 0x1.e56b54f6f639dp-14, 0x1.d7598ba5089cbp-14, 0x1.c9be4e09b8e7fp-14, 0x1.bc960cbc672dbp-14, 0x1.afdd504aa64p-14, 0x1.a390b8a4ad4c7p-14, 0x1.97acfc8d29422p-14, 0x1.8c2ee90c49cc6p-14, 0x1.811360e5feb71p-14, 0x1.76575c13532eep-14, 0x1.6bf7e73eda6e6p-14, 0x1.61f223441782dp-14, 0x1.584344b1da07bp-14, 0x1.4ee8934f7390cp-14, 0x1.45df69a4c1142p-14, 0x1.3d253484f6da8p-14, 0x1.34b7729c1ac89p-14, 0x1.2c93b3ff25148p-14, 0x1.24b799beb678ep-14, 0x1.1d20d57c551ebp-14, 0x1.15cd290223189p-14, 0x1.0eba65dd028b6p-14, 0x1.07e66cf915dc5p-14, 0x1.014f2e40950dp-14, 0x1.f5e55079cb102p-15, 0x1.e99dcf73d320bp-15, 0x1.ddc40ed6ff273p-15, 0x1.d2545f2a383bep-15, 0x1.c74b2b66f6be5p-15, 0x1.bca4f850b3015p-15, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      50, 0x1.9f44e50c5eb31p+1, 0x1.623ee090463b4p+1, 0x1.ef7651458aa3fp+1, -0x1.016ac947308e5p-6, 
      {{
        {0x1.304f440af1cb9p+1, 0x1.328760f25e2bep+1, 0x1.a1021eee4bb05p-5, -0x1.7992e68add50dp-3, 0x1.053cefca97cep-2, 0x1.e0183e9ab6613p-5}, 
        {0x1.328760f25e2bep+1, 0x1.34bf7dd9ca8c3p+1, 0x1.87744fe336288p-5, -0x1.67594bd43cea5p-3, 0x1.085c00ca433bcp-2, -0x1.2c0f2720b1cf9p-2}, 
        {0x1.34bf7dd9ca8c3p+1, 0x1.36f79ac136ec8p+1, 0x1.6f2823e084e58p-5, -0x1.558e859c9432cp-3, 0x1.f1815797d4334p-3, -0x1.7d50a5a328ef8p-3}, 
        {0x1.36f79ac136ec8p+1, 0x1.392fb7a8a34cdp+1, 0x1.580f6690b2df2p-5, -0x1.44a64fdb94b5dp-3, 0x1.ddac13a99c3d8p-3, -0x1.9ef43e17ce2cfp-3}, 
        {0x1.392fb7a8a34cdp+1, 0x1.3b67d4900fad2p+1, 0x1.421c8982de06dp-5, -0x1.3475ebc807f18p-3, 0x1.c816e714023ap-3, -0x1.7d6c770f80c61p-3}, 
        {0x1.3b67d4900fad2p+1, 0x1.3d9ff18cf59c5p+1, 0x1.2d429f2c989edp-5, -0x1.24fd5fcde9ad5p-3, 0x1.b44030beffa18p-3, -0x1.6fa47d79db6bbp-3}, 
        {0x1.3d9ff18cf59c5p+1, 0x1.3fd80e7461fcap+1, 0x1.197555624a318p-5, -0x1.1631bf6078e96p-3, 0x1.a120f93186498p-3, -0x1.5c4888ae51423p-3}, 
        {0x1.3fd80e7461fcap+1, 0x1.42102b5bce5cfp+1, 0x1.06a8efc1d2198p-5, -0x1.080b65192ea79p-3, 0x1.8f0387a5469f9p-3, -0x1.4bef57401a3fbp-3}, 
        {0x1.42102b5bce5cfp+1, 0x1.444848433abd4p+1, 0x1.e9a48531b7f0ep-6, -0x1.f50424516767bp-4, 0x1.7dbfc48e470e7p-3, -0x1.3b77875404764p-3}, 
        {0x1.444848433abd4p+1, 0x1.4680652aa71d9p+1, 0x1.c7cd5a83879e1p-6, -0x1.db1c665dc63c3p-4, 0x1.6d57479f3152bp-3, -0x1.2bd58b950042bp-3}, 
        {0x1.4680652aa71d9p+1, 0x1.48b88212137dep+1, 0x1.a7b8298a6488cp-6, -0x1.c250be2dbbe0bp-4, 0x1.5dbef1ae92667p-3, -0x1.1cd4c93bae3c8p-3}, 
        {0x1.48b88212137dep+1, 0x1.4af09ef97fde3p+1, 0x1.8951bd2e6b9aap-6, -0x1.aa9306c1165a8p-4, 0x1.4eee60031850bp-3, -0x1.0e85860e652efp-3}, 
        {0x1.4af09ef97fde3p+1, 0x1.4d28bbe0ec3e8p+1, 0x1.6c87d61f47483p-6, -0x1.93d5b77ae79bfp-4, 0x1.40dc57378aa7bp-3, -0x1.00c726ccdcd9cp-3}, 
        {0x1.4d28bbe0ec3e8p+1, 0x1.4f60d8c8589edp+1, 0x1.51491ffbeb3fdp-6, -0x1.7e0bdc96ee348p-4, 0x1.33814e0f8f816p-3, -0x1.e7c729aaa27fp-4}, 
        {0x1.4f60d8c8589edp+1, 0x1.5198f5afc4ff2p+1, 0x1.378526e843982p-6, -0x1.69292a3ba96e1p-4, 0x1.26d1e32a04698p-3, -0x1.ce84e01b18d88p-4}, 
        {0x1.5198f5afc4ff2p+1, 0x1.53d112acaaee5p+1, 0x1.1f2c4bf486607p-6, -0x1.5521d8404974p-4, 0x1.1acaa20c5d665p-3, -0x1.b8026e66d5cd3p-4}, 
        {0x1.53d112acaaee5p+1, 0x1.56092f94174eap+1, 0x1.082fbb57d00dbp-6, -0x1.41eadeecb8d51p-4, 0x1.0f593c64abdf9p-3, -0x1.a10e860670fddp-4}, 
        {0x1.56092f94174eap+1, 0x1.58414c7b83aefp+1, 0x1.e502c177f056bp-7, -0x1.2f79c0fcf0f25p-4, 0x1.0480a674bf077p-3, -0x1.8cc7c0c699bddp-4}, 
        {0x1.58414c7b83aefp+1, 0x1.5a796962f00f4p+1, 0x1.bc27ba1474926p-7, -0x1.1dc482f3dd6fbp-4, 0x1.f45e1ce7f25abp-4, -0x1.79272cbaa1897p-4}, 
        {0x1.5a796962f00f4p+1, 0x1.5cb1864a5c6f9p+1, 0x1.95b4f61302965p-7, -0x1.0cc1ee99cecadp-4, 0x1.e0c043e51c631p-4, -0x1.6710980ace8f8p-4}, 
        {0x1.5cb1864a5c6f9p+1, 0x1.5ee9a331c8cffp+1, 0x1.71924a5620af3p-7, -0x1.f8d29e1205482p-5, 0x1.ce1343be98dadp-4, -0x1.56444695f81a5p-4}, 
        {0x1.5ee9a331c8cffp+1, 0x1.6121c01935304p+1, 0x1.4fa8b4f6898d2p-7, -0x1.d9652d1ba6807p-5, 0x1.bc45eef5ab096p-4, -0x1.46c93bcbed91dp-4}, 
        {0x1.6121c01935304p+1, 0x1.6359dd00a1909p+1, 0x1.2fe2475ba9e1fp-7, -0x1.bb2ca31d37cd8p-5, 0x1.ab46baa91574p-4, -0x1.3896e1feb6e21p-4}, 
        {0x1.6359dd00a1909p+1, 0x1.6591f9e80df0ep+1, 0x1.122a10cd103f4p-7, -0x1.9e1b4c5dba7d3p-5, 0x1.9b048e46075f2p-4, -0x1.2bbe7d030ca4dp-4}, 
        {0x1.6591f9e80df0ep+1, 0x1.67ca16cf7a513p+1, 0x1.ecd8123eb3a76p-8, -0x1.8224aca072b98p-5, 0x1.8b6d6b56fe0d3p-4, -0x1.203dece5091eep-4}, 
        {0x1.67ca16cf7a513p+1, 0x1.6a0233b6e6b18p+1, 0x1.b929f58362932p-8, -0x1.673d8622668dep-5, 0x1.7c6f6fb146218p-4, -0x1.15dc2364162a5p-4}, 
        {0x1.6a0233b6e6b18p+1, 0x1.6c3a50b3cca0bp+1, 0x1.8924da9e7d495p-8, -0x1.4d5bbe47812bp-5, 0x1.6dfbb0de8ee0bp-4, -0x1.0d51e47024fbp-4}, 
        {0x1.6c3a50b3cca0bp+1, 0x1.6e726d9b3901p+1, 0x1.5ca51f9c41009p-8, -0x1.347697a5119dp-5, 0x1.5ff9a7b364fa4p-4, -0x1.055dbac9f3b1fp-4}, 
        {0x1.6e726d9b3901p+1, 0x1.70aa8a82a5615p+1, 0x1.33884660bb9a6p-8, -0x1.1c86769f942b1p-5, 0x1.526186dd9c91p-4, -0x1.fe96d36d57c1p-5}, 
        {0x1.70aa8a82a5615p+1, 0x1.72e2a76a11c1ap+1, 0x1.0dacc967b69f4p-8, -0x1.0584e0873ba1ep-5, 0x1.451a3dfc189f8p-4, -0x1.f499fb5ece0adp-5}, 
        {0x1.72e2a76a11c1ap+1, 0x1.751ac4517e21fp+1, 0x1.d5e3e0c74bf5ap-9, -0x1.ded972f6a002cp-6, 0x1.3815737ac27b9p-4, -0x1.ed5ecb2b20d05p-5}, 
        {0x1.751ac4517e21fp+1, 0x1.7752e138ea824p+1, 0x1.966f4a3d1e6f3p-9, -0x1.b4740fc6711cdp-6, 0x1.2b40cd654c8a3p-4, -0x1.e8c17a8bfd317p-5}, 
        {0x1.7752e138ea824p+1, 0x1.798afe2056e29p+1, 0x1.5cbc909fe3f63p-9, -0x1.8bd41f61f2451p-6, 0x1.1e8ae0009c09bp-4, -0x1.e6c765968a2e7p-5}, 
        {0x1.798afe2056e29p+1, 0x1.7bc31b07c342ep+1, 0x1.288d0c8d6b03dp-9, -0x1.64f696b693c58p-6, 0x1.11e21be2d8accp-4, -0x1.e76ecb7de2c62p-5}, 
        {0x1.7bc31b07c342ep+1, 0x1.7dfb37ef2fa33p+1, 0x1.f344aefc446e2p-10, -0x1.3fdad9657638p-6, 0x1.0534fd4e15fecp-4, -0x1.eabd5990079bap-5}, 
        {0x1.7dfb37ef2fa33p+1, 0x1.803354d69c038p+1, 0x1.9f7beab5d79ap-10, -0x1.1c82bb933254ap-6, 0x1.f0e3b571d827cp-5, -0x1.f0ae34208ed58p-5}, 
        {0x1.803354d69c038p+1, 0x1.826b71be0863dp+1, 0x1.5541fb75f6321p-10, -0x1.f5e5049144c7fp-7, 0x1.d70e55e397c49p-5, -0x1.f926deb686918p-5}, 
        {0x1.826b71be0863dp+1, 0x1.84a38ebaee53p+1, 0x1.14178bfb31f84p-10, -0x1.b661a9f442026p-7, 0x1.bcc82a39482cep-5, -0x1.024b5f64ddd64p-4}, 
        {0x1.84a38ebaee53p+1, 0x1.86dbaba25ab35p+1, 0x1.b6f6298a7cdc7p-11, -0x1.7a8dc74622bf1p-7, 0x1.a1e9b474831e3p-5, -0x1.09185b722a083p-4}, 
        {0x1.86dbaba25ab35p+1, 0x1.8913c889c713ap+1, 0x1.55d05eb5f656fp-11, -0x1.42807fe936ed3p-7, 0x1.865624c60d02fp-5, -0x1.11650eb1f7655p-4}, 
        {0x1.8913c889c713ap+1, 0x1.8b4be5713373fp+1, 0x1.03add35e8f007p-11, -0x1.0e55b4b1594edp-7, 0x1.69e58fb460397p-5, -0x1.1af0fe41f3258p-4}, 
        {0x1.8b4be5713373fp+1, 0x1.8d8402589fd44p+1, 0x1.7eec64192bfcdp-12, -0x1.bc5cb5fb9c0bfp-8, 0x1.4c76bfe91fb69p-5, -0x1.25ce1c72707cbp-4}, 
        {0x1.8d8402589fd44p+1, 0x1.8fbc1f400c349p+1, 0x1.100eb44faae9cp-12, -0x1.646048e8380d9p-8, 0x1.2de6a222030f8p-5, -0x1.3210a082dee76p-4}, 
        {0x1.8fbc1f400c349p+1, 0x1.91f43c277894ep+1, 0x1.70d0186866682p-13, -0x1.150b8af505162p-8, 0x1.0e1008c26510ep-5, -0x1.3f53eb8fbe90cp-4}, 
        {0x1.91f43c277894ep+1, 0x1.942c590ee4f53p+1, 0x1.d6138e070fe07p-14, -0x1.9d7982e8255d3p-9, 0x1.d9b07b78bb8a9p-6, -0x1.4f19c7515094ep-4}, 
        {0x1.942c590ee4f53p+1, 0x1.966475f651559p+1, 0x1.1358022922411p-14, -0x1.23be57117f23p-9, 0x1.93f8d2b91356fp-6, -0x1.5bbb86b291d04p-4}, 
        {0x1.966475f651559p+1, 0x1.989c92ddbdb5ep+1, 0x1.1d6e2a84224dep-15, -0x1.7b6ece9b58a66p-10, 0x1.4ba062afcac02p-6, -0x1.7a5575aa95329p-4}, 
        {0x1.989c92ddbdb5ep+1, 0x1.9ad4afdaa3a51p+1, 0x1.e7af6f4e34026p-17, -0x1.b2904bbb238aap-11, 0x1.f9d4358ad743dp-7, -0x1.5c1a8cf113f4cp-4}, 
        {0x1.9ad4afdaa3a51p+1, 0x1.9d0cccc210056p+1, 0x1.24a837a78bd05p-18, -0x1.8438b03bdb4a7p-12, 0x1.68fbc5e2a251cp-7, -0x1.1393b51a31b94p-3}, 
        {0x1.9d0cccc210056p+1, 0x1.9f44e50c5eb31p+1, 0x1.2867d2a7d7fd9p-21, -0x1.cba3bcbb40984p-14, 0x1.074c6a729cf0ap-8, 0x1.bb434d72f19b1p-2}, 
      }}, 
      -0x1.23c7a1c7578d4p+5, 0x1.788bf99bd5cdbp+9
    }
  };
  // clang-format on
}
SkfData params_hyb_0_2_o_ga() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.a48a6f0ad926ep+0, 0x1.8e028e47f6aa7p+0, 0x1.7670247f15377p+0, 0x1.5e26c8ee88506p+0, 0x1.45700a06e4395p+0, 0x1.2c8b6c1ec258dp+0, 0x1.13af8c74d7fccp+0, 0x1.f6175f4b6fb8dp-1, 0x1.c591d52f91f8ap-1, 0x1.9614999bdd9b3p-1, 0x1.67d934bdb00d1p-1, 0x1.3b0d7ad07283fp-1, 0x1.0fd5ce5202252p-1, 0x1.cc9dc0c6bb7ep-2, 0x1.7d1ca61fa062p-2, 0x1.31463489dfbfcp-2, 0x1.d2590e4d9c2fdp-3, 0x1.49b0113222dcap-3, 0x1.9125165334e85p-4, 0x1.3bcfdfa43c66p-5, -0x1.1a26746f6118fp-6, -0x1.1c7adba44659dp-4, -0x1.e448eca8ca12dp-4, -0x1.4f2cceb68d3b3p-3, -0x1.a58f9c36da635p-3, -0x1.f589f04e56c0bp-3, -0x1.1faddac33f635p-2, -0x1.41a3698927b4ep-2, -0x1.60c73baf27f9ep-2, -0x1.7d3b3f5a2be85p-2, -0x1.97217776640c5p-2, -0x1.ae9bc0e3f4b4fp-2, -0x1.c3cb9cd53fc5bp-2, -0x1.d6d1ffc62d93dp-2, -0x1.e7cf24cd8815cp-2, -0x1.f6e264f21bbp-2, -0x1.021509ba21304p-1, -0x1.07e1b0f83c51p-1, -0x1.0ce52794a2bcp-1, -0x1.112cd0187ce7fp-1, -0x1.14c57000e223bp-1, -0x1.17bb30489dd7bp-1, -0x1.1a199d65f5c14p-1, -0x1.1beba735b6f88p-1, -0x1.1d3ba23c0da8p-1, -0x1.1e134b3ff320dp-1, -0x1.1e7bcd2515fd7p-1, -0x1.1e7dc7fe70792p-1, -0x1.1e21582c8bb12p-1, -0x1.1d6e1cd8ccc96p-1, -0x1.1c6b3dc69456ep-1, -0x1.1b1f70d5c5629p-1, -0x1.1990ff9059e81p-1, -0x1.17c5ccdc5a649p-1, -0x1.15c35aab00607p-1, -0x1.138ecf66a5121p-1, -0x1.112cfaf7297p-1, -0x1.0ea25b5fecb69p-1, -0x1.0bf3211c9d509p-1, -0x1.092333686de33p-1, -0x1.06363485de1fep-1, -0x1.032f85fbdfa87p-1, -0x1.00124ca34fb08p-1, -0x1.f9c033e075b49p-2, -0x1.f33d36b0fae1fp-2, -0x1.ec9d99db34253p-2, -0x1.e5e5ed84730afp-2, -0x1.df1a65aead322p-2, -0x1.d83ee0904defbp-2, -0x1.d156ecef0848bp-2, -0x1.ca65d05b7ae8ep-2, -0x1.c36e8d24e0332p-2, -0x1.bc73e7de0e963p-2, -0x1.b5786c566486fp-2, -0x1.ae7e71f6e3f56p-2, -0x1.a7881f834c69ep-2, -0x1.a0976e4d4fe8fp-2, -0x1.99ae2cf304847p-2, -0x1.92ce01c7a244bp-2, -0x1.8bf86d066f4f5p-2, -0x1.852ecaeba492fp-2, -0x1.7e7255c7e044cp-2, -0x1.77c4281a053c7p-2, -0x1.71253eb2d7208p-2, -0x1.6a967adea8669p-2, -0x1.6418a48cb2a25p-2, -0x1.5dac6c6957f51p-2, -0x1.57526de085d81p-2, -0x1.510b30ff1a551p-2, -0x1.4ad72c2cf9a34p-2, -0x1.44b6c5bcadfd8p-2, -0x1.3eaa5550a50e6p-2, -0x1.38b2251886e42p-2, -0x1.32ce72eaff94ep-2, -0x1.2cff71411a2e3p-2, -0x1.2745481858526p-2, -0x1.21a015c036bacp-2, -0x1.1c0fef96dba4cp-2, -0x1.1694e2b7ca1d9p-2, -0x1.112ef49e8ce95p-2, -0x1.0bde23beaf31p-2, -0x1.06a26811f2383p-2, -0x1.017bb39d738b4p-2, -0x1.f8d3e5dcd74dbp-3, -0x1.eeda1b1e2ffd8p-3, -0x1.e509cce8e8debp-3, -0x1.db62b8ca85882p-3, -0x1.d1e494b5afe57p-3, -0x1.c88f0fb82ccedp-3, -0x1.bf61d2a5bf66cp-3, -0x1.b65c80b87e4ffp-3, -0x1.ad7eb8272938dp-3, -0x1.a4c812b1f8208p-3, -0x1.9c382626862d9p-3, -0x1.93ce84db6bddcp-3, -0x1.8b8abe24235d8p-3, -0x1.836c5ebdc586dp-3, -0x1.7b72f13506717p-3, -0x1.739dfe45bc58bp-3, -0x1.6bed0d340c1b9p-3, -0x1.645fa41f2fe7bp-3, -0x1.5cf5484dc91afp-3, -0x1.55ad7e7388955p-3, -0x1.4e87caf02bb86p-3, -0x1.4783b207b02c3p-3, -0x1.40a0b813f958ap-3, -0x1.39de61b01d3cp-3, -0x1.333c33ddd7473p-3, -0x1.2cb9b425947b9p-3, -0x1.265668b1d5063p-3, -0x1.2011d86671d8p-3, -0x1.19eb8af47e10fp-3, -0x1.13e308eb4e57fp-3, -0x1.0df7dbc72d959p-3, -0x1.08298dfe289dep-3, -0x1.0277ab0b3d518p-3, -0x1.f9c37ef050484p-4, -0x1.eeceb1cbebb66p-4, -0x1.e4100c28e44cap-4, -0x1.d986add10e986p-4, -0x1.cf31b8e31f9a6p-4, -0x1.c51051db84e3bp-4, -0x1.bb219f9b6a821p-4, -0x1.b164cb6e389d1p-4, -0x1.a7d9010db845ap-4, -0x1.9e7d6ea52ea04p-4, -0x1.955144d39a39ap-4, -0x1.8c54fd2e1f1b9p-4, -0x1.83855992e67d3p-4, -0x1.7ae2b82f59acp-4, -0x1.726c53754ac1p-4, -0x1.6a21687760ed4p-4, -0x1.620136e7902b4p-4, -0x1.5a0b0114ac3e7p-4, -0x1.523e0be73540ep-4, -0x1.4a999edd81a4fp-4, -0x1.431d04075c5a3p-4, -0x1.3bc788013b822p-4, -0x1.349879ef22b2ep-4, -0x1.2d8f2b77493d3p-4, -0x1.26aaf0bc9882dp-4, -0x1.1feb2059128d3p-4, -0x1.194f13582a0a4p-4, -0x1.12d62531190dep-4, -0x1.0c7fb3c13aa41p-4, -0x1.064b1f46694f8p-4, -0x1.0037ca5965cdfp-4, -0x1.f48a33d081b22p-5, -0x1.e8e4ea61907f8p-5, -0x1.dd7e8b75e0408p-5, -0x1.d255eea66a32p-5, -0x1.c769f009e3f7dp-5, -0x1.bcb9702947d3bp-5, -0x1.b24353f43358ap-5, -0x1.a80684b516f78p-5, -0x1.9e01f0052fb78p-5, -0x1.943487c052d6dp-5, -0x1.8a9d41f88179dp-5, -0x1.813b18e9516d7p-5, -0x1.780d0aeb30f88p-5, -0x1.6f121a6684ac4p-5, -0x1.66494dc6b39e7p-5, -0x1.5db1af6d2265p-5, -0x1.554a4da42ae7ap-5, -0x1.4d123a921a865p-5, -0x1.45088c2c3cea9p-5, -0x1.3d2c5c29fd5d8p-5, -0x1.357cc7f82713ap-5, -0x1.2df8f0ac479a9p-5, -0x1.269ffaf83d40bp-5, -0x1.1f710f1def024p-5, -0x1.186b58e337d43p-5, -0x1.118e0786054e3p-5, -0x1.0ad84db0a579bp-5, -0x1.0449616e4f096p-5, -0x1.fbc0f83fb6594p-6, -0x1.ef39b4e162b21p-6, -0x1.e2fb7897d1d28p-6, -0x1.d704c9a333c28p-6, -0x1.cb543498b7942p-6, -0x1.bfe84c4de7668p-6, -0x1.b4bfa9c452848p-6, -0x1.a9d8ec158e114p-6, -0x1.9f32b85f7aaadp-6, -0x1.94cbb9b0d1d38p-6, -0x1.8aa2a0f5f3643p-6, -0x1.80b624e5ebfe9p-6, -0x1.770501efb69b1p-6, -0x1.6d8dfa27ac88ap-6, -0x1.644fd535210d8p-6, -0x1.5b4960402e498p-6, -0x1.52796ddfa277bp-6, -0x1.49ded607132f5p-6, -0x1.417875f514882p-6, -0x1.394530218a484p-6, -0x1.3143ec2c1cf54p-6, -0x1.297396cac4017p-6, -0x1.21d321b8710c4p-6, -0x1.1a6183a3d1a6dp-6, -0x1.131db81e2a6ep-6, -0x1.0c06bf8a4d96p-6, -0x1.051b9f0ba962fp-6, -0x1.fcb6c0ead77acp-7, -0x1.ef8a24738ae3ap-7, -0x1.e2af8eb27f776p-7, -0x1.d6252ea45ebc8p-7, -0x1.c9e93c207f55cp-7, -0x1.bdf9f7b82db7ap-7, -0x1.b255aa962bc27p-7, -0x1.a6faa65e673fp-7, -0x1.9be7450de3057p-7, -0x1.9119e8dad8702p-7, -0x1.8690fc1518234p-7, -0x1.7c4af1069ee6dp-7, -0x1.724641d4686ep-7, -0x1.6881705f7900cp-7, -0x1.5efb0626348e5p-7, -0x1.55b19425dff79p-7, -0x1.4ca3b2bc73fa6p-7, -0x1.43d0018aaa18ep-7, -0x1.3b3527564e529p-7, -0x1.32d1d1ecd22b4p-7, -0x1.2aa4b60628745p-7, -0x1.22ac8f27e4381p-7, -0x1.1ae81f88a043fp-7, -0x1.13562ff3aceccp-7, -0x1.0bf58fad076e9p-7, -0x1.04c51455997edp-7, -0x1.fb87339f85cbcp-8, -0x1.ede004485a872p-8, -0x1.e0926acdd4466p-8, -0x1.d39c4339b8b56p-8, -0x1.c6fb7542d69a1p-8, -0x1.baadf41907b92p-8, -0x1.aeb1be31c4401p-8, -0x1.a304dd1551478p-8, -0x1.97a5652c8483ap-8, -0x1.8c91758f1fabdp-8, -0x1.81c737d2c3096p-8, -0x1.7744dfda760c8p-8, -0x1.6d08aba6c798ep-8, -0x1.6310e32684a08p-8, -0x1.595bd80803153p-8, -0x1.4fe7e58b04491p-8, -0x1.46b370532c351p-8, -0x1.3dbce63b0d5eap-8, -0x1.3502be27c83bp-8, -0x1.2c8377dd40e14p-8, -0x1.243d9bd2e56a6p-8, -0x1.1c2fbb090a9f8p-8, -0x1.14586eded7161p-8, -0x1.0cb658e8c4e1ep-8, -0x1.054822c7b124ep-8, -0x1.fc18fc00fe39bp-9, -0x1.ee0447a8945ccp-9, -0x1.e04faa32537b7p-9, -0x1.d2f8b42702f86p-9, -0x1.c5fd049fca683p-9, -0x1.b95a48fb0b50dp-9, -0x1.ad0e3c9260c55p-9, -0x1.a116a871af792p-9, -0x1.9571630f58df6p-9, -0x1.8a1c50057bf0ap-9, -0x1.7f155fcc56bc9p-9, -0x1.745a8f75b361cp-9, -0x1.69e9e869714fbp-9, -0x1.5fc1802317af7p-9, -0x1.55df77f08265cp-9, -0x1.4c41fcb1944a9p-9, -0x1.42e74698fe59bp-9, -0x1.39cd98ee0d389p-9, -0x1.30f341cf82b33p-9, -0x1.285699f7773efp-9, -0x1.1ff604803f02ap-9, -0x1.17cfeeaa56e49p-9, -0x1.0fe2cfa34d3bdp-9, -0x1.082d284db167bp-9, -0x1.00ad8309f9f96p-9, -0x1.f2c4e700d1835p-10, -0x1.e4952cd7d7449p-10, -0x1.d6c922cbd7005p-10, -0x1.c95e25662b714p-10, -0x1.bc51a2222bf05p-10, -0x1.afa1170a7a229p-10, -0x1.a34a12582e299p-10, -0x1.974a3213d0717p-10, -0x1.8b9f23b826bf7p-10, -0x1.8046a3d6cdbddp-10, -0x1.753e7dbe89a27p-10, -0x1.6a848b2366b36p-10, -0x1.6016b3c883639p-10, -0x1.55f2ed2b9849ep-10, -0x1.4c173a32276f3p-10, -0x1.4281aad857742p-10, -0x1.399482f4a98cap-10, -0x1.30856bee02e39p-10, -0x1.27b6ebb4b9835p-10, -0x1.1f2743bd8aaa3p-10, -0x1.16d4c11614b0ep-10, -0x1.0ebdbc1d183cp-10, -0x1.06e0983c3dddep-10, -0x1.fe778746b08afp-11, -0x1.ef9b6e0a33467p-11, -0x1.e129eaaa743f6p-11, -0x1.d32017100fec3p-11, -0x1.c57b20a6b87b4p-11, -0x1.b83847e1dbb61p-11, -0x1.ab54dfc3fad74p-11, -0x1.9ece4d68a7b83p-11, -0x1.92a207911da74p-11, -0x1.86cd963367439p-11, -0x1.7b4e920c0ad6fp-11, -0x1.7022a4322c101p-11, -0x1.654785ae1d435p-11, -0x1.5abaff1251546p-11, -0x1.507ae816a4d45p-11, -0x1.46852735f2648p-11, -0x1.3cd7b14de8e9bp-11, -0x1.3370894117657p-11, -0x1.2a4dbf9b236e8p-11, -0x1.216d72372145p-11, -0x1.18cdcbe8015acp-11, -0x1.106d04230af9cp-11, -0x1.08495eac55d9ep-11, -0x1.00612b453e249p-11, -0x1.f1658ab98813ap-12, -0x1.e27927839c3cfp-12, -0x1.d3fa10ae91519p-12, -0x1.c5e53f94217cap-12, -0x1.b837c291533f4p-12, -0x1.aaeebc795b5d4p-12, -0x1.9e07640be87d1p-12, -0x1.917f036ec435bp-12, -0x1.8552f7aab8e21p-12, -0x1.7980b02bab1b7p-12, -0x1.6e05ae43d4d8bp-12, -0x1.62df84b210a06p-12, -0x1.580bd72b274c3p-12, -0x1.4d8859e60ba5cp-12, -0x1.4352d12af5e6cp-12, -0x1.396910e553669p-12, -0x1.2fc8fc38737e8p-12, -0x1.26708516e57a3p-12, -0x1.1d5dabdc7dacfp-12, -0x1.148e7eeae9cd8p-12, -0x1.0c011a48d0896p-12, -0x1.03b3a74363195p-12, -0x1.f748b824bc425p-13, -0x1.e7a2f6fcc6b04p-13, -0x1.d872a91345ed3p-13, -0x1.c9b48435934f3p-13, -0x1.bb6555543ba67p-13, -0x1.ad81ffe19c1dbp-13, -0x1.a0077d34a25a3p-13, -0x1.92f2dbefbc77p-13, -0x1.86413f6bcbd21p-13, -0x1.79efdf2701736p-13, -0x1.6dfc06379dbf5p-13, -0x1.626312c268396p-13, -0x1.57227574dbbb5p-13, -0x1.4c37b102ddb34p-13, -0x1.41a059a802352p-13, -0x1.375a14ac2c3c1p-13, -0x1.2d6297eb8f83ap-13, -0x1.23b7a961ea894p-13, -0x1.1a571eb8f181ep-13, -0x1.113edcd9d1f1bp-13, -0x1.086cd781b77b2p-13, -0x1.ffbe21b28a906p-14, -0x1.ef27321ddce1dp-14, -0x1.df111be834e89p-14, -0x1.cf783539fe7e4p-14, -0x1.c058ee065317fp-14, -0x1.b1afcf552f60cp-14, -0x1.a3797a92b2a8dp-14, -0x1.95b2a8e345c09p-14, -0x1.88582a7c94897p-14, -0x1.7b66e60318a8ap-14, -0x1.6edbd7ec3c90fp-14, -0x1.62b411e4de531p-14, -0x1.56ecba3c1b81fp-14, -0x1.4b830b524a0fbp-14, -0x1.4074530bf9c16p-14, -0x1.35bdf248ee2fcp-14, -0x1.2b5d5c5ee5044p-14, -0x1.21501698213fp-14, -0x1.1793b7b58578dp-14, -0x1.0e25e774453e4p-14, -0x1.05045e16f3ae9p-14, -0x1.f859c7e3debffp-15, -0x1.e73aa1f607716p-15, -0x1.d6a718b85b15ap-15, -0x1.c69b1812e1df8p-15, -0x1.b712a8b3477dp-15, -0x1.a809ef4428f22p-15, -0x1.997d2baa08a59p-15, -0x1.8b68b845a1a62p-15, -0x1.7dc9093b98b69p-15, -0x1.709aabc1344cep-15, -0x1.63da456e16d5p-15, -0x1.57849392d8451p-15, -0x1.4b966a944a685p-15, -0x1.400cb54b4ea89p-15, -0x1.34e4746914a0ap-15, -0x1.2a1abddfb1f7fp-15, -0x1.1facbc4ede92cp-15, -0x1.1597ae74be636p-15, -0x1.0bd8e6a2ae0d1p-15, -0x1.026dca35c9ee8p-15, -0x1.f2a7a2269af51p-16, -0x1.e1110a50d784p-16, -0x1.d01303db97634p-16, -0x1.bfa8e7dcb51c7p-16, -0x1.afce30a2f4e5ep-16, -0x1.a07e78d0c100cp-16, -0x1.91b57a7d342edp-16, -0x1.836f0e5b413f2p-16, -0x1.75a72ae6a081cp-16, -0x1.6859e396b13fdp-16, -0x1.5b836816cccbbp-16, -0x1.4f20038414879p-16, -0x1.432c1bb07ce98p-16, -0x1.37a4306b065bap-16, -0x1.2c84daccf1882p-16, -0x1.21cacc8bc76e6p-16, -0x1.1772cf5026d8ep-16, -0x1.0d79c4110fdc9p-16, -0x1.03dca273b9a2dp-16, -0x1.f530f05f88be2p-17, -0x1.e354d0ef05f89p-17, -0x1.d21f56c91b03ap-17, -0x1.c18b1ad054ab8p-17, -0x1.b192dd7f4db9ep-17, -0x1.a23185d92da59p-17, -0x1.93622060ea14dp-17, -0x1.851fde1852ed8p-17, -0x1.77661385ad56ep-17, -0x1.6a3037c03594bp-17, -0x1.5d79e38331452p-17, -0x1.513ed04763e28p-17, -0x1.457ad762cf0dep-17, -0x1.3a29f12e48e45p-17, -0x1.2f483431485a6p-17, -0x1.24d1d45324562p-17, -0x1.1ac32212081dbp-17, -0x1.111889bf2a878p-17, -0x1.07ce92c0952a5p-17, -0x1.fdc3bdaf12064p-18, -0x1.ec9e52d8cd223p-18, -0x1.dc268dbdc923ep-18, -0x1.cc5647b69d1cap-18, -0x1.bd2789686af4ap-18, -0x1.ae948980e039fp-18, -0x1.a097ab7b0e1f3p-18, -0x1.932b7e6c4a49ep-18, -0x1.864abbd98033ep-18, -0x1.79f04693f5c5ap-18, -0x1.6e17299daaeeep-18, -0x1.62ba97159280ep-18, -0x1.57d5e72a62e91p-18, -0x1.4d6497147f58dp-18, -0x1.43624816a8f0cp-18, -0x1.39cabe8542e5ep-18, -0x1.3099e0d3c5e69p-18, -0x1.27cbb6a87f925p-18, -0x1.1f5c67f617fcbp-18, -0x1.17483c1b25deep-18, -0x1.0f8b99071136bp-18, -0x1.08230264a1b68p-18, -0x1.010b18c9e4dd3p-18, -0x1.f48131da3444bp-19, -0x1.e780b5bcf48ep-19, -0x1.db0ea28efd4d4p-19, -0x1.cf25115c83631p-19, -0x1.c3be4d7b8256p-19, -0x1.b8d4d325fa8bcp-19, -0x1.ae634e1b55c5p-19, -0x1.a464984c0df41p-19, -0x1.9ad3b88ceac07p-19, -0x1.91abe152771edp-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.534e2671ff5fap+1, 0x1.5404898eb32e6p+1, 0x1.53c1b46a60052p+1, 0x1.529da877cb6e2p+1, 0x1.50af3a62a41dap+1, 0x1.4e0c004019efbp+1, 0x1.4ac83da1f0b8cp+1, 0x1.46f6d929fe27ap+1, 0x1.42a9602aded18p+1, 0x1.3df01279bb577p+1, 0x1.38d9f0a8a5159p+1, 0x1.3374c8500bec2p+1, 0x1.2dcd40003d7cap+1, 0x1.27eee440674ep+1, 0x1.21e43590476ddp+1, 0x1.1bb6ba360c788p+1, 0x1.156f10c0effb7p+1, 0x1.0f14fe81bfabep+1, 0x1.08af7d4ac9c21p+1, 0x1.0244cb2661152p+1, 0x1.f7b4f19566e82p+0, 0x1.eaeae87cf8418p+0, 0x1.de3436f35a411p+0, 0x1.d198873f7c61dp+0, 0x1.c51e8c4219538p+0, 0x1.b8cc16bde813ep+0, 0x1.aca62996cd293p+0, 0x1.a0b10cc00dfb7p+0, 0x1.94f05ef204cf9p+0, 0x1.8967260a90ddap+0, 0x1.7e17ddfd9aefep+0, 0x1.7304868619564p+0, 0x1.682eafde2cf48p+0, 0x1.5d9786879f752p+0, 0x1.533fde08cde9ep+0, 0x1.49283aa72d81p+0, 0x1.3f50da51d8c6bp+0, 0x1.35b9bce14b1fcp+0, 0x1.2c62abaa982ebp+0, 0x1.234b405982f93p+0, 0x1.1a72eb1a9cf64p+0, 0x1.11d8f832035e5p+0, 0x1.097c951668593p+0, 0x1.015cd5156e77ap+0, 0x1.f2f16af72c71ep-1, 0x1.e39e42808de3ap-1, 0x1.d4bde88706e2dp-1, 0x1.c64dfc644be8fp-1, 0x1.b84c0a43c72cfp-1, 0x1.aab58fd959195p-1, 0x1.9d880095fdb1ep-1, 0x1.90c0c9563332dp-1, 0x1.845d538e021c6p-1, 0x1.785b0801d6c2cp-1, 0x1.6cb751219bd3ep-1, 0x1.616f9d19a6c26p-1, 0x1.56815fa56334dp-1, 0x1.4bea13a7b535p-1, 0x1.41a73c88d1afap-1, 0x1.37b66759f976bp-1, 0x1.2e152bc31ec59p-1, 0x1.24c12cc22681fp-1, 0x1.1bb819454d7a8p-1, 0x1.12f7a990fbfd3p-1, 0x1.0a7daf073d48ap-1, 0x1.0247f84d69e1bp-1, 0x1.f4a8d06f538bfp-2, 0x1.e541de8d98ea9p-2, 0x1.d657177b57b37p-2, 0x1.c7e4934cc318bp-2, 0x1.b9e685922bc19p-2, 0x1.ac593d2c33693p-2, 0x1.9f392409d45edp-2, 0x1.9282bed372e6bp-2, 0x1.8632ac862fcbp-2, 0x1.7a45a6028a88p-2, 0x1.6eb87d9135808p-2, 0x1.63881e609ad3ep-2, 0x1.58b18bfd1fd7cp-2, 0x1.4e31e1c5ba819p-2, 0x1.4406525e012ep-2, 0x1.3a2c271e8933bp-2, 0x1.30a0bf8421de4p-2, 0x1.2761909e56b1cp-2, 0x1.1e6c247d865e6p-2, 0x1.15be19a0cf0a8p-2, 0x1.0d5522641d5bap-2, 0x1.052f046eaa54p-2, 0x1.fa93304490ac5p-3, 0x1.eb459017c1e1ep-3, 0x1.dc7120ab1f4c1p-3, 0x1.ce11fc757315ap-3, 0x1.c0245efcf373ep-3, 0x1.b2a4a3c969a79p-3, 0x1.a58f455c07ddap-3, 0x1.98e0dc2d71e08p-3, 0x1.8c961db225766p-3, 0x1.80abdb659de72p-3, 0x1.751f01dc419d5p-3, 0x1.69ec97dc4c074p-3, 0x1.5f11bd7da13ccp-3, 0x1.548bab508e0fdp-3, 0x1.4a57b18b3dfcfp-3, 0x1.4073373dd01dcp-3, 0x1.36dbb98cba30bp-3, 0x1.2d8ecaf1505e8p-3, 0x1.248a1280350c4p-3, 0x1.1bcb4b3589247p-3, 0x1.13504346affb8p-3, 0x1.0b16db799ee45p-3, 0x1.031d06818d5c1p-3, 0x1.f6c190c219abp-4, 0x1.e7c06ba2cf328p-4, 0x1.d932e75e5df47p-4, 0x1.cb156cd7c947cp-4, 0x1.bd6483092d16ep-4, 0x1.b01ccdfa7c094p-4, 0x1.a33b0dc17a104p-4, 0x1.96bc1d8a8e5e2p-4, 0x1.8a9cf2aa1e4edp-4, 0x1.7eda9bb61407dp-4, 0x1.73723fa751a56p-4, 0x1.68611d02cf2aep-4, 0x1.5da4890a2b16dp-4, 0x1.5339eef378207p-4, 0x1.491ecf28197fap-4, 0x1.3f50be8a7c23ap-4, 0x1.35cd65c278c55p-4, 0x1.2c9280903064p-4, 0x1.239ddd2528c4ap-4, 0x1.1aed5b8377dep-4, 0x1.127eece2c39dfp-4, 0x1.0a50931ae32ecp-4, 0x1.02606013eb07ep-4, 0x1.f558ea76e34c6p-5, 0x1.e66605fdb156ap-5, 0x1.d7e49094dde3ap-5, 0x1.c9d1241a717abp-5, 0x1.bc2875826851bp-5, 0x1.aee753efdf341p-5, 0x1.a20aa7d68c7edp-5, 0x1.958f7224387ccp-5, 0x1.8972cb71e491dp-5, 0x1.7db1e33c5c3e5p-5, 0x1.7249ff23dd4bbp-5, 0x1.67387a329d6f1p-5, 0x1.5c7ac429df451p-5, 0x1.520e6ce3bcd29p-5, 0x1.47f0f1cbc23fcp-5, 0x1.3e200a6c48381p-5, 0x1.349972ea965f4p-5, 0x1.2b5af8fe6c116p-5, 0x1.22627b617f2fbp-5, 0x1.19ade944084d7p-5, 0x1.113b41c62993ep-5, 0x1.0908937602447p-5, 0x1.0113fbd244474p-5, 0x1.f2b74da2367p-6, 0x1.e3bb9cd68707ep-6, 0x1.d531745642cb2p-6, 0x1.c7157d7f6e09bp-6, 0x1.b9647b26a4a93p-6, 0x1.ac1b48cba332cp-6, 0x1.9f36d9d4af199p-6, 0x1.92b438d0a5edp-6, 0x1.869086bf72bb2p-6, 0x1.7ac8fa60a6133p-6, 0x1.6f5adf87feb49p-6, 0x1.64439677a717ap-6, 0x1.5980933ff2573p-6, 0x1.4f0f5d2460e24p-6, 0x1.44ed8e05c6f6ap-6, 0x1.3b18d1d157ac1p-6, 0x1.318ee5f471602p-6, 0x1.284d98d4f98dp-6, 0x1.1f52c94e22cp-6, 0x1.169c66317275fp-6, 0x1.0e286dcbdca61p-6, 0x1.05f4ed6eda3d4p-6, 0x1.fc0001fa8fbe7p-7, 0x1.ec8fa4f7f6adp-7, 0x1.dd95334bba10dp-7, 0x1.cf0d3706eeb48p-7, 0x1.c0f4540b985c8p-7, 0x1.b3474748ca6acp-7, 0x1.a602e5fcd8d84p-7, 0x1.99241cfd981c3p-7, 0x1.8ca7f0063fa1bp-7, 0x1.808b790aed64cp-7, 0x1.74cbe7917be65p-7, 0x1.6966800f7c04bp-7, 0x1.5e589b4d3c35ap-7, 0x1.539fa5cd982a1p-7, 0x1.49391f3a7a585p-7, 0x1.3f2299d5d1377p-7, 0x1.3559b9eeef4d9p-7, 0x1.2bdc355c14a0fp-7, 0x1.22a7d2f80d8e1p-7, 0x1.19ba6a23bfe43p-7, 0x1.1111e24b84c93p-7, 0x1.08ac32703049p-7, 0x1.008760b3a79cep-7, 0x1.f14303d1cf3aap-8, 0x1.e1f1724ec0ff9p-8, 0x1.d3166ec311c81p-8, 0x1.c4ae75fd223b5p-8, 0x1.b6b61eee329e2p-8, 0x1.a92a19e9ab4c9p-8, 0x1.9c072fea0b22ap-8, 0x1.8f4a41db52bcep-8, 0x1.82f047eabf876p-8, 0x1.76f650dbaa694p-8, 0x1.6b598161637e6p-8, 0x1.6017137de0ed2p-8, 0x1.552c55e51da9dp-8, 0x1.4a96ab64fe374p-8, 0x1.40538a519f3e6p-8, 0x1.36607bf5e4e4ap-8, 0x1.2cbb1c082bea9p-8, 0x1.23611822fde56p-8, 0x1.1a502f41a9531p-8, 0x1.118631409ce4cp-8, 0x1.0900fe616b3fdp-8, 0x1.00be86d25d51ep-8, 0x1.f1799472e6d0cp-9, 0x1.e1f3ae857bee3p-9, 0x1.d2e79663ea92p-9, 0x1.c451a2ee6b4b1p-9, 0x1.b62e468d923bap-9, 0x1.a87a0e67d45afp-9, 0x1.9b31a19cc7337p-9, 0x1.8e51c085ff871p-9, 0x1.81d743fd57ae7p-9, 0x1.75bf1ca87acc7p-9, 0x1.6a065249930edp-9, 0x1.5eaa0314ec423p-9, 0x1.53a7630b67421p-9, 0x1.48fbbb59a7312p-9, 0x1.3ea469bbc1dd3p-9, 0x1.349edfe562fc4p-9, 0x1.2ae8a2ee3adb2p-9, 0x1.217f4ac29865ap-9, 0x1.186081981143cp-9, 0x1.0f8a03661eb5ep-9, 0x1.06f99d628a089p-9, 0x1.fd5a5b0327978p-10, 0x1.ed4543f3746f6p-10, 0x1.ddaff195fd521p-10, 0x1.ce967e9338422p-10, 0x1.bff523580fe4fp-10, 0x1.b1c83538618f8p-10, 0x1.a40c2597be9cp-10, 0x1.96bd8118487e3p-10, 0x1.89d8eecf6e2dp-10, 0x1.7d5b2f807b1b9p-10, 0x1.71411cdcb7971p-10, 0x1.6587a8c8f43fdp-10, 0x1.5a2bdca86a19bp-10, 0x1.4f2ad8acbc895p-10, 0x1.4481d32af2757p-10, 0x1.3a2e17f55909bp-10, 0x1.302d07ba16aefp-10, 0x1.267c176656941p-10, 0x1.1d18cf8df0a22p-10, 0x1.1400cbd766735p-10, 0x1.0b31ba6c12659p-10, 0x1.02a95b6c813dep-10, 0x1.f4cb00d17152ap-11, 0x1.e4c817b8cf95fp-11, 0x1.d545e15db83eap-11, 0x1.c640636d412b9p-11, 0x1.b7b3c28159f7p-11, 0x1.a99c41361b77fp-11, 0x1.9bf63f45d3b05p-11, 0x1.8ebe38ab9ea65p-11, 0x1.81f0c4cc60051p-11, 0x1.758a95a5eca79p-11, 0x1.69887704385f3p-11, 0x1.5de74dbc625a5p-11, 0x1.52a416ed6e2d9p-11, 0x1.47bbe74685ec3p-11, 0x1.3d2bea529e5ap-11, 0x1.32f161c952e23p-11, 0x1.2909a4e4da78fp-11, 0x1.1f721fbce7787p-11, 0x1.162852a658cd1p-11, 0x1.0d29d197945c8p-11, 0x1.047443916a00cp-11, 0x1.f80ac418c2babp-12, 0x1.e7b5f0d49acfcp-12, 0x1.d7e5c6d81b169p-12, 0x1.c8962156afd6ep-12, 0x1.b9c2fc30e960fp-12, 0x1.ab6872f795a87p-12, 0x1.9d82bff64b574p-12, 0x1.900e3b4525f3ep-12, 0x1.830759e18e9e1p-12, 0x1.766aaccdce4ap-12, 0x1.6a34e03744fcdp-12, 0x1.5e62baa30dc07p-12, 0x1.52f11c20e32c2p-12, 0x1.47dcfd8419449p-12, 0x1.3d236fa27ab74p-12, 0x1.32c19a98e39c2p-12, 0x1.28b4bd156cb3fp-12, 0x1.1efa2ba704039p-12, 0x1.158f50123da63p-12, 0x1.0c71a8ab4821p-12, 0x1.039ec7b4d06b6p-12, 0x1.f628a5876e1cbp-13, 0x1.e5a0044eef71bp-13, 0x1.d59f40ae21b44p-13, 0x1.c62212c4bb7cdp-13, 0x1.b72454cf6995fp-13, 0x1.a8dd7face8c81p-13, 0x1.9ad2522717807p-13, 0x1.8d3ae0cbe3cep-13, 0x1.8013843ad5796p-13, 0x1.7358b2412467ep-13, 0x1.6706fcf3612ccp-13, 0x1.5b1b11ce09522p-13, 0x1.4f91b8dce8b95p-13, 0x1.4467d3e900043p-13, 0x1.399a5dacd333dp-13, 0x1.2f26690ee4248p-13, 0x1.250920622daaep-13, 0x1.1b3fc4ac71613p-13, 0x1.11c7acf2341fp-13, 0x1.089e458822d88p-13, 0x1.ff821ed3d0032p-14, 0x1.ee5b3f2c2059p-14, 0x1.ddc33cde08675p-14, 0x1.cdb58e41b3bffp-14, 0x1.be2dce17b70dbp-14, 0x1.af27ba674e309p-14, 0x1.a09f3365720bp-14, 0x1.92903a64acf4ap-14, 0x1.84f6f0cd1653dp-14, 0x1.77cf971c9b31p-14, 0x1.6b168bef10719p-14, 0x1.5ec84b0de85b5p-14, 0x1.52e16c8751ba8p-14, 0x1.475ea3cc84ae6p-14, 0x1.3c3cbed70881bp-14, 0x1.3178a554b71cp-14, 0x1.270f57da4d0d8p-14, 0x1.1cfdef1c6173ep-14, 0x1.13419b2e6e2c9p-14, 0x1.09d7a2c7e853ep-14, 0x1.00bd628f16bd9p-14, 0x1.efe098d3316cfp-15, 0x1.dedbcda477eaap-15, 0x1.ce6798688900ap-15, 0x1.be7f5497678c7p-15, 0x1.af1e831530ef4p-15, 0x1.a040c90652ac3p-15, 0x1.91e1eead0d2b2p-15, 0x1.83fdde5012a0bp-15, 0x1.7690a329df62cp-15, 0x1.699668609093bp-15, 0x1.5d0b7806215c9p-15, 0x1.50ec3a204b6fdp-15, 0x1.453533b8860c3p-15, 0x1.39e305f351178p-15, 0x1.2ef26d2eddf8bp-15, 0x1.24604028ab8c4p-15, 0x1.1a296f2a10271p-15, 0x1.104b033b5739cp-15, 0x1.06c21d5d4d77cp-15, 0x1.fb17eb92052c8p-16, 0x1.e94bb66b18c71p-16, 0x1.d81a64477c7fdp-16, 0x1.c77ee85e9bb71p-16, 0x1.b7745ecb610c8p-16, 0x1.a7f60b4447ac5p-16, 0x1.98ff57dde0d3ep-16, 0x1.8a8bd3d71dbcdp-16, 0x1.7c97326f721adp-16, 0x1.6f1d49c668daap-16, 0x1.621a11c3d51e8p-16, 0x1.5589a3094d218p-16, 0x1.496835ebeae08p-16, 0x1.3db2217647ba1p-16, 0x1.3263da727e6acp-16, 0x1.2779f27be4db8p-16, 0x1.1cf117185b2bp-16, 0x1.12c610d87a5ccp-16, 0x1.08f5c27f8cdd7p-16, 0x1.fefa50629cbdfp-17, 0x1.ecb2ad4e3f948p-17, 0x1.db0ef4d6614d6p-17, 0x1.ca09ae33d4b15p-17, 0x1.b99d8d52b4676p-17, 0x1.a9c5716cc4579p-17, 0x1.9a7c63af0b45p-17, 0x1.8bbd95ea5c8fep-17, 0x1.7d84614e2c657p-17, 0x1.6fcc452de8014p-17, 0x1.6290e5cfe719p-17, 0x1.55ce0b45d82ecp-17, 0x1.497fa04f28c4cp-17, 0x1.3da1b142f6434p-17, 0x1.32306b0402d2p-17, 0x1.272819fc72bb4p-17, 0x1.1c852921bc6a1p-17, 0x1.12442100686fcp-17, 0x1.0861a6cfa79f4p-17, 0x1.fdb4f7180e1fcp-18, 0x1.eb56f632e8a61p-18, 0x1.d9a336d7f561p-18, 0x1.c893d76f70bedp-18, 0x1.b823274ce4e68p-18, 0x1.a84ba5284e8aep-18, 0x1.9907fda2e60b2p-18, 0x1.8a5309d7d98bfp-18, 0x1.7c27cdf8193c3p-18, 0x1.6e8177f13caf6p-18, 0x1.615b5e204ac81p-18, 0x1.54b0fe0c458e8p-18, 0x1.487dfb2d698e4p-18, 0x1.3cbe1dbc9ced6p-18, 0x1.316d518cd7146p-18, 0x1.2687a4ed69e64p-18, 0x1.1c0947951bd0bp-18, 0x1.11ee899664457p-18, 0x1.0833da5ab96d3p-18, 0x1.fdab8f4e092dp-19, 0x1.eba1f94ecf219p-19, 0x1.da4482053448ap-19, 0x1.c98cefe8a84d1p-19, 0x1.b9753edea111cp-19, 0x1.a9f79e8acd27fp-19, 0x1.9b0e70af3300cp-19, 0x1.8cb44794d1fcep-19, 0x1.7ee3e484f8d34p-19, 0x1.7198364c715efp-19, 0x1.64cc57caef415p-19, 0x1.587b8e8d8f3eap-19, 0x1.4ca14974c2fd5p-19, 0x1.41391f647fb3ap-19, 0x1.363ecdfe6284fp-19, 0x1.2bae3866f6512p-19, 0x1.2183661355ea4p-19, 0x1.17ba81a1696afp-19, 0x1.0e4fd7b7d8c7p-19, 0x1.053fd5efbf02cp-19, 0x1.f90e138ed0f5dp-20, 0x1.e8443f365ffe1p-20, 0x1.d81bc353f3c35p-20, 0x1.c88e6e38c0f5ep-20, 0x1.b996463419d3ap-20, 0x1.ab2d87bdf628fp-20, 0x1.9d4ea3bb97f4fp-20, 0x1.8ff43dcb2678fp-20, 0x1.83192aa0a12ep-20, 0x1.76b86e6c523dbp-20, 0x1.6acd3b4ff9e1p-20, 0x1.5f52efdf76da1p-20, 0x1.544515ace9b98p-20, 0x1.499f5fe0e682ep-20, 0x1.3f5da9dcf55aap-20, 0x1.357bf5e913ca6p-20, 0x1.2bf66bec3a11p-20, 0x1.22c9582e0aa4bp-20, 0x1.19f12a229f2b4p-20, 0x1.116a73404e03cp-20, 0x1.0931e5dd16a09p-20, 0x1.014454165514p-20, 0x1.f33d5d8964a94p-21, 0x1.e47c08db4f163p-21, 0x1.d63f0091c482ap-21, 0x1.c880d28efbd89p-21, 0x1.bb3c4248653ep-21, 0x1.ae6c46f620c43p-21, 0x1.a20c09cf6ea74p-21, 0x1.9616e4579155cp-21, 0x1.8a885eb60b224p-21, 0x1.7f5c2e1cae46cp-21, 0x1.748e333b38e47p-21, 0x1.6a1a78bc7f488p-21, 0x1.5ffd31d4e9f0cp-21, 0x1.5632b8d738a98p-21, 0x1.4cb78dd66796ap-21, 0x1.438855556aeecp-21, 0x1.3aa1d6fb6f537p-21, 0x1.3200fc559c768p-21, 0x1.29a2cfab80886p-21, 0x1.21847ac874255p-21, 0x1.19a345e270c06p-21, 0x1.11fc967f75334p-21, 0x1.0a8dee6b4e048p-21, 0x1.0354eaaae7074p-21, 0x1.f89e85042689cp-22, 0x1.eaf58cfab3feap-22, 0x1.ddaabf08526acp-22, 0x1.d0ba1be132535p-22, 0x1.c41fd166ce316p-22, 0x1.b7d838f568945p-22, 0x1.abdfd5c18f6f9p-22, 0x1.a03353466ae2fp-22, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.d5526a713ab2ep-5, -0x1.b77ebbde8d1f1p-4, -0x1.40dc0aceb7b79p-3, -0x1.a3a67c11bfb3bp-3, -0x1.01a072d3c3befp-2, -0x1.2f79a12990aa5p-2, -0x1.5b145fcbfba6cp-2, -0x1.8435cf13f421dp-2, -0x1.aab0e0c874981p-2, -0x1.ce65140e6403dp-2, -0x1.ef3d4181719b2p-2, -0x1.06972c1a48c87p-1, -0x1.141b090c4bcd6p-1, -0x1.202cd0a3ddd14p-1, -0x1.2ad2322bfbeb2p-1, -0x1.341366152e9f1p-1, -0x1.3bfac161ba6f2p-1, -0x1.42945b4f84e19p-1, -0x1.47edb88448e6ep-1, -0x1.4c15766134976p-1, -0x1.4f1af5c218b2p-1, -0x1.510e0b258ca04p-1, -0x1.51feb54a64719p-1, -0x1.51fd517d14d06p-1, -0x1.511a148b571a7p-1, -0x1.4f65020a22a01p-1, -0x1.4cedcfb777bfcp-1, -0x1.49c3cec8fc12fp-1, -0x1.45f5daa1efaf8p-1, -0x1.41924bbd7bf15p-1, -0x1.3ca6ed4cbc544p-1, -0x1.3740f4b588b35p-1, -0x1.316cfaf5deb45p-1, -0x1.2b36f8206efc2p-1, -0x1.24aa40ec908fap-1, -0x1.1dd1862d585afp-1, -0x1.16b6d5f66c5b4p-1, -0x1.0f639e1bc0c19p-1, -0x1.07e0afa885475p-1, -0x1.0036430627d9p-1, -0x1.f0d7f98ac3b23p-2, -0x1.e111e6339ae53p-2, -0x1.d12768047b58dp-2, -0x1.c12497d0a5621p-2, -0x1.b11498cc17dap-2, -0x1.a101a5d73bc55p-2, -0x1.90f51e466e2b9p-2, -0x1.80f792216a72cp-2, -0x1.7110cdf23f8ecp-2, -0x1.6147e636c8576p-2, -0x1.51a342780f975p-2, -0x1.4228a80282172p-2, -0x1.32dd443b3c2e8p-2, -0x1.23c5b6931e623p-2, -0x1.14e61a16d8264p-2, -0x1.06420e92643f4p-2, -0x1.efb982694a537p-3, -0x1.d371e93ba540dp-3, -0x1.b7b2109c970c8p-3, -0x1.9c7dfeff36f9ep-3, -0x1.81d90f0d4308dp-3, -0x1.67c5fbd3ec98ap-3, -0x1.4e46ecacfae5p-3, -0x1.355f5457afbdbp-3, -0x1.1d0bea56a32adp-3, -0x1.054fe73d5e9cfp-3, -0x1.dc576008c4d56p-4, -0x1.af3e9d0442d2p-4, -0x1.8354f2a37dbd5p-4, -0x1.589936858bd72p-4, -0x1.2f09b4ace4dc4p-4, -0x1.06a43c9b47545p-4, -0x1.becc5b2c5c097p-5, -0x1.7299043d5f61bp-5, -0x1.28a7b557f7566p-5, -0x1.c1e21eea778a4p-6, -0x1.36da4d0c045a8p-6, -0x1.604e4d35aa381p-7, -0x1.6db843cbeb644p-9, 0x1.42219549a2cdbp-8, 0x1.955423b06e8e3p-7, 0x1.40c167925999ep-6, 0x1.b2e233014101p-6, 0x1.109045d6a604bp-5, 0x1.45c85fd1f6d2p-5, 0x1.7923a0b84ccdp-5, 0x1.aaac4c3e6e11bp-5, 0x1.da6ca9d7b76a2p-5, 0x1.04377f84c9336p-4, 0x1.1a5ec5512887cp-4, 0x1.2fb1405857c2p-4, 0x1.4434038c91731p-4, 0x1.57ec1953c9a2ep-4, 0x1.6ade823f60064p-4, 0x1.7d1033e4dba63p-4, 0x1.8e8617cbc46ecp-4, 0x1.9f450a66b66cbp-4, 0x1.af51da101615cp-4, 0x1.beb146052a7fp-4, 0x1.cd67fd5d22116p-4, 0x1.db7a9dfbd8392p-4, 0x1.e8edb382cf936p-4, 0x1.f5c5b644bc4bep-4, 0x1.01038520adcebp-3, 0x1.06daff182c012p-3, 0x1.0c6b6550ea593p-3, 0x1.11b6c89d59c8fp-3, 0x1.16bf2e08d4d1ap-3, 0x1.1b868e983f1f3p-3, 0x1.200ed71d99f13p-3, 0x1.2459e81eab3a3p-3, 0x1.286995cdf18b9p-3, 0x1.2c3fa814bd419p-3, 0x1.2fdddaacac932p-3, 0x1.3345dd46bcba6p-3, 0x1.367953bde5b87p-3, 0x1.3979d6536e83ap-3, 0x1.3c48f1f30b48bp-3, 0x1.3ee8287d34a4ap-3, 0x1.4158f11617c9bp-3, 0x1.439cb877bdf4fp-3, 0x1.45b4e1461dd49p-3, 0x1.47a2c463cb42fp-3, 0x1.4967b14623f21p-3, 0x1.4b04ee47e3f2cp-3, 0x1.4c7bb8f91b189p-3, 0x1.4dcd466ba6701p-3, 0x1.4efac37b6fcaep-3, 0x1.50055511e15b5p-3, 0x1.50ee18642677bp-3, 0x1.51b6232c0ca7ap-3, 0x1.525e83db798cap-3, 0x1.52e841caba41cp-3, 0x1.53545d61e803p-3, 0x1.53a3d03df6c37p-3, 0x1.53d78d51fdf37p-3, 0x1.53f081055ff49p-3, 0x1.53ef914f872f2p-3, 0x1.53d59dd1edfe3p-3, 0x1.53a37ff11c152p-3, 0x1.535a0aed334efp-3, 0x1.52fa0bfa9d08bp-3, 0x1.52844a5b4d04cp-3, 0x1.51f98778f4704p-3, 0x1.515a7f006c4a1p-3, 0x1.50a7e6fe886dap-3, 0x1.4fe26ffe693f3p-3, 0x1.4f0f994b8ca48p-3, 0x1.4e26a5a0514a9p-3, 0x1.4d2cae97cf2eep-3, 0x1.4c224fcaf3279p-3, 0x1.4b082066ccaa3p-3, 0x1.49deb34a27a11p-3, 0x1.48a69722aea07p-3, 0x1.47605689b6068p-3, 0x1.460c7820d6bb1p-3, 0x1.44ab7eae6862ep-3, 0x1.433de939ebbe8p-3, 0x1.41c4332866f58p-3, 0x1.403ed458b9166p-3, 0x1.3eae413fcdebcp-3, 0x1.3d12eb04b4cbp-3, 0x1.3b6d3f9c7ab0cp-3, 0x1.39bda9e5bee0fp-3, 0x1.380491c3dc366p-3, 0x1.36425c39a1dbap-3, 0x1.34776b837599cp-3, 0x1.32a41f30d1aacp-3, 0x1.30c8d43d048cdp-3, 0x1.2ee5e52725a56p-3, 0x1.2cfbaa092a77fp-3, 0x1.2b0a78ae0f401p-3, 0x1.2912a4a709407p-3, 0x1.27147f5fbc9fbp-3, 0x1.251058316de7cp-3, 0x1.23067c752d657p-3, 0x1.20f73794fb878p-3, 0x1.1ee2d31bf0cbp-3, 0x1.1cc996c55dc57p-3, 0x1.1aabc88afdb05p-3, 0x1.1889acb2338cp-3, 0x1.166385d86a799p-3, 0x1.143994fe95c89p-3, 0x1.120c1993e9585p-3, 0x1.0fdb517fda22fp-3, 0x1.0da7792b644e2p-3, 0x1.0b70cb89bd75ap-3, 0x1.09378220724e7p-3, 0x1.06fbd50f0058ep-3, 0x1.04bdfb160605p-3, 0x1.027e299e0949cp-3, 0x1.003c94bdf1b51p-3, 0x1.fbf2de826a28cp-4, 0x1.f769d55ba06e8p-4, 0x1.f2de6e9415d76p-4, 0x1.ee5108443a611p-4, 0x1.e9c1fe1b6ec3p-4, 0x1.e531a96adffebp-4, 0x1.e0a0613054ddep-4, 0x1.dc0e7a20e2cf3p-4, 0x1.d77c46b392edap-4, 0x1.d2ea172c01c18p-4, 0x1.ce5839a4f7f6ep-4, 0x1.c9c6fa1afc0bcp-4, 0x1.c536a276eb06dp-4, 0x1.c0a77a9873467p-4, 0x1.bc19c860981b7p-4, 0x1.b78dcfbc15b96p-4, 0x1.b303d2adc8ab8p-4, 0x1.ae7c1158dcfe4p-4, 0x1.a9f6ca0b04721p-4, 0x1.a574394669d4cp-4, 0x1.a0f499cb980ap-4, 0x1.9c7824a32c4d8p-4, 0x1.97ff112754e94p-4, 0x1.9389950d2acd2p-4, 0x1.8f17e46dcdee7p-4, 0x1.8aaa31cf4dee5p-4, 0x1.8640ae2d57fe8p-4, 0x1.81db8901ab12p-4, 0x1.7d7af04c4e7bbp-4, 0x1.791f109b8c61bp-4, 0x1.74c81513ac28ap-4, 0x1.70762776713b1p-4, 0x1.6c29702a599bp-4, 0x1.67e216419f67bp-4, 0x1.63a03f80fdb2ap-4, 0x1.5f6410663766fp-4, 0x1.5b2dac2e66c75p-4, 0x1.56fd34dc0f58bp-4, 0x1.52d2cb3cfbe7ep-4, 0x1.4eae8eefe4ca3p-4, 0x1.4a909e69e3a13p-4, 0x1.467916fbb6bd6p-4, 0x1.426814d6d5014p-4, 0x1.3e5db312583f8p-4, 0x1.3a5a0bafbd343p-4, 0x1.365d379f7f12cp-4, 0x1.32674ec59120dp-4, 0x1.2e7867fdb84b8p-4, 0x1.2a90991fc8c53p-4, 0x1.26aff703cb882p-4, 0x1.22d695860cfb7p-4, 0x1.1f04878b194b9p-4, 0x1.1b39df03a839ep-4, 0x1.1776acf07be73p-4, 0x1.13bb016634e38p-4, 0x1.1006eb911d17bp-4, 0x1.0c5a79b8ec869p-4, 0x1.08b5b94489d5dp-4, 0x1.0518b6bdc7abap-4, 0x1.01837dd5201d7p-4, 0x1.fbec32cae258cp-5, 0x1.f4e126ef7067dp-5, 0x1.ede5ea8da1b9fp-5, 0x1.e6fa8e86687ccp-5, 0x1.e01f222d76a92p-5, 0x1.d953b350c8947p-5, 0x1.d2984e4031f8p-5, 0x1.cbecfdd4f3c48p-5, 0x1.c551cb79519b2p-5, 0x1.bec6bf302df63p-5, 0x1.b84bdf9ca8145p-5, 0x1.b1e13209b8d4cp-5, 0x1.ab86ba71d2bf7p-5, 0x1.a53c7b867ee13p-5, 0x1.9f0276b7f56fep-5, 0x1.98d8ac3cb4acp-5, 0x1.92bf1b190ef63p-5, 0x1.8cb5c126b39e2p-5, 0x1.86bc9b1c2d231p-5, 0x1.80d3a4945431bp-5, 0x1.7afad815b8c8bp-5, 0x1.75322f19fc95bp-5, 0x1.6f79a2151d233p-5, 0x1.69d1287cb101cp-5, 0x1.6438b8cf1088ep-5, 0x1.5eb0489a6ec2fp-5, 0x1.5937cc83dce2ap-5, 0x1.53cf384e3b6c4p-5, 0x1.4e767ee11372ep-5, 0x1.492d924f5bc69p-5, 0x1.43f463de27f8dp-5, 0x1.3ecae40b3ca32p-5, 0x1.39b102938f452p-5, 0x1.34a6ae79ab0cp-5, 0x1.2fabd60bfe603p-5, 0x1.2ac066eb0ca84p-5, 0x1.25e44e0f892c3p-5, 0x1.211777d05579fp-5, 0x1.1c59cfe86727ep-5, 0x1.17ab417c90bep-5, 0x1.130bb721341a6p-5, 0x1.0e7b1adfd52aep-5, 0x1.09f9563c9622ep-5, 0x1.0586523b967c3p-5, 0x1.0121f76637953p-5, 0x1.f9985ba0915bbp-6, 0x1.f109ba3a2aac9p-6, 0x1.e897d908b5c5cp-6, 0x1.e04285ae4be5ap-6, 0x1.d8098d09241ep-6, 0x1.cfecbb3ce4d42p-6, 0x1.c7ebdbbbc12e2p-6, 0x1.c006b94f6322p-6, 0x1.b83d1e21a5aabp-6, 0x1.b08ed3c51d072p-6, 0x1.a8fba33d70878p-6, 0x1.a183550780fc7p-6, 0x1.9a25b1216438cp-6, 0x1.92e27f1234f3p-6, 0x1.8bb985f1ab0f2p-6, 0x1.84aa8c6f965a5p-6, 0x1.7db558db21af6p-6, 0x1.773d5c640ec81p-6, 0x1.707baa4ccf564p-6, 0x1.69d3096f87dd5p-6, 0x1.63433eaca1b8fp-6, 0x1.5ccc0ea52e7ebp-6, 0x1.566d3dc1791a3p-6, 0x1.5026903770351p-6, 0x1.49f7ca10e2e1bp-6, 0x1.43e0af31a06cp-6, 0x1.3de1035d679c5p-6, 0x1.37f88a3db37f4p-6, 0x1.32270767644a2p-6, 0x1.2c6c3e603ebacp-6, 0x1.26c7f2a448488p-6, 0x1.2139e7ab00d9fp-6, 0x1.1bc1e0ec767a9p-6, 0x1.165fa1e6352dbp-6, 0x1.1112ee2017ca8p-6, 0x1.0bdb8930f1706p-6, 0x1.06b936c318b8bp-6, 0x1.01abba98cfba1p-6, 0x1.f965b12118c05p-7, 0x1.ef9ca9523f631p-7, 0x1.e5fbe60b769cbp-7, 0x1.dc82efe3bb334p-7, 0x1.d3314fca28bcbp-7, 0x1.ca068f0d56189p-7, 0x1.c10237626a229p-7, 0x1.b823d2ebf2794p-7, 0x1.af6aec408ea2ep-7, 0x1.a6d70e714afaap-7, 0x1.9e67c50fd164bp-7, 0x1.961c9c3461b72p-7, 0x1.8df5208389653p-7, 0x1.85f0df33af8a2p-7, 0x1.7e0f66125bfd4p-7, 0x1.765043895b37bp-7, 0x1.6eb306a39eab6p-7, 0x1.67373f11f179cp-7, 0x1.5fdc7d2f77af6p-7, 0x1.58a25205ff0ddp-7, 0x1.51884f5218f2bp-7, 0x1.4a8e07870a059p-7, 0x1.43b30dd2848f9p-7, 0x1.3cf6f6203bb25p-7, 0x1.3659551d4389p-7, 0x1.2fd9c03b465c5p-7, 0x1.2977cdb38f79cp-7, 0x1.23331489eb1e4p-7, 0x1.1d0b2c8f5a9bep-7, 0x1.16ffae64a2a39p-7, 0x1.1110337cb02eap-7, 0x1.0b3c561ed7f87p-7, 0x1.0583b168ef8c8p-7, 0x1.ffcbc2a28210cp-8, 0x1.f4c50550b99eap-8, 0x1.e9f2663590ac7p-8, 0x1.df5322651188bp-8, 0x1.d4e678b1251d8p-8, 0x1.caaba9ac2626dp-8, 0x1.c0a1f7ab412f8p-8, 0x1.b6c8a6c893cffp-8, 0x1.ad1efce51672ap-8, 0x1.a3a441aa4b442p-8, 0x1.9a57be8bbb091p-8, 0x1.9138bec83de16p-8, 0x1.88468f6b11f17p-8, 0x1.7f807f4cc2793p-8, 0x1.76e5df13e10a2p-8, 0x1.6e76013592d43p-8, 0x1.663039f5f2e1ep-8, 0x1.5e13df684cec3p-8, 0x1.5620496f2f5e8p-8, 0x1.4e54d1bc5489cp-8, 0x1.46b0d3d07282ap-8, 0x1.3f33acfad8556p-8, 0x1.37dcbc58f6655p-8, 0x1.30ab62d5c03c6p-8, 0x1.299f0328f084cp-8, 0x1.22b701d62ee45p-8, 0x1.1bf2c52c1b1a5p-8, 0x1.1551b5433776cp-8, 0x1.0ed33bfcbf9d6p-8, 0x1.0876c5015cf22p-8, 0x1.023bbdbfc9d97p-8, 0x1.f8432ad6b2c75p-9, 0x1.ec4f79f4c7e41p-9, 0x1.e09b4e494cb37p-9, 0x1.d52590c309314p-9, 0x1.c9ed2dcc6edbdp-9, 0x1.bef11547d0fe1p-9, 0x1.b4303a8b7351p-9, 0x1.a9a9945d6dd44p-9, 0x1.9f5c1cef71208p-9, 0x1.9546d1da6351dp-9, 0x1.8b68b419da9a6p-9, 0x1.81c0c80774efp-9, 0x1.784e15560e7cp-9, 0x1.6f0fa70cda448p-9, 0x1.66048b8253e9cp-9, 0x1.5d2bd4571aed6p-9, 0x1.54849670aa7cdp-9, 0x1.4c0de9f3fcf8cp-9, 0x1.43c6ea3fffa21p-9, 0x1.3baeb5e804072p-9, 0x1.33c46eae06179p-9, 0x1.2c07397cddf46p-9, 0x1.24763e625599fp-9, 0x1.1d10a8892a46p-9, 0x1.15d5a632f518ep-9, 0x1.0ec468b1fca14p-9, 0x1.07dc2462ed136p-9, 0x1.011c10a6880e8p-9, 0x1.f506cfb656933p-10, 0x1.e822ceacb421ap-10, 0x1.db8a9ebc4f998p-10, 0x1.cf3cc6451daacp-10, 0x1.c337d16d87c92p-10, 0x1.b77a5214c7a15p-10, 0x1.ac02dfc55fd4ap-10, 0x1.a0d017a74162fp-10, 0x1.95e09c71f8f7p-10, 0x1.8b33165eabc84p-10, 0x1.80c6331a21ff7p-10, 0x1.7698a5b68d8dfp-10, 0x1.6ca9269d61e7fp-10, 0x1.62f67381153a6p-10, 0x1.597f4f4ec57aep-10, 0x1.5042821fdb377p-10, 0x1.473ed92ba1239p-10, 0x1.3e7326b8d2a4p-10, 0x1.35de420f1cd72p-10, 0x1.2d7f0768a53efp-10, 0x1.255457e3906acp-10, 0x1.1d5d19736b5b4p-10, 0x1.159836d2c6705p-10, 0x1.0e049f7494aadp-10, 0x1.06a14775d89e4p-10, 0x1.feda4f1e2ba65p-11, 0x1.f0ce7a0bf31c5p-11, 0x1.e31d133ddad22p-11, 0x1.d5c4271d8df0dp-11, 0x1.c8c1cad915d65p-11, 0x1.bc141c4650583p-11, 0x1.afb941c6b4298p-11, 0x1.a3af6a2b1f295p-11, 0x1.97f4cc97d2a0ap-11, 0x1.8c87a868a7cc6p-11, 0x1.816645154aee6p-11, 0x1.768ef215c4f5bp-11, 0x1.6c0006c730288p-11, 0x1.61b7e250880dep-11, 0x1.57b4eb87c24c6p-11, 0x1.4df590d71b8d3p-11, 0x1.447848226ef46p-11, 0x1.3b3b8ead13cebp-11, 0x1.323de8ffa1cc8p-11, 0x1.297de2ce17a5p-11, 0x1.20fa0ede230c7p-11, 0x1.18b106edac387p-11, 0x1.10a16b999f171p-11, 0x1.08c9e444c81dap-11, 0x1.01291eff09225p-11, 0x1.f37ba0d97c5a8p-12, 0x1.e50d675c69f34p-12, 0x1.d705148f28c28p-12, 0x1.c96038116314ep-12, 0x1.bc1c6dea8fe1cp-12, 0x1.af375e5a9c0ebp-12, 0x1.a2aebdaade757p-12, 0x1.96804bffa0152p-12, 0x1.8aa9d529f3f9fp-12, 0x1.7f2930795c413p-12, 0x1.73fc408ecfbedp-12, 0x1.6920f32f28c4p-12, 0x1.5e954116558dap-12, 0x1.54572dcab7fc3p-12, 0x1.4a64c771115cp-12, 0x1.40bc26a066848p-12, 0x1.375b6e367ca4dp-12, 0x1.2e40cb2c8c8dbp-12, 0x1.256a746c67ecep-12, 0x1.1cd6aaa5c302ep-12, 0x1.1483b823ef635p-12, 0x1.0c6ff0a3f0c76p-12, 0x1.0499b12af64edp-12, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.cbd4b95c0359cp-3, 0x1.adeaecba24d7cp-3, 0x1.8e183b554786fp-3, 0x1.6cb0b5c02413cp-3, 0x1.4a046a9d100b8p-3, 0x1.265ebca63f93p-3, 0x1.0205e9af89fafp-3, 0x1.ba7574f357cbp-4, 0x1.7070c7fdfb30ep-4, 0x1.26692ec68431ep-4, 0x1.b97e9fa267881p-5, 0x1.2792d6a4d2855p-5, 0x1.2f4f319cb6439p-6, 0x1.4855133975d7fp-10, -0x1.004fd1e6008bcp-6, -0x1.07347d420d3ffp-5, -0x1.8a8ea605b4845p-5, -0x1.04f802fc10266p-4, -0x1.428f924bf776cp-4, -0x1.7df713712f3ebp-4, -0x1.b71cd77758d0ap-4, -0x1.edf3f33a96955p-4, -0x1.1139f2733d703p-3, -0x1.2a4bef595cabdp-3, -0x1.422f3ffe8ccd3p-3, -0x1.58e4b35858717p-3, -0x1.6e6e689725357p-3, -0x1.82cfa3d930b96p-3, -0x1.960ca64b16575p-3, -0x1.a82a89db72b64p-3, -0x1.b92f209284fep-3, -0x1.c920d7079ac41p-3, -0x1.d806996519604p-3, -0x1.e5e7bb0316514p-3, -0x1.f2cbe0d5b4ee5p-3, -0x1.febaee6e1dd96p-3, -0x1.04de7a73b602fp-2, -0x1.09ed11af0ecdbp-2, -0x1.0e8d5c8bcfd13p-2, -0x1.12c37cce2044bp-2, -0x1.169391555cecfp-2, -0x1.1a01b1c8d1381p-2, -0x1.1d11eabf1f3bep-2, -0x1.1fc83a4ed259cp-2, -0x1.22288d19186e9p-2, -0x1.2436bbe1ed729p-2, -0x1.25f689b1121bp-2, -0x1.276ba25e05795p-2, -0x1.28999962d9773p-2, -0x1.2983e8deb92e8p-2, -0x1.2a2df0c46d549p-2, -0x1.2a9af63d58b88p-2, -0x1.2ace23492b742p-2, -0x1.2aca8699c7fc9p-2, -0x1.2a9313a0d8ab2p-2, -0x1.2a2aa2bf9cddap-2, -0x1.2993f18ad6d63p-2, -0x1.28d1a31aa4f93p-2, -0x1.27e6406475884p-2, -0x1.26d438a190d0cp-2, -0x1.259de1c55aafp-2, -0x1.24457904b78f7p-2, -0x1.22cd236d25407p-2, -0x1.2136efabcdebap-2, -0x1.1f84d34314b9ap-2, -0x1.1db8ae5dd4b5fp-2, -0x1.1bd44c0363044p-2, -0x1.19d962718b675p-2, -0x1.17c993cbd6e2p-2, -0x1.15a66eca69ac8p-2, -0x1.13716f67b6176p-2, -0x1.112bff8c53917p-2, -0x1.0ed777b865972p-2, -0x1.0c751faa1e721p-2, -0x1.0a062f0105d1p-2, -0x1.078bcdddcc3f3p-2, -0x1.0507157e86899p-2, -0x1.027910d73b147p-2, -0x1.ffc57a4d67ddap-3, -0x1.fa8a150f081bep-3, -0x1.f541b8fa4630cp-3, -0x1.efee14fa170e2p-3, -0x1.ea90c0e762a73p-3, -0x1.e52b3e8a81dc5p-3, -0x1.dfbefa942b894p-3, -0x1.da4d4d8ddfa96p-3, -0x1.d4d77cc1e3ecbp-3, -0x1.cf5ebb1aff7a3p-3, -0x1.c9e429fc14a98p-3, -0x1.c468da0fb4d8dp-3, -0x1.beedcc0fb1e4ep-3, -0x1.b973f184b36a2p-3, -0x1.b3fc2d7dcfd01p-3, -0x1.ae875540364f9p-3, -0x1.a91630ef15fp-3, -0x1.a3a97c2c07d8ep-3, -0x1.9e41e6b04276p-3, -0x1.98e014df1ce2ap-3, -0x1.9384a05239b1ep-3, -0x1.8e30185fd0b3fp-3, -0x1.88e3029b75d69p-3, -0x1.839ddb51ab69dp-3, -0x1.7e6115fe73af1p-3, -0x1.792d1dbf15971p-3, -0x1.740255bf2e328p-3, -0x1.6ee119a11b241p-3, -0x1.69c9bde1e84e1p-3, -0x1.64bc9038c6e2fp-3, -0x1.5fb9d7f223d6bp-3, -0x1.5ac1d64695fc2p-3, -0x1.55d4c6adb01f9p-3, -0x1.50f2df2ceda68p-3, -0x1.4c1c50a2ecbaap-3, -0x1.4751470f1061ap-3, -0x1.4291e9d5d2a45p-3, -0x1.3dde5c01d93c7p-3, -0x1.3936bc8207b8fp-3, -0x1.349b26649d2bfp-3, -0x1.300bb10f8dc1ep-3, -0x1.2b8870762738p-3, -0x1.2711754c12a89p-3, -0x1.22a6cd35d0b62p-3, -0x1.1e4882f6b3986p-3, -0x1.19f69e9c77981p-3, -0x1.15b125a882c49p-3, -0x1.11781b36ed508p-3, -0x1.0d4b80235fc6fp-3, -0x1.092b532bef8f5p-3, -0x1.0517911215056p-3, -0x1.011034b9d2e3ap-3, -0x1.fa2a6e8e8b162p-4, -0x1.f24d2075328b4p-4, -0x1.ea886b1554bcp-4, -0x1.e2dc377c85779p-4, -0x1.db486c08571a3p-4, -0x1.d3ccec9425fc5p-4, -0x1.cc699aa4a9e49p-4, -0x1.c51e55917ebf4p-4, -0x1.bdeafaac9141dp-4, -0x1.b6cf6567a6023p-4, -0x1.afcb6f77d612p-4, -0x1.a8def0f74e842p-4, -0x1.a209c085170d2p-4, -0x1.9b4bb363261d1p-4, -0x1.94a49d92c4bb4p-4, -0x1.8e1451ef44c8ep-4, -0x1.879aa24733b49p-4, -0x1.813772f271d2fp-4, -0x1.7aea69adf5bb8p-4, -0x1.74b36c2afd569p-4, -0x1.6e9248f3a98cdp-4, -0x1.6886cdefce0d1p-4, -0x1.6290c876a1b44p-4, -0x1.5cb0055f72282p-4, -0x1.56e451115f927p-4, -0x1.512d779233221p-4, -0x1.4b8b4494567abp-4, -0x1.45fd8383fb33fp-4, -0x1.4083ff937970fp-4, -0x1.3b1e83c6f23c5p-4, -0x1.35ccdaff3d0a1p-4, -0x1.308ed0042c2aap-4, -0x1.2b642d8e2c39fp-4, -0x1.264cbe4f4cf7cp-4, -0x1.21484cfbb794ap-4, -0x1.1c56a4519a8c1p-4, -0x1.17778f209322bp-4, -0x1.12aad8509cfacp-4, -0x1.0df04ae889da9p-4, -0x1.0947b2140d6f8p-4, -0x1.04b0d929600a1p-4, -0x1.002b8bae7cb9ap-4, -0x1.f76f2abc099c6p-5, -0x1.eea9845793f94p-5, -0x1.e605bc92087bdp-5, -0x1.dd836c507920cp-5, -0x1.d5222d01d60a9p-5, -0x1.cce198a5a226ap-5, -0x1.c4c149d2281a7p-5, -0x1.bcc0dbba2fd2ap-5, -0x1.b4dfea3247b3dp-5, -0x1.ad1e11b59ef6ep-5, -0x1.a57aef6a7e354p-5, -0x1.9df62126636bdp-5, -0x1.968f4571c337fp-5, -0x1.8f45fb8b7b9e1p-5, -0x1.8819e36bfad09p-5, -0x1.810a9dc81a519p-5, -0x1.7a17cc13bc81dp-5, -0x1.73411084280a4p-5, -0x1.6c860e1228295p-5, -0x1.65e6687bf8edbp-5, -0x1.5f61c446fce7ep-5, -0x1.58f7c6c140e57p-5, -0x1.52a81602d40b8p-5, -0x1.4c7258eef4aa4p-5, -0x1.4656373510bb9p-5, -0x1.40535951a3e63p-5, -0x1.3a69688eed0b1p-5, -0x1.34980f0586f88p-5, -0x1.2edef79cd8a74p-5, -0x1.293dce0b6f4ccp-5, -0x1.23b43ed7364cdp-5, -0x1.1e41f75594c75p-5, -0x1.18e6a5ab74fc1p-5, -0x1.13a1f8cd2f2e7p-5, -0x1.0e73a07e60d4cp-5, -0x1.095b4d51ae51dp-5, -0x1.0458b0a87045dp-5, -0x1.fed6f9649f441p-6, -0x1.f526c8d99b5c8p-6, -0x1.eba037457f7b1p-6, -0x1.e242add76e5e9p-6, -0x1.d90d9756bdc41p-6, -0x1.d000602190393p-6, -0x1.c71a762b591eap-6, -0x1.be5b48fb4adap-6, -0x1.b5c249aaa6112p-6, -0x1.ad4eeae2fe576p-6, -0x1.a500a0dc64d1bp-6, -0x1.9cd6e15b7e723p-6, -0x1.94d123af8e3dcp-6, -0x1.8ceee0b06bdd4p-6, -0x1.852f92bc69ff6p-6, -0x1.7d92b5b631789p-6, -0x1.7617c70288ae7p-6, -0x1.6ebe45861616ap-6, -0x1.6785b1a311d1fp-6, -0x1.606d8d36ef8ap-6, -0x1.59755b97faefdp-6, -0x1.529ca192ede5fp-6, -0x1.4be2e56880543p-6, -0x1.4547aecaecbap-6, -0x1.3eca86db6db6cp-6, -0x1.386af827b975fp-6, -0x1.32288ea774a9cp-6, -0x1.2c02d7b9a2005p-6, -0x1.25f962220bf8ap-6, -0x1.200bbe06ac9a5p-6, -0x1.1a397ced0e249p-6, -0x1.148231b7add8fp-6, -0x1.0ee570a357bd1p-6, -0x1.0962cf44825c7p-6, -0x1.03f9e484a4e8bp-6, -0x1.fd54913f1eed1p-7, -0x1.f2e72a417c9b9p-7, -0x1.e8aac9c154d14p-7, -0x1.de9ea8043f27fp-7, -0x1.d4c1ffdf0bcb3p-7, -0x1.cb140eb068af3p-7, -0x1.c194145b6edcp-7, -0x1.b84153424a752p-7, -0x1.af1b1040c2635p-7, -0x1.a62092a6d0e18p-7, -0x1.9d512433322f5p-7, -0x1.94ac110dfd1e8p-7, -0x1.8c30a7c32c246p-7, -0x1.83de393d2aa4ap-7, -0x1.7bb418bf6d7dfp-7, -0x1.73b19be0f67b2p-7, -0x1.6bd61a86ecdf7p-7, -0x1.6420eedf27e11p-7, -0x1.5c91755ac194cp-7, -0x1.55270ca8a5a09p-7, -0x1.4de115b026f89p-7, -0x1.46bef38b937e8p-7, -0x1.3fc00b82c9761p-7, -0x1.38e3c505cfa5dp-7, -0x1.322989a773a97p-7, -0x1.2b90c517e2ea6p-7, -0x1.2518e51f4a5aap-7, -0x1.1ec159987c601p-7, -0x1.1889946b95a03p-7, -0x1.12710988a477ep-7, -0x1.0c772ee256a4ap-7, -0x1.069b7c68aa2a9p-7, -0x1.00dd6c039d1a4p-7, -0x1.f678f31bd5b15p-8, -0x1.eb70459f88ae3p-8, -0x1.e09fcef322506p-8, -0x1.d606923d648adp-8, -0x1.cba3966099fcbp-8, -0x1.c175e5f032d98p-8, -0x1.b77c8f2660207p-8, -0x1.adb6a3d9cd3a2p-8, -0x1.a4233973567ep-8, -0x1.9ac168e3cc19ep-8, -0x1.91904e99c2c43p-8, -0x1.888f0a776c50bp-8, -0x1.7fbcbfc883f81p-8, -0x1.771895383ce0dp-8, -0x1.6ea1b4c743cbbp-8, -0x1.66574bc1cb728p-8, -0x1.5e388ab5a939fp-8, -0x1.5644a5687153fp-8, -0x1.4e7ad2cdba494p-8, -0x1.46da4cfd597a3p-8, -0x1.3f625129b15bp-8, -0x1.38121f9617e49p-8, -0x1.30e8fb8d4186fp-8, -0x1.29e62b57be66fp-8, -0x1.2308f8328a2fap-8, -0x1.1c50ae45a8d6fp-8, -0x1.15bc9c9ad63d6p-8, -0x1.0f4c15143d681p-8, -0x1.08fe6c63487f3p-8, -0x1.02d2f9ff7e97ep-8, -0x1.f992303ae4c19p-9, -0x1.edc0474b81b5dp-9, -0x1.e22ef858430a2p-9, -0x1.d6dd07cd0033dp-9, -0x1.cbc93f4879bb5p-9, -0x1.c0f26d8ac5032p-9, -0x1.b65766640a403p-9, -0x1.ac1b2610b8477p-9, -0x1.a1f461df55b94p-9, -0x1.9805fdbd0ffb7p-9, -0x1.8e4ee105a1a13p-9, -0x1.84cdf7d14ac78p-9, -0x1.7b8232e437efap-9, -0x1.726a879e3959fp-9, -0x1.6985efea8753dp-9, -0x1.60d36a2fb4aedp-9, -0x1.5851f93fcb702p-9, -0x1.5000a4487ca4bp-9, -0x1.47de76c37afd4p-9, -0x1.3fea806705d4dp-9, -0x1.3823d516863adp-9, -0x1.30898cd36689p-9, -0x1.291ac3adfa4ccp-9, -0x1.21d699b68be86p-9, -0x1.1abc32ee9faeap-9, -0x1.13cab73a50e4ap-9, -0x1.0d015251c787cp-9, -0x1.065f33b2f472cp-9, -0x1.ffc71d269d44fp-10, -0x1.f31b33a375676p-10, -0x1.e6b91fd173be9p-10, -0x1.da9f5dc126aafp-10, -0x1.cecc70836747cp-10, -0x1.c33ee20e6948p-10, -0x1.b7f54323043f5p-10, -0x1.acee2b32539c5p-10, -0x1.a22838438dce4p-10, -0x1.97a20eda369d6p-10, -0x1.8d5a59dc9bd2cp-10, -0x1.834fca7a72864p-10, -0x1.7981181400099p-10, -0x1.6fed002157172p-10, -0x1.66924619ef139p-10, -0x1.5d6fb35c6617ap-10, -0x1.54841716dd3a7p-10, -0x1.4bce462f35544p-10, -0x1.434d1b2bcf7cdp-10, -0x1.3aff761c8ed74p-10, -0x1.32e43c840886bp-10, -0x1.2afa59411c59p-10, -0x1.2340bc78b298dp-10, -0x1.1bb65b7fdab34p-10, -0x1.145a30c6246ap-10, -0x1.0d2b3bc010a9dp-10, -0x1.062880d24769bp-10, -0x1.fea21278ee96bp-11, -0x1.f147c609ba35dp-11, -0x1.e44041c7d5aa5p-11, -0x1.d789b4607f42ep-11, -0x1.cb225595ab002p-11, -0x1.bf086616f5f12p-11, -0x1.b33a2f5b2bb38p-11, -0x1.a7b6037a18108p-11, -0x1.9c7a3d07404f8p-11, -0x1.91853eec73c68p-11, -0x1.86d57445bc99cp-11, -0x1.7c69503d21a3fp-11, -0x1.723f4de7254c9p-11, -0x1.6855f01fc5d7cp-11, -0x1.5eabc16809539p-11, -0x1.553f53c3e2b05p-11, -0x1.4c0f409870ec2p-11, -0x1.431a288b457ap-11, -0x1.3a5eb36192cbp-11, -0x1.31db8fdff6aa2p-11, -0x1.298f73ab026c1p-11, -0x1.21791b27d80fdp-11, -0x1.1997495d7f587p-11, -0x1.11e8c7d676cc6p-11, -0x1.0a6c668336531p-11, -0x1.0320fb9c134c1p-11, -0x1.f80ac70a05686p-12, -0x1.ea3101615e0ffp-12, -0x1.dcb27708d1982p-12, -0x1.cf8d0478fe3cbp-12, -0x1.c2be91a1e84d1p-12, -0x1.b64511b56181dp-12, -0x1.aa1e82f211193p-12, -0x1.9e48ee6f64566p-12, -0x1.92c267ea9f3c4p-12, -0x1.87890d93dbb6fp-12, -0x1.7c9b07dcc4d41p-12, -0x1.71f68947b5825p-12, -0x1.6799ce371169cp-12, -0x1.5d831cbec501bp-12, -0x1.53b0c474fe241p-12, -0x1.4a211e4491d26p-12, -0x1.40d28c3fa17acp-12, -0x1.37c37973b1155p-12, -0x1.2ef259bd394cep-12, -0x1.265da99d248c3p-12, -0x1.1e03ee0e58a72p-12, -0x1.15e3b45c34297p-12, -0x1.0dfb91f955f3fp-12, -0x1.064a245789968p-12, -0x1.fd9c218076702p-13, -0x1.ef0c085abcadep-13, -0x1.e0e166463394fp-13, -0x1.d319b31445051p-13, -0x1.c5b27515522fbp-13, -0x1.b8a940cf5de3bp-13, -0x1.abfbb8b74ead2p-13, -0x1.9fa78ce9a0d81p-13, -0x1.93aa7ae55c834p-13, -0x1.88024d48044c4p-13, -0x1.7cacdb8a884a9p-13, -0x1.71a809bf7d4cbp-13, -0x1.66f1c8523710fp-13, -0x1.5c8813c77e1fp-13, -0x1.5268f47eac4fep-13, -0x1.48927e7493cdfp-13, -0x1.3f02d106a7d4ep-13, -0x1.35b816b8920a9p-13, -0x1.2cb084f8b09efp-13, -0x1.23ea5be7d596p-13, -0x1.1b63e61fb2801p-13, -0x1.131b787d4368fp-13, -0x1.0b0f71e950b0dp-13, -0x1.033e3b235e638p-13, -0x1.f74c8d1ac70bcp-14, -0x1.e88c1fefde8cfp-14, -0x1.da3838e02f7d9p-14, -0x1.cc4df41b0cdc1p-14, -0x1.beca7f8432403p-14, -0x1.b1ab1a52a0c7ep-14, -0x1.a4ed14b3bde2ap-14, -0x1.988dcf6ebd985p-14, -0x1.8c8abb89fa67dp-14, -0x1.80e159f255393p-14, -0x1.758f3b2319e5fp-14, -0x1.6a91fed16ef5ap-14, -0x1.5fe7539704c7ap-14, -0x1.558cf6a12c707p-14, -0x1.4b80b35d0a329p-14, -0x1.41c0632bade77p-14, -0x1.3849ed1158288p-14, -0x1.2f1b456b1cdfap-14, -0x1.26326da170736p-14, -0x1.1d8d73e062884p-14, -0x1.152a72ce7e56fp-14, -0x1.0d07914661d3ep-14, -0x1.052302110e345p-14, -0x1.faf60743cf6fdp-15, -0x1.ec1bbfa79ebdp-15, -0x1.ddb3d74e8a802p-15, -0x1.cfbb0e05af91p-15, -0x1.c22e38e761593p-15, -0x1.b50a41dfce3a7p-15, -0x1.a84c2733762b1p-15, -0x1.9bf0fb0a285eap-15, -0x1.8ff5e2f9291e6p-15, -0x1.8458178f930c4p-15, -0x1.7914e3eab1123p-15, -0x1.6e29a5458a4acp-15, -0x1.6393ca8e24533p-15, -0x1.5950d3fcc6a9cp-15, -0x1.4f5e52ac9a726p-15, -0x1.45b9e8364866p-15, -0x1.3c61464e20e22p-15, -0x1.33522e62ba246p-15, -0x1.2a8a713d36f22p-15, -0x1.2207eea545d99p-15, -0x1.19c895076879fp-15, -0x1.11ca6118f0f75p-15, -0x1.0a0b5d821eafbp-15, -0x1.0289a2894c64dp-15, -0x1.f686ab7a8de5ap-16, -0x1.e86d534bfc026p-16, -0x1.dac3bae65f614p-16, -0x1.cd867955b48e8p-16, -0x1.c0b23dc45e1ap-16, -0x1.b443cedc84893p-16, -0x1.a8380a377abfdp-16, -0x1.9c8be3cb51a41p-16, -0x1.913c65605b0fdp-16, -0x1.8646ae06f5893p-16, -0x1.7ba7f18f40887p-16, -0x1.715d78046f665p-16, -0x1.67649d313026bp-16, -0x1.5dbad0180bf55p-16, -0x1.545d927e8a473p-16, -0x1.4b4a78723ca77p-16, -0x1.427f27d26e07p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.2da6ee246f57ap+1, 0x1.25dba8d821105p+1, 0x1.1c81227e7d2f1p+1, 0x1.11d91367628ccp+1, 0x1.06211b02f1bf2p+1, 0x1.f324bc94a248ep+0, 0x1.d8c1f65eb5af9p+0, 0x1.bd776b298d4ddp+0, 0x1.a1984955264adp+0, 0x1.856e1426a8f4ep+0, 0x1.69391f316a602p+0, 0x1.4d3111e634b2ap+0, 0x1.31859e5627ff6p+0, 0x1.165f34373e818p+0, 0x1.f7bf216dfc0ebp-1, 0x1.c44497f8ce096p-1, 0x1.927afeca0a594p-1, 0x1.6284ef016798p-1, 0x1.347ca8b9a5361p-1, 0x1.08750da51fb85p-1, 0x1.bcf4c994de567p-2, 0x1.6d2618885d384p-2, 0x1.218056b5c936bp-2, 0x1.b3fd6eb082b2ap-3, 0x1.2d29fb4f6c634p-3, 0x1.5cc46948a10f1p-4, 0x1.bbc34d172dfb4p-6, -0x1.be46c2e6a26e7p-6, -0x1.3f3a5d63993f3p-4, -0x1.0044ffbda1c86p-3, -0x1.5a044a36a558cp-3, -0x1.ad219e74270abp-3, -0x1.f9e53a93182c8p-3, -0x1.204c2221a6981p-2, -0x1.40c20e02f727ep-2, -0x1.5e78e2f8619dbp-2, -0x1.7994b31a056e1p-2, -0x1.9238e97cd6b2fp-2, -0x1.a8881efaa88cfp-2, -0x1.bca3fa4285b24p-2, -0x1.cead185136ca2p-2, -0x1.dec2f9c344c66p-2, -0x1.ed03f2f7fb232p-2, -0x1.f98d1f4b8a6e1p-2, -0x1.023d2c74a883ap-1, -0x1.06f31b192339cp-1, -0x1.0af5061a43f96p-1, -0x1.0e4efa3f6ca1ep-1, -0x1.110c6a38d18dbp-1, -0x1.133832740bc5ap-1, -0x1.14dc9d03677ecp-1, -0x1.160365c8c05f4p-1, -0x1.16b5bf17b5ac4p-1, -0x1.16fc56d73b2a7p-1, -0x1.16df5bfac59cbp-1, -0x1.16668415f8c9bp-1, -0x1.159910d894fc7p-1, -0x1.147dd55d74543p-1, -0x1.131b3b52ad045p-1, -0x1.1177480c78b1cp-1, -0x1.0f97a18e42da5p-1, -0x1.0d8193851f88bp-1, -0x1.0b3a142044f03p-1, -0x1.08c51755e4fap-1, -0x1.06286a313740cp-1, -0x1.036768fec75dbp-1, -0x1.0085daa8694f3p-1, -0x1.fb0e889ab196dp-2, -0x1.f4ddda4b7e252p-2, -0x1.ee7fc4ae09d88p-2, -0x1.e7f9f55abd74dp-2, -0x1.e151b45aa0e17p-2, -0x1.da8beae1deb2p-2, -0x1.d3ad298fa982ep-2, -0x1.ccb9ae2a344adp-2, -0x1.c5b568d721083p-2, -0x1.bea400d99ffabp-2, -0x1.b788d8e5f48b3p-2, -0x1.b067131dabc4ep-2, -0x1.a94194c825956p-2, -0x1.a21b09d8b3facp-2, -0x1.9af5e84f726f9p-2, -0x1.93d4737d09341p-2, -0x1.8cb8bf2ce27fcp-2, -0x1.85a4b2b582e0fp-2, -0x1.7e9a0bec23aep-2, -0x1.779a61f76b295p-2, -0x1.70a727fd04e85p-2, -0x1.69c1afa6a91f1p-2, -0x1.62eb2b7c779cfp-2, -0x1.5c24b114325eep-2, -0x1.556f3b1659e1ap-2, -0x1.4ecbab1b935dbp-2, -0x1.483acb658f5dbp-2, -0x1.41bd507725569p-2, -0x1.3b53da8f5798fp-2, -0x1.34fef70aa4a97p-2, -0x1.2ebf21ad95a02p-2, -0x1.2894c5dace8acp-2, -0x1.22803fb671b11p-2, -0x1.1c81dd3824dccp-2, -0x1.1699df2cba5f3p-2, -0x1.10c87a2851d1p-2, -0x1.0b0dd769a5be7p-2, -0x1.056a15af37ef3p-2, -0x1.ffba93fe14e6bp-3, -0x1.f4cf00c33b782p-3, -0x1.ea117921c212bp-3, -0x1.df81f537ae40cp-3, -0x1.d5205eff39264p-3, -0x1.caec936d1dd3dp-3, -0x1.c0e6637c8d9bep-3, -0x1.b70d952a25daep-3, -0x1.ad61e45f3c7e1p-3, -0x1.a3e303cebb89fp-3, -0x1.9a909dc49fd46p-3, -0x1.916a54e9121dp-3, -0x1.886fc4f7df8cdp-3, -0x1.7fa0836cf456cp-3, -0x1.76fc20264910cp-3, -0x1.6e8225fba8cdfp-3, -0x1.66321b4c8ae8cp-3, -0x1.5e0b8284540ddp-3, -0x1.560dda9526fd4p-3, -0x1.4e389f69aa29fp-3, -0x1.468b4a4e13243p-3, -0x1.3f055250e6a37p-3, -0x1.37a62c9bee7d6p-3, -0x1.306d4cc5f1653p-3, -0x1.295a251dbaf31p-3, -0x1.226c26ef06d82p-3, -0x1.1ba2c2c1de9f7p-3, -0x1.14fd6894e6035p-3, -0x1.0e7b881309f0cp-3, -0x1.081c90c4fe6c4p-3, -0x1.01dff23ed61acp-3, -0x1.f78a38940534p-4, -0x1.eb96fe17eda81p-4, -0x1.dfe5165347341p-4, -0x1.d47363cff6c54p-4, -0x1.c940ca935b187p-4, -0x1.be4c305481712p-4, -0x1.b3947cad82118p-4, -0x1.a9189948555e9p-4, -0x1.9ed7720782733p-4, -0x1.94cff52b06a85p-4, -0x1.8b011371c947fp-4, -0x1.816a331d1a643p-4, -0x1.780976245fab6p-4, -0x1.6ede33960eb1ep-4, -0x1.65e7671fda24dp-4, -0x1.5d240f812de0ap-4, -0x1.54932e9cec305p-4, -0x1.4c33c988cae33p-4, -0x1.4404e89a87498p-4, -0x1.3c05977318adp-4, -0x1.3434e50811d31p-4, -0x1.2c91e3ab58c47p-4, -0x1.251ba91159437p-4, -0x1.1dd14e55d4f43p-4, -0x1.16b1efff721c1p-4, -0x1.0fbcae0220e52p-4, -0x1.08f0abc0750dcp-4, -0x1.024d100c06239p-4, -0x1.f7a20a49d7d87p-5, -0x1.eaf77170cf0ccp-5, -0x1.de98b7bd8bda1p-5, -0x1.d28446311b42fp-5, -0x1.c6b88c95f9878p-5, -0x1.bb340177cc0bcp-5, -0x1.aff52219e86f9p-5, -0x1.a4fa726cb9bb1p-5, -0x1.9a427d021158cp-5, -0x1.8fcbd3007a078p-5, -0x1.85950c1595361p-5, -0x1.7b9cc66797312p-5, -0x1.71e1a685f143dp-5, -0x1.6862575937845p-5, -0x1.5f1d8a1257686p-5, -0x1.5611f61928fc7p-5, -0x1.4d3e58fa751fdp-5, -0x1.44a1765574a58p-5, -0x1.3c3a17c8e1ae9p-5, -0x1.34070cdfa8f6cp-5, -0x1.2c072afd43df3p-5, -0x1.24394d49cff9dp-5, -0x1.1c9c549deea2bp-5, -0x1.152f276e740c6p-5, -0x1.0df0b1b7fb33cp-5, -0x1.06dfe4ea5b922p-5, -0x1.fff76fa82a9f3p-6, -0x1.f2864d1b6b6eep-6, -0x1.e56a64ca780d9p-6, -0x1.d8a1c393102a2p-6, -0x1.cc2a806bac035p-6, -0x1.c002bc3a9a759p-6, -0x1.b428a1ad4c133p-6, -0x1.a89a650fdef93p-6, -0x1.9d564424dd4e7p-6, -0x1.925a85fd4d643p-6, -0x1.87a57ad106178p-6, -0x1.7d357bd75859p-6, -0x1.7308eb2007848p-6, -0x1.691e336ca16bep-6, -0x1.5f73c80a2ad3cp-6, -0x1.560824ab31f88p-6, -0x1.4cd9cd423855bp-6, -0x1.43e74ddc8b9bcp-6, -0x1.3b2f3a7d7533ep-6, -0x1.32b02ef9dbc27p-6, -0x1.2a68ced445c66p-6, -0x1.2257c51945c53p-6, -0x1.1a7bc43c50b95p-6, -0x1.12d385f4ff76p-6, -0x1.0b5dcb1cb6c87p-6, -0x1.04195b8cc1982p-6, -0x1.fa0a0bf9a2202p-7, -0x1.ec3f3fc3dabe6p-7, -0x1.ded00a9ba00c3p-7, -0x1.d1ba319d5c0fep-7, -0x1.c4fb869eda221p-7, -0x1.b891e7f09100ep-7, -0x1.ac7b401fc59f7p-7, -0x1.a0b585b98278cp-7, -0x1.953ebb0e7cbb6p-7, -0x1.8a14edf7bfe5ap-7, -0x1.7f36379c4469fp-7, -0x1.74a0bc375ad69p-7, -0x1.6a52aadff28a7p-7, -0x1.604a3d50b9263p-7, -0x1.5685b7b11c937p-7, -0x1.4d03685f2027ap-7, -0x1.43c1a7ba0acb1p-7, -0x1.3abed7edecdfcp-7, -0x1.31f964c0053adp-7, -0x1.296fc35bf426ep-7, -0x1.21207221c7fbep-7, -0x1.1909f874ddce2p-7, -0x1.112ae68b94cbcp-7, -0x1.0981d53fd34e6p-7, -0x1.020d65e05c7dfp-7, -0x1.f5988405e91e7p-8, -0x1.e77a36aea2fe3p-8, -0x1.d9bd56f5af786p-8, -0x1.cc5f679a3f4abp-8, -0x1.bf5dfa8a84a2p-8, -0x1.b2b6b08fd821bp-8, -0x1.a66738fc637bp-8, -0x1.9a6d515a4f538p-8, -0x1.8ec6c51c6f21ep-8, -0x1.83716d50643f1p-8, -0x1.786b305238bcdp-8, -0x1.6db201816947p-8, -0x1.6343e0f758b71p-8, -0x1.591edb3f2e799p-8, -0x1.4f41090f11b37p-8, -0x1.45a88f02c6372p-8, -0x1.3c539d579f784p-8, -0x1.33406fa9c58bdp-8, -0x1.2a6d4cb2cbee5p-8, -0x1.21d886098ecbdp-8, -0x1.198077e356838p-8, -0x1.116388d63a13ep-8, -0x1.0980299cbbefep-8, -0x1.01d4d4da9e234p-8, -0x1.f4c01dc5cbc9ep-9, -0x1.e640cafe15df1p-9, -0x1.d828df6e9f0aep-9, -0x1.ca759b387281cp-9, -0x1.bd2450224f2bfp-9, -0x1.b03261300a6dcp-9, -0x1.a39d423c110ecp-9, -0x1.9762779313c22p-9, -0x1.8b7f9591baba4p-9, -0x1.7ff2404472d91p-9, -0x1.74b82b0933d8fp-9, -0x1.69cf183343ecbp-9, -0x1.5f34d8b0eeb6dp-9, -0x1.54e74bb31f42ap-9, -0x1.4ae45e56df417p-9, -0x1.412a0b50a8f69p-9, -0x1.37b65a998ab32p-9, -0x1.2e87611e0eee7p-9, -0x1.259b406ee238fp-9, -0x1.1cf0267330da1p-9, -0x1.14844d1cb2858p-9, -0x1.0c55fa1d5a967p-9, -0x1.04637e9ea57ffp-9, -0x1.f9566df50922bp-10, -0x1.ea5714eb9b358p-10, -0x1.dbc5d5f87a266p-10, -0x1.cd9fa9bbe5199p-10, -0x1.bfe19d1ccdcbap-10, -0x1.b288d0c9b2cd4p-10, -0x1.a59278bc4151p-10, -0x1.98fbdbbfd08d9p-10, -0x1.8cc252fa852bdp-10, -0x1.80e349793464ep-10, -0x1.755c3bbddc06bp-10, -0x1.6a2ab750aadffp-10, -0x1.5f4c5a53a052ap-10, -0x1.54bed3188d044p-10, -0x1.4a7fdfb99790fp-10, -0x1.408d4db40e176p-10, -0x1.36e4f9859d62bp-10, -0x1.2d84ce4bc408cp-10, -0x1.246ac565829dep-10, -0x1.1b94e6174a1e8p-10, -0x1.13014530fb844p-10, -0x1.0aae04b6126dcp-10, -0x1.02995387d5924p-10, -0x1.f582da231ec1ap-11, -0x1.e64931ed7ae55p-11, -0x1.d782558662d35p-11, -0x1.c98224d9afbf2p-11, -0x1.bb96d893d0058p-11, -0x1.ae14cfa9027ddp-11, -0x1.a0f90aacf1acdp-11, -0x1.94409f1b9941bp-11, -0x1.87e8b6cf0a602p-11, -0x1.7bee8f78851fbp-11, -0x1.704f7a1cd3a8fp-11, -0x1.6508da93d5d33p-11, -0x1.5a18270b2a58dp-11, -0x1.4f7ae78be5a48p-11, -0x1.452eb583434ecp-11, -0x1.3b313b4e41662p-11, -0x1.318033c818e7ep-11, -0x1.281969db7b163p-11, -0x1.1efab8168dd14p-11, -0x1.162208418d48p-11, -0x1.0d8d52f80c053p-11, -0x1.053a9f44bbf43p-11, -0x1.fa50047f6a383p-12, -0x1.eaa73d5e57bf9p-12, -0x1.db7749550983p-12, -0x1.ccbca27f770b2p-12, -0x1.be73dc361f0cdp-12, -0x1.b099a261ca044p-12, -0x1.a32ab8d3a2f38p-12, -0x1.9623faa18817fp-12, -0x1.898259867fc4bp-12, -0x1.7d42dd472f297p-12, -0x1.7162a31a45f4cp-12, -0x1.65dedd14c0328p-12, -0x1.5ab4d199e6fbbp-12, -0x1.4fe1dacefd0cap-12, -0x1.456366127f63cp-12, -0x1.3b36f376e27cep-12, -0x1.315a1540b8593p-12, -0x1.27ca6f682c69p-12, -0x1.1e85b71dbd057p-12, -0x1.1589b2521f903p-12, -0x1.0cd4374141b6ap-12, -0x1.04632c0049375p-12, -0x1.f8690c1d17bb7p-13, -0x1.e88c93d2c5bf6p-13, -0x1.d92d1545a69efp-13, -0x1.ca46d2f5d8375p-13, -0x1.bbd62af7acecp-13, -0x1.add79630fdeafp-13, -0x1.a047a79b93e18p-13, -0x1.93230b8c8a35fp-13, -0x1.866687008a8bfp-13, -0x1.7a0ef6ecb9d87p-13, -0x1.6e194f944fdp-13, -0x1.62829be2a2a51p-13, -0x1.5747fcc999937p-13, -0x1.4c66a8a466b1ep-13, -0x1.41dbea9e709f1p-13, -0x1.37a5221e4802ep-13, -0x1.2dbfc2349c46ep-13, -0x1.2429510f0c665p-13, -0x1.1adf676ebd501p-13, -0x1.11dfb022a03d5p-13, -0x1.0927e7855444ap-13, -0x1.00b5dafe7e3cap-13, -0x1.f10ed10f31749p-14, -0x1.e134fc680e0ddp-14, -0x1.d1da3378ed879p-14, -0x1.c2fa901abb937p-14, -0x1.b49249b12df3p-14, -0x1.a69db453eae76p-14, -0x1.99193ffda517ap-14, -0x1.8c0177c0ce2a6p-14, -0x1.7f530101eb9b6p-14, -0x1.730a9ab752884p-14, -0x1.67251cae21333p-14, -0x1.5b9f76d4640b1p-14, -0x1.5076b08838ffcp-14, -0x1.45a7e7ebcfa2dp-14, -0x1.3b30513e2c505p-14, -0x1.310d36388777dp-14, -0x1.273bf5702f41cp-14, -0x1.1dba01bcc4a87p-14, -0x1.1484e1a2c2e7ep-14, -0x1.0b9a2ec229fe4p-14, -0x1.02f79549338f9p-14, -0x1.f535a6d5ecdcfp-15, -0x1.e50371b3bcf94p-15, -0x1.d5544c8bb5f84p-15, -0x1.c62419bc61e21p-15, -0x1.b76edbada0dd3p-15, -0x1.a930b3e22ebe3p-15, -0x1.9b65e20fdb913p-15, -0x1.8e0ac33e3a372p-15, -0x1.811bd0eba8463p-15, -0x1.7495a0387415fp-15, -0x1.6874e117fa6a6p-15, -0x1.5cb65d879e32dp-15, -0x1.5156f8cb59defp-15, -0x1.4653aeafdacb6p-15, -0x1.3ba992d1f0bb7p-15, -0x1.3155cfeb365a6p-15, -0x1.2755a723b5275p-15, -0x1.1da66f68910d8p-15, -0x1.144594c7658aep-15, -0x1.0b3097ce5070bp-15, -0x1.02650cf08dc58p-15, -0x1.f3c137debc58fp-16, -0x1.e341fe8e9fe9ap-16, -0x1.d3480743463d6p-16, -0x1.c3cf0e937773fp-16, -0x1.b4d2f34d03aacp-16, -0x1.a64fb56f1e924p-16, -0x1.9841752c4ca43p-16, -0x1.8aa471f35f8eep-16, -0x1.7d75097fa8bd1p-16, -0x1.70afb6efcc1bp-16, -0x1.645111e36a937p-16, -0x1.5855cd9f2f897p-16, -0x1.4cbab83725345p-16, -0x1.417cb9bf2d47cp-16, -0x1.3698d3816abeap-16, -0x1.2c0c1f3a72453p-16, -0x1.21d3ce5b154d7p-16, -0x1.17ed294fbb8efp-16, -0x1.0e558eccec8b5p-16, -0x1.050a732119abbp-16, -0x1.f812bf16ea28dp-17, -0x1.e69fe32f2cfd2p-17, -0x1.d5b7b4fbf7914p-17, -0x1.c555bd123499ep-17, -0x1.b575a8fdc8582p-17, -0x1.a6134a1d9d056p-17, -0x1.972a948812907p-17, -0x1.88b79df7756fcp-17, -0x1.7ab69cbeefd3ap-17, -0x1.6d23e6c6ea9b5p-17, -0x1.5ffbf0916584ep-17, -0x1.533b4c455d20fp-17, -0x1.46dea8c19876bp-17, -0x1.3ae2d0b65ceefp-17, -0x1.2f44a9c61456fp-17, -0x1.240133ac3b5b5p-17, -0x1.1915876b39bf4p-17, -0x1.0e7ed67ff4152p-17, -0x1.043a6a1bd5106p-17, -0x1.f48b44c91a0eep-18, -0x1.e13beb732e27ep-18, -0x1.ce81dffed858cp-18, -0x1.bc5863dfd5c06p-18, -0x1.aabae0e067af4p-18, -0x1.99a4e7d71e022p-18, -0x1.89122f669aa19p-18, -0x1.78fe92c704136p-18, -0x1.69661098ec9b6p-18, -0x1.5a44c9c101d7fp-18, -0x1.4b97004ce7243p-18, -0x1.3d591660bdf21p-18, -0x1.2f878d2cb009bp-18, -0x1.221f03eadffadp-18, -0x1.151c36e4fc0c6p-18, -0x1.087bfe819c974p-18, -0x1.f8769cb1fff6p-19, -0x1.e0ae68a2029a7p-19, -0x1.c999af7fcb7d8p-19, -0x1.b332f12c4cf27p-19, -0x1.9d74dd1d91206p-19, -0x1.885a50cb4d07cp-19, -0x1.73de56294e7e2p-19, -0x1.5ffc222ca5005p-19, -0x1.4caf135d3645bp-19, -0x1.39f2b0721b7fcp-19, -0x1.27c2a6f977173p-19, -0x1.161aca0a8cc3fp-19, -0x1.04f711023e02dp-19, -0x1.e8a72c9386458p-20, -0x1.c8592c4d9f4fp-20, -0x1.a8fcdb2b6c519p-20, -0x1.8a8b3256ac57dp-20, -0x1.6cfd6803e1455p-20, -0x1.504ced5a1e281p-20, -0x1.34736c6cafb8bp-20, -0x1.196ac64514bbbp-20, -0x1.fe5a21f98ee53p-21, -0x1.cb692bcbfe431p-21, -0x1.99f79f86d053ap-21, -0x1.69fad21fac082p-21, -0x1.3b6874a170baep-21, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.f975df7316d8ap-2, 0x1.04f7223864312p-1, 0x1.0a14c8020dc7ep-1, 0x1.0c7bb332b01a9p-1, 0x1.0c91f2490d43fp-1, 0x1.0ab961fb8115fp-1, 0x1.074dda332cb5dp-1, 0x1.02a3f0f5f5ce3p-1, 0x1.fa1090e355c2p-2, 0x1.ed7ebc2058c28p-2, 0x1.e00b6026a024cp-2, 0x1.d21ffd9f04afap-2, 0x1.c41738b616bc5p-2, 0x1.b63dbfa6492bcp-2, 0x1.a8d3787f289fep-2, 0x1.9c0cbb4aa32d8p-2, 0x1.901371de8ab41p-2, 0x1.850826269e965p-2, 0x1.7b030cfd3fe8p-2, 0x1.72150fe325ab4p-2, 0x1.6a48d1ce31bafp-2, 0x1.63a3b03133b5fp-2, 0x1.5e267ef30f8b3p-2, 0x1.59cdfa20c9e28p-2, 0x1.5693c503a22d8p-2, 0x1.546ee6d626ffap-2, 0x1.535450747ceb5p-2, 0x1.533751973a64bp-2, 0x1.5409fe3cfffebp-2, 0x1.55bd85e382442p-2, 0x1.58427edc6265bp-2, 0x1.5b8927739bdffp-2, 0x1.5f819db91f44cp-2, 0x1.641c0e8e15a12p-2, 0x1.6948dccb86645p-2, 0x1.6ef8c15e5a22bp-2, 0x1.751ce51f70a42p-2, 0x1.7ba6f53e476b4p-2, 0x1.8289332703089p-2, 0x1.89b6809f368f3p-2, 0x1.91226877accffp-2, 0x1.98c123f63a16ep-2, 0x1.a0879d316649fp-2, 0x1.a86b6edf7e649p-2, 0x1.b062e24cfa0efp-2, 0x1.b864ec22fb48ap-2, 0x1.c069286a6721ep-2, 0x1.c867d5f408f59p-2, 0x1.d059d124fa39p-2, 0x1.d8388e21b6715p-2, 0x1.dffe12663ffcp-2, 0x1.e7a4edf297a5cp-2, 0x1.ef28344133dffp-2, 0x1.f683753bcd59ep-2, 0x1.fdb2b65588e99p-2, 0x1.025935efe745ap-1, 0x1.05bfb94fc8f1ep-1, 0x1.090b84cf41603p-1, 0x1.0c3b66176ea7dp-1, 0x1.0f4e560c307eep-1, 0x1.124375f4141e1p-1, 0x1.151a0cb10da63p-1, 0x1.17d1840bcb11ap-1, 0x1.1a692199793eap-1, 0x1.1ce128719fbdcp-1, 0x1.1f39094cbfa6bp-1, 0x1.21709e5923d79p-1, 0x1.2387d882f5bfcp-1, 0x1.257ebd8f4950ep-1, 0x1.27556652849cp-1, 0x1.290bfd014e03bp-1, 0x1.2aa2bb9b6947ep-1, 0x1.2c19ea6fc1b04p-1, 0x1.2d71deb8a1954p-1, 0x1.2eaaf94eb8c1ep-1, 0x1.2fc5a57162ff2p-1, 0x1.30c257a29b449p-1, 0x1.31a18c9520381p-1, 0x1.3263c82b98fc6p-1, 0x1.33099487cad4cp-1, 0x1.339381293dc55p-1, 0x1.3402221aee8bbp-1, 0x1.34560f2fe3489p-1, 0x1.348fe34e9d91bp-1, 0x1.34b03bcb80227p-1, 0x1.34b7b7d23bf5dp-1, 0x1.34a6f7de3b552p-1, 0x1.347e9d41c9c3ap-1, 0x1.343f49bb62ce5p-1, 0x1.33e99f183b931p-1, 0x1.337e3ee2bc7b7p-1, 0x1.32fdca1b670a9p-1, 0x1.3268e0fa7d931p-1, 0x1.31c022b8c54bap-1, 0x1.31042d5de9d99p-1, 0x1.30359d933f0f8p-1, 0x1.2f550e79f6e6p-1, 0x1.2e63198423ad5p-1, 0x1.2d60565031ce3p-1, 0x1.2c4d5a86a8807p-1, 0x1.2b2ab9ba31b06p-1, 0x1.29f90549f286dp-1, 0x1.28b8cc4642df8p-1, 0x1.276a9b57d5ee4p-1, 0x1.260efca95a3aap-1, 0x1.24a677d39520bp-1, 0x1.233191cbf9656p-1, 0x1.21b0ccd5bcd42p-1, 0x1.2024a8756a0a2p-1, 0x1.1e8da166f4cf4p-1, 0x1.1cec319653a0dp-1, 0x1.1b40d01a9f4eep-1, 0x1.198bf133badf2p-1, 0x1.17ce064a73376p-1, 0x1.16077df30d534p-1, 0x1.1438c3f220462p-1, 0x1.1262414392cc2p-1, 0x1.10845c238d21ap-1, 0x1.0e9f78191d9a4p-1, 0x1.0cb3f6024a098p-1, 0x1.0ac23421487f3p-1, 0x1.08ca8e2a8aae6p-1, 0x1.06cd5d53587d2p-1, 0x1.04caf860aef6dp-1, 0x1.02c3b3b623a59p-1, 0x1.00b7e1649b7f4p-1, 0x1.fd4fa2714e019p-2, 0x1.f927a190cf154p-2, 0x1.f4f85701ceadfp-2, 0x1.f0c25565bd87p-2, 0x1.ec862b3dc6d34p-2, 0x1.e84463020bb76p-2, 0x1.e3fd8337d35dcp-2, 0x1.dfb20e86c7633p-2, 0x1.db6283cd530b2p-2, 0x1.d70f5e3441609p-2, 0x1.d2b91541b3c6bp-2, 0x1.ce601ceb79c3fp-2, 0x1.ca04e5a8e70f8p-2, 0x1.c5a7dc8429a2ap-2, 0x1.c1496b2b36ad7p-2, 0x1.bce9f8004f4fbp-2, 0x1.b889e62a31c15p-2, 0x1.b42995a402cb1p-2, 0x1.afc9634cfa8d5p-2, 0x1.ab69a8f7ea93ap-2, 0x1.a70abd7aaecb3p-2, 0x1.a2ade0a49c0e6p-2, 0x1.9e51a55433a67p-2, 0x1.99f727738bf59p-2, 0x1.959eb23f60906p-2, 0x1.91488e5f54b24p-2, 0x1.8cf501f574eaap-2, 0x1.88a450ad676d6p-2, 0x1.8456bbcb53d13p-2, 0x1.800c823a96786p-2, 0x1.7bc5e09c32e1fp-2, 0x1.778311551f47p-2, 0x1.73444c9c5a902p-2, 0x1.6f09c888dd592p-2, 0x1.6ad3b91f5da7dp-2, 0x1.66a2505fec6p-2, 0x1.6275be5364189p-2, 0x1.5e4e3118b05b5p-2, 0x1.5a2bd4f1e2c2p-2, 0x1.560ed45117b1fp-2, 0x1.51f757e525e0bp-2, 0x1.4de586a614abfp-2, 0x1.49d985e1531cp-2, 0x1.45d37945b316cp-2, 0x1.41d382ef18ec7p-2, 0x1.3dd9c371e87c1p-2, 0x1.39e659e620fap-2, 0x1.35f963f22d116p-2, 0x1.3212fdd56289bp-2, 0x1.2e3342722a66dp-2, 0x1.2a5a4b57dc821p-2, 0x1.268830cc3f38bp-2, 0x1.22bd09d4b8d09p-2, 0x1.1ef8ec3f2b1a8p-2, 0x1.1b3becaa7f088p-2, 0x1.17861e8edfc8bp-2, 0x1.13d79445abfcbp-2, 0x1.10305f1119896p-2, 0x1.0c908f2399306p-2, 0x1.08f833a6f209p-2, 0x1.05675ac321288p-2, 0x1.01de11a501e0ap-2, 0x1.fcb8c909753c1p-3, 0x1.f5c4bd57f1ea9p-3, 0x1.eee014f80369fp-3, 0x1.e80ae2e723d1ap-3, 0x1.e145386934f49p-3, 0x1.da8f2513b1446p-3, 0x1.d3e8b6d8910f8p-3, 0x1.cd51fa10fe7c5p-3, 0x1.c6caf987c4e91p-3, 0x1.c053be8399978p-3, 0x1.b9ec50d127a6fp-3, 0x1.b394b6ccf71d6p-3, 0x1.ad4cf56d28d5fp-3, 0x1.a715104b0c9d5p-3, 0x1.a0ed09ac8ed78p-3, 0x1.9ad4e28d883d9p-3, 0x1.94cc9aa8e5253p-3, 0x1.8ed43081b5e96p-3, 0x1.88eba16c16dd1p-3, 0x1.8312e995fc179p-3, 0x1.7d4a040fe03afp-3, 0x1.7790ead551cc7p-3, 0x1.71e796d562a5bp-3, 0x1.6c4dfffaf6d9ap-3, 0x1.66c41d34f4d0bp-3, 0x1.6149e47e53f79p-3, 0x1.5bdf4ae60a01cp-3, 0x1.56844496d79fbp-3, 0x1.5138c4deee81ep-3, 0x1.4bfcbe377891cp-3, 0x1.46d0224bf6b53p-3, 0x1.41b2e20177fcp-3, 0x1.3ca4ed7db4a88p-3, 0x1.37a6342df6334p-3, 0x1.32b6a4cde2478p-3, 0x1.2dd62d6e1640ep-3, 0x1.2904bb7aa21c4p-3, 0x1.24423bc1576eap-3, 0x1.1f8e9a77f44afp-3, 0x1.1ae9c342230e8p-3, 0x1.1653a137561cap-3, 0x1.11cc1ee87ea93p-3, 0x1.0d5326659b0c8p-3, 0x1.08e8a14322c95p-3, 0x1.048c789f4da17p-3, 0x1.003e9527377acp-3, 0x1.f7fdbe37c3ed6p-4, 0x1.ef9a7cae30423p-4, 0x1.e75334a05c1e5p-4, 0x1.df27b44146ee4p-4, 0x1.d717c91149b69p-4, 0x1.cf233fe6f4783p-4, 0x1.c749e4f7901a1p-4, 0x1.bf8b83df8cf8ep-4, 0x1.b7e7e7aaa5d14p-4, 0x1.b05edadbd6aedp-4, 0x1.a8f0277527e0bp-4, 0x1.a19b96ff3b5aap-4, 0x1.9a60f290bdf14p-4, 0x1.934002d597d8ap-4, 0x1.8c389016001bap-4, 0x1.854a623d5f58ep-4, 0x1.7e7540e109aefp-4, 0x1.77b8f346d0e6bp-4, 0x1.7115406b6f8f5p-4, 0x1.6a89ef08cdedcp-4, 0x1.6416c59c22aedp-4, 0x1.5dbb8a6bee4d6p-4, 0x1.5778038dd4defp-4, 0x1.514bf6ec5375ap-4, 0x1.4b372a4c576cfp-4, 0x1.45396352b1a67p-4, 0x1.3f5267896b84p-4, 0x1.3981fc64fd18ap-4, 0x1.33c7e74963552p-4, 0x1.2e23ed8f19006p-4, 0x1.2895d487f16dcp-4, 0x1.231d6183d6b3ap-4, 0x1.1dba59d56b079p-4, 0x1.186c82d68c064p-4, 0x1.1333a1ecbcd23p-4, 0x1.0e0f7c8d710ffp-4, 0x1.08ffd8423ee6cp-4, 0x1.04047aacf3734p-4, 0x1.fe3a53171bc9fp-5, 0x1.f49355783a75dp-5, 0x1.eb1388810abep-5, 0x1.e1ba78844f296p-5, 0x1.d887b22ae2167p-5, 0x1.cf7ac27a9dbf4p-5, 0x1.c69336dd0ec21p-5, 0x1.bdd09d25f3a5ep-5, 0x1.b5328399846d2p-5, 0x1.acb878f28c117p-5, 0x1.a4620c6849b38p-5, 0x1.9c2ecdb4213d1p-5, 0x1.941e4d1719b2cp-5, 0x1.8c301b5f27194p-5, 0x1.8463c9ec46f6ap-5, 0x1.7cb8eab56867cp-5, 0x1.752f104d2677dp-5, 0x1.6dc5cde6518ffp-5, 0x1.667cb7584bddap-5, 0x1.5f53612334d12p-5, 0x1.58496073ea637p-5, 0x1.515e4b27dc446p-5, 0x1.4a91b7d0b3c24p-5, 0x1.43e33db7cfb66p-5, 0x1.3d5274e199097p-5, 0x1.36def610aa2ebp-5, 0x1.30885ac8d1adbp-5, 0x1.2a4e3d51eb278p-5, 0x1.243038ba91a7dp-5, 0x1.1e2de8daad04bp-5, 0x1.1846ea55d93eap-5, 0x1.127ada9daab1p-5, 0x1.0cc957f3cbe92p-5, 0x1.0732016bfefd4p-5, 0x1.01b476edf4aafp-5, 0x1.f8a0b26e15a8dp-6, 0x1.ee0a93b7c9484p-6, 0x1.e3a5d693cf317p-6, 0x1.d971c1912d93ep-6, 0x1.cf6d9cf5a4104p-6, 0x1.c598b2bff25f8p-6, 0x1.bbf24ea9def0fp-6, 0x1.b2a4e24d9d002p-6, 0x1.a959a310ea837p-6, 0x1.a03ad52072969p-6, 0x1.9747cb24e1747p-6, 0x1.8e7fd9884cb8fp-6, 0x1.85e2567728f72p-6, 0x1.7d6e99e110ddbp-6, 0x1.7523fd795c825p-6, 0x1.6d01dcb791444p-6, 0x1.650794d7a33dep-6, 0x1.5d3484da0d318p-6, 0x1.55880d83c276bp-6, 0x1.4e01915df491fp-6, 0x1.46a074b5b922ap-6, 0x1.3f641d9b842f7p-6, 0x1.384bf3e282146p-6, 0x1.3157611fcef5ep-6, 0x1.2a85d0a9899c2p-6, 0x1.23d6af95c6a44p-6, 0x1.1d496cb966d72p-6, 0x1.16dd78a6c8352p-6, 0x1.109245ac61e51p-6, 0x1.0a6747d33c403p-6, 0x1.045bf4dd503cap-6, 0x1.fcdf888798365p-7, 0x1.f1445e6a7ee5dp-7, 0x1.e5e56127536p-7, 0x1.dac189e4f0c47p-7, 0x1.cfd7d528cbc2dp-7, 0x1.c52742d290eddp-7, 0x1.baaed617949bbp-7, 0x1.b06d957e11854p-7, 0x1.a6628ad85248cp-7, 0x1.9c8cc33fa2a08p-7, 0x1.92eb4f0f24747p-7, 0x1.897d41de875d9p-7, 0x1.8041b27c931f8p-7, 0x1.7737bae99fd74p-7, 0x1.6e5e7851e6c12p-7, 0x1.65b50b07b6d97p-7, 0x1.5d3a967d94609p-7, 0x1.54ee414036983p-7, 0x1.4ccf34f0749d2p-7, 0x1.44dc9e3d134adp-7, 0x1.3d15acdc84c3bp-7, 0x1.357993868bd41p-7, 0x1.2e0787edd069fp-7, 0x1.26bec2b960586p-7, 0x1.1f9e7f7e20344p-7, 0x1.18a5fcb829549p-7, 0x1.11d47bc41cfcfp-7, 0x1.0b2940d865604p-7, 0x1.04a392fe6de95p-7, 0x1.fc8578179ae22p-8, 0x1.f00c1136cf754p-8, 0x1.e3d9900d087a9p-8, 0x1.d7ec98bbbbca3p-8, 0x1.cc43d4c54fb24p-8, 0x1.c0ddf2ff231b7p-8, 0x1.b5b9a78381f91p-8, 0x1.aad5aba391d7fp-8, 0x1.a030bdd93913ep-8, 0x1.95c9a1b8ff03bp-8, 0x1.8b9f1fe3e6cc8p-8, 0x1.81b005f94eb5ap-8, 0x1.77fb2688c1218p-8, 0x1.6e7f5903d502p-8, 0x1.653b79b00592fp-8, 0x1.5c2e6998950e6p-8, 0x1.53570e806f19bp-8, 0x1.4ab452d413139p-8, 0x1.4245259b8ac4bp-8, 0x1.3a087a6c5d1fcp-8, 0x1.31fd495b98a66p-8, 0x1.2a228eefe36edp-8, 0x1.22774c13930bbp-8, 0x1.1afa8606d8ffbp-8, 0x1.13ab4651f5f2ap-8, 0x1.0c889ab7824bp-8, 0x1.05919526c011ap-8, 0x1.fd8a975c05922p-9, 0x1.f045b0da4bd22p-9, 0x1.e352b3102758dp-9, 0x1.d6afe232c8289p-9, 0x1.ca5b8a4a112c1p-9, 0x1.be53ff16223c3p-9, 0x1.b2979bf4ff6c2p-9, 0x1.a724c3c870a0ap-9, 0x1.9bf9e0dc02ee8p-9, 0x1.911564cb3551ap-9, 0x1.8675c867d77eep-9, 0x1.7c198ba090ad4p-9, 0x1.71ff35679b4abp-9, 0x1.68255399a7888p-9, 0x1.5e8a7ae4f6333p-9, 0x1.552d46b09af29p-9, 0x1.4c0c5903ffd7p-9, 0x1.43265a6e7c9b2p-9, 0x1.3a79f9ef43766p-9, 0x1.3205ecdd6504ep-9, 0x1.29c8eed0145c4p-9, 0x1.21c1c1871caa5p-9, 0x1.19ef2cd3858ddp-9, 0x1.124ffe80731adp-9, 0x1.0ae30a3c30185p-9, 0x1.03a7298177da6p-9, 0x1.f9367701decc7p-10, 0x1.eb7c4a15a2813p-10, 0x1.de1da0f1a42fap-10, 0x1.d1185b3076f19p-10, 0x1.c46a63287b5ecp-10, 0x1.b811adc0d9ff7p-10, 0x1.ac0c3a47095b3p-10, 0x1.a0581244a638ep-10, 0x1.94f34955cd593p-10, 0x1.89dbfcffcf42ep-10, 0x1.7f1054885da9p-10, 0x1.748e80cd26068p-10, 0x1.6a54bc1bc9ad8p-10, 0x1.60614a0a6052dp-10, 0x1.56b27750502abp-10, 0x1.4d46999f99fdbp-10, 0x1.441c0f7e95d46p-10, 0x1.3b314022215a4p-10, 0x1.32849b482f14ap-10, 0x1.2a149912d8341p-10, 0x1.21dfb9e3c2d75p-10, 0x1.19e4863811aa3p-10, 0x1.12218e84a6d57p-10, 0x1.0a956b12ebcap-10, 0x1.033ebbddf84c7p-10, 0x1.f83850e04fad9p-11, 0x1.ea58bf824b12fp-11, 0x1.dcdc3028bc74cp-11, 0x1.cfc01dafdc0dap-11, 0x1.c3021107a767dp-11, 0x1.b69fa0f3864bdp-11, 0x1.aa9671ca828p-11, 0x1.9ee4353879b54p-11, 0x1.9386aa0014b5cp-11, 0x1.887b9bbda47bbp-11, 0x1.7dc0e2aac07d5p-11, 0x1.73546362deb17p-11, 0x1.69340ea89811cp-11, 0x1.5f5de12bd5f29p-11, 0x1.55cfe350c9911p-11, 0x1.4c8828f7c3af2p-11, 0x1.4384d145c835ep-11, 0x1.3ac4066dffa58p-11, 0x1.3243fd7bead9bp-11, 0x1.2a02f61e6e138p-11, 0x1.21ff3a73a098bp-11, 0x1.1a371ed54ee3cp-11, 0x1.12a901a6832a7p-11, 0x1.0b534b218863p-11, 0x1.04346d26e1d57p-11, 0x1.fa95c619dfadp-12, 0x1.ed2a62e0be586p-12, 0x1.e023cc0a831d1p-12, 0x1.d37f2ed20a2b7p-12, 0x1.c739c9ea050ecp-12, 0x1.bb50ed23a9734p-12, 0x1.afc1f916c3b56p-12, 0x1.a48a5ecb2f79dp-12, 0x1.99a79f63a03dfp-12, 0x1.8f174bc9e09aep-12, 0x1.84d7045c6bdccp-12, 0x1.7ae4789d3a4b7p-12, 0x1.713d66e1f6308p-12, 0x1.67df9c055a19fp-12, 0x1.5ec8f31a21bc4p-12, 0x1.55f7551edeb5ep-12, 0x1.4d68b8b3526fep-12, 0x1.451b21cec5fe7p-12, 0x1.3d0ca177b92e8p-12, 0x1.353b557cb40f2p-12, 0x1.2da5682e9bc95p-12, 0x1.2649101b55d55p-12, 0x1.1f248fca8babfp-12, 0x1.1836357ae8f75p-12, 0x1.117c5ae0c774bp-12, 0x1.0af564e5d3e35p-12, 0x1.049fc369d4879p-12, 0x1.fcf3e208f496fp-13, 0x1.f104e5909316cp-13, 0x1.e56fb00d5925ep-13, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.cdcd1221c25c7p-2, -0x1.e861407c7d342p-2, -0x1.fca0df3842f59p-2, -0x1.05a1b0d137e9bp-1, -0x1.0a8141b37b857p-1, -0x1.0d4a1be7c753ep-1, -0x1.0e530b20a9eafp-1, -0x1.0ded04baabddp-1, -0x1.0c622f6b4fecep-1, -0x1.09f56c48a418ep-1, -0x1.06e22c41cb88bp-1, -0x1.035c872f6d791p-1, -0x1.ff2312c48eefep-2, -0x1.f74f3c945b863p-2, -0x1.ef7e0cbc41c7bp-2, -0x1.e7e4a8da3a6fbp-2, -0x1.e0adef3353424p-2, -0x1.d9fb9f17ed26ep-2, -0x1.d3e772a2df159p-2, -0x1.ce8415fea6b7p-2, -0x1.c9de0b15a1657p-2, -0x1.c5fc8921ff33ap-2, -0x1.c2e2250b039b9p-2, -0x1.c08df58236cbp-2, -0x1.befbe311a4f5p-2, -0x1.be2554268cea6p-2, -0x1.be01b06169a57p-2, -0x1.be86d354ae62ep-2, -0x1.bfa96ff415c28p-2, -0x1.c15d668b61276p-2, -0x1.c3960ed1a5ccap-2, -0x1.c64676d9e2292p-2, -0x1.c96197a1f37aap-2, -0x1.ccda80d56da3cp-2, -0x1.d0a47d86ffcc4p-2, -0x1.d4b332aff8b8cp-2, -0x1.d8fab76ce56fdp-2, -0x1.dd6fa72bf2a05p-2, -0x1.e2072ecbf385bp-2, -0x1.e6b715f2011b5p-2, -0x1.eb75c566a2392p-2, -0x1.f03a4ab813283p-2, -0x1.f4fc593c66b93p-2, -0x1.f9b448d267ac9p-2, -0x1.fe5b1301e4834p-2, -0x1.0175278790b35p-1, -0x1.03ae16a4475fcp-1, -0x1.05d5b8c7ccaccp-1, -0x1.07e9b6886e4ddp-1, -0x1.09e7fba4606cep-1, -0x1.0bceb3517147dp-1, -0x1.0d9c448a0659fp-1, -0x1.0f4f4e7b0ebcp-1, -0x1.10e6a51f0132p-1, -0x1.12614dfd0e397p-1, -0x1.13be7cfab9f0cp-1, -0x1.14fd9131f1018p-1, -0x1.161e11c8e289cp-1, -0x1.171faad3e27b9p-1, -0x1.18022a4ef6f48p-1, -0x1.18c57d3b5336cp-1, -0x1.1969ace721edap-1, -0x1.19eedc5f6f734p-1, -0x1.1a550c522a7b7p-1, -0x1.1a9d0cd8de935p-1, -0x1.1ac6fd012f21cp-1, -0x1.1ad34e4bf0609p-1, -0x1.1ac280f624828p-1, -0x1.1a952248a58a9p-1, -0x1.1a4bcb050b4abp-1, -0x1.19e71dee2ad95p-1, -0x1.1967c66aedfcep-1, -0x1.18ce7742518e3p-1, -0x1.181be96f521c2p-1, -0x1.1750db0b65e0bp-1, -0x1.166e0e4dfe5cp-1, -0x1.1574489f897f8p-1, -0x1.146451be7de52p-1, -0x1.133ef2f53edf3p-1, -0x1.1204f65fe286ap-1, -0x1.10b7264131fe7p-1, -0x1.0f564c66723c4p-1, -0x1.0de33199aa58fp-1, -0x1.0c5e9d22365fep-1, -0x1.0ac954536cff7p-1, -0x1.09241a290e6fap-1, -0x1.076faef1083b4p-1, -0x1.05acd001e4d0ap-1, -0x1.03dc377cfdc0fp-1, -0x1.01fe9c1b584ep-1, -0x1.0014b103e0725p-1, -0x1.fc3e4b535c628p-2, -0x1.f83d4b61ef894p-2, -0x1.f427b1b2f9216p-2, -0x1.effec5daa4f4p-2, -0x1.ebc3c76679948p-2, -0x1.e777edc7d8a96p-2, -0x1.e31c684363c52p-2, -0x1.deb25de4c4826p-2, -0x1.da3aed7676b07p-2, -0x1.d5b72d7d74e5ap-2, -0x1.d1282c38a2155p-2, -0x1.cc8eefa3e8b03p-2, -0x1.c7ec757ef71d9p-2, -0x1.c341b3578ccccp-2, -0x1.be8f969736e2fp-2, -0x1.b9d704947185cp-2, -0x1.b518daa7038acp-2, -0x1.b055ee3f84459p-2, -0x1.ab8f0d01ea07ep-2, -0x1.a6c4fce301a93p-2, -0x1.a1f87c48b2efbp-2, -0x1.9d2a422ceb278p-2, -0x1.985afe4307a3fp-2, -0x1.938b591f911c6p-2, -0x1.8ebbf4620cf4fp-2, -0x1.89ed6ae0ad7a5p-2, -0x1.852050d58d7f4p-2, -0x1.8055340d2984cp-2, -0x1.7b8c9c15be04fp-2, -0x1.76c70a6f24d92p-2, -0x1.7204fabad8e2cp-2, -0x1.6d46e2ebbc924p-2, -0x1.688d3375502ccp-2, -0x1.63d8577a0c9b6p-2, -0x1.5f28b4f8a05a9p-2, -0x1.5a7eacf7e6849p-2, -0x1.55da9bb17294cp-2, -0x1.513cd8baa3411p-2, -0x1.4ca5b72c38e5p-2, -0x1.481585c8784a6p-2, -0x1.438c8f1fe30bdp-2, -0x1.3f0b19b4a064dp-2, -0x1.3a91681ca4831p-2, -0x1.361fb922b5216p-2, -0x1.31b647e6566b6p-2, -0x1.2d554bfab93bap-2, -0x1.28fcf984b8c79p-2, -0x1.24ad8157f012dp-2, -0x1.20671112fcb8fp-2, -0x1.1c29d33aee9bap-2, -0x1.17f5ef55f59c5p-2, -0x1.13cb8a05554cfp-2, -0x1.0faac51ea7625p-2, -0x1.0b93bfc47c4dfp-2, -0x1.0786967e5e63fp-2, -0x1.038363504d1b6p-2, -0x1.ff155a9407d4dp-3, -0x1.f7376e834f68fp-3, -0x1.ef6de9afaed05p-3, -0x1.e7b8ed969b926p-3, -0x1.e01897a5420fcp-3, -0x1.d88d016101112p-3, -0x1.d116408eb4fdp-3, -0x1.c9b46758d71c3p-3, -0x1.c26784748df1bp-3, -0x1.bb2fa345a41a1p-3, -0x1.b40ccc0184799p-3, -0x1.acff03d142c43p-3, -0x1.a6064cf2a24b8p-3, -0x1.9f22a6d840046p-3, -0x1.98540e48cf0e7p-3, -0x1.919a7d7d6ec5fp-3, -0x1.8af5ec3f232c6p-3, -0x1.84665003724bap-3, -0x1.7deb9c081ea83p-3, -0x1.7785c16e0b13ep-3, -0x1.7134af53445b9p-3, -0x1.6af852ec3292ep-3, -0x1.64d0979bf03b4p-3, -0x1.5ebd670bd2b57p-3, -0x1.58bea9421b327p-3, -0x1.52d444b7d1e4ep-3, -0x1.4cfe1e6ddc2bp-3, -0x1.473c1a013c181p-3, -0x1.418e19be911ep-3, -0x1.3bf3feb4cae2dp-3, -0x1.366da8c72601dp-3, -0x1.30faf6be64a5ap-3, -0x1.2b9bc65958f8ep-3, -0x1.264ff45cbec9p-3, -0x1.21175ca267e17p-3, -0x1.1bf1da27c930bp-3, -0x1.16df471bec3cap-3, -0x1.11df7cecccd0cp-3, -0x1.0cf254541e801p-3, -0x1.0817a56399a59p-3, -0x1.034f4790b741ap-3, -0x1.fd32237fff8b5p-4, -0x1.f3e9b49fad9e8p-4, -0x1.eac4ee45d34d9p-4, -0x1.e1c37b54436f3p-4, -0x1.d8e505dc7fe5cp-4, -0x1.d02937322b5e2p-4, -0x1.c78fb7fcc5da7p-4, -0x1.bf183048be982p-4, -0x1.b6c24797dd13dp-4, -0x1.ae8da4f11f124p-4, -0x1.a679eeefe87fep-4, -0x1.9e86cbd2bd724p-4, -0x1.96b3e18965bfap-4, -0x1.8f00d5c28ae36p-4, -0x1.876d4df8e4c3cp-4, -0x1.7ff8ef7fe0981p-4, -0x1.78a35f8fd70ap-4, -0x1.716c4351cf1cep-4, -0x1.6a533fead42f5p-4, -0x1.6357fa86dd289p-4, -0x1.5c7a18634f04bp-4, -0x1.55b93ed9162ddp-4, -0x1.4f1513665e054p-4, -0x1.488d3bb7e66efp-4, -0x1.42215db1fb6ccp-4, -0x1.3bd11f790cd81p-4, -0x1.359c2779ee806p-4, -0x1.2f821c71bbed5p-4, -0x1.2982a57565932p-4, -0x1.239d69f8e8882p-4, -0x1.1dd211d63113fp-4, -0x1.18204553abcbap-4, -0x1.1287ad2a84b3p-4, -0x1.0d07f28c997dp-4, -0x1.07a0bf2a1c74dp-4, -0x1.0251bd36edb15p-4, -0x1.fa352edf557dep-5, -0x1.eff5f23cee6ecp-5, -0x1.e5e51c3efdf56p-5, -0x1.dc0205ca6efc6p-5, -0x1.d24c08f8ba671p-5, -0x1.c8c2811f68d66p-5, -0x1.bf64cad7183aep-5, -0x1.b63244020e58fp-5, -0x1.ad2a4bd2556f1p-5, -0x1.a44c42cf72d2ep-5, -0x1.9b978adbb0223p-5, -0x1.930b873900e18p-5, -0x1.8aa79c8d88c0fp-5, -0x1.826b30e7c4fe6p-5, -0x1.7a55abc25cc2fp-5, -0x1.726676079b4d8p-5, -0x1.6a9cfa149c5abp-5, -0x1.62f8a3bc26384p-5, -0x1.5b78e0493bb7dp-5, -0x1.541d1e8165a6bp-5, -0x1.4ce4cea6b9c5ep-5, -0x1.45cf62799c722p-5, -0x1.3edc4d3a478a3p-5, -0x1.380b03aa130dap-5, -0x1.315afc0c8462bp-5, -0x1.2acbae28287acp-5, -0x1.245c9347365f9p-5, -0x1.1e0d2638034f4p-5, -0x1.17dce34d431f1p-5, -0x1.11cb485e1c49dp-5, -0x1.0bd7d4c6116b5p-5, -0x1.06020964bcfe1p-5, -0x1.0049689d69365p-5, -0x1.f55aecacfb478p-6, -0x1.ea5b6ff197828p-6, -0x1.df9368dd68373p-6, -0x1.d501e8465c8a3p-6, -0x1.caa602015be7p-6, -0x1.c07eccdfd19bap-6, -0x1.b68b62ad05c97p-6, -0x1.accae02b3430fp-6, -0x1.a33c65107106ep-6, -0x1.99df14035ea4p-6, -0x1.90b21297ab9d2p-6, -0x1.87b4894a626a5p-6, -0x1.7ee5a37e10f1p-6, -0x1.76448f76be189p-6, -0x1.6dd07e55b7f69p-6, -0x1.6588a41540344p-6, -0x1.5d6c378405c94p-6, -0x1.557a72408615bp-6, -0x1.4db290b4452cp-6, -0x1.4613d20ee66fbp-6, -0x1.3e9d784122b9bp-6, -0x1.374ec7f7a5272p-6, -0x1.30270895c4b91p-6, -0x1.2925843028d7cp-6, -0x1.224987874cc37p-6, -0x1.1b926201f16d4p-6, -0x1.14ff65a7710ep-6, -0x1.0e8fe71a01258p-6, -0x1.08433d90df5d4p-6, -0x1.0218c2d26732dp-6, -0x1.f81fa65c31b5ap-7, -0x1.ec4f9aed1fe9bp-7, -0x1.e0c025f6cd162p-7, -0x1.d5700f0618376p-7, -0x1.ca5e22891e87p-7, -0x1.bf8931c2b2ab5p-7, -0x1.b4f012bdc46b6p-7, -0x1.aa91a040af0e4p-7, -0x1.a06cb9c076d6ap-7, -0x1.96804353f2ca6p-7, -0x1.8ccb25a6f94a8p-7, -0x1.834c4ded66ac1p-7, -0x1.7a02add634b37p-7, -0x1.70ed3b7e78bb4p-7, -0x1.680af1645da25p-7, -0x1.5f5ace5a28fb8p-7, -0x1.56dbd57924182p-7, -0x1.4e8d0e149cff3p-7, -0x1.466d83acda962p-7, -0x1.3e7c45e210ed5p-7, -0x1.36b868676507fp-7, -0x1.2f2102f5ebdabp-7, -0x1.27b5313fb3b52p-7, -0x1.207412e2d4b38p-7, -0x1.195ccb5c8b0bbp-7, -0x1.126e81fc5b0f7p-7, -0x1.0ba861d74100fp-7, -0x1.052b59431ebebp-7, -0x1.fd664be09dff9p-8, -0x1.f0c1618abfdddp-8, -0x1.e46666dbdd7f6p-8, -0x1.d853d6374d51ap-8, -0x1.cc8830f3ad3b1p-8, -0x1.c101ff42301dbp-8, -0x1.b5bfd01614721p-8, -0x1.aac0390c3ea0dp-8, -0x1.a001d652ff8e5p-8, -0x1.95834a9201b53p-8, -0x1.8b433ed264b2fp-8, -0x1.8140626701ed1p-8, -0x1.77796ad4e0c75p-8, -0x1.6ded13bbd903fp-8, -0x1.649a1ebf634d6p-8, -0x1.5b7f536f9bd99p-8, -0x1.529b7f3275302p-8, -0x1.49ed752d1cc1ap-8, -0x1.41740e2d92724p-8, -0x1.392e289474367p-8, -0x1.311aa83efd325p-8, -0x1.293876713933fp-8, -0x1.218681c06da87p-8, -0x1.1a03bdfdb92c1p-8, -0x1.12af2420e72d4p-8, -0x1.0b87b2337c6b1p-8, -0x1.048c6b3bf8a6cp-8, -0x1.fb78ae52a1d15p-9, -0x1.ee2d057d40c0fp-9, -0x1.e133fefe20e14p-9, -0x1.d48bc733f71bap-9, -0x1.c83293ae87d25p-9, -0x1.bc26a307cf7dcp-9, -0x1.b0663cbd91beep-9, -0x1.a4efb10b5ea9fp-9, -0x1.99c158c50db8fp-9, -0x1.8ed995319ea35p-9, -0x1.8436cfe694ee8p-9, -0x1.79d77aa3c3855p-9, -0x1.6fba0f2f83d5cp-9, -0x1.65dd0f336446dp-9, -0x1.5c3f041946b57p-9, -0x1.52de7ee8ea776p-9, -0x1.49ba1825ed266p-9, -0x1.40d06fae3a52p-9, -0x1.38202c98e6278p-9, -0x1.2fa7fd157dc1ap-9, -0x1.2766964bc80fap-9, -0x1.1f5ab43bea603p-9, -0x1.1783199f0b96fp-9, -0x1.0fde8fc857153p-9, -0x1.086be68676fafp-9, -0x1.0129f40575fd6p-9, -0x1.f42f296222887p-10, -0x1.e667562ee4d89p-10, -0x1.d8fa3f98b8c32p-10, -0x1.cbe5c2996d999p-10, -0x1.bf27c7c52753ap-10, -0x1.b2be43131f014p-10, -0x1.a6a733a74e8dp-10, -0x1.9ae0a39cd523bp-10, -0x1.8f68a7d1402b7p-10, -0x1.843d5fb09701fp-10, -0x1.795cf5023164ap-10, -0x1.6ec59bb66063dp-10, -0x1.647591b4da1dbp-10, -0x1.5a6b1eabede2p-10, -0x1.50a493e081dfcp-10, -0x1.47204bfecdf8dp-10, -0x1.3ddcaaebe01fp-10, -0x1.34d81d97ddd83p-10, -0x1.2c1119d0ff88p-10, -0x1.23861e174e819p-10, -0x1.1b35b1711f1fep-10, -0x1.131e63403de24p-10, -0x1.0b3ecb17d2eefp-10, -0x1.039588930007dp-10, -0x1.f842865856a64p-11, -0x1.e9c15429fc57ap-11, -0x1.dba4e81e206abp-11, -0x1.cdeabe8a7d655p-11, -0x1.c090624b5ee73p-11, -0x1.b3936c78f24ep-11, -0x1.a6f1841de6a59p-11, -0x1.9aa85def5400fp-11, -0x1.8eb5bc05dc466p-11, -0x1.83176d981a9a6p-11, -0x1.77cb4eb63fdaap-11, -0x1.6ccf4806e612ap-11, -0x1.62214e8519c95p-11, -0x1.57bf633f8a847p-11, -0x1.4da79318ea63dp-11, -0x1.43d7f68968c97p-11, -0x1.3a4eb16154e51p-11, -0x1.3109f28cd48aap-11, -0x1.2807f3d8bf8bdp-11, -0x1.1f46f9b874911p-11, -0x1.16c5530cd9e2fp-11, -0x1.0e8158ec55738p-11, -0x1.06796e6bd1512p-11, -0x1.fd5800d1861d8p-12, -0x1.ee2f0aa8649a2p-12, -0x1.df74f9fd68f82p-12, -0x1.d126e0caca141p-12, -0x1.c341e2ff99e0dp-12, -0x1.b5c3361d7422ap-12, -0x1.a8a820d803cb8p-12, -0x1.9bedfab64e4d3p-12, -0x1.8f922bb5d3bf2p-12, -0x1.83922bef661d3p-12, -0x1.77eb833db647ap-12, -0x1.6c9bc8e59acf7p-12, -0x1.61a0a33ffa801p-12, -0x1.56f7c7655dcb8p-12, -0x1.4c9ef8db1a0afp-12, -0x1.429409421692fp-12, -0x1.38d4d807230dp-12, -0x1.2f5f5214c6c48p-12, -0x1.26317186aebc2p-12, -0x1.1d493d5e80e57p-12, -0x1.14a4c93a2e273p-12, -0x1.0c42350bb1a15p-12, -0x1.041facd2454a3p-12, -0x1.f876d0a9c7a0ap-13, -0x1.e92755bc8e12cp-13, -0x1.da4d85f44090bp-13, -0x1.cbe614677db01p-13, -0x1.bdedc9abe61fbp-13, -0x1.b06183587c733p-13, -0x1.a33e338a910d8p-13, -0x1.9680e06d1f252p-13, -0x1.8a26a3c299145p-13, -0x1.7e2caa712fabbp-13, -0x1.7290341166966p-13, -0x1.674e927ee84e2p-13, -0x1.5c65296bc3f3dp-13, -0x1.51d16df5d17f4p-13, -0x1.4790e63e5d997p-13, -0x1.3da12903ee4b2p-13, -0x1.33ffdd3e30b6p-13, -0x1.2aaab9bc0a71ap-13, -0x1.219f84c3a4354p-13, -0x1.18dc13b4900aap-13, -0x1.105e4aabd5e3cp-13, -0x1.08241c2a0a9b9p-13, -0x1.002b88bb47f2dp-13, -0x1.f0e53d4212462p-14, -0x1.e1eef2fbacd5p-14, -0x1.d3708405a6c06p-14, -0x1.c5665b3e0d46bp-14, -0x1.b7ccfc60f3089p-14, -0x1.aaa1036db25f8p-14, -0x1.9ddf24102e8fep-14, -0x1.9184290cc9fe2p-14, -0x1.858cf3b003e1bp-14, -0x1.79f67b4108684p-14, -0x1.6ebdcc77767d2p-14, -0x1.63e008f4235a2p-14, -0x1.595a66bcf85b3p-14, -0x1.4f2a2fbb9f0c5p-14, -0x1.454cc13f1a14cp-14, -0x1.3bbf8b80291efp-14, -0x1.3280112880c09p-14, -0x1.298be6dc88ec2p-14, -0x1.20e0b2c7daaa7p-14, -0x1.187c2c2c74a4fp-14, -0x1.105c1af423b84p-14, -0x1.087e5744b035cp-14, -0x1.00e0c91631d9p-14, -0x1.f302cf983f324p-15, -0x1.e4bc73a09403cp-15, -0x1.d6eaa860cf98ep-15, -0x1.c989b47b4ef6p-15, -0x1.bc95fa5cfa8bfp-15, -0x1.b00bf78539eb8p-15, -0x1.a3e843d23b5b5p-15, -0x1.982790d0a2f79p-15, -0x1.8cc6a9100046ap-15, -0x1.81c26f7a9e5e2p-15, -0x1.7717deb197b51p-15, -0x1.6cc4086c5ca9dp-15, -0x1.62c414dbf8662p-15, -0x1.59154211f357ap-15, -0x1.4fb4e36ae8da8p-15, -0x1.46a060fc53ca4p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.4d8ce4269c6f6p-2, -0x1.5096de62040c5p-2, -0x1.527357650e516p-2, -0x1.5331418617a99p-2, -0x1.52e00ea838fb7p-2, -0x1.518f7fed5b2a1p-2, -0x1.4f4f7b7e8086cp-2, -0x1.4c2fe7fd5824ep-2, -0x1.48408d2c0ab52p-2, -0x1.4390f9566b8cap-2, -0x1.3e306b090961ep-2, -0x1.382dbea6597e3p-2, -0x1.31975f6f7d766p-2, -0x1.2a7b3b9cad61ep-2, -0x1.22e6bb2853cfdp-2, -0x1.1ae6b8f756e16p-2, -0x1.12877e108074ep-2, -0x1.09d4be9c39768p-2, -0x1.00d9986ccdf68p-2, -0x1.ef4125ac2b54fp-3, -0x1.dc673f42fa999p-3, -0x1.c93839e252b53p-3, -0x1.b5c5afd442244p-3, -0x1.a22020045cd91p-3, -0x1.8e56f5a4dcd08p-3, -0x1.7a7890a6c99cdp-3, -0x1.66924ed5c3559p-3, -0x1.52b0956e2f73dp-3, -0x1.3ededb0a1c61ap-3, -0x1.2b27b1c5f64a8p-3, -0x1.1794d182a5603p-3, -0x1.042f222e63c26p-3, -0x1.e1fd8c0234d7p-4, -0x1.bc1647380cad6p-4, -0x1.96b5dffe2b686p-4, -0x1.71e870918e03dp-4, -0x1.4db8d66ea7f29p-4, -0x1.2a30c4c7a9fdbp-4, -0x1.0758d6631f02dp-4, -0x1.ca713db42d9e8p-5, -0x1.87ad765f00f5bp-5, -0x1.4671c378d66a3p-5, -0x1.06c7e2dd76793p-5, -0x1.91700165a90ap-6, -0x1.1891a65b16ff6p-6, -0x1.45fed3f203ce6p-7, -0x1.860be60c03844p-9, 0x1.f112307c76963p-9, 0x1.535056f2838f8p-7, 0x1.11ce7e22816fap-6, 0x1.76955e2b3ff2ep-6, 0x1.d7fe9b4cea857p-6, 0x1.1b06c89a0bbb9p-5, 0x1.486382fe59339p-5, 0x1.7418855ccdd5bp-5, 0x1.9e296ef838fd9p-5, 0x1.c69a67f929449p-5, 0x1.ed70147d3ca48p-5, 0x1.0957c43f07a05p-4, 0x1.1b2f1e424c96ap-4, 0x1.2c41018f14929p-4, 0x1.3c907f8432c8fp-4, 0x1.4c20cd050df8fp-4, 0x1.5af53e3782a69p-4, 0x1.6911428e7f017p-4, 0x1.7678611ccdce2p-4, 0x1.832e352bb7159p-4, 0x1.8f366b114d0bdp-4, 0x1.9a94bd42757fdp-4, 0x1.a54cf19ce653p-4, 0x1.af62d6e5952d5p-4, 0x1.b8da427822059p-4, 0x1.c1b70e2420cd2p-4, 0x1.c9fd163541498p-4, 0x1.d1b037a365c06p-4, 0x1.d8d44e681f4dcp-4, 0x1.df6d33f6f1a28p-4, 0x1.e57ebdd610d3ep-4, 0x1.eb0cbc5564869p-4, 0x1.f01af961b460fp-4, 0x1.f4ad37720dab2p-4, 0x1.f8c7308da88cp-4, 0x1.fc6c956873a8dp-4, 0x1.ffa10c94d4b79p-4, 0x1.013418e486753p-3, 0x1.0262ca9b72701p-3, 0x1.035e5d7a329a2p-3, 0x1.04288d3a25d56p-3, 0x1.04c30f06a275ep-3, 0x1.052f91475a97fp-3, 0x1.056fbb711e604p-3, 0x1.05852ddc8567ap-3, 0x1.057181a2042cdp-3, 0x1.0536487b23a8dp-3, 0x1.04d50ca867cbdp-3, 0x1.044f50db9cc1cp-3, 0x1.03a690263145bp-3, 0x1.02dc3deb5a4ap-3, 0x1.01f1c5d5b8b4ep-3, 0x1.00e88bd03d772p-3, 0x1.ff83d80423dd4p-4, 0x1.fcfe759aa868cp-4, 0x1.fa4389a0be688p-4, 0x1.f7559dd30f626p-4, 0x1.f4372c7a1f815p-4, 0x1.f0eaa07a50906p-4, 0x1.ed725567c365bp-4, 0x1.e9d0979dbfc91p-4, 0x1.e607a459637f4p-4, 0x1.e219a9d75cab5p-4, 0x1.de08c77465a22p-4, 0x1.d9d70dd05f014p-4, 0x1.d5867ef3ca75fp-4, 0x1.d1190e77651d9p-4, 0x1.cc90a1adddfafp-4, 0x1.c7ef0fcf4438ep-4, 0x1.c3362226441a1p-4, 0x1.be67943ecaca1p-4, 0x1.b985141630ba6p-4, 0x1.b490424c89c95p-4, 0x1.af8ab257304fcp-4, 0x1.aa75eab44bcp-4, 0x1.a553651f3f7c7p-4, 0x1.a0248ec5f2102p-4, 0x1.9aeac87ec7d89p-4, 0x1.95a766ff368f2p-4, 0x1.905bb312ee5bep-4, 0x1.8b08e9d36c752p-4, 0x1.85b03cdff2605p-4, 0x1.8052d295c95f1p-4, 0x1.7af1c648c0cb7p-4, 0x1.758e287bd5cb6p-4, 0x1.7028ff19f5c23p-4, 0x1.6ac345aec9ba8p-4, 0x1.655ded9f7f867p-4, 0x1.5ff9de637ed26p-4, 0x1.5a97f5bd004f1p-4, 0x1.553907f179953p-4, 0x1.4fdde001d0ea4p-4, 0x1.4a873fe24dd1cp-4, 0x1.4535e0b23f342p-4, 0x1.3fea72f347196p-4, 0x1.3aa59ec047911p-4, 0x1.35680403e639cp-4, 0x1.30323aae9c8e2p-4, 0x1.2b04d2ec4e74cp-4, 0x1.25e055596037p-4, 0x1.20c5433742316p-4, 0x1.1bb416a06dd7ep-4, 0x1.16ad42bbce129p-4, 0x1.11b133ef89a04p-4, 0x1.0cc050133005ap-4, 0x1.07daf6a13d6d1p-4, 0x1.030180e7f576ap-4, 0x1.fc6884731e54bp-5, 0x1.f2e710375a3fbp-5, 0x1.e97f34ec3dbaap-5, 0x1.e0317781d3581p-5, 0x1.d6fe526324bedp-5, 0x1.cde635cf51e11p-5, 0x1.c4e9883122011p-5, 0x1.bc08a6750bb37p-5, 0x1.b343e45db2d16p-5, 0x1.aa9b8cd6d2d96p-5, 0x1.a20fe24699f94p-5, 0x1.99a11edd6e103p-5, 0x1.914f74e41c048p-5, 0x1.891b0f086d8cfp-5, 0x1.810410a828999p-5, 0x1.790a961a75e45p-5, 0x1.712eb4f7aacb5p-5, 0x1.69707c5f7ff52p-5, 0x1.61cff53dac4c1p-5, 0x1.5a4d228ceb011p-5, 0x1.52e801986be19p-5, 0x1.4ba08a3bb0d0dp-5, 0x1.4476af20d8bedp-5, 0x1.3d6a5dfd5ecc4p-5, 0x1.367b7fcd4908bp-5, 0x1.2fa9f90cd3757p-5, 0x1.28f5a9f090433p-5, 0x1.225e6e9c0aaa2p-5, 0x1.1be41f56e5ac6p-5, 0x1.158690c0874c9p-5, 0x1.0f45940246b85p-5, 0x1.0920f7002d961p-5, 0x1.03188488483d8p-5, 0x1.fa58090123099p-6, 0x1.eeb67826eb20bp-6, 0x1.e34bdbb5f4d6ep-6, 0x1.d817b415194f6p-6, 0x1.cd197d2ef0ea4p-6, 0x1.c250aec0256efp-6, 0x1.b7bcbca337315p-6, 0x1.ad5d1719b2602p-6, 0x1.a3312b12ed1f1p-6, 0x1.9938627054c01p-6, 0x1.8f72244753f78p-6, 0x1.85ddd520df68dp-6, 0x1.7c7ad736b482cp-6, 0x1.73488aae58097p-6, 0x1.6a464dd1dc0c6p-6, 0x1.61737d467d774p-6, 0x1.58cf74412263ap-6, 0x1.50598cb8c73e4p-6, 0x1.48111f96e49a5p-6, 0x1.3ff584e5da5cep-6, 0x1.380613fd6fbbep-6, 0x1.304223ad6cfdap-6, 0x1.28a90a6661f89p-6, 0x1.213a1e609c244p-6, 0x1.19f4b5c167acbp-6, 0x1.12d826be90fa4p-6, 0x1.0be3c7c04928fp-6, 0x1.0516ef816665fp-6, 0x1.fce1ea5c2c068p-7, 0x1.efe2610217091p-7, 0x1.e32df3be5ab16p-7, 0x1.d6c354e3b835p-7, 0x1.caa1387f93932p-7, 0x1.bec65488ffe57p-7, 0x1.b331610d1e4c5p-7, 0x1.a7e11858fc7fbp-7, 0x1.9cd43720f8a6ap-7, 0x1.92097ca5be28ep-7, 0x1.877faad700119p-7, 0x1.7d358673e9faep-7, 0x1.7329d72978c3ap-7, 0x1.695b67aeafccap-7, 0x1.5fc905ded65f6p-7, 0x1.567182d1c1762p-7, 0x1.4d53b2f23ac99p-7, 0x1.446e6e12a3657p-7, 0x1.3bc08f7fcf60dp-7, 0x1.3348f61240dc2p-7, 0x1.2b06843dbfe24p-7, 0x1.22f8201f6b998p-7, 0x1.1b1cb38a4cc9cp-7, 0x1.13732c127e456p-7, 0x1.0bfa7b16f6bdap-7, 0x1.04b195ca037f1p-7, 0x1.fb2eea71032f6p-8, 0x1.ed562c9fcbbep-8, 0x1.dfd6f3c63932ap-8, 0x1.d2af495ca37b9p-8, 0x1.c5dd3eb35b63bp-8, 0x1.b95eecf621c7fp-8, 0x1.ad32752dba19bp-8, 0x1.a156003fab51ep-8, 0x1.95c7beec48f2p-8, 0x1.8a85e9cb16ef1p-8, 0x1.7f8ec145a1939p-8, 0x1.74e08d90dacbdp-8, 0x1.6a799ea51439bp-8, 0x1.60584c34a46a8p-8, 0x1.567af5a15084dp-8, 0x1.4ce001f086cf5p-8, 0x1.4385dfbe80972p-8, 0x1.3a6b053057d6fp-8, 0x1.318defe52453p-8, 0x1.28ed24e62f15cp-8, 0x1.208730964c9fap-8, 0x1.185aa6a06834ep-8, 0x1.106621e556cd5p-8, 0x1.08a84468f6b7bp-8, 0x1.011fb73eadf3dp-8, 0x1.f39654eaa74c7p-9, 0x1.e552aa051fd03p-9, 0x1.d771e95b7af96p-9, 0x1.c9f19bf4b4303p-9, 0x1.bccf58241e215p-9, 0x1.b008c15cb93a3p-9, 0x1.a39b8803e383bp-9, 0x1.97856943785fp-9, 0x1.8bc42edb6e38p-9, 0x1.8055aef303a06p-9, 0x1.7537cbe98dd7bp-9, 0x1.6a687426fd046p-9, 0x1.5fe5a1ec1d6e3p-9, 0x1.55ad5b22a69f9p-9, 0x1.4bbdb12d2dd05p-9, 0x1.4214c0b6fa7a4p-9, 0x1.38b0b183d93dfp-9, 0x1.2f8fb63fec869p-9, 0x1.26b00c4f8cf12p-9, 0x1.1e0ffb9f4308dp-9, 0x1.15add673e08a2p-9, 0x1.0d87f93acc4fbp-9, 0x1.059cca5a7cf97p-9, 0x1.fbd57406653fdp-10, 0x1.ece083fff90fdp-10, 0x1.de57cb1005e6ap-10, 0x1.d0386220596a8p-10, 0x1.c27f743a3a501p-10, 0x1.b52a3e2b228d7p-10, 0x1.a8360e2a53f9bp-10, 0x1.9ba0437f3435ap-10, 0x1.8f664e289ce62p-10, 0x1.8385ae8509bbep-10, 0x1.77fbf4fbc9706p-10, 0x1.6cc6c1a717d26p-10, 0x1.61e3c3ff502bdp-10, 0x1.5750ba871bdb2p-10, 0x1.4d0b7278b4c59p-10, 0x1.4311c7743de19p-10, 0x1.3961a32f353b9p-10, 0x1.2ff8fd2506353p-10, 0x1.26d5da48b9bf5p-10, 0x1.1df64cb7d0f0cp-10, 0x1.1558736e4579ep-10, 0x1.0cfa79fbb1137p-10, 0x1.04da9839ad7b6p-10, 0x1.f9ee2406a342ap-11, 0x1.ea9c6ddbda3d3p-11, 0x1.dbbcc405d87b4p-11, 0x1.cd4bf2f5dc807p-11, 0x1.bf46dcf419887p-11, 0x1.b1aa799aa88d5p-11, 0x1.a473d552d7433p-11, 0x1.97a010d4d8a4p-11, 0x1.8b2c60a9d1305p-11, 0x1.7f160cb03dc51p-11, 0x1.735a6fa2b2ff7p-11, 0x1.67f6f6a0ef8d9p-11, 0x1.5ce920bb40f8ep-11, 0x1.522e7e8032cf2p-11, 0x1.47c4b18c86958p-11, 0x1.3da96c1d6fcd2p-11, 0x1.33da70a50bb2p-11, 0x1.2a559161135bdp-11, 0x1.2118aff3c05efp-11, 0x1.1821bcfedc44cp-11, 0x1.0f6eb7c0f9f5bp-11, 0x1.06fdadb4cc78ap-11, 0x1.fd99746532e6ap-12, 0x1.edb40c2779af6p-12, 0x1.de478eb0735f1p-12, 0x1.cf50819ca04a3p-12, 0x1.c0cb83781f1b5p-12, 0x1.b2b54b15c30f5p-12, 0x1.a50aa6ea047c9p-12, 0x1.97c87c69c1477p-12, 0x1.8aebc76cbf4f4p-12, 0x1.7e719993dc8efp-12, 0x1.725719b2e549ap-12, 0x1.6699833df70acp-12, 0x1.5b3625ba6c6c8p-12, 0x1.502a6433362aap-12, 0x1.4573b4b09d021p-12, 0x1.3b0f9fb3540abp-12, 0x1.30fbbfb2d2168p-12, 0x1.2735c09edf9eep-12, 0x1.1dbb5f6448969p-12, 0x1.148a6974aa78p-12, 0x1.0ba0bc513ff09p-12, 0x1.02fc4518af8f8p-12, 0x1.f536002f71fdcp-13, 0x1.e4f5f0b9860c3p-13, 0x1.d5348e9c606f7p-13, 0x1.c5ee2886e5447p-13, 0x1.b71f284193983p-13, 0x1.a8c411eb45c1cp-13, 0x1.9ad9833b0912bp-13, 0x1.8d5c32c705aafp-13, 0x1.8048ef5044e5p-13, 0x1.739c9f134624bp-13, 0x1.67543f1d4a9c6p-13, 0x1.5b6ce2a62f814p-13, 0x1.4fe3b26ec3c3fp-13, 0x1.44b5ec238663p-13, 0x1.39e0e1c3a21bbp-13, 0x1.2f61f90c180f9p-13, 0x1.2536aae703c0ap-13, 0x1.1b5c82ded710bp-13, 0x1.11d11e95708a5p-13, 0x1.08922d3f0b0d2p-13, 0x1.ff3ade41a8d9fp-14, 0x1.ede16a264b369p-14, 0x1.dd13c00e7276fp-14, 0x1.cccdc120b672fp-14, 0x1.bd0b6ce0c6e7p-14, 0x1.adc8e04ef6edp-14, 0x1.9f02550e22707p-14, 0x1.90b4208fb8d4ap-14, 0x1.82dab345dd4fcp-14, 0x1.757297db5dbf1p-14, 0x1.6878727166eadp-14, 0x1.5be8ffe2c92f8p-14, 0x1.4fc1150caa3f1p-14, 0x1.43fd9e1c7e51dp-14, 0x1.389b9de326327p-14, 0x1.2d982d2d0bf33p-14, 0x1.22f07a1f1e979p-14, 0x1.18a1c79888ac5p-14, 0x1.0ea96c9903e4fp-14, 0x1.0504d3aba4a37p-14, 0x1.f762f4ac05261p-15, 0x1.e559e11739a62p-15, 0x1.d3e9b04ab9097p-15, 0x1.c30dc8ba2eed1p-15, 0x1.b2c1b299ee60ep-15, 0x1.a30116e54fd36p-15, 0x1.93c7be6c6922ap-15, 0x1.851190e8e62c8p-15, 0x1.76da9419d41cfp-15, 0x1.691eeae628b69p-15, 0x1.5bdad485d3812p-15, 0x1.4f0aabb12ce97p-15, 0x1.42aae5d68c8ecp-15, 0x1.36b81255e1fe8p-15, 0x1.2b2ed9c21dc9ap-15, 0x1.200bfd283d313p-15, 0x1.154c555bd5d4ep-15, 0x1.0aecd248f062cp-15, 0x1.00ea7a4b0de58p-15, 0x1.ee84d3125f63dp-16, 0x1.dbe3a2ad7d4c8p-16, 0x1.c9ebef3247f19p-16, 0x1.b8986c63fb36cp-16, 0x1.a7e3f4db78f89p-16, 0x1.97c988ed2847dp-16, 0x1.88444d9733a32p-16, 0x1.794f8b77d85c4p-16, 0x1.6ae6adcb979a8p-16, 0x1.5d05417306ae4p-16, 0x1.4fa6f40000bf3p-16, 0x1.42c792ca03c8p-16, 0x1.36630a097f3cp-16, 0x1.2a7563f9e073fp-16, 0x1.1efac80228485p-16, 0x1.13ef79e3cec2dp-16, 0x1.094fd8efd197ap-16, 0x1.fe30be8363313p-17, 0x1.ea8b420067ca8p-17, 0x1.d7a8974775c7bp-17, 0x1.c5824a84161d7p-17, 0x1.b41217be9dd1ap-17, 0x1.a351e988609d4p-17, 0x1.933bd7b1c3556p-17, 0x1.83ca2609e1bb5p-17, 0x1.74f743276e581p-17, 0x1.66bdc73a97122p-17, 0x1.591872e79975ap-17, 0x1.4c022e29bea03p-17, 0x1.3f76073e9300bp-17, 0x1.336f3198fb3dp-17, 0x1.27e904dbfde1ap-17, 0x1.1cdefbdcfaf56p-17, 0x1.124cb3ad19cf7p-17, 0x1.082deaa9b41dfp-17, 0x1.fcfcff270a606p-18, 0x1.ea74e158d6bc1p-18, 0x1.d8bbb5b709906p-18, 0x1.c7c9f1aeedc19p-18, 0x1.b79844ad61c72p-18, 0x1.a81f968af07b4p-18, 0x1.99590603282f9p-18, 0x1.8b3de736d2eccp-18, 0x1.7dc7c238bf2a2p-18, 0x1.70f051a4c43e8p-18, 0x1.64b18140b2b3ep-18, 0x1.59056ca6e4fa4p-18, 0x1.4de65dfa2417p-18, 0x1.434ecca299fd9p-18, 0x1.39395c1388ef2p-18, 0x1.2fa0da9987e3ap-18, 0x1.26804030fe874p-18, 0x1.1dd2ad64a5b3ep-18, 0x1.15936a33cbd7ep-18, 0x1.0dbde500235aap-18, 0x1.064db182e2363p-18, 0x1.fe7d0f91f5b81p-19, 0x1.f118866c7069ep-19, 0x1.e465c31e14952p-19, 0x1.d85d04119e4d3p-19, 0x1.ccf6c8c0d82dbp-19, 0x1.c22bcfee024dfp-19, 0x1.b7f515e91fcc7p-19, 0x1.ae4bd2e0cfde5p-19, 0x1.a529793e56268p-19, 0x1.9c87b40c8d277p-19, 0x1.94606569656dap-19, 0x1.8cada501b0e1p-19, 0x1.8569be96e73bap-19, 0x1.7e8f308e9f0c9p-19, 0x1.7818aa8b78673p-19, 0x1.72010c0f2dbbfp-19, 0x1.6c43632594165p-19, 0x1.66daeb1845939p-19, 0x1.61c30b2ab581bp-19, 0x1.5cf7555e7f75p-19, 0x1.5873853fa9d97p-19, 0x1.54337eb8ade1dp-19, 0x1.50334cee0ea4ap-19, 0x1.4c6f2121452d5p-19, 0x1.48e3519ad928ep-19, 0x1.458c589b6b6p-19, 0x1.4266d3538b5ffp-19, 0x1.3f6f80e22503fp-19, 0x1.3ca341595d851p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.670c0e97457c1p-2, -0x1.71981080d0c13p-2, -0x1.7b5fe6e1b0a86p-2, -0x1.846702a80c73ap-2, -0x1.8cb15afd922f8p-2, -0x1.9443598f57ca8p-2, -0x1.9b21c85f62d08p-2, -0x1.a151c11a48046p-2, -0x1.a6d89de5ff5d6p-2, -0x1.abbbeb9b09f0bp-2, -0x1.b0015d5658552p-2, -0x1.b3aec1507e0ap-2, -0x1.b6c9f6e5ba7bbp-2, -0x1.b958e5b9e74ffp-2, -0x1.bb6175e35d654p-2, -0x1.bce9890842b1cp-2, -0x1.bdf6f45a5428ap-2, -0x1.be8f7b5e10229p-2, -0x1.beb8cb6b1cf3cp-2, -0x1.be7877d4d4119p-2, -0x1.bdd3f6aae12adp-2, -0x1.bcd09e0314ed8p-2, -0x1.bb73a1be8657p-2, -0x1.b9c211bd40204p-2, -0x1.b7c0d874b60cep-2, -0x1.b574b9de32de1p-2, -0x1.b2e252b366d31p-2, -0x1.b00e17f00c782p-2, -0x1.acfc5690795f1p-2, -0x1.a9b133859d34dp-2, -0x1.a630abd7be2a8p-2, -0x1.a27e94f1c5283p-2, -0x1.9e9e9d0fa4f74p-2, -0x1.9a944bcad6d8cp-2, -0x1.966302c07e447p-2, -0x1.920dfe4d233ebp-2, -0x1.8d98565a738cap-2, -0x1.8904ff3bca3a1p-2, -0x1.8456ca96a27d7p-2, -0x1.7f90685464763p-2, -0x1.7ab4679b4347p-2, -0x1.75c537cc2fb09p-2, -0x1.70c5298410f0ap-2, -0x1.6bb66f9ebc07fp-2, -0x1.669b203a40c39p-2, -0x1.617535b96880ep-2, -0x1.5c468fc44e85dp-2, -0x1.5710f4463b4bep-2, -0x1.51d61067f78ecp-2, -0x1.4c977985ef1c2p-2, -0x1.4756ae21a2887p-2, -0x1.421516cde599cp-2, -0x1.3cd40715982a3p-2, -0x1.3794be5c8744p-2, -0x1.325868ba3b178p-2, -0x1.2d201fce8aa5dp-2, -0x1.27eceb8fd0a0bp-2, -0x1.22bfc312af052p-2, -0x1.1d998d4b5f3fp-2, -0x1.187b21c880c27p-2, -0x1.136549677b36dp-2, -0x1.0e58bf0278297p-2, -0x1.095630180eabp-2, -0x1.045e3d6cb18dcp-2, -0x1.fee2f74c0a6e4p-3, -0x1.f520e7c06d0adp-3, -0x1.eb77487aee982p-3, -0x1.e1e700df8ff54p-3, -0x1.d870e47a58adbp-3, -0x1.cf15b3fd0102fp-3, -0x1.c5d61e3215b7p-3, -0x1.bcb2c0e5f4992p-3, -0x1.b3ac29c5f481bp-3, -0x1.aac2d7360d2fep-3, -0x1.a1f7391d480abp-3, -0x1.9949b1a961904p-3, -0x1.90ba9609dac8bp-3, -0x1.884a2f22cf2dfp-3, -0x1.7ff8ba37e9a1ap-3, -0x1.77c6698fb6e5p-3, -0x1.6fb3650fae6a8p-3, -0x1.67bfcad12f12ep-3, -0x1.5febafafc8ad3p-3, -0x1.58371fd101b9ep-3, -0x1.50a21f25f6addp-3, -0x1.492ca9e6feaf7p-3, -0x1.41d6b509a3378p-3, -0x1.3aa02eb121fe3p-3, -0x1.3388fe99b5e6dp-3, -0x1.2c91067edd734p-3, -0x1.25b8227cdc515p-3, -0x1.1efe296da5c01p-3, -0x1.1862ed4165741p-3, -0x1.11e63b52dae16p-3, -0x1.0b87dcb7aa195p-3, -0x1.0547968ce5f83p-3, -0x1.fe4a547fc1a6p-4, -0x1.f240aba70ec31p-4, -0x1.e671a844b7c35p-4, -0x1.dadcba3a88f02p-4, -0x1.cf814c0e891d8p-4, -0x1.c45ec35c9510ep-4, -0x1.b97481426d754p-4, -0x1.aec1e2c661952p-4, -0x1.a4464138e441dp-4, -0x1.9a00f29146b8cp-4, -0x1.8ff149c5be1e7p-4, -0x1.8616971efbaefp-4, -0x1.7c7028878264bp-4, -0x1.72fd49d6ea761p-4, -0x1.69bd451940398p-4, -0x1.60af62d2ad1p-4, -0x1.57d2ea3f92f7fp-4, -0x1.4f27219142e56p-4, -0x1.46ab4e2773df3p-4, -0x1.3e5eb4c6a2a33p-4, -0x1.364099cb775f6p-4, -0x1.2e50415b596f7p-4, -0x1.268cef924cbd7p-4, -0x1.1ef5e8ae386f7p-4, -0x1.178a7137b4f7fp-4, -0x1.1049ce287e35fp-4, -0x1.0933450fa136dp-4, -0x1.02461c338382dp-4, -0x1.f7033563b2209p-5, -0x1.e9ca113b440b5p-5, -0x1.dcdf5e368bdb5p-5, -0x1.d041b0f5c7871p-5, -0x1.c3efa0a1cdb3bp-5, -0x1.b7e7c719f4ef1p-5, -0x1.ac28c11ed3c97p-5, -0x1.a0b12e7a029dbp-5, -0x1.957fb22301847p-5, -0x1.8a92f26161c11p-5, -0x1.7fe998ec52aeep-5, -0x1.75825307b5019p-5, -0x1.6b5bd19ec7b51p-5, -0x1.6174c95c9721p-5, -0x1.57cbf2c23e069p-5, -0x1.4e600a3b18429p-5, -0x1.452fd02eff107p-5, -0x1.3c3a0912a4af7p-5, -0x1.337d7d762809dp-5, -0x1.2af8fa11f4135p-5, -0x1.22ab4fd202cafp-5, -0x1.1a9353df946a4p-5, -0x1.12afdfa9719f5p-5, -0x1.0affd0eac6325p-5, -0x1.038209b0ad0fdp-5, -0x1.f86ae0bcef26p-6, -0x1.ea31df6189a31p-6, -0x1.dc56ed7eedf84p-6, -0x1.ced7f1fd2e063p-6, -0x1.c1b2dc7c66536p-6, -0x1.b4e5a5528f516p-6, -0x1.a86e4d877ee7fp-6, -0x1.9c4adecf30156p-6, -0x1.90796b826c15dp-6, -0x1.84f80e95ecff2p-6, -0x1.79c4eb900b685p-6, -0x1.6ede2e7d16129p-6, -0x1.64420be2625bfp-6, -0x1.59eec0b024419p-6, -0x1.4fe292323121ep-6, -0x1.461bcdffadf13p-6, -0x1.3c98c9e9c724dp-6, -0x1.3357e3e97ce18p-6, -0x1.2a57820c9721ep-6, -0x1.21961261cd169p-6, -0x1.19120ae436f9ep-6, -0x1.10c9e9660bbdfp-6, -0x1.08bc337ac8d87p-6, -0x1.00e77660bf3fp-6, -0x1.f2948dd446425p-7, -0x1.e3c682cb388a7p-7, -0x1.d562130cdde65p-7, -0x1.c764949879754p-7, -0x1.b9cb6bd4e18f3p-7, -0x1.ac940b5ebc361p-7, -0x1.9fbbf3d62d61bp-7, -0x1.9340b3ac1a569p-7, -0x1.871fe6eef82cp-7, -0x1.7b573717555c5p-7, -0x1.6fe45ad418be4p-7, -0x1.64c515d685619p-7, -0x1.59f7389e294ffp-7, -0x1.4f78a0449ddcp-7, -0x1.4547364949a09p-7, -0x1.3b60f05d20404p-7, -0x1.31c3d02e6cfap-7, -0x1.286de334b3e78p-7, -0x1.1f5d427cb621fp-7, -0x1.16901274a0afbp-7, -0x1.0e0482b870a55p-7, -0x1.05b8cdde95328p-7, -0x1.fb567289aefbcp-8, -0x1.ebb429bb2060dp-8, -0x1.dc8775fa668d7p-8, -0x1.cdcd20506de14p-8, -0x1.bf8205c2bb9bp-8, -0x1.b1a316f0d44b7p-8, -0x1.a42d57b27cfd6p-8, -0x1.971ddeb6e6d58p-8, -0x1.8a71d524c7fbp-8, -0x1.7e26763b72acp-8, -0x1.72390ef4eb9e5p-8, -0x1.66a6fda90b7e9p-8, -0x1.5b6db1b1b3704p-8, -0x1.508aab1015f5ap-8, -0x1.45fb7a1320eb4p-8, -0x1.3bbdbeff08063p-8, -0x1.31cf29b5f697p-8, -0x1.282d7961f0ba8p-8, -0x1.1ed67c1fdf2fcp-8, -0x1.15c80eabd27dep-8, -0x1.0d001c0e79789p-8, -0x1.047c9d4bd07ccp-8, -0x1.f8773226162a5p-9, -0x1.e87646df75215p-9, -0x1.d8f2baf85e8fcp-9, -0x1.c9e8ea2a33da4p-9, -0x1.bb55491cd66a2p-9, -0x1.ad3464d2e201p-9, -0x1.9f82e21868cf7p-9, -0x1.923d7cf4284d4p-9, -0x1.8561081b3d04bp-9, -0x1.78ea6c674e8e9p-9, -0x1.6cd6a84f329fap-9, -0x1.6122cf6207b7dp-9, -0x1.55cc09c4beffdp-9, -0x1.4acf93b21677ap-9, -0x1.402abcfcfc227p-9, -0x1.35dae89557f0bp-9, -0x1.2bdd8c0f39977p-9, -0x1.22302f2c5e824p-9, -0x1.18d06b6812207p-9, -0x1.0fbbeb85613c2p-9, -0x1.06f06b1f98799p-9, -0x1.fcd76c7a0b18bp-10, -0x1.ec5751c802aap-10, -0x1.dc5c5d644fc06p-10, -0x1.cce284eba1b85p-10, -0x1.bde5db9350daep-10, -0x1.af629164e98bp-10, -0x1.a154f27def301p-10, -0x1.93b96653d25b8p-10, -0x1.868c6efbfe061p-10, -0x1.79caa8780062fp-10, -0x1.6d70c805b0e4cp-10, -0x1.617b9b734950dp-10, -0x1.55e80877645f1p-10, -0x1.4ab30c0cd102p-10, -0x1.3fd9b9d22cd52p-10, -0x1.35593b6d34cd7p-10, -0x1.2b2ecff1b3679p-10, -0x1.2157cb4c18b56p-10, -0x1.17d195af8641p-10, -0x1.0e99ab075fa7ep-10, -0x1.05ad9a6c4010dp-10, -0x1.fa160b388a962p-11, -0x1.e95f40ed56ce9p-11, -0x1.d93260f539841p-11, -0x1.c98b18925e5d1p-11, -0x1.ba653654fa0e1p-11, -0x1.abbca92b93a09p-11, -0x1.9d8d7f7948f2fp-11, -0x1.8fd3e631f1657p-11, -0x1.828c27fbfeba2p-11, -0x1.75b2ac57fee28p-11, -0x1.6943f6cda427bp-11, -0x1.5d3ca61e337a9p-11, -0x1.5199737c3f05dp-11, -0x1.465731c88f102p-11, -0x1.3b72ccd41ccd3p-11, -0x1.30e948a7065acp-11, -0x1.26b7c0cc5bb49p-11, -0x1.1cdb67a2ae8eap-11, -0x1.135185b148096p-11, -0x1.0a177901e8c6ep-11, -0x1.012ab47efc693p-11, -0x1.f1117eac48a83p-12, -0x1.e05e68be041aap-12, -0x1.d037830c4cdedp-12, -0x1.c0984e7821f01p-12, -0x1.b17c6fd045a3ap-12, -0x1.a2dfaebedff82p-12, -0x1.94bdf4beaebddp-12, -0x1.87134c17968d9p-12, -0x1.79dbdee263059p-12, -0x1.6d13f6138ea8fp-12, -0x1.60b7f88ce559ep-12, -0x1.54c46a35d6323p-12, -0x1.4935eb1a497d1p-12, -0x1.3e09368fd6597p-12, -0x1.333b2261275f9p-12, -0x1.28c89dff725e6p-12, -0x1.1eaeb1b9cd262p-12, -0x1.14ea7dfa48da7p-12, -0x1.0b793a88a242cp-12, -0x1.025835d269d32p-12, -0x1.f309a870f3fa2p-13, -0x1.e1f91ec33c233p-13, -0x1.d179eb2488a17p-13, -0x1.c18752122d5b3p-13, -0x1.b21cbec0bf681p-13, -0x1.a335c1e82d437p-13, -0x1.94ce1098e3a68p-13, -0x1.86e18319cc972p-13, -0x1.796c13cedfb8dp-13, -0x1.6c69de2814207p-13, -0x1.5fd71d986ab74p-13, -0x1.53b02c94eb56fp-13, -0x1.47f1839b4f45dp-13, -0x1.3c97b84024d2cp-13, -0x1.319f7c443f0ap-13, -0x1.27059cb138c28p-13, -0x1.1cc700fcd0783p-13, -0x1.12e0aa3302d5p-13, -0x1.094fb22697579p-13, -0x1.00114aa806c7p-13, -0x1.ee4579850569p-14, -0x1.dd02cffde76a6p-14, -0x1.cc55835989cb7p-14, -0x1.bc38a8609d8e7p-14, -0x1.aca77cad7743cp-14, -0x1.9d9d655e7ca9cp-14, -0x1.8f15edd2d471p-14, -0x1.810cc6712a8fep-14, -0x1.737dc37825e46p-14, -0x1.6664dbd851e36p-14, -0x1.59be281733049p-14, -0x1.4d85e13b40332p-14, -0x1.41b85fc0800dcp-14, -0x1.36521a9586c33p-14, -0x1.2b4fa62096665p-14, -0x1.20adb34ca27ddp-14, -0x1.16690e9dfb8b5p-14, -0x1.0c7e9f4e685a2p-14, -0x1.02eb667071754p-14, -0x1.f358fc335736p-15, -0x1.e17e31278d44ep-15, -0x1.d040ff285e919p-15, -0x1.bf9c26f41facep-15, -0x1.af8a9524fd94ep-15, -0x1.a00760c55236fp-15, -0x1.910dc9ef99489p-15, -0x1.82993879a2622p-15, -0x1.74a53aaaaf4cbp-15, -0x1.672d83fc22a0dp-15, -0x1.5a2debe46d4bcp-15, -0x1.4da26cabec6edp-15, -0x1.4187224b617d9p-15, -0x1.35d84953c0de8p-15, -0x1.2a923ddf06b6bp-15, -0x1.1fb17a89c9189p-15, -0x1.15329775465fcp-15, -0x1.0b124951a6f33p-15, -0x1.014d607033bcp-15, -0x1.efc18fba7a736p-16, -0x1.dd930902f1aaep-16, -0x1.cc0968952db13p-16, -0x1.bb1f1ab5a5642p-16, -0x1.aaceba7e9bf6fp-16, -0x1.9b131059e44c8p-16, -0x1.8be710875f7b8p-16, -0x1.7d45d9afbbfd4p-16, -0x1.6f2ab3832080cp-16, -0x1.61910d634fce3p-16, -0x1.54747d18f5c07p-16, -0x1.47d0bd93bfa71p-16, -0x1.3ba1adb4d7953p-16, -0x1.2fe34f23883fp-16, -0x1.2491c52b978dp-16, -0x1.19a953a521207p-16, -0x1.0f265de58e119p-16, -0x1.050565b96ca74p-16, -0x1.f68614cdb01aep-17, -0x1.e3b80f70474e2p-17, -0x1.d19a6a1d222p-17, -0x1.c02708f98d2c8p-17, -0x1.af5803d17c373p-17, -0x1.9f27a46a097c8p-17, -0x1.8f9064e1dca82p-17, -0x1.808cee1f3fcb2p-17, -0x1.7218164b4de17p-17, -0x1.642cdf59d1b2ep-17, -0x1.56c6759d74807p-17, -0x1.49e02e67c72fp-17, -0x1.3d7586b4d7ae4p-17, -0x1.318221e1d20e8p-17, -0x1.2601c86e6ddcbp-17, -0x1.1af066c8bb897p-17, -0x1.104a0c23006ep-17, -0x1.060ae9534b662p-17, -0x1.f85e9f78ddf81p-18, -0x1.e56760802863p-18, -0x1.d32934732c1d3p-18, -0x1.c19d7502bc19bp-18, -0x1.b0bdb4f0ef73cp-18, -0x1.a083be382ff51p-18, -0x1.90e99041a4efcp-18, -0x1.81e95e2a7c776p-18, -0x1.737d8d1791444p-18, -0x1.65a0b296f7f28p-18, -0x1.584d930efa8dap-18, -0x1.4b7f203a124ap-18, -0x1.3f3077af6f96ap-18, -0x1.335ce177ab5c2p-18, -0x1.27ffcead3270bp-18, -0x1.1d14d8281153dp-18, -0x1.1297bd34b61ffp-18, -0x1.0884625556432p-18, -0x1.fdada01b2a43p-19, -0x1.eb16637035db5p-19, -0x1.d93ba8cb8a7c7p-19, -0x1.c8164b8c4033p-19, -0x1.b79f6631b6bcfp-19, -0x1.a7d0504fdb24fp-19, -0x1.98a29c943dcbep-19, -0x1.8a1016db626c6p-19, -0x1.7c12c255ca1eep-19, -0x1.6ea4d7bc2ab63p-19, -0x1.61c0c3925e6eep-19, -0x1.5561247885a0ep-19, -0x1.4980c989e7bbfp-19, -0x1.3e1ab0c9269c2p-19, -0x1.332a059947b0fp-19, -0x1.28aa1f4333db2p-19, -0x1.1e967f873e2a9p-19, -0x1.14ead13a52f26p-19, -0x1.0ba2e6ee67709p-19, -0x1.02bab9a5d1d53p-19, -0x1.f45ccf225add5p-20, -0x1.e3f465aee0f1bp-20, -0x1.d43500cfcca11p-20, -0x1.c517adab64c6fp-20, -0x1.b695ba7926731p-20, -0x1.a8a8b45d3676bp-20, -0x1.9b4a6555173d9p-20, -0x1.8e74d2352faa4p-20, -0x1.822238b67e161p-20, -0x1.764d0d9405519p-20, -0x1.6aeffab76de85p-20, -0x1.6005dd74539cbp-20, -0x1.5589c4d1dd1cp-20, -0x1.4b76efe215df3p-20, -0x1.41c8cc26a14e1p-20, -0x1.387af4025e3abp-20, -0x1.2f892d3789b7fp-20, -0x1.26ef677203e89p-20, -0x1.1ea9badd4cb5p-20, -0x1.16b466c5e1f06p-20, -0x1.0f0bd0459976bp-20, -0x1.07ac80faab85cp-20, -0x1.009325c907836p-20, -0x1.f3791b4b5e546p-21, -0x1.e64b50d77d88bp-21, -0x1.d9970b75b18e4p-21, -0x1.cd56a7bd500e8p-21, -0x1.c184bd7e6462ep-21, -0x1.b61c1db362a3bp-21, -0x1.ab17d08367eddp-21, -0x1.a07313547f23ep-21, -0x1.962956ed6e579p-21, -0x1.8c363da691434p-21, -0x1.829599a949275p-21, -0x1.79436b3d910f3p-21, -0x1.703bdf25445a1p-21, -0x1.677b4d04af4e2p-21, -0x1.5efe35d7fd566p-21, -0x1.56c1427525af8p-21, -0x1.4ec14219edd4ep-21, -0x1.46fb2905aa494p-21, -0x1.3f6c0f1e5d93ap-21, -0x1.38112ea0dd5b4p-21, -0x1.30e7e2dbaaa04p-21, -0x1.29eda6f4270dep-21, -0x1.232014b5d851p-21, -0x1.1c7ce36b6b81p-21, -0x1.1601e6c12cbf8p-21, -0x1.0fad0db0aaa74p-21, -0x1.097c61753e0efp-21, -0x1.036e0489321a7p-21, -0x1.fb00635694636p-22, -0x1.ef6275d8c6743p-22, -0x1.e3ff1189eeb0ap-22, -0x1.d8d332648157fp-22, -0x1.cddbfdb589a8bp-22, -0x1.c316c074210a2p-22, -0x1.b880eda6d2958p-22, -0x1.ae181cd68588dp-22, -0x1.a3da088e841ccp-22, -0x1.99c48ce93c0c7p-22, -0x1.8fd5a629570ap-22, -0x1.860b6f5ec95d1p-22, -0x1.7c64211782441p-22, -0x1.72de101b5e2e2p-22, -0x1.6977ac3307538p-22, -0x1.602f7ef9730cdp-22, -0x1.57042ab7a7839p-22, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.8a5296d8a238cp-2, 0x1.8dae6a7291ab5p-2, 0x1.90fb6f2bcf2cep-2, 0x1.9431e28808698p-2, 0x1.974a4cef6ffbcp-2, 0x1.9a3d919a05e93p-2, 0x1.9d04fb50fc4b3p-2, 0x1.9f9a46496bf9ep-2, 0x1.a1f7a76045a58p-2, 0x1.a417d100c57a3p-2, 0x1.a5f5f5fd88bd9p-2, 0x1.a78dcaa18a542p-2, 0x1.a8db843a33ecap-2, 0x1.a9dbd756e6f3fp-2, 0x1.aa8bf4f530afap-2, 0x1.aae986cb7b624p-2, 0x1.aaf2aaded7921p-2, 0x1.aaa5ee8b4d278p-2, 0x1.aa024921582cfp-2, 0x1.a9071636bc26cp-2, 0x1.a7b40fc4aee6ep-2, 0x1.a6094829a07b5p-2, 0x1.a407242184c12p-2, 0x1.a1ae54c47fb78p-2, 0x1.9effd19920902p-2, 0x1.9bfcd2c50da53p-2, 0x1.98a6cb64dcdc4p-2, 0x1.94ff64121a6cdp-2, 0x1.9108759ce7ddbp-2, 0x1.8cc403fd48a31p-2, 0x1.8834397f07275p-2, 0x1.835b622a2ab3cp-2, 0x1.7e3be76916608p-2, 0x1.78d84becbccc1p-2, 0x1.733327ceb91b6p-2, 0x1.6d4f24f0a7739p-2, 0x1.672efb97a373dp-2, 0x1.60d56f428febap-2, 0x1.5a454bb974d5ap-2, 0x1.538162541bae4p-2, 0x1.4c8c8775dec87p-2, 0x1.4569903c8810ep-2, 0x1.3e1b5060006d6p-2, 0x1.36a498408b2dfp-2, 0x1.2f0833213a0f6p-2, 0x1.2748e58c4e3ccp-2, 0x1.1f696bdf302c4p-2, 0x1.176c78fbc5ad1p-2, 0x1.0f54b51cde871p-2, 0x1.0724bccb933ccp-2, 0x1.fdbe3fe6f1132p-3, 0x1.ed0cc22726e35p-3, 0x1.dc39e91449a89p-3, 0x1.cb4a7ff2ae3e2p-3, 0x1.ba4333861db63p-3, 0x1.a92891342ce02p-3, 0x1.97ff064e18318p-3, 0x1.86cadf7ef127ap-3, 0x1.7590485b3ce64p-3, 0x1.64534b0f31e98p-3, 0x1.5317d028f4c6fp-3, 0x1.41e19e7c699f6p-3, 0x1.30b45b1e3a722p-3, 0x1.1f938973faa37p-3, 0x1.0e828b575a956p-3, 0x1.fb09429524312p-4, 0x1.d939d5787eb07p-4, 0x1.b79cccb230e2cp-4, 0x1.9637e4d4041bfp-4, 0x1.75109a7a22177p-4, 0x1.542c2b308b099p-4, 0x1.338f96698d682p-4, 0x1.133f9e831f1bfp-4, 0x1.e68193b23c52p-5, 0x1.a72ec7c54a09fp-5, 0x1.688efcb19cad8p-5, 0x1.2aa9e4cac323dp-5, 0x1.db0d87602a172p-6, 0x1.6258e183616ddp-6, 0x1.d68566772468bp-7, 0x1.d75c2521647e4p-8, 0x1.10937e2c3fefep-13, -0x1.bf51d2b66a411p-8, -0x1.c00013f5e3076p-7, -0x1.4e58935a4252ap-6, -0x1.bad5c04ef8bb6p-6, -0x1.12b7f8310ae75p-5, -0x1.4710170cf2611p-5, -0x1.7a7014fd3b25p-5, -0x1.acd51ac833468p-5, -0x1.de3c9f43a8e1ep-5, -0x1.075232734c847p-4, -0x1.1f053bb0ef7ccp-4, -0x1.363694a02d72dp-4, -0x1.4ce588c77edc9p-4, -0x1.631184c689f76p-4, -0x1.78ba153291c6bp-4, -0x1.8ddee577522edp-4, -0x1.a27fbebc6444ep-4, -0x1.b69c86cf46443p-4, -0x1.ca353f12234f9p-4, -0x1.dd4a036f5e295p-4, -0x1.efdb0951f7dc3p-4, -0x1.00f44f51727e3p-3, -0x1.09b99465a740cp-3, -0x1.123d91dde0e01p-3, -0x1.1a80907c34f1cp-3, -0x1.2282e3551fc86p-3, -0x1.2a44e75a9d81p-3, -0x1.31c702e9c60efp-3, -0x1.3909a55ae299ap-3, -0x1.400d4694087c7p-3, -0x1.46d2669e2a13p-3, -0x1.4d598d3ca37b4p-3, -0x1.53a349873e053p-3, -0x1.59b03186a88e1p-3, -0x1.5f80e1d359589p-3, -0x1.6515fd36e30dep-3, -0x1.6a702c4fa8acdp-3, -0x1.6f901d36f8523p-3, -0x1.74768329816a7p-3, -0x1.7924163220245p-3, -0x1.7d9992d6fd43bp-3, -0x1.81d7b9c8f6e55p-3, -0x1.85df4f954f8f5p-3, -0x1.89b11c599ba4ap-3, -0x1.8d4deb79ec592p-3, -0x1.90b68b59222a9p-3, -0x1.93ebcd13740e1p-3, -0x1.96ee843b12b2fp-3, -0x1.99bf8696eee2fp-3, -0x1.9c5fabe38fa6ap-3, -0x1.9ecfcd95f74cbp-3, -0x1.a110c6a08da6dp-3, -0x1.a323733a0a35cp-3, -0x1.a508b0a65496ap-3, -0x1.a6c15d014b5d1p-3, -0x1.a84e570b7be82p-3, -0x1.a9b07df8afecfp-3, -0x1.aae8b140527a7p-3, -0x1.abf7d06fa3a8fp-3, -0x1.acdebafdadc57p-3, -0x1.ad9e5020f7919p-3, -0x1.ae376ea6ebae4p-3, -0x1.aeaaf4cce7fedp-3, -0x1.aef9c01af423dp-3, -0x1.af24ad4009f15p-3, -0x1.af2c97eff5271p-3, -0x1.af125ac2bb779p-3, -0x1.aed6cf15808c1p-3, -0x1.ae7accece525ep-3, -0x1.adff2ad8cfc45p-3, -0x1.ad64bdd9a092p-3, -0x1.acac5946c1a56p-3, -0x1.abd6ceb684a0bp-3, -0x1.aae4ede759204p-3, -0x1.a9d784aa3c4cep-3, -0x1.a8af5ece689bdp-3, -0x1.a76d460e36c84p-3, -0x1.a61201fd2c816p-3, -0x1.a49e57f728f7fp-3, -0x1.a3130b10af4b7p-3, -0x1.a170dc083fe2ep-3, -0x1.9fb88938c353fp-3, -0x1.9deace8ced578p-3, -0x1.9c0865739fb54p-3, -0x1.9a1204d54298ap-3, -0x1.9808610a051cfp-3, -0x1.95ec2bd0fc64dp-3, -0x1.93be14482bc94p-3, -0x1.917ec6e554b57p-3, -0x1.8f2eed6f9d221p-3, -0x1.8ccf2ef9f6b34p-3, -0x1.8a602fde4d81fp-3, -0x1.87e291b965f08p-3, -0x1.8556f36774187p-3, -0x1.82bdf1015cfb3p-3, -0x1.801823da9b4f1p-3, -0x1.7d66227fc3815p-3, -0x1.7aa880b5a2884p-3, -0x1.77dfcf78ecf69p-3, -0x1.750c9cfe79093p-3, -0x1.722f74b406534p-3, -0x1.6f48df417b47ep-3, -0x1.6c59628aa877dp-3, -0x1.696181b17c656p-3, -0x1.6661bd18aa93ep-3, -0x1.635a9266b7bdep-3, -0x1.604c7c8975c1ep-3, -0x1.5d37f3b9db098p-3, -0x1.5a1d6d80348a3p-3, -0x1.56fd5cb8b7a6bp-3, -0x1.53d831985d125p-3, -0x1.50ae59b212c92p-3, -0x1.4d803ffc32a3ep-3, -0x1.4a4e4cd64492p-3, -0x1.4718e60eff46dp-3, -0x1.43e06eea875acp-3, -0x1.40a54828e7995p-3, -0x1.3d67d00cc6e1ap-3, -0x1.3a28626244babp-3, -0x1.36e75886145bdp-3, -0x1.33a5096cb4bb7p-3, -0x1.3061c9a9dc845p-3, -0x1.2d1deb7806958p-3, -0x1.29d9bec021b24p-3, -0x1.26959121619e7p-3, -0x1.2351adf928dbfp-3, -0x1.200e5e6b10505p-3, -0x1.1ccbe96905c93p-3, -0x1.198a93bb7cf93p-3, -0x1.164aa009b3cf1p-3, -0x1.130c4ee204df8p-3, -0x1.0fcfdec24e0a6p-3, -0x1.0c958c20571fap-3, -0x1.095d91724da0ap-3, -0x1.062827373cfcfp-3, -0x1.02f583ff95c31p-3, -0x1.ff8bb8eb60d64p-4, -0x1.f932c6ccac93dp-4, -0x1.f2e093928dfedp-4, -0x1.ec957d937d8c8p-4, -0x1.e651df9df43f5p-4, -0x1.e01611095fa4fp-4, -0x1.d9e265c714123p-4, -0x1.d3b72e7327ffcp-4, -0x1.cd94b865469b5p-4, -0x1.c77b4dc159e2cp-4, -0x1.c16b35883f4d1p-4, -0x1.bb64b3a840a31p-4, -0x1.b568090d85cf2p-4, -0x1.af7573b26a866p-4, -0x1.a98d2eafa7f79p-4, -0x1.a3af724c695d8p-4, -0x1.9ddc740e3f244p-4, -0x1.981466c8df377p-4, -0x1.92577aadd4c6ap-4, -0x1.8ca5dd5bf8fa3p-4, -0x1.86ffb9eecbcfep-4, -0x1.8165390da183dp-4, -0x1.7bd680faa6484p-4, -0x1.7653b5a1b57acp-4, -0x1.70dcf8a706a0dp-4, -0x1.6b726975aae53p-4, -0x1.6614254ddf4ddp-4, -0x1.60c247532ddd1p-4, -0x1.5b7ce89a60c84p-4, -0x1.56442037454dep-4, -0x1.5118034a3f0b4p-4, -0x1.4bf8a50da8a88p-4, -0x1.46e616e3047d8p-4, -0x1.41e0685ffbc79p-4, -0x1.3ce7a75b2aadep-4, -0x1.37fbdff8bb8aap-4, -0x1.331d1cb6ce7c1p-4, -0x1.2e4b6679aea4dp-4, -0x1.2986c497d5fd3p-4, -0x1.24cf3ce5bc8afp-4, -0x1.2024d3c17656ap-4, -0x1.1b878c1e1d4eap-4, -0x1.16f7678f098dap-4, -0x1.12746652d6ca3p-4, -0x1.0dfe875e36946p-4, -0x1.0995c86690ca8p-4, -0x1.053a25ec7271cp-4, -0x1.00eb9b45c92fbp-4, -0x1.f954454fdc13fp-5, -0x1.f0eb6a62fe1f6p-5, -0x1.e89c95e80d66fp-5, -0x1.e067b5fae6962p-5, -0x1.d84cb6c2bb4efp-5, -0x1.d04b82843f4bap-5, -0x1.c86401b375cd4p-5, -0x1.c0961b0520651p-5, -0x1.b8e1b37fd0da7p-5, -0x1.b146ae8c9b5d9p-5, -0x1.a9c4ee0770c3cp-5, -0x1.a25c524f1910fp-5, -0x1.9b0cba54d7185p-5, -0x1.93d603abb1574p-5, -0x1.8cb80a97627ffp-5, -0x1.85b2aa1af376p-5, -0x1.7ec5bc06ff17ep-5, -0x1.77f119079f7a2p-5, -0x1.713498b207c04p-5, -0x1.6a901191ccae2p-5, -0x1.64035935d8147p-5, -0x1.5d8e443d0dc73p-5, -0x1.5730a6629fa76p-5, -0x1.50ea528a13eadp-5, -0x1.4abb1acafdfc4p-5, -0x1.44a2d07c688b3p-5, -0x1.3ea1443ff8e35p-5, -0x1.38b6460cc319cp-5, -0x1.32e1a539da528p-5, -0x1.2d233088956p-5, -0x1.277ab62e8e6d4p-5, -0x1.21e803df5cfcfp-5, -0x1.1c6ae6d60ba75p-5, -0x1.17032bde4afddp-5, -0x1.11b09f5d613b1p-5, -0x1.0c730d5adaf87p-5, -0x1.074a4188f9bd6p-5, -0x1.0236074ce5b0ep-5, -0x1.fa6c538d44d7fp-6, -0x1.f094e7b188efcp-6, -0x1.e6e5605fdf1c5p-6, -0x1.dd5d52942d259p-6, -0x1.d3fc52fb0cd99p-6, -0x1.cac1f5ff6ad24p-6, -0x1.c1adcfd7bdc99p-6, -0x1.b8bf7492ce0aep-6, -0x1.aff6782415734p-6, -0x1.a7526e6fb74c3p-6, -0x1.9ed2eb561169dp-6, -0x1.967782bef1cddp-6, -0x1.8e3fc8a45ddp-6, -0x1.862b511d090e8p-6, -0x1.7e39b06662d09p-6, -0x1.766a7aee5113cp-6, -0x1.6ebd455c8d4edp-6, -0x1.6731a49baedf1p-6, -0x1.5fc72de1d9471p-6, -0x1.587d76b91f21fp-6, -0x1.515415078f3d3p-6, -0x1.4a4a9f16f011bp-6, -0x1.4360ab9c34de3p-6, -0x1.3c95d1be9d9cap-6, -0x1.35e9a91e94d1fp-6, -0x1.2f5bc9dc3f419p-6, -0x1.28ebcc9dca2fbp-6, -0x1.22994a956e585p-6, -0x1.1c63dd8734f99p-6, -0x1.164b1fce794fbp-6, -0x1.104eac632954ap-6, -0x1.0a6e1edec8925p-6, -0x1.04a913813725p-6, -0x1.fdfe4e6a7872p-7, -0x1.f2dfef29af11dp-7, -0x1.e7f645daaf7fbp-7, -0x1.dd4090867f32cp-7, -0x1.d2be0eabe29b7p-7, -0x1.c86e01464bd6dp-7, -0x1.be4faad46b161p-7, -0x1.b4624f5e55791p-7, -0x1.aaa5347b506dep-7, -0x1.a117a1573ec4cp-7, -0x1.97b8deb7b0e17p-7, -0x1.8e883700a784dp-7, -0x1.8584f638efd8cp-7, -0x1.7cae6a0e3a86ep-7, -0x1.7403e1d8de5d4p-7, -0x1.6b84ae9f4ef3dp-7, -0x1.633023193aa7cp-7, -0x1.5b0593b27754cp-7, -0x1.5304568d8f5a5p-7, -0x1.4b2bc38616563p-7, -0x1.437b3432bd8d3p-7, -0x1.3bf203e71aa42p-7, -0x1.348f8fb53bf6dp-7, -0x1.2d53366ef9ccdp-7, -0x1.263c58a70eb2dp-7, -0x1.1f4a58b1f5484p-7, -0x1.187c9aa690fd8p-7, -0x1.11d2845ea0137p-7, -0x1.0b4b7d76faa85p-7, -0x1.04e6ef4f9fce6p-7, -0x1.fd488a1726b1cp-8, -0x1.f105d7211996fp-8, -0x1.e504a30cf2c9p-8, -0x1.d943ceada7dd3p-8, -0x1.cdc23e57a46aep-8, -0x1.c27ed9ded745fp-8, -0x1.b7788c9470581p-8, -0x1.acae454455dbcp-8, -0x1.a21ef63252a8cp-8, -0x1.97c99517001a4p-8, -0x1.8dad1b1c6d879p-8, -0x1.83c884da89d07p-8, -0x1.7a1ad2534f445p-8, -0x1.70a306eeb7ce6p-8, -0x1.67602976776dep-8, -0x1.5e5144118374p-8, -0x1.5575643f65aeap-8, -0x1.4ccb9ad3604a4p-8, -0x1.4452fbef62f96p-8, -0x1.3c0a9efed5541p-8, -0x1.33f19eb133e56p-8, -0x1.2c0718f48ae27p-8, -0x1.244a2eefc5408p-8, -0x1.1cba04fcdc43dp-8, -0x1.1555c2a2e2302p-8, -0x1.0e1c928feeda2p-8, -0x1.070da292ecb2dp-8, -0x1.00282395488c9p-8, -0x1.f2d6932910175p-9, -0x1.e5ac97378b414p-9, -0x1.d8d0c77a29bc9p-9, -0x1.cc419e15a2463p-9, -0x1.bffd9b21adbc7p-9, -0x1.b403449b53616p-9, -0x1.a851265712c5fp-9, -0x1.9ce5d1f2eacep-9, -0x1.91bfdec8448fp-9, -0x1.86dde9ddc0e7dp-9, -0x1.7c3e95d8ed548p-9, -0x1.71e08aefe11c6p-9, -0x1.67c276dac99d4p-9, -0x1.5de30cc55e616p-9, -0x1.544105404cc39p-9, -0x1.4adb1e328d0f5p-9, -0x1.41b01acab43f4p-9, -0x1.38bec37037a9ep-9, -0x1.3005e5b4a71b2p-9, -0x1.27845444e5cedp-9, -0x1.1f38e6da5af88p-9, -0x1.17227a2c236cp-9, -0x1.0f3fefe03da4ep-9, -0x1.07902e7cbc8eep-9, -0x1.00122158f77ep-9, -0x1.f189711d82f0ap-10, -0x1.e34dd1d74a00bp-10, -0x1.d56f57c447a0ap-10, -0x1.c7ebfef607109p-10, -0x1.bac1cc8d423a8p-10, -0x1.adeece9c9854fp-10, -0x1.a1711c0b6acbep-10, -0x1.9546d478bfcc5p-10, -0x1.896e201e56591p-10, -0x1.7de52fb3c7e27p-10, -0x1.72aa3c51d0262p-10, -0x1.67bb8755ba366p-10, -0x1.5d175a44ebe75p-10, -0x1.52bc06b09d259p-10, -0x1.48a7e619ab727p-10, -0x1.3ed959d4a6cbcp-10, -0x1.354ecaedf7592p-10, -0x1.2c06aa0e3ec4ep-10, -0x1.22ff6f5edebd3p-10, -0x1.1a379a6ea91d3p-10, -0x1.11adb216d043bp-10, -0x1.0960445ff6effp-10, -0x1.014de6677a711p-10, -0x1.f2ea6889eaee8p-11, -0x1.e3a9a1dfd6da7p-11, -0x1.d4d6cc4b62d07p-11, -0x1.c66f489f16379p-11, -0x1.b87084d1fb3ebp-11, -0x1.aad7fbccb7b1ep-11, -0x1.9da3353713ecep-11, -0x1.90cfc545f58c2p-11, -0x1.845b4c89ccbafp-11, -0x1.784377bd77807p-11, -0x1.6c85ff959a5eap-11, -0x1.6120a8906f28cp-11, -0x1.561142c60c8ccp-11, -0x1.4b55a9b925681p-11, -0x1.40ebc42841eebp-11, -0x1.36d183df7318dp-11, -0x1.2d04e58a7f353p-11, -0x1.2383f0878b028p-11, -0x1.1a4cb6ba3dbbp-11, -0x1.115d545f60cp-11, -0x1.08b3efe0fbcbcp-11, -0x1.004eb9aaede31p-11, -0x1.f057d80004b43p-12, -0x1.e093959f0364bp-12, -0x1.d14d471684bf4p-12, -0x1.c28199fc64f21p-12, -0x1.b42d4e46c148p-12, -0x1.a64d35fb037e5p-12, -0x1.98de34dde2ffep-12, -0x1.8bdd4024616dbp-12, -0x1.7f475e25c0a71p-12, -0x1.7319a60e6a367p-12, -0x1.67513f93d7727p-12, -0x1.5beb62a966837p-12, -0x1.50e557362c0ecp-12, -0x1.463c74cbb4edcp-12, -0x1.3bee225dbe3d4p-12, -0x1.31f7d5fadf447p-12, -0x1.28571486244ddp-12, -0x1.1f0971719bcafp-12, -0x1.160c8e79d1b5ap-12, -0x1.0d5e1b623761ap-12, -0x1.04fbd5b27bcc8p-12, -0x1.f9c710e998ap-13, -0x1.ea2617e9fd3bcp-13, -0x1.db108b014e57ep-13, -0x1.cc824e5027048p-13, -0x1.be775f0053896p-13, -0x1.b0ebd2ca5923ap-13, -0x1.a3dbd77cc66ddp-13, -0x1.9743b28540bcp-13, -0x1.8b1fc07b4ca07p-13, -0x1.7f6c74acd6fep-13, -0x1.742658ac71278p-13, -0x1.694a0be1400b8p-13, -0x1.5ed443189bb7bp-13, -0x1.54c1c8195c81dp-13, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.6fca397608957p-2, 0x1.71222f7e782fep-2, 0x1.7281a75b8e934p-2, 0x1.73e6d6226b18p-2, 0x1.754fec1f47689p-2, 0x1.76bb191da7055p-2, 0x1.782690408a1ddp-2, 0x1.79908b6adb29dp-2, 0x1.7af74e3ada067p-2, 0x1.7c59289ce3031p-2, 0x1.7db478fb5b223p-2, 0x1.7f07ae12302e4p-2, 0x1.8051486cf7d5ap-2, 0x1.818fdb96d91c1p-2, 0x1.82c20f0375fd8p-2, 0x1.83e69eb7e318ap-2, 0x1.84fc5bba7c54p-2, 0x1.86022c500d79p-2, 0x1.86f70c0c5e66cp-2, 0x1.87da0bbbd37e5p-2, 0x1.88aa512b56748p-2, 0x1.896716d3592eep-2, 0x1.8a0fab6a4cb31p-2, 0x1.8aa3716289624p-2, 0x1.8b21de5734b38p-2, 0x1.8b8a7a6b5d7edp-2, 0x1.8bdcdf9e272b1p-2, 0x1.8c18b91690da3p-2, 0x1.8c3dc26913e21p-2, 0x1.8c4bc6d919f21p-2, 0x1.8c42a097fa574p-2, 0x1.8c2238030d47p-2, 0x1.8bea82e2171f1p-2, 0x1.8b9b83a731668p-2, 0x1.8b3548b124c47p-2, 0x1.8ab7eb9100e05p-2, 0x1.8a239053a288p-2, 0x1.897864cfb93ebp-2, 0x1.88b69ff8ba98p-2, 0x1.87de813729696p-2, 0x1.86f04fc672c8bp-2, 0x1.85ec5a189c395p-2, 0x1.84d2f53fe635bp-2, 0x1.83a47c5e7ad5ap-2, 0x1.8261501c3866fp-2, 0x1.8109d62296355p-2, 0x1.7f9e789e9c78cp-2, 0x1.7e1fa5c8e075fp-2, 0x1.7c8dcf736e62bp-2, 0x1.7ae96a9d85596p-2, 0x1.7932ef0d03ee6p-2, 0x1.776ad6ed646b4p-2, 0x1.75919e741b631p-2, 0x1.73a7c38a35e1p-2, 0x1.71adc57b065fep-2, 0x1.6fa424a7b3aedp-2, 0x1.6d8b623f7f18dp-2, 0x1.6b63fffc91ep-2, 0x1.692e7fe51f079p-2, 0x1.66eb6410b1d71p-2, 0x1.649b2e717613ap-2, 0x1.623e60a14d82p-2, 0x1.5fd57bb284145p-2, 0x1.5d610003fc0eep-2, 0x1.5ae16d189eaeep-2, 0x1.58574171ed435p-2, 0x1.55c2fa6d8b92bp-2, 0x1.53251425940efp-2, 0x1.507e095397eddp-2, 0x1.4dce533622411p-2, 0x1.4b1669789bbdep-2, 0x1.4856c21d6d58bp-2, 0x1.458fd16a3e13p-2, 0x1.42c209d6343e1p-2, 0x1.3feddbfa129acp-2, 0x1.3d13b6821d8dfp-2, 0x1.3a340621a4c8bp-2, 0x1.374f358822e0fp-2, 0x1.3465ad57cbb66p-2, 0x1.3177d41d7f155p-2, 0x1.2e860e4a029p-2, 0x1.2b90be2c6e547p-2, 0x1.289843edbb65ep-2, 0x1.259cfd8d5b0a7p-2, 0x1.229f46dece2fbp-2, 0x1.1f9f798821829p-2, 0x1.1c9ded0147a0bp-2, 0x1.199af69438529p-2, 0x1.1696e95dd3ec3p-2, 0x1.1392164f6d5e1p-2, 0x1.108ccc30fbd67p-2, 0x1.0d8757a3e0998p-2, 0x1.0a8203263763ap-2, 0x1.077d1716a6568p-2, 0x1.0478d9b8a82a4p-2, 0x1.01758f393bf71p-2, 0x1.fce6f367fc371p-3, 0x1.f6e5b271393c2p-3, 0x1.f0e7d7a13813dp-3, 0x1.eaeddb0ad2878p-3, 0x1.e4f830cd67deap-3, 0x1.df0749220788bp-3, 0x1.d91b90690e203p-3, 0x1.d3356f382bfb6p-3, 0x1.cd554a68c4942p-3, 0x1.c77b83269b578p-3, 0x1.c1a876fecddd7p-3, 0x1.bbdc7fef074cfp-3, 0x1.b617f474ec0bdp-3, 0x1.b05b279db0884p-3, 0x1.aaa66915dcdebp-3, 0x1.a4fa0539275e1p-3, 0x1.9f564522715a4p-3, 0x1.99bb6ebbcbe97p-3, 0x1.9429c4ce97e57p-3, 0x1.8ea187139ee42p-3, 0x1.8922f2433ce5dp-3, 0x1.83ae40257db3dp-3, 0x1.7e43a7a23a3dfp-3, 0x1.78e35cd127053p-3, 0x1.738d9109dc5dp-3, 0x1.6e4272f3c368fp-3, 0x1.69022e95f4256p-3, 0x1.63cced66fadp-3, 0x1.5ea2d65c7f679p-3, 0x1.59840dfad3a9ep-3, 0x1.5470b6645ec36p-3, 0x1.4f68ef68e4ee6p-3, 0x1.4a6cd694ada62p-3, 0x1.457c873f81628p-3, 0x1.40981a9b80a0ap-3, 0x1.3bbfa7c3cc4ccp-3, 0x1.36f343cb093a2p-3, 0x1.323301c9b41bfp-3, 0x1.2d7ef2ec42794p-3, 0x1.28d7268119685p-3, 0x1.243baa0653e94p-3, 0x1.1fac89375398ap-3, 0x1.1b29ce1a26482p-3, 0x1.16b3810cac425p-3, 0x1.1249a8d1999d1p-3, 0x1.0dec4a9d37556p-3, 0x1.099b6a21f40adp-3, 0x1.0557099cc3786p-3, 0x1.011f29e13f7a1p-3, 0x1.f9e794cb34e73p-4, 0x1.f1a9d29cad9p-4, 0x1.e98506f39be16p-4, 0x1.e1792916f4031p-4, 0x1.d9862dee18516p-4, 0x1.d1ac08169ccf5p-4, 0x1.c9eaa7f9983f1p-4, 0x1.c241fbe08d6f7p-4, 0x1.bab1f009deab1p-4, 0x1.b33a6ebce2284p-4, 0x1.abdb605d87a3fp-4, 0x1.a494ab7f881f1p-4, 0x1.9d6634f9385e3p-4, 0x1.964fdff5edfd4p-4, 0x1.8f518e07fc037p-4, 0x1.886b1f3a42387p-4, 0x1.819c72215c6b3p-4, 0x1.7ae563ec6858cp-4, 0x1.7445d075663e1p-4, 0x1.6dbd925135aa4p-4, 0x1.674c82df2e38p-4, 0x1.60f27a5857573p-4, 0x1.5aaf4fde3ea18p-4, 0x1.5482d9896d6c9p-4, 0x1.4e6cec7780985p-4, 0x1.486d5cd8e2f3p-4, 0x1.4283fdfe2a8d5p-4, 0x1.3cb0a2651c28fp-4, 0x1.36f31bc5532cbp-4, 0x1.314b3b1c93648p-4, 0x1.2bb8d0bac1eaep-4, 0x1.263bac4d88ec8p-4, 0x1.20d39ceba7279p-4, 0x1.1b80711feb543p-4, 0x1.1641f6f3dfae4p-4, 0x1.1117fbfa22fd6p-4, 0x1.0c024d5874354p-4, 0x1.0700b7d16f18bp-4, 0x1.021307cdfe722p-4, 0x1.fa7212cd027e2p-5, 0x1.f0e510d74fce3p-5, 0x1.e77ea0de11f12p-5, 0x1.de3e5996ddfecp-5, 0x1.d523d159c163dp-5, 0x1.cc2e9e30cb79ap-5, 0x1.c35e55e71278ep-5, 0x1.bab28e173204ep-5, 0x1.b22adc394eebap-5, 0x1.a9c6d5b09a1fap-5, 0x1.a1860fd85b02ep-5, 0x1.9968201080a95p-5, 0x1.916c9bc9bf593p-5, 0x1.8993189138e2p-5, 0x1.81db2c1bb7866p-5, 0x1.7a446c507ac64p-5, 0x1.72ce6f53977p-5, 0x1.6b78cb8ff14eep-5, 0x1.644317c0ccb4cp-5, 0x1.5d2ceafaff9afp-5, 0x1.5635dcb5bed7cp-5, 0x1.4f5d84d30b9f9p-5, 0x1.48a37ba7c96acp-5, 0x1.42075a0374815p-5, 0x1.3b88b93782539p-5, 0x1.3527331e6f7d7p-5, 0x1.2ee26222746cp-5, 0x1.28b9e143eda8dp-5, 0x1.22ad4c1f74fb7p-5, 0x1.1cbc3ef3a8904p-5, 0x1.16e656a6ae911p-5, 0x1.112b30cb6afc4p-5, 0x1.0b8a6ba6702b5p-5, 0x1.0603a632aa097p-5, 0x1.00968025c88dp-5, 0x1.f68533e8cdfap-6, 0x1.ec0f29abeb47ep-6, 0x1.e1ca2590c9102p-6, 0x1.d7b56d272afb6p-6, 0x1.cdd0479926efcp-6, 0x1.c419fdb12049ap-6, 0x1.ba91d9df5dc0cp-6, 0x1.b137283f301dap-6, 0x1.a809369bb887fp-6, 0x1.9f07547448cb8p-6, 0x1.9630d30066baep-6, 0x1.8d8505337091ap-6, 0x1.85033fbfec321p-6, 0x1.7caad91a7c502p-6, 0x1.747b297c8617dp-6, 0x1.6c738ae681aebp-6, 0x1.649359220186p-6, 0x1.5cd9f1c36cf95p-6, 0x1.5546b42b71bdfp-6, 0x1.4dd90188305ccp-6, 0x1.46903cd623b52p-6, 0x1.3f6bcae0cd649p-6, 0x1.386b12431a673p-6, 0x1.318d7b6793a59p-6, 0x1.2ad2708852b28p-6, 0x1.24395daeb9503p-6, 0x1.1dc1b0b2ff70fp-6, 0x1.176ad93b7f124p-6, 0x1.113448bbdc34ap-6, 0x1.0b1d7273f53bfp-6, 0x1.0525cb6ea8632p-6, 0x1.fe999500df56ep-7, 0x1.f323d08b9e1c1p-7, 0x1.e7e93e4340658p-7, 0x1.dce8d67666747p-7, 0x1.d22194f89ce9ap-7, 0x1.c792791e15d58p-7, 0x1.bd3a85b71a018p-7, 0x1.b318c10b46267p-7, 0x1.a92c34d4832d7p-7, 0x1.9f73ee39c8f5p-7, 0x1.95eefdc9a8cb5p-7, 0x1.8c9c7774aadf3p-7, 0x1.837b728770949p-7, 0x1.7a8b09a4b94b4p-7, 0x1.71ca5abf2398p-7, 0x1.69388712e06a2p-7, 0x1.60d4b31f2c7dfp-7, 0x1.589e069fada95p-7, 0x1.5093ac85acf86p-7, 0x1.48b4d2f12d9c3p-7, 0x1.4100ab29f1d47p-7, 0x1.397669985000ap-7, 0x1.321545be03532p-7, 0x1.2adc7a2ed6856p-7, 0x1.23cb44893fa0dp-7, 0x1.1ce0e56ee3da8p-7, 0x1.161ca07d0c843p-7, 0x1.0f7dbc450825p-7, 0x1.090382447e9fcp-7, 0x1.02ad3eddb6fe3p-7, 0x1.f8f4829fa2433p-8, 0x1.ecd3b75deb331p-8, 0x1.e0f6c5b8f6214p-8, 0x1.d55c5cfe0a374p-8, 0x1.ca0331f537267p-8, 0x1.bee9fed17ad9cp-8, 0x1.b40f8320dddd4p-8, 0x1.a97283bc89dc9p-8, 0x1.9f11cab8dcc1p-8, 0x1.94ec27557af6cp-8, 0x1.8b006ded60dadp-8, 0x1.814d77e6f788dp-8, 0x1.77d223a42de21p-8, 0x1.6e8d54729735dp-8, 0x1.657df27b937b9p-8, 0x1.5ca2eab47e4e1p-8, 0x1.53fb2eceeb6a2p-8, 0x1.4b85b528f01f2p-8, 0x1.434178bd784abp-8, 0x1.3b2d7914acc73p-8, 0x1.3348ba346bde8p-8, 0x1.2b924490cfcf3p-8, 0x1.240924fcce178p-8, 0x1.1cac6c9ae5623p-8, 0x1.157b30cde67a1p-8, 0x1.0e748b29cfd07p-8, 0x1.07979964c2596p-8, 0x1.00e37d480e548p-8, 0x1.f4aeb942b636ep-9, 0x1.e7e4c267cc99dp-9, 0x1.db677153bfebep-9, 0x1.cf35290bc3814p-9, 0x1.c34c542907f18p-9, 0x1.b7ab64bc1a0c2p-9, 0x1.ac50d43081f9fp-9, 0x1.a13b23309c5a7p-9, 0x1.9668d989b38e7p-9, 0x1.8bd88610526e2p-9, 0x1.8188be84ddedfp-9, 0x1.77781f7869df7p-9, 0x1.6da54c31d01f9p-9, 0x1.640eee9308829p-9, 0x1.5ab3b6fec9ee9p-9, 0x1.51925c3e63c19p-9, 0x1.48a99b67e457ep-9, 0x1.3ff837c47fbebp-9, 0x1.377cfab73ba59p-9, 0x1.2f36b3a3df6dcp-9, 0x1.272437d62c48p-9, 0x1.1f44626958503p-9, 0x1.1796142fd2d8p-9, 0x1.1018339b484e9p-9, 0x1.08c9aca4f6a89p-9, 0x1.01a970b63ce48p-9, 0x1.f56ced22f4fe6p-10, 0x1.e7df74765f4b1p-10, 0x1.daa879c6ce4b2p-10, 0x1.cdc6099ec6b9ep-10, 0x1.c1363a872c0dep-10, 0x1.b4f72cdbb2af7p-10, 0x1.a9070a9fea2e5p-10, 0x1.9d640754c7d1bp-10, 0x1.920c5fcec4a65p-10, 0x1.86fe5a0c8608dp-10, 0x1.7c38450e08cb1p-10, 0x1.71b878ac6578dp-10, 0x1.677d55720f54fp-10, 0x1.5d854473a374ep-10, 0x1.53ceb7294257dp-10, 0x1.4a5827486c195p-10, 0x1.4120169e65ff2p-10, 0x1.38250eeb22a25p-10, 0x1.2f65a1bcb915bp-10, 0x1.26e0684b53648p-10, 0x1.1e940355aaeddp-10, 0x1.167f1afdff79bp-10, 0x1.0ea05ea798ca4p-10, 0x1.06f684d4be64dp-10, 0x1.ff00960a76d71p-11, 0x1.f078eb2aa7e79p-11, 0x1.e2539f3a85325p-11, 0x1.d48e55a25a23ep-11, 0x1.c726bec32cd4fp-11, 0x1.ba1a97b896253p-11, 0x1.ad67aa1b8ccf5p-11, 0x1.a10bcbc621a71p-11, 0x1.9504de9828bbap-11, 0x1.8950d03ccf96fp-11, 0x1.7ded99f11d002p-11, 0x1.72d9404b57c6bp-11, 0x1.6811d30351a99p-11, 0x1.5d956cbb96cc6p-11, 0x1.536232cb7be0ep-11, 0x1.4976550a0a1e3p-11, 0x1.3fd00d99c737ap-11, 0x1.366da0b556d9ep-11, 0x1.2d4d5c7cf0809p-11, 0x1.246d98c4abe48p-11, 0x1.1bccb6e39d41p-11, 0x1.13692183c290fp-11, 0x1.0b414c72bb755p-11, 0x1.0353b4734d59p-11, 0x1.f73dbe1f5db92p-12, 0x1.e842b4d92f3c7p-12, 0x1.d9b37a3a2a13ap-12, 0x1.cb8d4bee3bc5fp-12, 0x1.bdcd77d1c9863p-12, 0x1.b0715b9dce95fp-12, 0x1.a376649567733p-12, 0x1.96da0f34d25edp-12, 0x1.8a99e6e1d252ap-12, 0x1.7eb3859d7a40dp-12, 0x1.732493b754e75p-12, 0x1.67eac781eb04ep-12, 0x1.5d03e50899f8fp-12, 0x1.526dbdc6c2773p-12, 0x1.482630603c63dp-12, 0x1.3e2b285b19c0ep-12, 0x1.347a9ddaa71cep-12, 0x1.2b12955baeea1p-12, 0x1.21f11f71f47b8p-12, 0x1.19145886e5c1cp-12, 0x1.107a68997e5ffp-12, 0x1.082182ff55ca5p-12, 0x1.0007e626d86f8p-12, 0x1.f057b6b5479f7p-13, 0x1.e1176d0bff51p-13, 0x1.d24babf4ec026p-13, 0x1.c3f1446d022dcp-13, 0x1.b6051b5a94665p-13, 0x1.a884291ef4a9cp-13, 0x1.9b6b792a23b63p-13, 0x1.8eb8299092006p-13, 0x1.82676aa2e3df6p-13, 0x1.76767e87afed6p-13, 0x1.6ae2b8d734e89p-13, 0x1.5fa97e38f7c51p-13, 0x1.54c844034f56dp-13, 0x1.4a3c8fdcbe0d4p-13, 0x1.4003f75f312c1p-13, 0x1.361c1fbd025ffp-13, 0x1.2c82bd67c1fdbp-13, 0x1.233593b8c56a7p-13, 0x1.1a32749b640fap-13, 0x1.11774038eaf4cp-13, 0x1.0901e4a637b0bp-13, 0x1.00d05d92f7168p-13, 0x1.f1c167f4eed1p-14, 0x1.e261fbac2ff26p-14, 0x1.d37ebba284d3bp-14, 0x1.c51405fdce701p-14, 0x1.b71e5121009cep-14, 0x1.a99a2b1d0b8f2p-14, 0x1.9c843924bcafep-14, 0x1.8fd9370360e1ep-14, 0x1.8395f6964c128p-14, 0x1.77b75f490e6bp-14, 0x1.6c3a6d9464d4p-14, 0x1.611c327fcf2bcp-14, 0x1.5659d325c1622p-14, 0x1.4bf0883a65336p-14, 0x1.41dd9d94de76bp-14, 0x1.381e71bb092b6p-14, 0x1.2eb0756fa3c28p-14, 0x1.25912b42db605p-14, 0x1.1cbe2725302cap-14, 0x1.14350dfca3d3dp-14, 0x1.0bf3953c2bbbep-14, 0x1.03f7827d57f95p-14, 0x1.f87d563851ca6p-15, 0x1.e98de7aa08be9p-15, 0x1.db1ca0c98d8dp-15, 0x1.cd258655bd14cp-15, 0x1.bfa4b99ade8b5p-15, 0x1.b29677bedbf0ap-15, 0x1.a5f719115eb5cp-15, 0x1.99c3105fbd213p-15, 0x1.8df6ea4ca38bp-15, 0x1.828f4cab6c78ap-15, 0x1.7788f5df0e04p-15, 0x1.6ce0bc3c95b4dp-15, 0x1.62938d7114e5ap-15, 0x1.589e6deaf8a86p-15, 0x1.4efe7846b44eep-15, 0x1.45b0dcbeb1429p-15, 0x1.3cb2e09e733c5p-15, 0x1.3401ddb8e387ep-15, 0x1.2b9b41e1ae6d5p-15, 0x1.237c8e69a84d5p-15, 0x1.1ba3579e286dbp-15, 0x1.140d444b4cd86p-15, 0x1.0cb80d4113d9ep-15, 0x1.05a17cdb455a4p-15, 0x1.fd8edd1827dafp-16, 0x1.f04f9cd2dc14ep-16, 0x1.e3813179e1fd6p-16, 0x1.d71fb32cdb8a3p-16, 0x1.cb2758c1e9e0bp-16, 0x1.bf9476f4b4562p-16, 0x1.b4637f9a4bdfp-16, 0x1.a99100d9cb397p-16, 0x1.9f19a4699d7bbp-16, 0x1.94fa2ed154b01p-16, 0x1.8b2f7eaff465p-16, 0x1.81b68c069ee47p-16, 0x1.788c678786d1p-16, 0x1.6fae39e9154c8p-16, 0x1.6719433d2665ap-16, 0x1.5ecada4c50fdap-16, 0x1.56c06bf51b29p-16, 0x1.4ef77a8f06defp-16, 0x1.476d9d516b704p-16, 0x1.40207fbdfc0ffp-16, 0x1.390de10eea23dp-16, 0x1.323393a899456p-16, 0x1.2b8f7c8ec4868p-16, 0x1.251f92dd06907p-16, 0x1.1ee1df42bcaffp-16, 0x1.18d47b821bbc5p-16, 0x1.12f591f280366p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.51a03eec01a9ap-4, -0x1.52d69599f0b04p-4, -0x1.5120cc592a492p-4, -0x1.4c917cc864784p-4, -0x1.4541ded24729bp-4, -0x1.3b509ef78985fp-4, -0x1.2ee0cc8528a09p-4, -0x1.2018e0b3f586dp-4, -0x1.0f21dee098ef4p-4, -0x1.f84d1adb40bb2p-5, -0x1.cea58cd7a0f54p-5, -0x1.a1a5bda15fd89p-5, -0x1.71a645942e22cp-5, -0x1.3efecb34e085dp-5, -0x1.0a0546af88057p-5, -0x1.a61acb8fd5e72p-6, -0x1.34d019edcefdfp-6, -0x1.818bca332a12ap-7, -0x1.2a4286caedbf1p-8, 0x1.6a1537553a0f1p-9, 0x1.4c5d4d5f47967p-7, 0x1.1fb5fc724ae37p-6, 0x1.99634b6c8aeafp-6, 0x1.09649e476ef0cp-5, 0x1.45c13695f3dd6p-5, 0x1.8198a70fedfb4p-5, 0x1.bcbffb1d63da3p-5, 0x1.f70ff53001bd3p-5, 0x1.1832775fd1e9fp-4, 0x1.344f5a914d91ep-4, 0x1.4fd032084ca75p-4, 0x1.6aa81f41465e7p-4, 0x1.84cbc34405a61p-4, 0x1.9e312a4a12ae1p-4, 0x1.b6cfb757a2f35p-4, 0x1.cea00ff50005dp-4, 0x1.e59c082e7d6f5p-4, 0x1.fbbe8efa460bap-4, 0x1.0881cd8ea641p-3, 0x1.12b40c51b71a3p-3, 0x1.1c74eb7d36502p-3, 0x1.25c3bbddc4e2fp-3, 0x1.2ea02f15ffcdcp-3, 0x1.370a4fbd0b44p-3, 0x1.3f0279dceb33ep-3, 0x1.468953d13f75dp-3, 0x1.4d9fc7860d76fp-3, 0x1.5446fc15905d2p-3, 0x1.5a804fc3731adp-3, 0x1.604d5253594p-3, 0x1.65afbfb83a92cp-3, 0x1.6aa97b19c48dap-3, 0x1.6f3c8a2cc5632p-3, 0x1.736b10db630cbp-3, 0x1.77374d39dba5cp-3, 0x1.7aa393c4621a7p-3, 0x1.7db24be2bd8bep-3, 0x1.8065ecae2a356p-3, 0x1.82c0f9f62be26p-3, 0x1.84c60180ec04dp-3, 0x1.86779883e350dp-3, 0x1.87d85951978c8p-3, 0x1.88eae139542cp-3, 0x1.89b1ce95dcf1dp-3, 0x1.8a2fbf08318ccp-3, 0x1.8a674ddb9efe6p-3, 0x1.8a5b12906eef2p-3, 0x1.8a0d9f8aad8bdp-3, 0x1.898180e293a4bp-3, 0x1.88b93b544a59dp-3, 0x1.87b74b4cd5636p-3, 0x1.867e2412126dfp-3, 0x1.85102f03d202cp-3, 0x1.836fcaf438ab7p-3, 0x1.819f4b95a351ep-3, 0x1.7fa0f8fc6dec1p-3, 0x1.7d770f330d1d7p-3, 0x1.7b23bddf1147cp-3, 0x1.78a927f5b4f62p-3, 0x1.7609637ea4dd6p-3, 0x1.73467963ec5dap-3, 0x1.7062654dd62d6p-3, 0x1.6d5f1589bdb13p-3, 0x1.6a3e6afae2a1p-3, 0x1.67023914525d4p-3, 0x1.63ac45db175d3p-3, 0x1.603e49efe2a53p-3, 0x1.5cb9f09f83be1p-3, 0x1.5920d7f977582p-3, 0x1.557490ebfb75ap-3, 0x1.51b69f6510109p-3, 0x1.4de87a77e20cbp-3, 0x1.4a0b8c861f286p-3, 0x1.4621336ccdc48p-3, 0x1.422ac0b429d99p-3, 0x1.3e2979c237fp-3, 0x1.3a1e980fac78p-3, 0x1.360b495edbdcbp-3, 0x1.31f0aff45a79dp-3, 0x1.2dcfe2d115ec4p-3, 0x1.29a9ededa23f6p-3, 0x1.257fd2767d647p-3, 0x1.215287091cfa2p-3, 0x1.1d22f7f1862c8p-3, 0x1.18f2076859b13p-3, 0x1.14c08dd112c83p-3, 0x1.108f59f86c0ecp-3, 0x1.0c5f3152b2bb6p-3, 0x1.0830d039fcd26p-3, 0x1.0404ea2c18fc5p-3, 0x1.ffb854104e8fp-4, 0x1.f76e64977f203p-4, 0x1.ef2d3a9f2ef82p-4, 0x1.e6f5fb071b4e4p-4, 0x1.dec9bb541b5e1p-4, 0x1.d6a982258521dp-4, 0x1.ce9647a909bfep-4, 0x1.c690f60cebc13p-4, 0x1.be9a69f09ee68p-4, 0x1.b6b372d385f79p-4, 0x1.aedcd381f8c39p-4, 0x1.a71742805f4fap-4, 0x1.9f636a7465b7bp-4, 0x1.97c1ea8c423eep-4, 0x1.903356e3ef7aep-4, 0x1.88b838e878dcap-4, 0x1.81510fb9322dap-4, 0x1.79fe5086e9501p-4, 0x1.72c066f10895bp-4, 0x1.6b97b560aa064p-4, 0x1.648495619b3c5p-4, 0x1.5d8757f95015cp-4, 0x1.56a045fbc6ae4p-4, 0x1.4fcfa05e5fcf2p-4, 0x1.4915a088aa3e7p-4, 0x1.427278a32850ep-4, 0x1.3be653e410cd8p-4, 0x1.357156da0fe25p-4, 0x1.2f139fb50d718p-4, 0x1.28cd468cfd497p-4, 0x1.229e5da6bdae6p-4, 0x1.1c86f1b70c79bp-4, 0x1.16870a2397622p-4, 0x1.109ea9422cb38p-4, 0x1.0acdcc9616511p-4, 0x1.05146d0ba2df9p-4, 0x1.fee4fe63cabb5p-5, 0x1.f3cfe6e56681p-5, 0x1.e8e96c91ced6ap-5, 0x1.de3160e9e37cfp-5, 0x1.d3a78e5f77069p-5, 0x1.c94bb8b7d08a4p-5, 0x1.bf1d9d6af3e77p-5, 0x1.b51cf3ffc66f5p-5, 0x1.ab496e6517ae3p-5, 0x1.a1a2b947a5e97p-5, 0x1.98287c652aa19p-5, 0x1.8eda5adc7de04p-5, 0x1.85b7f37ae7e41p-5, 0x1.7cc0e106a6722p-5, 0x1.73f4ba86bf226p-5, 0x1.6b5313882c04ap-5, 0x1.62db7c606ef07p-5, 0x1.5a8d826da25c7p-5, 0x1.5268b0541030ep-5, 0x1.4a6c8e3965726p-5, 0x1.4298a1fd8bec1p-5, 0x1.3aec6f713f4e9p-5, 0x1.3367788a67f87p-5, 0x1.2c093d964ca58p-5, 0x1.24d13d69ac425p-5, 0x1.1dbef58ecb265p-5, 0x1.16d1e27182d64p-5, 0x1.10097f89674d6p-5, 0x1.0965478207161p-5, 0x1.02e4b4615e77cp-5, 0x1.f90e7f5908d49p-6, 0x1.ec98c51540dddp-6, 0x1.e0672bcc73b27p-6, 0x1.d478a519d08a4p-6, 0x1.c8cc229aef0b1p-6, 0x1.bd6096290fafep-6, 0x1.b234f20f6ec25p-6, 0x1.a748293eca456p-6, 0x1.9c992f7e2614p-6, 0x1.9226f998edddcp-6, 0x1.87f07d8a8a1d4p-6, 0x1.7df4b2a77ff6cp-6, 0x1.743291c42b788p-6, 0x1.6aa915593604ep-6, 0x1.615739a5cdd27p-6, 0x1.583bfccfc1b25p-6, 0x1.4f565f018d117p-6, 0x1.46a56286689f4p-6, 0x1.3e280be474b3fp-6, 0x1.35dd61f50e5b2p-6, 0x1.2dc46dfb62022p-6, 0x1.25dc3bb94caddp-6, 0x1.1e23d9829be71p-6, 0x1.169a584ec2e1fp-6, 0x1.0f3ecbc909cdbp-6, 0x1.08104a5f5372bp-6, 0x1.010ded4f80db7p-6, 0x1.f46da16706722p-7, 0x1.e714271858635p-7, 0x1.da0daf959287p-7, 0x1.cd5884b330a01p-7, 0x1.c0f2f646455a1p-7, 0x1.b4db5a3116ce2p-7, 0x1.a9100c6db6859p-7, 0x1.9d8f6f16b82a9p-7, 0x1.9257ea6e10c01p-7, 0x1.8767ece237b66p-7, 0x1.7cbdeb11b144ap-7, 0x1.72585fccf28cp-7, 0x1.6835cc16e0416p-7, 0x1.5e54b723d8635p-7, 0x1.54b3ae5765f12p-7, 0x1.4b514540bacaep-7, 0x1.422c1595ee2bfp-7, 0x1.3942bf2e27957p-7, 0x1.3093e7faad6eep-7, 0x1.281e3bfefc838p-7, 0x1.1fe06d47ec4e9p-7, 0x1.17d933e1f1f52p-7, 0x1.10074dce9000dp-7, 0x1.08697ef9005dep-7, 0x1.00fe912a258fap-7, 0x1.f38aa7f79efb3p-8, 0x1.e5793996c1981p-8, 0x1.d7c68d57bdc3bp-8, 0x1.ca7064aef31d1p-8, 0x1.bd748c41265c9p-8, 0x1.b0d0dbc4a9f43p-8, 0x1.a48335e1afec3p-8, 0x1.98898811daf03p-8, 0x1.8ce1ca7f1d2fdp-8, 0x1.8189ffe1f7eeap-8, 0x1.7680355f2cef4p-8, 0x1.6bc28264ef3bdp-8, 0x1.614f0887a39fdp-8, 0x1.5723f35e3f758p-8, 0x1.4d3f785e51e24p-8, 0x1.439fd6b7c6244p-8, 0x1.3a43573068cb7p-8, 0x1.31284bff3e392p-8, 0x1.284d10a7b5188p-8, 0x1.1fb009d4bdd0ep-8, 0x1.174fa533cff5p-8, 0x1.0f2a594fed296p-8, 0x1.073ea56ca2ea9p-8, 0x1.ff1622c22fbbep-9, 0x1.f01c5ae65acc4p-9, 0x1.e18d246572d9fp-9, 0x1.d365c0a9c5986p-9, 0x1.c5a3811f4d9d7p-9, 0x1.b843c6eb1655dp-9, 0x1.ab4402a30b7f9p-9, 0x1.9ea1b4063dbcdp-9, 0x1.925a69b5a26fcp-9, 0x1.866bc0ed5d821p-9, 0x1.7ad3653e9cfb6p-9, 0x1.6f8f104a0c95ep-9, 0x1.649c897aeae47p-9, 0x1.59f9a5c2ca2b9p-9, 0x1.4fa44755faad9p-9, 0x1.459a5d68afdc4p-9, 0x1.3bd9e3ecdec1p-9, 0x1.3260e350da1bcp-9, 0x1.292d703eb92aep-9, 0x1.203dab5c813b6p-9, 0x1.178fc10d1f83cp-9, 0x1.0f21e9323589cp-9, 0x1.06f266eeb302p-9, 0x1.fdff10d4967ap-10, 0x1.ee8f4d2b833f7p-10, 0x1.df9249e01a50ep-10, 0x1.d104e298ba434p-10, 0x1.c2e40731f1a2fp-10, 0x1.b52cbb4df8cdbp-10, 0x1.a7dc15e5ed087p-10, 0x1.9aef40dccf117p-10, 0x1.8e63789438cbfp-10, 0x1.82360b82df6adp-10, 0x1.766459ccca73ep-10, 0x1.6aebd4dd51a0bp-10, 0x1.5fc9ff02d659bp-10, 0x1.54fc6b0c3b0d4p-10, 0x1.4a80bbe81aa1dp-10, 0x1.4054a445aa9f6p-10, 0x1.3675e63769d7dp-10, 0x1.2ce252d76e835p-10, 0x1.2397c9ed7359p-10, 0x1.1a9439968f5e7p-10, 0x1.11d59dee950e1p-10, 0x1.095a00bb1c349p-10, 0x1.011f79182d11p-10, 0x1.f248564d1c5a1p-11, 0x1.e2cc8f7752e59p-11, 0x1.d3c81826145f3p-11, 0x1.c5378302daf8ep-11, 0x1.b7177a52bf823p-11, 0x1.a964bf62c9036p-11, 0x1.9c1c29f742bd7p-11, 0x1.8f3aa7be12408p-11, 0x1.82bd3bc40304p-11, 0x1.76a0fdecfb1dbp-11, 0x1.6ae31a6f11e28p-11, 0x1.5f80d1507c82bp-11, 0x1.547775e845984p-11, 0x1.49c46e61c6a5ap-11, 0x1.3f653342d7959p-11, 0x1.35574ef4aa542p-11, 0x1.2b985d4f473dcp-11, 0x1.22260b27a07c8p-11, 0x1.18fe15e02fb74p-11, 0x1.101e4afc16314p-11, 0x1.078487b4b1d6ap-11, 0x1.fe5d71233b10ap-12, 0x1.ee35b20626623p-12, 0x1.de8de5fd4442fp-12, 0x1.cf623d3c64155p-12, 0x1.c0af03828b846p-12, 0x1.b2709f60e8b3cp-12, 0x1.a4a391861cd21p-12, 0x1.9744740dc8183p-12, 0x1.8a4ff9d44449p-12, 0x1.7dc2edce772eap-12, 0x1.719a3265ad50fp-12, 0x1.65d2c0d763ad7p-12, 0x1.5a69a898ed12ep-12, 0x1.4f5c0ebee610fp-12, 0x1.44a72d685869p-12, 0x1.3a48532d86582p-12, 0x1.303ce2924481bp-12, 0x1.2682517bce368p-12, 0x1.1d1628aa06229p-12, 0x1.13f6033410774p-12, 0x1.0b1f8e082f996p-12, 0x1.0290876ed6b7fp-12, 0x1.f48d7d21bec09p-13, 0x1.e48026019e4cfp-13, 0x1.d4f4e88e396dep-13, 0x1.c5e7c2e2d052dp-13, 0x1.b754d149146a6p-13, 0x1.a9384d62f8289p-13, 0x1.9b8e8d59e734ep-13, 0x1.8e54031368cdbp-13, 0x1.81853b6afd8a9p-13, 0x1.751edd7118103p-13, 0x1.691da9af1eb2dp-13, 0x1.5d7e79704816dp-13, 0x1.523e3e0f49cd7p-13, 0x1.475a0048a7646p-13, 0x1.3ccedf9196322p-13, 0x1.329a117353a47p-13, 0x1.28b8e0ead30cp-13, 0x1.1f28adccab7a7p-13, 0x1.15e6ec2d25442p-13, 0x1.0cf123cc57d8p-13, 0x1.0444ef8636979p-13, 0x1.f7bff98ceff32p-14, 0x1.e78016007f154p-14, 0x1.d7c5d652ddc1ep-14, 0x1.c88cfe7316fcbp-14, 0x1.b9d173584d6e4p-14, 0x1.ab8f3a0d41c4bp-14, 0x1.9dc276c291a1fp-14, 0x1.90676be764b27p-14, 0x1.837a79486836cp-14, 0x1.76f81b34f3e47p-14, 0x1.6adce9aa2cb47p-14, 0x1.5f259783fee28p-14, 0x1.53cef1b3cb748p-14, 0x1.48d5de7ca316cp-14, 0x1.3e375cb4e7c22p-14, 0x1.33f0830d3771ap-14, 0x1.29fe7f5c7678ap-14, 0x1.205e95f0dd5fep-14, 0x1.170e20e5e52d6p-14, 0x1.0e0a8f7ef42ecp-14, 0x1.05516586ab64ep-14, 0x1.f9c0756566d39p-15, 0x1.e9697417dc511p-15, 0x1.d99942b5dbc1p-15, 0x1.ca4b813129fa4p-15, 0x1.bb7bf2c584f42p-15, 0x1.ad267ce9df9d3p-15, 0x1.9f4726494d95ap-15, 0x1.91da15c365299p-15, 0x1.84db9173e857ep-15, 0x1.7847fdc1849dap-15, 0x1.6c1bdc73737c8p-15, 0x1.6053cbcdd193bp-15, 0x1.54ec85b47d18fp-15, 0x1.49e2ded44b6abp-15, 0x1.3f33c5d26e757p-15, 0x1.34dc4281dc2b3p-15, 0x1.2ad9751e8d88dp-15, 0x1.2128958e6f552p-15, 0x1.17c6f2a7dc3f2p-15, 0x1.0eb1f17d75d8ep-15, 0x1.05e70caf3ba42p-15, 0x1.fac7a78174029p-16, 0x1.ea4bd4e8542d9p-16, 0x1.da561054c9939p-16, 0x1.cae1ee8f03bd5p-16, 0x1.bbeb29380d964p-16, 0x1.ad6d9da4ff82dp-16, 0x1.9f654bc2d207ep-16, 0x1.91ce5502883b2p-16, 0x1.84a4fb4d8327p-16, 0x1.77e5a001b55a7p-16, 0x1.6b8cc2f58b685p-16, 0x1.5f97018349edbp-16, 0x1.5401159badf5bp-16, 0x1.48c7d4df9a683p-16, 0x1.3de82fc0a51e1p-16, 0x1.335f30a845a28p-16, 0x1.2929fb25847cap-16, 0x1.1f45cb20f2136p-16, 0x1.15aff416b7c74p-16, 0x1.0c65e0569dc8dp-16, 0x1.03651049d1cafp-16, 0x1.f556337c96832p-17, 0x1.e46b4e6f3e1d6p-17, 0x1.d404ee8a3d2e7p-17, 0x1.c41eb7ba3539cp-17, 0x1.b4b4737a41969p-17, 0x1.a5c20f9e2886ap-17, 0x1.97439d25f476dp-17, 0x1.89354f1ab1aeap-17, 0x1.7b9379740cb11p-17, 0x1.6e5a90069076ep-17, 0x1.6187257a40c4p-17, 0x1.5515ea495cb86p-17, 0x1.4903abc6fb5a2p-17, 0x1.3d4d532d5e118p-17, 0x1.31efe4b3a83e1p-17, 0x1.26e87eaad802p-17, 0x1.1c3458a1beb18p-17, 0x1.11d0c28fc8e86p-17, 0x1.07bb24066186bp-17, 0x1.fbe1f6d17ee57p-18, 0x1.e8dfba53d9621p-18, 0x1.d66ae621af1c2p-18, 0x1.c47ef7048616cp-18, 0x1.b31791a0cc4a4p-18, 0x1.a230812025c18p-18, 0x1.91c5b5e67013bp-18, 0x1.81d344512f6c1p-18, 0x1.7255638111d2dp-18, 0x1.63486c2d3eee5p-18, 0x1.54a8d7802824cp-18, 0x1.46733dfd91a29p-18, 0x1.38a456718bed9p-18, 0x1.2b38f4e81c03cp-18, 0x1.1e2e09ad504d7p-18, 0x1.1180a0557b7c8p-18, 0x1.052ddecd612bep-18, 0x1.f26608e418f6bp-19, 0x1.db1ad2603d94p-19, 0x1.c474f954a8891p-19, 0x1.ae6f8ace2053p-19, 0x1.9905c00962b46p-19, 0x1.8432fce90234bp-19, 0x1.6ff2ce780a767p-19, 0x1.5c40e9790bb2cp-19, 0x1.491929012d154p-19, 0x1.36778d1ee48c3p-19, 0x1.2458398bfebcdp-19, 0x1.12b7746a97fcep-19, 0x1.0191a50cb9136p-19, 0x1.e1c6a58c79572p-20, 0x1.c152479163ebdp-20, 0x1.a1bfb811d4101p-20, 0x1.8308b85bcd8bdp-20, 0x1.65274111c43cp-20, 0x1.4815802c46776p-20, 0x1.2bcdd70cb3424p-20, 0x1.104ad8a087df1p-20, 0x1.eb0e8f2959534p-21, 0x1.b6fc29309c20ap-21, 0x1.8454b95d823bp-21, 0x1.530ecf1ffc67ep-21, 0x1.23214c2e763eep-21, 0x1.e906c2fcd6bc9p-22, 0x1.8e5918aef9bedp-22, 0x1.3629270071577p-22, 0x1.c0ce120ef68eep-23, 0x1.1a06c43de174ep-23, 0x1.df7ac6834c077p-25, -0x1.2e36e1474a103p-26, -0x1.7e0b50db85c8dp-24, -0x1.53f88c8f05b71p-23, -0x1.e4b980d3ee9bdp-23, -0x1.38b0d276ac8dap-22, -0x1.7d04a416405cp-22, -0x1.bf63f8b7b1682p-22, -0x1.ffda336284a34p-22, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.801535428594fp-3, -0x1.90e86b9fa3353p-3, -0x1.a13fe77a0a183p-3, -0x1.b11e9aa1f62d2p-3, -0x1.c088c0ae570cbp-3, -0x1.cf839abc2c978p-3, -0x1.de1530730d35bp-3, -0x1.ec4416f44df13p-3, -0x1.fa173e022c568p-3, -0x1.03cae1b5126bdp-2, -0x1.0a63664642f5fp-2, -0x1.10d8b2dc678fbp-2, -0x1.172e337f6de55p-2, -0x1.1d672f032b489p-2, -0x1.2386be3b17decp-2, -0x1.298fc539b46cap-2, -0x1.2f84ee5ff136ap-2, -0x1.3568a70309d1cp-2, -0x1.3b3d1d7264ee3p-2, -0x1.4104402aba08dp-2, -0x1.46bfbe07d68f3p-2, -0x1.4c71074a95ecfp-2, -0x1.52194f4cea9abp-2, -0x1.57b98ec1f0f98p-2, -0x1.5d528664011c8p-2, -0x1.62e4c1f66c61p-2, -0x1.68709b8407b68p-2, -0x1.6df63ec6d42f7p-2, -0x1.7375aca7e92cp-2, -0x1.78eebec96f55bp-2, -0x1.7e612b0eb923ap-2, -0x1.83cc8718a143ep-2, -0x1.89304bae1a825p-2, -0x1.8e8bd80a7db65p-2, -0x1.93de750c7637dp-2, -0x1.99275841b09d7p-2, -0x1.9e65a6cc616bbp-2, -0x1.a3987820a97c5p-2, -0x1.a8bed89897117p-2, -0x1.add7cbde24cdp-2, -0x1.b2e24f2b1673cp-2, -0x1.b7dd5b5f12795p-2, -0x1.bcc7e6eca44d7p-2, -0x1.c1a0e79e236bcp-2, -0x1.c6675433b4cd5p-2, -0x1.cb1a25dbce7f1p-2, -0x1.cfb85987c063fp-2, -0x1.d440f11de382fp-2, -0x1.d8b2f48b257b9p-2, -0x1.dd0d72b5a46adp-2, -0x1.e14f825222725p-2, -0x1.e578429e109b2p-2, -0x1.e986dbffe8714p-2, -0x1.ed7a808f8f397p-2, -0x1.f1526c8868f8ep-2, -0x1.f50de6a6b999ap-2, -0x1.f8ac4071e8ca6p-2, -0x1.fc2cd67523b71p-2, -0x1.ff8f1067ce099p-2, -0x1.016930a394896p-1, -0x1.02fb23b1394eep-1, -0x1.047d262d62da9p-1, -0x1.05ef028bee7fbp-1, -0x1.075088d96d941p-1, -0x1.08a18eac0d18p-1, -0x1.09e1ef107d10ap-1, -0x1.0b118a734fdcdp-1, -0x1.0c30468736752p-1, -0x1.0d3e0e288394dp-1, -0x1.0e3ad13e509cfp-1, -0x1.0f2684999914bp-1, -0x1.100121d29db28p-1, -0x1.10caa724d8286p-1, -0x1.11831749bf091p-1, -0x1.122a79529bbd6p-1, -0x1.12c0d881a6e1p-1, -0x1.134644229f244p-1, -0x1.13bacf63086fbp-1, -0x1.141e912a3c318p-1, -0x1.1471a3f171f8p-1, -0x1.14b4259bdfcc7p-1, -0x1.14e6374f12685p-1, -0x1.1507fd4b961f8p-1, -0x1.15199ec60aa91p-1, -0x1.151b45c0b2b6cp-1, -0x1.150d1ee596e1fp-1, -0x1.14ef5961475d2p-1, -0x1.14c226be4b97cp-1, -0x1.1485bac14de52p-1, -0x1.143a4b4608ep-1, -0x1.13e0101d02da7p-1, -0x1.137742ea1b16ap-1, -0x1.13001f03f0ecdp-1, -0x1.127ae154269f4p-1, -0x1.11e7c83884ebep-1, -0x1.11471365011e3p-1, -0x1.109903c6a567ep-1, -0x1.0fdddb675e96p-1, -0x1.0f15dd52acb5fp-1, -0x1.0e414d7b3754p-1, -0x1.0d6070a1423f5p-1, -0x1.0c738c3a0494dp-1, -0x1.0b7ae657d97ecp-1, -0x1.0a76c5934fb6dp-1, -0x1.096770f50eff5p-1, -0x1.084d2fe091d0ep-1, -0x1.072849ffb223dp-1, -0x1.05f9072f02f37p-1, -0x1.04bfaf6af3304p-1, -0x1.037c8abdb70bcp-1, -0x1.022fe12df41ap-1, -0x1.00d9faae29af3p-1, -0x1.fef63e19a76fdp-2, -0x1.fc272bca83c6p-2, -0x1.f9474d2244e8ep-2, -0x1.f65730356cd7p-2, -0x1.f357625f610bfp-2, -0x1.f04870296fbdfp-2, -0x1.ed2ae53314d86p-2, -0x1.e9ff4c1b75e73p-2, -0x1.e6c62e6c0e5aep-2, -0x1.e38014848125fp-2, -0x1.e02d8587891abp-2, -0x1.dccf0748ffaefp-2, -0x1.d9651e3cf38c5p-2, -0x1.d5f04d67c0d99p-2, -0x1.d271164f2d014p-2, -0x1.cee7f8ec753cap-2, -0x1.cb55739f4e93ep-2, -0x1.c7ba0321cbe1cp-2, -0x1.c416227d2657ap-2, -0x1.c06a4aff598d7p-2, -0x1.bcb6f4319863fp-2, -0x1.b8fc93cf8841cp-2, -0x1.b53b9dbf4076dp-2, -0x1.b174840a0880bp-2, -0x1.ada7b6d5cc625p-2, -0x1.a9d5a45f4158fp-2, -0x1.a5feb8f4b302cp-2, -0x1.a2235ef17572cp-2, -0x1.9e43feb9f6ebp-2, -0x1.9a60feb8647bap-2, -0x1.967ac359e3ba2p-2, -0x1.9291af0c59353p-2, -0x1.8ea6223cb34a7p-2, -0x1.8ab87b55b80b8p-2, -0x1.86c916bf4c868p-2, -0x1.82d84ede36523p-2, -0x1.7ee67c144beeap-2, -0x1.7af3f4c110e72p-2, -0x1.77010d42bfe6ap-2, -0x1.730e17f7ae857p-2, -0x1.6f1b6540178fcp-2, -0x1.6b2943803cd1dp-2, -0x1.6737ff22db22cp-2, -0x1.6347e29bf7b68p-2, -0x1.5f59366bf19b8p-2, -0x1.5b6c4122e4257p-2, -0x1.5781476449fdap-2, -0x1.53988beae4d08p-2, -0x1.4fb24f8cdfe9bp-2, -0x1.4bced14031b45p-2, -0x1.47ee4e1f2eee1p-2, -0x1.4411016d5463fp-2, -0x1.4037249c4260bp-2, -0x1.3c60ef50e021ep-2, -0x1.388e9768ae5b7p-2, -0x1.34c050ff3ffefp-2, -0x1.30f64e73d31d9p-2, -0x1.2d30c06f107eap-2, -0x1.296fd5e8e6ea4p-2, -0x1.25b3bc2e84cep-2, -0x1.21fc9ee8668c1p-2, -0x1.1e4aa82084055p-2, -0x1.1a9e00488b542p-2, -0x1.16f6ce403266dp-2, -0x1.1355375b97fe1p-2, -0x1.0fb95f69b4f15p-2, -0x1.0c2368bad55dfp-2, -0x1.0893742720ca9p-2, -0x1.0509a11529c3ep-2, -0x1.01860d8082509p-2, -0x1.fc11ac00b1804p-3, -0x1.f5242b9c2d594p-3, -0x1.ee43cd97ff18p-3, -0x1.e770c317a9f1ep-3, -0x1.e0ab3aaaed2bep-3, -0x1.d9f3605afe994p-3, -0x1.d3495db7c1961p-3, -0x1.ccad59e4f5356p-3, -0x1.c61f79a751b94p-3, -0x1.bf9fdf719d3f2p-3, -0x1.b92eab71ad11cp-3, -0x1.b2cbfb9d55642p-3, -0x1.ac77ebbf47745p-3, -0x1.a6329583d54b1p-3, -0x1.9ffc1085a221cp-3, -0x1.99d4725a3783p-3, -0x1.93bbce9e80ea2p-3, -0x1.8db237032a5a9p-3, -0x1.87b7bb58e10ffp-3, -0x1.81cc699c78e95p-3, -0x1.7bf04e02edc3ep-3, -0x1.7623730547cf3p-3, -0x1.7065e16c5aefp-3, -0x1.6ab7a05c65927p-3, -0x1.6518b5608b7a3p-3, -0x1.5f8924762aabfp-3, -0x1.5a08f0180e181p-3, -0x1.5498194976e7cp-3, -0x1.4f369fa1053f4p-3, -0x1.49e4815373433p-3, -0x1.44a1bb3e2a4adp-3, -0x1.3f6e48f1b867ep-3, -0x1.3a4a24bc1127ap-3, -0x1.353547b2af8a9p-3, -0x1.302fa9bc8a3f2p-3, -0x1.2b39419be127bp-3, -0x1.265204f7e26b4p-3, -0x1.2179e86621c8p-3, -0x1.1cb0df73ed984p-3, -0x1.17f6dcaf74576p-3, -0x1.134bd1b0c1b0fp-3, -0x1.0eafaf2298603p-3, -0x1.0a2264cb16679p-3, -0x1.05a3e1943e04p-3, -0x1.013413944aba3p-3, -0x1.f9a5d02bc4a7ap-4, -0x1.f100974033c33p-4, -0x1.e87853fcb0de8p-4, -0x1.e00cdc900f28ap-4, -0x1.d7be05d045307p-4, -0x1.cf8ba3493c022p-4, -0x1.c775874b4107bp-4, -0x1.bf7b82f938952p-4, -0x1.b79d66567a3fdp-4, -0x1.afdb00545e0cfp-4, -0x1.a8341edf7fbbep-4, -0x1.a0a88eecb9f04p-4, -0x1.99381c85c7fdbp-4, -0x1.91e292d5af0ddp-4, -0x1.8aa7bc34cd8e2p-4, -0x1.83876234a9e03p-4, -0x1.7c814dab76fa5p-4, -0x1.759546bf5032ep-4, -0x1.6ec314f12fe86p-4, -0x1.680a7f279ebd8p-4, -0x1.616b4bb91eec9p-4, -0x1.5ae54076540dap-4, -0x1.547822b3e66d6p-4, -0x1.4e23b75424c5dp-4, -0x1.47e7c2d065664p-4, -0x1.41c4094225ea9p-4, -0x1.3bb84e6bec511p-4, -0x1.35c455c1e99cfp-4, -0x1.2fe7e2725ee61p-4, -0x1.2a22b76dc58a1p-4, -0x1.2474976ebc6eap-4, -0x1.1edd4501bb08fp-4, -0x1.195c828c8975cp-4, -0x1.13f2125581545p-4, -0x1.0e9db68a95cedp-4, -0x1.095f31482654dp-4, -0x1.0436449f9a9f4p-4, -0x1.fe45653b93dcp-5, -0x1.f4487aa25d196p-5, -0x1.ea754d9fcdb47p-5, -0x1.e0cb627b090e1p-5, -0x1.d74a3da153ba5p-5, -0x1.cdf163b0efc5bp-5, -0x1.c4c059839a54p-5, -0x1.bbb6a438ac5dap-5, -0x1.b2d3c93ee2675p-5, -0x1.aa174e5dc919dp-5, -0x1.a180b9bed50eap-5, -0x1.990f91f6251c4p-5, -0x1.90c35e0af0324p-5, -0x1.889ba57fa247bp-5, -0x1.8097f059aa206p-5, -0x1.78b7c728f8414p-5, -0x1.70fab30f318b7p-5, -0x1.69603dc6968bfp-5, -0x1.61e7f1a8a35e9p-5, -0x1.5a9159b46607fp-5, -0x1.535c019490e79p-5, -0x1.4c4775a547259p-5, -0x1.455342f9a8bd2p-5, -0x1.3e7ef7611af97p-5, -0x1.37ca216c53b9cp-5, -0x1.3134507225069p-5, -0x1.2abd14940d30cp-5, -0x1.2463fec28b206p-5, -0x1.1e28a0c13a579p-5, -0x1.180a8d2ab5427p-5, -0x1.12095774420b7p-5, -0x1.0c2493f14a4eep-5, -0x1.065bd7d69d53bp-5, -0x1.00aeb93d81022p-5, -0x1.f6399e4d23303p-6, -0x1.eb4b62f8e2543p-6, -0x1.e091f22c91647p-6, -0x1.d60c7f7434a78p-6, -0x1.cbba403dd59dp-6, -0x1.c19a6bdd76e46p-6, -0x1.b7ac3b90be413p-6, -0x1.adeeea82475cdp-6, -0x1.a461b5cca7049p-6, -0x1.9b03dc7d2a256p-6, -0x1.91d49f963e39dp-6, -0x1.88d342119d344p-6, -0x1.7fff08e22d689p-6, -0x1.77573af59de8dp-6, -0x1.6edb2135c38c9p-6, -0x1.668a0689b3d2bp-6, -0x1.5e6337d6a4a78p-6, -0x1.566604009059bp-6, -0x1.4e91bbea9aefcp-6, -0x1.46e5b27746ee3p-6, -0x1.3f613c886e4e9p-6, -0x1.3803b0ff0ae7ap-6, -0x1.30cc68bacac3dp-6, -0x1.29babe9971cc7p-6, -0x1.22ce0f76113cdp-6, -0x1.1c05ba280d1fp-6, -0x1.15611f81f8f83p-6, -0x1.0edfa250476bep-6, -0x1.0880a757d4936p-6, -0x1.02439554461cdp-6, -0x1.f84fa9ec94ae1p-7, -0x1.ec59a1c35469cp-7, -0x1.e0a3eb5686c5cp-7, -0x1.d52d63adb7534p-7, -0x1.c9f4eba99e082p-7, -0x1.bef967ff59a51p-7, -0x1.b439c1334ea12p-7, -0x1.a9b4e393e886bp-7, -0x1.9f69bf3417c33p-7, -0x1.955747e59ccc1p-7, -0x1.8b7c75332369ep-7, -0x1.81d8425a3533bp-7, -0x1.7869ae44f68ecp-7, -0x1.6f2fbb83bdaebp-7, -0x1.6629704680c5bp-7, -0x1.5d55d6561b63ap-7, -0x1.54b3fb0d7647dp-7, -0x1.4c42ef5284f9dp-7, -0x1.4401c78f273c8p-7, -0x1.3bef9ba9ed16ep-7, -0x1.340b86feb9a6dp-7, -0x1.2c54a8574f4a3p-7, -0x1.24ca21e3c00f5p-7, -0x1.1d6b1932c7e7dp-7, -0x1.1636b72a1033dp-7, -0x1.0f2c27fe5e546p-7, -0x1.084a9b2bb0a61p-7, -0x1.0191436d49308p-7, -0x1.f5fead6b50dbbp-8, -0x1.e9281c4cf3b82p-8, -0x1.dc9d4c10e4f5ep-8, -0x1.d05cbb864977dp-8, -0x1.c464efa991877p-8, -0x1.b8b47393f6c41p-8, -0x1.ad49d86ae9bebp-8, -0x1.a223b54f7333ap-8, -0x1.9740a74d85c87p-8, -0x1.8c9f514b4a716p-8, -0x1.823e5bf861dc1p-8, -0x1.781c75bd21a1ap-8, -0x1.6e3852a9ce603p-8, -0x1.6490ac65d3dbap-8, -0x1.5b24421efc8ebp-8, -0x1.51f1d878abc44p-8, -0x1.48f8397b1be9bp-8, -0x1.40363482a1621p-8, -0x1.37aa9e2ef4aaap-8, -0x1.2f54505285399p-8, -0x1.273229e1d4cdep-8, -0x1.1f430ee2e11bp-8, -0x1.1785e85c96bd3p-8, -0x1.0ff9a4465512ap-8, -0x1.089d35777f063p-8, -0x1.016f93971f46ap-8, -0x1.f4df76173641cp-9, -0x1.e73959d4f33bep-9, -0x1.d9eaddd0809c1p-9, -0x1.ccf21690c15c9p-9, -0x1.c04d219a8099p-9, -0x1.b3fa2550a93d7p-9, -0x1.a7f750d4ad8f6p-9, -0x1.9c42dbe724c1ep-9, -0x1.90db06c895928p-9, -0x1.85be1a1a7a52bp-9, -0x1.7aea66c0755a8p-9, -0x1.705e45c1c2d8p-9, -0x1.6618182ade697p-9, -0x1.5c1646ef6613dp-9, -0x1.525742cc35851p-9, -0x1.48d98429bf42dp-9, -0x1.3f9b8afea455dp-9, -0x1.369bdeb28681ep-9, -0x1.2dd90e011bca9p-9, -0x1.2551aedd84f5cp-9, -0x1.1d045e55e04acp-9, -0x1.14efc0771ebeep-9, -0x1.0d1280311ef03p-9, -0x1.056b4f3b096dcp-9, -0x1.fbf1cbefdb79ep-10, -0x1.ed7406b74ffc1p-10, -0x1.df5ad9a00fbb4p-10, -0x1.d1a3dc34816aep-10, -0x1.c44cb28134d4p-10, -0x1.b7530ce0d80fdp-10, -0x1.aab4a7c8b3dccp-10, -0x1.9e6f4b95bb729p-10, -0x1.9280cc5a22516p-10, -0x1.86e709ab87cfap-10, -0x1.7b9fee71a9c38p-10, -0x1.70a970b5ae0b4p-10, -0x1.66019171efd0ap-10, -0x1.5ba65c62694bep-10, -0x1.5195e7d59de1fp-10, -0x1.47ce547e24221p-10, -0x1.3e4dcd44aa7dcp-10, -0x1.3512871a9f415p-10, -0x1.2c1ac0cd58e7p-10, -0x1.2364c2d9d1e86p-10, -0x1.1aeedf40f26c7p-10, -0x1.12b7715c6a138p-10, -0x1.0abcddb411fedp-10, -0x1.02fd91d3ddf27p-10, -0x1.f6f00844bcf58p-11, -0x1.e855676f8dd4ap-11, -0x1.da28506b0a10bp-11, -0x1.cc65e33cc10fep-11, -0x1.bf0b505e4bfdep-11, -0x1.b215d86fb551cp-11, -0x1.a582cbeaf13efp-11, -0x1.994f8ad867bdep-11, -0x1.8d7984848b726p-11, -0x1.81fe37367f3cap-11, -0x1.76db2fe7c3ec8p-11, -0x1.6c0e09fcf3467p-11, -0x1.61946eff7e6fap-11, -0x1.576c1658764b3p-11, -0x1.4d92c50c536acp-11, -0x1.44064d77c3e21p-11, -0x1.3ac48f0d76a7ep-11, -0x1.31cb7614e5a44p-11, -0x1.2918fb6a1b46p-11, -0x1.20ab243e732b7p-11, -0x1.188001da51237p-11, -0x1.1095b15fce148p-11, -0x1.08ea5b8e58c28p-11, -0x1.017c34874785ap-11, -0x1.f492f726b2bd7p-12, -0x1.e6a0f5d2435f5p-12, -0x1.d91f0ee8c547dp-12, -0x1.cc0a013c960f6p-12, -0x1.bf5ea02d3977dp-12, -0x1.b319d33b6da3ap-12, -0x1.a738959efe0ffp-12, -0x1.9bb7f5de579p-12, -0x1.90951567d2efbp-12, -0x1.85cd282cb6afbp-12, -0x1.7b5d743de2cc4p-12, -0x1.7143516a2ea95p-12, -0x1.677c28de663ap-12, -0x1.5e0574c6e98acp-12, -0x1.54dcbff2edc74p-12, -0x1.4bffa5794cd18p-12, -0x1.436bd05eef93fp-12, -0x1.3b1efb3ebfaffp-12, -0x1.3316eff328a4dp-12, -0x1.2b51874115846p-12, -0x1.23cca88474aaep-12, -0x1.1c86495e32295p-12, -0x1.157c6d63a8e3dp-12, -0x1.0ead25cf85e16p-12, -0x1.081691341458dp-12, -0x1.01b6db2ef6fbdp-12, -0x1.f718783c79decp-13, -0x1.eb29f1adb433ap-13, -0x1.df9ec4b8efee6p-13, -0x1.d473ab353066p-13, -0x1.c9a5763e11271p-13, -0x1.bf310dab4cd3bp-13, -0x1.b5136f8ac0d35p-13, -0x1.ab49af9d06221p-13, -0x1.a1d0f6d47a547p-13, -0x1.98a682d6be348p-13, -0x1.8fc7a5809f2a9p-13, -0x1.8731c46c5fbc6p-13, -0x1.7ee2587a54521p-13, -0x1.76d6ed5bd61p-13, -0x1.6f0d212070be9p-13, -0x1.6782a3c55b10ap-13, -0x1.603536c715407p-13, -0x1.5922acb541d56p-13, -0x1.5248e8c892bbep-13, -0x1.4ba5de7ae21dp-13, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.de95c477ddbbap-2, 0x1.e00ba905a86fdp-2, 0x1.e15abc668ef8ap-2, 0x1.e283d7b2dfc8fp-2, 0x1.e3887505270aap-2, 0x1.e46a8dbb86813p-2, 0x1.e52c7b5aec288p-2, 0x1.e5d0db7554ac1p-2, 0x1.e65a76c153fa5p-2, 0x1.e6cc2b6ab5f18p-2, 0x1.e728da8813c28p-2, 0x1.e773588d8e718p-2, 0x1.e7ae6087d9246p-2, 0x1.e7dc89e301ef5p-2, 0x1.e800407c727f4p-2, 0x1.e81bbebedac8bp-2, 0x1.e8310987efb0ep-2, 0x1.e841ed9ab56d4p-2, 0x1.e84ffe64dbee1p-2, 0x1.e85c95e21a725p-2, 0x1.e868d56d2d532p-2, 0x1.e875a752ec0fep-2, 0x1.e883c100ac5f1p-2, 0x1.e893a5abb1012p-2, 0x1.e8a5a953b6efp-2, 0x1.e8b9f406b0487p-2, 0x1.e8d0854f66804p-2, 0x1.e8e937bc15203p-2, 0x1.e903c46d0ed6ep-2, 0x1.e91fc69e2bb62p-2, 0x1.e93cbf201eea5p-2, 0x1.e95a17b8ec833p-2, 0x1.e977266484d14p-2, 0x1.e99330702edfap-2, 0x1.e9ad6d6cb64bdp-2, 0x1.e9c509f496339p-2, 0x1.e9d92a4441643p-2, 0x1.e9e8eca396586p-2, 0x1.e9f36ba0343f5p-2, 0x1.e9f7c019042d8p-2, 0x1.e9f5031bbd412p-2, 0x1.e9ea4f9597978p-2, 0x1.e9d6c3d8a5ab3p-2, 0x1.e9b982f790bf9p-2, 0x1.e991b5f99f366p-2, 0x1.e95e8ce90b57dp-2, 0x1.e91f3fbdc9b49p-2, 0x1.e8d30f26e5551p-2, 0x1.e87945349d2e2p-2, 0x1.e81135e577919p-2, 0x1.e79a3f985d1fep-2, 0x1.e713cb65e16e4p-2, 0x1.e67d4d62b6ab5p-2, 0x1.e5d644cd44472p-2, 0x1.e51e3c283c7cbp-2, 0x1.e454c944004bp-2, 0x1.e3798d387c08bp-2, 0x1.e28c34512096dp-2, 0x1.e18c75ec71aabp-2, 0x1.e07a14509e24p-2, 0x1.df54dc766e7b9p-2, 0x1.de1ca5cbc4a36p-2, 0x1.dcd151eeda299p-2, 0x1.db72cc63408c9p-2, 0x1.da010a41a5eap-2, 0x1.d87c09e342bbp-2, 0x1.d6e3d289bd20fp-2, 0x1.d5387404481c2p-2, 0x1.d37a0652ab845p-2, 0x1.d1a8a946d003bp-2, 0x1.cfc4842562da4p-2, 0x1.cdcdc5460c8efp-2, 0x1.cbc4a1b3b29f5p-2, 0x1.c9a954cd27938p-2, 0x1.c77c1fe6a39f6p-2, 0x1.c53d49ec5b22ap-2, 0x1.c2ed1f06725ddp-2, 0x1.c08bf03e90c4dp-2, 0x1.be1a132746123p-2, 0x1.bb97e1856fb96p-2, 0x1.b905b8fbc48bbp-2, 0x1.b663fab8a2b4cp-2, 0x1.b3b30b26441efp-2, 0x1.b0f3519d5d35fp-2, 0x1.ae25381a4af7ep-2, 0x1.ab492af4c6384p-2, 0x1.a85f989a36e83p-2, 0x1.a568f14a9e986p-2, 0x1.a265a6d823719p-2, 0x1.9f562c6935099p-2, 0x1.9c3af63d4b163p-2, 0x1.9914797439266p-2, 0x1.95e32bd807fddp-2, 0x1.92a783a956c58p-2, 0x1.8f61f76e3127fp-2, 0x1.8c12fdc3503bap-2, 0x1.88bb0d2fbacbdp-2, 0x1.855a9bfabae36p-2, 0x1.81f220040f15cp-2, 0x1.7e820e9e56357p-2, 0x1.7b0adc6b9e28fp-2, 0x1.778cfd3c07592p-2, 0x1.7408e3ee6ea87p-2, 0x1.707f02530d3ap-2, 0x1.6cefc90ffc02fp-2, 0x1.695ba78790957p-2, 0x1.65c30bc07b67cp-2, 0x1.6226624f9de86p-2, 0x1.5e86164386c92p-2, 0x1.5ae2911182e8ep-2, 0x1.573c3a8436fcp-2, 0x1.539378abae9a1p-2, 0x1.4fe8afced5409p-2, 0x1.4c3c425e4ba98p-2, 0x1.488e90e884c93p-2, 0x1.44dffa0f22f97p-2, 0x1.4130da7d865eap-2, 0x1.3d818ce07c4p-2, 0x1.39d269df04c5ap-2, 0x1.3623c81422cb2p-2, 0x1.3275fc09a581fp-2, 0x1.2ec95833e85d6p-2, 0x1.2b1e2cee726acp-2, 0x1.2774c87974344p-2, 0x1.23cd76f810633p-2, 0x1.2028826f6ceffp-2, 0x1.1c8632c67bb74p-2, 0x1.18e6cdc6736cep-2, 0x1.154a971bf08efp-2, 0x1.11b1d058b27b2p-2, 0x1.0e1cb8f5ec4ap-2, 0x1.0a8b8e572266ep-2, 0x1.06fe8bcd8ba8cp-2, 0x1.0375ea9bec3ddp-2, 0x1.ffe3c3f5c6c34p-3, 0x1.f8e54e3b5191dp-3, 0x1.f1f0da6e54bccp-3, 0x1.eb06caff15837p-3, 0x1.e4277e73e86eep-3, 0x1.dd534f757f33dp-3, 0x1.d68a94dbc5f4p-3, 0x1.cfcda1bb4b7acp-3, 0x1.c91cc57329048p-3, 0x1.c2784bbb5a9ccp-3, 0x1.bbe07cb381ebdp-3, 0x1.b5559cf20721ep-3, 0x1.aed7ed938bb05p-3, 0x1.a867ac4aafb1ep-3, 0x1.a205137014043p-3, 0x1.9bb05a1299f3cp-3, 0x1.9569b407d7af2p-3, 0x1.8f3151fcafe8cp-3, 0x1.890761861b9cbp-3, 0x1.82ec0d3200263p-3, 0x1.7cdf7c982a477p-3, 0x1.76e1d46b511b6p-3, 0x1.70f3368a25588p-3, 0x1.6b13c21064f98p-3, 0x1.65439367f42c5p-3, 0x1.5f82c459e2e88p-3, 0x1.59d16c1f798d9p-3, 0x1.542f9f73287bbp-3, 0x1.4e9d70a16c3c2p-3, 0x1.491aef999665ap-3, 0x1.43a829fe82456p-3, 0x1.3e452b372030bp-3, 0x1.38f1fc7eebba4p-3, 0x1.33aea4f63349p-3, 0x1.2e7b29b23e41bp-3, 0x1.29578dcd41ef4p-3, 0x1.2443d27637a0ep-3, 0x1.1f3ff7006f0ddp-3, 0x1.1a4bf8f304937p-3, 0x1.1567d41813b83p-3, 0x1.1093828bc0571p-3, 0x1.0bcefccb0238ep-3, 0x1.071a39c23a23dp-3, 0x1.02752edb90627p-3, 0x1.fbbfa01a2b6ecp-4, 0x1.f2b41fcd51031p-4, 0x1.e9c7bf3f3c1fp-4, 0x1.e0fa5e486045ep-4, 0x1.d84bda4552b96p-4, 0x1.cfbc0e30a82c4p-4, 0x1.c74ad2bc4e847p-4, 0x1.bef7fe6a7605ep-4, 0x1.b6c365a5ea3bcp-4, 0x1.aeacdad9ec37ep-4, 0x1.a6b42e8998b6bp-4, 0x1.9ed92f66be00fp-4, 0x1.971baa6838989p-4, 0x1.8f7b6adfce972p-4, 0x1.87f83a8f86eeep-4, 0x1.8091e1be84d26p-4, 0x1.7948274d60391p-4, 0x1.721ad0ca017c8p-4, 0x1.6b09a282fce35p-4, 0x1.64145f9a72da1p-4, 0x1.5d3aca1872363p-4, 0x1.567ca2fcdfadap-4, 0x1.4fd9aa50e365p-4, 0x1.49519f37dd1aap-4, 0x1.42e43fffe0ddep-4, 0x1.3c914a31bd07ep-4, 0x1.36587aa08c18p-4, 0x1.30398d78d1c02p-4, 0x1.2a343e4f2700dp-4, 0x1.2448482e75804p-4, 0x1.1e7565a5c40d8p-4, 0x1.18bb50d595b69p-4, 0x1.1319c37cde162p-4, 0x1.0d9077058a242p-4, 0x1.081f2490a32a5p-4, 0x1.02c585020993fp-4, 0x1.fb06a21797a14p-5, 0x1.f0b08272350cp-5, 0x1.e6881bf1b74b9p-5, 0x1.dc8cdf4fbd086p-5, 0x1.d2be3d3562ec3p-5, 0x1.c91ba64e3c21cp-5, 0x1.bfa48b5a932afp-5, 0x1.b6585d40fd9b8p-5, 0x1.ad368d1f42b86p-5, 0x1.a43e8c5a998e6p-5, 0x1.9b6fccaf4421dp-5, 0x1.92c9c03f859a1p-5, 0x1.8a4bd9a200144p-5, 0x1.81f58bef74d58p-5, 0x1.79c64acfee9a7p-5, 0x1.71bd8a875cb3ap-5, 0x1.69dac00198f34p-5, 0x1.621d60dde78dcp-5, 0x1.5a84e379ecb36p-5, 0x1.5310befc1bc36p-5, 0x1.4bc06b5da8e25p-5, 0x1.44936173f862bp-5, 0x1.3d891af996e68p-5, 0x1.36a11296b92cap-5, 0x1.2fdac3e9470ep-5, 0x1.2935ab8c7589ep-5, 0x1.22b1471ff5281p-5, 0x1.1c4d154eb3487p-5, 0x1.160895d534b65p-5, 0x1.0fe349878d025p-5, 0x1.09dcb256f1f11p-5, 0x1.03f45356f25fep-5, 0x1.fc536184a08e3p-6, 0x1.f0f89fff04243p-6, 0x1.e5d76f49bc3b4p-6, 0x1.daeedef8e4f23p-6, 0x1.d03e010f1776dp-6, 0x1.c5c3ea03dcdf9p-6, 0x1.bb7fb0c986359p-6, 0x1.b1706ed277c22p-6, 0x1.a7954015e582ap-6, 0x1.9ded431400c39p-6, 0x1.947798d9aeceep-6, 0x1.8b336503b2ddep-6, 0x1.821fcdc16827fp-6, 0x1.793bfbd702e8ap-6, 0x1.70871a9f5a797p-6, 0x1.6800580d4d62ap-6, 0x1.5fa6e4acb9c1fp-6, 0x1.5779f3a30e408p-6, 0x1.4f78baaf7b54dp-6, 0x1.47a2722ac6ed7p-6, 0x1.3ff65506c8266p-6, 0x1.3873a0cd899f4p-6, 0x1.311995a01ae5bp-6, 0x1.29e77635152bcp-6, 0x1.22dc87d6cf118p-6, 0x1.1bf812614e498p-6, 0x1.1539603fef59ep-6, 0x1.0e9fbe6acca07p-6, 0x1.082a7c63e8d21p-6, 0x1.01d8ec341b8dap-6, 0x1.f754c4cf82d4fp-7, 0x1.eb3c6c167f63bp-7, 0x1.df67814e8d4e2p-7, 0x1.d3d4bc79de6fap-7, 0x1.c882da8349348p-7, 0x1.bd709d35c05afp-7, 0x1.b29ccb3381852p-7, 0x1.a8062fecf0c23p-7, 0x1.9dab9b9723df2p-7, 0x1.938be32236d43p-7, 0x1.89a5e02f4e918p-7, 0x1.7ff87106702b2p-7, 0x1.7682788c0a9ccp-7, 0x1.6d42de365d5eep-7, 0x1.64388e02a6afcp-7, 0x1.5b62786a1f328p-7, 0x1.52bf9256d25e9p-7, 0x1.4a4ed5184b4eep-7, 0x1.420f3e5823963p-7, 0x1.39ffd00e6793p-7, 0x1.321f9075e733ep-7, 0x1.2a6d8a0065843p-7, 0x1.22e8cb4ab3ad4p-7, 0x1.1b906710b4767p-7, 0x1.146374214f961p-7, 0x1.0d610d5252926p-7, 0x1.0688517445d02p-7, 0x1.ffb0c68c6a7d8p-8, 0x1.f2a0d2d2e16dbp-8, 0x1.e5df1caa8935ap-8, 0x1.d96a00955bedep-8, 0x1.cd3fe29018c15p-8, 0x1.c15f2df9a32b4p-8, 0x1.b5c6557a65de4p-8, 0x1.aa73d2ebba2b7p-8, 0x1.9f66273f574c1p-8, 0x1.949bda66cf2d2p-8, 0x1.8a137b3b170e5p-8, 0x1.7fcb9f6424acp-8, 0x1.75c2e3409e464p-8, 0x1.6bf7e9cda09b9p-8, 0x1.62695c8ea271ep-8, 0x1.5915eb756eec5p-8, 0x1.4ffc4cca41a7cp-8, 0x1.471b3d14037e1p-8, 0x1.3e717f00a5f7dp-8, 0x1.35fddb4da8663p-8, 0x1.2dbf20b0be7bfp-8, 0x1.25b423c0a35fap-8, 0x1.1ddbbede119ccp-8, 0x1.1634d21ceaa79p-8, 0x1.0ebe432d8898dp-8, 0x1.0776fd463e5afp-8, 0x1.005df10d0769cp-8, 0x1.f2e42902d236ep-9, 0x1.e564c5cd04b6cp-9, 0x1.d83bb95aa641p-9, 0x1.cb670ebe6419ep-9, 0x1.bee4db10f782dp-9, 0x1.b2b33d46e5357p-9, 0x1.a6d05e06b2865p-9, 0x1.9b3a6f7f833d3p-9, 0x1.8fefad4024a3ap-9, 0x1.84ee5c0e8e3bdp-9, 0x1.7a34c9bfd0cd9p-9, 0x1.6fc14d1073ca9p-9, 0x1.6592457d4f1b5p-9, 0x1.5ba61b1ccd11fp-9, 0x1.51fb3e78ab96cp-9, 0x1.48902868284afp-9, 0x1.3f6359eaaac4bp-9, 0x1.36735c02dc02p-9, 0x1.2dbebf923b65p-9, 0x1.25441d3524d78p-9, 0x1.1d02151f4c96ap-9, 0x1.14f74ef8b5276p-9, 0x1.0d2279bb19d2fp-9, 0x1.05824b8fc9ba7p-9, 0x1.fc2b035c07a9p-10, 0x1.edb5c0737aa23p-10, 0x1.dfa26445c7acbp-10, 0x1.d1ee920a252a4p-10, 0x1.c497fa0f78eaap-10, 0x1.b79c597d96b4dp-10, 0x1.aaf97a175c9cbp-10, 0x1.9ead31fdc4cbbp-10, 0x1.92b56373cf757p-10, 0x1.870ffca3527b3p-10, 0x1.7bbaf762b57fcp-10, 0x1.70b458fb7c05ep-10, 0x1.65fa31f1c740ep-10, 0x1.5b8a9dcc9ceddp-10, 0x1.5163c2df1bbd3p-10, 0x1.4783d21286c8fp-10, 0x1.3de906b121545p-10, 0x1.3491a631ef1b9p-10, 0x1.2b7c00053e2bfp-10, 0x1.22a66d620c491p-10, 0x1.1a0f511436fbbp-10, 0x1.11b5174b84edp-10, 0x1.0996356b6ea91p-10, 0x1.01b129dbc30aap-10, 0x1.f408f7b40e023p-11, 0x1.e51d76974df54p-11, 0x1.d69d0121d017dp-11, 0x1.c884d8b13d60bp-11, 0x1.bad24ee94b3cdp-11, 0x1.ad82c55e28b35p-11, 0x1.a093ad4063cffp-11, 0x1.9402870a454d4p-11, 0x1.87cce22e9d173p-11, 0x1.7bf05cc8f991ep-11, 0x1.706aa34f48bc8p-11, 0x1.65397044dc38p-11, 0x1.5a5a8beecc5a6p-11, 0x1.4fcbcc09b4ea2p-11, 0x1.458b1380c9ebfp-11, 0x1.3b9652263bbb9p-11, 0x1.31eb846cea704p-11, 0x1.2888b323611d3p-11, 0x1.1f6bf330146dfp-11, 0x1.1693654ee297fp-11, 0x1.0dfd35cfcd32ap-11, 0x1.05a79c56ebd5ep-11, 0x1.fb21b73b1cf95p-12, 0x1.eb6e8269220e2p-12, 0x1.dc324a8fadafbp-12, 0x1.cd69d4c5d6d07p-12, 0x1.bf11fa6d89c6fp-12, 0x1.b127a8c146c6cp-12, 0x1.a3a7e0641098ap-12, 0x1.968fb4f385439p-12, 0x1.89dc4c9c12b24p-12, 0x1.7d8adfaf491fcp-12, 0x1.7198b83c36229p-12, 0x1.660331a9ce306p-12, 0x1.5ac7b8534bd4ap-12, 0x1.4fe3c9268e83bp-12, 0x1.4554f1446284ap-12, 0x1.3b18cda2b098fp-12, 0x1.312d0ab08db94p-12, 0x1.278f63fc208c3p-12, 0x1.1e3da3da5562p-12, 0x1.1535a3105ca77p-12, 0x1.0c75487ee40d5p-12, 0x1.03fa88cf0d179p-12, 0x1.f786cc4221bb8p-13, 0x1.e79bdf7922e17p-13, 0x1.d83083850cdabp-13, 0x1.c94109c19a982p-13, 0x1.bac9dc0e8c02bp-13, 0x1.acc77c3d01c68p-13, 0x1.9f36837fe357bp-13, 0x1.9213a1df3fdf6p-13, 0x1.855b9daea3c3bp-13, 0x1.790b53064c462p-13, 0x1.6d1fb33f38518p-13, 0x1.6195c471f8bdfp-13, 0x1.566aa0f847408p-13, 0x1.4b9b76f142b15p-13, 0x1.412587c85190ap-13, 0x1.370627bea0e0ap-13, 0x1.2d3abd771fcfp-13, 0x1.23c0c1850863ap-13, 0x1.1a95bdfcd0472p-13, 0x1.11b74e0781a11p-13, 0x1.09231d78730c3p-13, 0x1.00d6e8654c9c3p-13, 0x1.f1a0f58098e73p-14, 0x1.e21b5fe9a26cfp-14, 0x1.d318e50c074p-14, 0x1.c495775f66158p-14, 0x1.b68d261276fb3p-14, 0x1.a8fc1c551782fp-14, 0x1.9bdea0a6419c8p-14, 0x1.8f3114260bbddp-14, 0x1.82eff1eb81e42p-14, 0x1.7717ce5e4e6c1p-14, 0x1.6ba556941e93ap-14, 0x1.60954fb1adefp-14, 0x1.55e4964f67e04p-14, 0x1.4b901de18b9ecp-14, 0x1.4194f023c239fp-14, 0x1.37f02c8813809p-14, 0x1.2e9f07a929949p-14, 0x1.259ecabfd156dp-14, 0x1.1cecd31ba6ea2p-14, 0x1.1486919edefc6p-14, 0x1.0c698a3d19beap-14, 0x1.0493537d3379ap-14, 0x1.fa032bfc011b5p-15, 0x1.eb6417fbc9a8p-15, 0x1.dd4501ca738eep-15, 0x1.cfa1a1a6e6784p-15, 0x1.c275d05de53ep-15, 0x1.b5bd866efb7e5p-15, 0x1.a974db368f50ep-15, 0x1.9d98041cfef9bp-15, 0x1.922353cab105ap-15, 0x1.87133960f54ecp-15, 0x1.7c643fb7a5f98p-15, 0x1.72130c9f68b5ep-15, 0x1.681c6028753fap-15, 0x1.5e7d13edcfd1cp-15, 0x1.55321a64d949fp-15, 0x1.4c387e311bc39p-15, 0x1.438d617c45408p-15, 0x1.3b2dfd522bfdp-15, 0x1.3317a100d36bcp-15, 0x1.2b47b17c51ca5p-15, 0x1.23bba8c6855e2p-15, 0x1.1c71155a82a7cp-15, 0x1.1565999ba7bbbp-15, 0x1.0e96eb483ec5ep-15, 0x1.0802d2ef9be7ep-15, 0x1.01a72b6ba525ap-15, 0x1.f703c2bb587bbp-16, 0x1.eb21e55d18c15p-16, 0x1.dfa4dc23ef2e1p-16, 0x1.d488e519bdec5p-16, 0x1.c9ca5dfdd2047p-16, 0x1.bf65c35dbc395p-16, 0x1.b557afb403f92p-16, 0x1.ab9cda8c82a97p-16, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      50, 0x1.f102de00d1b71p+1, 0x1.415b5c8ffbd0bp+1, 0x1.54ce8c489fe88p+2, -0x1.5e6175da94da9p-2, 
      {{
        {0x1.b333333333333p+0, 0x1.be605d62dc992p+0, 0x1.44952db9a1a1dp+1, -0x1.ce6d8cbcb1cc2p+2, 0x1.223e32ce8b54p+3, 0x1.f63854371b02p+0}, 
        {0x1.be605d62dc992p+0, 0x1.c98d87bd791cdp+0, 0x1.1e706dfc31ea3p+1, -0x1.9b063ecb620d6p+2, 0x1.2a7715298333bp+3, -0x1.39e9827b49b7cp+3}, 
        {0x1.c98d87bd791cdp+0, 0x1.d4bab1ed2282bp+0, 0x1.f97149ef375aep+0, -0x1.6a7e2b469cd58p+2, 0x1.0159d5658d6b8p+3, -0x1.7947842a14e1ep+2}, 
        {0x1.d4bab1ed2282bp+0, 0x1.dfe7dc47bf066p+0, 0x1.bdf037b5f9cc9p+0, -0x1.3fb5627ea8789p+2, 0x1.d149c3870f915p+2, -0x1.8e8ddde97a5a9p+2}, 
        {0x1.dfe7dc47bf066p+0, 0x1.eb150677686c5p+0, 0x1.898597033c4a9p+0, -0x1.195c4707c8bc7p+2, 0x1.9d16874ae8d0cp+2, -0x1.5d849595744aap+2}, 
        {0x1.eb150677686c5p+0, 0x1.f64230d204fp+0, 0x1.5b6ba39215ecap+0, -0x1.ee946d8eb17ffp+1, 0x1.6f4f724d4985cp+2, -0x1.41f98a3920d24p+2}, 
        {0x1.f64230d204fp+0, 0x1.00b7ad80d72afp+1, 0x1.32edd58603e59p+0, -0x1.b21e2f124999fp+1, 0x1.4523dd1552656p+2, -0x1.23101ba33bb9ap+2}, 
        {0x1.00b7ad80d72afp+1, 0x1.064e42ae256cdp+1, 0x1.0f67dadaac896p+0, -0x1.7caab1e063169p+1, 0x1.1f04bc223558p+2, -0x1.0789069b34624p+2}, 
        {0x1.064e42ae256cdp+1, 0x1.0be4d7c5fa1fcp+1, 0x1.e08933811d073p-1, -0x1.4d8edd67f87bcp+1, 0x1.f9012c70e137ep+1, -0x1.dab8477440111p+1}, 
        {0x1.0be4d7c5fa1fcp+1, 0x1.117b6cf34861ap+1, 0x1.a9fa733cfd504p-1, -0x1.242d7a068f18p+1, 0x1.bad4295d5d9bcp+1, -0x1.aa436fbfc5cafp+1}, 
        {0x1.117b6cf34861ap+1, 0x1.1712020b1d149p+1, 0x1.7a306a0023e74p-1, -0x1.ffe5ec9268012p+0, 0x1.82ffdad3e5059p+1, -0x1.7d042c11c25dep+1}, 
        {0x1.1712020b1d149p+1, 0x1.1ca897386b566p+1, 0x1.5050e4fd78c4cp-1, -0x1.c0ac5219d62cap+0, 0x1.5118a795803eep+1, -0x1.5331ea8e7015ep+1}, 
        {0x1.1ca897386b566p+1, 0x1.223f2c5040096p+1, 0x1.2b98cc03121dp-1, -0x1.89af3b1af7a65p+0, 0x1.24abb0abb474fp+1, -0x1.2c6e5dbc1992fp+1}, 
        {0x1.223f2c5040096p+1, 0x1.27d5c17d8e4b3p+1, 0x1.0b5a72f0c0fb6p-1, -0x1.5a02bcabb0523p+0, 0x1.faa4e7b9cf4b4p+0, -0x1.08ce55750a5ebp+1}, 
        {0x1.27d5c17d8e4b3p+1, 0x1.2d6c569562fe2p+1, 0x1.ddf7f693921p-2, -0x1.30cd0ca8fd2fp+0, 0x1.b5476536066fp+0, -0x1.d01652379efacp+0}, 
        {0x1.2d6c569562fe2p+1, 0x1.3302ebad37b12p+1, 0x1.abeb8a3863dadp-2, -0x1.0d45f59556c3fp+0, 0x1.787ee3694d93p+0, -0x1.943dcf54302e8p+0}, 
        {0x1.3302ebad37b12p+1, 0x1.389980da85f2fp+1, 0x1.7fa1df5abb59dp-2, -0x1.dd6be37ccb1bdp-1, 0x1.438cf73ee9676p+0, -0x1.5dcc4598a4c1dp+0}, 
        {0x1.389980da85f2fp+1, 0x1.3e3015f25aa5fp+1, 0x1.584bd3a43d9dbp-2, -0x1.a8eb68a1d90e5p-1, 0x1.15bc7def8f641p+0, -0x1.2c6b8fd7b876dp+0}, 
        {0x1.3e3015f25aa5fp+1, 0x1.43c6ab1fa8e7cp+1, 0x1.3536237d8896ep-2, -0x1.7bda88bcf2cb4p-1, 0x1.dcc73e4e52dfep-1, -0x1.00088fca33921p+0}, 
        {0x1.43c6ab1fa8e7cp+1, 0x1.495d40377d9abp+1, 0x1.15c6c95b30dbdp-2, -0x1.5526c04a6a9c1p-1, 0x1.99b6020c5f825p-1, -0x1.b073a6a7648a8p-1}, 
        {0x1.495d40377d9abp+1, 0x1.4ef3d564cbdc9p+1, 0x1.f2f4f83a0deddp-3, -0x1.33d992f460266p-1, 0x1.611236c97313fp-1, -0x1.69d84d453e40fp-1}, 
        {0x1.4ef3d564cbdc9p+1, 0x1.548a6a7ca08f8p+1, 0x1.bfc49921a4957p-3, -0x1.171719ea05053p-1, 0x1.31add02a16b21p-1, -0x1.2b7459d0d9008p-1}, 
        {0x1.548a6a7ca08f8p+1, 0x1.5a20ffa9eed16p+1, 0x1.9142c4ba7372bp-3, -0x1.fc394df5a0cb4p-2, 0x1.0a75523047d76p-1, -0x1.ea33f8f45478fp-2}, 
        {0x1.5a20ffa9eed16p+1, 0x1.5fb794c1c3845p+1, 0x1.66d5b110c869p-3, -0x1.d07eaa816bf97p-2, 0x1.d4b67c92ad7dfp-2, -0x1.8c128bfd9a52dp-2}, 
        {0x1.5fb794c1c3845p+1, 0x1.654e29ef11c62p+1, 0x1.3fff710ee0ee7p-3, -0x1.a9d56055f8a3dp-2, 0x1.a0d676f0d07d6p-2, -0x1.3c0aa69157ea5p-2}, 
        {0x1.654e29ef11c62p+1, 0x1.6ae4bf06e6792p+1, 0x1.1c5a2a5cb9ae2p-3, -0x1.873e7d75cdb5bp-2, 0x1.7771d0fd68a0ap-2, -0x1.f174b0b0a45dp-3}, 
        {0x1.6ae4bf06e6792p+1, 0x1.707b543434bafp+1, 0x1.f7291284224a4p-4, -0x1.67e2536781adbp-2, 0x1.56de265ecb94ep-2, -0x1.831b61c467a53p-3}, 
        {0x1.707b543434bafp+1, 0x1.7611e94c096dep+1, 0x1.badce6b18b8fp-4, -0x1.4b0d945258dap-2, 0x1.3d8470c8181bep-2, -0x1.2a81bb536dd89p-3}, 
        {0x1.7611e94c096dep+1, 0x1.7ba87e63de20ep+1, 0x1.836bf12e9ab6fp-4, -0x1.302ea43fcf773p-2, 0x1.29f8153708eacp-2, -0x1.cc44e97d243cap-4}, 
        {0x1.7ba87e63de20ep+1, 0x1.813f13912c62bp+1, 0x1.508905d47e92ap-4, -0x1.16d29f0708aabp-2, 0x1.1ae5f5b8389b9p-2, -0x1.6801aa72f5e9ap-4}, 
        {0x1.813f13912c62bp+1, 0x1.86d5a8a90115bp+1, 0x1.21f888c7a2311p-4, -0x1.fd4590e6c132fp-3, 0x1.0f1c45160589ap-2, -0x1.23f987a8b8542p-4}, 
        {0x1.86d5a8a90115bp+1, 0x1.8c6c3dd64f578p+1, 0x1.ef17902091488p-5, -0x1.cec3155fa287bp-3, 0x1.058cd83b39e66p-2, -0x1.fa2bd8f2987dap-5}, 
        {0x1.8c6c3dd64f578p+1, 0x1.9202d2ee240a7p+1, 0x1.a239a3d474d0ap-5, -0x1.a1cf8870d39dap-3, 0x1.fa86cca2048c4p-3, -0x1.dd7127eb88bf1p-5}, 
        {0x1.9202d2ee240a7p+1, 0x1.9799681b724c5p+1, 0x1.5d15914ed6d99p-5, -0x1.7643f15f29d11p-3, 0x1.eae4ba6b92e65p-3, -0x1.eba2e38f1f511p-5}, 
        {0x1.9799681b724c5p+1, 0x1.9d2ffd3346ff4p+1, 0x1.1f6d6640eee11p-5, -0x1.4c1afd283363cp-3, 0x1.dacbacdba8233p-3, -0x1.0dd854181dc9dp-4}, 
        {0x1.9d2ffd3346ff4p+1, 0x1.a2c6926095412p+1, 0x1.d2032a8de55edp-6, -0x1.236b74bb204d2p-3, 0x1.c91fd23255401p-3, -0x1.33a1731ef4b11p-4}, 
        {0x1.a2c6926095412p+1, 0x1.a85d277869f41p+1, 0x1.7319177ab1514p-6, -0x1.f8c529382a90dp-4, 0x1.b4fa80dcec39dp-3, -0x1.62c61dafb0ec6p-4}, 
        {0x1.a85d277869f41p+1, 0x1.adf3bca5b835ep+1, 0x1.217e82ad68045p-6, -0x1.ae7d0df39bf3bp-4, 0x1.9dbed904707f2p-3, -0x1.97f142b28fae3p-4}, 
        {0x1.adf3bca5b835ep+1, 0x1.b38a51bd8ce8ep+1, 0x1.b8fb096f4135cp-7, -0x1.68916c0442af4p-4, 0x1.8307d6dde2661p-3, -0x1.cee8b45018e34p-4}, 
        {0x1.b38a51bd8ce8ep+1, 0x1.b920e6eadb2abp+1, 0x1.468ad037ef3a5p-7, -0x1.27a08fc96429cp-4, 0x1.64b75676a2bf7p-3, -0x1.021793939d89fp-3}, 
        {0x1.b920e6eadb2abp+1, 0x1.beb77c02afddbp+1, 0x1.d3a6962362c6ap-8, -0x1.d891d324b6465p-5, 0x1.42e9b1e81fb7p-3, -0x1.19d5d60331f38p-3}, 
        {0x1.beb77c02afddbp+1, 0x1.c44e112ffe1f8p+1, 0x1.418b55aa1ab71p-8, -0x1.6e3bf495f7595p-5, 0x1.1dfff63930ff8p-3, -0x1.2ce17038540e4p-3}, 
        {0x1.c44e112ffe1f8p+1, 0x1.c9e4a647d2d27p+1, 0x1.a48ca9d68484dp-9, -0x1.113a0a94c6492p-5, 0x1.ed2f4d129b321p-4, -0x1.393f9336c5b8p-3}, 
        {0x1.c9e4a647d2d27p+1, 0x1.cf7b3b5fa7857p+1, 0x1.021b0b26d839ap-9, -0x1.84880cfca56edp-6, 0x1.9b215258b7d44p-4, -0x1.3d0480014aacbp-3}, 
        {0x1.cf7b3b5fa7857p+1, 0x1.d511d08cf5c74p+1, 0x1.2396367c82a15p-10, -0x1.0370c6a0c28fbp-6, 0x1.48169526d19bp-4, -0x1.367ed99ea3c43p-3}, 
        {0x1.d511d08cf5c74p+1, 0x1.daa865a4ca7a3p+1, 0x1.26268ad80c582p-11, -0x1.3e1c08283b8fbp-7, 0x1.ed8266144291ap-5, -0x1.22de3cfb3f8fp-3}, 
        {0x1.daa865a4ca7a3p+1, 0x1.e03efad218bc1p+1, 0x1.f7c9d1f8e225cp-13, -0x1.58b63b9b3b56bp-8, 0x1.552002aab47f4p-5, -0x1.03989463a63bfp-3}, 
        {0x1.e03efad218bc1p+1, 0x1.e5d58fe9ed6fp+1, 0x1.4d1253e8423ebp-14, -0x1.33daaa37a0886p-9, 0x1.9a3f79d6a060fp-6, -0x1.946fe469ab3bbp-4}, 
        {0x1.e5d58fe9ed6fp+1, 0x1.eb6c25173bb0ep+1, 0x1.12c9e3c9c8044p-16, -0x1.7d26c3d1c8f1ap-11, 0x1.8cbb188cf317ep-7, -0x1.473f71a7d2599p-4}, 
        {0x1.eb6c25173bb0ep+1, 0x1.f102de00d1b71p+1, 0x1.1ec1cd6387825p-20, -0x1.09a6e60a34e96p-13, 0x1.aec022556c753p-10, 0x1.426f058f52d07p-3}, 
      }}, 
      -0x1.4b82124d7ebbep+2, 0x1.63724fc314c76p+5
    }
  };
  // clang-format on
}
SkfData params_hyb_0_2_ga_as() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.a2e68a5dd9eb4p-2, -0x1.9cfd5d2e09789p-2, -0x1.912696db6dba9p-2, -0x1.8031bb95e988ep-2, -0x1.6b0a0d17e02d6p-2, -0x1.52a46a6517a63p-2, -0x1.37f1940e0b866p-2, -0x1.1bd44941281eep-2, -0x1.fe3570c2fb7d2p-3, -0x1.c4f51bc8d183p-3, -0x1.8d1e0af4f531p-3, -0x1.57b131e937dbfp-3, -0x1.257bc182df844p-3, -0x1.ee34cec08fdcfp-4, -0x1.99faee210fbb2p-4, -0x1.4edb61d6fd4bdp-4, -0x1.0d22be0b886acp-4, -0x1.a9c5c44fa5dcbp-5, -0x1.4bf9549c9aa72p-5, -0x1.0051e1439b701p-5, -0x1.8c038027fedfap-6, -0x1.38168c22aa279p-6, -0x1.029a0a364028cp-6, -0x1.d23bfdd962885p-7, -0x1.d22bf44faf39bp-7, -0x1.ffd36c4e123cbp-7, -0x1.2b02516c26cfbp-6, -0x1.67d51a774ba49p-6, -0x1.b3ec2a9d277e2p-6, -0x1.06767cf612936p-5, -0x1.384e8e5cb7575p-5, -0x1.6e72b6f932d09p-5, -0x1.a7e9f9fe207c3p-5, -0x1.e3ce65778b5ebp-5, -0x1.10a694c1b1bacp-4, -0x1.2fd334a5326ebp-4, -0x1.4f166ab992f31p-4, -0x1.6e228c9a52406p-4, -0x1.8cb28fb9ad81ap-4, -0x1.aa899a9a1988bp-4, -0x1.c77288a160982p-4, -0x1.e33f65eed12dcp-4, -0x1.fdc8e924ddd79p-4, -0x1.0b76f81a58513p-3, -0x1.174981a8774fdp-3, -0x1.2250ef877b1a7p-3, -0x1.2c8482963f7a5p-3, -0x1.35dda9606bd6bp-3, -0x1.3e57cd5d67804p-3, -0x1.45f0220adc4f8p-3, -0x1.4ca575e5a8b32p-3, -0x1.52780580d81cfp-3, -0x1.5769511b55861p-3, -0x1.5b7bf51b51ee2p-3, -0x1.5eb385c2e0dd2p-3, -0x1.61146e48e9ff1p-3, -0x1.62a3d34cbcb74p-3, -0x1.63677866684ddp-3, -0x1.6365a86debfb9p-3, -0x1.62a52000c97dap-3, -0x1.612cf9d265e31p-3, -0x1.5f049c6c9d4a9p-3, -0x1.5c33a929f7991p-3, -0x1.58c1cb3e4d20fp-3, -0x1.54b7581f4c62bp-3, -0x1.501c009a2f6c4p-3, -0x1.4af7b872e5d4dp-3, -0x1.45526b952cfd7p-3, -0x1.3f33f5a42aaep-3, -0x1.38a41aaba7b9dp-3, -0x1.31aa80c7c9cf8p-3, -0x1.2a4eaa9be437fp-3, -0x1.2297f2780c263p-3, -0x1.1a8d861576af9p-3, -0x1.123662da5a8d6p-3, -0x1.0999529db5cf4p-3, -0x1.00bce8e8d7033p-3, -0x1.ef4f016ebe0c1p-4, -0x1.dcbe756d35d12p-4, -0x1.c9d3f805d113ep-4, -0x1.b69adabcedfe1p-4, -0x1.a31df5b169c41p-4, -0x1.8f67a7b50c61p-4, -0x1.7b81d7115b3f9p-4, -0x1.6775f2da143e6p-4, -0x1.534cf4aeb0ecfp-4, -0x1.3f0f62cf5f246p-4, -0x1.2ac5526e53c9dp-4, -0x1.16766a2baa4b3p-4, -0x1.0229e4af63a5p-4, -0x1.dbcd26b3a866fp-5, -0x1.b365c20d30079p-5, -0x1.8b29a9c191707p-5, -0x1.63242a918bd7bp-5, -0x1.3b5fd598f749dp-5, -0x1.13e68665e5751p-5, -0x1.d982d26d19c92p-6, -0x1.8bf202b815678p-6, -0x1.3f2a5f7b180c7p-6, -0x1.e674e5d3b5a1p-7, -0x1.505f39ede53c1p-7, -0x1.785882de567cfp-8, -0x1.4f931b93d8926p-10, 0x1.98e7f67f95f27p-9, 0x1.e88cd4695aa5fp-8, 0x1.80223c5b4d67dp-7, 0x1.04df43b233e7ep-6, 0x1.48870036b7b16p-6, 0x1.8b0273f5eb187p-6, 0x1.cc4c7a1fe25d6p-6, 0x1.06304f532abf9p-5, 0x1.259d8a4366783p-5, 0x1.446c5645449d7p-5, 0x1.629b663909fb7p-5, 0x1.8029b340d050bp-5, 0x1.9d1678b1f4141p-5, 0x1.b961302d297bep-5, 0x1.d5098dd997e71p-5, 0x1.f00f7cc076bb9p-5, 0x1.05398da3cfc62p-4, 0x1.121a5be5478f4p-4, 0x1.1eaa66a9023b2p-4, 0x1.2aea003576089p-4, 0x1.36d98e0ec6738p-4, 0x1.42798782ff024p-4, 0x1.4dca744762f64p-4, 0x1.58cceb2726252p-4, 0x1.638190c3ba404p-4, 0x1.6de91666ae9c2p-4, 0x1.780438e4f107cp-4, 0x1.81d3bf9316566p-4, 0x1.8b587b4a26aa1p-4, 0x1.9493457c4b795p-4, 0x1.9d84ff58a28c1p-4, 0x1.a62e90fd5d602p-4, 0x1.ae90e8b75d06p-4, 0x1.b6acfa4e47522p-4, 0x1.be83be5c4a33ap-4, 0x1.c61631b08c56dp-4, 0x1.cd6554bb8a182p-4, 0x1.d4722b0461725p-4, 0x1.db3dbaa681ee9p-4, 0x1.e1c90bd6ebb8ap-4, 0x1.e81528706f576p-4, 0x1.ee231b867d739p-4, 0x1.f3f3f0fe1614dp-4, 0x1.f988b52c6dc88p-4, 0x1.fee20d1f60ea1p-4, 0x1.0200e965521a6p-3, 0x1.047456bcb835dp-3, 0x1.06cbd3d943bf2p-3, 0x1.0907e56567264p-3, 0x1.0b290f535915dp-3, 0x1.0d2fd4c030b19p-3, 0x1.0f1cb7d9660abp-3, 0x1.10f039c48acdep-3, 0x1.12aada8939697p-3, 0x1.144d18fd08884p-3, 0x1.15d772b189ea9p-3, 0x1.174a63e4251d5p-3, 0x1.18a6676fc462cp-3, 0x1.19ebf6c02b562p-3, 0x1.1b1b89c6f4a74p-3, 0x1.1c3596f201454p-3, 0x1.1d3a932351efap-3, 0x1.1e2af1aa2f08p-3, 0x1.1f07243d78d0dp-3, 0x1.1fcf9af7166d9p-3, 0x1.2084c45063f87p-3, 0x1.21270d1f8d35fp-3, 0x1.21b6e095be072p-3, 0x1.2234a83e15405p-3, 0x1.22a0cbfd51fa2p-3, 0x1.22fbb21220188p-3, 0x1.2345bf15fa599p-3, 0x1.237f55fea02b5p-3, 0x1.23a8d8200402dp-3, 0x1.23c2a52eb4d85p-3, 0x1.23cd1b42b2129p-3, 0x1.23c896daa9e0dp-3, 0x1.23b572df94d18p-3, 0x1.239408a8a6bbep-3, 0x1.2364afff8df27p-3, 0x1.2327bf2504433p-3, 0x1.22dd8ad598431p-3, 0x1.2286664eb50ddp-3, 0x1.2222a353e3321p-3, 0x1.21b292342f701p-3, 0x1.213681cfc0f88p-3, 0x1.20aebf9d83e64p-3, 0x1.201b97b0fb4d6p-3, 0x1.1f7d54c01890fp-3, 0x1.1ed440292d1c6p-3, 0x1.1e20a1f8d7b7p-3, 0x1.1d62c0effe282p-3, 0x1.1c9ae289bb6b9p-3, 0x1.1bc94b01532d3p-3, 0x1.1aee3d580e668p-3, 0x1.1a09fb5b17fb1p-3, 0x1.191cc5a940b4fp-3, 0x1.1826dbb8b60edp-3, 0x1.17287bdca8481p-3, 0x1.1621e34ad6f6p-3, 0x1.15134e211226dp-3, 0x1.13fcf76a9cba1p-3, 0x1.12df19257e03ap-3, 0x1.11b9ec47c2b7cp-3, 0x1.108da8c499c6dp-3, 0x1.0f5a85916db4ap-3, 0x1.0e20b8aad65a1p-3, 0x1.0ce077197e571p-3, 0x1.0b99f4f6ef015p-3, 0x1.0a4d657243b2fp-3, 0x1.08fafad4c1d3cp-3, 0x1.07a2e686610dfp-3, 0x1.064559122f71ep-3, 0x1.04e2822aa07e2p-3, 0x1.037a90adc2a46p-3, 0x1.020db2a956064p-3, 0x1.009c155ec548dp-3, 0x1.fe4bca8e10d73p-4, 0x1.fb569c2cc8df2p-4, 0x1.f858f5801db2p-4, 0x1.f5532af36bd8ap-4, 0x1.f2458f7dd2819p-4, 0x1.ef3074a8ce1cbp-4, 0x1.ec142a9691e02p-4, 0x1.e8f100083a987p-4, 0x1.e5c74263b08d7p-4, 0x1.e2973db96f025p-4, 0x1.df613cca01d38p-4, 0x1.dc25890b5fe53p-4, 0x1.d8e46aae0d45fp-4, 0x1.d59e28a2169dep-4, 0x1.d253089be0a2ap-4, 0x1.cf034f18c6492p-4, 0x1.cbaf3f639c944p-4, 0x1.c8571b99035ecp-4, 0x1.c4fb24abad598p-4, 0x1.c19b9a68636ddp-4, 0x1.be38bb7a0ba46p-4, 0x1.bad2c56d824ecp-4, 0x1.b769f4b55a8ffp-4, 0x1.b3fe84ad88063p-4, 0x1.b090af9ef1967p-4, 0x1.ad20aec2e9d3ap-4, 0x1.a9aeba469791dp-4, 0x1.a63b094e47997p-4, 0x1.a2c5d1f8a77d1p-4, 0x1.9f4f4961f5dfep-4, 0x1.9bd7a3a716976p-4, 0x1.985f13e8a483p-4, 0x1.94e5cc4dde9f5p-4, 0x1.916bfe079654bp-4, 0x1.8df1d9530524bp-4, 0x1.8a778d7c9444cp-4, 0x1.86fd48e29625bp-4, 0x1.838338f7ef728p-4, 0x1.80098a46b363ap-4, 0x1.7c906872b097bp-4, 0x1.7917fe3bf0067p-4, 0x1.75a0758127fccp-4, 0x1.7229f74221334p-4, 0x1.6eb4aba20e861p-4, 0x1.6b40b9e9db595p-4, 0x1.67ce488a6bbe6p-4, 0x1.645d7d1ed3ccep-4, 0x1.60ee7c6e849a7p-4, 0x1.5d816a6f6e1dbp-4, 0x1.5a166a481b427p-4, 0x1.56ad9e51c2bc4p-4, 0x1.5347281a52eb6p-4, 0x1.4fe32866765e7p-4, 0x1.4c81bf3391d1fp-4, 0x1.49230bb9be23cp-4, 0x1.45c72c6dbde09p-4, 0x1.426e3f02ed5dap-4, 0x1.3f18606d32d23p-4, 0x1.3bc5ace2e956dp-4, 0x1.38763fdecb03ep-4, 0x1.352a3421dae2cp-4, 0x1.31e1a3b54c3b6p-4, 0x1.2e9ca7ec6a966p-4, 0x1.2b5b59668272bp-4, 0x1.281dd010c91aep-4, 0x1.24e4232845e1cp-4, 0x1.21ae693bbc40fp-4, 0x1.1e7cb82d975f5p-4, 0x1.1b4f2535d61efp-4, 0x1.1825c4e3f946bp-4, 0x1.1500ab20f3154p-4, 0x1.11dfeb31175a3p-4, 0x1.0ec397b60d7eep-4, 0x1.0babc2b0c47f3p-4, 0x1.08987d83673b5p-4, 0x1.0589d8f35151cp-4, 0x1.027fe52b07232p-4, 0x1.fef563785827fp-5, 0x1.f8f49b42f5d64p-5, 0x1.f2fd8e817e21dp-5, 0x1.ed1058d99926bp-5, 0x1.e72d14cef2711p-5, 0x1.e153dbc72ac7dp-5, 0x1.db84c60dcb054p-5, 0x1.d5bfead833c59p-5, 0x1.d00560498b524p-5, 0x1.ca553b76afc76p-5, 0x1.c4af906a1f5d8p-5, 0x1.bf147227e5a23p-5, 0x1.b983f2b184762p-5, 0x1.b3fe2309d81f5p-5, 0x1.ae831338fc69p-5, 0x1.a912d2502e3fp-5, 0x1.a3ad6e6da801fp-5, 0x1.9e532e13ff0dfp-5, 0x1.9903a98cab63p-5, 0x1.93bf26b3e6253p-5, 0x1.8e85afff32446p-5, 0x1.89574f03cb6cap-5, 0x1.84340c7a78da1p-5, 0x1.7f1bf043602d9p-5, 0x1.7a0f0169d6242p-5, 0x1.750d46282b706p-5, 0x1.7016c3eb77d11p-5, 0x1.6b2b7f5764198p-5, 0x1.664b7c49f0015p-5, 0x1.6176bddf346f4p-5, 0x1.5cad467523a7ap-5, 0x1.57ef17af44e81p-5, 0x1.533c327a6de63p-5, 0x1.4e94971075f9ep-5, 0x1.49f844fbe7847p-5, 0x1.45673b1bac10fp-5, 0x1.40e177a6b32ddp-5, 0x1.3c66f82f9566fp-5, 0x1.37f7b9a832536p-5, 0x1.3393b8654901ap-5, 0x1.2f3af0220b76fp-5, 0x1.2aed5c03ad41cp-5, 0x1.26aaf69ceaa86p-5, 0x1.2273b9f18b9edp-5, 0x1.1e479f79deff7p-5, 0x1.1a26a02631303p-5, 0x1.1610b4623d26ep-5, 0x1.1205d41892854p-5, 0x1.0e05f6b5f88a6p-5, 0x1.0a11132ccaaebp-5, 0x1.06271ff84b0cp-5, 0x1.0248131fedbc5p-5, 0x1.fce7c47541668p-6, 0x1.f55504e40a565p-6, 0x1.edd7d10b4f53bp-6, 0x1.e670119c554c6p-6, 0x1.df1dae80d7ce4p-6, 0x1.d7e08ee14010cp-6, 0x1.d0b8992acb1abp-6, 0x1.c9a5b3159b80cp-6, 0x1.c2a7c1aabd1p-6, 0x1.bbbea94a11f49p-6, 0x1.b4ea4db02ce02p-6, 0x1.ae2a91fc18e4bp-6, 0x1.a77f58b50ce75p-6, 0x1.a0e883d0088ep-6, 0x1.9a65f4b55e2dfp-6, 0x1.93f78c462a6ddp-6, 0x1.8d9d2ae1ac3dap-6, 0x1.8756b06a92f4ep-6, 0x1.8123fc4c2cc5bp-6, 0x1.7b04ed7f85b53p-6, 0x1.74f962906905ap-6, 0x1.6f0139a25109p-6, 0x1.691c50753b823p-6, 0x1.634a846a6a51ap-6, 0x1.5d8bb28905e05p-6, 0x1.57dfb782b448p-6, 0x1.52466fb804db2p-6, 0x1.4cbfb73cd773p-6, 0x1.474b69dca2ac1p-6, 0x1.41e9631e9d47bp-6, 0x1.3c997e49d8c74p-6, 0x1.375b96693f2d3p-6, 0x1.322f864f7ba19p-6, 0x1.2d15289ac5891p-6, 0x1.280c57b89a03fp-6, 0x1.2314ede95ee87p-6, 0x1.1e2ec543e8e38p-6, 0x1.1959b7b8f001dp-6, 0x1.14959f166cffcp-6, 0x1.0fe2550adead1p-6, 0x1.0b3fb3287b9bfp-6, 0x1.06ad92e84eb44p-6, 0x1.022bcdad422eap-6, 0x1.fb74798e1e3ccp-7, 0x1.f2b172ea420a1p-7, 0x1.ea0e39d2c9fa5p-7, 0x1.e18a80960359bp-7, 0x1.d925f97209545p-7, 0x1.d0e05699f6edep-7, 0x1.c8b94a3af7332p-7, 0x1.c0b086813c15dp-7, 0x1.b8c5bd9ccde0ap-7, 0x1.b0f8a1c6458f2p-7, 0x1.a948e5436c679p-7, 0x1.a1b63a6bbb368p-7, 0x1.9a4053acc46e5p-7, 0x1.92e6e38e87c1ap-7, 0x1.8ba99cb7add0ep-7, 0x1.848831f1b0249p-7, 0x1.7d82562ce5008p-7, 0x1.7697bc8486ff7p-7, 0x1.6fc81842997ecp-7, 0x1.69131ce3cba1fp-7, 0x1.62787e1b3dc85p-7, 0x1.5bf7efd63ff93p-7, 0x1.5591263ff5923p-7, 0x1.4f43d5c4ffff9p-7, 0x1.490fb316ff3bdp-7, 0x1.42f473301813cp-7, 0x1.3cf1cb5669642p-7, 0x1.3707711f6aae1p-7, 0x1.31351a7346ba8p-7, 0x1.2b7a7d902512ap-7, 0x1.25d7510d651cdp-7, 0x1.204b4bdec6827p-7, 0x1.1ad625578dec5p-7, 0x1.1577952d906a1p-7, 0x1.102f537c33737p-7, 0x1.0afd18c75c2ap-7, 0x1.05e09dfe4c733p-7, 0x1.00d99c7e72233p-7, 0x1.f7cf9c2c39a6ap-8, 0x1.ee15da0e4cb1ep-8, 0x1.e485681308081p-8, 0x1.db1dbc9b8df4bp-8, 0x1.d1de4efef7d7p-8, 0x1.c8c6978f02af5p-8, 0x1.bfd60f9c7e4fp-8, 0x1.b70c317b855d7p-8, 0x1.ae6878878e856p-8, 0x1.a5ea612742857p-8, 0x1.9d9168d01d569p-8, 0x1.955d0e09daaf6p-8, 0x1.8d4cd071a4527p-8, 0x1.856030bd08e9fp-8, 0x1.7d96b0bcc278fp-8, 0x1.75efd35f2a539p-8, 0x1.6e6b1cb291827p-8, 0x1.670811e73f129p-8, 0x1.5fc6395144756p-8, 0x1.58a51a6a1243ap-8, 0x1.51a43dd1cfa38p-8, 0x1.4ac32d507723p-8, 0x1.440173d6be5f5p-8, 0x1.3d5e9d7ebd371p-8, 0x1.36da378c62522p-8, 0x1.3073d06db19e5p-8, 0x1.2a2af7baccc15p-8, 0x1.23ff3e35c4a7p-8, 0x1.1df035ca44c83p-8, 0x1.17fd718cfed44p-8, 0x1.122685bafefep-8, 0x1.0c6b07b8bc72cp-8, 0x1.06ca8e111a9dfp-8, 0x1.0144b07432b1fp-8, 0x1.f7b20f6c07b64p-9, 0x1.ed0e5b99fe479p-9, 0x1.e29d7ba0ed446p-9, 0x1.d85ea7ede341cp-9, 0x1.ce511b28d094ap-9, 0x1.c4741230d19efp-9, 0x1.bac6cc1862094p-9, 0x1.b1488a214d8d8p-9, 0x1.a7f88fb8b8678p-9, 0x1.9ed62272daa55p-9, 0x1.95e08a06d67d5p-9, 0x1.8d17104a68ec3p-9, 0x1.8479012da6b5cp-9, 0x1.7c05aab6a8827p-9, 0x1.73bc5cfd3b7d7p-9, 0x1.6b9c6a269f759p-9, 0x1.63a52661497f6p-9, 0x1.5bd5e7e0b2695p-9, 0x1.542e06d94937ap-9, 0x1.4cacdd7c55dcap-9, 0x1.4551c7f4194dep-9, 0x1.3e1c245ff3ca9p-9, 0x1.370b52d0ac586p-9, 0x1.301eb544d226p-9, 0x1.2955afa553689p-9, 0x1.22afa7c20595fp-9, 0x1.1c2c054e8a81fp-9, 0x1.15ca31df2e2a7p-9, 0x1.0f8998e5f96ddp-9, 0x1.0969a7afdd86dp-9, 0x1.0369cd620c019p-9, 0x1.fb12f5eec828dp-10, 0x1.ef90467c0a422p-10, 0x1.e44a75a9fcf6dp-10, 0x1.d94070542fea7p-10, 0x1.ce7126ef653e4p-10, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.431cd4e39c5a3p-1, -0x1.3da32bc1fae1p-1, -0x1.3874ce21a9e42p-1, -0x1.33691a0776cfep-1, -0x1.2e62d99686c23p-1, -0x1.294e5823f5f96p-1, -0x1.241f98a858149p-1, -0x1.1ed0bc8f8624p-1, -0x1.19609c65f07c3p-1, -0x1.13d19216fd775p-1, -0x1.0e28764a62ae1p-1, -0x1.086bcbdf6f425p-1, -0x1.02a3135aa7ca3p-1, -0x1.f9ac8505f7537p-2, -0x1.ee1ab717412cdp-2, -0x1.e2a03d7c62979p-2, -0x1.d74ba43fd19c1p-2, -0x1.cc2a358c19312p-2, -0x1.c147c8b42d669p-2, -0x1.b6aea872e693fp-2, -0x1.ac678b9a98da9p-2, -0x1.a2799b4d7d46ap-2, -0x1.98ea83be25426p-2, -0x1.8fbe89172d9d4p-2, -0x1.86f8a365109c2p-2, -0x1.7e9a9c1e81d1fp-2, -0x1.76a52d7738c37p-2, -0x1.6f1821fd3dde8p-2, -0x1.67f2735a3a757p-2, -0x1.6132677ee2482p-2, -0x1.5ad5abebc9aeep-2, -0x1.54d96efd0fc9dp-2, -0x1.4f3a772b92608p-2, -0x1.49f53841eb485p-2, -0x1.4505e68602f33p-2, -0x1.406887cf4d16dp-2, -0x1.3c1902879c952p-2, -0x1.38132ab0ca05dp-2, -0x1.3452cd205d5d9p-2, -0x1.30d3b920a8637p-2, -0x1.2d91c89b811e6p-2, -0x1.2a88e6f30ab9ep-2, -0x1.27b516b5c79f7p-2, -0x1.2512765ac03b4p-2, -0x1.229d442309f91p-2, -0x1.2051e12c5e76dp-2, -0x1.1e2cd3bc1089cp-2, -0x1.1c2ac8d3b3d46p-2, -0x1.1a48952d750aep-2, -0x1.188335c1ec17cp-2, -0x1.16d7cff1eb32p-2, -0x1.1543b1639d11bp-2, -0x1.13c44f9ac6e5p-2, -0x1.125747536edffp-2, -0x1.10fa5ba94d198p-2, -0x1.0fab7518be25dp-2, -0x1.0e68a06478253p-2, -0x1.0d300d66d28c5p-2, -0x1.0c000dd0e52fdp-2, -0x1.0ad713d7a70aap-2, -0x1.09b3b0d03ae34p-2, -0x1.089493bf62a49p-2, -0x1.077887e2b9bd8p-2, -0x1.065e74480e6e4p-2, -0x1.054556796a5acp-2, -0x1.042c4635bef9dp-2, -0x1.0312716c8df41p-2, -0x1.01f71b6b5f851p-2, -0x1.00d99b97121bfp-2, -0x1.ff72b85d5a5d7p-3, -0x1.fd2bb230bbe01p-3, -0x1.fadd3d7285a8ep-3, -0x1.f88691b112cfap-3, -0x1.f627031c8f1fap-3, -0x1.f3be007cc796dp-3, -0x1.f14b113f907fbp-3, -0x1.eecdd39fe8bb2p-3, -0x1.ec45fae5cecacp-3, -0x1.e9b34dbe2f6f9p-3, -0x1.e715a4aa1ba2ep-3, -0x1.e46ce88429ccep-3, -0x1.e1b9111b04031p-3, -0x1.defa23e035d07p-3, -0x1.dc3032aa6bb3p-3, -0x1.d95b5a8a8fa7dp-3, -0x1.d67bc2b311f79p-3, -0x1.d3919b70a58c5p-3, -0x1.d09d1d33b7fa2p-3, -0x1.cd9e87a9d2ff8p-3, -0x1.ca9620e64687p-3, -0x1.c78434997db5fp-3, -0x1.c46913567f7d7p-3, -0x1.c14511e6214a9p-3, -0x1.be1888a767044p-3, -0x1.bae3d2fc5c03fp-3, -0x1.b7a74ec2ba651p-3, -0x1.b4635bd776b12p-3, -0x1.b1185ba46ca1bp-3, -0x1.adc6b0b7581c8p-3, -0x1.aa6ebe6177ad3p-3, -0x1.a710e85f491e6p-3, -0x1.a3ad9287d99bbp-3, -0x1.a04520834a5f1p-3, -0x1.9cd7f588205a6p-3, -0x1.9966741eed65cp-3, -0x1.95f0fdebf6969p-3, -0x1.9277f37e5ad7cp-3, -0x1.8efbb4245f299p-3, -0x1.8b7c9dc46e2fcp-3, -0x1.87fb0cba80494p-3, -0x1.84775bb997c0ep-3, -0x1.80f1e3b112a2ep-3, -0x1.7d6afbb599ebap-3, -0x1.79e2f8ed6ebadp-3, -0x1.765a2e7feb525p-3, -0x1.72d0ed87f425ep-3, -0x1.6f478509289b5p-3, -0x1.6bbe41e78611fp-3, -0x1.68356ee14db32p-3, -0x1.64ad548ae86f2p-3, -0x1.6126394c8f184p-3, -0x1.5da0616180f4ap-3, -0x1.5a1c0ed8a0503p-3, -0x1.569981964ad69p-3, -0x1.5318f75749a3ap-3, -0x1.4f9aabb4c7744p-3, -0x1.4c1ed8292e2d2p-3, -0x1.48a5b415d85dep-3, -0x1.452f74c987cccp-3, -0x1.41bc4d8791352p-3, -0x1.3e4c6f8fa0325p-3, -0x1.3ae00a2611943p-3, -0x1.37774a9cc6352p-3, -0x1.34125c5c61208p-3, -0x1.30b168ede0521p-3, -0x1.2d54980489e71p-3, -0x1.29fc0f88054a2p-3, -0x1.26a7f39eb9dcap-3, -0x1.235866b8447e5p-3, -0x1.200d89980f636p-3, -0x1.1cc77b5fff067p-3, -0x1.1986599b29a92p-3, -0x1.164a4048933a6p-3, -0x1.131349e5ee836p-3, -0x1.0fe18f7a4f616p-3, -0x1.0cb528a0d979fp-3, -0x1.098e2b935b958p-3, -0x1.066cad39ff0a2p-3, -0x1.0350c1058d9f7p-3, -0x1.003a796cb659fp-3, -0x1.fa53cf1a18923p-4, -0x1.f43e36abf186dp-4, -0x1.ee344725074c3p-4, -0x1.e8361be5dd70bp-4, -0x1.e243ce2c46a21p-4, -0x1.dc5d7525ed4a8p-4, -0x1.d68326026f1bp-4, -0x1.d0b4f40519966p-4, -0x1.caf2f096479d2p-4, -0x1.c53d2b544add2p-4, -0x1.bf93b22402927p-4, -0x1.b9f69140f1dc7p-4, -0x1.b465d34d01a0bp-4, -0x1.aee1815fd55c5p-4, -0x1.a969a315b1206p-4, -0x1.a3fe3e9e095a9p-4, -0x1.9e9f58c9993b3p-4, -0x1.994cf5182be02p-4, -0x1.940715c5ea882p-4, -0x1.8ecdbbd859d8ep-4, -0x1.89a0e72aeed32p-4, -0x1.8480967b46b6fp-4, -0x1.7f6cc774fc904p-4, -0x1.7a6576bd27dc2p-4, -0x1.756a9ffd798b1p-4, -0x1.707c3def02a22p-4, -0x1.6b9a4a64a2e69p-4, -0x1.66c4be551d76fp-4, -0x1.61fb91e4dd2bap-4, -0x1.5d3ebc6f607a4p-4, -0x1.588e349059e0ep-4, -0x1.53e9f02c7d753p-4, -0x1.4f51e47a00575p-4, -0x1.4ac60608d031ap-4, -0x1.464648ca7c6eep-4, -0x1.41d2a019da4d6p-4, -0x1.3d6afec263a28p-4, -0x1.390f57074d7c4p-4, -0x1.34bf9aaa60509p-4, -0x1.307bbaf28ee6ep-4, -0x1.2c43a8b24bfe5p-4, -0x1.2817544da63f8p-4, -0x1.23f6adc029c6cp-4, -0x1.1fe1a4a284a26p-4, -0x1.1bd8282ff8202p-4, -0x1.17da274b96bb9p-4, -0x1.13e7908547fecp-4, -0x1.1000521ea2578p-4, -0x1.0c245a0f9106bp-4, -0x1.0853960acf7d1p-4, -0x1.048df38234843p-4, -0x1.00d35faad5d24p-4, -0x1.fa478f0207035p-5, -0x1.f2fe2f9830296p-5, -0x1.ebca7a444aee2p-5, -0x1.e4ac47d6f9c1fp-5, -0x1.dda370cc23eacp-5, -0x1.d6afcd517616dp-5, -0x1.cfd1354ca55c9p-5, -0x1.c90780616eacfp-5, -0x1.c25285f755883p-5, -0x1.bbb21d3f2dec1p-5, -0x1.b5261d3867fb4p-5, -0x1.aeae5cb6240d2p-5, -0x1.a84ab26412519p-5, -0x1.a1faf4cb223fbp-5, -0x1.9bbefa55f8ac3p-5, -0x1.959699553ed09p-5, -0x1.8f81a803bd406p-5, -0x1.897ffc8a53551p-5, -0x1.83916d03b8105p-5, -0x1.7db5cf801dcbp-5, -0x1.77ecfa08ab50ep-5, -0x1.7236c2a2d1736p-5, -0x1.6c92ff5376638p-5, -0x1.67018622091f1p-5, -0x1.61822d1b6e29cp-5, -0x1.5c14ca54cb8ddp-5, -0x1.56b933ee3eb1fp-5, -0x1.516f401569b8cp-5, -0x1.4c36c507efa36p-5, -0x1.470f9915d014bp-5, -0x1.41f992a3aeacap-5, -0x1.3cf4882cfbc79p-5, -0x1.3800504609e34p-5, -0x1.331cc19e0d8dap-5, -0x1.2e49b30105c0bp-5, -0x1.2986fb59908a7p-5, -0x1.24d471b2aba6bp-5, -0x1.2031ed3965f7cp-5, -0x1.1b9f453e785dfp-5, -0x1.171c5137d2992p-5, -0x1.12a8e8c21637dp-5, -0x1.0e44e3a201b1fp-5, -0x1.09f019c5ce24p-5, -0x1.05aa634677947p-5, -0x1.017398690159fp-5, -0x1.fa97233f47fabp-6, -0x1.f2644f15e76f7p-6, -0x1.ea4e65f5f5f49p-6, -0x1.e25519e081d01p-6, -0x1.da781d399b663p-6, -0x1.d2b722ca3ce15p-6, -0x1.cb11ddc21ed97p-6, -0x1.c38801b97ab0bp-6, -0x1.bc1942b2af617p-6, -0x1.b4c5551bdff6dp-6, -0x1.ad8bedd070f31p-6, -0x1.a66cc21a80c84p-6, -0x1.9f6787b447b0cp-6, -0x1.987bf4c965eefp-6, -0x1.91a9bff821df1p-6, -0x1.8af0a0529a113p-6, -0x1.84504d5fe5187p-6, -0x1.7dc87f1d20768p-6, -0x1.7758edfe79318p-6, -0x1.710152f01de5bp-6, -0x1.6ac167572594bp-6, -0x1.6498e5126c9aap-6, -0x1.5e87867b6a99fp-6, -0x1.588d0666eb8d5p-6, -0x1.52a92025cc5ep-6, -0x1.4cdb8f85aa1c2p-6, -0x1.472410d17eea6p-6, -0x1.418260d24052bp-6, -0x1.3bf63ccf65ad7p-6, -0x1.367f628f6e896p-6, -0x1.311d90585dd06p-6, -0x1.2bd084f02a5ebp-6, -0x1.2697ff9d22ef8p-6, -0x1.2173c02651551p-6, -0x1.1c6386d3d1065p-6, -0x1.1767146f179ap-6, -0x1.127e2a433c8d3p-6, -0x1.0da88a1d3ab4ap-6, -0x1.08e5f64c20168p-6, -0x1.043631a13dc48p-6, -0x1.ff31fee0a157cp-7, -0x1.f61c471f3e47p-7, -0x1.ed2ac4b01ee17p-7, -0x1.e45d014a7425ap-7, -0x1.dbb287aae469ep-7, -0x1.d32ae39398068p-7, -0x1.cac5a1cc2f7c3p-7, -0x1.c2825021aceeep-7, -0x1.ba607d665c396p-7, -0x1.b25fb9719d723p-7, -0x1.aa7f951fb241p-7, -0x1.a2bfa25178e8ep-7, -0x1.9b1f73ec1ee04p-7, -0x1.939e9dd8be4cap-7, -0x1.8c3cb50403f09p-7, -0x1.84f94f5db351ep-7, -0x1.7dd403d833525p-7, -0x1.76cc6a6804434p-7, -0x1.6fe21c0331c09p-7, -0x1.6914b2a0c1bb1p-7, -0x1.6263c93800538p-7, -0x1.5bcefbbfe23a7p-7, -0x1.5555e72e4981fp-7, -0x1.4ef829774906ep-7, -0x1.48b5618c5b2fep-7, -0x1.428d2f5b9377p-7, -0x1.3c7f33cec75dbp-7, -0x1.368b180c08f61p-7, -0x1.30b06f3a7dca1p-7, -0x1.2aeee594e2af3p-7, -0x1.25461feae1beep-7, -0x1.1fb5c403412a6p-7, -0x1.1a3d789ae6773p-7, -0x1.14dce563c1f2bp-7, -0x1.0f93b303c19aap-7, -0x1.0a618b13b51b5p-7, -0x1.0546181e30893p-7, -0x1.0041059e65888p-7, -0x1.f6a3fffdf5895p-8, -0x1.ecf16931a1ef4p-8, -0x1.e369a363a547bp-8, -0x1.da0c0cf766652p-8, -0x1.d0d806255b03dp-8, -0x1.c7ccf0f8768b9p-8, -0x1.beea314b98413p-8, -0x1.b62f2cc6ceaedp-8, -0x1.ad9b4adcbe3c2p-8, -0x1.a52df4c7e0edfp-8, -0x1.9ce69587c6b69p-8, -0x1.94c499de4d9bcp-8, -0x1.8cc7704ccaf25p-8, -0x1.84ee89112e1fdp-8, -0x1.7d39562333f84p-8, -0x1.75a74b3158cddp-8, -0x1.6e37dd9e01f45p-8, -0x1.66ea847c791bp-8, -0x1.5fbeb88df3311p-8, -0x1.58b3f43e8425cp-8, -0x1.51c9b3a217b9dp-8, -0x1.4aff7471569cep-8, -0x1.4454b606a32fbp-8, -0x1.3dc8f95ade42cp-8, -0x1.375bc10258063p-8, -0x1.310c9129a12afp-8, -0x1.2adaef9262354p-8, -0x1.24c6639027d52p-8, -0x1.1ece760523b42p-8, -0x1.18f2b15f0bf19p-8, -0x1.1332a193c2e35p-8, -0x1.0d8dd41e275fp-8, -0x1.0803d7fac143bp-8, -0x1.02943da48b499p-8, -0x1.fa7d2e2346697p-9, -0x1.f004ef5feb9d2p-9, -0x1.e5bee8c3ef146p-9, -0x1.dbaa46f6a06bep-9, -0x1.d1c6397b0f9a9p-9, -0x1.c811f2a96d56cp-9, -0x1.be8ca7a84e34ep-9, -0x1.b53590660ddd7p-9, -0x1.ac0be792185d5p-9, -0x1.a30eea9630153p-9, -0x1.9a3dd98fc36c9p-9, -0x1.9197f7493862ap-9, -0x1.891c893341209p-9, -0x1.80cad75e18e7fp-9, -0x1.78a22c72d3037p-9, -0x1.70a1d5acce507p-9, -0x1.68c922d2d4e69p-9, -0x1.61176630857e9p-9, -0x1.598bf48fab65dp-9, -0x1.5226253193a0cp-9, -0x1.4ae551c86d504p-9, -0x1.43c8d670a3e53p-9, -0x1.3cd011aa46d74p-9, -0x1.35fa645271eb4p-9, -0x1.2f47319cb57a1p-9, -0x1.28b5df0cace09p-9, -0x1.2245d46f3c8dep-9, -0x1.1bf67bd43c274p-9, -0x1.15c74187f162dp-9, -0x1.0fb7940c9ce56p-9, -0x1.09c6e4140f028p-9, -0x1.03f4a47947be8p-9, -0x1.fc80947426df7p-10, -0x1.f15298e171a71p-10, -0x1.e65e489b5ce9ap-10, -0x1.dba29a22d50f9p-10, -0x1.d11e880c0938fp-10, -0x1.c6d110f22efc6p-10, -0x1.bcb9376b43e5ap-10, -0x1.b2d601fbc8332p-10, -0x1.a9267b0a92581p-10, -0x1.9fa9b0d4c445bp-10, -0x1.965eb561c1d4cp-10, -0x1.8d449e776abcbp-10, -0x1.845a858e1b1f9p-10, -0x1.7b9f87c50747ap-10, -0x1.7312c5d69be71p-10, -0x1.6ab3640cd1f4p-10, -0x1.62808a35cdf5p-10, -0x1.5a79639879abbp-10, -0x1.529d1ee922409p-10, -0x1.4aeaee3e4a396p-10, -0x1.43620705ae1ap-10, -0x1.3c01a1f909f7fp-10, -0x1.34c8fb1335c08p-10, -0x1.2db751854b9fep-10, -0x1.26cbe7abebaf2p-10, -0x1.200603049986fp-10, -0x1.1964ec230b2fep-10, -0x1.12e7eea6bccp-10, -0x1.0c8e593085197p-10, -0x1.06577d583169cp-10, -0x1.0042afa29dc03p-10, -0x1.f49e8eee162a9p-11, -0x1.e8f93e2b104fbp-11, -0x1.dd9427197f875p-11, -0x1.d26e096055ccdp-11, -0x1.c785aa1c91f1ep-11, -0x1.bcd9d3cdd8262p-11, -0x1.b26956433bcf2p-11, -0x1.a833068828e6fp-11, -0x1.9e35bed194493p-11, -0x1.94705e6b42be4p-11, -0x1.8ae1c9a510b3bp-11, -0x1.8188e9c13b8f4p-11, -0x1.7864ace155dccp-11, -0x1.6f7405f4b843p-11, -0x1.66b5eca698d99p-11, -0x1.5e295d4c6031dp-11, -0x1.55cd58d416782p-11, -0x1.4da0e4b328d9fp-11, -0x1.45a30ad51506fp-11, -0x1.3dd2d98a7d2dep-11, -0x1.362f637863d4bp-11, -0x1.2eb7bf873699dp-11, -0x1.276b08d2ac671p-11, -0x1.20485e9935c18p-11, -0x1.194ee42c1347fp-11, -0x1.127dc0dee95cep-11, -0x1.0bd41ff834c53p-11, -0x1.055130a1c92f4p-11, -0x1.fde84bb1f129p-12, -0x1.f1786cbf084a2p-12, -0x1.e5513958de7f7p-12, -0x1.d9712db9c5b5p-12, -0x1.cdd6cd4b4945ap-12, -0x1.c280a28884e98p-12, -0x1.b76d3ee14974cp-12, -0x1.ac9b3a9e0918ep-12, -0x1.a20934c2c197cp-12, -0x1.97b5d2f3c20abp-12, -0x1.8d9fc15a5ea67p-12, -0x1.83c5b28949f9p-12, -0x1.7a265f61bc6b8p-12, -0x1.70c086f94b67dp-12, -0x1.6792ee7fc24bap-12, -0x1.5e9c612531662p-12, -0x1.55dbb000a3985p-12, -0x1.4d4fb1f6ff30fp-12, -0x1.44f743a2455bep-12, -0x1.3cd1473943f6p-12, -0x1.34dca4774760cp-12, -0x1.2d1848846fd0bp-12, -0x1.258325df41dccp-12, -0x1.1e1c3443e0f9cp-12, -0x1.16e2709682912p-12, -0x1.0fd4dccd07925p-12, -0x1.08f27fd8631f8p-12, -0x1.023a658f44237p-12, -0x1.f7573d31266e9p-13, -0x1.ea8a80acaf562p-13, -0x1.de0cc9a1cf863p-13, -0x1.d1dc554533878p-13, -0x1.c5f769c67ec9ep-13, -0x1.ba5c56295b5fep-13, -0x1.af09721dede7p-13, -0x1.a3fd1dda55dabp-13, -0x1.9935c1f4d56f4p-13, -0x1.8eb1cf3dd398cp-13, -0x1.846fbe9d1c887p-13, -0x1.7a6e10eb0aa07p-13, -0x1.70ab4ecde3c44p-13, -0x1.6726089741779p-13, -0x1.5ddcd61ff6951p-13, -0x1.54ce56a7e6b9ap-13, -0x1.4bf930b31f203p-13, -0x1.435c11e9196eep-13, -0x1.3af5aef428d97p-13, -0x1.32c4c3616babdp-13, -0x1.2ac8118106b05p-13, -0x1.22fe624729726p-13, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.96b9a8f4754b4p-7, 0x1.1d056da1378a4p-7, 0x1.48b1bd53e9a31p-7, 0x1.03a33879f6c57p-6, 0x1.a0f2761b6804bp-6, 0x1.37e2b0e73c4afp-5, 0x1.b1b59ddf7b6f9p-5, 0x1.1beb0d8784ae9p-4, 0x1.624f9bb3a708ep-4, 0x1.a984562c47dabp-4, 0x1.ef5df6999ea47p-4, 0x1.1906ecdae51d2p-3, 0x1.381062ddf065ap-3, 0x1.543d2e0bb05ap-3, 0x1.6d2729c159839p-3, 0x1.828c1b1d3a38cp-3, 0x1.944927a8da4cfp-3, 0x1.a25636fa5c147p-3, 0x1.acc17ea866a31p-3, 0x1.b3ab55ff7d723p-3, 0x1.b742580676089p-3, 0x1.b7bfe3ab1798p-3, 0x1.b564c03453142p-3, 0x1.b07712f61602ap-3, 0x1.a93f8692f6f01p-3, 0x1.a007937e3c2a2p-3, 0x1.9518062ace6d5p-3, 0x1.88b7ceb317cefp-3, 0x1.7b2b0bb14857fp-3, 0x1.6cb24c0156779p-3, 0x1.5d8a0683ef229p-3, 0x1.4dea43c1aee3ap-3, 0x1.3e0670c7d0973p-3, 0x1.2e0d50e14fb9fp-3, 0x1.1e290528c7a87p-3, 0x1.0e7f23b3d3566p-3, 0x1.fe61b5c778371p-4, 0x1.e0b63e7b02496p-4, 0x1.c42dc4fccd7cbp-4, 0x1.a8f2a3bc49065p-4, 0x1.8f283178d69ccp-4, 0x1.76eb4a21121b5p-4, 0x1.6052d733198fp-4, 0x1.4b7054cf08fd4p-4, 0x1.38505160768fdp-4, 0x1.26fae674f09e9p-4, 0x1.17742a6321281p-4, 0x1.09bc9b75eed1ap-4, 0x1.fba30b6ae9707p-5, 0x1.e75ac7d5dfb44p-5, 0x1.d69077242e252p-5, 0x1.c92fe592e4e41p-5, 0x1.bf213ec422ea5p-5, 0x1.b8499d8f5cea4p-5, 0x1.b48b8e4880c3p-5, 0x1.b3c784eae8b3dp-5, 0x1.b5dc48634a0ep-5, 0x1.baa7539779d8cp-5, 0x1.c2052c5d9fadfp-5, 0x1.cbd1b0a994ea8p-5, 0x1.d7e85ab397303p-5, 0x1.e6247d5e36925p-5, 0x1.f6617a507a6c6p-5, 0x1.043d4f67bf32dp-4, 0x1.0e261ac3bf522p-4, 0x1.18d986ee8e0a3p-4, 0x1.244644641a083p-4, 0x1.305b6c54a5c99p-4, 0x1.3d088d12c9a52p-4, 0x1.4a3db44fb3ddbp-4, 0x1.57eb77475b5b5p-4, 0x1.6602f90d15404p-4, 0x1.7475ef329cce4p-4, 0x1.8336a506fbcd8p-4, 0x1.9237fda868541p-4, 0x1.a16d751d29301p-4, 0x1.b0cb209d9ed85p-4, 0x1.c045ae2e397d8p-4, 0x1.cfd2639e1c5e3p-4, 0x1.df671cf6f83ccp-4, 0x1.eefa4a670a02fp-4, 0x1.fe82edad1316fp-4, 0x1.06fc4b882c8e9p-3, 0x1.0ea9b0f893f29p-3, 0x1.1645f88071f9fp-3, 0x1.1dcdb518d4cedp-3, 0x1.253db936e5699p-3, 0x1.2c93149331459p-3, 0x1.33cb11e3b997ap-3, 0x1.3ae3348f2cf8fp-3, 0x1.41d9365ee54a9p-3, 0x1.48ab05342e81p-3, 0x1.4f56c0c3de28cp-3, 0x1.55dab85a220fap-3, 0x1.5c3568a7059f5p-3, 0x1.6265799392a2fp-3, 0x1.6869bc1f2851ap-3, 0x1.6e412844fb6adp-3, 0x1.73eadaea41942p-3, 0x1.796613d61d0b9p-3, 0x1.7eb233b4f50dep-3, 0x1.83ceba28e3c97p-3, 0x1.88bb43e8f0cbfp-3, 0x1.8d7788f04bc6ep-3, 0x1.92035abe752a1p-3, 0x1.965ea2a8d7a3dp-3, 0x1.9a89603e1aa6bp-3, 0x1.9e83a7bb5bb45p-3, 0x1.a24da0936fd75p-3, 0x1.a5e784083e053p-3, 0x1.a9519bd6388efp-3, 0x1.ac8c40f1c702cp-3, 0x1.af97da5637d16p-3, 0x1.b274dbe591b7p-3, 0x1.b523c5584b176p-3, 0x1.b7a5213be20fdp-3, 0x1.b9f983ff118bcp-3, 0x1.bc218b0aa0c1bp-3, 0x1.be1ddbe5c5369p-3, 0x1.bfef236564b73p-3, 0x1.c19614e5bc23cp-3, 0x1.c313698e27517p-3, 0x1.c467df9eeddd2p-3, 0x1.c59439c914eedp-3, 0x1.c6993e90407c2p-3, 0x1.c777b7b67ab23p-3, 0x1.c83071b1d7da3p-3, 0x1.c8c43b2b88c4dp-3, 0x1.c933e4880c93p-3, 0x1.c9803f77f27a6p-3, 0x1.c9aa1e9097c0fp-3, 0x1.c9b254ec5d1bep-3, 0x1.c999b5d1b6003p-3, 0x1.c9611460a5b25p-3, 0x1.c909434628c8ap-3, 0x1.c89314754cabcp-3, 0x1.c7ff58e588e5p-3, 0x1.c74ee0564279fp-3, 0x1.c68279171f9d1p-3, 0x1.c59aefd508848p-3, 0x1.c4990f6b9edd8p-3, 0x1.c37da0bae0377p-3, 0x1.c2496a80c1429p-3, 0x1.c0fd31366e52ep-3, 0x1.bf99b6f0f8db5p-3, 0x1.be1fbb451585ep-3, 0x1.bc8ffb2dbb68p-3, 0x1.baeb1a8ea32ap-3, 0x1.b931fcd2a990cp-3, 0x1.b76541c2d080cp-3, 0x1.b5859b1a12db7p-3, 0x1.b393b799d3782p-3, 0x1.b19042fef0dc5p-3, 0x1.af7be5f8bf615p-3, 0x1.ad574621d0442p-3, 0x1.ab2305fa5e09fp-3, 0x1.a8dfc4e44d83fp-3, 0x1.a68e1f20a042cp-3, 0x1.a42eadce3d34bp-3, 0x1.a1c206ea007aap-3, 0x1.9f48bd4ff3ab8p-3, 0x1.9cc360bd95023p-3, 0x1.9a327dd528303p-3, 0x1.97969e21e3f8dp-3, 0x1.94f0481cfe564p-3, 0x1.923fff3375bcep-3, 0x1.8f8643cc9153ap-3, 0x1.8cc39350fdbe8p-3, 0x1.89f868327bed6p-3, 0x1.872539f414bc2p-3, 0x1.844a7d32bfce2p-3, 0x1.8168a3ae769aap-3, 0x1.7e801c53a4b5cp-3, 0x1.7b915344e9071p-3, 0x1.789cb1e528ccdp-3, 0x1.75a29ee1daeb4p-3, 0x1.72a37e3d91afep-3, 0x1.6f9fb15ab6b75p-3, 0x1.6c9797066921fp-3, 0x1.698b8b838b47bp-3, 0x1.667be895dbdb6p-3, 0x1.6369058d37848p-3, 0x1.60533750da78ap-3, 0x1.5d3ad06ab812bp-3, 0x1.5a202112ce043p-3, 0x1.5703773a81334p-3, 0x1.53e51e97ed674p-3, 0x1.50c560b12d0abp-3, 0x1.4da484e798212p-3, 0x1.4a82d082e4745p-3, 0x1.476086bc3c139p-3, 0x1.443de8c934294p-3, 0x1.411b35e6a2637p-3, 0x1.3df8ab6357179p-3, 0x1.3ad684aab5186p-3, 0x1.37b4fb4f1f536p-3, 0x1.349447144500dp-3, 0x1.31749df940f86p-3, 0x1.2e56344294137p-3, 0x1.2b393c83f5576p-3, 0x1.281de7a9f6249p-3, 0x1.250465037fb15p-3, 0x1.21ece24b280edp-3, 0x1.1ed78bb055ecp-3, 0x1.1bc48be049f49p-3, 0x1.18b40c0ef369fp-3, 0x1.15a633ffa34ecp-3, 0x1.129b2a0d963afp-3, 0x1.0f9313345b013p-3, 0x1.0c8e13180f1b2p-3, 0x1.098c4c0d7461cp-3, 0x1.068ddf21e4781p-3, 0x1.0392ec2319fcdp-3, 0x1.009b91a6d76e5p-3, 0x1.fb4fda24cb302p-4, 0x1.f5703543d85aep-4, 0x1.ef986adf4ca88p-4, 0x1.e9c8aef5dd717p-4, 0x1.e401335e50e51p-4, 0x1.de4227d4fd24ap-4, 0x1.d88bba090646dp-4, 0x1.d2de15a94d313p-4, 0x1.cd39647112cc7p-4, 0x1.c79dce34585e4p-4, 0x1.c20b78ebf43e5p-4, 0x1.bc8288c15e6aap-4, 0x1.b703201a44cf9p-4, 0x1.b18d5fa3cb1f6p-4, 0x1.ac21665d8ed96p-4, 0x1.a6bf51a474c78p-4, 0x1.a1673d3d258fcp-4, 0x1.9c19435e5741p-4, 0x1.96d57cbae408bp-4, 0x1.919c008b8bef8p-4, 0x1.8c6ce4989a70fp-4, 0x1.87483d4345002p-4, 0x1.822e1d8ed8a47p-4, 0x1.7d1e9729b3dddp-4, 0x1.7819ba760f199p-4, 0x1.731f96929304ap-4, 0x1.6e303962c11fap-4, 0x1.694baf972e96p-4, 0x1.647204b591b21p-4, 0x1.5fa34320a6ad5p-4, 0x1.5adf741fe885fp-4, 0x1.56269fe7218afp-4, 0x1.5178cd9dd616p-4, 0x1.4cd6036686ce4p-4, 0x1.483e4665cdfa5p-4, 0x1.43b19ac958676p-4, 0x1.3f3003ceb95ecp-4, 0x1.3ab983ca1c20bp-4, 0x1.364e1c2cd22f9p-4, 0x1.31edcd8bbfa7ap-4, 0x1.2d9897a5a6294p-4, 0x1.294e79694e29fp-4, 0x1.250f70fb91a8bp-4, 0x1.20db7bbd43e07p-4, 0x1.1cb29650fd017p-4, 0x1.1894bca0c4512p-4, 0x1.1481e9e39d701p-4, 0x1.107a18a2f6d61p-4, 0x1.0c7d42bffb1b1p-4, 0x1.088b6178c646fp-4, 0x1.04a46d6d7d931p-4, 0x1.00c85ea54be7ap-4, 0x1.f9ee592687eabp-5, 0x1.f2619c364cad7p-5, 0x1.eaea732c1f2dfp-5, 0x1.e388c9ae14db1p-5, 0x1.dc3c8a5f1743fp-5, 0x1.d5059ee7a8db5p-5, 0x1.cde3effe7a95p-5, 0x1.c6d76570d52eap-5, 0x1.bfdfe62ad3accp-5, 0x1.b8fd583f739fp-5, 0x1.b22fa0f079699p-5, 0x1.ab76a4b62d80cp-5, 0x1.a4d24746ec9aep-5, 0x1.9e426b9e94b35p-5, 0x1.97c6f405c93d6p-5, 0x1.915fc2191156ep-5, 0x1.8b0cb6cfd1637p-5, 0x1.84cdb2831fb6ap-5, 0x1.7ea294f476c27p-5, 0x1.788b3d544362dp-5, 0x1.72878a4850addp-5, 0x1.6c9759f213bfcp-5, 0x1.66ba89f4d3a36p-5, 0x1.60f0f77bb4064p-5, 0x1.5b3a7f3f9b563p-5, 0x1.5596fd8cfe7a7p-5, 0x1.50064e4988aa1p-5, 0x1.4a884cf9a7d0ap-5, 0x1.451cd4c5f83ap-5, 0x1.3fc3c08093bebp-5, 0x1.3a7ceaaa4307ap-5, 0x1.35482d7790eap-5, 0x1.302562d5c08f6p-5, 0x1.2b14646fa9ee4p-5, 0x1.26150bb27589dp-5, 0x1.212731d240f95p-5, 0x1.1c4aafcea3c4cp-5, 0x1.177f5e771c54cp-5, 0x1.12c5166f60626p-5, 0x1.0e1bb03392a9cp-5, 0x1.0983041c60559p-5, 0x1.04faea6303532p-5, 0x1.00833b25298eep-5, 0x1.f8379cd190453p-6, 0x1.ef88f83f9db29p-6, 0x1.e6fa38579653bp-6, 0x1.de8b0cc2d7c1fp-6, 0x1.d63b2517e4ff1p-6, 0x1.ce0a68692b2afp-6, 0x1.c5f8167077ce5p-6, 0x1.be0416cb55a82p-6, 0x1.b62e19036eb12p-6, 0x1.ae75ccaf0e53dp-6, 0x1.a6dae176f5f1ap-6, 0x1.9f5d071c1109cp-6, 0x1.97fbed7cfd0afp-6, 0x1.90b7449b66ec5p-6, 0x1.898ebca147b4p-6, 0x1.828205e5f6105p-6, 0x1.7b90d0f3135a1p-6, 0x1.74bace89534aap-6, 0x1.6dffafa51e66fp-6, 0x1.675f258314bfep-6, 0x1.60d8e1a463a8ep-6, 0x1.5a6c95d30436dp-6, 0x1.5419f425cf853p-6, 0x1.4de0af0473519p-6, 0x1.47c0792b46384p-6, 0x1.41b905aefc461p-6, 0x1.3bca080037a76p-6, 0x1.35f333eeff4d5p-6, 0x1.30343dae12642p-6, 0x1.2a8cd9d61d875p-6, 0x1.24fcbd68d8086p-6, 0x1.1f839dd3f9ce4p-6, 0x1.1a2130f41e347p-6, 0x1.14d52d1783baep-6, 0x1.0f9f4900b314fp-6, 0x1.0a7f3be90b7adp-6, 0x1.0574bd8330b91p-6, 0x1.007f85fd636f1p-6, 0x1.f73e9c0774afbp-7, 0x1.eda79d848cecp-7, 0x1.e43983ce36348p-7, 0x1.daf3c3487eca4p-7, 0x1.d1d5d1630b7fp-7, 0x1.c8df249c9b053p-7, 0x1.c00f3486552d5p-7, 0x1.b76579c6f152cp-7, 0x1.aee16e1dab871p-7, 0x1.a6828c6510ec5p-7, 0x1.9e48509599652p-7, 0x1.963237c8224f1p-7, 0x1.8e3fc03830f05p-7, 0x1.8670694615f07p-7, 0x1.7ec3b378e0f5fp-7, 0x1.7739208033e64p-7, 0x1.6fd03335e0aa7p-7, 0x1.68886f9f733f8p-7, 0x1.61615aef864c7p-7, 0x1.5a5a7b86f759p-7, 0x1.537358f5f7d5cp-7, 0x1.4cab7bfcf8242p-7, 0x1.46026e8d71439p-7, 0x1.3f77bbca899f8p-7, 0x1.390af0099815fp-7, 0x1.32bb98d287bfep-7, 0x1.2c8944e019aafp-7, 0x1.26738420082c6p-7, 0x1.2079e7b308498p-7, 0x1.1a9c01ecb1eeep-7, 0x1.14d9665345883p-7, 0x1.0f31a99f588b3p-7, 0x1.09a461bb6528fp-7, 0x1.043125c33db4cp-7, 0x1.fdaf1c06d03d6p-8, 0x1.f32e67f0bcd0cp-8, 0x1.e8df649b6e11bp-8, 0x1.dec149ba6eb7cp-8, 0x1.d4d3515b97382p-8, 0x1.cb14b7e4d96a2p-8, 0x1.c184bc11df6a6p-8, 0x1.b8229ef1811ep-8, 0x1.aeeda3e315f5ep-8, 0x1.a5e51093a06acp-8, 0x1.9d082cfad841ep-8, 0x1.94564358127b2p-8, 0x1.8bcea02f0b68cp-8, 0x1.837092449579bp-8, 0x1.7b3b6a9b27a5p-8, 0x1.732e7c6f56716p-8, 0x1.6b491d34359f6p-8, 0x1.638aa48fa2bf5p-8, 0x1.5bf26c5679d24p-8, 0x1.547fd088bb90cp-8, 0x1.4d322f4d9e4c4p-8, 0x1.4608e8ef926efp-8, 0x1.3f035fd83ae06p-8, 0x1.3820f88c54872p-8, 0x1.316119a79798dp-8, 0x1.2ac32bd88b67bp-8, 0x1.244699dc58c7ap-8, 0x1.1dead07a8dd07p-8, 0x1.17af3e80e2c01p-8, 0x1.119354bef4bbp-8, 0x1.0b96860204357p-8, 0x1.05b84710a7d1bp-8, 0x1.fff01d4d0c914p-9, 0x1.f4aaaae013b06p-9, 0x1.e99f2c0c2a357p-9, 0x1.decc99d3728c8p-9, 0x1.d431f0ffd7276p-9, 0x1.c9ce321a7a5d3p-9, 0x1.bfa0616325b9bp-9, 0x1.b5a786c7c09e1p-9, 0x1.abe2addbcda32p-9, 0x1.a250e5cfde69bp-9, 0x1.98f141691a8eap-9, 0x1.8fc2d6f8c4eedp-9, 0x1.86c4c053c0eafp-9, 0x1.7df61aca1efccp-9, 0x1.7556071eaa6cbp-9, 0x1.6ce3a97e78b7dp-9, 0x1.649e29787985cp-9, 0x1.5c84b1f50bafdp-9, 0x1.5496712d89d66p-9, 0x1.4cd298a3dc072p-9, 0x1.45385d1a0b13ep-9, 0x1.3dc6f689c275bp-9, 0x1.367da01bde025p-9, 0x1.2f5b981fea1f4p-9, 0x1.28602003a5a49p-9, 0x1.218a7c4a73fd2p-9, 0x1.1ad9f484d2a71p-9, 0x1.144dd347bef1p-9, 0x1.0de566241b27ap-9, 0x1.079ffd9e05affp-9, 0x1.017ced242ba0bp-9, 0x1.f6f7160e1cd22p-10, 0x1.eb3660e08e6efp-10, 0x1.dfb672b37658bp-10, 0x1.d476090994f92p-10, 0x1.c973e6e2e7827p-10, 0x1.beaed4aaed6eap-10, 0x1.b425a026d0b8bp-10, 0x1.a9d71c6385145p-10, 0x1.9fc221a3e3c4dp-10, 0x1.95e58d4eb0eefp-10, 0x1.8c4041dca44c4p-10, 0x1.82d126c6669b7p-10, 0x1.7997287290314p-10, 0x1.70913823a428ap-10, 0x1.67be4be60a72dp-10, 0x1.5f1d5e7e1e2bp-10, 0x1.56ad6f563769dp-10, 0x1.4e6d826cc05abp-10, 0x1.465ca0425fb5bp-10, 0x1.3e79d5c8389dap-10, 0x1.36c4344e325ffp-10, 0x1.2f3ad171643bep-10, 0x1.27dcc70a99eeep-10, 0x1.20a9331cfa076p-10, 0x1.199f37c4c4fd9p-10, 0x1.12bdfb264a561p-10, 0x1.0c04a75cefc99p-10, 0x1.05726a6a7a9f2p-10, 0x1.fe0cec4d01ffbp-11, 0x1.f180005bf1922p-11, 0x1.e53c83a62dc01p-11, 0x1.d940f01aa0242p-11, 0x1.cd8bc6d339e5ep-11, 0x1.c21b8ff5e6322p-11, 0x1.b6eeda95f565fp-11, 0x1.ac043c96073ap-11, 0x1.a15a528a73413p-11, 0x1.96efbf9c3608fp-11, 0x1.8cc32d6c5592p-11, 0x1.82d34bf7e44fep-11, 0x1.791ed17c7532cp-11, 0x1.6fa47a5d23a2bp-11, 0x1.66630908254aap-11, 0x1.5d5945dcdce9fp-11, 0x1.5485ff1298bd1p-11, 0x1.4be8089f98475p-11, 0x1.437e3c20e1babp-11, 0x1.3b4778c27919dp-11, 0x1.3342a32815e79p-11, 0x1.2b6ea5568024fp-11, 0x1.23ca6e9d48487p-11, 0x1.1c54f3810e32dp-11, 0x1.150d2da63d74bp-11, 0x1.0df21bbc45a85p-11, 0x1.0702c16935317p-11, 0x1.003e2735d578cp-11, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.cb21c9d23bed1p-1, -0x1.bc15e27f91708p-1, -0x1.afc44beab41f9p-1, -0x1.a5ed0d47c3befp-1, -0x1.9e4108b31d217p-1, -0x1.9869449b30a55p-1, -0x1.940ccb47f6462p-1, -0x1.90d52e6608076p-1, -0x1.8e71cb4af796bp-1, -0x1.8c99f350ffdcdp-1, -0x1.8b0e2b7e5a4ffp-1, -0x1.8998b76ca9fb1p-1, -0x1.880d98abfc29fp-1, -0x1.864a253724c28p-1, -0x1.843455f267b71p-1, -0x1.81b9eba2b55d9p-1, -0x1.7ecf7fa7dc2fcp-1, -0x1.7b6f8c1b7dbf5p-1, -0x1.779974d6273cbp-1, -0x1.73509bfb3dc1fp-1, -0x1.6e9b8a38c7788p-1, -0x1.69832dbdad4a2p-1, -0x1.641230ce73e73p-1, -0x1.5e546856eb944p-1, -0x1.58564f79a671ap-1, -0x1.52249fc0b71eep-1, -0x1.4bcbfc3a838fp-1, -0x1.4558aec2f55f2p-1, -0x1.3ed674a2610cep-1, -0x1.385057fe26d6p-1, -0x1.31d094280afp-1, -0x1.2b608338163afp-1, -0x1.25089395d2d57p-1, -0x1.1ed044436f29cp-1, -0x1.18be26c4eb509p-1, -0x1.12d7e564e091cp-1, -0x1.0d224c9e4a5c4p-1, -0x1.07a156ad9c55ap-1, -0x1.0258388c5731bp-1, -0x1.fa92df7c9ae91p-2, -0x1.f0eda0e85e76bp-2, -0x1.e7c3276deac64p-2, -0x1.df14cb0712f65p-2, -0x1.d6e2e5a0d48e5p-2, -0x1.cf2ceebf7b851p-2, -0x1.c7f1963c802f1p-2, -0x1.c12edd8e7b02fp-2, -0x1.bae22f3dad64fp-2, -0x1.b5087472b3e4ep-2, -0x1.af9e28be3befbp-2, -0x1.aa9f6c3f69e1p-2, -0x1.a608143df0808p-2, -0x1.a1d3ba41447dcp-2, -0x1.9dfdc9b4d08bep-2, -0x1.9a818c39e1c11p-2, -0x1.975a34d247b37p-2, -0x1.9482ea083a008p-2, -0x1.91f6cf247a53p-2, -0x1.8fb10c6f19114p-2, -0x1.8dacd66dc412ep-2, -0x1.8be57417b8b4ap-2, -0x1.8a564406f3de2p-2, -0x1.88fac0bf2b756p-2, -0x1.87ce85fb7a5a1p-2, -0x1.86cd4fc9fe86ep-2, -0x1.85f2fc93673adp-2, -0x1.853b9308083afp-2, -0x1.84a3425100315p-2, -0x1.8426635121fc7p-2, -0x1.83c17982332acp-2, -0x1.837133761802ep-2, -0x1.83326b0438086p-2, -0x1.8302252c268f5p-2, -0x1.82dd91b72dd5fp-2, -0x1.82c20aa2ddbb1p-2, -0x1.82ad135eb50aap-2, -0x1.829c57e6715dep-2, -0x1.828dabc137dfap-2, -0x1.827f08ec0b4b7p-2, -0x1.826e8eb4248f5p-2, -0x1.825a808453577p-2, -0x1.824144a798253p-2, -0x1.82216302c4dc4p-2, -0x1.81f983c6c9fc3p-2, -0x1.81c86e1d4a6bfp-2, -0x1.818d06d0f407fp-2, -0x1.81464ef2ffdffp-2, -0x1.80f3627f4e362p-2, -0x1.80937700ac46bp-2, -0x1.8025da3730dd1p-2, -0x1.7fa9f0c2d1f2bp-2, -0x1.7f1f34d480af3p-2, -0x1.7e8534e7e3e84p-2, -0x1.7ddb92876489ap-2, -0x1.7d22011ba39c4p-2, -0x1.7c5844c6daca2p-2, -0x1.7b7e314c22f78p-2, -0x1.7a93a9025be6ep-2, -0x1.79989bd24843dp-2, -0x1.788d063f8701dp-2, -0x1.7770f07c23afp-2, -0x1.76446d869697cp-2, -0x1.75079a520a10bp-2, -0x1.73ba9cf8bea51p-2, -0x1.725da3f84f436p-2, -0x1.70f0e5778a356p-2, -0x1.6f749e958285cp-2, -0x1.6de912c18c6d4p-2, -0x1.6c4e8b1bd2168p-2, -0x1.6aa555de4aa22p-2, -0x1.68edc5cdf7437p-2, -0x1.672831b4481ep-2, -0x1.6554f3e09f372p-2, -0x1.637469b1de918p-2, -0x1.6186f327e2a9fp-2, -0x1.5f8cf27cb48e5p-2, -0x1.5d86cbc530b5p-2, -0x1.5b74e498c0819p-2, -0x1.5957a3bfc857ep-2, -0x1.572f70e8488p-2, -0x1.54fcb4604c23cp-2, -0x1.52bfd6d5a7bcp-2, -0x1.5079411aab728p-2, -0x1.4e295bef5e99ep-2, -0x1.4bd08fcefd6bap-2, -0x1.496f44c169727p-2, -0x1.4705e2305292p-2, -0x1.4494cebfdcdcdp-2, -0x1.421c702a957ap-2, -0x1.3f9d2b2080f3dp-2, -0x1.3d1763291d8c3p-2, -0x1.3a8b7a882692dp-2, -0x1.37f9d224f3cbep-2, -0x1.3562c9744d517p-2, -0x1.32c6be6489b7bp-2, -0x1.30260d4bd88bp-2, -0x1.2d8110d8974b9p-2, -0x1.2ad822038db62p-2, -0x1.282b9803ffc34p-2, -0x1.257bc845706aep-2, -0x1.22c9065f04e6cp-2, -0x1.2013a40c6e102p-2, -0x1.1d5bf128416aap-2, -0x1.1aa23ba7a8caep-2, -0x1.17e6cf975852bp-2, -0x1.1529f719ad4bdp-2, -0x1.126bfa65df726p-2, -0x1.0fad201c92576p-2, -0x1.0cedab602e633p-2, -0x1.0a2ddf8da5044p-2, -0x1.076dfd4003681p-2, -0x1.04ae433038cb6p-2, -0x1.01eeee38b1a0fp-2, -0x1.fe6072b2fee97p-3, -0x1.f8e4bb7a16b13p-3, -0x1.f36b257a700f3p-3, -0x1.edf41bd1ebe2bp-3, -0x1.e88006146c8acp-3, -0x1.e30f4858615a6p-3, -0x1.dda24343ef7f7p-3, -0x1.d839541a9d191p-3, -0x1.d2d4d4cb6ea6dp-3, -0x1.cd751bff5ff2cp-3, -0x1.c81a7d2837953p-3, -0x1.c2c5488f95674p-3, -0x1.bd75cb66412bbp-3, -0x1.b82c4fd39c66fp-3, -0x1.b2e91d0538478p-3, -0x1.adac773e87b42p-3, -0x1.a8769fe89b06fp-3, -0x1.a347d5a1e656bp-3, -0x1.9e20544e0b44cp-3, -0x1.990055259ca3p-3, -0x1.93e80ec5da2eep-3, -0x1.8ed7b5405d586p-3, -0x1.89cf7a2ab1ce2p-3, -0x1.84cf8caddd52dp-3, -0x1.7fd81995c625fp-3, -0x1.7ae94b60828dap-3, -0x1.76034a4d81ad1p-3, -0x1.71263c6c920cp-3, -0x1.6c5245acc24cdp-3, -0x1.678787eb0c391p-3, -0x1.62c62300e024ep-3, -0x1.5e0e34d26f3a7p-3, -0x1.595fd95cc5646p-3, -0x1.54bb2ac3b0343p-3, -0x1.5020415f5e88dp-3, -0x1.4b8f33c9cc4f9p-3, -0x1.470816ebe5436p-3, -0x1.428afe0a71229p-3, -0x1.3e17fad2ae16fp-3, -0x1.39af1d66b495p-3, -0x1.355074698f956p-3, -0x1.30fc0d0b11f4cp-3, -0x1.2cb1f31369dafp-3, -0x1.287230ee6dc46p-3, -0x1.243ccfb6abf7fp-3, -0x1.2011d74035618p-3, -0x1.1bf14e2329f8ap-3, -0x1.17db39c605d1dp-3, -0x1.13cf9e67b3415p-3, -0x1.0fce7f29620e9p-3, -0x1.0bd7de181f526p-3, -0x1.07ebbc363a517p-3, -0x1.040a19846e671p-3, -0x1.0032f50ad5861p-3, -0x1.f8cc99c3512b9p-4, -0x1.f1483c738b843p-4, -0x1.e9d8caca10584p-4, -0x1.e27e3bbccb1abp-4, -0x1.db3884a3c1822p-4, -0x1.d40799488d4b1p-4, -0x1.cceb6bf56ff21p-4, -0x1.c5e3ed840af25p-4, -0x1.bef10d6bb3be9p-4, -0x1.b812b9cf6a7c6p-4, -0x1.b148df8b7a8bfp-4, -0x1.aa936a42ac3b5p-4, -0x1.a3f2446b274f2p-4, -0x1.9d65575b02dcdp-4, -0x1.96ec8b546ae2dp-4, -0x1.9087c79177f1dp-4, -0x1.8a36f24fb4ae6p-4, -0x1.83f9f0db477dap-4, -0x1.7dd0a799cdbbfp-4, -0x1.77bafa14e525bp-4, -0x1.71b8cb0466437p-4, -0x1.6bc9fc58519a6p-4, -0x1.65ee6f4271924p-4, -0x1.6026043fb277bp-4, -0x1.5a709b2134205p-4, -0x1.54ce1315163e7p-4, -0x1.4f3e4aaf00461p-4, -0x1.49c11ff06a29dp-4, -0x1.44567050a3d36p-4, -0x1.3efe18c4a2e88p-4, -0x1.39b7f5c69194bp-4, -0x1.3483e35d28055p-4, -0x1.2f61bd22cc5eap-4, -0x1.2a515e4c7e719p-4, -0x1.2552a1b08eaa3p-4, -0x1.206561cd2524ep-4, -0x1.1b8978ce95648p-4, -0x1.16bec09584a5cp-4, -0x1.120512bce247bp-4, -0x1.0d5c489fb1f03p-4, -0x1.08c43b5eac2b9p-4, -0x1.043cc3e5b2b75p-4, -0x1.ff8b75e23907ap-5, -0x1.f6bdf225ae9f5p-5, -0x1.ee10ad6ec73c2p-5, -0x1.e58358554df6bp-5, -0x1.dd15a33933aep-5, -0x1.d4c73e4b9ebcp-5, -0x1.cc97d997af04fp-5, -0x1.c487250afa99ap-5, -0x1.bc94d07dc4bp-5, -0x1.b4c08bbaede2fp-5, -0x1.ad0a06879ec7ap-5, -0x1.a570f0aab43cap-5, -0x1.9df4f9f3e55a2p-5, -0x1.9695d242acde2p-5, -0x1.8f53298cf451ap-5, -0x1.882cafe580332p-5, -0x1.8122158224e3cp-5, -0x1.7a330ac1bd4dbp-5, -0x1.735f4031ec697p-5, -0x1.6ca66694a8948p-5, -0x1.66082ee58faa6p-5, -0x1.5f844a5f08734p-5, -0x1.591a6a7f34394p-5, -0x1.52ca410cab3c1p-5, -0x1.4c93801b0d847p-5, -0x1.4675da0f65f9ep-5, -0x1.407101a45d9edp-5, -0x1.3a84a9ee48184p-5, -0x1.34b0865f0279p-5, -0x1.2ef44ac9abb26p-5, -0x1.294fab6634e8ap-5, -0x1.23c25cd4cb143p-5, -0x1.1e4c14211c64ap-5, -0x1.18ec86c5774a2p-5, -0x1.13a36aadc920dp-5, -0x1.0e70763a789d9p-5, -0x1.095360431ecf3p-5, -0x1.044be01922369p-5, -0x1.feb35b145ec89p-6, -0x1.f4f901c529781p-6, -0x1.eb6825defd1bbp-6, -0x1.e2003a0230e2ep-6, -0x1.d8c0b1d922281p-6, -0x1.cfa9021c02578p-6, -0x1.c6b8a09472e0bp-6, -0x1.bdef0420ebac2p-6, -0x1.b54ba4b7e9fa5p-6, -0x1.accdfb6af509bp-6, -0x1.a475826969bd3p-6, -0x1.9c41b5031d724p-6, -0x1.94320faacd785p-6, -0x1.8c460ff8639bep-6, -0x1.847d34ab0e5bdp-6, -0x1.7cd6fdab2f9afp-6, -0x1.7552ec0c1b775p-6, -0x1.6df0820db55abp-6, -0x1.66af431de21e7p-6, -0x1.5f8eb3d9d37b1p-6, -0x1.588e5a0f2c104p-6, -0x1.51adbcbcff894p-6, -0x1.4aec6414b47edp-6, -0x1.4449d97ab9509p-6, -0x1.3dc5a7871fa89p-6, -0x1.375f5a061367bp-6, -0x1.31167df8329bep-6, -0x1.2aeab5570ec85p-6, -0x1.24db67580bec5p-6, -0x1.1ee8390224feap-6, -0x1.1910bc281ad3p-6, -0x1.135483d0ed0b5p-6, -0x1.0db324378d645p-6, -0x1.082c32ca740b3p-6, -0x1.02bf462b2478bp-6, -0x1.fad7ec5b2ae38p-7, -0x1.f063b7af07d8ap-7, -0x1.e62122bf63172p-7, -0x1.dc0f645a1d68ap-7, -0x1.d22db5ab98p-7, -0x1.c87b523cbca28p-7, -0x1.bef777f0da2fdp-7, -0x1.b5a1670358599p-7, -0x1.ac78620554d64p-7, -0x1.a37baddb10bacp-7, -0x1.9aaa91b9474eap-7, -0x1.9204572264826p-7, -0x1.898849e3999e6p-7, -0x1.8135b811d463fp-7, -0x1.790bf206a6b34p-7, -0x1.710a4a5d01281p-7, -0x1.693015ede273dp-7, -0x1.617cabccea927p-7, -0x1.59ef6544d4a9ep-7, -0x1.52879dd3de9d6p-7, -0x1.4b44b32818b49p-7, -0x1.4426051ba18e3p-7, -0x1.3d2af5b0cdaa6p-7, -0x1.3652e90e43234p-7, -0x1.2f9d457afaef3p-7, -0x1.2909735a3a1e5p-7, -0x1.2296dd2774029p-7, -0x1.1c44ef7223567p-7, -0x1.161318d99333fp-7, -0x1.1000ca089ad17p-7, -0x1.0a0d75b14d236p-7, -0x1.043890889cd03p-7, -0x1.fd032283ecdb5p-8, -0x1.f1cfe1159ac01p-8, -0x1.e6d6520c45577p-8, -0x1.dc156e9001511p-8, -0x1.d18c33a1df0fap-8, -0x1.c739a212c4394p-8, -0x1.bd1cbe7a353d1p-8, -0x1.b334912d13966p-8, -0x1.a9802634503d3p-8, -0x1.9ffe8d4393ad1p-8, -0x1.96aed9afda18dp-8, -0x1.8d90226609fe1p-8, -0x1.84a181e181b5dp-8, -0x1.7be216229d247p-8, -0x1.735100a538987p-8, -0x1.6aed66572b7fdp-8, -0x1.62b66f8ec3656p-8, -0x1.5aab48013a6dp-8, -0x1.52cb1eb928777p-8, -0x1.4b15260cf87ep-8, -0x1.438893955ccecp-8, -0x1.3c24a023bf57dp-8, -0x1.34e887b8b943bp-8, -0x1.2dd3897a8855bp-8, -0x1.26e4e7ab8b97cp-8, -0x1.201be7a0c17p-8, -0x1.1977d1b84917ep-8, -0x1.12f7f14fed147p-8, -0x1.0c9b94bbb10f7p-8, -0x1.06620d3c68b2bp-8, -0x1.004aaef656acap-8, -0x1.f4a9a1cf9f4b6p-9, -0x1.e8ff99bfd7b25p-9, -0x1.dd95feea823e6p-9, -0x1.d26b8ff94bf1ep-9, -0x1.c77f1100031eap-9, -0x1.bccf4b6a4f989p-9, -0x1.b25b0de980dc7p-9, -0x1.a8212c627a9d1p-9, -0x1.9e207fdbbaa5bp-9, -0x1.9457e66b82c3ap-9, -0x1.8ac6432611e33p-9, -0x1.816a7e0c0be6p-9, -0x1.784383f8fbeecp-9, -0x1.6f504691f6c39p-9, -0x1.668fbc3465b8cp-9, -0x1.5e00dfe4ec10cp-9, -0x1.55a2b13e77b54p-9, -0x1.4d74346179e81p-9, -0x1.457471e33caa3p-9, -0x1.3da276bd676cap-9, -0x1.35fd543da7c84p-9, -0x1.2e841ff5822e2p-9, -0x1.2735f3aa5031p-9, -0x1.2011ed456125dp-9, -0x1.19172ec44b2e5p-9, -0x1.1244de295f2aap-9, -0x1.0b9a256c53d62p-9, -0x1.0516326b0b59cp-9, -0x1.fd706db52133bp-10, -0x1.f0fed07076b75p-10, -0x1.e4d5ff75f9e6ep-10, -0x1.d8f47489c29a4p-10, -0x1.cd58b0a95cb63p-10, -0x1.c2013bef7320bp-10, -0x1.b6eca577c503bp-10, -0x1.ac19834371c23p-10, -0x1.a186721daa41dp-10, -0x1.97321580905dcp-10, -0x1.8d1b177a9593ep-10, -0x1.83402894155e2p-10, -0x1.799fffb53afafp-10, -0x1.70395a0c510c1p-10, -0x1.670afaf4473fap-10, -0x1.5e13abdb9b0dep-10, -0x1.55523c2b7b031p-10, -0x1.4cc5812f4d1d5p-10, -0x1.446c55fc6b357p-10, -0x1.3c459b5a373a5p-10, -0x1.345037aa7e3b9p-10, -0x1.2c8b16d2063dcp-10, -0x1.24f52a2188242p-10, -0x1.1d8d683ed2233p-10, -0x1.1652cd0e46859p-10, -0x1.0f44599c8adb1p-10, -0x1.0861140883b7dp-10, -0x1.01a8076d90d95p-10, -0x1.f630879c097d6p-11, -0x1.e961bbfbcf60bp-11, -0x1.dce1df1bd8dc7p-11, -0x1.d0af2d6d5afa7p-11, -0x1.c4c7ec8841e5dp-11, -0x1.b92a6b02abc6dp-11, -0x1.add50048ae27bp-11, -0x1.a2c60c74c4af3p-11, -0x1.97fbf828a5a33p-11, -0x1.8d7534667e73ep-11, -0x1.83303a6ac0642p-11, -0x1.792b8b8650ba2p-11, -0x1.6f65b0f93c705p-11, -0x1.65dd3bcdd5f68p-11, -0x1.5c90c4b453867p-11, -0x1.537eebded91b5p-11, -0x1.4aa658de10b9ap-11, -0x1.4205ba7e0765p-11, -0x1.399bc6a3bce12p-11, -0x1.31673a2b0b448p-11, -0x1.2966d8c4ff226p-11, -0x1.21996cd6b48fdp-11, -0x1.19fdc758aea82p-11, -0x1.1292bfb6a37c7p-11, -0x1.0b5733afba679p-11, -0x1.044a07374f031p-11, -0x1.fad448ac4ac17p-12, -0x1.ed6cf6183f7c5p-12, -0x1.e05c0264cd39bp-12, -0x1.d39f64bc0d3dep-12, -0x1.c7351f8630da6p-12, -0x1.bb1b4030d923p-12, -0x1.af4fdef6ec493p-12, -0x1.a3d11ea9f33b1p-12, -0x1.989d2c7c13fc1p-12, -0x1.8db23fcb128dp-12, -0x1.830e99ec4b53cp-12, -0x1.78b085f998265p-12, -0x1.6e96589f27a12p-12, -0x1.64be6fea4006fp-12, -0x1.5b273318fc13fp-12, -0x1.51cf126acc2c7p-12, -0x1.48b486f222953p-12, -0x1.3fd61266cc28ep-12, -0x1.37323ef949c23p-12, -0x1.2ec79f27039eep-12, -0x1.2694cd8f53224p-12, -0x1.1e986cc9a9abbp-12, -0x1.16d1273c134c3p-12, -0x1.0f3daef2ffff8p-12, -0x1.07dcbd79bc153p-12, -0x1.00ad13b39a0b7p-12, -0x1.f35af36c45f0dp-13, -0x1.e5b97d47a8bc8p-13, -0x1.d873710f80262p-13, -0x1.cb868863c4365p-13, -0x1.bef08a286105dp-13, -0x1.b2af4a40c255bp-13, -0x1.a6c0a94cc03bcp-13, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.b6bf58de5227ap-1, 0x1.b34185ae17252p-1, 0x1.afa5ad57835d5p-1, 0x1.abed7724e6308p-1, 0x1.a81aeaf6a0ec7p-1, 0x1.a43059c6d3edap-1, 0x1.a03046b428a07p-1, 0x1.9c1d5181dc217p-1, 0x1.97fa232ace66bp-1, 0x1.93c95ce491f09p-1, 0x1.8f8d89bcd28c4p-1, 0x1.8b4912d52119ap-1, 0x1.86fe36256ad7ep-1, 0x1.82aeff9a364d8p-1, 0x1.7e5d44577c1cp-1, 0x1.7a0a9fe237ff9p-1, 0x1.75b872f014efap-1, 0x1.7167e39d14a83p-1, 0x1.6d19dec9a46b3p-1, 0x1.68cf1a67a9ebbp-1, 0x1.64881882132d7p-1, 0x1.60452acfeeaap-1, 0x1.5c0676a9b75b9p-1, 0x1.57cbf93d11b22p-1, 0x1.53958be08e0e7p-1, 0x1.4f62e86dfd0cap-1, 0x1.4b33ad8e78a2p-1, 0x1.470762e75d906p-1, 0x1.42dd7d1b1b01fp-1, 0x1.3eb56193f2989p-1, 0x1.3a8e6a1184aa3p-1, 0x1.3667e7f466a18p-1, 0x1.32412744f5f81p-1, 0x1.2e1971744da6bp-1, 0x1.29f00fd790d98p-1, 0x1.25c44dded95f7p-1, 0x1.21957b09f54e5p-1, 0x1.1d62ec9dba957p-1, 0x1.192bff1d3f8fp-1, 0x1.14f0178a8c036p-1, 0x1.10aea4729c3a6p-1, 0x1.0c671ec89d8cbp-1, 0x1.08190a9458055p-1, 0x1.03c3f777b1237p-1, 0x1.fecf021e2a801p-2, 0x1.f6069e60ed811p-2, 0x1.ed2e2c18d401ep-2, 0x1.e4452c695e021p-2, 0x1.db4b3916a494ep-2, 0x1.d240043a9594ep-2, 0x1.c92357d6a4a98p-2, 0x1.bff51546f4181p-2, 0x1.b6b5349b88214p-2, 0x1.ad63c3dbc33dap-2, 0x1.a400e637f7302p-2, 0x1.9a8cd32c81246p-2, 0x1.9107d599887d7p-2, 0x1.87724ad22da8bp-2, 0x1.7dcca1a59c8ddp-2, 0x1.741759643b473p-2, 0x1.6a5300e2dd514p-2, 0x1.6080357db0cc3p-2, 0x1.569fa21c61cd7p-2, 0x1.4cb1fe38b0dadp-2, 0x1.42b80ce8a106fp-2, 0x1.38b29bed1f4e4p-2, 0x1.2ea282c5f6bfep-2, 0x1.2488a1cbacb37p-2, 0x1.1a65e14fd4db6p-2, 0x1.103b30c446c2fp-2, 0x1.060985e98a091p-2, 0x1.f7a3b8096cf5ap-3, 0x1.e32a6639f7e5bp-3, 0x1.cea91e81c80bep-3, 0x1.ba21efa6cfc08p-3, 0x1.a596edc1a8559p-3, 0x1.910a30f6e7df9p-3, 0x1.7c7dd43fee1d8p-3, 0x1.67f3f442e302bp-3, 0x1.536eae39ba06p-3, 0x1.3ef01ee7e7887p-3, 0x1.2a7a619e74c1ep-3, 0x1.160f8f4e1b1fdp-3, 0x1.01b1bda70f206p-3, 0x1.dac5fc8c0d198p-4, 0x1.b24abbdc3ef56p-4, 0x1.89f5c79e898b4p-4, 0x1.61cb21b11d371p-4, 0x1.39cebe2ca25d4p-4, 0x1.12048236b2122p-4, 0x1.d4e085d3d26c7p-5, 0x1.862b88a581f84p-5, 0x1.37f17100b26d3p-5, 0x1.d472faa1b307ep-6, 0x1.3a15897696366p-6, 0x1.41b0d6bc594edp-7, 0x1.192525a7bd508p-11, -0x1.1c16155a1b6a8p-7, -0x1.23975645c1124p-6, -0x1.b7cf3a19bc63cp-6, -0x1.2553495c890c6p-5, -0x1.6e08cd1e57425p-5, -0x1.b60274c46b434p-5, -0x1.fd3abcaf6f4fp-5, -0x1.21d628d01d2e6p-4, -0x1.44a90889b0d8cp-4, -0x1.671384c3e5525p-4, -0x1.89133d58a5ebep-4, -0x1.aaa5eacc30c5ep-4, -0x1.cbc95e53f824cp-4, -0x1.ec7b81d4fc0d5p-4, -0x1.065d2bed107ep-3, -0x1.1641fdc16f27cp-3, -0x1.25eb50356036ep-3, -0x1.355849450b1fbp-3, -0x1.44881b0823747p-3, -0x1.537a039c04e77p-3, -0x1.622d4d0afe062p-3, -0x1.70a14d30f2222p-3, -0x1.7ed5659d775b4p-3, -0x1.8cc903739da5ap-3, -0x1.9a7b9f4783bdap-3, -0x1.a7ecbcf9e8a8ap-3, -0x1.b51beb91c9979p-3, -0x1.c208c51447fb2p-3, -0x1.ceb2ee5ae339cp-3, -0x1.db1a16e836679p-3, -0x1.e73df8bb48f4bp-3, -0x1.f31e5821a1d1bp-3, -0x1.febb038825d5cp-3, -0x1.0509e9a577217p-2, -0x1.0a9454c211dc4p-2, -0x1.0ffcb8ecfe2f4p-2, -0x1.154310a5fbd5p-2, -0x1.1a675affb359dp-2, -0x1.1f699b85af818p-2, -0x1.2449da221444ep-2, -0x1.290823031b502p-2, -0x1.2da486806649p-2, -0x1.321f1900282ep-2, -0x1.3677f2dc3370ep-2, -0x1.3aaf3046f2847p-2, -0x1.3ec4f13055dbep-2, -0x1.42b9592abbc23p-2, -0x1.468c8f4fd9f3cp-2, -0x1.4a3ebe25b2a72p-2, -0x1.4dd0138397a94p-2, -0x1.5140c07743e6fp-2, -0x1.5490f92a118d7p-2, -0x1.57c0f4c65126fp-2, -0x1.5ad0ed5cc7db7p-2, -0x1.5dc11fca5afebp-2, -0x1.6091cb9de9ccp-2, -0x1.634332fe5f6d5p-2, -0x1.65d59a90fdbeap-2, -0x1.6849495fe4527p-2, -0x1.6a9e88c0da4f7p-2, -0x1.6cd5a43c5eacap-2, -0x1.6eeee974fdeb3p-2, -0x1.70eaa80ef5a83p-2, -0x1.72c9319826779p-2, -0x1.748ad97055ca9p-2, -0x1.762ff4b1c5284p-2, -0x1.77b8da1a1e487p-2, -0x1.7925e1f3b9575p-2, -0x1.7a7765ff39dcfp-2, -0x1.7badc15d8e9a3p-2, -0x1.7cc9507a45d67p-2, -0x1.7dca70f64b3bp-2, -0x1.7eb18192fd343p-2, -0x1.7f7ee21dac4ffp-2, -0x1.8032f35b7769ep-2, -0x1.80ce16f58fa1bp-2, -0x1.8150af65ded65p-2, -0x1.81bb1fe417ae5p-2, -0x1.820dcc5325108p-2, -0x1.8249192f06aecp-2, -0x1.826d6b7b1167p-2, -0x1.827b28b0976f1p-2, -0x1.8272b6adf6fa3p-2, -0x1.82547ba6126c5p-2, -0x1.8220de102db4dp-2, -0x1.81d8449834558p-2, -0x1.817b160f65028p-2, -0x1.8109b95d65edfp-2, -0x1.80849571be3bap-2, -0x1.7fec1135b49c6p-2, -0x1.7f40937e94d39p-2, -0x1.7e82830059122p-2, -0x1.7db24640b8092p-2, -0x1.7cd0438a95f11p-2, -0x1.7bdce0e1d6c34p-2, -0x1.7ad883f7967c3p-2, -0x1.79c3921ebd49ap-2, -0x1.789e7040f71d3p-2, -0x1.776982d408edap-2, -0x1.76252dcf82c3ap-2, -0x1.74d1d4a2d2f9bp-2, -0x1.736fda2baf3e9p-2, -0x1.71ffa0acdd78ep-2, -0x1.708189c552ddcp-2, -0x1.6ef5f667ae82bp-2, -0x1.6d5d46d2062d5p-2, -0x1.6bb7da860f0eep-2, -0x1.6a0610419538ep-2, -0x1.684845f74b084p-2, -0x1.667ed8c7e7ba6p-2, -0x1.64aa24fb960d5p-2, -0x1.62ca85fbb670bp-2, -0x1.60e0564ce8759p-2, -0x1.5eebef8966edbp-2, -0x1.5cedaa5babbacp-2, -0x1.5ae5de795d808p-2, -0x1.58d4e29e8578p-2, -0x1.56bb0c890f968p-2, -0x1.5498b0f489988p-2, -0x1.526e23962c60bp-2, -0x1.503bb719243b5p-2, -0x1.4e01bd1b1aa91p-2, -0x1.4bc0862901b28p-2, -0x1.497861bc1b0b2p-2, -0x1.47299e373d37ep-2, -0x1.44d488e455674p-2, -0x1.42796df21f61ap-2, -0x1.401898721b7d1p-2, -0x1.3db25256b6439p-2, -0x1.3b46e471aa274p-2, -0x1.38d696729278cp-2, -0x1.3661aee5b4764p-2, -0x1.33e87332f5363p-2, -0x1.316b279d05ab1p-2, -0x1.2eea0f40b9506p-2, -0x1.2c656c148b76p-2, -0x1.29dd7ee85248ap-2, -0x1.27528765197p-2, -0x1.24c4c40d2a6a1p-2, -0x1.2234723c3ab8cp-2, -0x1.1fa1ce27bfe2ap-2, -0x1.1d0d12df6d3cp-2, -0x1.1a767a4dd31cp-2, -0x1.17de3d3921b26p-2, -0x1.154493440f0bcp-2, -0x1.12a9b2eede12bp-2, -0x1.100dd19884ca3p-2, -0x1.0d71237feffffp-2, -0x1.0ad3dbc56719ep-2, -0x1.08362c6c0b27bp-2, -0x1.0598465b6e95fp-2, -0x1.02fa59614cfc3p-2, -0x1.005c943355d41p-2, -0x1.fb7e48e225cbep-3, -0x1.f6446d4bc9662p-3, -0x1.f10bec962c5d4p-3, -0x1.ebd51b94033c7p-3, -0x1.e6a04cfca09c7p-3, -0x1.e16dd1708c4b7p-3, -0x1.dc3df77e47526p-3, -0x1.d7110ba734098p-3, -0x1.d1e758649890ep-3, -0x1.ccc1262cc2b5cp-3, -0x1.c79ebb784e25cp-3, -0x1.c2805cc77dfc2p-3, -0x1.bd664ca7b7bbcp-3, -0x1.b850cbb910c22p-3, -0x1.b34018b3f9a22p-3, -0x1.ae34706ef4ee9p-3, -0x1.a92e0de46daeep-3, -0x1.a42d2a3894dd2p-3, -0x1.9f31fcbf59482p-3, -0x1.9a3cbb0268404p-3, -0x1.954d98c74280ap-3, -0x1.9064c815565e4p-3, -0x1.8b82793c2f146p-3, -0x1.86a6dad9a6b3ap-3, -0x1.81d219e025439p-3, -0x1.7d04619ce6ed3p-3, -0x1.783ddbbe484dap-3, -0x1.737eb05a1ab41p-3, -0x1.6ec705f3fda61p-3, -0x1.6a170183b5c0cp-3, -0x1.656ec67b8fea6p-3, -0x1.60ce76cebe5b7p-3, -0x1.5c3632f7baefap-3, -0x1.57a619fea8945p-3, -0x1.531e497fb133dp-3, -0x1.4e9eddb164807p-3, -0x1.4a27f16b16c08p-3, -0x1.45b99e2b31872p-3, -0x1.4153fc1d8e19fp-3, -0x1.3cf72221c1c4p-3, -0x1.38a325d166a41p-3, -0x1.34581b865d712p-3, -0x1.301616610c9bdp-3, -0x1.2bdd284e915ccp-3, -0x1.27ad620eeb7bap-3, -0x1.2386d33b220d2p-3, -0x1.1f698a4b5cc15p-3, -0x1.1b55949cf0e1ap-3, -0x1.174afe786bab6p-3, -0x1.1349d31786ac8p-3, -0x1.0f521cab197cfp-3, -0x1.0b63e460ff27ap-3, -0x1.077f3269e676ep-3, -0x1.03a40dff2241p-3, -0x1.ffa4fad0c76e9p-4, -0x1.f8150c02d28b5p-4, -0x1.f098587f44065p-4, -0x1.e92ee76f7b905p-4, -0x1.e1d8be4671bdfp-4, -0x1.da95e0cb98df8p-4, -0x1.d3665125b1883p-4, -0x1.cc4a0fe57be65p-4, -0x1.c5411c1047ae5p-4, -0x1.be4b732a67e0bp-4, -0x1.b769114185224p-4, -0x1.b099f0f6d22cdp-4, -0x1.a9de0b89198bep-4, -0x1.a33558deb7ff4p-4, -0x1.9c9fcf8f6216fp-4, -0x1.961d64eddbbc1p-4, -0x1.8fae0d1182299p-4, -0x1.8951badfb90b1p-4, -0x1.8308601533b81p-4, -0x1.7cd1ed4f1e6bp-4, -0x1.76ae521422b38p-4, -0x1.709d7cdd4bb74p-4, -0x1.6a9f5b1ec7435p-4, -0x1.64b3d95083aecp-4, -0x1.5edae2f6ad043p-4, -0x1.591462aa0539cp-4, -0x1.536042201cbefp-4, -0x1.4dbe6a3365918p-4, -0x1.482ec2eb2620dp-4, -0x1.42b13383492eep-4, -0x1.3d45a27409a18p-4, -0x1.37ebf5797f2f8p-4, -0x1.32a4119b061ccp-4, -0x1.2d6ddb3286102p-4, -0x1.284935f3977d1p-4, -0x1.233604f285ddap-4, -0x1.1e342aab31e8p-4, -0x1.19438907d094ep-4, -0x1.146401678ad59p-4, -0x1.0f9574a4faa1bp-4, -0x1.0ad7c31c87a68p-4, -0x1.062accb2a397ap-4, -0x1.018e70d9e5f3dp-4, -0x1.fa051d320dc8dp-5, -0x1.f10e092178689p-5, -0x1.e8376202e73dfp-5, -0x1.df80e3a1e08b8p-5, -0x1.d6ea491f8f8c6p-5, -0x1.ce734cfd810eap-5, -0x1.c61ba928243d5p-5, -0x1.bde317010c16p-5, -0x1.b5c94f68f9462p-5, -0x1.adce0ac9a3a62p-5, -0x1.a5f1011f4cd0ap-5, -0x1.9e31ea021743bp-5, -0x1.96907caf22c01p-5, -0x1.8f0c70117387cp-5, -0x1.87a57aca9c639p-5, -0x1.805b533b3658dp-5, -0x1.792daf8b1d9ccp-5, -0x1.721c45b17a75bp-5, -0x1.6b26cb7c94a0ap-5, -0x1.644cf69970e22p-5, -0x1.5d8e7c9b3b933p-5, -0x1.56eb13027fcedp-5, -0x1.50626f442b9bap-5, -0x1.49f446d0616b3p-5, -0x1.43a04f191b278p-5, -0x1.3d663d98992dfp-5, -0x1.3745c7d7a49b5p-5, -0x1.313ea3739ffb5p-5, -0x1.2b5086246bfdap-5, -0x1.257b25c21bf63p-5, -0x1.1fbe384a80da1p-5, -0x1.1a1973e684bbcp-5, -0x1.148c8eef5cc38p-5, -0x1.0f173ff38fe08p-5, -0x1.09b93dbbd2e76p-5, -0x1.04723f4fbceecp-5, -0x1.fe83f7f4a17dep-6, -0x1.f450569cc1375p-6, -0x1.ea490a559497fp-6, -0x1.e06d837d1557dp-6, -0x1.d6bd33195c1d6p-6, -0x1.cd378ae035427p-6, -0x1.c3dbfd3e6bb69p-6, -0x1.baa9fd5ecccep-6, -0x1.b1a0ff30e7cfcp-6, -0x1.a8c0776f85bbep-6, -0x1.a007dba6e0555p-6, -0x1.9776a23a94352p-6, -0x1.8f0c426b58765p-6, -0x1.86c8345c6c7ddp-6, -0x1.7ea9f118d1b07p-6, -0x1.76b0f298446b3p-6, -0x1.6edcb3c3f70f5p-6, -0x1.672cb07b15768p-6, -0x1.5fa0659711841p-6, -0x1.583750efb27dbp-6, -0x1.50f0f15ef26e1p-6, -0x1.49ccc6c4a4a39p-6, -0x1.42ca5209e6b54p-6, -0x1.3be9152461ac9p-6, -0x1.3528931955016p-6, -0x1.2e88500078108p-6, -0x1.2807d106a2931p-6, -0x1.21a69c70507e3p-6, -0x1.1b64399bf2846p-6, -0x1.15403104118d5p-6, -0x1.0f3a0c414fb2fp-6, -0x1.0951560c3477cp-6, -0x1.03859a3ed7e9ep-6, -0x1.fbaccbacc2e37p-7, -0x1.f0868de8c9b27p-7, -0x1.e59799c028cd1p-7, -0x1.dadf100e9e269p-7, -0x1.d05c13ff1f9b1p-7, -0x1.c60dcb0d6c09ap-7, -0x1.bbf35d0754a7ep-7, -0x1.b20bf40dce095p-7, -0x1.a856bc95c06a8p-7, -0x1.9ed2e56893055p-7, -0x1.957f9fa47db19p-7, -0x1.8c5c1ebca943ep-7, -0x1.8367987908256p-7, -0x1.7aa144f604b32p-7, -0x1.72085ea3f4815p-7, -0x1.699c224658f41p-7, -0x1.615bcef2ed2ddp-7, -0x1.5946a61086f4dp-7, -0x1.515beb55c4edcp-7, -0x1.499ae4c7929e3p-7, -0x1.4202dab77d49p-7, -0x1.3a9317c1e5e41p-7, -0x1.334ae8cc001afp-7, -0x1.2c299d01b2381p-7, -0x1.252e85d34bf45p-7, -0x1.1e58f6f319409p-7, -0x1.17a84652d2032p-7, -0x1.111bcc20e7ea5p-7, -0x1.0ab2e2c5b4291p-7, -0x1.046ce6e085887p-7, -0x1.fc926e89218e8p-8, -0x1.f08e69eb88dp-8, -0x1.e4cc864b0021cp-8, -0x1.d94b8e5e66dd1p-8, -0x1.ce0a5129c2736p-8, -0x1.c307a1f719f78p-8, -0x1.b842584f1e6d8p-8, -0x1.adb94ff1abf9dp-8, -0x1.a36b68ce1ce73p-8, -0x1.995786fb78a57p-8, -0x1.8f7c92b07a877p-8, -0x1.85d9783b7672ep-8, -0x1.7c6d27fa1af04p-8, -0x1.7336965111bc6p-8, -0x1.6a34bba386bc8p-8, -0x1.6166944a8c53bp-8, -0x1.58cb208c6a9b2p-8, -0x1.50616493d2bd9p-8, -0x1.48286866fb3d8p-8, -0x1.401f37dea68f4p-8, -0x1.3844e29d1766dp-8, -0x1.30987c04ef5a1p-8, -0x1.29191b2ffe971p-8, -0x1.21c5dae6026f5p-8, -0x1.1a9dd9935810ap-8, -0x1.13a0393f9eea8p-8, -0x1.0ccc1f8451817p-8, -0x1.0620b58354f8cp-8, -0x1.ff3a4fbaf7e29p-9, -0x1.f2814d520c9fap-9, -0x1.e614cad02b826p-9, -0x1.d9f335fe423cp-9, -0x1.ce1b0356be295p-9, -0x1.c28aadf26236cp-9, -0x1.b740b77516937p-9, -0x1.ac3ba7fab0825p-9, -0x1.a17a0e03c3bd6p-9, -0x1.96fa7e626ad7p-9, -0x1.8cbb94271b6dep-9, -0x1.82bbf08d79d08p-9, -0x1.78fa3ae936c33p-9, -0x1.6f752092f406cp-9, -0x1.662b54d533024p-9, -0x1.5d1b90d950ee9p-9, -0x1.544493948ed4fp-9, -0x1.4ba521b527a03p-9, -0x1.433c058f76816p-9, -0x1.3b080f0b32b8dp-9, -0x1.33081390b580fp-9, -0x1.2b3aedf65dcfbp-9, -0x1.239f7e6e022a8p-9, -0x1.1c34aa727bcf7p-9, -0x1.14f95cb548f33p-9, -0x1.0dec850c47c43p-9, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.d18124341855ap-1, 0x1.d025cd1167c7cp-1, 0x1.cec0b8901cf88p-1, 0x1.cd51e695579ap-1, 0x1.cbd96ac5b1bdbp-1, 0x1.ca576bf6fe76ap-1, 0x1.c8cc22dd4e3c7p-1, 0x1.c737d82fec02dp-1, 0x1.c59ae278ae5bep-1, 0x1.c3f5a3b6616e1p-1, 0x1.c24886f26425fp-1, 0x1.c093fde202276p-1, 0x1.bed87ea59dac2p-1, 0x1.bd1681b250b2bp-1, 0x1.bb4e7fee41e92p-1, 0x1.b980f10454fa4p-1, 0x1.b7ae49f112c52p-1, 0x1.b5d6fbc880b4dp-1, 0x1.b3fb72b3036fp-1, 0x1.b21c151e473cep-1, 0x1.b039431e6386ap-1, 0x1.ae5355faf012ep-1, 0x1.ac6a9fe3905d9p-1, 0x1.aa7f6bc75f689p-1, 0x1.a891fd4ac2546p-1, 0x1.a6a290d75211p-1, 0x1.a4b15bc1cae9ep-1, 0x1.a2be8c824082fp-1, 0x1.a0ca4afb1c8dfp-1, 0x1.9ed4b8cbd0209p-1, 0x1.9cddf1ac65bbcp-1, 0x1.9ae60bcf814a7p-1, 0x1.98ed1848a034cp-1, 0x1.96f32374bd374p-1, 0x1.94f83563bc1e7p-1, 0x1.92fc5241429dap-1, 0x1.90ff7abbdc32ep-1, 0x1.8f01ac697ceccp-1, 0x1.8d02e228a1c57p-1, 0x1.8b03147d7b054p-1, 0x1.890239eaa945bp-1, 0x1.87004745401bdp-1, 0x1.84fd3003d0689p-1, 0x1.82f8e6885c658p-1, 0x1.80f35c65298f4p-1, 0x1.7eec829c6d201p-1, 0x1.7ce449daec2d2p-1, 0x1.7adaa2ada2bffp-1, 0x1.78cf7db29d3ep-1, 0x1.76c2cbc52b43bp-1, 0x1.74b47e25a047ep-1, 0x1.72a4869cd2a21p-1, 0x1.7092d79b9614fp-1, 0x1.6e7f645665fabp-1, 0x1.6c6a20dd7bc5ap-1, 0x1.6a5302318a579p-1, 0x1.6839fe555a39dp-1, 0x1.661f0c5c7a61ep-1, 0x1.64022477418c9p-1, 0x1.61e33ffc508f8p-1, 0x1.5fc2596fcd7c7p-1, 0x1.5d9f6c88823f5p-1, 0x1.5b7a763314cffp-1, 0x1.595374937e596p-1, 0x1.572a6704eff54p-1, 0x1.54ff4e1848d36p-1, 0x1.52d22b91459b2p-1, 0x1.50a302628a3bp-1, 0x1.4e71d6a8a6b1bp-1, 0x1.4c3eada435629p-1, 0x1.4a098db32d1f7p-1, 0x1.47d27e4985097p-1, 0x1.459987e93c88p-1, 0x1.435eb419e22b3p-1, 0x1.41220d5fac622p-1, 0x1.3ee39f3234839p-1, 0x1.3ca375f2e9b5cp-1, 0x1.3a619ee345d3ap-1, 0x1.381e281ad8185p-1, 0x1.35d9207d2e26bp-1, 0x1.339297afaa5efp-1, 0x1.314a9e0f4e548p-1, 0x1.2f0144a687e8p-1, 0x1.2cb69d2305a1fp-1, 0x1.2a6ab9cb9b1bfp-1, 0x1.281dad763cf0ep-1, 0x1.25cf8b7e1b3e4p-1, 0x1.238067b9dbd03p-1, 0x1.21305671ff9f2p-1, 0x1.1edf6c5770c45p-1, 0x1.1c8dbe7a413f3p-1, 0x1.1a3b62409ba69p-1, 0x1.17e86d5de9b9p-1, 0x1.1594f5ca3107p-1, 0x1.134111b9a9715p-1, 0x1.10ecd7948e97fp-1, 0x1.0e985def2c6fp-1, 0x1.0c43bb82299f7p-1, 0x1.09ef07230e99p-1, 0x1.079a57bd0b4fdp-1, 0x1.0545c449fa54bp-1, 0x1.02f163cba30a4p-1, 0x1.009d4d453933dp-1, 0x1.fc932f6a35f12p-2, 0x1.f7ecb41d96bebp-2, 0x1.f347566a559cap-2, 0x1.eea343e9d5629p-2, 0x1.ea00a9fe7a51fp-2, 0x1.e55fb5c97e00bp-2, 0x1.e0c094213922p-2, 0x1.dc237187d9804p-2, 0x1.d7887a228eb63p-2, 0x1.d2efd9b11d61bp-2, 0x1.ce59bb85e2ed5p-2, 0x1.c9c64a7e3f633p-2, 0x1.c535b0fb65483p-2, 0x1.c0a818db9294bp-2, 0x1.bc1dab73a3d5bp-2, 0x1.b79691890f8a8p-2, 0x1.b312f34c35823p-2, 0x1.ae92f85312807p-2, 0x1.aa16c794429bap-2, 0x1.a59e87626066fp-2, 0x1.a12a5d67b3b86p-2, 0x1.9cba6ea233fdbp-2, 0x1.984edf5fd4e5bp-2, 0x1.93e7d33b2466cp-2, 0x1.8f856d182e421p-2, 0x1.8b27cf21a8894p-2, 0x1.86cf1ac666823p-2, 0x1.827b70b70c318p-2, 0x1.7e2cf0e402fcdp-2, 0x1.79e3ba7baf638p-2, 0x1.759febe8dd418p-2, 0x1.7161a2d16cb81p-2, 0x1.6d28fc1531ab1p-2, 0x1.68f613cd0e2cep-2, 0x1.64c9054a3aa79p-2, 0x1.60a1eb15c6522p-2, 0x1.5c80def04410dp-2, 0x1.5865f9d1a4a26p-2, 0x1.545153e9419ecp-2, 0x1.5043049e0c868p-2, 0x1.4c3b228eec7p-2, 0x1.4839c3933f557p-2, 0x1.443efcbb80c3ep-2, 0x1.404ae25215ed7p-2, 0x1.3c5d87dc39d5fp-2, 0x1.3877001b0aec8p-2, 0x1.34975d0cb7df4p-2, 0x1.30beafedc8949p-2, 0x1.2ced093a849bep-2, 0x1.292278b07320ep-2, 0x1.255f0d4ff4608p-2, 0x1.21a2d55df4303p-2, 0x1.1dedde65afde9p-2, 0x1.1a40353a96072p-2, 0x1.1699e5fa34e97p-2, 0x1.12fafc0e42b3p-2, 0x1.0f63822eaf05cp-2, 0x1.0bd38263cd9p-2, 0x1.084b0608897p-2, 0x1.04ca15ccacd33p-2, 0x1.0150b9b72ebd2p-2, 0x1.fbbdf2512f5b1p-3, 0x1.f4e9b5bacac96p-3, 0x1.ee24c9e10b0e5p-3, 0x1.e76f39bba081bp-3, 0x1.e0c90f0922d7fp-3, 0x1.da3252542d1ccp-3, 0x1.d3ab0af8908c2p-3, 0x1.cd333f28868afp-3, 0x1.c6caf3f1fec47p-3, 0x1.c0722d43e72p-3, 0x1.ba28edf38710ep-3, 0x1.b3ef37c1e10dep-3, 0x1.adc50b610fa35p-3, 0x1.a7aa6879b6c01p-3, 0x1.a19f4db06df99p-3, 0x1.9ba3b8ab2bb01p-3, 0x1.95b7a616bac22p-3, 0x1.8fdb11ac2854bp-3, 0x1.8a0df636319b9p-3, 0x1.84504d96b4457p-3, 0x1.7ea210cc161bbp-3, 0x1.790337f6abc1ap-3, 0x1.7373ba5e1bee8p-3, 0x1.6df38e76bb9e7p-3, 0x1.6882a9e6e41acp-3, 0x1.6321018c3f55bp-3, 0x1.5dce89811526fp-3, 0x1.588b3521844d6p-3, 0x1.5356f710bb708p-3, 0x1.4e31c13e240f4p-3, 0x1.491b84ea8583fp-3, 0x1.441432ad1bb7fp-3, 0x1.3f1bba78a186ap-3, 0x1.3a320ba05335ep-3, 0x1.355714dcde759p-3, 0x1.308ac4514eda8p-3, 0x1.2bcd078fdff63p-3, 0x1.271dcb9ecf6e1p-3, 0x1.227cfcfd19158p-3, 0x1.1dea87a72798bp-3, 0x1.1966571b738fap-3, 0x1.14f0565f1802ep-3, 0x1.10887002571b9p-3, 0x1.0c2e8e250a978p-3, 0x1.07e29a7b0a911p-3, 0x1.03a47e5080ecep-3, 0x1.fee8451c60ecbp-4, 0x1.f6a2df7b487b1p-4, 0x1.ee789c1ab359cp-4, 0x1.e6694aa99b30ep-4, 0x1.de74ba310d539p-4, 0x1.d69ab91c0041cp-4, 0x1.cedb153f22217p-4, 0x1.c7359be07270dp-4, 0x1.bfaa19bec85e2p-4, 0x1.b8385b192b62dp-4, 0x1.b0e02bb60fb86p-4, 0x1.a9a156ea6f9e4p-4, 0x1.a27ba7a0c4f53p-4, 0x1.9b6ee85fdfab5p-4, 0x1.947ae3519763fp-4, 0x1.8d9f62495a771p-4, 0x1.86dc2ecaa39b9p-4, 0x1.8031120f45863p-4, 0x1.799dd50d96ddcp-4, 0x1.7322407e7eb1ep-4, 0x1.6cbe1ce35dc2dp-4, 0x1.6671328bd7976p-4, 0x1.603b499b79cc2p-4, 0x1.5a1c2a0f438afp-4, 0x1.54139bc30b95ep-4, 0x1.4e216676c7888p-4, 0x1.484551d3b071bp-4, 0x1.427f25714a928p-4, 0x1.3ccea8da4b576p-4, 0x1.3733a391610ep-4, 0x1.31addd15dba5ep-4, 0x1.2c3d1ce836a69p-4, 0x1.26e12a8e84308p-4, 0x1.2199cd98bb234p-4, 0x1.1c66cda4e64dep-4, 0x1.1747f263371f4p-4, 0x1.123d0399faf53p-4, 0x1.0d45c92973652p-4, 0x1.08620b0f933ffp-4, 0x1.0391916b9d804p-4, 0x1.fda8490355c88p-5, 0x1.f453197c260ecp-5, 0x1.eb23257175d69p-5, 0x1.e217fe708fc4fp-5, 0x1.d931366a751c5p-5, 0x1.d06e5fb9dcd41p-5, 0x1.c7cf0d28ff52ap-5, 0x1.bf52d1f7335b2p-5, 0x1.b6f941de568eep-5, 0x1.aec1f11808315p-5, 0x1.a6ac7462b08d4p-5, 0x1.9eb861065ed61p-5, 0x1.96e54cd972f59p-5, 0x1.8f32ce451ee49p-5, 0x1.87a07c49b8829p-5, 0x1.802dee82e081ap-5, 0x1.78dabd2b7fcd3p-5, 0x1.71a681219733dp-5, 0x1.6a90d3e9e9c51p-5, 0x1.63994fb37b8ecp-5, 0x1.5cbf8f5aea5a1p-5, 0x1.56032e6d9d3e8p-5, 0x1.4f63c92cd105ap-5, 0x1.48e0fc907ab01p-5, 0x1.427a664a0a505p-5, 0x1.3c2fa4c70460ap-5, 0x1.360057337cd72p-5, 0x1.2fec1d7c6bep-5, 0x1.29f29851e3a0fp-5, 0x1.241369292219ep-5, 0x1.1e4e323e851d2p-5, 0x1.18a296975d8f2p-5, 0x1.13103a03a4099p-5, 0x1.0d96c11f8d7a5p-5, 0x1.0835d155077b6p-5, 0x1.02ed10dd0fb8cp-5, 0x1.fb784d81f0aebp-6, 0x1.f14575b711a32p-6, 0x1.e740ebb41208cp-6, 0x1.dd6a027a62fc5p-6, 0x1.d3c00eb4016d2p-6, 0x1.ca4266b4ef4ap-6, 0x1.c0f0627c81c18p-6, 0x1.b7c95bb67a07cp-6, 0x1.aeccadbbf3e2fp-6, 0x1.a5f9b594245eap-6, 0x1.9d4fd1f4f49bp-6, 0x1.94ce634367222p-6, 0x1.8c74cb93e1167p-6, 0x1.84426eaa3e9b4p-6, 0x1.7c36b1f9cd338p-6, 0x1.7450fca51646dp-6, 0x1.6c90b77d8abp-6, 0x1.64f54d030a68fp-6, 0x1.5d7e29634b22cp-6, 0x1.562aba7918deap-6, 0x1.4efa6fcb7a616p-6, 0x1.47ecba8cb817dp-6, 0x1.41010d9941357p-6, 0x1.3a36dd7673f83p-6, 0x1.338da0514f688p-6, 0x1.2d04cdfd0081p-6, 0x1.269bdff15d0b2p-6, 0x1.2052514943bep-6, 0x1.1a279ec0e0ebcp-6, 0x1.141b46b3dd5e3p-6, 0x1.0e2cc91b78cbap-6, 0x1.085ba78c8af63p-6, 0x1.02a7653571cb9p-6, 0x1.fa1f0db7dbd9bp-7, 0x1.ef2725b5ca5a7p-7, 0x1.e46622402f64p-7, 0x1.d9db16538b2e4p-7, 0x1.cf8518087ab6dp-7, 0x1.c563408eb9db4p-7, 0x1.bb74ac280c1ebp-7, 0x1.b1b87a22fc9e7p-7, 0x1.a82dccd58d23ep-7, 0x1.9ed3c997c206ap-7, 0x1.95a998be18f28p-7, 0x1.8cae6593ea915p-7, 0x1.83e15e55a79d2p-7, 0x1.7b41b42b148ap-7, 0x1.72ce9b215dc8p-7, 0x1.6a874a252663dp-7, 0x1.626afafc7eba8p-7, 0x1.5a78ea40c8e1ep-7, 0x1.52b057588efd4p-7, 0x1.4b1084714ce85p-7, 0x1.4398b679298e6p-7, 0x1.3c483518a17a6p-7, 0x1.351e4aac2bea6p-7, 0x1.2e1a443dcf6aep-7, 0x1.273b717eae913p-7, 0x1.208124c08c1fcp-7, 0x1.19eab2ef46dcdp-7, 0x1.1377738a4dab9p-7, 0x1.0d26c09e0e27dp-7, 0x1.06f7f6bd5d354p-7, 0x1.00ea74fadaa08p-7, 0x1.f5fb39c4a3e1ep-8, 0x1.ea61a4e42c507p-8, 0x1.df06f828b99d3p-8, 0x1.d3ea05312ca45p-8, 0x1.c909a25989fc2p-8, 0x1.be64aaada9037p-8, 0x1.b3f9fddbe217dp-8, 0x1.a9c88027be7c5p-8, 0x1.9fcf1a5caac8bp-8, 0x1.960cb9c0af41bp-8, 0x1.8c8050072a71fp-8, 0x1.8328d343947c7p-8, 0x1.7a053ddc4978ep-8, 0x1.71148e7d5970bp-8, 0x1.6855c80b666f2p-8, 0x1.5fc7f196875a7p-8, 0x1.576a164d3bb04p-8, 0x1.4f3b456f65739p-8, 0x1.473a924155ae3p-8, 0x1.3f6713fee1ac4p-8, 0x1.37bfe5ce8a833p-8, 0x1.304426b4b1d3bp-8, 0x1.28f2f986de96dp-8, 0x1.21cb84df13a6bp-8, 0x1.1accf30f36e2ap-8, 0x1.13f672148a0f1p-8, 0x1.0d47338b37691p-8, 0x1.06be6ca1eff62p-8, 0x1.005b560d9ea79p-8, 0x1.f43a57fa5d449p-9, 0x1.e8065c1ad0a61p-9, 0x1.dc193e79c34d2p-9, 0x1.d0718bc0098cfp-9, 0x1.c50dd72a5a24fp-9, 0x1.b9ecba71b6ed5p-9, 0x1.af0cd5b3fe9b6p-9, 0x1.a46ccf5cb2e14p-9, 0x1.9a0b540de955cp-9, 0x1.8fe716897147ap-9, 0x1.85fecf9a23389p-9, 0x1.7c513dfd6a554p-9, 0x1.72dd264cf5542p-9, 0x1.69a152e8a4b1cp-9, 0x1.609c93e0a3253p-9, 0x1.57cdbedfb2ffcp-9, 0x1.4f33af15b3d79p-9, 0x1.46cd4522565c3p-9, 0x1.3e99670005a62p-9, 0x1.3696ffef08d14p-9, 0x1.2ec50060d3e1dp-9, 0x1.27225de390f43p-9, 0x1.1fae130de1287p-9, 0x1.18671f6aca06dp-9, 0x1.114c8765e4c21p-9, 0x1.0a5d5437b9621p-9, 0x1.039893d2535aep-9, 0x1.f9fab19c197dp-10, 0x1.ed1574ad20146p-10, 0x1.e07fa830181b7p-10, 0x1.d4378c5944bd7p-10, 0x1.c83b6a1410ecep-10, 0x1.bc8992dec3562p-10, 0x1.b12060a69b07ap-10, 0x1.a5fe35a455efap-10, 0x1.9b217c3927f11p-10, 0x1.9088a6cc198d8p-10, 0x1.86322fa7d064dp-10, 0x1.7c1c98d8cbaccp-10, 0x1.72466c0bfe1b3p-10, 0x1.68ae3a6dd867ep-10, 0x1.5f529c89c465p-10, 0x1.56323229fb4a8p-10, 0x1.4d4ba237cff8ep-10, 0x1.449d9a9c5fb14p-10, 0x1.3c26d021a701fp-10, 0x1.33e5fe53fe47fp-10, 0x1.2bd9e76407e7dp-10, 0x1.24015408f4186p-10, 0x1.1c5b136339c4bp-10, 0x1.14e5fadfa8612p-10, 0x1.0da0e61ae816p-10, 0x1.068ab6c55abfp-10, 0x1.ff44a90eba5b3p-11, 0x1.f1cd59cbdb0dcp-11, 0x1.e4ad664f6ccbfp-11, 0x1.d7e2c074ed89p-11, 0x1.cb6b65319a627p-11, 0x1.bf455c60c3a69p-11, 0x1.b36eb890e0b65p-11, 0x1.a7e596d15fb33p-11, 0x1.9ca81e8130875p-11, 0x1.91b4811e09ec9p-11, 0x1.8708fa14666dp-11, 0x1.7ca3ce9038757p-11, 0x1.72834d4e52197p-11, 0x1.68a5ce6e816fcp-11, 0x1.5f09b3465db27p-11, 0x1.55ad6634c55d6p-11, 0x1.4c8f5a760902fp-11, 0x1.43ae0bf8c4de4p-11, 0x1.3b07ff3363812p-11, 0x1.329bc0fa4af91p-11, 0x1.2a67e656b05bbp-11, 0x1.226b0c5e13161p-11, 0x1.1aa3d80a593cdp-11, 0x1.1310f6129244cp-11, 0x1.0bb11ac45601ep-11, 0x1.048301ddc601p-11, 0x1.fb0adcd055697p-12, 0x1.ed6e552655c3dp-12, 0x1.e02e0f213dbep-12, 0x1.d347bae1f5654p-12, 0x1.c6b916009b6dap-12, 0x1.ba7feb47ae292p-12, 0x1.ae9a12705c612p-12, 0x1.a3056fdff3447p-12, 0x1.97bff4666ed05p-12, 0x1.8cc79cfe2172dp-12, 0x1.821a728c77673p-12, 0x1.77b689a3ca16ap-12, 0x1.6d9a0246454abp-12, 0x1.63c307a9d9b08p-12, 0x1.5a2fcffd39f91p-12, 0x1.50de9c2dda073p-12, 0x1.47cdb7aef7d52p-12, 0x1.3efb78419c0b8p-12, 0x1.36663dbd9c344p-12, 0x1.2e0c71db92d2ep-12, 0x1.25ec87ffcebbdp-12, 0x1.1e04fd063203ap-12, 0x1.1654570f01df2p-12, 0x1.0ed9254ca0b3bp-12, 0x1.0791ffd2308a4p-12, 0x1.007d87631a4abp-12, 0x1.f334ca86f1b1dp-13, 0x1.e5ce9612b9a33p-13, 0x1.d8c5e4dde76b5p-13, 0x1.cc183a4b01e6dp-13, 0x1.bfc329525d524p-13, 0x1.b3c4542b5dd6ep-13, 0x1.a8196bf75fa1cp-13, 0x1.9cc0306e2897ap-13, 0x1.91b66f8bfa2aap-13, 0x1.86fa0541284d2p-13, 0x1.7c88db233018ap-13, 0x1.7260e81f5c93bp-13, 0x1.6880302ed841cp-13, 0x1.5ee4c40c3733dp-13, 0x1.558cc0ea734b1p-13, 0x1.4c76502d4a76dp-13, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.916faf801cb3cp-4, -0x1.a474b0d3d9448p-4, -0x1.b78e34a1b73f8p-4, -0x1.cab781c49c1bfp-4, -0x1.dde906fa76ddbp-4, -0x1.f118ff875cbd2p-4, -0x1.021e0ba16c4cfp-3, -0x1.0ba3030ac76bap-3, -0x1.15150eb9b254ep-3, -0x1.1e6de23aa37ccp-3, -0x1.27a7706fd9dd3p-3, -0x1.30bc1655c632cp-3, -0x1.39a6bc4c34dcdp-3, -0x1.4262ee7cb10acp-3, -0x1.4aeced2d7bdecp-3, -0x1.5341b5f008716p-3, -0x1.5b5f06a715a26p-3, -0x1.63435b603aeep-3, -0x1.6aede7f2dbb6cp-3, -0x1.725e8e45ff24fp-3, -0x1.7995d209edf1bp-3, -0x1.8094ca9c15b01p-3, -0x1.875d13b437a88p-3, -0x1.8df0bd631ee68p-3, -0x1.94523bd54cdcdp-3, -0x1.9a845737b2f77p-3, -0x1.a08a1c0a4002p-3, -0x1.a666cc1b94b94p-3, -0x1.ac1dd05aa2322p-3, -0x1.b1b2ab9ea35cap-3, -0x1.b728ee7af1592p-3, -0x1.bc842c2b73bcbp-3, -0x1.c1c7f09ec295fp-3, -0x1.c6f7b79d22b2bp-3, -0x1.cc16e5068cb95p-3, -0x1.d128be1e346aep-3, -0x1.d63063d7219f3p-3, -0x1.db30ce1343489p-3, -0x1.e02cc7c51144p-3, -0x1.e526ebe2d628fp-3, -0x1.ea21a31a6257dp-3, -0x1.ef1f2233c8161p-3, -0x1.f42169120ed39p-3, -0x1.f92a42413a866p-3, -0x1.fe3b4301b236p-3, -0x1.01aae5e0e847ap-2, -0x1.043d847ba7e78p-2, -0x1.06d5fa2598c9bp-2, -0x1.0974ab05db659p-2, -0x1.0c19e36c7ca52p-2, -0x1.0ec5d8c0d76e1p-2, -0x1.1178aa8348a62p-2, -0x1.1432635de94eep-2, -0x1.16f2fa4073ccfp-2, -0x1.19ba5383e2fcfp-2, -0x1.1c884212bae8dp-2, -0x1.1f5c88934ec96p-2, -0x1.2236da91aff1dp-2, -0x1.2516dda732cf9p-2, -0x1.27fc2a9dd937cp-2, -0x1.2ae64e8e1a966p-2, -0x1.2dd4cbf5d773dp-2, -0x1.30c71bc768132p-2, -0x1.33bcae6ff4d09p-2, -0x1.36b4ecd46eed1p-2, -0x1.39af3944a6468p-2, -0x1.3caaf0641dde2p-2, -0x1.3fa76a085c53cp-2, -0x1.42a3fa0c92f36p-2, -0x1.459ff11a8bf0bp-2, -0x1.489a9d68e5884p-2, -0x1.4b934b6eac0e3p-2, -0x1.4e89468c7b613p-2, -0x1.517bd9ab53bc1p-2, -0x1.546a4fd15f08dp-2, -0x1.5753f4ace75bp-2, -0x1.5a381515c6b31p-2, -0x1.5d15ff85a0152p-2, -0x1.5fed0487303ccp-2, -0x1.62bc771d0d02bp-2, -0x1.6583ad202a188p-2, -0x1.6841ff9674e75p-2, -0x1.6af6cb01e6222p-2, -0x1.6da16fa85b47ep-2, -0x1.704151d48c888p-2, -0x1.72d5da107d2a1p-2, -0x1.755e7559accc5p-2, -0x1.77da954f64258p-2, -0x1.7a49b05b6d41cp-2, -0x1.7cab41d579b04p-2, -0x1.7efeca219055p-2, -0x1.8143cec9bf913p-2, -0x1.8379da935d352p-2, -0x1.85a07d901a286p-2, -0x1.87b74d2b275cp-2, -0x1.89bde432a6847p-2, -0x1.8bb3e2ddad6a8p-2, -0x1.8d98eecf075dfp-2, -0x1.8f6cb314f3ad2p-2, -0x1.912ee02613468p-2, -0x1.92df2bdbb6c48p-2, -0x1.947d5169baa27p-2, -0x1.9609115422db6p-2, -0x1.978231629df9cp-2, -0x1.98e87c9216bb3p-2, -0x1.9a3bc30482e81p-2, -0x1.9b7bd9ef0950cp-2, -0x1.9ca89b86ac3e1p-2, -0x1.9dc1e6eb9328p-2, -0x1.9ec7a01316e34p-2, -0x1.9fb9afb0acda4p-2, -0x1.a098031dcbb6dp-2, -0x1.a1628c40eae7dp-2, -0x1.a2194173af0bbp-2, -0x1.a2bc1d685da3bp-2, -0x1.a34b1f0eb4347p-2, -0x1.a3c649782f257p-2, -0x1.a42da3bbdb328p-2, -0x1.a48138d9c459fp-2, -0x1.a4c1179e0f06ap-2, -0x1.a4ed5283d4899p-2, -0x1.a505ff97caccp-2, -0x1.a50b385acc575p-2, -0x1.a4fd19a449ef2p-2, -0x1.a4dbc384b9167p-2, -0x1.a4a7592803e7cp-2, -0x1.a46000b80d978p-2, -0x1.a405e33f51cbcp-2, -0x1.a3992c8ba803ap-2, -0x1.a31a0b113bc57p-2, -0x1.a288afcdb67fep-2, -0x1.a1e54e2bb11b4p-2, -0x1.a1301be6654ffp-2, -0x1.a06950edb6f37p-2, -0x1.9f91274a8a3c1p-2, -0x1.9ea7db037cf9dp-2, -0x1.9dadaa01f9876p-2, -0x1.9ca2d3f7b65dp-2, -0x1.9b879a4498981p-2, -0x1.9a5c3fdd0d41bp-2, -0x1.99210930cb428p-2, -0x1.97d63c1214e05p-2, -0x1.967c1f9d67a14p-2, -0x1.9512fc21afae3p-2, -0x1.939b1b08f346bp-2, -0x1.9214c6c17ff35p-2, -0x1.90804aa797b2ep-2, -0x1.8eddf2efa0c78p-2, -0x1.8d2e0c90dc184p-2, -0x1.8b70e53099cb7p-2, -0x1.89a6cb0dfb7fdp-2, -0x1.87d00cee359f6p-2, -0x1.85ecfa095acc5p-2, -0x1.83fde1f7ab3e1p-2, -0x1.8203149f6ce69p-2, -0x1.7ffce22348da1p-2, -0x1.7deb9ad12ae51p-2, -0x1.7bcf8f11acfeep-2, -0x1.79a90f57ff325p-2, -0x1.77786c125af19p-2, -0x1.753df59af2003p-2, -0x1.72f9fc296462p-2, -0x1.70accfc4b3318p-2, -0x1.6e56c035b3e27p-2, -0x1.6bf81cfa022edp-2, -0x1.699135376bd6dp-2, -0x1.672257afd9b8dp-2, -0x1.64abd2b5b08a8p-2, -0x1.622df420ab64dp-2, -0x1.5fa9094327579p-2, -0x1.5d1d5edfe9418p-2, -0x1.5a8b4120512aep-2, -0x1.57f2fb8b006a1p-2, -0x1.5554d8faec6a1p-2, -0x1.52b12396e1975p-2, -0x1.500824c96a93p-2, -0x1.4d5a2539271c8p-2, -0x1.4aa76cc1842cdp-2, -0x1.47f0426bdb6cdp-2, -0x1.4534ec68f36d7p-2, -0x1.4275b00ae0a18p-2, -0x1.3fb2d1bf45c78p-2, -0x1.3cec9509ed2aep-2, -0x1.3a233c7fc1c58p-2, -0x1.375709c217fc4p-2, -0x1.34883d7a54ea6p-2, -0x1.31b71755e2334p-2, -0x1.2ee3d60278087p-2, -0x1.2c0eb72ab426p-2, -0x1.2937f772fe37bp-2, -0x1.265fd276ba15ep-2, -0x1.238682c5bf7fcp-2, -0x1.20ac41e21bb92p-2, -0x1.1dd1483e16e29p-2, -0x1.1af5cd3a7dedbp-2, -0x1.181a072529b3bp-2, -0x1.153e2b37cb89p-2, -0x1.12626d96f0ca7p-2, -0x1.0f87015144de6p-2, -0x1.0cac185f0b10dp-2, -0x1.09d1e3a1d12bcp-2, -0x1.06f892e45584p-2, -0x1.042054daa23e1p-2, -0x1.0149572259d49p-2, -0x1.fce78c86671eep-3, -0x1.f73f9b5f48ccdp-3, -0x1.f19b2f8b70889p-3, -0x1.ebfa9ba0223adp-3, -0x1.e65e300e28675p-3, -0x1.e0c63b24726ffp-3, -0x1.db33091307497p-3, -0x1.d5a4e3ee3b093p-3, -0x1.d01c13b22bb32p-3, -0x1.ca98de467f1ebp-3, -0x1.c51b87826030ap-3, -0x1.bfa45130b7043p-3, -0x1.ba337b149ce45p-3, -0x1.b4c942ee00a5dp-3, -0x1.af65e47e86d1dp-3, -0x1.aa09998e9083dp-3, -0x1.a4b499f279b2bp-3, -0x1.9f671b8ffc6aap-3, -0x1.9a215263c0029p-3, -0x1.94e370870d42dp-3, -0x1.8fada635a69c1p-3, -0x1.8a8021d3c2adp-3, -0x1.855b0ff426717p-3, -0x1.803e9b5e5ab6ep-3, -0x1.7b2aed14fdb67p-3, -0x1.76202c5c2c6e9p-3, -0x1.711e7ec006608p-3, -0x1.6c26081b3f601p-3, -0x1.6736ea9dca054p-3, -0x1.625146d3902fep-3, -0x1.5d753bab3d23ap-3, -0x1.58a2e67d0eacap-3, -0x1.53da6311bc428p-3, -0x1.4f1bcba95c686p-3, -0x1.4a6739025ba4bp-3, -0x1.45bcc2607297dp-3, -0x1.411c7d93abe83p-3, -0x1.3c867eff5f9fap-3, -0x1.37fad9a13e5ebp-3, -0x1.33799f1853c39p-3, -0x1.2f02dfac0fdabp-3, -0x1.2a96aa5347c3dp-3, -0x1.26350cbb3e411p-3, -0x1.21de134e980b8p-3, -0x1.1d91c93c5e3a2p-3, -0x1.1950387eeb8cdp-3, -0x1.151969e2d8d5ep-3, -0x1.10ed650de33b9p-3, -0x1.0ccc3085c3855p-3, -0x1.08b5d1b701e4ap-3, -0x1.04aa4cfbb906cp-3, -0x1.00a9a5a252ff4p-3, -0x1.f967bbe869339p-4, -0x1.f191ee78c5096p-4, -0x1.e9d1e39c1bb34p-4, -0x1.e2279a163f8b4p-4, -0x1.da930ed553d8ep-4, -0x1.d3143cfe9a3d5p-4, -0x1.cbab1dfb2075dp-4, -0x1.c457a984492c5p-4, -0x1.bd19d5b02e13dp-4, -0x1.b5f196fde9644p-4, -0x1.aedee061afd65p-4, -0x1.a7e1a350c9327p-4, -0x1.a0f9cfcd6af7ep-4, -0x1.9a2754725c7a5p-4, -0x1.936a1e7e7f34p-4, -0x1.8cc219e02f28ep-4, -0x1.862f314073f67p-4, -0x1.7fb14e0e0e00ep-4, -0x1.79485888593a5p-4, -0x1.72f437ca05844p-4, -0x1.6cb4d1d3a4d87p-4, -0x1.668a0b96101a7p-4, -0x1.6073c8fc9edfdp-4, -0x1.5a71ecf736c1ep-4, -0x1.548459842dd3ep-4, -0x1.4eaaefba0285bp-4, -0x1.48e58fd0e78cp-4, -0x1.4334192c2481ap-4, -0x1.3d966a634ae78p-4, -0x1.380c614b400b8p-4, -0x1.3295daff1a3f7p-4, -0x1.2d32b3e8d37dfp-4, -0x1.27e2c7c9d013dp-4, -0x1.22a5f1c33a5dp-4, -0x1.1d7c0c5e32866p-4, -0x1.1864f193d444p-4, -0x1.13607ad511407p-4, -0x1.0e6e81125f911p-4, -0x1.098edcc3403b7p-4, -0x1.04c165ed99384p-4, -0x1.0005f42ce6d33p-4, -0x1.f6b8bd7285a3ap-5, -0x1.ed88f8dc853b8p-5, -0x1.e47c47a356c4ep-5, -0x1.db925633ff494p-5, -0x1.d2cad069c37f7p-5, -0x1.ca25619aa17aep-5, -0x1.c1a1b4a377ac9p-5, -0x1.b93f73f3e098p-5, -0x1.b0fe4999beaap-5, -0x1.a8dddf4c7bb5dp-5, -0x1.a0ddde77fddb3p-5, -0x1.98fdf0474f5e8p-5, -0x1.913dbdaefe601p-5, -0x1.899cef7732b09p-5, -0x1.821b2e457968p-5, -0x1.7ab822a64da33p-5, -0x1.7373751655f5ap-5, -0x1.6c4cce0b60104p-5, -0x1.6543d5fd14fb4p-5, -0x1.5e58356d6da0fp-5, -0x1.578994f0e1547p-5, -0x1.50d79d3655031p-5, -0x1.4a41f70ec94efp-5, -0x1.43c84b74c89ffp-5, -0x1.3d6a4393990aap-5, -0x1.372788ce2d1fep-5, -0x1.30ffc4c5ddd92p-5, -0x1.2af2a160e25f5p-5, -0x1.24ffc8d09418ep-5, -0x1.1f26e597757fap-5, -0x1.1967a28f01b9p-5, -0x1.13c1aaed4659ap-5, -0x1.0e34aa4a4482ep-5, -0x1.08c04ca51efc3p-5, -0x1.03643e69132bep-5, -0x1.fc4058e4819a5p-6, -0x1.f1e7882477a34p-6, -0x1.e7bd6628e3274p-6, -0x1.ddc14f84b607bp-6, -0x1.d3f2a1cf0233cp-6, -0x1.ca50bbaaa65a8p-6, -0x1.c0dafccd9e6dap-6, -0x1.b790c6080067fp-6, -0x1.ae71794a9ce44p-6, -0x1.a57c79ad524cap-6, -0x1.9cb12b7506abbp-6, -0x1.940ef41956e6p-6, -0x1.8b953a49f2372p-6, -0x1.834365f3af4f7p-6, -0x1.7b18e04550861p-6, -0x1.731513b40043dp-6, -0x1.6b376bff8b488p-6, -0x1.637f56364c208p-6, -0x1.5bec40b8dd9a2p-6, -0x1.547d9b3d8087ep-6, -0x1.4d32d6d34936ap-6, -0x1.460b65e50cdb4p-6, -0x1.3f06bc3c0d8e3p-6, -0x1.38244f026f64ap-6, -0x1.316394c573d51p-6, -0x1.2ac40577794c3p-6, -0x1.24451a71ca337p-6, -0x1.1de64e763027ap-6, -0x1.17a71db058be1p-6, -0x1.118705b706eabp-6, -0x1.0b85858d148d4p-6, -0x1.05a21da2436f8p-6, -0x1.ffb89fa7c10e5p-7, -0x1.f4673eda7f9dbp-7, -0x1.e94f22500aeabp-7, -0x1.de6f56589a8acp-7, -0x1.d3c6ea214a098p-7, -0x1.c954efb3c5df3p-7, -0x1.bf187bf5a9981p-7, -0x1.b510a6a796344p-7, -0x1.ab3c8a6407cabp-7, -0x1.a19b449de0952p-7, -0x1.982bf59eb60eep-7, -0x1.8eedc084debedp-7, -0x1.85dfcb4147b62p-7, -0x1.7d013e9507e96p-7, -0x1.7451460ec3af5p-7, -0x1.6bcf1007d3bc1p-7, -0x1.6379cda13daa8p-7, -0x1.5b50b2c0770a5p-7, -0x1.5352f60bfb655p-7, -0x1.4b7fd0e7b102dp-7, -0x1.43d67f712b2f2p-7, -0x1.3c56407bb4149p-7, -0x1.34fe558c3b6a1p-7, -0x1.2dce02d519152p-7, -0x1.26c48f31abc47p-7, -0x1.1fe14421d677dp-7, -0x1.19236dc55b8c8p-7, -0x1.128a5ad718f7fp-7, -0x1.0c155ca827182p-7, -0x1.05c3c71ada3ddp-7, -0x1.ff29e13b560bfp-8, -0x1.f310644c087b3p-8, -0x1.e739ce55f2412p-8, -0x1.dba4db3fccb1p-8, -0x1.d0504bddf8a53p-8, -0x1.c53ae5e76edc3p-8, -0x1.ba6373ea88ecdp-8, -0x1.afc8c541aafc9p-8, -0x1.a569ae07cad68p-8, -0x1.9b45070cdb6cfp-8, -0x1.9159adca1becbp-8, -0x1.87a68456504c8p-8, -0x1.7e2a7159e0865p-8, -0x1.74e46002e465cp-8, -0x1.6bd33ff91de1cp-8, -0x1.62f60551e173ap-8, -0x1.5a4ba883f17aap-8, -0x1.51d3265b4a6d3p-8, -0x1.498b7fece7b7cp-8, -0x1.4173ba8a7c821p-8, -0x1.398adfb626427p-8, -0x1.31cffd161a88ap-8, -0x1.2a4224684f26ep-8, -0x1.22e06b761fd35p-8, -0x1.1ba9ec07f458cp-8, -0x1.149dc3d8e5176p-8, -0x1.0dbb148a629e2p-8, -0x1.07010397dfcc9p-8, -0x1.006eba4a8075ap-8, -0x1.f406cb599996cp-9, -0x1.e77c6cfcdb995p-9, -0x1.db3cc24fdd874p-9, -0x1.cf463b5d140d6p-9, -0x1.c3974f4ffd76ep-9, -0x1.b82e7c5ce5676p-9, -0x1.ad0a47a8bd6a3p-9, -0x1.a2293d311477p-9, -0x1.9789efb4246bbp-9, -0x1.8d2af899053d9p-9, -0x1.830af7d7f61f6p-9, -0x1.792893e2cf2f1p-9, -0x1.6f82798d933acp-9, -0x1.66175bf7210bbp-9, -0x1.5ce5f47212dbp-9, -0x1.53ed026dbb9cp-9, -0x1.4b2b4b5f50c07p-9, -0x1.429f9aab3c842p-9, -0x1.3a48c18e99e1dp-9, -0x1.32259708da304p-9, -0x1.2a34f7c59978cp-9, -0x1.2275c6069eb6fp-9, -0x1.1ae6e98e0a41ep-9, -0x1.13874f88b2ee9p-9, -0x1.0c55ea78b0cc4p-9, -0x1.0551b2201f0b7p-9, -0x1.fcf346d80cdacp-10, -0x1.ef9980befa5e1p-10, -0x1.e2941ffdf7bcp-10, -0x1.d5e13c77c1cf2p-10, -0x1.c97ef7c053453p-10, -0x1.bd6b7cf4bc076p-10, -0x1.b1a500936398dp-10, -0x1.a629c054b54a5p-10, -0x1.9af803042e62ap-10, -0x1.900e1859e6ff6p-10, -0x1.856a58d47508ep-10, -0x1.7b0b2593431dp-10, -0x1.70eee83155d19p-10, -0x1.671412a0764a8p-10, -0x1.5d791f04cfa83p-10, -0x1.541c8f90f52aep-10, -0x1.4afcee625a0d8p-10, -0x1.4218cd5e2d95p-10, -0x1.396ec60eb4193p-10, -0x1.30fd7980f7df8p-10, -0x1.28c39022fdb1p-10, -0x1.20bfb9a253824p-10, -0x1.18f0accb16744p-10, -0x1.11552767684bep-10, -0x1.09ebee1f425c2p-10, -0x1.02b3cc58c83b5p-10, -0x1.f7572831ec01p-11, -0x1.e9a43bc988535p-11, -0x1.dc4c914563b34p-11, -0x1.cf4df2f9773f3p-11, -0x1.c2a637857742p-11, -0x1.b653419a68187p-11, -0x1.aa52ffc104f4ep-11, -0x1.9ea36c20f79aap-11, -0x1.93428c48e26abp-11, -0x1.882e70f73519cp-11, -0x1.7d6535e3d42b3p-11, -0x1.72e5018a88619p-11, -0x1.68ac04f63bfffp-11, -0x1.5eb87b8cffc6cp-11, -0x1.5508aadcd941p-11, -0x1.4b9ae26956c5fp-11, -0x1.426d7b79e9a3bp-11, -0x1.397ed8e9017e5p-11, -0x1.30cd66f3ecb7p-11, -0x1.28579b0b766dp-11, -0x1.201bf3a543e68p-11, -0x1.1818f80defcc4p-11, -0x1.104d383bde7eep-11, -0x1.08b74ca2ce724p-11, -0x1.0155d6081e08p-11, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.ced9d801312fep-1, 0x1.ccbd8d49788c2p-1, 0x1.caa0a74f96866p-1, 0x1.c88371cd2af58p-1, 0x1.c665e1adf2acdp-1, 0x1.c447a629a25e6p-1, 0x1.c2283a110a188p-1, 0x1.c006f462e53eap-1, 0x1.bde317832ecdfp-1, 0x1.bbbbdeab9c46bp-1, 0x1.b990895c8008dp-1, 0x1.b76064bb50b21p-1, 0x1.b52ad2e8998fap-1, 0x1.b2ef506b4f2aap-1, 0x1.b0ad77dcfec6bp-1, 0x1.ae65040a33adep-1, 0x1.ac15d0be1974bp-1, 0x1.a9bfda70c6de3p-1, 0x1.a7633d0daeb19p-1, 0x1.a500320430a41p-1, 0x1.a2970dcfb5054p-1, 0x1.a0283d1fa8774p-1, 0x1.9db441c26a512p-1, 0x1.9b3baf70f932dp-1, 0x1.98bf289437201p-1, 0x1.963f5b17f70abp-1, 0x1.93bcfd5bce31fp-1, 0x1.9138cb4de9271p-1, 0x1.8eb383b8de70cp-1, 0x1.8c2de5caa2723p-1, 0x1.89a8aed865795p-1, 0x1.87249861263b6p-1, 0x1.84a2564f259b7p-1, 0x1.822295772160bp-1, 0x1.7fa5fa53359ap-1, 0x1.7d2d1ff683595p-1, 0x1.7ab89736331c2p-1, 0x1.7848e6040086ep-1, 0x1.75de86f64f5ecp-1, 0x1.7379e8f9a3a0fp-1, 0x1.711b6f275eb85p-1, 0x1.6ec370bdadf31p-1, 0x1.6c723934bf751p-1, 0x1.6a28086d764f3p-1, 0x1.67e512f61544ap-1, 0x1.65a9826189ed7p-1, 0x1.637575ae4565dp-1, 0x1.614901b9cbfc4p-1, 0x1.5f2431be6352bp-1, 0x1.5d0707d88cc54p-1, 0x1.5af17d9229dadp-1, 0x1.58e384716fc0fp-1, 0x1.56dd0689fbb37p-1, 0x1.54dde70e92e96p-1, 0x1.52e602e24aff6p-1, 0x1.50f53127fde02p-1, 0x1.4f0b43cf1c1d2p-1, 0x1.4d28081d12172p-1, 0x1.4b4b47329a272p-1, 0x1.4974c68c71061p-1, 0x1.47a4487eff60dp-1, 0x1.45d98caca7039p-1, 0x1.44145076724bep-1, 0x1.42544f66fddcfp-1, 0x1.4099439781c0fp-1, 0x1.3ee2e60eef324p-1, 0x1.3d30ef1b268fbp-1, 0x1.3b8316a4523eep-1, 0x1.39d9147a7c3fap-1, 0x1.3832a09d7d3bfp-1, 0x1.368f737f6ca7dp-1, 0x1.34ef4641b71bdp-1, 0x1.3351d2ed0d7e5p-1, 0x1.31b6d4a45ee54p-1, 0x1.301e07d30d227p-1, 0x1.2e872a569676ep-1, 0x1.2cf1fba3e88d1p-1, 0x1.2b5e3ce8961d9p-1, 0x1.29cbb12822ec1p-1, 0x1.283a1d55a25dfp-1, 0x1.26a94869d9b2fp-1, 0x1.2518fb761fb74p-1, 0x1.238901b4296d2p-1, 0x1.21f92892f956dp-1, 0x1.20693fc1226aep-1, 0x1.1ed919348b8e2p-1, 0x1.1d48892fe26aep-1, 0x1.1bb76645e9d86p-1, 0x1.1a25895accf1ap-1, 0x1.1892cda39ce6dp-1, 0x1.16ff10a422e09p-1, 0x1.156a322b2729cp-1, 0x1.13d4144d51074p-1, 0x1.123c9b5ebd969p-1, 0x1.10a3adeb70711p-1, 0x1.0f0934aeb564fp-1, 0x1.0d6d1a8991d2bp-1, 0x1.0bcf4c785f6b1p-1, 0x1.0a2fb987a4c0dp-1, 0x1.088e52c846b9dp-1, 0x1.06eb0b4322b54p-1, 0x1.0545d7ec2997ep-1, 0x1.039eaf950ab0ep-1, 0x1.01f58adf819aep-1, 0x1.004a642f54816p-1, 0x1.fd3a6f3829a8cp-2, 0x1.f9dc05c55668fp-2, 0x1.f6798aad83e4fp-2, 0x1.f312ffa822dd5p-2, 0x1.efa8695f43d38p-2, 0x1.ec39cf5207c22p-2, 0x1.e8c73bb720ab7p-2, 0x1.e550bb5f6661dp-2, 0x1.e1d65d9895897p-2, 0x1.de58341043613p-2, 0x1.dad652b714642p-2, 0x1.d750cfa444494p-2, 0x1.d3c7c2f984363p-2, 0x1.d03b46c73b05ap-2, 0x1.ccab76f133f2p-2, 0x1.c9187113bcf5cp-2, 0x1.c582546940514p-2, 0x1.c1e941b05e7c4p-2, 0x1.be4d5b128b27ep-2, 0x1.baaec40b353acp-2, 0x1.b70da14f7d4c4p-2, 0x1.b36a18b67cd1fp-2, 0x1.afc4512221132p-2, 0x1.ac1c72689c866p-2, 0x1.a872a53e74507p-2, 0x1.a4c7132121189p-2, 0x1.a119e64253081p-2, 0x1.9d6b4973cbc2fp-2, 0x1.99bb6813d877p-2, 0x1.960a6dfa664aap-2, 0x1.92588766b43e2p-2, 0x1.8ea5e0ed9fdd2p-2, 0x1.8af2a7688f635p-2, 0x1.873f07e4f2bb1p-2, 0x1.838b2f945fbcdp-2, 0x1.7fd74bbd45488p-2, 0x1.7c2389ac33e7cp-2, 0x1.787016a5bbf8ap-2, 0x1.74bd1fd8dc8a6p-2, 0x1.710ad25203cdcp-2, 0x1.6d595aee9f55dp-2, 0x1.69a8e65133cefp-2, 0x1.65f9a0d602538p-2, 0x1.624bb68835a6dp-2, 0x1.5e9f5317904d2p-2, 0x1.5af4a1cea0571p-2, 0x1.574bcd8972473p-2, 0x1.53a500acbe3bep-2, 0x1.5000651d94a45p-2, 0x1.4c5e24397b8c5p-2, 0x1.48be66cf070d9p-2, 0x1.45215516df439p-2, 0x1.418716ad38994p-2, 0x1.3defd28bb4c29p-2, 0x1.3a5baf03ae96p-2, 0x1.36cad1b8f0546p-2, 0x1.333d5f9cc4fb3p-2, 0x1.2fb37ce97475fp-2, 0x1.2c2d4d1e14b18p-2, 0x1.28aaf2fabc52ap-2, 0x1.252c907d0c80ep-2, 0x1.21b246dd0c0f6p-2, 0x1.1e3c368a5ccd7p-2, 0x1.1aca7f29b969cp-2, 0x1.175d3f92c7c5fp-2, 0x1.13f495ce30575p-2, 0x1.10909f1400bcp-2, 0x1.0d3177ca54afp-2, 0x1.09d73b843de04p-2, 0x1.06820500f1ba9p-2, 0x1.0331ee2b3137cp-2, 0x1.ffce2031d8276p-3, 0x1.f943061642447p-3, 0x1.f2c2bcdbe351ep-3, 0x1.ec4d71b1d3003p-3, 0x1.e5e3501ef8d4fp-3, 0x1.df8482035df07p-3, 0x1.d9312f99e3fa5p-3, 0x1.d2e97f7a4b387p-3, 0x1.ccad969b925e6p-3, 0x1.c67d9856a03ffp-3, 0x1.c059a6693bccap-3, 0x1.ba41e0f94c2bep-3, 0x1.b4366698590f8p-3, 0x1.ae3754474ec0dp-3, 0x1.a844c57a7a79bp-3, 0x1.a25ed41dc36e8p-3, 0x1.9c85989915fb9p-3, 0x1.96b929d50399cp-3, 0x1.90f99d3f908f9p-3, 0x1.8b4706d12afabp-3, 0x1.85a17911d0775p-3, 0x1.8009051e52913p-3, 0x1.7a7dbaadc3aabp-3, 0x1.74ffa81702ad8p-3, 0x1.6f8eda5662e0ap-3, 0x1.6a2b5d136c5ffp-3, 0x1.64d53aa6bd1ecp-3, 0x1.5f8c7c1ff8df4p-3, 0x1.5a51294bce45bp-3, 0x1.552348ba0f456p-3, 0x1.5002dfc3d6c03p-3, 0x1.4aeff291bd191p-3, 0x1.45ea842215935p-3, 0x1.40f2964f3aa54p-3, 0x1.3c0829d5d888ep-3, 0x1.372b3e5b4882bp-3, 0x1.325bd273e35dp-3, 0x1.2d99e3a964998p-3, 0x1.28e56e813f8fdp-3, 0x1.243e6e83029f7p-3, 0x1.1fa4de3eaa8b9p-3, 0x1.1b18b752fc003p-3, 0x1.1699f273d2884p-3, 0x1.122887706dc1cp-3, 0x1.0dc46d39b403ep-3, 0x1.096d99e86d1a1p-3, 0x1.052402c37514ep-3, 0x1.00e79c45e2c9fp-3, 0x1.f970b44a45cap-4, 0x1.f12c5eae1459ep-4, 0x1.e9021c2fac61fp-4, 0x1.e0f1cfe03c423p-4, 0x1.d8fb5b757cbe1p-4, 0x1.d11e9f555195cp-4, 0x1.c95b7aa15a49bp-4, 0x1.c1b1cb425c2adp-4, 0x1.ba216df3806f4p-4, 0x1.b2aa3e4d87b91p-4, 0x1.ab4c16d1b3bap-4, 0x1.a406d0f4af149p-4, 0x1.9cda452935e87p-4, 0x1.95c64aeaa2933p-4, 0x1.8ecab8c750bfp-4, 0x1.87e7646ad200dp-4, 0x1.811c22a800545p-4, 0x1.7a68c782e1fa7p-4, 0x1.73cd263a65681p-4, 0x1.6d491151efd1bp-4, 0x1.66dc5a9ac3f4cp-4, 0x1.6086d33d398ebp-4, 0x1.5a484bc1cce43p-4, 0x1.54209419fef67p-4, 0x1.4e0f7ba90c8d7p-4, 0x1.4814d14c7676fp-4, 0x1.4230636460141p-4, 0x1.3c61ffdbbfcfp-4, 0x1.36a9743063fp-4, 0x1.31068d7acb77dp-4, 0x1.2b791875d2a45p-4, 0x1.2600e18633a78p-4, 0x1.209db4c1db36bp-4, 0x1.1b4f5df711d29p-4, 0x1.1615a8b379c83p-4, 0x1.10f0604ae1ebcp-4, 0x1.0bdf4fddecdfp-4, 0x1.06e242608ed31p-4, 0x1.01f902a0605dep-4, 0x1.fa46b6958d796p-5, 0x1.f0c22de5e902fp-5, 0x1.e764002f7df2ep-5, 0x1.de2bc25298575p-5, 0x1.d519091d2effep-5, 0x1.cc2b69559f0a5p-5, 0x1.c36277c51627bp-5, 0x1.babdc941b196bp-5, 0x1.b23cf2b84d3f5p-5, 0x1.a9df89360891bp-5, 0x1.a1a521f180193p-5, 0x1.998d5253bb6a2p-5, 0x1.9197b000d5654p-5, 0x1.89c3d0e0576d8p-5, 0x1.82114b25532c5p-5, 0x1.7a7fb5563272ep-5, 0x1.730ea65444417p-5, 0x1.6bbdb563058d5p-5, 0x1.648c7a2f27e05p-5, 0x1.5d7a8cd55579bp-5, 0x1.568785e8b7dbbp-5, 0x1.4fb2fe793a719p-5, 0x1.48fc90199435cp-5, 0x1.4263d4e511a94p-5, 0x1.3be8678522fa7p-5, 0x1.3589e336b12c8p-5, 0x1.2f47e3cf37149p-5, 0x1.292205c1a58fap-5, 0x1.2317e6230d512p-5, 0x1.1d2922af13ea3p-5, 0x1.175559cc34bebp-5, 0x1.119c2a8fcb709p-5, 0x1.0bfd34c1eecc2p-5, 0x1.067818e118af4p-5, 0x1.010c78259b46cp-5, 0x1.f773e909d7716p-6, 0x1.ed00616973947p-6, 0x1.e2bda05bb9e65p-6, 0x1.d8aaee5e27678p-6, 0x1.cec7957f33801p-6, 0x1.c512e16325154p-6, 0x1.bb8c1f4893e12p-6, 0x1.b2329e0ca09bdp-6, 0x1.a905ae2ed8b31p-6, 0x1.a004a1d4cf6acp-6, 0x1.972ecccd6e82cp-6, 0x1.8e838493ffc9ap-6, 0x1.86022052ee356p-6, 0x1.7da9f8e642053p-6, 0x1.757a68dddfab6p-6, 0x1.6d72cc7f810c7p-6, 0x1.659281c873a2dp-6, 0x1.5dd8e86f16988p-6, 0x1.564561e422b2ap-6, 0x1.4ed75153b44fcp-6, 0x1.478e1ba622077p-6, 0x1.4069278098e2cp-6, 0x1.3967dd458a228p-6, 0x1.3289a714e2222p-6, 0x1.2bcdf0cc10ca2p-6, 0x1.25342805e00afp-6, 0x1.1ebbbc1a22f0bp-6, 0x1.18641e1d30a3fp-6, 0x1.122cc0df38b66p-6, 0x1.0c1518eb71704p-6, 0x1.061c9c871913fp-6, 0x1.0042c3b051223p-6, 0x1.f50e1039b8205p-7, 0x1.e9d1ca715917fp-7, 0x1.decfb048b6d81p-7, 0x1.d406bf66f20dfp-7, 0x1.c975f8d57f2a5p-7, 0x1.bf1c60fc4d37dp-7, 0x1.b4f8ff9db7368p-7, 0x1.ab0adfd234ba2p-7, 0x1.a1511003e1b7cp-7, 0x1.97caa1e9c6ff1p-7, 0x1.8e76aa82fcb34p-7, 0x1.8554421193106p-7, 0x1.7c6284155969ep-7, 0x1.73a08f466faep-7, 0x1.6b0d858fc164cp-7, 0x1.62a88c093e891p-7, 0x1.5a70caf20ec15p-7, 0x1.52656daa8c4b8p-7, 0x1.4a85a2ae25956p-7, 0x1.42d09b8d233d9p-7, 0x1.3b458ce64a0ecp-7, 0x1.33e3ae6067b93p-7, 0x1.2caa3aa3c1db3p-7, 0x1.25986f536f5c8p-7, 0x1.1ead8d069a013p-7, 0x1.17e8d741ab27fp-7, 0x1.1149946f65acfp-7, 0x1.0acf0dd9eccc6p-7, 0x1.04788fa3bb661p-7, 0x1.fc8ad18115dbbp-8, 0x1.f069d5dc5b199p-8, 0x1.e48cd55ab5c88p-8, 0x1.d8f27e74e1fcep-8, 0x1.cd99850c59097p-8, 0x1.c280a25cad18fp-8, 0x1.b7a694ecd623ap-8, 0x1.ad0a208070d2ap-8, 0x1.a2aa0e08f3414p-8, 0x1.98852b96d7536p-8, 0x1.8e9a4c4abd736p-8, 0x1.84e8484689f62p-8, 0x1.7b6dfc9e80cefp-8, 0x1.722a4b4a5cc2bp-8, 0x1.691c1b16684b5p-8, 0x1.60425794979bp-8, 0x1.579bf10da5b8dp-8, 0x1.4f27dc7237ce2p-8, 0x1.46e5134c04f4ep-8, 0x1.3ed293af0677cp-8, 0x1.36ef602ab27cbp-8, 0x1.2f3a7fbb3e909p-8, 0x1.27b2fdbaf1ae3p-8, 0x1.2057e9d3801fcp-8, 0x1.192857ef76da8p-8, 0x1.1223602bb69eep-8, 0x1.0b481ec8ff229p-8, 0x1.0495b41d8c3fap-8, 0x1.fc16890d889bbp-9, 0x1.ef4ff0b5f6a2cp-9, 0x1.e2d5f7b6971a3p-9, 0x1.d6a6fe4b00321p-9, 0x1.cac16c4c2feafp-9, 0x1.bf23b114c1868p-9, 0x1.b3cc43654c103p-9, 0x1.a8b9a148f9c12p-9, 0x1.9dea4ffa490d7p-9, 0x1.935cdbc8071c7p-9, 0x1.890fd7fa7c5bap-9, 0x1.7f01deb8cfacbp-9, 0x1.753190eea02e9p-9, 0x1.6b9d9631d511dp-9, 0x1.62449ca8a888cp-9, 0x1.592558efecb3cp-9, 0x1.503e86018728cp-9, 0x1.478ee51b2e57ap-9, 0x1.3f153da55a2a1p-9, 0x1.36d05d1a79e0bp-9, 0x1.2ebf16ee61ac1p-9, 0x1.26e04475f902cp-9, 0x1.1f32c4cf24a3dp-9, 0x1.17b57cc8f1564p-9, 0x1.106756cbfe45bp-9, 0x1.094742c325dbbp-9, 0x1.025436046486p-9, 0x1.f71a56740cd5dp-10, 0x1.e9e2449818928p-10, 0x1.dcfe4093b1ee3p-10, 0x1.d06c5ea83879fp-10, 0x1.c42abd0dfcdd1p-10, 0x1.b83783c918603p-10, 0x1.ac90e47ed255ap-10, 0x1.a1351a4b78597p-10, 0x1.96226998c34dcp-10, 0x1.8b571ff4b8311p-10, 0x1.80d193e914909p-10, 0x1.769024d33132fp-10, 0x1.6c913abc717ffp-10, 0x1.62d346332b609p-10, 0x1.5954c024163aep-10, 0x1.501429b43b683p-10, 0x1.47100c1b6164ep-10, 0x1.3e46f87efe1bp-10, 0x1.35b787cda1a67p-10, 0x1.2d605a9ae5f37p-10, 0x1.254018fbdc77ap-10, 0x1.1d557263f4634p-10, 0x1.159f1d82612cep-10, 0x1.0e1bd82003b78p-10, 0x1.06ca66fdc0afbp-10, 0x1.ff532b66c28eap-11, 0x1.f1706d1dccacdp-11, 0x1.e3ea44e8a7013p-11, 0x1.d6be717befc98p-11, 0x1.c9eabe3a56a88p-11, 0x1.bd6d02f706ac1p-11, 0x1.b14323b8fc89cp-11, 0x1.a56b107f45b2p-11, 0x1.99e2c50628e58p-11, 0x1.8ea8488d347a5p-11, 0x1.83b9ad9e312f3p-11, 0x1.791511d4f5ba2p-11, 0x1.6eb89da81e387p-11, 0x1.64a284329e0b9p-11, 0x1.5ad102fe2f837p-11, 0x1.514261ce9edbfp-11, 0x1.47f4f26dea794p-11, 0x1.3ee710793b508p-11, 0x1.3617212eb015p-11, 0x1.2d83933bf9239p-11, 0x1.252ade8dc5654p-11, 0x1.1d0b841ffa888p-11, 0x1.15240dceb9777p-11, 0x1.0d730e282a508p-11, 0x1.05f7203f10547p-11, 0x1.fd5dcefc3e864p-12, 0x1.ef321ef82d4c9p-12, 0x1.e16897a130ed2p-12, 0x1.d3feafd3801b8p-12, 0x1.c6f1edc4e5bf1p-12, 0x1.ba3fe6b2d662ep-12, 0x1.ade63e91f0a3ap-12, 0x1.a1e2a7bee5e71p-12, 0x1.9632e2b0ca76dp-12, 0x1.8ad4bdacc1bbap-12, 0x1.7fc6147b07f3bp-12, 0x1.7504d01d4fee6p-12, 0x1.6a8ee686770dcp-12, 0x1.60625a53827f8p-12, 0x1.567d3a85e8d26p-12, 0x1.4cdda23f1e016p-12, 0x1.4381b87d610ddp-12, 0x1.3a67afd9c78cep-12, 0x1.318dc6477b016p-12, 0x1.28f244d42fa81p-12, 0x1.20937f69c64ecp-12, 0x1.186fd4911a1bp-12, 0x1.1085ad35f467cp-12, 0x1.08d37c6c21502p-12, 0x1.0157bf35a4e96p-12, 0x1.f421f8940bd04p-13, 0x1.e5fb87bd6298bp-13, 0x1.d8395ee0dd09dp-13, 0x1.cad8c31bbb79bp-13, 0x1.bdd70b4606f28p-13, 0x1.b1319f8ba8f11p-13, 0x1.a4e5f90791285p-13, 0x1.98f1a160c7f68p-13, 0x1.8d5232697b0fp-13, 0x1.820555bff4215p-13, 0x1.7708c4716ce2bp-13, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      50, 0x1.2345e0b4e11dcp+2, 0x1.786cffda99352p+1, 0x1.016aed04657c1p+3, -0x1.234463153f2c6p-7, 
      {{
        {0x1.f8927913e8145p+1, 0x1.fa21b25755a75p+1, 0x1.45c4ffd92692ep-6, -0x1.5a94239ad9aa5p-4, 0x1.fd9d252bf60e2p-4, 0x1.81966071948d1p-6}, 
        {0x1.fa21b25755a75p+1, 0x1.fbb0ebb03cc93p+1, 0x1.352ecfd67f6eap-6, -0x1.4e1e3ec16956ap-4, 0x1.00918e4e3ff32p-3, -0x1.e3d4d8cb7292bp-4}, 
        {0x1.fbb0ebb03cc93p+1, 0x1.fd4024f3aa5c3p+1, 0x1.2533894cf8dfbp-6, -0x1.41d483dd1b0ecp-4, 0x1.ef73fddaa3bb4p-4, -0x1.3d16c87a08f43p-4}, 
        {0x1.fd4024f3aa5c3p+1, 0x1.fecf5e3717ef3p+1, 0x1.15cf2fdc194e9p-6, -0x1.35e6171e96041p-4, 0x1.e3dd0d3a52951p-4, -0x1.5f792ee28ed9cp-4}, 
        {0x1.fecf5e3717ef3p+1, 0x1.002f4bc7ff889p+2, 0x1.06fddd5d6024dp-6, -0x1.2a43e135a7bf1p-4, 0x1.d704624288585p-4, -0x1.4e0df3ae36747p-4}, 
        {0x1.002f4bc7ff889p+2, 0x1.00f6e869b6521p+2, 0x1.f17783c88b9a6p-7, -0x1.1eefd0a437ed1p-4, 0x1.caceb2cb0b3c7p-4, -0x1.48301a7fc49f4p-4}, 
        {0x1.00f6e869b6521p+2, 0x1.01be850b6d1b9p+2, 0x1.d60a46a090685p-7, -0x1.13e73f167e0a4p-4, 0x1.becfe87c52a23p-4, -0x1.3fcbd73e24a6cp-4}, 
        {0x1.01be850b6d1b9p+2, 0x1.028621b7e0ac8p+2, 0x1.bbacb9190151ep-7, -0x1.09288bd4431adp-4, 0x1.b31fa30dc291ap-4, -0x1.3a65cbcc74411p-4}, 
        {0x1.028621b7e0ac8p+2, 0x1.034dbe599776p+2, 0x1.a257bbc434fa6p-7, -0x1.fd6447baf334fp-5, 0x1.a7a1e086d53e6p-4, -0x1.31a1858b4e55ep-4}, 
        {0x1.034dbe599776p+2, 0x1.04155afb4e3f8p+2, 0x1.8a045801de4c6p-7, -0x1.e904d5dce1b6bp-5, 0x1.9c7625db33907p-4, -0x1.2ab905b2d4fedp-4}, 
        {0x1.04155afb4e3f8p+2, 0x1.04dcf7a7c1d07p+2, 0x1.72abbfff0c79bp-7, -0x1.d52f2e069c1fcp-5, 0x1.918b0eb0a5e2cp-4, -0x1.25376362061fdp-4}, 
        {0x1.04dcf7a7c1d07p+2, 0x1.05a494497899fp+2, 0x1.5c474dda43fcep-7, -0x1.c1e07a99383ep-5, 0x1.86d37c9e4dccdp-4, -0x1.1cea43b7a4305p-4}, 
        {0x1.05a494497899fp+2, 0x1.066c30eb2f637p+2, 0x1.46d082961d3a6p-7, -0x1.af1597c0e6a81p-5, 0x1.7c69977dd06dbp-4, -0x1.168b74590a024p-4}, 
        {0x1.066c30eb2f637p+2, 0x1.0733cd97a2f46p+2, 0x1.324106503e406p-7, -0x1.9ccb2c1b58a49p-5, 0x1.723b4d8948028p-4, -0x1.1108177985608p-4}, 
        {0x1.0733cd97a2f46p+2, 0x1.07fb6a3959bdep+2, 0x1.1e92a69a0ae92p-7, -0x1.8afe811db5663p-5, 0x1.684098e40a7dep-4, -0x1.0981153b34488p-4}, 
        {0x1.07fb6a3959bdep+2, 0x1.08c306db10876p+2, 0x1.0bbf5641ab1b2p-7, -0x1.79ac9f910754p-5, 0x1.5e8c536d75ecp-4, -0x1.03512db763814p-4}, 
        {0x1.08c306db10876p+2, 0x1.098aa38784185p+2, 0x1.f382590d43d4ap-8, -0x1.68d2660504081p-5, 0x1.5511f23fae6fep-4, -0x1.fc2fa42c7b242p-5}, 
        {0x1.098aa38784185p+2, 0x1.0a5240293ae1dp+2, 0x1.d124c8c8c4721p-8, -0x1.586d39930ec96p-5, 0x1.4bc871f7c6326p-4, -0x1.ee22be5ac88d3p-5}, 
        {0x1.0a5240293ae1dp+2, 0x1.0b19dccaf1ab5p+2, 0x1.b05ab7dac2f1cp-8, -0x1.487a510c85d06p-5, 0x1.42c0adec0ec6fp-4, -0x1.e2759763b90a4p-5}, 
        {0x1.0b19dccaf1ab5p+2, 0x1.0be17977653c4p+2, 0x1.911927155b179p-8, -0x1.38f6bcc210f22p-5, 0x1.39ef8a556b87fp-4, -0x1.d888bb1737e0cp-5}, 
        {0x1.0be17977653c4p+2, 0x1.0ca916191c05cp+2, 0x1.73555aa3004ap-8, -0x1.29e0057ef6d7cp-5, 0x1.314cd572fe188p-4, -0x1.cb71ea740cfd6p-5}, 
        {0x1.0ca916191c05cp+2, 0x1.0d70b2bad2cf4p+2, 0x1.5704d890a813ep-8, -0x1.1b338d406fcecp-5, 0x1.28e75d7d9b753p-4, -0x1.c07d9aa1010efp-5}, 
        {0x1.0d70b2bad2cf4p+2, 0x1.0e384f6746603p+2, 0x1.3c1d6783efa6bp-8, -0x1.0cee9589180eap-5, 0x1.20b5253b4fd64p-4, -0x1.b71508b62cc1cp-5}, 
        {0x1.0e384f6746603p+2, 0x1.0effec08fd29bp+2, 0x1.22950d50451bdp-8, -0x1.fe1d96b74c5cep-6, 0x1.18aef0cd143a1p-4, -0x1.aaed2b799ff12p-5}, 
        {0x1.0effec08fd29bp+2, 0x1.0fc788aab3f33p+2, 0x1.0a620d7613375p-8, -0x1.e32375cbd06bcp-6, 0x1.10e19b5b08137p-4, -0x1.a0bfacbd9971ep-5}, 
        {0x1.0fc788aab3f33p+2, 0x1.108f255727843p+2, 0x1.e6f5cff3c6526p-9, -0x1.c8e9af45ca7d5p-6, 0x1.0943e376ff88fp-4, -0x1.97cdea5e74401p-5}, 
        {0x1.108f255727843p+2, 0x1.1156c1f8de4dbp+2, 0x1.bbacaf85181f3p-9, -0x1.af6be5b42adb2p-6, 0x1.01d00396bb69bp-4, -0x1.8ca9030663b7ap-5}, 
        {0x1.1156c1f8de4dbp+2, 0x1.121e5e9a95173p+2, 0x1.92d6a29eb0f1bp-9, -0x1.96a5875597465p-6, 0x1.f5208e4a86f33p-5, -0x1.832ac76db36adp-5}, 
        {0x1.121e5e9a95173p+2, 0x1.12e5fb4708a82p+2, 0x1.6c6202b05cca5p-9, -0x1.7e91de3fa8d63p-6, 0x1.e6f9e89e8d2c7p-5, -0x1.7ac086c182943p-5}, 
        {0x1.12e5fb4708a82p+2, 0x1.13ad97e8bf71ap+2, 0x1.483d96c571115p-9, -0x1.672cd3f854d9dp-6, 0x1.d921ff1ffaaddp-5, -0x1.708cc098e0c43p-5}, 
        {0x1.13ad97e8bf71ap+2, 0x1.1475348a763b2p+2, 0x1.265890db1a1aap-9, -0x1.50722c63768bp-6, 0x1.cba98c3c6c37fp-5, -0x1.67cf4d13fc10dp-5}, 
        {0x1.1475348a763b2p+2, 0x1.153cd136e9cc1p+2, 0x1.06a28af4b029ap-9, -0x1.3a5d94a1c5ee1p-6, 0x1.be82e0be0ec9cp-5, -0x1.5fe721e983e61p-5}, 
        {0x1.153cd136e9cc1p+2, 0x1.16046dd8a0959p+2, 0x1.d217086018eafp-10, -0x1.24eb3ff042d64p-6, 0x1.b1a6304ee6b99p-5, -0x1.56a9e27d3a7ecp-5}, 
        {0x1.16046dd8a0959p+2, 0x1.16cc0a7a575f1p+2, 0x1.9b07bce799583p-10, -0x1.101747da91ebep-6, 0x1.a51ff3ba6449p-5, -0x1.4e9bb864c2776p-5}, 
        {0x1.16cc0a7a575f1p+2, 0x1.1793a726cafp+2, 0x1.67f8b65763eddp-10, -0x1.f7bb7390b069bp-7, 0x1.98e5166b31d59p-5, -0x1.47483c503b981p-5}, 
        {0x1.1793a726cafp+2, 0x1.185b43c881b98p+2, 0x1.38cc3169d7fc8p-10, -0x1.d07625d88c038p-7, 0x1.8ceec502b907dp-5, -0x1.3ef750ee8c07p-5}, 
        {0x1.185b43c881b98p+2, 0x1.1922e06a3883p+2, 0x1.0d651f94c7da1p-10, -0x1.aa5788cfe3be9p-7, 0x1.81464421689bcp-5, -0x1.37982e079d5d6p-5}, 
        {0x1.1922e06a3883p+2, 0x1.19ea7d16ac13fp+2, 0x1.cb4e40fba2086p-11, -0x1.8558730b634d2p-7, 0x1.75e2bcd13ab77p-5, -0x1.30e74d4eb9202p-5}, 
        {0x1.19ea7d16ac13fp+2, 0x1.1ab219b862dd7p+2, 0x1.82ecfaa4fa80ap-11, -0x1.6172791379d33p-7, 0x1.6abdcff7f67b5p-5, -0x1.296c65fb86025p-5}, 
        {0x1.1ab219b862dd7p+2, 0x1.1b79b65a19a6fp+2, 0x1.417045a446aeap-11, -0x1.3e9f288ac69c9p-7, 0x1.5fdee1196c0e4p-5, -0x1.22cf36f207c2fp-5}, 
        {0x1.1b79b65a19a6fp+2, 0x1.1c4153068d37ep+2, 0x1.06a33779df06fp-11, -0x1.1cd8123c5b07ep-7, 0x1.553dd505310edp-5, -0x1.1cb47bd2ec39dp-5}, 
        {0x1.1c4153068d37ep+2, 0x1.1d08efa844016p+2, 0x1.a4a42d986c46ep-12, -0x1.f82ecf868574ep-8, 0x1.4ad5e68ce6a35p-5, -0x1.1617369791eccp-5}, 
        {0x1.1d08efa844016p+2, 0x1.1dd08c49facaep+2, 0x1.4894a02245a5cp-12, -0x1.b8aebfe501484p-8, 0x1.40abdc3de3a91p-5, -0x1.103edf12dab9dp-5}, 
        {0x1.1dd08c49facaep+2, 0x1.1e9828f66e5bdp+2, 0x1.f169a9d2f307ep-13, -0x1.7b249525ae007p-8, 0x1.36b882e9916f9p-5, -0x1.0a98576df5d7dp-5}, 
        {0x1.1e9828f66e5bdp+2, 0x1.1f5fc59825255p+2, 0x1.6947f34742f7ap-13, -0x1.3f85d04bb7bd1p-8, 0x1.2cfa07f4f3f0ep-5, -0x1.0564ee419b9e9p-5}, 
        {0x1.1f5fc59825255p+2, 0x1.20276239dbeedp+2, 0x1.f00d147f8c849p-14, -0x1.05c892560b63bp-8, 0x1.236c3746f4516p-5, -0x1.fc7cdbd265fc9p-6}, 
        {0x1.20276239dbeedp+2, 0x1.20eefee64f7fcp+2, 0x1.39d782b378594p-14, -0x1.9bc328d64b3c5p-9, 0x1.1a214e3debbdp-5, -0x1.00c695131105bp-5}, 
        {0x1.20eefee64f7fcp+2, 0x1.21b69b8806494p+2, 0x1.5d0692e21be2ep-15, -0x1.2f993ad12572ep-9, 0x1.10beb40f83b5dp-5, -0x1.c06e10d2a3b0dp-6}, 
        {0x1.21b69b8806494p+2, 0x1.227e3829bd12cp+2, 0x1.32ae65c73830bp-16, -0x1.8db941941eda1p-10, 0x1.088cc47eff557p-5, -0x1.430e97c85b7e8p-5}, 
        {0x1.227e3829bd12cp+2, 0x1.2345e0b4e11dcp+2, 0x1.2f263a9d094c7p-18, -0x1.8818e6d8c01ddp-11, 0x1.f97bf8e71cab1p-6, -0x1.2b9c9fc60f54p+1}, 
      }}, 
      0x1.85be7e4763197p+8, -0x1.f92d981459f32p+13
    }
  };
  // clang-format on
}
SkfData params_hyb_0_2_h_as() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.3f9d79ca1d669p-5, -0x1.252b82ff378b7p-5, -0x1.03db5ac5a37b6p-5, -0x1.b85f2a123d796p-6, -0x1.5d60a52071b96p-6, -0x1.efa7d5beca5b8p-7, -0x1.11a4335bdad83p-7, -0x1.16ec1175a4ff2p-10, 0x1.b524aea2acabap-8, 0x1.e4a36efbce384p-7, 0x1.7cb390fcef367p-6, 0x1.05c28ebf6e761p-5, 0x1.4ef4f8b4c8deap-5, 0x1.9989cd12d2853p-5, 0x1.e52180cbde0aap-5, 0x1.18b2256cd64dfp-4, 0x1.3f00c64eac141p-4, 0x1.6557757eaf27bp-4, 0x1.8b93dbb4fda5bp-4, 0x1.b19695422ec37p-4, 0x1.d74380ea50d36p-4, 0x1.fc81baf4e5105p-4, 0x1.109de06e5de25p-3, 0x1.22ae72828be6p-3, 0x1.3469a68cb58bap-3, 0x1.45c7ac3c2d8b6p-3, 0x1.56c1bc1d7f93dp-3, 0x1.6751fbf7945b6p-3, 0x1.7773637d7d823p-3, 0x1.8721a702cc82p-3, 0x1.96592900e2b8ap-3, 0x1.a516f0297e77fp-3, 0x1.b3589ed63a919p-3, 0x1.c11c69197edd5p-3, 0x1.ce61085b4cbc5p-3, 0x1.db25ad8c31508p-3, 0x1.e769f419ad395p-3, 0x1.f32dd737f6275p-3, 0x1.fe71a996b2883p-3, 0x1.049b0745c9be5p-2, 0x1.09bdf9db0aea5p-2, 0x1.0ea245567b173p-2, 0x1.1348a15dc4a36p-2, 0x1.17b1e164c9359p-2, 0x1.1bdef1b129768p-2, 0x1.1fd0d45ba85b3p-2, 0x1.23889e493d571p-2, 0x1.2707742ce366cp-2, 0x1.2a4e87b11412bp-2, 0x1.2d5f14e363686p-2, 0x1.303a5ff006574p-2, 0x1.32e1b33370fc5p-2, 0x1.35565da758c74p-2, 0x1.3799b1ac35b3bp-2, 0x1.39ad0420c5487p-2, 0x1.3b91aba360312p-2, 0x1.3d48ffccad513p-2, 0x1.3ed4583d14d34p-2, 0x1.40350b751cd16p-2, 0x1.416c6d94e8412p-2, 0x1.427bcf354fd8bp-2, 0x1.43647c8a13514p-2, 0x1.4427bce36bbd5p-2, 0x1.44c6c6a72259dp-2, 0x1.4542e0f8598cfp-2, 0x1.459d47a3bee3ep-2, 0x1.45d72fef196fbp-2, 0x1.45f1c8b2ba65ep-2, 0x1.45ee39a0f14f4p-2, 0x1.45cda2d3086e6p-2, 0x1.45911ca9a1be6p-2, 0x1.4539b7f85ca09p-2, 0x1.44c87e63e2f76p-2, 0x1.443e72d19cceep-2, 0x1.439c91ca2834ep-2, 0x1.42e3d1b8d715p-2, 0x1.421522ff32861p-2, 0x1.41316fdfea57ep-2, 0x1.40399c4dc04cp-2, 0x1.3f2e85af7ab6ap-2, 0x1.3e1102a9a61a3p-2, 0x1.3ce1e2fb27807p-2, 0x1.3ba1ef73d963p-2, 0x1.3a51ea06726eep-2, 0x1.38f28df203addp-2, 0x1.37848ffc37a9ap-2, 0x1.36089eb459d73p-2, 0x1.347f62b7c3207p-2, 0x1.32e97ef20346dp-2, 0x1.314790d5604dcp-2, 0x1.2f9a308a7e388p-2, 0x1.2de1f117cec11p-2, 0x1.2c1f608288c1fp-2, 0x1.2a5307eb6e0fp-2, 0x1.287d6ba991d09p-2, 0x1.269f0b64fa5d7p-2, 0x1.24b8623254a3ep-2, 0x1.22c9e6b060b29p-2, 0x1.20d40b273ef5fp-2, 0x1.1ed73da967a1bp-2, 0x1.1cd3e835de526p-2, 0x1.1aca70db257p-2, 0x1.18bb39da7d366p-2, 0x1.16a6a1cafb284p-2, 0x1.148d03bc34702p-2, 0x1.126eb758337ecp-2, 0x1.104c110491c21p-2, 0x1.0e25620299506p-2, 0x1.0bfaf88e56c5dp-2, 0x1.09cd1ffc94bd3p-2, 0x1.079c20d7bb2b2p-2, 0x1.056840fb96216p-2, 0x1.0331c3b0077dbp-2, 0x1.00f8e9c2af659p-2, 0x1.fd7be33f3888ep-3, 0x1.f9022ed20579dp-3, 0x1.f4852a1c19e47p-3, 0x1.f00544c1a7446p-3, 0x1.eb82ea56ede49p-3, 0x1.e6fe8288dabbbp-3, 0x1.e2787144134dcp-3, 0x1.ddf116da75ba2p-3, 0x1.d968d02722136p-3, 0x1.d4dff6b123dedp-3, 0x1.d056e0cce4327p-3, 0x1.cbcde1bb985f9p-3, 0x1.c74549cb52762p-3, 0x1.c2bd667380bfbp-3, 0x1.be3682722976ap-3, 0x1.b9b0e5e75fbb6p-3, 0x1.b52cd66fb34b3p-3, 0x1.b0aa973ddb2e9p-3, 0x1.ac2a6932f6e2dp-3, 0x1.a7ac8af63adc2p-3, 0x1.a331390b0e911p-3, 0x1.9eb8ade6a8577p-3, 0x1.9a4322043edb4p-3, 0x1.95d0cbf85cebcp-3, 0x1.9161e0832ac39p-3, 0x1.8cf692a14c093p-3, 0x1.888f13a672b4ep-3, 0x1.842b932043e51p-3, 0x1.7fcc3f39bd34fp-3, 0x1.7b71447664cccp-3, 0x1.771acde7fcccp-3, 0x1.72c90532d4f48p-3, 0x1.6e7c12997a378p-3, 0x1.6a34d7ddd2648p-3, 0x1.65f2175b3e132p-3, 0x1.61b49ebb78e2dp-3, 0x1.5d7c9107c7d42p-3, 0x1.594a101550f0dp-3, 0x1.551d3c8d88191p-3, 0x1.50f635f628964p-3, 0x1.4cd51ab8bb734p-3, 0x1.48ba0829b2846p-3, 0x1.44a51a8f29b78p-3, 0x1.40966d2748832p-3, 0x1.3c8e1a2e542b4p-3, 0x1.388c3ae47f2d3p-3, 0x1.3490e79317b27p-3, 0x1.309c3792650f5p-3, 0x1.2cae414dd2ba2p-3, 0x1.28c71a49dd9e8p-3, 0x1.24e6d7272a014p-3, 0x1.210d8ba303ec8p-3, 0x1.1d3b4ab45ab1p-3, 0x1.1970265daff9bp-3, 0x1.15ac2fe37418dp-3, 0x1.11ef77b5d4a1dp-3, 0x1.0e3a0d7a7f622p-3, 0x1.0a8c000fc5763p-3, 0x1.06e55d901492ap-3, 0x1.034633556cc83p-3, 0x1.ff5d1bf959e22p-4, 0x1.f83cf2d1bab53p-4, 0x1.f12c018cb3c97p-4, 0x1.ea2a5d1c0490fp-4, 0x1.e33819109e358p-4, 0x1.dc5547a0cd9d6p-4, 0x1.d581f9ae3cf9ap-4, 0x1.cebe3ecc2f62ep-4, 0x1.c80a25452a721p-4, 0x1.c165ba212044cp-4, 0x1.bad10929bcc32p-4, 0x1.b44c1cf7a3a33p-4, 0x1.add6fee9d7a0ap-4, 0x1.a771b739406d9p-4, 0x1.a11c4cec6a027p-4, 0x1.9ad6c618ee9edp-4, 0x1.94a1277377ebbp-4, 0x1.8e7b7593c223dp-4, 0x1.8865b0d35d599p-4, 0x1.825fdd2cffcfap-4, 0x1.7c69fa9b6920fp-4, 0x1.768408a923aebp-4, 0x1.70ae060b9647dp-4, 0x1.6ae7f07bea8e4p-4, 0x1.6531c4c34e2e9p-4, 0x1.5f8b7ec07596fp-4, 0x1.59f5196c970cap-4, 0x1.546e8ee047243p-4, 0x1.4ef7d8583e01ap-4, 0x1.4990ee3a0342ep-4, 0x1.4439c817e9fedp-4, 0x1.3ef25cb8cbb6ep-4, 0x1.39baa21607003p-4, 0x1.34928d65f9173p-4, 0x1.2f7a131d70307p-4, 0x1.2a7126f3fd23ep-4, 0x1.2577bbe4e334cp-4, 0x1.208dc4457a054p-4, 0x1.1bb331a250042p-4, 0x1.16e7f4ea7418p-4, 0x1.122bfe5ab3605p-4, 0x1.0d7f3d9b3b4f3p-4, 0x1.08e1a19757a2p-4, 0x1.045318ab9d567p-4, 0x1.ffa721c7a52d1p-5, 0x1.f6c5eced7aae6p-5, 0x1.ee026dbd6b891p-5, 0x1.e55c7b8fc9f58p-5, 0x1.dcd3edd72cf63p-5, 0x1.d4689880aeec6p-5, 0x1.cc1a5202cc28ep-5, 0x1.c3e8ed5ec59cep-5, 0x1.bbd43d268a4a5p-5, 0x1.b3dc13049fdd8p-5, 0x1.ac003f3823f52p-5, 0x1.a44091ac32172p-5, 0x1.9c9cd8ebb57b8p-5, 0x1.9514e2afe238fp-5, 0x1.8da87bca1d07bp-5, 0x1.86577025800adp-5, 0x1.7f218ae07f83ep-5, 0x1.7806962ceae67p-5, 0x1.71065b7754347p-5, 0x1.6a20a363e6668p-5, 0x1.635535c360b0ap-5, 0x1.5ca3db9093aep-5, 0x1.560c55af6a4d7p-5, 0x1.4f8e6f4ecf8c9p-5, 0x1.4929eba1efc2ep-5, 0x1.42de8f098f83ep-5, 0x1.3cac1d54ef3aap-5, 0x1.369259a7f8b93p-5, 0x1.309106bb4366p-5, 0x1.2aa7e69ac00bdp-5, 0x1.24d6baeebacap-5, 0x1.1f1d44e3e292ap-5, 0x1.197b45360ff95p-5, 0x1.13f07c4173993p-5, 0x1.0e7caa05c16e8p-5, 0x1.091f8e2751001p-5, 0x1.03d8e82b6a83cp-5, 0x1.fd50ee2f4b958p-6, 0x1.f31bf3cec77ebp-6, 0x1.e9125eb76ec35p-6, 0x1.df33ac46c3f09p-6, 0x1.d57f5a1d24a98p-6, 0x1.cbf4e34a6e14dp-6, 0x1.c293c6ac7df4cp-6, 0x1.b95b7f9996df5p-6, 0x1.b04b8e0ca0298p-6, 0x1.a7636c795bdcfp-6, 0x1.9ea2994cf3242p-6, 0x1.96089279dcaaap-6, 0x1.8d94d63130a0bp-6, 0x1.8546e2e8b58c2p-6, 0x1.7d1e38f8096e8p-6, 0x1.751a5736c9266p-6, 0x1.6d3abeb015b86p-6, 0x1.657ef0910c8d3p-6, 0x1.5de66f104c392p-6, 0x1.5670bd1c000b2p-6, 0x1.4f1d5e7c93663p-6, 0x1.47ebd7ffa593dp-6, 0x1.40dbaf63cb1afp-6, 0x1.39ec6b73675eep-6, 0x1.331d9403bca9fp-6, 0x1.2c6eb1e03f0a8p-6, 0x1.25df4f5a21b27p-6, 0x1.1f6ef759b01e2p-6, 0x1.191d364fec34fp-6, 0x1.12e999b3ab80fp-6, 0x1.0cd3b0411cb29p-6, 0x1.06db09dc4a77bp-6, 0x1.00ff37a493b3cp-6, 0x1.f67f97d709d81p-7, 0x1.eb38b485d219ap-7, 0x1.e028eedfe2289p-7, 0x1.d54f727b96502p-7, 0x1.caab6eaa8f21dp-7, 0x1.c03c134402fc6p-7, 0x1.b60093ac5c2p-7, 0x1.abf825636692bp-7, 0x1.a222001f86a13p-7, 0x1.987d5e421dd08p-7, 0x1.8f097bde0bf88p-7, 0x1.85c597a2e194p-7, 0x1.7cb0f25737a7dp-7, 0x1.73cacee236bd7p-7, 0x1.6b1272818c45ep-7, 0x1.6287246580f7cp-7, 0x1.5a282d3cc2501p-7, 0x1.51f4da5a8665p-7, 0x1.49ec7426f214dp-7, 0x1.420e4e63fbe8fp-7, 0x1.3a59b8955a077p-7, 0x1.32ce05aa625cbp-7, 0x1.2b6a8a56340e5p-7, 0x1.242e9d69ab3b2p-7, 0x1.1d199711070a7p-7, 0x1.162ad17b34ef4p-7, 0x1.0f61a8894f9f9p-7, 0x1.08b88a8dc6a6bp-7, 0x1.023b3b519bb6bp-7, 0x1.f7c30ae2bf6b7p-8, 0x1.eb55973477411p-8, 0x1.df2ce370adeap-8, 0x1.d347bbde07ac5p-8, 0x1.c7a4ef288d386p-8, 0x1.bc43500bd3b39p-8, 0x1.b121b45ac76f1p-8, 0x1.a63ef8a7fc64fp-8, 0x1.9b99efe3b020fp-8, 0x1.913183a41be1cp-8, 0x1.87049387901d4p-8, 0x1.7d12062410923p-8, 0x1.7358c53615e2ap-8, 0x1.69d7bdc49a948p-8, 0x1.608de23f48118p-8, 0x1.577a1fbb17347p-8, 0x1.4e9b745d2b633p-8, 0x1.45f0d6b7f2ab5p-8, 0x1.3d79472ceb175p-8, 0x1.3533c3e455785p-8, 0x1.2d1f53d1b49b9p-8, 0x1.253afd234c1a1p-8, 0x1.1d85cbd8c2bd7p-8, 0x1.15fecf35f3c8cp-8, 0x1.0ea518f64a914p-8, 0x1.0777bf3ebf93cp-8, 0x1.0075db65e1d7bp-8, 0x1.f33d18b51e2d8p-9, 0x1.e5e1d9a908186p-9, 0x1.d8d84d3fda156p-9, 0x1.cc1ebeed5bd13p-9, 0x1.bfb3851f7ce88p-9, 0x1.b394fc9fa4594p-9, 0x1.a7c18c70bab61p-9, 0x1.9c379e3b3e568p-9, 0x1.90f5a56e6d9bep-9, 0x1.85fa1b646fb0bp-9, 0x1.7b4382d0f690bp-9, 0x1.70d061f2bd4f8p-9, 0x1.669f47e1d9374p-9, 0x1.5caeca3ce732dp-9, 0x1.52fd851f79488p-9, 0x1.498a1b6dbdc4ep-9, 0x1.405336889e13fp-9, 0x1.37578643967d5p-9, 0x1.2e95c0b3ea47fp-9, 0x1.260ca2820440fp-9, 0x1.1dbaed695852dp-9, 0x1.159f6a8cc38c6p-9, 0x1.0db8e81b58b48p-9, 0x1.060638ebeefc6p-9, 0x1.fd0c75818720dp-10, 0x1.ee6f922ee25cep-10, 0x1.e033937d3d148p-10, 0x1.d2564de2d35fdp-10, 0x1.c4d59ffe94db7p-10, 0x1.b7af720ead87dp-10, 0x1.aae1b8b15ba1dp-10, 0x1.9e6a6ec98b7dbp-10, 0x1.92479b3acba4dp-10, 0x1.86774dbfc2b0cp-10, 0x1.7af79f59c901p-10, 0x1.6fc6b1eac5f51p-10, 0x1.64e2b0da45b3ep-10, 0x1.5a49cfb74be4ep-10, 0x1.4ffa4a1d33232p-10, 0x1.45f268b0a4e6dp-10, 0x1.3c306bfa2ad9bp-10, 0x1.32b2c4f831942p-10, 0x1.2977b777af85p-10, 0x1.207db1c7ef2bap-10, 0x1.17c3218edb7f4p-10, 0x1.0f467c33afb0ep-10, 0x1.07063eccc0d11p-10, 0x1.fe01dc2330298p-11, 0x1.ee6a2c2676784p-11, 0x1.df4294b84124ep-11, 0x1.d0884bbdb3848p-11, 0x1.c2389533251c6p-11, 0x1.b450c33c70051p-11, 0x1.a6ce36a989e59p-11, 0x1.99ae5de516fa7p-11, 0x1.8ceeb43f759c1p-11, 0x1.808cc32e4c545p-11, 0x1.7486220a3cee1p-11, 0x1.68d86e54c1062p-11, 0x1.5d816b5e7438bp-11, 0x1.527ec5c32ca6dp-11, 0x1.47ce4c37e234ap-11, 0x1.3d6dd6540b655p-11, 0x1.335b561797d46p-11, 0x1.29948e07ffd3cp-11, 0x1.2017a5f1b0215p-11, 0x1.16e295d02ca16p-11, 0x1.0df370155742p-11, 0x1.054851f7098dfp-11, 0x1.f9bec9d43742bp-12, 0x1.e96db930e37a2p-12, 0x1.d999ef6bc53abp-12, 0x1.ca3fffb47a357p-12, 0x1.bb5c8eeeab7b6p-12, 0x1.acec5ba331a6ep-12, 0x1.9eec34c7601f2p-12, 0x1.9158f383114c1p-12, 0x1.842fabcf88424p-12, 0x1.776d51a82883cp-12, 0x1.6b0eb7cf8f1dep-12, 0x1.5f11f08a990efp-12, 0x1.53735d17de38ep-12, 0x1.48309a534bff7p-12, 0x1.3d470c312e043p-12, 0x1.32b42773ef7d4p-12, 0x1.287543d6d6e72p-12, 0x1.1e887e807057fp-12, 0x1.14eaf4fc24d43p-12, 0x1.0b9a894f954d6p-12, 0x1.0294ff58a387dp-12, 0x1.f3b053b663772p-13, 0x1.e2c3d42754f6ap-13, 0x1.d2605a1855ab8p-13, 0x1.c281e74e40517p-13, 0x1.b3249c85a85f7p-13, 0x1.a444967aae48p-13, 0x1.95de28b7b54b5p-13, 0x1.87edaf951bdc7p-13, 0x1.7a6fb1e6b202fp-13, 0x1.6d60c8ab1933ep-13, 0x1.60bd8a11ce0b6p-13, 0x1.5482bab176b3fp-13, 0x1.48ad6d2eecb45p-13, 0x1.3d3a5c211c419p-13, 0x1.322690f2db14bp-13, 0x1.276f32629af8ap-13, 0x1.1d116e9ffcf33p-13, 0x1.130a89172d8ap-13, 0x1.0957d7eae32d5p-13, 0x1.ffed90c4ce1ebp-14, 0x1.edc9aa024f7fap-14, 0x1.dc3f1bb6b6e27p-14, 0x1.cb4927ba07fcfp-14, 0x1.bae332799ed95p-14, 0x1.ab08c21013574p-14, 0x1.9bb57d711c5f2p-14, 0x1.8ce52ba8d410dp-14, 0x1.7e93bb4c6e7a6p-14, 0x1.70bd1ba6cdf57p-14, 0x1.635d7afece2a8p-14, 0x1.56711c72a6461p-14, 0x1.49f44471f73c2p-14, 0x1.3de39e574e05ap-14, 0x1.323b95ba4df8ep-14, 0x1.26f8d1ac4d6e6p-14, 0x1.1c181ebdb5667p-14, 0x1.11965801f1d9p-14, 0x1.07707616bab3fp-14, 0x1.fb4713141d1bp-15, 0x1.e859595bbd103p-15, 0x1.d61238fdb886p-15, 0x1.c46c4fb07c487p-15, 0x1.b362650a10927p-15, 0x1.a2ef705797602p-15, 0x1.930e9081e4032p-15, 0x1.83bac1f2f952cp-15, 0x1.74efb7211ced3p-15, 0x1.66a8a0078ead1p-15, 0x1.58e1ad224957bp-15, 0x1.4b968f113260dp-15, 0x1.3ec2d685a4a3bp-15, 0x1.3262c54c0d52dp-15, 0x1.26728bdc68b43p-15, 0x1.1aee78458704ep-15, 0x1.0fd2f6468385ap-15, 0x1.051c8e968a6cdp-15, 0x1.f58fd09778fd3p-16, 0x1.e1a16e454b41cp-16, 0x1.ce6dd7bacb9bcp-16, 0x1.bbe8d24084d13p-16, 0x1.aa0e81d0ed2cdp-16, 0x1.98d3cd6168ab2p-16, 0x1.88430014564f6p-16, 0x1.7847a20ac5119p-16, 0x1.68e0e1f024dfbp-16, 0x1.5a0a1389d9697p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.fb3f1b3bb6596p-3, -0x1.00aecffca62c8p-2, -0x1.046a9884ba2c8p-2, -0x1.08c3b56b038cfp-2, -0x1.0daa193e0eaf5p-2, -0x1.130d7c7e5c54ap-2, -0x1.18dd8a7cf4fb1p-2, -0x1.1f0a2394fe81cp-2, -0x1.2583bd9b28aeap-2, -0x1.2c3b87b4f6ad7p-2, -0x1.33236d1b8f0d3p-2, -0x1.3a2e2c2146164p-2, -0x1.414f75d49a82fp-2, -0x1.487bf45ad637ap-2, -0x1.4fa933444db3ep-2, -0x1.56cd8fde1c20ap-2, -0x1.5de04807b8042p-2, -0x1.64d98884475cap-2, -0x1.6bb26083bf7e5p-2, -0x1.7264a770c8602p-2, -0x1.78eae6fad357fp-2, -0x1.7f40451be09c9p-2, -0x1.85607a0e64d5ap-2, -0x1.8b4803f6613a1p-2, -0x1.90f3dc861aab6p-2, -0x1.9661791ee837ap-2, -0x1.9b8ec0ca836fp-2, -0x1.a07a05893b1a2p-2, -0x1.a521fe58726c8p-2, -0x1.a985bf50b5f39p-2, -0x1.ada4af78322dbp-2, -0x1.b17e7e550443cp-2, -0x1.b5131b6e37abep-2, -0x1.b862b016dab72p-2, -0x1.bb6d9a72fae84p-2, -0x1.be3468cdb48d6p-2, -0x1.c0b7d526d364ap-2, -0x1.c2f8c1220e4fdp-2, -0x1.c4f8322a0e43fp-2, -0x1.c6b74d5a62e8ap-2, -0x1.c8375308100ddp-2, -0x1.c9799a43b389cp-2, -0x1.ca7f8ceb9c9p-2, -0x1.cb4aa4a2eab5cp-2, -0x1.cbdc68876c795p-2, -0x1.cc366b32e14acp-2, -0x1.cc5a48a3b55f1p-2, -0x1.cc49a3f2ed69p-2, -0x1.cc0624ff6640ep-2, -0x1.cb91764b21d0fp-2, -0x1.caed43332d8cp-2, -0x1.ca1b36891f1ccp-2, -0x1.c91cf97be1fc1p-2, -0x1.c7f432b276266p-2, -0x1.c6a2857ac8f86p-2, -0x1.c52990f5055e3p-2, -0x1.c38aef2f6ce37p-2, -0x1.c1c8343655abbp-2, -0x1.bfe2ed2b22e79p-2, -0x1.bddc9f7da29e4p-2, -0x1.bbb6c86068983p-2, -0x1.b972dc8307449p-2, -0x1.b7124809b3318p-2, -0x1.b496663940fe5p-2, -0x1.b2009e606c2c9p-2, -0x1.af5242031db7bp-2, -0x1.ac8c9cc1cf181p-2, -0x1.a9b0f11853344p-2, -0x1.a6c07803d2d0ap-2, -0x1.a3bc60d5244f9p-2, -0x1.a0a5d139414acp-2, -0x1.9d7de5726999p-2, -0x1.9a45b0b1050ap-2, -0x1.96fe3d7659418p-2, -0x1.93a88dece4de6p-2, -0x1.90459c28fc17bp-2, -0x1.8cd65a4d082cfp-2, -0x1.895bb2952409dp-2, -0x1.85d687536ea6cp-2, -0x1.8247b2e8ccd21p-2, -0x1.7eb007c4cfad2p-2, -0x1.7b1050744556cp-2, -0x1.77694fc1b44dfp-2, -0x1.73bbc0e6de9d9p-2, -0x1.700857cb57f17p-2, -0x1.6c4fc14a9a8a3p-2, -0x1.6892a37bd5c0dp-2, -0x1.64d19df6b2165p-2, -0x1.610d4a11e89afp-2, -0x1.5d463b1a5a95cp-2, -0x1.597cfe82ecb7bp-2, -0x1.55b21c0e8e7dp-2, -0x1.51e615f65429ep-2, -0x1.4e19690daa5b1p-2, -0x1.4a4c8ce64094p-2, -0x1.467ff3f4ced2ep-2, -0x1.42b40bb741255p-2, -0x1.3ee93cdc535a7p-2, -0x1.3b1feb6c4a94bp-2, -0x1.375876f24da05p-2, -0x1.33933aa5c454p-2, -0x1.2fd08d9337d5ep-2, -0x1.2c10c2c4401c1p-2, -0x1.2854296625cf8p-2, -0x1.249b0cef05fe7p-2, -0x1.20e5b5414f986p-2, -0x1.1d3466cd92c93p-2, -0x1.198762b2a709bp-2, -0x1.15dee6dc3c208p-2, -0x1.123b2e1ffefaep-2, -0x1.0e9c705979813p-2, -0x1.0b02e284e3803p-2, -0x1.076eb6d91182dp-2, -0x1.03e01ce0b3c02p-2, -0x1.005741930375fp-2, -0x1.f9a89ed7e170dp-3, -0x1.f2aedd07c1174p-3, -0x1.ebc1894dd9881p-3, -0x1.e4e0ead7371f8p-3, -0x1.de0d4491e88bdp-3, -0x1.d746d557c7b2p-3, -0x1.d08dd81797f7p-3, -0x1.c9e283fc790adp-3, -0x1.c3450c938cc9ap-3, -0x1.bcb5a1f03fe88p-3, -0x1.b63470cc1ea8ap-3, -0x1.afc1a2abd0f49p-3, -0x1.a95d5df98692ap-3, -0x1.a307c624ce7b4p-3, -0x1.9cc0fbbe9506ep-3, -0x1.96891c941cdc5p-3, -0x1.906043ca09778p-3, -0x1.8a4689f517f36p-3, -0x1.843c05336490ap-3, -0x1.7e40c943cb924p-3, -0x1.7854e79d70ce3p-3, -0x1.72786f85e13d6p-3, -0x1.6cab6e26b42p-3, -0x1.66edeea23ea2bp-3, -0x1.613ffa273432ap-3, -0x1.5ba1980bf21b4p-3, -0x1.5612cdbe105a9p-3, -0x1.50939f15d9fa5p-3, -0x1.4b240e2765841p-3, -0x1.45c41b723e10ap-3, -0x1.4073c5eada9b3p-3, -0x1.3b330b09bc48fp-3, -0x1.3602472da7797p-3, -0x1.30e0bc3708aecp-3, -0x1.2bcebc220e95ep-3, -0x1.26cc3ef472204p-3, -0x1.21d93b7a0f74cp-3, -0x1.1cf5a75107d65p-3, -0x1.182176f5704fap-3, -0x1.135c9dcc9a566p-3, -0x1.0ea70e2ff5841p-3, -0x1.0a00b9778d08dp-3, -0x1.0569900436d46p-3, -0x1.00e181495e799p-3, -0x1.f8d0f7ad49ee2p-4, -0x1.effcdac12603fp-4, -0x1.e746859501dfap-4, -0x1.deadd05c385bp-4, -0x1.d63291c9e75cep-4, -0x1.cdd49f1ebc5bep-4, -0x1.c593cc33a06f9p-4, -0x1.bd6febab55df4p-4, -0x1.b568cebc00911p-4, -0x1.ad7e45837421cp-4, -0x1.a5b01ef173f7ap-4, -0x1.9dfe28ddd938bp-4, -0x1.96683015557bfp-4, -0x1.8eee00668937ep-4, -0x1.878f64aec8bdcp-4, -0x1.804c26e67dce8p-4, -0x1.7924102d3b9c1p-4, -0x1.7216e8d583f97p-4, -0x1.6b24787041402p-4, -0x1.644c85d7f8143p-4, -0x1.5d8ed73bbdep-4, -0x1.56eb3229b375ap-4, -0x1.50615b99ceae2p-4, -0x1.49f117f787647p-4, -0x1.439a2b2c16742p-4, -0x1.3d5c58a6d3383p-4, -0x1.3737636c8017ep-4, -0x1.312b0e150fa8dp-4, -0x1.2b371adf8d508p-4, -0x1.255b4badc273bp-4, -0x1.1f976236262ccp-4, -0x1.19eb1fbace56fp-4, -0x1.145645e622cbfp-4, -0x1.0ed89419a4628p-4, -0x1.0971cc983ad47p-4, -0x1.0421af8c3e98ep-4, -0x1.fdcffac1df973p-5, -0x1.f388ed04d6a18p-5, -0x1.e96db690563aep-5, -0x1.df7dd8004186dp-5, -0x1.d5b8d1eab752bp-5, -0x1.cc1e24ec4cca9p-5, -0x1.c2ad51b3ed66dp-5, -0x1.b965d90e498f5p-5, -0x1.b0473bf0dcbebp-5, -0x1.a750fb838f3afp-5, -0x1.9e8299307d3fdp-5, -0x1.95db96a2f5182p-5, -0x1.8d5b75db86a09p-5, -0x1.8501b93474ca7p-5, -0x1.7ccde36af1a54p-5, -0x1.74bf77a3324a8p-5, -0x1.6cd5f98b082dep-5, -0x1.6510ed2a3678ap-5, -0x1.5d6fd722a3f3dp-5, -0x1.55f23c94e74edp-5, -0x1.4e97a34ab0505p-5, -0x1.475f91824768dp-5, -0x1.40498e2e9a50fp-5, -0x1.39552149ca969p-5, -0x1.3281d1d718177p-5, -0x1.2bcf29f8b2dabp-5, -0x1.253cb2e57d804p-5, -0x1.1ec9f75af5585p-5, -0x1.1876814035b57p-5, -0x1.1241dd99f3618p-5, -0x1.0c2b98a21e3d4p-5, -0x1.06333fc0ece8ep-5, -0x1.00586141fb9e2p-5, -0x1.f53517dc0ce1cp-6, -0x1.e9f29fc25a158p-6, -0x1.dee87b7711c0bp-6, -0x1.d415ce1b6910cp-6, -0x1.c979bc8cedae5p-6, -0x1.bf136d656d1ccp-6, -0x1.b4e2091c84bfap-6, -0x1.aae4b9d78482ep-6, -0x1.a11aab9dabbadp-6, -0x1.97830c516dcfcp-6, -0x1.8e1d0b9617fd5p-6, -0x1.84e7dd95a1d3dp-6, -0x1.7be2ae398b596p-6, -0x1.730cba69426fep-6, -0x1.6a6536ec89d51p-6, -0x1.61eb5cf956618p-6, -0x1.599e67c7d741cp-6, -0x1.517d9467e6111p-6, -0x1.49882215e3ca5p-6, -0x1.41bd51d1d2a98p-6, -0x1.3a1c66c375fc6p-6, -0x1.32a4a60f6bafp-6, -0x1.2b5556da7263bp-6, -0x1.242dc25c3326cp-6, -0x1.1d2d33d8796f8p-6, -0x1.1652f896fa657p-6, -0x1.0f9e6030bf87cp-6, -0x1.090ebbf842507p-6, -0x1.02a35f99a8423p-6, -0x1.f8b7419226dadp-7, -0x1.ec6daee39cd5cp-7, -0x1.e068bbe1b606dp-7, -0x1.d4a71e1ae0263p-7, -0x1.c92794d696585p-7, -0x1.bde8de8ec1c99p-7, -0x1.b2e9c4bd33236p-7, -0x1.a8290cba2ffbbp-7, -0x1.9da585abdd0f3p-7, -0x1.935e01e4bc134p-7, -0x1.895157d307681p-7, -0x1.7f7e61f09ab59p-7, -0x1.75e4010b0977p-7, -0x1.6c811730177b6p-7, -0x1.63548d06ec0eap-7, -0x1.5a5d4eacee93ap-7, -0x1.519a4cf1a776ap-7, -0x1.490a7cc84daf6p-7, -0x1.40acd76182898p-7, -0x1.38805a55e74eep-7, -0x1.30840771cabaep-7, -0x1.28b6e4c7c244cp-7, -0x1.2117fc9a9109fp-7, -0x1.19a65d283a29dp-7, -0x1.12611978c4481p-7, -0x1.0b4747cfff651p-7, -0x1.0458031b6af44p-7, -0x1.fb24d42705dd9p-8, -0x1.edeb3f18248d7p-8, -0x1.e10194705625cp-8, -0x1.d46629735d106p-8, -0x1.c8175b097762ap-8, -0x1.bc138dd2ff794p-8, -0x1.b0592de1387f4p-8, -0x1.a4e6ae1e135f4p-8, -0x1.99ba8aba760fcp-8, -0x1.8ed344453a1f2p-8, -0x1.842f6422fb2e2p-8, -0x1.79cd7a5421584p-8, -0x1.6fac1d85085a1p-8, -0x1.65c9ebb95a991p-8, -0x1.5c2588a9e6936p-8, -0x1.52bd9f30a9d5p-8, -0x1.4990e0628ec28p-8, -0x1.409e0393c85d3p-8, -0x1.37e3c69749d7dp-8, -0x1.2f60ed2aeca5ap-8, -0x1.27143fef49861p-8, -0x1.1efc91c857e9ep-8, -0x1.1718b058276d6p-8, -0x1.0f677db0cea24p-8, -0x1.07e7d7c9c921cp-8, -0x1.0098a476c366ep-8, -0x1.f2f19d834b3afp-9, -0x1.e50e8ee0a3609p-9, -0x1.d786077a8287ep-9, -0x1.ca55fcb447737p-9, -0x1.bd7c6dc22a90ap-9, -0x1.b0f3c08d96186p-9, -0x1.a4c466e5fb197p-9, -0x1.98e59302a49d6p-9, -0x1.8d556b1567f53p-9, -0x1.82121cef5852cp-9, -0x1.7719e10435919p-9, -0x1.6c6af71c99659p-9, -0x1.6203a8d1e769fp-9, -0x1.57e247ec18ffap-9, -0x1.4e0534242b4dap-9, -0x1.446ac0dcd0afp-9, -0x1.3b11688a86035p-9, -0x1.31f7986db7dd8p-9, -0x1.291bcbacfa2ddp-9, -0x1.207c84fc4ee05p-9, -0x1.18184ebe15ba5p-9, -0x1.0fedbe4d59533p-9, -0x1.07fb62802862ap-9, -0x1.003fe7addd34dp-9, -0x1.f173df75546b3p-10, -0x1.e2d05cf9d572ep-10, -0x1.d492a87a1babbp-10, -0x1.c6b84a39bb525p-10, -0x1.b93ebf1319ebbp-10, -0x1.ac23a09eb770fp-10, -0x1.9f6493439dae9p-10, -0x1.92ff453c81cfap-10, -0x1.86f174aced1bcp-10, -0x1.7b38eb5ead325p-10, -0x1.6fd386b762d45p-10, -0x1.64bf164e05642p-10, -0x1.59f99caa03eafp-10, -0x1.4f810ebd99f5p-10, -0x1.455373c1d6aa6p-10, -0x1.3b6edd496b7afp-10, -0x1.31d16d8cf844cp-10, -0x1.28794ab08ed7cp-10, -0x1.1f64aa485c4d3p-10, -0x1.1691cb09f081fp-10, -0x1.0dfefa2cab19bp-10, -0x1.05aa89d98c294p-10, -0x1.fb25b3b14012cp-11, -0x1.eb6ca6cfcace1p-11, -0x1.dc26d2abf8328p-11, -0x1.cd5130ac0d7c4p-11, -0x1.bee8cd053aaf1p-11, -0x1.b0eac664afa73p-11, -0x1.a3544d3798abdp-11, -0x1.9622a3ec5e0fap-11, -0x1.89531e4101c45p-11, -0x1.7ce31fd34ab7cp-11, -0x1.70d01e34f82c1p-11, -0x1.651799bb5c922p-11, -0x1.59b73386db031p-11, -0x1.4eac82f76007ap-11, -0x1.43f53dd65295bp-11, -0x1.398f25b578a87p-11, -0x1.2f7809d04d906p-11, -0x1.25adc7755dc8ep-11, -0x1.1c2e4855e666p-11, -0x1.12f784e8633b9p-11, -0x1.0a07816007805p-11, -0x1.015c4eb951952p-11, -0x1.f1e8145005bb2p-12, -0x1.e199b9475e41ap-12, -0x1.d1c9f5566ae8p-12, -0x1.c2754a9958b5ap-12, -0x1.b39848f2dfe12p-12, -0x1.a52faeb6894f8p-12, -0x1.97380bc224b63p-12, -0x1.89ae973136dfap-12, -0x1.7c8fe123a9549p-12, -0x1.6fd9059d96a1ep-12, -0x1.6387163507e4bp-12, -0x1.5797374ee6dfbp-12, -0x1.4c069fd0bb449p-12, -0x1.40d298adc4cbp-12, -0x1.35f87cb89732dp-12, -0x1.2b75b7e4577b6p-12, -0x1.2147c71eeda7ap-12, -0x1.176c37eb84c5bp-12, -0x1.0de0a7ac22e99p-12, -0x1.04a2c4c0a3f1dp-12, -0x1.f7609912ba6a4p-13, -0x1.e60e143cd881fp-13, -0x1.d549b048d79bcp-13, -0x1.c50f443701354p-13, -0x1.b55aa9991352ap-13, -0x1.a62827896a33ep-13, -0x1.9773abd1de45fp-13, -0x1.893985b303c1ap-13, -0x1.7b7612654358p-13, -0x1.6e25e8ff219e2p-13, -0x1.61452d031f012p-13, -0x1.54d0ec862fa94p-13, -0x1.48c5c0fd02002p-13, -0x1.3d207e0560f8dp-13, -0x1.31de0c2c4b664p-13, -0x1.26fb6cafe69c1p-13, -0x1.1c75b431513a7p-13, -0x1.124a0c9c79cd1p-13, -0x1.0875b40915288p-13, -0x1.fdebfbebd8de5p-14, -0x1.eb909cf1bcc29p-14, -0x1.d9d43ca07114dp-14, -0x1.c8b1cddc18162p-14, -0x1.b824e92290078p-14, -0x1.a828a20715ccdp-14, -0x1.98b74c24a4f8bp-14, -0x1.89d0194f12e21p-14, -0x1.7b6b42d80e607p-14, -0x1.6d85d3e396a9ep-14, -0x1.601bcb33c9a7p-14, -0x1.532944e7632a3p-14, -0x1.46aa179b9c059p-14, -0x1.3a9bbe3412aa9p-14, -0x1.2ef983df9f544p-14, -0x1.23c0560b4a14cp-14, -0x1.18ecda15945aep-14, -0x1.0e7bcec803563p-14, -0x1.046a0b5610a5cp-14, -0x1.f568ed50ed46fp-15, -0x1.e2b04693436adp-15, -0x1.d0a48190f18d8p-15, -0x1.bf3fc083b4492p-15, -0x1.ae7cb32c7e4fep-15, -0x1.9e55ff80914cp-15, -0x1.8ec6a4bec33b2p-15, -0x1.7fc962a70c64fp-15, -0x1.715a2ff79874bp-15, -0x1.63734e29c54dbp-15, -0x1.56115fa2dd6efp-15, -0x1.492f3d06c0838p-15, -0x1.3cc8b6f0dd7d5p-15, -0x1.30d9d37f208b7p-15, -0x1.255e8f13a766fp-15, -0x1.1a5308ede871dp-15, -0x1.0fb37bd42422bp-15, -0x1.057c4d3351c07p-15, -0x1.f753db21dc355p-16, -0x1.e471e8ac849fp-16, -0x1.d24c222403141p-16, -0x1.c0dc1b29f8171p-16, -0x1.b01b9a34d4622p-16, -0x1.a00497215f5bdp-16, -0x1.909139e4c7663p-16, -0x1.81bbec18091f2p-16, -0x1.737f008c1c8b2p-16, -0x1.65d5416c5cda2p-16, -0x1.58b99149f724bp-16, -0x1.4c26aace151f9p-16, -0x1.40186b4b5f2a7p-16, -0x1.3489a58f648ap-16, -0x1.2975c2ad7ca68p-16, -0x1.1ed879b673bdfp-16, -0x1.14ad7a1e3fc62p-16, -0x1.0af0bc7e18bcfp-16, -0x1.019e67b964f3ap-16, -0x1.f164b27b1767p-17, -0x1.e051e0f40a2cbp-17, -0x1.cffd1e5c6c03bp-17, -0x1.c05f68ea57787p-17, -0x1.b1720da122ae5p-17, -0x1.a32e91ef0994p-17, -0x1.958dcd3439673p-17, -0x1.888a8c7d3f104p-17, -0x1.7c1dbd5a81e69p-17, -0x1.7043543dbcdc2p-17, -0x1.64f55ca265db9p-17, -0x1.5a2d3746d6254p-17, -0x1.4fe65098e359ep-17, -0x1.461b9e8c85ae8p-17, -0x1.3cc83d92378a7p-17, -0x1.33e7728d760f3p-17, -0x1.2b74aa0c6b8b9p-17, -0x1.236b7f08484fep-17, -0x1.1bc3e903cef88p-17, -0x1.1484d0aea3435p-17, -0x1.0d9f389fb1b51p-17, -0x1.0712e4e94229ep-17, -0x1.00d6147154d7p-17, -0x1.f5ecde6c972f6p-18, -0x1.eac1796b324ep-18, -0x1.e02a9a3b563e2p-18, -0x1.d6233658c66f1p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.86f1bb3aa8defp-3, -0x1.9a9e92c0e30dcp-3, -0x1.ae4a7655ea4aap-3, -0x1.c1f3486967fb6p-3, -0x1.d596b4118cc95p-3, -0x1.e9323349dd644p-3, -0x1.fcc3152b9267bp-3, -0x1.082342039cc09p-2, -0x1.11dcc5a685db7p-2, -0x1.1b8c8e9b340dap-2, -0x1.25310c135e93ep-2, -0x1.2ec8a5debbb26p-2, -0x1.3851beca87107p-2, -0x1.41cab6d6b3bc3p-2, -0x1.4b31ed40aa9afp-2, -0x1.5485c2641856fp-2, -0x1.5dc49972cba2ep-2, -0x1.66ecda04fc30ep-2, -0x1.6ffcf183912f5p-2, -0x1.78f3546e31207p-2, -0x1.81ce7f7f04ffdp-2, -0x1.8a8cf8ae1c29ap-2, -0x1.932d501671d58p-2, -0x1.9bae20be8de9fp-2, -0x1.a40e1146b1b3ap-2, -0x1.ac4bd47e74488p-2, -0x1.b46629e3a2fbfp-2, -0x1.bc5bde0c275e2p-2, -0x1.c42bcafc9ba19p-2, -0x1.cbd4d86d266a4p-2, -0x1.d355fbfe160fep-2, -0x1.daae395daaffdp-2, -0x1.e1dca2605b198p-2, -0x1.e8e0570cc87b4p-2, -0x1.efb8859c957eap-2, -0x1.f6646a731ff94p-2, -0x1.fce3500b21169p-2, -0x1.019a476e0d008p-1, -0x1.04abc69c31fdbp-1, -0x1.07a5df9253d07p-1, -0x1.0a885314baaa4p-1, -0x1.0d52e88fcf0b3p-1, -0x1.10056dfbf6a33p-1, -0x1.129fb7bf64bb8p-1, -0x1.1521a08e1fe9p-1, -0x1.178b094876a41p-1, -0x1.19dbd8d819f9p-1, -0x1.1c13fc0c0cb64p-1, -0x1.1e3365739546cp-1, -0x1.203a0d385bc8ap-1, -0x1.2227f0f7d8375p-1, -0x1.23fd139c3217p-1, -0x1.25b97d34b2d51p-1, -0x1.275d3acde57a4p-1, -0x1.28e85e497dd8p-1, -0x1.2a5afe361e119p-1, -0x1.2bb535a710b59p-1, -0x1.2cf7240c0c84p-1, -0x1.2e20ed090f13bp-1, -0x1.2f32b84e63e2fp-1, -0x1.302cb170e342dp-1, -0x1.310f07c277696p-1, -0x1.31d9ee2af54b6p-1, -0x1.328d9b01520acp-1, -0x1.332a47e541114p-1, -0x1.33b0319943a3ap-1, -0x1.341f97dd31667p-1, -0x1.3478bd49434a6p-1, -0x1.34bbe729a5b5fp-1, -0x1.34e95d5a9884fp-1, -0x1.35016a2524c97p-1, -0x1.35045a1c68bdfp-1, -0x1.34f27bfb843ebp-1, -0x1.34cc2084227e8p-1, -0x1.34919a5dac2cdp-1, -0x1.34433df51ec1dp-1, -0x1.33e1615d8f50bp-1, -0x1.336c5c31586edp-1, -0x1.32e48773f9594p-1, -0x1.324a3d74a111p-1, -0x1.319dd9b16e392p-1, -0x1.30dfb8bb5e004p-1, -0x1.3010381af0e6p-1, -0x1.2f2fb6357efb5p-1, -0x1.2e3e923342e0bp-1, -0x1.2d3d2be614e8p-1, -0x1.2c2be3b0dba21p-1, -0x1.2b0b1a6fac90ap-1, -0x1.29db3160a0103p-1, -0x1.289c8a0d559f3p-1, -0x1.274f86352767ap-1, -0x1.25f487b80d7cdp-1, -0x1.248bf0822d0fap-1, -0x1.23162278147a9p-1, -0x1.21937f63a111fp-1, -0x1.200468e18e0e2p-1, -0x1.1e69404fa90d1p-1, -0x1.1cc266bbacd19p-1, -0x1.1b103cd2bd6c1p-1, -0x1.195322d186745p-1, -0x1.178b7874f75f9p-1, -0x1.15b99ceb9b4ebp-1, -0x1.13ddeec78c557p-1, -0x1.11f8cbf0fd9bfp-1, -0x1.100a91995a97ep-1, -0x1.0e139c2ef9d43p-1, -0x1.0c1447515f89p-1, -0x1.0a0cedc60dd26p-1, -0x1.07fde96de0895p-1, -0x1.05e7933af093ap-1, -0x1.03ca4326ff89cp-1, -0x1.01a6502a6358fp-1, -0x1.fef82066ea5ap-2, -0x1.fa97b03cf9a31p-2, -0x1.f62bf75c2f50fp-2, -0x1.f1b59b0831269p-2, -0x1.ed353e35b7ef3p-2, -0x1.e8ab817e23447p-2, -0x1.e4190313e7e8fp-2, -0x1.df7e5eb7de002p-2, -0x1.dadc2daf617f1p-2, -0x1.d63306bb45b95p-2, -0x1.d1837e0f93ad4p-2, -0x1.ccce254c0b969p-2, -0x1.c8138b7569564p-2, -0x1.c3543cef63c4fp-2, -0x1.be90c3775f764p-2, -0x1.b9c9a61fd4edp-2, -0x1.b4ff694c61032p-2, -0x1.b0328eae79cf3p-2, -0x1.ab639542c9574p-2, -0x1.a692f94f1dcd6p-2, -0x1.a1c13460f8905p-2, -0x1.9ceebd4ca745dp-2, -0x1.981c082cf20cep-2, -0x1.934986634bdeep-2, -0x1.8e77a6988b47p-2, -0x1.89a6d4be1f914p-2, -0x1.84d77a0fc03d2p-2, -0x1.8009fd1595d37p-2, -0x1.7b3ec1a6ceecap-2, -0x1.767628eca63fap-2, -0x1.71b09165d00aap-2, -0x1.6cee56ea4bc2bp-2, -0x1.682fd2af95335p-2, -0x1.63755b4d32db3p-2, -0x1.5ebf44c19b5d7p-2, -0x1.5a0de0776f649p-2, -0x1.55617d4b0390ap-2, -0x1.50ba679035297p-2, -0x1.4c18e91889958p-2, -0x1.477d493990aa5p-2, -0x1.42e7ccd388141p-2, -0x1.3e58b6583e127p-2, -0x1.39d045d22b9fap-2, -0x1.354eb8ebc8a5p-2, -0x1.30d44af70e5e3p-2, -0x1.2c6134f530453p-2, -0x1.27f5ad9e7d03ap-2, -0x1.2391e96a6aef5p-2, -0x1.1f361a97cbaaap-2, -0x1.1ae2713523d5ap-2, -0x1.16971b2922696p-2, -0x1.1254443b37bep-2, -0x1.0e1a161c4845ep-2, -0x1.09e8b86f7697ep-2, -0x1.05c050d305aa3p-2, -0x1.01a102e94d864p-2, -0x1.fb15e0c384083p-3, -0x1.f2fc720411d66p-3, -0x1.eaf5f55e39a7bp-3, -0x1.e302a2ecf36bap-3, -0x1.db22af2ea5663p-3, -0x1.d3564b179f9b8p-3, -0x1.cb9da42496593p-3, -0x1.c3f8e46d2f39ap-3, -0x1.bc6832b6855a7p-3, -0x1.b4ebb285acb26p-3, -0x1.ad83843235674p-3, -0x1.a62fc4f89d8bbp-3, -0x1.9ef08f0cbcb56p-3, -0x1.97c5f9ac1edc6p-3, -0x1.90b019304a1e2p-3, -0x1.89aeff20f127p-3, -0x1.82c2ba460ebc4p-3, -0x1.7beb56b9e4403p-3, -0x1.7528ddfadeb3p-3, -0x1.6e7b56fd541f6p-3, -0x1.67e2c63d2a27dp-3, -0x1.615f2dcf4ed7p-3, -0x1.5af08d73154a2p-3, -0x1.5496e2a35cb36p-3, -0x1.4e5228a79cf93p-3, -0x1.482258a4bbeabp-3, -0x1.420769adb83bep-3, -0x1.3c0150d42b2a7p-3, -0x1.3610013891d6ap-3, -0x1.30336c1a68df1p-3, -0x1.2a6b80e816baap-3, -0x1.24b82d4e9a418p-3, -0x1.1f195d490e1d2p-3, -0x1.198efb2feea51p-3, -0x1.1418efc82a141p-3, -0x1.0eb72251f8718p-3, -0x1.096978977a4e8p-3, -0x1.042fd6fb2018p-3, -0x1.fe14410ba428fp-4, -0x1.f3f06de9c3b0cp-4, -0x1.e9f3f58f7708ap-4, -0x1.e01e969ac2b65p-4, -0x1.d6700d634578cp-4, -0x1.cce81414392a5p-4, -0x1.c38662c5f4f8bp-4, -0x1.ba4aaf96f477fp-4, -0x1.b134aec463906p-4, -0x1.a84412c22bc28p-4, -0x1.9f788c5294584p-4, -0x1.96d1ca9d4def7p-4, -0x1.8e4f7b461d151p-4, -0x1.85f14a82f6bb2p-4, -0x1.7db6e331aa55fp-4, -0x1.759feeed0f3e3p-4, -0x1.6dac1621b7a23p-4, -0x1.65db002229e73p-4, -0x1.5e2c533aa04ep-4, -0x1.569fb4c4509cdp-4, -0x1.4f34c9383bce9p-4, -0x1.47eb344185c7cp-4, -0x1.40c298cf57b42p-4, -0x1.39ba99264c59ap-4, -0x1.32d2d6f169032p-4, -0x1.2c0af352a08d8p-4, -0x1.25628ef2e745cp-4, -0x1.1ed94a11d3059p-4, -0x1.186ec494cb99cp-4, -0x1.12229e15cd08ap-4, -0x1.0bf475f1bbe43p-4, -0x1.05e3eb564bd6bp-4, -0x1.ffe13a9ef99c2p-5, -0x1.f43455a95abcdp-5, -0x1.e8c065aa88972p-5, -0x1.dd84a889e8c6fp-5, -0x1.d2805c4f3228dp-5, -0x1.c7b2bf395f966p-5, -0x1.bd1b0fd4dc317p-5, -0x1.b2b88d10ef946p-5, -0x1.a88a765464f9fp-5, -0x1.9e900b917d8cp-5, -0x1.94c88d59223cfp-5, -0x1.8b333ced644d2p-5, -0x1.81cf5c53478e5p-5, -0x1.789c2e63df327p-5, -0x1.6f98f6dcbaadep-5, -0x1.66c4fa6face1ap-5, -0x1.5e1f7ed1e8476p-5, -0x1.55a7caca7bb9cp-5, -0x1.4d5d26402c567p-5, -0x1.453eda46b4357p-5, -0x1.3d4c312b66519p-5, -0x1.358476813b7f9p-5, -0x1.2de6f72c4e6fap-5, -0x1.2673016cc38eap-5, -0x1.1f27e4e927557p-5, -0x1.1804f2b840e92p-5, -0x1.11097d6a5e546p-5, -0x1.0a34d9121bc11p-5, -0x1.03865b4cad164p-5, -0x1.f9fab69350711p-6, -0x1.ed3263a4a5791p-6, -0x1.e0b272a0f9178p-6, -0x1.d4799ba9c73aep-6, -0x1.c8869a3a49f77p-6, -0x1.bcd82d328389bp-6, -0x1.b16d16e171b85p-6, -0x1.a6441d0e665ep-6, -0x1.9b5c0901a410bp-6, -0x1.90b3a78c24284p-6, -0x1.8649c90ea8a17p-6, -0x1.7c1d41800de46p-6, -0x1.722ce872e6fecp-6, -0x1.6877991a6aa5bp-6, -0x1.5efc324eb7557p-6, -0x1.55b996906ff63p-6, -0x1.4caeac0bb5f45p-6, -0x1.43da5c9a8d75ap-6, -0x1.3b3b95c6a826fp-6, -0x1.32d148ca9e60bp-6, -0x1.2a9a6a929cf5fp-6, -0x1.2295f3bc8be89p-6, -0x1.1ac2e097b1867p-6, -0x1.13203123d627ep-6, -0x1.0bace90fef9a6p-6, -0x1.04680fb85706cp-6, -0x1.faa160491b182p-7, -0x1.eccbb2092bca3p-7, -0x1.df4d395bc08ddp-7, -0x1.d224222fb2b9p-7, -0x1.c54e9fb02aaccp-7, -0x1.b8caec3c35238p-7, -0x1.ac97495dbc48fp-7, -0x1.a0b1ffbfc0011p-7, -0x1.95195f23fea33p-7, -0x1.89cbbe57fa722p-7, -0x1.7ec77b296f887p-7, -0x1.740afa5a34951p-7, -0x1.6994a793a3f7cp-7, -0x1.5f62f5597dc28p-7, -0x1.55745cfc4f48cp-7, -0x1.4bc75e8b6a18bp-7, -0x1.425a80c6769b6p-7, -0x1.392c510e95b1cp-7, -0x1.303b635727677p-7, -0x1.27865216376eap-7, -0x1.1f0bbe349452ep-7, -0x1.16ca4efd96975p-7, -0x1.0ec0b20e9ea5cp-7, -0x1.06ed9b464d381p-7, -0x1.fe9f8966f7b7fp-8, -0x1.efcbdd07f545fp-8, -0x1.e15dbde62d4e2p-8, -0x1.d352c46fdee2dp-8, -0x1.c5a894e73e67p-8, -0x1.b85cdf3e70b8p-8, -0x1.ab6d5ef340405p-8, -0x1.9ed7daea8e348p-8, -0x1.929a254b89448p-8, -0x1.86b21b5ab502bp-8, -0x1.7b1da554c172p-8, -0x1.6fdab64943e4cp-8, -0x1.64e74bf54f7dbp-8, -0x1.5a416e9df7bcp-8, -0x1.4fe730eac3d49p-8, -0x1.45d6afc017e8ep-8, -0x1.3c0e12199a956p-8, -0x1.328b88e49b0ffp-8, -0x1.294d4eda80d8p-8, -0x1.2051a85b45d15p-8, -0x1.1796e348045a4p-8, -0x1.0f1b56dd99eefp-8, -0x1.06dd638f6711bp-8, -0x1.fdb6e5c45ce48p-9, -0x1.ee27ee8e2e88cp-9, -0x1.df0ad7edb42d4p-9, -0x1.d05ca99a3204dp-9, -0x1.c21a7c47cf6b7p-9, -0x1.b441795f0f1fp-9, -0x1.a6cedab4b80efp-9, -0x1.99bfea422ec35p-9, -0x1.8d1201de50cep-9, -0x1.80c28af6caf56p-9, -0x1.74cefe49f8bbp-9, -0x1.6934e3a1548fcp-9, -0x1.5df1d18c72849p-9, -0x1.53036d1c953a5p-9, -0x1.486769a0dd11fp-9, -0x1.3e1b8863173c8p-9, -0x1.341d98652d3cap-9, -0x1.2a6b761f3b99fp-9, -0x1.21030b3e57a85p-9, -0x1.17e24e63fad13p-9, -0x1.0f0742e62561fp-9, -0x1.066ff890306edp-9, -0x1.fc3516c8ac351p-10, -0x1.ec0a46bbece98p-10, -0x1.dc5be8691d9a3p-10, -0x1.cd267a3eeafc7p-10, -0x1.be6691349dddfp-10, -0x1.b018d85486358p-10, -0x1.a23a1047ece41p-10, -0x1.94c70ee48563bp-10, -0x1.87bcbebb6747ap-10, -0x1.7b181ea9952cdp-10, -0x1.6ed6416a081a9p-10, -0x1.62f44d294733cp-10, -0x1.576f7b1a8f1a1p-10, -0x1.4c45170e87e32p-10, -0x1.41727f0b7c1bap-10, -0x1.36f522e730607p-10, -0x1.2cca83e237856p-10, -0x1.22f03444dd2eap-10, -0x1.1963d6fd983b4p-10, -0x1.10231f410f214p-10, -0x1.072bd02b98d7bp-10, -0x1.fcf778c8b77e5p-11, -0x1.ec218b83bb71fp-11, -0x1.dbd1b9e058c3bp-11, -0x1.cc040230fe873p-11, -0x1.bcb47f14c0c07p-11, -0x1.addf66cca669ap-11, -0x1.9f810a93f515cp-11, -0x1.9195d5fb724e8p-11, -0x1.841a4e4796d87p-11, -0x1.770b11d1ad1ep-11, -0x1.6a64d76bd75e5p-11, -0x1.5e246dc7f4d9ap-11, -0x1.5246bae162262p-11, -0x1.46c8bb698d05fp-11, -0x1.3ba7823755e2bp-11, -0x1.30e037b936275p-11, -0x1.2670196a2970dp-11, -0x1.1c5479494af2fp-11, -0x1.128abd5428312p-11, -0x1.09105f03baa2bp-11, -0x1.ffc5d59808da9p-12, -0x1.edffff3c91917p-12, -0x1.dcca9cdbaaeafp-12, -0x1.cc21336eb031dp-12, -0x1.bbff6a156d6d1p-12, -0x1.ac61092ec6c9dp-12, -0x1.9d41f9764391dp-12, -0x1.8e9e43266e45ap-12, -0x1.80720d1fff0b9p-12, -0x1.72b99c15b15f6p-12, -0x1.657151bcc5041p-12, -0x1.5895ac020e4a5p-12, -0x1.4c234443865c9p-12, -0x1.4016ce8e521b4p-12, -0x1.346d18e122b6ap-12, -0x1.29230a72eb116p-12, -0x1.1e35a2fdcee79p-12, -0x1.13a1fa0e415d7p-12, -0x1.09653e5641658p-12, -0x1.fef96a093af45p-13, -0x1.ebcb72406c372p-13, -0x1.d93b75ce4f4d3p-13, -0x1.c7447e639c056p-13, -0x1.b5e1bdb3212aep-13, -0x1.a50e8c46c9d8cp-13, -0x1.94c6685bf27ebp-13, -0x1.8504f4c6ed2b7p-13, -0x1.75c5f7dd8c943p-13, -0x1.67055a68a207ap-13, -0x1.58bf269c3e902p-13, -0x1.4aef8716a5416p-13, -0x1.3d92c5e5caa9fp-13, -0x1.30a54b933546p-13, -0x1.24239e3638a5ap-13, -0x1.180a608c52871p-13, -0x1.0c5651179a963p-13, -0x1.0104494322958p-13, -0x1.ec22791a496f4p-14, -0x1.d6f46f6dd5164p-14, -0x1.c278bff489abfp-14, -0x1.aea9e488f6538p-14, -0x1.9b8284ed408a4p-14, -0x1.88fd75562cc7fp-14, -0x1.7715b5008729cp-14, -0x1.65c66cd089423p-14, -0x1.550aedfb1991p-14, -0x1.44deb0b8aa72dp-14, -0x1.353d53018221ep-14, -0x1.2622975333368p-14, -0x1.178a637f18709p-14, -0x1.0970bf8199c81p-14, -0x1.f7a3a8c41219p-15, -0x1.dd53d635cadeep-15, -0x1.c3ead714a93d4p-15, -0x1.ab61b6d538917p-15, -0x1.93b1baa4e5985p-15, -0x1.7cd45f79de6fap-15, -0x1.66c35831ea41p-15, -0x1.51788bbfc1554p-15, -0x1.3cee1366a56e4p-15, -0x1.291e3903cead7p-15, -0x1.16037565632b7p-15, -0x1.03986eae96e4bp-15, -0x1.e3afed9150a3bp-16, -0x1.c17a13c0cf0e5p-16, -0x1.a08599dfdad7p-16, -0x1.80c918a87bb5fp-16, -0x1.623b74dcf5fc2p-16, -0x1.44d3dca0d4d9bp-16, -0x1.2889c4e7dfc45p-16, -0x1.0d54e6fa86f9ep-16, -0x1.e65a7c1e37426p-17, -0x1.b41609eeaadbap-17, -0x1.83cd67c31ceb5p-17, -0x1.5571fc5a6425ep-17, -0x1.28f5a0a3b32dp-17, -0x1.fc95376224caep-18, -0x1.aac73d9a5d39ap-18, -0x1.5c678366e255p-18, -0x1.115cfdd2d8ce4p-18, -0x1.931ec0e2b18b8p-19, -0x1.09ce2d1fcd028p-19, -0x1.0d34f29888e1bp-20, -0x1.2ae6802775382p-24, 0x1.b89b2ad47e076p-21, 0x1.c012da3e18112p-20, 0x1.4c796b33f983bp-19, 0x1.b39e558c5297bp-19, 0x1.0acf4ff69e4abp-18, 0x1.394fd5b8c1101p-18, 0x1.6562e82951d06p-18, 0x1.8f1a33aa86f73p-18, 0x1.b686e96d259cep-18, 0x1.dbb9c3ce1a7d7p-18, 0x1.fec30a89c7d9cp-18, 0x1.0fd94b6349db4p-17, 0x1.1f4beb7bedf1fp-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.4aa81e388d38dp-1, 0x1.4adb726692536p-1, 0x1.4b1075d5d12a3p-1, 0x1.4b46b78d1b63ap-1, 0x1.4b7dbced5cb26p-1, 0x1.4bb5032ddb36ep-1, 0x1.4bec00d0ba575p-1, 0x1.4c22270a27d3bp-1, 0x1.4c56e3161f6e8p-1, 0x1.4c899f79ebf77p-1, 0x1.4cb9c52f91c4fp-1, 0x1.4ce6bcba19d8cp-1, 0x1.4d0fef22568d8p-1, 0x1.4d34c6dc3d11fp-1, 0x1.4d54b09548ae8p-1, 0x1.4d6f1becacddfp-1, 0x1.4d837c16465a8p-1, 0x1.4d91486965b35p-1, 0x1.4d97fcdca156fp-1, 0x1.4d971a6feada3p-1, 0x1.4d8e278628c3p-1, 0x1.4d7cb02f8edbdp-1, 0x1.4d624665f3ecp-1, 0x1.4d3e823c4deaep-1, 0x1.4d11020278ee8p-1, 0x1.4cd96a5e5d07dp-1, 0x1.4c97665b799d1p-1, 0x1.4c4aa771c8264p-1, 0x1.4bf2e584e07e9p-1, 0x1.4b8fdedc321ddp-1, 0x1.4b215815177a9p-1, 0x1.4aa71c0f7f60ap-1, 0x1.4a20fbd5d0b9ap-1, 0x1.498ece80a5c88p-1, 0x1.48f07116ece86p-1, 0x1.4845c66af16c8p-1, 0x1.478eb6f4c12edp-1, 0x1.46cb30aa5ac4ep-1, 0x1.45fb26d60789p-1, 0x1.451e91eb37732p-1, 0x1.44356f5a2f03cp-1, 0x1.433fc162cf2aep-1, 0x1.423d8ee6b7991p-1, 0x1.412ee33afca66p-1, 0x1.4013cdf9a39c6p-1, 0x1.3eec62d314e2fp-1, 0x1.3db8b95faba3cp-1, 0x1.3c78ecf1864d9p-1, 0x1.3b2d1c66b8f26p-1, 0x1.39d569fbfcc59p-1, 0x1.3871fb1ff55adp-1, 0x1.3702f8472051fp-1, 0x1.35888cc081771p-1, 0x1.3402e68b1d988p-1, 0x1.3272362c4ca55p-1, 0x1.30d6ae86f35a4p-1, 0x1.2f3084b3ab876p-1, 0x1.2d7fefd9e0dcep-1, 0x1.2bc52909ec261p-1, 0x1.2a006b182f5c2p-1, 0x1.2831f2793616ep-1, 0x1.2659fd1edd6e4p-1, 0x1.2478ca5685486p-1, 0x1.228e9aa849897p-1, 0x1.209bafb746e27p-1, 0x1.1ea04c22e5bfap-1, 0x1.1c9cb3692d197p-1, 0x1.1a9129ca1b9c5p-1, 0x1.187df42c01aa2p-1, 0x1.16635800dbc31p-1, 0x1.14419b2caaebp-1, 0x1.121903ecc402ep-1, 0x1.0fe9d8c017668p-1, 0x1.0db4605067cb4p-1, 0x1.0b78e15c70608p-1, 0x1.0937a2a2f2458p-1, 0x1.06f0eacea8e56p-1, 0x1.04a500631c34ep-1, 0x1.025429aa50613p-1, 0x1.fffd594696ea9p-2, 0x1.fb499de2d8b1cp-2, 0x1.f68dab992259fp-2, 0x1.f1ca0be406433p-2, 0x1.ecff472c50da5p-2, 0x1.e82de4ade8859p-2, 0x1.e3566a5e1e908p-2, 0x1.de795cd36f54p-2, 0x1.d9973f2e9eb1ep-2, 0x1.d4b093052c7ddp-2, 0x1.cfc5d84d1878ap-2, 0x1.cad78d49e98cbp-2, 0x1.c5e62e7aecdd4p-2, 0x1.c0f2368aac36fp-2, 0x1.bbfc1e3f8817ep-2, 0x1.b7045c6d738c6p-2, 0x1.b20b65e8c8a3dp-2, 0x1.ad11ad7a2619ep-2, 0x1.a817a3d357f58p-2, 0x1.a31db78538347p-2, 0x1.9e2454f688652p-2, 0x1.992be65bb4592p-2, 0x1.9434d3af79facp-2, 0x1.8f3f82ac708eep-2, 0x1.8a4c56c75eab5p-2, 0x1.855bb12a62681p-2, 0x1.806df0b0dbf49p-2, 0x1.7b8371e419406p-2, 0x1.769c8ef8b200ap-2, 0x1.71b99fcc9cdd3p-2, 0x1.6cdaf9e5e3d4p-2, 0x1.6800f07202602p-2, 0x1.632bd445d928fp-2, 0x1.5e5bf3de388cp-2, 0x1.59919b60fcba9p-2, 0x1.54cd149eab944p-2, 0x1.500ea7149987ap-2, 0x1.4b5697ef89273p-2, 0x1.46a52a0ebfbbp-2, 0x1.41fa9e078d7dep-2, 0x1.3d5732293c53dp-2, 0x1.38bb228169d05p-2, 0x1.3426a8e0bcb7fp-2, 0x1.2f99fcdff7be2p-2, 0x1.2b1553e564398p-2, 0x1.2698e12a89cfap-2, 0x1.2224d5c238cf4p-2, 0x1.1db9609ed7643p-2, 0x1.1956ae98f52a4p-2, 0x1.14fcea761be14p-2, 0x1.10ac3cefdf76ep-2, 0x1.0c64ccbb1f51fp-2, 0x1.0826be8f7f086p-2, 0x1.03f2352f0b80bp-2, 0x1.ff8ea2dc19df1p-3, 0x1.f74c647600d4fp-3, 0x1.ef1de94d6a352p-3, 0x1.e70367d91313ep-3, 0x1.defd12f592f9dp-3, 0x1.d70b19f644733p-3, 0x1.cf2da8b66345dp-3, 0x1.c764e7aa4cf69p-3, 0x1.bfb0fbf0ed484p-3, 0x1.b81207653b726p-3, 0x1.b08828afda862p-3, 0x1.a9137b58cc4c7p-3, 0x1.a1b417d927a8fp-3, 0x1.9a6a13ace79dbp-3, 0x1.93358164b2648p-3, 0x1.8c1670b7a872ap-3, 0x1.850cee9530d94p-3, 0x1.7e190536b4ef3p-3, 0x1.773abc315e9e8p-3, 0x1.70721887ba8cp-3, 0x1.69bf1cbb4fb0ep-3, 0x1.6321c8de1f342p-3, 0x1.5c9a1aa40ac25p-3, 0x1.56280d741ebefp-3, 0x1.4fcb9a79c0509p-3, 0x1.4984b8b5b4b89p-3, 0x1.43535d0f0c85ap-3, 0x1.3d377a63dca28p-3, 0x1.37310199dde2ep-3, 0x1.313fe1aed1a0ep-3, 0x1.2b6407c8c5cf9p-3, 0x1.259d5f462526bp-3, 0x1.1febd1cd936a1p-3, 0x1.1a4f475d9e962p-3, 0x1.14c7a65c35ff6p-3, 0x1.0f54d3a5f02f2p-3, 0x1.09f6b29d14f06p-3, 0x1.04ad253878be2p-3, 0x1.fef01824272acp-4, 0x1.f4ae8ceac9866p-4, 0x1.ea9564db39489p-4, 0x1.e0a459a70a9b8p-4, 0x1.d6db22b66411ep-4, 0x1.cd397542e43b9p-4, 0x1.c3bf04720890bp-4, 0x1.ba6b816f106bdp-4, 0x1.b13e9b8478387p-4, 0x1.a8380034d80fbp-4, 0x1.9f575b535c4c4p-4, 0x1.969c571bb810fp-4, 0x1.8e069c498a8abp-4, 0x1.8595d22f5997dp-4, 0x1.7d499eccfce0ep-4, 0x1.7521a6e59043ap-4, 0x1.6d1d8e14e3006p-4, 0x1.653cf6e46a2dap-4, 0x1.5d7f82dfb1ddbp-4, 0x1.55e4d2a850d5cp-4, 0x1.4e6c86095df54p-4, 0x1.47163c0a68015p-4, 0x1.3fe19301f0b5ep-4, 0x1.38ce28a76c579p-4, 0x1.31db9a24c5c6p-4, 0x1.2b09842768a49p-4, 0x1.245782f0d3883p-4, 0x1.1dc53266b068bp-4, 0x1.17522e2277bacp-4, 0x1.10fe11809d51dp-4, 0x1.0ac877af4a077p-4, 0x1.04b0fbbca092bp-4, 0x1.fd6e71492553ap-5, 0x1.f1b592bc89b0fp-5, 0x1.e63691d208115p-5, 0x1.daf0a4b19b3e4p-5, 0x1.cfe301c4d7dbap-5, 0x1.c50cdfce5122cp-5, 0x1.ba6d76002addp-5, 0x1.b003fc11e10eap-5, 0x1.a5cfaa553fb0bp-5, 0x1.9bcfb9ca98345p-5, 0x1.920364342dc37p-5, 0x1.8869e428e6ae5p-5, 0x1.7f0275263a38ap-5, 0x1.75cc53a1687f6p-5, 0x1.6cc6bd17fbc38p-5, 0x1.63f0f01f94271p-5, 0x1.5b4a2c750703bp-5, 0x1.52d1b30ad016ep-5, 0x1.4a86c616d917fp-5, 0x1.4268a91fa0dcap-5, 0x1.3a76a108bbb88p-5, 0x1.32aff41eb7495p-5, 0x1.2b13ea2266f9p-5, 0x1.23a1cc5393398p-5, 0x1.1c58e57b1af5p-5, 0x1.153881f480dedp-5, 0x1.0e3fefb6edc8fp-5, 0x1.076e7e5da967dp-5, 0x1.00c37f300aec8p-5, 0x1.f47c8a51d69ccp-6, 0x1.e7bc49fb2694fp-6, 0x1.db44ea4862cf1p-6, 0x1.cf151bb3aa5f8p-6, 0x1.c32b924fe863p-6, 0x1.b78705d2feefcp-6, 0x1.ac26319f0ebb6p-6, 0x1.a107d4cae8d53p-6, 0x1.962ab229af61bp-6, 0x1.8b8d9051a9907p-6, 0x1.812f39a25120fp-6, 0x1.770e7c49a6d5ep-6, 0x1.6d2a2a48c1dffp-6, 0x1.63811977b71a7p-6, 0x1.5a122388cc22cp-6, 0x1.50dc260b02f59p-6, 0x1.47de026c024b2p-6, 0x1.3f169df963d75p-6, 0x1.3684e1e167067p-6, 0x1.2e27bb331378p-6, 0x1.25fe1addcca0fp-6, 0x1.1e06f5b05d9d4p-6, 0x1.164144578387fp-6, 0x1.0eac035bf4ef6p-6, 0x1.0746331ff696dp-6, 0x1.000ed7dc75128p-6, 0x1.f209f33b6844p-7, 0x1.e44f487f1545bp-7, 0x1.d6ebced28340bp-7, 0x1.c9ddad1210dafp-7, 0x1.bd23119e1bf03p-7, 0x1.b0ba325082e42p-7, 0x1.a4a14c716eff7p-7, 0x1.98d6a4ab85651p-7, 0x1.8d5886ff762eap-7, 0x1.822546b6f92acp-7, 0x1.773b3e573ddebp-7, 0x1.6c98cf92d0336p-7, 0x1.623c633b02b16p-7, 0x1.58246930e284dp-7, 0x1.4e4f5855b548ep-7, 0x1.44bbae7b105ebp-7, 0x1.3b67f052891abp-7, 0x1.3252a95d06a6fp-7, 0x1.297a6bd9bf082p-7, 0x1.20ddd0b4de48cp-7, 0x1.187b7775e451bp-7, 0x1.1052062db9031p-7, 0x1.0860296480f9p-7, 0x1.00a4940734ceep-7, 0x1.f23bfeaa0468cp-8, 0x1.e3965598f2b64p-8, 0x1.d555b8311cf82p-8, 0x1.c777bdfae28f5p-8, 0x1.b9fa0a8a812eap-8, 0x1.acda4d593c576p-8, 0x1.a016419e4b6b3p-8, 0x1.93abae279a6c3p-8, 0x1.8798653261a48p-8, 0x1.7bda44439cefdp-8, 0x1.706f34006b172p-8, 0x1.655528065a09ap-8, 0x1.5a8a1ec3a8f26p-8, 0x1.500c214f853e2p-8, 0x1.45d9434249989p-8, 0x1.3befa28dc513ap-8, 0x1.324d67558d915p-8, 0x1.28f0c3c76869ap-8, 0x1.1fd7f3f3ca25ap-8, 0x1.17013da673382p-8, 0x1.0e6af03f2fe5bp-8, 0x1.0613648abf04bp-8, 0x1.fbf1f937cc1ccp-9, 0x1.ec3447496352cp-9, 0x1.dcea9b9fdd8fp-9, 0x1.ce11f035b03cep-9, 0x1.bfa7505e01696p-9, 0x1.b1a7d878fdc85p-9, 0x1.a410b5a8afa2bp-9, 0x1.96df258665538p-9, 0x1.8a1075d8a510dp-9, 0x1.7da20449bd351p-9, 0x1.71913e1eefe83p-9, 0x1.65db9ff03b48cp-9, 0x1.5a7eb560d1c92p-9, 0x1.4f7818d8341d7p-9, 0x1.44c5733c03d01p-9, 0x1.3a647baa7f47ep-9, 0x1.3052f735be568p-9, 0x1.268eb89fa0aadp-9, 0x1.1d15a01681dbbp-9, 0x1.13e59af2a618dp-9, 0x1.0afca3746f447p-9, 0x1.0258c08355f4dp-9, 0x1.f3f00adb549ebp-10, 0x1.e3b123523737p-10, 0x1.d3f1212823a2ap-10, 0x1.c4ac726f9bc0bp-10, 0x1.b5df9c16b9031p-10, 0x1.a787396eaac69p-10, 0x1.999ffbb4dc00ep-10, 0x1.8c26a99db9846p-10, 0x1.7f181ee11c397p-10, 0x1.72714bc8574dep-10, 0x1.662f34bdf35c2p-10, 0x1.5a4ef1df06c73p-10, 0x1.4ecdae8e3c2ep-10, 0x1.43a8a90878549p-10, 0x1.38dd31fb32a55p-10, 0x1.2e68ac1c6305dp-10, 0x1.24488bc421244p-10, 0x1.1a7a5687e2194p-10, 0x1.10fba2d7545edp-10, 0x1.07ca179ae9df7p-10, 0x1.fdc6d7a7da6abp-11, 0x1.ec8acc7c891ebp-11, 0x1.dbdbb9e78d821p-11, 0x1.cbb56a22556ep-11, 0x1.bc13c4b91963p-11, 0x1.acf2cddb0ce91p-11, 0x1.9e4ea5adb05a8p-11, 0x1.902387a33bfdcp-11, 0x1.826dc9d421812p-11, 0x1.7529dc5b9a29p-11, 0x1.685448b73cbd9p-11, 0x1.5be9b12994ae9p-11, 0x1.4fe6d01fb1a6cp-11, 0x1.44487799a9b2ap-11, 0x1.390b9096068d7p-11, 0x1.2e2d1a8013b7bp-11, 0x1.23aa2aa10addap-11, 0x1.197feb9410249p-11, 0x1.0fab9cbcfbe3fp-11, 0x1.062a91c1e4f59p-11, 0x1.f9f4640ecdc31p-12, 0x1.e82ff05f32a1fp-12, 0x1.d702e33760e48p-12, 0x1.c6687be07d4e6p-12, 0x1.b65c1d381b293p-12, 0x1.a6d94cc30b225p-12, 0x1.97dbb1c53ba58p-12, 0x1.895f145e8c146p-12, 0x1.7b5f5cac909a6p-12, 0x1.6dd891f1262f8p-12, 0x1.60c6d9bdcf969p-12, 0x1.54267723c3036p-12, 0x1.47f3c9e898341p-12, 0x1.3c2b4dbf85df4p-12, 0x1.30c999871a335p-12, 0x1.25cb5e8b5ffdbp-12, 0x1.1b2d67cc57414p-12, 0x1.10ec9948b8adcp-12, 0x1.0705ef4ceba61p-12, 0x1.faecfb8c39a4ep-13, 0x1.e876df32cbda9p-13, 0x1.d6a40bfdea77bp-13, 0x1.c56f2fc2438e6p-13, 0x1.b4d3227eae56cp-13, 0x1.a4cae5299ff5cp-13, 0x1.9551a0860afbap-13, 0x1.8662a3ff8f7b2p-13, 0x1.77f9648dd07dcp-13, 0x1.6a117b9ede9d6p-13, 0x1.5ca6a6087fecdp-13, 0x1.4fb4c3004243ap-13, 0x1.4337d31a33e6p-13, 0x1.372bf74e1a015p-13, 0x1.2b8d700314c5ap-13, 0x1.20589c217cdefp-13, 0x1.1589f82aea18p-13, 0x1.0b1e1d583c6a5p-13, 0x1.0111c0bd845c4p-13, 0x1.eec364e77884p-14, 0x1.dc15b99036e38p-14, 0x1.ca1486e1f134ap-14, 0x1.b8ba059032064p-14, 0x1.a8009e14915b3p-14, 0x1.97e2e738477e4p-14, 0x1.885ba4a7e8367p-14, 0x1.7965c5910ee08p-14, 0x1.6afc6349be2d7p-14, 0x1.5d1ac0013e61bp-14, 0x1.4fbc457a482e8p-14, 0x1.42dc83ce41c86p-14, 0x1.367730395a292p-14, 0x1.2a8823ef520a5p-14, 0x1.1f0b5af8b97acp-14, 0x1.13fcf31876a73p-14, 0x1.09592ab95e29fp-14, 0x1.fe38bfc76238dp-15, 0x1.ea861e7499593p-15, 0x1.d793a5febe25dp-15, 0x1.c55ac440e511cp-15, 0x1.b3d51e9342c93p-15, 0x1.a2fc8fff87f1bp-15, 0x1.92cb2782e12fbp-15, 0x1.833b265d3a86ap-15, 0x1.7446fe6d7f19cp-15, 0x1.65e9509a6fb33p-15, 0x1.581ceb47cff05p-15, 0x1.4adcc8d78eec2p-15, 0x1.3e240e36a0d2ep-15, 0x1.31ee097539bfap-15, 0x1.2636306a20641p-15, 0x1.1af81f60d06bbp-15, 0x1.102f97d2184bdp-15, 0x1.05d87f26fc192p-15, 0x1.f7ddbb0b18a37p-16, 0x1.e4ddb94ed56e2p-16, 0x1.d2a98d7382188p-16, 0x1.c13a0a8cd04cfp-16, 0x1.b088404be74bfp-16, 0x1.a08d78f4e4dap-16, 0x1.9143376534aa3p-16, 0x1.82a3352a5962ap-16, 0x1.74a760a89ab94p-16, 0x1.6749db513afb5p-16, 0x1.5a84f7e7b52d5p-16, 0x1.4e5338d59c004p-16, 0x1.42af4e8ca651ap-16, 0x1.379415f68f236p-16, 0x1.2cfc96f24d1b2p-16, 0x1.22e402de4d3b2p-16, 0x1.1945b32f46e6dp-16, 0x1.101d281352bbcp-16, 0x1.07660720cf835p-16, 0x1.fe383421b44cp-17, 0x1.ee769b09c3781p-17, 0x1.df7f5fae34f66p-17, 0x1.d14adfeab9defp-17, 0x1.c3d1b88c826fp-17, 0x1.b70cc33008d4fp-17, 0x1.aaf51432071c4p-17, 0x1.9f83f8b2de4f2p-17, 0x1.94b2f4abe194p-17, 0x1.8a7bc115fc5cep-17, 0x1.80d84a211ae5dp-17, 0x1.77c2ad7bcefbdp-17, 0x1.6f3538aaab04cp-17, 0x1.672a676ecbd0fp-17, 0x1.5f9ce23b1c79cp-17, 0x1.58877cb7c14fap-17, 0x1.51e5345354cdep-17, 0x1.4bb12ee15a5e4p-17, 0x1.45e6b94590e0cp-17, 0x1.4081462ba74e6p-17, 0x1.3b7c6ccaeb1e4p-17, 0x1.36d3e7b59004bp-17, 0x1.328393b312ccdp-17, 0x1.2e876ea5746e6p-17, 0x1.2adb9678d3bd9p-17, 0x1.277c481d19c2p-17, 0x1.2465de8946b65p-17, 0x1.2194d1c824be9p-17, 0x1.1f05b60df7febp-17, 0x1.1cb53ad6dba6ep-17, 0x1.1aa02a0d7d8efp-17, 0x1.18c36739eee1ep-17, 0x1.171beeb831a63p-17, 0x1.15a6d4f64a11bp-17, 0x1.146145b97abc8p-17, 0x1.1348836a7de0fp-17, 0x1.1259e6685b3c4p-17, 0x1.1192dc61b61c1p-17, 0x1.10f0e7b445566p-17, 0x1.10719ed238368p-17, 0x1.1012abad58aafp-17, 0x1.0fd1cb27a665p-17, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      50, 0x1.9eb851eb851ecp+1, 0x1.7e6148a29a51dp+1, 0x1.1c7f2d13acd7ap+2, -0x1.9b2cd81bf102p-7, 
      {{
        {0x1.2666666666666p+1, 0x1.28ce703afb7e9p+1, 0x1.36c81e76bf784p-4, -0x1.0e7cee6d4b53ep-2, 0x1.940535dc5efbfp-2, 0x1.d2770cdaa932fp-4}, 
        {0x1.28ce703afb7e9p+1, 0x1.2b367a0f9096cp+1, 0x1.2303eaef6d4dcp-4, -0x1.fe58ad503fd7cp-3, 0x1.9a98f66d12c74p-2, -0x1.238a6808a9a57p-1}, 
        {0x1.2b367a0f9096cp+1, 0x1.2d9e83e425aeep+1, 0x1.10642a22c894dp-4, -0x1.e0b4ba462b645p-3, 0x1.79b633998fd2p-2, -0x1.6caad2b72d38ap-2}, 
        {0x1.2d9e83e425aeep+1, 0x1.30068db8bac71p+1, 0x1.fdae9ad18ac93p-5, -0x1.c5134baf93579p-3, 0x1.6524fd5267b0cp-2, -0x1.89415ca60da2ep-2}, 
        {0x1.30068db8bac71p+1, 0x1.326e978d4fdf4p+1, 0x1.dc9986a0d9d9fp-5, -0x1.ab0d53dd1db03p-3, 0x1.4ef7030da5cb5p-2, -0x1.64ad8558eb9d9p-2}, 
        {0x1.326e978d4fdf4p+1, 0x1.34d6a161e4f76p+1, 0x1.bd69dec45ab33p-5, -0x1.929e7c723dabep-3, 0x1.3ad927aabb523p-2, -0x1.528d9ed228327p-2}, 
        {0x1.34d6a161e4f76p+1, 0x1.373eab367a0f9p+1, 0x1.a002438d59ab8p-5, -0x1.7ba913074753p-3, 0x1.27c0fd0512f64p-2, -0x1.3c7f8fba8cebcp-2}, 
        {0x1.373eab367a0f9p+1, 0x1.39a6b50b0f27cp+1, 0x1.84471e1ff14f2p-5, -0x1.661747877389ep-3, 0x1.15e7426e29876p-2, -0x1.287d334a7d8dfp-2}, 
        {0x1.39a6b50b0f27cp+1, 0x1.3c0ebedfa43fep+1, 0x1.6a1e8fce6ed76p-5, -0x1.51d243f27244fp-3, 0x1.052e6e8a031cdp-2, -0x1.14f16e1985a26p-2}, 
        {0x1.3c0ebedfa43fep+1, 0x1.3e76c8b439581p+1, 0x1.517061abb0615p-5, -0x1.3ec48ef81d947p-3, 0x1.eb1fa22b5c1eap-3, -0x1.02469a6d75f95p-2}, 
        {0x1.3e76c8b439581p+1, 0x1.40ded288ce704p+1, 0x1.3a25f3e68964dp-5, -0x1.2cd969c81a4cbp-3, 0x1.cdfd747ccfa15p-3, -0x1.e0b92967bf3dep-3}, 
        {0x1.40ded288ce704p+1, 0x1.4346dc5d63886p+1, 0x1.242a2d4e627bbp-5, -0x1.1bfcf85bee749p-3, 0x1.b2e09474cf2fap-3, -0x1.be9321de58d27p-3}, 
        {0x1.4346dc5d63886p+1, 0x1.45aee631f8a09p+1, 0x1.0f696ad7d9282p-5, -0x1.0c1c3c12255c8p-3, 0x1.99b0c157c855cp-3, -0x1.9de100d2d6743p-3}, 
        {0x1.45aee631f8a09p+1, 0x1.4816f0068db8cp+1, 0x1.f7a2dd825519p-6, -0x1.fa4a1feb6c8c9p-4, 0x1.8259018051f2ap-3, -0x1.7ee878ff7707dp-3}, 
        {0x1.4816f0068db8cp+1, 0x1.4a7ef9db22d0ep+1, 0x1.d2a2a1098d63p-6, -0x1.de0c57c5d9e7ap-4, 0x1.6cc06cf493042p-3, -0x1.6162c7901f884p-3}, 
        {0x1.4a7ef9db22d0ep+1, 0x1.4ce703afb7e91p+1, 0x1.afb2d78d82fb7p-6, -0x1.c35e487b1b29dp-4, 0x1.58d21967d6761p-3, -0x1.458f5a6f37fcfp-3}, 
        {0x1.4ce703afb7e91p+1, 0x1.4f4f0d844d014p+1, 0x1.8eb6a08ecbf85p-6, -0x1.aa20cfe6b7765p-4, 0x1.467588bbe1bdap-3, -0x1.2b3d5f9967b8bp-3}, 
        {0x1.4f4f0d844d014p+1, 0x1.51b71758e2196p+1, 0x1.6f9361d848673p-6, -0x1.923688e689e13p-4, 0x1.3594fdb5ca2dp-3, -0x1.128a1e17cb45p-3}, 
        {0x1.51b71758e2196p+1, 0x1.541f212d77319p+1, 0x1.5230a6f6555aap-6, -0x1.7b83c0beb84f5p-4, 0x1.2619146252ae3p-3, -0x1.f6d10e98cc093p-4}, 
        {0x1.541f212d77319p+1, 0x1.56872b020c49cp+1, 0x1.3677ffed95d81p-6, -0x1.65ee7fe7fb5afp-4, 0x1.17eb2554493d3p-3, -0x1.cbbf8d972efccp-4}, 
        {0x1.56872b020c49cp+1, 0x1.58ef34d6a161ep+1, 0x1.1c54e028b586p-6, -0x1.515e86dd78e21p-4, 0x1.0af42197a6c9ap-3, -0x1.a3d0419c13e45p-4}, 
        {0x1.58ef34d6a161ep+1, 0x1.5b573eab367a1p+1, 0x1.03b47d4aae7ap-6, -0x1.3dbd4dce7b7bp-4, 0x1.fe3ad3c274989p-4, -0x1.7f1322017b27dp-4}, 
        {0x1.5b573eab367a1p+1, 0x1.5dbf487fcb924p+1, 0x1.d90b5c70118cap-7, -0x1.2af604c122c2ep-4, 0x1.e89fd744d45b7p-4, -0x1.5d7758a9752a5p-4}, 
        {0x1.5dbf487fcb924p+1, 0x1.6027525460aa6p+1, 0x1.ad7193d240905p-7, -0x1.18f59355eb9b2p-4, 0x1.d4ea1bb06aee4p-4, -0x1.3f10b6f6387b1p-4}, 
        {0x1.6027525460aa6p+1, 0x1.628f5c28f5c29p+1, 0x1.847f0ce6c86a7p-7, -0x1.07aa9996dee59p-4, 0x1.c2eb50dbab895p-4, -0x1.23d025118b756p-4}, 
        {0x1.628f5c28f5c29p+1, 0x1.64f765fd8adacp+1, 0x1.5e19af8040143p-7, -0x1.ee0ae27fc7bd8p-5, 0x1.b2760088a87b6p-4, -0x1.0bb201593e668p-4}, 
        {0x1.64f765fd8adacp+1, 0x1.675f6fd21ff2ep+1, 0x1.3a299d20776fdp-7, -0x1.cdf0515334129p-5, 0x1.a35ce8e7dfd7ap-4, -0x1.ed9b346f3d25p-5}, 
        {0x1.675f6fd21ff2ep+1, 0x1.69c779a6b50b1p+1, 0x1.1898ef15f5245p-7, -0x1.aeed104115848p-5, 0x1.957177a8524adp-4, -0x1.ca141626a6fe2p-5}, 
        {0x1.69c779a6b50b1p+1, 0x1.6c2f837b4a234p+1, 0x1.f2a6e7701c33cp-8, -0x1.90ec22edcfc99p-5, 0x1.888681e322ad5p-4, -0x1.ace2a0ffa62bp-5}, 
        {0x1.6c2f837b4a234p+1, 0x1.6e978d4fdf3b6p+1, 0x1.b88cd913c56b4p-8, -0x1.73dbf7f16f59cp-5, 0x1.7c6e4c8095d99p-4, -0x1.960e993703ea6p-5}, 
        {0x1.6e978d4fdf3b6p+1, 0x1.70ff972474539p+1, 0x1.82c09836c72a3p-8, -0x1.57ae705f46cf8p-5, 0x1.70fae45774d19p-4, -0x1.8587ac643929bp-5}, 
        {0x1.70ff972474539p+1, 0x1.7367a0f9096bcp+1, 0x1.5120e75bba551p-8, -0x1.3c58dd736dd35p-5, 0x1.65fecc134c7fcp-4, -0x1.7b5b3054726b3p-5}, 
        {0x1.7367a0f9096bcp+1, 0x1.75cfaacd9e83ep+1, 0x1.238de24af5312p-8, -0x1.21d3ffc33542bp-5, 0x1.5b4c261abf711p-4, -0x1.778087f75f79ep-5}, 
        {0x1.75cfaacd9e83ep+1, 0x1.7837b4a2339c1p+1, 0x1.f3d0f32538b82p-9, -0x1.081c0885415p-5, 0x1.50b553033bfb6p-4, -0x1.79fd09e53bfe8p-5}, 
        {0x1.7837b4a2339c1p+1, 0x1.7a9fbe76c8b44p+1, 0x1.a823dc7b5b081p-9, -0x1.de61315be2095p-6, 0x1.460c8cd878169p-4, -0x1.82cd70bac70c7p-5}, 
        {0x1.7a9fbe76c8b44p+1, 0x1.7d07c84b5dcc6p+1, 0x1.63d69ad41bbe8p-9, -0x1.ae2982fe08cbap-6, 0x1.3b2425436eaf9p-4, -0x1.91f32b78235p-5}, 
        {0x1.7d07c84b5dcc6p+1, 0x1.7f6fd21ff2e49p+1, 0x1.26a9d7e92c474p-9, -0x1.7f9e080fdb4ebp-6, 0x1.2fce6393a771cp-4, -0x1.a76eeb794fcd2p-5}, 
        {0x1.7f6fd21ff2e49p+1, 0x1.81d7dbf487fccp+1, 0x1.e0b788687efa7p-10, -0x1.52d2a3732883cp-6, 0x1.23dd8a1845803p-4, -0x1.c33fa448f7cd3p-5}, 
        {0x1.81d7dbf487fccp+1, 0x1.843fe5c91d14ep+1, 0x1.814e1c364d343p-10, -0x1.27e2189b35273p-6, 0x1.1723e2b279e78p-4, -0x1.e562866ca3016p-5}, 
        {0x1.843fe5c91d14ep+1, 0x1.86a7ef9db22d1p+1, 0x1.2e83b28fd24bp-10, -0x1.fddc12e8cc02dp-7, 0x1.0973cb8d84ab2p-4, -0x1.06efb88d5e407p-4}, 
        {0x1.86a7ef9db22d1p+1, 0x1.890ff97247454p+1, 0x1.cf72d87e98c4dp-11, -0x1.b03df2475d8d5p-7, 0x1.f53ed400d9a2ap-5, -0x1.1e58382db6e45p-4}, 
        {0x1.890ff97247454p+1, 0x1.8b780346dc5d6p+1, 0x1.5886626c84bdcp-11, -0x1.67489a2284d3fp-7, 0x1.d4f21cb81c0b5p-5, -0x1.38e40d5929323p-4}, 
        {0x1.8b780346dc5d6p+1, 0x1.8de00d1b71759p+1, 0x1.ed967f5e89102p-12, -0x1.236884ca8181cp-7, 0x1.b1a6d38892e4ep-5, -0x1.56baa5552d813p-4}, 
        {0x1.8de00d1b71759p+1, 0x1.904816f0068dcp+1, 0x1.514fecd65eb5ap-12, -0x1.ca30463ab4f7ap-8, 0x1.8afde8349f93dp-5, -0x1.77420037a23f2p-4}, 
        {0x1.904816f0068dcp+1, 0x1.92b020c49ba5ep+1, 0x1.b170cd179305cp-13, -0x1.59bdc774ad0ffp-8, 0x1.60a9a9832292ep-5, -0x1.9cbab06324609p-4}, 
        {0x1.92b020c49ba5ep+1, 0x1.95182a9930be1p+1, 0x1.ffe53448cdff2p-14, -0x1.ed53228d70444p-9, 0x1.321b5cae6dbb3p-5, -0x1.bebcd540d6e7ep-4}, 
        {0x1.95182a9930be1p+1, 0x1.9780346dc5d64p+1, 0x1.0b7709743a479p-14, -0x1.445429a03f4f4p-9, 0x1.ff6e048ad9abap-6, -0x1.fca6bd318b278p-4}, 
        {0x1.9780346dc5d64p+1, 0x1.99e83e425aee6p+1, 0x1.cca641e0fcf17p-16, -0x1.777faae94d2cbp-10, 0x1.8cad9297053afp-6, -0x1.e1680d641563bp-4}, 
        {0x1.99e83e425aee6p+1, 0x1.9c504816f0069p+1, 0x1.16a0b698657fdp-17, -0x1.530d25ce7b2fep-11, 0x1.20129de7a92aep-6, -0x1.90f181de2cb5fp-3}, 
        {0x1.9c504816f0069p+1, 0x1.9eb851eb851ecp+1, 0x1.1c6a7f3b08f9p-20, -0x1.9519b45e4cb86p-13, 0x1.acab132c61e02p-8, 0x1.4820a7a12f21cp-1}, 
      }}, 
      -0x1.8e946865789edp+5, 0x1.d9d52901c7499p+9
    }
  };
  // clang-format on
}
SkfData params_hyb_0_2_s_ga() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{-0x1.f0c6c2c4ac544p+0, -0x1.ec6f34e32adb6p+0, -0x1.e55f9ffa4cd62p+0, -0x1.dbd4c2217fd22p+0, -0x1.d01954c9844a4p+0, -0x1.c27ff6abad125p+0, -0x1.b35e0e2f5fb8ap+0, -0x1.a307cb3e8bd41p+0, -0x1.91cd3a7f3a9a4p+0, -0x1.7ff8466031108p+0, -0x1.6dcb7d07c6e72p+0, -0x1.5b81755412639p+0, -0x1.494c9caceb11cp+0, -0x1.3757802651e09p+0, -0x1.25c52de7e6abcp+0, -0x1.14b1d7cfb2866p+0, -0x1.043382f483301p+0, -0x1.e8b576cf9956bp-1, -0x1.ca66a4216d96cp-1, -0x1.ad8a095f6bd1bp-1, -0x1.92285a56e3db7p-1, -0x1.78448bb0d654cp-1, -0x1.5fdd0df269fb4p-1, -0x1.48ec7ac86a47p-1, -0x1.336a73d67b001p-1, -0x1.1f4c9ff70b2c4p-1, -0x1.0c869152c93b8p-1, -0x1.f6154f4ddb73dp-2, -0x1.d5957b8ce3eafp-2, -0x1.b77069943218fp-2, -0x1.9b87c86329886p-2, -0x1.81bd8994568d2p-2, -0x1.69f4a19536823p-2, -0x1.541077aba7616p-2, -0x1.3ff48edd8a8f6p-2, -0x1.2d8531170b6c3p-2, -0x1.1ca82a08468f7p-2, -0x1.0d44aae088dc5p-2, -0x1.fe85621a8c30dp-3, -0x1.e5158fa040d9ep-3, -0x1.ce0cb147b8713p-3, -0x1.b94028ab2987p-3, -0x1.a6880af191359p-3, -0x1.95be9854805cdp-3, -0x1.86bf9b6b3a526p-3, -0x1.79682d95a1c26p-3, -0x1.6d96eae3ba073p-3, -0x1.632c489f3c33dp-3, -0x1.5a0abdfb24bf2p-3, -0x1.5216a6b9e65f9p-3, -0x1.4b35fe609da3ep-3, -0x1.4550202379ee1p-3, -0x1.404da3aeac22fp-3, -0x1.3c18570bd39ecp-3, -0x1.389a44f32622ap-3, -0x1.35c065150d03p-3, -0x1.3379e6bc9387dp-3, -0x1.31b62030a7b2fp-3, -0x1.306546efc70b4p-3, -0x1.2f786fb29ea1ep-3, -0x1.2ee1a1f9e2d3dp-3, -0x1.2e93f1ed5314p-3, -0x1.2e8393cd57af4p-3, -0x1.2ea5e09ba8581p-3, -0x1.2ef149a192d2dp-3, -0x1.2f5d3de4944a6p-3, -0x1.2fe2080c8d8fap-3, -0x1.3078ac3fa5e19p-3, -0x1.311acc3176e68p-3, -0x1.31c294c9a3ecdp-3, -0x1.326ab57a38e15p-3, -0x1.330e5ecfc306p-3, -0x1.33a944a8c2a9ap-3, -0x1.3437a0c75bcf4p-3, -0x1.34b6337531deap-3, -0x1.35224104b2d3bp-3, -0x1.35798bc22cb74p-3, -0x1.35ba4a69737f4p-3, -0x1.35e31ba520ed7p-3, -0x1.35f2f794ce939p-3, -0x1.35e920c3d5ff4p-3, -0x1.35c51628f1fa1p-3, -0x1.358687923c5ecp-3, -0x1.352d4d4c601cp-3, -0x1.34b9630f60b25p-3, -0x1.342ae58b73845p-3, -0x1.3382118c5bb9bp-3, -0x1.32bf43a22f9b6p-3, -0x1.31e2f77f96545p-3, -0x1.30edc69d72e93p-3, -0x1.2fe0660b91e69p-3, -0x1.2ebba38e3ac87p-3, -0x1.2d80623e19313p-3, -0x1.2c2f96ddf3d7dp-3, -0x1.2aca440ec8e1dp-3, -0x1.295176838190fp-3, -0x1.27c64155925b2p-3, -0x1.2629baa07ffd7p-3, -0x1.247cf88cbd2d5p-3, -0x1.22c10eecbf2e8p-3, -0x1.20f70d7fa262bp-3, -0x1.1f1ffed66cff2p-3, -0x1.1d3ce7c21317p-3, -0x1.1b4ec71f3581fp-3, -0x1.195695cd769b2p-3, -0x1.175546a41d633p-3, -0x1.154bc6427a833p-3, -0x1.133afaac84b9p-3, -0x1.1123c2b6a90c8p-3, -0x1.0f06f55371cffp-3, -0x1.0ce7a566dc2d1p-3, -0x1.0ac3b613fb37cp-3, -0x1.089c10c933358p-3, -0x1.0671699820f62p-3, -0x1.044470394937p-3, -0x1.0215cf6bb8df4p-3, -0x1.ffcc5868f2e84p-4, -0x1.fb6c4a204b60dp-4, -0x1.f70ca250763f3p-4, -0x1.f2ae7f36a3265p-4, -0x1.ee52edc7e6dbfp-4, -0x1.e9fae8cbda538p-4, -0x1.e5a7584cd0ca4p-4, -0x1.e159116070f53p-4, -0x1.dd10d646281a4p-4, -0x1.d8cf56d57acc7p-4, -0x1.d495313263223p-4, -0x1.d062f2bb94558p-4, -0x1.cc3919242219fp-4, -0x1.c81813a8f2394p-4, -0x1.c40044521365fp-4, -0x1.bff20131545d3p-4, -0x1.bbed959123b44p-4, -0x1.b7f34309ac558p-4, -0x1.b403427528c2ep-4, -0x1.b01dc4bf468b1p-4, -0x1.ac42f38e4d74p-4, -0x1.a872f1c6b4ff8p-4, -0x1.a4addbec041f8p-4, -0x1.a0f3c862bd655p-4, -0x1.9d44c798a0824p-4, -0x1.99a0e4191f794p-4, -0x1.9608229480567p-4, -0x1.927a81e07a483p-4, -0x1.8ef7faf909148p-4, -0x1.8b808107b33b1p-4, -0x1.88140176c9004p-4, -0x1.84b26414e7304p-4, -0x1.815b8b4b9cc7ap-4, -0x1.7e0f546a6f76p-4, -0x1.7acd9805c07d6p-4, -0x1.77962a6773915p-4, -0x1.7468dc0dbe0d4p-4, -0x1.71457a336917fp-4, -0x1.6e2bcf5c150ccp-4, -0x1.6b1ba3ded519p-4, -0x1.6814be69b6dacp-4, -0x1.6516e47982df8p-4, -0x1.6221dac218a9fp-4, -0x1.5f3565851643cp-4, -0x1.5c5148d5f137dp-4, -0x1.597548cc034fep-4, -0x1.56a129a44b289p-4, -0x1.53d4afd58e86dp-4, -0x1.510fa01a29a12p-4, -0x1.4e51bf731baffp-4, -0x1.4b9ad327cba4ap-4, -0x1.48eaa0c5a1c69p-4, -0x1.4640ee220774dp-4, -0x1.439d8160a3d0ep-4, -0x1.410020fef2508p-4, -0x1.3e6893e597aadp-4, -0x1.3bd6a17f32a06p-4, -0x1.394a11d3e9be3p-4, -0x1.36c2ada894316p-4, -0x1.34403ea029413p-4, -0x1.31c28f5e0e271p-4, -0x1.2f496ba7e3d43p-4, -0x1.2cd4a085a3f2dp-4, -0x1.2a63fc5f078a5p-4, -0x1.27f74f157c44dp-4, -0x1.258e6a1a29527p-4, -0x1.2329207fc928bp-4, -0x1.20c747085687ap-4, -0x1.1e68b42eb974ap-4, -0x1.1c0d402cc5f89p-4, -0x1.19b4c4fdfaee9p-4, -0x1.175f1e5f7748bp-4, -0x1.150c29cda556p-4, -0x1.12bbc68016a7bp-4, -0x1.106dd56400d2p-4, -0x1.0e223915bf507p-4, -0x1.0bd8d5d9ae498p-4, -0x1.09919194a1eccp-4, -0x1.074c53c42f601p-4, -0x1.05090576eac3ep-4, -0x1.02c79144b783fp-4, -0x1.0087e3473770cp-4, -0x1.fc93d224c282cp-5, -0x1.f81b235a81e79p-5, -0x1.f3a59b15b65e8p-5, -0x1.ef331d0663cd8p-5, -0x1.eac38f98b79cp-5, -0x1.e656dbe74d6dap-5, -0x1.e1ecedad694edp-5, -0x1.dd85b33910ceap-5, -0x1.d9211d5cdd602p-5, -0x1.d4bf1f6170162p-5, -0x1.d05faef662229p-5, -0x1.cc02c422980f3p-5, -0x1.c7a85933dcf3p-5, -0x1.c3506aadb5ce9p-5, -0x1.befaf73757f33p-5, -0x1.baa7ff88c4374p-5, -0x1.b657865703ccfp-5, -0x1.b209903f9691p-5, -0x1.adbe23b324c27p-5, -0x1.a97548df8e87ap-5, -0x1.a52f09998101cp-5, -0x1.a0eb7145b52dp-5, -0x1.9caa8cc2042e1p-5, -0x1.986c6a4e808c4p-5, -0x1.9431725b66b31p-5, -0x1.8ff8f42e8d9f7p-5, -0x1.8bc36885de1ap-5, -0x1.8790e2aa07779p-5, -0x1.836176defd1ebp-5, -0x1.7f353a4e937d2p-5, -0x1.7b0c42f3e0f82p-5, -0x1.76e6a78774c7ap-5, -0x1.72c47f6c6ac73p-5, -0x1.6ea5e29e5c3cp-5, -0x1.6a8ae9a033315p-5, -0x1.6673ad6bd582fp-5, -0x1.62604762a8fe2p-5, -0x1.5e50d13edc8adp-5, -0x1.5a45650572d8ap-5, -0x1.563e1cf8ff6dfp-5, -0x1.523b138d05909p-5, -0x1.4e3c6359ed10dp-5, -0x1.4a4227117f989p-5, -0x1.464c7973df031p-5, -0x1.425b7544ea2f6p-5, -0x1.3e6f35420294ap-5, -0x1.3a87d4182b347p-5, -0x1.36a56c5a76b7fp-5, -0x1.32c81878bc447p-5, -0x1.2eeff2b692557p-5, -0x1.2b1d152286ce5p-5, -0x1.274f998d92dcfp-5, -0x1.23879982ccc83p-5, -0x1.1fc52e3f53733p-5, -0x1.1c0870aa76be2p-5, -0x1.1851794e1ee28p-5, -0x1.14a0604f7540bp-5, -0x1.10f53d67d0612p-5, -0x1.0d5027dde8ca5p-5, -0x1.09b1367f58c88p-5, -0x1.06187f9a6c137p-5, -0x1.028618f8416edp-5, -0x1.fdf42fae822cdp-6, -0x1.f6e921cbe01ap-6, -0x1.efeb307c355a2p-6, -0x1.e8fa82c0bf42cp-6, -0x1.e2173e6030e95p-6, -0x1.db4187df472e8p-6, -0x1.d479827a17f7ap-6, -0x1.cdbf501e288d2p-6, -0x1.c713116538d19p-6, -0x1.c074e590cffcep-6, -0x1.b9e4ea8677da9p-6, -0x1.b3633cccae49fp-6, -0x1.aceff7887ccfcp-6, -0x1.a68b347bb0992p-6, -0x1.a0350c03b23aap-6, -0x1.99ed9518e8c46p-6, -0x1.93b4e54eaafb2p-6, -0x1.8d8b10d3ac6a3p-6, -0x1.87702a72e86bep-6, -0x1.81644394f069ep-6, -0x1.7b676c41acd0dp-6, -0x1.7579b3227275cp-6, -0x1.6f9b258470a56p-6, -0x1.69cbcf5b6f6b6p-6, -0x1.640bbb44d21cbp-6, -0x1.5e5af28ae25b6p-6, -0x1.58b97d284d11fp-6, -0x1.532761cbe0deep-6, -0x1.4da4a5dc7af2bp-6, -0x1.48314d7d20f67p-6, -0x1.42cd5b914b80cp-6, -0x1.3d78d1c155d62p-6, -0x1.3833b07f15112p-6, -0x1.32fdf70a927a8p-6, -0x1.2dd7a376e9c3ep-6, -0x1.28c0b2af441cap-6, -0x1.23b9207bf459cp-6, -0x1.1ec0e787aff74p-6, -0x1.19d80164de9e8p-6, -0x1.14fe66930a0adp-6, -0x1.10340e846256ap-6, -0x1.0b78efa35818dp-6, -0x1.06ccff584d06fp-6, -0x1.0230320f59b33p-6, -0x1.fb44f67c3e836p-7, -0x1.f2479ad360abap-7, -0x1.e9683459037abp-7, -0x1.e0a6a478dacedp-7, -0x1.d802cae173287p-7, -0x1.cf7c8590595eep-7, -0x1.c713b0de57717p-7, -0x1.bec8278ba77e5p-7, -0x1.b699c2cc400ebp-7, -0x1.ae885a5420633p-7, -0x1.a693c46390154p-7, -0x1.9ebbd5d369fb4p-7, -0x1.970062216002ap-7, -0x1.8f613b7c244d3p-7, -0x1.87de32cf9c27fp-7, -0x1.807717d0f2a39p-7, -0x1.792bb90aa2bb1p-7, -0x1.71fbe3e865548p-7, -0x1.6ae764c30a25ep-7, -0x1.63ee06ec3fb5fp-7, -0x1.5d0f94ba2a1b6p-7, -0x1.564bd792f41acp-7, -0x1.4fa297f82d9ap-7, -0x1.49139d920b1d6p-7, -0x1.429eaf3a90b8ep-7, -0x1.3c4393087cd3bp-7, -0x1.36020e5a219ccp-7, -0x1.2fd9e5e00b8c9p-7, -0x1.29cadda77feecp-7, -0x1.23d4b924cf833p-7, -0x1.1df73b3d7dc53p-7, -0x1.1832265238a27p-7, -0x1.12853c48a46b6p-7, -0x1.0cf03e94f616dp-7, -0x1.0772ee435ecaep-7, -0x1.020d0c01466cfp-7, -0x1.f97cb04caafcfp-8, -0x1.ef0d257a98e96p-8, -0x1.e4caf71956b34p-8, -0x1.dab5a43e48755p-8, -0x1.d0ccab97be02ep-8, -0x1.c70f8b7d0fa3cp-8, -0x1.bd7dc1fe5ad4cp-8, -0x1.b416ccf3d7729p-8, -0x1.aada2a0ccb814p-8, -0x1.a1c756de187e6p-8, -0x1.98ddd0f067976p-8, -0x1.901d15cdf23b9p-8, -0x1.8784a30fe82ap-8, -0x1.7f13f66b74ab9p-8, -0x1.76ca8dbe64f18p-8, -0x1.6ea7e71b6b5fcp-8, -0x1.66ab80d607a4bp-8, -0x1.5ed4d98e0ff57p-8, -0x1.5723703addaf1p-8, -0x1.4f96c4361e7d6p-8, -0x1.482e55464cd73p-8, -0x1.40e9a3a8ce687p-8, -0x1.39c8301bb9d24p-8, -0x1.32c97be749f1ap-8, -0x1.2bed08e6f7a46p-8, -0x1.25325992415d2p-8, -0x1.1e98f10523e6bp-8, -0x1.182053083c2e6p-8, -0x1.11c804189f96dp-8, -0x1.0b8f896f5fd99p-8, -0x1.05766908ca3abp-8, -0x1.fef85356a7f75p-9, -0x1.f340a5dc816edp-9, -0x1.e7c4da8003106p-9, -0x1.dc8403d890ebbp-9, -0x1.d17d3643b7fe3p-9, -0x1.c6af87f044976p-9, -0x1.bc1a10e8d3e2dp-9, -0x1.b1bbeb1de9986p-9, -0x1.a794326f77cf2p-9, -0x1.9da204b5f7ea4p-9, -0x1.93e481cafbd98p-9, -0x1.8a5acb914b629p-9, -0x1.810405fc8e023p-9, -0x1.77df571877d42p-9, -0x1.6eebe70f8a653p-9, -0x1.6628e031672ddp-9, -0x1.5d956ef8ae162p-9, -0x1.5530c21074f3cp-9, -0x1.4cfa0a5951d24p-9, -0x1.44f07aee0226ap-9, -0x1.3d134927a8bdap-9, -0x1.3561aca1a534ep-9, -0x1.2ddadf3d10d1bp-9, -0x1.267e1d23d3c26p-9, -0x1.1f4aa4cb61fdfp-9, -0x1.183fb6f716bf4p-9, -0x1.115c96ba35ee5p-9, -0x1.0aa0897999a82p-9, -0x1.040ad6ed03737p-9, -0x1.fb3592403209bp-10, -0x1.ee9f58e61fe36p-10, -0x1.e2519f360b044p-10, -0x1.d64b074412c64p-10, -0x1.ca8a37cdb311bp-10, -0x1.bf0ddc38a541fp-10, -0x1.b3d4a4912c6c9p-10, -0x1.a8dd4587d96c5p-10, -0x1.9e26786ebdae2p-10, -0x1.93aefb361a43cp-10, -0x1.897590688fbbdp-10, -0x1.7f78ff26c7fe9p-10, -0x1.75b81322b895ep-10, -0x1.6c319c9a61399p-10, -0x1.62e470522086bp-10, -0x1.59cf678e9dc0bp-10, -0x1.50f1600e4e5dep-10, -0x1.48493c029d00ep-10, -0x1.3fd5e208ac3d6p-10, -0x1.37963d21c72c3p-10, -0x1.2f893cab7eae2p-10, -0x1.27add4577a1f3p-10, -0x1.2002fc22fa5a1p-10, -0x1.1887b04e1c8e7p-10, -0x1.113af152d868ep-10, -0x1.0a1bc3dbc4cf9p-10, -0x1.032930baa3c31p-10, -0x1.f8c489bd79a34p-11, -0x1.eb8c22960506ap-11, -0x1.dea756182aa38p-11, -0x1.d214565c26cb6p-11, -0x1.c5d15d649cdebp-11, -0x1.b9dcad09b3463p-11, -0x1.ae348ee3fba25p-11, -0x1.a2d7543725d5bp-11, -0x1.97c355dc82a5dp-11, -0x1.8cf6f42d5f674p-11, -0x1.827096ed3bd4dp-11, -0x1.782ead33ea492p-11, -0x1.6e2fad578c63dp-11, -0x1.647214d68639dp-11, -0x1.5af4684158fa1p-11, -0x1.51b533247b182p-11, -0x1.48b307f225a8p-11, -0x1.3fec7fec1f05cp-11, -0x1.37603b0d869dfp-11, -0x1.2f0b5f266d8eap-11, -0x1.26ef9feb3e2c8p-11, -0x1.1f0a2becdf3e4p-11, -0x1.1759bd1cc747fp-11, -0x1.0fdd13b7c1413p-11, -0x1.0892f6301b724p-11, -0x1.017a3117edf47p-11, -0x1.f5232e16f2984p-12, -0x1.e7b001373866dp-12, -0x1.da989870c8d5p-12, -0x1.cddabc3776022p-12, -0x1.c174406862ff8p-12, -0x1.b563041fe224fp-12, -0x1.a9a4f18f8ed75p-12, -0x1.9e37fdd4b8d36p-12, -0x1.931a28cf12932p-12, -0x1.88497cf7aae8dp-12, -0x1.7dc40f383d12p-12, -0x1.7387fec2b989ap-12, -0x1.699374e9366f1p-12, -0x1.5fe4a4f61e87p-12, -0x1.5679cc04af0c2p-12, -0x1.4d5130d9ca9e8p-12, -0x1.446923bd111a1p-12, -0x1.3bbffe52463dcp-12, -0x1.33542372fd3a2p-12, -0x1.2b23ff0894dd4p-12, -0x1.232e05e67017bp-12, -0x1.1b70b5a47a2abp-12, -0x1.13ea9479e8899p-12, -0x1.0c9a311837468p-12, -0x1.057e2286761d4p-12, -0x1.fd2a0ff9945d7p-13, -0x1.efbb118036d79p-13, -0x1.e2aca7fc29bc9p-13, -0x1.d5fc4152b5129p-13, -0x1.c9a75aabe45b6p-13, -0x1.bdab802bd8eb1p-13, -0x1.b2064cac95d74p-13, -0x1.a6b569783f316p-13, -0x1.9bb68e03e22ap-13, -0x1.91077faab331fp-13, -0x1.86a61169e36e8p-13, -0x1.7c90239cd9412p-13, -0x1.72c3a3ba42c9p-13, -0x1.693e8c1179753p-13, -0x1.5ffee388c15cdp-13, -0x1.5702bd5bfbe2fp-13, -0x1.4e4838dc30b8ap-13, -0x1.45cd812fd06bfp-13, -0x1.3d90cd13a04c7p-13, -0x1.35905e9c8a31ep-13, -0x1.2dca82fa1f80cp-13, -0x1.263d923a1dca3p-13, -0x1.1ee7ef0cb3469p-13, -0x1.17c80689b6812p-13, -0x1.10dc4ff6d3035p-13, -0x1.0a234c8e9560bp-13, -0x1.039b87489eb24p-13, -0x1.fa8729451c08dp-14, -0x1.ee3424d46a767p-14, -0x1.e23b4f1136a92p-14, -0x1.d69a079c5534ap-14, -0x1.cb4dbf7f9ea5dp-14, -0x1.c053f8ca4cec6p-14, -0x1.b5aa462f839c7p-14, -0x1.ab4e4aa6b92c7p-14, -0x1.a13db90e5e22ep-14, -0x1.977653d066557p-14, -0x1.8df5ec88fd5b9p-14, -0x1.84ba63af006dcp-14, -0x1.7bc1a83ec441cp-14, -0x1.7309b76670f2dp-14, -0x1.6a909c3473232p-14, -0x1.62546f47bdb53p-14, -0x1.5a535681cb89bp-14, -0x1.528b84ba98052p-14, -0x1.4afb3975e7bc3p-14, -0x1.43a0c09a9cfb6p-14, -0x1.3c7a722b7d3e5p-14, -0x1.3586b20172ef7p-14, -0x1.2ec3ef876b258p-14, -0x1.2830a5779d49p-14, -0x1.21cb599a13626p-14, -0x1.1b929c849ed64p-14, -0x1.1585095bfcacdp-14, -0x1.0fa14596334c2p-14, -0x1.09e600be00092p-14, -0x1.0451f43758578p-14, -0x1.fdc7c609b85f4p-15, -0x1.f335331ccd693p-15, -0x1.e8e9dad049097p-15, -0x1.dee37a357af5cp-15, -0x1.d51fdfd89008cp-15, -0x1.cb9ceb5334a44p-15, -0x1.c2588ce13d2a9p-15, -0x1.b950c4f5edb85p-15, -0x1.b083a3d2e25b5p-15, -0x1.a7ef491fa6641p-15, -0x1.9f91e3825ccf6p-15, -0x1.9769b0396efb1p-15, -0x1.8f74fab60ed74p-15, -0x1.87b21c37c9d4ep-15, -0x1.801f7b68e81c7p-15, -0x1.78bb8bfbd5a9cp-15, -0x1.7184ce4995a7cp-15, -0x1.6a79cef12cf53p-15, -0x1.63992678a4ddcp-15, -0x1.5ce178eebb1fep-15, -0x1.5651758eb64e2p-15, -0x1.4fe7d6653c844p-15, -0x1.49a35ff7b5decp-15, -0x1.4382e0ecadac5p-15, -0x1.3d8531b70c1f1p-15, -0x1.37a93443aeb7ep-15, -0x1.31edd3a93205ep-15, -0x1.2c5203da8f935p-15, -0x1.26d4c15cfd2b7p-15, -0x1.2175110053904p-15, -0x1.1c31ff9b321cdp-15, -0x1.170aa1c9fe82bp-15, -0x1.11fe13b1a288ep-15, -0x1.0d0b78c57ff8p-15, -0x1.0831fb90f469ep-15, -0x1.0370cd8424923p-15, -0x1.fd8e4d8859145p-16, -0x1.f4688bfc69025p-16, -0x1.eb6ee07c02ff1p-16, -0x1.e29fe18d7630dp-16, -0x1.d9fa31dd2e98bp-16, -0x1.d17c7ff8ec5c5p-16, -0x1.c925860fd272ap-16, -0x1.c0f409b4209e7p-16, -0x1.b8e6dba133f6cp-16, -0x1.b0fcd7823236p-16, -0x1.a934e3ba49473p-16, -0x1.a18df12ed02bep-16, -0x1.9a06fb0f0b517p-16, -0x1.929f069e315cap-16, -0x1.8b5522faf186ap-16, -0x1.842868e69b955p-16, -0x1.7d17fa8ae8e7ap-16, -0x1.7623033d724f9p-16, -0x1.6f48b742ac25fp-16, -0x1.6888538e4158ap-16, -0x1.61e11d816a8aep-16, -0x1.5b5262a9b59e2p-16, -0x1.54db787ca858cp-16, -0x1.4e7bbc12b33b1p-16, -0x1.483291e19f052p-16, -0x1.41ff6576bc454p-16, -0x1.3be1a9301f57ep-16, -0x1.35d8d5f6c5df2p-16, -0x1.2fe46af8eb109p-16, }}, 
      {{-0x1.f10aa7dae5608p+0, -0x1.ed788908801dap+0, -0x1.e79e850ac4e1ep+0, -0x1.df9fe0add4216p+0, -0x1.d5a93f6ea9d0ap+0, -0x1.c9eda0de12464p+0, -0x1.bca3ad965bfefp+0, -0x1.ae0371fd9669dp+0, -0x1.9e448ca185dcfp+0, -0x1.8d9cc8f3d3997p+0, -0x1.7c3f1a05a1c9bp+0, -0x1.6a5ae81d31258p+0, -0x1.581b9f91f7c66p+0, -0x1.45a87a839475ap+0, -0x1.33247232766eap+0, -0x1.20ae5279b63d4p+0, -0x1.0e60e5805b493p+0, -0x1.f8a65b3789121p-1, -0x1.d53159156892dp-1, -0x1.b28356c5a315cp-1, -0x1.90b7185ff725p-1, -0x1.6fe2200b2f2cbp-1, -0x1.50154cff7ac87p-1, -0x1.315d5be85b7bcp-1, -0x1.13c37120e58c3p-1, -0x1.ee9b2fb4f1c62p-2, -0x1.b7fe3b3314cdap-2, -0x1.83b21297672e2p-2, -0x1.51b504ddef9f9p-2, -0x1.2201e1e720f7ep-2, -0x1.e92170bf8fe49p-3, -0x1.92af29bec7043p-3, -0x1.4095708e8b54ep-3, -0x1.e572f91875db7p-4, -0x1.51fc59ab86418p-4, -0x1.8d13eb4494cbp-5, -0x1.0b727dc6d8167p-6, 0x1.ca67457664ddbp-7, 0x1.5c6ae6e5d7bedp-5, 0x1.1c20635a82f0bp-4, 0x1.8350da93c782ep-4, 0x1.e4096e699a417p-4, 0x1.1f4611e4aa4ap-3, 0x1.498d2e1f35313p-3, 0x1.70fa4c4991f1ap-3, 0x1.95ad139e82112p-3, 0x1.b7c46f1cc8af6p-3, 0x1.d75e7b1e6971p-3, 0x1.f49884cf39e2ap-3, 0x1.07c788ea48ae3p-2, 0x1.142ef183ba2b5p-2, 0x1.1f8ff65b5449ap-2, 0x1.29f7a4d17cb37p-2, 0x1.337298dab2c4bp-2, 0x1.3c0d31541e5e3p-2, 0x1.43d2b587cdddap-2, 0x1.4acea335748d1p-2, 0x1.510be737f6d2ap-2, 0x1.569505d9d74ccp-2, 0x1.5b7418aa9a011p-2, 0x1.5fb2cdba3731p-2, 0x1.635a68c419a1dp-2, 0x1.6673c62587b1bp-2, 0x1.69075f02e8b58p-2, 0x1.6b1d4dcd5c6c3p-2, 0x1.6cbd526f13099p-2, 0x1.6deed5ae03947p-2, 0x1.6eb8ebad5020ep-2, 0x1.6f2255bb16249p-2, 0x1.6f3183bb596fap-2, 0x1.6eec958632e08p-2, 0x1.6e595c828a3f2p-2, 0x1.6d7d5daddd937p-2, 0x1.6c5dd4209d5b3p-2, 0x1.6affb3fcaa1f6p-2, 0x1.6967ad9ade6dap-2, 0x1.679a30c4bceafp-2, 0x1.659b6fcf4cbecp-2, 0x1.636f627cc636dp-2, 0x1.6119c89ba5833p-2, 0x1.5e9e2c6665684p-2, 0x1.5bffe4aeba642p-2, 0x1.594216e29ba6ep-2, 0x1.5667b8f9e576p-2, 0x1.53739359d21ecp-2, 0x1.506842b8b9b6fp-2, 0x1.4d483a08d677fp-2, 0x1.4a15c46cce454p-2, 0x1.46d30734693acp-2, 0x1.438203dbf1ecep-2, 0x1.40249a0604b22p-2, 0x1.3cbc896702982p-2, 0x1.394b739ab81b6p-2, 0x1.35d2dddf9b312p-2, 0x1.325432b5e551cp-2, 0x1.2ed0c36314edep-2, 0x1.2b49c95ba2578p-2, 0x1.27c06795608fcp-2, 0x1.2435abc52132ep-2, 0x1.20aa8f8a48b9bp-2, 0x1.1d1ff98ae5738p-2, 0x1.1996be829e098p-2, 0x1.160fa2467070bp-2, 0x1.128b58beb8717p-2, 0x1.0f0a86d883741p-2, 0x1.0b8dc36eb745dp-2, 0x1.0815982b1ddep-2, 0x1.04a2825f0e737p-2, 0x1.0134f3d31eca6p-2, 0x1.fb9aa71a731eap-3, 0x1.f4d8e81ce13d5p-3, 0x1.ee236b08cb29fp-3, 0x1.e77bbb0cd465p-3, 0x1.e0e260262f832p-3, 0x1.da57d3522a718p-3, 0x1.d3dc7f7fb85b7p-3, 0x1.cd70c27423944p-3, 0x1.c714eda55b91dp-3, 0x1.c0c9470b7a9e8p-3, 0x1.ba8e09ea6fe08p-3, 0x1.b46367943baa6p-3, 0x1.ae498823f1189p-3, 0x1.a8408b318b0f7p-3, 0x1.a248887e8bcd6p-3, 0x1.9c61909b30885p-3, 0x1.968bad83e9ec6p-3, 0x1.90c6e336a0f9bp-3, 0x1.8b13303f40cc1p-3, 0x1.85708e3b1211cp-3, 0x1.7fdef2528d976p-3, 0x1.7a5e4da97d73ep-3, 0x1.74ee8dc59a905p-3, 0x1.6f8f9cebea47ap-3, 0x1.6a4162757d15cp-3, 0x1.6503c31c2d8bap-3, 0x1.5fd6a14030e0fp-3, 0x1.5ab9dd274e01dp-3, 0x1.55ad55368647ap-3, 0x1.50b0e6270a034p-3, 0x1.4bc46b3721b9ep-3, 0x1.46e7be57c0671p-3, 0x1.421ab85742b53p-3, 0x1.3d5d3109c3d7bp-3, 0x1.38aeff6f58f4fp-3, 0x1.340ff9d85c768p-3, 0x1.2f7ff607d9f5bp-3, 0x1.2afec95425546p-3, 0x1.268c48c57e365p-3, 0x1.22284932bb774p-3, 0x1.1dd29f5bd7e87p-3, 0x1.198b2002578a9p-3, 0x1.15519fff78123p-3, 0x1.1125f4581bfffp-3, 0x1.0d07f24e84881p-3, 0x1.08f76f71d6c47p-3, 0x1.04f441ab9669ap-3, 0x1.00fe3f4b1fac2p-3, 0x1.fa2a7e1eadbdp-4, 0x1.f272305d68fa1p-4, 0x1.ead344bba1ab6p-4, 0x1.e34d6ba96d175p-4, 0x1.dbe056a61b1dep-4, 0x1.d48bb846c6461p-4, 0x1.cd4f443b4d6aap-4, 0x1.c62aaf520efb8p-4, 0x1.bf1daf7a95541p-4, 0x1.b827fbc75916cp-4, 0x1.b1494c6ed8e4dp-4, 0x1.aa815acc0bb78p-4, 0x1.a3cfe15e34e51p-4, 0x1.9d349bc84e982p-4, 0x1.96af46cfd598cp-4, 0x1.903fa05b3b02cp-4, 0x1.89e5676fba788p-4, 0x1.83a05c2ec3ca9p-4, 0x1.7d703fd2dc47dp-4, 0x1.7754d4ac00296p-4, 0x1.714dde1b84186p-4, 0x1.6b5b208f7729ap-4, 0x1.657c617d91ca9p-4, 0x1.5fb1675db4728p-4, 0x1.59f9f9a407ad8p-4, 0x1.5455e0bac6214p-4, 0x1.4ec4e5fbc3b7fp-4, 0x1.4946d3a9bef63p-4, 0x1.43db74e98cd89p-4, 0x1.3e8295bb2b887p-4, 0x1.393c02f2cd81p-4, 0x1.34078a31e31ep-4, 0x1.2ee4f9e032117p-4, 0x1.29d42124fe9cfp-4, 0x1.24d4cfe050976p-4, 0x1.1fe6d6a457689p-4, 0x1.1b0a06aef242ap-4, 0x1.163e31e35f96p-4, 0x1.11832ac414a22p-4, 0x1.0cd8c46cbf6b4p-4, 0x1.083ed28c739dbp-4, 0x1.03b5296002b74p-4, 0x1.fe773b58fc1f6p-5, 0x1.f5a40973ca6c6p-5, 0x1.ecf0689bfdc2ap-5, 0x1.e45c054eb77b6p-5, 0x1.dbe68cf10b7ddp-5, 0x1.d38fadc6b135p-5, 0x1.cb5716e90fa78p-5, 0x1.c33c783e9d4bp-5, 0x1.bb3f82729c07ap-5, 0x1.b35fe6ed28f83p-5, 0x1.ab9d57cbac37dp-5, 0x1.a3f787d99b5ebp-5, 0x1.9c6e2a89993c2p-5, 0x1.9500f3eeed86p-5, 0x1.8daf98b751ae7p-5, 0x1.8679ce2514fa8p-5, 0x1.7f5f4a0997275p-5, 0x1.785fc2c0101c5p-5, 0x1.717aef28add1dp-5, 0x1.6ab086a3fddc6p-5, 0x1.6400410ea3ac8p-5, 0x1.5d69d6bd5a193p-5, 0x1.56ed00793cb15p-5, 0x1.508974b41f8aep-5, 0x1.4a3ef1f74708cp-5, 0x1.440d305ab424fp-5, 0x1.3df3ea5ae2c84p-5, 0x1.37f2dad9102aep-5, 0x1.3209bd19159abp-5, 0x1.2c384cbf823b1p-5, 0x1.267e45cfedc5ap-5, 0x1.20db64ab7f5cap-5, 0x1.1b4f660faa8d3p-5, 0x1.15da071518a62p-5, 0x1.107b052ec242cp-5, 0x1.0b321e292ed58p-5, 0x1.05ff1029e02dep-5, 0x1.00e199aede5c1p-5, 0x1.f7b2f31ccd89fp-6, 0x1.edccdded7cc93p-6, 0x1.e41072dc37fbp-6, 0x1.da7d31a5676acp-6, 0x1.d1129ab5aee72p-6, 0x1.c7d02f2a65626p-6, 0x1.beb570d234af9p-6, 0x1.b5c1e22de3776p-6, 0x1.acf5067147fdep-6, 0x1.a44e618457c27p-6, 0x1.9bcd78045e86fp-6, 0x1.9371cf454eacdp-6, 0x1.8b3aed532e6bdp-6, 0x1.832858f39f11fp-6, 0x1.7b3999a77a14p-6, 0x1.736e37ac811e1p-6, 0x1.6bc5bbff24a88p-6, 0x1.643fb05c55cf2p-6, 0x1.5cdb9f436a747p-6, 0x1.559913f8086e2p-6, 0x1.4e779a842194ep-6, 0x1.4776bfb9efd46p-6, 0x1.40961135fc7ddp-6, 0x1.39d51d6129021p-6, 0x1.33337372b914bp-6, 0x1.2cb0a37260538p-6, 0x1.264c3e3a4999p-6, 0x1.2005d5791e4e2p-6, 0x1.19dcfbb40767ep-6, 0x1.13d14448a6a63p-6, 0x1.0de2436f0b9a9p-6, 0x1.080f8e3b9a9cp-6, 0x1.0258baa0ebfcap-6, 0x1.f97abee33e933p-7, 0x1.ee7a28c43f87p-7, 0x1.e3aee414bb29ap-7, 0x1.d91823ceedb15p-7, 0x1.ceb51cba99dbfp-7, 0x1.c485057028522p-7, 0x1.ba87165b84e59p-7, 0x1.b0ba89befa66bp-7, 0x1.a71e9bb5c9844p-7, 0x1.9db28a36b3008p-7, 0x1.947595164c6bp-7, 0x1.8b66fe0935e4ep-7, 0x1.828608a6200a3p-7, 0x1.79d1fa67abdcap-7, 0x1.714a1aae2bb72p-7, 0x1.68edb2c12bf65p-7, 0x1.60bc0dd0d9d9cp-7, 0x1.58b478f74466p-7, 0x1.50d643396c03ap-7, 0x1.4920bd8831c0bp-7, 0x1.41933ac116b7ap-7, 0x1.3a2d0faed49e8p-7, 0x1.32ed9309cf362p-7, 0x1.2bd41d785d315p-7, 0x1.24e0098ee8b73p-7, 0x1.1e10b3cfe7edcp-7, 0x1.17657aabb0ecfp-7, 0x1.10ddbe8024992p-7, 0x1.0a78e198359a6p-7, 0x1.0436482b492ffp-7, 0x1.fc2ab0b8e7205p-8, 0x1.f02af4731f19cp-8, 0x1.e46c2f7468e22p-8, 0x1.d8ed397d0c4d6p-8, 0x1.cdacee1bcc841p-8, 0x1.c2aa2cab03741p-8, 0x1.b7e3d84d7c83cp-8, 0x1.ad58d7eb0ff04p-8, 0x1.a308162cfdb68p-8, 0x1.98f0817a0e387p-8, 0x1.8f110bf274ad5p-8, 0x1.8568ab6b78b6cp-8, 0x1.7bf6596ae6896p-8, 0x1.72b913224abb9p-8, 0x1.69afd969f33f7p-8, 0x1.60d9b0bbc42c6p-8, 0x1.5835a12dd4848p-8, 0x1.4fc2b66cdc413p-8, 0x1.477fffb674359p-8, 0x1.3f6c8fd328103p-8, 0x1.37877d105cbb6p-8, 0x1.2fcfe13a0e357p-8, 0x1.2844d994620fcp-8, 0x1.20e586d516bf5p-8, 0x1.19b10d1ccc146p-8, 0x1.12a693f027f3dp-8, 0x1.0bc54630dab0ep-8, 0x1.050c521681a0ep-8, 0x1.fcf5d24ed9f07p-9, 0x1.f02080628c43bp-9, 0x1.e3971e8338f15p-9, 0x1.d758233cb1e87p-9, 0x1.cb620b7c2b5f4p-9, 0x1.bfb35a80c5b93p-9, 0x1.b44a99cbe5e2bp-9, 0x1.a926591167f5cp-9, 0x1.9e452e27ae66ap-9, 0x1.93a5b4f78d29bp-9, 0x1.89468f6c14325p-9, 0x1.7f2665623e5cp-9, 0x1.7543e49886feep-9, 0x1.6b9dc09e647dfp-9, 0x1.6232b2c3b2827p-9, 0x1.59017a0805b29p-9, 0x1.5008db09ef149p-9, 0x1.47479ff635506p-9, 0x1.3ebc9876ffdd9p-9, 0x1.366699a2f92fdp-9, 0x1.2e447dec68723p-9, 0x1.265525104c61ap-9, 0x1.1e97740568a58p-9, 0x1.170a54eb5f8a2p-9, 0x1.0facb6f9c3da3p-9, 0x1.087d8e6f2f38cp-9, 0x1.017bd480620d5p-9, 0x1.f54d0e8eca4p-10, 0x1.e7f953656e116p-10, 0x1.dafa86e9077f7p-10, 0x1.ce4ec1e3cb817p-10, 0x1.c1f4266475c32p-10, 0x1.b5e8df9cfb545p-10, 0x1.aa2b21c175a3cp-10, 0x1.9eb929e728802p-10, 0x1.93913de3a31dfp-10, 0x1.88b1ac2c202acp-10, 0x1.7e18cbb50205fp-10, 0x1.73c4fbd17f636p-10, 0x1.69b4a4138a7a4p-10, 0x1.5fe6342bd9fabp-10, 0x1.565823ca3a121p-10, 0x1.4d08f27e0296fp-10, 0x1.43f72796d3038p-10, 0x1.3b2152057c98fp-10, 0x1.3286083d3a337p-10, 0x1.2a23e81511c61p-10, 0x1.21f996a981464p-10, 0x1.1a05c03e6aa47p-10, 0x1.124718213ff1ap-10, 0x1.0abc588b6fb2p-10, 0x1.036442851c48bp-10, 0x1.f87b3b902abb6p-11, 0x1.ea8e7146267cap-11, 0x1.dcffcfba85083p-11, 0x1.cfcd0d3424c69p-11, 0x1.c2f3ec7a94428p-11, 0x1.b6723c9ed6e27p-11, 0x1.aa45d8c4c0f4p-11, 0x1.9e6ca7ece0adbp-11, 0x1.92e49cbf0c791p-11, 0x1.87abb5556dfdp-11, 0x1.7cbffb08492dfp-11, 0x1.721f823a45f93p-11, 0x1.67c86a25542fcp-11, 0x1.5db8dca8376d3p-11, 0x1.53ef0e14a6091p-11, 0x1.4a693cfe01283p-11, 0x1.4125b208b168ap-11, 0x1.3822bfba0fd7bp-11, 0x1.2f5ec2490ab47p-11, 0x1.26d81f6f42e48p-11, 0x1.1e8d463adbc0fp-11, 0x1.167caee0e2349p-11, 0x1.0ea4da9054a27p-11, 0x1.07045345bc7cbp-11, 0x1.ff33573edb2e3p-12, 0x1.f0c6fd64c6a74p-12, 0x1.e2c0dfbf6b9bcp-12, 0x1.d51e5555474aap-12, 0x1.c7dcc51e8d60ap-12, 0x1.baf9a5b3a417ap-12, 0x1.ae727cfcf1342p-12, 0x1.a244dfe3cbbe4p-12, 0x1.966e72049db9ap-12, 0x1.8aece562452acp-12, 0x1.7fbdfa1a84ae3p-12, 0x1.74df7e1bd3571p-12, 0x1.6a4f4cdc2680fp-12, 0x1.600b4f10fcbdp-12, 0x1.56117a68a3195p-12, 0x1.4c5fd14477f52p-12, 0x1.42f4627468a2cp-12, 0x1.39cd48f39be0cp-12, 0x1.30e8aba62f7dep-12, 0x1.2844bd180bdd4p-12, 0x1.1fdfbb3ce5aaep-12, 0x1.17b7ef3148603p-12, 0x1.0fcbacfcc6de5p-12, 0x1.081953552efd7p-12, 0x1.009f4b62dc708p-12, 0x1.f2b8110c2f3edp-13, 0x1.e49c103aed20cp-13, 0x1.d6e7a29a9d771p-13, 0x1.c997e990685f8p-13, 0x1.bcaa1930d8b88p-13, 0x1.b01b77d4d7d54p-13, 0x1.a3e95db0a365fp-13, 0x1.9811346caaaap-13, 0x1.8c9076c052065p-13, 0x1.8164b00eca078p-13, 0x1.768b7c05af0f1p-13, 0x1.6c02863d5fa6dp-13, 0x1.61c789db57d78p-13, 0x1.57d851365b784p-13, 0x1.4e32b57c45205p-13, 0x1.44d49e59c9e65p-13, 0x1.3bbc01a3b6858p-13, 0x1.32e6396f01249p-13, 0x1.2a52ac88258eap-13, 0x1.21fecd52799b8p-13, 0x1.19e8c6fee57d6p-13, 0x1.120ed14eb8d38p-13, 0x1.0a6f3046fd45fp-13, 0x1.030833e52783cp-13, 0x1.f7b06fab0a698p-14, 0x1.e9bb46562a065p-14, 0x1.dc2dd031b1e37p-14, 0x1.cf0507596a075p-14, 0x1.c23dfb1717b0dp-14, 0x1.b5d5cf5e0e3e6p-14, 0x1.a9c9bc490258p-14, 0x1.9e170d9b15fa4p-14, 0x1.92bb22433ced1p-14, 0x1.87b36be253b83p-14, 0x1.7cfd6e53fc5c4p-14, 0x1.7296bf39c5f45p-14, 0x1.687d05890ddc6p-14, 0x1.5eadf91b49a76p-14, 0x1.5527624061444p-14, 0x1.4be7195449f17p-14, 0x1.42eb06560721bp-14, 0x1.3a3120815d55cp-14, 0x1.31b76deae299ap-14, 0x1.297c031e0fb35p-14, 0x1.217d02bd7bfb4p-14, 0x1.19b89d2568135p-14, 0x1.122d10104f6fap-14, 0x1.0ad8a63d487a4p-14, 0x1.03b9b718cf55p-14, 0x1.f99d4cceeb76ep-15, 0x1.ec2bc7e3d762p-15, 0x1.df1bd6680ed5p-15, 0x1.d26a861956ab6p-15, 0x1.c614fae024d75p-15, 0x1.ba186e3763abap-15, 0x1.ae722e97f383cp-15, 0x1.a31f9ee777dadp-15, 0x1.981e35eb0a05fp-15, 0x1.8d6b7dbc3f7ccp-15, 0x1.8305134292ca4p-15, 0x1.78e8a5af67be9p-15, 0x1.6f13f5fd78f6fp-15, 0x1.6584d672f58cfp-15, 0x1.5c392a27b170dp-15, 0x1.532ee48cea5f8p-15, 0x1.4a6408f8d37f1p-15, 0x1.41d6aa351ddf3p-15, 0x1.3984ea0fcf214p-15, 0x1.316cf8ef31d66p-15, 0x1.298d15685b5b5p-15, 0x1.21e38bd854e1ep-15, 0x1.1a6eb5ffedc89p-15, 0x1.132cfaa1fdf6ep-15, 0x1.0c1ccd244432ep-15, 0x1.053cad32b13dep-15, 0x1.fd164cc948feap-16, 0x1.f00d9fcb79cc6p-16, 0x1.e35c983e47dc2p-16, 0x1.d70090c8e311dp-16, 0x1.caf6f944a4cb2p-16, 0x1.bf3d561e4f639p-16, 0x1.b3d13fbc2e7adp-16, 0x1.a8b061e74b8aep-16, 0x1.9dd87b39e8d98p-16, 0x1.93475c90602f1p-16, 0x1.88fae87edd43fp-16, 0x1.7ef112cab1132p-16, 0x1.7527dfe650488p-16, 0x1.6b9d6472980adp-16, 0x1.624fc4c1cea52p-16, 0x1.593d345e6f875p-16, 0x1.5063f5965fb1dp-16, 0x1.47c259072b4dcp-16, 0x1.3f56bd306285ap-16, 0x1.371f8e052d538p-16, 0x1.2f1b44846aa65p-16, 0x1.27486651a418cp-16, 0x1.1fa58551061d6p-16, 0x1.18313f47904f5p-16, 0x1.10ea3d7b61dd8p-16, 0x1.09cf345885706p-16, 0x1.02dee318913ddp-16, 0x1.f83026d756278p-17, 0x1.eaf33246b03a7p-17, 0x1.de04a3c30262cp-17, 0x1.d162499190bb8p-17, 0x1.c50a045e5c0fdp-17, 0x1.b8f9c6a5b0833p-17, 0x1.ad2f9421d3261p-17, 0x1.a1a9813c751cbp-17, 0x1.9665b2876e2fp-17, 0x1.8b625c33ae7fdp-17, 0x1.809dc19109c2p-17, 0x1.7616348f0746ap-17, 0x1.6bca15420d7ecp-17, 0x1.61b7d16d5506fp-17, 0x1.57dde40e77de7p-17, 0x1.4e3ad4ed24953p-17, 0x1.44cd382e9b3b3p-17, 0x1.3b93adeb7875bp-17, 0x1.328ce1c97b303p-17, 0x1.29b78a97f94c8p-17, 0x1.211269ef40233p-17, 0x1.189c4bd34a084p-17, 0x1.1054065910137p-17, 0x1.0838794e5697p-17, 0x1.00488de41da24p-17, 0x1.f1066cbb93d6fp-18, 0x1.e1cedb7ff3b48p-18, 0x1.d2e86f0565cdbp-18, 0x1.c4513e8bf75b5p-18, 0x1.b6077117bf5b7p-18, 0x1.a8093cdeab46fp-18, 0x1.9a54e6c785202p-18, 0x1.8ce8c1de46741p-18, 0x1.7fc32ed982b18p-18, 0x1.72e29b9f1beb1p-18, 0x1.664582ccbf79p-18, 0x1.59ea6b44f43f4p-18, 0x1.4dcfe7c0c6b1bp-18, 0x1.41f496615fce5p-18, 0x1.3657204bee95ep-18, 0x1.2af6394338d91p-18, 0x1.1fd09f4528eeep-18, 0x1.14e51a2f7b56ap-18, 0x1.0a327b632e6fap-18, 0x1.ff6f3ada73fa8p-19, 0x1.eae6c760ff5ffp-19, 0x1.d6c9742c615cbp-19, 0x1.c3152977c06c2p-19, 0x1.afc7df4dde163p-19, 0x1.9cdf9cf795c57p-19, 0x1.8a5a78690e6b2p-19, 0x1.783695b8c6276p-19, 0x1.66722695dcd41p-19, 0x1.550b69c9539eep-19, 0x1.4400aab73eccfp-19, 0x1.335040e62c38fp-19, 0x1.22f88f81559d5p-19, 0x1.12f804f6cd655p-19, 0x1.034d1a7c0069ep-19, 0x1.e7eca74e3cc98p-20, 0x1.c9e47c1eebd7bp-20, 0x1.ac7ee1bdb9735p-20, 0x1.8fb918f9098e8p-20, 0x1.739074572afa2p-20, 0x1.580257698af36p-20, 0x1.3d0c361951f8dp-20, 0x1.22ab94208fa03p-20, 0x1.08de04415df16p-20, 0x1.df424f98290b9p-21, }}, 
      {{-0x1.f1d76a7d14373p+0, -0x1.f0a53799048c5p+0, -0x1.eeac152eb078cp+0, -0x1.ebf3583f94267p+0, -0x1.e8848426e5e17p+0, -0x1.e46ac83ece9edp+0, -0x1.dfb2845aa7221p+0, -0x1.da68da3634de8p+0, -0x1.d49b4e68555bcp+0, -0x1.ce57793b3add4p+0, -0x1.c7aac697447aep+0, -0x1.c0a243a9b7f1bp+0, -0x1.b94a78ca19859p+0, -0x1.b1af4d760b6fp+0, -0x1.a9dbf5b96fca9p+0, -0x1.a1dae687ca3e7p+0, -0x1.99b5d0551fda3p+0, -0x1.91759e2569a3ep+0, -0x1.892278b91a346p+0, -0x1.80c3cbc19866fp+0, -0x1.78604e2f8e921p+0, -0x1.6ffe0a4a3b9aap+0, -0x1.67a268ba51b6dp+0, -0x1.5f523a0a26abfp+0, -0x1.5711c17c67e64p+0, -0x1.4ee4c017ca24bp+0, -0x1.46ce7de8f963dp+0, -0x1.3ed1d57d6c994p+0, -0x1.36f13d3ea1becp+0, -0x1.2f2ece18e1cd5p+0, -0x1.278c4f8d5fde6p+0, -0x1.200b3f9a2408ap+0, -0x1.18acd72562d5ap+0, -0x1.117211840fb05p+0, -0x1.0a5bb546c7855p+0, -0x1.036a5980eaee1p+0, -0x1.f93cd22ec26f6p-1, -0x1.ebf04f33c2105p-1, -0x1.deef6ddd2483bp-1, -0x1.d23a372150987p-1, -0x1.c5d07efe53187p-1, -0x1.b9b1ea1ab0a6bp-1, -0x1.adddf39d69381p-1, -0x1.a253f2a82ce44p-1, -0x1.97131f56fdf9ap-1, -0x1.8c1a972ea5cfap-1, -0x1.816960b5049c2p-1, -0x1.76fe6e5da192bp-1, -0x1.6cd8a159b133ap-1, -0x1.62f6cc8283664p-1, -0x1.5957b70a443cfp-1, -0x1.4ffa1ea2ae74fp-1, -0x1.46dcb9379ff55p-1, -0x1.3dfe36926dfcdp-1, -0x1.355d4190e3732p-1, -0x1.2cf8849abba78p-1, -0x1.24cea4805bc3cp-1, -0x1.1cde46c978523p-1, -0x1.15261168bf9e9p-1, -0x1.0da4ab8afb331p-1, -0x1.0658be44c364ap-1, -0x1.fe81ea5b7895cp-2, -0x1.f0b7fddff0226p-2, -0x1.e3511b97440fbp-2, -0x1.d64ab01b38262p-2, -0x1.c9a230f331202p-2, -0x1.bd551d533b6c8p-2, -0x1.b160fec74682bp-2, -0x1.a5c369c70f3p-2, -0x1.9a79fe2d8c2cp-2, -0x1.8f826792ad0d2p-2, -0x1.84da5d8c2fa1bp-2, -0x1.7a7fa3dd79d12p-2, -0x1.70700a9cb3a11p-2, -0x1.66a96e4f64988p-2, -0x1.5d29b7fde10f5p-2, -0x1.53eedd3cae272p-2, -0x1.4af6e02c96e7ap-2, -0x1.423fcf73bbdfap-2, -0x1.39c7c6320a4bfp-2, -0x1.318cebf21c0dp-2, -0x1.298d749595906p-2, -0x1.21c7a03ada2a9p-2, -0x1.1a39bb1a5d502p-2, -0x1.12e21d5b92711p-2, -0x1.0bbf2ae385f2fp-2, -0x1.04cf53202a2efp-2, -0x1.fc2221a5eaca8p-3, -0x1.ef05d3b7d7c27p-3, -0x1.e246de0976899p-3, -0x1.d5e2779534f9bp-3, -0x1.c9d5ec4ba8e8dp-3, -0x1.be1e9c9d1497cp-3, -0x1.b2b9fcfea07f1p-3, -0x1.a7a5956daf90cp-3, -0x1.9cdf00f404d26p-3, -0x1.9263ed2e6952dp-3, -0x1.883219d62ed64p-3, -0x1.7e47584ca8c49p-3, -0x1.74a18b2729e97p-3, -0x1.6b3ea5ba7abf2p-3, -0x1.621caba56159p-3, -0x1.5939b05aab85dp-3, -0x1.5093d6ab954dap-3, -0x1.4829505382f71p-3, -0x1.3ff85d85d7218p-3, -0x1.37ff4c7e70ceep-3, -0x1.303c79153bcd1p-3, -0x1.28ae4c54f86ebp-3, -0x1.21533c155dc4ep-3, -0x1.1a29d02d9bd9cp-3, -0x1.13308aa85799fp-3, -0x1.0c660c417b788p-3, -0x1.05c8fa4e2e86ep-3, -0x1.feb00a294d124p-4, -0x1.f223cee5a9836p-4, -0x1.e5eacd0f603f5p-4, -0x1.da02a2be772fap-4, -0x1.ce6901423ea3bp-4, -0x1.c31bac837106cp-4, -0x1.b8187a6ad6649p-4, -0x1.ad5d524c2fecap-4, -0x1.a2e82c555b9dfp-4, -0x1.98b711018f094p-4, -0x1.8ec81890cefc7p-4, -0x1.85196a838c299p-4, -0x1.7ba93d1a4d91fp-4, -0x1.7275d4d94f5e6p-4, -0x1.697d840fe9fedp-4, -0x1.60beaa63a4b4dp-4, -0x1.5837b45edb176p-4, -0x1.4fe71b02eb876p-4, -0x1.47cb635de6508p-4, -0x1.3fe31e23b5052p-4, -0x1.382ce74aac88dp-4, -0x1.30a765ab70755p-4, -0x1.29514aa40e831p-4, -0x1.222951be305dap-4, -0x1.1b2e405847351p-4, -0x1.145ee5519542p-4, -0x1.0dba18b8fff25p-4, -0x1.073ebb7e96b06p-4, -0x1.00ebb727c05fep-4, -0x1.f57ffb0bfd55cp-5, -0x1.e97510e06e3eap-5, -0x1.ddb4b2fce75b5p-5, -0x1.d23cf3900973dp-5, -0x1.c70bf347e37c2p-5, -0x1.bc1fe0d74610dp-5, -0x1.b176f87f54bdp-5, -0x1.a70f839d2f654p-5, -0x1.9ce7d83b80d27p-5, -0x1.92fe58a7cc5dp-5, -0x1.8951730b5896dp-5, -0x1.7fdfa1079b839p-5, -0x1.76a7675607ffdp-5, -0x1.6da7556b3330dp-5, -0x1.64de051d36329p-5, -0x1.5c4a1a4d3ce1ap-5, -0x1.53ea42942e678p-5, -0x1.4bbd34f254183p-5, -0x1.43c1b181e81b2p-5, -0x1.3bf6812c6e536p-5, -0x1.345a7562b99cbp-5, -0x1.2cec67d77e692p-5, -0x1.25ab3a3c56f23p-5, -0x1.1e95d60120b74p-5, -0x1.17ab2c159615p-5, -0x1.10ea34ad0f8d9p-5, -0x1.0a51ef045cec7p-5, -0x1.03e161299dff6p-5, -0x1.fb2f2f8c1ff5ep-6, -0x1.eee74bd373781p-6, -0x1.e2e949b1dc319p-6, -0x1.d73367b723ec9p-6, -0x1.cbc3f01c28622p-6, -0x1.c09938682205cp-6, -0x1.b5b1a119135abp-6, -0x1.ab0b954f50a37p-6, -0x1.a0a58a7bfe23fp-6, -0x1.967e001263e4fp-6, -0x1.8c937f3c0dd17p-6, -0x1.82e49a8f7f2efp-6, -0x1.796fedc97e5e5p-6, -0x1.70341d88c6ed9p-6, -0x1.672fd70c1334dp-6, -0x1.5e61cff266f91p-6, -0x1.55c8c5fd7d87p-6, -0x1.4d637ed648fa6p-6, -0x1.4530c7d3749e5p-6, -0x1.3d2f75c1cb713p-6, -0x1.355e64ae7d29dp-6, -0x1.2dbc77b32b3aap-6, -0x1.264898c3b28f2p-6, -0x1.1f01b87d9e512p-6, -0x1.17e6cdf93caaap-6, -0x1.10f6d69c40699p-6, -0x1.0a30d5ede9e37p-6, -0x1.0393d56ca1486p-6, -0x1.fa3dc8c9f3e87p-7, -0x1.eda22f941e847p-7, -0x1.e153141e5dda1p-7, -0x1.d54eb6057ec6dp-7, -0x1.c9935f54b7784p-7, -0x1.be1f644021c25p-7, -0x1.b2f122e16ca1dp-7, -0x1.a80702f6a8c4ep-7, -0x1.9d5f75a316c5p-7, -0x1.92f8f531eea01p-7, -0x1.88d204dafd41bp-7, -0x1.7ee930891c55ap-7, -0x1.753d0ca2575a1p-7, -0x1.6bcc35d1ced4fp-7, -0x1.629550d335158p-7, -0x1.59970a3fd66e7p-7, -0x1.50d0165d355aap-7, -0x1.483f30ed0eebdp-7, -0x1.3fe31cfed596p-7, -0x1.37baa4c2857dp-7, -0x1.2fc4995cd1492p-7, -0x1.27ffd2bc8f28dp-7, -0x1.206b2f716840bp-7, -0x1.19059461b2d7bp-7, -0x1.11cded2cade05p-7, -0x1.0ac32b32ef5cdp-7, -0x1.03e4460187b75p-7, -0x1.fa607611a10f7p-8, -0x1.ed4c1af32ca6p-8, -0x1.e0898c466556fp-8, -0x1.d416e6a5289c2p-8, -0x1.c7f25164504a6p-8, -0x1.bc19fe5538e13p-8, -0x1.b08c2988f2d99p-8, -0x1.a547191507071p-8, -0x1.9a491cd9caab3p-8, -0x1.8f908e4a2e65cp-8, -0x1.851bd034fe713p-8, -0x1.7ae94e8f8ae04p-8, -0x1.70f77e41a66a1p-8, -0x1.6744dcf2f54abp-8, -0x1.5dcff0d97c758p-8, -0x1.549748897238ep-8, -0x1.4b997ac635dfp-8, -0x1.42d5265471f2fp-8, -0x1.3a48f1cd57b7dp-8, -0x1.31f38b72f92a9p-8, -0x1.29d3a9059d3e6p-8, -0x1.21e8079a26421p-8, -0x1.1a2f6b717117ap-8, -0x1.12a89fd09f2c4p-8, -0x1.0b5276da5bcb9p-8, -0x1.042bc968fbdfap-8, -0x1.fa66edd3047fap-9, -0x1.ecd0ca6ef586ap-9, -0x1.df9300f351fecp-9, -0x1.d2ab75ff047d7p-9, -0x1.c6181a3edcf41p-9, -0x1.b9d6ea2b970fdp-9, -0x1.ade5edc956666p-9, -0x1.a24338688e4d1p-9, -0x1.96ece8684fb8fp-9, -0x1.8be126f9f156p-9, -0x1.811e27e60723p-9, -0x1.76a22952a2d06p-9, -0x1.6c6b738acc8f7p-9, -0x1.627858c743843p-9, -0x1.58c734f85b11ap-9, -0x1.4f566d910a64dp-9, -0x1.46247153196a5p-9, -0x1.3d2fb81c619bap-9, -0x1.3476c2b52c37dp-9, -0x1.2bf81a9f8e5f8p-9, -0x1.23b251e7d759p-9, -0x1.1ba402f5ec655p-9, -0x1.13cbd05fad2b3p-9, -0x1.0c2864bc4251ep-9, -0x1.04b872785accep-9, -0x1.faf567569b6d6p-10, -0x1.ecdbd3da4a75ap-10, -0x1.df21bc5af9368p-10, -0x1.d1c4c1168468fp-10, -0x1.c4c2905a8194dp-10, -0x1.b818e636fc617p-10, -0x1.abc58c32c93a1p-10, -0x1.9fc6590156bfap-10, -0x1.9419303a136dfp-10, -0x1.88bc0211400b3p-10, -0x1.7daccb1239047p-10, -0x1.72e993db2c944p-10, -0x1.687070da31521p-10, -0x1.5e3f820bb5478p-10, -0x1.5454f2ba48ed5p-10, -0x1.4aaef93fb88c4p-10, -0x1.414bd6c758fd9p-10, -0x1.3829d711b3b29p-10, -0x1.2f47503947b53p-10, -0x1.26a2a2789eae8p-10, -0x1.1e3a37f17da6cp-10, -0x1.160c84753a816p-10, -0x1.0e18054e3995fp-10, -0x1.065b410a83a21p-10, -0x1.fda98e8edfd52p-11, -0x1.ef0660fcc0ceep-11, -0x1.e0ca3ba515623p-11, -0x1.d2f271bf78e74p-11, -0x1.c57c671453a4cp-11, -0x1.b8658f9e7bed8p-11, -0x1.abab6f2e958cbp-11, -0x1.9f4b991074a13p-11, -0x1.9343afb26c452p-11, -0x1.8791644e46cbap-11, -0x1.7c3276941d676p-11, -0x1.7124b456ec18cp-11, -0x1.6665f93ad08d2p-11, -0x1.5bf42e651c775p-11, -0x1.51cd4a2dcdb78p-11, -0x1.47ef4fd2eb537p-11, -0x1.3e584f2d46aa7p-11, -0x1.35066466e319bp-11, -0x1.2bf7b7b2e0b5fp-11, -0x1.232a7d06e0328p-11, -0x1.1a9cf3d5e72ap-11, -0x1.124d66ccaf2b2p-11, -0x1.0a3a2b8f63969p-11, -0x1.0261a278c30c6p-11, -0x1.f5846cb531659p-12, -0x1.e6b4b87f27bc6p-12, -0x1.d851265cb172bp-12, -0x1.ca56c7dc07993p-12, -0x1.bcc2c1978c303p-12, -0x1.af924ac39e3e8p-12, -0x1.a2c2acbf0dd7ap-12, -0x1.965142a56977p-12, -0x1.8a3b78e431ffp-12, -0x1.7e7eccd2183ccp-12, -0x1.7318cc48598e5p-12, -0x1.6807153eabcedp-12, -0x1.5d475568fe158p-12, -0x1.52d749d76b0eap-12, -0x1.48b4be987a332p-12, -0x1.3edd8e5cfee22p-12, -0x1.354fa21e5943bp-12, -0x1.2c08f0c68aa55p-12, -0x1.23077eda07b12p-12, -0x1.1a495e23dbc5p-12, -0x1.11ccad632dd27p-12, -0x1.098f97fadfdf2p-12, -0x1.019055a2d15bdp-12, -0x1.f39a5435fa1eap-13, -0x1.e488c9c045bf2p-13, -0x1.d5e8c1c4c1ffcp-13, -0x1.c7b7087a2f5f5p-13, -0x1.b9f07fe15cd15p-13, -0x1.ac921f3b9afebp-13, -0x1.9f98f28477003p-13, -0x1.930219ee3d906p-13, -0x1.86cac96195f91p-13, -0x1.7af04800089a5p-13, -0x1.6f6fefa94a4ecp-13, -0x1.64472c8393d62p-13, -0x1.59737c860adf6p-13, -0x1.4ef26f06f6f32p-13, -0x1.44c1a44b51255p-13, -0x1.3adecd19d87eep-13, -0x1.3147aa503e552p-13, -0x1.27fa0c7adec09p-13, -0x1.1ef3d36ee5ab9p-13, -0x1.1632ede6d043ap-13, -0x1.0db559214bb37p-13, -0x1.057920820e10bp-13, -0x1.faf8ba6afc214p-14, -0x1.eb7a6babe5867p-14, -0x1.dc73bc26e3d53p-14, -0x1.cde12cba64f73p-14, -0x1.bfbf571aec327p-14, -0x1.b20aed2e7e15cp-14, -0x1.a4c0b86bfd342p-14, -0x1.97dd993e34aa9p-14, -0x1.8b5e866b0c61ep-14, -0x1.7f408c7d934abp-14, -0x1.7380cd34cb322p-14, -0x1.681c7ef503c4ap-14, -0x1.5d10ec3ccc1f6p-14, -0x1.525b731de2567p-14, -0x1.47f984b81b61dp-14, -0x1.3de8a4b94c39fp-14, -0x1.342668dea6694p-14, -0x1.2ab0787a14bbbp-14, -0x1.21848bfaafaa1p-14, -0x1.18a06c776204ep-14, -0x1.1001f33d15392p-14, -0x1.07a7095f80392p-14, -0x1.ff1b4e98d51c9p-15, -0x1.ef67a8c4b7479p-15, -0x1.e02f4d121d2cdp-15, -0x1.d16e8399f0559p-15, -0x1.c321affa5135ep-15, -0x1.b545509761badp-15, -0x1.a7d5fde0a88c6p-15, -0x1.9ad0699b63d69p-15, -0x1.8e315e3118e66p-15, -0x1.81f5be0397884p-15, -0x1.761a82c332553p-15, -0x1.6a9cbccbe904bp-15, -0x1.5f7992850549ep-15, -0x1.54ae3fc5154dp-15, -0x1.4a38153a54b15p-15, -0x1.401477d6965c9p-15, -0x1.3640e03ee95dep-15, -0x1.2cbada3fc8d79p-15, -0x1.23800443726dap-15, -0x1.1a8e0ecccd1e2p-15, -0x1.11e2bbf5fde52p-15, -0x1.097bdef1a3e0ep-15, -0x1.01575b8fe9e29p-15, -0x1.f2e64b8b95898p-16, -0x1.e39a8272fddcbp-16, -0x1.d4c7819f6225ap-16, -0x1.c6698c7a9e81p-16, -0x1.b87d03375aa6ap-16, -0x1.aafe61fdf028cp-16, -0x1.9dea4021b62d1p-16, -0x1.913d4f59639efp-16, -0x1.84f45afcc56ep-16, -0x1.790c4748f2735p-16, -0x1.6d8210a8ec14fp-16, -0x1.6252cb02a97ebp-16, -0x1.577ba1096aa88p-16, -0x1.4cf9d394d8a9bp-16, -0x1.42cab8fce437ep-16, -0x1.38ebbc78fda28p-16, -0x1.2f5a5d84cfb17p-16, -0x1.26142f483fd28p-16, -0x1.1d16d80546ea2p-16, -0x1.14601087c3fc3p-16, -0x1.0beda39a240f8p-16, -0x1.03bd6d7df51b6p-16, -0x1.f79ab6d075dc7p-17, -0x1.e836d6013363cp-17, -0x1.d94b53cc27cd3p-17, -0x1.cad46a6833955p-17, -0x1.bcce721ab1c9dp-17, -0x1.af35e053ecad5p-17, -0x1.a20746ce7ce03p-17, -0x1.953f52b65c07ap-17, -0x1.88dacbd873459p-17, -0x1.7cd637f61525ap-17, -0x1.712f4acef809p-17, -0x1.65e2ba2d433d2p-17, -0x1.5aedb0966d1e2p-17, -0x1.504d6f69947adp-17, -0x1.45ff4e2d1faa9p-17, -0x1.3c00b9e366a9ap-17, -0x1.324f3462da255p-17, -0x1.28e853b3929d4p-17, -0x1.1fc9c17104a38p-17, -0x1.16f13a32102c2p-17, -0x1.0e5c8cf20d5c5p-17, -0x1.06099a81bb8a2p-17, -0x1.fbeca9f0bb42ap-18, -0x1.ec417e5d4ae7bp-18, -0x1.dd0dd86fc44fcp-18, -0x1.ce4dfdc453109p-18, -0x1.bffe52709d005p-18, -0x1.b21b58166c1cbp-18, -0x1.a4a1acf2d52a1p-18, -0x1.978e0afc5e6adp-18, -0x1.8add470340c0ap-18, -0x1.7e8c4fdca7162p-18, -0x1.72982d9163cd1p-18, -0x1.66fe00905cc29p-18, -0x1.5bbb00eeb24b4p-18, -0x1.50cc7da3cfe89p-18, -0x1.462fdbd221d24p-18, -0x1.3be2961494eacp-18, -0x1.31e23bcf507c1p-18, -0x1.282c7087722fdp-18, -0x1.1ebeeb3d60624p-18, -0x1.159775cef5b64p-18, -0x1.0cb3ec5b0031fp-18, -0x1.04123cb057faap-18, -0x1.f760cb722ed5p-19, -0x1.e718edde2fb99p-19, -0x1.d7491fa5e8cd3p-19, -0x1.c7edbed122ef1p-19, -0x1.b903476b8546dp-19, -0x1.aa8652946078ap-19, -0x1.9c739580ecb4bp-19, -0x1.8ec7e09a5fb6fp-19, -0x1.81801e9f42085p-19, -0x1.749953c04917ep-19, -0x1.68109cce86587p-19, -0x1.5be32e7109e1p-19, -0x1.500e545d94756p-19, -0x1.448f708e49b6ep-19, -0x1.3963fa93983b7p-19, -0x1.2e897ed673bfp-19, -0x1.23fd9dec0783ep-19, -0x1.19be0bea885a6p-19, -0x1.0fc88fc57903dp-19, -0x1.061b02adaaee2p-19, -0x1.f9669eef699b6p-20, -0x1.e71ee40aca0cdp-20, -0x1.d55aed70f2bd8p-20, -0x1.c416f3b4ca32bp-20, -0x1.b34f4e590e478p-20, -0x1.a300729c0a166p-20, -0x1.9326f28cda8ccp-20, -0x1.83bf7c1653d19p-20, -0x1.74c6d80bb061bp-20, -0x1.6639e94944e82p-20, -0x1.5815abce052ddp-20, -0x1.4a5733ed7e8d9p-20, -0x1.3cfbad772bbf2p-20, -0x1.30005aee57ed6p-20, -0x1.236294c9d7e15p-20, -0x1.171fc8b9cc17dp-20, -0x1.0b3578e905156p-20, -0x1.ff4276a9ad155p-21, -0x1.e8c17233ce02dp-21, -0x1.d2e35bb60614bp-21, -0x1.bda3ce2b2cc1fp-21, -0x1.a8fe871d540d5p-21, -0x1.94ef65769713dp-21, -0x1.817268676232cp-21, -0x1.6e83ae4688c24p-21, -0x1.5c1f73870d96p-21, -0x1.4a4211c63994dp-21, -0x1.38e7fea7f6d45p-21, -0x1.280dcb0406569p-21, -0x1.17b021f402917p-21, -0x1.07cbc7fd7a941p-21, -0x1.f0bb342774c06p-22, -0x1.d2c519b8dffdap-22, -0x1.b5af57cb3f0bcp-22, -0x1.997431b7ee13fp-22, -0x1.7e0e158793447p-22, -0x1.63779a9f7f1b8p-22, -0x1.49ab803980764p-22, -0x1.30a4ac2db12ccp-22, -0x1.185e299edd558p-22, -0x1.00d327a852b49p-22, -0x1.d3fdf0a5ac0adp-23, -0x1.a7ba1e4e64a33p-23, -0x1.7cd20090e1283p-23, -0x1.533cfe95c69ddp-23, -0x1.2af2bc4a328acp-23, -0x1.03eb185d2714bp-23, -0x1.bc3c549dc3ca4p-24, -0x1.73088119ffb06p-24, -0x1.2c2bbd43905c5p-24, -0x1.cf2eedcd51b0bp-25, -0x1.4a7afe8053aa2p-25, -0x1.94401d3fd9c7bp-26, -0x1.380ceb82d9f9bp-27, 0x1.4fad69f99457p-28, 0x1.3bc855638e46ap-26, 0x1.0de1179882153p-25, 0x1.7a04aab5aef89p-25, 0x1.e2667d7ba06aep-25, 0x1.238ec82e0c82ap-24, 0x1.542028708e8f7p-24, 0x1.82f24deb9023fp-24, 0x1.b00fe2bb50806p-24, 0x1.db834d9402197p-24, 0x1.02ab5a2ec269ap-23, 0x1.16c9fefcbbfd6p-23, 0x1.2a226a367d2e5p-23, 0x1.3cb9534553de4p-23, 0x1.4e93552c242f3p-23, 0x1.5fb4eefb98f77p-23, 0x1.702284f783d47p-23, 0x1.7fe0613ca2d2dp-23, 0x1.8ef2b4b34f38ep-23, 0x1.9d5d97b7cb957p-23, 0x1.ab250acd161d1p-23, 0x1.b84cf7599deb7p-23, 0x1.c4d9307283be4p-23, 0x1.d0cd733d8d8a6p-23, 0x1.dc2d67f32f59fp-23, 0x1.e6fca214da9c2p-23, 0x1.f13ea12a30d67p-23, 0x1.faf6d18c1906bp-23, 0x1.02144649f8aa3p-22, 0x1.066b8ca4f0b73p-22, 0x1.0a82d677ebc57p-22, 0x1.0e5bb5a7d7df3p-22, 0x1.11f7b3d778824p-22, 0x1.1558524235cc8p-22, 0x1.187f0a47ba6f3p-22, 0x1.1b6d4d7daa5a9p-22, 0x1.1e2485c0a58eep-22, 0x1.20a615b880802p-22, 0x1.22f358d1dbb63p-22, 0x1.250da36f0de8fp-22, 0x1.26f6431ec3182p-22, 0x1.28ae7ed86d365p-22, 0x1.2a3796dc91e62p-22, 0x1.2b92c54881613p-22, 0x1.2cc13deb6349ap-22, }}, 
      {{-0x1.853b2415d3d42p-2, -0x1.7aadec3e66d3bp-1, -0x1.0fba75cae2a9p+0, -0x1.5563de612697cp+0, -0x1.8c86d66ddd1d7p+0, -0x1.b4742f1466121p+0, -0x1.cd5eaceaf73a8p+0, -0x1.d81f8509c9068p+0, -0x1.d601620d82c9cp+0, -0x1.c8943fcedad23p+0, -0x1.b18a49777973bp+0, -0x1.929d084b37c78p+0, -0x1.6d79635a1053p+0, -0x1.43b1e633595d4p+0, -0x1.16b5788bf73b1p+0, -0x1.cf9493cd8ecfbp-1, -0x1.7017f1e728582p-1, -0x1.10d7b9bee7665p-1, -0x1.66ca9cddd23fp-2, -0x1.64195bb305cd9p-3, -0x1.5dbc6fdc3ca49p-8, 0x1.3adf9c7af4064p-3, 0x1.358c8c711a4c8p-2, 0x1.c221b5fe14492p-2, 0x1.21603be3931dfp-1, 0x1.5b9db7294f892p-1, 0x1.8fcdac558a303p-1, 0x1.be09d73aeca6dp-1, 0x1.e67e2ac9d95b6p-1, 0x1.04b2012fc851fp+0, 0x1.137f335b88fd1p+0, 0x1.1fcbd0706556cp+0, 0x1.29bf738dbbc9dp+0, 0x1.3182e6fbcfe6cp+0, 0x1.373f2fcbf8a4p+0, 0x1.3b1d1266a1784p+0, 0x1.3d44b830eca8dp+0, 0x1.3ddd353e626c1p+0, 0x1.3d0c0c6ee18e5p+0, 0x1.3af4ea70722c8p+0, 0x1.37b99d361e133p+0, 0x1.337a1ee00c0f1p+0, 0x1.2e54900a2609ep+0, 0x1.286521496db39p+0, 0x1.21c60300a0304p+0, 0x1.1a8f6ca92109cp+0, 0x1.12d7b8fa0915dp+0, 0x1.0ab38838bcaf1p+0, 0x1.0235dbab0fe0fp+0, 0x1.f2e04ce128931p-1, 0x1.e0e4b183e9c48p-1, 0x1.ce95db8735602p-1, 0x1.bc0e023379e7ep-1, 0x1.a964d693b6262p-1, 0x1.96afdcd81a616p-1, 0x1.8401c205cc2d5p-1, 0x1.716c7e7bd3cf2p-1, 0x1.5eff91b34015cp-1, 0x1.4cc89f80f73cp-1, 0x1.3ad3940cd00c2p-1, 0x1.292ace2d78419p-1, 0x1.17d74ac009a34p-1, 0x1.06e0cc151a69bp-1, 0x1.ec9bf4bbf540fp-2, 0x1.cc48f8ac173a3p-2, 0x1.acd212ed4d69bp-2, 0x1.8e3ef071c32e6p-2, 0x1.7095960f0d512p-2, 0x1.53da7ba9f154ap-2, 0x1.3810aaa4c41cap-2, 0x1.1d39dfd89a304p-2, 0x1.0356b0280dfcp-2, 0x1.d4cd5bd4761b1p-3, 0x1.a4d119ff2e2f1p-3, 0x1.76b486e49a1c8p-3, 0x1.4a724a4236e8ap-3, 0x1.2003f3f28135ep-3, 0x1.eec43d59e7701p-4, 0x1.a1091774bd2cap-4, 0x1.56c4755539a4cp-4, 0x1.0fe2ff0c45041p-4, 0x1.98a063a4e025fp-5, 0x1.17ed19eabba3dp-5, 0x1.3afefca701e55p-6, 0x1.494d3832cdc33p-8, -0x1.150d15581b202p-7, -0x1.5bed76d151089p-6, -0x1.11207c132d3d7p-5, -0x1.6ef04c65da6e6p-5, -0x1.c795b6a2be89fp-5, -0x1.0d9feafb4a9b1p-4, -0x1.350e96d168971p-4, -0x1.5a2dc58d8863dp-4, -0x1.7d13f8b799a57p-4, -0x1.9dd745cbe13cdp-4, -0x1.bc8d51843faddp-4, -0x1.d94b4c226dce4p-4, -0x1.f425edf1cf3f6p-4, -0x1.0698b9ce1d243p-3, -0x1.1240cd20bd99bp-3, -0x1.1d14cdba8e934p-3, -0x1.271e14ac5313fp-3, -0x1.3065b58152b76p-3, -0x1.38f47ca9c1f99p-3, -0x1.40d2ee25d3dbep-3, -0x1.4809447891b3dp-3, -0x1.4e9f6feb46b06p-3, -0x1.549d162dd15f7p-3, -0x1.5a099262f2707p-3, -0x1.5eebf5a73933cp-3, -0x1.634e33a581495p-3, -0x1.673257a3f4bcp-3, -0x1.6a9f5bff18616p-3, -0x1.6d9b3a09904cbp-3, -0x1.702bb2814f97dp-3, -0x1.72564f0f6bc87p-3, -0x1.7420636f344c9p-3, -0x1.758f0e506e97fp-3, -0x1.76a73a0b4f323p-3, -0x1.776d9d3d4cd7ep-3, -0x1.77e6bb6467c7cp-3, -0x1.7816e58c1ea7ep-3, -0x1.78023b1bc5b2ep-3, -0x1.77acaad22481dp-3, -0x1.7719f3f590cp-3, -0x1.764da7bb2f7ap-3, -0x1.754b2ae359956p-3, -0x1.7415b784e44fep-3, -0x1.72b05efdca21ep-3, -0x1.711e0bfd4a6a2p-3, -0x1.6f61849a65efp-3, -0x1.6d7d6c698ae7fp-3, -0x1.6b744685157c1p-3, -0x1.6948777de7eebp-3, -0x1.66fc472b62067p-3, -0x1.6491e2546d1ecp-3, -0x1.620b5c2dbe737p-3, -0x1.5f6aafabed29fp-3, -0x1.5cb1c0aa3c65cp-3, -0x1.59e25ce90ec03p-3, -0x1.56fe3ce8a4d95p-3, -0x1.540704a622693p-3, -0x1.50fe44418def3p-3, -0x1.4de57893defdep-3, -0x1.4abe0bbbf271dp-3, -0x1.478955a8a6568p-3, -0x1.44489ca545c61p-3, -0x1.40fd15ec50f0ep-3, -0x1.3da7e6431010ap-3, -0x1.3a4a229f2d0efp-3, -0x1.36e4d0d5f6a19p-3, -0x1.3378e853eec79p-3, -0x1.300752da3c0b8p-3, -0x1.2c90ed3eec0d6p-3, -0x1.2916882ca083cp-3, -0x1.2598e8de32b29p-3, -0x1.2218c9d30fdeep-3, -0x1.1e96db798480fp-3, -0x1.1b13c4ccd0738p-3, -0x1.179023e59e207p-3, -0x1.140c8e7c2857ep-3, -0x1.1089925c3201dp-3, -0x1.0d07b5cb869f1p-3, -0x1.098777e4474cfp-3, -0x1.060950e4a61a1p-3, -0x1.028db275f6fc5p-3, -0x1.fe2a0fd9e9d0bp-4, -0x1.f73f6d0a3be58p-4, -0x1.f05c3b318609bp-4, -0x1.e9812dae8c81ep-4, -0x1.e2aeecf50208dp-4, -0x1.dbe616f85c9f9p-4, -0x1.d5273f97766efp-4, -0x1.ce72f10959babp-4, -0x1.c7c9ac4b14b66p-4, -0x1.c12be98e1f5e1p-4, -0x1.ba9a18a68037dp-4, -0x1.b414a177eaf5bp-4, -0x1.ad9be460d115dp-4, -0x1.a7303aa296adp-4, -0x1.a0d1f6c611369p-4, -0x1.9a8164fba5c59p-4, -0x1.943ecb7675731p-4, -0x1.8e0a6ac258b68p-4, -0x1.87e47e1449f2cp-4, -0x1.81cd3b9555ea7p-4, -0x1.7bc4d4a814ec5p-4, -0x1.75cb7628e3403p-4, -0x1.6fe148a9290cdp-4, -0x1.6a0670a60e13dp-4, -0x1.643b0ebb08f78p-4, -0x1.5e7f3fd0bd475p-4, -0x1.58d31d48a1b3ep-4, -0x1.5336bd25e1a6cp-4, -0x1.4daa3233e88a2p-4, -0x1.482d8c2af945cp-4, -0x1.42c0d7d327c9ep-4, -0x1.3d641f25fd237p-4, -0x1.3817696efd56cp-4, -0x1.32dabb6b3884bp-4, -0x1.2dae1768048fap-4, -0x1.28917d60ec9d1p-4, -0x1.2384eb1cdccafp-4, -0x1.1e885c4a88dc1p-4, -0x1.199bca9c018c3p-4, -0x1.14bf2de16f0afp-4, -0x1.0ff27c22dfbadp-4, -0x1.0b35a9b91f6a2p-4, -0x1.0688a96586506p-4, -0x1.01eb6c68b8c5dp-4, -0x1.fabbc53097d7fp-5, -0x1.f1bff4e6a1b9fp-5, -0x1.e8e3426b85b89p-5, -0x1.e02585d5c0335p-5, -0x1.d78694fcea3c5p-5, -0x1.cf06439a4fcf2p-5, -0x1.c6a46367a4011p-5, -0x1.be60c43bf65a3p-5, -0x1.b63b34271118bp-5, -0x1.ae337f8b68218p-5, -0x1.a6497136bc26ep-5, -0x1.9e7cd2799da5bp-5, -0x1.96cdd01cf2ca4p-5, -0x1.8f3b58f8f4048p-5, -0x1.87c5a391e405fp-5, -0x1.806c749aa7cdep-5, -0x1.792f8fb228072p-5, -0x1.720eb772f0164p-5, -0x1.6b09ad828452ep-5, -0x1.642032a082c62p-5, -0x1.5d5206b599567p-5, -0x1.569ee8e25c48bp-5, -0x1.5006978dfe25p-5, -0x1.4988d074ea684p-5, -0x1.432550b739267p-5, -0x1.3cdbd4e6f983bp-5, -0x1.36ac191649827p-5, -0x1.3095d8e52c5ffp-5, -0x1.2a98cf8f17c28p-5, -0x1.24b4b7f82dde2p-5, -0x1.1ee94cba14612p-5, -0x1.193648306557ap-5, -0x1.139b6484a9235p-5, -0x1.0e185bb9d81dbp-5, -0x1.08ace7b75c831p-5, -0x1.0358c2538d412p-5, -0x1.fc374abb4625cp-6, -0x1.f1ea954e410a3p-6, -0x1.e7cad819704d2p-6, -0x1.ddd786fd49267p-6, -0x1.d410161103aa7p-6, -0x1.ca73f9b14cb39p-6, -0x1.c102a68e04527p-6, -0x1.b7bb91b7156e9p-6, -0x1.ae9e30a87612fp-6, -0x1.a5a9f9556095dp-6, -0x1.9cde6232ce0dcp-6, -0x1.943ae2414ab48p-6, -0x1.8bbef11630e26p-6, -0x1.836a06e4574dp-6, -0x1.7b3b9c8442b8ap-6, -0x1.73332b7bebff4p-6, -0x1.6b502e06222b4p-6, -0x1.63921f1998d54p-6, -0x1.5bf87a6fa595p-6, -0x1.5482bc8abe1d6p-6, -0x1.4d3062bcbbf0dp-6, -0x1.4600eb2ce00cp-6, -0x1.3ef3d4ddb145ap-6, -0x1.38089fb2a1addp-6, -0x1.313ecc758ea28p-6, -0x1.2a95dcdc1271dp-6, -0x1.240d538ca9a7ep-6, -0x1.1da4b423b25c4p-6, -0x1.175b83383c5a7p-6, -0x1.11314660a96fbp-6, -0x1.0b25843724357p-6, -0x1.0537c45de37c4p-6, -0x1.fecf1f0671e09p-7, -0x1.f368decadfc89p-7, -0x1.e83bddace6391p-7, -0x1.dd47337e7604fp-7, -0x1.d289fa460cbb1p-7, -0x1.c8034e44ad0f2p-7, -0x1.bdb24dfb6542ap-7, -0x1.b3961a305c862p-7, -0x1.a9add5f37c6cdp-7, -0x1.9ff8a6a28da47p-7, -0x1.9675b3ecf7c97p-7, -0x1.8d2427d702916p-7, -0x1.84032ebcb4716p-7, -0x1.7b11f7543c74ap-7, -0x1.724fb2aff98e5p-7, -0x1.69bb94401f683p-7, -0x1.6154d1d3f03a6p-7, -0x1.591aa39aa93bfp-7, -0x1.510c442409be7p-7, -0x1.4928f06092832p-7, -0x1.416fe7a1655cp-7, -0x1.39e06b97ec5dcp-7, -0x1.3279c0552a17fp-7, -0x1.2b3b2c48cef8ep-7, -0x1.2423f8400e605p-7, -0x1.1d336f64360dep-7, -0x1.1668df3910a48p-7, -0x1.0fc3979b11fe8p-7, -0x1.0942eabd53604p-7, -0x1.02e62d2760a8cp-7, -0x1.f9596b65b4e42p-8, -0x1.ed2bbb11de313p-8, -0x1.e142003f59d5cp-8, -0x1.d59af66e5eab6p-8, -0x1.ca355dad5179ep-8, -0x1.bf0ffa9298c3cp-8, -0x1.b42996362c2d4p-8, -0x1.a980fe2aeabefp-8, -0x1.9f150477b4a4ap-8, -0x1.94e47f904b37fp-8, -0x1.8aee4a4dfc208p-8, -0x1.813143e816f8ap-8, -0x1.77ac4fec2dbfep-8, -0x1.6e5e5636264b1p-8, -0x1.654642e81b4b8p-8, -0x1.5c6306620bcacp-8, -0x1.53b39539606f2p-8, -0x1.4b36e830463e6p-8, -0x1.42ebfc2cda176p-8, -0x1.3ad1d230321c7p-8, -0x1.32e76f4d3b7d3p-8, -0x1.2b2bdc9f75a0ap-8, -0x1.239e274188287p-8, -0x1.1c3d6043b96d1p-8, -0x1.15089ca241831p-8, -0x1.0dfef53b83a31p-8, -0x1.071f86c6265acp-8, -0x1.006971c71611bp-8, -0x1.f3b7b50ed5205p-9, -0x1.e6ebd21473e3bp-9, -0x1.da6d9204a7e88p-9, -0x1.ce3b538fd952bp-9, -0x1.c2537c9c69bcep-9, -0x1.b6b47a31c850cp-9, -0x1.ab5cc0636d1ap-9, -0x1.a04aca3bbb043p-9, -0x1.957d19a6d3357p-9, -0x1.8af2375d55d5cp-9, -0x1.80a8b2cf1823bp-9, -0x1.769f220dd3c7fp-9, -0x1.6cd421b7cf676p-9, -0x1.634654e28614ep-9, -0x1.59f465055073ap-9, -0x1.50dd01e40f89dp-9, -0x1.47fee179e1b4dp-9, -0x1.3f58bfe3e0a02p-9, -0x1.36e95f4be95ddp-9, -0x1.2eaf87d374421p-9, -0x1.26aa077e7ec2dp-9, -0x1.1ed7b21e875bp-9, -0x1.1737613d9ed1fp-9, -0x1.0fc7f4098f774p-9, -0x1.08884f3f22c57p-9, -0x1.01775d157ab7bp-9, -0x1.f5281a53178e7p-10, -0x1.e7baa8d36cdd2p-10, -0x1.daa45a02fac56p-10, -0x1.cde32c8abfa7cp-10, -0x1.c175293da5492p-10, -0x1.b55862f0c5717p-10, -0x1.a98af653eeb7dp-10, -0x1.9e0b09ca793ebp-10, -0x1.92d6cd446fe15p-10, -0x1.87ec7a17fe0f7p-10, -0x1.7d4a52db39fcp-10, -0x1.72eea33e421c3p-10, -0x1.68d7bfe5a8574p-10, -0x1.5f0406453bc93p-10, -0x1.5571dc7b2a578p-10, -0x1.4c1fb12b78f7cp-10, -0x1.430bfb5bd7288p-10, -0x1.3a353a4fd0fe2p-10, -0x1.3199f5655b417p-10, -0x1.2938bbf1bf429p-10, -0x1.2110251ede7dp-10, -0x1.191ecfc8e0125p-10, -0x1.1163625c32b4ep-10, -0x1.09dc8ab3f508ep-10, -0x1.0288fdf8ba1dbp-10, -0x1.f6cef0ff5de99p-11, -0x1.e8ed7b5444e11p-11, -0x1.db6b2f8ad6fe8p-11, -0x1.ce45afd662753p-11, -0x1.c17aabc41f60bp-11, -0x1.b507dffd4a874p-11, -0x1.a8eb1609eea05p-11, -0x1.9d222414787dcp-11, -0x1.91aaecae09094p-11, -0x1.86835e9385fb6p-11, -0x1.7ba974736ae09p-11, -0x1.711b34b455b1dp-11, -0x1.66d6b13c566ddp-11, -0x1.5cda0738f7cc5p-11, -0x1.53235ee8071e2p-11, -0x1.49b0eb6117871p-11, -0x1.4080ea5fbd30bp-11, -0x1.3791a40e8df8ap-11, -0x1.2ee16ad2d26fep-11, -0x1.266e9b18f02c7p-11, -0x1.1e379b2195c32p-11, -0x1.163adacf986bcp-11, -0x1.0e76d3768a119p-11, -0x1.06ea07aa099d1p-11, -0x1.ff26061b895d4p-12, -0x1.f0e0b44c6d00dp-12, -0x1.e30154542e30ep-12, -0x1.d58531a8f9325p-12, -0x1.c869a86f6cb03p-12, -0x1.bbac2521b831fp-12, -0x1.af4a243813ff7p-12, -0x1.a34131d29ff46p-12, -0x1.978ee964a85d7p-12, -0x1.8c30f56150de2p-12, -0x1.81250ee98df51p-12, -0x1.7668fd7b87b09p-12, -0x1.6bfa96a358108p-12, -0x1.61d7bdad1ba0fp-12, -0x1.57fe63585f8f3p-12, -0x1.4e6c858cd55b3p-12, -0x1.45202f1078bbp-12, -0x1.3c17773ed953ap-12, -0x1.335081c1dd65ap-12, -0x1.2ac97e4bab022p-12, -0x1.2280a851f0888p-12, -0x1.1a7446ca5bc7cp-12, -0x1.12a2abe86b741p-12, -0x1.0b0a34dc663e5p-12, -0x1.03a949939a3c1p-12, -0x1.f8fcb8f39e02p-13, -0x1.eb0fd477cf6e8p-13, -0x1.dd88f317736cp-13, -0x1.d06535ca16de2p-13, -0x1.c3a1d0a777647p-13, -0x1.b73c0a76228e3p-13, -0x1.ab313c3c33494p-13, -0x1.9f7ed0d282384p-13, -0x1.94224479cd892p-13, -0x1.891924722dddap-13, -0x1.7e5fc3a7dc65dp-13, -0x1.73f66b59ca0eep-13, -0x1.69d989a7d0b2bp-13, -0x1.6006ebd3062a9p-13, -0x1.567c6e30d417bp-13, -0x1.4d37fbceb0b4ep-13, -0x1.44378e17df5f3p-13, -0x1.3b792c7cec462p-13, -0x1.32faec1d2a6b6p-13, -0x1.2abaef71ecc9fp-13, -0x1.22b765fb95aacp-13, -0x1.1aee8bf06f89ap-13, -0x1.135ea9ed43d54p-13, -0x1.0c0614a798203p-13, -0x1.04e32ca1acc65p-13, -0x1.fbe8bbc01ffe5p-14, -0x1.ee703f41b99p-14, -0x1.e159e828ffa0ep-14, -0x1.d4a2d03040472p-14, -0x1.c84825e2d1cc7p-14, -0x1.bc472c17fdd9p-14, -0x1.b09d397095913p-14, -0x1.a547b7d761148p-14, -0x1.9a4424047c921p-14, -0x1.8f900d035b6bcp-14, -0x1.852913bb778a3p-14, -0x1.7b0cea7b98849p-14, -0x1.71395487acabdp-14, -0x1.67ac25a930e84p-14, -0x1.5e6341c1f3e49p-14, -0x1.555c9c611a95bp-14, -0x1.4c96385adf2d5p-14, -0x1.440e27622385cp-14, -0x1.3bc289a4948a7p-14, -0x1.33b18d68b8841p-14, -0x1.2bd96eae61e2cp-14, -0x1.243876d10c622p-14, -0x1.1cccfc2c63f04p-14, -0x1.159561c2b3698p-14, -0x1.0e9016e571902p-14, -0x1.07bb96dfb2f5ep-14, -0x1.011668a27d10ap-14, -0x1.f53e3ce61fd05p-15, -0x1.e8a8ab35c03a5p-15, -0x1.dc696c3370b6bp-15, -0x1.d07de4b2a6f4bp-15, -0x1.c4e38dc5c41a3p-15, -0x1.b997f42cce664p-15, -0x1.ae98b7c739bb7p-15, -0x1.a3e38b0978fadp-15, -0x1.99763275c6fc8p-15, -0x1.8f4e84183cc59p-15, -0x1.856a67061cd5ep-15, -0x1.7bc7d2e0a04c9p-15, -0x1.7264cf5aad1fep-15, -0x1.693f73c1ad406p-15, -0x1.6055e689c83abp-15, -0x1.57a65cdcaac4fp-15, -0x1.4f2f1a2be4ac4p-15, -0x1.46ee6fc59b09p-15, -0x1.3ee2bc6c8dcf2p-15, -0x1.370a6bf2a07c3p-15, -0x1.2f63f6d671ac9p-15, -0x1.27ede1e3510eap-15, -0x1.20a6bdd441b7ep-15, -0x1.198d26f952319p-15, -0x1.129fc4df567dcp-15, -0x1.0bdd49faab3f9p-15, -0x1.05447353db515p-15, -0x1.fda8106d93cfep-16, -0x1.f115b3c88c7fp-16, -0x1.e4cf868b7319ep-16, -0x1.d8d351460499fp-16, -0x1.cd1eeeb53721cp-16, -0x1.c1b04b36ff9d3p-16, -0x1.b6856442dd7b1p-16, -0x1.ab9c47e532a7p-16, -0x1.a0f3143ff2722p-16, -0x1.9687f70d4f5f7p-16, -0x1.8c592d27081f1p-16, -0x1.826502106621ap-16, -0x1.78a9cf845271dp-16, -0x1.6f25fd05fb002p-16, -0x1.65d7ff74c3b98p-16, -0x1.5cbe58a337c1p-16, -0x1.53d796f0c912bp-16, -0x1.4b2254e69bd0dp-16, -0x1.429d38d6abf7dp-16, -0x1.3a46f47dc00bp-16, -0x1.321e44a79e61p-16, -0x1.2a21f0d627e9p-16, -0x1.2250caea4ff57p-16, -0x1.1aa9aecf75a25p-16, -0x1.132b8228fcf8bp-16, -0x1.0bd53402145b6p-16, -0x1.04a5bc7f3ade9p-16, -0x1.fb383923d8d8dp-17, -0x1.ed6ebb5c7fa86p-17, -0x1.dfed2304a57b1p-17, -0x1.d2b1a35ee014fp-17, -0x1.c5ba7f0a250cbp-17, -0x1.b906077afd6a1p-17, -0x1.ac929c788d3fep-17, -0x1.a05eab9c7a429p-17, -0x1.9468afd6612e2p-17, -0x1.88af30f27dbe9p-17, -0x1.7d30c32342f05p-17, -0x1.71ec068eeb448p-17, -0x1.66dfa6dfb41f5p-17, -0x1.5c0a5ad77b48fp-17, -0x1.516ae3e6429fep-17, -0x1.47000dc5028fcp-17, -0x1.3cc8ae13029a5p-17, -0x1.32c3a3f6a4b97p-17, -0x1.28efd7c1c1262p-17, -0x1.1f4c3a995184dp-17, -0x1.15d7c6205ce9bp-17, -0x1.0c917c26ee9bdp-17, -0x1.0378665bd37a3p-17, -0x1.f5172c0408531p-18, -0x1.e3944752871f8p-18, -0x1.d2665dd4eb3f4p-18, -0x1.c18bbc4d0c059p-18, -0x1.b102bc9297102p-18, -0x1.a0c9c51d73284p-18, -0x1.90df489693871p-18, -0x1.8141c56df1785p-18, -0x1.71efc576c968ep-18, -0x1.62e7dd86f098cp-18, -0x1.5428ad1b9fd97p-18, -0x1.45b0de02e58eap-18, -0x1.377f24065a7fdp-18, -0x1.29923c9c3451dp-18, -0x1.1be8ee9849e0ap-18, -0x1.0e8209e1ffb4cp-18, -0x1.015c672a17effp-18, -0x1.e8edcf482337fp-19, -0x1.cfa0e97fa4adbp-19, -0x1.b6cfffcb3079ap-19, -0x1.9e79046319fdcp-19, -0x1.8699f863c4b62p-19, -0x1.6f30eb4a26f2fp-19, -0x1.583bfa6f5793ep-19, -0x1.41b9508a28232p-19, -0x1.2ba7252e60802p-19, -0x1.1603bc4d7e805p-19, -0x1.00cd65bdf257fp-19, -0x1.d804f97a861d1p-20, -0x1.af42cef10a279p-20, -0x1.87512d2bb08b2p-20, -0x1.602d09843a30cp-20, -0x1.39d36c7bd26c1p-20, -0x1.144170e12a55ap-20, -0x1.dee885f93845dp-21, }}, 
      {{-0x1.52aa2ec8cf222p-2, -0x1.4e03b8513fdf6p-1, -0x1.e9f6b2b0ded43p-1, -0x1.3cf8a13486b01p+0, -0x1.7dcf2d3993017p+0, -0x1.b6c11f8de4829p+0, -0x1.e76f0cb47223cp+0, -0x1.07e3b1532eff5p+1, -0x1.17fafc6c02f2fp+1, -0x1.242a871518109p+1, -0x1.2cb01b419f89dp+1, -0x1.31d4ae21dfe9cp+1, -0x1.33e7da3ef0cb7p+1, -0x1.333c40f2df2a9p+1, -0x1.3024b5855170ep+1, -0x1.2af217c15db66p+1, -0x1.23f1c3017dc1ep+1, -0x1.1b6c7b6f53d4p+1, -0x1.11a5bda461f74p+1, -0x1.06db5f414930fp+1, -0x1.f68ad1e2921dap+0, -0x1.de2c48e73b50ep+0, -0x1.c4f48d97f7d72p+0, -0x1.ab326e1b5bd57p+0, -0x1.912abdf3ad5b1p+0, -0x1.771901453f32bp+0, -0x1.5d303604b65d5p+0, -0x1.439b97fc8d6dep+0, -0x1.2a7f53fbd677p+0, -0x1.11f95910359d5p+0, -0x1.f443f3f61a295p-1, -0x1.c6190f31b6cf4p-1, -0x1.998fefb5d2aecp-1, -0x1.6ebef72a82289p-1, -0x1.45b5ea312d6b5p-1, -0x1.1e7ec9a7b8496p-1, -0x1.f23d5f061bdf6p-2, -0x1.ab2d32476fe69p-2, -0x1.67c819c7e1b5ep-2, -0x1.280346ebf8227p-2, -0x1.d79e0fef2077dp-3, -0x1.662f5e90c70e8p-3, -0x1.f719902b83242p-4, -0x1.2f0752fc49da5p-4, -0x1.ceec94e25c06dp-6, 0x1.d9eca761dab7p-7, 0x1.bcb32881052d5p-5, 0x1.7612375ff9918p-4, 0x1.01711a53dc985p-3, 0x1.42a2408d4aa4fp-3, 0x1.7ed9b7378a45dp-3, 0x1.b653fb9bedf6p-3, 0x1.e94c96e551459p-3, 0x1.0bfef1698054dp-2, 0x1.21504b86b3265p-2, 0x1.34b6598e9b593p-2, 0x1.464be1290bdacp-2, 0x1.562adc21c75b2p-2, 0x1.646c59f569819p-2, 0x1.71287ccbb3948p-2, 0x1.7c7677cee4ae5p-2, 0x1.866c8e4af3756p-2, 0x1.8f201374f8438p-2, 0x1.96a56b0770e67p-2, 0x1.9d100afc5013dp-2, 0x1.a2727e9ed5bc6p-2, 0x1.a6de6b048f2b4p-2, 0x1.aa6494c9c7696p-2, 0x1.ad14e6c459549p-2, 0x1.aefe794d32bd6p-2, 0x1.b02f99c85ab0fp-2, 0x1.b0b5d22c363efp-2, 0x1.b09df065c4c0fp-2, 0x1.aff40d8e3bd4ep-2, 0x1.aec394f432eacp-2, 0x1.ad174b0151c65p-2, 0x1.aaf954079aa8dp-2, 0x1.a8733b0086c4ap-2, 0x1.a58df84519412p-2, 0x1.a251f8416371p-2, 0x1.9ec72220210dp-2, 0x1.9af4de64c0cb6p-2, 0x1.96e21d657665ap-2, 0x1.92955d95f7903p-2, 0x1.8e14b196cddc1p-2, 0x1.8965c602d73dcp-2, 0x1.848de6f97da1p-2, 0x1.7f920566f126ap-2, 0x1.7a76bc0c52112p-2, 0x1.75405449ef418p-2, 0x1.6ff2caae1b604p-2, 0x1.6a91d34bf1e22p-2, 0x1.6520ddde37bf4p-2, 0x1.5fa319badc1d7p-2, 0x1.5a1b799b266c2p-2, 0x1.548cb73b5d82fp-2, 0x1.4ef956d2dfcebp-2, 0x1.4963aa63f8ac5p-2, 0x1.43cdd4e1ee982p-2, 0x1.3e39cd2c30b84p-2, 0x1.38a960deb407ap-2, 0x1.331e36f91edefp-2, 0x1.2d99d25f12d3dp-2, 0x1.281d9433fcaa6p-2, 0x1.22aabe1416b5dp-2, 0x1.1d42742bb24cfp-2, 0x1.17e5bf2da6dbap-2, 0x1.12958e2a3d2dfp-2, 0x1.0d52b848a7994p-2, 0x1.081dfe65b2085p-2, 0x1.02f848afc4fp-2, 0x1.fbc36b41b9d9ap-3, 0x1.f1b610d268183p-3, 0x1.e7c96f261d23fp-3, 0x1.ddfe54711f566p-3, 0x1.d455723c17b04p-3, 0x1.cacf5f76c5e78p-3, 0x1.c16c9a6b79b07p-3, 0x1.b82d8a9510198p-3, 0x1.af128258a551ep-3, 0x1.a61bc0a3bfe33p-3, 0x1.9d49727034aafp-3, 0x1.949bb42f08268p-3, 0x1.8c12931bfeb81p-3, 0x1.83ae0e7b82fbdp-3, 0x1.7b6e18c46371dp-3, 0x1.735298b68feadp-3, 0x1.6b5b6a5fd5ce4p-3, 0x1.6388600f3a6e2p-3, 0x1.5bd94337b1689p-3, 0x1.544dd542cba9p-3, 0x1.4ce5d0542b19ep-3, 0x1.45a0e7fe960dep-3, 0x1.3e7ec9eb8c6f1p-3, 0x1.377f1e7644488p-3, 0x1.30a1893afa47p-3, 0x1.29e5a99b6b0f7p-3, 0x1.234b1b3953f49p-3, 0x1.1cd17667bd718p-3, 0x1.16785093dfe01p-3, 0x1.103f3ca651764p-3, 0x1.0a25cb5d266d1p-3, 0x1.042b8b9f9554fp-3, 0x1.fca01597454e1p-4, 0x1.f125a9fc68abfp-4, 0x1.e5e6eaabfa25bp-4, 0x1.dae2ec6300bddp-4, 0x1.d018c2d104302p-4, 0x1.c5878102290a2p-4, 0x1.bb2e39c104e7p-4, 0x1.b10bfff09b67cp-4, 0x1.a71fe6deb6ea9p-4, 0x1.9d69028f2639cp-4, 0x1.93e66800185fdp-4, 0x1.8a972d680e6d2p-4, 0x1.817a6a6dc25bfp-4, 0x1.788f385a72421p-4, 0x1.6fd4b24701fbep-4, 0x1.6749f5446306bp-4, 0x1.5eee207faab05p-4, 0x1.56c055623a001p-4, 0x1.4ebfb7ae50e6p-4, 0x1.46eb6d985b7ebp-4, 0x1.3f429fdd44b93p-4, 0x1.37c479d60f19ep-4, 0x1.30702988f1898p-4, 0x1.2944dfb831878p-4, 0x1.2241cfeeee4dbp-4, 0x1.1b66308c0c63p-4, 0x1.14b13acb68525p-4, 0x1.0e222acd7576bp-4, 0x1.07b83f9d606fap-4, 0x1.0172bb35d0284p-4, 0x1.f6a1c508a59fp-5, 0x1.eaa3fad70fff9p-5, 0x1.deeaad882e6c4p-5, 0x1.d37478b8fee32p-5, 0x1.c83ffdefa4e4fp-5, 0x1.bd4be496d9b07p-5, 0x1.b296d9f782e85p-5, 0x1.a81f9130943c4p-5, 0x1.9de4c32d718ebp-5, 0x1.93e52e9af4c87p-5, 0x1.8a1f97db4899fp-5, 0x1.8092c8f8baa74p-5, 0x1.773d9197a7f2bp-5, 0x1.6e1ec6e7a4f32p-5, 0x1.65354393f7dafp-5, 0x1.5c7fe7b380812p-5, 0x1.53fd98b81fde1p-5, 0x1.4bad415db1673p-5, 0x1.438dd198a897p-5, 0x1.3b9e3e845fa3dp-5, 0x1.33dd8251284a8p-5, 0x1.2c4a9c3228e0ap-5, 0x1.24e4904b130c5p-5, 0x1.1daa679dc0732p-5, 0x1.169b2ff7b998bp-5, 0x1.0fb5fbdfb3f0ep-5, 0x1.08f9e2830bb9ap-5, 0x1.0265ffa33dd4bp-5, 0x1.f7f2e706ca4cp-6, 0x1.eb66c5ab85b49p-6, 0x1.df25ed52a32bbp-6, 0x1.d32eb8aec4fb7p-6, 0x1.c77f8ae2a3a63p-6, 0x1.bc16cf5c93f82p-6, 0x1.b0f2f9b2412b6p-6, 0x1.a612857c9bd2ap-6, 0x1.9b73f6340764bp-6, 0x1.9115d70ccf8eep-6, 0x1.86f6bad3e6b63p-6, 0x1.7d153bcc05945p-6, 0x1.736ffb8b20aebp-6, 0x1.6a05a2d846a62p-6, 0x1.60d4e189eae59p-6, 0x1.57dc6e649b46p-6, 0x1.4f1b06fa2c9f1p-6, 0x1.468f6f895d8fep-6, 0x1.3e3872ddebfb2p-6, 0x1.3614e231265c7p-6, 0x1.2e23950aefd1dp-6, 0x1.266365dd16353p-6, 0x1.1ed33e7c9a25dp-6, 0x1.17720601b6e35p-6, 0x1.103eac02f55eap-6, 0x1.093825d0ae31fp-6, 0x1.025d6e58edb87p-6, 0x1.f75b0c17ad9fdp-7, 0x1.ea4ee580ec621p-7, 0x1.dd947f3421daap-7, 0x1.d129f9dbcb40cp-7, 0x1.c50d8052bf40cp-7, 0x1.b93d47716fea2p-7, 0x1.adb78ddc0afb4p-7, 0x1.a27a9bd17721ep-7, 0x1.9784c2fb201e7p-7, 0x1.8cd45e3d9ba35p-7, 0x1.8267d18a18ddcp-7, 0x1.783d89b09c109p-7, 0x1.6e53fc3307a8dp-7, 0x1.64a9a718ee93cp-7, 0x1.5b3d10c41ef22p-7, 0x1.520cc7c5fd16cp-7, 0x1.491762b5984a9p-7, 0x1.405b80067ff43p-7, 0x1.37d7c5e04f912p-7, 0x1.2f8ae1f6fde25p-7, 0x1.27738963db516p-7, 0x1.1f90787f4d7bep-7, 0x1.17e072bb3a86bp-7, 0x1.1062427e279a6p-7, 0x1.0914b8ff07db3p-7, 0x1.01f6ae21b6a89p-7, 0x1.f60e00a84077bp-8, 0x1.e88928d81cc22p-8, 0x1.db5cab0b3eac3p-8, 0x1.ce8669c4b9eddp-8, 0x1.c2045391eaad9p-8, 0x1.b5d462cb27044p-8, 0x1.a9f49d55a0c76p-8, 0x1.9e6314667e12ep-8, 0x1.931de447195f1p-8, 0x1.8823341a6d5c8p-8, 0x1.7d7135a39df1cp-8, 0x1.7306250d9d3b7p-8, 0x1.68e048b3ea05fp-8, 0x1.5efdf0ec5c7e2p-8, 0x1.555d77d1ff692p-8, 0x1.4bfd4110f162bp-8, 0x1.42dbb9b3451eap-8, 0x1.39f757eedfd73p-8, 0x1.314e9af44e4dbp-8, 0x1.28e00abe8d8c8p-8, 0x1.20aa37e3bf421p-8, 0x1.18abbb66c8933p-8, 0x1.10e33689d7bcep-8, 0x1.094f52a1c5d35p-8, 0x1.01eec0ea58d68p-8, 0x1.f58074b6b3746p-9, 0x1.e784fefd05352p-9, 0x1.d9e8b08c79e5dp-9, 0x1.cca927ca522b9p-9, 0x1.bfc4114ce48dap-9, 0x1.b337278dcc59bp-9, 0x1.a700329da0e7bp-9, 0x1.9b1d07d9245adp-9, 0x1.8f8b899ff0a0cp-9, 0x1.8449a70c8ddaep-9, 0x1.79555badf591ap-9, 0x1.6eacaf4279b1ap-9, 0x1.644db57409af6p-9, 0x1.5a368d95c7c0ap-9, 0x1.50656262fb1c8p-9, 0x1.46d869bf416d6p-9, 0x1.3d8de4780cf67p-9, 0x1.34841e075dfa5p-9, 0x1.2bb96c57b6d15p-9, 0x1.232c2f89435f8p-9, 0x1.1adad1b83118p-9, 0x1.12c3c6c42bbd5p-9, 0x1.0ae58c18fedcap-9, 0x1.033ea8785ae56p-9, 0x1.f79b57894eaf2p-10, 0x1.e9225d99eb7a8p-10, 0x1.db0fa633f833ep-10, 0x1.cd6085782a3f5p-10, 0x1.c0126034a8787p-10, 0x1.b322ab8508cdbp-10, 0x1.a68eec746fea9p-10, 0x1.9a54b7a17d60cp-10, 0x1.8e71b0e42f17ap-10, 0x1.82e38af5925b1p-10, 0x1.77a80719512aap-10, 0x1.6cbcf4c906669p-10, 0x1.622031614fd8p-10, 0x1.57cfa7d099931p-10, 0x1.4dc950479bf22p-10, 0x1.440b2feb7b46ap-10, 0x1.3a9358899000dp-10, 0x1.315fe84cbe88bp-10, 0x1.286f09745fe9ep-10, 0x1.1fbef20cb7efep-10, 0x1.174de3a8ea115p-10, 0x1.0f1a2b1e6547ep-10, 0x1.07222041c373ap-10, 0x1.fec84b4a2dc77p-11, 0x1.efbd50af34d43p-11, 0x1.e1203f4d7ae7ap-11, 0x1.d2ee19c1167c9p-11, 0x1.c523f62ebf4f2p-11, 0x1.b7befdcdc1a1bp-11, 0x1.aabc6c749fa1cp-11, 0x1.9e19902801e5cp-11, 0x1.91d3c8ac2d81cp-11, 0x1.85e88718db399p-11, 0x1.7a554d6f6899fp-11, 0x1.6f17ae33445a8p-11, 0x1.642d4c04bfbp-11, 0x1.5993d93de8afbp-11, 0x1.4f491791b67f5p-11, 0x1.454ad7ad3d02ap-11, 0x1.3b96f8daffab6p-11, 0x1.322b68a84aa64p-11, 0x1.2906228c929f3p-11, 0x1.20252f92c8a5p-11, 0x1.1786a60498453p-11, 0x1.0f28a91788e3bp-11, 0x1.0709689bfe083p-11, 0x1.fe4e415c0277fp-12, 0x1.ef0032cf9de22p-12, 0x1.e0254d2c661d4p-12, 0x1.d1ba4edd09e45p-12, 0x1.c3bc0c8cb2622p-12, 0x1.b6277099af127p-12, 0x1.a8f97a8b4fe4bp-12, 0x1.9c2f3e8ae91ccp-12, 0x1.8fc5e4dfe82eap-12, 0x1.83baa96ef25f9p-12, 0x1.780adb3be83eap-12, 0x1.6cb3dbeee8873p-12, 0x1.61b31f5c0d125p-12, 0x1.57062b0e09ebap-12, 0x1.4caa95d36c56cp-12, 0x1.429e074e92fc3p-12, 0x1.38de37882e9b8p-12, 0x1.2f68ee8471168p-12, 0x1.263c03da9d5f7p-12, 0x1.1d555e4f1676bp-12, 0x1.14b2f36fd5266p-12, 0x1.0c52c73331917p-12, 0x1.0432eb98fc152p-12, 0x1.f8a3009b83d2fp-13, 0x1.e95964a0e9c91p-13, 0x1.da85773407148p-13, 0x1.cc23c58e4d85bp-13, 0x1.be30f588795fbp-13, 0x1.b0a9c4f642a08p-13, 0x1.a38b09061200cp-13, 0x1.96d1ada4761fbp-13, 0x1.8a7ab4e37ce03p-13, 0x1.7e8336659c4dbp-13, 0x1.72e85ecc6113bp-13, 0x1.67a76f2a6386ap-13, 0x1.5cbdbc7909741p-13, 0x1.5228af11492a5p-13, 0x1.47e5c22807bc1p-13, 0x1.3df2834d817dcp-13, 0x1.344c91efe0c28p-13, 0x1.2af19ee0ef08cp-13, 0x1.21df6bdee8b18p-13, 0x1.1913cb200d79dp-13, 0x1.108c9ee12cc41p-13, 0x1.0847d8f708c2fp-13, 0x1.00437a6270186p-13, 0x1.f0fb25ce149e7p-14, 0x1.e1e8814996f1fp-14, 0x1.d34b5f67b7324p-14, 0x1.c520338685dc8p-14, 0x1.b7638b738058bp-14, 0x1.aa120eb26d17bp-14, 0x1.9d287dc89830ap-14, 0x1.90a3b18d0266cp-14, 0x1.84809a7cb81eap-14, 0x1.78bc4013b7d5cp-14, 0x1.6d53c029f7875p-14, 0x1.62444e54be4f2p-14, 0x1.578b334bee7f4p-14, 0x1.4d25cc5353ca7p-14, 0x1.43118aa7d14dfp-14, 0x1.394bf2f088e12p-14, 0x1.2fd29cb3653f9p-14, 0x1.26a331cd88efep-14, 0x1.1dbb6def1702bp-14, 0x1.15191e1a88491p-14, 0x1.0cba202775693p-14, 0x1.049c62486285cp-14, 0x1.f97bc5280d957p-15, 0x1.ea395d23559c3p-15, 0x1.db6dc590dccbdp-15, 0x1.cd1554a368306p-15, 0x1.bf2c7cdcdcd3cp-15, 0x1.b1afcc3e5ab8ep-15, 0x1.a49beb7e2c837p-15, 0x1.97ed9d42f197ap-15, 0x1.8ba1bd63f4a55p-15, 0x1.7fb5402f2359bp-15, 0x1.742531b38b503p-15, 0x1.68eeb510d8ea8p-15, 0x1.5e0f03cbc15dbp-15, 0x1.53836d27372acp-15, 0x1.49495581b5f2bp-15, 0x1.3f5e35b782ddbp-15, 0x1.35bf9a88cf0a9p-15, 0x1.2c6b240430674p-15, 0x1.235e84f59892cp-15, 0x1.1a978258b968ep-15, 0x1.1213f2cf91d7fp-15, 0x1.09d1be1cf9eeap-15, 0x1.01cedca250e9fp-15, 0x1.f412adc33c43dp-16, 0x1.e4fe8a04c944ap-16, 0x1.d65d9cb4d095p-16, 0x1.c82c51f332803p-16, 0x1.ba6732728cfbfp-16, 0x1.ad0ae29cff70cp-16, 0x1.a01382630d8f8p-16, 0x1.937f2cb57ae4ap-16, 0x1.874a321ecb971p-16, 0x1.7b719dcab3faep-16, 0x1.6ff292adffe94p-16, 0x1.64ca4acdbd698p-16, 0x1.59f6168b930d1p-16, 0x1.4f735bf7cff1bp-16, 0x1.453f962815e89p-16, 0x1.3b585493281a9p-16, 0x1.31bb3a7066c02p-16, 0x1.2865fe1dfaeebp-16, 0x1.1f566889508dap-16, 0x1.168a549d4d8bfp-16, 0x1.0dffaeb37229bp-16, 0x1.05b4740b1efddp-16, 0x1.fb4d64858fb83p-17, 0x1.eba90dad1c788p-17, 0x1.dc783d42354cdp-17, 0x1.cdb76ac43fd7bp-17, 0x1.bf632a8dcd429p-17, 0x1.b1782ced54d6cp-17, 0x1.a3f33d463ad8fp-17, 0x1.96d14135faa37p-17, 0x1.8a0f37c297c53p-17, 0x1.7daa388b555a7p-17, 0x1.719f73051776bp-17, 0x1.65ec2db7268dfp-17, 0x1.5a8dc581341f3p-17, 0x1.4f81ace5237fep-17, 0x1.44c56b578b3f5p-17, 0x1.3a569c9462dd2p-17, 0x1.3032effa5e47fp-17, 0x1.265827e82e4f4p-17, 0x1.1cc41922e941ep-17, 0x1.1374aa3d9c49p-17, 0x1.0a67d30733ee2p-17, 0x1.019b9bfc32d8bp-17, 0x1.f21c3b79fa241p-18, 0x1.e17b0112257adp-18, 0x1.d14ff7775aae1p-18, 0x1.c197aaa14aa0cp-18, 0x1.b24ec2d36941dp-18, 0x1.a37203b00b9b5p-18, 0x1.94fe4b56b80acp-18, 0x1.86f09184f7367p-18, 0x1.7945e6c15534bp-18, 0x1.6bfb7389f745fp-18, 0x1.5f0e778d71515p-18, 0x1.527c48e6859c4p-18, 0x1.4642535fce7a5p-18, 0x1.3a5e17bd34a9ep-18, 0x1.2ecd2b0ae4415p-18, 0x1.238d35f1cfbcep-18, 0x1.189bf4123351bp-18, 0x1.0df73361ce8bcp-18, 0x1.039cd392172bap-18, 0x1.f3158af183098p-19, 0x1.df7e14ff5eca5p-19, 0x1.cc6f6826e1dfbp-19, 0x1.b9e5c63f4bcf9p-19, 0x1.a7dd8f143f3d8p-19, 0x1.96533f63bde42p-19, 0x1.85436fe799035p-19, 0x1.74aad4678924bp-19, 0x1.64863ad08acb9p-19, 0x1.54d28a56b84c6p-19, 0x1.458cc29b74b6fp-19, 0x1.36b1fadc8ac34p-19, 0x1.283f612a6ba9fp-19, 0x1.1a3239a31339fp-19, 0x1.0c87ddb66c04cp-19, 0x1.fe7b76ddd680bp-20, 0x1.e4a2a97ab8b55p-20, 0x1.cb807da685b9cp-20, 0x1.b31042f1de892p-20, 0x1.9b4d6ce4691a5p-20, 0x1.843391baae34ap-20, 0x1.6dbe6945f8fa4p-20, 0x1.57e9cbc78641ap-20, 0x1.42b1b0db7728fp-20, 0x1.2e122e63df548p-20, 0x1.1a07778dc776fp-20, 0x1.068ddbd475b44p-20, 0x1.e7438c0505a17p-21, 0x1.c27f769fb7ccp-21, 0x1.9ec8b505ba25dp-21, 0x1.7c18b616c30c8p-21, 0x1.5a6918668f6b8p-21, 0x1.39b3a8a0ab993p-21, 0x1.19f26001a61d9p-21, 0x1.f63ec5a05eaap-22, 0x1.ba69fde1df7dbp-22, 0x1.805b550ffb4ddp-22, 0x1.4808052601b3ap-22, 0x1.116593578dc91p-22, 0x1.b8d39b0064976p-23, 0x1.52158f3e35f94p-23, 0x1.dcfb66ec3699bp-24, 0x1.1bf275d82d9fap-24, 0x1.83aebec49e9dap-26, -0x1.50f2463653fb8p-26, -0x1.03a9068427ap-24, -0x1.ad7b823625df6p-24, -0x1.28ea7cce20a32p-23, -0x1.786ac56b8bfe6p-23, -0x1.c54e422089bccp-23, -0x1.07d21acc3b39bp-22, -0x1.2bbdc0a55d8dep-22, -0x1.4e71543aeaab9p-22, -0x1.6ff3e9b188627p-22, -0x1.904c691a0b3a4p-22, -0x1.af818fd1576eep-22, -0x1.cd99f1e6cb817p-22, -0x1.ea9bfb692390ap-22, -0x1.0346f8ccdd21ep-21, -0x1.10bafa2d0f676p-21, -0x1.1dacff838426ap-21, -0x1.2a1ff4e923d3dp-21, -0x1.3616b560f05e7p-21, -0x1.41940b62aa92bp-21, -0x1.4c9ab159f2ffbp-21, -0x1.572d521f65a39p-21, -0x1.614e897965667p-21, -0x1.6b00e484bdb2cp-21, -0x1.7446e2249b158p-21, -0x1.7d22f38038e6ap-21, -0x1.85977c4d5b611p-21, -0x1.8da6d345f2de1p-21, -0x1.95534284fb616p-21, -0x1.9c9f07e20f2eap-21, -0x1.a38c5545bcdafp-21, -0x1.aa1d510afcc0cp-21, -0x1.b0541643c39cdp-21, -0x1.b632b51527195p-21, -0x1.bbbb3300f5b1bp-21, -0x1.c0ef8b224e90cp-21, -0x1.c5d1ae9040b38p-21, -0x1.ca63848c1b8e4p-21, -0x1.cea6eacbc2a27p-21, -0x1.d29db5bc1b8c9p-21, -0x1.d649b0b4ca50fp-21, -0x1.d9ac9e5246c98p-21, -0x1.dcc838817ab92p-21, -0x1.df9e30d479a2p-21, -0x1.e23030bfd62dfp-21, -0x1.e47fd9b3027bcp-21, -0x1.e68ec55d1f615p-21, -0x1.e85e85d8e4b66p-21, -0x1.e9f0a5daa0944p-21, -0x1.eb46a8d68f14p-21, -0x1.ec620b44ffda9p-21, -0x1.ed4442a5c5c68p-21, -0x1.edeebdc0ed445p-21, }}, 
      {{-0x1.6549e21a910cap-3, -0x1.e281bb454b0abp-3, -0x1.4b1680964803dp-2, -0x1.b27fb409909dap-2, -0x1.0dc53a2e54c06p-1, -0x1.3e816886c76c7p-1, -0x1.684a4db410491p-1, -0x1.893ed63ee4f74p-1, -0x1.a08a8dce3fef8p-1, -0x1.ae25f6599692cp-1, -0x1.b29c23afba2b6p-1, -0x1.aed9531ac7ceep-1, -0x1.a402bb3ba5b0ap-1, -0x1.9357a6c7cc53p-1, -0x1.7e1a421b6e29bp-1, -0x1.657f36eab233cp-1, -0x1.4aa2a21d1f26fp-1, -0x1.2e818396b742fp-1, -0x1.11f6a2ab23543p-1, -0x1.eb736d46057bbp-2, -0x1.b4c1103b069c9p-2, -0x1.80c2130e64b5cp-2, -0x1.50288834b6516p-2, -0x1.237374ee801fp-2, -0x1.f5ea1a032897cp-3, -0x1.adb3ef8a60302p-3, -0x1.6e5fbca8060b2p-3, -0x1.37d4217b7b424p-3, -0x1.09d0d5f67752fp-3, -0x1.c7ec95ee28c69p-4, -0x1.8b973c4ed9018p-4, -0x1.5d8eec0c6bf62p-4, -0x1.3cafe82a089b4p-4, -0x1.27cba05ab4223p-4, -0x1.1dabfbdf3883fp-4, -0x1.1d1b667ac75fp-4, -0x1.24ee763ab06eap-4, -0x1.3408700ea6926p-4, -0x1.495a75d2c9e4cp-4, -0x1.63e283c51e023p-4, -0x1.82ad9298e06c9p-4, -0x1.a4db654a5e087p-4, -0x1.c9a099ae21e25p-4, -0x1.f0458edf77129p-4, -0x1.0c11ce2b3108bp-3, -0x1.20517ea0eb81fp-3, -0x1.349d44b4afbb4p-3, -0x1.48b8468667dcp-3, -0x1.5c6da691f6318p-3, -0x1.6f9023c2d87b1p-3, -0x1.81f927b12cef2p-3, -0x1.9387b0ce74132p-3, -0x1.a41f85535071dp-3, -0x1.b3a8d73bb9028p-3, -0x1.c2114ba364ebp-3, -0x1.cf434f21d5d0cp-3, -0x1.db3a99f72eca4p-3, -0x1.e5f0f61a1fa74p-3, -0x1.ef625e2691afep-3, -0x1.f78c835fda00fp-3, -0x1.fe6eb31b871c7p-3, -0x1.0204fe5885596p-2, -0x1.0430b5cf3ae1bp-2, -0x1.05bd1638f42fcp-2, -0x1.06adc1097153ap-2, -0x1.070742bad5a4cp-2, -0x1.06cede09f97d4p-2, -0x1.060a4e1c61719p-2, -0x1.04bf8bd8a4f2dp-2, -0x1.02f49feb9cd2ap-2, -0x1.00af866c5bde2p-2, -0x1.fbec48eaa1783p-3, -0x1.f59c98bded8d6p-3, -0x1.ee7b9604e0d23p-3, -0x1.e694ef4226127p-3, -0x1.ddf4814c3f61ap-3, -0x1.d4a662531b973p-3, -0x1.cab6dada888a9p-3, -0x1.c0324dcfd0ffep-3, -0x1.b52514847596fp-3, -0x1.a99b553e6e2dbp-3, -0x1.9da0db28263a7p-3, -0x1.9140f527faba2p-3, -0x1.84865f2b8c93ap-3, -0x1.777b3751985b6p-3, -0x1.6a28fe74ec5d6p-3, -0x1.5c98a21f02f7p-3, -0x1.4ed28ceeaac4dp-3, -0x1.40deba0ffc28bp-3, -0x1.32c4c87906087p-3, -0x1.248c0b27f7c9ep-3, -0x1.163b947b3477p-3, -0x1.07da3bc066877p-3, -0x1.f2dd3a333d622p-4, -0x1.d5fe295e4ac6cp-4, -0x1.b9236d6bbe7e7p-4, -0x1.9c588c1fd8793p-4, -0x1.7fa85678d6c51p-4, -0x1.631cd9fe243abp-4, -0x1.46bf57721ea5cp-4, -0x1.2a983fe85a207p-4, -0x1.0eaf3862c2a61p-4, -0x1.e61646bf5ad13p-5, -0x1.af645e7481fddp-5, -0x1.7953cfcd5d4e9p-5, -0x1.43ee94d5a431p-5, -0x1.0f3db0eeab2ffp-5, -0x1.b692aac2076e5p-6, -0x1.50320205d5e99p-6, -0x1.d6ce65a2392c4p-7, -0x1.0ff3c67ad42bdp-7, -0x1.33898d5753bb8p-9, 0x1.cac5506db7799p-9, 0x1.2eb2c194bfd61p-7, 0x1.e7102a5df52ep-7, 0x1.4ddd607439691p-6, 0x1.a6534f24bfae2p-6, 0x1.fce5553c4bdeap-6, 0x1.28c81d00db334p-5, 0x1.5228fe591f181p-5, 0x1.7a94d9d248bep-5, 0x1.a20bb3f4f4559p-5, 0x1.c88df7cfe4493p-5, 0x1.ee1c648fcb7cbp-5, 0x1.095bfe41478afp-4, 0x1.1b30fb2a51edfp-4, 0x1.2c8dd88dd135cp-4, 0x1.3d7355befc57bp-4, 0x1.4de23f0225fdcp-4, 0x1.5ddb6c31844f6p-4, 0x1.6d5fc0abbbd32p-4, 0x1.7c702c46ee4aap-4, 0x1.8b0dacf7b72cfp-4, 0x1.993950d78b7dfp-4, 0x1.a6f43838bcd0cp-4, 0x1.b43f977ee9ccfp-4, 0x1.c11cb87f9ee6ap-4, 0x1.cd8cfb3ede01p-4, 0x1.d991d5ecd0368p-4, 0x1.e52cd41bacfc8p-4, 0x1.f05f953578401p-4, 0x1.fb2bca474e9b4p-4, 0x1.02c999a1a5dd7p-3, 0x1.07cbcdf0ba744p-3, 0x1.0c9d6c25e051fp-3, 0x1.113f60e0f3fb4p-3, 0x1.15b299af370b2p-3, 0x1.19f80390bcd83p-3, 0x1.1e1089af5f8d1p-3, 0x1.21fd1451df363p-3, 0x1.25be88116823dp-3, 0x1.2955c5535494p-3, 0x1.2cc3a80511154p-3, 0x1.300907943f198p-3, 0x1.3326b71a6ede6p-3, 0x1.361d85b1989f2p-3, 0x1.38ee3ee54926fp-3, 0x1.3b99ab34197ebp-3, 0x1.3e20909597fp-3, 0x1.4083b2f9e3d51p-3, 0x1.42c3d4ba2f857p-3, 0x1.44e1b6f34caeap-3, 0x1.46de19c5e2771p-3, 0x1.48b9bc7a1fc15p-3, 0x1.4a755d86ea6f5p-3, 0x1.4c11ba7e65c2p-3, 0x1.4d8f8fe326d11p-3, 0x1.4eef98ea8e976p-3, 0x1.50328f315f67cp-3, 0x1.51592a67ed7ecp-3, 0x1.52641ffb30e55p-3, 0x1.535422bfa0b88p-3, 0x1.5429e2a1fd87dp-3, 0x1.54e60c617b45ap-3, 0x1.55894955c9642p-3, 0x1.56143f42824cbp-3, 0x1.56879038b765bp-3, 0x1.56e3da867add8p-3, 0x1.5729b8b39f8dep-3, 0x1.5759c18a67c1fp-3, 0x1.5774882a678b8p-3, 0x1.577a9c23bfaap-3, 0x1.576c899894fp-3, 0x1.574ad962c7bb8p-3, 0x1.5716113bed56p-3, 0x1.56ceb3e5c71d2p-3, 0x1.56754151a73afp-3, 0x1.560a36c581dffp-3, 0x1.558e0efdab062p-3, 0x1.5501424a9ee54p-3, 0x1.546446aa76f96p-3, 0x1.53b78fde13861p-3, 0x1.52fb8f7a13fabp-3, 0x1.5230b4f42308cp-3, 0x1.51576dad1435bp-3, 0x1.507024f88496ap-3, 0x1.4f7b4422a8794p-3, 0x1.4e793274f2618p-3, 0x1.4d6a553a2c694p-3, 0x1.4c4f0fc27e464p-3, 0x1.4b27c367cfab9p-3, 0x1.49f4cf92c2d78p-3, 0x1.48b691c072673p-3, 0x1.476d65890164ap-3, 0x1.4619a4a6f05c9p-3, 0x1.44bba6ff1fbcfp-3, 0x1.4353c2a95b6bep-3, 0x1.41e24bf933c5bp-3, 0x1.406795870296ap-3, 0x1.3ee3f038ebae4p-3, 0x1.3d57ab4b9c5bep-3, 0x1.3bc3145ac72fcp-3, 0x1.3a267769281bfp-3, 0x1.38821ee8163c2p-3, 0x1.36d653be928ccp-3, 0x1.35235d4fe60c5p-3, 0x1.33698181e460cp-3, 0x1.31a904c2d768cp-3, 0x1.2fe22a0f46bcap-3, 0x1.2e1532f7b4a0ap-3, 0x1.2c425fa664a4bp-3, 0x1.2a69eee559ae2p-3, 0x1.288d2ea766441p-3, 0x1.26aa20a8ba788p-3, 0x1.24c2235952712p-3, 0x1.22d571655577ep-3, 0x1.20e444523c067p-3, 0x1.1eeed47cfcb43p-3, 0x1.1cf5591896608p-3, 0x1.1af8082d2d425p-3, 0x1.18f71697de0bfp-3, 0x1.16f2b80b6267dp-3, 0x1.14eb1f119f6eep-3, 0x1.12e07d0e1d37fp-3, 0x1.10d3024174b14p-3, 0x1.0ec2ddcd9dc7p-3, 0x1.0cb03dbb16cd5p-3, 0x1.0a9b4efed5587p-3, 0x1.08843d80d2c5bp-3, 0x1.066b34233475ap-3, 0x1.04505cc9d3051p-3, 0x1.0233e06217ba2p-3, 0x1.0015e6eaf6f88p-3, 0x1.fbed2efa06abbp-4, 0x1.f7ac30a4bcc24p-4, 0x1.f3691d9cf2112p-4, 0x1.ef243f0b1d04bp-4, 0x1.eadddc875eff7p-4, 0x1.e6963c26c25d7p-4, 0x1.e24da2876445bp-4, 0x1.de0452db7a732p-4, 0x1.d9ba8ef334f6dp-4, 0x1.d570974566d4dp-4, 0x1.d126aaf705538p-4, 0x1.ccdd07e1736d1p-4, 0x1.c893ea97c39cap-4, 0x1.c44b8e6af38c7p-4, 0x1.c0042d6d3a44cp-4, 0x1.bbbe007494d76p-4, 0x1.b7793f1c96cecp-4, 0x1.b3361fc7c4bedp-4, 0x1.aef4d7a0702c3p-4, 0x1.aab59a99541dep-4, 0x1.a6789b6e05b49p-4, 0x1.a23e0ba35167cp-4, 0x1.9e061b87b9af4p-4, 0x1.99d0fa33f9327p-4, 0x1.959ed58be8e2cp-4, 0x1.916fda3f88ec5p-4, 0x1.8d4433cc7fb12p-4, 0x1.891c0c7fec548p-4, 0x1.84f78d789f7c8p-4, 0x1.80d6dea9c2e7fp-4, 0x1.7cba26dde794ap-4, 0x1.78a18bba72e47p-4, 0x1.748d31c373e88p-4, 0x1.707d3c5fc2bcp-4, 0x1.6c71cddd777adp-4, 0x1.686b07769686dp-4, 0x1.64690955fbf3fp-4, 0x1.606bf29c66f9fp-4, 0x1.5c73e165a72c5p-4, 0x1.5880f2cdd7985p-4, 0x1.549342f69ce09p-4, 0x1.50aaed0c60b54p-4, 0x1.4cc80b4b796b1p-4, 0x1.48eab7053b678p-4, 0x1.451308a4e7046p-4, 0x1.414117b471ae3p-4, 0x1.3d74fae12227p-4, 0x1.39aec7fffb866p-4, 0x1.35ee9411f58fep-4, 0x1.3234734802316p-4, 0x1.2e807906da898p-4, 0x1.2ad2b7ea9a242p-4, 0x1.272b41ca26ac1p-4, 0x1.238a27ba66e15p-4, 0x1.1fef7a114c2c5p-4, 0x1.1c5b4868b4418p-4, 0x1.18cda1a1227c8p-4, 0x1.154693e45b7f5p-4, 0x1.11c62ca7e5339p-4, 0x1.0e4c78af6dfd2p-4, 0x1.0ad9840f27c9ep-4, 0x1.076d5a2e0fc6ap-4, 0x1.040805c83452bp-4, 0x1.00a990f0f5d88p-4, 0x1.faa40a2a90b66p-5, 0x1.f402d5fbfa905p-5, 0x1.ed6f95a41929bp-5, 0x1.e6ea5831e5f1cp-5, 0x1.e0732b7a26ff9p-5, 0x1.da0a1c1c5d7bfp-5, 0x1.d3af3587c16bp-5, 0x1.cd62820066453p-5, 0x1.c7240aa480499p-5, 0x1.c0f3d771b72e9p-5, 0x1.bad1ef4aa6363p-5, 0x1.b4be57fc68ec7p-5, 0x1.aeb916443f793p-5, 0x1.a8c22dd548c21p-5, 0x1.a2d9a15e4449ep-5, 0x1.9cff728f665c3p-5, 0x1.9733a22029c1fp-5, 0x1.91762fd52af63p-5, 0x1.8bc71a85fa353p-5, 0x1.86266022f001bp-5, 0x1.8093fdbaf22fp-5, 0x1.7b0fef812eb76p-5, 0x1.759a30d2c5ae9p-5, 0x1.7032bc3c67983p-5, 0x1.6ad98b7fd3054p-5, 0x1.658e979945e14p-5, 0x1.6051d8c4d4b62p-5, 0x1.5b234683a5c9ep-5, 0x1.5602d7a114aa4p-5, 0x1.50f08237b9ebbp-5, 0x1.4bec3bb65bb08p-5, 0x1.46f5f8e4b998p-5, 0x1.420dade849e68p-5, 0x1.3d334e48d5412p-5, 0x1.3866ccf4fb8a1p-5, 0x1.33a81c46a01ccp-5, 0x1.2ef72e073d0ddp-5, 0x1.2a53f37423125p-5, 0x1.25be5d42a178fp-5, 0x1.21365ba41a15fp-5, 0x1.1cbbde4a05b36p-5, 0x1.184ed469e3654p-5, 0x1.13ef2cc118088p-5, 0x1.0f9cd598c38dcp-5, 0x1.0b57bcc97dfcfp-5, 0x1.071fcfbf1202ep-5, 0x1.02f4fb7c24d8bp-5, 0x1.fdae593ba3014p-6, 0x1.f58c9ebe83193p-6, 0x1.ed849f3a5e0b8p-6, 0x1.e59631b2cd5cep-6, 0x1.ddc12c7c76459p-6, 0x1.d6056543e2942p-6, 0x1.ce62b1144473cp-6, 0x1.c6d8e45e2245cp-6, 0x1.bf67d2fdfc25cp-6, 0x1.b80f5042d32b8p-6, 0x1.b0cf2ef49fc99p-6, 0x1.a9a7415ac06e2p-6, 0x1.a29759423deb4p-6, 0x1.9b9f48040f2b4p-6, 0x1.94bede8b3d3a1p-6, 0x1.8df5ed5afc0cbp-6, 0x1.8744449499c44p-6, 0x1.80a9b3fd72ddap-6, 0x1.7a260b04b46b3p-6, 0x1.73b918c91690ep-6, 0x1.6d62ac1e7f134p-6, 0x1.6722939382d44p-6, 0x1.60f89d76d66bap-6, 0x1.5ae497dca402ep-6, 0x1.54e650a3c4567p-6, 0x1.4efd957ae56bep-6, 0x1.492a33e58cafep-6, 0x1.436bf94112bfap-6, 0x1.3dc2b2c96bd3p-6, 0x1.382e2d9deca2cp-6, 0x1.32ae36c5eab69p-6, 0x1.2d429b35435e3p-6, 0x1.27eb27d0ccda4p-6, 0x1.22a7a972a942ep-6, 0x1.1d77ecee85058p-6, 0x1.185bbf15b7d5cp-6, 0x1.1352ecbb48c36p-6, 0x1.0e5d42b7e2217p-6, 0x1.097a8deda2f26p-6, 0x1.04aa9b4bdbebap-6, 0x1.ffda6fa562106p-7, 0x1.f684612d40b9dp-7, 0x1.ed52a587e4d1dp-7, 0x1.e444d74424f17p-7, 0x1.db5a912d8d55dp-7, 0x1.d2936e52a5b0bp-7, 0x1.c9ef0a0b09efep-7, 0x1.c16cfffd47e85p-7, 0x1.b90cec2494312p-7, 0x1.b0ce6ad64112p-7, 0x1.a8b118c710d99p-7, 0x1.a0b4931047774p-7, 0x1.98d877349e869p-7, 0x1.911c6324f5ccep-7, 0x1.897ff544e8f96p-7, 0x1.8202cc6f1f071p-7, 0x1.7aa487f9766f1p-7, 0x1.7364c7b90cc42p-7, 0x1.6c432c05ffeebp-7, 0x1.653f55bf21576p-7, 0x1.5e58e64d66eaap-7, 0x1.578f7fa734b58p-7, 0x1.50e2c4538a5b9p-7, 0x1.4a52576cf571bp-7, 0x1.43dddca46f6fep-7, 0x1.3d84f84403103p-7, 0x1.37474f3157ebdp-7, 0x1.312486f015b43p-7, 0x1.2b1c45a42876p-7, 0x1.252e3213de939p-7, 0x1.1f59f3a9e9322p-7, 0x1.199f3277387b2p-7, 0x1.13fd9734cc0b4p-7, 0x1.0e74cb4542ec5p-7, 0x1.090478b677616p-7, 0x1.03ac4a42e5ec6p-7, 0x1.fcd7d6a608d8bp-8, 0x1.f2860ffd06d5dp-8, 0x1.e8629a1ade176p-8, 0x1.de6ccff284a9p-8, 0x1.d4a40ddbc2891p-8, 0x1.cb07b194feff2p-8, 0x1.c1971a44db47dp-8, 0x1.b851a87bcbd8fp-8, 0x1.af36be3553596p-8, 0x1.a645bed9565f2p-8, 0x1.9d7e0f3d24052p-8, 0x1.94df15a47bb1p-8, 0x1.8c6839c25f0dcp-8, 0x1.8418e4b9d0532p-8, 0x1.7bf0811e881a5p-8, 0x1.73ee7af560e45p-8, 0x1.6c114dd56ede7p-8, 0x1.645a4dd69c28ap-8, 0x1.5cc7f85f8528ap-8, 0x1.5559bf34081d4p-8, 0x1.4e0f158ade3f8p-8, 0x1.46e7700dc4026p-8, 0x1.3fe244d966373p-8, 0x1.38ff0b7d4d81ap-8, 0x1.323d3cfbb2b63p-8, 0x1.2b9c53c940ee5p-8, 0x1.251bcbccc9881p-8, 0x1.1ebb225ee6237p-8, 0x1.1879d6497d58ep-8, 0x1.125767c749f8bp-8, 0x1.0c53588358702p-8, 0x1.066d2b9855bd8p-8, 0x1.00a4658fed4eap-8, 0x1.f5f118c42657dp-9, 0x1.ead24ee85ca8dp-9, 0x1.dfeb7f3099e8ap-9, 0x1.d53bbe1862664p-9, 0x1.cac222f0cb36dp-9, 0x1.c07dc7de54352p-9, 0x1.b66dc9d6c561dp-9, 0x1.ac91489ecb862p-9, 0x1.a2e766c795f75p-9, 0x1.996f49ac1c878p-9, 0x1.9028196e62a67p-9, 0x1.871100f481167p-9, 0x1.7e292de58b998p-9, 0x1.756fd0a64906p-9, 0x1.6ce41c55a7cc5p-9, 0x1.648546c92bbc8p-9, 0x1.5c5288890e1a9p-9, 0x1.544b1ccc29599p-9, 0x1.4c6e4173c78f5p-9, 0x1.44bb370735ccfp-9, 0x1.3d3140af29dddp-9, 0x1.35cfa430f5ebfp-9, 0x1.2e95a9e97ec87p-9, 0x1.27829cc832c38p-9, 0x1.2095ca49958ecp-9, 0x1.19ce8271cddp-9, 0x1.132c17c71b9f4p-9, 0x1.0caddf4be13dfp-9, 0x1.06533078db186p-9, 0x1.001b65370ce7ap-9, 0x1.f40bb3b348419p-10, 0x1.e823da2f749dp-10, 0x1.dc7e000c1bafep-10, 0x1.d118ec214e27cp-10, 0x1.c5f369e8de91dp-10, 0x1.bb0c49716b541p-10, 0x1.b0625f51a3329p-10, 0x1.a5f4849b2ea15p-10, 0x1.9bc196cdfc2b8p-10, 0x1.91c877cb0b5f5p-10, 0x1.88080dc814676p-10, 0x1.7e7f43427eep-10, 0x1.752d06f2e2084p-10, 0x1.6c104bc0ab3b5p-10, 0x1.632808b588bd2p-10, 0x1.5a7338f178e94p-10, 0x1.51f0db9ea6b68p-10, 0x1.499ff3e5b5b28p-10, 0x1.417f88e1fad85p-10, 0x1.398ea59641045p-10, 0x1.31cc58e13e978p-10, 0x1.2a37b572d5c49p-10, 0x1.22cfd1c0ff4b6p-10, 0x1.1b93c7fd4af2dp-10, 0x1.1482b60a64845p-10, 0x1.0d9bbd71a9a9ap-10, 0x1.06de0359678e4p-10, 0x1.0048b07a8eea3p-10, 0x1.f3b5e22e76168p-11, 0x1.e727e9e1ffcc9p-11, 0x1.dae5de7f28f5ap-11, 0x1.ceee2d4eb49fcp-11, 0x1.c33f4a60889bap-11, 0x1.b7d7b079b6dc2p-11, 0x1.acb5e10216794p-11, 0x1.a1d863f2cec3dp-11, 0x1.973dc7c41535cp-11, 0x1.8ce4a15c600f2p-11, 0x1.82cb8bfe14497p-11, 0x1.78f1293602ef6p-11, 0x1.6f5420ca0fa95p-11, 0x1.65f320a73aca8p-11, 0x1.5cccdccfecabp-11, 0x1.53e00f4a0f779p-11, 0x1.4b2b780ccc757p-11, 0x1.42addcee39bc1p-11, 0x1.3a660990f457cp-11, 0x1.3252cf510f0fep-11, 0x1.2a730530c4602p-11, 0x1.22c587c5516e2p-11, 0x1.1b49392340e0dp-11, 0x1.13fd00c98aae2p-11, 0x1.0cdfcb8d9b2b7p-11, 0x1.05f08b863e29dp-11, 0x1.fe5c6fecaa4fdp-12, 0x1.f12f9a6e84284p-12, 0x1.e4589945e59d2p-12, 0x1.d7d578fb7d767p-12, 0x1.cba44fbf3bd76p-12, 0x1.bfc33d3baac1ap-12, 0x1.b4306a6882b0bp-12, 0x1.a8ea095c08024p-12, 0x1.9dee551de0dedp-12, 0x1.933b91795f126p-12, 0x1.88d00ad123c5cp-12, 0x1.7eaa15f1055c4p-12, 0x1.74c80fe34726p-12, 0x1.6b285dc5864fap-12, 0x1.61c96c9e3a89cp-12, 0x1.58a9b135e8722p-12, 0x1.4fc7a7eecfc6ap-12, 0x1.4721d4a0337bbp-12, 0x1.3eb6c2733de6ep-12, 0x1.368503c156a8p-12, 0x1.2e8b31f516b59p-12, 0x1.26c7ed6c33a84p-12, 0x1.1f39dd5dde6f6p-12, 0x1.17dfafc028f92p-12, 0x1.10b81931915a5p-12, 0x1.09c1d4e4c5c3ep-12, 0x1.02fba48bc73e4p-12, 0x1.f8c8a08da86e2p-13, 0x1.ebf54d28d2c34p-13, 0x1.df7af8837bfb4p-13, 0x1.d35758b98ef49p-13, 0x1.c788304c9aa12p-13, 0x1.bc0b4e0a23ab1p-13, 0x1.b0de8cf1458f8p-13, 0x1.a5ffd4180ac41p-13, 0x1.9b6d1690d3456p-13, 0x1.9124534dcca6fp-13, 0x1.8723950268ba5p-13, 0x1.7d68f203c263cp-13, 0x1.73f28c26ad42bp-13, 0x1.6abe909a50d75p-13, 0x1.61cb37c3c0c31p-13, 0x1.5916c5107bc5ap-13, 0x1.509f86ccbdcfap-13, 0x1.4863d5f461916p-13, 0x1.40621601c26e4p-13, 0x1.3898b4bbbe283p-13, 0x1.31062a001ee8fp-13, 0x1.29a8f78d53d9ep-13, 0x1.227fa8cb7afedp-13, 0x1.1b88d294f7c5bp-13, 0x1.14c312fa9aae6p-13, 0x1.0e2d110d13a0ep-13, }}, 
      {{-0x1.470ee9ee0bdfbp-3, -0x1.72acc86d9310ap-3, -0x1.b4d3678155279p-3, -0x1.0363247f4ed84p-2, -0x1.30ff6d84778ecp-2, -0x1.60635917c7258p-2, -0x1.8f3a23bc5e2b7p-2, -0x1.bbb94c3ef6705p-2, -0x1.e49652d140601p-2, -0x1.047afecb1cc96p-1, -0x1.142cc97d1bbabp-1, -0x1.21463d47fde5ap-1, -0x1.2bc9bc79c8744p-1, -0x1.33cf06ea5f3e4p-1, -0x1.397d0712662b6p-1, -0x1.3d04b713b4f37p-1, -0x1.3e9d05b8e2a31p-1, -0x1.3e7f9d748d0b1p-1, -0x1.3ce67199513a8p-1, -0x1.3a09eb3152eb1p-1, -0x1.361fa4c4c98e1p-1, -0x1.315989e462346p-1, -0x1.2be555aed2d4bp-1, -0x1.25ec518d1bd2p-1, -0x1.1f933d939be29p-1, -0x1.18fa6e2a98924p-1, -0x1.123df55f36a72p-1, -0x1.0b75d98a22ae6p-1, -0x1.04b67dca696p-1, -0x1.fc21ab4b2086cp-2, -0x1.ef2574e1ac9f3p-2, -0x1.e28eaa1f8c099p-2, -0x1.d66ed0b61fec8p-2, -0x1.cad312a10f089p-2, -0x1.bfc4d51df472bp-2, -0x1.b54a5d68f99d9p-2, -0x1.ab6749aeca0c6p-2, -0x1.a21ce434d55b9p-2, -0x1.996a782ab981p-2, -0x1.914db2be8d9cap-2, -0x1.89c2fdbeb474fp-2, -0x1.82c5c4a8c64fcp-2, -0x1.7c50a6600a5d1p-2, -0x1.765d9e2f901dbp-2, -0x1.70e62c068199cp-2, -0x1.6be37d5872b33p-2, -0x1.674e92f6a7667p-2, -0x1.63205efec65c4p-2, -0x1.5f51d8fc9e0c5p-2, -0x1.5bdc0aedeb72fp-2, -0x1.58b81bf65a8c4p-2, -0x1.55df5bd90259ep-2, -0x1.534b4ef7a095bp-2, -0x1.50f5b8a82383dp-2, -0x1.4ed87987f4081p-2, -0x1.4cee33149590ap-2, -0x1.4b316bb981634p-2, -0x1.499d040c8f338p-2, -0x1.482c23e65a32cp-2, -0x1.46da3d913c794p-2, -0x1.45a310104b368p-2, -0x1.4482a7a8e0931p-2, -0x1.43755c6391b92p-2, -0x1.4277cec448efp-2, -0x1.4186e35f5382p-2, -0x1.409fbe18396a9p-2, -0x1.3fbfbdbd05112p-2, -0x1.3ee4786abeccp-2, -0x1.3e0bb8d5e6663p-2, -0x1.3d337c4e0603bp-2, -0x1.3c59f12bc250cp-2, -0x1.3b7d754e9707p-2, -0x1.3a9c945d74f57p-2, -0x1.39b6059beea68p-2, -0x1.38c8a94aa8bcap-2, -0x1.37d385aab45f6p-2, -0x1.36d5c3cf57188p-2, -0x1.35ceac6eab94fp-2, -0x1.34bda4db5eecbp-2, -0x1.33a22c46b6414p-2, -0x1.327bd95d872e5p-2, -0x1.314a584529e9fp-2, -0x1.300d68efd1228p-2, -0x1.2ec4ddb4fc292p-2, -0x1.2d709a160acfp-2, -0x1.2c109198ace5ep-2, -0x1.2aa4c6a602db3p-2, -0x1.292d496348a95p-2, -0x1.27aa367e4cdap-2, -0x1.261bb5ed42921p-2, -0x1.2481f9a67d74cp-2, -0x1.22dd3c5878bb3p-2, -0x1.212dc02c9399ep-2, -0x1.1f73cd9e7c74bp-2, -0x1.1dafb2705a01ap-2, -0x1.1be1c0c06a0e4p-2, -0x1.1a0a4e411ab54p-2, -0x1.1829b390faeb7p-2, -0x1.16404bad69ed7p-2, -0x1.144e737a0e1d6p-2, -0x1.125489582431fp-2, -0x1.1052ecca6467cp-2, -0x1.0e49fe239b3ep-2, -0x1.0c3a1e3e3b4c7p-2, -0x1.0a23ae3a3625p-2, -0x1.08070f3d70d57p-2, -0x1.05e4a2332121dp-2, -0x1.03bcc787e8e13p-2, -0x1.018fdee3061ecp-2, -0x1.febc8dbee89p-3, -0x1.fa50cca30b835p-3, -0x1.f5dd0f2b348ep-3, -0x1.f16219df386dep-3, -0x1.ece09c7d0eefcp-3, -0x1.e85942cefc31dp-3, -0x1.e3ccb482b6163p-3, -0x1.df3b950ca4914p-3, -0x1.daa683966a9cap-3, -0x1.d60e1af6885d4p-3, -0x1.d172f1ae025dcp-3, -0x1.ccd599e8dcb3cp-3, -0x1.c836a17efb4c8p-3, -0x1.c39691f41bc4dp-3, -0x1.bef5f076ec502p-3, -0x1.ba553ddfe6dp-3, -0x1.b5b4f6b10b566p-3, -0x1.b115931757bdep-3, -0x1.ac7786ee769a9p-3, -0x1.a7db41c6e5b9ep-3, -0x1.a3412eee5a24ap-3, -0x1.9ea9b57a76bddp-3, -0x1.9a1538559387p-3, -0x1.9584164dbee19p-3, -0x1.90f6aa25dca64p-3, -0x1.8c6d4aa8d33ebp-3, -0x1.87e84abea00cbp-3, -0x1.8367f982f7a49p-3, -0x1.7eeca25d3366p-3, -0x1.7a768d19274d8p-3, -0x1.7605fe00acf82p-3, -0x1.719b35f58cc5cp-3, -0x1.6d36728b991e8p-3, -0x1.68d7ee22b3bb1p-3, -0x1.647fe00091d4dp-3, -0x1.602e7c6a0997cp-3, -0x1.5be3f4bbc929dp-3, -0x1.57a077826bd95p-3, -0x1.53643091f0f75p-3, -0x1.4f2f491c8f16p-3, -0x1.4b01e7c8fe0f3p-3, -0x1.46dc30c82c63cp-3, -0x1.42be45ea58084p-3, -0x1.3ea846b38f067p-3, -0x1.3a9a506f81f3fp-3, -0x1.36947e44b02b3p-3, -0x1.3296e946f22a2p-3, -0x1.2ea1a88985479p-3, -0x1.2ab4d130a6d1bp-3, -0x1.26d07682f0b82p-3, -0x1.22f4a9fa7deb1p-3, -0x1.1f217b55eaa9fp-3, -0x1.1b56f8a932838p-3, -0x1.17952e6e5a715p-3, -0x1.13dc2795db9d3p-3, -0x1.102bed96b712cp-3, -0x1.0c84887e3a46p-3, -0x1.08e5feff53038p-3, -0x1.05505681989bbp-3, -0x1.01c3932ff7d1cp-3, -0x1.fc7f700e30d6cp-4, -0x1.f5898dc6e72ep-4, -0x1.eea5811e640cp-4, -0x1.e7d3499f34a2ap-4, -0x1.e112e4e463ec5p-4, -0x1.da644eb29518dp-4, -0x1.d3c781101ee46p-4, -0x1.cd3c745bd1a42p-4, -0x1.c6c31f6268099p-4, -0x1.c05b7772a9a5p-4, -0x1.ba0570703ba36p-4, -0x1.b3c0fce549ff1p-4, -0x1.ad8e0e132a919p-4, -0x1.a76c94021b723p-4, -0x1.a15c7d904a5f1p-4, -0x1.9b5db8804a22ep-4, -0x1.9570318707e79p-4, -0x1.8f93d4594b05dp-4, -0x1.89c88bb8db75dp-4, -0x1.840e4181396b1p-4, -0x1.7e64deb4029c4p-4, -0x1.78cc4b84df8f7p-4, -0x1.73446f65175bfp-4, -0x1.6dcd310ebdbc9p-4, -0x1.6866768f6f7d7p-4, -0x1.63102552c7d64p-4, -0x1.5dca222c6bb0ep-4, -0x1.58945161d5134p-4, -0x1.536e96b3d25ccp-4, -0x1.4e58d567c3b86p-4, -0x1.4952f0509c374p-4, -0x1.445cc9d7a558bp-4, -0x1.3f764404f9097p-4, -0x1.3a9f4087b89bap-4, -0x1.35d7a0bdf0e37p-4, -0x1.311f45bc23329p-4, -0x1.2c7610547144p-4, -0x1.27dbe11d5971dp-4, -0x1.23509878111aep-4, -0x1.1ed416967304ap-4, -0x1.1a663b807c178p-4, -0x1.1606e7196f441p-4, -0x1.11b5f9249dc0bp-4, -0x1.0d735149d4264p-4, -0x1.093ecf198d251p-4, -0x1.05185210de62ap-4, -0x1.00ffb99d3820cp-4, -0x1.f9e9ca3fe6ecp-5, -0x1.f1ef67e38758p-5, -0x1.ea100acbfa15fp-5, -0x1.e24b719b88252p-5, -0x1.daa15af640bfep-5, -0x1.d3118587d273ep-5, -0x1.cb9b9dc97ca4fp-5, -0x1.c43f865df155bp-5, -0x1.bcfced05e8a98p-5, -0x1.b5d390bf649e5p-5, -0x1.aec330a6f129bp-5, -0x1.a7cb8bfc5ab1ep-5, -0x1.a0ec622750d26p-5, -0x1.9a2572bbecfb1p-5, -0x1.93767d7ef9ba9p-5, -0x1.8cdf426a20b2dp-5, -0x1.865f81afe9c2bp-5, -0x1.7ff6fbbf90aaap-5, -0x1.79a571489f95bp-5, -0x1.736aa33e6c6e2p-5, -0x1.6d4652db5f4efp-5, -0x1.673841a4015e3p-5, -0x1.61403169eaee5p-5, -0x1.5b5de44e740d4p-5, -0x1.55911cc54189ep-5, -0x1.4fd99d9693b2ep-5, -0x1.4a3729e176d39p-5, -0x1.44a9851dbc731p-5, -0x1.3f30731dcb0f7p-5, -0x1.39cbb81057addp-5, -0x1.347b1881d4d3bp-5, -0x1.2f3e595ddf094p-5, -0x1.2a153ff08d908p-5, -0x1.24ff91e77f344p-5, -0x1.1ffd1552f9bcbp-5, -0x1.1b0d90a6d66p-5, -0x1.1630cabb6dd8cp-5, -0x1.11668ace560a6p-5, -0x1.0cae988329262p-5, -0x1.0808bbe43867cp-5, -0x1.0374bd6321f7dp-5, -0x1.fde4cbb2e2b9dp-6, -0x1.f502fd1243543p-6, -0x1.ec43a23a4718ap-6, -0x1.e3a64f53b464p-6, -0x1.db2a995b0795p-6, -0x1.d2d01621521d9p-6, -0x1.ca965c4d05e0dp-6, -0x1.c27d035ab76a5p-6, -0x1.ba83a39dc6d13p-6, -0x1.b2a9d6410e3b5p-6, -0x1.aaef354785d36p-6, -0x1.a3535b8cd4bep-6, -0x1.9bd5e4c5e42c4p-6, -0x1.94766d814f3e5p-6, -0x1.8d349327e0f97p-6, -0x1.860ff3fd03767p-6, -0x1.7f082f1efbb23p-6, -0x1.781ce48749f54p-6, -0x1.714db50ade9a8p-6, -0x1.6a9a425a31fc6p-6, -0x1.64022f0165876p-6, -0x1.5d851e6845226p-6, -0x1.5722b4d245c68p-6, -0x1.50da975e4e9bap-6, -0x1.4aac6c069a025p-6, -0x1.4497d9a072bap-6, -0x1.3e9c87dbdbeb1p-6, -0x1.38ba1f4340ee3p-6, -0x1.32f0493af53a8p-6, -0x1.2d3eb000c0fdcp-6, -0x1.27a4feab5b69p-6, -0x1.2222e129d582p-6, -0x1.1cb80442f35d4p-6, -0x1.17641594936aap-6, -0x1.1226c392ea214p-6, -0x1.0cffbd87c8397p-6, -0x1.07eeb391e24f2p-6, -0x1.02f356a3f4a08p-6, -0x1.fc1ab107faa3bp-7, -0x1.f278d7949ffa1p-7, -0x1.e90087c179ea4p-7, -0x1.dfb12a03413a8p-7, -0x1.d68a286df662p-7, -0x1.cd8aeeb2dfd7cp-7, -0x1.c4b2ea1eb4029p-7, -0x1.bc01899763752p-7, -0x1.b3763d9a44461p-7, -0x1.ab107839ccd14p-7, -0x1.a2cfad1b909e2p-7, -0x1.9ab351761ce7ep-7, -0x1.92badc0eb35e9p-7, -0x1.8ae5c5373bcbp-7, -0x1.833386cbe6e38p-7, -0x1.7ba39c3100f96p-7, -0x1.74358250ae22bp-7, -0x1.6ce8b79892af1p-7, -0x1.65bcbbf7a305cp-7, -0x1.5eb110dbb42d5p-7, -0x1.57c5392f1ea08p-7, -0x1.50f8b956790ecp-7, -0x1.4a4b172e2e861p-7, -0x1.43bbda080c72fp-7, -0x1.3d4a8aa8dcbaap-7, -0x1.36f6b345f0a27p-7, -0x1.30bfdf82a615ep-7, -0x1.2aa59c6dfb23dp-7, -0x1.24a7787fe0bdfp-7, -0x1.1ec50396dae0dp-7, -0x1.18fdcef559849p-7, -0x1.13516d3f2391dp-7, -0x1.0dbf7276c873cp-7, -0x1.084773fae8fddp-7, -0x1.02e90883a3c8dp-7, -0x1.fb47903f88f6ep-8, -0x1.f0ee9864c7e3dp-8, -0x1.e6c65edfa8394p-8, -0x1.dcce1bb63ba1cp-8, -0x1.d30509866e7d8p-8, -0x1.c96a658092ec7p-8, -0x1.bffd6f61c037cp-8, -0x1.b6bd696e7d621p-8, -0x1.ada9986cf5805p-8, -0x1.a4c1439f9fc18p-8, -0x1.9c03b4bf8462bp-8, -0x1.937037f6b68d9p-8, -0x1.8b061bdabc337p-8, -0x1.82c4b1670c6cdp-8, -0x1.7aab4bf74029p-8, -0x1.72b94141ab4b5p-8, -0x1.6aede951a9c87p-8, -0x1.63489e82178c9p-8, -0x1.5bc8bd779ba0cp-8, -0x1.546da51b313c8p-8, -0x1.4d36b6946a31p-8, -0x1.46235543febc9p-8, -0x1.3f32e6be00c25p-8, -0x1.3864d2c498ef3p-8, -0x1.31b883422b06bp-8, -0x1.2b2d6443df84cp-8, -0x1.24c2e3f41f2cfp-8, -0x1.1e787294fc059p-8, -0x1.184d827aa2c48p-8, -0x1.12418805fcee3p-8, -0x1.0c53f99ef4f14p-8, -0x1.06844faf37cbcp-8, -0x1.00d2049c6c7c7p-8, -0x1.f679298624bb6p-9, -0x1.eb86fce1b42b4p-9, -0x1.e0cc83bee58b9p-9, -0x1.d648c25dbd841p-9, -0x1.cbfac0c087b22p-9, -0x1.c1e18aa10f13dp-9, -0x1.b7fc2f65eab7cp-9, -0x1.ae49c21804f83p-9, -0x1.a4c95957a91ddp-9, -0x1.9b7a0f52c731ep-9, -0x1.925b01b9b09p-9, -0x1.896b51b51e5bep-9, -0x1.80aa23dbc5af3p-9, -0x1.7816a02805ad5p-9, -0x1.6faff1edb87d9p-9, -0x1.677547cff6c33p-9, -0x1.5f65d3b6f7cb2p-9, -0x1.5780cac618012p-9, -0x1.4fc565519fc8dp-9, -0x1.4832ded5059edp-9, -0x1.40c875e91775fp-9, -0x1.39856c39ec57fp-9, -0x1.3269067d30198p-9, -0x1.2b728c687ff17p-9, -0x1.24a148a7b23b2p-9, -0x1.1df488d357a5bp-9, -0x1.176b9d672fffap-9, -0x1.1105d9b8a4143p-9, -0x1.0ac293ed39e73p-9, -0x1.04a124f1bc85dp-9, -0x1.fd41d0e109d3ap-10, -0x1.f1827990ef22bp-10, -0x1.e6030607c0a09p-10, -0x1.dac23d9ebbc92p-10, -0x1.cfbeece1f1c7p-10, -0x1.c4f7e57e2c1fp-10, -0x1.ba6bfe2f76dd8p-10, -0x1.b01a12af7398bp-10, -0x1.a60103a402042p-10, -0x1.9c1fb68e2c121p-10, -0x1.927515b864b1bp-10, -0x1.890010263c596p-10, -0x1.7fbf9983670d6p-10, -0x1.76b2aa12cda93p-10, -0x1.6dd83e9e31864p-10, -0x1.652f5865ed69p-10, -0x1.5cb6fd108a84fp-10, -0x1.546e369aa2105p-10, -0x1.4c5413473e11bp-10, -0x1.4467a58fb1f21p-10, -0x1.3ca8041470622p-10, -0x1.3514498cfcb18p-10, -0x1.2dab94b91766p-10, -0x1.266d0851737a8p-10, -0x1.1f57caf8e5373p-10, -0x1.186b072d1f519p-10, -0x1.11a5eb38621f3p-10, -0x1.0b07a922de37bp-10, -0x1.048f76a42ed91p-10, -0x1.fc791a2aa9128p-11, -0x1.f01c52c526b09p-11, -0x1.e40717fb1f77ep-11, -0x1.d837f19f57deap-11, -0x1.ccad6e58006dap-11, -0x1.c166238541b88p-11, -0x1.b660ad2535e78p-11, -0x1.ab9badbb385dcp-11, -0x1.a115ce34a078p-11, -0x1.96cdbdcfe1023p-11, -0x1.8cc23202cc93ap-11, -0x1.82f1e661e9b5cp-11, -0x1.795b9c87fcdc9p-11, -0x1.6ffe1bfcc77bcp-11, -0x1.66d8321db5d44p-11, -0x1.5de8b205a5f2bp-11, -0x1.552e7475af624p-11, -0x1.4ca857bdf2144p-11, -0x1.44553fa66f304p-11, -0x1.3c341558da7d3p-11, -0x1.3443c74944217p-11, -0x1.2c8349217adep-11, -0x1.24f193aa8859cp-11, -0x1.1d8da4b723fecp-11, -0x1.16562f95d055cp-11, -0x1.0f4adb703e798p-11, -0x1.086a64bf575b7p-11, -0x1.01b3dcab12705p-11, -0x1.f64cb1faf847bp-12, -0x1.e981e81fc6e4bp-12, -0x1.dd05996e3aa38p-12, -0x1.d0d60c604541ep-12, -0x1.c4f1901a2b57ap-12, -0x1.b9567c44d5a11p-12, -0x1.ae0330e998fc4p-12, -0x1.a2f6164c337b1p-12, -0x1.982d9cc85649cp-12, -0x1.8da83caca1355p-12, -0x1.8364761a393ccp-12, -0x1.7960d0deee9f7p-12, -0x1.6f9bdc558de17p-12, -0x1.66142f42ed64bp-12, -0x1.5cc867b66f848p-12, -0x1.53b72ae72c8e4p-12, -0x1.4adf2515e1a77p-12, -0x1.423f096cb467ep-12, -0x1.39d591ded43a9p-12, -0x1.31a17f0b16a6fp-12, -0x1.29a1981c452dfp-12, -0x1.21d4aaad3213fp-12, -0x1.1a398aa8df0f6p-12, -0x1.12cf122e9b145p-12, -0x1.0b94217582f2cp-12, -0x1.04879eb07f9bep-12, -0x1.fb50ebe1b839ep-13, -0x1.edeb321a69cap-13, -0x1.e0dbff085f0dep-13, -0x1.d4214cc91640dp-13, -0x1.c7b920606543cp-13, -0x1.bba189881d37cp-13, -0x1.afd8a27c454cap-13, -0x1.a45c8fca67e3ep-13, -0x1.992b801ce8969p-13, -0x1.8e43ac0e56dep-13, -0x1.83a355f8dabdp-13, -0x1.7948c9c52a83bp-13, -0x1.6f325cbdfb315p-13, -0x1.655e6d623849bp-13, -0x1.5bcb633851fc4p-13, -0x1.5277aea1c88cp-13, -0x1.4961c8af86e0dp-13, -0x1.408832f87827dp-13, -0x1.37e9776e001e7p-13, -0x1.2f8428335ef64p-13, -0x1.2756df75d6e0ep-13, -0x1.1f603f43716cep-13, -0x1.179ef164cb817p-13, -0x1.1011a735a44cbp-13, -0x1.08b7197f7a365p-13, -0x1.018e0853d15b6p-13, -0x1.f52a75d08398fp-14, -0x1.e796fee298b35p-14, -0x1.da5f55fdbf6c1p-14, -0x1.cd8132b85df9ap-14, -0x1.c0fa59d60afa5p-14, -0x1.b4c89d02bd2c6p-14, -0x1.a8e9da953aa21p-14, -0x1.9d5bfd4a38154p-14, -0x1.921cfc083ece4p-14, -0x1.872ad9a076205p-14, -0x1.7c83a48bc8d53p-14, -0x1.722576b672533p-14, -0x1.680e753ef2a4fp-14, -0x1.5e3cd03e1547fp-14, -0x1.54aec28c814cp-14, -0x1.4b62918b13e66p-14, -0x1.42568cea41e0bp-14, -0x1.39890e7852bc5p-14, -0x1.30f879e567625p-14, -0x1.28a33c93bbbaep-14, -0x1.2087cd5f7bc38p-14, -0x1.18a4ac74304ebp-14, -0x1.10f86313d6c59p-14, -0x1.09818369dd581p-14, -0x1.023ea85771127p-14, -0x1.f65cea93de32dp-15, -0x1.e89f2c12aa3fep-15, -0x1.db417d13455e2p-15, -0x1.ce41558703512p-15, -0x1.c19c3d06de683p-15, -0x1.b54fca7f8a148p-15, -0x1.a959a3e15a905p-15, -0x1.9db77dcab35c5p-15, -0x1.92671b3674995p-15, -0x1.87664d2cd01cap-15, -0x1.7cb2f27717cf2p-15, -0x1.724af74ece3cp-15, -0x1.682c551583a59p-15, -0x1.5e55120a4934bp-15, -0x1.54c34101356b9p-15, -0x1.4b7501165eab5p-15, -0x1.42687d7701568p-15, -0x1.399bed0a3c29bp-15, -0x1.310d92399fc48p-15, -0x1.28bbbaabb9bb1p-15, -0x1.20a4bf03a9d89p-15, -0x1.18c702a182f17p-15, -0x1.1120f364173dcp-15, -0x1.09b1096b7de3cp-15, -0x1.0275c6dfdb197p-15, -0x1.f6db6f5ec8cep-16, -0x1.e92ee2c1072cbp-16, -0x1.dbe3259bf6d43p-16, -0x1.cef587efaad9bp-16, -0x1.c2636b85ee66ap-16, -0x1.b62a43ac09a1dp-16, -0x1.aa4794aa30c82p-16, -0x1.9eb8f3694006p-16, -0x1.937c050ec4367p-16, -0x1.888e7e9c3b403p-16, -0x1.7dee24941eac1p-16, -0x1.7398ca9160a96p-16, -0x1.698c52f5cd82fp-16, -0x1.5fc6ae8bf4eeap-16, -0x1.5645dc301b5b3p-16, -0x1.4d07e87cba0e3p-16, -0x1.440aed732a8cep-16, -0x1.3b4d1231cfbep-16, -0x1.32cc8a9735c9fp-16, -0x1.2a8796f613465p-16, -0x1.227c83d8884dp-16, -0x1.1aa9a99d097d5p-16, -0x1.130d6c3d63349p-16, -0x1.0ba63afa788e2p-16, -0x1.047290256dd8ep-16, -0x1.fae1e18a97e2cp-17, -0x1.ed3fd8d4c9234p-17, -0x1.dffc39a7ff82ep-17, -0x1.d3144b89e1e84p-17, -0x1.c68569736381bp-17, -0x1.ba4d013e617f5p-17, -0x1.ae689362a27c1p-17, -0x1.a2d5b24989281p-17, -0x1.979201f6c4046p-17, -0x1.8c9b377b4b6a1p-17, -0x1.81ef189711ec3p-17, -0x1.778b7b725b015p-17, -0x1.6d6e45d8df5f7p-17, -0x1.63956d0b0da8cp-17, -0x1.59fef551b203p-17, -0x1.50a8f197af3eap-17, -0x1.479182ff7a152p-17, -0x1.3eb6d87f965a3p-17, -0x1.36172e92a6e9dp-17, -0x1.2db0cecc9f67ap-17, -0x1.25820f9c364fp-17, -0x1.1d8953ca7b8e5p-17, -0x1.15c50a3adefcdp-17, }}, 
      {{-0x1.0c83127e6458fp-5, -0x1.f3321ae1733f1p-4, -0x1.fa50b58d1e51ap-3, -0x1.8c76748c70867p-2, -0x1.0bc02f753128dp-1, -0x1.47dc0c0ddc073p-1, -0x1.75b24d46420fap-1, -0x1.928b73f861d11p-1, -0x1.9d6d23a84753fp-1, -0x1.96adf37637bc5p-1, -0x1.7f9315a58afefp-1, -0x1.59fd56d873cc5p-1, -0x1.2826abdd4e804p-1, -0x1.d8dd6e4800f0ep-2, -0x1.5269c29bb56bcp-2, -0x1.82f43d9c1088ep-3, -0x1.51d8a050d4c85p-5, 0x1.be5efab996ebdp-4, 0x1.08be6eb220b48p-2, 0x1.9e77c1dc5f6a3p-2, 0x1.173ef95e6033cp-1, 0x1.5b8003c1c451cp-1, 0x1.9b4bfadd5d665p-1, 0x1.d62017bc90442p-1, 0x1.05d1ffda490d1p+0, 0x1.1dd1c6111ef3dp+0, 0x1.3304dfa3b08c8p+0, 0x1.456dc1750736ap+0, 0x1.55195413008b1p+0, 0x1.621d1dfd2fa61p+0, 0x1.6c9569cda0341p+0, 0x1.74a35d9f7333dp+0, 0x1.7a6b8452f1fdap+0, 0x1.7e14cd26de1bdp+0, 0x1.7fc79849a93c8p+0, 0x1.7facb87cf4c39p+0, 0x1.7deca7e01c0bfp+0, 0x1.7aaf0e9f31701p+0, 0x1.761a76fb16debp+0, 0x1.7054027bb03ep+0, 0x1.697f1b6b37d3dp+0, 0x1.61bd38b3b28e1p+0, 0x1.592dc377951acp+0, 0x1.4fee188048edbp+0, 0x1.4619939b315fep+0, 0x1.3bc997300f9e8p+0, 0x1.31158eafb98fap+0, 0x1.2612f36418552p+0, 0x1.1ad55aed30274p+0, 0x1.0f6e901247d39p+0, 0x1.03eeb0a777c44p+0, 0x1.f0c89532bc57ap-1, 0x1.d9b8ead9a2eafp-1, 0x1.c2c5d16b98e34p-1, 0x1.ac045bc68e817p-1, 0x1.9586c93e79158p-1, 0x1.7f5d07f0fa616p-1, 0x1.6995247722563p-1, 0x1.543b51b3691d2p-1, 0x1.3f5a0c7e0427p-1, 0x1.2afa39e2c2803p-1, 0x1.172342ba69111p-1, 0x1.03db2f21de191p-1, 0x1.e24d8686a2d13p-2, 0x1.be133b33e8721p-2, 0x1.9b0cab9cc4631p-2, 0x1.793d3585bb11dp-2, 0x1.58a69cd194e9bp-2, 0x1.39493cc972c7ap-2, 0x1.1b2432525c233p-2, 0x1.fc6aff3fdfab9p-3, 0x1.c4f4559391d6bp-3, 0x1.8fdcb1cf9074ap-3, 0x1.5d1ace2ef0baap-3, 0x1.2ca4049d91f89p-3, 0x1.fcd8f9aabd0d4p-4, 0x1.a4ceb26b14f97p-4, 0x1.510dc47ab9ad8p-4, 0x1.017960a11e0b7p-4, 0x1.6be74c9c4cdaep-5, 0x1.b977b0ad496d1p-6, 0x1.54c8059e80814p-7, -0x1.57a9e57e6b2a8p-8, -0x1.47f257a938a5dp-6, -0x1.161910b355b6ap-5, -0x1.8193eea8fea7dp-5, -0x1.e6a85696c6473p-5, -0x1.22ca1e9584255p-4, -0x1.4f4a6af796155p-4, -0x1.78f338b7c4c9ap-4, -0x1.9fe22ee0906c1p-4, -0x1.c43464a650e88p-4, -0x1.e606540b3c9cdp-4, -0x1.02b9e6f40a2f1p-3, -0x1.114bf7bdaab63p-3, -0x1.1ec68ccc94fd5p-3, -0x1.2b3674c7eb008p-3, -0x1.36a819e6d76e2p-3, -0x1.41278026cd765p-3, -0x1.4ac044616bbbbp-3, -0x1.537d9c36492b9p-3, -0x1.5b6a56b2ba8ddp-3, -0x1.6290dd9735858p-3, -0x1.68fb371196feap-3, -0x1.6eb307c01f05fp-3, -0x1.73c194d43c0c9p-3, -0x1.782fc63656236p-3, -0x1.7c06289a277d2p-3, -0x1.7f4cef82409cep-3, -0x1.820bf73cceb95p-3, -0x1.844c6bc554afdp-3, -0x1.86135d9c68874p-3, -0x1.8767e452c2a89p-3, -0x1.885094df973ap-3, -0x1.88d3bbd1ca594p-3, -0x1.88f75f72de8eep-3, -0x1.88c141d657285p-3, -0x1.8836e2dc3f129p-3, -0x1.875d822bda327p-3, -0x1.863a212a32cf1p-3, -0x1.84d184ef4ff03p-3, -0x1.8328383cb130dp-3, -0x1.81428d7785d3cp-3, -0x1.7f24a0a8a9961p-3, -0x1.7cd25983c0fp-3, -0x1.7a4f6d7592abdp-3, -0x1.779f61b854177p-3, -0x1.74c58d6b6bdb6p-3, -0x1.71c51bab11a27p-3, -0x1.6ea10da3a07c4p-3, -0x1.6b5c3c9c2b85ap-3, -0x1.67f95bf40a35cp-3, -0x1.647afb0f2dd2fp-3, -0x1.60e3872da8df7p-3, -0x1.5d354d2b2f69dp-3, -0x1.59727b2431544p-3, -0x1.559d21fedeae2p-3, -0x1.51b736d780984p-3, -0x1.4dc294507c057p-3, -0x1.49c0fbc777b25p-3, -0x1.45b41671eba0bp-3, -0x1.419d76642c76cp-3, -0x1.3d7e978683c8fp-3, -0x1.3958e07c027f1p-3, -0x1.352da37ec34ddp-3, -0x1.30fe1f34e54bcp-3, -0x1.2ccb7f810f08ap-3, -0x1.2896de50811e9p-3, -0x1.24614468067e6p-3, -0x1.202baa30411fbp-3, -0x1.1bf6f8811d6e7p-3, -0x1.17c4096b916e3p-3, -0x1.1393a9006a0bp-3, -0x1.0f669612a551cp-3, -0x1.0b3d82f3b8a16p-3, -0x1.0719162845142p-3, -0x1.02f9eb13e4d84p-3, -0x1.fdc125360353cp-4, -0x1.f59b2774236acp-4, -0x1.ed82d823bd0a4p-4, -0x1.e57920d1d9b41p-4, -0x1.dd7eda44d6eedp-4, -0x1.d594cd56aa92dp-4, -0x1.cdbbb3bd9a0c6p-4, -0x1.c5f438c56d4c4p-4, -0x1.be3ef9fbbd6dcp-4, -0x1.b69c87d19588dp-4, -0x1.af0d6634e7ce8p-4, -0x1.a7920d2395c6ap-4, -0x1.a02ae939f2fccp-4, -0x1.98d85c3dce912p-4, -0x1.919abda6e8e7ap-4, -0x1.8a725b252a402p-4, -0x1.835f7924b76c1p-4, -0x1.7c62534f9d8ecp-4, -0x1.757b1d0cb1561p-4, -0x1.6eaa01fb151bfp-4, -0x1.67ef2669d635fp-4, -0x1.614aa7cb118b7p-4, -0x1.5abc9d2221233p-4, -0x1.5445176c6c445p-4, -0x1.4de422048c96dp-4, -0x1.4799c2ff9d834p-4, -0x1.4165fb84a3b32p-4, -0x1.3b48c81e1bd2ep-4, -0x1.35422105d777p-4, -0x1.2f51fa6b671e1p-4, -0x1.297844b562c49p-4, -0x1.23b4ecbdf4421p-4, -0x1.1e07dc0b0fa12p-4, -0x1.1870f902cc526p-4, -0x1.12f0271c5437dp-4, -0x1.0d85470ddcfdbp-4, -0x1.083036f814f5ap-4, -0x1.02f0d28f6650bp-4, -0x1.fb8de686ce8ebp-5, -0x1.f164e0c97a0cp-5, -0x1.e7663e9351eb2p-5, -0x1.dd91a6e2d4239p-5, -0x1.d3e6bd4d179eep-5, -0x1.ca65224063667p-5, -0x1.c10c7344c36c9p-5, -0x1.b7dc4b3a90bbdp-5, -0x1.aed44296d9b39p-5, -0x1.a5f3ef9d8c0e5p-5, -0x1.9d3ae6993e924p-5, -0x1.94a8ba1083e62p-5, -0x1.8c3cfaf8a51efp-5, -0x1.83f738e5b4899p-5, -0x1.7bd70237ef323p-5, -0x1.73dbe44666791p-5, -0x1.6c056b86feb96p-5, -0x1.645323b3cb743p-5, -0x1.5cc497ede2aebp-5, -0x1.555952ddc8968p-5, -0x1.4e10ded18a4aap-5, -0x1.46eac5d8bb275p-5, -0x1.3fe691de6e451p-5, -0x1.3903ccc160fp-5, -0x1.3242006a745b9p-5, -0x1.2ba0b6e1a44e8p-5, -0x1.251f7a619b805p-5, -0x1.1ebe065769475p-5, -0x1.187b780a1dadep-5, -0x1.125796e9138e6p-5, -0x1.0c51eefa21cc9p-5, -0x1.066a0cc2d8d68p-5, -0x1.009f7d546dd4fp-5, -0x1.f5e39cae64346p-6, -0x1.eac11c2b490efp-6, -0x1.dfd6970e58ca8p-6, -0x1.d5232cb4f88a7p-6, -0x1.caa5fdff4ef9p-6, -0x1.c05e2d63c0b7fp-6, -0x1.b64adf01c8279p-6, -0x1.ac6b38b411ff8p-6, -0x1.a2be6221e0d5ap-6, -0x1.994384cf97e84p-6, -0x1.8ff9cc2e70b17p-6, -0x1.86e065ab4841ep-6, -0x1.7df680bc6e94bp-6, -0x1.753b4eee831dp-6, -0x1.6cae03f03d7bp-6, -0x1.644dd59d31d44p-6, -0x1.5c19fc0784d7bp-6, -0x1.5411b1808a816p-6, -0x1.4c3432a05b939p-6, -0x1.4480be4c632e2p-6, -0x1.3cf695bce537cp-6, -0x1.3594fc819099cp-6, -0x1.2e5b38852456ap-6, -0x1.274892102bb55p-6, -0x1.205c53caef0f5p-6, -0x1.1995cabe988cp-6, -0x1.12f44655a83ccp-6, -0x1.0c77185bb9b4fp-6, -0x1.061d94fcb9604p-6, -0x1.ffce25871e727p-7, -0x1.f3a5d530a254dp-7, -0x1.e7c0ef7c138c5p-7, -0x1.dc1e2fa04b3f7p-7, -0x1.d0bc557f18669p-7, -0x1.c59a259ef2f1cp-7, -0x1.bab669243a1eep-7, -0x1.b00fedca0238cp-7, -0x1.a5a585daacdb4p-7, -0x1.9b760828201b6p-7, -0x1.91805003d6479p-7, -0x1.87c33d36bafd7p-7, -0x1.7e3db3f8d6fdbp-7, -0x1.74ee9ce8de716p-7, -0x1.6bd4e5039c00fp-7, -0x1.62ef7d9b3319cp-7, -0x1.5a3d5c4e5421ep-7, -0x1.51bd7aff3e009p-7, -0x1.496ed7caabf36p-7, -0x1.415074fe9f7f8p-7, -0x1.396159110637ep-7, -0x1.31a08e9639a7dp-7, -0x1.2a0d24375e062p-7, -0x1.22a62ca89818ap-7, -0x1.1b6abe9f1b8b5p-7, -0x1.1459f4c712b75p-7, -0x1.0d72edb95cc1dp-7, -0x1.06b4cbf1264b1p-7, -0x1.001eb5c15971p-7, -0x1.f35faa93cfecap-8, -0x1.e6ceb0d9e504bp-8, -0x1.da88e187988aep-8, -0x1.ce8ca727bb5ep-8, -0x1.c2d87386d5b28p-8, -0x1.b76abf9c7b0f6p-8, -0x1.ac420b746d082p-8, -0x1.a15cde1796d75p-8, -0x1.96b9c574e190ap-8, -0x1.8c575649ecbdcp-8, -0x1.82342c0bb0be3p-8, -0x1.784ee8cf0f6bfp-8, -0x1.6ea635315cde1p-8, -0x1.6538c040e7538p-8, -0x1.5c053f657e8dbp-8, -0x1.530a6e490985cp-8, -0x1.4a470ec029151p-8, -0x1.41b9e8b2f241bp-8, -0x1.3961ca05bf587p-8, -0x1.313d86822555cp-8, -0x1.294bf7c006dcdp-8, -0x1.218bfd0ed317ap-8, -0x1.19fc7b5eed1f8p-8, -0x1.129c5d2b406e8p-8, -0x1.0b6a926306934p-8, -0x1.04661053be6ebp-8, -0x1.fb1ba326af09p-9, -0x1.edc1abd5246d3p-9, -0x1.e0bc447f2dc6dp-9, -0x1.d409810188efbp-9, -0x1.c7a77f1f69889p-9, -0x1.bb946658f7dacp-9, -0x1.afce67c23b403p-9, -0x1.a453bdda74927p-9, -0x1.9922ac63ee416p-9, -0x1.8e39803c38805p-9, -0x1.83968f34d1897p-9, -0x1.793837ec47797p-9, -0x1.6f1ce1a7bc1fdp-9, -0x1.6542fc2ce1d7ep-9, -0x1.5ba8ff9c5e463p-9, -0x1.524d6c4c9f5ddp-9, -0x1.492ecaa51acbp-9, -0x1.404baaf9fbb51p-9, -0x1.37a2a5683ae4fp-9, -0x1.2f3259b225d3bp-9, -0x1.26f96f1c501ddp-9, -0x1.1ef6944af3ddap-9, -0x1.17287f1fbabb5p-9, -0x1.0f8dec97f5e33p-9, -0x1.0825a0ab44e2dp-9, -0x1.00ee662aa38b6p-9, -0x1.f3ce1d3fd1f67p-10, -0x1.e61ce45b67ba8p-10, -0x1.d8c6dedf821d9p-10, -0x1.cbc9d6b765b7cp-10, -0x1.bf23a24483033p-10, -0x1.b2d22421bd0fp-10, -0x1.a6d34ae77f5d1p-10, -0x1.9b2510f0b60dbp-10, -0x1.8fc57c20a0786p-10, -0x1.84b29da9764f7p-10, -0x1.79ea91d3f1525p-10, -0x1.6f6b7fc7a74afp-10, -0x1.6533995440b79p-10, -0x1.5b411abb86812p-10, -0x1.51924a7c411c5p-10, -0x1.4825791dfc398p-10, -0x1.3ef900fd88bb5p-10, -0x1.360b461a657c9p-10, -0x1.2d5ab5e4f19fdp-10, -0x1.24e5c70d6aa7ep-10, -0x1.1caaf953c4fdcp-10, -0x1.14a8d558461dbp-10, -0x1.0cddec6cef0f2p-10, -0x1.0548d867b439ap-10, -0x1.fbd076eae5a85p-11, -0x1.ed757fdb6b701p-11, -0x1.df7e304e6fd5dp-11, -0x1.d1e7fc9a55e8p-11, -0x1.c4b0686a77637p-11, -0x1.b7d5066ca8acbp-11, -0x1.ab5378003342p-11, -0x1.9f296ce641ecdp-11, -0x1.9354a2f3b910ap-11, -0x1.87d2e5c476d03p-11, -0x1.7ca20e6ff88f7p-11, -0x1.71c0033f5e62fp-11, -0x1.672ab764c9803p-11, -0x1.5ce02ab40fd4p-11, -0x1.52de695cc1d08p-11, -0x1.49238ba57c5ffp-11, -0x1.3fadb5a882ed5p-11, -0x1.367b17119b6f2p-11, -0x1.2d89eadd2b8d5p-11, -0x1.24d877188da6dp-11, -0x1.1c650ca39c243p-11, -0x1.142e06f36de77p-11, -0x1.0c31cbd63ee75p-11, -0x1.046ecb387edf6p-11, -0x1.f9c6fdd60ca0ap-12, -0x1.eb1cd4d4ce733p-12, -0x1.dcdc354eb4752p-12, -0x1.cf024ba07ffe4p-12, -0x1.c18c563769e2dp-12, -0x1.b477a528606a7p-12, -0x1.a7c199c95e8ebp-12, -0x1.9b67a64cc1087p-12, -0x1.8f674d5ea3fabp-12, -0x1.83be21c4356aap-12, -0x1.7869c5fcf54f9p-12, -0x1.6d67ebe5ddd3dp-12, -0x1.62b6545e6ed1dp-12, -0x1.5852ceef87631p-12, -0x1.4e3b3974159c7p-12, -0x1.446d7fc38ae66p-12, -0x1.3ae79b5e0ffe1p-12, -0x1.31a7931a6dcfep-12, -0x1.28ab7ad5ac84ep-12, -0x1.1ff1732455666p-12, -0x1.1777a9055a4a7p-12, -0x1.0f3c5596957afp-12, -0x1.073dbdcadd21fp-12, -0x1.fef4644347dbep-13, -0x1.efe01cc03cbe9p-13, -0x1.e13b7297d7affp-13, -0x1.d30348ce5ab9cp-13, -0x1.c534975c364a2p-13, -0x1.b7cc6aabfa172p-13, -0x1.aac7e31b16954p-13, -0x1.9e24347d5de4dp-13, -0x1.91dea5a335cbfp-13, -0x1.85f48fe26fee6p-13, -0x1.7a635ea1bd74fp-13, -0x1.6f288ee6ab38fp-13, -0x1.6441aee62cc2cp-13, -0x1.59ac5d979694ep-13, -0x1.4f664a4a05f59p-13, -0x1.456d343c2f03dp-13, -0x1.3bbeea3677dd8p-13, -0x1.32594a276d74dp-13, -0x1.293a40c268a44p-13, -0x1.205fc92077539p-13, -0x1.17c7ec6368592p-13, -0x1.0f70c15afdb21p-13, -0x1.07586c2c330e2p-13, -0x1.fefa3bf51d8c4p-14, -0x1.efba2926efac4p-14, -0x1.e0ed34370a4ap-14, -0x1.d290097b712e9p-14, -0x1.c49f6cb939d65p-14, -0x1.b718388a8aeep-14, -0x1.a9f75dc825efdp-14, -0x1.9d39e2f69e8b3p-14, -0x1.90dce3b6f2617p-14, -0x1.84dd903a9de9cp-14, -0x1.79392cbafb253p-14, -0x1.6ded10f3f4c3fp-14, -0x1.62f6a7a1e870fp-14, -0x1.58536e02a0d96p-14, -0x1.4e002e1293228p-14, -0x1.43fc175228864p-14, -0x1.3a44127a68885p-14, -0x1.30d5e209d80fbp-14, -0x1.27af58b2f936fp-14, -0x1.1ece58eeda0b5p-14, -0x1.1630d4923758p-14, -0x1.0dd4cc654edf1p-14, -0x1.05b84fbe3d55dp-14, -0x1.fbb2f83bbd8aap-15, -0x1.ec6cf99e3aa1fp-15, -0x1.dd9b151166dbep-15, -0x1.cf39d6226622ep-15, -0x1.c145e1cac193ep-15, -0x1.b3bbf5c19e3f7p-15, -0x1.a698e7d140998p-15, -0x1.99d9a530d72f7p-15, -0x1.8d7b31e2811d3p-15, -0x1.817aa8154550ep-15, -0x1.75d5378b20713p-15, -0x1.6a882502e5aadp-15, -0x1.5f90c9a5e3fcp-15, -0x1.54ec92794022bp-15, -0x1.4a98ffd2e2094p-15, -0x1.4093a4d1e7ffcp-15, -0x1.36da26da81db2p-15, -0x1.2d6a3d152cc54p-15, -0x1.2441aff110549p-15, -0x1.1b5e58a9b0cd5p-15, -0x1.12be20cf976ebp-15, -0x1.0a5f01d40bd0dp-15, -0x1.023f0497b7c79p-15, -0x1.f4b881f86b925p-16, -0x1.e569baf09ef6fp-16, -0x1.d68e1d5e2e8edp-16, -0x1.c8222e131e4p-16, -0x1.ba228ca5f2a03p-16, -0x1.ac8bf2af62283p-16, -0x1.9f5b330cd807fp-16, -0x1.928d392814fc2p-16, -0x1.861f0843388fep-16, -0x1.7a0dbac9a8f72p-16, -0x1.6e5681a5629cap-16, -0x1.62f6a398c21f8p-16, -0x1.57eb7c9c98796p-16, -0x1.4d327d4278014p-16, -0x1.42c92a1b4a269p-16, -0x1.38ad1b21ba97fp-16, -0x1.2edbfb28c9446p-16, -0x1.2553874e2c049p-16, -0x1.1c118e7088934p-16, -0x1.1313f0a95b98p-16, -0x1.0a589eca93f89p-16, -0x1.01dd99dfb001bp-16, -0x1.f341e564c8a5p-17, -0x1.e34192a54411p-17, -0x1.d3b69943f574cp-17, -0x1.c49d73c4b4a99p-17, -0x1.b5f2b88f8233p-17, -0x1.a7b3191a69086p-17, -0x1.99db6119a2ee6p-17, -0x1.8c6875b5680d9p-17, -0x1.7f5754c5a4dd7p-17, -0x1.72a514132e9ecp-17, -0x1.664ee09ed9d82p-17, -0x1.5a51fded73bdp-17, -0x1.4eabc55947b1ap-17, -0x1.4359a56889756p-17, -0x1.38592128e1a0ep-17, -0x1.2da7cf8f8955bp-17, -0x1.23435ade50ea4p-17, -0x1.1929800d129d3p-17, -0x1.0f580e3782e4fp-17, -0x1.05cce60f7444ap-17, -0x1.f90bf2a63d0cep-18, -0x1.e702948ee4023p-18, -0x1.d579d66d1daabp-18, -0x1.c46dfbe365d19p-18, -0x1.b3db66ae27db4p-18, -0x1.a3be95b67ede1p-18, -0x1.9414242bed4c1p-18, -0x1.84d8c8a489e77p-18, -0x1.760954442ca49p-18, -0x1.67a2b1e970dddp-18, -0x1.59a1e5612553fp-18, -0x1.4c040a9f3c789p-18, -0x1.3ec654fe149d7p-18, -0x1.31e60e82c6825p-18, -0x1.25609726f102ap-18, -0x1.19336427cf71ep-18, -0x1.0d5bff5a6272ap-18, -0x1.01d806841e555p-18, -0x1.ed4a55710eae5p-19, -0x1.d7825f77c5e67p-19, -0x1.c253d6d241594p-19, -0x1.adba8a3a89be2p-19, -0x1.99b26a4c5049bp-19, -0x1.8637886b5bb8ap-19, -0x1.734615b183f49p-19, -0x1.60da61e46540cp-19, -0x1.4ef0da7254c22p-19, -0x1.3d860976ef293p-19, -0x1.2c9694c638e4dp-19, -0x1.1c1f3cff280adp-19, -0x1.0c1cdca4bc53ep-19, -0x1.f918ce7b8e5d2p-20, -0x1.dad5d0f63e9eep-20, -0x1.bd6b06ca36c07p-20, -0x1.a0d2e31b931d3p-20, -0x1.85080496352cep-20, -0x1.6a0533ec677b8p-20, -0x1.4fc56263af055p-20, -0x1.3643a86be94f8p-20, -0x1.1d7b4443a5c89p-20, -0x1.056798a85ce09p-20, -0x1.dc08572530345p-21, -0x1.ae9949f94a6cdp-21, -0x1.82799b704294bp-21, -0x1.57a11c9599984p-21, -0x1.2e07dbb36a0e4p-21, -0x1.05a6223b3290cp-21, -0x1.bce8e58d72474p-22, -0x1.70d70e56ffbccp-22, -0x1.27089d4a28ddfp-22, -0x1.bedfb03fe432ep-23, -0x1.33fed0e50cf85p-23, -0x1.5aa961fb96e48p-24, -0x1.564100955a38fp-26, 0x1.4efd7506c88cep-25, 0x1.9cb326202af81p-24, 0x1.451da39495652p-23, 0x1.b8220c8e0c7d6p-23, 0x1.13be56306ac8ep-22, 0x1.49a16385fa41ep-22, 0x1.7dc4857aa8364p-22, 0x1.b031cacd82a3p-22, 0x1.e0f2fc069d41p-22, 0x1.0808ceda6d167p-21, 0x1.1ecb7947d43c5p-21, 0x1.34c5fec8743ffp-21, 0x1.49fcc201fb14dp-21, 0x1.5e7407c34bdf9p-21, 0x1.722ff800db611p-21, 0x1.85349ec8cbff5p-21, 0x1.9785ed35f769p-21, 0x1.a927ba5b32be6p-21, 0x1.ba1dc427cf444p-21, 0x1.ca6bb049560bap-21, 0x1.da150d08171f3p-21, 0x1.e91d521b4259ep-21, 0x1.f787e1783d9a3p-21, 0x1.02ac040f7d185p-20, 0x1.09487f6d34ae4p-20, 0x1.0f9af57ff726p-20, }}, 
      {{0x1.2ef65182b141ep-2, 0x1.1253e2ab2e3cfp-1, 0x1.672d81a52322ap-1, 0x1.97c2d492351dbp-1, 0x1.aa8b37fa5944ap-1, 0x1.a751dbd39d153p-1, 0x1.957cfd96b8a2cp-1, 0x1.7b4c1d5c6a94p-1, 0x1.5d9e71f453fd6p-1, 0x1.3fff7c2584cb9p-1, 0x1.24d34fe5ff268p-1, 0x1.0d8d66dce4c9p-1, 0x1.f5ce2be71c802p-2, 0x1.da20a5fdf6936p-2, 0x1.c7b1d896b3844p-2, 0x1.bda3a11cd181dp-2, 0x1.bace370569e4ap-2, 0x1.bde777099cf6fp-2, 0x1.c59f8843aebcp-2, 0x1.d0b47d872b1e6p-2, 0x1.ddff5e6af1757p-2, 0x1.ec7b72b8ef002p-2, 0x1.fb49e62a9759ap-2, 0x1.04d9465a5e472p-1, 0x1.0b91173fcd24dp-1, 0x1.11942cf65bbebp-1, 0x1.16b9dbee4dff7p-1, 0x1.1ae6ca45f14e3p-1, 0x1.1e0bbb91fd36ap-1, 0x1.20234acb0f7acp-1, 0x1.212fbc0a1c146p-1, 0x1.2139c833ced6fp-1, 0x1.204f7d767e475p-1, 0x1.1e82947776f81p-1, 0x1.1be6f7404150dp-1, 0x1.18920d6d89631p-1, 0x1.149a5dc5fe66p-1, 0x1.1016ecd458941p-1, 0x1.0b1e64c33f693p-1, 0x1.05c677ad457bfp-1, 0x1.0023b19c32ea3p-1, 0x1.f4930e4b6cba5p-2, 0x1.e894a1c4fc98ap-2, 0x1.dc6e2f0f134efp-2, 0x1.d03ea3915bae5p-2, 0x1.c42187d3bc0bdp-2, 0x1.b82f24c2a57b9p-2, 0x1.ac7ce5c2292dbp-2, 0x1.a11db1cb80076p-2, 0x1.96221162e9703p-2, 0x1.8b98287a6a9ecp-2, 0x1.818baa2425d21p-2, 0x1.7805e8c63abfdp-2, 0x1.6f0e0ca363d3ep-2, 0x1.66a97f48433abp-2, 0x1.5eda47453943ap-2, 0x1.57a4e8bc66ea6p-2, 0x1.510adfdd418cfp-2, 0x1.4b0c2cd55fd35p-2, 0x1.45a76de12282bp-2, 0x1.40da14c96cc39p-2, 0x1.3ca0acb3ec30ap-2, 0x1.38f7210bdd9abp-2, 0x1.35d8f7a5d9e7fp-2, 0x1.334175c4e1807p-2, 0x1.312baee918d43p-2, 0x1.2f92829f11cadp-2, 0x1.2e7091f9a064dp-2, 0x1.2dc03588d791dp-2, 0x1.2d7b7a569d775p-2, 0x1.2d9c290ed7b54p-2, 0x1.2e1bd7299639cp-2, 0x1.2ef3ff670f373p-2, 0x1.301e1d7e7d4e7p-2, 0x1.3193c892d69b4p-2, 0x1.334ec8ac7f367p-2, 0x1.354924d4d5aadp-2, 0x1.377d291f8a521p-2, 0x1.39e5658650c4ep-2, 0x1.3c7ca7a5285ecp-2, 0x1.3f3df1ed2acfp-2, 0x1.422472c9047e3p-2, 0x1.452b7d9d4bc2ep-2, 0x1.484e86c838f36p-2, 0x1.4b8923005138bp-2, 0x1.4ed709cfcc4eap-2, 0x1.52341a745165fp-2, 0x1.559c622096f15p-2, 0x1.590c228069c76p-2, 0x1.5c7fd76f36cb2p-2, 0x1.5ff43b087f2c4p-2, 0x1.6366478c0af25p-2, 0x1.66d336ed588bcp-2, 0x1.6a38803e53a38p-2, 0x1.6d93d36acd13cp-2, 0x1.70e313e3434bep-2, 0x1.742452df38c8cp-2, 0x1.7755c9cda91c7p-2, 0x1.7a75d56733e3fp-2, 0x1.7d82f1ac411b2p-2, 0x1.807bb6f276784p-2, 0x1.835ed803de0f2p-2, 0x1.862b2136fa01dp-2, 0x1.88df7850b53dcp-2, 0x1.8b7adcf0029b1p-2, 0x1.8dfc693977307p-2, 0x1.90635279d9851p-2, 0x1.92aee981f19b2p-2, 0x1.94de9a915a95bp-2, 0x1.96f1ecbc8e114p-2, 0x1.98e8b9d68e1f2p-2, 0x1.9ac229ba4ee0ep-2, 0x1.9c7e7631b0136p-2, 0x1.9e1d83d6fbbfbp-2, 0x1.9f9f467b0a4a5p-2, 0x1.a103bf39ff6e8p-2, 0x1.a24afae2eb5b5p-2, 0x1.a37510b6e63b3p-2, 0x1.a482217a95289p-2, 0x1.a57256ce068p-2, 0x1.a645e2bace58p-2, 0x1.a6fcff6761f0bp-2, 0x1.a797eedfc2089p-2, 0x1.a816fae5d552p-2, 0x1.a87a74be88839p-2, 0x1.a8c2b4f374131p-2, 0x1.a8f01b034dbc1p-2, 0x1.a9030cfdffa94p-2, 0x1.a8fbf70bc7cc8p-2, 0x1.a8db4ae13e58dp-2, 0x1.a8a17f2446c05p-2, 0x1.a84f0ec76e1a3p-2, 0x1.a7e47861e015ep-2, 0x1.a7623d89d9a4bp-2, 0x1.a6c8e2368f133p-2, 0x1.a618ec2d2e595p-2, 0x1.a552e27b3dc72p-2, 0x1.a4774cff62043p-2, 0x1.a386b400b60a8p-2, 0x1.a2819fd436732p-2, 0x1.a168988f7dbp-2, 0x1.a03c25c7cf086p-2, 0x1.9efcce5c77dacp-2, 0x1.9dab184b85daap-2, 0x1.9c47888fe53dp-2, 0x1.9ad2a3080a7aep-2, 0x1.994cea643fe4p-2, 0x1.97b6e01ba2e99p-2, 0x1.96110466b1efep-2, 0x1.945bd63e1b14fp-2, 0x1.9297d35c4e9c4p-2, 0x1.90c5784047db5p-2, 0x1.8ee5402fefac6p-2, 0x1.8cf7a538cb08cp-2, 0x1.8afd202dc8f6dp-2, 0x1.88f628a17b092p-2, 0x1.86e334dc5ac1bp-2, 0x1.84c4b9cf04f93p-2, 0x1.829b2b00abf31p-2, 0x1.8066fa7a222fdp-2, 0x1.7e2898ae07a7bp-2, 0x1.7be0745ebc279p-2, 0x1.798efa82d4cecp-2, 0x1.77349628f1762p-2, 0x1.74d1b05be84adp-2, 0x1.7266b0085c3f9p-2, 0x1.6ff3f9e4e02a3p-2, 0x1.6d79f05dc075dp-2, 0x1.6af8f38571302p-2, 0x1.6871610a5fc11p-2, 0x1.65e39432b1149p-2, 0x1.634fe5de02a54p-2, 0x1.60b6ac8d06d1fp-2, 0x1.5e183c6e7113ap-2, 0x1.5b74e77073a41p-2, 0x1.58ccfd55d4c64p-2, 0x1.5620cbcd96e27p-2, 0x1.53709e8c16781p-2, 0x1.50bcbf64a171fp-2, 0x1.4e05766287e69p-2, 0x1.4b4b09e0db129p-2, 0x1.488dbea0271e1p-2, 0x1.45cdd7d996187p-2, 0x1.430b974f1e0cep-2, 0x1.40473d587836fp-2, 0x1.3d8108ecc6f43p-2, 0x1.3ab937a8fffeep-2, 0x1.37f005d33d411p-2, 0x1.3525ae5b517b9p-2, 0x1.325a6ad8fdff8p-2, 0x1.2f8e738855c56p-2, 0x1.2cc1ff44d2442p-2, 0x1.29f54383b7eb4p-2, 0x1.2728744e5b631p-2, 0x1.245bc43cdae91p-2, 0x1.218f6471c8af7p-2, 0x1.1ec384972eebfp-2, 0x1.1bf852dd474f6p-2, 0x1.192dfbfb1331dp-2, 0x1.1664ab30f6c15p-2, 0x1.139c8a4d509b5p-2, 0x1.10d5c1b2f2fb8p-2, 0x1.0e10786152f69p-2, 0x1.0b4cd3fe29248p-2, 0x1.088af8e038151p-2, 0x1.05cb0a1ae9642p-2, 0x1.030d298a6977ep-2, 0x1.005177dff724cp-2, 0x1.fb30295c31db8p-3, 0x1.f5c23ce8f57f8p-3, 0x1.f05965568082cp-3, 0x1.eaf5db9b44c13p-3, 0x1.e597d6c778d13p-3, 0x1.e03f8c16eef21p-3, 0x1.daed2f011806fp-3, 0x1.d5a0f1473c4a4p-3, 0x1.d05b0300f6ed2p-3, 0x1.cb1b92a70c60dp-3, 0x1.c5e2cd1ccacabp-3, 0x1.c0b0ddb811aa4p-3, 0x1.bb85ee4839dc8p-3, 0x1.b662271bff6bp-3, 0x1.b145cf10cdc01p-3, 0x1.ac30a1268f67ep-3, 0x1.a7230c7eb374bp-3, 0x1.a21d3483af881p-3, 0x1.9d1f3b21c0a51p-3, 0x1.982940c653e5dp-3, 0x1.933b64607b77bp-3, 0x1.8e55c3627c318p-3, 0x1.897879c49df93p-3, 0x1.84a3a2093e1a9p-3, 0x1.7fd755421f275p-3, 0x1.7b13ab16f9e62p-3, 0x1.7658b9cd2b3fbp-3, 0x1.71a696506cb1dp-3, 0x1.6cfd543c6df01p-3, 0x1.685d05e73d39fp-3, 0x1.63c5bc6c34835p-3, 0x1.5f3787b75fff9p-3, 0x1.5ab27691207d1p-3, 0x1.563696a9e904fp-3, 0x1.51c3f4a5e75f1p-3, 0x1.4d5a9c287d15dp-3, 0x1.48fa97df5fa2dp-3, 0x1.44a3f18d48e61p-3, 0x1.4056b2141d836p-3, 0x1.3c12e17e740abp-3, 0x1.37d88708741eap-3, 0x1.33a7a927fce36p-3, 0x1.2f804d940f312p-3, 0x1.2b62794b81b28p-3, 0x1.274e309af540ep-3, 0x1.2343772217938p-3, 0x1.1f424fd83d0b2p-3, 0x1.1b4abd106170fp-3, 0x1.175cc07c932c6p-3, 0x1.13785b30ea5dbp-3, 0x1.0f9d8da60d9ecp-3, 0x1.0bcc57bb66b89p-3, 0x1.0804b8b90e571p-3, 0x1.0446af51875b9p-3, 0x1.009239a365f49p-3, 0x1.f9ceaa75ae155p-4, 0x1.f28bfe2684224p-4, 0x1.eb5c6731d2283p-4, 0x1.e43fdd55643bfp-4, 0x1.dd365738208f7p-4, 0x1.d63fca6e44e19p-4, 0x1.cf5c2b7dfbe45p-4, 0x1.c88b6de46dc7fp-4, 0x1.c1cd841b350d2p-4, 0x1.bb225f9e43ed7p-4, 0x1.b489f0f23de03p-4, 0x1.ae0427ab1b021p-4, 0x1.a790f2733a518p-4, 0x1.a1303f12b17ddp-4, 0x1.9ae1fa76dc0afp-4, 0x1.94a610ba2d7c5p-4, 0x1.8e7c6d2c0c4b3p-4, 0x1.8864fa58dd6b5p-4, 0x1.825fa212086b5p-4, 0x1.7c6c4d7600b05p-4, 0x1.768ae4f83b834p-4, 0x1.70bb50690be93p-4, 0x1.6afd76fd5a0ffp-4, 0x1.65513f562ca44p-4, 0x1.5fb68f87fb713p-4, 0x1.5a2d4d21c54e4p-4, 0x1.54b55d33e49c7p-4, 0x1.4f4ea4569cdd1p-4, 0x1.49f906b05d85p-4, 0x1.44b467fbbaecap-4, 0x1.3f80ab8d1a5e8p-4, 0x1.3a5db45811195p-4, 0x1.354b64f47aa8cp-4, 0x1.30499fa3452f5p-4, 0x1.2b584652f9406p-4, 0x1.26773aa400493p-4, 0x1.21a65decad672p-4, 0x1.1ce5913d0e1fcp-4, 0x1.1834b56289a96p-4, 0x1.1393aaeb50871p-4, 0x1.0f025229a6d9p-4, 0x1.0a808b3709613p-4, 0x1.060e35f739603p-4, 0x1.01ab321b2e3bp-4, 0x1.faaebe47e9519p-5, 0x1.f22538cb026b1p-5, 0x1.e9b99212eaccap-5, 0x1.e16b8823c30bp-5, 0x1.d93ad8b7fd097p-5, 0x1.d1274145d233cp-5, 0x1.c9307f04b6338p-5, 0x1.c1564ef2cb0dep-5, 0x1.b9986dda5b3c9p-5, 0x1.b1f698575588dp-5, 0x1.aa708adccbb78p-5, 0x1.a30601ba756dbp-5, 0x1.9bb6b9222fea9p-5, 0x1.94826d2d7dc1ep-5, 0x1.8d68d9e300401p-5, 0x1.8669bb3be803ep-5, 0x1.7f84cd295c70fp-5, 0x1.78b9cb99d1e57p-5, 0x1.7208727e4eb27p-5, 0x1.6b707dcf9c5f5p-5, 0x1.64f1a9935f991p-5, 0x1.5e8bb1e116719p-5, 0x1.583e52e6f8b72p-5, 0x1.520948eeba09bp-5, 0x1.4bec50622dadep-5, 0x1.45e725cfc0816p-5, 0x1.3ff985eed88c4p-5, 0x1.3a232da409ff3p-5, 0x1.3463da052b79p-5, 0x1.2ebb485d406e2p-5, 0x1.2929363043e4cp-5, 0x1.23ad613ec8f94p-5, 0x1.1e4787897b035p-5, 0x1.18f767547436fp-5, 0x1.13bcbf2a76b72p-5, 0x1.0e974ddffde69p-5, 0x1.0986d29630682p-5, 0x1.048b0cbdafa3dp-5, 0x1.ff4778329214p-6, 0x1.f5a141810a6abp-6, 0x1.ec22f6443a074p-6, 0x1.e2cc180c9f7p-6, 0x1.d99c29223aa3bp-6, 0x1.d092ac88d084ap-6, 0x1.c7af2603f760dp-6, 0x1.bef11a1af725p-6, 0x1.b6580e1c7901cp-6, 0x1.ade388220a076p-6, 0x1.a5930f1379de5p-6, 0x1.9d662aaa083dbp-6, 0x1.955c637374d3ap-6, 0x1.8d7542d4e38cep-6, 0x1.85b0530da61ecp-6, 0x1.7e0d1f39d9effp-6, 0x1.768b3354f0e5cp-6, 0x1.6f2a1c3c12143p-6, 0x1.67e967b060659p-6, 0x1.60c8a45925cfdp-6, 0x1.59c761c5e3189p-6, 0x1.52e530703bb5dp-6, 0x1.4c21a1bdd39bdp-6, 0x1.457c480208732p-6, 0x1.3ef4b67f95b29p-6, 0x1.388a816a1eb03p-6, 0x1.323d3de79ea82p-6, 0x1.2c0c8211c0d76p-6, 0x1.25f7e4f71dd89p-6, 0x1.1ffefe9c61c81p-6, 0x1.1a2167fd5a7b6p-6, 0x1.145ebb0dec635p-6, 0x1.0eb692baf0e97p-6, 0x1.09288aeafac42p-6, 0x1.03b4407f052e8p-6, 0x1.fcb2a2a6122e1p-7, 0x1.f22eb87cfe9c3p-7, 0x1.e7dc02298fee3p-7, 0x1.ddb9c14afdf3cp-7, 0x1.d3c739796cd51p-7, 0x1.ca03b0463d4b6p-7, 0x1.c06e6d3c35715p-7, 0x1.b706b9df72b02p-7, 0x1.adcbe1ad47f87p-7, 0x1.a4bd321bd9d63p-7, 0x1.9bd9fa99add97p-7, 0x1.93218c8d004b8p-7, 0x1.8a933b53008edp-7, 0x1.822e5c3ee4aedp-7, 0x1.79f24698ddf9p-7, 0x1.71de539ce08d2p-7, 0x1.69f1de7958a19p-7, 0x1.622c444db58ecp-7, 0x1.5a8ce428d8b57p-7, 0x1.53131f075e64ap-7, 0x1.4bbe57d1db7d7p-7, 0x1.448df35ae4ap-7, 0x1.3d81585d0f92ap-7, 0x1.3697ef78cb916p-7, 0x1.2fd1233224386p-7, 0x1.292c5fee6aad9p-7, 0x1.22a913f1c3587p-7, 0x1.1c46af5c9f31bp-7, 0x1.1604a42919e96p-7, 0x1.0fe2662845795p-7, 0x1.09df6aff5b1dep-7, 0x1.03fb2a24dc679p-7, 0x1.fc6a39bb3997dp-8, 0x1.f1197c737655dp-8, 0x1.e60316230b98bp-8, 0x1.db2604049d32ep-8, 0x1.d08146d65dbfp-8, 0x1.c613e2d379b72p-8, 0x1.bbdcdfad5a93dp-8, 0x1.b1db4884dc686p-8, 0x1.a80e2be35e9fap-8, 0x1.9e749bb3bf9c4p-8, 0x1.950dad3b4265p-8, 0x1.8bd87912600c2p-8, 0x1.82d41b1d8202dp-8, 0x1.79ffb285b0098p-8, 0x1.715a61b125a37p-8, 0x1.68e34e3be3514p-8, 0x1.6099a0f02b3fdp-8, 0x1.587c85bef4ac4p-8, 0x1.508b2bb852e65p-8, 0x1.48c4c503d428bp-8, 0x1.412886d8d967dp-8, 0x1.39b5a976e9e8p-8, 0x1.326b681dfbd95p-8, 0x1.2b490106b94a6p-8, 0x1.244db55ac6841p-8, 0x1.1d78c92d01a33p-8, 0x1.16c98371c1ea6p-8, 0x1.103f2df718349p-8, 0x1.09d9155d0c962p-8, 0x1.0396890ddf5f7p-8, 0x1.faedb66c99dfp-9, 0x1.eef2c17ba66e6p-9, 0x1.e33ae27deba85p-9, 0x1.d7c4cdff23dep-9, 0x1.cc8ea27450919p-9, 0x1.c198579b2e26ep-9, 0x1.b6e014947ba16p-9, 0x1.ac64a2a66eebap-9, 0x1.a224d021d0d22p-9, 0x1.981f7052ea8e3p-9, 0x1.8e535b728c153p-9, 0x1.84bf6e9710b82p-9, 0x1.7b628ba57d17bp-9, 0x1.723b9942b15d2p-9, 0x1.694982c4b1f72p-9, 0x1.608b3823f0e75p-9, 0x1.57ffadecc6591p-9, 0x1.4fa5dd30e8185p-9, 0x1.477cc3790cf13p-9, 0x1.3f8362b6882e3p-9, 0x1.37b8c1351b213p-9, 0x1.301be98cbdaafp-9, 0x1.28abea93a26e7p-9, 0x1.2167d75030526p-9, 0x1.1a4ec6eb21bap-9, 0x1.135fd4a1bda3dp-9, 0x1.0c9a1fb81c09cp-9, 0x1.05fccb6b8d296p-9, 0x1.ff0dfdca15dafp-10, 0x1.f26fca57a01fcp-10, 0x1.e61d5a2fd9f4ap-10, 0x1.da15128a16c2cp-10, 0x1.ce55600a64de2p-10, 0x1.c2dcb6a7638b7p-10, 0x1.b7a9919017e52p-10, 0x1.acba73121631fp-10, 0x1.a20de47f9ff93p-10, 0x1.97a276162e2d3p-10, 0x1.8d76bee4d74e2p-10, 0x1.83895cb31540ap-10, 0x1.79d8f3e795467p-10, 0x1.70642f6f4283p-10, 0x1.6729c0a460437p-10, 0x1.5e285f35e6b3bp-10, 0x1.555ec90f135eep-10, 0x1.4ccbc23ef0ad4p-10, 0x1.446e14e03e364p-10, 0x1.3c4491017f5a6p-10, 0x1.344e0c8d1ac09p-10, 0x1.2c896331d505ep-10, 0x1.24f5764b4ece6p-10, 0x1.1d912ccaf6cd6p-10, 0x1.165b7320f62ccp-10, 0x1.0f533b2574c61p-10, 0x1.08777c021486ep-10, 0x1.01c7321ba4743p-10, 0x1.f682bdf81f5fcp-11, 0x1.e9ca12792b5acp-11, 0x1.dd6278e070e37p-11, 0x1.d14a121cf78d8p-11, 0x1.c57f08bca483bp-11, 0x1.b9ff90c2cd00cp-11, 0x1.aec9e77f1c539p-11, 0x1.a3dc53657a96fp-11, 0x1.993523e5f5718p-11, 0x1.8ed2b1457751bp-11, 0x1.84b35c772cbb6p-11, 0x1.7ad58ef64dc8ep-11, 0x1.7137baa09cb85p-11, 0x1.67d8599157c37p-11, 0x1.5eb5edfccb118p-11, 0x1.55cf020c7a354p-11, 0x1.4d2227bbc223fp-11, 0x1.44adf8b527a83p-11, 0x1.3c7116301800bp-11, 0x1.346a28cf43f6fp-11, 0x1.2c97e07f7215bp-11, 0x1.24f8f45705038p-11, 0x1.1d8c2275b4fbbp-11, 0x1.16502fe525f39p-11, 0x1.0f43e8799e2dap-11, 0x1.08661eb3ae6a7p-11, 0x1.01b5aba1dd06bp-11, 0x1.f662dd861ab46p-12, 0x1.e9b09bd28504dp-12, 0x1.dd526a39bdda5p-12, 0x1.d1462d007f13p-12, 0x1.c589d4676a30ap-12, 0x1.ba1b5c7445177p-12, 0x1.aef8ccbb6c649p-12, 0x1.a420382a0a92ep-12, 0x1.998fbcd1624bfp-12, 0x1.8f4583b28f2a2p-12, 0x1.853fc08aef5dcp-12, 0x1.7b7cb1a108b83p-12, 0x1.71fa9f92711eep-12, 0x1.68b7dd21dd46bp-12, 0x1.5fb2c705d9ab9p-12, 0x1.56e9c3b8540c2p-12, 0x1.4e5b43461afd4p-12, 0x1.4605bf1f69745p-12, 0x1.3de7b9e8c1217p-12, 0x1.35ffbf4bd419fp-12, 0x1.2e4c63c97e86ep-12, 0x1.26cc448bd6d8bp-12, 0x1.1f7e0738cbd78p-12, 0x1.186059c52c89p-12, 0x1.1171f2482b098p-12, 0x1.0ab18ecf5df18p-12, 0x1.041df53316da4p-12, 0x1.fb6be5d702953p-13, 0x1.eef0b9cc1c677p-13, 0x1.e2c81eb6c9792p-13, 0x1.d6efdb4c7efafp-13, 0x1.cb65c434bb191p-13, 0x1.c027bbb9c6f7dp-13, 0x1.b533b17948f32p-13, 0x1.aa87a217308bfp-13, 0x1.a02196f25e644p-13, 0x1.95ffa5da3a051p-13, 0x1.8c1ff0c77163bp-13, 0x1.8280a59473f2cp-13, 0x1.791ffdb9d57f9p-13, 0x1.6ffc3e0b597efp-13, 0x1.6713b677ae805p-13, 0x1.5e64c1c9d491fp-13, 0x1.55edc56c6cbc3p-13, 0x1.4dad312f7e177p-13, 0x1.45a17f0fb9b03p-13, 0x1.3dc932ffa5b56p-13, 0x1.3622dab35eadfp-13, 0x1.2ead0d6cc3de2p-13, 0x1.27666bca5a218p-13, 0x1.204d9f9780896p-13, 0x1.19615b9d92c63p-13, 0x1.12a05b769a955p-13, 0x1.0c09636143a47p-13, 0x1.059b40151a36ep-13, 0x1.fea98d31047e5p-14, 0x1.f269a82cfd76bp-14, 0x1.e6749b6985daap-14, 0x1.dac840d796947p-14, 0x1.cf6281ba96f2p-14, 0x1.c4415657b2bdp-14, 0x1.b962c5a462f61p-14, 0x1.aec4e4f643d4p-14, 0x1.a465d7b36c774p-14, 0x1.9a43ceff19e74p-14, 0x1.905d096b30307p-14, 0x1.86afd2a6f7e7fp-14, 0x1.7d3a832e8b528p-14, 0x1.73fb7ffb23777p-14, 0x1.6af13a32fbfe9p-14, 0x1.621a2ed9fbc63p-14, 0x1.5974e682dcd5cp-14, 0x1.50fff50262274p-14, 0x1.48b9f920671a2p-14, 0x1.40a19c4d38dffp-14, }}, 
      {{-0x1.34eed6a77c0d9p-1, -0x1.95ddeecfe4af5p-1, -0x1.f5cda899c10c7p-1, -0x1.206be7b16b085p+0, -0x1.38d5803884a53p+0, -0x1.4508ed653d586p+0, -0x1.476429dab5ad3p+0, -0x1.42a069412c515p+0, -0x1.3944b0d189121p+0, -0x1.2d6a1473e0406p+0, -0x1.20ac40f07abdp+0, -0x1.14307b9107f88p+0, -0x1.08b68260bf623p+0, -0x1.fd590ddc24307p-1, -0x1.ec853ee9a912dp-1, -0x1.def7fcf16af9dp-1, -0x1.d47abc3d14fcdp-1, -0x1.ccb1139055d7ep-1, -0x1.c72a847ac5d4bp-1, -0x1.c36f7de5c3c42p-1, -0x1.c10ab0579671dp-1, -0x1.bf8f19246532fp-1, -0x1.be9bcdca8d8e1p-1, -0x1.bdddf53c3a07fp-1, -0x1.bd11360c1da25p-1, -0x1.bbff8da87a0cp-1, -0x1.ba80568ca7d9cp-1, -0x1.b876aa8eb706dp-1, -0x1.b5d08552794fcp-1, -0x1.b284ce82f6aadp-1, -0x1.ae9197d3bfe06p-1, -0x1.a9fb0f4487316p-1, -0x1.a4ca5fd0783a9p-1, -0x1.9f0c2d81bebeep-1, -0x1.98cf552dbcfb4p-1, -0x1.922447286efd9p-1, -0x1.8b1c94507cdfap-1, -0x1.83ca4857731a4p-1, -0x1.7c3f2d3125fbep-1, -0x1.748c4a533fc3ap-1, -0x1.6cc1b96b146c7p-1, -0x1.64eea353141a4p-1, -0x1.5d212df12f6e2p-1, -0x1.55664cf8361eep-1, -0x1.4dc990938cd4dp-1, -0x1.46551280dac2p-1, -0x1.3f1189535a721p-1, -0x1.38066f124529bp-1, -0x1.313a21a76a692p-1, -0x1.2ab1f0d250376p-1, -0x1.24721f7564632p-1, -0x1.1e7de6946e8f7p-1, -0x1.18d78440878f5p-1, -0x1.138056e26a3d3p-1, -0x1.0e78f64cd30eep-1, -0x1.09c0fa4e91273p-1, -0x1.05587659b1c78p-1, -0x1.013e767e8c0e6p-1, -0x1.fae2f1bc29b27p-2, -0x1.f3defafdbbc5dp-2, -0x1.ed6c3c23c9c02p-2, -0x1.e785528b6910cp-2, -0x1.e224792c9b3bcp-2, -0x1.dd43b1238a8ep-2, -0x1.d8dcdb47f57c8p-2, -0x1.d4e9c3975c019p-2, -0x1.d16422b436705p-2, -0x1.ce459b3b30f8bp-2, -0x1.cb87b83584456p-2, -0x1.c923f02850877p-2, -0x1.c713ae089b71fp-2, -0x1.c5505f61c6c35p-2, -0x1.c3d385a4a6f0ep-2, -0x1.c296c7ff82bb9p-2, -0x1.c194033a81909p-2, -0x1.c0c555b277a81p-2, -0x1.c0252673bac3fp-2, -0x1.bfae276e9714ep-2, -0x1.bf5b5394e6f6ep-2, -0x1.bf27ea3e9b746p-2, -0x1.bf0f6964ea85bp-2, -0x1.bf0d881cccfe3p-2, -0x1.bf1e32531e80ep-2, -0x1.bf3d864dda9d2p-2, -0x1.bf67d400a4582p-2, -0x1.bf999dea2a0adp-2, -0x1.bfcf9af8651e9p-2, -0x1.c006b8d8417ebp-2, -0x1.c03c1e16745d4p-2, -0x1.c06d2b8ecca18p-2, -0x1.c0977ccef7471p-2, -0x1.c0b8e74199038p-2, -0x1.c0cf782646b9ep-2, -0x1.c0d971839697dp-2, -0x1.c0d5465d3f017p-2, -0x1.c0c1968605d8p-2, -0x1.c09d2a63fe81fp-2, -0x1.c066eef012ed5p-2, -0x1.c01df2257c0b7p-2, -0x1.bfc16000124b8p-2, -0x1.bf508014edc6ap-2, -0x1.becab3c0bb70ep-2, -0x1.be2f74d9e7236p-2, -0x1.bd7e54c9a7ca6p-2, -0x1.bcb6fbe6ddd05p-2, -0x1.bbd928ea3a234p-2, -0x1.bae4b055f9003p-2, -0x1.b9d97bb43d5e5p-2, -0x1.b8b7889bf7869p-2, -0x1.b77ee77998794p-2, -0x1.b6305961c8d15p-2, -0x1.b4cae340648cdp-2, -0x1.b34f525e0ae59p-2, -0x1.b1bdf2e83e0f3p-2, -0x1.b0171b5933442p-2, -0x1.ae5b2b2128373p-2, -0x1.ac8a897d8e118p-2, -0x1.aaa5a47dc24c9p-2, -0x1.a8acf030b2d12p-2, -0x1.a6a0e5f425051p-2, -0x1.a48203dd58ce5p-2, -0x1.a250cc3355372p-2, -0x1.a00dc4f4a9b15p-2, -0x1.9db977643a1a8p-2, -0x1.9b546f9a3be16p-2, -0x1.98df3c17b85b4p-2, -0x1.965a6d5bb7134p-2, -0x1.93c69579c1c8cp-2, -0x1.912447b1f8a6cp-2, -0x1.8e74180b6943fp-2, -0x1.8bb69af1bc9d8p-2, -0x1.88ec64d792a84p-2, -0x1.861609debfc6ap-2, -0x1.83341d87561bap-2, -0x1.80473265df033p-2, -0x1.7d4fd9e09c389p-2, -0x1.7a4ea3f3356a2p-2, -0x1.77441ef7fe3fap-2, -0x1.7430d775f6b7ap-2, -0x1.711557f2c8beap-2, -0x1.6df228c84e74bp-2, -0x1.6ac7cffd72109p-2, -0x1.6796d1227a4b1p-2, -0x1.645fad3116e2ep-2, -0x1.6122e2709d5dcp-2, -0x1.5de0ec5ef2f0ap-2, -0x1.5a9a439e9261bp-2, -0x1.574f5de9ed3aap-2, -0x1.5400ae0c350acp-2, -0x1.50aea3df49p-2, -0x1.4d59ac4e3dbbbp-2, -0x1.4a02315bbbadap-2, -0x1.46a89a2b48394p-2, -0x1.434d4b0c7b6edp-2, -0x1.3ff0a5872a4ddp-2, -0x1.3c930867ae0cfp-2, -0x1.3934cfca88a8fp-2, -0x1.35d65526dadcep-2, -0x1.3277ef5741f72p-2, -0x1.2f19f2a0dea66p-2, -0x1.2bbcb0b86fa27p-2, -0x1.286078c584972p-2, -0x1.2505976409862p-2, -0x1.21ac56a474f59p-2, -0x1.1e54fe0b26165p-2, -0x1.1affd28f7978bp-2, -0x1.17ad169b49f1fp-2, -0x1.145d0a0b7dc98p-2, -0x1.110fea32466d5p-2, -0x1.0dc5f1db881a9p-2, -0x1.0a7f5953cf135p-2, -0x1.073c5671f58fbp-2, -0x1.03fd1ca377c79p-2, -0x1.00c1dcfb4e8p-2, -0x1.fb158c85e4db2p-3, -0x1.f4b00a1a4a0eep-3, -0x1.ee538793fa193p-3, -0x1.e80055b76e604p-3, -0x1.e1b6c1579966ap-3, -0x1.db77137fa7cebp-3, -0x1.d541919b92c79p-3, -0x1.cf167d9ec17fcp-3, -0x1.c8f616283cb57p-3, -0x1.c2e096a3f85e1p-3, -0x1.bcd6376904c6fp-3, -0x1.b6d72dd478901p-3, -0x1.b0e3ac6122751p-3, -0x1.aafbe2bc2532fp-3, -0x1.a51ffdd6c76dp-3, -0x1.9f5027f5cdc4fp-3, -0x1.998c88bed5e5ap-3, -0x1.93d5454432ec5p-3, -0x1.8e2a800fc5747p-3, -0x1.888c592d630cfp-3, -0x1.82faee3535c29p-3, -0x1.7d765a569188p-3, -0x1.77feb6638ce4dp-3, -0x1.729418ddab329p-3, -0x1.6d369603b9d6p-3, -0x1.67e63fe0f8342p-3, -0x1.62a3265d80b5dp-3, -0x1.5d6d574fddbd6p-3, -0x1.5844de8f9e948p-3, -0x1.5329c608addccp-3, -0x1.4e1c15cf2db3fp-3, -0x1.491bd4339e9cdp-3, -0x1.442905d6f5b14p-3, -0x1.3f43adbe83548p-3, -0x1.3a6bcd67518f1p-3, -0x1.35a164d8e4157p-3, -0x1.30e472b723722p-3, -0x1.2c34f453629b1p-3, -0x1.2792e5bc69d6ep-3, -0x1.22fe41cd7d453p-3, -0x1.1e77023c628ddp-3, -0x1.19fd1fa671275p-3, -0x1.1590919cb0b8bp-3, -0x1.11314eaf19d1bp-3, -0x1.0cdf4c7716012p-3, -0x1.089a7fa14732ep-3, -0x1.0462dbf6b19aep-3, -0x1.0038546566f66p-3, -0x1.f835f1ad8ac0dp-4, -0x1.f014df1bacfeap-4, -0x1.e80dacc0fedeap-4, -0x1.e0203afd482eep-4, -0x1.d84c68b95c7eep-4, -0x1.d09213718456cp-4, -0x1.c8f117404ab54p-4, -0x1.c1694ee9fc3bcp-4, -0x1.b9fa93e8b4da1p-4, -0x1.b2a4be791d653p-4, -0x1.ab67a5a7d3d42p-4, -0x1.a4431f5f592f6p-4, -0x1.9d37007696cb5p-4, -0x1.96431cbfbd688p-4, -0x1.8f6747178e0e3p-4, -0x1.88a35174c018dp-4, -0x1.81f70cf78ad1fp-4, -0x1.7b6249f91ed92p-4, -0x1.74e4d81af850dp-4, -0x1.6e7e8655e891bp-4, -0x1.682f2308c10aap-4, -0x1.61f67c0681c09p-4, -0x1.5bd45ea3fc7ap-4, -0x1.55c897c4d7797p-4, -0x1.4fd2f3e7e2ef4p-4, -0x1.49f33f32ba746p-4, -0x1.4429457ca776fp-4, -0x1.3e74d258c5d5fp-4, -0x1.38d5b11f68e83p-4, -0x1.334bacf6c6ea7p-4, -0x1.2dd690daecc4p-4, -0x1.287627a507806p-4, -0x1.232a3c1209d38p-4, -0x1.1df298c8be31bp-4, -0x1.18cf085f4d65fp-4, -0x1.13bf55604f779p-4, -0x1.0ec34a4f6d8dbp-4, -0x1.09dab1adabdcep-4, -0x1.050555fd64c4dp-4, -0x1.004301c60600fp-4, -0x1.f726ff2f3ba53p-5, -0x1.eded341c85befp-5, -0x1.e4d837aac6dddp-5, -0x1.dbe79f5608efdp-5, -0x1.d31b00c5f0d51p-5, -0x1.ca71f1d42c4cbp-5, -0x1.c1ec0892e1fdcp-5, -0x1.b988db5331b01p-5, -0x1.b14800abc459dp-5, -0x1.a9290f7f6a9a3p-5, -0x1.a12b9f03d0aabp-5, -0x1.994f46c8373d3p-5, -0x1.91939ebc3b7afp-5, -0x1.89f83f369a713p-5, -0x1.827cc0fbf1529p-5, -0x1.7b20bd45710e2p-5, -0x1.73e3cdc779f99p-5, -0x1.6cc58cb81e263p-5, -0x1.65c594d57c4dcp-5, -0x1.5ee3816bef1e8p-5, -0x1.581eee5c0bf91p-5, -0x1.5177782066ec9p-5, -0x1.4aecbbd319201p-5, -0x1.447e5733067e9p-5, -0x1.3e2be8a8da8eap-5, -0x1.37f50f4bbcce3p-5, -0x1.31d96ae5bbe0cp-5, -0x1.2bd89bf7e7cfap-5, -0x1.25f243be231c4p-5, -0x1.20260432a33fap-5, -0x1.1a73801127fa8p-5, -0x1.14da5ad9e4301p-5, -0x1.0f5a38d422d84p-5, -0x1.09f2bf10a04dp-5, -0x1.04a3936ba49c1p-5, -0x1.fed8b91dbaecfp-6, -0x1.f49983e5f518ep-6, -0x1.ea88d7c228dep-6, -0x1.e0a606e7bca13p-6, -0x1.d6f0653151f41p-6, -0x1.cd67482072d4bp-6, -0x1.c40a06def7db1p-6, -0x1.bad7fa401e2dcp-6, -0x1.b1d07cc167fc2p-6, -0x1.a8f2ea8b41dbdp-6, -0x1.a03ea17179015p-6, -0x1.97b300f3895b9p-6, -0x1.8f4f6a3cc00f6p-6, -0x1.8713402446056p-6, -0x1.7efde72d09655p-6, -0x1.770ec5858dbc9p-6, -0x1.6f454307a9d85p-6, -0x1.67a0c9382a2e9p-6, -0x1.6020c346669c5p-6, -0x1.58c49e0bc0eb2p-6, -0x1.518bc80b13276p-6, -0x1.4a75b1700dc6fp-6, -0x1.4381cc0e7bc6ep-6, -0x1.3caf8b617f0b6p-6, -0x1.35fe648aac614p-6, -0x1.2f6dce511cf0ep-6, -0x1.28fd412060bb3p-6, -0x1.22ac3707646bfp-6, -0x1.1c7a2bb736192p-6, -0x1.16669c81b7b6dp-6, -0x1.1071085836195p-6, -0x1.0a98efc9e539bp-6, -0x1.04ddd5024541dp-6, -0x1.fe7e778ed84d4p-7, -0x1.f37952f06909bp-7, -0x1.e8ab4a14a9224p-7, -0x1.de136e10a9524p-7, -0x1.d3b0d31eecd3cp-7, -0x1.c982909af565ep-7, -0x1.bf87c0fca7ebdp-7, -0x1.b5bf81d37a281p-7, -0x1.ac28f3c17a783p-7, -0x1.a2c33a762d57fp-7, -0x1.998d7ca936d16p-7, -0x1.9086e414e38fp-7, -0x1.87ae9d70918e9p-7, -0x1.7f03d86af003fp-7, -0x1.7685c7a41aa4ap-7, -0x1.6e33a0a79e6ep-7, -0x1.660c9be65b3d5p-7, -0x1.5e0ff4b05753ep-7, -0x1.563ce92e673b1p-7, -0x1.4e92ba5bd2d72p-7, -0x1.4710abffdcec9p-7, -0x1.3fb604a7390d5p-7, -0x1.38820d9d768c1p-7, -0x1.317412e65a1ffp-7, -0x1.2a8b63372b6ddp-7, -0x1.23c74feff8b73p-7, -0x1.1d272d14d25ffp-7, -0x1.16aa5146fdde1p-7, -0x1.105015be22e43p-7, -0x1.0a17d64175736p-7, -0x1.0400f120d89bep-7, -0x1.fc158e5c081bap-8, -0x1.f069776b45d25p-8, -0x1.e4fc68f0ec238p-8, -0x1.d9cd3348e9ef1p-8, -0x1.cedaab9be0f5fp-8, -0x1.c423abd16b13p-8, -0x1.b9a712826a25dp-8, -0x1.af63c2eb59f68p-8, -0x1.a558a4dea96a3p-8, -0x1.9b84a4b71e6a7p-8, -0x1.91e6b34a3e952p-8, -0x1.887dc5dac68fbp-8, -0x1.7f48d60b2592dp-8, -0x1.7646e1d008bap-8, -0x1.6d76eb62f14c7p-8, -0x1.64d7f934d6012p-8, -0x1.5c6915e0d17d3p-8, -0x1.5429501edf74cp-8, -0x1.4c17bab6a707cp-8, -0x1.44336c7254e09p-8, -0x1.3c7b8011828e7p-8, -0x1.34ef143c2fe2ep-8, -0x1.2d8d4b75cca3p-8, -0x1.26554c1051234p-8, -0x1.1f46401f6a07ap-8, -0x1.185f556bb64f5p-8, -0x1.119fbd66168cp-8, -0x1.0b06ad1b105d5p-8, -0x1.04935d2645581p-8, -0x1.fc8a134bf902cp-9, -0x1.f035e45d825d1p-9, -0x1.e428b37e30416p-9, -0x1.d8610d668e6a4p-9, -0x1.ccdd857268e35p-9, -0x1.c19cb588b57bcp-9, -0x1.b69d3e03a9217p-9, -0x1.abddc598fc861p-9, -0x1.a15cf9425b8c5p-9, -0x1.97198c2606d02p-9, -0x1.8d12377fa0878p-9, -0x1.8345ba892e4ddp-9, -0x1.79b2da6446d87p-9, -0x1.705862036dd52p-9, -0x1.67352213ab73cp-9, -0x1.5e47f0e64a38dp-9, -0x1.558faa5acd1a9p-9, -0x1.4d0b2fc91578dp-9, -0x1.44b967ebbfaf5p-9, -0x1.3c993ecaaf82p-9, -0x1.34a9a5a5d0e42p-9, -0x1.2ce992e00f5a9p-9, -0x1.255801ea81b89p-9, -0x1.1df3f32fc8876p-9, -0x1.16bc6bffa4b89p-9, -0x1.0fb0767ac224p-9, -0x1.08cf217ebd21p-9, -0x1.021780925aca5p-9, -0x1.f71157a3ee9a1p-10, -0x1.ea437fb86568ep-10, -0x1.ddc3bb7d9b1edp-10, -0x1.d19055c784c4bp-10, -0x1.c5a7a1fd322a4p-10, -0x1.ba07fbf3de975p-10, -0x1.aeafc7ca78d59p-10, -0x1.a39d71c59cf18p-10, -0x1.98cf6e2bfd722p-10, -0x1.8e443923486a5p-10, -0x1.83fa568d72fedp-10, -0x1.79f051e68786fp-10, -0x1.7024be22da22ap-10, -0x1.6696358db5c89p-10, -0x1.5d4359a87d4cbp-10, -0x1.542ad30a3f3d9p-10, -0x1.4b4b513fbc99cp-10, -0x1.42a38aabdddb5p-10, -0x1.3a323c689e3c1p-10, -0x1.31f62a2866701p-10, -0x1.29ee1e17dc788p-10, -0x1.2218e8c019eb1p-10, -0x1.1a7560e95f339p-10, -0x1.1302637e25682p-10, -0x1.0bbed36eabf77p-10, -0x1.04a99994f00f5p-10, -0x1.fb83493219abdp-11, -0x1.ee0bd1ac11b17p-11, -0x1.e0e9f1cfda33cp-11, -0x1.d41d48c086d2bp-11, -0x1.c7a30ee4d7ecp-11, -0x1.bb79587156c9ep-11, -0x1.af9e43fd33c3bp-11, -0x1.a40ffa50d5fffp-11, -0x1.98ccae352cde6p-11, -0x1.8dd29c43c66a5p-11, -0x1.83200ab7ab488p-11, -0x1.78b3493efc864p-11, -0x1.6e8ab0cd558a4p-11, -0x1.64a4a36ee10a4p-11, -0x1.5aff8c1c38aa1p-11, -0x1.5199de8eed09ap-11, -0x1.48721716dde45p-11, -0x1.3f86ba70248e4p-11, -0x1.36d65599d015cp-11, -0x1.2e5f7dad3a115p-11, -0x1.2620cfb61c2e1p-11, -0x1.1e18f08b3c2a5p-11, -0x1.16468ca7d0af3p-11, -0x1.0ea8580580a3bp-11, -0x1.073d0df70226bp-11, -0x1.00037103638bbp-11, -0x1.f1f49583c6369p-12, -0x1.e440d76cdfdfep-12, -0x1.d6e9565d5c341p-12, -0x1.c9ebce3f36a42p-12, -0x1.bd46080789d02p-12, -0x1.b0f5d9740d38ap-12, -0x1.a4f924c9a44d9p-12, -0x1.994dd89416476p-12, -0x1.8df1ef66b3c9fp-12, -0x1.82e36f9e2b9f5p-12, -0x1.78206b233bac6p-12, -0x1.6da6ff2e7d2bdp-12, -0x1.6375540d224e8p-12, -0x1.59899ce6b5e96p-12, -0x1.4fe21783b3c3bp-12, -0x1.467d0c15476d9p-12, -0x1.3d58ccfdcf728p-12, -0x1.3473b69a52d6ap-12, -0x1.2bcc2f0cf5087p-12, -0x1.2360a60849333p-12, -0x1.1b2f949b85d8ap-12, -0x1.13377cffa71cp-12, -0x1.0b76ea656db9cp-12, -0x1.03ec70c450be4p-12, -0x1.f92d595468149p-13, -0x1.eae886183197ap-13, -0x1.dd07c22f48a9dp-13, -0x1.cf88780af2894p-13, -0x1.c26821d8fc0cfp-13, -0x1.b5a4492bd68fep-13, -0x1.a93a86a483d3fp-13, -0x1.9d28819e1c9f9p-13, -0x1.916befdb0ee83p-13, -0x1.86029533f6b79p-13, -0x1.7aea434806159p-13, -0x1.7020d92f5b70ep-13, -0x1.65a4432e8a46ap-13, -0x1.5b727a6be371ep-13, -0x1.518984a663ebap-13, -0x1.47e773edfe518p-13, -0x1.3e8a665d9a2c9p-13, -0x1.357085d66dfefp-13, -0x1.2c9807bcc0b4ep-13, -0x1.23ff2cb65e217p-13, -0x1.1ba4406a239b9p-13, -0x1.13859941330adp-13, -0x1.0ba198295bcd2p-13, -0x1.03f6a858dd7d2p-13, -0x1.f9067e270763dp-14, -0x1.ea8bb6e2189f2p-14, -0x1.dc7a0c496359dp-14, -0x1.cecea28c07953p-14, -0x1.c186b035c1bcfp-14, -0x1.b49f7dc57bae2p-14, -0x1.a8166545b050cp-14, -0x1.9be8d1e74abd7p-14, -0x1.90143f9e7863p-14, -0x1.84963ac1d8183p-14, -0x1.796c5fab64838p-14, -0x1.6e945a5b75e5bp-14, -0x1.640be61dbfb82p-14, -0x1.59d0cd2ffca84p-14, -0x1.4fe0e86a7063ap-14, -0x1.463a1eea4abc9p-14, -0x1.3cda65bd9f0cbp-14, -0x1.33bfbf90fad2fp-14, -0x1.2ae83c5e9200ep-14, -0x1.2251f91f13b32p-14, -0x1.19fb1f7bbf35dp-14, -0x1.11e1e5822c43p-14, -0x1.0a048d594eb01p-14, -0x1.026164f7e9c77p-14, -0x1.f5ed8bb865464p-15, -0x1.e786298a215acp-15, -0x1.d98982d83e7e5p-15, -0x1.cbf48c82cab52p-15, -0x1.bec4504ff99d6p-15, -0x1.b1f5ec67ffea4p-15, -0x1.a58692d335755p-15, -0x1.997388fa9e52dp-15, -0x1.8dba272aaddf4p-15, -0x1.8257d8189e361p-15, -0x1.774a186983e4p-15, -0x1.6c8e763c9d2e8p-15, -0x1.622290b7015b5p-15, -0x1.58041792b161dp-15, -0x1.4e30caaf055e3p-15, -0x1.44a679a51998cp-15, -0x1.3b63035d1868bp-15, -0x1.326455a7265a4p-15, -0x1.29a86cd6a6eep-15, -0x1.212d536043833p-15, -0x1.18f1217aac7e2p-15, -0x1.10f1fcc1c5685p-15, -0x1.092e17dd2a8d9p-15, -0x1.01a3b2290a264p-15, -0x1.f4a22ec40ebe3p-16, -0x1.e6693ea79ea82p-16, -0x1.d8995b14ebf2ep-16, -0x1.cb2f620cda615p-16, -0x1.be2847e658cp-16, -0x1.b18116c0734bap-16, -0x1.a536edfa70722p-16, -0x1.994701ae710dap-16, -0x1.8dae9a327db26p-16, -0x1.826b139c32d7dp-16, -0x1.7779dd497d52bp-16, -0x1.6cd8796af0d14p-16, -0x1.62847c93966b3p-16, -0x1.587b8d48ec31fp-16, -0x1.4ebb6397f682ap-16, -0x1.4541c8aaa5a69p-16, -0x1.3c0c965f11fd4p-16, -0x1.3319b6e28ab0cp-16, -0x1.2a67244b4bfb4p-16, -0x1.21f2e83575afep-16, -0x1.19bb1b5f988fbp-16, -0x1.11bde5499789p-16, -0x1.09f97bd5131eap-16, -0x1.026c22e331a0fp-16, -0x1.f62857eeaa42cp-17, -0x1.e7dfebb17f294p-17, -0x1.d9fbd86b66d69p-17, -0x1.cc790e8e48906p-17, -0x1.bf5496ebddf8fp-17, -0x1.b28b92032329bp-17, -0x1.a61b374f026a6p-17, -0x1.9a00d49a533cfp-17, -0x1.8e39cd539fc37p-17, -0x1.82c399e71b6abp-17, }}, 
      {{0x1.1c6f9e6b80c35p-1, 0x1.1bc29acb957d1p-1, 0x1.1aa3fd9169d17p-1, 0x1.191652ccaaf9fp-1, 0x1.171d0b6d9c855p-1, 0x1.14bc61e2be31fp-1, 0x1.11f93bbf9bd91p-1, 0x1.0ed90a5576bb1p-1, 0x1.0b61abb8beb3bp-1, 0x1.07994d4498ba9p-1, 0x1.0386505307257p-1, 0x1.fe5e632f80eb8p-2, 0x1.f534e6a8d48a2p-2, 0x1.eb9d14e8a8ddbp-2, 0x1.e1a39d01f0854p-2, 0x1.d754d89964b45p-2, 0x1.ccbcb6486c137p-2, 0x1.c1e6a89ea9d4fp-2, 0x1.b6dd994b2e712p-2, 0x1.ababdff3b03b2p-2, 0x1.a05b3c41c8cefp-2, 0x1.94f4d2b2ef22cp-2, 0x1.89812bbec851ep-2, 0x1.7e0834efcb05cp-2, 0x1.729143937af63p-2, 0x1.672318b11eb11p-2, 0x1.5bc3e5ff72822p-2, 0x1.5079539b2245fp-2, 0x1.454886489d1dp-2, 0x1.3a362613d61edp-2, 0x1.2f466527d1e7bp-2, 0x1.247d06be5d909p-2, 0x1.19dd660df0d14p-2, 0x1.0f6a7d20b418ep-2, 0x1.0526eb83e1b79p-2, 0x1.f629f984a612fp-3, 0x1.e26d5d4048db2p-3, 0x1.cf1b6e1fe95b8p-3, 0x1.bc3713b8e1b35p-3, 0x1.a9c2bc05774d3p-3, 0x1.97c065779753bp-3, 0x1.8631a8683c48dp-3, 0x1.7517bfe483bf6p-3, 0x1.647391db1fad1p-3, 0x1.5445b6ae6a709p-3, 0x1.448e80307c614p-3, 0x1.354e000fad229p-3, 0x1.26840dba92f84p-3, 0x1.18304bc334309p-3, 0x1.0a522cc96c21dp-3, 0x1.f9d1efe9956b6p-4, 0x1.dfe79a0c8e2a9p-4, 0x1.c6e350143341bp-4, 0x1.aec2c963dfe7fp-4, 0x1.978382bec8b17p-4, 0x1.8122c3cce5a2cp-4, 0x1.6b9da41e513cdp-4, 0x1.56f10fbaf0947p-4, 0x1.4319cb4b3aae4p-4, 0x1.301477e6066fbp-4, 0x1.1ddd968e4ca86p-4, 0x1.0c718b6ac786p-4, 0x1.f7994180b8489p-5, 0x1.d7d6136e8673cp-5, 0x1.b991c9e3df2e4p-5, 0x1.9cc47df79e396p-5, 0x1.8166292a4dd37p-5, 0x1.676ea9c0fedc5p-5, 0x1.4ed5c6eabc347p-5, 0x1.379334b6b3298p-5, 0x1.219e97e008829p-5, 0x1.0cef89732ca51p-5, 0x1.f2fb349f54a74p-6, 0x1.ce80ad110a213p-6, 0x1.ac5e914942c1fp-6, 0x1.8c83f9801ea23p-6, 0x1.6ee0071d4b6cap-6, 0x1.5361ea7ff1764p-6, 0x1.39f8e888dfccbp-6, 0x1.22945fe620994p-6, 0x1.0d23ce1ee41d7p-6, 0x1.f32da8bcfe95ep-7, 0x1.cfba77faa0295p-7, 0x1.afcdf58cac25dp-7, 0x1.93486df0f63afp-7, 0x1.7a0a96057f924p-7, 0x1.63f591f57b491p-7, 0x1.50eafb9a52b3cp-7, 0x1.40cce850d3ed6p-7, 0x1.337dee432364ap-7, 0x1.28e12928bc446p-7, 0x1.20da3e7e732fdp-7, 0x1.1b4d6138ffc3ap-7, 0x1.181f54f5294a7p-7, 0x1.173570a93a531p-7, 0x1.1875a0dbde123p-7, 0x1.1bc66964f8f11p-7, 0x1.210ee6bd722afp-7, 0x1.2836cee339a1p-7, 0x1.312671d71999p-7, 0x1.3bc6b9ba1d618p-7, 0x1.48012a908056fp-7, 0x1.55bfe1b036cp-7, 0x1.64ed94e12677bp-7, 0x1.7575913548676p-7, 0x1.8743b99eaf723p-7, 0x1.9a448549959e8p-7, 0x1.ae64fdc057b79p-7, 0x1.c392bcdf1e1bdp-7, 0x1.d9bbea9ce1f1ap-7, 0x1.f0cf3aaf26ba6p-7, 0x1.045df506d7ac6p-6, 0x1.10b8de2d8a40fp-6, 0x1.1d707c9b7ce16p-6, 0x1.2a7d34bf32fafp-6, 0x1.37d7aa3f24ca3p-6, 0x1.4578be8e20c45p-6, 0x1.53598f7c8acbfp-6, 0x1.617375c835ecfp-6, 0x1.6fc003ac50641p-6, 0x1.7e390372d84e8p-6, 0x1.8cd87608d00a4p-6, 0x1.9b9891965b3a4p-6, 0x1.aa73c01bc278p-6, 0x1.b9649e1443185p-6, 0x1.c865f91f70c0dp-6, 0x1.d772ceb1c66d1p-6, 0x1.e6864acd07556p-6, 0x1.f59bc6c0ceb64p-6, 0x1.025763f9dd113p-5, 0x1.09dd7f5ab571ep-5, 0x1.115e228ccc0fap-5, 0x1.18d74eee214fdp-5, 0x1.204719a794f7dp-5, 0x1.27abab28367b2p-5, 0x1.2f033ea528ec9p-5, 0x1.364c219e09bp-5, 0x1.3d84b365c476p-5, 0x1.44ab64afbb2c2p-5, 0x1.4bbeb72123f9dp-5, 0x1.52bd3ce67e538p-5, 0x1.59a5984cf383p-5, 0x1.60767b5f82fb2p-5, 0x1.672ea787cba9dp-5, 0x1.6dcced3248c5bp-5, 0x1.74502b75d5c16p-5, 0x1.7ab74fbe4ed0fp-5, 0x1.8101557a19f0ep-5, 0x1.872d45ca742eep-5, 0x1.8d3a37364e6fcp-5, 0x1.93274d5f90e03p-5, 0x1.98f3b8ba9ad94p-5, 0x1.9e9eb647ce5p-5, 0x1.a4278f4f06cb3p-5, 0x1.a98d991ccbac2p-5, 0x1.aed034c11a40ep-5, 0x1.b3eececfa7417p-5, 0x1.b8e8df216bbcp-5, 0x1.bdbde89765df5p-5, 0x1.c26d78de66ed5p-5, 0x1.c6f72833d6c42p-5, 0x1.cb5a992b4d533p-5, 0x1.cf977874ebd15p-5, 0x1.d3ad7ca45d6cep-5, 0x1.d79c65f868983p-5, 0x1.db63fe2300675p-5, 0x1.df041811c24cbp-5, 0x1.e27c8fb6d220bp-5, 0x1.e5cd49d20336fp-5, 0x1.e8f633ba4994dp-5, 0x1.ebf743275f93ep-5, 0x1.eed075fb9f98p-5, 0x1.f181d20e041e5p-5, 0x1.f40b64f44d728p-5, 0x1.f66d43cd454c2p-5, 0x1.f8a78b0b1eeb9p-5, 0x1.faba5e3df0e64p-5, 0x1.fca5e7de48489p-5, 0x1.fe6a5917d6ce7p-5, 0x1.0003f4ca1dbffp-4, 0x1.00bf6ba2f413ep-4, 0x1.0167b31994fc5p-4, 0x1.01fcf020aa571p-4, 0x1.027f4a800b98ap-4, 0x1.02eeecba7fdf1p-4, 0x1.034c03f399862p-4, 0x1.0396bfd5af777p-4, 0x1.03cf5277f6243p-4, 0x1.03f5f044bd447p-4, 0x1.040acfdfd5577p-4, 0x1.040e2a0d1f035p-4, 0x1.040039974ad56p-4, 0x1.03e13b36cc33dp-4, 0x1.03b16d790224ap-4, 0x1.037110a79b5d7p-4, 0x1.032066b0394e6p-4, 0x1.02bfb30c557f8p-4, 0x1.024f3aa96da69p-4, 0x1.01cf43d179a03p-4, 0x1.01401613aed08p-4, 0x1.00a1fa2d96e6fp-4, 0x1.ffea73e8f2fdp-5, 0x1.fe74407e3ddcbp-5, 0x1.fce1f19fdeee4p-5, 0x1.fb34207ee00dep-5, 0x1.f96b67ce424f3p-5, 0x1.f788639985cf2p-5, 0x1.f58bb11bfdf17p-5, 0x1.f375ee98fa21ap-5, 0x1.f147bb34c69c8p-5, 0x1.ef01b6ce89d48p-5, 0x1.eca481daff7f6p-5, 0x1.ea30bd401bdb8p-5, 0x1.e7a70a319131bp-5, 0x1.e5080a0e432f1p-5, 0x1.e2545e3ea4ed9p-5, 0x1.df8ca81404d51p-5, 0x1.dcb188a8cc4fap-5, 0x1.d9c3a0c1adb1dp-5, 0x1.d6c390afc7b7cp-5, 0x1.d3b1f833bd8b9p-5, 0x1.d08f7661c0dc9p-5, 0x1.cd5ca986945d5p-5, 0x1.ca1a2f0d7f456p-5, 0x1.c6c8a36738df6p-5, 0x1.c368a1f1c4c0dp-5, 0x1.bffac4e1432f5p-5, 0x1.bc7fa529b3f1bp-5, 0x1.b8f7da69a5ebbp-5, 0x1.b563fad5d9d91p-5, 0x1.b1c49b25cb243p-5, 0x1.ae1a4e812a199p-5, 0x1.aa65a66e35875p-5, 0x1.a6a732c10235ap-5, 0x1.a2df818b9c291p-5, 0x1.9f0f1f0f0da67p-5, 0x1.9b3695ad3d8acp-5, 0x1.97566ddba92f9p-5, 0x1.936f2e16f3878p-5, 0x1.8f815ad741b4cp-5, 0x1.8b8d76856bc89p-5, 0x1.87940170f1233p-5, 0x1.839579c6b7232p-5, 0x1.7f925b8886874p-5, 0x1.7b8b208549a0bp-5, 0x1.77804051ffb74p-5, 0x1.7372304368cc2p-5, 0x1.6f61636860942p-5, 0x1.6b4e4a84e5d96p-5, 0x1.6739540dc848fp-5, 0x1.6322ec24fb44p-5, 0x1.5f0b7c9686ac2p-5, 0x1.5af36cd60fad9p-5, 0x1.56db21fcf92f7p-5, 0x1.52c2fec915394p-5, 0x1.4eab639bdf364p-5, 0x1.4a94ae7a41e7cp-5, 0x1.467f3b0cdd697p-5, 0x1.426b62a0ccedcp-5, 0x1.3e597c28e5dd1p-5, 0x1.3a49dc3f6b6b1p-5, 0x1.363cd52835ed8p-5, 0x1.3232b6d341fe2p-5, 0x1.2e2bcedfacaf2p-5, 0x1.2a28689f0f18fp-5, 0x1.2628cd193cc68p-5, 0x1.222d431059bd3p-5, 0x1.1e360f054af16p-5, 0x1.1a43733c774d6p-5, 0x1.1655afc2d7e2cp-5, 0x1.126d027353c11p-5, 0x1.0e89a6fc6176bp-5, 0x1.0aabd6e5ec1fap-5, 0x1.06d3c9977931bp-5, 0x1.0301b45e852b8p-5, 0x1.fe6b94ea3dc98p-6, 0x1.f6e07a11629f5p-6, 0x1.ef627682029a8p-6, 0x1.e7f1e48eb1c9cp-6, 0x1.e08f1a9bb52fep-6, 0x1.d93a6b2dfddc6p-6, 0x1.d1f424fa6575bp-6, 0x1.cabc92f5306d9p-6, 0x1.c393fc61ca9d4p-6, 0x1.bc7aa4e2bc2d7p-6, 0x1.b570cc89c74e5p-6, 0x1.ae76afe83c1f1p-6, 0x1.a78c881f68babp-6, 0x1.a0b28af12ddc9p-6, 0x1.99e8ead0b1133p-6, 0x1.932fd6f31e6d9p-6, 0x1.8c877b6087b76p-6, 0x1.85f00104c6851p-6, 0x1.7f698dc06c531p-6, 0x1.78f44479bc7f5p-6, 0x1.7290452d9dd09p-6, 0x1.6c3dad0093073p-6, 0x1.65fc964fa82c6p-6, 0x1.5fcd18c155521p-6, 0x1.59af49565a4a5p-6, 0x1.53a33a7a848dcp-6, 0x1.4da8fc15638adp-6, 0x1.47c09b9ae88c2p-6, 0x1.41ea241be911ep-6, 0x1.3c259e568cc1cp-6, 0x1.367310c694a44p-6, 0x1.30d27fb58b281p-6, 0x1.2b43ed4ac7d15p-6, 0x1.25c7599b533ddp-6, 0x1.205cc2b9a529ap-6, 0x1.1b0424c5361e9p-6, 0x1.15bd79f9e907ap-6, 0x1.1088babf44366p-6, 0x1.0b65ddb78197ep-6, 0x1.0654d7ce6e5bdp-6, 0x1.01559c48146ccp-6, 0x1.f8d0399e735e1p-7, 0x1.ef18930749b17p-7, 0x1.e584221067ae5p-7, 0x1.dc12c1216f9a5p-7, 0x1.d2c447df3e352p-7, 0x1.c9988b46c8903p-7, 0x1.c08f5dc78eefdp-7, 0x1.b7a88f5da07e2p-7, 0x1.aee3edab275dp-7, 0x1.a64144118589ap-7, 0x1.9dc05bc9ffc0dp-7, 0x1.9560fbfde8507p-7, 0x1.8d22e9de6a365p-7, 0x1.8505e8bbc4b0ep-7, 0x1.7d09ba1c271c7p-7, 0x1.752e1dd2071d8p-7, 0x1.6d72d212079cp-7, 0x1.65d793886f272p-7, 0x1.5e5c1d6e173e9p-7, 0x1.5700299cf4dd9p-7, 0x1.4fc370a427fddp-7, 0x1.48a5a9db9211dp-7, 0x1.41a68b76f78a8p-7, 0x1.3ac5ca98b61fdp-7, 0x1.34031b63fa764p-7, 0x1.2d5e310e8c7f7p-7, 0x1.26d6bdf2272e4p-7, 0x1.206c739d5d782p-7, 0x1.1a1f02e411472p-7, 0x1.13ee1bef79f9cp-7, 0x1.0dd96e4dbd1bap-7, 0x1.07e0a90119a02p-7, 0x1.02037a8ea8033p-7, 0x1.f88322195d377p-8, 0x1.ed3534611a29ap-8, 0x1.e21c86b87e62ep-8, 0x1.d7387356f2369p-8, 0x1.cc885400bb08dp-8, 0x1.c20b821fa049fp-8, 0x1.b7c156dac8dffp-8, 0x1.ada92b2dd851cp-8, 0x1.a3c257ff48e1bp-8, 0x1.9a0c36360b9a8p-8, 0x1.90861ece6ce5ap-8, 0x1.872f6aee40c3cp-8, 0x1.7e0773f85ed1cp-8, 0x1.750d939f69981p-8, 0x1.6c4123f7e94f2p-8, 0x1.63a17f89bdc13p-8, 0x1.5b2e0160e5512p-8, 0x1.52e6051da2702p-8, 0x1.4ac8e703fdd23p-8, 0x1.42d6040aacb29p-8, 0x1.3b0cb9e958579p-8, 0x1.336c672652f0bp-8, 0x1.2bf46b23b2c53p-8, 0x1.24a4262bde1dp-8, 0x1.1d7af97d89dd7p-8, 0x1.167847572a482p-8, 0x1.0f9b7301ddbefp-8, 0x1.08e3e0dbcf943p-8, 0x1.0250f6621cc0ap-8, 0x1.f7c434746b6e1p-9, 0x1.eb2d68758c1d6p-9, 0x1.dedc5ae8488a4p-9, 0x1.d2cfe07090ef2p-9, 0x1.c706d044a4794p-9, 0x1.bb80043b3c5f8p-9, 0x1.b03a58d8db6b1p-9, 0x1.a534ad5c47053p-9, 0x1.9a6de3ca36bb2p-9, 0x1.8fe4e0f83137p-9, 0x1.85988c96aee32p-9, 0x1.7b87d13a76f3fp-9, 0x1.71b19c65469dep-9, 0x1.6814de8dc1e4cp-9, 0x1.5eb08b26b8b8ep-9, 0x1.558398a5c0f0dp-9, 0x1.4c8d00892ac14p-9, 0x1.43cbbf5d5704ap-9, 0x1.3b3ed4c173d34p-9, 0x1.32e5436ba2cc8p-9, 0x1.2abe112c8b522p-9, 0x1.22c846f266379p-9, 0x1.1b02f0cb7e655p-9, 0x1.136d1de82dc0ap-9, 0x1.0c05e09c5d1a9p-9, 0x1.04cc4e6089f52p-9, 0x1.fb7effa4a9e18p-10, 0x1.edbd21693e23fp-10, 0x1.e0513fde72827p-10, 0x1.d3399f1c55095p-10, 0x1.c67489811f8aap-10, 0x1.ba004fae333fcp-10, 0x1.addb48845bc61p-10, 0x1.a203d11f57348p-10, 0x1.96784cd0b54fp-10, 0x1.8b37251a12587p-10, 0x1.803ec9a6aa21dp-10, 0x1.758db044579bbp-10, 0x1.6b2254dc08cacp-10, 0x1.60fb3969963c6p-10, 0x1.5716e5f328c44p-10, 0x1.4d73e8800f1c1p-10, 0x1.4410d50f264d4p-10, 0x1.3aec458cc7611p-10, 0x1.3204d9c84c5c3p-10, 0x1.295937692b636p-10, 0x1.20e809e3aa4c4p-10, 0x1.18b0026d3ffc4p-10, 0x1.10afd7f08f533p-10, 0x1.08e6470120c84p-10, 0x1.015211ceb65bcp-10, 0x1.f3e40030db172p-11, 0x1.e589be3f1818fp-11, 0x1.d79303342428bp-11, 0x1.c9fd7f4a20232p-11, 0x1.bcc6ed6d870d9p-11, 0x1.afed1320ff517p-11, 0x1.a36dc060cdd86p-11, 0x1.9746cf85ee2e8p-11, 0x1.8b762528dcbbap-11, 0x1.7ff9b00413865p-11, 0x1.74cf68d647769p-11, 0x1.69f5524467e53p-11, 0x1.5f6978bb67e71p-11, 0x1.5529f251da1b9p-11, 0x1.4b34dea962d24p-11, 0x1.418866d005b68p-11, 0x1.3822bd215754bp-11, 0x1.2f021d279687bp-11, 0x1.2624cb7cb2158p-11, 0x1.1d8915ab4175cp-11, 0x1.152d520f74d07p-11, 0x1.0d0fdfb8019b6p-11, 0x1.052f26470da4fp-11, 0x1.fb132ba643186p-12, 0x1.ec3b4d90471dap-12, 0x1.ddd3b390bc8b3p-12, 0x1.cfd96f1b36644p-12, 0x1.c249a1949db9ap-12, 0x1.b5217c15c0d76p-12, 0x1.a85e3f2e15c9cp-12, 0x1.9bfd3aa6be2f7p-12, 0x1.8ffbcd45cbe61p-12, 0x1.84576491d3a01p-12, 0x1.790d7c95ce4acp-12, 0x1.6e1b9fa54f928p-12, 0x1.637f662117603p-12, 0x1.5936763c03b6ep-12, 0x1.4f3e83c066ffap-12, 0x1.45954fd5c5048p-12, 0x1.3c38a8c6ff27cp-12, 0x1.332669c8f2199p-12, 0x1.2a5c7ac1857e2p-12, 0x1.21d8d00f36f9fp-12, 0x1.19996a511e63ep-12, 0x1.119c562f72c45p-12, 0x1.09dfac248ec8bp-12, 0x1.026190467cc52p-12, 0x1.f6406422100a9p-13, 0x1.e8339860ab578p-13, 0x1.da9948981a776p-13, 0x1.cd6e15a61a64dp-13, 0x1.c0aeb58f5afbcp-13, 0x1.b457f31929894p-13, 0x1.a866ad6444979p-13, 0x1.9cd7d788d55d8p-13, 0x1.91a878338ecf9p-13, 0x1.86d5a94408d86p-13, 0x1.7c5c976c3bcc4p-13, 0x1.723a81d13803bp-13, 0x1.686cb9ad0c1a6p-13, 0x1.5ef0a1f1e0203p-13, 0x1.55c3aeee48711p-13, 0x1.4ce365f2cbb13p-13, 0x1.444d5cf8a23d8p-13, 0x1.3bff3a49ae283p-13, 0x1.33f6b429a7419p-13, 0x1.2c319080817a5p-13, 0x1.24ada4860bd3p-13, 0x1.1d68d46ec6f17p-13, 0x1.16611319eedb6p-13, 0x1.0f9461c0c0d87p-13, 0x1.0900cfa6ef11ap-13, 0x1.02a479cc56a5dp-13, 0x1.f8fb153fb15b1p-14, 0x1.ed147366e432p-14, 0x1.e19196e300cb7p-14, 0x1.d66f21a66656p-14, 0x1.cba9ce3068cc8p-14, 0x1.c13e6efee76b9p-14, 0x1.b729ee0247a4dp-14, 0x1.ad694c13b5efap-14, 0x1.a3f9a06dbe7aep-14, 0x1.9ad81827284fbp-14, 0x1.9201f5b01e9bbp-14, 0x1.897490518ffdap-14, 0x1.812d53aed3b01p-14, 0x1.7929bf49814adp-14, 0x1.716766077da0bp-14, 0x1.69e3edbb3529ap-14, 0x1.629d0eadfe62p-14, 0x1.5b90932ca0b49p-14, 0x1.54bc5715f9435p-14, 0x1.4e1e476bb7fabp-14, 0x1.47b461e530f7cp-14, 0x1.417cb4843a26ap-14, 0x1.3b755d2c12934p-14, 0x1.359c893a4a0ecp-14, 0x1.2ff07521a6ff5p-14, 0x1.2a6f6c070211fp-14, 0x1.2517c760117fap-14, 0x1.1fe7ee9420a81p-14, 0x1.1ade569eabe6p-14, 0x1.15f981b3d997cp-14, 0x1.1137fee6ce316p-14, 0x1.0c9869d1cfa3cp-14, 0x1.08196a4038d0ap-14, 0x1.03b9b3da2efe5p-14, 0x1.fef00ba43631ap-15, 0x1.f6a65527b4a3cp-15, 0x1.ee93eeeb46d86p-15, 0x1.e6b698d532fa8p-15, 0x1.df0c276e0baf8p-15, 0x1.d792834c676e1p-15, 0x1.d047a883cc34ep-15, 0x1.c929a616c5e7ap-15, 0x1.c2369d6c1bca1p-15, 0x1.bb6cc1c71486fp-15, 0x1.b4ca57c2c2febp-15, 0x1.ae4db4d0480d4p-15, 0x1.a7f53eb805504p-15, 0x1.a1bf6b1daeea4p-15, 0x1.9baabf07339cbp-15, 0x1.95b5ce666cd03p-15, 0x1.8fdf3ba58cdp-15, 0x1.8a25b7364122bp-15, 0x1.8487ff2376437p-15, 0x1.7f04dea5b9da5p-15, 0x1.799b2dba2bf5ap-15, 0x1.7449d0bbf1ef7p-15, 0x1.6f0fb80022b5fp-15, 0x1.69ebdf7422bc2p-15, 0x1.64dd4e3e5d33ep-15, 0x1.5fe316615a8fdp-15, 0x1.5afc54611d9bap-15, 0x1.56282eeac6158p-15, 0x1.5165d67e69a6ep-15, 0x1.4cb4851b16a08p-15, 0x1.48137decfbca8p-15, 0x1.43820cfda512ap-15, 0x1.3eff86e648c4ap-15, 0x1.3a8b488413a6ep-15, 0x1.3624b6ae7173cp-15, 0x1.31cb3def44011p-15, 0x1.2d7e523cff592p-15, 0x1.293d6eb6a168fp-15, 0x1.250815617c9cfp-15, 0x1.20ddcee8cc6acp-15, 0x1.1cbe2a5f0617cp-15, 0x1.18a8bd00e3edap-15, 0x1.149d21fa1bbd2p-15, 0x1.109afa2bba8d3p-15, 0x1.0ca1ebf41aa9p-15, 0x1.08b1a2f86d8f9p-15, 0x1.04c9cfefd2909p-15, 0x1.00ea286fea993p-15, 0x1.fa24cd75d4879p-16, 0x1.f284931e34a4fp-16, 0x1.eaf327ef87612p-16, 0x1.e3701a3ef6312p-16, 0x1.dbfb004791883p-16, 0x1.d49377d43ce84p-16, 0x1.cd3925ec39169p-16, 0x1.c5ebb6822923p-16, 0x1.beaadc2599786p-16, 0x1.b7764fb6e7cfbp-16, 0x1.b04dd01d89248p-16, 0x1.a9312200980c3p-16, 0x1.a2200f81a9473p-16, 0x1.9b1a67f9c9008p-16, 0x1.941fffb8a2e5ap-16, 0x1.8d30afc5ba6c2p-16, }}, 
      {{0x1.1c7a1ffd571e7p-1, 0x1.1bec6507b7be3p-1, 0x1.1b01266d4bf8cp-1, 0x1.19b9d27ce0c75p-1, 0x1.18185c7cd548cp-1, 0x1.161f30b79dc93p-1, 0x1.13d126e32b68ap-1, 0x1.113173a5a11d2p-1, 0x1.0e4399d84810bp-1, 0x1.0b0b5c0658693p-1, 0x1.078cae8482a33p-1, 0x1.03cbaa622f2aap-1, 0x1.ff9902bd3c348p-2, 0x1.f726e5f41a0d6p-2, 0x1.ee49855a96c52p-2, 0x1.e5095e8f95cep-2, 0x1.db6ed6d96774fp-2, 0x1.d1822e4448b66p-2, 0x1.c74b74c43a65dp-2, 0x1.bcd2813481dbcp-2, 0x1.b21eea0c75f49p-2, 0x1.a737ffa040eadp-2, 0x1.9c24c7c450bdbp-2, 0x1.90ebfaab602f1p-2, 0x1.859400d8b0f21p-2, 0x1.7a22f20260835p-2, 0x1.6e9e94c24ab73p-2, 0x1.630c5ef6afd0ap-2, 0x1.577176b6a76e2p-2, 0x1.4bd2b3c12dae2p-2, 0x1.4034a1505961p-2, 0x1.349b803cd2d2cp-2, 0x1.290b496011ecap-2, 0x1.1d87b026270d5p-2, 0x1.12142541c7c87p-2, 0x1.06b3d9774c5c5p-2, 0x1.f6d380e9a1905p-3, 0x1.e071275e75c5p-3, 0x1.ca45aa7a596e6p-3, 0x1.b455a554196d4p-3, 0x1.9ea54f78aeaecp-3, 0x1.89388256a3374p-3, 0x1.7412be81e6794p-3, 0x1.5f3730cb31b09p-3, 0x1.4aa8b72738327p-3, 0x1.3669e562f67d5p-3, 0x1.227d09a34dd58p-3, 0x1.0ee430aeeb975p-3, 0x1.f7425404158a7p-4, 0x1.d16b1758b52f2p-4, 0x1.ac456bf339e3bp-4, 0x1.87d3adcc40aafp-4, 0x1.6417dac0e1e1ap-4, 0x1.411398b3d6cd6p-4, 0x1.1ec83b502b3d8p-4, 0x1.fa6d92e3022bbp-5, 0x1.b8c0046c655d9p-5, 0x1.7888c37f8bcf8p-5, 0x1.39c84b4c633bfp-5, 0x1.f8fd4489f63adp-6, 0x1.8156c3d4fac61p-6, 0x1.0c9b7c35570e2p-6, 0x1.35922f9a0476ap-7, 0x1.5ee47fa40210ap-9, -0x1.00b71b08fe1b4p-8, -0x1.52b4628e52c87p-7, -0x1.0fad83771f92ap-6, -0x1.732d16297db99p-6, -0x1.d3debdd376e02p-6, -0x1.18e460dad4befp-5, -0x1.4678e9c493019p-5, -0x1.72b083d0ff86fp-5, -0x1.9d8ee6bf2d7dbp-5, -0x1.c717f45ce387ep-5, -0x1.ef4fb52ea8bd9p-5, -0x1.0b1d2aa16c402p-4, -0x1.1dee10965ad54p-4, -0x1.301cc19262c08p-4, -0x1.41ab8026052ap-4, -0x1.529c9b07f9a66p-4, -0x1.62f26bd68ea2bp-4, -0x1.72af55e798b85p-4, -0x1.81d5c5263261dp-4, -0x1.90682cfda43dep-4, -0x1.9e690750df47ep-4, -0x1.abdad37e078cbp-4, -0x1.b8c0156d91ed4p-4, -0x1.c51b54ac9f14p-4, -0x1.d0ef1b92146dbp-4, -0x1.dc3df66e507c8p-4, -0x1.e70a72c4e7a0cp-4, -0x1.f1571e906cdbep-4, -0x1.fb26878fc45efp-4, -0x1.023d9d4e73a21p-3, -0x1.06abe18662006p-3, -0x1.0adf550c0609p-3, -0x1.0ed93b2657c68p-3, -0x1.129ad583e9c83p-3, -0x1.162563fbfe9b4p-3, -0x1.197a24539a9cfp-3, -0x1.1c9a520684f3dp-3, -0x1.1f87261402e96p-3, -0x1.2241d6cf3eaf9p-3, -0x1.24cb97b33825ep-3, -0x1.2725993a21b5ep-3, -0x1.295108b80617ap-3, -0x1.2b4f10389e5cep-3, -0x1.2d20d6603271p-3, -0x1.2ec77e4f6625p-3, -0x1.30442789dcc9cp-3, -0x1.3197eddf81362p-3, -0x1.32c3e95860a0fp-3, -0x1.33c92e22fb472p-3, -0x1.34a8cc84db602p-3, -0x1.3563d0cd660dcp-3, -0x1.35fb434aba4e8p-3, -0x1.367028408efd3p-3, -0x1.36c37fe0dcd99p-3, -0x1.36f646464e72p-3, -0x1.370973704d77bp-3, -0x1.36fdfb40969eap-3, -0x1.36d4cd7a337e3p-3, -0x1.368ed5c1cd3ffp-3, -0x1.362cfb9f30881p-3, -0x1.35b0227ffc6ebp-3, -0x1.351929bb54f5fp-3, -0x1.3468ec968845p-3, -0x1.33a0424a9ebe9p-3, -0x1.32bffe0aac9adp-3, -0x1.31c8ef0ae5e64p-3, -0x1.30bbe08852971p-3, -0x1.2f9999d11f34fp-3, -0x1.2e62de4d7414dp-3, -0x1.2d186d88c435cp-3, -0x1.2bbb033b83e8ap-3, -0x1.2a4b575541fcp-3, -0x1.28ca1e070c8dbp-3, -0x1.273807ce1fbf5p-3, -0x1.2595c17ecbd53p-3, -0x1.23e3f44f8f3acp-3, -0x1.222345e4581c6p-3, -0x1.20545859e4cap-3, -0x1.1e77ca5140403p-3, -0x1.1c8e36fb485d7p-3, -0x1.1a9836244cb9p-3, -0x1.18965c3fa3cccp-3, -0x1.16893a734b8ep-3, -0x1.14715ea382fd2p-3, -0x1.124f537e5a089p-3, -0x1.1023a08737c2p-3, -0x1.0deeca225443dp-3, -0x1.0bb151a017517p-3, -0x1.096bb54870cfdp-3, -0x1.071e706611934p-3, -0x1.04c9fb518ff1dp-3, -0x1.026ecb7c74967p-3, -0x1.000d537c2a4cbp-3, -0x1.fb4c0629addc4p-4, -0x1.f6728e8825c48p-4, -0x1.f18f14971a8acp-4, -0x1.eca2677714781p-4, -0x1.e7ad50fa94d02p-4, -0x1.e2b095bab378dp-4, -0x1.ddacf52b6bb5fp-4, -0x1.d8a329afcafc4p-4, -0x1.d393e8addb288p-4, -0x1.ce7fe2a259b27p-4, -0x1.c967c33434d17p-4, -0x1.c44c3147de68ep-4, -0x1.bf2dcf125ddcdp-4, -0x1.ba0d3a2c423cbp-4, -0x1.b4eb0ba44e0f2p-4, -0x1.afc7d81208bacp-4, -0x1.aaa42fa8141e4p-4, -0x1.a5809e46562e2p-4, -0x1.a05dab8bfda04p-4, -0x1.9b3bdae95e218p-4, -0x1.961babb197106p-4, -0x1.90fd992c1a603p-4, -0x1.8be21aa61187dp-4, -0x1.86c9a38393ffep-4, -0x1.81b4a350be6f8p-4, -0x1.7ca385d2a37ffp-4, -0x1.7796b3181c515p-4, -0x1.728e8f8a75931p-4, -0x1.6d8b7bfdfb89bp-4, -0x1.688dd5c266101p-4, -0x1.6395f6b32466fp-4, -0x1.5ea4354789b44p-4, -0x1.59b8e4a2dab8fp-4, -0x1.54d454a43ceaap-4, -0x1.4ff6d1f68669fp-4, -0x1.4b20a61ff287p-4, -0x1.46521791b4d98p-4, -0x1.418b69b771f5p-4, -0x1.3cccdd0698ccdp-4, -0x1.3816af0d9e5d2p-4, -0x1.33691a831c4cep-4, -0x1.2ec45754d201ep-4, -0x1.2a289ab68636fp-4, -0x1.25961730cc4p-4, -0x1.210cfcafa9fd2p-4, -0x1.1c8d78911f31cp-4, -0x1.1817b5b38d8b2p-4, -0x1.13abdc840264cp-4, -0x1.0f4a130c5fa76p-4, -0x1.0af27d016556dp-4, -0x1.06a53bd099e0fp-4, -0x1.02626eae12674p-4, -0x1.fc546544311bcp-5, -0x1.f3f9452d5f23cp-5, -0x1.ebb3aec9eb51ep-5, -0x1.e383cfc4c78f2p-5, -0x1.db69d1dbd252fp-5, -0x1.d365daf9c8649p-5, -0x1.cb780d4fea424p-5, -0x1.c3a0876f5bde5p-5, -0x1.bbdf6462374ecp-5, -0x1.b434bbc4553fp-5, -0x1.aca0a1dbc8aeep-5, -0x1.a52327b10d48ep-5, -0x1.9dbc5b26e742fp-5, -0x1.966c4711f5d7p-5, -0x1.8f32f34ff30d2p-5, -0x1.881064dea6773p-5, -0x1.81049df2837c1p-5, -0x1.7a0f9e0cf81dbp-5, -0x1.73316212674edp-5, -0x1.6c69e45fd0f2dp-5, -0x1.65b91ce025c76p-5, -0x1.5f1f01214682p-5, -0x1.589b8468b0993p-5, -0x1.522e97c7d0facp-5, -0x1.4bd82a30068a6p-5, -0x1.459828864a32bp-5, -0x1.3f6e7db684488p-5, -0x1.395b12c688e9p-5, -0x1.335dcee8bf8dp-5, -0x1.2d76978e73003p-5, -0x1.27a55079c9624p-5, -0x1.21e9dbcf68c55p-5, -0x1.1c441a27c15f3p-5, -0x1.16b3eaa002f02p-5, -0x1.11392aeabb40fp-5, -0x1.0bd3b7601d602p-5, -0x1.06836b0df57bp-5, -0x1.01481fc7424b3p-5, -0x1.f8435c66f9c6p-6, -0x1.ee1fdbbb11bb3p-6, -0x1.e4256a84a476p-6, -0x1.da53b3be25d71p-6, -0x1.d0aa607e90fap-6, -0x1.c7291814a728ap-6, -0x1.bdcf80218cf52p-6, -0x1.b49d3cb2bfd99p-6, -0x1.ab91f05b6ccf9p-6, -0x1.a2ad3c4d1d508p-6, -0x1.99eec06fce73ap-6, -0x1.91561b795fdd5p-6, -0x1.88e2eb046b63cp-6, -0x1.8094cba67daadp-6, -0x1.786b5905b60dp-6, -0x1.70662dedcc685p-6, -0x1.6884e46483257p-6, -0x1.60c715bd835cp-6, -0x1.592c5aada0f7ap-6, -0x1.51b44b5d9875ep-6, -0x1.4a5e7f7c311ffp-6, -0x1.432a8e4fdbad9p-6, -0x1.3c180ec7bff28p-6, -0x1.3526978c44241p-6, -0x1.2e55bf0f0b9b3p-6, -0x1.27a51b9a7096ep-6, -0x1.211443607d38bp-6, -0x1.1aa2cc895e196p-6, -0x1.14504d415df16p-6, -0x1.0e1c5bc65c42p-6, -0x1.08068e74d1ff9p-6, -0x1.020e7bd45628bp-6, -0x1.f8677547638fp-7, -0x1.ecebc3c8fb734p-7, -0x1.e1a911cca2945p-7, -0x1.d69e8ea2f7f7p-7, -0x1.cbcb6a62ae579p-7, -0x1.c12ed5fc5aef9p-7, -0x1.b6c8034d64754p-7, -0x1.ac96253236ed6p-7, -0x1.a2986f97a0287p-7, -0x1.98ce178b7111bp-7, -0x1.8f36534c5b5e8p-7, -0x1.85d05a590fd61p-7, -0x1.7c9b657eae15bp-7, -0x1.7396aee676561p-7, -0x1.6ac17222d686fp-7, -0x1.621aec3bc6169p-7, -0x1.59a25bba7d0f3p-7, -0x1.515700b4868b2p-7, -0x1.49381cd63dfa5p-7, -0x1.4144f36ca4813p-7, -0x1.397cc96ea99bp-7, -0x1.31dee585e0aa5p-7, -0x1.2a6a9016a5ff3p-7, -0x1.231f1347b9f1fp-7, -0x1.1bfbbb0956b63p-7, -0x1.14ffd51bc2defp-7, -0x1.0e2ab11565393p-7, -0x1.077ba0685d39p-7, -0x1.00f1f667a40dep-7, -0x1.f51a109773c84p-8, -0x1.e8985a6dc5653p-8, -0x1.dc5d7c71ec34ep-8, -0x1.d0682ca58b724p-8, -0x1.c4b724f23b2b8p-8, -0x1.b949232ec4143p-8, -0x1.ae1ce9239a3fdp-8, -0x1.a3313c8ea2974p-8, -0x1.9884e7264309ap-8, -0x1.8e16b69bc7e16p-8, -0x1.83e57c9d2307ep-8, -0x1.79f00ed60b687p-8, -0x1.703546f081cb3p-8, -0x1.66b40294c0822p-8, -0x1.5d6b23689c18p-8, -0x1.54598f0e5d74bp-8, -0x1.4b7e2f23125cap-8, -0x1.42d7f13c6457bp-8, -0x1.3a65c6e5f2e68p-8, -0x1.3226a59e39cp-8, -0x1.2a1986d306301p-8, -0x1.223d67dd84508p-8, -0x1.1a9149fde26ccp-8, -0x1.1314325693d95p-8, -0x1.0bc529e738096p-8, -0x1.04a33d8725984p-8, -0x1.fb5afbbf45b68p-9, -0x1.edc5fecb99a39p-9, -0x1.e085b4a864bddp-9, -0x1.d398554848253p-9, -0x1.c6fc200d85dcbp-9, -0x1.baaf5bbb97372p-9, -0x1.aeb0566845babp-9, -0x1.a2fd656c55ad9p-9, -0x1.9794e553c09bfp-9, -0x1.8c7539cd85781p-9, -0x1.819ccd9b1fc82p-9, -0x1.770a127f9c5p-9, -0x1.6cbb812e612b5p-9, -0x1.62af9939a3b6dp-9, -0x1.58e4e100954a9p-9, -0x1.4f59e59d4ea6bp-9, -0x1.460d3ad27fb49p-9, -0x1.3cfd7af8dfaap-9, -0x1.342946ec74a4fp-9, -0x1.2b8f45f9a0bacp-9, -0x1.232e25ca0dd12p-9, -0x1.1b049a51705dcp-9, -0x1.13115dba2aa0bp-9, -0x1.0b533051cfc73p-9, -0x1.03c8d875923adp-9, -0x1.f8e244fd35b7p-10, -0x1.ea95c15ca0ed7p-10, -0x1.dca9d6351cb5cp-10, -0x1.cf1c3f33adf44p-10, -0x1.c1eac35ef214bp-10, -0x1.b51334ef712bcp-10, -0x1.a8937127de14dp-10, -0x1.9c69602d6f551p-10, -0x1.9092f4e0325d2p-10, -0x1.850e2cb37c11p-10, -0x1.79d90f8665b21p-10, -0x1.6ef1af7c6cb0fp-10, -0x1.645628d62a235p-10, -0x1.5a04a1ca38641p-10, -0x1.4ffb4a5e38392p-10, -0x1.46385c4009c48p-10, -0x1.3cba1a9f315ddp-10, -0x1.337ed20673979p-10, -0x1.2a84d835abcffp-10, -0x1.21ca8bfbdd4e1p-10, -0x1.194e55117caa4p-10, -0x1.110ea3f306e6ap-10, -0x1.0909f1bbd8b49p-10, -0x1.013ec0014981dp-10, -0x1.f357315c29515p-11, -0x1.e49e1bbc25cdcp-11, -0x1.d64f73747a7b1p-11, -0x1.c8687caa079cfp-11, -0x1.bae68b0df1a9ep-11, -0x1.adc701979e511p-11, -0x1.a107523f62f22p-11, -0x1.94a4fdb9e2f2p-11, -0x1.889d9334214ep-11, -0x1.7ceeb0104ca25p-11, -0x1.7195ffa341cfp-11, -0x1.66913af2cc372p-11, -0x1.5bde2874a3d3dp-11, -0x1.517a9bce2c417p-11, -0x1.47647594f3e17p-11, -0x1.3d99a30ff8775p-11, -0x1.34181df9af016p-11, -0x1.2addec42d1b92p-11, -0x1.21e91fd5f67d8p-11, -0x1.1937d65bea451p-11, -0x1.10c83900d7735p-11, -0x1.08987c3a33e9fp-11, -0x1.00a6df8d78a3bp-11, -0x1.f1e35aaf477d8p-12, -0x1.e2ee752b039ffp-12, -0x1.d46bcd5989268p-12, -0x1.c658366bbf897p-12, -0x1.b8b0978d60d2ep-12, -0x1.ab71eb7bdc9cep-12, -0x1.9e99401ec7d3ep-12, -0x1.9223b621df183p-12, -0x1.860e80909416fp-12, -0x1.7a56e4732d0e7p-12, -0x1.6efa386d696fbp-12, -0x1.63f5e45eb2d05p-12, -0x1.59476103d6205p-12, -0x1.4eec379a3c947p-12, -0x1.44e20184aea1dp-12, -0x1.3b2667f18f78ep-12, -0x1.31b723829a036p-12, -0x1.2891fbf61988bp-12, -0x1.1fb4c7d194f88p-12, -0x1.171d6c0df4f57p-12, -0x1.0ec9dbc517916p-12, -0x1.06b817e0d4e1fp-12, -0x1.fdcc5d96d6d65p-13, -0x1.eea47842b390fp-13, -0x1.dff4d0c93107bp-13, -0x1.d1b9d1626bd19p-13, -0x1.c3effce69f8a3p-13, -0x1.b693ee3ccfe1dp-13, -0x1.a9a257cc17eabp-13, -0x1.9d1802efa425dp-13, -0x1.90f1cf6d48e4ep-13, -0x1.852cb2eea94ccp-13, -0x1.79c5b87ceef6fp-13, -0x1.6eb9ffff0db33p-13, -0x1.6406bdba79486p-13, -0x1.59a939d659d1ep-13, -0x1.4f9ecfe12d9c8p-13, -0x1.45e4ee58cdb2dp-13, -0x1.3c791634d2669p-13, -0x1.3358da734fbafp-13, -0x1.2a81dfa7dc2d4p-13, -0x1.21f1db8cde419p-13, -0x1.19a694971b6c3p-13, -0x1.119de18b756cdp-13, -0x1.09d5a916dc6afp-13, -0x1.024be16863cddp-13, -0x1.f5fd1f9ada6bep-14, -0x1.e7d7909ff39a1p-14, -0x1.da235aade45fep-14, -0x1.ccdcde9111f4ap-14, -0x1.c000985d123a4p-14, -0x1.b38b1eb94b3c6p-14, -0x1.a77922315a0f1p-14, -0x1.9bc76c895763ap-14, -0x1.9072e015c02dfp-14, -0x1.857877171e74ap-14, -0x1.7ad5431940c24p-14, -0x1.70866c560203dp-14, -0x1.6689311b8e615p-14, -0x1.5cdae53614aa1p-14, -0x1.5378f15cd73p-14, -0x1.4a60d2a28babfp-14, -0x1.419019e8fc7a5p-14, -0x1.39046b57db28ap-14, -0x1.30bb7dd6b840dp-14, -0x1.28b31a8a0e216p-14, -0x1.20e91c5353e4ep-14, -0x1.195b6f5409653p-14, -0x1.12081073ad38dp-14, -0x1.0aed0ce8903b9p-14, -0x1.040881c377b04p-14, -0x1.fab136fc03cf3p-15, -0x1.edb72b177e0a9p-15, -0x1.e11f73dbe22d6p-15, -0x1.d4e6c193ca839p-15, -0x1.c909e003b8a16p-15, -0x1.bd85b5a0e2fb3p-15, -0x1.b25742ccec40ep-15, -0x1.a77ba1166c598p-15, -0x1.9cf0027e297dcp-15, -0x1.92b1b0c0f6fddp-15, -0x1.88be0ca616081p-15, -0x1.7f128d52066c8p-15, -0x1.75acbf9db0aabp-15, -0x1.6c8a4571ce44p-15, -0x1.63a8d52680d49p-15, -0x1.5b0638e6f9535p-15, -0x1.52a04e191f9dep-15, -0x1.4a7504c9250fdp-15, -0x1.42825f18e609cp-15, -0x1.3ac670b310afp-15, -0x1.333f5e41f06c1p-15, -0x1.2beb5ce9d1aa6p-15, -0x1.24c8b1c6eb507p-15, -0x1.1dd5b16eb084ap-15, -0x1.1710bf74837c5p-15, -0x1.10784df1ad9aep-15, -0x1.0a0add108f8acp-15, -0x1.03c6fa9af2faap-15, -0x1.fb568316e20d1p-16, -0x1.ef6cb343a8df9p-16, -0x1.e3cdedf4dbd5dp-16, -0x1.d877b350890fap-16, -0x1.cd679aa42797bp-16, -0x1.c29b51a405e85p-16, -0x1.b8109bb01a2d6p-16, -0x1.adc5511e028c3p-16, -0x1.a3b75e8824de2p-16, -0x1.99e4c421c1e93p-16, -0x1.904b950fedad8p-16, -0x1.86e9f6c73eaa2p-16, -0x1.7dbe206e243e4p-16, -0x1.74c65a43bf671p-16, -0x1.6c00fd0b2b1ecp-16, -0x1.636c717b091fep-16, -0x1.5b072fb14bd88p-16, -0x1.52cfbeab15ec4p-16, -0x1.4ac4b3c0977c7p-16, -0x1.42e4b224d5c2dp-16, -0x1.3b2e6a693d49ep-16, -0x1.33a09a04ea95fp-16, -0x1.2c3a0adf9176dp-16, -0x1.24f992dfe7a15p-16, -0x1.1dde137d836e5p-16, -0x1.16e679560fc2cp-16, -0x1.1011bbc5c547ap-16, -0x1.095edc8310707p-16, -0x1.02cce73d53061p-16, -0x1.f8b5e27d4d196p-17, -0x1.ec10322123a5dp-17, -0x1.dfa70c4730e6p-17, -0x1.d378d0f3345dap-17, -0x1.c783f0a5bdafbp-17, -0x1.bbc6ebbb9aa4dp-17, -0x1.b04051d2702bdp-17, -0x1.a4eec1323c09ap-17, -0x1.99d0e63bd083ap-17, -0x1.8ee57adbfac08p-17, -0x1.842b46034f8e4p-17, -0x1.79a11b226c1abp-17, -0x1.6f45d9aa99551p-17, -0x1.65186c92a99d2p-17, -0x1.5b17c9dff6cffp-17, -0x1.5142f23363decp-17, -0x1.4798f05a44661p-17, -0x1.3e18d8e3063bap-17, -0x1.34c1c9b59499fp-17, -0x1.2b92e9af46a3fp-17, -0x1.228b68424a45ep-17, -0x1.19aa7d186d78dp-17, -0x1.10ef67b92f481p-17, -0x1.08596f32ff86p-17, -0x1.ffcfc38f2881ap-18, -0x1.ef34293680b7fp-18, -0x1.dedec6ce65093p-18, -0x1.cece605d0e0edp-18, -0x1.bf01c5ec30238p-18, -0x1.af77d2fdeb7a1p-18, -0x1.a02f6e06e6e4cp-18, -0x1.912787ed6933dp-18, -0x1.825f1b8d4cd9ep-18, -0x1.73d52d40a8f15p-18, -0x1.6588ca6d058dbp-18, -0x1.57790915008c1p-18, -0x1.49a5076e342ecp-18, -0x1.3c0beb7b482d9p-18, -0x1.2eace2aa03b89p-18, -0x1.2187217546c6p-18, -0x1.1499e30ac40c3p-18, -0x1.07e468f46327ep-18, -0x1.f6cbf58a54253p-19, -0x1.de3bcb931eb87p-19, -0x1.c616f976394fp-19, -0x1.ae5c2eee836ap-19, -0x1.970a257280212p-19, -0x1.801f9fae26d63p-19, -0x1.699b69027c43dp-19, -0x1.537c550ac096dp-19, -0x1.3dc13f27059d9p-19, -0x1.28690a0bf92a1p-19, -0x1.13729f57ba26bp-19, -0x1.fdb9de571a409p-20, -0x1.d54ddf947b192p-20, -0x1.ad9f3a7615df5p-20, -0x1.86abf1e1ee72ep-20, -0x1.607212ec8bdb4p-20, -0x1.3aefb4382c5f3p-20, -0x1.1622f55bbe65cp-20, -0x1.e413fca2f6a0cp-21, -0x1.9d45fdd97914cp-21, -0x1.57d85cadbdfbcp-21, -0x1.13c79525cac31p-21, -0x1.a220601e7535cp-22, -0x1.1f5d844021077p-22, }}, 
      {{0x1.1c99aec5659b1p-1, 0x1.1c6a63e8388d1p-1, 0x1.1c1bc3c9a8b07p-1, 0x1.1bae185a2900ep-1, 0x1.1b21c720aedfap-1, 0x1.1a774f6ee6bccp-1, 0x1.19af4849e04d6p-1, 0x1.18ca5e2120ef9p-1, 0x1.17c9506ac1f64p-1, 0x1.16acef377974ap-1, 0x1.157618cd95639p-1, 0x1.1425b7567ac5p-1, 0x1.12bcbea72d8c2p-1, 0x1.113c2a29e3104p-1, 0x1.0fa4faec8df94p-1, 0x1.0df835d6a6a6fp-1, 0x1.0c36e2072d2e3p-1, 0x1.0a62075adace9p-1, 0x1.087aad19b777bp-1, 0x1.0681d8cab580cp-1, 0x1.04788d2b8ad59p-1, 0x1.025fc94abb59fp-1, 0x1.003887c19030fp-1, 0x1.fc077c174ff0dp-2, 0x1.f784b7f379497p-2, 0x1.f2ea967a82c11p-2, 0x1.ee3ade15115cep-2, 0x1.e977479e77c86p-2, 0x1.e4a17df603856p-2, 0x1.dfbb1db0b3769p-2, 0x1.dac5b4e796cc1p-2, 0x1.d5c2c31f62827p-2, 0x1.d0b3b9460a89ap-2, 0x1.cb99f9c377c04p-2, 0x1.c676d89ab02ep-2, 0x1.c14b9b990872dp-2, 0x1.bc197a9136e68p-2, 0x1.b6e19fa04bfe3p-2, 0x1.b1a5277adace5p-2, 0x1.ac6521c0bc986p-2, 0x1.a72291560f1d8p-2, 0x1.a1de6cc03500bp-2, 0x1.9c999e85c6abp-2, 0x1.975505907ac2fp-2, 0x1.921175903d3a4p-2, 0x1.8ccfb75eb5a05p-2, 0x1.87908962a0286p-2, 0x1.82549ff276c38p-2, 0x1.7d1ca5b5ee48p-2, 0x1.77e93c05eecfcp-2, 0x1.72bafb4ab2db3p-2, 0x1.6d927357c9efap-2, 0x1.68702bc5cc1c7p-2, 0x1.6354a449934d3p-2, 0x1.5e405508dba05p-2, 0x1.5933aeec33722p-2, 0x1.542f1bee2c282p-2, 0x1.4f32ff67c757bp-2, 0x1.4a3fb65a185c3p-2, 0x1.455597b522b8fp-2, 0x1.4074f49bfafdbp-2, 0x1.3b9e18a6352d2p-2, 0x1.36d14a1eadd69p-2, 0x1.320eca3fc05cp-2, 0x1.2d56d56cfe9f8p-2, 0x1.28a9a36a75872p-2, 0x1.24076791a1162p-2, 0x1.1f70510418e79p-2, 0x1.1ae48adc15953p-2, 0x1.16643c5add8ecp-2, 0x1.11ef89153749ep-2, 0x1.0d86911df02e8p-2, 0x1.0929712e96992p-2, 0x1.04d842ce71f1ep-2, 0x1.00931c77d7a0bp-2, 0x1.f8b42377d7a77p-3, 0x1.f05a66c9c201ep-3, 0x1.e8191f2d9a025p-3, 0x1.dff063de3d889p-3, 0x1.d7e047459e01dp-3, 0x1.cfe8d736a08c9p-3, 0x1.c80a1d24b2881p-3, 0x1.c0441e591d1d5p-3, 0x1.b896dc26392f8p-3, 0x1.b1025418a600ap-3, 0x1.a986802686f14p-3, 0x1.a22356dcf0d0bp-3, 0x1.9ad8cb8b930fap-3, 0x1.93a6ce6eaf4bbp-3, 0x1.8c8d4cd77a7b4p-3, 0x1.858c3152e9795p-3, 0x1.7ea363cf0c228p-3, 0x1.77d2c9bef45eap-3, 0x1.711a463d437a8p-3, 0x1.6a79ba2d669e2p-3, 0x1.63f1045b8b2a4p-3, 0x1.5d80019b61dcdp-3, 0x1.57268ce5ac562p-3, 0x1.50e47f74acbe3p-3, 0x1.4ab9b0df7e946p-3, 0x1.44a5f7345989cp-3, 0x1.3ea92711d464ap-3, 0x1.38c313bf25488p-3, 0x1.32f38f4371dc9p-3, 0x1.2d3a6a7c2a088p-3, 0x1.2797753285e95p-3, 0x1.220a7e301f133p-3, 0x1.1c935352b2529p-3, 0x1.1731c19f11d68p-3, 0x1.11e595534decep-3, 0x1.0cae99f819974p-3, 0x1.078c9a716e7dfp-3, 0x1.027f610e80152p-3, 0x1.fb0d6f31e8907p-4, 0x1.f144cec6f113ep-4, 0x1.e7a472af5a405p-4, 0x1.de2bec06d9a94p-4, 0x1.d4dacb4b03812p-4, 0x1.cbb0a0737b0c6p-4, 0x1.c2acfb08fb87fp-4, 0x1.b9cf6a3b61f9cp-4, 0x1.b1177cf68f74ap-4, 0x1.a884c1f658967p-4, 0x1.a016c7d9726bbp-4, 0x1.97cd1d336c32ep-4, 0x1.8fa7509dcc2afp-4, 0x1.87a4f0c83f972p-4, 0x1.7fc58c87fc68p-4, 0x1.7808b2e650227p-4, 0x1.706df32e6aa0cp-4, 0x1.68f4dcfa68b74p-4, 0x1.619d003fa8f29p-4, 0x1.5a65ed5a6fe24p-4, 0x1.534f3518e59d9p-4, 0x1.4c5868c570e7bp-4, 0x1.45811a3078c04p-4, 0x1.3ec8dbb991ffbp-4, 0x1.382f40581f832p-4, 0x1.31b3dba36bf0ep-4, 0x1.2b5641da42022p-4, 0x1.251607ea086c6p-4, 0x1.1ef2c3756a632p-4, 0x1.18ec0ada8d664p-4, 0x1.13017538dcfbap-4, 0x1.0d329a767005bp-4, 0x1.077f13450cfe5p-4, 0x1.01e67926d0131p-4, 0x1.f8d0cce4f568fp-5, 0x1.ee08ecaed9e16p-5, 0x1.e37489c2a0b1dp-5, 0x1.d912ddf6ebb15p-5, 0x1.cee324e7d5ca8p-5, 0x1.c4e49bfc936e5p-5, 0x1.bb16826c929a6p-5, 0x1.b17819441856fp-5, 0x1.a808a3686f5ffp-5, 0x1.9ec7659b9f2d4p-5, 0x1.95b3a67fbda71p-5, 0x1.8cccae99d74bdp-5, 0x1.8411c8547acd8p-5, 0x1.7b824001e5afcp-5, 0x1.731d63dddcce8p-5, 0x1.6ae2840f30cd4p-5, 0x1.62d0f2a8f62d3p-5, 0x1.5ae803ab70af2p-5, 0x1.53270d04bb822p-5, 0x1.4b8d66912b136p-5, 0x1.441a6a1b741c3p-5, 0x1.3ccd735c90e48p-5, 0x1.35a5dffb74356p-5, 0x1.2ea30f8c7f124p-5, 0x1.27c46390c969ep-5, 0x1.21093f7535ffap-5, 0x1.1a7108915ab49p-5, 0x1.13fb26263ab8ap-5, 0x1.0da7015cd9aep-5, 0x1.07740544a493dp-5, 0x1.01619ed1b7dbdp-5, 0x1.f6de79b602849p-6, 0x1.eb38a0307c3a7p-6, 0x1.dfd0963fb83ap-6, 0x1.d4a544c976e2p-6, 0x1.c9b59867a49ffp-6, 0x1.bf0081636e561p-6, 0x1.b484f3b01f92fp-6, 0x1.aa41e6e5d1a28p-6, 0x1.a036563be95e1p-6, 0x1.966140836e474p-6, 0x1.8cc1a8212ef9cp-6, 0x1.83569307c6a5bp-6, 0x1.7a1f0ab17635ap-6, 0x1.711a1c19e14e8p-6, 0x1.6846d7b7a1cb3p-6, 0x1.5fa45175c07a7p-6, 0x1.5731a0ad0e327p-6, 0x1.4eede01d600aap-6, 0x1.46d82de6b23fep-6, 0x1.3eefab8232785p-6, 0x1.37337dbb2bc43p-6, 0x1.2fa2cca7e8c53p-6, 0x1.283cc3a2735adp-6, 0x1.2100914149c02p-6, 0x1.19ed674fff41cp-6, 0x1.13027ac7c88b7p-6, 0x1.0c3f03c7fcb37p-6, 0x1.05a23d8e83fa1p-6, 0x1.fe56cce07c2fap-7, 0x1.f1b37fa2a13cp-7, 0x1.e5591c3af5f22p-7, 0x1.d94631809c9a1p-7, 0x1.cd79543ad3155p-7, 0x1.c1f11f114671bp-7, 0x1.b6ac327c667cbp-7, 0x1.aba934b5a439ep-7, 0x1.a0e6d1a79ca59p-7, 0x1.9663bade518a9p-7, 0x1.8c1ea7773aef5p-7, 0x1.821654116f083p-7, 0x1.784982bdaf6bfp-7, 0x1.6eb6faee7eba4p-7, 0x1.655d89682f385p-7, 0x1.5c3c0030f43eap-7, 0x1.53513680ef6d3p-7, 0x1.4a9c08b247baap-7, 0x1.421b58313bdd6p-7, 0x1.39ce0b6c3e239p-7, 0x1.31b30dc416e7cp-7, 0x1.29c94f7c0d137p-7, 0x1.220fc5aa17129p-7, 0x1.1a856a27169ep-7, 0x1.13293b7f1f37ap-7, 0x1.0bfa3ce1c8313p-7, 0x1.04f776128d31cp-7, 0x1.fc3fe6b277ec6p-8, 0x1.eee58ae4e3a99p-8, 0x1.e1de030052e01p-8, 0x1.d52781f4b5229p-8, 0x1.c8c0433f54ad6p-8, 0x1.bca68acc62ab3p-8, 0x1.b0d8a4d8a5892p-8, 0x1.a554e5d356dc2p-8, 0x1.9a19aa4028aebp-8, 0x1.8f255699794p-8, 0x1.84765732b69cep-8, 0x1.7a0b201af0f22p-8, 0x1.6fe22cff9dd95p-8, 0x1.65fa010f91682p-8, 0x1.5c5126de2881ep-8, 0x1.52e63046aa0c9p-8, 0x1.49b7b64fdfe0fp-8, 0x1.40c4590fe5c5ep-8, 0x1.380abf9032af8p-8, 0x1.2f8997b1dc8a6p-8, 0x1.273f961215babp-8, 0x1.1f2b75eee83f9p-8, 0x1.174bf90c2c832p-8, 0x1.0f9fe798bfc75p-8, 0x1.08261013f7a6fp-8, 0x1.00dd473355348p-8, 0x1.f388cf90f47b5p-9, 0x1.e5b4a54ebb386p-9, 0x1.d83bdd1981184p-9, 0x1.cb1c5009d0cf8p-9, 0x1.be53e2a53241fp-9, 0x1.b1e084aca721p-9, 0x1.a5c030ebaf36p-9, 0x1.99f0ed07d3c7fp-9, 0x1.8e70c950bc5d6p-9, 0x1.833de090cc4a6p-9, 0x1.785657de4d8b8p-9, 0x1.6db85e6d1f5b6p-9, 0x1.63622d60f846dp-9, 0x1.595207a02d1bfp-9, 0x1.4f8639a705264p-9, 0x1.45fd195b9e881p-9, 0x1.3cb505e257ffap-9, 0x1.33ac6772cb595p-9, 0x1.2ae1af2d51ce9p-9, 0x1.225356f116d16p-9, 0x1.19ffe132b6751p-9, 0x1.11e5d8d363822p-9, 0x1.0a03d0f89f586p-9, 0x1.025864e47a0ccp-9, 0x1.f5c46f9cbb277p-10, 0x1.e73fe978c6cf6p-10, 0x1.d9209cba6dd97p-10, 0x1.cb63fdc4fcbebp-10, 0x1.be078fb79da03p-10, 0x1.b108e4244f953p-10, 0x1.a4659ac7f0b1bp-10, 0x1.981b614356449p-10, 0x1.8c27f2d5710c1p-10, 0x1.808918167b20ep-10, 0x1.753ca6b437796p-10, 0x1.6a40812f3220fp-10, 0x1.5f9296990ea7p-10, 0x1.5530e253d3e1cp-10, 0x1.4b196bd242875p-10, 0x1.414a465927fadp-10, 0x1.37c190c1b40e4p-10, 0x1.2e7d753ccaf7cp-10, 0x1.257c2917537b2p-10, 0x1.1cbbec7f7ba4fp-10, 0x1.143b0a4af7799p-10, 0x1.0bf7d7be37568p-10, 0x1.03f0b45489307p-10, 0x1.f848131263089p-11, 0x1.e9209542e08abp-11, 0x1.da67e8eee1162p-11, 0x1.cc1b1a8c45181p-11, 0x1.be3748ebfa299p-11, 0x1.b0b9a4d5454e3p-11, 0x1.a39f70a2d40eep-11, 0x1.96e5ffe189dd8p-11, 0x1.8a8ab6f10a328p-11, 0x1.7e8b0aa5f7be2p-11, 0x1.72e47fede224bp-11, 0x1.6794ab74e0ecap-11, 0x1.5c99314cd29b9p-11, 0x1.51efc4963ee32p-11, 0x1.4796272ad1815p-11, 0x1.3d8a29496e0ep-11, 0x1.33c9a943d4d48p-11, 0x1.2a52932dd1f69p-11, 0x1.2122e08df49a7p-11, 0x1.1838980fc92d3p-11, 0x1.0f91cd378d0cdp-11, 0x1.072ca0175b99p-11, 0x1.fe0e7a0b9991p-12, 0x1.ee3fb8abffba1p-12, 0x1.dee984221f749p-12, 0x1.d0087b61cbafep-12, 0x1.c19953b8dfb89p-12, 0x1.b398d84a5038bp-12, 0x1.a603e98be8c34p-12, 0x1.98d77cc6a4cfbp-12, 0x1.8c109b9997141p-12, 0x1.7fac637f5c8b6p-12, 0x1.73a805560a7dbp-12, 0x1.6800c4e990c8ep-12, 0x1.5cb3f8808767dp-12, 0x1.51bf086b5a296p-12, 0x1.471f6e95cb614p-12, 0x1.3cd2b61ac16b2p-12, 0x1.32d67ada5b64dp-12, 0x1.292869123a354p-12, 0x1.1fc63cf7fba0cp-12, 0x1.16adc255db407p-12, 0x1.0ddcd429730f7p-12, 0x1.05515c4489fd5p-12, 0x1.fa12a5dfeaf4p-13, 0x1.ea057d20e5eb4p-13, 0x1.da77669b075fbp-13, 0x1.cb64a574633d9p-13, 0x1.bcc996ff7bc01p-13, 0x1.aea2b2145bcb9p-13, 0x1.a0ec866d5aed3p-13, 0x1.93a3bc077d7e4p-13, 0x1.86c512865c341p-13, 0x1.7a4d609b884c2p-13, 0x1.6e39937156b7dp-13, 0x1.6286ae190129fp-13, 0x1.5731c8fc15d13p-13, 0x1.4c3811511ba19p-13, 0x1.4196c8935da86p-13, 0x1.374b43fdd71edp-13, 0x1.2d52ec0923663p-13, 0x1.23ab3bec6f3bfp-13, 0x1.1a51c1214f382p-13, 0x1.11441aea7c7d8p-13, 0x1.087ff9dd5e62dp-13, 0x1.00031f6e51c5p-13, 0x1.ef96baff586afp-14, 0x1.dfad2be6b6fc9p-14, 0x1.d045747e4bf88p-14, 0x1.c15b9606e194ap-14, 0x1.b2ebaf490cacdp-14, 0x1.a4f1fbcc94ea6p-14, 0x1.976ad314b16e8p-14, 0x1.8a52a7e0e591dp-14, 0x1.7da607727ecfap-14, 0x1.716198d68b819p-14, 0x1.65821c343a631p-14, 0x1.5a046a1f85dcdp-14, 0x1.4ee572f017a2bp-14, 0x1.44223e1c4df21p-14, 0x1.39b7e9984822cp-14, 0x1.2fa3a938e9ca6p-14, 0x1.25e2c61ab99a8p-14, 0x1.1c729e0c8b94cp-14, 0x1.1350a2fddd5ccp-14, 0x1.0a7a5a70d2a41p-14, 0x1.01ed5cefbccaap-14, 0x1.f34eab0c330dbp-15, 0x1.e34c0279ebb1p-15, 0x1.d3ce5d3542ed3p-15, 0x1.c4d17a4b3d706p-15, 0x1.b65139d580c3p-15, 0x1.a8499c0cbce8p-15, 0x1.9ab6c06126d47p-15, 0x1.8d94e498dde9dp-15, 0x1.80e063f41baa1p-15, 0x1.7495b6570b6aep-15, 0x1.68b16f7927718p-15, 0x1.5d303e19ff5e1p-15, 0x1.520eeb3b41b39p-15, 0x1.474a595fefa2ep-15, 0x1.3cdf83d09a4d5p-15, 0x1.32cb7de488b6ep-15, 0x1.290b724fac76ap-15, 0x1.1f9ca275490b7p-15, 0x1.167c65bf2c534p-15, 0x1.0da828f9650bcp-15, 0x1.051d6db251e5cp-15, 0x1.f9b3933df074cp-16, 0x1.e9b5cc0703ecfp-16, 0x1.da3cfe3f97599p-16, 0x1.cb44c73fd77f5p-16, 0x1.bcc8e8212805dp-16, 0x1.aec544ae7d673p-16, 0x1.a135e25c0cb24p-16, 0x1.9416e74632221p-16, 0x1.8764993758815p-16, 0x1.7b1b5cb4b5638p-16, 0x1.6f37b411b90f7p-16, 0x1.63b63e89f8752p-16, 0x1.5893b76177f72p-16, 0x1.4dccf50b1f8bp-16, 0x1.435ee8553ccfp-16, 0x1.39469b9beabb9p-16, 0x1.2f8132012b0dcp-16, 0x1.260be6aaa7559p-16, 0x1.1ce40c04d5327p-16, 0x1.14070b0b7adc7p-16, 0x1.0b72629756027p-16, 0x1.0323a6b0d2f92p-16, 0x1.f630ffcf64b99p-17, 0x1.e69d555ee6b61p-17, 0x1.d787ed80db7e2p-17, 0x1.c8ec8cfaef709p-17, 0x1.bac71cbbf231ap-17, 0x1.ad13a8b89e706p-17, 0x1.9fce5ed0d1f5dp-17, 0x1.92f38dbce82aap-17, 0x1.867fa403175fdp-17, 0x1.7a6f2ef49451cp-17, 0x1.6ebed9b23c7dap-17, 0x1.636b6c389eee4p-17, 0x1.5871ca7335635p-17, 0x1.4dcef3568dd51p-17, 0x1.43800001457e6p-17, 0x1.398222e39876dp-17, 0x1.2fd2a6ed64235p-17, 0x1.266eeec2692fcp-17, 0x1.1d5473f4a2fcdp-17, 0x1.1480c6448d981p-17, 0x1.0bf18ae72b68ap-17, 0x1.03a47bd1a88d1p-17, 0x1.f72ece14df598p-18, 0x1.e7905bff19902p-18, 0x1.d86989c471206p-18, 0x1.c9b6640ecbdf9p-18, 0x1.bb731a9a60f61p-18, 0x1.ad9bff0a11824p-18, 0x1.a02d83c4f6188p-18, 0x1.93243adce36ffp-18, 0x1.867cd4fda4865p-18, 0x1.7a342064a9a93p-18, 0x1.6e4707e0f47abp-18, 0x1.62b291dafe5cdp-18, 0x1.5773df64663f2p-18, 0x1.4c882b4f281fbp-18, 0x1.41ecc94c2bcfap-18, 0x1.379f2510ef50bp-18, 0x1.2d9cc184201fp-18, 0x1.23e337f0e89a7p-18, 0x1.1a703740c6e74p-18, 0x1.1141833bb83dp-18, 0x1.0854f3ce8bad3p-18, 0x1.ff50e8ae5bf3bp-19, 0x1.ee7405ed82767p-19, 0x1.de0f5fd2b11cep-19, 0x1.ce1f39c64bdf9p-19, 0x1.be9ff8e5f2c97p-19, 0x1.af8e22d3ca258p-19, 0x1.a0e65c8fbb3dbp-19, 0x1.92a5695a6acd1p-19, 0x1.84c829a193dc8p-19, 0x1.774b99f582714p-19, 0x1.6a2cd2076725bp-19, 0x1.5d6903b03fa61p-19, 0x1.50fd7a00109fcp-19, 0x1.44e7985531b96p-19, 0x1.3924d97b7033fp-19, 0x1.2db2ced2c1e0cp-19, 0x1.228f1f7d56d8fp-19, 0x1.17b78794cc486p-19, 0x1.0d29d76646a5ep-19, 0x1.02e3f2b53ee41p-19, 0x1.f1c7a00998d62p-20, 0x1.de4eefce76dcap-20, 0x1.cb5a08a76e409p-20, 0x1.b8e54003b6c32p-20, 0x1.a6ed0b96030e8p-20, 0x1.956e00222660ep-20, 0x1.8464d055722b6p-20, 0x1.73ce4ba97af0bp-20, 0x1.63a75d50ecc3dp-20, 0x1.53ed0b2e132cp-20, 0x1.449c74d2d3dc5p-20, 0x1.35b2d289c8163p-20, 0x1.272d746827778p-20, 0x1.1909c168402e4p-20, 0x1.0b45368c2db63p-20, 0x1.fbbacc112a931p-21, 0x1.e19fecee328bdp-21, 0x1.c835442094717p-21, 0x1.af766bd9a6902p-21, 0x1.975f229b4d6b8p-21, 0x1.7feb49d5dafd5p-21, 0x1.6916e4930209cp-21, 0x1.52de162d70b3cp-21, 0x1.3d3d2114a1c9ap-21, 0x1.2830659c7e2f8p-21, 0x1.13b460d868b6p-21, 0x1.ff8b57029e488p-22, 0x1.d8c1f1ccc8718p-22, 0x1.b3062bd042a6p-22, 0x1.8e51cffa73875p-22, 0x1.6a9ed8824a492p-22, 0x1.47e76d17ddbacp-22, 0x1.2625e125ebf31p-22, 0x1.0554b2249ec04p-22, 0x1.cadd0bf9f2dffp-23, 0x1.8cdc52f8ba949p-23, 0x1.509d1daf1af7ap-23, 0x1.161598795c26ap-23, 0x1.ba7869cec1fdep-24, 0x1.4c0f4e32b1511p-24, 0x1.c1bb8cdd25896p-25, 0x1.e348d813da0ddp-26, 0x1.3db76ffb22031p-28, -0x1.385caa2d27e9ep-26, -0x1.5a2be98d890d7p-25, -0x1.0930c43e667b6p-24, -0x1.62770fd3e3d4dp-24, -0x1.b8f7ec8ab68f1p-24, -0x1.06610895fb241p-23, -0x1.2ef1ece1e354cp-23, -0x1.5635a57ce3727p-23, -0x1.7c330aa2fcbbcp-23, -0x1.a0f0cc01ae41bp-23, -0x1.c4757230ce9bfp-23, -0x1.e6c7601b87a41p-23, -0x1.03f66a2d0ca89p-22, -0x1.13f5f53e7a40bp-22, -0x1.23654e24dcf27p-22, -0x1.324761755bfe7p-22, -0x1.409f0c08ae331p-22, -0x1.4e6f1b8617634p-22, -0x1.5bba4ee85ddfp-22, -0x1.688356fd0567ap-22, -0x1.74ccd6ddf6d36p-22, -0x1.80996465de292p-22, -0x1.8beb889f6befep-22, -0x1.96c5c02fb3ce6p-22, -0x1.a12a7bbbd697bp-22, -0x1.ab1c204a2f1cfp-22, -0x1.b49d079f2ace2p-22, -0x1.bdaf809602be3p-22, -0x1.c655cf757ada1p-22, -0x1.ce922e40d7498p-22, -0x1.d666cd052a1a1p-22, -0x1.ddd5d2232c641p-22, -0x1.e4e15a95ba6fap-22, -0x1.eb8b7a3523453p-22, -0x1.f1d63bf76a19ep-22, -0x1.f7c3a22d9ca3bp-22, -0x1.fd55a6be5bda1p-22, -0x1.01471daedf659p-21, -0x1.03b7a4e1525e8p-21, -0x1.05fd59eccc226p-21, -0x1.081929fab157fp-21, -0x1.0a0bfe7eb0de1p-21, -0x1.0bd6bd4ce27bfp-21, -0x1.0d7a48aee08c8p-21, -0x1.0ef77f77ec517p-21, -0x1.104f3d1827c5dp-21, -0x1.118259aeededap-21, -0x1.1291aa1c57ee1p-21, -0x1.137e0011f4ed9p-21, -0x1.14482a22c3076p-21, -0x1.14f0f3d26f519p-21, -0x1.157925a3e7552p-21, -0x1.15e1852743d06p-21, -0x1.162ad507180edp-21, -0x1.1655d51528d6fp-21, -0x1.1663425697d6ap-21, -0x1.1653d70f86187p-21, -0x1.16284ace37e18p-21, }}, 
      {{0x1.ec2dcd7a34049p-8, 0x1.e35951f3024abp-7, 0x1.5fb3e64562625p-6, 0x1.c15cb459334e8p-6, 0x1.09b833229dd16p-5, 0x1.29ad1e140e54p-5, 0x1.3f97815fe0ddfp-5, 0x1.4ad5623717f0ep-5, 0x1.4b1396c77bb7p-5, 0x1.4046820bebc3ep-5, 0x1.2aa157f6e27p-5, 0x1.0a8cb37d20e71p-5, 0x1.c13a2ba6ff38cp-6, 0x1.5b13750421598p-6, 0x1.c890205b2995p-7, 0x1.7a7e49acfe3c4p-8, -0x1.a03bb50a9b099p-9, -0x1.a3870ff85f463p-7, -0x1.78aa660f71532p-6, -0x1.136cd40aa0307p-5, -0x1.6d3ed817f0087p-5, -0x1.c8eb99c1c423bp-5, -0x1.12cfde0e96137p-4, -0x1.414adbffbbec5p-4, -0x1.6f8b75308b068p-4, -0x1.9d3e1afe1d009p-4, -0x1.ca17248c89492p-4, -0x1.f5d2cb91231efp-4, -0x1.101a850a707ebp-3, -0x1.2484afc1c621dp-3, -0x1.3811414f5d3edp-3, -0x1.4aad029991ce4p-3, -0x1.5c47f6e036686p-3, -0x1.6cd5255071aabp-3, -0x1.7c4a60d4c53bp-3, -0x1.8aa00f5a20835p-3, -0x1.97d0f186e6ca7p-3, -0x1.a3d9ebac1b18dp-3, -0x1.aeb9d08afbe4ap-3, -0x1.b8712e6220a0bp-3, -0x1.c1021e93d3937p-3, -0x1.c870181b89fc9p-3, -0x1.cebfc4f1824b3p-3, -0x1.d3f6da68c9135p-3, -0x1.d81bf48537c21p-3, -0x1.db36743b4431fp-3, -0x1.dd4e6082b37cdp-3, -0x1.de6c4a1ec2316p-3, -0x1.de9931f9c4d3cp-3, -0x1.ddde71ef4b95p-3, -0x1.dc45a7de341ffp-3, -0x1.d9d8a2db5f259p-3, -0x1.d6a1525e031p-3, -0x1.d2a9b73f59679p-3, -0x1.cdfbd6688dc66p-3, -0x1.c8a1ad0ba220bp-3, -0x1.c2a5264589bcdp-3, -0x1.bc101209e9e2ep-3, -0x1.b4ec1d3ad5b77p-3, -0x1.ad42cad0dc678p-3, -0x1.a51d6df9f1fa1p-3, -0x1.9c8525176be4p-3, -0x1.9382d58579e4fp-3, -0x1.8a1f2817fed48p-3, -0x1.8062863aa88d8p-3, -0x1.765517a37b6f2p-3, -0x1.6bfec088ac23ep-3, -0x1.6167204bde22dp-3, -0x1.5695908e41a0dp-3, -0x1.4b9124a20736ep-3, -0x1.4060a94ee5d85p-3, -0x1.350aa4e0278cp-3, -0x1.29955773d39efp-3, -0x1.1e06bb832d1f1p-3, -0x1.1264869d8255cp-3, -0x1.06b42a4f0635fp-3, -0x1.f5f5aa5be308fp-4, -0x1.de7ae81173858p-4, -0x1.c7016661713f6p-4, -0x1.af91ffb9f6206p-4, -0x1.98351342e2e93p-4, -0x1.80f287edfe20bp-4, -0x1.69d1cfa2a9926p-4, -0x1.52d9ea7f7e144p-4, -0x1.3c116a2cc2a93p-4, -0x1.257e753b29f4ap-4, -0x1.0f26ca8abbbe5p-4, -0x1.f21f896c71e2dp-5, -0x1.c67cbaff5884ep-5, -0x1.9b6e627667717p-5, -0x1.70fd046ab8745p-5, -0x1.473078257354dp-5, -0x1.1e0fee4d4b09ap-5, -0x1.eb43eefd35655p-6, -0x1.9bd91595d28cp-6, -0x1.4dea183a0336cp-6, -0x1.0180a4fe5918ep-6, -0x1.6d4ab905d3d48p-7, -0x1.b57f77f124165p-8, -0x1.2db697affd381p-9, 0x1.028029a01d55p-9, 0x1.92bf289c1f3dp-8, 0x1.4ec8df4f80705p-7, 0x1.d0d5660ca5941p-7, 0x1.27c010d8fa5d2p-6, 0x1.6562bb05cb223p-6, 0x1.a1518f1bcc02ep-6, 0x1.db8c0cfb527c9p-6, 0x1.0a0926e6ab014p-5, 0x1.25727da49e1fap-5, 0x1.4002a3a42fc0cp-5, 0x1.59ba71d33ba5ep-5, 0x1.729afd36eea12p-5, 0x1.8aa593273f95dp-5, 0x1.a1dbb5af2054fp-5, 0x1.b83f1810b2894p-5, 0x1.cdd19b6ccb278p-5, 0x1.e2954b8cfce3p-5, 0x1.f68c5bcf5e492p-5, 0x1.04dc92199eaacp-4, 0x1.0e0f0f42f3877p-4, 0x1.16def1d75429bp-4, 0x1.1f4d948c96d7cp-4, 0x1.275c5f1eb0b5dp-4, 0x1.2f0cc521f5143p-4, 0x1.366044e333314p-4, 0x1.3d58665546c61p-4, 0x1.43f6ba0ba8d73p-4, 0x1.4a3cd841951f8p-4, 0x1.502c5fed57b65p-4, 0x1.55c6f5df56eddp-4, 0x1.5b0e43ec70e99p-4, 0x1.6003f8234413bp-4, 0x1.64a9c40bfeb22p-4, 0x1.69015bf24febap-4, 0x1.6d0c76391ab7dp-4, 0x1.70cccab78a23dp-4, 0x1.7444121f2b724p-4, 0x1.7774056ab26d3p-4, 0x1.7a5e5d5510aa1p-4, 0x1.7d04d1d88af2dp-4, 0x1.7f6919b576a0dp-4, 0x1.818cea005344dp-4, 0x1.8371f5b6ee469p-4, 0x1.8519ed5c466b8p-4, 0x1.86867e9ae5bc9p-4, 0x1.87b953ed6b98cp-4, 0x1.88b4144d014abp-4, 0x1.897862e577afep-4, 0x1.8a07decece14dp-4, 0x1.8a6422cbe45abp-4, 0x1.8a8ec50e1cef1p-4, 0x1.8a8956fdb50fap-4, 0x1.8a5565069db18p-4, 0x1.89f476699c678p-4, 0x1.89680d1186015p-4, 0x1.88b1a56c5d101p-4, 0x1.87d2b64826ec1p-4, 0x1.86ccb0b34ae75p-4, 0x1.85a0ffe04cb33p-4, 0x1.8451090cbb73cp-4, 0x1.82de2b6b2a0bdp-4, 0x1.8149c0100bdd3p-4, 0x1.7f9519e14f1d1p-4, 0x1.7dc18588929a7p-4, 0x1.7bd04967d3414p-4, 0x1.79c2a59070cdcp-4, 0x1.7799d3bc69ac4p-4, 0x1.75570749b0d09p-4, 0x1.72fb6d377ff7fp-4, 0x1.70882c2588124p-4, 0x1.6dfe6454e9d64p-4, 0x1.6b5f2faad8104p-4, 0x1.68aba1b4cdaeep-4, 0x1.65e4c7ae40db9p-4, 0x1.630ba887b88e8p-4, 0x1.602144ef34423p-4, 0x1.5d269759ccca9p-4, 0x1.5a1c940e7c5edp-4, 0x1.57042931fb89dp-4, 0x1.53de3ed39f4dp-4, 0x1.50abb6fb2792dp-4, 0x1.4d6d6db76dedap-4, 0x1.4a24392de3ed7p-4, 0x1.46d0e9aad2cbdp-4, 0x1.437449b24c997p-4, 0x1.400f1e11c29c9p-4, 0x1.3ca225f2310a8p-4, 0x1.392e1aead7ab6p-4, 0x1.35b3b1146e574p-4, 0x1.3233971ccd07ap-4, 0x1.2eae765afbe15p-4, 0x1.2b24f2e39ff48p-4, 0x1.2797ab9dbad87p-4, 0x1.24073a57b3763p-4, 0x1.207433dc9fbe1p-4, 0x1.1cdf2809c6209p-4, 0x1.1948a1e44cc5dp-4, 0x1.15b127af12759p-4, 0x1.12193b00a50ddp-4, 0x1.0e8158d9525cap-4, 0x1.0ae9f9b94a917p-4, 0x1.075391b6cdc41p-4, 0x1.03be90945f493p-4, 0x1.002b61d6f8adap-4, 0x1.f934d9b86dc52p-5, 0x1.f21829e0f7f64p-5, 0x1.eb0172ca02dcbp-5, 0x1.e3f16b4babe28p-5, 0x1.dce8c29f8234ap-5, 0x1.d5e8208c17271p-5, 0x1.cef0259049a29p-5, 0x1.c8016b0e4b8e4p-5, 0x1.c11c83765321ep-5, 0x1.ba41fa70f87bp-5, 0x1.b372550934e6bp-5, 0x1.acae11d602783p-5, 0x1.a5f5a9238f40dp-5, 0x1.9f498d1c08bcap-5, 0x1.98aa29eff3d83p-5, 0x1.9217e5fe107fbp-5, 0x1.8b9321fac3174p-5, 0x1.851c3917021a7p-5, 0x1.7eb38126c3a91p-5, 0x1.78594ac6e88bp-5, 0x1.720de1829eb12p-5, 0x1.6bd18bf83fc3ep-5, 0x1.65a48bfda18e1p-5, 0x1.5f871ec3dc205p-5, 0x1.59797cfa811c1p-5, 0x1.537bdaf242624p-5, 0x1.4d8e68bf098f9p-5, 0x1.47b152597c0bap-5, 0x1.41e4bfbfebaccp-5, 0x1.3c28d516b4a32p-5, 0x1.367db2c805dbfp-5, 0x1.30e375a3159d8p-5, 0x1.2b5a36fac041ap-5, 0x1.25e20cc39166ep-5, 0x1.207b09b1395b5p-5, 0x1.1b253d536bf13p-5, 0x1.15e0b4322b8ccp-5, 0x1.10ad77e9806c1p-5, 0x1.0b8b8f4499b24p-5, 0x1.067afe585ff3p-5, 0x1.017bc69d701a1p-5, 0x1.f91bce1310589p-6, 0x1.ef62b850c7911p-6, 0x1.e5cc40680f63fp-6, 0x1.dc585658fae68p-6, 0x1.d306e5de0f184p-6, 0x1.c9d7d69985192p-6, 0x1.c0cb0c4180f9fp-6, 0x1.b7e066cb33ff9p-6, 0x1.af17c294ed2a6p-6, 0x1.a670f88f1f0b1p-6, 0x1.9debde645ae5p-6, 0x1.958846a048db5p-6, 0x1.8d4600d598f09p-6, 0x1.8524d9c2f6b24p-6, 0x1.7d249b7703c93p-6, 0x1.75450d7350fddp-6, 0x1.6d85f4ce6d9c3p-6, 0x1.65e71454fd08bp-6, 0x1.5e682ca9e14d6p-6, 0x1.5708fc657cbbp-6, 0x1.4fc940340d6f3p-6, 0x1.48a8b2f321575p-6, 0x1.41a70dce322b1p-6, 0x1.3ac4085a63bdbp-6, 0x1.33ff58b16992cp-6, 0x1.2d58b38b98a4p-6, 0x1.26cfcc59314dap-6, 0x1.2064555ad1e75p-6, 0x1.1a15ffb929f55p-6, 0x1.13e47b9be905dp-6, 0x1.0dcf783fe886p-6, 0x1.07d6a40c9ded7p-6, 0x1.01f9aca8d26efp-6, 0x1.f8707e1d4fdb7p-7, 0x1.ed240f3dd399ap-7, 0x1.e20d64676b212p-7, 0x1.d72bd464e5bfdp-7, 0x1.cc7eb53a60035p-7, 0x1.c2055c46a27d4p-7, 0x1.b7bf1e6358fa8p-7, 0x1.adab500400679p-7, 0x1.a3c94553b9d29p-7, 0x1.9a185251e936ap-7, 0x1.9097caedb6947p-7, 0x1.8747032079ca5p-7, 0x1.7e254f0713fcp-7, 0x1.753202fa368a7p-7, 0x1.6c6c73a5b2589p-7, 0x1.63d3f61eba417p-7, 0x1.5b67dff93a863p-7, 0x1.5327875c34503p-7, 0x1.4b1243153c3e7p-7, 0x1.43276aab03ec6p-7, 0x1.3b66566f142a8p-7, 0x1.33ce5f8ea608fp-7, 0x1.2c5ee022acb7ap-7, 0x1.2517333f13547p-7, 0x1.1df6b50133b92p-7, 0x1.16fcc29d8c556p-7, 0x1.1028ba6cbb229p-7, 0x1.0979fbf7c352ep-7, 0x1.02efe803a1cfcp-7, 0x1.f913c1386f232p-8, 0x1.ec8e923d1a63p-8, 0x1.e04f0c84ee9cap-8, 0x1.d453fc473b33p-8, 0x1.c89c3093d8dadp-8, 0x1.bd267b62e65aep-8, 0x1.b1f1b1a36dcb5p-8, 0x1.a6fcab48f6448p-8, 0x1.9c4643580dcf7p-8, 0x1.91cd57f1d3c2ap-8, 0x1.8790ca5e8e3c7p-8, 0x1.7d8f7f174dd3bp-8, 0x1.73c85dceae22bp-8, 0x1.6a3a5178b7f3ap-8, 0x1.60e44851ebd1ap-8, 0x1.57c533e58088p-8, 0x1.4edc0912d9381p-8, 0x1.4627c0123b77ep-8, 0x1.3da75478d1047p-8, 0x1.3559c53bf235cp-8, 0x1.2d3e14b3cc59ep-8, 0x1.2553489d5f75p-8, 0x1.1d986a1be20a5p-8, 0x1.160c85b98bc5ap-8, 0x1.0eaeab67d16f6p-8, 0x1.077dee7f14fc9p-8, 0x1.007965bdd07aep-8, 0x1.f340568e86e74p-9, 0x1.e5e2b9434a0a1p-9, 0x1.d8d83567c648dp-9, 0x1.cc1f1385e322p-9, 0x1.bfb5a2dd61d3ep-9, 0x1.b39a395cdd7d5p-9, 0x1.a7cb339a0c68bp-9, 0x1.9c46f4c94e51p-9, 0x1.910be6b48562fp-9, 0x1.861879b1534d3p-9, 0x1.7b6b2496b1efbp-9, 0x1.710264b1fc7d4p-9, 0x1.66dcbdbb6be06p-9, 0x1.5cf8b9ca0db5p-9, 0x1.5354e9474118ep-9, 0x1.49efe2e1b9e37p-9, 0x1.40c8438019777p-9, 0x1.37dcae331edfep-9, 0x1.2f2bcc2774f83p-9, 0x1.26b44c9727a29p-9, 0x1.1e74e4bac48cep-9, 0x1.166c4fba2c959p-9, 0x1.0e994e9d1f61ep-9, 0x1.06faa83b7f75fp-9, 0x1.ff1e525abae1ap-10, 0x1.f0ab477593b9ep-10, 0x1.e299df96e42bbp-10, 0x1.d4e7d5ac1f28ap-10, 0x1.c792ef9f5d64ep-10, 0x1.ba98fe359f6fdp-10, 0x1.adf7dcecc7bdep-10, 0x1.a1ad71d967a8fp-10, 0x1.95b7ad844d645p-10, 0x1.8a148ac7f1496p-10, 0x1.7ec20eadc03dep-10, 0x1.73be484b40f1ep-10, 0x1.6907509f349d3p-10, 0x1.5e9b4a6e99569p-10, 0x1.54786221afcb9p-10, 0x1.4a9ccda0fb56fp-10, 0x1.4106cc3247b8dp-10, 0x1.37b4a655afee7p-10, 0x1.2ea4ada2c490ep-10, 0x1.25d53ca5aff3p-10, 0x1.1d44b6bc89892p-10, 0x1.14f187f4b372ep-10, 0x1.0cda24e862cddp-10, 0x1.04fd0a9c4e6c7p-10, 0x1.fab17cbafee23p-11, 0x1.ebd79b3ead34ep-11, 0x1.dd699bb37cbd8p-11, 0x1.cf64b8cf22c4fp-11, 0x1.c1c63cca7201p-11, 0x1.b48b811f09228p-11, 0x1.a7b1ee457e969p-11, 0x1.9b36fb740894cp-11, 0x1.8f182e5daaeedp-11, 0x1.83531af1edc92p-11, 0x1.77e5631d21bd6p-11, 0x1.6cccb6893419fp-11, 0x1.6206d25f1b947p-11, 0x1.57918108daba8p-11, 0x1.4d6a99f42075ep-11, 0x1.4390015587febp-11, 0x1.39ffa7ec7a7adp-11, 0x1.30b78ac7b5e61p-11, 0x1.27b5b30a7b48cp-11, 0x1.1ef835b2660b4p-11, 0x1.167d335defc5cp-11, 0x1.0e42d8139fe06p-11, 0x1.06475b09eb4a9p-11, 0x1.fd11fcdf89059p-12, 0x1.ee0c1e6bb6f94p-12, 0x1.df79c9b124b01p-12, 0x1.d157c2554954ap-12, 0x1.c3a2e041040a3p-12, 0x1.b6580f38be391p-12, 0x1.a9744e75f6977p-12, 0x1.9cf4b0423649dp-12, 0x1.90d65993749a9p-12, 0x1.851681a9e4c8dp-12, 0x1.79b271af2deep-12, 0x1.6ea7845711081p-12, 0x1.63f32581798dfp-12, 0x1.5992d1ddf40cdp-12, 0x1.4f841690935ddp-12, 0x1.45c490d839a41p-12, 0x1.3c51edb64a08p-12, 0x1.3329e997bc6e1p-12, 0x1.2a4a4fff99eadp-12, 0x1.21b0fb32d316dp-12, 0x1.195bd3e57d531p-12, 0x1.1148d0e96979ep-12, 0x1.0975f6de14e3ep-12, 0x1.01e157e1f5a6fp-12, 0x1.f512268a3782ep-13, 0x1.e6d6aa7a4ac92p-13, 0x1.d90cad350da15p-13, 0x1.cbb0b8fe37b77p-13, 0x1.bebf702c11f87p-13, 0x1.b2358c99c2fa9p-13, 0x1.a60fdf1c2950dp-13, 0x1.9a4b4ef939e36p-13, 0x1.8ee4d961da2f9p-13, 0x1.83d990ee31098p-13, 0x1.79269d1c6b2a8p-13, 0x1.6ec939d1e7d76p-13, 0x1.64beb6dec5835p-13, 0x1.5b047783d2093p-13, 0x1.5197f1fac3764p-13, 0x1.4876af00cf03dp-13, 0x1.3f9e496375b86p-13, 0x1.370c6d8f9d33dp-13, 0x1.2ebed922dd3c1p-13, 0x1.26b35a7ef654cp-13, 0x1.1ee7d05f827e8p-13, 0x1.175a2971b4e1fp-13, 0x1.100863ee436c6p-13, 0x1.08f08d355ca47p-13, 0x1.0210c16ca9b67p-13, 0x1.f6ce563eacd68p-14, 0x1.e9e405c033426p-14, 0x1.dd5f1dda53209p-14, 0x1.d13c45ac52b8p-14, 0x1.c5783e47eba84p-14, 0x1.ba0fe204b132p-14, 0x1.af0023d712a3p-14, 0x1.a4460eab131ep-14, 0x1.99dec4c28f78dp-14, 0x1.8fc77f16fa3bep-14, 0x1.85fd8cbea21cfp-14, 0x1.7c7e525552afp-14, 0x1.7347496852b36p-14, 0x1.6a55ffe5ab81ap-14, 0x1.61a8178eaf157p-14, 0x1.593b456dab75p-14, 0x1.510d514ebf31ap-14, 0x1.491c153bc1236p-14, 0x1.41657cfb2c6aep-14, 0x1.39e7859205eb9p-14, 0x1.32a03cc8a9687p-14, 0x1.2b8dc0b2759d6p-14, 0x1.24ae3f3846c27p-14, 0x1.1dfff5a5b395dp-14, 0x1.17813039004f6p-14, 0x1.113049b5b9fc5p-14, 0x1.0b0baaf9edd39p-14, 0x1.0511ca95ef8b2p-14, 0x1.fe8258cd47638p-15, 0x1.f330c2648059p-15, 0x1.e82c0c8eed33cp-15, 0x1.dd718a3dfe1abp-15, 0x1.d2fea5fee7a6fp-15, 0x1.c8d0e146eb327p-15, 0x1.bee5d3c4148bp-15, 0x1.b53b2ab259f16p-15, 0x1.abcea83504cffp-15, 0x1.a29e22b44cd1dp-15, 0x1.99a7843f146c9p-15, 0x1.90e8c9f0ac327p-15, 0x1.8860035a86f27p-15, 0x1.800b51f1cf29dp-15, 0x1.77e8e880c5fd5p-15, 0x1.6ff70a9bd4ad8p-15, 0x1.68340c1a41628p-15, 0x1.609e509271b23p-15, 0x1.59344ad9a59eap-15, 0x1.51f47c871a1ep-15, 0x1.4add757a80cbfp-15, 0x1.43edd365b7827p-15, 0x1.3d244159afa3fp-15, 0x1.367f77567484p-15, 0x1.2ffe39de39defp-15, 0x1.299f598b68a75p-15, 0x1.2361b2a993d13p-15, 0x1.1d442cd143191p-15, 0x1.1745ba868a0b1p-15, 0x1.116558da53dfap-15, 0x1.0ba20f0e58a64p-15, 0x1.05faee3baa72ep-15, 0x1.006f10fbcb6c4p-15, 0x1.f5fb36287909ap-16, 0x1.eb4b7248f41d7p-16, 0x1.e0cd40aca4b56p-16, 0x1.d67f1c21166bfp-16, 0x1.cc5f8f578f043p-16, 0x1.c26d34533e6afp-16, 0x1.b8a6b3dbba513p-16, 0x1.af0ac4f3a5ab8p-16, 0x1.a5982c536fe8ap-16, 0x1.9c4dbbe80f0dbp-16, 0x1.932a52559f18bp-16, 0x1.8a2cda7dc584ep-16, 0x1.81544b09cf923p-16, 0x1.789fa5f862f65p-16, 0x1.700df82eb8509p-16, 0x1.679e590d3fadcp-16, 0x1.5f4fea079aecfp-16, 0x1.5721d63fdee54p-16, 0x1.4f135224f68b2p-16, 0x1.47239b1426a59p-16, 0x1.3f51f6fd8e0acp-16, 0x1.379db40b96ddcp-16, 0x1.3006284d432dfp-16, 0x1.288ab1633ea34p-16, 0x1.212ab42fa784bp-16, 0x1.19e59c887a34fp-16, 0x1.12badcec8baf9p-16, 0x1.0ba9ee3b06c75p-16, 0x1.04b24f6d517bep-16, 0x1.fba70aa6af0c2p-17, 0x1.ee1a34a42d938p-17, 0x1.e0bd3c48e6e74p-17, 0x1.d38f4b3c63c5cp-17, 0x1.c68f94e21b743p-17, 0x1.b9bd55e7cc546p-17, 0x1.ad17d3d7c0f5fp-17, 0x1.a09e5caf05f62p-17, 0x1.94504677628ffp-17, 0x1.882ceee4f70a2p-17, 0x1.7c33baf77299dp-17, 0x1.7064169ebcb1dp-17, 0x1.64bd7462f93f8p-17, 0x1.593f4d0fd0c5cp-17, 0x1.4de91f62e92b6p-17, 0x1.42ba6fbd67077p-17, 0x1.37b2c7d8768edp-17, 0x1.2cd1b67cb2568p-17, 0x1.2216cf3c5c406p-17, 0x1.1781aa304fc69p-17, 0x1.0d11e3b7982dbp-17, 0x1.02c71c39982b4p-17, 0x1.f141efd557984p-18, 0x1.dd3e3d266810ep-18, 0x1.c98276b1ee893p-18, 0x1.b60df91588991p-18, 0x1.a2e026dc8cfc7p-18, 0x1.8ff8681ff084ep-18, 0x1.7d562a2a46cbcp-18, 0x1.6af8df1fbca23p-18, 0x1.58dffda9ecd4p-18, 0x1.470b00a76b808p-18, 0x1.357966deedcd4p-18, 0x1.242ab2b5ec855p-18, 0x1.131e69eaa51a9p-18, 0x1.025415515c81p-18, 0x1.e396812991035p-19, 0x1.c306f3f3043f7p-19, 0x1.a2f8a448d1b19p-19, 0x1.836ab7c7bb5aep-19, 0x1.645c57f772d1fp-19, 0x1.45ccb1e7d0813p-19, 0x1.27baf5d32930ap-19, 0x1.0a2656c58b17cp-19, 0x1.da1c149177b06p-20, 0x1.a0e290299bbefp-20, 0x1.689e938a33c47p-20, 0x1.314e9522fa9e5p-20, 0x1.f5e21c2eb6268p-21, 0x1.8b08f3820114p-21, 0x1.220eaa73ee529p-21, 0x1.75e07bb87bda3p-22, 0x1.56aab19d25a8p-23, -0x1.b8a145715414dp-26, -0x1.bd8796f97a132p-23, }}, 
      {{0x1.ab86cb80b91a1p-8, 0x1.a7af9a170c789p-7, 0x1.3907df5f43d8dp-6, 0x1.98b78cf85c8cfp-6, 0x1.f15809dc3a71fp-6, 0x1.20c6fbba257a9p-5, 0x1.441af351001ap-5, 0x1.6232ff92485fap-5, 0x1.7ab6ae60cc64p-5, 0x1.8d68d768844cep-5, 0x1.9a25cc5d46163p-5, 0x1.a0e11fb5e10d2p-5, 0x1.a1a32e1c96e9dp-5, 0x1.9c868d79cc8ebp-5, 0x1.91b57c29d006cp-5, 0x1.816763d5ac464p-5, 0x1.6bde7d91b75c2p-5, 0x1.5165a03c7c8edp-5, 0x1.324e3e78cf185p-5, 0x1.0eee96db8fec7p-5, 0x1.cf402daf91561p-6, 0x1.797bdeead3f1ap-6, 0x1.1d47b3a1def3dp-6, 0x1.76b422ac1f174p-7, 0x1.519a1ed6ea29cp-8, -0x1.6e3ab98450675p-10, -0x1.0bb5a6aecfef1p-7, -0x1.efb774b3841fp-7, -0x1.6c4a6b4c68786p-6, -0x1.e292bf47f516dp-6, -0x1.2d1460b0b0bbdp-5, -0x1.69447685190f1p-5, -0x1.a59c264cc6db7p-5, -0x1.e1e23e6faa7cdp-5, -0x1.0ef0e68a76092p-4, -0x1.2cb506ac454cep-4, -0x1.4a27267a66a73p-4, -0x1.6732e5f59b8d5p-4, -0x1.83c5cbc376d0fp-4, -0x1.9fcf30f242f52p-4, -0x1.bb402b809b32dp-4, -0x1.d60b7816b42cp-4, -0x1.f025634e369b5p-4, -0x1.04c1d96b3640ap-3, -0x1.110ec75a6e741p-3, -0x1.1cf5b56b7bb32p-3, -0x1.2873788f58063p-3, -0x1.33857605b6229p-3, -0x1.3e29990c5c29p-3, -0x1.485e48f2d4bd5p-3, -0x1.52225f9944f9cp-3, -0x1.5b75205ea9f4cp-3, -0x1.64562f810b663p-3, -0x1.6cc589f0640dep-3, -0x1.74c37d93d3abp-3, -0x1.7c50a1ff86c66p-3, -0x1.836dd1990a7d9p-3, -0x1.8a1c2326f90f4p-3, -0x1.905ce3c87fb76p-3, -0x1.96319150ef3f2p-3, -0x1.9b9bd5032c4acp-3, -0x1.a09d7ea8bf5p-3, -0x1.a538800031a9ep-3, -0x1.a96ee87e49175p-3, -0x1.ad42e15de3532p-3, -0x1.b0b6a9fa0f63dp-3, -0x1.b3cc946e4ec86p-3, -0x1.b6870278e5223p-3, -0x1.b8e8629b4d5d3p-3, -0x1.baf32d7513cep-3, -0x1.bca9e35577ec2p-3, -0x1.be0f0a0063698p-3, -0x1.bf252aa36e9fcp-3, -0x1.bfeecff7d80a5p-3, -0x1.c06e848e7974ap-3, -0x1.c0a6d142e7d37p-3, -0x1.c09a3bd3311ccp-3, -0x1.c04b45999abd4p-3, -0x1.bfbc6a662166bp-3, -0x1.bef01f757f5a5p-3, -0x1.bde8d2839c38cp-3, -0x1.bca8e8f77f0a8p-3, -0x1.bb32bf26ea268p-3, -0x1.b988a7afe3015p-3, -0x1.b7aceae695abap-3, -0x1.b5a1c656074c1p-3, -0x1.b3696c5235182p-3, -0x1.b106039a42996p-3, -0x1.ae79a7098deep-3, -0x1.abc6655668168p-3, -0x1.a8ee40dd7239ap-3, -0x1.a5f32f788c8d3p-3, -0x1.a2d71a6074d49p-3, -0x1.9f9bde181fed3p-3, -0x1.9c434a6109601p-3, -0x1.98cf2237b22e6p-3, -0x1.95411bd78ab15p-3, -0x1.919ae0c5b124p-3, -0x1.8dde0de1d1666p-3, -0x1.8a0c337ca045bp-3, -0x1.8626d573569a1p-3, -0x1.822f6b4fc6301p-3, -0x1.7e27606c6e8f9p-3, -0x1.7a10141c43576p-3, -0x1.75ead9d5a3c08p-3, -0x1.71b8f96035e2ep-3, -0x1.6d7baf053987cp-3, -0x1.69342bc215dbbp-3, -0x1.64e3957cc681dp-3, -0x1.608b0739e36fcp-3, -0x1.5c2b91540c253p-3, -0x1.57c639b469b9cp-3, -0x1.535bfc0c21eebp-3, -0x1.4eedca0e7e91bp-3, -0x1.4a7c8bab99b25p-3, -0x1.46091f4b6714ap-3, -0x1.41945a08f34b6p-3, -0x1.3d1f07edb62cap-3, -0x1.38a9ec2ccf484p-3, -0x1.3435c15e1d6dcp-3, -0x1.2fc339b90625dp-3, -0x1.2b52ff4ede2cdp-3, -0x1.26e5b444dc0f9p-3, -0x1.227bf30d7eebbp-3, -0x1.1e164ea153578p-3, -0x1.19b552b713ccdp-3, -0x1.155983fb02499p-3, -0x1.11036045822e9p-3, -0x1.0cb35ed0d7fa1p-3, -0x1.0869f06e15e72p-3, -0x1.04277fb91323ap-3, -0x1.ffd8e2970e3e2p-4, -0x1.f77247de4802bp-4, -0x1.ef1be19d8582bp-4, -0x1.e6d6574d204afp-4, -0x1.dea245e66acdcp-4, -0x1.d680404011901p-4, -0x1.ce70cf686203fp-4, -0x1.c67472fd9c034p-4, -0x1.be8ba18421edfp-4, -0x1.b6b6c8bab8af7p-4, -0x1.aef64deca9ecbp-4, -0x1.a74a8e41ef0fbp-4, -0x1.9fb3df0d51d5fp-4, -0x1.98328e18896b2p-4, -0x1.90c6e1ee6cb1ep-4, -0x1.89711a231cb2cp-4, -0x1.82316f9a49802p-4, -0x1.7b0814cb89771p-4, -0x1.73f53604cdc53p-4, -0x1.6cf8f9aafa895p-4, -0x1.66138078a82f9p-4, -0x1.5f44e5bb186a7p-4, -0x1.588d3f8d635bcp-4, -0x1.51ec9f11e802p-4, -0x1.4b6310aa055f8p-4, -0x1.44f09c2c25da4p-4, -0x1.3e95451825cddp-4, -0x1.38510aca1bfe4p-4, -0x1.3223e8ab8df3bp-4, -0x1.2c0dd6631909bp-4, -0x1.260ec802962e5p-4, -0x1.2026ae33c527ap-4, -0x1.1a557663833fcp-4, -0x1.149b0aeb99a65p-4, -0x1.0ef7533b2a653p-4, -0x1.096a33fdc3784p-4, -0x1.03f38f41223c8p-4, -0x1.fd2689335d8e2p-5, -0x1.f292628b6d0edp-5, -0x1.e82a609ede5c1p-5, -0x1.ddee355b93299p-5, -0x1.d3dd8ec83a8f9p-5, -0x1.c9f8174164461p-5, -0x1.c03d75b4668ep-5, -0x1.b6ad4dd81fee4p-5, -0x1.ad474063a38b8p-5, -0x1.a40aeb42e5914p-5, -0x1.9af7e9c96be54p-5, -0x1.920dd4e31a5d8p-5, -0x1.894c43432236ap-5, -0x1.80b2c99125549p-5, -0x1.7840fa94988eep-5, -0x1.6ff6675e742a9p-5, -0x1.67d29f713dc35p-5, -0x1.5fd530e7779acp-5, -0x1.57fda898846efp-5, -0x1.504b923c0687p-5, -0x1.48be788bcbe84p-5, -0x1.4155e5644bebcp-5, -0x1.3a1161e3cb51dp-5, -0x1.32f07688234dep-5, -0x1.2bf2ab4b4647fp-5, -0x1.251787be80ec8p-5, -0x1.1e5e932483da7p-5, -0x1.17c7548a46d28p-5, -0x1.115152dec4009p-5, -0x1.0afc15099d4fcp-5, -0x1.04c72200b2d32p-5, -0x1.fd6401b95dac9p-6, -0x1.f17871d92ed43p-6, -0x1.e5caa390ce61fp-6, -0x1.da59a6c576f9dp-6, -0x1.cf248c3333b83p-6, -0x1.c42a658cb430dp-6, -0x1.b96a459973e2ap-6, -0x1.aee340523fad6p-6, -0x1.a4946afc31eb7p-6, -0x1.9a7cdc422b83fp-6, -0x1.909bac4cd4842p-6, -0x1.86eff4d93efd1p-6, -0x1.7d78d14e29552p-6, -0x1.74355ecff52ap-6, -0x1.6b24bc5361895p-6, -0x1.62460aaf08812p-6, -0x1.59986cabb95c4p-6, -0x1.511b0713b1a7dp-6, -0x1.48cd00c0c2604p-6, -0x1.40ad82a96c87dp-6, -0x1.38bbb7ecfe4d7p-6, -0x1.30f6cddebd6d6p-6, -0x1.295df4101eccbp-6, -0x1.21f05c5a260bdp-6, -0x1.1aad3ae5e3ebdp-6, -0x1.1393c634251ccp-6, -0x1.0ca33724603c9p-6, -0x1.05dac8fad7104p-6, -0x1.fe7372cc1f1cdp-7, -0x1.f17e910718359p-7, -0x1.e4d571c7d8ec2p-7, -0x1.d8769f1cbab4ap-7, -0x1.cc60a806f1128p-7, -0x1.c092207f1c886p-7, -0x1.b509a178be6d1p-7, -0x1.a9c5c8e4a6fa6p-7, -0x1.9ec539b25effap-7, -0x1.94069bd09f81dp-7, -0x1.89889c2cd74abp-7, -0x1.7f49ecb1dec4bp-7, -0x1.75494445d1b27p-7, -0x1.6b855ec71e3cbp-7, -0x1.61fcfd08dd0adp-7, -0x1.58aee4ce6452dp-7, -0x1.4f99e0c647239p-7, -0x1.46bcc08499a44p-7, -0x1.3e16587cac1c2p-7, -0x1.35a581fa2cfebp-7, -0x1.2d691b19c34c5p-7, -0x1.256006c1279c3p-7, -0x1.1d892c96c41ddp-7, -0x1.15e378f8e0365p-7, -0x1.0e6ddcf462908p-7, -0x1.07274e3b2cdbap-7, -0x1.000ec71a1a838p-7, -0x1.f2468cdd4ee47p-8, -0x1.e4c79f38874abp-8, -0x1.d79ed502ba06fp-8, -0x1.caca46d8416e8p-8, -0x1.be48161dfa231p-8, -0x1.b2166ce9ccad8p-8, -0x1.a6337deacbdaep-8, -0x1.9a9d8450ececbp-8, -0x1.8f52c3b465fecp-8, -0x1.845187fcb9f3dp-8, -0x1.7998254779836p-8, -0x1.6f24f7cec5ca8p-8, -0x1.64f663cf945fap-8, -0x1.5b0ad56fc53d6p-8, -0x1.5160c0a409ab3p-8, -0x1.47f6a115aa37ep-8, -0x1.3ecafa082aecdp-8, -0x1.35dc563ed98c8p-8, -0x1.2d2947e24a5e2p-8, -0x1.24b06865c72dep-8, -0x1.1c70586cb8ac1p-8, -0x1.1467bfb00bdbcp-8, -0x1.0c954ce39dfa7p-8, -0x1.04f7b59bad30fp-8, -0x1.fb1b6c64ae1d6p-9, -0x1.ecac235a4c718p-9, -0x1.de9f23456dca2p-9, -0x1.d0f20c40dea37p-9, -0x1.c3a28b20b2e7p-9, -0x1.b6ae593e2da26p-9, -0x1.aa133c43f39e1p-9, -0x1.9dcf05fa8692cp-9, -0x1.91df941511ff4p-9, -0x1.8642cffe8e205p-9, -0x1.7af6aea73a2a3p-9, -0x1.6ff930527ea78p-9, -0x1.6548606529ea9p-9, -0x1.5ae255341e35bp-9, -0x1.50c52fd365c91p-9, -0x1.46ef1be5b9371p-9, -0x1.3d5e4f6c7bf1ap-9, -0x1.34110a98296dfp-9, -0x1.2b0597994212fp-9, -0x1.223a4a71aeef8p-9, -0x1.19ad80c6a92bfp-9, -0x1.115da1b31ba4bp-9, -0x1.09491d9a9020dp-9, -0x1.016e6dfc98f2fp-9, -0x1.f3982a918b4b8p-10, -0x1.e4c13d663d89cp-10, -0x1.d6553c1259633p-10, -0x1.c8515f0f0345cp-10, -0x1.bab2ef5fb3e7ap-10, -0x1.ad77463f7f3a8p-10, -0x1.a09bcccf7ef9ap-10, -0x1.941dfbc65471bp-10, -0x1.87fb5b20c602ap-10, -0x1.7c3181d3803cep-10, -0x1.70be157de6564p-10, -0x1.659eca1e105cap-10, -0x1.5ad161c5d9e06p-10, -0x1.5053ac5111f9dp-10, -0x1.4623871cc9499p-10, -0x1.3c3edcbfbcd2bp-10, -0x1.32a3a4c3d6ee2p-10, -0x1.294fe360ce388p-10, -0x1.2041a937e03a1p-10, -0x1.177713109da65p-10, -0x1.0eee4996d135ep-10, -0x1.06a581197c992p-10, -0x1.fd35f295c7b7p-11, -0x1.ed99fa0360ad7p-11, -0x1.de73c3f63e531p-11, -0x1.cfc0113c7e451p-11, -0x1.c17bb78073b0ep-11, -0x1.b3a3a0d34c7d4p-11, -0x1.a634cb39c60d3p-11, -0x1.992c483aea65cp-11, -0x1.8c873c70d2cbbp-11, -0x1.8042df1b6aa8fp-11, -0x1.745c79b52d1a9p-11, -0x1.68d16789d86b2p-11, -0x1.5d9f154f12133p-11, -0x1.52c300bef4b74p-11, -0x1.483ab83485706p-11, -0x1.3e03da4a075c4p-11, -0x1.341c15792a88ep-11, -0x1.2a8127bd0e59p-11, -0x1.2130de361521dp-11, -0x1.182914cf7c64ap-11, -0x1.0f67b5e6bd79bp-11, -0x1.06eab9f4a63b7p-11, -0x1.fd604e705b7e6p-12, -0x1.ed6c22c5eb263p-12, -0x1.ddf5328ef4dadp-12, -0x1.cef7d911cef07p-12, -0x1.c0708a9914d75p-12, -0x1.b25bd3d9be77dp-12, -0x1.a4b6595c62a6dp-12, -0x1.977cd6e98e2f8p-12, -0x1.8aac1ef92fe41p-12, -0x1.7e411a2501657p-12, -0x1.7238c69de9ecap-12, -0x1.669037a449f99p-12, -0x1.5b4495032672p-12, -0x1.50531a8e253a5p-12, -0x1.45b917a254876p-12, -0x1.3b73eea9a8a45p-12, -0x1.318114a12d05fp-12, -0x1.27de10a1d95c3p-12, -0x1.1e887b6bfd90bp-12, -0x1.157dfef53c25bp-12, -0x1.0cbc55f907b1bp-12, -0x1.04414b8b96dc2p-12, -0x1.f815755e83977p-13, -0x1.e82d1bd886573p-13, -0x1.d8c57dd59cbb2p-13, -0x1.c9daac1edf2f9p-13, -0x1.bb68d4335d715p-13, -0x1.ad6c3f89ca1bcp-13, -0x1.9fe152d67db45p-13, -0x1.92c48d55c0fcp-13, -0x1.8612881a41b56p-13, -0x1.79c7f55f9b59p-13, -0x1.6de19fe0eab7ap-13, -0x1.625c6a3356ebep-13, -0x1.57354e2469c68p-13, -0x1.4c695c1c461ebp-13, -0x1.41f5ba838347fp-13, -0x1.37d7a52cba494p-13, -0x1.2e0c6cc1a0cecp-13, -0x1.249176339fd16p-13, -0x1.1b643a2fe4285p-13, -0x1.12824496bb135p-13, -0x1.09e933f64af5cp-13, -0x1.0196b90875d04p-13, -0x1.f3112c67e092bp-14, -0x1.e3793e20d0ab4p-14, -0x1.d4616fdb719a9p-14, -0x1.c5c5aabc23381p-14, -0x1.b7a1f7860c44fp-14, -0x1.a9f27dbaea5ap-14, -0x1.9cb382c072973p-14, -0x1.8fe1690b19a6cp-14, -0x1.8378af4e3eef2p-14, -0x1.7775efb1817c3p-14, -0x1.6bd5df0b33d0cp-14, -0x1.60954c1fca6bp-14, -0x1.55b11ee62c7c5p-14, -0x1.4b2657d0c8bep-14, -0x1.40f20f1b54fd5p-14, -0x1.3711741d1e11cp-14, -0x1.2d81cc9fcb982p-14, -0x1.2440743a828dap-14, -0x1.1b4adbb147fd6p-14, -0x1.129e885890a64p-14, -0x1.0a39137cdfe1fp-14, -0x1.021829ce6399cp-14, -0x1.f47315a0e3182p-15, -0x1.e5361099a0e43p-15, -0x1.d6750b956ed04p-15, -0x1.c82bf012da274p-15, -0x1.ba56c8fce119fp-15, -0x1.acf1c1ae2b0ffp-15, -0x1.9ff924fb06517p-15, -0x1.93695c41f83c8p-15, -0x1.873eee82bf988p-15, -0x1.7b767f7b9cb7ap-15, -0x1.700cceccbc72dp-15, -0x1.64feb7219fd0ap-15, -0x1.5a492d6059c9p-15, -0x1.4fe93fde808f9p-15, -0x1.45dc159bada5bp-15, -0x1.3c1eed816d5a1p-15, -0x1.32af1da8783fcp-15, -0x1.298a12a31519p-15, -0x1.20ad4ecc86c06p-15, -0x1.1816699d62c16p-15, -0x1.0fc30f04b2003p-15, -0x1.07b0fec5be41bp-15, -0x1.ffbc17b4d84e9p-16, -0x1.f09037b412f42p-16, -0x1.e1da4cc8d77cep-16, -0x1.d396692295c67p-16, -0x1.c5c0c0c76ba2bp-16, -0x1.b855a88318a7bp-16, -0x1.ab5194ddbdfdbp-16, -0x1.9eb1191a3e37cp-16, -0x1.9270e63c05023p-16, -0x1.868dca140e4c6p-16, -0x1.7b04ae54f3496p-16, -0x1.6fd297add5a4ap-16, -0x1.64f4a4ebf7333p-16, -0x1.5a680e22d67f6p-16, -0x1.502a23da9d062p-16, -0x1.46384e44bb1ep-16, -0x1.3c900c7684db9p-16, -0x1.332ef3a9a850fp-16, -0x1.2a12ae8254cebp-16, -0x1.2138fc5aef1dfp-16, -0x1.189fb09521b59p-16, -0x1.1044b1f039c67p-16, -0x1.0825f9e493e0dp-16, -0x1.00419404062e6p-16, -0x1.f12b3abe44205p-17, -0x1.e24087de481b9p-17, -0x1.d3bf8c08fa618p-17, -0x1.c5a4e373968f5p-17, -0x1.b7ed48d65094ep-17, -0x1.aa95946359afcp-17, -0x1.9d9abac616469p-17, -0x1.90f9cc2a4de14p-17, -0x1.84aff34b1181bp-17, -0x1.78ba74892a3fdp-17, -0x1.6d16ad08dad55p-17, -0x1.61c211d6ba74dp-17, -0x1.56ba2f1372282p-17, -0x1.4bfca7263b468p-17, -0x1.418731f5dc24ap-17, -0x1.37579c27fb5c2p-17, -0x1.2d6bc6669cb46p-17, -0x1.23c1a4ab99444p-17, -0x1.1a573d91e41c4p-17, -0x1.112aa9ac748e7p-17, -0x1.083a12e2aa8ffp-17, -0x1.ff0767a4083ffp-18, -0x1.ee0bae69f9e18p-18, -0x1.dd7dae9de4434p-18, -0x1.cd5a3ab9c4869p-18, -0x1.bd9e4215d14bap-18, -0x1.ae46cfdc97c09p-18, -0x1.9f510a08032f6p-18, -0x1.90ba30670215cp-18, -0x1.827f9bab8fff5p-18, -0x1.749ebc80dbc84p-18, -0x1.67151aa952162p-18, -0x1.59e054244c517p-18, -0x1.4cfe1c5b2955bp-18, -0x1.406c3b55967aap-18, -0x1.34288cf4d3114p-18, -0x1.28310035b3d21p-18, -0x1.1c839679345edp-18, -0x1.111e62d3638ap-18, -0x1.05ff8960747ep-18, -0x1.f64a7d3f9435fp-19, -0x1.e11b8da98f9a6p-19, -0x1.cc6eeada765c7p-19, -0x1.b84158da66fdbp-19, -0x1.a48fb7c035c0fp-19, -0x1.9157029dc5ccbp-19, -0x1.7e944e76433bep-19, -0x1.6c44c93de7124p-19, -0x1.5a65b8e2f46p-19, -0x1.48f47a5faa8dep-19, -0x1.37ee80d4df006p-19, -0x1.275154acf56f7p-19, -0x1.171a92c6f4a74p-19, -0x1.0747eba973acdp-19, -0x1.efae457a37a7dp-20, -0x1.d18c1b1d08cdbp-20, -0x1.b425262e4315ep-20, -0x1.9775561a3089dp-20, -0x1.7b78ba736169ep-20, -0x1.602b81ac61dc9p-20, -0x1.4589f7dde5bfbp-20, -0x1.2b908598e4df2p-20, -0x1.123baec44da29p-20, -0x1.f310230be302bp-21, -0x1.c2e4ca6c78e07p-21, -0x1.93eef2bcb9ca5p-21, -0x1.662869810b7d6p-21, -0x1.398b28d3d991ep-21, -0x1.0e11559c61d03p-21, -0x1.c76a7baf4f6eap-22, -0x1.74e2ade5e2fcap-22, -0x1.2480786e55af8p-22, -0x1.ac72b51272a89p-23, -0x1.140632797ed2ap-23, -0x1.fe9de45000daep-25, 0x1.0bce680f0d654p-27, 0x1.3a73c05f7e14dp-24, 0x1.25e1f1565394dp-23, 0x1.aac7257d9889ep-23, 0x1.15fd8d6f372e8p-22, 0x1.54c7835af25dbp-22, 0x1.91c9dcb545b11p-22, 0x1.cd0cd14246985p-22, 0x1.034c351e92f6bp-21, 0x1.1f3a4214c2704p-21, 0x1.3a546848542abp-21, 0x1.549e6bd59f0b2p-21, 0x1.6e1bfcfc3d8b1p-21, 0x1.86d0b8e1a1768p-21, 0x1.9ec02a4b0583ep-21, 0x1.b5edca4f11dafp-21, 0x1.cc5d00ff8617dp-21, 0x1.e211260b36bap-21, 0x1.f70d8158ae78dp-21, 0x1.05aaa5ccdd40dp-20, 0x1.0f75d76c162bbp-20, 0x1.18e9e37e07c92p-20, 0x1.22085125d4e01p-20, 0x1.2ad2a0f2b4866p-20, 0x1.334a4d1a0c8b9p-20, 0x1.3b70c9aec643fp-20, 0x1.434784d5fb1a6p-20, 0x1.4acfe6f9201c6p-20, 0x1.520b52f5b51bbp-20, 0x1.58fb264aaa213p-20, 0x1.5fa0b943846a4p-20, 0x1.65fd5f2163375p-20, 0x1.6c126641f36a7p-20, 0x1.71e118447a4eep-20, 0x1.776aba2cf53b5p-20, 0x1.7cb08c857790fp-20, 0x1.81b3cb7dd29dfp-20, 0x1.8675af099539cp-20, 0x1.8af76afc8c9c2p-20, 0x1.8f3a2f25b3fccp-20, 0x1.933f2768cb79cp-20, 0x1.97077bd68be46p-20, 0x1.9a9450c391f8bp-20, 0x1.9de6c6de124b8p-20, 0x1.a0fffb425f273p-20, 0x1.a3e1078e52ca7p-20, 0x1.a68b01f3ae2c7p-20, 0x1.a8fefd4970e38p-20, 0x1.ab3e091c413dp-20, 0x1.ad4931bdeb713p-20, 0x1.af218054037acp-20, 0x1.b0c7fae5b2cb1p-20, 0x1.b23da468cc5ffp-20, 0x1.b3837cce17161p-20, 0x1.b49a810ceb0b7p-20, 0x1.b583ab2e310ebp-20, 0x1.b63ff256b51ep-20, 0x1.b6d04ad0e9efdp-20, 0x1.b735a61626be3p-20, 0x1.b770f2d74f313p-20, 0x1.b7831d051137ap-20, 0x1.b76d0dd79d227p-20, 0x1.b72fabd5fa998p-20, 0x1.b6cbdadcf257ap-20, 0x1.b6427c25914aap-20, 0x1.b5946e4b5d4cep-20, 0x1.b4c28d5223433p-20, }}, 
      {{0x1.9e3ab179856abp-1, 0x1.9e272e19b2457p-1, 0x1.9e018a881fe04p-1, 0x1.9dc348825b43dp-1, 0x1.9d650abf8739bp-1, 0x1.9cdf7fd8d06b9p-1, 0x1.9c2c133a92eb4p-1, 0x1.9b45621840d4fp-1, 0x1.9a277b82501f8p-1, 0x1.98cff624f6ab6p-1, 0x1.973de699c032p-1, 0x1.9571c02438561p-1, 0x1.936d280b4e217p-1, 0x1.9132c1ff2c38bp-1, 0x1.8ec5fa5b257fcp-1, 0x1.8c2ad1af1e68p-1, 0x1.8965abda724b8p-1, 0x1.867b24204ea31p-1, 0x1.836fe6f2f9885p-1, 0x1.804891b717878p-1, 0x1.7d09986896e6fp-1, 0x1.79b730d033f0bp-1, 0x1.765542d3c948ap-1, 0x1.72e75d5713efdp-1, 0x1.6f70af19ebf4p-1, 0x1.6bf40300a6b4p-1, 0x1.6873bf38d068p-1, 0x1.64f1e6b59f87fp-1, 0x1.61701c8b04461p-1, 0x1.5defa8bad9f7cp-1, 0x1.5a717e14c6a9cp-1, 0x1.56f640d62df62p-1, 0x1.537e4dc3d8ef8p-1, 0x1.5009c18266b53p-1, 0x1.4c987ffd0834p-1, 0x1.492a3bb36f52dp-1, 0x1.45be7cd025d27p-1, 0x1.4254a7efc418bp-1, 0x1.3eec0487ba679p-1, 0x1.3b83c2e0b116ep-1, 0x1.381b019ced5eep-1, 0x1.34b0d2c6d92fbp-1, 0x1.31444066bfedfp-1, 0x1.2dd450a12a425p-1, 0x1.2a6009612611fp-1, 0x1.26e6739316d69p-1, 0x1.23669df5be882p-1, 0x1.1fdf9f87d1cb3p-1, 0x1.1c509998d8ecap-1, 0x1.18b8b9845c53ep-1, 0x1.15173a1e5a35fp-1, 0x1.116b64d7f53ep-1, 0x1.0db492a316ab7p-1, 0x1.09f22c9b78ad5p-1, 0x1.0623ac7b3f0c5p-1, 0x1.02489ce0e5a25p-1, 0x1.fcc132d7dc76ap-2, 0x1.f4d69d6aa6d9p-2, 0x1.ecd0f450c2dbfp-2, 0x1.e4afd3807517p-2, 0x1.dc72f75bd00eap-2, 0x1.d41a3bd503becp-2, 0x1.cba59b7144b3ep-2, 0x1.c3152e301629bp-2, 0x1.ba69285c228ep-2, 0x1.b1a1d94a50df8p-2, 0x1.a8bfaa0b3c992p-2, 0x1.9fc31c12bab48p-2, 0x1.96acc7d8b58d5p-2, 0x1.8d7d5b763fe0ep-2, 0x1.843599415fb5p-2, 0x1.7ad65669cb95p-2, 0x1.71607998801ebp-2, 0x1.67d4f993d72bap-2, 0x1.5e34dbe988c8bp-2, 0x1.5481339fcc0c9p-2, 0x1.4abb1fee9834fp-2, 0x1.40e3cb01e1f1p-2, 0x1.36fc68c57e9dbp-2, 0x1.2d0635bb40c8fp-2, 0x1.230275dbb7f9ep-2, 0x1.18f27381e8a07p-2, 0x1.0ed77e6235c92p-2, 0x1.04b2ea8ca1f76p-2, 0x1.f50c1ef4ec353p-3, 0x1.e0a48e4ea98bfp-3, 0x1.cc31da6b4bc0fp-3, 0x1.b7b6bc3c8fc81p-3, 0x1.a335ecd6b8e5ap-3, 0x1.8eb223fc0970ap-3, 0x1.7a2e16bdaa966p-3, 0x1.65ac7631960b8p-3, 0x1.512fee3cec23ap-3, 0x1.3cbb2472341ffp-3, 0x1.2850b702f04aep-3, 0x1.13f33bc3edb59p-3, 0x1.ff4a7e8750eb9p-4, 0x1.d6d287e456b08p-4, 0x1.ae8382b3941c8p-4, 0x1.866246d009ba3p-4, 0x1.5e73938c0032cp-4, 0x1.36bc0e7fcb288p-4, 0x1.0f404275199e4p-4, 0x1.d0093cdb3753dp-5, 0x1.821ae9877cffap-5, 0x1.34bdf4c8980e3p-5, 0x1.cff5187efa052p-6, 0x1.37b14048887fep-6, 0x1.417f890323253p-7, 0x1.65f144fc63cf7p-11, -0x1.11e21391d7f9dp-7, -0x1.1b94137ace39ap-6, -0x1.acac311b91deep-6, -0x1.1e1641bd015dep-5, -0x1.65045732cde01p-5, -0x1.ab1a6c6a259d9p-5, -0x1.f052d668e86bep-5, -0x1.1a5415cefae22p-4, -0x1.3c0aa1d3a514cp-4, -0x1.5d4a9b80d32f9p-4, -0x1.7e11af519a596p-4, -0x1.9e5da9c149c8cp-4, -0x1.be2c7705d2a1cp-4, -0x1.dd7c22c1a4f1p-4, -0x1.fc4ad7adbc117p-4, -0x1.0d4b6f9e2a1cbp-3, -0x1.1c2f509a6fe34p-3, -0x1.2ad051a4e8611p-3, -0x1.392dc45452b97p-3, -0x1.474708c2609a4p-3, -0x1.551b8d4ec0346p-3, -0x1.62aace5ffa4bp-3, -0x1.6ff4562261eb7p-3, -0x1.7cf7bc453abf5p-3, -0x1.89b4a5b651c98p-3, -0x1.962ac45c3022fp-3, -0x1.a259d6cf11ef8p-3, -0x1.ae41a810d6528p-3, -0x1.b9e20f43f674bp-3, -0x1.c53aef61c757cp-3, -0x1.d04c36f00d7fep-3, -0x1.db15dfb61abfp-3, -0x1.e597ee717eee6p-3, -0x1.efd2728a7bf6p-3, -0x1.f9c585c8515e3p-3, -0x1.01b8a602b8f1cp-2, -0x1.066af971e8657p-2, -0x1.0af9d8c09f851p-2, -0x1.0f6564160a0b8p-2, -0x1.13adc00c0861ap-2, -0x1.17d31589d8772p-2, -0x1.1bd5919eefdcbp-2, -0x1.1fb5655e2032ep-2, -0x1.2372c5b8fb5dap-2, -0x1.270deb5b91e13p-2, -0x1.2a87128880693p-2, -0x1.2dde7af562777p-2, -0x1.311467a7a5d44p-2, -0x1.34291ed1c71c4p-2, -0x1.371ce9b10117ap-2, -0x1.39f0146b6bc7cp-2, -0x1.3ca2edee9699ap-2, -0x1.3f35c7ce9bfb5p-2, -0x1.41a8f625b871dp-2, -0x1.43fccf746139fp-2, -0x1.4631ac81e491ep-2, -0x1.4847e83d9026ep-2, -0x1.4a3fdfa0643f6p-2, -0x1.4c19f18f5727p-2, -0x1.4dd67ebe21d27p-2, -0x1.4f75e992a4af9p-2, -0x1.50f89608da83fp-2, -0x1.525ee99761b55p-2, -0x1.53a94b1499c8fp-2, -0x1.54d8229c558ap-2, -0x1.55ebd976239a4p-2, -0x1.56e4d9fc31618p-2, -0x1.57c38f82be3e8p-2, -0x1.588866402bbacp-2, -0x1.5933cb35a113dp-2, -0x1.59c62c1847d1dp-2, -0x1.5a3ff73b1ad29p-2, -0x1.5aa19b794fb3fp-2, -0x1.5aeb882151d11p-2, -0x1.5b1e2ce053391p-2, -0x1.5b39f9ae6ec87p-2, -0x1.5b3f5ebb618d6p-2, -0x1.5b2ecc5bcd643p-2, -0x1.5b08b2f714a0cp-2, -0x1.5acd82f5bcbdbp-2, -0x1.5a7dacb0637f8p-2, -0x1.5a19a05f3dc04p-2, -0x1.59a1ce0a20557p-2, -0x1.5916a579122c9p-2, -0x1.5878962567a1p-2, -0x1.57c80f2b5eaep-2, -0x1.57057f3c4296dp-2, -0x1.563154910ffabp-2, -0x1.554bfcdd98747p-2, -0x1.5455e5442391cp-2, -0x1.534f7a498f55ep-2, -0x1.523927c9e5488p-2, -0x1.511358ed6cdccp-2, -0x1.4fde781e2f50ap-2, -0x1.4e9aeefdf2bcp-2, -0x1.4d49265ca5b7p-2, -0x1.4be9862f3a457p-2, -0x1.4a7c7586ef264p-2, -0x1.49025a8902b0cp-2, -0x1.477b9a66d334fp-2, -0x1.45e89956616eap-2, -0x1.4449ba8b3a543p-2, -0x1.429f602fc59bcp-2, -0x1.40e9eb5eefbb5p-2, -0x1.3f29bc1e39814p-2, -0x1.3d5f31581c8e7p-2, -0x1.3b8aa8d6ced01p-2, -0x1.39ac7f3f5e5fdp-2, -0x1.37c5100d1ec1ap-2, -0x1.35d4b58d6ef7dp-2, -0x1.33dbc8dbcde13p-2, -0x1.31daa1de41454p-2, -0x1.2fd1974205e3p-2, -0x1.2dc0fe788f8a8p-2, -0x1.2ba92bb4d0e73p-2, -0x1.298a71e8c8567p-2, -0x1.276522c35630bp-2, -0x1.25398eae549acp-2, -0x1.230804ccee3b1p-2, -0x1.20d0d2fa391acp-2, -0x1.1e9445c80c05p-2, -0x1.1c52a87e10275p-2, -0x1.1a0c45190bde6p-2, -0x1.17c1644a68016p-2, -0x1.15724d77e750ep-2, -0x1.131f46bb95c05p-2, -0x1.10c894e3e9016p-2, -0x1.0e6e7b74101f4p-2, -0x1.0c113ca4768e3p-2, -0x1.09b119636fb17p-2, -0x1.074e515611006p-2, -0x1.04e922d936635p-2, -0x1.0281cb02ae968p-2, -0x1.001885a28dd0dp-2, -0x1.fb5b1a894e3bp-3, -0x1.f682366450095p-3, -0x1.f1a6cee6b168ep-3, -0x1.ecc951a2fa4ccp-3, -0x1.e7ea29b1a3f44p-3, -0x1.e309bfb55ac0ap-3, -0x1.de2879df714dap-3, -0x1.d946bbf48bd49p-3, -0x1.d464e751859e3p-3, -0x1.cf835af07fcb5p-3, -0x1.caa2736e2403cp-3, -0x1.c5c28b0f16a4p-3, -0x1.c0e3f9c58fa02p-3, -0x1.bc07153719382p-3, -0x1.b72c30c27c6a9p-3, -0x1.b2539d85cb4ecp-3, -0x1.ad7daa648dbd5p-3, -0x1.a8aaa40e1046ap-3, -0x1.a3dad503cae91p-3, -0x1.9f0e859feaf68p-3, -0x1.9a45fc1bf2164p-3, -0x1.95817c976a63p-3, -0x1.90c1491eb7902p-3, -0x1.8c05a1b1f45f2p-3, -0x1.874ec44be7d53p-3, -0x1.829cece90964ap-3, -0x1.7df0558e93296p-3, -0x1.79493651a156fp-3, -0x1.74a7c55e633e5p-3, -0x1.700c36ff4a911p-3, -0x1.6b76bda45264ep-3, -0x1.66e789ea400e1p-3, -0x1.625ecaa1f5928p-3, -0x1.5ddcacd7c1787p-3, -0x1.59615bdab4bdap-3, -0x1.54ed0143fc539p-3, -0x1.507fc4fe38d92p-3, -0x1.4c19cd4cd9d89p-3, -0x1.47bb3ed375816p-3, -0x1.43643c9d22248p-3, -0x1.3f14e823c27ep-3, -0x1.3acd61575e507p-3, -0x1.368dc6a56501fp-3, -0x1.325634fff661ap-3, -0x1.2e26c7e51ffe3p-3, -0x1.29ff996611afep-3, -0x1.25e0c22e4a38bp-3, -0x1.21ca598ac05f3p-3, -0x1.1dbc7570f6ed7p-3, -0x1.19b72a8610af9p-3, -0x1.15ba8c25d57ecp-3, -0x1.11c6ac69a5b4p-3, -0x1.0ddb9c2f6cba5p-3, -0x1.09f96b20793d2p-3, -0x1.062027b851d21p-3, -0x1.024fdf4b780b4p-3, -0x1.fd113c1c33e3ap-4, -0x1.f594de3571e4dp-4, -0x1.ee2ab8f17adf3p-4, -0x1.e6d2de45f6c0cp-4, -0x1.df8d5e1c5379cp-4, -0x1.d85a465e80d1bp-4, -0x1.d139a303a1ae2p-4, -0x1.ca2b7e1c850e1p-4, -0x1.c32fdfe004a2p-4, -0x1.bc46ceb7457b6p-4, -0x1.b5704f49c0716p-4, -0x1.aeac64893c71ep-4, -0x1.a7fb0fbd924ap-4, -0x1.a15c509052863p-4, -0x1.9ad025183d94dp-4, -0x1.945689e4a3483p-4, -0x1.8def7a08865acp-4, -0x1.879aef25ab049p-4, -0x1.8158e177739ap-4, -0x1.7b2947dd99476p-4, -0x1.750c17e6ba941p-4, -0x1.6f0145dac35eap-4, -0x1.6908c4c52b272p-4, -0x1.6322867f0bf1cp-4, -0x1.5d4e7bb90fa5p-4, -0x1.578c9405362c4p-4, -0x1.51dcbde071089p-4, -0x1.4c3ee6bc18e09p-4, -0x1.46b2fb0737708p-4, -0x1.4138e637ac88p-4, -0x1.3bd092d3273a3p-4, -0x1.3679ea77f995p-4, -0x1.3134d5e5c1c5ep-4, -0x1.2c013d05ece4ap-4, -0x1.26df06f41174fp-4, -0x1.21ce1a0621179p-4, -0x1.1cce5bd47495fp-4, -0x1.17dfb141ae962p-4, -0x1.1301fe8279307p-4, -0x1.0e3527251a5a4p-4, -0x1.09790e18e3e6cp-4, -0x1.04cd95b57c1f9p-4, -0x1.00329fc1ff21ep-4, -0x1.f7501af7face6p-5, -0x1.ee5b7f3ca2463p-5, -0x1.e5872ccfa3007p-5, -0x1.dcd2e343bdf8ap-5, -0x1.d43e614d98dp-5, -0x1.cbc964d044dbbp-5, -0x1.c373aae9813ccp-5, -0x1.bb3ceffdb3c9ap-5, -0x1.b324efc39c4c9p-5, -0x1.ab2b654fc2cccp-5, -0x1.a3500b1f9f787p-5, -0x1.9b929b24800fep-5, -0x1.93f2cece2968p-5, -0x1.8c705f1535058p-5, -0x1.850b04852fbdp-5, -0x1.7dc27746751f3p-5, -0x1.76966f27cb363p-5, -0x1.6f86a3a7bfa2p-5, -0x1.6892cbfdc6c8ap-5, -0x1.61ba9f231994p-5, -0x1.5afdd3db5d01bp-5, -0x1.545c20bd07326p-5, -0x1.4dd53c398d3cbp-5, -0x1.4768dca5547aap-5, -0x1.4116b83f6e033p-5, -0x1.3ade853914908p-5, -0x1.34bff9bcf6538p-5, -0x1.2ebacbf64730cp-5, -0x1.28ceb2179bbfp-5, -0x1.22fb6261919c5p-5, -0x1.1d4093293fd14p-5, -0x1.179dfade78689p-5, -0x1.12135011d26f6p-5, -0x1.0ca0497a87a0cp-5, -0x1.07449dfc1b879p-5, -0x1.020004abd7b4p-5, -0x1.f9a469ac2ca8fp-6, -0x1.ef75cc06b9ea7p-6, -0x1.e5739ffa9c2a9p-6, -0x1.db9d55a6d45aap-6, -0x1.d1f25dbf4cfc5p-6, -0x1.c8722995b1e4cp-6, -0x1.bf1c2b21f442ap-6, -0x1.b5efd50a78ca9p-6, -0x1.acec9aabf7c7bp-6, -0x1.a411f0210e5c2p-6, -0x1.9b5f4a497f88ep-6, -0x1.92d41ed129365p-6, -0x1.8a6fe436af595p-6, -0x1.823211d1df523p-6, -0x1.7a1a1fd9c8b3bp-6, -0x1.7227876a91148p-6, -0x1.6a59c28b05bafp-6, -0x1.62b04c31e581dp-6, -0x1.5b2aa04aee395p-6, -0x1.53c83bbba45d2p-6, -0x1.4c889c67e333ap-6, -0x1.456b4136295f2p-6, -0x1.3e6faa13aa52ep-6, -0x1.379557f82bb55p-6, -0x1.30dbcce9a09d6p-6, -0x1.2a428bff94414p-6, -0x1.23c9196659893p-6, -0x1.1d6efa620ac8cp-6, -0x1.1733b5514fc3ep-6, -0x1.1116d1aff6ab5p-6, -0x1.0b17d81958517p-6, -0x1.0536524a90bfp-6, -0x1.fee3964903301p-7, -0x1.f3939d5b613cp-7, -0x1.e87bd427eb477p-7, -0x1.dd9b575bf2b73p-7, -0x1.d2f145f9278edp-7, -0x1.c87cc157effb6p-7, -0x1.be3ced2984c1dp-7, -0x1.b430ef79adfap-7, -0x1.aa57f0b046162p-7, -0x1.a0b11b9265a7ap-7, -0x1.973b9d435841ep-7, -0x1.8df6a5453e52cp-7, -0x1.84e1657976b07p-7, -0x1.7bfb1220c8d24p-7, -0x1.7342e1db48aa9p-7, -0x1.6ab80da807d6ep-7, -0x1.6259d0e484aa1p-7, -0x1.5a27694bec2dap-7, -0x1.522016f615c44p-7, -0x1.4a431c565764ap-7, -0x1.428fbe3a262d5p-7, -0x1.3b0543c77c013p-7, -0x1.33a2f67b19f3bp-7, -0x1.2c68222696137p-7, -0x1.255414ee3eb33p-7, -0x1.1e661f46d42fp-7, -0x1.179d93f319988p-7, -0x1.10f9c8013e1f4p-7, -0x1.0a7a12c820e5dp-7, -0x1.041dcde470f2cp-7, -0x1.fbc8aa6b5355fp-8, -0x1.ef9a0db5deb2ap-8, -0x1.e3ae865f94febp-8, -0x1.d804d9918a9ffp-8, -0x1.cc9bd0dfd8e8cp-8, -0x1.c1723a42655dap-8, -0x1.b686e80d76089p-8, -0x1.abd8b0ea1249cp-8, -0x1.a1666fce33ceap-8, -0x1.972f03f4c8cf3p-8, -0x1.8d3150d58b82cp-8, -0x1.836c3e1cb07c1p-8, -0x1.79deb7a26cc57p-8, -0x1.7087ad6258856p-8, -0x1.67661372ae743p-8, -0x1.5e78e1fb6942cp-8, -0x1.55bf152d43baap-8, -0x1.4d37ad389c718p-8, -0x1.44e1ae443c7d5p-8, -0x1.3cbc2064075dp-8, -0x1.34c60f8f918b3p-8, -0x1.2cfe8b98a4359p-8, -0x1.2564a821a9deep-8, -0x1.1df77c940b86cp-8, -0x1.16b624167ca4dp-8, -0x1.0f9fbd8336419p-8, -0x1.08b36b5e287c3p-8, -0x1.01f053cb1bbdep-8, -0x1.f6ab410795365p-9, -0x1.e9c4fd9be2064p-9, -0x1.dd2c3ee2a95b3p-9, -0x1.d0df6d5b8abe1p-9, -0x1.c4dcf8623398bp-9, -0x1.b923561a4f6abp-9, -0x1.adb1035b713d4p-9, -0x1.a284839cfda72p-9, -0x1.979c60e20f2f3p-9, -0x1.8cf72ba55e0fep-9, -0x1.82937ac52c7bbp-9, -0x1.786feb6f34919p-9, -0x1.6e8b210ca2245p-9, -0x1.64e3c52e11929p-9, -0x1.5b7887779c21ap-9, -0x1.52481d8cef0acp-9, -0x1.495142fd72db5p-9, -0x1.4092b93080e85p-9, -0x1.380b4751ac75cp-9, -0x1.2fb9ba3d1cc12p-9, -0x1.279ce46bfe217p-9, -0x1.1fb39de105b9ep-9, -0x1.17fcc4150e831p-9, -0x1.107739e3d0c83p-9, -0x1.0921e778ae79ep-9, -0x1.01fbba3b9f968p-9, -0x1.f607497c6b4f7p-10, -0x1.e8713d51868efp-10, -0x1.db33494f30f1ep-10, -0x1.ce4b70b0cdf3cp-10, -0x1.c1b7c06f87b3bp-10, -0x1.b5764f1d894e5p-10, -0x1.a9853cc18fe96p-10, -0x1.9de2b2b2b1ca1p-10, -0x1.928ce374743c3p-10, -0x1.87820a932747p-10, -0x1.7cc06c808850bp-10, -0x1.72465670b6f2bp-10, -0x1.68121e376d5c3p-10, -0x1.5e2222258c04fp-10, -0x1.5474c8e6f310dp-10, -0x1.4b088160a4e18p-10, -0x1.41dbc28f42bb5p-10, -0x1.38ed0b65d4d91p-10, -0x1.303ae2ace1502p-10, -0x1.27c3d6e1df47ap-10, -0x1.1f867e16effd5p-10, -0x1.178175d2fbffbp-10, -0x1.0fb362f21515cp-10, -0x1.081af18638fa9p-10, -0x1.00b6d4b85f6b7p-10, -0x1.f30b8d53d6958p-11, -0x1.e50d10acc6f4bp-11, -0x1.d76fc2eb17816p-11, -0x1.ca3140bba116cp-11, -0x1.bd4f33ce1627ap-11, -0x1.b0c7529b386b2p-11, -0x1.a497602bbb06ep-11, -0x1.98bd2bdfd6631p-11, -0x1.8d36913788b5bp-11, -0x1.8201779b854afp-11, -0x1.771bd226d2c4ap-11, -0x1.6c839f7117a38p-11, -0x1.6236e95994347p-11, -0x1.5833c4d2cb741p-11, -0x1.4e7851aed86fep-11, -0x1.4502ba6c717dcp-11, -0x1.3bd1340496232p-11, -0x1.32e1fdb8eca08p-11, -0x1.2a3360e2c5ab5p-11, -0x1.21c3b0c2d0b2ap-11, -0x1.19914a5174858p-11, -0x1.119a940fd6093p-11, -0x1.09ddfdd9838bbp-11, -0x1.025a00b6ca8b2p-11, -0x1.f61a3d5f63bfdp-12, -0x1.e7ebc53f38372p-12, -0x1.da25c013179fcp-12, -0x1.ccc565da1c088p-12, -0x1.bfc7ff378d25cp-12, -0x1.b32ae51f39b3ep-12, -0x1.a6eb8083175cp-12, -0x1.9b074a021b997p-12, -0x1.8f7bc998545fdp-12, -0x1.84469650394edp-12, -0x1.796555f534fe8p-12, -0x1.6ed5bcc762cb7p-12, -0x1.64958d307fc7bp-12, -0x1.5aa2977a09ddp-12, -0x1.50fab9848cacap-12, -0x1.479bde8019795p-12, -0x1.3e83fea5e7674p-12, -0x1.35b11ef315513p-12, -0x1.2d2150e490592p-12, -0x1.24d2b2341b27ap-12, -0x1.1cc36c966cd72p-12, -0x1.14f1b57a6ec0fp-12, -0x1.0d5bcdc98ba7cp-12, -0x1.060001a917762p-12, -0x1.fdb950798a66dp-13, -0x1.efe046d452c6bp-13, -0x1.e271bf3a97ed2p-13, -0x1.d56aa71c76c5fp-13, -0x1.c8c8000f5766p-13, -0x1.bc86df5d2390ep-13, -0x1.b0a46d957f8e2p-13, -0x1.a51de620fd32ep-13, -0x1.99f096d63ab6ap-13, -0x1.8f19df90f0ed4p-13, -0x1.849731cae6174p-13, -0x1.7a661036befafp-13, -0x1.70840e5cac778p-13, -0x1.66eed038e8f83p-13, -0x1.5da409dc03f8ap-13, -0x1.54a17f0cf6337p-13, -0x1.4be502ecf65ffp-13, -0x1.436c779d08308p-13, -0x1.3b35cde541117p-13, -0x1.333f04ddbe264p-13, -0x1.2b8629993fd0dp-13, -0x1.240956d16d756p-13, -0x1.1cc6b494b05f4p-13, -0x1.15bc77f5ade02p-13, -0x1.0ee8e2bc4dc13p-13, -0x1.084a43184d04ap-13, -0x1.01def3555a455p-13, -0x1.f74ab32161c78p-14, -0x1.eb37cee05b361p-14, -0x1.df8233b5b38fdp-14, -0x1.d426f165ca904p-14, -0x1.c9232d2214e1p-14, }}, 
      {{0x1.9e3eadd4419f2p-1, 0x1.9e3872fc7825cp-1, 0x1.9e2d019a44dbp-1, 0x1.9e1af22900176p-1, 0x1.9e0095ac6cb2p-1, 0x1.9ddc205fc363dp-1, 0x1.9dabcd561b603p-1, 0x1.9d6df9b6544a4p-1, 0x1.9d2137c722f06p-1, 0x1.9cc45ac074261p-1, 0x1.9c567ca2839fp-1, 0x1.9bd6ff5c8bd84p-1, 0x1.9b458a73ffbabp-1, 0x1.9aa20634b303cp-1, 0x1.99ec954506aaep-1, 0x1.99258d4d1fe6ep-1, 0x1.984d6f387fdffp-1, 0x1.9764df7729084p-1, 0x1.966c9e8722209p-1, 0x1.956581f837518p-1, 0x1.94506e09c0da6p-1, 0x1.932e4ff42e4d2p-1, 0x1.920018e58df4bp-1, 0x1.90c6b9b0798c9p-1, 0x1.8f831f2741c87p-1, 0x1.8e362f196dae6p-1, 0x1.8ce0c5e73044fp-1, 0x1.8b83b49d19e27p-1, 0x1.8a1fbf89b00b9p-1, 0x1.88b59d3e9625ap-1, 0x1.8745f5ef5d73ap-1, 0x1.85d16320bd78fp-1, 0x1.84586f9be51ddp-1, 0x1.82db979a8a226p-1, 0x1.815b49217657ep-1, 0x1.7fd7e48059c13p-1, 0x1.7e51bceebbd36p-1, 0x1.7cc9193ee5288p-1, 0x1.7b3e34a08b4d2p-1, 0x1.79b13f6dede89p-1, 0x1.78225ffed8a54p-1, 0x1.7691b37dc4412p-1, 0x1.74ff4ebbebffbp-1, 0x1.736b3f01c7f55p-1, 0x1.71d58ad9de9b1p-1, 0x1.703e32d44d9d4p-1, 0x1.6ea53241d2825p-1, 0x1.6d0a7fe569a1ap-1, 0x1.6b6e0e9bea944p-1, 0x1.69cfcdf939ac5p-1, 0x1.682faadae5c3fp-1, 0x1.668d8ff028ef6p-1, 0x1.64e9663769511p-1, 0x1.634315717304fp-1, 0x1.619a848ab4944p-1, 0x1.5fef99fadfce8p-1, 0x1.5e423c1b52a3fp-1, 0x1.5c925174bde0fp-1, 0x1.5adfc1047fa6cp-1, 0x1.592a727a2a5ddp-1, 0x1.57724e6db5af9p-1, 0x1.55b73e8ed35d6p-1, 0x1.53f92dcde18dfp-1, 0x1.5238087eed5dp-1, 0x1.5073bc773c6a8p-1, 0x1.4eac3925c92bdp-1, 0x1.4ce16fa719c89p-1, 0x1.4b1352d4d86edp-1, 0x1.4941d75189b0cp-1, 0x1.476cf390be2b1p-1, 0x1.45949fdc0df3bp-1, 0x1.43b8d65534762p-1, 0x1.41d992f59158fp-1, 0x1.3ff6d38b568d2p-1, 0x1.3e1097b4a2341p-1, 0x1.3c26e0d8c33f4p-1, 0x1.3a39b21fdc081p-1, 0x1.384910691a809p-1, 0x1.3655023fb3132p-1, 0x1.345d8fcec8a15p-1, 0x1.3262c2d46e45cp-1, 0x1.3064a693e212dp-1, 0x1.2e6347c726dap-1, 0x1.2c5eb49018afep-1, 0x1.2a56fc691abeap-1, 0x1.284c301575456p-1, 0x1.263e61917d7f2p-1, 0x1.242da4029940dp-1, 0x1.221a0ba73565dp-1, 0x1.2003adc6ba79ep-1, 0x1.1deaa0a193a3bp-1, 0x1.1bcefb615296bp-1, 0x1.19b0d608fd848p-1, 0x1.1790496591d5dp-1, 0x1.156d6efec405p-1, 0x1.13486108060f6p-1, 0x1.11213a51da6d6p-1, 0x1.0ef8163b7b0bp-1, 0x1.0ccd10a4d755ap-1, 0x1.0aa045e0f0677p-1, 0x1.0871d2a895bd2p-1, 0x1.0641d40d82e4bp-1, 0x1.0410676de6121p-1, 0x1.01ddaa684c838p-1, 0x1.ff53759fec81bp-2, 0x1.fae96d432dda9p-2, 0x1.f67d77f0f7f1fp-2, 0x1.f20fd208418cp-2, 0x1.eda0b7fc521dap-2, 0x1.e93066418be73p-2, 0x1.e4bf193b0616p-2, 0x1.e04d0d28f135ep-2, 0x1.dbda7e17c9764p-2, 0x1.d767a7d0510bdp-2, 0x1.d2f4c5c84c86dp-2, 0x1.ce82131402df1p-2, 0x1.ca0fca5877faep-2, 0x1.c59e25be62208p-2, 0x1.c12d5ee5d429cp-2, 0x1.bcbdaeda948fep-2, 0x1.b84f4e0927775p-2, 0x1.b3e274347780dp-2, 0x1.af77586c28ce5p-2, 0x1.ab0e310385f6ap-2, 0x1.a6a7338907588p-2, 0x1.a24294be70661p-2, 0x1.9de088917b707p-2, 0x1.9981421511bebp-2, 0x1.9524f37b0aaa7p-2, 0x1.90cbce0e6dccp-2, 0x1.8c76022e2f6aep-2, 0x1.8823bf486c081p-2, 0x1.83d533d6132ebp-2, 0x1.7f8a8d57065f5p-2, 0x1.7b43f84ea34c2p-2, 0x1.7701a040b56edp-2, 0x1.72c3afaecc56bp-2, 0x1.6e8a5015f398ap-2, 0x1.6a55a9ecc3269p-2, 0x1.6625e4a1ca3ffp-2, 0x1.61fb269a51067p-2, 0x1.5dd595316547fp-2, 0x1.59b554b73a679p-2, 0x1.559a8870ce53cp-2, 0x1.51855297d8cfbp-2, 0x1.4d75d45afd26p-2, 0x1.496c2dde373b2p-2, 0x1.45687e3b8d3b9p-2, 0x1.416ae383f53p-2, 0x1.3d737ac0726c1p-2, 0x1.39825ff36ad85p-2, 0x1.3597ae1a29181p-2, 0x1.31b37f2e8e9ffp-2, 0x1.2dd5ec28f3f9dp-2, 0x1.29ff0d02309e9p-2, 0x1.262ef8b5ca645p-2, 0x1.2265c54449de5p-2, 0x1.1ea387b5b1ecap-2, 0x1.1ae8541c17d6ap-2, 0x1.17343d96578bap-2, 0x1.13875652e950cp-2, 0x1.0fe1af92cb387p-2, 0x1.0c4359ac88127p-2, 0x1.08ac640f5306fp-2, 0x1.051cdd4639ap-2, 0x1.0194d2fb66188p-2, 0x1.fc28a3f6ef52cp-3, 0x1.f536cc71cba91p-3, 0x1.ee54359eefd7ap-3, 0x1.e780f40f8741bp-3, 0x1.e0bd1ab57a59ap-3, 0x1.da08baea9d02fp-3, 0x1.d363e477ef6d3p-3, 0x1.cccea59cf167bp-3, 0x1.c6490b170205fp-3, 0x1.bfd32028c8f0bp-3, 0x1.b96ceea1aeab1p-3, 0x1.b3167ee55234cp-3, 0x1.accfd7f30f61bp-3, 0x1.a698ff6d7d47ep-3, 0x1.a071f9a1f578ap-3, 0x1.9a5ac9901b3ap-3, 0x1.945370f15913p-3, 0x1.8e5bf0406642ap-3, 0x1.887446c0bd42ep-3, 0x1.829c7286132ccp-3, 0x1.7cd4707bc1097p-3, 0x1.771c3c6c2b615p-3, 0x1.7173d10819144p-3, 0x1.6bdb27ee0328bp-3, 0x1.665239b15768fp-3, 0x1.60d8fde1ac0c6p-3, 0x1.5b6f6b11e7102p-3, 0x1.561576df55bacp-3, 0x1.50cb15f8b287dp-3, 0x1.4b903c251de26p-3, 0x1.4664dc4b01c2bp-3, 0x1.4148e876e3b46p-3, 0x1.3c3c51e226269p-3, 0x1.373f08f9b2dcbp-3, 0x1.3250fd6493c85p-3, 0x1.2d721e0a77a7ap-3, 0x1.28a2591a1d213p-3, 0x1.23e19c0faeecbp-3, 0x1.1f2fd3bb04b6p-3, 0x1.1a8cec45d0a72p-3, 0x1.15f8d139b4509p-3, 0x1.11736d863eb35p-3, 0x1.0cfcab86d7d1fp-3, 0x1.089475088ad4cp-3, 0x1.043ab34fc3ddcp-3, 0x1.ffde9e3bdc639p-4, 0x1.f764616dfa8acp-4, 0x1.ef067fcdba51dp-4, 0x1.e6c4c80d94a67p-4, 0x1.de9f0805251c1p-4, 0x1.d6950cbb78bf9p-4, 0x1.cea6a27128244p-4, 0x1.c6d394aa4c8p-4, 0x1.bf1bae3833aeep-4, 0x1.b77eb942f64fcp-4, 0x1.affc7f52c3fd2p-4, 0x1.a894c9591dee9p-4, 0x1.a1475fb9c7b71p-4, 0x1.9a140a538f8d1p-4, 0x1.92fa9088f119cp-4, 0x1.8bfab9487433cp-4, 0x1.85144b14effa7p-4, 0x1.7e470c0d91f4fp-4, 0x1.7792c1f5bbabcp-4, 0x1.70f7323caf882p-4, 0x1.6a74220510d6ap-4, 0x1.6409562c3558cp-4, 0x1.5db693514945cp-4, 0x1.577b9ddc46f6cp-4, 0x1.51583a04c07b2p-4, 0x1.4b4c2bd87fa8dp-4, 0x1.45573741f7067p-4, 0x1.3f79200e8b20ap-4, 0x1.39b1a9f4ae222p-4, 0x1.34009899d2f56p-4, 0x1.2e65af9836877p-4, 0x1.28e0b2847ed2cp-4, 0x1.237164f332db3p-4, 0x1.1e178a7e08f98p-4, 0x1.18d2e6c90ef8fp-4, 0x1.13a33d87a9ec6p-4, 0x1.0e885281708a8p-4, 0x1.0981e996df031p-4, 0x1.048fc6c5e5e2dp-4, 0x1.ff635c5ca8bf1p-5, 0x1.f5cec82c3b0bbp-5, 0x1.ec6159daf57d8p-5, 0x1.e31a9aa5d6a68p-5, 0x1.d9fa142e20cc6p-5, 0x1.d0ff5080d06bep-5, 0x1.c829da1dcfe1ep-5, 0x1.bf793bfee7e0ep-5, 0x1.b6ed019e72ae2p-5, 0x1.ae84b6fdcc2a9p-5, 0x1.a63fe8ab88826p-5, 0x1.9e1e23c96a1f9p-5, 0x1.961ef6121f501p-5, 0x1.8e41eddec2b46p-5, 0x1.86869a2c24707p-5, 0x1.7eec8a9fd94e5p-5, 0x1.77734f8d14c0bp-5, 0x1.701a79f94b4d6p-5, 0x1.68e19ba0a24dcp-5, 0x1.61c846fa2872p-5, 0x1.5ace0f3bdf1e7p-5, 0x1.53f2885e911e8p-5, 0x1.4d354721787p-5, 0x1.4695e10db59c9p-5, 0x1.4013ec7996df5p-5, 0x1.39af008bb4b81p-5, 0x1.3366b53de11acp-5, 0x1.2d3aa35feaa45p-5, 0x1.272a649a36a4dp-5, 0x1.2135937032b3cp-5, 0x1.1b5bcb429c653p-5, 0x1.159ca851a2a56p-5, 0x1.0ff7c7bee2d71p-5, 0x1.0a6cc78f3bb91p-5, 0x1.04fb46ac83179p-5, 0x1.ff45c9ce233ebp-6, 0x1.f4c685ee6028ep-6, 0x1.ea7804fcc4cfap-6, 0x1.e0598c11220cbp-6, 0x1.d66a621a287edp-6, 0x1.cca9cfdf3de5cp-6, 0x1.c31720021c4f8p-6, 0x1.b9b19f002e6b6p-6, 0x1.b0789b33bb4f4p-6, 0x1.a76b64d4d8894p-6, 0x1.9e894dfa249ap-6, 0x1.95d1aa995194bp-6, 0x1.8d43d0877af8dp-6, 0x1.84df17794c664p-6, 0x1.7ca2d902f65a9p-6, 0x1.748e7097fad2ep-6, 0x1.6ca13b8ac95f4p-6, 0x1.64da990c2e2dp-6, 0x1.5d39ea2aa21abp-6, 0x1.55be91d16334fp-6, 0x1.4e67f4c777625p-6, 0x1.473579ae7c657p-6, 0x1.402689015a506p-6, 0x1.393a8d12d2c99p-6, 0x1.3270f20bedd51p-6, 0x1.2bc925ea463f8p-6, 0x1.2542987e387adp-6, 0x1.1edcbb68f0688p-6, 0x1.1897021a5f36bp-6, 0x1.1270e1cf102a5p-6, 0x1.0c69d18de84dbp-6, 0x1.06814a25c88ffp-6, 0x1.00b6c62b1a151p-6, 0x1.f61383ea80f8p-7, 0x1.eaf37737f6826p-7, 0x1.e00c65e95056cp-7, 0x1.d55d531efbf48p-7, 0x1.cae54569503e3p-7, 0x1.c0a346c2acfd6p-7, 0x1.b696648974679p-7, 0x1.acbdaf79e00a7p-7, 0x1.a3183ba7bc642p-7, 0x1.99a52077ffe32p-7, 0x1.9063789a44589p-7, 0x1.8752620230ef4p-7, 0x1.7e70fde0bcba8p-7, 0x1.75be709d649abp-7, 0x1.6d39e1cf3f5a9p-7, 0x1.64e27c3607f28p-7, 0x1.5cb76db31147ep-7, 0x1.54b7e74221fe5p-7, 0x1.4ce31cf24507ep-7, 0x1.453845de87585p-7, 0x1.3db69c26ae6bfp-7, 0x1.365d5ce7d6e08p-7, 0x1.2f2bc8350e69fp-7, 0x1.2821210fe11c2p-7, 0x1.213cad60dd22dp-7, 0x1.1a7db5f00d53bp-7, 0x1.13e3865d6c92cp-7, 0x1.0d6d6d1952e1dp-7, 0x1.071abb5cdc869p-7, 0x1.00eac5224cd35p-7, 0x1.f5b9c23adap-8, 0x1.e9e0d167d0f2dp-8, 0x1.de496feb4eba4p-8, 0x1.d2f25b2a4ed08p-8, 0x1.c7da55bfa9cdfp-8, 0x1.bd00276cc9cf2p-8, 0x1.b2629d0a5e942p-8, 0x1.a800887917d06p-8, 0x1.9dd8c092648b8p-8, 0x1.93ea2119398c3p-8, 0x1.8a338aaaddf3bp-8, 0x1.80b3e2afc5145p-8, 0x1.776a134c6f097p-8, 0x1.6e550b52583a3p-8, 0x1.6573be30f38ecp-8, 0x1.5cc523e6b4688p-8, 0x1.544838f2273d8p-8, 0x1.4bfbfe43191ebp-8, 0x1.43df792bd33a7p-8, 0x1.3bf1b3526501fp-8, 0x1.3431baa204434p-8, 0x1.2c9ea13c7efedp-8, 0x1.25377d6bc2a13p-8, 0x1.1dfb69937932p-8, 0x1.16e98422bc2e4p-8, 0x1.1000ef85dd1p-8, 0x1.0940d2184802dp-8, 0x1.02a856167c8d4p-8, 0x1.f86d5320403dap-9, 0x1.ebd5fcb45237ap-9, 0x1.df8914024a6cbp-9, 0x1.d3850b773238cp-9, 0x1.c7c85cb8f6e78p-9, 0x1.bc51888b97674p-9, 0x1.b11f16b68776fp-9, 0x1.a62f95ea4f106p-9, 0x1.9b819ba65ebdbp-9, 0x1.9113c41f21dacp-9, 0x1.86e4b2244892bp-9, 0x1.7cf30f075179fp-9, 0x1.733d8a8248138p-9, 0x1.69c2da9ec803cp-9, 0x1.6081bb9d36df2p-9, 0x1.5778efdc3f458p-9, 0x1.4ea73fc08689ep-9, 0x1.460b799ca4c7ap-9, 0x1.3da471995783bp-9, 0x1.3571019df59b4p-9, 0x1.2d700939211ebp-9, 0x1.25a06d89b9ea7p-9, 0x1.1e0119280d0b8p-9, 0x1.1690fc0f46025p-9, 0x1.0f4f0b8720c2p-9, 0x1.083a420dd90cbp-9, 0x1.01519f425b1d3p-9, 0x1.f5284f9d659a7p-10, 0x1.e801caa57db39p-10, 0x1.db2dcc9e3c466p-10, 0x1.ceaa7c20c6978p-10, 0x1.c276093503842p-10, 0x1.b68ead28fdd24p-10, 0x1.aaf2aa68c6dbap-10, 0x1.9fa04c56ce507p-10, 0x1.9495e724c4765p-10, 0x1.89d1d7acf3bfap-10, 0x1.7f52834c187d2p-10, 0x1.751657bbba095p-10, 0x1.6b1bcaecfb4cdp-10, 0x1.61615ae3eddd1p-10, 0x1.57e58d935c74p-10, 0x1.4ea6f0b911405p-10, 0x1.45a419ba9b706p-10, 0x1.3cdba5828553ep-10, 0x1.344c385e10791p-10, 0x1.2bf47ddb5ddfdp-10, 0x1.23d328a819e7fp-10, 0x1.1be6f27093356p-10, 0x1.142e9bbf530e9p-10, 0x1.0ca8ebdd26526p-10, 0x1.0554b0b199282p-10, 0x1.fc617d47d483fp-11, 0x1.ee77e0f8e2615p-11, 0x1.e0ea4e8ce9082p-11, 0x1.d3b69464e5c0ep-11, 0x1.c6da8cf1b8e1ap-11, 0x1.ba541e7a76809p-11, 0x1.ae213ae3952d5p-11, 0x1.a23fdf76f750cp-11, 0x1.96ae14accef97p-11, 0x1.8b69edf556ad2p-11, 0x1.80718983622d5p-11, 0x1.75c31017c0a5dp-11, 0x1.6b5cb4cd71677p-11, 0x1.613cb4e6a6acp-11, 0x1.5761579a9711bp-11, 0x1.4dc8ede4189fep-11, 0x1.4471d25106aedp-11, 0x1.3b5a68d26d4b1p-11, 0x1.32811e8d7a4dep-11, 0x1.29e469ad30cacp-11, 0x1.2182c934ddea4p-11, 0x1.195ac4d34c0c4p-11, 0x1.116aecb6b17d6p-11, 0x1.09b1d9615a858p-11, 0x1.022e2b7f0be2dp-11, 0x1.f5bd1776342d8p-12, 0x1.e783552e6b7bbp-12, 0x1.d9ac8085d40c9p-12, 0x1.cc3618e7909f9p-12, 0x1.bf1dac7c8a065p-12, 0x1.b260d7de7a25ap-12, 0x1.a5fd45cc4b6f1p-12, 0x1.99f0aedfc685ap-12, 0x1.8e38d9448a72ap-12, 0x1.82d398704a039p-12, 0x1.77beccdc4b9d4p-12, 0x1.6cf863c02535fp-12, 0x1.627e56cdb31cap-12, 0x1.584eabee42cc6p-12, 0x1.4e677500f0719p-12, 0x1.44c6cf9a2e921p-12, 0x1.3b6ae4c479a6ep-12, 0x1.3251e8c22cd65p-12, 0x1.297a1ad07c51ap-12, 0x1.20e1c4eb86eb1p-12, 0x1.18873b9383d9ap-12, 0x1.1068dd93041b6p-12, 0x1.088513c6444fep-12, 0x1.00da50e38b6f9p-12, 0x1.f2ce2289275a7p-13, 0x1.e453b561e9e4ap-13, 0x1.d64278532bd53p-13, 0x1.c8979b6a27b82p-13, 0x1.bb50605a53b2bp-13, 0x1.ae6a1a1a147eap-13, 0x1.a1e22c8157afbp-13, 0x1.95b60bea0a742p-13, 0x1.89e33cd26201p-13, 0x1.7e675380f9457p-13, 0x1.733ff3aab1e05p-13, 0x1.686ad01a503d3p-13, 0x1.5de5aa59daf49p-13, 0x1.53ae525da51cap-13, 0x1.49c2a63100d74p-13, 0x1.402091a49f84fp-13, 0x1.36c60dfe88312p-13, 0x1.2db121aba6052p-13, 0x1.24dfdff2e78d2p-13, 0x1.1c5068a9e6b42p-13, 0x1.1400e7eb16c2ap-13, 0x1.0bef95cd69107p-13, 0x1.041ab61d6eb7cp-13, 0x1.f901302fcc584p-14, 0x1.ea3f2c4b6236dp-14, 0x1.dbec2b3266fd9p-14, 0x1.ce050cda1cb29p-14, 0x1.c086c60858777p-14, 0x1.b36e5fd64f516p-14, 0x1.a6b8f735f6451p-14, 0x1.9a63bc79e44d4p-14, 0x1.8e6bf2dfc7481p-14, 0x1.82cef01d3caa5p-14, 0x1.778a1bef21f55p-14, 0x1.6c9aefab3d3d1p-14, 0x1.61fef5d43e758p-14, 0x1.57b3c9b008c7p-14, 0x1.4db716e03c2a5p-14, 0x1.440698fcf5082p-14, 0x1.3aa01b31b56d5p-14, 0x1.318177dc7071fp-14, 0x1.28a8982eab923p-14, 0x1.201373d0ae0ccp-14, 0x1.17c01086b2ed5p-14, 0x1.0fac81d815d53p-14, 0x1.07d6e8b86e9fap-14, 0x1.003d733297035p-14, 0x1.f1bcb82b15c51p-15, 0x1.e36fd5464129ap-15, 0x1.d590e4811750dp-15, 0x1.c81ca45146e18p-15, 0x1.bb0fea3fc9788p-15, 0x1.ae67a2544b602p-15, 0x1.a220ce83e6a33p-15, 0x1.96388623236fap-15, 0x1.8aabf55b28868p-15, 0x1.7f785ca212b78p-15, 0x1.749b10365dc9cp-15, 0x1.6a11779d51219p-15, 0x1.5fd90d24643edp-15, 0x1.55ef5d65851a6p-15, 0x1.4c5206ce39892p-15, 0x1.42feb92987d5p-15, 0x1.39f3352c9821ap-15, 0x1.312d4c060653fp-15, 0x1.28aadeefceddfp-15, 0x1.2069dec3cede7p-15, 0x1.18684b92c5ed6p-15, 0x1.10a4343dd25f1p-15, 0x1.091bb61252617p-15, 0x1.01ccfc6825fc3p-15, 0x1.f56c80847db71p-16, 0x1.e7ab8fe2f0fbap-16, 0x1.da53cd7344dc6p-16, 0x1.cd61f8f179cf8p-16, 0x1.c0d2eaa0a5f81p-16, 0x1.b4a392a1d6c91p-16, 0x1.a8d0f84f032acp-16, 0x1.9d58399a01e3cp-16, 0x1.92368a6f63d7cp-16, 0x1.8769341d21898p-16, 0x1.7ced94bd09dc6p-16, 0x1.72c11ea2d824ep-16, 0x1.68e157cde0f4dp-16, 0x1.5f4bd95e3ddc3p-16, 0x1.55fe4f0d6d4fap-16, 0x1.4cf676aa4871p-16, 0x1.44321f9842795p-16, 0x1.3baf2a51e07a2p-16, 0x1.336b87ee51adcp-16, 0x1.2b6539aa1d882p-16, 0x1.239a5072d078ep-16, 0x1.1c08ec759a661p-16, 0x1.14af3cb0c7d1bp-16, 0x1.0d8b7e88109cep-16, 0x1.069bfd5ba1c18p-16, 0x1.ffbe2443a44bfp-17, 0x1.f2a64606fb03ap-17, 0x1.e5ed45f5dc84bp-17, 0x1.d99022ea81a5bp-17, 0x1.cd8bf3ec8d86dp-17, 0x1.c1dde77d8007ep-17, 0x1.b68342e9efc83p-17, 0x1.ab79619f3c6c5p-17, 0x1.a0bdb485c9048p-17, 0x1.964dc15f8c239p-17, 0x1.8c27222ada42cp-17, 0x1.8247848967931p-17, 0x1.78aca92b49057p-17, 0x1.6f54633df5fbcp-17, 0x1.663c97df280cdp-17, 0x1.5d633d9381caap-17, 0x1.54c65bc0dfba1p-17, 0x1.4c640a2c4ede1p-17, 0x1.443a707b7d763p-17, 0x1.3c47c5b9a1e73p-17, 0x1.348a4fdfb55bfp-17, 0x1.2d00635ff6e14p-17, 0x1.25a862b49d0bfp-17, 0x1.1e80bdf1a6732p-17, 0x1.1787f259b1cb7p-17, 0x1.10bc89f5cd5a1p-17, 0x1.0a1d1b302a94bp-17, }}, 
      {{-0x1.996c0a9b2ce3fp-16, -0x1.f74cf79526ebfp-14, -0x1.6d1dda06eff73p-12, -0x1.a190b395a72c6p-11, -0x1.99edd1b02a42dp-10, -0x1.68379beb70afp-9, -0x1.22d0470328aeep-8, -0x1.b73861d2c2b65p-8, -0x1.3a4be01621935p-7, -0x1.ae5f1c8faeadp-7, -0x1.1c034d47f9aa4p-6, -0x1.6b6472e3d864fp-6, -0x1.c4cb11391344cp-6, -0x1.13b7e152ccd57p-5, -0x1.492c0e838a811p-5, -0x1.823184561e1e2p-5, -0x1.be2a356f3f606p-5, -0x1.fc6fe4ab1cbbfp-5, -0x1.1e2c6d145ec63p-4, -0x1.3e9df897268b6p-4, -0x1.5f39ff56ca348p-4, -0x1.7fb14b8693b91p-4, -0x1.9fb91f1af14a7p-4, -0x1.bf0c07b7a316dp-4, -0x1.dd6a75eb59a61p-4, -0x1.fa9b1f4c62bb3p-4, -0x1.0b35997440f63p-3, -0x1.1857339190f47p-3, -0x1.249f73d1d4fc3p-3, -0x1.2ffe94b3702a2p-3, -0x1.3a67d5365be3p-3, -0x1.43d150ef0517bp-3, -0x1.4c33d2750b05ap-3, -0x1.538aa2029bc1cp-3, -0x1.59d351d27721fp-3, -0x1.5f0d8988f743bp-3, -0x1.633ad1b8dfd64p-3, -0x1.665e605f1fcafp-3, -0x1.687ce70151e33p-3, -0x1.699c62f17bab7p-3, -0x1.69c3f015ed4ccp-3, -0x1.68fb9e7620599p-3, -0x1.674c4ab3ff954p-3, -0x1.64bf7984865c3p-3, -0x1.615f3629a0bc5p-3, -0x1.5d35f3e20aa52p-3, -0x1.584e7239a063ep-3, -0x1.52b3a41cc9716p-3, -0x1.4c70998c40b77p-3, -0x1.45906bcaa0c5p-3, -0x1.3e1e2bdafbb31p-3, -0x1.3624d326b1649p-3, -0x1.2daf3620a4566p-3, -0x1.24c7f8bc8d48cp-3, -0x1.1b7984927d2edp-3, -0x1.11ce008826e04p-3, -0x1.07cf49db7f6a2p-3, -0x1.fb0ddcd8be201p-4, -0x1.e5fc5049f02aep-4, -0x1.d07bb2c69993p-4, -0x1.ba9d148fc32cap-4, -0x1.a470cda092cep-4, -0x1.8e067b4c38756p-4, -0x1.776cff19fb771p-4, -0x1.60b27eb886c02p-4, -0x1.49e464e50bcdap-4, -0x1.330f63263dc6cp-4, -0x1.1c3f743e33994p-4, -0x1.057fdf391a0c6p-4, -0x1.ddb6760282724p-5, -0x1.b0b6e4c6eb80cp-5, -0x1.841390e18a5ap-5, -0x1.57ddba59a9e8ep-5, -0x1.2c2564f37600ep-5, -0x1.00f96267ed771p-5, -0x1.acceb9ca80915p-6, -0x1.58f7c38514507p-6, -0x1.0684d8a874407p-6, -0x1.6b15c34302f8ep-7, -0x1.987339b852394p-8, -0x1.84bac54452012p-10, 0x1.9eca249070044p-9, 0x1.f911f02a82574p-8, 0x1.8dd4297b388aep-7, 0x1.0dbfb7960e543p-6, 0x1.52bc878c0c43fp-6, 0x1.95d90de2bb0f5p-6, 0x1.d70f26e2abdefp-6, 0x1.0b2cf78bbbda5p-5, 0x1.29dad88b1ea8bp-5, 0x1.478fe9e8a4d6ep-5, 0x1.644b64be1d7b2p-5, 0x1.800cff816e7a6p-5, 0x1.9ad4e60a193a8p-5, 0x1.b4a3b1e127172p-5, 0x1.cd7a62db7b7e3p-5, 0x1.e55a57fe3a126p-5, 0x1.fc4548acae1c6p-5, 0x1.091e9f0f71528p-4, 0x1.13a2468ff66bdp-4, 0x1.1daee80959861p-4, 0x1.2745f09df095ap-4, 0x1.3068eaa7c8f97p-4, 0x1.39197b208e2d6p-4, 0x1.41595f29ae09fp-4, 0x1.492a69b3ded61p-4, 0x1.508e8145205d1p-4, 0x1.57879ddc4fa39p-4, 0x1.5e17c6f15f357p-4, 0x1.6441119140c0ep-4, 0x1.6a059e948fdb9p-4, 0x1.6f6798f00aff6p-4, 0x1.7469341de7ccbp-4, 0x1.790caa9f118ep-4, 0x1.7d543c93669afp-4, 0x1.81422e6805004p-4, 0x1.84d8c79ac42fcp-4, 0x1.881a5191f1917p-4, 0x1.8b091687781b1p-4, 0x1.8da760869273ep-4, 0x1.8ff7787b36ff7p-4, 0x1.91fba5526c78p-4, 0x1.93b62b2abcf43p-4, 0x1.95294a94057c4p-4, 0x1.96573fdde15dcp-4, 0x1.97424273fbb21p-4, 0x1.97ec8447934b8p-4, 0x1.9858314587194p-4, 0x1.98876ed843009p-4, 0x1.987c5b74f06b9p-4, 0x1.98390e334dfc6p-4, 0x1.97bf966f9c60bp-4, 0x1.9711fb7612a6ap-4, 0x1.96323c374ffb6p-4, 0x1.95224f054bce3p-4, 0x1.93e4215842de2p-4, 0x1.9279979b2d707p-4, 0x1.90e48cff4aedcp-4, 0x1.8f26d35655206p-4, 0x1.8d4232f2f2c03p-4, 0x1.8b386a8f07d77p-4, 0x1.890b2f3782026p-4, 0x1.86bc2c3d48c16p-4, 0x1.844d032af9ba5p-4, 0x1.81bf4bbf2218fp-4, 0x1.7f1493eaa28c8p-4, 0x1.7c4e5fd2f946fp-4, 0x1.796e29d827655p-4, 0x1.7675629df213fp-4, 0x1.736571183dfb7p-4, 0x1.703fb29a4b70fp-4, 0x1.6d057ae8976b8p-4, 0x1.69b8144d2fcffp-4, 0x1.6658bfae442ffp-4, 0x1.62e8b4a6c4b7bp-4, 0x1.5f6921a0e2411p-4, 0x1.5bdb2bf244453p-4, 0x1.583feff9cb286p-4, 0x1.5498813eb9677p-4, 0x1.50e5ea9121854p-4, 0x1.4d292e2b71aafp-4, 0x1.496345d503d26p-4, 0x1.459523058d5c7p-4, 0x1.41bfaf0958154p-4, 0x1.3de3cb2625568p-4, 0x1.3a0250c0a4c2ep-4, 0x1.361c118266538p-4, 0x1.3231d7803241cp-4, 0x1.2e446560b183p-4, 0x1.2a54768354b84p-4, 0x1.2662bf276556fp-4, 0x1.226fec9332f6ap-4, 0x1.1e7ca53b4b87bp-4, 0x1.1a8988e9af50ap-4, 0x1.169730e4f516ap-4, 0x1.12a630174e40ep-4, 0x1.0eb71335641bap-4, 0x1.0aca60e4fe91ep-4, 0x1.06e099e36d54p-4, 0x1.02fa392ba82a4p-4, 0x1.fe2f68383fdedp-5, 0x1.f672f5386c01p-5, 0x1.eebfee82a9b38p-5, 0x1.e7171ee742856p-5, 0x1.df79472480ae8p-5, 0x1.d7e71e2e53f82p-5, 0x1.d06151750cac2p-5, 0x1.c8e8852b1c5a7p-5, 0x1.c17d5489d72efp-5, 0x1.ba205215335fep-5, 0x1.b2d207de74c44p-5, 0x1.ab92f7c5cca96p-5, 0x1.a4639bbadf7a8p-5, 0x1.9d4465fc2ba82p-5, 0x1.9635c15558236p-5, 0x1.8f38115c598b3p-5, 0x1.884bb2ad783e7p-5, 0x1.8170fb262b5c8p-5, 0x1.7aa83a1eceb0bp-5, 0x1.73f1b8a32e9ap-5, 0x1.6d4db9a9eaa44p-5, 0x1.66bc7a4aad6a3p-5, 0x1.603e31f33d9f2p-5, 0x1.59d3129b62f98p-5, 0x1.537b48f7a8231p-5, 0x1.4d36fcaaf08aep-5, 0x1.47065076ef75ap-5, 0x1.40e9626b76738p-5, 0x1.3ae04c14a8408p-5, 0x1.34eb22a8079c6p-5, 0x1.2f09f73070e23p-5, 0x1.293cd6b8f2c2cp-5, 0x1.2383ca7697b94p-5, 0x1.1dded7f117c93p-5, 0x1.184e012a7b505p-5, 0x1.12d144c5b2cc5p-5, 0x1.0d689e2c2339bp-5, 0x1.081405b22f234p-5, 0x1.02d370babc635p-5, 0x1.fb4da3b3786c4p-6, 0x1.f11c31eb74637p-6, 0x1.e71266d0e6629p-6, 0x1.dd30183cfb666p-6, 0x1.d375176bff975p-6, 0x1.c9e13138fbdccp-6, 0x1.c0742e5789557p-6, 0x1.b72dd38bda03p-6, 0x1.ae0de1e11380ep-6, 0x1.a51416dde97cp-6, 0x1.9c402cb79794cp-6, 0x1.9391da83388fbp-6, 0x1.8b08d4658291ep-6, 0x1.82a4cbc0f513fp-6, 0x1.7a656f627b5bep-6, 0x1.724a6bac97e6bp-6, 0x1.6a536ac10ee69p-6, 0x1.628014a9270fap-6, 0x1.5ad00f7c87079p-6, 0x1.5342ff86abf43p-6, 0x1.4bd8876b154ep-6, 0x1.4490484817e46p-6, 0x1.3d69e1d87384ep-6, 0x1.3664f293a4fp-6, 0x1.2f8117cd071bfp-6, 0x1.28bdedd1c0f46p-6, 0x1.221b1005907aap-6, 0x1.1b9818fe7562dp-6, 0x1.1534a29f41837p-6, 0x1.0ef0463120aeap-6, 0x1.08ca9c7c0ecf9p-6, 0x1.02c33dde52d04p-6, 0x1.f9b384c5f586ep-7, 0x1.ee1b83aececa6p-7, 0x1.e2bda7bfcde43p-7, 0x1.d7992016e3423p-7, 0x1.ccad1bccf62abp-7, 0x1.c1f8ca19e70a2p-7, 0x1.b77b5a76ecf3cp-7, 0x1.ad33fcbf4749cp-7, 0x1.a321e14f7eaa9p-7, 0x1.9944392309817p-7, 0x1.8f9a35f09227cp-7, 0x1.86230a44c6a93p-7, 0x1.7cdde99bce516p-7, 0x1.73ca08796c0c4p-7, 0x1.6ae69c7fdbab6p-7, 0x1.6232dc856b79dp-7, 0x1.59ae00a8ea09ep-7, 0x1.51574264e6d5bp-7, 0x1.492ddca1d0f47p-7, 0x1.41310bc70bf5p-7, 0x1.39600dcaea1fp-7, 0x1.31ba2241af91p-7, 0x1.2a3e8a6b9636ep-7, 0x1.22ec8941e2eadp-7, 0x1.1bc36383123b4p-7, 0x1.14c25fbe2522dp-7, 0x1.0de8c65d16d82p-7, 0x1.0735e1ae819edp-7, 0x1.00a8fdee7ddcap-7, 0x1.f482d29d7debfp-8, 0x1.e7fce7fbefe2ep-8, 0x1.dbbee05d1cfd3p-8, 0x1.cfc7643946d42p-8, 0x1.c4152026ea8f2p-8, 0x1.b8a6c4e450e0dp-8, 0x1.ad7b075fea14ep-8, 0x1.a290a0bf8cb38p-8, 0x1.97e64e669c13ap-8, 0x1.8d7ad1fb2656ep-8, 0x1.834cf16a02895p-8, 0x1.795b76e9fc67bp-8, 0x1.6fa530fe17a5ap-8, 0x1.6628f276f3b6cp-8, 0x1.5ce592735ba3ep-8, 0x1.53d9ec600ce79p-8, 0x1.4b04dff6bb3a5p-8, 0x1.4265513c5d699p-8, 0x1.39fa287ecccb3p-8, 0x1.31c25251bbce9p-8, 0x1.29bcbf8b0fc51p-8, 0x1.21e8653ea60cep-8, 0x1.1a443cb9891dcp-8, 0x1.12cf437ca02abp-8, 0x1.0b887b36df898p-8, 0x1.046ee9bf0059ep-8, 0x1.fb0332198d79ep-9, 0x1.ed7f2e63be1ebp-9, 0x1.e04feca4a5fd2p-9, 0x1.d37399394916p-9, 0x1.c6e8688317bfp-9, 0x1.baac96d6cf823p-9, 0x1.aebe686ab67acp-9, 0x1.a31c29444de6ap-9, 0x1.97c42d257d0bfp-9, 0x1.8cb4cf793e94ep-9, 0x1.81ec733fdba41p-9, 0x1.776982fabe33cp-9, 0x1.6d2a7097e210ap-9, 0x1.632db55cec531p-9, 0x1.5971d1d1f3774p-9, 0x1.4ff54dabfed71p-9, 0x1.46b6b7b74175bp-9, 0x1.3db4a5c11fe08p-9, 0x1.34edb481fd34p-9, 0x1.2c608786de78dp-9, 0x1.240bc91ae577dp-9, 0x1.1bee2a30aae7cp-9, 0x1.1406624b7eb5fp-9, 0x1.0c532f6890a97p-9, 0x1.04d355e80a63cp-9, 0x1.fb0b40ec37bd6p-10, 0x1.ecd1bfe807f28p-10, 0x1.def7d6c227e73p-10, 0x1.d17b3f876b77p-10, 0x1.c459c024f1f4bp-10, 0x1.b7912a3a57eaap-10, 0x1.ab1f5aebf9bf3p-10, 0x1.9f023ab565a25p-10, 0x1.9337bd3bed01ap-10, 0x1.87bde1216c08p-10, 0x1.7c92afd742a6bp-10, 0x1.71b43d71882bp-10, 0x1.6720a87a85c1cp-10, 0x1.5cd619c66ca7fp-10, 0x1.52d2c447642c7p-10, 0x1.4914e4e1d47e8p-10, 0x1.3f9ac24115b12p-10, 0x1.3662acac6c6dap-10, 0x1.2d6afddc61d96p-10, 0x1.24b218d07c4f2p-10, 0x1.1c3669a5558bbp-10, 0x1.13f6656b1aaffp-10, 0x1.0bf089fc6bf68p-10, 0x1.04235dd5aa86ap-10, 0x1.f91adfd962b35p-11, 0x1.ea5aaf11f6acdp-11, 0x1.dc03683872ae7p-11, 0x1.ce125a36b394cp-11, 0x1.c084e3b00893bp-11, 0x1.b35872b510c2ep-11, 0x1.a68a8478887a9p-11, 0x1.9a18a50501c7p-11, 0x1.8e006ef38eeddp-11, 0x1.823f8b235e911p-11, 0x1.76d3b07249e41p-11, 0x1.6bbaa3765accdp-11, 0x1.60f2363844166p-11, 0x1.567847eed23cep-11, 0x1.4c4ac4bb5305dp-11, 0x1.4267a566f370ap-11, 0x1.38ccef211641p-11, 0x1.2f78b33ea0a82p-11, 0x1.26690efa3eda4p-11, 0x1.1d9c2b35a0571p-11, 0x1.15103c3ba79d6p-11, 0x1.0cc38183923e6p-11, 0x1.04b445751422dp-11, 0x1.f9c1ba5acc03dp-12, 0x1.ea8f508a8fe0dp-12, 0x1.dbce212fe5b4ap-12, 0x1.cd7b1415f9762p-12, 0x1.bf9324ae51325p-12, 0x1.b21361a4497e6p-12, 0x1.a4f8ec7267a3fp-12, 0x1.9840f8f97e5f9p-12, 0x1.8be8cd19a364fp-12, 0x1.7fedc04ceca6bp-12, 0x1.744d3b43f889p-12, 0x1.6904b7843789ap-12, 0x1.5e11bf07f4a9cp-12, 0x1.5371ebe019e5fp-12, 0x1.4922e7d7a8a12p-12, 0x1.3f226c18e601dp-12, 0x1.356e40d43240ep-12, 0x1.2c043ce887c2p-12, 0x1.22e2458da10f2p-12, 0x1.1a064dffb98f1p-12, 0x1.116e572ce728cp-12, 0x1.09186f640d475p-12, 0x1.0102b205597b8p-12, 0x1.f2568e689e43cp-13, 0x1.e320c716a9fcdp-13, 0x1.d4608fa188b47p-13, 0x1.c612815ae6aa6p-13, 0x1.b8334cc9666dfp-13, 0x1.aabfb91b8498p-13, 0x1.9db4a39d4b31ep-13, 0x1.910eff30d2fcp-13, 0x1.84cbd3c98b5f5p-13, 0x1.78e83dea319ecp-13, 0x1.6d616e2579fc7p-13, 0x1.6234a8a15a9b4p-13, 0x1.575f449ceb825p-13, 0x1.4cdeabf8d5723p-13, 0x1.42b05ac244beap-13, 0x1.38d1dec0555cep-13, 0x1.2f40d703e8d67p-13, 0x1.25faf379e9bb9p-13, 0x1.1cfdf47fdedb7p-13, 0x1.1447aa7ad48ffp-13, 0x1.0bd5f5708f81ep-13, 0x1.03a6c4a2f1795p-13, 0x1.f7702c5b37e0bp-14, 0x1.e80fed4b63904p-14, 0x1.d92901778243fp-14, 0x1.cab7b9bf767bep-14, 0x1.bcb881cdf4bcep-14, 0x1.af27df68995e7p-14, 0x1.a20271c3ef27bp-14, 0x1.9544f0db4c10ap-14, 0x1.88ec2ccc8c163p-14, 0x1.7cf50d377b785p-14, 0x1.715c90a0ef7bp-14, 0x1.661fcbd97754ep-14, 0x1.5b3be96793749p-14, 0x1.50ae28f561d27p-14, 0x1.4673dec1b05b1p-14, 0x1.3c8a731461a09p-14, 0x1.32ef61b616237p-14, 0x1.29a0396b082dbp-14, 0x1.209a9b710980dp-14, 0x1.17dc3b0095809p-14, 0x1.0f62dcd0e5d81p-14, 0x1.072c569efad2fp-14, 0x1.fe6d1d6f1091ap-15, 0x1.eefef7076ff32p-15, 0x1.e00a4631663d8p-15, 0x1.d18b3593c7c52p-15, 0x1.c37e0d7bc0a6p-15, 0x1.b5df330be23fep-15, 0x1.a8ab27704ce78p-15, 0x1.9bde8717d89d8p-15, 0x1.8f7608f225036p-15, 0x1.836e7db2707e1p-15, 0x1.77c4cf17236ddp-15, 0x1.6c75ff35efc62p-15, 0x1.617f27cc70212p-15, 0x1.56dd79952ba44p-15, 0x1.4c8e3ba0e40d9p-15, 0x1.428ecab41be5ap-15, 0x1.38dc98a8b5da3p-15, 0x1.2f752bd39e7b5p-15, 0x1.26561e6e61041p-15, 0x1.1d7d1e0496f68p-15, 0x1.14e7eae51b7d6p-15, 0x1.0c945796e8a21p-15, 0x1.0480485192171p-15, 0x1.f95364f27d34ap-16, 0x1.ea1d383c2819dp-16, 0x1.db5a36fdf5ba2p-16, 0x1.cd06ad1f5d593p-16, 0x1.bf1f0503fb279p-16, 0x1.b19fc6a45663dp-16, 0x1.a48596acc82c3p-16, 0x1.97cd35a257c72p-16, 0x1.8b737f0d6d642p-16, 0x1.7f7568aa3a313p-16, 0x1.73d0019ead6a2p-16, 0x1.688071b5de99cp-16, 0x1.5d83f8a0beeffp-16, 0x1.52d7ed3bfd7eep-16, 0x1.4879bcdafb10fp-16, 0x1.3e66ea97a81e3p-16, 0x1.349d0ea738b6p-16, 0x1.2b19d5b38b0b6p-16, 0x1.21db0039231bep-16, 0x1.18de61e9a2359p-16, 0x1.1021e1129aaa9p-16, 0x1.07a37608a72f8p-16, 0x1.fec2552d57ec1p-17, 0x1.eeb232e2422afp-17, 0x1.df12db5aafb0ep-17, 0x1.cfe0c479280c3p-17, 0x1.c11882d5d9ce7p-17, 0x1.b2b6c8c3ae164p-17, 0x1.a4b8655c83ccbp-17, 0x1.971a43945bd4p-17, 0x1.89d969535f17bp-17, 0x1.7cf2f69674fedp-17, 0x1.7064249657847p-17, 0x1.642a44f4e9df1p-17, 0x1.5842c0f0b9386p-17, 0x1.4cab189e6daa1p-17, 0x1.4160e22810d6dp-17, 0x1.3661c911ff087p-17, 0x1.2bab8d855c33p-17, 0x1.213c039feb253p-17, 0x1.171112c91fd62p-17, 0x1.0d28b50c4caebp-17, 0x1.0380f677c555bp-17, 0x1.f42fe901b12b9p-18, 0x1.e1d7bad8fe6c9p-18, 0x1.cff5df793cadep-18, 0x1.be86f34383da2p-18, 0x1.ad87b0e257dcfp-18, 0x1.9cf4f03e3de2ep-18, 0x1.8ccba57a891afp-18, 0x1.7d08dffa25e77p-18, 0x1.6da9c96c2fe72p-18, 0x1.5eaba4e0189bdp-18, 0x1.500bcde12b631p-18, 0x1.41c7b7993d2afp-18, 0x1.33dcebfa516adp-18, 0x1.26490aef05f81p-18, 0x1.1909c99195ddbp-18, 0x1.0c1cf1694314dp-18, 0x1.ff00bf5bf44ep-19, 0x1.e66409240742bp-19, 0x1.ce5fc5232b9bbp-19, 0x1.b6f01b9040266p-19, 0x1.a01156964609ep-19, 0x1.89bfe114dc746p-19, 0x1.73f8456b38dcfp-19, 0x1.5eb72c4d52a29p-19, 0x1.49f95ba2f02e9p-19, 0x1.35bbb57050ff7p-19, 0x1.21fb36c8312b4p-19, 0x1.0eb4f6c6d75f5p-19, 0x1.f7cc4b2beae4dp-20, 0x1.d31816f21b6f5p-20, 0x1.af480fc4525f8p-20, 0x1.8c57211d299e5p-20, 0x1.6a406156e517bp-20, 0x1.48ff1003b7cd6p-20, 0x1.288e9454be5bp-20, 0x1.08ea7b8f3f6e9p-20, 0x1.d41cef1f88e5bp-21, 0x1.97ecbab530911p-21, 0x1.5d3c4772a1412p-21, 0x1.2403c3c9e4451p-21, 0x1.d87738f148dbep-22, 0x1.6bb8f4195674bp-22, 0x1.01be7cfeb41efp-22, 0x1.34f40b9db6dap-23, 0x1.aef154056caaap-25, -0x1.61109b97f9933p-25, -0x1.1726a2609fp-23, -0x1.d1039ce01e324p-23, -0x1.42f9715159c31p-22, -0x1.9b05ca0673ad6p-22, -0x1.f0b2165dfd459p-22, -0x1.2204a294d4af4p-21, -0x1.4a8afcc1c6debp-21, -0x1.71f146f990733p-21, -0x1.983c8bb97da06p-21, -0x1.bd71b42c28735p-21, -0x1.e195898e97598p-21, -0x1.02565b439b298p-20, -0x1.135de43791045p-20, -0x1.23e398471b90fp-20, -0x1.33e9a2a52f008p-20, -0x1.437221a53dc7bp-20, -0x1.527f2746b6a32p-20, -0x1.6112b9babf70bp-20, -0x1.6f2ed3e463a3ap-20, -0x1.7cd565d358e8p-20, -0x1.8a0855399dfd1p-20, -0x1.96c97ddc075e2p-20, -0x1.a31ab1fe04ac1p-20, -0x1.aefdbac8b4beap-20, -0x1.ba7458ad742d3p-20, -0x1.c58043c41ff44p-20, -0x1.d0232c251a0ep-20, -0x1.da5eba3f508d6p-20, -0x1.e4348f2a5760bp-20, -0x1.eda644f4c9c34p-20, -0x1.f6b56eef0947dp-20, -0x1.ff6399f287701p-20, -0x1.03d92652d58f8p-19, -0x1.07d183de46587p-19, -0x1.0b9ba31b445c5p-19, -0x1.0f383ecc6ea39p-19, -0x1.12a80f13361e2p-19, -0x1.15ebc98a555bep-19, -0x1.1904215eff1c6p-19, -0x1.1bf1c768be852p-19, -0x1.1eb56a401ee73p-19, -0x1.214fb6542aa47p-19, -0x1.23c155fec381dp-19, }}, 
      {{-0x1.b443b84152e22p-7, -0x1.b1f53b51f5b91p-6, -0x1.42d40c44f6c8cp-5, -0x1.aa082968d60ccp-5, -0x1.0728409eeb115p-4, -0x1.37d270b7edaf2p-4, -0x1.67143984aa812p-4, -0x1.950c2f46b4efbp-4, -0x1.c1ded2654c8e5p-4, -0x1.edb1473e3cfa3p-4, -0x1.0c52dc7820b51p-3, -0x1.216c91e02f9ap-3, -0x1.36311d1f148c8p-3, -0x1.4aa88df873dfdp-3, -0x1.5ed7cf0046084p-3, -0x1.72c0f8f9159f5p-3, -0x1.8663c10406decp-3, -0x1.99bdf289ac21fp-3, -0x1.accbea11743bep-3, -0x1.bf8909b59f161p-3, -0x1.d1f02295080a1p-3, -0x1.e3fbd0ada4d08p-3, -0x1.f5a6c808571bdp-3, -0x1.037609964237fp-2, -0x1.0be3a1c4558a1p-2, -0x1.141a4a78af3ebp-2, -0x1.1c1882cd5f6f4p-2, -0x1.23dd3207763c3p-2, -0x1.2b67aa544f943p-2, -0x1.32b7a805fb011p-2, -0x1.39cd4dff7639dp-2, -0x1.40a91ff194f1dp-2, -0x1.474bfaf7cb93p-2, -0x1.4db70d11c38fp-2, -0x1.53ebcbe4b0d76p-2, -0x1.59ebeb1e29a3cp-2, -0x1.5fb952c2745ap-2, -0x1.655615a1b4edp-2, -0x1.6ac46822a3396p-2, -0x1.7006978613f6fp-2, -0x1.751f01bcf4d05p-2, -0x1.7a100de21292dp-2, -0x1.7edc2562131efp-2, -0x1.8385add66c64dp-2, -0x1.880f03937dcf6p-2, -0x1.8c7a74e65dd32p-2, -0x1.90ca3dfc27ef9p-2, -0x1.9500856a7e70bp-2, -0x1.991f594f89b8ap-2, -0x1.9d28acfec6cefp-2, -0x1.a11e572f6b14ap-2, -0x1.a50210a0edc69p-2, -0x1.a8d5732a625a5p-2, -0x1.ac99f9297eb2fp-2, -0x1.b050fd469e781p-2, -0x1.b3fbba839e13ap-2, -0x1.b79b4c8bf182p-2, -0x1.bb30b03d13d8bp-2, -0x1.bebcc45f09dadp-2, -0x1.c2404a8562bf9p-2, -0x1.c5bbe811d23b1p-2, -0x1.c93027521cbe1p-2, -0x1.cc9d78b3b3cd6p-2, -0x1.d0043407f2572p-2, -0x1.d36499d47e01ep-2, -0x1.d6bed4abcc47fp-2, -0x1.da12fa8a4e901p-2, -0x1.dd610e353040fp-2, -0x1.e0a9009802d62p-2, -0x1.e3eab21f0637cp-2, -0x1.e725f40c17f6ap-2, -0x1.ea5a89c4a648cp-2, -0x1.ed882a1734768p-2, -0x1.f0ae8077589p-2, -0x1.f3cd2e2f390d1p-2, -0x1.f6e3cb85d12dfp-2, -0x1.f9f1e8d965b47p-2, -0x1.fcf70fadc0d7cp-2, -0x1.fff2c3adeea4p-2, -0x1.017241d0a0f55p-1, -0x1.02e5e529cfc87p-1, -0x1.045407b8822e2p-1, -0x1.05bc642a3435fp-1, -0x1.071eb46512707p-1, -0x1.087ab1e30642ap-1, -0x1.09d01606c1c4ap-1, -0x1.0b1e9a6aed796p-1, -0x1.0c65f92ba2c02p-1, -0x1.0da5ed2a61d81p-1, -0x1.0ede324cb16a1p-1, -0x1.100e85b59b46ep-1, -0x1.1136a5fa37d43p-1, -0x1.125653517fcaep-1, -0x1.136d4fbf93fdcp-1, -0x1.147b5f3cb619fp-1, -0x1.158047d8216d6p-1, -0x1.167bd1d6fd52ep-1, -0x1.176dc7cf9851dp-1, -0x1.1855f6c122b2fp-1, -0x1.19342e281799cp-1, -0x1.1a08400f8573fp-1, -0x1.1ad2011f67e1dp-1, -0x1.1b9148a83c6f7p-1, -0x1.1c45f0ac0246ep-1, -0x1.1cefd5e4cd524p-1, -0x1.1d8ed7c9181f4p-1, -0x1.1e22d88df9ae2p-1, -0x1.1eabbd2768bbep-1, -0x1.1f296d46ab897p-1, -0x1.1f9bd3571ec9p-1, -0x1.2002dc796be16p-1, -0x1.205e787d561d9p-1, -0x1.20ae99da38ba7p-1, -0x1.20f335a651c06p-1, -0x1.212c438cf8e2bp-1, -0x1.2159bdc3d748ap-1, -0x1.217ba0ff3bf61p-1, -0x1.2191ec65a307dp-1, -0x1.219ca18283909p-1, -0x1.219bc4387af2bp-1, -0x1.218f5ab2e8316p-1, -0x1.21776d5707ef2p-1, -0x1.215406b4a3597p-1, -0x1.2125337662b91p-1, -0x1.20eb0251cf154p-1, -0x1.20a583f715638p-1, -0x1.2054cb009366bp-1, -0x1.1ff8ebe23f9cp-1, -0x1.1f91fcd8f1ee6p-1, -0x1.1f2015d99c5c9p-1, -0x1.1ea350807910bp-1, -0x1.1e1bc8003bc44p-1, -0x1.1d8999114a2ep-1, -0x1.1cece1e104ed3p-1, -0x1.1c45c201294f2p-1, -0x1.1b945a5751342p-1, -0x1.1ad8cd0c95433p-1, -0x1.1a133d7d5c31ep-1, -0x1.1943d02955263p-1, -0x1.186aaaa3a7c02p-1, -0x1.1787f3835b558p-1, -0x1.169bd253f7cafp-1, -0x1.15a66f866713fp-1, -0x1.14a7f46216bp-1, -0x1.13a08af65ea62p-1, -0x1.12905e0c2dfc4p-1, -0x1.11779918014b2p-1, -0x1.1056682c2334dp-1, -0x1.0f2cf7eb399a4p-1, -0x1.0dfb757b20388p-1, -0x1.0cc20e7812p-1, -0x1.0b80f0e822afp-1, -0x1.0a384b2f08073p-1, -0x1.08e84c02365afp-1, -0x1.0791225d4b2b2p-1, -0x1.0632fd76cca73p-1, -0x1.04ce0cb539385p-1, -0x1.03627fa469f3cp-1, -0x1.01f085eb46a3p-1, -0x1.00784f41ca473p-1, -0x1.fdf416ceb5098p-2, -0x1.faebd432db1e9p-2, -0x1.f7d8361504a91p-2, -0x1.f4b99bb2cd6f9p-2, -0x1.f1906411989d2p-2, -0x1.ee5cedee59p-2, -0x1.eb1f97adf173fp-2, -0x1.e7d8bf4e2d089p-2, -0x1.e488c2574e01fp-2, -0x1.e12ffdce3342ep-2, -0x1.ddcece270d175p-2, -0x1.da658f38a2b17p-2, -0x1.d6f49c3025446p-2, -0x1.d37c4f85912d2p-2, -0x1.cffd02f0929cep-2, -0x1.cc770f5df4cbep-2, -0x1.c8eacce5943d7p-2, -0x1.c55892c0d0fe9p-2, -0x1.c1c0b7418232ap-2, -0x1.be238fc9605f6p-2, -0x1.ba8170c1f1e6ep-2, -0x1.b6daad94e3b3bp-2, -0x1.b32f98a4df3c3p-2, -0x1.af808346cc471p-2, -0x1.abcdbdbb83469p-2, -0x1.a8179729ea935p-2, -0x1.a45e5d9980486p-2, -0x1.a0a25ded4400cp-2, -0x1.9ce3e3df0be42p-2, -0x1.992339fb36f0fp-2, -0x1.9560a99cbc13p-2, -0x1.919c7ae9998b4p-2, -0x1.8dd6f4cf9a1a9p-2, -0x1.8a105d017303cp-2, -0x1.8648f7f4336acp-2, -0x1.828108dd0743cp-2, -0x1.7eb8d1af496cbp-2, -0x1.7af0931adf397p-2, -0x1.77288c8ae2485p-2, -0x1.7360fc248da1cp-2, -0x1.6f9a1ec671a67p-2, -0x1.6bd43007ec28fp-2, -0x1.680f6a38dc57bp-2, -0x1.644c06619b42cp-2, -0x1.608a3c432847fp-2, -0x1.5cca425795b3ep-2, -0x1.590c4dd2a949ep-2, -0x1.555092a2b191dp-2, -0x1.519743718e9b4p-2, -0x1.4de091a5ee35fp-2, -0x1.4a2cad64b1f1cp-2, -0x1.467bc59286d1dp-2, -0x1.42ce07d5a4947p-2, -0x1.3f23a097b6529p-2, -0x1.3b7cbb07ed57ep-2, -0x1.37d9811d3486ep-2, -0x1.343a1b98891e4p-2, -0x1.309eb20778005p-2, -0x1.2d076ac6b55dp-2, -0x1.29746b04d78b6p-2, -0x1.25e5d6c52a845p-2, -0x1.225bd0e2a3076p-2, -0x1.1ed67b12e66bap-2, -0x1.1b55f5e96db4ep-2, -0x1.17da60dabea6bp-2, -0x1.1463da3fb74fcp-2, -0x1.10f27f58f1558p-2, -0x1.0d866c523514ap-2, -0x1.0a1fbc45feca5p-2, -0x1.06be894110ee7p-2, -0x1.0362ec461a59p-2, -0x1.000cfd516451bp-2, -0x1.f979a6b91e46ap-3, -0x1.f2e508c4b6dfdp-3, -0x1.ec5c4ac4f35bp-3, -0x1.e5df94cacbe65p-3, -0x1.df6f0d0090582p-3, -0x1.d90ad7b1c054dp-3, -0x1.d2b31752e5371p-3, -0x1.cc67ec897bcd5p-3, -0x1.c6297633e35e9p-3, -0x1.bff7d171573cbp-3, -0x1.b9d319a9e857bp-3, -0x1.b3bb68967f9bdp-3, -0x1.adb0d648da27fp-3, -0x1.a7b379338f31p-3, -0x1.a1c366320fbcdp-3, -0x1.9be0b090a034dp-3, -0x1.960b6a1459e39p-3, -0x1.9043a3031917ep-3, -0x1.8a896a2b7170dp-3, -0x1.84dcccec9335p-3, -0x1.7f3dd73e2a821p-3, -0x1.79ac93b835b05p-3, -0x1.74290b9ad209p-3, -0x1.6eb346d5f8a7ep-3, -0x1.694b4c1137d7cp-3, -0x1.63f120b353cdep-3, -0x1.5ea4c8e9e13d9p-3, -0x1.596647b0d39aap-3, -0x1.54359ed9f0f9p-3, -0x1.4f12cf1440a4fp-3, -0x1.49fdd7f3649fp-3, -0x1.44f6b7f6dfbe2p-3, -0x1.3ffd6c914dbeap-3, -0x1.3b11f22f8472fp-3, -0x1.3634443fa9845p-3, -0x1.31645d3826c79p-3, -0x1.2ca2369e9ccebp-3, -0x1.27edc90eb16a7p-3, -0x1.23470c40ce56cp-3, -0x1.1eadf710d3966p-3, -0x1.1a227f84a31bp-3, -0x1.15a49ad2a6448p-3, -0x1.11343d683578ap-3, -0x1.0cd15aefeb7f6p-3, -0x1.087be657e03e5p-3, -0x1.0433d1d7d0fadp-3, -0x1.fff21dee5c736p-4, -0x1.f7971d26257e3p-4, -0x1.ef5681c84ae62p-4, -0x1.e7302b08c1c43p-4, -0x1.df23f6e9924c7p-4, -0x1.d731c245ff046p-4, -0x1.cf5968dd989f2p-4, -0x1.c79ac55f0d3ddp-4, -0x1.bff5b172cf394p-4, -0x1.b86a05c595383p-4, -0x1.b0f79a1295a92p-4, -0x1.a99e452daee27p-4, -0x1.a25ddd0d4c68cp-4, -0x1.9b3636d4203a4p-4, -0x1.942726dab2ef7p-4, -0x1.8d3080b8c42fbp-4, -0x1.8652174e787aap-4, -0x1.7f8bbccd5bab6p-4, -0x1.78dd42c13590fp-4, -0x1.72467a18b0156p-4, -0x1.6bc7332dcfa76p-4, -0x1.655f3dce3f7cp-4, -0x1.5f0e69436fe5dp-4, -0x1.58d4845a88847p-4, -0x1.52b15d6c2e784p-4, -0x1.4ca4c2641de7ep-4, -0x1.46ae80c8994cap-4, -0x1.40ce65c1ac3cap-4, -0x1.3b043e2044b0bp-4, -0x1.354fd66520d67p-4, -0x1.2fb0fac793e4ap-4, -0x1.2a27773c216bap-4, -0x1.24b3177aee6c3p-4, -0x1.1f53a7060b619p-4, -0x1.1a08f12f954d3p-4, -0x1.14d2c11fafb4bp-4, -0x1.0fb0e1da5629ep-4, -0x1.0aa31e4508e0ep-4, -0x1.05a9412c512a2p-4, -0x1.00c3154921dc1p-4, -0x1.f7e0ca8c2379ep-5, -0x1.ee61f788e08dcp-5, -0x1.e50946c2703c8p-5, -0x1.dbd64d73b8d21p-5, -0x1.d2c8a0e1e53a3p-5, -0x1.c9dfd6657677bp-5, -0x1.c11b83730c461p-5, -0x1.b87b3da3ef1b5p-5, -0x1.affe9abe53165p-5, -0x1.a7a530bd5d5b1p-5, -0x1.9f6e95d8e6ef7p-5, -0x1.975a608d0204cp-5, -0x1.8f6827a13e84bp-5, -0x1.8797822fb4362p-5, -0x1.7fe807abcf4f2p-5, -0x1.78594fe8e1eafp-5, -0x1.70eaf3207c267p-5, -0x1.699c89f889d4ap-5, -0x1.626dad893a038p-5, -0x1.5b5df762addc3p-5, -0x1.546d0192736fbp-5, -0x1.4d9a66a8c7de7p-5, -0x1.46e5c1bdab0e4p-5, -0x1.404eae75ba608p-5, -0x1.39d4c906deb95p-5, -0x1.3377ae3cc61a3p-5, -0x1.2d36fb7d2e165p-5, -0x1.27124ecc008a4p-5, -0x1.210946cf3fc59p-5, -0x1.1b1b82d2c87b3p-5, -0x1.1548a2cbe48dp-5, -0x1.0f90475cb614cp-5, -0x1.09f211d773a17p-5, -0x1.046da4417fdd7p-5, -0x1.fe0542acabdbp-6, -0x1.f36159149ab37p-6, -0x1.e8eed41a76425p-6, -0x1.deacfd99d2923p-6, -0x1.d49b20eed67a5p-6, -0x1.cab88afa9b2f6p-6, -0x1.c1048a2746decp-6, -0x1.b77e6e6be0eacp-6, -0x1.ae25894fe61e9p-6, -0x1.a4f92dee95cedp-6, -0x1.9bf8b0fa05fadp-6, -0x1.932368bdf4948p-6, -0x1.8a78ad225e5f9p-6, -0x1.81f7d7addb699p-6, -0x1.79a04387bd94dp-6, -0x1.71714d79ff496p-6, -0x1.696a53f2f43a1p-6, -0x1.618ab706c8323p-6, -0x1.59d1d870cbee4p-6, -0x1.523f1b948c78cp-6, -0x1.4ad1e57ebd7e3p-6, -0x1.43899ce5f1aadp-6, -0x1.3c65aa2b254b1p-6, -0x1.3565775a1eb32p-6, -0x1.2e887029a251dp-6, -0x1.27ce01fb79b9cp-6, -0x1.21359bdc582fep-6, -0x1.1abeae83917cbp-6, -0x1.1468ac52afaa1p-6, -0x1.0e330954e0a5bp-6, -0x1.081d3b3e3fff8p-6, -0x1.0226b96b02666p-6, -0x1.f89df9bcf3791p-7, -0x1.ed2b0083f5d3bp-7, -0x1.e1f37fc753492p-7, -0x1.d6f6736a39a51p-7, -0x1.cc32da93da328p-7, -0x1.c1a7b7ac4bc11p-7, -0x1.b75410592d543p-7, -0x1.ad36ed7a2874dp-7, -0x1.a34f5b252a532p-7, -0x1.999c68a27f5bp-7, -0x1.901d2868b514p-7, -0x1.86d0b01856022p-7, -0x1.7db61877787d2p-7, -0x1.74cc7d6d2787ep-7, -0x1.6c12fdfc9d36ap-7, -0x1.6388bc4060ef2p-7, -0x1.5b2cdd653b707p-7, -0x1.52fe89a50d4c5p-7, -0x1.4afcec418231dp-7, -0x1.4327337ea420ep-7, -0x1.3b7c909d54dd3p-7, -0x1.33fc37d5a8d64p-7, -0x1.2ca56051284e9p-7, -0x1.25774424f7096p-7, -0x1.1e71204be4e3ep-7, -0x1.179234a067a18p-7, -0x1.10d9c3d67f782p-7, -0x1.0a47137588303p-7, -0x1.03d96bd1f7b1p-7, -0x1.fb20300e15a2dp-8, -0x1.eed4cbe0c5129p-8, -0x1.e2cf4c472307cp-8, -0x1.d70e57d338eebp-8, -0x1.cb909a70da3b5p-8, -0x1.c054c558738e1p-8, -0x1.b5598f01c3e4bp-8, -0x1.aa9db3168336dp-8, -0x1.a01ff264f70fp-8, -0x1.95df12d276888p-8, -0x1.8bd9df4de352bp-8, -0x1.820f27c214596p-8, -0x1.787dc108364b7p-8, -0x1.6f2484da25a7cp-8, -0x1.660251c4c058bp-8, -0x1.5d160b1a31661p-8, -0x1.545e98e43af71p-8, -0x1.4bdae7d67cab6p-8, -0x1.4389e940b91bep-8, -0x1.3b6a93011c7cp-8, -0x1.337bdf76860b1p-8, -0x1.2bbccd72d1ce6p-8, -0x1.242c602d2a748p-8, -0x1.1cc99f345f295p-8, -0x1.159396613f9bdp-8, -0x1.0e8955c902258p-8, -0x1.07a9f1afb1436p-8, -0x1.00f4827aa4518p-8, -0x1.f4d049460710ep-9, -0x1.e807f150ae7acp-9, -0x1.db8e46064c1a4p-9, -0x1.cf61982f3ff39p-9, -0x1.c3804050b0e6cp-9, -0x1.b7e89e921fb7ep-9, -0x1.ac991aa3217e7p-9, -0x1.a19023a131ba5p-9, -0x1.96cc2ffdb4d27p-9, -0x1.8c4bbd6417d91p-9, -0x1.820d50a019f92p-9, -0x1.780f758440acp-9, -0x1.6e50bed072c76p-9, -0x1.64cfc618be53cp-9, -0x1.5b8b2bac4d1c8p-9, -0x1.5281967c8258bp-9, -0x1.49b1b4044a6d7p-9, -0x1.411a382f984a6p-9, -0x1.38b9dd43105eep-9, -0x1.308f63c3e87a9p-9, -0x1.2899925ff546ap-9, -0x1.20d735d5eeeafp-9, -0x1.194720dde3dc2p-9, -0x1.11e82c11e3f5fp-9, -0x1.0ab935d6db6e2p-9, -0x1.03b92245a7c4dp-9, -0x1.f9cdb628bfdb5p-10, -0x1.ec829eff9f6a1p-10, -0x1.df8ee86a6461dp-10, -0x1.d2f0867831572p-10, -0x1.c6a577c12135fp-10, -0x1.baabc53b00666p-10, -0x1.af01820e70e8p-10, -0x1.a3a4cb6c8023fp-10, -0x1.9893c864b8989p-10, -0x1.8dcca9bb9579p-10, -0x1.834da9c17466bp-10, -0x1.79150c29f6a1ap-10, -0x1.6f211de3d3efbp-10, -0x1.657034f11e1b8p-10, -0x1.5c00b040016c5p-10, -0x1.52d0f783eb933p-10, -0x1.49df7b0f32f24p-10, -0x1.412ab3ad25798p-10, -0x1.38b1227c96bcep-10, -0x1.307150cad5a0cp-10, -0x1.2869cfef201ecp-10, -0x1.2099392680e1ap-10, -0x1.18fe2d7029d98p-10, -0x1.1197556a37869p-10, -0x1.0a63612eecbbcp-10, -0x1.036108325e2ebp-10, -0x1.f91e1241238cap-11, -0x1.ebd853781a129p-11, -0x1.deee6d79aa4dbp-11, -0x1.d25e075fc0fb8p-11, -0x1.c624d5aded65bp-11, -0x1.ba409a12019e3p-11, -0x1.aeaf23259134bp-11, -0x1.a36e4c304bb37p-11, -0x1.987bfceb326eap-11, -0x1.8dd62944a9348p-11, -0x1.837ad1255f9c2p-11, -0x1.79680036120e3p-11, -0x1.6f9bcda620451p-11, -0x1.66145bf2f9465p-11, -0x1.5ccfd8b05a5a5p-11, -0x1.53cc7c5160c8p-11, -0x1.4b0889f2699bep-11, -0x1.42824f23c1f24p-11, -0x1.3a3823b523f27p-11, -0x1.32286981fee63p-11, -0x1.2a518c3e89881p-11, -0x1.22b201459bd34p-11, -0x1.1b4847674ec3p-11, -0x1.1412e6b8635abp-11, -0x1.0d10706268a18p-11, -0x1.063f7e74a5f9dp-11, -0x1.ff3d676b85b15p-12, -0x1.f25976ec59158p-12, -0x1.e5d092c671593p-12, -0x1.d9a032b5fe51p-12, -0x1.cdc5de81dd4e9p-12, -0x1.c23f2da628f1ep-12, -0x1.b709c700371f6p-12, -0x1.ac23607bf6b0ep-12, -0x1.a189bec2b0efcp-12, -0x1.973ab4eb25625p-12, -0x1.8d34242b02a0cp-12, -0x1.8373fb89af222p-12, -0x1.79f8379469a97p-12, -0x1.70bee213b18ebp-12, -0x1.67c611c1fbd9cp-12, -0x1.5f0bea03aedf5p-12, -0x1.568e9aa05d9fcp-12, -0x1.4e4c5f7d418d3p-12, -0x1.46438058f0ec1p-12, -0x1.3e72508848594p-12, -0x1.36d72eb48a288p-12, -0x1.2f70849aa7e71p-12, -0x1.283cc6cbbd35cp-12, -0x1.213a746eab519p-12, -0x1.1a681702dab25p-12, -0x1.13c442241c703p-12, -0x1.0d4d934fa67ddp-12, -0x1.0702b1aa26a73p-12, -0x1.00e24dc6eb709p-12, -0x1.f5d642e03ad94p-13, -0x1.ea37dee001df2p-13, -0x1.dee706b68bf22p-13, -0x1.d3e162b8b7f41p-13, -0x1.c924abff839c2p-13, -0x1.beaeac02b6baap-13, -0x1.b47d3c357961fp-13, -0x1.aa8e45a4d6c07p-13, -0x1.a0dfc0982744ep-13, -0x1.976fb433603fbp-13, -0x1.8e3c361b2d14fp-13, -0x1.85436a1ae6b6bp-13, -0x1.7c8381cc4ac7cp-13, -0x1.73fabc40fd35ep-13, -0x1.6ba765adbf93ap-13, -0x1.6387d71761cdp-13, -0x1.5b9a76015dcccp-13, -0x1.53ddb41e1d2c1p-13, -0x1.4c500f00dc508p-13, -0x1.44f00fd12e929p-13, -0x1.3dbc4b000dceap-13, -0x1.36b35ffe7f48bp-13, -0x1.2fd3f8f5b6786p-13, -0x1.291cca80c33ebp-13, -0x1.228c9367b168p-13, -0x1.1c221c5c1ee0ep-13, -0x1.15dc37b745034p-13, -0x1.0fb9c1396045dp-13, -0x1.09b99dca811aap-13, -0x1.03dabb3cb7956p-13, -0x1.fc38201f237a9p-14, -0x1.f0f93669dae1fp-14, -0x1.e5f6c7ae27e8fp-14, -0x1.db2ef2402e1b8p-14, -0x1.d09fe404ea2e9p-14, -0x1.c647da05d2065p-14, -0x1.bc25200700dbdp-14, -0x1.b236101f9ad68p-14, -0x1.a87912549ff1dp-14, -0x1.9eec9c35fbbecp-14, -0x1.958f307dcb28cp-14, -0x1.8c5f5eb1e2afcp-14, -0x1.835bc2c7747e2p-14, -0x1.7a8304c8d7f79p-14, -0x1.71d3d87d65c9ep-14, -0x1.694cfd135e3a8p-14, -0x1.60ed3ccbd1391p-14, -0x1.58b36ca87d689p-14, -0x1.509e6c1b9e319p-14, -0x1.48ad24b99d27ap-14, -0x1.40de89eca0a2cp-14, -0x1.393198a9ec04bp-14, }}, 
      {{0x1.b7d2cc714e5fp-1, 0x1.b7c808932f51ep-1, 0x1.b7a9ee1005285p-1, 0x1.b76ee755f1de1p-1, 0x1.b7108e56a9fdep-1, 0x1.b68c0a46b9388p-1, 0x1.b5e187f2f4657p-1, 0x1.b513635c42964p-1, 0x1.b4254f0fe37a8p-1, 0x1.b31b9bb05d373p-1, 0x1.b1faab2b9b408p-1, 0x1.b0c68f4a7a6f8p-1, 0x1.af82cddbdef6fp-1, 0x1.ae3242de62dd6p-1, 0x1.acd71906ddf25p-1, 0x1.ab72d1dcc6c3cp-1, 0x1.aa0657d357cfap-1, 0x1.a89215fd0460dp-1, 0x1.a7161211c8a8ap-1, 0x1.a59206718b937p-1, 0x1.a4057a8f225a1p-1, 0x1.a26fd8c95989p-1, 0x1.a0d0812b1b2a3p-1, 0x1.9f26d8e0696e7p-1, 0x1.9d7256698b34ap-1, 0x1.9bb28abd992abp-1, 0x1.99e727a65d99dp-1, 0x1.981003accf951p-1, 0x1.962d1bf28eadp-1, 0x1.943e9453ffb26p-1, 0x1.9244b62a061p-1, 0x1.903fedfb24758p-1, 0x1.8e30c8634e4c3p-1, 0x1.8c17ee708bf07p-1, 0x1.89f621a974bbdp-1, 0x1.87cc37e9b578bp-1, 0x1.859b1738b529bp-1, 0x1.8363b1b7071fdp-1, 0x1.812701b8c6382p-1, 0x1.7ee6061d45c89p-1, 0x1.7ca1beef9ffc6p-1, 0x1.7a5b2a5792a33p-1, 0x1.781341deb6303p-1, 0x1.75caf80b60064p-1, 0x1.738336504c061p-1, 0x1.713cdb4e8784fp-1, 0x1.6ef8b965c7253p-1, 0x1.6cb7958e70be5p-1, 0x1.6a7a26780a54dp-1, 0x1.684113e65952bp-1, 0x1.660cf64757963p-1, 0x1.63de567c26585p-1, 0x1.61b5adcf36c0fp-1, 0x1.5f9366122116bp-1, 0x1.5d77d9dddf809p-1, 0x1.5b6354f076da9p-1, 0x1.595614a36da8dp-1, 0x1.57504876ce71dp-1, 0x1.555212acd4dd1p-1, 0x1.535b88f2b6f78p-1, 0x1.516cb513658ep-1, 0x1.4f8595b168015p-1, 0x1.4da61f0552c68p-1, 0x1.4bce3b9ea417cp-1, 0x1.49fdcd2516832p-1, 0x1.4834ad18c1cf2p-1, 0x1.4672ad8f9b315p-1, 0x1.44b799ef20f8ep-1, 0x1.430337a12d191p-1, 0x1.415546c31c1f8p-1, 0x1.3fad82ce9aa6ap-1, 0x1.3e0ba33b923dep-1, 0x1.3c6f5c1acf4f2p-1, 0x1.3ad85ea913415p-1, 0x1.394659da651c6p-1, 0x1.37b8fadd80216p-1, 0x1.362fed975a67ep-1, 0x1.34aadd16ca50fp-1, 0x1.332974005fb49p-1, 0x1.31ab5cf290abcp-1, 0x1.303042e2662a8p-1, 0x1.2eb7d170d9ac4p-1, 0x1.2d41b5391f524p-1, 0x1.2bcd9c1817d2cp-1, 0x1.2a5b356d2e661p-1, 0x1.28ea3254e9b6fp-1, 0x1.277a45dd73cb1p-1, 0x1.260b25356568fp-1, 0x1.249c87d51a797p-1, 0x1.232e27a2ddad7p-1, 0x1.21bfc11230acbp-1, 0x1.2051133e787dfp-1, 0x1.1ee1e00159ce1p-1, 0x1.1d71ec0504a31p-1, 0x1.1c00fed2b612p-1, 0x1.1a8ee2ddb1b7dp-1, 0x1.191b658aefa6bp-1, 0x1.17a65735c0c01p-1, 0x1.162f8b319d619p-1, 0x1.14b6d7c95d481p-1, 0x1.133c163c0baf1p-1, 0x1.11bf22b7895d5p-1, 0x1.103fdc5130bdcp-1, 0x1.0ebe24fcaa31cp-1, 0x1.0d39e18119851p-1, 0x1.0bb2f96cd23eap-1, 0x1.0a295707b8a36p-1, 0x1.089ce74473411p-1, 0x1.070d99b09345cp-1, 0x1.057b6063d0722p-1, 0x1.03e62fee7b9d8p-1, 0x1.024dff4741be9p-1, 0x1.00b2c7b85af56p-1, 0x1.fe2909988065bp-2, 0x1.fae66873fa848p-2, 0x1.f79daba26b469p-2, 0x1.f44ed6cbe06f6p-2, 0x1.f0f9f178795a4p-2, 0x1.ed9f06e785633p-2, 0x1.ea3e25e69ad56p-2, 0x1.e6d760a8bbec9p-2, 0x1.e36acc9dab563p-2, 0x1.dff8824984de1p-2, 0x1.dc809d1cb0b48p-2, 0x1.d9033b4c46dacp-2, 0x1.d5807daaf3dd6p-2, 0x1.d1f887826e3ffp-2, 0x1.ce6b7e6d8ce19p-2, 0x1.cad98a330b8a4p-2, 0x1.c742d4a107c02p-2, 0x1.c3a789693eaf1p-2, 0x1.c007d5fe1a36ep-2, 0x1.bc63e9708fc23p-2, 0x1.b8bbf44ed8617p-2, 0x1.b510288408c1bp-2, 0x1.b160b9388e47p-2, 0x1.adaddab390694p-2, 0x1.a9f7c23d3fffcp-2, 0x1.a63ea6020e53ep-2, 0x1.a282bcf6d4c6cp-2, 0x1.9ec43ebde7516p-2, 0x1.9b03638d1808cp-2, 0x1.97406414a49b8p-2, 0x1.937b7967114dfp-2, 0x1.8fb4dce1ed0f5p-2, 0x1.8becc81780da1p-2, 0x1.882374b96275fp-2, 0x1.84591c83eb7b6p-2, 0x1.808df92a8fc34p-2, 0x1.7cc244451504ap-2, 0x1.78f6373d9cac4p-2, 0x1.752a0b3f8bce1p-2, 0x1.715df9273f28ep-2, 0x1.6d9239728f305p-2, 0x1.69c704321e672p-2, 0x1.65fc90fb69acdp-2, 0x1.623316db9f566p-2, 0x1.5e6acc4b2a287p-2, 0x1.5aa3e721fd643p-2, 0x1.56de9c8c8a275p-2, 0x1.531b21016bc1cp-2, 0x1.4f59a837b573cp-2, 0x1.4b9a651dec22bp-2, 0x1.47dd89d1998bap-2, 0x1.442347977f8cep-2, 0x1.406bced45ec5p-2, 0x1.3cb74f064f35ep-2, 0x1.3905f6bea847ep-2, 0x1.3557f39c6c4dcp-2, 0x1.31ad72473db0dp-2, 0x1.2e069e6acd0fcp-2, 0x1.2a63a2b2c758ap-2, 0x1.26c4a8c736adap-2, 0x1.2329d9495683ap-2, 0x1.1f935bd0d381bp-2, 0x1.1c0156e97720fp-2, 0x1.1873f0113722bp-2, 0x1.14eb4bb6a4764p-2, 0x1.11678d37bb512p-2, 0x1.0de8d6e10585fp-2, 0x1.0a6f49ed19a73p-2, 0x1.06fb06846640ep-2, 0x1.038c2bbd4cac2p-2, 0x1.0022d79c86371p-2, 0x1.f97e4e2b9d939p-3, 0x1.f2c26c19aa10ap-3, 0x1.ec123eacce4cap-3, 0x1.e56df973bf004p-3, 0x1.ded5cde5921d9p-3, 0x1.d849eb657226dp-3, 0x1.d1ca7f46bf79p-3, 0x1.cb57b4d18a6d4p-3, 0x1.c4f1b54770df8p-3, 0x1.be98a7e8c9febp-3, 0x1.b84cb1fa276ecp-3, 0x1.b20df6ca2210ep-3, 0x1.abdc97b76a85ap-3, 0x1.a5b8b4371c89bp-3, 0x1.9fa269db53697p-3, 0x1.9999d459edf43p-3, 0x1.939f0d9390e39p-3, 0x1.8db22d9ad1b8dp-3, 0x1.87d34abb8f579p-3, 0x1.82027982793f4p-3, 0x1.7c3fccc4ada32p-3, 0x1.768b55a78620ep-3, 0x1.70e523a878b22p-3, 0x1.6b4d44a516867p-3, 0x1.65c3c4e31ff97p-3, 0x1.6048af18abe2bp-3, 0x1.5adc0c74607dbp-3, 0x1.557de4a5ba646p-3, 0x1.502e3de55a92ep-3, 0x1.4aed1cfd65225p-3, 0x1.45ba8551dc7e6p-3, 0x1.409678e90647cp-3, 0x1.3b80f873ce75p-3, 0x1.367a03562c34dp-3, 0x1.318197af834cp-3, 0x1.2c97b262fae5ap-3, 0x1.27bc4f1fd8c86p-3, 0x1.22ef6869c8517p-3, 0x1.1e30f7a11fac7p-3, 0x1.1980f50b14555p-3, 0x1.14df57d9e2689p-3, 0x1.104c1634ec08ap-3, 0x1.0bc72540be5fep-3, 0x1.0750792709711p-3, 0x1.02e8051e8b973p-3, 0x1.fd1b76e5be3a7p-4, 0x1.f4831b1871c3bp-4, 0x1.ec06d7ee23bd6p-4, 0x1.e3a68cd76c98cp-4, 0x1.db6217ab8116ap-4, 0x1.d33954b6f8994p-4, 0x1.cb2c1eca5b2bp-4, 0x1.c33a4f4880048p-4, 0x1.bb63be34b58adp-4, 0x1.b3a84240bd516p-4, 0x1.ac07b0da81be8p-4, 0x1.a481de39a176dp-4, 0x1.9d169d6cbb738p-4, 0x1.95c5c06682cdbp-4, 0x1.8e8f180a9d686p-4, 0x1.8772743a439fcp-4, 0x1.806fa3e0a725dp-4, 0x1.798674ff1f1cep-4, 0x1.72b6b4b91780fp-4, 0x1.6c002f5fc709dp-4, 0x1.6562b07da6f45p-4, 0x1.5ede02e1b0e98p-4, 0x1.5871f0aa5f818p-4, 0x1.521e4350737c5p-4, 0x1.4be2c3b17cfe1p-4, 0x1.45bf3a1a28a03p-4, 0x1.3fb36e5051c14p-4, 0x1.39bf279cd8233p-4, 0x1.33e22cd53ba83p-4, 0x1.2e1c4464fbb92p-4, 0x1.286d3456be059p-4, 0x1.22d4c25d39742p-4, 0x1.1d52b3dbe7e5bp-4, 0x1.17e6cdef7ecc5p-4, 0x1.1290d5762f1c5p-4, 0x1.0d508f17ac6acp-4, 0x1.0825bf4cfc1a7p-4, 0x1.03102a680e59fp-4, 0x1.fc1f29364023p-5, 0x1.f24783ffcb262p-5, 0x1.e898ed3d03d8ep-5, 0x1.df12ece890142p-5, 0x1.d5b50af490f67p-5, 0x1.cc7ecf5756478p-5, 0x1.c36fc217aefd2p-5, 0x1.ba876b58d3b76p-5, 0x1.b1c55365eeb8cp-5, 0x1.a92902bd43764p-5, 0x1.a0b2021af8eacp-5, 0x1.985fda83810bfp-5, 0x1.9032154da7951p-5, 0x1.88283c2c45b15p-5, 0x1.8041d9379adf6p-5, 0x1.787e76f64ddefp-5, 0x1.70dda0661a957p-5, 0x1.695ee104263a5p-5, 0x1.6201c4d5050d3p-5, 0x1.5ac5d86c6d5d5p-5, 0x1.53aaa8f49787bp-5, 0x1.4cafc435562ebp-5, 0x1.45d4b89ada00bp-5, 0x1.3f19153c313c1p-5, 0x1.387c69e17917ep-5, 0x1.31fe4709c981fp-5, 0x1.2b9e3df0da7e8p-5, 0x1.255be09461c14p-5, 0x1.1f36c1b931ffep-5, 0x1.192e74f0143fdp-5, 0x1.13428e9a62297p-5, 0x1.0d72a3ee62c8bp-5, 0x1.07be4afb69068p-5, 0x1.02251aadb5448p-5, 0x1.f94d55a440ddfp-6, 0x1.ee85283312f88p-6, 0x1.e3f0e0381f1c2p-6, 0x1.d98fb2b826258p-6, 0x1.cf60d69209e0dp-6, 0x1.c5638484033acp-6, 0x1.bb96f7307268cp-6, 0x1.b1fa6b2250c5cp-6, 0x1.a88d1ed147e86p-6, 0x1.9f4e52a564ccdp-6, 0x1.963d48fa795ep-6, 0x1.8d5946232770bp-6, 0x1.84a1906b92611p-6, 0x1.7c15701bc4afcp-6, 0x1.73b42f79c5676p-6, 0x1.6b7d1acb6181fp-6, 0x1.636f8057aa032p-6, 0x1.5b8ab0682c682p-6, 0x1.53cdfd49e1346p-6, 0x1.4c38bb4ddf629p-6, 0x1.44ca40c9c80e6p-6, 0x1.3d81e617f4e62p-6, 0x1.365f05976b803p-6, 0x1.2f60fbab96486p-6, 0x1.288726bbc46dbp-6, 0x1.21d0e732701c8p-6, 0x1.1b3d9f7c57af3p-6, 0x1.14ccb4075d2b1p-6, 0x1.0e7d8b4138001p-6, 0x1.084f8d95f9bf2p-6, 0x1.0242256e6242bp-6, 0x1.f8a97e5c160d7p-7, 0x1.ed0d9262d360cp-7, 0x1.e1af67974dea5p-7, 0x1.d68de288aa457p-7, 0x1.cba7eba9f7753p-7, 0x1.c0fc6f4d0dcf7p-7, 0x1.b68a5d9d1f181p-7, 0x1.ac50aa9912899p-7, 0x1.a24e4e0d9375cp-7, 0x1.9882438efb4efp-7, 0x1.8eeb8a72f552cp-7, 0x1.858925c9ee224p-7, 0x1.7c5a1c585d5a9p-7, 0x1.735d788fd2a88p-7, 0x1.6a924887dfadbp-7, 0x1.61f79df6d0a32p-7, 0x1.598c8e2a476ep-7, 0x1.515031ff9fd0fp-7, 0x1.4941a5dc485b5p-7, 0x1.416009a5e1387p-7, 0x1.39aa80ba52d53p-7, 0x1.322031e7b65c2p-7, 0x1.2ac047642d962p-7, 0x1.2389eec59e818p-7, 0x1.1c7c58f9581c2p-7, 0x1.1596ba3ba379fp-7, 0x1.0ed84a0f402a9p-7, 0x1.08404334d0287p-7, 0x1.01cde3a23373bp-7, 0x1.f700d8f3abc5cp-8, 0x1.eaae4403e049ap-8, 0x1.dea297377b484p-8, 0x1.d2dc677551f9ep-8, 0x1.c75a4fb6e121ep-8, 0x1.bc1af0f686738p-8, 0x1.b11cf21db1853p-8, 0x1.a65efff30c09dp-8, 0x1.9bdfcd089a289p-8, 0x1.919e11a9da447p-8, 0x1.87988bc9e11b3p-8, 0x1.7dcdfef17824ap-8, 0x1.743d342d3fe2ep-8, 0x1.6ae4f9fbd5933p-8, 0x1.61c4243c01e0ap-8, 0x1.58d98c1aeee81p-8, 0x1.502410026bbf8p-8, 0x1.47a293873aaefp-8, 0x1.3f53ff576dc47p-8, 0x1.37374128d56c1p-8, 0x1.2f4b4ba77df2ap-8, 0x1.278f166442b4dp-8, 0x1.20019dc373e27p-8, 0x1.18a1e2eb92c5dp-8, 0x1.116eebb42568ap-8, 0x1.0a67c294a224cp-8, 0x1.038b769375ab9p-8, 0x1.f9b2366a43124p-9, 0x1.ec9f90d6f33d5p-9, 0x1.dfdd3509f673bp-9, 0x1.d369643887f4fp-9, 0x1.c742680f4b6cdp-9, 0x1.bb669291b7b86p-9, 0x1.afd43df9bde76p-9, 0x1.a489cc97b33bdp-9, 0x1.9985a8b283c81p-9, 0x1.8ec644681f98dp-9, 0x1.844a198e38effp-9, 0x1.7a0fa993421c3p-9, 0x1.70157d5fb7e09p-9, 0x1.665a2537b2ca5p-9, 0x1.5cdc389cc3661p-9, 0x1.539a56301b94fp-9, 0x1.4a932394ff6p-9, 0x1.41c54d5389ad4p-9, 0x1.392f86bbb6c2dp-9, 0x1.30d089c8c18aap-9, 0x1.28a71704ccd64p-9, 0x1.20b1f56cde431p-9, 0x1.18eff25526ce7p-9, 0x1.115fe14d9a3a1p-9, 0x1.0a009c06d9c15p-9, 0x1.02d102376bee5p-9, 0x1.f79ff3028aff3p-10, 0x1.e9f8daaf4e9ebp-10, 0x1.dcaa9dca8ad2dp-10, 0x1.cfb329e58d06fp-10, 0x1.c310779b2129dp-10, 0x1.b6c08a5dcabeap-10, 0x1.aac17046a9101p-10, 0x1.9f1141e4f002bp-10, 0x1.93ae220e0f6acp-10, 0x1.88963dae7380ep-10, 0x1.7dc7cb9ae6587p-10, 0x1.73410c629376ap-10, 0x1.69004a21aa2ap-10, 0x1.5f03d854a203ap-10, 0x1.554a13ac174e9p-10, 0x1.4bd161e14d0a4p-10, 0x1.4298318b4141bp-10, 0x1.399cf9f46da6ep-10, 0x1.30de3af10f495p-10, 0x1.285a7cb61bbp-10, 0x1.20104fb0c4f11p-10, 0x1.17fe4c5e95c81p-10, 0x1.102313262c6d1p-10, 0x1.087d4c3083489p-10, 0x1.010ba742d5243p-10, 0x1.f399b7322cd9cp-11, 0x1.e57f4f81f50a8p-11, 0x1.d7c5a2eb23fa8p-11, 0x1.ca6a4af6ed14dp-11, 0x1.bd6aeefb0ee76p-11, 0x1.b0c543d466952p-11, 0x1.a4770ba29faecp-11, 0x1.987e1584fa5e1p-11, 0x1.8cd83d582569dp-11, 0x1.81836b752cf8dp-11, 0x1.767d947175bebp-11, 0x1.6bc4b8dfc7f3cp-11, 0x1.6156e512614f6p-11, 0x1.573230de10f2bp-11, 0x1.4d54bf5e55276p-11, 0x1.43bcbeba7da7dp-11, 0x1.3a6867ebc9a6ap-11, 0x1.3155fe84844b5p-11, 0x1.2883d07817f9dp-11, 0x1.1ff035e41987bp-11, 0x1.179990da46681p-11, 0x1.0f7e4d2b71fcfp-11, 0x1.079ce03361989p-11, 0x1.ffe7914b26446p-12, 0x1.f1031cb5d4a11p-12, 0x1.e28984408799ap-12, 0x1.d477fb0bd1addp-12, 0x1.c6cbc55fc748cp-12, 0x1.b982384e5ccb1p-12, 0x1.ac98b9577561ep-12, 0x1.a00cbe0ea4e8cp-12, 0x1.93dbcbc28e545p-12, 0x1.88037725edf3bp-12, 0x1.7c8163fa35de3p-12, 0x1.715344bbc51b6p-12, 0x1.6676da4face97p-12, 0x1.5be9f3b2ff2d3p-12, 0x1.51aa6daba3cc9p-12, 0x1.47b6327aaa22bp-12, 0x1.3e0b399015a88p-12, 0x1.34a787401ccf8p-12, 0x1.2b892c79d8b49p-12, 0x1.22ae467f590efp-12, 0x1.1a14fe9f20dc8p-12, 0x1.11bb89eefc7a6p-12, 0x1.09a029083285ap-12, 0x1.01c127c507667p-12, 0x1.f439b9ff1ef4cp-13, 0x1.e56354a38f815p-13, 0x1.d6fbf7adebe11p-13, 0x1.c9008fdc85d1ep-13, 0x1.bb6e1dfd20c23p-13, 0x1.ae41b67706303p-13, 0x1.a17880d7791ebp-13, 0x1.950fb76078697p-13, 0x1.8904a699d4799p-13, 0x1.7d54ace47d54ep-13, 0x1.71fd3a101122dp-13, 0x1.66fbcef29108ep-13, 0x1.5c4dfd023c5d9p-13, 0x1.51f165f18afdfp-13, 0x1.47e3bb4d33db4p-13, 0x1.3e22be1c435acp-13, 0x1.34ac3e8229365p-13, 0x1.2b7e1b62c42bfp-13, 0x1.229642085b44ep-13, 0x1.19f2adcb764c5p-13, 0x1.119167bc9bc26p-13, 0x1.0970864fe1625p-13, 0x1.018e2d0a3f048p-13, 0x1.f3d118617127ep-14, 0x1.e4fbc0f25ce8ap-14, 0x1.d698e579e7bbfp-14, 0x1.c8a52f5a0383bp-14, 0x1.bb1d5f0fb7a5bp-14, 0x1.adfe4ba20e8fep-14, 0x1.a144e2142ef71p-14, 0x1.94ee24daa045ap-14, 0x1.88f72b538401ap-14, 0x1.7d5d2141d9f6p-14, 0x1.721d464baeb18p-14, 0x1.6734ed7b29e9cp-14, 0x1.5ca17cc27024fp-14, 0x1.52606c8247745p-14, 0x1.486f471373e5fp-14, 0x1.3ecba852bda0fp-14, 0x1.35733d2f92143p-14, 0x1.2c63c33d3596dp-14, 0x1.239b084676873p-14, 0x1.1b16e9e3d7a2dp-14, 0x1.12d5551421ec3p-14, 0x1.0ad445d75577ep-14, 0x1.0311c6cbeae64p-14, 0x1.f717e19cb3a84p-15, 0x1.e881d535b56bdp-15, 0x1.da5dd0e2a8e3p-15, 0x1.cca85776dfe5ap-15, 0x1.bf5e056983655p-15, 0x1.b27b902a033e5p-15, 0x1.a5fdc578887e5p-15, 0x1.99e18ac25b5b1p-15, 0x1.8e23dc821e964p-15, 0x1.82c1cda3d7a7fp-15, 0x1.77b886eca6256p-15, 0x1.6d0546661917cp-15, 0x1.62a55ecd14377p-15, 0x1.58963704294bbp-15, 0x1.4ed549895ae2p-15, 0x1.456023ef30fp-15, 0x1.3c3466590e71ep-15, 0x1.334fc2faba54bp-15, 0x1.2aaffd9b01babp-15, 0x1.2252eb196c0ap-15, 0x1.1a3670f6ea11ep-15, 0x1.125884e1706cfp-15, 0x1.0ab72c426fcb5p-15, 0x1.03507bd0169bcp-15, 0x1.f8452e42a6234p-16, 0x1.ea576088fc38bp-16, 0x1.dcd40eb14f804p-16, 0x1.cfb7d452e4de4p-16, 0x1.c2ff679ad831ap-16, 0x1.b6a7988dc07eep-16, 0x1.aaad504e0eacfp-16, 0x1.9f0d90672b266p-16, 0x1.93c5721d15d6ap-16, 0x1.88d225c08e486p-16, 0x1.7e30f20792e5p-16, 0x1.73df336a28ea8p-16, 0x1.69da5b8351b84p-16, 0x1.601ff07614f07p-16, 0x1.56ad8c5688617p-16, 0x1.4d80dc96bf5e9p-16, 0x1.4497a17783fe9p-16, 0x1.3befad7ccf701p-16, 0x1.3386e4e5e0f73p-16, 0x1.2b5b3d28e301ap-16, 0x1.236abc7207fa8p-16, 0x1.1bb379260ab11p-16, 0x1.14339967fbfb8p-16, 0x1.0ce952a25156bp-16, 0x1.05d2e913107a1p-16, 0x1.fddd5eb634158p-17, 0x1.f0760c20e03b3p-17, 0x1.e36cb6a6dce4dp-17, 0x1.d6be54cdbf04dp-17, 0x1.ca67f695bb9f2p-17, 0x1.be66c4b4e0522p-17, 0x1.b2b7ffd7a0a58p-17, 0x1.a758ffe69b4b1p-17, 0x1.9c47335163714p-17, 0x1.91801e5e4f96ep-17, 0x1.87015a7f171ep-17, 0x1.7cc895aa1d76ep-17, 0x1.72d391b8623edp-17, 0x1.692023c7e5525p-17, 0x1.5fac33a2762dp-17, 0x1.5675bb28b09f4p-17, 0x1.4d7ac5c1415e3p-17, 0x1.44b96fcc1b866p-17, 0x1.3c2fe619b6da2p-17, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
    }}, 
    {
      50, 0x1.2d4245f5ad96ap+2, 0x1.f947d18a2ab0cp+0, 0x1.35f10a679ea84p+2, -0x1.bd012b5ff3afp-5, 
      {{
        {0x1.88f5c28f5c28fp+1, 0x1.8d26b286d0694p+1, 0x1.ef734c6417e8cp-3, -0x1.2b5e9e6f21cdp-1, 0x1.2770d1687e63p-1, 0x1.76ac1b4ada452p-4}, 
        {0x1.8d26b286d0694p+1, 0x1.9157a27e44a98p+1, 0x1.c983af4c89459p-3, -0x1.17df18d617f4cp-1, 0x1.2c0a8d55d73a8p-1, -0x1.d457221d72a73p-2}, 
        {0x1.9157a27e44a98p+1, 0x1.9588928b3278ap+1, 0x1.a61cc7699420ep-3, -0x1.04f9d3d4641e6p-1, 0x1.1509e1b31c80ep-1, -0x1.29fce0a0380b4p-2}, 
        {0x1.9588928b3278ap+1, 0x1.99b98282a6b8ep+1, 0x1.85193bfffa3a9p-3, -0x1.e6a01b4af95bcp-2, 0x1.066722a8e1fep-1, -0x1.441808ef47aa8p-2}, 
        {0x1.99b98282a6b8ep+1, 0x1.9dea727a1af93p+1, 0x1.6655639254339p-3, -0x1.c54cc844ba151p-2, 0x1.ecf84aaaffdap-2, -0x1.2a3a718cc3d3dp-2}, 
        {0x1.9dea727a1af93p+1, 0x1.a21b62718f397p+1, 0x1.49af3901ee05ap-3, -0x1.a5f9e08da5214p-2, 0x1.cfacc0f90c2d8p-2, -0x1.1ec44a7eff6a3p-2}, 
        {0x1.a21b62718f397p+1, 0x1.a64c52690379bp+1, 0x1.2f06508d4762p-3, -0x1.8888a7f63777bp-2, 0x1.b3817052a264p-2, -0x1.0ff653bfa464p-2}, 
        {0x1.a64c52690379bp+1, 0x1.aa7d426077b9fp+1, 0x1.163bcc89dbe16p-3, -0x1.6ce37dddc395bp-2, 0x1.98ca69c755423p-2, -0x1.02847e1857798p-2}, 
        {0x1.aa7d426077b9fp+1, 0x1.aeae326d65892p+1, 0x1.fe64a4c546c69p-4, -0x1.52f31f9d4cf27p-2, 0x1.7f657af1b3f89p-2, -0x1.eaac8811ae49cp-3}, 
        {0x1.aeae326d65892p+1, 0x1.b2df2264d9c96p+1, 0x1.d39bfea3b47aap-4, -0x1.3aa1a06681695p-2, 0x1.674bff34bf79bp-2, -0x1.d0ef8955a816p-3}, 
        {0x1.b2df2264d9c96p+1, 0x1.b710125c4e09ap+1, 0x1.abe8bb03bb653p-4, -0x1.23d98e2e01a44p-2, 0x1.507622945909p-2, -0x1.b8264a4b90222p-3}, 
        {0x1.b710125c4e09ap+1, 0x1.bb410253c249ep+1, 0x1.8718b0b20147fp-4, -0x1.0e861b6e9f363p-2, 0x1.3ad7ebcf673c3p-2, -0x1.a02e86353394dp-3}, 
        {0x1.bb410253c249ep+1, 0x1.bf71f24b368a3p+1, 0x1.64fc6447b0cc4p-4, -0x1.f5266b77ce70fp-3, 0x1.266711003f5e2p-2, -0x1.88e670b15de3bp-3}, 
        {0x1.bf71f24b368a3p+1, 0x1.c3a2e25824595p+1, 0x1.4566f0ad853c7p-4, -0x1.cfdad277277f8p-3, 0x1.131af137c74c6p-2, -0x1.72aa114213c0bp-3}, 
        {0x1.c3a2e25824595p+1, 0x1.c7d3d24f98999p+1, 0x1.282df156a4397p-4, -0x1.ad03f0913299p-3, 0x1.00e666087fc5ep-2, -0x1.5ceabc76e61c5p-3}, 
        {0x1.c7d3d24f98999p+1, 0x1.cc04c2470cd9ep+1, 0x1.0d296be448a23p-4, -0x1.8c7d8ff1a61c7p-3, 0x1.df8697ef52f1ap-3, -0x1.483a26015bea2p-3}, 
        {0x1.cc04c2470cd9ep+1, 0x1.d035b23e811a2p+1, 0x1.e86773f310044p-5, -0x1.6e24be8a1f08ap-3, 0x1.bf48acef18fbbp-3, -0x1.34382b352b41bp-3}, 
        {0x1.d035b23e811a2p+1, 0x1.d466a235f55a6p+1, 0x1.ba52e58701314p-5, -0x1.51d7f9b88332ep-3, 0x1.a101e4334a22p-3, -0x1.2113d54ef7496p-3}, 
        {0x1.d466a235f55a6p+1, 0x1.d897922d699aap+1, 0x1.8fd2a9ecb42fp-5, -0x1.37770520bac3p-3, 0x1.849c780e40ce9p-3, -0x1.0eaadab530a9bp-3}, 
        {0x1.d897922d699aap+1, 0x1.dcc8823a5769dp+1, 0x1.68a860b8a5c41p-5, -0x1.1ee2f52bf658ap-3, 0x1.6a06010c60bedp-3, -0x1.fa6a51ea25231p-4}, 
        {0x1.dcc8823a5769dp+1, 0x1.e0f97231cbaa1p+1, 0x1.44999f530af7ap-5, -0x1.07fe4069249afp-3, 0x1.512698cf92ab6p-3, -0x1.d8bd33622d419p-4}, 
        {0x1.e0f97231cbaa1p+1, 0x1.e52a62293fea5p+1, 0x1.236fc45aa3bfbp-5, -0x1.e5595439d0782p-4, 0x1.39ee9e9548be2p-3, -0x1.b8ef09dff1a9ap-4}, 
        {0x1.e52a62293fea5p+1, 0x1.e95b5220b42a9p+1, 0x1.04f7cb154c1e6p-5, -0x1.bda678bf06628p-4, 0x1.24468bb518317p-3, -0x1.9aaacb435c38ep-4}, 
        {0x1.e95b5220b42a9p+1, 0x1.ed8c4218286aep+1, 0x1.d2043e4a8ae01p-6, -0x1.98b0d23ea9423p-4, 0x1.101b07445edb7p-3, -0x1.7df42d12fc3c9p-4}, 
        {0x1.ed8c4218286aep+1, 0x1.f1bd3225163ap+1, 0x1.9ec4df6a1eb1ep-6, -0x1.7647d05717d95p-4, 0x1.fab1136b43fc9p-4, -0x1.630763c10f5c7p-4}, 
        {0x1.f1bd3225163ap+1, 0x1.f5ee221c8a7a4p+1, 0x1.6fdf063de5467p-6, -0x1.563da26a6d172p-4, 0x1.d7d12c4bcb5a2p-4, -0x1.497acf8391059p-4}, 
        {0x1.f5ee221c8a7a4p+1, 0x1.fa1f1213feba8p+1, 0x1.450614bb24b9p-6, -0x1.386714bd86fc6p-4, 0x1.b773c19d30ac1p-4, -0x1.31b64fa5d27aap-4}, 
        {0x1.fa1f1213feba8p+1, 0x1.fe50020b72fadp+1, 0x1.1df2e8f8f9e7cp-6, -0x1.1c9b8b2dbc916p-4, 0x1.996c05a7c5dfdp-4, -0x1.1b822879aeffep-4}, 
        {0x1.fe50020b72fadp+1, 0x1.01407901739d8p+2, 0x1.f4c708c7e29dcp-7, -0x1.02b52b707b0bp-4, 0x1.7d92a4eb79e5dp-4, -0x1.06e15e13fba96p-4}, 
        {0x1.01407901739d8p+2, 0x1.0358f107ea852p+2, 0x1.b43564996549ep-7, -0x1.d5216201ff562p-5, 0x1.63c00010b9ec1p-4, -0x1.e7f308c8baa48p-5}, 
        {0x1.0358f107ea852p+2, 0x1.05716903a4a54p+2, 0x1.79bf5e37336c1p-7, -0x1.a81b1c3b92a6bp-5, 0x1.4bc8c64ce98c8p-4, -0x1.c50f2f43e8892p-5}, 
        {0x1.05716903a4a54p+2, 0x1.0789e0ff5ec56p+2, 0x1.44fb9e7f2e1edp-7, -0x1.7e1baaa1e35acp-5, 0x1.35883d7dcee88p-4, -0x1.a5a1d50446abcp-5}, 
        {0x1.0789e0ff5ec56p+2, 0x1.09a258fb18e58p+2, 0x1.15884c3fa0b63p-7, -0x1.56ec71454b89cp-5, 0x1.20d2daccdbc0bp-4, -0x1.89524aa61efb7p-5}, 
        {0x1.09a258fb18e58p+2, 0x1.0bbad0f6d305ap+2, 0x1.d614b3f30a6eep-8, -0x1.325c400076993p-5, 0x1.0d816ef306c22p-4, -0x1.704827f084acap-5}, 
        {0x1.0bbad0f6d305ap+2, 0x1.0dd348f28d25cp+2, 0x1.8a59a7ea7edf4p-8, -0x1.103f291d7c9b6p-5, 0x1.f6d5b1ae759f9p-5, -0x1.5a68e90ae813cp-5}, 
        {0x1.0dd348f28d25cp+2, 0x1.0febc0f9040d5p+2, 0x1.47405c09c2d6cp-8, -0x1.e0dd183521d77p-6, 0x1.d4ce898687059p-5, -0x1.47e1144aba7f7p-5}, 
        {0x1.0febc0f9040d5p+2, 0x1.120438f4be2d7p+2, 0x1.0c332305d21bbp-8, -0x1.a59247d78eeabp-6, 0x1.b4995db34489ep-5, -0x1.386b86fe84c81p-5}, 
        {0x1.120438f4be2d7p+2, 0x1.141cb0f0784dap+2, 0x1.b148acc0059fcp-9, -0x1.6e65ea18595dcp-6, 0x1.95e8f2f545ddap-5, -0x1.2c4d2dcb9ef7bp-5}, 
        {0x1.141cb0f0784dap+2, 0x1.163528ec326dcp+2, 0x1.5819e46f0b3ecp-9, -0x1.3b2a9383b748ep-6, 0x1.786946e0ae5bp-5, -0x1.235db1a0686bp-5}, 
        {0x1.163528ec326dcp+2, 0x1.184da0e7ec8dep+2, 0x1.0bd66235cbdd1p-9, -0x1.0bbd982360cbdp-6, 0x1.5bca4e1d24db3p-5, -0x1.1da55a6f504c5p-5}, 
        {0x1.184da0e7ec8dep+2, 0x1.1a6618ee63757p+2, 0x1.97049f0e3223cp-10, -0x1.c00daaf0f9832p-7, 0x1.3fbb2d141200fp-5, -0x1.1b3467f3b1d7ep-5}, 
        {0x1.1a6618ee63757p+2, 0x1.1c7e90ea1d959p+2, 0x1.2c4d83c8fa3ddp-10, -0x1.6ff1b43a2c1e5p-7, 0x1.23e96f03ad38ap-5, -0x1.1be593e3ee1dp-5}, 
        {0x1.1c7e90ea1d959p+2, 0x1.1e9708e5d7b5bp+2, 0x1.ab3bc9b5c3042p-11, -0x1.27218c8cca3c9p-7, 0x1.08064a2d6b817p-5, -0x1.1ff3a443de193p-5}, 
        {0x1.1e9708e5d7b5bp+2, 0x1.20af80e191d5dp+2, 0x1.2215d69ef6ccfp-11, -0x1.cb59a973bcb1dp-8, 0x1.d77a5a5ae6586p-6, -0x1.26e763606e615p-5}, 
        {0x1.20af80e191d5dp+2, 0x1.22c7f8dd4bf5fp+2, 0x1.728b969aa6c55p-12, -0x1.576f9af59be76p-8, 0x1.9d8a79e43d4c8p-6, -0x1.323868872dff4p-5}, 
        {0x1.22c7f8dd4bf5fp+2, 0x1.24e070d906162p+2, 0x1.b33dbb4e3b2e3p-13, -0x1.e5fa88baab82ap-9, 0x1.616172dfc7b36p-6, -0x1.3c89a0b1dd014p-5}, 
        {0x1.24e070d906162p+2, 0x1.26f8e8df7cfdbp+2, 0x1.c49483416e45ep-14, -0x1.3d224e3057a87p-9, 0x1.233186875b693p-6, -0x1.59d5bd134dc4p-5}, 
        {0x1.26f8e8df7cfdbp+2, 0x1.291160db371ddp+2, 0x1.83fe62489b9d5p-15, -0x1.6cc0d352c31d8p-10, 0x1.be803d6855e38p-7, -0x1.3f94b4b86a37bp-5}, 
        {0x1.291160db371ddp+2, 0x1.2b29d8d6f13dfp+2, 0x1.d37aca41b4e98p-17, -0x1.4773e1a5cffe5p-11, 0x1.40ee46e4187dbp-7, -0x1.01f0751fac194p-4}, 
        {0x1.2b29d8d6f13dfp+2, 0x1.2d4245f5ad96ap+2, 0x1.db7c6855b04e2p-20, -0x1.8582f806ef1cbp-13, 0x1.d8ec951bcd03cp-9, 0x1.a261ae0fb9dcbp-3}, 
      }}, 
      -0x1.23b78c68dcdc6p+3, 0x1.8e6e4805bc4bp+6
    }
  };
  // clang-format on
}
SkfData params_hyb_0_2_h_ga() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.6c6827ce788d4p-2, -0x1.7991d97b8589cp-2, -0x1.85827436d9129p-2, -0x1.9042e5b8a04a4p-2, -0x1.99de1ba0d276p-2, -0x1.a260091770082p-2, -0x1.a9d59f3170a9dp-2, -0x1.b04cdd57f3bfdp-2, -0x1.b5d3c93b5e1f9p-2, -0x1.ba77ffbae5686p-2, -0x1.be475b6a32d75p-2, -0x1.c150209687a5cp-2, -0x1.c3a02972886adp-2, -0x1.c54436289f538p-2, -0x1.c648309afbd2bp-2, -0x1.c6b7d7c4cae48p-2, -0x1.c69ef160a4423p-2, -0x1.c608e46e0d1b5p-2, -0x1.c50035bef6bc5p-2, -0x1.c38e507cbcd56p-2, -0x1.c1bbb6e004498p-2, -0x1.bf8f2b5310ecfp-2, -0x1.bd13d0b57ca1fp-2, -0x1.ba4fdc6e482c5p-2, -0x1.b74a3e7159a66p-2, -0x1.b4096afcd2a1fp-2, -0x1.b0936344ac4ap-2, -0x1.acedbc4d003b2p-2, -0x1.a91da2306a808p-2, -0x1.a527daa033c91p-2, -0x1.a110cab39b54p-2, -0x1.9cdc80804858p-2, -0x1.988ebce5b075ep-2, -0x1.942af9e37315fp-2, -0x1.8fb46d2d13abcp-2, -0x1.8b2e097e4241fp-2, -0x1.869a81285a217p-2, -0x1.81fc4a8e6bf4bp-2, -0x1.7d55a5f16d6adp-2, -0x1.78a8a3b43711ep-2, -0x1.73f72a61dd1f5p-2, -0x1.6f42fba4e32bcp-2, -0x1.6a8db749666d4p-2, -0x1.65d8dbe90b9acp-2, -0x1.6125c5f756bfcp-2, -0x1.5c75aed502d34p-2, -0x1.57c9ad975a02bp-2, -0x1.5322ba3618f34p-2, -0x1.4e81b27b24f11p-2, -0x1.49e75f305ed1dp-2, -0x1.455478100803p-2, -0x1.40c9a5bf3b266p-2, -0x1.3c47820db7c6bp-2, -0x1.37ce975710292p-2, -0x1.335f5ff6c8689p-2, -0x1.2efa4667113ecp-2, -0x1.2a9fa62256d92p-2, -0x1.264fcd012305dp-2, -0x1.220afcb0dae93p-2, -0x1.1dd16bfcaea11p-2, -0x1.19a347d7ea772p-2, -0x1.1580b44548d0fp-2, -0x1.1169cd45ea227p-2, -0x1.0d5e58cf8667fp-2, -0x1.095eff4aca224p-2, -0x1.056b8d4fa0b99p-2, -0x1.018409d66b14ap-2, -0x1.fb50ee2089d68p-3, -0x1.f3b1a6371ded9p-3, -0x1.ec2a315fb3846p-3, -0x1.e4ba7f5d4f351p-3, -0x1.dd627b1452a23p-3, -0x1.d6220af6eeb12p-3, -0x1.cef91119203a2p-3, -0x1.c7e76b0a1e6b1p-3, -0x1.c0ecf19ecd302p-3, -0x1.ba0978db08bebp-3, -0x1.b33cd01d5a368p-3, -0x1.ac86c29d23c3bp-3, -0x1.a5e71834d3debp-3, -0x1.9f5d965e41f5ep-3, -0x1.98ea013c06421p-3, -0x1.928c1c89a04e8p-3, -0x1.8c43ac540107cp-3, -0x1.86107569eec08p-3, -0x1.7ff23d8303004p-3, -0x1.79e8cb292ad4ap-3, -0x1.73f3e578c6e1bp-3, -0x1.6e1353ce3d8dfp-3, -0x1.6846dd758999p-3, -0x1.628e496a97bdep-3, -0x1.5ce95e3287589p-3, -0x1.5757e1cf84fafp-3, -0x1.51d999cc3b85dp-3, -0x1.4c6e4b5959c38p-3, -0x1.4715bb77027e6p-3, -0x1.41cfaf2499a0bp-3, -0x1.3c9beb92c366bp-3, -0x1.377a3654a6729p-3, -0x1.326a558e93225p-3, -0x1.2d6c1020ab084p-3, -0x1.287f2dcc5123dp-3, -0x1.23a377531e481p-3, -0x1.1ed8b68e1ec92p-3, -0x1.1a1eb67c445dp-3, -0x1.1575434767b27p-3, -0x1.10dc2a3ff26p-3, -0x1.0c5339cff0ecp-3, -0x1.07da416726d26p-3, -0x1.037111625da62p-3, -0x1.fe2ef5e0e4941p-4, -0x1.f59a9fef8ce1fp-4, -0x1.ed24c5fcd0416p-4, -0x1.e4cd0e2d88197p-4, -0x1.dc931fa3ff8f2p-4, -0x1.d476a270c1e32p-4, -0x1.cc773f8eadeeap-4, -0x1.c494a0e88396p-4, -0x1.bcce716519ea8p-4, -0x1.b5245cf737ec5p-4, -0x1.ad9610ae0112ep-4, -0x1.a6233ac343fe7p-4, -0x1.9ecb8aa5b42f6p-4, -0x1.978eb0fdbffcdp-4, -0x1.906c5fac8f61fp-4, -0x1.896449c56dc7cp-4, -0x1.82762382561b8p-4, -0x1.7ba1a234dc16fp-4, -0x1.74e67c34c6166p-4, -0x1.6e4468cdb9c94p-4, -0x1.67bb202d37e0cp-4, -0x1.614a5b51ea0a5p-4, -0x1.5af1d3fcfe0a2p-4, -0x1.54b144a5f45a1p-4, -0x1.4e88687103e4ap-4, -0x1.4876fb27f5233p-4, -0x1.427cb93524388p-4, -0x1.3c995fa03ff2dp-4, -0x1.36ccac0c4b461p-4, -0x1.31165cb66bb7bp-4, -0x1.2b76307516cb2p-4, -0x1.25ebe6b74b90cp-4, -0x1.20773f8396068p-4, -0x1.1b17fb76ba55p-4, -0x1.15cddbc1f570fp-4, -0x1.1098a228d8952p-4, -0x1.0b7810fecaa98p-4, -0x1.066bfc361d7b9p-4, -0x1.017400b869cecp-4, -0x1.f91ff215aeac1p-5, -0x1.ef7f5327329c9p-5, -0x1.e605ae6a5c969p-5, -0x1.dcb28e99de43cp-5, -0x1.d3857f62b8686p-5, -0x1.ca7e0d60637c3p-5, -0x1.c19bc6188a7c3p-5, -0x1.b8de37f679be1p-5, -0x1.b044f2465089ep-5, -0x1.a7cf85301b21dp-5, -0x1.9f7d81b2e836ap-5, -0x1.974e799ffd526p-5, -0x1.8f41ff9639b4bp-5, -0x1.8757a6fdc6972p-5, -0x1.7f8f04041f0d1p-5, -0x1.77e7ab98827fcp-5, -0x1.70613368dc53fp-5, -0x1.68fb31df26b55p-5, -0x1.61b53e1f2719bp-5, -0x1.5a8ef004fe39ap-5, -0x1.5387e023b3767p-5, -0x1.4c9fa7c790437p-5, -0x1.45d5e0e5f4011p-5, -0x1.3f2a263d83766p-5, -0x1.389c1334802a6p-5, -0x1.322b43eb66d11p-5, -0x1.2bd75538fd26fp-5, -0x1.259fe4ab18bb6p-5, -0x1.1f849087428c6p-5, -0x1.1984f7cb5aa1fp-5, -0x1.13a0ba2e37709p-5, -0x1.0dd778203bbc3p-5, -0x1.0828d2cbe02a2p-5, -0x1.02946c163028ap-5, -0x1.fa33cd3e76745p-6, -0x1.ef71cb84f5485p-6, -0x1.e4e21b2e60dcfp-6, -0x1.da8405e17f66ep-6, -0x1.d056d6be4447dp-6, -0x1.c659da5dab771p-6, -0x1.bc8c5ed44a0bdp-6, -0x1.b2edb3b0eb94bp-6, -0x1.a97d29d919b57p-6, -0x1.a03a144739fe1p-6, -0x1.9723c68cd90ffp-6, -0x1.8e39965eeee71p-6, -0x1.857adabab5da5p-6, -0x1.7ce6ec2a8545ep-6, -0x1.747d24b88fa8cp-6, -0x1.6c3cdff2f1498p-6, -0x1.64257aeca9513p-6, -0x1.5c36543ecf6a9p-6, -0x1.546ecc09a902fp-6, -0x1.4cce43f5b12c2p-6, -0x1.45541f34904f3p-6, -0x1.3dffc28215473p-6, -0x1.36d09424c927ep-6, -0x1.2fc5fbeef66afp-6, -0x1.28df633f2b1f4p-6, -0x1.221c34e0f1a5ep-6, -0x1.1b7bddad09ef6p-6, -0x1.14fdcb4a318e3p-6, -0x1.0ea16d6cf0d2cp-6, -0x1.08663537f4a06p-6, -0x1.024b955f52bcfp-6, -0x1.f8a2048fb7428p-7, -0x1.ecebe29791fa5p-7, -0x1.e173b47cb6fecp-7, -0x1.d6386bc821b62p-7, -0x1.cb38fd6d459cap-7, -0x1.c074617c2bfcfp-7, -0x1.b5e9931d0ca14p-7, -0x1.ab9790948f225p-7, -0x1.a17d5b3db0b7bp-7, -0x1.9799f78ac72cfp-7, -0x1.8dec6d0714cc1p-7, -0x1.8473c642a526dp-7, -0x1.7b2f10f51dfe3p-7, -0x1.721d5dd6afdcbp-7, -0x1.693dc12c7d08ap-7, -0x1.608f50567054fp-7, -0x1.581126a5c2fccp-7, -0x1.4fc26081e5408p-7, -0x1.47a21dc5af6efp-7, -0x1.3faf815bf7e94p-7, -0x1.37e9b0ffc374fp-7, -0x1.304fd601db457p-7, -0x1.28e11bb3d41f2p-7, -0x1.219cb10208c2ap-7, -0x1.1a81c7991ee09p-7, -0x1.138f9418dad7cp-7, -0x1.0cc54e03497b4p-7, -0x1.06222fb4b6e9dp-7, -0x1.ff4aecee70b9ap-8, -0x1.f29cc4eb9cf55p-8, -0x1.e6386cda1f963p-8, -0x1.da1c70b29f5aep-8, -0x1.ce4761703a4b9p-8, -0x1.c2b7d5ca26dd6p-8, -0x1.b76c69ebe1284p-8, -0x1.ac63c02641d32p-8, -0x1.a19c7e1243243p-8, -0x1.971551beb2c2ep-8, -0x1.8cccec9ebb64bp-8, -0x1.82c205f50e661p-8, -0x1.78f35a5540e8ap-8, -0x1.6f5fab8dd5ed4p-8, -0x1.6605c08fd27cap-8, -0x1.5ce465d760805p-8, -0x1.53fa6bb68949cp-8, -0x1.4b46a9650d5d5p-8, -0x1.42c7fa0aba927p-8, -0x1.3a7d3dd6023cap-8, -0x1.32655a1b09f6dp-8, -0x1.2a7f38e9e9af5p-8, -0x1.22c9c93aa5cfap-8, -0x1.1b43fec852398p-8, -0x1.13ecd207e31dbp-8, -0x1.0cc3400eacbc4p-8, -0x1.05c64ad30cefcp-8, -0x1.fde9f0ff77af8p-9, -0x1.f09ca80d16eedp-9, -0x1.e3a2d989013ffp-9, -0x1.d6faad0547963p-9, -0x1.caa252d767efp-9, -0x1.be9803f7a6a37p-9, -0x1.b2da01e1e4d7dp-9, -0x1.a766965177d98p-9, -0x1.9c3c142411acdp-9, -0x1.9158d538db1e4p-9, -0x1.86bb3c50be39p-9, -0x1.7c61b400ac864p-9, -0x1.724aaebefe599p-9, -0x1.6874a6ca36673p-9, -0x1.5ede1e0cf4c68p-9, -0x1.55859e020dfc4p-9, -0x1.4c69b7824b023p-9, -0x1.4389031808035p-9, -0x1.3ae2200a24171p-9, -0x1.3273b50e9b7cdp-9, -0x1.2a3c6fd2d6ce5p-9, -0x1.223b04ebd2617p-9, -0x1.1a6e2fbcafc47p-9, -0x1.12d4b25b3bae5p-9, -0x1.0b6d55a270586p-9, -0x1.0436e8273ab09p-9, -0x1.fa60803a5c2d9p-10, -0x1.ecb072275df94p-10, -0x1.df5b6a068fc3p-10, -0x1.d25f38001c82fp-10, -0x1.c5b9b81eac7b7p-10, -0x1.b968d22755663p-10, -0x1.ad6a79622b9dp-10, -0x1.a1bcac6b37798p-10, -0x1.965d74fc4f409p-10, -0x1.8b4ae71d6c64bp-10, -0x1.8083240680feep-10, -0x1.760453b6acf3p-10, -0x1.6bccab1f20a0ep-10, -0x1.61da68b40da54p-10, -0x1.582bd49a426fp-10, -0x1.4ebf40fe9381fp-10, -0x1.4593098d24dd8p-10, -0x1.3ca59355cfd6ep-10, -0x1.33f54c9cc7686p-10, -0x1.2b685a4d8247p-10, -0x1.232f47a94ebe5p-10, -0x1.1b2edd49d144cp-10, -0x1.1365ac33c0512p-10, -0x1.0bd24dbecd823p-10, -0x1.047363504dabp-10, -0x1.fa8f2d71cfe99p-11, -0x1.ec9b31b59c167p-11, -0x1.df08467f82c6fp-11, -0x1.d1d3e9b62949dp-11, -0x1.c4fbada94f702p-11, -0x1.b87d2ec2f6348p-11, -0x1.ac56196be1fe7p-11, -0x1.a0842568a06fbp-11, -0x1.95051ae0376a5p-11, -0x1.89d6cd2747de1p-11, -0x1.7ef71cc889814p-11, -0x1.7463f6e235001p-11, -0x1.6a1b54d137bbcp-11, -0x1.601b3bf23cf59p-11, -0x1.5661bd619f86bp-11, -0x1.4cecf59bf351p-11, -0x1.43bb0cddb12c9p-11, -0x1.3aca35fce046fp-11, -0x1.3218ae8a42cd2p-11, -0x1.29a4bf2e8749ep-11, -0x1.216cbac6bd103p-11, -0x1.196efe7b1736ap-11, -0x1.11a9f18b6d6e3p-11, -0x1.0a1c04262c396p-11, -0x1.02c3b422e0d1fp-11, -0x1.f73f061ffd2c6p-12, -0x1.e95bffba0e85bp-12, -0x1.dbdb8384e9ecfp-12, -0x1.cebacbc03e04bp-12, -0x1.c1f73e9e8f138p-12, -0x1.b58e2d2250479p-12, -0x1.a97d13bf1ad02p-12, -0x1.9dc17925a594ep-12, -0x1.9258f59c4ca51p-12, -0x1.874131487d20ap-12, -0x1.7c77e47f3289dp-12, -0x1.71fada8765513p-12, -0x1.67c7e8e484fdap-12, -0x1.5ddcf86f796bfp-12, -0x1.543800340bb97p-12, -0x1.4ad7055724183p-12, -0x1.41b81c4f13e84p-12, -0x1.38d9671f23e3fp-12, -0x1.30391599af4d4p-12, -0x1.27d564fbcf72ep-12, -0x1.1fac9f8ee8505p-12, -0x1.17bd1c4f17d38p-12, -0x1.10053e91a1fc1p-12, -0x1.088375ae385cbp-12, -0x1.0136391827eeap-12, -0x1.f43832df918b5p-13, -0x1.e6673bbcc105ep-13, -0x1.d8f6cb144704p-13, -0x1.cbe42ced35b0bp-13, -0x1.bf2cc54a89a26p-13, -0x1.b2cdfd51cd836p-13, -0x1.a6c565def8ff4p-13, -0x1.9b109f4ece07bp-13, -0x1.8fad303387ae1p-13, -0x1.8498f6c9841d7p-13, -0x1.79d1b2a1100d2p-13, -0x1.6f553edb087c3p-13, -0x1.6521861fb3d78p-13, -0x1.5b34819ae019bp-13, -0x1.518c39e6ae893p-13, -0x1.4826c4c491871p-13, -0x1.3f02594d77d82p-13, -0x1.361ced78828adp-13, -0x1.2d74fa40f665dp-13, -0x1.2508b618e1ef2p-13, -0x1.1cd677504a9e2p-13, -0x1.14dca005ea018p-13, -0x1.0d199dcee314bp-13, -0x1.058be94b73315p-13, -0x1.fc6416f57605ap-14, -0x1.ee15060bd96a4p-14, -0x1.e027ef6cd18edp-14, -0x1.d29a0dc1cadf2p-14, -0x1.c568b99d38b8bp-14, -0x1.b8915fc0e8ca6p-14, -0x1.ac117bea0d244p-14, -0x1.9fe69d6d1836bp-14, -0x1.940e6952b78dep-14, -0x1.888690f9c19e5p-14, -0x1.7d4cd7efcb21ep-14, -0x1.725f121214e33p-14, -0x1.67bb231dba808p-14, -0x1.5d5efe46c5547p-14, -0x1.5348a5d230ea5p-14, -0x1.49762ab2374a8p-14, -0x1.3fe5ac2741824p-14, -0x1.369557f19f59bp-14, -0x1.2d836cca611ebp-14, -0x1.24ae2311784c4p-14, -0x1.1c13dfe5d7405p-14, -0x1.13b2feee87cc7p-14, -0x1.0b8a2c02dd845p-14, -0x1.0397259db3efp-14, -0x1.f7b25749f1d2dp-15, -0x1.e89d1da03b75dp-15, -0x1.d9ebd4a1e7274p-15, -0x1.cb9bc9cadb7f4p-15, -0x1.bdaa58d8abdd6p-15, -0x1.b014ee778e66ep-15, -0x1.a2d91d5a63ac6p-15, -0x1.95f47a037725ap-15, -0x1.8964b00ff648cp-15, -0x1.7d277cee9525p-15, -0x1.713ab0855ca16p-15, -0x1.659c2b76886a8p-15, -0x1.5a49d1c052d2fp-15, -0x1.4f41b10719405p-15, -0x1.4481cbb0997bfp-15, -0x1.3a085665e85cdp-15, -0x1.2fd35f87bec8bp-15, -0x1.25e1314b7be77p-15, -0x1.1c300e613fbe7p-15, -0x1.12be4c612f6d2p-15, -0x1.098a4b9ec0d0dp-15, -0x1.009279353b002p-15, -0x1.efaaa10f7b6b7p-16, -0x1.dea29f33c68bbp-16, -0x1.ce0a19a811fb6p-16, -0x1.bdde40b402edap-16, -0x1.ae1c5e9ee0bf5p-16, -0x1.9ec1d1c22e66fp-16, -0x1.8fcc0c176483ap-16, -0x1.8138929b0d2e3p-16, -0x1.7304fcc71ab44p-16, -0x1.652ef81d3b48cp-16, -0x1.57b44e99b2151p-16, -0x1.4a9281de83c4ep-16, -0x1.3dc7bf0851bc3p-16, -0x1.3151d4e79b6p-16, -0x1.252ebd19b3dafp-16, -0x1.195c802f83d83p-16, -0x1.0dd934e4836b9p-16, -0x1.02a2ffa53bd99p-16, -0x1.ef70243756bfep-17, -0x1.da2d55826ed2fp-17, -0x1.c57a28e4d2153p-17, -0x1.b1534c0e85d47p-17, -0x1.9db583d494846p-17, -0x1.8a9daa55002dap-17, -0x1.7808cd6b5e5f1p-17, -0x1.65f679fc49c84p-17, -0x1.545b9780e2cabp-17, -0x1.433db511f57c3p-17, -0x1.329744c29839ep-17, -0x1.226597bac7866p-17, -0x1.12a612d9c1097p-17, -0x1.03562c44e2febp-17, -0x1.e8e6d57fcd6d4p-18, -0x1.cbf6ca43a7fc7p-18, -0x1.afd7839cda2cfp-18, -0x1.94846c74833dp-18, -0x1.79f90da252cebp-18, -0x1.6031574222ae8p-18, -0x1.47282e9ef46cap-18, -0x1.2eda2988b904ep-18, -0x1.17431b659b5e7p-18, -0x1.005f00f48e4bap-18, -0x1.d453f7d7f7acp-19, -0x1.a9402cbb54826p-19, -0x1.7f7c3e1715a52p-19, -0x1.57007819f5c92p-19, -0x1.2fc51da38302ep-19, -0x1.09c4c21cfd70ep-19, -0x1.c9f09f5ae287dp-20, -0x1.82ae4608c0decp-20, -0x1.3db9bed064d6dp-20, -0x1.f60c9fd8ae423p-21, -0x1.750ce9bd63504p-21, -0x1.f0bb20e4759cdp-22, -0x1.ff99614247c48p-23, -0x1.7221e47e9599p-26, 0x1.92e72ad02be99p-23, 0x1.a220082d43299p-22, 0x1.398752faba6b8p-21, 0x1.9e34f7b750184p-21, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.be770f830e4a3p-5, -0x1.bc09e9ecd80bdp-5, -0x1.b4530f98ef201p-5, -0x1.a797145940ac4p-5, -0x1.96228231da7cap-5, -0x1.8047c2904d6e7p-5, -0x1.665c4fb897b9fp-5, -0x1.48b6537fb6028p-5, -0x1.27ac6c66bd202p-5, -0x1.0394ebd810dabp-5, -0x1.b9871ee604d9ap-6, -0x1.67105da1839d3p-6, -0x1.105e7108c8878p-6, -0x1.6c0910ef595d8p-7, -0x1.623bbfd5cc9dcp-8, 0x1.dfdaadeff9a26p-12, 0x1.a6b7dc7f351b5p-8, 0x1.9b1a549e5701cp-7, 0x1.32b4a9e30c581p-6, 0x1.98c291732f633p-6, 0x1.ff5bac2e98215p-6, 0x1.331465fb9dfeep-5, 0x1.667298c8e72f1p-5, 0x1.99a546703c797p-5, 0x1.cc8d4cb7c247cp-5, 0x1.ff0e7b8dd0009p-5, 0x1.1887b433282d2p-4, 0x1.313ca134949e5p-4, 0x1.499bd1ae016eap-4, 0x1.619c2f471389cp-4, 0x1.7935aa225ee73p-4, 0x1.906126e54ef72p-4, 0x1.a7186f3fdde18p-4, 0x1.bd56215d1d93p-4, 0x1.d3159d0cc9879p-4, 0x1.e852f0dc8a4ep-4, 0x1.fd0ac9f34ce33p-4, 0x1.089d33babd573p-3, 0x1.126fc82c2e5acp-3, 0x1.1bfc452e57e83p-3, 0x1.254208c9316e6p-3, 0x1.2e40a8076e3d9p-3, 0x1.36f7eaad56d7fp-3, 0x1.3f67c69a50aep-3, 0x1.47905aedf4a65p-3, 0x1.4f71eb5a217dp-3, 0x1.570cdc1e6cb84p-3, 0x1.5e61aeefe6434p-3, 0x1.657100b202baep-3, 0x1.6c3b879cbddf3p-3, 0x1.72c2115c3beaep-3, 0x1.790580dd19457p-3, 0x1.7f06cbb80053ap-3, 0x1.84c6f762fca06p-3, 0x1.8a47166424303p-3, 0x1.8f8845ba24a02p-3, 0x1.948baa9b62e6fp-3, 0x1.9952709a9030fp-3, 0x1.9dddc83430a43p-3, 0x1.a22ee5c0a63bap-3, 0x1.a64700bc7c776p-3, 0x1.aa27534c254aep-3, 0x1.add119d6136afp-3, 0x1.b145839014761p-3, 0x1.b485eb858bbc9p-3, 0x1.b793889bdebb5p-3, 0x1.ba6f96f20aeb3p-3, 0x1.bd1b506c1d7d7p-3, 0x1.bf97ec8f15c9p-3, 0x1.c1e6a077be02fp-3, 0x1.c4089ececb506p-3, 0x1.c5ff179f4c433p-3, 0x1.c7cb37fea92d9p-3, 0x1.c96e29840277bp-3, 0x1.cae9119b96552p-3, 0x1.cc3d10cd80a18p-3, 0x1.cd6b42138d96fp-3, 0x1.ce74ba573725ap-3, 0x1.cf5a8828bd66dp-3, 0x1.d01db3b50bafp-3, 0x1.d0bf3ef4c7ae8p-3, 0x1.d1402605bf08fp-3, 0x1.d1a15f9aad064p-3, 0x1.d1e3dd6c2ed9p-3, 0x1.d2088c9871388p-3, 0x1.d21055e49b425p-3, 0x1.d1fc1dd9a0a4p-3, 0x1.d1ccc4bcc40eap-3, 0x1.d1832669a30cep-3, 0x1.d1201a17428ep-3, 0x1.d0a4721354128p-3, 0x1.d010fb7ebbe82p-3, 0x1.cf667e14a66fp-3, 0x1.cea5bc0311c9ap-3, 0x1.cdcf71d873defp-3, 0x1.cce4568780296p-3, 0x1.cbe51b7f43ef7p-3, 0x1.cad26cd454613p-3, 0x1.c9acf1765363fp-3, 0x1.c8754b6d0381bp-3, 0x1.c72c181818e49p-3, 0x1.c5d1f06dc9446p-3, 0x1.c4676934ee023p-3, 0x1.c2ed1338aed86p-3, 0x1.c1637b749f27ap-3, 0x1.bfcb2b392d583p-3, 0x1.be24a848ddaf6p-3, 0x1.bc7074ef7665ep-3, 0x1.baaf101462716p-3, 0x1.b8e0f549bb91bp-3, 0x1.b7069cd960bf1p-3, 0x1.b5207bd1389cap-3, 0x1.b32f040f97fa8p-3, 0x1.b132a45069dc8p-3, 0x1.af2bc83b8615bp-3, 0x1.ad1ad8745462ep-3, 0x1.ab003aaabdc4dp-3, 0x1.a8dc51ad3d7cap-3, 0x1.a6af7d7bda3fcp-3, 0x1.a47a1b5bcbd32p-3, 0x1.a23c85eb76d9ap-3, 0x1.9ff715369741dp-3, 0x1.9daa1eca55968p-3, 0x1.9b55f5c9286a8p-3, 0x1.98faeafe63f61p-3, 0x1.96994cf16026dp-3, 0x1.943167f830bcbp-3, 0x1.91c38649ee913p-3, 0x1.8f4ff010893f7p-3, 0x1.8cd6eb7a2ad77p-3, 0x1.8a58bcca2d9fp-3, 0x1.87d5a6699cd4dp-3, 0x1.854de8f744dcfp-3, 0x1.82c1c3574d8f5p-3, 0x1.803172c25176p-3, 0x1.7d9d32d3f8242p-3, 0x1.7b053d99004b6p-3, 0x1.7869cb9cbdf5cp-3, 0x1.75cb13f601748p-3, 0x1.73294c537191ep-3, 0x1.7084a90751fd2p-3, 0x1.6ddd5d12ba561p-3, 0x1.6b339a3044e15p-3, 0x1.688790de3e935p-3, 0x1.65d97068613c7p-3, 0x1.632966f11290dp-3, 0x1.6077a17a442fbp-3, 0x1.5dc4415b54476p-3, 0x1.5b0f81c163254p-3, 0x1.5859860b91775p-3, 0x1.55a276f6423fcp-3, 0x1.52ea7c42fa782p-3, 0x1.5031bcbf7f9dep-3, 0x1.4d785e4cb5287p-3, 0x1.4abe85e53724bp-3, 0x1.480457a3c2adep-3, 0x1.4549f6c95aab6p-3, 0x1.428f85c336056p-3, 0x1.3fd5263078318p-3, 0x1.3d1af8e7ab4b9p-3, 0x1.3a611dfc0e33cp-3, 0x1.37a7b4c28ffd7p-3, 0x1.34eedbd6bc69fp-3, 0x1.3236b11f52303p-3, 0x1.2f7f51d2bb5b8p-3, 0x1.2cc8da7b3ae69p-3, 0x1.2a1366fad4d93p-3, 0x1.275f129022221p-3, 0x1.24abf7d7fb331p-3, 0x1.21fa30d2e5c9ap-3, 0x1.1f49d6d48e031p-3, 0x1.1c9b02e81d978p-3, 0x1.19edcd0c2ab4cp-3, 0x1.17424d04fd715p-3, 0x1.149899efd1eccp-3, 0x1.11f0ca6033b12p-3, 0x1.0f4af4614a313p-3, 0x1.0ca72d7852fbp-3, 0x1.0a058aa6ee2d9p-3, 0x1.0766206d6aeep-3, 0x1.04c902ccf5f5p-3, 0x1.022e4549b3e0ep-3, 0x1.ff2bf5d995a2cp-4, 0x1.fa006c8cb315p-4, 0x1.f4da12de9f9cap-4, 0x1.efb90c1697fb3p-4, 0x1.ea9d7a94c1f14p-4, 0x1.e5877fd408fe6p-4, 0x1.e0773c73b0f7fp-4, 0x1.db6cd02d60ee3p-4, 0x1.d66859e7eea25p-4, 0x1.d169f873cc4cap-4, 0x1.cc71c6ba67fbcp-4, 0x1.c77fe37d4fadfp-4, 0x1.c294696889112p-4, 0x1.bdaf736b4efbap-4, 0x1.b8d11b7a57f33p-4, 0x1.b3f97ace3316p-4, 0x1.af28a9d9d36afp-4, 0x1.aa5ec04d5f673p-4, 0x1.a59bd51821078p-4, 0x1.a0dffe6abc482p-4, 0x1.9c2b51b929cccp-4, 0x1.977de3bcc2c53p-4, 0x1.92d7c875bd18bp-4, 0x1.8e39132ee29b3p-4, 0x1.89a1d67d47deap-4, 0x1.8512244348942p-4, 0x1.808a0e5702e7bp-4, 0x1.7c09a34a27cbp-4, 0x1.7790f4e095cf2p-4, 0x1.7320119da9934p-4, 0x1.6eb7080050502p-4, 0x1.6a55e5d58663dp-4, 0x1.65fcb7fcbdca8p-4, 0x1.61ab8bfff8a8ep-4, 0x1.5d626cbdf3f7dp-4, 0x1.592165cf8751bp-4, 0x1.54e881d5c9351p-4, 0x1.50b7cacfa426bp-4, 0x1.4c8f4a257c37cp-4, 0x1.486f0899e549ap-4, 0x1.44570e5aad63fp-4, 0x1.404762faa65fp-4, 0x1.3c400d6e00ccbp-4, 0x1.3841142e3a92dp-4, 0x1.344a7cf6d1a8fp-4, 0x1.305c4d0bd257ap-4, 0x1.2c7688a9a421bp-4, 0x1.2899353a0c5dcp-4, 0x1.24c454f94d72bp-4, 0x1.20f7eb5ad061dp-4, 0x1.1d33fad3bd053p-4, 0x1.19788557d6891p-4, 0x1.15c58c7046ed1p-4, 0x1.121b1060c9ee1p-4, 0x1.0e7912305a8e7p-4, 0x1.0adf917c10053p-4, 0x1.074e8da07889cp-4, 0x1.03c60579665b7p-4, 0x1.0045f75f9cf68p-4, 0x1.f99cc282a3254p-5, 0x1.f2be811a0bb0bp-5, 0x1.ebf124460bfc4p-5, 0x1.e534a596b85f4p-5, 0x1.de88fcb376ef9p-5, 0x1.d7ee21140e061p-5, 0x1.d1640931cd86ep-5, 0x1.caeaaa93b1a85p-5, 0x1.c481fa07a62b1p-5, 0x1.be29ec2cee119p-5, 0x1.b7e27388987a8p-5, 0x1.b1ab82ed80fb9p-5, 0x1.ab850c2cb8313p-5, 0x1.a56f003274de1p-5, 0x1.9f694fad2e7c7p-5, 0x1.9973ea3971b88p-5, 0x1.938ebfe28a1b6p-5, 0x1.8db9bc75ee1aap-5, 0x1.87f4d058ee4efp-5, 0x1.823fe89ff926ep-5, 0x1.7c9af1712aa9ap-5, 0x1.7705d7387d321p-5, 0x1.718085c70b3e9p-5, 0x1.6c0ae85b9e053p-5, 0x1.66a4e9c2fe004p-5, 0x1.614e7460a12d3p-5, 0x1.5c07721555ddbp-5, 0x1.56cfcc9723406p-5, 0x1.51a76cee0c87p-5, 0x1.4c8e3bf8ad3e3p-5, 0x1.478422349272dp-5, 0x1.428907cbc72b5p-5, 0x1.3d9cd4a466178p-5, 0x1.38bf705dd6b5dp-5, 0x1.33f0c247e3444p-5, 0x1.2f30b1b0f02ddp-5, 0x1.2a7f24f52f42ap-5, 0x1.25dc034a8e1c1p-5, 0x1.2147330837251p-5, 0x1.1cc09a869dc19p-5, 0x1.18481fed594a7p-5, 0x1.13dda94942918p-5, 0x1.0f811c84d3262p-5, 0x1.0b325f6e235f3p-5, 0x1.06f157b62a3fap-5, 0x1.02bdeb08439ecp-5, 0x1.fd2ffdcd91533p-6, 0x1.f4fef1a26178bp-6, 0x1.ece87c7141f9fp-6, 0x1.e4ec69070d13ep-6, 0x1.dd0a82218eeafp-6, 0x1.d5429273db42p-6, 0x1.cd9465a7f4eaap-6, 0x1.c5ffc3a6fc19dp-6, 0x1.be84799caeae7p-6, 0x1.b722518c1bcb2p-6, 0x1.afd91647b7ca7p-6, 0x1.a8a89287bd25p-6, 0x1.a1909115918edp-6, 0x1.9a90dd0c773ffp-6, 0x1.93a941693e659p-6, 0x1.8cd9892bb4159p-6, 0x1.86217f9bbd01ep-6, 0x1.7f80f44bc9241p-6, 0x1.78f7a5f461d4fp-6, 0x1.72856ce289181p-6, 0x1.6c2a105155de3p-6, 0x1.65e55c99e7618p-6, 0x1.5fb71d28af42ap-6, 0x1.599f1e37de238p-6, 0x1.539d2bf736279p-6, 0x1.4db112b5837c3p-6, 0x1.47da9ee0fe28bp-6, 0x1.41efd233a0f17p-6, 0x1.3c45bbdcd0a85p-6, 0x1.36b0af1fba7e3p-6, 0x1.31307869e526p-6, 0x1.2bc4e408ffceep-6, 0x1.266dbe29c3092p-6, 0x1.212ad3dc07ae5p-6, 0x1.1bfbf1203629cp-6, 0x1.16e0e1ccaa981p-6, 0x1.11d97499406d1p-6, 0x1.0ce573caffff5p-6, 0x1.0804ad1158d8p-6, 0x1.0336ebbb7ec3fp-6, 0x1.fcf7fd22aba5cp-7, 0x1.f3a75ee9bea05p-7, 0x1.ea7b98a859fb8p-7, 0x1.e174411dfc4e5p-7, 0x1.d890f1021ba68p-7, 0x1.cfd1406c9a32bp-7, 0x1.c734c732b8bf9p-7, 0x1.bebb1cf183195p-7, 0x1.b663d8ffee6dp-7, 0x1.ae2e928088ceap-7, 0x1.a61ae0cc62719p-7, 0x1.9e285ab216cc9p-7, 0x1.96569689647c2p-7, 0x1.8ea52b23f5773p-7, 0x1.8713af1d94d6cp-7, 0x1.7fa1b91066153p-7, 0x1.784ee2b5e934ap-7, 0x1.711ab9d1feb2dp-7, 0x1.6a04de94bbf77p-7, 0x1.630ce549e820dp-7, 0x1.5c3265b3b49d3p-7, 0x1.5575016bbd355p-7, 0x1.4ed4358701e42p-7, 0x1.484fb7357c567p-7, 0x1.41e71763e32e1p-7, 0x1.3b99f1910f581p-7, 0x1.3567e15f8e83fp-7, 0x1.2f5084133ea89p-7, 0x1.295377ebde2a9p-7, 0x1.23705b87fff1ep-7, 0x1.1da6d0444d0eep-7, 0x1.17f677a435a1p-7, 0x1.125ef45ea3f9ep-7, 0x1.0cdfec3fe9e94p-7, 0x1.077903ffb0171p-7, 0x1.0229e3321b1fdp-7, 0x1.f9e4654318a52p-8, 0x1.efa338ea00ee4p-8, 0x1.e58f9878c3be4p-8, 0x1.dba8ddd9ac712p-8, 0x1.d1ee65b51dab6p-8, 0x1.c85f8f596ef9fp-8, 0x1.befbc6c1aeecap-8, 0x1.b5c251ca69462p-8, 0x1.acb2b712fc004p-8, 0x1.a3cc54d6bdd2cp-8, 0x1.9b0e963d3334bp-8, 0x1.9278e5c90c234p-8, 0x1.8a0abd70e4e47p-8, 0x1.81c3846560167p-8, 0x1.79a2a5770c552p-8, 0x1.71a7bad1b9769p-8, 0x1.69d2162f97818p-8, 0x1.62213c2e4a51dp-8, 0x1.5a94a6aa51fe2p-8, 0x1.532bd0c640d4dp-8, 0x1.4be637539560ep-8, 0x1.44c3578bcb3c4p-8, 0x1.3dc2b0344a9c1p-8, 0x1.36e3b2ae172d1p-8, 0x1.30260f906e84fp-8, 0x1.2989188c69b66p-8, 0x1.230c614242759p-8, 0x1.1caf6e07124ecp-8, 0x1.1671c4274899fp-8, 0x1.1052e9e93930cp-8, 0x1.0a52667f9379cp-8, 0x1.046fc4e0b5426p-8, 0x1.fd550c9b25c56p-9, 0x1.f204799c8f3ap-9, 0x1.e6ece1bf22d16p-9, 0x1.dc0d5d47ce95bp-9, 0x1.d16504b3a0bd3p-9, 0x1.c6f2f79bdf1fap-9, 0x1.bcb6554b318eep-9, 0x1.b2ae39944a5cp-9, 0x1.a8d9c90ffa7f5p-9, 0x1.9f382870642f2p-9, 0x1.95c87e8bdc8d5p-9, 0x1.8c89f46b72801p-9, 0x1.837bb553618cbp-9, 0x1.7a9ceec9fd71bp-9, 0x1.71ecd09e5b543p-9, 0x1.696a8cebac3f1p-9, 0x1.6115579332863p-9, 0x1.58ec638df9897p-9, 0x1.50eef7bdcf28ap-9, 0x1.491c430a9a2b3p-9, 0x1.417386a9e348cp-9, 0x1.39f3e79c6c6e3p-9, 0x1.329cfa2e118e3p-9, 0x1.2b6db28604d1cp-9, 0x1.246573b317ad1p-9, 0x1.1d8387addf9dfp-9, 0x1.16c73a0944a7dp-9, 0x1.102fdb1ce795p-9, 0x1.09bcbeb067af8p-9, 0x1.036d3452e48afp-9, 0x1.fa8128433f5bp-10, 0x1.ee6c6dd207a8dp-10, 0x1.e29aefb4348dep-10, 0x1.d70b685c1c932p-10, 0x1.cbbc97106f5b6p-10, 0x1.c0ad47634e4d3p-10, 0x1.b5dc3a2adbc6ep-10, 0x1.ab484c170f062p-10, 0x1.a0f02d237935fp-10, 0x1.96d2dbe06d52cp-10, 0x1.8cef2217e4adp-10, 0x1.8343e4b5da37p-10, 0x1.79d006e564c9bp-10, 0x1.709273205ae67p-10, 0x1.678a173bc49c9p-10, 0x1.5eb5f06df9bd7p-10, 0x1.5614d6af3a08ap-10, 0x1.4da5e4c6d0885p-10, 0x1.45680e7d686e2p-10, 0x1.3d5a581657dfap-10, 0x1.357bc978beabp-10, 0x1.2dcb6ea63db12p-10, 0x1.264857b4acdc9p-10, 0x1.1ef198b884168p-10, 0x1.17c647cd5f616p-10, 0x1.10c579f37523p-10, 0x1.09ee70c869405p-10, 0x1.03402a86d8626p-10, 0x1.f973b75e11ccep-11, 0x1.ecb55f9151908p-11, 0x1.e043abd43844dp-11, 0x1.d41d01a15fc3ap-11, 0x1.c83fcdaa8cb5cp-11, 0x1.bcaa83c4029e6p-11, 0x1.b15b9ecacaeb3p-11, 0x1.a651a08d29c96p-11, 0x1.9b8b11b0eb49cp-11, 0x1.9106819400481p-11, 0x1.86c285a8e2b76p-11, 0x1.7cbdb4433e71ep-11, 0x1.72f5deced4125p-11, 0x1.696c500117691p-11, 0x1.601d083bc347ep-11, 0x1.5707a39481f7fp-11, 0x1.4e2adf0c3890ep-11, 0x1.45857ce1bd38ep-11, 0x1.3d164538f1ef6p-11, 0x1.34dc0610d6f1dp-11, 0x1.2cd5932d90294p-11, 0x1.2501c602d6741p-11, 0x1.1d5f7d9d10a39p-11, 0x1.15ed9e766966bp-11, 0x1.0eab0a895741bp-11, 0x1.0796c84a8b104p-11, 0x1.00afb856fb399p-11, 0x1.f3e9affc586b7p-12, 0x1.e6ca4f8528f65p-12, 0x1.d9ff580626e3ep-12, 0x1.cd86f0723d572p-12, 0x1.c15efd7d96aebp-12, 0x1.b585c1f39825bp-12, 0x1.a9f9830c552abp-12, 0x1.9eb8572b472c5p-12, 0x1.93c05a8f58b54p-12, 0x1.89107268b4383p-12, 0x1.7ea66c8093902p-12, 0x1.7480b08e8b478p-12, 0x1.6a9db5396bd9ep-12, 0x1.60fbdfd2ad436p-12, 0x1.5799c2ce77505p-12, 0x1.4e759fc171e6ep-12, 0x1.458e308b7bf18p-12, 0x1.3ce1eecbf1fd9p-12, 0x1.346f707cab63dp-12, 0x1.2c3551e58f59ap-12, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.9a76dc4f2bedfp-4, -0x1.a028c064729cap-4, -0x1.a8204e35f42efp-4, -0x1.b23af3f13d792p-4, -0x1.be51a480172b4p-4, -0x1.cc3a915b3c5b5p-4, -0x1.dbca3744679bp-4, -0x1.ecd42ad2de239p-4, -0x1.ff2c56b4f93dcp-4, -0x1.0953e70dee73cp-3, -0x1.138e6e0ae261dp-3, -0x1.1e3195d581e52p-3, -0x1.292a33e253f72p-3, -0x1.34665ca2e69cfp-3, -0x1.3fd55c255bf5p-3, -0x1.4b6790c37adbdp-3, -0x1.570e58c342dc5p-3, -0x1.62bc1f37abb7dp-3, -0x1.6e647f215cdb3p-3, -0x1.79fc5766228e7p-3, -0x1.8579b06042a5bp-3, -0x1.90d3a8f5bb567p-3, -0x1.9c01c894fc47ap-3, -0x1.a6fcc946d48a9p-3, -0x1.b1be3194c3b56p-3, -0x1.bc404ec32749bp-3, -0x1.c67e2611be541p-3, -0x1.d0736705af183p-3, -0x1.da1c5ed97846fp-3, -0x1.e375ec45792c4p-3, -0x1.ec7d736a4cbc3p-3, -0x1.f530d253284d2p-3, -0x1.fd8e562a0857ap-3, -0x1.02ca58735e052p-2, -0x1.06a177eecae0ap-2, -0x1.0a4c39fa904bep-2, -0x1.0dca75b11fca2p-2, -0x1.111c25cce074ep-2, -0x1.1441652570051p-2, -0x1.173a6ace9f565p-2, -0x1.1a0786870e8abp-2, -0x1.1ca91e06f517bp-2, -0x1.1f1fab26e8433p-2, -0x1.216bba5b66784p-2, -0x1.238de9035e684p-2, -0x1.2586e3677ad21p-2, -0x1.275762a2f1af1p-2, -0x1.29002ac0bc7eep-2, -0x1.2a820929f962fp-2, -0x1.2bddd34ae2943p-2, -0x1.2d14654126bep-2, -0x1.2e26a07cc5c26p-2, -0x1.2f156a6180d42p-2, -0x1.2fe1ab0ce3b93p-2, -0x1.308c4c6067785p-2, -0x1.311639575e90cp-2, -0x1.31805d95f3824p-2, -0x1.31cba50f82793p-2, -0x1.31f8fba41df23p-2, -0x1.32094ca3ab914p-2, -0x1.31fd82376933ep-2, -0x1.31d684c078fbp-2, -0x1.31953a3e4d653p-2, -0x1.313a8ec9019a4p-2, -0x1.30c7540579a8bp-2, -0x1.303c697fae015p-2, -0x1.2f9aa70e78cd4p-2, -0x1.2ee2e0c041edcp-2, -0x1.2e15e6d9223dp-2, -0x1.2d3485d95a198p-2, -0x1.2c3f8681c32c8p-2, -0x1.2b37adccd9e28p-2, -0x1.2a1dbcd67af04p-2, -0x1.28f270b1af85ap-2, -0x1.27b68231774cdp-2, -0x1.266aa5adf7b45p-2, -0x1.250f8ad15059ep-2, -0x1.23a5dc7652444p-2, -0x1.222e409fbce1cp-2, -0x1.20a95889b3c4ep-2, -0x1.1f17c0d2079ecp-2, -0x1.1d7a11b0120ep-2, -0x1.1bd0df32f894bp-2, -0x1.1a1cb97d398b5p-2, -0x1.185e2cf64316ap-2, -0x1.1695c26da8f3bp-2, -0x1.14c3ff2ebb8f7p-2, -0x1.12e96505f40ccp-2, -0x1.1106723bb51a8p-2, -0x1.0f1ba188c28b1p-2, -0x1.0d296a08faf59p-2, -0x1.0b303f3041a66p-2, -0x1.093090c471a16p-2, -0x1.072acade2d386p-2, -0x1.051f55f125764p-2, -0x1.030e96dbacf36p-2, -0x1.00f8eefcb6366p-2, -0x1.fdbd789e0111dp-3, -0x1.f980b30ff0458p-3, -0x1.f53c3c71a88e5p-3, -0x1.f0f0bde1058b6p-3, -0x1.ec9edaba3b397p-3, -0x1.e84730d7ac36p-3, -0x1.e3ea58cd19046p-3, -0x1.df88e61cfd44p-3, -0x1.db23676797c8p-3, -0x1.d6ba66939e718p-3, -0x1.d24e68f102121p-3, -0x1.cddfef56a548fp-3, -0x1.c96f763c0e3a6p-3, -0x1.c4fd75d0429a5p-3, -0x1.c08a620eff42bp-3, -0x1.bc16aad55418fp-3, -0x1.b7a2bbf68029cp-3, -0x1.b32efd51aa8cep-3, -0x1.aebbd2e8cba14p-3, -0x1.aa499cf8eab1ap-3, -0x1.a5d8b813886d3p-3, -0x1.a1697d38fc252p-3, -0x1.9cfc41f369374p-3, -0x1.98915871e85d6p-3, -0x1.94290fa387a5dp-3, -0x1.8fc3b351ce654p-3, -0x1.8b618c3a8f7a2p-3, -0x1.8702e028dd06p-3, -0x1.82a7f20d16924p-3, -0x1.7e5102140d3b9p-3, -0x1.79fe4dbd52ff5p-3, -0x1.75b00ff0c7a48p-3, -0x1.716681138046cp-3, -0x1.6d21d71c22249p-3, -0x1.68e245a6b191dp-3, -0x1.64a7fe07f215cp-3, -0x1.60732f604e074p-3, -0x1.5c4406ae3cdb7p-3, -0x1.581aaee02908ap-3, -0x1.53f750e5c92b8p-3, -0x1.4fda13c0d3cf9p-3, -0x1.4bc31c951cccap-3, -0x1.47b28eb7fc916p-3, -0x1.43a88bbf15937p-3, -0x1.3fa5338e6ffcfp-3, -0x1.3ba8a465effb4p-3, -0x1.37b2faee3aebbp-3, -0x1.33c452450e08cp-3, -0x1.2fdcc4091bb4bp-3, -0x1.2bfc68657ad05p-3, -0x1.282358a8968cbp-3, -0x1.2451a290b2dbep-3, -0x1.20875ecdb8cbfp-3, -0x1.1cc4a01a9b758p-3, -0x1.190977f410873p-3, -0x1.1555f6a27d76bp-3, -0x1.11aa2b439121cp-3, -0x1.0e0623d39fdc4p-3, -0x1.0a69ed36bbc3cp-3, -0x1.06d5934189581p-3, -0x1.034920c1d6811p-3, -0x1.ff893f0ded4b7p-4, -0x1.f89030d3b994cp-4, -0x1.f1a726a9f3bep-4, -0x1.eace2e97cacacp-4, -0x1.e40554e58d846p-4, -0x1.dd4ca42b0ac36p-4, -0x1.d6a4255d8d71fp-4, -0x1.d00bdfdd52daap-4, -0x1.c983d982ac86fp-4, -0x1.c30c16aae1057p-4, -0x1.bca49a44111edp-4, -0x1.b64d65d992e97p-4, -0x1.b006799b6f557p-4, -0x1.a9cfd47da4dc4p-4, -0x1.a3a9741a0fe27p-4, -0x1.9d9354e5a21bp-4, -0x1.978d7223d7138p-4, -0x1.9197c5f61ed58p-4, -0x1.8bb249655b61cp-4, -0x1.85dcf46b555f6p-4, -0x1.8017bdfbeac6ep-4, -0x1.7a629c0e03255p-4, -0x1.74bd83a4434eep-4, -0x1.6f2868d588125p-4, -0x1.69a33ed522ff3p-4, -0x1.642df7fae3cep-4, -0x1.5ec885cae7602p-4, -0x1.5972d8fd33e8ap-4, -0x1.542ce18526d01p-4, -0x1.4ef68e987f339p-4, -0x1.49cfceb7195dep-4, -0x1.44b88fb05478p-4, -0x1.3fb0beab7c2bbp-4, -0x1.3ab8483f381a7p-4, -0x1.35cf181d774bdp-4, -0x1.30f519d05eba4p-4, -0x1.2c2a38056d545p-4, -0x1.276e5cf827fc2p-4, -0x1.22c1725be7411p-4, -0x1.1e2361661bd25p-4, -0x1.199412d2ca35cp-4, -0x1.15136ee9d47fep-4, -0x1.10a15d8415f4ap-4, -0x1.0c3dc6105ea3p-4, -0x1.07e88f984c597p-4, -0x1.03a1a0c5033a9p-4, -0x1.fed1bfc773a1fp-5, -0x1.f67c65d4cf94p-5, -0x1.ee42fef7c3f28p-5, -0x1.e62555d874e18p-5, -0x1.de2334a7871d8p-5, -0x1.d63c6490f7859p-5, -0x1.ce70aeee8ca52p-5, -0x1.c6bfdc24f1ec9p-5, -0x1.bf29b44064d25p-5, -0x1.b7adfedd11768p-5, -0x1.b04c832d9b4d1p-5, -0x1.a905080fdc32ep-5, -0x1.a1d753f320c3ep-5, -0x1.9ac32d008aee8p-5, -0x1.93c859105a467p-5, -0x1.8ce69db30b8e5p-5, -0x1.861dc03960309p-5, -0x1.7f6d85b6dd31dp-5, -0x1.78d5b30ab64e5p-5, -0x1.72560ce3ddacap-5, -0x1.6bee57c5f5186p-5, -0x1.659e58131aa7bp-5, -0x1.5f65d2083c40bp-5, -0x1.594489cb1125ap-5, -0x1.533a436e92dbp-5, -0x1.4d46c2e579d3cp-5, -0x1.4769cc2cd4064p-5, -0x1.41a3232ce2411p-5, -0x1.3bf28bcab8eadp-5, -0x1.3657c9f39a3c4p-5, -0x1.30d2a195e8975p-5, -0x1.2b62d6a304ae9p-5, -0x1.26082d2de1573p-5, -0x1.20c2694cd9f8fp-5, -0x1.1b914f31244dfp-5, -0x1.1674a328211a1p-5, -0x1.116c299a97d65p-5, -0x1.0c77a71549242p-5, -0x1.0796e04d399c1p-5, -0x1.02c99a1c3df91p-5, -0x1.fc1f331f6ae78p-6, -0x1.f2d147c09a526p-6, -0x1.e9a8fcfc4e369p-6, -0x1.e0a5de243138p-6, -0x1.d7c776f33318ep-6, -0x1.cf0d53d8bce8dp-6, -0x1.c677014ad2ad7p-6, -0x1.be040cd9e79acp-6, -0x1.b5b404552b26dp-6, -0x1.ad8676344e3a6p-6, -0x1.a57af17f9d54fp-6, -0x1.9d9106009eab5p-6, -0x1.95c84405f04a2p-6, -0x1.8e203cf1ec894p-6, -0x1.86988183a1cafp-6, -0x1.7f30a51ba9169p-6, -0x1.77e83acb3bc5ap-6, -0x1.70bed6506de04p-6, -0x1.69b40c76502c4p-6, -0x1.62c772c0e16a7p-6, -0x1.5bf89f839ccc2p-6, -0x1.554729e4ee7bfp-6, -0x1.4eb2a9e4915b5p-6, -0x1.483ab851de834p-6, -0x1.41deef0099b1ap-6, -0x1.3b9ee8716d49p-6, -0x1.357a402d3ad03p-6, -0x1.2f70929d51c5dp-6, -0x1.29817d154b0cap-6, -0x1.23ac9dd97c79fp-6, -0x1.1df1941e775a8p-6, -0x1.18500006da6ccp-6, -0x1.12c782b2fa14bp-6, -0x1.0d57be27ce06dp-6, -0x1.0800557b6fdeap-6, -0x1.02c0ecad0f192p-6, -0x1.fb325178415dfp-7, -0x1.f1115f426a8b5p-7, -0x1.e71e50a82284ep-7, -0x1.dd5875929f3d4p-7, -0x1.d3bf1fe71017ap-7, -0x1.ca51a37c8d002p-7, -0x1.c10f5651482ecp-7, -0x1.b7f7902410762p-7, -0x1.af09aad47407dp-7, -0x1.a6450237ed00ap-7, -0x1.9da8f41dd54fep-7, -0x1.9534e04f4bf9cp-7, -0x1.8ce8288d91b1cp-7, -0x1.84c230e733e7ap-7, -0x1.7cc25e0f8a1b1p-7, -0x1.74e8189044ccap-7, -0x1.6d32c9b0bd839p-7, -0x1.65a1dcf0bab5fp-7, -0x1.5e34bfb254128p-7, -0x1.56eae13d94c6cp-7, -0x1.4fc3b2cfbe5e6p-7, -0x1.48bea777d8d32p-7, -0x1.41db341c30185p-7, -0x1.3b18cf885b4dbp-7, -0x1.3476f36381cb4p-7, -0x1.2df516f95bf46p-7, -0x1.2792b9a16090dp-7, -0x1.214f5845e12bdp-7, -0x1.1b2a72d39d40cp-7, -0x1.15238a9ba01e9p-7, -0x1.0f3a22e5a47b5p-7, -0x1.096dc09c0e6b5p-7, -0x1.03bdea5618fe2p-7, -0x1.fc5450a4d4dd2p-8, -0x1.f12da48319aebp-8, -0x1.e67621b4b2cc3p-8, -0x1.dbf405c02b605p-8, -0x1.d1a66d3b6b159p-8, -0x1.c78c77b0d407cp-8, -0x1.bda54786cc3afp-8, -0x1.b3f002c4b9414p-8, -0x1.aa6bd16452c3cp-8, -0x1.a117de85bc952p-8, -0x1.97f358f097121p-8, -0x1.8efd70af7523dp-8, -0x1.863559a7163cdp-8, -0x1.7d9a496a77d06p-8, -0x1.752b79a220685p-8, -0x1.6ce82459917f4p-8, -0x1.64cf88063c839p-8, -0x1.5ce0e435447e8p-8, -0x1.551b7b7384ff8p-8, -0x1.4d7e928382543p-8, -0x1.4609706ff4537p-8, -0x1.3ebb5e86c1febp-8, -0x1.3793a845bdc8dp-8, -0x1.30919b7dc2c55p-8, -0x1.29b48834166cbp-8, -0x1.22fbc07a7c895p-8, -0x1.1c669891c9eap-8, -0x1.15f46703a8303p-8, -0x1.0fa4847d3b42bp-8, -0x1.09764bda85ab1p-8, -0x1.03691ad60b651p-8, -0x1.faf89d74a1a41p-9, -0x1.ef5e961973e1fp-9, -0x1.e402e5d1ae232p-9, -0x1.d8e458bee5d88p-9, -0x1.ce01c3b934f8bp-9, -0x1.c359f0283813bp-9, -0x1.b8ebc443c8d3dp-9, -0x1.aeb61afcf1a3fp-9, -0x1.a4b7d85105115p-9, -0x1.9aefe4cfe85d6p-9, -0x1.915d2e2aa1494p-9, -0x1.87fea6edeae13p-9, -0x1.7ed346e23cf2fp-9, -0x1.75da0a5c0e381p-9, -0x1.6d11f2f8d0412p-9, -0x1.647a070633c57p-9, -0x1.5c1152a1bd8bp-9, -0x1.53d6e595bd47dp-9, -0x1.4bc9d54616c6dp-9, -0x1.43e93bcbd57afp-9, -0x1.3c3437f76ea4fp-9, -0x1.34a9ed43ffa7ap-9, -0x1.2d4983c1616b3p-9, -0x1.261227fbd6b36p-9, -0x1.1f030ae029eb2p-9, -0x1.181b63cf9c7bbp-9, -0x1.115a656eae086p-9, -0x1.0abf544aef513p-9, -0x1.04496f373838fp-9, -0x1.fbeff677199b5p-10, -0x1.ef94815590051p-10, -0x1.e37f1bf61bda2p-10, -0x1.d7ae621e9245bp-10, -0x1.cc20f70252887p-10, -0x1.c0d5960589071p-10, -0x1.b5cae41570cb9p-10, -0x1.aaff9f5a0acfdp-10, -0x1.a072872218bd5p-10, -0x1.962260689863cp-10, -0x1.8c0df5d6145ep-10, -0x1.8234172877eeep-10, -0x1.789399630f13ap-10, -0x1.6f2b51f61bf53p-10, -0x1.65fa3073f5208p-10, -0x1.5cff080d7aa32p-10, -0x1.5438c75e3a8b3p-10, -0x1.4ba65bf3dcad3p-10, -0x1.4346b7eabe778p-10, -0x1.3b18d1db1836fp-10, -0x1.331ba4b6dc1adp-10, -0x1.2b4e330ce699bp-10, -0x1.23af773fb307fp-10, -0x1.1c3e8251269cep-10, -0x1.14fa5d2fcaac7p-10, -0x1.0de2180020e15p-10, -0x1.06f4c690a5d2ep-10, -0x1.003181d1b8ec8p-10, -0x1.f32ecc4cfc2e8p-11, -0x1.e64b255fa1db9p-11, -0x1.d9b657c94e028p-11, -0x1.cd6eb34a1b047p-11, -0x1.c1728f3fd5b92p-11, -0x1.b5c04a9532f88p-11, -0x1.aa564bae58992p-11, -0x1.9f33005516442p-11, -0x1.9454dda4e8044p-11, -0x1.89ba5ff5d00bdp-11, -0x1.7f620a93a60ebp-11, -0x1.754a66a6ba18cp-11, -0x1.6b720aa3bd45ep-11, -0x1.61d78b05b48d5p-11, -0x1.587987db56ca9p-11, -0x1.4f56a76c74387p-11, -0x1.466d95b292f6dp-11, -0x1.3dbd072e7e59ep-11, -0x1.3543b5516d6e5p-11, -0x1.2d00605df9225p-11, -0x1.24f1ce924b4c4p-11, -0x1.1d16cd2834e3fp-11, -0x1.156e2fc919df9p-11, -0x1.0df6ce0a38696p-11, -0x1.06af876b9821bp-11, -0x1.ff2e81762d6ffp-12, -0x1.f159c914fbc1ep-12, -0x1.e3dec5fcdfbe8p-12, -0x1.d6bb63aaa267ep-12, -0x1.c9ed9ab072099p-12, -0x1.bd736a12de06ep-12, -0x1.b14ae4063d963p-12, -0x1.a5720f7553ed7p-12, -0x1.99e71e387597ap-12, -0x1.8ea833ad0720dp-12, -0x1.83b3866e58e69p-12, -0x1.7907540ed4dfbp-12, -0x1.6ea1e51a209fbp-12, -0x1.64818ae79cea4p-12, -0x1.5aa4a7a5c0399p-12, -0x1.510989ba1fbadp-12, -0x1.47aeb3b562ce3p-12, -0x1.3e9292ee398e6p-12, -0x1.35b3a5c1d3002p-12, -0x1.2d10729347b8p-12, -0x1.24a787fc8caaep-12, -0x1.1c777caa218p-12, -0x1.147eef3016455p-12, -0x1.0cbc852e13c71p-12, -0x1.052eea0ee5171p-12, -0x1.fba9bf1c0e432p-13, -0x1.ed5a296c66e0ep-13, -0x1.df6ca4621a35ep-13, -0x1.d1dec614ecabep-13, -0x1.c4ae324c5e7dep-13, -0x1.b7d89a53625b4p-13, -0x1.ab5bbcb3abc03p-13, -0x1.9f3564f3552e8p-13, -0x1.93636b515428dp-13, -0x1.87e3b4839bb7ep-13, -0x1.7cb4317508e5cp-13, -0x1.71d2deffe9202p-13, -0x1.673dc52a2258cp-13, -0x1.5cf2f84718f0bp-13, -0x1.52f05647a09e2p-13, -0x1.4934d27a386c9p-13, -0x1.3fbdd6f18ea5dp-13, -0x1.3689e6f148fd2p-13, -0x1.2d974cd5338bbp-13, -0x1.24e45cd0fad25p-13, -0x1.1c6f74fdbdcdp-13, -0x1.1436fd2a6ce79p-13, -0x1.0c3966a7672bap-13, -0x1.04752c13c092ep-13, -0x1.f9d1a2558797bp-14, -0x1.eb25c51d1465ap-14, -0x1.dce3e84b3f6eap-14, -0x1.cf0950490af43p-14, -0x1.c19342304497cp-14, -0x1.b47f1c5228756p-14, -0x1.a7ca4c3768215p-14, -0x1.9b724ec963acp-14, -0x1.8f74b71bf4c03p-14, -0x1.83cf0d7f3fb6fp-14, -0x1.787f0630045e3p-14, -0x1.6d825e1e5a8b2p-14, -0x1.62d6d6e14dae3p-14, -0x1.587a2e6879558p-14, -0x1.4e6a83de0f97p-14, -0x1.44a5931102efdp-14, -0x1.3b295ce10cb7fp-14, -0x1.31f3ed9c7040ap-14, -0x1.2903580a5f16ep-14, -0x1.2055cc8f73737p-14, -0x1.17e955cedaf26p-14, -0x1.0fbc48c43235cp-14, -0x1.07ccdd85d8d9p-14, -0x1.001962a2a7c4ep-14, -0x1.f1406166a5abcp-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.8b7451c64505dp-5, 0x1.aab7d15e3a7f9p-5, 0x1.ca322f2f529b5p-5, 0x1.e9cc1889b67e7p-5, 0x1.04b7e1a298874p-4, 0x1.148471d934dd8p-4, 0x1.24425043eba5bp-4, 0x1.33e8c2a97c974p-4, 0x1.436fb9f022062p-4, 0x1.52cfca7c5a5b1p-4, 0x1.620224617f611p-4, 0x1.71008b83c4d09p-4, 0x1.7fc54fc4e3731p-4, 0x1.8e4b454f4b13bp-4, 0x1.9c8dbd0f29319p-4, 0x1.aa887d64ba4ccp-4, 0x1.b837bb18424p-4, 0x1.c59812954ff72p-4, 0x1.d2a68170f849dp-4, 0x1.df60603cfa89bp-4, 0x1.ebc35ca84259ap-4, 0x1.f7cd73ec77a25p-4, 0x1.01be76c39ca4ap-3, 0x1.07682b1ea1e8bp-3, 0x1.0ce33db27f22p-3, 0x1.122f333b0b9f7p-3, 0x1.174bac6d8a9ddp-3, 0x1.1c38640112768p-3, 0x1.20f52cd4fb976p-3, 0x1.2581f033e5d45p-3, 0x1.29deac31cae26p-3, 0x1.2e0b7223b396ep-3, 0x1.3208652f9d99ep-3, 0x1.35d5b8f33456ep-3, 0x1.3973b0400eebep-3, 0x1.3ce29bec3207fp-3, 0x1.4022d9b59910cp-3, 0x1.4334d337afb88p-3, 0x1.4618fcf19b817p-3, 0x1.48cfd55c51b35p-3, 0x1.4b59e40f87ddap-3, 0x1.4db7b8f483554p-3, 0x1.4fe9eb8604687p-3, 0x1.51f11a1c5fc8dp-3, 0x1.53cde94517226p-3, 0x1.5581032531fe8p-3, 0x1.570b16e5a5448p-3, 0x1.586cd8292f69dp-3, 0x1.59a6fe8b0230ep-3, 0x1.5aba4525c2573p-3, 0x1.5ba76a2236f29p-3, 0x1.5c6f2e4d4d037p-3, 0x1.5d1254b4d9b38p-3, 0x1.5d91a24ac7b07p-3, 0x1.5deddd8e30f92p-3, 0x1.5e27ce3a1a589p-3, 0x1.5e403cf961ba6p-3, 0x1.5e37f31f9abc9p-3, 0x1.5e0fba66834a9p-3, 0x1.5dc85cafc3bbap-3, 0x1.5d62a3cabdc2dp-3, 0x1.5cdf593e25942p-3, 0x1.5c3f46151fc25p-3, 0x1.5b8332afc50b7p-3, 0x1.5aabe696b8847p-3, 0x1.59ba2851b782bp-3, 0x1.58aebd40e854p-3, 0x1.578a6978c577ep-3, 0x1.564defa075d96p-3, 0x1.54fa10d278884p-3, 0x1.538f8c7f700afp-3, 0x1.520f205300184p-3, 0x1.5079881a9704fp-3, 0x1.4ecf7dae01776p-3, 0x1.4d11b8d9bb30ep-3, 0x1.4b40ef4ad8dbap-3, 0x1.495dd47c7dab4p-3, 0x1.476919a6bee8ep-3, 0x1.45636daee918bp-3, 0x1.434d7d190efafp-3, 0x1.4127f1fad8b9cp-3, 0x1.3ef373ef747b5p-3, 0x1.3cb0a80cae80ep-3, 0x1.3a6030d90da2ap-3, 0x1.3802ae42f2667p-3, 0x1.3598bd98afe64p-3, 0x1.3322f981817e2p-3, 0x1.30a1f9f76d17dp-3, 0x1.2e165441eb5ffp-3, 0x1.2b809af15c0cfp-3, 0x1.28e15ddb41d1cp-3, 0x1.26392a172d5b7p-3, 0x1.238889fc59fcfp-3, 0x1.20d0051ff25c7p-3, 0x1.1e102053f4567p-3, 0x1.1b495da6aececp-3, 0x1.187c3c62cee27p-3, 0x1.15a9390ffb98bp-3, 0x1.12d0cd73f665bp-3, 0x1.0ff3709439769p-3, 0x1.0d1196b81041p-3, 0x1.0a2bb16b27b3ap-3, 0x1.07422f808c59cp-3, 0x1.04557d160be49p-3, 0x1.01660398082c3p-3, 0x1.fce8538b444e6p-4, 0x1.f700a76a87c2fp-4, 0x1.f115c5b3030efp-4, 0x1.eb286c0c9dc6bp-4, 0x1.e53952ed02c0ap-4, 0x1.df492da34cff1p-4, 0x1.d958aa64236e3p-4, 0x1.d36872567d854p-4, 0x1.cd7929a0d87e1p-4, 0x1.c78b6f76dee67p-4, 0x1.c19fde278edb4p-4, 0x1.bbb70b2bc80fp-4, 0x1.b5d187353a91dp-4, 0x1.afefde3db9e03p-4, 0x1.aa129796e0de8p-4, 0x1.a43a35fa0f8c5p-4, 0x1.9e673798af16ap-4, 0x1.989a162cb9d1cp-4, 0x1.92d3470990f5p-4, 0x1.8d133b2cfc086p-4, 0x1.875a5f506ad14p-4, 0x1.81a91bfa61a52p-4, 0x1.7bffd59013a6bp-4, 0x1.765eec67235cbp-4, 0x1.70c6bcd7845bap-4, 0x1.6b379f4d7a7d5p-4, 0x1.65b1e85bb2c82p-4, 0x1.6035e8cd6f287p-4, 0x1.5ac3edb8c3686p-4, 0x1.555c4090dd691p-4, 0x1.4fff27385709ap-4, 0x1.4aace41389cfdp-4, 0x1.4565b61ae561cp-4, 0x1.4029d8ed413fbp-4, 0x1.3af984e22a175p-4, 0x1.35d4ef1c229a3p-4, 0x1.30bc499ad9c59p-4, 0x1.2bafc34d4f0bcp-4, 0x1.26af8823e599cp-4, 0x1.21bbc1225efc5p-4, 0x1.1cd49471c0211p-4, 0x1.17fa2572189cdp-4, 0x1.132c94cc2dccp-4, 0x1.0e6c0083042c6p-4, 0x1.09b8840549394p-4, 0x1.0512383e94d1p-4, 0x1.007933a8876c2p-4, 0x1.f7db14b77bdbfp-5, 0x1.eede9c4136208p-5, 0x1.e5fd1cffcbc2ep-5, 0x1.dd36b1a6712d1p-5, 0x1.d48b70aa833f3p-5, 0x1.cbfb6c63a6f4p-5, 0x1.c386b32b8248bp-5, 0x1.bb2d4f7d12a02p-5, 0x1.b2ef481394ac1p-5, 0x1.aacca0090598cp-5, 0x1.a2c556f434562p-5, 0x1.9ad9690662fddp-5, 0x1.9308cf2877fc3p-5, 0x1.8b537f17bd3a3p-5, 0x1.83b96b822a1d5p-5, 0x1.7c3a8422396b6p-5, 0x1.74d6b5da47347p-5, 0x1.6d8deacf78839p-5, 0x1.66600a842b164p-5, 0x1.5f4cf9f1ecbep-5, 0x1.58549ba2f6357p-5, 0x1.5176cfcb30cabp-5, 0x1.4ab37460be6e9p-5, 0x1.440a653407526p-5, 0x1.3d7b7c074fe5ap-5, 0x1.370690a5d1376p-5, 0x1.30ab78fa584fbp-5, 0x1.2a6a09256abd1p-5, 0x1.24421392f3284p-5, 0x1.1e33690f6f3d4p-5, 0x1.183dd8dcabef8p-5, 0x1.126130c601ac1p-5, 0x1.0c9d3d341e321p-5, 0x1.06f1c9405345fp-5, 0x1.015e9ec771fd3p-5, 0x1.f7c70cf85cd3bp-6, 0x1.ed008ff21b82ep-6, 0x1.e26953a3c88edp-6, 0x1.d800e349b7e19p-6, 0x1.cdc6c85618673p-6, 0x1.c3ba8a9141154p-6, 0x1.b9dbb0391e2d3p-6, 0x1.b029be1fc3a5cp-6, 0x1.a6a437c92136dp-6, 0x1.9d4a9f87e6ceep-6, 0x1.941c76998e2fdp-6, 0x1.8b193d41916ffp-6, 0x1.824072e3d8eeep-6, 0x1.7991961e56e2bp-6, 0x1.710c24e1db0c6p-6, 0x1.68af9c8a23807p-6, 0x1.607b79f522121p-6, 0x1.586f39998a142p-6, 0x1.508a579c9b2f2p-6, 0x1.48cc4fe732706p-6, 0x1.41349e3a27e9p-6, 0x1.39c2be41f11e5p-6, 0x1.32762ba99b4bcp-6, 0x1.2b4e622d1234bp-6, 0x1.244addaabcaa6p-6, 0x1.1d6b1a3474692p-6, 0x1.16ae941fd8974p-6, 0x1.1014c815ff1f1p-6, 0x1.099d3322891c8p-6, 0x1.034752c21c7bep-6, 0x1.fa2549e089c8fp-7, 0x1.edfd50698b94ap-7, 0x1.e215b760a902p-7, 0x1.d66d7e5196653p-7, 0x1.cb03a62998927p-7, 0x1.bfd7314dc31b7p-7, 0x1.b4e723b02f5e8p-7, 0x1.aa3282e42c681p-7, 0x1.9fb8563172e85p-7, 0x1.9577a6a669e88p-7, 0x1.8b6f7f2973ccdp-7, 0x1.819eec895a28ep-7, 0x1.7804fd8cc8ea6p-7, 0x1.6ea0c300fc0a3p-7, 0x1.65714fc787d6p-7, 0x1.5c75b8e34f87ep-7, 0x1.53ad1584bf46p-7, 0x1.4b167f1524f5dp-7, 0x1.42b1114161db7p-7, 0x1.3a7bea03cacf8p-7, 0x1.327629ad61662p-7, 0x1.2a9ef2ee534ffp-7, 0x1.22f56addd024ap-7, 0x1.1b78b901388b2p-7, 0x1.14280752abd0fp-7, 0x1.0d028246f8715p-7, 0x1.060758d2f4552p-7, 0x1.fe6b78e0871a5p-8, 0x1.f119c2431fd5dp-8, 0x1.e417faec6e32cp-8, 0x1.d764951ae8d5ap-8, 0x1.cafe083214983p-8, 0x1.bee2d0beddc55p-8, 0x1.b311707b05749p-8, 0x1.a7886e4fa5d5bp-8, 0x1.9c465656d8f7cp-8, 0x1.9149b9dc89eb4p-8, 0x1.86912f5e78234p-8, 0x1.7c1b528b738d3p-8, 0x1.71e6c441dc122p-8, 0x1.67f22a8d68ba6p-8, 0x1.5e3c30a43fbd7p-8, 0x1.54c386e366cf3p-8, 0x1.4b86e2ca914c5p-8, 0x1.4284fef7546f1p-8, 0x1.39bc9b1fc805ep-8, 0x1.312c7c0c98bcep-8, 0x1.28d36b929664p-8, 0x1.20b0388bbe33p-8, 0x1.18c1b6cfcd6bcp-8, 0x1.1106bf2c5d7d7p-8, 0x1.097e2f5c92a8ap-8, 0x1.0226ea0060ce1p-8, 0x1.f5ffad26da51ap-9, 0x1.e80fc2c7213acp-9, 0x1.da7bf70e058cep-9, 0x1.cd4235a45b807p-9, 0x1.c060739a6be7ep-9, 0x1.b3d4af526c57ep-9, 0x1.a79cf06a68524p-9, 0x1.9bb747a5ae07ap-9, 0x1.9021ced5bb4e9p-9, 0x1.84daa8c2bbb44p-9, 0x1.79e001139d479p-9, 0x1.6f300c35c2e04p-9, 0x1.64c907445bc2ep-9, 0x1.5aa937ef6c759p-9, 0x1.50ceec6287a39p-9, 0x1.47387b2b46443p-9, 0x1.3de4431f80244p-9, 0x1.34d0ab435015p-9, 0x1.2bfc22aee450cp-9, 0x1.2365207425c66p-9, 0x1.1b0a238439adep-9, 0x1.12e9b294e816fp-9, 0x1.0b025c05e140cp-9, 0x1.0352b5c5f4df4p-9, 0x1.f7b2ba706fd86p-10, 0x1.e929ee323f8d8p-10, 0x1.db085ec72e428p-10, 0x1.cd4b726c215ddp-10, 0x1.bff09d6f42455p-10, 0x1.b2f561fa35bd3p-10, 0x1.a6574fdc6d2c2p-10, 0x1.9a14045599a5fp-10, 0x1.8e2929e03c3ccp-10, 0x1.829477fc68fc4p-10, 0x1.7753b2fab92e7p-10, 0x1.6c64abc7782dp-10, 0x1.61c53fb6099dap-10, 0x1.5773584c9c3e9p-10, 0x1.4d6ceb1024c19p-10, 0x1.43aff950a0b61p-10, 0x1.3a3a8ff5b806p-10, 0x1.310ac74bb404ep-10, 0x1.281ec2d0ce503p-10, 0x1.1f74b102e8658p-10, 0x1.170acb2da88dcp-10, 0x1.0edf5538f9dbap-10, 0x1.06f09d780263ap-10, 0x1.fe79f8f100094p-11, 0x1.ef85a9a54214fp-11, 0x1.e10125f2993b9p-11, 0x1.d2e95a15d1072p-11, 0x1.c53b45453125ap-11, 0x1.b7f3f953f6f3cp-11, 0x1.ab109a56d31d2p-11, 0x1.9e8e5e4965ea7p-11, 0x1.926a8cb4c8a65p-11, 0x1.86a27e571d917p-11, 0x1.7b339ccc3088ap-11, 0x1.701b62372774ep-11, 0x1.655758ed45e7ep-11, 0x1.5ae51b21c65d4p-11, 0x1.50c25292ca7bfp-11, 0x1.46ecb83763ea1p-11, 0x1.3d6213eeb8db5p-11, 0x1.34203c3041323p-11, 0x1.2b2515bd22bb9p-11, 0x1.226e9352a9987p-11, 0x1.19fab55ddc9abp-11, 0x1.11c789b03169ap-11, 0x1.09d32b355e2e3p-11, 0x1.021bc1aa47324p-11, 0x1.f53f02aa19035p-12, 0x1.e6b9557c64bd6p-12, 0x1.d8a314d5ce7b1p-12, 0x1.caf8f130ca80ep-12, 0x1.bdb7b1f0dbb47p-12, 0x1.b0dc34ddbfa1ep-12, 0x1.a4636da0c8808p-12, 0x1.984a654468d04p-12, 0x1.8c8e39b5e6a8bp-12, 0x1.812c1d4939df5p-12, 0x1.7621563f0c779p-12, 0x1.6b6b3e4cddcf8p-12, 0x1.6107422741546p-12, 0x1.56f2e10e37d8cp-12, 0x1.4d2bac5b9be3dp-12, 0x1.43af4713a1e0ep-12, 0x1.3a7b65776246dp-12, 0x1.318dcc9969a8ap-12, 0x1.28e451f44eb1p-12, 0x1.207cdb0345ebap-12, 0x1.18555cdca975ap-12, 0x1.106bdbce7b551p-12, 0x1.08be6afcd0e7fp-12, 0x1.014b2c022937dp-12, 0x1.f4209d234d12cp-13, 0x1.e61820364b83ap-13, 0x1.d87976e2600bcp-13, 0x1.cb4150e175bdap-13, 0x1.be6c775577afep-13, 0x1.b1f7cc1ef5bc9p-13, 0x1.a5e049375c629p-13, 0x1.9a23000e9bcp-13, 0x1.8ebd18ec375a6p-13, 0x1.83abd253bb175p-13, 0x1.78ec806c80b03p-13, 0x1.6e7c8c6cbad18p-13, 0x1.64597407c1642p-13, 0x1.5a80c8df822ebp-13, 0x1.50f02ff92437fp-13, 0x1.47a56134b2ae4p-13, 0x1.3e9e26c7dea46p-13, 0x1.35d85cbbb81c3p-13, 0x1.2d51f06d5c935p-13, 0x1.2508e011920f5p-13, 0x1.1cfb3a3b30093p-13, 0x1.15271d6469233p-13, 0x1.0d8ab77ac505p-13, 0x1.0624456de0e28p-13, 0x1.fde42581a8e84p-14, 0x1.efe4f23c6f89ep-14, 0x1.e247bfdd78a9bp-14, 0x1.d50977e49f4bep-14, 0x1.c8271db77c66dp-14, 0x1.bb9dcddd82674p-14, 0x1.af6abd40f018fp-14, 0x1.a38b387478b8dp-14, 0x1.97fca2fd817cbp-14, 0x1.8cbc76a2fb961p-14, 0x1.81c842c09ee2fp-14, 0x1.771dab9e8e7a9p-14, 0x1.6cba69cd41fbcp-14, 0x1.629c4985a1981p-14, 0x1.58c12a0d424e4p-14, 0x1.4f26fd1ea9499p-14, 0x1.45cbc6558548ep-14, 0x1.3cad9a9ec89dcp-14, 0x1.33ca9fac8e253p-14, 0x1.2b210b6db7c15p-14, 0x1.22af2389302adp-14, 0x1.1a733cdcbfb63p-14, 0x1.126bbaff5db5cp-14, 0x1.0a970fc6ecd1bp-14, 0x1.02f3bad151c27p-14, 0x1.f70092219b76fp-15, 0x1.e876a8b71b253p-15, 0x1.da4705fcb7f7bp-15, 0x1.cc6f0ea4c4feep-15, 0x1.beec3eabd40f4p-15, 0x1.b1bc2890131a1p-15, 0x1.a4dc748e615fdp-15, 0x1.984adfe50005cp-15, 0x1.8c053c1bb83a3p-15, 0x1.80096e5159b84p-15, 0x1.74556e8e72531p-15, 0x1.68e7471d1b959p-15, 0x1.5dbd13e5c6537p-15, 0x1.52d501d0deb29p-15, 0x1.482d4e2d3089bp-15, 0x1.3dc4461aec5f8p-15, 0x1.339845fb2fdb2p-15, 0x1.29a7b8e3f9268p-15, 0x1.1ff1181863c08p-15, 0x1.1672ea851a35ap-15, 0x1.0d2bc440da854p-15, 0x1.041a4610fca05p-15, 0x1.f67a39e3adf4dp-16, 0x1.e5260345df0b2p-16, 0x1.d435706db9453p-16, 0x1.c3a61f4d7f5e1p-16, 0x1.b375c2d27ff14p-16, 0x1.a3a22219dd56ep-16, 0x1.942917abfe60bp-16, 0x1.850890be72a7cp-16, 0x1.763e8c7c27d21p-16, 0x1.67c91b53bed1dp-16, 0x1.59a65e4bd5292p-16, 0x1.4bd4865d23367p-16, 0x1.3e51d3d2369c4p-16, 0x1.311c95acb26e7p-16, 0x1.2433290fe08a2p-16, 0x1.1793f8b0768d8p-16, 0x1.0b3d7c4966cdfp-16, 0x1.fe5c702b2872ep-17, 0x1.e6c9789ca2b82p-17, 0x1.cfbf495ceec0cp-17, 0x1.b93b2ff4077f2p-17, 0x1.a33a8f1415d14p-17, 0x1.8dbaddb9e5cep-17, 0x1.78b9a6557d179p-17, 0x1.643485fabe076p-17, 0x1.50292b99c41c2p-17, 0x1.3c95573ec9ad6p-17, 0x1.2976d959477bap-17, 0x1.16cb920a3b17bp-17, 0x1.0491707937511p-17, 0x1.e58ce4603703ep-18, 0x1.c2d144fa8205bp-18, 0x1.a0ec33b7b535cp-18, 0x1.7fd9fac4c8fb4p-18, 0x1.5f96fc6dd53b2p-18, 0x1.401fb211ed8d1p-18, 0x1.2170ab21f483cp-18, 0x1.03868c2a0cf83p-18, 0x1.ccbc1bca885a5p-19, 0x1.93e7f8b65fceep-19, 0x1.5c8a6c0e37c6ap-19, 0x1.269d56111318ap-19, 0x1.e43571724bfe6p-20, 0x1.7df96c8032f5dp-20, 0x1.1a7b1f67b07afp-20, 0x1.735e8e6eb1c18p-21, 0x1.6e2b6566c3d75p-22, 0x1.808e4c7d509b1p-35, -0x1.63cb8aa9891b5p-22, -0x1.5ec283bb29c0dp-21, -0x1.03525d3bd16e5p-20, -0x1.54d0486b08abp-20, -0x1.a3e4ebe9c37edp-20, -0x1.f09a06e87a0c9p-20, -0x1.1d7c9885e27a3p-19, -0x1.4185ee0bfcb08p-19, -0x1.646daac3af8bep-19, -0x1.86386405cdbeep-19, -0x1.a6ea9e7da1d88p-19, -0x1.c688ced6137cbp-19, -0x1.e5175a5da54c6p-19, -0x1.014d4bd0cfd3dp-18, -0x1.0f8b6780574e7p-18, -0x1.1d481d9ab52d5p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.3f49fc726af07p-3, -0x1.4f9300c14955ep-3, -0x1.5fe53a2a58679p-3, -0x1.703fb1bc6e5d6p-3, -0x1.80a1410df224ep-3, -0x1.910895f97aec6p-3, -0x1.a174367a02697p-3, -0x1.b1e284922f60fp-3, -0x1.c251c22e46a26p-3, -0x1.d2c014f3ce551p-3, -0x1.e32b89f4db225p-3, -0x1.f392193f80e3fp-3, -0x1.01f8d4a1fac52p-2, -0x1.0a240906d0a59p-2, -0x1.12499026628b5p-2, -0x1.1a684c17bc021p-2, -0x1.227f1c04ddc1ap-2, -0x1.2a8cdd667eb21p-2, -0x1.32906d280133ep-2, -0x1.3a88a8b44e5a7p-2, -0x1.42746eec6b864p-2, -0x1.4a52a108bee6p-2, -0x1.52222366065b9p-2, -0x1.59e1de3f11018p-2, -0x1.6190be545308ap-2, -0x1.692db58261f74p-2, -0x1.70b7bb486e5f6p-2, -0x1.782dcd3fc27acp-2, -0x1.7f8eef854c3fcp-2, -0x1.86da2d16230f2p-2, -0x1.8e0e981ff98e2p-2, -0x1.952b4a466222dp-2, -0x1.9c2f64ddb0603p-2, -0x1.a31a111c4d93bp-2, -0x1.a9ea80433534cp-2, -0x1.b09febbe525f9p-2, -0x1.b739953d62671p-2, -0x1.bdb6c6c5fb437p-2, -0x1.c416d2bf48506p-2, -0x1.ca5913f807e7p-2, -0x1.d07ceda745d78p-2, -0x1.d681cb684c97ep-2, -0x1.dc6721323dbd9p-2, -0x1.e22c6b4bb1a35p-2, -0x1.e7d12e3ac6e6fp-2, -0x1.ed54f6b1ef989p-2, -0x1.f2b75979d794bp-2, -0x1.f7f7f358ac2aep-2, -0x1.fd1668f706281p-2, -0x1.010933615f329p-1, -0x1.0375d067f3e43p-1, -0x1.05d0e95c0e74ep-1, -0x1.081a5fbc30feap-1, -0x1.0a5218a6dd58cp-1, -0x1.0c77fcc856964p-1, -0x1.0e8bf847e67e5p-1, -0x1.108dfab4be14cp-1, -0x1.127df6f27d4c1p-1, -0x1.145be32574c8cp-1, -0x1.1627b89eae40cp-1, -0x1.17e173c7c602ep-1, -0x1.1989140ea5ee4p-1, -0x1.1b1e9bd1271efp-1, -0x1.1ca21048a7bbap-1, -0x1.1e1379759c94bp-1, -0x1.1f72e20b26489p-1, -0x1.20c0575ab0be2p-1, -0x1.21fbe93fa54f9p-1, -0x1.2325aa0b3363cp-1, -0x1.243dae7037d0fp-1, -0x1.25440d6f43e9bp-1, -0x1.2638e042cda95p-1, -0x1.271c424b888e4p-1, -0x1.27ee50fced847p-1, -0x1.28af2bc9f481dp-1, -0x1.295ef41202b12p-1, -0x1.29fdcd0e0f973p-1, -0x1.2a8bdbbe04b5fp-1, -0x1.2b0946d658574p-1, -0x1.2b7636ade7ac6p-1, -0x1.2bd2d52c0ef12p-1, -0x1.2c1f4db7042f9p-1, -0x1.2c5bcd2274a62p-1, -0x1.2c88819e65e7cp-1, -0x1.2ca59aa65cea2p-1, -0x1.2cb348f0c977dp-1, -0x1.2cb1be5ebb4d3p-1, -0x1.2ca12debdd22ap-1, -0x1.2c81cb9eb99acp-1, -0x1.2c53cc7947374p-1, -0x1.2c176669c10ccp-1, -0x1.2bccd03bc67e5p-1, -0x1.2b744189c69e1p-1, -0x1.2b0df2aeb6fbp-1, -0x1.2a9a1cb813a99p-1, -0x1.2a18f9582af0dp-1, -0x1.298ac2d8b4658p-1, -0x1.28efb40db2204p-1, -0x1.284808489e09fp-1, -0x1.2793fb4be10b1p-1, -0x1.26d3c93e95a85p-1, -0x1.2607aea09563ap-1, -0x1.252fe83ecf571p-1, -0x1.244cb327ea3d7p-1, -0x1.235e4ca1305dap-1, -0x1.2264f21bc2b59p-1, -0x1.2160e12a18739p-1, -0x1.20525775c506bp-1, -0x1.1f3992b58616fp-1, -0x1.1e16d0a39af09p-1, -0x1.1cea4ef4616c4p-1, -0x1.1bb44b4d3b307p-1, -0x1.1a75033bb63d2p-1, -0x1.192cb42cfe793p-1, -0x1.17db9b6591387p-1, -0x1.1681f5f9363f3p-1, -0x1.152000c33b669p-1, -0x1.13b5f85ef4346p-1, -0x1.124419207a19dp-1, -0x1.10ca9f0dae39cp-1, -0x1.0f49c5d77c7efp-1, -0x1.0dc1c8d35d5dep-1, -0x1.0c32e2f516435p-1, -0x1.0a9d4ec8b8ae5p-1, -0x1.0901466cde345p-1, -0x1.075f038d201d3p-1, -0x1.05b6bf5ccb076p-1, -0x1.0408b291cd0b5p-1, -0x1.0255155fdb809p-1, -0x1.009c1f73d5046p-1, -0x1.fdbc0fdead79ep-2, -0x1.fa360ac917545p-2, -0x1.f6a69ba460299p-2, -0x1.f30e2d3f94696p-2, -0x1.ef6d29342b466p-2, -0x1.ebc3f7df46b85p-2, -0x1.e813005b52edfp-2, -0x1.e45aa87a0b573p-2, -0x1.e09b54bedb2a2p-2, -0x1.dcd568599f8bp-2, -0x1.d9094521c21abp-2, -0x1.d5374b91adae1p-2, -0x1.d15fdac29c4d8p-2, -0x1.cd835068b934ap-2, -0x1.c9a208cf97438p-2, -0x1.c5bc5ed6f69a3p-2, -0x1.c1d2abefde349p-2, -0x1.bde54819fe88cp-2, -0x1.b9f489e1634f1p-2, -0x1.b600c65c6c195p-2, -0x1.b20a512a0fae3p-2, -0x1.ae117c70615d8p-2, -0x1.aa1698db5ee59p-2, -0x1.a619f59bfb09cp-2, -0x1.a21be0676be43p-2, -0x1.9e1ca576b7ab5p-2, -0x1.9a1c8f867aa3fp-2, -0x1.961be7d6e9544p-2, -0x1.921af62c0cc47p-2, -0x1.8e1a00ce32a57p-2, -0x1.8a194c8a96332p-2, -0x1.86191cb436d49p-2, -0x1.8219b324e7076p-2, -0x1.7e1b503e8583bp-2, -0x1.7a1e32ec68837p-2, -0x1.762298a4f1f0cp-2, -0x1.7228bd6b5232bp-2, -0x1.6e30dbd16f7aap-2, -0x1.6a3b2cf9fb407p-2, -0x1.6647e89aa6165p-2, -0x1.625744fe7e977p-2, -0x1.5e6977086eae7p-2, -0x1.5a7eb235ddce3p-2, -0x1.569728a170312p-2, -0x1.52b30b05e6338p-2, -0x1.4ed288c11ae81p-2, -0x1.4af5cfd718391p-2, -0x1.471d0cf54ce71p-2, -0x1.43486b75d7335p-2, -0x1.3f781562e74a2p-2, -0x1.3bac337a3a4e1p-2, -0x1.37e4ed30a92ddp-2, -0x1.342268b5cbb56p-2, -0x1.3064caf7aef8fp-2, -0x1.2cac37a69b94ep-2, -0x1.28f8d138f09ap-2, -0x1.254ab8ef0907ap-2, -0x1.21a20ed7326c6p-2, -0x1.1dfef1d1afd83p-2, -0x1.1a617f94c98edp-2, -0x1.16c9d4b0e829fp-2, -0x1.13380c94b8874p-2, -0x1.0fac41915a441p-2, -0x1.0c268cde97763p-2, -0x1.08a7069f20597p-2, -0x1.052dc5e4d1fc1p-2, -0x1.01bae0b4ff8f1p-2, -0x1.fc9cd81982dbp-3, -0x1.f5d0f7ca90339p-3, -0x1.ef12467068222p-3, -0x1.e860e807da5c4p-3, -0x1.e1bcfe9ffc036p-3, -0x1.db26aa62e1d9dp-3, -0x1.d49e099e544f9p-3, -0x1.ce2338cc8d3c8p-3, -0x1.c7b6529ce7871p-3, -0x1.c1576ffc9a3a9p-3, -0x1.bb06a81f5e819p-3, -0x1.b4c41088210edp-3, -0x1.ae8fbd11a1ef6p-3, -0x1.a869bff70e33ap-3, -0x1.a25229dc96f5dp-3, -0x1.9c4909d7f5e6dp-3, -0x1.964e6d78ee569p-3, -0x1.906260d1c1ec5p-3, -0x1.8a84ee7f92e59p-3, -0x1.84b61fb2c10e1p-3, -0x1.7ef5fc37343f5p-3, -0x1.79448a7c99ae1p-3, -0x1.73a1cf9e8cfccp-3, -0x1.6e0dcf6cbc06ep-3, -0x1.68888c72eda57p-3, -0x1.63120800fb41cp-3, -0x1.5daa4232bfd9ep-3, -0x1.585139f7e4b76p-3, -0x1.5306ed1ba9bfcp-3, -0x1.4dcb584c919f8p-3, -0x1.489e7723fe1fbp-3, -0x1.4380442db2184p-3, -0x1.3e70b8ef446e5p-3, -0x1.396fcdef7a71p-3, -0x1.347d7abd8d1aap-3, -0x1.2f99b5f856918p-3, -0x1.2ac475556a8ccp-3, -0x1.25fdada818bb4p-3, -0x1.214552e855a8cp-3, -0x1.1c9b58398e866p-3, -0x1.17ffaff15fec6p-3, -0x1.13724b9e412c8p-3, -0x1.0ef31c0e064cdp-3, -0x1.0a8211545936dp-3, -0x1.061f1ad1125aep-3, -0x1.01ca27367993dp-3, -0x1.fb06491ee0575p-4, -0x1.f294008b08042p-4, -0x1.ea3d4e4dc60fap-4, -0x1.e2020ad87dcb1p-4, -0x1.d9e20d7d202cap-4, -0x1.d1dd2c798d13fp-4, -0x1.c9f33d02b6fb1p-4, -0x1.c224134f9aad7p-4, -0x1.ba6f82a40940fp-4, -0x1.b2d55d5b39c34p-4, -0x1.ab5574f22d2a6p-4, -0x1.a3ef9a11dbbbbp-4, -0x1.9ca39c9939fccp-4, -0x1.95714ba705858p-4, -0x1.8e5875a360ebp-4, -0x1.8758e84945439p-4, -0x1.807270afbc6e8p-4, -0x1.79a4db52edcbp-4, -0x1.72eff41cfc23ap-4, -0x1.6c53866eb1fdbp-4, -0x1.65cf5d28002afp-4, -0x1.5f6342b04bcep-4, -0x1.590f00fe9036p-4, -0x1.52d261a14ef16p-4, -0x1.4cad2dc656027p-4, -0x1.469f2e4254fe2p-4, -0x1.40a82b984798cp-4, -0x1.3ac7ee00b21bp-4, -0x1.34fe3d70b235fp-4, -0x1.2f4ae1a0e4364p-4, -0x1.29ada2141be28p-4, -0x1.2426461df34d6p-4, -0x1.1eb494e92f42bp-4, -0x1.1958557df9a8cp-4, -0x1.14114ec7f17b8p-4, -0x1.0edf479c12d95p-4, -0x1.09c206be77202p-4, -0x1.04b952e7eaa4dp-4, -0x1.ff89e596bc5acp-5, -0x1.f5c95a365c653p-5, -0x1.ec30911c8d8a2p-5, -0x1.e2bf17ca3df8bp-5, -0x1.d9747bdd215eep-5, -0x1.d0504b19150fep-5, -0x1.c75213713c08fp-5, -0x1.be796310d38a4p-5, -0x1.b5c5c863c09c7p-5, -0x1.ad36d21ed8fb1p-5, -0x1.a4cc0f47e6ae3p-5, -0x1.9c850f3d6a8cdp-5, -0x1.946161be19c92p-5, -0x1.8c6096f01bce4p-5, -0x1.84823f6809224p-5, -0x1.7cc5ec2fa98b8p-5, -0x1.752b2ecc76bfcp-5, -0x1.6db19945deafdp-5, -0x1.6658be2b4fa4ap-5, -0x1.5f20309a039e8p-5, -0x1.5807844298564p-5, -0x1.510e4d6e69518p-5, -0x1.4a342104b7a6cp-5, -0x1.4378948f980d8p-5, -0x1.3cdb3e40ac821p-5, -0x1.365bb4f5ab3e6p-5, -0x1.2ff9903cb1469p-5, -0x1.29b4685861f0ep-5, -0x1.238bd643d8b06p-5, -0x1.1d7f73b668352p-5, -0x1.178edb272a0ccp-5, -0x1.11b9a7d063b04p-5, -0x1.0bff75b2baa9dp-5, -0x1.065fe1983edcp-5, -0x1.00da89174aea9p-5, -0x1.f6de152a6e7f9p-6, -0x1.ec3a0a91ced83p-6, -0x1.e1c8327a5a9a5p-6, -0x1.d787cea60d1e9p-6, -0x1.cd7822876370dp-6, -0x1.c398734540bc4p-6, -0x1.b9e807be89882p-6, -0x1.b066288d73a94p-6, -0x1.a712200a92a5fp-6, -0x1.9deb3a4fa794fp-6, -0x1.94f0c53a24493p-6, -0x1.8c22106d74c9dp-6, -0x1.837e6d550b911p-6, -0x1.7b052f262dc2ap-6, -0x1.72b5aae186622p-6, -0x1.6a8f3754808a1p-6, -0x1.62912d1a66866p-6, -0x1.5abae69d50616p-6, -0x1.530bc016da251p-6, -0x1.4b831790a771dp-6, -0x1.44204ce4b46b5p-6, -0x1.3ce2c1bd7d205p-6, -0x1.35c9d995eb3f1p-6, -0x1.2ed4f9b9214e6p-6, -0x1.2803894213f0cp-6, -0x1.2154f11af8eeap-6, -0x1.1ac89bfc93117p-6, -0x1.145df66d4e253p-6, -0x1.0e146ec039e6dp-6, -0x1.07eb7513dfa74p-6, -0x1.01e27b50f356fp-6, -0x1.f7f1ea51bd22cp-7, -0x1.ec5cb02864a75p-7, -0x1.e10436a1e295fp-7, -0x1.d5e76fc180338p-7, -0x1.cb05510de3729p-7, -0x1.c05cd38d01b79p-7, -0x1.b5ecf3bfc69cbp-7, -0x1.abb4b19d97872p-7, -0x1.a1b3108f97e6fp-7, -0x1.97e7176bc33e9p-7, -0x1.8e4fd06fda213p-7, -0x1.84ec493c1b1dfp-7, -0x1.7bbb92cdd9e4dp-7, -0x1.72bcc179e5292p-7, -0x1.69eeece6cef6p-7, -0x1.615130070aca5p-7, -0x1.58e2a912e71dp-7, -0x1.50a2798267eb3p-7, -0x1.488fc60703b81p-7, -0x1.40a9b68539fd3p-7, -0x1.38ef760e1c5fcp-7, -0x1.316032d8ad1d3p-7, -0x1.29fb1e3b2d6cap-7, -0x1.22bf6ca451fb2p-7, -0x1.1bac55946106bp-7, -0x1.14c113963bee2p-7, -0x1.0dfce438549fcp-7, -0x1.075f080592497p-7, -0x1.00e6c27e244c7p-7, -0x1.f526b4208bfdap-8, -0x1.e8c83021e98a5p-8, -0x1.dcb09169319cbp-8, -0x1.d0de760f44416p-8, -0x1.c55081ce36794p-8, -0x1.ba055df264a3ep-8, -0x1.aefbb94b74962p-8, -0x1.a432481d4835cp-8, -0x1.99a7c410e3fa3p-8, -0x1.8f5aec254c243p-8, -0x1.854a84a0578a6p-8, -0x1.7b7556ff7d558p-8, -0x1.71da31e89d636p-8, -0x1.6877e91ac470ap-8, -0x1.5f4d555ef23b8p-8, -0x1.56595478db6d2p-8, -0x1.4d9ac917b1fcbp-8, -0x1.45109ac6ed4ap-8, -0x1.3cb9b5df19d21p-8, -0x1.34950b76af14bp-8, -0x1.2ca19152ead34p-8, -0x1.24de41d8b8b21p-8, -0x1.1d4a1bfda3236p-8, -0x1.15e42338ce74dp-8, -0x1.0eab5f74042fep-8, -0x1.079edcfcc92dp-8, -0x1.00bdac7585195p-8, -0x1.f40dc58d73821p-9, -0x1.e6f3322095e78p-9, -0x1.da29d935b16b2p-9, -0x1.cdaffd925ec86p-9, -0x1.c183ea138f3edp-9, -0x1.b5a3f190bd5dp-9, -0x1.aa0e6ebf46e41p-9, -0x1.9ec1c415f3b3dp-9, -0x1.93bc5bb0adb1cp-9, -0x1.88fca73465289p-9, -0x1.7e811fb32b32bp-9, -0x1.744845907bffp-9, -0x1.6a50a065bf208p-9, -0x1.6098bee6f9f7dp-9, -0x1.571f36c7bf79ep-9, -0x1.4de2a4a04e1fap-9, -0x1.44e1abd2f0434p-9, -0x1.3c1af6718bc7cp-9, -0x1.338d3523766dap-9, -0x1.2b371f0b7c427p-9, -0x1.231771ae27edcp-9, -0x1.1b2cf0d84589ep-9, -0x1.13766685a129p-9, -0x1.0bf2a2c80858p-9, -0x1.04a07bae835c9p-9, -0x1.fafd9a59a2e1fp-10, -0x1.ed18f2064b7adp-10, -0x1.df90cd4c3ffa8p-10, -0x1.d263064e12848p-10, -0x1.c58d82389e697p-10, -0x1.b90e311480217p-10, -0x1.ace30d981582fp-10, -0x1.a10a1cf9f791cp-10, -0x1.95816ec3fdaacp-10, -0x1.8a471ca6c6aa9p-10, -0x1.7f594a4dbccdfp-10, -0x1.74b62533a52ddp-10, -0x1.6a5be477b2f77p-10, -0x1.6048c8b3167cap-10, -0x1.567b1bcf1ea32p-10, -0x1.4cf130dbce4abp-10, -0x1.43a963e701d19p-10, -0x1.3aa219d41612ap-10, -0x1.31d9c03407dcep-10, -0x1.294ecd1e2808bp-10, -0x1.20ffbf0946e64p-10, -0x1.18eb1ca56125ap-10, -0x1.110f74b5d85c2p-10, -0x1.096b5dec21c17p-10, -0x1.01fd76c2ffdc9p-10, -0x1.f588cab4674bep-11, -0x1.e77daea56ae43p-11, -0x1.d9d70356d00aep-11, -0x1.cc92413c98b15p-11, -0x1.bfaceefc6473dp-11, -0x1.b324a129cef62p-11, -0x1.a6f6fa03c425dp-11, -0x1.9b21a932cdfbbp-11, -0x1.8fa26b8855a9cp-11, -0x1.84770abedc075p-11, -0x1.799d5d3b1fc88p-11, -0x1.6f1345ce38b3cp-11, -0x1.64d6b3789e61fp-11, -0x1.5ae5a12e1c54bp-11, -0x1.513e159ab2b73p-11, -0x1.47de22e85d414p-11, -0x1.3ec3e685c2b6dp-11, -0x1.35ed88edca15dp-11, -0x1.2d593d70100ccp-11, -0x1.250541fa3fdeap-11, -0x1.1cefdee24a14bp-11, -0x1.151766b176bd9p-11, -0x1.0d7a35f053389p-11, -0x1.0616b2f3794ddp-11, -0x1.fdd69b5252168p-12, -0x1.efecfecf75279p-12, -0x1.e26d9579bb7efp-12, -0x1.d555767b59e6ap-12, -0x1.c8a1caaf11ab2p-12, -0x1.bc4fcc438658ap-12, -0x1.b05cc6601f562p-12, -0x1.a4c614cb76b82p-12, -0x1.998923935224p-12, -0x1.8ea36eb61e1c4p-12, -0x1.841281cde733fp-12, -0x1.79d3f7bccfd09p-12, -0x1.6fe57a5af9046p-12, -0x1.6644c225df683p-12, -0x1.5cef95f121251p-12, -0x1.53e3ca98ae15bp-12, -0x1.4b1f42b45a55dp-12, -0x1.429fee4cd01a1p-12, -0x1.3a63ca91da0e1p-12, -0x1.3268e19206394p-12, -0x1.2aad49f3945a9p-12, -0x1.232f26aeb6efap-12, -0x1.1beca6c9180bap-12, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.1bfc1098d1decp-1, 0x1.1c5ac02f41e7p-1, 0x1.1cbdcd28dbe22p-1, 0x1.1d24e82290636p-1, 0x1.1d8fb8748c98p-1, 0x1.1dfddd36bb65ep-1, 0x1.1e6eee4891dd1p-1, 0x1.1ee27d56e058fp-1, 0x1.1f5816db97bcbp-1, 0x1.1fcf431465a64p-1, 0x1.204786eddc73cp-1, 0x1.20c064e190819p-1, 0x1.21395dc6186a7p-1, 0x1.21b1f1905bd8bp-1, 0x1.2229a005eeb9fp-1, 0x1.229fe9608409cp-1, 0x1.23144ee2bc61bp-1, 0x1.2386535eb735ap-1, 0x1.23f57baef7392p-1, 0x1.24614f2237265p-1, 0x1.24c957dadfedbp-1, 0x1.252d2322d8948p-1, 0x1.258c41b46bc74p-1, 0x1.25e647f900ad5p-1, 0x1.263ace3e61089p-1, 0x1.268970e340f1cp-1, 0x1.26d1d07bbd658p-1, 0x1.271391ee7309ep-1, 0x1.274e5e8ad4859p-1, 0x1.2781e41955b88p-1, 0x1.27add4e5fbdfap-1, 0x1.27d1e7c5db323p-1, 0x1.27edd817fe383p-1, 0x1.280165c22f5b3p-1, 0x1.280c552a10aa5p-1, 0x1.280e6f2ae7da1p-1, 0x1.280781087e612p-1, 0x1.27f75c5f68d19p-1, 0x1.27ddd7130af8bp-1, 0x1.27bacb399c80dp-1, 0x1.278e17067716fp-1, 0x1.27579cb2e6273p-1, 0x1.27174265b6dccp-1, 0x1.26ccf219b65a2p-1, 0x1.2678998350154p-1, 0x1.261a29f5761f5p-1, 0x1.25b19845f92b1p-1, 0x1.253edcb17429fp-1, 0x1.24c1f2beeb621p-1, 0x1.243ad923379ecp-1, 0x1.23a991a45d267p-1, 0x1.230e20fcdef2bp-1, 0x1.22688ebf25ebcp-1, 0x1.21b8e5390f80cp-1, 0x1.20ff3157ad817p-1, 0x1.203b828b4e521p-1, 0x1.1f6deaabd1dd2p-1, 0x1.1e967ddd5aa94p-1, 0x1.1db55275644f2p-1, 0x1.1cca80e0453f3p-1, 0x1.1bd6238726656p-1, 0x1.1ad856b6734eep-1, 0x1.19d13884ca12fp-1, 0x1.18c0e8ba6f64ep-1, 0x1.17a788b948cacp-1, 0x1.16853b6560435p-1, 0x1.155a250df5fb9p-1, 0x1.14266b571d364p-1, 0x1.12ea3523e9adbp-1, 0x1.11a5aa812bacfp-1, 0x1.1058f490bcdacp-1, 0x1.0f043d755b842p-1, 0x1.0da7b03f16282p-1, 0x1.0c4378d845f39p-1, 0x1.0ad7c3f317835p-1, 0x1.0964bef79df89p-1, 0x1.07ea97f275ddap-1, 0x1.06697d83edbe4p-1, 0x1.04e19ecfba639p-1, 0x1.03532b6d30c29p-1, 0x1.01be5358044d2p-1, 0x1.002346e189336p-1, 0x1.fd046d44ef04ap-2, 0x1.f9b6a6da5a487p-2, 0x1.f65d9c80da738p-2, 0x1.f2f9b07530c98p-2, 0x1.ef8b451ac2a47p-2, 0x1.ec12bce3e6595p-2, 0x1.e8907a3b203f8p-2, 0x1.e504df6d3d615p-2, 0x1.e1704e94511d1p-2, 0x1.ddd329838b282p-2, 0x1.da2dd1b3e5f4ep-2, 0x1.d680a831a43dbp-2, 0x1.d2cc0d8a9bf42p-2, 0x1.cf1061bd4c60bp-2, 0x1.cb4e0428b3929p-2, 0x1.c785537ce867cp-2, 0x1.c3b6adac6b19fp-2, 0x1.bfe26fde2fd4cp-2, 0x1.bc08f6605937ep-2, 0x1.b82a9c9ba3a6dp-2, 0x1.b447bd077666cp-2, 0x1.b060b11e9e0f9p-2, 0x1.ac75d154a5514p-2, 0x1.a887750bccef3p-2, 0x1.a495f28b9b05dp-2, 0x1.a0a19ef8012b5p-2, 0x1.9caace49109e5p-2, 0x1.98b1d3433f97ap-2, 0x1.94b6ff70328cep-2, 0x1.90baa3180f1bdp-2, 0x1.8cbd0d3b4ef13p-2, 0x1.88be8b8d0eb64p-2, 0x1.84bf6a6dd8234p-2, 0x1.80bff4e6e574dp-2, 0x1.7cc074a5d0a1dp-2, 0x1.78c131f8b86fbp-2, 0x1.74c273cacf13dp-2, 0x1.70c47fa14ede3p-2, 0x1.6cc79998d6af2p-2, 0x1.68cc0463279f9p-2, 0x1.64d201453fe62p-2, 0x1.60d9d015d0c6bp-2, 0x1.5ce3af3c0ffc2p-2, 0x1.58efdbaed6fb5p-2, 0x1.54fe90f41bed9p-2, 0x1.51100920b5e09p-2, 0x1.4d247cd86ad97p-2, 0x1.493c234e4a6ddp-2, 0x1.455732454ebc4p-2, 0x1.4175de113d297p-2, 0x1.3d985997cd0bap-2, 0x1.39bed6520711fp-2, 0x1.35e9844de5529p-2, 0x1.32189230281f9p-2, 0x1.2e4c2d3663982p-2, 0x1.2a8481394270cp-2, 0x1.26c1b8aef608cp-2, 0x1.2303fcadda64cp-2, 0x1.1f4b74ef45b4p-2, 0x1.1b9847d2804c2p-2, 0x1.17ea9a5fe9806p-2, 0x1.1442904c3f386p-2, 0x1.10a04bfc0bc95p-2, 0x1.0d03ee8736ff2p-2, 0x1.096d97bcb50d3p-2, 0x1.05dd6626559a8p-2, 0x1.0253770cb0451p-2, 0x1.fd9fccf6538d4p-3, 0x1.f6a59e8827da3p-3, 0x1.efb89609c6403p-3, 0x1.e8d8e454f74c9p-3, 0x1.e206b7eb23a83p-3, 0x1.db423cfe35e1bp-3, 0x1.d48b9d79a6704p-3, 0x1.cde3010b9a2f7p-3, 0x1.c7488d2e2a323p-3, 0x1.c0bc6530b7057p-3, 0x1.ba3eaa416002cp-3, 0x1.b3cf7b7681acfp-3, 0x1.ad6ef5d84aea9p-3, 0x1.a71d346a63d9p-3, 0x1.a0da503599049p-3, 0x1.9aa6605197577p-3, 0x1.948179eeab8d9p-3, 0x1.8e6bb05f87d01p-3, 0x1.88651523113c1p-3, 0x1.826db7ee23bc1p-3, 0x1.7c85a6b563f47p-3, 0x1.76acedb7015a5p-3, 0x1.70e397847cb11p-3, 0x1.6b29ad0c65bb1p-3, 0x1.657f35a41100bp-3, 0x1.5fe4371143e9bp-3, 0x1.5a58b593d80b5p-3, 0x1.54dcb3ef53069p-3, 0x1.4f7033746bee1p-3, 0x1.4a13340a88c14p-3, 0x1.44c5b43925087p-3, 0x1.3f87b1312de39p-3, 0x1.3a5926d646585p-3, 0x1.353a0fc7fbcb4p-3, 0x1.302a656ae1d83p-3, 0x1.2b2a1ff19f362p-3, 0x1.26393665daf0ap-3, 0x1.21579eb11ff4dp-3, 0x1.1c854da59584p-3, 0x1.17c23706b5e4p-3, 0x1.130e4d91d3cdap-3, 0x1.0e69830699b2dp-3, 0x1.09d3c82f616f8p-3, 0x1.054d0ce975fd2p-3, 0x1.00d5402d39e1bp-3, 0x1.f8d8a02c531cp-4, 0x1.f02453d59a0c8p-4, 0x1.e78d7449076ddp-4, 0x1.df13d8ee613fep-4, 0x1.d6b757b1a80d8p-4, 0x1.ce77c511eed64p-4, 0x1.c654f4300e05fp-4, 0x1.be4eb6dd100e9p-4, 0x1.b664dda85965cp-4, 0x1.ae9737ed9f401p-4, 0x1.a6e593e290e4dp-4, 0x1.9f4fbea45344p-4, 0x1.97d58444a62c4p-4, 0x1.9076afd6e515cp-4, 0x1.89330b7cb07e7p-4, 0x1.820a607266313p-4, 0x1.7afc771b55a55p-4, 0x1.7409170db3fa7p-4, 0x1.6d30071e52e94p-4, 0x1.66710d6c16f6ep-4, 0x1.5fcbef6b2fbb8p-4, 0x1.594071f010201p-4, 0x1.52ce593a29ea9p-4, 0x1.4c7568fe69f5p-4, 0x1.4635647176d24p-4, 0x1.400e0e51b2c11p-4, 0x1.39ff28f0ff2bep-4, 0x1.3408763e45bfdp-4, 0x1.2e29b7cec310cp-4, 0x1.2862aee7175c1p-4, 0x1.22b31c841ba83p-4, 0x1.1d1ac1637c227p-4, 0x1.17995e0c189bbp-4, 0x1.122eb2d62c8c9p-4, 0x1.0cda7ff33bfdep-4, 0x1.079c8575cb7c7p-4, 0x1.02748358dd4bep-4, 0x1.fac4730e74b17p-5, 0x1.f0cacfc506743p-5, 0x1.e6fb9c9418d73p-5, 0x1.dd5659430b281p-5, 0x1.d3da85aeda80fp-5, 0x1.ca87a1d69efc2p-5, 0x1.c15d2de7a8db3p-5, 0x1.b85aaa4933c59p-5, 0x1.af7f97a7be32ap-5, 0x1.a6cb76fff9bcdp-5, 0x1.9e3dc9a96053bp-5, 0x1.95d611606ac97p-5, 0x1.8d93d05069c81p-5, 0x1.8576891d05697p-5, 0x1.7d7dbeeb63705p-5, 0x1.75a8f56af47d5p-5, 0x1.6df7b0ddee953p-5, 0x1.66697621700b1p-5, 0x1.5efdcab55015ap-5, 0x1.57b434c39f862p-5, 0x1.508c3b27d9473p-5, 0x1.49856575c248ap-5, 0x1.429f3c0001ff2p-5, 0x1.3bd947de699d4p-5, 0x1.353312f3f655bp-5, 0x1.2eac27f48b23cp-5, 0x1.2844126a6109dp-5, 0x1.21fa5ebb36392p-5, 0x1.1bce9a2d378f2p-5, 0x1.15c052eba9af4p-5, 0x1.0fcf180b50ac1p-5, 0x1.09fa798e9800cp-5, 0x1.044208698022ep-5, 0x1.fd4aad0a9b9bp-6, 0x1.f247ed87fdc85p-6, 0x1.e77afa070e14cp-6, 0x1.dce2fc41a947dp-6, 0x1.d27f1ff53e977p-6, 0x1.c84e92e803087p-6, 0x1.be5084edbec5fp-6, 0x1.b48427ec34701p-6, 0x1.aae8afdf2ad3bp-6, 0x1.a17d52dc1200fp-6, 0x1.984149155289p-6, 0x1.8f33ccdd3fd82p-6, 0x1.86541aa8b1e6p-6, 0x1.7da171115015cp-6, 0x1.751b10d7836c1p-6, 0x1.6cc03ce41e2d9p-6, 0x1.64903a49b561dp-6, 0x1.5c8a5045ac39dp-6, 0x1.54adc840fd516p-6, 0x1.4cf9edd0b73c5p-6, 0x1.456e0eb639bf6p-6, 0x1.3e097adf2f7a8p-6, 0x1.36cb84654a5b6p-6, 0x1.2fb37f8dbd35bp-6, 0x1.28c0c2c882b18p-6, 0x1.21f2a6af637bcp-6, 0x1.1b488604c864fp-6, 0x1.14c1bdb259d4ap-6, 0x1.0e5dacc767a62p-6, 0x1.081bb47722936p-6, 0x1.01fb3816a5122p-6, 0x1.f7f73a35a11fcp-7, 0x1.ec38962bfcb24p-7, 0x1.e0b9576b041dap-7, 0x1.d578557e1bb33p-7, 0x1.ca746c1bcab6bp-7, 0x1.bfac7b1fe78c9p-7, 0x1.b51f668570e03p-7, 0x1.aacc1660341edp-7, 0x1.a0b176d61f82p-7, 0x1.96ce78186878cp-7, 0x1.8d220e5c6a49ep-7, 0x1.83ab31d45be64p-7, 0x1.7a68dea7c22d2p-7, 0x1.715a14ebbc30cp-7, 0x1.687dd89b18979p-7, 0x1.5fd3318e44fdcp-7, 0x1.57592b730d7d3p-7, 0x1.4f0ed5c43a6e1p-7, 0x1.46f343c104c76p-7, 0x1.3f058c6467e04p-7, 0x1.3744ca5c5897ap-7, 0x1.2fb01c00d7e4dp-7, 0x1.2846a34aeb828p-7, 0x1.210785cb7e1cdp-7, 0x1.19f1eca2264e1p-7, 0x1.13050473d8139p-7, 0x1.0c3ffd6182b1cp-7, 0x1.05a20afe9c294p-7, 0x1.fe54c88f38f8p-8, 0x1.f1b08730d6982p-8, 0x1.e555cd457e868p-8, 0x1.d9431cc8e7d1ap-8, 0x1.cd76fe3ba9424p-8, 0x1.c1f0008fc2679p-8, 0x1.b6acb91513c02p-8, 0x1.ababc365d141dp-8, 0x1.a0ebc152eb079p-8, 0x1.966b5ad07136p-8, 0x1.8c293de1f828cp-8, 0x1.82241e86fa163p-8, 0x1.785ab6a73f75cp-8, 0x1.6ecbc5ff4a35cp-8, 0x1.6576120cc88bbp-8, 0x1.5c5865fb12be1p-8, 0x1.5371928fb478dp-8, 0x1.4ac06e17035ccp-8, 0x1.4243d450c702p-8, 0x1.39faa65cf02e4p-8, 0x1.31e3caa864de7p-8, 0x1.29fe2cd9e28dbp-8, 0x1.2248bdbef5082p-8, 0x1.1ac2733906db1p-8, 0x1.136a482a8b621p-8, 0x1.0c3f3c64434a3p-8, 0x1.054054929f7a8p-8, 0x1.fcd934567fb66p-9, 0x1.ef8636b52344cp-9, 0x1.e285d5e31ff0fp-9, 0x1.d5d640a742a43p-9, 0x1.c975aec93aa51p-9, 0x1.bd6260eddfe82p-9, 0x1.b19aa073ccb15p-9, 0x1.a61cbf5039138p-9, 0x1.9ae717ec28101p-9, 0x1.8ff80d01e0267p-9, 0x1.854e097ab3439p-9, 0x1.7ae7804d1731fp-9, 0x1.70c2ec5b0f1a3p-9, 0x1.66ded050eb257p-9, 0x1.5d39b68455cf4p-9, 0x1.53d230d3beab2p-9, 0x1.4aa6d88613698p-9, 0x1.41b64e2ad37fdp-9, 0x1.38ff397a7c324p-9, 0x1.308049374a2f2p-9, 0x1.2838330e577d6p-9, 0x1.2025b3790ddbfp-9, 0x1.18478d9ef9f54p-9, 0x1.109c8b37f1e3ap-9, 0x1.09237c6e9c897p-9, 0x1.01db37c3502b9p-9, 0x1.f58533de9abbbp-10, 0x1.e7b10b90ac86ep-10, 0x1.da37c84940e1fp-10, 0x1.cd17477e44039p-10, 0x1.c04d72387ba0dp-10, 0x1.b3d83cdd8cc1ap-10, 0x1.a7b5a6fabfdcdp-10, 0x1.9be3bb107a38p-10, 0x1.90608e5e6ece5p-10, 0x1.852a40b07eda6p-10, 0x1.7a3efc2c5f688p-10, 0x1.6f9cf51fe34b1p-10, 0x1.654269d00114ep-10, 0x1.5b2da24893f9ep-10, 0x1.515cf02cbed15p-10, 0x1.47ceae88141fbp-10, 0x1.3e8141a063a35p-10, 0x1.357316c838a42p-10, 0x1.2ca2a43210ea2p-10, 0x1.240e68c433941p-10, 0x1.1bb4ebed46351p-10, 0x1.1394bd797d526p-10, 0x1.0bac756886a6ap-10, 0x1.03fab3c40effp-10, 0x1.f8fc40edf8068p-11, 0x1.ea6ad64a8c6a9p-11, 0x1.dc3e9608f64bdp-11, 0x1.ce74fd69c5639p-11, 0x1.c10b98368f387p-11, 0x1.b4000076c2566p-11, 0x1.a74fde25b9818p-11, 0x1.9af8e6ea09b63p-11, 0x1.8ef8ddce0ba36p-11, 0x1.834d92f99a174p-11, 0x1.77f4e36d03578p-11, 0x1.6cecb8bd2a77dp-11, 0x1.623308d0d5877p-11, 0x1.57c5d59f23a1fp-11, 0x1.4da32cef2ae27p-11, 0x1.43c92818b6cc3p-11, 0x1.3a35ebc626ed3p-11, 0x1.30e7a7b7693bcp-11, 0x1.27dc96860c1ffp-11, 0x1.1f12fd6a65e93p-11, 0x1.16892c01cda22p-11, 0x1.0e3d7c15e1354p-11, 0x1.062e5164d7886p-11, 0x1.fcb432d5b00e4p-12, 0x1.ed7e9658ad6c1p-12, 0x1.deb8ce02dfb38p-12, 0x1.d05fecc483b1ep-12, 0x1.c27117687a7a4p-12, 0x1.b4e98430db0d1p-12, 0x1.a7c67a7565e27p-12, 0x1.9b055243d3959p-12, 0x1.8ea3740200f2p-12, 0x1.829e5811e41e2p-12, 0x1.76f386774e0acp-12, 0x1.6ba0967f6eb19p-12, 0x1.60a32e6a1394bp-12, 0x1.55f903149b8b4p-12, 0x1.4b9fd7a698321p-12, 0x1.41957d4018809p-12, 0x1.37d7d2a98fe53p-12, 0x1.2e64c4055eddbp-12, 0x1.253a4a82e7ep-12, 0x1.1c566c1335164p-12, 0x1.13b73b1f25765p-12, 0x1.0b5ad63f198f5p-12, 0x1.033f67f418639p-12, 0x1.f6c64cc4d504bp-13, 0x1.e788a61b47735p-13, 0x1.d8c2752c203a9p-13, 0x1.ca7068ef09ad8p-13, 0x1.bc8f45931ce01p-13, 0x1.af1be401de2c4p-13, 0x1.a2133164e0dbdp-13, 0x1.95722eadf9a4ep-13, 0x1.8935f021fa91dp-13, 0x1.7d5b9ce5ead18p-13, 0x1.71e06e8ea9533p-13, 0x1.66c1b0b2fce14p-13, 0x1.5bfcc07ffa505p-13, 0x1.518f0c4fb425ep-13, 0x1.477613423bd2p-13, 0x1.3daf64d8cf8e4p-13, 0x1.3438a0933b2fcp-13, 0x1.2b0f758f6203ep-13, 0x1.2231a22ada4ccp-13, 0x1.199cf3a6a2787p-13, 0x1.114f45ccd3402p-13, 0x1.094682985330dp-13, 0x1.0180a1de78b22p-13, 0x1.f3f751f536e63p-14, 0x1.e56b54f6f639dp-14, 0x1.d7598ba5089cbp-14, 0x1.c9be4e09b8e7fp-14, 0x1.bc960cbc672dbp-14, 0x1.afdd504aa64p-14, 0x1.a390b8a4ad4c7p-14, 0x1.97acfc8d29422p-14, 0x1.8c2ee90c49cc6p-14, 0x1.811360e5feb71p-14, 0x1.76575c13532eep-14, 0x1.6bf7e73eda6e6p-14, 0x1.61f223441782dp-14, 0x1.584344b1da07bp-14, 0x1.4ee8934f7390cp-14, 0x1.45df69a4c1142p-14, 0x1.3d253484f6da8p-14, 0x1.34b7729c1ac89p-14, 0x1.2c93b3ff25148p-14, 0x1.24b799beb678ep-14, 0x1.1d20d57c551ebp-14, 0x1.15cd290223189p-14, 0x1.0eba65dd028b6p-14, 0x1.07e66cf915dc5p-14, 0x1.014f2e40950dp-14, 0x1.f5e55079cb102p-15, 0x1.e99dcf73d320bp-15, 0x1.ddc40ed6ff273p-15, 0x1.d2545f2a383bep-15, 0x1.c74b2b66f6be5p-15, 0x1.bca4f850b3015p-15, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      50, 0x1.9f44e50c5eb31p+1, 0x1.623ee090463b4p+1, 0x1.ef7651458aa3fp+1, -0x1.016ac947308e5p-6, 
      {{
        {0x1.304f440af1cb9p+1, 0x1.328760f25e2bep+1, 0x1.a1021eee4bb05p-5, -0x1.7992e68add50dp-3, 0x1.053cefca97cep-2, 0x1.e0183e9ab6613p-5}, 
        {0x1.328760f25e2bep+1, 0x1.34bf7dd9ca8c3p+1, 0x1.87744fe336288p-5, -0x1.67594bd43cea5p-3, 0x1.085c00ca433bcp-2, -0x1.2c0f2720b1cf9p-2}, 
        {0x1.34bf7dd9ca8c3p+1, 0x1.36f79ac136ec8p+1, 0x1.6f2823e084e58p-5, -0x1.558e859c9432cp-3, 0x1.f1815797d4334p-3, -0x1.7d50a5a328ef8p-3}, 
        {0x1.36f79ac136ec8p+1, 0x1.392fb7a8a34cdp+1, 0x1.580f6690b2df2p-5, -0x1.44a64fdb94b5dp-3, 0x1.ddac13a99c3d8p-3, -0x1.9ef43e17ce2cfp-3}, 
        {0x1.392fb7a8a34cdp+1, 0x1.3b67d4900fad2p+1, 0x1.421c8982de06dp-5, -0x1.3475ebc807f18p-3, 0x1.c816e714023ap-3, -0x1.7d6c770f80c61p-3}, 
        {0x1.3b67d4900fad2p+1, 0x1.3d9ff18cf59c5p+1, 0x1.2d429f2c989edp-5, -0x1.24fd5fcde9ad5p-3, 0x1.b44030beffa18p-3, -0x1.6fa47d79db6bbp-3}, 
        {0x1.3d9ff18cf59c5p+1, 0x1.3fd80e7461fcap+1, 0x1.197555624a318p-5, -0x1.1631bf6078e96p-3, 0x1.a120f93186498p-3, -0x1.5c4888ae51423p-3}, 
        {0x1.3fd80e7461fcap+1, 0x1.42102b5bce5cfp+1, 0x1.06a8efc1d2198p-5, -0x1.080b65192ea79p-3, 0x1.8f0387a5469f9p-3, -0x1.4bef57401a3fbp-3}, 
        {0x1.42102b5bce5cfp+1, 0x1.444848433abd4p+1, 0x1.e9a48531b7f0ep-6, -0x1.f50424516767bp-4, 0x1.7dbfc48e470e7p-3, -0x1.3b77875404764p-3}, 
        {0x1.444848433abd4p+1, 0x1.4680652aa71d9p+1, 0x1.c7cd5a83879e1p-6, -0x1.db1c665dc63c3p-4, 0x1.6d57479f3152bp-3, -0x1.2bd58b950042bp-3}, 
        {0x1.4680652aa71d9p+1, 0x1.48b88212137dep+1, 0x1.a7b8298a6488cp-6, -0x1.c250be2dbbe0bp-4, 0x1.5dbef1ae92667p-3, -0x1.1cd4c93bae3c8p-3}, 
        {0x1.48b88212137dep+1, 0x1.4af09ef97fde3p+1, 0x1.8951bd2e6b9aap-6, -0x1.aa9306c1165a8p-4, 0x1.4eee60031850bp-3, -0x1.0e85860e652efp-3}, 
        {0x1.4af09ef97fde3p+1, 0x1.4d28bbe0ec3e8p+1, 0x1.6c87d61f47483p-6, -0x1.93d5b77ae79bfp-4, 0x1.40dc57378aa7bp-3, -0x1.00c726ccdcd9cp-3}, 
        {0x1.4d28bbe0ec3e8p+1, 0x1.4f60d8c8589edp+1, 0x1.51491ffbeb3fdp-6, -0x1.7e0bdc96ee348p-4, 0x1.33814e0f8f816p-3, -0x1.e7c729aaa27fp-4}, 
        {0x1.4f60d8c8589edp+1, 0x1.5198f5afc4ff2p+1, 0x1.378526e843982p-6, -0x1.69292a3ba96e1p-4, 0x1.26d1e32a04698p-3, -0x1.ce84e01b18d88p-4}, 
        {0x1.5198f5afc4ff2p+1, 0x1.53d112acaaee5p+1, 0x1.1f2c4bf486607p-6, -0x1.5521d8404974p-4, 0x1.1acaa20c5d665p-3, -0x1.b8026e66d5cd3p-4}, 
        {0x1.53d112acaaee5p+1, 0x1.56092f94174eap+1, 0x1.082fbb57d00dbp-6, -0x1.41eadeecb8d51p-4, 0x1.0f593c64abdf9p-3, -0x1.a10e860670fddp-4}, 
        {0x1.56092f94174eap+1, 0x1.58414c7b83aefp+1, 0x1.e502c177f056bp-7, -0x1.2f79c0fcf0f25p-4, 0x1.0480a674bf077p-3, -0x1.8cc7c0c699bddp-4}, 
        {0x1.58414c7b83aefp+1, 0x1.5a796962f00f4p+1, 0x1.bc27ba1474926p-7, -0x1.1dc482f3dd6fbp-4, 0x1.f45e1ce7f25abp-4, -0x1.79272cbaa1897p-4}, 
        {0x1.5a796962f00f4p+1, 0x1.5cb1864a5c6f9p+1, 0x1.95b4f61302965p-7, -0x1.0cc1ee99cecadp-4, 0x1.e0c043e51c631p-4, -0x1.6710980ace8f8p-4}, 
        {0x1.5cb1864a5c6f9p+1, 0x1.5ee9a331c8cffp+1, 0x1.71924a5620af3p-7, -0x1.f8d29e1205482p-5, 0x1.ce1343be98dadp-4, -0x1.56444695f81a5p-4}, 
        {0x1.5ee9a331c8cffp+1, 0x1.6121c01935304p+1, 0x1.4fa8b4f6898d2p-7, -0x1.d9652d1ba6807p-5, 0x1.bc45eef5ab096p-4, -0x1.46c93bcbed91dp-4}, 
        {0x1.6121c01935304p+1, 0x1.6359dd00a1909p+1, 0x1.2fe2475ba9e1fp-7, -0x1.bb2ca31d37cd8p-5, 0x1.ab46baa91574p-4, -0x1.3896e1feb6e21p-4}, 
        {0x1.6359dd00a1909p+1, 0x1.6591f9e80df0ep+1, 0x1.122a10cd103f4p-7, -0x1.9e1b4c5dba7d3p-5, 0x1.9b048e46075f2p-4, -0x1.2bbe7d030ca4dp-4}, 
        {0x1.6591f9e80df0ep+1, 0x1.67ca16cf7a513p+1, 0x1.ecd8123eb3a76p-8, -0x1.8224aca072b98p-5, 0x1.8b6d6b56fe0d3p-4, -0x1.203dece5091eep-4}, 
        {0x1.67ca16cf7a513p+1, 0x1.6a0233b6e6b18p+1, 0x1.b929f58362932p-8, -0x1.673d8622668dep-5, 0x1.7c6f6fb146218p-4, -0x1.15dc2364162a5p-4}, 
        {0x1.6a0233b6e6b18p+1, 0x1.6c3a50b3cca0bp+1, 0x1.8924da9e7d495p-8, -0x1.4d5bbe47812bp-5, 0x1.6dfbb0de8ee0bp-4, -0x1.0d51e47024fbp-4}, 
        {0x1.6c3a50b3cca0bp+1, 0x1.6e726d9b3901p+1, 0x1.5ca51f9c41009p-8, -0x1.347697a5119dp-5, 0x1.5ff9a7b364fa4p-4, -0x1.055dbac9f3b1fp-4}, 
        {0x1.6e726d9b3901p+1, 0x1.70aa8a82a5615p+1, 0x1.33884660bb9a6p-8, -0x1.1c86769f942b1p-5, 0x1.526186dd9c91p-4, -0x1.fe96d36d57c1p-5}, 
        {0x1.70aa8a82a5615p+1, 0x1.72e2a76a11c1ap+1, 0x1.0dacc967b69f4p-8, -0x1.0584e0873ba1ep-5, 0x1.451a3dfc189f8p-4, -0x1.f499fb5ece0adp-5}, 
        {0x1.72e2a76a11c1ap+1, 0x1.751ac4517e21fp+1, 0x1.d5e3e0c74bf5ap-9, -0x1.ded972f6a002cp-6, 0x1.3815737ac27b9p-4, -0x1.ed5ecb2b20d05p-5}, 
        {0x1.751ac4517e21fp+1, 0x1.7752e138ea824p+1, 0x1.966f4a3d1e6f3p-9, -0x1.b4740fc6711cdp-6, 0x1.2b40cd654c8a3p-4, -0x1.e8c17a8bfd317p-5}, 
        {0x1.7752e138ea824p+1, 0x1.798afe2056e29p+1, 0x1.5cbc909fe3f63p-9, -0x1.8bd41f61f2451p-6, 0x1.1e8ae0009c09bp-4, -0x1.e6c765968a2e7p-5}, 
        {0x1.798afe2056e29p+1, 0x1.7bc31b07c342ep+1, 0x1.288d0c8d6b03dp-9, -0x1.64f696b693c58p-6, 0x1.11e21be2d8accp-4, -0x1.e76ecb7de2c62p-5}, 
        {0x1.7bc31b07c342ep+1, 0x1.7dfb37ef2fa33p+1, 0x1.f344aefc446e2p-10, -0x1.3fdad9657638p-6, 0x1.0534fd4e15fecp-4, -0x1.eabd5990079bap-5}, 
        {0x1.7dfb37ef2fa33p+1, 0x1.803354d69c038p+1, 0x1.9f7beab5d79ap-10, -0x1.1c82bb933254ap-6, 0x1.f0e3b571d827cp-5, -0x1.f0ae34208ed58p-5}, 
        {0x1.803354d69c038p+1, 0x1.826b71be0863dp+1, 0x1.5541fb75f6321p-10, -0x1.f5e5049144c7fp-7, 0x1.d70e55e397c49p-5, -0x1.f926deb686918p-5}, 
        {0x1.826b71be0863dp+1, 0x1.84a38ebaee53p+1, 0x1.14178bfb31f84p-10, -0x1.b661a9f442026p-7, 0x1.bcc82a39482cep-5, -0x1.024b5f64ddd64p-4}, 
        {0x1.84a38ebaee53p+1, 0x1.86dbaba25ab35p+1, 0x1.b6f6298a7cdc7p-11, -0x1.7a8dc74622bf1p-7, 0x1.a1e9b474831e3p-5, -0x1.09185b722a083p-4}, 
        {0x1.86dbaba25ab35p+1, 0x1.8913c889c713ap+1, 0x1.55d05eb5f656fp-11, -0x1.42807fe936ed3p-7, 0x1.865624c60d02fp-5, -0x1.11650eb1f7655p-4}, 
        {0x1.8913c889c713ap+1, 0x1.8b4be5713373fp+1, 0x1.03add35e8f007p-11, -0x1.0e55b4b1594edp-7, 0x1.69e58fb460397p-5, -0x1.1af0fe41f3258p-4}, 
        {0x1.8b4be5713373fp+1, 0x1.8d8402589fd44p+1, 0x1.7eec64192bfcdp-12, -0x1.bc5cb5fb9c0bfp-8, 0x1.4c76bfe91fb69p-5, -0x1.25ce1c72707cbp-4}, 
        {0x1.8d8402589fd44p+1, 0x1.8fbc1f400c349p+1, 0x1.100eb44faae9cp-12, -0x1.646048e8380d9p-8, 0x1.2de6a222030f8p-5, -0x1.3210a082dee76p-4}, 
        {0x1.8fbc1f400c349p+1, 0x1.91f43c277894ep+1, 0x1.70d0186866682p-13, -0x1.150b8af505162p-8, 0x1.0e1008c26510ep-5, -0x1.3f53eb8fbe90cp-4}, 
        {0x1.91f43c277894ep+1, 0x1.942c590ee4f53p+1, 0x1.d6138e070fe07p-14, -0x1.9d7982e8255d3p-9, 0x1.d9b07b78bb8a9p-6, -0x1.4f19c7515094ep-4}, 
        {0x1.942c590ee4f53p+1, 0x1.966475f651559p+1, 0x1.1358022922411p-14, -0x1.23be57117f23p-9, 0x1.93f8d2b91356fp-6, -0x1.5bbb86b291d04p-4}, 
        {0x1.966475f651559p+1, 0x1.989c92ddbdb5ep+1, 0x1.1d6e2a84224dep-15, -0x1.7b6ece9b58a66p-10, 0x1.4ba062afcac02p-6, -0x1.7a5575aa95329p-4}, 
        {0x1.989c92ddbdb5ep+1, 0x1.9ad4afdaa3a51p+1, 0x1.e7af6f4e34026p-17, -0x1.b2904bbb238aap-11, 0x1.f9d4358ad743dp-7, -0x1.5c1a8cf113f4cp-4}, 
        {0x1.9ad4afdaa3a51p+1, 0x1.9d0cccc210056p+1, 0x1.24a837a78bd05p-18, -0x1.8438b03bdb4a7p-12, 0x1.68fbc5e2a251cp-7, -0x1.1393b51a31b94p-3}, 
        {0x1.9d0cccc210056p+1, 0x1.9f44e50c5eb31p+1, 0x1.2867d2a7d7fd9p-21, -0x1.cba3bcbb40984p-14, 0x1.074c6a729cf0ap-8, 0x1.bb434d72f19b1p-2}, 
      }}, 
      -0x1.23c7a1c7578d4p+5, 0x1.788bf99bd5cdbp+9
    }
  };
  // clang-format on
}
SkfData params_hyb_0_2_si_ga() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.1b8e7eb39192cp-1, -0x1.a952b779ee584p-2, -0x1.2078dd6e1f0b2p-2, -0x1.3b6d3450ecd7ep-3, -0x1.0f4c042e79741p-5, 0x1.49431462b3bddp-4, 0x1.7d2250a93d7a7p-3, 0x1.229f3cf10d677p-2, 0x1.7e68cd1e1bb5bp-2, 0x1.d1fa3681ebbd6p-2, 0x1.0ebc8aac698dbp-1, 0x1.308ff06b79a5bp-1, 0x1.4e9c8d9d4762fp-1, 0x1.690d55c44d28ap-1, 0x1.801129565a3bap-1, 0x1.93d990b5da30dp-1, 0x1.a499a3096eae3p-1, 0x1.b284f2ace3a5ap-1, 0x1.bdce9aedb1a51p-1, 0x1.c6a896ba52feep-1, 0x1.cd43627b80b42p-1, 0x1.d1cdaf9f0aa48p-1, 0x1.d4749beb3c434p-1, 0x1.d562aea8afa1bp-1, 0x1.d4c0489f665e6p-1, 0x1.d2b35a7cb647cp-1, 0x1.cf5f65791b85fp-1, 0x1.cae5955bca1edp-1, 0x1.c564e2f7e5a56p-1, 0x1.befa314fe712dp-1, 0x1.b7c060dafa0d6p-1, 0x1.afd05c4b85ae6p-1, 0x1.a74125be48314p-1, 0x1.9e27ea8207969p-1, 0x1.94981fc03eec6p-1, 0x1.8aa3a568bb65fp-1, 0x1.805ae9cec8cdbp-1, 0x1.75cd08f3eecb9p-1, 0x1.6b07e56c5e1e2p-1, 0x1.60183bab00aep-1, 0x1.5509b1d54621fp-1, 0x1.49e6e62d83012p-1, 0x1.3eb97d91e327fp-1, 0x1.338a32fd2d806p-1, 0x1.2860e858e3f22p-1, 0x1.1d44b8313fc85p-1, 0x1.123c0737e997bp-1, 0x1.074c94587601cp-1, 0x1.f8f70d1ea92c1p-2, 0x1.e39af0e453d44p-2, 0x1.ce8d03e8c3a6cp-2, 0x1.b9d482417d7edp-2, 0x1.a577c48ec896fp-2, 0x1.917c4f8508d64p-2, 0x1.7de6e273e047cp-2, 0x1.6abb84aabf165p-2, 0x1.57fd9201f99c6p-2, 0x1.45afc72f40fe9p-2, 0x1.33d44e9460abfp-2, 0x1.226ccdd6f97e7p-2, 0x1.117a73f690927p-2, 0x1.00fe0710a2339p-2, 0x1.e1efe19d422a5p-3, 0x1.c2d0bd7d11452p-3, 0x1.a49efc6abede3p-3, 0x1.8758d2c4e5e5ep-3, 0x1.6afca15a74333p-3, 0x1.4f88572dfc094p-3, 0x1.34f97fdf4ea26p-3, 0x1.1b4d4fd031579p-3, 0x1.0280ae1adbb23p-3, 0x1.d520795e110b5p-4, 0x1.a6f0be27af96ep-4, 0x1.7a6a80b77a212p-4, 0x1.4f85b1980a734p-4, 0x1.2639e73395dabp-4, 0x1.fcfcd3cc37fa3p-5, 0x1.b094817a52268p-5, 0x1.67287d60cdb2bp-5, 0x1.20a61fd915511p-5, 0x1.b9f51ad2116cep-6, 0x1.38259d834fc8dp-6, 0x1.776f98e59f1eep-7, 0x1.12171243eff07p-8, -0x1.6cb13243df0c7p-9, -0x1.3582a1950452dp-7, -0x1.0320b51462bd4p-6, -0x1.66d8dc16072f8p-6, -0x1.c60dd2609204bp-6, -0x1.10718fad14f8ap-5, -0x1.3bbddef47fd19p-5, -0x1.64fd0aecaa30ep-5, -0x1.8c3ffabced595p-5, -0x1.b19745912b5a7p-5, -0x1.d5132f464b795p-5, -0x1.f6c3a50a17f7ap-5, -0x1.0b5c1d04adb5fp-4, -0x1.1a801228a9e7ep-4, -0x1.28d51d067a5cp-4, -0x1.366277a19ba95p-4, -0x1.432f2a19987f7p-4, -0x1.4f420a2f3c102p-4, -0x1.5aa1bb2283b97p-4, -0x1.6554ade4c02b6p-4, -0x1.6f6121958beadp-4, -0x1.78cd243e6fa96p-4, -0x1.819e93c0253a9p-4, -0x1.89db1ee523e11p-4, -0x1.9188468ed7c8bp-4, -0x1.98ab5ef4e88ddp-4, -0x1.9f4990efba547p-4, -0x1.a567db48805e5p-4, -0x1.ab0b1409c091ep-4, -0x1.b037e9cb36e03p-4, -0x1.b4f2e4f3f882fp-4, -0x1.b94068edd250cp-4, -0x1.bd24b5458c712p-4, -0x1.c0a3e6b4d353p-4, -0x1.c3c1f8149ad56p-4, -0x1.c682c338a2c22p-4, -0x1.c8ea01b72d36fp-4, -0x1.cafb4da1cb8ddp-4, -0x1.ccba22355a31p-4, -0x1.ce29dc87d40a7p-4, -0x1.cf4dbc3a4ac23p-4, -0x1.d028e43409c88p-4, -0x1.d0be5b6a6723p-4, -0x1.d1110db6a010ap-4, -0x1.d123ccb8f736dp-4, -0x1.d0f950c6be33dp-4, -0x1.d09439df50015p-4, -0x1.cff710a34715bp-4, -0x1.cf2447491a892p-4, -0x1.ce1e3a8a7b412p-4, -0x1.cce73286a286fp-4, -0x1.cb816396d2587p-4, -0x1.c9eeef1390bdcp-4, -0x1.c831e40a2681ep-4, -0x1.c64c3fe33ef8fp-4, -0x1.c43feefc13394p-4, -0x1.c20ecd34476a8p-4, -0x1.bfbaa672b4276p-4, -0x1.bd4537236cccap-4, -0x1.bab02cb0fd5e2p-4, -0x1.b7fd25fa684f8p-4, -0x1.b52db3c71f16ap-4, -0x1.b24359395f163p-4, -0x1.af3e800adbff9p-4, -0x1.ac22d7a3af522p-4, -0x1.a8f088b082f88p-4, -0x1.a5a8e0ec5adcap-4, -0x1.a24d22bcff338p-4, -0x1.9ede85b5f1eb1p-4, -0x1.9b5e371086c4fp-4, -0x1.97cd5a185aab1p-4, -0x1.942d088c54a3bp-4, -0x1.907e52f481521p-4, -0x1.8cc240ed9de02p-4, -0x1.88f9d16b719a2p-4, -0x1.8525faf3463ebp-4, -0x1.8147abcff74e2p-4, -0x1.7d5fca41134acp-4, -0x1.796f34a681ed2p-4, -0x1.7576c1aa01f35p-4, -0x1.71774067abb8fp-4, -0x1.6d7178966b8a8p-4, -0x1.69662ab1331b2p-4, -0x1.65561021671cp-4, -0x1.6141db6ad76b9p-4, -0x1.5d2a38595d7b1p-4, -0x1.590fcc30119c8p-4, -0x1.54f335d9e6237p-4, -0x1.50d50e1b58212p-4, -0x1.4cb5e7c4d5534p-4, -0x1.48964fe568175p-4, -0x1.4476cdfd36aeap-4, -0x1.4057e42f626bdp-4, -0x1.3c3a0f72d7c77p-4, -0x1.381dc7c1afa94p-4, -0x1.34038046c82c4p-4, -0x1.2feba7894f8eap-4, -0x1.2bd6a7960dc18p-4, -0x1.27c4e62648882p-4, -0x1.23b6c4c43115ep-4, -0x1.1faca0ece072ap-4, -0x1.1ba6d42ff08afp-4, -0x1.17a5b44cd4671p-4, -0x1.13a9934e1e81ap-4, -0x1.0fb2bfa2e68p-4, -0x1.0bc18436909f1p-4, -0x1.07d6288733df3p-4, -0x1.03f0f0bae061cp-4, -0x1.00121db407695p-4, -0x1.f873da4a7871ep-5, -0x1.f0d133490c3ecp-5, -0x1.e93cb57cdb186p-5, -0x1.e1b6ca11d61e4p-5, -0x1.da3fd46ca5a73p-5, -0x1.d2d832509ed3p-5, -0x1.cb803c05ee3e1p-5, -0x1.c438447ffb002p-5, -0x1.bd009983fe178p-5, -0x1.b5d983cfb817p-5, -0x1.aec347402ccecp-5, -0x1.a7be22f84654p-5, -0x1.a0ca51873a766p-5, -0x1.99e8090e89d25p-5, -0x1.93177b6780936p-5, -0x1.8c58d64807a4cp-5, -0x1.85ac4366b7e32p-5, -0x1.7f11e89e08415p-5, -0x1.7889e80e8f229p-5, -0x1.721460403a10dp-5, -0x1.6bb16c427e446p-5, -0x1.656123cb7337bp-5, -0x1.5f239b55db7e3p-5, -0x1.58f8e43e1f648p-5, -0x1.52e10cde3b1b5p-5, -0x1.4cdc20a8b1ab4p-5, -0x1.46ea28428c6e7p-5, -0x1.410b299c73bbp-5, -0x1.3b3f280af5271p-5, -0x1.3586245dff226p-5, -0x1.2fe01cf7ac4a6p-5, -0x1.2a4d0de260eedp-5, -0x1.24ccf0e653678p-5, -0x1.1f5fbd9e89c9fp-5, -0x1.1a05698d56d86p-5, -0x1.14bde83064f1ep-5, -0x1.0f892b14533b7p-5, -0x1.0a6721e7f4d8ap-5, -0x1.0557ba8f2fbb7p-5, -0x1.005ae13583d98p-5, -0x1.f6e100c082329p-6, -0x1.ed310200cbfd8p-6, -0x1.e3a59508612a3p-6, -0x1.da3e85d0b8a02p-6, -0x1.d0fb9d9219142p-6, -0x1.c7dca2e4c689dp-6, -0x1.bee159e1858b5p-6, -0x1.b60984416e73bp-6, -0x1.ad54e17d0423cp-6, -0x1.a4c32eea9ce72p-6, -0x1.9c5427dc02cb9p-6, -0x1.940785bb58cb1p-6, -0x1.8bdd002737683p-6, -0x1.83d44d0e0225dp-6, -0x1.7bed20c8795eep-6, -0x1.74272e3379032p-6, -0x1.6c8226c8f7ec5p-6, -0x1.64fdbab839058p-6, -0x1.5d9998fd39867p-6, -0x1.56556f775c42dp-6, -0x1.4f30eaff52c23p-6, -0x1.482bb77c4df9ep-6, -0x1.41457ff87979cp-6, -0x1.3a7deeb4bd874p-6, -0x1.33d4ad3be0137p-6, -0x1.2d496474f3a86p-6, -0x1.26dbbcb52ad2fp-6, -0x1.208b5dd10f54ep-6, -0x1.1a57ef2d1c69fp-6, -0x1.144117cdd08a2p-6, -0x1.0e467e6729489p-6, -0x1.0867c96b9a332p-6, -0x1.02a49f1a82ec6p-6, -0x1.f9f94b1c3ae9dp-7, -0x1.eedf0591ede2ap-7, -0x1.e3f9b985d92c8p-7, -0x1.d948b2eb6080bp-7, -0x1.cecb3dd1ba51dp-7, -0x1.c480a67b38077p-7, -0x1.ba683973ad0bap-7, -0x1.b08143a5fbb3ap-7, -0x1.a6cb1270dbb86p-7, -0x1.9d44f3babe183p-7, -0x1.93ee3604f461fp-7, -0x1.8ac6287e04e56p-7, -0x1.81cc1b13424cap-7, -0x1.78ff5e8199f45p-7, -0x1.705f4465ae1f2p-7, -0x1.67eb1f4b2b213p-7, -0x1.5fa242bb6f6f5p-7, -0x1.5784034b83c34p-7, -0x1.4f8fb6a953d7cp-7, -0x1.47c4b3a8535f7p-7, -0x1.4022524d6fadfp-7, -0x1.38a7ebda5ef8bp-7, -0x1.3154dad857ep-7, -0x1.2a287b222a5c5p-7, -0x1.232229edc604bp-7, -0x1.1c4145d52dd42p-7, -0x1.15852ededf557p-7, -0x1.0eed4685b0979p-7, -0x1.0878efc02a8a9p-7, -0x1.02278f0761524p-7, -0x1.f7f114baa4071p-8, -0x1.ebd692a58b0a1p-8, -0x1.dffe6a1982979p-8, -0x1.d467709309f16p-8, -0x1.c9107eca38e03p-8, -0x1.bdf870bb0f5ebp-8, -0x1.b31e25acf8ebp-8, -0x1.a88080398d10bp-8, -0x1.9e1e66528f22cp-8, -0x1.93f6c14737006p-8, -0x1.8a087dc8c95ep-8, -0x1.80528bee83822p-8, -0x1.76d3df38e379bp-8, -0x1.6d8b6e945023p-8, -0x1.6478345b2819bp-8, -0x1.5b992e573d6c4p-8, -0x1.52ed5dc2c2e4bp-8, -0x1.4a73c748b03dp-8, -0x1.422bdbf7e3931p-8, -0x1.3a13d671f2869p-8, -0x1.322b2d65dc519p-8, -0x1.2a70f34aa1e34p-8, -0x1.22e43e02985dep-8, -0x1.1b8426d8d7d83p-8, -0x1.144fca7e4632bp-8, -0x1.0d4649064af2ap-8, -0x1.0666c5e327129p-8, -0x1.ff60cfc3f8a4cp-9, -0x1.f244b24d092dep-9, -0x1.e5778e4cf6a33p-9, -0x1.d8f7c54983e3bp-9, -0x1.ccc3bf58740f5p-9, -0x1.c0d9eb14c7732p-9, -0x1.b538bd936e898p-9, -0x1.a9deb2578c63p-9, -0x1.9eca4b4643f7ap-9, -0x1.93fa109a19617p-9, -0x1.896c90d5e8b2p-9, -0x1.7f2060b78074bp-9, -0x1.75141b29d64bbp-9, -0x1.6b466136e8cdp-9, -0x1.61b5d9f94e9dcp-9, -0x1.5861328d6edcp-9, -0x1.4f471e0278cb6p-9, -0x1.4666554b0dd1dp-9, -0x1.3dbd972daf37bp-9, -0x1.354ba834ea9b2p-9, -0x1.2d0f529f5177cp-9, -0x1.2507664f3aa46p-9, -0x1.1d32b8ba51b52p-9, -0x1.159024d8ff871p-9, -0x1.0e1e8b15a5314p-9, -0x1.06dcd13bb6e01p-9, -0x1.ff93c4cd69d1ep-10, -0x1.f1c95de215f36p-10, -0x1.e45858c5a9a2dp-10, -0x1.d73eaac120ccbp-10, -0x1.ca7a53337d2f9p-10, -0x1.be095b6ef01b7p-10, -0x1.b1e9d695edac2p-10, -0x1.a619e17838226p-10, -0x1.9a97a26fdffa9p-10, -0x1.8f61493e5185fp-10, -0x1.84750ee958624p-10, -0x1.79d1359841571p-10, -0x1.6f74087105356p-10, -0x1.655bdb75933d4p-10, -0x1.5b870b6135696p-10, -0x1.51f3fd861b01ap-10, -0x1.48a11fab0cd6ep-10, -0x1.3f8ce7e950c84p-10, -0x1.36b5d48ab6f07p-10, -0x1.2e1a6be7ea61dp-10, -0x1.25b93c46ecaa5p-10, -0x1.1d90dbb9df07dp-10, -0x1.159fe7fe0508p-10, -0x1.0de5065b03f4dp-10, -0x1.065ee3827fb4p-10, -0x1.fe1866dfd05a7p-11, -0x1.efd76291510f4p-11, -0x1.e1f83e792e82ap-11, -0x1.d4788ccd7eabfp-11, -0x1.c755ed5ceed74p-11, -0x1.ba8e0d51a01p-11, -0x1.ae1ea6f4a8261p-11, -0x1.a205817245f2p-11, -0x1.9640709ebe7bp-11, -0x1.8acd54bbece8ap-11, -0x1.7faa1a3f804a9p-11, -0x1.74d4b999eedfdp-11, -0x1.6a4b36fe14b9ep-11, -0x1.600ba22989e63p-11, -0x1.5614162da3467p-11, -0x1.4c62b9392a7c3p-11, -0x1.42f5bc62bf62fp-11, -0x1.39cb5b73eac26p-11, -0x1.30e1dcb4dfbdap-11, -0x1.283790b8e77f3p-11, -0x1.1fcad22b775abp-11, -0x1.179a059df2851p-11, -0x1.0fa39956131bdp-11, -0x1.07e6051cf7545p-11, -0x1.005fca0ed753ap-11, -0x1.f21ee4d6b969bp-12, -0x1.e3e722cd3693p-12, -0x1.d61585f55aaa6p-12, -0x1.c8a75773dd86ep-12, -0x1.bb99f143aa2ep-12, -0x1.aeeabddccee7ap-12, -0x1.a29737dca81eap-12, -0x1.969ce9af411a9p-12, -0x1.8af96d39eb061p-12, -0x1.7faa6b8711e8ep-12, -0x1.74ad9c7341a0bp-12, -0x1.6a00c65b661a1p-12, -0x1.5fa1bdcc3eaebp-12, -0x1.558e65330daadp-12, -0x1.4bc4ac8f7cc53p-12, -0x1.42429126bb09fp-12, -0x1.39061d37d8ba7p-12, -0x1.300d67b156c49p-12, -0x1.275693e7fc4aep-12, -0x1.1edfd14ee4451p-12, -0x1.16a75b30cb55dp-12, -0x1.0eab786a9fa22p-12, -0x1.06ea7b274db6dp-12, -0x1.fec58139b1c8fp-13, -0x1.f0256195576aap-13, -0x1.e1f17c7264194p-13, -0x1.d426cb7568c36p-13, -0x1.c6c25c5ae9123p-13, -0x1.b9c1507e211bcp-13, -0x1.ad20dc623fc87p-13, -0x1.a0de473e28d7p-13, -0x1.94f6ea8aa378ep-13, -0x1.896831930c0cp-13, -0x1.7e2f9908631cfp-13, -0x1.734aae96c81b3p-13, -0x1.68b7107d493b1p-13, -0x1.5e726d280fb91p-13, -0x1.547a82ccc478dp-13, -0x1.4acd1f093e1acp-13, -0x1.41681e844b816p-13, -0x1.38496c90b87dcp-13, -0x1.2f6f02d24f646p-13, -0x1.26d6e8e4eb5acp-13, -0x1.1e7f340584d9ep-13, -0x1.166606bd1f2c6p-13, -0x1.0e89908d999c3p-13, -0x1.06e80da04a31ap-13, -0x1.feff8cecaacd9p-14, -0x1.f09e1f3577358p-14, -0x1.e2a892ac10e8bp-14, -0x1.d51bbec74867p-14, -0x1.c7f4915149702p-14, -0x1.bb300dd86b509p-14, -0x1.aecb4d22d8f71p-14, -0x1.a2c37ca52613fp-14, -0x1.9715ddfbcd7ap-14, -0x1.8bbfc6676c137p-14, -0x1.80be9e4bc5926p-14, -0x1.760fe0b182493p-14, -0x1.6bb11acaa2069p-14, -0x1.619feb799f463p-14, -0x1.57da02db41fdp-14, -0x1.4e5d21d31b582p-14, -0x1.4527199aac398p-14, -0x1.3c35cb5326c84p-14, -0x1.33872799f1161p-14, -0x1.2b192e1faed82p-14, -0x1.22e9ed41fa03ep-14, -0x1.1af781a7b98ebp-14, -0x1.134015e0105ddp-14, -0x1.0bc1e203dc1e7p-14, -0x1.047b2b59b73abp-14, -0x1.fad487f91a771p-15, -0x1.ed1b15090ed0cp-15, -0x1.dfc6d36500f4cp-15, -0x1.d2d4b03b58aefp-15, -0x1.c641afc7374aap-15, -0x1.ba0aecb4bca08p-15, -0x1.ae2d9789a6e03p-15, -0x1.a2a6f611dd07bp-15, -0x1.977462cfe915p-15, -0x1.8c934c712117p-15, -0x1.8201354556c44p-15, -0x1.77bbb2b9dc96fp-15, -0x1.6dc06cd7a7823p-15, -0x1.640d1dc4815bbp-15, -0x1.5a9f914705012p-15, -0x1.5175a44d6b106p-15, -0x1.488d4476bf705p-15, -0x1.3fe46f9eb2762p-15, -0x1.3779336bb4f44p-15, -0x1.2f49acdf6498ap-15, -0x1.275407e9209dcp-15, -0x1.1f967efae56ddp-15, -0x1.180f5aa02d493p-15, -0x1.10bcf116fe4a7p-15, -0x1.099da5eafdca1p-15, -0x1.02afe992b6872p-15, -0x1.f7e4721dbf017p-16, -0x1.eac63b177f343p-16, -0x1.de0258098978ap-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.0863c402d6b51p+1, -0x1.00e7a7bd27771p+1, -0x1.f174ec1f3f969p+0, -0x1.e0013488415b5p+0, -0x1.cdb574fcf0526p+0, -0x1.bacbdef7aca08p+0, -0x1.a777e4edc12cbp+0, -0x1.93e698963b66p+0, -0x1.803f364b922d1p+0, -0x1.6ca3a21d7a57dp+0, -0x1.5930d33cf783ep+0, -0x1.45ff50bf50132p+0, -0x1.3323aff90d5afp+0, -0x1.20aefd886ce24p+0, -0x1.0eaf1aa07b948p+0, -0x1.fa5e37b34bd75p-1, -0x1.d86f4a5fc1c69p-1, -0x1.b79e7556757bep-1, -0x1.97f50c105b1bp-1, -0x1.79792bb98b772p-1, -0x1.5c2e2f4b9b9bp-1, -0x1.40151a140b1ddp-1, -0x1.252cedfd5c035p-1, -0x1.0b7302f4ce51ap-1, -0x1.e5c69fbb3d536p-2, -0x1.b6f14fdf8652ep-2, -0x1.8a59de66a474bp-2, -0x1.5ff28f5fe7131p-2, -0x1.37ac738deecacp-2, -0x1.1177b1c14334ap-2, -0x1.da878fbf40543p-3, -0x1.95ff836243b92p-3, -0x1.5534ca29cbaefp-3, -0x1.1804aa6b668a3p-3, -0x1.bc98bd12f4a03p-4, -0x1.4fd28c1cb06fep-4, -0x1.d2e444ddb65b8p-5, -0x1.12679e7d880dp-5, -0x1.76a894ea19889p-7, 0x1.2f596a8324b87p-7, 0x1.d531f0260cdf3p-6, 0x1.7f19731c8be42p-5, 0x1.04e805d8551fp-4, 0x1.4598b2caed9acp-4, 0x1.81d73b232b6afp-4, 0x1.b9da3d4ebd651p-4, 0x1.edd6791f4c96cp-4, 0x1.0eff67b6b6614p-3, 0x1.25422190430dbp-3, 0x1.39cafdce4023ap-3, 0x1.4cb0a47d79a29p-3, 0x1.5e08d53d94fa1p-3, 0x1.6de86ba0b4c43p-3, 0x1.7c6364875fa7cp-3, 0x1.898ce426cdb17p-3, 0x1.95773c6193ab1p-3, 0x1.a033f32f871fp-3, 0x1.a9d3c8f16abb7p-3, 0x1.b266bea867c2bp-3, 0x1.b9fc1c18b890ap-3, 0x1.c0a275e1e9083p-3, 0x1.c667b3923cfe7p-3, 0x1.cb5915b3b8bb3p-3, 0x1.cf833a86b38f8p-3, 0x1.d2f22c72c22fcp-3, 0x1.d5b1517584f58p-3, 0x1.d7cb8902aef37p-3, 0x1.d94b2977446c4p-3, 0x1.da3a059f179dcp-3, 0x1.daa172105eb71p-3, 0x1.da8a4a60b66e4p-3, 0x1.d9fcf636ab80ap-3, 0x1.d9016e3a2cadbp-3, 0x1.d79f40e5190bep-3, 0x1.d5dd9733fa89ep-3, 0x1.d3c33935e2faap-3, 0x1.d1569279b59ep-3, 0x1.ce9db656d8d3bp-3, 0x1.cb9e640f787e4p-3, 0x1.c85e0acae5e4dp-3, 0x1.c4e1cd6749e3cp-3, 0x1.c12e8622703dep-3, 0x1.bd48ca1a28163p-3, 0x1.b934eca5181bep-3, 0x1.b4f70285a04e5p-3, 0x1.b092e4f88ad4ep-3, 0x1.ac0c34a1a7fep-3, 0x1.a7665c58733d2p-3, 0x1.a2a493d695fc1p-3, 0x1.9dc9e249d6b6dp-3, 0x1.98d920caa91fp-3, 0x1.93d4fcb84238cp-3, 0x1.8ebff9fae3e06p-3, 0x1.899c752d1db8fp-3, 0x1.846ca5aca3991p-3, 0x1.7f329f936b261p-3, 0x1.79f05599ae0f1p-3, 0x1.74a79ae16671bp-3, 0x1.6f5a24abc5d3dp-3, 0x1.6a098bf922b9fp-3, 0x1.64b74f13ea769p-3, 0x1.5f64d3072e7fp-3, 0x1.5a1365017c4f7p-3, 0x1.54c43ba4ec7c6p-3, 0x1.4f7878453a49bp-3, 0x1.4a31281501a71p-3, 0x1.44ef454316579p-3, 0x1.3fb3b8090795ap-3, 0x1.3a7f57abb323ep-3, 0x1.3552eb6ec655p-3, 0x1.302f2b7bd5eep-3, 0x1.2b14c1bd9fc7p-3, 0x1.26044aaff3f4p-3, 0x1.20fe5624a555bp-3, 0x1.1c0367fe03c1dp-3, 0x1.1713f8df36d68p-3, 0x1.123076d314497p-3, 0x1.0d5945e9ee9a5p-3, 0x1.088ec0cede56ap-3, 0x1.03d1395520be8p-3, 0x1.fe41f1fbd3d39p-4, 0x1.f4fc82ee3ed26p-4, 0x1.ebd29a268fd53p-4, 0x1.e2c49e760c29p-4, 0x1.d9d2e9b0a338bp-4, 0x1.d0fdc97779c2dp-4, 0x1.c8457ff81ad46p-4, 0x1.bfaa44a0c9ae3p-4, 0x1.b72c44cab293dp-4, 0x1.aecba45a7af02p-4, 0x1.a6887e57d0e61p-4, 0x1.9e62e57c88cd9p-4, 0x1.965ae4bbd6397p-4, 0x1.8e707fc1efb16p-4, 0x1.86a3b36cb9b1dp-4, 0x1.7ef4763db13dp-4, 0x1.7762b8c5863a5p-4, 0x1.6fee6609b5af8p-4, 0x1.689763e47de5cp-4, 0x1.615d935f79b5bp-4, 0x1.5a40d10937992p-4, 0x1.5340f5461447dp-4, 0x1.4c5dd49ca04d9p-4, 0x1.45973ffdd0a19p-4, 0x1.3eed05093399p-4, 0x1.385eee4d60379p-4, 0x1.31ecc384d0f1cp-4, 0x1.2b964dec6485fp-4, 0x1.255b491c452a7p-4, 0x1.1f3b785123bb3p-4, 0x1.19369a0f5062ap-4, 0x1.134c6b0c3c7c5p-4, 0x1.0d7ca658e014dp-4, 0x1.07c705897a1ccp-4, 0x1.022b40dad5013p-4, 0x1.f9521eaa8cbd7p-5, 0x1.ee804ddb2053cp-5, 0x1.e3e07947a597fp-5, 0x1.d97209417372fp-5, 0x1.cf3464a202efp-5, 0x1.c526f0fef8bap-5, 0x1.bb4912db5d5fp-5, 0x1.b19a2dd6357bap-5, 0x1.a819a4d6a0487p-5, 0x1.9ec6da35a05a4p-5, 0x1.95a12fe5a8fd8p-5, 0x1.8ca807980a90ap-5, 0x1.83dac2e05028cp-5, 0x1.7b38c355a8e3bp-5, 0x1.72c16ab263f13p-5, 0x1.6a741af19b1ebp-5, 0x1.6250366b0fc54p-5, 0x1.5a551fed5421ap-5, 0x1.52823ad647c6cp-5, 0x1.4ad6eb29fb934p-5, 0x1.435295a80979p-5, 0x1.3bf49fdf73cc2p-5, 0x1.34bc70411977ep-5, 0x1.2da96e30d4351p-5, 0x1.26bb02154f89cp-5, 0x1.1ff09566ad548p-5, 0x1.194992bc0ae26p-5, 0x1.12c565d7f2e0fp-5, 0x1.0c637bb3d8ab7p-5, 0x1.0623428aa0d2fp-5, 0x1.000429e2535fep-5, 0x1.f40b4529fcfbap-6, 0x1.e84e3db1b7b79p-6, 0x1.dcd0248f84851p-6, 0x1.d18fe3cbed72cp-6, 0x1.c68c6850b9c0fp-6, 0x1.bbc4a1f433b42p-6, 0x1.b13783835bf75p-6, 0x1.a6e402cb1cd9dp-6, 0x1.9cc918a085dacp-6, 0x1.92e5c0e826b9fp-6, 0x1.8938fa9c88a75p-6, 0x1.7fc1c7d3d9f8p-6, 0x1.767f2dc4cdc94p-6, 0x1.6d7034cab96c7p-6, 0x1.6493e868fe616p-6, 0x1.5be9574dbb3fep-6, 0x1.536f9353d3bdap-6, 0x1.4b25b18453571p-6, 0x1.430aca1733bfcp-6, 0x1.3b1df87385b32p-6, 0x1.335e5b2f0dbbbp-6, 0x1.2bcb140d538a1p-6, 0x1.246347fe2a303p-6, 0x1.1d261f1bbd36fp-6, 0x1.1612c4a82613cp-6, 0x1.0f28670a8eeaap-6, 0x1.086637cbe8f1cp-6, 0x1.01cb6b9343d62p-6, 0x1.f6ae744383ceap-7, 0x1.ea11bc9c6cd43p-7, 0x1.ddbf2c00e32c3p-7, 0x1.d1b5445882901p-7, 0x1.c5f28d985109dp-7, 0x1.ba7595b7ab17dp-7, 0x1.af3cf0a4bdd16p-7, 0x1.a44738388531ap-7, 0x1.99930c2a6ee7ep-7, 0x1.8f1f120392323p-7, 0x1.84e9f51196173p-7, 0x1.7af266594d085p-7, 0x1.71371c88f942cp-7, 0x1.67b6d3ea58e46p-7, 0x1.5e704e546a3a4p-7, 0x1.5562531d05d6ap-7, 0x1.4c8baf0a3247fp-7, 0x1.43eb34435218fp-7, 0x1.3b7fba422b1cp-7, 0x1.33481dc3bb312p-7, 0x1.2b4340b8f09dp-7, 0x1.23700a37412a2p-7, 0x1.1bcd666923979p-7, 0x1.145a467e70428p-7, 0x1.0d15a09cabdb6p-7, 0x1.05fe6fcf3f638p-7, 0x1.fe2767ef3e454p-8, 0x1.f0a8e37acdd5ap-8, 0x1.e37f64fcd28acp-8, 0x1.d6a9087d75ee2p-8, 0x1.ca23f3316ef61p-8, 0x1.bdee535a09dacp-8, 0x1.b206602532749p-8, 0x1.a66a598d83aa7p-8, 0x1.9b18883a665c9p-8, 0x1.900f3d603c209p-8, 0x1.854cd2a0a3e39p-8, 0x1.7acfa9ead3602p-8, 0x1.70962d5c12132p-8, 0x1.669ecf2052072p-8, 0x1.5ce80952ef2fp-8, 0x1.53705ddf97917p-8, 0x1.4a3656635bb45p-8, 0x1.4138840df16abp-8, 0x1.38757f8324cc1p-8, 0x1.2febe8bc7e5e6p-8, 0x1.279a66eb1fdbap-8, 0x1.1f7fa859d8fa9p-8, 0x1.179a624f77536p-8, 0x1.0fe950f153119p-8, 0x1.086b37261c61dp-8, 0x1.011ede78e5adcp-8, 0x1.f4062df8eb3a5p-9, 0x1.e62d6e5dad78fp-9, 0x1.d8b137ba65b55p-9, 0x1.cb8f500fe088dp-9, 0x1.bec5898e33bdap-9, 0x1.b251c25e1f31ap-9, 0x1.a631e46afdd69p-9, 0x1.9a63e52d5452ep-9, 0x1.8ee5c575f1fffp-9, 0x1.83b59139aa78p-9, 0x1.78d15f5daf04ap-9, 0x1.6e3751847cab8p-9, 0x1.63e593db6ceccp-9, 0x1.59da5ce8e0304p-9, 0x1.5013ed5b09c4bp-9, 0x1.46908fd756ad7p-9, 0x1.3d4e98ca76929p-9, 0x1.344c663905b1p-9, 0x1.2b885f90d46b3p-9, 0x1.2300f57acebadp-9, 0x1.1ab4a1ad8893ap-9, 0x1.12a1e6c066c71p-9, 0x1.0ac74fff65872p-9, 0x1.0323713f88ed5p-9, 0x1.f769cd67c8be1p-10, 0x1.e8f4a9868708bp-10, 0x1.dae4cfbcee1eap-10, 0x1.cd37a8ae75463p-10, 0x1.bfeaac6f7778p-10, 0x1.b2fb62357eafbp-10, 0x1.a6676008c05b3p-10, 0x1.9a2c4a76dbcc3p-10, 0x1.8e47d446c787p-10, 0x1.82b7be2dfaf2dp-10, 0x1.7779d686c1461p-10, 0x1.6c8bf907c212ep-10, 0x1.61ec0e7cbe52p-10, 0x1.57980c806c891p-10, 0x1.4d8df537884f1p-10, 0x1.43cbd70d068d7p-10, 0x1.3a4fcc6f6f9ccp-10, 0x1.3117fb8f599ccp-10, 0x1.2822961f06678p-10, 0x1.1f6dd913167e2p-10, 0x1.16f80c6462f0ep-10, 0x1.0ebf82d2e0fe6p-10, 0x1.06c299a9a28c9p-10, 0x1.fdff7107d4bbbp-11, 0x1.eeeadb5c7308fp-11, 0x1.e043f958ac382p-11, 0x1.d2080c6977282p-11, 0x1.c43431d809d1cp-11, 0x1.b6c5995f8e5ccp-11, 0x1.a9b984c3995abp-11, 0x1.9d0d47689b903p-11, 0x1.90be45ee3c288p-11, 0x1.84c9f5cbb12bp-11, 0x1.792ddcedee577p-11, 0x1.6de79157b97f2p-11, 0x1.62f4b8c3962b2p-11, 0x1.58530847876ffp-11, 0x1.4e0043fa9863fp-11, 0x1.43fa3e9c2e9acp-11, 0x1.3a3ed93d1753ep-11, 0x1.30cc02ea4dcacp-11, 0x1.279fb8597c747p-11, 0x1.1eb803971c58p-11, 0x1.1612fbb64246p-11, 0x1.0daec48208d07p-11, 0x1.05898e3094177p-11, 0x1.fb432a2f4b00dp-12, 0x1.ebea42c57f25fp-12, 0x1.dd050d958f7bp-12, 0x1.ce90489e6b88cp-12, 0x1.c088c7e161521p-12, 0x1.b2eb74da44883p-12, 0x1.a5b54dfa77e29p-12, 0x1.98e36626bf628p-12, 0x1.8c72e437d7741p-12, 0x1.8061027dc4517p-12, 0x1.74ab0e45d272cp-12, 0x1.694e6763279dfp-12, 0x1.5e487fba01694p-12, 0x1.5396dacd6296fp-12, 0x1.49370d4f5591dp-12, 0x1.3f26bcb3985b1p-12, 0x1.35639ec4afa98p-12, 0x1.2beb793b5837dp-12, 0x1.22bc21584db3bp-12, 0x1.19d37b80578ap-12, 0x1.112f7ada9302bp-12, 0x1.08ce20f0efdb7p-12, 0x1.00ad7d52d9fbfp-12, 0x1.f1975a73e5f6dp-13, 0x1.e24db661efb1ap-13, 0x1.d37a7d79344b5p-13, 0x1.c51a380cc81ep-13, 0x1.b729871327ce2p-13, 0x1.a9a52383b88aep-13, 0x1.9c89ddb82297dp-13, 0x1.8fd49cd150157p-13, 0x1.83825e201008dp-13, 0x1.779034914d6aep-13, 0x1.6bfb481dbe547p-13, 0x1.60c0d53cf7751p-13, 0x1.55de2c5bdbb9fp-13, 0x1.4b50b1565b88fp-13, 0x1.4115daf45cd41p-13, 0x1.372b3269c784bp-13, 0x1.2d8e52d9b38bp-13, 0x1.243ce8dc8b88p-13, 0x1.1b34b209215efp-13, 0x1.12737c80ba14fp-13, 0x1.09f7267dce582p-13, 0x1.01bd9de5aaea2p-13, 0x1.f389bfb95ac06p-14, 0x1.e415f0ba707c1p-14, 0x1.d51c03a266608p-14, 0x1.c698495c29637p-14, 0x1.b8872e26c7fe1p-14, 0x1.aae538d764e3ap-14, 0x1.9daf0a1fb6596p-14, 0x1.90e15bd958cdcp-14, 0x1.847900557018dp-14, 0x1.7872e1b0fe14ap-14, 0x1.6ccc012d2b474p-14, 0x1.6181768c392e2p-14, 0x1.56906f72230e3p-14, 0x1.4bf62ec9a9b45p-14, 0x1.41b00c2d11545p-14, 0x1.37bb7352b3bfbp-14, 0x1.2e15e37dad07fp-14, 0x1.24bceef1c4c9ep-14, 0x1.1bae3a6b39548p-14, 0x1.12e77c99f4ddfp-14, 0x1.0a667da033cfp-14, 0x1.022916947f509p-14, 0x1.f45a620df60fbp-15, 0x1.e4e18d13c959ep-15, 0x1.d5e3c07a43a16p-15, 0x1.c75d2cb9daf35p-15, 0x1.b94a1fa6fe71bp-15, 0x1.aba7039b2c8d4p-15, 0x1.9e705ea399d33p-15, 0x1.91a2d1b5cefdep-15, 0x1.853b17e93bf47p-15, 0x1.793605b65c177p-15, 0x1.6d90883b04cebp-15, 0x1.6247a483a4b3fp-15, 0x1.575876d95686dp-15, 0x1.4cc03215621edp-15, 0x1.427c1ef881225p-15, 0x1.38899b878c53ap-15, 0x1.2ee61a6c30036p-15, 0x1.258f225a278e6p-15, 0x1.1c824d7875e9fp-15, 0x1.13bd48cf60527p-15, 0x1.0b3dd3b9e3f83p-15, 0x1.0301bf5b53f6p-15, 0x1.f60ddc31917cdp-16, 0x1.e696a62cfc5bdp-16, 0x1.d799e37104e6ep-16, 0x1.c913ba4e93c7cp-16, 0x1.bb006faf3fc86p-16, 0x1.ad5c662bac93ep-16, 0x1.a0241d28ebb47p-16, 0x1.93542ffc01dc6p-16, 0x1.86e95513d2c67p-16, 0x1.7ae05d2910f57p-16, 0x1.6f3632740e031p-16, 0x1.63e7d7e8828e6p-16, 0x1.58f2687631e0ap-16, 0x1.4e53165078bfbp-16, 0x1.44072a39aeca6p-16, 0x1.3a0c02d451569p-16, 0x1.305f13f961eedp-16, 0x1.26fde61327786p-16, 0x1.1de6157d441e6p-16, 0x1.151551e886b8fp-16, 0x1.0c895dc44c102p-16, 0x1.04400dabb643bp-16, 0x1.f86e8fadc8468p-17, 0x1.e8da072158a84p-17, 0x1.d9be916037c0cp-17, 0x1.cb185e2c6e019p-17, 0x1.bce3bc5dfb8a7p-17, 0x1.af1d18ed8cd9cp-17, 0x1.a1c0fe04e07e2p-17, 0x1.94cc1217ae5c9p-17, 0x1.883b17027b0e1p-17, 0x1.7c0ae9302b2e5p-17, 0x1.70387ec5cdb26p-17, 0x1.64c0e6d58b11cp-17, 0x1.59a148969cd33p-17, 0x1.4ed6e2a3e39b4p-17, 0x1.445f0a3ff4968p-17, 0x1.3a372a9ed4b97p-17, 0x1.305cc4355a0d5p-17, 0x1.26cd6c0d6640cp-17, 0x1.1d86cb1fc0114p-17, 0x1.14869db2ab984p-17, 0x1.0bcab2bdcbb1ap-17, 0x1.0350eb51e2e5p-17, 0x1.f62e740bc171ap-18, 0x1.e63744d16d1e3p-18, 0x1.d6b870ec50ecfp-18, 0x1.c7ae4023236c7p-18, 0x1.b9151906cbcaap-18, 0x1.aae97ff6903a2p-18, 0x1.9d28162b96b35p-18, 0x1.8fcd98ccb8e36p-18, 0x1.82d6e006982c1p-18, 0x1.7640de2f40e76p-18, 0x1.6a089eee0ada9p-18, 0x1.5e2b4669fb0e6p-18, 0x1.52a6107e9fd7fp-18, 0x1.47764ff77cf9ep-18, 0x1.3c996dd2441bp-18, 0x1.320ce885d75f5p-18, 0x1.27ce534ea2804p-18, 0x1.1ddb5581db537p-18, 0x1.1431a9e61f287p-18, 0x1.0acf1e0f769b1p-18, 0x1.01b191c001851p-18, 0x1.f1adeca5b8b5cp-19, 0x1.e07a9c4b162c9p-19, 0x1.cfc55810eab3ep-19, 0x1.bf8a65698657p-19, 0x1.afc6288a922d6p-19, 0x1.a0752368a9475p-19, 0x1.9193f4bae6d1dp-19, 0x1.831f5706925d7p-19, 0x1.75141fb2c7204p-19, 0x1.676f3e2333a4cp-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.a6ab45b587c39p-2, -0x1.740f744267d83p-2, -0x1.433ee79133d45p-2, -0x1.14d74ad7699ebp-2, -0x1.d2a0cb26d37cap-3, -0x1.82009517aaab9p-3, -0x1.383cc3f75971fp-3, -0x1.eb23cef8b7d39p-4, -0x1.74275c7a15451p-4, -0x1.0b639b1c7c20fp-4, -0x1.60faa088b344ap-5, -0x1.8bbd260f213cp-6, -0x1.10a7871bf77d5p-7, 0x1.2d082dc585626p-8, 0x1.e4987cb70bc3dp-7, 0x1.703904bf8b1dcp-6, 0x1.c87ef0a90a55ep-6, 0x1.fe90c4c9fece5p-6, 0x1.0aec4f24b8d1p-5, 0x1.08d73ffff933ap-5, 0x1.f549e0f2e48ecp-6, 0x1.c3aa297288589p-6, 0x1.7fc580b420754p-6, 0x1.2c3f19d188d8p-6, 0x1.971ac45c93668p-7, 0x1.7fed5f785ea35p-8, -0x1.453466c1ba11ap-10, -0x1.1ec641b13e5ep-7, -0x1.0f65994df0d58p-6, -0x1.92bc47c98f03ep-6, -0x1.0bfc535d493b5p-5, -0x1.4eebc2b86fc8ep-5, -0x1.919d0e7754d4fp-5, -0x1.d38fbd8dd1d47p-5, -0x1.0a28137589772p-4, -0x1.29bb671407cbp-4, -0x1.4854652dfd6cdp-4, -0x1.65cc36c3704cep-4, -0x1.8202b861e854cp-4, -0x1.9cde20da3226ap-4, -0x1.b64a3d1c7b91cp-4, -0x1.ce376eaadc97bp-4, -0x1.e499a9d82376p-4, -0x1.f967a880b6de5p-4, -0x1.064d36f4dca9fp-3, -0x1.0f168e189f92ep-3, -0x1.170e825908fdap-3, -0x1.1e34e84b8868ep-3, -0x1.248acf7795d1cp-3, -0x1.2a127fbf90ap-3, -0x1.2ecf6049561f2p-3, -0x1.32c5ca7310d7ep-3, -0x1.35fad0ae282a3p-3, -0x1.38740355a91dfp-3, -0x1.3a373cde25e75p-3, -0x1.3b4a7beaa7ac1p-3, -0x1.3bb3ce01e0796p-3, -0x1.3b7949dce59bbp-3, -0x1.3aa1155e3e241p-3, -0x1.393171a13fee2p-3, -0x1.3730c759dfd1cp-3, -0x1.34a5aebbe519ep-3, -0x1.3196efeeb53bbp-3, -0x1.2e056820d989ep-3, -0x1.2a071511315e9p-3, -0x1.259ac0c0e6c81p-3, -0x1.20c6cbb71c82p-3, -0x1.1b917adbd73eap-3, -0x1.1601005ba82b5p-3, -0x1.101b81dcb87e1p-3, -0x1.09e71a984961dp-3, -0x1.0369d8e53804cp-3, -0x1.f9536f4cf23ccp-4, -0x1.eb59297c49e3ap-4, -0x1.dcf04c0efcda4p-4, -0x1.ce23dcdd050bep-4, -0x1.befe691aa5656p-4, -0x1.af89f7b75fd84p-4, -0x1.9fd0020fcc90ap-4, -0x1.8fd9732fd1f8cp-4, -0x1.7faead0ae35eep-4, -0x1.6f579268860cfp-4, -0x1.5edb93dbafa2bp-4, -0x1.4e41bdf668c7ap-4, -0x1.3d90c704abe23p-4, -0x1.2ccf1ae532184p-4, -0x1.1c02e404268d9p-4, -0x1.0b3210f7ab616p-4, -0x1.f4c4ad6df8d2dp-5, -0x1.d3325f98a8b68p-5, -0x1.b1b7b25bc5bd9p-5, -0x1.905e9b2dcdec4p-5, -0x1.6f30808fcd4eep-5, -0x1.4e36300fda834p-5, -0x1.2d77d63e57b2ap-5, -0x1.0cfcf9a88286bp-5, -0x1.d998f2feba422p-6, -0x1.99d9204b3d838p-6, -0x1.5ac5b2f7b5682p-6, -0x1.1c68b8ddc9b45p-6, -0x1.bd965c39e2ce6p-7, -0x1.43ea312ed1c5ep-7, -0x1.97b693830e9fdp-8, -0x1.55da1679f66a8p-9, 0x1.f387fd43b3972p-11, 0x1.244e817ffbd32p-8, 0x1.034c266a17b15p-7, 0x1.729e6bf16bea7p-7, 0x1.e0160a58895ap-7, 0x1.25d5d69ebdfa5p-6, 0x1.5aac5786039d9p-6, 0x1.8e8b8d87cfeb9p-6, 0x1.c170d9c9777ffp-6, 0x1.f359fd17d2c26p-6, 0x1.12228e2334793p-5, 0x1.2a186200b4176p-5, 0x1.418df5ba23506p-5, 0x1.5882faa980675p-5, 0x1.6ef757808faadp-5, 0x1.84eb26ded93a8p-5, 0x1.9a5eb4f19566fp-5, 0x1.af527c35dfe19p-5, 0x1.c3c72182e691ap-5, 0x1.d7bd6f8b32a9dp-5, 0x1.eb36520974266p-5, 0x1.fe32d0cea4b78p-5, 0x1.085a0572907edp-4, 0x1.115d98fb88217p-4, 0x1.1a24c30f6998ap-4, 0x1.22b0291f6c082p-4, 0x1.2b007479fcdd2p-4, 0x1.3316511595168p-4, 0x1.3af26caca8acbp-4, 0x1.42957625bda21p-4, 0x1.4a001d3f33bbbp-4, 0x1.51331273a76fcp-4, 0x1.582f070a5ae91p-4, 0x1.5ef4ad4686f3ep-4, 0x1.6584b8a8f044dp-4, 0x1.6bdfde3845a0cp-4, 0x1.7206d4c68df3ep-4, 0x1.77fa552bee63p-4, 0x1.7dbb1a71378dbp-4, 0x1.8349e1e6a9d8ep-4, 0x1.88a76b252cd04p-4, 0x1.8dd477f9b9699p-4, 0x1.92d1cc3bdeabp-4, 0x1.979bc4617da82p-4, 0x1.9c3bcaf6ff72fp-4, 0x1.a0ae94b546188p-4, 0x1.a4f4e7766b85bp-4, 0x1.a90f88495cf2dp-4, 0x1.acff3b49dbe27p-4, 0x1.b0c4c37990287p-4, 0x1.b460e2999a5cfp-4, 0x1.b7d45903daa9dp-4, 0x1.bb1fe583c1ba6p-4, 0x1.be44452e3eba6p-4, 0x1.c1423339160a2p-4, 0x1.c41a68d1de3ap-4, 0x1.c6cd9cf52ac3fp-4, 0x1.c95c8446c5afbp-4, 0x1.cbc7d0ebd409ep-4, 0x1.ce103267d2acp-4, 0x1.d036557d8d9acp-4, 0x1.d23ae414e89bp-4, 0x1.d41e8526450e2p-4, 0x1.d5e1dcac4a2p-4, 0x1.d7858b9c53dfdp-4, 0x1.d90a2fe5ca5e6p-4, 0x1.da7064784f36fp-4, 0x1.dbb8c15059ba5p-4, 0x1.dce3db89bf8b5p-4, 0x1.ddf245774a428p-4, 0x1.dee48ebe88befp-4, 0x1.dfbb44769873p-4, 0x1.e076f148eb1b3p-4, 0x1.e1181d92c1a78p-4, 0x1.e19f4f863f5a5p-4, 0x1.e20d0b4a0efbcp-4, 0x1.e261d31695c55p-4, 0x1.e29e274ff98bp-4, 0x1.e2c2869c6114cp-4, 0x1.e2cf6df5f1c12p-4, 0x1.e2c558b86e4a7p-4, 0x1.e2a4c0aa6c215p-4, 0x1.e26e1e02428bp-4, 0x1.e221e767279fdp-4, 0x1.e1c091eee2f48p-4, 0x1.e14a9118bed13p-4, 0x1.e0c056c67979ep-4, 0x1.e0225333cf955p-4, 0x1.df70f4ed90b59p-4, 0x1.deaca8c8dc575p-4, 0x1.ddd5d9db4555ep-4, 0x1.dcecf1747beb8p-4, 0x1.dbf2571a006bcp-4, 0x1.dae670854f501p-4, 0x1.d9c9a1a4d0788p-4, 0x1.d89c4c9fa5c75p-4, 0x1.d75ed1dc8a58bp-4, 0x1.d611900b732d5p-4, 0x1.d4b4e43208257p-4, 0x1.d34929ba6f9a4p-4, 0x1.d1ceba8432865p-4, 0x1.d045eef6ca697p-4, 0x1.ceaf1e155334dp-4, 0x1.cd0a9d92f7b04p-4, 0x1.cb58c1e790e4bp-4, 0x1.c999de63fd65cp-4, 0x1.c7ce4545cfb89p-4, 0x1.c5f647c9cfe72p-4, 0x1.c412363d17f4cp-4, 0x1.c222600c6c33ap-4, 0x1.c02713d198f33p-4, 0x1.be209f5ec5b14p-4, 0x1.bc0f4fc781fep-4, 0x1.b9f37167af422p-4, 0x1.b7cd4fe8405ddp-4, 0x1.b59d3641f795fp-4, 0x1.b3636ebe3d344p-4, 0x1.b12042f65a7f3p-4, 0x1.aed3fbd13c383p-4, 0x1.ac7ee180181c4p-4, 0x1.aa213b7a2db15p-4, 0x1.a7bb5077f18b8p-4, 0x1.a54d666de4208p-4, 0x1.a2d7c2874c759p-4, 0x1.a05aa921392bcp-4, 0x1.9dd65dc5c4663p-4, 0x1.9b4b2327f988dp-4, 0x1.98b93b206109ap-4, 0x1.9620e6aa5dc7ap-4, 0x1.938265e25f3f6p-4, 0x1.90ddf804f9267p-4, 0x1.8e33db6edacc6p-4, 0x1.8b844d9d9bb4p-4, 0x1.88cf8b315032p-4, 0x1.8615cfeecf5fdp-4, 0x1.835756c29087p-4, 0x1.809459c4032a5p-4, 0x1.7dcd123944fffp-4, 0x1.7b01b89b14435p-4, 0x1.78328498e3cdep-4, 0x1.755fad1cf11fp-4, 0x1.7289685043583p-4, 0x1.6fafeb9e7ae6ep-4, 0x1.6cd36bb95f089p-4, 0x1.69f41c9c15754p-4, 0x1.6712318dfab06p-4, 0x1.642ddd2510456p-4, 0x1.61475147fb20ep-4, 0x1.5e5ebf2f90f94p-4, 0x1.5b745767f769p-4, 0x1.588849d15624bp-4, 0x1.559ac5a02732fp-4, 0x1.52abf95d28d9dp-4, 0x1.4fbc12e5027ep-4, 0x1.4ccb3f67a29cdp-4, 0x1.49d9ab6765b5cp-4, 0x1.46e782b810b1bp-4, 0x1.43f4f07dadbcdp-4, 0x1.41021f2b591d6p-4, 0x1.3e0f3882034fap-4, 0x1.3b1c658f3bc0fp-4, 0x1.3829ceac0861bp-4, 0x1.35379b7bd443ap-4, 0x1.3245f2eb7b11bp-4, 0x1.2f54fb3079798p-4, 0x1.2c64d9c844d02p-4, 0x1.2975b377cd492p-4, 0x1.2687ac4b2deb3p-4, 0x1.239ae7958825fp-4, 0x1.20af87f10e5fap-4, 0x1.1dc5af3f39cabp-4, 0x1.1add7ea928b09p-4, 0x1.17f716a0258dap-4, 0x1.151296de53a57p-4, 0x1.12301e67797f2p-4, 0x1.0f4fcb89ecfbbp-4, 0x1.0c71bbdf96ff4p-4, 0x1.09960c4f0f33fp-4, 0x1.06bcd90cccbc5p-4, 0x1.03e63d9c6444ap-4, 0x1.011254d1d77e2p-4, 0x1.fc8271a5d8b0ep-5, 0x1.f6e606312008cp-5, 0x1.f14f98e07dc6ap-5, 0x1.ebbf59fae598ap-5, 0x1.e635787629ab8p-5, 0x1.e0b221f9e32acp-5, 0x1.db3582e262d8fp-5, 0x1.d5bfc6439f8b2p-5, 0x1.d05115ec2c61dp-5, 0x1.cae99a682d9a3p-5, 0x1.c5897b0452ffep-5, 0x1.c030ddd0d4d55p-5, 0x1.badfe7a47062ap-5, 0x1.b596bc1f6f11dp-5, 0x1.b0557daeae3fcp-5, 0x1.ab1c4d8eac53dp-5, 0x1.a5eb4bce9e49ap-5, 0x1.a0c297538c9ep-5, 0x1.9ba24ddb7474dp-5, 0x1.968a8c00761dep-5, 0x1.917b6d3c093a8p-5, 0x1.8c750bea39555p-5, 0x1.8777814cf0325p-5, 0x1.8282e58f45c0ap-5, 0x1.7d974fc8dc5c4p-5, 0x1.78b4d60145dc3p-5, 0x1.73db8d33732e5p-5, 0x1.6f0b89512d731p-5, 0x1.6a44dd46978b9p-5, 0x1.6588510bc78eap-5, 0x1.60d4862470773p-5, 0x1.5c2a44a251fc7p-5, 0x1.57899bbbc7fcap-5, 0x1.52f299b4f944cp-5, 0x1.4e654be29a116p-5, 0x1.49e1beaccbc2dp-5, 0x1.4567fd9213709p-5, 0x1.40f8132a6c485p-5, 0x1.3c92092a78e2cp-5, 0x1.3835e866cb1ep-5, 0x1.33e3b8d74f803p-5, 0x1.2f9b819acc4efp-5, 0x1.2b5d48fa81051p-5, 0x1.2729146ddca6fp-5, 0x1.22fee89e4a418p-5, 0x1.1edec96b14fc5p-5, 0x1.1ac8b9ed5e76ap-5, 0x1.16bcbc7c24a0ap-5, 0x1.12bad2b058d14p-5, 0x1.0ec2fd690002ap-5, 0x1.0ad53ccf5c8dfp-5, 0x1.06f1905b210d8p-5, 0x1.0317f6d6a2e48p-5, 0x1.fe90dcc62638ap-6, 0x1.f705e8f961242p-6, 0x1.ef8f0bfdf719ep-6, 0x1.e82c3e51c05c9p-6, 0x1.e0dd7741ba06p-6, 0x1.d9a2acf237b89p-6, 0x1.d27bd4670033cp-6, 0x1.cb68e18b5851cp-6, 0x1.c469c739e5e89p-6, 0x1.bd7e774478a17p-6, 0x1.b6a6e27bb5f72p-6, 0x1.afe2f8b69c633p-6, 0x1.a932a8d9e62cdp-6, 0x1.a295e0df46ec5p-6, 0x1.9c0c8ddc86932p-6, 0x1.95969c0a70d33p-6, 0x1.8f33f6cba58fbp-6, 0x1.88e488b34402cp-6, 0x1.82a83b8b6d12p-6, 0x1.7c7ef85ba97dfp-6, 0x1.7668a76f24706p-6, 0x1.7065305acd694p-6, 0x1.6a747a0357b13p-6, 0x1.64966aa318048p-6, 0x1.5ecae7cfca51dp-6, 0x1.5911d68037cdcp-6, 0x1.536b1b11c7ea8p-6, 0x1.4dd6994df2594p-6, 0x1.4854346fa3ac7p-6, 0x1.42e3cf2883041p-6, 0x1.3d854ba62d2bbp-6, 0x1.38388b9757cb8p-6, 0x1.32fd7030e24dbp-6, 0x1.2dd3da32e06e8p-6, 0x1.28bba9ed8b772p-6, 0x1.23b4bf462bbb1p-6, 0x1.1ebef9bbf6d31p-6, 0x1.19da386cdcf4bp-6, 0x1.15065a1a4ff47p-6, 0x1.10433d2dfacd1p-6, 0x1.0b90bfbe75a1cp-6, 0x1.06eebf93e3f02p-6, 0x1.025d1a2c96facp-6, 0x1.fbb759832f269p-7, 0x1.f2d4a8965e5f5p-7, 0x1.ea11db0ac471dp-7, 0x1.e16ea9e8b88d3p-7, 0x1.d8eacdd1a93a4p-7, 0x1.d085ff08c4f8cp-7, 0x1.c83ff57b881f9p-7, 0x1.c01868ca2e971p-7, 0x1.b80f105000fbdp-7, 0x1.b023a32b89d4bp-7, 0x1.a855d8469aeefp-7, 0x1.a0a5665e3964fp-7, 0x1.9912040a4d215p-7, 0x1.919b67c53cacep-7, 0x1.8a4147f34f49cp-7, 0x1.83035ae9dafb5p-7, 0x1.7be156f64c8ebp-7, 0x1.74daf264f1b61p-7, 0x1.6defe3879783bp-7, 0x1.671fe0bbe6bfp-7, 0x1.606aa0718d8f6p-7, 0x1.59cfd9302ca29p-7, 0x1.534f419d0c07ap-7, 0x1.4ce890808de45p-7, 0x1.469b7ccb6a6b5p-7, 0x1.4067bd9ba7243p-7, 0x1.3a4d0a415b655p-7, 0x1.344b1a432c52ap-7, 0x1.2e61a56295c62p-7, 0x1.2890639ff136dp-7, 0x1.22d70d3e48f91p-7, 0x1.1d355ac6ea79cp-7, 0x1.17ab050cca2bap-7, 0x1.1237c52facc52p-7, 0x1.0cdb549f220c7p-7, 0x1.07956d1d4bd8dp-7, 0x1.0265c8c17cafep-7, 0x1.fa9843f54d126p-8, 0x1.f090672350fd5p-8, 0x1.e6b37156eb93p-8, 0x1.dd00d99637582p-8, 0x1.d37817a755dcp-8, 0x1.ca18a4140b3ddp-8, 0x1.c0e1f82d375a1p-8, 0x1.b7d38e0e158d5p-8, 0x1.aeece09f6c228p-8, 0x1.a62d6b9a99232p-8, 0x1.9d94ab8c7fe86p-8, 0x1.95221dd876648p-8, 0x1.8cd540bb15b67p-8, 0x1.84ad934d05abdp-8, 0x1.7caa9585c4e32p-8, 0x1.74cbc83e6171ep-8, 0x1.6d10ad343924fp-8, 0x1.6578c70bac3ddp-8, 0x1.5e039952d390ap-8, 0x1.56b0a88433417p-8, 0x1.4f7f7a095f6efp-8, 0x1.486f943da3f52p-8, 0x1.41807e709b4d4p-8, 0x1.3ab1c0e8bc6bap-8, 0x1.3402e4e5d410ep-8, 0x1.2d7374a36d388p-8, 0x1.2702fb5b246a6p-8, 0x1.20b10546d3a4bp-8, 0x1.1a7d1fa2a6e8dp-8, 0x1.1466d8af0b588p-8, 0x1.0e6dbfb2753b2p-8, 0x1.089164faff724p-8, 0x1.02d159dfd0632p-8, 0x1.fa5a6184c3328p-9, 0x1.ef48fa1f05779p-9, 0x1.e46da6808539ep-9, 0x1.d9c791b50d524p-9, 0x1.cf55e8e31d43ap-9, 0x1.c517db4c6cf62p-9, 0x1.bb0c9a4e3555ep-9, 0x1.b133596101097p-9, 0x1.a78b4e18537f6p-9, 0x1.9e13b021fd3b5p-9, 0x1.94cbb9453fb8cp-9, 0x1.8bb2a561bea4p-9, 0x1.82c7b26e60beep-9, 0x1.7a0a2078071ep-9, 0x1.717931a04bb68p-9, 0x1.69142a1c3d1c3p-9, 0x1.60da503331e3bp-9, 0x1.58caec3d9e457p-9, 0x1.50e548a4256cep-9, 0x1.4928b1deb69a3p-9, 0x1.41947673eb91p-9, 0x1.3a27e6f88b9efp-9, 0x1.32e2560f3d5bap-9, 0x1.2bc3186869f2ap-9, 0x1.24c984c24e074p-9, 0x1.1df4f3e9286dcp-9, 0x1.1744c0b79a6f4p-9, 0x1.10b84817080d6p-9, 0x1.0a4ee90008994p-9, 0x1.0408047aed3f1p-9, 0x1.fbc5fb403e12ep-10, 0x1.efbe7331074b6p-10, 0x1.e3f83f3b3e564p-10, 0x1.d87231f33d9a1p-10, 0x1.cd2b220e3ffe3p-10, 0x1.c221ea614d123p-10, 0x1.b75569dfacbdp-10, 0x1.acc483987e3e9p-10, 0x1.a26e1eb3c9361p-10, 0x1.9851266e8a933p-10, 0x1.8e6c8a161e45dp-10, 0x1.84bf3d02f5e9p-10, 0x1.7b4836923293ep-10, 0x1.7206721ec631fp-10, 0x1.68f8eef9b94dep-10, 0x1.601eb061c49ap-10, 0x1.5776bd7a4977p-10, 0x1.4f002141b4bc7p-10, 0x1.46b9ea876a28cp-10, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.2b384f07464fdp-1, -0x1.266c2c90bb35fp-1, -0x1.20edfd5b11ab8p-1, -0x1.1ae0b0e01b543p-1, -0x1.14645bea599d9p-1, -0x1.0d95fb5d2561ep-1, -0x1.068f5cb9726e4p-1, -0x1.fecebbed2eb7bp-2, -0x1.f063eef1e51b3p-2, -0x1.e20093b7f48afp-2, -0x1.d3c1e0246bfa2p-2, -0x1.c5c0831d2e732p-2, -0x1.b810db4058379p-2, -0x1.aac35581d5cddp-2, -0x1.9de4fcc634c69p-2, -0x1.917fed21e058p-2, -0x1.859b9d768869bp-2, -0x1.7a3d278ac4d38p-2, -0x1.6f679ed646128p-2, -0x1.651c666a927e4p-2, -0x1.5b5b774f93f44p-2, -0x1.522399aa66a46p-2, -0x1.49727f768d5dfp-2, -0x1.41452447cb4cbp-2, -0x1.3997c9ed0c346p-2, -0x1.326624fc06eacp-2, -0x1.2bab7f6a84cbfp-2, -0x1.2562d9bdb2be9p-2, -0x1.1f87071196559p-2, -0x1.1a12c0c80fff5p-2, -0x1.1500b25ce0c08p-2, -0x1.104b8156af97ep-2, -0x1.0bedd5af99ceep-2, -0x1.07e2648d59251p-2, -0x1.0423fc2be1da3p-2, -0x1.00ad8e8a8c4c6p-2, -0x1.faf471f2a33fep-3, -0x1.f50a901025dd3p-3, -0x1.ef947113211abp-3, -0x1.ea896dd8b602dp-3, -0x1.e5e13c594ea42p-3, -0x1.e193ee8b05d2dp-3, -0x1.dd99f2fe75e35p-3, -0x1.d9ec16e5fd613p-3, -0x1.d6838886c4643p-3, -0x1.d359d8ea0b35cp-3, -0x1.d068fbf4f921dp-3, -0x1.cdab4697b32aap-3, -0x1.cb1b6b4844bc7p-3, -0x1.c8b47551c824ap-3, -0x1.c671c39e1da5ep-3, -0x1.c44f0393f651p-3, -0x1.c2482c7db8d3dp-3, -0x1.c0597bbbb765fp-3, -0x1.be7f71ce665a9p-3, -0x1.bcb6d01368989p-3, -0x1.bafc96eb19dfdp-3, -0x1.b94e03eba9c0cp-3, -0x1.b7a88fcea9871p-3, -0x1.b609ebe32bef8p-3, -0x1.b46ffef7dc414p-3, -0x1.b2d8e1d8eb4d8p-3, -0x1.b142db994e439p-3, -0x1.afac8b5b26be8p-3, -0x1.ae144b203d5d8p-3, -0x1.ac78dc3776ed7p-3, -0x1.aad91b9b5b90ep-3, -0x1.a9340863767b3p-3, -0x1.a788c1722e241p-3, -0x1.a5d6830aafc2ap-3, -0x1.a41ca46298f24p-3, -0x1.a25a954517848p-3, -0x1.a08fdbdb46877p-3, -0x1.9ebc12a8681e8p-3, -0x1.9cdee6c20e623p-3, -0x1.9af8164567228p-3, -0x1.99076f04bb6fp-3, -0x1.970ccd63beea9p-3, -0x1.95081b56dfb3bp-3, -0x1.92f94f7928742p-3, -0x1.90e06c2dd5825p-3, -0x1.8ebd7ec4ef2ffp-3, -0x1.8c909e9d66616p-3, -0x1.8a59ec421a70fp-3, -0x1.8819908222177p-3, -0x1.85cfbb86ce07bp-3, -0x1.837ca3ebb7c8ap-3, -0x1.812085ddf9ab4p-3, -0x1.7ebba247b03bbp-3, -0x1.7c4e3e0c49dddp-3, -0x1.79d8a158bede8p-3, -0x1.775b170940706p-3, -0x1.74d5ec2498a1ap-3, -0x1.72496f6c03e97p-3, -0x1.6fb5f0fd756a5p-3, -0x1.6d1bc2058719ap-3, -0x1.6a7b347e00cb8p-3, -0x1.67d49af5cea66p-3, -0x1.6528485f5905ap-3, -0x1.62768fe2bacdbp-3, -0x1.5fbfc4b1daa6ep-3, -0x1.5d0439dd090b5p-3, -0x1.5a4442277f8bp-3, -0x1.57802fdb7845p-3, -0x1.54b8549e052a2p-3, -0x1.51ed014332043p-3, -0x1.4f1e85a302643p-3, -0x1.4c4d30702f493p-3, -0x1.49794f118e795p-3, -0x1.46a32d7f14914p-3, -0x1.43cb162330a8ap-3, -0x1.40f151c111ceep-3, -0x1.3e1627602041ap-3, -0x1.3b39dc3c7bbf8p-3, -0x1.385cb3bc4bf2bp-3, -0x1.357eef6949e4dp-3, -0x1.32a0ceee04b59p-3, -0x1.2fc29016425bfp-3, -0x1.2ce46ed1f7a1ep-3, -0x1.2a06a53a50c51p-3, -0x1.27296b9846cbdp-3, -0x1.244cf86c3a181p-3, -0x1.217180760d674p-3, -0x1.1e9736bd43755p-3, -0x1.1bbe4c98c66c3p-3, -0x1.18e6f1b603cd1p-3, -0x1.1611541f54082p-3, -0x1.133da041b0658p-3, -0x1.106c00f1e259dp-3, -0x1.0d9c9f7168f7ep-3, -0x1.0acfa37351302p-3, -0x1.080533212f7dbp-3, -0x1.053d732053a06p-3, -0x1.02788697544d8p-3, -0x1.ff6d1e67d4152p-4, -0x1.f9ef5a6210f71p-4, -0x1.f477feba9a07dp-4, -0x1.ef074643461f2p-4, -0x1.e99d69107999fp-4, -0x1.e43a9c87c5f87p-4, -0x1.dedf136f63a09p-4, -0x1.d98afdfe9ca3ep-4, -0x1.d43e89ef3a20cp-4, -0x1.cef9e28ff0b91p-4, -0x1.c9bd30d79e627p-4, -0x1.c4889b793f2b5p-4, -0x1.bf5c46f82f682p-4, -0x1.ba3873432707bp-4, -0x1.b51d043d0a7dp-4, -0x1.b00a3639df6eap-4, -0x1.ab0025e996a3p-4, -0x1.a5feee351a379p-4, -0x1.a106a84d712ffp-4, -0x1.9c176bb9e22c2p-4, -0x1.97314e6541f5bp-4, -0x1.925464aa6192fp-4, -0x1.8d80c15fe8669p-4, -0x1.88b675e3abf3fp-4, -0x1.83f59225adeacp-4, -0x1.7f3e24b2ee0afp-4, -0x1.7a903ac024a29p-4, -0x1.75ebe03481f9p-4, -0x1.71511fb47ec9ep-4, -0x1.6cc002acc4812p-4, -0x1.6838915d30333p-4, -0x1.63bad2e3e91d3p-4, -0x1.5f46cd488645ap-4, -0x1.5adc8587360ccp-4, -0x1.567bff9bde865p-4, -0x1.52253e8d2613bp-4, -0x1.4dd844775657ep-4, -0x1.4995129713e52p-4, -0x1.455ba953c4a39p-4, -0x1.412c0849ad632p-4, -0x1.3d062e53b398bp-4, -0x1.38ea1994aa1dfp-4, -0x1.34d7c78034914p-4, -0x1.30cf34e32886ap-4, -0x1.2cd05deb78802p-4, -0x1.28db3e2f9d127p-4, -0x1.24efd0b587d09p-4, -0x1.210e0ff923b19p-4, -0x1.1d35f5f263d0dp-4, -0x1.19677c1af301dp-4, -0x1.15a29b7387353p-4, -0x1.11e74c88e2b5ep-4, -0x1.0e3587788edadp-4, -0x1.0a8d43f55871dp-4, -0x1.06ee794b9655cp-4, -0x1.03591e654165fp-4, -0x1.ff9a539bce636p-5, -0x1.f895236cf7d78p-5, -0x1.f1a297f221232p-5, -0x1.eac29c38f767dp-5, -0x1.e3f51aafbd12ap-5, -0x1.dd39fd2c56778p-5, -0x1.d6912cf32a172p-5, -0x1.cffa92bdeabbp-5, -0x1.c97616c23f15ap-5, -0x1.c303a0b85a425p-5, -0x1.bca317e1635c5p-5, -0x1.b654630dc6ec2p-5, -0x1.b01768a35d679p-5, -0x1.a9ec0ea35f076p-5, -0x1.a3d23ab030353p-5, -0x1.9dc9d212f715fp-5, -0x1.97d2b9c0f7067p-5, -0x1.91ecd660b7514p-5, -0x1.8c180c4eebf81p-5, -0x1.86543fa321f7fp-5, -0x1.80a154342f0a5p-5, -0x1.7aff2d9c64867p-5, -0x1.756daf3d87dbcp-5, -0x1.6fecbc4490498p-5, -0x1.6a7c37ad2bf17p-5, -0x1.651c04450fc9p-5, -0x1.5fcc04af1f14dp-5, -0x1.5a8c1b6651726p-5, -0x1.555c2ac07e247p-5, -0x1.503c14f0fc189p-5, -0x1.4b2bbc0b1ca0fp-5, -0x1.462b02048bcadp-5, -0x1.4139c8b78fa26p-5, -0x1.3c57f1e537fb1p-5, -0x1.37855f3772129p-5, -0x1.32c1f24310f13p-5, -0x1.2e0d8c89c48cbp-5, -0x1.29680f7c0988p-5, -0x1.24d15c7b05f28p-5, -0x1.204954da64f99p-5, -0x1.1bcfd9e227b17p-5, -0x1.1764ccd06cb8dp-5, -0x1.13080edb35651p-5, -0x1.0eb981321c827p-5, -0x1.0a7905000b516p-5, -0x1.06467b6ce55dfp-5, -0x1.0221c59f29152p-5, -0x1.fc15897b16da3p-6, -0x1.f402b3e10e79cp-6, -0x1.ec0accc7c357ap-6, -0x1.e42d96905eaa9p-6, -0x1.dc6ad3a876542p-6, -0x1.d4c2468ceb86fp-6, -0x1.cd33b1cca205p-6, -0x1.c5bed80b28971p-6, -0x1.be637c0352086p-6, -0x1.b7216089adc49p-6, -0x1.aff8488efda4p-6, -0x1.a8e7f72298b93p-6, -0x1.a1f02f74afdb6p-6, -0x1.9b10b4d892e57p-6, -0x1.94494ac6e0249p-6, -0x1.8d99b4dfa3971p-6, -0x1.8701b6ec72a74p-6, -0x1.808114e26a575p-6, -0x1.7a1792e42e224p-6, -0x1.73c4f543d7614p-6, -0x1.6d890084d3192p-6, -0x1.6763795dbb8f6p-6, -0x1.615424ba1e2b3p-6, -0x1.5b5ac7bc3b01p-6, -0x1.557727beb6ffp-6, -0x1.4fa90a56416fdp-6, -0x1.49f0355331befp-6, -0x1.444c6ec317deap-6, -0x1.3ebd7cf23c7eap-6, -0x1.3943266d257bcp-6, -0x1.33dd3202074f1p-6, -0x1.2e8b66c22d583p-6, -0x1.294d8c0356e42p-6, -0x1.24236961159d7p-6, -0x1.1f0cc6be18479p-6, -0x1.1a096c457b1cp-6, -0x1.1519226bff85cp-6, -0x1.103bb1f148ca4p-6, -0x1.0b70e3e10e242p-6, -0x1.06b88194452p-6, -0x1.021254b240b77p-6, -0x1.fafc4e63a3a7dp-7, -0x1.f1f786b4a9a3ep-7, -0x1.e915e78982414p-7, -0x1.e05706b94ffbdp-7, -0x1.d7ba7ac26d6e8p-7, -0x1.cf3fdacc46344p-7, -0x1.c6e6bea934017p-7, -0x1.beaebed83e2fdp-7, -0x1.b6977486d3a89p-7, -0x1.aea07992711adp-7, -0x1.a6c9688a2b0c5p-7, -0x1.9f11dcb03d8b3p-7, -0x1.977971fb7b811p-7, -0x1.8fffc518ae8b2p-7, -0x1.88a4736becf81p-7, -0x1.81671b11ecf57p-7, -0x1.7a475ae12ab3ep-7, -0x1.7344d26b19cdcp-7, -0x1.6c5f21fd3befdp-7, -0x1.6595eaa231e15p-7, -0x1.5ee8ce22b8d8p-7, -0x1.58576f0698505p-7, -0x1.51e170958774dp-7, -0x1.4b8676d801a14p-7, -0x1.4546269810345p-7, -0x1.3f20256205995p-7, -0x1.3914198526df9p-7, -0x1.3321aa1451a7bp-7, -0x1.2d487ee68bb18p-7, -0x1.2788409785525p-7, -0x1.21e0988815debp-7, -0x1.1c5130dea6102p-7, -0x1.16d9b4878b378p-7, -0x1.1179cf3557bdfp-7, -0x1.0c312d6121caep-7, -0x1.06ff7c4ab582ap-7, -0x1.01e471726d184p-7, -0x1.f9bf5bda011fp-8, -0x1.efe1cf7ae977fp-8, -0x1.e62f9e840c42cp-8, -0x1.dca82b3f3d54bp-8, -0x1.d34ad98373ddfp-8, -0x1.ca170eb496e6bp-8, -0x1.c10c31c340caep-8, -0x1.b829ab2c509bbp-8, -0x1.af6ee4f8766f8p-8, -0x1.a6db4abbad671p-8, -0x1.9e6e49949c144p-8, -0x1.9627502be1bdep-8, -0x1.8e05ceb3534f8p-8, -0x1.860936e51b94p-8, -0x1.7e30fc02dd67ep-8, -0x1.767c92d4a1912p-8, -0x1.6eeb71a7d33a9p-8, -0x1.677d104e019a1p-8, -0x1.6030e81bc6bfap-8, -0x1.590673e7684d1p-8, -0x1.51fd30077eefbp-8, -0x1.4b149a51867dp-8, -0x1.444c32186c5f4p-8, -0x1.3da3782ae495ap-8, -0x1.3719eed1e2bccp-8, -0x1.30af19ced9aaap-8, -0x1.2a627e5a049cep-8, -0x1.2433a3208f306p-8, -0x1.1e221042c7325p-8, -0x1.182d4f521dcp-8, -0x1.1254eb4f36c12p-8, -0x1.0c9870a7de7cfp-8, -0x1.06f76d350758cp-8, -0x1.01717038906bfp-8, -0x1.f80c14b655822p-9, -0x1.ed699b544a863p-9, -0x1.e2fa9b2a36c7p-9, -0x1.d8be3dd7790c8p-9, -0x1.ceb3afb6dd1b6p-9, -0x1.c4da1fd9e27dfp-9, -0x1.bb30c003e696bp-9, -0x1.b1b6c4a55b15ap-9, -0x1.a86b64d6cd23bp-9, -0x1.9f4dda53e2fc9p-9, -0x1.965d61766eec7p-9, -0x1.8d993931268b5p-9, -0x1.8500a30abc7c7p-9, -0x1.7c92e3187a637p-9, -0x1.744f3ff92d0a3p-9, -0x1.6c3502cfe52e5p-9, -0x1.6443773e8d855p-9, -0x1.5c79eb60ac1ap-9, -0x1.54d7afc604b37p-9, -0x1.4d5c176d3fbc9p-9, -0x1.460677be506f2p-9, -0x1.3ed628854c256p-9, -0x1.37ca83ecc301bp-9, -0x1.30e2e67858c3ep-9, -0x1.2a1eaeff3ab6cp-9, -0x1.237d3ea6b524ap-9, -0x1.1cfdf8dc838d4p-9, -0x1.16a043516dfbfp-9, -0x1.106385f3b0e24p-9, -0x1.0a472ae94ddeap-9, -0x1.044a9e8ab0f36p-9, -0x1.fcda9eb9e4348p-10, -0x1.f15d5c18b4ca9p-10, -0x1.e61c5acd7dcdep-10, -0x1.db1684abd11a8p-10, -0x1.d04ac7b42502bp-10, -0x1.c5b816087dbcep-10, -0x1.bb5d65e12d567p-10, -0x1.b139b181e6f79p-10, -0x1.a74bf72e5d0ecp-10, -0x1.9d93391f350e6p-10, -0x1.940e7d76bafcdp-10, -0x1.8abcce35fffa4p-10, -0x1.819d393163086p-10, -0x1.78aed005cf16dp-10, -0x1.6ff0a80d472b2p-10, -0x1.6761da540066p-10, -0x1.5f01838d9b8eep-10, -0x1.56cec4098af4p-10, -0x1.4ec8bfa89d071p-10, -0x1.46ee9dd1b58dfp-10, -0x1.3f3f896703cdep-10, -0x1.37bab0bb096cep-10, -0x1.305f4585f5c3bp-10, -0x1.292c7cda8c18ep-10, -0x1.22218f1b7a71fp-10, -0x1.1b3db7f0cdab5p-10, -0x1.1480363d1b405p-10, -0x1.0de84c12f0e1fp-10, -0x1.07753eaa4e2fbp-10, -0x1.012656561fe6cp-10, -0x1.f5f5bcf3a5e04p-11, -0x1.e9e44afe08821p-11, -0x1.de16f996429dap-11, -0x1.d28c716a77075p-11, -0x1.c74360f79612bp-11, -0x1.bc3a7c75e07c6p-11, -0x1.b1707dc3d3e02p-11, -0x1.a6e424535f139p-11, -0x1.9c9435158e773p-11, -0x1.927f7a6740a3bp-11, -0x1.88a4c3fdfa9d8p-11, -0x1.7f02e6d4a54a8p-11, -0x1.7598bd18948a1p-11, -0x1.6c652616ac3f3p-11, -0x1.63670628faad6p-11, -0x1.5a9d46a403cb2p-11, -0x1.5206d5c4c6cd6p-11, -0x1.49a2a69ecef65p-11, -0x1.416fb10a06affp-11, -0x1.396cf191226d1p-11, -0x1.319969605fc15p-11, -0x1.29f41e340ca14p-11, -0x1.227c1a4772d7p-11, -0x1.1b306c44090bp-11, -0x1.14102730923d3p-11, -0x1.0d1a6260bae42p-11, -0x1.064e39649b068p-11, -0x1.ff5597f1715f2p-12, -0x1.f25e7bebae8a2p-12, -0x1.e5b56e820e15ep-12, -0x1.d958c778de335p-12, -0x1.cd46e66ecd946p-12, -0x1.c17e32bed2a9bp-12, -0x1.b5fd1b614a77bp-12, -0x1.aac216cf0911p-12, -0x1.9fcba2e30a567p-12, -0x1.951844bccdd91p-12, -0x1.8aa688a3f197ep-12, -0x1.807501eb4f8a1p-12, -0x1.76824ad517cfep-12, -0x1.6ccd047609b5bp-12, -0x1.6353d69a9c8fap-12, -0x1.5a156faac1a5ap-12, -0x1.5110848fa0c68p-12, -0x1.4843d097de9c2p-12, -0x1.3fae155e3adfdp-12, -0x1.374e1aaead0d8p-12, -0x1.2f22ae6d404b5p-12, -0x1.272aa47bc93bep-12, -0x1.1f64d6a1185e3p-12, -0x1.17d024703d8abp-12, -0x1.106b732fbe61p-12, -0x1.0935adc187284p-12, -0x1.022dc48aa0b07p-12, -0x1.f6a55ab80cdd8p-13, -0x1.e946c6b63c0dp-13, -0x1.dc3dcdd52e9b5p-13, -0x1.cf887b27a5f4p-13, -0x1.c324e3e1161d7p-13, -0x1.b711272a16cf7p-13, -0x1.ab4b6df3ab4c7p-13, -0x1.9fd1eacc37e02p-13, -0x1.94a2d9b612fe5p-13, -0x1.89bc7ffd86452p-13, -0x1.7f1d2c0f1873dp-13, -0x1.74c3354f17236p-13, -0x1.6aacfbf0d789ep-13, -0x1.60d8e8d0fddcp-13, -0x1.57456d4c7601ap-13, -0x1.4df1031a2658fp-13, -0x1.44da2c256b567p-13, -0x1.3bff726870035p-13, -0x1.335f67c7b43a3p-13, -0x1.2af8a5ec4cd43p-13, -0x1.22c9ce20af0e5p-13, -0x1.1ad1892d033ccp-13, -0x1.130e873404e7cp-13, -0x1.0b7f7f8fc194dp-13, -0x1.042330b02ea3dp-13, -0x1.f9f0bff4f6d7bp-14, -0x1.ebfbb349632d8p-14, -0x1.de64e12fa6a14p-14, -0x1.d129fc9e92a21p-14, -0x1.c448c56ec4669p-14, -0x1.b7bf081ed849dp-14, -0x1.ab8a9d93e432ap-14, -0x1.9fa96ade108abp-14, -0x1.941960fba6555p-14, -0x1.88d87c9e4b2e9p-14, -0x1.7de4c5f0f5657p-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.53863c03c90acp-3, -0x1.9c72515070a16p-5, 0x1.02217bea7f6edp-4, 0x1.6207d1d36c583p-3, 0x1.1cb0cd4b1f5c7p-2, 0x1.829f23e79240ep-2, 0x1.e21be588513e9p-2, 0x1.1d546f71d6c0ep-1, 0x1.45facea124156p-1, 0x1.6aec9592c7c94p-1, 0x1.8c25c59726f76p-1, 0x1.a9afe447ed949p-1, 0x1.c39f9e101c799p-1, 0x1.da129d00b37d7p-1, 0x1.ed2d5a5a52aeep-1, 0x1.fd193467441e3p-1, 0x1.05017fba66dc6p+0, 0x1.0a0cf2cd5b2f6p+0, 0x1.0dc72b4ef0d84p+0, 0x1.104883f931b3dp+0, 0x1.11a9168836307p+0, 0x1.12005ae6452fp+0, 0x1.11659d89a7d9ep+0, 0x1.0feec935060c6p+0, 0x1.0db0f7c6d01bap+0, 0x1.0ac03f20b532bp+0, 0x1.072fa34e75d6cp+0, 0x1.03110aa1e9ed8p+0, 0x1.fcea6d3c3d31cp-1, 0x1.f2d788787ce66p-1, 0x1.e8066770b841ep-1, 0x1.dc91ead34429dp-1, 0x1.d092f041181ecp-1, 0x1.c4206cfe336fap-1, 0x1.b74f84fd792a6p-1, 0x1.aa339f33bd7abp-1, 0x1.9cde791c108bfp-1, 0x1.8f603b67b56bfp-1, 0x1.81c791407ad34p-1, 0x1.7421c248a0236p-1, 0x1.667ace0aecaa1p-1, 0x1.58dd86b0b3dfbp-1, 0x1.4b53a916fb18dp-1, 0x1.3de5f17555398p-1, 0x1.309c2cf066648p-1, 0x1.237d490f8401bp-1, 0x1.168f6211dc4a8p-1, 0x1.09d7d0d942a14p-1, 0x1.fab671b1522dep-2, 0x1.e23b2c7a71795p-2, 0x1.ca4498a09c9dap-2, 0x1.b2d867958c365p-2, 0x1.9bfb51214835bp-2, 0x1.85b12c6486b19p-2, 0x1.6ffd0569981cfp-2, 0x1.5ae12efc2869dp-2, 0x1.465f5156259a9p-2, 0x1.327876cc0656cp-2, 0x1.1f2d17c8de92bp-2, 0x1.0c7d2717b9bf6p-2, 0x1.f4d03db7d55f5p-3, 0x1.d1da1bf66649p-3, 0x1.b0154aaaf47e2p-3, 0x1.8f7f9f8e25982p-3, 0x1.70132103e924dp-3, 0x1.51cca134e092ap-3, 0x1.34a76b4b39415p-3, 0x1.189e691845257p-3, 0x1.fb58602da2c0bp-4, 0x1.c7961b07c22cfp-4, 0x1.95ea23476a29p-4, 0x1.66483482e411dp-4, 0x1.38a3b8e70a2d1p-4, 0x1.0cefdb58745f5p-4, 0x1.c63f306e081ep-5, 0x1.764b9990297bdp-5, 0x1.29ea8a8c67ff9p-5, 0x1.c20326483f5bfp-6, 0x1.36eca2043178ap-6, 0x1.64ba0e5a11cd2p-7, 0x1.a101d478fc74ep-9, -0x1.0ff56eea7f7fcp-8, -0x1.6c5d6ebf4b0a7p-7, -0x1.22a622cb8ac2bp-6, -0x1.899525403f304p-6, -0x1.eb2c736e35e32p-6, -0x1.23cdf0fbdef84p-5, -0x1.4f892cb7fe5c5p-5, -0x1.78dee5c69fbddp-5, -0x1.9fe594b58d208p-5, -0x1.c4b32d6b1d4a2p-5, -0x1.e75d1b57c93f1p-5, -0x1.03fc1f1fbe1e6p-4, -0x1.134c73d3f1457p-4, -0x1.21a96c7ba06ecp-4, -0x1.2f1ca125cbbf6p-4, -0x1.3baf61067c2c8p-4, -0x1.476ab29c21959p-4, -0x1.5257542ccfd27p-4, -0x1.5c7dbc9408f74p-4, -0x1.65e61c5708fffp-4, -0x1.6e985ef3371cep-4, -0x1.769c2c58e88cep-4, -0x1.7df8ea842e3e3p-4, -0x1.84b5bf2633349p-4, -0x1.8ad99153a87dbp-4, -0x1.906b0b2f90fb3p-4, -0x1.95709b8d059p-4, -0x1.99f07785a919cp-4, -0x1.9df09c0518eacp-4, -0x1.a176cf4b37eb5p-4, -0x1.a488a267e493ep-4, -0x1.a72b72b2600bdp-4, -0x1.a9646b3de1b7fp-4, -0x1.ab38864bba426p-4, -0x1.acac8eba72573p-4, -0x1.adc52170b67eap-4, -0x1.ae86aec2bc8dfp-4, -0x1.aef57bd0c2d72p-4, -0x1.af15a3de414bcp-4, -0x1.aeeb19a19609fp-4, -0x1.ae79a88d05b62p-4, -0x1.adc4f6121782fp-4, -0x1.acd082e0bad2dp-4, -0x1.ab9fac236a4f7p-4, -0x1.aa35acb95ee81p-4, -0x1.a8959e6ef5e5bp-4, -0x1.a6c27b3428a75p-4, -0x1.a4bf1e4fe3ed5p-4, -0x1.a28e458eb9e8fp-4, -0x1.a032926ad8433p-4, -0x1.9dae8b2b379ep-4, -0x1.9b049bf7c389cp-4, -0x1.983717e10bc8dp-4, -0x1.954839da17ffep-4, -0x1.923a25a3fb4eep-4, -0x1.8f0ee8ab43f7fp-4, -0x1.8bc87ad803249p-4, -0x1.8868bf51b20fbp-4, -0x1.84f185388339p-4, -0x1.81648855de788p-4, -0x1.7dc371c5beb1fp-4, -0x1.7a0fd89a7e371p-4, -0x1.764b427c5c667p-4, -0x1.72772445ac22ap-4, -0x1.6e94e29c44b58p-4, -0x1.6aa5d2887366dp-4, -0x1.66aad0322baeep-4, -0x1.62a60a5e53731p-4, -0x1.5e981e6b73cc6p-4, -0x1.5a8226920cf3ap-4, -0x1.5665306aeb7b8p-4, -0x1.52423d82798fep-4, -0x1.4e1a43e1e437p-4, -0x1.49ee2e8ddc75p-4, -0x1.45beddfb1ad91p-4, -0x1.418d287916383p-4, -0x1.3d59da93a9784p-4, -0x1.3925b76c9291cp-4, -0x1.34f1790ddc2afp-4, -0x1.30bdd0b651403p-4, -0x1.2c8b6721204acp-4, -0x1.285adcc9c542p-4, -0x1.242cca2d3a155p-4, -0x1.2001c0094d369p-4, -0x1.1bda479ad6eddp-4, -0x1.17b6e2db5db77p-4, -0x1.13980cbe90c32p-4, -0x1.0f7e396fd21b7p-4, -0x1.0b69d68fee8bp-4, -0x1.075b4b72f775p-4, -0x1.0352f95e1fd91p-4, -0x1.fea2778ac7026p-5, -0x1.f6acd1116b5e5p-5, -0x1.eec5a060d1fc9p-5, -0x1.e6ed7c50fae41p-5, -0x1.df24f1f50e37ep-5, -0x1.d76c850bc30d1p-5, -0x1.cfc4b06bd9089p-5, -0x1.c82de66c37b37p-5, -0x1.c0a891475b8efp-5, -0x1.b9351379d2fbfp-5, -0x1.b1d3c81babff2p-5, -0x1.aa850334cdf5dp-5, -0x1.a349120c4d4ccp-5, -0x1.9c203b72ec3f1p-5, -0x1.950ac008fe70fp-5, -0x1.8e08da8002cap-5, -0x1.871abfd84eaf7p-5, -0x1.80409f9b2b066p-5, -0x1.797aa411cb22cp-5, -0x1.72c8f27986d72p-5, -0x1.6c2bab35b7587p-5, -0x1.65a2e9ff986c6p-5, -0x1.5f2ec61479e09p-5, -0x1.58cf526296cbbp-5, -0x1.52849db4c1bd2p-5, -0x1.4c4eb2dd1f8f2p-5, -0x1.462d98df11ee5p-5, -0x1.402153186929ep-5, -0x1.3a29e169eaa9fp-5, -0x1.3447405f3371p-5, -0x1.2e796955eccdap-5, -0x1.28c052a45011dp-5, -0x1.231befbee75e7p-5, -0x1.1d8c315d79379p-5, -0x1.1811059f11817p-5, -0x1.12aa582d0ffb7p-5, -0x1.0d58125d2cbb9p-5, -0x1.081a1b5264991p-5, -0x1.02f0581cbd568p-5, -0x1.fbb557afb5b73p-6, -0x1.f1b1ef90b47a5p-6, -0x1.e7d636efe95d3p-6, -0x1.de21e9a0ca2e2p-6, -0x1.d494c06a2d3d4p-6, -0x1.cb2e713743a9fp-6, -0x1.c1eeaf463b71cp-6, -0x1.b8d52b54aa52cp-6, -0x1.afe193c9cee14p-6, -0x1.a71394decbb2ep-6, -0x1.9e6ad8c4f324ap-6, -0x1.95e707ca48533p-6, -0x1.8d87c87c516a9p-6, -0x1.854cbfc958284p-6, -0x1.7d35912034b46p-6, -0x1.7541de8ec54d9p-6, -0x1.6d7148df25136p-6, -0x1.65c36fb3b927ap-6, -0x1.5e37f1a23268ep-6, -0x1.56ce6c4d8967dp-6, -0x1.4f867c7f0f541p-6, -0x1.485fbe3e9b9eap-6, -0x1.4159cce9e2fcap-6, -0x1.3a74434b003bap-6, -0x1.33aebbae3975ep-6, -0x1.2d08cff701a6fp-6, -0x1.268219b44079ap-6, -0x1.201a3233dccbfp-6, -0x1.19d0b2959475ep-6, -0x1.13a533dd1afebp-6, -0x1.0d974f0385955p-6, -0x1.07a69d0802e45p-6, -0x1.01d2b6ffdf74ap-6, -0x1.f8366c4bbcbb7p-7, -0x1.ecff67d1b32eep-7, -0x1.e1ff93f37cadap-7, -0x1.d73624b1abf3ap-7, -0x1.cca24ec4dd051p-7, -0x1.c24347b5ad55bp-7, -0x1.b81845f37ce8bp-7, -0x1.ae2080e9f15fep-7, -0x1.a45b3115463b3p-7, -0x1.9ac7901576f52p-7, -0x1.9164d8c05545cp-7, -0x1.883247327d7bp-7, -0x1.7f2f18df4d7ccp-7, -0x1.765a8c9fe41ecp-7, -0x1.6db3e2c1231e1p-7, -0x1.653a5d10d591ep-7, -0x1.5ced3ee9f52e8p-7, -0x1.54cbcd4023764p-7, -0x1.4cd54eaa51375p-7, -0x1.45090b6cb7f2ap-7, -0x1.3d664d820cd15p-7, -0x1.35ec60a415b2ap-7, -0x1.2e9a92538f917p-7, -0x1.277031df7c36fp-7, -0x1.206c906bd716p-7, -0x1.198f00f7ba99p-7, -0x1.12d6d862fa3f4p-7, -0x1.0c436d73384b8p-7, -0x1.05d418d879f79p-7, -0x1.ff106a6282fe9p-8, -0x1.f2be3e1c6115fp-8, -0x1.e6b069ea70a49p-8, -0x1.dae5aec8b490ep-8, -0x1.cf5cd1a7fd55ap-8, -0x1.c4149b71c8145p-8, -0x1.b90bd90b553f1p-8, -0x1.ae415b58018bdp-8, -0x1.a3b3f73ae448ep-8, -0x1.99628597bf76p-8, -0x1.8f4be3533fa9bp-8, -0x1.856ef1529e55ep-8, -0x1.7bca947aa30bep-8, -0x1.725db5ae0f015p-8, -0x1.692741cb7998cp-8, -0x1.602629aaa41cep-8, -0x1.57596219497a4p-8, -0x1.4ebfe3d772ae7p-8, -0x1.4658ab93546fdp-8, -0x1.3e22b9e4bd161p-8, -0x1.361d134817d4dp-8, -0x1.2e46c0190c0a3p-8, -0x1.269ecc8cbbb9p-8, -0x1.1f2448abab09bp-8, -0x1.17d6484b50412p-8, -0x1.10b3e30755bf2p-8, -0x1.09bc343a90d64p-8, -0x1.02ee5af7b1b4ap-8, -0x1.f892f403609e5p-9, -0x1.eb996f87fcf18p-9, -0x1.deee7c94f8199p-9, -0x1.d2907672728f3p-9, -0x1.c67dbf8806272p-9, -0x1.bab4c14b852a9p-9, -0x1.af33ec2f634e1p-9, -0x1.a3f9b790cbe6bp-9, -0x1.9904a1a571c1bp-9, -0x1.8e532f69165ccp-9, -0x1.83e3ec8ad9633p-9, -0x1.79b56b5a4b5e2p-9, -0x1.6fc644b44f6bap-9, -0x1.66157eb610c54p-9, -0x1.5ca0f0c58ac4bp-9, -0x1.5367ae2f18e1p-9, -0x1.4a686957a1c62p-9, -0x1.41a1dacf0d369p-9, -0x1.3912c13c208c7p-9, -0x1.30b9e14852c9p-9, -0x1.2896058b99e29p-9, -0x1.20a5fe783932bp-9, -0x1.18e8a2468da4p-9, -0x1.115ccce0e401fp-9, -0x1.0a015fcf51894p-9, -0x1.02d54223984a8p-9, -0x1.f7aec0ca35801p-10, -0x1.ea0d58f9b54c2p-10, -0x1.dcc43b4315ed8p-10, -0x1.cfd160876352dp-10, -0x1.c332cbf3c22d6p-10, -0x1.b6e68ada0c61ep-10, -0x1.aaeab48999622p-10, -0x1.9f3d6a284232fp-10, -0x1.93dcd68b8bbap-10, -0x1.88c72e1216d9fp-10, -0x1.7dfaae7d45793p-10, -0x1.73759ecb1b34fp-10, -0x1.69364f105ae0ep-10, -0x1.5f3b1852f1b6ap-10, -0x1.55825c64940f4p-10, -0x1.4c0a85bdafae2p-10, -0x1.42d20758a2ba9p-10, -0x1.39d75c8d37668p-10, -0x1.311908ec6d45fp-10, -0x1.2895981c9cb83p-10, -0x1.204b9db5da7ecp-10, -0x1.1839b51eb8c6fp-10, -0x1.105e81695a647p-10, -0x1.08b8ad30d5fc6p-10, -0x1.0146ea76fdf4cp-10, -0x1.f40fe504eb07ap-11, -0x1.e5f50b7a4f2d8p-11, -0x1.d83ad7263368dp-11, -0x1.cadee4a33a3adp-11, -0x1.bddede0dbf054p-11, -0x1.b1387ac3bc464p-11, -0x1.a4e97f257295ap-11, -0x1.98efbc56daf7dp-11, -0x1.8d491001e07a3p-11, -0x1.81f36419679fdp-11, -0x1.76ecae9d1d16bp-11, -0x1.6c32f15e1acc7p-11, -0x1.61c439c45892ap-11, -0x1.579ea094ec277p-11, -0x1.4dc049b92084p-11, -0x1.4427640659dabp-11, -0x1.3ad22906d1c21p-11, -0x1.31bedcc322c38p-11, -0x1.28ebcd8cab695p-11, -0x1.205753c8bee3dp-11, -0x1.17ffd1bcaec0dp-11, -0x1.0fe3b35aa274p-11, -0x1.08016e0f42c43p-11, -0x1.005780903342ep-11, -0x1.f1c8e556bfc37p-12, -0x1.e34daa2e25e43p-12, -0x1.d53a8285b75p-12, -0x1.c78cb2527c4d5p-12, -0x1.ba418e445ead6p-12, -0x1.ad567b6ca621cp-12, -0x1.a0c8eee607a47p-12, -0x1.94966d7e37483p-12, -0x1.88bc8b6102c03p-12, -0x1.7d38ebc4d9256p-12, -0x1.72094098dc591p-12, -0x1.672b4a345a3dep-12, -0x1.5c9cd707b8236p-12, -0x1.525bc34ec6077p-12, -0x1.4865f8c47279bp-12, -0x1.3eb96e57e0ee1p-12, -0x1.355427e2d56e9p-12, -0x1.2c3435e170b81p-12, -0x1.2357b52b3fe9fp-12, -0x1.1abccead8a9cdp-12, -0x1.1261b726f1d7ep-12, -0x1.0a44aee43d378p-12, -0x1.0264017e6b6f5p-12, -0x1.f57c0b33dc935p-13, -0x1.e6a2394e347f9p-13, -0x1.d83765477be94p-13, -0x1.ca387bbbbbf0dp-13, -0x1.bca27d6f1fc16p-13, -0x1.af727ed7ea4ffp-13, -0x1.a2a5a7aa92718p-13, -0x1.963932681017ap-13, -0x1.8a2a6bee49959p-13, -0x1.7e76b30a8eeacp-13, -0x1.731b780e3a7d9p-13, -0x1.68163c6549572p-13, -0x1.5d64922f15349p-13, -0x1.53041bd8eb13fp-13, -0x1.48f28bbabf15fp-13, -0x1.3f2da3b5ba276p-13, -0x1.35b334d4d2fb6p-13, -0x1.2c811eef36e58p-13, -0x1.2395504cadcdfp-13, -0x1.1aedc54bd19f7p-13, -0x1.1288880a2c18cp-13, -0x1.0a63b00e2e651p-13, -0x1.027d61f2ebf7ap-13, -0x1.f5a79e2b73faap-14, -0x1.e6ca6a8b0cb79p-14, -0x1.d85fbce800b88p-14, -0x1.ca6440d0e8c56p-14, -0x1.bcd4b8e8d79d2p-14, -0x1.afadfe54019bcp-14, -0x1.a2ed00279ee19p-14, -0x1.968ec2dd54899p-14, -0x1.8a905fc9b0be8p-14, -0x1.7eef0495f26d8p-14, -0x1.73a7f2bceea57p-14, -0x1.68b87f0b190bep-14, -0x1.5e1e11218b5f6p-14, -0x1.53d622fc03ec5p-14, -0x1.49de4079cee1ap-14, -0x1.403406e992c81p-14, -0x1.36d52497ccc25p-14, -0x1.2dbf58600cfd4p-14, -0x1.24f07140dace2p-14, -0x1.1c664df22c53p-14, -0x1.141edc7e4c78cp-14, -0x1.0c1819dd430ap-14, -0x1.0450119294faap-14, -0x1.f989ba9aa1bfcp-15, -0x1.eae94914a5b6bp-15, -0x1.dcbb38717bfffp-15, -0x1.cefc0cc11c005p-15, -0x1.c1a8639689247p-15, -0x1.b4bcf35d01a5ap-15, -0x1.a8368ab15b5cap-15, -0x1.9c120fbedb361p-15, -0x1.904c7fa03b6ddp-15, -0x1.84e2edc3d5976p-15, -0x1.79d28353e235p-15, -0x1.6f187ea1e4653p-15, -0x1.64b23295c4cc5p-15, -0x1.5a9d062025311p-15, -0x1.50d673b02b209p-15, -0x1.475c08acab433p-15, -0x1.3e2b64f070919p-15, -0x1.35423a49ded3ap-15, -0x1.2c9e4bfdba00bp-15, -0x1.243d6e4d14503p-15, -0x1.1c1d85fe5ea5ap-15, -0x1.143c87e986181p-15, -0x1.0c98788729633p-15, -0x1.052f6b829d7a6p-15, -0x1.fbff069e59399p-16, -0x1.ee0de17fc256cp-16, -0x1.e087e544c8e56p-16, -0x1.d369aab8d26e1p-16, -0x1.c6afe5180ba13p-16, -0x1.ba576154e86adp-16, -0x1.ae5d0562dbf9bp-16, -0x1.a2bdcf86095p-16, -0x1.9776d5a7b08e3p-16, -0x1.8c8544af1a482p-16, -0x1.81e65fdf047f1p-16, -0x1.779780375f86ep-16, -0x1.6d9613dad7b2fp-16, -0x1.63df9d78a6497p-16, -0x1.5a71b3b9d0d86p-16, -0x1.514a00b243025p-16, -0x1.486641552ce28p-16, -0x1.3fc444ecbba4ep-16, -0x1.3761ec954ee9ap-16, -0x1.2f3d2abb37664p-16, -0x1.2754029bfa3e3p-16, -0x1.1fa487ca3a6bcp-16, -0x1.182cddb47e444p-16, -0x1.10eb372ef51dap-16, -0x1.09ddd5ff65a36p-16, -0x1.03030a6c6ad85p-16, -0x1.f8b2659dc1f72p-17, -0x1.ebbd764c856b8p-17, -0x1.df24395ea486dp-17, -0x1.d2e3bafb0c75p-17, -0x1.c6f9202db429ep-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.0640c7898b4c8p-2, 0x1.0d05efbb5f7fcp-2, 0x1.15e586da90b43p-2, 0x1.201b8ab06159ep-2, 0x1.2afdd36e2ad8dp-2, 0x1.35fc8920638b6p-2, 0x1.40a0a5cdf7503p-2, 0x1.4a8b9a84c224ap-2, 0x1.5375592e2a52dp-2, 0x1.5b28dbc329409p-2, 0x1.6181f6a38415p-2, 0x1.666bcf29ce413p-2, 0x1.69de42b1856bdp-2, 0x1.6bdafd0288c37p-2, 0x1.6c6b8a08a6903p-2, 0x1.6ba01fe2e6c5dp-2, 0x1.698e389598ab4p-2, 0x1.664ed8ca4d092p-2, 0x1.61fd112295f4dp-2, 0x1.5cb5193e8474dp-2, 0x1.5693d5ae398d5p-2, 0x1.4fb6e9526738cp-2, 0x1.4839a8ee0200ep-2, 0x1.40383c7fa629p-2, 0x1.37cd4a23fc3adp-2, 0x1.2f11bebbc19fbp-2, 0x1.261c88fca649dp-2, 0x1.1d02a5e78e10fp-2, 0x1.13d75bb08d0fcp-2, 0x1.0aac7003887f3p-2, 0x1.0192385f4240bp-2, 0x1.f12f0780330bfp-3, 0x1.df92eab0f5322p-3, 0x1.ce66daa072162p-3, 0x1.bdbe22aac4ce2p-3, 0x1.ada8eb0e30528p-3, 0x1.9e34b11d2de3bp-3, 0x1.8f6cc0d016bcbp-3, 0x1.815a90deeac5dp-3, 0x1.7405f34060cebp-3, 0x1.67751e918e634p-3, 0x1.5baca219198acp-3, 0x1.50af5a2823a1cp-3, 0x1.467e76296d0e2p-3, 0x1.3d19983f98f18p-3, 0x1.347f0c2f48e19p-3, 0x1.2cac0bd75a204p-3, 0x1.259d045a67a12p-3, 0x1.1f4dd059d2d3fp-3, 0x1.19b9dffe2148p-3, 0x1.14dc4d2984fb4p-3, 0x1.10afdf445041fp-3, 0x1.0d2f055241731p-3, 0x1.0a53cdedc651fp-3, 0x1.0817e3a626d35p-3, 0x1.067491c988aadp-3, 0x1.0562d2b9b685bp-3, 0x1.04db664c16022p-3, 0x1.04d6ece4fe10cp-3, 0x1.054e0338f545fp-3, 0x1.06395adcdd131p-3, 0x1.0791ccd5187e3p-3, 0x1.095064c7f8843p-3, 0x1.0b6a40e7f61acp-3, 0x1.0de33d5059f9p-3, 0x1.10af085a23c9p-3, 0x1.13c701315e22dp-3, 0x1.1724b5dffe002p-3, 0x1.1ac1eeef025f3p-3, 0x1.1e98b7acc34ffp-3, 0x1.22a3626f9a2d5p-3, 0x1.26dc88dddaca4p-3, 0x1.2b3f08da8fd7bp-3, 0x1.2fc5ff1cccbdfp-3, 0x1.346cc0a4935d6p-3, 0x1.392ed43749d44p-3, 0x1.3e07ecd9ee88dp-3, 0x1.42f3e5f0a088ap-3, 0x1.47eec15235d8p-3, 0x1.4cf4a749a5d87p-3, 0x1.5201e838e52cdp-3, 0x1.5712ff5f15ee5p-3, 0x1.5c24962a1bde7p-3, 0x1.61338778d4becp-3, 0x1.663ce244c2e29p-3, 0x1.6b3deb4adc8f4p-3, 0x1.70341d752341dp-3, 0x1.751d28f2fd4e7p-3, 0x1.79f6f116b7227p-3, 0x1.7ebf892eb8d93p-3, 0x1.837530a5f50fcp-3, 0x1.88164ec0846f6p-3, 0x1.8ca16e486bfa8p-3, 0x1.91153974f52b8p-3, 0x1.957076479263dp-3, 0x1.99b20386a1e2dp-3, 0x1.9dd8d66a9c352p-3, 0x1.a1e3f8ffe1f17p-3, 0x1.a5d2892f58bb3p-3, 0x1.a9a3b8540e12dp-3, 0x1.ad56cb3bc2506p-3, 0x1.b0eb1a6c5d0fbp-3, 0x1.b4601287a1b0fp-3, 0x1.b7b534a963982p-3, 0x1.baea16a19a36ap-3, 0x1.bdfe62f3229fdp-3, 0x1.c0f1d888300cp-3, 0x1.c3c44a164e76cp-3, 0x1.c6759d33f6652p-3, 0x1.c905c928a99cep-3, 0x1.cb74d5859852cp-3, 0x1.cdc2d897f4f1fp-3, 0x1.cfeff5c71bb3ap-3, 0x1.d1fc5bf031f0ep-3, 0x1.d3e843cf2160bp-3, 0x1.d5b3ee823edc9p-3, 0x1.d75fa43309687p-3, 0x1.d8ebb2eb5774ep-3, 0x1.da586d9b3512bp-3, 0x1.dba62b50bf968p-3, 0x1.dcd546a0ab23ap-3, 0x1.dde61d3b9c7b2p-3, 0x1.ded90faab55f2p-3, 0x1.dfae812c66416p-3, 0x1.e066d7a9bdcc1p-3, 0x1.e1027bbc7a45ep-3, 0x1.e181d8be672ebp-3, 0x1.e1e55cdb5134fp-3, 0x1.e22d791fd0eddp-3, 0x1.e25aa18040eb6p-3, 0x1.e26d4cd43bb0cp-3, 0x1.e265f4c41f65dp-3, 0x1.e24515a71c2e2p-3, 0x1.e20b2e5159074p-3, 0x1.e1b8bfd2c83c3p-3, 0x1.e14e4d2818774p-3, 0x1.e0cc5ae026a79p-3, 0x1.e0336eb8dd468p-3, 0x1.df840f36f33cfp-3, 0x1.debec33c26dfap-3, 0x1.dde4119f941f5p-3, 0x1.dcf480cb6364dp-3, 0x1.dbf09662bb017p-3, 0x1.dad8d6f221c1fp-3, 0x1.d9adc5abe57f5p-3, 0x1.d86fe43161958p-3, 0x1.d71fb2695bc82p-3, 0x1.d5be0e1946bbep-3, 0x1.d44b070e2602ap-3, 0x1.d2c71ace2e7e6p-3, 0x1.d132be6f03b38p-3, 0x1.cf8e65c471e7dp-3, 0x1.cdda838728364p-3, 0x1.cc178975ab21ap-3, 0x1.ca45e86d8964fp-3, 0x1.c866107b813c7p-3, 0x1.c67870e1ee24cp-3, 0x1.c47d781576468p-3, 0x1.c27593b06e4b6p-3, 0x1.c061305dfe23bp-3, 0x1.be40b9be50968p-3, 0x1.bc149a4577576p-3, 0x1.b9dd3b16c9826p-3, 0x1.b79b03de93166p-3, 0x1.b54e5aabd8aa2p-3, 0x1.b2f7a3cbf8c1ep-3, 0x1.b09741a98fe59p-3, 0x1.ae2d94aff7635p-3, 0x1.abbafb344fc3p-3, 0x1.a93fd164beeb5p-3, 0x1.a6bc713e49c45p-3, 0x1.a431328951412p-3, 0x1.a19e6adc71bbp-3, 0x1.9f046da55bef1p-3, 0x1.9c638c36efcaap-3, 0x1.99bc15dbc1834p-3, 0x1.970e57ec2448p-3, 0x1.945a9de6be1a4p-3, 0x1.91a1318a95p-3, 0x1.8ee25af1b544p-3, 0x1.8c1e60ab75317p-3, 0x1.895587d5976b8p-3, 0x1.8688143396addp-3, 0x1.83b6484382c8ep-3, 0x1.80e06550119fp-3, 0x1.7e06ab7f9cdffp-3, 0x1.7b2959dfdb437p-3, 0x1.7848ae6e6a5d6p-3, 0x1.7564e61e436f8p-3, 0x1.727e3cda4f1e7p-3, 0x1.6f94ed857b6f2p-3, 0x1.6ca931f8ace43p-3, 0x1.69bb42ff041dap-3, 0x1.66cb5850eeba1p-3, 0x1.63d9a88e77965p-3, 0x1.60e6693957b73p-3, 0x1.5df1ceaf251c2p-3, 0x1.5afc0c240e4dep-3, 0x1.5805539e6c8dep-3, 0x1.550dd5f376882p-3, 0x1.5215c2c53879cp-3, 0x1.4f1d4882006afp-3, 0x1.4c249465411f4p-3, 0x1.492bd279f3a76p-3, 0x1.46332d9e5c4f8p-3, 0x1.433acf892cc26p-3, 0x1.4042e0cfc4eccp-3, 0x1.3d4b88ed7bc2fp-3, 0x1.3a54ee4bb0938p-3, 0x1.375f364a7aae2p-3, 0x1.346a8549b647cp-3, 0x1.3176feb241bf8p-3, 0x1.2e84c4ff3ae3cp-3, 0x1.2b93f9c7068f2p-3, 0x1.28a4bdc404b51p-3, 0x1.25b730dcc240bp-3, 0x1.22cb722b9b92p-3, 0x1.1fe1a005b3767p-3, 0x1.1cf9d8012ec4ap-3, 0x1.1a1436fab9042p-3, 0x1.1730d91a48719p-3, 0x1.144fd9d72db18p-3, 0x1.117153fb71d5p-3, 0x1.0e9561a6a0978p-3, 0x1.0bbc1c4fffb83p-3, 0x1.08e59cc84eb24p-3, 0x1.0611fb3b2d9eap-3, 0x1.03414f302ec2fp-3, 0x1.0073af8bb2784p-3, 0x1.fb52651f4f9b9p-4, 0x1.f5c3dbb869141p-4, 0x1.f03bece0c3249p-4, 0x1.eabac155b1d29p-4, 0x1.e54080956c4e1p-4, 0x1.dfcd50e102522p-4, 0x1.da61573ea7b8dp-4, 0x1.d4fcb77c466e4p-4, 0x1.cf9f94328b883p-4, 0x1.ca4a0ec838f9ep-4, 0x1.c4fc4775e45a5p-4, 0x1.bfb65d49ff8d8p-4, 0x1.ba786e2d22852p-4, 0x1.b54296e6ab34ap-4, 0x1.b014f32172a22p-4, 0x1.aaef9d70c14b8p-4, 0x1.a5d2af5548d36p-4, 0x1.a0be41423b95cp-4, 0x1.9bb26aa257ecp-4, 0x1.96af41dcfa20ep-4, 0x1.91b4dc5b1189cp-4, 0x1.8cc34e8c0327dp-4, 0x1.87daabea6fc8fp-4, 0x1.82fb0700d50a5p-4, 0x1.7e24716e0c66fp-4, 0x1.7956fbe9a0ee8p-4, 0x1.7492b64801a07p-4, 0x1.6fd7af7e8b7d8p-4, 0x1.6b25f5a771a54p-4, 0x1.667d960582cbbp-4, 0x1.61de9d07d22fp-4, 0x1.5d49164d43b34p-4, 0x1.58bd0ca803963p-4, 0x1.543a8a20ea6edp-4, 0x1.4fc197fad0fd8p-4, 0x1.4b523eb5d9c87p-4, 0x1.46ec8612b137bp-4, 0x1.42907515c8f1cp-4, 0x1.3e3e120a9093ep-4, 0x1.39f56286ab6dbp-4, 0x1.35b66b6d27774p-4, 0x1.318130f1b609ep-4, 0x1.2d55b69be4f32p-4, 0x1.2933ff4a591ccp-4, 0x1.251c0d360bab5p-4, 0x1.210de1f58479ap-4, 0x1.1d097e8017bep-4, 0x1.190ee3311f1d9p-4, 0x1.151e0fcb2f943p-4, 0x1.1137037b4e215p-4, 0x1.0d59bcdc1b224p-4, 0x1.098639f8f9461p-4, 0x1.05bc78512be3p-4, 0x1.01fc74daec801p-4, 0x1.fc8c580cf19bep-5, 0x1.f533338227ebp-5, 0x1.eded72effff73p-5, 0x1.e6bb0c36da3b4p-5, 0x1.df9bf442bc32ap-5, 0x1.d8901f11096c8p-5, 0x1.d1977fb62675bp-5, 0x1.cab208630b92p-5, 0x1.c3dfaa6ac963ap-5, 0x1.bd205647fd08ep-5, 0x1.b673fba23734cp-5, 0x1.afda8953558fap-5, 0x1.a953ed6cd2974p-5, 0x1.a2e0153d0cb33p-5, 0x1.9c7eed547d741p-5, 0x1.9630618af1e12p-5, 0x1.8ff45d04aeb75p-5, 0x1.89caca379995dp-5, 0x1.83b392f04d681p-5, 0x1.7daea0572e75bp-5, 0x1.77bbdaf57600fp-5, 0x1.71db2aba30e03p-5, 0x1.6c0c76ff365ap-5, 0x1.664fa68e17f7bp-5, 0x1.60a49fa503454p-5, 0x1.5b0b47fb99029p-5, 0x1.558384c7b8b8fp-5, 0x1.500d3ac2410dap-5, 0x1.4aa84e2bbfe5dp-5, 0x1.4554a2d116392p-5, 0x1.40121c100d786p-5, 0x1.3ae11fec968aep-5, 0x1.35c0834531f0ap-5, 0x1.30b0b211c5ae2p-5, 0x1.2bb18e544ced8p-5, 0x1.26c2f9b523784p-5, 0x1.21e4d5868f5c9p-5, 0x1.1d1702c84aecep-5, 0x1.1859622b15146p-5, 0x1.13abd4143c64ap-5, 0x1.0f0e38a12e5c2p-5, 0x1.0a806fab0c4dbp-5, 0x1.060258ca3cc3ap-5, 0x1.0193d359ffb32p-5, 0x1.fa697cf8055f3p-6, 0x1.f1c9f237ec58ep-6, 0x1.e948c3e638d2dp-6, 0x1.e0e5af17b4f72p-6, 0x1.d8a0708a7d8f7p-6, 0x1.d078c4ad1062cp-6, 0x1.c86e67a53e6d5p-6, 0x1.c081155714f27p-6, 0x1.b8b0896bb1726p-6, 0x1.b0fc7f57fa2e2p-6, 0x1.a964b2633d567p-6, 0x1.a1e8ddadb6e58p-6, 0x1.9a88bc36f565bp-6, 0x1.934408e41a214p-6, 0x1.8c1a7e85fa5b3p-6, 0x1.850bd7df1bf0fp-6, 0x1.7e17cfa9865aep-6, 0x1.773e209c6f15fp-6, 0x1.707e8571c174bp-6, 0x1.69d8b8eb6eda5p-6, 0x1.634c75d8a7bbap-6, 0x1.5cd9771ad8d0cp-6, 0x1.567f77aa8a041p-6, 0x1.503e329c0cd3ap-6, 0x1.4a156324012dap-6, 0x1.4404c49baf607p-6, 0x1.3e0c128540f7fp-6, 0x1.382b088fc63bcp-6, 0x1.3261629b1e205p-6, 0x1.2caedcbbb1e23p-6, 0x1.2713333e10f6ep-6, 0x1.218e22aa6379fp-6, 0x1.1c1f67c7c5605p-6, 0x1.16c6bf9f6fb6p-6, 0x1.1183e77fd3c91p-6, 0x1.0c569cff8f9ffp-6, 0x1.073e9e00464adp-6, 0x1.023ba8b15e2b5p-6, 0x1.fa9af72548fccp-7, 0x1.f0e7aaedb7956p-7, 0x1.e75ceb0c59801p-7, 0x1.ddfa368110a11p-7, 0x1.d4bf0cffdb46ep-7, 0x1.cbaaeef54282ap-7, 0x1.c2bd5d8a9fafep-7, 0x1.b9f5daaa392bep-7, 0x1.b153e903472p-7, 0x1.a8d70c0dccabbp-7, 0x1.a07ec80e50aeep-7, 0x1.984aa2198449cp-7, 0x1.903a2017c1f37p-7, 0x1.884cc8c869625p-7, 0x1.808223c53199ap-7, 0x1.78d9b9854b1dfp-7, 0x1.7153136074162p-7, 0x1.69edbb91ec0e3p-7, 0x1.62a93d3b475b4p-7, 0x1.5b85246735d4dp-7, 0x1.5480fe0c19b4bp-7, 0x1.4d9c580e93341p-7, 0x1.46d6c143e869bp-7, 0x1.402fc9744e556p-7, 0x1.39a7015d1eec3p-7, 0x1.333bfab2e4c71p-7, 0x1.2cee4823555fp-7, 0x1.26bd7d571f172p-7, 0x1.20a92ef3a7a84p-7, 0x1.1ab0f29c9c86cp-7, 0x1.14d45ef56d54p-7, 0x1.0f130ba2a6154p-7, 0x1.096c914b1b41p-7, 0x1.03e08999098ddp-7, 0x1.fcdd1e7606be1p-8, 0x1.f22c7bc9884ffp-8, 0x1.e7ae649fc729p-8, 0x1.dd621478c75c9p-8, 0x1.d346c8e23684dp-8, 0x1.c95bc1780e2c2p-8, 0x1.bfa03fe4e95eap-8, 0x1.b61387e21a0e8p-8, 0x1.acb4df3783144p-8, 0x1.a3838dbb2ee91p-8, 0x1.9a7edd50ad3ddp-8, 0x1.91a619e834553p-8, 0x1.88f8917d8d2b7p-8, 0x1.80759416c001p-8, 0x1.781c73c293dbap-8, 0x1.6fec8496de76p-8, 0x1.67e51caea3c5ap-8, 0x1.60059427f6736p-8, 0x1.584d4521d65cp-8, 0x1.50bb8bb9c238cp-8, 0x1.494fc6093aa51p-8, 0x1.4209542322cd3p-8, 0x1.3ae7981106a76p-8, 0x1.33e9f5d0397d2p-8, 0x1.2d0fd34eea09dp-8, 0x1.265898692a7fcp-8, 0x1.1fc3aee5cc12fp-8, 0x1.195082734a483p-8, 0x1.12fe80a49ee6dp-8, 0x1.0ccd18ee0476bp-8, 0x1.06bbbca1b6365p-8, 0x1.00c9deecb761fp-8, 0x1.f5ede9a7051b9p-9, 0x1.ea84ea5d86d58p-9, 0x1.df57b15015d33p-9, 0x1.d465336cfc9acp-9, 0x1.c9ac69371b1e1p-9, 0x1.bf2c4ebf46902p-9, 0x1.b4e3e39dba1d2p-9, 0x1.aad22aeb678c8p-9, 0x1.a0f62b3b5715ep-9, 0x1.974eee941ae9bp-9, 0x1.8ddb826909df2p-9, 0x1.849af793a609cp-9, 0x1.7b8c624ccb05p-9, 0x1.72aeda2600d5dp-9, 0x1.6a017a0293213p-9, 0x1.61836010a2c1p-9, 0x1.5933adc23cf9ep-9, 0x1.511187c641b79p-9, 0x1.491c16014547dp-9, 0x1.41528386423bdp-9, 0x1.39b3fe8f55fbcp-9, 0x1.323fb87638ac5p-9, 0x1.2af4e5acbe15ep-9, 0x1.23d2bdb52ce38p-9, 0x1.1cd87b1a8bbf7p-9, 0x1.16055b68c7081p-9, 0x1.0f589f24de65dp-9, 0x1.08d189c4d5956p-9, 0x1.026f61a7cb792p-9, 0x1.f862e01bca83cp-10, 0x1.ec2e02209075p-10, 0x1.e03ec7320f82ap-10, 0x1.d493d2b62d43fp-10, 0x1.c92bcd949966ep-10, 0x1.be056626e54f5p-10, 0x1.b31f5028b239ap-10, 0x1.a87844a804865p-10, 0x1.9e0f01f5eff6dp-10, 0x1.93e24b976c72ep-10, 0x1.89f0ea36306f8p-10, 0x1.8039ab91e4472p-10, 0x1.76bb6271ec72p-10, 0x1.6d74e696e72d9p-10, 0x1.646514acc103ap-10, 0x1.5b8ace3cf1d97p-10, 0x1.52e4f9a0d3e42p-10, 0x1.4a7281f483f97p-10, 0x1.4232570983f33p-10, 0x1.3a236d59ad04p-10, 0x1.3244bdfa53955p-10, 0x1.2a95468f76686p-10, 0x1.2314093f055b8p-10, 0x1.1bc00ca3f344dp-10, 0x1.14985bc182593p-10, 0x1.0d9c05f691b2cp-10, 0x1.06ca1ef08b247p-10, 0x1.0021be9e5d197p-10, 0x1.f344024720872p-11, 0x1.e6940d96291d7p-11, 0x1.da31e7f318be9p-11, 0x1.ce1be24051e44p-11, 0x1.c250555de2a87p-11, 0x1.b6cda20daa384p-11, 0x1.ab9230d7d32c4p-11, 0x1.a09c71eeb68e3p-11, 0x1.95eadd12a9edap-11, 0x1.8b7bf175a55fcp-11, 0x1.814e359ece061p-11, 0x1.7760374e005bep-11, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.8a0781f7608e7p-1, -0x1.8441c4d857754p-1, -0x1.7fc4b966cea4bp-1, -0x1.7c3b7235e5573p-1, -0x1.7959e9b177d36p-1, -0x1.76de0b15d03c4p-1, -0x1.748fd2d843fe9p-1, -0x1.7241a87c85fp-1, -0x1.6fcfb585cbb86p-1, -0x1.6d1ea2ed7e742p-1, -0x1.6a1ad749a49cp-1, -0x1.66b7c144e841fp-1, -0x1.62eea8b46c81ep-1, -0x1.5ebd76f38ccdp-1, -0x1.5a25e0e0a2b88p-1, -0x1.552cc6e036abp-1, -0x1.4fd9829c4a5dfp-1, -0x1.4a352364aeaap-1, -0x1.4449c7d35877ep-1, -0x1.3e222f05b25c2p-1, -0x1.37c9718c521ecp-1, -0x1.314ae73b94ae2p-1, -0x1.2ab1369b35673p-1, -0x1.240722daf9c3dp-1, -0x1.1d56cb4193b66p-1, -0x1.16a98fc6a7879p-1, -0x1.1007f8fea5e37p-1, -0x1.0979bcb01247fp-1, -0x1.0305d0b1c4192p-1, -0x1.f964f52d46cf5p-2, -0x1.ed0aa5a545da6p-2, -0x1.e1067ad673ac8p-2, -0x1.d560c24b0cfdbp-2, -0x1.ca204bd9e0f39p-2, -0x1.bf4a7ca24ad4dp-2, -0x1.b4e374f87f1fdp-2, -0x1.aaee3f1bde2f9p-2, -0x1.a16cfb348d6acp-2, -0x1.98610047e5894p-2, -0x1.8fcaef73b40b7p-2, -0x1.87aabc46efb5p-2, -0x1.7fffb05f625fdp-2, -0x1.78c870b42d0bdp-2, -0x1.720308c254901p-2, -0x1.6bacfca3d57e8p-2, -0x1.65c3605dde2cp-2, -0x1.6042f12c69ec2p-2, -0x1.5b282d556657dp-2, -0x1.566f67ca0985cp-2, -0x1.5214d622b637cp-2, -0x1.4e1498e8feaf6p-2, -0x1.4a6abf559de8fp-2, -0x1.47134868026bcp-2, -0x1.440a236cf62ddp-2, -0x1.414b31b230025p-2, -0x1.3ed24a6d6ce01p-2, -0x1.3c9b41033b7ebp-2, -0x1.3aa1ed18bd534p-2, -0x1.38e233619198ap-2, -0x1.37580dfaa48cbp-2, -0x1.35ff93526475cp-2, -0x1.34d4fb02d0f66p-2, -0x1.33d4a07630c91p-2, -0x1.32fa0dce25083p-2, -0x1.324462facc2e3p-2, -0x1.31aee9e00daa3p-2, -0x1.31366cd625dbap-2, -0x1.30d7d986157cp-2, -0x1.30904342b0ff3p-2, -0x1.305ce45aaf92ep-2, -0x1.303b1e4f17b15p-2, -0x1.302879051fcecp-2, -0x1.3022a12c4251fp-2, -0x1.30276624b0e72p-2, -0x1.3034b7b6d70a9p-2, -0x1.3048a3e4252e1p-2, -0x1.30615507d8bb8p-2, -0x1.307d106825094p-2, -0x1.309a35416a395p-2, -0x1.30b73c412cf3ep-2, -0x1.30d2b7579949ep-2, -0x1.30eb51bd3d043p-2, -0x1.30ffd007a46a4p-2, -0x1.310f1029da3dep-2, -0x1.3118094469c9ap-2, -0x1.3119cb3202e05p-2, -0x1.31137dc88755ep-2, -0x1.31045fd09bd35p-2, -0x1.30ebc5be777bcp-2, -0x1.30c9183ca5b92p-2, -0x1.309bd29c99da9p-2, -0x1.306381415792p-2, -0x1.301fc0169f6b8p-2, -0x1.2fd03923ad418p-2, -0x1.2f74a34450e38p-2, -0x1.2f0cc10e86ff5p-2, -0x1.2e985fe65b41fp-2, -0x1.2e17573e0e7a4p-2, -0x1.2d8987fd71f41p-2, -0x1.2ceedc0960892p-2, -0x1.2c4745e31cef9p-2, -0x1.2b92c057093fdp-2, -0x1.2ad14e328e2e5p-2, -0x1.2a02f9fa05cap-2, -0x1.2927d598e4716p-2, -0x1.283ffa081522fp-2, -0x1.274b86e854e2dp-2, -0x1.264aa21046672p-2, -0x1.253d770f806c3p-2, -0x1.242436a93cdc9p-2, -0x1.22ff164a026ep-2, -0x1.21ce4f7c0ef0bp-2, -0x1.20921f5e19f4ap-2, -0x1.1f4ac61fa9b85p-2, -0x1.1df88685935c9p-2, -0x1.1c9ba57893d39p-2, -0x1.1b34699f3a3f8p-2, -0x1.19c31b03cbc09p-2, -0x1.184802c6339d5p-2, -0x1.16c36ad99b7d4p-2, -0x1.15359dcce8e23p-2, -0x1.139ee69d05133p-2, -0x1.11ff908fa59f6p-2, -0x1.1057e71528e01p-2, -0x1.0ea835b012d6bp-2, -0x1.0cf0c7e0cb701p-2, -0x1.0b31e9145bccep-2, -0x1.096be49511f6bp-2, -0x1.079f057c1679p-2, -0x1.05cb96a331eb5p-2, -0x1.03f1e29619f8fp-2, -0x1.02123382ccf52p-2, -0x1.002cd3289d6cap-2, -0x1.fc84158b8534cp-3, -0x1.f8a44606b8503p-3, -0x1.f4bac7c02c2ep-3, -0x1.f0c829336f298p-3, -0x1.ecccf72c1641bp-3, -0x1.e8c9bc9766afbp-3, -0x1.e4bf02571572bp-3, -0x1.e0ad4f164c47ap-3, -0x1.dc9527222fd4p-3, -0x1.d8770c46d8084p-3, -0x1.d4537db180a24p-3, -0x1.d02af7d86eb78p-3, -0x1.cbfdf468b3be4p-3, -0x1.c7ccea39cb702p-3, -0x1.c3985167aa8d8p-3, -0x1.bf60b7b56619ap-3, -0x1.bb2667e440054p-3, -0x1.b6e9cbc594ff1p-3, -0x1.b2ab4a9f34ea8p-3, -0x1.ae6b49438c49ap-3, -0x1.aa2a2a26b8a41p-3, -0x1.a5e84d6fcbaf8p-3, -0x1.a1a611059fc55p-3, -0x1.9d63d09725e7p-3, -0x1.9921e59f353aap-3, -0x1.94e0a7644d783p-3, -0x1.90a06af4cf57ap-3, -0x1.8c6183206ba1fp-3, -0x1.8824406fa68eap-3, -0x1.83e8f11a460d7p-3, -0x1.7fafe0fd8d0bap-3, -0x1.7b79599326a54p-3, -0x1.7745a1e96b066p-3, -0x1.7314fe9db794cp-3, -0x1.6ee7b1d94a17fp-3, -0x1.6abdfb5105ca7p-3, -0x1.669818484d6d3p-3, -0x1.6276439703138p-3, -0x1.5e58b5b29f959p-3, -0x1.5a3fa4ba1603p-3, -0x1.562b44845011dp-3, -0x1.521bc6b0c31ccp-3, -0x1.4e115ab9beb2ap-3, -0x1.4a0c2e07ef01ep-3, -0x1.460c6c0699becp-3, -0x1.42123e382168p-3, -0x1.3e1dcc4a503fap-3, -0x1.3a2f3c2a192abp-3, -0x1.3646b2165fa2fp-3, -0x1.326450b199decp-3, -0x1.2e883912026a3p-3, -0x1.2ab28ad03ded4p-3, -0x1.26e364146d34bp-3, -0x1.231ae1a19741ap-3, -0x1.1f591edf8daf1p-3, -0x1.1b9e35e35437dp-3, -0x1.17ea3f7649d1cp-3, -0x1.143d531c24141p-3, -0x1.10978718123b8p-3, -0x1.0cf8f071214e3p-3, -0x1.0961a2f637935p-3, -0x1.05d1b141bf1e2p-3, -0x1.02492cbd4bf31p-3, -0x1.fd904b4abae38p-4, -0x1.f69d561ac52fcp-4, -0x1.efb995c841926p-4, -0x1.e8e523f127f37p-4, -0x1.e22017feb1e2ep-4, -0x1.db6a8731353f8p-4, -0x1.d4c484ad39c43p-4, -0x1.ce2e21896e016p-4, -0x1.c7a76cddb7918p-4, -0x1.c13073d2edf39p-4, -0x1.bac941b35525fp-4, -0x1.b471dffb800cep-4, -0x1.ae2a566b83c58p-4, -0x1.a7f2ab1841d79p-4, -0x1.a1cae27c98039p-4, -0x1.9bb2ff8a6253ep-4, -0x1.95ab03baf6c5dp-4, -0x1.8fb2ef1f37ecep-4, -0x1.89cac06ee8b57p-4, -0x1.83f27517522b1p-4, -0x1.7e2a09491a897p-4, -0x1.7871780546348p-4, -0x1.72c8bb2963a64p-4, -0x1.6d2fcb7ae116p-4, -0x1.67a6a0b19500ap-4, -0x1.622d3181852c6p-4, -0x1.5cc373a3f8d42p-4, -0x1.57695bdfeb16p-4, -0x1.521ede11ee2e3p-4, -0x1.4ce3ed33946e9p-4, -0x1.47b87b62721e3p-4, -0x1.429c79e6cf217p-4, -0x1.3d8fd93a1621dp-4, -0x1.3892890d15f89p-4, -0x1.33a4784e217fap-4, -0x1.2ec5952f1e51ep-4, -0x1.29f5cd2b86e0cp-4, -0x1.25350d0e6dc57p-4, -0x1.208340f884694p-4, -0x1.1be054662830dp-4, -0x1.174c32357a352p-4, -0x1.12c6c4ac7e8d5p-4, -0x1.0e4ff57f410c4p-4, -0x1.09e7add5ff45dp-4, -0x1.058dd6534f3bbp-4, -0x1.0142571a422bfp-4, -0x1.fa0a2fa8f72c4p-5, -0x1.f1abff706fc78p-5, -0x1.e969eb1c7d51cp-5, -0x1.e143bf6f72e5dp-5, -0x1.d9394867da6d1p-5, -0x1.d14a514b9ea6p-5, -0x1.c976a4b2edbe9p-5, -0x1.c1be0c92c77d1p-5, -0x1.ba2052473751cp-5, -0x1.b29d3e9d38352p-5, -0x1.ab3499dc3f275p-5, -0x1.a3e62bcf6cacp-5, -0x1.9cb1bbce697a7p-5, -0x1.959710c5e9cf7p-5, -0x1.8e95f13fe4bfcp-5, -0x1.87ae236b7664fp-5, -0x1.80df6d247c602p-5, -0x1.7a2993faeb4a2p-5, -0x1.738c5d39dfe1bp-5, -0x1.6d078dee762bdp-5, -0x1.669aeaee673a2p-5, -0x1.604638de700e7p-5, -0x1.5a093c388c831p-5, -0x1.53e3b951ffe2dp-5, -0x1.4dd5746136cdp-5, -0x1.47de3183820bfp-5, -0x1.41fdb4c2ab10cp-5, -0x1.3c33c21a648cbp-5, -0x1.36801d7d9bb9ap-5, -0x1.30e28adba7274p-5, -0x1.2b5ace2555de8p-5, -0x1.25e8ab51ddcb8p-5, -0x1.208be663aad7bp-5, -0x1.1b44436d10cfcp-5, -0x1.16118694d90bdp-5, -0x1.10f3741ab1d64p-5, -0x1.0be9d05b7f8f8p-5, -0x1.06f45fd587785p-5, -0x1.0212e72c80cdp-5, -0x1.fa8a565af8b77p-6, -0x1.f115e1a567a89p-6, -0x1.e7c7fa8e5f261p-6, -0x1.dea02bd4a2a8ep-6, -0x1.d59e00a678db3p-6, -0x1.ccc104a83a97ep-6, -0x1.c408c3faa619dp-6, -0x1.bb74cb40f0b9fp-6, -0x1.b304a7a69fad6p-6, -0x1.aab7e6e527c41p-6, -0x1.a28e17494bb5ep-6, -0x1.9a86c7b8519fap-6, -0x1.92a187b4f4f22p-6, -0x1.8adde7642f90ap-6, -0x1.833b7791c93bdp-6, -0x1.7bb9c9b4be2c7p-6, -0x1.74586ff36f7e9p-6, -0x1.6d16fd27ae518p-6, -0x1.65f504e292d5p-6, -0x1.5ef21b702f72cp-6, -0x1.580dd5db141edp-6, -0x1.5147c9efafe06p-6, -0x1.4a9f8e3f83e9ap-6, -0x1.4414ba2434341p-6, -0x1.3da6e5c271693p-6, -0x1.3755aa0cb9fafp-6, -0x1.3120a0c5fb914p-6, -0x1.2b0764840a3f6p-6, -0x1.250990b1fcfb7p-6, -0x1.1f26c1925af0ap-6, -0x1.195e9441324c7p-6, -0x1.13b0a6b606f02p-6, -0x1.0e1c97c59f5acp-6, -0x1.08a25afcebf56p-6, -0x1.0340e65d2857dp-6, -0x1.fbf0635c36a79p-7, -0x1.f18fbec9b6a57p-7, -0x1.e75f25b50bad1p-7, -0x1.dd5de099f6b8p-7, -0x1.d38b39bf18ec5p-7, -0x1.c9e67d372232ap-7, -0x1.c06ef8e1e9476p-7, -0x1.b723fc6d582b3p-7, -0x1.ae04d9564376ep-7, -0x1.a510e2e91bafcp-7, -0x1.9c476e4286af3p-7, -0x1.93a7d24fd742dp-7, -0x1.8b3167cf65d6ep-7, -0x1.82e38950d1335p-7, -0x1.7abd93351eda9p-7, -0x1.72bee3aeb297bp-7, -0x1.6ae6dac136918p-7, -0x1.6334da4159253p-7, -0x1.5ba845d46a61dp-7, -0x1.544082efe197cp-7, -0x1.4cfcf8d8b5dddp-7, -0x1.45dd10a29df6ap-7, -0x1.3ee0352f2a34ep-7, -0x1.3805d32cbc2dcp-7, -0x1.314d59155e54p-7, -0x1.2ab6372d76d7ep-7, -0x1.243fdf825adc8p-7, -0x1.1de9c5e8bec6p-7, -0x1.17b35ffb03c4bp-7, -0x1.119c251765b5bp-7, -0x1.0ba38e5e09351p-7, -0x1.05c916aee9bd3p-7, -0x1.000c3aa7a6b4p-7, -0x1.f4d8f1426a536p-8, -0x1.e9d2a15ae7849p-8, -0x1.df0489294190cp-8, -0x1.d46dafa574076p-8, -0x1.ca0d1f297aea6p-8, -0x1.bfe1e56bac763p-8, -0x1.b5eb1378ddb7p-8, -0x1.ac27bdae63168p-8, -0x1.a296fbb3e1e83p-8, -0x1.9937e874fe7e3p-8, -0x1.9009a21ae997bp-8, -0x1.870b4a05c4b6bp-8, -0x1.7e3c04c5f66a8p-8, -0x1.759afa1552f9bp-8, -0x1.6d2754d03aa14p-8, -0x1.64e042ee9b667p-8, -0x1.5cc4f57cdc1cp-8, -0x1.54d4a094bb946p-8, -0x1.4d0e7b561e614p-8, -0x1.4571bfdfd197ep-8, -0x1.3dfdab483a2a3p-8, -0x1.36b17d9608788p-8, -0x1.2f8c79b8d9df5p-8, -0x1.288de581d7bdp-8, -0x1.21b5099c53a6ap-8, -0x1.1b0131865fac1p-8, -0x1.1471ab89618bp-8, -0x1.0e05c8b2abcb5p-8, -0x1.07bcdccc13c2bp-8, -0x1.01963e548437ap-8, -0x1.f7228cf13cbe3p-9, -0x1.eb5aa216a0e13p-9, -0x1.dfd378fcf0a88p-9, -0x1.d48bd3b70af19p-9, -0x1.c98279783f759p-9, -0x1.beb63685ac5acp-9, -0x1.b425dc2799853p-9, -0x1.a9d0409ae04a7p-9, -0x1.9fb43f0269199p-9, -0x1.95d0b758a0b17p-9, -0x1.8c248e61019adp-9, -0x1.82aead99a2b43p-9, -0x1.796e032cd4f04p-9, -0x1.706181e2bed3bp-9, -0x1.6788211310b8cp-9, -0x1.5ee0dc96a9dfp-9, -0x1.566ab4b95f428p-9, -0x1.4e24ae2bbfa22p-9, -0x1.460dd1f4d425p-9, -0x1.3e252d63fc064p-9, -0x1.3669d202c20e8p-9, -0x1.2edad586bde06p-9, -0x1.277751c37c067p-9, -0x1.203e649c74a3cp-9, -0x1.192f2ff6fb634p-9, -0x1.1248d9ac43ab6p-9, -0x1.0b8a8b7b6dd37p-9, -0x1.04f372fb9a8ap-9, -0x1.fd05831c0579bp-10, -0x1.f06f58a0574bdp-10, -0x1.e422d81c294eep-10, -0x1.d81e7a69005b7p-10, -0x1.cc60bf868e854p-10, -0x1.c0e82e7f71e7ep-10, -0x1.b5b3554e285dap-10, -0x1.aac0c8c2153acp-10, -0x1.a00f2464d1573p-10, -0x1.959d0a5f7e79bp-10, -0x1.8b6923606cf2fp-10, -0x1.81721e80e7818p-10, -0x1.77b6b12b341fap-10, -0x1.6e359700e281ap-10, -0x1.64ed91c13a1a8p-10, -0x1.5bdd69300d75p-10, -0x1.5303eafcb615ap-10, -0x1.4a5feaa965ed6p-10, -0x1.41f04172c0dbep-10, -0x1.39b3ce37c5016p-10, -0x1.31a9756209c25p-10, -0x1.29d020ce35f66p-10, -0x1.2226bfb4e6aeep-10, -0x1.1aac4693de0b1p-10, -0x1.135faf17855e6p-10, -0x1.0c3ff804c4e79p-10, -0x1.054c252337be5p-10, -0x1.fd067e4f594d7p-11, -0x1.efc8a73e03bb8p-11, -0x1.e2dce9b29d2bfp-11, -0x1.d64173aad5617p-11, -0x1.c9f47c5968552p-11, -0x1.bdf443fe5e1abp-11, -0x1.b23f13bff574ap-11, -0x1.a6d33d83fd318p-11, -0x1.9baf1bc9d6e04p-11, -0x1.90d11184f355dp-11, -0x1.863789f7f528dp-11, -0x1.7be0f8902f0c6p-11, -0x1.71cbd8c19f5e4p-11, -0x1.67f6ade37fa67p-11, -0x1.5e60030d2b027p-11, -0x1.55066af38bab9p-11, -0x1.4be87fc6caeb6p-11, -0x1.4304e310a898ap-11, -0x1.3a5a3d92e98cp-11, -0x1.31e73f266ebe1p-11, -0x1.29aa9e9a7c219p-11, -0x1.21a319949a317p-11, -0x1.19cf7470a0402p-11, -0x1.122e7a2158ccdp-11, -0x1.0abefc115b71p-11, -0x1.037fd20471101p-11, -0x1.f8dfb3f2ca7b1p-12, -0x1.eb1bf018636bdp-12, -0x1.ddb22cb16258cp-12, -0x1.d0a049bb6d0e2p-12, -0x1.c3e432c163098p-12, -0x1.b77bdea376636p-12, -0x1.ab654f606c9b2p-12, -0x1.9f9e91dfb8764p-12, -0x1.9425bdbcc0b6bp-12, -0x1.88f8f5133e7d6p-12, -0x1.7e16644c5f21fp-12, -0x1.737c41ed2557ep-12, -0x1.6928ce65e201p-12, -0x1.5f1a53e2a18aep-12, -0x1.554f261c8870cp-12, -0x1.4bc5a22c2ea4ap-12, -0x1.427c2e5cf31e6p-12, -0x1.39713a014f38fp-12, -0x1.30a33d47cc306p-12, -0x1.2810b910db9b8p-12, -0x1.1fb836c591139p-12, -0x1.1798482ef4142p-12, -0x1.0faf874e11b65p-12, -0x1.07fc963483102p-12, -0x1.007e1edda82bbp-12, -0x1.f265a610e385ep-13, -0x1.e432d822dc2a2p-13, -0x1.d661559b0558fp-13, -0x1.c8eeaec9f76c8p-13, -0x1.bbd8825e22b04p-13, -0x1.af1c7d1b062f8p-13, -0x1.a2b8599203f2p-13, -0x1.96a9dfdb8d7e4p-13, -0x1.8aeee550874cfp-13, -0x1.7f854c453072ap-13, -0x1.746b03c444d5p-13, -0x1.699e074b4335fp-13, -0x1.5f1c5e872bf04p-13, -0x1.54e41d124a522p-13, -0x1.4af36232cc3aap-13, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.047f0d91a3de3p-5, 0x1.7f500ed5b4972p-6, 0x1.dba7cb36c84eap-7, 0x1.57d804eac0b87p-8, -0x1.1baf66193eb57p-8, -0x1.cf0a370d4ad92p-7, -0x1.8a9c560172c13p-6, -0x1.178646e280e9ap-5, -0x1.69e306116a1b2p-5, -0x1.bbe760acb61dap-5, -0x1.069092a5e47c6p-4, -0x1.2e946b00e5c0cp-4, -0x1.55d0b35def5bdp-4, -0x1.7c1bf1bcd0bb6p-4, -0x1.a1518207d613dp-4, -0x1.c551592fa8c9ep-4, -0x1.e7ffc39c5d679p-4, -0x1.04a2905d6e257p-3, -0x1.1486ce912718bp-3, -0x1.23a4764501445p-3, -0x1.31f502464786cp-3, -0x1.3f736c8072a1p-3, -0x1.4c1c0d42730f1p-3, -0x1.57ec7bd73dbep-3, -0x1.62e3709b9249ap-3, -0x1.6d00a8ad50e5fp-3, -0x1.7644cb4530c25p-3, -0x1.7eb150c2411a5p-3, -0x1.86486b671ef45p-3, -0x1.8d0cf1c2b2e8p-3, -0x1.93024ab99fc03p-3, -0x1.982c5b21ee55bp-3, -0x1.9c8f74dff2cf9p-3, -0x1.a0304771848e2p-3, -0x1.a313d1d38344fp-3, -0x1.a53f55acf75fep-3, -0x1.a6b84baae4678p-3, -0x1.a78458f80c8bbp-3, -0x1.a7a945bc4fcf7p-3, -0x1.a72cf48fd61f3p-3, -0x1.a6155acf11474p-3, -0x1.a46879bd74354p-3, -0x1.a22c58659e204p-3, -0x1.9f66fe26e09dep-3, -0x1.9c1e6de0c84f3p-3, -0x1.9858a1ae91c01p-3, -0x1.941b87254104cp-3, -0x1.8f6cfc081fccbp-3, -0x1.8a52cb6854e18p-3, -0x1.84d2ab25206b3p-3, -0x1.7ef239c334f04p-3, -0x1.78b6fc925879ap-3, -0x1.72265e1956097p-3, -0x1.6b45acc0f1588p-3, -0x1.641a19b725375p-3, -0x1.5ca8b804c101cp-3, -0x1.54f67bcfd34c5p-3, -0x1.4d0839c604444p-3, -0x1.44e2a6aa5b136p-3, -0x1.3c8a57027d5d5p-3, -0x1.3403bedfbe4b5p-3, -0x1.2b5331c0c95bep-3, -0x1.227ce288fb872p-3, -0x1.1984e38ae7baep-3, -0x1.106f26a399acbp-3, -0x1.073f7d64a525ep-3, -0x1.fbf332963f86dp-4, -0x1.e9421803c4ee9p-4, -0x1.d6728f5b67aa7p-4, -0x1.c38b3e84083cbp-4, -0x1.b0928dba54bbp-4, -0x1.9d8ea856301f7p-4, -0x1.8a857d9b6b341p-4, -0x1.777cc1942dfefp-4, -0x1.6479edf3c44e6p-4, -0x1.51824300a334cp-4, -0x1.3e9ac8849da47p-4, -0x1.2bc84ec263a4p-4, -0x1.190f6f6f80be3p-4, -0x1.06748eb22c383p-4, -0x1.e7f7b8449cf76p-5, -0x1.c352a79a6ba99p-5, -0x1.9f017e770787ep-5, -0x1.7b0b6cf1d0376p-5, -0x1.5777423aa0bcdp-5, -0x1.344b6eae6c13ap-5, -0x1.118e05ed85f68p-5, -0x1.de8981e6271d1p-6, -0x1.9aea005a58d0cp-6, -0x1.58479b2a6dbf8p-6, -0x1.16abbd9044d39p-6, -0x1.ac3e5c7866d5fp-7, -0x1.2d54270558771p-7, -0x1.614fde1dda252p-8, -0x1.b23cc65dc6ba8p-10, 0x1.07007d56bb524p-9, 0x1.6ec738dc8906fp-8, 0x1.2a9858e7de91ap-7, 0x1.9b54de515cb82p-7, 0x1.04c85e9f6d011p-6, 0x1.3aa2429b84376p-6, 0x1.6f34de575fc59p-6, 0x1.a27d6c89f92fbp-6, 0x1.d4799b7487659p-6, 0x1.0293c47c76158p-5, 0x1.1a42df5cb5fb3p-5, 0x1.314997211afcep-5, 0x1.47a7969e9ccbap-5, 0x1.5d5cb8d866c62p-5, 0x1.72690724d68f4p-5, 0x1.86ccb7585df11p-5, 0x1.9a8829f687bafp-5, 0x1.ad9be86958413p-5, 0x1.c008a33f43e56p-5, 0x1.d1cf306fece9fp-5, 0x1.e2f089a7e3527p-5, 0x1.f36dca9b910a4p-5, 0x1.01a417b0c3e58p-4, 0x1.0940896a2be97p-4, 0x1.108cf67e0e65bp-4, 0x1.178a28bff371bp-4, 0x1.1e38f70f911d5p-4, 0x1.249a44998fe7fp-4, 0x1.2aaf001c6f739p-4, 0x1.3078233197975p-4, 0x1.35f6b19aa2d6ap-4, 0x1.3b2bb892ed518p-4, 0x1.40184e256f384p-4, 0x1.44bd9086ed4fcp-4, 0x1.491ca57482853p-4, 0x1.4d36b996893f2p-4, 0x1.510cffe7e689ep-4, 0x1.54a0b121b8862p-4, 0x1.57f30b2b6a0a1p-4, 0x1.5b05508f2769p-4, 0x1.5dd8c7f2b48e2p-4, 0x1.606ebb94a032p-4, 0x1.62c878cdcc133p-4, 0x1.64e74f9749233p-4, 0x1.66cc92147bdefp-4, 0x1.6879942181c93p-4, 0x1.69efaae5ce595p-4, 0x1.6b302c6af52bcp-4, 0x1.6c3c6f3793e68p-4, 0x1.6d15c9ee52264p-4, 0x1.6dbd92f0e6ea3p-4, 0x1.6e352007172d9p-4, 0x1.6e7dc6099d533p-4, 0x1.6e98d890eb7d2p-4, 0x1.6e87a9a7b549p-4, 0x1.6e4b8981330b9p-4, 0x1.6de5c6330ad72p-4, 0x1.6d57ab72cd5bdp-4, 0x1.6ca28256f5634p-4, 0x1.6bc7911b549f1p-4, 0x1.6ac81ae8dc5f1p-4, 0x1.69a55fa0ad404p-4, 0x1.68609baa5a20ap-4, 0x1.66fb07c54a762p-4, 0x1.6575d8dd271a5p-4, 0x1.63d23fe13cc7cp-4, 0x1.6211699ebfb46p-4, 0x1.60347e9ddc67bp-4, 0x1.5e3ca3017ffbfp-4, 0x1.5c2af669c227ap-4, 0x1.5a0093d8de958p-4, 0x1.57be919aa653bp-4, 0x1.5566012e56857p-4, 0x1.52f7ef32bf0fap-4, 0x1.50756354a44fdp-4, 0x1.4ddf603f48574p-4, 0x1.4b36e38f076e8p-4, 0x1.487ce5c5f4b4fp-4, 0x1.45b25a426138dp-4, 0x1.42d82f373ca36p-4, 0x1.3fef4da63b131p-4, 0x1.3cf8995bad214p-4, 0x1.39f4f0ebf8511p-4, 0x1.36e52db29df42p-4, 0x1.33ca23d2bca57p-4, 0x1.30a4a238fe18fp-4, 0x1.2d75729edd8dap-4, 0x1.2a3d598f35fc9p-4, 0x1.26fd166c0a213p-4, 0x1.23b5637573596p-4, 0x1.2066f5d1a9a4fp-4, 0x1.1d127d9613877p-4, 0x1.19b8a5d151d58p-4, 0x1.165a1496365cfp-4, 0x1.12f76b0796a14p-4, 0x1.0f914564f158cp-4, 0x1.0c283b17d2ca9p-4, 0x1.08bcdec1f1e34p-4, 0x1.054fbe4bf389dp-4, 0x1.01e162f4cb93dp-4, 0x1.fce4a2c35ec76p-5, 0x1.f606135d194b3p-5, 0x1.ef280efdf49eap-5, 0x1.e84b841f3740cp-5, 0x1.e171588fcaf15p-5, 0x1.da9a699882e73p-5, 0x1.d3c78c210547dp-5, 0x1.ccf98cd544861p-5, 0x1.c631304b7b49dp-5, 0x1.bf6f332a961e5p-5, 0x1.b8b44a50fbc59p-5, 0x1.b20122fba5c43p-5, 0x1.ab5662ed78f65p-5, 0x1.a4b4a896cfc1p-5, 0x1.9e1c8b3d298eep-5, 0x1.978e9b22f12b9p-5, 0x1.910b61af4e075p-5, 0x1.8a936195f6894p-5, 0x1.842716fef44e1p-5, 0x1.7dc6f7ae51886p-5, 0x1.7773732ba8793p-5, 0x1.712cf2e985dedp-5, 0x1.6af3da6c996d9p-5, 0x1.64c88772a9c45p-5, 0x1.5eab5219441ecp-5, 0x1.589c8d0422d92p-5, 0x1.529c85833e19ep-5, 0x1.4cab83b88485cp-5, 0x1.46c9cabd36026p-5, 0x1.40f798c6d5f9ap-5, 0x1.3b35274bb685bp-5, 0x1.3582ab271035ep-5, 0x1.2fe054bca8e1fp-5, 0x1.2a4e501bfefe7p-5, 0x1.24ccc522fa25ap-5, 0x1.1f5bd7a01be8ap-5, 0x1.19fba7742a38cp-5, 0x1.14ac50b358b09p-5, 0x1.0f6debc5e24f9p-5, 0x1.0a408d881f44ep-5, 0x1.0524476a0699ap-5, 0x1.0019278e2594cp-5, 0x1.f63e71d006b2ap-6, 0x1.ec6d06b3eaa0fp-6, 0x1.e2be17a4b9474p-6, 0x1.d931a8d0a8509p-6, 0x1.cfc7b8ef8c9bp-6, 0x1.c6804179df399p-6, 0x1.bd5b36de9764cp-6, 0x1.b45888b7d73e5p-6, 0x1.ab7821fe73d7ep-6, 0x1.a2b9e93c4df0bp-6, 0x1.9a1dc0bd80558p-6, 0x1.91a386c06e71ep-6, 0x1.894b15a4a17b5p-6, 0x1.8114441889516p-6, 0x1.78fee546146ap-6, 0x1.710ac8fe2c271p-6, 0x1.6937bbe30bbc5p-6, 0x1.6185879181204p-6, 0x1.59f3f2c911b31p-6, 0x1.5282c1930a585p-6, 0x1.4b31b56876cc5p-6, 0x1.44008d5710623p-6, 0x1.3cef06251d232p-6, 0x1.35fcda743f4dcp-6, 0x1.2f29c2e34b067p-6, 0x1.2875762f0fecdp-6, 0x1.21dfa95226c59p-6, 0x1.1b680fa3c8dap-6, 0x1.150e5af5ae3cap-6, 0x1.0ed23bb0f50f2p-6, 0x1.08b360f224158p-6, 0x1.02b178a43bec1p-6, 0x1.f9985f35c443fp-7, 0x1.ee066357618e3p-7, 0x1.e2ac538d41263p-7, 0x1.d789841b4149fp-7, 0x1.cc9d47d6ab0d4p-7, 0x1.c1e6f0520fcbbp-7, 0x1.b765ce078fdedp-7, 0x1.ad19308194737p-7, 0x1.a3006681f845p-7, 0x1.991abe27bb648p-7, 0x1.8f678513420adp-7, 0x1.85e608891a3e7p-7, 0x1.7c95959365d97p-7, 0x1.73757921ea592p-7, 0x1.6a850028c676cp-7, 0x1.61c377bdd762ep-7, 0x1.59302d34ec9b1p-7, 0x1.50ca6e3aae32cp-7, 0x1.489188ee5756fp-7, 0x1.4084cbfa462ccp-7, 0x1.38a386ab6910cp-7, 0x1.30ed09078e6b7p-7, 0x1.2960a3e2a23ap-7, 0x1.21fda8f2df7bep-7, 0x1.1ac36ae3fdf7bp-7, 0x1.13b13d696317dp-7, 0x1.0cc6754f5c58fp-7, 0x1.0602688b6cb7fp-7, 0x1.fec8dc9765c95p-8, 0x1.f1d7be0add1cdp-8, 0x1.e53029055a78ap-8, 0x1.d8d0d3de49c52p-8, 0x1.ccb877c8828bdp-8, 0x1.c0e5d0e8dbc58p-8, 0x1.b5579e6b4002bp-8, 0x1.aa0ca2964f6ffp-8, 0x1.9f03a2dda00ap-8, 0x1.943b67f2a081fp-8, 0x1.89b2bdd432ef1p-8, 0x1.7f6873dd0145p-8, 0x1.755b5cd0a01c3p-8, 0x1.6b8a4ee78253cp-8, 0x1.61f423d9cf011p-8, 0x1.5897b8e9206e6p-8, 0x1.4f73eee9388a9p-8, 0x1.4687aa47b2f49p-8, 0x1.3dd1d312c073cp-8, 0x1.355154fef3bfep-8, 0x1.2d051f6c2b6a5p-8, 0x1.24ec25699db23p-8, 0x1.1d055db914e5dp-8, 0x1.154fc2d15f6a4p-8, 0x1.0dca52e000ec4p-8, 0x1.06740fca27d2p-8, 0x1.fe97fe59e8545p-9, 0x1.f0a254ba26edfp-9, 0x1.e3053ccb77823p-9, 0x1.d5bed80e1724ap-9, 0x1.c8cd4f67afb56p-9, 0x1.bc2ed31dd911p-9, 0x1.afe19acf908a6p-9, 0x1.a3e3e56db1f07p-9, 0x1.9833f9327f127p-9, 0x1.8cd023984585fp-9, 0x1.81b6b94f245f6p-9, 0x1.76e616320e921p-9, 0x1.6c5c9d3b0186cp-9, 0x1.6218b8768c0ebp-9, 0x1.5818d8f6a2511p-9, 0x1.4e5b76c4d6e9ep-9, 0x1.44df10d3f156bp-9, 0x1.3ba22cf0fef88p-9, 0x1.32a357b3d7588p-9, 0x1.29e1246f26d4ap-9, 0x1.215a2d200312ep-9, 0x1.190d125d135f8p-9, 0x1.10f87b4555f65p-9, 0x1.091b156e87491p-9, 0x1.017394d334d45p-9, 0x1.f401678100081p-10, 0x1.e58265873c358p-10, 0x1.d767b12e25b44p-10, 0x1.c9aee41f6800dp-10, 0x1.bc55a412ec559p-10, 0x1.af59a2a81dddfp-10, 0x1.a2b89d3ed4f7p-10, 0x1.96705cd001234p-10, 0x1.8a7eb5c61631ap-10, 0x1.7ee187d54599ep-10, 0x1.7396bdd38f50cp-10, 0x1.689c4d90b676bp-10, 0x1.5df037ae1d40cp-10, 0x1.539087768edebp-10, 0x1.497b52b609606p-10, 0x1.3faeb991879b8p-10, 0x1.3628e65ecb116p-10, 0x1.2ce80d7c455afp-10, 0x1.23ea6d290735fp-10, 0x1.1b2e4d5cd5da5p-10, 0x1.12b1ffa05eb56p-10, 0x1.0a73dee594cd7p-10, 0x1.02724f603825p-10, 0x1.f5577cbd2b7fp-11, 0x1.e63d4444eddf6p-11, 0x1.d792f374a33a3p-11, 0x1.c95599b56e0c8p-11, 0x1.bb8257700b746p-11, 0x1.ae165dc0c9bbap-11, 0x1.a10eee2c1226ep-11, 0x1.94695a5393529p-11, 0x1.882303ac0c90cp-11, 0x1.7c395b33c4dd2p-11, 0x1.70a9e129afa7dp-11, 0x1.657224c545ff2p-11, 0x1.5a8fc3ef185e4p-11, 0x1.50006afa1d69dp-11, 0x1.45c1d45dc33a4p-11, 0x1.3bd1c870c2c11p-11, 0x1.322e1d24be116p-11, 0x1.28d4b5c2a7f7fp-11, 0x1.1fc382a7fa83ep-11, 0x1.16f88104bd2d6p-11, 0x1.0e71ba9a5f544p-11, 0x1.062d457b65101p-11, 0x1.fc528797d7e5fp-12, 0x1.ecc7c7060cca7p-12, 0x1.ddb6bc59e4344p-12, 0x1.cf1bf15c4aaf2p-12, 0x1.c0f4060e74891p-12, 0x1.b33bb0336694ap-12, 0x1.a5efbadb392c8p-12, 0x1.990d05f013aaep-12, 0x1.8c9085c4de87p-12, 0x1.807742a5ade6cp-12, 0x1.74be5869e670ep-12, 0x1.6962f60814b89p-12, 0x1.5e625d2b7e76p-12, 0x1.53b9e1cb66589p-12, 0x1.4966e9c401176p-12, 0x1.3f66ec711fcfp-12, 0x1.35b7724a83f6p-12, 0x1.2c561481e5775p-12, 0x1.23407ca29c88bp-12, 0x1.1a746432f9261p-12, 0x1.11ef94573b955p-12, 0x1.09afe5762df25p-12, 0x1.01b33edf5f37ap-12, 0x1.f3ef2ce5e8ff7p-13, 0x1.e4f5e0962d9cap-13, 0x1.d676bccde2712p-13, 0x1.c86e00ae7d0a1p-13, 0x1.bad805d8d0226p-13, 0x1.adb13fcc49be2p-13, 0x1.a0f63b494ace6p-13, 0x1.94a39db671a34p-13, 0x1.88b62488e1f9ep-13, 0x1.7d2aa4af7c3e5p-13, 0x1.71fe0a00fa183p-13, 0x1.672d56ace3a5ap-13, 0x1.5cb5a2af62ccep-13, 0x1.52941b47da853p-13, 0x1.48c602723f62ap-13, 0x1.3f48ae632f99p-13, 0x1.36198906b5bd3p-13, 0x1.2d360f81b0ddfp-13, 0x1.249bd1b5dd735p-13, 0x1.1c4871c86e073p-13, 0x1.1439a3ab30e3fp-13, 0x1.0c6d2ca8345e7p-13, 0x1.04e0e2efe0bbcp-13, 0x1.fb255a53065e1p-14, 0x1.ed01040c77115p-14, 0x1.df50cfac81be8p-14, 0x1.d210e840f899ap-14, 0x1.c53d9678d146p-14, 0x1.b8d33fdc652a1p-14, 0x1.acce660a140f9p-14, 0x1.a12ba5f741daep-14, 0x1.95e7b7359c6ffp-14, 0x1.8aff6b3c8e61cp-14, 0x1.806facb6d2e67p-14, 0x1.76357ed418807p-14, 0x1.6c4dfc9e9e313p-14, 0x1.62b65854b95e7p-14, 0x1.596bdac63548fp-14, 0x1.506be2b57676ap-14, 0x1.47b3e43c54312p-14, 0x1.3f41683494198p-14, 0x1.37120ba3f7f6ep-14, 0x1.2f237f2bcc477p-14, 0x1.2773867be6d19p-14, 0x1.1ffff7c904ff9p-14, 0x1.18c6bb467830ap-14, 0x1.11c5caa311944p-14, 0x1.0afb30893ad6p-14, 0x1.0465082230105p-14, 0x1.fc02f93889bddp-15, 0x1.ef9d9168571e3p-15, 0x1.e3966c825594dp-15, 0x1.d7ea3b8868736p-15, 0x1.cc95cbf399a08p-15, 0x1.c19606dd704fp-15, 0x1.b6e7f02eb1047p-15, 0x1.ac88a5d369064p-15, 0x1.a2755ef42a296p-15, 0x1.98ab6b345bfd5p-15, 0x1.8f2831f582431p-15, 0x1.85e9319f653aap-15, 0x1.7cebfeecfaa1fp-15, 0x1.742e443df62cap-15, 0x1.6badc0eceda3dp-15, 0x1.636848a9ec4a5p-15, 0x1.5b5bc2d968e95p-15, 0x1.538629f77beebp-15, 0x1.4be58aff433d5p-15, 0x1.447804d659621p-15, 0x1.3d3bc7bc48c2fp-15, 0x1.362f14bde80b3p-15, 0x1.2f503d2c807ccp-15, 0x1.289da218b0d28p-15, 0x1.2215b3d0f3d66p-15, 0x1.1bb6f163b0bbcp-15, 0x1.157fe824c9b51p-15, 0x1.0f6f33368912p-15, 0x1.09837b15e329cp-15, 0x1.03bb7529f040ep-15, 0x1.fc2bc6ad22e0cp-16, 0x1.f123272453011p-16, 0x1.e65abefcb0d6ap-16, 0x1.dbd058074f068p-16, 0x1.d181d1e022b1bp-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.69ede6c777a94p-4, 0x1.62084fa8dd049p-4, 0x1.581080d7df8dap-4, 0x1.4c29782f9d4dp-4, 0x1.3e76d0f80d514p-4, 0x1.2f1c5d97fc562p-4, 0x1.1e3dcf4c17c85p-4, 0x1.0bfe6adc354d2p-4, 0x1.f10192793c7cap-5, 0x1.c7cd460cc7b8bp-5, 0x1.9ca14b6b44cedp-5, 0x1.6fbca34a8e69cp-5, 0x1.415bbf985d0b2p-5, 0x1.11b85c9c166e3p-5, 0x1.c212cc0b095f4p-6, 0x1.5f05cc9f8aabep-6, 0x1.f557fc0a12441p-7, 0x1.2ac3a1f78c4f3p-7, 0x1.7bef81f0177b3p-9, -0x1.b575454d3e489p-9, -0x1.39b11bc79bc6fp-7, -0x1.02b9bcd7f28afp-6, -0x1.6811703a2c9fcp-6, -0x1.cca3efe3fd527p-6, -0x1.181d2ecab75fdp-5, -0x1.49513fc9e587fp-5, -0x1.79d744fb9427bp-5, -0x1.a99a73ac059fcp-5, -0x1.d88800b8ea438p-5, -0x1.0347828d5bc43p-4, -0x1.19d0316c694ebp-4, -0x1.2fd75548c5b9bp-4, -0x1.455700db3da12p-4, -0x1.5a4a04cb4e36dp-4, -0x1.6eabe3a4931e3p-4, -0x1.8278c643715c7p-4, -0x1.95ad70bd9956dp-4, -0x1.a84737c90963fp-4, -0x1.ba43f6a2a87b6p-4, -0x1.cba205743d04ep-4, -0x1.dc603038596dbp-4, -0x1.ec7dae1a2d85p-4, -0x1.fbfa194e2146fp-4, -0x1.056ab3aff7633p-3, -0x1.0c87f0f91e8d2p-3, -0x1.13550ff5ce632p-3, -0x1.19d27f863d393p-3, -0x1.2000cef4ba258p-3, -0x1.25e0ab22cb857p-3, -0x1.2b72dbe3e0a5p-3, -0x1.30b841835bac1p-3, -0x1.35b1d273a5992p-3, -0x1.3a60992424c64p-3, -0x1.3ec5b1fbe76a4p-3, -0x1.42e24976edec8p-3, -0x1.46b79a641a643p-3, -0x1.4a46ec41d3662p-3, -0x1.4d9191b78b758p-3, -0x1.5098e72a5d891p-3, -0x1.535e516b1f77ap-3, -0x1.55e33c7c55ae4p-3, -0x1.58291a6e78d6dp-3, -0x1.5a31625133c05p-3, -0x1.5bfd8f3834698p-3, -0x1.5d8f1f5258cc6p-3, -0x1.5ee79311f73c6p-3, -0x1.60086c653c383p-3, -0x1.60f32dfd729e5p-3, -0x1.61a95aa45899ep-3, -0x1.622c749e7eadfp-3, -0x1.627dfd19e3ebep-3, -0x1.629f73a7f36d6p-3, -0x1.629255c22de05p-3, -0x1.62581e58c123fp-3, -0x1.61f2456a71669p-3, -0x1.61623fa524b8bp-3, -0x1.60a97e0e942d8p-3, -0x1.5fc96db486d87p-3, -0x1.5ec37764252f7p-3, -0x1.5d98ff67e465bp-3, -0x1.5c4b654ba030ap-3, -0x1.5adc03a67c0e8p-3, -0x1.594c2fea2b4b1p-3, -0x1.579d3a373fe32p-3, -0x1.55d06d3638257p-3, -0x1.53e70df4f4dd7p-3, -0x1.51e25bc8544d3p-3, -0x1.4fc39031a732p-3, -0x1.4d8bdec7c869ap-3, -0x1.4b3c752398c3dp-3, -0x1.48d67acfa5d3dp-3, -0x1.465b113acee64p-3, -0x1.43cb53adab688p-3, -0x1.4128574292372p-3, -0x1.3e732ae015d84p-3, -0x1.3bacd735c37ep-3, -0x1.38d65ebb08abap-3, -0x1.35f0bdb01fd31p-3, -0x1.32fcea20d3898p-3, -0x1.2ffbd3e9114a3p-3, -0x1.2cee64bb11b89p-3, -0x1.29d5802716632p-3, -0x1.26b203a48f487p-3, -0x1.2384c69c9aecfp-3, -0x1.204e9a75c4dc8p-3, -0x1.1d104aa0ed7ap-3, -0x1.19ca9ca748a5cp-3, -0x1.167e503959b75p-3, -0x1.132c1f3ee31e1p-3, -0x1.0fd4bde7b1e92p-3, -0x1.0c78dabd2f38ap-3, -0x1.09191eb4b8797p-3, -0x1.05b62d429cff2p-3, -0x1.0250a46dbad35p-3, -0x1.fdd239c75b111p-4, -0x1.f700541b0582ap-4, -0x1.f02cb449c21f6p-4, -0x1.e9586c933991fp-4, -0x1.e284852f55ee9p-4, -0x1.dbb1fc7ad4fe1p-4, -0x1.d4e1c7246e4ebp-4, -0x1.ce14d05a746a4p-4, -0x1.c74bf9f8ea28p-4, -0x1.c0881cb7f53bcp-4, -0x1.b9ca085a939e8p-4, -0x1.b31283dd904cp-4, -0x1.ac624da6a238fp-4, -0x1.a5ba1bb3a065dp-4, -0x1.9f1a9bc9d054ap-4, -0x1.988473a52969ap-4, -0x1.91f841278795fp-4, -0x1.8b769a87d265p-4, -0x1.85000e80f2f5cp-4, -0x1.7e9524809f60bp-4, -0x1.78365cd5e96ccp-4, -0x1.71e430df8a6a2p-4, -0x1.6b9f1339df023p-4, -0x1.65676fec8eefep-4, -0x1.5f3dac97d39c6p-4, -0x1.592228a15939dp-4, -0x1.53153d60b190ap-4, -0x1.4d173e4b50eeep-4, -0x1.4728792011872p-4, -0x1.4149361232b24p-4, -0x1.3b79b7f3d4122p-4, -0x1.35ba3c5fe262fp-4, -0x1.300afbe374bf1p-4, -0x1.2a6c2a269378dp-4, -0x1.24ddf614669b3p-4, -0x1.1f608a02c6caap-4, -0x1.19f40bd92db45p-4, -0x1.14989d37041e1p-4, -0x1.0f4e5b9948d57p-4, -0x1.0a15607f8fca9p-4, -0x1.04edc19056863p-4, -0x1.ffaf21795a336p-5, -0x1.f5a5b8c66170bp-5, -0x1.ebbf5ee4ad7d1p-5, -0x1.e1fc231412c4cp-5, -0x1.d85c0e39256c7p-5, -0x1.cedf231dabf89p-5, -0x1.c5855eafb05b7p-5, -0x1.bc4eb83f2f0dfp-5, -0x1.b33b21ba5e932p-5, -0x1.aa4a87e899f46p-5, -0x1.a17cd2a3e72ccp-5, -0x1.98d1e5111c53ap-5, -0x1.90499dd6a81abp-5, -0x1.87e3d751ff065p-5, -0x1.7fa067cbaa367p-5, -0x1.777f21aa02a7ep-5, -0x1.6f7fd3a2945b9p-5, -0x1.67a248ea3288cp-5, -0x1.5fe64963ba646p-5, -0x1.584b99cd8be14p-5, -0x1.50d1fbedbade7p-5, -0x1.49792ebcfcfe8p-5, -0x1.4240ee9056f61p-5, -0x1.3b28f5418e9adp-5, -0x1.3430fa5666443p-5, -0x1.2d58b326a504p-5, -0x1.269fd300f0fc4p-5, -0x1.20060b4e7fb32p-5, -0x1.198b0bb5a25e6p-5, -0x1.132e823b32ba3p-5, -0x1.0cf01b62e33bep-5, -0x1.06cf824e7cd44p-5, -0x1.00cc60dc07719p-5, -0x1.f5ccbf85d6a63p-6, -0x1.ea3a4d60138e3p-6, -0x1.dee0b8c1a8036p-6, -0x1.d3bf4d7acee15p-6, -0x1.c8d555e367894p-6, -0x1.be221b0b5b016p-6, -0x1.b3a4e4e92bb7dp-6, -0x1.a95cfa86b58a5p-6, -0x1.9f49a22c2ef76p-6, -0x1.956a21896ac3p-6, -0x1.8bbdbddd6e789p-6, -0x1.8243bc1c66eecp-6, -0x1.78fb6113ffbb7p-6, -0x1.6fe3f18e2c5d9p-6, -0x1.66fcb2726dac3p-6, -0x1.5e44e8e597c28p-6, -0x1.55bbda682c1e1p-6, -0x1.4d60ccf349563p-6, -0x1.453307143d188p-6, -0x1.3d31d006c45f9p-6, -0x1.355c6fcdfe1dfp-6, -0x1.2db22f4c21f47p-6, -0x1.26325858faf35p-6, -0x1.1edc35d73696dp-6, -0x1.17af13c88b826p-6, -0x1.10aa3f60c82b3p-6, -0x1.09cd0717ccf59p-6, -0x1.0316baba754afp-6, -0x1.f90d56f510919p-7, -0x1.ec3857fb4b8dp-7, -0x1.dfad20d690a6p-7, -0x1.d36a5cf3b41c3p-7, -0x1.c76ebaf5cc6e6p-7, -0x1.bbb8eccce3ff2p-7, -0x1.b047a7cb05eb9p-7, -0x1.a519a4b7b2be7p-7, -0x1.9a2d9fe1cc7aep-7, -0x1.8f82593005413p-7, -0x1.8516942fe441ap-7, -0x1.7ae9182371e07p-7, -0x1.70f8b00d8299fp-7, -0x1.67442abccf176p-7, -0x1.5dca5ad5c2f1p-7, -0x1.548a16db2f256p-7, -0x1.4b823935d0cbcp-7, -0x1.42b1a03ac8b6cp-7, -0x1.3a172e3107b07p-7, -0x1.31b1c955c19b8p-7, -0x1.29805bdfe82d6p-7, -0x1.2181d402bf696p-7, -0x1.19b523ef944eap-7, -0x1.121941d69d51dp-7, -0x1.0aad27e712263p-7, -0x1.036fd44e80be7p-7, -0x1.f8c0926ed4285p-8, -0x1.eafb198e6166bp-8, -0x1.dd8d5236bcc75p-8, -0x1.d075588c9aebp-8, -0x1.c3b15096738fdp-8, -0x1.b73f663388733p-8, -0x1.ab1dcd11dc043p-8, -0x1.9f4ac0a32b09dp-8, -0x1.93c48410f1f8p-8, -0x1.8889622f90cd8p-8, -0x1.7d97ad70967e2p-8, -0x1.72edbfd444842p-8, -0x1.6889fada53e22p-8, -0x1.5e6ac77209616p-8, -0x1.548e95e9a2e58p-8, -0x1.4af3dddd2ba13p-8, -0x1.41991e24bec4cp-8, -0x1.387cdcc24552p-8, -0x1.2f9da6ceb85e5p-8, -0x1.26fa1066f0359p-8, -0x1.1e90b4980b575p-8, -0x1.1660354b74e8ep-8, -0x1.0e673b32942cep-8, -0x1.06a475b22c0afp-8, -0x1.fe2d359ae751ap-9, -0x1.ef78ce21dbfb9p-9, -0x1.e1293afa1476bp-9, -0x1.d33c0ee121663p-9, -0x1.c5aee925ccb8p-9, -0x1.b87f757c54b05p-9, -0x1.abab6bd269085p-9, -0x1.9f309022f9e2fp-9, -0x1.930cb249dc89fp-9, -0x1.873dadd755249p-9, -0x1.7bc169e38e6aep-9, -0x1.7095d8e20bb82p-9, -0x1.65b8f875172bfp-9, -0x1.5b28d1413e6ecp-9, -0x1.50e376c0dbd8cp-9, -0x1.46e70717c15fap-9, -0x1.3d31aae6fc497p-9, -0x1.33c19520c8b95p-9, -0x1.2a9502dcadc46p-9, -0x1.21aa3b2bd4a2ep-9, -0x1.18ff8eed9a6d2p-9, -0x1.109358a45e14ep-9, -0x1.0863fc4a9c9edp-9, -0x1.006fe728529ap-9, -0x1.f16b1f5166519p-10, -0x1.e266ea6059743p-10, -0x1.d3d03fe59e4bep-10, -0x1.c5a441960fd86p-10, -0x1.b7e02221830e4p-10, -0x1.aa8124e1cba55p-10, -0x1.9d849d8a8dd08p-10, -0x1.90e7efd9e5e18p-10, -0x1.84a88f49e4b87p-10, -0x1.78c3fec2eb208p-10, -0x1.6d37d04ee41a8p-10, -0x1.6201a4cd6dd89p-10, -0x1.571f2ba8e086ap-10, -0x1.4c8e228c4724bp-10, -0x1.424c551a4952dp-10, -0x1.38579ca5072dep-10, -0x1.2eaddfe6e2bd6p-10, -0x1.254d12bc4a15fp-10, -0x1.1c3335de6f0cp-10, -0x1.135e569f041c2p-10, -0x1.0acc8ea4e5c3fp-10, -0x1.027c03a9ce3dcp-10, -0x1.f4d5ce71ea00fp-11, -0x1.e52eecdd73113p-11, -0x1.d5fff372826d7p-11, -0x1.c74589342984p-11, -0x1.b8fc6ad1729c8p-11, -0x1.ab216a2c8b6b7p-11, -0x1.9db16de3e351cp-11, -0x1.90a970dd41578p-11, -0x1.840681d2ca71fp-11, -0x1.77c5c2e1f935cp-11, -0x1.6be4691c82e84p-11, -0x1.605fbc1b28219p-11, -0x1.553515926e4c9p-11, -0x1.4a61e0e93c637p-11, -0x1.3fe39ad15a01fp-11, -0x1.35b7d0e1ccf97p-11, -0x1.2bdc21330e6c8p-11, -0x1.224e39fd18ca4p-11, -0x1.190bd93744c2ep-11, -0x1.1012cc39f414p-11, -0x1.0760ef6205abep-11, -0x1.fde85b6c1939p-12, -0x1.ed95011a8d6e2p-12, -0x1.ddc3de709bb65p-12, -0x1.ce711d56f918ep-12, -0x1.bf9902560a415p-12, -0x1.b137ebf163b0cp-12, -0x1.a34a520695016p-12, -0x1.95ccc52f38088p-12, -0x1.88bbee2631d33p-12, -0x1.7c148d302015fp-12, -0x1.6fd37986e4a5ep-12, -0x1.63f5a0c849943p-12, -0x1.58780667a7675p-12, -0x1.4d57c32291f28p-12, -0x1.4292047871397p-12, -0x1.38240c2504938p-12, -0x1.2e0b2f9dc3e49p-12, -0x1.2444d7920e429p-12, -0x1.1ace7f6e202ccp-12, -0x1.11a5b4e0c4b85p-12, -0x1.08c81763b4a27p-12, -0x1.003357c6987a1p-12, -0x1.efca6f794f243p-13, -0x1.dfb712d99c3cdp-13, -0x1.d0285e08b410fp-13, -0x1.c11a34983d706p-13, -0x1.b2889880066a3p-13, -0x1.a46fa951e7bbdp-13, -0x1.96cba3724f017p-13, -0x1.8998df5568717p-13, -0x1.7cd3d0c0c3361p-13, -0x1.7079061167633p-13, -0x1.648527863e00ep-13, -0x1.58f4f68ec7922p-13, -0x1.4dc54d1df0728p-13, -0x1.42f31d010c0d7p-13, -0x1.387b6f3ad3ce8p-13, -0x1.2e5b63624faafp-13, -0x1.24902f05a4abp-13, -0x1.1b171d10ae6dp-13, -0x1.11ed8d37489cap-13, -0x1.0910f3633f5cfp-13, -0x1.007ed725d754ep-13, -0x1.f069a659947bp-14, -0x1.e061297566e25p-14, -0x1.d0dfb645b6bc6p-14, -0x1.c1e0ee908a167p-14, -0x1.b360963fe3ec8p-14, -0x1.a55a926ca8691p-14, -0x1.97cae86f8bad4p-14, -0x1.8aadbcf8273d2p-14, -0x1.7dff5329ddf7ep-14, -0x1.71bc0bbe90f3bp-14, -0x1.65e0642ef4c8fp-14, -0x1.5a68f5e06db5fp-14, -0x1.4f527558514ap-14, -0x1.4499b1747067p-14, -0x1.3a3b92a8ca707p-14, -0x1.30351a424c1c5p-14, -0x1.268361ae7e279p-14, -0x1.1d2399c805ab6p-14, -0x1.14130a27db0c8p-14, -0x1.0b4f107b1b0f7p-14, -0x1.02d51fdd58aa2p-14, -0x1.f545806ea639dp-15, -0x1.e56b1b43ed20ep-15, -0x1.d6166f9b1ee08p-15, -0x1.c74302da292dcp-15, -0x1.b8ec7f4ae3e8cp-15, -0x1.ab0eb301720cp-15, -0x1.9da58eca46f97p-15, -0x1.90ad251f95c65p-15, -0x1.8421a92609047p-15, -0x1.77ff6db08cfe5p-15, -0x1.6c42e44b06ed4p-15, -0x1.60e89c4bc885ap-15, -0x1.55ed41eb9b1aap-15, -0x1.4b4d9d64354f1p-15, -0x1.41069214f4c6cp-15, -0x1.37151dadb2c5cp-15, -0x1.2d76575f8ea1bp-15, -0x1.24276f13871b4p-15, -0x1.1b25aca6bd284p-15, -0x1.126e6f2c3bca1p-15, -0x1.09ff2c3423cb9p-15, -0x1.01d56f1814206p-15, -0x1.f3ddb0995f1b4p-16, -0x1.e49239703fcf5p-16, -0x1.d5c40a1ae21f1p-16, -0x1.c76eda5952c85p-16, -0x1.b98e870efa1f8p-16, -0x1.ac1f1114fc961p-16, -0x1.9f1c9c15595c2p-16, -0x1.92836d6e93f4fp-16, -0x1.864feb1f9c5cbp-16, -0x1.7a7e9abbd9a5p-16, -0x1.6f0c2067070cap-16, -0x1.63f53dd8be19ap-16, -0x1.5936d1677411p-16, -0x1.4ecdd51ab6ea4p-16, -0x1.44b75dc47d10dp-16, -0x1.3af09a2154138p-16, -0x1.3176d1ff3b172p-16, -0x1.2847656b0394fp-16, -0x1.1f5fcbe406ac1p-16, -0x1.16bd939600e8bp-16, -0x1.0e5e6098ed96fp-16, -0x1.063fec36b5adep-16, -0x1.fcc0086d127dbp-17, -0x1.ed79145b77912p-17, -0x1.dea6e5abfa78cp-17, -0x1.d0458ad1947bep-17, -0x1.c25135ffd7f64p-17, -0x1.b4c63bf5c5b94p-17, -0x1.a7a112d242cbfp-17, -0x1.9ade50f1cdfaep-17, -0x1.8e7aabd54e4eep-17, -0x1.8272f7119cbd8p-17, -0x1.76c42347aad04p-17, -0x1.6b6b3d24e4427p-17, -0x1.60656c6babe11p-17, -0x1.55aff303ab9e9p-17, -0x1.4b482c11bbe6p-17, -0x1.412b8b173076p-17, -0x1.37579b185595bp-17, -0x1.2dc9fdc9e1655p-17, -0x1.24806ac52a2c2p-17, -0x1.1b78aec2ee534p-17, -0x1.12b0aadc7dc83p-17, -0x1.0a2653d3130d9p-17, -0x1.01d7b15d2e4afp-17, -0x1.f385baf38e40dp-18, -0x1.e3cc0792487a4p-18, -0x1.d47ec1d667168p-18, -0x1.c59a83c6687ddp-18, -0x1.b71c07011aa19p-18, -0x1.a90023994d7a8p-18, -0x1.9b43cefb426eep-18, -0x1.8de41adb867b2p-18, -0x1.80de342ef7b31p-18, -0x1.742f622ba5b23p-18, -0x1.67d505524f95bp-18, -0x1.5bcc968035b71p-18, -0x1.5013a609045a6p-18, -0x1.44a7dad893013p-18, -0x1.3986f19c3b911p-18, -0x1.2eaebbf38fa78p-18, -0x1.241d1fa82eb77p-18, -0x1.19d015ec85e34p-18, -0x1.0fc5aaa1423aep-18, -0x1.05fbfba13ee5cp-18, -0x1.f8e27027798e2p-19, -0x1.e6473f895d26fp-19, -0x1.d4230505d7094p-19, -0x1.c2727f082b4bap-19, -0x1.b132899c0bcb8p-19, -0x1.a0601d4b268a4p-19, -0x1.8ff84e050c4c6p-19, -0x1.7ff84a111fefp-19, -0x1.705d590a35acp-19, -0x1.6124dae399179p-19, -0x1.524c46f725ad5p-19, -0x1.43d12b1c2b987p-19, -0x1.35b12ac6d003bp-19, -0x1.27e9fe2fad8f3p-19, -0x1.1a79718361ebep-19, -0x1.0d5d6419ce613p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.a4850c83d9317p-1, 0x1.a0b90f855ab2fp-1, 0x1.9cd53f3896943p-1, 0x1.98dd78f5533d9p-1, 0x1.94d5586076f92p-1, 0x1.90c02fea89cbdp-1, 0x1.8ca103f5fc1cfp-1, 0x1.887a88462b091p-1, 0x1.844f1f5c101d1p-1, 0x1.8020db6b801c2p-1, 0x1.7bf1809b144b1p-1, 0x1.77c28848ae5c1p-1, 0x1.739525148f2d1p-1, 0x1.6f6a477cdacc7p-1, 0x1.6b42a2daefd94p-1, 0x1.671eb29b09ae7p-1, 0x1.62febf8d1d863p-1, 0x1.5ee2e533c4a84p-1, 0x1.5acb16fb3f976p-1, 0x1.56b725473b844p-1, 0x1.52a6c24a0bf3ep-1, 0x1.4e99869b7da93p-1, 0x1.4a8ef5885cc8fp-1, 0x1.4686811641104p-1, 0x1.427f8db942b7fp-1, 0x1.3e7975baec107p-1, 0x1.3a738c5312085p-1, 0x1.366d207454e1ep-1, 0x1.32657f4edb412p-1, 0x1.2e5bf68c7b276p-1, 0x1.2a4fd649ef858p-1, 0x1.264072d10bc14p-1, 0x1.222d261803e76p-1, 0x1.1e155109fbfddp-1, 0x1.19f85c9d04cdfp-1, 0x1.15d5bab9a8531p-1, 0x1.11ace6f7ffba3p-1, 0x1.0d7d67362da71p-1, 0x1.0946cc0be781ap-1, 0x1.0508b11e874dp-1, 0x1.00c2bd58ea1a8p-1, 0x1.f8e946145d8edp-2, 0x1.f03c3fdc4d808p-2, 0x1.e77dfa4449c9cp-2, 0x1.deae1e1128876p-2, 0x1.d5cc6a3b2696ap-2, 0x1.ccd8b37d49116p-2, 0x1.c3d2e3ce99b5cp-2, 0x1.babaf9c8add46p-2, 0x1.b19107fe80072p-2, 0x1.a85534466f494p-2, 0x1.9f07b6f9d69b3p-2, 0x1.95a8da2c80da4p-2, 0x1.8c38f8ddf5a82p-2, 0x1.82b87e2668c6dp-2, 0x1.7927e460d7bccp-2, 0x1.6f87b453c3ab2p-2, 0x1.65d88459b5ed8p-2, 0x1.5c1af78aa8fafp-2, 0x1.524fbce737288p-2, 0x1.48778e86681f3p-2, 0x1.3e9330c6c344dp-2, 0x1.34a371833f43bp-2, 0x1.2aa9274c87a37p-2, 0x1.20a530a70828cp-2, 0x1.1698734e08502p-2, 0x1.0c83db7c20c5ep-2, 0x1.02685b394084ap-2, 0x1.f08dd35cc60b7p-3, 0x1.dc4104fe2f406p-3, 0x1.c7ec4a51d91a8p-3, 0x1.b391a8d184d53p-3, 0x1.9f332b4c185dp-3, 0x1.8ad2e0c7e5852p-3, 0x1.7672db70ac397p-3, 0x1.62152f91266abp-3, 0x1.4dbbf2980a5b3p-3, 0x1.39693a283f917p-3, 0x1.251f1b341b558p-3, 0x1.10dfa9236e324p-3, 0x1.f959ea083f3dp-4, 0x1.d112198a28296p-4, 0x1.a8ebf4f64fe0ep-4, 0x1.80eb875feca7cp-4, 0x1.5914d1743e94dp-4, 0x1.316bc83db03d2p-4, 0x1.09f453f8ee7fep-4, 0x1.c5649df6ea872p-5, 0x1.7753095619593p-5, 0x1.29bb610b5b83dp-5, 0x1.b949f4e5400d5p-6, 0x1.202e0f2c6c7bcp-6, 0x1.1062566c103fep-7, -0x1.d3dd2d9a67213p-11, -0x1.48696133a0fb3p-7, -0x1.3882fe1d6f491p-6, -0x1.cb7cf9feeb4afp-6, -0x1.2e8b114cd4247p-5, -0x1.76a12742f34f4p-5, -0x1.bdfad7292f6c9p-5, -0x1.0249338418b47p-4, -0x1.253125ad05defp-4, -0x1.47b293d294039p-4, -0x1.69cae78160676p-4, -0x1.8b77a248d402cp-4, -0x1.acb65deb03cddp-4, -0x1.cd84cc836641ap-4, -0x1.ede0b8a4bdecdp-4, -0x1.06e402b73e12p-3, -0x1.169c574cfc419p-3, -0x1.2618643fea13cp-3, -0x1.3557400ae35e5p-3, -0x1.44580d72986b5p-3, -0x1.5319fb7d5896p-3, -0x1.619c456787af3p-3, -0x1.6fde3294e69fap-3, -0x1.7ddf167ec5453p-3, -0x1.8b9e509f49867p-3, -0x1.991b4c59f4127p-3, -0x1.a65580e16e3d1p-3, -0x1.b34c711ad8608p-3, -0x1.bfffab7eb0856p-3, -0x1.cc6ec9f7666d2p-3, -0x1.d89971bdcb9d5p-3, -0x1.e47f5333764ap-3, -0x1.f02029bb3183ep-3, -0x1.fb7bbb8f9c158p-3, -0x1.0348eccc08aa8p-2, -0x1.08b12f9dfb271p-2, -0x1.0df6991a4344p-2, -0x1.1319212e9f279p-2, -0x1.1818c4c17aefbp-2, -0x1.1cf58598e6facp-2, -0x1.21af6a40ff41ep-2, -0x1.26467df1d397ep-2, -0x1.2abad074db5c4p-2, -0x1.2f0c7609fe4e9p-2, -0x1.333b874c41062p-2, -0x1.3748211619e44p-2, -0x1.3b326465832cap-2, -0x1.3efa763fc9d3dp-2, -0x1.42a07f9528679p-2, -0x1.4624ad243a628p-2, -0x1.49872f5d47099p-2, -0x1.4cc83a457c033p-2, -0x1.4fe8055a11f13p-2, -0x1.52e6cb736bc3dp-2, -0x1.55c4caa8367d2p-2, -0x1.5882443093828p-2, -0x1.5b1f7c49502p-2, -0x1.5d9cba1736fe8p-2, -0x1.5ffa478a7dbf8p-2, -0x1.623871425b0f3p-2, -0x1.64578670c4bc7p-2, -0x1.6657d8be61b65p-2, -0x1.6839bc2eb3739p-2, -0x1.69fd87047b9b8p-2, -0x1.6ba391a663a7p-2, -0x1.6d2c3683ee64dp-2, -0x1.6e97d1fab19e7p-2, -0x1.6fe6c23be49f4p-2, -0x1.711967324088cp-2, -0x1.7230226839ef2p-2, -0x1.732b56ee99751p-2, -0x1.740b69436f012p-2, -0x1.74d0bf397042fp-2, -0x1.757bbfdfb405p-2, -0x1.760cd369de864p-2, -0x1.76846318b60f2p-2, -0x1.76e2d9232428ap-2, -0x1.7728a09fa8bc3p-2, -0x1.7756256e3f8c9p-2, -0x1.776bd422b95a9p-2, -0x1.776a19ef87628p-2, -0x1.7751649101ff5p-2, -0x1.7722223922f89p-2, -0x1.76dcc17bbc479p-2, -0x1.7681b13b24ba8p-2, -0x1.76116095617f4p-2, -0x1.758c3ed1c981cp-2, -0x1.74f2bb4f24d02p-2, -0x1.744545724410ap-2, -0x1.73844c9518637p-2, -0x1.72b03ff641936p-2, -0x1.71c98ea91af05p-2, -0x1.70d0a786411bep-2, -0x1.6fc5f91c91395p-2, -0x1.6ea9f1a2a493dp-2, -0x1.6d7cfee8c4c6fp-2, -0x1.6c3f8e4b5391dp-2, -0x1.6af20ca5b1c55p-2, -0x1.6994e6459576fp-2, -0x1.682886dedb598p-2, -0x1.66ad597fc7cbp-2, -0x1.6523c885bdc17p-2, -0x1.638c3d9266be6p-2, -0x1.61e721814ae97p-2, -0x1.6034dc5dd8e0dp-2, -0x1.5e75d559d949fp-2, -0x1.5caa72c45288cp-2, -0x1.5ad31a00d12e2p-2, -0x1.58f02f7f1eca6p-2, -0x1.570216b35bb45p-2, -0x1.5509320e810cap-2, -0x1.5305e2f744d42p-2, -0x1.50f889c360f76p-2, -0x1.4ee185b13aab1p-2, -0x1.4cc134e1e5b43p-2, -0x1.4a97f45389528p-2, -0x1.48661fdc184b5p-2, -0x1.462c12246a967p-2, -0x1.43ea24a3a4032p-2, -0x1.41a0af9af9dbdp-2, -0x1.3f500a11c34ecp-2, -0x1.3cf889d1df288p-2, -0x1.3a9a836467675p-2, -0x1.38364a0eb3176p-2, -0x1.35cc2fcfa0c05p-2, -0x1.335c855d2e3aap-2, -0x1.30e79a2253cf8p-2, -0x1.2e6dbc3d27088p-2, -0x1.2bef387d40c9dp-2, -0x1.296c5a6265d57p-2, -0x1.26e56c1b6b8f2p-2, -0x1.245ab685607b8p-2, -0x1.21cc812ae9f63p-2, -0x1.1f3b1243e3701p-2, -0x1.1ca6aeb52e7eep-2, -0x1.1a0f9a10bebd6p-2, -0x1.17761695d9909p-2, -0x1.14da653185ddep-2, -0x1.123cc57f3168dp-2, -0x1.0f9d75c981bb1p-2, -0x1.0cfcb30b541c5p-2, -0x1.0a5ab8f0ec985p-2, -0x1.07b7c1d94916p-2, -0x1.051406d7a37d6p-2, -0x1.026fbfb5177d6p-2, -0x1.ff9645e4dd2a5p-3, -0x1.fa4ccb94221cep-3, -0x1.f50378642fe95p-3, -0x1.efbab1bd03951p-3, -0x1.ea72da87096e4p-3, -0x1.e52c5330027cfp-3, -0x1.dfe779b01cf94p-3, -0x1.daa4a98f4a53fp-3, -0x1.d5643beac3dd5p-3, -0x1.d026877ac351cp-3, -0x1.caebe09866808p-3, -0x1.c5b49943c5155p-3, -0x1.c081012a28b03p-3, -0x1.bb5165ac70f8p-3, -0x1.b62611e59bbdfp-3, -0x1.b0ff4eb16ccaep-3, -0x1.abdd62b339bd7p-3, -0x1.a6c0925cd04bap-3, -0x1.a1a91ff5798acp-3, -0x1.9c974ba1179b8p-3, -0x1.978b53675bf68p-3, -0x1.9285733b0e6fep-3, -0x1.8d85e5016f7e8p-3, -0x1.888ce099a26edp-3, -0x1.839a9be4365e6p-3, -0x1.7eaf4acaa9f08p-3, -0x1.79cb1f47106fbp-3, -0x1.74ee496bafe5bp-3, -0x1.7018f76ab36e9p-3, -0x1.6b4b559de4956p-3, -0x1.66858e8e63cfcp-3, -0x1.61c7cafc6d496p-3, -0x1.5d1231e71e91bp-3, -0x1.5864e8943c486p-3, -0x1.53c01297fd123p-3, -0x1.4f23d1dccd835p-3, -0x1.4a9046ab19512p-3, -0x1.46058fb10e5c4p-3, -0x1.4183ca0a57cfp-3, -0x1.3d0b1147dda28p-3, -0x1.389b7f7771aacp-3, -0x1.34352d2b83acp-3, -0x1.2fd83182be91ep-3, -0x1.2b84a22fa7685p-3, -0x1.273a938030043p-3, -0x1.22fa186538f5fp-3, -0x1.1ec3427a0f158p-3, -0x1.1a96220bdcbe8p-3, -0x1.1672c621050e5p-3, -0x1.12593c807e416p-3, -0x1.0e4991b910cbdp-3, -0x1.0a43d12893ce5p-3, -0x1.064805030c846p-3, -0x1.02563659ca2d9p-3, -0x1.fcdcda44d2ac1p-4, -0x1.f521607b8cd08p-4, -0x1.ed7a0afdc7dcfp-4, -0x1.e5e6e3636ea41p-4, -0x1.de67f143cb8a4p-4, -0x1.d6fd3a42e4718p-4, -0x1.cfa6c21ea3a0ep-4, -0x1.c8648abbe2c39p-4, -0x1.c136943341215p-4, -0x1.ba1cdcdde4ba7p-4, -0x1.b3176161fdd1ap-4, -0x1.ac261cbf2e4f4p-4, -0x1.a549085ac52a8p-4, -0x1.9e801c0bc50afp-4, -0x1.97cb4e26d0e16p-4, -0x1.912a9389dba2p-4, -0x1.8a9ddfa7bc32bp-4, -0x1.842524938afd8p-4, -0x1.7dc0530bd739cp-4, -0x1.776f5a85b0ee2p-4, -0x1.7132293784dbbp-4, -0x1.6b08ac23cda8dp-4, -0x1.64f2cf239721ep-4, -0x1.5ef07cf0d6e74p-4, -0x1.59019f3095c89p-4, -0x1.53261e7cf04fbp-4, -0x1.4d5de26ee744cp-4, -0x1.47a8d1a806809p-4, -0x1.4206d1dbde025p-4, -0x1.3c77c7d94f633p-4, -0x1.36fb9793af7d5p-4, -0x1.3192242bbb8f8p-4, -0x1.2c3b4ff8631afp-4, -0x1.26f6fc8f66d37p-4, -0x1.21c50acdcb3b3p-4, -0x1.1ca55ae020d8ap-4, -0x1.1797cc4aa2066p-4, -0x1.129c3df125227p-4, -0x1.0db28e1ee6748p-4, -0x1.08da9a8e2618ap-4, -0x1.0414406f9dfb2p-4, -0x1.febeb8e39a83cp-5, -0x1.f577959038f3fp-5, -0x1.ec52ce63b0294p-5, -0x1.e3501a0204da9p-5, -0x1.da6f2e41feec4p-5, -0x1.d1afc03a2fdc2p-5, -0x1.c911844dabc63p-5, -0x1.c0942e38755bp-5, -0x1.b837711b9e316p-5, -0x1.affaff891a632p-5, -0x1.a7de8b8f4a483p-5, -0x1.9fe1c6c43b5bbp-5, -0x1.980462509f3e3p-5, -0x1.90460efa7b4bdp-5, -0x1.88a67d2f90111p-5, -0x1.81255d0f7de5fp-5, -0x1.79c25e759fa66p-5, -0x1.727d3102a6c99p-5, -0x1.6b558425ef587p-5, -0x1.644b072694355p-5, -0x1.5d5d692c424c5p-5, -0x1.568c5947c8e9cp-5, -0x1.4fd7867b6f4ebp-5, -0x1.493e9fc305a9ap-5, -0x1.42c1541bbe77ap-5, -0x1.3c5f528bc7dc2p-5, -0x1.36184a29aa914p-5, -0x1.2febea236eca2p-5, -0x1.29d9e1c585448p-5, -0x1.23e1e0817c487p-5, -0x1.1e0395f4776efp-5, -0x1.183eb1ed75185p-5, -0x1.1292e4735bf19p-5, -0x1.0cffddcad4c0ap-5, -0x1.07854e7bf0784p-5, -0x1.0222e75798d11p-5, -0x1.f9b0b2f9a91acp-6, -0x1.ef4aacbba84b8p-6, -0x1.e5131f89a8796p-6, -0x1.db096fb199686p-6, -0x1.d12d0243e8f84p-6, -0x1.c77d3d1c2d2a8p-6, -0x1.bdf986e9757dcp-6, -0x1.b4a1473647d8ap-6, -0x1.ab73e67046e61p-6, -0x1.a270cdef81e4bp-6, -0x1.999767fd7bfa8p-6, -0x1.90e71fdbd75abp-6, -0x1.885f61cabd90ep-6, -0x1.7fff9b0ef5783p-6, -0x1.77c739f7b002ep-6, -0x1.6fb5ade40a6aep-6, -0x1.67ca67484d88bp-6, -0x1.6004d7b2e2933p-6, -0x1.586471d1066d7p-6, -0x1.50e8a9733a1bap-6, -0x1.4990f391727a2p-6, -0x1.425cc64f06836p-6, -0x1.3b4b98fe654a6p-6, -0x1.345ce42489cf8p-6, -0x1.2d90217c373e1p-6, -0x1.26e4cbf8fa0d5p-6, -0x1.205a5fc9f50fbp-6, -0x1.19f05a5c73651p-6, -0x1.13a63a5e4a93cp-6, -0x1.0d7b7fc003a19p-6, -0x1.076fabb6d5077p-6, -0x1.018240be6e337p-6, -0x1.f76585352228fp-7, -0x1.ec016cb0f3601p-7, -0x1.e0d744a04510dp-7, -0x1.d5e61c4aa7105p-7, -0x1.cb2d05911e4d9p-7, -0x1.c0ab14ef9b2d7p-7, -0x1.b65f617e36343p-7, -0x1.ac4904f208c15p-7, -0x1.a2671b9dcc181p-7, -0x1.98b8c47228301p-7, -0x1.8f3d20fdbef71p-7, -0x1.85f3556cee649p-7, -0x1.7cda88895a419p-7, -0x1.73f1e3b92cc14p-7, -0x1.6b3892fe1bfe3p-7, -0x1.62adc4f43e345p-7, -0x1.5a50aad08f2c1p-7, -0x1.5220785f56ae5p-7, -0x1.4a1c64024731dp-7, -0x1.4243a6ae6f37bp-7, -0x1.3a957be9fb5dcp-7, -0x1.331121c9c60edp-7, -0x1.2bb5d8eeb8318p-7, -0x1.2482e482ff31fp-7, -0x1.1d778a3717fbp-7, -0x1.1693123eb0d6fp-7, -0x1.0fd4c74d63e8p-7, -0x1.093bf6934c9d8p-7, -0x1.02c7efb9786d7p-7, -0x1.f8f009bc6afdcp-8, -0x1.ec9715227f1bcp-8, -0x1.e083af9f9d615p-8, -0x1.d4b48c010d761p-8, -0x1.c92861de9466ap-8, -0x1.bddded91e55cfp-8, -0x1.b2d3f02ddc944p-8, -0x1.a8092f758a2c5p-8, -0x1.9d7c75d30dfa8p-8, -0x1.932c924e4699bp-8, -0x1.8918588357f1ep-8, -0x1.7f3ea099085fdp-8, -0x1.759e4736fb84ep-8, -0x1.6c362d7bc6cf7p-8, -0x1.630538f2e7e57p-8, -0x1.5a0a538a9c5fep-8, -0x1.51446b899b21p-8, -0x1.48b27384b604cp-8, -0x1.4053625460d48p-8, -0x1.3826330a228dfp-8, -0x1.3029e4e5f2addp-8, -0x1.285d7b4b82371p-8, -0x1.20bffdb77585ep-8, -0x1.195077b48c204p-8, -0x1.120df8d0be1b6p-8, -0x1.0af794924a068p-8, -0x1.040c626cbbcc1p-8, -0x1.fa96fb6bccb06p-9, -0x1.ed680b35b5fd9p-9, -0x1.e08a3a29aa1e4p-9, -0x1.d3fbd5bc4a3fp-9, -0x1.c7bb32ce2f1f3p-9, -0x1.bbc6ad95aec54p-9, -0x1.b01ca988a5028p-9, -0x1.a4bb91463b674p-9, -0x1.99a1d680b2579p-9, -0x1.8ecdf1e730e0bp-9, -0x1.843e630f9e20cp-9, -0x1.79f1b060804ffp-9, -0x1.6fe666faeafcp-9, -0x1.661b1aa477f6dp-9, -0x1.5c8e65b152d84p-9, -0x1.533ee8ee54431p-9, -0x1.4a2b4b8b2e0e2p-9, -0x1.41523b04b302p-9, -0x1.38b26b0f2caacp-9, -0x1.304a9580ce6ebp-9, -0x1.28197a3c41fadp-9, -0x1.201ddf1b4c747p-9, -0x1.18568fd98f3fdp-9, -0x1.10c25dff6ccfp-9, -0x1.096020cd01b41p-9, -0x1.022eb5254a2d2p-9, -0x1.f659faf2b7e78p-10, -0x1.e8b3c3679b4cfp-10, -0x1.db689e4876ef8p-10, -0x1.ce7670d5e0e92p-10, -0x1.c1db2ac96e668p-10, -0x1.b594c62da0738p-10, -0x1.a9a147361c37bp-10, -0x1.9dfebc183443p-10, -0x1.92ab3ce3c52bcp-10, -0x1.87a4eb5c60fc8p-10, -0x1.7ce9f2d2d3947p-10, -0x1.727887fef6f7cp-10, -0x1.684ee8d9df725p-10, -0x1.5e6b5c78664d9p-10, -0x1.54cc32e5fed57p-10, -0x1.4b6fc4fff6538p-10, -0x1.42547450fc18cp-10, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.be20ad10e2e63p-1, 0x1.bcd17696fe453p-1, 0x1.bb73fc8a3358fp-1, 0x1.ba0927bfe728dp-1, 0x1.b891e221d1932p-1, 0x1.b70f13ad1cb57p-1, 0x1.b5819fe66deb2p-1, 0x1.b3ea63bbf0961p-1, 0x1.b24a33cd20c6ap-1, 0x1.b0a1db0f4faf1p-1, 0x1.aef219c58ae39p-1, 0x1.ad3ba4c296e14p-1, 0x1.ab7f24ebefbf7p-1, 0x1.a9bd36f532a55p-1, 0x1.a7f66b4bdd5fp-1, 0x1.a62b462bf184fp-1, 0x1.a45c3fd6acb3bp-1, 0x1.a289c4e52eaafp-1, 0x1.a0b436b192225p-1, 0x1.9edbebd193fa8p-1, 0x1.9d01309e8766bp-1, 0x1.9b2447c6d64c7p-1, 0x1.99456ae5dd5bap-1, 0x1.9764cb1f60706p-1, 0x1.958291bc45f3ep-1, 0x1.939ee0c6a67f2p-1, 0x1.91b9d3a39863p-1, 0x1.8fd37fa963ff6p-1, 0x1.8debf4b11b02p-1, 0x1.8c033da2be1fdp-1, 0x1.8a1960fb58ac4p-1, 0x1.882e614c99c51p-1, 0x1.86423db5a4ec7p-1, 0x1.8454f254eb3adp-1, 0x1.826678b2f80cp-1, 0x1.8076c8263982bp-1, 0x1.7e85d62fd6b25p-1, 0x1.7c9396d1b9eb1p-1, 0x1.7a9ffcddfea79p-1, 0x1.78aafa3ff9348p-1, 0x1.76b4803f1d581p-1, 0x1.74bc7fbc02dc9p-1, 0x1.72c2e967d2fb2p-1, 0x1.70c7adf668198p-1, 0x1.6ecabe4b6a663p-1, 0x1.6ccc0ba2b4f8ep-1, 0x1.6acb87b44bd04p-1, 0x1.68c924d42d008p-1, 0x1.66c4d60e43392p-1, 0x1.64be8f3ebfc78p-1, 0x1.62b6452719e21p-1, 0x1.60abed7ff928cp-1, 0x1.5e9f7f08428dfp-1, 0x1.5c90f191825d5p-1, 0x1.5a803e09ee18ep-1, 0x1.586d5e842a5e4p-1, 0x1.56584e3d0ee2bp-1, 0x1.5441099f8c5dbp-1, 0x1.52278e46e9296p-1, 0x1.500bdaff73d1dp-1, 0x1.4dedefc5d9c1fp-1, 0x1.4bcdcdc53dc2fp-1, 0x1.49ab77543377ep-1, 0x1.4786eff0bcdccp-1, 0x1.45603c3b665eep-1, 0x1.433761f19916fp-1, 0x1.410c67e73f499p-1, 0x1.3edf55ffce50bp-1, 0x1.3cb03526cbeb1p-1, 0x1.3a7f0f47df7p-1, 0x1.384bef4683227p-1, 0x1.3616e0f564978p-1, 0x1.33dff10d8048ap-1, 0x1.31a72d25085f1p-1, 0x1.2f6ca3a6217f1p-1, 0x1.2d3063c581019p-1, 0x1.2af27d78f5312p-1, 0x1.28b3016de287ap-1, 0x1.267200ffbc85fp-1, 0x1.242f8e2e81d8cp-1, 0x1.21ebbb95430a9p-1, 0x1.1fa69c60b90bcp-1, 0x1.1d604445f02dap-1, 0x1.1b18c7790e9a8p-1, 0x1.18d03aa436f37p-1, 0x1.1686b2de8efe7p-1, 0x1.143c45a36a651p-1, 0x1.11f108c99ccffp-1, 0x1.0fa5127af78c2p-1, 0x1.0d58792bf47e1p-1, 0x1.0b0b53938cd69p-1, 0x1.08bdb8a3441e8p-1, 0x1.066fbf7f60567p-1, 0x1.04217f7757f74p-1, 0x1.01d30ffe716c4p-1, 0x1.ff0911492f8adp-2, 0x1.fa6c021ec54c3p-2, 0x1.f5cf21e6ab3c1p-2, 0x1.f132a01aa34b1p-2, 0x1.ec96ac387c792p-2, 0x1.e7fb75b5cdbfap-2, 0x1.e3612bf41b6aap-2, 0x1.dec7fe3566e05p-2, 0x1.da301b912634ap-2, 0x1.d599b2e9a5bap-2, 0x1.d104f2e1d07d2p-2, 0x1.cc7209d35f398p-2, 0x1.c7e125c56e383p-2, 0x1.c352746373f0dp-2, 0x1.bec622f49e93ep-2, 0x1.ba3c5e538fb42p-2, 0x1.b5b552e67bc51p-2, 0x1.b1312c97a4a42p-2, 0x1.acb016ce315eep-2, 0x1.a8323c67664a4p-2, 0x1.a3b7c7b02ee77p-2, 0x1.9f40e25f081a6p-2, 0x1.9acdb58e39198p-2, 0x1.965e69b667d85p-2, 0x1.91f326a97c2bap-2, 0x1.8d8c138dd44acp-2, 0x1.892956d9cb1eep-2, 0x1.84cb164f88e58p-2, 0x1.807176f923decp-2, 0x1.7c1c9d2504b68p-2, 0x1.77ccac629a177p-2, 0x1.7381c77f4ce51p-2, 0x1.6f3c1083bc966p-2, 0x1.6afba8b13bc6cp-2, 0x1.66c0b07f90111p-2, 0x1.628b479aef0cbp-2, 0x1.5e5b8ce239beap-2, 0x1.5a319e657288bp-2, 0x1.560d99646e788p-2, 0x1.51ef9a4dbd906p-2, 0x1.4dd7bcbdc9995p-2, 0x1.49c61b7e2869ap-2, 0x1.45bad0852444cp-2, 0x1.41b5f4f571879p-2, 0x1.3db7a11e15969p-2, 0x1.39bfec7a7cdb7p-2, 0x1.35ceedb2ba1a1p-2, 0x1.31e4ba9bf382dp-2, 0x1.2e016838f759fp-2, 0x1.2a250abaf5201p-2, 0x1.264fb58264071p-2, 0x1.22817b20051ccp-2, 0x1.1eba6d560e5bdp-2, 0x1.1afa9d197567bp-2, 0x1.17421a9357bf7p-2, 0x1.1390f52287726p-2, 0x1.0fe73b5d2c0efp-2, 0x1.0c44fb1288f47p-2, 0x1.08aa414cd61d4p-2, 0x1.05171a5335efcp-2, 0x1.018b91abc3b0fp-2, 0x1.fc0f643b65598p-3, 0x1.f5170b67168e1p-3, 0x1.ee2e2b7ae7d82p-3, 0x1.e754d5a71ffdap-3, 0x1.e08b19b0e6e5bp-3, 0x1.d9d105f741e8fp-3, 0x1.d326a77837b67p-3, 0x1.cc8c09d60cda4p-3, 0x1.c601375c9c696p-3, 0x1.bf863906c78cap-3, 0x1.b91b1683fdacp-3, 0x1.b2bfd63dd5515p-3, 0x1.ac747d5dbcca3p-3, 0x1.a6390fd2b557ep-3, 0x1.a00d9057245d7p-3, 0x1.99f20076aab59p-3, 0x1.93e660940bdd8p-3, 0x1.8deaafef1faedp-3, 0x1.87feecaac6bc3p-3, 0x1.822313d2eda24p-3, 0x1.7c5721628f776p-3, 0x1.769b1049be63fp-3, 0x1.70eeda73adfc9p-3, 0x1.6b5278ccbf5eep-3, 0x1.65c5e3488ff1ep-3, 0x1.604910e8003bap-3, 0x1.5adbf7bf3e3b8p-3, 0x1.557e8cfbca7ddp-3, 0x1.5030c4ea76257p-3, 0x1.4af292fd61d71p-3, 0x1.45c3e9d1ea2b4p-3, 0x1.40a4bb369c0b9p-3, 0x1.3b94f831106e7p-3, 0x1.36949103cc78bp-3, 0x1.31a375340c834p-3, 0x1.2cc1938f8d5e3p-3, 0x1.27eeda323f963p-3, 0x1.232b368bfaba3p-3, 0x1.1e769566163dap-3, 0x1.19d0e2e8fdf4bp-3, 0x1.153a0aa1b5da3p-3, 0x1.10b1f7874c3dcp-3, 0x1.0c3894003ec0bp-3, 0x1.07cdc9e7cf7cep-3, 0x1.037182934894cp-3, 0x1.fe474dae5fdbcp-4, 0x1.f5c83e18cf22ap-4, 0x1.ed65a62a7e304p-4, 0x1.e51f54c4e1b97p-4, 0x1.dcf517f02232cp-4, 0x1.d4e6bce4bfff5p-4, 0x1.ccf410152ed41p-4, 0x1.c51cdd3733888p-4, 0x1.bd60ef4d223cep-4, 0x1.b5c010af021cbp-4, 0x1.ae3a0b136ac35p-4, 0x1.a6cea79863627p-4, 0x1.9f7daecbf4814p-4, 0x1.9846e8b4a2826p-4, 0x1.912a1cd9c8526p-4, 0x1.8a27124bb5383p-4, 0x1.833d8fabb14ffp-4, 0x1.7c6d5b33d3674p-4, 0x1.75b63abeafcbdp-4, 0x1.6f17f3ceddef9p-4, 0x1.68924b9655f03p-4, 0x1.622506fda4c78p-4, 0x1.5bcfeaaaf8e71p-4, 0x1.5592bb09065cbp-4, 0x1.4f6d3c4dc2ae6p-4, 0x1.495f3280f8c6ep-4, 0x1.43686182b5204p-4, 0x1.3d888d118a85dp-4, 0x1.37bf78d0afc9p-4, 0x1.320ce84df60d3p-4, 0x1.2c709f07988d9p-4, 0x1.26ea6071e5db7p-4, 0x1.2179effcc3fe1p-4, 0x1.1c1f11190ca3ap-4, 0x1.16d9873dc6d6fp-4, 0x1.11a915ed39a71p-4, 0x1.0c8d80b9da0a8p-4, 0x1.07868b4b16fbbp-4, 0x1.0293f961fe59ep-4, 0x1.fb6b1dbb82d89p-5, 0x1.f1d61f8028e55p-5, 0x1.e8688062d9edfp-5, 0x1.df21c90a39de6p-5, 0x1.d601827a9b5bep-5, 0x1.cd07361db0afep-5, 0x1.c4326dc9fbf57p-5, 0x1.bb82b3ca015a4p-5, 0x1.b2f792e3362c1p-5, 0x1.aa90965cb4c96p-5, 0x1.a24d4a05b089ep-5, 0x1.9a2d3a3baf984p-5, 0x1.922ff3f086dfep-5, 0x1.8a5504b01e088p-5, 0x1.829bfaa5f7a28p-5, 0x1.7b0464a2837d1p-5, 0x1.738dd22036959p-5, 0x1.6c37d3486fa76p-5, 0x1.6501f8f823cbp-5, 0x1.5debd4c458c49p-5, 0x1.56f4f8fe69d76p-5, 0x1.501cf8b81d19ep-5, 0x1.496367c7845cbp-5, 0x1.42c7dacaaffa8p-5, 0x1.3c49e72b30bfbp-5, 0x1.35e923216e313p-5, 0x1.2fa525b7caddp-5, 0x1.297d86cda142bp-5, 0x1.2371df1a124a9p-5, 0x1.1d81c82eaa92p-5, 0x1.17acdc79dd7f9p-5, 0x1.11f2b749583abp-5, 0x1.0c52f4cc2defap-5, 0x1.06cd3214dcaaep-5, 0x1.01610d1b2bdb8p-5, 0x1.f81c497bcfff4p-6, 0x1.eda83188f1575p-6, 0x1.e36513c0a8e0ap-6, 0x1.d952335ca8c44p-6, 0x1.cf6ed56fc4aa7p-6, 0x1.c5ba40e8174f5p-6, 0x1.bc33be90e321p-6, 0x1.b2da99143659cp-6, 0x1.a9ae1cfc58eaap-6, 0x1.a0ad98b4f8f53p-6, 0x1.97d85c8c249a7p-6, 0x1.8f2dbab30c32bp-6, 0x1.86ad073e8f0a4p-6, 0x1.7e559827940bap-6, 0x1.7626c54b35608p-6, 0x1.6e1fe86ab1aa8p-6, 0x1.66405d2b3cddfp-6, 0x1.5e87811595ffap-6, 0x1.56f4b39579002p-6, 0x1.4f8755f8e711fp-6, 0x1.483ecb6f3f264p-6, 0x1.411a790834a2cp-6, 0x1.3a19c5b2a0176p-6, 0x1.333c1a3b25bbap-6, 0x1.2c80e14abf122p-6, 0x1.25e787651c6fcp-6, 0x1.1f6f7ae6e78c5p-6, 0x1.19182c03e885cp-6, 0x1.12e10cc508677p-6, 0x1.0cc9910639a8ep-6, 0x1.06d12e74404d9p-6, 0x1.00f75c8a637fep-6, 0x1.f677291fff046p-7, 0x1.eb3aa32c0c0f5p-7, 0x1.e03820e8c0969p-7, 0x1.d56e9f8e75448p-7, 0x1.cadd1fd87e55ap-7, 0x1.c082a5ff6e4b9p-7, 0x1.b65e39b32e686p-7, 0x1.ac6ee614fdd39p-7, 0x1.a2b3b9b13f7ddp-7, 0x1.992bc6792d46ep-7, 0x1.8fd621bc67f47p-7, 0x1.86b1e42268328p-7, 0x1.7dbe29a3d205cp-7, 0x1.74fa1183b0513p-7, 0x1.6c64be48959e1p-7, 0x1.63fd55b59b1d2p-7, 0x1.5bc300c35a065p-7, 0x1.53b4eb98c1c9fp-7, 0x1.4bd24583dd5dbp-7, 0x1.441a40f28e67fp-7, 0x1.3c8c136b28309p-7, 0x1.3526f58509953p-7, 0x1.2dea22e11f58dp-7, 0x1.26d4da225d71cp-7, 0x1.1fe65ce62a205p-7, 0x1.191defbcbfdffp-7, 0x1.127ada218481ep-7, 0x1.0bfc6673588a5p-7, 0x1.05a1e1ecde881p-7, 0x1.fed5393978bd8p-8, 0x1.f2abd2bbaf489p-8, 0x1.e6c63b9f17e15p-8, 0x1.db23249bc0ac3p-8, 0x1.cfc143d36f8f8p-8, 0x1.c49f54c203012p-8, 0x1.b9bc182dd093fp-8, 0x1.af16541803ccep-8, 0x1.a4acd3acfdd0cp-8, 0x1.9a7e6734b9da3p-8, 0x1.9089e40336c1bp-8, 0x1.86ce2468e5059p-8, 0x1.7d4a07a31ef4dp-8, 0x1.73fc71cca79abp-8, 0x1.6ae44bce372d5p-8, 0x1.6200834f0fee7p-8, 0x1.59500aa5a316ap-8, 0x1.50d1d8c840bb6p-8, 0x1.4884e93dd9b89p-8, 0x1.40683c0ed0855p-8, 0x1.387ad5b5db7bep-8, 0x1.30bbbf10fa45fp-8, 0x1.292a05527d046p-8, 0x1.21c4b9f220db4p-8, 0x1.1a8af29e422a8p-8, 0x1.137bc92d230a8p-8, 0x1.0c965b8e48ddap-8, 0x1.05d9cbbbf3c6ep-8, 0x1.fe8a7f5953192p-9, 0x1.f1afc289bd328p-9, 0x1.e521bc916831dp-9, 0x1.d8ded09ba7d84p-9, 0x1.cce5695ac7f09p-9, 0x1.c133f8ec2e0b2p-9, 0x1.b5c8f8bcb2658p-9, 0x1.aaa2e96d2edd1p-9, 0x1.9fc052b74a1ddp-9, 0x1.951fc3527badp-9, 0x1.8abfd0d94b9fcp-9, 0x1.809f17aece8e1p-9, 0x1.76bc3ae45dc29p-9, 0x1.6d15e41f8e766p-9, 0x1.63aac38063097p-9, 0x1.5a798f87be182p-9, 0x1.518104fe15be2p-9, 0x1.48bfe6da62854p-9, 0x1.4034fe295031ep-9, 0x1.37df19f4afdcdp-9, 0x1.2fbd0f2b2a3a6p-9, 0x1.27cdb888305dep-9, 0x1.200ff67c324bcp-9, 0x1.1882af1512e83p-9, 0x1.1124cde6e123bp-9, 0x1.09f543f4ce847p-9, 0x1.02f3079a6c9e5p-9, 0x1.f83a28ea520e5p-10, 0x1.eae4d69c1d134p-10, 0x1.dde4240787693p-10, 0x1.d13626e9a2f28p-10, 0x1.c4d8fed44d2aap-10, 0x1.b8cad503c2b8ap-10, 0x1.ad09dc34b23a6p-10, 0x1.a194507ad3ebep-10, 0x1.9668771801a89p-10, 0x1.8b849e53dba91p-10, 0x1.80e71d53e379fp-10, 0x1.768e53f423ae5p-10, 0x1.6c78aaa0548cap-10, 0x1.62a4922d83562p-10, 0x1.591083b438c81p-10, 0x1.4fbb006b24787p-10, 0x1.46a29182452bdp-10, 0x1.3dc5c7fe8e259p-10, 0x1.35233c961031fp-10, 0x1.2cb98f8c9e8a9p-10, 0x1.24876890ed53p-10, 0x1.1c8b769a31905p-10, 0x1.14c46fc63ab92p-10, 0x1.0d31113805df2p-10, 0x1.05d01ef6d011ep-10, 0x1.fd40c79b2f17ep-11, 0x1.ef41625642565p-11, 0x1.e19fbe04da4b9p-11, 0x1.d45997574bd16p-11, 0x1.c76cb78b064e8p-11, 0x1.bad6f42e43921p-11, 0x1.ae962ee49f9f4p-11, 0x1.a2a8552c957abp-11, 0x1.970b6025dfd9bp-11, 0x1.8bbd5458b96cp-11, 0x1.80bc417dfe8d6p-11, 0x1.760642482bdep-11, 0x1.6b997c2d3660ep-11, 0x1.61741f313eb3ap-11, 0x1.579465b219f93p-11, 0x1.4df89433b075dp-11, 0x1.449ef92d2dcfep-11, 0x1.3b85ecd70282p-11, 0x1.32abd0f9b4044p-11, 0x1.2a0f10bd779e7p-11, 0x1.21ae207a98918p-11, 0x1.19877d8aa5c28p-11, 0x1.1199ae1a63881p-11, 0x1.09e340fc832cdp-11, 0x1.0262cd7d192bcp-11, 0x1.f62de66ba7e8dp-12, 0x1.e7fcb3c5dab7p-12, 0x1.da2f6271b2d7cp-12, 0x1.ccc3617554128p-12, 0x1.bfb62f22558adp-12, 0x1.b30558c55f749p-12, 0x1.a6ae7a5729dc3p-12, 0x1.9aaf3e2edddefp-12, 0x1.8f055cb5ce0eep-12, 0x1.83ae9c1c8436fp-12, 0x1.78a8d011223d6p-12, 0x1.6df1d9770d979p-12, 0x1.6387a61fe71a3p-12, 0x1.59683085c218bp-12, 0x1.4f917f869d85ep-12, 0x1.4601a62119af7p-12, 0x1.3cb6c33263d1ep-12, 0x1.33af013553784p-12, 0x1.2ae89602b933ep-12, 0x1.2261c292d4c3cp-12, 0x1.1a18d2bff31ebp-12, 0x1.120c1d0a2ef92p-12, 0x1.0a3a025c4d784p-12, 0x1.02a0edd1b62b9p-12, 0x1.f67ea8fafb7eep-13, 0x1.e8276a650fcf5p-13, 0x1.da3930995fb4ep-13, 0x1.ccb11ef5feea9p-13, 0x1.bf8c6b15d2ae1p-13, 0x1.b2c85c690dab4p-13, 0x1.a6624bcf9ee7p-13, 0x1.9a57a3359e78ep-13, 0x1.8ea5dd319d0e3p-13, 0x1.834a84a4e01e4p-13, 0x1.7843345d73659p-13, 0x1.6d8d96ba13414p-13, 0x1.6327654fe6034p-13, 0x1.590e6891f888ep-13, 0x1.4f40777a7c475p-13, 0x1.45bb7735bce5p-13, 0x1.3c7d5acec62b5p-13, 0x1.338422ddb5d08p-13, 0x1.2acddd37ad62bp-13, 0x1.2258a4a061a18p-13, 0x1.1a22a07d40116p-13, 0x1.122a048a20dfap-13, 0x1.0a6d108f84314p-13, 0x1.02ea101a48d86p-13, 0x1.f73eb469d7811p-14, 0x1.e916a24452ad7p-14, 0x1.db58c4323b7f2p-14, 0x1.ce020a0588aadp-14, 0x1.c10f7871ab0f8p-14, 0x1.b47e288c12d46p-14, 0x1.a84b474f4f0e7p-14, 0x1.9c741520d6868p-14, 0x1.90f5e55956ac4p-14, 0x1.85ce1dcf9890bp-14, 0x1.7afa3665d6fap-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.a93f4431a020fp-5, -0x1.e17a20286b874p-5, -0x1.0d83d768f77a1p-4, -0x1.2ab5f32f1a2dp-4, -0x1.481755fe116e4p-4, -0x1.656ea75bd50ffp-4, -0x1.8285d73dd1a54p-4, -0x1.9f2a8bf8872fdp-4, -0x1.bb2e6f0953a66p-4, -0x1.d6675d0f4fc1dp-4, -0x1.f0af7d1755477p-4, -0x1.04f2a18e5f581p-3, -0x1.10f5b0a96e33cp-3, -0x1.1c5455bb551ep-3, -0x1.2703f78922ea3p-3, -0x1.30fbe1a29840ep-3, -0x1.3a352928ab8d6p-3, -0x1.42aa8f6eca178p-3, -0x1.4a58634a5ccc6p-3, -0x1.513c61c233a2ap-3, -0x1.575596b0e1987p-3, -0x1.5ca43dd18da1fp-3, -0x1.6129a49696f5ep-3, -0x1.64e80d142e4b8p-3, -0x1.67e29236b0e49p-3, -0x1.6a1d0d6cf54bfp-3, -0x1.6b9bfde16f5e7p-3, -0x1.6c647151fff9bp-3, -0x1.6c7bee8d2b783p-3, -0x1.6be86194046bfp-3, -0x1.6ab0095a1e63bp-3, -0x1.68d96718439bfp-3, -0x1.666b2f231afa2p-3, -0x1.636c3b3445816p-3, -0x1.5fe37e12a4ba6p-3, -0x1.5bd7f88569182p-3, -0x1.5750af7caa9afp-3, -0x1.5254a35a5dc81p-3, -0x1.4ceac8465bc81p-3, -0x1.4719ff78ca06fp-3, -0x1.40e91166b8a9fp-3, -0x1.3a5ea8bd9fa95p-3, -0x1.33814e1b4b722p-3, -0x1.2c576470bf5f8p-3, -0x1.24e725ff9d1c7p-3, -0x1.1d36a1e2b4332p-3, -0x1.154bba1367938p-3, -0x1.0d2c21de934d1p-3, -0x1.04dd5cbcc7cap-3, -0x1.f8c97b04fb5b5p-4, -0x1.e78ecbbbfa5d5p-4, -0x1.d6148c33130acp-4, -0x1.c4643a3279d95p-4, -0x1.b286f1198f3b3p-4, -0x1.a0856a9c3ae41p-4, -0x1.8e67ffcd6967p-4, -0x1.7c36aa6b44eeep-4, -0x1.69f90663217c6p-4, -0x1.57b65383f2be7p-4, -0x1.4575775749818p-4, -0x1.333cff19b53a7p-4, -0x1.211321cc3d5b5p-4, -0x1.0efdc2596a45ap-4, -0x1.fa04e3920a269p-5, -0x1.d64ce2fca5c59p-5, -0x1.b2dd6afa3f0bep-5, -0x1.8fbfcd64d6b09p-5, -0x1.6cfcca7c05c48p-5, -0x1.4a9c95755122fp-5, -0x1.28a6d905accb6p-5, -0x1.0722bbe0db54p-5, -0x1.cc2dca57ab6ebp-6, -0x1.8b1301bfe6d9p-6, -0x1.4b008839c99c5p-6, -0x1.0c00e2d002b66p-6, -0x1.9c3b735ea95f3p-7, -0x1.22bfc0a756305p-7, -0x1.573d762849083p-8, -0x1.b7373469126b7p-10, 0x1.dad59b2cc5aebp-10, 0x1.5634e9486eed3p-8, 0x1.184e1bda25a9p-7, 0x1.82ecb63ba642ap-7, 0x1.eaee919d9c11p-7, 0x1.2826977366959p-6, 0x1.59819a6ce8c23p-6, 0x1.8986319b4144bp-6, 0x1.b832c318ef59dp-6, 0x1.e586352182ee4p-6, 0x1.08bff410ffd79p-5, 0x1.1e0fd87939225p-5, 0x1.32b2e99c065b7p-5, 0x1.46a97df7854bbp-5, 0x1.59f41e0dd5724p-5, 0x1.6c9381d0ca55cp-5, 0x1.7e888e20748cbp-5, 0x1.8fd4525c2f852p-5, 0x1.a0780605df3e2p-5, 0x1.b075067702d4p-5, 0x1.bfccd4a757f61p-5, 0x1.ce811304b371ep-5, 0x1.dc93835bc70dcp-5, 0x1.ea0604d18acddp-5, 0x1.f6da91ecf9c6ep-5, 0x1.01899f5870869p-4, 0x1.07591b62ba058p-4, 0x1.0cdcddd8b239ep-4, 0x1.121611911b33dp-4, 0x1.1705eaa1c8e62p-4, 0x1.1bada592a4b68p-4, 0x1.200e8697eccf8p-4, 0x1.2429d8d38ce44p-4, 0x1.2800ed9d73613p-4, 0x1.2b951bd2bde95p-4, 0x1.2ee7bf2ba290dp-4, 0x1.31fa3797f0e3p-4, 0x1.34cde8a20eba7p-4, 0x1.376438d84e9e7p-4, 0x1.39be913c81bc6p-4, 0x1.3bde5cb9a3028p-4, 0x1.3dc5079f7dceep-4, 0x1.3f73ff242fa4cp-4, 0x1.40ecb0eb63d84p-4, 0x1.42308a9329838p-4, 0x1.4340f946452a7p-4, 0x1.441f6953daddcp-4, 0x1.44cd45cc526d4p-4, 0x1.454bf8235659dp-4, 0x1.459ce7d6c9a37p-4, 0x1.45c17a1a984d6p-4, 0x1.45bb11893f3c8p-4, 0x1.458b0dd8eb981p-4, 0x1.4532cb9513f1ep-4, 0x1.44b3a3dc669ecp-4, 0x1.440eec22f226fp-4, 0x1.4345f5f862ddap-4, 0x1.425a0ed23b3bep-4, 0x1.414c7fd9e267ap-4, 0x1.401e8dbe6d74bp-4, 0x1.3ed1788a01c6cp-4, 0x1.3d667b7ab35f9p-4, 0x1.3bdeccdebff62p-4, 0x1.3a3b9df407e0fp-4, 0x1.387e1acaa9617p-4, 0x1.36a76a2a9d3d9p-4, 0x1.34b8ad7c3bd9dp-4, 0x1.32b300b389ee4p-4, 0x1.30977a3e34347p-4, 0x1.2e672af41bfa2p-4, 0x1.2c231e0a5a07fp-4, 0x1.29cc59089d78dp-4, 0x1.2763dbc0cb3cbp-4, 0x1.24eaa048c54d3p-4, 0x1.22619af640c3fp-4, 0x1.1fc9ba5c90175p-4, 0x1.1d23e74c4b513p-4, 0x1.1a7104d4bdcccp-4, 0x1.17b1f04702c9cp-4, 0x1.14e7813ab99b9p-4, 0x1.121289943bd1dp-4, 0x1.0f33d58c411e7p-4, 0x1.0c4c2bb8daa24p-4, 0x1.095c4d17b1eb9p-4, 0x1.0664f51979017p-4, 0x1.0366d9ae7712dp-4, 0x1.0062ab542005cp-4, 0x1.fab22a474c04dp-5, 0x1.f49579c2e28c7p-5, 0x1.ee70861ae0592p-5, 0x1.e84485e85c5d7p-5, 0x1.e212a581424b4p-5, 0x1.dbdc071d4151dp-5, 0x1.d5a1c2fbeadafp-5, 0x1.cf64e78bedebap-5, 0x1.c926799349de3p-5, 0x1.c2e774586b6f7p-5, 0x1.bca8c9cc0f2edp-5, 0x1.b66b62b3da89cp-5, 0x1.b0301ed58e986p-5, 0x1.a9f7d522c63efp-5, 0x1.a3c353e521bb5p-5, 0x1.9d9360ead29abp-5, 0x1.9768b9b375cadp-5, 0x1.9144139d22181p-5, 0x1.8b261c11a35adp-5, 0x1.850f78b3ccddap-5, 0x1.7f00c78cd3807p-5, 0x1.78fa9f39a3fdbp-5, 0x1.72fd8f182250ap-5, 0x1.6d0a1f744e035p-5, 0x1.6720d1b5326b3p-5, 0x1.61422089a5487p-5, 0x1.5b6e8014bbdd1p-5, 0x1.55a65e19f72e6p-5, 0x1.4fea222914185p-5, 0x1.4a3a2dc9803f7p-5, 0x1.4496dca561f15p-5, 0x1.3f0084b430d56p-5, 0x1.39777664d80c5p-5, 0x1.33fbfcc75896cp-5, 0x1.2e8e5db5e716dp-5, 0x1.292ed9fd80003p-5, 0x1.23ddad85ebdfap-5, 0x1.1e9b0f792fdd7p-5, 0x1.1967326a647d9p-5, 0x1.1442447bf2f8ap-5, 0x1.0f2c6f852e9fcp-5, 0x1.0a25d9374feb4p-5, 0x1.052ea341c5f35p-5, 0x1.0046eb75e44ccp-5, 0x1.f6dd97d3c410dp-6, 0x1.ed4cb636648bdp-6, 0x1.e3db58205a6a3p-6, 0x1.da899cf21526bp-6, 0x1.d1579da05e1b6p-6, 0x1.c8456cf39421dp-6, 0x1.bf5317c586a71p-6, 0x1.b680a53df0e7fp-6, 0x1.adce170d9baa5p-6, 0x1.a53b69a81761p-6, 0x1.9cc8947c23221p-6, 0x1.94758a2ab0f5p-6, 0x1.8c4238bc92b9ep-6, 0x1.842e89d6d32fcp-6, 0x1.7c3a62edb2a75p-6, 0x1.7465a57656dd9p-6, 0x1.6cb02f172b2dcp-6, 0x1.6519d9d6f3eb6p-6, 0x1.5da27c4a95982p-6, 0x1.5649e9c1a025p-6, 0x1.4f0ff27190e05p-6, 0x1.47f4639fdb3f8p-6, 0x1.40f707cab7d0cp-6, 0x1.3a17a6d0c4969p-6, 0x1.335606176b8b8p-6, 0x1.2cb1e8b0251d9p-6, 0x1.262b0f7c97568p-6, 0x1.1fc139518aa6ep-6, 0x1.19742318c808p-6, 0x1.134387f1dfc0fp-6, 0x1.0d2f2151ddbbp-6, 0x1.0736a721ec1aep-6, 0x1.0159cfdcf5b48p-6, 0x1.f730a1587761p-7, 0x1.ebe3bb05ef6fcp-7, 0x1.e0cc5271fd5dep-7, 0x1.d5e9cb48e4269p-7, 0x1.cb3b87650701dp-7, 0x1.c0c0e6fea4389p-7, 0x1.b67948d9b9e8fp-7, 0x1.ac640a7244934p-7, 0x1.a2808826b1722p-7, 0x1.98ce1d60c287ep-7, 0x1.8f4c24bcc4049p-7, 0x1.85f9f82f2f295p-7, 0x1.7cd6f128cfc5ep-7, 0x1.73e268b95b6c7p-7, 0x1.6b1bb7b0a1c42p-7, 0x1.628236be40dd9p-7, 0x1.5a153e9007c2ep-7, 0x1.51d427eef92edp-7, 0x1.49be4bdaf846ep-7, 0x1.41d303a54315ep-7, 0x1.3a11a9099bae4p-7, 0x1.327996464c23ap-7, 0x1.2b0a2632faab1p-7, 0x1.23c2b4565cef7p-7, 0x1.1ca29cfad3c1p-7, 0x1.15a93d41f52d1p-7, 0x1.0ed5f3370f676p-7, 0x1.08281de0abb38p-7, 0x1.019f1d5119e39p-7, 0x1.f674a56c17c36p-8, 0x1.e9f240ce92943p-8, 0x1.ddb5d3e9055ebp-8, 0x1.d1be28649724p-8, 0x1.c60a0a8c878b7p-8, 0x1.ba984964e868dp-8, 0x1.af67b6bfd5a3dp-8, 0x1.a47727512e517p-8, 0x1.99c572c0e6131p-8, 0x1.8f5173bbf415cp-8, 0x1.851a0803f1fc6p-8, 0x1.7b1e107d736fp-8, 0x1.715c713d2461cp-8, 0x1.67d41193ba76dp-8, 0x1.5e83dc18c15bcp-8, 0x1.556abeb452beap-8, 0x1.4c87aaa7bfc3dp-8, 0x1.43d994953bbf9p-8, 0x1.3b5f74868b4c2p-8, 0x1.331845f2cb285p-8, 0x1.2b0307c350d71p-8, 0x1.231ebc57b2ca7p-8, 0x1.1b6a6988fe943p-8, 0x1.13e518ac2a0d5p-8, 0x1.0c8dd693c4cf3p-8, 0x1.0563b390f26e2p-8, 0x1.fccb86e772046p-9, 0x1.ef263b1550f8ep-9, 0x1.e1d5b943c949ep-9, 0x1.d4d83e033072fp-9, 0x1.c82c0cd7b0fdbp-9, 0x1.bbcf7034051e1p-9, 0x1.afc0b9732a681p-9, 0x1.a3fe40d122547p-9, 0x1.98866562cd15cp-9, 0x1.8d578d0ce18f5p-9, 0x1.8270247a1e039p-9, 0x1.77ce9f10aea8bp-9, 0x1.6d7176e6dcb7dp-9, 0x1.63572cb710a91p-9, 0x1.597e47d32e5d4p-9, 0x1.4fe556175a692p-9, 0x1.468aebdc2eb29p-9, 0x1.3d6da3e86522p-9, 0x1.348c1f620afb1p-9, 0x1.2be505bf3bbccp-9, 0x1.237704b66feb7p-9, 0x1.1b40d02e68368p-9, 0x1.1341222dbdfb9p-9, 0x1.0b76baca1ad7p-9, 0x1.03e0601726763p-9, 0x1.f8f9bc2a58b48p-10, 0x1.ea960d3eff7b4p-10, 0x1.dc9362b5509d3p-10, 0x1.ceef7744b2dcdp-10, 0x1.c1a810ee79ef2p-10, 0x1.b4bb00d92797p-10, 0x1.a826232b6c932p-10, 0x1.9be75ee6e83ebp-10, 0x1.8ffca5c2bd697p-10, 0x1.8463f405f6c5bp-10, 0x1.791b5061d4d1cp-10, 0x1.6e20cbcbfd5b2p-10, 0x1.63728158a4408p-10, 0x1.590e9614a6b0bp-10, 0x1.4ef338dfac0adp-10, 0x1.451ea2464b3fbp-10, 0x1.3b8f145c42366p-10, 0x1.3242da96be14bp-10, 0x1.293849a6c42e1p-10, 0x1.206dbf53b7185p-10, 0x1.17e1a255ffc7ep-10, 0x1.0f926231eef71p-10, 0x1.077e7712bab3ep-10, 0x1.ff48c34b88a4ep-11, 0x1.f00555ec13e3dp-11, 0x1.e12fc88fbab9dp-11, 0x1.d2c54de9ae4b9p-11, 0x1.c4c32890236ap-11, 0x1.b726aab5544b5p-11, 0x1.a9ed35e11c10fp-11, 0x1.9d143aab2c52ap-11, 0x1.90993875e5eb9p-11, 0x1.8479bd29d7f5dp-11, 0x1.78b364f1eb095p-11, 0x1.6d43d9f83bab8p-11, 0x1.6228d423a8aap-11, 0x1.576018d61ac83p-11, 0x1.4ce77aab85125p-11, 0x1.42bcd939a424dp-11, 0x1.38de20d07fc7ep-11, 0x1.2f494a3bacd91p-11, 0x1.25fc5a84572a4p-11, 0x1.1cf562b411164p-11, 0x1.14327f986e31fp-11, 0x1.0bb1d987662ccp-11, 0x1.0371a424849b4p-11, 0x1.f6e03c4dcd23bp-12, 0x1.e757224008fa5p-12, 0x1.d844a2869394ap-12, 0x1.c9a57a5cfbf46p-12, 0x1.bb767b65f1a34p-12, 0x1.adb48b3f530fep-12, 0x1.a05ca317d37dfp-12, 0x1.936bcf46418bep-12, 0x1.86df2ee26b26bp-12, 0x1.7ab3f35f9c38p-12, 0x1.6ee76028b55b2p-12, 0x1.6376ca3de159fp-12, 0x1.585f97d3dcd5dp-12, 0x1.4d9f3ff4d429dp-12, 0x1.43334a22d786ep-12, 0x1.39194dfbdc472p-12, 0x1.2f4ef2df4db9cp-12, 0x1.25d1ef9528e5fp-12, 0x1.1ca009f6a2d19p-12, 0x1.13b7169851a43p-12, 0x1.0b14f875dae63p-12, 0x1.02b7a09f1cf3fp-12, 0x1.f53a1bcdb2196p-13, 0x1.e5869925a0f39p-13, 0x1.d650ec1ab721p-13, 0x1.c7956130d7618p-13, 0x1.b9505e03fa6c5p-13, 0x1.ab7e60b3e6181p-13, 0x1.9e1bff52ac15ap-13, 0x1.9125e755e8204p-13, 0x1.8498dd0aba0a3p-13, 0x1.7871bb0c75577p-13, 0x1.6cad71bdee143p-13, 0x1.614906c5731ep-13, 0x1.5641948b548c5p-13, 0x1.4b9449bb02d3fp-13, 0x1.413e68c6abap-13, 0x1.373d476d57152p-13, 0x1.2d8e4e437c7b1p-13, 0x1.242ef83dffe5ap-13, 0x1.1b1cd23f8e0c4p-13, 0x1.12557aa85e6c3p-13, 0x1.09d6a0e837addp-13, 0x1.019e0512c59d2p-13, 0x1.f352eeec5d633p-14, 0x1.e3edb067ae428p-14, 0x1.d5082db6ba6b8p-14, 0x1.c69e640f6251ep-14, 0x1.b8ac6dfc9be23p-14, 0x1.ab2e82a103bf1p-14, 0x1.9e20f4fd8d991p-14, 0x1.9180333c2aeap-14, 0x1.8548c5fe6f781p-14, 0x1.79774fb011086p-14, 0x1.6e088bdd3a835p-14, 0x1.62f94e8c9c903p-14, 0x1.5846839d2e811p-14, 0x1.4ded2e278d8bbp-14, 0x1.43ea67e2e9324p-14, 0x1.3a3b608d6e165p-14, 0x1.30dd5d581d041p-14, 0x1.27cdb8560199ep-14, 0x1.1f09dfeeb45f1p-14, 0x1.168f56541c65ep-14, 0x1.0e5bb0fb5f8a4p-14, 0x1.066c9818f08bbp-14, 0x1.fd7f8c3f5ef75p-15, 0x1.eea60e86132b7p-15, 0x1.e04871f819f33p-15, 0x1.d2629322bd41bp-15, 0x1.c4f06f440ec71p-15, 0x1.b7ee236610091p-15, 0x1.ab57eb7f4aa27p-15, 0x1.9f2a2198c2af4p-15, 0x1.93613cf921e44p-15, 0x1.87f9d15505b38p-15, 0x1.7cf08e0451256p-15, 0x1.72423d3c6d814p-15, 0x1.67ebc34f59b4p-15, 0x1.5dea1def76cep-15, 0x1.543a6377efb9cp-15, 0x1.4ad9c239ab98bp-15, 0x1.41c57fccad3b8p-15, 0x1.38faf865cb2b4p-15, 0x1.30779e30a5f87p-15, 0x1.2838f8adc677p-15, 0x1.203ca414d12d2p-15, 0x1.188050bab168bp-15, 0x1.1101c27baa54p-15, 0x1.09bed0293b4ep-15, 0x1.02b562fbb99e2p-15, 0x1.f7c6ec0f2969dp-16, 0x1.ea8e2b6c4edddp-16, 0x1.ddbcbe8413786p-16, 0x1.d14f006d945c4p-16, 0x1.c5416be7f5c26p-16, 0x1.b9909a670d2fbp-16, 0x1.ae3943265f857p-16, 0x1.a3383a425ebfcp-16, 0x1.988a6fd7c4129p-16, 0x1.8e2cef28d1cb8p-16, 0x1.841cddc86d1dfp-16, 0x1.7a577acae5561p-16, 0x1.70da1dfc4805bp-16, 0x1.67a2371c1a893p-16, 0x1.5ead4d1e690a2p-16, 0x1.55f8fd71f9477p-16, 0x1.4d82fb4b8b858p-16, 0x1.45490ef60efb9p-16, 0x1.3d4915279ff56p-16, 0x1.3580fe5b3c328p-16, 0x1.2deece2f0d17ap-16, 0x1.26909ac72d077p-16, 0x1.1f648c34cc828p-16, 0x1.1868dbe198113p-16, 0x1.119bd3ff4a125p-16, 0x1.0afbcefb4c542p-16, 0x1.048736f64d5e6p-16, 0x1.fc790a7f6ecf3p-17, 0x1.f03483a9d569dp-17, 0x1.e43e05c841707p-17, 0x1.d892d8a5dbb0dp-17, 0x1.cd305e9075f1ap-17, 0x1.c21413735da7ep-17, 0x1.b73b8bf8c1ef9p-17, 0x1.aca474b1a875cp-17, 0x1.a24c91442f08ep-17, 0x1.9831bb9fe75e4p-17, 0x1.8e51e3384a2b4p-17, 0x1.84ab0c44f0dd7p-17, 0x1.7b3b4f079310bp-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.883329e7e7aa4p-3, -0x1.98e3d61899281p-3, -0x1.a9592eaf208ffp-3, -0x1.b98e87c7c7a6ep-3, -0x1.c97f2ea28f6b3p-3, -0x1.d92699e8ddf3fp-3, -0x1.e8809056d3acbp-3, -0x1.f7894673a12a6p-3, -0x1.031eba190b3fbp-2, -0x1.0a4d31b51dbd1p-2, -0x1.114efc11c52a4p-2, -0x1.182359d18b393p-2, -0x1.1ec9d992256f7p-2, -0x1.25425588de368p-2, -0x1.2b8cefbf90cd1p-2, -0x1.31aa0d4808c8p-2, -0x1.379a50b0b48a2p-2, -0x1.3d5e93fb167c9p-2, -0x1.42f7e24a72c32p-2, -0x1.4867717804ddbp-2, -0x1.4dae9bb1b955bp-2, -0x1.52ced940ff239p-2, -0x1.57c9ba90aeb57p-2, -0x1.5ca0e283610cdp-2, -0x1.61560126adbd8p-2, -0x1.65eacecbaa20dp-2, -0x1.6a6107898ebecp-2, -0x1.6eba672c9716dp-2, -0x1.72f8a590e29bdp-2, -0x1.771d73674cd61p-2, -0x1.7b2a7760c1a12p-2, -0x1.7f214bbb8f6e2p-2, -0x1.83037c2d65065p-2, -0x1.86d28424276e2p-2, -0x1.8a8fcd5783f5fp-2, -0x1.8e3caea4eaac3p-2, -0x1.91da6b2fa54ep-2, -0x1.956a31bed4d1fp-2, -0x1.98ed1c5342666p-2, -0x1.9c642fef363adp-2, -0x1.9fd05c8ac9448p-2, -0x1.a3327d2f796d8p-2, -0x1.a68b583612d22p-2, -0x1.a9db9fa2680bbp-2, -0x1.ad23f19899e45p-2, -0x1.b064d8e810e61p-2, -0x1.b39ecda89e53dp-2, -0x1.b6d235e6838f9p-2, -0x1.b9ff665a7def7p-2, -0x1.bd26a32b2c6e2p-2, -0x1.c04820b57984dp-2, -0x1.c3640459ec392p-2, -0x1.c67a654d07944p-2, -0x1.c98b4d690f39ap-2, -0x1.cc96b9ffc5d51p-2, -0x1.cf9c9caae21efp-2, -0x1.d29cdc1a2aaap-2, -0x1.d59754de44635p-2, -0x1.d88bda2f73219p-2, -0x1.db7a36afa19f4p-2, -0x1.de622d2722d0fp-2, -0x1.e143793bc0666p-2, -0x1.e41dd021be10ap-2, -0x1.e6f0e1468a4c1p-2, -0x1.e9bc56f4e93b2p-2, -0x1.ec7fd6f27ebc3p-2, -0x1.ef3b03169b95dp-2, -0x1.f1ed79da4e9a7p-2, -0x1.f496d6e1b4ec3p-2, -0x1.f736b37e9bdadp-2, -0x1.f9cca72c84a0bp-2, -0x1.fc5848062695ap-2, -0x1.fed92b348ff25p-2, -0x1.00a772ac0348ep-1, -0x1.01dc85756ba71p-1, -0x1.030b984f1ab3dp-1, -0x1.043475d8b0e72p-1, -0x1.0556e9219f304p-1, -0x1.0672bdcf4406ap-1, -0x1.0787c0406e9dap-1, -0x1.0895bdae657a3p-1, -0x1.099c844b846d4p-1, -0x1.0a9be35f8e191p-1, -0x1.0b93ab61c68dcp-1, -0x1.0c83ae10ee4c7p-1, -0x1.0d6bbe8936c37p-1, -0x1.0e4bb1584444fp-1, -0x1.0f235c8f56c38p-1, -0x1.0ff297d3a9d14p-1, -0x1.10b93c6d275fep-1, -0x1.117725537a397p-1, -0x1.122c2f399a268p-1, -0x1.12d83897de488p-1, -0x1.137b21b4af2c5p-1, -0x1.1414ccabe1d02p-1, -0x1.14a51d74d476ap-1, -0x1.152bf9e7579d4p-1, -0x1.15a949bf751d9p-1, -0x1.161cf6a026689p-1, -0x1.1686ec1503183p-1, -0x1.16e71792fba2p-1, -0x1.173d68782ab85p-1, -0x1.1789d00ac8217p-1, -0x1.17cc41774df2ap-1, -0x1.1804b1cdda4cdp-1, -0x1.183317fed515ap-1, -0x1.18576cd6ec242p-1, -0x1.1871aafa6a48bp-1, -0x1.1881cedff5478p-1, -0x1.1887d6cabe348p-1, -0x1.1883c2c42a92bp-1, -0x1.187594950285fp-1, -0x1.185d4fbe28eecp-1, -0x1.183af970ea68cp-1, -0x1.180e9886e7924p-1, -0x1.17d83579a2bfap-1, -0x1.1797da59bc516p-1, -0x1.174d92c5de561p-1, -0x1.16f96be165526p-1, -0x1.169b744ac7ba3p-1, -0x1.1633bc11c4e4dp-1, -0x1.15c254ad6054cp-1, -0x1.154750f1b2c68p-1, -0x1.14c2c5058f448p-1, -0x1.1434c6580ba43p-1, -0x1.139d6b95e7cf9p-1, -0x1.12fccc9ee10aap-1, -0x1.1253027af08e5p-1, -0x1.11a0274f7bd76p-1, -0x1.10e456547d432p-1, -0x1.101fabc9a532ap-1, -0x1.0f5244eb7a4c3p-1, -0x1.0e7c3fe87cd1p-1, -0x1.0d9dbbd64fe31p-1, -0x1.0cb6d8a6ec075p-1, -0x1.0bc7b71ddf49fp-1, -0x1.0ad078c59c8f4p-1, -0x1.09d13fe4dfc89p-1, -0x1.08ca2f74262bap-1, -0x1.07bb6b1340cdfp-1, -0x1.06a516ff01a2fp-1, -0x1.05875807070bap-1, -0x1.04625383a54e3p-1, -0x1.03362f4bf56f8p-1, -0x1.020311ac04282p-1, -0x1.00c9215b2aa13p-1, -0x1.ff110ae51611ep-2, -0x1.fc82cac772465p-2, -0x1.f9e7d1df18d12p-2, -0x1.f740703a3b61ep-2, -0x1.f48cf661e3e35p-2, -0x1.f1cdb548aa49fp-2, -0x1.ef02fe39c3aap-2, -0x1.ec2d22c875235p-2, -0x1.e94c74bfe71efp-2, -0x1.e66146135e243p-2, -0x1.e36be8ced3ffcp-2, -0x1.e06caf07fb592p-2, -0x1.dd63eacfa5cc2p-2, -0x1.da51ee239400ep-2, -0x1.d7370ae0ab5c1p-2, -0x1.d41392b5945b1p-2, -0x1.d0e7d715c0bc6p-2, -0x1.cdb4292cdb348p-2, -0x1.ca78d9d29d9d1p-2, -0x1.c736397f0f5f5p-2, -0x1.c3ec983f2c8b9p-2, -0x1.c09c45a9f3dap-2, -0x1.bd4590d5d9d3cp-2, -0x1.b9e8c84ea3c7p-2, -0x1.b6863a0ba690fp-2, -0x1.b31e33666b709p-2, -0x1.afb10111b60c5p-2, -0x1.ac3eef10ee4dp-2, -0x1.a8c848afecbd6p-2, -0x1.a54d587b2264p-2, -0x1.a1ce683824e42p-2, -0x1.9e4bc0de9537cp-2, -0x1.9ac5aa916255p-2, -0x1.973c6c98682f9p-2, -0x1.93b04d5a67916p-2, -0x1.9021925753b5ep-2, -0x1.8c908022f92ddp-2, -0x1.88fd5a5ff61f3p-2, -0x1.856863bb099b3p-2, -0x1.81d1dde6ae989p-2, -0x1.7e3a09970d223p-2, -0x1.7aa1267e3335bp-2, -0x1.770773489dad8p-2, -0x1.736d2d9a0a9d3p-2, -0x1.6fd2920a943fap-2, -0x1.6c37dc241161cp-2, -0x1.689d465fbecfcp-2, -0x1.65030a2426c54p-2, -0x1.61695fc34ddacp-2, -0x1.5dd07e791e66ep-2, -0x1.5a389c6a11e2bp-2, -0x1.56a1eea2168efp-2, -0x1.530ca913af273p-2, -0x1.4f78fe974bc19p-2, -0x1.4be720ead856cp-2, -0x1.485740b182b3cp-2, -0x1.44c98d73b21fp-2, -0x1.413e359f31203p-2, -0x1.3db566878657ap-2, -0x1.3a2f4c667cd4fp-2, -0x1.36ac125cda9c3p-2, -0x1.332be2733dde6p-2, -0x1.2faee59b269dep-2, -0x1.2c3543b028588p-2, -0x1.28bf237941846p-2, -0x1.254caaaa54e9fp-2, -0x1.21ddfde5ca938p-2, -0x1.1e7340be5066cp-2, -0x1.1b0c95b8b8365p-2, -0x1.17aa1e4dfac4ap-2, -0x1.144bfaed50537p-2, -0x1.10f24afe6cd3ep-2, -0x1.0d9d2ce3cfep-2, -0x1.0a4cbdfd322dp-2, -0x1.07011aaa096a8p-2, -0x1.03ba5e4c22203p-2, -0x1.0078a34a4f883p-2, -0x1.fa780626602bcp-3, -0x1.f4092c4007275p-3, -0x1.eda4e7ef2693p-3, -0x1.e74b666255b2dp-3, -0x1.e0fcd2ef43a54p-3, -0x1.dab95718e0871p-3, -0x1.d4811a95aaa7p-3, -0x1.ce5443560aae7p-3, -0x1.c832f58accd01p-3, -0x1.c21d53abab8eep-3, -0x1.bc137e7defa0cp-3, -0x1.b615951b1d03cp-3, -0x1.b023b4f7b44d6p-3, -0x1.aa3df9e9fbe58p-3, -0x1.a4647e30d7535p-3, -0x1.9e975a7aaadb9p-3, -0x1.98d6a5ec4384p-3, -0x1.93227627cb67ep-3, -0x1.8d7adf53ba875p-3, -0x1.87dff421d84d7p-3, -0x1.8251c5d6344abp-3, -0x1.7cd0644e25f7fp-3, -0x1.775bde074f1e5p-3, -0x1.71f4402695721p-3, -0x1.6c99967f21752p-3, -0x1.674beb9957318p-3, -0x1.620b48b9c8caep-3, -0x1.5cd7b5e8266d4p-3, -0x1.57b139f626509p-3, -0x1.5297da8665b31p-3, -0x1.4d8b9c1342ca5p-3, -0x1.488c81f5aa632p-3, -0x1.439a8e6bdcb6cp-3, -0x1.3eb5c2a02cf7dp-3, -0x1.39de1eafa9204p-3, -0x1.3513a1b0c3813p-3, -0x1.305649b9e4931p-3, -0x1.2ba613e7f4db4p-3, -0x1.2702fc64d539bp-3, -0x1.226cfe6dcbc7bp-3, -0x1.1de41459e0e15p-3, -0x1.196837a027121p-3, -0x1.14f960ddf9553p-3, -0x1.109787dd27be1p-3, -0x1.0c42a39a0a9e5p-3, -0x1.07faaa4991463p-3, -0x1.03bf915f32dccp-3, -0x1.ff229b25ab15dp-4, -0x1.f6dfa5cd34c4cp-4, -0x1.eeb6295940f07p-4, -0x1.e6a60b19526d3p-4, -0x1.deaf2f136b492p-4, -0x1.d6d1780f0645cp-4, -0x1.cf0cc7a0023d5p-4, -0x1.c760fe3148edp-4, -0x1.bfcdfb0f67ac1p-4, -0x1.b8539c72f35cp-4, -0x1.b0f1bf8ab9547p-4, -0x1.a9a84085dcf4ep-4, -0x1.a276fa9db9665p-4, -0x1.9b5dc81fa5751p-4, -0x1.945c82767d01dp-4, -0x1.8d7302341b528p-4, -0x1.86a11f1a9120ap-4, -0x1.7fe6b0253f093p-4, -0x1.79438b91c37a2p-4, -0x1.72b786e8bcffap-4, -0x1.6c42770663c03p-4, -0x1.65e43022f9fbdp-4, -0x1.5f9c85db119e5p-4, -0x1.596b4b37a92e4p-4, -0x1.535052b61f0a6p-4, -0x1.4d4b6e4ffc5dfp-4, -0x1.475c6f8295aefp-4, -0x1.418327568432p-4, -0x1.3bbf6666f5c61p-4, -0x1.3610fce8d4d46p-4, -0x1.3077bab1c8c84p-4, -0x1.2af36f3f0e97bp-4, -0x1.2583e9bc2989dp-4, -0x1.2028f9096d494p-4, -0x1.1ae26bc261f73p-4, -0x1.15b01044004ecp-4, -0x1.1091b4b2c9e56p-4, -0x1.0b872700b97bcp-4, -0x1.069034f30fc5dp-4, -0x1.01acac27fb13dp-4, -0x1.f9b8b43832518p-5, -0x1.f03e185fae3a5p-5, -0x1.e6e91f59589f8p-5, -0x1.ddb96394639abp-5, -0x1.d4ae7f662ed4dp-5, -0x1.cbc80d13ef3a2p-5, -0x1.c305a6dc0d7e9p-5, -0x1.ba66e6ff47107p-5, -0x1.b1eb67c98851ap-5, -0x1.a992c39a8a4d4p-5, -0x1.a15c94ee2bd0dp-5, -0x1.994876648da7p-5, -0x1.915602c9f031fp-5, -0x1.8984d51e5155bp-5, -0x1.81d4889cd1be3p-5, -0x1.7a44b8c2da754p-5, -0x1.72d5015709796p-5, -0x1.6b84fe6fe5aeep-5, -0x1.64544c7a580efp-5, -0x1.5d42883fed995p-5, -0x1.564f4eece2bd4p-5, -0x1.4f7a3e15f7846p-5, -0x1.48c2f3be10b9ep-5, -0x1.42290e5ba33c6p-5, -0x1.3bac2cddeb3cep-5, -0x1.354beeb1f50cep-5, -0x1.2f07f3c76f087p-5, -0x1.28dfdc9550ee4p-5, -0x1.22d34a1e4e706p-5, -0x1.1ce1ddf51e7e9p-5, -0x1.170b3a409478dp-5, -0x1.114f01bf8a967p-5, -0x1.0bacd7cca323p-5, -0x1.06246061dc575p-5, -0x1.00b5401bfd254p-5, -0x1.f6be387ba66e7p-6, -0x1.ec433566a1233p-6, -0x1.e1f8c428f3687p-6, -0x1.d7de3350649dcp-6, -0x1.cdf2d2cdc5d04p-6, -0x1.c435f3f9f053ep-6, -0x1.baa6e99a801b9p-6, -0x1.b14507e645957p-6, -0x1.a80fa4896fc17p-6, -0x1.9f0616a97a77p-6, -0x1.9627b6e8d2c7ep-6, -0x1.8d73df6a41af2p-6, -0x1.84e9ebd411c9fp-6, -0x1.7c893952ff959p-6, -0x1.7451269ce61f8p-6, -0x1.6c4113f339bf3p-6, -0x1.645863254212dp-6, -0x1.5c96779224221p-6, -0x1.54fab62ab2cd2p-6, -0x1.4d8485730c918p-6, -0x1.46334d840487ap-6, -0x1.3f06780c5c3b5p-6, -0x1.37fd7051ccf5ep-6, -0x1.3117a331e34b4p-6, -0x1.2a547f22a8b06p-6, -0x1.23b37433265e4p-6, -0x1.1d33f40bbbdfbp-6, -0x1.16d571ee4b661p-6, -0x1.109762b63be6p-6, -0x1.0a793cd858b8cp-6, -0x1.047a786289214p-6, -0x1.fd351df6bf6a3p-7, -0x1.f1b1f7c31b3fap-7, -0x1.e66a77d6575aep-7, -0x1.db5d9b09d12f1p-7, -0x1.d08a616225758p-7, -0x1.c5efce0d087d2p-7, -0x1.bb8ce75ee62dcp-7, -0x1.b160b6d03fe68p-7, -0x1.a76a48fad9195p-7, -0x1.9da8ad96ab9bep-7, -0x1.941af776aab5bp-7, -0x1.8ac03c854f4b6p-7, -0x1.819795c0f5985p-7, -0x1.78a01f3810afap-7, -0x1.6fd8f8052cbb2p-7, -0x1.6741424ac7018p-7, -0x1.5ed8232effed1p-7, -0x1.569cc2d725aap-7, -0x1.4e8e4c631324p-7, -0x1.46abede873b64p-7, -0x1.3ef4d86dde76fp-7, -0x1.37683fe5d2d4cp-7, -0x1.30055b2996aa2p-7, -0x1.28cb63f3f511cp-7, -0x1.21b996dbe15ep-7, -0x1.1acf334f002a4p-7, -0x1.140b7b8c15af9p-7, -0x1.0d6db49d5c4fcp-7, -0x1.06f52652c52cbp-7, -0x1.00a11b3c21ce3p-7, -0x1.f4e1c14675012p-8, -0x1.e8c78d0ba485bp-8, -0x1.dcf23f1f2dbb3p-8, -0x1.d160822804f43p-8, -0x1.c611061058f53p-8, -0x1.bb027ff91956fp-8, -0x1.b033aa2d607b6p-8, -0x1.a5a34415c78d8p-8, -0x1.9b50122ba12cfp-8, -0x1.9138ddec21cccp-8, -0x1.875c75cb757f2p-8, -0x1.7db9ad27c32d4p-8, -0x1.744f5c3c23241p-8, -0x1.6b1c601388671p-8, -0x1.621f9a7b9c7f7p-8, -0x1.5957f1f7951bp-8, -0x1.50c451b2ffd02p-8, -0x1.4863a9748600bp-8, -0x1.4034ed90b02cap-8, -0x1.383716dca1aafp-8, -0x1.306922a0d41adp-8, -0x1.28ca128bd364dp-8, -0x1.2158eca4f973cp-8, -0x1.1a14bb3f2b563p-8, -0x1.12fc8ceb9bb8dp-8, -0x1.0c0f746c9109bp-8, -0x1.054c88a830646p-8, -0x1.fd65c936a3907p-9, -0x1.f0834e98b46ebp-9, -0x1.e3efe77c41a09p-9, -0x1.d7a9e1c5b9d3p-9, -0x1.cbaf931e3d2dap-9, -0x1.bfff58d9acc3cp-9, -0x1.b49797dccdba3p-9, -0x1.a976bc8389b1fp-9, -0x1.9e9b3a874fda9p-9, -0x1.94038ce5934ap-9, -0x1.89ae35c667ba8p-9, -0x1.7f99be634521p-9, -0x1.75c4b6edeac9bp-9, -0x1.6c2db6776a6c7p-9, -0x1.62d35ad758698p-9, -0x1.59b4489323fdbp-9, -0x1.50cf2ac5988f9p-9, -0x1.4822b30687847p-9, -0x1.3fad99529f1f1p-9, -0x1.376e9bf36cb6bp-9, -0x1.2f647f678c87bp-9, -0x1.278e0e4b071dbp-9, -0x1.1fea193fdbc6ap-9, -0x1.187776d6bff0ep-9, -0x1.1135037809e1ep-9, -0x1.0a21a14ccfc7fp-9, -0x1.033c382836a59p-9, -0x1.f9076ae1ed6f4p-10, -0x1.ebee181623ec7p-10, -0x1.df2a6883783e2p-10, -0x1.d2ba5762f4f7ap-10, -0x1.c69bea64edc53p-10, -0x1.bacd318614e3dp-10, -0x1.af4c46e4f04d3p-10, -0x1.a4174e97cbdc8p-10, -0x1.992c76830a072p-10, -0x1.8e89f62feacd2p-10, -0x1.842e0ea3bb5fap-10, -0x1.7a170a377adeap-10, -0x1.70433c6feb2d6p-10, -0x1.66b101d60a7bep-10, -0x1.5d5ebfd009cap-10, -0x1.544ae47aac204p-10, -0x1.4b73e68311de8p-10, -0x1.42d84500ffe3dp-10, -0x1.3a7687518d2bcp-10, -0x1.324d3cf24462fp-10, -0x1.2a5afd5cb973bp-10, -0x1.229e67e28b288p-10, -0x1.1b162389d565bp-10, -0x1.13c0deea199b5p-10, -0x1.0c9d50098fec7p-10, -0x1.05aa343aec878p-10, -0x1.fdcc9ff7283f6p-11, -0x1.f0a0dda47f458p-11, -0x1.e3cec65c1dabdp-11, -0x1.d7540c8c14d33p-11, -0x1.cb2e6ff227a6ap-11, -0x1.bf5bbd5c86c38p-11, -0x1.b3d9ce6b67ba4p-11, -0x1.a8a6895375633p-11, -0x1.9dbfe0a11b4bcp-11, -0x1.9323d2fca69dp-11, -0x1.88d06aef3f678p-11, -0x1.7ec3bea8b6bb7p-11, -0x1.74fbefc629fe8p-11, -0x1.6b772b197821p-11, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.ce54efddc1992p-1, 0x1.cc70dd5451115p-1, 0x1.ca842fd299f17p-1, 0x1.c88e98c62dcbfp-1, 0x1.c68fbad58777cp-1, 0x1.c48735eec0bd8p-1, 0x1.c274b10c6eac7p-1, 0x1.c057e1cfc0225p-1, 0x1.be30921f08b34p-1, 0x1.bbfea400ec985p-1, 0x1.b9c213f0435dfp-1, 0x1.b77af9e4f10e5p-1, 0x1.b529894b8bddp-1, 0x1.b2ce10219de31p-1, 0x1.b068f567402ecp-1, 0x1.adfab7114d083p-1, 0x1.ab83e7a1c21a6p-1, 0x1.a9052b866eac2p-1, 0x1.a67f3658d96d2p-1, 0x1.a3f2c81582edp-1, 0x1.a160aa5c5ef6bp-1, 0x1.9ec9adc88a0ecp-1, 0x1.9c2ea769f10bcp-1, 0x1.99906e68c2b5cp-1, 0x1.96efd9d81426ap-1, 0x1.944dbebb1c4ffp-1, 0x1.91aaee3ebdcbdp-1, 0x1.8f083427b6eedp-1, 0x1.8c665574c5c35p-1, 0x1.89c60f332678fp-1, 0x1.8728158341e92p-1, 0x1.848d12cadacb2p-1, 0x1.81f5a711bfa2p-1, 0x1.7f626785d1fe3p-1, 0x1.7cd3de231949ep-1, 0x1.7a4a897c8d713p-1, 0x1.77c6dca257f8ep-1, 0x1.75493f225583ap-1, 0x1.72d20d1fcb58dp-1, 0x1.7061977f64261p-1, 0x1.6df82424b6485p-1, 0x1.6b95ee3ebfaddp-1, 0x1.693b26a0fd39fp-1, 0x1.66e7f426e4c75p-1, 0x1.649c741fcaddep-1, 0x1.6258bac15b1a5p-1, 0x1.601cd39f07d6fp-1, 0x1.5de8c224f2743p-1, 0x1.5bbc821503f14p-1, 0x1.599808050a1a6p-1, 0x1.577b41dcd83bp-1, 0x1.5566175389b74p-1, 0x1.53586a6b230cp-1, 0x1.515217e9ecf35p-1, 0x1.4f52f7d0fa132p-1, 0x1.4d5addcf6829fp-1, 0x1.4b6999b1f7597p-1, 0x1.497ef7ceb04f5p-1, 0x1.479ac16c5bb9cp-1, 0x1.45bcbd259dbaap-1, 0x1.43e4af479abe6p-1, 0x1.42125a2c0ed71p-1, 0x1.40457e8ed059fp-1, 0x1.3e7ddbdebf83p-1, 0x1.3cbb308a27121p-1, 0x1.3afd3a46a1755p-1, 0x1.3943b654905aap-1, 0x1.378e61be45398p-1, 0x1.35dcf992eff17p-1, 0x1.342f3b1d79f8ap-1, 0x1.3284e4176a087p-1, 0x1.30ddb2d7f5392p-1, 0x1.2f39667f6245ep-1, 0x1.2d97bf1ee61e3p-1, 0x1.2bf87ddd1b312p-1, 0x1.2a5b65173e1b4p-1, 0x1.28c0387f5400fp-1, 0x1.2726bd375dc36p-1, 0x1.258eb9e9c2491p-1, 0x1.23f7f6df0f143p-1, 0x1.22623e1136bb4p-1, 0x1.20cd5b3c6d5f9p-1, 0x1.1f391bedc56f5p-1, 0x1.1da54f8fad77dp-1, 0x1.1c11c7746fca4p-1, 0x1.1a7e56decf3ap-1, 0x1.18ead308e0641p-1, 0x1.175713293c182p-1, 0x1.15c2f076a3126p-1, 0x1.142e462a2f2c5p-1, 0x1.1298f180298cp-1, 0x1.1102d1b79d59ap-1, 0x1.0f6bc810bccp-1, 0x1.0dd3b7ca3068fp-1, 0x1.0c3a861d60da2p-1, 0x1.0aa01a39d2532p-1, 0x1.09045d3fa0cf3p-1, 0x1.07673a3932d17p-1, 0x1.05c89e142d18p-1, 0x1.04287799be165p-1, 0x1.0286b7664ae2p-1, 0x1.00e34fe08dd96p-1, 0x1.fe7c6a60694aap-2, 0x1.fb2eba68135ccp-2, 0x1.f7dd7eef6d50dp-2, 0x1.f488aa52503ccp-2, 0x1.f130321b4337ap-2, 0x1.edd40eed12194p-2, 0x1.ea743c6be984fp-2, 0x1.e710b92609673p-2, 0x1.e3a9867c20ce9p-2, 0x1.e03ea88961a44p-2, 0x1.dcd0260b59e5dp-2, 0x1.d95e0849aa913p-2, 0x1.d5e85afd9b615p-2, 0x1.d26f2c39a3fccp-2, 0x1.cef28c50f3d28p-2, 0x1.cb728dbeff3d7p-2, 0x1.c7ef450f24689p-2, 0x1.c468c8c46b77p-2, 0x1.c0df31416f932p-2, 0x1.bd5298b0770cfp-2, 0x1.b9c31aebc5863p-2, 0x1.b630d5662c21ap-2, 0x1.b29be713e3252p-2, 0x1.af047053ae5fap-2, 0x1.ab6a92d858a43p-2, 0x1.a7ce7192881c3p-2, 0x1.a430309aed331p-2, 0x1.a08ff51cdcd1ep-2, 0x1.9cede5414a0b2p-2, 0x1.994a281a2f7c2p-2, 0x1.95a4e58e6a27p-2, 0x1.91fe4645ff9c4p-2, 0x1.8e567396dfba5p-2, 0x1.8aad97721b6ap-2, 0x1.8703dc51928afp-2, 0x1.83596d26239dbp-2, 0x1.7fae754650dcp-2, 0x1.7c03205d68d0fp-2, 0x1.78579a5b2c496p-2, 0x1.74ac0f63f4b0cp-2, 0x1.7100abc159884p-2, 0x1.6d559bd358ee2p-2, 0x1.69ab0c01fded2p-2, 0x1.660128af89dc7p-2, 0x1.62581e2b1dbadp-2, 0x1.5eb018a3e001p-2, 0x1.5b09441ca5f46p-2, 0x1.5763cc6018ffcp-2, 0x1.53bfdcf557a2cp-2, 0x1.501da1151428ep-2, 0x1.4c7d439f2d34ep-2, 0x1.48deef10c08fbp-2, 0x1.4542cd7ab2f43p-2, 0x1.41a90878b13e6p-2, 0x1.3e11c928a1c05p-2, 0x1.3a7d38228be66p-2, 0x1.36eb7d70ed5ddp-2, 0x1.335cc0897ef1bp-2, 0x1.2fd1284665282p-2, 0x1.2c48dadfcc2f7p-2, 0x1.28c3fde5e8f34p-2, 0x1.2542b63b63bedp-2, 0x1.21c5281023a18p-2, 0x1.1e4b76dc7c574p-2, 0x1.1ad5c55cb81c5p-2, 0x1.1764358d0323fp-2, 0x1.13f6e8a5abf15p-2, 0x1.108dff17bdd8ep-2, 0x1.0d299889f063ep-2, 0x1.09c9d3d5e72fbp-2, 0x1.066ecf05c790ap-2, 0x1.0318a75213b12p-2, 0x1.ff8ef23fb1a2cp-3, 0x1.f8f6bffe4607p-3, 0x1.f268ed536b082p-3, 0x1.ebe5ae0415859p-3, 0x1.e56d342527801p-3, 0x1.deffb01a72c5ep-3, 0x1.d89d50962a737p-3, 0x1.d2464298d7848p-3, 0x1.cbfab171b36d1p-3, 0x1.c5bac6bf750cep-3, 0x1.bf86aa7181e86p-3, 0x1.b95e82c98105ap-3, 0x1.b342745d53d13p-3, 0x1.ad32a2196293cp-3, 0x1.a72f2d433ffc5p-3, 0x1.a138357ca2de1p-3, 0x1.9b4dd8c6ab93cp-3, 0x1.957033856fc16p-3, 0x1.8f9f6083d54p-3, 0x1.89db78f7a9bb7p-3, 0x1.84249485f61f8p-3, 0x1.7e7ac94793fe6p-3, 0x1.78de2bcdf89e8p-3, 0x1.734ecf28314acp-3, 0x1.6dccc4e81003ap-3, 0x1.68581d278dd81p-3, 0x1.62f0e68e4c081p-3, 0x1.5d972e5742e41p-3, 0x1.584b00569841ep-3, 0x1.530c66ff8befp-3, 0x1.4ddb6b6a8f3cbp-3, 0x1.48b8155b6e23bp-3, 0x1.43a26b4798125p-3, 0x1.3e9a725c7c14dp-3, 0x1.39a02e85f9387p-3, 0x1.34b3a274dfa53p-3, 0x1.2fd4cfa585f2cp-3, 0x1.2b03b666603fbp-3, 0x1.264055deafe98p-3, 0x1.218aac1534266p-3, 0x1.1ce2b5f6dc60bp-3, 0x1.18486f5d8decdp-3, 0x1.13bbd316df30dp-3, 0x1.0f3cdaead813p-3, 0x1.0acb7fa2b5ed5p-3, 0x1.0667b90fa8777p-3, 0x1.02117e118c0cdp-3, 0x1.fb91893b3d59p-4, 0x1.f31b038a666b3p-4, 0x1.eabf5378a2956p-4, 0x1.e27e5fc0b335p-4, 0x1.da580d7d2bdb5p-4, 0x1.d24c403584566p-4, 0x1.ca5ad9eb094c9p-4, 0x1.c283bb25bec58p-4, 0x1.bac6c3011bff4p-4, 0x1.b323cf38a08f3p-4, 0x1.ab9abc345d32ep-4, 0x1.a42b651546171p-4, 0x1.9cd5a3c16abc2p-4, 0x1.959950f00a238p-4, 0x1.8e764435796dp-4, 0x1.876c540ee5831p-4, 0x1.807b55edecd6ep-4, 0x1.79a31e440d7c7p-4, 0x1.72e3808de7a55p-4, 0x1.6c3c4f5e555b9p-4, 0x1.65ad5c6953cb6p-4, 0x1.5f36788ec064ap-4, 0x1.58d773e4e75ddp-4, 0x1.52901dc2e1a9p-4, 0x1.4c6044cac6c0ep-4, 0x1.4647b6f3ab9e9p-4, 0x1.4046419373f19p-4, 0x1.3a5bb16870dabp-4, 0x1.3487d2a2d0aeap-4, 0x1.2eca70eddc3acp-4, 0x1.2923577904e45p-4, 0x1.23925100bf968p-4, 0x1.1e1727d72fa95p-4, 0x1.18b1a5eca10ddp-4, 0x1.136194d7cfcf7p-4, 0x1.0e26bdde00437p-4, 0x1.0900e9fae5415p-4, 0x1.03efe1e85546dp-4, 0x1.fde6dc4ba2adfp-5, 0x1.f416adffb041cp-5, 0x1.ea6ec92e1948bp-5, 0x1.e0eebdce55c03p-5, 0x1.d7961b9b9bc38p-5, 0x1.ce6472220ec81p-5, 0x1.c55950cb8f80ap-5, 0x1.bc7446ec32bc5p-5, 0x1.b3b4e3ce5945fp-5, 0x1.ab1ab6be70818p-5, 0x1.a2a54f16578f9p-5, 0x1.9a543c486c798p-5, 0x1.92270dea432b4p-5, 0x1.8a1d53bf052a7p-5, 0x1.82369dc17b745p-5, 0x1.7a727c2dc5529p-5, 0x1.72d07f8abd359p-5, 0x1.6b5038b30a2aep-5, 0x1.63f138dde0687p-5, 0x1.5cb311a77630dp-5, 0x1.5595551927721p-5, 0x1.4e9795b14cb01p-5, 0x1.47b9666ac8c05p-5, 0x1.40fa5ac44ae03p-5, 0x1.3a5a06c749044p-5, 0x1.33d7ff0eafeadp-5, 0x1.2d73d8cd51bc9p-5, 0x1.272d29d40b24dp-5, 0x1.21038897a7abcp-5, 0x1.1af68c3682ddap-5, 0x1.1505cc7de90e4p-5, 0x1.0f30e1ef3813bp-5, 0x1.097765c4c1061p-5, 0x1.03d8f1f6704b4p-5, 0x1.fcaa427c69cb8p-6, 0x1.f1d71e3865f8ep-6, 0x1.e737afb570eb9p-6, 0x1.dccb3123fd1d4p-6, 0x1.d290de576211dp-6, 0x1.c887f4cc84ac7p-6, 0x1.beafb3b0175e9p-6, 0x1.b5075be4771f5p-6, 0x1.ab8e300720f16p-6, 0x1.a2437475c9d1ap-6, 0x1.99266f531c93fp-6, 0x1.9036688b180b9p-6, 0x1.8772a9d713d5bp-6, 0x1.7eda7ec172cf6p-6, 0x1.766d34a8ffb15p-6, 0x1.6e2a1ac3f53aep-6, 0x1.66108222bc79bp-6, 0x1.5e1fbdb25a24dp-6, 0x1.5657223e90ac9p-6, 0x1.4eb60673bb376p-6, 0x1.473bc2e063a97p-6, 0x1.3fe7b1f69198ap-6, 0x1.38b9300cd5b3ap-6, 0x1.31af9b5f1ac0ap-6, 0x1.2aca540f34766p-6, 0x1.2408bc252f00ap-6, 0x1.1d6a378f6eaa9p-6, 0x1.16ee2c228a932p-6, 0x1.10940198fd28ep-6, 0x1.0a5b2192976dp-6, 0x1.0442f793c3a8bp-6, 0x1.fc95e2093a6b7p-7, 0x1.f0e4fa5fa15ebp-7, 0x1.e5721a82ac478p-7, 0x1.da3c2889f406dp-7, 0x1.cf420e498020ap-7, 0x1.c482b94e3c63p-7, 0x1.b9fd1ada1a1b1p-7, 0x1.afb027dfef24ep-7, 0x1.a59ad8ff08fb8p-7, 0x1.9bbc2a7e81dc9p-7, 0x1.92131c484883fp-7, 0x1.889eb1e3fade6p-7, 0x1.7f5df2717353bp-7, 0x1.764fe8a32d417p-7, 0x1.6d73a2b86a201p-7, 0x1.64c8327723fep-7, 0x1.5c4cad25ceb82p-7, 0x1.54002b84f603fp-7, 0x1.4be1c9c899536p-7, 0x1.43f0a79175494p-7, 0x1.3c2be7e615063p-7, 0x1.3492b12bc86fdp-7, 0x1.2d242d1f71cbep-7, 0x1.25df88ce35cd4p-7, 0x1.1ec3f48e0b1e4p-7, 0x1.17d0a3f62d7dp-7, 0x1.1104cdd77716cp-7, 0x1.0a5fac349f01bp-7, 0x1.03e07c3a62e25p-7, 0x1.fb0cfc6f32b05p-8, 0x1.eea1eb2a63f58p-8, 0x1.e27e519c45cdbp-8, 0x1.d6a0c2ce8d106p-8, 0x1.cb07d7ce54194p-8, 0x1.bfb22f9b9e58p-8, 0x1.b49e6f18c4847p-8, 0x1.a9cb40f9cbfdbp-8, 0x1.9f3755b3abddcp-8, 0x1.94e1636b84d2bp-8, 0x1.8ac825e5cae49p-8, 0x1.80ea5e7565f17p-8, 0x1.7746d3eaca906p-8, 0x1.6ddc52830d526p-8, 0x1.64a9abd6f5744p-8, 0x1.5badb6ca0b0eap-8, 0x1.52e74f79a9c78p-8, 0x1.4a55572c14ebdp-8, 0x1.41f6b43f93b2cp-8, 0x1.39ca52199009ap-8, 0x1.31cf2115c3724p-8, 0x1.2a0416756bc3dp-8, 0x1.22682c4e8c4d4p-8, 0x1.1afa617b3e2b5p-8, 0x1.13b9b9890f41bp-8, 0x1.0ca53ca8737f8p-8, 0x1.05bbf79c45e73p-8, 0x1.fdf9f752c2772p-9, 0x1.f0cebd0c928f2p-9, 0x1.e3f47495dc18p-9, 0x1.d7695ac108a29p-9, 0x1.cb2bb4e2ef1ccp-9, 0x1.bf39d0b2ea4a4p-9, 0x1.b392042b24278p-9, 0x1.a832ad691a28ap-9, 0x1.9d1a328e55d31p-9, 0x1.924701a166143p-9, 0x1.87b7906f1173fp-9, 0x1.7d6a5c6bc3f39p-9, 0x1.735dea954199fp-9, 0x1.6990c754953d1p-9, 0x1.6001866041b84p-9, 0x1.56aec29eb8616p-9, 0x1.4d971e0910ca8p-9, 0x1.44b9418e08937p-9, 0x1.3c13dcf545176p-9, 0x1.33a5a6c2e35bfp-9, 0x1.2b6d5c1b470cp-9, 0x1.2369c0a738436p-9, 0x1.1b999e7849f9p-9, 0x1.13fbc5ed86377p-9, 0x1.0c8f0d986ad5fp-9, 0x1.055252222bfffp-9, 0x1.fc88ec628d58bp-10, 0x1.eec8c49eb2e8p-10, 0x1.e162099e9f30ap-10, 0x1.d452a367a831ep-10, 0x1.c798852c2973cp-10, 0x1.bb31ad199c70ap-10, 0x1.af1c242752002p-10, 0x1.a355fde5c4e17p-10, 0x1.97dd584e7fc3bp-10, 0x1.8cb05b94ac30cp-10, 0x1.81cd39f629b41p-10, 0x1.77322f8d5144ep-10, 0x1.6cdd8223444cbp-10, 0x1.62cd8102dcaeep-10, 0x1.590084cc3b90cp-10, 0x1.4f74ef48df3d1p-10, 0x1.46292b406aec9p-10, 0x1.3d1bac4dedc7bp-10, 0x1.344aeeb5d62bfp-10, 0x1.2bb5773c6e4dcp-10, 0x1.2359d2fcf3192p-10, 0x1.1b3697414672bp-10, 0x1.134a615a2d15p-10, 0x1.0b93d678246d1p-10, 0x1.0411a384cddf1p-10, 0x1.f984f9f9d777fp-11, 0x1.eb4a3d95d4c7cp-11, 0x1.dd709843ffa83p-11, 0x1.cff59eb3aefcdp-11, 0x1.c2d6f3959ae8cp-11, 0x1.b61247556c9e9p-11, 0x1.a9a557d465dcap-11, 0x1.9d8df025204f7p-11, 0x1.91c9e8485e528p-11, 0x1.865724eaee2fdp-11, 0x1.7b3397249cfp-11, 0x1.705d3c38326e4p-11, 0x1.65d21d547bdccp-11, 0x1.5b904f5659779p-11, 0x1.5195f28bd3748p-11, 0x1.47e1327830539p-11, 0x1.3e7045990b718p-11, 0x1.35416d2c66732p-11, 0x1.2c52f4f7b83f2p-11, 0x1.23a3330ff00f6p-11, 0x1.1b3087a2706f2p-11, 0x1.12f95cbef996dp-11, 0x1.0afc26228565cp-11, 0x1.033761030e731p-11, 0x1.f75327b8830f1p-12, 0x1.e8a29c7a2c412p-12, 0x1.da5a512c9703cp-12, 0x1.cc7788138c1dbp-12, 0x1.bef7947599d63p-12, 0x1.b1d7da3e4569ap-12, 0x1.a515cda1ed4a1p-12, 0x1.98aef2c35b44cp-12, 0x1.8ca0dd5af97d7p-12, 0x1.80e9305fac7ffp-12, 0x1.75859db147251p-12, 0x1.6a73e5c495989p-12, 0x1.5fb1d750f763p-12, 0x1.553d4eff871f1p-12, 0x1.4b14371bc5f16p-12, 0x1.41348745c80f1p-12, 0x1.379c4425dc05p-12, 0x1.2e497f21a58b1p-12, 0x1.253a5612aafcbp-12, 0x1.1c6cf2fe4c75bp-12, 0x1.13df8bcf1d5cdp-12, 0x1.0b90620fa1b85p-12, 0x1.037dc2a662ae7p-12, 0x1.f74c0b26b718ep-13, 0x1.e80f1b5d6656fp-13, 0x1.d94190d18619cp-13, 0x1.cae05b16c657ep-13, 0x1.bce87df8ea3bfp-13, 0x1.af5711035de78p-13, 0x1.a2293f0b2c324p-13, 0x1.955c45bb649c7p-13, 0x1.88ed7523d1ed5p-13, 0x1.7cda2f4a034b7p-13, 0x1.711fe7bc9c195p-13, 0x1.65bc2328dedffp-13, 0x1.5aac76f26a465p-13, 0x1.4fee88cd1f13ap-13, 0x1.45800e5929d48p-13, 0x1.3b5eccc120d42p-13, 0x1.3188985a2b98ep-13, 0x1.27fb54463a342p-13, 0x1.1eb4f2182a29bp-13, 0x1.15b37179ebdap-13, 0x1.0cf4dfd486349p-13, 0x1.047757fa08027p-13, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      50, 0x1.2e425aee631f9p+2, 0x1.10146731e02acp+1, 0x1.4017d7c29a038p+2, -0x1.288e40ccdc87ap-6, 
      {{
        {0x1.d343e963dc487p+1, 0x1.d602a64d871c7p+1, 0x1.732aea2161f39p-5, -0x1.140948be9ae11p-3, 0x1.255fdd49b7351p-3, 0x1.5556bc0fbe1e2p-6}, 
        {0x1.d602a64d871c7p+1, 0x1.d8c1633731f07p+1, 0x1.5c079a584f5a3p-5, -0x1.0764e1118f9a4p-3, 0x1.281e9d15eef3ap-3, -0x1.aaac6b13ad2b3p-4}, 
        {0x1.d8c1633731f07p+1, 0x1.db802020dcc46p+1, 0x1.45f8a0dbc547ap-5, -0x1.f5f984518d6c1p-4, 0x1.1a64de18d83ep-3, -0x1.13ebfd2b93c04p-4}, 
        {0x1.db802020dcc46p+1, 0x1.de3edd0a87986p+1, 0x1.30f468d0ac88fp-5, -0x1.de2172a0105f3p-4, 0x1.118497e0a842bp-3, -0x1.2f42743f3e7d9p-4}, 
        {0x1.de3edd0a87986p+1, 0x1.e0fd99f4326c6p+1, 0x1.1cf1afa95228bp-5, -0x1.c715f55d11f16p-4, 0x1.07c32fd386541p-3, -0x1.1b7db9d33580ep-4}, 
        {0x1.e0fd99f4326c6p+1, 0x1.e3bc56dddd406p+1, 0x1.09e781ecc533dp-5, -0x1.b0d9b8fc45a46p-4, 0x1.fd4927df1b331p-4, -0x1.14d7256359ep-4}, 
        {0x1.e3bc56dddd406p+1, 0x1.e67b13c788146p+1, 0x1.ef9a6f3bfedd1p-6, -0x1.9b63688a1a137p-4, 0x1.eb797a4bd4837p-4, -0x1.0b267ee97ba58p-4}, 
        {0x1.e67b13c788146p+1, 0x1.e939d0b132e86p+1, 0x1.cd34e27479b09p-6, -0x1.86ad3e6a52992p-4, 0x1.da49661309f26p-4, -0x1.02e892055d56fp-4}, 
        {0x1.e939d0b132e86p+1, 0x1.ebf88d9addbc6p+1, 0x1.ac8e2937aca0ap-6, -0x1.72b0e51e8328fp-4, 0x1.c9a11135d79cap-4, -0x1.f54ee89a172e9p-5}, 
        {0x1.ebf88d9addbc6p+1, 0x1.eeb74a8488906p+1, 0x1.8d9692de51751p-6, -0x1.5f6888fa7fa96p-4, 0x1.b980b041c180dp-4, -0x1.e5e80e4bb3aa4p-5}, 
        {0x1.eeb74a8488906p+1, 0x1.f176076e33646p+1, 0x1.703eed593ce5cp-6, -0x1.4cce873dde2a3p-4, 0x1.a9df258659e34p-4, -0x1.d72b08fb9372ap-5}, 
        {0x1.f176076e33646p+1, 0x1.f434c457de386p+1, 0x1.54787ea49d442p-6, -0x1.3add8d3302548p-4, 0x1.9ab6fa6972c29p-4, -0x1.c9277155ec009p-5}, 
        {0x1.f434c457de386p+1, 0x1.f6f38141890c6p+1, 0x1.3a34fefba342fp-6, -0x1.299086e281ddap-4, 0x1.8c0237e05e5adp-4, -0x1.bb90deb7aae77p-5}, 
        {0x1.f6f38141890c6p+1, 0x1.f9b23e40ad6f4p+1, 0x1.216693b117fd8p-6, -0x1.18e29455aa968p-4, 0x1.7dbd5c1e64319p-4, -0x1.afa9fda1c203bp-5}, 
        {0x1.f9b23e40ad6f4p+1, 0x1.fc70fb2a58434p+1, 0x1.09ffc92c0c002p-6, -0x1.08cf3499543e8p-4, 0x1.6fda83a0b5a84p-4, -0x1.a2ec4721d1fdp-5}, 
        {0x1.fc70fb2a58434p+1, 0x1.ff2fb81403173p+1, 0x1.e7e71b12e71eap-7, -0x1.f2a41cfc1d771p-5, 0x1.62609873daee9p-4, -0x1.981b4b0ce5235p-5}, 
        {0x1.ff2fb81403173p+1, 0x1.00f73a7ed6f5ap+2, 0x1.be6a57fc5a1cfp-7, -0x1.d4cdf0da31bf6p-5, 0x1.553fc072cdff4p-4, -0x1.8d3e2ffc84e48p-5}, 
        {0x1.00f73a7ed6f5ap+2, 0x1.025698f3ac5fap+2, 0x1.97708dde59cffp-7, -0x1.b8143c626e68p-5, 0x1.48785f6f44df9p-4, -0x1.83503e491a545p-5}, 
        {0x1.025698f3ac5fap+2, 0x1.03b5f76881c9ap+2, 0x1.72e1a782eee5ep-7, -0x1.9c6fa75c7bfddp-5, 0x1.3c02c3dd82cdcp-4, -0x1.79d8dcd0b02acp-5}, 
        {0x1.03b5f76881c9ap+2, 0x1.051555dd5733ap+2, 0x1.50a62af77a756p-7, -0x1.81d957eb43562p-5, 0x1.2fdb1d5887fd1p-4, -0x1.70f52b251c244p-5}, 
        {0x1.051555dd5733ap+2, 0x1.0674b4522c9d9p+2, 0x1.30a730da3329ep-7, -0x1.684ad23d52624p-5, 0x1.23fcaba5259bfp-4, -0x1.68b3e5a190311p-5}, 
        {0x1.0674b4522c9d9p+2, 0x1.07d412c702079p+2, 0x1.12ce5b8c258f4p-7, -0x1.4fbe080ad073dp-5, 0x1.1862352e074ddp-4, -0x1.60f00280b94bcp-5}, 
        {0x1.07d412c702079p+2, 0x1.0933713bd7719p+2, 0x1.ee0b9bbe86becp-8, -0x1.382d50b4cce2ap-5, 0x1.0d07b16238f41p-4, -0x1.59b5bb53e530bp-5}, 
        {0x1.0933713bd7719p+2, 0x1.0a92cfb0acdb9p+2, 0x1.ba7045fb9e59cp-8, -0x1.2193608181a01p-5, 0x1.01e8b30420ca6p-4, -0x1.52ff947d19503p-5}, 
        {0x1.0a92cfb0acdb9p+2, 0x1.0bf22e2582459p+2, 0x1.8aa0cc8293dd6p-8, -0x1.0beb4afdf820ep-5, 0x1.ee01f3fa740d7p-5, -0x1.4cc1ffe21381bp-5}, 
        {0x1.0bf22e2582459p+2, 0x1.0d518c9a57af9p+2, 0x1.5e741680b4963p-8, -0x1.ee60f9f2c2755p-6, 0x1.d8994abf3132ap-5, -0x1.4701eae7ada1bp-5}, 
        {0x1.0d518c9a57af9p+2, 0x1.0eb0eb0f2d199p+2, 0x1.35c1ccab4c44p-8, -0x1.c6bd745b88ce5p-6, 0x1.c38f5752f093cp-5, -0x1.41b0cd2d2c688p-5}, 
        {0x1.0eb0eb0f2d199p+2, 0x1.1010498402839p+2, 0x1.10624a6e546ebp-8, -0x1.a0e433b6dcb44p-6, 0x1.aedcf60e59cacp-5, -0x1.3cd2f3e1ef26dp-5}, 
        {0x1.1010498402839p+2, 0x1.116fa7f8d7ed9p+2, 0x1.dc5d20300df23p-9, -0x1.7cce0657916dp-6, 0x1.9a7abc71195dep-5, -0x1.385b112747303p-5}, 
        {0x1.116fa7f8d7ed9p+2, 0x1.12cf066dad579p+2, 0x1.9e006a76d4e83p-9, -0x1.5a745406923f2p-6, 0x1.86621b1af79fp-5, -0x1.344b48a6eef42p-5}, 
        {0x1.12cf066dad579p+2, 0x1.142e64e282c19p+2, 0x1.6562b80985e09p-9, -0x1.39d1161fb8361p-6, 0x1.728c5f6f7f756p-5, -0x1.309b97c9bc728p-5}, 
        {0x1.142e64e282c19p+2, 0x1.158dc357582b9p+2, 0x1.3239499ff69dep-9, -0x1.1aded36c0df2fp-6, 0x1.5ef35ac0522f9p-5, -0x1.2d47e06fde525p-5}, 
        {0x1.158dc357582b9p+2, 0x1.16ed21cc2d959p+2, 0x1.043a44ddf5252p-9, -0x1.fb312f21010bap-7, 0x1.4b912230efe5cp-5, -0x1.2a4ad97785532p-5}, 
        {0x1.16ed21cc2d959p+2, 0x1.184c804102ff9p+2, 0x1.b6393c279eb89p-10, -0x1.c3f3d8d28f07ap-7, 0x1.386021f380258p-5, -0x1.27a2219c89c8ap-5}, 
        {0x1.184c804102ff9p+2, 0x1.19abdeb5d8699p+2, 0x1.6d300639744fcp-10, -0x1.8ffda93f233eep-7, 0x1.255aed6d09766p-5, -0x1.254523c0926cap-5}, 
        {0x1.19abdeb5d8699p+2, 0x1.1b0b3d2aadd39p+2, 0x1.2cc98e5e3a0d9p-10, -0x1.5f4787d5ecdfep-7, 0x1.127ca55e09c2dp-5, -0x1.233286a242c15p-5}, 
        {0x1.1b0b3d2aadd39p+2, 0x1.1c6a9b9f833d9p+2, 0x1.e8ef40d9f6e47p-11, -0x1.31cb301ad51a5p-7, 0x1.ff81017afe0c2p-6, -0x1.216447f67970dp-5}, 
        {0x1.1c6a9b9f833d9p+2, 0x1.1dc9fa1458a79p+2, 0x1.875a13f084c9bp-11, -0x1.078327414024fp-7, 0x1.da4432f57cbf2p-6, -0x1.1fd562a8661f4p-5}, 
        {0x1.1dc9fa1458a79p+2, 0x1.1f2958892e119p+2, 0x1.33baf22889906p-11, -0x1.c0d5592ddf0c4p-8, 0x1.b53ab865e2885p-6, -0x1.1e8185d3c377ap-5}, 
        {0x1.1f2958892e119p+2, 0x1.2088b6fe037b9p+2, 0x1.d9f57647f6fb4p-12, -0x1.78fb58a67b486p-8, 0x1.905cf93291fd2p-6, -0x1.1d64d3361d99cp-5}, 
        {0x1.2088b6fe037b9p+2, 0x1.21e81572d8e59p+2, 0x1.6407315cf27f2p-12, -0x1.3771680dcc823p-8, 0x1.6ba3dc2de96fcp-6, -0x1.1c75bd617505cp-5}, 
        {0x1.21e81572d8e59p+2, 0x1.234773f26b17p+2, 0x1.03819456886c2p-12, -0x1.f8637e971b43ap-9, 0x1.470982d4c9cccp-6, -0x1.1bbc076339729p-5}, 
        {0x1.234773f26b17p+2, 0x1.24a6d2674081p+2, 0x1.6c79d20e1209dp-13, -0x1.8e6f58f10d5c3p-9, 0x1.22870dd7481f4p-6, -0x1.1b2789aacc212p-5}, 
        {0x1.24a6d2674081p+2, 0x1.260630dc15ebp+2, 0x1.e84bb579d21dfp-14, -0x1.30ff04e02df0ap-9, 0x1.fc2f6ac69ed94p-7, -0x1.1a8dabc9a2681p-5}, 
        {0x1.260630dc15ebp+2, 0x1.27658f50eb55p+2, 0x1.337a16dbfc509p-14, -0x1.c017a457727e2p-10, 0x1.b37852de31449p-7, -0x1.1ad7a355f13aep-5}, 
        {0x1.27658f50eb55p+2, 0x1.28c4edc5c0befp+2, 0x1.63dbc092971e6p-15, -0x1.3727fa89b767ep-10, 0x1.6aae31e4024c1p-7, -0x1.18472fd96529dp-5}, 
        {0x1.28c4edc5c0befp+2, 0x1.2a244c3a9628fp+2, 0x1.6c630b827d7e8p-16, -0x1.8e2aa8e93f23fp-11, 0x1.228d010467f7ap-7, -0x1.20d85f4e05fdep-5}, 
        {0x1.2a244c3a9628fp+2, 0x1.2b83aaaf6b92fp+2, 0x1.3371fb6d3a18cp-17, -0x1.c08e2fe948468p-12, 0x1.b06ecace220e3p-8, -0x1.003cebf934062p-5}, 
        {0x1.2b83aaaf6b92fp+2, 0x1.2ce3092440fcfp+2, 0x1.6c6032b59ddcbp-19, -0x1.8a1735ec7a949p-13, 0x1.2c8c03bc2db9bp-8, -0x1.799562d79ca9p-5}, 
        {0x1.2ce3092440fcfp+2, 0x1.2e425aee631f9p+2, 0x1.6c5fd7997963cp-22, -0x1.cbcd382467de8p-15, 0x1.a8d1596524d06p-10, 0x1.279f6bfcffd05p-3}, 
      }}, 
      -0x1.3a65321da634bp+3, 0x1.4896f1ff1a85dp+7
    }
  };
  // clang-format on
}
SkfData params_hyb_0_2_c_ga() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.110e6745c88cbp+0, 0x1.08c6126c1654ap+0, 0x1.ff4a9d7f4554p-1, 0x1.eba43986ef5acp-1, 0x1.d6dd6b6cf34ecp-1, 0x1.c13525d8143e7p-1, 0x1.aae4d850e9c93p-1, 0x1.941eeeb5a4d74p-1, 0x1.7d0f77091250fp-1, 0x1.65ddeb315f9e2p-1, 0x1.4ead894e6ab8dp-1, 0x1.379d048c6234ep-1, 0x1.20c6fbd4d8ec3p-1, 0x1.0a42b358f39cap-1, 0x1.e8488af5ef0c6p-2, 0x1.bcf93296107ecp-2, 0x1.92b358eb9ea0bp-2, 0x1.698e507895d36p-2, 0x1.419dbfe9bc576p-2, 0x1.1af1f497cc7e2p-2, 0x1.eb2f6646ad023p-3, 0x1.a3305f5818e75p-3, 0x1.5df0898b59499p-3, 0x1.1b795e7c2683cp-3, 0x1.b79cec72ca84cp-4, 0x1.3ddf4dfbdc36cp-4, 0x1.9365c3d40a5b7p-5, 0x1.6c2adfc8e5f41p-6, -0x1.c56ab5c1eda86p-9, -0x1.c81799c7bf548p-6, -0x1.a13ecabf3fcd4p-5, -0x1.2a1571d1fe68ap-4, -0x1.7e885f4489ecfp-4, -0x1.ce1ac56a9fc4p-4, -0x1.0c788adc570fp-3, -0x1.2f989730dc6acp-3, -0x1.5080f744af531p-3, -0x1.6f456d18dd4cep-3, -0x1.8bf9ecd7c4e72p-3, -0x1.a6b28871ed309p-3, -0x1.bf835e4e41536p-3, -0x1.d68082937e4e5p-3, -0x1.ebbde18379ef3p-3, -0x1.ff4f20a5ec95fp-3, -0x1.08a3c33ee9f4ap-2, -0x1.10dcf660e261ep-2, -0x1.185c5db27738bp-2, -0x1.1f2af3ae1a913p-2, -0x1.255178355f978p-2, -0x1.2ad86e01e2702p-2, -0x1.2fc8170ac9d4ap-2, -0x1.342870e6ce16ep-2, -0x1.380131ff42553p-2, -0x1.3b59c7d40588p-2, -0x1.3e395618e764dp-2, -0x1.40a6b659cb222p-2, -0x1.42a87804500cap-2, -0x1.4444e0f98b846p-2, -0x1.4581eee815f58p-2, -0x1.4665599130e22p-2, -0x1.46f495d572137p-2, -0x1.4734d91fb4a1cp-2, -0x1.472b1ca5d8d39p-2, -0x1.46916a9016d8bp-2, -0x1.4601623f0badp-2, -0x1.45358efb555d2p-2, -0x1.44320dc9b43f3p-2, -0x1.42fac33647043p-2, -0x1.41935cbc697a8p-2, -0x1.3fff52a83429fp-2, -0x1.3e41ea634ef95p-2, -0x1.3c5e390e041ddp-2, -0x1.3a57263bbe7e6p-2, -0x1.382f6ea8c3b38p-2, -0x1.35e9a6c58ab92p-2, -0x1.33883d0095478p-2, -0x1.310d7bc6d3fffp-2, -0x1.2e7b8b40e85b7p-2, -0x1.2bd472ddf5ee7p-2, -0x1.291a1ac1f6659p-2, -0x1.264e4d2d4051dp-2, -0x1.2372b7ee997a8p-2, -0x1.2088edea0edcep-2, -0x1.1d9268b7018d1p-2, -0x1.1a908a509c897p-2, -0x1.17849ece6bb62p-2, -0x1.146fde1782dc7p-2, -0x1.11536d81c5e39p-2, -0x1.0e3061501c274p-2, -0x1.0b07be054fefdp-2, -0x1.07da798559267p-2, -0x1.04a97c03538e4p-2, -0x1.0175a0be93aa7p-2, -0x1.fc7f6d29f5544p-3, -0x1.f61100e63d3b3p-3, -0x1.efa16b58aa426p-3, -0x1.e93204898087dp-3, -0x1.e2c40e6d58298p-3, -0x1.dc58b575cafb3p-3, -0x1.d5f11132e95d7p-3, -0x1.cf8e250bcc36bp-3, -0x1.c930e10ffd9ebp-3, -0x1.c2da22dfc1f99p-3, -0x1.bc8ab6a672f12p-3, -0x1.b64358209c739p-3, -0x1.b004b3a71b499p-3, -0x1.a9cf6738f8db8p-3, -0x1.a3a4037f1425cp-3, -0x1.9d830cc62e687p-3, -0x1.976cfbed73648p-3, -0x1.91623f48ef86bp-3, -0x1.8b633b781e3acp-3, -0x1.85704c310ff02p-3, -0x1.7f89c5008cf9dp-3, -0x1.79aff1ff28f71p-3, -0x1.73e3187ac73b1p-3, -0x1.6e23779393c08p-3, -0x1.687148cb548b7p-3, -0x1.62ccc085e5c5fp-3, -0x1.5d360e7a1808fp-3, -0x1.57ad5e1299bddp-3, -0x1.5232d6bf45503p-3, -0x1.4cc69c37c7d76p-3, -0x1.4768ceb11990fp-3, -0x1.42198b07c1f3fp-3, -0x1.3cd8eae10c3c3p-3, -0x1.37a704c553108p-3, -0x1.3283ec3586624p-3, -0x1.2d6fb1bda7b9cp-3, -0x1.286a6305d512cp-3, -0x1.23740ae2f75d5p-3, -0x1.1e8cb167f4efcp-3, -0x1.19b45bf7f3c4dp-3, -0x1.14eb0d59fff84p-3, -0x1.1030c5ce419abp-3, -0x1.0b858324d4562p-3, -0x1.06e940d641c43p-3, -0x1.025bf81d84f3dp-3, -0x1.fbbb402721ecp-4, -0x1.f2dc5b9865b96p-4, -0x1.ea1b28e848243p-4, -0x1.e1778ae051ef5p-4, -0x1.d8f160f9c970bp-4, -0x1.d088879e62176p-4, -0x1.c83cd8691d344p-4, -0x1.c00e2a66a50ebp-4, -0x1.b7fc52546b513p-4, -0x1.b0092946c0098p-4, -0x1.a82fceafe3aecp-4, -0x1.a072b9b222e53p-4, -0x1.98d1bc066726dp-4, -0x1.914ca5e8e7ae6p-4, -0x1.89e3462cd4e05p-4, -0x1.82956a4ecd8e1p-4, -0x1.7b62de866af2bp-4, -0x1.744b6dd72cc6bp-4, -0x1.6d4ee220ffa46p-4, -0x1.666d043092b1bp-4, -0x1.5fa59bcf98e17p-4, -0x1.58f86fd50fa9p-4, -0x1.5265463590171p-4, -0x1.4bebe413a8e3p-4, -0x1.458c0dd032ae5p-4, -0x1.3f45871a8a69dp-4, -0x1.3918130098b5ep-4, -0x1.330373fe89bf2p-4, -0x1.2d076c0e18bc9p-4, -0x1.2723bcb553cabp-4, -0x1.21582714befc7p-4, -0x1.1ba46bf4c2655p-4, -0x1.16084bd254841p-4, -0x1.108386ead3811p-4, -0x1.0b15dd4708dbbp-4, -0x1.05bf0ec5572bp-4, -0x1.007edb231301cp-4, -0x1.f6aa040a20344p-5, -0x1.ec8285feda565p-5, -0x1.e286bb3952457p-5, -0x1.d8b622c828d44p-5, -0x1.cf103bbf57814p-5, -0x1.c5948542e4f9dp-5, -0x1.bc427e90b2198p-5, -0x1.b319a7098dd77p-5, -0x1.aa197e39b1351p-5, -0x1.a14183e0c2236p-5, -0x1.989137f98251bp-5, -0x1.90081ac1460a7p-5, -0x1.87a5acbf4c19dp-5, -0x1.7f696ecc0c34ap-5, -0x1.7752e2189317dp-5, -0x1.6f618835f14dap-5, -0x1.6794e31ccf98bp-5, -0x1.5fec753525264p-5, -0x1.5867c15e19baap-5, -0x1.51064af606d4ep-5, -0x1.49c795e29d0f7p-5, -0x1.42ab26991cdaap-5, -0x1.3bb082269be21p-5, -0x1.34d72e384ce84p-5, -0x1.2e1eb123b8dbap-5, -0x1.278691eee1663p-5, -0x1.210e58583d7e6p-5, -0x1.1ab58cde8400cp-5, -0x1.147bb8c83c3cap-5, -0x1.0e60662b0551p-5, -0x1.08631ff2945b1p-5, -0x1.028371e759fa4p-5, -0x1.f981d169a341fp-6, -0x1.ee3623dee0fap-6, -0x1.e322f83470639p-6, -0x1.d8476d57cbffcp-6, -0x1.cda2a4278b7bp-6, -0x1.c333bf7c4111ep-6, -0x1.b8f9e430a4ecap-6, -0x1.aef4392906b56p-6, -0x1.a521e75a12127p-6, -0x1.9b8219cee8d6p-6, -0x1.9213fdae9d711p-6, -0x1.88d6c241107a6p-6, -0x1.7fc998f3422cap-6, -0x1.76ebb55b19443p-6, -0x1.6e3c4d3aa0a4ep-6, -0x1.65ba9882da0ap-6, -0x1.5d65d15610a3ep-6, -0x1.553d3409cb4dbp-6, -0x1.4d3fff285ad73p-6, -0x1.456d737207e66p-6, -0x1.3dc4d3ddf4d9bp-6, -0x1.3645659aabed2p-6, -0x1.2eee700e6700ep-6, -0x1.27bf3cd717571p-6, -0x1.20b717ca3180cp-6, -0x1.19d54ef43e2fap-6, -0x1.131932983910dp-6, -0x1.0c82152ec83fbp-6, -0x1.060f4b6539512p-6, -0x1.ff805838cb7adp-7, -0x1.f32820cecaa7fp-7, -0x1.e714a71444d9ep-7, -0x1.db44a5ef9a0fcp-7, -0x1.cfb6dca252a68p-7, -0x1.c46a0ec57fe2cp-7, -0x1.b95d0445e2c75p-7, -0x1.ae8e895fd22eap-7, -0x1.a3fd6e9ae0266p-7, -0x1.99a888c54e095p-7, -0x1.8f8eb0ef3e74p-7, -0x1.85aec465a67b4p-7, -0x1.7c07a4ad0c397p-7, -0x1.7298377c01ccfp-7, -0x1.695f66b56c449p-7, -0x1.605c206282c5p-7, -0x1.578d56ac9c6c6p-7, -0x1.4ef1ffd6baa7cp-7, -0x1.46891636db197p-7, -0x1.3e51982f13dfcp-7, -0x1.364a88266a7a5p-7, -0x1.2e72ec817bd13p-7, -0x1.26c9cf9ae7ffcp-7, -0x1.1f4e3fbb88c92p-7, -0x1.17ff4f1273453p-7, -0x1.10dc13acc59f6p-7, -0x1.09e3a76d446b5p-7, -0x1.03152803c7d7fp-7, -0x1.f8df6dc8f6019p-8, -0x1.ebe4f27de2563p-8, -0x1.df392fea1f9b6p-8, -0x1.d2da7f23a5331p-8, -0x1.c6c7407fd58c6p-8, -0x1.bafddb80765f6p-8, -0x1.af7cbec06993p-8, -0x1.a4425fe027ee6p-8, -0x1.994d3b7208483p-8, -0x1.8e9bd4e6513a4p-8, -0x1.842cb6771d3c8p-8, -0x1.79fe7114179f6p-8, -0x1.700f9c4e11d67p-8, -0x1.665ed6427c556p-8, -0x1.5ceac386bf559p-8, -0x1.53b20f1381512p-8, -0x1.4ab36a2fd548p-8, -0x1.41ed8c5c604b8p-8, -0x1.395f333e6ddefp-8, -0x1.3107228b040f6p-8, -0x1.28e423f1ef1a1p-8, -0x1.20f50708d26bdp-8, -0x1.1938a1363b512p-8, -0x1.11adcd9cbca78p-8, -0x1.0a536d061661cp-8, -0x1.032865ce69265p-8, -0x1.f857479efc648p-9, -0x1.eab8309841eeap-9, -0x1.dd7173b7214e9p-9, -0x1.d08108aa13e86p-9, -0x1.c3e4f176dcbcbp-9, -0x1.b79b3a520e30fp-9, -0x1.aba1f976d1b43p-9, -0x1.9ff74efef1d21p-9, -0x1.949964bb2ce48p-9, -0x1.89866e0bceb3dp-9, -0x1.7ebca7b99bb77p-9, -0x1.743a57cf05863p-9, -0x1.69fdcd71b8c81p-9, -0x1.600560bc7a88bp-9, -0x1.564f72995e7c3p-9, -0x1.4cda6c9c53f52p-9, -0x1.43a4c0de0f2e2p-9, -0x1.3aace9d74b852p-9, -0x1.31f16a3c6e8a9p-9, -0x1.2970ccd984933p-9, -0x1.2129a46e9ead3p-9, -0x1.191a8b8c93aa6p-9, -0x1.114224721d7c8p-9, -0x1.099f18e95ac69p-9, -0x1.022fe86e25f23p-9, -0x1.f5e76e5150154p-10, -0x1.e7d214f739df5p-10, -0x1.da1d52127c152p-10, -0x1.ccc6c0b267413p-10, -0x1.bfcc0970be97bp-10, -0x1.b32ae2321d32cp-10, -0x1.a6e10de728389p-10, -0x1.9aec5c4e7f48dp-10, -0x1.8f4aa9b78515cp-10, -0x1.83f9dec5e644ep-10, -0x1.78f7f035f1b9dp-10, -0x1.6e42dea1b70a1p-10, -0x1.63d8b646f0baap-10, -0x1.59b78ecdb1453p-10, -0x1.4fdd8b0fe6091p-10, -0x1.4648d8e192e22p-10, -0x1.3cf7b0d9e3ab7p-10, -0x1.33e8561cf8a7fp-10, -0x1.2b1916268215ep-10, -0x1.228848951faap-10, -0x1.1a344ef67d31ap-10, -0x1.121b949444004p-10, -0x1.0a3c8e41be415p-10, -0x1.0295ba2a42ed2p-10, -0x1.f64b3f40d2f27p-11, -0x1.e7d59ddbe4b65p-11, -0x1.d9c7c248ee8d8p-11, -0x1.cc1eefdda97f6p-11, -0x1.bed87ac6a41c6p-11, -0x1.b1f1c7ad0b5c4p-11, -0x1.a5684b5de4c6dp-11, -0x1.99398a72bc62ep-11, -0x1.8d6318fbc1e9dp-11, -0x1.81e29a2b53ac5p-11, -0x1.76b5c002f3c7ep-11, -0x1.6bda4b01a27e9p-11, -0x1.614e09d3a02cp-11, -0x1.570ed903916f4p-11, -0x1.4d1aa2acfd6f3p-11, -0x1.436f5e302de02p-11, -0x1.3a0b0fe764dd2p-11, -0x1.30ebc8dd67e62p-11, -0x1.280fa68560eb6p-11, -0x1.1f74d27409aefp-11, -0x1.1719821a29d23p-11, -0x1.0efbf680583f4p-11, -0x1.071a7c0404a86p-11, -0x1.fee6d42b8686cp-12, -0x1.f00a45f1ae4aep-12, -0x1.e19c2707ee66ep-12, -0x1.d39965c695e31p-12, -0x1.c5ff04b737a3ap-12, -0x1.b8ca1a1d6c8fep-12, -0x1.abf7cf81eef39p-12, -0x1.9f85614005337p-12, -0x1.93701e1538ad6p-12, -0x1.87b566b34edafp-12, -0x1.7c52ad5479026p-12, -0x1.71457551b6da1p-12, -0x1.668b52bb63911p-12, -0x1.5c21e9f3dd78fp-12, -0x1.5206ef4c55d39p-12, -0x1.483826a39e7p-12, -0x1.3eb3630707195p-12, -0x1.357686553e3c4p-12, -0x1.2c7f80e32164fp-12, -0x1.23cc51227e7c2p-12, -0x1.1b5b034ab75a6p-12, -0x1.1329b10346571p-12, -0x1.0b3681101483cp-12, -0x1.037fa6ff981e1p-12, -0x1.f806c5b573be9p-13, -0x1.e98001acdf2fcp-13, -0x1.db67b20e1f653p-13, -0x1.cdba9e2a8364bp-13, -0x1.c075a3e936dbep-13, -0x1.b395b7379e3c9p-13, -0x1.a717e17cd562fp-13, -0x1.9af941104343fp-13, -0x1.8f3708b32884ep-13, -0x1.83ce7f0d272ep-13, -0x1.78bcfe2b9bd7ep-13, -0x1.6dfff303e0a4p-13, -0x1.6394dcf844dd1p-13, -0x1.59794d5fbea6p-13, -0x1.4faae710484e7p-13, -0x1.46275debdbc9dp-13, -0x1.3cec766feda97p-13, -0x1.33f805478552ep-13, -0x1.2b47eedfb27e9p-13, -0x1.22da26fe7684p-13, -0x1.1aacb05c0e88ep-13, -0x1.12bd9c3e8f432p-13, -0x1.0b0b0a17c865dp-13, -0x1.0393272565d01p-13, -0x1.f8a85c268590cp-14, -0x1.ea98cd3fe224ep-14, -0x1.dcf44a86aa7c2p-14, -0x1.cfb795aeb5c85p-14, -0x1.c2df88857e083p-14, -0x1.b669144bb05fep-14, -0x1.aa514112a8d7dp-14, -0x1.9e952d1de8488p-14, -0x1.93320c485682cp-14, -0x1.8825276d49ae3p-14, -0x1.7d6bdbd535aefp-14, -0x1.73039aa5fff82p-14, -0x1.68e9e856eb2f2p-14, -0x1.5f1c5c28010afp-14, -0x1.55989f9ccf056p-14, -0x1.4c5c6dfab8292p-14, -0x1.436593ca614fap-14, -0x1.3ab1ee5c68432p-14, -0x1.323f6b5166ac6p-14, -0x1.2a0c0824d1d3dp-14, -0x1.2215d1bb329c4p-14, -0x1.1a5ae3f316a54p-14, -0x1.12d9693913662p-14, -0x1.0b8f9a1e8ff36p-14, -0x1.047bbcf36d932p-14, -0x1.fb384ac49bd38p-15, -0x1.edde681f4c9bcp-15, -0x1.e0e6ac768a94ap-15, -0x1.d44e0ac91b5c9p-15, -0x1.c8118de2163b2p-15, -0x1.bc2e57aaf0893p-15, -0x1.b0a1a08261d92p-15, -0x1.a568b697bafe5p-15, -0x1.9a80fd4acd21fp-15, -0x1.8fe7ec9026e3ep-15, -0x1.859b10598b115p-15, -0x1.7b9808029b2d8p-15, -0x1.71dc85c188c2bp-15, -0x1.68664e1ba1e3dp-15, -0x1.5f33375dabe61p-15, -0x1.5641291818eeap-15, -0x1.4d8e1b9eb316ep-15, -0x1.4518178bdbc6dp-15, -0x1.3cdd354734665p-15, -0x1.34db9c8f9674p-15, -0x1.2d1184082f0d1p-15, -0x1.257d30c9098f8p-15, -0x1.1e1cf5f250df5p-15, -0x1.16ef3442a3899p-15, -0x1.0ff259b06dcdep-15, -0x1.0924e105d69f3p-15, -0x1.0285517f921ddp-15, -0x1.f8247cdc8d585p-16, -0x1.eb948db519191p-16, -0x1.df582a56b5fb4p-16, -0x1.d36cbd9dd35d7p-16, -0x1.c7cfc7cc2c136p-16, -0x1.bc7edde3bd96dp-16, -0x1.b177a90619f3fp-16, -0x1.a6b7e5d8c389cp-16, -0x1.9c3d63ed0425cp-16, -0x1.9206052c1bf7dp-16, -0x1.880fbd47902b8p-16, -0x1.7e58912d3c31dp-16, -0x1.74de967f146ffp-16, -0x1.6b9ff30eac576p-16, -0x1.629adc5c625b5p-16, -0x1.59cd9719933dcp-16, -0x1.513676aefab16p-16, -0x1.48d3dcc5a0d3cp-16, -0x1.40a438d33eae7p-16, -0x1.38a607aa111a4p-16, -0x1.30d7d30b3e3d4p-16, -0x1.2938313c925c5p-16, -0x1.21c5c4a0f4bf8p-16, -0x1.1a7f3b53e6cffp-16, -0x1.13634ec786ae8p-16, -0x1.0c70c365d20f1p-16, -0x1.05a66833e0c1ap-16, -0x1.fe062cf1042dap-17, -0x1.f10b62c9d4e3ep-17, -0x1.e45a4b8006a31p-17, -0x1.d7f0d32933371p-17, -0x1.cbccf7c2fffc7p-17, -0x1.bfecc898d88cfp-17, -0x1.b44e65ae63fd3p-17, -0x1.a8efff2e42d2p-17, -0x1.9dcfd4de4cf72p-17, -0x1.92ec35971ac89p-17, -0x1.88437ec13acacp-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.7fbaeb521b33bp+0, 0x1.83a09b3be28e7p+0, 0x1.867b8637ca8f6p+0, 0x1.885f96140f199p+0, 0x1.896003be2c3f8p+0, 0x1.898f36b1adf73p+0, 0x1.88febad0155b1p+0, 0x1.87bf40e32e71bp+0, 0x1.85e096276eedap+0, 0x1.8371996ad477dp+0, 0x1.80803e5f8876ap+0, 0x1.7d1998f73ba99p+0, 0x1.7949e61d3fd3cp+0, 0x1.751c906f42311p+0, 0x1.709c348cf5aa6p+0, 0x1.6bd2ac13d69d8p+0, 0x1.66c91bfa0c7fbp+0, 0x1.6187fd4418229p+0, 0x1.5c17235d5e473p+0, 0x1.567dc6131f998p+0, 0x1.50c28ba0bb4ccp+0, 0x1.4aeb8c41affabp+0, 0x1.44fe68ac6d11bp+0, 0x1.3f0043e84677fp+0, 0x1.38f5d1b46482ap+0, 0x1.32e35ce5770cfp+0, 0x1.2cccce44a8298p+0, 0x1.26b5b31cceb97p+0, 0x1.20a1439c5da1ap+0, 0x1.1a9268e20e655p+0, 0x1.148bc28b43e9cp+0, 0x1.0e8fabe50ef0dp+0, 0x1.08a040edc15f8p+0, 0x1.02bf6319ac08ap+0, 0x1.f9dd7b6c4abcp-1, 0x1.ee5f93e207a5bp-1, 0x1.e307a557d13f2p-1, 0x1.d7d7f0568423fp-1, 0x1.ccd2671836ad2p-1, 0x1.c1f8b3d8991ffp-1, 0x1.b74c3e9ced285p-1, 0x1.acce32a93636dp-1, 0x1.a27f83bf81ae4p-1, 0x1.9860f31813c61p-1, 0x1.8e7313f07a7e6p-1, 0x1.84b64fa50c212p-1, 0x1.7b2ae968c48b3p-1, 0x1.71d101bdd1755p-1, 0x1.68a899c70cebbp-1, 0x1.5fb1967558386p-1, 0x1.56ebc3842079cp-1, 0x1.4e56d6365ec3ep-1, 0x1.45f26fce25d09p-1, 0x1.3dbe1fc40c04cp-1, 0x1.35b965ca89cbep-1, 0x1.2de3b3a9bf1dbp-1, 0x1.263c6efbef4a5p-1, 0x1.1ec2f2cdd29eap-1, 0x1.1776912218ba9p-1, 0x1.10569455f6f17p-1, 0x1.096240650d8a3p-1, 0x1.0298d40c8acd6p-1, 0x1.f7f3139efd3d5p-2, 0x1.eb01a7c41fb9ap-2, 0x1.de672c0a3d01ep-2, 0x1.d21c3c2609acbp-2, 0x1.c61f3a53e269fp-2, 0x1.ba6e87b5340b5p-2, 0x1.af088573d2783p-2, 0x1.a3eb95c71858bp-2, 0x1.99161cdbf4d15p-2, 0x1.8e8681a12ef75p-2, 0x1.843b2e79c3a71p-2, 0x1.7a3291d7cd61ep-2, 0x1.706b1ec2bab95p-2, 0x1.66e34d4b85c61p-2, 0x1.5d999af1433e3p-2, 0x1.548c8af7f38b4p-2, 0x1.4bbaa6b2fe157p-2, 0x1.43227dc46c456p-2, 0x1.3ac2a651b5987p-2, 0x1.3299bd2ecbcfbp-2, 0x1.2aa6660000b93p-2, 0x1.22e74b536e754p-2, 0x1.1b5b1eb2824efp-2, 0x1.140098ac5d982p-2, 0x1.0cd678d9b8802p-2, 0x1.05db85daebd1fp-2, 0x1.fe1d1aa1a30bdp-3, 0x1.f0dcc7a21e198p-3, 0x1.e3f3c9acefd98p-3, 0x1.d75fe55c48c6cp-3, 0x1.cb1eecc3cf20fp-3, 0x1.bf2ebf4173a5dp-3, 0x1.b38d494b57fbdp-3, 0x1.a838843b9e4f4p-3, 0x1.9d2e761ad5931p-3, 0x1.926d316966abp-3, 0x1.87f2d4e849bf7p-3, 0x1.7dbd8b6118d6ep-3, 0x1.73cb8b6d922dbp-3, 0x1.6a1b173e8eb2ap-3, 0x1.60aa7c6276544p-3, 0x1.5778138b3aec3p-3, 0x1.4e824053feb83p-3, 0x1.45c771065af35p-3, 0x1.3d461e5f6c612p-3, 0x1.34fccb54b21b2p-3, 0x1.2cea04d8c226p-3, 0x1.250c619fef126p-3, 0x1.1d6281e4ef609p-3, 0x1.15eb0f2d967b3p-3, 0x1.0ea4bc0fc43b9p-3, 0x1.078e43f6a0f43p-3, 0x1.00a66ae84f59ep-3, 0x1.f3d7fa9852ce2p-4, 0x1.e6bb9f638650dp-4, 0x1.d9f57d316a6bbp-4, 0x1.cd835c72efb18p-4, 0x1.c163149e8a66cp-4, 0x1.b5928bc671e44p-4, 0x1.aa0fb6317570ep-4, 0x1.9ed895f676681p-4, 0x1.93eb3a9aae60fp-4, 0x1.8945c0b2ae82ap-4, 0x1.7ee651862f128p-4, 0x1.74cb22b68502ep-4, 0x1.6af275e7b7p-4, 0x1.615a986c1521ep-4, 0x1.5801e2f23df8ap-4, 0x1.4ee6b93579081p-4, 0x1.460789b05464ap-4, 0x1.3d62cd517842p-4, 0x1.34f70732a2e67p-4, 0x1.2cc2c451c274dp-4, 0x1.24c49b4c21ff7p-4, 0x1.1cfb2c1b9f83p-4, 0x1.15651fd5da6bbp-4, 0x1.0e01286d4aa45p-4, 0x1.06ce00742ec34p-4, 0x1.ff94d5c26d8adp-5, 0x1.f1ea65abb8c6ap-5, 0x1.e49a56cc995a3p-5, 0x1.d7a25ec5a7991p-5, 0x1.cb0042456d0ap-5, 0x1.beb1d4a0ddc62p-5, 0x1.b2b4f76e7832cp-5, 0x1.a7076bd78b00fp-5, 0x1.9ba7877ac3e9p-5, 0x1.90932b49ee1f1p-5, 0x1.85c86e22487e7p-5, 0x1.7b457349f1f5cp-5, 0x1.71086a1b3295bp-5, 0x1.670f8db246628p-5, 0x1.5d59249d8f863p-5, 0x1.53e380901bd3cp-5, 0x1.4aacfe166cb91p-5, 0x1.41b4044d67962p-5, 0x1.38f7049b600bep-5, 0x1.30747a6b2781p-5, 0x1.282aeae9147ep-5, 0x1.2018e4c1ee2c4p-5, 0x1.183cffe3b0b59p-5, 0x1.1095dd4016d0ep-5, 0x1.09222690e1cbfp-5, 0x1.01e08e1dcaf66p-5, 0x1.f59f9d083300fp-6, 0x1.e7dd54ff90cc1p-6, 0x1.da77d96c6cd38p-6, 0x1.cd6ccf04a2004p-6, 0x1.c0b9e9845d1b4p-6, 0x1.b45ceb4c2128fp-6, 0x1.a853a5017874bp-6, 0x1.9c9bf5324cab6p-6, 0x1.9133c7fac70e9p-6, 0x1.861916ada50c8p-6, 0x1.7b49e77efb9adp-6, 0x1.70c44d3141ed7p-6, 0x1.668666c4a9297p-6, 0x1.5c8e5f2898f86p-6, 0x1.52da6cef5480ep-6, 0x1.4968d203ad066p-6, 0x1.4037db60b0991p-6, 0x1.3745e0cb4f34ap-6, 0x1.2e91448dde60ep-6, 0x1.2618733570c5fp-6, 0x1.1dd9e350f7268p-6, 0x1.15d4153210b5cp-6, 0x1.0e0592af8fb6fp-6, 0x1.066ceee992bbdp-6, 0x1.fe118c1e62327p-7, 0x1.efaf7a4b58ff1p-7, 0x1.e1b103a23347bp-7, 0x1.d413943ce265bp-7, 0x1.c6d4a89e0840cp-7, 0x1.b9f1cd4a918b2p-7, 0x1.ad689e65da32ep-7, 0x1.a136c7505c086p-7, 0x1.955a0248cb73ep-7, 0x1.89d0180f92bf4p-7, 0x1.7e96df8c99a82p-7, 0x1.73ac3d77441dfp-7, 0x1.690e24009fbacp-7, 0x1.5eba927fb07a7p-7, 0x1.54af951fc8fdfp-7, 0x1.4aeb4490dd755p-7, 0x1.416bc5b9cbfd2p-7, 0x1.382f496c904bcp-7, 0x1.2f340c1c434d4p-7, 0x1.26785594ee8ecp-7, 0x1.1dfa78b51cacbp-7, 0x1.15b8d3291dc2fp-7, 0x1.0db1cd27f477p-7, 0x1.05e3d931e17b6p-7, 0x1.fc9ae7a102e34p-8, 0x1.edda46b0e8081p-8, 0x1.df82ef590355p-8, 0x1.d1921404706ecp-8, 0x1.c404f94fe1e5ap-8, 0x1.b6d8f59877cd9p-8, 0x1.aa0b708d48841p-8, 0x1.9d99e2c38e204p-8, 0x1.9181d54d66416p-8, 0x1.85c0e15313e99p-8, 0x1.7a54afaeb6702p-8, 0x1.6f3af88a61016p-8, 0x1.647183008b59p-8, 0x1.59f624bec4128p-8, 0x1.4fc6c1aa9d86ep-8, 0x1.45e14b88c52b3p-8, 0x1.3c43c1a635adap-8, 0x1.32ec308377feap-8, 0x1.29d8b181e9fb8p-8, 0x1.21076a92f62eep-8, 0x1.18768de9386e5p-8, 0x1.102459ab7eb8dp-8, 0x1.080f17a99b5cfp-8, 0x1.00351d13003c7p-8, 0x1.f129945e2523cp-9, 0x1.e259142e656ecp-9, 0x1.d3f5a4e4d0577p-9, 0x1.c5fc46655aa86p-9, 0x1.b86a0ca795e08p-9, 0x1.ab3c1f3780ddp-9, 0x1.9e6fb8b9522f5p-9, 0x1.92022670382d8p-9, 0x1.85f0c7c7eea7cp-9, 0x1.7a390de126e12p-9, 0x1.6ed87b20a6372p-9, 0x1.63cca2c11274ep-9, 0x1.5913286758afp-9, 0x1.4ea9bfb99dc46p-9, 0x1.448e2bf8ad41bp-9, 0x1.3abe3f9bd924ap-9, 0x1.3137dbef30095p-9, 0x1.27f8f0b410845p-9, 0x1.1eff7bc3f3effp-9, 0x1.164988b57c807p-9, 0x1.0dd53083a3278p-9, 0x1.05a099370426dp-9, 0x1.fb53eb22829f5p-10, 0x1.ebdf0974c916ap-10, 0x1.dcdf23e072352p-10, 0x1.ce50e86f3296ep-10, 0x1.c0311c1f2c5fcp-10, 0x1.b27c9a4cfbacfp-10, 0x1.a53054215301p-10, 0x1.984950021c67bp-10, 0x1.8bc4a9071530bp-10, 0x1.7f9f8e71b617p-10, 0x1.73d7432871f69p-10, 0x1.68691d3521692p-10, 0x1.5d52854696c8p-10, 0x1.5290f63540addp-10, 0x1.4821fc8acc55bp-10, 0x1.3e03360cb5d3cp-10, 0x1.34325149b1e31p-10, 0x1.2aad0d29ea86ep-10, 0x1.21713881eefa5p-10, 0x1.187cb1a854acp-10, 0x1.0fcd660df1a2ap-10, 0x1.076151d8a3e6dp-10, 0x1.fe6cff012beb4p-11, 0x1.ee960edfe6cc8p-11, 0x1.df3a1f49f696dp-11, 0x1.d05596acca1d5p-11, 0x1.c1e4f5342039fp-11, 0x1.b3e4d41bbd4abp-11, 0x1.a651e505919d1p-11, 0x1.9928f154002bep-11, 0x1.8c66d98857787p-11, 0x1.800894a548b54p-11, 0x1.740b2f95567fep-11, 0x1.686bcc951abebp-11, 0x1.5d27a2a14aa17p-11, 0x1.523bfce86b0a1p-11, 0x1.47a63a4012b01p-11, 0x1.3d63cc9db9fdp-11, 0x1.33723892e5bfep-11, 0x1.29cf14ccb137ap-11, 0x1.207809969980fp-11, 0x1.176ad0607505p-11, 0x1.0ea5334782dc5p-11, 0x1.06250ca28b663p-11, 0x1.fbd08d21d87e4p-12, 0x1.ebd9b5191dd41p-12, 0x1.dc61a1fd57fd2p-12, 0x1.cd6481aea752cp-12, 0x1.bede9e4f3ce0fp-12, 0x1.b0cc5d7d16d58p-12, 0x1.a32a3f90ad179p-12, 0x1.95f4dee0d0af8p-12, 0x1.8928ef0b42998p-12, 0x1.7cc33c42226ecp-12, 0x1.70c0bd0712864p-12, 0x1.651e480104642p-12, 0x1.59d9015099126p-12, 0x1.4eee10db70b54p-12, 0x1.445ab3e1ecf8cp-12, 0x1.3a1c3c66bcdf6p-12, 0x1.3030109a7cf24p-12, 0x1.2693aa4b33fc9p-12, 0x1.1d449657a51cp-12, 0x1.1440742647dd3p-12, 0x1.0b84f52005044p-12, 0x1.030fdc2e53929p-12, 0x1.f5bdfa79bb58p-13, 0x1.e5e0797cffbeap-13, 0x1.d6831e6b0bfc5p-13, 0x1.c7a1f17e53268p-13, 0x1.b93919443609p-13, 0x1.ab44d9c05431bp-13, 0x1.9dc19395a3109p-13, 0x1.90abc33559964p-13, 0x1.840000139297ap-13, 0x1.77bafbe142e1cp-13, 0x1.6bd981cbb0ee5p-13, 0x1.605875c100551p-13, 0x1.5534d3b9f9836p-13, 0x1.4a6baf08a36f4p-13, 0x1.3ffa31abc7997p-13, 0x1.35dd9ba714b46p-13, 0x1.2c13425ff3c12p-13, 0x1.22988ffec6ad7p-13, 0x1.196b02d46a9d3p-13, 0x1.10882cc43051cp-13, 0x1.07edb2b1c0ddep-13, 0x1.ff3297e64b32bp-14, 0x1.ef11838d5689ep-14, 0x1.df73dd995f5cap-14, 0x1.d0557d0a27266p-14, 0x1.c1b259a08f821p-14, 0x1.b3868ae80983cp-14, 0x1.a5ce4746979d3p-14, 0x1.9885e313ab5fep-14, 0x1.8ba9cfb5836a6p-14, 0x1.7f369ac4e6328p-14, 0x1.7328ed36ff1fep-14, 0x1.677d8a8d370e6p-14, 0x1.5c31500b39374p-14, 0x1.514133f250a88p-14, 0x1.46aa44c2478a6p-14, 0x1.3c69a88035bafp-14, 0x1.327c9c0202c5fp-14, 0x1.28e0723f53b0ep-14, 0x1.1f9293a758ff3p-14, 0x1.16907d7b895cp-14, 0x1.0dd7c12f2033p-14, 0x1.056603cae1951p-14, 0x1.fa71faabeba06p-15, 0x1.ea9cf08506ca8p-15, 0x1.db48a1bdb5b19p-15, 0x1.cc70e9952c676p-15, 0x1.be11c4dfd6272p-15, 0x1.b027510160ee7p-15, 0x1.a2adcaeeb01b9p-15, 0x1.95a18e36b2a7ap-15, 0x1.88ff141331afdp-15, 0x1.7cc2f27fd6076p-15, 0x1.70e9db585917bp-15, 0x1.65709b7d1e811p-15, 0x1.5a5419fe77b1ep-15, 0x1.4f91574de9ec1p-15, 0x1.45256c7597817p-15, 0x1.3b0d8a55745e8p-15, 0x1.3146f8e6882e9p-15, 0x1.27cf16836d7d8p-15, 0x1.1ea357362204ep-15, 0x1.15c1440ba5288p-15, 0x1.0d267a6c50a8fp-15, 0x1.04d0ab78bdc8dp-15, 0x1.f97b36d951d32p-16, 0x1.e9d6420ade44ep-16, 0x1.daae49db4b0d2p-16, 0x1.cbff4259bc395p-16, 0x1.bdc541380a5c4p-16, 0x1.affc7cbb76901p-16, 0x1.a2a14ab4f2fb6p-16, 0x1.95b01f832fbc6p-16, 0x1.89258d1a4b24p-16, 0x1.7cfe4213d1cd9p-16, 0x1.713708c647b2p-16, 0x1.65ccc6633d49fp-16, 0x1.5abc7a1c7d425p-16, 0x1.50033c4fca936p-16, 0x1.459e3db955e2ap-16, 0x1.3b8ac6ab79f95p-16, 0x1.31c6364e8179bp-16, 0x1.284e01e43507fp-16, 0x1.1f1fb412a3e45p-16, 0x1.1638ec33cc8e2p-16, 0x1.0d975daad8dd4p-16, 0x1.0538cf3ecbb36p-16, 0x1.fa3634f4065edp-17, 0x1.ea78561dfe272p-17, 0x1.db33fc82e6fabp-17, 0x1.cc6544a9a5f1cp-17, 0x1.be086bfd9fbe9p-17, 0x1.b019cfbc9aab5p-17, 0x1.a295ebed77334p-17, 0x1.95795a5fdc0b3p-17, 0x1.88c0d1b0f332cp-17, 0x1.7c69245daf8d4p-17, 0x1.706f3fd6a48f7p-17, 0x1.64d02b9f01f74p-17, 0x1.59890870f2b2ap-17, 0x1.4e970f69c79fap-17, 0x1.43f7913c13262p-17, 0x1.39a7f569efa3cp-17, 0x1.2fa5b98256d7p-17, 0x1.25ee7068e6978p-17, 0x1.1c7fc1a02c331p-17, 0x1.1357689b21023p-17, 0x1.0a733413cea67p-17, 0x1.01d10567cff41p-17, 0x1.f2dd9ff3c6a8ep-18, 0x1.e295313025f2fp-18, 0x1.d2c4e9cf0e98bp-18, 0x1.c36915a9ba9ddp-18, 0x1.b47e20128752fp-18, 0x1.a60092c535c33p-18, 0x1.97ed14e6a72ap-18, 0x1.8a406a0562e24p-18, 0x1.7cf771275d17cp-18, 0x1.700f23dd8de49p-18, 0x1.6384955f98292p-18, 0x1.5754f1aedf4a7p-18, 0x1.4b7d7cc0ec209p-18, 0x1.3ffb91b126909p-18, 0x1.34cca1f7158c3p-18, 0x1.29ee34a7c3f96p-18, 0x1.1f5de5b83035fp-18, 0x1.15196549c578dp-18, 0x1.0b1e76fa96723p-18, 0x1.016af13c9900fp-18, 0x1.eff979649365ap-19, 0x1.dda3a71ad1104p-19, 0x1.cbd081f4e1787p-19, 0x1.ba7c411446c9ap-19, 0x1.a9a33b4492abcp-19, 0x1.9941e5e5dfc82p-19, 0x1.8954d3e4ac0e8p-19, 0x1.79d8b4b4a0614p-19, 0x1.6aca5358b4f85p-19, 0x1.5c26956a9cb9bp-19, 0x1.4dea7a3b5e8dbp-19, 0x1.401319eb27a79p-19, 0x1.329da48f326a8p-19, 0x1.2587616173257p-19, 0x1.18cdadf2cb98ap-19, 0x1.0c6dfd64f7be3p-19, 0x1.0065d7b00f4f6p-19, 0x1.e965b1ce1ff91p-20, 0x1.d2a5610f53e5ap-20, 0x1.bc86419ccc36p-20, 0x1.a703fc248d8a5p-20, 0x1.921a5c3e47908p-20, 0x1.7dc54f44c5089p-20, 0x1.6a00e323a3e1bp-20, 0x1.56c945362b98ap-20, 0x1.441ac132ede27p-20, 0x1.31f1c01c09b21p-20, 0x1.204ac73e36217p-20, 0x1.0f22773427137p-20, 0x1.fceb15e996729p-21, 0x1.dc81add3075f8p-21, 0x1.bd02901e0b75p-21, 0x1.9e67c62772565p-21, 0x1.80ab871d6c87ap-21, 0x1.63c836619cccbp-21, 0x1.47b86201e0681p-21, 0x1.2c76c13dfd162p-21, 0x1.11fe331d132e5p-21, 0x1.f0937a236d5d5p-22, 0x1.bea91328555fap-22, 0x1.8e33cdebdac82p-22, 0x1.5f2a8c3298e26p-22, 0x1.3184727c0c8e6p-22, 0x1.0538e5bc0c9fp-22, 0x1.b47f125789deap-23, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.10bdb10d2308ep-3, -0x1.46baaf2879bb2p-3, -0x1.7c47f0f78e543p-3, -0x1.b0eaa2c93ae46p-3, -0x1.e437f4c822dd3p-3, -0x1.0ae9f599372c2p-2, -0x1.22b8336914ab7p-2, -0x1.39666a22b09f4p-2, -0x1.4edad3b3ac029p-2, -0x1.6301618759903p-2, -0x1.75cad6e88deddp-2, -0x1.872c54b9a054ap-2, -0x1.971f25996001ap-2, -0x1.a5a05822dc245p-2, -0x1.b2b01d36a28f3p-2, -0x1.be5135116999dp-2, -0x1.c88895cc2db6fp-2, -0x1.d15d3342d1378p-2, -0x1.d8d7c4fa98173p-2, -0x1.df027b6113c93p-2, -0x1.e3e8a6a65828dp-2, -0x1.e7964747b822bp-2, -0x1.ea17fa9024e53p-2, -0x1.eb7b400fee5c3p-2, -0x1.ebcdcb23c9adbp-2, -0x1.eb1d8ffed2aafp-2, -0x1.e978a7421e58bp-2, -0x1.e6ed30461b268p-2, -0x1.e38935f590a5fp-2, -0x1.df5a99b31640dp-2, -0x1.da6f03fde1272p-2, -0x1.d4d3d84ac5c5ep-2, -0x1.ce9629ed8c6fep-2, -0x1.c7c2b1709c0a4p-2, -0x1.c065c2fe4b019p-2, -0x1.b88b46e77204dp-2, -0x1.b03eb4b80a95cp-2, -0x1.a78b103f595a3p-2, -0x1.9e7ae771f47f6p-2, -0x1.95185083d960ap-2, -0x1.8b6ce876d479fp-2, -0x1.8181d2c167d1p-2, -0x1.775fba6000a6cp-2, -0x1.6d0ed4056b9eap-2, -0x1.6296e0c866fcdp-2, -0x1.57ff30ca45d83p-2, -0x1.4d4ea5af49331p-2, -0x1.428bb50eec979p-2, -0x1.37bc6b1ad640ep-2, -0x1.2ce66da876156p-2, -0x1.220effa91c824p-2, -0x1.173b0503698cbp-2, -0x1.0c6f06b427023p-2, -0x1.01af3716fbed2p-2, -0x1.edfeec699b2f8p-3, -0x1.d8c6abec6e19fp-3, -0x1.c3bc3c3e078bfp-3, -0x1.aee5a0086f5b5p-3, -0x1.9a4853fae821cp-3, -0x1.85e9553da7be8p-3, -0x1.71cd279b389d9p-3, -0x1.5df7db81399e5p-3, -0x1.4a6d13ef06d4dp-3, -0x1.376aa61a9b30fp-3, -0x1.24804929354c8p-3, -0x1.11e8b64fb1d2fp-3, -0x1.ff4c0d6b4c13p-4, -0x1.db73fbf11ccb8p-4, -0x1.b84c2356d55b8p-4, -0x1.95d6e2430f2ffp-4, -0x1.74161a098d563p-4, -0x1.530b3c965917cp-4, -0x1.32b7588557e7p-4, -0x1.131b232780fbep-4, -0x1.e86e01081439cp-5, -0x1.ac16133c5e718p-5, -0x1.712e22d1e7996p-5, -0x1.37b551b5b96a5p-5, -0x1.ff548a218c847p-6, -0x1.921658527408ap-6, -0x1.27ab8eacd4e9ep-6, -0x1.801dbcd6513ecp-7, -0x1.6ce8e0f365888p-8, 0x1.b64925b9e3c97p-12, 0x1.98ca6d01db309p-8, 0x1.85b4463a415a7p-7, 0x1.1cd83a756d283p-6, 0x1.7435da81eb87cp-6, 0x1.c8fc6cc5559afp-6, 0x1.0d9ae0ccf2b32p-5, 0x1.357603d36c59fp-5, 0x1.5c14e1ebd35d2p-5, 0x1.817ce4b26c4f2p-5, 0x1.a5b398c3864e8p-5, 0x1.c8bea942231d1p-5, 0x1.eaa3daf53d3f3p-5, 0x1.05b4837c6a701p-4, 0x1.158a0a89c3a29p-4, 0x1.24d57ae89ca75p-4, 0x1.3399ce47a210ep-4, 0x1.41d9fcd5c00c6p-4, 0x1.4f98fa839f38fp-4, 0x1.5cd9b484b2f88p-4, 0x1.699f0f20d7c79p-4, 0x1.75ebe3e1dc5b7p-4, 0x1.81c30022c034dp-4, 0x1.8d2724015926p-4, 0x1.981b01af10bd8p-4, 0x1.a2a13d1a87786p-4, 0x1.acbc6be9984dap-4, 0x1.b66f15b9fcf23p-4, 0x1.bfbbb49d82abp-4, 0x1.c8a4b5c5d74b5p-4, 0x1.d12c7a52ef55fp-4, 0x1.d95558368db8p-4, 0x1.e1219b1ef1194p-4, 0x1.e893855b33f9p-4, 0x1.efad50ace69b1p-4, 0x1.f6712efc43058p-4, 0x1.fce14ae6bf823p-4, 0x1.017fe4116fa2fp-3, 0x1.046761db6bdf1p-3, 0x1.07282a017093ep-3, 0x1.09c344510f0c3p-3, 0x1.0c39b513a89c7p-3, 0x1.0e8c7cddb86a9p-3, 0x1.10bc98528c713p-3, 0x1.12caffdfe383ep-3, 0x1.14b8a774b93b8p-3, 0x1.16867e366bac7p-3, 0x1.18356e36dd8f5p-3, 0x1.19c65c2e26cefp-3, 0x1.1b3a2739e5023p-3, 0x1.1c91a8a41784bp-3, 0x1.1dcdb3b32d656p-3, 0x1.1eef15849d186p-3, 0x1.1ff694f322083p-3, 0x1.20e4f289618b6p-3, 0x1.21bae8815f09p-3, 0x1.22792ad0c492fp-3, 0x1.232067419e536p-3, 0x1.23b14596d2b91p-3, 0x1.242c67bb2ef53p-3, 0x1.249269f9bdeefp-3, 0x1.24e3e33dc1b61p-3, 0x1.25216558b9117p-3, 0x1.254b7d4c97f01p-3, 0x1.25666026694aap-3, 0x1.25698480edb84p-3, 0x1.255aba4a9c53ep-3, 0x1.253a88c0f3a77p-3, 0x1.250973d022a68p-3, 0x1.24c7fc1274e89p-3, 0x1.24769ecffab25p-3, 0x1.2415d5ff8ab03p-3, 0x1.23a61849fa275p-3, 0x1.2327d91047dc1p-3, 0x1.229b88752b247p-3, 0x1.2201936a5ffedp-3, 0x1.215a63c1a7606p-3, 0x1.20a66041712d9p-3, 0x1.1fe5ecbcda89dp-3, 0x1.1f196a2e90c92p-3, 0x1.1e4136d62405ap-3, 0x1.1d5dae571cf36p-3, 0x1.1c6f29d952e0cp-3, 0x1.1b760029c6899p-3, 0x1.1a7285db82312p-3, 0x1.19650d67d9a5cp-3, 0x1.184de74d96f24p-3, 0x1.172d622e95f66p-3, 0x1.1603caeb7c354p-3, 0x1.14d16cbd31611p-3, 0x1.1396914bee697p-3, 0x1.125380c3ba97fp-3, 0x1.110881e63ef9cp-3, 0x1.0fb5da19faa52p-3, 0x1.0e5bcd76e349dp-3, 0x1.0cfa9ed0961cdp-3, 0x1.0b928fbe42772p-3, 0x1.0a23e0a088351p-3, 0x1.08aed0a593b9bp-3, 0x1.07339dcba9b91p-3, 0x1.05b284e2846cap-3, 0x1.042bc18bc0a5ap-3, 0x1.029f8e3aa4a07p-3, 0x1.010e243392667p-3, 0x1.feef7716bc152p-4, 0x1.fbb9164d8aa4p-4, 0x1.f879917489356p-4, 0x1.f5315194cf8f9p-4, 0x1.f1e0bd59865f2p-4, 0x1.ee8839135a579p-4, 0x1.eb2826bd8afc6p-4, 0x1.e7c0e60496d48p-4, 0x1.e452d44eb4881p-4, 0x1.e0de4cc5cf059p-4, 0x1.dd63a86312c1p-4, 0x1.d9e33dfbe8dd8p-4, 0x1.d65d62501d68ep-4, 0x1.d2d2681919c94p-4, 0x1.cf42a019eec0dp-4, 0x1.cbae59300592dp-4, 0x1.c815e0643ab4fp-4, 0x1.c47980fc2d484p-4, 0x1.c0d9848b99206p-4, 0x1.bd3633057a40bp-4, 0x1.b98fd2cce6778p-4, 0x1.b5e6a8c56144fp-4, 0x1.b23af8628de95p-4, 0x1.ae8d03b71fef9p-4, 0x1.aadd0b82fa5f1p-4, 0x1.a72b4f4058a2dp-4, 0x1.a3780d2ff313dp-4, 0x1.9fc3826430bd1p-4, 0x1.9c0deacb2e0edp-4, 0x1.98578137c3f4cp-4, 0x1.94a07f69759f1p-4, 0x1.90e91e1352b7fp-4, 0x1.8d3194e1d7dfap-4, 0x1.897a1a7fd41dep-4, 0x1.85c2e49a65c1bp-4, 0x1.820c27e41ad32p-4, 0x1.7e5618174ae7ap-4, 0x1.7aa0e7f7b78ap-4, 0x1.76ecc95390c4ep-4, 0x1.7339ed03e7a91p-4, 0x1.6f8882ecafb5cp-4, 0x1.6bd8b9fc5848ep-4, 0x1.682ac02b1ea2p-4, 0x1.647ec27a22dacp-4, 0x1.60d4ecf25b177p-4, 0x1.5d2d6aa36e9e3p-4, 0x1.598865a29391bp-4, 0x1.55e6070974696p-4, 0x1.524676f535f51p-4, 0x1.4ea9dc859c2a4p-4, 0x1.4b105ddc670fep-4, 0x1.477a201ce741p-4, 0x1.43e7476bd13ep-4, 0x1.4057f6ef59921p-4, 0x1.3ccc50cf9c449p-4, 0x1.394476374e002p-4, 0x1.35c08754beadcp-4, 0x1.3240a35b28691p-4, 0x1.2ec4e8844bddp-4, 0x1.2b4d7412589f7p-4, 0x1.27da62521c72fp-4, 0x1.246bce9d785f4p-4, 0x1.2101d35e162d3p-4, 0x1.1d9c8a10592bdp-4, 0x1.1a3c0b46876dfp-4, 0x1.16e06eac23efcp-4, 0x1.1389cb0976799p-4, 0x1.103836473982fp-4, 0x1.0cebc5726b9e5p-4, 0x1.09a48cc03bfcbp-4, 0x1.06629f920f382p-4, 0x1.032610799501bp-4, 0x1.ffdde279d8d3p-5, 0x1.f97aa5b59c9d7p-5, 0x1.f3228b1d7e0dp-5, 0x1.ecd5b1aa7685p-5, 0x1.e69436dfc6c4ap-5, 0x1.e05e36d33a8a2p-5, 0x1.da33cc355772ep-5, 0x1.d415105969079p-5, 0x1.ce021b3d70fb7p-5, 0x1.c7fb0391e7ecep-5, 0x1.c1ffdec15a9bdp-5, 0x1.bc10c0f7cdc73p-5, 0x1.b62dbd29f8df7p-5, 0x1.b056e51c47057p-5, 0x1.aa8c4969a28e5p-5, 0x1.a4cdf98a0b66dp-5, 0x1.9f1c03d8f4763p-5, 0x1.9976759b6910cp-5, 0x1.93dd5b05ff64fp-5, 0x1.8e50bf42918f3p-5, 0x1.88d0ac75c34f5p-5, 0x1.835d2bc45a5a8p-5, 0x1.7df645585f15ap-5, 0x1.789c006616424p-5, 0x1.734e6330cdfbep-5, 0x1.6e0d730f80d6ep-5, 0x1.68d9347158facp-5, 0x1.63b1aae20b209p-5, 0x1.5e96d90e16794p-5, 0x1.5988c0c6ea30fp-5, 0x1.54876306ee184p-5, 0x1.4f92bff57b1e3p-5, 0x1.4aaad6eab9c11p-5, 0x1.45cfa673780d1p-5, 0x1.41012c54ec9b9p-5, 0x1.3c3f6590733cbp-5, 0x1.378a4e673be88p-5, 0x1.32e1e25df955ap-5, 0x1.2e461c40833fbp-5, 0x1.29b6f62580113p-5, 0x1.253469720188bp-5, 0x1.20be6edd2c465p-5, 0x1.1c54fe73d84f7p-5, 0x1.17f80f9c38428p-5, 0x1.13a7991981984p-5, 0x1.0f63910f98c44p-5, 0x1.0b2bed06bfcbap-5, 0x1.0700a1ef4a7d3p-5, 0x1.02e1a42555d41p-5, 0x1.fd9dcee902eddp-6, 0x1.f590be3761347p-6, 0x1.ed9bfba1967acp-6, 0x1.e5bf6b890252ep-6, 0x1.ddfaf14c295bcp-6, 0x1.d64e6f4e3d5bap-6, 0x1.ceb8905647a9bp-6, 0x1.c73bdc8440fa5p-6, 0x1.bfd6c17edb8d9p-6, 0x1.b8891ddbafff2p-6, 0x1.b152cf5e206b9p-6, 0x1.aa33b2fecfa71p-6, 0x1.a32ba4f317c0bp-6, 0x1.9c3a80b467e4p-6, 0x1.95602107a2ef3p-6, 0x1.8e9c600469a1p-6, 0x1.87ef171c532eep-6, 0x1.81581f2219e4cp-6, 0x1.7ad75050b5793p-6, 0x1.746c82525c0c1p-6, 0x1.6e178c477512fp-6, 0x1.67d844cd6eb6ap-6, 0x1.61ae82057f7d5p-6, 0x1.5b9a199b4c82bp-6, 0x1.559ae0cb77c39p-6, 0x1.4fb0ac6a0f72dp-6, 0x1.49db50e8e1dcfp-6, 0x1.441aa25db5d99p-6, 0x1.3e6e748860c2dp-6, 0x1.38d69ad8c045bp-6, 0x1.3352e87494892p-6, 0x1.2de3303d3670fp-6, 0x1.288744d53053p-6, 0x1.233ef8a5b4e58p-6, 0x1.1e0a1de3f3b24p-6, 0x1.18e886964b0e8p-6, 0x1.13da04995a68fp-6, 0x1.0ede69a4f0b3fp-6, 0x1.09f58750da71p-6, 0x1.051f2f198b253p-6, 0x1.005b3264a9f37p-6, 0x1.f752c50af06d8p-7, 0x1.ee1321823686bp-7, 0x1.e4f71ca5831eap-7, 0x1.dbfe58df58d4bp-7, 0x1.d328789628d34p-7, 0x1.ca751e33ea654p-7, 0x1.c1e3ec2d695ccp-7, 0x1.b97485096770fp-7, 0x1.b1268b677303bp-7, 0x1.a8f9a2068f76ep-7, 0x1.a0ed6bcba69d9p-7, 0x1.99018bc7bc40fp-7, 0x1.9135a53dfa3dp-7, 0x1.89895ba9790f9p-7, 0x1.81fc52c2e5381p-7, 0x1.7a8e2e85edb4p-7, 0x1.733e93368842bp-7, 0x1.6c0d256604676p-7, 0x1.64f989f7f7029p-7, 0x1.5e036626f8e2fp-7, 0x1.572a5f8942267p-7, 0x1.506e1c1515c1cp-7, 0x1.49ce4225124aap-7, 0x1.434a787c55044p-7, 0x1.3ce2664a7f3a2p-7, 0x1.3695b32f97db3p-7, 0x1.3064073fcc4aap-7, 0x1.2a4d0b0711a9cp-7, 0x1.2450678ca1f6fp-7, 0x1.1e6dc65663a4p-7, 0x1.18a4d16c2d48fp-7, 0x1.12f5335aee75cp-7, 0x1.0d5e9737bba9cp-7, 0x1.07e0a8a2be259p-7, 0x1.027b13ca084b6p-7, 0x1.fa5b0ad89f5b3p-8, 0x1.efef55b71830bp-8, 0x1.e5b263feede03p-8, 0x1.dba392aff552ep-8, 0x1.d1c23ffef8c98p-8, 0x1.c80dcb5a204b8p-8, 0x1.be85956d291bcp-8, 0x1.b52900255f40ap-8, 0x1.abf76eb5641a4p-8, 0x1.a2f04598c63e2p-8, 0x1.9a12ea97572e4p-8, 0x1.915ec4c8583f4p-8, 0x1.88d33c956871ep-8, 0x1.806fbbbd48a3ep-8, 0x1.7833ad5651c8fp-8, 0x1.701e7dd0cfd62p-8, 0x1.682f9af919af8p-8, 0x1.606673f975932p-8, 0x1.58c2795bce82dp-8, 0x1.51431d0b258f7p-8, 0x1.49e7d254e39e4p-8, 0x1.42b00de9e70ffp-8, 0x1.3b9b45df76624p-8, 0x1.34a8f1afdea88p-8, 0x1.2dd88a3b0361p-8, 0x1.272989c6ae654p-8, 0x1.209b6bfebd3b9p-8, 0x1.1a2dadf515d45p-8, 0x1.13dfce21811abp-8, 0x1.0db14c614e596p-8, 0x1.07a1a9f6da323p-8, 0x1.01b06988f57e5p-8, 0x1.f7ba1e44354a8p-9, 0x1.ec4e405f1deddp-9, 0x1.e11c4700c50ecp-9, 0x1.d6234288a6194p-9, 0x1.cb62461526dcdp-9, 0x1.c0d867810846bp-9, 0x1.b684bf607d998p-9, 0x1.ac6668fe51276p-9, 0x1.a27c8258c69efp-9, 0x1.98c62c1e531f6p-9, 0x1.8f4289aa51ebfp-9, 0x1.85f0c1018af5ep-9, 0x1.7ccfface9d409p-9, 0x1.73df625e7638cp-9, 0x1.6b1e259c80fc6p-9, 0x1.628b750ef0a85p-9, 0x1.5a2683d2eb1fdp-9, 0x1.51ee8798ad12p-9, 0x1.49e2b89f9e3ccp-9, 0x1.420251b265af4p-9, 0x1.3a4c9022eae8bp-9, 0x1.32c0b3c66119p-9, 0x1.2b5dfef13abcdp-9, 0x1.2423b673212a4p-9, 0x1.1d11219302a23p-9, 0x1.16258a0add642p-9, 0x1.0f603c03cb7ebp-9, 0x1.08c08611e6189p-9, 0x1.0245b93033fb5p-9, 0x1.f7de517924fa1p-10, 0x1.eb7854e722ef1p-10, 0x1.df582cd8c3a67p-10, 0x1.d37c8e2958da7p-10, 0x1.c7e432590805ap-10, 0x1.bc8dd78436e21p-10, 0x1.b178405b6bdf7p-10, 0x1.a6a2341adc69p-10, 0x1.9c0a7e82078dap-10, 0x1.91afefcb33621p-10, 0x1.87915ca30207fp-10, 0x1.7dad9e1fe3cdfp-10, 0x1.740391b95a05cp-10, 0x1.6a92193f6b648p-10, 0x1.61581ad1d9566p-10, 0x1.585480d74e90ap-10, 0x1.4f8639f488026p-10, 0x1.46ec390348db1p-10, 0x1.3e85750954316p-10, 0x1.3650e92f7c0f2p-10, 0x1.2e4d94b80e5b9p-10, 0x1.267a7af5bfdfdp-10, 0x1.1ed6a34238b7ap-10, 0x1.176118f470588p-10, 0x1.1018eb5734617p-10, 0x1.08fd2d9f4fb7p-10, 0x1.020cf6e1badb5p-10, 0x1.f68ec41340459p-11, 0x1.e9571b9c8ebbap-11, 0x1.dc713951c71f2p-11, 0x1.cfdb699464496p-11, 0x1.c39400208b796p-11, 0x1.b79957f737226p-11, 0x1.abe9d3496b711p-11, 0x1.a083db6270a43p-11, 0x1.9565e0920582fp-11, 0x1.8a8e5a167b4f2p-11, 0x1.7ffbc6065a98dp-11, 0x1.75aca93a25576p-11, 0x1.6b9f8f35b9c28p-11, 0x1.61d30a117e73ap-11, 0x1.5845b263c3716p-11, 0x1.4ef62729d9997p-11, 0x1.45e30db0b9734p-11, 0x1.3d0b117e55987p-11, 0x1.346ce43a57d2dp-11, 0x1.2c073d974ac33p-11, 0x1.23d8db3b8561dp-11, 0x1.1be080aa3ac04p-11, 0x1.141cf72d6184p-11, 0x1.0c8d0dbe7631ap-11, 0x1.052f98f095c55p-11, 0x1.fc06e5b581a67p-12, 0x1.ee0ef6040d1fdp-12, 0x1.e0752c88d33dbp-12, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.d7a4432f3bcd6p-6, 0x1.4f1d50d79bd77p-6, 0x1.7edf0c8391f61p-7, 0x1.4e33bf9ab8bddp-9, -0x1.c2f73553c2dddp-8, -0x1.0f0b995492115p-6, -0x1.b0213e6690b0fp-6, -0x1.29870672e68bdp-5, -0x1.7b79892f0ed8cp-5, -0x1.cd81b29b10f3bp-5, -0x1.0fa0fdba31d7ep-4, -0x1.3832ce34d8b62p-4, -0x1.605021b28f7ebp-4, -0x1.87d6d7e200bd6p-4, -0x1.aea8a844aeedp-4, -0x1.d4aaea187a011p-4, -0x1.f9c657fecdfd4p-4, -0x1.0ef36f0c57622p-3, -0x1.207db199845a3p-3, -0x1.317ac18e81486p-3, -0x1.41e4a8e4233acp-3, -0x1.51b6962fcc95ap-3, -0x1.60ecd5e800e23p-3, -0x1.6f849c397e76dp-3, -0x1.7d7c000deab15p-3, -0x1.8ad1e296cba74p-3, -0x1.9785db46d2608p-3, -0x1.a39824c912d55p-3, -0x1.af098b4c33fd8p-3, -0x1.b9db5c83ca497p-3, -0x1.c40f593b27a8bp-3, -0x1.cda7a7d02c8aep-3, -0x1.d6a6c73b5ee53p-3, -0x1.df0f8302165cp-3, -0x1.e6e4e880acaacp-3, -0x1.ee2a3d5ffdb17p-3, -0x1.f4e2f6b100b32p-3, -0x1.fb12b07e70f4ep-3, -0x1.005e930d1da04p-2, -0x1.02f315b53fb0ap-2, -0x1.0548d38bd389dp-2, -0x1.0761c69d6e754p-2, -0x1.093fed259eadap-2, -0x1.0ae5472d23fc8p-2, -0x1.0c53d46f67ecap-2, -0x1.0d8d929a8f854p-2, -0x1.0e947bdde4feep-2, -0x1.0f6a85a4fedc5p-2, -0x1.10119f62951c4p-2, -0x1.108bb165956a4p-2, -0x1.10da9bc9a6fd2p-2, -0x1.1100359a37c1p-2, -0x1.10fe4c32399a7p-2, -0x1.10d6a2ce16465p-2, -0x1.108af23789474p-2, -0x1.101ce87419683p-2, -0x1.0f8e286cbd249p-2, -0x1.0ee0499602913p-2, -0x1.0e14d7a9ea229p-2, -0x1.0d2d5282de3f3p-2, -0x1.0c2b2e1c71af1p-2, -0x1.0b0fd2b1d3254p-2, -0x1.09dc9cea25ed5p-2, -0x1.0891ecd24a79dp-2, -0x1.0732ee6732ddap-2, -0x1.05bfeb32b7685p-2, -0x1.043a1266191ddp-2, -0x1.02a2882902575p-2, -0x1.00fa65d0960f6p-2, -0x1.fe857432e82cap-3, -0x1.faf912c7dc0c9p-3, -0x1.f7519be2d215fp-3, -0x1.f390f04432c3cp-3, -0x1.efb8dd6588e66p-3, -0x1.ebcb1df56859cp-3, -0x1.e7c95a550823cp-3, -0x1.e3b529189fc6ep-3, -0x1.df900f8b3fa0ap-3, -0x1.db5b8235e25a9p-3, -0x1.d718e5687f2b4p-3, -0x1.d2c98dc3ac58dp-3, -0x1.ce6ec0c1178b8p-3, -0x1.ca09b5398af6ap-3, -0x1.c59b93e7b184ap-3, -0x1.c12577e72a4f5p-3, -0x1.bca86f2fdff59p-3, -0x1.b8257b0d92371p-3, -0x1.b39d90939aa15p-3, -0x1.af11990ce6262p-3, -0x1.aa8272681c91cp-3, -0x1.a5f0efa01c952p-3, -0x1.a15dd9211727ep-3, -0x1.9cc9ed2ab6739p-3, -0x1.9835e02fc4646p-3, -0x1.93a25d33aefc3p-3, -0x1.8f10062631a96p-3, -0x1.8a7f743d27245p-3, -0x1.85f1384c731ecp-3, -0x1.8165db1bd443fp-3, -0x1.7cddddba9077bp-3, -0x1.7859b9d0e8dadp-3, -0x1.73d9e1ef656bp-3, -0x1.6f5ec1dc37924p-3, -0x1.6ae8bedeb80c1p-3, -0x1.6678380928972p-3, -0x1.620d8680a8bcap-3, -0x1.5da8fdc33292dp-3, -0x1.594aebeb59ff2p-3, -0x1.54f399f192a63p-3, -0x1.50a34beaab9dbp-3, -0x1.4c5a414363d93p-3, -0x1.4818b4f90cc4p-3, -0x1.43deddcf4757ep-3, -0x1.3facee8311597p-3, -0x1.3b8315fb4dd3p-3, -0x1.37617f770743p-3, -0x1.334852b99859p-3, -0x1.2f37b434e65bbp-3, -0x1.2b2fc531ac567p-3, -0x1.2730a3f60a134p-3, -0x1.233a6bea3aba9p-3, -0x1.1f4d35bb9f14fp-3, -0x1.1b69177e1c4fp-3, -0x1.178e24cbe6ffcp-3, -0x1.13bc6ee3ee56fp-3, -0x1.0ff404c6f201ap-3, -0x1.0c34f3537f765p-3, -0x1.087f4560e136ep-3, -0x1.04d303d924f99p-3, -0x1.013035d25079ap-3, -0x1.fb2dc14d81115p-4, -0x1.f40e10197ba1cp-4, -0x1.ed015c5aa027bp-4, -0x1.e607a77473cfep-4, -0x1.df20f00667a6bp-4, -0x1.d84d3214a3512p-4, -0x1.d18c672f341d5p-4, -0x1.cade8697b7495p-4, -0x1.c443856561986p-4, -0x1.bdbb56a783e15p-4, -0x1.b745eb86874e1p-4, -0x1.b0e3336366944p-4, -0x1.aa931bf59d1dap-4, -0x1.a45591679bf41p-4, -0x1.9e2a7e71b2dbbp-4, -0x1.9811cc738e7efp-4, -0x1.920b638c2ba94p-4, -0x1.8c16d35897c7p-4, -0x1.8634ab2f06157p-4, -0x1.80647fc5b3297p-4, -0x1.7aa6351762a25p-4, -0x1.74f9ae36b7203p-4, -0x1.6f5ecd5f72c89p-4, -0x1.69d57406f01f4p-4, -0x1.645d82ebdc2c1p-4, -0x1.5ef6da252732ap-4, -0x1.59a1593039002p-4, -0x1.545cdefe5bcb5p-4, -0x1.4f294a016ee3cp-4, -0x1.4a067837d9455p-4, -0x1.44f44737cb5f3p-4, -0x1.3ff29439d4cd2p-4, -0x1.3b013c22d7299p-4, -0x1.36201b8d5fffbp-4, -0x1.314f0ed271c73p-4, -0x1.2c8df211c9a3fp-4, -0x1.27dca139a2158p-4, -0x1.233af80e0894p-4, -0x1.1ea8d22fb7544p-4, -0x1.1a260b228e49dp-4, -0x1.15b27e53a9a4cp-4, -0x1.114e071f1463p-4, -0x1.0cf880d52265p-4, -0x1.08b1c6bf7c0bcp-4, -0x1.0479b425d04bcp-4, -0x1.005024524440ap-4, -0x1.f869e52b29a26p-5, -0x1.f04ff495fb7e3p-5, -0x1.e8522db7b238fp-5, -0x1.e070478623173p-5, -0x1.d8a9f920a7822p-5, -0x1.d0fef9d62ca9p-5, -0x1.c96f012adfea9p-5, -0x1.c1f9c6dd8726dp-5, -0x1.ba9f02ec8cb77p-5, -0x1.b35e6d9ab8b95p-5, -0x1.ac37bf73b3cc9p-5, -0x1.a52ab15036cc4p-5, -0x1.9e36fc5a0bb99p-5, -0x1.975c5a0fcd90cp-5, -0x1.909a844872fc3p-5, -0x1.89f13536a27f1p-5, -0x1.8360276bd93c6p-5, -0x1.7ce715db55edap-5, -0x1.7685bbdce4896p-5, -0x1.703bd52f64999p-5, -0x1.6a091dfb3eae3p-5, -0x1.63ed52d490fb2p-5, -0x1.5de830bd44bd9p-5, -0x1.57f97526f4d54p-5, -0x1.5220ddf4a4de8p-5, -0x1.4c5e297c5e9ccp-5, -0x1.46b116889a9e6p-5, -0x1.4119645993101p-5, -0x1.3b96d2a67036p-5, -0x1.3629219e4ee62p-5, -0x1.30d011e930d6dp-5, -0x1.2b8b64a8d17c9p-5, -0x1.265adb79559cp-5, -0x1.213e3871f101ep-5, -0x1.1c353e2567491p-5, -0x1.173fafa27d263p-5, -0x1.125d507459832p-5, -0x1.0d8de4a2c5884p-5, -0x1.08d130b26920ep-5, -0x1.0426f9a4f046dp-5, -0x1.ff1e09f237cbdp-6, -0x1.f61231559af07p-6, -0x1.ed29f6660703p-6, -0x1.e464e70f7fbfdp-6, -0x1.dbc29237ea4c3p-6, -0x1.d34287beb75dp-6, -0x1.cae4587c8bf4fp-6, -0x1.c2a79642d66e5p-6, -0x1.ba8bd3db59ab6p-6, -0x1.b290a507b40dap-6, -0x1.aab59e80d204bp-6, -0x1.a2fa55f65afc4p-6, -0x1.9b5e620e2dc54p-6, -0x1.93e15a63b596bp-6, -0x1.8c82d787520eep-6, -0x1.854272fdb6c22p-6, -0x1.7e1fc73f3cb78p-6, -0x1.771a6fb73f272p-6, -0x1.703208c36538fp-6, -0x1.69662fb2effc7p-6, -0x1.62b682c600a25p-6, -0x1.5c22a12cda7e2p-6, -0x1.55aa2b0722ea4p-6, -0x1.4f4cc163169f4p-6, -0x1.490a063cc55efp-6, -0x1.42e19c7d371c2p-6, -0x1.3cd327f99dcc3p-6, -0x1.36de4d727b427p-6, -0x1.3102b292c874p-6, -0x1.2b3ffdef0852ep-6, -0x1.2595d7046fc64p-6, -0x1.2003e637ed432p-6, -0x1.1a89d4d54c8bcp-6, -0x1.15274d0e368adp-6, -0x1.0fdbf9f94212cp-6, -0x1.0aa78790fb76cp-6, -0x1.0589a2b2e0e1ep-6, -0x1.0081f91e639a9p-6, -0x1.f72072e7c3127p-7, -0x1.ed68266724278p-7, -0x1.e3da6d78fddfdp-7, -0x1.da76aa96bece4p-7, -0x1.d13c41f31006p-7, -0x1.c82a99778fdb9p-7, -0x1.bf4118c273509p-7, -0x1.b67f29243e043p-7, -0x1.ade4359d52bbdp-7, -0x1.a56faadb979f5p-7, -0x1.9d20f737e9337p-7, -0x1.94f78ab3a811dp-7, -0x1.8cf2d6f62eb39p-7, -0x1.85124f4a3ecb1p-7, -0x1.7d55689b61f22p-7, -0x1.75bb99734ff9ep-7, -0x1.6e4459f74727fp-7, -0x1.66ef23e55930bp-7, -0x1.5fbb7291bf3b8p-7, -0x1.58a8c2e42574fp-7, -0x1.51b69354e01ccp-7, -0x1.4ae463ea34473p-7, -0x1.4431b63593f48p-7, -0x1.3d9e0d50d7334p-7, -0x1.3728eddb67e46p-7, -0x1.30d1ddf775185p-7, -0x1.2a98654722339p-7, -0x1.247c0ce9b1b67p-7, -0x1.1e7c5f78b1fcfp-7, -0x1.1898e90515968p-7, -0x1.12d1371460de8p-7, -0x1.0d24d89dc22fbp-7, -0x1.07935e0733f25p-7, -0x1.021c59229e85bp-7, -0x1.f97eba55c119cp-8, -0x1.eef7fd81e82a6p-8, -0x1.e4a3a7d1f9978p-8, -0x1.da80e80ed8e02p-8, -0x1.d08eefbbf86a9p-8, -0x1.c6ccf311a77a7p-8, -0x1.bd3a28f71ff9p-8, -0x1.b3d5cafca9a22p-8, -0x1.aa9f1555ce5ccp-8, -0x1.a19546d358402p-8, -0x1.98b7a0dd831bbp-8, -0x1.9005676e1dab9p-8, -0x1.877de10aa062fp-8, -0x1.7f2056be498f8p-8, -0x1.76ec14145bd42p-8, -0x1.6ee0671215246p-8, -0x1.66fca030e31d3p-8, -0x1.5f4012588e5b8p-8, -0x1.57aa12d963923p-8, -0x1.5039f96640327p-8, -0x1.48ef200edb084p-8, -0x1.41c8e339d24b4p-8, -0x1.3ac6a19ef3f3p-8, -0x1.33e7bc4154815p-8, -0x1.2d2b966983a2fp-8, -0x1.2691959fb85e3p-8, -0x1.20194484b5b48p-8, -0x1.19c1c7c81af8bp-8, -0x1.138aadd41c811p-8, -0x1.0d7364f737ab1p-8, -0x1.077b5da2b3e5dp-8, -0x1.01a20a6508049p-8, -0x1.f7cdbfc80a9a3p-9, -0x1.ec92a9ae558dp-9, -0x1.e191c403c0a64p-9, -0x1.d6ca045bd78c3p-9, -0x1.cc3a644b30923p-9, -0x1.c1e1e15c5ad53p-9, -0x1.b7bf7d047f378p-9, -0x1.add23c9834082p-9, -0x1.a41929403ea57p-9, -0x1.9a934fee73869p-9, -0x1.913fc152c2bdcp-9, -0x1.881d91cfe5572p-9, -0x1.7f2bd97091436p-9, -0x1.7669b3dc7b27cp-9, -0x1.6dd6404d5e5f8p-9, -0x1.6570a1842f36p-9, -0x1.5d37fdbe48ap-9, -0x1.552b7eaad8715p-9, -0x1.4d4a515fddcc9p-9, -0x1.4593a64fd4f6p-9, -0x1.3e06b13efb917p-9, -0x1.36a2a938f0a27p-9, -0x1.2f66c8861fa28p-9, -0x1.28524ca165022p-9, -0x1.2164762dfcf9ap-9, -0x1.1a9c88ececeebp-9, -0x1.13f9cbb2fc66bp-9, -0x1.0d7b885e99b5dp-9, -0x1.07210bcdd3816p-9, -0x1.00e9a5d453f38p-9, -0x1.f5a95262dbe35p-10, -0x1.e9c2d70cfeaa4p-10, -0x1.de1e8a99e13e4p-10, -0x1.d2bb23994185ep-10, -0x1.c7975e2498debp-10, -0x1.bcb1fbcc05b55p-10, -0x1.b209c3834600fp-10, -0x1.a79d818f3e7c1p-10, -0x1.9d6c077324698p-10, -0x1.93742bde04ccep-10, -0x1.89b4ca987f6dbp-10, -0x1.802cc47311f7ep-10, -0x1.76daff3357254p-10, -0x1.6dbe6582e79dp-10, -0x1.64d5e6dd47a0bp-10, -0x1.5c20777ebee9dp-10, -0x1.539d1052b6ee3p-10, -0x1.4b4aaee2aca29p-10, -0x1.43285545a5f8p-10, -0x1.3b350a0e8f004p-10, -0x1.336fd83bff5bcp-10, -0x1.2bd7cf27cf3d3p-10, -0x1.246c02769b8abp-10, -0x1.1d2b8a07a1cfdp-10, -0x1.161581e4c6f91p-10, -0x1.0f290a3281e94p-10, -0x1.08654720dd488p-10, -0x1.01c960db1b646p-10, -0x1.f6a906f19a8cfp-11, -0x1.ea0bbddd48a57p-11, -0x1.ddb94dfeb4279p-11, -0x1.d1b02659ad7c4p-11, -0x1.c5eebd5316c19p-11, -0x1.ba7390936174p-11, -0x1.af3d24ead127dp-11, -0x1.a44a0633db062p-11, -0x1.9998c737a1451p-11, -0x1.8f280192723ap-11, -0x1.84f65597e011p-11, -0x1.7b026a373e4b5p-11, -0x1.714aece23478bp-11, -0x1.67ce91709fa97p-11, -0x1.5e8c120710a99p-11, -0x1.55822efcf2304p-11, -0x1.4cafaec2e433ep-11, -0x1.44135dc969353p-11, -0x1.3bac0e67826d2p-11, -0x1.337898c35051bp-11, -0x1.2b77dab80a62p-11, -0x1.23a8b7beec00ep-11, -0x1.1c0a18d74c4a5p-11, -0x1.149aec6ef9e9dp-11, -0x1.0d5a264b27818p-11, -0x1.0646bf71a3477p-11, -0x1.febf6c246aba9p-12, -0x1.f1481adfe065ap-12, -0x1.e4259b98a527cp-12, -0x1.d75608a074bb6p-12, -0x1.cad785ee98434p-12, -0x1.bea840f53a5c5p-12, -0x1.b2c67077d4354p-12, -0x1.a7305461d3655p-12, -0x1.9be4359e6e677p-12, -0x1.90e065f05bcf6p-12, -0x1.86233fca6d604p-12, -0x1.7bab2629a1d6bp-12, -0x1.7176846d16aap-12, -0x1.6783ce3180526p-12, -0x1.5dd17f2b904abp-12, -0x1.545e1b037e00ap-12, -0x1.4b282d3071255p-12, -0x1.422e48d67c2a4p-12, -0x1.396f08a0ad24dp-12, -0x1.30e90ea0eaa11p-12, -0x1.289b042c9ff46p-12, -0x1.208399bbe3377p-12, -0x1.18a186c808e3p-12, -0x1.10f389ab20423p-12, -0x1.0978677fee722p-12, -0x1.022eec0320211p-12, -0x1.f62bd2e638f1fp-13, -0x1.e85870e34168bp-13, -0x1.dae16fcc5307p-13, -0x1.cdc499c01df76p-13, -0x1.c0ffc4f28b9cbp-13, -0x1.b490d3734c845p-13, -0x1.a875b2f5e9a78p-13, -0x1.9cac5c9885b4fp-13, -0x1.9132d4af2be2p-13, -0x1.86072a8c027ffp-13, -0x1.7b27784ce345p-13, -0x1.7091e2a3a37fdp-13, -0x1.664498a5287acp-13, -0x1.5c3dd39638b68p-13, -0x1.527bd6b96f2c4p-13, -0x1.48fcef1eff556p-13, -0x1.3fbf7373b30b1p-13, -0x1.36c1c3d270e9ep-13, -0x1.2e024994d96cap-13, -0x1.257f7726775acp-13, -0x1.1d37c7d664cbdp-13, -0x1.1529bfabb7bd9p-13, -0x1.0d53eb39c706fp-13, -0x1.05b4df7586856p-13, -0x1.fc967314bf90cp-14, -0x1.ee2b3d61234cbp-14, -0x1.e025781055b9ap-14, -0x1.d2828cd67e637p-14, -0x1.c53ff492c3f48p-14, -0x1.b85b37025075ap-14, -0x1.abd1ea731be7ap-14, -0x1.9fa1b376db6fap-14, -0x1.93c8449bf6008p-14, -0x1.88435e2211516p-14, -0x1.7d10cdba6a668p-14, -0x1.722e6e34fb3c2p-14, -0x1.679a2745c8f73p-14, -0x1.5d51ed3fc9655p-14, -0x1.5353c0cc6bf0cp-14, -0x1.499daeb170019p-14, -0x1.402dcf8d66d6dp-14, -0x1.37024797fa689p-14, -0x1.2e1946652a833p-14, -0x1.257106a7e030bp-14, -0x1.1d07cdf6172dbp-14, -0x1.14dbec8c69ebfp-14, -0x1.0cebbd1b9f68dp-14, -0x1.0535a4840db2ap-14, -0x1.fb70234cf8043p-15, -0x1.ece2fa5820a08p-15, -0x1.dec0d29a8f23bp-15, -0x1.d106c34382439p-15, -0x1.c3b1f5d32c803p-15, -0x1.b6bfa5b65b9cp-15, -0x1.aa2d1fe2aebfap-15, -0x1.9df7c2756a08dp-15, -0x1.921cfc4fac522p-15, -0x1.869a4cc2bfc1fp-15, -0x1.7b6d432384218p-15, -0x1.70937e7c229a5p-15, -0x1.660aad2f79f83p-15, -0x1.5bd08c9dcdbc4p-15, -0x1.51e2e8d5ddd92p-15, -0x1.483f9c3a408cdp-15, -0x1.3ee48f38933dbp-15, -0x1.35cfb7ed1bb29p-15, -0x1.2cff19d701cedp-15, -0x1.2470c5906bb41p-15, -0x1.1c22d87c4fd27p-15, -0x1.14137c7dab2cep-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.f4e6c0d4fdb13p+0, 0x1.f37185a075f47p+0, 0x1.ef7bcfaa5d0e8p+0, 0x1.e94c6ef94a36p+0, 0x1.e12883274193p+0, 0x1.d7513cfe72a4bp+0, 0x1.cc038b76a0b8p+0, 0x1.bf78ada54cda7p+0, 0x1.b1e60f57ba92cp+0, 0x1.a37ca64301b84p+0, 0x1.9468b9ddfeb21p+0, 0x1.84d237163087dp+0, 0x1.74dd1f8a0b9f6p+0, 0x1.64a9c6c86176ep+0, 0x1.5454e9cc43249p+0, 0x1.43f7d125f311ep+0, 0x1.33a896a02abffp+0, 0x1.237a807c547dap+0, 0x1.137e53edfc9bcp+0, 0x1.03c28beb5a37p+0, 0x1.e8a6f4545a141p-1, 0x1.ca76d097564b7p-1, 0x1.ad054bd44667bp-1, 0x1.90609aea7bf3dp-1, 0x1.7493eaa65c697p-1, 0x1.59a7ea5d1f43dp-1, 0x1.3fa31242dd6c9p-1, 0x1.2689e4b318209p-1, 0x1.0e5f2a736ee5p-1, 0x1.ee4851ca8987dp-2, 0x1.c1b1a3af1c739p-2, 0x1.96f7dc2a00779p-2, 0x1.6e16883c25452p-2, 0x1.470777c28604dp-2, 0x1.21c2ff983374ep-2, 0x1.fc806d66edb52p-3, 0x1.b8ea5b537d845p-3, 0x1.78ae3e47bff2p-3, 0x1.3bb530b92bd63p-3, 0x1.01e735c146739p-3, 0x1.9656ea6773707p-4, 0x1.2ed0eba356a51p-4, 0x1.9a115b01647cap-5, 0x1.c32827757a953p-6, 0x1.9e0cfd78fa163p-8, -0x1.bf37bd9f4325p-7, -0x1.0981af30be296p-5, -0x1.99bf8c4b9505ep-5, -0x1.1076007a32522p-4, -0x1.4fb4e66e65a3dp-4, -0x1.8accd818d94f9p-4, -0x1.c1ed178590c93p-4, -0x1.f543b07f6f185p-4, -0x1.127eb3397d159p-3, -0x1.28a2d389cf2e2p-3, -0x1.3d234021b4078p-3, -0x1.50144c463c416p-3, -0x1.6189953c1af7dp-3, -0x1.719601c01e73fp-3, -0x1.804bc37c174a1p-3, -0x1.8dbc5a377d7e2p-3, -0x1.99f89816dd062p-3, -0x1.a510a611bd631p-3, -0x1.aedf871edf4f2p-3, -0x1.b7db6ec2539cp-3, -0x1.bfe05d801bd52p-3, -0x1.c6fbfd18bc12p-3, -0x1.cd3b58b071725p-3, -0x1.d2aae172756f9p-3, -0x1.d75673e0ed115p-3, -0x1.db495d96b2dd7p-3, -0x1.de8e6338c815cp-3, -0x1.e12fc6586311p-3, -0x1.e3374b12f53fcp-3, -0x1.e4ae3d4ff366fp-3, -0x1.e59d759114c97p-3, -0x1.e60d5d5cbe386p-3, -0x1.e605f358b00b1p-3, -0x1.e58ecf32c2173p-3, -0x1.e4af2576574a4p-3, -0x1.e36dcb6880fc2p-3, -0x1.e1d13afc062d7p-3, -0x1.dfdf96e462b11p-3, -0x1.dd9eaec494229p-3, -0x1.db14036e2aee2p-3, -0x1.d844cb1f46454p-3, -0x1.d535f5ab4b4abp-3, -0x1.d1ec307a60ef8p-3, -0x1.ce6bea4e672fp-3, -0x1.cab956c0fde18p-3, -0x1.c6d87173a5ef3p-3, -0x1.c2cd00f128066p-3, -0x1.be9a99446aeadp-3, -0x1.ba449e4d254a8p-3, -0x1.b5ce45dd2a82cp-3, -0x1.b13a99aa44bc6p-3, -0x1.ac8c792013a0cp-3, -0x1.a7c69b1c16051p-3, -0x1.a2eb8f9bf606dp-3, -0x1.9dfdc163d56dbp-3, -0x1.98ff779ff30f6p-3, -0x1.93f2d782e41c2p-3, -0x1.8ed9e5dfd2d4fp-3, -0x1.89b688bf0e627p-3, -0x1.848a88ea69adfp-3, -0x1.7f57936ee8e32p-3, -0x1.7a1f3b1166959p-3, -0x1.74e2f9b4923fp-3, -0x1.6fa431af62825p-3, -0x1.6a642f13de2bcp-3, -0x1.652428e6ba996p-3, -0x1.5fe54248a386ap-3, -0x1.5aa88b9229906p-3, -0x1.556f036323821p-3, -0x1.503997a5fe73p-3, -0x1.4b0926871e203p-3, -0x1.45de7f60199d7p-3, -0x1.40ba639653f16p-3, -0x1.3b9d876c6cab2p-3, -0x1.368892c617dabp-3, -0x1.317c21de12a88p-3, -0x1.2c78c5ee55f77p-3, -0x1.277f05caf6c8bp-3, -0x1.228f5e707421dp-3, -0x1.1daa438685c6cp-3, -0x1.18d01fd8a5cc7p-3, -0x1.140155c59613ep-3, -0x1.0f3e3fa73fc1dp-3, -0x1.0a87303401c7fp-3, -0x1.05dc72da8f022p-3, -0x1.013e4c1922b23p-3, -0x1.f959f3a19b7f3p-4, -0x1.f051672ac3188p-4, -0x1.e76355f4bcd19p-4, -0x1.de9017ba726d4p-4, -0x1.d5d7f95a80b43p-4, -0x1.cd3b3d6288187p-4, -0x1.c4ba1c9678343p-4, -0x1.bc54c67407664p-4, -0x1.b40b61b2925c7p-4, -0x1.abde0cbf8f864p-4, -0x1.a3ccde379833p-4, -0x1.9bd7e55c28c7dp-4, -0x1.93ff2a85e1b15p-4, -0x1.8c42af934640cp-4, -0x1.84a27053b74e9p-4, -0x1.7d1e62ee7e2f2p-4, -0x1.75b7bb505f265p-4, -0x1.6e6b970b0a59ep-4, -0x1.673b65c2c1df3p-4, -0x1.60270c88b9b47p-4, -0x1.592e6c72f68cdp-4, -0x1.525162dce947fp-4, -0x1.4b8fc9a4a9effp-4, -0x1.44e9776511094p-4, -0x1.3e5e3face456ep-4, -0x1.37edf33352e2cp-4, -0x1.31986009f15fp-4, -0x1.2b5d51cc63355p-4, -0x1.253c91cddbb8cp-4, -0x1.1f35e74498b91p-4, -0x1.1949177373522p-4, -0x1.1375e5d1a0792p-4, -0x1.0dbc1430b1fe3p-4, -0x1.081b62e0e832p-4, -0x1.029390d3de08dp-4, -0x1.fa48b77b33df2p-5, -0x1.ef9b00680ebd5p-5, -0x1.e51d7399c8d9p-5, -0x1.dacf867447748p-5, -0x1.d0b0acc99b45bp-5, -0x1.c6c0590cd187fp-5, -0x1.bcfdfc81dce77p-5, -0x1.b369076ab7b3bp-5, -0x1.aa00e931cba87p-5, -0x1.a0c51091c1153p-5, -0x1.97b4ebbacf6bbp-5, -0x1.8ecfe875a93f4p-5, -0x1.861574442c2adp-5, -0x1.7d84fc7feac8cp-5, -0x1.751dee76bb4ebp-5, -0x1.6cdfb78565e52p-5, -0x1.64c9c53094279p-5, -0x1.5cdb853c2718ep-5, -0x1.551465c10ce11p-5, -0x1.4d73d541b8cf5p-5, -0x1.45f942bd57aa3p-5, -0x1.3ea41dc1dddb4p-5, -0x1.3773d67d05fb4p-5, -0x1.3067ddcc5426fp-5, -0x1.297fa54c38d9ep-5, -0x1.22ba9f665ccf5p-5, -0x1.1c183f5f2a517p-5, -0x1.1597f9629fecap-5, -0x1.0f39429073ebdp-5, -0x1.08fb910794927p-5, -0x1.02de5bf10b112p-5, -0x1.f9c237148a246p-6, -0x1.ee06925d96693p-6, -0x1.e288bec2c8e95p-6, -0x1.d747b3a958475p-6, -0x1.cc426ae637ae2p-6, -0x1.c177e0cd14ba1p-6, -0x1.b6e7143e40d5cp-6, -0x1.ac8f06b390986p-6, -0x1.a26ebc4c328dcp-6, -0x1.98853bd77e1c7p-6, -0x1.8ed18edec4641p-6, -0x1.8552c1ae2b853p-6, -0x1.7c07e35c91823p-6, -0x1.72f005d28b222p-6, -0x1.6a0a3dd076626p-6, -0x1.6155a2f3b919ap-6, -0x1.58d14fbb26de2p-6, -0x1.507c618a9f134p-6, -0x1.4855f8ade756ep-6, -0x1.405d385accddp-6, -0x1.389146b297fbfp-6, -0x1.30f14cc2d6213p-6, -0x1.297c768586db3p-6, -0x1.2231f2e0b467cp-6, -0x1.1b10f3a57f867p-6, -0x1.1418ad8ea6ff2p-6, -0x1.0d48583e983dp-6, -0x1.069f2e3d08488p-6, -0x1.001c6cf425508p-6, -0x1.f37ea95ac88d1p-7, -0x1.e70e511be76a4p-7, -0x1.dae65d25b1781p-7, -0x1.cf055f197eb1cp-7, -0x1.c369ee370a0b7p-7, -0x1.b812a752fb5a8p-7, -0x1.acfe2ccd020f3p-7, -0x1.a22b26857f572p-7, -0x1.979841d2c9833p-7, -0x1.8d4431761f344p-7, -0x1.832dad90396d1p-7, -0x1.795373959fb65p-7, -0x1.6fb44642b1ac7p-7, -0x1.664eed8f78414p-7, -0x1.5d2236a33a797p-7, -0x1.542cf3c7e521p-7, -0x1.4b6dfc5d3e6c8p-7, -0x1.42e42ccbf7202p-7, -0x1.3a8e667893515p-7, -0x1.326b8fb6323b1p-7, -0x1.2a7a93b9373e7p-7, -0x1.22ba6289d706ap-7, -0x1.1b29f0f68d4f7p-7, -0x1.13c838867abf6p-7, -0x1.0c94376bae7d1p-7, -0x1.058cf0755e75bp-7, -0x1.fd62d6041ee74p-8, -0x1.f00165e35bbcep-8, -0x1.e2f3b12f3507dp-8, -0x1.d637e15959eeap-8, -0x1.c9cc288259052p-8, -0x1.bdaec15d80737p-8, -0x1.b1ddef14b7a33p-8, -0x1.a657fd2c4bb27p-8, -0x1.9b1b3f66b83dap-8, -0x1.902611a86f519p-8, -0x1.8576d7dba0ccfp-8, -0x1.7b0bfdd406434p-8, -0x1.70e3f732b708dp-8, -0x1.66fd3f4a06196p-8, -0x1.5d5659016ea14p-8, -0x1.53edceb991b27p-8, -0x1.4ac2323045b4cp-8, -0x1.41d21c64be9bap-8, -0x1.391c2d7bcfb8dp-8, -0x1.309f0ca44a8dp-8, -0x1.285967fb7b6efp-8, -0x1.2049f471ca816p-8, -0x1.186f6daf7fd8ap-8, -0x1.10c895f9b0285p-8, -0x1.0954361751f97p-8, -0x1.02111d3681e22p-8, -0x1.f5fc41a3e42bep-9, -0x1.e834392d15e1p-9, -0x1.dac7e49284c6ep-9, -0x1.cdb5135a45eb4p-9, -0x1.c0f9a0d31a0dcp-9, -0x1.b49373e15f9d3p-9, -0x1.a8807ecc78ad5p-9, -0x1.9cbebf0ca9646p-9, -0x1.914c3d1972d33p-9, -0x1.86270c386ac5dp-9, -0x1.7b4d4a4c935fp-9, -0x1.70bd1fa638aecp-9, -0x1.6674bed35204p-9, -0x1.5c7264706ae9ep-9, -0x1.52b456fa16115p-9, -0x1.4938e69eeab7p-9, -0x1.3ffe6d121196cp-9, -0x1.37034d5e5e0b3p-9, -0x1.2e45f3b9f2cacp-9, -0x1.25c4d55a7fc31p-9, -0x1.1d7e704a0680dp-9, -0x1.15714b3c39665p-9, -0x1.0d9bf56465ef9p-9, -0x1.05fd064bf424p-9, -0x1.fd263b52f42d9p-10, -0x1.eeb9c670b9688p-10, -0x1.e0b20d220ffc6p-10, -0x1.d30c7e036daa7p-10, -0x1.c5c696cf9800ap-10, -0x1.b8dde4137a04p-10, -0x1.ac5000e31b35fp-10, -0x1.a01a968fb6d4fp-10, -0x1.943b5c5eeed75p-10, -0x1.88b017431cdfdp-10, -0x1.7d769994c24ep-10, -0x1.728cc2cd0c263p-10, -0x1.67f04240a504dp-10, -0x1.5d9f92552a8e6p-10, -0x1.539873a90ab35p-10, -0x1.49d8f7928b469p-10, -0x1.405f3b3e0dfcap-10, -0x1.3729676ef3c19p-10, -0x1.2e35b04190872p-10, -0x1.258254ee2568p-10, -0x1.1d0d9f8ce1212p-10, -0x1.14d5e4dadddefp-10, -0x1.0cd9840028c06p-10, -0x1.0516e656c10d3p-10, -0x1.fb18fe652211bp-11, -0x1.ec719754c7119p-11, -0x1.de34a4c39a26ap-11, -0x1.d05f46a811465p-11, -0x1.c2eeaf3f8805fp-11, -0x1.b5e022a7baa65p-11, -0x1.a930f67a0b24bp-11, -0x1.9cde9168a16bfp-11, -0x1.90e66add53107p-11, -0x1.85460a9a4b613p-11, -0x1.79fb085c7e62fp-11, -0x1.6f030b7fcc984p-11, -0x1.645bcaa4dcfbbp-11, -0x1.5a030b58ab61p-11, -0x1.4ff6a1bdbc254p-11, -0x1.46347036f208ap-11, -0x1.3cba67140a77ap-11, -0x1.3386843fa9861p-11, -0x1.2a96d2ef03cc1p-11, -0x1.21e96b5309fe4p-11, -0x1.197c724b2a4c4p-11, -0x1.114e19198b99cp-11, -0x1.095c9d18c9525p-11, -0x1.01a647732cec1p-11, -0x1.f452d9b6a28dfp-12, -0x1.e5c8da8c7c333p-12, -0x1.d7ab674dc464p-12, -0x1.c9f76b55f5e9bp-12, -0x1.bca9e6f2a6121p-12, -0x1.afbfeee2b961cp-12, -0x1.a336abd841386p-12, -0x1.970b59fcf87dfp-12, -0x1.8b3b48794861ap-12, -0x1.7fc3d8fded087p-12, -0x1.74a27f500420dp-12, -0x1.69d4c0d798455p-12, -0x1.5f5834309c921p-12, -0x1.552a80be4428fp-12, -0x1.4b495e40aee3bp-12, -0x1.41b2946cee59dp-12, -0x1.3863fa873fa7p-12, -0x1.2f5b76ff8f1cfp-12, -0x1.2696ff10200b6p-12, -0x1.1e14965e66219p-12, -0x1.15d24e9de9addp-12, -0x1.0dce47355ac31p-12, -0x1.0606ace592dc4p-12, -0x1.fcf372e55dc3ap-13, -0x1.ee4b669e17ef1p-13, -0x1.e011da908e1b5p-13, -0x1.d2438c6c133a3p-13, -0x1.c4dd51558f2c5p-13, -0x1.b7dc154c803d7p-13, -0x1.ab3cda93abaecp-13, -0x1.9efcb91d2b576p-13, -0x1.9318ddfa0f4dap-13, -0x1.878e8acd4e3cep-13, -0x1.7c5b1541e796ap-13, -0x1.717be6846e8f3p-13, -0x1.66ee7abfa8559p-13, -0x1.5cb0609c29b49p-13, -0x1.52bf38c339796p-13, -0x1.4918b5647082dp-13, -0x1.3fba99be5b07dp-13, -0x1.36a2b9a9efd8cp-13, -0x1.2dcef928d74dbp-13, -0x1.253d4bf6513ep-13, -0x1.1cebb51af0f2bp-13, -0x1.14d84682b57b1p-13, -0x1.0d012095f5484p-13, -0x1.056471d485be4p-13, -0x1.fc00ece70e6aep-14, -0x1.eda6effaf4e7ap-14, -0x1.dfb799e95874cp-14, -0x1.d22fb0efd9fc4p-14, -0x1.c50c13d3075ecp-14, -0x1.b849b930c7556p-14, -0x1.abe5aed6a7b93p-14, -0x1.9fdd191cc8fe9p-14, -0x1.942d32449f1d1p-14, -0x1.88d349dbcae7ep-14, -0x1.7dccc422f3e07p-14, -0x1.731719783b4afp-14, -0x1.68afd5c5b385cp-14, -0x1.5e9497f380207p-14, -0x1.54c3115d3497fp-14, -0x1.4b39054b4b825p-14, -0x1.41f4486f88f7fp-14, -0x1.38f2c0651afd9p-14, -0x1.30326333e0fa2p-14, -0x1.27b136d6e8456p-14, -0x1.1f6d50c63620ap-14, -0x1.1764d5837f15cp-14, -0x1.0f95f82a0843dp-14, -0x1.07fefa0188434p-14, -0x1.009e2a13b8bb1p-14, -0x1.f2e3c98a1786dp-15, -0x1.e4f126dfbc2e6p-15, -0x1.d76158058fb3bp-15, -0x1.ca316141ea84ap-15, -0x1.bd5e5e8b7d466p-15, -0x1.b0e582d4a4256p-15, -0x1.a4c4175c6d4f5p-15, -0x1.98f77b03d84aep-15, -0x1.8d7d21a822bdcp-15, -0x1.82529381a42cap-15, -0x1.77756c872ccf9p-15, -0x1.6ce35bd5c7c7cp-15, -0x1.629a231ca48acp-15, -0x1.5897960db1248p-15, -0x1.4ed999d16bbbfp-15, -0x1.455e247f6a558p-15, -0x1.3c233c9a89e4ep-15, -0x1.3326f890d42bp-15, -0x1.2a677e3edaceep-15, -0x1.21e3027752e43p-15, -0x1.1997c88d573a1p-15, -0x1.118421e2ac67ap-15, -0x1.09a66d78fe7e6p-15, -0x1.01fd1786abbe1p-15, -0x1.f50d321bca025p-16, -0x1.e682eeefc5fb9p-16, -0x1.d8588864ac742p-16, -0x1.ca8b389fe7312p-16, -0x1.bd1850579c747p-16, -0x1.affd361e70e85p-16, -0x1.a33765b5440b7p-16, -0x1.96c46f616e41dp-16, -0x1.8aa1f747a03e1p-16, -0x1.7ecdb4cd6418ap-16, -0x1.734571fca19cap-16, -0x1.68070aede3f6dp-16, -0x1.5d106d3684abcp-16, -0x1.525f975a2c6f4p-16, -0x1.47f298416e63ep-16, -0x1.3dc78eb4c320ap-16, -0x1.33dca8da6c117p-16, -0x1.2a3023b8d9349p-16, -0x1.20c04abcfa9b1p-16, -0x1.178b77431c97bp-16, -0x1.0e901024b5fa6p-16, -0x1.05cc89489a119p-16, -0x1.fa7ec66d0e111p-17, -0x1.e9ce555dda481p-17, -0x1.d984f0882cb51p-17, -0x1.c99fdff12fc6bp-17, -0x1.ba1c81bce72f5p-17, -0x1.aaf8497490cb3p-17, -0x1.9c30bf52da8f2p-17, -0x1.8dc37f945e4cbp-17, -0x1.7fae39ce57608p-17, -0x1.71eeb0491df3p-17, -0x1.6482b761c87c1p-17, -0x1.576834ee48d38p-17, -0x1.4a9d1fa75c8edp-17, -0x1.3e1f7e9785547p-17, -0x1.31ed688d8c3e8p-17, -0x1.26050393b74e2p-17, -0x1.1a64846b80ccdp-17, -0x1.0f0a2e0c3d602p-17, -0x1.03f4512895a7fp-17, -0x1.f24297674f9cap-18, -0x1.dd1f10da7d476p-18, -0x1.c87afce28d161p-18, -0x1.b4536193a1f1dp-18, -0x1.a0a55c0a90533p-18, -0x1.8d6e1fa0434e4p-18, -0x1.7aaaf5230ad41p-18, -0x1.68593a185baebp-18, -0x1.567660027d69bp-18, -0x1.44ffebace850ep-18, -0x1.33f3748272363p-18, -0x1.234ea3e32192fp-18, -0x1.130f3487697ccp-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.f7fa3133be04p-2, 0x1.02d5a56423e2p-1, 0x1.0760ce2d0383fp-1, 0x1.09d9c634081cep-1, 0x1.0a7ce83ea1ce8p-1, 0x1.09859e61c2703p-1, 0x1.072d1418957c6p-1, 0x1.03a9a27fe96afp-1, 0x1.fe5c7df82c7aap-2, 0x1.f3d3d8c85241dp-2, 0x1.e80f0d51eada9p-2, 0x1.db5b9b19639f6p-2, 0x1.cdfee760714b3p-2, 0x1.c0366e120a7f9p-2, 0x1.b2382dbe525p-2, 0x1.a43332a1a1ac2p-2, 0x1.9650155003bf5p-2, 0x1.88b16bf44e94ep-2, 0x1.7b7440ffb7ea6p-2, 0x1.6eb0975b6687ap-2, 0x1.6279f793cad4ap-2, 0x1.56dffc5042fdap-2, 0x1.4beee1d713333p-2, 0x1.41af626f7002cp-2, 0x1.38278dbc4790bp-2, 0x1.2f5b05960528bp-2, 0x1.274b518aac3fp-2, 0x1.1ff827ffb8a6dp-2, 0x1.195fae6f04b1fp-2, 0x1.137eb3cbcfafbp-2, 0x1.0e50e7256e162p-2, 0x1.09d10a5113946p-2, 0x1.05f91f26d1387p-2, 0x1.02c28e8917002p-2, 0x1.002649ca577bfp-2, 0x1.fc39cf68d62a4p-3, 0x1.f93d7c9ba02eep-3, 0x1.f747f403a0076p-3, 0x1.f64964c8a44d2p-3, 0x1.f631f8f560749p-3, 0x1.f6f1f4a1718e6p-3, 0x1.f879cf84917dep-3, 0x1.faba496bff1dfp-3, 0x1.fda47aa6a9535p-3, 0x1.0094f0d1e20f1p-2, 0x1.029e3752e7807p-2, 0x1.04e746ea95608p-2, 0x1.076997c25b677p-2, 0x1.0a1ee72d325c6p-2, 0x1.0d0139a1c3c51p-2, 0x1.100adbba2889dp-2, 0x1.133662758c931p-2, 0x1.167eaaf4f7deap-2, 0x1.19ded9d2511d7p-2, 0x1.1d525a16d740ap-2, 0x1.20d4dbcf65989p-2, 0x1.2462524aab74p-2, 0x1.27f6f221787b8p-2, 0x1.2b8f2f320667dp-2, 0x1.2f27baac8e3cap-2, 0x1.32bd8136b1319p-2, 0x1.364da9124a2edp-2, 0x1.39d59027ab92bp-2, 0x1.3d47ae19b2208p-2, 0x1.40b742f5505fbp-2, 0x1.441806206536p-2, 0x1.47681fcbb319dp-2, 0x1.4aa5e21127a27p-2, 0x1.4dcfc71464357p-2, 0x1.50e46f497c66fp-2, 0x1.53e29fc9806b4p-2, 0x1.56c9409f723d2p-2, 0x1.59975aff38dd8p-2, 0x1.5c4c17613187dp-2, 0x1.5ee6bb85fc33bp-2, 0x1.6166a86d103b5p-2, 0x1.63cb584c3c4dp-2, 0x1.66145c96a090fp-2, 0x1.68415c1f74674p-2, 0x1.6a521161638d2p-2, 0x1.6c4648ef769ccp-2, 0x1.6e1de011082d5p-2, 0x1.6fd8c38785841p-2, 0x1.7176ee7aa9234p-2, 0x1.72f8698665ea9p-2, 0x1.745d49e497a87p-2, 0x1.75a5b0abf2bc6p-2, 0x1.76d1ca1d8fd22p-2, 0x1.77e1ccfad4951p-2, 0x1.78d5f9de80cacp-2, 0x1.79ae9a95159edp-2, 0x1.7a6c017257dd3p-2, 0x1.7b0e88a340b23p-2, 0x1.7b96917ccdf98p-2, 0x1.7c0483c8f1677p-2, 0x1.7c58cd132ec5ap-2, 0x1.7c93dff6913bdp-2, 0x1.7cb6336e7b1cfp-2, 0x1.7cc0422be466p-2, 0x1.7cb289f0764aep-2, 0x1.7c8d8af128b52p-2, 0x1.7c51c741fdce6p-2, 0x1.7bffc24c8d3abp-2, 0x1.7b980052da91ap-2, 0x1.7b1b05ffa3782p-2, 0x1.7a895804e8306p-2, 0x1.79e37ac8d15edp-2, 0x1.7929f220aae33p-2, 0x1.785d41190ea2bp-2, 0x1.777de9ca38b23p-2, 0x1.768c6d3716153p-2, 0x1.75894b35bbdb8p-2, 0x1.7475025fd52e5p-2, 0x1.73501009b6f7ap-2, 0x1.721af03ec7d03p-2, 0x1.70d61dc1fce6bp-2, 0x1.6f8212111b6e4p-2, 0x1.6e1f45698a45p-2, 0x1.6cae2ecd5861fp-2, 0x1.6b2f440763664p-2, 0x1.69a2f9ad73b21p-2, 0x1.6809c31f7d139p-2, 0x1.666412835b2eap-2, 0x1.64b258bcb83fdp-2, 0x1.62f50561141c8p-2, 0x1.612c86a82d698p-2, 0x1.5f594959482c8p-2, 0x1.5d7bb8b60215ep-2, 0x1.5b943e6378389p-2, 0x1.59a3425296927p-2, 0x1.57a92aa862befp-2, 0x1.55a65ba70bb0fp-2, 0x1.539b3798691acp-2, 0x1.51881eba89482p-2, 0x1.4f6d6f2ec3b8cp-2, 0x1.4d4b84ebb5335p-2, 0x1.4b22b9b26353ap-2, 0x1.48f36506b009fp-2, 0x1.46bddc2b2dc2cp-2, 0x1.4482722047751p-2, 0x1.424177a69b2a7p-2, 0x1.3ffb3b4459b4bp-2, 0x1.3db0094d6c3bbp-2, 0x1.3b602bee1078fp-2, 0x1.390beb37a0dd3p-2, 0x1.36b38d2f31fb9p-2, 0x1.345755ddb4be1p-2, 0x1.31f8ca83a4c08p-2, 0x1.2f953f2a146dbp-2, 0x1.2d2e964a9a163p-2, 0x1.2ac50f2336e9dp-2, 0x1.2858e74e7ea09p-2, 0x1.25ea5ac7c89a5p-2, 0x1.2379a3f010ea6p-2, 0x1.2106fb938b117p-2, 0x1.1e9298efdfccfp-2, 0x1.1c1cb1bb0707ep-2, 0x1.19a57a2aae88cp-2, 0x1.172d24fc210b4p-2, 0x1.14b3e37c8fdeap-2, 0x1.1239e591b8df6p-2, 0x1.0fbf59c2d3b12p-2, 0x1.0d446d41ab63bp-2, 0x1.0ac94bf3e0ff1p-2, 0x1.084e207c39ef9p-2, 0x1.05d31443eee25p-2, 0x1.03584f83e747dp-2, 0x1.00ddf94dd369bp-2, 0x1.fcc86f2a11dcp-3, 0x1.f7d65e6e4b79fp-3, 0x1.f2e60808b09bp-3, 0x1.edf7b18e9649ap-3, 0x1.e90b9e994aee6p-3, 0x1.e42210d439e71p-3, 0x1.df3b480a1e1b7p-3, 0x1.da57823141cb8p-3, 0x1.d576fb76d7e96p-3, 0x1.d099ee4960092p-3, 0x1.cbc093623492bp-3, 0x1.c6eb21ce42534p-3, 0x1.c219cef5ff6c6p-3, 0x1.bd4ccea4b960ep-3, 0x1.b884530f4851cp-3, 0x1.b3c08cda41ceap-3, 0x1.af01ab1fc2191p-3, 0x1.aa47db74e47b1p-3, 0x1.a59349eef53f3p-3, 0x1.a0e421288782ep-3, 0x1.9c3a8a46699bfp-3, 0x1.9796acfc9de43p-3, 0x1.92f8af935ef41p-3, 0x1.8e60b6ec38189p-3, 0x1.89cee687447dp-3, 0x1.854360889b313p-3, 0x1.80be45bdee33dp-3, 0x1.7c3fb5a458fc8p-3, 0x1.77c7ce6e6bb79p-3, 0x1.7356ad0a6debcp-3, 0x1.6eec6d28cfbefp-3, 0x1.6a892942d2a4cp-3, 0x1.662cfaa157e03p-3, 0x1.61d7f963dcc27p-3, 0x1.5d8a3c878f8bp-3, 0x1.5943d9ee7f8bfp-3, 0x1.5504e666dee65p-3, 0x1.50cd75b24b4f6p-3, 0x1.4c9d9a8d1351ep-3, 0x1.487566b57aad4p-3, 0x1.4454eaf2e9994p-3, 0x1.403c371d01a5dp-3, 0x1.3c2b5a2294b2fp-3, 0x1.382262107371fp-3, 0x1.34215c180d49p-3, 0x1.30285495db6edp-3, 0x1.2c37571791f94p-3, 0x1.284e6e6215fc9p-3, 0x1.246da4772d4c2p-3, 0x1.2095029aec43p-3, 0x1.1cc49158e7bbfp-3, 0x1.18fc5889153bcp-3, 0x1.153c5f54710dep-3, 0x1.1184ac395b5f2p-3, 0x1.0dd5450fbecebp-3, 0x1.0a2e2f0cf0a1ap-3, 0x1.068f6ec75df1p-3, 0x1.02f9083a024fap-3, 0x1.fed5fd8f5c1d3p-4, 0x1.f7caaa7c410dp-4, 0x1.f0d01bb1f75aap-4, 0x1.e9e6548923b24p-4, 0x1.e30d57413401dp-4, 0x1.dc452505835dfp-4, 0x1.d58dbdf26a8d8p-4, 0x1.cee7211a14c49p-4, 0x1.c8514c8941057p-4, 0x1.c1cc3d4bf3acap-4, 0x1.bb57ef720d994p-4, 0x1.b4f45e13dfd0cp-4, 0x1.aea18356bd605p-4, 0x1.a85f587187f71p-4, 0x1.a22dd5b141c7ap-4, 0x1.9c0cf27db100fp-4, 0x1.95fca55e02931p-4, 0x1.8ffce3fd831ecp-4, 0x1.8a0da330648f3p-4, 0x1.842ed6f8970ep-4, 0x1.7e60728ab19f6p-4, 0x1.78a26852eef95p-4, 0x1.72f4a9fa3b6b8p-4, 0x1.6d57286b51e7dp-4, 0x1.67c9d3d7ead04p-4, 0x1.624c9bbdf57f3p-4, 0x1.5cdf6eece0f1ap-4, 0x1.57823b8ae65fep-4, 0x1.5234ef1a6108bp-4, 0x1.4cf7767f24c0fp-4, 0x1.47c9be03d5be4p-4, 0x1.42abb15f3e9fcp-4, 0x1.3d9d3bb99e04ap-4, 0x1.389e47b1f17fcp-4, 0x1.33aebf632de49p-4, 0x1.2ece8c69705e7p-4, 0x1.29fd97e71d3bcp-4, 0x1.253bca89ed4ebp-4, 0x1.20890c8fe7996p-4, 0x1.1be545cc47471p-4, 0x1.17505dac4a98cp-4, 0x1.12ca3b3be7c87p-4, 0x1.0e52c52a6ca3cp-4, 0x1.09e9e1cf05dfp-4, 0x1.058f772d28262p-4, 0x1.01436af8e19afp-4, 0x1.fa0b4536212bap-5, 0x1.f1ac066b00ba8p-5, 0x1.e968e34dcf8fdp-5, 0x1.e141a51d9f303p-5, 0x1.d93614a2b9622p-5, 0x1.d145fa360086dp-5, 0x1.c9711dc815e44p-5, 0x1.c1b746e851d8bp-5, 0x1.ba183ccb81a58p-5, 0x1.b293c65273443p-5, 0x1.ab29aa1052c9cp-5, 0x1.a3d9ae50cd622p-5, 0x1.9ca3991e0d3dbp-5, 0x1.9587304681c6p-5, 0x1.8e84396273662p-5, 0x1.879a79d97cef5p-5, 0x1.80c9b6e7c0bbbp-5, 0x1.7a11b5a30b2b5p-5, 0x1.73723affc2d0dp-5, 0x1.6ceb0bd5b2446p-5, 0x1.667bece4b3b3fp-5, 0x1.6024a2d9301f4p-5, 0x1.59e4f250891ccp-5, 0x1.53bc9fdd59746p-5, 0x1.4dab700ba530fp-5, 0x1.47b12764ddb69p-5, 0x1.41cd8a73d82p-5, 0x1.3c005dc8a776ap-5, 0x1.364965fc595c5p-5, 0x1.30a867b4a7186p-5, 0x1.2b1d27a787af1p-5, 0x1.25a76a9eb3314p-5, 0x1.2046f57b0f881p-5, 0x1.1afb8d3808d7fp-5, 0x1.15c4f6eedfafep-5, 0x1.10a2f7d9d78ep-5, 0x1.0b9555576726cp-5, 0x1.069bd4ed3b487p-5, 0x1.01b63c4b4dcd4p-5, 0x1.f9c8a29d8b533p-6, 0x1.f04bb409c1aa3p-6, 0x1.e6f5395b85829p-6, 0x1.ddc3f44af06b4p-6, 0x1.d4b922eae2b3dp-6, 0x1.cbd36d504d734p-6, 0x1.c31261b1f0f4ap-6, 0x1.ba758ec7d60b2p-6, 0x1.b1fc83d02e693p-6, 0x1.a9a6d09407ef4p-6, 0x1.a174056bde328p-6, 0x1.9963b3440fdedp-6, 0x1.91756ba135d5dp-6, 0x1.89a8c0a448586p-6, 0x1.81fd450eb07b4p-6, 0x1.7a728c4637d5bp-6, 0x1.73082a58d22f9p-6, 0x1.6bbdb40047856p-6, 0x1.6492bea5b80c8p-6, 0x1.5d86e0650a66dp-6, 0x1.5699b01025c3cp-6, 0x1.4fcac5321ea28p-6, 0x1.4919b812368b3p-6, 0x1.428621b6b898fp-6, 0x1.3c0f9be7bd624p-6, 0x1.35b5c131c8e2bp-6, 0x1.2f782ce84cf1cp-6, 0x1.29567b27fdfd7p-6, 0x1.235048d916e08p-6, 0x1.1d6533b176059p-6, 0x1.1794da369e63ap-6, 0x1.11dedbbf905f7p-6, 0x1.0c42d8768c26fp-6, 0x1.06c0715ab89c5p-6, 0x1.015748419f53ap-6, 0x1.f80dffb1257ffp-7, 0x1.ed9e774bfbb87p-7, 0x1.e35f4015176f3p-7, 0x1.d94fa4846f928p-7, 0x1.cf6ef0ca843cbp-7, 0x1.c5bc72d215cdcp-7, 0x1.bc377a419e18cp-7, 0x1.b2df587ca228ap-7, 0x1.a9b360a4c1e01p-7, 0x1.a0b2e79aaa0aep-7, 0x1.97dd43fec882fp-7, 0x1.8f31ce31cc424p-7, 0x1.86afe05526ddap-7, 0x1.7e56d64b0decdp-7, 0x1.76260db6a10a7p-7, 0x1.6e1ce5fbcdae1p-7, 0x1.663ac03ef2495p-7, 0x1.5e7eff64859dbp-7, 0x1.56e908107beccp-7, 0x1.4f7840a59e15fp-7, 0x1.482c11449e8e2p-7, 0x1.4103e3cb3e1adp-7, 0x1.39ff23d330603p-7, 0x1.331d3eb0da037p-7, 0x1.2c5da372197ecp-7, 0x1.25bfc2dcd034dp-7, 0x1.1f430f6d6c141p-7, 0x1.18e6fd5540886p-7, 0x1.12ab0278dddfep-7, 0x1.0c8e966e3509cp-7, 0x1.0691327ad7c27p-7, 0x1.00b25191ea5c1p-7, 0x1.f5e2e0a45034fp-8, 0x1.ea9c1a0788c09p-8, 0x1.df8f4f2c820aep-8, 0x1.d4bb833c5c53p-8, 0x1.ca1fbca5aceb2p-8, 0x1.bfbb0517d3146p-8, 0x1.b58c697e124dep-8, 0x1.ab92f9fa80735p-8, 0x1.a1cdc9e1066f7p-8, 0x1.983befb233e4bp-8, 0x1.8edc8515c7f72p-8, 0x1.85aea6d552932p-8, 0x1.7cb174d6e91ffp-8, 0x1.73e4121718faep-8, 0x1.6b45a4a394001p-8, 0x1.62d5559522bd6p-8, 0x1.5a925109efdfdp-8, 0x1.527bc61f68f28p-8, 0x1.4a90e6ec3f34dp-8, 0x1.42d0e87a46612p-8, 0x1.3b3b02c024722p-8, 0x1.33ce709b11bbcp-8, 0x1.2c8a6fc888afep-8, 0x1.256e40dfae25ap-8, 0x1.1e79274ae660dp-8, 0x1.17aa694146ea8p-8, 0x1.11014fbfe3d29p-8, 0x1.0a7d268321b95p-8, 0x1.041d3bfffbbf8p-8, 0x1.fbc1c2ba573f7p-9, 0x1.ef8ed4d8b984p-9, 0x1.e3a05b468894fp-9, 0x1.d7f508295237dp-9, 0x1.cc8b92d318735p-9, 0x1.c162b7b402714p-9, 0x1.b679384cb5b3cp-9, 0x1.abcddb200787ep-9, 0x1.a15f6ba502e93p-9, 0x1.972cba38c39d2p-9, 0x1.8d349c103c79ep-9, 0x1.8375eb2a557fp-9, 0x1.79ef86419686bp-9, 0x1.70a050be02f12p-9, 0x1.678732a79891p-9, 0x1.5ea318975a7bep-9, 0x1.55f2f3aa0451fp-9, 0x1.4d75b9719207ap-9, 0x1.452a63e7de58ep-9, 0x1.3d0ff16066cf9p-9, 0x1.3525647ac6bf4p-9, 0x1.2d69c414b276fp-9, 0x1.25dc1b3cbbfbep-9, 0x1.1e7b792470926p-9, 0x1.1746f112f730dp-9, 0x1.103d9a57e19dp-9, 0x1.095e903dbdecep-9, 0x1.02a8f1fd0459ap-9, 0x1.f837c55d88ab5p-10, 0x1.eb6d12802e76ep-10, 0x1.def020c9e515dp-10, 0x1.d2bf4d170a675p-10, 0x1.c6d8fb9f19fbp-10, 0x1.bb3b97dbab32fp-10, 0x1.afe5946f6ae4dp-10, 0x1.a4d56b0db3bbap-10, 0x1.9a099c6216d61p-10, 0x1.8f80aff7d141p-10, 0x1.853934224346bp-10, 0x1.7b31bde51d6efp-10, 0x1.7168e8dcaac52p-10, 0x1.67dd57269276ap-10, 0x1.5e8db14acf7c3p-10, 0x1.5578a6249d019p-10, 0x1.4c9ceacbe3267p-10, 0x1.43f93a7ebfe64p-10, 0x1.3b8c568b3766fp-10, 0x1.335506391151dp-10, 0x1.2b5216b3d3722p-10, 0x1.23825af5d6ecep-10, 0x1.1be4abb1dc6b2p-10, 0x1.1477e73dd942fp-10, 0x1.0d3af17e6c638p-10, 0x1.062cb3d1df499p-10, 0x1.fe9839f5a9117p-11, 0x1.f13042186652ep-11, 0x1.e41f72a94f422p-11, 0x1.d763c895196a7p-11, 0x1.cafb4aef5c697p-11, 0x1.bee40acb43c3ep-11, 0x1.b31c2313e875ap-11, 0x1.a7a1b86566c1bp-11, 0x1.9c72f8e63ab71p-11, 0x1.918e1c2158f59p-11, 0x1.86f162de85fd8p-11, 0x1.7c9b16fe930aep-11, 0x1.72898b54f7da3p-11, 0x1.68bb1b82b8cabp-11, 0x1.5f2e2bd1c1de9p-11, 0x1.55e12910f32cep-11, 0x1.4cd2886f34802p-11, 0x1.4400c75785d58p-11, 0x1.3b6a6b4e47f59p-11, 0x1.330e01cda418ap-11, 0x1.2aea2022ad174p-11, 0x1.22fd634a9cfa4p-11, 0x1.1b466fd0d9d3ep-11, 0x1.13c3f1acfb0b7p-11, 0x1.0c749c2115d1ep-11, 0x1.055729983fa11p-11, 0x1.fcd4b70d19383p-12, 0x1.ef59f48f289dap-12, 0x1.e23ba9fd84f1ep-12, 0x1.d57782eeba2bfp-12, 0x1.c90b380a59f42p-12, 0x1.bcf48ecb08aa1p-12, 0x1.b1315940e9e4fp-12, 0x1.a5bf75d63a7f8p-12, 0x1.9a9ccf12e4877p-12, 0x1.8fc75b6186464p-12, 0x1.853d1cd791056p-12, 0x1.7afc20fb691cdp-12, 0x1.7102808beebf2p-12, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.38d2ec0cffae4p-1, -0x1.40014eeb79dfcp-1, -0x1.44ff605182b65p-1, -0x1.480129385ec32p-1, -0x1.493d472a3d0bep-1, -0x1.48eab5f0bb0b7p-1, -0x1.473f331c1e427p-1, -0x1.446e43f49d80cp-1, -0x1.40a887616e432p-1, -0x1.3c1b2157bf47ep-1, -0x1.36ef598c081f6p-1, -0x1.314a8127085c5p-1, -0x1.2b4e053a9ee7dp-1, -0x1.25178d63d9b86p-1, -0x1.1ec11e1b47df2p-1, -0x1.1861446d07a5p-1, -0x1.120b514435a88p-1, -0x1.0bcfa1f4e6df3p-1, -0x1.05bbe882a2e1fp-1, -0x1.ffb6d3e56d071p-2, -0x1.f46e6d6311d2fp-2, -0x1.e9accb0f90964p-2, -0x1.df7c73f0aa254p-2, -0x1.d5e51da842e53p-2, -0x1.ccebb7f9083bcp-2, -0x1.c492e12e3848fp-2, -0x1.bcdb39a8d356fp-2, -0x1.b5c3ad63f144dp-2, -0x1.af49b5703b43dp-2, -0x1.a96993ec1f409p-2, -0x1.a41e8b488a6c4p-2, -0x1.9f630fe2c7e88p-2, -0x1.9b30f321dc761p-2, -0x1.978188bf76151p-2, -0x1.944dc79f9e1d7p-2, -0x1.918e66f3f9b63p-2, -0x1.8f3bf79ac67fcp-2, -0x1.8d4ef9b8c680dp-2, -0x1.8bbfef12d009cp-2, -0x1.8a876ad24e7cp-2, -0x1.899e1f0918ea9p-2, -0x1.88fce7f587addp-2, -0x1.889cd513b600cp-2, -0x1.8877305095459p-2, -0x1.888583d892e5ep-2, -0x1.88c19ed1939e6p-2, -0x1.8925990039a7bp-2, -0x1.89abd52cb3e8fp-2, -0x1.8a4f023761f3fp-2, -0x1.8b0a1b15a5805p-2, -0x1.8bd866273211cp-2, -0x1.8cb57452620e3p-2, -0x1.8d9d201d9ae24p-2, -0x1.8e8b8cb3484d7p-2, -0x1.8f7d249171d5cp-2, -0x1.906e97aad8fe6p-2, -0x1.915cd8ec922d2p-2, -0x1.92451b514a52bp-2, -0x1.9324cecbfefbap-2, -0x1.93f99d5012a4cp-2, -0x1.94c1681bd757ep-2, -0x1.957a45413d74bp-2, -0x1.96227d4ba9153p-2, -0x1.96ae5c47636dcp-2, -0x1.973045b700fe1p-2, -0x1.979d94698f181p-2, -0x1.97f544e2467f7p-2, -0x1.983678404596cp-2, -0x1.9860721be3e4dp-2, -0x1.987296816dbcdp-2, -0x1.986c67fa4dd2p-2, -0x1.984d8598d0a8dp-2, -0x1.9815a8ffab785p-2, -0x1.97c4a46478a9cp-2, -0x1.975a6091d081p-2, -0x1.96d6daf161105p-2, -0x1.963a23a7b8286p-2, -0x1.95845bcab155dp-2, -0x1.94b5b3b8fbd37p-2, -0x1.93ce699654e98p-2, -0x1.92cec7ed2e208p-2, -0x1.91b72474772ecp-2, -0x1.9087def6cb808p-2, -0x1.8f41605799e6fp-2, -0x1.8de419b26396ep-2, -0x1.8c70839010682p-2, -0x1.8ae71d2e36988p-2, -0x1.89486bd455c69p-2, -0x1.8794fa3346cd2p-2, -0x1.85cd57cbb7b27p-2, -0x1.83f2185936657p-2, -0x1.8203d3402806cp-2, -0x1.800322fdc3a4ep-2, -0x1.7df0a499d972dp-2, -0x1.7bccf71a9e52ap-2, -0x1.7998bafb01d8fp-2, -0x1.775491a449434p-2, -0x1.75011cebcb47dp-2, -0x1.729efe95ca83dp-2, -0x1.702ed7de8d484p-2, -0x1.6db1490ae7138p-2, -0x1.6b26f101799c2p-2, -0x1.68906cedcf428p-2, -0x1.65ee57ee4451dp-2, -0x1.63414acd5d652p-2, -0x1.6089dbc6c0986p-2, -0x1.5dc89e579a1b6p-2, -0x1.5afe2319da92fp-2, -0x1.582af7a967109p-2, -0x1.554fa692324f2p-2, -0x1.526cb74617364p-2, -0x1.4f82ae194edadp-2, -0x1.4c920c4466506p-2, -0x1.499b4feaa5cfcp-2, -0x1.469ef423ed31dp-2, -0x1.439d7108ff9e1p-2, -0x1.40973bc15a9b6p-2, -0x1.3d8cc691a0e76p-2, -0x1.3a7e80e9c192cp-2, -0x1.376cd7721c121p-2, -0x1.34583416f9b24p-2, -0x1.3140fe11ed9c7p-2, -0x1.2e2799f0d7ad6p-2, -0x1.2b0c699a870d7p-2, -0x1.27efcc5116ebbp-2, -0x1.24d21eb25aaf4p-2, -0x1.21b3bab6c5cf6p-2, -0x1.1e94f7af4611dp-2, -0x1.1b762a429c7c1p-2, -0x1.1857a46aa7506p-2, -0x1.1539b5721fb5bp-2, -0x1.121ca9f31f0bep-2, -0x1.0f00cbd6cdff2p-2, -0x1.0be66256705f3p-2, -0x1.08cdb1fe098aep-2, -0x1.05b6fcb0b4b3fp-2, -0x1.02a281aebf7fap-2, -0x1.ff20fb3b2db04p-3, -0x1.f9025522ec348p-3, -0x1.f2e980319357p-3, -0x1.ecd6e69256eb6p-3, -0x1.e6caed9bab519p-3, -0x1.e0c5f5eebb29ep-3, -0x1.dac85b991a89fp-3, -0x1.d4d2763840f44p-3, -0x1.cee4991e7843cp-3, -0x1.c8ff1378c5668p-3, -0x1.c323a33381781p-3, -0x1.bd4f42d27da4cp-3, -0x1.b7840aedf422ap-3, -0x1.b1c23e280361p-3, -0x1.ac0a1bb392fbdp-3, -0x1.a65bdf69a6964p-3, -0x1.a0b7c1dee8207p-3, -0x1.9b1df8797bff7p-3, -0x1.958eb5870ca06p-3, -0x1.900a285319c5fp-3, -0x1.8a907d3d6da89p-3, -0x1.8521ddd0ba8d6p-3, -0x1.7fbe70d94831dp-3, -0x1.7a665a7ba3db2p-3, -0x1.7519bc4b3ded1p-3, -0x1.6fd8b560e7d61p-3, -0x1.6aa3627118ce9p-3, -0x1.6579dde1ec3a2p-3, -0x1.605c3fe0c9d4fp-3, -0x1.5b4a9e77955f8p-3, -0x1.56450da166a9dp-3, -0x1.514b9f5eb401p-3, -0x1.4c5e63c8d57c3p-3, -0x1.477d6924e3ccdp-3, -0x1.42a8bbf5e1dc6p-3, -0x1.3de0670e24e61p-3, -0x1.392473a0059afp-3, -0x1.3474e94dbfedap-3, -0x1.2fd1ce38a210cp-3, -0x1.2b3b270f72e8p-3, -0x1.26b0f71c25e9fp-3, -0x1.22334050e1b98p-3, -0x1.1dc2035460802p-3, -0x1.195d3f8db3b5fp-3, -0x1.1504f32f8236ep-3, -0x1.10b91b42bee1cp-3, -0x1.0c79b3b0f062bp-3, -0x1.0846b74e0beb7p-3, -0x1.04201fe1fb7a2p-3, -0x1.0005e631d333ep-3, -0x1.f7f004118607dp-4, -0x1.efecd4819c5b1p-4, -0x1.e8022996a87ep-4, -0x1.e02fed72dc135p-4, -0x1.d876088857a16p-4, -0x1.d0d461a96ce1fp-4, -0x1.c94ade18a37f3p-4, -0x1.c1d96198a52fdp-4, -0x1.ba7fce7bea7e1p-4, -0x1.b33e05b44b691p-4, -0x1.ac13e6e26e993p-4, -0x1.a5015064fb024p-4, -0x1.9e061f67a9da7p-4, -0x1.97222ff2293f8p-4, -0x1.90555cf6b9b7ep-4, -0x1.899f8060a06dep-4, -0x1.830073224e789p-4, -0x1.7c780d4346872p-4, -0x1.760625edb2263p-4, -0x1.6faa937ba8e94p-4, -0x1.69652b841ebd4p-4, -0x1.6335c2e776edp-4, -0x1.5d1c2ddbb7186p-4, -0x1.57183ff855038p-4, -0x1.5129cc419da92p-4, -0x1.4b50a533b2bf3p-4, -0x1.458c9ccd1a482p-4, -0x1.3fdd8498e24dp-4, -0x1.3a432db855c2dp-4, -0x1.34bd68ec44e4fp-4, -0x1.2f4c069ddfc8bp-4, -0x1.29eed6e72844ep-4, -0x1.24a5a99af93d2p-4, -0x1.1f704e4cab969p-4, -0x1.1a4e945757f3dp-4, -0x1.15404ae4bbe81p-4, -0x1.104540f3c544fp-4, -0x1.0b5d455ecbf4ep-4, -0x1.068826e17925fp-4, -0x1.01c5b41e66dbap-4, -0x1.fa2b7748edb0bp-5, -0x1.f0f017e7daba4p-5, -0x1.e7d8e7069656fp-5, -0x1.dee58187e5dbap-5, -0x1.d615844d34c08p-5, -0x1.cd688c3f184cep-5, -0x1.c4de36557fe04p-5, -0x1.bc761f9f8ead8p-5, -0x1.b42fe54b318e4p-5, -0x1.ac0b24ac72569p-5, -0x1.a4077b4486e69p-5, -0x1.9c2486c8ae463p-5, -0x1.9461e528d5751p-5, -0x1.8cbf34960c60cp-5, -0x1.853c1388ccc39p-5, -0x1.7dd820c716cacp-5, -0x1.7692fb6a6816bp-5, -0x1.6f6c42e589376p-5, -0x1.6863970a3960cp-5, -0x1.6178980eb420bp-5, -0x1.5aaae693170f2p-5, -0x1.53fa23a6a55e2p-5, -0x1.4d65f0cce678p-5, -0x1.46edf002a54dp-5, -0x1.4091c3c2cb63ap-5, -0x1.3a510f0b19c84p-5, -0x1.342b7560bcb08p-5, -0x1.2e209ad4bb95fp-5, -0x1.283024084404ep-5, -0x1.2259b630cb9adp-5, -0x1.1c9cf71c0d137p-5, -0x1.16f98d33dd392p-5, -0x1.116f1f81d75fcp-5, -0x1.0bfd55b2dde3ap-5, -0x1.06a3d81a744fap-5, -0x1.01624fb5effdep-5, -0x1.f870cc5ef5435p-6, -0x1.ee4b8bc1e072cp-6, -0x1.e45433ad1bb6ap-6, -0x1.da8a1ba2f93d4p-6, -0x1.d0ec9c945955cp-6, -0x1.c77b10e51c4cdp-6, -0x1.be34d4703a36dp-6, -0x1.b519448b90d7ap-6, -0x1.ac27c00b64218p-6, -0x1.a35fa7458c601p-6, -0x1.9ac05c1467de5p-6, -0x1.924941d9727a7p-6, -0x1.89f9bd7fa5a25p-6, -0x1.81d1357d8c502p-6, -0x1.79cf11d7142dep-6, -0x1.71f2bc1f22e81p-6, -0x1.6a3b9f78e73ebp-6, -0x1.62a92898efae6p-6, -0x1.5b3ac5c60981ep-6, -0x1.53efe6d9e35f8p-6, -0x1.4cc7fd417a5b4p-6, -0x1.45c27bfd545efp-6, -0x1.3eded7a1894ffp-6, -0x1.381c865598226p-6, -0x1.317affd417552p-6, -0x1.2af9bd6a2c6d8p-6, -0x1.249839f6e5315p-6, -0x1.1e55f1ea675c5p-6, -0x1.18326344fa55dp-6, -0x1.122d0d95e97dep-6, -0x1.0c4571fa4c722p-6, -0x1.067b131bac222p-6, -0x1.00cd752e8c736p-6, -0x1.f6783be1ac738p-7, -0x1.eb8d29505991p-7, -0x1.e0d8c4405022bp-7, -0x1.d65a2150ef159p-7, -0x1.cc105825e15cdp-7, -0x1.c1fa836314ee1p-7, -0x1.b817c0a8861dap-7, -0x1.ae67308df03c3p-7, -0x1.a4e7f69e52948p-7, -0x1.9b9939535c134p-7, -0x1.927a2210c06acp-7, -0x1.8989dd1f5d5cap-7, -0x1.80c799a8616bcp-7, -0x1.783289b038da6p-7, -0x1.6fc9e21187533p-7, -0x1.678cda77e9466p-7, -0x1.5f7aad5ab817ap-7, -0x1.579297f7af556p-7, -0x1.4fd3774769521p-7, -0x1.483d60ad33e23p-7, -0x1.40cf29c87e6dbp-7, -0x1.39881aaf75053p-7, -0x1.32677e239d2p-7, -0x1.2b6ca18c17bf9p-7, -0x1.2496d4efd026dp-7, -0x1.1de56aef9e9aap-7, -0x1.1757b8c05d342p-7, -0x1.10ed1624f53d2p-7, -0x1.0aa4dd685bf0ep-7, -0x1.047e6b5787a3ep-7, -0x1.fcf23e76b742dp-8, -0x1.f128b5a516e67p-8, -0x1.e59f0496e465fp-8, -0x1.da53f87bcf7e9p-8, -0x1.cf46634a1634dp-8, -0x1.c4751bb20aa6fp-8, -0x1.b9defd1194a64p-8, -0x1.af82e767a4ae1p-8, -0x1.a55fbf479b4fbp-8, -0x1.9b746dcca82ccp-8, -0x1.91bfe08d2aea9p-8, -0x1.8841098e0779dp-8, -0x1.7ef6df35ec045p-8, -0x1.75e05c40a775ap-8, -0x1.6cfc7fb26db82p-8, -0x1.644a4ccb23d37p-8, -0x1.5bc8caf9a3e19p-8, -0x1.537705cf0464ap-8, -0x1.4b540cf1edaeep-8, -0x1.435ef411da2f9p-8, -0x1.3b96d2da6ef3ap-8, -0x1.33fac4e6d306ap-8, -0x1.2c89e9b50c753p-8, -0x1.2543649965304p-8, -0x1.1e265cb1d6225p-8, -0x1.1731fcd981774p-8, -0x1.1065739c30d57p-8, -0x1.09bff329e552p-8, -0x1.0340b14a6d4eep-8, -0x1.f9cdcea21f78dp-9, -0x1.ed63a4207baa4p-9, -0x1.e141639ab11a3p-9, -0x1.d56594691a2cp-9, -0x1.c9cec49961a68p-9, -0x1.be7b88d6818aap-9, -0x1.b36a7c50e3b0dp-9, -0x1.a89a40a68d18bp-9, -0x1.9e097dcb9d1a4p-9, -0x1.93b6e1f2d508p-9, -0x1.89a1217666304p-9, -0x1.7fc6f6c0d271fp-9, -0x1.762722361960dp-9, -0x1.6cc06a1d0610fp-9, -0x1.63919a88a7aa4p-9, -0x1.5a99854206392p-9, -0x1.51d701b2183b8p-9, -0x1.4948eccbd0f3ap-9, -0x1.40ee28f67519p-9, -0x1.38c59df829852p-9, -0x1.30ce38e09e961p-9, -0x1.2906ebf41d858p-9, -0x1.216eae96a9732p-9, -0x1.1a047d375eec3p-9, -0x1.12c7593c1ca27p-9, -0x1.0bb648ed51d9cp-9, -0x1.04d057621064ap-9, -0x1.fc2928d89f345p-10, -0x1.ef04290adb916p-10, -0x1.e22fe175dbca8p-10, -0x1.d5aa8d36b5e4bp-10, -0x1.c9727046edac8p-10, -0x1.bd85d757507ccp-10, -0x1.b1e317aaf98d1p-10, -0x1.a6888ef2f861dp-10, -0x1.9b74a32a95fccp-10, -0x1.90a5c2737184ep-10, -0x1.861a62f2b0c75p-10, -0x1.7bd102ae29f63p-10, -0x1.71c8276a3e2c2p-10, -0x1.67fe5e87e8da9p-10, -0x1.5e723ce356534p-10, -0x1.55225eb2e307fp-10, -0x1.4c0d676674dbbp-10, -0x1.4332018743ebap-10, -0x1.3a8ede980aec7p-10, -0x1.3222b6f5919abp-10, -0x1.29ec49b7ac429p-10, -0x1.21ea5c929d3c8p-10, -0x1.1a1bbbb8d07b5p-10, -0x1.127f39bcf90efp-10, -0x1.0b13af74a71fbp-10, -0x1.03d7fbdb2c0cap-10, -0x1.f99607e9d3e67p-11, -0x1.ebd765660df07p-11, -0x1.de71f1aef3ebdp-11, -0x1.d16399b319a4ep-11, -0x1.c4aa559543e19p-11, -0x1.b8442877042eap-11, -0x1.ac2f2043de081p-11, -0x1.a069557d4a09bp-11, -0x1.94f0eb077b001p-11, -0x1.89c40df6b92bcp-11, -0x1.7ee0f55decd6p-11, -0x1.7445e21d777b7p-11, -0x1.69f11eb303c36p-11, -0x1.5fe0ff0a7083ep-11, -0x1.5613e04e8139dp-11, -0x1.4c8828bb66b53p-11, -0x1.433c47715d9cap-11, -0x1.3a2eb4486630fp-11, -0x1.315defa47b4bp-11, -0x1.28c8824aa726ap-11, -0x1.206cfd36c798p-11, -0x1.1849f97227b99p-11, -0x1.105e17ea99ba3p-11, -0x1.08a8014a75746p-11, -0x1.012665d15c0d4p-11, -0x1.f3affa5afff7p-12, -0x1.e5770cab67c86p-12, -0x1.d79f8ec846f3dp-12, -0x1.ca271ae3a422cp-12, -0x1.bd0b58e53defcp-12, -0x1.b049fe24183c2p-12, -0x1.a3e0cd214b87dp-12, -0x1.97cd9543e5a77p-12, -0x1.8c0e32968b095p-12, -0x1.80a08d85c79e5p-12, -0x1.75829a9ffb64p-12, -0x1.6ab25a5610b19p-12, -0x1.602dd8bdf05fbp-12, -0x1.55f32d55a1876p-12, -0x1.4c007ac7ce62bp-12, -0x1.4253eeb12d0fcp-12, -0x1.38ebc167384bdp-12, -0x1.2fc635bfe37aep-12, -0x1.26e198da3b203p-12, -0x1.1e3c41e8530dfp-12, -0x1.15d491fa105b6p-12, -0x1.0da8f3c89ae45p-12, -0x1.05b7db835b189p-12, -0x1.fbff8d3c477a3p-13, -0x1.ecfe773dc7c1cp-13, -0x1.de6993db30c25p-13, -0x1.d03e1349ac33ap-13, -0x1.c27936c65068ap-13, -0x1.b5185039b6007p-13, -0x1.a818c1de75957p-13, -0x1.9b77fde885b45p-13, -0x1.8f33862f38c2cp-13, -0x1.8348ebd6dc52ep-13, -0x1.77b5cefe1d228p-13, -0x1.6c77de6b89ba1p-13, -0x1.618cd73cb4474p-13, -0x1.56f28497bba85p-13, -0x1.4ca6bf5d45f53p-13, -0x1.42a76ddbd31c1p-13, -0x1.38f283855ac26p-13, -0x1.2f8600a56bda7p-13, -0x1.265ff21927cd6p-13, -0x1.1d7e7107e52dap-13, -0x1.14dfa29e5106p-13, -0x1.0c81b7c9447f4p-13, -0x1.0462ecf2b7db7p-13, -0x1.f903138037d9ep-14, -0x1.e9b7c1a3000a4p-14, -0x1.dae09f0443f23p-14, -0x1.cc7a7b53cd133p-14, -0x1.be823ac02de78p-14, -0x1.b0f4d57ea180cp-14, -0x1.a3cf57559ee7ep-14, -0x1.970edf27f875p-14, -0x1.8ab09e84eb683p-14, -0x1.7eb1d93754178p-14, -0x1.730fe4d9ac88dp-14, -0x1.67c8286ab4eb9p-14, -0x1.5cd81be492094p-14, -0x1.523d47d6553f1p-14, -0x1.47f544ff4bafbp-14, -0x1.3dfdbbed4f94p-14, -0x1.3454649bbc646p-14, -0x1.2af70614f0644p-14, -0x1.21e37617d77c3p-14, -0x1.191798bcc1082p-14, -0x1.1091601d87bf5p-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.036e29b534461p-2, -0x1.0856dd35cb4e4p-2, -0x1.0c79196b4a5ecp-2, -0x1.0fdadc27b405bp-2, -0x1.12829947bd63bp-2, -0x1.147722150ba6bp-2, -0x1.15bf8f41eb5ecp-2, -0x1.16632d5d67844p-2, -0x1.16696b9864b3fp-2, -0x1.15d9ccb0b1cd5p-2, -0x1.14bbd9d511ab1p-2, -0x1.13171754fa6c6p-2, -0x1.10f2faef9e486p-2, -0x1.0e56e397854c4p-2, -0x1.0b4a12824622p-2, -0x1.07d3a55eb409ep-2, -0x1.03fa918eae4e9p-2, -0x1.ff8b4089b22cap-3, -0x1.f676d6d2f0cd4p-3, -0x1.ecc4b65954f69p-3, -0x1.e281485dd40e5p-3, -0x1.d7b88c56f87c4p-3, -0x1.cc76162577be6p-3, -0x1.c0c50d08ec3ddp-3, -0x1.b4b02b3902ffep-3, -0x1.a841be0aff39p-3, -0x1.9b83a68e98ddp-3, -0x1.8e7f5a90003dfp-3, -0x1.813de5ef52ea1p-3, -0x1.73c7ec3fc4397p-3, -0x1.6625aaa2c6797p-3, -0x1.585ef9d4edcd4p-3, -0x1.4a7b5063bacdbp-3, -0x1.3c81c504a523ep-3, -0x1.2e791106bd7p-3, -0x1.206792d9219e4p-3, -0x1.125350a13400ep-3, -0x1.0441fadc2f48p-3, -0x1.ec71de1091792p-4, -0x1.d07a74a3e243ap-4, -0x1.b4a738848f633p-4, -0x1.990112d840d1bp-4, -0x1.7d905c2ab66c9p-4, -0x1.625ce1b4f8bb3p-4, -0x1.476dea959abffp-4, -0x1.2cca3cf6eafa1p-4, -0x1.1278232062afp-4, -0x1.f0fae0e1fa593p-5, -0x1.bdbf0c80e44e4p-5, -0x1.8b46b14b36cd2p-5, -0x1.599ae641251ffp-5, -0x1.28c3fa4ea3e71p-5, -0x1.f192fa4f8580cp-6, -0x1.93648fcd2503ep-6, -0x1.37090ad2eceabp-6, -0x1.b916e9c45916dp-7, -0x1.07eb35f5d7e1dp-7, -0x1.6a80e6a0f62a8p-9, 0x1.3aec23701569bp-9, 0x1.e8336013083ccp-8, 0x1.9570dfa36f99cp-7, 0x1.195bd3281949bp-6, 0x1.65f37212b169dp-6, 0x1.b07c99145012dp-6, 0x1.f8f5656058402p-6, 0x1.1fae5cc4558aap-5, 0x1.41d9194f1c2aap-5, 0x1.62fb0ee08d98cp-5, 0x1.8314b70e99c37p-5, 0x1.a226d9a803defp-5, 0x1.c032881a4b1b4p-5, 0x1.dd391908e813cp-5, 0x1.f93c241431b9cp-5, 0x1.0a1ebee71b6bbp-4, 0x1.171f99edf2a0ep-4, 0x1.23a1c4a06bba8p-4, 0x1.2fa6796a118c1p-4, 0x1.3b2f09ee4903cp-4, 0x1.463cdd695957dp-4, 0x1.50d16f239b5bp-4, 0x1.5aee4cf61360ap-4, 0x1.649515dfbb37cp-4, 0x1.6dc778aacb418p-4, 0x1.768732a15479cp-4, 0x1.7ed60e50893f9p-4, 0x1.86b5e25a11f49p-4, 0x1.8e289052d7ebfp-4, 0x1.953003aeb33c4p-4, 0x1.9bce30b8712e5p-4, 0x1.a2051395ad94bp-4, 0x1.a7d6af560063ap-4, 0x1.ad450d0d11eep-4, 0x1.b2523af701a8cp-4, 0x1.b7004ba6ea258p-4, 0x1.bb51553ee288cp-4, 0x1.bf4770b1436d2p-4, 0x1.c2e4b90ac3e3ap-4, 0x1.c62b4ac51154bp-4, 0x1.c91d43219da4dp-4, 0x1.cbbcbf8c46609p-4, 0x1.ce0bdd05975cfp-4, 0x1.d00cb794561d6p-4, 0x1.d1c169be22fadp-4, 0x1.d32c0c06d6539p-4, 0x1.d44eb4767bdcp-4, 0x1.d52b7625979e1p-4, 0x1.d5c460cf9882fp-4, 0x1.d61b806b23f4ep-4, 0x1.d632dcc8273f7p-4, 0x1.d60c79336a11bp-4, 0x1.d5aa541f7ef43p-4, 0x1.d50e66d2e5b68p-4, 0x1.d43aa51b2789cp-4, 0x1.d330fd04d5e8cp-4, 0x1.d1f356984215cp-4, 0x1.d083939ab6a43p-4, 0x1.cee38f5426bdfp-4, 0x1.cd151e59120cfp-4, 0x1.cb1a0e58a0ce2p-4, 0x1.c8f425eeaaa4fp-4, 0x1.c6a52479abb55p-4, 0x1.c42ec1f46c32fp-4, 0x1.c192aed358a4p-4, 0x1.bed293e54479p-4, 0x1.bbf01237a3497p-4, 0x1.b8ecc2fdf9619p-4, 0x1.b5ca377c72088p-4, 0x1.b289f8f592b3fp-4, 0x1.af2d889ac1456p-4, 0x1.abb65f7fb7b4cp-4, 0x1.a825ee9095fe5p-4, 0x1.a47d9e8aacb74p-4, 0x1.a0becff7ad996p-4, 0x1.9ceadb2b5aa81p-4, 0x1.990310437b47dp-4, 0x1.9508b72a03956p-4, 0x1.90fd0f99636d1p-4, 0x1.8ce15122d263ep-4, 0x1.88b6ab368df64p-4, 0x1.847e452debd77p-4, 0x1.80393e572cadep-4, 0x1.7be8ae02f77c9p-4, 0x1.778da39367bbap-4, 0x1.7329268c99b7ep-4, 0x1.6ebc36a69eb59p-4, 0x1.6a47cbe0c46d3p-4, 0x1.65ccd6961ce2cp-4, 0x1.614c3f93317bap-4, 0x1.5cc6e82cceac8p-4, 0x1.583daa57d5c71p-4, 0x1.53b158c20214bp-4, 0x1.4f22beeb8ef19p-4, 0x1.4a92a141b07ccp-4, 0x1.4601bd39c9655p-4, 0x1.4170c96d50d07p-4, 0x1.3ce075b6590bp-4, 0x1.38516b4ca48cep-4, 0x1.33c44ce33ca3ap-4, 0x1.2f39b6c67bdf4p-4, 0x1.2ab23efa7cf24p-4, 0x1.262e7559e04cap-4, 0x1.21aee3b4df1e6p-4, 0x1.1d340df098ef5p-4, 0x1.18be72269739p-4, 0x1.144e88c4764bcp-4, 0x1.0fe4c4aba8f1cp-4, 0x1.0b819351512e4p-4, 0x1.07255cde1bcd3p-4, 0x1.02d0844e1d5b4p-4, 0x1.fd06cf2144e6bp-5, 0x1.f47cbf4fd5dfbp-5, 0x1.ec0381919407ep-5, 0x1.e39bb4f4442ffp-5, 0x1.db45ef6865d06p-5, 0x1.d302bdff6fedbp-5, 0x1.cad2a52993314p-5, 0x1.c2b620f303adcp-5, 0x1.baada540b2bc2p-5, 0x1.b2b99e0c72419p-5, 0x1.aada6fa079fb6p-5, 0x1.a31076d23e472p-5, 0x1.9b5c093c97b2ap-5, 0x1.93bd757928aedp-5, 0x1.8c35035907057p-5, 0x1.84c2f41c92344p-5, 0x1.7d6782aa802c3p-5, 0x1.7622e3c60d1c3p-5, 0x1.6ef546445116ap-5, 0x1.67ded340b4892p-5, 0x1.60dfae507e3fp-5, 0x1.59f7f5b5765bbp-5, 0x1.5327c28fa0698p-5, 0x1.4c6f290dff784p-5, 0x1.45ce389e6e25p-5, 0x1.3f44fc1c7e3bcp-5, 0x1.38d379ff631c5p-5, 0x1.3279b486e62f4p-5, 0x1.2c37a9e761318p-5, 0x1.260d5474c1814p-5, 0x1.1ffaaacc919c4p-5, 0x1.19ff9fff09dc9p-5, 0x1.141c23b729291p-5, 0x1.0e502261d598dp-5, 0x1.089b855406726p-5, 0x1.02fe32eff8eeap-5, 0x1.faf01d92df7ecp-6, 0x1.f011f3920271cp-6, 0x1.e561a49cea57ep-6, 0x1.dadee8a464e1cp-6, 0x1.d089730b843d6p-6, 0x1.c660f2e6d1901p-6, 0x1.bc651339ab7dbp-6, 0x1.b2957b31e3babp-6, 0x1.a8f1ce6193eep-6, 0x1.9f79acf735d7p-6, 0x1.962cb3f4050e4p-6, 0x1.8d0a7d60b21dep-6, 0x1.8412a0806589dp-6, 0x1.7b44b2022512fp-6, 0x1.72a044309b364p-6, 0x1.6a24e72046879p-6, 0x1.61d228dc1e488p-6, 0x1.59a79590ac39cp-6, 0x1.51a4b7b5ac8bcp-6, 0x1.49c918362d984p-6, 0x1.42143e9745ea1p-6, 0x1.3a85b11d5e768p-6, 0x1.331cf4f018c5cp-6, 0x1.2bd98e3cdfd14p-6, 0x1.24bb00582230bp-6, 0x1.1dc0cddd43a6dp-6, 0x1.16ea78cd4bb0cp-6, 0x1.103782ac56b83p-6, 0x1.09a76c9dd5df5p-6, 0x1.0339b77f9d65bp-6, 0x1.f9dbc807a94e5p-7, 0x1.ed86e59384259p-7, 0x1.e173c8eb0962bp-7, 0x1.d5a1738d7eeap-7, 0x1.ca0ee75c6ca28p-7, 0x1.bebb26c4e8a98p-7, 0x1.b3a534e6e33ccp-7, 0x1.a8cc15ba8a492p-7, 0x1.9e2ece33ea9cbp-7, 0x1.93cc6464ab8ep-7, 0x1.89a3df9c273d1p-7, 0x1.7fb44885c348fp-7, 0x1.75fca945b2ca4p-7, 0x1.6c7c0d941bf1p-7, 0x1.633182d6b9336p-7, 0x1.5a1c1838ffe65p-7, 0x1.513adec2d4b35p-7, 0x1.488ce96dda947p-7, 0x1.40114d397347dp-7, 0x1.37c7213d68a59p-7, 0x1.2fad7ebb5a485p-7, 0x1.27c3812ef6934p-7, 0x1.2008465d058ep-7, 0x1.187aee61560dfp-7, 0x1.111a9bbb935ecp-7, 0x1.09e6735b0f3bfp-7, 0x1.02dd9ca98b5d7p-7, 0x1.f7fe832a114c4p-8, 0x1.ea951d3152e95p-8, 0x1.dd7d65895a038p-8, 0x1.d0b5bf8b1f831p-8, 0x1.c43c93d4adaa5p-8, 0x1.b8105054215e3p-8, 0x1.ac2f6851266f3p-8, 0x1.a0985474fcad4p-8, 0x1.954992d11ae3bp-8, 0x1.8a41a6e4770d9p-8, 0x1.7f7f199f8a483p-8, 0x1.750079671b356p-8, 0x1.6ac45a15dd281p-8, 0x1.60c954fcf22f7p-8, 0x1.570e08e35ee9bp-8, 0x1.4d911a04796a6p-8, 0x1.4451320d62adfp-8, 0x1.3b4d001996b5ap-8, 0x1.328338ae9cddcp-8, 0x1.29f295b6e518cp-8, 0x1.2199d67bdf017p-8, 0x1.1977bf9f513e3p-8, 0x1.118b1b13feb8p-8, 0x1.09d2b815a3c68p-8, 0x1.024d6b2051cb7p-8, 0x1.f5f41bce6e0fcp-9, 0x1.e7aefe95ae574p-9, 0x1.d9c9469d83254p-9, 0x1.cc40c61d93605p-9, 0x1.bf13596798252p-9, 0x1.b23ee6d010e29p-9, 0x1.a5c15e9629facp-9, 0x1.9998bacaec6fcp-9, 0x1.8dc2ff37bccb8p-9, 0x1.823e394440583p-9, 0x1.77087fdba6f98p-9, 0x1.6c1ff351792bap-9, 0x1.6182bd45e127ep-9, 0x1.572f10898eb41p-9, 0x1.4d2329012ffc2p-9, 0x1.435d4b88929a2p-9, 0x1.39dbc5d579be3p-9, 0x1.309cee5a26175p-9, 0x1.279f2427a9608p-9, 0x1.1ee0ced000834p-9, 0x1.16605e4807714p-9, 0x1.0e1c4ac94355ep-9, 0x1.061314b397f3cp-9, 0x1.fc8688ddc879bp-10, 0x1.ed56d4992990fp-10, 0x1.de943cd2596f4p-10, 0x1.d03c011ba2d39p-10, 0x1.c24b7023b3248p-10, 0x1.b4bfe778d8219p-10, 0x1.a796d34c52f96p-10, 0x1.9acdae35e28a2p-10, 0x1.8e6200f7804d5p-10, 0x1.825162415e907p-10, 0x1.7699767626dacp-10, 0x1.6b37ef6f99272p-10, 0x1.602a8c43720c1p-10, 0x1.556f1908b7591p-10, 0x1.4b036e9d742a7p-10, 0x1.40e5726cd2708p-10, 0x1.37131635b05p-10, 0x1.2d8a57d1adfb3p-10, 0x1.244940fcb9a4bp-10, 0x1.1b4de71d1aac8p-10, 0x1.12966b0c07492p-10, 0x1.0a20f8dec6eddp-10, 0x1.01ebc7b060302p-10, 0x1.f3ea32d7beb42p-11, 0x1.e476752e5bff5p-11, 0x1.d579043d106aep-11, 0x1.c6eea241187f2p-11, 0x1.b8d42575d1ca2p-11, 0x1.ab2677af5b8ep-11, 0x1.9de295f67a924p-11, 0x1.91059025c8a5p-11, 0x1.848c88883040cp-11, 0x1.7874b378b575dp-11, 0x1.6cbb570392a04p-11, 0x1.615dca88a6e25p-11, 0x1.5659765f398bap-11, 0x1.4babd37b138c5p-11, 0x1.41526b12f0c1fp-11, 0x1.374ad64844d67p-11, 0x1.2d92bdd05cb3cp-11, 0x1.2427d99ed2a27p-11, 0x1.1b07f0915c0f7p-11, 0x1.1230d81cecb14p-11, 0x1.09a073fc2f464p-11, 0x1.0154b5df53053p-11, 0x1.f2973a3a57e6fp-12, 0x1.e3066ccb491ap-12, 0x1.d3f336eb0095p-12, 0x1.c559e596d50b9p-12, 0x1.b736debca7f73p-12, 0x1.a986a0aa2d2e4p-12, 0x1.9c45c17ec8819p-12, 0x1.8f70ee9ff045p-12, 0x1.8304ec30161c2p-12, 0x1.76fe94880ed63p-12, 0x1.6b5ad7b2f3f25p-12, 0x1.6016baec787dep-12, 0x1.552f5821aa17bp-12, 0x1.4aa1dd7419982p-12, 0x1.406b8cbf650f2p-12, 0x1.3689bb211afd2p-12, 0x1.2cf9d082ef1f9p-12, 0x1.23b947273e1c4p-12, 0x1.1ac5ab37d2894p-12, 0x1.121c9a56ed923p-12, 0x1.09bbc3327f693p-12, 0x1.01a0e51994ebcp-12, 0x1.f3939f27d4898p-13, 0x1.e468c3f73faf7p-13, 0x1.d5bd16320d4d2p-13, 0x1.c78c918102152p-13, 0x1.b9d34ee4d3956p-13, 0x1.ac8d83fa031e2p-13, 0x1.9fb78240a9779p-13, 0x1.934db6682d17bp-13, 0x1.874ca79eca86bp-13, 0x1.7bb0f6e4e98a3p-13, 0x1.70775e642c2ddp-13, 0x1.659cb0ca2209ap-13, 0x1.5b1dd8a6997a7p-13, 0x1.50f7d7cd805ffp-13, 0x1.4727c6bc3a44dp-13, 0x1.3daad402676cdp-13, 0x1.347e43ae0bae4p-13, 0x1.2b9f6ebb05c55p-13, 0x1.230bc285c09d8p-13, 0x1.1ac0c04123118p-13, 0x1.12bbfc6f9a1acp-13, 0x1.0afb1e5f3c898p-13, 0x1.037bdfa8f641fp-13, 0x1.f878176553c33p-14, 0x1.ea72fe6888974p-14, 0x1.dce44f7f46f84p-14, 0x1.cfc80696afaf1p-14, 0x1.c31a3f803b777p-14, 0x1.b6d735122b415p-14, 0x1.aafb404d2d831p-14, 0x1.9f82d78753463p-14, 0x1.946a8d9c0b9bap-14, 0x1.89af11212718cp-14, 0x1.7f4d2ba0c1aaep-14, 0x1.7541c0d7fa71cp-14, 0x1.6b89cdfa611f4p-14, 0x1.622268f9fe90ap-14, 0x1.5908bfd3e4cf6p-14, 0x1.503a17e12a329p-14, 0x1.47b3cd2c3b9fep-14, 0x1.3f7351ca6c2c1p-14, 0x1.37762d39ae475p-14, 0x1.2fb9fbc25cb52p-14, 0x1.283c6ddd00c05p-14, 0x1.20fb479bfd87ap-14, 0x1.19f460190babfp-14, 0x1.1325a0e6704c7p-14, 0x1.0c8d0583dc376p-14, 0x1.06289ad6db5bap-14, 0x1.ffecfd4d89f5bp-15, 0x1.f3e9be3829ae1p-15, 0x1.e843f4863878bp-15, 0x1.dcf83b23f16e3p-15, 0x1.d2034ae374f46p-15, 0x1.c761f99557638p-15, 0x1.bd11392748cb5p-15, 0x1.b30e16c8b5101p-15, 0x1.a955ba1536e66p-15, 0x1.9fe56444bfc71p-15, 0x1.96ba6f614bc7cp-15, 0x1.8dd24d820c174p-15, 0x1.852a880bdab74p-15, 0x1.7cc0bef6e11ddp-15, 0x1.7492a81950986p-15, 0x1.6c9e0e7709222p-15, 0x1.64e0d196190edp-15, 0x1.5d58e4d7efb68p-15, 0x1.56044ed72ddf7p-15, 0x1.4ee128c9f1502p-15, 0x1.47ed9de8858fep-15, 0x1.4127ead85852ep-15, 0x1.3a8e5d1b1f8efp-15, 0x1.341f52820de9fp-15, 0x1.2dd938a50322p-15, 0x1.27ba8c5d9cb0fp-15, 0x1.21c1d9460cbbp-15, 0x1.1bedb93ba3d3ap-15, 0x1.163cd3e4f0696p-15, 0x1.10adde3b628e3p-15, 0x1.0b3f9a1858b9ap-15, 0x1.05f0d5c58496ep-15, 0x1.00c06b908d343p-15, 0x1.f75a82c3b7b1cp-16, 0x1.ed6c90ad046a7p-16, 0x1.e3b4f8ba3f417p-16, 0x1.da31c7ab68ec8p-16, 0x1.d0e11e68a76a5p-16, 0x1.c7c1314d335b8p-16, 0x1.bed04777b412dp-16, 0x1.b60cba1fe2008p-16, 0x1.ad74f3f1507dep-16, 0x1.a507706b35e65p-16, 0x1.9cc2bb451472p-16, 0x1.94a56fd828713p-16, 0x1.8cae388d6ae7dp-16, 0x1.84dbce50209cap-16, 0x1.7d2cf804be1fep-16, 0x1.75a08a041bbdap-16, 0x1.6e35659ac4c28p-16, 0x1.66ea788c53a91p-16, 0x1.5fbebc9ac0865p-16, 0x1.58b137117b84bp-16, 0x1.51c0f8543f411p-16, 0x1.4aed1b71856acp-16, 0x1.4434c5b87c819p-16, 0x1.3d97265266ea9p-16, 0x1.371375df5380cp-16, 0x1.30a8f6160971bp-16, 0x1.2a56f1672030ap-16, 0x1.241cbaa320e9fp-16, 0x1.1df9aca3a3c63p-16, 0x1.17ed29f74a00cp-16, 0x1.11f69c908f0dap-16, 0x1.0c157577492d8p-16, 0x1.06492c7cd5d5ap-16, 0x1.00913ff2da233p-16, 0x1.f5da68c8f512p-17, 0x1.eab928a411fabp-17, 0x1.dfbddfde0f977p-17, 0x1.d4e7b9c4f0c69p-17, 0x1.ca35ec12c55d2p-17, 0x1.bfa7b67708c21p-17, 0x1.b53c6224298c6p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.086b1099b6329p-2, -0x1.116ea33cedb38p-2, -0x1.19fb85403a0cdp-2, -0x1.221278a8a0eafp-2, -0x1.29b4924103525p-2, -0x1.30e3305b89f6p-2, -0x1.379ff227b5745p-2, -0x1.3decafa03c987p-2, -0x1.43cb7210abdf9p-2, -0x1.493e6d3049dbbp-2, -0x1.4e47f8cde8a17p-2, -0x1.52ea8b06d14fap-2, -0x1.5728b30217c69p-2, -0x1.5b051428dac4p-2, -0x1.5e8261d3b708p-2, -0x1.61a35b65706adp-2, -0x1.646ac8caec6d9p-2, -0x1.66db7758b5f4ap-2, -0x1.68f836fe87c9cp-2, -0x1.6ac3d7c9b3e8cp-2, -0x1.6c4127af927c8p-2, -0x1.6d72f0999f08bp-2, -0x1.6e5bf6ad42a06p-2, -0x1.6efef6c9c765cp-2, -0x1.6f5ea53756b2cp-2, -0x1.6f7dac824f0ecp-2, -0x1.6f5eac7ea3c94p-2, -0x1.6f04396f53ffbp-2, -0x1.6e70db4e66425p-2, -0x1.6da70d3226f9dp-2, -0x1.6ca93cccaf5f3p-2, -0x1.6b79ca030e679p-2, -0x1.6a1b0699a15bfp-2, -0x1.688f35f36999bp-2, -0x1.66d88ce268ca4p-2, -0x1.64f9318734743p-2, -0x1.62f33b3e1ff6bp-2, -0x1.60c8b2988f041p-2, -0x1.5e7b916110534p-2, -0x1.5c0dc2a91c808p-2, -0x1.598122df56d76p-2, -0x1.56d77fed5d40ep-2, -0x1.5412995c41c1ap-2, -0x1.5134207edc9fbp-2, -0x1.4e3db8a1403a7p-2, -0x1.4b30f73ca3f07p-2, -0x1.480f642f2ad1fp-2, -0x1.44da79f6f9d47p-2, -0x1.4193a5f023b38p-2, -0x1.3e3c4894f34fep-2, -0x1.3ad5b5c0293b3p-2, -0x1.376134f0d71fep-2, -0x1.33e0018f7a043p-2, -0x1.30534b3409154p-2, -0x1.2cbc35ecb3eep-2, -0x1.291bda850fb25p-2, -0x1.257346cd779f7p-2, -0x1.21c37de272023p-2, -0x1.1e0d7873e61ep-2, -0x1.1a52250bfcc1dp-2, -0x1.169268558709p-2, -0x1.12cf1d61c7a98p-2, -0x1.0f0915ed83199p-2, -0x1.0b411aa53d7b4p-2, -0x1.0777eb6890509p-2, -0x1.03ae3f8c8037fp-2, -0x1.ffc98c399047dp-3, -0x1.f8384c380f27p-3, -0x1.f0a9fd85935f2p-3, -0x1.e91fcf7aae719p-3, -0x1.e19ae2d0a5ad3p-3, -0x1.da1c4a182449p-3, -0x1.d2a50a2d6538dp-3, -0x1.cb361aa9c6a98p-3, -0x1.c3d06652d0d1cp-3, -0x1.bc74cb869bdc5p-3, -0x1.b5241ca5a682ap-3, -0x1.addf207a0ca28p-3, -0x1.a6a6929c3912ap-3, -0x1.9f7b23d4fd99ep-3, -0x1.985d7a7d2d2f1p-3, -0x1.914e32dab33a1p-3, -0x1.8a4ddf7b3264fp-3, -0x1.835d098c382ddp-3, -0x1.7c7c31310d24ep-3, -0x1.75abcdd628e01p-3, -0x1.6eec4e8257b65p-3, -0x1.683e1a25a219p-3, -0x1.61a18fe5f66b6p-3, -0x1.5b170769a8b32p-3, -0x1.549ed11fd552fp-3, -0x1.4e393686aeba2p-3, -0x1.47e67a6fbfb64p-3, -0x1.41a6d9423cc9bp-3, -0x1.3b7a893b5adb1p-3, -0x1.3561baaccae7p-3, -0x1.2f5c983957304p-3, -0x1.296b470fbfd6p-3, -0x1.238de723ce048p-3, -0x1.1dc49365b2dc6p-3, -0x1.180f61f7c64c2p-3, -0x1.126e64629c2dfp-3, -0x1.0ce1a7c78d934p-3, -0x1.07693511b63cap-3, -0x1.02051125728f9p-3, -0x1.f96a7a1cd676fp-4, -0x1.eef36c5860a01p-4, -0x1.e4a4ecbafa8f7p-4, -0x1.da7ee8542fe5fp-4, -0x1.d08145d6d3dd8p-4, -0x1.c6abe5e79cfd1p-4, -0x1.bcfea36945b81p-4, -0x1.b37953c64c5d8p-4, -0x1.aa1bc73842815p-4, -0x1.a0e5c90ce972cp-4, -0x1.97d71fe8fee5p-4, -0x1.8eef8e08e869fp-4, -0x1.862ed17f37f02p-4, -0x1.7d94a47124b4dp-4, -0x1.7520bd50fea75p-4, -0x1.6cd2cf16abe3ap-4, -0x1.64aa89763dd1ep-4, -0x1.5ca79914a8d16p-4, -0x1.54c9a7baacb09p-4, -0x1.4d105c85f932fp-4, -0x1.457b5c189825ep-4, -0x1.3e0a48c6ad05fp-4, -0x1.36bcc2c290034p-4, -0x1.2f926847540cbp-4, -0x1.288ad5c1be383p-4, -0x1.21a5a5f7bc6c8p-4, -0x1.1ae2722e62847p-4, -0x1.1440d24e7a0dbp-4, -0x1.0dc05d07ace92p-4, -0x1.0760a7f253f1bp-4, -0x1.012147aff4922p-4, -0x1.f603a014ea0f2p-5, -0x1.ea03a8241ed0fp-5, -0x1.de41cc741c554p-5, -0x1.d2bd30e8b2bf1p-5, -0x1.c774f897b9225p-5, -0x1.bc6845fb9c6ffp-5, -0x1.b1963b23c1106p-5, -0x1.a6fdf9e2c598bp-5, -0x1.9c9ea3fab9408p-5, -0x1.92775b474ee47p-5, -0x1.888741e622bfcp-5, -0x1.7ecd7a5d1cb6cp-5, -0x1.754927befb291p-5, -0x1.6bf96dce1d84p-5, -0x1.62dd711d8e957p-5, -0x1.59f457306901ep-5, -0x1.513d469799bd8p-5, -0x1.48b7670e121f3p-5, -0x1.4061e19373673p-5, -0x1.383be08543e9fp-5, -0x1.30448fb6b2709p-5, -0x1.287b1c86fcec6p-5, -0x1.20deb5f67fc41p-5, -0x1.196e8cba77ee6p-5, -0x1.1229d34f8b354p-5, -0x1.0b0fbe0b1537fp-5, -0x1.041f832b50bf5p-5, -0x1.fab0b5ccb6915p-6, -0x1.ed72fef04fc45p-6, -0x1.e0845a5ec7a08p-6, -0x1.d3e344f2afc8p-6, -0x1.c78e3fd9a92a3p-6, -0x1.bb83d0a857612p-6, -0x1.afc2816c87d81p-6, -0x1.a448e0bda28cep-6, -0x1.991581cb67f01p-6, -0x1.8e26fc6b1cf6dp-6, -0x1.837bed232bp-6, -0x1.7912f53543bb2p-6, -0x1.6eeabaa720feep-6, -0x1.6501e849e2aadp-6, -0x1.5b572dc02823p-6, -0x1.51e93f82e3488p-6, -0x1.48b6d6e5049a3p-6, -0x1.3fbeb215fc433p-6, -0x1.36ff94232cf3ap-6, -0x1.2e7844f850806p-6, -0x1.2627915ee41d8p-6, -0x1.1e0c4afca3ee6p-6, -0x1.162548511e5ecp-6, -0x1.0e7164b27515p-6, -0x1.06ef804948abep-6, -0x1.ff3d0017ce457p-7, -0x1.f0fa9b7177335p-7, -0x1.e315afa0261e6p-7, -0x1.d58c231a71df4p-7, -0x1.c85be5bdf749cp-7, -0x1.bb82f0bf2caep-7, -0x1.aeff469832642p-7, -0x1.a2cef2f693b87p-7, -0x1.96f00aa8172eap-7, -0x1.8b60ab86ad968p-7, -0x1.801efc638f6ddp-7, -0x1.75292cf182eebp-7, -0x1.6a7d75ae88b5bp-7, -0x1.601a17ccc08fdp-7, -0x1.55fd5d1ac2f36p-7, -0x1.4c2597eb654afp-7, -0x1.429122fcf8443p-7, -0x1.393e61601323fp-7, -0x1.302bbe5de9056p-7, -0x1.2757ad5e43774p-7, -0x1.1ec0a9cd210ep-7, -0x1.1665370005d9bp-7, -0x1.0e43e01b079a8p-7, -0x1.065b37f59d286p-7, -0x1.fd53b1fe7811p-8, -0x1.ee5cca479313bp-8, -0x1.dfcf0b5fd3154p-8, -0x1.d1a7d66a64b85p-8, -0x1.c3e49adc963dp-8, -0x1.b682d645fc92fp-8, -0x1.a98014188788p-8, -0x1.9cd9ed7097efdp-8, -0x1.908e08dd1ecc4p-8, -0x1.849a1a27d14b4p-8, -0x1.78fbe21d81131p-8, -0x1.6db12e569a47p-8, -0x1.62b7d8ffda1f4p-8, -0x1.580dc8a3412d2p-8, -0x1.4db0eff149bd4p-8, -0x1.439f4d8a6f4a5p-8, -0x1.39d6ebc90940cp-8, -0x1.3055e08b82ed9p-8, -0x1.271a4cfef639bp-8, -0x1.1e225d6a31ea9p-8, -0x1.156c48f92b21bp-8, -0x1.0cf65188e873fp-8, -0x1.04bec373e3ca4p-8, -0x1.f987eabdd7872p-9, -0x1.ea08900d11147p-9, -0x1.dafc4c19cd48cp-9, -0x1.cc6007909ac2bp-9, -0x1.be30be2447f78p-9, -0x1.b06b7e2d0b72bp-9, -0x1.a30d6848d8b26p-9, -0x1.9613aefce111cp-9, -0x1.897b965844b15p-9, -0x1.7d427397fcef4p-9, -0x1.7165accbfacf2p-9, -0x1.65e2b87d89137p-9, -0x1.5ab71d56e6377p-9, -0x1.4fe071cc272b9p-9, -0x1.455c5bc555e35p-9, -0x1.3b289049de46dp-9, -0x1.3142d32d3815ap-9, -0x1.27a8f6bcdc5d5p-9, -0x1.1e58db6f84436p-9, -0x1.15506f95ab81ap-9, -0x1.0c8daf0b5b15p-9, -0x1.040ea2eb3dd12p-9, -0x1.f7a2c285f1496p-10, -0x1.e7a8199195042p-10, -0x1.d829a924dc91fp-10, -0x1.c923e79a84269p-10, -0x1.ba9362ef5c85cp-10, -0x1.ac74c0379f63bp-10, -0x1.9ec4bb16b384bp-10, -0x1.9180253972a08p-10, -0x1.84a3e5d2e265ep-10, -0x1.782cf91b4fbacp-10, -0x1.6c186fd1df5d8p-10, -0x1.60636ec07e826p-10, -0x1.550b2e422cac7p-10, -0x1.4a0cf9cba2214p-10, -0x1.3f662f7644566p-10, -0x1.35143f8d6cd7ep-10, -0x1.2b14ac1de8c32p-10, -0x1.21650887c63abp-10, -0x1.1802f9124aab1p-10, -0x1.0eec328225049p-10, -0x1.061e79b1be6a8p-10, -0x1.fb2f46577811p-11, -0x1.eaab258f1b995p-11, -0x1.daac769032ad9p-11, -0x1.cb2f3bf8dea53p-11, -0x1.bc2f94c50ac37p-11, -0x1.ada9bb97dd76ap-11, -0x1.9f9a0609148a7p-11, -0x1.91fce3f63e587p-11, -0x1.84ceded7c0df2p-11, -0x1.780c9919a0578p-11, -0x1.6bb2cd77f42b3p-11, -0x1.5fbe4e5efc556p-11, -0x1.542c054ec8c51p-11, -0x1.48f8f2425f9d2p-11, -0x1.3e222b1a5a364p-11, -0x1.33a4db0ae1783p-11, -0x1.297e420d01a85p-11, -0x1.1fabb45341698p-11, -0x1.162a99c170e4ap-11, -0x1.0cf86d679f899p-11, -0x1.0412bd002bcbap-11, -0x1.f6ee50e1b694ap-12, -0x1.e646c29de36d8p-12, -0x1.d62a54cc637c9p-12, -0x1.c694ae8581ffep-12, -0x1.b781977bb2dbep-12, -0x1.a8ecf71a80747p-12, -0x1.9ad2d3aae1ed9p-12, -0x1.8d2f517ce182fp-12, -0x1.7ffeb2167695ap-12, -0x1.733d536777121p-12, -0x1.66e7af028be8ap-12, -0x1.5afa595b0746ap-12, -0x1.4f72010784afep-12, -0x1.444b6e093ce8ap-12, -0x1.39838117f31d3p-12, -0x1.2f1732f25bc05p-12, -0x1.250393b2f2c5bp-12, -0x1.1b45ca291a7c7p-12, -0x1.11db1336742d8p-12, -0x1.08c0c13058d21p-12, -0x1.ffe8768ab4074p-13, -0x1.eee5f9cd6bf5dp-13, -0x1.de752a6b4d7e6p-13, -0x1.ce914ce8f16a6p-13, -0x1.bf35caf69f90bp-13, -0x1.b05e32610fa26p-13, -0x1.a20634094003cp-13, -0x1.9429a2e321d83p-13, -0x1.86c472fb0af16p-13, -0x1.79d2b881bb2fbp-13, -0x1.6d50a6dec84c1p-13, -0x1.613a8fc9589f5p-13, -0x1.558ce266f8a92p-13, -0x1.4a442a707138p-13, -0x1.3f5d0f5c7776cp-13, -0x1.34d453900abd8p-13, -0x1.2aa6d3946f07bp-13, -0x1.20d185528e064p-13, -0x1.17517753adae5p-13, -0x1.0e23d00752d7ep-13, -0x1.0545cd0e314afp-13, -0x1.f9698514119dap-14, -0x1.e8dc34e4afa08p-14, -0x1.d8dea7db6ef78p-14, -0x1.c96c055fa9602p-14, -0x1.ba7f9cb7a87c9p-14, -0x1.ac14e3d63f889p-14, -0x1.9e277630cd0e3p-14, -0x1.90b3139d8823fp-14, -0x1.83b39f39e9a6p-14, -0x1.77251e58e78ep-14, -0x1.6b03b778e171ep-14, -0x1.5f4bb141039eep-14, -0x1.53f97185f4508p-14, -0x1.49097c5598373p-14, -0x1.3e787309c145bp-14, -0x1.344313619a5edp-14, -0x1.2a6636a1a1f4fp-14, -0x1.20ded0ba0a879p-14, -0x1.17a9ef7352576p-14, -0x1.0ec4b9a0edbe6p-14, -0x1.062c6e59d723fp-14, -0x1.fbbcc86dbe83p-15, -0x1.ebb0112d2ce5cp-15, -0x1.dc2dbdcd527cp-15, -0x1.cd30ffe51308cp-15, -0x1.beb5326e8672ap-15, -0x1.b0b5d878adec7p-15, -0x1.a32e9be2efad4p-15, -0x1.961b4c221b3fbp-15, -0x1.8977dd0ead44ep-15, -0x1.7d4065bc19625p-15, -0x1.71711f58d6fa4p-15, -0x1.66066416f7c27p-15, -0x1.5afcae1d07babp-15, -0x1.5050967f01e98p-15, -0x1.45fed43f1db44p-15, -0x1.3c043b563d554p-15, -0x1.325dbbc3cbb9cp-15, -0x1.290860a4cf68p-15, -0x1.20014f5203983p-15, -0x1.1745c684c3fa6p-15, -0x1.0ed31d829a85ep-15, -0x1.06a6c34f3fc35p-15, -0x1.fd7c7bc9bf9fep-16, -0x1.ee2e52e4f04a3p-16, -0x1.df5e6f403bb9bp-16, -0x1.d1085db20ebp-16, -0x1.c327d33657066p-16, -0x1.b5b8ab98a33f2p-16, -0x1.a8b6e828ca7b9p-16, -0x1.9c1eae79d6f25p-16, -0x1.8fec472ae9658p-16, -0x1.841c1cb9c4e4dp-16, -0x1.78aaba5ec2012p-16, -0x1.6d94caf1e2d46p-16, -0x1.62d717d8c1f7bp-16, -0x1.586e87fd1cfefp-16, -0x1.4e581ecbbc81dp-16, -0x1.4490fb3b7314p-16, -0x1.3b1656dc039e2p-16, -0x1.31e584eca9321p-16, -0x1.28fbf17a076d1p-16, -0x1.20572083599d9p-16, -0x1.17f4ad2690b01p-16, -0x1.0fd248d34a455p-16, -0x1.07edba844eccbp-16, -0x1.0044ddff7d69cp-16, -0x1.f1ab4637c827p-17, -0x1.e33c1a1bc2ab6p-17, -0x1.d53863722aaedp-17, -0x1.c79c721004e37p-17, -0x1.ba64b89244801p-17, -0x1.ad8dcb22b1a88p-17, -0x1.a1145e470d498p-17, -0x1.94f545ba4e62dp-17, -0x1.892d734f7e3e4p-17, -0x1.7db9f5de16c22p-17, -0x1.7297f8376e22dp-17, -0x1.67c4c0250a7b4p-17, -0x1.5d3dad6f81111p-17, -0x1.530038edaa7f8p-17, -0x1.4909f39be6c2cp-17, -0x1.3f5885bb2d8b6p-17, -0x1.35e9adf7b5882p-17, -0x1.2cbb4096ee55fp-17, -0x1.23cb26ac96e6bp-17, -0x1.1b175d56b7962p-17, -0x1.129df500476fbp-17, -0x1.0a5d10aa48c24p-17, -0x1.0252e53b27d52p-17, -0x1.f4fb71a854558p-18, -0x1.e5b7c45979c3cp-18, -0x1.d6d78fe6e6c07p-18, -0x1.c857c0690db6ap-18, -0x1.ba355f8b57522p-18, -0x1.ac6d936e1f9fdp-18, -0x1.9efd9d92b0a5cp-18, -0x1.91e2d9d0eb2f8p-18, -0x1.851abd564b162p-18, -0x1.78a2d5adfe61bp-18, -0x1.6c78c7d1be455p-18, -0x1.609a4f4327184p-18, -0x1.55053d2d4538p-18, -0x1.49b7778e15663p-18, -0x1.3eaef867b24dbp-18, -0x1.33e9ccf8f3862p-18, -0x1.296614fd3c12fp-18, -0x1.1f2201f33d499p-18, -0x1.151bd66a74c18p-18, -0x1.0b51e55729a53p-18, -0x1.01c2916cb411p-18, -0x1.f0d898fbb0a0ep-19, -0x1.de9b2dc60837cp-19, -0x1.ccc9fdcc6d94dp-19, -0x1.bb624068d430dp-19, -0x1.aa6146a88e1bbp-19, -0x1.99c47a43f6695p-19, -0x1.89895ca00533p-19, -0x1.79ad85d9758e3p-19, -0x1.6a2ea3d92794p-19, -0x1.5b0a797172f51p-19, -0x1.4c3edd8418d27p-19, -0x1.3dc9ba3087087p-19, -0x1.2fa90c0a29799p-19, -0x1.21dae1567c1aap-19, -0x1.145d59529c9c2p-19, -0x1.072ea380183e6p-19, -0x1.f499fdf1670cbp-20, -0x1.db6d7391e20b5p-20, -0x1.c2d460a22afd9p-20, -0x1.aacb9958e792p-20, -0x1.93500c3d87d9ep-20, -0x1.7c5ec10ea7cc5p-20, -0x1.65f4d7b3a5414p-20, -0x1.500f87391e4d4p-20, -0x1.3aac1cd7db78ep-20, -0x1.25c7fb05dd323p-20, -0x1.11609891111bep-20, -0x1.fae6ff86f8c14p-21, -0x1.d3fc9b20b3612p-21, -0x1.adfd6193f2a97p-21, -0x1.88e4d2bff88c8p-21, -0x1.64ae8f4b49c3ap-21, -0x1.4156573fdb538p-21, -0x1.1ed808b63b5f1p-21, -0x1.fa5f3d1e48814p-22, -0x1.b8b25e75e16a6p-22, -0x1.78a1d71cdcb9dp-22, -0x1.3a263b4911a75p-22, -0x1.fa709f3153231p-23, -0x1.83a20e0c02967p-23, -0x1.0fd301e4dde06p-23, -0x1.3dec1d1c2f0aep-24, -0x1.87f0caaa57268p-26, 0x1.d10d533f5dec7p-26, 0x1.44eb7d007b96bp-24, 0x1.080a5d1d64374p-23, 0x1.6aeb7bb6bfb61p-23, 0x1.cb24cde946acdp-23, 0x1.1460e41716354p-22, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.151a07fd23158p-1, 0x1.154fe82832a1ap-1, 0x1.1578c37b5ad1cp-1, 0x1.159289a90cb67p-1, 0x1.159b3a7b17403p-1, 0x1.1590ea13a3fb4p-1, 0x1.1571c47c49a01p-1, 0x1.153c108d493dep-1, 0x1.14ee32390730bp-1, 0x1.1486ac4913e2fp-1, 0x1.1404219aa5c14p-1, 0x1.136555e87922cp-1, 0x1.12a92e2fb559dp-1, 0x1.11ceb0bce61c1p-1, 0x1.10d504ed524b4p-1, 0x1.0fbb72b007b68p-1, 0x1.0e8161d111242p-1, 0x1.0d26591839f3p-1, 0x1.0ba9fd43d8722p-1, 0x1.0a0c0fe71dcbep-1, 0x1.084c6e328540bp-1, 0x1.066b0fac27fd5p-1, 0x1.046804dcf2bfep-1, 0x1.024375f7093dcp-1, 0x1.fffb42f1f6eb7p-2, 0x1.fb2db5a1cd1dp-2, 0x1.f61f120426691p-2, 0x1.f0d04a9e71144p-2, 0x1.eb4273d644227p-2, 0x1.e576c162481b3p-2, 0x1.df6e83ccff188p-2, 0x1.d92b260b2771ap-2, 0x1.d2ae2b2713939p-2, 0x1.cbf92c01e95b5p-2, 0x1.c50dd52b72b71p-2, 0x1.bdede4d0e6768p-2, 0x1.b69b28c2d7eb2p-2, 0x1.af177c9251bbdp-2, 0x1.a764c7c4f1451p-2, 0x1.9f84fc1fc8e63p-2, 0x1.977a1408a1e2dp-2, 0x1.8f4610fd32876p-2, 0x1.86eafa1fc7b4ap-2, 0x1.7e6adad8ce7b9p-2, 0x1.75c7c18ca60f6p-2, 0x1.6d03be651e5b9p-2, 0x1.6420e22df6d7ap-2, 0x1.5b213d43badd9p-2, 0x1.5206de9448833p-2, 0x1.48d3d2b05bb7ap-2, 0x1.3f8a22ed6e29p-2, 0x1.362bd4973f8b4p-2, 0x1.2cbae8305f90cp-2, 0x1.233958c10d2cfp-2, 0x1.19a91b33ca29ap-2, 0x1.100c1dbeffe37p-2, 0x1.0664475b190cbp-2, 0x1.f966ee88dfdc9p-3, 0x1.e5f709110c5b6p-3, 0x1.d27c7b3bd227ap-3, 0x1.befad00c7f6d4p-3, 0x1.ab757ff3e2028p-3, 0x1.97eff039c965bp-3, 0x1.846d7277bf933p-3, 0x1.70f14423fa7dbp-3, 0x1.5d7e8e2ba5dc4p-3, 0x1.4a18649ba6c41p-3, 0x1.36c1c656ef12fp-3, 0x1.237d9cd9a7f42p-3, 0x1.104ebc0865a9cp-3, 0x1.fa6fc4153f28cp-4, 0x1.d4776e5f98c03p-4, 0x1.aeb99bbcc6f11p-4, 0x1.893b45185ddcdp-4, 0x1.6401377ea13f6p-4, 0x1.3f10142ec4369p-4, 0x1.1a6c50bc5781cp-4, 0x1.ec346e7dae98ap-5, 0x1.a43bcd1cbed39p-5, 0x1.5cf6a51934e61p-5, 0x1.166c88f21b83ep-5, 0x1.a1496d3fab283p-6, 0x1.174c30ca90773p-6, 0x1.1ddd16cc1f8abp-7, 0x1.07a106ca6992bp-11, -0x1.f2f1bd5cbae3fp-8, -0x1.ffe522d280f63p-7, -0x1.815ab17ea55aap-6, -0x1.00755f0d1a29dp-5, -0x1.3f4c9f2cb5667p-5, -0x1.7d2ea7bbb68f5p-5, -0x1.ba17511f2c511p-5, -0x1.f602bc344c8d6p-5, -0x1.1876a87cfe52p-4, -0x1.3569de99fd1e1p-4, -0x1.51d9798432276p-4, -0x1.6dc413cc2a5cbp-4, -0x1.892868ca1b5eep-4, -0x1.a40553e63b825p-4, -0x1.be59cfdf91812p-4, -0x1.d824f61189746p-4, -0x1.f165fdb884bbfp-4, -0x1.050e1d9adb241p-3, -0x1.11238fa941c8ep-3, -0x1.1cf31b41c42a7p-3, -0x1.287c9415d7b3bp-3, -0x1.33bfdaefa86bbp-3, -0x1.3ebcdd53d8657p-3, -0x1.49739523858e5p-3, -0x1.53e4083e9ea69p-3, -0x1.5e0e4826ab745p-3, -0x1.67f271a21563p-3, -0x1.7190ac5ffb1d6p-3, -0x1.7ae92a9cb4f43p-3, -0x1.83fc28c708503p-3, -0x1.8cc9ed261ca7ap-3, -0x1.9552c7804efddp-3, -0x1.9d9710c2ddc5ep-3, -0x1.a5972aaa8cd13p-3, -0x1.ad537f6d3f894p-3, -0x1.b4cc81649bebep-3, -0x1.bc02aab9c53efp-3, -0x1.c2f67d122f5cfp-3, -0x1.c9a8813d998d5p-3, -0x1.d01946e53b77dp-3, -0x1.d649643c2a5adp-3, -0x1.dc3975b0fbcb5p-3, -0x1.e1ea1da0b08d7p-3, -0x1.e75c040aef6f4p-3, -0x1.ec8fd64792ca4p-3, -0x1.f18646bd8b4eap-3, -0x1.f6400c9b262adp-3, -0x1.fabde38fb30bdp-3, -0x1.ff008b868e5a9p-3, -0x1.01846431cc41ep-2, -0x1.036bb0e08c433p-2, -0x1.0536915784e4fp-2, -0x1.06e56cb9efe4fp-2, -0x1.0878aba75bd67p-2, -0x1.09f0b81d80487p-2, -0x1.0b4dfd5ac9c31p-2, -0x1.0c90e7c1a271ep-2, -0x1.0db9e4bc73f68p-2, -0x1.0ec962a26030ep-2, -0x1.0fbfd09cb876cp-2, -0x1.109d9e8d2adf5p-2, -0x1.11633cf4a6f5bp-2, -0x1.12111cdafb927p-2, -0x1.12a7afb72acacp-2, -0x1.1327675870de8p-2, -0x1.1390b5d0013bcp-2, -0x1.13e40d5b752f7p-2, -0x1.1421e04fea126p-2, -0x1.144aa105d043p-2, -0x1.145ec1c566f73p-2, -0x1.145eb4b3e2b29p-2, -0x1.144aebc13ca02p-2, -0x1.1423d896abaecp-2, -0x1.13e9ec85c149ep-2, -0x1.139d9878277a3p-2, -0x1.133f4ce001c11p-2, -0x1.12cf79a8ebd77p-2, -0x1.124e8e29933c7p-2, -0x1.11bcf915eb238p-2, -0x1.111b2871f5093p-2, -0x1.106989851fb24p-2, -0x1.0fa888ce35fbep-2, -0x1.0ed891f7dbb99p-2, -0x1.0dfa0fcd9983fp-2, -0x1.0d0d6c316dc95p-2, -0x1.0c131011e787ap-2, -0x1.0b0b6360c1019p-2, -0x1.09f6cd0a00275p-2, -0x1.08d5b2eb8f811p-2, -0x1.07a879cd5714ep-2, -0x1.066f8559c8877p-2, -0x1.052b3816e50ffp-2, -0x1.03dbf35fb392cp-2, -0x1.0282175e25908p-2, -0x1.011e03056cac4p-2, -0x1.ff6028196ab32p-3, -0x1.fc714dd4962fap-3, -0x1.f9702d9e43aafp-3, -0x1.f65d7b45802a5p-3, -0x1.f339e7ff09fbep-3, -0x1.f006225ea1df6p-3, -0x1.ecc2d65100abfp-3, -0x1.e970ad16830a2p-3, -0x1.e6104d3e79a9ep-3, -0x1.e2a25aa32099dp-3, -0x1.df2776662982ap-3, -0x1.dba03eedea5fap-3, -0x1.d80d4fe318f3dp-3, -0x1.d46f422f121b1p-3, -0x1.d0c6abfab23d3p-3, -0x1.cd1420adaaa96p-3, -0x1.c95830ee575d5p-3, -0x1.c5936aa216fb6p-3, -0x1.c1c658ee0b6cfp-3, -0x1.bdf184385d94ap-3, -0x1.ba157229db9a1p-3, -0x1.b632a5b00ed63p-3, -0x1.b2499effaefc7p-3, -0x1.ae5adb9776e74p-3, -0x1.aa66d64354df1p-3, -0x1.a66e071ff57a9p-3, -0x1.a270e39e9f6c4p-3, -0x1.9e6fde8962df7p-3, -0x1.9a6b680792b86p-3, -0x1.9663eda286d72p-3, -0x1.9259da4aa4b77p-3, -0x1.8e4d965ca9298p-3, -0x1.8a3f87a73401ep-3, -0x1.86301170834ap-3, -0x1.821f947c75affp-3, -0x1.7e0e6f12b56c5p-3, -0x1.79fcfd0519b1bp-3, -0x1.75eb97b634f7ep-3, -0x1.71da962010238p-3, -0x1.6dca4cdb0e241p-3, -0x1.69bb0e24f01d3p-3, -0x1.65ad29e8074dbp-3, -0x1.61a0edc27c129p-3, -0x1.5d96a50dbb9e8p-3, -0x1.598e98e5faccfp-3, -0x1.55891031d7beep-3, -0x1.51864faa0ed1dp-3, -0x1.4d8699e142f01p-3, -0x1.498a2f4bdcc06p-3, -0x1.45914e47f7e8p-3, -0x1.419c33255d7e9p-3, -0x1.3dab182d8d764p-3, -0x1.39be35abcfee4p-3, -0x1.35d5c1f551137p-3, -0x1.31f1f17144ebfp-3, -0x1.2e12f6a10dc5fp-3, -0x1.2a39022867edap-3, -0x1.266442d599c94p-3, -0x1.2294e5a99ceb7p-3, -0x1.1ecb15e052951p-3, -0x1.1b06fcf8ab053p-3, -0x1.1748c2bcccc97p-3, -0x1.13908d4a3cef1p-3, -0x1.0fde8119f8404p-3, -0x1.0c32c1088abedp-3, -0x1.088d6e5e20f72p-3, -0x1.04eea8d687babp-3, -0x1.01568ea92a192p-3, -0x1.fb8a792207d2cp-4, -0x1.f4759ba8fcaacp-4, -0x1.ed6eb89a97097p-4, -0x1.e67600e05ddafp-4, -0x1.df8ba2a969dc7p-4, -0x1.d8afc979bdf22p-4, -0x1.d1e29e397fd29p-4, -0x1.cb24474406791p-4, -0x1.c474e876cff7fp-4, -0x1.bdd4a34047c9ap-4, -0x1.b74396ae79c96p-4, -0x1.b0c1df7d8cdf3p-4, -0x1.aa4f98262186dp-4, -0x1.a3ecd8eb87dfep-4, -0x1.9d99b7e9c0f7ep-4, -0x1.975649236f02dp-4, -0x1.91229e8f8152ap-4, -0x1.8afec826c5bep-4, -0x1.84ead3f14978dp-4, -0x1.7ee6ce138d11p-4, -0x1.78f2c0db8e055p-4, -0x1.730eb4cda29f2p-4, -0x1.6d3ab0b127873p-4, -0x1.6776b99d018dp-4, -0x1.61c2d303ef3a1p-4, -0x1.5c1efec0ae3cfp-4, -0x1.568b3d21f0a0dp-4, -0x1.51078cf624748p-4, -0x1.4b93eb970c1ecp-4, -0x1.463054f527e71p-4, -0x1.40dcc3a2f02bep-4, -0x1.3b9930dfe0ccep-4, -0x1.366594a356517p-4, -0x1.3141e5a739f93p-4, -0x1.2c2e197280f13p-4, -0x1.272a24637bdcp-4, -0x1.2235f9b9f67fbp-4, -0x1.1d518ba12b4c8p-4, -0x1.187ccb398546bp-4, -0x1.13b7a8a236a9dp-4, -0x1.0f0213029ed11p-4, -0x1.0a5bf893847ecp-4, -0x1.05c546a820fdbp-4, -0x1.013de9b6fe941p-4, -0x1.f98b9ac5537f5p-5, -0x1.f0b9b9046c3ap-5, -0x1.e80602532b22dp-5, -0x1.df7049638b2c7p-5, -0x1.d6f85f819de79p-5, -0x1.ce9e14a3351f6p-5, -0x1.c661377737508p-5, -0x1.be4195749ea0cp-5, -0x1.b63efae924192p-5, -0x1.ae59330795611p-5, -0x1.a69007f5d9e66p-5, -0x1.9ee342daa60b8p-5, -0x1.9752abeadbffbp-5, -0x1.8fde0a769e222p-5, -0x1.888524f612ee4p-5, -0x1.8147c115d7a22p-5, -0x1.7a25a3c329b56p-5, -0x1.731e9137c125fp-5, -0x1.6c324d0561f02p-5, -0x1.65609a2120d3p-5, -0x1.5ea93aee615bep-5, -0x1.580bf14989b54p-5, -0x1.51887e927070ep-5, -0x1.4b1ea3b683999p-5, -0x1.44ce213aaa751p-5, -0x1.3e96b744e46bbp-5, -0x1.387825a5a2461p-5, -0x1.32722be0e0703p-5, -0x1.2c848936fc45ep-5, -0x1.26aefcad4e437p-5, -0x1.20f145167ff45p-5, -0x1.1b4b211aa71fbp-5, -0x1.15bc4f3f2416ap-5, -0x1.10448dee41bb9p-5, -0x1.0ae39b7e9d3e1p-5, -0x1.0599363a5206bp-5, -0x1.00651c65ec48ap-5, -0x1.f68e188e4f028p-6, -0x1.ec7d8856e0318p-6, -0x1.e29804dc6a527p-6, -0x1.d8dd0afe0123bp-6, -0x1.cf4c17cebb902p-6, -0x1.c5e4a8a11a946p-6, -0x1.bca63b120c37ap-6, -0x1.b3904d1389e3dp-6, -0x1.aaa25cf6d9dabp-6, -0x1.a1dbe9767530bp-6, -0x1.993c71bf87be3p-6, -0x1.90c3757b1fd8dp-6, -0x1.887074d703462p-6, -0x1.8042f08e26971p-6, -0x1.783a69f0d9ec1p-6, -0x1.705662ec9ba71p-6, -0x1.68965e139db51p-6, -0x1.60f9dea3f6674p-6, -0x1.5980688e8ba11p-6, -0x1.5229807daa49bp-6, -0x1.4af4abdb56aa9p-6, -0x1.43e170d75507bp-6, -0x1.3cef566cebd9p-6, -0x1.361de4685cd57p-6, -0x1.2f6ca36c1df3fp-6, -0x1.28db1cf5d0482p-6, -0x1.2268db62f4b83p-6, -0x1.1c1569f5637b6p-6, -0x1.15e054d784f6ep-6, -0x1.0fc929204ecadp-6, -0x1.09cf74d708939p-6, -0x1.03f2c6f6d6436p-6, -0x1.fc655ee41730dp-7, -0x1.f11d7e6a8e8f6p-7, -0x1.e60d1054be03bp-7, -0x1.db333a762659cp-7, -0x1.d08f24a726efep-7, -0x1.c61ff8c9a5c2dp-7, -0x1.bbe4e2cd565d8p-7, -0x1.b1dd10b3aaefcp-7, -0x1.a807b29367195p-7, -0x1.9e63fa9bdcdb9p-7, -0x1.94f11d17d952bp-7, -0x1.8bae50703cfdbp-7, -0x1.829acd2e4535ep-7, -0x1.79b5cdfd89a77p-7, -0x1.70fe8fadaf327p-7, -0x1.68745133d0343p-7, -0x1.601653aba57c6p-7, -0x1.57e3da5860718p-7, -0x1.4fdc2aa55122fp-7, -0x1.47fe8c2644942p-7, -0x1.404a48979f7a4p-7, -0x1.38beabde50051p-7, -0x1.315b040773ccap-7, -0x1.2a1ea147cfb98p-7, -0x1.2308d5fb10e58p-7, -0x1.1c18f6a2d801cp-7, -0x1.154e59e59476ap-7, -0x1.0ea8588d2ef61p-7, -0x1.08264d85850c1p-7, -0x1.01c795dab90e2p-7, -0x1.f717216eac8bep-8, -0x1.eae33ec49897cp-8, -0x1.def24a7983f96p-8, -0x1.d3430f7f86004p-8, -0x1.c7d45cf390973p-8, -0x1.bca506183b7bap-8, -0x1.b1b3e2504b573p-8, -0x1.a6ffcd18f8f39p-8, -0x1.9c87a603f9f29p-8, -0x1.924a50b151818p-8, -0x1.8846b4c8e3b13p-8, -0x1.7e7bbdf3d7d33p-8, -0x1.74e85bd5c5144p-8, -0x1.6b8b8205af852p-8, -0x1.62642806d669ap-8, -0x1.59714941569eep-8, -0x1.50b1e4faa3a11p-8, -0x1.4824fe4dd928ep-8, -0x1.3fc99c23e759bp-8, -0x1.379ec92b9c98ap-8, -0x1.2fa393d18d544p-8, -0x1.27d70e37dcd65p-8, -0x1.20384e2dea8p-8, -0x1.18c66d27e328p-8, -0x1.1180883637bb6p-8, -0x1.0a65bffcfde9fp-8, -0x1.037538ab3bfe6p-8, -0x1.f95c33e43c63ap-9, -0x1.ec1f1df835a6fp-9, -0x1.df318cc80e7bap-9, -0x1.d291e458358f4p-9, -0x1.c63e8f69c984ep-9, -0x1.ba35ff6871ce9p-9, -0x1.ae76ac5819b02p-9, -0x1.a2ff14c29dbf4p-9, -0x1.97cdbda56880bp-9, -0x1.8ce1325eff41ap-9, -0x1.8238049c867f5p-9, -0x1.77d0cc473a7cdp-9, -0x1.6daa2771e507dp-9, -0x1.63c2ba464d9c2p-9, -0x1.5a192ef2a596bp-9, -0x1.50ac3596f8597p-9, -0x1.477a843299be3p-9, -0x1.3e82d6919e1c9p-9, -0x1.35c3ee3a51bebp-9, -0x1.2d3c925abdd96p-9, -0x1.24eb8fb634457p-9, -0x1.1ccfb892e82bap-9, -0x1.14e7e4a792833p-9, -0x1.0d32f10926e35p-9, -0x1.05afc01896682p-9, -0x1.fcba72e14b762p-10, -0x1.ee7493a7ac7e8p-10, -0x1.e08bc634c5e45p-10, -0x1.d2fdf840a4407p-10, -0x1.c5c9216741fep-10, -0x1.b8eb430505f69p-10, -0x1.ac6268137eda6p-10, -0x1.a02ca5064842p-10, -0x1.944817a82ecc2p-10, -0x1.88b2e6f889266p-10, -0x1.7d6b4308cde29p-10, -0x1.726f64da5f577p-10, -0x1.67bd8e3c9f8f5p-10, -0x1.5d5409ab38021p-10, -0x1.53312a2caefeap-10, -0x1.49534b31331fbp-10, -0x1.3fb8d071b4705p-10, -0x1.366025cf3c9d3p-10, -0x1.2d47bf3291758p-10, -0x1.246e186c1af96p-10, -0x1.1bd1b51414d7cp-10, -0x1.1371206b0b5b9p-10, -0x1.0b4aed3a97668p-10, -0x1.035db5b67a57fp-10, -0x1.f75036bbdedf6p-11, -0x1.e8518dbab499ep-11, -0x1.d9bccfe0763dcp-11, -0x1.cb8f6a86e671bp-11, -0x1.bdc6d8afaf202p-11, -0x1.b060a2ca27006p-11, -0x1.a35a5e79b2b92p-11, -0x1.96b1ae5cc9b7ep-11, -0x1.8a6441d498a83p-11, -0x1.7e6fd4cd472cbp-11, -0x1.72d22f86de5f6p-11, -0x1.6789265ed1e62p-11, -0x1.5c92999a2ab55p-11, -0x1.51ec7530566dap-11, -0x1.4794b09696611p-11, -0x1.3d894e8c15e6bp-11, -0x1.33c85ce69f6f3p-11, -0x1.2a4ff45ff6a7cp-11, -0x1.211e3863d5debp-11, -0x1.183156de8cdbap-11, -0x1.0f87880c412cep-11, -0x1.071f0e48d348dp-11, -0x1.fdec6bc0c46dbp-12, -0x1.ee16a9c0e2b1dp-12, -0x1.deb995d360ad6p-12, -0x1.cfd20204c06abp-12, -0x1.c15cd2d2b3c7ep-12, -0x1.b356fed3669c5p-12, -0x1.a5bd8e5e01df3p-12, -0x1.988d9b346da82p-12, -0x1.8bc4502e47af4p-12, -0x1.7f5ee8e515f47p-12, -0x1.735ab161a8f12p-12, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.1250a143355e4p-1, 0x1.1273ee8299762p-1, 0x1.12962f62d222dp-1, 0x1.12b6ea744ba38p-1, 0x1.12d5a4d3338b2p-1, 0x1.12f1e32d13c9p-1, 0x1.130b2ab0803eep-1, 0x1.132101e619568p-1, 0x1.1332f172c8c2cp-1, 0x1.134084c3910a8p-1, 0x1.13494aa3a7b52p-1, 0x1.134cd5bdd4c76p-1, 0x1.134abd0a41c1ep-1, 0x1.13429c2a0547fp-1, 0x1.133413b1c198dp-1, 0x1.131ec964beb8ep-1, 0x1.13026861dcd52p-1, 0x1.12dea143bcf72p-1, 0x1.12b32a35693b6p-1, 0x1.127fbefcbc0d8p-1, 0x1.124420fbb0d46p-1, 0x1.12001729b4aa3p-1, 0x1.11b36e05fa2d2p-1, 0x1.115df783bdae4p-1, 0x1.10ff8af1564f5p-1, 0x1.109804dad6e3ap-1, 0x1.102746e8f400ap-1, 0x1.0fad37bcd14ebp-1, 0x1.0f29c2c94704fp-1, 0x1.0e9cd82a214e5p-1, 0x1.0e066c79cbf06p-1, 0x1.0d6678a5d31ap-1, 0x1.0cbcf9c29186fp-1, 0x1.0c09f0de5d56p-1, 0x1.0b4d62d475fb2p-1, 0x1.0a87581ff5ee3p-1, 0x1.09b7dcaef5639p-1, 0x1.08deffb611bc4p-1, 0x1.07fcd3847e65ap-1, 0x1.07116d58bf0d3p-1, 0x1.061ce5362a98dp-1, 0x1.051f55bb4caa3p-1, 0x1.0418dbf937b4ap-1, 0x1.0309974bdc517p-1, 0x1.01f1a9336e664p-1, 0x1.00d1352ee3545p-1, 0x1.ff50c12f270d7p-2, 0x1.fceea4fbff2fap-2, 0x1.fa7c670f8493dp-2, 0x1.f7fa5b9d5ab2bp-2, 0x1.f568d98226436p-2, 0x1.f2c83a0678db8p-2, 0x1.f018d8a40f9dcp-2, 0x1.ed5b12cd5f3eap-2, 0x1.ea8f47b76abc6p-2, 0x1.e7b5d825d2512p-2, 0x1.e4cf26391a9fcp-2, 0x1.e1db953f1d26p-2, 0x1.dedb89859534ep-2, 0x1.dbcf682ebc3b7p-2, 0x1.d8b79707eeccbp-2, 0x1.d5947c6244624p-2, 0x1.d2667eed11815p-2, 0x1.cf2e0592462dcp-2, 0x1.cbeb775497158p-2, 0x1.c89f3b2f68365p-2, 0x1.c549b7f865a4bp-2, 0x1.c1eb5442bf045p-2, 0x1.be847643fb24ap-2, 0x1.bb1583ba4b8f9p-2, 0x1.b79ee1d45dd91p-2, 0x1.b420f51a97545p-2, 0x1.b09c2159ab5a8p-2, 0x1.ad10c98e85f96p-2, 0x1.a97f4fd37740ap-2, 0x1.a5e8154e99e5fp-2, 0x1.a24b7a215fb33p-2, 0x1.9ea9dd59418c1p-2, 0x1.9b039ce180211p-2, 0x1.97591575eeb79p-2, 0x1.93aaa296b9f47p-2, 0x1.8ff89e7d21dcp-2, 0x1.8c4362111d5c6p-2, 0x1.888b44dfd7fb5p-2, 0x1.84d09d130a8adp-2, 0x1.8113bf691a373p-2, 0x1.7d54ff2dfc9ddp-2, 0x1.7994ae34d42bp-2, 0x1.75d31cd23fe86p-2, 0x1.721099d7526bap-2, 0x1.6e4d728d2a2e1p-2, 0x1.6a89f2b127569p-2, 0x1.66c66471af934p-2, 0x1.6303106b82338p-2, 0x1.5f403da78c3e8p-2, 0x1.5b7e3199423ccp-2, 0x1.57bd301d6b098p-2, 0x1.53fd7b7963254p-2, 0x1.503f545ac926p-2, 0x1.4c82f9d792d38p-2, 0x1.48c8a96e85a8bp-2, 0x1.45109f0809ef5p-2, 0x1.415b14f757225p-2, 0x1.3da843fbf28fcp-2, 0x1.39f8634380a89p-2, 0x1.364ba86bdaecep-2, 0x1.32a24785710d6p-2, 0x1.2efc7315eab2ep-2, 0x1.2b5a5c1b0749bp-2, 0x1.27bc320db99cap-2, 0x1.242222e57a6a1p-2, 0x1.208c5b1bcedfp-2, 0x1.1cfb05afff016p-2, 0x1.196e4c2afaba3p-2, 0x1.15e656a369173p-2, 0x1.12634bc1df229p-2, 0x1.0ee550c538972p-2, 0x1.0b6c8987197c4p-2, 0x1.07f9188087812p-2, 0x1.048b1ecea5a61p-2, 0x1.0122bc3787a61p-2, 0x1.fb801e5e4148fp-3, 0x1.f4c669b889885p-3, 0x1.ee18923b81791p-3, 0x1.e776cd1f08ae9p-3, 0x1.e0e14d1fb440fp-3, 0x1.da5842895f995p-3, 0x1.d3dbdb41d882ap-3, 0x1.cd6c42d396aa4p-3, 0x1.c709a27891087p-3, 0x1.c0b421251c148p-3, 0x1.ba6be392d52adp-3, 0x1.b4310c4b979ffp-3, 0x1.ae03bbb478dccp-3, 0x1.a7e41018c71eap-3, 0x1.a1d225b50c9dp-3, 0x1.9bce16c20ac51p-3, 0x1.95d7fb7fbc7dep-3, 0x1.8fefea4048981p-3, 0x1.8a15f772f35c2p-3, 0x1.844a35af04a94p-3, 0x1.7e8cb5bea2a4cp-3, 0x1.78dd86a99bb35p-3, 0x1.733cb5c02968fp-3, 0x1.6daa4ea599f5ep-3, 0x1.68265b5aef069p-3, 0x1.62b0e449623fp-3, 0x1.5d49f04cd9e1dp-3, 0x1.57f184be44d5bp-3, 0x1.52a7a57ddfcc9p-3, 0x1.4d6c54fd61c94p-3, 0x1.483f944a0d61p-3, 0x1.43216316a95bcp-3, 0x1.3e11bfc55e0fdp-3, 0x1.3910a7717231fp-3, 0x1.341e15f8ed422p-3, 0x1.2f3a06061f94bp-3, 0x1.2a6471190023p-3, 0x1.259d4f907621p-3, 0x1.20e498b37f636p-3, 0x1.1c3a42ba31d48p-3, 0x1.179e42d69f00bp-3, 0x1.13108d3d97179p-3, 0x1.0e91152f47dc6p-3, 0x1.0a1fccffba29bp-3, 0x1.05bca61f2a83ep-3, 0x1.0167912244a4p-3, 0x1.fa40fb94644dep-4, 0x1.f1ceb6191db29p-4, 0x1.e9782e366e6p-4, 0x1.e13d3ed7dc966p-4, 0x1.d91dc17fc89c4p-4, 0x1.d1198e563857fp-4, 0x1.c9307c374af2p-4, 0x1.c16260c16ee64p-4, 0x1.b9af10635539dp-4, 0x1.b2165e698cbc6p-4, 0x1.aa981d0be881fp-4, 0x1.a3341d7a98f4dp-4, 0x1.9bea2feaeeb43p-4, 0x1.94ba23a3f5dd7p-4, 0x1.8da3c70aae774p-4, 0x1.86a6e7ae0f34cp-4, 0x1.7fc35252be289p-4, 0x1.78f8d2fe84819p-4, 0x1.724735037ff56p-4, 0x1.6bae430b0eda2p-4, 0x1.652dc7207a1bap-4, 0x1.5ec58abb5c28bp-4, 0x1.587556c9c724p-4, 0x1.523cf3ba28953p-4, 0x1.4c1c2984edf1dp-4, 0x1.4612bfb5e91d5p-4, 0x1.40207d7574e03p-4, 0x1.3a4529915d343p-4, 0x1.34808a8588695p-4, 0x1.2ed26684641ffp-4, 0x1.293a837f16fa3p-4, 0x1.23b8a72d76a9cp-4, 0x1.1e4c9715c3c35p-4, 0x1.18f618942cebbp-4, 0x1.13b4f0e2187edp-4, 0x1.0e88e51d37533p-4, 0x1.0971ba4e609a2p-4, 0x1.046f357037bep-4, 0x1.ff0236eb38d72p-5, 0x1.f54e629fd0ef3p-5, 0x1.ebc277e9ef867p-5, 0x1.e25e00ca00e56p-5, 0x1.d92087606fe6bp-5, 0x1.d00995f88ee64p-5, 0x1.c718b7132319cp-5, 0x1.be4d7570908f6p-5, 0x1.b5a75c1aab0c1p-5, 0x1.ad25f66e2c22fp-5, 0x1.a4c8d023d3199p-5, 0x1.9c8f75592a05p-5, 0x1.94797298fb091p-5, 0x1.8c8654e36da14p-5, 0x1.84b5a9b5d6dc2p-5, 0x1.7d06ff123741cp-5, 0x1.7579e3866b52p-5, 0x1.6e0de63310041p-5, 0x1.66c296d21d62p-5, 0x1.5f9785bd36338p-5, 0x1.588c43f3b2584p-5, 0x1.51a0632063d23p-5, 0x1.4ad3759f15172p-5, 0x1.44250e81c7b3ap-5, 0x1.3d94c195b2308p-5, 0x1.37222367fb789p-5, 0x1.30ccc94a3d3eep-5, 0x1.2a944956c6b5ep-5, 0x1.24783a74a4debp-5, 0x1.1e78345b744f5p-5, 0x1.1893cf96f9448p-5, 0x1.12caa58a80d12p-5, 0x1.0d1c50740eaeap-5, 0x1.07886b6f5809p-5, 0x1.020e92788a386p-5, 0x1.f95cc4ddc6116p-6, 0x1.eecef22e3033dp-6, 0x1.e472ea3b24895p-6, 0x1.da47ec30f24b2p-6, 0x1.d04d39132dcc5p-6, 0x1.c68213c01ead6p-6, 0x1.bce5c0f3de8bcp-6, 0x1.b377874b29954p-6, 0x1.aa36af45dd7aep-6, 0x1.a122834932b92p-6, 0x1.983a4fa1abfd8p-6, 0x1.8f7d6284bf2d5p-6, 0x1.86eb0c123a2b1p-6, 0x1.7e829e556791cp-6, 0x1.76436d45f3684p-6, 0x1.6e2ccec88fcaap-6, 0x1.663e1aaf6364dp-6, 0x1.5e76aaba3b691p-6, 0x1.56d5da96853a5p-6, 0x1.4f5b07df13504p-6, 0x1.4805921bb3a9dp-6, 0x1.40d4dac08b236p-6, 0x1.39c8452d48b0cp-6, 0x1.32df36ac27557p-6, 0x1.2c191670c25f4p-6, 0x1.25754d96c4551p-6, 0x1.1ef34720660c8p-6, 0x1.18926ff4ca8f9p-6, 0x1.125236de339adp-6, 0x1.0c320c8812381p-6, 0x1.0631637cf4ddep-6, 0x1.004fb0245313fp-6, 0x1.f518d1807713ap-7, 0x1.e9ce0ad5bf646p-7, 0x1.debe002807d98p-7, 0x1.d3e7a8fcb256bp-7, 0x1.c94a00795e5e3p-7, 0x1.bee4055e3b3f7p-7, 0x1.b4b4ba000e461p-7, 0x1.aabb244219f24p-7, 0x1.a0f64d8fd6c06p-7, 0x1.976542d6831f3p-7, 0x1.8e07147e865dep-7, 0x1.84dad664bd14ep-7, 0x1.7bdf9fd38eab7p-7, 0x1.73148b7bf3628p-7, 0x1.6a78b76e55c76p-7, 0x1.620b45134f8fcp-7, 0x1.59cb59245c9b1p-7, 0x1.51b81ba460eacp-7, 0x1.49d0b7d827917p-7, 0x1.42145c3ebe2a7p-7, 0x1.3a823a89cbd07p-7, 0x1.33198795c49d1p-7, 0x1.2bd97b6218a78p-7, 0x1.24c151094d32ap-7, 0x1.1dd046b90b049p-7, 0x1.17059daa1e1cp-7, 0x1.10609a186a6aap-7, 0x1.09e0833ad865fp-7, 0x1.0384a33b36566p-7, 0x1.fa988e5c27789p-8, 0x1.ee6d7e152d50dp-8, 0x1.e286bb4495c57p-8, 0x1.d6e2f131dc82p-8, 0x1.cb80d0b872604p-8, 0x1.c05f10374bf36p-8, 0x1.b57c6b806d41dp-8, 0x1.aad7a3c87777cp-8, 0x1.a06f7f963651dp-8, 0x1.9642cab234009p-8, 0x1.8c5056164f4cep-8, 0x1.8296f7dd5d467p-8, 0x1.79158b32cf737p-8, 0x1.6fcaf042673abp-8, 0x1.66b60c27f4d82p-8, 0x1.5dd5c8df21dcp-8, 0x1.552915334bfcep-8, 0x1.4caee4af6f1d3p-8, 0x1.44662f8e210c5p-8, 0x1.3c4df2a99de3p-8, 0x1.34652f6beb744p-8, 0x1.2caaebbf0c82p-8, 0x1.251e31fd4dd6dp-8, 0x1.1dbe10e1a6831p-8, 0x1.16899b783368bp-8, 0x1.0f7fe90ec79a1p-8, 0x1.08a0152597bf7p-8, 0x1.01e93f5ffff11p-8, 0x1.f6b516eac5cd5p-9, 0x1.e9e642444dfadp-9, 0x1.dd6458319a454p-9, 0x1.d12db7e64d6a8p-9, 0x1.c540c8474fa9cp-9, 0x1.b99bf7cdaf0dfp-9, 0x1.ae3dbc69bf553p-9, 0x1.a324936676a4fp-9, 0x1.984f014d0afaep-9, 0x1.8dbb91c8cc6a8p-9, 0x1.8368d78b46498p-9, 0x1.79556c309b77bp-9, 0x1.6f7ff0242995cp-9, 0x1.65e70a856f39cp-9, 0x1.5c89690d3250cp-9, 0x1.5365bff2f03f5p-9, 0x1.4a7ac9d28d0fp-9, 0x1.41c747924d7b6p-9, 0x1.394a0049100bep-9, 0x1.3101c124d46d3p-9, 0x1.28ed5d517f97dp-9, 0x1.210baddfef569p-9, 0x1.195b91ad4d69cp-9, 0x1.11dbed4aafca8p-9, 0x1.0a8baae4f91b8p-9, 0x1.0369ba2d07e9p-9, 0x1.f8ea20804c2dap-10, 0x1.eb594f21889acp-10, 0x1.de1eff9ef66a6p-10, 0x1.d1393ba8a3e13p-10, 0x1.c4a617109ee94p-10, 0x1.b863af9e9dbf8p-10, 0x1.ac702ce43d5fbp-10, 0x1.a0c9c011c82c2p-10, 0x1.956ea3cb88325p-10, 0x1.8a5d1bffabcd2p-10, 0x1.7f9375bcb5e41p-10, 0x1.7510070870c48p-10, 0x1.6ad12eb77b3b3p-10, 0x1.60d5544550669p-10, 0x1.571ae7ace668p-10, 0x1.4da06141d0cfcp-10, 0x1.44644189e904dp-10, 0x1.3b65111783693p-10, 0x1.32a1606428392p-10, 0x1.2a17c7abd4a67p-10, 0x1.21c6e6c8c0ceep-10, 0x1.19ad650faa8dbp-10, 0x1.11c9f12c9e671p-10, 0x1.0a1b41004e506p-10, 0x1.02a0117de09afp-10, 0x1.f6ae4d1282b8bp-11, 0x1.e87e95abed90cp-11, 0x1.daae9f8ce3e7dp-11, 0x1.cd3c1a97ba438p-11, 0x1.c024c38cce4c2p-11, 0x1.b36663cc150bbp-11, 0x1.a6fed1179c5f8p-11, 0x1.9aebed5701a1dp-11, 0x1.8f2ba65bd570dp-11, 0x1.83bbf5a6eff42p-11, 0x1.789ae02eb0e4fp-11, 0x1.6dc6762627869p-11, 0x1.633cd2c52373ep-11, 0x1.58fc1c1129163p-11, 0x1.4f0282a749501p-11, 0x1.454e4186d96ffp-11, 0x1.3bdd9ddd075ccp-11, 0x1.32aee6d14ae2ep-11, 0x1.29c07552af66dp-11, 0x1.2110abe5f29d8p-11, 0x1.189df6747a163p-11, 0x1.1066ca1c16cf9p-11, 0x1.0869a4ff9c3d7p-11, 0x1.00a50e183f7e8p-11, 0x1.f22f2a0f89384p-12, 0x1.e37fa3d6e4584p-12, 0x1.d538ca5f9228ep-12, 0x1.c757eeca047b4p-12, 0x1.b9da722894325p-12, 0x1.acbdc52b77909p-12, 0x1.9fff67ce2e529p-12, 0x1.939ce90662af6p-12, 0x1.8793e67435c9ap-12, 0x1.7be20c13f4ddbp-12, 0x1.708513f135d2ep-12, 0x1.657ac5db4e208p-12, 0x1.5ac0f71b2ac7bp-12, 0x1.50558a2a775efp-12, 0x1.46366e6c1c49cp-12, 0x1.3c619fe603e71p-12, 0x1.32d526fc2e5d3p-12, 0x1.298f182d02005p-12, 0x1.208d93ceddbafp-12, 0x1.17cec5cee72a2p-12, 0x1.0f50e57108b7bp-12, 0x1.071235112841ap-12, 0x1.fe2203cb08947p-13, 0x1.ee97478475b07p-13, 0x1.df80f9bbedc0fp-13, 0x1.d0dbf32f71055p-13, 0x1.c2a5207b7b024p-13, 0x1.b4d981aaf4611p-13, 0x1.a77629c956db7p-13, 0x1.9a783e76e493fp-13, 0x1.8ddcf77ef75c2p-13, 0x1.81a19e705898bp-13, 0x1.75c38e37a2a97p-13, 0x1.6a4032bb98051p-13, 0x1.5f15087b70085p-13, 0x1.543f9c2f1076ap-13, 0x1.49bd8a6925433p-13, 0x1.3f8c7f3b1c09fp-13, 0x1.35aa35daed99ap-13, 0x1.2c14784ab3c34p-13, 0x1.22c91f0208ba1p-13, 0x1.19c610991d19bp-13, 0x1.11094175882dcp-13, 0x1.0890b378c7ab3p-13, 0x1.005a75b06071dp-13, 0x1.f0c9480f4d49dp-14, 0x1.e15acdf6345fbp-14, 0x1.d265e69aabd46p-14, 0x1.c3e7137b19b36p-14, 0x1.b5daed7f0e532p-14, 0x1.a83e246a41475p-14, 0x1.9b0d7e5274567p-14, 0x1.8e45d7183fdf5p-14, 0x1.81e41fe2ac93ap-14, 0x1.75e55e9d96633p-14, 0x1.6a46ad7ac8ebfp-14, 0x1.5f053a75ca428p-14, 0x1.541e46da46ee5p-14, 0x1.498f26cd13be9p-14, 0x1.3f5540d7b852p-14, 0x1.356e0d7676f83p-14, 0x1.2bd716a8c8043p-14, 0x1.228df78439c9fp-14, 0x1.19905bc9aca21p-14, 0x1.10dbff7cdf0fdp-14, 0x1.086eae7e3e81p-14, 0x1.00464426f264dp-14, 0x1.f0c155ce2c7ccp-15, 0x1.e177b7cc33099p-15, 0x1.d2abbd4a727a8p-15, 0x1.c459914814f9ep-15, 0x1.b67d7a0e15a87p-15, 0x1.a913d8805ba16p-15, 0x1.9c192772b762cp-15, 0x1.8f89fb01b4ea4p-15, 0x1.8362ffef2c301p-15, 0x1.77a0fb027d9eap-15, 0x1.6c40c86c68e1ep-15, 0x1.613f5b2e6bab9p-15, 0x1.5699bc8596c8p-15, 0x1.4c4d0b58c8917p-15, 0x1.42567baa3a643p-15, 0x1.38b3560c5023dp-15, 0x1.2f60f7199c206p-15, 0x1.265ccef001bd8p-15, 0x1.1da460aeeb55p-15, 0x1.153541f88207cp-15, 0x1.0d0d1a75d6343p-15, 0x1.0529a35dec4fbp-15, 0x1.fb114dff3a6cep-16, 0x1.ec50009c7372dp-16, 0x1.de0b34e1cd38bp-16, 0x1.d03ee0a942526p-16, 0x1.c2e71881b3f27p-16, 0x1.b6000edd4118p-16, 0x1.a98613449646cp-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.9df9bfb39355bp-4, -0x1.adbfd495900a7p-4, -0x1.bb72545cbd70ap-4, -0x1.c70788c7853bcp-4, -0x1.d07b84d8b44d2p-4, -0x1.d7cf7986de08ap-4, -0x1.dd09121485805p-4, -0x1.e031d9ac18228p-4, -0x1.e156ab4cb53e3p-4, -0x1.e0872ca1a64f9p-4, -0x1.ddd554026815ep-4, -0x1.d954f990c9a33p-4, -0x1.d31b73337b95fp-4, -0x1.cb3f3b01e7fc7p-4, -0x1.c1d79f9904c9cp-4, -0x1.b6fc7dbd3b38ap-4, -0x1.aac602a1da5d7p-4, -0x1.9d4c762935ff4p-4, -0x1.8ea80c703ff59p-4, -0x1.7ef0bdfbe7147p-4, -0x1.6e3e25e487e6cp-4, -0x1.5ca76563f75a7p-4, -0x1.4a430c3406779p-4, -0x1.372705358768fp-4, -0x1.236886e24b228p-4, -0x1.0f1c071710438p-4, -0x1.f4aa63992b127p-5, -0x1.ca4dc4c1bfbaep-5, -0x1.9f463e3629afep-5, -0x1.73b62d3a281a3p-5, -0x1.47be3dfc17c8cp-5, -0x1.1b7d6ca1a33b4p-5, -0x1.de22117e36493p-6, -0x1.852975b25a735p-6, -0x1.2c451737b73c7p-6, -0x1.a74bb1ef6009p-7, -0x1.ede60c03eb4cbp-8, -0x1.1f56bfcd0652cp-9, 0x1.96f29fabf0c79p-9, 0x1.117a06266f884p-7, 0x1.bb1dea6571d68p-7, 0x1.31348e3bff77p-6, 0x1.8390bc58e9d9bp-6, 0x1.d488ddf78acc3p-6, 0x1.120253e5ba8b6p-5, 0x1.38f70578b4f59p-5, 0x1.5f188da9b4db4p-5, 0x1.845dfb3330954p-5, 0x1.a8bf552b34c0ep-5, 0x1.cc358ed97cf2cp-5, 0x1.eeba7bd49358dp-5, 0x1.08246235d17fap-4, 0x1.186ded30b7a55p-4, 0x1.2837f6fdebe7dp-4, 0x1.3780f1b5311b7p-4, 0x1.4647a442bedf3p-4, 0x1.548b2573c17bap-4, 0x1.624ad72feec1cp-4, 0x1.6f8661e027a55p-4, 0x1.7c3db001e76bdp-4, 0x1.8870e9e713b67p-4, 0x1.942071a197df4p-4, 0x1.9f4cdf1a1b902p-4, 0x1.a9f6fc50fc8cp-4, 0x1.b41fc1c8ba238p-4, 0x1.bdc85318bf5e3p-4, 0x1.c6f1fba7a20c3p-4, 0x1.cf9e2b8bbfe8bp-4, 0x1.d7ce74910ca18p-4, 0x1.df84876323436p-4, 0x1.e6c230da4b096p-4, 0x1.ed89576a6b321p-4, 0x1.f3dbf8b2bf43ap-4, 0x1.f9bc272d3408cp-4, 0x1.ff2c07fc4234dp-4, 0x1.0216e86b220ap-3, 0x1.0461e30684cf4p-3, 0x1.06781c585f9a2p-3, 0x1.085ac266833dbp-3, 0x1.0a0b07df97799p-3, 0x1.0b8a23525a0b7p-3, 0x1.0cd94e70685bap-3, 0x1.0df9c55c34c62p-3, 0x1.0eecc601981f2p-3, 0x1.0fb38f78a1558p-3, 0x1.104f617224884p-3, 0x1.10c17bad9e406p-3, 0x1.110b1d780f52ep-3, 0x1.112d853358099p-3, 0x1.1129efe5c2863p-3, 0x1.110198d14a06ep-3, 0x1.10b5b9125a7p-3, 0x1.104787459b08fp-3, 0x1.0fb837347a88bp-3, 0x1.0f08f98828e23p-3, 0x1.0e3afb82ab408p-3, 0x1.0d4f66bdc2f29p-3, 0x1.0c4760ef5c836p-3, 0x1.0b240bb342614p-3, 0x1.09e68459c5adap-3, 0x1.088fe3bb2e959p-3, 0x1.07213e0fa0a4p-3, 0x1.059ba2cb4c592p-3, 0x1.04001c7e9fbe2p-3, 0x1.024fb0ba5103cp-3, 0x1.008b5ff6fe8f4p-3, 0x1.fd684b007f0a2p-4, 0x1.f995eec5d9098p-4, 0x1.f5a18cbcdea8fp-4, 0x1.f18cfbb1f01eap-4, 0x1.ed5a07acc29a8p-4, 0x1.e90a71e33e685p-4, 0x1.e49ff0b12c85ap-4, 0x1.e01c2f9458313p-4, 0x1.db80cf2cf16f3p-4, 0x1.d6cf6541d344fp-4, 0x1.d2097cc88a7dap-4, 0x1.cd3095f0b8b08p-4, 0x1.c8462632c738dp-4, 0x1.c34b9861879b8p-4, 0x1.be424cbe9aa56p-4, 0x1.b92b991170867p-4, 0x1.b408c8c0b2688p-4, 0x1.aedb1cedcf24dp-4, 0x1.a9a3cc929b418p-4, 0x1.a46404a0ca2a3p-4, 0x1.9f1ce8231d74ap-4, 0x1.99cf906015693p-4, 0x1.947d0cfe21c33p-4, 0x1.8f266428ff9ddp-4, 0x1.89cc92b84bc5bp-4, 0x1.84708c571501bp-4, 0x1.7f133bac571a7p-4, 0x1.79b5828441123p-4, 0x1.745839fa2d654p-4, 0x1.6efc32a32f4cp-4, 0x1.69a234b922b2bp-4, 0x1.644b004623a1ep-4, 0x1.5ef74d505883bp-4, 0x1.59a7cc05fdd99p-4, 0x1.545d24e99d66cp-4, 0x1.4f17f8fe60718p-4, 0x1.49d8e1f46b58p-4, 0x1.44a0725533dd7p-4, 0x1.3f6f35afc30f9p-4, 0x1.3a45b0c4d3758p-4, 0x1.352461b2c0fa5p-4, 0x1.300bc0213bf8ep-4, 0x1.2afc3d6cb670fp-4, 0x1.25f644d17e8c9p-4, 0x1.20fa3b967f13fp-4, 0x1.1c0881379a31ap-4, 0x1.17216f8f988d6p-4, 0x1.12455b01a2e26p-4, 0x1.0d7492a240f7fp-4, 0x1.08af605fd53p-4, 0x1.03f6092a91db1p-4, 0x1.fe919a37bbe18p-5, 0x1.f54fcf3a56926p-5, 0x1.ec271f1c63b32p-5, 0x1.e317eed5263d6p-5, 0x1.da229addbae19p-5, 0x1.d1477779dc64ap-5, 0x1.c886d0ff60c6cp-5, 0x1.bfe0ec1c671b5p-5, 0x1.b756061c35b86p-5, 0x1.aee6552ac31c5p-5, 0x1.a6920896e8d53p-5, 0x1.9e5949133b23ap-5, 0x1.963c38f58936ap-5, 0x1.8e3af474fe449p-5, 0x1.865591e6e86c3p-5, 0x1.7e8c21fa24519p-5, 0x1.76deaff12b58fp-5, 0x1.6f4d41dac85f2p-5, 0x1.67d7d8c9723aep-5, 0x1.607e710950f4ep-5, 0x1.59410254e8c83p-5, 0x1.521f8008762eap-5, 0x1.4b19d953f71a1p-5, 0x1.442ff96be6facp-5, 0x1.3d61c7b8ae484p-5, 0x1.36af2804cda3fp-5, 0x1.3017faa9c2787p-5, 0x1.299c1cbbaef05p-5, 0x1.233b6833c10b7p-5, 0x1.1cf5b41967f33p-5, 0x1.16cad4aa51397p-5, 0x1.10ba9b8138e9ap-5, 0x1.0ac4d7bb8f3c9p-5, 0x1.04e9561df8dc8p-5, 0x1.fe4fc26f59c7cp-6, 0x1.f3008309720fdp-6, 0x1.e7e47b1e572c4p-6, 0x1.dcfb341e5c57ap-6, 0x1.d244341426896p-6, 0x1.c7befde0b179ap-6, 0x1.bd6b11755678ep-6, 0x1.b347ec0bd51b1p-6, 0x1.a955085c6a60cp-6, 0x1.9f91ded202556p-6, 0x1.95fde5bc8d479p-6, 0x1.8c98918186af2p-6, 0x1.836154caaba4p-6, 0x1.7a57a0b30144ap-6, 0x1.717ae4f21e614p-6, 0x1.68ca9005d1c22p-6, 0x1.60460f5a293fbp-6, 0x1.57eccf6fe43c9p-6, 0x1.4fbe3c015b5b2p-6, 0x1.47b9c025ed9cbp-6, 0x1.3fdec673f01b4p-6, 0x1.382cb921335d3p-6, 0x1.30a302222c556p-6, 0x1.29410b47b9526p-6, 0x1.22063e5ba06b5p-6, 0x1.1af2053bc3305p-6, 0x1.1403c9f414fefp-6, 0x1.0d3af6d75d1eap-6, 0x1.0696f696d1517p-6, 0x1.00173458849edp-6, 0x1.f37637998fcf3p-7, 0x1.e7043284dc5fp-7, 0x1.dad733741eb4p-7, 0x1.ceee15f0860abp-7, 0x1.c347b72dd2a7bp-7, 0x1.b7e2f62af96d8p-7, 0x1.acbeb3d0fb3cp-7, 0x1.a1d9d30ff452ap-7, 0x1.973338fa76011p-7, 0x1.8cc9ccdf3fc2bp-7, 0x1.829c78615bfd7p-7, 0x1.78aa278eafep-7, 0x1.6ef1c8f50c70dp-7, 0x1.65724db5e12e5p-7, 0x1.5c2aa9986fe02p-7, 0x1.5319d31ac2579p-7, 0x1.4a3ec3814e6bp-7, 0x1.419876e554fa6p-7, 0x1.3925ec421ee4ep-7, 0x1.30e62581043afp-7, 0x1.28d8278462443p-7, 0x1.20fafa317ecddp-7, 0x1.194da87964925p-7, 0x1.11cf4060c73bp-7, 0x1.0a7ed306f4779p-7, 0x1.035b74abded6bp-7, 0x1.f8c8796a9632p-8, 0x1.eb308b6652024p-8, 0x1.dded5ac642abp-8, 0x1.d0fd2966c1eep-8, 0x1.c45e3f89553a4p-8, 0x1.b80eebd76c84p-8, 0x1.ac0d8363cfe7ap-8, 0x1.a05861aac7a19p-8, 0x1.94ede89110effp-8, 0x1.89cc8061accf8p-8, 0x1.7ef297ca965fap-8, 0x1.745ea3d870afbp-8, 0x1.6a0f1ff137c95p-8, 0x1.60028dce0080ap-8, 0x1.56377573d7ef6p-8, 0x1.4cac652bc9eaap-8, 0x1.435ff17a1bf7fp-8, 0x1.3a50b514c9faap-8, 0x1.317d50d94c347p-8, 0x1.28e46bc1b342dp-8, 0x1.2084b2d923f3cp-8, 0x1.185cd92fbbabbp-8, 0x1.106b97cde80e4p-8, 0x1.08afada73c54cp-8, 0x1.0127df8cc8d2bp-8, 0x1.f3a5f03e00f5ep-9, 0x1.e55f8f7e6d9fcp-9, 0x1.d77a49016c7c8p-9, 0x1.c9f3d433001c8p-9, 0x1.bcc9f3a56b461p-9, 0x1.affa74f16c053p-9, 0x1.a3833095ebaf2p-9, 0x1.976209d72d6b1p-9, 0x1.8b94ee9d8d449p-9, 0x1.8019d753d3276p-9, 0x1.74eec6c5328a7p-9, 0x1.6a11c9faf0989p-9, 0x1.5f80f819ca2bdp-9, 0x1.553a723f1ead3p-9, 0x1.4b3c635de2a83p-9, 0x1.4185001b70081p-9, 0x1.381286ac309cbp-9, 0x1.2ee33eb0345bap-9, 0x1.25f5790fb47d4p-9, 0x1.1d478fd792191p-9, 0x1.14d7e615ce003p-9, 0x1.0ca4e7b60bdadp-9, 0x1.04ad095e1ed6dp-9, 0x1.f9dd90954e758p-10, 0x1.ead154579b9c2p-10, 0x1.dc327a042cad6p-10, 0x1.cdfe2df6b65d6p-10, 0x1.c031ac9fdae2ep-10, 0x1.b2ca423fcd662p-10, 0x1.a5c54aa14c217p-10, 0x1.992030d510b9bp-10, 0x1.8cd86eedb48ecp-10, 0x1.80eb8dbc0482ap-10, 0x1.7557248be83f2p-10, 0x1.6a18d8e1c1f39p-10, 0x1.5f2e5e386a92dp-10, 0x1.549575bfbace9p-10, 0x1.4a4bee1bad31p-10, 0x1.404fa3242a3ap-10, 0x1.369e7da5691acp-10, 0x1.2d36732104956p-10, 0x1.2415858fb67fep-10, 0x1.1b39c323c52a9p-10, 0x1.12a1460c1e2a7p-10, 0x1.0a4a343831aa6p-10, 0x1.0232bf1c77dd1p-10, 0x1.f4b246ef8434dp-11, 0x1.e577523273e32p-11, 0x1.d6b1454e510d8p-11, 0x1.c85cdaccf7898p-11, 0x1.ba76e2061bc5fp-11, 0x1.acfc3eb160fa3p-11, 0x1.9fe9e879f7d2fp-11, 0x1.933cea93c84f2p-11, 0x1.86f2635226ce7p-11, 0x1.7b0783c015371p-11, 0x1.6f798f3a12e62p-11, 0x1.6445db097724fp-11, 0x1.5969ce015bc28p-11, 0x1.4ee2e01d12319p-11, 0x1.44ae9a2025a43p-11, 0x1.3aca9537e771fp-11, 0x1.31347a9e86754p-11, 0x1.27ea033fad8bfp-11, 0x1.1ee8f75ea9ae2p-11, 0x1.162f2e3e12e17p-11, 0x1.0dba8dc8fa0eap-11, 0x1.05890a3d95dfap-11, 0x1.fb314bb2d93c4p-12, 0x1.ebcee10df540fp-12, 0x1.dce70f199ed36p-12, 0x1.ce762a7c42853p-12, 0x1.c078a159a4b0ap-12, 0x1.b2eafab9c8721p-12, 0x1.a5c9d5f2b0364p-12, 0x1.9911ea14ebb5bp-12, 0x1.8cc0055aeedaep-12, 0x1.80d10c9b2ca01p-12, 0x1.7541fabcea2eap-12, 0x1.6a0fe02fc225p-12, 0x1.5f37e265d6358p-12, 0x1.54b73b50a0422p-12, 0x1.4a8b38e05ee72p-12, 0x1.40b13c861472cp-12, 0x1.3726bab80d079p-12, 0x1.2de93a78e9a9cp-12, 0x1.24f654e122b33p-12, 0x1.1c4bb4aaf8ae1p-12, 0x1.13e715c0d06d9p-12, 0x1.0bc644cdeaa28p-12, 0x1.03e71ed17677cp-12, 0x1.f88f2167d5e65p-13, 0x1.e9cb2dbd5d83ep-13, 0x1.db7e79abe33dep-13, 0x1.cda539a9860ebp-13, 0x1.c03bbed69af32p-13, 0x1.b33e763e6d61dp-13, 0x1.a6a9e81c2dd18p-13, 0x1.9a7ab72407fecp-13, 0x1.8ead9fd046d3p-13, 0x1.833f77b2721c1p-13, 0x1.782d2cc862791p-13, 0x1.6d73c4d52bf79p-13, 0x1.63105cbdd9f7ep-13, 0x1.590027e9db065p-13, 0x1.4f406fa727778p-13, 0x1.45ce9291ef70dp-13, 0x1.3ca803ffe0938p-13, 0x1.33ca4b6ede5c1p-13, 0x1.2b3303f71de6ep-13, 0x1.22dfdbc0a2654p-13, 0x1.1ace937bfe579p-13, 0x1.12fcfdde4c093p-13, 0x1.0b68ff2050b2bp-13, 0x1.04108c80b83e1p-13, 0x1.f9e35792b4b97p-14, 0x1.ec14e5aef8a8fp-14, 0x1.deb20e4dfe967p-14, 0x1.d1b73ac0ccb6bp-14, 0x1.c520f1d365454p-14, 0x1.b8ebd6f3fbc26p-14, 0x1.ad14a95f817bdp-14, 0x1.a1984353867e4p-14, 0x1.9673994549d47p-14, 0x1.8ba3b91dcc942p-14, 0x1.8125c97ae5616p-14, 0x1.76f708f52c995p-14, 0x1.6d14cd6aa8756p-14, 0x1.637c834e218dbp-14, 0x1.5a2bacfb045ap-14, 0x1.511fe20db8725p-14, 0x1.4856cec05316p-14, 0x1.3fce334b8de8ap-14, 0x1.3783e34be9659p-14, 0x1.2f75c52ae3fbfp-14, 0x1.27a1d18c2f1e7p-14, 0x1.200612bec910dp-14, 0x1.18a0a431e8e2ep-14, 0x1.116fb1eda3ecfp-14, 0x1.0a71780f375c7p-14, 0x1.03a44248e1d22p-14, 0x1.fa0cd6ca6f44ap-15, 0x1.ed2cb99bb88dep-15, 0x1.e0a51c2b1cea3p-15, 0x1.d473090ae4f74p-15, 0x1.c893a55b0baccp-15, 0x1.bd042ff058f0ap-15, 0x1.b1c2008184016p-15, 0x1.a6ca86da39addp-15, 0x1.9c1b4a13e64a4p-15, 0x1.91b1e7d41c7a7p-15, 0x1.878c139076945p-15, 0x1.7da795d7d230ap-15, 0x1.74024ba0c2988p-15, 0x1.6a9a259d1ce3p-15, 0x1.616d279276d7bp-15, 0x1.587967b78240cp-15, 0x1.4fbd0e161fec8p-15, 0x1.473653f20b065p-15, 0x1.3ee383340727fp-15, 0x1.36c2f5d969267p-15, 0x1.2ed31567e9ab7p-15, 0x1.27125a659c219p-15, 0x1.1f7f4bd4f680cp-15, 0x1.18187eb4c8d3fp-15, 0x1.10dc95840f92ep-15, 0x1.09ca3fc986271p-15, 0x1.02e0399ede95dp-15, 0x1.f83a967f0dc8dp-16, 0x1.eb009135d0133p-16, 0x1.de1021d3fedf8p-16, 0x1.d1671c908aae7p-16, 0x1.c5036a9f85d3bp-16, 0x1.b8e3097087a51p-16, 0x1.ad0409f322aa2p-16, 0x1.a1648fe139eb5p-16, 0x1.9602d10f171c5p-16, 0x1.8add14c1115a3p-16, 0x1.7ff1b3069f064p-16, 0x1.753f141ab5e9p-16, 0x1.6ac3afc94393ep-16, 0x1.607e0cd9af977p-16, 0x1.566cc07e29961p-16, 0x1.4c8e6dc7bd6f8p-16, 0x1.42e1c51ef3dfep-16, 0x1.396583c0ec1d1p-16, 0x1.30187340cc959p-16, 0x1.26f9690d62754p-16, 0x1.1e0745fae2404p-16, 0x1.1540f5d09712ep-16, 0x1.0ca56eda766ffp-16, 0x1.0433b17e71b41p-16, 0x1.f7d58faac9838p-17, 0x1.e7938a8f310d9p-17, 0x1.d79f8c59595f3p-17, 0x1.c7f7deddad072p-17, 0x1.b89adc62c00a6p-17, 0x1.a986eef483bc7p-17, 0x1.9aba8fbda8f95p-17, 0x1.8c344666d315cp-17, 0x1.7df2a87b94502p-17, 0x1.6ff458d4f5ca9p-17, 0x1.623807095fd1ep-17, 0x1.54bc6ee1c14b2p-17, 0x1.478057d3c2fbap-17, 0x1.3a829480eb221p-17, 0x1.2dc2023a7aeap-17, 0x1.213d8889f03dap-17, 0x1.14f418bdfc1fap-17, 0x1.08e4ad7bcf231p-17, 0x1.fa1c94a92bec7p-18, 0x1.e2dff6be100b9p-18, 0x1.cc11a9a9c5824p-18, 0x1.b5afe5686b5c9p-18, 0x1.9fb8f0c8b96f3p-18, 0x1.8a2b20bd19c53p-18, 0x1.7504d7b3a80acp-18, 0x1.604484f4df536p-18, 0x1.4be8a408c00c6p-18, 0x1.37efbc2233051p-18, 0x1.24585f90796ap-18, 0x1.11212b3674f45p-18, 0x1.fc918c0f29fecp-19, 0x1.d79bc1147157dp-19, 0x1.b35e68beb2c6fp-19, 0x1.8fd7079e972b2p-19, 0x1.6d0332b6da14cp-19, 0x1.4ae08ea92714dp-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.be9fff175936ep-3, -0x1.d19cb0cbbe28cp-3, -0x1.e41145d9675a3p-3, -0x1.f5febfdb13a3bp-3, -0x1.03b39ba3a736p-2, -0x1.0c26d89c5e16bp-2, -0x1.145afb8bdf491p-2, -0x1.1c5238604a934p-2, -0x1.240f00c56680bp-2, -0x1.2b93f435b311fp-2, -0x1.32e3d1a4cbe19p-2, -0x1.3a016ac2132ecp-2, -0x1.40ef98c9110a1p-2, -0x1.47b132cdf2922p-2, -0x1.4e49056fdc22bp-2, -0x1.54b9cbd7a0ecap-2, -0x1.5b0629e7d810dp-2, -0x1.6130a78290d93p-2, -0x1.673bacc9276b6p-2, -0x1.6d297f3b6acf5p-2, -0x1.72fc3f9c8efd7p-2, -0x1.78b5e885c975p-2, -0x1.7e584d902dc88p-2, -0x1.83e51b011e663p-2, -0x1.895dd5e66df42p-2, -0x1.8ec3dc910dc3bp-2, -0x1.9418675ee1a0dp-2, -0x1.995c89c5f2a3ap-2, -0x1.9e913394b6a64p-2, -0x1.a3b7325ca50abp-2, -0x1.a8cf32fd88db7p-2, -0x1.add9c34945c9p-2, -0x1.b2d753b8d7f3ep-2, -0x1.b7c8392c4a8bep-2, -0x1.bcacaeb050ff1p-2, -0x1.c184d744eea33p-2, -0x1.c650bfa14d177p-2, -0x1.cb105ff1892d3p-2, -0x1.cfc39d8bc0c52p-2, -0x1.d46a4c9a2c09ep-2, -0x1.d90431b87c981p-2, -0x1.dd91038313c77p-2, -0x1.e2106c16f85e7p-2, -0x1.e6820a81bcfa5p-2, -0x1.eae57420c446fp-2, -0x1.ef3a35ef8011bp-2, -0x1.f37fd5c4801d4p-2, -0x1.f7b5d37d44666p-2, -0x1.fbdbaa18e784ep-2, -0x1.fff0d0c1d9037p-2, -0x1.01fa5de37544ap-1, -0x1.03f36ec20812bp-1, -0x1.05e3539d9e6c6p-1, -0x1.07c9c4eeec5c3p-1, -0x1.09a67b63a4cc9p-1, -0x1.0b7930349023fp-1, -0x1.0d419d74b9538p-1, -0x1.0eff7e59fcfd9p-1, -0x1.10b28f7f41babp-1, -0x1.125a8f20a78e6p-1, -0x1.13f73d51f71d4p-1, -0x1.15885c2f99ddcp-1, -0x1.170db00a66415p-1, -0x1.1886ff8e8633bp-1, -0x1.19f413e5bd6d1p-1, -0x1.1b54b8d554dd7p-1, -0x1.1ca8bcd7ee09ap-1, -0x1.1deff1337bb47p-1, -0x1.1f2a2a0ba0b3ap-1, -0x1.20573e70aefdfp-1, -0x1.2177086b80575p-1, -0x1.2289650660ae7p-1, -0x1.238e34533ba6fp-1, -0x1.2485596f42bddp-1, -0x1.256eba843a70ep-1, -0x1.264a40c79ad2ep-1, -0x1.2717d877b0691p-1, -0x1.27d770d6e43f6p-1, -0x1.2888fc2554f93p-1, -0x1.292c6f98e1a4ep-1, -0x1.29c1c353cc237p-1, -0x1.2a48f25a11b59p-1, -0x1.2ac1fa859aaa9p-1, -0x1.2b2cdc795a0a7p-1, -0x1.2b899b937ee03p-1, -0x1.2bd83ddec99cep-1, -0x1.2c18cc032262dp-1, -0x1.2c4b513585c4bp-1, -0x1.2c6fdb275b1b7p-1, -0x1.2c8679f549ff2p-1, -0x1.2c8f4015a1232p-1, -0x1.2c8a42465f148p-1, -0x1.2c77977aecaf2p-1, -0x1.2c5758c998e6cp-1, -0x1.2c29a158e3863p-1, -0x1.2bee8e4ca36dep-1, -0x1.2ba63eb314d9dp-1, -0x1.2b50d371da3dep-1, -0x1.2aee6f32fa7e6p-1, -0x1.2a7f3651e5897p-1, -0x1.2a034ec887e3ep-1, -0x1.297ae01c77487p-1, -0x1.28e6134c3c4d9p-1, -0x1.284512bcc2f75p-1, -0x1.27980a26f8257p-1, -0x1.26df268596ba2p-1, -0x1.261a96032e5cep-1, -0x1.254a87e864f55p-1, -0x1.246f2c8a79042p-1, -0x1.2388b53a07b78p-1, -0x1.229754321bc8ap-1, -0x1.219b3c87871e3p-1, -0x1.2094a2188b27cp-1, -0x1.1f83b97cd02b7p-1, -0x1.1e68b7f5b1adfp-1, -0x1.1d43d35eddf96p-1, -0x1.1c15421f4d9b3p-1, -0x1.1add3b1a922ddp-1, -0x1.199bf5a27ea3dp-1, -0x1.1851a96929f31p-1, -0x1.16fe8e734e551p-1, -0x1.15a2dd0b01ce5p-1, -0x1.143ecdb2cd45p-1, -0x1.12d299192063cp-1, -0x1.115e780c20874p-1, -0x1.0fe2a36dd6015p-1, -0x1.0e5f5428b6299p-1, -0x1.0cd4c3248958ap-1, -0x1.0b43293baccf1p-1, -0x1.09aabf30b1689p-1, -0x1.080bbda454079p-1, -0x1.06665d0bd17bbp-1, -0x1.04bad5a793afdp-1, -0x1.03095f7a37068p-1, -0x1.0152323fe8c5ep-1, -0x1.ff2b0acc368cfp-2, -0x1.fba72007218d4p-2, -0x1.f81911a1740bap-2, -0x1.f4814c40d3f4ep-2, -0x1.f0e03bb1b2b56p-2, -0x1.ed364ad9fb6aap-2, -0x1.e983e3ac5e18p-2, -0x1.e5c96f1c36fc6p-2, -0x1.e20755120f661p-2, -0x1.de3dfc60baa7dp-2, -0x1.da6dcabaff5aap-2, -0x1.d69724a9d85a5p-2, -0x1.d2ba6d833fdc2p-2, -0x1.ced807618a559p-2, -0x1.caf0531b43926p-2, -0x1.c703b03b96c5p-2, -0x1.c3127cfb35b0dp-2, -0x1.bf1d1639be0e9p-2, -0x1.bb23d7779d9a6p-2, -0x1.b7271ad06bffcp-2, -0x1.b32738f5be286p-2, -0x1.af24892a65bc8p-2, -0x1.ab1f613e27d2ep-2, -0x1.a7181589da8a6p-2, -0x1.a30ef8ebeca2ep-2, -0x1.9f045cc555c15p-2, -0x1.9af890f6e6954p-2, -0x1.96ebe3defc635p-2, -0x1.92dea2578dd7dp-2, -0x1.8ed117b495f6ep-2, -0x1.8ac38dc2d37efp-2, -0x1.86b64cc6dcbb6p-2, -0x1.82a99b7c8677bp-2, -0x1.7e9dbf1697e8fp-2, -0x1.7a92fb3ecaae2p-2, -0x1.7689921614428p-2, -0x1.7281c43534ed8p-2, -0x1.6e7bd0ad8addbp-2, -0x1.6a77f50a25ebp-2, -0x1.66766d511a3cap-2, -0x1.627774050cfdcp-2, -0x1.5e7b4226fce14p-2, -0x1.5a820f383fde2p-2, -0x1.568c113cb37eep-2, -0x1.52997cbd249b5p-2, -0x1.4eaa84c9e14bbp-2, -0x1.4abf5afd79e9fp-2, -0x1.46d82f7faf605p-2, -0x1.42f53108882c3p-2, -0x1.3f168ce38d65cp-2, -0x1.3b3c6ef32a87p-2, -0x1.376701b434c75p-2, -0x1.33966e418d4bcp-2, -0x1.2fcadc57e766cp-2, -0x1.2c047259a93c2p-2, -0x1.28435552e6c7ep-2, -0x1.2487a8fd79ecp-2, -0x1.20d18fc52e498p-2, -0x1.1d212acc05b94p-2, -0x1.197699ee9090bp-2, -0x1.15d1fbc8577dp-2, -0x1.12336db85848ap-2, -0x1.0e9b0be59204ap-2, -0x1.0b08f1439f455p-2, -0x1.077d37975d204p-2, -0x1.03f7f77b9e7a1p-2, -0x1.00794865e7bp-2, -0x1.fa02815670a8fp-3, -0x1.f31feb09a8f4bp-3, -0x1.ec4af62a39ea3p-3, -0x1.e583c8d8d011ep-3, -0x1.deca871bc0872p-3, -0x1.d81f52e8c94cep-3, -0x1.d1824c2edfb59p-3, -0x1.caf390dff51d9p-3, -0x1.c4733cfac471cp-3, -0x1.be016a949ed4cp-3, -0x1.b79e31e32e978p-3, -0x1.b149a9463e971p-3, -0x1.ab03e551762cp-3, -0x1.a4ccf8d60a8acp-3, -0x1.9ea4f4ec71e6dp-3, -0x1.988be8fdfed5fp-3, -0x1.9281e2ce79f13p-3, -0x1.8c86ee85a81b8p-3, -0x1.869b16b8c8de6p-3, -0x1.80be6473fd06p-3, -0x1.7af0df43a1ce7p-3, -0x1.75328d3d9c3b7p-3, -0x1.6f83730a8d91dp-3, -0x1.69e393eef4766p-3, -0x1.6452f1d43e38p-3, -0x1.5ed18d51bdb64p-3, -0x1.595f65b58d2bap-3, -0x1.53fc790d5c9dbp-3, -0x1.4ea8c42f25092p-3, -0x1.496442c1c58f9p-3, -0x1.442eef458723ep-3, -0x1.3f08c31c84103p-3, -0x1.39f1b692fde4ap-3, -0x1.34e9c0e79036dp-3, -0x1.2ff0d8534ba15p-3, -0x1.2b06f211b8223p-3, -0x1.262c0268ba72bp-3, -0x1.215ffcb059b46p-3, -0x1.1ca2d35a70e2ep-3, -0x1.17f477fa3c35dp-3, -0x1.1354db4bcc1ebp-3, -0x1.0ec3ed3b5fa65p-3, -0x1.0a419cec9b9a8p-3, -0x1.05cdd8c1a83a3p-3, -0x1.01688e6230176p-3, -0x1.fa23558483e63p-4, -0x1.f19234522b236p-4, -0x1.e91d906f654eap-4, -0x1.e0c53fdef1f67p-4, -0x1.d889177117078p-4, -0x1.d068ead0407c2p-4, -0x1.c8648c8d5ef46p-4, -0x1.c07bce2c0e022p-4, -0x1.b8ae802e7ea57p-4, -0x1.b0fc722124363p-4, -0x1.a96572a6300b6p-4, -0x1.a1e94f80ca493p-4, -0x1.9a87d5a00d1bep-4, -0x1.9340d129d7d72p-4, -0x1.8c140d8552eabp-4, -0x1.850155654a25bp-4, -0x1.7e0872d2474afp-4, -0x1.77292f3477843p-4, -0x1.7063535d5613ap-4, -0x1.69b6a791234c8p-4, -0x1.6322f39020ca2p-4, -0x1.5ca7fe9f9a47dp-4, -0x1.56458f92b6b4ep-4, -0x1.4ffb6cd314aedp-4, -0x1.49c95c6931da4p-4, -0x1.43af24049da28p-4, -0x1.3dac8903f8f4ap-4, -0x1.37c1507cc1e7bp-4, -0x1.31ed3f42ed6eep-4, -0x1.2c3019f04e8e5p-4, -0x1.2689a4ebcc20bp-4, -0x1.20f9a470663c3p-4, -0x1.1b7fdc940b903p-4, -0x1.161c114e3e357p-4, -0x1.10ce067e8a39bp-4, -0x1.0b957ff2ce6d9p-4, -0x1.0672416d563a8p-4, -0x1.01640eaac8313p-4, -0x1.f8d556cfcd5c1p-5, -0x1.ef0bb6ce4b217p-5, -0x1.e56ac4ec2b75ep-5, -0x1.dbf208e548751p-5, -0x1.d2a10aa064c9ep-5, -0x1.c9775239044afp-5, -0x1.c0746808f9fe7p-5, -0x1.b797d4b1a09fap-5, -0x1.aee12124cb02ap-5, -0x1.a64fd6ad63e6ap-5, -0x1.9de37ef7c32ffp-5, -0x1.959ba419bb5c4p-5, -0x1.8d77d09a5c04bp-5, -0x1.85778f796cf3ep-5, -0x1.7d9a6c36a6621p-5, -0x1.75dff2d8a110bp-5, -0x1.6e47aff383e5ep-5, -0x1.66d130af71d98p-5, -0x1.5f7c02ceb345ep-5, -0x1.5847b4b3a4766p-5, -0x1.5133d56660a86p-5, -0x1.4a3ff49a34669p-5, -0x1.436ba2b2d35ffp-5, -0x1.3cb670c952145p-5, -0x1.361ff0b0e89dcp-5, -0x1.2fa7b4fb7bc6p-5, -0x1.294d50fdf0a19p-5, -0x1.231058d44a54ap-5, -0x1.1cf0616593129p-5, -0x1.16ed00679272p-5, -0x1.1105cc6252251p-5, -0x1.0b3a5cb37115dp-5, -0x1.058a499147b6bp-5, -0x1.ffea581bb83ep-6, -0x1.f4f53c3359474p-6, -0x1.ea34750c8f88cp-6, -0x1.dfa73a118121bp-6, -0x1.d54cc477e449fp-6, -0x1.cb244f453bb3ap-6, -0x1.c12d1752c200dp-6, -0x1.b7665b5105b46p-6, -0x1.adcf5bcb386f6p-6, -0x1.a4675b2a371bcp-6, -0x1.9b2d9db748347p-6, -0x1.9221699e95ca9p-6, -0x1.894206f15fc4dp-6, -0x1.808ebfa7eec97p-6, -0x1.7806dfa3493bbp-6, -0x1.6fa9b4aea3f74p-6, -0x1.67768e809a0bfp-6, -0x1.5f6cbebc2a11bp-6, -0x1.578b98f176f8p-6, -0x1.4fd2729e56dfp-6, -0x1.4840a32ea4b85p-6, -0x1.40d583fc6646cp-6, -0x1.3990704fb86a3p-6, -0x1.3270c55e8f16dp-6, -0x1.2b75e24c44bdap-6, -0x1.249f2828f9dcp-6, -0x1.1debf9f0cc6e6p-6, -0x1.175bbc8ae0f1dp-6, -0x1.10edd6c84565dp-6, -0x1.0aa1b162a7f8bp-6, -0x1.0476b6faee09fp-6, -0x1.fcd8a82f39753p-7, -0x1.f103ee4651ba5p-7, -0x1.e56e20d4351fbp-7, -0x1.da1624322c339p-7, -0x1.cefae0758499ep-7, -0x1.c41b416b214cp-7, -0x1.b9763692d1244p-7, -0x1.af0ab31a6d1e9p-7, -0x1.a4d7add8be4cfp-7, -0x1.9adc21483122p-7, -0x1.91170b815d1a7p-7, -0x1.87876e35514a5p-7, -0x1.7e2c4ea7baeacp-7, -0x1.7504b5a8e5e7cp-7, -0x1.6c0faf8f85225p-7, -0x1.634c4c3266ff2p-7, -0x1.5ab99ee1f0409p-7, -0x1.5256be6187665p-7, -0x1.4a22c4e0cd621p-7, -0x1.421ccff4c370ep-7, -0x1.3a440090cca48p-7, -0x1.32977aff92db7p-7, -0x1.2b1666dbd4a3dp-7, -0x1.23bfef0918614p-7, -0x1.1c9341ac47853p-7, -0x1.158f902435a7ep-7, -0x1.0eb40f0211642p-7, -0x1.07fff601c4bc1p-7, -0x1.0172800241a5ep-7, -0x1.f615d5fb810abp-8, -0x1.e990f003de0dp-8, -0x1.dd54d65023c2ep-8, -0x1.d160171a35076p-8, -0x1.c5b14693640efp-8, -0x1.ba46fed474599p-8, -0x1.af1fdfcd8c99dp-8, -0x1.a43a8f361920ap-8, -0x1.9995b87ca2bf1p-8, -0x1.8f300cb69944fp-8, -0x1.850842901936dp-8, -0x1.7b1d163ba68ap-8, -0x1.716d4961e7601p-8, -0x1.67f7a31159f97p-8, -0x1.5ebaefae09885p-8, -0x1.55b600e145d36p-8, -0x1.4ce7ad895bf97p-8, -0x1.444ed1a953fd6p-8, -0x1.3bea4e58b5141p-8, -0x1.33b909b350fb9p-8, -0x1.2bb9eec917339p-8, -0x1.23ebed8df378bp-8, -0x1.1c4dfac9b8a1fp-8, -0x1.14df10081750bp-8, -0x1.0d9e2b88a41bep-8, -0x1.068a502eeb3dfp-8, -0x1.ff450ae52ecd6p-9, -0x1.f1cbae9f51307p-9, -0x1.e4a6ac6d7e91p-9, -0x1.d7d42dfaf30c2p-9, -0x1.cb52659dce639p-9, -0x1.bf1f8e382619cp-9, -0x1.b339eb1942e66p-9, -0x1.a79fc7df1285fp-9, -0x1.9c4f7857c6924p-9, -0x1.91475863a4e58p-9, -0x1.8685cbd71168dp-9, -0x1.7c093e5cc8dc8p-9, -0x1.71d02358511bfp-9, -0x1.67d8f5c8a7ddbp-9, -0x1.5e22382b22fe3p-9, -0x1.54aa745e91871p-9, -0x1.4b703b869502ap-9, -0x1.427225ef394bdp-9, -0x1.39aed2f0c539cp-9, -0x1.3124e8d3d2ca3p-9, -0x1.28d314b59c367p-9, -0x1.20b80a6c91a73p-9, -0x1.18d2846d2a05p-9, -0x1.112143aef906p-9, -0x1.09a30f9204497p-9, -0x1.0256b5c45f60fp-9, -0x1.f67614500b8e5p-10, -0x1.e89dcd71fc095p-10, -0x1.db2256e77a057p-10, -0x1.ce017c779e577p-10, -0x1.c139158592154p-10, -0x1.b4c704def02ebp-10, -0x1.a8a9388abcc52p-10, -0x1.9cdda998e03dep-10, -0x1.91625bf233928p-10, -0x1.86355e2915fdp-10, -0x1.7b54c94a90814p-10, -0x1.70bec0b001b24p-10, -0x1.667171d162969p-10, -0x1.5c6b14180645fp-10, -0x1.52a9e8b1f847cp-10, -0x1.492c3a65d7ea6p-10, -0x1.3ff05d674dda9p-10, -0x1.36f4af2c07b64p-10, -0x1.2e3796413abadp-10, -0x1.25b78221bd523p-10, -0x1.1d72eb0ca21abp-10, -0x1.156851dc68ad7p-10, -0x1.0d963fdeaa3dbp-10, -0x1.05fb46ac5f751p-10, -0x1.fd2c00054d8c9p-11, -0x1.eeca1b382c45ep-11, -0x1.e0ce32152c54fp-11, -0x1.d335a72387554p-11, -0x1.c5fdec03b15e6p-11, -0x1.b92481263839fp-11, -0x1.aca6f583ad70cp-11, -0x1.a082e65599d42p-11, -0x1.94b5fed07843fp-11, -0x1.893df7deb85d6p-11, -0x1.7e1897dcc458dp-11, -0x1.7343b25608bc4p-11, -0x1.68bd27c2ffaf7p-11, -0x1.5e82e54837d71p-11, -0x1.5492e47659dd8p-11, -0x1.4aeb2b0b2981fp-11, -0x1.4189cab37dadep-11, -0x1.386ce0ce315cdp-11, -0x1.2f92963006cfcp-11, -0x1.26f91ee8806c1p-11, -0x1.1e9eba07a67e8p-11, -0x1.1681b164bed57p-11, -0x1.0ea05965ec851p-11, -0x1.06f910c8bd01ep-11, -0x1.ff1480d7347abp-12, -0x1.f0a4b63044707p-12, -0x1.e29fba9cc5d38p-12, -0x1.d5029a21e8cefp-12, -0x1.c7ca7363e6362p-12, -0x1.baf47741a9b04p-12, -0x1.ae7de8722e7c8p-12, -0x1.a2641b238c1bfp-12, -0x1.96a4749ba8846p-12, -0x1.8b3c6ada93774p-12, -0x1.8029843e7d063p-12, -0x1.756957294b52ep-12, -0x1.6af989a7c0adcp-12, -0x1.60d7d11a39481p-12, -0x1.5701f1deee75cp-12, -0x1.4d75befdc7269p-12, -0x1.443119d5a6badp-12, -0x1.3b31f1cb3bffep-12, -0x1.327643f945f96p-12, -0x1.29fc1ae25284bp-12, -0x1.21c18e23e3051p-12, -0x1.19c4c22b05f66p-12, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.5f40035793559p-1, 0x1.5ee77a8d5d6f8p-1, 0x1.5e7938171014ap-1, 0x1.5df5b33c547aep-1, 0x1.5d5da06ba82a1p-1, 0x1.5cb1e6c5aa35p-1, 0x1.5bf3962beeca5p-1, 0x1.5b23ddfd286c4p-1, 0x1.5a44049901d99p-1, 0x1.59555fb9cfc4ep-1, 0x1.58594da8e2c3ep-1, 0x1.57512f4b2c594p-1, 0x1.563e62fec1e72p-1, 0x1.5522403e2da3ep-1, 0x1.53fe13fc1974cp-1, 0x1.52d31da879918p-1, 0x1.51a28ccfb50c9p-1, 0x1.506d7f442ca8cp-1, 0x1.4f34ffc2d8cf5p-1, 0x1.4dfa0504519d8p-1, 0x1.4cbd712c66032p-1, 0x1.4b80118b5e187p-1, 0x1.4a429ea4fe664p-1, 0x1.4905bc727a75ap-1, 0x1.47c9fad58136p-1, 0x1.468fd6339815p-1, 0x1.4557b831eb8a3p-1, 0x1.4421f88aa445ap-1, 0x1.42eeddf5a7428p-1, 0x1.41be9f1f6ee46p-1, 0x1.409163a95dd12p-1, 0x1.3f67452f94b0ap-1, 0x1.3e405050e6dc5p-1, 0x1.3d1c85b60d52dp-1, 0x1.3bfbdb15b3828p-1, 0x1.3ade3c335c713p-1, 0x1.39c38bd783808p-1, 0x1.38aba4bfa5b6ep-1, 0x1.37965a852fa16p-1, 0x1.36837a7a8697cp-1, 0x1.3572cc7d9aeecp-1, 0x1.346413bf9df0ep-1, 0x1.33570f81a3c24p-1, 0x1.324b7bc6114dcp-1, 0x1.314111f6e138cp-1, 0x1.30378980d1aefp-1, 0x1.2f2e9863b18e2p-1, 0x1.2e25f3b8088abp-1, 0x1.2d1d502a669adp-1, 0x1.2c14626cb30eep-1, 0x1.2b0adf9dd8241p-1, 0x1.2a007da83232cp-1, 0x1.28f4f39728f2dp-1, 0x1.27e7f9e45f779p-1, 0x1.26d94abce97eep-1, 0x1.25c8a23eefa28p-1, 0x1.24b5beb032903p-1, 0x1.23a060add515fp-1, 0x1.22884b55dabbdp-1, 0x1.216d446abb3dap-1, 0x1.204f147174716p-1, 0x1.1f2d86ca76beap-1, 0x1.1e0869c5cb25dp-1, 0x1.1cdf8eb2cb3eap-1, 0x1.1bb2c9ebbfd61p-1, 0x1.1a81f2ddb9bd7p-1, 0x1.194ce40ceee51p-1, 0x1.18137b15e8b97p-1, 0x1.16d598abc8282p-1, 0x1.15932093e029cp-1, 0x1.144bf99ee8ca6p-1, 0x1.13000d9fff777p-1, 0x1.11af4961b2959p-1, 0x1.10599c99476dcp-1, 0x1.0efef9d86bb47p-1, 0x1.0d9f567d8261bp-1, 0x1.0c3aaaa2b4c23p-1, 0x1.0ad0f10bed5a9p-1, 0x1.09622713e70fp-1, 0x1.07ee4c986bd2ap-1, 0x1.067563e5e8eafp-1, 0x1.04f771a2719f4p-1, 0x1.03747cb84f571p-1, 0x1.01ec8e4036051p-1, 0x1.005fb16b33857p-1, 0x1.fd9be6d8e3d04p-2, 0x1.fa6ec6c5bf8f5p-2, 0x1.f73824859910dp-2, 0x1.f3f8257f21cfdp-2, 0x1.f0aef26a92b85p-2, 0x1.ed5cb7257324bp-2, 0x1.ea01a286ba034p-2, 0x1.e69de6336be42p-2, 0x1.e331b673c400fp-2, 0x1.dfbd4a08fb291p-2, 0x1.dc40da03bf097p-2, 0x1.d8bca19b6622ap-2, 0x1.d530de05eeee6p-2, 0x1.d19dce50d291fp-2, 0x1.ce03b33aba7fep-2, 0x1.ca62cf0e1a5d1p-2, 0x1.c6bb657cbbc93p-2, 0x1.c30dbb7c3e3fap-2, 0x1.bf5a172392185p-2, 0x1.bba0bf89706ccp-2, 0x1.b7e1fca3d7597p-2, 0x1.b41e172886a81p-2, 0x1.b055586e861d5p-2, 0x1.ac880a50adf19p-2, 0x1.a8b67711380c7p-2, 0x1.a4e0e93e57d0bp-2, 0x1.a107ab97d3a1fp-2, 0x1.9d2b08f5a80e8p-2, 0x1.994b4c2fa5391p-2, 0x1.9568c00611f17p-2, 0x1.9183af0b45f9p-2, 0x1.8d9c638e43cd6p-2, 0x1.89b3278641b4fp-2, 0x1.85c8447f2b47ep-2, 0x1.81dc03870c82dp-2, 0x1.7deead1c6c8b7p-2, 0x1.7a00891d88507p-2, 0x1.7611deb8739fap-2, 0x1.7222f45c15411p-2, 0x1.6e340fa9fa941p-2, 0x1.6a457568ff27ap-2, 0x1.66576978c379bp-2, 0x1.626a2ec5ea809p-2, 0x1.5e7e073f1cad2p-2, 0x1.5a9333caca3e3p-2, 0x1.56a9f43da64b2p-2, 0x1.52c28751d5b02p-2, 0x1.4edd2a9ecf384p-2, 0x1.4afa1a91e4391p-2, 0x1.471992676dab7p-2, 0x1.433bcc2498799p-2, 0x1.3f610091cfb1p-2, 0x1.3b896735b5a42p-2, 0x1.37b53650b3e67p-2, 0x1.33e4a2d910fbep-2, 0x1.3017e0778ecfcp-2, 0x1.2c4f21848a78fp-2, 0x1.288a970595d2p-2, 0x1.24ca70ab8bc52p-2, 0x1.210edcd116113p-2, 0x1.1d5808799ded6p-2, 0x1.19a61f50adb4fp-2, 0x1.15f94ba9ae0dap-2, 0x1.1251b6800c9b6p-2, 0x1.0eaf8777b8776p-2, 0x1.0b12e4ddfa927p-2, 0x1.077bf3aaa0c6p-2, 0x1.03ead781772e9p-2, 0x1.005fb2b410afdp-2, 0x1.f9b54c87aace8p-3, 0x1.f2b7a3c8ad364p-3, 0x1.ebc6a7fbbf98bp-3, 0x1.e4e2936097e62p-3, 0x1.de0b9dac19bdfp-3, 0x1.d741fc0ed94a8p-3, 0x1.d085e13c06c9fp-3, 0x1.c9d77d70ada65p-3, 0x1.c336fe7b5dfd5p-3, 0x1.bca48fc4173eap-3, 0x1.b6205a548e45cp-3, 0x1.afaa84e0b72dep-3, 0x1.a94333cf89341p-3, 0x1.a2ea89440f204p-3, 0x1.9ca0a526a1e68p-3, 0x1.9665a52e5c753p-3, 0x1.9039a4eabc5f5p-3, 0x1.8a1cbdcd70442p-3, 0x1.840f0734425c9p-3, 0x1.7e1096732b7f1p-3, 0x1.78217ede840b2p-3, 0x1.7241d1d544aacp-3, 0x1.6c719ecb65dc8p-3, 0x1.66b0f3544e72p-3, 0x1.60ffdb2d4ada3p-3, 0x1.5b5e604816033p-3, 0x1.55cc8ad565c0dp-3, 0x1.504a614f7e3c6p-3, 0x1.4ad7e884c1e06p-3, 0x1.457523a2492dep-3, 0x1.4022143e6b9eap-3, 0x1.3adeba6349682p-3, 0x1.35ab14994e34ep-3, 0x1.30871ff19ec2p-3, 0x1.2b72d81083d89p-3, 0x1.266e3737c10c8p-3, 0x1.21793650d821p-3, 0x1.1c93ccf741dfp-3, 0x1.17bdf182865fep-3, 0x1.12f7991046648p-3, 0x1.0e40b78e2eadfp-3, 0x1.09993fc3c9093p-3, 0x1.0501235c3bc28p-3, 0x1.007852efe6caep-3, 0x1.f7fd7c1bd23c4p-4, 0x1.ef28a68b00ab1p-4, 0x1.e672005ea63d7p-4, 0x1.ddd962ed24b5ap-4, 0x1.d55ea5c3f8aadp-4, 0x1.cd019eb984279p-4, 0x1.c4c221fe86987p-4, 0x1.bca0022f5aad5p-4, 0x1.b49b1064e34ddp-4, 0x1.acb31c4535b48p-4, 0x1.a4e7f413f9a65p-4, 0x1.9d3964c27a809p-4, 0x1.95a739ff775bep-4, 0x1.8e313e469d831p-4, 0x1.86d73aefbb509p-4, 0x1.7f98f83da7659p-4, 0x1.78763d6cda203p-4, 0x1.716ed0c1bab76p-4, 0x1.6a8277969ec24p-4, 0x1.63b0f6697d659p-4, 0x1.5cfa10e95546dp-4, 0x1.565d8a0345cb1p-4, 0x1.4fdb23ef5bcf9p-4, 0x1.4972a03d11278p-4, 0x1.4323bfdf81821p-4, 0x1.3cee433951e97p-4, 0x1.36d1ea284e5dfp-4, 0x1.30ce7410bb45p-4, 0x1.2ae39fe85dd63p-4, 0x1.25112c413a1d8p-4, 0x1.1f56d75407a2ap-4, 0x1.19b45f0a5dee6p-4, 0x1.14298108994a3p-4, 0x1.0eb5fab77899dp-4, 0x1.0959894d74227p-4, 0x1.0413e9d7d00ffp-4, 0x1.fdc9b286d2f9cp-5, 0x1.f39828ca7e715p-5, 0x1.e992b00572921p-5, 0x1.dfb8c1b35853cp-5, 0x1.d609d7503a7e4p-5, 0x1.cc856a678a421p-5, 0x1.c32af4a2a79dap-5, 0x1.b9f9efd6ecdaep-5, 0x1.b0f1d6133e8e1p-5, 0x1.a81221ad25015p-5, 0x1.9f5a4d4d6d4cdp-5, 0x1.96c9d3fc559ddp-5, 0x1.8e60312d4a501p-5, 0x1.861ce0ca2ddc6p-5, 0x1.7dff5f3e36e02p-5, 0x1.760729805e9b5p-5, 0x1.6e33bd1d674a2p-5, 0x1.6684984179fe5p-5, 0x1.5ef939c15e703p-5, 0x1.579121234dd4ep-5, 0x1.504bcea76600dp-5, 0x1.4928c34fbb6e7p-5, 0x1.422780e80dae1p-5, 0x1.3b478a0d1fa65p-5, 0x1.34886233b9fb4p-5, 0x1.2de98daf4f2aap-5, 0x1.276a91b851e57p-5, 0x1.210af47231579p-5, 0x1.1aca3cf108bbep-5, 0x1.14a7f33efcf4cp-5, 0x1.0ea3a0614dcc1p-5, 0x1.08bcce5d19ca6p-5, 0x1.02f3083bdc0a9p-5, 0x1.fa8bb41f3cce6p-6, 0x1.ef69a1edd3066p-6, 0x1.e47ef640d8aep-6, 0x1.d9cacf9cce737p-6, 0x1.cf4c4eb3a334p-6, 0x1.c502966a89356p-6, 0x1.baeccbdf4e1ep-6, 0x1.b10a166d4038ep-6, 0x1.a7599fb19d828p-6, 0x1.9dda938f970a8p-6, 0x1.948c2033e5277p-6, 0x1.8b6d7617f926p-6, 0x1.827dc804c131fp-6, 0x1.79bc4b1512e07p-6, 0x1.712836b7b11a6p-6, 0x1.68c0c4b0f8a7cp-6, 0x1.6085311c32a92p-6, 0x1.5874ba6c91eb3p-6, 0x1.508ea16de0029p-6, 0x1.48d22944d3d95p-6, 0x1.413e976f21de2p-6, 0x1.39d333c33d63bp-6, 0x1.328f486fd455bp-6, 0x1.2b7221fb05432p-6, 0x1.247b0f4151276p-6, 0x1.1da9617450ae8p-6, 0x1.16fc6c1928bc2p-6, 0x1.10738506c5f2fp-6, 0x1.0a0e0463dc6bep-6, 0x1.03cb44a4b62b6p-6, 0x1.fb554511912d2p-7, 0x1.ef56fa3032b5bp-7, 0x1.e39a6b40eb305p-7, 0x1.d81e5f64ee297p-7, 0x1.cce1a23cc84afp-7, 0x1.c1e303e1be10bp-7, 0x1.b72158dedfe6p-7, 0x1.ac9b7a29deee1p-7, 0x1.a250451b8219p-7, 0x1.983e9b67ef97dp-7, 0x1.8e656316a3473p-7, 0x1.84c3867a32706p-7, 0x1.7b57f427d3055p-7, 0x1.72219eeea7c09p-7, 0x1.691f7dcee0a5p-7, 0x1.60508bf0a769ep-7, 0x1.57b3c89adaa5ap-7, 0x1.4f483729a5c91p-7, 0x1.470cdf04ed9dbp-7, 0x1.3f00cb9696585p-7, 0x1.37230c40ab8d7p-7, 0x1.2f72b45364d22p-7, 0x1.27eedb030f7c1p-7, 0x1.20969b5ddc833p-7, 0x1.1969144196e2ep-7, 0x1.1265685142c24p-7, 0x1.0b8abdeaa978dp-7, 0x1.04d83f1bd3d73p-7, 0x1.fc9a3330e959p-8, 0x1.efd0fd5e899afp-8, 0x1.e353467ea918fp-8, 0x1.d71f7f5aa427bp-8, 0x1.cb341fb190dd7p-8, 0x1.bf8fa622af107p-8, 0x1.b4309817cfe37p-8, 0x1.a91581afb6497p-8, 0x1.9e3cf5a873e01p-8, 0x1.93a58d49c7329p-8, 0x1.894de84f79fccp-8, 0x1.7f34acd3c8276p-8, 0x1.75588739cab6p-8, 0x1.6bb82a17f1e78p-8, 0x1.62524e2288102p-8, 0x1.5925b216459ffp-8, 0x1.50311aa2f8041p-8, 0x1.4773525639fc5p-8, 0x1.3eeb298641e4fp-8, 0x1.3697763cca75dp-8, 0x1.2e771422109dfp-8, 0x1.2688e467f175ep-8, 0x1.1ecbcdb521867p-8, 0x1.173ebc10846f6p-8, 0x1.0fe0a0cca5c36p-8, 0x1.08b0727350938p-8, 0x1.01ad2cb14d41fp-8, 0x1.f5aba08485081p-9, 0x1.e852c5b975672p-9, 0x1.db4dde3ca591dp-9, 0x1.ce9b08f01d898p-9, 0x1.c2386e35af84p-9, 0x1.b6243fc84ac23p-9, 0x1.aa5cb895a0064p-9, 0x1.9ee01c98201d7p-9, 0x1.93acb8b152caep-9, 0x1.88c0e2848975fp-9, 0x1.7e1af851eaca5p-9, 0x1.73b960d1dfbc6p-9, 0x1.699a8b10dbbfep-9, 0x1.5fbcee4b85d2ap-9, 0x1.561f09cb437b8p-9, 0x1.4cbf64c321cbdp-9, 0x1.439c8e2d22965p-9, 0x1.3ab51ca7ef8a4p-9, 0x1.3207ae54eb51bp-9, 0x1.2992e8b6a9b5ap-9, 0x1.2155788fcec65p-9, 0x1.194e11c24ed7bp-9, 0x1.117b6f2f15836p-9, 0x1.09dc5296143f1p-9, 0x1.026f8476b527ep-9, 0x1.f667a7e16404bp-10, 0x1.e8502d4aad801p-10, 0x1.da9651324ad26p-10, 0x1.cd37d82bbfd7p-10, 0x1.c0329319f9bcdp-10, 0x1.b3845ef4fa36bp-10, 0x1.a72b24905657ap-10, 0x1.9b24d86273b52p-10, 0x1.8f6f7a4ca357ap-10, 0x1.84091563f4301p-10, 0x1.78efbfbad818cp-10, 0x1.6e219a2b913efp-10, 0x1.639cd02360147p-10, 0x1.595f976e818bp-10, 0x1.4f683004ea76fp-10, 0x1.45b4e3d7ca3a7p-10, 0x1.3c44069fd2796p-10, 0x1.3313f5ac3ad2ep-10, 0x1.2a2317b28e252p-10, 0x1.216fdc9f2f55fp-10, 0x1.18f8bd669d82fp-10, 0x1.10bc3bd779d9p-10, 0x1.08b8e26d41911p-10, 0x1.00ed4423c2d2ap-10, 0x1.f2aff8969ff49p-11, 0x1.e3ef5cbb40c15p-11, 0x1.d5960ba6d6419p-11, 0x1.c7a16bf5669f7p-11, 0x1.ba0ef39b8c6a8p-11, 0x1.acdc2795d0111p-11, 0x1.a0069b9960a0dp-11, 0x1.938bf1c6213a5p-11, 0x1.8769da5a0d779p-11, 0x1.7b9e1365ef23bp-11, 0x1.702668835ef77p-11, 0x1.6500b28c11b26p-11, 0x1.5a2ad75269eap-11, 0x1.4fa2c95b4cfb6p-11, 0x1.456687993509ap-11, 0x1.3b741d287eeadp-11, 0x1.31c9a10cef46ep-11, 0x1.286535f069bbfp-11, 0x1.1f4509e2d8013p-11, 0x1.1667561b3c861p-11, 0x1.0dca5eb9ec824p-11, 0x1.056c728becf36p-11, 0x1.fa97d59ee42ddp-12, 0x1.eace55f2ee7a3p-12, 0x1.db7940f8e4ab7p-12, 0x1.cc9585203384cp-12, 0x1.be2023f476266p-12, 0x1.b01631b13f831p-12, 0x1.a274d4d7f0f42p-12, 0x1.953945c79f457p-12, 0x1.8860ce56f99e8p-12, 0x1.7be8c97028d26p-12, 0x1.6fcea2aea716dp-12, 0x1.640fd5fefdab8p-12, 0x1.58a9ef406e4cdp-12, 0x1.4d9a89e873466p-12, 0x1.42df50a81aa6dp-12, 0x1.3875fd132db8bp-12, 0x1.2e5c57491fcb2p-12, 0x1.2490359fbe703p-12, 0x1.1b0f7c4f9948cp-12, 0x1.11d81d221dc2ap-12, 0x1.08e817215ce19p-12, 0x1.003d764972f7p-12, 0x1.efaca67723787p-13, 0x1.df61a5e5367e3p-13, 0x1.cf964cf29d0cfp-13, 0x1.c0471543fba9ap-13, 0x1.b1708f7f8cd8ap-13, 0x1.a30f62c2828dbp-13, 0x1.95204c195c364p-13, 0x1.87a01dfb0e3e3p-13, 0x1.7a8bbfc702432p-13, 0x1.6de02d45d88aep-13, 0x1.619a762cdd3b4p-13, 0x1.55b7bda42b04p-13, 0x1.4a3539cf706ccp-13, 0x1.3f1033593da77p-13, 0x1.34460500e4cffp-13, 0x1.29d41b2aca5eap-13, 0x1.1fb7f3732b353p-13, 0x1.15ef1c4344757p-13, 0x1.0c773468d338bp-13, 0x1.034deaafe327p-13, 0x1.f4e1fafdb93a8p-14, 0x1.e3bc74e9965cfp-14, 0x1.d326fc139fc67p-14, 0x1.c31d666373a03p-14, 0x1.b39ba60159639p-14, 0x1.a49dc8a3c286cp-14, 0x1.961ff6e0b0cdap-14, 0x1.881e738332b27p-14, 0x1.7a959ae49f6fcp-14, 0x1.6d81e249ae962p-14, 0x1.60dfd74341644p-14, 0x1.54ac1f12d0e75p-14, 0x1.48e3761270248p-14, 0x1.3d82af204b0cbp-14, 0x1.3286b30d948b2p-14, 0x1.27ec8010d17c8p-14, 0x1.1db1293b6ba88p-14, 0x1.13d1d5f27ff47p-14, 0x1.0a4bc16ad487fp-14, 0x1.011c3a27e5983p-14, 0x1.f08142fbf53e9p-15, 0x1.df6cd62e65c3bp-15, 0x1.cef638f6f1bd7p-15, 0x1.bf1899369b0d8p-15, 0x1.afcf46bab8ee2p-15, 0x1.a115b25d936fbp-15, 0x1.92e76d2c535f7p-15, 0x1.854027922ca63p-15, 0x1.781bb088a19e3p-15, 0x1.6b75f4ccca791p-15, 0x1.5f4afe197b3f9p-15, 0x1.5396f2663946dp-15, 0x1.4856132adaa59p-15, 0x1.3d84bca7bceaap-15, 0x1.331f653274d2bp-15, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      50, 0x1.1ccca2db61bbp+2, 0x1.84f4444a38ff2p+1, 0x1.b3929d388d206p+2, -0x1.302229d6a3f17p-6, 
      {{
        {0x1.88864020817fcp+1, 0x1.8c10de5f1b6e7p+1, 0x1.ffea50f83259bp-5, -0x1.f86949949d7b9p-3, 0x1.7f306f36cb4efp-2, 0x1.61bab5307c997p-4}, 
        {0x1.8c10de5f1b6e7p+1, 0x1.8f9b7c883bce3p+1, 0x1.ca74030a8b193p-5, -0x1.cd98dc6385348p-3, 0x1.8687855a4151bp-2, -0x1.ba0d8773b3cabp-2}, 
        {0x1.8f9b7c883bce3p+1, 0x1.93261ac6d5bcep+1, 0x1.99af3644fdb97p-5, -0x1.a4683b3d5f9a7p-3, 0x1.61d6676dd2714p-2, -0x1.15d3fb7887b2fp-2}, 
        {0x1.93261ac6d5bcep+1, 0x1.96b0b9056fab9p+1, 0x1.6d46fe63951d3p-5, -0x1.7e860c049f893p-3, 0x1.4ac6dfb15d73ap-2, -0x1.2c772b28323f6p-2}, 
        {0x1.96b0b9056fab9p+1, 0x1.9a3b572e900b5p+1, 0x1.44eaf3046d42cp-5, -0x1.5b4bd49e7f9e4p-3, 0x1.31d652d6cee8cp-2, -0x1.11b3b5f98f56ep-2}, 
        {0x1.9a3b572e900b5p+1, 0x1.9dc5f56d29fap+1, 0x1.204f06b11bacbp-5, -0x1.3ab4bbcd4f2aap-3, 0x1.1b1e78355f6bp-2, -0x1.0514f30e91ca1p-2}, 
        {0x1.9dc5f56d29fap+1, 0x1.a15093abc3e8ap+1, 0x1.fe56bdda7432ep-6, -0x1.1c92712aa12fp-3, 0x1.0572c70b919a8p-2, -0x1.eab048de801cfp-3}, 
        {0x1.a15093abc3e8ap+1, 0x1.a4db31d4e4487p+1, 0x1.c27858c0dc34cp-6, -0x1.00c39d95042d6p-3, 0x1.e22afae70e3e6p-3, -0x1.ce3ae12c5904cp-3}, 
        {0x1.a4db31d4e4487p+1, 0x1.a865d0137e371p+1, 0x1.8c83091e06b24p-6, -0x1.ce4a0aa90d0ap-4, 0x1.bbcd1f320f656p-3, -0x1.b292076f586d6p-3}, 
        {0x1.a865d0137e371p+1, 0x1.abf06e521825cp+1, 0x1.5bfe76ee11f9ap-6, -0x1.9f2b524a497a5p-4, 0x1.97bafe99cf7a5p-3, -0x1.980a3cc4e2f7dp-3}, 
        {0x1.abf06e521825cp+1, 0x1.af7b0c7b38858p+1, 0x1.30797d4109babp-6, -0x1.73eb5b9cfe54p-4, 0x1.75dc9bdad2adfp-3, -0x1.7e7681b33790cp-3}, 
        {0x1.af7b0c7b38858p+1, 0x1.b305aab9d2743p+1, 0x1.0989e03fd08d6p-6, -0x1.4c4ce2ac87f7ep-4, 0x1.561db5b138be9p-3, -0x1.66223d6b24f6cp-3}, 
        {0x1.b305aab9d2743p+1, 0x1.b69048f86c62dp+1, 0x1.cd980c6563e9p-7, -0x1.2815375883cf6p-4, 0x1.3863c65cc8559p-3, -0x1.4eba9a3307115p-3}, 
        {0x1.b69048f86c62dp+1, 0x1.ba1ae7218cc2ap+1, 0x1.8fc5617ddc3f5p-7, -0x1.070c3a393b9c1p-4, 0x1.1c9b2a8452fd3p-3, -0x1.384a7fd1f6cedp-3}, 
        {0x1.ba1ae7218cc2ap+1, 0x1.bda5856026b14p+1, 0x1.58ed70261ad65p-7, -0x1.d1f809c70a3d2p-5, 0x1.02af56f13ea7p-3, -0x1.22f9400fb52fcp-3}, 
        {0x1.bda5856026b14p+1, 0x1.c130239ec09ffp+1, 0x1.286d8f6a08b9ep-7, -0x1.9b624654029ffp-5, 0x1.d510f62e07d64p-4, -0x1.0e8a2bac4e9b2p-3}, 
        {0x1.c130239ec09ffp+1, 0x1.c4bac1c7e0ffbp+1, 0x1.fb5c704e05c45p-8, -0x1.69f4fc8798e64p-5, 0x1.a827a376150eep-4, -0x1.f60faf41973e5p-4}, 
        {0x1.c4bac1c7e0ffbp+1, 0x1.c84560067aee6p+1, 0x1.b0450940e8cadp-8, -0x1.3d523ef1bfda2p-5, 0x1.7e7b69529b43ap-4, -0x1.d11a531d943bp-4}, 
        {0x1.c84560067aee6p+1, 0x1.cbcffe2f9b4e2p+1, 0x1.6e8f63987d504p-8, -0x1.1520b5c678542p-5, 0x1.57e08155cf237p-4, -0x1.adb52b2398089p-4}, 
        {0x1.cbcffe2f9b4e2p+1, 0x1.cf5a9c6e353cdp+1, 0x1.354947c585109p-8, -0x1.e2169fa9ec9c9p-6, 0x1.3435b574b16fap-4, -0x1.8c489264684dap-4}, 
        {0x1.cf5a9c6e353cdp+1, 0x1.d2e53aaccf2b7p+1, 0x1.0392dbcb26895p-8, -0x1.a18240433fd23p-6, 0x1.135122adf8132p-4, -0x1.6c7adfc227acfp-4}, 
        {0x1.d2e53aaccf2b7p+1, 0x1.d66fd8d5ef8b4p+1, 0x1.b13b6ee779816p-9, -0x1.67eaead5c7916p-6, 0x1.ea20b3719e62ep-5, -0x1.4e587b6033addp-4}, 
        {0x1.d66fd8d5ef8b4p+1, 0x1.d9fa77148979ep+1, 0x1.6757fd69e6094p-9, -0x1.34bef8c38d93fp-6, 0x1.b29fc6f621a03p-5, -0x1.31ebddf1d1e6bp-4}, 
        {0x1.d9fa77148979ep+1, 0x1.dd85155323689p+1, 0x1.281f031083c36p-9, -0x1.0774b23a8bc73p-6, 0x1.7fd6d0bfd32c7p-5, -0x1.170c1859e4f3fp-4}, 
        {0x1.dd85155323689p+1, 0x1.e10fb37c43c85p+1, 0x1.e4a386eef947dp-10, -0x1.bf141baed3169p-7, 0x1.5183f1313c7bbp-5, -0x1.fb6a6f076e6abp-5}, 
        {0x1.e10fb37c43c85p+1, 0x1.e49a51baddb7p+1, 0x1.899af82d3c92fp-10, -0x1.790885c1118bap-7, 0x1.2765f0345e3e6p-5, -0x1.cbdcde75cc051p-5}, 
        {0x1.e49a51baddb7p+1, 0x1.e824eff977a5bp+1, 0x1.3d138e28aa74bp-10, -0x1.3bdf9dffee78fp-7, 0x1.013a609ff1101p-5, -0x1.9f2bbf16d82c9p-5}, 
        {0x1.e824eff977a5bp+1, 0x1.ebaf8e2298057p+1, 0x1.fa5c2145fa5p-11, -0x1.06c079089f917p-7, 0x1.bd88efc645dcp-6, -0x1.7552249c88586p-5}, 
        {0x1.ebaf8e2298057p+1, 0x1.ef3a2c6131f42p+1, 0x1.90739b34e33efp-11, -0x1.b1bf28020e354p-8, 0x1.7f8fa78b5e911p-6, -0x1.4e48f41d3e31bp-5}, 
        {0x1.ef3a2c6131f42p+1, 0x1.f2c4ca9fcbe2cp+1, 0x1.396343c5dbe03p-11, -0x1.62fd6bc89c1adp-8, 0x1.48114daae49a5p-6, -0x1.29e3828cd4e77p-5}, 
        {0x1.f2c4ca9fcbe2cp+1, 0x1.f64f68c8ec429p+1, 0x1.e4e464a6c53c9p-12, -0x1.1fd8f88f2d5c1p-8, 0x1.169db5f376226p-6, -0x1.08140a61a8a61p-5}, 
        {0x1.f64f68c8ec429p+1, 0x1.f9da070786313p+1, 0x1.726691fb6b5b8p-12, -0x1.ce0f381d378bep-9, 0x1.d58dfa121d118p-7, -0x1.d19a85cfa7ce7p-6}, 
        {0x1.f9da070786313p+1, 0x1.fd64a546201fep+1, 0x1.16ff9fc60f7ap-12, -0x1.6eae68fa1356bp-9, 0x1.8842e1f89a7c3p-7, -0x1.97d8e4f5ee88bp-6}, 
        {0x1.fd64a546201fep+1, 0x1.0077a1b7a03fdp+2, 0x1.9dc8f806da604p-13, -0x1.1f59ada87881p-9, 0x1.448e4d71c1202p-7, -0x1.62c14b4fbf052p-6}, 
        {0x1.0077a1b7a03fdp+2, 0x1.023cf0d6ed372p+2, 0x1.2d84be8552351p-13, -0x1.bc0f5b6b96878p-10, 0x1.09aa0667e2ca4p-7, -0x1.322fbad29d92p-6}, 
        {0x1.023cf0d6ed372p+2, 0x1.04023ff63a2e8p+2, 0x1.aed455a6efc1bp-14, -0x1.51b48530fe592p-10, 0x1.adab985b8d10ep-8, -0x1.05eb545b47ae4p-6}, 
        {0x1.04023ff63a2e8p+2, 0x1.05c78f0aca5e6p+2, 0x1.2cf686e314bf2p-14, -0x1.f87330d3903c9p-11, 0x1.56b5a65f86c82p-8, -0x1.bb9c766c48d3dp-7}, 
        {0x1.05c78f0aca5e6p+2, 0x1.078cde2a1755bp+2, 0x1.99c9f2e98f71cp-15, -0x1.7109b60d36426p-11, 0x1.0d1130c4411bep-8, -0x1.735df250c69fbp-7}, 
        {0x1.078cde2a1755bp+2, 0x1.09522d49644dp+2, 0x1.0ec5ba1e59fbep-15, -0x1.079258abd8172p-11, 0x1.9ed5e08fbeb4dp-9, -0x1.32b891ac73424p-7}, 
        {0x1.09522d49644dp+2, 0x1.0b177c5df47cfp+2, 0x1.598209dc7f3f3p-16, -0x1.6e0ae49fdfc9fp-12, 0x1.38fffd648e48cp-9, -0x1.f2b474125d2aep-8}, 
        {0x1.0b177c5df47cfp+2, 0x1.0cdccb7d41744p+2, 0x1.a6dd19dfd20b7p-17, -0x1.eb9d1fe419bcep-13, 0x1.cc6c58f27e3ap-10, -0x1.8dd8199515aeep-8}, 
        {0x1.0cdccb7d41744p+2, 0x1.0ea21a9c8e6b9p+2, 0x1.ec116f262ee2fp-18, -0x1.3d074b9bf8a1ap-13, 0x1.485567c5b6fb7p-10, -0x1.36255ff6cd0abp-8}, 
        {0x1.0ea21a9c8e6b9p+2, 0x1.106769b11e9b7p+2, 0x1.0cff6be9a934ap-18, -0x1.84f1e59e27ad6p-14, 0x1.c2b8d031e3b79p-11, -0x1.d5e19d680b87dp-9}, 
        {0x1.106769b11e9b7p+2, 0x1.122cb8d06b92dp+2, 0x1.0fc5cb92d4796p-19, -0x1.bfe57ce988aa5p-15, 0x1.26b70dd6957b4p-11, -0x1.5714ab6cb3c8cp-9}, 
        {0x1.122cb8d06b92dp+2, 0x1.13f207efb88a2p+2, 0x1.ef3da02637015p-21, -0x1.dac79a946a571p-16, 0x1.699d80ed144d6p-12, -0x1.dd0810022701dp-10}, 
        {0x1.13f207efb88a2p+2, 0x1.15b7570448bap+2, 0x1.87d9746273267p-22, -0x1.c1757b40575fbp-17, 0x1.9677fe4c9ac7fp-13, -0x1.358e3a94d7fcp-10}, 
        {0x1.15b7570448bap+2, 0x1.177ca62395b15p+2, 0x1.f979852a26a52p-24, -0x1.69289ce027a58p-18, 0x1.91d4c289041dap-14, -0x1.6aa678271a6fap-11}, 
        {0x1.177ca62395b15p+2, 0x1.1941f542e2a8bp+2, 0x1.d816b616eae5p-26, -0x1.bff83f8cdb204p-20, 0x1.420b06d36f9c8p-15, -0x1.61428cd34a13ap-12}, 
        {0x1.1941f542e2a8bp+2, 0x1.1b07445772d89p+2, 0x1.e936dbfeba76ep-29, -0x1.5599fa2af2fd9p-22, 0x1.5de0306ad544ap-17, -0x1.04668021fb0bdp-13}, 
        {0x1.1b07445772d89p+2, 0x1.1ccca2db61bbp+2, 0x1.e115874906051p-34, -0x1.c3f1bf4c22dd5p-26, 0x1.0334dd24cd183p-23, 0x1.28964306b3378p-13}, 
      }}, 
      -0x1.b48ae03f882a3p-8, 0x1.6a4f002487c4ap-4
    }
  };
  // clang-format on
}
SkfData params_hyb_0_2_ag_h() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.5db391a6157fcp-4, -0x1.a35e4ecb81c16p-4, -0x1.e9bed49df2937p-4, -0x1.1818cff0a735ep-3, -0x1.3b0c0b5c347d2p-3, -0x1.5d8b19cecb7f9p-3, -0x1.7f64858021814p-3, -0x1.a061594dc3b49p-3, -0x1.c05df4c562c3ap-3, -0x1.df4291999613bp-3, -0x1.fcf39402e2db3p-3, -0x1.0cabc14c7d47dp-2, -0x1.1a2ff552fe2f5p-2, -0x1.27026c8c92662p-2, -0x1.331f2601e0e23p-2, -0x1.3e82d54b54b4bp-2, -0x1.492cba8e8420fp-2, -0x1.531e3da64b52fp-2, -0x1.5c5973c54d05cp-2, -0x1.64e0c247ec8bfp-2, -0x1.6cb76f5c2cd4ap-2, -0x1.73e0ee235b566p-2, -0x1.7a67a7c4331aap-2, -0x1.804a76feef271p-2, -0x1.858e3d8b215a5p-2, -0x1.8a39eaee508edp-2, -0x1.8e557206f6bacp-2, -0x1.91e8849cfea83p-2, -0x1.94f9c9b1a794ap-2, -0x1.978ed1af7fc4ap-2, -0x1.99ac9fbb799b4p-2, -0x1.9b5859207836ep-2, -0x1.9c97b33f6e30ap-2, -0x1.9d70f8a47c8abp-2, -0x1.9deabc9e2fa04p-2, -0x1.9e0b71de8b40dp-2, -0x1.9dd91456a6955p-2, -0x1.9d590133e7cf5p-2, -0x1.9c900116711e7p-2, -0x1.9b82761482993p-2, -0x1.9a349471fa187p-2, -0x1.98aa8dc963ba7p-2, -0x1.96e8a111f019cp-2, -0x1.94f30fc3b39f4p-2, -0x1.92ce02bb7b42cp-2, -0x1.907d6cd9c2818p-2, -0x1.8e04f6181d06ep-2, -0x1.8b67f3b47d4eap-2, -0x1.88a96cec53f83p-2, -0x1.85cc28a32abb4p-2, -0x1.82d2be9de668fp-2, -0x1.7fbfa6c89b95p-2, -0x1.7c9542ba11d91p-2, -0x1.7955e08ec6077p-2, -0x1.7603b88b618aep-2, -0x1.72a0e7c9de356p-2, -0x1.6f2f6a0cd96d4p-2, -0x1.6bb114a02193fp-2, -0x1.682794063480fp-2, -0x1.64946d897a906p-2, -0x1.60f90470c9adfp-2, -0x1.5d56a131a9737p-2, -0x1.59ae7858939d8p-2, -0x1.5602661b26ca9p-2, -0x1.52518ba67b9d6p-2, -0x1.4e9e4180cc64p-2, -0x1.4ae98d27917f5p-2, -0x1.4734587389503p-2, -0x1.437f7202bec3p-2, -0x1.3fcb8fd5022ep-2, -0x1.3c19533b7f3a6p-2, -0x1.38694d3214bbfp-2, -0x1.34bc0258253bdp-2, -0x1.3111edf9374cfp-2, -0x1.2d6b83e2f0445p-2, -0x1.29c9311722751p-2, -0x1.262b5ba94128p-2, -0x1.2292623694b08p-2, -0x1.1efe9b640f4e4p-2, -0x1.1b7055ad42f3dp-2, -0x1.17e7d7a4efd09p-2, -0x1.1465609f39f67p-2, -0x1.10e929a0ad2bfp-2, -0x1.0d73665ef0184p-2, -0x1.0a0446203d9c8p-2, -0x1.069bf452e33dbp-2, -0x1.033a98ca2f419p-2, -0x1.ffc0af4aa3b6bp-3, -0x1.f91aa1f1531a3p-3, -0x1.f28340bca5922p-3, -0x1.ebfab92a0ba8fp-3, -0x1.e5812e9af5255p-3, -0x1.df16ba73c2cdbp-3, -0x1.d8bb6cc972422p-3, -0x1.d26f4d8f636e9p-3, -0x1.cc325e247c6c9p-3, -0x1.c6049b14df6aep-3, -0x1.bfe5fde1f5b3bp-3, -0x1.b9d67ea56ec03p-3, -0x1.b3d6156acda61p-3, -0x1.ade4bb25fb9dap-3, -0x1.a8026a3a033ecp-3, -0x1.a22f1e905e03fp-3, -0x1.9c6ad54d47c63p-3, -0x1.96b58c36ade74p-3, -0x1.910f40e8efca3p-3, -0x1.8b77eff66430dp-3, -0x1.85ef940ce9d4cp-3, -0x1.807625389a358p-3, -0x1.7b0b9854e0e2dp-3, -0x1.75afdeb6872ep-3, -0x1.7062e612b967cp-3, -0x1.6b2498a0aea5dp-3, -0x1.65f4dd6eb0743p-3, -0x1.60d398df88f83p-3, -0x1.5bc0ad43449c4p-3, -0x1.56bbfb7da4185p-3, -0x1.51c563ad5fd38p-3, -0x1.4cdcc5c8e263dp-3, -0x1.480202276800dp-3, -0x1.4334f9efe68aep-3, -0x1.3e758f69b902fp-3, -0x1.39c3a62dc1134p-3, -0x1.351f2338fa39ep-3, -0x1.3087ece3c1566p-3, -0x1.2bfdeac29e4aap-3, -0x1.278105768db98p-3, -0x1.231126731b9c6p-3, -0x1.1eae37c08cef2p-3, -0x1.1a5823bf80123p-3, -0x1.160ed4f26f11bp-3, -0x1.11d235d018fd6p-3, -0x1.0da230a0aff27p-3, -0x1.097eaf664b62fp-3, -0x1.05679bd04beb7p-3, -0x1.015cdf388f52p-3, -0x1.fabcc551b9198p-4, -0x1.f2d81dcd6cfbbp-4, -0x1.eb0b99075fb5ap-4, -0x1.e35707e0bc709p-4, -0x1.dbba3b208c069p-4, -0x1.d435039a53d2p-4, -0x1.ccc732510044p-4, -0x1.c5709894144bbp-4, -0x1.be310815953e4p-4, -0x1.b70852f7d3d4dp-4, -0x1.aff64bd2d9f54p-4, -0x1.a8fdedfbf1535p-4, -0x1.a2189cb6af69fp-4, -0x1.9b496de96e309p-4, -0x1.9490360edc28ap-4, -0x1.8decc9ce6592p-4, -0x1.875efdeb311f1p-4, -0x1.80e6a732b0fe8p-4, -0x1.7a839a6baf0a5p-4, -0x1.7435ac46aa61bp-4, -0x1.6dfcb1504bd0ap-4, -0x1.67d87de694cd7p-4, -0x1.61c8e631475bcp-4, -0x1.5bcdbe1dd4c4ap-4, -0x1.55e6d95eeffd1p-4, -0x1.50140b6fa9decp-4, -0x1.4a552799d2109p-4, -0x1.44aa00ff2962fp-4, -0x1.3f126aa4d8308p-4, -0x1.398e37807fb28p-4, -0x1.341d3a863c589p-4, -0x1.2ebf46b6e9921p-4, -0x1.29742f2e071edp-4, -0x1.243bc72eb3852p-4, -0x1.1f15e22f432acp-4, -0x1.1a0253e31c1b3p-4, -0x1.1500f0429a7e7p-4, -0x1.10118b90dcac5p-4, -0x1.0b33fa5f6f7a1p-4, -0x1.0668118ff3085p-4, -0x1.01ada653d7358p-4, -0x1.fa091c54cfa48p-5, -0x1.f0d93dbad7997p-5, -0x1.e7cb5cf93727ap-5, -0x1.dedf26b07cc7fp-5, -0x1.d61447f66df17p-5, -0x1.cd6a6e4992564p-5, -0x1.c4e14784ba8edp-5, -0x1.bc7881d2f3d66p-5, -0x1.b42fcba44e891p-5, -0x1.ac06d3a3cb206p-5, -0x1.a3fd48aea3dcbp-5, -0x1.9c12d9cd1ebd2p-5, -0x1.9447362cf8a95p-5, -0x1.8c9a0d1d6eb9cp-5, -0x1.850b0e0cd2f8dp-5, -0x1.7d99e88799f7bp-5, -0x1.76464c38ba277p-5, -0x1.6f0fe8eb33191p-5, -0x1.67f66e8c95f0ap-5, -0x1.60f98d305448p-5, -0x1.5a18f513b632ap-5, -0x1.535456a23ebb9p-5, -0x1.4cab627a5c633p-5, -0x1.461dc972442f7p-5, -0x1.3fab3c9ccaf9ep-5, -0x1.39536d4e2c71cp-5, -0x1.33160d20a3adp-5, -0x1.2cf2cdf8c2fbcp-5, -0x1.26e9620980702p-5, -0x1.20f97bd7e5ddap-5, -0x1.1b22ce3e70f9fp-5, -0x1.15650c7222d9ep-5, -0x1.0fbfe9fb9de8fp-5, -0x1.0a331ac7320ap-5, -0x1.04be5322211ffp-5, -0x1.fec28f53431fbp-6, -0x1.f4375b193c361p-6, -0x1.e9da743186d7fp-6, -0x1.dfab465a6eda6p-6, -0x1.d5a93e053e166p-6, -0x1.cbd3c86f2f13ap-6, -0x1.c22a53a23ebb6p-6, -0x1.b8ac4e76e4268p-6, -0x1.af592895a8c0fp-6, -0x1.a6305278e9f1cp-6, -0x1.9d313d6ec7cc5p-6, -0x1.945b5b9b4aa4dp-6, -0x1.8bae1ffac7457p-6, -0x1.8328fe647abbp-6, -0x1.7acb6b8d6576cp-6, -0x1.7294dd0b5b368p-6, -0x1.6a84c9584212dp-6, -0x1.629aa7d595cf1p-6, -0x1.5ad5f0cfe6f08p-6, -0x1.53361d8241344p-6, -0x1.4bbaa81a53895p-6, -0x1.44630bbbff56dp-6, -0x1.3d2ec48505508p-6, -0x1.361d4f90bfaap-6, -0x1.2f2e2afbcab2cp-6, -0x1.2860d5e773091p-6, -0x1.21b4d07c8ea01p-6, -0x1.1b299bf2e7ffbp-6, -0x1.14beba8b64d28p-6, -0x1.0e73af9bafa4dp-6, -0x1.0847ff80d5a34p-6, -0x1.023b2fe4feef2p-6, -0x1.f8998e63b22bdp-7, -0x1.ecf89a77fdcf2p-7, -0x1.e19295f5b0d1ap-7, -0x1.d66693a35e7aap-7, -0x1.cb73aacef1817p-7, -0x1.c0b8f3873eceap-7, -0x1.b63588840cf77p-7, -0x1.abe886c7c6226p-7, -0x1.a1d10da1a6c1p-7, -0x1.97ee3eaf7e844p-7, -0x1.8e3f3ddf173dcp-7, -0x1.84c3316f5b03bp-7, -0x1.7b7941f151852p-7, -0x1.72609a48ca549p-7, -0x1.697867accee74p-7, -0x1.60bfd9a7e082p-7, -0x1.5836221800aafp-7, -0x1.4fda752e9d752p-7, -0x1.47ac09703e53fp-7, -0x1.3faa17b3f9c2bp-7, -0x1.37d3db25cdef6p-7, -0x1.3028913824b8p-7, -0x1.28a779bfadd9ap-7, -0x1.214fd6d252812p-7, -0x1.1a20ecd9bf628p-7, -0x1.131a028bddbe3p-7, -0x1.0c3a60b650d7p-7, -0x1.05815340482aep-7, -0x1.fddc4e58c905cp-8, -0x1.f10058fedac37p-8, -0x1.e46d6ab956e6cp-8, -0x1.d8222c3ff5c51p-8, -0x1.cc1d4b3ad41acp-8, -0x1.c05d79122d58ap-8, -0x1.b4e16ce4439e7p-8, -0x1.a9a7df501f372p-8, -0x1.9eaf923e34425p-8, -0x1.93f746c4674a5p-8, -0x1.897dc6add7339p-8, -0x1.7f41ddc1b2477p-8, -0x1.75425cbc225e8p-8, -0x1.6b7e18ad7a186p-8, -0x1.61f3eaf3609dfp-8, -0x1.58a2b13629de5p-8, -0x1.4f894d5ff3f55p-8, -0x1.46a6a58eca558p-8, -0x1.3df9a4196188p-8, -0x1.3581378074bep-8, -0x1.2d3c52688d3acp-8, -0x1.2529eb92221f2p-8, -0x1.1d48fdd103c81p-8, -0x1.159887c25bb29p-8, -0x1.0e178d01a45b9p-8, -0x1.06c513daede53p-8, -0x1.ff404e4e0fc94p-9, -0x1.f14fab61188afp-9, -0x1.e3b664200e682p-9, -0x1.d672a565d382dp-9, -0x1.c982a3307b4bfp-9, -0x1.bce49ac11277cp-9, -0x1.b096ce88b1474p-9, -0x1.a4978963f3688p-9, -0x1.98e51d8f7519fp-9, -0x1.8d7de45ca2379p-9, -0x1.82603e3db9106p-9, -0x1.778a92cb68bc8p-9, -0x1.6cfb508be0169p-9, -0x1.62b0eccef5a62p-9, -0x1.58a9e3ca2c2b4p-9, -0x1.4ee4b86b86806p-9, -0x1.4404c98b1dc4ep-9, -0x1.3aceb813cac9p-9, -0x1.31d60f7e5e75p-9, -0x1.2919671e08281p-9, -0x1.2097613274759p-9, -0x1.184ea5074ccd3p-9, -0x1.103de0064a2f2p-9, -0x1.0863c59e2bfcbp-9, -0x1.00bf0fb49f16ep-9, -0x1.f29cf948d4d66p-10, -0x1.e421a553535bdp-10, -0x1.d609b8f29e272p-10, -0x1.c852d5c6b0069p-10, -0x1.bafaa8c23a474p-10, -0x1.adfeea3d7e508p-10, -0x1.a15d5d46fd049p-10, -0x1.9513d0cb73d11p-10, -0x1.89201dd30db0dp-10, -0x1.7d8028b4acac4p-10, -0x1.7231e040fec82p-10, -0x1.67333e7264638p-10, -0x1.5c8247d5db4e2p-10, -0x1.521d0a6f6560ap-10, -0x1.48019f67ba09p-10, -0x1.3e2e2a4d176bbp-10, -0x1.34a0d97912f91p-10, -0x1.2b57e8e25f1d1p-10, -0x1.225189f5bbf8dp-10, -0x1.198c18b95db99p-10, -0x1.1105e3d54b31ap-10, -0x1.08bd4c19c3acp-10, -0x1.00b0b98d3b96cp-10, -0x1.f1bd380d64486p-11, -0x1.e28ade649c65bp-11, -0x1.d3c76dd547f6dp-11, -0x1.c56ffff610539p-11, -0x1.b781bf7a74dd2p-11, -0x1.a9f9e8ea08b57p-11, -0x1.9cd5c93bdfbd2p-11, -0x1.9012bdefe0d4ap-11, -0x1.83ae353e25276p-11, -0x1.77a5ac5ecb279p-11, -0x1.6bf6b0c59b0a6p-11, -0x1.609edebf97687p-11, -0x1.559be19167f74p-11, -0x1.4aeb72fb76f63p-11, -0x1.408b5ae899a9cp-11, -0x1.36796f196dfd9p-11, -0x1.2cb392cb9fefap-11, -0x1.2337b67ee6ea5p-11, -0x1.1a03d6e39c65bp-11, -0x1.1115fe4e0fdbep-11, -0x1.086c453629fa1p-11, -0x1.0004ca370d064p-11, -0x1.efbb78d580e2ap-12, -0x1.dfeaaa1a0ea13p-12, -0x1.d093b0e9fc556p-12, -0x1.c1b32ba8e8066p-12, -0x1.b345cdcf13b75p-12, -0x1.a54860597abcep-12, -0x1.97b7c07b1665ep-12, -0x1.8a90dd830ee32p-12, -0x1.7dd0bc23aaf06p-12, -0x1.7174732feaffbp-12, -0x1.65792cae386ep-12, -0x1.59dc23598623ap-12, -0x1.4e9aa5be39968p-12, -0x1.43b213300de0dp-12, -0x1.391fda64f5949p-12, -0x1.2ee17c63cb6f8p-12, -0x1.24f48a247d96p-12, -0x1.1b56bf7d9bf2ep-12, -0x1.12057cb5dce49p-12, -0x1.08fed2406cd31p-12, -0x1.004096611ea2dp-12, -0x1.ef907ea21a024p-13, -0x1.df28499307897p-13, -0x1.cf44246fb37p-13, -0x1.bfe037ba816bep-13, -0x1.b0f8a54400861p-13, -0x1.a289b263b3a5p-13, -0x1.948fbe2175673p-13, -0x1.870740fc0b7cfp-13, -0x1.79eccb5cfe18dp-13, -0x1.6d3d06e7c0b73p-13, -0x1.60f4b424f383cp-13, -0x1.5510aaeeb068fp-13, -0x1.498dd9ab8bc0dp-13, -0x1.3e6944c169a5fp-13, -0x1.33a005ea1a14dp-13, -0x1.292f4d21a3faap-13, -0x1.1f145d3e719edp-13, -0x1.154c8f094a631p-13, -0x1.0bd54a9f50bep-13, -0x1.02ac115087325p-13, -0x1.f39ce9a6b63d8p-14, -0x1.e274261f98685p-14, -0x1.d1d94c5aa99dep-14, -0x1.c1c7e43f7342p-14, -0x1.b23b9cff848b7p-14, -0x1.a3304199c2347p-14, -0x1.94a1e38130c02p-14, -0x1.868c34d9b39f3p-14, -0x1.78ebbb786b28p-14, -0x1.6bbca227f6e34p-14, -0x1.5efb4fdcaacabp-14, -0x1.52a446e70de3ap-14, -0x1.46b42524b48fep-14, -0x1.3b27a25a3c9a5p-14, -0x1.2ffb8fc77b316p-14, -0x1.252bc84fbdf54p-14, -0x1.1ab8828e7aed6p-14, -0x1.109ba5c08f41ap-14, -0x1.06d374d5a59bap-14, -0x1.faba6fbf4613cp-15, -0x1.e86c9a55b7bf9p-15, -0x1.d6b845b97c212p-15, -0x1.c59899f1e740fp-15, -0x1.b50a982f4b56fp-15, -0x1.a50418f0cb552p-15, -0x1.95865dd55c5eep-15, -0x1.868a898bb9567p-15, -0x1.780d14cadf43ep-15, -0x1.6a09be19089cfp-15, -0x1.5c7c862c7701ap-15, -0x1.4f61a6f199238p-15, -0x1.42b56c48c622ep-15, -0x1.36744660c34e7p-15, -0x1.2a9abb90bd938p-15, -0x1.1f2578a3a90efp-15, -0x1.14113f722e70fp-15, -0x1.095aeecc2296ep-15, -0x1.fdfefefc92ff3p-16, -0x1.e9f808c045d65p-16, -0x1.d69b4c1f4965dp-16, -0x1.c3e34cb1a8bd9p-16, -0x1.b1cc237d0cbb8p-16, -0x1.a04c9590020d3p-16, -0x1.8f63c0c280224p-16, -0x1.7f0b7d1749249p-16, -0x1.6f3f258213cb6p-16, -0x1.5ffa41bc8c6ap-16, -0x1.51387a0f5276ep-16, -0x1.42f58ddf57fap-16, -0x1.352d95bf10a52p-16, -0x1.27dc90887ca52p-16, -0x1.1afe4ff86ec6bp-16, -0x1.0e9041e337402p-16, -0x1.028dc9f5cac74p-16, -0x1.ede7c5d4f1e29p-17, -0x1.d77e3bf48d4fap-17, -0x1.c1d8d448375bp-17, -0x1.acf13941ea081p-17, -0x1.98be1a2f3a1f3p-17, -0x1.8543bc52a1899p-17, -0x1.727290ba6b28bp-17, -0x1.6048686b067d9p-17, -0x1.4ebfc5e8992e7p-17, -0x1.3dd4828e97e55p-17, -0x1.2d80db30dd586p-17, -0x1.1dc0598d7664dp-17, -0x1.0e8e752ba27b5p-17, -0x1.ffcd7bd7209cdp-18, -0x1.e389c55adf2e8p-18, -0x1.c849ae98383ebp-18, -0x1.ae052412bf374p-18, -0x1.94b46d4594c8p-18, -0x1.7c500c50f23d2p-18, -0x1.64d0eace28c35p-18, -0x1.4e2fcb4afaa78p-18, -0x1.38661142ff1cdp-18, -0x1.236d290f082f2p-18, -0x1.0f4548ba9c0f1p-18, -0x1.f7a9d61a3557bp-19, -0x1.d252f20cfca18p-19, -0x1.ae6d8256b25a8p-19, -0x1.8beb485e4cb34p-19, -0x1.6acafcb6170adp-19, -0x1.4af8c8979cb64p-19, -0x1.2c6d77b0948a8p-19, -0x1.0f1ff22b684afp-19, -0x1.e60bde3de8124p-20, -0x1.b02cc5a80e4a9p-20, -0x1.7c90cc498b5ebp-20, -0x1.4b251f4ab0d34p-20, -0x1.1bd8982552969p-20, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.e66940c4df789p-5, -0x1.12d552719a302p-4, -0x1.31c7d11227336p-4, -0x1.4fb18dcb537a9p-4, -0x1.6c43ba440ad1ep-4, -0x1.8729c2d9b02a5p-4, -0x1.a02b2c27ed6fcp-4, -0x1.b72370a036a3dp-4, -0x1.cbec48c72158ap-4, -0x1.de67a01836d33p-4, -0x1.ee89a98e335e4p-4, -0x1.fc4f374cfd2f8p-4, -0x1.03daf5a60dc39p-3, -0x1.086056823ce01p-3, -0x1.0bbdb9b92300cp-3, -0x1.0dfbce9c0332ap-3, -0x1.0f23e779a0b4dp-3, -0x1.0f402ac03498ap-3, -0x1.0e5c6e260503ap-3, -0x1.0c85ecf6df2e6p-3, -0x1.09ca5aa866b0fp-3, -0x1.06371d5344f64p-3, -0x1.01d7e70eeb814p-3, -0x1.f97f5eb5d3a9fp-4, -0x1.edf950bcc755ep-4, -0x1.e136b996996e7p-4, -0x1.d34f68fbf2754p-4, -0x1.c45bd6b134ac8p-4, -0x1.b475cdbeff2e8p-4, -0x1.a3b7d6f94e3bp-4, -0x1.923bf77457037p-4, -0x1.801a6fc970551p-4, -0x1.6d69089bd06f1p-4, -0x1.5a3b2859bc67fp-4, -0x1.46a280c0315e4p-4, -0x1.32afdb8613791p-4, -0x1.1e739e07bb679p-4, -0x1.09fde3105df4fp-4, -0x1.eabc88cd6eb28p-5, -0x1.c147012b7ff07p-5, -0x1.97b64a2bed22dp-5, -0x1.6e22b680d7064p-5, -0x1.44a1cfd7fba83p-5, -0x1.1b46b1ca27707p-5, -0x1.e44526c433642p-6, -0x1.928a936c96db6p-6, -0x1.417b3feb6f6ap-6, -0x1.e265ec5d10433p-7, -0x1.439747f95a812p-7, -0x1.4d745f3a4b5aep-8, -0x1.7f2cf34f03cc5p-12, 0x1.190b0d72902c7p-8, 0x1.22a24b484adeep-7, 0x1.b6416908c11bbp-7, 0x1.23a5c76df76e5p-6, 0x1.6ad670a146523p-6, 0x1.b0aa2ff91792ep-6, 0x1.f519bf313b179p-6, 0x1.1c0f7bb5b6cadp-5, 0x1.3cda6374b594fp-5, 0x1.5ceb958c3df56p-5, 0x1.7c4193052ecc4p-5, 0x1.9adb5666b878dp-5, 0x1.b8ba49fc66fc2p-5, 0x1.d5d7ac108e553p-5, 0x1.f23870673fb18p-5, 0x1.06eebd5a47b71p-4, 0x1.1463f5d4d4a15p-4, 0x1.217c890bf9588p-4, 0x1.2e392f2697c94p-4, 0x1.3a9aac715a861p-4, 0x1.46a1cf233a0cep-4, 0x1.524f6fc21e98cp-4, 0x1.5da473ccc6b13p-4, 0x1.68a1d1b6cc8e4p-4, 0x1.734894ee1f77dp-4, 0x1.7d99e0aa8b48dp-4, 0x1.8796f0a539ba3p-4, 0x1.914117618d1b3p-4, 0x1.9a99ba3d765ap-4, 0x1.a3a24beb013ap-4, 0x1.ac5c462f20305p-4, 0x1.b4c923caa9da6p-4, 0x1.bcea5b52938a7p-4, 0x1.c4c15b8022adep-4, 0x1.cc4f8936b93d1p-4, 0x1.d3963f31b54ffp-4, 0x1.da96cf0f4089bp-4, 0x1.e1528345aeed4p-4, 0x1.e7caa183c094ep-4, 0x1.ee006d0466e93p-4, 0x1.f3f528776b25bp-4, 0x1.f9aa1740c53c2p-4, 0x1.ff207df383743p-4, 0x1.022cd1063831ap-3, 0x1.04ab6484cd287p-3, 0x1.070c9b863af01p-3, 0x1.0951169e60706p-3, 0x1.0b79741193079p-3, 0x1.0d864f16de1dcp-3, 0x1.0f783f43003fap-3, 0x1.114fd828fe9bdp-3, 0x1.130da934fa475p-3, 0x1.14b23dbdd4273p-3, 0x1.163e1d436bf16p-3, 0x1.17b1cbcabd9eap-3, 0x1.190dca47bd4ccp-3, 0x1.1a529705bb889p-3, 0x1.1b80ae025267fp-3, 0x1.1c988932aedcp-3, 0x1.1d9aa0af276a6p-3, 0x1.1e876ac49e1efp-3, 0x1.1f5f5beddee62p-3, 0x1.2022e6b930b78p-3, 0x1.20d27b9fb515ap-3, 0x1.216e88d499347p-3, 0x1.21f77a128a0abp-3, 0x1.226db86d33afcp-3, 0x1.22d1aa2c0cf31p-3, 0x1.2323b2b27997cp-3, 0x1.2364327802e56p-3, 0x1.23938711fcb82p-3, 0x1.23b20b4e50b21p-3, 0x1.23c0175de65ecp-3, 0x1.23be010bcc725p-3, 0x1.23ac1bfd913b8p-3, 0x1.238ab9f8bb753p-3, 0x1.235a2b293dc9p-3, 0x1.231abe653dfb8p-3, 0x1.22ccc16ae7bbbp-3, 0x1.22708115fea02p-3, 0x1.2206498b7f6e1p-3, 0x1.218e665a873d7p-3, 0x1.210922926370fp-3, 0x1.2076c8ce3dbeep-3, 0x1.1fd7a3375e184p-3, 0x1.1f2bfb7f56d78p-3, 0x1.1e741ad3ac50cp-3, 0x1.1db049ccb0732p-3, 0x1.1ce0d05953f54p-3, 0x1.1c05f5a98dfd5p-3, 0x1.1b200018ec3fp-3, 0x1.1a2f351a8e60fp-3, 0x1.1933d9279025bp-3, 0x1.182e2fb0b10d2p-3, 0x1.171e7b13aae73p-3, 0x1.1604fc94821b5p-3, 0x1.14e4e3fecac0bp-3, 0x1.13b89f6688d7p-3, 0x1.1283463371282p-3, 0x1.11451585e6c1ap-3, 0x1.0ffe4988e0d68p-3, 0x1.0eaf1d7874a4cp-3, 0x1.0d57cbaa318c5p-3, 0x1.0bf88d96d26f8p-3, 0x1.0a919be49f004p-3, 0x1.09232e722a496p-3, 0x1.07ad7c60dff6ap-3, 0x1.0630bc1f29d12p-3, 0x1.04ad2371d81e1p-3, 0x1.0322e77cb19b4p-3, 0x1.01923cca04657p-3, 0x1.fff6aea282eb3p-4, 0x1.fcbcd4f920773p-4, 0x1.f977525afcd06p-4, 0x1.f6268b819ed29p-4, 0x1.f2cae423265dbp-4, 0x1.ef64bef71d8c4p-4, 0x1.ebf47dba3e82dp-4, 0x1.e87a81316b6b6p-4, 0x1.e4f7292be168fp-4, 0x1.e16ad48501fcap-4, 0x1.ddd5e125c7fa7p-4, 0x1.da38ac05f45c8p-4, 0x1.d693912d405dep-4, 0x1.d2e6ebb4590bdp-4, 0x1.cf3315c5ffc91p-4, 0x1.cb7868a00963ep-4, 0x1.c7b73c9462738p-4, 0x1.c3efe909fe98bp-4, 0x1.c022c47da6525p-4, 0x1.bc502482900a7p-4, 0x1.b8785dc2bf15dp-4, 0x1.b49bc3ff03b3cp-4, 0x1.b0baaa0eabe43p-4, 0x1.acd561debc9cap-4, 0x1.a8ec3c70c879cp-4, 0x1.a4ff89d94988ap-4, 0x1.a10f993d8dfe7p-4, 0x1.9d1cb8d13ee65p-4, 0x1.992735d388b2p-4, 0x1.952f5c8bd76bap-4, 0x1.9135784665de8p-4, 0x1.8d39d3508336cp-4, 0x1.893cb6f4b2a18p-4, 0x1.853e6b76aa33dp-4, 0x1.813f380f50c3ep-4, 0x1.7d3f62e8b72f3p-4, 0x1.793f311a279e1p-4, 0x1.753ee6a448d53p-4, 0x1.713ec66d70264p-4, 0x1.6d3f123e2528fp-4, 0x1.69400abdda0e5p-4, 0x1.6541ef6fe159ap-4, 0x1.6144feb0b1e21p-4, 0x1.5d4975b367b2fp-4, 0x1.594f907f90372p-4, 0x1.555789ef08b0ep-4, 0x1.51619b9f92db3p-4, 0x1.4d6dfe28462e3p-4, 0x1.497ce8d18db97p-4, 0x1.458e919761c64p-4, 0x1.41a32fecd78p-4, 0x1.3dbaf001b6846p-4, 0x1.39d60be04cff3p-4, 0x1.35f4b24d1b60ep-4, 0x1.321713641eb4ep-4, 0x1.2e3d5e11f88d9p-4, 0x1.2a67c01174a43p-4, 0x1.269665ee3fbcfp-4, 0x1.22c97b062f655p-4, 0x1.1f01298a9797cp-4, 0x1.1b3d9a81c9e43p-4, 0x1.177ef5c8b38eap-4, 0x1.13c56214925fdp-4, 0x1.101104f4d1be9p-4, 0x1.0c6202d4f2b1bp-4, 0x1.08b87efe976b4p-4, 0x1.05149b9b9fb71p-4, 0x1.017679b8404f2p-4, 0x1.fbbc728aa1ccfp-5, 0x1.f497f2367c52fp-5, 0x1.ed7fadf74c345p-5, 0x1.e673df283b76bp-5, 0x1.df74bd01fcf34p-5, 0x1.d8827c9fe4453p-5, 0x1.d19d510516b3cp-5, 0x1.cac56b0ecededp-5, 0x1.c3faf9b7290dcp-5, 0x1.bd3e2a16eda34p-5, 0x1.b68f26a7af171p-5, 0x1.afee186f4948p-5, 0x1.a95b261173a2cp-5, 0x1.a2d675860f42ep-5, 0x1.9c6028ce746f3p-5, 0x1.95f861b75e808p-5, 0x1.8f9f3ffa07cebp-5, 0x1.8954df72a415p-5, 0x1.83195d90361e6p-5, 0x1.7cecd3b64513cp-5, 0x1.76cf5a180579p-5, 0x1.70c1072f33653p-5, 0x1.6ac1efc31f1dfp-5, 0x1.64d226ef902dcp-5, 0x1.5ef1be2bc7176p-5, 0x1.5920c5518d75cp-5, 0x1.535f4aa416421p-5, 0x1.4dad5ad6f7151p-5, 0x1.480b01155b1c3p-5, 0x1.427847090ce45p-5, 0x1.3cf534e191bbfp-5, 0x1.3781d15b3b3b5p-5, 0x1.321e21c63a354p-5, 0x1.2cca2a0c78ddap-5, 0x1.2785ecd589093p-5, 0x1.22516b0e61808p-5, 0x1.1d2ca4f060389p-5, 0x1.181798f4efc7fp-5, 0x1.1312447ef54ap-5, 0x1.0e1ca3b1d6da6p-5, 0x1.0936b1131d49dp-5, 0x1.046067a627849p-5, 0x1.ff337db8ee42dp-6, 0x1.f5c55d1b451c6p-6, 0x1.ec765a5559181p-6, 0x1.e346600c611b9p-6, 0x1.da35575043edbp-6, 0x1.d143265451c74p-6, 0x1.c86fb2896f11p-6, 0x1.bfbadcf2f2c28p-6, 0x1.b72488b7ab246p-6, 0x1.aeac9321dc72dp-6, 0x1.a652dadab50f8p-6, 0x1.9e173b2ef7d1fp-6, 0x1.95f98e33cd8fap-6, 0x1.8df9ac66a744fp-6, 0x1.86176c846c537p-6, 0x1.7e52a49809c1dp-6, 0x1.76ab28699291bp-6, 0x1.6f20ca6c83604p-6, 0x1.67b35c19719cp-6, 0x1.6062ad7c4cee9p-6, 0x1.592e8d62acda5p-6, 0x1.5216c9688964ap-6, 0x1.4b1b2e0306775p-6, 0x1.443b86031a52bp-6, 0x1.3d779d396cecap-6, 0x1.36cf3bb7cdc14p-6, 0x1.304229ea92227p-6, 0x1.29d02f5a77786p-6, 0x1.23791284afdcfp-6, 0x1.1d3c990b83bfp-6, 0x1.171a878fb1ab1p-6, 0x1.1112a2c144e74p-6, 0x1.0b24ad70d78fbp-6, 0x1.05506a47f2f23p-6, 0x1.ff2b369a17fc8p-7, 0x1.f3e803a998dc9p-7, 0x1.e8d6bd350ac06p-7, 0x1.ddf6e3a0b09f9p-7, 0x1.d347f637f17a3p-7, 0x1.c8c97337f05b4p-7, 0x1.be7ad7fc24f8ep-7, 0x1.b45ba0f38e369p-7, 0x1.a7f9c09d17b1bp-7, 0x1.9e511a1ed2277p-7, 0x1.94d637562d5ap-7, 0x1.8b8887ec9c551p-7, 0x1.826781821826p-7, 0x1.797297655666p-7, 0x1.70a93c48739b9p-7, 0x1.680ae24c9f15cp-7, 0x1.5f96fb7a41198p-7, 0x1.574cf84c18de1p-7, 0x1.4f2c4a78fd6fdp-7, 0x1.4734626ccea6dp-7, 0x1.3f64b0aaaead6p-7, 0x1.37bca5953f237p-7, 0x1.303bb18f1ae78p-7, 0x1.28e144ee28ae7p-7, 0x1.21acd0592e39ap-7, 0x1.1a9dc47d108adp-7, 0x1.13b39280f29b2p-7, 0x1.0cedabb6dd46cp-7, 0x1.064b8272ffcc2p-7, 0x1.ff9911ff8afc3p-8, 0x1.f2e065315aef2p-8, 0x1.e66be681ab77cp-8, 0x1.da3a7fa156077p-8, 0x1.ce4b1c2293366p-8, 0x1.c29ca995c6985p-8, 0x1.b72e172fb84dap-8, 0x1.abfe5762b1a19p-8, 0x1.a10c5cd0b983dp-8, 0x1.965721da8c057p-8, 0x1.8bdd9f83f0189p-8, 0x1.819ecf6e6eb6cp-8, 0x1.7799b21f1b4aap-8, 0x1.6dcd49a97514ap-8, 0x1.64389ab519971p-8, 0x1.5adaae7a7db61p-8, 0x1.51b28eb290f77p-8, 0x1.48bf49ba7991ap-8, 0x1.3ffff0ab12367p-8, 0x1.377397cc09a1cp-8, 0x1.2f195619e89bfp-8, 0x1.26f045d609772p-8, 0x1.1ef7841f0cb7ap-8, 0x1.172e3111cfb21p-8, 0x1.0f936fb303863p-8, 0x1.082665e5fdf53p-8, 0x1.00e63c61a4f5bp-8, 0x1.f3a43d46f1596p-9, 0x1.e5d275c75f1d5p-9, 0x1.d85582acd9ac3p-9, 0x1.cb2bcbf8cbbc1p-9, 0x1.be53c41361fa5p-9, 0x1.b1cbd36b2ed2ep-9, 0x1.a59273bf5d1b9p-9, 0x1.99a620807826fp-9, 0x1.8e0559ed42505p-9, 0x1.82aea512af5a1p-9, 0x1.77a08bbcbe447p-9, 0x1.6cd99c57486bdp-9, 0x1.62586b4be50fep-9, 0x1.581b8d318b598p-9, 0x1.4e21a1a410826p-9, 0x1.4469484764cd1p-9, 0x1.3af126eace03dp-9, 0x1.31b7e75f6a182p-9, 0x1.28bc384c2f73dp-9, 0x1.1ffccc96cd5c9p-9, 0x1.17785c0157775p-9, 0x1.0f2da2929bafbp-9, 0x1.071b60deb150bp-9, 0x1.fe80ab2c558bap-10, 0x1.ef36bacaa899p-10, 0x1.e056667634b79p-10, 0x1.d1dd4a85af8f4p-10, 0x1.c3c956c132e51p-10, 0x1.b61806625e96dp-10, 0x1.a8c71cea9ac99p-10, 0x1.9bd4781220a4dp-10, 0x1.8f3de1ecb2e9fp-10, 0x1.83013649ea256p-10, 0x1.771c596113494p-10, 0x1.6b8d39139da63p-10, 0x1.6051ca14d2e76p-10, 0x1.55680cd82d1d6p-10, 0x1.4ace08cb0e45p-10, 0x1.4081cec937ffap-10, 0x1.36817873816f6p-10, 0x1.2ccb282df4345p-10, 0x1.235d0916034bfp-10, 0x1.1a354eddb5a7dp-10, 0x1.115235e1517c7p-10, 0x1.08b203ce628e5p-10, 0x1.0053042787c6cp-10, 0x1.f0671c9a41f52p-11, 0x1.e0a406603675ep-11, 0x1.d1597f82db55dp-11, 0x1.c28478ce3bc1fp-11, 0x1.b421d7ca9fcaep-11, 0x1.a62e9b1103157p-11, 0x1.98a7cea14783bp-11, 0x1.8b8a87d9e2d3dp-11, 0x1.7ed40c88ba3a5p-11, 0x1.72817ea1274d3p-11, 0x1.669031f379504p-11, 0x1.5afd802161073p-11, 0x1.4fc6d1b48596cp-11, 0x1.44e99dc419242p-11, 0x1.3a6369c1ecf05p-11, 0x1.3031c99e875a4p-11, 0x1.265305f6f0a4p-11, 0x1.1cc2d6a5c7bc9p-11, 0x1.1380f006219cp-11, 0x1.0a8a74ee509cdp-11, 0x1.01dd3c016706ep-11, 0x1.f2ee530a51c3cp-12, 0x1.e2ac68e82c1dp-12, 0x1.d2f088401cda8p-12, 0x1.c3b91f99b1ab8p-12, 0x1.b4fbd3590ba2bp-12, 0x1.a6baddfea179bp-12, 0x1.98f1de5ef0c19p-12, 0x1.8b9bdceaec419p-12, 0x1.7eb5d7b18e74dp-12, 0x1.723c6e5e8c9ep-12, 0x1.662c67e0f59b8p-12, 0x1.5a825f68dd03ep-12, 0x1.4f3b5ce924d63p-12, 0x1.4454441a13febp-12, 0x1.39ca1c41f2c53p-12, 0x1.2f9a004debfcfp-12, 0x1.25c11e2eb0247p-12, 0x1.1c3cb6d48d25ap-12, 0x1.130a1ddde7c0bp-12, 0x1.0a26b907ed39ep-12, 0x1.019001a570c07p-12, 0x1.f285cf6cdc00ep-13, 0x1.e27d8fbb7911cp-13, 0x1.d2ff1b310f0bfp-13, 0x1.c4071429e12f4p-13, 0x1.b591108b3a279p-13, 0x1.a798c86ff1f49p-13, 0x1.9a1a116a36911p-13, 0x1.8d10e75fd82d3p-13, 0x1.8079484a37bd5p-13, 0x1.744f6e05b08f8p-13, 0x1.689157138d848p-13, 0x1.5d36556558d2p-13, 0x1.523ff82ac856cp-13, 0x1.47a937681a67ap-13, 0x1.3d6eafda79681p-13, 0x1.338d49850e76ep-13, 0x1.2a01e020d03d5p-13, 0x1.20c9956e5c297p-13, 0x1.17e1190e3b827p-13, 0x1.0f45f8d72a564p-13, 0x1.06f56146b525dp-13, 0x1.fdd900534846fp-14, 0x1.ee527f6862946p-14, 0x1.df51335b48125p-14, 0x1.d0d0c19312e84p-14, 0x1.c2cc83626f785p-14, 0x1.b53fd05bc89f4p-14, 0x1.a8266dfa22332p-14, 0x1.9b7c194b27793p-14, 0x1.8f3cba9453ad6p-14, 0x1.8364610802359p-14, 0x1.77ef52dbd77b2p-14, 0x1.6cd9bf4234431p-14, 0x1.621ffb32ed9e6p-14, 0x1.57bed2807ef83p-14, 0x1.4db2eff564f32p-14, 0x1.43f487e8bdb9cp-14, 0x1.3a8e0a6e1f8f2p-14, 0x1.316f0530f7fccp-14, 0x1.28991acae9a43p-14, 0x1.2008b96d793f7p-14, 0x1.17bda157fc8d4p-14, 0x1.0fb2df7fbd322p-14, 0x1.07e6b50e2a5c3p-14, 0x1.00570434ab4b8p-14, 0x1.f20297261c77dp-15, 0x1.e3c6e337e4281p-15, 0x1.d5f6cd95dd32cp-15, 0x1.c88e78a86d046p-15, 0x1.bb8a0ae4f0d0bp-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.3a1f6f875b1f6p-5, 0x1.588e1dd3fda2ep-5, 0x1.75bf84a8a2a4fp-5, 0x1.910d47d3f3803p-5, 0x1.a9f339ed54d6p-5, 0x1.c01c63f987b5ap-5, 0x1.d334b82eb4364p-5, 0x1.e2f58cce95413p-5, 0x1.ef3c1db3612e9p-5, 0x1.f7f687fea037ap-5, 0x1.fd153e9db49b3p-5, 0x1.fe95af4334affp-5, 0x1.fc87f8940677ep-5, 0x1.f70556b817926p-5, 0x1.ee295049003d8p-5, 0x1.e2149d2c3e772p-5, 0x1.d2eff48138ce3p-5, 0x1.c0e91ff6c1a2ep-5, 0x1.ac2f13a390194p-5, 0x1.94f14e3589c51p-5, 0x1.7b60d24d8460fp-5, 0x1.5fb1f5f471becp-5, 0x1.4219d715b0b8bp-5, 0x1.22be95ba8ad6ep-5, 0x1.01d0ca07b2199p-5, 0x1.bf0650590beap-6, 0x1.780e97b9858a8p-6, 0x1.2f15e1c717592p-6, 0x1.c8dbd276ddfcp-7, 0x1.30c06ccbc28d3p-7, 0x1.2cc5a272f8fcbp-8, -0x1.6de58f711bdd2p-13, -0x1.46156fe66890bp-8, -0x1.41155b8f43f2dp-7, -0x1.df5cc8d565e95p-7, -0x1.3eb824f3b300ap-6, -0x1.8d7593948e8d5p-6, -0x1.dbba5751d011ap-6, -0x1.14afa3b88cb32p-5, -0x1.3b2095ba91631p-5, -0x1.611fc76466923p-5, -0x1.869e04189cef1p-5, -0x1.ab8d08938eb8cp-5, -0x1.cfdfa512895abp-5, -0x1.f389f53ff8606p-5, -0x1.0b40c74fc315cp-4, -0x1.1c5ec8930eb7ap-4, -0x1.2d1b4a31b835ap-4, -0x1.3d733cf032c42p-4, -0x1.4d641a7f5e44p-4, -0x1.5cebcb45dfa0dp-4, -0x1.6c0891b7a5474p-4, -0x1.7ab8fcb92d10fp-4, -0x1.88fbe197694d2p-4, -0x1.96d05c804458p-4, -0x1.a435d4336f86ap-4, -0x1.b12bfcd1ed4d3p-4, -0x1.bdb2d719d2897p-4, -0x1.c9caab9f98e2p-4, -0x1.d57402fc00978p-4, -0x1.e0af9c17af032p-4, -0x1.eb7e61a0180e5p-4, -0x1.f5e15fffb34c1p-4, -0x1.ffd99c102719ep-4, -0x1.04b49b13cfd69p-3, -0x1.09484b6c0ec4ep-3, -0x1.0da88f59fd83ap-3, -0x1.11d6288e0b869p-3, -0x1.15d1e894eb88p-3, -0x1.199cade05a6c7p-3, -0x1.1d3760136a4d8p-3, -0x1.20a2ec67a2747p-3, -0x1.23e042cf149p-3, -0x1.26f054189372cp-3, -0x1.29d41102588a8p-3, -0x1.2c8c69f4ae3dcp-3, -0x1.2f1a4f151c242p-3, -0x1.317eb071a325cp-3, -0x1.33ba7e18fdc3dp-3, -0x1.35cea8068742cp-3, -0x1.37bc1dd733a2fp-3, -0x1.3983ce4b572e5p-3, -0x1.3b26a6a7827cp-3, -0x1.3ca59210e5344p-3, -0x1.3e0179035c63bp-3, -0x1.3f3b40f6d8104p-3, -0x1.4053cc3b47536p-3, -0x1.414bfa031b13dp-3, -0x1.4224a68a2c13ep-3, -0x1.42deab4340e35p-3, -0x1.437adef89521fp-3, -0x1.43fa15d1ae322p-3, -0x1.445d213881137p-3, -0x1.44a4cf9f9e8f4p-3, -0x1.44d1ec3173865p-3, -0x1.44e53e74950bdp-3, -0x1.44df89f1ff3e8p-3, -0x1.44c18de8ad68dp-3, -0x1.448c0516ef6bcp-3, -0x1.443fa59e9f772p-3, -0x1.43dd21060f882p-3, -0x1.43652454b23b8p-3, -0x1.42d85847b7619p-3, -0x1.42376198732fcp-3, -0x1.4182e14c5729p-3, -0x1.40bb750561c4fp-3, -0x1.3fe1b74a7cc4ap-3, -0x1.3ef63fc0e5b5fp-3, -0x1.3df9a3529d425p-3, -0x1.3cec7440a7ab8p-3, -0x1.3bcf42227e4bcp-3, -0x1.3aa299d5dede3p-3, -0x1.396705631b9a6p-3, -0x1.381d0bda6aab3p-3, -0x1.36c5312ececcfp-3, -0x1.355ff612d21cdp-3, -0x1.33edd7daf0a96p-3, -0x1.326f5068f2ep-3, -0x1.30e4d622ada44p-3, -0x1.2f4edbf591968p-3, -0x1.2dadd16789f59p-3, -0x1.2c0222b45febp-3, -0x1.2a4c38f602342p-3, -0x1.288c7a554507cp-3, -0x1.26c34a4016cd3p-3, -0x1.24f109a212e1p-3, -0x1.2316171c6efb4p-3, -0x1.2132cf3a9a675p-3, -0x1.1f478ca17d854p-3, -0x1.1d54a837ec8d3p-3, -0x1.1b5a79476fe8fp-3, -0x1.195955952e407p-3, -0x1.1751917322701p-3, -0x1.15437fca2cca3p-3, -0x1.132f721dc4ab4p-3, -0x1.1115b88a5081ap-3, -0x1.0ef6a1bf34f4cp-3, -0x1.0cd27af5cb865p-3, -0x1.0aa98fe678ee8p-3, -0x1.087c2abd0ba16p-3, -0x1.064a940d66dbfp-3, -0x1.041512c9778a9p-3, -0x1.01dbec3906d0dp-3, -0x1.ff3ec7e801372p-4, -0x1.fabf77beaba5ap-4, -0x1.f63a685943801p-4, -0x1.f1b016b8e5fdfp-4, -0x1.ed249ed1f7e87p-4, -0x1.e8913f76250dep-4, -0x1.e3f9f69d57182p-4, -0x1.df5f3498fe4a8p-4, -0x1.dac166c4d06dap-4, -0x1.d620f798f975dp-4, -0x1.d17e4ebddf06ap-4, -0x1.ccd9d120b007dp-4, -0x1.c833e1080cdb4p-4, -0x1.c38cde2832ab8p-4, -0x1.bee525b64ad36p-4, -0x1.ba3d127a947b4p-4, -0x1.b594fce156d49p-4, -0x1.b0ed3b0a8a5cap-4, -0x1.ac4620d85fd91p-4, -0x1.a79ffffc9e065p-4, -0x1.a2fb28051fd9dp-4, -0x1.9e57e66771969p-4, -0x1.99b6868bb3671p-4, -0x1.951751d6ef3acp-4, -0x1.907a8fb4ce05cp-4, -0x1.8be085a0f0772p-4, -0x1.8749772fe200ep-4, -0x1.82b5a617ba3f1p-4, -0x1.7e2552388cc26p-4, -0x1.7998b9a4a360ap-4, -0x1.751018a89fe35p-4, -0x1.708ba9d38f76cp-4, -0x1.6c0ba5fee4f1p-4, -0x1.679044567832dp-4, -0x1.6319ba606d147p-4, -0x1.5ea83c05142a5p-4, -0x1.5a3bfb96a6985p-4, -0x1.55d529d8e3758p-4, -0x1.5173f608734fp-4, -0x1.4d188de20e9ffp-4, -0x1.48c31da957c2p-4, -0x1.4473d02f617b4p-4, -0x1.402aced8db4cdp-4, -0x1.3be841a3e5cacp-4, -0x1.37ac4f2d85acp-4, -0x1.33771cb6c7551p-4, -0x1.2f48ce298dc56p-4, -0x1.2b21861d20997p-4, -0x1.270165da70b1cp-4, -0x1.22e88d6035711p-4, -0x1.1ed71b66dc3dbp-4, -0x1.1acd2d6454d35p-4, -0x1.16cadf8fce74p-4, -0x1.12d04ce5667fp-4, -0x1.0edd8f29d3afep-4, -0x1.0af2beee142e5p-4, -0x1.070ff39322d47p-4, -0x1.0335434db8113p-4, -0x1.fec586544840bp-5, -0x1.f7310e2073978p-5, -0x1.efad438e9ace9p-5, -0x1.e83a49f4a7a45p-5, -0x1.e0d842782b0b1p-5, -0x1.d9874c16f37b5p-5, -0x1.d24783afa129p-5, -0x1.cb1903fd7ebdbp-5, -0x1.c3fbe5da81f05p-5, -0x1.bcf03ffc6a198p-5, -0x1.b5f62707ffc5fp-5, -0x1.af0dafc451c9bp-5, -0x1.a836e557ed7a8p-5, -0x1.a171dc952c6bep-5, -0x1.9abea0c38cf1p-5, -0x1.941d3d52df671p-5, -0x1.8d8dbbf4c3dd4p-5, -0x1.871024a48eb83p-5, -0x1.80a47db23ac74p-5, -0x1.7a4acbcc56a2ap-5, -0x1.74031209c3f1ep-5, -0x1.6dcd51f36b161p-5, -0x1.67a98b8decb79p-5, -0x1.6197bd63264abp-5, -0x1.5b97e48bb0f2fp-5, -0x1.55a9fcb846b74p-5, -0x1.4fce003b05951p-5, -0x1.4a03e810a4dacp-5, -0x1.444babe9636f7p-5, -0x1.3ea5423209cedp-5, -0x1.3910a01d94334p-5, -0x1.338db9acd18f4p-5, -0x1.2e1c81b7782efp-5, -0x1.28bce9f4f8e86p-5, -0x1.236ee304d456p-5, -0x1.1e325c76db4efp-5, -0x1.190744cc04d2bp-5, -0x1.13ed8996ee6fcp-5, -0x1.0ee5177e9bf37p-5, -0x1.09edda023c912p-5, -0x1.0507bbeb8a9d1p-5, -0x1.0032a705b0a16p-5, -0x1.f6dd0922f0f33p-6, -0x1.ed7679045dc58p-6, -0x1.e4316cc789175p-6, -0x1.db0db1d12e54bp-6, -0x1.d20b13a030dc6p-6, -0x1.c9295d152494ap-6, -0x1.c068573152edbp-6, -0x1.b7c7c9cce9e0fp-6, -0x1.af477b833ca66p-6, -0x1.a6e731c019ff7p-6, -0x1.9ea6b0cce8cdap-6, -0x1.9685bbdd9bd8ep-6, -0x1.8e84151d80fefp-6, -0x1.86a17dbb80d48p-6, -0x1.7eddb5f6465a2p-6, -0x1.77387d287b193p-6, -0x1.6fb191d47d8d4p-6, -0x1.6848b1affeec9p-6, -0x1.60fd99af4d339p-6, -0x1.59d006107e39ap-6, -0x1.52bfb265711d7p-6, -0x1.4bcc59b2ca3bdp-6, -0x1.44f5b62175644p-6, -0x1.3e3b81baaac5cp-6, -0x1.379d75b3dfe2fp-6, -0x1.311b4ae7ebc7ap-6, -0x1.2ab4b9c039f29p-6, -0x1.24697a1d8d5c3p-6, -0x1.1e394415e81ep-6, -0x1.1823ce99ab04bp-6, -0x1.1228d0d529954p-6, -0x1.0c480198f2b9bp-6, -0x1.0681177b86c6cp-6, -0x1.00d3c8e58f606p-6, -0x1.f67f9828d08bap-7, -0x1.eb89ae367b71bp-7, -0x1.e0c5405714454p-7, -0x1.d631ba03cb736p-7, -0x1.cbce87a4c38dbp-7, -0x1.c19b14a87fe21p-7, -0x1.b796cd1a18986p-7, -0x1.adc11cf826e22p-7, -0x1.a4197065afcc6p-7, -0x1.9a9f338a23ebdp-7, -0x1.9151d373c7483p-7, -0x1.8830bcc7169c5p-7, -0x1.7f3b5c9232c0bp-7, -0x1.7671208b66be8p-7, -0x1.6dd176b9aad9p-7, -0x1.655bcd9a78b2cp-7, -0x1.5d0f942c932abp-7, -0x1.54ec39f99b69dp-7, -0x1.4cf12ef3ee7f2p-7, -0x1.451de454d8832p-7, -0x1.3d71cb17a01d5p-7, -0x1.35ec555a4040ep-7, -0x1.2e8cf5f0d6116p-7, -0x1.2753205ebf224p-7, -0x1.203e48ed27ec9p-7, -0x1.194de4c200712p-7, -0x1.128169b1cae53p-7, -0x1.0bd84e8cd1269p-7, -0x1.05520af7068e4p-7, -0x1.fddc2eeaa2909p-8, -0x1.f157daf2b58dap-8, -0x1.e5160ec907091p-8, -0x1.d915c10f8d2ep-8, -0x1.cd55ea5d698b6p-8, -0x1.c1d5854fda53dp-8, -0x1.b6938e7fb415dp-8, -0x1.ab8f048abdeebp-8, -0x1.9ecbbc5a7b4dfp-8, -0x1.9454bc9572e25p-8, -0x1.8a180e6c755c9p-8, -0x1.8014b489b4f3p-8, -0x1.7649b44a1bd8cp-8, -0x1.6cb614fc3a147p-8, -0x1.6358e00ee7fb1p-8, -0x1.5a31211af0122p-8, -0x1.513de5c2dc10fp-8, -0x1.487e3e533aec2p-8, -0x1.3ff13cb559142p-8, -0x1.3795f5847cf78p-8, -0x1.2f6b7f8e3090fp-8, -0x1.2770f3fbac48ep-8, -0x1.1fa56e511fb8p-8, -0x1.18080c9d1a4a8p-8, -0x1.1097ef312f3e5p-8, -0x1.095439176d03fp-8, -0x1.023c0fd90e34ep-8, -0x1.f69d370dc5277p-9, -0x1.e9160e1a81135p-9, -0x1.dbe0ff128cacbp-9, -0x1.cefc6ae7a588fp-9, -0x1.c266b77c4846dp-9, -0x1.b61e5036b4032p-9, -0x1.aa21a5b6d36fcp-9, -0x1.9e6f2bb14c317p-9, -0x1.93056ac6fbc39p-9, -0x1.87e2d956a1dc5p-9, -0x1.7d0603b3285a9p-9, -0x1.726d78be8e372p-9, -0x1.6817cc8cab066p-9, -0x1.5e03992037d5bp-9, -0x1.542f7ec20924cp-9, -0x1.4a9a238f973dfp-9, -0x1.414233253a09dp-9, -0x1.382660ca3a369p-9, -0x1.2f4562b654f91p-9, -0x1.269df6c25816ap-9, -0x1.1e2ee02d8a749p-9, -0x1.15f6e7b4d5a57p-9, -0x1.0df4dbd542b3bp-9, -0x1.062790641e91bp-9, -0x1.fd1bbd66acf42p-10, -0x1.ee4d4ac1f6e8p-10, -0x1.dfe19091552ep-10, -0x1.d1d660d5c83e1p-10, -0x1.c42997aad86e6p-10, -0x1.b6d91b18b36fep-10, -0x1.a9e2dad0ae3f1p-10, -0x1.9d44cfaf1cb35p-10, -0x1.90fcfca102bedp-10, -0x1.85096f9cb5ce3p-10, -0x1.79683a6d6d61fp-10, -0x1.6e177beebee9ap-10, -0x1.63155a8f4dd73p-10, -0x1.58600542626e2p-10, -0x1.4df5b364e55bcp-10, -0x1.43d4a4a56d317p-10, -0x1.39fb206e09881p-10, -0x1.3067775f27472p-10, -0x1.2717fec83fae2p-10, -0x1.1e0b188f61c03p-10, -0x1.153f2aa366739p-10, -0x1.0cb2a3909e23fp-10, -0x1.0463f9a98718ep-10, -0x1.f8a353cba5d5bp-11, -0x1.e8f47140fb6aap-11, -0x1.d9b86495948c9p-11, -0x1.caec5331388f9p-11, -0x1.bc8d70e57f326p-11, -0x1.ae98e0e5d3a25p-11, -0x1.a10c4db129adbp-11, -0x1.93e4b8e618bdbp-11, -0x1.871f81253bd24p-11, -0x1.7aba9ded4ab9dp-11, -0x1.6eb3136b55949p-11, -0x1.63069dda57f98p-11, -0x1.57b2dcf2b932fp-11, -0x1.4cb57adc4b67dp-11, -0x1.420c2f7ea60b9p-11, -0x1.37b4becbb11b7p-11, -0x1.2dacf960c43c8p-11, -0x1.23f2ba9a46695p-11, -0x1.1a83eb7559fbcp-11, -0x1.115e7f83e9cfap-11, -0x1.08807645ccb4fp-11, -0x1.ffcfb5424fb9cp-12, -0x1.ef25858981a7fp-12, -0x1.defea0270d64p-12, -0x1.cf575c833fbb3p-12, -0x1.c02c29379a45ap-12, -0x1.b1798938e1026p-12, -0x1.a33c154ca920bp-12, -0x1.957078e84fe55p-12, -0x1.88137863579c3p-12, -0x1.7b21df8207d7fp-12, -0x1.6e989ff225759p-12, -0x1.6274b169b8b31p-12, -0x1.56b3226b9c28bp-12, -0x1.4b5114f44cd17p-12, -0x1.404ba70eeefb1p-12, -0x1.35a0588af8125p-12, -0x1.2b4c45f2e2efcp-12, -0x1.214ceb29e9851p-12, -0x1.179fc09888ceap-12, -0x1.0e424fa58bd29p-12, -0x1.053231d4d73f8p-12, -0x1.f8da21d7ab5ap-13, -0x1.e7e14d59bd723p-13, -0x1.d77751f4f98d3p-13, -0x1.c79249365f963p-13, -0x1.b83395e761695p-13, -0x1.a95545b29171dp-13, -0x1.9af35dce6181ap-13, -0x1.8d09ff6a56ae4p-13, -0x1.7f9573eb6d59cp-13, -0x1.7291e87c68012p-13, -0x1.65fc810dbbec7p-13, -0x1.59d01e451f1fcp-13, -0x1.4e0a8befde2e4p-13, -0x1.42a94fa6a1651p-13, -0x1.37a7e97195c88p-13, -0x1.2d03aced0337p-13, -0x1.22b9a19b5e14fp-13, -0x1.18c6eba850fb4p-13, -0x1.0f288c4a13eb2p-13, -0x1.05dbea9dce611p-13, -0x1.f9bca019000c9p-14, -0x1.e85a47c1386b1p-14, -0x1.d78bc82878a4p-14, -0x1.c74c40ccdea9bp-14, -0x1.b796f68760bbep-14, -0x1.a86751c95809p-14, -0x1.99b8e13d022p-14, -0x1.8b8756b7fc4edp-14, -0x1.7dccfcc0cdb7dp-14, -0x1.708a3eef40737p-14, -0x1.63b6bc00bacd3p-14, -0x1.57502130da644p-14, -0x1.4b52bdceaefcbp-14, -0x1.3fbafd5343fc4p-14, -0x1.34856a26865dfp-14, -0x1.29aeb72e9e331p-14, -0x1.1f338497fdb9ap-14, -0x1.1510c0e2cdb5dp-14, -0x1.0b44d9318e0f8p-14, -0x1.01c884cac4b85p-14, -0x1.f13a75a1de6fcp-15, -0x1.df7d96e713068p-15, -0x1.ce551be5d2731p-15, -0x1.bdbbd92f176c8p-15, -0x1.adacd9e222413p-15, -0x1.9e250a5a225c2p-15, -0x1.8f1a86fac0cdap-15, -0x1.808df7fe8e417p-15, -0x1.727968d402183p-15, -0x1.64d87ecd02bc8p-15, -0x1.57a78d0e6fae3p-15, -0x1.4ae2313435991p-15, -0x1.3e84e4e6de1acp-15, -0x1.328c016382772p-15, -0x1.26f3e69dbc6acp-15, -0x1.1bb952d8d623dp-15, -0x1.10d8ec5d3edf4p-15, -0x1.064f8f46a187ep-15, -0x1.f834630c2c525p-16, -0x1.e46bedecf6d04p-16, -0x1.d13fd4babb77ep-16, -0x1.beaa94f3d0eb5p-16, -0x1.aca73c122597p-16, -0x1.9b30baec990eep-16, -0x1.8a37f5e6ead6ep-16, -0x1.79d6770f8fcc2p-16, -0x1.69e9a1c7866ebp-16, -0x1.5a7731ea09b3cp-16, -0x1.4b7a5f2bec1a2p-16, -0x1.3cf0fd3403877p-16, -0x1.2ed564e31b35p-16, -0x1.21246ddd9b86ap-16, -0x1.13daccf6ba381p-16, -0x1.06f4ea338ae41p-16, -0x1.f4df39c2274d4p-17, -0x1.dc8fa56ce77fbp-17, -0x1.c4f5b411d7261p-17, -0x1.ae0bbb17e3b74p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.89e979f2d3f23p-5, 0x1.b059823ac5353p-5, 0x1.d806392bf816ap-5, 0x1.006a4b17ec57ap-4, 0x1.1554ae70b81c2p-4, 0x1.2ab4a6324c8dcp-4, 0x1.407ca4b73c463p-4, 0x1.569f41a0e4f8fp-4, 0x1.6d0f49f68ad1cp-4, 0x1.83bfce0f6f1dap-4, 0x1.9aa42d72fdd03p-4, 0x1.b1b020d9f58a5p-4, 0x1.c8d7c27a4c048p-4, 0x1.e00f94c601f1cp-4, 0x1.f74c87c310868p-4, 0x1.0741fe903df5ap-3, 0x1.12d5e5954476ep-3, 0x1.1e5d1f5ec4105p-3, 0x1.29d30e2a78652p-3, 0x1.35335028f3e08p-3, 0x1.4079bf4946dcap-3, 0x1.4ba270b8a24fdp-3, 0x1.56a9b420a9fb4p-3, 0x1.618c12ae1a4aap-3, 0x1.6c464de8ae3ccp-3, 0x1.76d55e64361c9p-3, 0x1.8136725219bcbp-3, 0x1.8b66ebf9b93cdp-3, 0x1.9564601d5ddb8p-3, 0x1.9f2c9450e5c45p-3, 0x1.a8bd7d468630cp-3, 0x1.b2153d15a8212p-3, 0x1.bb32217f25f08p-3, 0x1.c412a231e463fp-3, 0x1.ccb55f123c1fbp-3, 0x1.d5191e864346ep-3, 0x1.dd3ccbc8b7df9p-3, 0x1.e51f7543fe2ccp-3, 0x1.ecc04af64d594p-3, 0x1.f41e9cdffc585p-3, 0x1.fb39d97c99a01p-3, 0x1.0108c623accd2p-2, 0x1.0452ae2595eb3p-2, 0x1.077a855f5b28cp-2, 0x1.0a8038d6282bap-2, 0x1.0d63c152fd9c8p-2, 0x1.102522c2a411cp-2, 0x1.12c46b9b84d4dp-2, 0x1.1541b4494e8cdp-2, 0x1.179d1e9e4a8cbp-2, 0x1.19d6d54a3dd09p-2, 0x1.1bef0b56b19bfp-2, 0x1.1de5fba87de52p-2, 0x1.1fbbe8866d881p-2, 0x1.21711b24cda2fp-2, 0x1.2305e335c329ap-2, 0x1.247a967e3b974p-2, 0x1.25cf906f4c522p-2, 0x1.270531c3dbcffp-2, 0x1.281be022680f1p-2, 0x1.291405c2c5e44p-2, 0x1.29ee1117b2d87p-2, 0x1.2aaa747c11925p-2, 0x1.2b49a5e3b03eap-2, 0x1.2bcc1e8f75585p-2, 0x1.2c325ac4ce4fbp-2, 0x1.2c7cd988461c9p-2, 0x1.2cac1c5b1dea5p-2, 0x1.2cc0a6fbcfabdp-2, 0x1.2cbaff29592bep-2, 0x1.2c9bac6936f7fp-2, 0x1.2c6337cff613fp-2, 0x1.2c122bcc3fe14p-2, 0x1.2ba913f445d46p-2, 0x1.2b287cd57ee81p-2, 0x1.2a90f3c696403p-2, 0x1.29e306bb79d74p-2, 0x1.291f441b764cp-2, 0x1.28463a9945dcdp-2, 0x1.2758790d0872dp-2, 0x1.26568e5008274p-2, 0x1.2541091a42c83p-2, 0x1.241877e19e6a1p-2, 0x1.22dd68bac03a9p-2, 0x1.2190693b6eb5ep-2, 0x1.2032065e79f6ep-2, 0x1.1ec2cc690ede7p-2, 0x1.1d4346d175f2ep-2, 0x1.1bb4002721602p-2, 0x1.1a1581fc0c4d8p-2, 0x1.186854cf51943p-2, 0x1.16acfff8f967bp-2, 0x1.14e40996eb057p-2, 0x1.130df67af9a07p-2, 0x1.112b4a1a05f0ap-2, 0x1.0f3c867c21eb9p-2, 0x1.0d422c2db6a85p-2, 0x1.0b3cba319c272p-2, 0x1.092cadf41bf5p-2, 0x1.0712833ed8108p-2, 0x1.04eeb42d8b12cp-2, 0x1.02c1b9239b736p-2, 0x1.008c08c277594p-2, 0x1.fc9c2fc16e6cfp-3, 0x1.f810b303f3f96p-3, 0x1.f3767d9eedeb6p-3, 0x1.eece6e227f0eap-3, 0x1.ea195f505030ap-3, 0x1.e5582810a3d9p-3, 0x1.e08b9b68ab116p-3, 0x1.dbb48871fb90ep-3, 0x1.d6d3ba53339cbp-3, 0x1.d1e9f839a78dp-3, 0x1.ccf8055429ac8p-3, 0x1.c7fea0cecb05ep-3, 0x1.c2fe85cf9a669p-3, 0x1.bdf86b744d5bp-3, 0x1.b8ed04d0d86cp-3, 0x1.b3dd00eeda778p-3, 0x1.aec90acde5b25p-3, 0x1.a9b1c9648f74fp-3, 0x1.a497dfa245f19p-3, 0x1.9f7bec71e4ca2p-3, 0x1.9a5e8abcfed9bp-3, 0x1.9540516fcc7a6p-3, 0x1.9021d37dce1d2p-3, 0x1.8b039fe70388dp-3, 0x1.85e641bdbd08p-3, 0x1.80ca402d04c2ep-3, 0x1.7bb01e7f87a43p-3, 0x1.76985c270f609p-3, 0x1.718374c4709a8p-3, 0x1.6c71e02ff6cep-3, 0x1.6764128242964p-3, 0x1.625a7c1d9180cp-3, 0x1.5d5589b771309p-3, 0x1.5855a462d09f7p-3, 0x1.535b319a6cd9ep-3, 0x1.4e66934b9a174p-3, 0x1.497827e159586p-3, 0x1.44904a4fbd303p-3, 0x1.3faf521f940a1p-3, 0x1.3ad5937a5b717p-3, 0x1.36035f3669e33p-3, 0x1.313902e35a974p-3, 0x1.2c76c8d6a7e8bp-3, 0x1.27bcf8387fcbcp-3, 0x1.230bd510b9b0fp-3, 0x1.1e63a054012e7p-3, 0x1.19c497f11e921p-3, 0x1.152ef6de63839p-3, 0x1.10a2f52733cc4p-3, 0x1.0c20c7f9aa451p-3, 0x1.07a8a1b451ff1p-3, 0x1.033ab1f3f1e57p-3, 0x1.fdae4b42d5af1p-4, 0x1.f4fc4dff3999fp-4, 0x1.ec5fbb72bb21fp-4, 0x1.e3d8ddded46d7p-4, 0x1.db67fa8ccf03bp-4, 0x1.d30d51e9b143ap-4, 0x1.cac91fa232e42p-4, 0x1.c29b9abea361bp-4, 0x1.ba84f5bebed43p-4, 0x1.b2855eb56f6a7p-4, 0x1.aa9cff6479ca6p-4, 0x1.a2cbfd58047e9p-4, 0x1.9b127a01ffb9fp-4, 0x1.937092d566ee8p-4, 0x1.8be661615b83p-4, 0x1.8473fb6c06b64p-4, 0x1.7d19730d522aap-4, 0x1.75d6d6c96691p-4, 0x1.6eac31aaf0ccep-4, 0x1.67998b5d2b75p-4, 0x1.609ee845a7f14p-4, 0x1.59bc499dd3dd8p-4, 0x1.52f1ad8c3ade8p-4, 0x1.4c3f0f3d7e39cp-4, 0x1.45a466fd02e45p-4, 0x1.3f21aa4d51fc8p-4, 0x1.38b6cc002aa1p-4, 0x1.3263bc4e4145ap-4, 0x1.2c2868eead948p-4, 0x1.2604bd2e013aap-4, 0x1.1ff8a2050a16p-4, 0x1.1a03fe2f3ad85p-4, 0x1.1426b640bad2cp-4, 0x1.0e60acbc19bf8p-4, 0x1.08b1c227aa008p-4, 0x1.0319d5227aa35p-4, 0x1.fb3184f1ec2d6p-5, 0x1.f05cca7242b5ap-5, 0x1.e5b52d8cf5915p-5, 0x1.db3a5ddaf300fp-5, 0x1.d0ec07ed5aa32p-5, 0x1.c6c9d572f787ap-5, 0x1.bcd36d5cfadb5p-5, 0x1.b3087402f1e5dp-5, 0x1.a9688b45f9cfap-5, 0x1.9ff352b32f6dap-5, 0x1.96a867a55d2f9p-5, 0x1.8d876565e45fdp-5, 0x1.848fe54ce6482p-5, 0x1.7bc17ee0a8a7ep-5, 0x1.731bc7f43bd1bp-5, 0x1.6a9e54c55e90dp-5, 0x1.6248b819a24ep-5, 0x1.5a1a835ad45f5p-5, 0x1.521346b2a412cp-5, 0x1.4a32912594ed7p-5, 0x1.4277f0ad2eb3bp-5, 0x1.3ae2f2517ab3dp-5, 0x1.33732241c6979p-5, 0x1.2c280becb369dp-5, 0x1.25013a1790d2bp-5, 0x1.1dfe36f5053bbp-5, 0x1.171e8c3b08d97p-5, 0x1.1061c33830c92p-5, 0x1.09c764e850f0fp-5, 0x1.034efa0871d4p-5, 0x1.f9f01654442bbp-6, 0x1.ed84418c43d9bp-6, 0x1.e159869cd758ep-6, 0x1.d56ef67f3bf74p-6, 0x1.c9c3a2638f6d1p-6, 0x1.be569bd12f31p-6, 0x1.b326f4c5ed6e9p-6, 0x1.a833bfd411c5cp-6, 0x1.9d7c103f38d38p-6, 0x1.92fefa181337p-6, 0x1.88bb925702abdp-6, 0x1.7eb0eef5a6d03p-6, 0x1.74de270753f6ap-6, 0x1.6b4252d07ff8cp-6, 0x1.61dc8bdd25c02p-6, 0x1.58abed162ac74p-6, 0x1.4faf92d5c8ae5p-6, 0x1.46e69afafa314p-6, 0x1.3e5024fbff316p-6, 0x1.35eb51f7ef61dp-6, 0x1.2db744c768416p-6, 0x1.25b3220c5a9a3p-6, 0x1.1dde1040fb0c7p-6, 0x1.163737c5dd611p-6, 0x1.0ebdc2ef3eddfp-6, 0x1.0770de11826c4p-6, 0x1.004fb78ceb3a5p-6, 0x1.f2b2ffb11ad22p-7, 0x1.e51ad3191c316p-7, 0x1.d7d552d743e46p-7, 0x1.cae0ecd7bbc1fp-7, 0x1.be3c137db8333p-7, 0x1.b1e53db26f131p-7, 0x1.a5dae6f2c1026p-7, 0x1.9a1b8f5bb6f5cp-7, 0x1.8ea5bbb5baa97p-7, 0x1.8377f57eaffa8p-7, 0x1.7890caf2e9839p-7, 0x1.6deecf1507f99p-7, 0x1.639099b4ce212p-7, 0x1.5974c774e2544p-7, 0x1.4f99f9cfaaa0cp-7, 0x1.45fed71b1797p-7, 0x1.3ca20a8ba32adp-7, 0x1.3382443652888p-7, 0x1.2a9e3911ebb45p-7, 0x1.21f4a2f75369ap-7, 0x1.198440a12171p-7, 0x1.114bd5aa7179ep-7, 0x1.094a2a8cf8128p-7, 0x1.017e0c9e652a8p-7, 0x1.f3cc9c1a30255p-8, 0x1.e5038bb85f0c7p-8, 0x1.d69e9fbdf510ep-8, 0x1.c89b9967a3a4fp-8, 0x1.baf8437cc1287p-8, 0x1.adb27242c498ep-8, 0x1.a0c8036fbc9c5p-8, 0x1.9436de1bc6f82p-8, 0x1.87fcf2b19c6fdp-8, 0x1.7c183ade38ec9p-8, 0x1.7086b97fab311p-8, 0x1.65467a9319537p-8, 0x1.5a55932204b02p-8, 0x1.4fb2212ed6e6dp-8, 0x1.455a4ba0c324bp-8, 0x1.3b4c422f06fdcp-8, 0x1.31863d4b92b6cp-8, 0x1.28067e0d236ap-8, 0x1.1ecb4e18da92p-8, 0x1.15d2ff8b56e97p-8, 0x1.0d1bece15e64dp-8, 0x1.04a478e01b862p-8, 0x1.f8d61cf9f4482p-9, 0x1.e8dc418a528f1p-9, 0x1.d95855899c704p-9, 0x1.ca475edbd2929p-9, 0x1.bba672fdf6145p-9, 0x1.ad72b6d2d560fp-9, 0x1.9fa95e6f75f34p-9, 0x1.9247ace718c26p-9, 0x1.854af416f4ef8p-9, 0x1.78b09471adc62p-9, 0x1.6c75fcca8acf2p-9, 0x1.6098aa208bdcap-9, 0x1.55162769551dep-9, 0x1.49ec0d5c05ce6p-9, 0x1.3f18023c0282dp-9, 0x1.3497b9a3bc152p-9, 0x1.2a68f44f7c31bp-9, 0x1.20897fe84117dp-9, 0x1.16f736ceb18edp-9, 0x1.0dafffe62f42p-9, 0x1.04b1ce6013545p-9, 0x1.f7f5430e335dp-10, 0x1.e7110916002e4p-10, 0x1.d6b31c98cd312p-10, 0x1.c6d7c251e267ap-10, 0x1.b77b558f6a064p-10, 0x1.a89a47cbea999p-10, 0x1.9a3120486a0eap-10, 0x1.8c3c7ba74a811p-10, 0x1.7eb90b87e4303p-10, 0x1.71a39622e8fd3p-10, 0x1.64f8f5e79ef53p-10, 0x1.58b61919ec469p-10, 0x1.4cd8017150c67p-10, 0x1.415bc3b8c1c49p-10, 0x1.363e876f7d926p-10, 0x1.2b7d866acdba1p-10, 0x1.21160c78d40cdp-10, 0x1.170577044d235p-10, 0x1.0d4934b966b65p-10, 0x1.03dec52b9cc04p-10, 0x1.f58770f952af1p-11, 0x1.e3eb5e091aa9dp-11, 0x1.d2e4b1f55ed2fp-11, 0x1.c26eec403177bp-11, 0x1.b285aad5a2d3fp-11, 0x1.a324a964be98fp-11, 0x1.9447c0bad0725p-11, 0x1.85eae620f88ap-11, 0x1.780a2abc0e052p-11, 0x1.6aa1baeed554bp-11, 0x1.5dadddbe8bb36p-11, 0x1.512af439c9d76p-11, 0x1.451578e1be4cp-11, 0x1.3969ff15c1b37p-11, 0x1.2e253281423bfp-11, 0x1.2343d68c0a58p-11, 0x1.18c2c5ccddfcap-11, 0x1.0e9ef17e6ffb1p-11, 0x1.04d560f6ac14cp-11, 0x1.f6c66240ae455p-12, 0x1.e48b27edfd1f8p-12, 0x1.d2f3a00a71e6p-12, 0x1.c1fa7fca64c31p-12, 0x1.b19aa38702a49p-12, 0x1.a1cf0dc8890bep-12, 0x1.9292e654fd621p-12, 0x1.83e1794367ec6p-12, 0x1.75b6361381427p-12, 0x1.680caec9c778bp-12, 0x1.5ae0970ffa8a8p-12, 0x1.4e2dc359ed8e3p-12, 0x1.41f0280ea6d7p-12, 0x1.3623d8b5c4aap-12, 0x1.2ac507291903p-12, 0x1.1fd002ca73dbp-12, 0x1.154137bd927acp-12, 0x1.0b152e261dc87p-12, 0x1.01488969bdde4p-12, 0x1.efb00eec432ep-13, 0x1.dd810015ffd42p-13, 0x1.cbfdc80ff3c01p-13, 0x1.bb20797cb13bfp-13, 0x1.aae3568d28546p-13, 0x1.9b40cfb33684ap-13, 0x1.8c33825b98ffdp-13, 0x1.7db637af220f5p-13, 0x1.6fc3e35b24055p-13, 0x1.6257a260eb068p-13, 0x1.556cb9ec2b8dap-13, 0x1.48fe963055719p-13, 0x1.3d08c94c9d7e1p-13, 0x1.31870a36b91e4p-13, 0x1.267533ac1a8fbp-13, 0x1.1bcf4329a1e69p-13, 0x1.119157e9a0aadp-13, 0x1.07b7b1e815072p-13, 0x1.fc7d61da0c0bdp-14, 0x1.ea45a739b9a9ep-14, 0x1.d8c16d1d53e46p-14, 0x1.c7ea26d064758p-14, 0x1.b7b97fff6ae49p-14, 0x1.a8295b067eda1p-14, 0x1.9933cf4afda1p-14, 0x1.8ad3279ff8ccap-14, 0x1.7d01e0b529a8ep-14, 0x1.6fbaa7904a1d8p-14, 0x1.62f85810905bfp-14, 0x1.56b5fb7c1eb0cp-14, 0x1.4aeec717361bcp-14, 0x1.3f9e1ac4f62e7p-14, 0x1.34bf7fb17ccb1p-14, 0x1.2a4ea7052ca9dp-14, 0x1.204768a0f5b5ap-14, 0x1.16a5c1e361a4ap-14, 0x1.0d65d4763fdfp-14, 0x1.0483e524bb327p-14, 0x1.f7f8b5735a611p-15, 0x1.e79779cc0065fp-15, 0x1.d7dd665de937fp-15, 0x1.c8c407c82ed7ap-15, 0x1.ba4526398c499p-15, 0x1.ac5ac37a15b16p-15, 0x1.9eff19035a7e8p-15, 0x1.922c9626928d4p-15, 0x1.85ddde4089218p-15, 0x1.7a0dc6faedd3p-15, 0x1.6eb7569ac131dp-15, 0x1.63d5c25b84df2p-15, 0x1.59646cd6e6ae1p-15, 0x1.4f5ee4789b80ap-15, 0x1.45c0e1fe13684p-15, 0x1.3c864701c8597p-15, 0x1.33ab1c91d88afp-15, 0x1.2b2b91d1a190cp-15, 0x1.2303faa61a42fp-15, 0x1.1b30ce6ca7593p-15, 0x1.13aea6bc1a621p-15, 0x1.0c7a3e2fa9bb1p-15, 0x1.05906f3b91301p-15, 0x1.fddc66164059bp-16, 0x1.f12140cff3626p-16, 0x1.e4e9d5547cabdp-16, 0x1.d930c162dd529p-16, 0x1.cdf0d7cb816ebp-16, 0x1.c3251e8369b7p-16, 0x1.b8c8ccc757c74p-16, 0x1.aed7494e95fdep-16, 0x1.a54c288cdf023p-16, 0x1.9c232b030d084p-16, 0x1.93583b9e13724p-16, 0x1.8ae76e23e8bcbp-16, 0x1.82ccfdadf7812p-16, 0x1.7b054b30b3d74p-16, 0x1.738cdc0ff3cd8p-16, 0x1.6c6058bfaf755p-16, 0x1.657c8b70cad76p-16, 0x1.5ede5ec98e4aep-16, 0x1.5882dca9782a3p-16, 0x1.52672cf80aef5p-16, 0x1.4c88947e53fd8p-16, 0x1.46e473cabf00fp-16, 0x1.4178461f06557p-16, 0x1.3c41a067d00cbp-16, 0x1.373e303dc974ap-16, 0x1.326bbaefe2008p-16, 0x1.2dc81c96690e6p-16, 0x1.2951472ec16ddp-16, 0x1.250541bf66ec6p-16, 0x1.20e2278407377p-16, 0x1.1ce627216604p-16, 0x1.190f81e0cf3d7p-16, 0x1.155c8af2dd955p-16, 0x1.11cba6b950fffp-16, 0x1.0e5b4a17bfcb6p-16, 0x1.0b09f9cae510ap-16, 0x1.07d649c65c382p-16, 0x1.04bedc9887ff2p-16, 0x1.01c262d479c13p-16, 0x1.fdbf350340331p-17, 0x1.f82a9d221a9aep-17, 0x1.f2c4acb04be06p-17, 0x1.ed8b2a21036c6p-17, 0x1.e87bf2b9b7c0ep-17, 0x1.e394f9a5c02e8p-17, 0x1.ded447133e34ap-17, 0x1.da37f75935658p-17, 0x1.d5be3a263d5fdp-17, 0x1.d16551b7c2548p-17, 0x1.cd2b92194b314p-17, 0x1.c90f606ba2d89p-17, 0x1.c50f323393b34p-17, 0x1.c1298cafd50ccp-17, 0x1.bd5d043618eeep-17, 0x1.b9a83b96b7587p-17, 0x1.b609e386fc917p-17, 0x1.b280ba1198ea1p-17, 0x1.af0b8a0d3bf9bp-17, 0x1.aba92a98cb419p-17, 0x1.a8587e9d5f6e3p-17, 0x1.a518745570e62p-17, 0x1.a1e804d94ab47p-17, 0x1.9ec633b064b1dp-17, 0x1.9bb20e677c917p-17, 0x1.98aaac2b4859ep-17, 0x1.95af2d678e67fp-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.b6e4f70aa43fep-4, -0x1.cd7abb858ea2cp-4, -0x1.e4391d9d3bbbfp-4, -0x1.fb23e188ad402p-4, -0x1.091f3dffa7ea1p-3, -0x1.14c6034285c69p-3, -0x1.20879b171cefcp-3, -0x1.2c652a54dd7a5p-3, -0x1.385f9dad8f14cp-3, -0x1.4477a82697605p-3, -0x1.50adc262f666p-3, -0x1.5d022aa362bc5p-3, -0x1.6974e5637e4bp-3, -0x1.7605be7ce0b7fp-3, -0x1.82b44aba9d99cp-3, -0x1.8f7fe9c9e3ad2p-3, -0x1.9c67c8765dab4p-3, -0x1.a96ae322b7cdfp-3, -0x1.b688086f9e0b5p-3, -0x1.c3bddc050937dp-3, -0x1.d10ad973479ddp-3, -0x1.de6d57228e55p-3, -0x1.ebe3894918e4fp-3, -0x1.f96b84e0fe239p-3, -0x1.0381a14bf2ce4p-2, -0x1.0a5450d9d8839p-2, -0x1.112cb573f6f96p-2, -0x1.1809a98c538a9p-2, -0x1.1ee9ff03e49e8p-2, -0x1.25cc80756899bp-2, -0x1.2caff2738aa6dp-2, -0x1.339314b99e61ep-2, -0x1.3a74a34e823ffp-2, -0x1.4153579953d07p-2, -0x1.482de967cf258p-2, -0x1.4f030fe644b63p-2, -0x1.55d18289408fdp-2, -0x1.5c97f9e9004dp-2, -0x1.6355308ef879ap-2, -0x1.6a07e3b5afc25p-2, -0x1.70aed3fb48c5bp-2, -0x1.7748c60723a57p-2, -0x1.7dd48322f8f9fp-2, -0x1.8450d9c7e94cfp-2, -0x1.8abc9e1ff5a8bp-2, -0x1.9116aa7c5d40dp-2, -0x1.975ddfc158b7cp-2, -0x1.9d9125c7b60f6p-2, -0x1.a3af6bb4d14c6p-2, -0x1.a9b7a849616bap-2, -0x1.afa8da279a879p-2, -0x1.b582081116a53p-2, -0x1.bb42411cfdaa2p-2, -0x1.c0e89ce6dca2cp-2, -0x1.c6743bb697a82p-2, -0x1.cbe446a1e3e8cp-2, -0x1.d137efa7a7f18p-2, -0x1.d66e71c5ab55ep-2, -0x1.db871108ec58dp-2, -0x1.e0811a98f3ffbp-2, -0x1.e55be4be7f317p-2, -0x1.ea16cee5c8f91p-2, -0x1.eeb1419cc4344p-2, -0x1.f32aae8d8635cp-2, -0x1.f78290752f534p-2, -0x1.fbb86b178462cp-2, -0x1.ffcbcb2f7ea51p-2, -0x1.01de232e8290bp-1, -0x1.03c4bd880335ep-1, -0x1.05998838919c5p-1, -0x1.075c5b240c64ep-1, -0x1.090d12700bd1bp-1, -0x1.0aab8e75170e4p-1, -0x1.0c37b3aef7a09p-1, -0x1.0db16aac3c62cp-1, -0x1.0f189ffcfe7dcp-1, -0x1.106d4420f6077p-1, -0x1.11af4b74efa36p-1, -0x1.12deae1fafe78p-1, -0x1.13fb67fe53b11p-1, -0x1.1505789035fcfp-1, -0x1.15fce2e26d846p-1, -0x1.16e1ad7ae7653p-1, -0x1.17b3e2432c3e9p-1, -0x1.18738e72d9a91p-1, -0x1.1920c279d9edfp-1, -0x1.19bb91ea60977p-1, -0x1.1a441362b8624p-1, -0x1.1aba6076e6f6dp-1, -0x1.1b1e959a312fap-1, -0x1.1b70d20884541p-1, -0x1.1bb137afcdf3bp-1, -0x1.1bdfeb19488a1p-1, -0x1.1bfd1352c1fafp-1, -0x1.1c08d9d7e2464p-1, -0x1.1c036a7b7be97p-1, -0x1.1becf350e57cfp-1, -0x1.1bc5a49566e4p-1, -0x1.1b8db099bcb25p-1, -0x1.1b454babb8d0fp-1, -0x1.1aecac0001b3ep-1, -0x1.1a84099bf8444p-1, -0x1.1a0b9e3fc791dp-1, -0x1.1983a550a0b81p-1, -0x1.18ec5bc329c8p-1, -0x1.1846000621e9p-1, -0x1.1790d1ed3d8cdp-1, -0x1.16cd129c41884p-1, -0x1.15fb04725b86p-1, -0x1.151aeaf5be6cap-1, -0x1.142d0abf8674bp-1, -0x1.1331a967e2f47p-1, -0x1.12290d728e3c3p-1, -0x1.11137e3b92da9p-1, -0x1.0ff143e460ec4p-1, -0x1.0ec2a741361a3p-1, -0x1.0d87f1c6db5b7p-1, -0x1.0c416d78b95bp-1, -0x1.0aef64d74311p-1, -0x1.099222cebf5bfp-1, -0x1.0829f2a6693d6p-1, -0x1.06b71feff1f2cp-1, -0x1.0539f6775e4fdp-1, -0x1.03b2c233454c3p-1, -0x1.0221cf3570331p-1, -0x1.0087699bda7c4p-1, -0x1.fdc7bb042af46p-2, -0x1.fa6eede61edbap-2, -0x1.f70503b67aadep-2, -0x1.f38a93f654b8fp-2, -0x1.f00035b4d3e35p-2, -0x1.ec667f75e0e8ap-2, -0x1.e8be07199f426p-2, -0x1.e50761c4b0605p-2, -0x1.e14323c941a02p-2, -0x1.dd71e090e1f1cp-2, -0x1.d9942a872078bp-2, -0x1.d5aa9304f42b4p-2, -0x1.d1b5aa3cea3cap-2, -0x1.cdb5ff28191ep-2, -0x1.c9ac1f73da4b7p-2, -0x1.c5989770467c7p-2, -0x1.c17bf1ff7277ap-2, -0x1.bd56b8856e4afp-2, -0x1.b92972d900c06p-2, -0x1.b4f4a73521423p-2, -0x1.b0b8da2b2762dp-2, -0x1.ac768e95b863ap-2, -0x1.a82e458c65f98p-2, -0x1.a3e07e57ffa0cp-2, -0x1.9f8db66799247p-2, -0x1.9b3669463926ap-2, -0x1.96db10913724cp-2, -0x1.927c23ef3e684p-2, -0x1.8e1a1907f9dabp-2, -0x1.89b5637c5e2dbp-2, -0x1.854e74df95dc5p-2, -0x1.80e5bcb0894dap-2, -0x1.7c7ba853fd61p-2, -0x1.7810a30f4b79p-2, -0x1.73a51603a874fp-2, -0x1.6f396829fbecdp-2, -0x1.6acdfe4f450aep-2, -0x1.66633b1184375p-2, -0x1.61f97edd2bc95p-2, -0x1.5d9127eb1275fp-2, -0x1.592a923ee1c58p-2, -0x1.54c617a602517p-2, -0x1.50640fb6fb3d6p-2, -0x1.4c04cfd1471cfp-2, -0x1.47a8ab1d9a526p-2, -0x1.434ff28e9289bp-2, -0x1.3efaf4e1d3b77p-2, -0x1.3aa9fea18567ap-2, -0x1.365d5a2636f7ep-2, -0x1.32154f99210dap-2, -0x1.2dd224f6bfe46p-2, -0x1.29941e11c9f6fp-2, -0x1.255b7c9677965p-2, -0x1.2128800e1e0f7p-2, -0x1.1cfb65e316e84p-2, -0x1.18d46964f3a27p-2, -0x1.14b3c3ccf61a9p-2, -0x1.1099ac42d25ap-2, -0x1.0c8657e1aae7p-2, -0x1.0879f9bd50cf8p-2, -0x1.0474c2e7ba3dap-2, -0x1.0076e276b3fa9p-2, -0x1.f9010b138e90dp-3, -0x1.f123aea09e75cp-3, -0x1.e956021f84ce2p-3, -0x1.e198545443e94p-3, -0x1.d9eaf0493221p-3, -0x1.d24e1d5c7c79p-3, -0x1.cac21f4df94a1p-3, -0x1.c347364d3419bp-3, -0x1.bbdd9f07c4364p-3, -0x1.b48592b7d1106p-3, -0x1.ad3f4732d2649p-3, -0x1.a60aeef87b7efp-3, -0x1.9ee8b941d43bap-3, -0x1.97d8d2107456p-3, -0x1.90db623de64c7p-3, -0x1.89f08f8b2588ep-3, -0x1.83187cb031a5ep-3, -0x1.7c53496bbf9b4p-3, -0x1.75a11292f4984p-3, -0x1.6f01f22134377p-3, -0x1.6875ff47f4dadp-3, -0x1.61fd4e7e9f777p-3, -0x1.5b97f1926afaep-3, -0x1.5545f7b63eba6p-3, -0x1.4f076d928eb9bp-3, -0x1.48dc5d552e44dp-3, -0x1.42c4cec11f05p-3, -0x1.3cc0c73e4cbc1p-3, -0x1.36d049e942d74p-3, -0x1.30f357a2c338bp-3, -0x1.2b29ef1f56d8ap-3, -0x1.25740cf6bc192p-3, -0x1.1fd1abb342a03p-3, -0x1.1a42c3e10869p-3, -0x1.14c74c1d19ce8p-3, -0x1.0f5f3924748e6p-3, -0x1.0a0a7de2e3379p-3, -0x1.04c90b81bb916p-3, -0x1.ff35a2eceadbap-4, -0x1.f4ff7b2230488p-4, -0x1.eaef78150472dp-4, -0x1.e1056f250d9dbp-4, -0x1.d74132bbc537bp-4, -0x1.cda29267f4bb2p-4, -0x1.c4295af8f1763p-4, -0x1.bad5569965fa5p-4, -0x1.b1a64ce9c8dc7p-4, -0x1.a89c031a64a05p-4, -0x1.9fb63c0509709p-4, -0x1.96f4b8464f4dcp-4, -0x1.8e573656728ebp-4, -0x1.85dd72a1cf44bp-4, -0x1.7d8727a0e9bfbp-4, -0x1.75540df012444p-4, -0x1.6d43dc669a1a8p-4, -0x1.6556482d9da68p-4, -0x1.5d8b04d66033dp-4, -0x1.55e1c4703a271p-4, -0x1.4e5a379e19962p-4, -0x1.46f40dab91ef9p-4, -0x1.3faef4a17ebc9p-4, -0x1.388a995a3652bp-4, -0x1.3186a7954b951p-4, -0x1.2aa2ca0ae383fp-4, -0x1.23deaa7e9819p-4, -0x1.1d39f1d1ee3e9p-4, -0x1.16b448165c107p-4, -0x1.104d549ee0a2ap-4, -0x1.0a04be112e016p-4, -0x1.03da2a76656adp-4, -0x1.fb9a7e96ccec6p-5, -0x1.efbb432163601p-5, -0x1.e415ebb3c0269p-5, -0x1.d8a9c0b95ebf2p-5, -0x1.cd7609ff48013p-5, -0x1.c27a0ed08492ap-5, -0x1.b7b51611be5fp-5, -0x1.ad26665c1386ap-5, -0x1.a2cd46171c87dp-5, -0x1.98a8fb922926ep-5, -0x1.8eb8cd1cb306ap-5, -0x1.84fc011e0e636p-5, -0x1.7b71de2c529afp-5, -0x1.7219ab228569ep-5, -0x1.68f2af3605594p-5, -0x1.5ffc320b3bce9p-5, -0x1.57357bc9911d4p-5, -0x1.4e9dd52eae352p-5, -0x1.463487a107b5ap-5, -0x1.3df8dd41bad7dp-5, -0x1.35ea20fdba11dp-5, -0x1.2e079e9e4e074p-5, -0x1.2650a2d8f176p-5, -0x1.1ec47b5e827e1p-5, -0x1.176276e9d6491p-5, -0x1.1029e54da9caap-5, -0x1.091a1781f7566p-5, -0x1.02325fb0b383ep-5, -0x1.f6e42283df373p-6, -0x1.e9b101ced9a33p-6, -0x1.dcca094f3bacp-6, -0x1.d02de7d02e2b4p-6, -0x1.c3db4eeef4abcp-6, -0x1.b7d0f32dabdabp-6, -0x1.ac0d8c050451p-6, -0x1.a08fd3f4f62dap-6, -0x1.955688947b95ep-6, -0x1.8a606aa05165dp-6, -0x1.7fac3e08c683fp-6, -0x1.7538c9fea248cp-6, -0x1.6b04d8ff21fadp-6, -0x1.610f38df18a18p-6, -0x1.5756bad534b3p-6, -0x1.4dda3383713f2p-6, -0x1.44987affb99f8p-6, -0x1.3b906cdbc1caep-6, -0x1.32c0e82c1dd85p-6, -0x1.2a28cf8e99677p-6, -0x1.21c7092fdc4c2p-6, -0x1.199a7ed051ef6p-6, -0x1.11a21dc86e22cp-6, -0x1.09dcd70c43707p-6, -0x1.02499f2e76ddep-6, -0x1.f5cedcc52d846p-7, -0x1.e76a80fdb33b8p-7, -0x1.d96429fa8f85ep-7, -0x1.cbb9ddf8aae39p-7, -0x1.be69aa7de4a63p-7, -0x1.b171a458332b3p-7, -0x1.a4cfe79baed54p-7, -0x1.9882979fb6368p-7, -0x1.8c87defb191ffp-7, -0x1.80ddef7f63eaep-7, -0x1.758302334afcap-7, -0x1.6a75574c3abd4p-7, -0x1.5fb336272f30cp-7, -0x1.553aed40aa61fp-7, -0x1.4b0ad22c0bc4ep-7, -0x1.4121418a214cdp-7, -0x1.377c9eff14f8bp-7, -0x1.2e1b5527b0146p-7, -0x1.24fbd58e07bfdp-7, -0x1.1c1c989d8fa1fp-7, -0x1.137c1d96a0035p-7, -0x1.0b18ea817418dp-7, -0x1.02f18c20a763ep-7, -0x1.f6092bc67383fp-8, -0x1.e6a143ac3f995p-8, -0x1.d7a8a12accdd9p-8, -0x1.c91c9279de125p-8, -0x1.bafa72b1989eap-8, -0x1.ad3fa9aa8482dp-8, -0x1.9fe9abdce6828p-8, -0x1.92f5fa3f779cep-8, -0x1.866222258ab7bp-8, -0x1.7a2bbd1ca815ap-8, -0x1.6e5070c9aa6aep-8, -0x1.62cdeec563c12p-8, -0x1.57a1f478dc2edp-8, -0x1.4cca4af92940cp-8, -0x1.4244c6e2f0ab3p-8, -0x1.380f483597f13p-8, -0x1.2e27ba2e2ecep-8, -0x1.248c13221a49ep-8, -0x1.1b3a54598812fp-8, -0x1.123089e9b364dp-8, -0x1.096cca8f03187p-8, -0x1.00ed378705ec9p-8, -0x1.f15ff8d4af74p-9, -0x1.e1669e0ce556dp-9, -0x1.d1eade6eec165p-9, -0x1.c2e94d83cc9f8p-9, -0x1.b45e9258dff17p-9, -0x1.a64767335e69ap-9, -0x1.98a099440b354p-9, -0x1.8b67085afeb97p-9, -0x1.7e97a69ba555fp-9, -0x1.722f7830f0426p-9, -0x1.662b9301ccc94p-9, -0x1.5a891e65e4227p-9, -0x1.4f4552daaf2ecp-9, -0x1.445d79b8e8c65p-9, -0x1.39ceecea60db8p-9, -0x1.2f9716a040c4bp-9, -0x1.25b37109be6c6p-9, -0x1.1c21860b4b5b5p-9, -0x1.12deeef6480d1p-9, -0x1.09e9544138bfap-9, -0x1.013e6d4090012p-9, -0x1.f1b7ffc006548p-10, -0x1.e17fc0b900d2bp-10, -0x1.d1cfe1fd76391p-10, -0x1.c2a443acc21c9p-10, -0x1.b3f8e0ebe1659p-10, -0x1.a5c9cf5e8053ap-10, -0x1.98133ea15c866p-10, -0x1.8ad177c614f0fp-10, -0x1.7e00dcd063383p-10, -0x1.719de834c65bdp-10, -0x1.65a52c58ab0ddp-10, -0x1.5a13531409d67p-10, -0x1.4ee51d349189p-10, -0x1.4417620253e84p-10, -0x1.39a70ec5fe9b2p-10, -0x1.2f912650a854ep-10, -0x1.25d2c085280d2p-10, -0x1.1c6909e3084d4p-10, -0x1.13514313120fep-10, -0x1.0a88c07570552p-10, -0x1.020ce9b16e1a3p-10, -0x1.f3b6728db01adp-11, -0x1.e3e27841e9de5p-11, -0x1.d4992256476bap-11, -0x1.c5d5d1ce2e796p-11, -0x1.b7940a0963f05p-11, -0x1.a9cf6ff706be5p-11, -0x1.9c83c94bc7c6ap-11, -0x1.8facfbbb6335ep-11, -0x1.83470c35555f6p-11, -0x1.774e1e24cb24p-11, -0x1.6bbe72b3cba1ep-11, -0x1.609468119758dp-11, -0x1.55cc78bc38efbp-11, -0x1.4b633acd4593fp-11, -0x1.41555f49c78bep-11, -0x1.379fb1754d59ep-11, -0x1.2e3f16281bdddp-11, -0x1.25308b287aac8p-11, -0x1.1c71268717aecp-11, -0x1.13fe15fe7b47cp-11, -0x1.0bd49e558607bp-11, -0x1.03f21ac4f4156p-11, -0x1.f8a7f8bfb85d6p-12, -0x1.e9ef92fe4d47bp-12, -0x1.dbb63a5fea339p-12, -0x1.cdf74d49de483p-12, -0x1.c0ae5154ea943p-12, -0x1.b3d6f23b4e32bp-12, -0x1.a76d00cc811a3p-12, -0x1.9b6c71e67cb4ap-12, -0x1.8fd15d7484be4p-12, -0x1.8497fd736be98p-12, -0x1.79bcacfb2fcedp-12, -0x1.6f3be74deeda5p-12, -0x1.651246ec18b23p-12, -0x1.5b3c84adcf2cap-12, -0x1.51b776e16392p-12, -0x1.4880106ee233fp-12, -0x1.3f93600092af2p-12, -0x1.36ee8f3064bb3p-12, -0x1.2e8ee1ba31ab2p-12, -0x1.2671b4b2becd7p-12, -0x1.1e947dc376c27p-12, -0x1.16f4ca6abdde5p-12, -0x1.0f903f40d6c65p-12, -0x1.0864974140c57p-12, -0x1.016fa31880155p-12, -0x1.f55e90ec75e02p-13, -0x1.e84302c73e852p-13, -0x1.db88b73beb0d3p-13, -0x1.cf2befeab06b3p-13, -0x1.c329135eed388p-13, -0x1.b77cabdcace59p-13, -0x1.ac236635f6e83p-13, -0x1.a11a10a7da99dp-13, -0x1.965d99bef8b74p-13, -0x1.8beb0f4388b53p-13, -0x1.81bf9d2c948e9p-13, -0x1.77d88c9a5f576p-13, -0x1.6e3342d7d0beep-13, -0x1.64cd4062b310ep-13, -0x1.5ba41ffabab45p-13, -0x1.52b595b71f4e3p-13, -0x1.49ff6e22b2b94p-13, -0x1.417f8d5e47e14p-13, -0x1.3933ee495c003p-13, -0x1.311aa1b0cb4b3p-13, -0x1.2931cd837f0b4p-13, -0x1.2177ac0cf11b6p-13, -0x1.19ea8b3568deap-13, -0x1.1288cbc7c2d92p-13, -0x1.0b50e0bcbf509p-13, -0x1.04414e8b9f36p-13, -0x1.fab1550003acp-14, -0x1.ed2b3429b3c06p-14, -0x1.dfeda4a8cdb84p-14, -0x1.d2f62e7a1e08p-14, -0x1.c642765600996p-14, -0x1.b9d03c8cf05cfp-14, -0x1.ad9d5bed3e876p-14, -0x1.a1a7c8b19bbbdp-14, -0x1.95ed8f78614d4p-14, -0x1.8a6cd4434b53fp-14, -0x1.7f23d17f782b9p-14, -0x1.7410d71578f04p-14, -0x1.6932498142543p-14, -0x1.5e86a0f1c5f84p-14, -0x1.540c68700965fp-14, -0x1.49c23d0d87de3p-14, -0x1.3fa6cd19aa921p-14, -0x1.35b8d75e32838p-14, -0x1.2bf72a625c941p-14, -0x1.2260a3b497f0cp-14, -0x1.18f42f3aa004cp-14, -0x1.0fb0c687d0e0cp-14, -0x1.06957039879bep-14, -0x1.fb427eb2d2128p-15, -0x1.e9a6a58ac3125p-15, -0x1.d855a93a70fd8p-15, -0x1.c74df36b1b998p-15, -0x1.b68e02203bb8fp-15, -0x1.a61466b23e4a9p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.7897d71f80685p-2, 0x1.799c8009f3eb4p-2, 0x1.7ab01eee59ae2p-2, 0x1.7bd2fc15f7c5ep-2, 0x1.7d054e7b5e5ddp-2, 0x1.7e473a0df24bdp-2, 0x1.7f98ce75f7453p-2, 0x1.80fa064c8655ep-2, 0x1.826ac6ba5bee1p-2, 0x1.83eadf707ae11p-2, 0x1.857a0aee0c926p-2, 0x1.8717ef07ad55ap-2, 0x1.88c41da5224cbp-2, 0x1.8a7e15ab76777p-2, 0x1.8c45440a6efb1p-2, 0x1.8e1904e53dd67p-2, 0x1.8ff8a4cf55565p-2, 0x1.91e362170aafep-2, 0x1.93d86e189d7e4p-2, 0x1.95d6ee94ebfdep-2, 0x1.97ddff07d65bp-2, 0x1.99ecb1fae9d39p-2, 0x1.9c02125180305p-2, 0x1.9e1d248c032c3p-2, 0x1.a03ce8006966dp-2, 0x1.a260580672a71p-2, 0x1.a4866d167c527p-2, 0x1.a6ae1dda0e3cp-2, 0x1.a8d6602d8f195p-2, 0x1.aafe2a12bb04ep-2, 0x1.ad247293b2b74p-2, 0x1.af4832969f801p-2, 0x1.b16865a20c1cp-2, 0x1.b3840a923068ep-2, 0x1.b59a243f8237dp-2, 0x1.b7a9ba16fa81ep-2, 0x1.b9b1d8a4854e2p-2, 0x1.bbb192101fc97p-2, 0x1.bda7fe8e37048p-2, 0x1.bf943cc3d7294p-2, 0x1.c175721f482a1p-2, 0x1.c34acb25b0875p-2, 0x1.c5137bb6581ap-2, 0x1.c6cebf4426242p-2, 0x1.c87bd905f3426p-2, 0x1.ca1a141e40d3dp-2, 0x1.cba8c3bae8bb9p-2, 0x1.cd27432d51588p-2, 0x1.ce94f5fba9a46p-2, 0x1.cff147ebb0f97p-2, 0x1.d13bad078a7c5p-2, 0x1.d273a19d06263p-2, 0x1.d398aa37dd399p-2, 0x1.d4aa539744345p-2, 0x1.d5a8329f36157p-2, 0x1.d691e445dfe05p-2, 0x1.d7670d7d7803p-2, 0x1.d8275b1ae4239p-2, 0x1.d8d281b9702eep-2, 0x1.d9683d9be7236p-2, 0x1.d9e8528b4dcfbp-2, 0x1.da528bb381eccp-2, 0x1.daa6bb7dfa45cp-2, 0x1.dae4bb6add24bp-2, 0x1.db0c6be8a15a6p-2, 0x1.db1db42a6b93cp-2, 0x1.db1881fd5155p-2, 0x1.dafcc99cae759p-2, 0x1.daca8585b361p-2, 0x1.da81b64a49948p-2, 0x1.da22626377af8p-2, 0x1.d9ac96035e9aap-2, 0x1.d92062e6eb79dp-2, 0x1.d87de0275a8f1p-2, 0x1.d7c52a0ba02a7p-2, 0x1.d6f661d9d20acp-2, 0x1.d611ada8a022fp-2, 0x1.d5173830f2c14p-2, 0x1.d407309fbfb0ap-2, 0x1.d2e1ca6823f5ep-2, 0x1.d1a73d15d18dbp-2, 0x1.d057c41fddebfp-2, 0x1.cef39ebc0345fp-2, 0x1.cd7b0fb251919p-2, 0x1.cbee5d316d23p-2, 0x1.ca4dd0a350ca9p-2, 0x1.c899b682ac84cp-2, 0x1.c6d25e30da93ep-2, 0x1.c4f819cc7e5dcp-2, 0x1.c30b3e08c8a6cp-2, 0x1.c10c22056faebp-2, 0x1.befb1f27596c3p-2, 0x1.bcd890f20437ep-2, 0x1.baa4d4e1a6dd7p-2, 0x1.b8604a461a8b4p-2, 0x1.b60b521e81e04p-2, 0x1.b3a64ef5bd5dp-2, 0x1.b131a4bfa8618p-2, 0x1.aeadb8b720ebap-2, 0x1.ac1af13ce03d9p-2, 0x1.a979b5b71f958p-2, 0x1.a6ca6e7210014p-2, 0x1.a40d84812238bp-2, 0x1.a14361a121227p-2, 0x1.9e6c701b1b0e8p-2, 0x1.9b891aa823527p-2, 0x1.9899cc55dd548p-2, 0x1.959ef06be0d9ap-2, 0x1.9298f251e9f4ep-2, 0x1.8f883d76d88d4p-2, 0x1.8c6d3d38836f9p-2, 0x1.89485ccc530bap-2, 0x1.861a0728ab57ep-2, 0x1.82e2a6ef21c68p-2, 0x1.7fa2a65776f0fp-2, 0x1.7c5a6f1b5e17fp-2, 0x1.790a6a630312cp-2, 0x1.75b300b259ac8p-2, 0x1.725499d727ecap-2, 0x1.6eef9cd7d2c3bp-2, 0x1.6b846fe2e613ep-2, 0x1.6813783f548ffp-2, 0x1.649d1a3d7133p-2, 0x1.6121b9289ad7ap-2, 0x1.5da1b73999edap-2, 0x1.5a1d7589acc9fp-2, 0x1.5695540641bp-2, 0x1.5309b16554e6cp-2, 0x1.4f7aeb1a79e33p-2, 0x1.4be95d4c82c7ep-2, 0x1.485562cbca9dep-2, 0x1.44bf5509197cdp-2, 0x1.41278c0d23826p-2, 0x1.3d8e5e709c716p-2, 0x1.39f42154dd547p-2, 0x1.3659285d1de73p-2, 0x1.32bdc5a831f03p-2, 0x1.2f2249cad7bep-2, 0x1.2b8703ca85be2p-2, 0x1.27ec4118bd573p-2, 0x1.24524d8edb8bcp-2, 0x1.20b9736a628f7p-2, 0x1.1d21fb49c0434p-2, 0x1.198c2c2983f7ap-2, 0x1.15f84b6208ba9p-2, 0x1.12669ca58b668p-2, 0x1.0ed761fead529p-2, 0x1.0b4adbcf5b49cp-2, 0x1.07c148d01c4d2p-2, 0x1.043ae60fbcb1ep-2, 0x1.00b7eef35a017p-2, 0x1.fa713a6d8f607p-3, 0x1.f37a51da95d4p-3, 0x1.ec8b910554bc6p-3, 0x1.e5a561791ed39p-3, 0x1.dec8297864ebcp-3, 0x1.d7f44c00ade27p-3, 0x1.d12a28cf11a31p-3, 0x1.ca6a1c6547efep-3, 0x1.c3b4800f34126p-3, 0x1.bd09a9e8f1d99p-3, 0x1.b669ece558759p-3, 0x1.afd598d4f16fcp-3, 0x1.a94cfa6d5cb4dp-3, 0x1.a2d05b5119c6bp-3, 0x1.9c600217b6f7p-3, 0x1.95fc32565c1cdp-3, 0x1.8fa52ca8ab7d7p-3, 0x1.895b2eb9f727p-3, 0x1.831e734ec8f99p-3, 0x1.7cef324ea9245p-3, 0x1.76cda0ce38327p-3, 0x1.70b9f1197a5abp-3, 0x1.6ab452be676a7p-3, 0x1.64bcf297b21b5p-3, 0x1.5ed3fad7bc451p-3, 0x1.58f99313c2796p-3, 0x1.532de04f290d7p-3, 0x1.4d710506f9831p-3, 0x1.47c3213d7b37bp-3, 0x1.42245285ef41cp-3, 0x1.3c94b4106793p-3, 0x1.37145eb5b95f3p-3, 0x1.31a369037af25p-3, 0x1.2c41e7481e8dap-3, 0x1.26efeb9f152f7p-3, 0x1.21ad85fcfcc9fp-3, 0x1.1c7ac43bd6652p-3, 0x1.1757b22747af7p-3, 0x1.12445988d585cp-3, 0x1.0d40c23426652p-3, 0x1.084cf2133cf2cp-3, 0x1.0368ed32aefe7p-3, 0x1.fd296b9bb201ep-4, 0x1.f3a098b5fc801p-4, 0x1.ea375f2ed1e56p-4, 0x1.e0edb926de414p-4, 0x1.d7c39d7ce2b35p-4, 0x1.ceb8ffe5851ccp-4, 0x1.c5cdd102fe646p-4, 0x1.bd01fe7c906fep-4, 0x1.b4557315d8ed9p-4, 0x1.abc816c5ebd24p-4, 0x1.a359cece3c95ap-4, 0x1.9b0a7dd14b9e1p-4, 0x1.92da03e917af3p-4, 0x1.8ac83ebd58755p-4, 0x1.82d509996f00ap-4, 0x1.7b003d821cb99p-4, 0x1.7349b14af0f96p-4, 0x1.6bb139ab71525p-4, 0x1.6436a953fa984p-4, 0x1.5cd9d10255e9fp-4, 0x1.559a7f96029bap-4, 0x1.4e788224336e5p-4, 0x1.4773a40b7cc94p-4, 0x1.408baf073261dp-4, 0x1.39c06b4274d76p-4, 0x1.33119f6aeccd4p-4, 0x1.2c7f10c332cf2p-4, 0x1.26088334e377dp-4, 0x1.1fadb9625f542p-4, 0x1.196e74b835734p-4, 0x1.134a757e37f01p-4, 0x1.0d417ae83aceep-4, 0x1.075343267c794p-4, 0x1.017f8b75b69f2p-4, 0x1.f78c205db2d52p-5, 0x1.ec4d19acdd218p-5, 0x1.e14178574c5edp-5, 0x1.d668b06e18767p-5, 0x1.cbc234b1cf1b6p-5, 0x1.c14d76ae81f9cp-5, 0x1.b709e6d72cb7dp-5, 0x1.acf6f4a069a34p-5, 0x1.a3140e9a7f978p-5, 0x1.9960a28ac0adp-5, 0x1.8fdc1d8444984p-5, 0x1.8685ebfff5eddp-5, 0x1.7d5d79f3fb169p-5, 0x1.746232ea76bb4p-5, 0x1.6b938217a7bfcp-5, 0x1.62f0d26f5fa72p-5, 0x1.5a798eb9dedc4p-5, 0x1.522d21a80a349p-5, 0x1.4a0af5e706b12p-5, 0x1.421276333528fp-5, 0x1.3a430d6a975c7p-5, 0x1.329c269e9769p-5, 0x1.2b1d2d253c841p-5, 0x1.23c58ca9c703p-5, 0x1.1c94b13cbb6dfp-5, 0x1.158a07635cf62p-5, 0x1.0ea4fc26985f6p-5, 0x1.07e4fd216178fp-5, 0x1.0149788e87b75p-5, 0x1.f5a3baac03e2ap-6, 0x1.e8fb3633654cdp-6, 0x1.dc98448355964p-6, 0x1.d079c80fd5819p-6, 0x1.c49ea507423ccp-6, 0x1.b905c167e24a4p-6, 0x1.adae0514767e1p-6, 0x1.a29659e7df3f1p-6, 0x1.97bdabc7cfb64p-6, 0x1.8d22e8b6a4094p-6, 0x1.82c500e44a701p-6, 0x1.78a2e6be57c76p-6, 0x1.6ebb8eff3dc55p-6, 0x1.650df0bcaec76p-6, 0x1.5b9905753425ep-6, 0x1.525bc91cf70dfp-6, 0x1.49553a29c66efp-6, 0x1.4084599e58949p-6, 0x1.37e82b14d3ae1p-6, 0x1.2f7fb4c898579p-6, 0x1.2749ff9f63f43p-6, 0x1.1f461731b6723p-6, 0x1.177309d29851fp-6, 0x1.0fcfe896b7cadp-6, 0x1.085bc75ae145dp-6, 0x1.0115bcc9e08dcp-6, 0x1.f3f9c4c38cf6dp-7, 0x1.e620a8f135b6dp-7, 0x1.d89e6480fc254p-7, 0x1.cb713b967edc6p-7, 0x1.be97781ada175p-7, 0x1.b20f69c1c3262p-7, 0x1.a5d7660d987a2p-7, 0x1.99edc8528f1cbp-7, 0x1.8e50f1b8de98dp-7, 0x1.82ff493e14289p-7, 0x1.77f73bb584b47p-7, 0x1.6d373bc7dad3ep-7, 0x1.62bdc1f1ec709p-7, 0x1.58894c82b0a33p-7, 0x1.4e985f9882d45p-7, 0x1.44e9851da849fp-7, 0x1.3b7b4cc421d8cp-7, 0x1.324c4c00d0c1bp-7, 0x1.295b1e05f8721p-7, 0x1.20a663bd201b4p-7, 0x1.182cc3c05c6edp-7, 0x1.0fecea5307b18p-7, 0x1.07e58959ed7cep-7, 0x1.00155852f1ee3p-7, 0x1.f0f628987185cp-8, 0x1.e22affb5a600cp-8, 0x1.d3c6c621f0b7fp-8, 0x1.c5c716e7a570ap-8, 0x1.b82997e1c222dp-8, 0x1.aaebf9a5ec684p-8, 0x1.9e0bf76db3757p-8, 0x1.918756ff1f556p-8, 0x1.855be89498abcp-8, 0x1.798786c432465p-8, 0x1.6e0816665a1f3p-8, 0x1.62db867c0463ep-8, 0x1.57ffd0144df81p-8, 0x1.4d72f631a9509p-8, 0x1.433305ae967e4p-8, 0x1.393e1521f4c42p-8, 0x1.2f9244c2f040fp-8, 0x1.262dbe4c9976fp-8, 0x1.1d0eb4e127428p-8, 0x1.143364ecf2721p-8, 0x1.0b9a14092b47ep-8, 0x1.034110de54279p-8, 0x1.f64d660d0e221p-9, 0x1.e692b5df14d25p-9, 0x1.d74ee3797ef5bp-9, 0x1.c87ed251da713p-9, 0x1.ba1f76cfdd211p-9, 0x1.ac2dd61092365p-9, 0x1.9ea705a96adf5p-9, 0x1.91882b6b2db8dp-9, 0x1.84ce7d24e1be7p-9, 0x1.78774066ae892p-9, 0x1.6c7fca44c73f4p-9, 0x1.60e57f1a61e7cp-9, 0x1.55a5d24cc6f2p-9, 0x1.4abe460e81647p-9, 0x1.402c6b22b7936p-9, 0x1.35ede0a0b5f22p-9, 0x1.2c0053b7adaeep-9, 0x1.22617f72b7fc4p-9, 0x1.190f2c7d18f84p-9, 0x1.100730e6d5542p-9, 0x1.07476fe9987c3p-9, 0x1.fd9bb35be2e46p-10, 0x1.ed30d621e4562p-10, 0x1.dd4a5ad465237p-10, 0x1.cde46ca46f7b8p-10, 0x1.befb4ed2a2c5dp-10, 0x1.b08b5c3dcb2d3p-10, 0x1.a29106f2647bcp-10, 0x1.9508d7bb1feb8p-10, 0x1.87ef6db25d28ap-10, 0x1.7b417dd4af4bp-10, 0x1.6efbd2946ee64p-10, 0x1.631b4b6e63533p-10, 0x1.579cdc7f79109p-10, 0x1.4c7d8e1baca26p-10, 0x1.41ba7c6605e99p-10, 0x1.3750d6e9c91a6p-10, 0x1.2d3de034d5712p-10, 0x1.237eed7331a46p-10, 0x1.1a11660bd6f82p-10, 0x1.10f2c33ea6ae7p-10, 0x1.08208fc3b37d9p-10, 0x1.ff30ced76390cp-11, 0x1.eeafed8380bbep-11, 0x1.deb9f55ccafcp-11, 0x1.cf4a8037b5de3p-11, 0x1.c05d47373e7b6p-11, 0x1.b1ee221aa149cp-11, 0x1.a3f9068da49c3p-11, 0x1.967a077b79d6p-11, 0x1.896d546436e68p-11, 0x1.7ccf38b4e605bp-11, 0x1.709c1b22306cdp-11, 0x1.64d07d059ffcbp-11, 0x1.5968f9bd78459p-11, 0x1.4e62460f2729cp-11, 0x1.43b92f8c49f4ap-11, 0x1.396a9bfa46e4fp-11, 0x1.2f7388bc75fdcp-11, 0x1.25d10a40dbd11p-11, 0x1.1c804b6f6c5b9p-11, 0x1.137e8d1bdaaccp-11, 0x1.0ac92579eafeep-11, 0x1.025d7f9448267p-11, 0x1.f472358bad6ccp-12, 0x1.e4b3146b02b3bp-12, 0x1.d578e8a8f34fbp-12, 0x1.c6bf24bdd747dp-12, 0x1.b8815fbe32acdp-12, 0x1.aabb5465c17a4p-12, 0x1.9d68e0273d955p-12, 0x1.90860240e3de3p-12, 0x1.840edad59e347p-12, 0x1.77ffaa0ad1883p-12, 0x1.6c54cf2ac0a81p-12, 0x1.610ac7cb73221p-12, 0x1.561e2efa1b432p-12, 0x1.4b8bbc6aeb726p-12, 0x1.415043ad47fd8p-12, 0x1.3768b3645315ap-12, 0x1.2dd21483bdd2ep-12, 0x1.24898990d2147p-12, 0x1.1b8c4de7a8a24p-12, 0x1.12d7b5047e0c3p-12, 0x1.0a6929d117de9p-12, 0x1.023e2df62a689p-12, 0x1.f4a8b26164ee4p-13, 0x1.e552b1566b07bp-13, 0x1.d675dcb5b1245p-13, 0x1.c80de0c080742p-13, 0x1.ba1690d85183ep-13, 0x1.ac8be64f58bfbp-13, 0x1.9f69ff404d099p-13, 0x1.92ad1d6d47f6ep-13, 0x1.8651a525a930ep-13, 0x1.7a541c32dd707p-13, 0x1.6eb128cbe8a9cp-13, 0x1.6365908f9dc86p-13, 0x1.586e37855d417p-13, 0x1.4dc81f2446aacp-13, 0x1.43706560bce9ep-13, 0x1.396443c01d751p-13, 0x1.2fa10e7296d47p-13, 0x1.26243372f15acp-13, 0x1.1ceb39ac492f7p-13, 0x1.13f3c0257c691p-13, 0x1.0b3b7d324c532p-13, 0x1.02c03daa0b22dp-13, 0x1.f4ffc8477290fp-14, 0x1.e4f0d06ef07ebp-14, 0x1.d54fab8a7c463p-14, 0x1.c61898814dd6bp-14, 0x1.b747fc0395f59p-14, 0x1.a8da5f360ac81p-14, 0x1.9acc6e6712eeep-14, 0x1.8d1af7cd667c7p-14, 0x1.7fc2ea4fe7ce2p-14, 0x1.72c154568dbbcp-14, 0x1.661362a424ec6p-14, 0x1.59b65f38b8f15p-14, 0x1.4da7b03c77eeap-14, 0x1.41e4d6f2db231p-14, 0x1.366b6eb5e99dbp-14, 0x1.2b392bf965356p-14, 0x1.204bdb55afaf3p-14, 0x1.15a1609a40cc3p-14, 0x1.0b37b5e77c12bp-14, 0x1.010ceacfb9d2cp-14, 0x1.ee3e46feb89e4p-15, 0x1.dad92fd77d9p-15, 0x1.c7e72611b06d7p-15, 0x1.b564e40ad8e07p-15, 0x1.a34f471b2e289p-15, 0x1.91a34e2726ed1p-15, 0x1.805e183d260edp-15, 0x1.6f7ce33ef703ap-15, 0x1.5efd0a96d5fedp-15, 0x1.4edc05f7abfe6p-15, 0x1.3f1768283c154p-15, 0x1.2facddd8f7ba9p-15, 0x1.209a2c8430faap-15, 0x1.11dd3158621e4p-15, 0x1.0373e02c4c186p-15, 0x1.eab884f94249fp-16, 0x1.cf28ece5f40dfp-16, 0x1.b4355bebb2bc6p-16, 0x1.99da5b82eda65p-16, 0x1.8014991231a06p-16, 0x1.66e0e44168b89p-16, 0x1.4e3c2d5d540b5p-16, 0x1.362383ca9d95ap-16, 0x1.1e9414882b8d7p-16, 0x1.078b28c037dd6p-16, 0x1.e20c48cf86936p-17, 0x1.b60509d7d37bp-17, 0x1.8afbbfd979ed2p-17, 0x1.60ebc40a71808p-17, 0x1.37d09b3fb48f6p-17, 0x1.0fa5f3af3ce05p-17, 0x1.d0cf459327b56p-18, 0x1.842346557c6d3p-18, 0x1.39402542a82b6p-18, 0x1.e03cc12d738f4p-19, 0x1.516d6b2052a96p-19, 0x1.8c0873efd8164p-20, 0x1.ef9c7e90cce8p-22, -0x1.1b471bf39bc73p-21, -0x1.90b133dcd72dfp-20, -0x1.46ad5a06978b4p-19, -0x1.c1dc1f4d0645dp-19, -0x1.1cf857018c981p-18, -0x1.577b3dcd7fb87p-18, }}, 
      std::vector<double>(518, 0.0), 
      std::vector<double>(518, 0.0), 
      std::vector<double>(518, 0.0), 
      std::vector<double>(518, 0.0), 
      std::vector<double>(518, 0.0), 
      std::vector<double>(518, 0.0), 
      std::vector<double>(518, 0.0), 
      std::vector<double>(518, 0.0), 
    }}, 
    {
      50, 0x1.e1af3a14cec42p+1, 0x1.238dbcc65746p+1, 0x1.69f350acd2625p+1, -0x1.c095b30b2c95ap-7, 
      {{
        {0x1.4548f53c579f2p+1, 0x1.4869b941aa9a4p+1, 0x1.380ced1c7a3e7p-5, -0x1.e31c18b1ed686p-4, 0x1.131a356564b7p-3, 0x1.1930cbd938ee5p-6}, 
        {0x1.4869b941aa9a4p+1, 0x1.4b8a7d3184069p+1, 0x1.211907c32ad31p-5, -0x1.c817b6842a2eep-4, 0x1.15ade13e91b53p-3, -0x1.5f2d0680add1cp-4}, 
        {0x1.4b8a7d3184069p+1, 0x1.4eab4136d701bp+1, 0x1.0b7599b6d526bp-5, -0x1.ad94277cee7f8p-4, 0x1.08ce74c8a79b2p-3, -0x1.dd2a7aecdd275p-5}, 
        {0x1.4eab4136d701bp+1, 0x1.51cc0526b06dfp+1, 0x1.ee2dc1e479575p-6, -0x1.941f1475b2eb3p-4, 0x1.000f999ac5626p-3, -0x1.0bf542d88ef49p-4}, 
        {0x1.51cc0526b06dfp+1, 0x1.54ecc92c03691p+1, 0x1.c7e2398f7b852p-6, -0x1.7b925409ddef5p-4, 0x1.ec7a2e06f178fp-4, -0x1.0371979afbad7p-4}, 
        {0x1.54ecc92c03691p+1, 0x1.580d8d3156644p+1, 0x1.a3f122a1d36a7p-6, -0x1.63f776356d15dp-4, 0x1.d974f43a2735p-4, -0x1.0472d31fcdacfp-4}, 
        {0x1.580d8d3156644p+1, 0x1.5b2e51212fd08p+1, 0x1.8243167caf833p-6, -0x1.4d4b09ef3c76cp-4, 0x1.c65cdeb3990bbp-4, -0x1.0248d3074c8e8p-4}, 
        {0x1.5b2e51212fd08p+1, 0x1.5e4f152682cbap+1, 0x1.62c0c7bcdfc84p-6, -0x1.378c87ad4fb66p-4, 0x1.b36d67220b9d1p-4, -0x1.00ead352fca3p-4}, 
        {0x1.5e4f152682cbap+1, 0x1.616fd92bd5c6cp+1, 0x1.455308fe90c61p-6, -0x1.22ba4fa8ca2fap-4, 0x1.a09797d0eda6cp-4, -0x1.fd8ec2f8ceb0ep-5}, 
        {0x1.616fd92bd5c6cp+1, 0x1.64909d1baf331p+1, 0x1.29e2d4cf6451ap-6, -0x1.0ed2c6df8c8f2p-4, 0x1.8de9eae95e615p-4, -0x1.f86bbac900fb3p-5}, 
        {0x1.64909d1baf331p+1, 0x1.67b16121022e3p+1, 0x1.1059554e139dep-6, -0x1.f7a78a5846cfp-5, 0x1.7b6c72ba492e9p-4, -0x1.f3802b465a67fp-5}, 
        {0x1.67b16121022e3p+1, 0x1.6ad22510db9a7p+1, 0x1.f13fd6ef35638p-7, -0x1.d375f6438e873p-5, 0x1.691d25bb07fbbp-4, -0x1.eceb4322f2d4dp-5}, 
        {0x1.6ad22510db9a7p+1, 0x1.6df2e9162e959p+1, 0x1.c5406dfba879dp-7, -0x1.b10b8cfe930c7p-5, 0x1.570b9c568d15bp-4, -0x1.e6738bde06885p-5}, 
        {0x1.6df2e9162e959p+1, 0x1.7113ad1b8190cp+1, 0x1.9c883a845cdcdp-7, -0x1.9062508bcd2f6p-5, 0x1.4536c3a78c86bp-4, -0x1.df1631f4d13d7p-5}, 
        {0x1.7113ad1b8190cp+1, 0x1.7434710b5afdp+1, 0x1.76eba33474923p-7, -0x1.7173e9ca08e96p-5, 0x1.33a7070e56704p-4, -0x1.d6a2e52afd545p-5}, 
        {0x1.7434710b5afdp+1, 0x1.77553510adf82p+1, 0x1.543fb826cd744p-7, -0x1.5439189c308a4p-5, 0x1.22669744d058fp-4, -0x1.ce66484316cddp-5}, 
        {0x1.77553510adf82p+1, 0x1.7a75f90087646p+1, 0x1.345a43b697bafp-7, -0x1.38aa342b5c95dp-5, 0x1.1173722f93c3cp-4, -0x1.c493f7e241221p-5}, 
        {0x1.7a75f90087646p+1, 0x1.7d96bd05da5f8p+1, 0x1.1711d7c4d3a94p-7, -0x1.1ebef5af98abep-5, 0x1.00dc77cd759d7p-4, -0x1.bad25c55cd2e9p-5}, 
        {0x1.7d96bd05da5f8p+1, 0x1.80b7810b2d5abp+1, 0x1.f87bbc14ececcp-8, -0x1.066e611997f67p-5, 0x1.e14214ea08683p-5, -0x1.b01102656fbcdp-5}, 
        {0x1.80b7810b2d5abp+1, 0x1.83d844fb06c6fp+1, 0x1.c76d4d4f84f3bp-8, -0x1.df5e1da7395fdp-6, 0x1.c19514f90d287p-5, -0x1.a492d80c6e8c5p-5}, 
        {0x1.83d844fb06c6fp+1, 0x1.86f9090059c21p+1, 0x1.9aaaeebc17ec3p-8, -0x1.b4ed9671089bfp-6, 0x1.a2bfc842c6eacp-5, -0x1.98b82c74779fbp-5}, 
        {0x1.86f9090059c21p+1, 0x1.8a19cd05acbd3p+1, 0x1.71e9350f0ac7dp-8, -0x1.8d75bfda31571p-6, 0x1.84c8f5403274p-5, -0x1.8c07cf469a29ep-5}, 
        {0x1.8a19cd05acbd3p+1, 0x1.8d3a90f586298p+1, 0x1.4cdedc760d7a7p-8, -0x1.68e017c1fbf8fp-6, 0x1.67c0475c7b58ep-5, -0x1.7e93de595d93cp-5}, 
        {0x1.8d3a90f586298p+1, 0x1.905b54fad924ap+1, 0x1.2b44e6b3ae90dp-8, -0x1.4714a44e05d83p-6, 0x1.4bb415ecfbaf3p-5, -0x1.70c925aea0f05p-5}, 
        {0x1.905b54fad924ap+1, 0x1.937c18eab290ep+1, 0x1.0cd6b93aeec65p-8, -0x1.27fa65f50ab4ap-6, 0x1.30aabc20677bdp-5, -0x1.61f6e5319c00ep-5}, 
        {0x1.937c18eab290ep+1, 0x1.969cdcf0058cp+1, 0x1.e2a476c1a436fp-9, -0x1.0b771f54ef7a1p-6, 0x1.16b78d56d5126p-5, -0x1.52cd3d1beb454p-5}, 
        {0x1.969cdcf0058cp+1, 0x1.99bda0f558873p+1, 0x1.b0efe905e457cp-9, -0x1.e2de9bdf515ap-7, 0x1.fbc1e127e3ca3p-6, -0x1.42d12776bc254p-5}, 
        {0x1.99bda0f558873p+1, 0x1.9cde64e531f37p+1, 0x1.841654042b095p-9, -0x1.b38cc0d1d3dc6p-7, 0x1.cc6ca7add3f5ap-6, -0x1.322771dda3e1cp-5}, 
        {0x1.9cde64e531f37p+1, 0x1.9fff28ea84ee9p+1, 0x1.5ba3fb6b72742p-9, -0x1.88bcc9b5393f2p-7, 0x1.9f88e49d3d83ep-6, -0x1.20f4c0577f8a5p-5}, 
        {0x1.9fff28ea84ee9p+1, 0x1.a31fecefd7e9bp+1, 0x1.372b17755a7cap-9, -0x1.62309585da712p-7, 0x1.752aab5fa7ddep-6, -0x1.0f083b66d83a4p-5}, 
        {0x1.a31fecefd7e9bp+1, 0x1.a640b0dfb156p+1, 0x1.164411a140ee9p-9, -0x1.3fa7b689f1019p-7, 0x1.4d6d3c4cd1446p-6, -0x1.f8c6969d46538p-6}, 
        {0x1.a640b0dfb156p+1, 0x1.a96174e504512p+1, 0x1.f11b8152e0539p-10, -0x1.20df175d32a0ap-7, 0x1.286ba2b39b58p-6, -0x1.d27f5cda9429dp-6}, 
        {0x1.a96174e504512p+1, 0x1.ac8238d4ddbd6p+1, 0x1.bb5b4aa8699bfp-10, -0x1.059165755b64fp-7, 0x1.06386f73503e8p-6, -0x1.aa8af97253693p-6}, 
        {0x1.ac8238d4ddbd6p+1, 0x1.afa2fcda30b88p+1, 0x1.8aa04bf631cfdp-10, -0x1.daedbeb6ae13p-8, 0x1.cde635c279074p-7, -0x1.81909aa2f40e9p-6}, 
        {0x1.afa2fcda30b88p+1, 0x1.b2c3c0df83b3bp+1, 0x1.5e5196e3ee39dp-10, -0x1.b08a8db2294f6p-8, 0x1.955db05ad3eb4p-7, -0x1.57240d22c859fp-6}, 
        {0x1.b2c3c0df83b3bp+1, 0x1.b5e484cf5d1ffp+1, 0x1.35e4f9f852af5p-10, -0x1.8b6037a84c706p-8, 0x1.630d977d5fb4bp-7, -0x1.2b58489c47102p-6}, 
        {0x1.b5e484cf5d1ffp+1, 0x1.b90548d4b01b1p+1, 0x1.10df795f55e8ap-10, -0x1.6ad090627a6d1p-8, 0x1.37296b81ffb5p-7, -0x1.fcd9c09541472p-7}, 
        {0x1.b90548d4b01b1p+1, 0x1.bc260cc489875p+1, 0x1.ddab8f69b77ffp-11, -0x1.4e38d5157c5f6p-8, 0x1.11db56df45555p-7, -0x1.9ff1ddd031944p-7}, 
        {0x1.bc260cc489875p+1, 0x1.bf46d0c9dc827p+1, 0x1.9ed97c0154486p-11, -0x1.34f166740657bp-8, 0x1.e6b9d37d4b0c9p-8, -0x1.40c50b1c66f87p-7}, 
        {0x1.bf46d0c9dc827p+1, 0x1.c26794cf2f7dap+1, 0x1.64b3a98ee37b8p-11, -0x1.1e4dbd40ce911p-8, 0x1.b7b172fa3dfe5p-8, -0x1.bd9bc9dac14fap-8}, 
        {0x1.c26794cf2f7dap+1, 0x1.c58858bf08e9ep+1, 0x1.2ec738c63d8f2p-11, -0x1.099cb032ad2c3p-8, 0x1.97064ab636286p-8, -0x1.e8904483521eep-9}, 
        {0x1.c58858bf08e9ep+1, 0x1.c8a91cc45be5p+1, 0x1.f988d6862137ep-12, -0x1.ec501a056efa7p-9, 0x1.851da0650193ep-8, -0x1.3129868f1d616p-11}, 
        {0x1.c8a91cc45be5p+1, 0x1.cbc9e0c9aee02p+1, 0x1.9cff2957b6ea6p-12, -0x1.c669e3313ec62p-9, 0x1.8251b7d207572p-8, 0x1.5b9d972aeeeb2p-9}, 
        {0x1.cbc9e0c9aee02p+1, 0x1.ceeaa4b9884c7p+1, 0x1.47e417750ab42p-12, -0x1.a0073b90e3929p-9, 0x1.8f0fbbbee151ep-8, 0x1.85cdcb6e8270dp-8}, 
        {0x1.ceeaa4b9884c7p+1, 0x1.d20b68bedb479p+1, 0x1.f4ec6e0a21016p-13, -0x1.779f9795a1808p-9, 0x1.aba38c7b0a467p-8, 0x1.33d378850c2dep-7}, 
        {0x1.d20b68bedb479p+1, 0x1.d52c2caeb4b3dp+1, 0x1.6a83d19fc3b18p-13, -0x1.4b9da97ca91a4p-9, 0x1.d8c613163dc23p-8, 0x1.9e5530e1527f4p-7}, 
        {0x1.d52c2caeb4b3dp+1, 0x1.d84cf0b407aefp+1, 0x1.e48ceae5eb775p-14, -0x1.1a6ee485b4b91p-9, 0x1.0ac3359a21a6p-7, 0x1.16e8f539af66cp-6}, 
        {0x1.d84cf0b407aefp+1, 0x1.db6db4b95aaa2p+1, 0x1.1d1f27d15a102p-14, -0x1.c49149f09097dp-10, 0x1.33a85847fd55ap-7, 0x1.1f95bc3e49171p-6}, 
        {0x1.db6db4b95aaa2p+1, 0x1.de8e78a934166p+1, 0x1.098529ca8f012p-15, -0x1.4407b6a461e48p-10, 0x1.5dd319d29440ap-7, 0x1.0d034bf1a0177p-5}, 
        {0x1.de8e78a934166p+1, 0x1.e1af3a14cec42p+1, 0x1.1685e198251d4p-17, -0x1.57a73e3afe762p-11, 0x1.acb65e979fc33p-7, -0x1.6abd6007f24e8p-1}, 
      }}, 
      0x1.bc53381895dbdp+5, -0x1.125aae404f5cap+10
    }
  };
  // clang-format on
}
SkfData params_hyb_0_2_si_si() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    SkfData::SameElementLine {0x1.199999999999ap-1, -0x1.33d7b8b91991ap-3, -0x1.9538f33ba16bdp-2, -0x1.d9f0a1be2b496p-6, 0x1.ddcd7060bb2bcp-3, 0x1.0c33b5393250bp-2, 0x1.fb1a6d698fe69p-3, 0, 2, 2}, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.07a1a4b462403p-5, 0x1.246ef5401fc3cp-7, 0x1.670462983e85dp-5, 0x1.2aad719263e52p-4, 0x1.8bd0f583171b6p-4, 0x1.d8bf7d319d30dp-4, 0x1.099e256b6aa42p-3, 0x1.1e7f780f7eb25p-3, 0x1.2bdcc27a089a9p-3, 0x1.328660e73820bp-3, 0x1.333ef12391341p-3, 0x1.2ebd03ee11fcfp-3, 0x1.25ad4e50d7c5ap-3, 0x1.18b113bb9c153p-3, 0x1.085c309f9f3d9p-3, 0x1.ea6b692ba5e8bp-4, 0x1.bf734890ffb85p-4, 0x1.90b3af3b0213bp-4, 0x1.5efbd425cdf7bp-4, 0x1.2b068a315e68bp-4, 0x1.eaf7011ede5d1p-5, 0x1.7deac6df4619bp-5, 0x1.0fda935b6cdp-5, 0x1.438d9bdbcf9b1p-6, 0x1.a449a5108f115p-8, -0x1.b90e08130e19dp-8, -0x1.4133ccc128dccp-6, -0x1.07573bdd636d6p-5, -0x1.6ae4791016ea7p-5, -0x1.cadab626a878p-5, -0x1.136fcf1344725p-4, -0x1.3f52edba8ea1fp-4, -0x1.68f72a9f26899p-4, -0x1.904465c19fd16p-4, -0x1.b52987df53bcfp-4, -0x1.d79b7817dfe61p-4, -0x1.f793c24c5865dp-4, -0x1.0a87add6b7e72p-3, -0x1.1806eae9a792fp-3, -0x1.24488bbd20a37p-3, -0x1.2f4ebd492a782p-3, -0x1.391d07f08f117p-3, -0x1.41b864012bf8bp-3, -0x1.49272cb9d570ep-3, -0x1.4f70eeb728d4cp-3, -0x1.549e1d7ac35ecp-3, -0x1.58b7c371d2a1cp-3, -0x1.5bc73f3257178p-3, -0x1.5dd619a0b766cp-3, -0x1.5eedf71357762p-3, -0x1.5f189d125298p-3, -0x1.5e60017bf1e09p-3, -0x1.5cce576dd090dp-3, -0x1.5a6e11974ce57p-3, -0x1.5749d6cabcf7ep-3, -0x1.536c6abe99cd2p-3, -0x1.4ee09068f954dp-3, -0x1.49b0ec8399f3cp-3, -0x1.43e7edbfbec35p-3, -0x1.3d8fbdc242405p-3, -0x1.36b23b28bf52cp-3, -0x1.2f58fa813806p-3, -0x1.278d4adb9a8dp-3, -0x1.1f51221310f8p-3, -0x1.16bd4f311f2b7p-3, -0x1.0dd2776477effp-3, -0x1.04985dbe8a00fp-3, -0x1.f62ce14967496p-4, -0x1.e2a7bfef797b3p-4, -0x1.ceaf5da99d94ep-4, -0x1.ba517d2e545dep-4, -0x1.a59ba46a4aae1p-4, -0x1.909b14def2861p-4, -0x1.7b5cb8b46bae6p-4, -0x1.65ed08d7a0ecfp-4, -0x1.5057f0e5fc7dap-4, -0x1.3aa8b54bafda6p-4, -0x1.24e9df0efdbfdp-4, -0x1.0f252f8969d82p-4, -0x1.f2c73a02b409ep-5, -0x1.c75aafc34f2p-5, -0x1.9c13aea14f213p-5, -0x1.70ffd66fd3fc2p-5, -0x1.462ba2e1ca0dp-5, -0x1.1ba2977dba6fep-5, -0x1.e2ded1e587678p-6, -0x1.8f3840ef55c06p-6, -0x1.3c646e03365fcp-6, -0x1.d4ea9d6936c3ap-7, -0x1.32f7dd10d54e6p-7, -0x1.2621c670bf8fbp-8, 0x1.557d2f2594cb2p-12, 0x1.4c444c6866fe6p-8, 0x1.3f379cf6572fap-7, 0x1.d5d46c301ab33p-7, 0x1.34f1934ac9ca8p-6, 0x1.7da8733d2746cp-6, 0x1.c506a90e3f3b5p-6, 0x1.0582a40ae9f5cp-5, 0x1.27cf4b5ee37e4p-5, 0x1.4966fd86d3e33p-5, 0x1.6a47f13a2a425p-5, 0x1.8a70d34b9d8dbp-5, 0x1.a9e0b87cc7b79p-5, 0x1.c8970f96de077p-5, 0x1.e6939480a2889p-5, 0x1.01eb226e65386p-4, 0x1.102fab448711p-4, 0x1.1e1798116488ep-4, 0x1.2ba331c3a5ad8p-4, 0x1.38d2d50ffa33fp-4, 0x1.45a6f1576e44ap-4, 0x1.522008209c6afp-4, 0x1.5e3eacf3e79ecp-4, 0x1.6a03856cf3b9fp-4, 0x1.756f4958ee2c5p-4, 0x1.8082c2c06acfep-4, 0x1.8b3ecdc3afb6bp-4, 0x1.95a4583836a39p-4, 0x1.9fb460fd82f35p-4, 0x1.a96ff705ef874p-4, 0x1.b2d838159af9ap-4, 0x1.bbee4f3ebec08p-4, 0x1.c4b373267b41p-4, 0x1.cd28e4210281cp-4, 0x1.d54fea367aa1p-4, 0x1.dd29d32351eecp-4, 0x1.e4b7f0677c87ep-4, 0x1.ebfb95768cc3dp-4, 0x1.f2f6161868594p-4, 0x1.f9a8c5066a515p-4, 0x1.000a7966388cbp-3, 0x1.031df677f6de8p-3, 0x1.060f7ead312b6p-3, 0x1.08dfb5000fc97p-3, 0x1.0b8f3a5c67ap-3, 0x1.0e1ead9e8b91ap-3, 0x1.108eab9e03fcdp-3, 0x1.12dfcf3dbf73cp-3, 0x1.1512b17c4a7dfp-3, 0x1.1727e97fbf5b6p-3, 0x1.19200c9ac5d9ap-3, 0x1.1afbae496cb99p-3, 0x1.1cbb6025fd322p-3, 0x1.1e5fb1d71c176p-3, 0x1.1fe930f9326bep-3, 0x1.2158690576233p-3, 0x1.22ad531eea24ap-3, 0x1.23e9f36769558p-3, 0x1.250de334e7268p-3, 0x1.26199f3a24705p-3, 0x1.270da1ee2bdacp-3, 0x1.27ea63d4591c6p-3, 0x1.28b05bbc32c22p-3, 0x1.295ffef58c7f6p-3, 0x1.29f9c1769a212p-3, 0x1.2a7e15f2c6516p-3, 0x1.2aed6de22838dp-3, 0x1.2b48397aa6095p-3, 0x1.2b8ee79c850aep-3, 0x1.2bc1e5b4fd832p-3, 0x1.2be19f99b9bd8p-3, 0x1.2bee7f6078649p-3, 0x1.2be8ed3606da9p-3, 0x1.2bd14f37801cp-3, 0x1.2ba80950846e6p-3, 0x1.2b6d7d208dd91p-3, 0x1.2b2209e8fdf24p-3, 0x1.2ac60c84ea3e3p-3, 0x1.2a59df6b1ec1ep-3, 0x1.29dddaba428ccp-3, 0x1.2952544e71d35p-3, 0x1.28b79fdf6f0fbp-3, 0x1.280e0f25f7f62p-3, 0x1.2755f206cb0b7p-3, 0x1.268f96c19fe77p-3, 0x1.25bb4a225f9c5p-3, 0x1.24d957b2df4c1p-3, 0x1.23ea09eb911a7p-3, 0x1.22edaa61b5a49p-3, 0x1.21e481f1cc0eap-3, 0x1.20ced8e55bf58p-3, 0x1.1facf71340003p-3, 0x1.1e7f23fa13d44p-3, 0x1.1d45a6d48c408p-3, 0x1.1c00c6a7bb602p-3, 0x1.1ab0ca4b98acdp-3, 0x1.1955f86e2ea2p-3, 0x1.17f097921c1bep-3, 0x1.1680ee0912538p-3, 0x1.150741eb2ee52p-3, 0x1.1383d90bf0bf8p-3, 0x1.11f6f8edb115dp-3, 0x1.1060e6b45586cp-3, 0x1.0ec1e71806a97p-3, 0x1.0d1a3e587b42p-3, 0x1.0b6a303174af5p-3, 0x1.09b1ffd0bc9dep-3, 0x1.07f1efce0bca7p-3, 0x1.062a4224efd26p-3, 0x1.045b3830d4222p-3, 0x1.028512ab15605p-3, 0x1.00a811ab1224p-3, 0x1.fd88e94fe8b53p-4, 0x1.f9b4f4f805f71p-4, 0x1.f5d4c2d24d6fdp-4, 0x1.f1e8ce3ca4f7ep-4, 0x1.edf1917b012edp-4, 0x1.e9ef85c3ccdfcp-4, 0x1.e5e3234c37c37p-4, 0x1.e1cce153ce4dcp-4, 0x1.ddad362ed694bp-4, 0x1.d984974f0fcc4p-4, 0x1.d553794a86f09p-4, 0x1.d11a4fe02dee3p-4, 0x1.ccd98dfa2573fp-4, 0x1.c891a5ad9d488p-4, 0x1.c44308385af8cp-4, 0x1.bfee25fbfa393p-4, 0x1.bb936e7712f4dp-4, 0x1.b733503c748a1p-4, 0x1.b2ce38e8d1afap-4, 0x1.ae64951703b5ap-4, 0x1.a9f6d05342603p-4, 0x1.a585550dad983p-4, 0x1.a1108c8c58724p-4, 0x1.9c98dedd2bbf3p-4, 0x1.981eb2c7ede8bp-4, 0x1.93a26dc09be69p-4, 0x1.8f2473da49d8p-4, 0x1.8aa527babb9f5p-4, 0x1.8624ea8ed22f1p-4, 0x1.81a41bffe2fdap-4, 0x1.7d231a2a0c45ap-4, 0x1.78a2419389c4dp-4, 0x1.7421ed25099f7p-4, 0x1.6fa27622fae5bp-4, 0x1.6b243427c7d52p-4, 0x1.66a77d1eed3cdp-4, 0x1.622ca540da14p-4, 0x1.5db3ff0f83eap-4, 0x1.593ddb53989c4p-4, 0x1.54ca891a39716p-4, 0x1.505a55b329f63p-4, 0x1.4bed8caf5f9cp-4, 0x1.478477dfe136p-4, 0x1.431f5f54e6acp-4, 0x1.3ebe895d2e55ap-4, 0x1.3a623a857c612p-4, 0x1.360ab5983e4a6p-4, 0x1.31b83b9d4d752p-4, 0x1.2d6b0bd9cf82ep-4, 0x1.292363d03246bp-4, 0x1.24e17f404547bp-4, 0x1.20a5982776184p-4, 0x1.1c6fe6c12ea15p-4, 0x1.1840a1875ee1bp-4, 0x1.1417fd3332d5p-4, 0x1.0ff62cbdfcf51p-4, 0x1.0bdb616258d8fp-4, 0x1.07c7ca9d8977fp-4, 0x1.03bb96311a45cp-4, 0x1.ff6de04985f72p-5, 0x1.f774059129d42p-5, 0x1.ef89ed6eddad9p-5, 0x1.e7afe5b37a66dp-5, 0x1.dfe638d10923fp-5, 0x1.d82d2de16aeap-5, 0x1.d08508ad93ac5p-5, 0x1.c8ee09b554321p-5, 0x1.c1686e37ab723p-5, 0x1.b9f4703b9eb08p-5, 0x1.b29246998b57fp-5, 0x1.ab422504f3fa2p-5, 0x1.a4043c16b8443p-5, 0x1.9cd8b957b6dc4p-5, 0x1.95bfc74bcef18p-5, 0x1.8eb98d7d39c2fp-5, 0x1.87c63088367a9p-5, 0x1.80e5d226feddfp-5, 0x1.7a18913dff8bfp-5, 0x1.735e89e84dcd9p-5, 0x1.6cb7d58454a41p-5, 0x1.66248ac0b1b07p-5, 0x1.5fa4bda93f7edp-5, 0x1.59387fb4462b1p-5, 0x1.52dfdfcfcf8f4p-5, 0x1.4c9aea6f18ffap-5, 0x1.4669a998212cdp-5, 0x1.404c24f14a13dp-5, 0x1.3a4261cf1334fp-5, 0x1.344c6341ddff5p-5, 0x1.2e6a2a23c4876p-5, 0x1.289bb52677fb9p-5, 0x1.22e100e126225p-5, 0x1.1d3a07de63c4bp-5, 0x1.17a6c2aa1827cp-5, 0x1.122727df67d1ap-5, 0x1.0cbb2c369bc98p-5, 0x1.0762c292ff584p-5, 0x1.021ddc10b8275p-5, 0x1.f9d8d0251f324p-6, 0x1.ef9ca89f5d84fp-6, 0x1.e58719c2924c9p-6, 0x1.db97f8a0628e1p-6, 0x1.d1cf1744b5d8dp-6, 0x1.c82c44d082865p-6, 0x1.beaf4d9465e7p-6, 0x1.b557fb2b01538p-6, 0x1.ac26149317e8ap-6, 0x1.a3195e4968013p-6, 0x1.9a319a623c355p-6, 0x1.916e88a2b2769p-6, 0x1.88cfe699af6efp-6, 0x1.80587e8c13895p-6, 0x1.78020dc5120ccp-6, 0x1.6fcf3804f20f7p-6, 0x1.67bfb2e3e208ap-6, 0x1.5fd33239ad886p-6, 0x1.580968347f0bbp-6, 0x1.5062056f4e137p-6, 0x1.48dcb907fa323p-6, 0x1.417930b505b29p-6, 0x1.3a3718daf9af8p-6, 0x1.33161ca166408p-6, 0x1.2c15e6078189ep-6, 0x1.25361df86177ep-6, 0x1.1e766c5ecebd6p-6, 0x1.17d67838ab741p-6, 0x1.1155e7a9f02fp-6, 0x1.0af4600f38764p-6, 0x1.04b1860fe0c83p-6, 0x1.fd19fb5f6805bp-7, 0x1.f10cd4c04f06cp-7, 0x1.e53ade223c772p-7, 0x1.d9a35c827d6bbp-7, 0x1.ce45941ba459p-7, 0x1.c320c8845c3a2p-7, 0x1.b8343ccd54e7fp-7, 0x1.ad7f339e4a09cp-7, 0x1.a300ef521d955p-7, 0x1.98b8b2120fb8ap-7, 0x1.8ea5bdf019ce6p-7, 0x1.84c755005ce21p-7, 0x1.7b1cb971bbb0ep-7, 0x1.71a52da594e45p-7, 0x1.685ff446a328bp-7, 0x1.5f4c505f183adp-7, 0x1.5669856dcfbe8p-7, 0x1.4db6d77acdf03p-7, 0x1.45338b2ae846ap-7, 0x1.3cdee5d2aead7p-7, 0x1.34b82d8898955p-7, 0x1.2cbea93674b93p-7, 0x1.24f1a0aa27477p-7, 0x1.1d505ca5b4be2p-7, 0x1.15da26eea2c48p-7, 0x1.0e8e4a5cb1ae8p-7, 0x1.076c12e7f522bp-7, 0x1.0072cdb64d709p-7, 0x1.f34392509696cp-8, 0x1.e5f0a9caf8bd4p-8, 0x1.d8eb83d0552a4p-8, 0x1.cc32c5111d8f9p-8, 0x1.bfc5150efb717p-8, 0x1.b3a11e3122171p-8, 0x1.a7c58dd7a2dedp-8, 0x1.9c31146dcb90dp-8, 0x1.90e2657b95ffdp-8, 0x1.85d837b62ee34p-8, 0x1.7b11450f98b23p-8, 0x1.708c4ac574119p-8, 0x1.6648096ef4073p-8, 0x1.5c434509fda93p-8, 0x1.527cc5077e8c5p-8, 0x1.48f35456f7b07p-8, 0x1.3fa5c1714cf7p-8, 0x1.3692de62cf90dp-8, 0x1.2db980d48e5dep-8, 0x1.25188214eda7dp-8, 0x1.1caebf1f8afeap-8, 0x1.147b18a46dc9fp-8, 0x1.0c7c730e8714dp-8, 0x1.04b1b68984876p-8, 0x1.fa339e0df2b93p-9, 0x1.eb675885b6bbap-9, 0x1.dcfc838eae864p-9, 0x1.cef10de005558p-9, 0x1.c142edd8caebfp-9, 0x1.b3f02183ca7b5p-9, 0x1.a6f6ae9a10e8dp-9, 0x1.9a54a2844673ap-9, 0x1.8e08125abf08ap-9, 0x1.820f1ae458e6dp-9, 0x1.7667e09427556p-9, 0x1.6b108f85ef0b5p-9, 0x1.60075b7978caep-9, 0x1.554a7fccbbdf7p-9, 0x1.4ad83f74ee929p-9, 0x1.40aee4f679365p-9, 0x1.36ccc25bdd388p-9, 0x1.2d30312b846cfp-9, 0x1.23d7925c9e466p-9, 0x1.1ac14e4af6b92p-9, 0x1.11ebd4a9db0cfp-9, 0x1.09559c761d802p-9, 0x1.00fd23e732abfp-9, 0x1.f1c1e0bf02ddcp-10, 0x1.e1ff1cb7b6756p-10, 0x1.d2af22c49ee1bp-10, 0x1.c3cf27e06dcc2p-10, 0x1.b55c6ecf2644ep-10, 0x1.a75447f7e811dp-10, 0x1.99b4113d5072dp-10, 0x1.8c7935d5061b2p-10, 0x1.7fa12e1e4a168p-10, 0x1.73297f77b6242p-10, 0x1.670fbc14426b5p-10, 0x1.5b5182cfa24d8p-10, 0x1.4fec7f0228c01p-10, 0x1.44de68542349cp-10, 0x1.3a250290df6e5p-10, 0x1.2fbe1d79758efp-10, 0x1.25a794974a9adp-10, 0x1.1bdf4f0e879e5p-10, 0x1.12633f70764c5p-10, 0x1.0931638ded4adp-10, 0x1.0047c449cdf2fp-10, 0x1.ef48ead74f1f2p-11, 0x1.de8b2ae51d787p-11, 0x1.ce529ad06a90dp-11, 0x1.be9ba168a7e91p-11, 0x1.af62b9e0bdaa1p-11, 0x1.a0a4737746a29p-11, 0x1.925d711f94015p-11, 0x1.848a692b9563ep-11, 0x1.772824f69c392p-11, 0x1.6a33809125062p-11, 0x1.5da96a6d920f6p-11, 0x1.5186e30de38f8p-11, 0x1.45c8fcb27e98fp-11, 0x1.3a6cdb09f3c52p-11, 0x1.2f6fb2e1dd56cp-11, 0x1.24cec9d8ad665p-11, 0x1.1a877610ada12p-11, 0x1.10971de3df4f1p-11, 0x1.06fb3798e8363p-11, 0x1.fb6292325cb8p-12, 0x1.e96dcf4f70b88p-12, 0x1.d8136f3208a34p-12, 0x1.c74ed8184602p-12, 0x1.b71b8d48d4ae1p-12, 0x1.a7752e8883a4cp-12, 0x1.9857779197a9bp-12, 0x1.89be3f8ce3df8p-12, 0x1.7ba5788ca362dp-12, 0x1.6e092f08dec34p-12, 0x1.60e5895dc321cp-12, 0x1.5436c74b5d8b9p-12, 0x1.47f94176d67dp-12, 0x1.3c2968eda9661p-12, 0x1.30c3c6a9f20ep-12, 0x1.25c4fb18792c5p-12, 0x1.1b29bda033a7p-12, 0x1.10eedc2b36435p-12, 0x1.07113ab1207d3p-12, 0x1.fb1ba585fd095p-13, 0x1.e8c3663112536p-13, 0x1.d713fe3dcbdf8p-13, 0x1.c607dd115ee3bp-13, 0x1.b59999bf301a8p-13, 0x1.a5c3f22e97b58p-13, 0x1.9681ca4372483p-13, 0x1.87ce2b09a81bbp-13, 0x1.79a441e368423p-13, 0x1.6bff5fba1a1ffp-13, 0x1.5edaf83266aeep-13, 0x1.5232a0e2aac14p-13, 0x1.4602108c8a015p-13, 0x1.3a451e592013bp-13, 0x1.2ef7c11832f1p-13, 0x1.24160e822a1d3p-13, 0x1.199c3a7cb6051p-13, 0x1.0f86966299e6ep-13, 0x1.05d1904e22468p-13, 0x1.f8f364cd03272p-14, 0x1.e6f7445f7cab4p-14, 0x1.d5a83fbcf0108p-14, 0x1.c5000b5aeb0f1p-14, 0x1.b4f88e6d5e66dp-14, 0x1.a58be19d043b1p-14, 0x1.96b44dc651eb7p-14, 0x1.886c4abb6cc2fp-14, 0x1.7aae7e0d1b1edp-14, 0x1.6d75b9d91300dp-14, 0x1.60bcfb9e3f59cp-14, 0x1.547f6b16726acp-14, 0x1.48b85915e17a1p-14, 0x1.3d633e702afb7p-14, 0x1.327bbae2fc12dp-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.b325ad0139f4cp-1, -0x1.9ead4e354cd2fp-1, -0x1.8b2ffcc6626b5p-1, -0x1.78adbeaf9e758p-1, -0x1.6726420c184d3p-1, -0x1.5696cd464b19p-1, -0x1.46f9f04f2eeabp-1, -0x1.384a010573342p-1, -0x1.2a7fb5d45c35p-1, -0x1.1d92c30fd0fffp-1, -0x1.117ab63577306p-1, -0x1.062e80cc6e53ep-1, -0x1.f7496588d6913p-2, -0x1.e3a7b932af343p-2, -0x1.d16518f43b85ep-2, -0x1.c06eb123bd79dp-2, -0x1.b0b1f4192aee9p-2, -0x1.a21cba84521bap-2, -0x1.949d5b3e50475p-2, -0x1.8822bcbf45efp-2, -0x1.7c9c5f94370afp-2, -0x1.71fa62148a4a4p-2, -0x1.682da3c6beadep-2, -0x1.5f27916879b28p-2, -0x1.56da35ffd77dap-2, -0x1.4f386bde4dbep-2, -0x1.4835cd6549e6fp-2, -0x1.41c6903c62ab3p-2, -0x1.3bdf792f26449p-2, -0x1.3675e6b1294dbp-2, -0x1.317fd8fc68bfdp-2, -0x1.2cf3ee3670ebdp-2, -0x1.28c95959f7168p-2, -0x1.24f7d9e4cccb6p-2, -0x1.2177b4239d0b3p-2, -0x1.1e41a910ae788p-2, -0x1.1b4eeecdb5679p-2, -0x1.18992b0b06599p-2, -0x1.161a6f3f62992p-2, -0x1.13cd3585b4b14p-2, -0x1.11ac5cfcc7e69p-2, -0x1.0fb3251a8d927p-2, -0x1.0ddd2800873c7p-2, -0x1.0c2654487f2abp-2, -0x1.0a8ae6e73cb0ep-2, -0x1.090765aa761f1p-2, -0x1.07989a973ea5bp-2, -0x1.063b9025064d2p-2, -0x1.04ed8e17b832p-2, -0x1.03ac16a073d8cp-2, -0x1.0274e3744fa3ap-2, -0x1.0145e2ab3950dp-2, -0x1.001d3362d9d07p-2, -0x1.fdf24480707d2p-3, -0x1.fbb04bf1a4fd3p-3, -0x1.f971b81996ffcp-3, -0x1.f7340ba58ac28p-3, -0x1.f4f50bc843cd8p-3, -0x1.f2b2bbc2a23dap-3, -0x1.f06b58e85f112p-3, -0x1.ee1d56e5262cap-3, -0x1.ebc75c19efc74p-3, -0x1.e9683e05efe1ap-3, -0x1.e6ff1218312bep-3, -0x1.e48b003e5d40ap-3, -0x1.e20b392643b9bp-3, -0x1.df7f27e389652p-3, -0x1.dce658b1e8106p-3, -0x1.da40763d72d75p-3, -0x1.d78d46b7889cp-3, -0x1.d4cca8d5bbcc2p-3, -0x1.d1fe90dd04838p-3, -0x1.cf2305d9f9f64p-3, -0x1.cc3a1f202e681p-3, -0x1.c94402211a38fp-3, -0x1.c640e0a03cfcbp-3, -0x1.c330f74057b7ep-3, -0x1.c0148c5da100dp-3, -0x1.bcebef23f71a5p-3, -0x1.b9b776cdebbb6p-3, -0x1.b67781fa5f5b1p-3, -0x1.b32c76093e8d5p-3, -0x1.afd6be740f21fp-3, -0x1.ac76cc1bad22p-3, -0x1.a90d148912cb8p-3, -0x1.a59a1122ec24fp-3, -0x1.a21e3e5c8ff57p-3, -0x1.9e9a1ae4aed95p-3, -0x1.9b0e26dabc9d2p-3, -0x1.977ae31180bdfp-3, -0x1.93e0d06423358p-3, -0x1.90406f216d4fep-3, -0x1.8c9a3e8f2252cp-3, -0x1.88eebc85a6803p-3, -0x1.853e6522a0ecep-3, -0x1.8189b28ff3beep-3, -0x1.7dd11cdb926cdp-3, -0x1.7a1519dc2b91ep-3, -0x1.76561d1ea9fe1p-3, -0x1.729497d8e89fap-3, -0x1.6ed0f8deb8291p-3, -0x1.6b0bac97232abp-3, -0x1.67451cf0bcc37p-3, -0x1.637db15451056p-3, -0x1.5fb5ce95fef97p-3, -0x1.5bedd6e4d948cp-3, -0x1.582629b9a5b7fp-3, -0x1.545f23c56d22dp-3, -0x1.50991ee0b7df1p-3, -0x1.4cd471fc91c2ap-3, -0x1.491171162e2fp-3, -0x1.45506d2e2a579p-3, -0x1.4191b443e0fccp-3, -0x1.3dd5915515fadp-3, -0x1.3a1c4c61e7331p-3, -0x1.36662a7492395p-3, -0x1.32b36dac90fbap-3, -0x1.2f04554c65644p-3, -0x1.2b591dc96db58p-3, -0x1.27b200dd2a559p-3, -0x1.240f359777416p-3, -0x1.2070f07136161p-3, -0x1.1cd7635f1ded6p-3, -0x1.1942bde452ee7p-3, -0x1.15b32d24a88c9p-3, -0x1.1228dbf659abfp-3, -0x1.0ea3f2f33bf4fp-3, -0x1.0b24988963c6bp-3, -0x1.07aaf10b4fa81p-3, -0x1.04371ebfa6a62p-3, -0x1.00c941f0a6a7ep-3, -0x1.fac2f1f697036p-4, -0x1.f3ffc0bca06c8p-4, -0x1.ed4925920dc06p-4, -0x1.e69f52544ddd3p-4, -0x1.e002757d15564p-4, -0x1.d972ba3fdec76p-4, -0x1.d2f048a767a37p-4, -0x1.cc7b45b339538p-4, -0x1.c613d3751efbep-4, -0x1.bfba112e8462cp-4, -0x1.b96e1b6d8af3ap-4, -0x1.b3300c29cdd5ep-4, -0x1.acfffae082683p-4, -0x1.a6ddfcaff19bcp-4, -0x1.a0ca247218ecfp-4, -0x1.9ac482d66db33p-4, -0x1.94cd4697e3c27p-4, -0x1.8ee43e035d272p-4, -0x1.8909908e74101p-4, -0x1.833d47361be07p-4, -0x1.7d7f6951a77ap-4, -0x1.77cffca575631p-4, -0x1.722f057411553p-4, -0x1.6c9c868e02f7ap-4, -0x1.671881607e345p-4, -0x1.61a2f60329922p-4, -0x1.5c3be34533952p-4, -0x1.56e346b9e64abp-4, -0x1.51991cc4e771dp-4, -0x1.4c5d60a64707fp-4, -0x1.47300c86785eep-4, -0x1.421119824429ep-4, -0x1.3d007fb6be0ecp-4, -0x1.37fe364d3aeb9p-4, -0x1.330a33874012dp-4, -0x1.2e246cca5e798p-4, -0x1.294cd6abe78b4p-4, -0x1.248364fc692bep-4, -0x1.1fc80ad2d9268p-4, -0x1.1b1aba975e188p-4, -0x1.167b660da4f4ep-4, -0x1.11e9fe5eadd65p-4, -0x1.0d66742207dc5p-4, -0x1.08f0b76671299p-4, -0x1.0488b7b9d3476p-4, -0x1.002e64309ddd3p-4, -0x1.f7c356d8fe0e6p-5, -0x1.ef44f744fbc06p-5, -0x1.e6e1854101d63p-5, -0x1.de98dba4919b6p-5, -0x1.d66ad48bd91cfp-5, -0x1.ce57495fc7a7p-5, -0x1.c65e12dd5c853p-5, -0x1.be7f091c495c7p-5, -0x1.b6ba039509e3dp-5, -0x1.af0ed9268565cp-5, -0x1.a77d601b59b33p-5, -0x1.a0056e2ee33d3p-5, -0x1.98a6d89211cfcp-5, -0x1.916173f027d6fp-5, -0x1.8a351473604ddp-5, -0x1.83218dc99291fp-5, -0x1.7c26b328d03bp-5, -0x1.754457540a56p-5, -0x1.6e7a4c9fb6fbp-5, -0x1.67c864f67a66fp-5, -0x1.612e71ddce53bp-5, -0x1.5aac447aa6d8fp-5, -0x1.5441ad960c659p-5, -0x1.4dee7da1a90ep-5, -0x1.47b284bc42269p-5, -0x1.418d92b61aff2p-5, -0x1.3b7f77153c2d5p-5, -0x1.358801199be07p-5, -0x1.2fa6ffc126308p-5, -0x1.29dc41cb9dab3p-5, -0x1.242795be5f078p-5, -0x1.1e88c9e7faf9ep-5, -0x1.18ffac63acd9fp-5, -0x1.138c0b1cb1434p-5, -0x1.0e2db3d1792cep-5, -0x1.08e47416c2f7bp-5, -0x1.03b0195a94e07p-5, -0x1.fd20e1ce46c76p-6, -0x1.f30a8fcb45be6p-6, -0x1.e91cd6c212091p-6, -0x1.df57509184a9fp-6, -0x1.d5b996e6c1dbcp-6, -0x1.cc43434282f68p-6, -0x1.c2f3eefe6a2ecp-6, -0x1.b9cb335246d93p-6, -0x1.b0c8a9596bfa7p-6, -0x1.a7ebea180351fp-6, -0x1.9f348e8071484p-6, -0x1.96a22f78c2033p-6, -0x1.8e3465e021bcap-6, -0x1.85eaca945e3ebp-6, -0x1.7dc4f677788f6p-6, -0x1.75c282753c3dbp-6, -0x1.6de30788de6cp-6, -0x1.66261ec2a1133p-6, -0x1.5e8b614d7d4fap-6, -0x1.57126874ca29p-6, -0x1.4fbacda9e5771p-6, -0x1.48842a89d5bc4p-6, -0x1.416e18e2e5abep-6, -0x1.3a7832ba37f1ep-6, -0x1.33a21251506dp-6, -0x1.2ceb522b8bd14p-6, -0x1.26538d138cbbfp-6, -0x1.1fda5e2097e48p-6, -0x1.197f60bbdb311p-6, -0x1.134230a5a3333p-6, -0x1.0d2269fa7b887p-6, -0x1.071fa9383a1eap-6, -0x1.01398b42f3f33p-6, -0x1.f6df5ad3b535p-7, -0x1.eb835ad80953fp-7, -0x1.e05e52fa36caap-7, -0x1.d56f8093e3cdep-7, -0x1.cab621fa074edp-7, -0x1.c0317685bd396p-7, -0x1.b5e0be9cd183bp-7, -0x1.abc33bba3ffb5p-7, -0x1.a1d830765a001p-7, -0x1.981ee08ed5ba3p-7, -0x1.8e9690ee9dfb8p-7, -0x1.853e87b573af1p-7, -0x1.7c160c3f4e8bcp-7, -0x1.731c672ba5d9dp-7, -0x1.6a50e26461f66p-7, -0x1.61b2c924b1b1cp-7, -0x1.594167ff9ab6cp-7, -0x1.50fc0ce65b81bp-7, -0x1.48e2072e93a23p-7, -0x1.40f2a7982e11bp-7, -0x1.392d40531eebcp-7, -0x1.31912504dd09p-7, -0x1.2a1daacda85f5p-7, -0x1.22d2284d9762cp-7, -0x1.1badf5a961d43p-7, -0x1.14b06c8efd1f3p-7, -0x1.0dd8e839fd772p-7, -0x1.0726c577ae56p-7, -0x1.009962ab0567p-7, -0x1.f4603fa098852p-8, -0x1.e7d4bd012c2fp-8, -0x1.db8f03e9fb31dp-8, -0x1.cf8dde1344ed7p-8, -0x1.c3d01880f42a5p-8, -0x1.b8548387b7bc9p-8, -0x1.ad19f2d1ba532p-8, -0x1.a21f3d62e64efp-8, -0x1.97633d9cc00cep-8, -0x1.8ce4d141cfe0dp-8, -0x1.82a2d978a7036p-8, -0x1.789c3ace77dap-8, -0x1.6ecfdd3948ea7p-8, -0x1.653cac19c2309p-8, -0x1.5be1963c9719p-8, -0x1.52bd8ddb8daeap-8, -0x1.49cf889e2464ap-8, -0x1.41167f99dd3dep-8, -0x1.38916f522ca14p-8, -0x1.303f57b7fe10cp-8, -0x1.281f3c28f8b2ep-8, -0x1.2030236e66212p-8, -0x1.187117bbb7d28p-8, -0x1.10e126acba0d5p-8, -0x1.097f6143903dap-8, -0x1.024adbe644154p-8, -0x1.f6855cb82c5e9p-9, -0x1.e8cbe7950717fp-9, -0x1.db679564020b2p-9, -0x1.ce56a9d4e0cdbp-9, -0x1.c1976f3e9934ep-9, -0x1.b52836973f9fp-9, -0x1.a907576b5c5d1p-9, -0x1.9d332fd4ca54fp-9, -0x1.91aa24711ffa8p-9, -0x1.866aa057a8d31p-9, -0x1.7b73150ee4cecp-9, -0x1.70c1fa81a63eap-9, -0x1.6657396580e25p-9, -0x1.5c2e868ff079bp-9, -0x1.5247d157f2755p-9, -0x1.48a1aabdc7a25p-9, -0x1.3f3aa9ea40747p-9, -0x1.36116c21a4a82p-9, -0x1.2d2494b6764d1p-9, -0x1.2472ccfbd12c2p-9, -0x1.1bfac43780ff2p-9, -0x1.13bb2f93c8d73p-9, -0x1.0bb2ca1116d07p-9, -0x1.03e05477496e2p-9, -0x1.f8852a8dac017p-10, -0x1.e9b0b1536b412p-10, -0x1.db40e0c83839fp-10, -0x1.cd33678a0cc6bp-10, -0x1.bf85ff2d35798p-10, -0x1.b2366c1cb383ap-10, -0x1.a5427d7a85d86p-10, -0x1.98a80cff73159p-10, -0x1.8c64fedac4c98p-10, -0x1.80774191bbc9ep-10, -0x1.74dccdded3015p-10, -0x1.6993a690e977p-10, -0x1.5e99d86a352b8p-10, -0x1.53ed79ff2cf3bp-10, -0x1.498cab9549cb5p-10, -0x1.3f759701c046p-10, -0x1.35a66f882d9dbp-10, -0x1.2c1d71b941603p-10, -0x1.22d8e351575ap-10, -0x1.19d713171cc31p-10, -0x1.111658ba37abfp-10, -0x1.089514b22c57cp-10, -0x1.0051b01cfa31p-10, -0x1.f095393c2d837p-11, -0x1.e0fca87a8bc1ap-11, -0x1.d1d6b28bcf499p-11, -0x1.c3206c4c19d52p-11, -0x1.b4d6fa9bca49fp-11, -0x1.a6f7921e7bb2bp-11, -0x1.997f76fa76635p-11, -0x1.8c6bfc986c8c2p-11, -0x1.7fba8563ba4eap-11, -0x1.7368828ad3c21p-11, -0x1.677373c062621p-11, -0x1.5bd8e6fcb3c7fp-11, -0x1.5096783f8a91p-11, -0x1.45a9d152ba9cp-11, -0x1.3b10a98cf3a94p-11, -0x1.30c8c59536aa7p-11, -0x1.26cff726d1f4bp-11, -0x1.1d241cd5dd598p-11, -0x1.13c321d467b0bp-11, -0x1.0aaafdb7f7b35p-11, -0x1.01d9b43fdb8e2p-11, -0x1.f29aaa37e9f36p-12, -0x1.e207f76845739p-12, -0x1.d1f79de082dc7p-12, -0x1.c2660201af0eap-12, -0x1.b34f9e5076ffdp-12, -0x1.a4b103090e75dp-12, -0x1.9686d5b3ce0dap-12, -0x1.88cdd0bc401bfp-12, -0x1.7b82c307e664ep-12, -0x1.6ea28f8f4d599p-12, -0x1.622a2cf814548p-12, -0x1.5616a5307430ep-12, -0x1.4a65150b4e579p-12, -0x1.3f12abdf0ff9fp-12, -0x1.341cab243a537p-12, -0x1.298066162920ap-12, -0x1.1f3b4154e08cap-12, -0x1.154ab28832bdfp-12, -0x1.0bac400428bf1p-12, -0x1.025d806eab9c6p-12, -0x1.f2b834cdaa961p-13, -0x1.e14b88599edbep-13, -0x1.d0708697756efp-13, -0x1.c022d888fd5d1p-13, -0x1.b05e447401ad7p-13, -0x1.a11ead3d3c9abp-13, -0x1.926011c5840edp-13, -0x1.841e8c4a6f21bp-13, -0x1.765651c880b3ap-13, -0x1.6903b160782d6p-13, -0x1.5c2313bed5333p-13, -0x1.4fb0fa868d321p-13, -0x1.43a9ffbd0e31cp-13, -0x1.380ad539ee005p-13, -0x1.2cd044188d441p-13, -0x1.21f72c2c4312bp-13, -0x1.177c837708f0dp-13, -0x1.0d5d55a3109e6p-13, -0x1.0396c37c90d43p-13, -0x1.f44c04e4ce682p-14, -0x1.e210b82a0557fp-14, -0x1.d0765b3116d34p-14, -0x1.bf77ceb766b63p-14, -0x1.af1018dc1bfb6p-14, -0x1.9f3a643528505p-14, -0x1.8ff1fee69c8e9p-14, -0x1.813259c0541f5p-14, -0x1.72f7075fd3a6bp-14, -0x1.653bbb54584a9p-14, -0x1.57fc494c53d29p-14, -0x1.4b34a44243691p-14, -0x1.3ee0ddb0cd689p-14, -0x1.32fd24c9d3f1ep-14, -0x1.2785c5b2a18dfp-14, -0x1.1c7728c3defbbp-14, -0x1.11cdd1cdbf566p-14, -0x1.07865f6045076p-14, -0x1.fb3b142f19ed1p-15, -0x1.e82047d78f0c3p-15, -0x1.d5b62f0cec953p-15, -0x1.c3f6cf31e454fp-15, -0x1.b2dc5c72187a4p-15, -0x1.a2613880f464cp-15, -0x1.927ff15feac38p-15, -0x1.8333402c00843p-15, -0x1.747607f259a21p-15, -0x1.6643548c0a1f7p-15, -0x1.5896597face61p-15, -0x1.4b6a70eb624adp-15, -0x1.3ebb1a73c7781p-15, -0x1.3283fa3a27eb1p-15, -0x1.26c0d7d8c6a1ep-15, -0x1.1b6d9d64ed8c3p-15, -0x1.1086567945472p-15, -0x1.06072f42471edp-15, -0x1.f7d8e726687cbp-16, -0x1.e4651bfce2572p-16, -0x1.d1ac0df399cbcp-16, -0x1.bfa70801c28bcp-16, -0x1.ae4f8d76e4701p-16, -0x1.9d9f5869dcc91p-16, -0x1.8d905818296cbp-16, -0x1.7e1caf5c3dae8p-16, -0x1.6f3eb32b1b26ap-16, -0x1.60f0e91b8ad7p-16, -0x1.532e05f647958p-16, -0x1.45f0ec51fd0b4p-16, -0x1.3934ab321a29p-16, -0x1.2cf47cba77de4p-16, -0x1.212bc4d69f717p-16, -0x1.15d61004a7ce8p-16, -0x1.0aef1212efe78p-16, -0x1.0072a4ef20b32p-16, -0x1.ecb98ef70d40ap-17, -0x1.d95338d866dcep-17, -0x1.c6aad25777796p-17, -0x1.b4b9298ea904dp-17, -0x1.a3774dc4cc1c4p-17, -0x1.92de8d61ae109p-17, -0x1.82e873f327bb7p-17, -0x1.738ec83b15ac3p-17, -0x1.64cb8a4f3b849p-17, -0x1.5698f1c42e8ccp-17, -0x1.48f16be523cbdp-17, -0x1.3bcf99f60fc1bp-17, -0x1.2f2e4f8d8c8c4p-17, -0x1.230890e37a23fp-17, -0x1.1759914292463p-17, -0x1.0c1cb17971bdp-17, -0x1.014d7e5a0de1p-17, -0x1.edcf5e84bc7edp-18, -0x1.d9ce496270b98p-18, -0x1.c68fcdc922126p-18, -0x1.b40c49077061dp-18, -0x1.a23c62a429565p-18, -0x1.911909d192634p-18, -0x1.809b72ef3b74p-18, -0x1.70bd154b6a507p-18, -0x1.6177a8b47a0fbp-18, -0x1.52c5234d0c26ep-18, -0x1.449fb73658739p-18, -0x1.3701d0b828f86p-18, -0x1.29e613fd3ad97p-18, -0x1.1d475b2c9156dp-18, -0x1.1120b479e0dfep-18, -0x1.056d60481e1f2p-18, -0x1.f4519eb5a3799p-19, -0x1.de9d422b330fbp-19, -0x1.c9b5439419d5p-19, -0x1.b5919225d1842p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.03390d8e84469p-2, 0x1.1fb7f8527087bp-2, 0x1.37df8db012dcfp-2, 0x1.4bd114fa18d4p-2, 0x1.5bbdf4dd4db98p-2, 0x1.67e1f1218ce2ep-2, 0x1.708008baf8ddap-2, 0x1.75e089dcd17bdp-2, 0x1.784d9f2b5858bp-2, 0x1.7811e2e19c443p-2, 0x1.757752231c9b8p-2, 0x1.70c5c012f8dccp-2, 0x1.6a4206000b009p-2, 0x1.622d8c88c684bp-2, 0x1.58c5d73bf30cdp-2, 0x1.4e4446c2901d3p-2, 0x1.42ddff7664aa2p-2, 0x1.36c3e272500b6p-2, 0x1.2a229bdc7dc6dp-2, 0x1.1d22becfd4ac2p-2, 0x1.0fe8e93b49bb9p-2, 0x1.0295dc09e5187p-2, 0x1.ea8e0fbef1ed4p-3, 0x1.d02c756a07375p-3, 0x1.b63444769fbf5p-3, 0x1.9ccd3377c4375p-3, 0x1.8419b4b69efd8p-3, 0x1.6c3739643cda8p-3, 0x1.553e883bb9687p-3, 0x1.3f4427222a2dfp-3, 0x1.2a58c222bd865p-3, 0x1.1689891531fbdp-3, 0x1.03e088d68f1acp-3, 0x1.e4c9fff35aca5p-4, 0x1.c4375292cc4edp-4, 0x1.a60df3f00a488p-4, 0x1.8a4eaef4db64bp-4, 0x1.70f69564ef384p-4, 0x1.59ff6751782ap-4, 0x1.455ffc2c7505ap-4, 0x1.330caa2a0008cp-4, 0x1.22f7a731ad2d5p-4, 0x1.15115f3ae243cp-4, 0x1.0948be029a6d9p-4, 0x1.ff16d948eb24fp-5, 0x1.ef8c0b72c7589p-5, 0x1.e3c88715a00edp-5, 0x1.dba2571bd65a2p-5, 0x1.d6ee7220270ep-5, 0x1.d5810ec363da3p-5, 0x1.d72df507d521fp-5, 0x1.dbc8c9907780dp-5, 0x1.e3254fe0b8e69p-5, 0x1.ed17a1ee0f48ap-5, 0x1.f9745cfd94bd5p-5, 0x1.040862b4bef58p-4, 0x1.0c6171ff5055ap-4, 0x1.15b0cfe141ca8p-4, 0x1.1fe26b12ce483p-4, 0x1.2ae2b935b7c23p-4, 0x1.369ec2031d46cp-4, 0x1.43042989fb635p-4, 0x1.50013902596abp-4, 0x1.5d82203f9f55p-4, 0x1.6b7ce7693ee7p-4, 0x1.79de8ef6a5712p-4, 0x1.8897fe026ff08p-4, 0x1.979acc54c64b2p-4, 0x1.a6d9466aa220ep-4, 0x1.b6466f88a8524p-4, 0x1.c5d6018f3d218p-4, 0x1.d57c6a8f88b17p-4, 0x1.e52ec863cea35p-4, 0x1.f4e2e2be87d39p-4, 0x1.0247921f11748p-3, 0x1.0a15498af3a41p-3, 0x1.11d664e612cd1p-3, 0x1.1986f8379c9cp-3, 0x1.21235b3f194cp-3, 0x1.28a826ce6e44p-3, 0x1.30123284ed43dp-3, 0x1.375e92da43d92p-3, 0x1.3e8a975fc47c6p-3, 0x1.4593c91af1b0bp-3, 0x1.4c77e8dcea73cp-3, 0x1.5334ed7e967f8p-3, 0x1.59c901f07507bp-3, 0x1.603283153170cp-3, 0x1.666ffd66c06c9p-3, 0x1.6c802a6d41f2bp-3, 0x1.7261ee14ec4p-3, 0x1.781453f3ceeap-3, 0x1.7d968c91c39e1p-3, 0x1.82e7eac4071fap-3, 0x1.8807e12b70566p-3, 0x1.8cf5ffe07d59cp-3, 0x1.91b1f25417734p-3, 0x1.963b7d67bdf37p-3, 0x1.9a927dbbe8611p-3, 0x1.9eb6e630bd2d6p-3, 0x1.a2a8be93047ebp-3, 0x1.a668226e2a72ep-3, 0x1.a9f53ffb7c37bp-3, 0x1.ad5057269f5dp-3, 0x1.b079b89f9573ep-3, 0x1.b371c4f33d427p-3, 0x1.b638eba45b6d4p-3, 0x1.b8cfaa4095313p-3, 0x1.bb368b6ea2c2ep-3, 0x1.bd6e25f4aed01p-3, 0x1.bf771bb7c7d4ep-3, 0x1.c15218b6b09b7p-3, 0x1.c2ffd2039ba7cp-3, 0x1.c48104c10b7bcp-3, 0x1.c5d675265b80ep-3, 0x1.c700ed903611bp-3, 0x1.c8013da094fccp-3, 0x1.c8d83970da0cfp-3, 0x1.c986b8d754002p-3, 0x1.ca0d96c00e8p-3, 0x1.ca6db0978fe76p-3, 0x1.caa7e5c51eddap-3, 0x1.cabd173197cb6p-3, 0x1.caae26d7ba841p-3, 0x1.ca7bf75b2f91ep-3, 0x1.ca276ba450a51p-3, 0x1.c9b1667f91e1cp-3, 0x1.c91aca4065575p-3, 0x1.c86478683615cp-3, 0x1.c78f51528e313p-3, 0x1.c69c33e7ae0a1p-3, 0x1.c58bfd56a74a2p-3, 0x1.c45f88d7a63abp-3, 0x1.c317af76859a4p-3, 0x1.c1b547e52d666p-3, 0x1.c0392654b2144p-3, 0x1.bea41c53d9a6cp-3, 0x1.bcf6f8b18f0bp-3, 0x1.bb328761cb40ep-3, 0x1.b9579163dd7b5p-3, 0x1.b766dca955fa2p-3, 0x1.b5612bfd52875p-3, 0x1.b3473eec623f1p-3, 0x1.b119d1ad91c57p-3, 0x1.aed99d0d776adp-3, 0x1.ac87565c16c07p-3, 0x1.aa23af5e8f432p-3, 0x1.a7aeee75b5bb1p-3, 0x1.a52ae4c2f1095p-3, 0x1.a29779a59530fp-3, 0x1.9ff54c3b5aaf2p-3, 0x1.9d44f879a03d9p-3, 0x1.9a87176878aabp-3, 0x1.97bc3f54f22c5p-3, 0x1.94e503f88e721p-3, 0x1.9201f694a8a6cp-3, 0x1.8f13a6017dba7p-3, 0x1.8c1a9eb14a30fp-3, 0x1.89176aa8aa478p-3, 0x1.860a916e0b1e3p-3, 0x1.82f497f22e97p-3, 0x1.7fd600744a2f3p-3, 0x1.7caf4a6408028p-3, 0x1.7980f243dc3eap-3, 0x1.764b718dc5d66p-3, 0x1.730f3e9c4ae22p-3, 0x1.6fcccc9922feap-3, 0x1.6c848b728fa1ep-3, 0x1.6936e7d7fc54bp-3, 0x1.65e44b3e12cafp-3, 0x1.628d1bea0e152p-3, 0x1.5f31bd03c3b1cp-3, 0x1.5bd28eada39fep-3, 0x1.586fee21997c7p-3, 0x1.550a35d1ccf23p-3, 0x1.51a1bd8bf5de3p-3, 0x1.4e36da9e20215p-3, 0x1.4ac9dffbb5d1p-3, 0x1.475b1e61b56a8p-3, 0x1.43eae4793039p-3, 0x1.40797ef73a4dcp-3, 0x1.3d0738b9b9247p-3, 0x1.39945ae094ef8p-3, 0x1.36212ce3119acp-3, 0x1.32adf4a135235p-3, 0x1.2f3af67145d0fp-3, 0x1.2bc87529a7923p-3, 0x1.2856b22757ce9p-3, 0x1.24e5ed517d8eap-3, 0x1.2176651a8adffp-3, 0x1.1e08567f7366fp-3, 0x1.1a9bfd057eb2bp-3, 0x1.173192b7422ebp-3, 0x1.13c9502146a32p-3, 0x1.10636c4ebbc82p-3, 0x1.0d001cc6b511p-3, 0x1.099f958a2f048p-3, 0x1.0642091326245p-3, 0x1.02e7a854eb5e4p-3, 0x1.ff21457b99cc6p-4, 0x1.f87a4c742fbcfp-4, 0x1.f1dabe70eae51p-4, 0x1.eb42f15efce44p-4, 0x1.e4b33848eeb3ep-4, 0x1.de2be365ecac7p-4, 0x1.d7ad402aa1e2fp-4, 0x1.d137995b3b11cp-4, 0x1.cacb371e1b31p-4, 0x1.c4685f0ee2bdp-4, 0x1.be0f54516aac8p-4, 0x1.b7c057a4579bap-4, 0x1.b17ba772f27cfp-4, 0x1.ab417fe613cb6p-4, 0x1.a5121af3de646p-4, 0x1.9eedb06e3871ep-4, 0x1.98d4760fd93a2p-4, 0x1.92c69f87ef2cfp-4, 0x1.8cc45e84620cep-4, 0x1.86cde2babae1ep-4, 0x1.80e359efcc728p-4, 0x1.7b04effe3eeb7p-4, 0x1.7532cedc1f424p-4, 0x1.6f6d1e9fa03bep-4, 0x1.69b4058334dbp-4, 0x1.6407a7e9340e7p-4, 0x1.5e68285f2aec3p-4, 0x1.58d5a7a10a54ep-4, 0x1.5350449c5199ap-4, 0x1.4dd81c7357644p-4, 0x1.486d4a80cbcbep-4, 0x1.430fe85b88dfbp-4, 0x1.3dc00ddac420dp-4, 0x1.387dd11aa9b67p-4, 0x1.3349468169fb7p-4, 0x1.2e2280c4b992bp-4, 0x1.290990efc2992p-4, 0x1.23fe866981553p-4, 0x1.1f016efb822edp-4, 0x1.1a1256d8fa6e4p-4, 0x1.153148a629cfap-4, 0x1.105e4d7ffd5bp-4, 0x1.0b996d03e3519p-4, 0x1.06e2ad57c32aap-4, 0x1.023a13320ff4dp-4, 0x1.fb3f43c3c8c75p-5, 0x1.f226b6ae49b19p-5, 0x1.e92a805531f5fp-5, 0x1.e04a9f4bef83dp-5, 0x1.d7870f97c3d3cp-5, 0x1.cedfcabf85172p-5, 0x1.c654c7db2c08bp-5, 0x1.bde5fba32863bp-5, 0x1.b593587f7ba6dp-5, 0x1.ad5cce969c9a6p-5, 0x1.a5424bdc20c84p-5, 0x1.9d43bc1f38907p-5, 0x1.95610918f9a1dp-5, 0x1.8d9a1a7a81569p-5, 0x1.85eed5faf5a37p-5, 0x1.7e5f1f6566032p-5, 0x1.76ead8a69365ap-5, 0x1.6f91e1daa4127p-5, 0x1.6854195ac700fp-5, 0x1.61315bcac80f3p-5, 0x1.5a2984269951ap-5, 0x1.533c6bcfd33bdp-5, 0x1.4c69ea9b2ba3dp-5, 0x1.45b1d6dde0754p-5, 0x1.3f14057b1d1cap-5, 0x1.389049f14f69ep-5, 0x1.32267667750f5p-5, 0x1.2bd65bba534f9p-5, 0x1.259fc989a0f39p-5, 0x1.1f828e451a155p-5, 0x1.197e77397b49dp-5, 0x1.1393509d6159ap-5, 0x1.0dc0e59e0d878p-5, 0x1.0807006c04e56p-5, 0x1.02656a478fa58p-5, 0x1.f9b7d71a1fe82p-6, 0x1.eed497826003ep-6, 0x1.e420a339ce7b9p-6, 0x1.d99b86329b2f8p-6, 0x1.cf44caf68e055p-6, 0x1.c51bfabdf0d84p-6, 0x1.bb209d861deeep-6, 0x1.b1523a27a7b36p-6, 0x1.a7b0566c1792cp-6, 0x1.9e3a772346d3p-6, 0x1.94f020384bbf2p-6, 0x1.8bd0d4c600169p-6, 0x1.82dc172b184d5p-6, 0x1.7a11691dd13ecp-6, 0x1.71704bbf34531p-6, 0x1.68f83fadea58fp-6, 0x1.60a8c518a41ep-6, 0x1.58815bd01cfe4p-6, 0x1.50818358a73bp-6, 0x1.48a8bafb52fddp-6, 0x1.40f681d6a5778p-6, 0x1.396a56eee9434p-6, 0x1.3203b93e0cc95p-6, 0x1.2ac227c3187d6p-6, 0x1.23a521913ada6p-6, 0x1.1cac25de65304p-6, 0x1.15d6b411831c5p-6, 0x1.0f244bd0421f5p-6, 0x1.08946d0c74928p-6, 0x1.02269811056ep-6, 0x1.f7b49b1d10462p-7, 0x1.eb5e1d4ebb004p-7, 0x1.df48b9f6de0e3p-7, 0x1.d37375670f801p-7, 0x1.c7dd551882c2cp-7, 0x1.bc88278aceefp-7, 0x1.b16d815533336p-7, 0x1.a68f166c4173ap-7, 0x1.9bebf1a7fe9b8p-7, 0x1.91831f6816622p-7, 0x1.8753ada4ff7bcp-7, 0x1.7d5cac006d0f2p-7, 0x1.739d2bd51477bp-7, 0x1.6a144045c1b37p-7, 0x1.60c0fe4bc01dcp-7, 0x1.57a27cc4a1511p-7, 0x1.4eb7d47f52b41p-7, 0x1.460020488e81ap-7, 0x1.3d7a7cf6ab1b4p-7, 0x1.35260974becccp-7, 0x1.2d01e6cd289bcp-7, 0x1.250d383374023p-7, 0x1.1d47230da1002p-7, 0x1.15aecefcce8dap-7, 0x1.0e4365e54ba5bp-7, 0x1.070413f61195ap-7, 0x1.ffe00f5f511c3p-8, 0x1.f20ce3d4f5a55p-8, 0x1.e48d0bb933cfap-8, 0x1.d75ef23deb809p-8, 0x1.ca8107641d45fp-8, 0x1.bdf1c0043c897p-8, 0x1.b1af95d583511p-8, 0x1.a5b90774493aap-8, 0x1.9a0c98676475cp-8, 0x1.8ea8d1249ce5p-8, 0x1.838c3f143bd05p-8, 0x1.78b57493bab19p-8, 0x1.6e2308f7a246bp-8, 0x1.63d3988c9327ap-8, 0x1.59c5c4978f3d8p-8, 0x1.4ff833557ba8ep-8, 0x1.46698ff9fae55p-8, 0x1.3d188aad8936ep-8, 0x1.3403d88afc4ebp-8, 0x1.2b2a339c5db67p-8, 0x1.228a5ad7312cfp-8, 0x1.1a23121828a55p-8, 0x1.11f3221e5009fp-8, 0x1.09f95885b664bp-8, 0x1.023487c19c965p-8, 0x1.f5470e2c5d5b5p-9, 0x1.e68a65239b002p-9, 0x1.d830d60bee4bdp-9, 0x1.ca382bff89023p-9, 0x1.bc9e3b8022f4ep-9, 0x1.af60e2669778ep-9, 0x1.a27e07d1e2fb7p-9, 0x1.95f39c1586e7ep-9, 0x1.89bf98a75faffp-9, 0x1.7de0000cf5f97p-9, 0x1.7252ddc84f70dp-9, 0x1.6716464451465p-9, 0x1.5c2856c0ad02p-9, 0x1.5187353d71057p-9, 0x1.473110662fc7ap-9, 0x1.3d241f7cd29ffp-9, 0x1.335ea24416ff4p-9, 0x1.29dee0e9c93b6p-9, 0x1.20a32bf0a3985p-9, 0x1.17a9dc19f1147p-9, 0x1.0ef1524ef3f8fp-9, 0x1.0677f78a0b1cap-9, 0x1.fc78797f30337p-10, 0x1.ec79358d889a6p-10, 0x1.dcef2483f94dbp-10, 0x1.cdd7570e8e639p-10, 0x1.bf2eed10e0289p-10, 0x1.b0f315760109dp-10, 0x1.a3210e0037b44p-10, 0x1.95b62318507eep-10, 0x1.88afaf9cc1cb3p-10, 0x1.7c0b1cb074133p-10, 0x1.6fc5e18964cf9p-10, 0x1.63dd833ef96dcp-10, 0x1.584f9498265cap-10, 0x1.4d19b5d96d916p-10, 0x1.42399492973dbp-10, 0x1.37aceb6c62a45p-10, 0x1.2d7181f5fd828p-10, 0x1.23852c7267346p-10, 0x1.19e5cba5bb14fp-10, 0x1.10914ca271dbfp-10, 0x1.0785a89686d61p-10, 0x1.fd81c93157b97p-11, 0x1.ec8222eae9b96p-11, 0x1.dc0896f9238a9p-11, 0x1.cc11749c2f56cp-11, 0x1.bc99214fdc937p-11, 0x1.ad9c186662b1bp-11, 0x1.9f16eaa42073ep-11, 0x1.91063ddb27067p-11, 0x1.8366cc8745721p-11, 0x1.7635656b06cd1p-11, 0x1.696eeb2cc79dfp-11, 0x1.5d1053f4b32d3p-11, 0x1.5116a90b5b177p-11, 0x1.457f067920f64p-11, 0x1.3a469aa6786ffp-11, 0x1.2f6aa5fcdc119p-11, 0x1.24e87a891054p-11, 0x1.1abd7b9e11174p-11, 0x1.10e71d792e34fp-11, 0x1.0762e4e7406ccp-11, 0x1.fc5ccdd5f654cp-12, 0x1.ea8e90c8edb25p-12, 0x1.d9567b73d6ddap-12, 0x1.c8b015035d17ap-12, 0x1.b897025af93f6p-12, 0x1.a907056e0c2b9p-12, 0x1.99fbfc9be91dfp-12, 0x1.8b71e20e1f534p-12, 0x1.7d64cb19e7774p-12, 0x1.6fd0e7a424dfdp-12, 0x1.62b2818829d8cp-12, 0x1.5605fc014ddd2p-12, 0x1.49c7d3173b9e6p-12, 0x1.3df49b0d13ad6p-12, 0x1.3288ffd33b3b5p-12, 0x1.2781c47c0316ep-12, 0x1.1cdbc2b2f232fp-12, 0x1.1293ea36bda06p-12, 0x1.08a74055f8c94p-12, 0x1.fe25bedcaacb4p-13, 0x1.eba7ecdd2c946p-13, 0x1.d9cf90b5c4677p-13, 0x1.c89757a7679cap-13, 0x1.b7fa153e2582bp-13, 0x1.a7f2c269902fp-13, 0x1.987c7c988b661p-13, 0x1.899284d9a1d7bp-13, 0x1.7b303f01d3adfp-13, 0x1.6d5130d5abe04p-13, 0x1.5ff10137cd3eep-13, 0x1.530b775b8c381p-13, 0x1.469c79fb9f414p-13, 0x1.3aa00e9514b89p-13, 0x1.2f1258a6222a7p-13, 0x1.23ef98f0c7922p-13, 0x1.19342cc1da4e9p-13, 0x1.0edc8d3a5d28ap-13, 0x1.04e54e9e939fep-13, 0x1.f6963f4e20a36p-14, 0x1.e41591abbd096p-14, 0x1.d242579e3936bp-14, 0x1.c1168569d5371p-14, 0x1.b08c3f0d66318p-14, 0x1.a09dd70742f06p-14, 0x1.9145cd20f088p-14, 0x1.827ecd40bce25p-14, 0x1.7443ae419fa29p-14, 0x1.668f70d16414ap-14, 0x1.595d3e5468034p-14, 0x1.4ca867cfb25ffp-14, 0x1.406c64d874aa3p-14, 0x1.34a4d28944304p-14, 0x1.294d727db0b74p-14, 0x1.1e6229d1bc17p-14, 0x1.13df00288fb2dp-14, 0x1.09c01eb78e1e4p-14, 0x1.0001cf56ce3e5p-14, 0x1.ed40f72e4fcc1p-15, 0x1.db3157b9d5f67p-15, 0x1.c9ce0d00288b5p-15, 0x1.b9109de25d844p-15, 0x1.a8f2c9c72fec3p-15, 0x1.996e86f78dcf1p-15, 0x1.8a7e010520f63p-15, 0x1.7c1b973e00569p-15, 0x1.6e41db23e5da9p-15, 0x1.60eb8ef0ecb3dp-15, 0x1.5413a41fb902fp-15, 0x1.47b53a069942fp-15, 0x1.3bcb9c70927abp-15, 0x1.305242454a27p-15, 0x1.2544cc37802abp-15, 0x1.1a9f037c3d1ffp-15, 0x1.105cd88a16e14p-15, 0x1.067a61e04f1d9p-15, 0x1.f9e7b5acb3211p-16, 0x1.e78b44e54c12bp-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.dedde0142ec75p-1, -0x1.d9ac84128c109p-1, -0x1.d470c4586fd9bp-1, -0x1.cefd5937acf8dp-1, -0x1.c933ff364f195p-1, -0x1.c300af5ce432cp-1, -0x1.bc587130e07cap-1, -0x1.b538be8640f76p-1, -0x1.ada3a542a7591p-1, -0x1.a59f604bb3834p-1, -0x1.9d36168cd2643p-1, -0x1.9473f33f4afdp-1, -0x1.8b663823c5bdep-1, -0x1.821afe292f707p-1, -0x1.78a0c45346751p-1, -0x1.6f05f60c883c3p-1, -0x1.655886a68e125p-1, -0x1.5ba5b28c03c4bp-1, -0x1.51f9e5b972ea5p-1, -0x1.4860aa82d3fdap-1, -0x1.3ee494472bb3fp-1, -0x1.358ef7f35ecc8p-1, -0x1.2c690537e77a7p-1, -0x1.2379c75ee80c6p-1, -0x1.1ac790f54151ap-1, -0x1.1257f0a8ca9afp-1, -0x1.0a2fb69810fe6p-1, -0x1.0252dfa46f577p-1, -0x1.f589159fc42e2p-2, -0x1.e70e060908feap-2, -0x1.d937ab2b9f324p-2, -0x1.cc07db82f0c37p-2, -0x1.bf7f60baffd13p-2, -0x1.b39e249c16937p-2, -0x1.a8634afeab361p-2, -0x1.9dcd3a2b908e5p-2, -0x1.93d99c188cddcp-2, -0x1.8a856414ae997p-2, -0x1.81ccdf2d74a49p-2, -0x1.79abceed5e5dfp-2, -0x1.721d89729fd33p-2, -0x1.6b1d184f14c5ap-2, -0x1.64a550dd15eabp-2, -0x1.5eb0e3a741006p-2, -0x1.593a63bf164efp-2, -0x1.543c492b5b546p-2, -0x1.4fb0f2543fc2dp-2, -0x1.4b92a79412c2ap-2, -0x1.47dba26b8066ap-2, -0x1.4486180ad592dp-2, -0x1.418c45930c989p-2, -0x1.3ee87bf3d7016p-2, -0x1.3c952996349ep-2, -0x1.3a8ce0cfdaaafp-2, -0x1.38ca5b125c153p-2, -0x1.3748799a45e37p-2, -0x1.360244d57714ap-2, -0x1.34f2ebb773d4p-2, -0x1.3415c3d31097ap-2, -0x1.33664a87437b7p-2, -0x1.32e02711165b3p-2, -0x1.327f2d08eaa37p-2, -0x1.323f5ebb4ea4p-2, -0x1.321b8d6ac72d7p-2, -0x1.32135a4fd6cd8p-2, -0x1.3221a2b0e5753p-2, -0x1.324310727a7d1p-2, -0x1.32747c1f47f5fp-2, -0x1.32b2ef9fd5326p-2, -0x1.32fba7b48aab6p-2, -0x1.334c13fcbe149p-2, -0x1.33a1d5930ca3cp-2, -0x1.33fabc7a8ebcbp-2, -0x1.3454c43a23669p-2, -0x1.34ae101152ffep-2, -0x1.3504e72e37314p-2, -0x1.3557b139e53cep-2, -0x1.35a4f376882dbp-2, -0x1.35eb4e8d3b0bp-2, -0x1.36297d0e3dce2p-2, -0x1.365e528f8b7f2p-2, -0x1.3688bb45d4e12p-2, -0x1.36a7bbead4e2ep-2, -0x1.36ba71c1f1744p-2, -0x1.36c0128fe91c1p-2, -0x1.36b7ec62bfbf2p-2, -0x1.36a165128e911p-2, -0x1.367bf9704612cp-2, -0x1.36473c237d592p-2, -0x1.3602d44264abep-2, -0x1.35ae7bb62e011p-2, -0x1.3549fd823a314p-2, -0x1.34d534053d23bp-2, -0x1.34500749ab5bcp-2, -0x1.33ba6b76eb0a6p-2, -0x1.33145f6faf258p-2, -0x1.325deba46f182p-2, -0x1.3197211bbc147p-2, -0x1.30c018add787ep-2, -0x1.2fd8f26da5488p-2, -0x1.2ee1d536e432ep-2, -0x1.2ddaee5881fc8p-2, -0x1.2cc4715199804p-2, -0x1.2b9e97982c18ep-2, -0x1.2a69a0619f8a5p-2, -0x1.2925d0667afa9p-2, -0x1.27d3719ca6e02p-2, -0x1.2672d2e550fcp-2, -0x1.250447ad85ff4p-2, -0x1.2388278251c55p-2, -0x1.21fecd9aa4f4dp-2, -0x1.2068985a44198p-2, -0x1.1ec5e8d196bcdp-2, -0x1.1d17223e59dfdp-2, -0x1.1b5ca990f50c6p-2, -0x1.1996e4f9b8b3dp-2, -0x1.17c63b8081cf3p-2, -0x1.15eb14a86b9bap-2, -0x1.1405d82046d8fp-2, -0x1.1216ed7fa0714p-2, -0x1.101ebc0f699bp-2, -0x1.0e1daa9cae98ep-2, -0x1.0c141f5374594p-2, -0x1.0a027f9fb58c1p-2, -0x1.07e9301299a46p-2, -0x1.05c8944a4e82ep-2, -0x1.03a10edb54e1cp-2, -0x1.0173013a8b3p-2, -0x1.fe7d974f4a1dp-3, -0x1.fa099a302cf03p-3, -0x1.f58ac64554e08p-3, -0x1.f101d3d83fa13p-3, -0x1.ec6f782a26ecep-3, -0x1.e7d46552e2d88p-3, -0x1.e3314a231dda8p-3, -0x1.de86d209acc8cp-3, -0x1.d9d5a4fbeb223p-3, -0x1.d51e6760a6a79p-3, -0x1.d061b9fd4bfa4p-3, -0x1.cba039e505175p-3, -0x1.c6da8069a67ebp-3, -0x1.c211230e75955p-3, -0x1.bd44b37d02507p-3, -0x1.b875bf7c6190ep-3, -0x1.b3a4d0eb28f0ep-3, -0x1.aed26dbc98359p-3, -0x1.a9ff17f9333d7p-3, -0x1.a52b1b8c2bc68p-3, -0x1.a057920aecf73p-3, -0x1.9b84834d0ab15p-3, -0x1.96b25f3cc4cb3p-3, -0x1.91e1925f7943ap-3, -0x1.8d128603b36cp-3, -0x1.8845a068b9f7bp-3, -0x1.837b44de932fap-3, -0x1.7eb3d3dde0128p-3, -0x1.79efab178f448p-3, -0x1.752f257cf2c76p-3, -0x1.70729b4110debp-3, -0x1.6bba61d48aaffp-3, -0x1.6706cbdd6eca6p-3, -0x1.6258292ca150ep-3, -0x1.5daec6b25a2a5p-3, -0x1.590aee732c6ap-3, -0x1.546ce77ef7a91p-3, -0x1.4fd4f5eabc3f3p-3, -0x1.4b435ace354b2p-3, -0x1.46b85445c1c2cp-3, -0x1.42341d78d698bp-3, -0x1.3db6eea50d515p-3, -0x1.3940fd2d91752p-3, -0x1.34d27bae84335p-3, -0x1.306b9a13cfa05p-3, -0x1.2c0c85b2bb66bp-3, -0x1.27b5696588709p-3, -0x1.23666da8590e7p-3, -0x1.1f1fb8b6a6bccp-3, -0x1.1ae16ea88787cp-3, -0x1.16abb18f39d71p-3, -0x1.127ea1904b19cp-3, -0x1.0e5a5cff031fdp-3, -0x1.0a3f0073ac55fp-3, -0x1.062ca6e084fd4p-3, -0x1.022369a439b56p-3, -0x1.fc46c133cf2bbp-4, -0x1.f459444d563dp-4, -0x1.ec7e8689fbed8p-4, -0x1.e4b6af1bfbbf1p-4, -0x1.dd01e281f5ec3p-4, -0x1.d560429307a18p-4, -0x1.cdd1ee88b91p-4, -0x1.c65703072760ap-4, -0x1.beef9a243be24p-4, -0x1.b79bcb6e70de1p-4, -0x1.b05babf39f384p-4, -0x1.a92f4e48570aap-4, -0x1.a216c29009982p-4, -0x1.9b121686590aep-4, -0x1.94215589b3477p-4, -0x1.8d4488a74534ep-4, -0x1.867bb6a85d57ep-4, -0x1.7fc6e4211b73p-4, -0x1.792613805a866p-4, -0x1.72994520a717p-4, -0x1.6c20775a0f9b3p-4, -0x1.65bba6949881ep-4, -0x1.5f6acd5b12eb8p-4, -0x1.592de46e22017p-4, -0x1.5304e2d72f0fdp-4, -0x1.4cefbdfb1740cp-4, -0x1.46ee69ac6758ap-4, -0x1.4100d83cf5f32p-4, -0x1.3b26fa8ebfc13p-4, -0x1.3560c023e9fcep-4, -0x1.2fae172dd94dap-4, -0x1.2a0eec9b54d8fp-4, -0x1.24832c25b3e96p-4, -0x1.1f0ac05d18d06p-4, -0x1.19a592b3c6612p-4, -0x1.14538b889c547p-4, -0x1.0f149230d1cf9p-4, -0x1.09e88d00ffa4dp-4, -0x1.04cf615596468p-4, -0x1.ff91e735a8b87p-5, -0x1.f5aa4ea8b060ap-5, -0x1.ebe7be48c6028p-5, -0x1.e249f9a5c7b4fp-5, -0x1.d8d0c2a8b8811p-5, -0x1.cf7bd9a164c8cp-5, -0x1.c64afd53f8406p-5, -0x1.bd3deb06a1fb5p-5, -0x1.b4545e8f4f57p-5, -0x1.ab8e126194499p-5, -0x1.a2eabf9cba0a4p-5, -0x1.9a6a1e1a01cc3p-5, -0x1.920be47b0e879p-5, -0x1.89cfc83872ffep-5, -0x1.81b57db05f1adp-5, -0x1.79bcb835592dap-5, -0x1.71e52a1cfc915p-5, -0x1.6a2e84ceae5cep-5, -0x1.629878d23b413p-5, -0x1.5b22b5de51271p-5, -0x1.53cceae6c7314p-5, -0x1.4c96c62aad195p-5, -0x1.457ff5421378fp-5, -0x1.3e88252b897d3p-5, -0x1.37af025945198p-5, -0x1.30f438bdf5bb2p-5, -0x1.2a5773d939c02p-5, -0x1.23d85ec3b8cd1p-5, -0x1.1d76a43ae1404p-5, -0x1.1731eeac49757p-5, -0x1.1109e840b319p-5, -0x1.0afe3ae6bfaabp-5, -0x1.050e905d4600dp-5, -0x1.fe75247ac171ep-6, -0x1.f303d4084e52ep-6, -0x1.e7c882384bdebp-6, -0x1.dcc281cd1591bp-6, -0x1.d1f1258829f33p-6, -0x1.c753c03b892fp-6, -0x1.bce9a4daa3185p-6, -0x1.b2b2268acd8c4p-6, -0x1.a8ac98b35a6c3p-6, -0x1.9ed84f0d3ae51p-6, -0x1.95349db246877p-6, -0x1.8bc0d92c1d0b4p-6, -0x1.827c5682a7abbp-6, -0x1.79666b4a374a6p-6, -0x1.707e6db14cb98p-6, -0x1.67c3b48df3f37p-6, -0x1.5f35976accfdbp-6, -0x1.56d36e93b0dedp-6, -0x1.4e9c9321ec535p-6, -0x1.46905f082995bp-6, -0x1.3eae2d1deaf7ap-6, -0x1.36f5592aa7e3fp-6, -0x1.2f653ff0875dp-6, -0x1.27fd3f36b3092p-6, -0x1.20bcb5d34ca86p-6, -0x1.19a303b4fb651p-6, -0x1.12af89ec15377p-6, -0x1.0be1aab3694a3p-6, -0x1.0538c978a3a1fp-6, -0x1.fd6895c8abfc4p-7, -0x1.f0a729c32a1fap-7, -0x1.e42c1d4a8af04p-7, -0x1.d7f64169f8d0fp-7, -0x1.cc0469db1bdbfp-7, -0x1.c0556d127cb3ap-7, -0x1.b4e8244b27ec5p-7, -0x1.a9bb6b91b80e6p-7, -0x1.9ece21ce9ec93p-7, -0x1.941f28cfd6266p-7, -0x1.89ad6551e33a8p-7, -0x1.7f77bf083592fp-7, -0x1.757d20a4fb508p-7, -0x1.6bbc77e045552p-7, -0x1.6234b57e9a7c8p-7, -0x1.58e4cd5703b8dp-7, -0x1.4fcbb65874edfp-7, -0x1.46e86a8ebfdcfp-7, -0x1.3e39e726e72e6p-7, -0x1.35bf2c72fd611p-7, -0x1.2d773ded78f4bp-7, -0x1.2561223c06d15p-7, -0x1.1d7be331eca86p-7, -0x1.15c68dd1e5365p-7, -0x1.0e40324f8d9cfp-7, -0x1.06e7e4105f0f1p-7, -0x1.ff79735872084p-8, -0x1.f17b99dafc256p-8, -0x1.e3d475a192b1cp-8, -0x1.d684cb986c974p-8, -0x1.c985f13679bfbp-8, -0x1.bcd89f2a37d8p-8, -0x1.b07b28e1618d3p-8, -0x1.a46be81e91c41p-8, -0x1.98a93cf418628p-8, -0x1.8d318dbe4ebeap-8, -0x1.8203471d417aap-8, -0x1.771cdbedcb63bp-8, -0x1.6c7cc5421a4a5p-8, -0x1.62218259c14a9p-8, -0x1.580998992e053p-8, -0x1.4e339380a79f7p-8, -0x1.449e04a2d0ca5p-8, -0x1.3b47839aaf0fdp-8, -0x1.322eae013d512p-8, -0x1.2952276293de6p-8, -0x1.20b0993294b54p-8, -0x1.1848b2c14b305p-8, -0x1.1019292ecb5b6p-8, -0x1.0820b75ec548fp-8, -0x1.005e1debb35a9p-8, -0x1.f1a046336f81cp-9, -0x1.e2eb25924ba4ep-9, -0x1.d49a7cd17653ep-9, -0x1.c6abf9cf29dd8p-9, -0x1.b91d554db59c6p-9, -0x1.abec52d655cfap-9, -0x1.9f16c09b992c6p-9, -0x1.929a775b53076p-9, -0x1.86755a402288bp-9, -0x1.7aa556c29c6cep-9, -0x1.6f28648a25f5p-9, -0x1.63fc854d927bp-9, -0x1.591fc4b350fefp-9, -0x1.4e90383189f07p-9, -0x1.444bfeeddc253p-9, -0x1.3a51419d2ab24p-9, -0x1.309e32630b121p-9, -0x1.27310cb137cb4p-9, -0x1.1e081526e0c0ap-9, -0x1.1521996ff03ebp-9, -0x1.0c7bf0244a67cp-9, -0x1.041578a705df6p-9, -0x1.f7d9360b5d2e1p-10, -0x1.e7ff8faf1fda1p-10, -0x1.d89af03a273e5p-10, -0x1.c9a85a3e4ddd9p-10, -0x1.bb24e09db4a23p-10, -0x1.ad0da64a0a1f9p-10, -0x1.9f5fde042ac67p-10, -0x1.9218ca1c1c4b5p-10, -0x1.8535bc315c5e3p-10, -0x1.78b414f395d77p-10, -0x1.6c9143e3b237p-10, -0x1.60cac71564bd1p-10, -0x1.555e2af1297a3p-10, -0x1.4a4909f6c158ep-10, -0x1.3f890c801a3dap-10, -0x1.351be884da681p-10, -0x1.2aff615e4b87ep-10, -0x1.2131478bfc36bp-10, -0x1.17af7878b2833p-10, -0x1.0e77de40478b5p-10, -0x1.05886f75bcbc2p-10, -0x1.f9be5dd42d542p-11, -0x1.e8f456e76eb9ap-11, -0x1.d8aeff6ccf5e7p-11, -0x1.c8eaa3d76efbp-11, -0x1.b9a3a758e9a62p-11, -0x1.aad68374550d1p-11, -0x1.9c7fc79323294p-11, -0x1.8e9c189afa66fp-11, -0x1.81283084cbfb5p-11, -0x1.7420ddf509c72p-11, -0x1.678303d51166bp-11, -0x1.5b4b98edebf37p-11, -0x1.4f77a783dd9d4p-11, -0x1.44044cf37f1afp-11, -0x1.38eeb94fcde62p-11, -0x1.2e342f0182878p-11, -0x1.23d2026777cdap-11, -0x1.19c599781c2d5p-11, -0x1.100c6b647ddcep-11, -0x1.06a4003bf53c1p-11, -0x1.fb13e1228f065p-12, -0x1.e977ca4189099p-12, -0x1.d86f2cef96c06p-12, -0x1.c7f5993a1f75p-12, -0x1.b806bd74c5754p-12, -0x1.a89e658f02024p-12, -0x1.99b87a6bf99a7p-12, -0x1.8b51013cd360fp-12, -0x1.7d641add86928p-12, -0x1.6fee0332e6628p-12, -0x1.62eb108d5ef35p-12, -0x1.5657b30bc6204p-12, -0x1.4a3074013e27fp-12, -0x1.3e71f55e715fap-12, -0x1.3318f11bf7238p-12, -0x1.282238a7d24fcp-12, -0x1.1d8ab45533568p-12, -0x1.134f62ceb7982p-12, -0x1.096d588b4751cp-12, -0x1.ffc37e893791fp-13, -0x1.ed53aae3d2533p-13, -0x1.db85db867d929p-13, -0x1.ca54dd4126a2fp-13, -0x1.b9bba3551e701p-13, -0x1.a9b5467ccf7dap-13, -0x1.9a3d03f7af773p-13, -0x1.8b4e3c9b79a1ap-13, -0x1.7ce473ea3c302p-13, -0x1.6efb4f2d4998bp-13, -0x1.618e949516049p-13, -0x1.549a2a5e1e956p-13, -0x1.481a15fa30422p-13, -0x1.3c0a7b3eadba5p-13, -0x1.30679b97a65fp-13, -0x1.252dd53f77291p-13, -0x1.1a59a27b03e77p-13, -0x1.0fe798da79839p-13, -0x1.05d4687ed9414p-13, -0x1.f839b6c56817p-14, -0x1.e57ba952adf27p-14, -0x1.d3689fe0742a9p-14, -0x1.c1fac14b5e0c3p-14, -0x1.b12c62c67f538p-14, -0x1.a0f806981f645p-14, -0x1.91585adfbdf1dp-14, -0x1.82483861581p-14, -0x1.73c2a159c688fp-14, -0x1.65c2c059650e7p-14, -0x1.5843e72911e7p-14, -0x1.4b418db2b2dcdp-14, -0x1.3eb750ef01413p-14, -0x1.32a0f1e162554p-14, -0x1.26fa5492b1d76p-14, -0x1.1bbf7f161e3edp-14, -0x1.10ec989374f07p-14, -0x1.067de857d8767p-14, -0x1.f8dfa9d6e4ff8p-15, -0x1.e57dc65de4d17p-15, -0x1.d2cf6af73589p-15, -0x1.c0ce159901af2p-15, -0x1.af737bd03ccb3p-15, -0x1.9eb9892c847f5p-15, -0x1.8e9a5da8b3b02p-15, -0x1.7f104c2490f91p-15, -0x1.7015d8e6837d7p-15, -0x1.61a5b826e9897p-15, -0x1.53bacca4ac7cfp-15, -0x1.46502643578a4p-15, -0x1.396100b135e5fp-15, -0x1.2ce8c21692833p-15, -0x1.20e2f9cf1b54p-15, -0x1.154b5f27768d9p-15, -0x1.0a1dd02762181p-15, -0x1.feaca0c239e76p-16, -0x1.e9e20f9333129p-16, -0x1.d5d4832ed2266p-16, -0x1.c27cd65806355p-16, -0x1.afd425fd884bep-16, -0x1.9dd3cf28c7a9fp-16, -0x1.8c756cf5561efp-16, -0x1.7bb2d6996f57cp-16, -0x1.6b861d76896a5p-16, -0x1.5be98b3c8ecc9p-16, -0x1.4cd7a017b1fc1p-16, -0x1.3e4b10e74ff58p-16, -0x1.303ec58afbc47p-16, -0x1.22add72f5bf54p-16, -0x1.15938eaa4bb6p-16, -0x1.08eb62efbcb5bp-16, -0x1.f961eef959f84p-17, -0x1.e1c035bb4237p-17, -0x1.cae98a59ec4dep-17, -0x1.b4d62d7ba5e7cp-17, -0x1.9f7ead53e4b36p-17, -0x1.8adbe304ca51ap-17, -0x1.76e6f005e76a2p-17, -0x1.63993b9d956f8p-17, -0x1.50ec706f009fp-17, -0x1.3eda7a1b4456p-17, -0x1.2d5d82f152078p-17, -0x1.1c6ff1b2ca251p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.b7e252af13d6p-1, 0x1.b288314f9caap-1, 0x1.ad2ab7bca08dp-1, 0x1.a7cc48a82a86ep-1, 0x1.a26ed2b66efd8p-1, 0x1.9d13da14d78bfp-1, 0x1.97bc823065fd2p-1, 0x1.9269975c9d4bp-1, 0x1.8d1b9845c1b9bp-1, 0x1.87d2bf117b965p-1, 0x1.828f0a17fbb07p-1, 0x1.7d504425b5717p-1, 0x1.78160c3ac6792p-1, 0x1.72dfdcc157305p-1, 0x1.6dad1237a7739p-1, 0x1.687cf14d51793p-1, 0x1.634eac758667p-1, 0x1.5e2168f1cc65p-1, 0x1.58f4435a26eap-1, 0x1.53c653a88d5a9p-1, 0x1.4e96b0ce5360dp-1, 0x1.496473da9a48bp-1, 0x1.442ebab9289a4p-1, 0x1.3ef4aa9122a1p-1, 0x1.39b571cb158efp-1, 0x1.347049c5a2645p-1, 0x1.2f24783fe2c53p-1, 0x1.29d1508056ad9p-1, 0x1.2476343ed9429p-1, 0x1.1f129457be323p-1, 0x1.19a5f14ddceecp-1, 0x1.142fdba0e6682p-1, 0x1.0eaff3fd0944ap-1, 0x1.0925eb487aa91p-1, 0x1.039182932646cp-1, 0x1.fbe515d8c6eecp-2, 0x1.f091ca4477327p-2, 0x1.e52902daed211p-2, 0x1.d9aabe1aa9d7bp-2, 0x1.ce1717ab2ef0ep-2, 0x1.c26e4762538p-2, 0x1.b6b0a0371ef3bp-2, 0x1.aade8f25d9403p-2, 0x1.9ef89a08b16aap-2, 0x1.92ff5e67dea5fp-2, 0x1.86f39043da441p-2, 0x1.7ad5f8dbf2312p-2, 0x1.6ea7757331b2ap-2, 0x1.6268f61553639p-2, 0x1.561b7c5d40c5dp-2, 0x1.49c01a3e5c119p-2, 0x1.3d57f0d1b1b1bp-2, 0x1.30e42f27f9347p-2, 0x1.246611212f8e8p-2, 0x1.17dede4a66d2cp-2, 0x1.0b4fe8c25c807p-2, 0x1.fd75184a77208p-3, 0x1.e44058ffc46c4p-3, 0x1.cb046a95e1a95p-3, 0x1.b1c430db98b6p-3, 0x1.98829a9380f2p-3, 0x1.7f429f9a978d9p-3, 0x1.66073f1f57bb6p-3, 0x1.4cd37de9412cap-3, 0x1.33aa64b0d4c29p-3, 0x1.1a8efe87d8d72p-3, 0x1.01845751d0e08p-3, 0x1.d11af498ee5d8p-4, 0x1.9f5ae14ffba7ep-4, 0x1.6dce805dbfd34p-4, 0x1.3c7bd3fa0d5fep-4, 0x1.0b68d28bfac63p-4, 0x1.b536c8a7afa65p-5, 0x1.5432c264511acp-5, 0x1.e7a23a2c4065fp-6, 0x1.283a751666693p-6, 0x1.a9127e64bb2c5p-8, -0x1.48a4f3b91ab6ep-8, -0x1.0cf97e9a2fe42p-6, -0x1.c616f158435a7p-6, -0x1.3eb66a70f93eap-5, -0x1.997371297f08ap-5, -0x1.f338a8b04f696p-5, -0x1.25fe374cdf9c9p-4, -0x1.51dab239ac126p-4, -0x1.7d2d38eb772f9p-4, -0x1.a7f163292f1ccp-4, -0x1.d222ed92888c3p-4, -0x1.fbbdba6a1a668p-4, -0x1.125ee925b98d5p-3, -0x1.268fb266cbd02p-3, -0x1.3a6f6489380f8p-3, -0x1.4dfc3f21dec7ep-3, -0x1.613495fef8278p-3, -0x1.7416d154c9886p-3, -0x1.86a16de1ccbp-3, -0x1.98d2fd0aa0cbp-3, -0x1.aaaa24edebd89p-3, -0x1.bc25a07088p-3, -0x1.cd443f421e3e7p-3, -0x1.de04e5da8ac6bp-3, -0x1.ee668d703006bp-3, -0x1.fe6843e78cc2dp-3, -0x1.070495de21822p-2, -0x1.0ea43df1eb1cdp-2, -0x1.1612bfd53140ep-2, -0x1.1d4fcb44bddfcp-2, -0x1.245b19fcc3923p-2, -0x1.2b346f9edaf47p-2, -0x1.31db9995774aep-2, -0x1.38506ef4ef789p-2, -0x1.3e92d05a3294fp-2, -0x1.44a2a7c74ed59p-2, -0x1.4a7fe87de36d7p-2, -0x1.502a8ed799155p-2, -0x1.55a2a01cc3fdcp-2, -0x1.5ae82a5945972p-2, -0x1.5ffb442fcc8a1p-2, -0x1.64dc0cab92f98p-2, -0x1.698aab10ae69dp-2, -0x1.6e074eab139abp-2, -0x1.72522e9c64c0fp-2, -0x1.766b89a8a728bp-2, -0x1.7a53a601f8dfap-2, -0x1.7e0ad1135b848p-2, -0x1.81915f4ab84bcp-2, -0x1.84e7abe226762p-2, -0x1.880e18a89848fp-2, -0x1.8b050dca01724p-2, -0x1.8dccf99709512p-2, -0x1.9066504c64d73p-2, -0x1.92d18bd9ee71dp-2, -0x1.950f2ba9876ap-2, -0x1.971fb465e1f55p-2, -0x1.9903afc1420a2p-2, -0x1.9abbac3c47e0cp-2, -0x1.9c483cecd69acp-2, -0x1.9da9f9452b4adp-2, -0x1.9ee17cdb318f5p-2, -0x1.9fef673027c7bp-2, -0x1.a0d45b78a4eccp-2, -0x1.a19100650a298p-2, -0x1.a225ffea715bdp-2, -0x1.a294070c2a13cp-2, -0x1.a2dbc5a5c6d4bp-2, -0x1.a2fdee35d56c4p-2, -0x1.a2fb35a9433f3p-2, -0x1.a2d453277cf26p-2, -0x1.a289ffdf531bap-2, -0x1.a21cf6d4b0bbfp-2, -0x1.a18df4af2545fp-2, -0x1.a0ddb789566aap-2, -0x1.a00cfec153151p-2, -0x1.9f1c8ac9df52dp-2, -0x1.9e0d1cfcb0d07p-2, -0x1.9cdf776dae604p-2, -0x1.9b945cbf2f08ep-2, -0x1.9a2c8ff744ea5p-2, -0x1.98a8d45612a94p-2, -0x1.9709ed2d365ep-2, -0x1.95509db845a25p-2, -0x1.937da8f663f9ap-2, -0x1.9191d184f637fp-2, -0x1.8f8dd97b6ef17p-2, -0x1.8d7282483bddbp-2, -0x1.8b408c8ed6d2ap-2, -0x1.88f8b806f189bp-2, -0x1.869bc35cca44cp-2, -0x1.842a6c129acc3p-2, -0x1.81a56e63304ccp-2, -0x1.7f0d85259e702p-2, -0x1.7c6369b2159cdp-2, -0x1.79a7d3c7d7154p-2, -0x1.76db797444c37p-2, -0x1.73ff0efb0e032p-2, -0x1.711346bf72d12p-2, -0x1.6e18d12ea0745p-2, -0x1.6b105cab1ca1cp-2, -0x1.67fa95794857dp-2, -0x1.64d825ace7165p-2, -0x1.61a9b517b6c52p-2, -0x1.5e6fe9390b86cp-2, -0x1.5b2b652e6a31p-2, -0x1.57dcc9a52722dp-2, -0x1.5484b4ccf9314p-2, -0x1.5123c24b8582ep-2, -0x1.4dba8b30d95a1p-2, -0x1.4a49a5ecd4016p-2, -0x1.46d1a64573a87p-2, -0x1.43531d4e08b66p-2, -0x1.3fce995f43b08p-2, -0x1.3c44a6101cd64p-2, -0x1.38b5cc2f8f47ep-2, -0x1.352291bf21915p-2, -0x1.318b79ee37327p-2, -0x1.2df10516256d4p-2, -0x1.2a53b0b706f42p-2, -0x1.26b3f775468d9p-2, -0x1.23125117dfcc6p-2, -0x1.1f6f328748393p-2, -0x1.1bcb0dcd0868ep-2, -0x1.18265213f1338p-2, -0x1.14816ba8f1e41p-2, -0x1.10dcc3fc8541dp-2, -0x1.0d38c1a4b1efep-2, -0x1.0995c85f9718ap-2, -0x1.05f4391681e0ep-2, -0x1.025471e18498ap-2, -0x1.fd6d9c171a0e5p-3, -0x1.f6374c2ddf664p-3, -0x1.ef069f84d2f4p-3, -0x1.e7dc3c1d19cf9p-3, -0x1.e0b8c2873238dp-3, -0x1.d99ccdef690e2p-3, -0x1.d288f42b0e22fp-3, -0x1.cb7dc5c657a16p-3, -0x1.c47bce12fc61p-3, -0x1.bd8393375d9e4p-3, -0x1.b695963e5d18ep-3, -0x1.afb25327b1dc6p-3, -0x1.a8da40f8c9c56p-3, -0x1.a20dd1ce2ef7cp-3, -0x1.9b4d72ed56012p-3, -0x1.94998cd6e55edp-3, -0x1.8df2835955da3p-3, -0x1.8758b5a3fe354p-3, -0x1.80cc7e5a6535ep-3, -0x1.7a4e33a7ed693p-3, -0x1.73de2753bcb71p-3, -0x1.6d7ca6d4f15dap-3, -0x1.6729fb66fda0cp-3, -0x1.60e66a1e4571dp-3, -0x1.5ab233fcdae1p-3, -0x1.548d9607684bdp-3, -0x1.4e78c95a324b5p-3, -0x1.4874033e35c89p-3, -0x1.427f753e596aap-3, -0x1.3c9b4d3ca8b1ap-3, -0x1.36c7b5879e05fp-3, -0x1.3104d4ef63fb9p-3, -0x1.2b52cedb2123cp-3, -0x1.25b1c35e3409p-3, -0x1.2021cf4d67412p-3, -0x1.1aa30c5413e7p-3, -0x1.15359109319bfp-3, -0x1.0fd971044b447p-3, -0x1.0a8ebcf259618p-3, -0x1.055582aa7cbf6p-3, -0x1.002dcd429432ep-3, -0x1.f62f4a475aca6p-4, -0x1.ec26203c91863p-4, -0x1.e24022fce2e3ep-4, -0x1.d87d543f4b882p-4, -0x1.ceddb1011e99ep-4, -0x1.c56131acfac4dp-4, -0x1.bc07ca4161fecp-4, -0x1.b2d16a76d7eacp-4, -0x1.a9bdfde57a882p-4, -0x1.a0cd6c2a34d9p-4, -0x1.97ff990b5efep-4, -0x1.8f54649ce4676p-4, -0x1.86cbab63df93cp-4, -0x1.7e654679acc2ep-4, -0x1.76210bae70a05p-4, -0x1.6dfecdab0fe7dp-4, -0x1.65fe5c1294d87p-4, -0x1.5e1f83a303b25p-4, -0x1.56620e5597e99p-4, -0x1.4ec5c37e6d0b5p-4, -0x1.474a67eb8d88p-4, -0x1.3fefbe036a8bdp-4, -0x1.38b585e2b9089p-4, -0x1.319b7d79b30d9p-4, -0x1.2aa160a8bf04fp-4, -0x1.23c6e95c7ae55p-4, -0x1.1d0bcfa92a4bp-4, -0x1.166fc9e588df8p-4, -0x1.0ff28cc5013dfp-4, -0x1.0993cb7146372p-4, -0x1.035337a351724p-4, -0x1.fa6103778c07bp-5, -0x1.ee56b1b5722a7p-5, -0x1.e286d5edbfd3ap-5, -0x1.d6f0c9e847eb8p-5, -0x1.cb93e5734007bp-5, -0x1.c06f7e8e09aap-5, -0x1.b582e992d122ep-5, -0x1.aacd795efff9fp-5, -0x1.a04e7f7a89327p-5, -0x1.96054c3e12964p-5, -0x1.8bf12ef7f944ep-5, -0x1.8211761038ea3p-5, -0x1.78656f2b39d58p-5, -0x1.6eec674b826c8p-5, -0x1.65a5aaf258a48p-5, -0x1.5c90863f4fa32p-5, -0x1.53ac450ec99e8p-5, -0x1.4af833176f64bp-5, -0x1.42739c06a386p-5, -0x1.3a1dcb9bf2e43p-5, -0x1.31f60dc38793fp-5, -0x1.29fbaeafa3b1bp-5, -0x1.222dfaf125378p-5, -0x1.1a8c3f8f1a927p-5, -0x1.1315ca1d695efp-5, -0x1.0bc9e8d28c93dp-5, -0x1.04a7ea9c6fbcdp-5, -0x1.fb5e3e68d375dp-6, -0x1.edbdae64b8a4bp-6, -0x1.e06cc83dfa307p-6, -0x1.d36a310a97f25p-6, -0x1.c6b490067507cp-6, -0x1.ba4a8eb31c561p-6, -0x1.ae2ad8f5ec36fp-6, -0x1.a2541d34d000ep-6, -0x1.96c50c71773d4p-6, -0x1.8b7c5a6322774p-6, -0x1.8078bd8f070dcp-6, -0x1.75b8ef5f56b1ap-6, -0x1.6b3bac38ef7d8p-6, -0x1.60ffb38fc4232p-6, -0x1.5703c7f9fce1p-6, -0x1.4d46af41dc83fp-6, -0x1.43c73276756a1p-6, -0x1.3a841dfb3375p-6, -0x1.317c419644103p-6, -0x1.28ae707de355bp-6, -0x1.20198164982b5p-6, -0x1.17bc4e846a99cp-6, -0x1.0f95b5a910d97p-6, -0x1.07a498392bb6cp-6, -0x1.ffcfb67d13b4ep-7, -0x1.f0bccedb0cbfdp-7, -0x1.e20e525702ap-7, -0x1.d3c22128fa869p-7, -0x1.c5d622ffd80aap-7, -0x1.b848470955dbp-7, -0x1.ab1683f87a007p-7, -0x1.9e3ed80a89e89p-7, -0x1.91bf490a88157p-7, -0x1.8595e453643f9p-7, -0x1.79c0bed0bd8dfp-7, -0x1.6e3df4fe6dc62p-7, -0x1.630baae6d93bcp-7, -0x1.58280c2004e8p-7, -0x1.4d914bc795d7cp-7, -0x1.4345a47db29fdp-7, -0x1.3943585ee26b8p-7, -0x1.2f88b0fce399bp-7, -0x1.2613ff5694ed1p-7, -0x1.1ce39bcef3243p-7, -0x1.13f5e62338e83p-7, -0x1.0b4945602b7c6p-7, -0x1.02dc27d69ca02p-7, -0x1.f55a061e5ce3ep-8, -0x1.e574a77abf525p-8, -0x1.d6053b63d910dp-8, -0x1.c708d79919ad4p-8, -0x1.b87c9fda2bd0ep-8, -0x1.aa5dc5c81ac83p-8, -0x1.9ca988c56311dp-8, -0x1.8f5d35d501f17p-8, -0x1.8276277894591p-8, -0x1.75f1c58d93cbep-8, -0x1.69cd8529c06eap-8, -0x1.5e06e876c8076p-8, -0x1.529b7e8d35c03p-8, -0x1.4788e34ebb8fap-8, -0x1.3cccbf3fe161bp-8, -0x1.3264c761261bbp-8, -0x1.284ebd07a08e1p-8, -0x1.1e886db52abdcp-8, -0x1.150fb2f025e0dp-8, -0x1.0be2721adeef4p-8, -0x1.02fe9c4aa3d3ep-8, -0x1.f4c45c3d193a9p-9, -0x1.e4165f2c14462p-9, -0x1.d3ef67ce80108p-9, -0x1.c44bb2aa66c9bp-9, -0x1.b527920bb3418p-9, -0x1.a67f6db01bf35p-9, -0x1.984fc272ef1b7p-9, -0x1.8a9521f8ce792p-9, -0x1.7d4c325b6b108p-9, -0x1.7071add54f8fap-9, -0x1.6402626dc9197p-9, -0x1.57fb31a4f899cp-9, -0x1.4c5910201ea45p-9, -0x1.4119055629c1fp-9, -0x1.36382b3c953e5p-9, -0x1.2bb3adf4a718bp-9, -0x1.2188cb790fe92p-9, -0x1.17b4d34bfebd5p-9, -0x1.0e352625b03e4p-9, -0x1.050735a38101ap-9, -0x1.f85107ef192dep-10, -0x1.e72d4731c9294p-10, -0x1.d69e6de8c3c85p-10, -0x1.c69fe03c3a815p-10, -0x1.b72d210725b0dp-10, -0x1.a841d13cf5469p-10, -0x1.99d9af50ad1d3p-10, -0x1.8bf0969d7effbp-10, -0x1.7e827ed0f580bp-10, -0x1.718b7b56a7c2dp-10, -0x1.6507bac58cb55p-10, -0x1.58f3864ef6c81p-10, -0x1.4d4b412f33951p-10, -0x1.420b681fe965dp-10, -0x1.373090cc2870fp-10, -0x1.2cb7694642f5dp-10, -0x1.229cb77f6332cp-10, -0x1.18dd58c0fb5c7p-10, -0x1.0f764127f490ep-10, -0x1.06647b21bfacdp-10, -0x1.fb4a4dd66e06ep-11, -0x1.ea6af422b5fbfp-11, -0x1.da257de7db601p-11, -0x1.ca74a893d6089p-11, -0x1.bb53594fc60ap-11, -0x1.acbc9c106994ep-11, -0x1.9eaba2aa57f17p-11, -0x1.911bc3ea02ba6p-11, -0x1.84087aaf7b16bp-11, -0x1.776d650dfcbf9p-11, -0x1.6b46436f3be4dp-11, -0x1.5f8ef7ba74cfcp-11, -0x1.5443847f38fccp-11, -0x1.49600c23f9733p-11, -0x1.3ee0d01846ebap-11, -0x1.34c2300ac66bbp-11, -0x1.2b00a922d395ep-11, -0x1.2198d53dcd4c5p-11, -0x1.18876a3003a51p-11, -0x1.0fc93909459c4p-11, -0x1.075b2d5d03419p-11, -0x1.fe74991c00a77p-12, -0x1.eec76a3b1e5dcp-12, -0x1.dfa93bfc97e3ap-12, -0x1.d114abd49ff2cp-12, -0x1.c3048579ac868p-12, -0x1.b573c19e8e85dp-12, -0x1.a85d84b342b3dp-12, -0x1.9bbd1dac760cbp-12, -0x1.8f8e04d19912ep-12, -0x1.83cbda9181277p-12, -0x1.7872665d74ccp-12, -0x1.6d7d958a9c0cfp-12, -0x1.62e97a39b51a9p-12, -0x1.58b24a45015bp-12, -0x1.4ed45e3454708p-12, -0x1.454c30372ce2cp-12, -0x1.3c165b24c1b32p-12, -0x1.332f9981f6e62p-12, -0x1.2a94c48d15e14p-12, -0x1.2242d34f4435ep-12, -0x1.1a36d9b3921d7p-12, -0x1.126e07a39b407p-12, -0x1.0ae5a82995cp-12, -0x1.039b2097c1ff6p-12, -0x1.f917df6a49528p-13, -0x1.eb6b59dedd223p-13, -0x1.de2c0f2408f4dp-13, -0x1.d1558c04169a5p-13, -0x1.c4e389fec9cddp-13, -0x1.b8d1edd50fd38p-13, -0x1.ad1cc61e31bcep-13, -0x1.a1c049e66d65bp-13, -0x1.96b8d756b5369p-13, -0x1.8c02f2657e5c2p-13, -0x1.819b439067669p-13, -0x1.777e969e8cfcfp-13, -0x1.6da9d96b67b5dp-13, -0x1.641a1aba06f32p-13, -0x1.5acc8910781ccp-13, -0x1.51be719b3c81dp-13, -0x1.48ed3f1898bb2p-13, -0x1.405678cba0bccp-13, -0x1.37f7c176cb71bp-13, -0x1.2fced65def427p-13, -0x1.27d98e4f7efd8p-13, -0x1.2015d8b4d67eep-13, -0x1.1881bca9825e7p-13, -0x1.111b581945663p-13, -0x1.09e0dee4cb996p-13, -0x1.02d09a0cd3dadp-13, -0x1.f7d1cdc77529ep-14, -0x1.ea506c8a65e3dp-14, -0x1.dd1a17a825718p-14, -0x1.d02bfa7c198efp-14, -0x1.c383630a68abp-14, -0x1.b71dc09e4f56dp-14, -0x1.aaf8a273802acp-14, -0x1.9f11b66a4f41ap-14, -0x1.9366c7c65ee4fp-14, -0x1.87f5bdf790b3ep-14, -0x1.7cbc9b6cfe342p-14, -0x1.71b97c71b39ebp-14, -0x1.66ea9612f3731p-14, -0x1.5c4e350fc3655p-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.e4c59fcc5459ep-1, 0x1.e281d0db5cec6p-1, 0x1.e0345a4c8abfbp-1, 0x1.ddde66ff24712p-1, 0x1.db8107014776p-1, 0x1.d91d30797478cp-1, 0x1.d6b3c0b966dbp-1, 0x1.d4457d6fc8a62p-1, 0x1.d1d315efca089p-1, 0x1.cf5d248701246p-1, 0x1.cce42fdb2008bp-1, 0x1.ca68ac4a203ffp-1, 0x1.c7eafd48714b5p-1, 0x1.c56b76b985a81p-1, 0x1.c2ea5e3fd0111p-1, 0x1.c067ec81e52f5p-1, 0x1.bde44e62f5404p-1, 0x1.bb5fa62d4fe16p-1, 0x1.b8da0cae02c15p-1, 0x1.b6539240f74bbp-1, 0x1.b3cc3fcd3ed58p-1, 0x1.b14417b175c0fp-1, 0x1.aebb16a053cf4p-1, 0x1.ac31346dae04cp-1, 0x1.a9a664cc46413p-1, 0x1.a71a97fce6ff9p-1, 0x1.a48dbb6f51d17p-1, 0x1.a1ffba559ddp-1, 0x1.9f707e2aac0acp-1, 0x1.9cdfef2c566f9p-1, 0x1.9a4df4ca0d461p-1, 0x1.97ba76088be8bp-1, 0x1.952559db54df8p-1, 0x1.928e87749f914p-1, 0x1.8ff5e68c5a7d2p-1, 0x1.8d5b5f9ee5d12p-1, 0x1.8abedc241f6a1p-1, 0x1.882046bf535b6p-1, 0x1.857f8b68a1068p-1, 0x1.82dc979057d33p-1, 0x1.80375a3ccada8p-1, 0x1.7d8fc423143f1p-1, 0x1.7ae5c7bb38207p-1, 0x1.783959500da29p-1, 0x1.758a6f0b544c1p-1, 0x1.72d900fe4e1ffp-1, 0x1.702509273588ep-1, 0x1.6d6e8373dd269p-1, 0x1.6ab56dc1c327cp-1, 0x1.67f9c7dbdad21p-1, 0x1.653b93764d178p-1, 0x1.627ad42867db4p-1, 0x1.5fb78f64f0ad9p-1, 0x1.5cf1cc710ce8bp-1, 0x1.5a299459eaba4p-1, 0x1.575ef1e955892p-1, 0x1.5491f19957ce1p-1, 0x1.51c2a18710a28p-1, 0x1.4ef11164d92abp-1, 0x1.4c1d526bd6721p-1, 0x1.4947774d12558p-1, 0x1.466f942233735p-1, 0x1.4395be5de77bp-1, 0x1.40ba0cbc136f9p-1, 0x1.3ddc9731dc541p-1, 0x1.3afd76dd97e0ap-1, 0x1.381cc5f6b1576p-1, 0x1.353a9fbd91a55p-1, 0x1.3257206b94452p-1, 0x1.2f726523148ap-1, 0x1.2c8c8bdf9b3e3p-1, 0x1.29a5b3663609bp-1, 0x1.26bdfb35ff01p-1, 0x1.23d58378d9a48p-1, 0x1.20ec6cf46e8abp-1, 0x1.1e02d8fb66d14p-1, 0x1.1b18e95eee946p-1, 0x1.182ec0607ff7dp-1, 0x1.154480a3fc796p-1, 0x1.125a4d22156cap-1, 0x1.0f70491b0807ep-1, 0x1.0c869809ac575p-1, 0x1.099d5d96dccfcp-1, 0x1.06b4bd8d336bap-1, 0x1.03ccdbcd21623p-1, 0x1.00e5dc41605dep-1, 0x1.fbffc5a77bb8cp-2, 0x1.f63626c484f33p-2, 0x1.f06f236966c7ap-2, 0x1.eaab02e4e1a8ep-2, 0x1.e4ea0c315c824p-2, 0x1.df2c85e20e429p-2, 0x1.d972b610dc295p-2, 0x1.d3bce24ceb847p-2, 0x1.ce0b4f89ea64p-2, 0x1.c85e421007582p-2, 0x1.c2b5fd6c9c2f7p-2, 0x1.bd12c46386df3p-2, 0x1.b774d8e12fb37p-2, 0x1.b1dc7bed3c576p-2, 0x1.ac49ed9deadf3p-2, 0x1.a6bd6d0c13109p-2, 0x1.a1373847ce5b1p-2, 0x1.9bb78c4dbfe71p-2, 0x1.963ea4fcfe7e2p-2, 0x1.90ccbd0d99b32p-2, 0x1.8b620e07bc0dbp-2, 0x1.85fed03b5ec83p-2, 0x1.80a33ab89b018p-2, 0x1.7b4f83488507dp-2, 0x1.7603de669af9p-2, 0x1.70c07f3abdecfp-2, 0x1.6b859793b376ep-2, 0x1.665357e22e2b9p-2, 0x1.6129ef3456942p-2, 0x1.5c098b31d5de5p-2, 0x1.56f258185d753p-2, 0x1.51e480b8a3256p-2, 0x1.4ce02e73d7f64p-2, 0x1.47e58939900b1p-2, 0x1.42f4b78618e76p-2, 0x1.3e0dde613cc68p-2, 0x1.3931215d6f0fdp-2, 0x1.345ea2975d81dp-2, 0x1.2f9682b5e533ap-2, 0x1.2ad8e0ea63f2p-2, 0x1.2625daf1697d1p-2, 0x1.217d8d13be18cp-2, 0x1.1ce01227bfc0fp-2, 0x1.184d8393127dap-2, 0x1.13c5f94c9e8f6p-2, 0x1.0f4989dedab18p-2, 0x1.0ad84a6a6191ap-2, 0x1.06724ea8c7eddp-2, 0x1.0217a8efbb43dp-2, 0x1.fb90d468bb45p-3, 0x1.f309441db7f3fp-3, 0x1.ea98bd7c85bdfp-3, 0x1.e23f5a590ae42p-3, 0x1.d9fd31e57a05p-3, 0x1.d1d258bb2b1b1p-3, 0x1.c9bee0e3d61e3p-3, 0x1.c1c2d9e323d8dp-3, 0x1.b9de50c0924cep-3, 0x1.b2115011a139fp-3, 0x1.aa5be0044c0aep-3, 0x1.a2be0669c1563p-3, 0x1.9b37c6c15d384p-3, 0x1.93c92243d5d03p-3, 0x1.8c7217ee9f281p-3, 0x1.8532a48f813f5p-3, 0x1.7e0ac2d053078p-3, 0x1.76fa6b42df993p-3, 0x1.7001946cecd61p-3, 0x1.692032d45ff2ep-3, 0x1.6256390b79c15p-3, 0x1.5ba397bd2d5d9p-3, 0x1.55083db9824abp-3, 0x1.4e8418020e4f2p-3, 0x1.481711d66e706p-3, 0x1.41c114c0d428fp-3, 0x1.3b8208a288114p-3, 0x1.3559d3c07c5cap-3, 0x1.2f485acfcf81fp-3, 0x1.294d8102542afp-3, 0x1.23692813078c2p-3, 0x1.1d9b30528518bp-3, 0x1.17e378b36439ap-3, 0x1.1241ded68d389p-3, 0x1.0cb63f1774a85p-3, 0x1.0740749846178p-3, 0x1.01e0594df621bp-3, 0x1.f92b8c18743a5p-4, 0x1.eec12522c9089p-4, 0x1.e4812b24452b5p-4, 0x1.da6b498a3f20ep-4, 0x1.d07f29dcfb712p-4, 0x1.c6bc73d66f354p-4, 0x1.bd22cd78a7258p-4, 0x1.b3b1db23ed8f4p-4, 0x1.aa693fac9f5eap-4, 0x1.a1489c70acb6fp-4, 0x1.984f916cd13cep-4, 0x1.8f7dbd516bccap-4, 0x1.86d2bd9702185p-4, 0x1.7e4e2e926e3fep-4, 0x1.75efab88af863p-4, 0x1.6db6cec25d9bcp-4, 0x1.65a3319ec06eep-4, 0x1.5db46ca68739ep-4, 0x1.55ea179e20383p-4, 0x1.4e43c997af991p-4, 0x1.46c11904a3c1ap-4, 0x1.3f619bc6e7375p-4, 0x1.3824e741b08dep-4, 0x1.310a9069eca5dp-4, 0x1.2a122bd6471b8p-4, 0x1.233b4dcecc532p-4, 0x1.1c858a5c295a1p-4, 0x1.15f0755686747p-4, 0x1.0f7ba273fcdc3p-4, 0x1.0926a556a91b5p-4, 0x1.02f1119a5a5adp-4, 0x1.f9b4f5c3b9132p-5, 0x1.edc4e9c7c2757p-5, 0x1.e21126ef0820cp-5, 0x1.d698d540dff35p-5, 0x1.cb5b1d3541093p-5, 0x1.c05727cb89151p-5, 0x1.b58c1ea080351p-5, 0x1.aaf92c03a199fp-5, 0x1.a09d7b0ba520cp-5, 0x1.967837aa52517p-5, 0x1.8c888ebf9a4b1p-5, 0x1.82cdae2bfb6f6p-5, 0x1.7946c4e2335f8p-5, 0x1.6ff302f83e968p-5, 0x1.66d199b7aa8e2p-5, 0x1.5de1bbad3ac89p-5, 0x1.55229cb7e6053p-5, 0x1.4c9372172a399p-5, 0x1.44337278bfbebp-5, 0x1.3c01d605a77afp-5, 0x1.33fdd66e9c7a1p-5, 0x1.2c26aef7ea5bp-5, 0x1.247b9c84a83a6p-5, 0x1.1cfbdda1613eap-5, 0x1.15a6b28e25d96p-5, 0x1.0e7b5d48104c1p-5, 0x1.077921923b615p-5, 0x1.009f44fe2d1e2p-5, 0x1.f3da1de778324p-6, 0x1.e6c39170e10e9p-6, 0x1.d9f97aecc79bdp-6, 0x1.cd7a7485443dep-6, 0x1.c1451c46212bcp-6, 0x1.b5581427b81cdp-6, 0x1.a9b20218e5a21p-6, 0x1.9e51900817185p-6, 0x1.93356beb7d0dap-6, 0x1.885c47c863822p-6, 0x1.7dc4d9b9b9dddp-6, 0x1.736ddbf5cc04dp-6, 0x1.69560cd33932ep-6, 0x1.5f7c2ecd24673p-6, 0x1.55df0886b37b7p-6, 0x1.4c7d64cdcc032p-6, 0x1.4356129d2f062p-6, 0x1.3a67e51de0962p-6, 0x1.31b1b3a7ecd73p-6, 0x1.293259c295089p-6, 0x1.20e8b723da011p-6, 0x1.18d3afaf77d18p-6, 0x1.10f22b7551261p-6, 0x1.094316af52d7bp-6, 0x1.01c561bece454p-6, 0x1.f4f00252b548fp-7, 0x1.e6b3db2a69af4p-7, 0x1.d8d4478a5d59dp-7, 0x1.cb4f492856d39p-7, 0x1.be22e9e05bb82p-7, 0x1.b14d3baa06652p-7, 0x1.a4cc588d0b61p-7, 0x1.989e629509344p-7, 0x1.8cc183c49d152p-7, 0x1.8133ee07ceb01p-7, 0x1.75f3db25d8af1p-7, 0x1.6aff8cb252388p-7, 0x1.60554bfdc1d71p-7, 0x1.55f36a05b04f6p-7, 0x1.4bd83f642376fp-7, 0x1.42022c3eb24d6p-7, 0x1.386f98350c11ap-7, 0x1.2f1ef24f224f5p-7, 0x1.260eb0eae1c58p-7, 0x1.1d3d51a98c29dp-7, 0x1.14a9595cb670fp-7, 0x1.0c5153f2f3a1ap-7, 0x1.0433d4643p-7, 0x1.f89ee93b89bbfp-8, 0x1.e945aadc91734p-8, 0x1.da593ce24837bp-8, 0x1.cbd6fbf3daee3p-8, 0x1.bdbc51ff27cffp-8, 0x1.b006b60eba6a1p-8, 0x1.a2b3ac1f76d3ep-8, 0x1.95c0c4f5ff177p-8, 0x1.892b9df3dd7d9p-8, 0x1.7cf1e0ec79176p-8, 0x1.711143f9e1771p-8, 0x1.6587895176a96p-8, 0x1.5a527f1879428p-8, 0x1.4f6fff3884be2p-8, 0x1.44ddef3403f6ap-8, 0x1.3a9a3ffa9d2a6p-8, 0x1.30a2edbda74aep-8, 0x1.26f5ffc4a4a51p-8, 0x1.1d918841d25e2p-8, 0x1.1473a426ce744p-8, 0x1.0b9a7af958c5cp-8, 0x1.03043ea83bc7cp-8, 0x1.f55e56c0b0d81p-9, 0x1.e5330ec3c9f3bp-9, 0x1.d58345abb4af1p-9, 0x1.c64baf473a91fp-9, 0x1.b789128dbf625p-9, 0x1.a938494b8c73fp-9, 0x1.9b563fce9f225p-9, 0x1.8ddff4940eba1p-9, 0x1.80d277f604c01p-9, 0x1.742aebda5c6abp-9, 0x1.67e68361e0dbap-9, 0x1.5c0282983f7ecp-9, 0x1.507c3e24a85c4p-9, 0x1.45511afb28c11p-9, 0x1.3a7e8e0ec27e1p-9, 0x1.30021c0448bf2p-9, 0x1.25d958e5ff1abp-9, 0x1.1c01e7d8097b4p-9, 0x1.12797acda502fp-9, 0x1.093dd23f3c7aep-9, 0x1.004cbce1488d4p-9, 0x1.ef482eb826dacp-10, 0x1.de839808a717ap-10, 0x1.ce47a529483p-10, 0x1.be905fcfc661bp-10, 0x1.af59eb68daa51p-10, 0x1.a0a084908a697p-10, 0x1.9260808c340cap-10, 0x1.84964cc678b3fp-10, 0x1.773e6e4cf1835p-10, 0x1.6a55814fb8142p-10, 0x1.5dd838a2ca0d1p-10, 0x1.51c35d413db91p-10, 0x1.4613cdd251bfcp-10, 0x1.3ac67e30537e3p-10, 0x1.2fd876f15d1fap-10, 0x1.2546d4f1edb7ep-10, 0x1.1b0ec8e1513c4p-10, 0x1.112d96cfeb7f7p-10, 0x1.07a095bf4c4aep-10, 0x1.fcca5e683af23p-11, 0x1.eaf1bd93c218p-11, 0x1.d9b26391041ep-11, 0x1.c9078d77608f3p-11, 0x1.b8ec9a18137b4p-11, 0x1.a95d09341968cp-11, 0x1.9a547ab5a01a6p-11, 0x1.8bceadecfe876p-11, 0x1.7dc780d12c5d8p-11, 0x1.703aef43b5009p-11, 0x1.632512581b70fp-11, 0x1.56821f9eab45dp-11, 0x1.4a4e6872ac988p-11, 0x1.3e86594bf506ep-11, 0x1.33267913cc568p-11, 0x1.282b687d1bb84p-11, 0x1.1d91e15fe39d5p-11, 0x1.1356b617e73adp-11, 0x1.0976d0e68e69p-11, 0x1.ffde66afd7413p-12, 0x1.ed79eb55c9055p-12, 0x1.dbba8c78dc907p-12, 0x1.ca9ad1ebabfcp-12, 0x1.ba156d7c1b238p-12, 0x1.aa2539dbdc4e4p-12, 0x1.9ac5398ed91aep-12, 0x1.8bf095df6025bp-12, 0x1.7da29dd80b40bp-12, 0x1.6fd6c54345061p-12, 0x1.6288a3b05e73fp-12, 0x1.55b3f37e17bf2p-12, 0x1.495490ea94b58p-12, 0x1.3d66792898a7bp-12, 0x1.31e5c97a03ffcp-12, 0x1.26cebe4f73fe8p-12, 0x1.1c1db26cf71c8p-12, 0x1.11cf1e13bb7c8p-12, 0x1.07df9630a9797p-12, 0x1.fc97971f9cc74p-13, 0x1.ea2114291688bp-13, 0x1.d8556fecd6914p-13, 0x1.c72eaa05241fbp-13, 0x1.b6a6f3c35a4cdp-13, 0x1.a6b8aec4a7eb7p-13, 0x1.975e6b8f802fp-13, 0x1.8892e8399f471p-13, 0x1.7a510f166eb1p-13, 0x1.6c93f56da7ed9p-13, 0x1.5f56da3a135e1p-13, 0x1.529524f02e271p-13, 0x1.464a644ca6dffp-13, 0x1.3a724d2a6e69dp-13, 0x1.2f08b9605784dp-13, 0x1.2409a6a5fdfd2p-13, 0x1.1971357ff2ba2p-13, 0x1.0f3ba832e83d8p-13, 0x1.056561bdd3da5p-13, 0x1.f7d5c9b59ed0dp-14, 0x1.e591a60d49db4p-14, 0x1.d3f7d71daacfep-14, 0x1.c302154bff64p-14, 0x1.b2aa50fd06f62p-14, 0x1.a2eab0d67eb62p-14, 0x1.93bd900c8970ep-14, 0x1.851d7cbace092p-14, 0x1.7705364900c65p-14, 0x1.696fabda9da62p-14, 0x1.5c57fac992d67p-14, 0x1.4fb96d2b9d035p-14, 0x1.438f7862191fep-14, 0x1.37d5bbb40e3c2p-14, 0x1.2c87fef2361fp-14, 0x1.21a23124c735fp-14, 0x1.17206742c9177p-14, 0x1.0cfedaf2baaaep-14, 0x1.0339e9544f983p-14, 0x1.f39c23a624082p-15, 0x1.e16fea03623a2p-15, 0x1.cfe8a6fb8b6b1p-15, 0x1.bf0019b7bab8p-15, 0x1.aeb03d37288f8p-15, 0x1.9ef346471dcd8p-15, 0x1.8fc3a18a4024ap-15, 0x1.811bf18edb3bfp-15, 0x1.72f70cf3c1fcdp-15, 0x1.654ffc9b6eb6p-15, 0x1.5821f9ed074a2p-15, 0x1.4b686d22e64acp-15, 0x1.3f1eeba659bd5p-15, 0x1.334136783757dp-15, 0x1.27cb38a5fa2eap-15, 0x1.1cb905cb11337p-15, 0x1.1206d89e110e6p-15, 0x1.07b1118975025p-15, 0x1.fb686a9f51372p-16, 0x1.e819d77406a7cp-16, 0x1.d56ffca4eb5d2p-16, 0x1.c364ae4f31c9dp-16, 0x1.b1f1ff35af47bp-16, 0x1.a1123e70e19aep-16, 0x1.90bff532112adp-16, 0x1.80f5e49911d78p-16, 0x1.71af039c1bab7p-16, 0x1.62e67d013c97cp-16, 0x1.5497ad68e23f8p-16, 0x1.46be216909f7bp-16, 0x1.395593b88f84p-16, 0x1.2c59eb6a3891ap-16, 0x1.1fc73a36f911bp-16, 0x1.1399bad709688p-16, 0x1.07cdcf6963cd1p-16, 0x1.f8bfffd268399p-17, 0x1.e299f161b77b6p-17, 0x1.cd2312143af3ep-17, 0x1.b8554396246c6p-17, 0x1.a42aa7ff04b46p-17, 0x1.909d9f3c90d04p-17, 0x1.7da8c494b9d8fp-17, 0x1.6b46ec3e7060fp-17, 0x1.597321104c7c8p-17, 0x1.4828a24490145p-17, 0x1.3762e151bda2dp-17, 0x1.271d7fd7358e5p-17, 0x1.17544d9d31374p-17, 0x1.080346a78701fp-17, 0x1.f24d22b53a4dp-18, 0x1.d574f963f6e8cp-18, 0x1.b976fd0fd990bp-18, 0x1.9e4c63db49201p-18, 0x1.83eeab26c5841p-18, 0x1.6a5794802165fp-18, 0x1.518122afb15a3p-18, 0x1.396596e276668p-18, 0x1.21ff6df04f735p-18, 0x1.0b495dbd48c3ep-18, 0x1.ea7ca56a44071p-19, 0x1.bfb2dac05b148p-19, 0x1.962c00215de5bp-19, 0x1.6ddf194fcc0b6p-19, 0x1.46c384e3f5898p-19, 0x1.20d0f830076fbp-19, 0x1.f7fef69d80ad4p-20, 0x1.b08ecab6ceb72p-20, 0x1.6b42b1a30b597p-20, 0x1.280c80261e3bfp-20, 0x1.cdbd284e62fe3p-21, 0x1.4f579c9d4788ap-21, 0x1.a99e2fa3ff8adp-22, 0x1.782d0863c39fdp-23, -0x1.50b5a02e8274ep-25, -0x1.0916b4a1fc402p-22, -0x1.e1151e7a12ed2p-22, -0x1.591e059e04345p-21, -0x1.be5a101683252p-21, -0x1.1029280541bdp-20, -0x1.3f8cdf17534b5p-20, -0x1.6d61595a52f5ep-20, -0x1.99af768c63a96p-20, -0x1.c47fcdc9f03fp-20, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.395f822065e1dp-3, -0x1.47cc8331d01e6p-3, -0x1.55d0499dce9eep-3, -0x1.6366bfde26c7ap-3, -0x1.708d1f9849d2bp-3, -0x1.7d41da7b7e031p-3, -0x1.898480be9078dp-3, -0x1.9555a6357a84fp-3, -0x1.a0b6c6c9e6753p-3, -0x1.abaa2afa0de4p-3, -0x1.b632ccdf29051p-3, -0x1.c0543e1f8c1abp-3, -0x1.ca128f179d6ap-3, -0x1.d37237701516cp-3, -0x1.dc78004687691p-3, -0x1.e528effebd929p-3, -0x1.ed8a37c7d82ep-3, -0x1.f5a122d681ce3p-3, -0x1.fd73074e1cb5p-3, -0x1.02829c667135ep-2, -0x1.062e7e45380a7p-2, -0x1.09bfbf7a83403p-2, -0x1.0d38e55bb3107p-2, -0x1.109c6087e0f9fp-2, -0x1.13ec89afb9fc6p-2, -0x1.172b9eed6834fp-2, -0x1.1a5bc1a0635c5p-2, -0x1.1d7ef4c12ac15p-2, -0x1.20971ba162193p-2, -0x1.23a5f90d4685dp-2, -0x1.26ad2ec3f7c71p-2, -0x1.29ae3d3cbb4ebp-2, -0x1.2caa83affaa15p-2, -0x1.2fa3405b6bb4dp-2, -0x1.329990f970c3fp-2, -0x1.358e736471cfep-2, -0x1.3882c65f7f363p-2, -0x1.3b774a7e3a0a8p-2, -0x1.3e6ca32685777p-2, -0x1.416357a7174f2p-2, -0x1.445bd45e7ed13p-2, -0x1.47566beeb27eep-2, -0x1.4a535879ae57ep-2, -0x1.4d52bce406746p-2, -0x1.5054a61ac83e6p-2, -0x1.53590c5a47d83p-2, -0x1.565fd473d5cbbp-2, -0x1.5968d1109e9b4p-2, -0x1.5c73c3f0312d8p-2, -0x1.5f805f21727f7p-2, -0x1.628e4634ebbb7p-2, -0x1.659d0f67942b7p-2, -0x1.68ac44c56b0edp-2, -0x1.6bbb654349992p-2, -0x1.6ec9e5cf838bep-2, -0x1.71d73259050ddp-2, -0x1.74e2aeccb6c66p-2, -0x1.77ebb808fc427p-2, -0x1.7af1a4c748ac7p-2, -0x1.7df3c67bbdf8ap-2, -0x1.80f16a2ae6cadp-2, -0x1.83e9d935a5089p-2, -0x1.86dc5a1b70cd5p-2, -0x1.89c831331349fp-2, -0x1.8caca15a0d10dp-2, -0x1.8f88ec9ad66b8p-2, -0x1.925c54ca3980dp-2, -0x1.95261c1bf6ab3p-2, -0x1.97e585aef8ee1p-2, -0x1.9a99d61152644p-2, -0x1.9d4253bc3e3adp-2, -0x1.9fde47886fe81p-2, -0x1.a26cfd1ae4657p-2, -0x1.a4edc34a7765p-2, -0x1.a75fec7e803dbp-2, -0x1.a9c2cf06a8401p-2, -0x1.ac15c56c41b43p-2, -0x1.ae582ebd52845p-2, -0x1.b0896ed190982p-2, -0x1.b2a8ee8982e44p-2, -0x1.b4b61c0806f4ap-2, -0x1.b6b06ae66599fp-2, -0x1.b8975463328acp-2, -0x1.ba6a578c28abap-2, -0x1.bc28f9632f687p-2, -0x1.bdd2c4fec0fb4p-2, -0x1.bf674ba5da86ap-2, -0x1.c0e624e7a4a28p-2, -0x1.c24eeeaf036a3p-2, -0x1.c3a14d523996dp-2, -0x1.c4dceb9ec0f2fp-2, -0x1.c6017ae190743p-2, -0x1.c70eb2ebe7495p-2, -0x1.c8045214d0c26p-2, -0x1.c8e21d3782809p-2, -0x1.c9a7dfaeb88c5p-2, -0x1.ca556b4d398b9p-2, -0x1.caea98539fad6p-2, -0x1.cb6745639084ep-2, -0x1.cbcb577080681p-2, -0x1.cc16b9ae2564dp-2, -0x1.cc495d7cbb37cp-2, -0x1.cc633a53346a8p-2, -0x1.cc644da77dfccp-2, -0x1.cc4c9ad4edc74p-2, -0x1.cc1c2b00fd065p-2, -0x1.cbd30cfe6dd5p-2, -0x1.cb71552ef2777p-2, -0x1.caf71d637770bp-2, -0x1.ca6484bb2ac8p-2, -0x1.c9b9af8156091p-2, -0x1.c8f6c70a2e304p-2, -0x1.c81bf98ea8e5fp-2, -0x1.c7297a0774f1dp-2, -0x1.c61f80072c542p-2, -0x1.c4fe4793d916dp-2, -0x1.c3c610ffdd1b1p-2, -0x1.c27720c25b3e2p-2, -0x1.c111bf4f31a8bp-2, -0x1.bf9638ee96001p-2, -0x1.be04dd9472b35p-2, -0x1.bc5e00b78cdddp-2, -0x1.baa1f92888bdp-2, -0x1.b8d120e8e3277p-2, -0x1.b6ebd501e9417p-2, -0x1.b4f2755bc31b1p-2, -0x1.b2e56494a2cf5p-2, -0x1.b0c507d81f2d4p-2, -0x1.ae91c6b6d21c7p-2, -0x1.ac4c0afe4154ep-2, -0x1.a9f440911f0d2p-2, -0x1.a78ad53ff3547p-2, -0x1.a51038a23593dp-2, -0x1.a284dbefdf717p-2, -0x1.9fe931db8b905p-2, -0x1.9d3dae6d1f49cp-2, -0x1.9a82c6dd1169dp-2, -0x1.97b8f17051e37p-2, -0x1.94e0a554da67ap-2, -0x1.91fa5a7ef11bp-2, -0x1.8f06898723223p-2, -0x1.8c05ab88fd2d6p-2, -0x1.88f83a0287b9cp-2, -0x1.85deaeb48cc1fp-2, -0x1.82b98383abb27p-2, -0x1.7f89325a3cf53p-2, -0x1.7c4e350b0d6e3p-2, -0x1.79090534f1799p-2, -0x1.75ba1c27327f1p-2, -0x1.7261f2c6dcd1ep-2, -0x1.6f010174e896bp-2, -0x1.6b97bff5498f7p-2, -0x1.6826a556dacep-2, -0x1.64ae27dc2ffacp-2, -0x1.612ebce54c2f6p-2, -0x1.5da8d8da33d71p-2, -0x1.5a1cef166b2cap-2, -0x1.568b71d54caa1p-2, -0x1.52f4d21f47af6p-2, -0x1.4f597fb7f94e9p-2, -0x1.4bb9e90d25d49p-2, -0x1.48167b268e39bp-2, -0x1.446fa1969b505p-2, -0x1.40c5c66be77eap-2, -0x1.3d19522394fap-2, -0x1.396aab9c7c658p-2, -0x1.35ba380b27f22p-2, -0x1.32085aee993f2p-2, -0x1.2e557605dbbdp-2, -0x1.2aa1e946557f7p-2, -0x1.26ee12d2e09cdp-2, -0x1.233a4ef39d451p-2, -0x1.1f86f80e7e532p-2, -0x1.1bd466a08e95ap-2, -0x1.1822f137e3d14p-2, -0x1.1472ec6e40cd6p-2, -0x1.10c4aae46124bp-2, -0x1.0d187d3de8b1ap-2, -0x1.096eb21df4626p-2, -0x1.05c79624464e6p-2, -0x1.022373eb09863p-2, -0x1.fd05280a5273dp-3, -0x1.f5ca79fa6afa7p-3, -0x1.ee9766a9a4491p-3, -0x1.e76c7309586dap-3, -0x1.e04a1ff9db31fp-3, -0x1.d930ea4c5de43p-3, -0x1.d2214ac5c18p-3, -0x1.cb1bb6224e6b3p-3, -0x1.c4209d1a47382p-3, -0x1.bd306c67558dp-3, -0x1.b64b8ccabcf49p-3, -0x1.af7263144f327p-3, -0x1.a8a5502a22fc1p-3, -0x1.a1e4b110ee4d5p-3, -0x1.9b30def51974cp-3, -0x1.948a2f3462619p-3, -0x1.8df0f368246ep-3, -0x1.8765797029621p-3, -0x1.80e80b7e02cccp-3, -0x1.7a78f020e74edp-3, -0x1.74186a5204e21p-3, -0x1.6dc6b9814032fp-3, -0x1.678419a26653ep-3, -0x1.6150c33ab9ebp-3, -0x1.5b2ceb6edbdaep-3, -0x1.5518c411093d4p-3, -0x1.4f147bafa5e4fp-3, -0x1.49203da40d3ddp-3, -0x1.433c3221a4446p-3, -0x1.3d687e45266bdp-3, -0x1.37a544241f613p-3, -0x1.31f2a2dc9dfa4p-3, -0x1.2c50b6a5050d5p-3, -0x1.26bf98dc04be9p-3, -0x1.213f6018af12ep-3, -0x1.1bd0203aa3605p-3, -0x1.1671ea7a509e3p-3, -0x1.1124cd7941616p-3, -0x1.0be8d55271865p-3, -0x1.06be0baaaca61p-3, -0x1.01a477c0eac9ap-3, -0x1.f9383cfd4de98p-4, -0x1.ef4a05106457ap-4, -0x1.e57e4899f0ce9p-4, -0x1.dbd5042f6d258p-4, -0x1.d24e303d3de8ep-4, -0x1.c8e9c126cf2ecp-4, -0x1.bfa7a766775ccp-4, -0x1.b687cfad2df39p-4, -0x1.ad8a2301fbfbap-4, -0x1.a4ae86e120cc8p-4, -0x1.9bf4dd5b03cfap-4, -0x1.935d0532bdc43p-4, -0x1.8ae6d9fc665f3p-4, -0x1.8292343af8e55p-4, -0x1.7a5ee97de7514p-4, -0x1.724ccc7e4c03bp-4, -0x1.6a5bad3bb8688p-4, -0x1.628b59189c2a7p-4, -0x1.5adb9af6465e1p-4, -0x1.534c3b50769cap-4, -0x1.4bdd005883567p-4, -0x1.448dae100b82p-4, -0x1.3d5e066336d31p-4, -0x1.364dc94280f4dp-4, -0x1.2f5cb4bc0b8e2p-4, -0x1.288a851479b3ap-4, -0x1.21d6f4df4f806p-4, -0x1.1b41bd16d73dcp-4, -0x1.14ca95338a846p-4, -0x1.0e713342fbd2ap-4, -0x1.08354bfe452a7p-4, -0x1.021692dff5bc1p-4, -0x1.f82974730335cp-5, -0x1.ec5ee69063748p-5, -0x1.e0ccdc932b8e9p-5, -0x1.d572b51ee8b69p-5, -0x1.ca4fcd267d9b7p-5, -0x1.bf63801207cb9p-5, -0x1.b4ad27e3ca3a5p-5, -0x1.aa2c1d5c1a722p-5, -0x1.9fdfb81c566d9p-5, -0x1.95c74ec8db5aap-5, -0x1.8be2372a0997fp-5, -0x1.822fc64c5159dp-5, -0x1.78af509f4a127p-5, -0x1.6f602a13d8d7bp-5, -0x1.6641a63969498p-5, -0x1.5d53185a35755p-5, -0x1.5493d396a6ea4p-5, -0x1.4c032affce2d9p-5, -0x1.43a071b0f5d63p-5, -0x1.3b6afae8525ddp-5, -0x1.33621a1ed60b3p-5, -0x1.2b85231f25705p-5, -0x1.23d36a1bb5a36p-5, -0x1.1c4c43c415994p-5, -0x1.14ef055962497p-5, -0x1.0dbb04c1f0dbbp-5, -0x1.06af989c2a4e2p-5, -0x1.ff9830a142bccp-6, -0x1.f21fb846c9a63p-6, -0x1.e4f47a89229f7p-6, -0x1.d8152bc04bbbap-6, -0x1.cb80825a4030ep-6, -0x1.bf3536f7cbea8p-6, -0x1.b3320487f34c8p-6, -0x1.a775a86207155p-6, -0x1.9bfee25e6512bp-6, -0x1.90cc74ede5a8bp-6, -0x1.85dd25301034fp-6, -0x1.7b2fbb0809a2fp-6, -0x1.70c30130524e5p-6, -0x1.6695c54d576b5p-6, -0x1.5ca6d7feda125p-6, -0x1.52f50cf03eee7p-6, -0x1.497f3ae7bf854p-6, -0x1.40443bd491801p-6, -0x1.3742ecdc01dabp-6, -0x1.2e7a2e659426p-6, -0x1.25e8e42623c37p-6, -0x1.1d8df52a13c24p-6, -0x1.15684bde9685ap-6, -0x1.0d76d61a0b171p-6, -0x1.05b8852385f4cp-6, -0x1.fc589b72f4356p-7, -0x1.eda2502f31948p-7, -0x1.df4c1ff7cd50bp-7, -0x1.d15409561d482p-7, -0x1.c3b811e7ef24ep-7, -0x1.b67646654e1acp-7, -0x1.a98cbaa4e7663p-7, -0x1.9cf9899f1fd4fp-7, -0x1.90bad56fdd2c8p-7, -0x1.84cec75720f91p-7, -0x1.79338fb86aedcp-7, -0x1.6de76618fefa1p-7, -0x1.62e8891d1a575p-7, -0x1.58353e840db5p-7, -0x1.4dcbd32365529p-7, -0x1.43aa9ae113a24p-7, -0x1.39cff0acb6a84p-7, -0x1.303a3677f492ep-7, -0x1.26e7d52e07bfcp-7, -0x1.1dd73caa7a524p-7, -0x1.1506e3af1f926p-7, -0x1.0c7547d952656p-7, -0x1.0420ed96834a4p-7, -0x1.f810c0303ae74p-8, -0x1.e854628d9ad25p-8, -0x1.d909f36a5f542p-8, -0x1.ca2eb123e3bd2p-8, -0x1.bbbfe732d8bbp-8, -0x1.adbaee0d7aa06p-8, -0x1.a01d2b08d9d3ep-8, -0x1.92e4103943794p-8, -0x1.860d1c51d81fcp-8, -0x1.7995da836158bp-8, -0x1.6d7be25a7058fp-8, -0x1.61bcd79cd48f9p-8, -0x1.56566a2677255p-8, -0x1.4b4655c5a6a62p-8, -0x1.408a6216e1309p-8, -0x1.36206260247bfp-8, -0x1.2c06356bd4e14p-8, -0x1.2239c56340773p-8, -0x1.18b907a8cc0d4p-8, -0x1.0f81fcb1d4b6cp-8, -0x1.0692afe04bdp-8, -0x1.fbd26eb83a808p-9, -0x1.eb0767d8c232p-9, -0x1.dac0a1a0d37c1p-9, -0x1.cafa87315f6cep-9, -0x1.bbb197ff51e2ap-9, -0x1.ace267851e4e7p-9, -0x1.9e899cf43f842p-9, -0x1.90a3f2e6b4b9bp-9, -0x1.832e37108dba2p-9, -0x1.762549f18ebc7p-9, -0x1.69861e86fde3dp-9, -0x1.5d4db9fda1294p-9, -0x1.51793363fb528p-9, -0x1.4605b35cd7289p-9, -0x1.3af073d21d8dfp-9, -0x1.3036bfa81329cp-9, -0x1.25d5f270fad7ap-9, -0x1.1bcb7821254dfp-9, -0x1.1214ccc3808e2p-9, -0x1.08af7c2ea3be9p-9, -0x1.ff324374d1c2cp-10, -0x1.ed9ecfec2c313p-10, -0x1.dca010be39524p-10, -0x1.cc319630efbc5p-10, -0x1.bc4f0d45651e2p-10, -0x1.acf43f29268dep-10, -0x1.9e1d10a8f2613p-10, -0x1.8fc581a4e1103p-10, -0x1.81e9ac85f421cp-10, -0x1.7485c5b52f27fp-10, -0x1.67961b142b0afp-10, -0x1.5b17137734839p-10, -0x1.4f052e20fec97p-10, -0x1.435d023ff0147p-10, -0x1.381b3e6d05b22p-10, -0x1.2d3ca82c5f71p-10, -0x1.22be1b6f7022bp-10, -0x1.189c8a18df966p-10, -0x1.0ed4fb8210895p-10, -0x1.05648c0262153p-10, -0x1.f890d8f045a21p-11, -0x1.e6fbc3a677713p-11, -0x1.d604894326291p-11, -0x1.c5a6013a55c04p-11, -0x1.b5db2877f5946p-11, -0x1.a69f20830bda6p-11, -0x1.97ed2ea45abeep-11, -0x1.89c0bb107e4f9p-11, -0x1.7c15501584875p-11, -0x1.6ee6994bfa15ap-11, -0x1.623062cb6de8fp-11, -0x1.55ee986268538p-11, -0x1.4a1d44d1d110fp-11, -0x1.3eb8910bc1b2fp-11, -0x1.33bcc375c14c6p-11, -0x1.29263f2e6469p-11, -0x1.1ef183564ac76p-11, -0x1.151b2a5c7943cp-11, -0x1.0b9fe94e055d1p-11, -0x1.027c8f2910fafp-11, -0x1.f35c08661bcc1p-12, -0x1.e26292a47fe04p-12, -0x1.d206eed4f9cdcp-12, -0x1.c2437d7a3672bp-12, -0x1.b312cc981dbc6p-12, -0x1.a46f96804e615p-12, -0x1.9654c0a4d1a14p-12, -0x1.88bd5a70f494p-12, -0x1.7ba49c28341c9p-12, -0x1.6f05e5cb2ca47p-12, -0x1.62dcbe027c814p-12, -0x1.5724d10f820dap-12, -0x1.4bd9efc2e77ebp-12, -0x1.40f80e78e98c3p-12, -0x1.367b441b434d1p-12, -0x1.2c5fc928af855p-12, -0x1.22a1f6c1e62cdp-12, -0x1.193e45bc0da05p-12, -0x1.10314db87be92p-12, -0x1.0777c441c7a7bp-12, -0x1.fe1cf7dc00307p-13, -0x1.ede4c70c16995p-13, -0x1.de410a6410befp-13, -0x1.cf2c0b554e6f1p-13, -0x1.c0a046decdfffp-13, -0x1.b2986c0334e6ap-13, -0x1.a50f5a4851f19p-13, -0x1.9800203fed032p-13, -0x1.8b65fa19af29cp-13, -0x1.7f3c503e0c8ebp-13, -0x1.737eb5f1fdccap-13, -0x1.6828e8035e57cp-13, -0x1.5d36cb7dda593p-13, -0x1.52a46c6825bcfp-13, -0x1.486dfc8979bd7p-13, -0x1.3e8fd23711c5fp-13, -0x1.3506672993d99p-13, -0x1.2bce575a3cde6p-13, -0x1.22e45fe79f415p-13, -0x1.1a455e01d9d56p-13, -0x1.11ee4dde1c97p-13, -0x1.09dc49b15bcebp-13, -0x1.020c88b1fa9fdp-13, -0x1.f4f8bc40c9d3dp-14, -0x1.e65270acbbde2p-14, -0x1.d8213fb9ca407p-14, -0x1.ca606d1126ac5p-14, -0x1.bd0b6d389c798p-14, -0x1.b01de3e44299bp-14, -0x1.a393a2545a0a9p-14, -0x1.9768a5beff6acp-14, -0x1.8b9915c56c538p-14, -0x1.802142f4951efp-14, -0x1.74fda550d3a8fp-14, -0x1.6a2adaec68769p-14, -0x1.5fa5a6888e86bp-14, -0x1.556aee40e740fp-14, -0x1.4b77ba40fd4bcp-14, -0x1.41c93383a758bp-14, -0x1.385ca29c0a689p-14, -0x1.2f2f6e8804681p-14, -0x1.263f1b8bc4f4cp-14, -0x1.1d894a165b2fap-14, -0x1.150bb5af02926p-14, -0x1.0cc433eaf5215p-14, -0x1.04b0b36b91144p-14, -0x1.f99e75c9343b7p-15, -0x1.ea3bd054c7c03p-15, -0x1.db35de8f652a4p-15, -0x1.cc8933363d224p-15, -0x1.be3289f796dd5p-15, -0x1.b02ec5ca8255cp-15, -0x1.a27aef5470b7cp-15, -0x1.9514335c55b23p-15, -0x1.87f7e14af6833p-15, -0x1.7b2369b8104a3p-15, -0x1.6e945d03f6236p-15, -0x1.624869fd5c1e3p-15, -0x1.563d5c92f0a7bp-15, -0x1.4a711c9079d58p-15, -0x1.3ee1ac671e4bep-15, -0x1.338d280092c49p-15, -0x1.2871c39cd7e82p-15, -0x1.1d8dcaba406afp-15, -0x1.12df9f07730bbp-15, -0x1.0865b75f21d6cp-15, -0x1.fc3d3d9a5bcc7p-16, -0x1.e811e739e59cp-16, -0x1.d446cce0eed3cp-16, -0x1.c0d972c07742ep-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.df22a3a3240b4p-1, 0x1.dca4429ac86a1p-1, 0x1.da14cdeac5087p-1, 0x1.d7744f87f6277p-1, 0x1.d4c2f57e42adcp-1, 0x1.d2011261076e8p-1, 0x1.cf2f1c668397dp-1, 0x1.cc4dab7fab208p-1, 0x1.c95d76b1b0029p-1, 0x1.c65f50eb754b8p-1, 0x1.c354258721284p-1, 0x1.c03cf49f1b8bap-1, 0x1.bd1acf560cd52p-1, 0x1.b9eed42ab9191p-1, 0x1.b6ba2b6ae7c75p-1, 0x1.b37e03d3acfbp-1, 0x1.b03b8f6967749p-1, 0x1.acf4008e6cd9ap-1, 0x1.a9a8875ca6493p-1, 0x1.a65a4f44235a9p-1, 0x1.a30a7ceeee13bp-1, 0x1.9fba2c6904d2fp-1, 0x1.9c6a6f8a4cb84p-1, 0x1.991c4c9f8c0cdp-1, 0x1.95d0bd4edfcd7p-1, 0x1.9288adb3c9494p-1, 0x1.8f44fbaea600fp-1, 0x1.8c0676635570dp-1, 0x1.88cddde2c109ap-1, 0x1.859be2fb102a3p-1, 0x1.8271272a6e10dp-1, 0x1.7f4e3cb07184fp-1, 0x1.7c33a6ba6a4dp-1, 0x1.7921d9a70d16ap-1, 0x1.76193b5e3476ap-1, 0x1.731a23b9a9eadp-1, 0x1.7024dcfc286fep-1, 0x1.6d39a45407639p-1, 0x1.6a58aa6736056p-1, 0x1.678213e66faf3p-1, 0x1.64b5fa25c0972p-1, 0x1.61f46bb8ad6a6p-1, 0x1.5f3d6d107cec4p-1, 0x1.5c90f91b55c9bp-1, 0x1.59ef01e307531p-1, 0x1.5757712a7eae6p-1, 0x1.54ca290910c84p-1, 0x1.52470482da952p-1, 0x1.4fcdd81d9e5c2p-1, 0x1.4d5e72719ba5p-1, 0x1.4af89cb5f98dfp-1, 0x1.489c1b486e6dep-1, 0x1.4648ae2fe6c0dp-1, 0x1.43fe1199f9032p-1, 0x1.41bbfe5308cabp-1, 0x1.3f822a3902082p-1, 0x1.3d5048a8a8419p-1, 0x1.3b260ae5767bbp-1, 0x1.3903207c1de27p-1, 0x1.36e7379faeda4p-1, 0x1.34d1fd8187859p-1, 0x1.32c31ea41e9d5p-1, 0x1.30ba4728cd5b2p-1, 0x1.2eb72318b776ep-1, 0x1.2cb95ea8f9049p-1, 0x1.2ac0a67a3c48fp-1, 0x1.28cca7d3e5417p-1, 0x1.26dd10daf3dc9p-1, 0x1.24f190c4ceccep-1, 0x1.2309d80616691p-1, 0x1.2125987db1bccp-1, 0x1.1f44859c37a6bp-1, 0x1.1d665487df8f7p-1, 0x1.1b8abc3d1f8afp-1, 0x1.19b175ac205b4p-1, 0x1.17da3bd328f9ep-1, 0x1.1604cbd62c504p-1, 0x1.1430e51395464p-1, 0x1.125e49367a0c3p-1, 0x1.108cbc4654c22p-1, 0x1.0ebc04b461965p-1, 0x1.0cebeb66c23ebp-1, 0x1.0b1c3bc186afp-1, 0x1.094cc3adb33d5p-1, 0x1.077d539e64872p-1, 0x1.05adbe942bb33p-1, 0x1.03ddda1eb8656p-1, 0x1.020d7e5cf0b66p-1, 0x1.003c85fb8776ap-1, 0x1.fcd59c645d47dp-2, 0x1.f9306d7eed1e7p-2, 0x1.f58943c6e7be8p-2, 0x1.f1dfe8b27aba4p-2, 0x1.ee342a9eaff3dp-2, 0x1.ea85dcbe43f74p-2, 0x1.e6d4d706a46bap-2, 0x1.e320f61b34f34p-2, 0x1.df6a1b36fd3aep-2, 0x1.dbb02c14e6ea9p-2, 0x1.d7f312d6a0248p-2, 0x1.d432bdea4c5a2p-2, 0x1.d06f1fef17416p-2, 0x1.cca82f98cd8a5p-2, 0x1.c8dde7928c0b9p-2, 0x1.c5104660acfacp-2, 0x1.c13f4e420061dp-2, 0x1.bd6b05106954dp-2, 0x1.b993742100021p-2, 0x1.b5b8a823bf35fp-2, 0x1.b1dab102df303p-2, 0x1.adf9a1c1ec4d1p-2, 0x1.aa15905cab8bep-2, 0x1.a62e95a5e12d5p-2, 0x1.a244cd2609aedp-2, 0x1.9e5854fa164bcp-2, 0x1.9a694db23e294p-2, 0x1.9677da30ec89ep-2, 0x1.92841f89e2e64p-2, 0x1.8e8e44e196d64p-2, 0x1.8a96734cd88bap-2, 0x1.869cd5b0ce9eap-2, 0x1.82a198a3530dbp-2, 0x1.7ea4ea4bbb1bdp-2, 0x1.7aa6fa4411f96p-2, 0x1.76a7f97ad135ap-2, 0x1.72a81a1520a5ap-2, 0x1.6ea78f51a0d57p-2, 0x1.6aa68d6bcda51p-2, 0x1.66a5497ff6decp-2, 0x1.62a3f96fdf7d3p-2, 0x1.5ea2d3c8001bcp-2, 0x1.5aa20fa5732bbp-2, 0x1.56a1e49c94284p-2, 0x1.52a28aa0515b3p-2, 0x1.4ea439ea30a0ep-2, 0x1.4aa72ae3122bap-2, 0x1.46ab960cabfebp-2, 0x1.42b1b3ebc59b1p-2, 0x1.3eb9bcf32f783p-2, 0x1.3ac3e96f7d521p-2, 0x1.36d0717381fafp-2, 0x1.32df8cc5899cap-2, 0x1.2ef172cd58209p-2, 0x1.2b065a82e6e9p-2, 0x1.271e7a5de40d7p-2, 0x1.233a0845ef258p-2, 0x1.1f59398396b61p-2, 0x1.1b7c42b20fa84p-2, 0x1.17a357b1aa4e9p-2, 0x1.13ceab9afc9cbp-2, 0x1.0ffe70b2c74afp-2, 0x1.0c32d85e8a743p-2, 0x1.086c1319cfd82p-2, 0x1.04aa506c22658p-2, 0x1.00edbedfae36cp-2, 0x1.fa6d17f11e51p-3, 0x1.f309c85980d04p-3, 0x1.ebb1e5b95c986p-3, 0x1.e465c498cfa59p-3, 0x1.dd25b73ad41d2p-3, 0x1.d5f20d92069e3p-3, 0x1.cecb1536909aep-3, 0x1.c7b1195d3252ap-3, 0x1.c0a462cf65654p-3, 0x1.b9a537e48accep-3, 0x1.b2b3dc7c243ep-3, 0x1.abd091f906765p-3, 0x1.a4fb973d87fd7p-3, 0x1.9e3528a8981dap-3, 0x1.977d8013c35adp-3, 0x1.90d4d4d20cc77p-3, 0x1.8a3b5bafa7a6p-3, 0x1.83b146f2736f5p-3, 0x1.7d36c65b468e8p-3, 0x1.76cc0727f0f2dp-3, 0x1.70713415f679p-3, 0x1.6a267565f3f8dp-3, 0x1.63ebf0dfafd92p-3, 0x1.5dc1c9d6be69dp-3, 0x1.57a8212fc7364p-3, 0x1.519f1566500a7p-3, 0x1.4ba6c2931677ap-3, 0x1.45bf4272e0f9bp-3, 0x1.3fe8ac6dd0882p-3, 0x1.3a23159f1d778p-3, 0x1.346e90dd4410cp-3, 0x1.2ecb2ec28d841p-3, 0x1.2938fdb5ffc63p-3, 0x1.23b809f49d78dp-3, 0x1.1e485d9af41c3p-3, 0x1.18ea00aefcef6p-3, 0x1.139cf92a37dedp-3, 0x1.0e614b040db24p-3, 0x1.0936f83c629b4p-3, 0x1.041e00e662d22p-3, 0x1.fe2cc666f113ep-4, 0x1.f44036fcd6788p-4, 0x1.ea7648ad44479p-4, 0x1.e0ceed17120a9p-4, 0x1.d74a12700d1ffp-4, 0x1.cde7a39c24d0dp-4, 0x1.c4a78844a2b74p-4, 0x1.bb89a4ef92a47p-4, 0x1.b28ddb172a869p-4, 0x1.a9b4094142243p-4, 0x1.a0fc0b16d01e8p-4, 0x1.9865b97b5fbd6p-4, 0x1.8ff0eaa47604bp-4, 0x1.879d7230ed1cbp-4, 0x1.7f6b2140322ccp-4, 0x1.7759c68964993p-4, 0x1.6f692e725320cp-4, 0x1.679923264eedfp-4, 0x1.5fe96caccf561p-4, 0x1.5859d0ffe374cp-4, 0x1.50ea14226c037p-4, 0x1.4999f836179dap-4, 0x1.42693d9121193p-4, 0x1.3b57a2d3c8bafp-4, 0x1.3464e4fd8658fp-4, 0x1.2d90bf81f112cp-4, 0x1.26daec5d59745p-4, 0x1.2043242912d9bp-4, 0x1.19c91e2f6a7ep-4, 0x1.136c907f48296p-4, 0x1.0d2d2fff78247p-4, 0x1.070ab0819b195p-4, 0x1.0104c4d4bb009p-4, 0x1.f6363daf03e1ep-5, 0x1.ea9adf1429d82p-5, 0x1.df36ce3f18a9bp-5, 0x1.d4096a1e1bda5p-5, 0x1.c91210490682dp-5, 0x1.be501d21defep-5, 0x1.b3c2ebf4c2639p-5, 0x1.a969d71701916p-5, 0x1.9f443805765cap-5, 0x1.95516782119dcp-5, 0x1.8b90bdb0a10ap-5, 0x1.82019232ca629p-5, 0x1.78a33c434304bp-5, 0x1.6f7512d03dddfp-5, 0x1.66766c9511e1cp-5, 0x1.5da6a0331d932p-5, 0x1.55050449e30fdp-5, 0x1.4c90ef8e650dap-5, 0x1.4449b8e1bd68p-5, 0x1.3c2eb766f770bp-5, 0x1.343f42982970ap-5, 0x1.2c7ab25ad2fb6p-5, 0x1.24e05f13817bap-5, 0x1.1d6fa1b8bb546p-5, 0x1.1627d3e534666p-5, 0x1.0f084fe9525p-5, 0x1.081070dbfbd36p-5, 0x1.013f92aabc8a3p-5, 0x1.f52a245274de1p-6, 0x1.e8209a400943p-6, 0x1.db6144b576129p-6, 0x1.ceeae36b22a04p-6, 0x1.c2bc385464f1dp-6, 0x1.b6d407b80f155p-6, 0x1.ab311847c3534p-6, 0x1.9fd233361e035p-6, 0x1.94b6244bb5049p-6, 0x1.89dbb9faf110ep-6, 0x1.7f41c572d067bp-6, 0x1.74e71ab08f4b4p-6, 0x1.6aca909044624p-6, 0x1.60eb00dc6ee3p-6, 0x1.5747485c881e7p-6, 0x1.4dde46e292164p-6, 0x1.44aedf57b4b59p-6, 0x1.3bb7f7c7e8f85p-6, 0x1.32f8796cbbdacp-6, 0x1.2a6f50b72be27p-6, 0x1.221b6d58ab19dp-6, 0x1.19fbc24b4bd4bp-6, 0x1.120f45d91bc16p-6, 0x1.0a54f1a2b234p-6, 0x1.02cbc2a4ffbf4p-6, 0x1.f6e5727cb2f03p-7, 0x1.e891b265a02b2p-7, 0x1.da9a535fab775p-7, 0x1.ccfd6a9e637bcp-7, 0x1.bfb91432a94aap-7, 0x1.b2cb730e0ae1p-7, 0x1.a632b104f1e0ep-7, 0x1.99ecfecf98739p-7, 0x1.8df89409eff46p-7, 0x1.8253af325ea6bp-7, 0x1.76fc95a781806p-7, 0x1.6bf193a4e125ap-7, 0x1.6130fc3ebd443p-7, 0x1.56b9295cd7cbp-7, 0x1.4c887bb476e03p-7, 0x1.429d5ac17020bp-7, 0x1.38f634be80db5p-7, 0x1.2f917e9cc9326p-7, 0x1.266db3fa95e96p-7, 0x1.1d895719718c8p-7, 0x1.14e2f0d389552p-7, 0x1.0c7910906fc92p-7, 0x1.044a4c3942da1p-7, 0x1.f8aa80587de4ap-8, 0x1.e9311e5f8e7b8p-8, 0x1.da25c4c9d2befp-8, 0x1.cb85d272c97b8p-8, 0x1.bd4eb2b27c85cp-8, 0x1.af7ddd3fc7e4ap-8, 0x1.a210d611d804p-8, 0x1.95052d40e1bep-8, 0x1.88587ee62c28bp-8, 0x1.7c0872fb6fd0ep-8, 0x1.7012bd399bb5ep-8, 0x1.64751cf70e17ap-8, 0x1.592d5d0546722p-8, 0x1.4e39538e22608p-8, 0x1.4396e1f0ab092p-8, 0x1.3943f49d82466p-8, 0x1.2f3e82f2f52c9p-8, 0x1.25848f18c1706p-8, 0x1.1c1425db93de9p-8, 0x1.12eb5e884bff9p-8, 0x1.0a085ac70d111p-8, 0x1.0169467621f6p-8, 0x1.f218af0982202p-9, 0x1.e1df9b9b66c75p-9, 0x1.d223e5e3d48f9p-9, 0x1.c2e2346610d76p-9, 0x1.b417409bccb7p-9, 0x1.a5bfd6aa30da4p-9, 0x1.97d8d516facdcp-9, 0x1.8a5f2c7db9d2fp-9, 0x1.7d4fdf452fbb3p-9, 0x1.70a80154ea9e9p-9, 0x1.6464b7cb1c7fbp-9, 0x1.588338b2b79ccp-9, 0x1.4d00cab9e7a4bp-9, 0x1.41dac4e8decc5p-9, 0x1.370e8e590b09ep-9, 0x1.2c999decbb56dp-9, 0x1.22797a073a098p-9, 0x1.18abb8456278cp-9, 0x1.0f2dfd36beda9p-9, 0x1.05fdfc172dcf3p-9, 0x1.fa32ed123eb5p-10, 0x1.e8fc78a0cab8bp-10, 0x1.d854561b46b1bp-10, 0x1.c8365bf4c1e4dp-10, 0x1.b89e7b4b8bac2p-10, 0x1.a988bf6401965p-10, 0x1.9af14d24c14e5p-10, 0x1.8cd46294408c8p-10, 0x1.7f2e5657e0758p-10, 0x1.71fb97346a62fp-10, 0x1.6538ab9018fdp-10, 0x1.58e230f61f029p-10, 0x1.4cf4db9bb3a0bp-10, 0x1.416d75e6b89e2p-10, 0x1.3648dff5e6167p-10, 0x1.2b840f2a92498p-10, 0x1.211c0db4157f7p-10, 0x1.170dfa1cc0feap-10, 0x1.0d5706d87d58fp-10, 0x1.03f479d5043c9p-10, 0x1.f5c758177cafep-11, 0x1.e444122a82f92p-11, 0x1.d35a1d7cec69ap-11, 0x1.c304993ec025fp-11, 0x1.b33ec767162dp-11, 0x1.a4040be83bdaep-11, 0x1.954febe71fab2p-11, 0x1.871e0cf6043a2p-11, 0x1.796a345279d7dp-11, 0x1.6c304626985ebp-11, 0x1.5f6c44cd794f1p-11, 0x1.531a501aee1fbp-11, 0x1.4736a4a66eb7dp-11, 0x1.3bbd9b193aaa1p-11, 0x1.30aba77faaeffp-11, 0x1.25fd589dab5dep-11, 0x1.1baf57465aaf8p-11, 0x1.11be65b6c65d4p-11, 0x1.08275ef3c2014p-11, 0x1.fdce6c559a065p-12, 0x1.ebf5ec2c0ad35p-12, 0x1.dabf80c63e152p-12, 0x1.ca259a3aaad36p-12, 0x1.ba22d434a95ap-12, 0x1.aab1f4d41e202p-12, 0x1.9bcdeb92f09f2p-12, 0x1.8d71d0303cfbap-12, 0x1.7f98e1a12e0a9p-12, 0x1.723e850775c9p-12, 0x1.655e44ad47016p-12, 0x1.58f3cf06cb9cbp-12, 0x1.4cfaf5b8fdf4bp-12, 0x1.416faca5d3958p-12, 0x1.364e08fdacd42p-12, 0x1.2b924055efffep-12, 0x1.2138a7c4c3938p-12, 0x1.173db301cf144p-12, 0x1.0d9df38bf928dp-12, 0x1.045617d403634p-12, 0x1.f6c5d4d7fadc1p-13, 0x1.e582a276e9305p-13, 0x1.d4dc9970a0defp-13, 0x1.c4cdee489131fp-13, 0x1.b551079dc2deep-13, 0x1.a6607cb7bbb16p-13, 0x1.97f7141c1b17dp-13, 0x1.8a0fc22cdbc1cp-13, 0x1.7ca5a7cf08c5dp-13, 0x1.6fb41119c5e1fp-13, 0x1.6336740d7ce66p-13, 0x1.57286f531e47ep-13, 0x1.4b85c903387fp-13, 0x1.404a6d74d4329p-13, 0x1.35726e13e73bap-13, 0x1.2afa003f3fe41p-13, 0x1.20dd7c2dbc3d8p-13, 0x1.17195bdab0bcdp-13, 0x1.0daa39f960619p-13, 0x1.048cd0ef53128p-13, 0x1.f77bf3aaeaecbp-14, 0x1.e67556ffb71efp-14, 0x1.d5fff31807bd3p-14, 0x1.c61626eaee0cbp-14, 0x1.b6b287614e38ep-14, 0x1.a7cfdd97dc76ep-14, 0x1.9969252d0cd37p-14, 0x1.8b798a9ab7e1p-14, 0x1.7dfc699b425f2p-14, 0x1.70ed4b99f7b1ep-14, 0x1.6447e62e645c3p-14, 0x1.580819a26d4adp-14, 0x1.4c29ef82ecd14p-14, 0x1.40a9993a95eecp-14, 0x1.35836eb6e4ee5p-14, 0x1.2ab3ed16e3ebap-14, 0x1.2037b5638a4ep-14, 0x1.160b8b517df25p-14, 0x1.0c2c540c013a2p-14, 0x1.02971508d541dp-14, 0x1.f291e5c9b7ffdp-15, 0x1.e07e60928d8f7p-15, 0x1.ceee59b235edep-15, 0x1.bddcc84db8af4p-15, 0x1.ad44d964541dp-15, 0x1.9d21edda385cep-15, 0x1.8d6f9892685fbp-15, 0x1.7e299c975c6e3p-15, 0x1.6f4beb520be6bp-15, 0x1.60d2a2cf024ap-15, 0x1.52ba0c1124161p-15, 0x1.44fe9971cf1e3p-15, 0x1.379ce50dfcacp-15, 0x1.2a91af400e378p-15, 0x1.1dd9dd25f9c5bp-15, 0x1.117277337b23dp-15, 0x1.0558a7cfffc63p-15, 0x1.f31373fff591dp-16, 0x1.dc063032b209bp-16, 0x1.c58495058b2fdp-16, 0x1.af89ecfaec34dp-16, 0x1.9a11b9f26fc66p-16, 0x1.8517b2e4eb26ap-16, 0x1.7097c1b3e25b3p-16, 0x1.5c8e010bd8f0ep-16, 0x1.48f6ba590080bp-16, 0x1.35ce63cdc1d27p-16, 0x1.23119e7a9a952p-16, 0x1.10bd3476daf1cp-16, 0x1.fd9c2e3399971p-17, 0x1.da82ba8778fb7p-17, 0x1.b828836d0db57p-17, 0x1.968842fa4878bp-17, 0x1.759cf4c3a19e1p-17, 0x1.5561d2e4c4cf4p-17, 0x1.35d25324b2c73p-17, 0x1.16ea2434a751dp-17, 0x1.f14a5611bda7ap-18, 0x1.b5ff00950a647p-18, 0x1.7beadbc4122f9p-18, 0x1.4306d9322f565p-18, 0x1.0b4c43a712cbp-18, 0x1.a969757a34c1dp-19, 0x1.3e745d558b5c1p-19, 0x1.ab5b70d7d826p-20, 0x1.bc2a467d6efp-21, 0x1.500fb5c291d97p-24, -0x1.5fe9afee29ab4p-21, -0x1.70df304ee28e2p-20, -0x1.16e7fe731a4dcp-19, -0x1.736c27a7c434cp-19, -0x1.ce0433cff921bp-19, -0x1.135bf0063aae7p-18, -0x1.3ec746154e951p-18, -0x1.69479fff433aap-18, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      50, 0x1.3333333333333p+2, 0x1.2f014663438f1p+1, 0x1.d2208dcfe20f4p+1, 0x1.54a0640402e8cp-4, 
      {{
        {0x1p+1, 0x1.072b020c49ba6p+1, 0x1.ac77c6c7356f6p-2, -0x1.965904622e16cp-1, 0x1.e0f562431fcbp-1, 0x1.f86f1ca1555edp-3}, 
        {0x1.072b020c49ba6p+1, 0x1.0e5604189374cp+1, 0x1.82048e5a205cfp-2, -0x1.5f4b3f93e3893p-1, 0x1.f6250efc1381ap-1, -0x1.3b4571e4d5538p+0}, 
        {0x1.0e5604189374cp+1, 0x1.15810624dd2f2p+1, 0x1.5d99d209deb74p-2, -0x1.2cfc61f9444f7p-1, 0x1.8c36af5f50f2dp-1, -0x1.5d1944b1cdaeap-1}, 
        {0x1.15810624dd2f2p+1, 0x1.1cac083126e98p+1, 0x1.3e40bccd6a1a7p-2, -0x1.03e4ee9b8ae36p-1, 0x1.5190a5e130711p-1, -0x1.615c2a4613001p-1}, 
        {0x1.1cac083126e98p+1, 0x1.23d70a3d70a3dp+1, 0x1.2323482600e8p-2, -0x1.c2d2a22966587p-2, 0x1.1633571900318p-1, -0x1.2020fc90f5f2bp-1}, 
        {0x1.23d70a3d70a3dp+1, 0x1.2b020c49ba5e3p+1, 0x1.0b89111c6e30fp-2, -0x1.89ed63512cbcdp-2, 0x1.cb96fd2c4d7ecp-2, -0x1.f048bbba1fa3cp-2}, 
        {0x1.2b020c49ba5e3p+1, 0x1.322d0e5604189p+1, 0x1.eda8c23cb726bp-3, -0x1.5b1f4dbdc8e24p-2, 0x1.7836cd403be43p-2, -0x1.9f246c4c2f1bep-2}, 
        {0x1.322d0e5604189p+1, 0x1.395810624dd2fp+1, 0x1.c8fecd69c4839p-3, -0x1.34e457abf831dp-2, 0x1.32785cd952b26p-2, -0x1.59d438c605c48p-2}, 
        {0x1.395810624dd2fp+1, 0x1.4083126e978d5p+1, 0x1.a8333c28b668cp-3, -0x1.15d22417d7ebp-2, 0x1.f0bde61c247aap-3, -0x1.1c099201fab5dp-2}, 
        {0x1.4083126e978d5p+1, 0x1.47ae147ae147bp+1, 0x1.8a8acee1b6242p-3, -0x1.f959e13d76cbcp-3, 0x1.914e23a4b1854p-3, -0x1.cc4cac4abdf7fp-3}, 
        {0x1.47ae147ae147bp+1, 0x1.4ed916872b021p+1, 0x1.6f6b933ac9995p-3, -0x1.d0bc437fdea9dp-3, 0x1.43f99402a1fd5p-3, -0x1.6e8a66867000ep-3}, 
        {0x1.4ed916872b021p+1, 0x1.5604189374bc7p+1, 0x1.5658bde4db141p-3, -0x1.afe60c8853c26p-3, 0x1.0665661d33034p-3, -0x1.1de04d62c80b4p-3}, 
        {0x1.5604189374bc7p+1, 0x1.5d2f1a9fbe76dp+1, 0x1.3eeed8b2ab85dp-3, -0x1.9533256d1d839p-3, 0x1.acbcdf484fddcp-4, -0x1.b228f7a12e3d3p-4}, 
        {0x1.5d2f1a9fbe76dp+1, 0x1.645a1cac08312p+1, 0x1.28e03ddc9e3fep-3, -0x1.7f3b9657f0dd3p-3, 0x1.63cc8487587b3p-4, -0x1.3e5c16029ca39p-4}, 
        {0x1.645a1cac08312p+1, 0x1.6b851eb851eb8p+1, 0x1.13f1e1843ee97p-3, -0x1.6cce3b0eb4eccp-3, 0x1.2e5080d4bb187p-4, -0x1.bc64e34556fabp-5}, 
        {0x1.6b851eb851eb8p+1, 0x1.72b020c49ba5ep+1, 0x1.fff0c4f999b47p-4, -0x1.5cebd355c406cp-3, 0x1.08fc40af298c9p-4, -0x1.1f8ef58b2f3e6p-5}, 
        {0x1.72b020c49ba5ep+1, 0x1.79db22d0e5604p+1, 0x1.d9aac57fc0437p-4, -0x1.4ec22344599cfp-3, 0x1.e1a931348275p-5, -0x1.45258c5cc8f6bp-6}, 
        {0x1.79db22d0e5604p+1, 0x1.810624dd2f1aap+1, 0x1.b4ea44a44134dp-4, -0x1.41a77ad005b9dp-3, 0x1.c6593cf777b85p-5, -0x1.07127a597af0bp-7}, 
        {0x1.810624dd2f1aap+1, 0x1.883126e978d5p+1, 0x1.9198b2fcb291cp-4, -0x1.35164f0d59b5dp-3, 0x1.bb4cafa2d040ap-5, 0x1.853a0a61f9003p-11}, 
        {0x1.883126e978d5p+1, 0x1.8f5c28f5c28f6p+1, 0x1.6faca21e9e31dp-4, -0x1.28a91363d8aaep-3, 0x1.bc523f1655ac9p-5, 0x1.c1add9b6dcd4dp-8}, 
        {0x1.8f5c28f5c28f6p+1, 0x1.96872b020c49cp+1, 0x1.4f2667069a2f1p-4, -0x1.1c165610d0cbap-3, 0x1.c5c3b8a6b801fp-5, 0x1.5e5ce96c04ffp-7}, 
        {0x1.96872b020c49cp+1, 0x1.9db22d0e56042p+1, 0x1.300d2a9c1c111p-4, -0x1.0f2d033781b65p-3, 0x1.d47ad2d6c68dbp-5, 0x1.9c197070d3b16p-7}, 
        {0x1.9db22d0e56042p+1, 0x1.a4dd2f1a9fbe7p+1, 0x1.126c616510492p-4, -0x1.01d0eac13a9f7p-3, 0x1.e5c9b74e33cbfp-5, 0x1.a4b82e73a524ep-7}, 
        {0x1.a4dd2f1a9fbe7p+1, 0x1.ac083126e978dp+1, 0x1.eca34850181ecp-5, -0x1.e7eeeaf55c8e8p-4, 0x1.f7754aaa1973cp-5, 0x1.81e3f34f2bf67p-7}, 
        {0x1.ac083126e978dp+1, 0x1.b333333333333p+1, 0x1.b795c7f8b3a2bp-5, -0x1.cb492ab647a34p-4, 0x1.03d5315a8d64bp-4, 0x1.3ce15d6ceb14ep-7}, 
        {0x1.b333333333333p+1, 0x1.ba5e353f7ced9p+1, 0x1.85c9e5559e86ep-5, -0x1.adcfd7afd021fp-4, 0x1.0a7cbdcfc89a2p-4, 0x1.bbf31cf5e813cp-8}, 
        {0x1.ba5e353f7ced9p+1, 0x1.c189374bc6a7fp+1, 0x1.5754b4700638bp-5, -0x1.8fb44ae9c1693p-4, 0x1.0f261400f526ap-4, 0x1.b3ac586d1c99dp-9}, 
        {0x1.c189374bc6a7fp+1, 0x1.c8b4395810625p+1, 0x1.2c44f92c9cd92p-5, -0x1.7135201820528p-4, 0x1.116f9f79d9b79p-4, -0x1.e8e87352cdb0fp-12}, 
        {0x1.c8b4395810625p+1, 0x1.cfdf3b645a1cbp+1, 0x1.04a1ebd478328p-5, -0x1.5299c46a1982bp-4, 0x1.111d7c853234cp-4, -0x1.20ea6d6c50857p-8}, 
        {0x1.cfdf3b645a1cbp+1, 0x1.d70a3d70a3d71p+1, 0x1.c0d4ec9c6f0dbp-6, -0x1.342e7fa913984p-4, 0x1.0e14e183ee49ep-4, -0x1.10ec89ed83bf8p-7}, 
        {0x1.d70a3d70a3d71p+1, 0x1.de353f7ced917p+1, 0x1.7f29b98964726p-6, -0x1.1640e2aa6142ep-4, 0x1.0859a4403917p-4, -0x1.8bfa1161a0d4fp-7}, 
        {0x1.de353f7ced917p+1, 0x1.e5604189374bcp+1, 0x1.441d8e33c980fp-6, -0x1.f2394c2945a62p-5, 0x1.0008dec40f918p-4, -0x1.fd60a0f2bd874p-7}, 
        {0x1.e5604189374bcp+1, 0x1.ec8b439581062p+1, 0x1.0f7b3a0eedcf4p-6, -0x1.ba11f2e8b545bp-5, 0x1.eaace9f8ce793p-5, -0x1.30e3aaf6b1624p-6}, 
        {0x1.ec8b439581062p+1, 0x1.f3b645a1cac08p+1, 0x1.c1fca8c04fa73p-7, -0x1.848c7521bda7p-5, 0x1.d11092e82e2a3p-5, -0x1.5b39c6522e664p-6}, 
        {0x1.f3b645a1cac08p+1, 0x1.fae147ae147aep+1, 0x1.70a9f30d66359p-7, -0x1.5218423f0ad95p-5, 0x1.b3e5d531262bcp-5, -0x1.7cb511b7b0dc4p-6}, 
        {0x1.fae147ae147aep+1, 0x1.010624dd2f1aap+2, 0x1.2a43cb7cdab7fp-7, -0x1.2310a784f507fp-5, 0x1.93eb1a5c164a7p-5, -0x1.94b098fa38dc6p-6}, 
        {0x1.010624dd2f1aap+2, 0x1.049ba5e353f7dp+2, 0x1.dbfb526b0cb67p-8, -0x1.ef75b027773ddp-6, 0x1.71eca71c0f776p-5, -0x1.a2e6391c0a4d2p-6}, 
        {0x1.049ba5e353f7dp+2, 0x1.083126e978d5p+2, 0x1.75fc32e45672dp-8, -0x1.a089a39b0369ep-6, 0x1.4ebca45c43d95p-5, -0x1.a766fa7aa0cc9p-6}, 
        {0x1.083126e978d5p+2, 0x1.0bc6a7ef9db23p+2, 0x1.20c7fad9bc25bp-8, -0x1.598a3ac6a8f3ep-6, 0x1.2b2bccc29ab19p-5, -0x1.a2a27e8ba47ebp-6}, 
        {0x1.0bc6a7ef9db23p+2, 0x1.0f5c28f5c28f6p+2, 0x1.b52ef9bc3bd47p-9, -0x1.1a76d28b6033p-6, 0x1.08017a734a50ep-5, -0x1.9560ef37656d4p-6}, 
        {0x1.0f5c28f5c28f6p+2, 0x1.12f1a9fbe76c9p+2, 0x1.435118cf6c52dp-9, -0x1.c648047395f47p-7, 0x1.cbe86e811d313p-6, -0x1.80c8d73029c22p-6}, 
        {0x1.12f1a9fbe76c9p+2, 0x1.16872b020c49cp+2, 0x1.d11c5639aaecp-10, -0x1.668086164bedbp-7, 0x1.8b439e521c51fp-6, -0x1.6654be54ad1a3p-6}, 
        {0x1.16872b020c49cp+2, 0x1.1a1cac083126fp+2, 0x1.4353e3682af2ep-10, -0x1.14b48a6160e8ep-7, 0x1.4f10847d3aa18p-6, -0x1.47f0731a478bbp-6}, 
        {0x1.1a1cac083126fp+2, 0x1.1db22d0e56042p+2, 0x1.ae824af3e9717p-11, -0x1.9fa47ff48476ap-8, 0x1.17f8818932b5p-6, -0x1.2798443855ec4p-6}, 
        {0x1.1db22d0e56042p+2, 0x1.2147ae147ae14p+2, 0x1.0ebc4cc25eabap-11, -0x1.2d56ea76686d7p-8, 0x1.cc9f2165de0c4p-7, -0x1.08b0f03edf6a2p-6}, 
        {0x1.2147ae147ae14p+2, 0x1.24dd2f1a9fbe7p+2, 0x1.3ab85fac6e5d4p-12, -0x1.a03e0543b4e04p-9, 0x1.73af7483f1319p-7, -0x1.d62c581d2d76cp-7}, 
        {0x1.24dd2f1a9fbe7p+2, 0x1.2872b020c49bap+2, 0x1.45cd367890cc2p-13, -0x1.0b6bb83bd88c5p-9, 0x1.24b23eccdd449p-7, -0x1.baff68f3c1706p-7}, 
        {0x1.2872b020c49bap+2, 0x1.2c083126e978dp+2, 0x1.17eaf09d2761dp-14, -0x1.31ed6f50faf06p-10, 0x1.b48b99d3173c6p-8, -0x1.71c48c30ed8c6p-7}, 
        {0x1.2c083126e978dp+2, 0x1.2f9db22d0e56p+2, 0x1.5471d1408699bp-16, -0x1.145eea080a7bcp-11, 0x1.384da8290d0d1p-8, -0x1.2085eac51ee3cp-6}, 
        {0x1.2f9db22d0e56p+2, 0x1.3333333333333p+2, 0x1.60332beeae3e7p-19, -0x1.4da26135312e5p-13, 0x1.d9a9cb5f24c11p-10, 0x1.dc733a536bcacp-5}, 
      }}, 
      -0x1.84281810f68dbp+0, 0x1.34e2e44d04719p+3
    }
  };
  // clang-format on
}
SkfData params_hyb_0_2_si_s() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.d71790e909355p-4, -0x1.a9d29a0661698p-4, -0x1.79ddd888d723cp-4, -0x1.47cc720c3a838p-4, -0x1.1419ca1555a99p-4, -0x1.be6434ce85834p-5, -0x1.530b25ef65852p-5, -0x1.cdd0e1cdc7479p-6, -0x1.ea942f98aa3c2p-7, -0x1.dc42917e6bd9cp-10, 0x1.6f42899ff354dp-7, 0x1.89ea74c1a9b4cp-6, 0x1.2c1a2d12f6ea7p-5, 0x1.90da65b8b01d1p-5, 0x1.f2dde8fb98996p-5, 0x1.28ec34f6e26fep-4, 0x1.56c3fcf572a3p-4, 0x1.82da192234439p-4, 0x1.ad16bf867f497p-4, 0x1.d5663c7c29b6dp-4, 0x1.fbb8af4abea6dp-4, 0x1.100281ecc1cecp-3, 0x1.211e5468dd324p-3, 0x1.312c9879cd519p-3, 0x1.402d2e9861efp-3, 0x1.4e21334b35d3dp-3, 0x1.5b09e49ceea5bp-3, 0x1.66e883a6eacc5p-3, 0x1.71bef0b52451dp-3, 0x1.7b9054bf82d39p-3, 0x1.84615825dd82fp-3, 0x1.8c37d7b2a9a25p-3, 0x1.931a5d3acb725p-3, 0x1.990fb013a4ed3p-3, 0x1.9e1eaa6d58cf9p-3, 0x1.a24e4c8bb50c6p-3, 0x1.a5a5e866c25d7p-3, 0x1.a82d40cc7cc32p-3, 0x1.a9ec8a779b7f7p-3, 0x1.aaec5240fffc4p-3, 0x1.ab3557006f43p-3, 0x1.aad0660ae698cp-3, 0x1.a9c642946fdbcp-3, 0x1.a81f98d79bc41p-3, 0x1.a5e4fa04f33fbp-3, 0x1.a31edd7415a2p-3, 0x1.9fd5a3dd1c62dp-3, 0x1.9c11995fdfd58p-3, 0x1.97daf3aa52c6ep-3, 0x1.9339cb54d3848p-3, 0x1.8e3611bbf1613p-3, 0x1.88d785e5764bep-3, 0x1.8325aae70383ep-3, 0x1.7d27c15f806fp-3, 0x1.76e4c499083bp-3, 0x1.70636b1296ee1p-3, 0x1.69aa29679cc58p-3, 0x1.62bf35e108ca4p-3, 0x1.5ba88ace0b397p-3, 0x1.546be66432bep-3, 0x1.4d0ec82f763afp-3, 0x1.45966d6392231p-3, 0x1.3e07cdedf6a4cp-3, 0x1.366e9b8a8108cp-3, 0x1.2ec3ffd238b0cp-3, 0x1.270edea8fb9bdp-3, 0x1.1f5304d30bd6dp-3, 0x1.17944c47d8cadp-3, 0x1.0fd69018de5e1p-3, 0x1.081d97cb8e80cp-3, 0x1.006cff0fa6a7ep-3, 0x1.f1903d3365b61p-4, 0x1.e263f40ec8d5cp-4, 0x1.d35a6aae58499p-4, 0x1.c47825db8610ep-4, 0x1.b5c0f34e0d562p-4, 0x1.a738027a9f822p-4, 0x1.98e00525be64ep-4, 0x1.8abb5255745e4p-4, 0x1.7ccc06ad3bfd4p-4, 0x1.6f141e60903d4p-4, 0x1.6195866b005c8p-4, 0x1.54522453058a9p-4, 0x1.474bd527e1baep-4, 0x1.3a84657f5556fp-4, 0x1.2dfd84df20f2p-4, 0x1.21b8b7349f284p-4, 0x1.15b746cf479b1p-4, 0x1.09fa38db01188p-4, 0x1.fd048b683dfd6p-5, 0x1.e69fab7f08beep-5, 0x1.d0c6059c8bb47p-5, 0x1.bb773b1b70e9ap-5, 0x1.a6b26c4617cf2p-5, 0x1.92764dade5ecep-5, 0x1.7ec13f42286fp-5, 0x1.6b9162e18bdfcp-5, 0x1.58e4b0777d69ep-5, 0x1.46b9063978c03p-5, 0x1.350c3434f0734p-5, 0x1.23dc030034117p-5, 0x1.132635f2b2292p-5, 0x1.02e889ba2d271p-5, 0x1.e64160d0b171ep-6, 0x1.c7989858d78bap-6, 0x1.a9d1d3b5e9a66p-6, 0x1.8ce7f86be3aap-6, 0x1.70d5b148be144p-6, 0x1.55956b7e5a497p-6, 0x1.3b2157a881245p-6, 0x1.21736e8a47013p-6, 0x1.088578f50dc6p-6, 0x1.e0a23421669f9p-7, 0x1.b19fb63fbd67bp-7, 0x1.83f66fb212a5fp-7, 0x1.57995501e4be5p-7, 0x1.2c7b6e3017aa9p-7, 0x1.028fea3885a5p-7, 0x1.b3945e5221675p-8, 0x1.643bcd36089c3p-8, 0x1.16fe0d64adbaep-8, 0x1.978760105479ap-9, 0x1.04ebe3a486228p-9, 0x1.d7f5ece4dea81p-11, -0x1.56ea7d3b83c33p-13, -0x1.3b03fa56a375p-10, -0x1.2264acbe59b9p-9, -0x1.a43d976c99253p-9, -0x1.11993013606cdp-8, -0x1.4fb3ba61f3c1dp-8, -0x1.8c800aeac01f2p-8, -0x1.c80f2e6857105p-8, -0x1.0138cffdd4248p-7, -0x1.1ddba4e3ad9f8p-7, -0x1.39f7c20aa3953p-7, -0x1.55948986a0846p-7, -0x1.70b91196ea051p-7, -0x1.8b6c226e8b756p-7, -0x1.a5b433c35b187p-7, -0x1.bf976a667624bp-7, -0x1.d91b9629975bdp-7, -0x1.f246304d3d919p-7, -0x1.058e2d52a968fp-6, -0x1.11d16fc7b5d8fp-6, -0x1.1def196083e62p-6, -0x1.29e939706e67dp-6, -0x1.35c1b5e714015p-6, -0x1.416d56e52b958p-6, -0x1.4d0e221b15c98p-6, -0x1.589201d9c589fp-6, -0x1.63fa0b8cb146ep-6, -0x1.6f47380701acp-6, -0x1.7a7a66c822915p-6, -0x1.859460e1e78dbp-6, -0x1.9095db707e691p-6, -0x1.9b7f799a7ab63p-6, -0x1.a651ce15216a2p-6, -0x1.b10d5c2ed50fdp-6, -0x1.bbb29866c4a9ap-6, -0x1.c641e89d5ee2ep-6, -0x1.d0bba3ecd2134p-6, -0x1.db20123b62a2p-6, -0x1.e56f6b9b36b6bp-6, -0x1.efa9d78bc4468p-6, -0x1.f9cf6c3109a33p-6, -0x1.01f016c9c01fbp-5, -0x1.06ee067d1dfabp-5, -0x1.0be17437059bp-5, -0x1.10ca4538f8e55p-5, -0x1.15a854fcfd42p-5, -0x1.1a7b75532bc5ap-5, -0x1.1f436ea2a715cp-5, -0x1.2400004db53e7p-5, -0x1.28b0e1373a0dfp-5, -0x1.2d55c06683d0ap-5, -0x1.31ee45c552494p-5, -0x1.367a12f31e37bp-5, -0x1.3af8c4281e8aep-5, -0x1.3f69f1222ac11p-5, -0x1.43cd2e15a1b89p-5, -0x1.48220c9c8e7e6p-5, -0x1.4c681c9ec7315p-5, -0x1.509eed2e340e1p-5, -0x1.54c60d533f7c4p-5, -0x1.58dd0cc628a9cp-5, -0x1.5ce37c92d9c6cp-5, -0x1.60d8efa5c09d8p-5, -0x1.64bcfb410481fp-5, -0x1.688f375a45944p-5, -0x1.6c4f3ee1c4c26p-5, -0x1.6ffcaff484ed9p-5, -0x1.73972bfb64157p-5, -0x1.771e57b9a4177p-5, -0x1.7a91db4d93916p-5, -0x1.7df1622635333p-5, -0x1.813c9af0c0fc8p-5, -0x1.84733780db94ap-5, -0x1.8794ecb61f304p-5, -0x1.8aa1726166308p-5, -0x1.8d98832bf064cp-5, -0x1.9079dc8229857p-5, -0x1.93453e836c84cp-5, -0x1.95fa6bf7ca31ep-5, -0x1.98992a4c690e6p-5, -0x1.9b214196be078p-5, -0x1.9d927c9e7d588p-5, -0x1.9feca8edde9cep-5, -0x1.a22f96e77dd08p-5, -0x1.a45b19e0ff18bp-5, -0x1.a66f084162334p-5, -0x1.a86b3ba1e3f83p-5, -0x1.aa4f90f041772p-5, -0x1.ac1be8912497ep-5, -0x1.add02681a7763p-5, -0x1.af6c3276d1d36p-5, -0x1.b0eff7fa3bbffp-5, -0x1.b25b6682f9975p-5, -0x1.b3ae718a4435cp-5, -0x1.b4e9109b62f7fp-5, -0x1.b60b3f5e8fbd9p-5, -0x1.b714fd9ebae52p-5, -0x1.b8064f4a2f41dp-5, -0x1.b8df3c6e4421ap-5, -0x1.b99fd12e60f3p-5, -0x1.ba481db6af6bcp-5, -0x1.bad8362af3787p-5, -0x1.bb503291f930ep-5, -0x1.bbb02ebe29c78p-5, -0x1.bbf84a33c6775p-5, -0x1.bc28a80d519aep-5, -0x1.bc416edea5fe1p-5, -0x1.bc42c8972c4d6p-5, -0x1.bc2ce263a4817p-5, -0x1.bbffec8fd37ebp-5, -0x1.bbbc1a686ac2fp-5, -0x1.bb61a21d6ebcdp-5, -0x1.baf0bca53dee6p-5, -0x1.ba69a5a06d46dp-5, -0x1.b9cc9b3e7ea17p-5, -0x1.b919de2389afbp-5, -0x1.b851b14ecc66cp-5, -0x1.b7745a021ad95p-5, -0x1.b6821faa24a21p-5, -0x1.b57b4bc76f822p-5, -0x1.b46029d7fbfp-5, -0x1.b33107416b7adp-5, -0x1.b1ee333b95a89p-5, -0x1.b097febb71455p-5, -0x1.af2ebc5e35a44p-5, -0x1.adb2c054a12bcp-5, -0x1.ac24604e544a4p-5, -0x1.aa83f3652d79p-5, -0x1.a8d1d2089ccdp-5, -0x1.a70e55e8f024ep-5, -0x1.a539d9e285a6fp-5, -0x1.a354b9e8f2fd3p-5, -0x1.a15f52f218838p-5, -0x1.9f5a02e133c13p-5, -0x1.9d452871ecf5cp-5, -0x1.9b2123236c633p-5, -0x1.98ee532389fcp-5, -0x1.96ad193a14497p-5, -0x1.945dd6b44d27p-5, -0x1.9200ed5093876p-5, -0x1.8f96bf2a571c2p-5, -0x1.8d1faea65201cp-5, -0x1.8a9c1e5f1fa94p-5, -0x1.880c71122c113p-5, -0x1.8571098d0c32ap-5, -0x1.82ca4a9b41bdfp-5, -0x1.801896f4707ccp-5, -0x1.7d5c512b071bep-5, -0x1.7a95db9b620bbp-5, -0x1.77c5985b65a74p-5, -0x1.74ebe92a97056p-5, -0x1.72092f62abb5fp-5, -0x1.6f1dcbe89a9f8p-5, -0x1.6c2a1f1e258bbp-5, -0x1.692e88d3db089p-5, -0x1.662b683b990f9p-5, -0x1.63211bdb80443p-5, -0x1.601001816690ap-5, -0x1.5cf87636b8968p-5, -0x1.59dad634da7eap-5, -0x1.56b77cd9f2554p-5, -0x1.538ec49e2fa93p-5, -0x1.506107097fe1ep-5, -0x1.4d2e9ca9b5a4p-5, -0x1.49f7dd0923435p-5, -0x1.46bd1ea5a2a07p-5, -0x1.437eb6e80d9e8p-5, -0x1.403cfa1c256cep-5, -0x1.3cf83b68e5d51p-5, -0x1.39b0ccc9459b3p-5, -0x1.3666ff05622e1p-5, -0x1.331b21ac1701ap-5, -0x1.2fcd830cf9e4p-5, -0x1.2c7e7032c2fc3p-5, -0x1.292e34de16996p-5, -0x1.25dd1b80b7812p-5, -0x1.228b6d39172fp-5, -0x1.1f3971ce4a5adp-5, -0x1.1be76fac58455p-5, -0x1.1895abe0eb208p-5, -0x1.15446a185543fp-5, -0x1.11f3ec9af4519p-5, -0x1.0ea4744ae709ep-5, -0x1.0b5640a216293p-5, -0x1.08098fb09377dp-5, -0x1.04be9e1b4426bp-5, -0x1.0175a71ad8ed2p-5, -0x1.fc5dc8f628858p-6, -0x1.f5d51d34adf01p-6, -0x1.ef51b8d2e65a1p-6, -0x1.e8d406d790ee1p-6, -0x1.e25f41f289046p-6, -0x1.dbee16bd13a58p-6, -0x1.d583ca50c7ccap-6, -0x1.cf20bc91acf3bp-6, -0x1.c8c54a922ff6p-6, -0x1.c271ce957f87bp-6, -0x1.bc26a0127b0bbp-6, -0x1.b5e413b725001p-6, -0x1.afaa7b6c9630fp-6, -0x1.a97a265b78bb6p-6, -0x1.a35360f0f5c33p-6, -0x1.9d3674e417f96p-6, -0x1.9723a93b9c9c9p-6, -0x1.911b425433a8ap-6, -0x1.8b1d81e714771p-6, -0x1.852aa710fd55ep-6, -0x1.7f42ee59813a1p-6, -0x1.796691baa5aaap-6, -0x1.7395c8a8ce134p-6, -0x1.6dd0c81ae9f0fp-6, -0x1.6817c292de1a9p-6, -0x1.626ae8262b42p-6, -0x1.5cca6686c9f03p-6, -0x1.5736690c2e9d6p-6, -0x1.51af18bc7c3bp-6, -0x1.4c349c55de255p-6, -0x1.46c71857fe3b3p-6, -0x1.4166af0d99ebfp-6, -0x1.3c138096363bbp-6, -0x1.36cdaaefe3429p-6, -0x1.31954a0113609p-6, -0x1.2c6a77a288411p-6, -0x1.274d4ba946345p-6, -0x1.223ddbf097b7fp-6, -0x1.1d3c3c64131bdp-6, -0x1.18487f09aeeep-6, -0x1.1362b40bd17a2p-6, -0x1.0e8ae9c368b9ap-6, -0x1.09c12cc200dc4p-6, -0x1.050587dbd3134p-6, -0x1.00580431dc198p-6, -0x1.f7715277caba3p-7, -0x1.ee4ef9a515494p-7, -0x1.e54906726a4bcp-7, -0x1.dc5f7e50208e4p-7, -0x1.d39263abe90e1p-7, -0x1.cae1b60474edbp-7, -0x1.c24d71fd23dc5p-7, -0x1.b9d591717056fp-7, -0x1.b17a0b8853782p-7, -0x1.a93ad4c7707c3p-7, -0x1.a117df262587ap-7, -0x1.99111a20766e7p-7, -0x1.912672c9b5553p-7, -0x1.8957d3df1365ap-7, -0x1.81a525d9f3965p-7, -0x1.7a0e4f020f012p-7, -0x1.7293337f59e4ap-7, -0x1.6b33b56bbe6c7p-7, -0x1.63efb4e493ec9p-7, -0x1.5cc7101bdaffdp-7, -0x1.55b9a36945943p-7, -0x1.4ec7495af18efp-7, -0x1.47efdac5f0c6bp-7, -0x1.41332ed68c4f5p-7, -0x1.3a911b204870bp-7, -0x1.340973ada3177p-7, -0x1.2d9c0b0f95c16p-7, -0x1.2748b26ccdf2ap-7, -0x1.210f3990b12c3p-7, -0x1.1aef6efa154f1p-7, -0x1.14e91fe9b7f9fp-7, -0x1.0efc18707f03dp-7, -0x1.0928237d70e7ap-7, -0x1.036d0aeb6fd3dp-7, -0x1.fb952f1d7e7c7p-8, -0x1.f08122848eee2p-8, -0x1.e59d7de9384e8p-8, -0x1.dae9cd69a3a94p-8, -0x1.d0659b7e2942bp-8, -0x1.c610711212009p-8, -0x1.bbe9d59bf1cd9p-8, -0x1.b1f14f359af84p-8, -0x1.a82662b3a4a2ep-8, -0x1.9e8893bc90f05p-8, -0x1.951764df92eccp-8, -0x1.8bd257aaf1aa9p-8, -0x1.82b8ecc1ffd8ap-8, -0x1.79caa3f2d20c1p-8, -0x1.7106fc4b7a984p-8, -0x1.686d742ef606dp-8, -0x1.5ffd8969b2cb2p-8, -0x1.57b6b945c5147p-8, -0x1.4f98809eaf626p-8, -0x1.47a25bf4d6efbp-8, -0x1.3fd3c78088a6dp-8, -0x1.382c3f44aa34bp-8, -0x1.30ab3f20fb5d7p-8, -0x1.295042e3f2434p-8, -0x1.221ac65c30619p-8, -0x1.1b0a456983d71p-8, -0x1.141e3c0d7c9bp-8, -0x1.0d56267b95e35p-8, -0x1.06b18128d3a6cp-8, -0x1.002fc8db0a452p-8, -0x1.f3a0f56f0ededp-9, -0x1.e72628a2a303fp-9, -0x1.daee276dc4073p-9, -0x1.cef7eefead913p-9, -0x1.c3427dae541a1p-9, -0x1.b7ccd318a48f8p-9, -0x1.ac95f033d309fp-9, -0x1.a19cd7668c16ap-9, -0x1.96e08c9d0c88fp-9, -0x1.8c60155d3144ep-9, -0x1.821a78d9651ecp-9, -0x1.780ec00291671p-9, -0x1.6e3bf598f3dbfp-9, -0x1.64a1263bec057p-9, -0x1.5b3d6078b8a92p-9, -0x1.520fb4d85ad1dp-9, -0x1.491735ec526abp-9, -0x1.4052f85a7c7cdp-9, -0x1.37c212e803dc7p-9, -0x1.2f639e8388dcdp-9, -0x1.2736b64e340b4p-9, -0x1.1f3a77a42f3b6p-9, -0x1.176e022451a8bp-9, -0x1.0fd077b6f74cfp-9, -0x1.0860fc943df73p-9, -0x1.011eb749910dep-9, -0x1.f411a17d39852p-10, -0x1.e63ce87355ec3p-10, -0x1.d8bd9ec6f9e4fp-10, -0x1.cb9224953d322p-10, -0x1.beb8deccaab83p-10, -0x1.b2303731f774bp-10, -0x1.a5f69c6468644p-10, -0x1.9a0a81e1104cap-10, -0x1.8e6a6005a4d0fp-10, -0x1.8314b41292feap-10, -0x1.7808002cbc08ap-10, -0x1.6d42cb5e5555p-10, -0x1.62c3a1979b81bp-10, -0x1.588913aefc0dp-10, -0x1.4e91b760c5652p-10, -0x1.44dc274e8b88cp-10, -0x1.3b6702fe21b0dp-10, -0x1.3230eed83f8ap-10, -0x1.29389426cd7b6p-10, -0x1.207ca112e7be6p-10, -0x1.17fbc8a28e257p-10, -0x1.0fb4c2b5fe517p-10, -0x1.07a64c04d11acp-10, -0x1.ff9e4c357f69p-11, -0x1.f05c2ea846775p-11, -0x1.e183d5b413c0fp-11, -0x1.d312e13c91d0ap-11, -0x1.c506faadf57d1p-11, -0x1.b75dd4f3811e6p-11, -0x1.aa152c6d8e64p-11, -0x1.9d2ac6e6e8c11p-11, -0x1.909c738977139p-11, -0x1.84680ad26205p-11, -0x1.788b6e857fbd7p-11, -0x1.6d0489a032671p-11, -0x1.61d1504b8ceb8p-11, -0x1.56efbfcdfa7e3p-11, -0x1.4c5dde7c2accbp-11, -0x1.4219bba9608f3p-11, -0x1.38216f972d47bp-11, -0x1.2e731b6488d91p-11, -0x1.250ce8fc72393p-11, -0x1.1bed0b0392955p-11, -0x1.1311bcc60564bp-11, -0x1.0a794223e621p-11, -0x1.0221e77da5ed4p-11, -0x1.f414033f8df98p-12, -0x1.e45fdb5c78a89p-12, -0x1.d524221e3528ep-12, -0x1.c65db2a9dd625p-12, -0x1.b809785169059p-12, -0x1.aa246e66db46ap-12, -0x1.9caba00dcf1b7p-12, -0x1.8f9c280d8cd6ep-12, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.af36d76af7febp-3, -0x1.ad286724c8f96p-3, -0x1.a972c07303073p-3, -0x1.a43782eaddd98p-3, -0x1.9d94a4750b3d2p-3, -0x1.95a96371b04c4p-3, -0x1.8c939709c68b8p-3, -0x1.826f469cb63dep-3, -0x1.7757c05a8cf74p-3, -0x1.6b6718d61bd9dp-3, -0x1.5eb5e9dae6de9p-3, -0x1.515b8852a06e1p-3, -0x1.436e0bbb61877p-3, -0x1.350240055f7fdp-3, -0x1.262baf16f022ep-3, -0x1.16fcae5430409p-3, -0x1.078666f05964ep-3, -0x1.efb1ba12eea85p-4, -0x1.d005f64d4a03p-4, -0x1.b02543df5599fp-4, -0x1.902962db8282bp-4, -0x1.7029c71b14b15p-4, -0x1.503d783d8bcc3p-4, -0x1.3077de298cf6cp-4, -0x1.10eb5442ecab3p-4, -0x1.e351c03fa2f57p-5, -0x1.a5805772cb774p-5, -0x1.687edb172e80dp-5, -0x1.2c66c092ff9bbp-5, -0x1.e29d5c1c1d9c3p-6, -0x1.6e958f7857222p-6, -0x1.f9b3f4f351306p-7, -0x1.1b14f927f83dbp-7, -0x1.0619415953871p-9, 0x1.258ea12aa6e96p-8, 0x1.61aa794cf3d09p-7, 0x1.1580574ccfe9bp-6, 0x1.7756fa1d28f87p-6, 0x1.d64e21746fdb4p-6, 0x1.192ebff1fcbep-5, 0x1.45bfa08b3b812p-5, 0x1.70d7eb2caf02fp-5, 0x1.9a76e6444e335p-5, 0x1.c29cd433d7d9bp-5, 0x1.e94ae28b8e896p-5, 0x1.07418c8654889p-4, 0x1.192424462dfefp-4, 0x1.2a4efcf2b8921p-4, 0x1.3ac42e2778c98p-4, 0x1.4a86195026e4fp-4, 0x1.5997605a34471p-4, 0x1.67fadda2b83aap-4, 0x1.75b39dc77136p-4, 0x1.82c4dacdd9bbap-4, 0x1.8f31f7691dc0dp-4, 0x1.9afe79a2ebac3p-4, 0x1.a62e05333addbp-4, 0x1.b0c4565a10a5fp-4, 0x1.bac53da82055ap-4, 0x1.c4349c59ec6fcp-4, 0x1.cd1660904f11fp-4, 0x1.d56e811776cbcp-4, 0x1.dd40f92307e49p-4, 0x1.e4930378c14b9p-4, 0x1.eb65cd2c2789ep-4, 0x1.f1bebcf8c2128p-4, 0x1.f7a1dd31d96bp-4, 0x1.fd1330bde7323p-4, 0x1.010b56aab14c8p-3, 0x1.03581b8cb5336p-3, 0x1.0571cee5aac01p-3, 0x1.075a4dd111f27p-3, 0x1.09136abdd8775p-3, 0x1.0a9eedff85266p-3, 0x1.0bfe969acdb51p-3, 0x1.0d341b13942b4p-3, 0x1.0e412a0d9cdadp-3, 0x1.0f276aa1c6716p-3, 0x1.0fe87c5ba400ap-3, 0x1.1085f6e420dc3p-3, 0x1.1101696acf931p-3, 0x1.115c59e760f64p-3, 0x1.1198444f6c732p-3, 0x1.11b699dae37b8p-3, 0x1.11b8c06cad0e6p-3, 0x1.11a0122d8ebbbp-3, 0x1.116ddd5fb4bd2p-3, 0x1.11236469285fp-3, 0x1.10c1de0d22861p-3, 0x1.104a75c7beb28p-3, 0x1.0fbe4c3df81bap-3, 0x1.0f1e77b472a87p-3, 0x1.0e6c0481d455ep-3, 0x1.0da7f57494093p-3, 0x1.0cd344275cc4dp-3, 0x1.0beee141d24a9p-3, 0x1.0afbb4a62b489p-3, 0x1.09fa9d8e06269p-3, 0x1.08ec729ab33fep-3, 0x1.07d201de438a4p-3, 0x1.06ac10e343b48p-3, 0x1.057b5cb85e822p-3, 0x1.04409a040eb6bp-3, 0x1.02fc75229b6ffp-3, 0x1.01af924f01a77p-3, 0x1.005a8dd5d10e2p-3, 0x1.fdfbf8a0a88f9p-4, 0x1.fb34d5cc0065cp-4, 0x1.f860bf2438744p-4, 0x1.f580b2d803c02p-4, 0x1.f295a1e08ac64p-4, 0x1.efa07092db95bp-4, 0x1.eca1f72dae7ddp-4, 0x1.e99b0261108c5p-4, 0x1.e68c53ce252fcp-4, 0x1.e376a27dbb4abp-4, 0x1.e05a9b4d9eda3p-4, 0x1.dd38e1554c8c8p-4, 0x1.da120e439daa2p-4, 0x1.d6e6b2b75aa6dp-4, 0x1.d3b75694bb54cp-4, 0x1.d0847959b1777p-4, 0x1.cd4e92725848ep-4, 0x1.ca16118e41a79p-4, 0x1.c6db5ef6fc68ep-4, 0x1.c39edbe77a172p-4, 0x1.c060e2e3dc7abp-4, 0x1.bd21c811020bfp-4, 0x1.b9e1d98af3a4cp-4, 0x1.b6a15fb9c2d98p-4, 0x1.b3609da405e06p-4, 0x1.b01fd13eca50bp-4, 0x1.acdf33ba871b7p-4, 0x1.a99ef9cd0dbccp-4, 0x1.a65f53f8522f4p-4, 0x1.a3206ece1ebeap-4, 0x1.9fe27330a3e34p-4, 0x1.9ca58690172c1p-4, 0x1.9969cb254b65fp-4, 0x1.962f60297125fp-4, 0x1.92f6620b003dep-4, 0x1.8fbeea9ff1dd8p-4, 0x1.8c89115567df6p-4, 0x1.8954eb5ceb4e1p-4, 0x1.86228bd773bcep-4, 0x1.82f203fe66f48p-4, 0x1.7fc3634ac1275p-4, 0x1.7c96bb9350f44p-4, 0x1.796c15f65555bp-4, 0x1.76437ccf987a2p-4, 0x1.731cf9b93908ap-4, 0x1.6ff8954322fb4p-4, 0x1.6cd65713e5b23p-4, 0x1.69b64606f192p-4, 0x1.6698684833527p-4, 0x1.637cc36d22cf2p-4, 0x1.60635c8b590dbp-4, 0x1.5d4c384cd6fddp-4, 0x1.5a375b022f70bp-4, 0x1.5724c8b2bfe8cp-4, 0x1.5414852b3bfc8p-4, 0x1.5106940ab7479p-4, 0x1.4dfaf8ce7177bp-4, 0x1.4af1b6dc90f79p-4, 0x1.47ead18dfd202p-4, 0x1.44e64c378119ep-4, 0x1.41e42a3258afp-4, 0x1.3ee46ee43c29cp-4, 0x1.3be71dc6fdb83p-4, 0x1.38ec3a6fc22fcp-4, 0x1.35f3c895d63ddp-4, 0x1.32fdcc191cdbfp-4, 0x1.300a490816254p-4, 0x1.2d1943a5712f7p-4, 0x1.2a2ac06d2209ep-4, 0x1.273ec418f4268p-4, 0x1.245553a48bf95p-4, 0x1.216e7450d17a8p-4, 0x1.1e8a2ba6bd8f1p-4, 0x1.1ba87f79818dp-4, 0x1.18c975e80960dp-4, 0x1.15ed155dd639dp-4, 0x1.13136493359ap-4, 0x1.103c6a8cdb4d4p-4, 0x1.0d682e9ae550cp-4, 0x1.0a96b8575871fp-4, 0x1.07c80fa41de8fp-4, 0x1.04fc3ca897ecep-4, 0x1.023347ced3f16p-4, 0x1.feda7380e1c71p-5, 0x1.f95436c6862aep-5, 0x1.f3d3ebab8e27fp-5, 0x1.ee59a4d6db378p-5, 0x1.e8e57551972b1p-5, 0x1.e377707f74d46p-5, 0x1.de0faa16de622p-5, 0x1.d8ae36191f295p-5, 0x1.d35328ca98b0dp-5, 0x1.cdfe96ab062abp-5, 0x1.c8b0946dddd47p-5, 0x1.c36936f2cc079p-5, 0x1.be28933e506a9p-5, 0x1.b8eebe727a724p-5, 0x1.b3bbcdc7cbe37p-5, 0x1.ae8fd686344fp-5, 0x1.a96aedfe2c92fp-5, 0x1.a44d2981ebb0ap-5, 0x1.9f369e5eb5521p-5, 0x1.9a2761d638249p-5, 0x1.951f891802b81p-5, 0x1.901f293b0941bp-5, 0x1.8b26573739717p-5, 0x1.863527df22afep-5, 0x1.814bafd9ac6efp-5, 0x1.7c6a039be358dp-5, 0x1.77903762d8cbap-5, 0x1.72be5f2d9e1f9p-5, 0x1.6df48eb759435p-5, 0x1.6932d9717b1e7p-5, 0x1.6479527e1815bp-5, 0x1.5fc80caa695ebp-5, 0x1.5b1f1a6975628p-5, 0x1.567e8dceeb7e1p-5, 0x1.51e6788a2d264p-5, 0x1.4d56ebe18e492p-5, 0x1.48cff8adc7a55p-5, 0x1.4451af55a7c2ap-5, 0x1.3fdc1fc9fa19p-5, 0x1.3b6f5981a8fa5p-5, 0x1.370b6b761c5ap-5, 0x1.32b0641fd3b11p-5, 0x1.2e5e51733e28fp-5, 0x1.2a1540ddc9a94p-5, 0x1.25d53f43302c7p-5, 0x1.219e58fafd603p-5, 0x1.1d7099ce4ceb1p-5, 0x1.194c0cf5be2d5p-5, 0x1.1530bd17a31d9p-5, 0x1.111eb4465a129p-5, 0x1.0d15fbfee4111p-5, 0x1.09169d27a552ap-5, 0x1.0520a00f5497ap-5, 0x1.01340c6c1e323p-5, 0x1.faa1d2b5d4802p-6, 0x1.f2ee7abdaea2ep-6, 0x1.eb4e1cc1a5ef6p-6, 0x1.e3c0c35ecb659p-6, 0x1.dc4677fd36bcfp-6, 0x1.d4df42d02f34bp-6, 0x1.cd8b2ad69521ap-6, 0x1.c64a35db982f3p-6, 0x1.bf1c6877b12edp-6, 0x1.b801c611d7b6ep-6, 0x1.b0fa50e1030ep-6, 0x1.aa0609ede1f89p-6, 0x1.a324f114d614fp-6, 0x1.9c570508212d1p-6, 0x1.959c43525a4f9p-6, 0x1.8ef4a8590dd51p-6, 0x1.88602f5f96656p-6, 0x1.81ded28a2cdffp-6, 0x1.7b708ae120606p-6, 0x1.751550544b7bap-6, 0x1.6ecd19bea9dbep-6, 0x1.6897dcea1e69fp-6, 0x1.62758e93602b2p-6, 0x1.5c66226e0999dp-6, 0x1.56698b28d9f43p-6, 0x1.507fba72076fp-6, 0x1.4aa8a0fbbc544p-6, 0x1.44e42e80ae2bep-6, 0x1.3f3251c8cfa19p-6, 0x1.3992f8ae20ad1p-6, 0x1.3406102193224p-6, 0x1.2e8b842fff70dp-6, 0x1.292340073d474p-6, 0x1.23cd2dfb4122ep-6, 0x1.1e89378b495abp-6, 0x1.1957456725e85p-6, 0x1.14373f747e13ep-6, 0x1.0f290cd43029bp-6, 0x1.0a2c93e7aada3p-6, 0x1.0541ba56620c4p-6, 0x1.0068651339203p-6, 0x1.f740f0c3f7f5dp-7, 0x1.edd3afb9b020dp-7, 0x1.e488ccf3af15fp-7, 0x1.db600d20c85f4p-7, 0x1.d25933bd7c996p-7, 0x1.c974031efc6cp-7, 0x1.c0b03c7e1395cp-7, 0x1.b80da00216c8cp-7, 0x1.af8beccbc9158p-7, 0x1.a72ae10029688p-7, 0x1.9eea39d3362e4p-7, 0x1.96c9b392af8ecp-7, 0x1.8ec909b0b3a96p-7, 0x1.86e7f6ce50f67p-7, 0x1.7f2634c5f9b2fp-7, 0x1.77837cb5eed9ep-7, 0x1.6fff870a87ef2p-7, 0x1.689a0b885d3bap-7, 0x1.6152c1565fbe4p-7, 0x1.5a295f07c142bp-7, 0x1.531d9aa5e0b11p-7, 0x1.4c2f29b9f2d04p-7, 0x1.455dc15690b63p-7, 0x1.3ea916213cca8p-7, 0x1.3810dc5ba1fb2p-7, 0x1.3194c7ecc6f9ep-7, 0x1.2b348c6a13755p-7, 0x1.24efdd203191ap-7, 0x1.1ec66d1bbe8bfp-7, 0x1.18b7ef31ec067p-7, 0x1.12c41608ddc69p-7, 0x1.0ceacee392461p-7, 0x1.072b515b9432ap-7, 0x1.01858f8e89621p-7, 0x1.f7f27778a802fp-8, 0x1.ed0c103aeba6fp-8, 0x1.e2574dd4fdeb6p-8, 0x1.d7d394c6a6d33p-8, 0x1.cd8049ac75fcbp-8, 0x1.c35cd14dbdde5p-8, 0x1.b96890a9f5e34p-8, 0x1.afa2ed0600aafp-8, 0x1.a60b4bf8f6272p-8, 0x1.9ca11378a5f2ep-8, 0x1.9363a9e5b7b6p-8, 0x1.8a52761780f0cp-8, 0x1.816cdf6776dbbp-8, 0x1.78b24dbc57efep-8, 0x1.70222994db472p-8, 0x1.67bbdc1246a6p-8, 0x1.5f7ecf0274f95p-8, 0x1.576a6ce9a31f7p-8, 0x1.4f7e210be256dp-8, 0x1.47b9577636cc3p-8, 0x1.401b7d0762469p-8, 0x1.38a3ff785f73dp-8, 0x1.31524d6485f34p-8, 0x1.2a25d65168914p-8, 0x1.231e0ab650b7bp-8, 0x1.1c3a5c037ba8ep-8, 0x1.157a3ca90db3bp-8, 0x1.0edd201dac756p-8, 0x1.08627ae4cbb3ap-8, 0x1.0209c294bed28p-8, 0x1.f7a4dbb8e850cp-9, 0x1.eb77e911e67c3p-9, 0x1.df8b9f150e5a5p-9, 0x1.d3def1f360d6p-9, 0x1.c870d8379fdadp-9, 0x1.bd404acf003cap-9, 0x1.b24c4511857d3p-9, 0x1.a793c4c9d3a6p-9, 0x1.9d15ca3c5cc03p-9, 0x1.92d1582e3e5c1p-9, 0x1.88c573eb92ec2p-9, 0x1.7ef1254d4746bp-9, 0x1.755376be8772p-9, 0x1.6beb7541c61b9p-9, 0x1.62b83075282p-9, 0x1.59b8ba96b2258p-9, 0x1.50ec2887fede8p-9, 0x1.485191d172214p-9, 0x1.3fe810a53b958p-9, 0x1.37aec1e1d2d6bp-9, 0x1.2fa4c5140ae07p-9, 0x1.27c93c78f090fp-9, 0x1.201b4cff1bdd9p-9, 0x1.189a1e47e842dp-9, 0x1.1144daa80f041p-9, 0x1.0a1aaf282c96dp-9, 0x1.031acb84cbe4ep-9, 0x1.f888c45c8c6bfp-10, 0x1.eb2d5090433dp-10, 0x1.de21ab50e8ff3p-10, 0x1.d16449ad5eaf8p-10, 0x1.c4f3a614bfa3bp-10, 0x1.b8ce405328416p-10, 0x1.acf29d8e079d7p-10, 0x1.a15f483ff421ap-10, 0x1.9612d034153bfp-10, 0x1.8b0bca811496p-10, 0x1.8048d18387104p-10, 0x1.75c884d81a10dp-10, 0x1.6b8989553f57fp-10, 0x1.618a89047b618p-10, 0x1.57ca331b420f1p-10, 0x1.4e473bf3b06acp-10, 0x1.45005d04b64cfp-10, 0x1.3bf454da0214bp-10, 0x1.3321e70bb0b4cp-10, 0x1.2a87dc3592cap-10, 0x1.222501ee39669p-10, 0x1.19f82abdcbb2p-10, 0x1.12002e147bb53p-10, 0x1.0a3be840c87cp-10, 0x1.02aa3a65a9227p-10, 0x1.f69414e064061p-11, 0x1.e834861ab791ap-11, 0x1.da33a73ee06b1p-11, 0x1.cc8f6065fee4cp-11, 0x1.bf45a2e888c8cp-11, 0x1.b2546947a0091p-11, 0x1.a5b9b716b46b8p-11, 0x1.997398e47de79p-11, 0x1.8d802423e7799p-11, 0x1.81dd7714af6dep-11, 0x1.7689b8abd1da3p-11, 0x1.6b83187b5696fp-11, 0x1.60c7ce9a7b8b9p-11, 0x1.56561b8d5f4dap-11, 0x1.4c2c482c13c08p-11, 0x1.4248a58a9fd98p-11, 0x1.38a98cdfbb8e1p-11, 0x1.2f4d5f6bd9e4ep-11, 0x1.2632866063e48p-11, 0x1.1d5772c5e6315p-11, 0x1.14ba9d63620d2p-11, 0x1.0c5a86a491b38p-11, 0x1.0435b68083673p-11, 0x1.f89578c029809p-12, 0x1.e9305e08d68bcp-12, 0x1.da3958daaac68p-12, 0x1.cbadb37f61fc7p-12, 0x1.bd8ac657a3a74p-12, 0x1.afcdf7a7e305ep-12, 0x1.a274bb64f6b0dp-12, 0x1.957c9300f8b16p-12, 0x1.88e30d391222p-12, 0x1.7ca5c5e1da77bp-12, 0x1.70c265b4db13dp-12, 0x1.6536a21e4b94ap-12, 0x1.5a003d0a48d7dp-12, 0x1.4f1d04b30508fp-12, 0x1.448ad36ee5396p-12, 0x1.3a478f7ed5768p-12, 0x1.30512adcfa8c5p-12, 0x1.26a5a30b8f78p-12, 0x1.1d4300e4cc1d1p-12, 0x1.1427586975b4ap-12, 0x1.0b50c891a8f17p-12, 0x1.02bd7b1d3de8p-12, 0x1.f4d748c6f6da5p-13, 0x1.e4b3064b9bd6p-13, 0x1.d50ac0c0e4e3fp-13, 0x1.c5db1e3861ce5p-13, 0x1.b720d88322ce1p-13, 0x1.a8d8bcd59c985p-13, 0x1.9affab709ba82p-13, 0x1.8d9297469349cp-13, 0x1.808e85a54a709p-13, 0x1.73f08ddef87p-13, 0x1.67b5d8f4c9fddp-13, 0x1.5bdba14278062p-13, 0x1.505f322a427a6p-13, 0x1.453de7c2a72e4p-13, 0x1.3a752e849334p-13, 0x1.300282fad4e11p-13, 0x1.25e37172617dbp-13, 0x1.1c1595ac424b4p-13, 0x1.12969a8ed91b9p-13, 0x1.096439d98ecc7p-13, 0x1.007c3bdaa480bp-13, 0x1.efb8ee45a597cp-14, 0x1.df05a07a77b5p-14, 0x1.ceda72ca7ebc9p-14, 0x1.bf33647ff5a93p-14, 0x1.b00c8f2a88fcap-14, 0x1.a16226153dda4p-14, 0x1.933075bb1e3ccp-14, 0x1.8573e3432222dp-14, 0x1.7828ebf79124dp-14, 0x1.6b4c24c3f29fap-14, 0x1.5eda39b6748adp-14, 0x1.52cfed7b77de7p-14, 0x1.472a18e364b28p-14, 0x1.3be5aa6644925p-14, 0x1.30ffa5aafe893p-14, 0x1.2675230bc8e9fp-14, 0x1.1c434f25c5f8bp-14, 0x1.12676a61871bcp-14, 0x1.08dec88101485p-14, 0x1.ff4da05ef6328p-15, 0x1.ed79f529c7642p-15, 0x1.dc3da5ca7c196p-15, 0x1.cb93ebf5b40fp-15, 0x1.bb7823cff6f49p-15, 0x1.abe5cb258a774p-15, 0x1.9cd8809daf99dp-15, 0x1.8e4c02f40f274p-15, 0x1.803c3032e06a8p-15, 0x1.72a504f3b0225p-15, 0x1.65829ba1f3e7cp-15, 0x1.58d12bc0c1067p-15, 0x1.4c8d0935cf178p-15, 0x1.40b2a3950552fp-15, 0x1.353e8573073b2p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.2a955e4663fb8p-4, -0x1.24759209b3422p-5, -0x1.80fc5fb514cep-8, 0x1.19c4a86bc0183p-6, 0x1.17cd681de675cp-5, 0x1.75cc775bfecb1p-5, 0x1.abc8d2a35c6d7p-5, 0x1.be869663dc8e7p-5, 0x1.b28d288817d34p-5, 0x1.8c134873908cp-5, 0x1.4f0773efc4e93p-5, 0x1.fe1e5542c7f41p-6, 0x1.3f03cbf22a29dp-6, 0x1.9b60689381075p-8, -0x1.09b458a650b09p-7, -0x1.7f125182dfccbp-6, -0x1.41a9a0f76a8c3p-5, -0x1.c6cda0ae75cadp-5, -0x1.2696e1c985789p-4, -0x1.699c116869233p-4, -0x1.abc63d549a80cp-4, -0x1.ec7830fb0d7abp-4, -0x1.159b2494c812bp-3, -0x1.33c736981ffb3p-3, -0x1.508f531a8c05bp-3, -0x1.6bcadfe194196p-3, -0x1.8559b09d25c39p-3, -0x1.9d231349b9f46p-3, -0x1.b3145753e30fbp-3, -0x1.c71f90ff2e9ecp-3, -0x1.d93afe794364cp-3, -0x1.e960edc719635p-3, -0x1.f78fbc726c5bcp-3, -0x1.01e4ce43fa545p-2, -0x1.070a06ec471c4p-2, -0x1.0b3b9a805177dp-2, -0x1.0e7ea4856f2aep-2, -0x1.10d91bd12d539p-2, -0x1.1251bd0bc4be9p-2, -0x1.12effedc0c41ep-2, -0x1.12bc00fa01166p-2, -0x1.11be6fbc00df8p-2, -0x1.10005f5a8934dp-2, -0x1.0d8b27706a23fp-2, -0x1.0a684659ec37ap-2, -0x1.06a14f1031995p-2, -0x1.023fdee3d901bp-2, -0x1.fa9b2c2be3d89p-3, -0x1.efa81e71148dep-3, -0x1.e3b9a7ade05d6p-3, -0x1.d6e29e6f5ad19p-3, -0x1.c935824ccea3dp-3, -0x1.bac4655858c3cp-3, -0x1.aba0dbc163ec7p-3, -0x1.9bdbf1e7eae72p-3, -0x1.8b86272cfb7dep-3, -0x1.7aaf6ac9d460dp-3, -0x1.6967185afa2cp-3, -0x1.57bbf3483852cp-3, -0x1.45bc21c82963cp-3, -0x1.337528f290584p-3, -0x1.20f3eae53672p-3, -0x1.0e44a6fa03ccep-3, -0x1.f6ea69330b1dfp-4, -0x1.d115458212ed6p-4, -0x1.ab26494a688d2p-4, -0x1.853163e640245p-4, -0x1.5f4931eee56f8p-4, -0x1.397efffadb567p-4, -0x1.13e2d5459e448p-4, -0x1.dd0709743332dp-5, -0x1.92dd8450d4e4cp-5, -0x1.4962724c0a6cep-5, -0x1.00ad466c1afc7p-5, -0x1.71a76d4740f1bp-6, -0x1.c7a76d128c70fp-7, -0x1.601230b388aeep-8, 0x1.8d1ee3b4fb616p-9, 0x1.720c52544ca9bp-7, 0x1.3e05ceefd0cc1p-6, 0x1.c089089eb2298p-6, 0x1.203c65fdf9d35p-5, 0x1.5ee05d34a1477p-5, 0x1.9c2785c7eb051p-5, 0x1.d80a38dbdff1ep-5, 0x1.0940fe247731p-4, 0x1.25c4b8006c88cp-4, 0x1.418e1d379c547p-4, 0x1.5c9b7a6bfe4eap-4, 0x1.76eb8c4b089acp-4, 0x1.907d76efc605bp-4, 0x1.a950be3451791p-4, 0x1.c1653ef8343d6p-4, 0x1.d8bb293f6c5a4p-4, 0x1.ef52faf68ea76p-4, 0x1.0296bd8f94a1ep-3, 0x1.0d25da95fdb95p-3, 0x1.17577a326b7f3p-3, 0x1.212c5fa008addp-3, 0x1.2aa5695a98dcfp-3, 0x1.33c38ece30f96p-3, 0x1.3c87de1a56029p-3, 0x1.44f379f402fcfp-3, 0x1.4d0797ad62d8ap-3, 0x1.54c57d640a5d4p-3, 0x1.5c2e80516da25p-3, 0x1.6344033657422p-3, 0x1.6a0774d9a7ea9p-3, 0x1.707a4e944c074p-3, 0x1.769e12e6e732p-3, 0x1.7c744c185a648p-3, 0x1.81fe8ade8cacdp-3, 0x1.873e6513cac5cp-3, 0x1.8c35747b7b808p-3, 0x1.90e5559837e1ap-3, 0x1.954fa6949532ap-3, 0x1.9976063ef3b6cp-3, 0x1.9d5a1317fe72dp-3, 0x1.a0fd6a732cfd3p-3, 0x1.a461a7a8a65e8p-3, 0x1.a788635845ad4p-3, 0x1.aa7332bdfdf7bp-3, 0x1.ad23a71849e3p-3, 0x1.af9b4d219f0c6p-3, 0x1.b1dbac9da40c1p-3, 0x1.b3e647fa8658p-3, 0x1.b5bc9c05ef98cp-3, 0x1.b7601fb434714p-3, 0x1.b8d243f75b28p-3, 0x1.ba1473a2fb2b3p-3, 0x1.bb28135958185p-3, 0x1.bc0e817e5f88cp-3, 0x1.bcc9162d3c558p-3, 0x1.bd59232e2226dp-3, 0x1.bdbff3ea95fc7p-3, 0x1.bdfecd5f88287p-3, 0x1.be16ee0d55baap-3, 0x1.be098de68477p-3, 0x1.bdd7de3e82512p-3, 0x1.bd8309b9fa674p-3, 0x1.bd0c3442533b7p-3, 0x1.bc747afdc7997p-3, 0x1.bbbcf44d2d7b4p-3, 0x1.bae6afd037df4p-3, 0x1.b9f2b6706bdafp-3, 0x1.b8e20a72acc54p-3, 0x1.b7b5a78ecad08p-3, 0x1.b66d5fb42e6b5p-3, 0x1.b50ca472507fcp-3, 0x1.b393045bb620ep-3, 0x1.b20160be6d171p-3, 0x1.b05894c2a4d91p-3, 0x1.ae9975a462b4fp-3, 0x1.acc4d2f17fb8bp-3, 0x1.aadb76c9c8d8fp-3, 0x1.a8de261f0e5fep-3, 0x1.a6cda0f345e75p-3, 0x1.a4aaa292f738fp-3, 0x1.a275e1caa5d4ep-3, 0x1.a03011162f3d8p-3, 0x1.9dd9dec97b4c1p-3, 0x1.9b73f5323c983p-3, 0x1.98fefab2ded86p-3, 0x1.967b91d6fc13ap-3, 0x1.93ea5962283a5p-3, 0x1.914bec59e0fafp-3, 0x1.8ea0e20bd5aeep-3, 0x1.8be9ce11a9a59p-3, 0x1.8927405370196p-3, 0x1.8659c50a1930bp-3, 0x1.8381e4c2e19a2p-3, 0x1.80a02464b94b3p-3, 0x1.7db50538682d1p-3, 0x1.7ac104f3fe549p-3, 0x1.77c49dc9d6245p-3, 0x1.74c0467b5373p-3, 0x1.71b4726f357c2p-3, 0x1.6ea191cb2e34dp-3, 0x1.6b8811905c7f6p-3, 0x1.68685bba021e1p-3, 0x1.6542d75de19e4p-3, 0x1.6217e8cd863ep-3, 0x1.5ee7f1b7d4d36p-3, 0x1.5bb3514a2ebfcp-3, 0x1.587a64508de33p-3, 0x1.553d8554167e8p-3, 0x1.51fd0cb7a5a21p-3, 0x1.4eb950d203522p-3, 0x1.4b72a60579ec8p-3, 0x1.48295ed4aa598p-3, 0x1.44ddcbf48fd6ep-3, 0x1.41903c5bbd089p-3, 0x1.3e40fd4eea10ep-3, 0x1.3af05a6b0b187p-3, 0x1.379e9dad1c241p-3, 0x1.344c0f77fbeeep-3, 0x1.30f8f6988e165p-3, 0x1.2da5984887fb8p-3, 0x1.2a5238302cf76p-3, 0x1.26ff1867555b6p-3, 0x1.23ac797603f9ep-3, 0x1.205a9a54d338ep-3, 0x1.1d09b86d7036fp-3, 0x1.19ba0f9b67be3p-3, 0x1.166bda2d5a213p-3, 0x1.131f50e6c7446p-3, 0x1.0fd4ab0274956p-3, 0x1.0c8c1e359101bp-3, 0x1.0945deb37e4adp-3, 0x1.06021f324dcbbp-3, 0x1.02c110efd8ee4p-3, 0x1.ff05c76ed0413p-4, 0x1.f88f8bcf9a096p-4, 0x1.f21fc8f3bac3ap-4, 0x1.ebb6d60e601cep-4, 0x1.e55507a20baa6p-4, 0x1.defaaf8e72c69p-4, 0x1.d8a81d1e71c7ap-4, 0x1.d25d9d15a57ep-4, 0x1.cc1b79bdbacf7p-4, 0x1.c5e1faf34f7dep-4, 0x1.bfb166322bcd7p-4, 0x1.b989fea0ff43bp-4, 0x1.b36c051c53168p-4, 0x1.ad57b840f5266p-4, 0x1.a74d54759a6aap-4, 0x1.a14d13f3f8263p-4, 0x1.9b572ed127e91p-4, 0x1.956bdb05941e8p-4, 0x1.8f8b4c7453782p-4, 0x1.89b5b4f215df2p-4, 0x1.83eb444bb156fp-4, 0x1.7e2c284c5b508p-4, 0x1.78788cc3a14p-4, 0x1.72d09b8b30a49p-4, 0x1.6d347c8c7c684p-4, 0x1.67a455c64f3fcp-4, 0x1.62204b5257b5p-4, 0x1.5ca87f6ab8106p-4, 0x1.573d126fa7acfp-4, 0x1.51de22ed2a1c8p-4, 0x1.4c8bcda0e6d7dp-4, 0x1.47462d8025e03p-4, 0x1.420d5bbdf4502p-4, 0x1.3ce16fd176a9ap-4, 0x1.37c27f7c663ep-4, 0x1.32b09ed1bec9dp-4, 0x1.2dabe03c97b17p-4, 0x1.28b454872a1a4p-4, 0x1.23ca0ae1fec54p-4, 0x1.1eed10eb448dfp-4, 0x1.1a1d72b648552p-4, 0x1.155b3ad30c69cp-4, 0x1.10a67255fc177p-4, 0x1.0bff20dfb532p-4, 0x1.07654ca4e4fbbp-4, 0x1.02d8fa7633a4fp-4, 0x1.fcb45b9074b48p-5, 0x1.f3d1d176ffa99p-5, 0x1.eb0a5848efd01p-5, 0x1.e25def27045dcp-5, 0x1.d9cc92b9c9b2dp-5, 0x1.d1563d4183598p-5, 0x1.c8fae6a5fdbefp-5, 0x1.c0ba84864df9cp-5, 0x1.b8950a48707ebp-5, 0x1.b08a6928c9ec4p-5, 0x1.a89a9049833fcp-5, 0x1.a0c56cc1c172p-5, 0x1.990ae9acb2dcp-5, 0x1.916af0387316dp-5, 0x1.89e567b4c2e09p-5, 0x1.827a35a194068p-5, 0x1.7b293dbd66833p-5, 0x1.73f2621379a22p-5, 0x1.6cd58309cdfd4p-5, 0x1.65d27f6ef9bd9p-5, 0x1.5ee93487d0866p-5, 0x1.58197e1cdda32p-5, 0x1.51633687b3a2cp-5, 0x1.4ac636c00ddb9p-5, 0x1.44425668ca2cep-5, 0x1.3dd76bdcb7d3dp-5, 0x1.37854c3b3c079p-5, 0x1.314bcb74ce79cp-5, 0x1.2b2abc574fd64p-5, 0x1.2521f09a3557p-5, 0x1.1f3138ea90741p-5, 0x1.195864f6ea98bp-5, 0x1.1397437affc5dp-5, 0x1.0deda24b4d399p-5, 0x1.085b4e6078542p-5, 0x1.02e013e29031bp-5, 0x1.faf77c6848ae7p-6, 0x1.f05c2ffa624d3p-6, 0x1.e5edd66bc86d2p-6, 0x1.dbac026268abbp-6, 0x1.d196454e98551p-6, 0x1.c7ac2f7f947e4p-6, 0x1.bded5037a5f04p-6, 0x1.b45935bfe1261p-6, 0x1.aaef6d7b90723p-6, 0x1.a1af83fb35fdfp-6, 0x1.9899050f30e65p-6, 0x1.8fab7bd9fb9b7p-6, 0x1.86e672e204ebap-6, 0x1.7e49742327f24p-6, 0x1.75d4091fb85cep-6, 0x1.6d85baf12d945p-6, 0x1.655e125860d36p-6, 0x1.5d5c97cd68b9ap-6, 0x1.5580d38f07cbcp-6, 0x1.4dca4db1bd5c9p-6, 0x1.46388e2e630ecp-6, 0x1.3ecb1cf06f8fbp-6, 0x1.37825726a1d22p-6, 0x1.305c12a31c8dbp-6, 0x1.2958b36c797dcp-6, 0x1.2277c1ca8b35cp-6, 0x1.1bb8c639adddp-6, 0x1.151b497695853p-6, 0x1.0e9ed489c1ba5p-6, 0x1.0842f0d299d09p-6, 0x1.020728122546p-6, 0x1.f7d608eae5063p-7, 0x1.ebdc213f44428p-7, 0x1.e01faf6727cacp-7, 0x1.d49fcaba90deap-7, 0x1.c95b8bb5c39bp-7, 0x1.be520c0aa4df8p-7, 0x1.b38266b170b9fp-7, 0x1.a8ebb7f8d060ep-7, 0x1.9e8d1d9536684p-7, 0x1.9465b6afafa1ap-7, 0x1.8a74a3f40b196p-7, 0x1.80b9079e5c028p-7, 0x1.77320587eaac6p-7, 0x1.6ddec33386704p-7, 0x1.64be67d93f9f2p-7, 0x1.5bd01c7194b3bp-7, 0x1.53130bc0007adp-7, 0x1.4a86625d055ap-7, 0x1.42294ebfa16e3p-7, 0x1.39fb014642e13p-7, 0x1.31faac3f2c21p-7, 0x1.2a2783f057513p-7, 0x1.2280be9ed9619p-7, 0x1.1b059495c28acp-7, 0x1.13b5402c8795bp-7, 0x1.0c8efdcceb359p-7, 0x1.05920bf87976cp-7, 0x1.fd7b569b117a5p-8, 0x1.f0223d17988eep-8, 0x1.e3175530f809ep-8, 0x1.d6592d0415f7ep-8, 0x1.c9e65706f6e88p-8, 0x1.bdbd6a0e97186p-8, 0x1.b1dd0153fa5a8p-8, 0x1.a643bc7883a3cp-8, 0x1.9af03f8988adep-8, 0x1.8fe133033b507p-8, 0x1.851543d2d5b27p-8, 0x1.7a8b23582ad43p-8, 0x1.7041876684ecfp-8, 0x1.66372a44e7485p-8, 0x1.5c6acaadb86cap-8, 0x1.52db2bcdd051bp-8, 0x1.49871542f829fp-8, 0x1.406d5319ddb73p-8, 0x1.378cb5cb7fcb9p-8, 0x1.2ee4123a14cf6p-8, 0x1.267241ad756d5p-8, 0x1.1e3621cf11de9p-8, 0x1.162e94a56d0e6p-8, 0x1.0e5a808f2de78p-8, 0x1.06b8d03dbeeaap-8, 0x1.fe90e55f2524p-9, 0x1.f010b653fa9f4p-9, 0x1.e1ef02657001dp-9, 0x1.d429c1121371bp-9, 0x1.c6bef23d3a30dp-9, 0x1.b9ac9e20134f8p-9, 0x1.acf0d53a26e04p-9, 0x1.a089b0413aecp-9, 0x1.94755010d0d18p-9, 0x1.88b1dd991707bp-9, 0x1.7d3d89cd69b95p-9, 0x1.72168d9273accp-9, 0x1.673b29abe7069p-9, 0x1.5ca9a6a9deca2p-9, 0x1.526054d5f4eb1p-9, 0x1.485d8c20035cep-9, 0x1.3e9fac0ab0383p-9, 0x1.35251b97b2f15p-9, 0x1.2bec4933e6542p-9, 0x1.22f3aaa330d7ap-9, 0x1.1a39bcec3bf7ap-9, 0x1.11bd04440ae75p-9, 0x1.097c0bf9763ecp-9, 0x1.0175666084c0ep-9, 0x1.f34f597b643c8p-10, 0x1.e422fe625609bp-10, 0x1.d5630943db365p-10, 0x1.c70cd551d8763p-10, 0x1.b91dcaf838f1fp-10, 0x1.ab935fb319d84p-10, 0x1.9e6b15e4d1e72p-10, 0x1.91a27cac1abc6p-10, 0x1.85372fba1e007p-10, 0x1.7926d7288dd31p-10, 0x1.6d6f274fcabb5p-10, 0x1.620de09d171ap-10, 0x1.5700cf68bad8ep-10, 0x1.4c45cbcc51e2dp-10, 0x1.41dab9790ad86p-10, 0x1.37bd878e09cc5p-10, 0x1.2dec306ec67ebp-10, 0x1.2464b999859d7p-10, 0x1.1b25337dc7e37p-10, 0x1.122bb952f4e35p-10, 0x1.097670eee88c4p-10, 0x1.01038a9ca8fdbp-10, 0x1.f1a281e64384cp-11, 0x1.e1bbb157f69c4p-11, 0x1.d24f40f4fa218p-11, 0x1.c359e1c51182dp-11, 0x1.b4d8581f5c31ap-11, 0x1.a6c77b58a88bbp-11, 0x1.992435720fba5p-11, 0x1.8beb82c7a321ep-11, 0x1.7f1a71bfab487p-11, 0x1.72ae2279e9703p-11, 0x1.66a3c67f562bcp-11, 0x1.5af8a07235f71p-11, 0x1.4faa03be839b3p-11, 0x1.44b5544aeab02p-11, 0x1.3a18062a239fp-11, 0x1.2fcf9d4cdb072p-11, 0x1.25d9ad34273a3p-11, 0x1.1c33d8a49b91ep-11, 0x1.12dbd159fcc67p-11, 0x1.09cf57bb9392ep-11, 0x1.010c3a916d5cap-11, 0x1.f120ad744bfbfp-12, 0x1.e0b32dc324225p-12, 0x1.d0cbe67090c6cp-12, 0x1.c166e2581603bp-12, 0x1.b28046420b7f2p-12, 0x1.a41450582287p-12, 0x1.961f579bc08dap-12, 0x1.889dcb5e3e3bfp-12, 0x1.7b8c32bb4d4eep-12, 0x1.6ee72c1572c75p-12, 0x1.62ab6c94612fep-12, 0x1.56d5bfa593589p-12, 0x1.4b63067eff735p-12, 0x1.405037a3d01a7p-12, 0x1.359a5e6b712bp-12, 0x1.2b3e9a8a916b7p-12, 0x1.213a1f9e5c1a1p-12, 0x1.178a34b9d4c4dp-12, 0x1.0e2c33f53ee5ap-12, 0x1.051d89ffaf706p-12, 0x1.f8b76b64f69e2p-13, 0x1.e7c88f4e5844cp-13, 0x1.d769c39ddf853p-13, 0x1.c7966e18a7d92p-13, 0x1.b84a159d90b03p-13, 0x1.a9806160af9e8p-13, 0x1.9b351829e094ep-13, 0x1.8d641f97962b5p-13, 0x1.80097b64c8dbp-13, 0x1.73214cb33119fp-13, 0x1.66a7d157dfa52p-13, 0x1.5a99632ce5079p-13, 0x1.4ef27764fa89cp-13, 0x1.43af9de254e1p-13, 0x1.38cd809287e7ap-13, 0x1.2e48e2cb43688p-13, 0x1.241ea0abc6e1p-13, 0x1.1a4bae80c00efp-13, 0x1.10cd182ae9daep-13, 0x1.07a0008970d54p-13, 0x1.fd8341ccb5d2dp-14, 0x1.ec5e90ccafba2p-14, 0x1.dbccb6f54e12ep-14, 0x1.cbc8a6ad7fe66p-14, 0x1.bc4d7acfffcb8p-14, 0x1.ad56759f1fd23p-14, 0x1.9edeffc05d781p-14, 0x1.90e2a73aa141bp-14, 0x1.835d1e7ac846dp-14, 0x1.764a3b5cd2554p-14, 0x1.69a5f63a1d26fp-14, 0x1.5d6c68fc56327p-14, 0x1.5199ce3550d7ep-14, 0x1.462a803b9a018p-14, 0x1.3b1af84b806f4p-14, 0x1.3067cdad25673p-14, 0x1.260db4dec1ef9p-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.fd0888fd1797dp-1, -0x1.e61610c103bb7p-1, -0x1.d07248018895p-1, -0x1.bc19e64396ba5p-1, -0x1.a90659eeebe59p-1, -0x1.972f46da3b34dp-1, -0x1.868a420f2b46ep-1, -0x1.770b8ad977b81p-1, -0x1.68a67490dfa93p-1, -0x1.5b4da7e15e932p-1, -0x1.4ef361e9ffab3p-1, -0x1.4389b2773fcb7p-1, -0x1.3902aa6481f6p-1, -0x1.2f507d254d0acp-1, -0x1.26659e985ac53p-1, -0x1.1e34db07c808ap-1, -0x1.16b167d7d6c69p-1, -0x1.0fcef0f0d198p-1, -0x1.0981a3a9f3474p-1, -0x1.03be3338c482cp-1, -0x1.fcf3b7c628a0dp-2, -0x1.f354c7a4470b4p-2, -0x1.ea8c6219ed99ap-2, -0x1.e2882ec26c13bp-2, -0x1.db36fcb40120cp-2, -0x1.d488af04798acp-2, -0x1.ce6e3064b5fb5p-2, -0x1.c8d963827eafep-2, -0x1.c3bd16f08a26cp-2, -0x1.bf0cfd79ebc03p-2, -0x1.babda7eddc2cap-2, -0x1.b6c47d610a507p-2, -0x1.b317b0cf85da7p-2, -0x1.afae35095edc9p-2, -0x1.ac7fb0adfa8ebp-2, -0x1.a984737c69c63p-2, -0x1.a6b56d29010b9p-2, -0x1.a40c251bab443p-2, -0x1.a182b249726c9p-2, -0x1.9f13b2a55a95bp-2, -0x1.9cba42356dbap-2, -0x1.9a71f253c99adp-2, -0x1.9836c1990ed67p-2, -0x1.96051479e6fd7p-2, -0x1.93d9ae619f122p-2, -0x1.91b1ab3941e6p-2, -0x1.8f8a7963327e5p-2, -0x1.8d61d3ffe25cep-2, -0x1.8b35bd2bbccb5p-2, -0x1.890478281ba77p-2, -0x1.86cc83cb68da8p-2, -0x1.848c95a54139cp-2, -0x1.824395dddda09p-2, -0x1.7ff09b67ec11bp-2, -0x1.7d92e8163ced6p-2, -0x1.7b29e48c4a427p-2, -0x1.78b51c665dcc2p-2, -0x1.76343af8d3b6fp-2, -0x1.73a708a959874p-2, -0x1.710d6885b50a5p-2, -0x1.6e6755b0fd498p-2, -0x1.6bb4e08f2a274p-2, -0x1.68f62bf6a58b4p-2, -0x1.662b61afd23bep-2, -0x1.6354d15229a61p-2, -0x1.6072c750a57dbp-2, -0x1.5d859dfbcee41p-2, -0x1.5a8db92a50103p-2, -0x1.578b84ecb59b5p-2, -0x1.547f746378fc1p-2, -0x1.516a00b03c3bbp-2, -0x1.4e4ba7fb5c844p-2, -0x1.4b24ec88a60b1p-2, -0x1.47f653d8a8fbcp-2, -0x1.44c065d66c1aap-2, -0x1.4183ac1265c53p-2, -0x1.3e40b10b9a4d9p-2, -0x1.3af7ff877a0dfp-2, -0x1.37aa21f93da58p-2, -0x1.3457a1f99e772p-2, -0x1.310107cf9a054p-2, -0x1.2da6da09f95b3p-2, -0x1.2a499d2835a2fp-2, -0x1.26e9d3508cab7p-2, -0x1.2387fc1124e5dp-2, -0x1.2024942ad671dp-2, -0x1.1cc01564c4cebp-2, -0x1.195af66824413p-2, -0x1.15f5aaa3164c8p-2, -0x1.1290a23109815p-2, -0x1.0f2c49c6e0dd9p-2, -0x1.0bc90aa1a4543p-2, -0x1.08674a77691dcp-2, -0x1.05076b6afe1f7p-2, -0x1.01a9cc033e066p-2, -0x1.fc9d8e4d57288p-3, -0x1.f5ed683671c5fp-3, -0x1.ef43cd12ea10fp-3, -0x1.e8a15d0409bb5p-3, -0x1.e206b108f5789p-3, -0x1.db745b0e7eb7p-3, -0x1.d4eae601a28efp-3, -0x1.ce6ad5e60a53p-3, -0x1.c7f4a7f1d333dp-3, -0x1.c188d2af173cdp-3, -0x1.bb27c62296b19p-3, -0x1.b4d1ebf5e9a79p-3, -0x1.ae87a7a33ad02p-3, -0x1.a84956a0b4da1p-3, -0x1.a217508ab40cp-3, -0x1.9bf1e74c9f0fbp-3, -0x1.95d967493cae4p-3, -0x1.8fce1783a7dfdp-3, -0x1.89d039c9f03bp-3, -0x1.83e00ae1c15b7p-3, -0x1.7dfdc2b6d10b2p-3, -0x1.78299489ff19cp-3, -0x1.7263af1fdb45bp-3, -0x1.6cac3ced58f39p-3, -0x1.67036441e2e07p-3, -0x1.6169476ec6e36p-3, -0x1.5bde04ec7b0dp-3, -0x1.5661b77ec324ep-3, -0x1.50f47658b67c6p-3, -0x1.4b9655419c617p-3, -0x1.464764bae2ec4p-3, -0x1.4107b227267aep-3, -0x1.3bd747f19c919p-3, -0x1.36b62db509beep-3, -0x1.31a46861509ep-3, -0x1.2ca1fa5eea0bap-3, -0x1.27aee3afd5156p-3, -0x1.22cb220e0d976p-3, -0x1.1df6b107d6f03p-3, -0x1.19318a1a791fcp-3, -0x1.147ba4cc095dap-3, -0x1.0fd4f6c4d4915p-3, -0x1.0b3d73e8c8e9ap-3, -0x1.06b50e70f6527p-3, -0x1.023bb70506ffbp-3, -0x1.fba2b9a8c8d19p-4, -0x1.f2ebdb5d292f3p-4, -0x1.ea52ac34efabfp-4, -0x1.e1d702d812f89p-4, -0x1.d978b3b0fc1bfp-4, -0x1.d13791118ee17p-4, -0x1.c9136b55317f2p-4, -0x1.c10c1e231d813p-4, -0x1.b921606a52741p-4, -0x1.b1530547135dap-4, -0x1.a9a0d6470f384p-4, -0x1.a20a9ba453222p-4, -0x1.9a901c610a163p-4, -0x1.93311e618b87bp-4, -0x1.8bed6684a1ff4p-4, -0x1.84c4b8ba477b2p-4, -0x1.7db6d818dd5fap-4, -0x1.76c386f109d68p-4, -0x1.6fea86e057a4ap-4, -0x1.692b98e2b603bp-4, -0x1.62867d62fc633p-4, -0x1.5bfaf44a88957p-4, -0x1.5588bd1015ab1p-4, -0x1.4f2f96c5e0c5cp-4, -0x1.48ef40272c992p-4, -0x1.42c777a536126p-4, -0x1.3cb7fb73a61d3p-4, -0x1.36c089948681p-4, -0x1.30e0dfe3c464cp-4, -0x1.2b18bc22404ccp-4, -0x1.2567dc006e8eep-4, -0x1.1fcdfd2885f52p-4, -0x1.1a4add483e231p-4, -0x1.14de3a1a1768fp-4, -0x1.0f87d16e2b505p-4, -0x1.0a47613282b7cp-4, -0x1.051ca77af0423p-4, -0x1.000762886c49ap-4, -0x1.f60ea19fe3405p-5, -0x1.ec386201bda53p-5, -0x1.e28b8415b3435p-5, -0x1.d90786467a48fp-5, -0x1.cfabe79424741p-5, -0x1.c678279d38fadp-5, -0x1.bd6bc6a6fdcfcp-5, -0x1.b48645a5017eap-5, -0x1.abc7263ff3b51p-5, -0x1.a32deadbde688p-5, -0x1.9aba169dca27bp-5, -0x1.926b2d70df897p-5, -0x1.8a40b40b12092p-5, -0x1.823a2ff163181p-5, -0x1.7a57277bc84b8p-5, -0x1.729721d8c2baep-5, -0x1.6af9a710ac20dp-5, -0x1.637e4008cc0a8p-5, -0x1.5c2476863515bp-5, -0x1.54ebd53073bd5p-5, -0x1.4dd3e79417263p-5, -0x1.46dc3a2514463p-5, -0x1.40045a41068ffp-5, -0x1.394bd63154d38p-5, -0x1.32b23d2d312cep-5, -0x1.2c371f5b83d68p-5, -0x1.25da0dd4af47cp-5, -0x1.1f9a9aa43996p-5, -0x1.197858ca58479p-5, -0x1.1372dc3d578f5p-5, -0x1.0d89b9eae6ca9p-5, -0x1.07bc87b942843p-5, -0x1.020adc883ecdp-5, -0x1.f8e8a0646a28ep-6, -0x1.edf0f7199da45p-6, -0x1.e32df0d36d003p-6, -0x1.d89ec32e4e4fdp-6, -0x1.ce42a5c0c69eap-6, -0x1.c418d21c1927fp-6, -0x1.ba2083ccc3e47p-6, -0x1.b058f85acad5ep-6, -0x1.a6c16f49cbbaap-6, -0x1.9d592a18e9a5ep-6, -0x1.941f6c4289719p-6, -0x1.8b137b3be5608p-6, -0x1.82349e747e44dp-6, -0x1.79821f55648abp-6, -0x1.70fb49406300cp-6, -0x1.689f698f15ec5p-6, -0x1.606dcf91d5c8cp-6, -0x1.5865cc8e9d19bp-6, -0x1.5086b3bfc7895p-6, -0x1.48cfda52c72cdp-6, -0x1.41409766c1dbcp-6, -0x1.39d8440b1f0c6p-6, -0x1.32963b3dffdf3p-6, -0x1.2b79d9eaa6fbcp-6, -0x1.24827ee7d476bp-6, -0x1.1daf8af60a7ecp-6, -0x1.170060bdc613bp-6, -0x1.107464cda4096p-6, -0x1.0a0afd987d98ap-6, -0x1.03c393736a32bp-6, -0x1.fb3b212778d07p-7, -0x1.ef30c219d095fp-7, -0x1.e366e59cb611cp-7, -0x1.d7dc6b4292c25p-7, -0x1.cc90364cd3627p-7, -0x1.c1812da74145dp-7, -0x1.b6ae3be339ee2p-7, -0x1.ac164f32d9f66p-7, -0x1.a1b85963efb1ep-7, -0x1.97934fdaef344p-7, -0x1.8da62b8db516ap-7, -0x1.83efe8fe2e7fep-7, -0x1.7a6f8834f31ap-7, -0x1.71240cbbb9074p-7, -0x1.680c7d97ae1a6p-7, -0x1.5f27e543a9a67p-7, -0x1.567551aa6af91p-7, -0x1.4df3d4208ea67p-7, -0x1.45a2815e8ecebp-7, -0x1.3d80717a8f752p-7, -0x1.358cbfe22b1f9p-7, -0x1.2dc68b541bb61p-7, -0x1.262cf5d9cf1ebp-7, -0x1.1ebf24c0e7711p-7, -0x1.177c4094aa46ap-7, -0x1.106375175498fp-7, -0x1.0973f13b698f3p-7, -0x1.02ace71ce1c53p-7, -0x1.f81b17f4a87a5p-8, -0x1.eb2a305c13d9fp-8, -0x1.de858e4e0941dp-8, -0x1.d22baec3ed9ebp-8, -0x1.c61b14c45d83bp-8, -0x1.ba524954e55ep-8, -0x1.aecfdb6badd6dp-8, -0x1.a3925fe0fb2b6p-8, -0x1.98987160b5872p-8, -0x1.8de0b05bbcbb7p-8, -0x1.8369c2f94a09ap-8, -0x1.793255082ebe1p-8, -0x1.6f3917effbb69p-8, -0x1.657cc2a22df9fp-8, -0x1.5bfc118b4a23bp-8, -0x1.52b5c683e3d3cp-8, -0x1.49a8a8c1a4468p-8, -0x1.40d384c83a1f3p-8, -0x1.38352c5a5f6fep-8, -0x1.2fcc766abe8ap-8, -0x1.27983f0cd566cp-8, -0x1.1f976765e7227p-8, -0x1.17c8d59ddbbc2p-8, -0x1.102b74d023c64p-8, -0x1.08be34fc9e576p-8, -0x1.01800af87881dp-8, -0x1.f4dfe0be3ebedp-9, -0x1.e719c7064c03ep-9, -0x1.d9abcebe6efdfp-9, -0x1.cc94070e1af7ep-9, -0x1.bfd08830dd38bp-9, -0x1.b35f73586881dp-9, -0x1.a73ef28eb442bp-9, -0x1.9b6d38982d3ecp-9, -0x1.8fe880d5f8c82p-9, -0x1.84af0f286f24fp-9, -0x1.79bf2fd15e39bp-9, -0x1.6f173756e7934p-9, -0x1.64b58266021dep-9, -0x1.5a9875b569128p-9, -0x1.50be7de88f65ap-9, -0x1.47260f72bb2d3p-9, -0x1.3dcda67a378c3p-9, -0x1.34b3c6bbdf8ffp-9, -0x1.2bd6fb6e83558p-9, -0x1.2335d726cab95p-9, -0x1.1acf1a155d8ddp-9, -0x1.12a114220ec4dp-9, -0x1.0aaa97f234fe9p-9, -0x1.02ea547e66c88p-9, -0x1.f6bdff24dc41dp-10, -0x1.e80eab63ffe3ep-10, -0x1.d9c433fbea0ddp-10, -0x1.cbdc2c32bcd47p-10, -0x1.be54341e1273dp-10, -0x1.b129f86e6c8e2p-10, -0x1.a45b323ad4f43p-10, -0x1.97e5a6cd1e4edp-10, -0x1.8bc7276ea7631p-10, -0x1.7ffd913564247p-10, -0x1.7486ccd18a09p-10, -0x1.6960ce5b954f1p-10, -0x1.5e899522df812p-10, -0x1.53ff2b7c96cd4p-10, -0x1.49bfa69377045p-10, -0x1.3fc926378cbb5p-10, -0x1.3619d4aeecbe6p-10, -0x1.2cafe68699adcp-10, -0x1.23899a641b7e8p-10, -0x1.1aa538d78d341p-10, -0x1.1201142e1c50ap-10, -0x1.099b88452044fp-10, -0x1.0172fa5dcac53p-10, -0x1.f30bb1e20b36ep-11, -0x1.e3a53708c16e2p-11, -0x1.d4af84fe1e6cbp-11, -0x1.c627adff22c02p-11, -0x1.b80ad56429915p-11, -0x1.aa562f4e29f63p-11, -0x1.9d07005554d7dp-11, -0x1.901a9d38b1858p-11, -0x1.838e6a8ee3bf3p-11, -0x1.775fdc77da221p-11, -0x1.6b8c764f959b8p-11, -0x1.6011ca62155e9p-11, -0x1.54ed79a052a3fp-11, -0x1.4a1d335626609p-11, -0x1.3f9eb4e15e135p-11, -0x1.356fc969ddaa5p-11, -0x1.2b8e499ab172dp-11, -0x1.21f81b5c4b4c4p-11, -0x1.18ab318fdaaf8p-11, -0x1.0fa58bcb3305cp-11, -0x1.06e536169dcb2p-11, -0x1.fcd0915591396p-12, -0x1.ec59cf6073074p-12, -0x1.dc6285ffc11bap-12, -0x1.cce72bc7fa555p-12, -0x1.bde44db6167e6p-12, -0x1.af568eb55197dp-12, -0x1.a13aa728942eap-12, -0x1.938d64749d599p-12, -0x1.864ba88d0a58cp-12, -0x1.797269828e344p-12, -0x1.6cfeb1139e817p-12, -0x1.60ed9c3eb087p-12, -0x1.553c5ad6c45a1p-12, -0x1.49e82f18e9076p-12, -0x1.3eee6d44b557cp-12, -0x1.344c7b36133fdp-12, -0x1.29ffd00098146p-12, -0x1.2005f38d0a4a9p-12, -0x1.165c7e38930f4p-12, -0x1.0d011875d9dc6p-12, -0x1.03f17a6ed8b44p-12, -0x1.f656d75545f0fp-13, -0x1.e5598564c6c81p-13, -0x1.d4e6c972e9d18p-13, -0x1.c4fa8a8dec99dp-13, -0x1.b590cbc19b75cp-13, -0x1.a6a5ab6f6fa81p-13, -0x1.983562ad8006ep-13, -0x1.8a3c44a3e29b8p-13, -0x1.7cb6bdf0f1df1p-13, -0x1.6fa1540e8ff74p-13, -0x1.62f8a4bb2beb8p-13, -0x1.56b965659686ep-13, -0x1.4ae0629bf0c2ep-13, -0x1.3f6a7f7d3b087p-13, -0x1.3454b52e23ce7p-13, -0x1.299c125066d83p-13, -0x1.1f3dba7c3fe0ap-13, -0x1.1536e5be9522fp-13, -0x1.0b84e01760097p-13, -0x1.022508fca5326p-13, -0x1.f229a5bdb9b0fp-14, -0x1.e0a38560d5ba5p-14, -0x1.cfb2dedf59b2ap-14, -0x1.bf53036625329p-14, -0x1.af7f66708c725p-14, -0x1.a0339ce9ce1cep-14, -0x1.916b5c5446081p-14, -0x1.832279f6ab5c8p-14, -0x1.7554ea0afc621p-14, -0x1.67febef350fcbp-14, -0x1.5b1c28731b86bp-14, -0x1.4ea972ed3f14p-14, -0x1.42a306a52cb02p-14, -0x1.37056705b92e3p-14, -0x1.2bcd31e7fae5fp-14, -0x1.20f71ee67967p-14, -0x1.167ffeab2afcep-14, -0x1.0c64ba46c9128p-14, -0x1.02a2528a5363bp-14, -0x1.f26bbec8e225ep-15, -0x1.e0391e85caa5p-15, -0x1.cea74cedd2537p-15, -0x1.bdb0fd3b5bc2cp-15, -0x1.ad510c18d93f4p-15, -0x1.9d827e7eed054p-15, -0x1.8e40809764183p-15, -0x1.7f8664adabf05p-15, -0x1.714fa21dac595p-15, -0x1.6397d44d84811p-15, -0x1.565ab9acdf72fp-15, -0x1.499432b814a17p-15, -0x1.3d40410752b39p-15, -0x1.315b065b96d4cp-15, -0x1.25e0c3b7c1bc8p-15, -0x1.1acdd87c4c49fp-15, -0x1.101ec18b8eff6p-15, -0x1.05d0186d2c45dp-15, -0x1.f7bd24fc8c23bp-16, -0x1.e48e00474187cp-16, -0x1.d20c98029a7e5p-16, -0x1.c032f46b02805p-16, -0x1.aefb4f360643ap-16, -0x1.9e601220fb321p-16, -0x1.8e5bd5840d23bp-16, -0x1.7ee95ef600b69p-16, -0x1.70039ff13ccbbp-16, -0x1.61a5b4847908fp-16, -0x1.53cae20ebd128p-16, -0x1.466e960796589p-16, -0x1.398c64c2dcd33p-16, -0x1.2d20084755c39p-16, -0x1.21255f29efe1p-16, -0x1.15986b727c95bp-16, -0x1.0a7551843defcp-16, -0x1.ff70ae244a3ecp-17, -0x1.eabbc4305548p-17, -0x1.d6c4efb85362bp-17, -0x1.c38577eb8ceb2p-17, -0x1.b0f6debdd895cp-17, -0x1.9f12df0464b85p-17, -0x1.8dd36ac349998p-17, -0x1.7d32a960c1b79p-17, -0x1.6d2af5f91a093p-17, -0x1.5db6ddc60b551p-17, -0x1.4ed11e75cc735p-17, -0x1.4074a4aaac206p-17, -0x1.329c8a77f95e8p-17, -0x1.254415e749d27p-17, -0x1.1866b796db168p-17, -0x1.0c000949fc8dfp-17, -0x1.000bcca170643p-17, -0x1.e90bd392036cap-18, -0x1.d2d4dc4c4583fp-18, -0x1.bd6b166eb857ap-18, -0x1.a8c72a9b4a4d9p-18, -0x1.94e204e130c8fp-18, -0x1.81b4d274a02a9p-18, -0x1.6f38ff7c73b1ap-18, -0x1.5d6834ff687f4p-18, -0x1.4c3c56cadd8bbp-18, -0x1.3baf818e75ca1p-18, -0x1.2bbc08b903dd5p-18, -0x1.1c5c74d83f81fp-18, -0x1.0d8b819fd89b8p-18, -0x1.fe883846f42cap-19, -0x1.e302c278fcddfp-19, -0x1.c87d379b8d155p-19, -0x1.aeee865a47ec7p-19, -0x1.964df32c16a2ap-19, -0x1.7e93154bc992fp-19, -0x1.67b5d3cdca1fdp-19, -0x1.51ae62c830928p-19, -0x1.3c75409aa6c23p-19, -0x1.28033347478ccp-19, -0x1.145145d24a11fp-19, -0x1.0158c5dd5d2d7p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.3e5cd33856bc9p-4, 0x1.710f7a02f6e2p-4, 0x1.a4ae6adcc431ap-4, 0x1.d8bdf0ddc0b5ep-4, 0x1.066af81fbf021p-3, 0x1.204cfb87952dp-3, 0x1.39d6a2e9ea3bp-3, 0x1.52e0ada7b3268p-3, 0x1.6b48b4426b1cbp-3, 0x1.82ef02c7f06f8p-3, 0x1.99b848b089f85p-3, 0x1.af8d76b2a7d7p-3, 0x1.c45ab86726e69p-3, 0x1.d80f67424de06p-3, 0x1.ea9e04d30d0ffp-3, 0x1.fbfbdfcde8446p-3, 0x1.061064862e328p-2, 0x1.0d837388e1b9ap-2, 0x1.145546aef56f3p-2, 0x1.1a85031ad3f02p-2, 0x1.2012ae264647cp-2, 0x1.24ffb2a2e3f5bp-2, 0x1.294c4adb96007p-2, 0x1.2cfae0c1fcecp-2, 0x1.300e8bee3c7b6p-2, 0x1.328ac21fa11efp-2, 0x1.3473176f926f3p-2, 0x1.35cb4a0949cd9p-2, 0x1.3697719626d1ep-2, 0x1.36dc1bd61176cp-2, 0x1.369e3decef363p-2, 0x1.35e308440bd7ap-2, 0x1.34afbbe174529p-2, 0x1.33099750cef4ap-2, 0x1.30f5dc54078bcp-2, 0x1.2e79df827cfafp-2, 0x1.2b9b10b664f4cp-2, 0x1.285ef4468205cp-2, 0x1.24cb10a60565dp-2, 0x1.20e4da6e834d4p-2, 0x1.1cb1a7d83f608p-2, 0x1.1836aebf1fdd7p-2, 0x1.137909edb368dp-2, 0x1.0e7dbf3b5fb01p-2, 0x1.0949c13f4deadp-2, 0x1.03e1eb2b09c87p-2, 0x1.fc95f1bcfc284p-3, 0x1.f112fd5c3e272p-3, 0x1.e543c7778947cp-3, 0x1.d930c056e31fbp-3, 0x1.cce1fd958b774p-3, 0x1.c05f410975127p-3, 0x1.b3afff262e449p-3, 0x1.a6db61d5b7aa3p-3, 0x1.99e8471ebaeb3p-3, 0x1.8cdd3d3c8be09p-3, 0x1.7fc07ece09494p-3, 0x1.7297f1234f0ddp-3, 0x1.656925296003ap-3, 0x1.58395a1a72243p-3, 0x1.4b0d80a83869fp-3, 0x1.3dea3dc20cdcfp-3, 0x1.30d3ecd1f260ap-3, 0x1.23cd6149c775ap-3, 0x1.16dd5d5abfd3bp-3, 0x1.0a0602b305c5dp-3, 0x1.fa94fa2d752edp-4, 0x1.e15b6177f23f5p-4, 0x1.c8648507ac297p-4, 0x1.afb540ecc3432p-4, 0x1.975213073e33p-4, 0x1.7f3f277fe622p-4, 0x1.6780614b3899fp-4, 0x1.50195e8062cf2p-4, 0x1.390d78f0511f3p-4, 0x1.225fc3de1b68cp-4, 0x1.0c1307fc6a7edp-4, 0x1.ec537dceb6314p-5, 0x1.c14c1e7f8eb07p-5, 0x1.971394b4ce857p-5, 0x1.6dacd85275cedp-5, 0x1.451a3b52d889dp-5, 0x1.1d5d738163721p-5, 0x1.ecef50873ca19p-6, 0x1.a0d30651311b2p-6, 0x1.566683757eb92p-6, 0x1.0da98e1ba4b85p-6, 0x1.8d36aec140c87p-7, 0x1.02752bde6665p-7, 0x1.ec2cd02d85a0bp-9, -0x1.2169614fe1657p-12, -0x1.13a6137557729p-8, -0x1.075164b33492ap-7, -0x1.818c634f45006p-7, -0x1.f88ac263156f5p-7, -0x1.3629fffbc9167p-6, -0x1.6e78327293bd3p-6, -0x1.a53484fda976dp-6, -0x1.da63eba1a76e1p-6, -0x1.0705df32a35aep-5, -0x1.2018d9494f8bdp-5, -0x1.386de89caab59p-5, -0x1.500835c678656p-5, -0x1.66eb06ed7c884p-5, -0x1.7d19b8f10826cp-5, -0x1.9297b8a7e124ap-5, -0x1.a7687c8c61f6dp-5, -0x1.bb8f7f2075f36p-5, -0x1.cf103a3ff07a1p-5, -0x1.e1ee2380917b8p-5, -0x1.f42ca9a6e5bffp-5, -0x1.02e799904c53cp-4, -0x1.0b6c8eb0d9106p-4, -0x1.13a6de7a120fap-4, -0x1.1b982f00677b3p-4, -0x1.2342228b6e244p-4, -0x1.2aa657fca6e9fp-4, -0x1.31c66b211b348p-4, -0x1.38a3f4db06652p-4, -0x1.3f408b175d7e3p-4, -0x1.459dc08a211e9p-4, -0x1.4bbd24336e7e3p-4, -0x1.51a040b5952b2p-4, -0x1.57489b896961p-4, -0x1.5cb7b42162877p-4, -0x1.61ef030d3f63p-4, -0x1.66eff92f0afcdp-4, -0x1.6bbbff0f9a3bfp-4, -0x1.7054745c6c35ep-4, -0x1.74baaf93de458p-4, -0x1.78effddfa6b57p-4, -0x1.7cf5a31908837p-4, -0x1.80ccd9eeeef25p-4, -0x1.8476d42410ebcp-4, -0x1.87f4badad2ff7p-4, -0x1.8b47aee54835ap-4, -0x1.8e70c91187487p-4, -0x1.91711a6cdab27p-4, -0x1.9449ac7ad9beap-4, -0x1.96fb815fde0a9p-4, -0x1.99879400395e3p-4, -0x1.9beed816e7508p-4, -0x1.9e323a472cf9p-4, -0x1.a052a02cc56e6p-4, -0x1.a250e86da8864p-4, -0x1.a42dead0041bap-4, -0x1.a5ea7855d5151p-4, -0x1.a7857c8f6b42dp-4, -0x1.a903b12143d04p-4, -0x1.aa63d07c0806ap-4, -0x1.aba68dd1bfa72p-4, -0x1.accc95c59a4ebp-4, -0x1.add68eee993e3p-4, -0x1.aec51a5b545efp-4, -0x1.af98d412094c3p-4, -0x1.b0525388a399p-4, -0x1.b0f22c115e8a5p-4, -0x1.b178ed399182dp-4, -0x1.b1e723190b779p-4, -0x1.b23d5691564dfp-4, -0x1.b27c0d7d3d9d2p-4, -0x1.b2a3cad156d23p-4, -0x1.b2b50eaf5b25bp-4, -0x1.b2b0566e38ee6p-4, -0x1.b2961c99505bp-4, -0x1.b266d8e974903p-4, -0x1.b223003a4862fp-4, -0x1.b1cb047e770bfp-4, -0x1.b15f54b529831p-4, -0x1.b0e05ce2b4ee3p-4, -0x1.b04e860e382e4p-4, -0x1.afaa36456c3d3p-4, -0x1.aef3d0a778b4dp-4, -0x1.ae2bb57737d02p-4, -0x1.ad524234e49e1p-4, -0x1.ac67d1bec10ep-4, -0x1.ab6cbc78092fcp-4, -0x1.aa6158750896ep-4, -0x1.a945f9ab38673p-4, -0x1.a81af223f65d3p-4, -0x1.a6e0923063631p-4, -0x1.a597289d0f213p-4, -0x1.a43f02e415f9ap-4, -0x1.a2d86d5c881ebp-4, -0x1.a163b3661c725p-4, -0x1.9fe11f905a4f7p-4, -0x1.9e50fbbcc29d3p-4, -0x1.9cb3913b8957ap-4, -0x1.9b0928e2d6c2p-4, -0x1.99520b20a0cb7p-4, -0x1.978e80075a39ap-4, -0x1.95becf55f0744p-4, -0x1.93e3407b93171p-4, -0x1.91fc1a97ed789p-4, -0x1.9009a4787891cp-4, -0x1.8e0c24939802ep-4, -0x1.8c03e102354dp-4, -0x1.89f11f787e6f7p-4, -0x1.87d4253e63c8dp-4, -0x1.85ad37285dbe5p-4, -0x1.837c9990ecdd4p-4, -0x1.814290532fc46p-4, -0x1.7eff5ec6cc95p-4, -0x1.7cb347bd5ed2fp-4, -0x1.7a5e8d816fafep-4, -0x1.780171d6fbbe9p-4, -0x1.759c35fd67184p-4, -0x1.732f1ab2b77dap-4, -0x1.70ba6037e08dfp-4, -0x1.6e3e4655dcf14p-4, -0x1.6bbb0c6352d6cp-4, -0x1.6930f14a7bd42p-4, -0x1.66a0338f096d8p-4, -0x1.64091153c28a3p-4, -0x1.616bc85fa1b92p-4, -0x1.5ec89622408b1p-4, -0x1.5c1fb7b762a09p-4, -0x1.597169e988232p-4, -0x1.56bde9336c944p-4, -0x1.540571c06d2fbp-4, -0x1.51483f6bd76aap-4, -0x1.4e868dbf25e34p-4, -0x1.4bc097ef3f756p-4, -0x1.48f698d8d2238p-4, -0x1.4628cafbe356dp-4, -0x1.43576876bba1bp-4, -0x1.4082ab004b672p-4, -0x1.3daacbe231bdfp-4, -0x1.3ad003f28377fp-4, -0x1.37f28b8d78a66p-4, -0x1.35129a8f1c0e9p-4, -0x1.3230684d182bep-4, -0x1.2f4c2b90bbf6bp-4, -0x1.2c661a9145af3p-4, -0x1.297e6aee84bd4p-4, -0x1.269551abde6e9p-4, -0x1.23ab032bb7825p-4, -0x1.20bfb32b45da2p-4, -0x1.1dd394bec9f65p-4, -0x1.1ae6da4e2c048p-4, -0x1.17f9b591f2d3bp-4, -0x1.150c57908edf6p-4, -0x1.121ef09bf0792p-4, -0x1.0f31b04f5a49ap-4, -0x1.0c44c58d6d855p-4, -0x1.09585e7e5d5c1p-4, -0x1.066ca88e46d39p-4, -0x1.0381d06ba16fbp-4, -0x1.00980205c2802p-4, -0x1.fb5ed116db41bp-5, -0x1.f5905cd2db563p-5, -0x1.efc4fa9266368p-5, -0x1.e9fcfc1ee9da2p-5, -0x1.e438b1b5b15c4p-5, -0x1.de786a05362f4p-5, -0x1.d8bc722a7e551p-5, -0x1.d30515ae8c2ebp-5, -0x1.cd529e83e6931p-5, -0x1.c7a55504392c7p-5, -0x1.c1fd7fee1a221p-5, -0x1.bc5b6462fe32cp-5, -0x1.b6bf45e555a01p-5, -0x1.b1296656ee0f9p-5, -0x1.ab9a05f787cacp-5, -0x1.a6116363b1b71p-5, -0x1.a08fbb93ed15p-5, -0x1.9b1549dc1a13dp-5, -0x1.95a247eb2fb0ep-5, -0x1.9036edcb420cfp-5, -0x1.8ad371e1d5cf1p-5, -0x1.857808f080efdp-5, -0x1.8024e615d458cp-5, -0x1.7ada3ace9129ep-5, -0x1.759836f725117p-5, -0x1.705f08cd67bbp-5, -0x1.6b2edcf29d34fp-5, -0x1.6607de6db2632p-5, -0x1.60ea36adb59cep-5, -0x1.5bd60d8c84c4ep-5, -0x1.56cb8951b1371p-5, -0x1.51caceb59227p-5, -0x1.4cd400e48570bp-5, -0x1.47e74182571cdp-5, -0x1.4304b0addbe95p-5, -0x1.3e2c6d04a5dbap-5, -0x1.395e93a6e527fp-5, -0x1.349b403b664c2p-5, -0x1.2fe28cf3b4c28p-5, -0x1.2b34929059801p-5, -0x1.2691686539d1ap-5, -0x1.21f9245e125e1p-5, -0x1.1d6bdb030df54p-5, -0x1.18e99f7d74ff2p-5, -0x1.1472839c78b6ep-5, -0x1.100697da1652fp-5, -0x1.0ba5eb601057bp-5, -0x1.07508c0cffd6ap-5, -0x1.030686797b7e8p-5, -0x1.fd8fcbfa9d007p-6, -0x1.f529696992fb2p-6, -0x1.ecd9f70c41ac9p-6, -0x1.e4a1844db42cap-6, -0x1.dc801e42997c5p-6, -0x1.d475cfb45c9abp-6, -0x1.cc82a12c5a285p-6, -0x1.c4a698ff20985p-6, -0x1.bce1bb57d9e65p-6, -0x1.b5340a43aabep-6, -0x1.ad9d85bd39bf4p-6, -0x1.a61e2bb83120ap-6, -0x1.9eb5f82ccf193p-6, -0x1.9764e5237beb5p-6, -0x1.902aeac064dcdp-6, -0x1.8907ff4f13a9ep-6, -0x1.81fc174e10869p-6, -0x1.7b0898f7a5053p-6, -0x1.742a81ce8efcdp-6, -0x1.6d633f6a39118p-6, -0x1.66b2bfb54cfbep-6, -0x1.6018ef06b4074p-6, -0x1.5995b82c80017p-6, -0x1.53290476e3a54p-6, -0x1.4cd2bbc328349p-6, -0x1.4692c486a5e2fp-6, -0x1.406903d9c0793p-6, -0x1.3a555d82e0744p-6, -0x1.3457b401689fp-6, -0x1.2e6fe898a286cp-6, -0x1.289ddb5aa061p-6, -0x1.22e16b331950ap-6, -0x1.1d3a75f22984ap-6, -0x1.17a8d8570d6abp-6, -0x1.122c6e1ac0071p-6, -0x1.0cc511fa7ff79p-6, -0x1.07729dc241772p-6, -0x1.0234ea56fc7d2p-6, -0x1.fa179f81c3108p-7, -0x1.efee4a6ad0d2bp-7, -0x1.e5ed82428197dp-7, -0x1.dc14f26435457p-7, -0x1.d26444c093f96p-7, -0x1.c8db21f086e38p-7, -0x1.bf793147d8756p-7, -0x1.b63e18e7926c8p-7, -0x1.ad297dcff24ebp-7, -0x1.a43b03f20dae4p-7, -0x1.9b724e41279dcp-7, -0x1.92cefec3a7d9p-7, -0x1.8a50b6a3a9c84p-7, -0x1.81f7163f4c2e8p-7, -0x1.79c1bd3895e26p-7, -0x1.71b04a8501dcp-7, -0x1.69c25c7cb9a31p-7, -0x1.61f790e967972p-7, -0x1.5a4f8514bea09p-7, -0x1.52c9d5d6a937cp-7, -0x1.4b661fa30ede2p-7, -0x1.4423fe9757726p-7, -0x1.3d030e8787a2fp-7, -0x1.3602eb0b15e26p-7, -0x1.2f232f895b6eep-7, -0x1.28637745b58dbp-7, -0x1.21c35d6b5c2f5p-7, -0x1.1b427d18d6e79p-7, -0x1.14e0716b2772ap-7, -0x1.0e9cd588a329p-7, -0x1.087744ab6fd94p-7, -0x1.026f5a2bc80d9p-7, -0x1.f9096313a707p-8, -0x1.ed6dccee89e7cp-8, -0x1.e20b29c13e603p-8, -0x1.d6e0b1ec69bb7p-8, -0x1.cbed9e699deeep-8, -0x1.c13128dc301c7p-8, -0x1.b6aa8ba15d3p-8, -0x1.ac5901dfed028p-8, -0x1.a23bc79739d55p-8, -0x1.985219ad9dd5dp-8, -0x1.8e9b35fe7202bp-8, -0x1.85165b676626cp-8, -0x1.7bc2c9d552909p-8, -0x1.729fc2508df05p-8, -0x1.69ac8708b9022p-8, -0x1.60e85b6000034p-8, -0x1.585283f5f44aap-8, -0x1.4fea46b1cf4a2p-8, -0x1.47aeeacc527c5p-8, -0x1.3f9fb8d920359p-8, -0x1.37bbfacfb281ep-8, -0x1.3002fc13cae6ap-8, -0x1.2874097d9aee4p-8, -0x1.210e7161615e9p-8, -0x1.19d18396a924dp-8, -0x1.12bc917f36a03p-8, -0x1.0bceee0d83c5bp-8, -0x1.0507edcae78a5p-8, -0x1.fccdcdbac9471p-9, -0x1.efd6621a35a81p-9, -0x1.e3284b92e2051p-9, -0x1.d6c2405bccbcp-9, -0x1.caa2fa0d31d54p-9, -0x1.bec935a8fdde6p-9, -0x1.b333b3a29a22bp-9, -0x1.a7e137e67164cp-9, -0x1.9cd089e08dc93p-9, -0x1.92007482f0f32p-9, -0x1.876fc64b5390ep-9, -0x1.7d1d5148636fp-9, -0x1.7307eb1e85b16p-9, -0x1.692e6d0c2634ep-9, -0x1.5f8fb3ed7643cp-9, -0x1.562aa03fe33aep-9, -0x1.4cfe1624e0ebep-9, -0x1.4408fd64568c7p-9, -0x1.3b4a416ea9b12p-9, -0x1.32c0d15e2e78bp-9, -0x1.2a6b9ff84df86p-9, -0x1.2249a3ae22bc2p-9, -0x1.1a59d69c945bcp-9, -0x1.129b368c3fd69p-9, -0x1.0b0cc4f09f67p-9, -0x1.03ad86e7093dcp-9, -0x1.f8f90a6a1297ap-10, -0x1.eaf1988cd3f61p-10, -0x1.dd42d85599c12p-10, -0x1.cfeaf1259a6d4p-10, -0x1.c2e811997c43dp-10, -0x1.b6386f81fe42cp-10, -0x1.a9da47dbce70ep-10, -0x1.9dcbdec69b2ap-10, -0x1.920b7f7b5d225p-10, -0x1.86977c41dc615p-10, -0x1.7b6e2e657b76fp-10, -0x1.708df6296f324p-10, -0x1.65f53abbe15fbp-10, -0x1.5ba26a291fe9ap-10, -0x1.5193f94d87b7p-10, -0x1.47c863c7361d6p-10, -0x1.3e3e2be7074f8p-10, -0x1.34f3daa13bd8ap-10, -0x1.2be7ff7d6c341p-10, -0x1.2319308633357p-10, -0x1.1a860a387d3e9p-10, -0x1.122d2f725efc9p-10, -0x1.0a0d49619b13fp-10, -0x1.02250771ecb18p-10, -0x1.f4e63e761283ep-11, -0x1.e5ec98dce30c6p-11, -0x1.d75aa189fd4d8p-11, -0x1.c92de7d8e3bb8p-11, -0x1.bb6406e987ae3p-11, -0x1.adfaa57a7055ep-11, -0x1.a0ef75c3c317ap-11, -0x1.944035512359cp-11, -0x1.87eaacdc0d7cbp-11, -0x1.7becb025fe432p-11, -0x1.70441dd3306bcp-11, -0x1.64eedf449bcaap-11, -0x1.59eae872c2331p-11, -0x1.4f3637c8419bcp-11, -0x1.44ced5fccf6bbp-11, -0x1.3ab2d5f02b38bp-11, -0x1.30e0548577c0fp-11, -0x1.2755787eb778ap-11, -0x1.1e1072586744cp-11, -0x1.150f7c25991bep-11, -0x1.0c50d96c0e34ap-11, -0x1.03d2d700d527fp-11, -0x1.f72795c99682bp-12, -0x1.e724284373b68p-12, -0x1.d798354f4aff7p-12, -0x1.c8809e53ba9dap-12, -0x1.b9da55fa9a287p-12, -0x1.aba25fec6ebacp-12, -0x1.9dd5d08cb98cap-12, -0x1.9071ccb740f2fp-12, -0x1.8373897d2ff04p-12, -0x1.76d84be37bd55p-12, -0x1.6a9d68a0f5368p-12, -0x1.5ec043dd5c49ap-12, -0x1.533e50f0a7b44p-12, -0x1.48151222fb71ep-12, -0x1.3d42186ccaf51p-12, -0x1.32c30337b295ap-12, -0x1.2895801fa4c27p-12, -0x1.1eb74ab4b8e16p-12, -0x1.15262c3d57689p-12, -0x1.0bdffb78d2817p-12, -0x1.02e29c61f44f8p-12, -0x1.f457ffe756p-13, -0x1.e37447d89cb9ap-13, -0x1.d3162524e0ad9p-13, -0x1.c339c4f3ff0ddp-13, -0x1.b3db6c933da88p-13, -0x1.a4f77901e6e4fp-13, -0x1.968a5e7e6f90cp-13, -0x1.8890a8143de6ap-13, -0x1.7b06f72c6b7ebp-13, -0x1.6dea031cb1f85p-13, -0x1.613698b9c971cp-13, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.9f836f8d386dcp-4, 0x1.0940ec53c3cfcp-3, 0x1.387b6ab84caaap-3, 0x1.5dee4f64eb361p-3, 0x1.7a3f31136d2aap-3, 0x1.8e27d659b2d6dp-3, 0x1.9a6a6f28fca51p-3, 0x1.9fd1b1add41b9p-3, 0x1.9f28aee6eb952p-3, 0x1.9934b4c0d1cb6p-3, 0x1.8eb43a3899f8fp-3, 0x1.805ca480df2f1p-3, 0x1.6ed7e566a7fcbp-3, 0x1.5ac3c9fd1aac8p-3, 0x1.44b1bf7eff393p-3, 0x1.2d2690c3e9fa6p-3, 0x1.149a70ef2f89fp-3, 0x1.f6f298c0f8b19p-4, 0x1.c4467980346e1p-4, 0x1.91da3108c59f2p-4, 0x1.60423bfe1e503p-4, 0x1.3001868fbf65fp-4, 0x1.01820e9d8e2f8p-4, 0x1.aa436f36d13eep-5, 0x1.5660e14abe1a7p-5, 0x1.07defcbdb9f5ep-5, 0x1.7e46753f7b132p-6, 0x1.f1e3bbd396842p-7, 0x1.00570a4fe8c95p-7, 0x1.43b97dce1ce77p-10, -0x1.2acf3ec1de657p-8, -0x1.39290e3d4df97p-7, -0x1.c2e6b52c9b7c1p-7, -0x1.19767710359e8p-6, -0x1.44da7d502a9fdp-6, -0x1.63eea2c0a7d0fp-6, -0x1.7710ccad6b94cp-6, -0x1.7eaa678fb27efp-6, -0x1.7b2e3668b7228p-6, -0x1.6d16df75cb839p-6, -0x1.54e5cb5377afep-6, -0x1.3321fe6b39231p-6, -0x1.0856c86bd0e5cp-6, -0x1.aa24acd213474p-7, -0x1.33c896cb85afbp-7, -0x1.5d71f9a9ab6b9p-8, -0x1.c13d7e1732fb4p-11, 0x1.061893acf28afp-8, 0x1.2d919ba65e346p-7, 0x1.e26c17bc6d9edp-7, 0x1.5049245291914p-6, 0x1.b380f96e304a7p-6, 0x1.0d302d1d68e95p-5, 0x1.42372835bcd69p-5, 0x1.789b3415f460dp-5, 0x1.b02476224c825p-5, 0x1.e89d89f61a6d4p-5, 0x1.10e9c8a4a162p-4, 0x1.2dcb1e8b87b66p-4, 0x1.4adbe7dd6daf2p-4, 0x1.68068bfa6cbdfp-4, 0x1.8536b32181c9p-4, 0x1.a2593fc5ea64dp-4, 0x1.bf5ffc1ec74c2p-4, 0x1.dc347ff8a1eb2p-4, 0x1.f8c7ea3c1f7f4p-4, 0x1.0a85ea9b0a66dp-3, 0x1.1879972e793d6p-3, 0x1.26390da7f406p-3, 0x1.33beecc85dee3p-3, 0x1.41064ec4dfffep-3, 0x1.4e0aba6160d6cp-3, 0x1.5ac816fec7989p-3, 0x1.673aa44a17b5dp-3, 0x1.735ef58e2d158p-3, 0x1.7f31f01a9a5d9p-3, 0x1.8ab0cbcf96285p-3, 0x1.95d914b13bb93p-3, 0x1.a0a8ac6b3db45p-3, 0x1.ab1dcadfc1a26p-3, 0x1.b536fd2919555p-3, 0x1.bef322cd19848p-3, 0x1.c8516932b5f93p-3, 0x1.d15145ac0ac01p-3, 0x1.d9f26e9197a13p-3, 0x1.e234d3fd8881p-3, 0x1.ea1898b13babbp-3, 0x1.f19e0b989976cp-3, 0x1.f8c5a23cd70f3p-3, 0x1.ff8ff4513c181p-3, 0x1.02fedc2f3a881p-2, 0x1.0607e0b839474p-2, 0x1.08e37ec948ccep-2, 0x1.0b923a6bb2c7ap-2, 0x1.0e14a452b70ffp-2, 0x1.106b5983a1886p-2, 0x1.129702e585c3p-2, 0x1.149854a7a24fcp-2, 0x1.16700d7797ebcp-2, 0x1.181ef589faa42p-2, 0x1.19a5dd7ef4041p-2, 0x1.1b059d3109a0bp-2, 0x1.1c3f127d3bd79p-2, 0x1.1d532012737adp-2, 0x1.1e42ac534433fp-2, 0x1.1f0ea05191713p-2, 0x1.1fb7e6e82c269p-2, 0x1.203f6bf3d3cb2p-2, 0x1.20a61baad193p-2, 0x1.20ece2110f9fbp-2, 0x1.2114aa857e12ap-2, 0x1.211e5f6504979p-2, 0x1.210ae9bec2869p-2, 0x1.20db311547fd9p-2, 0x1.20901b2868321p-2, 0x1.202a8bc3b01d7p-2, 0x1.1fab648e18804p-2, 0x1.1f1384d86a863p-2, 0x1.1e63c968d2414p-2, 0x1.1d9d0c4336501p-2, 0x1.1cc0246eeaa7ap-2, 0x1.1bcde5bb49e42p-2, 0x1.1ac7208540ee4p-2, 0x1.19aca18036e2ep-2, 0x1.187f3184986b1p-2, 0x1.173f9565f9b1dp-2, 0x1.15ee8dd21da93p-2, 0x1.148cd7397907dp-2, 0x1.131b29c10493ap-2, 0x1.119a393c87a99p-2, 0x1.100ab53007ea9p-2, 0x1.0e6d48d6b767bp-2, 0x1.0cc29b2daa603p-2, 0x1.0b0b4f00c0632p-2, 0x1.094802f857c0cp-2, 0x1.077951a6d5007p-2, 0x1.059fd19551f4cp-2, 0x1.03bc154f2d2d8p-2, 0x1.01ceab6c8688fp-2, 0x1.ffb03d37cc0d1p-3, 0x1.fbb1eb57002ap-3, 0x1.f7a367252b2cap-3, 0x1.f385aef6e46ecp-3, 0x1.ef59b99cf5298p-3, 0x1.eb20767d3e1b7p-3, 0x1.e6dacdaed9c61p-3, 0x1.e289a0198bf9dp-3, 0x1.de2d25ea5e83ap-3, 0x1.d9c794656f50cp-3, 0x1.d558fbb0e2227p-3, 0x1.d0e2203624eep-3, 0x1.cc63bfc1c28dfp-3, 0x1.c7de91c105302p-3, 0x1.c3534780c2137p-3, 0x1.bec28c6bc01d7p-3, 0x1.ba2d06472d751p-3, 0x1.b593556c001b5p-3, 0x1.b0f614fc3295ep-3, 0x1.ac55db134aa8p-3, 0x1.a7b338f1ae132p-3, 0x1.a30ebb22bf376p-3, 0x1.9e68e99dd40c3p-3, 0x1.99c247e26d7aap-3, 0x1.951b551035ac9p-3, 0x1.90748bfb6e359p-3, 0x1.8bce633e97811p-3, 0x1.87294d4a23c23p-3, 0x1.8285b87303374p-3, 0x1.7de40f00d08dbp-3, 0x1.7944b73c67b4p-3, 0x1.74a8137f623ffp-3, 0x1.700e82451c22ep-3, 0x1.6b785e3d7d5e5p-3, 0x1.66e5fe61cff6cp-3, 0x1.6257b60baa118p-3, 0x1.5dcdd50ddd476p-3, 0x1.5948a7cf3acd1p-3, 0x1.54c87766e36ep-3, 0x1.504d89b9c8c0ep-3, 0x1.4bd82198f6082p-3, 0x1.47687ee029febp-3, 0x1.42fede9466f8p-3, 0x1.3e9b7b01f39fbp-3, 0x1.3a3e8bd985fa3p-3, 0x1.35e8464c34609p-3, 0x1.3198dd25f0a6bp-3, 0x1.2d5080e6535dap-3, 0x1.290f5fd7a3d98p-3, 0x1.24d5a623f3a1ep-3, 0x1.20a37de8634afp-3, 0x1.1c790f468c521p-3, 0x1.185680742fa6ep-3, 0x1.143bf5c94507ep-3, 0x1.102991cc9c742p-3, 0x1.0c1f753f36a36p-3, 0x1.081dbf268bef9p-3, 0x1.04248cd5f9196p-3, 0x1.0033f9f7789c4p-3, 0x1.f8984127be35ap-4, 0x1.f0da323596895p-4, 0x1.e92df4d4d3823p-4, 0x1.e193b3ae57d03p-4, 0x1.da0b9667272fcp-4, 0x1.d295c1b057cc8p-4, 0x1.cb3257575815fp-4, 0x1.c3e17656c312fp-4, 0x1.bca33ae7ae17ep-4, 0x1.b577be936fe04p-4, 0x1.ae5f1845dd85cp-4, 0x1.a7595c5fdf6dbp-4, 0x1.a0669cca474dbp-4, 0x1.9986e908ca9aap-4, 0x1.92ba4e4d0a56bp-4, 0x1.8c00d7897d7e3p-4, 0x1.855a8d842a321p-4, 0x1.7ec776e90f31bp-4, 0x1.7847985c26f12p-4, 0x1.71daf48aee222p-4, 0x1.6b818c3d615f5p-4, 0x1.653b5e6664134p-4, 0x1.5f0868338775ep-4, 0x1.58e8a51c34cacp-4, 0x1.52dc0ef033aa2p-4, 0x1.4ce29de5951fep-4, 0x1.46fc48a60860ap-4, 0x1.4129045b9f6bp-4, 0x1.3b68c4bd12b49p-4, 0x1.35bb7c198795ep-4, 0x1.30211b63ebc07p-4, 0x1.2a99923dec40dp-4, 0x1.2524cf0295999p-4, 0x1.1fc2bed0a892p-4, 0x1.1a734d94aa69bp-4, 0x1.15366612bd46ep-4, 0x1.100bf1f0440bbp-4, 0x1.0af3d9bd5f49fp-4, 0x1.05ee04fe3ffe8p-4, 0x1.00fa5a345d731p-4, 0x1.f8317dcf17f76p-5, 0x1.ee922f5df24ap-5, 0x1.e51690741fe93p-5, 0x1.dbbe66b288b79p-5, 0x1.d289760d8ff18p-5, 0x1.c97780de4e895p-5, 0x1.c08847f39d4fep-5, 0x1.b7bb8aa2ed272p-5, 0x1.af1106d8ece3cp-5, 0x1.a6887929f73e1p-5, 0x1.9e219ce249857p-5, 0x1.95dc2c15ffeb1p-5, 0x1.8db7dfb0d16afp-5, 0x1.85b46f858f2eep-5, 0x1.7dd1925d60651p-5, 0x1.760efe06ba87cp-5, 0x1.6e6c676414afap-5, 0x1.66e9827a53791p-5, 0x1.5f86027eee312p-5, 0x1.584199e5cad39p-5, 0x1.511bfa6ed133ap-5, 0x1.4a14d533338e6p-5, 0x1.432bdab26ea12p-5, 0x1.3c60badeffddcp-5, 0x1.35b3252acf9e9p-5, 0x1.2f22c89354a2ap-5, 0x1.28af53ad6c3dcp-5, 0x1.225874b0e8a61p-5, 0x1.1c1dd983d7d4bp-5, 0x1.15ff2fc581eb7p-5, 0x1.0ffc24d91e11ep-5, 0x1.0a1465f0414dbp-5, 0x1.0447a01505947p-5, 0x1.fd2b0067d6669p-6, 0x1.f1fb664ae4df3p-6, 0x1.e6ffcb6ee76d8p-6, 0x1.dc37896c5f593p-6, 0x1.d1a1f9ea3e624p-6, 0x1.c73e76aefce05p-6, 0x1.bd0c59b131372p-6, 0x1.b30afd279f7c7p-6, 0x1.a939bb98d5b56p-6, 0x1.9f97efea3d73dp-6, 0x1.9624f56ebd90ep-6, 0x1.8ce027f4e00e1p-6, 0x1.83c8e3d47fa18p-6, 0x1.7ade85fc0613ep-6, 0x1.72206bfd3466p-6, 0x1.698df4197f4c2p-6, 0x1.61267d4dfbc69p-6, 0x1.58e9675ee2e1p-6, 0x1.50d612e2a85f4p-6, 0x1.48ebe14cad7dbp-6, 0x1.412a34f7896fcp-6, 0x1.3990712ef5afdp-6, 0x1.321dfa394b205p-6, 0x1.2ad23560ab6fap-6, 0x1.23ac88fbbf85dp-6, 0x1.1cac5c7620199p-6, 0x1.15d118585a57cp-6, 0x1.0f1a264f9eb21p-6, 0x1.0886f1350e919p-6, 0x1.0216e514b9d0ep-6, 0x1.f792de687093ap-7, 0x1.eb3bfc31f5d0bp-7, 0x1.df28031c75daap-7, 0x1.d355d5553a63fp-7, 0x1.c7c457aaf981cp-7, 0x1.bc727197dcb99p-7, 0x1.b15f0d4acfb09p-7, 0x1.a68917b0421e5p-7, 0x1.9bef807a50582p-7, 0x1.91913a2852752p-7, 0x1.876d3a0dd4db6p-7, 0x1.7d82785909b12p-7, 0x1.73cff018ac29ap-7, 0x1.6a549f4152dbap-7, 0x1.61105874554e4p-7, 0x1.580073d0bb7c4p-7, 0x1.4f24d12417b71p-7, 0x1.467c7a3651ccdp-7, 0x1.3e067bc87fff5p-7, 0x1.35c1e5972f5bep-7, 0x1.2dadca5c484a5p-7, 0x1.25c93fd083a53p-7, 0x1.1e135eac813f1p-7, 0x1.168b42a979eabp-7, 0x1.0f300a818eb74p-7, 0x1.0800d7efbfeebp-7, 0x1.00fccfaf86a0ap-7, 0x1.f44632f82e67p-8, 0x1.e6e5c01e9f098p-8, 0x1.d9d6a2409cf5cp-8, 0x1.cd173ac37d381p-8, 0x1.c0a5f0ff9fb8p-8, 0x1.b481323bd1065p-8, 0x1.a8a771a80e8bp-8, 0x1.9d172857c7884p-8, 0x1.91ced53b8b776p-8, 0x1.86ccfd1a380bap-8, 0x1.7c102a89a7b2fp-8, 0x1.7196ede6df73fp-8, 0x1.675fdd4dc844ep-8, 0x1.5d6994907c4bap-8, 0x1.53b2b52e15747p-8, 0x1.4a39e649286fp-8, 0x1.40fdd49dc8e3cp-8, 0x1.37fd327736f7p-8, 0x1.2f36b7a53229bp-8, 0x1.26a92170eda71p-8, 0x1.1e533291b8da4p-8, 0x1.1633b32156f3cp-8, 0x1.0e4970900bd78p-8, 0x1.06933d98621c6p-8, 0x1.fe1fe46562ddep-9, 0x1.ef7cd710caad2p-9, 0x1.e13b17ce187fep-9, 0x1.d35875665ac68p-9, 0x1.c5d2c8b5d6e08p-9, 0x1.b8a7f490f5823p-9, 0x1.abd5e5a8daa8ep-9, 0x1.9f5a926fa52d8p-9, 0x1.9333fafc6d097p-9, 0x1.876028eef23b2p-9, 0x1.7bdd2f5326836p-9, 0x1.70a92a8467c24p-9, 0x1.65c2401090ab1p-9, 0x1.5b269e9af6558p-9, 0x1.50d47dbf0cdb1p-9, 0x1.46ca1df3281bbp-9, 0x1.3d05c86af112p-9, 0x1.3385cef9e8aacp-9, 0x1.2a488bf5bfd36p-9, 0x1.214c6218b76a2p-9, 0x1.188fbc63ee2a9p-9, 0x1.10110e01ae0a2p-9, 0x1.07ced227bc64dp-9, 0x1.ff8f17f37bbcbp-10, 0x1.eff38cd702fc6p-10, 0x1.e0c82847004bdp-10, 0x1.d20a1ebacc543p-10, 0x1.c3b6b39940977p-10, 0x1.b5cb38fe2db5fp-10, 0x1.a8450f80045e7p-10, 0x1.9b21a5f5c2ec7p-10, 0x1.8e5e793d124fbp-10, 0x1.81f91400f5522p-10, 0x1.75ef0e808680ap-10, 0x1.6a3e0e563aeebp-10, 0x1.5ee3c63f880efp-10, 0x1.53ddf5e4e93eap-10, 0x1.492a69a246256p-10, 0x1.3ec6fa500437ap-10, 0x1.34b18d0c3d613p-10, 0x1.2ae81304bdf7cp-10, 0x1.2168894155ff4p-10, 0x1.1830f86ebf0c4p-10, 0x1.0f3f74aa10033p-10, 0x1.06921d4cb252ap-10, 0x1.fc4e3971bc57ep-11, 0x1.ebf9504d817dap-11, 0x1.dc21fee43ffdp-11, 0x1.ccc4d9d10a58bp-11, 0x1.bdde8a305286dp-11, 0x1.af6bcd3eb059p-11, 0x1.a16973f8d4bb8p-11, 0x1.93d462bcc4979p-11, 0x1.86a990ec4426dp-11, 0x1.79e608907365cp-11, 0x1.6d86e5fe85591p-11, 0x1.6189577dc74b6p-11, 0x1.55ea9ceebde9fp-11, 0x1.4aa807736da53p-11, 0x1.3fbef91900c55p-11, 0x1.352ce4825cdd2p-11, 0x1.2aef4c93deff2p-11, 0x1.2103c42052cp-11, 0x1.1767ed97176a6p-11, 0x1.0e197ab344c66p-11, 0x1.05162c2bf8718p-11, 0x1.f8b7a2cb1f4d5p-12, 0x1.e7d09048ca781p-12, 0x1.d772f88044e4ap-12, 0x1.c79aceb0be912p-12, 0x1.b84421148b167p-12, 0x1.a96b184e763f5p-12, 0x1.9b0bf6d9237d2p-12, 0x1.8d2318785e1c7p-12, 0x1.7facf1acbbf29p-12, 0x1.72a60f28f8f2dp-12, 0x1.660b154958ad1p-12, 0x1.59d8bf8cf4f1fp-12, 0x1.4e0be011885eap-12, 0x1.42a15f108787bp-12, 0x1.37963a5e92ebp-12, 0x1.2ce784eccc1e3p-12, 0x1.2292664bff5d6p-12, 0x1.18941a32535d7p-12, 0x1.0ee9f0020cbdep-12, 0x1.05914a5309485p-12, 0x1.f90f3cfbd9c58p-13, 0x1.e794e8528ceb9p-13, 0x1.d6aec9b143eecp-13, 0x1.c65836fbacd62p-13, 0x1.b68ca818095b2p-13, 0x1.a747b619c4d86p-13, 0x1.98851a6f258e6p-13, 0x1.8a40ae13a58edp-13, 0x1.7c7668c6512e5p-13, 0x1.6f2260437255ep-13, 0x1.6240c7830dd0cp-13, 0x1.55cdedfa5281cp-13, 0x1.49c63ee178674p-13, 0x1.3e26407d6b7f1p-13, 0x1.32ea936e129ccp-13, 0x1.280ff1febf49fp-13, 0x1.1d932f7b965e7p-13, 0x1.1371378a881fep-13, 0x1.09a70d87c5e4ap-13, 0x1.0031cbe60c998p-13, 0x1.ee1d4724c5c4p-14, 0x1.dc75b6b6bd4aap-14, 0x1.cb679eb83351p-14, 0x1.baede0d4d9761p-14, 0x1.ab0387112af91p-14, 0x1.9ba3c2b385045p-14, 0x1.8cc9eb364469ep-14, 0x1.7e717d3cdcaa7p-14, 0x1.70961991418bfp-14, 0x1.6333842883ec5p-14, 0x1.5645a3295f3bfp-14, 0x1.49c87dfcc5eaap-14, 0x1.3db83c626128p-14, 0x1.3211258a83515p-14, 0x1.26cf9f369d9a7p-14, 0x1.1bf02cdceaa12p-14, 0x1.116f6ed4986c2p-14, 0x1.074a2184af2c5p-14, 0x1.fafa392db0177p-15, 0x1.e80aa46744417p-15, 0x1.d5bf9c7cb74f5p-15, 0x1.c4136b32114fap-15, 0x1.b3008ad6baaa6p-15, 0x1.a281a4dd08413p-15, 0x1.9291907b16251p-15, 0x1.832b5152e2dccp-15, 0x1.744a16266065p-15, 0x1.65e9378b34d8cp-15, 0x1.580436b358babp-15, 0x1.4a96bc318677ap-15, 0x1.3d9c96ca1dbdbp-15, 0x1.3111ba4f1b5ebp-15, 0x1.24f23e7d14f7bp-15, 0x1.193a5de343bcbp-15, 0x1.0de674d190fa4p-15, 0x1.02f3004d6a188p-15, 0x1.f0b93a1b89f0dp-16, 0x1.dc400cfb0483ep-16, 0x1.c8742b8908f0dp-16, 0x1.b54f81ace7799p-16, 0x1.a2cc331243edap-16, 0x1.90e4996140b67p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.2ea23138a5c49p+0, -0x1.2b58cf843300ap+0, -0x1.27d6952307204p+0, -0x1.240ae3b8e9494p+0, -0x1.1fec1843bd402p+0, -0x1.1b76f8fc4268bp+0, -0x1.16ad40aab633fp+0, -0x1.1193fd5e18da7p+0, -0x1.0c32c98ef9f1fp+0, -0x1.06931e2e12fa2p+0, -0x1.00bf799da7d29p+0, -0x1.f585b293951bap-1, -0x1.e950c360d0d3bp-1, -0x1.dcf60c5a0c047p-1, -0x1.d08a8eef99d06p-1, -0x1.c42215d96345p-1, -0x1.b7cef9377e1a8p-1, -0x1.aba1f5f999dcdp-1, -0x1.9faa19091fdd2p-1, -0x1.93f4b5efeeba6p-1, -0x1.888d6a749d1bp-1, -0x1.7d7df6803e81fp-1, -0x1.72cf368f42eb5p-1, -0x1.6887e9c0757a9p-1, -0x1.5ead5e5f245bbp-1, -0x1.5543a3ac66152p-1, -0x1.4c4db52e711c5p-1, -0x1.43cd899f33a7fp-1, -0x1.3bc4164ef7cd6p-1, -0x1.34315a65dbea9p-1, -0x1.2d14795eb4282p-1, -0x1.266bdedc3f95fp-1, -0x1.203560c29df04p-1, -0x1.1a6e580ce2bcfp-1, -0x1.1513b01a97e1ap-1, -0x1.1021f16c373c8p-1, -0x1.0b954d55c2366p-1, -0x1.0769ad2e90c92p-1, -0x1.039ac3df9390dp-1, -0x1.00241ec8f6281p-1, -0x1.fa0266f09eb7ep-2, -0x1.f45ad3225ea6fp-2, -0x1.ef4843f3a8f1ap-2, -0x1.eac179d8b90c7p-2, -0x1.e6bd405242a3fp-2, -0x1.e3327b798fa97p-2, -0x1.e01835f4f6587p-2, -0x1.dd65ad88d7b2p-2, -0x1.db125ca60bf35p-2, -0x1.d91600a51c1dp-2, -0x1.d7689dc3d6825p-2, -0x1.d602826172a8bp-2, -0x1.d4dc4a3e6e362p-2, -0x1.d3eee18977065p-2, -0x1.d333872533ef3p-2, -0x1.d2a3cdf29b454p-2, -0x1.d2399d711c86ep-2, -0x1.d1ef3218e8181p-2, -0x1.d1bf1d6d4b035p-2, -0x1.d1a4455fd5b08p-2, -0x1.d199e2aa4287cp-2, -0x1.d19b7e4040c59p-2, -0x1.d1a4ee75d0ce6p-2, -0x1.d1b22cdcf3d4dp-2, -0x1.d1bfa1ce60085p-2, -0x1.d1ca3a5c2f039p-2, -0x1.d1cef6bdce9e6p-2, -0x1.d1cb14d99ddaap-2, -0x1.d1bc0d7a9d97ap-2, -0x1.d19f92233892bp-2, -0x1.d1738b4d4e898p-2, -0x1.d13616dd5bfe6p-2, -0x1.d0e58690b1fbcp-2, -0x1.d0805e3ace489p-2, -0x1.d00551b7b9a7ep-2, -0x1.cf73428bdc8f4p-2, -0x1.cec93d3a5cf0cp-2, -0x1.ce067667829b1p-2, -0x1.cd2a47e41f043p-2, -0x1.cc342dc06b263p-2, -0x1.cb23c3807d4c9p-2, -0x1.c9f8c1844e4cdp-2, -0x1.c8b2faabca5afp-2, -0x1.c7525a37b5986p-2, -0x1.c5d6e1e330271p-2, -0x1.c440a82f5f425p-2, -0x1.c28fd6d9c4682p-2, -0x1.c0c4a97529c76p-2, -0x1.bedf6c1c66a8fp-2, -0x1.bce07a36645dcp-2, -0x1.bac83d43f90e7p-2, -0x1.b8972bb2c9d9ep-2, -0x1.b64dc7b387e41p-2, -0x1.b3ec9e1491183p-2, -0x1.b1744523698a3p-2, -0x1.aee55b9793195p-2, -0x1.ac40878863d28p-2, -0x1.a986756e99824p-2, -0x1.a6b7d73208948p-2, -0x1.a3d563440f94cp-2, -0x1.a0dfd3c81c3ep-2, -0x1.9dd7e5cbf5f2ap-2, -0x1.9abe5891347ep-2, -0x1.9793ece847d68p-2, -0x1.9459649c0f973p-2, -0x1.910f81eb9681cp-2, -0x1.8db7070ed43a5p-2, -0x1.8a50b5c35f599p-2, -0x1.86dd4edeefcb8p-2, -0x1.835d91e703511p-2, -0x1.7fd23cae676a9p-2, -0x1.7c3c0afa6a969p-2, -0x1.789bb631c4a92p-2, -0x1.74f1f516a5078p-2, -0x1.713f7b8c3cfcp-2, -0x1.6d84fa66bf918p-2, -0x1.69c31f43ae923p-2, -0x1.65fa9467c1491p-2, -0x1.622c009fbf4a6p-2, -0x1.5e580722704f3p-2, -0x1.5a7f4772c7e16p-2, -0x1.56a25d428e5fcp-2, -0x1.52c1e056b26bap-2, -0x1.4ede646ec7189p-2, -0x1.4af879313ea6ap-2, -0x1.4710aa1d6cbdcp-2, -0x1.43277e83c7c9dp-2, -0x1.3f3d798418fc7p-2, -0x1.3b531a10d1855p-2, -0x1.3768daf6590fap-2, -0x1.337f32e523d9ep-2, -0x1.2f96947d7df7fp-2, -0x1.2baf6e5c4ce03p-2, -0x1.27ca2b2854e8ap-2, -0x1.23e7319fe29afp-2, -0x1.2006e4a6dd24ep-2, -0x1.1c29a35567483p-2, -0x1.184fc907276a6p-2, -0x1.1479ad6b3c0c1p-2, -0x1.10a7a494c86c6p-2, -0x1.0cd9ff0bf2341p-2, -0x1.091109df2973ep-2, -0x1.054d0eb486309p-2, -0x1.018e53db307c6p-2, -0x1.fbaa38b995883p-3, -0x1.f443501df5c97p-3, -0x1.ece8674a66efdp-3, -0x1.e599420d17d78p-3, -0x1.de57c889d3ffp-3, -0x1.d7239b43046b5p-3, -0x1.cffd1aba028e1p-3, -0x1.c8e4a1db6edd3p-3, -0x1.c1da863935071p-3, -0x1.badf1843f475bp-3, -0x1.b3f2a382f0587p-3, -0x1.ad156ec99e1cep-3, -0x1.a647bc6a242b9p-3, -0x1.9f89ca6454cdcp-3, -0x1.98dbd290d5312p-3, -0x1.923e0ac84b97p-3, -0x1.8bb0a506a646fp-3, -0x1.8533cf8aae4a1p-3, -0x1.7ec7b4f22eef6p-3, -0x1.786c7c532d3ffp-3, -0x1.7222495299d09p-3, -0x1.6be93c3918a24p-3, -0x1.65c172065cda6p-3, -0x1.5fab0483aebbcp-3, -0x1.59a60a561fd27p-3, -0x1.53b29710d5fdbp-3, -0x1.4dd0bb47ded14p-3, -0x1.480084a3cf084p-3, -0x1.4241fdf669d9ep-3, -0x1.3c952f506e188p-3, -0x1.36fa1e18891aep-3, -0x1.3170cd2373d5p-3, -0x1.2bf93ccd03982p-3, -0x1.26936b1212543p-3, -0x1.213f53aafd42p-3, -0x1.1bfcf02679c26p-3, -0x1.16cc3804776ddp-3, -0x1.11ad20d0d70b2p-3, -0x1.0c9f9e3daac65p-3, -0x1.07a3a23cc91f8p-3, -0x1.02b91d187eaafp-3, -0x1.fbbffb1668d69p-4, -0x1.f23061abc9e38p-4, -0x1.e8c345aaad302p-4, -0x1.df787c2bef497p-4, -0x1.d64fd7ccda204p-4, -0x1.cd4928d1963d5p-4, -0x1.c4643d45110c1p-4, -0x1.bba0e1167624ep-4, -0x1.b2fede3467908p-4, -0x1.aa7dfca63b648p-4, -0x1.a21e02a35c9fap-4, -0x1.99deb4a923b83p-4, -0x1.91bfd58f5a3acp-4, -0x1.89c1269ba1c46p-4, -0x1.81e26794053e1p-4, -0x1.7a2356d0d4b86p-4, -0x1.7283b14e05c7cp-4, -0x1.6b0332bc3aaf1p-4, -0x1.63a1959191129p-4, -0x1.5c5e931a4f3cep-4, -0x1.5539e38983d93p-4, -0x1.4e333e099f2a8p-4, -0x1.474a58cd0f13dp-4, -0x1.407ee91eda6bep-4, -0x1.39d0a3733709fp-4, -0x1.333f3b7813af6p-4, -0x1.2cca642587062p-4, -0x1.2671cfce1a356p-4, -0x1.2035302edbb12p-4, -0x1.1a14367f2fb82p-4, -0x1.140e93804bab5p-4, -0x1.0e23f78c51856p-4, -0x1.085412a4fd8bbp-4, -0x1.029e9481dbaa9p-4, -0x1.fa06593bf6ad8p-5, -0x1.ef03148a3bd29p-5, -0x1.e432b940b0d5cp-5, -0x1.d994a5844e1b3p-5, -0x1.cf283763e7792p-5, -0x1.c4ecccee1fddep-5, -0x1.bae1c44646a69p-5, -0x1.b1067bb82babfp-5, -0x1.a75a51caefffep-5, -0x1.9ddca552def82p-5, -0x1.948cd5825c8b8p-5, -0x1.8b6a41f9f3e8dp-5, -0x1.82744ad795692p-5, -0x1.79aa50c50d5dbp-5, -0x1.710bb505c441ep-5, -0x1.6897d983cd3f8p-5, -0x1.604e20dc592eap-5, -0x1.582dee6b8e12p-5, -0x1.5036a657d60f5p-5, -0x1.4867ad9ca7a63p-5, -0x1.40c06a14d7545p-5, -0x1.3940428473b66p-5, -0x1.31e69ea23982ep-5, -0x1.2ab2e7209f061p-5, -0x1.23a485b681527p-5, -0x1.1cbae5277704ap-5, -0x1.15f5714bc78cdp-5, -0x1.0f539718134d9p-5, -0x1.08d4c4a4a3c54p-5, -0x1.027869346f5d4p-5, -0x1.f87bea7795c8ep-6, -0x1.ec49b4cda19a1p-6, -0x1.e059173eec296p-6, -0x1.d4a8fa26acb0fp-6, -0x1.c93848725eabdp-6, -0x1.be05efac267a6p-6, -0x1.b310e004964a3p-6, -0x1.a8580c5bddcf2p-6, -0x1.9dda6a4a6365bp-6, -0x1.9396f228c0496p-6, -0x1.898c9f172b212p-6, -0x1.7fba6f044bf4fp-6, -0x1.761f62b37af52p-6, -0x1.6cba7dc26d978p-6, -0x1.638ac6ae5643dp-6, -0x1.5a8f46d8730a8p-6, -0x1.51c70a8a148bap-6, -0x1.493120f81d0ep-6, -0x1.40cc9c45f5aa2p-6, -0x1.3898918809042p-6, -0x1.309418c5bd3f1p-6, -0x1.28be4cfaf37fcp-6, -0x1.21164c190db21p-6, -0x1.199b37078b75p-6, -0x1.124c31a42be1dp-6, -0x1.0b2862c2b26fcp-6, -0x1.042ef42c38708p-6, -0x1.fabe253c4e94fp-7, -0x1.ed6fdb919ef5dp-7, -0x1.e071709b5214fp-7, -0x1.d3c14f7a73de5p-7, -0x1.c75de92963ae1p-7, -0x1.bb45b4766a0cdp-7, -0x1.af772dfdb7d52p-7, -0x1.a3f0d822e10e3p-7, -0x1.98b13b09d64b7p-7, -0x1.8db6e48f55892p-7, -0x1.83006840f011ep-7, -0x1.788c5f549a2d1p-7, -0x1.6e59689fcfd6dp-7, -0x1.6466288e5dfd3p-7, -0x1.5ab14918bf5fbp-7, -0x1.513979ba23948p-7, -0x1.47fd6f66273e5p-7, -0x1.3efbe47e31c33p-7, -0x1.363398c688901p-7, -0x1.2da3515b18e61p-7, -0x1.2549d8a3fc203p-7, -0x1.1d25fe49b9f92p-7, -0x1.153697294a7e6p-7, -0x1.0d7a7d47de2cap-7, -0x1.05f08fc66d541p-7, -0x1.fd2f65aa232b8p-8, -0x1.eedd9f4c5c3d5p-8, -0x1.e0e9a8c2d2537p-8, -0x1.d351682cf378ep-8, -0x1.c612cd5f92f51p-8, -0x1.b92bd1c9ec7ecp-8, -0x1.ac9a785a55852p-8, -0x1.a05ccd62b6763p-8, -0x1.9470e67cc4afep-8, -0x1.88d4e26e08eebp-8, -0x1.7d86e90bb4323p-8, -0x1.72852b1e5009fp-8, -0x1.67cde24541496p-8, -0x1.5d5f50da359fp-8, -0x1.53384ded56354p-8, -0x1.49560e80021b4p-8, -0x1.3fb78046cd5c4p-8, -0x1.365b076e9fbdep-8, -0x1.2d3f104e91bcfp-8, -0x1.24620f4aeee6dp-8, -0x1.1bc280b847ae5p-8, -0x1.135ee8be82afdp-8, -0x1.0b35d33bfce1p-8, -0x1.0345d3a8c0d5p-8, -0x1.f71b09f38fb5ap-9, -0x1.e8171308b0c2ap-9, -0x1.d97d15c2fb61cp-9, -0x1.cb4a73a33313ep-9, -0x1.bd7c9c4032769p-9, -0x1.b0110d0e8ffb4p-9, -0x1.a305512898c19p-9, -0x1.965701168b0d7p-9, -0x1.8a03c29734624p-9, -0x1.7e094868d20b8p-9, -0x1.72655212623c3p-9, -0x1.6715abad436ecp-9, -0x1.5c182daf406aap-9, -0x1.516abcb5010fp-9, -0x1.470b494ce4629p-9, -0x1.3cf7cfc246b9fp-9, -0x1.332e57e940562p-9, -0x1.29acf4eac8381p-9, -0x1.2071c51164d0fp-9, -0x1.177af1964056bp-9, -0x1.0ec6ae6ec554bp-9, -0x1.06533a1ab9563p-9, -0x1.fc3dbae5aa34ep-10, -0x1.ec4fd6efc3475p-10, -0x1.dcd98244b9e4bp-10, -0x1.cdd78a6546168p-10, -0x1.bf46d00342f38p-10, -0x1.b12446a42dfe2p-10, -0x1.a36cf444b5dap-10, -0x1.961df0fd76bf7p-10, -0x1.893466a8bd44cp-10, -0x1.7cad90897b65dp-10, -0x1.7086baf359463p-10, -0x1.64bd42f3e3ed3p-10, -0x1.594e95fced20fp-10, -0x1.4e3831900a5bep-10, -0x1.4377a2eb2f7c4p-10, -0x1.390a86b68db63p-10, -0x1.2eee88b379fb8p-10, -0x1.2521636c9685bp-10, -0x1.1ba0dfe713992p-10, -0x1.126ad5551ce58p-10, -0x1.097d28c975c49p-10, -0x1.00d5ccec3068fp-10, -0x1.f0e5836135cc7p-11, -0x1.e0a4281887c9dp-11, -0x1.d0e3bb5e5f911p-11, -0x1.c1a0897a50317p-11, -0x1.b2d6f71070699p-11, -0x1.a4838098873b7p-11, -0x1.96a2b9d784391p-11, -0x1.89314d5b28bcap-11, -0x1.7c2bfbf7f6525p-11, -0x1.6f8f9c495b1ccp-11, -0x1.63591a33fce99p-11, -0x1.5785766a45db8p-11, -0x1.4c11c5f3164b6p-11, -0x1.40fb31b2a6023p-11, -0x1.363ef5f56e109p-11, -0x1.2bda61fd6e5bbp-11, -0x1.21cad7914b241p-11, -0x1.180dca8da84ecp-11, -0x1.0ea0c07891205p-11, -0x1.05815016eca2cp-11, -0x1.f95a4207c6f03p-12, -0x1.e843d694fc824p-12, -0x1.d7baee020cc01p-12, -0x1.c7bb37cd056ddp-12, -0x1.b840820446af3p-12, -0x1.a946b8891c609p-12, -0x1.9ac9e456346cbp-12, -0x1.8cc62ac9db9bap-12, -0x1.7f37ccf3e9e34p-12, -0x1.721b26e75a9d7p-12, -0x1.656caf0f7ffc7p-12, -0x1.5928f588bde9fp-12, -0x1.4d4ca37ce6e5bp-12, -0x1.41d47a82cde4bp-12, -0x1.36bd54019942ap-12, -0x1.2c0420971a10ap-12, -0x1.21a5e7819a271p-12, -0x1.179fc60ce66ccp-12, -0x1.0deeef027474bp-12, -0x1.0490aa1cc2f83p-12, -0x1.f704a6fb4e86cp-13, -0x1.e582b64f7fc1p-13, -0x1.d49688f5bb562p-13, -0x1.c43b4b666b9cfp-13, -0x1.b46c4ed6fb20dp-13, -0x1.a5250843ab904p-13, -0x1.96610f7ed6e0cp-13, -0x1.881c1e458509bp-13, -0x1.7a520f596f8efp-13, -0x1.6cfedd9f97fb3p-13, -0x1.601ea34512522p-13, -0x1.53ad98e761bdbp-13, -0x1.47a814c2b0081p-13, -0x1.3c0a89e443598p-13, -0x1.30d18761c6da2p-13, -0x1.25f9b7951ff49p-13, -0x1.1b7fdf5cb8cf7p-13, -0x1.1160dd60185abp-13, -0x1.0799a958f32e7p-13, -0x1.fc4ea6c097af2p-14, -0x1.ea0e067f70616p-14, -0x1.d86bef8dd4cefp-14, -0x1.c7630c49d953ap-14, -0x1.b6ee328aefee5p-14, -0x1.a708626443421p-14, -0x1.97acc4ee25d74p-14, -0x1.88d6ab17fe9e2p-14, -0x1.7a818c80413dap-14, -0x1.6ca906546952bp-14, -0x1.5f48da37ad57p-14, -0x1.525ced30f4138p-14, -0x1.45e1469edf99p-14, -0x1.39d20f335522dp-14, -0x1.2e2b8ff56efbep-14, -0x1.22ea3149a3fbcp-14, -0x1.180a7a0050bdp-14, -0x1.0d890e6ad2788p-14, -0x1.0362af7672686p-14, -0x1.f328739ae80c5p-15, -0x1.e03549fc873c4p-15, -0x1.cde6054ffed79p-15, -0x1.bc34fb5a11cfcp-15, -0x1.ab1cb2d5cb45ap-15, -0x1.9a97e1f09f87cp-15, -0x1.8aa16ccf1cb35p-15, -0x1.7b34641db2908p-15, -0x1.6c4c03aaacea7p-15, -0x1.5de3b10b926f1p-15, -0x1.4ff6fa4ab5e03p-15, -0x1.4281949f77a77p-15, -0x1.357f5b2f99d51p-15, -0x1.28ec4dd9752d5p-15, -0x1.1cc4900766749p-15, -0x1.1104678c0617ap-15, -0x1.05a83b85eb54cp-15, -0x1.f559269ae7d8fp-16, -0x1.e01c2ad151d36p-16, -0x1.cb930d102f20fp-16, -0x1.b7b79116ea6eap-16, -0x1.a483b31907c4fp-16, -0x1.91f1a5e50c4a2p-16, -0x1.7ffbd117f5f22p-16, -0x1.6e9ccf5d62193p-16, -0x1.5dcf6cc0c0a57p-16, -0x1.4d8ea5068d856p-16, -0x1.3dd5a215fa582p-16, -0x1.2e9fba6d1ce07p-16, -0x1.1fe86f9f2e3f8p-16, -0x1.11ab6ce3acebap-16, -0x1.03e485aabba4ep-16, -0x1.ed1f688097862p-17, -0x1.d35230efdd1fap-17, -0x1.ba59ecc7fd1a6p-17, -0x1.a22f6a2c494cp-17, -0x1.8acbbad3a86a8p-17, -0x1.742831b2d437bp-17, -0x1.5e3e60b194cd7p-17, -0x1.4908167cc1c93p-17, -0x1.347f5c610090fp-17, -0x1.209e743797b83p-17, -0x1.0d5fd669beee2p-17, -0x1.f57c5ff9cfa8ap-18, -0x1.d168c16309bf2p-18, -0x1.ae7af262163aap-18, -0x1.8ca97294d72d5p-18, -0x1.6beb1c792afc3p-18, -0x1.4c37221e954f2p-18, -0x1.2d8509f073b6ep-18, -0x1.0fccaba232048p-18, -0x1.e60c5a50669d3p-19, -0x1.ae53ffaba3b2cp-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.734c254753247p-3, -0x1.86e94afe78a94p-3, -0x1.9a839379e1185p-3, -0x1.ae1475808a4e7p-3, -0x1.c19539f7f3651p-3, -0x1.d4ff090ae0076p-3, -0x1.e84af661c2291p-3, -0x1.fb720c69a709bp-3, -0x1.0736ab555ba8dp-2, -0x1.109af59959689p-2, -0x1.19e2798d2f6ddp-2, -0x1.2309d91757c25p-2, -0x1.2c0dc6e3dd2f3p-2, -0x1.34eb096c3bd04p-2, -0x1.3d9e7da15e55p-2, -0x1.4625193da37fp-2, -0x1.4e7becc4cea44p-2, -0x1.56a02537c4a8p-2, -0x1.5e8f0d81d5e29p-2, -0x1.66460fa53552cp-2, -0x1.6dc2b5ac06ed4p-2, -0x1.7502aa633e0b8p-2, -0x1.7c03b9e444538p-2, -0x1.82c3d1f22bcd9p-2, -0x1.8941022eddec7p-2, -0x1.8f797c2c85d9fp-2, -0x1.956b935f1c638p-2, -0x1.9b15bcf1ccd27p-2, -0x1.a0768f8388591p-2, -0x1.a58cc2cdf2a46p-2, -0x1.aa572f397c5ep-2, -0x1.aed4cd61450c4p-2, -0x1.b304b5891ed6bp-2, -0x1.b6e61f07cd319p-2, -0x1.ba785fa76004ep-2, -0x1.bdbaeafd55ebdp-2, -0x1.c0ad51bbfc42ep-2, -0x1.c34f40fe5209dp-2, -0x1.c5a0818f8da9cp-2, -0x1.c7a0f72f31ceep-2, -0x1.c9509fd28944ep-2, -0x1.caaf92e432baep-2, -0x1.cbbe008254991p-2, -0x1.cc7c30bbec951p-2, -0x1.ccea82cda8865p-2, -0x1.cd096c5e91edbp-2, -0x1.ccd978bcd532fp-2, -0x1.cc5b481ad9cdfp-2, -0x1.cb8f8eccd1a01p-2, -0x1.ca771486ebe98p-2, -0x1.c912b39c447a3p-2, -0x1.c763583ea2eadp-2, -0x1.c569ffbf2dec5p-2, -0x1.c327b7d01390cp-2, -0x1.c09d9dc74a2c3p-2, -0x1.bdccdde2730a8p-2, -0x1.bab6b28bf335p-2, -0x1.b75c63a15ae96p-2, -0x1.b3bf45bb2ce83p-2, -0x1.afe0b9761dcc2p-2, -0x1.abc22abde6ae4p-2, -0x1.a7651019c2d6cp-2, -0x1.a2cae9fab4a12p-2, -0x1.9df5420bb36f6p-2, -0x1.98e5aa83d98dp-2, -0x1.939dbd7aba765p-2, -0x1.8e1f1c3efe1b6p-2, -0x1.886b6eaf60582p-2, -0x1.828462963b55fp-2, -0x1.7c6bab07bb9f5p-2, -0x1.7622ffc2dcaf8p-2, -0x1.6fac1c9553d0fp-2, -0x1.6908c0c288837p-2, -0x1.623aae6db1bacp-2, -0x1.5b43aa0741bc5p-2, -0x1.542579bdb0e32p-2, -0x1.4ce1e4f1cdfc9p-2, -0x1.457ab3ae9d0a9p-2, -0x1.3df1ae24ee33bp-2, -0x1.36489c2ab0d51p-2, -0x1.2e8144be1e6c9p-2, -0x1.269d6d8ccd3p-2, -0x1.1e9eda7eb46eep-2, -0x1.16874d4534c6fp-2, -0x1.0e5884ee257d5p-2, -0x1.06143d7af9048p-2, -0x1.fb785ef7e6cfdp-3, -0x1.eaa41f5efddb6p-3, -0x1.d9af1d4b326e1p-3, -0x1.c89cb0ceb6245p-3, -0x1.b77028452fd2ap-3, -0x1.a62cc7b319c9ep-3, -0x1.94d5c82d3f802p-3, -0x1.836e57483af59p-3, -0x1.71f9968fe3c08p-3, -0x1.607a9b069d494p-3, -0x1.4ef46cac62c8bp-3, -0x1.3d6a060d77869p-3, -0x1.2bde53d8a1d63p-3, -0x1.1a54347cc0704p-3, -0x1.08ce77cdadd96p-3, -0x1.ee9fbd606dcb9p-4, -0x1.cbb6359a0ea8ep-4, -0x1.a8e59c94db6d3p-4, -0x1.863317196e47p-4, -0x1.63a3a9fa1a26cp-4, -0x1.413c39ad4435bp-4, -0x1.1f0189f3fdfbdp-4, -0x1.f9f07b191fa11p-5, -0x1.b649abe12aee8p-5, -0x1.7317663ca551bp-5, -0x1.306226d9cc566p-5, -0x1.dc644dabef0efp-6, -0x1.591eb71e9cabep-6, -0x1.ae05da2848101p-7, -0x1.587f2b4637832p-8, 0x1.4be2e09711d74p-9, 0x1.4f8776f41c319p-7, 0x1.24a90e62c499ep-6, 0x1.a01f9670593aep-6, 0x1.0d0d8da92e75dp-5, 0x1.4947f507695a6p-5, 0x1.84b96a18191bcp-5, 0x1.bf5c976c3818bp-5, 0x1.f92c68dd377b9p-5, 0x1.1912057ebd262p-4, 0x1.351f753e9d691p-4, 0x1.50bc59c2375f2p-4, 0x1.6be6a8811ef37p-4, 0x1.869c75f94f7efp-4, 0x1.a0dbf54d55f69p-4, 0x1.baa377de17d6cp-4, 0x1.d3f16ce081905p-4, 0x1.ecc460ef59dc5p-4, 0x1.028d7eccbd709p-3, 0x1.0e7a047654a3fp-3, 0x1.1a27327eaf1c7p-3, 0x1.259487b5cf529p-3, 0x1.30c1907297824p-3, 0x1.3bade652ac285p-3, 0x1.46592ff9343aep-3, 0x1.50c320cc9f92p-3, 0x1.5aeb78b37706ep-3, 0x1.64d203d064e61p-3, 0x1.6e769a3d7f63dp-3, 0x1.77d91fc6f59c7p-3, 0x1.80f983a527edfp-3, 0x1.89d7c03655e24p-3, 0x1.9273dab7dfe8ap-3, 0x1.9acde2ff400d1p-3, 0x1.a2e5f332ceca6p-3, 0x1.aabc2f8253f5fp-3, 0x1.b250c5df8d1e2p-3, 0x1.b9a3edb6abfd5p-3, 0x1.c0b5e7a6e300ap-3, 0x1.c786fd3b0b501p-3, 0x1.ce1780a27ddb9p-3, 0x1.d467cc6a22f15p-3, 0x1.da784335c913p-3, 0x1.e0494f79d9ea3p-3, 0x1.e5db63356ab6cp-3, 0x1.eb2ef7acc6205p-3, 0x1.f0448d246cc75p-3, 0x1.f51caa9c9b88dp-3, 0x1.f9b7dd8d6ad04p-3, 0x1.fe16b9a388b87p-3, 0x1.011cec3eca82fp-2, 0x1.0310ecb51a7bcp-2, 0x1.04e7b0936cd3bp-2, 0x1.06a18ccfa548fp-2, 0x1.083ed8d6fd368p-2, 0x1.09bfee6e94e9ap-2, 0x1.0b2529947199p-2, 0x1.0c6ee860ea30ep-2, 0x1.0d9d8ae887c9fp-2, 0x1.0eb1731e58eaap-2, 0x1.0fab04b6bdba4p-2, 0x1.108aa50aafca6p-2, 0x1.1150bafb83b32p-2, 0x1.11fdaed72c6dep-2, 0x1.1291ea3cfc78bp-2, 0x1.130dd802ed1d7p-2, 0x1.1371e41b65444p-2, 0x1.13be7b7b89eeap-2, 0x1.13f40c021314p-2, 0x1.1413045ea9b68p-2, 0x1.141bd3f9ccfcbp-2, 0x1.140eeadd43273p-2, 0x1.13ecb99d150fdp-2, 0x1.13b5b141118f4p-2, 0x1.136a432edf62p-2, 0x1.130ae1149a77cp-2, 0x1.1297fcd3faec5p-2, 0x1.1212086e0aef9p-2, 0x1.117975ef63b2cp-2, 0x1.10ceb75cfcca7p-2, 0x1.10123ea17f815p-2, 0x1.0f447d7b2c2ecp-2, 0x1.0e65e56a422ccp-2, 0x1.0d76e79ff8f0ap-2, 0x1.0c77f4edfd147p-2, 0x1.0b697db677eaap-2, 0x1.0a4bf1dc9e168p-2, 0x1.091fc0b5c4b94p-2, 0x1.07e558fafa1fbp-2, 0x1.069d28bb2655fp-2, 0x1.05479d4daad5bp-2, 0x1.03e5234586963p-2, 0x1.02762664f9a78p-2, 0x1.00fb1191a7e78p-2, 0x1.fee89d92713eep-3, 0x1.fbc48e2ce8b46p-3, 0x1.f88ac50db4b61p-3, 0x1.f53c104161929p-3, 0x1.f1d93bb319d9ap-3, 0x1.ee63111a99c59p-3, 0x1.eada57eb172dp-3, 0x1.e73fd542fe51fp-3, 0x1.e3944bdc9df1fp-3, 0x1.dfd87bffa20b6p-3, 0x1.dc0d23737355bp-3, 0x1.d832fd7263acbp-3, 0x1.d44ac29dacb56p-3, 0x1.d05528f2419eap-3, 0x1.cc52e3be60a27p-3, 0x1.c844a397f099ap-3, 0x1.c42b16539d6ebp-3, 0x1.c006e6fcb1afap-3, 0x1.bbd8bdcda7f4ep-3, 0x1.b7a140296fba3p-3, 0x1.b3611095692c9p-3, 0x1.af18ceb405744p-3, 0x1.aac917401285ep-3, 0x1.a6728408ad31dp-3, 0x1.a215abedcfc5ep-3, 0x1.9db322dd7e223p-3, 0x1.994b79d185947p-3, 0x1.94df3ecdd7826p-3, 0x1.906efcdf6f0f4p-3, 0x1.8bfb3c1bbb934p-3, 0x1.878481a09ed8fp-3, 0x1.830b4f94e6807p-3, 0x1.7e90252942494p-3, 0x1.7a137e99bac9ap-3, 0x1.7595d52f9b5f4p-3, 0x1.71179f43d03c9p-3, 0x1.6c995041b34a5p-3, 0x1.681b58aa43782p-3, 0x1.639e2617c215ap-3, 0x1.5f222341b7f74p-3, 0x1.5aa7b80151afbp-3, 0x1.562f495622b2fp-3, 0x1.51b9396b36c34p-3, 0x1.4d45e79c7c349p-3, 0x1.48d5b07c7c79p-3, 0x1.4468edda691f4p-3, 0x1.3ffff6c86662bp-3, 0x1.3b9b1fa2286b1p-3, 0x1.373aba13cb7b1p-3, 0x1.32df1520ec54bp-3, 0x1.2e887d2c0296dp-3, 0x1.2a373bfdeeffap-3, 0x1.25eb98cdbd954p-3, 0x1.21a5d848a2bdp-3, 0x1.1d663c9a228bcp-3, 0x1.192d0574632f9p-3, 0x1.14fa7018ad172p-3, 0x1.10ceb76011ccep-3, 0x1.0caa13c436018p-3, 0x1.088cbb683a5f8p-3, 0x1.0476e221c9508p-3, 0x1.0068b9823d639p-3, 0x1.f8c4e1bfb99f5p-4, 0x1.f0c86abe720ddp-4, 0x1.e8dc63f9239c2p-4, 0x1.e1011f2ab544ap-4, 0x1.d936e9e38c8ebp-4, 0x1.d17e0d9cc454ep-4, 0x1.c9d6cfcb84f87p-4, 0x1.c24171f4590fbp-4, 0x1.babe31beb194bp-4, 0x1.b34d490853344p-4, 0x1.abeeedf8e1866p-4, 0x1.a4a3531564fe3p-4, 0x1.9d6aa753d4601p-4, 0x1.9645162e90236p-4, 0x1.8f32c7b7ea531p-4, 0x1.8833e0ad8e3cp-4, 0x1.8148828be8a26p-4, 0x1.7a70cba17a811p-4, 0x1.73acd722186ecp-4, 0x1.6cfcbd3a13abap-4, 0x1.666093214b6f1p-4, 0x1.5fd86b2e1ff38p-4, 0x1.596454e8492eep-4, 0x1.53045d1b8c78dp-4, 0x1.4cb88dea4f88dp-4, 0x1.4680eee00573fp-4, 0x1.405d850375247p-4, 0x1.3a4e52e8d72ddp-4, 0x1.345358c3c7784p-4, 0x1.2e6c94790a982p-4, 0x1.289a01b02539ep-4, 0x1.22db99e4c24cep-4, 0x1.1d315477e8458p-4, 0x1.179b26c0fad43p-4, 0x1.1219041e88b65p-4, 0x1.0caade06e358ep-4, 0x1.0750a4187f69bp-4, 0x1.020a442a1eb3bp-4, 0x1.f9af54b57e703p-5, 0x1.ef718242a2eb5p-5, 0x1.e55ae2b867815p-5, 0x1.db6b44c0e394ep-5, 0x1.d1a274118ffep-5, 0x1.c8003988d3539p-5, 0x1.be845b4b14d25p-5, 0x1.b52e9cdf503fep-5, 0x1.abfebf4b2df42p-5, 0x1.a2f4812ea018p-5, 0x1.9a0f9edefb3e7p-5, 0x1.914fd28195f57p-5, 0x1.88b4d425e4bf2p-5, 0x1.803e59df18162p-5, 0x1.77ec17dd3a04ep-5, 0x1.6fbdc085cb50fp-5, 0x1.67b3048be0946p-5, 0x1.5fcb9307bff87p-5, 0x1.5807198dfc0ep-5, 0x1.506544461434ep-5, 0x1.48e5be008fa99p-5, 0x1.4188304c9dc83p-5, 0x1.3a4c438d36f12p-5, 0x1.33319f0dbdb5ap-5, 0x1.2c37e91625398p-5, 0x1.255ec6fe999e9p-5, 0x1.1ea5dd42ac97p-5, 0x1.180ccf94083b3p-5, 0x1.119340eca6b97p-5, 0x1.0b38d3a09158p-5, 0x1.04fd296f27d5fp-5, 0x1.fdbfc727dfa33p-6, 0x1.f1c145ade0276p-6, 0x1.e5fe0f3928728p-6, 0x1.da7563ea43c74p-6, 0x1.cf2683576bdaep-6, 0x1.c410aca9a7b28p-6, 0x1.b9331eb90e3ffp-6, 0x1.ae8d182823969p-6, 0x1.a41dd77e668a4p-6, 0x1.99e49b41fe88ep-6, 0x1.8fe0a2109d614p-6, 0x1.86112ab7884e3p-6, 0x1.7c75744adcadbp-6, 0x1.730cbe3bfecb8p-6, 0x1.69d6486f49f99p-6, 0x1.60d15350f81acp-6, 0x1.57fd1fe9458dfp-6, 0x1.4f58efefdd6fap-6, 0x1.46e405de8186bp-6, 0x1.3e9da50304627p-6, 0x1.3685119084c52p-6, 0x1.2e9990b000e03p-6, 0x1.26da689034036p-6, 0x1.1f46e074ceedcp-6, 0x1.17de40c50303fp-6, 0x1.109fd3196fe56p-6, 0x1.098ae2496aeffp-6, 0x1.029eba77aa8bap-6, 0x1.f7b5523caeb5ap-7, 0x1.ea7bfa350ad5dp-7, 0x1.dd900d6e360f5p-7, 0x1.d0f02f6e4bc89p-7, 0x1.c49b06bf48784p-7, 0x1.b88f3d017ccb9p-7, 0x1.accb7efd091a1p-7, 0x1.a14e7cb2341d7p-7, 0x1.9616e968ddaaep-7, 0x1.8b237bbee0643p-7, 0x1.8072edb588614p-7, 0x1.7603fcbe20392p-7, 0x1.6bd569c587c18p-7, 0x1.61e5f93ef7b24p-7, 0x1.5834732ddba9ap-7, 0x1.4ebfa32ee2eeep-7, 0x1.4586588035189p-7, 0x1.3c876608e6727p-7, 0x1.33c1a25f9f0e6p-7, 0x1.2b33e7d0887adp-7, 0x1.22dd14627fbaap-7, 0x1.1abc09db94a53p-7, 0x1.12cfadc4d97d8p-7, 0x1.0b16e96d8b33fp-7, 0x1.0390a9ed94919p-7, 0x1.f877c04ee8fp-8, 0x1.ea2f01931379dp-8, 0x1.dc45089d97ap-8, 0x1.ceb7cdfde716fp-8, 0x1.c18551dc3597fp-8, 0x1.b4ab9bf7ab438p-8, 0x1.a828bba398461p-8, 0x1.9bfac7c3ae8adp-8, 0x1.901fdec74efd4p-8, 0x1.849626a3efb4p-8, 0x1.795bcccea56e1p-8, 0x1.6e6f0634da859p-8, 0x1.63ce0f343a601p-8, 0x1.59772b91d6b6fp-8, 0x1.4f68a67096c28p-8, 0x1.45a0d246ee97p-8, 0x1.3c1e08d3f0b83p-8, 0x1.32deab13b6821p-8, 0x1.29e12133316afp-8, 0x1.2123da836565fp-8, 0x1.18a54d6c1689cp-8, 0x1.1063f75df02aep-8, 0x1.085e5cc42d049p-8, 0x1.009308f5c4f04p-8, 0x1.f2011c4c56dd5p-9, 0x1.e34b0aab3c531p-9, 0x1.d5011c8224239p-9, 0x1.c7209ea37a428p-9, 0x1.b9a6eb1892d52p-9, 0x1.ac9168ff613e7p-9, 0x1.9fdd8c679a8cep-9, 0x1.9388d62f3f58ep-9, 0x1.8790d3dea1e83p-9, 0x1.7bf31f83ebf76p-9, 0x1.70ad5f8e362c6p-9, 0x1.65bd46a82f824p-9, 0x1.5b2093926ce31p-9, 0x1.50d510fd590dep-9, 0x1.46d89562dd8ecp-9, 0x1.3d2902dfc1f72p-9, 0x1.33c4470cd11abp-9, 0x1.2aa85ad7c6008p-9, 0x1.21d3425c0fbbfp-9, 0x1.19430cbb695c5p-9, 0x1.10f5d3f65be86p-9, 0x1.08e9bcc4a0432p-9, 0x1.011cf66d76ee5p-9, 0x1.f31b753fea367p-10, 0x1.e4749a9691721p-10, 0x1.d641f8ee0c2b6p-10, 0x1.c8804036f2de5p-10, 0x1.bb2c33f410909p-10, 0x1.ae42aaeb4e02ap-10, 0x1.a1c08ed6c7aacp-10, 0x1.95a2dc16261c9p-10, 0x1.89e6a16037be5p-10, 0x1.7e88ff74deefcp-10, 0x1.738728cf4cc02p-10, 0x1.68de6158a45a1p-10, 0x1.5e8bfe1b04e41p-10, 0x1.548d64f4fd36dp-10, 0x1.4ae00c4d810e3p-10, 0x1.41817ac851113p-10, 0x1.386f46faef977p-10, 0x1.2fa717221c89ap-10, 0x1.2726a0d7e4c07p-10, 0x1.1eeba8ca46022p-10, 0x1.16f402726f7f9p-10, 0x1.0f3d8fcca8f3dp-10, 0x1.07c64110d643bp-10, 0x1.008c146bb00bap-10, 0x1.f31a2b7149adep-11, 0x1.e58ebc78dfe45p-11, 0x1.d87228c0cc99p-11, 0x1.cbc0d6dcfcf27p-11, 0x1.bf77469c2baf5p-11, 0x1.b3921082ec4b2p-11, 0x1.a80de5483e2dep-11, 0x1.9ce78d53aa97ep-11, 0x1.921be83cf3d44p-11, 0x1.87a7ec4d59837p-11, 0x1.7d88a60274409p-11, 0x1.73bb3792aeb45p-11, 0x1.6a3cd8735cc31p-11, 0x1.610ad4e075ca9p-11, 0x1.58228d65f17b7p-11, 0x1.4f81766acc432p-11, 0x1.472517bdb1ec3p-11, 0x1.3f0b0c2352827p-11, 0x1.373100e6605b1p-11, 0x1.2f94b5693aa16p-11, 0x1.2833fab93f736p-11, 0x1.210cb323cd36dp-11, 0x1.1a1cd1cced124p-11, 0x1.13625a47a7367p-11, 0x1.0cdb603003ac9p-11, 0x1.068606c6b2075p-11, 0x1.0060808e5b1fp-11, 0x1.f4d21dd52e6c8p-12, 0x1.e93c038116785p-12, 0x1.ddfb6e3251c7ap-12, 0x1.d30d358a206fcp-12, 0x1.c86e4c041f78dp-12, 0x1.be1bbe4487251p-12, 0x1.b412b26998d22p-12, 0x1.aa506760441c9p-12, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.3a69afaffd269p-3, -0x1.4adfade2713d6p-3, -0x1.5b61d2fe0fffdp-3, -0x1.6bee135a01e32p-3, -0x1.7c8240164e36dp-3, -0x1.8d1c0b6f27507p-3, -0x1.9db90ce8fc37dp-3, -0x1.ae56c55034b98p-3, -0x1.bef2a288a4538p-3, -0x1.cf8a032a2e593p-3, -0x1.e01a39e8fec59p-3, -0x1.f0a090c8a44bp-3, -0x1.008d260cfc93fp-2, -0x1.08c256a239055p-2, -0x1.10ee7aaddf60cp-2, -0x1.191033c18c149p-2, -0x1.2126258fec614p-2, -0x1.292ef6ee93cb1p-2, -0x1.312952c158e5cp-2, -0x1.3913e8d03eba6p-2, -0x1.40ed6e88fd363p-2, -0x1.48b49fad3c654p-2, -0x1.50683eee986d1p-2, -0x1.5807167981995p-2, -0x1.5f8ff8700e6ebp-2, -0x1.6701bf55bf4b3p-2, -0x1.6e5b4e6d45232p-2, -0x1.759b92093ccd7p-2, -0x1.7cc17fd0d3693p-2, -0x1.83cc16f93e454p-2, -0x1.8aba6074e2319p-2, -0x1.918b6f18f8efep-2, -0x1.983e5fba861bfp-2, -0x1.9ed2594348637p-2, -0x1.a5468cbf649bfp-2, -0x1.ab9a3564682a4p-2, -0x1.b1cc98923edcp-2, -0x1.b7dd05cea8f0fp-2, -0x1.bdcad6bbb9aaap-2, -0x1.c3956f09d20d7p-2, -0x1.c93c3c658f03p-2, -0x1.cebeb6620d625p-2, -0x1.d41c5e5fdfc89p-2, -0x1.d954bf7115426p-2, -0x1.de676e3a924dp-2, -0x1.e35408d31182cp-2, -0x1.e81a369ffb711p-2, -0x1.ecb9a830613eep-2, -0x1.f132171642994p-2, -0x1.f58345be50985p-2, -0x1.f9acff465dfe8p-2, -0x1.fdaf17529c7b8p-2, -0x1.00c4b4f0e70cp-1, -0x1.029ded9045024p-1, -0x1.04632b9dd8072p-1, -0x1.0614691911768p-1, -0x1.07b1a3d2f4c17p-1, -0x1.093add565fed1p-1, -0x1.0ab01ad01c373p-1, -0x1.0c1164f6bb7d9p-1, -0x1.0d5ec7f24d679p-1, -0x1.0e985343f35bp-1, -0x1.0fbe19ad5b278p-1, -0x1.10d031182770bp-1, -0x1.11ceb27d4b904p-1, -0x1.12b9b9cc6311bp-1, -0x1.139165d3092e2p-1, -0x1.1455d82437c26p-1, -0x1.150734ffb1b4p-1, -0x1.15a5a33980783p-1, -0x1.16314c218727dp-1, -0x1.16aa5b6b3342dp-1, -0x1.1710ff154ea86p-1, -0x1.17656751f729cp-1, -0x1.17a7c66ec16edp-1, -0x1.17d850bd0c741p-1, -0x1.17f73c7a88455p-1, -0x1.1804c1b9f45adp-1, -0x1.18011a4c1ca2ep-1, -0x1.17ec81a916c13p-1, -0x1.17c734d9c17f4p-1, -0x1.17917261908aep-1, -0x1.174b7a28a137p-1, -0x1.16f58d661f7fdp-1, -0x1.168fee8afdbep-1, -0x1.161ae12d013bbp-1, -0x1.1596a9f2292b1p-1, -0x1.15038e7c6e02ep-1, -0x1.1461d555e12cep-1, -0x1.13b1c5dd2ad1ep-1, -0x1.12f3a8326b0bep-1, -0x1.1227c5247f256p-1, -0x1.114e661eab58bp-1, -0x1.1067d516ae8c8p-1, -0x1.0f745c7b3c8a7p-1, -0x1.0e744722e3bdap-1, -0x1.0d67e03b5e416p-1, -0x1.0c4f73394d96cp-1, -0x1.0b2b4bc8652efp-1, -0x1.09fbb5bc00ee7p-1, -0x1.08c0fd0028c2dp-1, -0x1.077b6d8b05071p-1, -0x1.062b534ebd57bp-1, -0x1.04d0fa2bc8356p-1, -0x1.036cade3a6d93p-1, -0x1.01feba0c0f349p-1, -0x1.00876a0282caep-1, -0x1.fe0e11c0a379cp-2, -0x1.fafbc2de1398cp-2, -0x1.f7d87c3aa1d0dp-2, -0x1.f4a4d1e84f79cp-2, -0x1.f16157193005bp-2, -0x1.ee0e9e0b91b33p-2, -0x1.eaad37f6f5d6p-2, -0x1.e73db4f9d28ddp-2, -0x1.e3c0a4081deb7p-2, -0x1.e03692da9f7p-2, -0x1.dca00ddf030fcp-2, -0x1.d8fda028ac66ap-2, -0x1.d54fd362477b3p-2, -0x1.d1972fc011582p-2, -0x1.cdd43bf2d95d8p-2, -0x1.ca077d1bb20d9p-2, -0x1.c63176c054d99p-2, -0x1.c252aac02ed11p-2, -0x1.be6b994a18d7bp-2, -0x1.ba7cc0d2b142dp-2, -0x1.b6869e0b5bb6dp-2, -0x1.b289abd9d84efp-2, -0x1.ae86635079fb1p-2, -0x1.aa7d3ba6f1f51p-2, -0x1.a66eaa33ad3a8p-2, -0x1.a25b2265c0f58p-2, -0x1.9e4315bf62c1ep-2, -0x1.9a26f3d0ea29fp-2, -0x1.96072a3453e15p-2, -0x1.91e42489464d8p-2, -0x1.8dbe4c7193666p-2, -0x1.8996098e346a1p-2, -0x1.856bc17cb93c6p-2, -0x1.813fd7d52be15p-2, -0x1.7d12ae28633d7p-2, -0x1.78e4a3febe121p-2, -0x1.74b616d747f7p-2, -0x1.7087622743ed6p-2, -0x1.6c58df5a149fbp-2, -0x1.682ae5d18644ep-2, -0x1.63fdcae66e468p-2, -0x1.5fd1e1e9a824p-2, -0x1.5ba77c25610fap-2, -0x1.577ee8deb78bdp-2, -0x1.53587557a8001p-2, -0x1.4f346cd144f34p-2, -0x1.4b13188e3614cp-2, -0x1.46f4bfd57d33dp-2, -0x1.42d9a7f57bdcdp-2, -0x1.3ec214473b60bp-2, -0x1.3aae4631ef5a1p-2, -0x1.369e7d2eb07dfp-2, -0x1.3292f6cc725bfp-2, -0x1.2e8beeb42b414p-2, -0x1.2a899ead2e3f5p-2, -0x1.268c3ea1b6037p-2, -0x1.229404a39c1abp-2, -0x1.1ea124f13b4eep-2, -0x1.1ab3d1fa7a09ep-2, -0x1.16cc3c65f9aa1p-2, -0x1.12ea93166e4d4p-2, -0x1.0f0f033011ep-2, -0x1.0b39b81e3d70bp-2, -0x1.076adb991a41dp-2, -0x1.03a295ab72f8p-2, -0x1.ffc21971374c3p-3, -0x1.f84ccb04e4f5dp-3, -0x1.f0e5865eedb8ep-3, -0x1.e98c8ea1e6dap-3, -0x1.e24223d275116p-3, -0x1.db0682e3e8b5ap-3, -0x1.d3d9e5c4f6edp-3, -0x1.ccbc836c8a9efp-3, -0x1.c5ae8fe6afc89p-3, -0x1.beb03c61914a6p-3, -0x1.b7c1b73a8cb35p-3, -0x1.b0e32c0b4df61p-3, -0x1.aa14c3b6f850cp-3, -0x1.a356a4775f096p-3, -0x1.9ca8f1ea3aa57p-3, -0x1.960bcd1e6b53fp-3, -0x1.8f7f54a1336bfp-3, -0x1.8903a48b7ab76p-3, -0x1.8298d68f064e9p-3, -0x1.7c3f0203b316fp-3, -0x1.75f63bf49eaa9p-3, -0x1.6fbe972d55868p-3, -0x1.69982446e26fdp-3, -0x1.6382f1b4e5c35p-3, -0x1.5d7f0bd28a778p-3, -0x1.578c7cef7b1dep-3, -0x1.51ab4d5cb3b5dp-3, -0x1.4bdb83794f191p-3, -0x1.461d23bf368p-3, -0x1.407030cfb6a32p-3, -0x1.3ad4ab80088b6p-3, -0x1.354a92e5b1ec6p-3, -0x1.2fd1e462d76c3p-3, -0x1.2a6a9bb269f8ap-3, -0x1.2514b2f437f7ep-3, -0x1.1fd022b8e87aep-3, -0x1.1a9ce20dc7d12p-3, -0x1.157ae6888285ap-3, -0x1.106a2452b5414p-3, -0x1.0b6a8e355ec52p-3, -0x1.067c15a42eb64p-3, -0x1.019eaac8acd38p-3, -0x1.f9a4791a82c56p-4, -0x1.f02d71502a4e2p-4, -0x1.e6d8174b95486p-4, -0x1.dda441e82a25p-4, -0x1.d491c5d8416b2p-4, -0x1.cba075b9be18dp-4, -0x1.c2d0222a45424p-4, -0x1.ba2099db2a0b2p-4, -0x1.b191a9a5052efp-4, -0x1.a9231c9b09af8p-4, -0x1.a0d4bc1deff62p-4, -0x1.98a64feea5511p-4, -0x1.90979e4098666p-4, -0x1.88a86bcbb8986p-4, -0x1.80d87bde22079p-4, -0x1.7927906d74c8cp-4, -0x1.71956a27d8316p-4, -0x1.6a21c884aa0c3p-4, -0x1.62cc69d4da3e9p-4, -0x1.5b950b52f255bp-4, -0x1.547b6932c8a34p-4, -0x1.4d7f3eb0e131cp-4, -0x1.46a04621790cdp-4, -0x1.3fde38ff409c7p-4, -0x1.3938cff9c1623p-4, -0x1.32afc30371618p-4, -0x1.2c42c95f75c8cp-4, -0x1.25f199af12637p-4, -0x1.1fbbe9fec7c7p-4, -0x1.19a16fd321fa1p-4, -0x1.13a1e03536302p-4, -0x1.0dbcefbed0a68p-4, -0x1.07f252a653ddfp-4, -0x1.0241bcca4a12ep-4, -0x1.f955c37950d87p-5, -0x1.ee5ae99b89deep-5, -0x1.e392522e03613p-5, -0x1.d8fb630a569cbp-5, -0x1.ce9581c51a07dp-5, -0x1.c46013c178263p-5, -0x1.ba5a7e4431885p-5, -0x1.b084268611004p-5, -0x1.a6dc71c5cf94bp-5, -0x1.9d62c5596e2dcp-5, -0x1.941686bf0177p-5, -0x1.8af71bacf8c1bp-5, -0x1.8203ea21d9935p-5, -0x1.793c5873795edp-5, -0x1.709fcd5db4015p-5, -0x1.682db0109e4dep-5, -0x1.5fe5683e3c65bp-5, -0x1.57c65e27b966ap-5, -0x1.4fcffaaa244e1p-5, -0x1.4801a74ab379dp-5, -0x1.405ace429195cp-5, -0x1.38dada8a35063p-5, -0x1.318137e443902p-5, -0x1.2a4d52e807e13p-5, -0x1.233e990b73b01p-5, -0x1.1c5478acb9b6ep-5, -0x1.158e611b7a9c8p-5, -0x1.0eebc2a1879bp-5, -0x1.086c0e8b43569p-5, -0x1.020eb72f9980fp-5, -0x1.f7a65fef2a0dbp-6, -0x1.eb71dacb33689p-6, -0x1.df7eca3872712p-6, -0x1.d3cc1bc96284ap-6, -0x1.c858bf6a19714p-6, -0x1.bd23a76bd893ep-6, -0x1.b22bc88ff72fep-6, -0x1.a7701a121cdb2p-6, -0x1.9cef95b1defd2p-6, -0x1.92a937bbb6d4fp-6, -0x1.889bff115f7f3p-6, -0x1.7ec6ed319a951p-6, -0x1.7529063f5ee87p-6, -0x1.6bc1510876fedp-6, -0x1.628ed70b8ffe5p-6, -0x1.5990a47dc5b8ap-6, -0x1.50c5c84f9e73dp-6, -0x1.482d5431907b3p-6, -0x1.3fc65c97fd0fep-6, -0x1.378ff8bebd92cp-6, -0x1.2f8942ac2afb5p-6, -0x1.27b15733bddcep-6, -0x1.200755f838342p-6, -0x1.188a616d6005bp-6, -0x1.11399ed956c42p-6, -0x1.0a143655823cp-6, -0x1.031952cf1b6ccp-6, -0x1.f890440eaeb28p-7, -0x1.eb3fa9266481fp-7, -0x1.de3f3bb5cccf9p-7, -0x1.d18d68320ec6ap-7, -0x1.c528a0b29d301p-7, -0x1.b90f5cee1f804p-7, -0x1.ad401a36d3cap-7, -0x1.a1b95b7647ce5p-7, -0x1.9679a9288c58dp-7, -0x1.8b7f9156dbdfep-7, -0x1.80c9a791bfa9dp-7, -0x1.765684eaa6ccep-7, -0x1.6c24c7ed17db3p-7, -0x1.623314975e42dp-7, -0x1.58801452c87f7p-7, -0x1.4f0a75eb80f7ap-7, -0x1.45d0ed87f492p-7, -0x1.3cd2349fe9a2bp-7, -0x1.340d09f324915p-7, -0x1.2b80317fc0eb2p-7, -0x1.232a7478303f1p-7, -0x1.1b0aa138ea4ddp-7, -0x1.131f8b3dcff57p-7, -0x1.0b680b17460f3p-7, -0x1.03e2fe5f0ce29p-7, -0x1.f91e8f59ac074p-8, -0x1.ead79d153cc19p-8, -0x1.dceefed19ea1fp-8, -0x1.cf62972454961p-8, -0x1.c230523f05955p-8, -0x1.b55625d694601p-8, -0x1.a8d21109e11dcp-8, -0x1.9ca21c4839e99p-8, -0x1.90c4593784b95p-8, -0x1.8536e29a2496p-8, -0x1.79f7dc34a177ep-8, -0x1.6f0572b318f72p-8, -0x1.645ddb8e7e92fp-8, -0x1.59ff54f1acae4p-8, -0x1.4fe8259e52164p-8, -0x1.46169cd1baa83p-8, -0x1.3c8912297b424p-8, -0x1.333de58807775p-8, -0x1.2a337ef9326edp-8, -0x1.21684e969ee0ep-8, -0x1.18dacc6c2778cp-8, -0x1.1089785c3f0e6p-8, -0x1.0872da044d7e3p-8, -0x1.009580a10f9a5p-8, -0x1.f1e005e5f4f84p-9, -0x1.e301fe4553106p-9, -0x1.d48e354aad27ep-9, -0x1.c6820442c78fp-9, -0x1.b8dad2a5eb147p-9, -0x1.ab9615e14a69ap-9, -0x1.9eb15120963f9p-9, -0x1.922a1517c9b01p-9, -0x1.85fdffcd31324p-9, -0x1.7a2abc63ba2e9p-9, -0x1.6eae02e5819f2p-9, -0x1.6385980eb4e11p-9, -0x1.58af4d18c0c64p-9, -0x1.4e28ff85d517cp-9, -0x1.43f098ecc19acp-9, -0x1.3a040ec533599p-9, -0x1.306162344bfe7p-9, -0x1.27069fd9a4b4fp-9, -0x1.1df1df9cb26efp-9, -0x1.1521447a9d01p-9, -0x1.0c92fc547b03ep-9, -0x1.04453fbe062ep-9, -0x1.f86ca3997d28ap-10, -0x1.e8c8ffcf0ba64p-10, -0x1.d99c432d67a03p-10, -0x1.cae330a941286p-10, -0x1.bc9a9ebd67217p-10, -0x1.aebf770dd23ap-10, -0x1.a14eb60bb87cfp-10, -0x1.94456a9aa3d7cp-10, -0x1.87a0b5b68dd5ep-10, -0x1.7b5dca1b07528p-10, -0x1.6f79ebeb65609p-10, -0x1.63f2705c056b6p-10, -0x1.58c4bd5c9b0dbp-10, -0x1.4dee49438d405p-10, -0x1.436c9a7a72a3cp-10, -0x1.393d472b8e7dbp-10, -0x1.2f5df4f07b751p-10, -0x1.25cc5881d3a16p-10, -0x1.1c86356804176p-10, -0x1.13895dad2c6ccp-10, -0x1.0ad3b1901b16p-10, -0x1.02631f3859e5cp-10, -0x1.f46b44d6c4a35p-11, -0x1.e4928885afa85p-11, -0x1.d53835c7c91e8p-11, -0x1.c658926f5403cp-11, -0x1.b7effd498da52p-11, -0x1.a9faed93e88cfp-11, -0x1.9c75f2736c6e5p-11, -0x1.8f5db26e40aefp-11, -0x1.82aeeae759e69p-11, -0x1.76666f9c49359p-11, -0x1.6a812a252de41p-11, -0x1.5efc1976c00f7p-11, -0x1.53d45166778c7p-11, -0x1.4906fa30c79p-11, -0x1.3e9150016d51dp-11, -0x1.3470a27dccb3ap-11, -0x1.2aa254515a079p-11, -0x1.2123dabc07f2fp-11, -0x1.17f2bd22ba8ebp-11, -0x1.0f0c94a1b6fbcp-11, -0x1.066f0ba10ec02p-11, -0x1.fc2fbad5ff6ddp-12, -0x1.ec09ab888897fp-12, -0x1.dc67a10ca2a0cp-12, -0x1.cd457276f2235p-12, -0x1.be9f1579e4423p-12, -0x1.b0709da574b8ap-12, -0x1.a2b63baaa2866p-12, -0x1.956c3ca28e41bp-12, -0x1.888f09592eb23p-12, -0x1.7c1b259b9819dp-12, -0x1.700d2f89c8362p-12, -0x1.6461deebec2b4p-12, -0x1.5916048b15fbfp-12, -0x1.4e26898d588d7p-12, -0x1.43906ed536d9ep-12, -0x1.3950cc6469eadp-12, -0x1.2f64d0c1df6f9p-12, -0x1.25c9c062f90b7p-12, -0x1.1c7cf517effacp-12, -0x1.137bdd7b5eddap-12, -0x1.0ac3fc64dd635p-12, -0x1.0252e85ea5476p-12, -0x1.f44c963c74a79p-13, -0x1.e477c1fffeaa7p-13, -0x1.d522f10b6b843p-13, -0x1.c649e3afb43b8p-13, -0x1.b7e87c93a0116p-13, -0x1.a9fabfc1a48f9p-13, -0x1.9c7cd1bb41d07p-13, -0x1.8f6af691b52bp-13, -0x1.82c19103f68ddp-13, -0x1.767d21a1e7502p-13, -0x1.6a9a45f49b0e6p-13, -0x1.5f15b7aba5dadp-13, -0x1.53ec4bcf5a231p-13, -0x1.491af1f7da605p-13, -0x1.3e9eb388faf63p-13, -0x1.3474b2f2c1d07p-13, -0x1.2a9a2af68a0d6p-13, -0x1.210c6df0a97a8p-13, -0x1.17c8e5267eabdp-13, -0x1.0ecd1018e15eap-13, -0x1.061683dace6d7p-13, -0x1.fb45d4d89eaap-14, -0x1.eae00432e5e8ep-14, -0x1.daf739baa9aa9p-14, -0x1.cb873f9237203p-14, -0x1.bc8c04dd99f35p-14, -0x1.ae019c9ffe9c3p-14, -0x1.9fe43ca06bfabp-14, -0x1.92303c55db0abp-14, -0x1.84e213da77338p-14, -0x1.77f65ae5dcae8p-14, -0x1.6b69c7ce3918cp-14, -0x1.5f392e9027d12p-14, -0x1.53617fdd22806p-14, -0x1.47dfc8306a0ebp-14, -0x1.3cb12eea3c6c7p-14, -0x1.31d2f5713ce2ep-14, -0x1.27427659e71bfp-14, -0x1.1cfd2493ee6f8p-14, -0x1.13008a9d69c2p-14, -0x1.094a49bba705ep-14, -0x1.ffb032731711bp-15, -0x1.ed4f8b56bac31p-15, -0x1.db6e606fb6a96p-15, -0x1.ca089bccff687p-15, -0x1.b91a4de5a88fdp-15, -0x1.a89fac496f71ep-15, -0x1.9895105aefb78p-15, -0x1.88f6f613480b9p-15, -0x1.79c1facef7bd5p-15, -0x1.6af2dc23bd268p-15, -0x1.5c8676bf3c437p-15, -0x1.4e79c54e3e4b2p-15, -0x1.40c9df6c4d079p-15, -0x1.3373f89b7e554p-15, -0x1.26755f44373aap-15, -0x1.19cb7bbcb8d41p-15, -0x1.0d73cf58427cp-15, -0x1.016bf37d9c245p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.aa393fd4d99d9p-1, 0x1.a5133d067945fp-1, 0x1.9fefaccc07286p-1, 0x1.9ad0272b6acd6p-1, 0x1.95b5c2e09852bp-1, 0x1.90a12393d793ap-1, 0x1.8b9287c153403p-1, 0x1.8689d61f01e01p-1, 0x1.8186aa5b1def1p-1, 0x1.7c8861186a74dp-1, 0x1.778e2316a6c73p-1, 0x1.7296ef7d1303ap-1, 0x1.6da1a54301dd8p-1, 0x1.68ad0bb7491a8p-1, 0x1.63b7da2b2eee7p-1, 0x1.5ec0bec85ebdp-1, 0x1.59c6649b8e0dfp-1, 0x1.54c778df04598p-1, 0x1.4fc2af9135a6ep-1, 0x1.4ab6c7642dcb8p-1, 0x1.45a28d12c938cp-1, 0x1.4084de28a3cf5p-1, 0x1.3b5cab496b7cp-1, 0x1.3628fa03cfd2cp-1, 0x1.30e8e63bc0d8fp-1, 0x1.2b9ba3370ea7bp-1, 0x1.26407c56cbddp-1, 0x1.20d6d5872126cp-1, 0x1.1b5e2b6e862c1p-1, 0x1.15d613649e3b1p-1, 0x1.103e3b3843e9fp-1, 0x1.0a9668cba0e93p-1, 0x1.04de798c8c895p-1, 0x1.fe2cc39d9b265p-2, 0x1.f27c581a9813bp-2, 0x1.e6abf02d69c26p-2, 0x1.dabbf4532f53cp-2, 0x1.ceacf4071bd43p-2, 0x1.c27fa3cd29df3p-2, 0x1.b634db2ec44dp-2, 0x1.a9cd92ae3e5cdp-2, 0x1.9d4ae1b561257p-2, 0x1.90adfc82b8d9bp-2, 0x1.83f83218d92e9p-2, 0x1.772aea3251fc5p-2, 0x1.6a47a33cab8d4p-2, 0x1.5d4ff05c67e6ap-2, 0x1.5045777bb0921p-2, 0x1.4329ef6517cb7p-2, 0x1.35ff1deb8aeffp-2, 0x1.28c6d62065719p-2, 0x1.1b82f6985c245p-2, 0x1.0e3567bfd0b65p-2, 0x1.00e01a3ef9f56p-2, 0x1.e70a0adc43ef2p-3, 0x1.cc4c4bb464e8ap-3, 0x1.b18af7b32f4ffp-3, 0x1.96ca146303595p-3, 0x1.7c0da996d2e9ap-3, 0x1.6159bef57b63dp-3, 0x1.46b259a506a26p-3, 0x1.2c1b7a1558d9p-3, 0x1.119919e9cf58p-3, 0x1.ee5e540255a7ap-4, 0x1.b9c321363fa3dp-4, 0x1.85684f35d234p-4, 0x1.515575cc21f34p-4, 0x1.1d920dbd849fep-4, 0x1.d44adbe34895p-5, 0x1.6e2d91a2fad52p-5, 0x1.08da53af5d4cdp-5, 0x1.48bdcd4611226p-6, 0x1.0322e2792dd3dp-7, -0x1.0ed913eb55a3fp-8, -0x1.06ffe8f46ed4p-6, -0x1.c832cfcb72286p-6, -0x1.439b8ad763d1cp-5, -0x1.a1fad168559e7p-5, -0x1.ff2c17dfac7a1p-5, -0x1.2d92524b35989p-4, -0x1.5aed14cae9c7cp-4, -0x1.87a162f9950c9p-4, -0x1.b3aa8375d8853p-4, -0x1.df03f461d64fbp-4, -0x1.04d4b5dac8bb9p-3, -0x1.19cb6bbac34c2p-3, -0x1.2e642ee761de9p-3, -0x1.429d2e8ceca81p-3, -0x1.5674b5e2de038p-3, -0x1.69e92c15fd92ep-3, -0x1.7cf91427b085fp-3, -0x1.8fa30cc30ca4ep-3, -0x1.a1e5d0084ff77p-3, -0x1.b3c0334f374cfp-3, -0x1.c53126e0c3e6fp-3, -0x1.d637b5a8ee0e2p-3, -0x1.e6d304e0d1503p-3, -0x1.f70253b1bb10bp-3, -0x1.03627d68d486ap-2, -0x1.0b0d360ccd9c6p-2, -0x1.1281190b1999p-2, -0x1.19bdf7c987a53p-2, -0x1.20c3af90a401fp-2, -0x1.2792294cbc5b9p-2, -0x1.2e29594cda7fbp-2, -0x1.34893effe487dp-2, -0x1.3ab1e4b0165bfp-2, -0x1.40a35f3cf90fcp-2, -0x1.465dcdd4080a3p-2, -0x1.4be159a82bfc4p-2, -0x1.512e35a838f57p-2, -0x1.56449e3487c52p-2, -0x1.5b24d8d3e2f4p-2, -0x1.5fcf33e7da40ep-2, -0x1.64440660a7478p-2, -0x1.6883af70c28d8p-2, -0x1.6c8e9640458a9p-2, -0x1.706529a03b898p-2, -0x1.7407dfbdfa741p-2, -0x1.777735d69ecdep-2, -0x1.7ab3afeac9a84p-2, -0x1.7dbdd872b1b4cp-2, -0x1.80964012a40e4p-2, -0x1.833d7d5009d42p-2, -0x1.85b42c470894bp-2, -0x1.87faee60cc0b3p-2, -0x1.8a126a0a95c73p-2, -0x1.8bfb4a6d9a376p-2, -0x1.8db63f27c2d7fp-2, -0x1.8f43fc0560122p-2, -0x1.90a538bbdf79bp-2, -0x1.91dab0a58d708p-2, -0x1.92e5227e7124fp-2, -0x1.93c5502251dfap-2, -0x1.947bfe4bea761p-2, -0x1.9509f4555c099p-2, -0x1.956ffbf9dec1p-2, -0x1.95aee118c67a8p-2, -0x1.95c77179d46b9p-2, -0x1.95ba7c92e747fp-2, -0x1.9588d34f09ee2p-2, -0x1.953347d6e9d6ep-2, -0x1.94baad5ab3141p-2, -0x1.941fd7dd5ea0cp-2, -0x1.93639c016e2afp-2, -0x1.9286ced71bf11p-2, -0x1.918a45ac01c68p-2, -0x1.906ed5dc31f8p-2, -0x1.8f3554a4cd7fep-2, -0x1.8dde96f80baa3p-2, -0x1.8c6b7152bc63fp-2, -0x1.8adcb7933ff03p-2, -0x1.89333cd1f4e28p-2, -0x1.876fd33b1718fp-2, -0x1.85934bea11e77p-2, -0x1.839e76c64180ap-2, -0x1.819222611e532p-2, -0x1.7f6f1bd5d42p-2, -0x1.7d362eaa3c6cbp-2, -0x1.7ae824b13a1ffp-2, -0x1.7885c5ee73332p-2, -0x1.760fd87b6484fp-2, -0x1.7387206dc68f7p-2, -0x1.70ec5fbf43021p-2, -0x1.6e40563675f8cp-2, -0x1.6b83c1513122cp-2, -0x1.68b75c2ffff83p-2, -0x1.65dbdf82e2701p-2, -0x1.62f201774069dp-2, -0x1.5ffa75a70351bp-2, -0x1.5cf5ed08de5aep-2, -0x1.59e515e1b184dp-2, -0x1.56c89bb70b61dp-2, -0x1.53a12742bbfb7p-2, -0x1.506f5e677713p-2, -0x1.4d33e4267cf2ap-2, -0x1.49ef589641e39p-2, -0x1.46a258da10552p-2, -0x1.434d7f1a9eaa1p-2, -0x1.3ff1627f8fp-2, -0x1.3c8e9729d41aap-2, -0x1.3925ae2ef5bap-2, -0x1.35b735952ce2dp-2, -0x1.3243b8504f4cap-2, -0x1.2ecbbe3f85901p-2, -0x1.2b4fcc2bc50b5p-2, -0x1.27d063c704b1bp-2, -0x1.244e03ac2b035p-2, -0x1.20c9275fa8dcfp-2, -0x1.1d424750bd9adp-2, -0x1.19b9d8db5d144p-2, -0x1.16304e4ab4cdbp-2, -0x1.12a616dc432dap-2, -0x1.0f1b9ec37f646p-2, -0x1.0b914f2e0c4dep-2, -0x1.08078e486bcp-2, -0x1.047ebf4333262p-2, -0x1.00f74258b2e7p-2, -0x1.fae2e9a627504p-3, -0x1.f3db6225bce2dp-3, -0x1.ecd89d2bcf892p-3, -0x1.e5db43fd46c3ap-3, -0x1.dee3fa3797383p-3, -0x1.d7f35de0ca12bp-3, -0x1.d10a07782016bp-3, -0x1.ca288a075224p-3, -0x1.c34f73345d972p-3, -0x1.bc7f4b53d9e15p-3, -0x1.b5b8957bc15cp-3, -0x1.aefbcf96bc49ep-3, -0x1.a8497277c5914p-3, -0x1.a1a1f1ee3ba7p-3, -0x1.9b05bcda496f9p-3, -0x1.94753d419ba6dp-3, -0x1.8df0d86463afbp-3, -0x1.8778eed29d3d4p-3, -0x1.810ddc8187009p-3, -0x1.7aaff8e155645p-3, -0x1.745f96f30f80cp-3, -0x1.6e1d055e9020ap-3, -0x1.67e88e88a6702p-3, -0x1.61c278a94d8a8p-3, -0x1.5bab05e1fae6ep-3, -0x1.55a27453f2ec7p-3, -0x1.4fa8fe36ac7bap-3, -0x1.49bed9ee2d6d5p-3, -0x1.43e43a2169b58p-3, -0x1.3e194dd09a9bep-3, -0x1.385e406b8299cp-3, -0x1.32b339e7a5c94p-3, -0x1.2d185ed668d1fp-3, -0x1.278dd07b16536p-3, -0x1.2213ace0c5862p-3, -0x1.1caa0ef02132cp-3, -0x1.17510e85046fcp-3, -0x1.1208c083f18cep-3, -0x1.0cd136ef5de4cp-3, -0x1.07aa80fccaa9ep-3, -0x1.0294ab29ab908p-3, -0x1.fb1f7ea0386cbp-4, -0x1.f1378976ba7dap-4, -0x1.e77180781d2b4p-4, -0x1.ddcd687879aa4p-4, -0x1.d44b41a6460e4p-4, -0x1.caeb07b15f691p-4, -0x1.c1acb1f19a866p-4, -0x1.b890338cbd5d6p-4, -0x1.af957b9bf10bep-4, -0x1.a6bc7550b1a31p-4, -0x1.9e0508191c1b6p-4, -0x1.956f17c3b3103p-4, -0x1.8cfa84a2911d3p-4, -0x1.84a72badfacb4p-4, -0x1.7c74e6a65f5aep-4, -0x1.74638c35bc1abp-4, -0x1.6c72f01065762p-4, -0x1.64a2e31532635p-4, -0x1.5cf3336d0a8bp-4, -0x1.5563aca9d7579p-4, -0x1.4df417e4d4387p-4, -0x1.46a43bdc41a05p-4, -0x1.3f73dd1077918p-4, -0x1.3862bde058148p-4, -0x1.31709ea524c18p-4, -0x1.2a9d3dcdb244cp-4, -0x1.23e857f8fe9bcp-4, -0x1.1d51a8102985ep-4, -0x1.16d8e75fcd652p-4, -0x1.107dcdb0bd7c1p-4, -0x1.0a40116026049p-4, -0x1.041f677712df4p-4, -0x1.fc370782b523bp-5, -0x1.f06831c7e3f5ap-5, -0x1.e4d1b0e54d94cp-5, -0x1.d972e60a88e68p-5, -0x1.ce4b3098488d4p-5, -0x1.c359ee4852e01p-5, -0x1.b89e7b545742ep-5, -0x1.ae18329ba2475p-5, -0x1.a3c66dc7b3c15p-5, -0x1.99a8856fbdd87p-5, -0x1.8fbdd13b09914p-5, -0x1.8605a8024e2ep-5, -0x1.7c7f5feff4025p-5, -0x1.732a4e9f5181dp-5, -0x1.6a05c93add9b6p-5, -0x1.6111249962a52p-5, -0x1.584bb55a2f60dp-5, -0x1.4fb4d0004e319p-5, -0x1.474bc90cc7154p-5, -0x1.3f0ff517ee24p-5, -0x1.3700a8e9c3dd5p-5, -0x1.2f1d39916c2eep-5, -0x1.2764fc7bc06fp-5, -0x1.1fd74788fe668p-5, -0x1.187371219e44p-5, -0x1.1138d04a4b99fp-5, -0x1.0a26bcb70ec6ep-5, -0x1.033c8edda3415p-5, -0x1.f8f3400e09471p-6, -0x1.ebba94c06a8c4p-6, -0x1.decdd2147fa4fp-6, -0x1.d22bb052fcb6p-6, -0x1.c5d2e9e84905ap-6, -0x1.b9c23b802dd15p-6, -0x1.adf864201c265p-6, -0x1.a27425401f8c2p-6, -0x1.973442e27d823p-6, -0x1.8c3783aa098d5p-6, -0x1.817cb0ef3a801p-6, -0x1.770296d40a23dp-6, -0x1.6cc80456a213p-6, -0x1.62cbcb62dd81fp-6, -0x1.590cc0e2b45f5p-6, -0x1.4f89bccd86a4dp-6, -0x1.46419a3658bd2p-6, -0x1.3d3337590cf48p-6, -0x1.345d75a69507bp-6, -0x1.2bbf39d030ecap-6, -0x1.23576bd1b8b9cp-6, -0x1.1b24f6fafcecfp-6, -0x1.1326c9f8441c2p-6, -0x1.0b5bd6d9ee81dp-6, -0x1.03c3131b4234dp-6, -0x1.f8b6ef50d264ep-7, -0x1.ea4801c75bc8cp-7, -0x1.dc375d53e1054p-7, -0x1.ce8308accafefp-7, -0x1.c129118b480fp-7, -0x1.b4278cb002224p-7, -0x1.a77c95e696c6dp-7, -0x1.9b265007baa3fp-7, -0x1.8f22e4fa40a84p-7, -0x1.837085b2dd84ep-7, -0x1.780d6a32e563ep-7, -0x1.6cf7d185e211cp-7, -0x1.622e01be32dc7p-7, -0x1.57ae47f0a3dcap-7, -0x1.4d76f82f15fdap-7, -0x1.43866d82456b7p-7, -0x1.39db09e2a5acbp-7, -0x1.3073363076bbep-7, -0x1.274d622b06996p-7, -0x1.1e68046735dadp-7, -0x1.15c19a45434c7p-7, -0x1.0d58a7e5e836bp-7, -0x1.052bb81ecf221p-7, -0x1.fa72b8dcd91cdp-8, -0x1.eb0059de8226dp-8, -0x1.dbfd909520118p-8, -0x1.cd67a7551be49p-8, -0x1.bf3bf558266d8p-8, -0x1.b177de9fabe42p-8, -0x1.a418d3d66d21bp-8, -0x1.971c52314214ep-8, -0x1.8a7fe34f1f0e7p-8, -0x1.7e411d185e4fbp-8, -0x1.725da19d6266cp-8, -0x1.66d31ef49c0bp-8, -0x1.5b9f4f17fd0acp-8, -0x1.50bff7c1e65eep-8, -0x1.4632ea499c5c2p-8, -0x1.3bf6037f4a06ep-8, -0x1.32072b87a1e11p-8, -0x1.286455b7218ebp-8, -0x1.1f0b806d05d0cp-8, -0x1.15fab4edf74a4p-8, -0x1.0d30073e78c83p-8, -0x1.04a995fd1f36dp-8, -0x1.f8cb14793d9adp-9, -0x1.e8c42ebb6505fp-9, -0x1.d93af5d1cbe96p-9, -0x1.ca2bf8d09850dp-9, -0x1.bb93da824ec83p-9, -0x1.ad6f511b13679p-9, -0x1.9fbb25ebeff03p-9, -0x1.927435161f8aap-9, -0x1.85976d3e7d6bep-9, -0x1.7921cf410fa0ap-9, -0x1.6d106de4c7532p-9, -0x1.61606d8f801dep-9, -0x1.560f03fa3d4b7p-9, -0x1.4b1977e5bf78p-9, -0x1.407d20cf6d83ep-9, -0x1.363766a6a5abbp-9, -0x1.2c45c18275153p-9, -0x1.22a5b957c5948p-9, -0x1.1954e5b007daap-9, -0x1.1050ed605cde1p-9, -0x1.079786414a5p-9, -0x1.fe4ce9ce01be1p-10, -0x1.edf718b46e317p-10, -0x1.de295ba341957p-10, -0x1.cedf90d8110adp-10, -0x1.c015b1d61f80fp-10, -0x1.b1c7d2dd37a5ep-10, -0x1.a3f22261e2dd6p-10, -0x1.9690e8870e239p-10, -0x1.89a086991738ap-10, -0x1.7d1d768a607cep-10, -0x1.71044a7154f7dp-10, -0x1.6551ac07f7904p-10, -0x1.5a025c2d00d62p-10, -0x1.4f13326685bc6p-10, -0x1.44811c6634c64p-10, -0x1.3a491d8f30691p-10, -0x1.30684e7d81013p-10, -0x1.26dbdc8f23fc1p-10, -0x1.1da1096ec5b9p-10, -0x1.14b52aa0189ecp-10, -0x1.0c15a90dda494p-10, -0x1.03c0009976eeep-10, -0x1.f7637f58c1abdp-11, -0x1.e7d10d961dcccp-11, -0x1.d8c410534a8d8p-11, -0x1.ca380e8497ad7p-11, -0x1.bc28b0da5efc5p-11, -0x1.ae91c0f45ea78p-11, -0x1.a16f289868825p-11, -0x1.94bcf0ec67305p-11, -0x1.887741b3b2e37p-11, -0x1.7c9a608fb77b4p-11, -0x1.7122b043e4d04p-11, -0x1.660caffce87efp-11, -0x1.5b54fa9b2b90bp-11, -0x1.50f846008ff5bp-11, -0x1.46f3626169879p-11, -0x1.3d433998ab617p-11, -0x1.33e4ce7f4664fp-11, -0x1.2ad53c46b2d8fp-11, -0x1.2211b5d69be53p-11, -0x1.1997852daa38cp-11, -0x1.11640ac56584ep-11, -0x1.0974bcf9243eap-11, -0x1.01c72770060c6p-11, -0x1.f4b1d513d9e0cp-12, -0x1.e64f759ee2453p-12, -0x1.d862c0c98b629p-12, -0x1.cae76cff0c80ep-12, -0x1.bdd955beccf3cp-12, -0x1.b1347a9370bd7p-12, -0x1.a4f4fe0f8ad9cp-12, -0x1.991724cfd61d9p-12, -0x1.8d975482f1f77p-12, -0x1.827212f687248p-12, -0x1.77a40529c50adp-12, -0x1.6d29ee652627cp-12, -0x1.6300af57698f2p-12, -0x1.59254537ad378p-12, -0x1.4f94c8ec97f52p-12, -0x1.464c6e387e6dcp-12, -0x1.3d4982ea75814p-12, -0x1.34896e14363bcp-12, -0x1.2c09af44c881bp-12, -0x1.23c7ddc7ded85p-12, -0x1.1bc1a7e9cfec8p-12, -0x1.13f4d240183a7p-12, -0x1.0c5f36f658201p-12, -0x1.04fec51fb26e6p-12, -0x1.fba3001904099p-13, -0x1.edaafd48925f7p-13, -0x1.e011d587a3933p-13, -0x1.d2d4013ec9ca4p-13, -0x1.c5ee1c521648cp-13, -0x1.b95ce4f58124bp-13, -0x1.ad1d3a8913f57p-13, -0x1.a12c1c7cb62cfp-13, -0x1.9586a93b7712cp-13, -0x1.8a2a1d1e293e6p-13, -0x1.7f13d16535724p-13, -0x1.74413b39799acp-13, -0x1.69afeab41805cp-13, -0x1.5f5d89ed0b963p-13, -0x1.5547dc1067bb4p-13, -0x1.4b6cbc7a1388ap-13, -0x1.41ca1dd7f09ep-13, -0x1.385e09523d3c8p-13, -0x1.2f269dba13ce8p-13, -0x1.26220ebdecde6p-13, -0x1.1d4ea423fcbfdp-13, -0x1.14aab90a4ab14p-13, -0x1.0c34bb2c6af24p-13, -0x1.03eb2a2eb5f8cp-13, -0x1.f7992dddade32p-14, -0x1.e7af45b34d795p-14, -0x1.d815fe8c3c824p-14, -0x1.c8cad9aaa52b5p-14, -0x1.b9cb75aeaded2p-14, -0x1.ab158d69cbd23p-14, -0x1.9ca6f6bb7aecdp-14, -0x1.8e7da17706df8p-14, -0x1.80979652508f1p-14, -0x1.72f2f5dd3bc6fp-14, -0x1.658df7819f882p-14, -0x1.5866e88b7f5b2p-14, -0x1.4b7c2b39593ap-14, -0x1.3ecc35d4565a9p-14, -0x1.325591d02a998p-14, -0x1.2616daf273b1ap-14, -0x1.1a0ebe8164003p-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.d6f7a0ea1c9e3p-1, 0x1.d4b6cb7c26da2p-1, 0x1.d26e8a20868adp-1, 0x1.d01ff943b14ecp-1, 0x1.cdcc142cb41b5p-1, 0x1.cb73b6bb4bcafp-1, 0x1.c9179f49a5275p-1, 0x1.c6b870a4a0d07p-1, 0x1.c456b40fa429dp-1, 0x1.c1f2db4ae756cp-1, 0x1.bf8d4294e1bap-1, 0x1.bd2632a0ee06ap-1, 0x1.babde27e7b97dp-1, 0x1.b854796d3caf3p-1, 0x1.b5ea109bad2edp-1, 0x1.b37eb4ce10389p-1, 0x1.b11267ecb3ea2p-1, 0x1.aea52278caa07p-1, 0x1.ac36d4e7a8109p-1, 0x1.a9c768e482503p-1, 0x1.a756c2792dfe5p-1, 0x1.a4e4c11e79277p-1, 0x1.a27140b506bc2p-1, 0x1.9ffc1a679f925p-1, 0x1.9d8525780b9a9p-1, 0x1.9b0c37f79bee5p-1, 0x1.9891276c8b117p-1, 0x1.9613c96566625p-1, 0x1.9393f3fbae351p-1, 0x1.91117e46d8547p-1, 0x1.8e8c40c0d684p-1, 0x1.8c04159d3812ep-1, 0x1.8978d913fbca3p-1, 0x1.86ea69a10b5e7p-1, 0x1.8458a8395c64ap-1, 0x1.81c378769bb78p-1, 0x1.7f2ac0ba3c8f3p-1, 0x1.7c8e6a48bae3p-1, 0x1.79ee615dcbfeap-1, 0x1.774a953a33604p-1, 0x1.74a2f82bddf09p-1, 0x1.71f77f90e13fep-1, 0x1.6f4823d5e6063p-1, 0x1.6c94e070878e9p-1, 0x1.69ddb3d61b48dp-1, 0x1.67229f6f51889p-1, 0x1.6463a78913808p-1, 0x1.61a0d342fc5efp-1, 0x1.5eda2c7bc03bep-1, 0x1.5c0fbfbbd0721p-1, 0x1.59419c1e811e8p-1, 0x1.566fd339f1f7bp-1, 0x1.539a7905f175p-1, 0x1.50c1a3c211b22p-1, 0x1.4de56bdb1c21bp-1, 0x1.4b05ebd00f9a8p-1, 0x1.48234016cf021p-1, 0x1.453d8700a1c9p-1, 0x1.4254e09ea8c06p-1, 0x1.3f696ea65d443p-1, 0x1.3c7b54563833ep-1, 0x1.398ab65a9411bp-1, 0x1.3697bab2dd331p-1, 0x1.33a2889722b2ep-1, 0x1.30ab485e15c78p-1, 0x1.2db22363843e3p-1, 0x1.2ab743ef5adccp-1, 0x1.27bad51d375c1p-1, 0x1.24bd02c4928e5p-1, 0x1.21bdf9618c971p-1, 0x1.1ebde5fe5bdd6p-1, 0x1.1bbcf61d67f48p-1, 0x1.18bb57a4115cfp-1, 0x1.15b938c62a12p-1, 0x1.12b6c7f221c1p-1, 0x1.0fb433bde5387p-1, 0x1.0cb1aad472d23p-1, 0x1.09af5be42410bp-1, 0x1.06ad758daca77p-1, 0x1.03ac2653cb32p-1, 0x1.00ab9c8baf564p-1, 0x1.fb580c9c1d729p-2, 0x1.f55b22d1d430ap-2, 0x1.ef60d6a3fd92ap-2, 0x1.e9698233c7122p-2, 0x1.e3757ebf962f8p-2, 0x1.dd85248bdc5c2p-2, 0x1.d798cacd2b125p-2, 0x1.d1b0c7938495bp-2, 0x1.cbcd6fb6e80a9p-2, 0x1.c5ef16c5051a4p-2, 0x1.c0160ef021b17p-2, 0x1.ba42a8ff17765p-2, 0x1.b475343e74d55p-2, 0x1.aeadfe72a904bp-2, 0x1.a8ed53cb3e82p-2, 0x1.a3337ed71bb04p-2, 0x1.9d80c879b9bf9p-2, 0x1.97d577e155649p-2, 0x1.9231d27e0b4bcp-2, 0x1.8c961bf9d85e4p-2, 0x1.870296317a542p-2, 0x1.8177812e2593fp-2, 0x1.7bf51b200bfb8p-2, 0x1.767ba059a83fap-2, 0x1.710b4b4bd016ep-2, 0x1.6ba4548278f3bp-2, 0x1.6646f2a234959p-2, 0x1.60f35a6657cdcp-2, 0x1.5ba9be9fc46fbp-2, 0x1.566a503453c84p-2, 0x1.51353e1ed62d2p-2, 0x1.4c0ab56fa5e1fp-2, 0x1.46eae14dc3a5fp-2, 0x1.41d5eaf8748f5p-2, 0x1.3ccbf9c964b84p-2, 0x1.37cd33373a132p-2, 0x1.32d9bad8a0303p-2, 0x1.2df1b267bbcf1p-2, 0x1.291539c6086e5p-2, 0x1.24446f0095bb4p-2, 0x1.1f7f6e54a00c6p-2, 0x1.1ac6523481b2cp-2, 0x1.1619334cf537fp-2, 0x1.1178288aa2d0ep-2, 0x1.0ce3471ff9057p-2, 0x1.085aa28b443cep-2, 0x1.03de4c9d0761p-2, 0x1.fedcaafd1fc28p-3, 0x1.f615977178939p-3, 0x1.ed677875ef422p-3, 0x1.e4d264c4bfbedp-3, 0x1.dc5670022f00cp-3, 0x1.d3f3aacb7aafp-3, 0x1.cbaa22c60ba37p-3, 0x1.c379e2aee51f8p-3, 0x1.bb62f26a4e0e4p-3, 0x1.b3655713a47f7p-3, 0x1.ab81130d61839p-3, 0x1.a3b62611392d7p-3, 0x1.9c048d405ea41p-3, 0x1.946c4333de328p-3, 0x1.8ced400d03a78p-3, 0x1.85877985d7949p-3, 0x1.7e3ae3019c8c8p-3, 0x1.77076d9d560f5p-3, 0x1.6fed084044e78p-3, 0x1.68eb9fac6c53ap-3, 0x1.62031e8efb09cp-3, 0x1.5b336d90b5fd9p-3, 0x1.547c736648c2bp-3, 0x1.4dde14e07f10cp-3, 0x1.475834fc70346p-3, 0x1.40eab4f37be18p-3, 0x1.3a95744b3d59p-3, 0x1.345850e548e5fp-3, 0x1.2e33270ecef81p-3, 0x1.2825d1901423bp-3, 0x1.223029bbc26e5p-3, 0x1.1c52077e06b52p-3, 0x1.168b416b84bc9p-3, 0x1.10dbacd01ca0dp-3, 0x1.0b431dbd7557bp-3, 0x1.05c167195cf96p-3, 0x1.00565aabe7f2ap-3, 0x1.f603925ac6b37p-4, 0x1.eb8704a811a18p-4, 0x1.e136a9c2eb6b8p-4, 0x1.d7121d5fdcda9p-4, 0x1.cd18f97ebbe53p-4, 0x1.c34ad68438753p-4, 0x1.b9a74b52efcb5p-4, 0x1.b02ded63f6aabp-4, 0x1.a6de50def2ed2p-4, 0x1.9db808b1a85aep-4, 0x1.94baa6a70e3bap-4, 0x1.8be5bb7de0f6fp-4, 0x1.8338d6feae00bp-4, 0x1.7ab38811622abp-4, 0x1.72555cd253233p-4, 0x1.6a1de2a6c74c9p-4, 0x1.620ca650f9a3bp-4, 0x1.5a2134039d673p-4, 0x1.525b1774dda06p-4, 0x1.4ab9dbf0dbe63p-4, 0x1.433d0c6baee0fp-4, 0x1.3be43392deccp-4, 0x1.34aedbde63a7ep-4, 0x1.2d9c8fa123b48p-4, 0x1.26acd918f5307p-4, 0x1.1fdf427e216e9p-4, 0x1.193356126f0fep-4, 0x1.12a89e2fae474p-4, 0x1.0c3ea555cf3fep-4, 0x1.05f4f6387e6bcp-4, 0x1.ff96379896f7dp-5, 0x1.f38142a6b43fcp-5, 0x1.e7aa24d3434f2p-5, 0x1.dc0ff6216ef58p-5, 0x1.d0b1cf7657ee7p-5, 0x1.c58ecaaeefe69p-5, 0x1.baa602b4f7e54p-5, 0x1.aff693932c4fp-5, 0x1.a57f9a889c0adp-5, 0x1.9b40361b2f026p-5, 0x1.913786296523dp-5, 0x1.8764abfb478efp-5, 0x1.7dc6ca529b69dp-5, 0x1.745d057a51156p-5, 0x1.6b26835535bdp-5, 0x1.62226b6bef58fp-5, 0x1.594fe6fa41617p-5, 0x1.50ae20fb9f795p-5, 0x1.483c46371736p-5, 0x1.3ff9854a89a19p-5, 0x1.37e50eb546c21p-5, 0x1.2ffe14e200992p-5, 0x1.2843cc30256f8p-5, 0x1.20b56afc9cdbp-5, 0x1.195229a9f049bp-5, 0x1.121942a7e07b5p-5, 0x1.0b09f27a6c7b4p-5, 0x1.042377c04eae9p-5, 0x1.faca2671e2071p-6, 0x1.ed9c0f93be9acp-6, 0x1.e0bb350774827p-6, 0x1.d426254d57932p-6, 0x1.c7db734ccdc75p-6, 0x1.bbd9b65b5fb93p-6, 0x1.b01f8a42e6865p-6, 0x1.a4ab8f46e1ab3p-6, 0x1.997c6a28f4d65p-6, 0x1.8e90c42c99a9cp-6, 0x1.83e74b1a0a58p-6, 0x1.797eb1406954ep-6, 0x1.6f55ad77315ccp-6, 0x1.656afb1ef2bf4p-6, 0x1.5bbd5a216009ep-6, 0x1.524b8ef0b554dp-6, 0x1.491462867f1efp-6, 0x1.4016a261c8764p-6, 0x1.37512084ab806p-6, 0x1.2ec2b3715db83p-6, 0x1.266a3626ab354p-6, 0x1.1e46881bf12dp-6, 0x1.16568d3c96fa3p-6, 0x1.0e992de313076p-6, 0x1.070d56d375494p-6, 0x1.ff63f26b10562p-7, 0x1.f10c151d0a3ap-7, 0x1.e3110974ca6b8p-7, 0x1.d570cbc9a1715p-7, 0x1.c829610363714p-7, 0x1.bb38d68aee6dap-7, 0x1.ae9d4239f5545p-7, 0x1.a254c24a41217p-7, 0x1.965d7d4452fap-7, 0x1.8ab5a1ed879cp-7, 0x1.7f5b6735a2cfdp-7, 0x1.744d0c23f9bd9p-7, 0x1.6988d7c41085cp-7, 0x1.5f0d1911df2fdp-7, 0x1.54d826e5a0604p-7, 0x1.4ae85fdf52a74p-7, 0x1.413c2a51d0417p-7, 0x1.37d1f42daa303p-7, 0x1.2ea832eba6b78p-7, 0x1.25bd6377066f4p-7, 0x1.1d100a1787e3ep-7, 0x1.149eb25b33334p-7, 0x1.0c67eefff2b7p-7, 0x1.046a59dcfeedcp-7, 0x1.f949279845696p-8, 0x1.ea2a8925b739dp-8, 0x1.db763596bc37dp-8, 0x1.cd29979afe8c1p-8, 0x1.bf42272f14421p-8, 0x1.b1bd696e0ca7p-8, 0x1.a498f062e2137p-8, 0x1.97d25ad9df99cp-8, 0x1.8b675431fdb38p-8, 0x1.7f55942e400e8p-8, 0x1.739adec719436p-8, 0x1.683503fbe047cp-8, 0x1.5d21dfa4570b9p-8, 0x1.525f594250557p-8, 0x1.47eb63d37524ep-8, 0x1.3dc3fda33495bp-8, 0x1.33e7301cde436p-8, 0x1.2a530f9df1506p-8, 0x1.2105bb48a3ffcp-8, 0x1.17fd5cd6a6b3bp-8, 0x1.0f38286c2a31cp-8, 0x1.06b45c6b2a04dp-8, 0x1.fce0828e091dfp-9, 0x1.ecd452b0bb65dp-9, 0x1.dd40e162ac6c8p-9, 0x1.ce22f9e42fbb3p-9, 0x1.bf777a3b76154p-9, 0x1.b13b52df0faa5p-9, 0x1.a36b8661310f7p-9, 0x1.9605291bb830cp-9, 0x1.890560dcfbeb6p-9, 0x1.7c6964956d12ep-9, 0x1.702e7c060580cp-9, 0x1.6451ff6f94f14p-9, 0x1.58d15742e2abap-9, 0x1.4da9fbd1b3295p-9, 0x1.42d97500ae5adp-9, 0x1.385d59fa2a7b8p-9, 0x1.2e3350e1e2357p-9, 0x1.24590e8990745p-9, 0x1.1acc56267ffa4p-9, 0x1.118af90802e3fp-9, 0x1.0892d64ee2ffep-9, 0x1.ffc3b54b778a8p-10, 0x1.eeebfff4a21d2p-10, 0x1.de9a9a6fa6ca2p-10, 0x1.cecbac043c7ddp-10, 0x1.bf7b74e3d76p-10, 0x1.b0a64da3ff9aap-10, 0x1.a248a6ba9424bp-10, 0x1.945f07fbfab3p-10, 0x1.86e6101b4b6fcp-10, 0x1.79da742c58f4bp-10, 0x1.6d38ff27b52c1p-10, 0x1.60fe91709a563p-10, 0x1.5528205cc7f3ep-10, 0x1.49b2b5be40743p-10, 0x1.3e9b6f6ef8876p-10, 0x1.33df7ede6734ep-10, 0x1.297c28a0fb34p-10, 0x1.1f6ec40178e8dp-10, 0x1.15b4ba942ba08p-10, 0x1.0c4b87cbfaf16p-10, 0x1.0330b891596dfp-10, 0x1.f4c3d5b6125edp-11, 0x1.e3b99a915bc2ap-11, 0x1.d33e3d7e677a9p-11, 0x1.c34d5c0dfdee9p-11, 0x1.b3e2b2d7c6fbbp-11, 0x1.a4fa1cbdbdf2cp-11, 0x1.968f92332641cp-11, 0x1.889f2886f465fp-11, 0x1.7b251131a510ap-11, 0x1.6e1d992677049p-11, 0x1.61852828015cbp-11, 0x1.555840201afa2p-11, 0x1.49937c7b09a47p-11, 0x1.3e339185efda7p-11, 0x1.33354bd070c4ap-11, 0x1.28958f917cc69p-11, 0x1.1e51580f40d52p-11, 0x1.1465b70a2bba2p-11, 0x1.0acfd42b007f6p-11, 0x1.018cec73eaf64p-11, 0x1.f134a36916aa2p-12, 0x1.dfead401e368p-12, 0x1.cf375e56f6e95p-12, 0x1.bf155c8311566p-12, 0x1.af800e1602dbcp-12, 0x1.a072d7193bf81p-12, 0x1.91e93f19d1e68p-12, 0x1.83def037dd7c8p-12, 0x1.764fb63b259bcp-12, 0x1.69377dacfce85p-12, 0x1.5c9252f73a70cp-12, 0x1.505c61884037fp-12, 0x1.4491f2fbf342ap-12, 0x1.392f6e499563fp-12, 0x1.2e3156f668ebdp-12, 0x1.23944c4d0ad89p-12, 0x1.195508996e61ap-12, 0x1.0f7060696a181p-12, 0x1.05e341d1b5bc7p-12, 0x1.f955676eaedfdp-13, 0x1.e787aa3ab058bp-13, 0x1.d657b8ed7c514p-13, 0x1.c5c02df95245p-13, 0x1.b5bbd01110e45p-13, 0x1.a64590e4a9adcp-13, 0x1.97588be569873p-13, 0x1.88f00512053b1p-13, 0x1.7b0767ca2c994p-13, 0x1.6d9a45a995d25p-13, 0x1.60a4556a4b027p-13, 0x1.542171ce1dff4p-13, 0x1.480d988f1ac7bp-13, 0x1.3c64e956d48dfp-13, 0x1.3123a4bc7255bp-13, 0x1.26462b4947d04p-13, 0x1.1bc8fc83e78bbp-13, 0x1.11a8b60188a06p-13, 0x1.07e2127d94a13p-13, 0x1.fce3d1ee93fa6p-14, 0x1.eaaa57aa99fdcp-14, 0x1.d911d01e06c13p-14, 0x1.c81488b7397bfp-14, 0x1.b7ad00cd62b9cp-14, 0x1.a7d5e8148b886p-14, 0x1.988a1d1c53e11p-14, 0x1.89c4abd9081a7p-14, 0x1.7b80cc36ec9afp-14, 0x1.6db9e0b77592cp-14, 0x1.606b75183904fp-14, 0x1.53913d0360c2ap-14, 0x1.472712c964dbap-14, 0x1.3b28f623d8d5ap-14, 0x1.2f930b0115155p-14, 0x1.24619858880c3p-14, 0x1.199107077cbb9p-14, 0x1.0f1de0b62167cp-14, 0x1.0504cec49e339p-14, 0x1.f685328014eedp-15, 0x1.e3a84bbe1cc4dp-15, 0x1.d16cee0c0c0b8p-15, 0x1.bfcd55a4e2bd8p-15, 0x1.aec3f45b131edp-15, 0x1.9e4b6fcb942f2p-15, 0x1.8e5e9f9e88878p-15, 0x1.7ef88bd523e3ap-15, 0x1.70146b247658cp-15, 0x1.61ada15cd07cdp-15, 0x1.53bfbddd69a91p-15, 0x1.46467a13fbf6ep-15, 0x1.393db80806579p-15, 0x1.2ca180f168641p-15, 0x1.206e03da0ec38p-15, 0x1.149f944a61f74p-15, 0x1.0932a90035fc2p-15, 0x1.fc47b55fdee5ap-16, 0x1.e6dfc59f30d3ep-16, 0x1.d22734d754213p-16, 0x1.be17f20a7538cp-16, 0x1.aaac26f2bc0d6p-16, 0x1.97de35e2dbf25p-16, 0x1.85a8b7b80954p-16, 0x1.740679dcc8d02p-16, 0x1.62f27c5c37d4ap-16, 0x1.5267f0054526p-16, 0x1.4262349d746a9p-16, 0x1.32dcd722c0a4dp-16, 0x1.23d3901c22651p-16, 0x1.154241f8661bbp-16, 0x1.0724f77ad191p-16, 0x1.f2efc46a9c94bp-17, 0x1.d86eb21f410b2p-17, 0x1.bebfadb6aa195p-17, 0x1.a5dbf1e8179c1p-17, 0x1.8dbcfbd76c0b3p-17, 0x1.765c8884f72a4p-17, 0x1.5fb49253d8109p-17, 0x1.49bf4ea643d58p-17, 0x1.34772b8f14a7bp-17, 0x1.1fd6cd97febf6p-17, 0x1.0bd90d9bc629dp-17, 0x1.f0f1ed67c3fc3p-18, 0x1.cb638871e5913p-18, 0x1.a6fdbfaaf81edp-18, 0x1.83b7bf54a0c61p-18, 0x1.618909084a1c9p-18, 0x1.406970438e73ep-18, 0x1.20511714d81c1p-18, 0x1.01386ae73a46bp-18, 0x1.c63042d90c1cap-19, 0x1.8bd26b494efd6p-19, 0x1.5349ca02b9abp-19, 0x1.1c89594ac235ep-19, 0x1.cf091af8a751bp-20, 0x1.685e9fdd65367p-20, 0x1.04fbf41c54331p-20, 0x1.4995429360d9p-21, 0x1.1ed3fa90742dbp-22, -0x1.259d7a28edeadp-24, -0x1.a5d8231589e6bp-22, -0x1.7b660ef083bf2p-21, -0x1.0f2399a27631ap-20, -0x1.5dd9dfca9c971p-20, -0x1.a9e75c36a165cp-20, -0x1.f35cf9c257191p-20, -0x1.1d25893798438p-19, -0x1.3f60bad7c972ap-19, -0x1.6067b7380aa5bp-19, -0x1.8041e4707f267p-19, -0x1.9ef66c0120a3p-19, -0x1.bc8c3d7a113b7p-19, -0x1.d90a1107498dep-19, -0x1.f47669e0b244ep-19, -0x1.076bcc4fcfa71p-18, -0x1.1419debd516fdp-18, -0x1.20486534557ddp-18, -0x1.2bfa429626dd9p-18, -0x1.373244a412985p-18, -0x1.41f324ee8a64dp-18, -0x1.4c3f89b9a5021p-18, -0x1.561a06d763b5cp-18, -0x1.5f851e781d7dp-18, -0x1.688341f171ee4p-18, -0x1.7116d27c1f2c3p-18, -0x1.794221e915692p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.3691ff9b1432bp-6, -0x1.52d08b9679e44p-6, -0x1.6f75ef2c76211p-6, -0x1.8c5a73bed0e94p-6, -0x1.a955ece08abb8p-6, -0x1.c64006503726cp-6, -0x1.e2f08c2a3798ap-6, -0x1.ff3fad05093d4p-6, -0x1.0d831aeba29a8p-5, -0x1.1b0ee3d5bc244p-5, -0x1.283083a112bc9p-5, -0x1.34d5e36bdb126p-5, -0x1.40ed9529a6394p-5, -0x1.4c66e316dbabp-5, -0x1.5731dcb316d3ep-5, -0x1.613f616ec9e6dp-5, -0x1.6a812938eaed9p-5, -0x1.72e9cb18f48bap-5, -0x1.7a6cc20054f96p-5, -0x1.80fe6ffcdc60dp-5, -0x1.86941ff3d1a66p-5, -0x1.8b24060b4befep-5, -0x1.8ea53ee556a83p-5, -0x1.910fcdce2624ap-5, -0x1.925c99fc93a3bp-5, -0x1.92856b01e1f4cp-5, -0x1.9184e483c7f16p-5, -0x1.8f568159b4255p-5, -0x1.8bf68e244da13p-5, -0x1.87622374527ffp-5, -0x1.81971f9430e7dp-5, -0x1.7a942005f05b9p-5, -0x1.72587ac5669b7p-5, -0x1.68e4375d18b6ep-5, -0x1.5e3807dab9465p-5, -0x1.525541aeb6a81p-5, -0x1.453dd6811622dp-5, -0x1.36f44d04821dbp-5, -0x1.277bb9cf61a4ap-5, -0x1.16d7b841b2171p-5, -0x1.050c637d6a819p-5, -0x1.e43c9eec94107p-6, -0x1.bc25043a4cb6dp-6, -0x1.91dcd9543834fp-6, -0x1.656fca10a4cdap-6, -0x1.36ea3ecb07cep-6, -0x1.06594fcdde6dfp-6, -0x1.a7957213c876cp-7, -0x1.3e999c38ab112p-7, -0x1.a3b9ba95916a9p-8, -0x1.85f7d77ba0ee9p-9, 0x1.2636e31587745p-11, 0x1.134d9a6ad644bp-8, 0x1.042ae472e9003p-7, 0x1.81cdc4531d5dbp-7, 0x1.013671f947221p-6, 0x1.42f29a0a28e4fp-6, 0x1.860998bd83806p-6, 0x1.ca697b54c0a15p-6, 0x1.080013434402fp-5, 0x1.2b5daf64dd516p-5, 0x1.4f44682b9cf08p-5, 0x1.73ab0b71b6de2p-5, 0x1.9888628838a14p-5, 0x1.bdd335cce83f7p-5, 0x1.e382501d50e28p-5, 0x1.04c64113b4c5fp-4, 0x1.17f452cc1ba65p-4, 0x1.2b46d01467497p-4, 0x1.3eb93345080c4p-4, 0x1.5246ff97bf835p-4, 0x1.65ebc27cc6c6dp-4, 0x1.79a314dfdfff1p-4, 0x1.8d689c5d800e1p-4, 0x1.a1380c6842d2ep-4, 0x1.b50d275edba3ap-4, 0x1.c8e3bf92b0c96p-4, 0x1.dcb7b83f62ba9p-4, 0x1.f08506736d2dp-4, 0x1.0223d8f50c59ep-3, 0x1.0bfdeaeb860a4p-3, 0x1.15ced0d1d1229p-3, 0x1.1f94accf32e9dp-3, 0x1.294dabce6df8ap-3, 0x1.32f805c7f9c8fp-3, 0x1.3c91fe05b5a6ep-3, 0x1.4619e3602fa4dp-3, 0x1.4f8e1075ba80bp-3, 0x1.58ecebdb6bfd9p-3, 0x1.6234e848316dfp-3, 0x1.6b6484ba2e555p-3, 0x1.747a4c967f843p-3, 0x1.7d74d7c3a5877p-3, 0x1.8652cabeaaa73p-3, 0x1.8f12d6ab49f21p-3, 0x1.97b3b95f353c7p-3, 0x1.a0343d68adfa5p-3, 0x1.a8933a109eaffp-3, 0x1.b0cf935868e03p-3, 0x1.b8e839f389c53p-3, 0x1.c0dc2b3d5529cp-3, 0x1.c8aa712adfe45p-3, 0x1.d05222395b0bdp-3, 0x1.d7d2615904d7cp-3, 0x1.df2a5dd4d41c9p-3, 0x1.e65953371db9ep-3, 0x1.ed5e892b49168p-3, 0x1.f439535cccd75p-3, 0x1.fae911539eea6p-3, 0x1.00b697271925p-2, 0x1.03e2908c9c806p-2, 0x1.06f835f2a57d2p-2, 0x1.09f74e0d4c9adp-2, 0x1.0cdfa5156611ap-2, 0x1.0fb10cb0a018bp-2, 0x1.126b5bd8d5fc6p-2, 0x1.150e6ec2b57adp-2, 0x1.179a26c3bc906p-2, 0x1.1a0e6a37a53fdp-2, 0x1.1c6b24654a554p-2, 0x1.1eb0456318eefp-2, 0x1.20ddc1fb16451p-2, 0x1.22f3938e8dec9p-2, 0x1.24f1b7f96cf9fp-2, 0x1.26d8317561c4fp-2, 0x1.28a7067cbe89fp-2, 0x1.2a5e41ad38dcp-2, 0x1.2bfdf1aa81119p-2, 0x1.2d862900ca4c6p-2, 0x1.2ef6fe0743fdcp-2, 0x1.30508ac28e949p-2, 0x1.3192ecc73b2a2p-2, 0x1.32be451c5389cp-2, 0x1.33d2b81dfdeep-2, 0x1.34d06d603b211p-2, 0x1.35b78f91c9ff9p-2, 0x1.36884c5f37d6fp-2, 0x1.3742d45622778p-2, 0x1.37e75ac8adba3p-2, 0x1.387615b13ef58p-2, 0x1.38ef3d96712d8p-2, 0x1.39530d6f586ecp-2, 0x1.39a1c2880b164p-2, 0x1.39db9c66814ep-2, 0x1.3a00dcafc3424p-2, 0x1.3a11c70d7342bp-2, 0x1.3a0ea113af68dp-2, 0x1.39f7b22754e12p-2, 0x1.39cd4364a4671p-2, 0x1.398f9f8646a12p-2, 0x1.393f12ccbe006p-2, 0x1.38dbeae63a428p-2, 0x1.386676d6da586p-2, 0x1.37df06e15b5e5p-2, 0x1.3745ec7033c63p-2, 0x1.369b79ff1e371p-2, 0x1.35e003051736ap-2, 0x1.3513dbdecc4b2p-2, 0x1.343759b97ad32p-2, 0x1.334ad27e47cf7p-2, 0x1.324e9cbe08b4ap-2, 0x1.31430f9d82fc1p-2, 0x1.302882c21eef2p-2, 0x1.2eff4e3f12f48p-2, 0x1.2dc7ca8302886p-2, 0x1.2c82504614d56p-2, 0x1.2b2f38787f68bp-2, 0x1.29cedc3188f82p-2, 0x1.2861949efef15p-2, 0x1.26e7baf521c8cp-2, 0x1.2561a85f06b62p-2, 0x1.23cfb5ef6d1cp-2, 0x1.22323c9204862p-2, 0x1.208994fd2c7bep-2, 0x1.1ed617a41e502p-2, 0x1.1d181ca98fe3fp-2, 0x1.1b4ffbd2c30a8p-2, 0x1.197e0c7b03c24p-2, 0x1.17a2a58798566p-2, 0x1.15be1d5c1db1ep-2, 0x1.13d0c9cf4e20cp-2, 0x1.11db002038386p-2, 0x1.0fdd14ebdbc84p-2, 0x1.0dd75c23328b9p-2, 0x1.0bca29019d213p-2, 0x1.09b5ce03bca53p-2, 0x1.079a9cdeaad9ap-2, 0x1.0578e67799a99p-2, 0x1.0350fadbd5a14p-2, 0x1.0123293925a2ep-2, 0x1.fddf7fad1ea6p-3, 0x1.f96e181ae8b73p-3, 0x1.f4f2b48620e2bp-3, 0x1.f06debc49cdbp-3, 0x1.ebe052abf468ap-3, 0x1.e74a7c06919e4p-3, 0x1.e2acf8896bb1cp-3, 0x1.de0856ca6f1dbp-3, 0x1.d95d2337895e1p-3, 0x1.d4abe80e58493p-3, 0x1.cff52d547518bp-3, 0x1.cb3978d065b1dp-3, 0x1.c6794e0318e84p-3, 0x1.c1b52e22049a4p-3, 0x1.bced9811cb41bp-3, 0x1.b82308617d36ep-3, 0x1.b355f94657bbdp-3, 0x1.ae86e2981529dp-3, 0x1.a9b639cdbe6cep-3, 0x1.a4e471faff8f1p-3, 0x1.a011fbcdf92bp-3, 0x1.9b3f458d8d03dp-3, 0x1.966cbb18215c6p-3, 0x1.919ac5e2d94b9p-3, 0x1.8cc9ccf93da73p-3, 0x1.87fa34fd55a53p-3, 0x1.832c602822e2p-3, 0x1.7e60ae4a8c3bcp-3, 0x1.79977ccea96ebp-3, 0x1.74d126b96e931p-3, 0x1.700e04acb3f68p-3, 0x1.6b4e6ce99c133p-3, 0x1.6692b3534d182p-3, 0x1.61db2971ffc3p-3, 0x1.5d281e765f271p-3, 0x1.5879df3d36bccp-3, 0x1.53d0b6536a54cp-3, 0x1.4f2cebfa37edcp-3, 0x1.4a8ec62bbaa21p-3, 0x1.45f6889fb3f32p-3, 0x1.416474d0954b5p-3, 0x1.3cd8ca00bd659p-3, 0x1.3853c53ff96fcp-3, 0x1.33d5a1713a126p-3, 0x1.2f5e975078d9ap-3, 0x1.2aeedd78d183cp-3, 0x1.2686a86ace541p-3, 0x1.22262a92db19ap-3, 0x1.1dcd944fe5127p-3, 0x1.197d13fa1edeap-3, 0x1.1534d5e9f1502p-3, 0x1.10f5047f04db3p-3, 0x1.0cbdc82771bbp-3, 0x1.088f47670edf9p-3, 0x1.0469a6ded6d8cp-3, 0x1.004d09546aaap-3, 0x1.f8731f7356f8dp-4, 0x1.f05eb268d65eap-4, 0x1.e85d064c55f88p-4, 0x1.e06e5267e1f25p-4, 0x1.d892ca9c52142p-4, 0x1.d0ca9f712ed4ep-4, 0x1.c915fe24a8049p-4, 0x1.c17510bb97c7p-4, 0x1.b9e7fe11aa7ffp-4, 0x1.b26ee9e97c314p-4, 0x1.ab09f4fcd1fefp-4, 0x1.a3b93d0ccae6fp-4, 0x1.9c7cdcf21cca1p-4, 0x1.9554ecad4f57bp-4, 0x1.8e418176f5ec4p-4, 0x1.8742adcfdd784p-4, 0x1.80588191381ebp-4, 0x1.798309fcbbfbp-4, 0x1.72c251ccb2c6fp-4, 0x1.6c166143fb3f8p-4, 0x1.657f3e3df7306p-4, 0x1.5efcec3e64909p-4, 0x1.588f6c8120195p-4, 0x1.5236be09ce88dp-4, 0x1.4bf2ddb36b54p-4, 0x1.45c3c63fb88f6p-4, 0x1.3fa9706692b19p-4, 0x1.39a3d2e521542p-4, 0x1.33b2e28ce687ap-4, 0x1.2dd69252aa70ep-4, 0x1.280ed35d4140ep-4, 0x1.225b9514296aap-4, 0x1.1cbcc52e02caep-4, 0x1.17324fbedb96ep-4, 0x1.11bc1f46525f4p-4, 0x1.0c5a1cbd8be99p-4, 0x1.070c2fa4fd104p-4, 0x1.01d23e1204c7bp-4, 0x1.f9585978b0cc9p-5, 0x1.ef33be167fcc2p-5, 0x1.e5366e4542216p-5, 0x1.db602bdfb16b2p-5, 0x1.d1b0b66cc5957p-5, 0x1.c827cb389e5edp-5, 0x1.bec5256d04b7bp-5, 0x1.b5887e298835bp-5, 0x1.ac718c9b2e0bfp-5, 0x1.a3800613bc17bp-5, 0x1.9ab39e209733bp-5, 0x1.920c06a1347a3p-5, 0x1.8988efdd247d2p-5, 0x1.812a0899ade87p-5, 0x1.78eefe2efde14p-5, 0x1.70d77c9cecbc6p-5, 0x1.68e32e9f56559p-5, 0x1.6111bdc20338cp-5, 0x1.5962d27428f17p-5, 0x1.51d6141b7d47ep-5, 0x1.4a6b2926da4f8p-5, 0x1.4321b7207b044p-5, 0x1.3bf962bfc8b92p-5, 0x1.34f1cffac0612p-5, 0x1.2e0aa216eac69p-5, 0x1.27437bb9ec424p-5, 0x1.209bfef9a9231p-5, 0x1.1a13cd6c040cfp-5, 0x1.13aa883631bb5p-5, 0x1.0d5fd01ba5ad3p-5, 0x1.0733458c997bep-5, 0x1.012488b42dcf9p-5, 0x1.f666730c4a93fp-6, 0x1.eabdef987b43bp-6, 0x1.df4ec66648ef5p-6, 0x1.d41836ae15686p-6, 0x1.c9197f9faeff3p-6, 0x1.be51e079f4ed6p-6, 0x1.b3c098a1c145dp-6, 0x1.a964e7b814e66p-6, 0x1.9f3e0daf90ac9p-6, 0x1.954b4ae12f43p-6, 0x1.8b8be0205558bp-6, 0x1.81ff0ece2ae26p-6, 0x1.78a418ec48a8ep-6, 0x1.6f7a412eb69f9p-6, 0x1.6680cb0d4645bp-6, 0x1.5db6fad44153cp-6, 0x1.551c15b478acfp-6, 0x1.4caf61d2b00efp-6, 0x1.447026566ab8ep-6, 0x1.3c5dab782013bp-6, 0x1.34773a8ed58a7p-6, 0x1.2cbc1e1d1d932p-6, 0x1.252ba1dd8f9bep-6, 0x1.1dc512cea2578p-6, 0x1.1687bf3e01bfbp-6, 0x1.0f72f6d356f18p-6, 0x1.08860a9a86d1fp-6, 0x1.01c04d0d70a09p-6, 0x1.f642243a480bep-7, 0x1.e94f5e753c324p-7, 0x1.dca6f6be086e5p-7, 0x1.d0479e26d413ep-7, 0x1.c43008f0376c6p-7, 0x1.b85eee96f31d8p-7, 0x1.acd309e0bb1efp-7, 0x1.a18b18e828f49p-7, 0x1.9685dd27d52b9p-7, 0x1.8bc21b84a08d5p-7, 0x1.813e9c572b9f4p-7, 0x1.76fa2b74891a8p-7, 0x1.6cf3983632648p-7, 0x1.6329b58136ff7p-7, 0x1.599b59ccb7d59p-7, 0x1.50475f27b4015p-7, 0x1.472ca33e1b86fp-7, 0x1.3e4a075d4b0b2p-7, 0x1.359e7077d3897p-7, 0x1.2d28c728acb73p-7, 0x1.24e7f7b5c9c75p-7, 0x1.1cdaf2121a8acp-7, 0x1.1500a9defb542p-7, 0x1.0d58166d18f64p-7, 0x1.05e032bcce374p-7, 0x1.fd2ffafbfac96p-8, 0x1.eefcf21edab48p-8, 0x1.e12556fb54cdfp-8, 0x1.d3a73d02e795fp-8, 0x1.c680befb6c72cp-8, 0x1.b9affefa3368dp-8, 0x1.ad33265e4df79p-8, 0x1.a10865ca0c344p-8, 0x1.952df51bbbe67p-8, 0x1.89a21365a8845p-8, 0x1.7e6306e56cac9p-8, 0x1.736f1cfa94433p-8, 0x1.68c4aa1c9b95ep-8, 0x1.5e6209d0529p-8, 0x1.54459e9ca7a77p-8, 0x1.4a6dd1fee534dp-8, 0x1.40d9145e6496ep-8, 0x1.3785dcffbfdbfp-8, 0x1.2e72a9f788f9ep-8, 0x1.259e001c8965fp-8, 0x1.1d066af99476p-8, 0x1.14aa7cbeedf3ep-8, 0x1.0c88ce3350249p-8, 0x1.049ffea491448p-8, 0x1.f9dd67afe6529p-9, 0x1.eae733f43aa55p-9, 0x1.dc5ac71d98c78p-9, 0x1.ce3592c06c5a7p-9, 0x1.c07514dc58434p-9, 0x1.b316d7b9ff2adp-9, 0x1.a61871c85384cp-9, 0x1.997785798241ap-9, 0x1.8d31c11f767c4p-9, 0x1.8144dec80a65fp-9, 0x1.75aea418e3315p-9, 0x1.6a6ce22b057e9p-9, 0x1.5f7d7566287a9p-9, 0x1.54de455bd4129p-9, 0x1.4a8d44a2488d9p-9, 0x1.408870af3f4cbp-9, 0x1.36cdd1b289358p-9, 0x1.2d5b7a708d056p-9, 0x1.242f881cb1f08p-9, 0x1.1b482233bcbedp-9, 0x1.12a37a561e453p-9, 0x1.0a3fcc2244afep-9, 0x1.021b5d0ee72b6p-9, 0x1.f468f88ac3c18p-10, 0x1.e51304f82ce5bp-10, 0x1.d631a3a1c6007p-10, 0x1.c7c1ab475f532p-10, 0x1.b9c004e229ba6p-10, 0x1.ac29ab5a4913bp-10, 0x1.9efbab3ca7efcp-10, 0x1.923322712437ap-10, 0x1.85cd3ff109818p-10, 0x1.79c7437df77b9p-10, 0x1.6e1e7d5925c9fp-10, 0x1.62d04dfb187c1p-10, 0x1.57da25cbcab9bp-10, 0x1.4d3984db5789fp-10, 0x1.42ebfa9b15722p-10, 0x1.38ef25974c53ap-10, 0x1.2f40b33166032p-10, 0x1.25de5f5aba4p-10, 0x1.1cc5f44febe89p-10, 0x1.13f54a54de2e4p-10, 0x1.0b6a47714f4b3p-10, 0x1.0322df2e0f0b3p-10, 0x1.f63a24a5be3abp-11, 0x1.e6addd49f5312p-11, 0x1.d79d1d4c99d38p-11, 0x1.c90432aaaeff6p-11, 0x1.badf83db95dd9p-11, 0x1.ad2b8f53ab27p-11, 0x1.9fe4eb0853016p-11, 0x1.930843f57ae23p-11, 0x1.86925da493f1ap-11, 0x1.7a8011b507bb3p-11, 0x1.6ece4f662e26bp-11, 0x1.637a1b22c4461p-11, 0x1.58808e0de9606p-11, 0x1.4dded591a152ap-11, 0x1.439232eee221p-11, 0x1.3997facf2a062p-11, 0x1.2fed94d7a32c9p-11, 0x1.26907b3dd42cdp-11, 0x1.1d7e3a5ddc699p-11, 0x1.14b4705241b07p-11, 0x1.0c30cc8d49b99p-11, 0x1.03f10f73e31e3p-11, 0x1.f7e613f43950ap-12, 0x1.e8693a82533e6p-12, 0x1.d967746de77fap-12, 0x1.cadcc26e6e17cp-12, 0x1.bcc5435c58c7cp-12, 0x1.af1d337970aebp-12, 0x1.a1e0ebbc4ecc8p-12, 0x1.950ce11ed62efp-12, 0x1.889da3efbf18fp-12, 0x1.7c8fdf272361p-12, 0x1.70e057be07f8cp-12, 0x1.658bec08e905ap-12, 0x1.5a8f931534461p-12, 0x1.4fe85c09bb387p-12, 0x1.45936d8a0ccdfp-12, 0x1.3b8e051cb54e1p-12, 0x1.31d57694629f3p-12, 0x1.28672b7bd9953p-12, 0x1.1f40a284c8706p-12, 0x1.165f6ef95e39ap-12, 0x1.0dc13830ab7dcp-12, 0x1.0563b905c27eep-12, 0x1.fa897ea31ace6p-13, 0x1.eac456cea944ap-13, 0x1.db73df27e46aep-13, 0x1.cc941f3f44a88p-13, 0x1.be2140a4e095dp-13, 0x1.b0178df66ac47p-13, 0x1.a27371f243444p-13, 0x1.9531768f8e7c7p-13, 0x1.884e441b45a2ap-13, 0x1.7bc6a05a22307p-13, 0x1.6f976daf67f1dp-13, 0x1.63bdaa486c57dp-13, 0x1.58366f4cd6908p-13, 0x1.4cfef0137d5cap-13, 0x1.4214795bdb6f9p-13, 0x1.3774708c03d48p-13, 0x1.2d1c52f307093p-13, 0x1.2309b50fb8975p-13, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.881a67c4ed728p-4, -0x1.9ca0e73ac8a37p-4, -0x1.b0a20557d468cp-4, -0x1.c4174b32d410bp-4, -0x1.d6fd32555856dp-4, -0x1.e952deab847c4p-4, -0x1.fb19d4a38c768p-4, -0x1.062ad6f9c0d04p-3, -0x1.0e85e77bfe9eap-3, -0x1.16a18f16a7313p-3, -0x1.1e81df729a6fcp-3, -0x1.262b6805599cfp-3, -0x1.2da317c197cedp-3, -0x1.34ee2142ab54dp-3, -0x1.3c11e188f9b1bp-3, -0x1.4313c94be65d1p-3, -0x1.49f948d7e054p-3, -0x1.50c7be649b76p-3, -0x1.578466c79ff65p-3, -0x1.5e345061b87e4p-3, -0x1.64dc5021f498p-3, -0x1.6b80f876c3cdp-3, -0x1.7226920494655p-3, -0x1.78d115f958cdep-3, -0x1.7f8429d4fdc97p-3, -0x1.86431c8021e7bp-3, -0x1.8d10e48c0411cp-3, -0x1.93f01f78a5133p-3, -0x1.9ae311e03c04fp-3, -0x1.a1eba86968342p-3, -0x1.a90b7963eaec3p-3, -0x1.b043c6f600e3ap-3, -0x1.b79581c2bb19ap-3, -0x1.bf014bf401a6ep-3, -0x1.c6877c94f49d3p-3, -0x1.ce28232b709b5p-3, -0x1.d5e30b8157b46p-3, -0x1.ddb7c1900d17ep-3, -0x1.e5a5958223p-3, -0x1.edab9fc0d4538p-3, -0x1.f5c8c5041c8a2p-3, -0x1.fdfbba5dae4f8p-3, -0x1.0321849c058c8p-2, -0x1.074e89a205164p-2, -0x1.0b840b280a5edp-2, -0x1.0fc1180291cc1p-2, -0x1.1404b0c323f29p-2, -0x1.184dc97818c02p-2, -0x1.1c9b4b5b5905dp-2, -0x1.20ec166f6296p-2, -0x1.253f030a07f0cp-2, -0x1.2992e34c92a7bp-2, -0x1.2de6848920e4cp-2, -0x1.3238b0953627bp-2, -0x1.36882f0994c92p-2, -0x1.3ad3c66f9183fp-2, -0x1.3f1a3d5c2dfc9p-2, -0x1.435a5b794c849p-2, -0x1.4792ea7d6c603p-2, -0x1.4bc2b7125eb35p-2, -0x1.4fe891ab7726cp-2, -0x1.54034f4bb840cp-2, -0x1.5811ca3c8f375p-2, -0x1.5c12e2b5a47f4p-2, -0x1.60057f7659439p-2, -0x1.63e88e51858bep-2, -0x1.67bb04ac03cebp-2, -0x1.6b7bdfeea36cep-2, -0x1.6f2a25ec0d11cp-2, -0x1.72c4e53b2bdbap-2, -0x1.764b3586a95c8p-2, -0x1.79bc37d1fea0cp-2, -0x1.7d1716b4ab5f2p-2, -0x1.805b068c0b625p-2, -0x1.838745a455278p-2, -0x1.869b1c593085fp-2, -0x1.8995dd2e6b835p-2, -0x1.8c76e4e13591ep-2, -0x1.8f3d9a7254e18p-2, -0x1.91e96f29c7aefp-2, -0x1.9479de94301dfp-2, -0x1.96ee6e7a77b1bp-2, -0x1.9946aed40259bp-2, -0x1.9b8239b3d8dd7p-2, -0x1.9da0b3311a42ap-2, -0x1.9fa1c94b0a60fp-2, -0x1.a18533c91ae09p-2, -0x1.a34ab4172b552p-2, -0x1.a4f2151e5db2p-2, -0x1.a67b2b1aba06ep-2, -0x1.a7e5d36dec48ep-2, -0x1.a931f46f6216ap-2, -0x1.aa5f7d39fbeb4p-2, -0x1.ab6e657799e22p-2, -0x1.ac5ead2ab7f07p-2, -0x1.ad305c764e5b4p-2, -0x1.ade3836431c9fp-2, -0x1.ae7839aa1c4cbp-2, -0x1.aeee9e6d933c7p-2, -0x1.af46d806d902ap-2, -0x1.af8113c30fbc4p-2, -0x1.af9d85a5b6eecp-2, -0x1.af9c6829b2ee6p-2, -0x1.af7dfc01f1505p-2, -0x1.af4287d9e0f05p-2, -0x1.aeea5815ccf08p-2, -0x1.ae75be9342b6ap-2, -0x1.ade51269a0611p-2, -0x1.ad38afaadfebcp-2, -0x1.ac70f724c0041p-2, -0x1.ab8e4e225c919p-2, -0x1.aa911e2e538bcp-2, -0x1.a979d4d5850f9p-2, -0x1.a848e36a8674fp-2, -0x1.a6febec9d7c9dp-2, -0x1.a59bdf1eef7b9p-2, -0x1.a420bfaa272f5p-2, -0x1.a28dde879f54bp-2, -0x1.a0e3bc771d68fp-2, -0x1.9f22dca4fae84p-2, -0x1.9d4bc47424ec7p-2, -0x1.9b5efb4943583p-2, -0x1.995d0a5701668p-2, -0x1.97467c6b8fcf4p-2, -0x1.951bddbf57431p-2, -0x1.92ddbbc4f13dfp-2, -0x1.908ca4fa5c308p-2, -0x1.8e2928bb7fabdp-2, -0x1.8bb3d715f8a56p-2, -0x1.892d409e338bap-2, -0x1.8695f645db326p-2, -0x1.83ee893397c37p-2, -0x1.81378a9c22169p-2, -0x1.7e718b9cacc52p-2, -0x1.7b9d1d16a0534p-2, -0x1.78bacf8ca91f7p-2, -0x1.75cb33011b7c6p-2, -0x1.72ced6d5a367bp-2, -0x1.6fc649ac46e72p-2, -0x1.6cb21949b1cfcp-2, -0x1.6992d278ca15bp-2, -0x1.666900ef8bc35p-2, -0x1.63352f3523cc8p-2, -0x1.5ff7e6894b7fcp-2, -0x1.5cb1aeccda77cp-2, -0x1.59630e6b90d03p-2, -0x1.560c8a470e2dbp-2, -0x1.52aea5a2f60a7p-2, -0x1.4f49e212387a7p-2, -0x1.4bdebf657a924p-2, -0x1.486dbb9a9bcbbp-2, -0x1.44f752cd4c893p-2, -0x1.417bff28b7797p-2, -0x1.3dfc38da2f58fp-2, -0x1.3a787604e1104p-2, -0x1.36f12ab685594p-2, -0x1.3366c8dcffe33p-2, -0x1.2fd9c03cf7d5p-2, -0x1.2c4a7e69502bfp-2, -0x1.28b96ebb88c26p-2, -0x1.2526fa4cf90abp-2, -0x1.219387f0dd74dp-2, -0x1.1dff7c2f38cfdp-2, -0x1.1a6b39407810dp-2, -0x1.16d71f09dc736p-2, -0x1.13438b1a9d70fp-2, -0x1.0fb0d8a9c05cp-2, -0x1.0c1f60949e94dp-2, -0x1.088f795e111cfp-2, -0x1.0501772e4269p-2, -0x1.0175abd313f9p-2, -0x1.fbd8cd824105bp-3, -0x1.f4cbea2a8dc7ap-3, -0x1.edc5432d801a4p-3, -0x1.e6c5697370e0dp-3, -0x1.dfcce944c9234p-3, -0x1.d8dc4a511b53fp-3, -0x1.d1f40fb71ce28p-3, -0x1.cb14b80d7ad46p-3, -0x1.c43ebd6c77cb8p-3, -0x1.bd7295784c71ep-3, -0x1.b6b0b16c3fbbcp-3, -0x1.aff97e266d537p-3, -0x1.a94d64342b3aap-3, -0x1.a2acc7df0a3b7p-3, -0x1.9c18093a6b011p-3, -0x1.958f84318e552p-3, -0x1.8f1390962bf21p-3, -0x1.88a4822f782a2p-3, -0x1.8242a8c998629p-3, -0x1.7bee5045768f1p-3, -0x1.75a7c0a8f56e2p-3, -0x1.6f6f3e2f6f8a9p-3, -0x1.6945095a8809fp-3, -0x1.63295f033d743p-3, -0x1.5d1c786b3a0d5p-3, -0x1.571e8b4e5652ep-3, -0x1.512fc9f44d9c1p-3, -0x1.4b5063429a4f9p-3, -0x1.458082ce7548p-3, -0x1.3fc050eeeddap-3, -0x1.3a0ff2cf1ee0dp-3, -0x1.346f8a8069f34p-3, -0x1.2edf370ccb39ap-3, -0x1.295f148928de1p-3, -0x1.23ef3c27a6e28p-3, -0x1.1e8fc449faf69p-3, -0x1.1940c093b23abp-3, -0x1.140241fc71bc7p-3, -0x1.0ed456e220f4ep-3, -0x1.09b70b1b000cp-3, -0x1.04aa6807aac22p-3, -0x1.ff5ce949f75e5p-4, -0x1.f5866b3ba6b6fp-4, -0x1.ebd15ab96c03bp-4, -0x1.e23db83aa322ep-4, -0x1.d8cb7ffb9a4cap-4, -0x1.cf7aaa1fec68ep-4, -0x1.c64b2ad481abep-4, -0x1.bd3cf27124e3fp-4, -0x1.b44fed99bd4b6p-4, -0x1.ab84055f295bbp-4, -0x1.a2d91f5f93ed3p-4, -0x1.9a4f1de67a2c6p-4, -0x1.91e5e00c206ccp-4, -0x1.899d41d4ad9d1p-4, -0x1.81751c4eb6d4bp-4, -0x1.796d45b15d46bp-4, -0x1.71859179eb427p-4, -0x1.69bdd088f1a87p-4, -0x1.6215d13ee43f4p-4, -0x1.5a8d5f9833251p-4, -0x1.53244548dff6dp-4, -0x1.4bda49d78df78p-4, -0x1.44af32b80a3b3p-4, -0x1.3da2c3654df17p-4, -0x1.36b4bd7af6c32p-4, -0x1.2fe4e0ce37bb5p-4, -0x1.2932eb86409d5p-4, -0x1.229e9a341bd5ep-4, -0x1.1c27a7ea03075p-4, -0x1.15cdce5229d66p-4, -0x1.0f90c5c500e78p-4, -0x1.0970455eee3b3p-4, -0x1.036c03157e155p-4, -0x1.fb0767981a454p-5, -0x1.ef6e16cfd1633p-5, -0x1.e40b79c7d8128p-5, -0x1.d8def4c72a771p-5, -0x1.cde7ea8b2fec4p-5, -0x1.c325bc6bd5405p-5, -0x1.b897ca7ea6caep-5, -0x1.ae3d73b8e5cc4p-5, -0x1.a41616109d4e8p-5, -0x1.9a210e9cbe455p-5, -0x1.905db9b43da5dp-5, -0x1.86cb730c3df6bp-5, -0x1.7d6995d543a4p-5, -0x1.74377cd77a6cp-5, -0x1.6b34828e0b30dp-5, -0x1.6260014189ed3p-5, -0x1.59b953217bcb4p-5, -0x1.513fd25cfa4b1p-5, -0x1.48f2d93a780bdp-5, -0x1.40d1c22ea89f7p-5, -0x1.38dbe7f290564p-5, -0x1.3110a598c0efap-5, -0x1.296f56a1c4f15p-5, -0x1.21f7570fbd2b1p-5, -0x1.1aa80379376f6p-5, -0x1.1380b91b3fe9fp-5, -0x1.0c80d5eaaed5fp-5, -0x1.05a7b8a4bc6ebp-5, -0x1.fde981bdb416cp-6, -0x1.f0ce9e2bac10dp-6, -0x1.e3fd897899e7cp-6, -0x1.d7750890df76p-6, -0x1.cb33e2823db17p-6, -0x1.bf38e094bee45p-6, -0x1.b382ce625de84p-6, -0x1.a81079ed73895p-6, -0x1.9ce0b3b5eb785p-6, -0x1.91f24ecd531a1p-6, -0x1.874420e9bb27ep-6, -0x1.7cd5027782a81p-6, -0x1.72a3ceaa0a886p-6, -0x1.68af638b58e55p-6, -0x1.5ef6a20ab46f7p-6, -0x1.55786e0a46b53p-6, -0x1.4c33ae6bbac42p-6, -0x1.43274d1bf4fabp-6, -0x1.3a52371dd97cdp-6, -0x1.31b35c9432e21p-6, -0x1.2949b0cab91f2p-6, -0x1.21142a3e43367p-6, -0x1.1911c2a42e406p-6, -0x1.114176f0f2bffp-6, -0x1.09a2475e00e58p-6, -0x1.0233376edb4ecp-6, -0x1.f5e69beaf59fep-7, -0x1.e7c32a2c1858ep-7, -0x1.d9fa3493ec499p-7, -0x1.cc89dcc491dcbp-7, -0x1.bf704b130f31ep-7, -0x1.b2abae89c0fd7p-7, -0x1.a63a3ce99027cp-7, -0x1.9a1a32aa2e51ap-7, -0x1.8e49d2f923c2dp-7, -0x1.82c767b7ee176p-7, -0x1.7791417917bfap-7, -0x1.6ca5b77c7122p-7, -0x1.620327aa49991p-7, -0x1.57a7f68de4d0fp-7, -0x1.4d928f4f14986p-7, -0x1.43c163ab004a8p-7, -0x1.3a32ebec3d008p-7, -0x1.30e5a6e21f53p-7, -0x1.27d819d7660d7p-7, -0x1.1f08d0883c8e5p-7, -0x1.16765d179dd77p-7, -0x1.0e1f5804226fbp-7, -0x1.0602601c3f6b1p-7, -0x1.fc3c34e3fc1eap-8, -0x1.ece2649c67a54p-8, -0x1.ddf4b2468603p-8, -0x1.cf708cfed0d2dp-8, -0x1.c1536ffd3e136p-8, -0x1.b39ae27840dp-8, -0x1.a64477870aaa9p-8, -0x1.994dce0322d2dp-8, -0x1.8cb4906955cb2p-8, -0x1.807674ba11f72p-8, -0x1.74913c59349d1p-8, -0x1.6902b3ed58cd8p-8, -0x1.5dc8b33ead421p-8, -0x1.52e11d1561cecp-8, -0x1.4849df17aeeeap-8, -0x1.3e00f1a786568p-8, -0x1.340457bff5d8p-8, -0x1.2a521ed241a55p-8, -0x1.20e85ea2c2593p-8, -0x1.17c539258d836p-8, -0x1.0ee6da5af1748p-8, -0x1.064b782bc9e97p-8, -0x1.fbe2a48b75139p-9, -0x1.ebad63ee9ba06p-9, -0x1.dbf3d4181161cp-9, -0x1.ccb2ad50e3ba6p-9, -0x1.bde6ba4c305eap-9, -0x1.af8cd7df37ccdp-9, -0x1.a1a1f4b97f88ap-9, -0x1.9423111d1a0e9p-9, -0x1.870d3e970b7cfp-9, -0x1.7a5d9fb7ed49dp-9, -0x1.6e1167ccc533cp-9, -0x1.6225da982831cp-9, -0x1.56984c0ba9f3p-9, -0x1.4b662001a4c0ap-9, -0x1.408cc9f75ff2fp-9, -0x1.3609ccc7a1ecap-9, -0x1.2bdaba65a9aaep-9, -0x1.21fd3398a8b08p-9, -0x1.186ee7b7ad87p-9, -0x1.0f2d94661afd6p-9, -0x1.06370550a2918p-9, -0x1.fb1227d59ded5p-10, -0x1.ea434e5a40d46p-10, -0x1.d9fd66a78b10ap-10, -0x1.ca3c733bd71f6p-10, -0x1.bafc901b64ecep-10, -0x1.ac39f25192a3bp-10, -0x1.9df0e7735ade7p-10, -0x1.901dd52336a27p-10, -0x1.82bd38965c616p-10, -0x1.75cba61b5e438p-10, -0x1.6945c8a23add1p-10, -0x1.5d286145d86e3p-10, -0x1.517046d6fa702p-10, -0x1.461a6568a62d8p-10, -0x1.3b23bdde0989dp-10, -0x1.30896579df76cp-10, -0x1.2648856f58d94p-10, -0x1.1c5e5a7480dbep-10, -0x1.12c8345632139p-10, -0x1.0983758d89524p-10, -0x1.008d92d6efb67p-10, -0x1.efc825953955ep-11, -0x1.df091aed65088p-11, -0x1.ced957f5bd875p-11, -0x1.bf34504b0e3dp-11, -0x1.b0159825065aep-11, -0x1.a178e396be174p-11, -0x1.935a05d2548ecp-11, -0x1.85b4f06f9d0bep-11, -0x1.7885b2b5ddf5ep-11, -0x1.6bc878e89e061p-11, -0x1.5f798b977a95dp-11, -0x1.53954ef105718p-11, -0x1.48184218a5afcp-11, -0x1.3cfefe7f77f25p-11, -0x1.324637402716p-11, -0x1.27eab87dbb10ap-11, -0x1.1de966c557afcp-11, -0x1.143f3e72e55cp-11, -0x1.0ae953189e07ep-11, -0x1.01e4cee9786e1p-11, -0x1.f25de44cd9567p-12, -0x1.e18a251d1096bp-12, -0x1.d14935a39bec1p-12, -0x1.c196140db30afp-12, -0x1.b26be6467db25p-12, -0x1.a3c5f8ed40ee1p-12, -0x1.959fbe50e1639p-12, -0x1.87f4cd70b8687p-12, -0x1.7ac0e1029ff75p-12, -0x1.6dffd67e2f342p-12, -0x1.61adad2d133cbp-12, -0x1.55c6854072b3ep-12, -0x1.4a469eeb4ef94p-12, -0x1.3f2a5981d021bp-12, -0x1.346e329d6e2f6p-12, -0x1.2a0ec545e0905p-12, -0x1.2008c91ec82ep-12, -0x1.1659119a03655p-12, -0x1.0cfc8d2e96ba2p-12, -0x1.03f044941a856p-12, -0x1.f662b4053d7f3p-13, -0x1.e57a10ede4e25p-13, -0x1.d52145f67509dp-13, -0x1.c55327e793252p-13, -0x1.b60ab8e05557ep-13, -0x1.a7432700884dap-13, -0x1.98f7cb1b17444p-13, -0x1.8b24277065ea6p-13, -0x1.7dc3e67083bebp-13, -0x1.70d2d9850cceap-13, -0x1.644cf7e29cce4p-13, -0x1.582e5d61b168ep-13, -0x1.4c73495edb5d7p-13, -0x1.41181da21329ep-13, -0x1.36195d4d21f6bp-13, -0x1.2b73abd0eb6aap-13, -0x1.2123cbe984959p-13, -0x1.17269ea0ecb76p-13, -0x1.0d79225854f75p-13, -0x1.041871d7c6693p-13, -0x1.f60386c82fee4p-14, -0x1.e464cfb608e43p-14, -0x1.d34f93aa98252p-14, -0x1.c2bed99d875fp-14, -0x1.b2add8a84ead7p-14, -0x1.a317f66d407b5p-14, -0x1.93f8c589aefcp-14, -0x1.854c0412f10c1p-14, -0x1.770d9a1e16041p-14, -0x1.69399852037f1p-14, -0x1.5bcc3683cb5bfp-14, -0x1.4ec1d25cff4p-14, -0x1.4216ee0bc8db9p-14, -0x1.35c82efc92576p-14, -0x1.29d25c9d08affp-14, -0x1.1e325f2840569p-14, -0x1.12e53e7bca307p-14, -0x1.07e820f584e49p-14, -0x1.fa7094b3e9932p-15, -0x1.e5a63585e8aa8p-15, -0x1.d16c1b2d0fd46p-15, -0x1.bdbd710b4d0fbp-15, -0x1.aa9595258b4d3p-15, -0x1.97f0163ff77ecp-15, -0x1.85c8b2090f331p-15, -0x1.741b535323b55p-15, -0x1.62e4105bf2f08p-15, -0x1.521f2922016abp-15, -0x1.41c905c75d12cp-15, -0x1.31de35017436cp-15, -0x1.225b6a95a9cd9p-15, -0x1.133d7de25c237p-15, -0x1.04816874037b5p-15, -0x1.ec48894c47a69p-16, -0x1.d046989f702e9p-16, -0x1.b4f7aef5aeafp-16, -0x1.9a56b64e7df9p-16, -0x1.805ed02ef76d5p-16, -0x1.670b5350dadb1p-16, -0x1.4e57c965ae8f6p-16, -0x1.363feced7a34dp-16, -0x1.1ebfa72093999p-16, -0x1.07d30debeeb02p-16, -0x1.e2ecc3fef81d6p-17, -0x1.b74c19dc12d39p-17, -0x1.8cbd3ebc6a25p-17, -0x1.63399e97d15b6p-17, -0x1.3abaecb3ed623p-17, -0x1.133b2066ae93dp-17, -0x1.d968e3ee58907p-18, -0x1.8e42af381233ap-18, -0x1.44f9052cf7358p-18, -0x1.fb0371a4a2896p-19, -0x1.6fa610a7fa16ep-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.cd9305389fbaap-1, 0x1.cb0b4afc7c8cap-1, 0x1.c871e73354b27p-1, 0x1.c5c71504e577cp-1, 0x1.c30b418e1b8b2p-1, 0x1.c03f096c0224ep-1, 0x1.bd6334f881654p-1, 0x1.ba78b3a1674dp-1, 0x1.b78096afc368p-1, 0x1.b47c0bc53decep-1, 0x1.b16c5746baed7p-1, 0x1.ae52cedf41c53p-1, 0x1.ab30d43ba498bp-1, 0x1.a807d0168d96fp-1, 0x1.a4d92da55467dp-1, 0x1.a1a6566ff875bp-1, 0x1.9e70ae99d5701p-1, 0x1.9b39919ccb973p-1, 0x1.98024f75a23c5p-1, 0x1.94cc2a3e1f85cp-1, 0x1.9198542faaf9p-1, 0x1.8e67ee08210d6p-1, 0x1.8b3c05c9b4d54p-1, 0x1.881595ce4f0fp-1, 0x1.84f58426a75c1p-1, 0x1.81dca23d4ff6ep-1, 0x1.7ecbacb62614ap-1, 0x1.7bc34b82d01afp-1, 0x1.78c412255f3aap-1, 0x1.75ce801a8bdacp-1, 0x1.72e301657f674p-1, 0x1.7001ef37981e5p-1, 0x1.6d2b90af0a3a5p-1, 0x1.6a601ba7c1985p-1, 0x1.679fb59a5b4d7p-1, 0x1.64ea74857c94ap-1, 0x1.62405fde3fedfp-1, 0x1.5fa17184cf9fcp-1, 0x1.5d0d96baa58e2p-1, 0x1.5a84b1183fdebp-1, 0x1.5806978065c02p-1, 0x1.5593170f67edep-1, 0x1.5329f404fea2bp-1, 0x1.50caeaa7ae5c5p-1, 0x1.4e75b020c7eb9p-1, 0x1.4c29f3504bc33p-1, 0x1.49e75d9823c76p-1, 0x1.47ad939e46fd2p-1, 0x1.457c36057da6ap-1, 0x1.4352e21c9a0ap-1, 0x1.413132840de9cp-1, 0x1.3f16bfc9dd207p-1, 0x1.3d0320fbfddd4p-1, 0x1.3af5ec3147b58p-1, 0x1.38eeb7091ae39p-1, 0x1.36ed1721fc9bep-1, 0x1.34f0a2875fabp-1, 0x1.32f8f016e7348p-1, 0x1.310597dd69102p-1, 0x1.2f16336c01cb6p-1, 0x1.2d2a5e258c555p-1, 0x1.2b41b584ceea4p-1, 0x1.295bd95bb3e37p-1, 0x1.27786c0be3bd2p-1, 0x1.259712b91177fp-1, 0x1.23b7757553b71p-1, 0x1.21d93f67d445bp-1, 0x1.1ffc1eee2fbbdp-1, 0x1.1e1fc5b8cd9ccp-1, 0x1.1c43e8e2804fep-1, 0x1.1a684103b9b47p-1, 0x1.188c8a4196b86p-1, 0x1.16b084590cb68p-1, 0x1.14d3f2a679b47p-1, 0x1.12f69c29d5f27p-1, 0x1.11184b87c88e7p-1, 0x1.0f38cf07d51aap-1, 0x1.0d57f88fde67bp-1, 0x1.0b759d9d342b1p-1, 0x1.0991973b5a201p-1, 0x1.07abc1f8c07e3p-1, 0x1.05c3fdd996abdp-1, 0x1.03da2e48e4993p-1, 0x1.01ee3a08180f8p-1, 0x1.00000b1d295ccp-1, 0x1.fc1f1d7efec29p-2, 0x1.f8396a8766a4fp-2, 0x1.f44ee40cb4ec5p-2, 0x1.f05f76abdc7ebp-2, 0x1.ec6b14b7f13e3p-2, 0x1.e871b60b30a7ap-2, 0x1.e47357d6f8e28p-2, 0x1.e06ffc72dea2bp-2, 0x1.dc67ab2b09e1fp-2, 0x1.d85a700e0b944p-2, 0x1.d4485bba4ea4bp-2, 0x1.d031832b50a76p-2, 0x1.cc15ff86bd84p-2, 0x1.c7f5ede993ec7p-2, 0x1.c3d16f3572ba1p-2, 0x1.bfa8a7de21aabp-2, 0x1.bb7bbfb77e645p-2, 0x1.b74ae1c3d68adp-2, 0x1.b3163c02d1364p-2, 0x1.aeddff40f48a7p-2, 0x1.aaa25ee7dd6d8p-2, 0x1.a66390cf3af52p-2, 0x1.a221cd0e98185p-2, 0x1.9ddd4dd00b65cp-2, 0x1.99964f23ccbefp-2, 0x1.954d0ed4c866dp-2, 0x1.9101cc3e31978p-2, 0x1.8cb4c822200dep-2, 0x1.8866448140e6bp-2, 0x1.84168473a1d68p-2, 0x1.7fc5cc0298eefp-2, 0x1.7b746003d30fdp-2, 0x1.772285f589033p-2, 0x1.72d083dbdf3ap-2, 0x1.6e7ea01f733dbp-2, 0x1.6a2d216d1827fp-2, 0x1.65dc4e96c0cfcp-2, 0x1.618c6e759c106p-2, 0x1.5d3dc7cd5d037p-2, 0x1.58f0a130b5c58p-2, 0x1.54a540e6fa385p-2, 0x1.505becd2f0798p-2, 0x1.4c14ea5ac7234p-2, 0x1.47d07e5131c82p-2, 0x1.438eecdfa7434p-2, 0x1.3f507971bd07p-2, 0x1.3b1566a19be57p-2, 0x1.36ddf6258c1eep-2, 0x1.32aa68be8f0adp-2, 0x1.2e7afe28088cdp-2, 0x1.2a4ff5086c76cp-2, 0x1.26298ae2eb711p-2, 0x1.2207fc0a212cep-2, 0x1.1deb8393b398cp-2, 0x1.19d45b4ce319bp-2, 0x1.15c2bbb006efcp-2, 0x1.11b6dbdaea594p-2, 0x1.0db0f1860ae37p-2, 0x1.09b130fcab98bp-2, 0x1.05b7cd15b9178p-2, 0x1.01c4f72d7bed8p-2, 0x1.fbb1be401486ep-3, 0x1.f3e76688f4579p-3, 0x1.ec2b40d19a32bp-3, 0x1.e47da39d105bdp-3, 0x1.dcdee24ff2c17p-3, 0x1.d54f4d2c42438p-3, 0x1.cdcf314e73c13p-3, 0x1.c65ed8abacdbap-3, 0x1.befe8a11205a7p-3, 0x1.b7ae89248b132p-3, 0x1.b06f1665ae24bp-3, 0x1.a9406f30d033dp-3, 0x1.a222cdc22ec91p-3, 0x1.9b16693a54622p-3, 0x1.941b75a34988cp-3, 0x1.8d3223f69ac72p-3, 0x1.865aa2241bba5p-3, 0x1.7f951b1969e59p-3, 0x1.78e1b6ca1bedp-3, 0x1.72409a3897f0ap-3, 0x1.6bb1e77f7f6fbp-3, 0x1.6535bddbb5fc1p-3, 0x1.5ecc39b6e2313p-3, 0x1.587574b275403p-3, 0x1.523185b3293a8p-3, 0x1.4c0080ecde5cap-3, 0x1.45e277eeeb93p-3, 0x1.3fd779b0be298p-3, 0x1.39df929ecdebap-3, 0x1.33facca7e232p-3, 0x1.2e292f4a90fcdp-3, 0x1.286abfa3038cap-3, 0x1.22bf8078e4517p-3, 0x1.1d27724d85263p-3, 0x1.17a2936a27dap-3, 0x1.1230dfee65825p-3, 0x1.0cd251deb73a8p-3, 0x1.0786e1330b339p-3, 0x1.024e83e571841p-3, 0x1.fa525c019e3f5p-4, 0x1.f02da35f2523ap-4, 0x1.e62ebe94dbfe3p-4, 0x1.dc558ace17bebp-4, 0x1.d2a1e1cd6b4aap-4, 0x1.c9139a09e6b91p-4, 0x1.bfaa86cc2a93cp-4, 0x1.b666784b50df8p-4, 0x1.ad473bc9b4b7ap-4, 0x1.a44c9bb161f37p-4, 0x1.9b765fb068a64p-4, 0x1.92c44cd4ce47bp-4, 0x1.8a3625a84dc79p-4, 0x1.81cbaa4bb1f29p-4, 0x1.79849891e94b9p-4, 0x1.7160ac1aba8b9p-4, 0x1.695f9e6d1c6b8p-4, 0x1.618127112cac7p-4, 0x1.59c4fba9bfae4p-4, 0x1.522ad00d8949fp-4, 0x1.4ab2565fd979dp-4, 0x1.435b3f28e92p-4, 0x1.3c25396db6e8dp-4, 0x1.350ff2c7703f7p-4, 0x1.2e1b177a6545p-4, 0x1.2746528c84a07p-4, 0x1.20914ddb6007bp-4, 0x1.19fbb231b468bp-4, 0x1.1385275c7a179p-4, 0x1.0d2d543f74eaep-4, 0x1.06f3dee94ba8fp-4, 0x1.00d86ca71edc1p-4, 0x1.f5b5442f468c2p-5, 0x1.e9f4467b7dca9p-5, 0x1.de6d27254deb7p-5, 0x1.d31f2c2f026ebp-5, 0x1.c8099acd0dc9cp-5, 0x1.bd2bb7875693dp-5, 0x1.b284c6598b3d3p-5, 0x1.a8140ad27d5fcp-5, 0x1.9dd8c83287d36p-5, 0x1.93d2418900ee4p-5, 0x1.89ffb9d0b9a5bp-5, 0x1.8060740b8c5fap-5, 0x1.76f3b35d0061fp-5, 0x1.6db8bb23ff0fp-5, 0x1.64aecf13a3078p-5, 0x1.5bd5334b20d67p-5, 0x1.532b2c6ccec9dp-5, 0x1.4aafffb44ae89p-5, 0x1.4262f30bc6103p-5, 0x1.3a434d207871fp-5, 0x1.325055763cfa1p-5, 0x1.2a89547a5dd47p-5, 0x1.22ed939591b4fp-5, 0x1.1b7c5d3d30389p-5, 0x1.1434fd039cab5p-5, 0x1.0d16bfa7f1676p-5, 0x1.0620f324ea09cp-5, 0x1.fea5cd7e27c44p-6, 0x1.f157d6248c07fp-6, 0x1.e456a43ccd376p-6, 0x1.d7a0dea706505p-6, 0x1.cb352f3a72f8ap-6, 0x1.bf1242dafa4adp-6, 0x1.b336c98d71034p-6, 0x1.a7a1768a9b7fap-6, 0x1.9c510050fb87fp-6, 0x1.914420b56f809p-6, 0x1.867994f2ac2d9p-6, 0x1.7bf01db794898p-6, 0x1.71a67f347f2cdp-6, 0x1.679b812769f8fp-6, 0x1.5dcdeee72ace7p-6, 0x1.543c976d9a7dbp-6, 0x1.4ae64d60cda5dp-6, 0x1.41c9e71b5c367p-6, 0x1.38e63eb3c005dp-6, 0x1.303a3202ceb3ep-6, 0x1.27c4a2a9628ecp-6, 0x1.1f8476152465bp-6, 0x1.1778958496a8bp-6, 0x1.0f9fee0a50f21p-6, 0x1.07f9708f83e5fp-6, 0x1.008411d5c61cap-6, 0x1.f27d94f058686p-7, 0x1.e4512dd77b3fbp-7, 0x1.d680eefe7fc36p-7, 0x1.c90ae0b4d2208p-7, 0x1.bbed12f8f4bb4p-7, 0x1.af259d748f18p-7, 0x1.a2b29f77715eap-7, 0x1.96923ff1856cbp-7, 0x1.8ac2ad6bc5653p-7, 0x1.7f421e003d5dap-7, 0x1.740ecf51236b9p-7, 0x1.6927067f1c96fp-7, 0x1.5e89101e9dcddp-7, 0x1.5433402c9311bp-7, 0x1.4a23f2023a93cp-7, 0x1.405988485d8b4p-7, 0x1.36d26ce9c56c5p-7, 0x1.2d8d110521d94p-7, 0x1.2487ecde4c2a8p-7, 0x1.1bc17fcefbf9cp-7, 0x1.13385036f400bp-7, 0x1.0aeaeb6bae7a2p-7, 0x1.02d7e5a79175ep-7, 0x1.f5fbb3f166dcbp-8, 0x1.e6b6d45e6e51p-8, 0x1.d7de7d968c173p-8, 0x1.c9700dd561a6p-8, 0x1.bb68f06c78bd7p-8, 0x1.adc69d9d46287p-8, 0x1.a0869a729d39ep-8, 0x1.93a67899a6dfep-8, 0x1.8723d63a630fp-8, 0x1.7afc5dcfc2081p-8, 0x1.6f2dc5ff63d3ep-8, 0x1.63b5d1710275p-8, 0x1.58924ea596dc2p-8, 0x1.4dc117ce41e76p-8, 0x1.434012a2fec6cp-8, 0x1.390d30392df8fp-8, 0x1.2f266cd9ffa09p-8, 0x1.2589cfd8c364fp-8, 0x1.1c356b692a873p-8, 0x1.13275c7580f63p-8, 0x1.0a5dca74e6aa2p-8, 0x1.01d6e7418ee99p-8, 0x1.f321ddde1fc31p-9, 0x1.e3144f4189a35p-9, 0x1.d381c2c09a6c7p-9, 0x1.c466ebe856611p-9, 0x1.b5c0916d19701p-9, 0x1.a78b8cd87c57bp-9, 0x1.99c4ca37a03e2p-9, 0x1.8c6947c9ec00ap-9, 0x1.7f7615b03b3a5p-9, 0x1.72e8559c94f6bp-9, 0x1.66bd3a8266af3p-9, 0x1.5af2084753e72p-9, 0x1.4f8413749ee6fp-9, 0x1.4470c0e931e88p-9, 0x1.39b5858c4ee5p-9, 0x1.2f4fe600ede76p-9, 0x1.253d7659d132cp-9, 0x1.1b7bd9ce4eaf6p-9, 0x1.1208c26fdc1e3p-9, 0x1.08e1f0e05cf4dp-9, 0x1.0005340936f1bp-9, 0x1.eee0d1a66df6ap-10, 0x1.de42f3be84b1ap-10, 0x1.ce2cbe7fb4ebep-10, 0x1.be9a3c66fe08cp-10, 0x1.af8791bfbe8f5p-10, 0x1.a0f0fc1bdc7e3p-10, 0x1.92d2d1cdadbc2p-10, 0x1.852981639320bp-10, 0x1.77f191256a1d8p-10, 0x1.6b279e93ba02ap-10, 0x1.5ec85de8b1213p-10, 0x1.52d0999af2edbp-10, 0x1.473d31e2299e6p-10, 0x1.3c0b1c3d752b8p-10, 0x1.313762fba6cdbp-10, 0x1.26bf24c548fa9p-10, 0x1.1c9f942882828p-10, 0x1.12d5f726c86d6p-10, 0x1.095fa6c45b34dp-10, 0x1.003a0e99a19a3p-10, 0x1.eec558cc91c5bp-11, 0x1.ddae1f4c6d47p-11, 0x1.cd29b25091ae5p-11, 0x1.bd33754dbed3ep-11, 0x1.adc6ecc45dc3p-11, 0x1.9edfbd78b3185p-11, 0x1.9079abae98581p-11, 0x1.82909a68b7f6dp-11, 0x1.75208aab446bp-11, 0x1.68259ac2251a5p-11, 0x1.5b9c058a91ee6p-11, 0x1.4f8021c01621ap-11, 0x1.43ce614cf383cp-11, 0x1.3883509ddd337p-11, 0x1.2d9b95f903f2fp-11, 0x1.2313f0d868d4cp-11, 0x1.18e9394771f9bp-11, 0x1.0f185f43b2f62p-11, 0x1.059e6a20e5f21p-11, 0x1.f8f0efe010013p-12, 0x1.e74779d3220dcp-12, 0x1.d63b05b57b7b2p-12, 0x1.c5c6512bc67c7p-12, 0x1.b5e442cb7f00cp-12, 0x1.a68fe9078009fp-12, 0x1.97c47922650e4p-12, 0x1.897d4e26af2ebp-12, 0x1.7bb5e7e495ef8p-12, 0x1.6e69e9f571e34p-12, 0x1.61951ac4ad76fp-12, 0x1.5533629e231aap-12, 0x1.4940cac1d9e98p-12, 0x1.3db97c7d05cc8p-12, 0x1.3299c0483e07p-12, 0x1.27ddfceacc75p-12, 0x1.1d82b6a307f88p-12, 0x1.13848e53a4033p-12, 0x1.09e040b5db1f4p-12, 0x1.0092a59067d9ep-12, 0x1.ef315de662fc2p-13, 0x1.ddded0ef3703ap-13, 0x1.cd27ed0abea97p-13, 0x1.bd072b37c44cp-13, 0x1.ad77333fd907p-13, 0x1.9e72da5b639b2p-13, 0x1.8ff521de2bdf4p-13, 0x1.81f935ec32fe4p-13, 0x1.747a6c36b56p-13, 0x1.677442c13236dp-13, 0x1.5ae25eae4726cp-13, 0x1.4ec08b14441b4p-13, 0x1.430ab7d9508f6p-13, 0x1.37bcf896f626p-13, 0x1.2cd38384eabe2p-13, 0x1.224ab06b04647p-13, 0x1.181ef79a172f8p-13, 0x1.0e4cf0ebb4ea3p-13, 0x1.04d152c89c1cdp-13, 0x1.f751e26b5a0adp-14, 0x1.e5a179ceaa5e6p-14, 0x1.d48b84b67ad79p-14, 0x1.c40a51f038e8cp-14, 0x1.b41864672bc2ep-14, 0x1.a4b0717be7dd7p-14, 0x1.95cd5f675e261p-14, 0x1.876a43a915886p-14, 0x1.798261808513ap-14, 0x1.6c11287123eb5p-14, 0x1.5f1232d10b28fp-14, 0x1.52814461dfd2cp-14, 0x1.465a48f3d0d94p-14, 0x1.3a9953126953cp-14, 0x1.2f3a9abafe9bbp-14, 0x1.243a7c1c81863p-14, 0x1.199576607a5a5p-14, 0x1.0f482a7cf7ab2p-14, 0x1.054f5a0f3ac3dp-14, 0x1.f74fcc7dd78f4p-15, 0x1.e49d9d5342925p-15, 0x1.d28260ad0dd82p-15, 0x1.c0f88963e5f06p-15, 0x1.affac1216bcfap-15, 0x1.9f83e675ec031p-15, 0x1.8f8f0afcca2d6p-15, 0x1.8017718f4717ap-15, 0x1.71188c853fb2ep-15, 0x1.628dfc038eedcp-15, 0x1.54738c57bad2p-15, 0x1.46c534608f996p-15, 0x1.397f140359d23p-15, 0x1.2c9d72ad6a30bp-15, 0x1.201cbde18f771p-15, 0x1.13f987d139592p-15, 0x1.08308600f1dbap-15, 0x1.f97d1fefc9859p-16, 0x1.e3413bf44d0cdp-16, 0x1.cda78f9ae34dap-16, 0x1.b8aa8710278bcp-16, 0x1.a444c8d38378bp-16, 0x1.9071337c1ddf9p-16, 0x1.7d2adb908b3bcp-16, 0x1.6a6d0970b01d3p-16, 0x1.5833375169445p-16, 0x1.46790f49616a6p-16, 0x1.353a696eb08dep-16, 0x1.24734a04bbd9ep-16, 0x1.141fdfb9e5bf7p-16, 0x1.043c81f4a172ap-16, 0x1.e98b5e5ed19e6p-17, 0x1.cb7016c66f619p-17, 0x1.ae20bd0034591p-17, 0x1.919725e6bed87p-17, 0x1.75cd687626fcbp-17, 0x1.5abddb0cb6735p-17, 0x1.406310c48d637p-17, 0x1.26b7d6e595a7dp-17, 0x1.0db7326eea73ap-17, 0x1.eab8bb6e329fbp-18, 0x1.bb458c44f614bp-18, 0x1.8d0c13de004f7p-18, 0x1.6003ec298bd6dp-18, 0x1.34250875a23aap-18, 0x1.0967b17e9e4f7p-18, 0x1.bf89034b05ebfp-19, 0x1.6e68c295ecad3p-19, 0x1.1f61069b7d7f8p-19, 0x1.a4c986ae6dc3cp-20, 0x1.0ecee90d9969fp-20, 0x1.f2e8bb76b44fcp-22, -0x1.18bb6444ba736p-24, -0x1.3831d2516171ap-21, -0x1.2302ac19d4198p-20, -0x1.a65d6b7796b23p-20, -0x1.131e63f2ecc3ep-19, -0x1.5159d008a85c9p-19, -0x1.8dea0d072c4dp-19, -0x1.c8d7d62a897efp-19, -0x1.0115c99793f03p-18, -0x1.1cf6ae39118a6p-18, -0x1.38127f729ece4p-18, -0x1.526cffebecd4ap-18, -0x1.6c09d04b41881p-18, -0x1.84ec70f13ac3ep-18, -0x1.9d1843a1424c1p-18, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      50, 0x1.603d1cc100e6bp+2, 0x1.fa5533fb0734ep+0, 0x1.245e29d6e4387p+2, -0x1.3ff9cd683c4b8p-5, 
      {{
        {0x1.90a3d70a3d70ap+1, 0x1.96b77c2da2fb7p+1, 0x1.444e4359f1e3ep-3, -0x1.8fd3185817554p-2, 0x1.8b6628322839p-2, 0x1.d71c9bff98508p-5}, 
        {0x1.96b77c2da2fb7p+1, 0x1.9ccb213b8ef75p+1, 0x1.20233f0e219aap-3, -0x1.69e23710bbadp-2, 0x1.93c94634c49ecp-2, -0x1.26693d10cdd7p-2}, 
        {0x1.9ccb213b8ef75p+1, 0x1.a2dec65ef4822p+1, 0x1.ff1190ff9fbb8p-4, -0x1.4589030fdc0d2p-2, 0x1.69daebd62b9fap-2, -0x1.71d7623d28f5ap-3}, 
        {0x1.a2dec65ef4822p+1, 0x1.a8f26b6ce07ep+1, 0x1.c46ee667a885cp-4, -0x1.246d8081b2be8p-2, 0x1.4f84a2401ebd2p-2, -0x1.8f7ed28bd44eap-3}, 
        {0x1.a8f26b6ce07ep+1, 0x1.af0610904608dp+1, 0x1.8fd74f9a8d839p-4, -0x1.05ebd4fe89019p-2, 0x1.3311bf7e02778p-2, -0x1.6b748f493b1cbp-3}, 
        {0x1.af0610904608dp+1, 0x1.b519b5b3ab939p+1, 0x1.60cb13d07190fp-4, -0x1.d3fcf1949de6fp-3, 0x1.192fe119d0a5bp-2, -0x1.59c816acab9aap-3}, 
        {0x1.b519b5b3ab939p+1, 0x1.bb2d5ac1978f8p+1, 0x1.36d1ba3ecd11cp-4, -0x1.a0eddef400588p-3, 0x1.009034cb4dc35p-2, -0x1.43f253035868p-3}, 
        {0x1.bb2d5ac1978f8p+1, 0x1.c140ffe4fd1a4p+1, 0x1.1179d4f8d852fp-4, -0x1.72660f919c764p-3, 0x1.d2fd2ed45b091p-3, -0x1.301f028e29b39p-3}, 
        {0x1.c140ffe4fd1a4p+1, 0x1.c754a4f2e9163p+1, 0x1.e0b196c404dacp-5, -0x1.481d658416af4p-3, 0x1.a7accb9500c4ep-3, -0x1.1c79043abeafbp-3}, 
        {0x1.c754a4f2e9163p+1, 0x1.cd684a164ea0fp+1, 0x1.a615499346ef2p-5, -0x1.21cf8e45ead9dp-3, 0x1.7f28cca00b2eap-3, -0x1.09a52b71280a8p-3}, 
        {0x1.cd684a164ea0fp+1, 0x1.d37bef39b42bcp+1, 0x1.7263a63698bffp-5, -0x1.fe73de9238c43p-4, 0x1.595342cda9774p-3, -0x1.eec33dfd27258p-4}, 
        {0x1.d37bef39b42bcp+1, 0x1.d98f9447a027bp+1, 0x1.44edfacbb6eddp-5, -0x1.c038aa450f52fp-4, 0x1.3617a1804fa9ep-3, -0x1.cb7e4653a6c1ep-4}, 
        {0x1.d98f9447a027bp+1, 0x1.dfa3396b05b27p+1, 0x1.1d1194fc1bb1fp-5, -0x1.8871398d8366p-4, 0x1.155ef8aca4647p-3, -0x1.a997504014355p-4}, 
        {0x1.dfa3396b05b27p+1, 0x1.e5b6de78f1ae6p+1, 0x1.f46eae4d49a3ap-6, -0x1.56a5cf7df5896p-4, 0x1.ee20b5764e14bp-4, -0x1.88d690366929ap-4}, 
        {0x1.e5b6de78f1ae6p+1, 0x1.ebca839c57392p+1, 0x1.b7a69b2df007ap-6, -0x1.2a630d305c46ap-4, 0x1.b62da9f47f403p-4, -0x1.6974445dc6417p-4}, 
        {0x1.ebca839c57392p+1, 0x1.f1de28bfbcc3fp+1, 0x1.82c887954b866p-6, -0x1.0339ed0351233p-4, 0x1.82b2e3955fa14p-4, -0x1.4b4991b982257p-4}, 
        {0x1.f1de28bfbcc3fp+1, 0x1.f7f1cdcda8bfdp+1, 0x1.54e6b31a21a8fp-6, -0x1.c17fca5ab95f9p-5, 0x1.5384021b0c652p-4, -0x1.2e6346fcc5238p-4}, 
        {0x1.f7f1cdcda8bfdp+1, 0x1.fe0572f10e4aap+1, 0x1.2d27307922336p-6, -0x1.851d710b2c35bp-5, 0x1.2872d2234cdf5p-4, -0x1.12c8d783e918ep-4}, 
        {0x1.fe0572f10e4aap+1, 0x1.020c8c0a39eabp+2, 0x1.0ac30fb1394dap-6, -0x1.5089313bbd01ap-5, 0x1.01500edc1f33bp-4, -0x1.f0df8f3014664p-5}, 
        {0x1.020c8c0a39eabp+2, 0x1.05165e912fe8ap+2, 0x1.da0b122e8b15cp-7, -0x1.230846067a0c6p-5, 0x1.bbdbe6eaf67f9p-5, -0x1.beaf7972d71b2p-5}, 
        {0x1.05165e912fe8ap+2, 0x1.08203122e2ae1p+2, 0x1.a6964e08ed26ap-7, -0x1.f7d13409b2174p-6, 0x1.7c3d8fb6636b6p-5, -0x1.8f1ad44239fe6p-5}, 
        {0x1.08203122e2ae1p+2, 0x1.0b2a03a9d8acp+2, 0x1.7a01e12f19181p-7, -0x1.b501e1bbd6f02p-6, 0x1.43660735b3171p-5, -0x1.61fbfc7df9e77p-5}, 
        {0x1.0b2a03a9d8acp+2, 0x1.0e33d63b8b716p+2, 0x1.5347284741bfp-7, -0x1.7c61ab6217f15p-6, 0x1.10fb9c1d90cb7p-5, -0x1.377880c71ecd5p-5}, 
        {0x1.0e33d63b8b716p+2, 0x1.113da8cd3e36cp+2, 0x1.317d231ce1cc6p-7, -0x1.4cc12e6961b3cp-6, 0x1.c93e81a39f564p-6, -0x1.0f74b97298303p-5}, 
        {0x1.113da8cd3e36cp+2, 0x1.14477b543434cp+2, 0x1.13d6c8ffdbbe6p-7, -0x1.2502b78f1ffbcp-6, 0x1.7bebb43908945p-6, -0x1.d3f41b33f7a4p-6}, 
        {0x1.14477b543434cp+2, 0x1.17514de5e6fa2p+2, 0x1.f342bc98f021fp-8, -0x1.041a00d830cep-6, 0x1.3945eb6eead77p-6, -0x1.8e239be54d37ap-6}, 
        {0x1.17514de5e6fa2p+2, 0x1.1a5b206cdcf81p+2, 0x1.c48591c1055ddp-8, -0x1.d218e2f78a382p-7, 0x1.009198af3e418p-6, -0x1.4d510cd574e95p-6}, 
        {0x1.1a5b206cdcf81p+2, 0x1.1d64f2fe8fbd7p+2, 0x1.9a6fc9afc0864p-8, -0x1.a5e1fb94fcc23p-7, 0x1.a23176baa1ce5p-7, -0x1.11a42ccf719acp-6}, 
        {0x1.1d64f2fe8fbd7p+2, 0x1.206ec5904282ep+2, 0x1.7425b32136d2cp-8, -0x1.81e04b23b4e02p-7, 0x1.543f4db08eb2dp-7, -0x1.b603e4da6fdd3p-7}, 
        {0x1.206ec5904282ep+2, 0x1.237898173880dp+2, 0x1.50f2dca2f8feep-8, -0x1.648818dfbdbdbp-7, 0x1.15dd14777d0c7p-7, -0x1.52e1daf44b355p-7}, 
        {0x1.237898173880dp+2, 0x1.26826aa8eb463p+2, 0x1.3046be7b316bep-8, -0x1.4c70aa808d6abp-7, 0x1.cb32944b43a3p-8, -0x1.f3f6f0dbc9e74p-8}, 
        {0x1.26826aa8eb463p+2, 0x1.298c3d2fe1443p+2, 0x1.11b1640bd1432p-8, -0x1.38548606d9c89p-7, 0x1.83fda7615b7eap-8, -0x1.5646f0143ab4p-8}, 
        {0x1.298c3d2fe1443p+2, 0x1.2c960fc194099p+2, 0x1.e9c02b5d5faf5p-9, -0x1.27115146cd824p-7, 0x1.533e15f197178p-8, -0x1.9a1cdab04248cp-9}, 
        {0x1.2c960fc194099p+2, 0x1.2f9fe25346cefp+2, 0x1.b33404476d10fp-9, -0x1.17a7cfc060b69p-7, 0x1.3609a47c987c2p-8, -0x1.604c1d0ed17e1p-10}, 
        {0x1.2f9fe25346cefp+2, 0x1.32a9b4da3cccep+2, 0x1.7f79d0c402c4cp-9, -0x1.093c00690ac61p-7, 0x1.297e6a1b2fa92p-8, 0x1.14d8f82c53f35p-13}, 
        {0x1.32a9b4da3cccep+2, 0x1.35b3876bef925p+2, 0x1.4e73822213842p-9, -0x1.f629dc761f9ddp-8, 0x1.2ab9d9ef20cdep-8, 0x1.53c555cb81f35p-10}, 
        {0x1.35b3876bef925p+2, 0x1.38bd59f2e5904p+2, 0x1.2022d071956c3p-9, -0x1.d939b62830dcfp-8, 0x1.36d2e62f16198p-8, 0x1.1a25a87ac34a3p-9}, 
        {0x1.38bd59f2e5904p+2, 0x1.3bc72c849855ap+2, 0x1.e9451bf39082ep-10, -0x1.bac257bb03d25p-8, 0x1.4aea802713eecp-8, 0x1.618e3f7a5148bp-9}, 
        {0x1.3bc72c849855ap+2, 0x1.3ed0ff164b1bp+2, 0x1.983ff42b1a68fp-10, -0x1.9a24ca4517667p-8, 0x1.6417e57e84adcp-8, 0x1.8075de1c5f794p-9}, 
        {0x1.3ed0ff164b1bp+2, 0x1.41dad19d4119p+2, 0x1.4da829ab504a8p-10, -0x1.7708819771797p-8, 0x1.7f78b15e5a032p-8, 0x1.76d2636a8a5f3p-9}, 
        {0x1.41dad19d4119p+2, 0x1.44e4a42ef3de6p+2, 0x1.09f9e43e1fcecp-10, -0x1.515b167d2ed3fp-8, 0x1.9a29c631ef4b1p-8, 0x1.445b529f80ec9p-9}, 
        {0x1.44e4a42ef3de6p+2, 0x1.47ee76b5e9dc5p+2, 0x1.9b5c33c34e7ecp-11, -0x1.29508c86ba33p-8, 0x1.b142de09ac0e3p-8, 0x1.d332eed6bd959p-10}, 
        {0x1.47ee76b5e9dc5p+2, 0x1.4af849479ca1bp+2, 0x1.325a6a240f88p-11, -0x1.fec63c2ef7aa4p-9, 0x1.c1e56f70a9eb7p-8, 0x1.96ac59b3d3907p-11}, 
        {0x1.4af849479ca1bp+2, 0x1.4e021bd94f672p+2, 0x1.b306ef2fbda5cp-12, -0x1.a8a709f97013ep-9, 0x1.c922dedc4de9cp-8, -0x1.156e33bf71dd5p-11}, 
        {0x1.4e021bd94f672p+2, 0x1.510bee6045651p+2, 0x1.222bd6de88429p-12, -0x1.524fea37fb162p-9, 0x1.c432775844687p-8, -0x1.1e4e58ca3fcfcp-9}, 
        {0x1.510bee6045651p+2, 0x1.5415c0f1f82a7p+2, 0x1.637c969c6bb36p-13, -0x1.fcc0db4717eb4p-10, 0x1.afcf0be013824p-8, -0x1.060cdb06f9e44p-8}, 
        {0x1.5415c0f1f82a7p+2, 0x1.571f9378ee286p+2, 0x1.81051f666f3dep-14, -0x1.5fd76808936p-10, 0x1.8a7c951a720b9p-8, -0x1.b638a6cd3a5b7p-8}, 
        {0x1.571f9378ee286p+2, 0x1.5a29660aa0eddp+2, 0x1.5754e9b890c85p-15, -0x1.abbcf543fe624p-11, 0x1.4c12d92d3c634p-8, -0x1.f0a103b7620d4p-8}, 
        {0x1.5a29660aa0eddp+2, 0x1.5d33389c53b33p+2, 0x1.adb17726b853dp-17, -0x1.94b8e96de5b1bp-12, 0x1.05578ac91c8dep-8, -0x1.10ad63d2fa7d3p-6}, 
        {0x1.5d33389c53b33p+2, 0x1.603d1cc100e6bp+2, 0x1.c55d62482c1aep-20, -0x1.f6c55b9e20c76p-14, 0x1.a7ff41168bf5dp-10, 0x1.e3c40376c99f8p-5}, 
      }}, 
      -0x1.d26b5facfc262p+0, 0x1.b4ef3245eebfap+3
    }
  };
  // clang-format on
}
SkfData params_hyb_0_2_ga_c() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.10bdb10d2308ep-3, -0x1.46baaf2879bb2p-3, -0x1.7c47f0f78e543p-3, -0x1.b0eaa2c93ae46p-3, -0x1.e437f4c822dd3p-3, -0x1.0ae9f599372c2p-2, -0x1.22b8336914ab7p-2, -0x1.39666a22b09f4p-2, -0x1.4edad3b3ac029p-2, -0x1.6301618759903p-2, -0x1.75cad6e88deddp-2, -0x1.872c54b9a054ap-2, -0x1.971f25996001ap-2, -0x1.a5a05822dc245p-2, -0x1.b2b01d36a28f3p-2, -0x1.be5135116999dp-2, -0x1.c88895cc2db6fp-2, -0x1.d15d3342d1378p-2, -0x1.d8d7c4fa98173p-2, -0x1.df027b6113c93p-2, -0x1.e3e8a6a65828dp-2, -0x1.e7964747b822bp-2, -0x1.ea17fa9024e53p-2, -0x1.eb7b400fee5c3p-2, -0x1.ebcdcb23c9adbp-2, -0x1.eb1d8ffed2aafp-2, -0x1.e978a7421e58bp-2, -0x1.e6ed30461b268p-2, -0x1.e38935f590a5fp-2, -0x1.df5a99b31640dp-2, -0x1.da6f03fde1272p-2, -0x1.d4d3d84ac5c5ep-2, -0x1.ce9629ed8c6fep-2, -0x1.c7c2b1709c0a4p-2, -0x1.c065c2fe4b019p-2, -0x1.b88b46e77204dp-2, -0x1.b03eb4b80a95cp-2, -0x1.a78b103f595a3p-2, -0x1.9e7ae771f47f6p-2, -0x1.95185083d960ap-2, -0x1.8b6ce876d479fp-2, -0x1.8181d2c167d1p-2, -0x1.775fba6000a6cp-2, -0x1.6d0ed4056b9eap-2, -0x1.6296e0c866fcdp-2, -0x1.57ff30ca45d83p-2, -0x1.4d4ea5af49331p-2, -0x1.428bb50eec979p-2, -0x1.37bc6b1ad640ep-2, -0x1.2ce66da876156p-2, -0x1.220effa91c824p-2, -0x1.173b0503698cbp-2, -0x1.0c6f06b427023p-2, -0x1.01af3716fbed2p-2, -0x1.edfeec699b2f8p-3, -0x1.d8c6abec6e19fp-3, -0x1.c3bc3c3e078bfp-3, -0x1.aee5a0086f5b5p-3, -0x1.9a4853fae821cp-3, -0x1.85e9553da7be8p-3, -0x1.71cd279b389d9p-3, -0x1.5df7db81399e5p-3, -0x1.4a6d13ef06d4dp-3, -0x1.376aa61a9b30fp-3, -0x1.24804929354c8p-3, -0x1.11e8b64fb1d2fp-3, -0x1.ff4c0d6b4c13p-4, -0x1.db73fbf11ccb8p-4, -0x1.b84c2356d55b8p-4, -0x1.95d6e2430f2ffp-4, -0x1.74161a098d563p-4, -0x1.530b3c965917cp-4, -0x1.32b7588557e7p-4, -0x1.131b232780fbep-4, -0x1.e86e01081439cp-5, -0x1.ac16133c5e718p-5, -0x1.712e22d1e7996p-5, -0x1.37b551b5b96a5p-5, -0x1.ff548a218c847p-6, -0x1.921658527408ap-6, -0x1.27ab8eacd4e9ep-6, -0x1.801dbcd6513ecp-7, -0x1.6ce8e0f365888p-8, 0x1.b64925b9e3c97p-12, 0x1.98ca6d01db309p-8, 0x1.85b4463a415a7p-7, 0x1.1cd83a756d283p-6, 0x1.7435da81eb87cp-6, 0x1.c8fc6cc5559afp-6, 0x1.0d9ae0ccf2b32p-5, 0x1.357603d36c59fp-5, 0x1.5c14e1ebd35d2p-5, 0x1.817ce4b26c4f2p-5, 0x1.a5b398c3864e8p-5, 0x1.c8bea942231d1p-5, 0x1.eaa3daf53d3f3p-5, 0x1.05b4837c6a701p-4, 0x1.158a0a89c3a29p-4, 0x1.24d57ae89ca75p-4, 0x1.3399ce47a210ep-4, 0x1.41d9fcd5c00c6p-4, 0x1.4f98fa839f38fp-4, 0x1.5cd9b484b2f88p-4, 0x1.699f0f20d7c79p-4, 0x1.75ebe3e1dc5b7p-4, 0x1.81c30022c034dp-4, 0x1.8d2724015926p-4, 0x1.981b01af10bd8p-4, 0x1.a2a13d1a87786p-4, 0x1.acbc6be9984dap-4, 0x1.b66f15b9fcf23p-4, 0x1.bfbbb49d82abp-4, 0x1.c8a4b5c5d74b5p-4, 0x1.d12c7a52ef55fp-4, 0x1.d95558368db8p-4, 0x1.e1219b1ef1194p-4, 0x1.e893855b33f9p-4, 0x1.efad50ace69b1p-4, 0x1.f6712efc43058p-4, 0x1.fce14ae6bf823p-4, 0x1.017fe4116fa2fp-3, 0x1.046761db6bdf1p-3, 0x1.07282a017093ep-3, 0x1.09c344510f0c3p-3, 0x1.0c39b513a89c7p-3, 0x1.0e8c7cddb86a9p-3, 0x1.10bc98528c713p-3, 0x1.12caffdfe383ep-3, 0x1.14b8a774b93b8p-3, 0x1.16867e366bac7p-3, 0x1.18356e36dd8f5p-3, 0x1.19c65c2e26cefp-3, 0x1.1b3a2739e5023p-3, 0x1.1c91a8a41784bp-3, 0x1.1dcdb3b32d656p-3, 0x1.1eef15849d186p-3, 0x1.1ff694f322083p-3, 0x1.20e4f289618b6p-3, 0x1.21bae8815f09p-3, 0x1.22792ad0c492fp-3, 0x1.232067419e536p-3, 0x1.23b14596d2b91p-3, 0x1.242c67bb2ef53p-3, 0x1.249269f9bdeefp-3, 0x1.24e3e33dc1b61p-3, 0x1.25216558b9117p-3, 0x1.254b7d4c97f01p-3, 0x1.25666026694aap-3, 0x1.25698480edb84p-3, 0x1.255aba4a9c53ep-3, 0x1.253a88c0f3a77p-3, 0x1.250973d022a68p-3, 0x1.24c7fc1274e89p-3, 0x1.24769ecffab25p-3, 0x1.2415d5ff8ab03p-3, 0x1.23a61849fa275p-3, 0x1.2327d91047dc1p-3, 0x1.229b88752b247p-3, 0x1.2201936a5ffedp-3, 0x1.215a63c1a7606p-3, 0x1.20a66041712d9p-3, 0x1.1fe5ecbcda89dp-3, 0x1.1f196a2e90c92p-3, 0x1.1e4136d62405ap-3, 0x1.1d5dae571cf36p-3, 0x1.1c6f29d952e0cp-3, 0x1.1b760029c6899p-3, 0x1.1a7285db82312p-3, 0x1.19650d67d9a5cp-3, 0x1.184de74d96f24p-3, 0x1.172d622e95f66p-3, 0x1.1603caeb7c354p-3, 0x1.14d16cbd31611p-3, 0x1.1396914bee697p-3, 0x1.125380c3ba97fp-3, 0x1.110881e63ef9cp-3, 0x1.0fb5da19faa52p-3, 0x1.0e5bcd76e349dp-3, 0x1.0cfa9ed0961cdp-3, 0x1.0b928fbe42772p-3, 0x1.0a23e0a088351p-3, 0x1.08aed0a593b9bp-3, 0x1.07339dcba9b91p-3, 0x1.05b284e2846cap-3, 0x1.042bc18bc0a5ap-3, 0x1.029f8e3aa4a07p-3, 0x1.010e243392667p-3, 0x1.feef7716bc152p-4, 0x1.fbb9164d8aa4p-4, 0x1.f879917489356p-4, 0x1.f5315194cf8f9p-4, 0x1.f1e0bd59865f2p-4, 0x1.ee8839135a579p-4, 0x1.eb2826bd8afc6p-4, 0x1.e7c0e60496d48p-4, 0x1.e452d44eb4881p-4, 0x1.e0de4cc5cf059p-4, 0x1.dd63a86312c1p-4, 0x1.d9e33dfbe8dd8p-4, 0x1.d65d62501d68ep-4, 0x1.d2d2681919c94p-4, 0x1.cf42a019eec0dp-4, 0x1.cbae59300592dp-4, 0x1.c815e0643ab4fp-4, 0x1.c47980fc2d484p-4, 0x1.c0d9848b99206p-4, 0x1.bd3633057a40bp-4, 0x1.b98fd2cce6778p-4, 0x1.b5e6a8c56144fp-4, 0x1.b23af8628de95p-4, 0x1.ae8d03b71fef9p-4, 0x1.aadd0b82fa5f1p-4, 0x1.a72b4f4058a2dp-4, 0x1.a3780d2ff313dp-4, 0x1.9fc3826430bd1p-4, 0x1.9c0deacb2e0edp-4, 0x1.98578137c3f4cp-4, 0x1.94a07f69759f1p-4, 0x1.90e91e1352b7fp-4, 0x1.8d3194e1d7dfap-4, 0x1.897a1a7fd41dep-4, 0x1.85c2e49a65c1bp-4, 0x1.820c27e41ad32p-4, 0x1.7e5618174ae7ap-4, 0x1.7aa0e7f7b78ap-4, 0x1.76ecc95390c4ep-4, 0x1.7339ed03e7a91p-4, 0x1.6f8882ecafb5cp-4, 0x1.6bd8b9fc5848ep-4, 0x1.682ac02b1ea2p-4, 0x1.647ec27a22dacp-4, 0x1.60d4ecf25b177p-4, 0x1.5d2d6aa36e9e3p-4, 0x1.598865a29391bp-4, 0x1.55e6070974696p-4, 0x1.524676f535f51p-4, 0x1.4ea9dc859c2a4p-4, 0x1.4b105ddc670fep-4, 0x1.477a201ce741p-4, 0x1.43e7476bd13ep-4, 0x1.4057f6ef59921p-4, 0x1.3ccc50cf9c449p-4, 0x1.394476374e002p-4, 0x1.35c08754beadcp-4, 0x1.3240a35b28691p-4, 0x1.2ec4e8844bddp-4, 0x1.2b4d7412589f7p-4, 0x1.27da62521c72fp-4, 0x1.246bce9d785f4p-4, 0x1.2101d35e162d3p-4, 0x1.1d9c8a10592bdp-4, 0x1.1a3c0b46876dfp-4, 0x1.16e06eac23efcp-4, 0x1.1389cb0976799p-4, 0x1.103836473982fp-4, 0x1.0cebc5726b9e5p-4, 0x1.09a48cc03bfcbp-4, 0x1.06629f920f382p-4, 0x1.032610799501bp-4, 0x1.ffdde279d8d3p-5, 0x1.f97aa5b59c9d7p-5, 0x1.f3228b1d7e0dp-5, 0x1.ecd5b1aa7685p-5, 0x1.e69436dfc6c4ap-5, 0x1.e05e36d33a8a2p-5, 0x1.da33cc355772ep-5, 0x1.d415105969079p-5, 0x1.ce021b3d70fb7p-5, 0x1.c7fb0391e7ecep-5, 0x1.c1ffdec15a9bdp-5, 0x1.bc10c0f7cdc73p-5, 0x1.b62dbd29f8df7p-5, 0x1.b056e51c47057p-5, 0x1.aa8c4969a28e5p-5, 0x1.a4cdf98a0b66dp-5, 0x1.9f1c03d8f4763p-5, 0x1.9976759b6910cp-5, 0x1.93dd5b05ff64fp-5, 0x1.8e50bf42918f3p-5, 0x1.88d0ac75c34f5p-5, 0x1.835d2bc45a5a8p-5, 0x1.7df645585f15ap-5, 0x1.789c006616424p-5, 0x1.734e6330cdfbep-5, 0x1.6e0d730f80d6ep-5, 0x1.68d9347158facp-5, 0x1.63b1aae20b209p-5, 0x1.5e96d90e16794p-5, 0x1.5988c0c6ea30fp-5, 0x1.54876306ee184p-5, 0x1.4f92bff57b1e3p-5, 0x1.4aaad6eab9c11p-5, 0x1.45cfa673780d1p-5, 0x1.41012c54ec9b9p-5, 0x1.3c3f6590733cbp-5, 0x1.378a4e673be88p-5, 0x1.32e1e25df955ap-5, 0x1.2e461c40833fbp-5, 0x1.29b6f62580113p-5, 0x1.253469720188bp-5, 0x1.20be6edd2c465p-5, 0x1.1c54fe73d84f7p-5, 0x1.17f80f9c38428p-5, 0x1.13a7991981984p-5, 0x1.0f63910f98c44p-5, 0x1.0b2bed06bfcbap-5, 0x1.0700a1ef4a7d3p-5, 0x1.02e1a42555d41p-5, 0x1.fd9dcee902eddp-6, 0x1.f590be3761347p-6, 0x1.ed9bfba1967acp-6, 0x1.e5bf6b890252ep-6, 0x1.ddfaf14c295bcp-6, 0x1.d64e6f4e3d5bap-6, 0x1.ceb8905647a9bp-6, 0x1.c73bdc8440fa5p-6, 0x1.bfd6c17edb8d9p-6, 0x1.b8891ddbafff2p-6, 0x1.b152cf5e206b9p-6, 0x1.aa33b2fecfa71p-6, 0x1.a32ba4f317c0bp-6, 0x1.9c3a80b467e4p-6, 0x1.95602107a2ef3p-6, 0x1.8e9c600469a1p-6, 0x1.87ef171c532eep-6, 0x1.81581f2219e4cp-6, 0x1.7ad75050b5793p-6, 0x1.746c82525c0c1p-6, 0x1.6e178c477512fp-6, 0x1.67d844cd6eb6ap-6, 0x1.61ae82057f7d5p-6, 0x1.5b9a199b4c82bp-6, 0x1.559ae0cb77c39p-6, 0x1.4fb0ac6a0f72dp-6, 0x1.49db50e8e1dcfp-6, 0x1.441aa25db5d99p-6, 0x1.3e6e748860c2dp-6, 0x1.38d69ad8c045bp-6, 0x1.3352e87494892p-6, 0x1.2de3303d3670fp-6, 0x1.288744d53053p-6, 0x1.233ef8a5b4e58p-6, 0x1.1e0a1de3f3b24p-6, 0x1.18e886964b0e8p-6, 0x1.13da04995a68fp-6, 0x1.0ede69a4f0b3fp-6, 0x1.09f58750da71p-6, 0x1.051f2f198b253p-6, 0x1.005b3264a9f37p-6, 0x1.f752c50af06d8p-7, 0x1.ee1321823686bp-7, 0x1.e4f71ca5831eap-7, 0x1.dbfe58df58d4bp-7, 0x1.d328789628d34p-7, 0x1.ca751e33ea654p-7, 0x1.c1e3ec2d695ccp-7, 0x1.b97485096770fp-7, 0x1.b1268b677303bp-7, 0x1.a8f9a2068f76ep-7, 0x1.a0ed6bcba69d9p-7, 0x1.99018bc7bc40fp-7, 0x1.9135a53dfa3dp-7, 0x1.89895ba9790f9p-7, 0x1.81fc52c2e5381p-7, 0x1.7a8e2e85edb4p-7, 0x1.733e93368842bp-7, 0x1.6c0d256604676p-7, 0x1.64f989f7f7029p-7, 0x1.5e036626f8e2fp-7, 0x1.572a5f8942267p-7, 0x1.506e1c1515c1cp-7, 0x1.49ce4225124aap-7, 0x1.434a787c55044p-7, 0x1.3ce2664a7f3a2p-7, 0x1.3695b32f97db3p-7, 0x1.3064073fcc4aap-7, 0x1.2a4d0b0711a9cp-7, 0x1.2450678ca1f6fp-7, 0x1.1e6dc65663a4p-7, 0x1.18a4d16c2d48fp-7, 0x1.12f5335aee75cp-7, 0x1.0d5e9737bba9cp-7, 0x1.07e0a8a2be259p-7, 0x1.027b13ca084b6p-7, 0x1.fa5b0ad89f5b3p-8, 0x1.efef55b71830bp-8, 0x1.e5b263feede03p-8, 0x1.dba392aff552ep-8, 0x1.d1c23ffef8c98p-8, 0x1.c80dcb5a204b8p-8, 0x1.be85956d291bcp-8, 0x1.b52900255f40ap-8, 0x1.abf76eb5641a4p-8, 0x1.a2f04598c63e2p-8, 0x1.9a12ea97572e4p-8, 0x1.915ec4c8583f4p-8, 0x1.88d33c956871ep-8, 0x1.806fbbbd48a3ep-8, 0x1.7833ad5651c8fp-8, 0x1.701e7dd0cfd62p-8, 0x1.682f9af919af8p-8, 0x1.606673f975932p-8, 0x1.58c2795bce82dp-8, 0x1.51431d0b258f7p-8, 0x1.49e7d254e39e4p-8, 0x1.42b00de9e70ffp-8, 0x1.3b9b45df76624p-8, 0x1.34a8f1afdea88p-8, 0x1.2dd88a3b0361p-8, 0x1.272989c6ae654p-8, 0x1.209b6bfebd3b9p-8, 0x1.1a2dadf515d45p-8, 0x1.13dfce21811abp-8, 0x1.0db14c614e596p-8, 0x1.07a1a9f6da323p-8, 0x1.01b06988f57e5p-8, 0x1.f7ba1e44354a8p-9, 0x1.ec4e405f1deddp-9, 0x1.e11c4700c50ecp-9, 0x1.d6234288a6194p-9, 0x1.cb62461526dcdp-9, 0x1.c0d867810846bp-9, 0x1.b684bf607d998p-9, 0x1.ac6668fe51276p-9, 0x1.a27c8258c69efp-9, 0x1.98c62c1e531f6p-9, 0x1.8f4289aa51ebfp-9, 0x1.85f0c1018af5ep-9, 0x1.7ccfface9d409p-9, 0x1.73df625e7638cp-9, 0x1.6b1e259c80fc6p-9, 0x1.628b750ef0a85p-9, 0x1.5a2683d2eb1fdp-9, 0x1.51ee8798ad12p-9, 0x1.49e2b89f9e3ccp-9, 0x1.420251b265af4p-9, 0x1.3a4c9022eae8bp-9, 0x1.32c0b3c66119p-9, 0x1.2b5dfef13abcdp-9, 0x1.2423b673212a4p-9, 0x1.1d11219302a23p-9, 0x1.16258a0add642p-9, 0x1.0f603c03cb7ebp-9, 0x1.08c08611e6189p-9, 0x1.0245b93033fb5p-9, 0x1.f7de517924fa1p-10, 0x1.eb7854e722ef1p-10, 0x1.df582cd8c3a67p-10, 0x1.d37c8e2958da7p-10, 0x1.c7e432590805ap-10, 0x1.bc8dd78436e21p-10, 0x1.b178405b6bdf7p-10, 0x1.a6a2341adc69p-10, 0x1.9c0a7e82078dap-10, 0x1.91afefcb33621p-10, 0x1.87915ca30207fp-10, 0x1.7dad9e1fe3cdfp-10, 0x1.740391b95a05cp-10, 0x1.6a92193f6b648p-10, 0x1.61581ad1d9566p-10, 0x1.585480d74e90ap-10, 0x1.4f8639f488026p-10, 0x1.46ec390348db1p-10, 0x1.3e85750954316p-10, 0x1.3650e92f7c0f2p-10, 0x1.2e4d94b80e5b9p-10, 0x1.267a7af5bfdfdp-10, 0x1.1ed6a34238b7ap-10, 0x1.176118f470588p-10, 0x1.1018eb5734617p-10, 0x1.08fd2d9f4fb7p-10, 0x1.020cf6e1badb5p-10, 0x1.f68ec41340459p-11, 0x1.e9571b9c8ebbap-11, 0x1.dc713951c71f2p-11, 0x1.cfdb699464496p-11, 0x1.c39400208b796p-11, 0x1.b79957f737226p-11, 0x1.abe9d3496b711p-11, 0x1.a083db6270a43p-11, 0x1.9565e0920582fp-11, 0x1.8a8e5a167b4f2p-11, 0x1.7ffbc6065a98dp-11, 0x1.75aca93a25576p-11, 0x1.6b9f8f35b9c28p-11, 0x1.61d30a117e73ap-11, 0x1.5845b263c3716p-11, 0x1.4ef62729d9997p-11, 0x1.45e30db0b9734p-11, 0x1.3d0b117e55987p-11, 0x1.346ce43a57d2dp-11, 0x1.2c073d974ac33p-11, 0x1.23d8db3b8561dp-11, 0x1.1be080aa3ac04p-11, 0x1.141cf72d6184p-11, 0x1.0c8d0dbe7631ap-11, 0x1.052f98f095c55p-11, 0x1.fc06e5b581a67p-12, 0x1.ee0ef6040d1fdp-12, 0x1.e0752c88d33dbp-12, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.d7a4432f3bcd6p-6, 0x1.4f1d50d79bd77p-6, 0x1.7edf0c8391f61p-7, 0x1.4e33bf9ab8bddp-9, -0x1.c2f73553c2dddp-8, -0x1.0f0b995492115p-6, -0x1.b0213e6690b0fp-6, -0x1.29870672e68bdp-5, -0x1.7b79892f0ed8cp-5, -0x1.cd81b29b10f3bp-5, -0x1.0fa0fdba31d7ep-4, -0x1.3832ce34d8b62p-4, -0x1.605021b28f7ebp-4, -0x1.87d6d7e200bd6p-4, -0x1.aea8a844aeedp-4, -0x1.d4aaea187a011p-4, -0x1.f9c657fecdfd4p-4, -0x1.0ef36f0c57622p-3, -0x1.207db199845a3p-3, -0x1.317ac18e81486p-3, -0x1.41e4a8e4233acp-3, -0x1.51b6962fcc95ap-3, -0x1.60ecd5e800e23p-3, -0x1.6f849c397e76dp-3, -0x1.7d7c000deab15p-3, -0x1.8ad1e296cba74p-3, -0x1.9785db46d2608p-3, -0x1.a39824c912d55p-3, -0x1.af098b4c33fd8p-3, -0x1.b9db5c83ca497p-3, -0x1.c40f593b27a8bp-3, -0x1.cda7a7d02c8aep-3, -0x1.d6a6c73b5ee53p-3, -0x1.df0f8302165cp-3, -0x1.e6e4e880acaacp-3, -0x1.ee2a3d5ffdb17p-3, -0x1.f4e2f6b100b32p-3, -0x1.fb12b07e70f4ep-3, -0x1.005e930d1da04p-2, -0x1.02f315b53fb0ap-2, -0x1.0548d38bd389dp-2, -0x1.0761c69d6e754p-2, -0x1.093fed259eadap-2, -0x1.0ae5472d23fc8p-2, -0x1.0c53d46f67ecap-2, -0x1.0d8d929a8f854p-2, -0x1.0e947bdde4feep-2, -0x1.0f6a85a4fedc5p-2, -0x1.10119f62951c4p-2, -0x1.108bb165956a4p-2, -0x1.10da9bc9a6fd2p-2, -0x1.1100359a37c1p-2, -0x1.10fe4c32399a7p-2, -0x1.10d6a2ce16465p-2, -0x1.108af23789474p-2, -0x1.101ce87419683p-2, -0x1.0f8e286cbd249p-2, -0x1.0ee0499602913p-2, -0x1.0e14d7a9ea229p-2, -0x1.0d2d5282de3f3p-2, -0x1.0c2b2e1c71af1p-2, -0x1.0b0fd2b1d3254p-2, -0x1.09dc9cea25ed5p-2, -0x1.0891ecd24a79dp-2, -0x1.0732ee6732ddap-2, -0x1.05bfeb32b7685p-2, -0x1.043a1266191ddp-2, -0x1.02a2882902575p-2, -0x1.00fa65d0960f6p-2, -0x1.fe857432e82cap-3, -0x1.faf912c7dc0c9p-3, -0x1.f7519be2d215fp-3, -0x1.f390f04432c3cp-3, -0x1.efb8dd6588e66p-3, -0x1.ebcb1df56859cp-3, -0x1.e7c95a550823cp-3, -0x1.e3b529189fc6ep-3, -0x1.df900f8b3fa0ap-3, -0x1.db5b8235e25a9p-3, -0x1.d718e5687f2b4p-3, -0x1.d2c98dc3ac58dp-3, -0x1.ce6ec0c1178b8p-3, -0x1.ca09b5398af6ap-3, -0x1.c59b93e7b184ap-3, -0x1.c12577e72a4f5p-3, -0x1.bca86f2fdff59p-3, -0x1.b8257b0d92371p-3, -0x1.b39d90939aa15p-3, -0x1.af11990ce6262p-3, -0x1.aa8272681c91cp-3, -0x1.a5f0efa01c952p-3, -0x1.a15dd9211727ep-3, -0x1.9cc9ed2ab6739p-3, -0x1.9835e02fc4646p-3, -0x1.93a25d33aefc3p-3, -0x1.8f10062631a96p-3, -0x1.8a7f743d27245p-3, -0x1.85f1384c731ecp-3, -0x1.8165db1bd443fp-3, -0x1.7cddddba9077bp-3, -0x1.7859b9d0e8dadp-3, -0x1.73d9e1ef656bp-3, -0x1.6f5ec1dc37924p-3, -0x1.6ae8bedeb80c1p-3, -0x1.6678380928972p-3, -0x1.620d8680a8bcap-3, -0x1.5da8fdc33292dp-3, -0x1.594aebeb59ff2p-3, -0x1.54f399f192a63p-3, -0x1.50a34beaab9dbp-3, -0x1.4c5a414363d93p-3, -0x1.4818b4f90cc4p-3, -0x1.43deddcf4757ep-3, -0x1.3facee8311597p-3, -0x1.3b8315fb4dd3p-3, -0x1.37617f770743p-3, -0x1.334852b99859p-3, -0x1.2f37b434e65bbp-3, -0x1.2b2fc531ac567p-3, -0x1.2730a3f60a134p-3, -0x1.233a6bea3aba9p-3, -0x1.1f4d35bb9f14fp-3, -0x1.1b69177e1c4fp-3, -0x1.178e24cbe6ffcp-3, -0x1.13bc6ee3ee56fp-3, -0x1.0ff404c6f201ap-3, -0x1.0c34f3537f765p-3, -0x1.087f4560e136ep-3, -0x1.04d303d924f99p-3, -0x1.013035d25079ap-3, -0x1.fb2dc14d81115p-4, -0x1.f40e10197ba1cp-4, -0x1.ed015c5aa027bp-4, -0x1.e607a77473cfep-4, -0x1.df20f00667a6bp-4, -0x1.d84d3214a3512p-4, -0x1.d18c672f341d5p-4, -0x1.cade8697b7495p-4, -0x1.c443856561986p-4, -0x1.bdbb56a783e15p-4, -0x1.b745eb86874e1p-4, -0x1.b0e3336366944p-4, -0x1.aa931bf59d1dap-4, -0x1.a45591679bf41p-4, -0x1.9e2a7e71b2dbbp-4, -0x1.9811cc738e7efp-4, -0x1.920b638c2ba94p-4, -0x1.8c16d35897c7p-4, -0x1.8634ab2f06157p-4, -0x1.80647fc5b3297p-4, -0x1.7aa6351762a25p-4, -0x1.74f9ae36b7203p-4, -0x1.6f5ecd5f72c89p-4, -0x1.69d57406f01f4p-4, -0x1.645d82ebdc2c1p-4, -0x1.5ef6da252732ap-4, -0x1.59a1593039002p-4, -0x1.545cdefe5bcb5p-4, -0x1.4f294a016ee3cp-4, -0x1.4a067837d9455p-4, -0x1.44f44737cb5f3p-4, -0x1.3ff29439d4cd2p-4, -0x1.3b013c22d7299p-4, -0x1.36201b8d5fffbp-4, -0x1.314f0ed271c73p-4, -0x1.2c8df211c9a3fp-4, -0x1.27dca139a2158p-4, -0x1.233af80e0894p-4, -0x1.1ea8d22fb7544p-4, -0x1.1a260b228e49dp-4, -0x1.15b27e53a9a4cp-4, -0x1.114e071f1463p-4, -0x1.0cf880d52265p-4, -0x1.08b1c6bf7c0bcp-4, -0x1.0479b425d04bcp-4, -0x1.005024524440ap-4, -0x1.f869e52b29a26p-5, -0x1.f04ff495fb7e3p-5, -0x1.e8522db7b238fp-5, -0x1.e070478623173p-5, -0x1.d8a9f920a7822p-5, -0x1.d0fef9d62ca9p-5, -0x1.c96f012adfea9p-5, -0x1.c1f9c6dd8726dp-5, -0x1.ba9f02ec8cb77p-5, -0x1.b35e6d9ab8b95p-5, -0x1.ac37bf73b3cc9p-5, -0x1.a52ab15036cc4p-5, -0x1.9e36fc5a0bb99p-5, -0x1.975c5a0fcd90cp-5, -0x1.909a844872fc3p-5, -0x1.89f13536a27f1p-5, -0x1.8360276bd93c6p-5, -0x1.7ce715db55edap-5, -0x1.7685bbdce4896p-5, -0x1.703bd52f64999p-5, -0x1.6a091dfb3eae3p-5, -0x1.63ed52d490fb2p-5, -0x1.5de830bd44bd9p-5, -0x1.57f97526f4d54p-5, -0x1.5220ddf4a4de8p-5, -0x1.4c5e297c5e9ccp-5, -0x1.46b116889a9e6p-5, -0x1.4119645993101p-5, -0x1.3b96d2a67036p-5, -0x1.3629219e4ee62p-5, -0x1.30d011e930d6dp-5, -0x1.2b8b64a8d17c9p-5, -0x1.265adb79559cp-5, -0x1.213e3871f101ep-5, -0x1.1c353e2567491p-5, -0x1.173fafa27d263p-5, -0x1.125d507459832p-5, -0x1.0d8de4a2c5884p-5, -0x1.08d130b26920ep-5, -0x1.0426f9a4f046dp-5, -0x1.ff1e09f237cbdp-6, -0x1.f61231559af07p-6, -0x1.ed29f6660703p-6, -0x1.e464e70f7fbfdp-6, -0x1.dbc29237ea4c3p-6, -0x1.d34287beb75dp-6, -0x1.cae4587c8bf4fp-6, -0x1.c2a79642d66e5p-6, -0x1.ba8bd3db59ab6p-6, -0x1.b290a507b40dap-6, -0x1.aab59e80d204bp-6, -0x1.a2fa55f65afc4p-6, -0x1.9b5e620e2dc54p-6, -0x1.93e15a63b596bp-6, -0x1.8c82d787520eep-6, -0x1.854272fdb6c22p-6, -0x1.7e1fc73f3cb78p-6, -0x1.771a6fb73f272p-6, -0x1.703208c36538fp-6, -0x1.69662fb2effc7p-6, -0x1.62b682c600a25p-6, -0x1.5c22a12cda7e2p-6, -0x1.55aa2b0722ea4p-6, -0x1.4f4cc163169f4p-6, -0x1.490a063cc55efp-6, -0x1.42e19c7d371c2p-6, -0x1.3cd327f99dcc3p-6, -0x1.36de4d727b427p-6, -0x1.3102b292c874p-6, -0x1.2b3ffdef0852ep-6, -0x1.2595d7046fc64p-6, -0x1.2003e637ed432p-6, -0x1.1a89d4d54c8bcp-6, -0x1.15274d0e368adp-6, -0x1.0fdbf9f94212cp-6, -0x1.0aa78790fb76cp-6, -0x1.0589a2b2e0e1ep-6, -0x1.0081f91e639a9p-6, -0x1.f72072e7c3127p-7, -0x1.ed68266724278p-7, -0x1.e3da6d78fddfdp-7, -0x1.da76aa96bece4p-7, -0x1.d13c41f31006p-7, -0x1.c82a99778fdb9p-7, -0x1.bf4118c273509p-7, -0x1.b67f29243e043p-7, -0x1.ade4359d52bbdp-7, -0x1.a56faadb979f5p-7, -0x1.9d20f737e9337p-7, -0x1.94f78ab3a811dp-7, -0x1.8cf2d6f62eb39p-7, -0x1.85124f4a3ecb1p-7, -0x1.7d55689b61f22p-7, -0x1.75bb99734ff9ep-7, -0x1.6e4459f74727fp-7, -0x1.66ef23e55930bp-7, -0x1.5fbb7291bf3b8p-7, -0x1.58a8c2e42574fp-7, -0x1.51b69354e01ccp-7, -0x1.4ae463ea34473p-7, -0x1.4431b63593f48p-7, -0x1.3d9e0d50d7334p-7, -0x1.3728eddb67e46p-7, -0x1.30d1ddf775185p-7, -0x1.2a98654722339p-7, -0x1.247c0ce9b1b67p-7, -0x1.1e7c5f78b1fcfp-7, -0x1.1898e90515968p-7, -0x1.12d1371460de8p-7, -0x1.0d24d89dc22fbp-7, -0x1.07935e0733f25p-7, -0x1.021c59229e85bp-7, -0x1.f97eba55c119cp-8, -0x1.eef7fd81e82a6p-8, -0x1.e4a3a7d1f9978p-8, -0x1.da80e80ed8e02p-8, -0x1.d08eefbbf86a9p-8, -0x1.c6ccf311a77a7p-8, -0x1.bd3a28f71ff9p-8, -0x1.b3d5cafca9a22p-8, -0x1.aa9f1555ce5ccp-8, -0x1.a19546d358402p-8, -0x1.98b7a0dd831bbp-8, -0x1.9005676e1dab9p-8, -0x1.877de10aa062fp-8, -0x1.7f2056be498f8p-8, -0x1.76ec14145bd42p-8, -0x1.6ee0671215246p-8, -0x1.66fca030e31d3p-8, -0x1.5f4012588e5b8p-8, -0x1.57aa12d963923p-8, -0x1.5039f96640327p-8, -0x1.48ef200edb084p-8, -0x1.41c8e339d24b4p-8, -0x1.3ac6a19ef3f3p-8, -0x1.33e7bc4154815p-8, -0x1.2d2b966983a2fp-8, -0x1.2691959fb85e3p-8, -0x1.20194484b5b48p-8, -0x1.19c1c7c81af8bp-8, -0x1.138aadd41c811p-8, -0x1.0d7364f737ab1p-8, -0x1.077b5da2b3e5dp-8, -0x1.01a20a6508049p-8, -0x1.f7cdbfc80a9a3p-9, -0x1.ec92a9ae558dp-9, -0x1.e191c403c0a64p-9, -0x1.d6ca045bd78c3p-9, -0x1.cc3a644b30923p-9, -0x1.c1e1e15c5ad53p-9, -0x1.b7bf7d047f378p-9, -0x1.add23c9834082p-9, -0x1.a41929403ea57p-9, -0x1.9a934fee73869p-9, -0x1.913fc152c2bdcp-9, -0x1.881d91cfe5572p-9, -0x1.7f2bd97091436p-9, -0x1.7669b3dc7b27cp-9, -0x1.6dd6404d5e5f8p-9, -0x1.6570a1842f36p-9, -0x1.5d37fdbe48ap-9, -0x1.552b7eaad8715p-9, -0x1.4d4a515fddcc9p-9, -0x1.4593a64fd4f6p-9, -0x1.3e06b13efb917p-9, -0x1.36a2a938f0a27p-9, -0x1.2f66c8861fa28p-9, -0x1.28524ca165022p-9, -0x1.2164762dfcf9ap-9, -0x1.1a9c88ececeebp-9, -0x1.13f9cbb2fc66bp-9, -0x1.0d7b885e99b5dp-9, -0x1.07210bcdd3816p-9, -0x1.00e9a5d453f38p-9, -0x1.f5a95262dbe35p-10, -0x1.e9c2d70cfeaa4p-10, -0x1.de1e8a99e13e4p-10, -0x1.d2bb23994185ep-10, -0x1.c7975e2498debp-10, -0x1.bcb1fbcc05b55p-10, -0x1.b209c3834600fp-10, -0x1.a79d818f3e7c1p-10, -0x1.9d6c077324698p-10, -0x1.93742bde04ccep-10, -0x1.89b4ca987f6dbp-10, -0x1.802cc47311f7ep-10, -0x1.76daff3357254p-10, -0x1.6dbe6582e79dp-10, -0x1.64d5e6dd47a0bp-10, -0x1.5c20777ebee9dp-10, -0x1.539d1052b6ee3p-10, -0x1.4b4aaee2aca29p-10, -0x1.43285545a5f8p-10, -0x1.3b350a0e8f004p-10, -0x1.336fd83bff5bcp-10, -0x1.2bd7cf27cf3d3p-10, -0x1.246c02769b8abp-10, -0x1.1d2b8a07a1cfdp-10, -0x1.161581e4c6f91p-10, -0x1.0f290a3281e94p-10, -0x1.08654720dd488p-10, -0x1.01c960db1b646p-10, -0x1.f6a906f19a8cfp-11, -0x1.ea0bbddd48a57p-11, -0x1.ddb94dfeb4279p-11, -0x1.d1b02659ad7c4p-11, -0x1.c5eebd5316c19p-11, -0x1.ba7390936174p-11, -0x1.af3d24ead127dp-11, -0x1.a44a0633db062p-11, -0x1.9998c737a1451p-11, -0x1.8f280192723ap-11, -0x1.84f65597e011p-11, -0x1.7b026a373e4b5p-11, -0x1.714aece23478bp-11, -0x1.67ce91709fa97p-11, -0x1.5e8c120710a99p-11, -0x1.55822efcf2304p-11, -0x1.4cafaec2e433ep-11, -0x1.44135dc969353p-11, -0x1.3bac0e67826d2p-11, -0x1.337898c35051bp-11, -0x1.2b77dab80a62p-11, -0x1.23a8b7beec00ep-11, -0x1.1c0a18d74c4a5p-11, -0x1.149aec6ef9e9dp-11, -0x1.0d5a264b27818p-11, -0x1.0646bf71a3477p-11, -0x1.febf6c246aba9p-12, -0x1.f1481adfe065ap-12, -0x1.e4259b98a527cp-12, -0x1.d75608a074bb6p-12, -0x1.cad785ee98434p-12, -0x1.bea840f53a5c5p-12, -0x1.b2c67077d4354p-12, -0x1.a7305461d3655p-12, -0x1.9be4359e6e677p-12, -0x1.90e065f05bcf6p-12, -0x1.86233fca6d604p-12, -0x1.7bab2629a1d6bp-12, -0x1.7176846d16aap-12, -0x1.6783ce3180526p-12, -0x1.5dd17f2b904abp-12, -0x1.545e1b037e00ap-12, -0x1.4b282d3071255p-12, -0x1.422e48d67c2a4p-12, -0x1.396f08a0ad24dp-12, -0x1.30e90ea0eaa11p-12, -0x1.289b042c9ff46p-12, -0x1.208399bbe3377p-12, -0x1.18a186c808e3p-12, -0x1.10f389ab20423p-12, -0x1.0978677fee722p-12, -0x1.022eec0320211p-12, -0x1.f62bd2e638f1fp-13, -0x1.e85870e34168bp-13, -0x1.dae16fcc5307p-13, -0x1.cdc499c01df76p-13, -0x1.c0ffc4f28b9cbp-13, -0x1.b490d3734c845p-13, -0x1.a875b2f5e9a78p-13, -0x1.9cac5c9885b4fp-13, -0x1.9132d4af2be2p-13, -0x1.86072a8c027ffp-13, -0x1.7b27784ce345p-13, -0x1.7091e2a3a37fdp-13, -0x1.664498a5287acp-13, -0x1.5c3dd39638b68p-13, -0x1.527bd6b96f2c4p-13, -0x1.48fcef1eff556p-13, -0x1.3fbf7373b30b1p-13, -0x1.36c1c3d270e9ep-13, -0x1.2e024994d96cap-13, -0x1.257f7726775acp-13, -0x1.1d37c7d664cbdp-13, -0x1.1529bfabb7bd9p-13, -0x1.0d53eb39c706fp-13, -0x1.05b4df7586856p-13, -0x1.fc967314bf90cp-14, -0x1.ee2b3d61234cbp-14, -0x1.e025781055b9ap-14, -0x1.d2828cd67e637p-14, -0x1.c53ff492c3f48p-14, -0x1.b85b37025075ap-14, -0x1.abd1ea731be7ap-14, -0x1.9fa1b376db6fap-14, -0x1.93c8449bf6008p-14, -0x1.88435e2211516p-14, -0x1.7d10cdba6a668p-14, -0x1.722e6e34fb3c2p-14, -0x1.679a2745c8f73p-14, -0x1.5d51ed3fc9655p-14, -0x1.5353c0cc6bf0cp-14, -0x1.499daeb170019p-14, -0x1.402dcf8d66d6dp-14, -0x1.37024797fa689p-14, -0x1.2e1946652a833p-14, -0x1.257106a7e030bp-14, -0x1.1d07cdf6172dbp-14, -0x1.14dbec8c69ebfp-14, -0x1.0cebbd1b9f68dp-14, -0x1.0535a4840db2ap-14, -0x1.fb70234cf8043p-15, -0x1.ece2fa5820a08p-15, -0x1.dec0d29a8f23bp-15, -0x1.d106c34382439p-15, -0x1.c3b1f5d32c803p-15, -0x1.b6bfa5b65b9cp-15, -0x1.aa2d1fe2aebfap-15, -0x1.9df7c2756a08dp-15, -0x1.921cfc4fac522p-15, -0x1.869a4cc2bfc1fp-15, -0x1.7b6d432384218p-15, -0x1.70937e7c229a5p-15, -0x1.660aad2f79f83p-15, -0x1.5bd08c9dcdbc4p-15, -0x1.51e2e8d5ddd92p-15, -0x1.483f9c3a408cdp-15, -0x1.3ee48f38933dbp-15, -0x1.35cfb7ed1bb29p-15, -0x1.2cff19d701cedp-15, -0x1.2470c5906bb41p-15, -0x1.1c22d87c4fd27p-15, -0x1.14137c7dab2cep-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.af3b4df4c1b87p-3, -0x1.da475b994a539p-3, -0x1.0213e20ff7a5ap-2, -0x1.1639356447e88p-2, -0x1.29669b68a2654p-2, -0x1.3b767de225b75p-2, -0x1.4c4a365de5b23p-2, -0x1.5bc9de21acb7dp-2, -0x1.69e3cdc3c31ep-2, -0x1.768bce2104ec5p-2, -0x1.81ba7d6da8ed4p-2, -0x1.8b6cd894bf952p-2, -0x1.93a3a82e3434ap-2, -0x1.9a62e6cdf898p-2, -0x1.9fb14cc194044p-2, -0x1.a397fb6264a0dp-2, -0x1.a6221e95f721fp-2, -0x1.a75c7716c97bap-2, -0x1.a754f3268f0d5p-2, -0x1.a61a6ffbcaa7ap-2, -0x1.a3bc8f28aaaafp-2, -0x1.a04b74a215b85p-2, -0x1.9bd804a5063a8p-2, -0x1.9672c22cd71bdp-2, -0x1.902c5e11095e3p-2, -0x1.89156f6f8fb94p-2, -0x1.813e5a0d1f552p-2, -0x1.78b73518fd9b5p-2, -0x1.6f8fb4abdafb6p-2, -0x1.65d7183770272p-2, -0x1.5b9c1e462405ap-2, -0x1.50ecfc7c17eedp-2, -0x1.45d759ec0c08fp-2, -0x1.3a6849c3e7661p-2, -0x1.2eac45b45017fp-2, -0x1.22af295822e34p-2, -0x1.167c304af9a02p-2, -0x1.0a1df73031522p-2, -0x1.fb3cfcba7cfa6p-3, -0x1.e20e596ca1712p-3, -0x1.c8c1a4a6001e4p-3, -0x1.af6756cad17b2p-3, -0x1.960ec7c0290bcp-3, -0x1.7cc63794a4845p-3, -0x1.639ad7ac6932ep-3, -0x1.4a98d3e8b63c8p-3, -0x1.31cb5c141e533p-3, -0x1.193cae3f8e32cp-3, -0x1.00f622593a778p-3, -0x1.d2006d0b3104dp-4, -0x1.a2c5369367188p-4, -0x1.74487d6f6630cp-4, -0x1.4696acc191ce4p-4, -0x1.19bad0d49a771p-4, -0x1.db7d51c292c7cp-5, -0x1.85557323726bfp-5, -0x1.310cc14a36c75p-5, -0x1.bd5fa50b36611p-6, -0x1.1c9280207fcf9p-6, -0x1.ff0e5d582659fp-8, 0x1.8fefd005b2f84p-10, 0x1.5b54a75bb41abp-7, 0x1.3e367cc2450eep-6, 0x1.c8eb2057cd189p-6, 0x1.288f441626337p-5, 0x1.6a96d0c879a1ap-5, 0x1.aa8d76f61de9bp-5, 0x1.e875828454993p-5, 0x1.122917508c296p-4, 0x1.2f13c5186f3eap-4, 0x1.4afd2ed692d16p-4, 0x1.65e809aa1bb75p-4, 0x1.7fd751192d38fp-4, 0x1.98ce3e1687ce5p-4, 0x1.b0d03f7310556p-4, 0x1.c7e0f3896e4dfp-4, 0x1.de0422e39c359p-4, 0x1.f33dbb98a23d8p-4, 0x1.03c8e69410204p-3, 0x1.0d82425317b93p-3, 0x1.16cd148c9a275p-3, 0x1.1fab8bfcef6fdp-3, 0x1.281fe0e918125p-3, 0x1.302c5380b882bp-3, 0x1.37d32a57fc14ap-3, 0x1.3f16b0ff11bc5p-3, 0x1.45f936bb98b5ep-3, 0x1.4c7d0d655dcccp-3, 0x1.52a4886481141p-3, 0x1.5871fbcbab63dp-3, 0x1.5de7bb8665777p-3, 0x1.63081a9232dd9p-3, 0x1.67d56a38fc093p-3, 0x1.6c51f944c98bbp-3, 0x1.708013272fab2p-3, 0x1.7461ff121ec06p-3, 0x1.77f9ff031d9b8p-3, 0x1.7b4a4ec53a531p-3, 0x1.7e5522f05b0d2p-3, 0x1.811ca7ee2eb4ep-3, 0x1.83a3010d5d6ccp-3, 0x1.85ea47ab2636fp-3, 0x1.87f48a7a09b62p-3, 0x1.89c3ccea6e826p-3, 0x1.8b5a06b7d80d7p-3, 0x1.8cb9239b6b71ep-3, 0x1.8de3032293983p-3, 0x1.8ed978a76ccb2p-3, 0x1.8f9e4b677a0ebp-3, 0x1.903336b4cf746p-3, 0x1.9099ea3d56f61p-3, 0x1.90d40a63c58c3p-3, 0x1.90e330a5b3022p-3, 0x1.90c8ec0a381abp-3, 0x1.9086c1946881bp-3, 0x1.901e2cb536534p-3, 0x1.8f909fb880079p-3, 0x1.8edf842987586p-3, 0x1.8e0c3b2bd058ep-3, 0x1.8d181dc638714p-3, 0x1.8c047d1f13229p-3, 0x1.8ad2a2a918ad1p-3, 0x1.8983d041d5a4bp-3, 0x1.8819404319331p-3, 0x1.869425895a0b7p-3, 0x1.84f5ab7170febp-3, 0x1.833ef5d018d4p-3, 0x1.817120e595d97p-3, 0x1.7f8d414fc0096p-3, 0x1.7d9463fc4c854p-3, 0x1.7b878e1d161e1p-3, 0x1.7967bd1fa3552p-3, 0x1.7735e6a91405cp-3, 0x1.74f2f8973e63ep-3, 0x1.729fd907b94d7p-3, 0x1.703d66652f6acp-3, 0x1.6dcc777b5696ep-3, 0x1.6b4ddb919e0acp-3, 0x1.68c25a8c7fef1p-3, 0x1.662ab5153e0adp-3, 0x1.6387a4c78840cp-3, 0x1.60d9dc648f124p-3, 0x1.5e22080ab454dp-3, 0x1.5b60cd7109a14p-3, 0x1.5896cc25b7ca8p-3, 0x1.55c49dce5d779p-3, 0x1.52ead6696db45p-3, 0x1.500c2e186455fp-3, 0x1.4d23f8772eafep-3, 0x1.4a35bedf89291p-3, 0x1.474206ad49c86p-3, 0x1.444950b3d65f4p-3, 0x1.414c195338f0dp-3, 0x1.3e4ad88d48543p-3, 0x1.3b46021b584cbp-3, 0x1.383e0584cc922p-3, 0x1.35334e36da6f5p-3, 0x1.3226439d8fd4ep-3, 0x1.2f17493e3ce8p-3, 0x1.2c06bed31e9fap-3, 0x1.28f500683e1f8p-3, 0x1.25e2667943baep-3, 0x1.22cf460fff298p-3, 0x1.1fbbf0e36d85dp-3, 0x1.1ca8b576db70bp-3, 0x1.1995df38e6a9bp-3, 0x1.1683b6a216fa9p-3, 0x1.13728152c2d18p-3, 0x1.1062823008ff6p-3, 0x1.0d53f97fb0fd8p-3, 0x1.0a472502bb2f9p-3, 0x1.073c400e8c076p-3, 0x1.043383a49dcdbp-3, 0x1.012d26889dccep-3, 0x1.fc52baaa0b257p-4, 0x1.f650b51c3ba29p-4, 0x1.f0549d6724e77p-4, 0x1.ea5ed0a11ff8cp-4, 0x1.e46fa81528c9dp-4, 0x1.de87795e11391p-4, 0x1.d8a6967f849eap-4, 0x1.d2cd4dfd33e1fp-4, 0x1.ccfbeaf04b83ep-4, 0x1.c732b51ba2721p-4, 0x1.c171f0fed669ep-4, 0x1.bbb9dfe8872d7p-4, 0x1.b60ac00814d13p-4, 0x1.b064cc7efd471p-4, 0x1.aac83d71fa95dp-4, 0x1.a535481a427bfp-4, 0x1.9fac1ed6c6137p-4, 0x1.9a2cf13db9962p-4, 0x1.94b7ec2e5a959p-4, 0x1.8f4d39e30c39cp-4, 0x1.89ed0203c2d71p-4, 0x1.849769b8c09d9p-4, 0x1.7f4c93bd97c5dp-4, 0x1.7a0ca07465362p-4, 0x1.74d7adf935ba9p-4, 0x1.6fadd8357e3cbp-4, 0x1.6a8f38f3996f7p-4, 0x1.657be7f22e6fbp-4, 0x1.6073faf771be8p-4, 0x1.5b7785e4284f1p-4, 0x1.56869ac65a894p-4, 0x1.51a149eba49afp-4, 0x1.4cc7a1f315d82p-4, 0x1.47f9afde8d927p-4, 0x1.43377f238b33bp-4, 0x1.3e8119bb67ef3p-4, 0x1.39d68832f0887p-4, 0x1.3537d1b95a16cp-4, 0x1.30a4fc2e8c7ep-4, 0x1.2c1e0c30c4318p-4, 0x1.27a3052985a05p-4, 0x1.2333e959e9548p-4, 0x1.1ed0b9e63f02fp-4, 0x1.1a7976e10fcf6p-4, 0x1.162e1f5582105p-4, 0x1.11eeb15127021p-4, 0x1.0dbb29ed39fb6p-4, 0x1.099385575858ep-4, 0x1.0577bed9ba382p-4, 0x1.0167d0e2f8516p-4, 0x1.fac76a1ac870cp-5, 0x1.f2d6c84bfdf4cp-5, 0x1.eafdac662f311p-5, 0x1.e33c04f530d26p-5, 0x1.db91bf101fbap-5, 0x1.d3fec664f329ap-5, 0x1.cc830543a6707p-5, 0x1.c51e64a903981p-5, 0x1.bdd0cc492320dp-5, 0x1.b69a2299a7216p-5, 0x1.af7a4cdbc3086p-5, 0x1.a8712f2615fa5p-5, 0x1.a17eac6e64773p-5, 0x1.9aa2a69333638p-5, 0x1.93dcfe6550119p-5, 0x1.8d2d93b146593p-5, 0x1.86944548ca5eap-5, 0x1.8010f10c1555p-5, 0x1.79a373f33e62p-5, 0x1.734baa1784066p-5, 0x1.6d096ebc941ddp-5, 0x1.66dc9c59c4647p-5, 0x1.60c50ca34397cp-5, 0x1.5ac298933c85ap-5, 0x1.54d51872e99fbp-5, 0x1.4efc63e398b93p-5, 0x1.493851e7967ecp-5, 0x1.4388b8eb06ed5p-5, 0x1.3ded6ecc9fe18p-5, 0x1.386648e648355p-5, 0x1.32f31c159516bp-5, 0x1.2d93bcc425f15p-5, 0x1.2847feefd83c8p-5, 0x1.230fb632d43aap-5, 0x1.1deab5cb6f265p-5, 0x1.18d8d0a3deed9p-5, 0x1.13d9d959bf7cp-5, 0x1.0eeda245671c9p-5, 0x1.0a13fd8109f3bp-5, 0x1.054cbcefa587ap-5, 0x1.0097b243bd232p-5, 0x1.f7e95e0bb909ep-6, 0x1.eec70935cadadp-6, 0x1.e5c808944f645p-6, 0x1.dcebfe8680a2bp-6, 0x1.d4328d47877dp-6, 0x1.cb9b56f964b4cp-6, 0x1.c325fdaf666d4p-6, 0x1.bad223783a7bdp-6, 0x1.b29f6a6795c0ep-6, 0x1.aa8d749f708c2p-6, 0x1.a29be458e34c8p-6, 0x1.9aca5bec9c839p-6, 0x1.93187ddaf9216p-6, 0x1.8b85ecd3bf498p-6, 0x1.84124bbd7d9d3p-6, 0x1.7cbd3dbc94abbp-6, 0x1.75866639ee0e8p-6, 0x1.6e6d68e961e3fp-6, 0x1.6771e9cfccc66p-6, 0x1.60938d48e0183p-6, 0x1.59d1f80ca922p-6, 0x1.532ccf34d826ap-6, 0x1.4ca3b841c2818p-6, 0x1.4636591f2c79bp-6, 0x1.3fe45828d960cp-6, 0x1.39ad5c2ee095bp-6, 0x1.33910c79d2ae1p-6, 0x1.2d8f10cead5d2p-6, 0x1.27a71172a0352p-6, 0x1.21d8b72ea18efp-6, 0x1.1c23ab52e0f6bp-6, 0x1.168797ba0b26ap-6, 0x1.110426cc6a1f3p-6, 0x1.0b990382e4dfbp-6, 0x1.0645d969d86bcp-6, 0x1.010a54a3cfbd9p-6, 0x1.f7cc43d844c69p-7, 0x1.edb1dd32dd08ep-7, 0x1.e3c4d13feeecep-7, 0x1.da047d27da2f5p-7, 0x1.d0703f5724304p-7, 0x1.c70777829a4b9p-7, 0x1.bdc986ab3644fp-7, 0x1.b4b5cf21e255p-7, 0x1.abcbb48af8409p-7, 0x1.a30a9be1a2e1bp-7, 0x1.9a71eb7b08cd8p-7, 0x1.92010b094b594p-7, 0x1.89b7639e545dp-7, 0x1.8193c3dd6e3f4p-7, 0x1.7996eb0bdbb05p-7, 0x1.71bf8e2d8d3a3p-7, 0x1.6a0d1bd90cb86p-7, 0x1.627f041202d3ep-7, 0x1.5b14b84afd987p-7, 0x1.53cdab6709ffep-7, 0x1.4ca951bb1f0cfp-7, 0x1.45a7210f6aa2fp-7, 0x1.3ec690a06ecc5p-7, 0x1.3807191ff7751p-7, 0x1.316834b5eb694p-7, 0x1.2ae95f00f513ap-7, 0x1.248a151705185p-7, 0x1.1e49d585adcfcp-7, 0x1.182820525c6a1p-7, 0x1.122476fa6aaaep-7, 0x1.0c3e5c730c9d9p-7, 0x1.067555291b864p-7, 0x1.00c8e700bca7cp-7, 0x1.f67132a9cdecep-8, 0x1.eb87e9ed89cfep-8, 0x1.e0d50859eee0bp-8, 0x1.d657a5656e297p-8, 0x1.cc0edb6daaa5cp-8, 0x1.c1f9c7b53f468p-8, 0x1.b8178a6148286p-8, 0x1.ae674676b13efp-8, 0x1.a4e821d74b941p-8, 0x1.9b99453eab134p-8, 0x1.9279dc3ed2cc2p-8, 0x1.8989153ca6173p-8, 0x1.80c6216c2ef38p-8, 0x1.783034ccafc03p-8, 0x1.6fc686248a2e1p-8, 0x1.67884efcf7bf7p-8, 0x1.5f74cb9d99779p-8, 0x1.578b3b07e0223p-8, 0x1.4fcadef24c5a8p-8, 0x1.4832fbc38ad34p-8, 0x1.40c2d88d6ff7fp-8, 0x1.3979bf07d0eebp-8, 0x1.3256fb8b4074ep-8, 0x1.2b59dd0baf058p-8, 0x1.2481b512ed297p-8, 0x1.1dcdd7bb1b7c7p-8, 0x1.173d9ba8fd6b4p-8, 0x1.10d05a063d4fbp-8, 0x1.0a856e7b9737p-8, 0x1.045c372af81dcp-8, 0x1.fca8295311d02p-9, 0x1.f0d8d3f3601f2p-9, 0x1.e549390a044bbp-9, 0x1.d9f8282c57bbap-9, 0x1.cee475a5a2c55p-9, 0x1.c40cfa6ac839bp-9, 0x1.b970940de6ccbp-9, 0x1.af0e24b1f32b5p-9, 0x1.a4e492fe46d08p-9, 0x1.9af2ca1227874p-9, 0x1.9137b978512e6p-9, 0x1.87b2551a74c94p-9, 0x1.7e619534c8746p-9, 0x1.7544764981658p-9, 0x1.6c59f91466206p-9, 0x1.63a1227e5c2afp-9, 0x1.5b18fb90fda2dp-9, 0x1.52c0916a33e45p-9, 0x1.4a96f52fdfb37p-9, 0x1.429b3c037e952p-9, 0x1.3acc7ef5eb2d7p-9, 0x1.3329dafb15bc7p-9, 0x1.2bb270ddd1ff7p-9, 0x1.24656533abd35p-9, 0x1.1d41e050c95a1p-9, 0x1.16470e3bd0809p-9, 0x1.0f741ea1e78a7p-9, 0x1.08c844cab08c4p-9, 0x1.0242b78c54a95p-9, 0x1.f7c5627f4ccc6p-10, 0x1.eb4edf687a73ap-10, 0x1.df2068495847cp-10, 0x1.d33886556c063p-10, 0x1.c795c9673e62bp-10, 0x1.bc36c7e8f0bccp-10, 0x1.b11a1ebd021ebp-10, 0x1.a63e712724002p-10, 0x1.9ba268b52b2e1p-10, 0x1.9144b52816176p-10, 0x1.87240c5d329fep-10, 0x1.7d3f2a375cb86p-10, 0x1.7394d088525adp-10, 0x1.6a23c6fa34903p-10, 0x1.60eadaf91959ap-10, 0x1.57e8df9cc2c0cp-10, 0x1.4f1cad9277afap-10, 0x1.468523070670dp-10, 0x1.3e212390da534p-10, 0x1.35ef981a529bcp-10, 0x1.2def6ecc2c9a5p-10, 0x1.261f9af822aa3p-10, 0x1.1e7f1503bddcap-10, 0x1.170cda5346094p-10, 0x1.0fc7ed34f32c8p-10, 0x1.08af54cc4aae6p-10, 0x1.01c21cfdb7c5ep-10, 0x1.f5feacb4a35dfp-11, 0x1.e8cc2c17cb50cp-11, 0x1.dbeaeb825940ap-11, 0x1.cf5927349cafdp-11, 0x1.c315242b326ecp-11, 0x1.b71d2ff8eefe6p-11, 0x1.ab6fa0a150808p-11, 0x1.a00ad4736d68dp-11, 0x1.94ed31e57af34p-11, 0x1.8a152770bf02dp-11, 0x1.7f812b6e18a6dp-11, 0x1.752fbbf3096c9p-11, 0x1.6b1f5eaf4c551p-11, 0x1.614ea0caf8673p-11, 0x1.57bc16c522088p-11, 0x1.4e665c53148eap-11, 0x1.454c144005308p-11, 0x1.3c6be84d44108p-11, 0x1.33c4891320f91p-11, 0x1.2b54ade21f227p-11, 0x1.231b14a4d0816p-11, 0x1.1b1681c21c0bbp-11, 0x1.1345c00013e07p-11, 0x1.0ba7a06743762p-11, 0x1.043afa267d01ep-11, 0x1.f9fd54ee39493p-12, 0x1.ebe32903815e9p-12, 0x1.de25428709051p-12, 0x1.d0c17ee742defp-12, 0x1.c3b5c6d301b9ap-12, 0x1.b7000e0691634p-12, 0x1.aa9e5319890cbp-12, 0x1.9e8e9f4d7f4cep-12, 0x1.92cf065d94f6bp-12, 0x1.875da64ea20f9p-12, 0x1.7c38a74048e8ep-12, 0x1.715e3b3ef61ccp-12, 0x1.66cc9e160d20cp-12, 0x1.5c8215235d28cp-12, 0x1.527cef2af7c41p-12, 0x1.48bb842bcda2fp-12, 0x1.3f3c3534d853p-12, 0x1.35fd6c3b19e71p-12, 0x1.2cfd9beff8f1ap-12, 0x1.243b3f98a54ffp-12, 0x1.1bb4dae54cc4p-12, 0x1.1368f9c9cba9ap-12, 0x1.0b5630566960bp-12, 0x1.037b1a90faf35p-12, 0x1.f7acb89e30008p-13, 0x1.e8cd4220ab016p-13, 0x1.da5537b293ba4p-13, 0x1.cc420e1dbb24bp-13, 0x1.be9148a47cd52p-13, 0x1.b14078ba7497dp-13, 0x1.a44d3dbe0251bp-13, 0x1.97b544b34d959p-13, 0x1.8b7647fedd241p-13, 0x1.7f8e0f22a96cep-13, 0x1.73fa6e7af0e9ep-13, 0x1.68b946fc16307p-13, 0x1.5dc885f1d9b0dp-13, 0x1.532624bed19b2p-13, 0x1.48d0289cf8fe1p-13, 0x1.3ec4a25f11a9fp-13, 0x1.3501ae32f2f7bp-13, 0x1.2b85736477fcep-13, 0x1.224e2421c7a0ep-13, 0x1.1959fd3fa04b5p-13, 0x1.10a745ff8829cp-13, 0x1.08344fd65a3b2p-13, 0x1.fffeec6719cf4p-14, 0x1.f00e3c9463e5fp-14, 0x1.e0936db448bcap-14, 0x1.d18b6ff5d814bp-14, 0x1.c2f345cde3066p-14, 0x1.b4c803907e081p-14, 0x1.a706cf0cecdaap-14, 0x1.99acdf2ad456ep-14, 0x1.8cb77b8aa1819p-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.38d2ec0cffae4p-1, -0x1.40014eeb79dfcp-1, -0x1.44ff605182b65p-1, -0x1.480129385ec32p-1, -0x1.493d472a3d0bep-1, -0x1.48eab5f0bb0b7p-1, -0x1.473f331c1e427p-1, -0x1.446e43f49d80cp-1, -0x1.40a887616e432p-1, -0x1.3c1b2157bf47ep-1, -0x1.36ef598c081f6p-1, -0x1.314a8127085c5p-1, -0x1.2b4e053a9ee7dp-1, -0x1.25178d63d9b86p-1, -0x1.1ec11e1b47df2p-1, -0x1.1861446d07a5p-1, -0x1.120b514435a88p-1, -0x1.0bcfa1f4e6df3p-1, -0x1.05bbe882a2e1fp-1, -0x1.ffb6d3e56d071p-2, -0x1.f46e6d6311d2fp-2, -0x1.e9accb0f90964p-2, -0x1.df7c73f0aa254p-2, -0x1.d5e51da842e53p-2, -0x1.ccebb7f9083bcp-2, -0x1.c492e12e3848fp-2, -0x1.bcdb39a8d356fp-2, -0x1.b5c3ad63f144dp-2, -0x1.af49b5703b43dp-2, -0x1.a96993ec1f409p-2, -0x1.a41e8b488a6c4p-2, -0x1.9f630fe2c7e88p-2, -0x1.9b30f321dc761p-2, -0x1.978188bf76151p-2, -0x1.944dc79f9e1d7p-2, -0x1.918e66f3f9b63p-2, -0x1.8f3bf79ac67fcp-2, -0x1.8d4ef9b8c680dp-2, -0x1.8bbfef12d009cp-2, -0x1.8a876ad24e7cp-2, -0x1.899e1f0918ea9p-2, -0x1.88fce7f587addp-2, -0x1.889cd513b600cp-2, -0x1.8877305095459p-2, -0x1.888583d892e5ep-2, -0x1.88c19ed1939e6p-2, -0x1.8925990039a7bp-2, -0x1.89abd52cb3e8fp-2, -0x1.8a4f023761f3fp-2, -0x1.8b0a1b15a5805p-2, -0x1.8bd866273211cp-2, -0x1.8cb57452620e3p-2, -0x1.8d9d201d9ae24p-2, -0x1.8e8b8cb3484d7p-2, -0x1.8f7d249171d5cp-2, -0x1.906e97aad8fe6p-2, -0x1.915cd8ec922d2p-2, -0x1.92451b514a52bp-2, -0x1.9324cecbfefbap-2, -0x1.93f99d5012a4cp-2, -0x1.94c1681bd757ep-2, -0x1.957a45413d74bp-2, -0x1.96227d4ba9153p-2, -0x1.96ae5c47636dcp-2, -0x1.973045b700fe1p-2, -0x1.979d94698f181p-2, -0x1.97f544e2467f7p-2, -0x1.983678404596cp-2, -0x1.9860721be3e4dp-2, -0x1.987296816dbcdp-2, -0x1.986c67fa4dd2p-2, -0x1.984d8598d0a8dp-2, -0x1.9815a8ffab785p-2, -0x1.97c4a46478a9cp-2, -0x1.975a6091d081p-2, -0x1.96d6daf161105p-2, -0x1.963a23a7b8286p-2, -0x1.95845bcab155dp-2, -0x1.94b5b3b8fbd37p-2, -0x1.93ce699654e98p-2, -0x1.92cec7ed2e208p-2, -0x1.91b72474772ecp-2, -0x1.9087def6cb808p-2, -0x1.8f41605799e6fp-2, -0x1.8de419b26396ep-2, -0x1.8c70839010682p-2, -0x1.8ae71d2e36988p-2, -0x1.89486bd455c69p-2, -0x1.8794fa3346cd2p-2, -0x1.85cd57cbb7b27p-2, -0x1.83f2185936657p-2, -0x1.8203d3402806cp-2, -0x1.800322fdc3a4ep-2, -0x1.7df0a499d972dp-2, -0x1.7bccf71a9e52ap-2, -0x1.7998bafb01d8fp-2, -0x1.775491a449434p-2, -0x1.75011cebcb47dp-2, -0x1.729efe95ca83dp-2, -0x1.702ed7de8d484p-2, -0x1.6db1490ae7138p-2, -0x1.6b26f101799c2p-2, -0x1.68906cedcf428p-2, -0x1.65ee57ee4451dp-2, -0x1.63414acd5d652p-2, -0x1.6089dbc6c0986p-2, -0x1.5dc89e579a1b6p-2, -0x1.5afe2319da92fp-2, -0x1.582af7a967109p-2, -0x1.554fa692324f2p-2, -0x1.526cb74617364p-2, -0x1.4f82ae194edadp-2, -0x1.4c920c4466506p-2, -0x1.499b4feaa5cfcp-2, -0x1.469ef423ed31dp-2, -0x1.439d7108ff9e1p-2, -0x1.40973bc15a9b6p-2, -0x1.3d8cc691a0e76p-2, -0x1.3a7e80e9c192cp-2, -0x1.376cd7721c121p-2, -0x1.34583416f9b24p-2, -0x1.3140fe11ed9c7p-2, -0x1.2e2799f0d7ad6p-2, -0x1.2b0c699a870d7p-2, -0x1.27efcc5116ebbp-2, -0x1.24d21eb25aaf4p-2, -0x1.21b3bab6c5cf6p-2, -0x1.1e94f7af4611dp-2, -0x1.1b762a429c7c1p-2, -0x1.1857a46aa7506p-2, -0x1.1539b5721fb5bp-2, -0x1.121ca9f31f0bep-2, -0x1.0f00cbd6cdff2p-2, -0x1.0be66256705f3p-2, -0x1.08cdb1fe098aep-2, -0x1.05b6fcb0b4b3fp-2, -0x1.02a281aebf7fap-2, -0x1.ff20fb3b2db04p-3, -0x1.f9025522ec348p-3, -0x1.f2e980319357p-3, -0x1.ecd6e69256eb6p-3, -0x1.e6caed9bab519p-3, -0x1.e0c5f5eebb29ep-3, -0x1.dac85b991a89fp-3, -0x1.d4d2763840f44p-3, -0x1.cee4991e7843cp-3, -0x1.c8ff1378c5668p-3, -0x1.c323a33381781p-3, -0x1.bd4f42d27da4cp-3, -0x1.b7840aedf422ap-3, -0x1.b1c23e280361p-3, -0x1.ac0a1bb392fbdp-3, -0x1.a65bdf69a6964p-3, -0x1.a0b7c1dee8207p-3, -0x1.9b1df8797bff7p-3, -0x1.958eb5870ca06p-3, -0x1.900a285319c5fp-3, -0x1.8a907d3d6da89p-3, -0x1.8521ddd0ba8d6p-3, -0x1.7fbe70d94831dp-3, -0x1.7a665a7ba3db2p-3, -0x1.7519bc4b3ded1p-3, -0x1.6fd8b560e7d61p-3, -0x1.6aa3627118ce9p-3, -0x1.6579dde1ec3a2p-3, -0x1.605c3fe0c9d4fp-3, -0x1.5b4a9e77955f8p-3, -0x1.56450da166a9dp-3, -0x1.514b9f5eb401p-3, -0x1.4c5e63c8d57c3p-3, -0x1.477d6924e3ccdp-3, -0x1.42a8bbf5e1dc6p-3, -0x1.3de0670e24e61p-3, -0x1.392473a0059afp-3, -0x1.3474e94dbfedap-3, -0x1.2fd1ce38a210cp-3, -0x1.2b3b270f72e8p-3, -0x1.26b0f71c25e9fp-3, -0x1.22334050e1b98p-3, -0x1.1dc2035460802p-3, -0x1.195d3f8db3b5fp-3, -0x1.1504f32f8236ep-3, -0x1.10b91b42bee1cp-3, -0x1.0c79b3b0f062bp-3, -0x1.0846b74e0beb7p-3, -0x1.04201fe1fb7a2p-3, -0x1.0005e631d333ep-3, -0x1.f7f004118607dp-4, -0x1.efecd4819c5b1p-4, -0x1.e8022996a87ep-4, -0x1.e02fed72dc135p-4, -0x1.d876088857a16p-4, -0x1.d0d461a96ce1fp-4, -0x1.c94ade18a37f3p-4, -0x1.c1d96198a52fdp-4, -0x1.ba7fce7bea7e1p-4, -0x1.b33e05b44b691p-4, -0x1.ac13e6e26e993p-4, -0x1.a5015064fb024p-4, -0x1.9e061f67a9da7p-4, -0x1.97222ff2293f8p-4, -0x1.90555cf6b9b7ep-4, -0x1.899f8060a06dep-4, -0x1.830073224e789p-4, -0x1.7c780d4346872p-4, -0x1.760625edb2263p-4, -0x1.6faa937ba8e94p-4, -0x1.69652b841ebd4p-4, -0x1.6335c2e776edp-4, -0x1.5d1c2ddbb7186p-4, -0x1.57183ff855038p-4, -0x1.5129cc419da92p-4, -0x1.4b50a533b2bf3p-4, -0x1.458c9ccd1a482p-4, -0x1.3fdd8498e24dp-4, -0x1.3a432db855c2dp-4, -0x1.34bd68ec44e4fp-4, -0x1.2f4c069ddfc8bp-4, -0x1.29eed6e72844ep-4, -0x1.24a5a99af93d2p-4, -0x1.1f704e4cab969p-4, -0x1.1a4e945757f3dp-4, -0x1.15404ae4bbe81p-4, -0x1.104540f3c544fp-4, -0x1.0b5d455ecbf4ep-4, -0x1.068826e17925fp-4, -0x1.01c5b41e66dbap-4, -0x1.fa2b7748edb0bp-5, -0x1.f0f017e7daba4p-5, -0x1.e7d8e7069656fp-5, -0x1.dee58187e5dbap-5, -0x1.d615844d34c08p-5, -0x1.cd688c3f184cep-5, -0x1.c4de36557fe04p-5, -0x1.bc761f9f8ead8p-5, -0x1.b42fe54b318e4p-5, -0x1.ac0b24ac72569p-5, -0x1.a4077b4486e69p-5, -0x1.9c2486c8ae463p-5, -0x1.9461e528d5751p-5, -0x1.8cbf34960c60cp-5, -0x1.853c1388ccc39p-5, -0x1.7dd820c716cacp-5, -0x1.7692fb6a6816bp-5, -0x1.6f6c42e589376p-5, -0x1.6863970a3960cp-5, -0x1.6178980eb420bp-5, -0x1.5aaae693170f2p-5, -0x1.53fa23a6a55e2p-5, -0x1.4d65f0cce678p-5, -0x1.46edf002a54dp-5, -0x1.4091c3c2cb63ap-5, -0x1.3a510f0b19c84p-5, -0x1.342b7560bcb08p-5, -0x1.2e209ad4bb95fp-5, -0x1.283024084404ep-5, -0x1.2259b630cb9adp-5, -0x1.1c9cf71c0d137p-5, -0x1.16f98d33dd392p-5, -0x1.116f1f81d75fcp-5, -0x1.0bfd55b2dde3ap-5, -0x1.06a3d81a744fap-5, -0x1.01624fb5effdep-5, -0x1.f870cc5ef5435p-6, -0x1.ee4b8bc1e072cp-6, -0x1.e45433ad1bb6ap-6, -0x1.da8a1ba2f93d4p-6, -0x1.d0ec9c945955cp-6, -0x1.c77b10e51c4cdp-6, -0x1.be34d4703a36dp-6, -0x1.b519448b90d7ap-6, -0x1.ac27c00b64218p-6, -0x1.a35fa7458c601p-6, -0x1.9ac05c1467de5p-6, -0x1.924941d9727a7p-6, -0x1.89f9bd7fa5a25p-6, -0x1.81d1357d8c502p-6, -0x1.79cf11d7142dep-6, -0x1.71f2bc1f22e81p-6, -0x1.6a3b9f78e73ebp-6, -0x1.62a92898efae6p-6, -0x1.5b3ac5c60981ep-6, -0x1.53efe6d9e35f8p-6, -0x1.4cc7fd417a5b4p-6, -0x1.45c27bfd545efp-6, -0x1.3eded7a1894ffp-6, -0x1.381c865598226p-6, -0x1.317affd417552p-6, -0x1.2af9bd6a2c6d8p-6, -0x1.249839f6e5315p-6, -0x1.1e55f1ea675c5p-6, -0x1.18326344fa55dp-6, -0x1.122d0d95e97dep-6, -0x1.0c4571fa4c722p-6, -0x1.067b131bac222p-6, -0x1.00cd752e8c736p-6, -0x1.f6783be1ac738p-7, -0x1.eb8d29505991p-7, -0x1.e0d8c4405022bp-7, -0x1.d65a2150ef159p-7, -0x1.cc105825e15cdp-7, -0x1.c1fa836314ee1p-7, -0x1.b817c0a8861dap-7, -0x1.ae67308df03c3p-7, -0x1.a4e7f69e52948p-7, -0x1.9b9939535c134p-7, -0x1.927a2210c06acp-7, -0x1.8989dd1f5d5cap-7, -0x1.80c799a8616bcp-7, -0x1.783289b038da6p-7, -0x1.6fc9e21187533p-7, -0x1.678cda77e9466p-7, -0x1.5f7aad5ab817ap-7, -0x1.579297f7af556p-7, -0x1.4fd3774769521p-7, -0x1.483d60ad33e23p-7, -0x1.40cf29c87e6dbp-7, -0x1.39881aaf75053p-7, -0x1.32677e239d2p-7, -0x1.2b6ca18c17bf9p-7, -0x1.2496d4efd026dp-7, -0x1.1de56aef9e9aap-7, -0x1.1757b8c05d342p-7, -0x1.10ed1624f53d2p-7, -0x1.0aa4dd685bf0ep-7, -0x1.047e6b5787a3ep-7, -0x1.fcf23e76b742dp-8, -0x1.f128b5a516e67p-8, -0x1.e59f0496e465fp-8, -0x1.da53f87bcf7e9p-8, -0x1.cf46634a1634dp-8, -0x1.c4751bb20aa6fp-8, -0x1.b9defd1194a64p-8, -0x1.af82e767a4ae1p-8, -0x1.a55fbf479b4fbp-8, -0x1.9b746dcca82ccp-8, -0x1.91bfe08d2aea9p-8, -0x1.8841098e0779dp-8, -0x1.7ef6df35ec045p-8, -0x1.75e05c40a775ap-8, -0x1.6cfc7fb26db82p-8, -0x1.644a4ccb23d37p-8, -0x1.5bc8caf9a3e19p-8, -0x1.537705cf0464ap-8, -0x1.4b540cf1edaeep-8, -0x1.435ef411da2f9p-8, -0x1.3b96d2da6ef3ap-8, -0x1.33fac4e6d306ap-8, -0x1.2c89e9b50c753p-8, -0x1.2543649965304p-8, -0x1.1e265cb1d6225p-8, -0x1.1731fcd981774p-8, -0x1.1065739c30d57p-8, -0x1.09bff329e552p-8, -0x1.0340b14a6d4eep-8, -0x1.f9cdcea21f78dp-9, -0x1.ed63a4207baa4p-9, -0x1.e141639ab11a3p-9, -0x1.d56594691a2cp-9, -0x1.c9cec49961a68p-9, -0x1.be7b88d6818aap-9, -0x1.b36a7c50e3b0dp-9, -0x1.a89a40a68d18bp-9, -0x1.9e097dcb9d1a4p-9, -0x1.93b6e1f2d508p-9, -0x1.89a1217666304p-9, -0x1.7fc6f6c0d271fp-9, -0x1.762722361960dp-9, -0x1.6cc06a1d0610fp-9, -0x1.63919a88a7aa4p-9, -0x1.5a99854206392p-9, -0x1.51d701b2183b8p-9, -0x1.4948eccbd0f3ap-9, -0x1.40ee28f67519p-9, -0x1.38c59df829852p-9, -0x1.30ce38e09e961p-9, -0x1.2906ebf41d858p-9, -0x1.216eae96a9732p-9, -0x1.1a047d375eec3p-9, -0x1.12c7593c1ca27p-9, -0x1.0bb648ed51d9cp-9, -0x1.04d057621064ap-9, -0x1.fc2928d89f345p-10, -0x1.ef04290adb916p-10, -0x1.e22fe175dbca8p-10, -0x1.d5aa8d36b5e4bp-10, -0x1.c9727046edac8p-10, -0x1.bd85d757507ccp-10, -0x1.b1e317aaf98d1p-10, -0x1.a6888ef2f861dp-10, -0x1.9b74a32a95fccp-10, -0x1.90a5c2737184ep-10, -0x1.861a62f2b0c75p-10, -0x1.7bd102ae29f63p-10, -0x1.71c8276a3e2c2p-10, -0x1.67fe5e87e8da9p-10, -0x1.5e723ce356534p-10, -0x1.55225eb2e307fp-10, -0x1.4c0d676674dbbp-10, -0x1.4332018743ebap-10, -0x1.3a8ede980aec7p-10, -0x1.3222b6f5919abp-10, -0x1.29ec49b7ac429p-10, -0x1.21ea5c929d3c8p-10, -0x1.1a1bbbb8d07b5p-10, -0x1.127f39bcf90efp-10, -0x1.0b13af74a71fbp-10, -0x1.03d7fbdb2c0cap-10, -0x1.f99607e9d3e67p-11, -0x1.ebd765660df07p-11, -0x1.de71f1aef3ebdp-11, -0x1.d16399b319a4ep-11, -0x1.c4aa559543e19p-11, -0x1.b8442877042eap-11, -0x1.ac2f2043de081p-11, -0x1.a069557d4a09bp-11, -0x1.94f0eb077b001p-11, -0x1.89c40df6b92bcp-11, -0x1.7ee0f55decd6p-11, -0x1.7445e21d777b7p-11, -0x1.69f11eb303c36p-11, -0x1.5fe0ff0a7083ep-11, -0x1.5613e04e8139dp-11, -0x1.4c8828bb66b53p-11, -0x1.433c47715d9cap-11, -0x1.3a2eb4486630fp-11, -0x1.315defa47b4bp-11, -0x1.28c8824aa726ap-11, -0x1.206cfd36c798p-11, -0x1.1849f97227b99p-11, -0x1.105e17ea99ba3p-11, -0x1.08a8014a75746p-11, -0x1.012665d15c0d4p-11, -0x1.f3affa5afff7p-12, -0x1.e5770cab67c86p-12, -0x1.d79f8ec846f3dp-12, -0x1.ca271ae3a422cp-12, -0x1.bd0b58e53defcp-12, -0x1.b049fe24183c2p-12, -0x1.a3e0cd214b87dp-12, -0x1.97cd9543e5a77p-12, -0x1.8c0e32968b095p-12, -0x1.80a08d85c79e5p-12, -0x1.75829a9ffb64p-12, -0x1.6ab25a5610b19p-12, -0x1.602dd8bdf05fbp-12, -0x1.55f32d55a1876p-12, -0x1.4c007ac7ce62bp-12, -0x1.4253eeb12d0fcp-12, -0x1.38ebc167384bdp-12, -0x1.2fc635bfe37aep-12, -0x1.26e198da3b203p-12, -0x1.1e3c41e8530dfp-12, -0x1.15d491fa105b6p-12, -0x1.0da8f3c89ae45p-12, -0x1.05b7db835b189p-12, -0x1.fbff8d3c477a3p-13, -0x1.ecfe773dc7c1cp-13, -0x1.de6993db30c25p-13, -0x1.d03e1349ac33ap-13, -0x1.c27936c65068ap-13, -0x1.b5185039b6007p-13, -0x1.a818c1de75957p-13, -0x1.9b77fde885b45p-13, -0x1.8f33862f38c2cp-13, -0x1.8348ebd6dc52ep-13, -0x1.77b5cefe1d228p-13, -0x1.6c77de6b89ba1p-13, -0x1.618cd73cb4474p-13, -0x1.56f28497bba85p-13, -0x1.4ca6bf5d45f53p-13, -0x1.42a76ddbd31c1p-13, -0x1.38f283855ac26p-13, -0x1.2f8600a56bda7p-13, -0x1.265ff21927cd6p-13, -0x1.1d7e7107e52dap-13, -0x1.14dfa29e5106p-13, -0x1.0c81b7c9447f4p-13, -0x1.0462ecf2b7db7p-13, -0x1.f903138037d9ep-14, -0x1.e9b7c1a3000a4p-14, -0x1.dae09f0443f23p-14, -0x1.cc7a7b53cd133p-14, -0x1.be823ac02de78p-14, -0x1.b0f4d57ea180cp-14, -0x1.a3cf57559ee7ep-14, -0x1.970edf27f875p-14, -0x1.8ab09e84eb683p-14, -0x1.7eb1d93754178p-14, -0x1.730fe4d9ac88dp-14, -0x1.67c8286ab4eb9p-14, -0x1.5cd81be492094p-14, -0x1.523d47d6553f1p-14, -0x1.47f544ff4bafbp-14, -0x1.3dfdbbed4f94p-14, -0x1.3454649bbc646p-14, -0x1.2af70614f0644p-14, -0x1.21e37617d77c3p-14, -0x1.191798bcc1082p-14, -0x1.1091601d87bf5p-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.151a07fd23158p-1, 0x1.154fe82832a1ap-1, 0x1.1578c37b5ad1cp-1, 0x1.159289a90cb67p-1, 0x1.159b3a7b17403p-1, 0x1.1590ea13a3fb4p-1, 0x1.1571c47c49a01p-1, 0x1.153c108d493dep-1, 0x1.14ee32390730bp-1, 0x1.1486ac4913e2fp-1, 0x1.1404219aa5c14p-1, 0x1.136555e87922cp-1, 0x1.12a92e2fb559dp-1, 0x1.11ceb0bce61c1p-1, 0x1.10d504ed524b4p-1, 0x1.0fbb72b007b68p-1, 0x1.0e8161d111242p-1, 0x1.0d26591839f3p-1, 0x1.0ba9fd43d8722p-1, 0x1.0a0c0fe71dcbep-1, 0x1.084c6e328540bp-1, 0x1.066b0fac27fd5p-1, 0x1.046804dcf2bfep-1, 0x1.024375f7093dcp-1, 0x1.fffb42f1f6eb7p-2, 0x1.fb2db5a1cd1dp-2, 0x1.f61f120426691p-2, 0x1.f0d04a9e71144p-2, 0x1.eb4273d644227p-2, 0x1.e576c162481b3p-2, 0x1.df6e83ccff188p-2, 0x1.d92b260b2771ap-2, 0x1.d2ae2b2713939p-2, 0x1.cbf92c01e95b5p-2, 0x1.c50dd52b72b71p-2, 0x1.bdede4d0e6768p-2, 0x1.b69b28c2d7eb2p-2, 0x1.af177c9251bbdp-2, 0x1.a764c7c4f1451p-2, 0x1.9f84fc1fc8e63p-2, 0x1.977a1408a1e2dp-2, 0x1.8f4610fd32876p-2, 0x1.86eafa1fc7b4ap-2, 0x1.7e6adad8ce7b9p-2, 0x1.75c7c18ca60f6p-2, 0x1.6d03be651e5b9p-2, 0x1.6420e22df6d7ap-2, 0x1.5b213d43badd9p-2, 0x1.5206de9448833p-2, 0x1.48d3d2b05bb7ap-2, 0x1.3f8a22ed6e29p-2, 0x1.362bd4973f8b4p-2, 0x1.2cbae8305f90cp-2, 0x1.233958c10d2cfp-2, 0x1.19a91b33ca29ap-2, 0x1.100c1dbeffe37p-2, 0x1.0664475b190cbp-2, 0x1.f966ee88dfdc9p-3, 0x1.e5f709110c5b6p-3, 0x1.d27c7b3bd227ap-3, 0x1.befad00c7f6d4p-3, 0x1.ab757ff3e2028p-3, 0x1.97eff039c965bp-3, 0x1.846d7277bf933p-3, 0x1.70f14423fa7dbp-3, 0x1.5d7e8e2ba5dc4p-3, 0x1.4a18649ba6c41p-3, 0x1.36c1c656ef12fp-3, 0x1.237d9cd9a7f42p-3, 0x1.104ebc0865a9cp-3, 0x1.fa6fc4153f28cp-4, 0x1.d4776e5f98c03p-4, 0x1.aeb99bbcc6f11p-4, 0x1.893b45185ddcdp-4, 0x1.6401377ea13f6p-4, 0x1.3f10142ec4369p-4, 0x1.1a6c50bc5781cp-4, 0x1.ec346e7dae98ap-5, 0x1.a43bcd1cbed39p-5, 0x1.5cf6a51934e61p-5, 0x1.166c88f21b83ep-5, 0x1.a1496d3fab283p-6, 0x1.174c30ca90773p-6, 0x1.1ddd16cc1f8abp-7, 0x1.07a106ca6992bp-11, -0x1.f2f1bd5cbae3fp-8, -0x1.ffe522d280f63p-7, -0x1.815ab17ea55aap-6, -0x1.00755f0d1a29dp-5, -0x1.3f4c9f2cb5667p-5, -0x1.7d2ea7bbb68f5p-5, -0x1.ba17511f2c511p-5, -0x1.f602bc344c8d6p-5, -0x1.1876a87cfe52p-4, -0x1.3569de99fd1e1p-4, -0x1.51d9798432276p-4, -0x1.6dc413cc2a5cbp-4, -0x1.892868ca1b5eep-4, -0x1.a40553e63b825p-4, -0x1.be59cfdf91812p-4, -0x1.d824f61189746p-4, -0x1.f165fdb884bbfp-4, -0x1.050e1d9adb241p-3, -0x1.11238fa941c8ep-3, -0x1.1cf31b41c42a7p-3, -0x1.287c9415d7b3bp-3, -0x1.33bfdaefa86bbp-3, -0x1.3ebcdd53d8657p-3, -0x1.49739523858e5p-3, -0x1.53e4083e9ea69p-3, -0x1.5e0e4826ab745p-3, -0x1.67f271a21563p-3, -0x1.7190ac5ffb1d6p-3, -0x1.7ae92a9cb4f43p-3, -0x1.83fc28c708503p-3, -0x1.8cc9ed261ca7ap-3, -0x1.9552c7804efddp-3, -0x1.9d9710c2ddc5ep-3, -0x1.a5972aaa8cd13p-3, -0x1.ad537f6d3f894p-3, -0x1.b4cc81649bebep-3, -0x1.bc02aab9c53efp-3, -0x1.c2f67d122f5cfp-3, -0x1.c9a8813d998d5p-3, -0x1.d01946e53b77dp-3, -0x1.d649643c2a5adp-3, -0x1.dc3975b0fbcb5p-3, -0x1.e1ea1da0b08d7p-3, -0x1.e75c040aef6f4p-3, -0x1.ec8fd64792ca4p-3, -0x1.f18646bd8b4eap-3, -0x1.f6400c9b262adp-3, -0x1.fabde38fb30bdp-3, -0x1.ff008b868e5a9p-3, -0x1.01846431cc41ep-2, -0x1.036bb0e08c433p-2, -0x1.0536915784e4fp-2, -0x1.06e56cb9efe4fp-2, -0x1.0878aba75bd67p-2, -0x1.09f0b81d80487p-2, -0x1.0b4dfd5ac9c31p-2, -0x1.0c90e7c1a271ep-2, -0x1.0db9e4bc73f68p-2, -0x1.0ec962a26030ep-2, -0x1.0fbfd09cb876cp-2, -0x1.109d9e8d2adf5p-2, -0x1.11633cf4a6f5bp-2, -0x1.12111cdafb927p-2, -0x1.12a7afb72acacp-2, -0x1.1327675870de8p-2, -0x1.1390b5d0013bcp-2, -0x1.13e40d5b752f7p-2, -0x1.1421e04fea126p-2, -0x1.144aa105d043p-2, -0x1.145ec1c566f73p-2, -0x1.145eb4b3e2b29p-2, -0x1.144aebc13ca02p-2, -0x1.1423d896abaecp-2, -0x1.13e9ec85c149ep-2, -0x1.139d9878277a3p-2, -0x1.133f4ce001c11p-2, -0x1.12cf79a8ebd77p-2, -0x1.124e8e29933c7p-2, -0x1.11bcf915eb238p-2, -0x1.111b2871f5093p-2, -0x1.106989851fb24p-2, -0x1.0fa888ce35fbep-2, -0x1.0ed891f7dbb99p-2, -0x1.0dfa0fcd9983fp-2, -0x1.0d0d6c316dc95p-2, -0x1.0c131011e787ap-2, -0x1.0b0b6360c1019p-2, -0x1.09f6cd0a00275p-2, -0x1.08d5b2eb8f811p-2, -0x1.07a879cd5714ep-2, -0x1.066f8559c8877p-2, -0x1.052b3816e50ffp-2, -0x1.03dbf35fb392cp-2, -0x1.0282175e25908p-2, -0x1.011e03056cac4p-2, -0x1.ff6028196ab32p-3, -0x1.fc714dd4962fap-3, -0x1.f9702d9e43aafp-3, -0x1.f65d7b45802a5p-3, -0x1.f339e7ff09fbep-3, -0x1.f006225ea1df6p-3, -0x1.ecc2d65100abfp-3, -0x1.e970ad16830a2p-3, -0x1.e6104d3e79a9ep-3, -0x1.e2a25aa32099dp-3, -0x1.df2776662982ap-3, -0x1.dba03eedea5fap-3, -0x1.d80d4fe318f3dp-3, -0x1.d46f422f121b1p-3, -0x1.d0c6abfab23d3p-3, -0x1.cd1420adaaa96p-3, -0x1.c95830ee575d5p-3, -0x1.c5936aa216fb6p-3, -0x1.c1c658ee0b6cfp-3, -0x1.bdf184385d94ap-3, -0x1.ba157229db9a1p-3, -0x1.b632a5b00ed63p-3, -0x1.b2499effaefc7p-3, -0x1.ae5adb9776e74p-3, -0x1.aa66d64354df1p-3, -0x1.a66e071ff57a9p-3, -0x1.a270e39e9f6c4p-3, -0x1.9e6fde8962df7p-3, -0x1.9a6b680792b86p-3, -0x1.9663eda286d72p-3, -0x1.9259da4aa4b77p-3, -0x1.8e4d965ca9298p-3, -0x1.8a3f87a73401ep-3, -0x1.86301170834ap-3, -0x1.821f947c75affp-3, -0x1.7e0e6f12b56c5p-3, -0x1.79fcfd0519b1bp-3, -0x1.75eb97b634f7ep-3, -0x1.71da962010238p-3, -0x1.6dca4cdb0e241p-3, -0x1.69bb0e24f01d3p-3, -0x1.65ad29e8074dbp-3, -0x1.61a0edc27c129p-3, -0x1.5d96a50dbb9e8p-3, -0x1.598e98e5faccfp-3, -0x1.55891031d7beep-3, -0x1.51864faa0ed1dp-3, -0x1.4d8699e142f01p-3, -0x1.498a2f4bdcc06p-3, -0x1.45914e47f7e8p-3, -0x1.419c33255d7e9p-3, -0x1.3dab182d8d764p-3, -0x1.39be35abcfee4p-3, -0x1.35d5c1f551137p-3, -0x1.31f1f17144ebfp-3, -0x1.2e12f6a10dc5fp-3, -0x1.2a39022867edap-3, -0x1.266442d599c94p-3, -0x1.2294e5a99ceb7p-3, -0x1.1ecb15e052951p-3, -0x1.1b06fcf8ab053p-3, -0x1.1748c2bcccc97p-3, -0x1.13908d4a3cef1p-3, -0x1.0fde8119f8404p-3, -0x1.0c32c1088abedp-3, -0x1.088d6e5e20f72p-3, -0x1.04eea8d687babp-3, -0x1.01568ea92a192p-3, -0x1.fb8a792207d2cp-4, -0x1.f4759ba8fcaacp-4, -0x1.ed6eb89a97097p-4, -0x1.e67600e05ddafp-4, -0x1.df8ba2a969dc7p-4, -0x1.d8afc979bdf22p-4, -0x1.d1e29e397fd29p-4, -0x1.cb24474406791p-4, -0x1.c474e876cff7fp-4, -0x1.bdd4a34047c9ap-4, -0x1.b74396ae79c96p-4, -0x1.b0c1df7d8cdf3p-4, -0x1.aa4f98262186dp-4, -0x1.a3ecd8eb87dfep-4, -0x1.9d99b7e9c0f7ep-4, -0x1.975649236f02dp-4, -0x1.91229e8f8152ap-4, -0x1.8afec826c5bep-4, -0x1.84ead3f14978dp-4, -0x1.7ee6ce138d11p-4, -0x1.78f2c0db8e055p-4, -0x1.730eb4cda29f2p-4, -0x1.6d3ab0b127873p-4, -0x1.6776b99d018dp-4, -0x1.61c2d303ef3a1p-4, -0x1.5c1efec0ae3cfp-4, -0x1.568b3d21f0a0dp-4, -0x1.51078cf624748p-4, -0x1.4b93eb970c1ecp-4, -0x1.463054f527e71p-4, -0x1.40dcc3a2f02bep-4, -0x1.3b9930dfe0ccep-4, -0x1.366594a356517p-4, -0x1.3141e5a739f93p-4, -0x1.2c2e197280f13p-4, -0x1.272a24637bdcp-4, -0x1.2235f9b9f67fbp-4, -0x1.1d518ba12b4c8p-4, -0x1.187ccb398546bp-4, -0x1.13b7a8a236a9dp-4, -0x1.0f0213029ed11p-4, -0x1.0a5bf893847ecp-4, -0x1.05c546a820fdbp-4, -0x1.013de9b6fe941p-4, -0x1.f98b9ac5537f5p-5, -0x1.f0b9b9046c3ap-5, -0x1.e80602532b22dp-5, -0x1.df7049638b2c7p-5, -0x1.d6f85f819de79p-5, -0x1.ce9e14a3351f6p-5, -0x1.c661377737508p-5, -0x1.be4195749ea0cp-5, -0x1.b63efae924192p-5, -0x1.ae59330795611p-5, -0x1.a69007f5d9e66p-5, -0x1.9ee342daa60b8p-5, -0x1.9752abeadbffbp-5, -0x1.8fde0a769e222p-5, -0x1.888524f612ee4p-5, -0x1.8147c115d7a22p-5, -0x1.7a25a3c329b56p-5, -0x1.731e9137c125fp-5, -0x1.6c324d0561f02p-5, -0x1.65609a2120d3p-5, -0x1.5ea93aee615bep-5, -0x1.580bf14989b54p-5, -0x1.51887e927070ep-5, -0x1.4b1ea3b683999p-5, -0x1.44ce213aaa751p-5, -0x1.3e96b744e46bbp-5, -0x1.387825a5a2461p-5, -0x1.32722be0e0703p-5, -0x1.2c848936fc45ep-5, -0x1.26aefcad4e437p-5, -0x1.20f145167ff45p-5, -0x1.1b4b211aa71fbp-5, -0x1.15bc4f3f2416ap-5, -0x1.10448dee41bb9p-5, -0x1.0ae39b7e9d3e1p-5, -0x1.0599363a5206bp-5, -0x1.00651c65ec48ap-5, -0x1.f68e188e4f028p-6, -0x1.ec7d8856e0318p-6, -0x1.e29804dc6a527p-6, -0x1.d8dd0afe0123bp-6, -0x1.cf4c17cebb902p-6, -0x1.c5e4a8a11a946p-6, -0x1.bca63b120c37ap-6, -0x1.b3904d1389e3dp-6, -0x1.aaa25cf6d9dabp-6, -0x1.a1dbe9767530bp-6, -0x1.993c71bf87be3p-6, -0x1.90c3757b1fd8dp-6, -0x1.887074d703462p-6, -0x1.8042f08e26971p-6, -0x1.783a69f0d9ec1p-6, -0x1.705662ec9ba71p-6, -0x1.68965e139db51p-6, -0x1.60f9dea3f6674p-6, -0x1.5980688e8ba11p-6, -0x1.5229807daa49bp-6, -0x1.4af4abdb56aa9p-6, -0x1.43e170d75507bp-6, -0x1.3cef566cebd9p-6, -0x1.361de4685cd57p-6, -0x1.2f6ca36c1df3fp-6, -0x1.28db1cf5d0482p-6, -0x1.2268db62f4b83p-6, -0x1.1c1569f5637b6p-6, -0x1.15e054d784f6ep-6, -0x1.0fc929204ecadp-6, -0x1.09cf74d708939p-6, -0x1.03f2c6f6d6436p-6, -0x1.fc655ee41730dp-7, -0x1.f11d7e6a8e8f6p-7, -0x1.e60d1054be03bp-7, -0x1.db333a762659cp-7, -0x1.d08f24a726efep-7, -0x1.c61ff8c9a5c2dp-7, -0x1.bbe4e2cd565d8p-7, -0x1.b1dd10b3aaefcp-7, -0x1.a807b29367195p-7, -0x1.9e63fa9bdcdb9p-7, -0x1.94f11d17d952bp-7, -0x1.8bae50703cfdbp-7, -0x1.829acd2e4535ep-7, -0x1.79b5cdfd89a77p-7, -0x1.70fe8fadaf327p-7, -0x1.68745133d0343p-7, -0x1.601653aba57c6p-7, -0x1.57e3da5860718p-7, -0x1.4fdc2aa55122fp-7, -0x1.47fe8c2644942p-7, -0x1.404a48979f7a4p-7, -0x1.38beabde50051p-7, -0x1.315b040773ccap-7, -0x1.2a1ea147cfb98p-7, -0x1.2308d5fb10e58p-7, -0x1.1c18f6a2d801cp-7, -0x1.154e59e59476ap-7, -0x1.0ea8588d2ef61p-7, -0x1.08264d85850c1p-7, -0x1.01c795dab90e2p-7, -0x1.f717216eac8bep-8, -0x1.eae33ec49897cp-8, -0x1.def24a7983f96p-8, -0x1.d3430f7f86004p-8, -0x1.c7d45cf390973p-8, -0x1.bca506183b7bap-8, -0x1.b1b3e2504b573p-8, -0x1.a6ffcd18f8f39p-8, -0x1.9c87a603f9f29p-8, -0x1.924a50b151818p-8, -0x1.8846b4c8e3b13p-8, -0x1.7e7bbdf3d7d33p-8, -0x1.74e85bd5c5144p-8, -0x1.6b8b8205af852p-8, -0x1.62642806d669ap-8, -0x1.59714941569eep-8, -0x1.50b1e4faa3a11p-8, -0x1.4824fe4dd928ep-8, -0x1.3fc99c23e759bp-8, -0x1.379ec92b9c98ap-8, -0x1.2fa393d18d544p-8, -0x1.27d70e37dcd65p-8, -0x1.20384e2dea8p-8, -0x1.18c66d27e328p-8, -0x1.1180883637bb6p-8, -0x1.0a65bffcfde9fp-8, -0x1.037538ab3bfe6p-8, -0x1.f95c33e43c63ap-9, -0x1.ec1f1df835a6fp-9, -0x1.df318cc80e7bap-9, -0x1.d291e458358f4p-9, -0x1.c63e8f69c984ep-9, -0x1.ba35ff6871ce9p-9, -0x1.ae76ac5819b02p-9, -0x1.a2ff14c29dbf4p-9, -0x1.97cdbda56880bp-9, -0x1.8ce1325eff41ap-9, -0x1.8238049c867f5p-9, -0x1.77d0cc473a7cdp-9, -0x1.6daa2771e507dp-9, -0x1.63c2ba464d9c2p-9, -0x1.5a192ef2a596bp-9, -0x1.50ac3596f8597p-9, -0x1.477a843299be3p-9, -0x1.3e82d6919e1c9p-9, -0x1.35c3ee3a51bebp-9, -0x1.2d3c925abdd96p-9, -0x1.24eb8fb634457p-9, -0x1.1ccfb892e82bap-9, -0x1.14e7e4a792833p-9, -0x1.0d32f10926e35p-9, -0x1.05afc01896682p-9, -0x1.fcba72e14b762p-10, -0x1.ee7493a7ac7e8p-10, -0x1.e08bc634c5e45p-10, -0x1.d2fdf840a4407p-10, -0x1.c5c9216741fep-10, -0x1.b8eb430505f69p-10, -0x1.ac6268137eda6p-10, -0x1.a02ca5064842p-10, -0x1.944817a82ecc2p-10, -0x1.88b2e6f889266p-10, -0x1.7d6b4308cde29p-10, -0x1.726f64da5f577p-10, -0x1.67bd8e3c9f8f5p-10, -0x1.5d5409ab38021p-10, -0x1.53312a2caefeap-10, -0x1.49534b31331fbp-10, -0x1.3fb8d071b4705p-10, -0x1.366025cf3c9d3p-10, -0x1.2d47bf3291758p-10, -0x1.246e186c1af96p-10, -0x1.1bd1b51414d7cp-10, -0x1.1371206b0b5b9p-10, -0x1.0b4aed3a97668p-10, -0x1.035db5b67a57fp-10, -0x1.f75036bbdedf6p-11, -0x1.e8518dbab499ep-11, -0x1.d9bccfe0763dcp-11, -0x1.cb8f6a86e671bp-11, -0x1.bdc6d8afaf202p-11, -0x1.b060a2ca27006p-11, -0x1.a35a5e79b2b92p-11, -0x1.96b1ae5cc9b7ep-11, -0x1.8a6441d498a83p-11, -0x1.7e6fd4cd472cbp-11, -0x1.72d22f86de5f6p-11, -0x1.6789265ed1e62p-11, -0x1.5c92999a2ab55p-11, -0x1.51ec7530566dap-11, -0x1.4794b09696611p-11, -0x1.3d894e8c15e6bp-11, -0x1.33c85ce69f6f3p-11, -0x1.2a4ff45ff6a7cp-11, -0x1.211e3863d5debp-11, -0x1.183156de8cdbap-11, -0x1.0f87880c412cep-11, -0x1.071f0e48d348dp-11, -0x1.fdec6bc0c46dbp-12, -0x1.ee16a9c0e2b1dp-12, -0x1.deb995d360ad6p-12, -0x1.cfd20204c06abp-12, -0x1.c15cd2d2b3c7ep-12, -0x1.b356fed3669c5p-12, -0x1.a5bd8e5e01df3p-12, -0x1.988d9b346da82p-12, -0x1.8bc4502e47af4p-12, -0x1.7f5ee8e515f47p-12, -0x1.735ab161a8f12p-12, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.1250a143355e4p-1, 0x1.1273ee8299762p-1, 0x1.12962f62d222dp-1, 0x1.12b6ea744ba38p-1, 0x1.12d5a4d3338b2p-1, 0x1.12f1e32d13c9p-1, 0x1.130b2ab0803eep-1, 0x1.132101e619568p-1, 0x1.1332f172c8c2cp-1, 0x1.134084c3910a8p-1, 0x1.13494aa3a7b52p-1, 0x1.134cd5bdd4c76p-1, 0x1.134abd0a41c1ep-1, 0x1.13429c2a0547fp-1, 0x1.133413b1c198dp-1, 0x1.131ec964beb8ep-1, 0x1.13026861dcd52p-1, 0x1.12dea143bcf72p-1, 0x1.12b32a35693b6p-1, 0x1.127fbefcbc0d8p-1, 0x1.124420fbb0d46p-1, 0x1.12001729b4aa3p-1, 0x1.11b36e05fa2d2p-1, 0x1.115df783bdae4p-1, 0x1.10ff8af1564f5p-1, 0x1.109804dad6e3ap-1, 0x1.102746e8f400ap-1, 0x1.0fad37bcd14ebp-1, 0x1.0f29c2c94704fp-1, 0x1.0e9cd82a214e5p-1, 0x1.0e066c79cbf06p-1, 0x1.0d6678a5d31ap-1, 0x1.0cbcf9c29186fp-1, 0x1.0c09f0de5d56p-1, 0x1.0b4d62d475fb2p-1, 0x1.0a87581ff5ee3p-1, 0x1.09b7dcaef5639p-1, 0x1.08deffb611bc4p-1, 0x1.07fcd3847e65ap-1, 0x1.07116d58bf0d3p-1, 0x1.061ce5362a98dp-1, 0x1.051f55bb4caa3p-1, 0x1.0418dbf937b4ap-1, 0x1.0309974bdc517p-1, 0x1.01f1a9336e664p-1, 0x1.00d1352ee3545p-1, 0x1.ff50c12f270d7p-2, 0x1.fceea4fbff2fap-2, 0x1.fa7c670f8493dp-2, 0x1.f7fa5b9d5ab2bp-2, 0x1.f568d98226436p-2, 0x1.f2c83a0678db8p-2, 0x1.f018d8a40f9dcp-2, 0x1.ed5b12cd5f3eap-2, 0x1.ea8f47b76abc6p-2, 0x1.e7b5d825d2512p-2, 0x1.e4cf26391a9fcp-2, 0x1.e1db953f1d26p-2, 0x1.dedb89859534ep-2, 0x1.dbcf682ebc3b7p-2, 0x1.d8b79707eeccbp-2, 0x1.d5947c6244624p-2, 0x1.d2667eed11815p-2, 0x1.cf2e0592462dcp-2, 0x1.cbeb775497158p-2, 0x1.c89f3b2f68365p-2, 0x1.c549b7f865a4bp-2, 0x1.c1eb5442bf045p-2, 0x1.be847643fb24ap-2, 0x1.bb1583ba4b8f9p-2, 0x1.b79ee1d45dd91p-2, 0x1.b420f51a97545p-2, 0x1.b09c2159ab5a8p-2, 0x1.ad10c98e85f96p-2, 0x1.a97f4fd37740ap-2, 0x1.a5e8154e99e5fp-2, 0x1.a24b7a215fb33p-2, 0x1.9ea9dd59418c1p-2, 0x1.9b039ce180211p-2, 0x1.97591575eeb79p-2, 0x1.93aaa296b9f47p-2, 0x1.8ff89e7d21dcp-2, 0x1.8c4362111d5c6p-2, 0x1.888b44dfd7fb5p-2, 0x1.84d09d130a8adp-2, 0x1.8113bf691a373p-2, 0x1.7d54ff2dfc9ddp-2, 0x1.7994ae34d42bp-2, 0x1.75d31cd23fe86p-2, 0x1.721099d7526bap-2, 0x1.6e4d728d2a2e1p-2, 0x1.6a89f2b127569p-2, 0x1.66c66471af934p-2, 0x1.6303106b82338p-2, 0x1.5f403da78c3e8p-2, 0x1.5b7e3199423ccp-2, 0x1.57bd301d6b098p-2, 0x1.53fd7b7963254p-2, 0x1.503f545ac926p-2, 0x1.4c82f9d792d38p-2, 0x1.48c8a96e85a8bp-2, 0x1.45109f0809ef5p-2, 0x1.415b14f757225p-2, 0x1.3da843fbf28fcp-2, 0x1.39f8634380a89p-2, 0x1.364ba86bdaecep-2, 0x1.32a24785710d6p-2, 0x1.2efc7315eab2ep-2, 0x1.2b5a5c1b0749bp-2, 0x1.27bc320db99cap-2, 0x1.242222e57a6a1p-2, 0x1.208c5b1bcedfp-2, 0x1.1cfb05afff016p-2, 0x1.196e4c2afaba3p-2, 0x1.15e656a369173p-2, 0x1.12634bc1df229p-2, 0x1.0ee550c538972p-2, 0x1.0b6c8987197c4p-2, 0x1.07f9188087812p-2, 0x1.048b1ecea5a61p-2, 0x1.0122bc3787a61p-2, 0x1.fb801e5e4148fp-3, 0x1.f4c669b889885p-3, 0x1.ee18923b81791p-3, 0x1.e776cd1f08ae9p-3, 0x1.e0e14d1fb440fp-3, 0x1.da5842895f995p-3, 0x1.d3dbdb41d882ap-3, 0x1.cd6c42d396aa4p-3, 0x1.c709a27891087p-3, 0x1.c0b421251c148p-3, 0x1.ba6be392d52adp-3, 0x1.b4310c4b979ffp-3, 0x1.ae03bbb478dccp-3, 0x1.a7e41018c71eap-3, 0x1.a1d225b50c9dp-3, 0x1.9bce16c20ac51p-3, 0x1.95d7fb7fbc7dep-3, 0x1.8fefea4048981p-3, 0x1.8a15f772f35c2p-3, 0x1.844a35af04a94p-3, 0x1.7e8cb5bea2a4cp-3, 0x1.78dd86a99bb35p-3, 0x1.733cb5c02968fp-3, 0x1.6daa4ea599f5ep-3, 0x1.68265b5aef069p-3, 0x1.62b0e449623fp-3, 0x1.5d49f04cd9e1dp-3, 0x1.57f184be44d5bp-3, 0x1.52a7a57ddfcc9p-3, 0x1.4d6c54fd61c94p-3, 0x1.483f944a0d61p-3, 0x1.43216316a95bcp-3, 0x1.3e11bfc55e0fdp-3, 0x1.3910a7717231fp-3, 0x1.341e15f8ed422p-3, 0x1.2f3a06061f94bp-3, 0x1.2a6471190023p-3, 0x1.259d4f907621p-3, 0x1.20e498b37f636p-3, 0x1.1c3a42ba31d48p-3, 0x1.179e42d69f00bp-3, 0x1.13108d3d97179p-3, 0x1.0e91152f47dc6p-3, 0x1.0a1fccffba29bp-3, 0x1.05bca61f2a83ep-3, 0x1.0167912244a4p-3, 0x1.fa40fb94644dep-4, 0x1.f1ceb6191db29p-4, 0x1.e9782e366e6p-4, 0x1.e13d3ed7dc966p-4, 0x1.d91dc17fc89c4p-4, 0x1.d1198e563857fp-4, 0x1.c9307c374af2p-4, 0x1.c16260c16ee64p-4, 0x1.b9af10635539dp-4, 0x1.b2165e698cbc6p-4, 0x1.aa981d0be881fp-4, 0x1.a3341d7a98f4dp-4, 0x1.9bea2feaeeb43p-4, 0x1.94ba23a3f5dd7p-4, 0x1.8da3c70aae774p-4, 0x1.86a6e7ae0f34cp-4, 0x1.7fc35252be289p-4, 0x1.78f8d2fe84819p-4, 0x1.724735037ff56p-4, 0x1.6bae430b0eda2p-4, 0x1.652dc7207a1bap-4, 0x1.5ec58abb5c28bp-4, 0x1.587556c9c724p-4, 0x1.523cf3ba28953p-4, 0x1.4c1c2984edf1dp-4, 0x1.4612bfb5e91d5p-4, 0x1.40207d7574e03p-4, 0x1.3a4529915d343p-4, 0x1.34808a8588695p-4, 0x1.2ed26684641ffp-4, 0x1.293a837f16fa3p-4, 0x1.23b8a72d76a9cp-4, 0x1.1e4c9715c3c35p-4, 0x1.18f618942cebbp-4, 0x1.13b4f0e2187edp-4, 0x1.0e88e51d37533p-4, 0x1.0971ba4e609a2p-4, 0x1.046f357037bep-4, 0x1.ff0236eb38d72p-5, 0x1.f54e629fd0ef3p-5, 0x1.ebc277e9ef867p-5, 0x1.e25e00ca00e56p-5, 0x1.d92087606fe6bp-5, 0x1.d00995f88ee64p-5, 0x1.c718b7132319cp-5, 0x1.be4d7570908f6p-5, 0x1.b5a75c1aab0c1p-5, 0x1.ad25f66e2c22fp-5, 0x1.a4c8d023d3199p-5, 0x1.9c8f75592a05p-5, 0x1.94797298fb091p-5, 0x1.8c8654e36da14p-5, 0x1.84b5a9b5d6dc2p-5, 0x1.7d06ff123741cp-5, 0x1.7579e3866b52p-5, 0x1.6e0de63310041p-5, 0x1.66c296d21d62p-5, 0x1.5f9785bd36338p-5, 0x1.588c43f3b2584p-5, 0x1.51a0632063d23p-5, 0x1.4ad3759f15172p-5, 0x1.44250e81c7b3ap-5, 0x1.3d94c195b2308p-5, 0x1.37222367fb789p-5, 0x1.30ccc94a3d3eep-5, 0x1.2a944956c6b5ep-5, 0x1.24783a74a4debp-5, 0x1.1e78345b744f5p-5, 0x1.1893cf96f9448p-5, 0x1.12caa58a80d12p-5, 0x1.0d1c50740eaeap-5, 0x1.07886b6f5809p-5, 0x1.020e92788a386p-5, 0x1.f95cc4ddc6116p-6, 0x1.eecef22e3033dp-6, 0x1.e472ea3b24895p-6, 0x1.da47ec30f24b2p-6, 0x1.d04d39132dcc5p-6, 0x1.c68213c01ead6p-6, 0x1.bce5c0f3de8bcp-6, 0x1.b377874b29954p-6, 0x1.aa36af45dd7aep-6, 0x1.a122834932b92p-6, 0x1.983a4fa1abfd8p-6, 0x1.8f7d6284bf2d5p-6, 0x1.86eb0c123a2b1p-6, 0x1.7e829e556791cp-6, 0x1.76436d45f3684p-6, 0x1.6e2ccec88fcaap-6, 0x1.663e1aaf6364dp-6, 0x1.5e76aaba3b691p-6, 0x1.56d5da96853a5p-6, 0x1.4f5b07df13504p-6, 0x1.4805921bb3a9dp-6, 0x1.40d4dac08b236p-6, 0x1.39c8452d48b0cp-6, 0x1.32df36ac27557p-6, 0x1.2c191670c25f4p-6, 0x1.25754d96c4551p-6, 0x1.1ef34720660c8p-6, 0x1.18926ff4ca8f9p-6, 0x1.125236de339adp-6, 0x1.0c320c8812381p-6, 0x1.0631637cf4ddep-6, 0x1.004fb0245313fp-6, 0x1.f518d1807713ap-7, 0x1.e9ce0ad5bf646p-7, 0x1.debe002807d98p-7, 0x1.d3e7a8fcb256bp-7, 0x1.c94a00795e5e3p-7, 0x1.bee4055e3b3f7p-7, 0x1.b4b4ba000e461p-7, 0x1.aabb244219f24p-7, 0x1.a0f64d8fd6c06p-7, 0x1.976542d6831f3p-7, 0x1.8e07147e865dep-7, 0x1.84dad664bd14ep-7, 0x1.7bdf9fd38eab7p-7, 0x1.73148b7bf3628p-7, 0x1.6a78b76e55c76p-7, 0x1.620b45134f8fcp-7, 0x1.59cb59245c9b1p-7, 0x1.51b81ba460eacp-7, 0x1.49d0b7d827917p-7, 0x1.42145c3ebe2a7p-7, 0x1.3a823a89cbd07p-7, 0x1.33198795c49d1p-7, 0x1.2bd97b6218a78p-7, 0x1.24c151094d32ap-7, 0x1.1dd046b90b049p-7, 0x1.17059daa1e1cp-7, 0x1.10609a186a6aap-7, 0x1.09e0833ad865fp-7, 0x1.0384a33b36566p-7, 0x1.fa988e5c27789p-8, 0x1.ee6d7e152d50dp-8, 0x1.e286bb4495c57p-8, 0x1.d6e2f131dc82p-8, 0x1.cb80d0b872604p-8, 0x1.c05f10374bf36p-8, 0x1.b57c6b806d41dp-8, 0x1.aad7a3c87777cp-8, 0x1.a06f7f963651dp-8, 0x1.9642cab234009p-8, 0x1.8c5056164f4cep-8, 0x1.8296f7dd5d467p-8, 0x1.79158b32cf737p-8, 0x1.6fcaf042673abp-8, 0x1.66b60c27f4d82p-8, 0x1.5dd5c8df21dcp-8, 0x1.552915334bfcep-8, 0x1.4caee4af6f1d3p-8, 0x1.44662f8e210c5p-8, 0x1.3c4df2a99de3p-8, 0x1.34652f6beb744p-8, 0x1.2caaebbf0c82p-8, 0x1.251e31fd4dd6dp-8, 0x1.1dbe10e1a6831p-8, 0x1.16899b783368bp-8, 0x1.0f7fe90ec79a1p-8, 0x1.08a0152597bf7p-8, 0x1.01e93f5ffff11p-8, 0x1.f6b516eac5cd5p-9, 0x1.e9e642444dfadp-9, 0x1.dd6458319a454p-9, 0x1.d12db7e64d6a8p-9, 0x1.c540c8474fa9cp-9, 0x1.b99bf7cdaf0dfp-9, 0x1.ae3dbc69bf553p-9, 0x1.a324936676a4fp-9, 0x1.984f014d0afaep-9, 0x1.8dbb91c8cc6a8p-9, 0x1.8368d78b46498p-9, 0x1.79556c309b77bp-9, 0x1.6f7ff0242995cp-9, 0x1.65e70a856f39cp-9, 0x1.5c89690d3250cp-9, 0x1.5365bff2f03f5p-9, 0x1.4a7ac9d28d0fp-9, 0x1.41c747924d7b6p-9, 0x1.394a0049100bep-9, 0x1.3101c124d46d3p-9, 0x1.28ed5d517f97dp-9, 0x1.210baddfef569p-9, 0x1.195b91ad4d69cp-9, 0x1.11dbed4aafca8p-9, 0x1.0a8baae4f91b8p-9, 0x1.0369ba2d07e9p-9, 0x1.f8ea20804c2dap-10, 0x1.eb594f21889acp-10, 0x1.de1eff9ef66a6p-10, 0x1.d1393ba8a3e13p-10, 0x1.c4a617109ee94p-10, 0x1.b863af9e9dbf8p-10, 0x1.ac702ce43d5fbp-10, 0x1.a0c9c011c82c2p-10, 0x1.956ea3cb88325p-10, 0x1.8a5d1bffabcd2p-10, 0x1.7f9375bcb5e41p-10, 0x1.7510070870c48p-10, 0x1.6ad12eb77b3b3p-10, 0x1.60d5544550669p-10, 0x1.571ae7ace668p-10, 0x1.4da06141d0cfcp-10, 0x1.44644189e904dp-10, 0x1.3b65111783693p-10, 0x1.32a1606428392p-10, 0x1.2a17c7abd4a67p-10, 0x1.21c6e6c8c0ceep-10, 0x1.19ad650faa8dbp-10, 0x1.11c9f12c9e671p-10, 0x1.0a1b41004e506p-10, 0x1.02a0117de09afp-10, 0x1.f6ae4d1282b8bp-11, 0x1.e87e95abed90cp-11, 0x1.daae9f8ce3e7dp-11, 0x1.cd3c1a97ba438p-11, 0x1.c024c38cce4c2p-11, 0x1.b36663cc150bbp-11, 0x1.a6fed1179c5f8p-11, 0x1.9aebed5701a1dp-11, 0x1.8f2ba65bd570dp-11, 0x1.83bbf5a6eff42p-11, 0x1.789ae02eb0e4fp-11, 0x1.6dc6762627869p-11, 0x1.633cd2c52373ep-11, 0x1.58fc1c1129163p-11, 0x1.4f0282a749501p-11, 0x1.454e4186d96ffp-11, 0x1.3bdd9ddd075ccp-11, 0x1.32aee6d14ae2ep-11, 0x1.29c07552af66dp-11, 0x1.2110abe5f29d8p-11, 0x1.189df6747a163p-11, 0x1.1066ca1c16cf9p-11, 0x1.0869a4ff9c3d7p-11, 0x1.00a50e183f7e8p-11, 0x1.f22f2a0f89384p-12, 0x1.e37fa3d6e4584p-12, 0x1.d538ca5f9228ep-12, 0x1.c757eeca047b4p-12, 0x1.b9da722894325p-12, 0x1.acbdc52b77909p-12, 0x1.9fff67ce2e529p-12, 0x1.939ce90662af6p-12, 0x1.8793e67435c9ap-12, 0x1.7be20c13f4ddbp-12, 0x1.708513f135d2ep-12, 0x1.657ac5db4e208p-12, 0x1.5ac0f71b2ac7bp-12, 0x1.50558a2a775efp-12, 0x1.46366e6c1c49cp-12, 0x1.3c619fe603e71p-12, 0x1.32d526fc2e5d3p-12, 0x1.298f182d02005p-12, 0x1.208d93ceddbafp-12, 0x1.17cec5cee72a2p-12, 0x1.0f50e57108b7bp-12, 0x1.071235112841ap-12, 0x1.fe2203cb08947p-13, 0x1.ee97478475b07p-13, 0x1.df80f9bbedc0fp-13, 0x1.d0dbf32f71055p-13, 0x1.c2a5207b7b024p-13, 0x1.b4d981aaf4611p-13, 0x1.a77629c956db7p-13, 0x1.9a783e76e493fp-13, 0x1.8ddcf77ef75c2p-13, 0x1.81a19e705898bp-13, 0x1.75c38e37a2a97p-13, 0x1.6a4032bb98051p-13, 0x1.5f15087b70085p-13, 0x1.543f9c2f1076ap-13, 0x1.49bd8a6925433p-13, 0x1.3f8c7f3b1c09fp-13, 0x1.35aa35daed99ap-13, 0x1.2c14784ab3c34p-13, 0x1.22c91f0208ba1p-13, 0x1.19c610991d19bp-13, 0x1.11094175882dcp-13, 0x1.0890b378c7ab3p-13, 0x1.005a75b06071dp-13, 0x1.f0c9480f4d49dp-14, 0x1.e15acdf6345fbp-14, 0x1.d265e69aabd46p-14, 0x1.c3e7137b19b36p-14, 0x1.b5daed7f0e532p-14, 0x1.a83e246a41475p-14, 0x1.9b0d7e5274567p-14, 0x1.8e45d7183fdf5p-14, 0x1.81e41fe2ac93ap-14, 0x1.75e55e9d96633p-14, 0x1.6a46ad7ac8ebfp-14, 0x1.5f053a75ca428p-14, 0x1.541e46da46ee5p-14, 0x1.498f26cd13be9p-14, 0x1.3f5540d7b852p-14, 0x1.356e0d7676f83p-14, 0x1.2bd716a8c8043p-14, 0x1.228df78439c9fp-14, 0x1.19905bc9aca21p-14, 0x1.10dbff7cdf0fdp-14, 0x1.086eae7e3e81p-14, 0x1.00464426f264dp-14, 0x1.f0c155ce2c7ccp-15, 0x1.e177b7cc33099p-15, 0x1.d2abbd4a727a8p-15, 0x1.c459914814f9ep-15, 0x1.b67d7a0e15a87p-15, 0x1.a913d8805ba16p-15, 0x1.9c192772b762cp-15, 0x1.8f89fb01b4ea4p-15, 0x1.8362ffef2c301p-15, 0x1.77a0fb027d9eap-15, 0x1.6c40c86c68e1ep-15, 0x1.613f5b2e6bab9p-15, 0x1.5699bc8596c8p-15, 0x1.4c4d0b58c8917p-15, 0x1.42567baa3a643p-15, 0x1.38b3560c5023dp-15, 0x1.2f60f7199c206p-15, 0x1.265ccef001bd8p-15, 0x1.1da460aeeb55p-15, 0x1.153541f88207cp-15, 0x1.0d0d1a75d6343p-15, 0x1.0529a35dec4fbp-15, 0x1.fb114dff3a6cep-16, 0x1.ec50009c7372dp-16, 0x1.de0b34e1cd38bp-16, 0x1.d03ee0a942526p-16, 0x1.c2e71881b3f27p-16, 0x1.b6000edd4118p-16, 0x1.a98613449646cp-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.ee7d74cfdfea7p-5, 0x1.006e96df3bdfcp-4, 0x1.08fa7119dce6fp-4, 0x1.10d633c3dbe8bp-4, 0x1.17f68b8d26654p-4, 0x1.1e510035c1aecp-4, 0x1.23dc08225cc4p-4, 0x1.288f16dbec66fp-4, 0x1.2c62a6ebc5f51p-4, 0x1.2f503f8d85263p-4, 0x1.315276b260e85p-4, 0x1.3264efcfd2413p-4, 0x1.328457eeb61fep-4, 0x1.31ae5f693c17bp-4, 0x1.2fe1b1bdcc4fep-4, 0x1.2d1debd424bbcp-4, 0x1.29639108adeffp-4, 0x1.24b3ff48de2d3p-4, 0x1.1f1162828dd7fp-4, 0x1.187ea79fb06c2p-4, 0x1.10ff6f3ffbf75p-4, 0x1.0898005ac438ap-4, 0x1.fe9a75d971585p-5, 0x1.ea49159e7c9d2p-5, 0x1.d447b5a3b4a74p-5, 0x1.bca31052e9b1ap-5, 0x1.a368ac8a4cab3p-5, 0x1.88a6c6296a6ap-5, 0x1.6c6c3793b128p-5, 0x1.4ec8643575785p-5, 0x1.2fcb2413ef78dp-5, 0x1.0f84b06cf092cp-5, 0x1.dc0b22cfe1ef7p-6, 0x1.96bd19aef1ddcp-6, 0x1.4f412c0f9f6a7p-6, 0x1.05b97d2c40f9p-6, 0x1.7490a12796252p-7, 0x1.b43fbf4adf193p-8, 0x1.e329201d3ac32p-10, -0x1.916dd6b3139dap-9, -0x1.07de4d300bfa8p-7, -0x1.ade064750bfb4p-7, -0x1.2b0fc158e17e1p-6, -0x1.802d2a3699815p-6, -0x1.d628444e76d1ap-6, -0x1.1670babf0795ep-5, -0x1.421cdef058925p-5, -0x1.6e096135f7bb3p-5, -0x1.9a276b2fc44c1p-5, -0x1.c66881cd000bdp-5, -0x1.f2be88f145261p-5, -0x1.0f8de34e20e3dp-4, -0x1.25b972cdf8b8cp-4, -0x1.3bdb7be86c1f1p-4, -0x1.51edbc05ae17cp-4, -0x1.67ea25c490dcfp-4, -0x1.7dcae18c771c5p-4, -0x1.938a4df5ab0fcp-4, -0x1.a923000b14506p-4, -0x1.be8fc3681cf74p-4, -0x1.d3cb9a358264fp-4, -0x1.e8d1bd078f391p-4, -0x1.fd9d9aa02df29p-4, -0x1.09156bcb9922bp-3, -0x1.133aa6f56ea62p-3, -0x1.1d3c863d66038p-3, -0x1.27192b3792ec9p-3, -0x1.30ced146f141cp-3, -0x1.3a5bcd3ff6bbdp-3, -0x1.43be8d03cf7fep-3, -0x1.4cf5971519999p-3, -0x1.55ff8a26c3d81p-3, -0x1.5edb1ca5c7e4ep-3, -0x1.67871c3e55fddp-3, -0x1.70026d5d07db1p-3, -0x1.784c0aaca3f8dp-3, -0x1.80630490fe029p-3, -0x1.8846809f56e29p-3, -0x1.8ff5b914c067ap-3, -0x1.976ffc4ae9a8bp-3, -0x1.9eb4ac2ba0ac3p-3, -0x1.a5c33da3871d7p-3, -0x1.ac9b38142527bp-3, -0x1.b33c34c5c5c91p-3, -0x1.b9a5de595244p-3, -0x1.bfd7f03a7692p-3, -0x1.c5d2361242bf1p-3, -0x1.cb948b3a879fap-3, -0x1.d11eda321bbe2p-3, -0x1.d6711c123aa3bp-3, -0x1.db8b580526f19p-3, -0x1.e06da2be351e8p-3, -0x1.e5181df36125cp-3, -0x1.e98af7d88fb3cp-3, -0x1.edc66a9c9b5bfp-3, -0x1.f1cabbe83bea5p-3, -0x1.f5983c5eeda4p-3, -0x1.f92f4721e304cp-3, -0x1.fc9041551290bp-3, -0x1.ffbb99a67bff6p-3, -0x1.0158e3ebd1ef6p-2, -0x1.02b9a624acf47p-2, -0x1.040057c4eeb3cp-2, -0x1.052d40f2a6953p-2, -0x1.0640ad7c49497p-2, -0x1.073aeca35160dp-2, -0x1.081c50e8200f7p-2, -0x1.08e52fd712af9p-2, -0x1.0995e1d6d63eep-2, -0x1.0a2ec1f7f4e08p-2, -0x1.0ab02dc5a0e96p-2, -0x1.0b1a8517bb437p-2, -0x1.0b6e29e616091p-2, -0x1.0bab801cf044dp-2, -0x1.0bd2ed72ac971p-2, -0x1.0be4d93ebecd7p-2, -0x1.0be1ac51ce37cp-2, -0x1.0bc9d0cf0e7e2p-2, -0x1.0b9db206c54a1p-2, -0x1.0b5dbc5202ebep-2, -0x1.0b0a5cef82fcap-2, -0x1.0aa401e1b6c01p-2, -0x1.0a2b19cdf5503p-2, -0x1.09a013dccbdbap-2, -0x1.09035f9b6c33bp-2, -0x1.08556cde3696fp-2, -0x1.0796aba4581e3p-2, -0x1.06c78bfc7cec3p-2, -0x1.05e87dea8dc34p-2, -0x1.04f9f14e7a53ep-2, -0x1.03fc55cc05b5ap-2, -0x1.02f01ab396cc8p-2, -0x1.01d5aeec027d7p-2, -0x1.00ad80dd4d7f8p-2, -0x1.feeffcb8c6496p-3, -0x1.fc6b292f70a15p-3, -0x1.f9cd6009b1b21p-3, -0x1.f717789db2513p-3, -0x1.f44a488b4db9fp-3, -0x1.f166a39c6d3b8p-3, -0x1.ee6d5ba7093b2p-3, -0x1.eb5f4070d3f27p-3, -0x1.e83d1f9472a3cp-3, -0x1.e507c4684d2f7p-3, -0x1.e1bff7e6e2733p-3, -0x1.de6680988ef9ep-3, -0x1.dafc227ecd05bp-3, -0x1.d7819f00d8d8p-3, -0x1.d3f7b4d9b06b9p-3, -0x1.d05f200767973p-3, -0x1.ccb899bbc8ae9p-3, -0x1.c904d84e32acbp-3, -0x1.c5448f2eaddfcp-3, -0x1.c1786eda2e488p-3, -0x1.bda124cffe685p-3, -0x1.b9bf5b883b9dbp-3, -0x1.b5d3ba6b6cdb9p-3, -0x1.b1dee5cb1e9f5p-3, -0x1.ade17edb7a781p-3, -0x1.a9dc23addcc3p-3, -0x1.a5cf6f2c53806p-3, -0x1.a1bbf91600192p-3, -0x1.9da255fc5dd7p-3, -0x1.99831741554fep-3, -0x1.955ecb162129bp-3, -0x1.9135fc7af29fdp-3, -0x1.8d09333f54e87p-3, -0x1.88d8f40345ccdp-3, -0x1.84a5c038f8e6cp-3, -0x1.80701627411cep-3, -0x1.7c3870ec98737p-3, -0x1.77ff4882bd658p-3, -0x1.73c511c2df9edp-3, -0x1.6f8a3e6a56ceap-3, -0x1.6b4f3d1fdba97p-3, -0x1.671479793b2e3p-3, -0x1.62da5c017b649p-3, -0x1.5ea14a3f789cp-3, -0x1.5a69a6bcdf077p-3, -0x1.5633d10d8ec74p-3, -0x1.520025d75b6ep-3, -0x1.4dcefeda1f15dp-3, -0x1.49a0b2f82104dp-3, -0x1.4575963ecd3f5p-3, -0x1.414df9efa7e95p-3, -0x1.3d2a2c898d2f4p-3, -0x1.390a79d22898ap-3, -0x1.34ef2adfa587ap-3, -0x1.30d88622939e5p-3, -0x1.2cc6cf6ff9c27p-3, -0x1.28ba480b95fd2p-3, -0x1.24b32eb23fa8fp-3, -0x1.20b1bfa470537p-3, -0x1.1cb634b0e9a66p-3, -0x1.18c0c53f7775ep-3, -0x1.14d1a65bc529p-3, -0x1.10e90ac04ca49p-3, -0x1.0d0722e14fc3bp-3, -0x1.092c1cf7e60c4p-3, -0x1.0558250d0de74p-3, -0x1.018b6504ca2a2p-3, -0x1.fb8c095279f93p-4, -0x1.f410536b9c5b1p-4, -0x1.eca3efc4933afp-4, -0x1.e54721dbf2861p-4, -0x1.ddfa295580219p-4, -0x1.d6bd42104848cp-4, -0x1.cf90a43caca4bp-4, -0x1.c874847251f6fp-4, -0x1.c16913c5f19e2p-4, -0x1.ba6e7fdf09ae6p-4, -0x1.b384f30d70e36p-4, -0x1.acac945ebcd55p-4, -0x1.a5e587b375295p-4, -0x1.9f2fedd42fe37p-4, -0x1.988be48665c4ap-4, -0x1.91f986a12400ap-4, -0x1.8b78ec217ecc3p-4, -0x1.850a2a3ed221fp-4, -0x1.7ead537ec57bcp-4, -0x1.786277c9149cfp-4, -0x1.7229a47b1af74p-4, -0x1.6c02e47b1f066p-4, -0x1.65ee404b5c948p-4, -0x1.5febbe1cccd8dp-4, -0x1.59fb61e1aa278p-4, -0x1.541d2d5faf8cbp-4, -0x1.4e51204210faap-4, -0x1.4897382b2da08p-4, -0x1.42ef70c5f85eap-4, -0x1.3d59c3d719dbbp-4, -0x1.37d6294dc6c7cp-4, -0x1.326497544e2b7p-4, -0x1.2d0502605b8a8p-4, -0x1.27b75d42eec99p-4, -0x1.227b993809a9p-4, -0x1.1d51a5f6105f8p-4, -0x1.183971bcdfca9p-4, -0x1.1332e9649771dp-4, -0x1.0e3df86c17e58p-4, -0x1.095a890736b25p-4, -0x1.0488842ca4939p-4, -0x1.ff8fa34717087p-5, -0x1.f630b021be1d6p-5, -0x1.ecf3fa08c842p-5, -0x1.e3d94a0ad96a3p-5, -0x1.dae0673e97bdep-5, -0x1.d20916dafcc4ep-5, -0x1.c9531c4f186ddp-5, -0x1.c0be39593ff42p-5, -0x1.b84a2e1db0641p-5, -0x1.aff6b93ca190cp-5, -0x1.a7c397e7cd5bep-5, -0x1.9fb085f768d85p-5, -0x1.97bd3dfe97b98p-5, -0x1.8fe9795f52abbp-5, -0x1.8834f05dcb7dbp-5, -0x1.809f5a334812ap-5, -0x1.79286d207b7efp-5, -0x1.71cfde7f5e5f3p-5, -0x1.6a9562d484a6p-5, -0x1.6378addff682cp-5, -0x1.5c7972ad8dc8bp-5, -0x1.559763a4d5062p-5, -0x1.4ed2329871cc3p-5, -0x1.482990d516477p-5, -0x1.419d2f2ffcfa9p-5, -0x1.3b2cbe14f21f9p-5, -0x1.34d7ed93ed264p-5, -0x1.2e9e6d6e377f1p-5, -0x1.287fed232a328p-5, -0x1.227c1bfc7d57dp-5, -0x1.1c92a91a2eb29p-5, -0x1.16c3437e0138ep-5, -0x1.110d9a169744cp-5, -0x1.0b715bca2933bp-5, -0x1.05ee3780da8f9p-5, -0x1.0083dc2eae1c3p-5, -0x1.f663f1ba40587p-6, -0x1.ebf07968c1d11p-6, -0x1.e1acae086d434p-6, -0x1.d797ee991543p-6, -0x1.cdb19a8b3721ep-6, -0x1.c3f911cfc1658p-6, -0x1.ba6db4e72dd68p-6, -0x1.b10ee4f0000bcp-6, -0x1.a7dc03b4a7bdcp-6, -0x1.9ed473b8c62dcp-6, -0x1.95f79845e12ebp-6, -0x1.8d44d57785ed7p-6, -0x1.84bb9046d8a5cp-6, -0x1.7c5b2e959df1p-6, -0x1.74231738be607p-6, -0x1.6c12b2023ec3ap-6, -0x1.642967cac01a1p-6, -0x1.5c66a27a82432p-6, -0x1.54c9cd11e533ap-6, -0x1.4d5253b17f353p-6, -0x1.45ffa3a1b698bp-6, -0x1.3ed12b59f0725p-6, -0x1.37c65a87518f5p-6, -0x1.30dea21317469p-6, -0x1.2a197428849eep-6, -0x1.2376443a73fadp-6, -0x1.1cf487087dce7p-6, -0x1.1693b2a3ce68ap-6, -0x1.10533e73922ecp-6, -0x1.0a32a33917413p-6, -0x1.04315b138e038p-6, -0x1.fc9dc30700ecfp-7, -0x1.f11566dbea401p-7, -0x1.e5c89e3e80a62p-7, -0x1.dab6689b26a2ap-7, -0x1.cfddc8367aa31p-7, -0x1.c53dc231497dbp-7, -0x1.bad55e8c03ae8p-7, -0x1.b0a3a829aa10dp-7, -0x1.a6a7acd23a85cp-7, -0x1.9ce07d34a6638p-7, -0x1.934d2ce8557c2p-7, -0x1.89ecd26e2eb41p-7, -0x1.80be87313e13cp-7, -0x1.77c16786ed137p-7, -0x1.6ef492aed6fa3p-7, -0x1.66572ad237e81p-7, -0x1.5de855030a3ffp-7, -0x1.55a7393aba837p-7, -0x1.4d93025892p-7, -0x1.45aade1fcc9ecp-7, -0x1.3dedfd3558da5p-7, -0x1.365b931d55fbep-7, -0x1.2ef2d63843635p-7, -0x1.27b2ffbfed869p-7, -0x1.209b4bc417868p-7, -0x1.19aaf926e767ap-7, -0x1.12e1499914ee4p-7, -0x1.0c3d8195e02efp-7, -0x1.05bee85ed183dp-7, -0x1.fec98fee8b6edp-8, -0x1.f25cda3f93433p-8, -0x1.e6364ea28d3d4p-8, -0x1.da54917007eb1p-8, -0x1.ceb64c5cfc0bep-8, -0x1.c35a2e702dcbdp-8, -0x1.b83eebf74247dp-8, -0x1.ad633e7b91847p-8, -0x1.a2c5e4b6b6ce8p-8, -0x1.9865a286e4079p-8, -0x1.8e4140e2fb3edp-8, -0x1.84578dce74c71p-8, -0x1.7aa75c4d12a25p-8, -0x1.712f8456672cbp-8, -0x1.67eee2c9321e5p-8, -0x1.5ee4595e9505p-8, -0x1.560ece9d26cf9p-8, -0x1.4d6d2dcbe549ap-8, -0x1.44fe66e50b024p-8, -0x1.3cc16e88c9e4ap-8, -0x1.34b53defef946p-8, -0x1.2cd8d2de75cdep-8, -0x1.252b2f95fe3a2p-8, -0x1.1dab5ac843d8bp-8, -0x1.16585f897af5fp-8, -0x1.0f314d42aaa82p-8, -0x1.083537a3fb99ep-8, -0x1.0163369703bcep-8, -0x1.f574cc621673fp-9, -0x1.e873cd4aa6b5cp-9, -0x1.dbc1b86eb6f57p-9, -0x1.cf5cde5a50fe9p-9, -0x1.c343978324772p-9, -0x1.b774442d27d5fp-9, -0x1.abed4c4f4ebcfp-9, -0x1.a0ad1f784e66fp-9, -0x1.95b234b377798p-9, -0x1.8afb0a6da9bcp-9, -0x1.8086265a6515p-9, -0x1.76521558efeb9p-9, -0x1.6c5d6b59a971ep-9, -0x1.62a6c3437424fp-9, -0x1.592cbed94cc4ep-9, -0x1.4fee06a001f45p-9, -0x1.46e949c41c419p-9, -0x1.3e1d3dffeb578p-9, -0x1.35889f81c1e7bp-9, -0x1.2d2a30d263af4p-9, -0x1.2500babb9db3dp-9, -0x1.1d0b0c2f16cc6p-9, -0x1.1547fa2d4f73ep-9, -0x1.0db65facd8c6bp-9, -0x1.06551d81bfdb2p-9, -0x1.fe46348a63eb4p-10, -0x1.f03e847ab2106p-10, -0x1.e2910e8ae0fadp-10, -0x1.d53bc16c2fe0fp-10, -0x1.c83c969bb7dfap-10, -0x1.bb919234025b2p-10, -0x1.af38c2bf0ed6fp-10, -0x1.a3304108da47bp-10, -0x1.97762ff2647f1p-10, -0x1.8c08bc452e10ap-10, -0x1.80e61c8738d11p-10, -0x1.760c90cf8af01p-10, -0x1.6b7a629b2bab7p-10, -0x1.612de4a2a3bcdp-10, -0x1.572572b009645p-10, -0x1.4d5f71757f4a4p-10, -0x1.43da4e64437ebp-10, -0x1.3a947f8436f17p-10, -0x1.318c834bf6282p-10, -0x1.28c0e07964cafp-10, -0x1.203025eaca704p-10, -0x1.17d8ea786fc18p-10, -0x1.0fb9ccceb9ba6p-10, -0x1.07d17348cf646p-10, -0x1.001e8bcbbd721p-10, -0x1.f13f974448e85p-11, -0x1.e2a7deb0bdb35p-11, -0x1.d47375326553dp-11, -0x1.c69ff015fffc9p-11, -0x1.b92af25ae4da2p-11, -0x1.ac122c6f65d73p-11, -0x1.9f535bee332e5p-11, -0x1.92ec4b5cbd36ap-11, -0x1.86dad1ea95513p-11, -0x1.7b1cd331c88fcp-11, -0x1.6fb03ef83702dp-11, -0x1.649310f1e0b35p-11, -0x1.59c350842cc8dp-11, -0x1.4f3f108a22c1ep-11, -0x1.45046f199957fp-11, -0x1.3b1195495533ep-11, -0x1.3164b6f8173aep-11, -0x1.27fc129499182p-11, -0x1.1ed5f0e673bcep-11, -0x1.15f0a4d7ef2a5p-11, -0x1.0d4a8b40ba9dap-11, -0x1.04e20ab187443p-11, -0x1.f96b26810fe43p-12, -0x1.e9873cad9b0acp-12, -0x1.da155cfd0ba2fp-12, -0x1.cb129e6423a0cp-12, -0x1.bc7c2957eec0ep-12, -0x1.ae4f376f53368p-12, -0x1.a089130649aedp-12, -0x1.932716e2badedp-12, -0x1.8626addafa7edp-12, -0x1.7985527ddecdap-12, -0x1.6d408ebc69592p-12, -0x1.6155fb95051ap-12, -0x1.55c340c04c5edp-12, -0x1.4a86145f552eap-12, -0x1.3f9c3aab80867p-12, -0x1.350385a7c4cb4p-12, -0x1.2ab9d4d36fd5ap-12, -0x1.20bd14de5a48dp-12, -0x1.170b3f5e89f4cp-12, -0x1.0da25a873b9bep-12, -0x1.048078e14eb39p-12, -0x1.f747720a22a8p-13, -0x1.e6148aaac8753p-13, -0x1.d564a7786771ap-13, -0x1.c5344ad0821ccp-13, -0x1.b5800d1861d7fp-13, -0x1.a6449c3dd20fap-13, -0x1.977ebb3a4715cp-13, -0x1.892b41988e67dp-13, -0x1.7b471afce371fp-13, -0x1.6dcf46af6a9cfp-13, -0x1.60c0d72907d75p-13, -0x1.5418f1a285cbp-13, -0x1.47d4cda605a49p-13, -0x1.3bf1b4a2af4fcp-13, -0x1.306d018293c1p-13, -0x1.25442042ba173p-13, -0x1.1a748d8d57948p-13, -0x1.0ffbd6561a1e4p-13, -0x1.05d79778870fcp-13, -0x1.f80afab0be206p-14, -0x1.e506870813408p-14, -0x1.d29d68b1d8e4dp-14, -0x1.c0cb51536f205p-14, -0x1.af8c0ecd2fc5ap-14, -0x1.9edb8a8e83c93p-14, -0x1.8eb5c8edaba79p-14, -0x1.7f16e8831c5e8p-14, -0x1.6ffb2188659f7p-14, -0x1.615ec53a91bcap-14, -0x1.533e3d3fed4e1p-14, -0x1.45960b1128dd7p-14, -0x1.3862c765c1db8p-14, -0x1.2ba121a3a86e3p-14, -0x1.1f4ddf520de8bp-14, -0x1.1365db8f4ec7bp-14, -0x1.07e60689ebc3cp-14, -0x1.f996c9f8fdc22p-15, -0x1.e4261f5943002p-15, -0x1.cf7465d969adp-15, -0x1.bb7c1c40f6b15p-15, -0x1.a837e688f6a63p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.5f40035793559p-1, 0x1.5ee77a8d5d6f8p-1, 0x1.5e7938171014ap-1, 0x1.5df5b33c547aep-1, 0x1.5d5da06ba82a1p-1, 0x1.5cb1e6c5aa35p-1, 0x1.5bf3962beeca5p-1, 0x1.5b23ddfd286c4p-1, 0x1.5a44049901d99p-1, 0x1.59555fb9cfc4ep-1, 0x1.58594da8e2c3ep-1, 0x1.57512f4b2c594p-1, 0x1.563e62fec1e72p-1, 0x1.5522403e2da3ep-1, 0x1.53fe13fc1974cp-1, 0x1.52d31da879918p-1, 0x1.51a28ccfb50c9p-1, 0x1.506d7f442ca8cp-1, 0x1.4f34ffc2d8cf5p-1, 0x1.4dfa0504519d8p-1, 0x1.4cbd712c66032p-1, 0x1.4b80118b5e187p-1, 0x1.4a429ea4fe664p-1, 0x1.4905bc727a75ap-1, 0x1.47c9fad58136p-1, 0x1.468fd6339815p-1, 0x1.4557b831eb8a3p-1, 0x1.4421f88aa445ap-1, 0x1.42eeddf5a7428p-1, 0x1.41be9f1f6ee46p-1, 0x1.409163a95dd12p-1, 0x1.3f67452f94b0ap-1, 0x1.3e405050e6dc5p-1, 0x1.3d1c85b60d52dp-1, 0x1.3bfbdb15b3828p-1, 0x1.3ade3c335c713p-1, 0x1.39c38bd783808p-1, 0x1.38aba4bfa5b6ep-1, 0x1.37965a852fa16p-1, 0x1.36837a7a8697cp-1, 0x1.3572cc7d9aeecp-1, 0x1.346413bf9df0ep-1, 0x1.33570f81a3c24p-1, 0x1.324b7bc6114dcp-1, 0x1.314111f6e138cp-1, 0x1.30378980d1aefp-1, 0x1.2f2e9863b18e2p-1, 0x1.2e25f3b8088abp-1, 0x1.2d1d502a669adp-1, 0x1.2c14626cb30eep-1, 0x1.2b0adf9dd8241p-1, 0x1.2a007da83232cp-1, 0x1.28f4f39728f2dp-1, 0x1.27e7f9e45f779p-1, 0x1.26d94abce97eep-1, 0x1.25c8a23eefa28p-1, 0x1.24b5beb032903p-1, 0x1.23a060add515fp-1, 0x1.22884b55dabbdp-1, 0x1.216d446abb3dap-1, 0x1.204f147174716p-1, 0x1.1f2d86ca76beap-1, 0x1.1e0869c5cb25dp-1, 0x1.1cdf8eb2cb3eap-1, 0x1.1bb2c9ebbfd61p-1, 0x1.1a81f2ddb9bd7p-1, 0x1.194ce40ceee51p-1, 0x1.18137b15e8b97p-1, 0x1.16d598abc8282p-1, 0x1.15932093e029cp-1, 0x1.144bf99ee8ca6p-1, 0x1.13000d9fff777p-1, 0x1.11af4961b2959p-1, 0x1.10599c99476dcp-1, 0x1.0efef9d86bb47p-1, 0x1.0d9f567d8261bp-1, 0x1.0c3aaaa2b4c23p-1, 0x1.0ad0f10bed5a9p-1, 0x1.09622713e70fp-1, 0x1.07ee4c986bd2ap-1, 0x1.067563e5e8eafp-1, 0x1.04f771a2719f4p-1, 0x1.03747cb84f571p-1, 0x1.01ec8e4036051p-1, 0x1.005fb16b33857p-1, 0x1.fd9be6d8e3d04p-2, 0x1.fa6ec6c5bf8f5p-2, 0x1.f73824859910dp-2, 0x1.f3f8257f21cfdp-2, 0x1.f0aef26a92b85p-2, 0x1.ed5cb7257324bp-2, 0x1.ea01a286ba034p-2, 0x1.e69de6336be42p-2, 0x1.e331b673c400fp-2, 0x1.dfbd4a08fb291p-2, 0x1.dc40da03bf097p-2, 0x1.d8bca19b6622ap-2, 0x1.d530de05eeee6p-2, 0x1.d19dce50d291fp-2, 0x1.ce03b33aba7fep-2, 0x1.ca62cf0e1a5d1p-2, 0x1.c6bb657cbbc93p-2, 0x1.c30dbb7c3e3fap-2, 0x1.bf5a172392185p-2, 0x1.bba0bf89706ccp-2, 0x1.b7e1fca3d7597p-2, 0x1.b41e172886a81p-2, 0x1.b055586e861d5p-2, 0x1.ac880a50adf19p-2, 0x1.a8b67711380c7p-2, 0x1.a4e0e93e57d0bp-2, 0x1.a107ab97d3a1fp-2, 0x1.9d2b08f5a80e8p-2, 0x1.994b4c2fa5391p-2, 0x1.9568c00611f17p-2, 0x1.9183af0b45f9p-2, 0x1.8d9c638e43cd6p-2, 0x1.89b3278641b4fp-2, 0x1.85c8447f2b47ep-2, 0x1.81dc03870c82dp-2, 0x1.7deead1c6c8b7p-2, 0x1.7a00891d88507p-2, 0x1.7611deb8739fap-2, 0x1.7222f45c15411p-2, 0x1.6e340fa9fa941p-2, 0x1.6a457568ff27ap-2, 0x1.66576978c379bp-2, 0x1.626a2ec5ea809p-2, 0x1.5e7e073f1cad2p-2, 0x1.5a9333caca3e3p-2, 0x1.56a9f43da64b2p-2, 0x1.52c28751d5b02p-2, 0x1.4edd2a9ecf384p-2, 0x1.4afa1a91e4391p-2, 0x1.471992676dab7p-2, 0x1.433bcc2498799p-2, 0x1.3f610091cfb1p-2, 0x1.3b896735b5a42p-2, 0x1.37b53650b3e67p-2, 0x1.33e4a2d910fbep-2, 0x1.3017e0778ecfcp-2, 0x1.2c4f21848a78fp-2, 0x1.288a970595d2p-2, 0x1.24ca70ab8bc52p-2, 0x1.210edcd116113p-2, 0x1.1d5808799ded6p-2, 0x1.19a61f50adb4fp-2, 0x1.15f94ba9ae0dap-2, 0x1.1251b6800c9b6p-2, 0x1.0eaf8777b8776p-2, 0x1.0b12e4ddfa927p-2, 0x1.077bf3aaa0c6p-2, 0x1.03ead781772e9p-2, 0x1.005fb2b410afdp-2, 0x1.f9b54c87aace8p-3, 0x1.f2b7a3c8ad364p-3, 0x1.ebc6a7fbbf98bp-3, 0x1.e4e2936097e62p-3, 0x1.de0b9dac19bdfp-3, 0x1.d741fc0ed94a8p-3, 0x1.d085e13c06c9fp-3, 0x1.c9d77d70ada65p-3, 0x1.c336fe7b5dfd5p-3, 0x1.bca48fc4173eap-3, 0x1.b6205a548e45cp-3, 0x1.afaa84e0b72dep-3, 0x1.a94333cf89341p-3, 0x1.a2ea89440f204p-3, 0x1.9ca0a526a1e68p-3, 0x1.9665a52e5c753p-3, 0x1.9039a4eabc5f5p-3, 0x1.8a1cbdcd70442p-3, 0x1.840f0734425c9p-3, 0x1.7e1096732b7f1p-3, 0x1.78217ede840b2p-3, 0x1.7241d1d544aacp-3, 0x1.6c719ecb65dc8p-3, 0x1.66b0f3544e72p-3, 0x1.60ffdb2d4ada3p-3, 0x1.5b5e604816033p-3, 0x1.55cc8ad565c0dp-3, 0x1.504a614f7e3c6p-3, 0x1.4ad7e884c1e06p-3, 0x1.457523a2492dep-3, 0x1.4022143e6b9eap-3, 0x1.3adeba6349682p-3, 0x1.35ab14994e34ep-3, 0x1.30871ff19ec2p-3, 0x1.2b72d81083d89p-3, 0x1.266e3737c10c8p-3, 0x1.21793650d821p-3, 0x1.1c93ccf741dfp-3, 0x1.17bdf182865fep-3, 0x1.12f7991046648p-3, 0x1.0e40b78e2eadfp-3, 0x1.09993fc3c9093p-3, 0x1.0501235c3bc28p-3, 0x1.007852efe6caep-3, 0x1.f7fd7c1bd23c4p-4, 0x1.ef28a68b00ab1p-4, 0x1.e672005ea63d7p-4, 0x1.ddd962ed24b5ap-4, 0x1.d55ea5c3f8aadp-4, 0x1.cd019eb984279p-4, 0x1.c4c221fe86987p-4, 0x1.bca0022f5aad5p-4, 0x1.b49b1064e34ddp-4, 0x1.acb31c4535b48p-4, 0x1.a4e7f413f9a65p-4, 0x1.9d3964c27a809p-4, 0x1.95a739ff775bep-4, 0x1.8e313e469d831p-4, 0x1.86d73aefbb509p-4, 0x1.7f98f83da7659p-4, 0x1.78763d6cda203p-4, 0x1.716ed0c1bab76p-4, 0x1.6a8277969ec24p-4, 0x1.63b0f6697d659p-4, 0x1.5cfa10e95546dp-4, 0x1.565d8a0345cb1p-4, 0x1.4fdb23ef5bcf9p-4, 0x1.4972a03d11278p-4, 0x1.4323bfdf81821p-4, 0x1.3cee433951e97p-4, 0x1.36d1ea284e5dfp-4, 0x1.30ce7410bb45p-4, 0x1.2ae39fe85dd63p-4, 0x1.25112c413a1d8p-4, 0x1.1f56d75407a2ap-4, 0x1.19b45f0a5dee6p-4, 0x1.14298108994a3p-4, 0x1.0eb5fab77899dp-4, 0x1.0959894d74227p-4, 0x1.0413e9d7d00ffp-4, 0x1.fdc9b286d2f9cp-5, 0x1.f39828ca7e715p-5, 0x1.e992b00572921p-5, 0x1.dfb8c1b35853cp-5, 0x1.d609d7503a7e4p-5, 0x1.cc856a678a421p-5, 0x1.c32af4a2a79dap-5, 0x1.b9f9efd6ecdaep-5, 0x1.b0f1d6133e8e1p-5, 0x1.a81221ad25015p-5, 0x1.9f5a4d4d6d4cdp-5, 0x1.96c9d3fc559ddp-5, 0x1.8e60312d4a501p-5, 0x1.861ce0ca2ddc6p-5, 0x1.7dff5f3e36e02p-5, 0x1.760729805e9b5p-5, 0x1.6e33bd1d674a2p-5, 0x1.6684984179fe5p-5, 0x1.5ef939c15e703p-5, 0x1.579121234dd4ep-5, 0x1.504bcea76600dp-5, 0x1.4928c34fbb6e7p-5, 0x1.422780e80dae1p-5, 0x1.3b478a0d1fa65p-5, 0x1.34886233b9fb4p-5, 0x1.2de98daf4f2aap-5, 0x1.276a91b851e57p-5, 0x1.210af47231579p-5, 0x1.1aca3cf108bbep-5, 0x1.14a7f33efcf4cp-5, 0x1.0ea3a0614dcc1p-5, 0x1.08bcce5d19ca6p-5, 0x1.02f3083bdc0a9p-5, 0x1.fa8bb41f3cce6p-6, 0x1.ef69a1edd3066p-6, 0x1.e47ef640d8aep-6, 0x1.d9cacf9cce737p-6, 0x1.cf4c4eb3a334p-6, 0x1.c502966a89356p-6, 0x1.baeccbdf4e1ep-6, 0x1.b10a166d4038ep-6, 0x1.a7599fb19d828p-6, 0x1.9dda938f970a8p-6, 0x1.948c2033e5277p-6, 0x1.8b6d7617f926p-6, 0x1.827dc804c131fp-6, 0x1.79bc4b1512e07p-6, 0x1.712836b7b11a6p-6, 0x1.68c0c4b0f8a7cp-6, 0x1.6085311c32a92p-6, 0x1.5874ba6c91eb3p-6, 0x1.508ea16de0029p-6, 0x1.48d22944d3d95p-6, 0x1.413e976f21de2p-6, 0x1.39d333c33d63bp-6, 0x1.328f486fd455bp-6, 0x1.2b7221fb05432p-6, 0x1.247b0f4151276p-6, 0x1.1da9617450ae8p-6, 0x1.16fc6c1928bc2p-6, 0x1.10738506c5f2fp-6, 0x1.0a0e0463dc6bep-6, 0x1.03cb44a4b62b6p-6, 0x1.fb554511912d2p-7, 0x1.ef56fa3032b5bp-7, 0x1.e39a6b40eb305p-7, 0x1.d81e5f64ee297p-7, 0x1.cce1a23cc84afp-7, 0x1.c1e303e1be10bp-7, 0x1.b72158dedfe6p-7, 0x1.ac9b7a29deee1p-7, 0x1.a250451b8219p-7, 0x1.983e9b67ef97dp-7, 0x1.8e656316a3473p-7, 0x1.84c3867a32706p-7, 0x1.7b57f427d3055p-7, 0x1.72219eeea7c09p-7, 0x1.691f7dcee0a5p-7, 0x1.60508bf0a769ep-7, 0x1.57b3c89adaa5ap-7, 0x1.4f483729a5c91p-7, 0x1.470cdf04ed9dbp-7, 0x1.3f00cb9696585p-7, 0x1.37230c40ab8d7p-7, 0x1.2f72b45364d22p-7, 0x1.27eedb030f7c1p-7, 0x1.20969b5ddc833p-7, 0x1.1969144196e2ep-7, 0x1.1265685142c24p-7, 0x1.0b8abdeaa978dp-7, 0x1.04d83f1bd3d73p-7, 0x1.fc9a3330e959p-8, 0x1.efd0fd5e899afp-8, 0x1.e353467ea918fp-8, 0x1.d71f7f5aa427bp-8, 0x1.cb341fb190dd7p-8, 0x1.bf8fa622af107p-8, 0x1.b4309817cfe37p-8, 0x1.a91581afb6497p-8, 0x1.9e3cf5a873e01p-8, 0x1.93a58d49c7329p-8, 0x1.894de84f79fccp-8, 0x1.7f34acd3c8276p-8, 0x1.75588739cab6p-8, 0x1.6bb82a17f1e78p-8, 0x1.62524e2288102p-8, 0x1.5925b216459ffp-8, 0x1.50311aa2f8041p-8, 0x1.4773525639fc5p-8, 0x1.3eeb298641e4fp-8, 0x1.3697763cca75dp-8, 0x1.2e771422109dfp-8, 0x1.2688e467f175ep-8, 0x1.1ecbcdb521867p-8, 0x1.173ebc10846f6p-8, 0x1.0fe0a0cca5c36p-8, 0x1.08b0727350938p-8, 0x1.01ad2cb14d41fp-8, 0x1.f5aba08485081p-9, 0x1.e852c5b975672p-9, 0x1.db4dde3ca591dp-9, 0x1.ce9b08f01d898p-9, 0x1.c2386e35af84p-9, 0x1.b6243fc84ac23p-9, 0x1.aa5cb895a0064p-9, 0x1.9ee01c98201d7p-9, 0x1.93acb8b152caep-9, 0x1.88c0e2848975fp-9, 0x1.7e1af851eaca5p-9, 0x1.73b960d1dfbc6p-9, 0x1.699a8b10dbbfep-9, 0x1.5fbcee4b85d2ap-9, 0x1.561f09cb437b8p-9, 0x1.4cbf64c321cbdp-9, 0x1.439c8e2d22965p-9, 0x1.3ab51ca7ef8a4p-9, 0x1.3207ae54eb51bp-9, 0x1.2992e8b6a9b5ap-9, 0x1.2155788fcec65p-9, 0x1.194e11c24ed7bp-9, 0x1.117b6f2f15836p-9, 0x1.09dc5296143f1p-9, 0x1.026f8476b527ep-9, 0x1.f667a7e16404bp-10, 0x1.e8502d4aad801p-10, 0x1.da9651324ad26p-10, 0x1.cd37d82bbfd7p-10, 0x1.c0329319f9bcdp-10, 0x1.b3845ef4fa36bp-10, 0x1.a72b24905657ap-10, 0x1.9b24d86273b52p-10, 0x1.8f6f7a4ca357ap-10, 0x1.84091563f4301p-10, 0x1.78efbfbad818cp-10, 0x1.6e219a2b913efp-10, 0x1.639cd02360147p-10, 0x1.595f976e818bp-10, 0x1.4f683004ea76fp-10, 0x1.45b4e3d7ca3a7p-10, 0x1.3c44069fd2796p-10, 0x1.3313f5ac3ad2ep-10, 0x1.2a2317b28e252p-10, 0x1.216fdc9f2f55fp-10, 0x1.18f8bd669d82fp-10, 0x1.10bc3bd779d9p-10, 0x1.08b8e26d41911p-10, 0x1.00ed4423c2d2ap-10, 0x1.f2aff8969ff49p-11, 0x1.e3ef5cbb40c15p-11, 0x1.d5960ba6d6419p-11, 0x1.c7a16bf5669f7p-11, 0x1.ba0ef39b8c6a8p-11, 0x1.acdc2795d0111p-11, 0x1.a0069b9960a0dp-11, 0x1.938bf1c6213a5p-11, 0x1.8769da5a0d779p-11, 0x1.7b9e1365ef23bp-11, 0x1.702668835ef77p-11, 0x1.6500b28c11b26p-11, 0x1.5a2ad75269eap-11, 0x1.4fa2c95b4cfb6p-11, 0x1.456687993509ap-11, 0x1.3b741d287eeadp-11, 0x1.31c9a10cef46ep-11, 0x1.286535f069bbfp-11, 0x1.1f4509e2d8013p-11, 0x1.1667561b3c861p-11, 0x1.0dca5eb9ec824p-11, 0x1.056c728becf36p-11, 0x1.fa97d59ee42ddp-12, 0x1.eace55f2ee7a3p-12, 0x1.db7940f8e4ab7p-12, 0x1.cc9585203384cp-12, 0x1.be2023f476266p-12, 0x1.b01631b13f831p-12, 0x1.a274d4d7f0f42p-12, 0x1.953945c79f457p-12, 0x1.8860ce56f99e8p-12, 0x1.7be8c97028d26p-12, 0x1.6fcea2aea716dp-12, 0x1.640fd5fefdab8p-12, 0x1.58a9ef406e4cdp-12, 0x1.4d9a89e873466p-12, 0x1.42df50a81aa6dp-12, 0x1.3875fd132db8bp-12, 0x1.2e5c57491fcb2p-12, 0x1.2490359fbe703p-12, 0x1.1b0f7c4f9948cp-12, 0x1.11d81d221dc2ap-12, 0x1.08e817215ce19p-12, 0x1.003d764972f7p-12, 0x1.efaca67723787p-13, 0x1.df61a5e5367e3p-13, 0x1.cf964cf29d0cfp-13, 0x1.c0471543fba9ap-13, 0x1.b1708f7f8cd8ap-13, 0x1.a30f62c2828dbp-13, 0x1.95204c195c364p-13, 0x1.87a01dfb0e3e3p-13, 0x1.7a8bbfc702432p-13, 0x1.6de02d45d88aep-13, 0x1.619a762cdd3b4p-13, 0x1.55b7bda42b04p-13, 0x1.4a3539cf706ccp-13, 0x1.3f1033593da77p-13, 0x1.34460500e4cffp-13, 0x1.29d41b2aca5eap-13, 0x1.1fb7f3732b353p-13, 0x1.15ef1c4344757p-13, 0x1.0c773468d338bp-13, 0x1.034deaafe327p-13, 0x1.f4e1fafdb93a8p-14, 0x1.e3bc74e9965cfp-14, 0x1.d326fc139fc67p-14, 0x1.c31d666373a03p-14, 0x1.b39ba60159639p-14, 0x1.a49dc8a3c286cp-14, 0x1.961ff6e0b0cdap-14, 0x1.881e738332b27p-14, 0x1.7a959ae49f6fcp-14, 0x1.6d81e249ae962p-14, 0x1.60dfd74341644p-14, 0x1.54ac1f12d0e75p-14, 0x1.48e3761270248p-14, 0x1.3d82af204b0cbp-14, 0x1.3286b30d948b2p-14, 0x1.27ec8010d17c8p-14, 0x1.1db1293b6ba88p-14, 0x1.13d1d5f27ff47p-14, 0x1.0a4bc16ad487fp-14, 0x1.011c3a27e5983p-14, 0x1.f08142fbf53e9p-15, 0x1.df6cd62e65c3bp-15, 0x1.cef638f6f1bd7p-15, 0x1.bf1899369b0d8p-15, 0x1.afcf46bab8ee2p-15, 0x1.a115b25d936fbp-15, 0x1.92e76d2c535f7p-15, 0x1.854027922ca63p-15, 0x1.781bb088a19e3p-15, 0x1.6b75f4ccca791p-15, 0x1.5f4afe197b3f9p-15, 0x1.5396f2663946dp-15, 0x1.4856132adaa59p-15, 0x1.3d84bca7bceaap-15, 0x1.331f653274d2bp-15, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      50, 0x1.1cd96a6a0125ap+2, 0x1.57d6386911484p+1, 0x1.69b91f626d158p+2, -0x1.c50814674526p-7, 
      {{
        {0x1.9c05681ecd4aap+1, 0x1.9f2cb6d7c2f5p+1, 0x1.28b8c2c1c0861p-5, -0x1.135309e0b0954p-3, 0x1.71caa651783a1p-3, 0x1.ecfde9129c9dcp-6}, 
        {0x1.9f2cb6d7c2f5p+1, 0x1.a2540590b89f7p+1, 0x1.0e7d913684dd8p-5, -0x1.00fdb1a45d8fp-3, 0x1.7658a753ecee7p-3, -0x1.341eb1abc2d2dp-3}, 
        {0x1.a2540590b89f7p+1, 0x1.a57b5449ae49dp+1, 0x1.ec1c20a59a8c6p-6, -0x1.de36838becf49p-4, 0x1.5f92a247a2f84p-3, -0x1.98e12394bbcc3p-4}, 
        {0x1.a57b5449ae49dp+1, 0x1.a8a2a302a3f44p+1, 0x1.beaa6156cbd87p-6, -0x1.bc4f83a4a99adp-4, 0x1.50765fee1c4adp-3, -0x1.c69920eb44739p-4}, 
        {0x1.a8a2a302a3f44p+1, 0x1.abc9f1bb999eap+1, 0x1.947c7312fe26cp-6, -0x1.9bfb098f5702bp-4, 0x1.3fa996687c59p-3, -0x1.afc7f36b4dc99p-4}, 
        {0x1.abc9f1bb999eap+1, 0x1.aef140748f491p+1, 0x1.6d699ddbfc1d5p-6, -0x1.7d43c2551419dp-4, 0x1.2fb4aa22cfe03p-3, -0x1.aabdc81248b2p-4}, 
        {0x1.aef140748f491p+1, 0x1.b2188f2d84f37p+1, 0x1.4949f005836fp-6, -0x1.601cb1941d5fbp-4, 0x1.1fef6baf4c535p-3, -0x1.a055897ae1f3ep-4}, 
        {0x1.b2188f2d84f37p+1, 0x1.b53fdde67a9ddp+1, 0x1.27f64929060c2p-6, -0x1.447ea3e404ee9p-4, 0x1.108ca2ad8e88dp-3, -0x1.96cc5d3145b26p-4}, 
        {0x1.b53fdde67a9ddp+1, 0x1.b8672c9f70484p+1, 0x1.09486534e8331p-6, -0x1.2a604d4db6db3p-4, 0x1.018410b7b297bp-3, -0x1.8c8adab1d24d7p-4}, 
        {0x1.b8672c9f70484p+1, 0x1.bb8e7b5865f2ap+1, 0x1.da35cd3faf04ap-7, -0x1.11b873e8a77c6p-4, 0x1.e5b90b7e240a4p-4, -0x1.81fe9fded0dfcp-4}, 
        {0x1.bb8e7b5865f2ap+1, 0x1.beb5ca115b9d1p+1, 0x1.a692bedb88d77p-7, -0x1.f4faca11df66ap-5, 0x1.c931895392e1ap-4, -0x1.770fa0ba06577p-4}, 
        {0x1.beb5ca115b9d1p+1, 0x1.c1dd18ca51477p+1, 0x1.7760b432bd90ap-7, -0x1.c94a3a461ac6cp-5, 0x1.ad78e7bb1fa64p-4, -0x1.6be18499552fdp-4}, 
        {0x1.c1dd18ca51477p+1, 0x1.c504678346f1dp+1, 0x1.4c5ac37a5099ap-7, -0x1.a04a9a6a0beep-5, 0x1.9293d0e37166fp-4, -0x1.60582e1217a72p-4}, 
        {0x1.c504678346f1dp+1, 0x1.c82bb63c3c9c4p+1, 0x1.253e11b3dea0bp-7, -0x1.79e6bc941e9f8p-5, 0x1.788902f371fa9p-4, -0x1.549e0fcf88588p-4}, 
        {0x1.c82bb63c3c9c4p+1, 0x1.cb5304f53246ap+1, 0x1.01c9e147f4848p-7, -0x1.5608f052131d8p-5, 0x1.5f5c18e6def1ep-4, -0x1.48a3b32c63975p-4}, 
        {0x1.cb5304f53246ap+1, 0x1.ce7a53ae27f11p+1, 0x1.c37f3985ad8a8p-8, -0x1.349b1bd18b9b4p-5, 0x1.4711d2500fa01p-4, -0x1.3c79b20e22b06p-4}, 
        {0x1.ce7a53ae27f11p+1, 0x1.d1a1a2671d9b7p+1, 0x1.89c5c34e8ceb9p-8, -0x1.1586bcef96e35p-5, 0x1.2fadb4a3ebbf4p-4, -0x1.30274e4df1eafp-4}, 
        {0x1.d1a1a2671d9b7p+1, 0x1.d4c8f1201345dp+1, 0x1.55f312f1f41d8p-8, -0x1.f169feee3c89cp-6, 0x1.1932bc0681953p-4, -0x1.23b0af5e67b23p-4}, 
        {0x1.d4c8f1201345dp+1, 0x1.d7f03fd908f04p+1, 0x1.279762818548dp-8, -0x1.bc1d8f8903549p-6, 0x1.03a3960217f5bp-4, -0x1.17226bca373dfp-4}, 
        {0x1.d7f03fd908f04p+1, 0x1.db178e91fe9aap+1, 0x1.fc8effcb4676cp-9, -0x1.8af984c317644p-6, 0x1.de0403e4c1174p-5, -0x1.0a7ecdba9a524p-4}, 
        {0x1.db178e91fe9aap+1, 0x1.de3edd4af4451p+1, 0x1.b339ac5ec436dp-9, -0x1.5dcee3c8d1941p-6, 0x1.b69f27c047884p-5, -0x1.fba37c52cea2bp-5}, 
        {0x1.de3edd4af4451p+1, 0x1.e1662c03e9ef7p+1, 0x1.726ae9b5683aap-9, -0x1.346e7859986aap-6, 0x1.9119fcf3561fep-5, -0x1.e2400095b9321p-5}, 
        {0x1.e1662c03e9ef7p+1, 0x1.e48d7abcdf99ep+1, 0x1.3968276def7d1p-9, -0x1.0ea8f3de92f2cp-6, 0x1.6d7534a0b879ap-5, -0x1.c8e6930c4a35dp-5}, 
        {0x1.e48d7abcdf99ep+1, 0x1.e7b4c975d5444p+1, 0x1.078028a39d069p-9, -0x1.d89e10ccf90b3p-7, 0x1.4bb01085441c4p-5, -0x1.afa0c58e601dcp-5}, 
        {0x1.e7b4c975d5444p+1, 0x1.eadc182ecaeeap+1, 0x1.b81601ad27e3ap-10, -0x1.9a63075843d44p-7, 0x1.2bc91d4ba9815p-5, -0x1.9684d550b840ap-5}, 
        {0x1.eadc182ecaeeap+1, 0x1.ee0366e7c0991p+1, 0x1.6cd417dd7fedp-10, -0x1.6242d97cc45aep-7, 0x1.0dbd42d3e94ecp-5, -0x1.7d9c372f9f251p-5}, 
        {0x1.ee0366e7c0991p+1, 0x1.f12ab5a0b6437p+1, 0x1.2c0fbf42fcfcp-10, -0x1.2fe0431a540cap-7, 0x1.e3116c208594ap-6, -0x1.64f7fbe520194p-5}, 
        {0x1.f12ab5a0b6437p+1, 0x1.f4520459abedep+1, 0x1.e960e07744f73p-11, -0x1.02dedf472ace5p-7, 0x1.ae4cd21a33a53p-6, -0x1.4ca8a8ee85aep-5}, 
        {0x1.f4520459abedep+1, 0x1.f7795312a1984p+1, 0x1.8b5f7bcb49d0bp-11, -0x1.b5c6cde137945p-8, 0x1.7d202a7705b0ap-6, -0x1.34bb2794d0babp-5}, 
        {0x1.f7795312a1984p+1, 0x1.faa0a1cb9742ap+1, 0x1.3c32304f51b3p-11, -0x1.6f27cf79bb64dp-8, 0x1.4f7cff80c2245p-6, -0x1.1d4049066f82dp-5}, 
        {0x1.faa0a1cb9742ap+1, 0x1.fdc7f0848ced1p+1, 0x1.f4260d3f2ac8ep-12, -0x1.312ff6f3ed6ecp-8, 0x1.25525f1a30683p-6, -0x1.06461c8326b79p-5}, 
        {0x1.fdc7f0848ced1p+1, 0x1.00779f9ec14bcp+2, 0x1.86bd109ca6589p-12, -0x1.f66406c333dd6p-9, 0x1.fd1a8632bc034p-7, -0x1.dfb941988fd1ep-6}, 
        {0x1.00779f9ec14bcp+2, 0x1.020b46fb3c20fp+2, 0x1.2d260472bfb3ep-12, -0x1.99095ebf5dafdp-9, 0x1.b6309010d2eb4p-7, -0x1.b424fbed1d0a2p-6}, 
        {0x1.020b46fb3c20fp+2, 0x1.039eee57b6f62p+2, 0x1.c93ec0a6007c3p-13, -0x1.490646cb2622ap-9, 0x1.75b7bf9a56d0dp-7, -0x1.89edf2883ff22p-6}, 
        {0x1.039eee57b6f62p+2, 0x1.053295b431cb5p+2, 0x1.554f49add8ecfp-13, -0x1.051acac16df2ep-9, 0x1.3b7c74da715d3p-7, -0x1.6132fa127ef93p-6}, 
        {0x1.053295b431cb5p+2, 0x1.06c63d10aca08p+2, 0x1.f3ed689cce36cp-14, -0x1.98232c923aa8fp-10, 0x1.0746812610675p-7, -0x1.3a115bafd7874p-6}, 
        {0x1.06c63d10aca08p+2, 0x1.0859e46d2775cp+2, 0x1.664b868cb1b4bp-14, -0x1.3981aa0d29dep-10, 0x1.b1b2c3269609fp-8, -0x1.14a897d94578bp-6}, 
        {0x1.0859e46d2775cp+2, 0x1.09ed8bc9a24afp+2, 0x1.f500dc78aab94p-15, -0x1.d82c55377b6cfp-11, 0x1.5fe7d63831b33p-8, -0x1.e22c37cfbcac7p-7}, 
        {0x1.09ed8bc9a24afp+2, 0x1.0b8133261d202p+2, 0x1.545efc00e680ep-15, -0x1.5b80ad6f9c2ecp-11, 0x1.18a13242d9768p-8, -0x1.9ef168378f36p-7}, 
        {0x1.0b8133261d202p+2, 0x1.0d14da8297f55p+2, 0x1.bf348adc04a67p-16, -0x1.f1f08f7cc5fedp-12, 0x1.b6956630a4899p-9, -0x1.5fdd161d07945p-7}, 
        {0x1.0d14da8297f55p+2, 0x1.0ea881df12ca8p+2, 0x1.1a4d57a56f171p-16, -0x1.598e6d261c98ap-12, 0x1.4e8e92c9a1004p-9, -0x1.252be121549c7p-7}, 
        {0x1.0ea881df12ca8p+2, 0x1.103c293b8d9fcp+2, 0x1.53ab4e43b1347p-17, -0x1.cd84e7ef10b2bp-13, 0x1.efc3beb95829fp-10, -0x1.de35276beab3fp-8}, 
        {0x1.103c293b8d9fcp+2, 0x1.11cfd0980874fp+2, 0x1.81322fa9bdadcp-18, -0x1.25f524ed8e8fdp-13, 0x1.6262900210b76p-10, -0x1.7bcb9a2fa6bd5p-8}, 
        {0x1.11cfd0980874fp+2, 0x1.136377f4834a2p+2, 0x1.9563faf1aa761p-19, -0x1.60c8e2e3504a7p-14, 0x1.e433727ce1b33p-11, -0x1.23934c9650dd1p-8}, 
        {0x1.136377f4834a2p+2, 0x1.14f71f50fe1f5p+2, 0x1.8323651c44d22p-20, -0x1.87cb0987bb93ep-15, 0x1.37cba27e387ddp-11, -0x1.ac1550726396ep-9}, 
        {0x1.14f71f50fe1f5p+2, 0x1.168ac6ad78f49p+2, 0x1.44157af402f37p-21, -0x1.87bc00c8a4973p-16, 0x1.72783d2a361fcp-12, -0x1.272ea4f15703p-9}, 
        {0x1.168ac6ad78f49p+2, 0x1.181e6e09f3c9cp+2, 0x1.c131875256b52p-23, -0x1.50ed068731bf6p-17, 0x1.87dcec8a7c24bp-13, -0x1.73f0abf78a92bp-10}, 
        {0x1.181e6e09f3c9cp+2, 0x1.19b215666e9efp+2, 0x1.cfbf2f1740564p-25, -0x1.cab776e39110ap-19, 0x1.57e093c61ae45p-14, -0x1.8cfe6d4b25339p-11}, 
        {0x1.19b215666e9efp+2, 0x1.1b45bcc2e9742p+2, 0x1.1aa67e45b186p-27, -0x1.96428693ab684p-21, 0x1.b48e37efa77f5p-16, -0x1.5fcb3fb2cef3dp-12}, 
        {0x1.1b45bcc2e9742p+2, 0x1.1cd96a6a0125ap+2, 0x1.8bc924eb31ab5p-32, -0x1.6f30f25197192p-24, 0x1.48802797f6366p-20, 0x1.dd705bcfe4b66p-12}, 
      }}, 
      -0x1.9a0ec3fed1fc7p-6, 0x1.81514f1bda044p-2
    }
  };
  // clang-format on
}
SkfData params_hyb_0_2_ga_ga() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    SkfData::SameElementLine {-0x1.7411279aa3afdp-1, -0x1.89d2c20446e19p-4, -0x1.47c53f8fb7ee7p-2, -0x1.5bbbe878fabdap-8, 0x1.8f8055fbb517ap-3, 0x1.c5f202107b784p-3, 0x1.aab92c061847fp-3, 10, 1, 2}, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.84fd12a196774p+0, -0x1.52d31635310acp+0, -0x1.2b44da4bdaaecp+0, -0x1.0cfcb3494e488p+0, -0x1.ed6731e634e8bp-1, -0x1.ce6db048592bdp-1, -0x1.bad774846896fp-1, -0x1.b0a2feebd21e1p-1, -0x1.ae041b5ca3858p-1, -0x1.b1634a33c171bp-1, -0x1.b95bcb3d53128p-1, -0x1.c4b8c3bdd5b85p-1, -0x1.d271dd1a01cf2p-1, -0x1.e1a7a81ab577ap-1, -0x1.f19fdb91f8812p-1, -0x1.00e0c309d62d6p+0, -0x1.08c8b178b862ap+0, -0x1.10572b123b3f7p+0, -0x1.1766ff720a75fp+0, -0x1.1ddcbfd9ca24bp+0, -0x1.23a54d7b5e6a7p+0, -0x1.28b4590ded04ap+0, -0x1.2d03c8eb66f9ep+0, -0x1.3091bbcaa2428p+0, -0x1.336015139993bp+0, -0x1.3573a3dafeaf2p+0, -0x1.36d375472fb78p+0, -0x1.37883c384365bp+0, -0x1.379bce56d55d3p+0, -0x1.3718b8f1827c6p+0, -0x1.3609ed628be2p+0, -0x1.347a803da404ep+0, -0x1.327575cb555a6p+0, -0x1.300598d99082dp+0, -0x1.2d355acb3184dp+0, -0x1.2a0ebbfbe5dd5p+0, -0x1.269b3b5fbe9c6p+0, -0x1.22e3cc596c236p+0, -0x1.1ef0d1a83470ap+0, -0x1.1aca1c0ae0511p+0, -0x1.1676eb545b9efp+0, -0x1.11fdf14983047p+0, -0x1.0d6556257bb2cp+0, -0x1.08b2bea1ad521p+0, -0x1.03eb53086e1ep+0, -0x1.fe278d59d99e1p-1, -0x1.f460beab47bfp-1, -0x1.ea89f9019722fp-1, -0x1.e0aa3d3182ff9p-1, -0x1.d6c7dc32cdce7p-1, -0x1.cce884f492943p-1, -0x1.c3115144e5634p-1, -0x1.b946d193cbceep-1, -0x1.af8d17bcef07cp-1, -0x1.a5e7c13c8eceap-1, -0x1.9c5a011e376d7p-1, -0x1.92e6a9a726329p-1, -0x1.899035751c317p-1, -0x1.8058cfb3981dp-1, -0x1.77425b2e3a7bep-1, -0x1.6e4e784c7a4a8p-1, -0x1.657e8a4085af1p-1, -0x1.5cd3bbcc0eb87p-1, -0x1.544f11fc0e455p-1, -0x1.4bf11bdc73dfdp-1, -0x1.43baa598d8f74p-1, -0x1.3bac2bb8b1c6ap-1, -0x1.33c60766e9bdap-1, -0x1.2c0871b6e4c4ap-1, -0x1.247386e18a022p-1, -0x1.1d07496d4f558p-1, -0x1.15c3a52ed7bdap-1, -0x1.0ea8720f2acf8p-1, -0x1.07b5768818ab5p-1, -0x1.00ea69cdd9b1bp-1, -0x1.f48deb492c739p-2, -0x1.e7956fcfb08dap-2, -0x1.daea879f3d6aap-2, -0x1.ce8c4604903f9p-2, -0x1.c279ad0717d58p-2, -0x1.b6b1af1eb87a9p-2, -0x1.ab3330d8cbe5fp-2, -0x1.9ffd0a7b25923p-2, -0x1.950e09aad33aep-2, -0x1.8a64f31466897p-2, -0x1.8000840e08dcep-2, -0x1.75df7428f8c1bp-2, -0x1.6c0076a83e6aep-2, -0x1.62623bd46da97p-2, -0x1.590372279a7eep-2, -0x1.4fe2c74feddf6p-2, -0x1.46fee90a50e89p-2, -0x1.3e5685d8be458p-2, -0x1.35e84d99593d9p-2, -0x1.2db2f2040d1a4p-2, -0x1.25b52714c08e4p-2, -0x1.1deda367c5d69p-2, -0x1.165b208d8141ep-2, -0x1.0efc5b592650ep-2, -0x1.07d0142d02ff3p-2, -0x1.00d50f457d3c7p-2, -0x1.f4142a04f2462p-3, -0x1.e6dbe45bf38efp-3, -0x1.d9fef07c5860bp-3, -0x1.cd7afb2204b8dp-3, -0x1.c14dbb3fa7a87p-3, -0x1.b574f2542bb1ep-3, -0x1.a9ee6cade3255p-3, -0x1.9eb8019c5d19dp-3, -0x1.93cf9392c266ap-3, -0x1.8933103d24f92p-3, -0x1.7ee0708b40214p-3, -0x1.74d5b8b2e754cp-3, -0x1.6b10f82bf0544p-3, -0x1.619049a6d71d1p-3, -0x1.5851d2fee2722p-3, -0x1.4f53c528593e3p-3, -0x1.46945c1afe76ep-3, -0x1.3e11deb9246cdp-3, -0x1.35ca9eb39359fp-3, -0x1.2dbcf86a8b4e3p-3, -0x1.25e752cc4b07cp-3, -0x1.1e481f315ccf7p-3, -0x1.16ddd937014ddp-3, -0x1.0fa70697e99c1p-3, -0x1.08a237035cb61p-3, -0x1.01ce03f2e0eebp-3, -0x1.f65220fcbf727p-4, -0x1.e964125d93e0cp-4, -0x1.dccf479e9015p-4, -0x1.d0913e7a0fa36p-4, -0x1.c4a7866bb70dp-4, -0x1.b90fc04bcffdep-4, -0x1.adc79de95e548p-4, -0x1.a2cce1a3abf14p-4, -0x1.981d5e03eb0ap-4, -0x1.8db6f557a246ap-4, -0x1.8397994c5964cp-4, -0x1.79bd4a8cead69p-4, -0x1.70261860aabdep-4, -0x1.66d0204c6f0c8p-4, -0x1.5db98db566246p-4, -0x1.54e099858e66ep-4, -0x1.4c4389d19a46dp-4, -0x1.43e0b1800cf74p-4, -0x1.3bb66ff161461p-4, -0x1.33c330a926395p-4, -0x1.2c0541153ec67p-4, -0x1.247b7edc271bdp-4, -0x1.1d2447a4d5a42p-4, -0x1.15fe33b7275bp-4, -0x1.0f07e5e5c44c3p-4, -0x1.08400b43719e1p-4, -0x1.01a55ad9051c5p-4, -0x1.f66d2ab81594fp-5, -0x1.e9e509cc7e4dfp-5, -0x1.ddaff95c007fep-5, -0x1.d1cbb17fcb403p-5, -0x1.c635fb734b364p-5, -0x1.baecb10cea045p-5, -0x1.afedbc3a0f8f9p-5, -0x1.a537167ea9c2bp-5, -0x1.9ac6c8786c0d5p-5, -0x1.909ae965f403p-5, -0x1.86b19eb1e7dd3p-5, -0x1.7d091b8211af8p-5, -0x1.739fa04a7c3c1p-5, -0x1.6a737a646e38ap-5, -0x1.618303a93596fp-5, -0x1.58cca2108db09p-5, -0x1.504ec7528050bp-5, -0x1.4807f08c8a048p-5, -0x1.3ff6a5e9d9971p-5, -0x1.38197a4e74881p-5, -0x1.306f0b051b32cp-5, -0x1.28f5ff6fc2c6dp-5, -0x1.21ad08ba7be75p-5, -0x1.1a92e190afc6dp-5, -0x1.13a64dd48d0bep-5, -0x1.0ce61a589610ep-5, -0x1.06511c9b34b44p-5, -0x1.ffcc65088ecebp-6, -0x1.f34884492c801p-6, -0x1.e71472ee43f1p-6, -0x1.db2e1c488af63p-6, -0x1.cf937a8d39e91p-6, -0x1.c44296635342bp-6, -0x1.b939867458b64p-6, -0x1.ae766f005acacp-6, -0x1.a3f7817555965p-6, -0x1.99bafc09c9b64p-6, -0x1.8fbf295a858e7p-6, -0x1.8602600b8a67fp-6, -0x1.7c83026bfdf2ap-6, -0x1.733f7e1d16935p-6, -0x1.6a364bbbee15ap-6, -0x1.6165ee8e23892p-6, -0x1.58ccf4313ab21p-6, -0x1.5069f44c9b7f2p-6, -0x1.483b90461feep-6, -0x1.404072f916537p-6, -0x1.3877506f9dffbp-6, -0x1.30dee59e486cbp-6, -0x1.2975f821e656cp-6, -0x1.223b55ff708f5p-6, -0x1.1b2dd565eb776p-6, -0x1.144c547240e9p-6, -0x1.0d95b8f4ee144p-6, -0x1.0708f039827f8p-6, -0x1.00a4eecfd83dcp-6, -0x1.f4d160ade7886p-7, -0x1.e8a66e9315534p-7, -0x1.dcc719982785bp-7, -0x1.d13180f8bfce6p-7, -0x1.c5e3d0855d658p-7, -0x1.badc404859f5cp-7, -0x1.b019142db4478p-7, -0x1.a5989bad8850dp-7, -0x1.9b59317929672p-7, -0x1.91593b2ab892dp-7, -0x1.879728f73e0f2p-7, -0x1.7e1175631079fp-7, -0x1.74c6a4f8965f2p-7, -0x1.6bb5460135165p-7, -0x1.62dbf04065e89p-7, -0x1.5a3944b0e203ep-7, -0x1.51cbed43cd4f2p-7, -0x1.49929ca1cc6adp-7, -0x1.418c0dee01a4cp-7, -0x1.39b7048ad20dbp-7, -0x1.32124be071fc2p-7, -0x1.2a9cb7251feebp-7, -0x1.2355212706357p-7, -0x1.1c3a6c17b3326p-7, -0x1.154b81591da2ap-7, -0x1.0e87514c27267p-7, -0x1.07ecd32092786p-7, -0x1.017b04a660ceep-7, -0x1.f661d4411889cp-8, -0x1.ea1b1c32280e5p-8, -0x1.de20026c9ee28p-8, -0x1.d26eb422fcc5dp-8, -0x1.c7056a1d1a30fp-8, -0x1.bbe26869fed76p-8, -0x1.b103fe13fd207p-8, -0x1.a66884d6f5086p-8, -0x1.9c0e60d8b6893p-8, -0x1.91f400636be5cp-8, -0x1.8817dba1fcecp-8, -0x1.7e78745e5c439p-8, -0x1.751455c1afddep-8, -0x1.6bea14164042ep-8, -0x1.62f84c8b29aa2p-8, -0x1.5a3da4f9b73abp-8, -0x1.51b8cbac63f21p-8, -0x1.496877276e9c9p-8, -0x1.414b65f2f7072p-8, -0x1.39605e6698de7p-8, -0x1.31a62e7678226p-8, -0x1.2a1bab81b59a5p-8, -0x1.22bfb2223dc96p-8, -0x1.1b9125fdeb9efp-8, -0x1.148ef198f35b8p-8, -0x1.0db806298b3dbp-8, -0x1.070b5b6cc9872p-8, -0x1.0087ef7caf666p-8, -0x1.f4598d4eaa799p-9, -0x1.e7f1d68e680b7p-9, -0x1.dbd6db38fb9c8p-9, -0x1.d006c74f0445cp-9, -0x1.c47fd20829354p-9, -0x1.b9403d8bd8f98p-9, -0x1.ae4656abed806p-9, -0x1.a39074a12e07dp-9, -0x1.991cf8c992da7p-9, -0x1.8eea4e684777cp-9, -0x1.84f6ea675e349p-9, -0x1.7b414b1b22c0ep-9, -0x1.71c7f80703207p-9, -0x1.688981a407355p-9, -0x1.5f848128bea6bp-9, -0x1.56b79852aeb65p-9, -0x1.4e2171311ecdep-9, -0x1.45c0bdf14b157p-9, -0x1.3d9438abea7f7p-9, -0x1.359aa3340188bp-9, -0x1.2dd2c6e6f81abp-9, -0x1.263b747de74d6p-9, -0x1.1ed383e01c389p-9, -0x1.1799d3f6bef0dp-9, -0x1.108d4a81a080ep-9, -0x1.09acd3ed1a7bp-9, -0x1.02f7632905333p-9, -0x1.f8d7e301689eep-10, -0x1.ec12fce7f23a5p-10, -0x1.df9e1f2235d28p-10, -0x1.d377609f93b66p-10, -0x1.c79ce3d9f37f9p-10, -0x1.bc0cd68f4ce6fp-10, -0x1.b0c5717cf777p-10, -0x1.a5c4f81ca4f51p-10, -0x1.9b09b8630b027p-10, -0x1.90920a802e74p-10, -0x1.865c50a13558bp-10, -0x1.7c66f6b3cf73ep-10, -0x1.72b0722b11231p-10, -0x1.693741c5c4107p-10, -0x1.5ff9ed5625dp-10, -0x1.56f7058afcc32p-10, -0x1.4e2d23ba0c433p-10, -0x1.459ae9abd2b0ep-10, -0x1.3d3f016888641p-10, -0x1.35181d06651f2p-10, -0x1.2d24f6790b5e4p-10, -0x1.25646d63aba6bp-10, -0x1.1dd50f8103e78p-10, -0x1.1675ca9b3e16ap-10, -0x1.0f45764d0aaefp-10, -0x1.0842f12ccb35p-10, -0x1.016d20a2943cbp-10, -0x1.f585e17e93291p-11, -0x1.e886a82943a21p-11, -0x1.dbda871c53be9p-11, -0x1.cf7f7c9666af2p-11, -0x1.c37392f35832dp-11, -0x1.b7b4e063b272cp-11, -0x1.ac4186a5dc514p-11, -0x1.a117b2c0f7d7ap-11, -0x1.96359cc163b4p-11, -0x1.8b998776d890fp-11, -0x1.8141c0341211ap-11, -0x1.772c9e9000bedp-11, -0x1.6d5884287606ep-11, -0x1.63c3dc6641899p-11, -0x1.5a6d1c42b99b8p-11, -0x1.5152c20ea2d7p-11, -0x1.4873553a6e66fp-11, -0x1.3fcd661fc8bc5p-11, -0x1.375f8dcc6f743p-11, -0x1.2f286dce4410dp-11, -0x1.2726b0009779fp-11, -0x1.1f59065aa57bp-11, -0x1.17be2abf373dap-11, -0x1.1054decd66e58p-11, -0x1.091bebb27f20cp-11, -0x1.021221fceb688p-11, -0x1.f66cb2e06f342p-12, -0x1.e90ee1b426d64p-12, -0x1.dc089bd0b0bf5p-12, -0x1.cf57ba000f58bp-12, -0x1.c2fa222a7aa2dp-12, -0x1.b6edc708218c6p-12, -0x1.ab30a7d4bddbep-12, -0x1.9fc0d004ec42bp-12, -0x1.949c56fd40f18p-12, -0x1.89c15fcb0ddeep-12, -0x1.7f2e18decdb0ep-12, -0x1.74e0bbc82c14ep-12, -0x1.6ad78cf3a283bp-12, -0x1.6110db699cd5cp-12, -0x1.578b008f1d8c8p-12, -0x1.4e445fe7dc68bp-12, -0x1.453b66d9ce31bp-12, -0x1.3c6e8c721946cp-12, -0x1.33dc512b5f9p-12, -0x1.2b833eb564907p-12, -0x1.2361e7bdfd21bp-12, -0x1.1b76e7bb453efp-12, -0x1.13c0e2b711f76p-12, -0x1.0c3e851b9f879p-12, -0x1.04ee838165fc1p-12, -0x1.fb9f34fc3e573p-13, -0x1.edc11ce9c8bccp-13, -0x1.e04056ceddc71p-13, -0x1.d31a8990d0704p-13, -0x1.c64d6a9d8d301p-13, -0x1.b9d6bd94693e5p-13, -0x1.adb453f0ecf08p-13, -0x1.a1e40cb79764bp-13, -0x1.9663d4248df7ep-13, -0x1.8b31a35c291ep-13, -0x1.804b801d51ff3p-13, -0x1.75af7c75b55bbp-13, -0x1.6b5bb677a32d9p-13, -0x1.614e57f1b4419p-13, -0x1.578596280f0a9p-13, -0x1.4dffb18f5031bp-13, -0x1.44baf5890c13ep-13, -0x1.3bb5b821dac2fp-13, -0x1.32ee59d0eaf09p-13, -0x1.2a6345390e4p-13, -0x1.2212eeeb3a7d7p-13, -0x1.19fbd52a72391p-13, -0x1.121c7fb115ab3p-13, -0x1.0a737f778390fp-13, -0x1.02ff6e7c14cf4p-13, -0x1.f77ddf18c1b3cp-14, -0x1.e9615c1f7c81ap-14, -0x1.dba6bba614684p-14, -0x1.ce4b75ab2d22p-14, -0x1.c14d122ea2c38p-14, -0x1.b4a928d01aff6p-14, -0x1.a85d606fcdddfp-14, -0x1.9c676ed18e8e5p-14, -0x1.90c51841f60e3p-14, -0x1.85742f3d9f148p-14, -0x1.7a72941a77924p-14, -0x1.6fbe34b30fa6p-14, -0x1.65550c13de9fp-14, -0x1.5b35222a71cffp-14, -0x1.515c8b767a90ep-14, -0x1.47c968bcb0441p-14, -0x1.3e79e6bb7cd34p-14, -0x1.356c3de167634p-14, -0x1.2c9eb2053552fp-14, -0x1.240f921fb6586p-14, -0x1.1bbd380731d55p-14, -0x1.13a6082c6dff5p-14, -0x1.0bc8715944c98p-14, -0x1.0422ec70c070ep-14, -0x1.f967f86168a2ep-15, -0x1.eaf459e9976a4p-15, -0x1.dce828f60a24p-15, -0x1.cf40a35320b0bp-15, -0x1.c1fb18ac17a09p-15, -0x1.b514ea1c28b6dp-15, -0x1.a88b89c243702p-15, -0x1.9c5c7a57542d8p-15, -0x1.90854ec703ad4p-15, -0x1.8503a9cae79ddp-15, -0x1.79d53d881078cp-15, -0x1.6ef7cb2eea908p-15, -0x1.6469229d63e61p-15, -0x1.5a27220348bb1p-15, -0x1.502fb588ca42ep-15, -0x1.4680d6f726716p-15, -0x1.3d188d635d732p-15, -0x1.33f4ecdaee519p-15, -0x1.2b1416128f997p-15, -0x1.22743616d1a2ap-15, -0x1.1a1385fea9c1p-15, -0x1.11f04a9fcddedp-15, -0x1.0a08d444e58b2p-15, -0x1.025b7e6577454p-15, -0x1.f5cd5ebf1d8abp-16, -0x1.e751b0662683bp-16, -0x1.d940e87d80b8ap-16, -0x1.cb9811fd6ff7p-16, -0x1.be544b994de58p-16, -0x1.b172c742db624p-16, -0x1.a4f0c9b096564p-16, -0x1.98cba9e6ef3ddp-16, -0x1.8d00d0c4608ffp-16, -0x1.818db89046264p-16, -0x1.766fec8c710b2p-16, -0x1.6ba508895a238p-16, -0x1.612ab87cf2faep-16, -0x1.56feb81bf5b61p-16, -0x1.4d1ed275ae692p-16, -0x1.4388e1922b139p-16, -0x1.3a3ace12c774cp-16, -0x1.31328ed4fcfp-16, -0x1.286e289774586p-16, -0x1.1febada1434bdp-16, -0x1.17a93d6b4bc1dp-16, -0x1.0fa5044baf61ep-16, -0x1.07dd3b2348f31p-16, -0x1.0050270d1cc11p-16, -0x1.f1f8321f82d1dp-17, -0x1.e3bedba142b08p-17, -0x1.d5f11a92243a8p-17, -0x1.c88bd4fa802cfp-17, -0x1.bb8c0669a07dcp-17, -0x1.aeeebf6a7d24ep-17, -0x1.a2b124fbbfa4bp-17, -0x1.96d0700b14887p-17, -0x1.8b49ecf39f9a3p-17, -0x1.801afaff91619p-17, -0x1.75410becb9e22p-17, -0x1.6ab9a37415b8dp-17, -0x1.608256d435e35p-17, -0x1.5698cc5e7c6d5p-17, -0x1.4cfabb0719d75p-17, -0x1.43a5e9f7abf0bp-17, -0x1.3a98302489186p-17, -0x1.31cf73e48f8b8p-17, -0x1.2949aa8b764cfp-17, -0x1.2104d8068ded4p-17, -0x1.18ff0e7be09fbp-17, -0x1.11366deba5814p-17, -0x1.09a923d3f9aaep-17, -0x1.02556ad6cf7dep-17, -0x1.f67314c411477p-18, -0x1.e8a7acb35c6e2p-18, -0x1.db455d8875f58p-18, -0x1.ce48fef1c80bfp-18, -0x1.c1af7f9fd3f6ap-18, -0x1.b575e4a991b6ap-18, -0x1.a99948f4a1eefp-18, -0x1.9e16dca1373d6p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.8b3af8076c35bp-7, 0x1.d88c80e193241p-2, 0x1.b9d3dff1f309fp-1, 0x1.37ff75dc055e3p+0, 0x1.880b44dbe89bfp+0, 0x1.cdc12b90333c9p+0, 0x1.04edcbeb9baffp+1, 0x1.1e8b841e2bbdep+1, 0x1.341735ebfe31bp+1, 0x1.45ec28ed8f97ap+1, 0x1.5462652bae4fap+1, 0x1.5fcded00ea0f3p+1, 0x1.687e34a3a8ff3p+1, 0x1.6ebdcb8039b2ap+1, 0x1.72d22d6779d48p+1, 0x1.74fbb42f1f91ep+1, 0x1.7575a2e78714bp+1, 0x1.747644923c7aep+1, 0x1.722f19c864f37p+1, 0x1.6ecd112be774fp+1, 0x1.6a78c6b394992p+1, 0x1.6556c7922dacbp+1, 0x1.5f87d95e15834p+1, 0x1.592944686da0bp+1, 0x1.52551758f57a6p+1, 0x1.4b226d45d85cbp+1, 0x1.43a5b09735159p+1, 0x1.3bf0da74fa3b5p+1, 0x1.3413ae58bd24bp+1, 0x1.2c1bf1b674447p+1, 0x1.24159fbd162f3p+1, 0x1.1c0b192577cd5p+1, 0x1.140550114b4cbp+1, 0x1.0c0bf0188dfb2p+1, 0x1.042582b72886ep+1, 0x1.f8af20a2a813dp+0, 0x1.e94d7c0ad8869p+0, 0x1.da2dd1078151bp+0, 0x1.cb56784d7a5ep+0, 0x1.bccc950a078e5p+0, 0x1.ae943b6930ebp+0, 0x1.a0b092e82473ep+0, 0x1.9323f4d9b1486p+0, 0x1.85f0077dc6a23p+0, 0x1.7915d6048f5b9p+0, 0x1.6c95e5cd1e838p+0, 0x1.6070492837c06p+0, 0x1.54a4afe23ffabp+0, 0x1.493275d2ff168p+0, 0x1.3e18afacc03p+0, 0x1.3356363e5733p+0, 0x1.28e9b0552e912p+0, 0x1.1ed19b66b9044p+0, 0x1.150c5324ac6fep+0, 0x1.0b98181be55b2p+0, 0x1.0273157aa827p+0, 0x1.f336cc2e995c8p-1, 0x1.e21e319ac50bbp-1, 0x1.d1986889babf3p-1, 0x1.c1a1746a1aeedp-1, 0x1.b235546761624p-1, 0x1.a350083db5d44p-1, 0x1.94ed945da0a69p-1, 0x1.870a030b5d5a4p-1, 0x1.79a17085c9433p-1, 0x1.6cb00162a90d6p-1, 0x1.6031eb3d9f266p-1, 0x1.542375407814ap-1, 0x1.4880f996a33a3p-1, 0x1.3d46e697d36f8p-1, 0x1.3271bfb18f1d3p-1, 0x1.27fe1e173cc71p-1, 0x1.1de8b13ff3eb9p-1, 0x1.142e3f39053b2p-1, 0x1.0acba4d3a7e64p-1, 0x1.01bdd5b39118ep-1, 0x1.f203b887007bp-2, 0x1.e129b3280c87fp-2, 0x1.d0e80a5040df4p-2, 0x1.c139596545a99p-2, 0x1.b218678dc1b2bp-2, 0x1.a38026fd3803fp-2, 0x1.956bb42dc1987p-2, 0x1.87d6550a7473cp-2, 0x1.7abb780cf32e5p-2, 0x1.6e16b35069f29p-2, 0x1.61e3c39c141f4p-2, 0x1.561e8b6753b8ep-2, 0x1.4ac311d9449c8p-2, 0x1.3fcd81c57e6a8p-2, 0x1.353a28a798069p-2, 0x1.2b05759ebcaf2p-2, 0x1.212bf86a7e2e1p-2, 0x1.17aa6069d2f38p-2, 0x1.0e7d7b9d16b9dp-2, 0x1.05a235abb0de9p-2, 0x1.fa2b2ddbdcfcbp-3, 0x1.e9a986f6ecb96p-3, 0x1.d9b9f47d4fea2p-3, 0x1.ca57281a41488p-3, 0x1.bb7c058b10ad1p-3, 0x1.ad23a0e58665p-3, 0x1.9f493ce942a48p-3, 0x1.91e8495c20ffbp-3, 0x1.84fc6171ca238p-3, 0x1.78814a3e801eap-3, 0x1.6c72f13526fd2p-3, 0x1.60cd6ab0a3386p-3, 0x1.558cf088771ep-3, 0x1.4aade0b0a2b05p-3, 0x1.402cbbe4a9dd2p-3, 0x1.3606245da4e2ep-3, 0x1.2c36dc9334319p-3, 0x1.22bbc60723001p-3, 0x1.1991e01b812bdp-3, 0x1.10b646f2f8927p-3, 0x1.0826325b1e906p-3, 0x1.ffbde980e331ep-4, 0x1.efbbf457b4e4ap-4, 0x1.e0418e929b5dfp-4, 0x1.d149f0eee27f5p-4, 0x1.c2d081bfda8d1p-4, 0x1.b4d0d3306c0fdp-4, 0x1.a746a1952813dp-4, 0x1.9a2dd1ce4b8e1p-4, 0x1.8d826fb945d62p-4, 0x1.8140acb1381dp-4, 0x1.7564de1e01aedp-4, 0x1.69eb7c1147dd1p-4, 0x1.5ed11ff108fa1p-4, 0x1.5412832f3c166p-4, 0x1.49ac7e0e08827p-4, 0x1.3f9c067020cc3p-4, 0x1.35de2eb4d77e2p-4, 0x1.2c70249f7e707p-4, 0x1.234f3049b045p-4, 0x1.1a78b3201e059p-4, 0x1.11ea26e98378fp-4, 0x1.09a11cd761f62p-4, 0x1.019b3ca029368p-4, 0x1.f3ac8744e4a8p-5, 0x1.e4a00821e7dadp-5, 0x1.d60cc84db5a8p-5, 0x1.c7eebac863dddp-5, 0x1.ba41f7a409c7p-5, 0x1.ad02ba9be7991p-5, 0x1.a02d61b9c7d1fp-5, 0x1.93be6be6f15f1p-5, 0x1.87b278651abf7p-5, 0x1.7c064438dc262p-5, 0x1.70b6aa2494611p-5, 0x1.65c0a1371837bp-5, 0x1.5b213bbb85661p-5, 0x1.50d5a633d39a7p-5, 0x1.46db265db5af4p-5, 0x1.3d2f1a416085bp-5, 0x1.33cef749d6be7p-5, 0x1.2ab84966550aep-5, 0x1.21e8b2347eae9p-5, 0x1.195de832f8364p-5, 0x1.1115b5fc110b2p-5, 0x1.090df9882d11fp-5, 0x1.0144a3779cb54p-5, 0x1.f36f6cc72eb78p-6, 0x1.e4ca8c6c13a7fp-6, 0x1.d696ef0ff158ep-6, 0x1.c8d0fe0c54f29p-6, 0x1.bb7541b7b77f3p-6, 0x1.ae8060467b18fp-6, 0x1.a1ef1cb703b21p-6, 0x1.95be55c87050cp-6, 0x1.89eb04fb92f0dp-6, 0x1.7e723d9dae003p-6, 0x1.73512bdc992c7p-6, 0x1.688513e3edcd9p-6, 0x1.5e0b5102d4e47p-6, 0x1.53e154da20d3cp-6, 0x1.4a04a69266d48p-6, 0x1.4072e219b2d03p-6, 0x1.3729b76899d17p-6, 0x1.2e26e9ce53c85p-6, 0x1.25684f439c9a6p-6, 0x1.1cebcfc40dacfp-6, 0x1.14af64adbdf4ap-6, 0x1.0cb11826d2afdp-6, 0x1.04ef0488dacc6p-6, 0x1.facea7a357943p-7, 0x1.ec307e33126c4p-7, 0x1.de001c1cd7a53p-7, 0x1.d03a2ce8522c3p-7, 0x1.c2db77529650ep-7, 0x1.b5e0dc60e6baep-7, 0x1.a947567c23654p-7, 0x1.9d0bf89484545p-7, 0x1.912bed4d6a8b4p-7, 0x1.85a47630d2711p-7, 0x1.7a72eaea3ed57p-7, 0x1.6f94b888b0364p-7, 0x1.650760c77ca5bp-7, 0x1.5ac8795dc089cp-7, 0x1.50d5ab54125bcp-7, 0x1.472cb2605b01cp-7, 0x1.3dcb5c477a176p-7, 0x1.34af8844931b7p-7, 0x1.2bd72675bcb73p-7, 0x1.2340374de732dp-7, 0x1.1ae8cb0bc25c3p-7, 0x1.12cf013574fd6p-7, 0x1.0af10818f6764p-7, 0x1.034d1c50dd276p-7, 0x1.f7c3109af2045p-8, 0x1.e95947c41d81cp-8, 0x1.db59a7ac1bd75p-8, 0x1.cdc112f435eb2p-8, 0x1.c08c8481955e9p-8, 0x1.b3b90eb5d21f1p-8, 0x1.a743daae5c5ep-8, 0x1.9b2a278a79795p-8, 0x1.8f6949b79c18cp-8, 0x1.83feaa43da6b9p-8, 0x1.78e7c63648433p-8, 0x1.6e222decfe267p-8, 0x1.63ab84809ab49p-8, 0x1.59817f2d08938p-8, 0x1.4fa1e4bf58c88p-8, 0x1.460a8d0885d9dp-8, 0x1.3cb96054ed0f7p-8, 0x1.33ac56e856223p-8, 0x1.2ae1787e5e48ep-8, 0x1.2256dbcf21336p-8, 0x1.1a0aa617f2eb4p-8, 0x1.11fb0aa80d9a9p-8, 0x1.0a264a710a225p-8, 0x1.028ab39b0127bp-8, 0x1.f64d423873278p-9, 0x1.e7f0f4a87649dp-9, 0x1.d9fd6554607aap-9, 0x1.cc6f925ce2fe8p-9, 0x1.bf44907e4c35fp-9, 0x1.b2798a5faced1p-9, 0x1.a60bbfe7bb88ep-9, 0x1.99f8859734e37p-9, 0x1.8e3d43e897f11p-9, 0x1.82d776b50231fp-9, 0x1.77c4ac9e0467ep-9, 0x1.6d02867c47083p-9, 0x1.628eb6d2ca0f7p-9, 0x1.58670146a8909p-9, 0x1.4e893a1b2605cp-9, 0x1.44f345b1ee4c6p-9, 0x1.3ba3180f5d84ap-9, 0x1.3296b462ae9d2p-9, 0x1.29cc2c91f0748p-9, 0x1.2141a0c99a288p-9, 0x1.18f53f0fab6f5p-9, 0x1.10e542da3101ep-9, 0x1.090ff4a910f2dp-9, 0x1.0173a9a30b3c4p-9, 0x1.f41d866b907d6p-10, 0x1.e5bf5d71c776dp-10, 0x1.d7c9ca27abcb4p-10, 0x1.ca39d4cd510bep-10, 0x1.bd0c9b6ab153ap-10, 0x1.b03f512ba6d79p-10, 0x1.a3cf3dc0f7a09p-10, 0x1.97b9bcc632211p-10, 0x1.8bfc3d2c4e453p-10, 0x1.809440a8d3eefp-10, 0x1.757f5b29717b7p-10, 0x1.6abb324bd787bp-10, 0x1.60457cd9b28cap-10, 0x1.561c0248a86e1p-10, 0x1.4c3c9a3e3954ep-10, 0x1.42a52c17548b5p-10, 0x1.3953ae73a03b4p-10, 0x1.304626c42f5f7p-10, 0x1.277aa8ddb24c2p-10, 0x1.1eef568de9812p-10, 0x1.16a25f3446838p-10, 0x1.0e91ff5da9d9bp-10, 0x1.06bc80631fc4bp-10, 0x1.fe407016f659p-11, 0x1.ef77105f8b7afp-11, 0x1.e119bcc4d13bcp-11, 0x1.d3256731e9404p-11, 0x1.c59717b0f33c3p-11, 0x1.b86bebc8ae4c8p-11, 0x1.aba115dee58c8p-11, 0x1.9f33dc9f812acp-11, 0x1.93219a6819fddp-11, 0x1.8767bcb7e8a37p-11, 0x1.7c03c3a3f0dd8p-11, 0x1.70f3414f4525cp-11, 0x1.6633d96744f82p-11, 0x1.5bc340a3b5a08p-11, 0x1.519f3c4a963f5p-11, 0x1.47c5a1b79438cp-11, 0x1.3e3455e7021bfp-11, 0x1.34e94d04366f8p-11, 0x1.2be289fb37983p-11, 0x1.231e1e0d9c871p-11, 0x1.1a9a286a86f0dp-11, 0x1.1254d5c9a2561p-11, 0x1.0a4c60090cd7dp-11, 0x1.027f0dce18ba3p-11, 0x1.f5d6645193879p-12, 0x1.e71e58740090fp-12, 0x1.d8d2cdb871c54p-12, 0x1.caf0b09d9e92p-12, 0x1.bd7503c760e27p-12, 0x1.b05cdf5ed1b4ep-12, 0x1.a3a57076ffd4ep-12, 0x1.974bf876116f9p-12, 0x1.8b4dcc82c0bf8p-12, 0x1.7fa86926f176cp-12, 0x1.745920ec7ad91p-12, 0x1.695d95348fef6p-12, 0x1.5eb364c0b7e02p-12, 0x1.54583f72d16c4p-12, 0x1.4a49e5d1ea22p-12, 0x1.408628929146cp-12, 0x1.370ae82294e66p-12, 0x1.2dd614380c369p-12, 0x1.24e5ab639614cp-12, 0x1.1c37baa5b1802p-12, 0x1.13ca5d07204c8p-12, 0x1.0b9bbb3434fb3p-12, 0x1.03aa0b1afd4fap-12, 0x1.f7e71f185a82cp-13, 0x1.e8ed2fbd78a9dp-13, 0x1.da62ff2c3a127p-13, 0x1.cc455c15fe15ep-13, 0x1.be912c2d089bfp-13, 0x1.b1436b7fb7fc8p-13, 0x1.a4592bd85c3a3p-13, 0x1.97cf942193aap-13, 0x1.8ba3dfcf01cb4p-13, 0x1.7fd35e4a4f33ap-13, 0x1.745b7264449f2p-13, 0x1.693991c9ee391p-13, 0x1.5e6b447d9ccap-13, 0x1.53ee2453bae0ep-13, 0x1.49bfdc734807fp-13, 0x1.3fde28d9e6358p-13, 0x1.3646d5e36a26ep-13, 0x1.2cf7bfd4bb4fcp-13, 0x1.23eed26a08c4bp-13, 0x1.1b2a086828cbbp-13, 0x1.12a76b3108f35p-13, 0x1.0a65125b2ce3ep-13, 0x1.0261234c10ae4p-13, 0x1.f533a1aabe91p-14, 0x1.e61ab5a9ea399p-14, 0x1.d7741baf05114p-14, 0x1.c93c857bb5cfap-14, 0x1.bb70bcc96ed95p-14, 0x1.ae0da29e04fa6p-14, 0x1.a1102ea4ec843p-14, 0x1.94756e8d3692ep-14, 0x1.883a856c00a6bp-14, 0x1.7c5cab234fe81p-14, 0x1.70d92bcd2cd8ep-14, 0x1.65ad672ae4f9bp-14, 0x1.5ad6d01852da7p-14, 0x1.5052ec0312794p-14, 0x1.461f526581819p-14, 0x1.3c39ac457376p-14, 0x1.329fb3b67ebfcp-14, 0x1.294f335fc6893p-14, 0x1.204606052d92ap-14, 0x1.17821613d27b3p-14, 0x1.0f015d31c3d5bp-14, 0x1.06c1e3d0d3e69p-14, 0x1.fd838188e4338p-15, 0x1.edfe31b4f3f34p-15, 0x1.def03cedbb11bp-15, 0x1.d056226437b8bp-15, 0x1.c22c7af4d29a3p-15, 0x1.b46ff86efd404p-15, 0x1.a71d64e1e3338p-15, 0x1.9a31a1ee2270ep-15, 0x1.8da9a81c512cfp-15, 0x1.818286383cb74p-15, 0x1.75b960b0b8c8p-15, 0x1.6a4b70fbe4319p-15, 0x1.5f3604ffbd22cp-15, 0x1.54767e7eeea1dp-15, 0x1.4a0a5289acbd3p-15, 0x1.3fef08f2938f1p-15, 0x1.36223bc75cc19p-15, 0x1.2ca196cd56aeep-15, 0x1.236ad70188382p-15, 0x1.1a7bca1c5da6dp-15, 0x1.11d24e18c7e69p-15, 0x1.096c50bebf527p-15, 0x1.0147cf30fe7bap-15, 0x1.f2c5aafbee2a9p-16, 0x1.e376fc67a683p-16, 0x1.d49fe3eef6a86p-16, 0x1.c63cce3d0e5cep-16, 0x1.b84a429805667p-16, 0x1.aac4e21ff7357p-16, 0x1.9da9671371dfep-16, 0x1.90f4a4191a2d3p-16, 0x1.84a3838e71f71p-16, 0x1.78b306db80bc8p-16, 0x1.6d2045cb4d1dbp-16, 0x1.61e86de901c66p-16, 0x1.5708c1e19ca2ep-16, 0x1.4c7e98ea04578p-16, 0x1.42475e296fcd6p-16, 0x1.38609027ecabbp-16, 0x1.2ec7c041079f5p-16, 0x1.257a921a54256p-16, 0x1.1c76bb1dd82bdp-16, 0x1.13ba01f829178p-16, 0x1.0b423e1a33b33p-16, 0x1.030d573e81a23p-16, 0x1.f63289e3e5f0cp-17, 0x1.e6c81c3f9b696p-17, 0x1.d7d7914213c9p-17, 0x1.c95d319d8b16ap-17, 0x1.bb55622f9c95dp-17, 0x1.adbca33235358p-17, 0x1.a08f8f72794b2p-17, 0x1.93cadb8d2d317p-17, 0x1.876b5530a7feap-17, 0x1.7b6de2641de22p-17, 0x1.6fcf80d4129a4p-17, 0x1.648d4523d8a13p-17, 0x1.59a45a44031efp-17, 0x1.4f1200cd8e1a3p-17, 0x1.44d38e61a9734p-17, 0x1.3ae66d0e19afbp-17, 0x1.31481ab5dap-17, 0x1.27f6287e261cdp-17, 0x1.1eee3a3f8bdd1p-17, 0x1.162e05fb12105p-17, 0x1.0db3535346cap-17, 0x1.057bfb091d54dp-17, 0x1.fb0bccf90578p-18, 0x1.eb9e1e60fac8bp-18, 0x1.dcaafca5d3ba1p-18, 0x1.ce2e988f03ccap-18, 0x1.c025406c88081p-18, 0x1.b28b5f3a002e7p-18, 0x1.a55d7bc846731p-18, 0x1.989837ecddf3ep-18, 0x1.8c384fb76afbp-18, 0x1.803a98ace24edp-18, 0x1.749c01084eb4ep-18, 0x1.69598f0106e5cp-18, 0x1.5e706016278edp-18, 0x1.53dda85f331dbp-18, 0x1.499eb1e1b6306p-18, 0x1.3fb0dbeb95022p-18, 0x1.36119a72723cbp-18, 0x1.2cbe75774a549p-18, 0x1.23b5086eb1406p-18, 0x1.1af301ad5f887p-18, 0x1.127621d8f021cp-18, 0x1.0a3c3b5cbc0e5p-18, 0x1.024331e2a9635p-18, 0x1.f511f39fbce02p-19, 0x1.e6172f8a6e954p-19, 0x1.d7924046a9ac3p-19, 0x1.c97f6d24a3e0ap-19, 0x1.bbdb1b19aa8edp-19, 0x1.aea1cbdd22d86p-19, 0x1.a1d01d0beeefap-19, 0x1.9562c75225825p-19, 0x1.89569d9b35361p-19, 0x1.7da88c47b720ap-19, 0x1.725598692d584p-19, 0x1.675adf0389dddp-19, 0x1.5cb594540c509p-19, 0x1.5263031d8e0e9p-19, 0x1.48608bf9fdeb9p-19, 0x1.3eaba4b0e5737p-19, 0x1.3541d792e8263p-19, 0x1.2c20c2d9daaf9p-19, 0x1.2346180daf342p-19, 0x1.1aaf9b6dec569p-19, 0x1.125b235f4c638p-19, 0x1.0a4697ddca622p-19, 0x1.026ff1f2c6939p-19, 0x1.f5aa765e6a3bp-20, 0x1.e6e91a536645ep-20, 0x1.d8982200d5515p-20, 0x1.cab3fdbd50e4ap-20, 0x1.bd393b0c0ce4cp-20, 0x1.b02483b631db2p-20, 0x1.a3729ceaf2db4p-20, 0x1.97206666491e3p-20, 0x1.8b2ad99e1f249p-20, 0x1.7f8f08f55fddfp-20, 0x1.744a1ef5d507ep-20, 0x1.69595d8ef64e5p-20, 0x1.5eba1d5b2c8edp-20, 0x1.5469ccea4fa67p-20, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.c1b4c1ff51a1ep+2, -0x1.ab8c9df8c7dbep+2, -0x1.962b5e97652f2p+2, -0x1.81986d8e4e5c3p+2, -0x1.6dd851249da31p+2, -0x1.5aed18a62fa33p+2, -0x1.48d6bef210e13p+2, -0x1.3793832934d23p+2, -0x1.2720378919d3ap+2, -0x1.177886fc6ce1ep+2, -0x1.0897320132d84p+2, -0x1.f4ec8684c2d6dp+1, -0x1.da1e7a608c6e2p+1, -0x1.c0b681da82b29p+1, -0x1.a8a65e3f81659p+1, -0x1.91df87e470d81p+1, -0x1.7c535cfe91b23p+1, -0x1.67f34794ac2e8p+1, -0x1.54b0dcae1dd0ep+1, -0x1.427df6205f196p+1, -0x1.314cc6a29b0dbp+1, -0x1.210fe88ec0fd6p+1, -0x1.11ba694b98b1fp+1, -0x1.033fd254f2ddcp+1, -0x1.eb285c649c423p+0, -0x1.d158178c45afep+0, -0x1.b8f8ff31dc523p+0, -0x1.a1f6473423e6ep+0, -0x1.8c3c2b495257p+0, -0x1.77b7ea0638d89p+0, -0x1.6457be4ff5ab3p+0, -0x1.520ad7a4f3912p+0, -0x1.40c1518e4dcdp+0, -0x1.306c2a6e8c842p+0, -0x1.20fd39e2a035bp+0, -0x1.126726ef961fdp+0, -0x1.049d5e2813146p+0, -0x1.ef280fbb541c4p-1, -0x1.d67ffcd99d271p-1, -0x1.bf2d8974e739dp-1, -0x1.a91cf9f763c2cp-1, -0x1.943bbfa89b0b7p-1, -0x1.80786798edbf7p-1, -0x1.6dc28a38380d9p-1, -0x1.5c0abb9faf9fep-1, -0x1.4b427c9e5c72cp-1, -0x1.3b5c2c90bda13p-1, -0x1.2c4afbfe53f37p-1, -0x1.1e02dfef87dcdp-1, -0x1.107885f04694p-1, -0x1.03a148bae6e9bp-1, -0x1.eee64b16d5f5p-2, -0x1.d7c96433538f5p-2, -0x1.c1da2667109f2p-2, -0x1.ad07e7d79477ep-2, -0x1.9942faa2510d7p-2, -0x1.867c9d47d7fe4p-2, -0x1.74a6ec07e36d4p-2, -0x1.63b4d3268a786p-2, -0x1.539a0212d6c5ap-2, -0x1.444adf63b6404p-2, -0x1.35bc7d9c80102p-2, -0x1.27e490a8bfecap-2, -0x1.1ab963e3b81cap-2, -0x1.0e31d16cdbc26p-2, -0x1.02453863ce35ap-2, -0x1.edd6eb3715598p-3, -0x1.d839b79a3c9c3p-3, -0x1.c3a458f5883b5p-3, -0x1.b009228ca4bcp-3, -0x1.9d5b2b6709451p-3, -0x1.8b8e429e3cd58p-3, -0x1.7a96e468d3237p-3, -0x1.6a6a2fd5c28d2p-3, -0x1.5afddd2ca829ep-3, -0x1.4c4834e828174p-3, -0x1.3e4007405a849p-3, -0x1.30dca43bef951p-3, -0x1.2415d43f3d6c8p-3, -0x1.17e3d11122abep-3, -0x1.0c3f3f4e0bee7p-3, -0x1.01212841f2485p-3, -0x1.ed05e8453d562p-4, -0x1.d8bcc947f42c6p-4, -0x1.c55b1fc12f4a5p-4, -0x1.b2d5b7224a2ap-4, -0x1.a121f11b794c2p-4, -0x1.9035bd28d44afp-4, -0x1.800790a102b4cp-4, -0x1.708e5f3d4f9b6p-4, -0x1.61c194136237cp-4, -0x1.53990af96c5ep-4, -0x1.460d0a4e1a1cep-4, -0x1.39163d1e10f2cp-4, -0x1.2cadada134fbap-4, -0x1.20ccc00a529ffp-4, -0x1.156d2da41bde9p-4, -0x1.0a890036b44d1p-4, -0x1.001a8db1509d2p-4, -0x1.ec38e8276196ep-5, -0x1.d9132b270bf9dp-5, -0x1.c6ba29f431972p-5, -0x1.b524a46d9427dp-5, -0x1.a449ce468577ep-5, -0x1.942148ecc08c6p-5, -0x1.84a31dc637bbp-5, -0x1.75c7b8c1a181cp-5, -0x1.6787e334ddcc9p-5, -0x1.59dcbf04902f5p-5, -0x1.4cbfc21092545p-5, -0x1.402ab1e1218d3p-5, -0x1.34179f90f783p-5, -0x1.2880e3f0b105ep-5, -0x1.1d611be0330b5p-5, -0x1.12b324daed682p-5, -0x1.087219b4142fdp-5, -0x1.fd329f0027cc3p-6, -0x1.ea48a551599fp-6, -0x1.d81dc85297129p-6, -0x1.c6a9ede2a3d98p-6, -0x1.b5e55ad448a84p-6, -0x1.a5c8ae3de0d3fp-6, -0x1.964cdd087f0c5p-6, -0x1.876b2dbb0f5b7p-6, -0x1.791d347e06d0ap-6, -0x1.6b5ccf547d387p-6, -0x1.5e242287b0762p-6, -0x1.516d95422efc7p-6, -0x1.4533ce5805dcep-6, -0x1.3971b1397bebdp-6, -0x1.2e225b0e10815p-6, -0x1.23411ff585f77p-6, -0x1.18c9886ce55p-6, -0x1.0eb74ed589821p-6, -0x1.05065d1c549f2p-6, -0x1.f76594fe961a3p-7, -0x1.e571b2dfe00d4p-7, -0x1.d429eb21ad007p-7, -0x1.c3876399c29d7p-7, -0x1.b3838d0dc5cd9p-7, -0x1.a4181fc078516p-7, -0x1.953f182aac61ep-7, -0x1.86f2b3dd77dbp-7, -0x1.792d6e8ba103fp-7, -0x1.6be9ff3822e71p-7, -0x1.5f235587e5154p-7, -0x1.52d49734dc078p-7, -0x1.46f91dbe31557p-7, -0x1.3b8c73a1daecdp-7, -0x1.308a52dc59e5ep-7, -0x1.25eea25c4646dp-7, -0x1.1bb5742034423p-7, -0x1.11db0350ba1b3p-7, -0x1.085bb271807cp-7, -0x1.fe6813505d9bp-8, -0x1.ecc16a3035961p-8, -0x1.dbbd06a35ac33p-8, -0x1.cb54c7a902291p-8, -0x1.bb82cb468faadp-8, -0x1.ac416bd12db19p-8, -0x1.9d8b3d5781089p-8, -0x1.8f5b0b29e157ap-8, -0x1.81abd57f92ecdp-8, -0x1.7478cf3795e34p-8, -0x1.67bd5bb3b147dp-8, -0x1.5b750ccc6c68p-8, -0x1.4f9ba0dcc4e3fp-8, -0x1.442d00e4788f6p-8, -0x1.39253ebfc83efp-8, -0x1.2e809373b0458p-8, -0x1.243b5d8d96c4ep-8, -0x1.1a521f9583192p-8, -0x1.10c17e91fa187p-8, -0x1.0786409cabc3cp-8, -0x1.fd3a970e470c1p-9, -0x1.ec07471d72b56p-9, -0x1.db6cd43e1d2b7p-9, -0x1.cb65b944c9f32p-9, -0x1.bbeca6be55c1ap-9, -0x1.acfc80c43e46fp-9, -0x1.9e905ce8ed624p-9, -0x1.90a3803aed26cp-9, -0x1.83315d5df1676p-9, -0x1.763592b8bb278p-9, -0x1.69abe8b6dbfc4p-9, -0x1.5d90501d79e15p-9, -0x1.51dee07227a0ep-9, -0x1.4693d6730f96ep-9, -0x1.3bab929f9f649p-9, -0x1.312297d0f64ddp-9, -0x1.26f589e1621bp-9, -0x1.1d212c62446dfp-9, -0x1.13a2615fad845p-9, -0x1.0a7628311f1bap-9, -0x1.01999c56d6757p-9, -0x1.f213e8c632618p-10, -0x1.e18901ddead59p-10, -0x1.d18d5733ef3cdp-10, -0x1.c21bec28ba711p-10, -0x1.b32ff26697f31p-10, -0x1.a4c4c81d3c387p-10, -0x1.96d5f64fb63bap-10, -0x1.895f2f33ed624p-10, -0x1.7c5c4ca2e8f33p-10, -0x1.6fc94e9928767p-10, -0x1.63a259c65c39bp-10, -0x1.57e3b62bde1a7p-10, -0x1.4c89cdc9378f4p-10, -0x1.41912b563016dp-10, -0x1.36f67909c8ab4p-10, -0x1.2cb67f6d8f9cbp-10, -0x1.22ce243cde7b7p-10, -0x1.193a694f62323p-10, -0x1.0ff86b8e9b1ddp-10, -0x1.070561f5b9c51p-10, -0x1.fcbd3937012b6p-11, -0x1.ec03078b80f92p-11, -0x1.dbd72e0bf60c8p-11, -0x1.cc34d8bdb229p-11, -0x1.bd175ee4245bcp-11, -0x1.ae7a416cd63dbp-11, -0x1.a059296af4d0fp-11, -0x1.92afe6a1be56cp-11, -0x1.857a6e1d39befp-11, -0x1.78b4d8d8a8067p-11, -0x1.6c5b62721a394p-11, -0x1.606a67eaabbe1p-11, -0x1.54de6672d8755p-11, -0x1.49b3fa42778ddp-11, -0x1.3ee7dd7bde87fp-11, -0x1.3476e719c0518p-11, -0x1.2a5e09e754f63p-11, -0x1.209a538265e8dp-11, -0x1.1728eb66d8383p-11, -0x1.0e071203556dap-11, -0x1.05321fd6b7371p-11, -0x1.f94f092bb95fap-12, -0x1.e8c98cb32b086p-12, -0x1.d8cf01a8a518bp-12, -0x1.c95ac91e99a83p-12, -0x1.ba686c5db436p-12, -0x1.abf39b7b4c211p-12, -0x1.9df82bfd1ad7ep-12, -0x1.90721789ae2f3p-12, -0x1.835d7aa521565p-12, -0x1.76b6937997ff5p-12, -0x1.6a79c0ab1340ep-12, -0x1.5ea380362b8cp-12, -0x1.53306e5944868p-12, -0x1.481d4487d5e8fp-12, -0x1.3d66d8676c99cp-12, -0x1.330a1ad5f9bc6p-12, -0x1.290416f921cb1p-12, -0x1.1f51f1562d9b6p-12, -0x1.15f0e6f24c3cbp-12, -0x1.0cde4c7ad5f9ap-12, -0x1.04178d754293dp-12, -0x1.f73456ed12a0ep-13, -0x1.e6c77ac34da9p-13, -0x1.d6e3dd59fc1ecp-13, -0x1.c784fd5cb5ffdp-13, -0x1.b8a67fdaa2282p-13, -0x1.aa442ef776f8ep-13, -0x1.9c59f8a859215p-13, -0x1.8ee3ed7c0950fp-13, -0x1.81de3f6e1443ep-13, -0x1.754540c490122p-13, -0x1.691562f800f8dp-13, -0x1.5d4b35a5100bcp-13, -0x1.51e36587b1a3p-13, -0x1.46dabb7f650adp-13, -0x1.3c2e1b9c3618p-13, -0x1.31da843437ab7p-13, -0x1.27dd0d011d11ep-13, -0x1.1e32e645af999p-13, -0x1.14d957fad9347p-13, -0x1.0bcdc103f063cp-13, -0x1.030d966a15aeep-13, -0x1.f52cc53caa608p-14, -0x1.e4cb8984a18aep-14, -0x1.d4f2dfee72788p-14, -0x1.c59e5565b617p-14, -0x1.b6c99c350d7cdp-14, -0x1.a8708ac743774p-14, -0x1.9a8f1a735d2c1p-14, -0x1.8d21665316aap-14, -0x1.8023aa23a7048p-14, -0x1.73924130341d7p-14, -0x1.6769a545c3232p-14, -0x1.5ba66db04250cp-14, -0x1.50454e405d952p-14, -0x1.45431659cedc9p-14, -0x1.3a9cb009dab95p-14, -0x1.304f1f25b8922p-14, -0x1.26578070942ffp-14, -0x1.1cb308c8ecaf7p-14, -0x1.135f045d0ee67p-14, -0x1.0a58d5e6663eap-14, -0x1.019df5eb6f1p-14, -0x1.f257e4100f49ap-15, -0x1.e200d877dff85p-15, -0x1.d232347e72211p-15, -0x1.c2e789b8e9971p-15, -0x1.b41c8ea0e7b44p-15, -0x1.a5cd1d5eb7643p-15, -0x1.97f5329dd8266p-15, -0x1.8a90ec6b7ed17p-15, -0x1.7d9c891ec6ec6p-15, -0x1.7114664a2d918p-15, -0x1.64f4ffb60d151p-15, -0x1.593aee63cdc52p-15, -0x1.4de2e799782e5p-15, -0x1.42e9bbf562456p-15, -0x1.384c5689ba944p-15, -0x1.2e07c3cf8aeb1p-15, -0x1.24191165c68f7p-15, -0x1.1a7d7ca1ac728p-15, -0x1.1132520b8fc64p-15, -0x1.0834f495b70c5p-15, -0x1.ff05b9c33fff1p-16, -0x1.ee333116cf91ap-16, -0x1.dded92f63c6efp-16, -0x1.ce304a77d868ep-16, -0x1.bef6e8b1654c6p-16, -0x1.b03d237c28e0fp-16, -0x1.a1fed4435623ep-16, -0x1.9437f6dc84696p-16, -0x1.86e4a869d5fep-16, -0x1.7a0126456e72cp-16, -0x1.6d89ccf618de4p-16, -0x1.617b172c8eaf2p-16, -0x1.55d19cc940cb9p-16, -0x1.4a8a11ea4df61p-16, -0x1.3fa1460164e6ap-16, -0x1.351422f144fc4p-16, -0x1.2adfac32a1014p-16, -0x1.2100fe0035e39p-16, -0x1.17754c89b9ddap-16, -0x1.0e39e32d7f508p-16, -0x1.054c23b88be5ep-16, -0x1.f9530b59e5f3cp-17, -0x1.e89f2b1c60934p-17, -0x1.d877e866c7d4bp-17, -0x1.c8d8ac3e603f1p-17, -0x1.b9bd05ba0bcf7p-17, -0x1.ab20a8c788497p-17, -0x1.9cff6cfad3eep-17, -0x1.8f554c677ef1fp-17, -0x1.821e62838362ap-17, -0x1.7556eb1352c3bp-17, -0x1.68fb411eeb48dp-17, -0x1.5d07ddef77496p-17, -0x1.517958155739cp-17, -0x1.464c627638c79p-17, -0x1.3b7dcb6316a24p-17, -0x1.310a7bb5a9c15p-17, -0x1.26ef75f541a39p-17, -0x1.1d29d582a94eap-17, -0x1.13b6cdcaed8a9p-17, -0x1.0a93a980a53adp-17, -0x1.01bdc9dbdf488p-17, -0x1.f2654bc00d2b8p-18, -0x1.e1df934fc7cc5p-18, -0x1.d1e5ab6eda0ep-18, -0x1.c272fca64c435p-18, -0x1.b38315b9fb2afp-18, -0x1.a511aa6cc706ep-18, -0x1.971a924efd901p-18, -0x1.8999c7966321ep-18, -0x1.7c8b660031951p-18, -0x1.6feba9bbdb441p-18, -0x1.63b6ee5f02a16p-18, -0x1.57e9ade1e388fp-18, -0x1.4c807fa43a1c6p-18, -0x1.4178177a2c183p-18, -0x1.36cd44c105a64p-18, -0x1.2c7cf17b909b6p-18, -0x1.228421759a9e1p-18, -0x1.18dff16ed11fcp-18, -0x1.0f8d964c45a3bp-18, -0x1.068a5c509728fp-18, -0x1.fba74cb53f23ep-19, -0x1.eacdda5493548p-19, -0x1.da837d56d9429p-19, -0x1.cac37a8cf7f45p-19, -0x1.bb893e6d9ff92p-19, -0x1.acd05bccea241p-19, -0x1.9e948a9e6ff87p-19, -0x1.90d1a6c17fd1ep-19, -0x1.8383aed769e5cp-19, -0x1.76a6c3231c5b8p-19, -0x1.6a3724725ce2p-19, -0x1.5e31330fb085dp-19, -0x1.52916dbcd181cp-19, -0x1.475470b6187d3p-19, -0x1.3c76f4bd7be34p-19, -0x1.31f5ce2d9b7fbp-19, -0x1.27cdec147afd7p-19, -0x1.1dfc575586fa1p-19, -0x1.147e31d2db745p-19, -0x1.0b50b59d04b51p-19, -0x1.0271342a434acp-19, -0x1.f3ba2b26eb916p-20, -0x1.e323afaf62ea9p-20, -0x1.d31a1c4bb67a9p-20, -0x1.c398c0580c3ep-20, -0x1.b49b12d941b47p-20, -0x1.a61cb13221caap-20, -0x1.98195de347319p-20, -0x1.8a8cff55525b8p-20, -0x1.7d739ead3167ap-20, -0x1.70c966a967979p-20, -0x1.648aa28a02581p-20, -0x1.58b3bd007b6e5p-20, -0x1.4d413f2884c72p-20, -0x1.422fcf89b25ffp-20, -0x1.377c31211a8d9p-20, -0x1.2d234272edc7bp-20, -0x1.2321fca3cb2bfp-20, -0x1.1975729978f39p-20, -0x1.101ad022dbf5p-20, -0x1.070f5926e42efp-20, -0x1.fca0d1b47c8f4p-21, -0x1.ebb6e1f7015b3p-21, -0x1.db5bf22b8e2fcp-21, -0x1.cb8b3b92a7306p-21, -0x1.bc40203453706p-21, -0x1.ad762988cc209p-21, -0x1.9f29072c5e5d4p-21, -0x1.91548d9d8f56fp-21, -0x1.83f4b506aa369p-21, -0x1.770598109fdd3p-21, -0x1.6a8372beecdcfp-21, -0x1.5e6aa1573580ap-21, -0x1.52b79f500a472p-21, -0x1.47670648c8bb8p-21, -0x1.3c758d0ac4786p-21, -0x1.31e006923f917p-21, -0x1.27a3611f81eefp-21, -0x1.1dbca54fb2eacp-21, -0x1.1428f53d7c536p-21, -0x1.0ae58ba79ffbfp-21, -0x1.01efbb214161bp-21, -0x1.f289da8cac28cp-22, -0x1.e1c543efe8175p-22, -0x1.d18cdd3e10b91p-22, -0x1.c1dbfae98ae77p-22, -0x1.b2ae19a2a5e69p-22, -0x1.a3fedd00aabaep-22, -0x1.95ca0e35dfdbep-22, -0x1.880b9ace7e0aep-22, -0x1.7abf937a1e655p-22, -0x1.6de22adf57736p-22, -0x1.616fb4792de3fp-22, -0x1.5564a37e36d41p-22, -0x1.49bd89d00bc4ap-22, -0x1.3e7716f578d15p-22, -0x1.338e171b77d19p-22, -0x1.28ff721f6f43dp-22, -0x1.1ec82aa159cp-22, -0x1.14e55d1dbd80ep-22, -0x1.0b543f0f36387p-22, -0x1.02121e175113fp-22, -0x1.f238be5d01aafp-23, -0x1.e0e0fbb5c5fabp-23, -0x1.d01816dc057ddp-23, -0x1.bfd95c8f3a2bcp-23, -0x1.b020424386ca6p-23, -0x1.a0e864be197b4p-23, -0x1.922d86c28b1a9p-23, -0x1.83eb8fc8c7a25p-23, -0x1.761e8ac1d6e22p-23, -0x1.68c2a4e1f781ep-23, -0x1.5bd42c7832a2cp-23, -0x1.4f4f8fcecc733p-23, -0x1.43315c159132ep-23, -0x1.37763c553c09ap-23, -0x1.2c1af86bd67ccp-23, -0x1.211c7411babc1p-23, -0x1.1677ade683ff9p-23, -0x1.0c29be8938e57p-23, -0x1.022fd7af7a041p-23, -0x1.f10e86a2b7ddbp-24, -0x1.de5ac5a383474p-24, -0x1.cc3f5c651b8bbp-24, -0x1.bab7669da8ebfp-24, -0x1.a9be2a37572c9p-24, -0x1.994f15dec73edp-24, -0x1.8965bf9e6508ap-24, -0x1.79fde384aff92p-24, -0x1.6b13625716923p-24, -0x1.5ca240503bb99p-24, -0x1.4ea6a3e7cad09p-24, -0x1.411cd4a63741fp-24, -0x1.34013a0152p-24, -0x1.27505a460e948p-24, -0x1.1b06d98698c88p-24, -0x1.0f217891eb0d1p-24, -0x1.039d13fd40ebp-24, -0x1.f0ed465578d84p-25, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.20a10a3c90c08p+0, -0x1.16c0d2fc24961p+0, -0x1.09477e2f31c95p+0, -0x1.f1a7e23372e0ap-1, -0x1.cc00787f129edp-1, -0x1.a2bb7e6afdcacp-1, -0x1.76e5029648ca1p-1, -0x1.496f18a513b75p-1, -0x1.1b3033b072b46p-1, -0x1.d9c5970a12462p-2, -0x1.7e4bf5220e9fdp-2, -0x1.24fd99d0a4aa9p-2, -0x1.9d681b3701c3fp-3, -0x1.f07199510071fp-4, -0x1.6ddd3b0d91de9p-5, 0x1.c0cca3420bc0cp-6, 0x1.83eaeedbdc433p-4, 0x1.41cdd10fbe9f4p-3, 0x1.b781ff5c498edp-3, 0x1.118bfd5f777ccp-2, 0x1.425ac949f6715p-2, 0x1.6e4d24a5afd55p-2, 0x1.958c74417119bp-2, 0x1.b84a39e0f9fbcp-2, 0x1.d6bd89a75578bp-2, 0x1.f12148b1133afp-2, 0x1.03d9566494595p-1, 0x1.0d5802e13db32p-1, 0x1.152bdf83f2e59p-1, 0x1.1b73c72a55c75p-1, 0x1.204de5e119fddp-1, 0x1.23d778402ea68p-1, 0x1.262c9b9a9fa39p-1, 0x1.27682be119d1p-1, 0x1.27a3ac9cac1b8p-1, 0x1.26f73b35374d4p-1, 0x1.257989004ed6bp-1, 0x1.233fdb7d14b32p-1, 0x1.205e113a40a2fp-1, 0x1.1ce6aa528cd91p-1, 0x1.18ead3d0417adp-1, 0x1.147a755336169p-1, 0x1.0fa4402c37585p-1, 0x1.0a75bf23bc15fp-1, 0x1.04fb666f5a518p-1, 0x1.fe81476bc7196p-2, 0x1.f29fdc46b7b12p-2, 0x1.e665acd542ea5p-2, 0x1.d9e42cc25756fp-2, 0x1.cd2b3fb6c75b8p-2, 0x1.c049553c341bfp-2, 0x1.b34b82eb4596bp-2, 0x1.a63d9d4344f1dp-2, 0x1.992a4f70abcp-2, 0x1.8c1b320208267p-2, 0x1.7f18e05586df5p-2, 0x1.722b0c8913c41p-2, 0x1.655891e2331b9p-2, 0x1.58a785d46c88ap-2, 0x1.4c1d47e3474e5p-2, 0x1.3fbe908e9d261p-2, 0x1.338f7f55a0efep-2, 0x1.2793a7c05d134p-2, 0x1.1bce485cc638ep-2, 0x1.1041a8d13f904p-2, 0x1.04f023045062bp-2, 0x1.f3b712f5152a1p-3, 0x1.de0aaafa7c233p-3, 0x1.c8dd5e5dbe232p-3, 0x1.b430ea41f3cbap-3, 0x1.a00686c3d399cp-3, 0x1.8c5ef3f5545f8p-3, 0x1.793a85b7a2856p-3, 0x1.66992e81e8063p-3, 0x1.547a89310ce85p-3, 0x1.42dde2049692dp-3, 0x1.31c23eed978d8p-3, 0x1.2126674f190f7p-3, 0x1.1108eb4514854p-3, 0x1.01682a7ab1fd7p-3, 0x1.e484b51b2a058p-4, 0x1.c72b19ea0899dp-4, 0x1.aabf68c4d158cp-4, 0x1.8f3d5329407dep-4, 0x1.74a05f3dc8052p-4, 0x1.5ae3ef5864071p-4, 0x1.4203489cb156ap-4, 0x1.29f998d634c51p-4, 0x1.12c1fbb3c7f34p-4, 0x1.f8aeff0959943p-5, 0x1.cd6a5322530dbp-5, 0x1.a3abf4438e345p-5, 0x1.7b69e084ce23cp-5, 0x1.549a1a92c0eabp-5, 0x1.2f32b04c8d1e1p-5, 0x1.0b29c0ef62347p-5, 0x1.d0eb058ddc7b9p-6, 0x1.8e1890a83635ep-6, 0x1.4dc909b365faap-6, 0x1.0fe9a08302f7cp-6, 0x1.a8cfa94fc72e8p-7, 0x1.3662f519c8d17p-7, 0x1.90d2fd7cebdeep-8, 0x1.7b015f8c77276p-9, -0x1.aeac96c389ed8p-13, -0x1.a0a45188c5fedp-9, -0x1.8b5703bdf826dp-8, -0x1.1f61ec0b82baap-7, -0x1.756b8054672fap-7, -0x1.c7e6a75251182p-7, -0x1.0b7882102f87ep-6, -0x1.3153ba101a9ap-6, -0x1.5593079d889cbp-6, -0x1.78441453c4d8cp-6, -0x1.99742818b2b7fp-6, -0x1.b93029fc12c83p-6, -0x1.d784a149b0095p-6, -0x1.f47db6c58305p-6, -0x1.08139b0527461p-5, -0x1.15464782e7029p-5, -0x1.21dc6bc81b30fp-5, -0x1.2ddb668f7d20dp-5, -0x1.39486b49b98b8p-5, -0x1.44288312c1846p-5, -0x1.4e808db4482f1p-5, -0x1.585542b36047fp-5, -0x1.61ab326609391p-5, -0x1.6a86c70c89617p-5, -0x1.72ec45ea202ecp-5, -0x1.7adfd058d12f5p-5, -0x1.826564d4dcbb1p-5, -0x1.8980dffdbedb1p-5, -0x1.9035fd8c08637p-5, -0x1.9688593cd3c31p-5, -0x1.9c7b6fb4cf7c3p-5, -0x1.a2129f5d9e507p-5, -0x1.a7512940916cp-5, -0x1.ac3a31e18295bp-5, -0x1.b0d0c21be3c82p-5, -0x1.b517c8032ab34p-5, -0x1.b91217c68a13p-5, -0x1.bcc26c96f4237p-5, -0x1.c02b698d60a2fp-5, -0x1.c34f9a8ed2dc1p-5, -0x1.c631752b50332p-5, -0x1.c8d359751cfc5p-5, -0x1.cb3792ce08c9cp-5, -0x1.cd5f067db507p-5, -0x1.cf4eb384d874ap-5, -0x1.d1072a94c9106p-5, -0x1.d28a67a2ce446p-5, -0x1.d3da5560b3299p-5, -0x1.d4f8cdf9beee6p-5, -0x1.d5e79bc290a62p-5, -0x1.d6a879dbc310dp-5, -0x1.d73d14c7ac16cp-5, -0x1.d7a70af3f327cp-5, -0x1.d7e7ed37ffafbp-5, -0x1.d8013f49829f2p-5, -0x1.d7f4782879d0fp-5, -0x1.d7c3028426d52p-5, -0x1.d76e3d1a621ep-5, -0x1.d6f77b12abd04p-5, -0x1.d66004562fd5cp-5, -0x1.d5a915e5bf726p-5, -0x1.d4d3e22e980b6p-5, -0x1.d3e1915e83dbcp-5, -0x1.d2d341b7b1d43p-5, -0x1.d1aa07e4666ccp-5, -0x1.d066ef4a7c9d4p-5, -0x1.cf0afa5e80721p-5, -0x1.cd9722f62118ep-5, -0x1.cc0c5a9991314p-5, -0x1.ca6b8ad3830c6p-5, -0x1.c8b5957f51531p-5, -0x1.c6eb551507b8dp-5, -0x1.c50d9cf2f8b1fp-5, -0x1.c31d39a4a5c5fp-5, -0x1.c11af126d1ad3p-5, -0x1.bf07832895e03p-5, -0x1.bce3a949759cfp-5, -0x1.bab01754664b5p-5, -0x1.b86d7b77d8283p-5, -0x1.b61c7e7acdfe4p-5, -0x1.b3bdc3ef1eabp-5, -0x1.b151ea6102e94p-5, -0x1.aed98b840ad43p-5, -0x1.ac553c5db151dp-5, -0x1.a9c58d6dae1cbp-5, -0x1.a72b0ad43dab7p-5, -0x1.a4863c768b49fp-5, -0x1.a1d7a6216f5b6p-5, -0x1.9f1fc7aaae73ap-5, -0x1.9c5f1d10e814p-5, -0x1.99961e9a57e03p-5, -0x1.96c540f292d04p-5, -0x1.93ecf54755d52p-5, -0x1.910da96480aecp-5, -0x1.8e27c7cf499c7p-5, -0x1.8b3bb7e0b4d1dp-5, -0x1.8849dddf56036p-5, -0x1.85529b18544f5p-5, -0x1.82564df7b5c7dp-5, -0x1.7f55521fe7039p-5, -0x1.7c50008078b94p-5, -0x1.7946af6c1148cp-5, -0x1.7639b2ad87a48p-5, -0x1.73295b9c2903cp-5, -0x1.7015f92f28a87p-5, -0x1.6cffd8103a6ddp-5, -0x1.69e742ad6036cp-5, -0x1.66cc8149ee757p-5, -0x1.63afda0ed3c1fp-5, -0x1.6091911a2fd0ep-5, -0x1.5d71e88e3fc51p-5, -0x1.5a51209fb2281p-5, -0x1.572f77a36aa14p-5, -0x1.540d2a1bbf9f5p-5, -0x1.50ea72c53c289p-5, -0x1.4dc78aa2ef51ap-5, -0x1.4aa4a90a4d39dp-5, -0x1.478203aea9a46p-5, -0x1.445fceac4d972p-5, -0x1.413e3c932d457p-5, -0x1.3e1d7e7141724p-5, -0x1.3afdc3dc80c4ep-5, -0x1.37df3afc83f79p-5, -0x1.34c21093cee64p-5, -0x1.31a67008c3692p-5, -0x1.2e8c836e4234ap-5, -0x1.2b74738bf9beap-5, -0x1.285e67e6686ffp-5, -0x1.254a86c69601p-5, -0x1.2238f54186d1fp-5, -0x1.1f29d73f6eep-5, -0x1.1c1d4f82a781cp-5, -0x1.19137fae6de69p-5, -0x1.160c884d6c75p-5, -0x1.130888d8144f4p-5, -0x1.10079fbacadd2p-5, -0x1.0d09ea5beaa6p-5, -0x1.0a0f85219e86p-5, -0x1.07188b779796ep-5, -0x1.042517d49d739p-5, -0x1.013543bffc009p-5, -0x1.fc924fad9d723p-6, -0x1.f6c1b7a255d3cp-6, -0x1.f0f8ed0e4cc46p-6, -0x1.eb381beb812e7p-6, -0x1.e57f6e874cf75p-6, -0x1.dfcf0d8bb4631p-6, -0x1.da2720086e656p-6, -0x1.d487cb7bb3f35p-6, -0x1.cef133dace976p-6, -0x1.c9637b9a6f6e6p-6, -0x1.c3dec3b6cb084p-6, -0x1.be632bbb829e5p-6, -0x1.b8f0d1cb59eb6p-6, -0x1.b387d2a7bb0d2p-6, -0x1.ae2849b812fdfp-6, -0x1.a8d2511101b92p-6, -0x1.a386017b667c9p-6, -0x1.9e43727b4609bp-6, -0x1.990aba5696297p-6, -0x1.93dbee1be4991p-6, -0x1.8eb721a8e7719p-6, -0x1.899c67b0f0b5ep-6, -0x1.848bd1c3466fp-6, -0x1.7f857051687cbp-6, -0x1.7a8952b53af48p-6, -0x1.7597873717df8p-6, -0x1.70b01b13d014dp-6, -0x1.6bd31a828f3a4p-6, -0x1.670090baa9403p-6, -0x1.623887f957ae4p-6, -0x1.5d7b098755dd2p-6, -0x1.58c81dbe6ae4cp-6, -0x1.541fcc0edd05ep-6, -0x1.4f821b04cbbe5p-6, -0x1.4aef104d6f1fbp-6, -0x1.4666b0bc4913dp-6, -0x1.41e9005032bcfp-6, -0x1.3d7602386164ep-6, -0x1.390db8d94a592p-6, -0x1.34b025d1774bbp-6, -0x1.305d49fe47b48p-6, -0x1.2c1525809774cp-6, -0x1.27d7b7c15c54bp-6, -0x1.23a4ff76280ffp-6, -0x1.1f7cfaa5a2a3cp-6, -0x1.1b5fa6abeb48cp-6, -0x1.174d003ef1ae5p-6, -0x1.13450372ba1a6p-6, -0x1.0f47abbd96fa8p-6, -0x1.0b54f3fc5191ep-6, -0x1.076cd67649813p-6, -0x1.038f4ce1809aap-6, -0x1.ff78a0cd384f7p-7, -0x1.f7e7b349b8a9fp-7, -0x1.f06bc16c05748p-7, -0x1.e904ba6452cffp-7, -0x1.e1b28c67246d5p-7, -0x1.da7524b4c8fd9p-7, -0x1.d34c6fa0bae44p-7, -0x1.cc385898e62c8p-7, -0x1.c538ca2cd691p-7, -0x1.be4dae14b9e33p-7, -0x1.b776ed385a00cp-7, -0x1.b0b46fb5e6ef2p-7, -0x1.aa061ce8b17c4p-7, -0x1.a36bdb6fbd0e5p-7, -0x1.9ce591343c57dp-7, -0x1.9673236fedaccp-7, -0x1.901476b358615p-7, -0x1.89c99af8855fap-7, -0x1.83921d5d080e4p-7, -0x1.7d6e0a9c93a93p-7, -0x1.775d44dda506cp-7, -0x1.715fadbb1b4bep-7, -0x1.6b752649deb48p-7, -0x1.659d8f1e57814p-7, -0x1.5fd8c851e64e9p-7, -0x1.5a26b18830c9bp-7, -0x1.548729f4675d6p-7, -0x1.4efa105e6d4fbp-7, -0x1.497f4327e1e9fp-7, -0x1.4416a05128ec3p-7, -0x1.3ec0057e409e9p-7, -0x1.397b4ffb99933p-7, -0x1.34485cc2caa85p-7, -0x1.2f27087f3252bp-7, -0x1.2a172f9282a84p-7, -0x1.2518ae1935e9p-7, -0x1.202b5feeed382p-7, -0x1.1b4f20b2ba5cap-7, -0x1.1683cbcb52252p-7, -0x1.11c93c6b2a637p-7, -0x1.0d1f4d9481cffp-7, -0x1.0885da1d5143cp-7, -0x1.03fcbcb3293f9p-7, -0x1.ff079fbdf2fa8p-8, -0x1.f635dc1185ab7p-8, -0x1.ed83e2f669346p-8, -0x1.e4f168ce6be26p-8, -0x1.dc7e21ceb1ef5p-8, -0x1.d429c206757adp-8, -0x1.cbf3fd659c4b8p-8, -0x1.c3dc87c328202p-8, -0x1.bbe314e37d586p-8, -0x1.b407587e81a5ap-8, -0x1.ac49064596fbbp-8, -0x1.a4a7d1e96e427p-8, -0x1.9d236f1fb496bp-8, -0x1.95bb91a89c3c7p-8, -0x1.8e6fed543eb8ap-8, -0x1.87403607ddfc9p-8, -0x1.802c1fc2fe28fp-8, -0x1.79335ea45ef28p-8, -0x1.7255a6eecf96fp-8, -0x1.6b92ad0de3032p-8, -0x1.64ea259a7faa6p-8, -0x1.5e5bc55f50f6ep-8, -0x1.57e7415d1392ep-8, -0x1.518c4ecec61c7p-8, -0x1.4b4aa32db468ep-8, -0x1.4521f435689b9p-8, -0x1.3f11f7e777ecdp-8, -0x1.391a648f3663dp-8, -0x1.333af0c54520fp-8, -0x1.2d7353730a6b5p-8, -0x1.27c343d606477p-8, -0x1.222a79830e48ap-8, -0x1.1ca8ac6967e33p-8, -0x1.173d94d5cd5bp-8, -0x1.11e8eb7550a26p-8, -0x1.0caa695825bc8p-8, -0x1.0781c7f4533ap-8, -0x1.026ec12845b83p-8, -0x1.fae21e7a94156p-9, -0x1.f110d9d3e2512p-9, -0x1.e7692aa8a6e5ep-9, -0x1.ddea882886304p-9, -0x1.d4946a6ac2614p-9, -0x1.cb664a72393f6p-9, -0x1.c25fa23130ed7p-9, -0x1.b97fec8cf8c93p-9, -0x1.b0c6a5615a6efp-9, -0x1.a8334983df656p-9, -0x1.9fc556c6ea4fdp-9, -0x1.977c4bfca677cp-9, -0x1.8f57a8f9c9bd9p-9, -0x1.8756ee9830d12p-9, -0x1.7f799eb951c1ep-9, -0x1.77bf3c4883c6bp-9, -0x1.70274b3d25cep-9, -0x1.68b1509c9a461p-9, -0x1.615cd27c1dbd2p-9, -0x1.5a2958027c4b1p-9, -0x1.531669699de22p-9, -0x1.4c238ffff5ea9p-9, -0x1.45505629ca555p-9, -0x1.3e9c47625f195p-9, -0x1.3806f03cfbf92p-9, -0x1.318fde65d7d32p-9, -0x1.2b36a0a2dda99p-9, -0x1.24fac6d45a967p-9, -0x1.1edbe1f58b186p-9, -0x1.18d9841d0969p-9, -0x1.12f3407d24bfp-9, -0x1.0d28ab641b49fp-9, -0x1.07795a3c3537bp-9, -0x1.01e4e38bcff6ep-9, -0x1.f8d5bdea89c34p-10, -0x1.ee15ca6d882bcp-10, -0x1.e389205418cdbp-10, -0x1.d92ef5882835fp-10, -0x1.cf06822930aap-10, -0x1.c50f008b33d23p-10, -0x1.bb47ad35899b4p-10, -0x1.b1afc6e1820e9p-10, -0x1.a8468e78e8c4bp-10, -0x1.9f0b471460efp-10, -0x1.95fd35f99e7abp-10, -0x1.8d1ba2997fad9p-10, -0x1.8465d68df9b8dp-10, -0x1.7bdb1d97fc4afp-10, -0x1.737ac59d24b6dp-10, -0x1.6b441ea55a96ep-10, -0x1.63367ad8570bap-10, -0x1.5b512e7b0492p-10, -0x1.53938fecd3978p-10, -0x1.4bfcf7a4f2e8dp-10, -0x1.448cc02f6adap-10, -0x1.3d42462a2d2c9p-10, -0x1.361ce8420c30ep-10, -0x1.2f1c072f9da2ap-10, -0x1.283f05b40dc29p-10, -0x1.21854895dbecp-10, -0x1.1aee369d94e8cp-10, -0x1.147938926a5f1p-10, -0x1.0e25b936cb5f2p-10, -0x1.07f32544e9ccep-10, -0x1.01e0eb6b33841p-10, -0x1.f7dcf8917f53bp-11, -0x1.ec3694d361054p-11, -0x1.e0cd94871e9fdp-11, -0x1.d5a0e4632fb67p-11, -0x1.caaf74e1fec5dp-11, -0x1.bff83a3a68323p-11, -0x1.b57a2c5825732p-11, -0x1.ab3446d42d718p-11, -0x1.a12588ed06eecp-11, -0x1.974cf57f0f369p-11, -0x1.8da992fcb6e88p-11, -0x1.843a6b66b1b1cp-11, -0x1.7afe8c442b34dp-11, -0x1.71f5069ad7b08p-11, -0x1.691ceee71a44ap-11, -0x1.60755d14155fp-11, -0x1.57fd6c73b9951p-11, -0x1.4fb43bb6cd48fp-11, -0x1.4798ece4f20dbp-11, -0x1.3faaa554a3842p-11, -0x1.37e88da333f72p-11, -0x1.3051d1acc5971p-11, -0x1.28e5a084437bdp-11, -0x1.21a32c6b4d973p-11, -0x1.1a89aaca3791ap-11, -0x1.13985427ebf47p-11, -0x1.0cce6421e52bcp-11, -0x1.062b196413648p-11, -0x1.ff5b6b41a21aep-12, -0x1.f2aafb1195eb1p-12, -0x1.e6437185e10b8p-12, -0x1.da2363c8b8327p-12, -0x1.ce496cd083b9dp-12, -0x1.c2b42d4fbc78ap-12, -0x1.b7624ba4c3a7bp-12, -0x1.ac5273c9c3555p-12, -0x1.a18357448970cp-12, -0x1.96f3ad168343bp-12, -0x1.8ca231ac7ac49p-12, -0x1.828da6cea2b99p-12, -0x1.78b4d3907b398p-12, -0x1.6f168440c57cfp-12, -0x1.65b18a5981244p-12, -0x1.5c84bc6fead7dp-12, -0x1.538ef62485b6bp-12, -0x1.4acf18132c6e1p-12, -0x1.424407c3241d1p-12, -0x1.39ecaf9742969p-12, -0x1.31c7febe1b646p-12, -0x1.29d4e92230649p-12, -0x1.2212675a38787p-12, -0x1.1a7f76996b9a8p-12, -0x1.131b189fe82d6p-12, -0x1.0be453ab0f484p-12, -0x1.04da326608a5dp-12, -0x1.fbf787b49f283p-13, -0x1.ee9036c08e33cp-13, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.691b14f95cc8cp-1, -0x1.86c251e145e0bp-1, -0x1.9fde601e34acbp-1, -0x1.b48842efe723fp-1, -0x1.c4eb755c11df4p-1, -0x1.d141441ebed89p-1, -0x1.d9cccc395a90ep-1, -0x1.ded798451feebp-1, -0x1.e0aed0fb56fe6p-1, -0x1.dfa0f3ad280adp-1, -0x1.dbfc0038056cdp-1, -0x1.d60c0e5843de7p-1, -0x1.ce1a3d2b3ecf9p-1, -0x1.c46bed88fa2cep-1, -0x1.b9423a12f2b1p-1, -0x1.acd9a3ed630a5p-1, -0x1.9f69e922278abp-1, -0x1.9125fa79e86bdp-1, -0x1.823c0b64782b4p-1, -0x1.72d5b6be5ced3p-1, -0x1.6318312e25edep-1, -0x1.53248336faf0fp-1, -0x1.4317cfac8976fp-1, -0x1.330b956fc5bc5p-1, -0x1.2315faeb3946bp-1, -0x1.134a159904ffap-1, -0x1.03b8305735f82p-1, -0x1.e8dc1e45beddep-2, -0x1.caee5f51a12d3p-2, -0x1.adba0c4fd2771p-2, -0x1.914e6c8ecb8fbp-2, -0x1.75b78f7b26b14p-2, -0x1.5afead8025aa5p-2, -0x1.412a80883acc3p-2, -0x1.283f94680321ep-2, -0x1.10408fb5eff81p-2, -0x1.f25ceb1428261p-3, -0x1.c611c102aa766p-3, -0x1.9b9c6ecc6655dp-3, -0x1.72f7b810ae331p-3, -0x1.4c1ca9b84275ap-3, -0x1.2702e3c3f9bcfp-3, -0x1.03a0da685fb6fp-3, -0x1.c3d81e4cf6524p-4, -0x1.83b285620226dp-4, -0x1.46b940ffbb4f7p-4, -0x1.0cd3c9b542e11p-4, -0x1.abd1f7bd561eep-5, -0x1.43bea199b0a7fp-5, -0x1.c2743efd01d39p-6, -0x1.0821de8ac5869p-6, -0x1.607e29601149cp-8, 0x1.37e1be5623cdap-8, 0x1.d514eb05ccfcbp-7, 0x1.7df94c8383c9bp-6, 0x1.0452e911f3587p-5, 0x1.457761d1d4225p-5, 0x1.82984876ad6ffp-5, 0x1.bbe29cb3bbc2p-5, 0x1.f18218778129fp-5, 0x1.11d092edd6fa1p-4, 0x1.29346c0eb826ep-4, 0x1.3f0073ac9030bp-4, 0x1.5347d489fa81p-4, 0x1.661d11762dcb9p-4, 0x1.7791fdbcd144bp-4, 0x1.87b7c11e7e2e8p-4, 0x1.969eda7e4664dp-4, 0x1.a45722d8b500cp-4, 0x1.b0efd0a5be89ap-4, 0x1.bc777b8de6d34p-4, 0x1.c6fc205ecdc25p-4, 0x1.d08b252f09791p-4, 0x1.d9315da4b4ec2p-4, 0x1.e0fb0f54dd134p-4, 0x1.e7f3f633bd278p-4, 0x1.ee27490f34982p-4, 0x1.f39fbe0d3411cp-4, 0x1.f8678f28f1615p-4, 0x1.fc887ea9cc607p-4, 0x1.0005edc7ea9c7p-3, 0x1.017d42f8f92f7p-3, 0x1.02ae79a51df67p-3, 0x1.039d9956a37fcp-3, 0x1.044e7874c53fep-3, 0x1.04c4be46366c5p-3, 0x1.0503e4e595f55p-3, 0x1.050f3b2734cep-3, 0x1.04e9e66fef2f7p-3, 0x1.0496e47cf92aep-3, 0x1.04190d1cb4897p-3, 0x1.037313d89e0cp-3, 0x1.02a7899076fcp-3, 0x1.01b8de06d385p-3, 0x1.00a9615f22f23p-3, 0x1.fef68b1b1fdb7p-4, 0x1.fc613f71b7e5dp-4, 0x1.f996d31d55dcp-4, 0x1.f69b051503c9bp-4, 0x1.f371625faa06dp-4, 0x1.f01d486ee6ab7p-4, 0x1.eca1e7613eb24p-4, 0x1.e902442c29364p-4, 0x1.e5413aae71b2fp-4, 0x1.e1617fabb1089p-4, 0x1.dd65a2b14c18ep-4, 0x1.d9500fe5e8ffap-4, 0x1.d52311c3f2322p-4, 0x1.d0e0d2c024d94p-4, 0x1.cc8b5edcfd817p-4, 0x1.c824a52bc6669p-4, 0x1.c3ae793c3be39p-4, 0x1.bf2a947b655a2p-4, 0x1.ba9a97825ecfap-4, 0x1.b6000b55a3802p-4, 0x1.b15c62958249bp-4, 0x1.acb0faa01062ep-4, 0x1.a7ff1ca569f0dp-4, 0x1.a347feae7fd39p-4, 0x1.9e8cc4973268cp-4, 0x1.99ce80fc3b73dp-4, 0x1.950e361d77135p-4, 0x1.904cd6b523ef1p-4, 0x1.8b8b46c4af468p-4, 0x1.86ca5c5788053p-4, 0x1.820ae03c7d817p-4, 0x1.7d4d8eb61833ep-4, 0x1.78931822526fep-4, 0x1.73dc219a0dd31p-4, 0x1.6f2945889ef7dp-4, 0x1.6a7b143bbe0cbp-4, 0x1.65d2146c31d1ap-4, 0x1.612ec3bf86405p-4, 0x1.5c91974320545p-4, 0x1.57fafbe104178p-4, 0x1.536b56cea381fp-4, 0x1.4ee305f603ecfp-4, 0x1.4a6260598ff55p-4, 0x1.45e9b672de72ap-4, 0x1.4179528cb72c9p-4, 0x1.3d11791895843p-4, 0x1.38b268ffe3d2dp-4, 0x1.345c5bf125ae4p-4, 0x1.300f86a93efbfp-4, 0x1.2bcc193904832p-4, 0x1.27923f473ecd7p-4, 0x1.2362204f45292p-4, 0x1.1f3bdfb06ba2dp-4, 0x1.1b1f9db35310cp-4, 0x1.170d7660e6979p-4, 0x1.130582b84ec19p-4, 0x1.0f07d8982e429p-4, 0x1.0b148aec0e671p-4, 0x1.072ba9d769f22p-4, 0x1.034d42de7aa66p-4, 0x1.fef2c219cb423p-5, 0x1.f7601a34c06adp-5, 0x1.efe29b1ada404p-5, 0x1.e87a4db88fc83p-5, 0x1.e12737182fa2cp-5, 0x1.d9e9589d05a2ep-5, 0x1.d2c0b03b6b371p-5, 0x1.cbad38ade6dfcp-5, 0x1.c4aee9a78d048p-5, 0x1.bdc5b803bb7c4p-5, 0x1.b6f195f35d2c1p-5, 0x1.b0327327cc41dp-5, 0x1.a9883cfb7d9c4p-5, 0x1.a2f2de9888074p-5, 0x1.9c72411d28049p-5, 0x1.96064bbe5ade6p-5, 0x1.8faee3e8a34ffp-5, 0x1.896bed5f17141p-5, 0x1.833d4a58c2046p-5, 0x1.7d22db9c7ba38p-5, 0x1.771c809b3f41p-5, 0x1.712a178917f48p-5, 0x1.6b4b7d74b85ep-5, 0x1.65808e5dcb886p-5, 0x1.5fc9254a0ec52p-5, 0x1.5a251c594cc67p-5, 0x1.54944cd83bbcp-5, 0x1.4f168f525d672p-5, 0x1.49abbba2deb0ap-5, 0x1.4453a9049231cp-5, 0x1.3f0e2e2106be9p-5, 0x1.39db211ecd4bcp-5, 0x1.34ba57aef42a7p-5, 0x1.2faba719c6082p-5, 0x1.2aaee44ad3071p-5, 0x1.25c3e3dc4fe5fp-5, 0x1.20ea7a21d24p-5, 0x1.1c227b3274ceap-5, 0x1.176bbaf268f26p-5, 0x1.12c60d1bff041p-5, 0x1.0e3145482c1d4p-5, 0x1.09ad36f6956fap-5, 0x1.0539b5952456p-5, 0x1.00d694872f152p-5, 0x1.f9074e586a7ddp-6, 0x1.f08181cc74899p-6, 0x1.e81b6a3f8216fp-6, 0x1.dfd4aea2dda7ep-6, 0x1.d7acf60eaf2e6p-6, 0x1.cfa3e7cbf2e9fp-6, 0x1.c7b92b5dda633p-6, 0x1.bfec688a96d06p-6, 0x1.b83d47639dc63p-6, 0x1.b0ab704d63fcdp-6, 0x1.a9368c06a290dp-6, 0x1.a1de43af2287p-6, 0x1.9aa240ce17b95p-6, 0x1.93822d5812363p-6, 0x1.8c7db3b48e83ep-6, 0x1.85947ec326307p-6, 0x1.7ec639e060adbp-6, 0x1.781290ea3c675p-6, 0x1.717930445ba9p-6, 0x1.6af9c4dbec8f8p-6, 0x1.6493fc2b49e65p-6, 0x1.5e47843d565bep-6, 0x1.58140bb096f7bp-6, 0x1.51f941ba15f9fp-6, 0x1.4bf6d62804fd2p-6, 0x1.460c79642f3e6p-6, 0x1.4039dc7635023p-6, 0x1.3a7eb10595035p-6, 0x1.34daa95b8a408p-6, 0x1.2f4d7864b7d3dp-6, 0x1.29d6d1b2b5d43p-6, 0x1.2476697d669efp-6, 0x1.1f2bf4a434e91p-6, 0x1.19f728af26e37p-6, 0x1.14d7bbcfce2ffp-6, 0x1.0fcd64e21e816p-6, 0x1.0ad7db6d1d877p-6, 0x1.05f6d7a37fdaep-6, 0x1.012a126422ba5p-6, 0x1.f8e28a74dfed9p-7, 0x1.ef9854bd5987cp-7, 0x1.e674f96c55f35p-7, 0x1.dd77efa6de294p-7, 0x1.d4a0afec68dcfp-7, 0x1.cbeeb416deb52p-7, 0x1.c361775a598e8p-7, 0x1.baf87644d9e4bp-7, 0x1.b2b32ebdcf318p-7, 0x1.aa912005885fcp-7, 0x1.a291cab47e3e2p-7, 0x1.9ab4b0ba92af8p-7, 0x1.92f9555e1e99cp-7, 0x1.8b5f3d3affd3ep-7, 0x1.83e5ee417b73cp-7, 0x1.7c8cefb514d96p-7, 0x1.7553ca2b49fc8p-7, 0x1.6e3a078a41a7ap-7, 0x1.673f3307632e5p-7, 0x1.6062d925d6365p-7, 0x1.59a487b4fce04p-7, 0x1.5303cdced8d32p-7, 0x1.4c803bd662358p-7, 0x1.46196375c7b5dp-7, 0x1.3fced79cb5e46p-7, 0x1.39a02c7e7cc6p-7, 0x1.338cf790373b9p-7, 0x1.2d94cf86e281ep-7, 0x1.27b74c556cd41p-7, 0x1.21f4072abb77fp-7, 0x1.1c4a9a6fa6604p-7, 0x1.16baa1c4eceap-7, 0x1.1143ba0122b73p-7, 0x1.0be5812e94cd2p-7, 0x1.069f968929349p-7, 0x1.01719a7c36dd2p-7, 0x1.f8b65d40b2d66p-8, 0x1.eeb7eb727a916p-8, 0x1.e4e72766d2a25p-8, 0x1.db435b4401809p-8, 0x1.d1cbd379064ffp-8, 0x1.c87fdeb90eab4p-8, 0x1.bf5ecdf6e36c3p-8, 0x1.b667f46050ab2p-8, 0x1.ad9aa759854c6p-8, 0x1.a4f63e786e0d5p-8, 0x1.9c7a138009cf5p-8, 0x1.9425825bbba2ep-8, 0x1.8bf7e91a9460dp-8, 0x1.83f0a7ea9bfb2p-8, 0x1.7c0f211415754p-8, 0x1.7452b8f4c1bbbp-8, 0x1.6cbad5fb1f1bp-8, 0x1.6546e0a1a676bp-8, 0x1.5df6436a08c78p-8, 0x1.56c86ad86982p-8, 0x1.4fbcc56e998c2p-8, 0x1.48d2c3a752c3dp-8, 0x1.4209d7f171d5p-8, 0x1.3b6176ab3297cp-8, 0x1.34d9161d6c26fp-8, 0x1.2e702e76cea6cp-8, 0x1.282639c721e3dp-8, 0x1.21fab3fa85ea5p-8, 0x1.1bed1ad4b7d65p-8, 0x1.15fcedec54635p-8, 0x1.1029aea6225dbp-8, 0x1.0a72e0305a8b9p-8, 0x1.04d8077df84f3p-8, 0x1.feb1568411c2ep-9, 0x1.f3e8a7d5fcf9ap-9, 0x1.e955173c15b41p-9, 0x1.def5bc64f1a93p-9, 0x1.d4c9b25a1910fp-9, 0x1.cad01776d3d23p-9, 0x1.c1080d5eefefep-9, 0x1.b770cc3d245cp-9, 0x1.ae09558d7810cp-9, 0x1.a4d0e7e5476c8p-9, 0x1.9bc6b1af46c89p-9, 0x1.92e9e47151d1bp-9, 0x1.8a39b4c37a036p-9, 0x1.81b55a4719a49p-9, 0x1.795c0f9e0018fp-9, 0x1.712d126195c13p-9, 0x1.6927a31a1ed1p-9, 0x1.614b0535fd053p-9, 0x1.59967f0107de3p-9, 0x1.5209599be95bep-9, 0x1.4aa2e0f389ebfp-9, 0x1.436263b8909cbp-9, 0x1.3c473356e07f7p-9, 0x1.3550a3ed35913p-9, 0x1.2e7e0c44c2333p-9, 0x1.27cec5c8e1784p-9, 0x1.21422c7ed6643p-9, 0x1.1ad79efd930d6p-9, 0x1.148e7e659ac36p-9, 0x1.0e662e58e5e66p-9, 0x1.085e14f2da024p-9, 0x1.02759ac051ad4p-9, 0x1.f958556f6853ap-10, 0x1.ee02646229d4p-10, 0x1.e2e841bcd9efep-10, 0x1.d808d187b2dfcp-10, 0x1.cd62fc5fdebc3p-10, 0x1.c2f5af683c802p-10, 0x1.b8bfdc3a45b1cp-10, 0x1.aec078d7072f5p-10, 0x1.a4f67f984ca66p-10, 0x1.9b60ef21de0e8p-10, 0x1.91feca52deeb4p-10, 0x1.88cf18375195p-10, 0x1.7fd0e3f9b6a84p-10, 0x1.77033cd4d19bbp-10, 0x1.6e65360584fbfp-10, 0x1.65f5e6bcd60ebp-10, 0x1.5db46a120dbc4p-10, 0x1.559fdef4fc5fep-10, 0x1.4db768205ade9p-10, 0x1.45fa2c0c4c641p-10, 0x1.3e6754e108a88p-10, 0x1.36fe106997192p-10, 0x1.2fbd9006b5ea9p-10, 0x1.28a508a1e411bp-10, 0x1.21b3b2a07f80dp-10, 0x1.1ae8c9d712aecp-10, 0x1.14438d7cb4215p-10, 0x1.0dc3401e93011p-10, 0x1.076727939b523p-10, 0x1.012e8cf044657p-10, 0x1.f63178f4d9259p-11, 0x1.ea4a0b3ada7e9p-11, 0x1.dea575bc78583p-11, 0x1.d342639f7483ep-11, 0x1.c81f860e302f6p-11, 0x1.bd3b9420c1ba7p-11, 0x1.b2954ac643f8ep-11, 0x1.a82b6cae6567ep-11, 0x1.9dfcc233437fap-11, 0x1.940819436a7fcp-11, 0x1.8a4c454c29p-11, 0x1.80c81f2424214p-11, 0x1.777a84f61b425p-11, 0x1.6e625a2bf46f9p-11, 0x1.657e875a03993p-11, 0x1.5ccdfa2a8de82p-11, 0x1.544fa549914e2p-11, 0x1.4c028050bf33bp-11, 0x1.43e587b3b5f89p-11, 0x1.3bf7bcac83ddcp-11, 0x1.343825285203cp-11, 0x1.2ca5cbb45f935p-11, 0x1.253fbf6b22472p-11, 0x1.1e0513e1b2651p-11, 0x1.16f4e11578eb8p-11, 0x1.100e4359fa1dcp-11, 0x1.09505b46f2ee9p-11, 0x1.02ba4da6b1699p-11, 0x1.f89686c92ee54p-12, 0x1.ec04d2f7c30b9p-12, 0x1.dfbde1cd3adc5p-12, 0x1.d3c01d19e1672p-12, 0x1.c809f668d6618p-12, 0x1.bc99e6df7ad66p-12, 0x1.b16e6f1d19bb2p-12, 0x1.a686171b106bap-12, 0x1.9bdf6e0d633c4p-12, 0x1.91790a43b43a3p-12, 0x1.8751890aaf02fp-12, 0x1.7d678e8dda644p-12, 0x1.73b9c5b9d0376p-12, 0x1.6a46e01ee4061p-12, 0x1.610d95d4442f2p-12, 0x1.580ca55b48fabp-12, 0x1.4f42d3835e9b1p-12, 0x1.46aeeb4e49b35p-12, 0x1.3e4fbdd4c7bd4p-12, 0x1.3624222b90b6fp-12, 0x1.2e2af548c2a54p-12, 0x1.266319e9ad045p-12, 0x1.1ecb7878f970fp-12, 0x1.1762fef53a8d9p-12, 0x1.1028a0d7d4f99p-12, 0x1.091b56fc45f59p-12, 0x1.023a1f87c89abp-12, 0x1.f707fba2b5fe8p-13, 0x1.e9eff494300d4p-13, 0x1.dd2a44cbdcd42p-13, 0x1.d0b5110969103p-13, 0x1.c48e87b713544p-13, 0x1.b8b4e0bd4fc1bp-13, 0x1.ad265d56ca554p-13, 0x1.a1e147e54dfbap-13, 0x1.96e3f3c77e6b7p-13, 0x1.8c2cbd2eafb7dp-13, 0x1.81ba08f5d268fp-13, 0x1.778a44790b9dcp-13, 0x1.6d9be56dabc13p-13, 0x1.63ed69baea81ap-13, 0x1.5a7d57533be72p-13, 0x1.514a3c0e45be2p-13, 0x1.4852ad8356b61p-13, 0x1.3f9548e4cc30ep-13, 0x1.3710b2db6e2a3p-13, 0x1.2ec39762fc766p-13, 0x1.26aca9a70a5eap-13, 0x1.1ecaa3e05a23ep-13, 0x1.171c4732fb102p-13, 0x1.0fa05b8cd39d6p-13, 0x1.0855af84b4864p-13, 0x1.013b183a040e7p-13, 0x1.f49ee269d5ffep-14, 0x1.e723388e13542p-14, 0x1.da0102d95b5cfp-14, 0x1.cd361d5d1fa01p-14, 0x1.c0c070081a4fdp-14, 0x1.b49dee6bc2505p-14, 0x1.a8cc9782bf0acp-14, 0x1.9d4a757850b5p-14, 0x1.92159d70a3b02p-14, 0x1.872c2f52218adp-14, 0x1.7c8c558fa6709p-14, 0x1.723444f3a295dp-14, 0x1.68223c6c220b6p-14, 0x1.5e5484d7b702bp-14, 0x1.54c970d34a7a1p-14, 0x1.4b7f5c889ce88p-14, 0x1.4274ad7e2df08p-14, 0x1.39a7d266ebdfp-14, 0x1.311742f3f4109p-14, 0x1.28c17fa642965p-14, 0x1.20a511a1b6818p-14, 0x1.18c08a8036405p-14, 0x1.1112842660793p-14, 0x1.0999a0987ea77p-14, 0x1.025489d07a95bp-14, 0x1.f683e328d034p-15, 0x1.e8c1229bbdc72p-15, 0x1.db5e53c4124afp-15, 0x1.ce590714cfae5p-15, 0x1.c1aedb5cc33d4p-15, 0x1.b55d7d79e6784p-15, 0x1.a962a810fb4eap-15, 0x1.9dbc23428ba74p-15, 0x1.9267c4644a204p-15, 0x1.87636dba77da6p-15, 0x1.7cad0e32cf045p-15, 0x1.7242a120ad557p-15, 0x1.68222dfa768b9p-15, 0x1.5e49c81830b73p-15, 0x1.54b78e736a8f2p-15, 0x1.4b69ab683561cp-15, 0x1.425e547739da8p-15, 0x1.3993ca0938ab2p-15, 0x1.3108573360dbbp-15, 0x1.28ba517d0a6d4p-15, 0x1.20a818a5df993p-15, 0x1.18d0166e3ccb1p-15, 0x1.1130be6008f1bp-15, 0x1.09c88d97de274p-15, 0x1.02960a90794c5p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.2b20356dba929p-2, -0x1.2ae3bd3c956fap-2, -0x1.26495f0921fbdp-2, -0x1.1dbdad7c5a6cfp-2, -0x1.11ca659682afp-2, -0x1.0309044acf235p-2, -0x1.e430574be7906p-3, -0x1.bf2727213457ap-3, -0x1.981c66d65d98ap-3, -0x1.701c96e32def6p-3, -0x1.4815ee6e9d842p-3, -0x1.20d5f1a1cd917p-3, -0x1.f611cb546a13p-4, -0x1.ae754601da472p-4, -0x1.6bb0bfddd8124p-4, -0x1.2e66421fa281fp-4, -0x1.ee0a2a24e81e9p-5, -0x1.8b9f787284f2ep-5, -0x1.35c4100e344c4p-5, -0x1.d8dc1b0e8843cp-6, -0x1.5eba90b404f04p-6, -0x1.f8972ad6b9c73p-7, -0x1.60e43d60c9621p-7, -0x1.e77261623d6a4p-8, -0x1.5c5371eccf35fp-8, -0x1.1a311f98f2df7p-8, -0x1.1a998b4b75514p-8, -0x1.5707a0cd7f6a9p-8, -0x1.c901177e13966p-8, -0x1.35174987de0ddp-7, -0x1.9a372f559ad37p-7, -0x1.0878a230755b6p-6, -0x1.4b3ecc732904fp-6, -0x1.941f6d61160b7p-6, -0x1.e1e24a7f740dap-6, -0x1.19b313e1b5513p-5, -0x1.43d070e17456fp-5, -0x1.6ecf958d7ba99p-5, -0x1.9a42011fbea7dp-5, -0x1.c5c3f8607915dp-5, -0x1.f0fc10fa758d4p-5, -0x1.0dcd572dedc03p-4, -0x1.22acba7a13283p-4, -0x1.36fd5bcbe3594p-4, -0x1.4aa4710ae9bd1p-4, -0x1.5d8af1e2c4867p-4, -0x1.6f9d4e59c3fc4p-4, -0x1.80cb27dae6fdfp-4, -0x1.91070d6c1a1d5p-4, -0x1.a0463b4824b2cp-4, -0x1.ae805db76b57ep-4, -0x1.bbaf56f0c3562p-4, -0x1.c7cf07fad6807p-4, -0x1.d2dd1cc6d98e7p-4, -0x1.dcd8dbdc9bdbdp-4, -0x1.e5c2f9d578f1fp-4, -0x1.ed9d709c1fe09p-4, -0x1.f46b5a1abd6e3p-4, -0x1.fa30cdd351c12p-4, -0x1.fef2c0e1d6d38p-4, -0x1.015b740949464p-3, -0x1.02c1cdf9bb472p-3, -0x1.03afdf7d6372ap-3, -0x1.04295ceb5af2cp-3, -0x1.0431f73555295p-3, -0x1.03cdcaeeb3466p-3, -0x1.0300f978f7cd1p-3, -0x1.01cfb8ea50c34p-3, -0x1.003e4cc8dd6f3p-3, -0x1.fca1ffb5d903ap-4, -0x1.f8183ddbace82p-4, -0x1.f2e7e8d2d2614p-4, -0x1.ed198905d426ap-4, -0x1.e6b593cc9bf87p-4, -0x1.dfc4656a47721p-4, -0x1.d84e3b8b14b27p-4, -0x1.d05b302c67972p-4, -0x1.c7f334eabbb3ap-4, -0x1.bf1e0ebd2e4bfp-4, -0x1.b5e3522c49a8cp-4, -0x1.ac4a6011b40d2p-4, -0x1.a25a62ea36fe6p-4, -0x1.981a4cbd08f35p-4, -0x1.8d90d5943fde3p-4, -0x1.82c47a7be517ap-4, -0x1.77bb7cf8bad47p-4, -0x1.6c7be2e527b01p-4, -0x1.610b76a1bf55p-4, -0x1.556fc78766674p-4, -0x1.49ae2a8a8336p-4, -0x1.3dcbbb00fe45cp-4, -0x1.31cd5b7fbdee5p-4, -0x1.25b7b6c77d4b9p-4, -0x1.198f40bc4d232p-4, -0x1.0d58376622e95p-4, -0x1.0116a3fb3d913p-4, -0x1.e99cb7ed869ep-5, -0x1.d106047ce89e9p-5, -0x1.b87010b3d114dp-5, -0x1.9fe15f79a03dp-5, -0x1.8760164815d2ep-5, -0x1.6ef2000807a43p-5, -0x1.569c900aa2868p-5, -0x1.3e64e51760872p-5, -0x1.264fcc85cedaap-5, -0x1.0e61c55a4b12cp-5, -0x1.ed3e06bb0418cp-6, -0x1.be16e45094166p-6, -0x1.8f55703d8e3c9p-6, -0x1.610072b00d86dp-6, -0x1.331e34e189c55p-6, -0x1.05b486928d91ap-6, -0x1.b19186bc97a9bp-7, -0x1.58bfafd03865bp-7, -0x1.00fc8dca9f4a9p-7, -0x1.54a0b811aae1dp-8, -0x1.530a559485a66p-9, -0x1.67f5f7d83578ep-17, 0x1.4b8d592384bc3p-9, 0x1.49dfec1880dcep-8, 0x1.eb8e1df1738c1p-8, 0x1.45646323e92e5p-7, 0x1.93c441afa85a9p-7, 0x1.e0e37f36a2474p-7, 0x1.165fb7403ee0dp-6, 0x1.3baaecbde262bp-6, 0x1.60527d3d99c3fp-6, 0x1.8455bada5e294p-6, 0x1.a7b4298073bf6p-6, 0x1.ca6d7becbf47bp-6, 0x1.ec8190cb7261ap-6, 0x1.06f837faf6659p-5, 0x1.175d23e7f0af6p-5, 0x1.276fb561b967fp-5, 0x1.3730266e00e36p-5, 0x1.469ec0bfaca98p-5, 0x1.55bbdca21d227p-5, 0x1.6487dff2d7c53p-5, 0x1.73033d28dd6a2p-5, 0x1.812e72692e185p-5, 0x1.8f0a08a7b9229p-5, 0x1.9c9692d412d07p-5, 0x1.a9d4ad114ec5bp-5, 0x1.b6c4fbf84347fp-5, 0x1.c3682be3b3326p-5, 0x1.cfbef045d0cd6p-5, 0x1.dbca030690ab9p-5, 0x1.e789cdf0c18a6p-5, 0x1.f2ffb5cc78b64p-5, 0x1.fe2c3ac46e931p-5, 0x1.048815a98905bp-4, 0x1.09d62cda5a655p-4, 0x1.0f00cdb6c725ep-4, 0x1.1408646b55375p-4, 0x1.18ed5e58ee1ccp-4, 0x1.1db029e240debp-4, 0x1.2251363c928b4p-4, 0x1.26d0f343dd6d4p-4, 0x1.2b2fd1522e422p-4, 0x1.2f6e411a0fc3cp-4, 0x1.338cb383e9406p-4, 0x1.378b998e21fc8p-4, 0x1.3b6b642fcc53dp-4, 0x1.3f2c843db2981p-4, 0x1.42cf6a5188d12p-4, 0x1.465486b30ffep-4, 0x1.49bc4942ff64bp-4, 0x1.4d07216782acfp-4, 0x1.50357dfa2315cp-4, 0x1.5347cd3704b9dp-4, 0x1.563e7cad450a4p-4, 0x1.5919f93081e4cp-4, 0x1.5bdaaecb52e83p-4, 0x1.5e8108b2d1873p-4, 0x1.610d713af7e85p-4, 0x1.638051cbfc0b4p-4, 0x1.65da12d881613p-4, 0x1.681b1bd4b86bp-4, 0x1.6a43d32e4fddp-4, 0x1.6c549e454d466p-4, 0x1.6e4de165b84c4p-4, 0x1.702fffc225d85p-4, 0x1.71fb5b6f0ea44p-4, 0x1.73b0555ef47bp-4, 0x1.754f4d5f4abfbp-4, 0x1.76d8a2161a7d6p-4, 0x1.784cb1005a13cp-4, 0x1.79abd670e9bb8p-4, 0x1.7af66d9028361p-4, 0x1.7c2cd05c15a2cp-4, 0x1.7d4f57a8f22d6p-4, 0x1.7e5e5b22529adp-4, 0x1.7f5a314c953d3p-4, 0x1.80432f86ac3acp-4, 0x1.8119aa0c3cfap-4, 0x1.81ddf3f7f6cb5p-4, 0x1.82905f461f945p-4, 0x1.83313cd75eef4p-4, 0x1.83c0dc73986b9p-4, 0x1.843f8ccd046eep-4, 0x1.84ad9b8348bc7p-4, 0x1.850b5526c0219p-4, 0x1.8559053bd68bp-4, 0x1.8596f63e64659p-4, 0x1.85c571a538caap-4, 0x1.85e4bfe5a2714p-4, 0x1.85f5287707394p-4, 0x1.85f6f1d69647p-4, 0x1.85ea618af5b8ep-4, 0x1.85cfbc2808a42p-4, 0x1.85a74552b3a91p-4, 0x1.85713fc4b2c52p-4, 0x1.852ded5067ee3p-4, 0x1.84dd8ee4b32dep-4, 0x1.84806490c7bf8p-4, 0x1.8416ad8801b4bp-4, 0x1.83a0a825b2ce9p-4, 0x1.831e91f0ecb36p-4, 0x1.8290a7a03b7bbp-4, 0x1.81f7251d5ed74p-4, 0x1.81524588eeca3p-4, 0x1.80a2433df0675p-4, 0x1.7fe757d5686e8p-4, 0x1.7f21bc29cf4e4p-4, 0x1.7e51a85a75239p-4, 0x1.7d7753cee234ep-4, 0x1.7c92f53a1686cp-4, 0x1.7ba4c29db4827p-4, 0x1.7aacf14d2bc83p-4, 0x1.79abb5f0bf3ep-4, 0x1.78a1448875a75p-4, 0x1.778dd06f0e763p-4, 0x1.76718c5cc33d7p-4, 0x1.754caa6a0fa56p-4, 0x1.741f5c1257999p-4, 0x1.72e9d236809efp-4, 0x1.71ac3d1f6fe56p-4, 0x1.7066cc807f066p-4, 0x1.6f19af79d4f8p-4, 0x1.6dc5149aaefd9p-4, 0x1.6c6929e396986p-4, 0x1.6b061cc88012fp-4, 0x1.699c1a32df5ebp-4, 0x1.682b4e839c66ap-4, 0x1.66b3e59504eb1p-4, 0x1.65360abc9f944p-4, 0x1.63b1e8ccf3687p-4, 0x1.6227aa173d7dcp-4, 0x1.6097786d118efp-4, 0x1.5f017d21f468ep-4, 0x1.5d65e10cdc20dp-4, 0x1.5bc4cc89a9149p-4, 0x1.5a1e677a842d6p-4, 0x1.5872d94943d1ep-4, 0x1.56c248e8ae02cp-4, 0x1.550cdcd5bbb34p-4, 0x1.5352bb18c0287p-4, 0x1.519409469bf4fp-4, 0x1.4fd0ec81cd1ffp-4, 0x1.4e09897b81c2p-4, 0x1.4c3e047492e29p-4, 0x1.4a6e813e8a109p-4, 0x1.489b233c896cap-4, 0x1.46c40d642b6f4p-4, 0x1.44e9623e6af2fp-4, 0x1.430b43e86ffa5p-4, 0x1.4129d41454b84p-4, 0x1.3f453409f553ap-4, 0x1.3d5d84a79d5cap-4, 0x1.3b72e662c3821p-4, 0x1.39857948b409ap-4, 0x1.37955cff346b1p-4, 0x1.35a2b0c5241bp-4, 0x1.33ad9373161fbp-4, 0x1.31b6237be2e7ap-4, 0x1.2fbc7eed388b1p-4, 0x1.2dc0c37024b85p-4, 0x1.2bc30e49970f8p-4, 0x1.29c37c5ae48c1p-4, 0x1.27c22a2242aa9p-4, 0x1.25bf33bb3e547p-4, 0x1.23bab4df37b9bp-4, 0x1.21b4c8e5d17f9p-4, 0x1.1fad8ac561848p-4, 0x1.1da515135f87fp-4, 0x1.1b9b8204d296ap-4, 0x1.1990eb6eb5513p-4, 0x1.17856ac668456p-4, 0x1.1579192213913p-4, 0x1.136c0f390f354p-4, 0x1.115e65644b0dp-4, 0x1.0f50339eacecfp-4, 0x1.0d419185810c9p-4, 0x1.0b329658d87fp-4, 0x1.092358fbefefbp-4, 0x1.0713eff597c7dp-4, 0x1.05047170921f9p-4, 0x1.02f4f33c05cbap-4, 0x1.00e58acbde98p-4, 0x1.fdac9a72723d9p-5, 0x1.f98e9e858a995p-5, 0x1.f5714a9a7a3fdp-5, 0x1.f154c6c791de4p-5, 0x1.ed393a70d6da9p-5, 0x1.e91ecc48f077dp-5, 0x1.e505a251ff847p-5, 0x1.e0ede1de7ba99p-5, 0x1.dcd7af92295b1p-5, 0x1.d8c32f62f9f7fp-5, 0x1.d4b0849a0051cp-5, 0x1.d09fd1d45d1d9p-5, 0x1.cc91390436a61p-5, 0x1.c884db71b4038p-5, 0x1.c47ad9bbf4cdfp-5, 0x1.c073d776dd8a6p-5, 0x1.bc6eefb5bd3ebp-5, 0x1.b86cc1aab8fb1p-5, 0x1.b46d6b56dba3cp-5, 0x1.b0710a1725747p-5, 0x1.ac77baa5a8fe3p-5, 0x1.a881991a9c89ap-5, 0x1.a48ec0ed72826p-5, 0x1.a09f4cf5fbbc4p-5, 0x1.9cb3576d88aa7p-5, 0x1.98caf9f002d97p-5, 0x1.94e64d7d293d4p-5, 0x1.91056a79af4c8p-5, 0x1.8d2868b07245bp-5, 0x1.894f5f53aa959p-5, 0x1.857a64fe27179p-5, 0x1.81a98fb48b813p-5, 0x1.7ddcf4e6816e5p-5, 0x1.7a14a9701298p-5, 0x1.7650c19ae1446p-5, 0x1.7291511f773b6p-5, 0x1.6ed66b2695151p-5, 0x1.6b20224a88ec1p-5, 0x1.676e889875945p-5, 0x1.63c1af91c3567p-5, 0x1.6019a82d6f3e9p-5, 0x1.5c7682d96e791p-5, 0x1.58d84f7c158dcp-5, 0x1.553f1d75815ep-5, 0x1.51aafba0f6489p-5, 0x1.4e1bf8566330bp-5, 0x1.4a92216bc58fp-5, 0x1.470d8436a1eabp-5, 0x1.438e2d8d7dba8p-5, 0x1.401429c94e5e1p-5, 0x1.3c9f84c70a922p-5, 0x1.393049e91b2bap-5, 0x1.35c68418e3667p-5, 0x1.32623dc84825p-5, 0x1.2f0380f3291dbp-5, 0x1.2baa572101704p-5, 0x1.2856c96664b15p-5, 0x1.2508e0668de88p-5, 0x1.21c0a454ee338p-5, 0x1.1e7e1cf6c6528p-5, 0x1.1b4151a4ade78p-5, 0x1.180a494c3249fp-5, 0x1.14d90a7162592p-5, 0x1.11ad9b306fc5cp-5, 0x1.0e88013f38149p-5, 0x1.0b6841eeeeb33p-5, 0x1.084e622da8cb8p-5, 0x1.053a6687fe328p-5, 0x1.022c532a9fc9dp-5, 0x1.fe4857c7e64f9p-6, 0x1.f843e84b5c7f7p-6, 0x1.f24b5e0ce6145p-6, 0x1.ec5ebe86be6d1p-6, 0x1.e67e0e836d353p-6, 0x1.e0a95220e027p-6, 0x1.dae08cd3a52ccp-6, 0x1.d523c16a139e4p-6, 0x1.cf72f20f7c87cp-6, 0x1.c9ce204f527f7p-6, 0x1.c4354d1855b36p-6, 0x1.bea878bfa04d6p-6, 0x1.b927a303e4cccp-6, 0x1.b3b2cb10784dbp-6, 0x1.ae49ef80675e8p-6, 0x1.a8ed0e618ad55p-6, 0x1.a39c2537937f4p-6, 0x1.9e5730ff0f7afp-6, 0x1.991e2e306ede6p-6, 0x1.93f118c2e6966p-6, 0x1.8ecfec2f85effp-6, 0x1.89baa3740d811p-6, 0x1.84b13915cdcfp-6, 0x1.7fb3a72493536p-6, 0x1.7ac1e73d6e9ddp-6, 0x1.75dbf28d7d2ap-6, 0x1.7101c1d4bc0f5p-6, 0x1.6c334d68a3cd9p-6, 0x1.67708d36f8e06p-6, 0x1.62b978c85c49dp-6, 0x1.5e0e0742ef1c2p-6, 0x1.596e2f6ce2505p-6, 0x1.54d9e7aef93d7p-6, 0x1.5051261710fd2p-6, 0x1.4bd3e05a8fe33p-6, 0x1.47620bd8bfd8cp-6, 0x1.42fb9d9d3a4f2p-6, 0x1.3ea08a62353c7p-6, 0x1.3a50c692c6f24p-6, 0x1.360c464d1f65ep-6, 0x1.31d2fd64bc8cp-6, 0x1.2da4df6486c76p-6, 0x1.2981df90f460ap-6, 0x1.2569f0ea0e07dp-6, 0x1.215d062d79acp-6, 0x1.1d5b11d8643ebp-6, 0x1.196406297e78ap-6, 0x1.1577d522d7226p-6, 0x1.1196708bafbc5p-6, 0x1.0dbfc9f24e563p-6, 0x1.09f3d2adbafep-6, 0x1.06327bdf7d2f1p-6, 0x1.027bb67544d97p-6, 0x1.fd9ee6552838ep-7, 0x1.f65b4514b5dedp-7, 0x1.ef2c69e0ff935p-7, 0x1.e8123516f3c53p-7, 0x1.e10c86bb98f6cp-7, 0x1.da1b3e7ef63ddp-7, 0x1.d33e3bbf09d75p-7, 0x1.cc755d8a95817p-7, 0x1.c5c082a3e69dcp-7, 0x1.bf1f898395e0fp-7, 0x1.b892505b4702ep-7, 0x1.b218b5181f3f9p-7, 0x1.abb29565a3fd9p-7, 0x1.a55fceaffbd3fp-7, 0x1.9f203e26c4bfp-7, 0x1.98f3c0bf5f003p-7, 0x1.92da33377cf48p-7, 0x1.8cd3721788b1ep-7, 0x1.86df59b51a884p-7, 0x1.80fdc63560077p-7, 0x1.7b2e938f69afap-7, 0x1.75719d8ea9e48p-7, 0x1.6fc6bfd53fccdp-7, 0x1.6a2dd5de55e6fp-7, 0x1.64a6bb00603e1p-7, 0x1.5f314a6f9f96p-7, 0x1.59cd5f4058973p-7, 0x1.547ad4692e29cp-7, 0x1.4f3984c574c79p-7, 0x1.4a094b178cd77p-7, 0x1.44ea020b2f617p-7, 0x1.3fdb8437caaadp-7, 0x1.3addac22d51b9p-7, 0x1.35f054422b668p-7, 0x1.311356fe4ebecp-7, 0x1.2c468eb4e5c3p-7, 0x1.2789d5bafb42dp-7, 0x1.22dd065f5fa3cp-7, 0x1.1e3ffaed03a83p-7, 0x1.19b28dad540f7p-7, 0x1.153498ea945c7p-7, 0x1.10c5f6f2390d7p-7, 0x1.0c668217423f4p-7, 0x1.081614b493a3dp-7, 0x1.03d4892f4c9d1p-7, 0x1.ff4373f22f3c1p-8, 0x1.f6fb0324f1f76p-8, 0x1.eecf751a5488ap-8, 0x1.e6c07f1cc0f59p-8, 0x1.decdd6a1e7469p-8, 0x1.d6f7314f8b4a4p-8, 0x1.cf3c44ffbedb5p-8, 0x1.c79cc7c55e02fp-8, 0x1.c0186ff04625fp-8, 0x1.b8aef411a4465p-8, 0x1.b1600b001c6c9p-8, 0x1.aa2b6bdbdec5dp-8, 0x1.a310ce12a6cd1p-8, 0x1.9c0fe963a2cfcp-8, 0x1.952875e346e5dp-8, 0x1.8e5a2bfee125bp-8, 0x1.87a4c4805fa96p-8, 0x1.8107f891a5b55p-8, 0x1.7a8381bfec217p-8, 0x1.741719fefa117p-8, 0x1.6dc27bac305cap-8, 0x1.67856191a037bp-8, 0x1.615f86e8aa3dbp-8, 0x1.5b50a75cc571fp-8, 0x1.55587f0df7b93p-8, 0x1.4f76ca9359956p-8, 0x1.49ab46fd193f1p-8, 0x1.43f5b1d6ad508p-8, 0x1.3e55c928d676dp-8, 0x1.38cb4b7b1c47ep-8, 0x1.3355f7d5c248ep-8, 0x1.2df58dc30cc0cp-8, 0x1.28a9cd5098667p-8, 0x1.2372771087469p-8, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.d931ffb25e30ap-2, -0x1.d0e8a1fbd5beap-2, -0x1.c9435d60a857bp-2, -0x1.c1fe66970b239p-2, -0x1.bae66ec78ba3cp-2, -0x1.b3d63a8e2a4e3p-2, -0x1.acb451637077fp-2, -0x1.a570d8ca9a4dcp-2, -0x1.9e03a5bd7b66cp-2, -0x1.966a8974206bap-2, -0x1.8ea7da501d697p-2, -0x1.86c136487db05p-2, -0x1.7ebe7b692f7fcp-2, -0x1.76a8f0bc9d38fp-2, -0x1.6e8a99ecbc1e4p-2, -0x1.666db0a6adbecp-2, -0x1.5e5c3ddbf999p-2, -0x1.565fcd8538be5p-2, -0x1.4e8138de73b2dp-2, -0x1.46c882f69702p-2, -0x1.3f3cc37e7b6dcp-2, -0x1.37e41d172b0adp-2, -0x1.30c3bc8a05e66p-2, -0x1.29dfdfa4a8b8ep-2, -0x1.233bdfb0588c6p-2, -0x1.1cda3fe69b25dp-2, -0x1.16bcbe1a40cfdp-2, -0x1.10e464a9bf6bp-2, -0x1.0b519cec3aa07p-2, -0x1.06044184e55a3p-2, -0x1.00fbb037266cap-2, -0x1.f86db5d55740cp-3, -0x1.ef68af4b31388p-3, -0x1.e6e4dec293a04p-3, -0x1.dede575d5860ep-3, -0x1.d750c63bb199bp-3, -0x1.d03788c43ac99p-3, -0x1.c98dc07f2cf8p-3, -0x1.c34e64b93103bp-3, -0x1.bd745212c991fp-3, -0x1.b7fa580a88ebap-3, -0x1.b2db44981c992p-3, -0x1.ae11ee0c7ec9dp-3, -0x1.a9993b79daadfp-3, -0x1.a56c2bd50a553p-3, -0x1.a185dbe5a48ecp-3, -0x1.9de18b1053262p-3, -0x1.9a7a9f1587792p-3, -0x1.974ca6f26c319p-3, -0x1.94535d12fc8dep-3, -0x1.918aa8f417b9p-3, -0x1.8eeea03f2c742p-3, -0x1.8c7b87605575fp-3, -0x1.8a2dd19f08877p-3, -0x1.880220cf863fdp-3, -0x1.85f544bb3b7f5p-3, -0x1.84043a5b51532p-3, -0x1.822c2af262068p-3, -0x1.806a6b0641c04p-3, -0x1.7ebc793404388p-3, -0x1.7d1ffcdb75487p-3, -0x1.7b92c4a78494bp-3, -0x1.7a12c500d6e78p-3, -0x1.789e16bfe5ac7p-3, -0x1.7732f41493eccp-3, -0x1.75cfba0758c0ap-3, -0x1.7472e4a93fa5ep-3, -0x1.731b0e2563c86p-3, -0x1.71c6ed3ff7b37p-3, -0x1.707553dcdecb2p-3, -0x1.6f252d8e8ea14p-3, -0x1.6dd57e2eaedcbp-3, -0x1.6c85608128807p-3, -0x1.6b3404e24e55dp-3, -0x1.69e0b000c134ap-3, -0x1.688ab9a37631ap-3, -0x1.67318b7c378a6p-3, -0x1.65d4a0067c3f4p-3, -0x1.64738172b6044p-3, -0x1.630dc89d96e06p-3, -0x1.61a31c13422a3p-3, -0x1.60332f1e34fbfp-3, -0x1.5ebdc0e1e7e1ep-3, -0x1.5d429b80f880dp-3, -0x1.5bc1934eac95dp-3, -0x1.5a3a860b6aea1p-3, -0x1.58ad5a2bb1b9ap-3, -0x1.5719fe292808p-3, -0x1.558067dd3d268p-3, -0x1.53e093e5582e7p-3, -0x1.523a850ff2119p-3, -0x1.508e43d2b9ea9p-3, -0x1.4edbddc929ap-3, -0x1.4d23653b447aep-3, -0x1.4b64f0abf759bp-3, -0x1.49a09a6e90673p-3, -0x1.47d68042d4107p-3, -0x1.4606c2f761d2bp-3, -0x1.4431861210eacp-3, -0x1.4256ef7e27dfp-3, -0x1.407727403cc0fp-3, -0x1.3e92572f879cfp-3, -0x1.3ca8aab49c8a4p-3, -0x1.3aba4e8ce71bep-3, -0x1.38c77092d2167p-3, -0x1.36d03f8a185acp-3, -0x1.34d4eaefe54d4p-3, -0x1.32d5a2ce99a01p-3, -0x1.30d29794ce77p-3, -0x1.2ecbf9efa3361p-3, -0x1.2cc1faa813206p-3, -0x1.2ab4ca834d817p-3, -0x1.28a49a25f2771p-3, -0x1.269199fa03fcap-3, -0x1.247bfa175209fp-3, -0x1.2263ea2e58fa8p-3, -0x1.2049997517f89p-3, -0x1.1e2d3695e2f18p-3, -0x1.1c0eef9fce6f5p-3, -0x1.19eef1f8bf05fp-3, -0x1.17cd6a50e4071p-3, -0x1.15aa8497904c1p-3, -0x1.13866bf167687p-3, -0x1.11614aafe1071p-3, -0x1.0f3b4a49f9fccp-3, -0x1.0d14935629ed6p-3, -0x1.0aed4d85699fbp-3, -0x1.08c59f9f4adf5p-3, -0x1.069daf7ef6d48p-3, -0x1.0475a210f78c5p-3, -0x1.024d9b51c222bp-3, -0x1.0025be4cd8387p-3, -0x1.fbfc5a38bcca7p-4, -0x1.f7ae11d26d368p-4, -0x1.f360e3d708305p-4, -0x1.ef150ed70cd57p-4, -0x1.eacacf85ba4a9p-4, -0x1.e68260bc4c52cp-4, -0x1.e23bfb7de7d32p-4, -0x1.ddf7d6fc4393p-4, -0x1.d9b6289cf1126p-4, -0x1.d57723ff4e43cp-4, -0x1.d13afb02f973bp-4, -0x1.cd01ddced1edep-4, -0x1.c8cbfad83634ap-4, -0x1.c4997eead43bcp-4, -0x1.c06a9530680cbp-4, -0x1.bc3f671005e4dp-4, -0x1.b8181cccfd1a2p-4, -0x1.b3f4dcc749e38p-4, -0x1.afd5cbf1db41cp-4, -0x1.abbb0dc5a5e8cp-4, -0x1.a7a4c44a1653cp-4, -0x1.a393101d6bfafp-4, -0x1.9f86107d478dep-4, -0x1.9b7de34efb9adp-4, -0x1.977aa5281fe32p-4, -0x1.937c7156dfb92p-4, -0x1.8f8361ea6e8b2p-4, -0x1.8b8f8fbb336c6p-4, -0x1.87a1127319088p-4, -0x1.83b8009595a31p-4, -0x1.7fd46f87bf68p-4, -0x1.7bf673982e114p-4, -0x1.781e2006c4cccp-4, -0x1.744b870c65f8p-4, -0x1.707eb9e27d2ap-4, -0x1.6cb7c8ca6e257p-4, -0x1.68f6c314e3c6ap-4, -0x1.653bb728f67b1p-4, -0x1.6186b28b3a17ep-4, -0x1.5dd7c1e49b4f8p-4, -0x1.5a2ef1092756bp-4, -0x1.568c4afea0586p-4, -0x1.52efda02fb377p-4, -0x1.4f59a792aa799p-4, -0x1.4bc9bc6ecdc02p-4, -0x1.484020a33383cp-4, -0x1.44bcdb8c4f06cp-4, -0x1.413ff3dcd921dp-4, -0x1.3dc96fa388d0ap-4, -0x1.3a5954506f35cp-4, -0x1.36efa6ba6048dp-4, -0x1.338c6b24187e2p-4, -0x1.302fa54148922p-4, -0x1.2cd9583b88869p-4, -0x1.298986b71ba71p-4, -0x1.264032d79786ep-4, -0x1.22fd5e446bae3p-4, -0x1.1fc10a2d4374bp-4, -0x1.1c8b374e4c977p-4, -0x1.195be5f45748p-4, -0x1.16331600da6ffp-4, -0x1.1310c6eddd097p-4, -0x1.0ff4f7d1b5f42p-4, -0x1.0cdfa762b89c3p-4, -0x1.09d0d3fac5221p-4, -0x1.06c87b9ab2dc8p-4, -0x1.03c69bedab5f5p-4, -0x1.00cb324c5f283p-4, -0x1.fbac778053decp-5, -0x1.f5cf6a0c51ca8p-5, -0x1.efff35241b79p-5, -0x1.ea3bd1222ad43p-5, -0x1.e48535d96bc78p-5, -0x1.dedb5a9aa0886p-5, -0x1.d93e3639770e4p-5, -0x1.d3adbf119f996p-5, -0x1.ce29eb0b8cab6p-5, -0x1.c8b2afa12168dp-5, -0x1.c34801e22cf57p-5, -0x1.bde9d678cd306p-5, -0x1.b89821ad9d02fp-5, -0x1.b352d76bc5218p-5, -0x1.ae19eb44ecc81p-5, -0x1.a8ed5074fe7bap-5, -0x1.a3ccf9e5d6a0fp-5, -0x1.9eb8da32ca515p-5, -0x1.99b0e3ac1e002p-5, -0x1.94b5085a44e2dp-5, -0x1.8fc53a0118f57p-5, -0x1.8ae16a22fd2f1p-5, -0x1.86098a03cdbf7p-5, -0x1.813d8aaba9991p-5, -0x1.7c7d5cea003d4p-5, -0x1.77c8f157ee33ap-5, -0x1.7320385b16c3bp-5, -0x1.6e8322280d16dp-5, -0x1.69f19ec4c0df7p-5, -0x1.656b9e0ac398p-5, -0x1.60f10fa9b3c18p-5, -0x1.5c81e32947067p-5, -0x1.581e07eb789b1p-5, -0x1.53c56d2e7e43ep-5, -0x1.4f78020ed3869p-5, -0x1.4b35b589128b1p-5, -0x1.46fe767bcb93cp-5, -0x1.42d233a948c1fp-5, -0x1.3eb0dbb943c79p-5, -0x1.3a9a5d3a8d85ap-5, -0x1.368ea6a4a68a1p-5, -0x1.328da6594a888p-5, -0x1.2e974aa5eb49ap-5, -0x1.2aab81c52d5d9p-5, -0x1.26ca39e03f81ap-5, -0x1.22f361103f0b8p-5, -0x1.1f26e55f840d4p-5, -0x1.1b64b4cae290ep-5, -0x1.17acbd42f5542p-5, -0x1.13feecad35259p-5, -0x1.105b30e5255e3p-5, -0x1.0cc177bd88cc7p-5, -0x1.0931af01552e3p-5, -0x1.05abc474d62a4p-5, -0x1.022fa5d6a6111p-5, -0x1.fd7a81c157162p-6, -0x1.f6a9069209f4cp-6, -0x1.efeab58604943p-6, -0x1.e93f69fffd71fp-6, -0x1.e2a6ff607fd5dp-6, -0x1.dc215107a7d8ep-6, -0x1.d5ae3a56af46bp-6, -0x1.cf4d96b17be6ap-6, -0x1.c8ff41804f8cap-6, -0x1.c2c3163119ddfp-6, -0x1.bc98f038ff917p-6, -0x1.b680ab15c2051p-6, -0x1.b07a224f0ee68p-6, -0x1.aa853177e87dp-6, -0x1.a4a1b42fdbfcep-6, -0x1.9ecf86244c42fp-6, -0x1.990e8311a8dc8p-6, -0x1.935e86c49b34bp-6, -0x1.8dbf6d1b2b50ap-6, -0x1.88311205f1e9ap-6, -0x1.82b351891f9bbp-6, -0x1.7d4607bd67edp-6, -0x1.77e910d159689p-6, -0x1.729c490a338a2p-6, -0x1.6d5f8cc4b7bcbp-6, -0x1.6832b876800cbp-6, -0x1.6315a8ae93a29p-6, -0x1.5e083a1672294p-6, -0x1.590a4972f00f5p-6, -0x1.541bb3a518693p-6, -0x1.4f3c55aad7f03p-6, -0x1.4a6c0ca01b691p-6, -0x1.45aab5bf4c319p-6, -0x1.40f82e6235a73p-6, -0x1.3c545402c055cp-6, -0x1.37bf043ba4b3bp-6, -0x1.33381cc935179p-6, -0x1.2ebf7b89e4d3bp-6, -0x1.2a54fe7f15b03p-6, -0x1.25f883cdb09ep-6, -0x1.21a9e9bec087p-6, -0x1.1d690ec025be3p-6, -0x1.1935d16510715p-6, -0x1.15101066a49dep-6, -0x1.10f7aaa48ff42p-6, -0x1.0cec7f25903eap-6, -0x1.08ee6d17f20bdp-6, -0x1.04fd53d2100c6p-6, -0x1.011912d2f9d96p-6, -0x1.fa8313858c918p-7, -0x1.f2ed30e64fd05p-7, -0x1.eb703dbf681e8p-7, -0x1.e40bfa5d45f5fp-7, -0x1.dcc02761eb9adp-7, -0x1.d58c85c5fe239p-7, -0x1.ce70d6d98d518p-7, -0x1.c76cdc44dfa2dp-7, -0x1.c080580908e91p-7, -0x1.b9ab0c80d98aap-7, -0x1.b2ece2ca5cc71p-7, -0x1.ac45510897441p-7, -0x1.a5b44117d10e3p-7, -0x1.9f3976bf6e04bp-7, -0x1.98d4b623d2967p-7, -0x1.9285c3c6acf0ep-7, -0x1.8c4c6487d7966p-7, -0x1.86285da57b252p-7, -0x1.801974bd141cbp-7, -0x1.7a1f6fcb87fa8p-7, -0x1.743a152ded127p-7, -0x1.6e692ba1a3e44p-7, -0x1.68ac7a44fa5cep-7, -0x1.6303c897912b3p-7, -0x1.5d6ede7a8e6a7p-7, -0x1.57ed84313caa9p-7, -0x1.527f82612b4f1p-7, -0x1.4d24a212b87b4p-7, -0x1.47dcacb10e414p-7, -0x1.42a76c0aa5855p-7, -0x1.3d84aa51732adp-7, -0x1.3874321b24989p-7, -0x1.3375ce6154ebdp-7, -0x1.2e894a81e45e2p-7, -0x1.29ae723ee7cdep-7, -0x1.24e511befe08p-7, -0x1.202cf58d65981p-7, -0x1.1b85ea9a2e9aep-7, -0x1.16efbe3a36853p-7, -0x1.126a3e276d623p-7, -0x1.0df53880b605p-7, -0x1.09907bca1e53dp-7, -0x1.053bd6eccdd4ep-7, -0x1.00f719371f935p-7, -0x1.f98424b9428e8p-8, -0x1.f13924ebf328ep-8, -0x1.e90cd40226c6p-8, -0x1.e0fed3c1cdb1p-8, -0x1.d90ec6baecc5ep-8, -0x1.d13c5047500a5p-8, -0x1.c987148aee51cp-8, -0x1.c1eeb87316fa6p-8, -0x1.ba72e1b6c7c6bp-8, -0x1.b31336d5d4b18p-8, -0x1.abcf5f1920c94p-8, -0x1.a4a70291986a8p-8, -0x1.9d99ca18d3616p-8, -0x1.96a75f500ffbep-8, -0x1.8fcf6c9fce456p-8, -0x1.89119d37f0ad5p-8, -0x1.826d9d0e7c45ap-8, -0x1.7be318dfa7f63p-8, -0x1.7571be2d378acp-8, -0x1.6f193b3e0a43dp-8, -0x1.68d93f1d3e297p-8, -0x1.62b1799a154ep-8, -0x1.5ca19b46ebcf7p-8, -0x1.56a9557929348p-8, -0x1.50c85a47df745p-8, -0x1.4afe5c8b9e358p-8, -0x1.454b0fdda08aep-8, -0x1.3fae2897183ecp-8, -0x1.3a275bd06c2afp-8, -0x1.34b65f60869cep-8, -0x1.2f5ae9dbe073p-8, -0x1.2a14b29425a28p-8, -0x1.24e37196caacfp-8, -0x1.1fc6dfac9b30ep-8, -0x1.1abeb658c5e04p-8, -0x1.15caafd7fc726p-8, -0x1.10ea871f826a7p-8, -0x1.0c1df7dc77d2bp-8, -0x1.0764be728da88p-8, -0x1.02be97fb8b231p-8, -0x1.fc56848bc923bp-9, -0x1.f354f7a823d32p-9, -0x1.ea7807b6a4374p-9, -0x1.e1bf3485c9dbp-9, -0x1.d929ff463bf08p-9, -0x1.d0b7ea8742e86p-9, -0x1.c8687a369da8ep-9, -0x1.c03b339d739e3p-9, -0x1.b82f9d5ddbf8bp-9, -0x1.b0453f719debbp-9, -0x1.a87ba32700663p-9, -0x1.a0d2531f72acfp-9, -0x1.9948db4c13743p-9, -0x1.91dec8ed12afcp-9, -0x1.8a93aa8e47dfdp-9, -0x1.8367100517e3p-9, -0x1.7c588a6ed220cp-9, -0x1.7567ac2d2b40bp-9, -0x1.6e9408e4c12d3p-9, -0x1.67dd357a859bbp-9, -0x1.6142c8115cf04p-9, -0x1.5ac45807cc54p-9, -0x1.54617df59147p-9, -0x1.4e19d3a8f1b37p-9, -0x1.47ecf4249e5fp-9, -0x1.41da7b9ddc4a4p-9, -0x1.3be20778c17bdp-9, -0x1.36033646b7e25p-9, -0x1.303da7c3d398ep-9, -0x1.2a90fcd462975p-9, -0x1.24fcd7827bd28p-9, -0x1.1f80dafb88bafp-9, -0x1.1a1cab8dd7be1p-9, -0x1.14cfeea626e53p-9, -0x1.0f9a4acce7864p-9, -0x1.0a7b67a4f610bp-9, -0x1.0572ede769a2p-9, -0x1.008087624bd29p-9, -0x1.f747bdebbd4dcp-10, -0x1.edb941245bep-10, -0x1.e454f2698186p-10, -0x1.db1a2dcb507cfp-10, -0x1.d208516bbf0b8p-10, -0x1.c91ebd78ee78ep-10, -0x1.c05cd427a60bfp-10, -0x1.b7c1f9afc1f03p-10, -0x1.af4d944789c1cp-10, -0x1.a6ff0c1d7526cp-10, -0x1.9ed5cb549ab4bp-10, -0x1.96d13dff80809p-10, -0x1.8ef0d21bff67cp-10, -0x1.8733f78db98dcp-10, -0x1.7f9a201a49146p-10, -0x1.7822bf6349632p-10, -0x1.70cd4ae389f4bp-10, -0x1.699939e93ba5dp-10, -0x1.6286059182ed7p-10, -0x1.5b9328c43b9e8p-10, -0x1.54c0202fc5ac6p-10, -0x1.4e0c6a433dbbep-10, -0x1.4777872b1fd31p-10, -0x1.4100f8cc852p-10, -0x1.3aa842c0af6f6p-10, -0x1.346cea50a586bp-10, -0x1.2e4e7670ce5dep-10, -0x1.284c6fbc9c1cap-10, -0x1.22666071c5601p-10, -0x1.1c9bd46da1b09p-10, -0x1.16ec592669401p-10, -0x1.11577da892802p-10, -0x1.0bdcd292308f6p-10, -0x1.067bea0ebc9cdp-10, -0x1.013457d2e5b5dp-10, -0x1.f80b6230c9f18p-11, -0x1.eddf1933b7d27p-11, -0x1.e3e3051d69dp-11, -0x1.da16594e154c9p-11, -0x1.d0784c0f9f51bp-11, -0x1.c708168aea266p-11, -0x1.bdc4f4c5c1357p-11, -0x1.b4ae25939834dp-11, -0x1.abc2ea93fb73dp-11, -0x1.a3028823e7018p-11, -0x1.9a6c455c880bdp-11, -0x1.91ff6c07bca4ep-11, -0x1.89bb4898f119fp-11, -0x1.819f2a259ef12p-11, -0x1.79aa625d6dc65p-11, -0x1.71dc458293a8cp-11, -0x1.6a342a6235ebcp-11, -0x1.62b16a4cd48cfp-11, -0x1.5b53610da475ap-11, -0x1.54196ce8243bfp-11, -0x1.4d02ee876aacp-11, -0x1.460f48ff16255p-11, -0x1.3f3de1c032621p-11, -0x1.388e20928fa0fp-11, -0x1.31ff6f8d7a9aap-11, -0x1.2b913b108c8ffp-11, -0x1.2542f1bbfff19p-11, -0x1.1f14046af6adcp-11, -0x1.1903e62a7c9ffp-11, -0x1.13120c336d7dap-11, -0x1.0d3dede4140f1p-11, -0x1.078704b7d37a2p-11, -0x1.01eccc412f304p-11, -0x1.f8dd84449617cp-12, -0x1.ee18cc0f0babep-12, -0x1.e38a733d4abb4p-12, -0x1.d931812280b4bp-12, -0x1.cf0d00fd6a789p-12, -0x1.c51c01e83f9b3p-12, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.07d7d3cfa35b3p+0, -0x1.eedc2b3e77a77p-1, -0x1.c7cb7cf9e905p-1, -0x1.9bc6ec0e78c22p-1, -0x1.6c0a6260d836bp-1, -0x1.39bcd1387ff4ep-1, -0x1.05eb1c9cd2886p-1, -0x1.a30a33a0255eep-2, -0x1.3ab87757d533ap-2, -0x1.a88e419cf2cf5p-3, -0x1.c385dfb85bfd6p-4, -0x1.17b49b2837225p-6, 0x1.24ab591dbca18p-4, 0x1.3cfd890cb388dp-3, 0x1.dc2f90636a313p-3, 0x1.37b18c496ff72p-2, 0x1.7b2739ba4df79p-2, 0x1.b86ec954da4f3p-2, 0x1.ef94aa32f4fa5p-2, 0x1.105be6518e33cp-1, 0x1.2603040bb7109p-1, 0x1.38dc6f3df3394p-1, 0x1.490929495fd6bp-1, 0x1.56ad7feaf555ap-1, 0x1.61efd244a0484p-1, 0x1.6af7b159e8568p-1, 0x1.71ed206507529p-1, 0x1.76f7f9cc0c45ep-1, 0x1.7a3f7263edd9ep-1, 0x1.7be9b615a5323p-1, 0x1.7c1b9afc88e23p-1, 0x1.7af868a2b18c5p-1, 0x1.78a1b05cc7b68p-1, 0x1.75373374f58c3p-1, 0x1.70d6d48236b31p-1, 0x1.6b9c92261b6e5p-1, 0x1.65a289990f736p-1, 0x1.5f00ff34bb908p-1, 0x1.57ce6b52a563dp-1, 0x1.501f8a6da0afbp-1, 0x1.48076fe6fded1p-1, 0x1.3f979ac48fe21p-1, 0x1.36e00b818768ep-1, 0x1.2def5a1ada671p-1, 0x1.24d2cbe657034p-1, 0x1.1b966927479c1p-1, 0x1.12451265bca95p-1, 0x1.08e89559b4defp-1, 0x1.ff138216d1ea8p-2, 0x1.ec60f1a9e9ca2p-2, 0x1.d9c78c5cd0546p-2, 0x1.c753d2d1143c9p-2, 0x1.b510d3158133dp-2, 0x1.a30846d98725dp-2, 0x1.9142aff968e74p-2, 0x1.7fc7731e79b5ap-2, 0x1.6e9cf0492c0ddp-2, 0x1.5dc8995a73545p-2, 0x1.4d4f06e7285e6p-2, 0x1.3d340baae0cbp-2, 0x1.2d7ac6d01429p-2, 0x1.1e25b5136bf92p-2, 0x1.0f36c0a66daabp-2, 0x1.00af62a5b09a1p-2, 0x1.e520d0e8278ecp-3, 0x1.c9b4c39e204cfp-3, 0x1.af1ae459e6b87p-3, 0x1.9552ce64a2eeep-3, 0x1.7c5b8440abc9fp-3, 0x1.643380fb2fed7p-3, 0x1.4cd8c7ff15157p-3, 0x1.3648f37a4b84p-3, 0x1.2081416eb29f6p-3, 0x1.0b7e9f8e6374ap-3, 0x1.ee7b6c0dd4127p-4, 0x1.c775e2bd4933ap-4, 0x1.a1e5170734d2fp-4, 0x1.7dc12848818b7p-4, 0x1.5b01f0c4df895p-4, 0x1.399f13d0b770bp-4, 0x1.19900ac206089p-4, 0x1.f5986148aacf4p-5, 0x1.ba95995a7b46bp-5, 0x1.820636ecc1c03p-5, 0x1.4bd8ae198c7fbp-5, 0x1.17fb7be00e896p-5, 0x1.ccba648b50f74p-6, 0x1.6dd905c27e417p-6, 0x1.13309028474cbp-6, 0x1.793e34a6ff406p-7, 0x1.a80cac5ad6554p-8, 0x1.b3bc6541de86p-10, -0x1.7ebc3c8025844p-9, -0x1.dd5a7ded964fcp-8, -0x1.76c18d238cd0fp-7, -0x1.f8293c8d5a96dp-7, -0x1.39901d8c8bdedp-6, -0x1.73f08b282ad39p-6, -0x1.ab52793102e5ep-6, -0x1.dfd1c1c2b8938p-6, -0x1.08c4c26d072c3p-5, -0x1.204a13a5488ep-5, -0x1.3685a9569784bp-5, -0x1.4b83fb0f41378p-5, -0x1.5f5123cfb6543p-5, -0x1.71f8e2f66e598p-5, -0x1.83869d557072ap-5, -0x1.94055e64b63a1p-5, -0x1.a37fd98a0a823p-5, -0x1.b2006b737d64dp-5, -0x1.bf911b848202ap-5, -0x1.cc3b9d56f18c8p-5, -0x1.d8095250e2243p-5, -0x1.e3034b4efe309p-5, -0x1.ed324a6180748p-5, -0x1.f69ec498aed5bp-5, -0x1.ff50e3dd0807dp-5, -0x1.03a84467a9858p-4, -0x1.0752a656b345ap-4, -0x1.0aab419cafdb9p-4, -0x1.0db59e50f677ep-4, -0x1.107523b589ce6p-4, -0x1.12ed192b8aa8fp-4, -0x1.1520a7278bb0bp-4, -0x1.1712d8255e486p-4, -0x1.18c6999aa318bp-4, -0x1.1a3ebce728e3ap-4, -0x1.1b7df841e64b5p-4, -0x1.1c86e7a158ea6p-4, -0x1.1d5c0d9e255e4p-4, -0x1.1dffd44f1a3eap-4, -0x1.1e748e1e13d3cp-4, -0x1.1ebc7695a0b49p-4, -0x1.1ed9b327acc92p-4, -0x1.1ece53edc04fbp-4, -0x1.1e9c546396deap-4, -0x1.1e459c1cd60edp-4, -0x1.1dcbff76a1a08p-4, -0x1.1d31404596258p-4, -0x1.1c770e80773eep-4, -0x1.1b9f08e798fep-4, -0x1.1aaabda8ce3abp-4, -0x1.199baaff71c8ep-4, -0x1.18733fd003192p-4, -0x1.1732dc3eca943p-4, -0x1.15dbd24101eedp-4, -0x1.146f662822dd8p-4, -0x1.12ee84adbcd84p-4, -0x1.115af9897e6e3p-4, -0x1.0fb58e0b705c9p-4, -0x1.0dff541905b0bp-4, -0x1.0c39525d4a475p-4, -0x1.0a6484bd3b6d3p-4, -0x1.0881dcc649dd5p-4, -0x1.069242172144p-4, -0x1.049692c2f060ep-4, -0x1.028fa3af79bd5p-4, -0x1.007e40ee49257p-4, -0x1.fcc65c22e1839p-5, -0x1.f87e4cf868c3ap-5, -0x1.f425bb6020c79p-5, -0x1.efbdff2cfe2fdp-5, -0x1.eb48618fb62efp-5, -0x1.e6c61d9f6bfcdp-5, -0x1.e23860ddd155dp-5, -0x1.dda04bb7352a7p-5, -0x1.d8fef1fed4976p-5, -0x1.d4555b67b3cf8p-5, -0x1.cfa483fa2335dp-5, -0x1.caed5c86034cfp-5, -0x1.c630cb11cedf7p-5, -0x1.c16fab46601edp-5, -0x1.bcaaced766dfap-5, -0x1.b7e2fde87e005p-5, -0x1.b318f76ed3509p-5, -0x1.ae4d718f54f46p-5, -0x1.a98119f960be6p-5, -0x1.a4b4963df5db1p-5, -0x1.9fe884236bf81p-5, -0x1.9b1d79f5c39afp-5, -0x1.965406d395fd9p-5, -0x1.918cb2f7c7f82p-5, -0x1.8cc800000e0d4p-5, -0x1.88066930652p-5, -0x1.834863b39caecp-5, -0x1.7e8e5ed912f0dp-5, -0x1.79d8c44fc4443p-5, -0x1.7527f85ed4f91p-5, -0x1.707c5a1bb092ep-5, -0x1.6bd6439deb87ep-5, -0x1.67360a31007aap-5, -0x1.629bfe8412179p-5, -0x1.5e086cd7cc542p-5, -0x1.597b9d2a867cdp-5, -0x1.54f5d362be581p-5, -0x1.50774f78071c9p-5, -0x1.4c004d9a8156dp-5, -0x1.47910658ef176p-5, -0x1.4329aec56f534p-5, -0x1.3eca7898f8085p-5, -0x1.3a7392558bfacp-5, -0x1.36252767401b6p-5, -0x1.31df604413655p-5, -0x1.2da2628a9f2f7p-5, -0x1.296e511fa6a11p-5, -0x1.25434c4a8b9e4p-5, -0x1.212171d0b1448p-5, -0x1.1d08dd0fcec79p-5, -0x1.18f9a7173c2e9p-5, -0x1.14f3e6c044341p-5, -0x1.10f7b0c57f815p-5, -0x1.0d0517d944e1dp-5, -0x1.091c2cbb38489p-5, -0x1.053cfe4d049d8p-5, -0x1.016799a6448c9p-5, -0x1.fb38144f5726cp-6, -0x1.f3b4b31ae2d3ep-6, -0x1.ec4520021e83ep-6, -0x1.e4e96854a13d6p-6, -0x1.dda1967f882c8p-6, -0x1.d66db22d1f013p-6, -0x1.cf4dc06362dd6p-6, -0x1.c841c3a15fd35p-6, -0x1.c149bbfb7e0ffp-6, -0x1.ba65a736c507p-6, -0x1.b39580e31554ap-6, -0x1.acd9427472aa6p-6, -0x1.a630e35b53382p-6, -0x1.9f9c591c08fadp-6, -0x1.991b97654f7dap-6, -0x1.92ae9025f651p-6, -0x1.8c5533a1c3a89p-6, -0x1.860f70858ae75p-6, -0x1.7fdd33fa825c8p-6, -0x1.79be69b8e3736p-6, -0x1.73b2fc19d98e3p-6, -0x1.6dbad428c74b4p-6, -0x1.67d5d9b3e93c3p-6, -0x1.6203f35c6422cp-6, -0x1.5c4506a5b6421p-6, -0x1.5698f804a193ap-6, -0x1.50ffaaed888bep-6, -0x1.4b7901e24a17dp-6, -0x1.4604de7f9e3d6p-6, -0x1.40a32189f2a8ap-6, -0x1.3b53aaf9db8fep-6, -0x1.36165a08031c9p-6, -0x1.30eb0d38b650ap-6, -0x1.2bd1a266fe835p-6, -0x1.26c9f6cf509dap-6, -0x1.21d3e719df724p-6, -0x1.1cef4f647d7fdp-6, -0x1.181c0b4c2dc56p-6, -0x1.1359f5f650ab9p-6, -0x1.0ea8ea1976265p-6, -0x1.0a08c205df9e8p-6, -0x1.057957adad6a7p-6, -0x1.00fa84acbb59ap-6, -0x1.f91844a05e492p-7, -0x1.f05c133b896dfp-7, -0x1.e7c026b59754p-7, -0x1.df443025cf0bbp-7, -0x1.d6e7e03d11e1dp-7, -0x1.ceaae75262c77p-7, -0x1.c68cf56edb5cep-7, -0x1.be8dba594df25p-7, -0x1.b6ace5a15964bp-7, -0x1.aeea26aa244f7p-7, -0x1.a7452cb4aa785p-7, -0x1.9fbda6e9aa875p-7, -0x1.985344632327ep-7, -0x1.9105b435842a6p-7, -0x1.89d4a5787e898p-7, -0x1.82bfc74f6db32p-7, -0x1.7bc6c8f180139p-7, -0x1.74e959b178e3cp-7, -0x1.6e2729052a313p-7, -0x1.677fe68ca0151p-7, -0x1.60f34218f4aa5p-7, -0x1.5a80ebb2e6166p-7, -0x1.542893a11820dp-7, -0x1.4de9ea6e1aaf3p-7, -0x1.47c4a0ee27119p-7, -0x1.41b8684493901p-7, -0x1.3bc4f1e91aa35p-7, -0x1.35e9efacd1408p-7, -0x1.302713beeed79p-7, -0x1.2a7c10b156b11p-7, -0x1.24e8997cec851p-7, -0x1.1f6c6185b306ap-7, -0x1.1a071c9eb8c1bp-7, -0x1.14b87f0dd206p-7, -0x1.0f803d8f25c96p-7, -0x1.0a5e0d5889fb8p-7, -0x1.0551a41cb631ap-7, -0x1.005ab80e49fcdp-7, -0x1.f6f1ffc554986p-8, -0x1.ed5865a96df57p-8, -0x1.e3e8114eb3528p-8, -0x1.daa0734fdca15p-8, -0x1.d180fd610f996p-8, -0x1.c889225421deep-8, -0x1.bfb8561c95eb8p-8, -0x1.b70e0dd354b1cp-8, -0x1.ae89bfba2712fp-8, -0x1.a62ae33eeedfep-8, -0x1.9df0f0fea3554p-8, -0x1.95db62c8127c2p-8, -0x1.8de9b39e6726p-8, -0x1.861b5fbb77bdep-8, -0x1.7e6fe491dec5cp-8, -0x1.76e6c0cedef9ep-8, -0x1.6f7f745c14815p-8, -0x1.68398060f4047p-8, -0x1.61148e2f169d4p-8, -0x1.5a0fd4a5910a7p-8, -0x1.532afe7331fa3p-8, -0x1.4c6591c188c34p-8, -0x1.45bf15fcd9a45p-8, -0x1.3f3713d49b058p-8, -0x1.38cd153bd0ab4p-8, -0x1.3280a56940109p-8, -0x1.2c5150d78613fp-8, -0x1.263ea5450b24ap-8, -0x1.204831b3d681cp-8, -0x1.1a6d8669447adp-8, -0x1.14ae34ed9edbp-8, -0x1.0f09d00b9975dp-8, -0x1.097febcfb366ep-8, -0x1.04101d877d94p-8, -0x1.fd73f7819164p-9, -0x1.f2fa3c917509ap-9, -0x1.e8b23c559935dp-9, -0x1.de9b2b5f66371p-9, -0x1.d4b440b85f32ap-9, -0x1.cafcb5df9d007p-9, -0x1.c173c6c71fee5p-9, -0x1.b818b1d0fc5c6p-9, -0x1.aeeab7cc6501fp-9, -0x1.a5e91bf28d3ap-9, -0x1.9d1323e3704adp-9, -0x1.946817a27024cp-9, -0x1.8be74192dfdcep-9, -0x1.838fee7466301p-9, -0x1.7b616d5f4e018p-9, -0x1.735b0fc0b512dp-9, -0x1.6b7c2956a557ep-9, -0x1.63c4102c16a5ap-9, -0x1.5c321c94d67b5p-9, -0x1.54c5a9295f791p-9, -0x1.4d7e12c29810ap-9, -0x1.465ab87580534p-9, -0x1.3f5afb8ece4bcp-9, -0x1.387e3f8e76146p-9, -0x1.31c3ea232a0b3p-9, -0x1.2b2b6325c1b13p-9, -0x1.24b414949c087p-9, -0x1.1e5d6a8eeeceap-9, -0x1.1826d3500ef5cp-9, -0x1.120fbf2aa7a96p-9, -0x1.0c17a083ef13fp-9, -0x1.063debcecd106p-9, -0x1.00821786f84a6p-9, -0x1.f5c738581edaep-10, -0x1.eac3e87952a5p-10, -0x1.dff93862bdf7dp-10, -0x1.d56624efa1015p-10, -0x1.cb09aedb4aeccp-10, -0x1.c0e2dab70f75p-10, -0x1.b6f0b0e03b567p-10, -0x1.ad323d75fa1d8p-10, -0x1.a3a6904f3e36p-10, -0x1.9a4cbcf0a3599p-10, -0x1.9123da824fdd3p-10, -0x1.882b03c5ce1dbp-10, -0x1.7f61570bf12e6p-10, -0x1.76c5f62aae452p-10, -0x1.6e580672fce85p-10, -0x1.6616b0a6bb9d2p-10, -0x1.5e0120ee93763p-10, -0x1.561686cfe4a39p-10, -0x1.4e561522ae824p-10, -0x1.46bf02078bef7p-10, -0x1.3f5086dda69a3p-10, -0x1.3809e038be991p-10, -0x1.30ea4dd730dfdp-10, -0x1.29f112980a175p-10, -0x1.231d747121572p-10, -0x1.1c6ebc6540622p-10, -0x1.15e4367a4f437p-10, -0x1.0f7d31af91ef5p-10, -0x1.0938fff3eee5cp-10, -0x1.0316f61c3e63ap-10, -0x1.fa2cd7b358c31p-11, -0x1.ee6d7760480e8p-11, -0x1.e2ee85d991f1fp-11, -0x1.d7aec338ffe85p-11, -0x1.ccacf505096b5p-11, -0x1.c1e7e61e1f0c3p-11, -0x1.b75e66ac13f2ep-11, -0x1.ad0f4c0ba5502p-11, -0x1.a2f970bc25d71p-11, -0x1.991bb44d46ef9p-11, -0x1.8f74fb4d021cdp-11, -0x1.86042f35abd1fp-11, -0x1.7cc83e5c209fbp-11, -0x1.73c01bde1ab0bp-11, -0x1.6aeabf90abfap-11, -0x1.624725eeda6c3p-11, -0x1.59d4500862a5dp-11, -0x1.51914370a20e4p-11, -0x1.497d0a2da410dp-11, -0x1.4196b2a75901p-11, -0x1.39dd4f96f2261p-11, -0x1.324ff7f66614cp-11, -0x1.2aedc6f01d58cp-11, -0x1.23b5dbcec76bcp-11, -0x1.1ca759ed57888p-11, -0x1.15c168a72b26p-11, -0x1.0f0333485a556p-11, -0x1.086be8fe2ffa5p-11, -0x1.01fabcc7ce9a4p-11, -0x1.f75dcacdf83fbp-12, -0x1.eb0f3aa234dc2p-12, -0x1.df084540916abp-12, -0x1.d3476e0961d6bp-12, -0x1.c7cb3f6bfdd67p-12, -0x1.bc924aca0616dp-12, -0x1.b19b285aff6c5p-12, -0x1.a6e4771042ae8p-12, -0x1.9c6cdc79454c4p-12, -0x1.923304a837714p-12, -0x1.8835a216f6639p-12, -0x1.7e736d8c58f33p-12, -0x1.74eb2601cde11p-12, -0x1.6b9b9089553efp-12, -0x1.62837833cadffp-12, -0x1.59a1adf78a681p-12, -0x1.50f5089767207p-12, -0x1.487c6489f8e96p-12, -0x1.4036a3e13f315p-12, -0x1.3822ae32956fdp-12, -0x1.303f707f02261p-12, -0x1.288bdd1bd1fc2p-12, -0x1.2106eb9b8c7cbp-12, -0x1.19af98b734073p-12, -0x1.1284e637e36e8p-12, -0x1.0b85dae0af98ap-12, -0x1.04b18258e4fe4p-12, -0x1.fc0dda2d1ef22p-13, -0x1.ef0a6092a55ffp-13, -0x1.e256cb8b28f3cp-13, -0x1.d5f157dfdf86p-13, -0x1.c9d84b51f49f2p-13, -0x1.be09f472a99cp-13, -0x1.b284aa7c07bc7p-13, -0x1.a746cd2a3539dp-13, -0x1.9c4ec495525fep-13, -0x1.919b010bedf79p-13, -0x1.8729faee09cfbp-13, -0x1.7cfa3288af626p-13, -0x1.730a2ff20f317p-13, -0x1.695882e62ca5p-13, -0x1.5fe3c2a412d3bp-13, -0x1.56aa8dcb9233p-13, -0x1.4dab8a3b7d489p-13, -0x1.44e564f074921p-13, -0x1.3c56d1e42c05ep-13, -0x1.33fe8bed2ce0cp-13, -0x1.2bdb549f23f67p-13, -0x1.23ebf42b99648p-13, -0x1.1c2f3943312e2p-13, -0x1.14a3f8f75f23p-13, -0x1.0d490e9c8fdd8p-13, -0x1.061d5bacc5f2bp-13, -0x1.fe3f8f556510ep-14, -0x1.f09e800a6031fp-14, -0x1.e3556ff67c082p-14, -0x1.d6625100b901bp-14, -0x1.c9c32042b24dp-14, -0x1.bd75e5d3164bp-14, -0x1.b178b490dfc2dp-14, -0x1.a5c9a9ef6adbap-14, -0x1.9a66edc355d51p-14, -0x1.8f4eb2101ee61p-14, -0x1.847f32d69709ep-14, -0x1.79f6b5e41026bp-14, -0x1.6fb38aa24ed74p-14, -0x1.65b409e83b845p-14, -0x1.5bf695cb4c23fp-14, -0x1.52799971aa678p-14, -0x1.493b88e512eaep-14, -0x1.403ae0e6634fep-14, -0x1.377626c1e1b79p-14, -0x1.2eebe8243497bp-14, -0x1.269abaeffce05p-14, -0x1.1e813d143648ep-14, -0x1.169e14632b55fp-14, -0x1.0eefee6a1c40bp-14, -0x1.077580498b6b7p-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.b047bca193c96p-4, 0x1.96556ac561c06p-4, 0x1.8b90bef2ef61ep-4, 0x1.8edaa9b59c819p-4, 0x1.9e90809680485p-4, 0x1.b8c0a6453d30ep-4, 0x1.db5531f578b5fp-4, 0x1.021a933407ea8p-3, 0x1.18ae94024ec4p-3, 0x1.30786a69bf066p-3, 0x1.48a2fa3b02b82p-3, 0x1.6075571141d43p-3, 0x1.7753f03c2ce4p-3, 0x1.8cc047c70d545p-3, 0x1.a0579d14c60b4p-3, 0x1.b1d0e2db25216p-3, 0x1.c0fa43b9fc583p-3, 0x1.cdb669a419d62p-3, 0x1.d7f9b2c8c36dp-3, 0x1.dfc7730135a32p-3, 0x1.e52f5529af7b7p-3, 0x1.e84aeae8ceea4p-3, 0x1.e93b67a50c955p-3, 0x1.e827c31c09a57p-3, 0x1.e53ae6781278ap-3, 0x1.e0a23630fb1dp-3, 0x1.da8c506f5ca6fp-3, 0x1.d32801fd3faa1p-3, 0x1.caa36c742f85fp-3, 0x1.c12b58cefe45dp-3, 0x1.b6eab1a977b47p-3, 0x1.ac0a1febce79p-3, 0x1.a0afc4798a134p-3, 0x1.94ff0a2be8c37p-3, 0x1.89188c219bb69p-3, 0x1.7d1a0cc53dcb2p-3, 0x1.711e7a377ca8dp-3, 0x1.653dfd54439a9p-3, 0x1.598e110c4f616p-3, 0x1.4e21a00261c29p-3, 0x1.4309267998dcfp-3, 0x1.3852d6fa2f88cp-3, 0x1.2e0ac095e24bp-3, 0x1.243af611d5c9dp-3, 0x1.1aebb548a759p-3, 0x1.12238e0293c45p-3, 0x1.09e787937d943p-3, 0x1.023b44d7d1dfcp-3, 0x1.f6424cf68ff69p-4, 0x1.e934d731ba48p-4, 0x1.dd4ea1604d60ap-4, 0x1.d28e598a7a9bap-4, 0x1.c8f118e59016p-4, 0x1.c072959ff869fp-4, 0x1.b90d507950977p-4, 0x1.b2babe96580ap-4, 0x1.ad73700e14a2ep-4, 0x1.a92f3383ae904p-4, 0x1.a5e536e53b6e6p-4, 0x1.a38c2545a6c5dp-4, 0x1.a21a41ce5d67ep-4, 0x1.a1857fe92ced6p-4, 0x1.a1c398e5fd188p-4, 0x1.a2ca47a0cd456p-4, 0x1.a48ec90168ff5p-4, 0x1.a706aa368bcffp-4, 0x1.aa2768bec35d8p-4, 0x1.ade6974db1937p-4, 0x1.b239e89ff59b2p-4, 0x1.b71738b3b67c6p-4, 0x1.bc74948ad611ap-4, 0x1.c24840a297cf4p-4, 0x1.c888be4ed4356p-4, 0x1.cf2cd02687de8p-4, 0x1.d62b7dab46e44p-4, 0x1.dd7c164e944bep-4, 0x1.e51633eee6122p-4, 0x1.ecf1bcdc81475p-4, 0x1.f506e56e5d759p-4, 0x1.fd4e31294245dp-4, 0x1.02e039bcbbac1p-3, 0x1.072b67ffad60dp-3, 0x1.0b855d38d7bb7p-3, 0x1.0feafb0d755c1p-3, 0x1.14594a7cb2eadp-3, 0x1.18cd7b4642c76p-3, 0x1.1d44e32d49e52p-3, 0x1.21bcfd1e3eacdp-3, 0x1.2633683eaffbcp-3, 0x1.2aa5e6ede974ap-3, 0x1.2f125dbcb443dp-3, 0x1.3376d261591d8p-3, 0x1.37d16aab4964dp-3, 0x1.3c206b7838e13p-3, 0x1.406237aacf975p-3, 0x1.44954f225029ep-3, 0x1.48b84db22052cp-3, 0x1.4cc9ea1864be1p-3, 0x1.50c8f4f375596p-3, 0x1.54b457b68bb92p-3, 0x1.588b139e90473p-3, 0x1.5c4c40a823396p-3, 0x1.5ff70c8810c6ap-3, 0x1.638ab9a73416ap-3, 0x1.67069e22a14edp-3, 0x1.6a6a22d0dd874p-3, 0x1.6db4c24cd492ep-3, 0x1.70e60807598edp-3, 0x1.73fd8f5fe142cp-3, 0x1.76fb02c54c123p-3, 0x1.79de1adf436e2p-3, 0x1.7ca69dc09618ap-3, 0x1.7f545e229dc77p-3, 0x1.81e73aa97255bp-3, 0x1.845f1d3055dd4p-3, 0x1.86bbfa1dc18c1p-3, 0x1.88fdcfbe45602p-3, 0x1.8b24a5a59d58bp-3, 0x1.8d308c15863cbp-3, 0x1.8f219b6a0c7a8p-3, 0x1.90f7f38b543f6p-3, 0x1.92b3bb64fd149p-3, 0x1.9455206364bdp-3, 0x1.95dc55f70c2d6p-3, 0x1.9749951e56e9ap-3, 0x1.989d1bf5b57f5p-3, 0x1.99d72d4e28a29p-3, 0x1.9af81049e6662p-3, 0x1.9c000ffec28d9p-3, 0x1.9cef7b1df06d2p-3, 0x1.9dc6a3a0a4f3ep-3, 0x1.9e85de7924c46p-3, 0x1.9f2d8347e9eacp-3, 0x1.9fbdec148777ep-3, 0x1.a037750a27d24p-3, 0x1.a09a7c37828dap-3, 0x1.a0e76152401bdp-3, 0x1.a11e857dc8b44p-3, 0x1.a1404b1580338p-3, 0x1.a14d157a6d30fp-3, 0x1.a14548e4362e4p-3, 0x1.a1294a355ee35p-3, 0x1.a0f97ed29fd36p-3, 0x1.a0b64c7d2608bp-3, 0x1.a060192f7c825p-3, 0x1.9ff74afce465fp-3, 0x1.9f7c47f2eab25p-3, 0x1.9eef77c825d45p-3, 0x1.9e5139e6b5ca5p-3, 0x1.9da1f7e65917ep-3, 0x1.9ce216d43849bp-3, 0x1.9c11fb380c4bbp-3, 0x1.9b3208fe828c7p-3, 0x1.9a42a3656b66fp-3, 0x1.99442ce9b1f1ep-3, 0x1.983707370818bp-3, 0x1.971b931931e0fp-3, 0x1.95f2306ed81d5p-3, 0x1.94bb3e1dd0148p-3, 0x1.93771a08a89d1p-3, 0x1.9226210574c3p-3, 0x1.90c8aed5a8dd8p-3, 0x1.8f5f1e1ef5d9dp-3, 0x1.8de9c865006d1p-3, 0x1.8c690603e61a3p-3, 0x1.8add2e2b776b1p-3, 0x1.894696db0cf8cp-3, 0x1.87a594ddf2de9p-3, 0x1.85fa7bc84f515p-3, 0x1.84459df488c21p-3, 0x1.82874c810da42p-3, 0x1.80bfd74e8863cp-3, 0x1.7eef8cfe6a71cp-3, 0x1.7d16baf1d8112p-3, 0x1.7b35ad48e0ab3p-3, 0x1.794caee21541fp-3, 0x1.775c095a6b691p-3, 0x1.7564050d6be48p-3, 0x1.7364e915be844p-3, 0x1.715efb4df9ba8p-3, 0x1.6f528051c07b7p-3, 0x1.6d3fbb7f31ea5p-3, 0x1.6b26eef8985bbp-3, 0x1.69085ba65f971p-3, 0x1.66e441394c304p-3, 0x1.64bade2ce9696p-3, 0x1.628c6fca31231p-3, 0x1.6059322a5b61ep-3, 0x1.5e216039dff65p-3, 0x1.5be533bb96ef1p-3, 0x1.59a4e54bf8b52p-3, 0x1.5760ac64788b5p-3, 0x1.5518bf5ef50bap-3, 0x1.52cd53793b1dp-3, 0x1.507e9cd892968p-3, 0x1.4e2cce8d60df8p-3, 0x1.4bd81a96c8ec9p-3, 0x1.4980b1e6594f5p-3, 0x1.4726c463bdcaep-3, 0x1.44ca80f079b44p-3, 0x1.426c156b96e31p-3, 0x1.400baeb5671b5p-3, 0x1.3da978b33926ep-3, 0x1.3b459e531091bp-3, 0x1.38e0498f59013p-3, 0x1.3679a3729c2e5p-3, 0x1.3411d41b280abp-3, 0x1.31a902bebe92dp-3, 0x1.2f3f55ae31652p-3, 0x1.2cd4f258fe3ap-3, 0x1.2a69fd50e614ep-3, 0x1.27fe9a4d7824cp-3, 0x1.2592ec2f99206p-3, 0x1.23271504fe511p-3, 0x1.20bb360ba4387p-3, 0x1.1e4f6fb53b88cp-3, 0x1.1be3e1aa90d65p-3, 0x1.1978aacee2b14p-3, 0x1.170de9433981ap-3, 0x1.14a3ba69b1509p-3, 0x1.123a3ae8b8224p-3, 0x1.0fd186ae45468p-3, 0x1.0d69b8f307dd4p-3, 0x1.0b02ec3d8585fp-3, 0x1.089d3a65358a9p-3, 0x1.0638bc9589912p-3, 0x1.03d58b50f106cp-3, 0x1.0173be73cbd43p-3, 0x1.fe26da6ea5078p-4, 0x1.f9695c68eb385p-4, 0x1.f4af2ecd5c0d5p-4, 0x1.eff87c5d7d032p-4, 0x1.eb456eaae31b7p-4, 0x1.e6962e1c847fdp-4, 0x1.e1eae1f3fc115p-4, 0x1.dd43b052b4575p-4, 0x1.d8a0be3f061dap-4, 0x1.d4022fa929552p-4, 0x1.cf6827702979bp-4, 0x1.cad2c766b88a8p-4, 0x1.c6423057f22dap-4, 0x1.c1b6820c04703p-4, 0x1.bd2fdb4cd33f3p-4, 0x1.b8ae59ea7a73bp-4, 0x1.b4321abfc38e9p-4, 0x1.afbb39b68f235p-4, 0x1.ab49d1cc1cd69p-4, 0x1.a6ddfd1558a35p-4, 0x1.a277d4c2fa62fp-4, 0x1.9e177125ae20fp-4, 0x1.99bce9b21b01dp-4, 0x1.95685504e401ep-4, 0x1.9119c8e688284p-4, 0x1.8cd15a4f45e48p-4, 0x1.888f1d6ae056fp-4, 0x1.8453259c59de8p-4, 0x1.801d85819d67cp-4, 0x1.7bee4ef719d7bp-4, 0x1.77c5931b4d188p-4, 0x1.73a36252416f1p-4, 0x1.6f87cc48fce97p-4, 0x1.6b72dff8e152dp-4, 0x1.6764abab00b7ep-4, 0x1.635d3cfb64b9cp-4, 0x1.5f5ca0dc47737p-4, 0x1.5b62e3994285fp-4, 0x1.577010da7097fp-4, 0x1.538433a783c0ep-4, 0x1.4f9f566ad083fp-4, 0x1.4bc182f44e3dbp-4, 0x1.47eac27c8bf4ap-4, 0x1.441b1da79b503p-4, 0x1.40529c87eff33p-4, 0x1.3c9146a135dd6p-4, 0x1.38d722eb1d99p-4, 0x1.352437d41d262p-4, 0x1.31788b442738ep-4, 0x1.2dd4229f5b6e2p-4, 0x1.2a3702c8a94ebp-4, 0x1.26a130246b3aep-4, 0x1.2312ae9af96b3p-4, 0x1.1f8b819b30fadp-4, 0x1.1c0bac1cf49cap-4, 0x1.189330a3a1e12p-4, 0x1.152211408080cp-4, 0x1.11b84f9525dd2p-4, 0x1.0e55ecd5d2e11p-4, 0x1.0afae9cbc8337p-4, 0x1.07a746d79225ap-4, 0x1.045b03f34d3e2p-4, 0x1.011620b4e36p-4, 0x1.fbb138a07ff27p-5, 0x1.f544eb32fbb7ap-5, 0x1.eee7560e1c1b5p-5, 0x1.e8987567ab3e5p-5, 0x1.e25844c28e38ep-5, 0x1.dc26bef2e664dp-5, 0x1.d603de2225a3p-5, 0x1.cfef9bd31650fp-5, 0x1.c9e9f0e5d5dedp-5, 0x1.c3f2d59bc2617p-5, 0x1.be0a419b5a6b1p-5, 0x1.b8302bf40f85cp-5, 0x1.b2648b2211a41p-5, 0x1.aca7551205758p-5, 0x1.a6f87f24b465bp-5, 0x1.a157fe32ae88ap-5, 0x1.9bc5c68fe0907p-5, 0x1.9641cc0f1cbedp-5, 0x1.90cc020597df6p-5, 0x1.8b645b4e5b005p-5, 0x1.860aca4da9347p-5, 0x1.80bf40f456339p-5, 0x1.7b81b0c31700ep-5, 0x1.765244feef0a9p-5, 0x1.71307b01b6d9ep-5, 0x1.6c1c7c230185fp-5, 0x1.67163841a6356p-5, 0x1.621d9edc1b5e5p-5, 0x1.5d329f137b128p-5, 0x1.585527ae825e4p-5, 0x1.5385271c823adp-5, 0x1.4ec28b7845f1cp-5, 0x1.4a0d428af0b58p-5, 0x1.456539cecd807p-5, 0x1.40ca5e72151a4p-5, 0x1.3c3c9d59aa9d5p-5, 0x1.37bbe323cdc7cp-5, 0x1.33481c2abe85cp-5, 0x1.2ee134875d517p-5, 0x1.2a871813baae7p-5, 0x1.2639b26da15f5p-5, 0x1.21f8eef911799p-5, 0x1.1dc4b8e2b7404p-5, 0x1.199cfb2252deap-5, 0x1.1581a07d19cc4p-5, 0x1.117293880cefbp-5, 0x1.0d6fbeaa459bp-5, 0x1.09790c1f379fep-5, 0x1.058e65f8ec00ap-5, 0x1.01afb62230b89p-5, 0x1.fbb9ccc17ebd6p-6, 0x1.f42bc0aeb545p-6, 0x1.ecb51b0fc8168p-6, 0x1.e555aeaac7fcbp-6, 0x1.de0d4e0c1dea3p-6, 0x1.d6dbcb8a7b5bep-6, 0x1.cfc0f94ab86f9p-6, 0x1.c8bca943a8205p-6, 0x1.c1cead41cef53p-6, 0x1.baf6d6eb14c2cp-6, 0x1.b434f7c25d174p-6, 0x1.ad88e12b0ec3ap-6, 0x1.a6f2646c90d62p-6, 0x1.a07152b5afa84p-6, 0x1.9a057d1ff5f62p-6, 0x1.93aeb4b2f18d8p-6, 0x1.8d6cca676cbadp-6, 0x1.873f8f2a91318p-6, 0x1.8126d3e0fe49ap-6, 0x1.7b226969d3472p-6, 0x1.753220a1a04bdp-6, 0x1.6f55ca654ed8p-6, 0x1.698d3794facf2p-6, 0x1.63d83916b444ep-6, 0x1.5e369fd93e785p-6, 0x1.58a83cd6b08e1p-6, 0x1.532ce11715959p-6, 0x1.4dc45db2f3edap-6, 0x1.486e83d5c8b25p-6, 0x1.432b24c075184p-6, 0x1.3dfa11cb9d00bp-6, 0x1.38db1c69f3f6p-6, 0x1.33ce162a81024p-6, 0x1.2ed2d0bacd69bp-6, 0x1.29e91de90af34p-6, 0x1.2510cfa62b69fp-6, 0x1.2049b807e3029p-6, 0x1.1b93a94aa7efep-6, 0x1.16ee75d39a0acp-6, 0x1.1259f03262081p-6, 0x1.0dd5eb2301339p-6, 0x1.0962398f95346p-6, 0x1.04feae920ba21p-6, 0x1.00ab1d75c83b1p-6, 0x1.f8ceb37288235p-7, 0x1.f0666e1f26c79p-7, 0x1.e81d12c3d84d7p-7, 0x1.dff249a2267c4p-7, 0x1.d7e5bb6d8c5b8p-7, 0x1.cff7114e222f6p-7, 0x1.c825f4e33890dp-7, 0x1.c0721045de69fp-7, 0x1.b8db0e0b35bp-7, 0x1.b1609946d4c84p-7, 0x1.aa025d8cefa0ep-7, 0x1.a2c006f476f06p-7, 0x1.9b99421923c08p-7, 0x1.948dbc1d58c0fp-7, 0x1.8d9d22ac0501fp-7, 0x1.86c723fa556d1p-7, 0x1.800b6ec96d473p-7, 0x1.7969b267eaa04p-7, 0x1.72e19eb367f2p-7, 0x1.6c72e419e3016p-7, 0x1.661d339b0bd31p-7, 0x1.5fe03ec97d1b8p-7, 0x1.59bbb7cbec3d2p-7, 0x1.53af515e30761p-7, 0x1.4dbabed24cdeap-7, 0x1.47ddb4115468p-7, 0x1.4217e59c45451p-7, 0x1.3c69088ccdaadp-7, 0x1.36d0d29603c1bp-7, 0x1.314efa050129dp-7, 0x1.2be335c17750ep-7, 0x1.268d3d4e2fa8dp-7, 0x1.214cc8c97a8e3p-7, 0x1.1c2190ed901c3p-7, 0x1.170b4f10e064dp-7, 0x1.1209bd2654e29p-7, 0x1.0d1c95bd84aefp-7, 0x1.08439402d841cp-7, 0x1.037e73bfa987cp-7, 0x1.fd99e2b4877d2p-8, 0x1.f45d93abd58c8p-8, 0x1.eb4775a59a1c9p-8, 0x1.e257051bd7e1bp-8, 0x1.d98bbfc1f3d7ep-8, 0x1.d0e5248456af2p-8, 0x1.c862b38809273p-8, 0x1.c003ee2a3054cp-8, 0x1.b7c856ff7902fp-8, 0x1.afaf71d37e93bp-8, 0x1.a7b8c3a81acc5p-8, 0x1.9fe3d2b49db3ep-8, 0x1.98302665088b8p-8, 0x1.909d475930487p-8, 0x1.892abf63dd86dp-8, 0x1.81d81989d4464p-8, 0x1.7aa4e200e0709p-8, 0x1.7390a62ec75a2p-8, 0x1.6c9af4a8467d4p-8, 0x1.65c35d2ff57fcp-8, 0x1.5f0970b52b09p-8, 0x1.586cc152db668p-8, 0x1.51ece24e6e776p-8, 0x1.4b896816897c6p-8, 0x1.4541e841e0ca6p-8, 0x1.3f15f98dfc419p-8, 0x1.390533ddf93cbp-8, 0x1.330f3039488ebp-8, 0x1.2d3388ca69f8ep-8, 0x1.2771d8dda1fecp-8, 0x1.21c9bcdfac125p-8, 0x1.1c3ad25c79b1fp-8, 0x1.16c4b7fdcb871p-8, 0x1.11670d89edb42p-8, 0x1.0c2173e25bed4p-8, 0x1.06f38d026b321p-8, 0x1.01dcfbfdee77p-8, 0x1.f9bac9ffb21acp-9, 0x1.efe8da91c067cp-9, 0x1.e643765c328c8p-9, 0x1.dcc9ec2f26d77p-9, 0x1.d37b8cfdeb8ddp-9, 0x1.ca57abdc10819p-9, 0x1.c15d9dfab9f59p-9, 0x1.b88cbaa58e2c5p-9, 0x1.afe45b3ff888ep-9, 0x1.a763db420bdb8p-9, 0x1.9f0a9835b64f1p-9, 0x1.96d7f1b3ab079p-9, 0x1.8ecb49605c135p-9, 0x1.86e402e8e6da4p-9, 0x1.7f2183fff66a7p-9, 0x1.7783345a9c32fp-9, 0x1.70087dad1bcc3p-9, 0x1.68b0cba7a9cd1p-9, 0x1.617b8bf3177cfp-9, 0x1.5a682e2d9fbbfp-9, 0x1.537623e73db3p-9, 0x1.4ca4e09e714adp-9, 0x1.45f3d9bca35e7p-9, 0x1.3f6286929b626p-9, 0x1.38f06054da951p-9, 0x1.329ce217f06f4p-9, 0x1.2c6788ccb91ecp-9, 0x1.264fd33c96f0fp-9, 0x1.205542058a863p-9, 0x1.1a7757964a751p-9, 0x1.14b5982a4dfafp-9, 0x1.0f0f89c5b8267p-9, 0x1.0984b43141e12p-9, 0x1.0414a0f60f258p-9, 0x1.fd7db6b306289p-10, 0x1.f305e0b1ce01bp-10, 0x1.e8c0dd4a4ee39p-10, 0x1.deadcd3ce0f65p-10, 0x1.d4cbd49f7dac8p-10, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.736098d66ab15p-1, -0x1.665a0e40db3a7p-1, -0x1.5b6e67152f22cp-1, -0x1.527bcfb77d625p-1, -0x1.4b51dcddc16b9p-1, -0x1.45b6fc607881ap-1, -0x1.416d0faddccc4p-1, -0x1.3e3522f5fe0cep-1, -0x1.3bd2476139f86p-1, -0x1.3a0ba375e644fp-1, -0x1.38add460cff9fp-1, -0x1.378bbd66c1deep-1, -0x1.367ee2fa9ba15p-1, -0x1.35676baf81884p-1, -0x1.342bdf3796e64p-1, -0x1.32b8b83a5ea68p-1, -0x1.30ffd80c337b9p-1, -0x1.2ef7e91a0880bp-1, -0x1.2c9bbbe38d995p-1, -0x1.29e9a619023ddp-1, -0x1.26e2e772803edp-1, -0x1.238b19685e585p-1, -0x1.1fe7a14e076fcp-1, -0x1.1bff481303ccep-1, -0x1.17d9cd67b54fep-1, -0x1.137f8de0e064dp-1, -0x1.0ef937411192dp-1, -0x1.0a4f8a8d271ap-1, -0x1.058b2a0f5cfdp-1, -0x1.00b47191f9a41p-1, -0x1.f7a6af35e3c7dp-2, -0x1.eddead3380388p-2, -0x1.e41eb9dea95ep-2, -0x1.da73858912c1cp-2, -0x1.d0e88968ab0f9p-2, -0x1.c78804ace1acdp-2, -0x1.be5affa8ce474p-2, -0x1.b56953d27b3d6p-2, -0x1.acb9b79e6874bp-2, -0x1.a451cd39b7d9fp-2, -0x1.9c36331c06b05p-2, -0x1.946a95a0dbe72p-2, -0x1.8cf1c1349c06p-2, -0x1.85cdb4d4f17ccp-2, -0x1.7effb4975be48p-2, -0x1.78885bcb81168p-2, -0x1.7267ae5aadbcep-2, -0x1.6c9d293ce380ep-2, -0x1.6727d21051386p-2, -0x1.620645e9db752p-2, -0x1.5d36c7578a979p-2, -0x1.58b74b6cc9c13p-2, -0x1.548585adbee8dp-2, -0x1.509ef2cdee299p-2, -0x1.4d00e25f6638ap-2, -0x1.49a87fa634094p-2, -0x1.4692d9bc2a38p-2, -0x1.43bceb14da45p-2, -0x1.4123a0561b809p-2, -0x1.3ec3de6f8ecb7p-2, -0x1.3c9a87e6aee9bp-2, -0x1.3aa481635cbbbp-2, -0x1.38deb59c60244p-2, -0x1.37462815dcc58p-2, -0x1.35d7bc394f61fp-2, -0x1.34908f53bf277p-2, -0x1.336dc37e6db9ep-2, -0x1.326c8e7ba5481p-2, -0x1.318a3b4ebdb69p-2, -0x1.30c42b883e4b9p-2, -0x1.3017d84b2a36ap-2, -0x1.2f82d310dc0d9p-2, -0x1.2f02c6318bc1bp-2, -0x1.2e957538b4774p-2, -0x1.2e38bd0d32d72p-2, -0x1.2dea93f4eb34p-2, -0x1.2da9097ad9cf1p-2, -0x1.2d72463cce292p-2, -0x1.2d448ba4673ebp-2, -0x1.2d1e338d65ba4p-2, -0x1.2cfdafdaaab91p-2, -0x1.2ce189fac7d3fp-2, -0x1.2cc8625d23086p-2, -0x1.2cb0efd8ccd11p-2, -0x1.2c99ff066613p-2, -0x1.2c82718ec15d5p-2, -0x1.2c693d703156fp-2, -0x1.2c4d6c3ce73dep-2, -0x1.2c2e1a54fd887p-2, -0x1.2c0a761ef5d2p-2, -0x1.2be1bf412d12bp-2, -0x1.2bb345de5b2bfp-2, -0x1.2b7e69d66420cp-2, -0x1.2b429a0c0babp-2, -0x1.2aff53af7844cp-2, -0x1.2ab4218d0cb38p-2, -0x1.2a609b6024da8p-2, -0x1.2a04652955121p-2, -0x1.299f2e88306adp-2, -0x1.2930b218c165fp-2, -0x1.28b8b4d51f921p-2, -0x1.2837057b7d87ep-2, -0x1.27ab7bf8f5327p-2, -0x1.2715f8d93c9ebp-2, -0x1.267664bb403afp-2, -0x1.25ccafcaa288dp-2, -0x1.2518d13e2616ep-2, -0x1.245ac6db16de4p-2, -0x1.2392947de4473p-2, -0x1.22c043a823ae6p-2, -0x1.21e3e31435092p-2, -0x1.20fd864e9ec44p-2, -0x1.200d45551b972p-2, -0x1.1f133c3b26649p-2, -0x1.1e0f8ad3aa71ap-2, -0x1.1d02545f70273p-2, -0x1.1bebbf3fc743bp-2, -0x1.1acbf4ad105ep-2, -0x1.19a32070cd54cp-2, -0x1.187170a30998ap-2, -0x1.1737156b0455fp-2, -0x1.15f440c321533p-2, -0x1.14a92640344f2p-2, -0x1.1355fadc37249p-2, -0x1.11faf4c477747p-2, -0x1.10984b2b37e1cp-2, -0x1.0f2e361cab5bap-2, -0x1.0dbcee57203efp-2, -0x1.0c44ad261d4a5p-2, -0x1.0ac5ac4032d33p-2, -0x1.094025a7388b1p-2, -0x1.07b4538ab4fc2p-2, -0x1.0622702c42504p-2, -0x1.048ab5c5bb9d3p-2, -0x1.02ed5e71203bbp-2, -0x1.014aa412187f5p-2, -0x1.ff45808225222p-3, -0x1.fbebd86fed192p-3, -0x1.f888c180dbd5p-3, -0x1.f51cac47701edp-3, -0x1.f1a808380baeep-3, -0x1.ee2b438e88bc9p-3, -0x1.eaa6cb3698ebcp-3, -0x1.e71b0ab6a8fb3p-3, -0x1.e3886c1d1006bp-3, -0x1.dfef57ef57594p-3, -0x1.dc50351b57f5ep-3, -0x1.d8ab6e8a85a7ap-3, -0x1.d5015abefd339p-3, -0x1.d15262dbf1a57p-3, -0x1.cd9ee712bc7d5p-3, -0x1.c9e745c5f5736p-3, -0x1.c62bdb81d1bc6p-3, -0x1.c26d02f5f67ffp-3, -0x1.beab14f093674p-3, -0x1.bae6685acfd1bp-3, -0x1.b71f5236596e2p-3, -0x1.b356259c0e0f8p-3, -0x1.af8b33bb9aeb7p-3, -0x1.abbecbdc008b1p-3, -0x1.a7f13b5ce2cdbp-3, -0x1.a422cdb8800bep-3, -0x1.a053cc864cb71p-3, -0x1.9c847f7e158d9p-3, -0x1.98b52c7b9184bp-3, -0x1.94e617826449cp-3, -0x1.911782c26e2aep-3, -0x1.8d49ae9c777adp-3, -0x1.897cd9a7119c3p-3, -0x1.85b140b3c02e1p-3, -0x1.81e71ed449cd6p-3, -0x1.7e1ead604587ap-3, -0x1.7a5823fac1d02p-3, -0x1.7693b898211cep-3, -0x1.72d19f840d627p-3, -0x1.6f120b6794e71p-3, -0x1.6b552d4f5d136p-3, -0x1.679b34b1f9535p-3, -0x1.63e44f765efe9p-3, -0x1.6030a9fa6752cp-3, -0x1.5c806f197ac69p-3, -0x1.58d3c83341a29p-3, -0x1.552add3274454p-3, -0x1.5185d493b270bp-3, -0x1.4de4d36c6c2f2p-3, -0x1.4a47fd71d465p-3, -0x1.46af74ffd362dp-3, -0x1.431b5b200080cp-3, -0x1.3f8bcf909753cp-3, -0x1.3c00f0cb65d9fp-3, -0x1.387adc0cb9c51p-3, -0x1.34f9ad5a3605dp-3, -0x1.317d7f89a7757p-3, -0x1.2e066c47c1bfbp-3, -0x1.2a948c1ecf1b4p-3, -0x1.2727f67d4f4b3p-3, -0x1.23c0c1bc7e005p-3, -0x1.205f0326c964p-3, -0x1.1d02cefe33882p-3, -0x1.19ac38829c15ep-3, -0x1.165b51f7f865ep-3, -0x1.13102cac6bed6p-3, -0x1.0fcad8fe56fe5p-3, -0x1.0c8b66624177bp-3, -0x1.0951e368b4bebp-3, -0x1.061e5dc3fb551p-3, -0x1.02f0e24dc7cep-3, -0x1.ff92fa198d4dcp-4, -0x1.f95072741d66ep-4, -0x1.f31a428d06edp-4, -0x1.ecf07dc02fa16p-4, -0x1.e6d335edf562bp-4, -0x1.e0c27b8552c8dp-4, -0x1.dabe5d8ddece2p-4, -0x1.d4c6e9b1899fcp-4, -0x1.cedc2c46428f1p-4, -0x1.c8fe305757a45p-4, -0x1.c32cffaebacebp-4, -0x1.bd68a2de0b435p-4, -0x1.b7b121477d6fep-4, -0x1.b20681268e266p-4, -0x1.ac68c798880b7p-4, -0x1.a6d7f8a4e5d57p-4, -0x1.a154174581876p-4, -0x1.9bdd256e9b35p-4, -0x1.96732416aad3cp-4, -0x1.9116133e19f14p-4, -0x1.8bc5f1f6be9cp-4, -0x1.8682be6b36fc4p-4, -0x1.814c75e616d45p-4, -0x1.7c2314d8eea86p-4, -0x1.770696e32527cp-4, -0x1.71f6f6d8ad67cp-4, -0x1.6cf42ec8928b7p-4, -0x1.67fe38035d6bbp-4, -0x1.63150b21557afp-4, -0x1.5e38a0089b4e9p-4, -0x1.5968edf320adfp-4, -0x1.54a5eb747bdc5p-4, -0x1.4fef8e7f99493p-4, -0x1.4b45cc6c4bd39p-4, -0x1.46a899fcbbfbp-4, -0x1.4217eb62b62ap-4, -0x1.3d93b444db736p-4, -0x1.391be7c3b10fp-4, -0x1.34b0787e93b16p-4, -0x1.305158988b924p-4, -0x1.2bfe79bd047b3p-4, -0x1.27b7cd2468ce5p-4, -0x1.237d43989f872p-4, -0x1.1f4ecd796fd72p-4, -0x1.1b2c5ac0c9241p-4, -0x1.1715db06f048fp-4, -0x1.130b3d8692731p-4, -0x1.0f0c7120be507p-4, -0x1.0b196460c4f6fp-4, -0x1.073205800149p-4, -0x1.03564269876dep-4, -0x1.ff0c117b7ad65p-5, -0x1.f7828babb6ed5p-5, -0x1.f00fcd8eaf685p-5, -0x1.e8b3b0ce7464dp-5, -0x1.e16e0e9aba0efp-5, -0x1.da3ebfaf2c85p-5, -0x1.d3259c599e152p-5, -0x1.cc227c800a8e5p-5, -0x1.c53537a676adep-5, -0x1.be5da4f4a717p-5, -0x1.b79b9b3bb4cefp-5, -0x1.b0eef0fb7aab7p-5, -0x1.aa577c67e2bc2p-5, -0x1.a3d5136e0c4c9p-5, -0x1.9d678bb9561a3p-5, -0x1.970ebab841222p-5, -0x1.90ca75a1363b1p-5, -0x1.8a9a91772b51p-5, -0x1.847ee30e278d3p-5, -0x1.7e773f0fab59ap-5, -0x1.788379fef7aa9p-5, -0x1.72a3683d38c94p-5, -0x1.6cd6de0d94f81p-5, -0x1.671daf991d2f5p-5, -0x1.6177b0f2a1596p-5, -0x1.5be4b61a6ca2ep-5, -0x1.56649301e387bp-5, -0x1.50f71b8f0a4dep-5, -0x1.4b9c239fefb48p-5, -0x1.46537f0e011e4p-5, -0x1.411d01b143fe1p-5, -0x1.3bf87f637919ap-5, -0x1.36e5cc032892dp-5, -0x1.31e4bb7695aabp-5, -0x1.2cf521ae9d676p-5, -0x1.2816d2a97f6a4p-5, -0x1.2349a27590f54p-5, -0x1.1e8d6533dcf04p-5, -0x1.19e1ef1aacb5fp-5, -0x1.15471477fffd2p-5, -0x1.10bca9b3ef4b9p-5, -0x1.0c428352fbc33p-5, -0x1.07d875f84db18p-5, -0x1.037e5667df6b3p-5, -0x1.fe67f3112dd43p-6, -0x1.f5f268cc9a3f5p-6, -0x1.ed9bb8678b976p-6, -0x1.e5638c992b784p-6, -0x1.dd49906ded815p-6, -0x1.d54d6f4b20045p-6, -0x1.cd6ed4f251131p-6, -0x1.c5ad6d849f254p-6, -0x1.be08e585e5da9p-6, -0x1.b680e9dfce976p-6, -0x1.af1527e4c22afp-6, -0x1.a7c54d52bfb7fp-6, -0x1.a0913c2fc246p-6, -0x1.99783c2d908edp-6, -0x1.927a2f62fdcc3p-6, -0x1.8b96c5557b19dp-6, -0x1.84cdae029a1fdp-6, -0x1.7e1e99e2416e4p-6, -0x1.778939e8cff51p-6, -0x1.710d3f892239ep-6, -0x1.6aaa5cb681bdap-6, -0x1.646043e67ff97p-6, -0x1.5e2ea812b8bafp-6, -0x1.58153cba7eafep-6, -0x1.5213b5e472d5ap-6, -0x1.4c29c82008e87p-6, -0x1.46572886f49a6p-6, -0x1.409b8cbe83ca1p-6, -0x1.3af6aaf8e88a2p-6, -0x1.356839f669d3dp-6, -0x1.2feff10688429p-6, -0x1.2a8d88090ae34p-6, -0x1.2540b76f000c9p-6, -0x1.2009383ba7b32p-6, -0x1.1ae6c40551c6fp-6, -0x1.15d914f628288p-6, -0x1.10dfe5ccea8b9p-6, -0x1.0bfaf1dd9ade4p-6, -0x1.0729f5121a354p-6, -0x1.026cabeab63c7p-6, -0x1.fb85a6fd52935p-7, -0x1.f25852f9174ecp-7, -0x1.e950d8556d9a8p-7, -0x1.e06eb4cf3943dp-7, -0x1.d7b167542153fp-7, -0x1.cf1870030918bp-7, -0x1.c6a3502c6fd84p-7, -0x1.be518a52b9fffp-7, -0x1.b622a22a63cebp-7, -0x1.ae161c9a1aaa6p-7, -0x1.a62b7fbabff01p-7, -0x1.9e6252d759791p-7, -0x1.96ba1e6ceb9b1p-7, -0x1.8f326c2a3ca4p-7, -0x1.87cac6ef8a424p-7, -0x1.8082bace24308p-7, -0x1.7959d507f8cddp-7, -0x1.724fa40f0c99ap-7, -0x1.6b63b784e7d6p-7, -0x1.6495a039e69bap-7, -0x1.5de4f02c81e43p-7, -0x1.57513a888919fp-7, -0x1.50da13a63f814p-7, -0x1.4a7f110979a25p-7, -0x1.443fc960a39ep-7, -0x1.3e1bd483bb684p-7, -0x1.3812cb733bf39p-7, -0x1.32244856fc1dep-7, -0x1.2c4fe67cff423p-7, -0x1.269542583cc9p-7, -0x1.20f3f97f54941p-7, -0x1.1b6baaab3deep-7, -0x1.15fbf5b5e8adcp-7, -0x1.10a47b98d241p-7, -0x1.0b64de6b91b3ap-7, -0x1.063cc16258bdap-7, -0x1.012bc8cc68b6p-7, -0x1.f863342504a24p-8, -0x1.ee9bb76a8d774p-8, -0x1.e5006a9726b93p-8, -0x1.db909f01a6eacp-8, -0x1.d24ba8269377fp-8, -0x1.c930dba4a156bp-8, -0x1.c03f91392af5ap-8, -0x1.b77722bc8f5ddp-8, -0x1.aed6ec1e8cd41p-8, -0x1.a65e4b6282fcap-8, -0x1.9e0ca09bafa64p-8, -0x1.95e14de95ab1bp-8, -0x1.8ddbb772f81f2p-8, -0x1.85fb43643d28dp-8, -0x1.7e3f59e926bb2p-8, -0x1.76a76529fdabap-8, -0x1.6f32d147497dp-8, -0x1.67e10c55ba692p-8, -0x1.60b1865a10e24p-8, -0x1.59a3b144f0406p-8, -0x1.52b700eeb6c7ap-8, -0x1.4beaeb1342d28p-8, -0x1.453ee74dba3cep-8, -0x1.3eb26f1444943p-8, -0x1.3844fdb3c0c6ap-8, -0x1.31f6104b796a4p-8, -0x1.2bc525c8cb812p-8, -0x1.25b1bee2d0561p-8, -0x1.1fbb5e15ffc04p-8, -0x1.19e1879fcf4d7p-8, -0x1.1423c17a4d342p-8, -0x1.0e819357bab52p-8, -0x1.08fa869e228c5p-8, -0x1.038e2662eb70fp-8, -0x1.fc77fecce3cdcp-9, -0x1.f207401f264afp-9, -0x1.e7c930ce88c0ap-9, -0x1.ddbcf428469e5p-9, -0x1.d3e1b0ac11eb9p-9, -0x1.ca3690033c396p-9, -0x1.c0babef7dba1fp-9, -0x1.b76d6d6bfd4cp-9, -0x1.ae4dce50d2dc4p-9, -0x1.a55b179de8593p-9, -0x1.9c9482486af23p-9, -0x1.93f94a3a5c126p-9, -0x1.8b88ae49e5aa8p-9, -0x1.8341f030acca8p-9, -0x1.7b2454832d3cap-9, -0x1.732f22a81eb2dp-9, -0x1.6b61a4cfe385fp-9, -0x1.63bb27ec08e8ap-9, -0x1.5c3afba6cb0acp-9, -0x1.54e0725aa9005p-9, -0x1.4daae10a062b2p-9, -0x1.46999f56dbf79p-9, -0x1.3fac077a701aap-9, -0x1.38e1763d25d53p-9, -0x1.32394aee55f8dp-9, -0x1.2bb2e75c3e012p-9, -0x1.254dafcbf3ae8p-9, -0x1.1f090af176765p-9, -0x1.18e461e7c9654p-9, -0x1.12df20292266p-9, -0x1.0cf8b387279adp-9, -0x1.07308c23433b5p-9, -0x1.01861c670585ep-9, -0x1.f7f1b1f93caa2p-10, -0x1.ed10718ec08f9p-10, -0x1.e26769b8c01d3p-10, -0x1.d7f590f644b8ap-10, -0x1.cdb9e20cb9f4ep-10, -0x1.c3b35bf99ba46p-10, -0x1.b9e101e43dcffp-10, -0x1.b041db0fc999p-10, -0x1.a6d4f2cd4e5fap-10, -0x1.9d99586e2098cp-10, -0x1.948e1f361c7e3p-10, -0x1.8bb25e4e4ab36p-10, -0x1.830530b7926c3p-10, -0x1.7a85b53d8f9b7p-10, -0x1.72330e6990899p-10, -0x1.6a0c6275bbf38p-10, -0x1.6210db40534f1p-10, -0x1.5a3fa63f23392p-10, -0x1.5297f4730a684p-10, -0x1.4b18fa5bafe91p-10, -0x1.43c1efeb4b5e4p-10, -0x1.3c92107aafae1p-10, -0x1.35889abd3f2b9p-10, -0x1.2ea4d0b543f3cp-10, -0x1.27e5f7a81fc33p-10, -0x1.214b5812dfff6p-10, -0x1.1ad43d9ebd7c9p-10, -0x1.147ff715d24e2p-10, -0x1.0e4dd657e73c5p-10, -0x1.083d304f5c3fp-10, -0x1.024d5ce62f08ap-10, -0x1.f8fb6df633181p-11, -0x1.ed9b38ada252ap-11, -0x1.e278db42abe8ap-11, -0x1.d7931caee9843p-11, -0x1.cce8c98062036p-11, -0x1.c278b3c4fe2a6p-11, -0x1.b841b2f5e77e2p-11, -0x1.ae42a3e32bcdp-11, -0x1.a47a689f8f1a7p-11, -0x1.9ae7e86c8a941p-11, -0x1.918a0fa66f1aap-11, -0x1.885fcfb0d1e0ap-11, -0x1.7f681ee2f9b5bp-11, -0x1.76a1f8749ae8fp-11, -0x1.6e0c5c6ab397bp-11, -0x1.65a64f848b571p-11, -0x1.5d6edb28e9cf4p-11, -0x1.55650d536c699p-11, -0x1.4d87f882181e4p-11, -0x1.45d6b3a2f9abep-11, -0x1.3e505a021464ap-11, -0x1.36f40b375bcb2p-11, -0x1.2fc0eb14e70e1p-11, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.98f54dcf46799p-2, 0x1.790df57fa7ec8p-2, 0x1.5aedaa441bcf1p-2, 0x1.3e9ed17e02891p-2, 0x1.24254c803ea17p-2, 0x1.0b7f64560224cp-2, 0x1.e94d4fb42a5e7p-3, 0x1.bf217359661a1p-3, 0x1.9860191706921p-3, 0x1.74e91aac1b455p-3, 0x1.5498754e58b2ep-3, 0x1.374754cd8b1c1p-3, 0x1.1cccfc2705afap-3, 0x1.04ff8d8d3344cp-3, 0x1.df696880f5416p-4, 0x1.b984659711272p-4, 0x1.97fcb099446f5p-4, 0x1.7a80beeba67a8p-4, 0x1.60c173b8cf2e5p-4, 0x1.4a729422c293ap-4, 0x1.374b1da9c1fe2p-4, 0x1.270583119030ep-4, 0x1.195fd3ac21c27p-4, 0x1.0e1bd08d009d3p-4, 0x1.04fef2c6257edp-4, 0x1.fba4cae05e4bap-5, 0x1.f0c5ebcc93052p-5, 0x1.e901f895dc811p-5, 0x1.e4007c3d34016p-5, 0x1.e16f98d98d3aap-5, 0x1.e103bdac1cc33p-5, 0x1.e277590ff519dp-5, 0x1.e58a8806ae3bp-5, 0x1.ea02c4d0fbbffp-5, 0x1.efaa95baae2abp-5, 0x1.f6513d0496274p-5, 0x1.fdca6aa2f879p-5, 0x1.02f6f82dd6844p-4, 0x1.074bbc554f5a1p-4, 0x1.0bd3205a9fac5p-4, 0x1.107e6abe632c1p-4, 0x1.15406a357954bp-4, 0x1.1a0d57a271205p-4, 0x1.1edab9c155a62p-4, 0x1.239f4a8030a0cp-4, 0x1.2852ddfab3f77p-4, 0x1.2cee4b0c9885fp-4, 0x1.316b556c1e1f9p-4, 0x1.35c4993ca2cb6p-4, 0x1.39f57808546e4p-4, 0x1.3dfa070f74982p-4, 0x1.41cefedb74329p-4, 0x1.4571ac043b692p-4, 0x1.48dfe116322cdp-4, 0x1.4c17e988049edp-4, 0x1.4f187dafa5c8fp-4, 0x1.51e0b7a6a7b26p-4, 0x1.5470090ea83bfp-4, 0x1.56c631a741eb7p-4, 0x1.58e336a79d727p-4, 0x1.5ac75ace7b091p-4, 0x1.5c73171c38b23p-4, 0x1.5de7142b0bd1bp-4, 0x1.5f24241a4ecaep-4, 0x1.602b3d02688aap-4, 0x1.60fd73e774aep-4, 0x1.619bf82167164p-4, 0x1.62080f30fc7d3p-4, 0x1.624310f95250ep-4, 0x1.624e6456813a6p-4, 0x1.622b7c0a16d75p-4, 0x1.61dbd3f6bf1a3p-4, 0x1.6160eea4deb7p-4, 0x1.60bc530a48287p-4, 0x1.5fef8a8f99ffdp-4, 0x1.5efc1f4e345f2p-4, 0x1.5de39a8208a29p-4, 0x1.5ca7832add521p-4, 0x1.5b495cd8ed56fp-4, 0x1.59caa6a113d84p-4, 0x1.582cda34fc554p-4, 0x1.56716b1c0de84p-4, 0x1.5499c60a0aef7p-4, 0x1.52a7505090224p-4, 0x1.509b6768ded79p-4, 0x1.4e77609386e33p-4, 0x1.4c3c888bba47dp-4, 0x1.49ec234c417afp-4, 0x1.47876be42d80cp-4, 0x1.450f94598ed6p-4, 0x1.4285c5989c895p-4, 0x1.3feb1f6dd87fap-4, 0x1.3d40b889dde29p-4, 0x1.3a879e8da3924p-4, 0x1.37c0d61e1a8a7p-4, 0x1.34ed5afe26259p-4, 0x1.320e202e08aacp-4, 0x1.2f24100f6eef2p-4, 0x1.2c300c8d608fbp-4, 0x1.2932ef47688a1p-4, 0x1.262d89bf5c728p-4, 0x1.2320a5893aa42p-4, 0x1.200d047ca527fp-4, 0x1.1cf360e78ad76p-4, 0x1.19d46dc1a0c99p-4, 0x1.16b0d6e0568cp-4, 0x1.1389412afa347p-4, 0x1.105e4acecc172p-4, 0x1.0d308b72cae29p-4, 0x1.0a00946b04f11p-4, 0x1.06cef0eb49dcdp-4, 0x1.039c263914efdp-4, 0x1.0068b3dc97465p-4, 0x1.fa6a27a18cc11p-5, 0x1.f4037564bcd73p-5, 0x1.ed9e2fdb8f19ep-5, 0x1.e73b2bd7a5d95p-5, 0x1.e0db347a8ecf9p-5, 0x1.da7f0b8a6e755p-5, 0x1.d42769c43bdfbp-5, 0x1.cdd4ff2b850e9p-5, 0x1.c7887357c2b4fp-5, 0x1.c14265bf3d3e1p-5, 0x1.bb036dff8c351p-5, 0x1.b4cc1c23b98ecp-5, 0x1.ae9cf8e815269p-5, 0x1.a87685fbc3b07p-5, 0x1.a2593e401cd45p-5, 0x1.9c459605dfd62p-5, 0x1.963bfb4856b74p-5, 0x1.903cd5e6758bp-5, 0x1.8a4887da046a2p-5, 0x1.845f6d6ce97bep-5, 0x1.7e81dd6ca236cp-5, 0x1.78b0295bfcbaap-5, 0x1.72ea9da320c14p-5, 0x1.6d3181bdfd401p-5, 0x1.6785186924f04p-5, 0x1.61e59fcd2dca6p-5, 0x1.5c5351a8a189ap-5, 0x1.56ce63788bdfdp-5, 0x1.5157069fb73f1p-5, 0x1.4bed688ca5965p-5, 0x1.4691b2de509f1p-5, 0x1.41440b87bd562p-5, 0x1.3c0494f27385ep-5, 0x1.36d36e1fdea5fp-5, 0x1.31b0b2c9a571bp-5, 0x1.2c9c7b810538ep-5, 0x1.2796ddcd35231p-5, 0x1.229fec48dfd3ap-5, 0x1.1db7b6beb7a71p-5, 0x1.18de4a4531d95p-5, 0x1.1413b1596e371p-5, 0x1.0f57f3f952637p-5, 0x1.0aab17bce17d6p-5, 0x1.060d1feed403cp-5, 0x1.017e0da47a86dp-5, 0x1.f9fbbfa9d7b43p-6, 0x1.f11926df0f277p-6, 0x1.e85446e3a43eap-6, 0x1.dfad11f95c87dp-6, 0x1.d72376d1f212dp-6, 0x1.ceb760b719d5ap-6, 0x1.c668b7b15e4bfp-6, 0x1.be3760addf343p-6, 0x1.b6233da2ef61ep-6, 0x1.ae2c2db3a5c05p-6, 0x1.a6520d526186ep-6, 0x1.9e94b662495b6p-6, 0x1.96f40057ce896p-6, 0x1.8f6fc05832311p-6, 0x1.8807c95822f2fp-6, 0x1.80bbec3960189p-6, 0x1.798bf7e784b47p-6, 0x1.7277b973e4e9bp-6, 0x1.6b7efc3096b06p-6, 0x1.64a189ca9fc07p-6, 0x1.5ddf2a6350622p-6, 0x1.5737a4a8d2e07p-6, 0x1.50aabdedf1ba4p-6, 0x1.4a383a411492cp-6, 0x1.43dfdc82835b5p-6, 0x1.3da16679ea16cp-6, 0x1.377c98eb22d5fp-6, 0x1.317133aa534ddp-6, 0x1.2b7ef5af515bp-6, 0x1.25a59d2864f87p-6, 0x1.1fe4e78c5d1a6p-6, 0x1.1a3c91ac01487p-6, 0x1.14ac57c2e9cf9p-6, 0x1.0f33f587b07a5p-6, 0x1.09d3263b95f47p-6, 0x1.0489a4b986094p-6, 0x1.feae57092af65p-7, 0x1.f476e9abdaf86p-7, 0x1.ea6c755457a66p-7, 0x1.e08e6d9c7d6a3p-7, 0x1.d6dc45d77e48p-7, 0x1.cd55712990d72p-7, 0x1.c3f9629ea61f7p-7, 0x1.bac78d403a102p-7, 0x1.b1bf642a22699p-7, 0x1.a8e05a9e8d5cdp-7, 0x1.a029e419168bp-7, 0x1.979b74610077fp-7, 0x1.8f347f9aa3539p-7, 0x1.86f47a580ce05p-7, 0x1.7edad9a8cea76p-7, 0x1.76e713291f113p-7, 0x1.6f189d1027627p-7, 0x1.676eee3db4196p-7, 0x1.5fe97e471eda3p-7, 0x1.5887c58397eabp-7, 0x1.51493d17cc6c4p-7, 0x1.4a2d5f00e6845p-7, 0x1.4333a61eeee82p-7, 0x1.3c5b8e3ea1cfbp-7, 0x1.35a49422a840dp-7, 0x1.2f0e358c491e9p-7, 0x1.2897f14391248p-7, 0x1.2241471ef672bp-7, 0x1.1c09b80a7c07ap-7, 0x1.15f0c60e5c318p-7, 0x1.0ff5f4553a3ecp-7, 0x1.0a18c731e22edp-7, 0x1.0458c4249a313p-7, 0x1.fd6ae3c0125b5p-8, 0x1.f25cb09b6c90cp-8, 0x1.e78601244d2a3p-8, 0x1.dce5ea213286p-8, 0x1.d27b82dcd6846p-8, 0x1.c845e52c3f25p-8, 0x1.be442d74295afp-8, 0x1.b4757aadd00edp-8, 0x1.aad8ee6b15c8cp-8, 0x1.a16dacda19bc2p-8, 0x1.9832dcc83a2d5p-8, 0x1.8f27a7a48f735p-8, 0x1.864b3981e0267p-8, 0x1.7d9cc11817c4ap-8, 0x1.751b6fc543758p-8, 0x1.6cc6798e1b1e4p-8, 0x1.649d151e19967p-8, 0x1.5c9e7bc72e686p-8, 0x1.54c9e981052aep-8, 0x1.4d1e9ce7f1f14p-8, 0x1.459bd73b7ce6fp-8, 0x1.3e40dc5c98e9fp-8, 0x1.370cf2cb8523bp-8, 0x1.2fff63a5613abp-8, 0x1.29177aa174635p-8, 0x1.2254860e2c62ep-8, 0x1.1bb5d6cddbd4ep-8, 0x1.153ac05334e29p-8, 0x1.0ee2989d88969p-8, 0x1.08acb834cd9c5p-8, 0x1.02987a256efd2p-8, 0x1.f94a77f7d4539p-9, 0x1.eda4bb8074b6cp-9, 0x1.e23e83e23494bp-9, 0x1.d7169afe3009bp-9, 0x1.cc2bcf8f061a3p-9, 0x1.c17cf51e6e915p-9, 0x1.b708e3fa822f8p-9, 0x1.acce792acc3dbp-9, 0x1.a2cc96651b63cp-9, 0x1.990222021c734p-9, 0x1.8f6e06f1c4c91p-9, 0x1.860f34af8bb41p-9, 0x1.7ce49f367be49p-9, 0x1.73ed3ef51e933p-9, 0x1.6b2810c140603p-9, 0x1.629415cb9b2d7p-9, 0x1.5a30539363423p-9, 0x1.51fbd3d9b9f99p-9, 0x1.49f5a4950b0cfp-9, 0x1.421cd7e45ceb1p-9, 0x1.3a708402896aep-9, 0x1.32efc3396fbcdp-9, 0x1.2b99b3d518492p-9, 0x1.246d7816d64ddp-9, 0x1.1d6a36285d1ap-9, 0x1.168f180ed8aap-9, 0x1.0fdb4b9e01327p-9, 0x1.094e026b344c4p-9, 0x1.02e671c08be0ap-9, 0x1.f947a52000adfp-10, 0x1.ed0ac2cd18e67p-10, 0x1.e114bcbebd6e3p-10, 0x1.d5641a2e25497p-10, 0x1.c9f7693de9677p-10, 0x1.becd3ee0ae531p-10, 0x1.b3e436bfe5888p-10, 0x1.a93af322b632ep-10, 0x1.9ed01cd4fc6ebp-10, 0x1.94a2630e7d76ep-10, 0x1.8ab07b5a3376fp-10, 0x1.80f9217dd087dp-10, 0x1.777b176166d55p-10, 0x1.6e3524f73a6afp-10, 0x1.65261823c7ec9p-10, 0x1.5c4cc4a5fbb84p-10, 0x1.53a803ff98525p-10, 0x1.4b36b55dd1bb9p-10, 0x1.42f7bd821ff3cp-10, 0x1.3aea06ab3e843p-10, 0x1.330c807e753a3p-10, 0x1.2b5e1ff102a8p-10, 0x1.23dddf31d575ep-10, 0x1.1c8abd936e3b8p-10, 0x1.1563bf7609687p-10, 0x1.0e67ee31fcf68p-10, 0x1.0796580254099p-10, 0x1.00ee0fefa99bap-10, 0x1.f4dc5b76817f5p-11, 0x1.e82b9b94ad4c2p-11, 0x1.dbc822236de4fp-11, 0x1.cfb03a031a682p-11, 0x1.c3e236e2eb0f7p-11, 0x1.b85c751997349p-11, 0x1.ad1d597e74cfap-11, 0x1.a2235143135c2p-11, 0x1.976cd1cd57febp-11, 0x1.8cf8589218e47p-11, 0x1.82c46af03563p-11, 0x1.78cf960c2f58dp-11, 0x1.6f186eac42a74p-11, 0x1.659d9114fa1a1p-11, 0x1.5c5da0e6446edp-11, 0x1.535748f9056ffp-11, 0x1.4a893b3d2529p-11, 0x1.41f230981cc1dp-11, 0x1.3990e8c3fd65dp-11, 0x1.31642a2ef5f1ep-11, 0x1.296ac1db51549p-11, 0x1.21a3833fef6e2p-11, 0x1.1a0d48293955bp-11, 0x1.12a6f09a8cbe9p-11, 0x1.0b6f62b01f27cp-11, 0x1.04658a81594bep-11, 0x1.fb10b40751906p-12, 0x1.edad91db8a911p-12, 0x1.e09fa936d7d75p-12, 0x1.d3e4ffe3192fep-12, 0x1.c77ba685d5369p-12, 0x1.bb61b86a5bc3fp-12, 0x1.af955b4cc82f2p-12, 0x1.a414bf25e2f07p-12, 0x1.98de1df7de245p-12, 0x1.8defbb9bec7a7p-12, 0x1.8347e590aef8p-12, 0x1.78e4f2c976d79p-12, 0x1.6ec5437e5bfbcp-12, 0x1.64e740fd228bcp-12, 0x1.5b495d7aeded1p-12, 0x1.51ea13e6c18e4p-12, 0x1.48c7e7bcc7664p-12, 0x1.3fe164da5fc3fp-12, 0x1.37351f52f3ab3p-12, 0x1.2ec1b3458b1afp-12, 0x1.2685c4b32005ap-12, 0x1.1e7fff55b125p-12, 0x1.16af167809d8cp-12, 0x1.0f11c4ce496c8p-12, 0x1.07a6cc4f1a02p-12, 0x1.006cf60d9b9fcp-12, 0x1.f2c6242805e2fp-13, 0x1.e50fee7dc0ef5p-13, 0x1.d7b50632316a4p-13, 0x1.cab333710516ap-13, 0x1.be084b365a3e5p-13, 0x1.b1b22f0a9526p-13, 0x1.a5aeccbf745bdp-13, 0x1.99fc1e2e6ce27p-13, 0x1.8e9828f8389b6p-13, 0x1.8380fe459e23fp-13, 0x1.78b4ba89683d8p-13, 0x1.6e31854387594p-13, 0x1.63f590c560e14p-13, 0x1.59ff19f73a3c3p-13, 0x1.504c681ec7a5bp-13, 0x1.46dbcca6cea61p-13, 0x1.3daba2e7e35d4p-13, 0x1.34ba4ff235d23p-13, 0x1.2c064258672b7p-13, 0x1.238df1fb6c38ap-13, 0x1.1b4fdfd77196cp-13, 0x1.134a95d1bceedp-13, 0x1.0b7ca6878e028p-13, 0x1.03e4ad1df11d7p-13, 0x1.f9029a2512716p-14, 0x1.eaa2641a8c382p-14, 0x1.dca61f6607906p-14, 0x1.cf0b42f22bbbbp-14, 0x1.c1cf54f35bcb1p-14, 0x1.b4efea924e8afp-14, 0x1.a86aa79851619p-14, 0x1.9c3d3e1d41d29p-14, 0x1.90656e372471bp-14, 0x1.84e105ab6387fp-14, 0x1.79addfa19f153p-14, 0x1.6ec9e4580ee6bp-14, 0x1.643308d96e78ep-14, 0x1.59e74eb46a2d1p-14, 0x1.4fe4c3b486cd4p-14, 0x1.4629819c7f095p-14, 0x1.3cb3ade20cab5p-14, 0x1.3381796b19002p-14, 0x1.2a91204c4d408p-14, 0x1.21e0e988fd372p-14, 0x1.196f26d464079p-14, 0x1.113a34542e95bp-14, 0x1.094078644bfd2p-14, 0x1.0180635bffc4ap-14, 0x1.f3f0dea859f6p-15, 0x1.e54e3fddae59fp-15, 0x1.d716043fa3a2p-15, 0x1.c94557ed306f6p-15, 0x1.bbd978d2935b3p-15, 0x1.aecfb64185ec9p-15, 0x1.a225708b9f156p-15, 0x1.95d8189edeba2p-15, 0x1.89e52fa451b18p-15, 0x1.7e4a46a0c5f2cp-15, 0x1.7304fe178a9fdp-15, 0x1.681305af24803p-15, 0x1.5d721bd7fc53cp-15, 0x1.53200d74f32d1p-15, 0x1.491ab585d3d1p-15, 0x1.3f5ffcd39e3a2p-15, 0x1.35edd99e9cac7p-15, 0x1.2cc24f4e3d4f8p-15, 0x1.23db6e22a6369p-15, 0x1.1b3752e7fad6bp-15, 0x1.12d426ab4b58bp-15, 0x1.0ab01e71240d3p-15, 0x1.02c97aedb4b91p-15, 0x1.f63d107d127d2p-16, 0x1.e75b3b4b90ee9p-16, 0x1.d8ea3a8dea917p-16, 0x1.cae6e7ca4d90ap-16, 0x1.bd4e3145629d2p-16, 0x1.b01d198473424p-16, 0x1.a350b6d253d56p-16, 0x1.96e632c6fe439p-16, 0x1.8adac9d1ddbedp-16, 0x1.7f2bcac6aa24ap-16, 0x1.73d6966cd546dp-16, 0x1.68d89f1175eabp-16, 0x1.5e2f681b9feacp-16, 0x1.53d885a3280a7p-16, 0x1.49d19c09b98bp-16, 0x1.40185f9637be3p-16, 0x1.36aa941265198p-16, 0x1.2d860c6ab2f8cp-16, 0x1.24a8aa5044dd6p-16, 0x1.1c105ddd03ddp-16, 0x1.13bb2539cdc5ap-16, 0x1.0ba70c46a26d5p-16, 0x1.03d22c44cf2c6p-16, 0x1.f875570615a35p-17, 0x1.e9bd7a16e8c09p-17, 0x1.db7940a6e64aep-17, 0x1.cda541dac39fep-17, 0x1.c03e2c780d66p-17, 0x1.b340c64f8e60ep-17, 0x1.a6a9ebab210d7p-17, 0x1.9a768ebed6672p-17, 0x1.8ea3b71d67c03p-17, 0x1.832e812fd3f86p-17, 0x1.78141db01dfb8p-17, 0x1.6d51d12725529p-17, 0x1.62e4f36d706ecp-17, 0x1.58caef2ef151fp-17, 0x1.4f014171a4e25p-17, 0x1.4585791efc9ddp-17, 0x1.3c55369011ad5p-17, 0x1.336e2b1c810ep-17, 0x1.2ace18abeb7c4p-17, 0x1.2272d14a09b4bp-17, 0x1.1a5a36bd439bp-17, 0x1.12823a1fbf52bp-17, 0x1.0ae8db7ad927dp-17, 0x1.038c2964f774dp-17, 0x1.f8d4814359132p-18, 0x1.eb02978835878p-18, 0x1.dd9f05a71b2abp-18, 0x1.d0a655e477071p-18, 0x1.c4152c0c476dap-18, 0x1.b7e844c7fb7c8p-18, 0x1.ac1c74f85b16ap-18, 0x1.a0aea913631ecp-18, 0x1.959be485fdc0ap-18, 0x1.8ae141198455cp-18, 0x1.807bee5cf0f3fp-18, 0x1.76693111af835p-18, 0x1.6ca6629bf41f5p-18, 0x1.6330f07689cbcp-18, 0x1.5a065ba9ff8c7p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.aaf94c6b433ddp-2, 0x1.845bb59d11cf1p-2, 0x1.5eaf29b0de5bap-2, 0x1.3a117122d3255p-2, 0x1.169b271dcd08cp-2, 0x1.e8c04005f83fcp-3, 0x1.a6dfa4054c0c9p-3, 0x1.67ab7adf0e178p-3, 0x1.2b33a5e92c4b2p-3, 0x1.e303590675ea6p-4, 0x1.7532f08045e46p-4, 0x1.0cf40cc022672p-4, 0x1.54783677b3be4p-5, 0x1.33e4be018bdfp-6, -0x1.5d9c52a384e41p-9, -0x1.764e15a38f3bbp-6, -0x1.5638f0dffbc9ep-5, -0x1.e759fcb8a42cap-5, -0x1.376d218683db8p-4, -0x1.76870d4bdeacfp-4, -0x1.b1267afb72ddfp-4, -0x1.e77830df3c299p-4, -0x1.0cd4c8f5222e4p-3, -0x1.23f41e4c5b585p-3, -0x1.3930dbccac573p-3, -0x1.4ca19573596fcp-3, -0x1.5e5c920441149p-3, -0x1.6e77b2251df8ap-3, -0x1.7d085be49084bp-3, -0x1.8a236a292d4f9p-3, -0x1.95dd1f8fd4e27p-3, -0x1.a0491c4b5a41p-3, -0x1.a97a56a1d0047p-3, -0x1.b18315adbf487p-3, -0x1.b874ee12b755bp-3, -0x1.be60c05d5117bp-3, -0x1.c356b8cea09c2p-3, -0x1.c766505a863bep-3, -0x1.ca9e4ea6c336bp-3, -0x1.cd0cccdef2045p-3, -0x1.cebf3936d7c9p-3, -0x1.cfc25af97295ep-3, -0x1.d0225707950e3p-3, -0x1.cfeab4acb6917p-3, -0x1.cf2662b42bac8p-3, -0x1.cddfbcabffc06p-3, -0x1.cc2090456418ep-3, -0x1.c9f222c51cb6fp-3, -0x1.c75d367846b0bp-3, -0x1.c46a1023e4aeep-3, -0x1.c1207c66f980fp-3, -0x1.bd87d50891c6p-3, -0x1.b9a7062c3e2c2p-3, -0x1.b58493688b2d6p-3, -0x1.b1269cbbf6d9ep-3, -0x1.ac92e35daeab7p-3, -0x1.a7cece67f78cbp-3, -0x1.a2df6f5ada123p-3, -0x1.9dc98675fcf1fp-3, -0x1.989186e938bb7p-3, -0x1.933b9adb91409p-3, -0x1.8dcba748bb636p-3, -0x1.88454fb57aedfp-3, -0x1.82abf9bb636eap-3, -0x1.7d02d06cace69p-3, -0x1.774cc790f911bp-3, -0x1.718c9ebbefbe4p-3, -0x1.6bc4e43ec9094p-3, -0x1.65f7f7f5d54cdp-3, -0x1.60280df32a4ccp-3, -0x1.5a573107ab40ep-3, -0x1.5487452b8c3fap-3, -0x1.4eba09c7a8f76p-3, -0x1.48f11be0bcbf4p-3, -0x1.432df825d772ep-3, -0x1.3d71fce327b0bp-3, -0x1.37be6bda50fbbp-3, -0x1.32146c017e189p-3, -0x1.2c750b2a3db1p-3, -0x1.26e13f915dfaap-3, -0x1.2159e958bdaccp-3, -0x1.1bdfd3ec372d4p-3, -0x1.1673b7529535dp-3, -0x1.1116396b954eap-3, -0x1.0bc7ef1be3db2p-3, -0x1.06895d67fbb27p-3, -0x1.015afa7ec2869p-3, -0x1.f87a5d699120dp-4, -0x1.ee60aae1b6d77p-4, -0x1.e4697c15a8b61p-4, -0x1.da95593a7b487p-4, -0x1.d0e4b595362fp-4, -0x1.c757f0eddd9c6p-4, -0x1.bdef58ec5ce5fp-4, -0x1.b4ab2a6069df4p-4, -0x1.ab8b9275abbb9p-4, -0x1.a290afd52106cp-4, -0x1.99ba93b4e376cp-4, -0x1.910942d74c038p-4, -0x1.887cb67a5493bp-4, -0x1.8014dd383ae91p-4, -0x1.77d19bda25c6ap-4, -0x1.6fb2ce1da948ap-4, -0x1.67b8476de8977p-4, -0x1.5fe1d391108p-4, -0x1.582f374ad8bfdp-4, -0x1.50a030f4b406fp-4, -0x1.4934790c478fap-4, -0x1.41ebc2b8c359p-4, -0x1.3ac5bc47a1998p-4, -0x1.33c20fa154dfp-4, -0x1.2ce062b66000fp-4, -0x1.262057e54c2eap-4, -0x1.1f818e59ed27fp-4, -0x1.1903a2665ab97p-4, -0x1.12a62dd602583p-4, -0x1.0c68c83b2bffcp-4, -0x1.064b07374a19ap-4, -0x1.004c7ebe66975p-4, -0x1.f4d982abf0b93p-5, -0x1.e956c09ed7233p-5, -0x1.de0fd7fd3cf5dp-5, -0x1.d303e7d92b08ep-5, -0x1.c8320e0d3def7p-5, -0x1.bd996794450f9p-5, -0x1.b33910da9dabcp-5, -0x1.a9102609b09b5p-5, -0x1.9f1dc34ded781p-5, -0x1.956105179f165p-5, -0x1.8bd90856e5fa7p-5, -0x1.8284eab32c89dp-5, -0x1.7963cabe56c1fp-5, -0x1.7074c823f8678p-5, -0x1.67b703d4cc6f2p-5, -0x1.5f29a02eaa248p-5, -0x1.56cbc12135a24p-5, -0x1.4e9c8c4f77ef7p-5, -0x1.469b292e98775p-5, -0x1.3ec6c121df421p-5, -0x1.371e7f94345ccp-5, -0x1.2fa1920f39a32p-5, -0x1.284f2850313c7p-5, -0x1.2126745acdff3p-5, -0x1.1a26aa8a0fdc2p-5, -0x1.134f019f4fda4p-5, -0x1.0c9eb2cf95adbp-5, -0x1.0614f9cf55de9p-5, -0x1.ff6229b96027p-6, -0x1.f2e48990934b4p-6, -0x1.e6af99f9b116dp-6, -0x1.dac1e70aeaf3dp-6, -0x1.cf1a0225999d5p-6, -0x1.c3b681fe7525ep-6, -0x1.b89602a3db7c3p-6, -0x1.adb725822f48p-6, -0x1.a318916689877p-6, -0x1.98b8f27fc38d1p-6, -0x1.8e96fa5e0939cp-6, -0x1.84b15ff100cffp-6, -0x1.7b06df84ab9p-6, -0x1.71963abd0a602p-6, -0x1.685e3890b003ep-6, -0x1.5f5da5423caafp-6, -0x1.56935258efdfdp-6, -0x1.4dfe169850d6ap-6, -0x1.459ccdf707263p-6, -0x1.3d6e5994f1fc6p-6, -0x1.35719fb09183dp-6, -0x1.2da58b9bc766ap-6, -0x1.26090db00877fp-6, -0x1.1e9b1b4201a0ep-6, -0x1.175aae94c3102p-6, -0x1.1046c6cc7b873p-6, -0x1.095e67e0cc361p-6, -0x1.02a09a8ec284ap-6, -0x1.f818d894fda66p-7, -0x1.eb41de612b20dp-7, -0x1.deba73ee4fa9ap-7, -0x1.d280cfbda0b9fp-7, -0x1.c6933146a25e6p-7, -0x1.baefe0d845fcfp-7, -0x1.af952f79b1da1p-7, -0x1.a48176cadb93bp-7, -0x1.99b318e4ebb9cp-7, -0x1.8f28803a7cceap-7, -0x1.84e01f77c693ep-7, -0x1.7ad87162b70b3p-7, -0x1.710ff8bb03057p-7, -0x1.6785401a39829p-7, -0x1.5e36d9d3e253ap-7, -0x1.55235fd5aacfap-7, -0x1.4c497387abddcp-7, -0x1.43a7bdacce65bp-7, -0x1.3b3cee4351f3p-7, -0x1.3307bc657f655p-7, -0x1.2b06e62a895e4p-7, -0x1.23393087a09dbp-7, -0x1.1b9d67313ff57p-7, -0x1.14325c7cb5998p-7, -0x1.0cf6e941ea812p-7, -0x1.05e9ecbd6fba1p-7, -0x1.fe1498e5a08b8p-8, -0x1.f0ade81e5b1c4p-8, -0x1.e39daa98508b2p-8, -0x1.d6e1cfa62f56bp-8, -0x1.ca78524122585p-8, -0x1.be5f38d089789p-8, -0x1.b29494f2579cep-8, -0x1.a71683441f613p-8, -0x1.9be32b2cd005ap-8, -0x1.90f8bea7217p-8, -0x1.86557a0cb8431p-8, -0x1.7bf7a3e1fb91dp-8, -0x1.71dd8ca2a5c1bp-8, -0x1.68058e8f0b891p-8, -0x1.5e6e0d7a1e653p-8, -0x1.5515769829adap-8, -0x1.4bfa404e4925cp-8, -0x1.431aea029cfd1p-8, -0x1.3a75fbed38fe1p-8, -0x1.320a06e9cd82ap-8, -0x1.29d5a44a1017ep-8, -0x1.21d775a8d9af7p-8, -0x1.1a0e24be04376p-8, -0x1.12786332fe97dp-8, -0x1.0b14ea781c26bp-8, -0x1.03e27b9a99f0ep-8, -0x1.f9bfbe36b8c21p-9, -0x1.ec17c98cc4e6bp-9, -0x1.decac715dcedbp-9, -0x1.d1d672a8bce47p-9, -0x1.c53895c776fccp-9, -0x1.b8ef0753e9181p-9, -0x1.acf7ab45961adp-9, -0x1.a1507260d466cp-9, -0x1.95f759ef571afp-9, -0x1.8aea6b7a0499p-9, -0x1.8027bc84234fdp-9, -0x1.75ad6e47ca387p-9, -0x1.6b79ad739e07ap-9, -0x1.618ab1e9cf405p-9, -0x1.57debe805ad86p-9, -0x1.4e7420c2807d4p-9, -0x1.454930b37778dp-9, -0x1.3c5c50924fa46p-9, -0x1.33abec9f076aap-9, -0x1.2b367ae0c8c5fp-9, -0x1.22fa7aed4dcb7p-9, -0x1.1af675b167b0ep-9, -0x1.1328fd3aa21d6p-9, -0x1.0b90ac8203e42p-9, -0x1.042c2737e1574p-9, -0x1.f9f4332181858p-10, -0x1.ebf270269a3d4p-10, -0x1.de507ece9f4dbp-10, -0x1.d10be84b57b0ep-10, -0x1.c4224552c4a7bp-10, -0x1.b7913dc30cc3p-10, -0x1.ab56884863d4p-10, -0x1.9f6fea04d15f3p-10, -0x1.93db3639db31bp-10, -0x1.88964df3ffd67p-10, -0x1.7d9f1fb8056ap-10, -0x1.72f3a732088b5p-10, -0x1.6891ece64a46ep-10, -0x1.5e7805e3b75dp-10, -0x1.54a4137817fe6p-10, -0x1.4b1442e5e5bf3p-10, -0x1.41c6cd1bc4603p-10, -0x1.38b9f66d8c89cp-10, -0x1.2fec0e4ee5186p-10, -0x1.275b6f0f655ap-10, -0x1.1f067d9837397p-10, -0x1.16eba92b2e164p-10, -0x1.0f096b2357ea3p-10, -0x1.075e46b6e9355p-10, -0x1.ffd191753a8p-11, -0x1.f14f0eccca2ffp-11, -0x1.e3324436e38edp-11, -0x1.d57882571813cp-11, -0x1.c81f2b4365087p-11, -0x1.bb23b217f51cbp-11, -0x1.ae839a8d55542p-11, -0x1.a23c789112f1fp-11, -0x1.964befe0b63ap-11, -0x1.8aafb3a70af17p-11, -0x1.7f65861baef58p-11, -0x1.746b3824d593dp-11, -0x1.69bea8fb38a73p-11, -0x1.5f5dc5d029109p-11, -0x1.55468975b3839p-11, -0x1.4b76fc08cff77p-11, -0x1.41ed329d8eacbp-11, -0x1.38a74eed398cfp-11, -0x1.2fa37f065e2e6p-11, -0x1.26dffcfeb7063p-11, -0x1.1e5b0ea6e8faap-11, -0x1.161305400abfcp-11, -0x1.0e063d32ecc34p-11, -0x1.06331dc91951ep-11, -0x1.fd3031cefee9dp-12, -0x1.ee675595880a7p-12, -0x1.e008b38a583f1p-12, -0x1.d2116bfc31bb5p-12, -0x1.c47eb2661b9acp-12, -0x1.b74dccf46b84cp-12, -0x1.aa7c140cbfdd8p-12, -0x1.9e06f1d8d80d6p-12, -0x1.91ebe1d43dcebp-12, -0x1.8628705ca88adp-12, -0x1.7aba3a4511505p-12, -0x1.6f9eec6b672cfp-12, -0x1.64d44350d1734p-12, -0x1.5a580ab47350cp-12, -0x1.50281d30a331p-12, -0x1.464263da8784bp-12, -0x1.3ca4d5e406757p-12, -0x1.334d7840006bcp-12, -0x1.2a3a5d48c9b0dp-12, -0x1.2169a468ca66ep-12, -0x1.18d979c549cdap-12, -0x1.108815eb454adp-12, -0x1.0873bd7e56d1fp-12, -0x1.009ac0e995f43p-12, -0x1.f1f6f824d0a9ap-13, -0x1.e328ac1a73b7ep-13, -0x1.d4c781a819c55p-13, -0x1.c6d071fdb8fe2p-13, -0x1.b9408afb7dd79p-13, -0x1.ac14eea98b953p-13, -0x1.9f4ad2b312b0cp-13, -0x1.92df7fe4ba6f8p-13, -0x1.86d051ae3c524p-13, -0x1.7b1ab5a7212a1p-13, -0x1.6fbc2b1691668p-13, -0x1.64b2427e21347p-13, -0x1.59fa9d278ae8dp-13, -0x1.4f92ecb53d99cp-13, -0x1.4578f2b5bc4acp-13, -0x1.3baa8039a9a4fp-13, -0x1.3225756c84bc9p-13, -0x1.28e7c12ff3c28p-13, -0x1.1fef60b9a03c5p-13, -0x1.173a5f337b541p-13, -0x1.0ec6d55e798fbp-13, -0x1.0692e9379b9a6p-13, -0x1.fd399b3e94dccp-14, -0x1.edc58405d24b2p-14, -0x1.dec624113547ep-14, -0x1.d0382a7a47613p-14, -0x1.c2185d87cd93p-14, -0x1.b4639a11c2c0fp-14, -0x1.a716d2e94f9a8p-14, -0x1.9a2f10449423dp-14, -0x1.8da96f2e41fb9p-14, -0x1.818320f8d941p-14, -0x1.75b96ab57f45ep-14, -0x1.6a49a4ae53aa5p-14, -0x1.5f3139e42dbaep-14, -0x1.546da78fade3p-14, -0x1.49fc7ca58e4f1p-14, -0x1.3fdb595e1cf12p-14, -0x1.3607eebfcc2ccp-14, -0x1.2c7ffe2cc6b51p-14, -0x1.234158f371b7bp-14, -0x1.1a49dfe1cebc7p-14, -0x1.119782dba5739p-14, -0x1.09284073698d9p-14, -0x1.00fa2585c646fp-14, -0x1.f21699af86724p-15, -0x1.e2b3bd6eda5f8p-15, -0x1.d3c8213df0c0ap-15, -0x1.c55049b48c719p-15, -0x1.b748d45d8c3ebp-15, -0x1.a9ae770b3599ap-15, -0x1.9c7dff2ffa199p-15, -0x1.8fb4513b8f11ep-15, -0x1.834e67fc4257ep-15, -0x1.774954046fc28p-15, -0x1.6ba23b13fa911p-15, -0x1.60565785b34cfp-15, -0x1.5562f7c090367p-15, -0x1.4ac57dac9fbcep-15, -0x1.407b5e2b9bc86p-15, -0x1.3682209506c8p-15, -0x1.2cd75e35beb23p-15, -0x1.2378c1d2e9dddp-15, -0x1.1a6407302cc4cp-15, -0x1.1196fa991144ap-15, -0x1.090f786d8b8d5p-15, -0x1.00cb6cb18666p-15, -0x1.f191a53ece96fp-16, -0x1.e20b687ae25dfp-16, -0x1.d30053ebf3e32p-16, -0x1.c46cb464b3815p-16, -0x1.b64cf1f10b1a7p-16, -0x1.a89d8f168d22fp-16, -0x1.9b5b2819e9e6dp-16, -0x1.8e8272495e10ep-16, -0x1.82103b4be8bbcp-16, -0x1.760168753aa36p-16, -0x1.6a52f61e2cbe2p-16, -0x1.5f01f701b1466p-16, -0x1.540b939e1568p-16, -0x1.496d099a818f1p-16, -0x1.3f23ab30944ffp-16, -0x1.352cde99fc876p-16, -0x1.2b861d8202d7dp-16, -0x1.222cf47add0c2p-16, -0x1.191f0276b397bp-16, -0x1.1059f8444a13p-16, -0x1.07db980f281d3p-16, -0x1.ff4369c6613f8p-17, -0x1.ef5464671c77p-17, -0x1.dfe606c9c898dp-17, -0x1.d0f456b54c808p-17, -0x1.c27b780f0accbp-17, -0x1.b477ac01c4f77p-17, -0x1.a6e5502a593abp-17, -0x1.99c0ddca28d0fp-17, -0x1.8d06e8ff1b093p-17, -0x1.80b42000fdc6ap-17, -0x1.74c54a6430ae3p-17, -0x1.693748616ce5fp-17, -0x1.5e0712228e03p-17, -0x1.5331b714399p-17, -0x1.48b45d3c42bb6p-17, -0x1.3e8c4094a56c4p-17, -0x1.34b6b26b09e6bp-17, -0x1.2b3118c4a049bp-17, -0x1.21f8edc641739p-17, -0x1.190bbf20b4e06p-17, -0x1.10672d8101b64p-17, -0x1.0808ec04adbe4p-17, -0x1.ffdd7f63a0687p-18, -0x1.f02cfde5bf46ep-18, -0x1.e0fc222c42539p-18, -0x1.d246dba13ef33p-18, -0x1.c40939892688ep-18, -0x1.b63f6a1649b01p-18, -0x1.a8e5b982e20c1p-18, -0x1.9bf89131748edp-18, -0x1.8f7476d360fb6p-18, -0x1.83560b957803cp-18, -0x1.779a0b526ac25p-18, -0x1.6c3d4bcaeeaap-18, -0x1.613cbbe36d92ep-18, -0x1.569562e71ddb5p-18, -0x1.4c445fd05a44ep-18, -0x1.4246e8961ab41p-18, -0x1.389a497e64e69p-18, -0x1.2f3be4759a50cp-18, -0x1.2629306a78c5p-18, -0x1.1d5fb8aeb7fb2p-18, -0x1.14dd1c5c1b0c7p-18, -0x1.0c9f0dbddd62ap-18, -0x1.04a351be5a88cp-18, -0x1.f9cf7eb1aa63ep-19, -0x1.ead47e1e7cab7p-19, -0x1.dc5194c7cbcb6p-19, -0x1.ce42d6ade75b8p-19, -0x1.c0a477cf28f76p-19, -0x1.b372cb317a005p-19, -0x1.a6aa41f2db51ep-19, -0x1.9a476a60b5432p-19, -0x1.8e46ef15cd5e2p-19, -0x1.82a5961ea5dap-19, -0x1.7760402425687p-19, -0x1.6c73e79c577d9p-19, -0x1.61dda00114a6fp-19, -0x1.579a950c79933p-19, -0x1.4da809faf16adp-19, -0x1.440358d2bb444p-19, -0x1.3aa9f1b0bd28ap-19, -0x1.31995a1a7e094p-19, -0x1.28cf2c552ddd1p-19, -0x1.204916c186dcbp-19, -0x1.1804db3c75fe9p-19, -0x1.10004e8461311p-19, -0x1.083957a2e9516p-19, -0x1.00adef5b103a7p-19, -0x1.f2b83f373528p-20, -0x1.e48405eb2dc92p-20, -0x1.d6bb882dcfc89p-20, -0x1.c95b3a9171677p-20, -0x1.bc5fafe37d6cfp-20, -0x1.afc5983853e39p-20, -0x1.a389bffe666cep-20, -0x1.97a90f18453cbp-20, -0x1.8c2087fd8236ep-20, -0x1.80ed46e222b44p-20, -0x1.760c80e48a07p-20, -0x1.6b7b834198b91p-20, -0x1.6137b28edb9fap-20, -0x1.573e89faadf0dp-20, -0x1.4d8d9a92036b7p-20, -0x1.44228a8bd5f35p-20, -0x1.3afb1499f6138p-20, -0x1.3215073f1aa6cp-20, -0x1.296e442a18991p-20, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.8b2fb59372a0cp-1, 0x1.8212935762537p-1, 0x1.78eb8ccbe9c82p-1, 0x1.6fc17f102c98dp-1, 0x1.669ab345cc56fp-1, 0x1.5d7ce2ad6762fp-1, 0x1.546d3bcf22167p-1, 0x1.4b70686dc65bp-1, 0x1.428a940c3531ep-1, 0x1.39bf72d5381bfp-1, 0x1.311248bd4bee8p-1, 0x1.2885f0bcad42fp-1, 0x1.201ce405ec0d5p-1, 0x1.17d9412281657p-1, 0x1.0fbcd2e378d39p-1, 0x1.07c9171831ff5p-1, 0x1.fffe8a015c441p-2, 0x1.f0c0a6e7804cfp-2, 0x1.e1d9fd67d9364p-2, 0x1.d34b9bdfb20dbp-2, 0x1.c51630d9b2cf3p-2, 0x1.b73a14b728523p-2, 0x1.a9b752af9bd4fp-2, 0x1.9c8db12aaf03dp-2, 0x1.8fbcb97984722p-2, 0x1.8343bef605ae5p-2, 0x1.7721e58f184d2p-2, 0x1.6b5627c9459edp-2, 0x1.5fdf5c3bac551p-2, 0x1.54bc3a913226p-2, 0x1.49eb6015dac54p-2, 0x1.3f6b53d827566p-2, 0x1.353a8a6611028p-2, 0x1.2b57692d039bdp-2, 0x1.21c04983ec4dcp-2, 0x1.18737b661007cp-2, 0x1.0f6f47e510587p-2, 0x1.06b1f3581b71cp-2, 0x1.fc737e9be2be1p-3, 0x1.ec09d88dfdd13p-3, 0x1.dc237678f1bacp-3, 0x1.ccbcddf216cd8p-3, 0x1.bdd29a8ea6b79p-3, 0x1.af613ff41608ap-3, 0x1.a1656ba311ec8p-3, 0x1.93dbc683b2282p-3, 0x1.86c1063902555p-3, 0x1.7a11ee417de1dp-3, 0x1.6dcb50e985b0bp-3, 0x1.61ea101490bfp-3, 0x1.566b1de150d5dp-3, 0x1.4b4b7d2cb3678p-3, 0x1.408841f745127p-3, 0x1.361e91b035427p-3, 0x1.2c0ba368dccfdp-3, 0x1.224cbff382e6p-3, 0x1.18df41efb1eeap-3, 0x1.0fc095c6575e5p-3, 0x1.06ee3997a82a6p-3, 0x1.fccb7a391885dp-4, 0x1.ec4982fa5cf85p-4, 0x1.dc51f23c4d79ap-4, 0x1.cce04ecb1ce71p-4, 0x1.bdf040f243336p-4, 0x1.af7d91ed14445p-4, 0x1.a1842b4d7894p-4, 0x1.9400165a88b5cp-4, 0x1.86ed7b6888441p-4, 0x1.7a48a12b9c037p-4, 0x1.6e0dec06794b6p-4, 0x1.6239dd561886dp-4, 0x1.56c912bb646e4p-4, 0x1.4bb84563bd4f7p-4, 0x1.410449511023ep-4, 0x1.36aa0ca228c34p-4, 0x1.2ca696dbd4341p-4, 0x1.22f7083353b25p-4, 0x1.199898da90aacp-4, 0x1.1088984e71e45p-4, 0x1.07c46ca7a7debp-4, 0x1.fe9323dc678e6p-5, 0x1.ee2b32dfd3809p-5, 0x1.de4c523439dcap-5, 0x1.cef1f5ad411ebp-5, 0x1.c017b7d88025dp-5, 0x1.b1b958c590ce6p-5, 0x1.a3d2bcd569ea8p-5, 0x1.965feb9125e2cp-5, 0x1.895d0e88419c8p-5, 0x1.7cc67036604ffp-5, 0x1.70987af09b57ap-5, 0x1.64cfb7da53c52p-5, 0x1.5968cde18073bp-5, 0x1.4e6080c2664d8p-5, 0x1.43b3b012a985fp-5, 0x1.395f56539d0aap-5, 0x1.2f60880bb9a8p-5, 0x1.25b472e719b13p-5, 0x1.1c585cdedbf74p-5, 0x1.1349a3674ca3ap-5, 0x1.0a85baa4ace7p-5, 0x1.020a2ca6759ap-5, 0x1.f3a93151e1233p-6, 0x1.e3c564b9fac17p-6, 0x1.d464826bb8772p-6, 0x1.c5823f79b1f95p-6, 0x1.b71a75d551d05p-6, 0x1.a929230cb21a1p-6, 0x1.9baa67133cefap-6, 0x1.8e9a8314ce496p-6, 0x1.81f5d852ff6b9p-6, 0x1.75b8e70c54142p-6, 0x1.69e04d6cf0c09p-6, 0x1.5e68c688a2731p-6, 0x1.534f295dda61bp-6, 0x1.489067e15ab3dp-6, 0x1.3e298e1255aecp-6, 0x1.3417c116aa2afp-6, 0x1.2a583e5f066f7p-6, 0x1.20e85ad2a4bedp-6, 0x1.17c5820268977p-6, 0x1.0eed356316fbp-6, 0x1.065d0b8e6f573p-6, 0x1.fc255f15d81cp-7, 0x1.ec17c033cf8cp-7, 0x1.dc8cde17f0b5fp-7, 0x1.cd80813688a85p-7, 0x1.beee959735284p-7, 0x1.b0d329a0457b7p-7, 0x1.a32a6cecd3938p-7, 0x1.95f0af2d3a204p-7, 0x1.89225f1198b9p-7, 0x1.7cbc093dfc8e3p-7, 0x1.70ba5747d3928p-7, 0x1.651a0ebc695cfp-7, 0x1.59d81030086fbp-7, 0x1.4ef15655754c5p-7, 0x1.4462f51d822c8p-7, 0x1.3a2a18de69bd5p-7, 0x1.30440582a30afp-7, 0x1.26ae15bef9443p-7, 0x1.1d65ba4f9b7b8p-7, 0x1.1468793be6c01p-7, 0x1.0bb3ed20af078p-7, 0x1.0345c480c91eap-7, 0x1.f63782373dc68p-8, 0x1.e6676e932b3cep-8, 0x1.d7171abc244a3p-8, 0x1.c842761dcba7ap-8, 0x1.b9e591c1ed51dp-8, 0x1.abfc9f33de3bbp-8, 0x1.9e83ef6d967eep-8, 0x1.9177f1ce29b6ep-8, 0x1.84d5331949edcp-8, 0x1.78985c7f840ap-8, 0x1.6cbe32aee7353p-8, 0x1.614394ebc74b3p-8, 0x1.56257c31579c7p-8, 0x1.4b60fa59d2dbdp-8, 0x1.40f3394dec19ep-8, 0x1.36d97a3b4a512p-8, 0x1.2d1114d1cdc5ep-8, 0x1.239776876104dp-8, 0x1.1a6a21e21e9d6p-8, 0x1.1186adc88f5b5p-8, 0x1.08eac4d7cbccbp-8, 0x1.009424bf4efa2p-8, 0x1.f1013b44876b9p-9, 0x1.e15c22fc3f814p-9, 0x1.d234e72cb4356p-9, 0x1.c3878fca27ed6p-9, 0x1.b5504521061dfp-9, 0x1.a78b4ec9ef46cp-9, 0x1.9a3512a6aaa13p-9, 0x1.8d4a13e7a87edp-9, 0x1.80c6f219d13b6p-9, 0x1.74a8683c5701ep-9, 0x1.68eb4bde40167p-9, 0x1.5d8c8c4368e71p-9, 0x1.52893190c2377p-9, 0x1.47de5bff7ed83p-9, 0x1.3d894317035p-9, 0x1.338734ed5358dp-9, 0x1.29d5956dc8461p-9, 0x1.2071dda5db697p-9, 0x1.17599b17c8cap-9, 0x1.0e8a6f12e5958p-9, 0x1.06020e1167df4p-9, 0x1.fb7c7e36fbca3p-10, 0x1.eb79b65f057fcp-10, 0x1.dbf7995e492edp-10, 0x1.ccf21da2a0e06p-10, 0x1.be655a317a964p-10, 0x1.b04d859de09f7p-10, 0x1.a2a6f50718ce4p-10, 0x1.956e1b1faa265p-10, 0x1.889f873c64ce8p-10, 0x1.7c37e46b3f3dp-10, 0x1.7033f891bd2dbp-10, 0x1.6490a3929a962p-10, 0x1.594ade7a8b4bap-10, 0x1.4e5fbab3c3ecep-10, 0x1.43cc61401de65p-10, 0x1.398e11f999c3p-10, 0x1.2fa222d90d21ap-10, 0x1.2605ff42c1c03p-10, 0x1.1cb72758dbf6ap-10, 0x1.13b32f5352953p-10, 0x1.0af7bedd4e7dap-10, 0x1.02829077bbb32p-10, 0x1.f4a2e1c1d3131p-11, 0x1.e4c47d0216749p-11, 0x1.d565d1b6e0e7ep-11, 0x1.c682e0089e182p-11, 0x1.b817c835ee69fp-11, 0x1.aa20c9909cd4cp-11, 0x1.9c9a4182d6b88p-11, 0x1.8f80aa9c65bdap-11, 0x1.82d09ba7a5f0ap-11, 0x1.7686c6c5f9b96p-11, 0x1.6a9ff8937bba1p-11, 0x1.5f191751b397ap-11, 0x1.53ef221914057p-11, 0x1.491f30110835p-11, 0x1.3ea66fae5d19ep-11, 0x1.348225f7cd87fp-11, 0x1.2aafadd084973p-11, 0x1.212c77485eaep-11, 0x1.17f606f1bea26p-11, 0x1.0f09f53cc6fcbp-11, 0x1.0665edd7c9a48p-11, 0x1.fc0f5e298fd43p-12, 0x1.ebda12a7a251p-12, 0x1.dc27bce443348p-12, 0x1.ccf4427ba514p-12, 0x1.be3ba9dbf349ep-12, 0x1.affa193e289d2p-12, 0x1.a22bd5a7315afp-12, 0x1.94cd41f119d5cp-12, 0x1.87dadddc06301p-12, 0x1.7b514526afe39p-12, 0x1.6f2d2eae336e7p-12, 0x1.636b6b94ebf2p-12, 0x1.5808e670231d3p-12, 0x1.4d02a27c62f2bp-12, 0x1.4255bad82ededp-12, 0x1.37ff61c4efdep-12, 0x1.2dfcdfede552fp-12, 0x1.244b93b4e2b1fp-12, 0x1.1ae8f084b2d48p-12, 0x1.11d27e28ec43bp-12, 0x1.0905d82b0f4a5p-12, 0x1.0080ad34bef93p-12, 0x1.f0817ceddaf6dp-13, 0x1.e087be2ba74bep-13, 0x1.d10fe7331af3ep-13, 0x1.c215e2c669c01p-13, 0x1.b395bc4ca98cdp-13, 0x1.a58b9ecd2952cp-13, 0x1.97f3d3f2f2c96p-13, 0x1.8acac31831411p-13, 0x1.7e0cf05940747p-13, 0x1.71b6fbaf26f85p-13, 0x1.65c5a0113a88ap-13, 0x1.5a35b29dbca9cp-13, 0x1.4f0421c9308f9p-13, 0x1.442df494360dfp-13, 0x1.39b049c7b9d45p-13, 0x1.2f8857373ccf6p-13, 0x1.25b369090b0dap-13, 0x1.1c2ee1043438fp-13, 0x1.12f835e40ce41p-13, 0x1.0a0cf2b1110c7p-13, 0x1.016ab61f0594cp-13, 0x1.f21e63e03a8c4p-14, 0x1.e1f054ba0e725p-14, 0x1.d246eb03716dcp-14, 0x1.c31df59da0ae2p-14, 0x1.b47164fec8d98p-14, 0x1.a63d4a2651df9p-14, 0x1.987dd5997aa87p-14, 0x1.8b2f5667fda69p-14, 0x1.7e4e39389e95dp-14, 0x1.71d7075d3dc9fp-14, 0x1.65c665ee4b097p-14, 0x1.5a1914ed53243p-14, 0x1.4ecbee6e7321ap-14, 0x1.43dbe5c8795bdp-14, 0x1.394606cb7d684p-14, 0x1.2f0774fdbd443p-14, 0x1.251d6ade8bb3dp-14, 0x1.1b85392f21e63p-14, 0x1.123c4641218f1p-14, 0x1.09400d4a9d22dp-14, 0x1.008e1dbf79863p-14, 0x1.f048355ff9677p-15, 0x1.dfff7458c537bp-15, 0x1.d03d895a9abe3p-15, 0x1.c0fe2901da13dp-15, 0x1.b23d2a796da76p-15, 0x1.a3f68667106c9p-15, 0x1.962655e026ea1p-15, 0x1.88c8d166e42e2p-15, 0x1.7bda4fef7a86ep-15, 0x1.6f5745ed16c8bp-15, 0x1.633c446668e2bp-15, 0x1.5785f8117bc94p-15, 0x1.4c312876a4ddfp-15, 0x1.413ab71a518c4p-15, 0x1.369f9ead7a2e3p-15, 0x1.2c5cf2448aa9p-15, 0x1.226fdc9486c1bp-15, 0x1.18d59f363cc2ep-15, 0x1.0f8b91ef56e57p-15, 0x1.068f220117f7p-15, 0x1.fbbba2f93960ep-16, 0x1.eaea6d38e17a4p-16, 0x1.daa5f6469e314p-16, 0x1.cae9b77fc7efdp-16, 0x1.bbb14eead643p-16, 0x1.acf87e11fcc8fp-16, 0x1.9ebb28e6ec8cdp-16, 0x1.90f554af62a04p-16, 0x1.83a326fa48dcap-16, 0x1.76c0e49d21751p-16, 0x1.6a4af0b976033p-16, 0x1.5e3dcbca14bc7p-16, 0x1.529612b7d6a27p-16, 0x1.47507df5af459p-16, 0x1.3c69e0a3da255p-16, 0x1.31df27b9e0819p-16, 0x1.27ad593740d8ep-16, 0x1.1dd1935a912b3p-16, 0x1.14490bded78bcp-16, 0x1.0b110f3ef2d21p-16, 0x1.0226fffee040fp-16, 0x1.f310abf55a456p-17, 0x1.e2653b75dae5p-17, 0x1.d246ef9d030eap-17, 0x1.c2b13053219e9p-17, 0x1.b39f8b12f7481p-17, 0x1.a50db1bb5d329p-17, 0x1.96f7796a55324p-17, 0x1.8958d961275fep-17, 0x1.7c2de9f169088p-17, 0x1.6f72e3728531bp-17, 0x1.63241d3f9441cp-17, 0x1.573e0cbd3d9f1p-17, 0x1.4bbd4467608cap-17, 0x1.409e72e64ea76p-17, 0x1.35de622b4df16p-17, 0x1.2b79f69438314p-17, 0x1.216e2e15f4c6p-17, 0x1.17b81f6d9b393p-17, 0x1.0e54f958075abp-17, 0x1.054201cfae572p-17, 0x1.f8f92aa101823p-18, 0x1.e8044c43556eap-18, 0x1.d7a0774a09845p-18, 0x1.c7c8e35809f8cp-18, 0x1.b878efa412f18p-18, 0x1.a9ac21b798ac3p-18, 0x1.9b5e2437bc1acp-18, 0x1.8d8ac5b7f174p-18, 0x1.802df79614fb7p-18, 0x1.7343ccdf9c255p-18, 0x1.66c8793f9feebp-18, 0x1.5ab84ff5785a8p-18, 0x1.4f0fc2d3a2bfep-18, 0x1.43cb6146b4f0fp-18, 0x1.38e7d7641c60fp-18, 0x1.2e61ed0069023p-18, 0x1.243684cceb14cp-18, 0x1.1a629b7c66ca3p-18, 0x1.10e346eea9dd5p-18, 0x1.07b5b562c729fp-18, 0x1.fdae595f8d632p-19, 0x1.ec8a13072f373p-19, 0x1.dbf97d501d2bbp-19, 0x1.cbf7a89b8b43ap-19, 0x1.bc7fceb9536ffp-19, 0x1.ad8d51941aa4dp-19, 0x1.9f1bb9e82134ep-19, 0x1.9126b6046d29ap-19, 0x1.83aa1895fde4fp-19, 0x1.76a1d77cb575ap-19, 0x1.6a0a0aa9aaf38p-19, 0x1.5ddeeb06a0227p-19, 0x1.521cd16647ed7p-19, 0x1.46c0357d253bap-19, 0x1.3bc5ace2ac3a6p-19, 0x1.3129ea1a79b9cp-19, 0x1.26e9bba547407p-19, 0x1.1d020b1978aeap-19, 0x1.136fdc42f06bbp-19, 0x1.0a304c49fe4fap-19, 0x1.014090e128b8dp-19, 0x1.f13beef3410e6p-20, 0x1.e08bc8fc493d7p-20, 0x1.d06ba5283fcdap-20, 0x1.c0d6a3c5b9c55p-20, 0x1.b1c80ec118086p-20, 0x1.a33b5849f8e12p-20, 0x1.952c1983ad96p-20, 0x1.879611404d6e8p-20, 0x1.7a7522c625972p-20, 0x1.6dc5549f23e5ep-20, 0x1.6182cf71f750dp-20, 0x1.55a9dce493153p-20, 0x1.4a36e687c3dadp-20, 0x1.3f2674cb9f7b7p-20, 0x1.34752dfc75823p-20, 0x1.2a1fd5480346ap-20, 0x1.202349cab7c35p-20, 0x1.167c85a4a89c7p-20, 0x1.0d289d161499bp-20, 0x1.0424bda3310d5p-20, 0x1.f6dc5a7df7a76p-21, 0x1.e60492f9d44b6p-21, 0x1.d5bd0d9262bd8p-21, 0x1.c600df4ef4a82p-21, 0x1.b6cb47ef942d7p-21, 0x1.a817b082dbb8ap-21, 0x1.99e1aa0774a5ep-21, 0x1.8c24ec18e00edp-21, 0x1.7edd53a72b6cdp-21, 0x1.7206e1b93cac7p-21, 0x1.659dba395e87fp-21, 0x1.599e22cbbb133p-21, 0x1.4e0481ae734eap-21, 0x1.42cd5ca309bbdp-21, 0x1.37f557e0ce8f7p-21, 0x1.2d7935100adbcp-21, 0x1.2355d24da0ebbp-21, 0x1.19882936dd8c5p-21, 0x1.100d4dfd388ep-21, 0x1.06e26e81c3ed2p-21, 0x1.fc09a2f019842p-22, 0x1.eae3ab205d954p-22, 0x1.da4de14fc66b4p-22, 0x1.ca435e04a03f1p-22, 0x1.babf650cc5953p-22, 0x1.abbd6406fd3c9p-22, 0x1.9d38f0f89e3dcp-22, 0x1.8f2dc8ef110c6p-22, 0x1.8197ceacd147fp-22, 0x1.74730961926e9p-22, 0x1.67bba36d2795p-22, 0x1.5b6de92cde5c3p-22, 0x1.4f8647d2f0e79p-22, 0x1.44014c47bf836p-22, 0x1.38dba21483932p-22, 0x1.2e1212572851bp-22, 0x1.23a182bf085a3p-22, 0x1.1986f49239befp-22, 0x1.0fbf83bb31cbdp-22, 0x1.064865de6e5e3p-22, 0x1.fa3dd2efd8321p-23, 0x1.e880ea0045ccbp-23, 0x1.d7550c30a5a0fp-23, 0x1.c6b5617bb5494p-23, 0x1.b69d3d08d0d16p-23, 0x1.a7081bad8712dp-23, 0x1.97f1a27bfc0e1p-23, 0x1.89559d5db1072p-23, 0x1.7b2ffdba458f3p-23, 0x1.6d7cd929d27aep-23, 0x1.603868327deddp-23, 0x1.535f0510ed2a6p-23, 0x1.46ed2a8b334e5p-23, 0x1.3adf72cdef81cp-23, 0x1.2f3296533d709p-23, 0x1.23e36ad32f314p-23, 0x1.18eee23d70acap-23, 0x1.0e5209bbe1cbap-23, 0x1.040a08bdc01ebp-23, 0x1.f42840165e377p-24, 0x1.e0db51c199b8dp-24, 0x1.ce28282621e8cp-24, 0x1.bc09d2727687ep-24, 0x1.aa7b8bbf0ed7dp-24, 0x1.9978b980e4df2p-24, 0x1.88fcea09a70afp-24, 0x1.7903d31515e1p-24, 0x1.6989506328db7p-24, 0x1.5a89625e8929dp-24, 0x1.4c002ccef9c0cp-24, 0x1.3de9f5974b515p-24, 0x1.3043237e75f6bp-24, 0x1.23083d037d1bp-24, 0x1.1635e73bbfdd5p-24, 0x1.09c8e4bb5e2b2p-24, 0x1.fb7c290eb9e9ep-25, 0x1.e424e2226a624p-25, 0x1.cd861e76fd132p-25, 0x1.b79a3acecaecap-25, 0x1.a25bc5154a64dp-25, 0x1.8dc57a9b707fbp-25, 0x1.79d24663f7ee2p-25, 0x1.667d3f7f02121p-25, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.098247a33d76cp-4, 0x1.02562f08373cp-4, 0x1.f09396ba2e925p-5, 0x1.d6ffd4afcf605p-5, 0x1.b845cab069093p-5, 0x1.94c616b35bb18p-5, 0x1.6cea4895a462p-5, 0x1.41222782b0d44p-5, 0x1.11e13d45d3134p-5, 0x1.bf3955ce3e8ap-6, 0x1.55928e07ec6b7p-6, 0x1.cf68105e40316p-7, 0x1.d9f4da259e19ap-8, 0x1.62770d39998ffp-13, -0x1.caa13ac8b465p-8, -0x1.d2133730ed514p-7, -0x1.5faaa007216bdp-6, -0x1.d5e42a5151a86p-6, -0x1.258e41e64ed2p-5, -0x1.5f63c4425f307p-5, -0x1.98334635e8c2ap-5, -0x1.cfc40b8a5a31p-5, -0x1.02f1df87fec09p-4, -0x1.1d3319673a8e7p-4, -0x1.36928b2f66444p-4, -0x1.4effd319380a7p-4, -0x1.666d2b1280da3p-4, -0x1.7ccf3cacbed0ap-4, -0x1.921cf48716813p-4, -0x1.a64f55e35c3fep-4, -0x1.b9614ef41a5a6p-4, -0x1.cb4f8e53dd2dcp-4, -0x1.dc1859fc9710ap-4, -0x1.ebbb67ffb5132p-4, -0x1.fa39b92d1e51bp-4, -0x1.03cabae3be186p-3, -0x1.09e8e62b9ff62p-3, -0x1.0f796951a4fc7p-3, -0x1.147eb466b1652p-3, -0x1.18fb8f44fa7f4p-3, -0x1.1cf30d32972e5p-3, -0x1.20688181bdf6bp-3, -0x1.235f75244a051p-3, -0x1.25db9d2702bc3p-3, -0x1.27e0d2087f7d9p-3, -0x1.297307df1d196p-3, -0x1.2a9647415642ep-3, -0x1.2b4ea6e3f0f16p-3, -0x1.2ba045e18a55fp-3, -0x1.2b8f469f7f2a4p-3, -0x1.2b1fca4479c0ep-3, -0x1.2a55ecb57ea2ap-3, -0x1.2935c10ec3bb5p-3, -0x1.27c34e8e32c35p-3, -0x1.26028de6036c7p-3, -0x1.23f766ee63118p-3, -0x1.21a5aeadb1adp-3, -0x1.1f1125af7404cp-3, -0x1.1c3d76a282c69p-3, -0x1.192e3537a5709p-3, -0x1.15e6dd3a308bcp-3, -0x1.126ad1dcbba8dp-3, -0x1.0ebd5d347dd13p-3, -0x1.0ae1afde3c5cbp-3, -0x1.06dae0c8317f1p-3, -0x1.02abed1ca7d52p-3, -0x1.fcaf7092b9594p-4, -0x1.f3c2184043555p-4, -0x1.ea95321adf421p-4, -0x1.e12decc40be4p-4, -0x1.d7914559a4d6fp-4, -0x1.cdc408457aca6p-4, -0x1.c3cad2244ad7cp-4, -0x1.b9aa10c01352fp-4, -0x1.af66041a36cf5p-4, -0x1.a502bf82441a5p-4, -0x1.9a842ab6804dfp-4, -0x1.8fee030bab0e1p-4, -0x1.8543dc99bbebep-4, -0x1.7a89236ba68b7p-4, -0x1.6fc11cb059b01p-4, -0x1.64eee7eb7e993p-4, -0x1.5a158024a2dfcp-4, -0x1.4f37bd13aae7dp-4, -0x1.44585449920a1p-4, -0x1.3979da54ab271p-4, -0x1.2e9ec3dfaab04p-4, -0x1.23c966caeea37p-4, -0x1.18fbfb3f8bf8bp-4, -0x1.0e389cbbc4cbbp-4, -0x1.03814b18a0887p-4, -0x1.f1afd710e62d8p-5, -0x1.dc7c931c59affp-5, -0x1.c76c2fdac904cp-5, -0x1.b281e3261ed72p-5, -0x1.9dc0b4eddc1ebp-5, -0x1.892b80eb77e9bp-5, -0x1.74c4f8486d4a7p-5, -0x1.608fa3363339cp-5, -0x1.4c8de27862aebp-5, -0x1.38c1f0e15c8dap-5, -0x1.252de4c1bfa66p-5, -0x1.11d3b14b0fdd6p-5, -0x1.fd6a4fcbd55e3p-6, -0x1.d7a7f2f85edfbp-6, -0x1.b2636f6efae64p-6, -0x1.8d9fac68e29a6p-6, -0x1.695f57560b9fbp-6, -0x1.45a4e618f741p-6, -0x1.2272992e68f42p-6, -0x1.ff94fb836840ap-7, -0x1.bb5cdf5ce2e6dp-7, -0x1.784036e0ade58p-7, -0x1.36420003c22c4p-7, -0x1.eac9c2aa0ef7ep-8, -0x1.6b565af44352cp-8, -0x1.dc5b9a3788d3dp-9, -0x1.cd4e0b0d0ad6dp-10, 0x1.4d6baea9dc7a3p-14, 0x1.edae00d8d547fp-10, 0x1.de9865b158d33p-9, 0x1.60d68a6bf9c16p-8, 0x1.d009c7d9c96b4p-8, 0x1.1e72d1ec1f565p-7, 0x1.53b524e147673p-7, 0x1.87cc294dee151p-7, 0x1.bab8601d51667p-7, 0x1.ec7a7c4dbb9a3p-7, 0x1.0e89b0565a567p-6, 0x1.26420ed2b99cap-6, 0x1.3d66f790732d5p-6, 0x1.53f91d3b5e2cap-6, 0x1.69f946376d662p-6, 0x1.7f684ba9613e8p-6, 0x1.9447188729dc1p-6, 0x1.a896a8afc13a7p-6, 0x1.bc58080a44de5p-6, 0x1.cf8c51ac140cp-6, 0x1.e234af05bd078p-6, 0x1.f45257168dbbap-6, 0x1.02f346d34ae99p-5, 0x1.0b79514375e8bp-5, 0x1.13bbf86c046b3p-5, 0x1.1bbbef2b0cfd3p-5, 0x1.2379ed5588e3fp-5, 0x1.2af6af63325a5p-5, 0x1.3232f61d1e9f8p-5, 0x1.392f864f06d1ap-5, 0x1.3fed287b2c3bp-5, 0x1.466ca890c9a52p-5, 0x1.4caed5a50019dp-5, 0x1.52b481ae30a5p-5, 0x1.587e8141b342ep-5, 0x1.5e0dab53dce67p-5, 0x1.6362d8fa4794cp-5, 0x1.687ee5304c0afp-5, 0x1.6d62ac9da206ep-5, 0x1.720f0d5f175d2p-5, 0x1.7684e6d153a8ap-5, 0x1.7ac5195d99723p-5, 0x1.7ed086487af66p-5, 0x1.82a80f827200ap-5, 0x1.864c977a53d0fp-5, 0x1.89bf00f191929p-5, 0x1.8d002ed23c96cp-5, 0x1.90110406be7edp-5, 0x1.92f26353400e6p-5, 0x1.95a52f30aed05p-5, 0x1.982a49a95868cp-5, 0x1.9a8294371051ep-5, 0x1.9caeefa2d683ap-5, 0x1.9eb03be5f4d17p-5, 0x1.a087580c8492bp-5, 0x1.a23522195a1d7p-5, 0x1.a3ba76eb436efp-5, 0x1.a5183223994dbp-5, 0x1.a64f2e0e103e7p-5, 0x1.a7604389c7e4bp-5, 0x1.a84c49f3889ebp-5, 0x1.a91417112d9b6p-5, 0x1.a9b87efe29d1ep-5, 0x1.aa3a54192780cp-5, 0x1.aa9a66f2b422ap-5, 0x1.aad9863cf2dbep-5, 0x1.aaf87ebc49c63p-5, 0x1.aaf81b3908b0ep-5, 0x1.aad92471f9812p-5, 0x1.aa9c610fd923bp-5, 0x1.aa429599aaa38p-5, 0x1.a9cc8469e4649p-5, 0x1.a93aeda469caep-5, 0x1.a88e8f2d4f8adp-5, 0x1.a7c824a05d9e3p-5, 0x1.a6e867494d764p-5, 0x1.a5f00e1cbbf79p-5, 0x1.a4dfcdb1c7de7p-5, 0x1.a3b8583c557fdp-5, 0x1.a27a5d87f518bp-5, 0x1.a1268af362de2p-5, 0x1.9fbd8b6c9ad3bp-5, 0x1.9e40076d7bd58p-5, 0x1.9caea4f8f59c8p-5, 0x1.9b0a0798b6d4bp-5, 0x1.9952d05b5d088p-5, 0x1.97899dd31ce01p-5, 0x1.95af0c14ded73p-5, 0x1.93c3b4b7cb212p-5, 0x1.91c82ed540dd2p-5, 0x1.8fbd0f0932451p-5, 0x1.8da2e772e5d72p-5, 0x1.8b7a47b610dd8p-5, 0x1.8943bcfc4dcb1p-5, 0x1.86ffd1f6e8718p-5, 0x1.84af0ee0f7f97p-5, 0x1.8251f981cb896p-5, 0x1.7fe9152f9b88ap-5, 0x1.7d74e2d284c5bp-5, 0x1.7af5e0e7c3ff8p-5, 0x1.786c8b853285fp-5, 0x1.75d95c5cfeaafp-5, 0x1.733ccac19abc5p-5, 0x1.70974ba9e60bcp-5, 0x1.6de951b5862acp-5, 0x1.6b334d3170b42p-5, 0x1.6875ac1ca279p-5, 0x1.65b0da2d01f5p-5, 0x1.62e540d46a921p-5, 0x1.60134745dbd03p-5, 0x1.5d3b527acbf65p-5, 0x1.5a5dc5389f005p-5, 0x1.577b00163796fp-5, 0x1.54936181a7577p-5, 0x1.51a745c5fa8d7p-5, 0x1.4eb707111a70fp-5, 0x1.4bc2fd79c7518p-5, 0x1.48cb7f05a7297p-5, 0x1.45d0dfaf66d71p-5, 0x1.42d3716cedfb6p-5, 0x1.3fd38435a2547p-5, 0x1.3cd16608b70d7p-5, 0x1.39cd62f38be4fp-5, 0x1.36c7c5181469fp-5, 0x1.33c0d4b34be41p-5, 0x1.30b8d823af90dp-5, 0x1.2db013efbf902p-5, 0x1.2aa6cacc889dp-5, 0x1.279d3da42e7a2p-5, 0x1.2493ab9c7d67cp-5, 0x1.218a521d7a8bcp-5, 0x1.1e816cd7f9fa5p-5, 0x1.1b7935cc302c5p-5, 0x1.1871e5504754p-5, 0x1.156bb216ef10ap-5, 0x1.1266d135ede4cp-5, 0x1.0f63762caba27p-5, 0x1.0c61d2eab961dp-5, 0x1.096217d6553ep-5, 0x1.066473d2e7bd4p-5, 0x1.0369144778c7p-5, 0x1.007025252331ep-5, 0x1.faf3a1daf47dbp-6, 0x1.f50c8171d5028p-6, 0x1.ef2b387a23f61p-6, 0x1.e95013a61b562p-6, 0x1.e37b5cfb79ce4p-6, 0x1.ddad5bdff8887p-6, 0x1.d7e65525a6f4ap-6, 0x1.d2268b173227ep-6, 0x1.cc6e3d84144e8p-6, 0x1.c6bda9ccac319p-6, 0x1.c1150aee3ccf7p-6, 0x1.bb74998eceb1fp-6, 0x1.b5dc8c08fc287p-6, 0x1.b04d1677a15c2p-6, 0x1.aac66ac16e21dp-6, 0x1.a548b8a45ba69p-6, 0x1.9fd42dc10cff5p-6, 0x1.9a68f5a606e89p-6, 0x1.950739dad269ep-6, 0x1.8faf21eaff1a4p-6, 0x1.8a60d37105064p-6, 0x1.851c72210bd8bp-6, 0x1.7fe21fd38ed3fp-6, 0x1.7ab1fc8fe60d9p-6, 0x1.758c2696aa5f2p-6, 0x1.7070ba6bfde43p-6, 0x1.6b5fd2e1b41afp-6, 0x1.665989215788dp-6, 0x1.615df4b6111d3p-6, 0x1.5c6d2b966dcdbp-6, 0x1.5787422e04871p-6, 0x1.52ac4b66fa57fp-6, 0x1.4ddc58b3663cdp-6, 0x1.49177a1693d8cp-6, 0x1.445dbe2e27ec8p-6, 0x1.3faf323b1f81ep-6, 0x1.3b0be22aae04p-6, 0x1.3673d89f0202cp-6, 0x1.31e71ef7df094p-6, 0x1.2d65bd5b1d6b4p-6, 0x1.28efbabd06e2cp-6, 0x1.24851ce8921bap-6, 0x1.2025e8877e943p-6, 0x1.1bd2212a4eb6ep-6, 0x1.1789c950251abp-6, 0x1.134ce26e7d2b2p-6, 0x1.0f1b6cf8c2be1p-6, 0x1.0af56867d1bcap-6, 0x1.06dad3414cfbap-6, 0x1.02cbab1ed9a23p-6, 0x1.fd8fd96a7193dp-7, 0x1.f59f27b690fb1p-7, 0x1.edc53721b4feap-7, 0x1.e601fc0aebe5dp-7, 0x1.de55693dee80bp-7, 0x1.d6bf700018276p-7, 0x1.cf40001d3a21fp-7, 0x1.c7d707f41936dp-7, 0x1.c0847482c1p-7, 0x1.b948317293b34p-7, 0x1.b222292425d74p-7, 0x1.ab1244bad93b3p-7, 0x1.a4186c2845448p-7, 0x1.9d3486375fe79p-7, 0x1.966678976e549p-7, 0x1.8fae27e6c89b5p-7, 0x1.890b77bd56f0fp-7, 0x1.827e4ab6e1ebfp-7, 0x1.7c06827d2a74dp-7, 0x1.75a3ffd1cad3cp-7, 0x1.6f56a297e513bp-7, 0x1.691e49dd9919cp-7, 0x1.62fad3e5497bp-7, 0x1.5cec1e2eb3488p-7, 0x1.56f2057fc51ebp-7, 0x1.510c65ed50344p-7, 0x1.4b3b1ae382868p-7, 0x1.457dff2e3738ep-7, 0x1.3fd4ed0109df8p-7, 0x1.3a3fbdff472bdp-7, 0x1.34be4b43a7f8ep-7, 0x1.2f506d67e0038p-7, 0x1.29f5fc8bfe9ccp-7, 0x1.24aed05da2534p-7, 0x1.1f7ac01f00b31p-7, 0x1.1a59a2adc1d56p-7, 0x1.154b4e89b0de9p-7, 0x1.104f99db42683p-7, 0x1.0b665a79f021fp-7, 0x1.068f65f26c0e6p-7, 0x1.01ca918cab377p-7, 0x1.fa2f64a38e952p-8, 0x1.f0ed3a237391dp-8, 0x1.e7ce4cd1e077p-8, 0x1.ded2458b73af2p-8, 0x1.d5f8ccdb2086dp-8, 0x1.cd418b047547p-8, 0x1.c4ac280d99883p-8, 0x1.bc384bc904bf9p-8, 0x1.b3e59ddeee24fp-8, 0x1.abb3c5d678c38p-8, 0x1.a3a26b1e9974p-8, 0x1.9bb13516bc613p-8, 0x1.93dfcb1726b76p-8, 0x1.8c2dd47919d67p-8, 0x1.849af89eb5c6ep-8, 0x1.7d26defa9e9a3p-8, 0x1.75d12f17634eep-8, 0x1.6e99909eab002p-8, 0x1.677fab6024293p-8, 0x1.608327583e257p-8, 0x1.59a3acb6a5e46p-8, 0x1.52e0e3e48ed2dp-8, 0x1.4c3a758ac2584p-8, 0x1.45b00a977c19dp-8, 0x1.3f414c440fa24p-8, 0x1.38ede41a5e2fbp-8, 0x1.32b57bfa1676ep-8, 0x1.2c97be1dc4d42p-8, 0x1.2694551fb433p-8, 0x1.20aaebfe9dfbdp-8, 0x1.1adb2e222cbp-8, 0x1.1524c75f50a4ap-8, 0x1.0f8763fc69adp-8, 0x1.0a02b0b54372dp-8, 0x1.04965abee8ff1p-8, 0x1.fe841f969b831p-9, 0x1.f40afc199dd11p-9, 0x1.e9c0a87318f05p-9, 0x1.dfa4831d36837p-9, 0x1.d5b5eba621b6bp-9, 0x1.cbf442b5d9f0fp-9, 0x1.c25eea13b3e3fp-9, 0x1.b8f544ab9dd05p-9, 0x1.afb6b69317c9dp-9, 0x1.a6a2a50debce7p-9, 0x1.9db87692a2e03p-9, 0x1.94f792ceb9f1p-9, 0x1.8c5f62aa9c438p-9, 0x1.83ef504d576cep-9, 0x1.7ba6c7201eecdp-9, 0x1.738533d18d58p-9, 0x1.6b8a0458b1b84p-9, 0x1.63b4a7f7e3807p-9, 0x1.5c048f3f6346p-9, 0x1.54792c0fc29f4p-9, 0x1.4d11f19c20185p-9, 0x1.45ce546c2adc9p-9, 0x1.3eadca5dfa773p-9, 0x1.37afcaa7b7da2p-9, 0x1.30d3cdd914dbp-9, 0x1.2a194ddc9d68p-9, 0x1.237fc5f8d8532p-9, 0x1.1d06b2d142654p-9, 0x1.16ad92671e192p-9, 0x1.1073e41a1d9d8p-9, 0x1.0a5928a8e7b11p-9, 0x1.045ce23172d47p-9, 0x1.fcfd286288af2p-10, 0x1.f17b870b05da3p-10, 0x1.e633ecd5e453cp-10, 0x1.db2568fb87963p-10, 0x1.d04f0d729f4f3p-10, 0x1.c5afeeef54d4fp-10, 0x1.bb4724e2404f4p-10, 0x1.b113c9771ff44p-10, 0x1.a714f9935dbb4p-10, 0x1.9d49d4d45cc3bp-10, 0x1.93b17d8d9411ap-10, 0x1.8a4b18c6746p-10, 0x1.8115ce38268a3p-10, 0x1.7810c84b0e49bp-10, 0x1.6f3b341431ee2p-10, 0x1.669441526308bp-10, 0x1.5e1b226b52d2cp-10, 0x1.55cf0c686e49bp-10, 0x1.4daf36f39ac3fp-10, 0x1.45badc53d41f9p-10, 0x1.3df1396999675p-10, 0x1.36518dab46533p-10, 0x1.2edb1b2147a1ap-10, 0x1.278d26622808cp-10, 0x1.2066f68e91e52p-10, 0x1.1967d54d23df5p-10, 0x1.128f0ec6338dep-10, 0x1.0bdbf19f72d12p-10, 0x1.054dcef782f2p-10, 0x1.fdc7f4c2d2ee1p-11, 0x1.f13b93bfe5057p-11, 0x1.e4f52bc1fddafp-11, 0x1.d8f372717bc3ep-11, 0x1.cd352239a8eb6p-11, 0x1.c1b8fa3ee6b58p-11, 0x1.b67dbe54b8efdp-11, 0x1.ab8236f3b2d45p-11, 0x1.a0c5312f468ddp-11, 0x1.96457eab79b5fp-11, 0x1.8c01f59281484p-11, 0x1.81f9708a47106p-11, 0x1.782acea9d8207p-11, 0x1.6e94f36ec0d0bp-11, 0x1.6536c6b256816p-11, 0x1.5c0f349ef0b31p-11, 0x1.531d2da513b5cp-11, 0x1.4a5fa6708d9b1p-11, 0x1.41d597dd8773ap-11, 0x1.397dfeed8d167p-11, 0x1.3157dcbc8a538p-11, 0x1.29623675c2bedp-11, 0x1.219c1548c0ec9p-11, 0x1.1a04865e42135p-11, 0x1.129a9acd1e4d4p-11, 0x1.0b5d678f2ccbfp-11, 0x1.044c057628b91p-11, 0x1.facb22412739ap-12, 0x1.ed5255dd347d3p-12, 0x1.e02bededf6327p-12, 0x1.d35639f7df793p-12, 0x1.c6cf90c03238ep-12, 0x1.ba965036e5b52p-12, 0x1.aea8dd6093e2cp-12, 0x1.a305a44077da5p-12, 0x1.97ab17c2795a5p-12, 0x1.8c97b1a549d95p-12, 0x1.81c9f26492b55p-12, 0x1.7740612339e82p-12, 0x1.6cf98b95b8befp-12, 0x1.62f405ec8bca7p-12, 0x1.592e6abeb9539p-12, 0x1.4fa75af471efp-12, 0x1.465d7db1cb303p-12, 0x1.3d4f804198881p-12, 0x1.347c16005c765p-12, 0x1.2be1f8475cdaep-12, 0x1.237fe657d2c0dp-12, 0x1.1b54a5463cd63p-12, 0x1.135effe5d1ddcp-12, 0x1.0b9dc6b4138e2p-12, 0x1.040fcfc4889ebp-12, 0x1.f967ed592d9dbp-13, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.1f3ebb0708dcp-4, 0x1.27309cea7f27p-4, 0x1.2dbbdb8e775bap-4, 0x1.32d90dc2c05c3p-4, 0x1.3684d1bf60b0ap-4, 0x1.38bf76802b621p-4, 0x1.398c9ee021322p-4, 0x1.38f2e1e92b362p-4, 0x1.36fb6b1b0599ep-4, 0x1.33b19cd102462p-4, 0x1.2f22b668cfeaap-4, 0x1.295d7f5b53f35p-4, 0x1.2271f819ea39dp-4, 0x1.1a71113441a4ep-4, 0x1.116c690b7c4d3p-4, 0x1.0776102469bc3p-4, 0x1.f940a805c239p-5, 0x1.e1fb20b3a778bp-5, 0x1.c9400c8a60714p-5, 0x1.af337265b5a76p-5, 0x1.93f8a22b2f552p-5, 0x1.77b202edcaeddp-5, 0x1.5a80e9f4d0dfep-5, 0x1.3c8579cc0b478p-5, 0x1.1dde8888e4a43p-5, 0x1.fd5318f0d5113p-6, 0x1.be051ce9f51e5p-6, 0x1.7e08425d6cbc7p-6, 0x1.3d8eb97e06c06p-6, 0x1.f98f77b43260cp-7, 0x1.77bf225ba04cbp-7, 0x1.ebfe6602e7a0dp-8, 0x1.d272dd548f372p-9, -0x1.841a2313bec25p-12, -0x1.17ee958d14e9ep-8, -0x1.0aa9cfa2f944dp-7, -0x1.88007cf20d5c8p-7, -0x1.01e41f5612eb4p-6, -0x1.3ee94c92f904ap-6, -0x1.7afab8db025bep-6, -0x1.b6056b787ec5ep-6, -0x1.eff8647ee783cp-6, -0x1.1462409b9fd8cp-5, -0x1.302e307dcc18ep-5, -0x1.4b5a2553366b9p-5, -0x1.65e10959b5d2cp-5, -0x1.7fbe81147bc76p-5, -0x1.98eedf2e2ded6p-5, -0x1.b16f18cef1aaep-5, -0x1.c93cba6b19c69p-5, -0x1.e055dd0d550d2p-5, -0x1.f6b91c1de7b4bp-5, -0x1.0632c5d3946bep-4, -0x1.10ad578b47979p-4, -0x1.1acc383c55593p-4, -0x1.248f8c16e539dp-4, -0x1.2df7a28a3b32ap-4, -0x1.3704f2933a97cp-4, -0x1.3fb817425d8e1p-4, -0x1.4811cc773368ep-4, -0x1.5012ebcf5a09ep-4, -0x1.57bc69c6db1cap-4, -0x1.5f0f5307ca964p-4, -0x1.660cc9e702a6cp-4, -0x1.6cb6040bd75c3p-4, -0x1.730c4840a2891p-4, -0x1.7910ec6a155b9p-4, -0x1.7ec553a33ea56p-4, -0x1.842aec7c4d486p-4, -0x1.89432f5a1ad13p-4, -0x1.8e0f9cf4a2606p-4, -0x1.9291bcf294db3p-4, -0x1.96cb1ca04e5e6p-4, -0x1.9abd4dc081cdep-4, -0x1.9e69e5750779ap-4, -0x1.a1d27b3e3fd8ap-4, -0x1.a4f8a80faa559p-4, -0x1.a7de05783b666p-4, -0x1.aa842cdd2d873p-4, -0x1.acecb6c611d95p-4, -0x1.af193a38f7165p-4, -0x1.b10b4c2584931p-4, -0x1.b2c47eddf51efp-4, -0x1.b446619d1b203p-4, -0x1.b592801850eeep-4, -0x1.b6aa621c9af4p-4, -0x1.b78f8b3621685p-4, -0x1.b8437a6129512p-4, -0x1.b8c7a9c3fffdp-4, -0x1.b91d8e70fedd2p-4, -0x1.b9469830258bep-4, -0x1.b944314fb0f34p-4, -0x1.b917be7b13019p-4, -0x1.b8c29e97dc17cp-4, -0x1.b8462aa8107d1p-4, -0x1.b7a3b5b1820e1p-4, -0x1.b6dc8ca9ba0a5p-4, -0x1.b5f1f6661e903p-4, -0x1.b4e5338fea385p-4, -0x1.b3b77e9bb135ap-4, -0x1.b26a0bc41c02fp-4, -0x1.b0fe090793035p-4, -0x1.af749e289130bp-4, -0x1.adceecb07563ap-4, -0x1.ac0e0ff47a3d6p-4, -0x1.aa331d1cb6ccep-4, -0x1.a83f232cf3276p-4, -0x1.a6332b0f1c2d8p-4, -0x1.a410379f318cbp-4, -0x1.a1d745b89012fp-4, -0x1.9f894c44638fdp-4, -0x1.9d273c492ea98p-4, -0x1.9ab200fb473afp-4, -0x1.982a7fce22ce6p-4, -0x1.959198866fb1cp-4, -0x1.92e8254cc5afap-4, -0x1.902efac0f43b6p-4, -0x1.8d66e80dc94c1p-4, -0x1.8a90b6fd48fbcp-4, -0x1.87ad2c0d3eb17p-4, -0x1.84bd06841ceebp-4, -0x1.81c100861d264p-4, -0x1.7eb9cf2a91e2ap-4, -0x1.7ba8229160824p-4, -0x1.788ca5f899086p-4, -0x1.7567ffd21fb2dp-4, -0x1.723ad1d9630d5p-4, -0x1.6f05b929125edp-4, -0x1.6bc94e50d1a03p-4, -0x1.6886256ae06ebp-4, -0x1.653cce31afed5p-4, -0x1.61edd41561c8p-4, -0x1.5e99be512b6aep-4, -0x1.5b411000979fbp-4, -0x1.57e44834a41aep-4, -0x1.5483e208b6656p-4, -0x1.512054b764cb2p-4, -0x1.4dba13af0fca7p-4, -0x1.4a518ea64a9adp-4, -0x1.46e731b00e93p-4, -0x1.437b654fb7d94p-4, -0x1.400e8e8ccb2fbp-4, -0x1.3ca10f067f3cep-4, -0x1.393345070b3f1p-4, -0x1.35c58b96b7a6p-4, -0x1.32583a8eb1cdcp-4, -0x1.2eeba6ab9d3adp-4, -0x1.2b80219fe742ap-4, -0x1.2815fa25d6f9fp-4, -0x1.24ad7c115cecbp-4, -0x1.2146f0619e942p-4, -0x1.1de29d5240887p-4, -0x1.1a80c66c6bbc5p-4, -0x1.1721ac978f57ap-4, -0x1.13c58e29dfe5ap-4, -0x1.106ca6f89105ep-4, -0x1.0d173067cc169p-4, -0x1.09c5617a61e82p-4, -0x1.06776ee139f26p-4, -0x1.032d8b0a7d197p-4, -0x1.ffcfcc60f808fp-5, -0x1.f94d5cd0a8b99p-5, -0x1.f2d41f60a1797p-5, -0x1.ec6467fc0fc33p-5, -0x1.e5fe8698709ebp-5, -0x1.dfa2c750c6c8cp-5, -0x1.d95172804b811p-5, -0x1.d30accdca0547p-5, -0x1.cccf178f7da9fp-5, -0x1.c69e904fe468ap-5, -0x1.c079717acf30fp-5, -0x1.ba5ff22b66aebp-5, -0x1.b4524652bbd3dp-5, -0x1.ae509ecf04777p-5, -0x1.a85b29826054ep-5, -0x1.a2721169271ddp-5, -0x1.9c957eafbc1bap-5, -0x1.96c596c7f1eddp-5, -0x1.91027c7df4e5ap-5, -0x1.8b4c500cc79b1p-5, -0x1.85a32f324bc07p-5, -0x1.80073542dcd56p-5, -0x1.7a787b3c7d6dp-5, -0x1.74f717d996542p-5, -0x1.6f831fa34bcf9p-5, -0x1.6a1ca5036ab53p-5, -0x1.64c3b855ed5f6p-5, -0x1.5f7867fa16b95p-5, -0x1.5a3ac0633067cp-5, -0x1.550acc28dc942p-5, -0x1.4fe894170eb2ep-5, -0x1.4ad41f3d9ef5ap-5, -0x1.45cd72ff8025ap-5, -0x1.40d493219c209p-5, -0x1.3be981d94f92ep-5, -0x1.370c3fda919b6p-5, -0x1.323ccc65be31cp-5, -0x1.2d7b25550e37cp-5, -0x1.28c74729b7951p-5, -0x1.24212d18bb57cp-5, -0x1.1f88d11760182p-5, -0x1.1afe2be75ef47p-5, -0x1.16813522bd29bp-5, -0x1.1211e3475bc8fp-5, -0x1.0db02bc23a056p-5, -0x1.095c02fa6b287p-5, -0x1.05155c5bc6db7p-5, -0x1.00dc2a614e807p-5, -0x1.f960bd3e9bdd3p-6, -0x1.f123d39a6a382p-6, -0x1.e901779e637ep-6, -0x1.e0f9877f05d42p-6, -0x1.d90bdfef1d789p-6, -0x1.d1385c316bd6dp-6, -0x1.c97ed629d4df7p-6, -0x1.c1df266e140b6p-6, -0x1.ba592455f639cp-6, -0x1.b2eca60b2242dp-6, -0x1.ab9980986b525p-6, -0x1.a45f87f8b9008p-6, -0x1.9d3e8f2579328p-6, -0x1.96366824b2fbfp-6, -0x1.8f46e416a3fbcp-6, -0x1.886fd34300d67p-6, -0x1.81b10525ccd6cp-6, -0x1.7b0a487bd126cp-6, -0x1.747b6b4eb3a0fp-6, -0x1.6e043b00b00a7p-6, -0x1.67a48457f7eedp-6, -0x1.615c1389b4e49p-6, -0x1.5b2ab444b9e57p-6, -0x1.551031bbd5a7p-6, -0x1.4f0c56afdffd2p-6, -0x1.491eed7964b8ap-6, -0x1.4347c0120f305p-6, -0x1.3d86981dbd20ap-6, -0x1.37db3ef34be09p-6, -0x1.32457da518e3p-6, -0x1.2cc51d093b257p-6, -0x1.2759e5c1758c7p-6, -0x1.2203a042e8826p-6, -0x1.1cc214dd784b6p-6, -0x1.17950bc2fc758p-6, -0x1.127c4d0e27825p-6, -0x1.0d77a0c934dd1p-6, -0x1.0886cef456c73p-6, -0x1.03a99f8bee164p-6, -0x1.fdbfb51d0971cp-7, -0x1.f452900525824p-7, -0x1.eb0b5ff80dd4cp-7, -0x1.e1e9b54349ccap-7, -0x1.d8ed206447428p-7, -0x1.d0153212456b8p-7, -0x1.c7617b47d0924p-7, -0x1.bed18d4beac63p-7, -0x1.b664f9bac3f4dp-7, -0x1.ae1b528e2d0bep-7, -0x1.a5f42a25a8982p-7, -0x1.9def134e1e809p-7, -0x1.960ba1494c342p-7, -0x1.8e4967d4d68cp-7, -0x1.86a7fb310fae8p-7, -0x1.7f26f02773c2cp-7, -0x1.77c5dc10dc75ap-7, -0x1.708454db5bd43p-7, -0x1.6961f10fea1dap-7, -0x1.625e47d7b6b13p-7, -0x1.5b78f1014a8b9p-7, -0x1.54b1850554ea1p-7, -0x1.4e079d0b4ae4ep-7, -0x1.477ad2edc627ep-7, -0x1.410ac13e9cbd4p-7, -0x1.3ab7034acdeadp-7, -0x1.347f351e2ee2bp-7, -0x1.2e62f386e33d1p-7, -0x1.2861dc18a03f2p-7, -0x1.227b8d2fbe079p-7, -0x1.1cafa5f416111p-7, -0x1.16fdc65bb1dabp-7, -0x1.11658f2d4b8afp-7, -0x1.0be6a202a0f9ap-7, -0x1.0680a14a9aacap-7, -0x1.0133304b48bfdp-7, -0x1.f7fbe6476e41ep-8, -0x1.edc11d9b3316dp-8, -0x1.e3b5523da0c72p-8, -0x1.d9d7d19594c68p-8, -0x1.d027eac77f246p-8, -0x1.c6a4eeb796e74p-8, -0x1.bd4e300bca028p-8, -0x1.b423032d6a05ep-8, -0x1.ab22be4a9d692p-8, -0x1.a24cb95790aa6p-8, -0x1.99a04e0f6f213p-8, -0x1.911cd7f521d57p-8, -0x1.88c1b453d8034p-8, -0x1.808e423f5b448p-8, -0x1.7881e2942fa6ep-8, -0x1.709bf7f783e92p-8, -0x1.68dbe6d6f195dp-8, -0x1.6141156811353p-8, -0x1.59caeba7e055bp-8, -0x1.5278d359fe343p-8, -0x1.4b4a3807c21bep-8, -0x1.443e86ff2746p-8, -0x1.3d552f5194f9ep-8, -0x1.368da1d2837ep-8, -0x1.2fe75115fd91dp-8, -0x1.2961b16f00205p-8, -0x1.22fc38edbb44dp-8, -0x1.1cb65f5db5c16p-8, -0x1.168f9e43d0a6ap-8, -0x1.108770dc31a6ep-8, -0x1.0a9d541811d2fp-8, -0x1.04d0c69b73028p-8, -0x1.fe4291757a9d5p-9, -0x1.f31cb8f088b13p-9, -0x1.e82f0b037126ap-9, -0x1.dd78925b01d1ap-9, -0x1.d2f85cf00667fp-9, -0x1.c8ad7c01b0ebcp-9, -0x1.be97040fdd7fap-9, -0x1.b4b40cd53472dp-9, -0x1.ab03b14130b89p-9, -0x1.a1850f7200174p-9, -0x1.983748ae4e833p-9, -0x1.8f19815ef1635p-9, -0x1.862ae1087c508p-9, -0x1.7d6a9244bc80ap-9, -0x1.74d7c2bc207ccp-9, -0x1.6c71a31f08c32p-9, -0x1.6437671f0545p-9, -0x1.5c2845680562p-9, -0x1.544377996fadep-9, -0x1.4c883a3f34a65p-9, -0x1.44f5cccac9326p-9, -0x1.3d8b718c1ca26p-9, -0x1.36486daa809c2p-9, -0x1.2f2c091d84a4bp-9, -0x1.28358ea5cb78fp-9, -0x1.21644bc5d7f4dp-9, -0x1.1ab790bad3384p-9, -0x1.142eb0754a5b6p-9, -0x1.0dc90091eb01fp-9, -0x1.0785d952380d3p-9, -0x1.016495953f6dep-9, -0x1.f6c925a095cb9p-10, -0x1.eb0a620f1e3p-10, -0x1.df8ba58db774ap-10, -0x1.d44bba3499cc6p-10, -0x1.c9496f0df0f2cp-10, -0x1.be83980748effp-10, -0x1.b3f90de2f2fc4p-10, -0x1.a9a8ae297a25dp-10, -0x1.9f915b1b16d6bp-10, -0x1.95b1fba1321ep-10, -0x1.8c097b3ff31b2p-10, -0x1.8296ca07cfc9bp-10, -0x1.7958dc8732116p-10, -0x1.704eabbc2b796p-10, -0x1.677735062d5bdp-10, -0x1.5ed17a17d9df7p-10, -0x1.565c80e8e272cp-10, -0x1.4e1753a7f4eb5p-10, -0x1.460100acc0492p-10, -0x1.3e189a6a05dcfp-10, -0x1.365d375fc4538p-10, -0x1.2ecdf20d71646p-10, -0x1.2769e8e44fa5cp-10, -0x1.20303e39d0c37p-10, -0x1.1920183a173c2p-10, -0x1.1238a0da8d82ep-10, -0x1.0b7905cc8ce3cp-10, -0x1.04e0787027e03p-10, -0x1.fcdc5b8e0addp-11, -0x1.f042bcceb28acp-11, -0x1.e3f28cdde80d6p-11, -0x1.d7ea4aecdca46p-11, -0x1.cc287d08dc62fp-11, -0x1.c0abb0020f84fp-11, -0x1.b572775270afep-11, -0x1.aa7b6d04fc655p-11, -0x1.9fc5319d1646bp-11, -0x1.954e6bfe28e59p-11, -0x1.8b15c9537c85p-11, -0x1.8119fcf848a0fp-11, -0x1.7759c05ffe6dcp-11, -0x1.6dd3d2fece91p-11, -0x1.6486fa3267d26p-11, -0x1.5b72012af2995p-11, -0x1.5293b8d446bcbp-11, -0x1.49eaf7bf5c8bbp-11, -0x1.41769a0bfaa2fp-11, -0x1.393581529d672p-11, -0x1.3126948e9dffep-11, -0x1.2948c00892111p-11, -0x1.219af540e99bp-11, -0x1.1a1c2adac96d3p-11, -0x1.12cb5c872024ap-11, -0x1.0ba78aeff9fe1p-11, -0x1.04afbba40f34p-11, -0x1.fbc5f2051d6acp-12, -0x1.ee80a44e4e79fp-12, -0x1.e18db5ac92c16p-12, -0x1.d4eb56d352b5ep-12, -0x1.c897c179f1588p-12, -0x1.bc913835beedp-12, -0x1.b0d606545efbdp-12, -0x1.a5647fb6a451ep-12, -0x1.9a3b00abe6267p-12, -0x1.8f57edcdcacc2p-12, -0x1.84b9b3dc861fcp-12, -0x1.7a5ec79b8edcap-12, -0x1.7045a5aec8958p-12, -0x1.666cd27820849p-12, -0x1.5cd2d9f59da6fp-12, -0x1.53764f9fe5092p-12, -0x1.4a55ce492f90bp-12, -0x1.416ff7fcb0d17p-12, -0x1.38c375de6d91bp-12, -0x1.304ef80b8680dp-12, -0x1.2811357aecc35p-12, -0x1.2008ebde886f6p-12, -0x1.1834df84cd607p-12, -0x1.1093db3ab9e05p-12, -0x1.0924b02e43338p-12, -0x1.01e635d13008ep-12, -0x1.f5ae9378b07c3p-13, -0x1.e7ed9f26a4278p-13, -0x1.da8761d10fbbbp-13, -0x1.cd79ba4366f7ap-13, -0x1.c0c292b98498fp-13, -0x1.b45fe0aa433bbp-13, -0x1.a84fa492d446dp-13, -0x1.9c8fe9c2ec51dp-13, -0x1.911ec629ae7d6p-13, -0x1.85fa5a235edc1p-13, -0x1.7b20d047d935bp-13, -0x1.70905d39c5d84p-13, -0x1.66473f7691ddep-13, -0x1.5c43bf271f314p-13, -0x1.52842df1346d8p-13, -0x1.4906e6c9a1c8bp-13, -0x1.3fca4dc725d93p-13, -0x1.36cccff5facap-13, -0x1.2e0ce32c236a3p-13, -0x1.258905de64451p-13, -0x1.1d3fbef5e9aafp-13, -0x1.152f9da6a011ep-13, -0x1.0d57394637991p-13, -0x1.05b53123cffb7p-13, -0x1.fc9058c090e17p-14, -0x1.ee1db38e81fffp-14, -0x1.e00fdf5160df9p-14, -0x1.d26457664c818p-14, -0x1.c518a59d5829ep-14, -0x1.b82a61f0806dcp-14, -0x1.ab97323bdf1c3p-14, -0x1.9f5cc9f710505p-14, -0x1.9378e9efcf591p-14, -0x1.87e96005b2f41p-14, -0x1.7cac06e71d0a8p-14, -0x1.71bec5cf4b61fp-14, -0x1.671f904588e33p-14, -0x1.5ccc65dd7d503p-14, -0x1.52c351f895a3p-14, -0x1.49026b8882ee4p-14, -0x1.3f87d4d2ca84p-14, -0x1.3651bb3564df6p-14, -0x1.2d5e56ec6757ep-14, -0x1.24abead8b506fp-14, -0x1.1c38c447b1755p-14, -0x1.14033abbf6274p-14, -0x1.0c09afb700c1fp-14, -0x1.044a8e83dd07bp-14, -0x1.f988980583b0cp-15, -0x1.eaeacceb41b22p-15, -0x1.dcb8ca9b47cbdp-15, -0x1.ceefb1f32a7c9p-15, -0x1.c18cb56a5f129p-15, -0x1.b48d18b2a0f2fp-15, -0x1.a7ee305a1bc23p-15, -0x1.9bad616f4c626p-15, -0x1.8fc8212698c4cp-15, -0x1.843bf4819198dp-15, -0x1.79066ff7dfa4p-15, -0x1.6e253721cda14p-15, -0x1.6395fc646c22dp-15, -0x1.5956809f4cef9p-15, -0x1.4f6492dbc8e58p-15, -0x1.45be0ffdcd20dp-15, -0x1.3c60e2762b16bp-15, -0x1.334b01f663b61p-15, -0x1.2a7a7325e5a07p-15, -0x1.21ed4758bf34bp-15, -0x1.19a19c47b4902p-15, -0x1.11959bc9beee8p-15, -0x1.09c77b8ee4d56p-15, -0x1.02357cdc6fba5p-15, -0x1.f5bbd894df4b1p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.db028325793fdp-1, 0x1.d80b05f37e0cfp-1, 0x1.d4f8825eff867p-1, 0x1.d1cbe64c1c3dcp-1, 0x1.ce866e7f8c4e7p-1, 0x1.cb2997c62b1c6p-1, 0x1.c7b70fbe9f48ep-1, 0x1.c430a604db83p-1, 0x1.c0983e4914c43p-1, 0x1.bcefc3aebc04p-1, 0x1.b9391dab79ef4p-1, 0x1.b576268142d16p-1, 0x1.b1a8a3586b353p-1, 0x1.add23dee2456ep-1, 0x1.a9f47fc00e458p-1, 0x1.a610ce95baedbp-1, 0x1.a2286a443e16ep-1, 0x1.9e3c6b85a9163p-1, 0x1.9a4dc3bde1b0ep-1, 0x1.965d3d87480a1p-1, 0x1.926b7de38d5a4p-1, 0x1.8e7905efcaa0fp-1, 0x1.8a8634fde54bep-1, 0x1.86934af892c8cp-1, 0x1.82a06afa9120bp-1, 0x1.7ead9e04e12b6p-1, 0x1.7abad5c2db909p-1, 0x1.76c7ef4dd8ef8p-1, 0x1.72d4b5e4b57bfp-1, 0x1.6ee0e58ddd4p-1, 0x1.6aec2d9c98ac2p-1, 0x1.66f6331428d2cp-1, 0x1.62fe92e4ce0cbp-1, 0x1.5f04e4003169dp-1, 0x1.5b08b943c1795p-1, 0x1.5709a338834eap-1, 0x1.530731a89a9d2p-1, 0x1.4f00f50b65eacp-1, 0x1.4af67fc97dfb3p-1, 0x1.46e7675a50095p-1, 0x1.42d3453d3afe3p-1, 0x1.3eb9b7d05809ap-1, 0x1.3a9a6307203fp-1, 0x1.3674f1033f67ep-1, 0x1.32491291d9b0cp-1, 0x1.2e167f8f8c784p-1, 0x1.29dcf7355a901p-1, 0x1.259c4050ad359p-1, 0x1.215429686f30dp-1, 0x1.1d0488d1350eep-1, 0x1.18ad3cb24784fp-1, 0x1.144e2afd46783p-1, 0x1.0fe74159ff71ap-1, 0x1.0b787507f37bcp-1, 0x1.0701c2b6ecea8p-1, 0x1.02832e57e817bp-1, 0x1.fbf985cef051fp-2, 0x1.f2dd24656d29p-2, 0x1.e9b1692f683aap-2, 0x1.e076918491e44p-2, 0x1.d72ce6cc1f1ddp-2, 0x1.cdd4bdec7b34dp-2, 0x1.c46e76b7f84e9p-2, 0x1.bafa7b57a4edbp-2, 0x1.b1793fb53e16fp-2, 0x1.a7eb40e52a40fp-2, 0x1.9e51049135c86p-2, 0x1.94ab1864c92e8p-2, 0x1.8afa117b2a453p-2, 0x1.813e8bd045308p-2, 0x1.777929b46cf23p-2, 0x1.6daa934370be7p-2, 0x1.63d375df4b94bp-2, 0x1.59f483aeb249ep-2, 0x1.500e731fa95a7p-2, 0x1.4621fe6e4e7f9p-2, 0x1.3c2fe32feab32p-2, 0x1.3238e1e26310fp-2, 0x1.283dbd800f2d1p-2, 0x1.1e3f3b17f9b77p-2, 0x1.143e216a86945p-2, 0x1.0a3b388a7923ep-2, 0x1.0037498247cf3p-2, 0x1.ec663bfb681d5p-3, 0x1.d85effef10413p-3, 0x1.c45a72d6e0a4fp-3, 0x1.b05a28179414dp-3, 0x1.9c5fb1f6adf11p-3, 0x1.886ca1156b4f5p-3, 0x1.748283f2f95ccp-3, 0x1.60a2e675c88aap-3, 0x1.4ccf517baffecp-3, 0x1.39094a70a73a2p-3, 0x1.255252ebe20fep-3, 0x1.11abe8530265fp-3, 0x1.fc2f07065cfbp-4, 0x1.d52d30ff9a9e3p-4, 0x1.ae552c4d5f9c7p-4, 0x1.87a9cbd2d849cp-4, 0x1.612dd7175e01p-4, 0x1.3ae409ccb46cdp-4, 0x1.14cf135e5b9fbp-4, 0x1.dde32d1346d35p-5, 0x1.929c51fc2d747p-5, 0x1.47cea60bc5bb2p-5, 0x1.fafe3cd78378p-6, 0x1.6765289397a2cp-6, 0x1.a9b711505f29ap-7, 0x1.0daa7219dca8dp-8, -0x1.33925c7a312e2p-8, -0x1.b812921958049p-7, -0x1.69faec2620a33p-6, -0x1.f6b12ff708f46p-6, -0x1.41120096ec0aap-5, -0x1.8625c4ffd526p-5, -0x1.ca90193cb6586p-5, -0x1.0726a82faf27bp-4, -0x1.28acee4dd2926p-4, -0x1.49d927aae8435p-4, -0x1.6aa9ac9481e01p-4, -0x1.8b1ce4f30ee75p-4, -0x1.ab314845b1e67p-4, -0x1.cae55d9aa0f92p-4, -0x1.ea37bb8445a5ep-4, -0x1.049384059bdacp-3, -0x1.13d8fc4e9f3dp-3, -0x1.22eba8fcc23fap-3, -0x1.31caf40d0869bp-3, -0x1.40764f0d5d564p-3, -0x1.4eed330ece59dp-3, -0x1.5d2f2096a8ebep-3, -0x1.6b3b9f8e73466p-3, -0x1.79123f32e5eeap-3, -0x1.86b29601de3ep-3, -0x1.941c41a76c376p-3, -0x1.a14ee6e9f8252p-3, -0x1.ae4a319595fd7p-3, -0x1.bb0dd4668cb43p-3, -0x1.c79988f327797p-3, -0x1.d3ed0f94ce3f4p-3, -0x1.e0082f507aa4ep-3, -0x1.ebeab5be93d3ep-3, -0x1.f79476f232319p-3, -0x1.0182a6aff2333p-2, -0x1.071e8ce1f91b7p-2, -0x1.0c9de18413ddbp-2, -0x1.12009b14a05c4p-2, -0x1.1746b30df3015p-2, -0x1.1c7025d8acfaep-2, -0x1.217cf2bde83dep-2, -0x1.266d1bd93fe9dp-2, -0x1.2b40a60ab65dbp-2, -0x1.2ff798e8838dcp-2, -0x1.3491feb0c25cbp-2, -0x1.390fe43b1133ep-2, -0x1.3d7158ea1bbcbp-2, -0x1.41b66e9d15354p-2, -0x1.45df39a12c2ccp-2, -0x1.49ebd0a2f09c9p-2, -0x1.4ddc4c9fb991ep-2, -0x1.51b0c8d7051ebp-2, -0x1.556962bbda7e7p-2, -0x1.590639e62e6d3p-2, -0x1.5c8770044fda2p-2, -0x1.5fed28cc59e14p-2, -0x1.633789edb2f68p-2, -0x1.6666bb0297101p-2, -0x1.697ae581b3d87p-2, -0x1.6c7434afd3d4bp-2, -0x1.6f52d5919ff91p-2, -0x1.7216f6dd73b5ep-2, -0x1.74c0c8ed4a871p-2, -0x1.77507db0c705cp-2, -0x1.79c6489f537c1p-2, -0x1.7c225eaa5ff09p-2, -0x1.7e64f62fbefadp-2, -0x1.808e46ec21d1dp-2, -0x1.829e89edb476p-2, -0x1.8495f986dd7a2p-2, -0x1.8674d14121dd7p-2, -0x1.883b4dd02c149p-2, -0x1.89e9ad04fc69ep-2, -0x1.8b802dc13a5a2p-2, -0x1.8cff0feab6524p-2, -0x1.8e66945f0bf87p-2, -0x1.8fb6fce77546fp-2, -0x1.90f08c2cc3ea1p-2, -0x1.921385ab87eb3p-2, -0x1.93202da861048p-2, -0x1.9416c9247f752p-2, -0x1.94f79dd24f0d6p-2, -0x1.95c2f20a514a4p-2, -0x1.96790cc026f0ep-2, -0x1.971a3577c6153p-2, -0x1.97a6b43ae0114p-2, -0x1.981ed18e78be5p-2, -0x1.9882d668aafb1p-2, -0x1.98d30c269d926p-2, -0x1.990fbc82aa458p-2, -0x1.9939318ab141ep-2, -0x1.994fb596a1ce5p-2, -0x1.9953933f2f639p-2, -0x1.99451554b8e89p-2, -0x1.992486d66282p-2, -0x1.98f232e95bce2p-2, -0x1.98ae64d059243p-2, -0x1.985967e33e16cp-2, -0x1.97f38786f5424p-2, -0x1.977d0f257b202p-2, -0x1.96f64a261778bp-2, -0x1.965f83e5c6545p-2, -0x1.95b907afd0dd6p-2, -0x1.950320b696a2dp-2, -0x1.943e1a0c82d59p-2, -0x1.936a3e9d33a9fp-2, -0x1.9287d926ce94p-2, -0x1.9197343381d22p-2, -0x1.90989a133576p-2, -0x1.8f8c54d567883p-2, -0x1.8e72ae43381bfp-2, -0x1.8d4befd99f2acp-2, -0x1.8c1862c3cedbbp-2, -0x1.8ad84fd5c54aap-2, -0x1.898bff8702dp-2, -0x1.8833b9ed718afp-2, -0x1.86cfc6b8739f8p-2, -0x1.85606d2c1bad1p-2, -0x1.83e5f41c905eep-2, -0x1.8260a1e996b08p-2, -0x1.80d0bc7a46db5p-2, -0x1.7f368938e5c53p-2, -0x1.7d924d0ee988dp-2, -0x1.7be44c61219ep-2, -0x1.7a2ccb0c07e8ap-2, -0x1.786c0c603415cp-2, -0x1.76a2531ef9315p-2, -0x1.74cfe1772275dp-2, -0x1.72f4f901d65f4p-2, -0x1.7111dabf9eaf7p-2, -0x1.6f26c71590fe7p-2, -0x1.6d33fdca9b5adp-2, -0x1.6b39be04f1057p-2, -0x1.69384647990a8p-2, -0x1.672fd4701e474p-2, -0x1.6520a5b45ffbbp-2, -0x1.630af6a07e112p-2, -0x1.60ef0314e81fbp-2, -0x1.5ecd06448accp-2, -0x1.5ca53ab317188p-2, -0x1.5a77da336b229p-2, -0x1.58451de616253p-2, -0x1.560d3e37f58cbp-2, -0x1.53d072e0f225ap-2, -0x1.518ef2e2d65d7p-2, -0x1.4f48f4883cb37p-2, -0x1.4cfead639a4fap-2, -0x1.4ab0524e62ab1p-2, -0x1.485e176843d95p-2, -0x1.4608301679402p-2, -0x1.43aecf03367f3p-2, -0x1.4152261d2cbbcp-2, -0x1.3ef266972031dp-2, -0x1.3c8fc0e798991p-2, -0x1.3a2a64c8a5c5ap-2, -0x1.37c28137b7a22p-2, -0x1.355844758b467p-2, -0x1.32ebdc062d2a7p-2, -0x1.307d74b10d617p-2, -0x1.2e0d3a8125dd5p-2, -0x1.2b9b58c5347c5p-2, -0x1.2927fa10063e5p-2, -0x1.26b34838d410dp-2, -0x1.243d6c5baf711p-2, -0x1.21c68eda00a52p-2, -0x1.1f4ed75b1378dp-2, -0x1.1cd66cccb4407p-2, -0x1.1a5d7563dbcf1p-2, -0x1.17e4169d6980ap-2, -0x1.156a753eeae55p-2, -0x1.12f0b55771f12p-2, -0x1.1076fa40762a2p-2, -0x1.0dfd669ec68c6p-2, -0x1.0b841c6381976p-2, -0x1.090b3ccd2043ap-2, -0x1.0692e86886402p-2, -0x1.041b3f121fd1ep-2, -0x1.01a45ff70b22ap-2, -0x1.fe5cd32c92132p-3, -0x1.f972f383f60c9p-3, -0x1.f48b5b414de56p-3, -0x1.efa6435d0c499p-3, -0x1.eac3e37db9d66p-3, -0x1.e5e471fab2274p-3, -0x1.e10823def43cp-3, -0x1.dc2f2cebfc8c5p-3, -0x1.d759bf9cb5f98p-3, -0x1.d2880d286f26fp-3, -0x1.cdba4585e32b8p-3, -0x1.c8f0976e4a2e9p-3, -0x1.c42b30607ababp-3, -0x1.bf6a3ca41219ep-3, -0x1.baade74ca9e44p-3, -0x1.b5f65a3d13b5bp-3, -0x1.b143be2a9f73p-3, -0x1.ac963aa071632p-3, -0x1.a7edf602d2212p-3, -0x1.a34b159292c87p-3, -0x1.9eadbd7073c55p-3, -0x1.9a1610a08f29ap-3, -0x1.9584310dcbcd9p-3, -0x1.90f83f8d56988p-3, -0x1.8c725be220303p-3, -0x1.87f2a4c05aa72p-3, -0x1.837937d1037c6p-3, -0x1.7f0631b56a16p-3, -0x1.7a99ae0ab8df4p-3, -0x1.7633c76d89d64p-3, -0x1.71d4977d708b6p-3, -0x1.6d7c36e08f8fap-3, -0x1.692abd472b405p-3, -0x1.64e0416f3c91fp-3, -0x1.609cd92809228p-3, -0x1.5c609955b3612p-3, -0x1.582b95f4d0de1p-3, -0x1.53fde21e009a8p-3, -0x1.4fd79009788cap-3, -0x1.4bb8b1129cd0ep-3, -0x1.47a155bb89a9p-3, -0x1.43918db0a647bp-3, -0x1.3f8967cc2d0d4p-3, -0x1.3b88f219b587p-3, -0x1.379039d9ba091p-3, -0x1.339f4b851b84fp-3, -0x1.2fb632d09d76bp-3, -0x1.2bd4fab06636cp-3, -0x1.27fbad5b72fcp-3, -0x1.242a544f0bddfp-3, -0x1.2060f85235329p-3, -0x1.1c9fa179149c7p-3, -0x1.18e657285b5fap-3, -0x1.15352018a2a39p-3, -0x1.118c0259c8966p-3, -0x1.0deb035644c44p-3, -0x1.0a5227d67727cp-3, -0x1.06c17403f2d43p-3, -0x1.0338eb6cbe121p-3, -0x1.ff71220d287bp-4, -0x1.f880ce642f9f3p-4, -0x1.f1a0df7c0c54dp-4, -0x1.ead157d4bc658p-4, -0x1.e41238d70a5p-4, -0x1.dd6382dabc943p-4, -0x1.d6c5352cc8838p-4, -0x1.d0374e1563a51p-4, -0x1.c9b9cade1194cp-4, -0x1.c34ca7d7a3cf5p-4, -0x1.bcefe06020dd9p-4, -0x1.b6a36ee8a638dp-4, -0x1.b0674cfb334fep-4, -0x1.aa3b73406f45ep-4, -0x1.a41fd98549bebp-4, -0x1.9e1476c0ab815p-4, -0x1.98194118f0ea7p-4, -0x1.922e2de979a94p-4, -0x1.8c5331c80b9f2p-4, -0x1.8688408a331c8p-4, -0x1.80cd4d4a8ff08p-4, -0x1.7b224a6e1086dp-4, -0x1.758729a91c7c7p-4, -0x1.6ffbdc04afe63p-4, -0x1.6a8051e3636a2p-4, -0x1.65147b0665384p-4, -0x1.5fb846925f89ep-4, -0x1.5a6ba3144fd37p-4, -0x1.552e7e864af62p-4, -0x1.5000c654319c4p-4, -0x1.4ae2676053853p-4, -0x1.45d34e080085bp-4, -0x1.40d3662809b28p-4, -0x1.3be29b21314e6p-4, -0x1.3700d7dc88982p-4, -0x1.322e06cfbd6a9p-4, -0x1.2d6a120157254p-4, -0x1.28b4e30ce1a3dp-4, -0x1.240e6327077eep-4, -0x1.1f767b219c4aap-4, -0x1.1aed136f94b7p-4, -0x1.16721428ee7fdp-4, -0x1.1205650e882e7p-4, -0x1.0da6ed8de6622p-4, -0x1.095694c4eb05ep-4, -0x1.051441857a0cep-4, -0x1.00dfda590e5a7p-4, -0x1.f9728b087c406p-5, -0x1.f140d21460364p-5, -0x1.e92a555ffdbe3p-5, -0x1.e12ee0001a026p-5, -0x1.d94e3c9a938dcp-5, -0x1.d188356cca3dcp-5, -0x1.c9dc9451e7e36p-5, -0x1.c24b22c90afc2p-5, -0x1.bad3a9fb50588p-5, -0x1.b375f2c1c09c2p-5, -0x1.ac31c5ab1bf7dp-5, -0x1.a506eb018acb3p-5, -0x1.9df52ad02de87p-5, -0x1.96fc4ce891497p-5, -0x1.901c18e80407ep-5, -0x1.8954563cce34p-5, -0x1.82a4cc2b4db08p-5, -0x1.7c0d41d2f5da6p-5, -0x1.758d7e332fe04p-5, -0x1.6f254830232d3p-5, -0x1.68d466975e285p-5, -0x1.629aa02465fa3p-5, -0x1.5c77bb852a85cp-5, -0x1.566b7f5e5de1ep-5, -0x1.5075b24fb331dp-5, -0x1.4a961af80265fp-5, -0x1.44cc7ff9508afp-5, -0x1.3f18a7fcc248bp-5, -0x1.397a59b66e5c7p-5, -0x1.33f15be91ed56p-5, -0x1.2e7d7569f2a71p-5, -0x1.291e6d23ead33p-5, -0x1.23d40a1b5e98bp-5, -0x1.1e9e137155994p-5, -0x1.197c5066cd3ccp-5, -0x1.146e885fe681ap-5, -0x1.0f7482e6fa1e4p-5, -0x1.0a8e07af99482p-5, -0x1.05bade9977429p-5, -0x1.00facfb33a4c3p-5, -0x1.f89b467a7805cp-6, -0x1.ef6643585f7dap-6, -0x1.e65627576b268p-6, -0x1.dd6a8441b49ebp-6, -0x1.d4a2ec58fdbc6p-6, -0x1.cbfef25b61bf6p-6, -0x1.c37e2987d5f4ep-6, -0x1.bb2025a2872c4p-6, -0x1.b2e47af913484p-6, -0x1.aacabe6697e38p-6, -0x1.a2d285579dc5fp-6, -0x1.9afb65cde3fb5p-6, -0x1.9344f66400b19p-6, -0x1.8baece50e3d46p-6, -0x1.8438856b33a96p-6, -0x1.7ce1b42c87a57p-6, -0x1.75a9f3b48667ep-6, -0x1.6e90ddcbdc4d7p-6, -0x1.67960ce717469p-6, -0x1.60b91c295d60fp-6, -0x1.59f9a7670b652p-6, -0x1.53574b282e27fp-6, -0x1.4cd1a4aae11e9p-6, -0x1.466851e591813p-6, -0x1.401af189205abp-6, -0x1.39e92302ea8edp-6, -0x1.33d2867eb6237p-6, -0x1.2dd6bce88417dp-6, -0x1.27f567ee43f98p-6, -0x1.222e2a01752dep-6, -0x1.1c80a658a50c6p-6, -0x1.16ec80f0de31bp-6, -0x1.11715e8ef5579p-6, -0x1.0c0ee4c0c7664p-6, -0x1.06c4b9de59433p-6, -0x1.0192850ae6bc8p-6, -0x1.f8efdc6ba6647p-7, -0x1.eee93c371b2ap-7, -0x1.e5107c8cb07dcp-7, -0x1.db64f21dfb98bp-7, -0x1.d1e5f33aea24p-7, -0x1.c892d7d2d340bp-7, -0x1.bf6af975720acp-7, -0x1.b66db353b0431p-7, -0x1.ad9a62405099cp-7, -0x1.a4f064b06bf03p-7, -0x1.9c6f1abbdae65p-7, -0x1.9415e61d70f6ep-7, -0x1.8be42a33189d4p-7, -0x1.83d94bfdd3555p-7, -0x1.7bf4b2218f62dp-7, -0x1.7435c4e4f2567p-7, -0x1.6c9bee30eb477p-7, -0x1.652699903f6bfp-7, -0x1.5dd5342eef494p-7, -0x1.56a72cd97b85bp-7, -0x1.4f9bf3fc1e77ap-7, -0x1.48b2fba1da148p-7, -0x1.41ebb77378a43p-7, -0x1.3b459cb66f328p-7, -0x1.34c0224bac4d3p-7, -0x1.2e5ac0ae4b977p-7, -0x1.2814f1f23562p-7, -0x1.21ee31c2a7be7p-7, -0x1.1be5fd60ab063p-7, -0x1.15fbd3a1721d8p-7, -0x1.102f34eca6ba6p-7, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.f181b9a179f55p-1, 0x1.f05d80a1b322ap-1, 0x1.ef30b4ca010b8p-1, 0x1.edfb4c729cceep-1, 0x1.ecbd4b2aac571p-1, 0x1.eb76c1f00fa51p-1, 0x1.ea27cec59e712p-1, 0x1.e8d09bd1f9debp-1, 0x1.e7715e2ae59fbp-1, 0x1.e60a546b23553p-1, 0x1.e49bc52b41f13p-1, 0x1.e325fd70d2ce7p-1, 0x1.e1a94f23198ap-1, 0x1.e0260f9081e5ap-1, 0x1.de9c960cfca16p-1, 0x1.dd0d3aaebc4dp-1, 0x1.db78552ca710fp-1, 0x1.d9de3be012b67p-1, 0x1.d83f42ea0f8b2p-1, 0x1.d69bbb7b7808bp-1, 0x1.d4f3f33e3c119p-1, 0x1.d34833ddd1d5ep-1, 0x1.d198c2ac63554p-1, 0x1.cfe5e0620f741p-1, 0x1.ce2fc8f388a06p-1, 0x1.cc76b37d56664p-1, 0x1.cabad24110789p-1, 0x1.c8fc52b20926fp-1, 0x1.c73b5d8f06571p-1, 0x1.c5781706d08ffp-1, 0x1.c3b29ee593189p-1, 0x1.c1eb10c938c67p-1, 0x1.c021845b22c97p-1, 0x1.be560d8dc4ba2p-1, 0x1.bc88bcdce0e51p-1, 0x1.bab99f8f4ab25p-1, 0x1.b8e8bff93b103p-1, 0x1.b71625be69efp-1, 0x1.b541d6133e34p-1, 0x1.b36bd3fc87d63p-1, 0x1.b194208d4d9f2p-1, 0x1.afbabb225384ep-1, 0x1.addfa19b125dcp-1, 0x1.ac02d08feb45fp-1, 0x1.aa2443857154ep-1, 0x1.a843f51cb28b3p-1, 0x1.a661df4073e11p-1, 0x1.a47dfb4f5c7ffp-1, 0x1.a298424318829p-1, 0x1.a0b0acd47c3f5p-1, 0x1.9ec7339cbec38p-1, 0x1.9cdbcf33dc362p-1, 0x1.9aee784c3eeaep-1, 0x1.98ff27cbc7c6cp-1, 0x1.970dd6e25763bp-1, 0x1.951a7f1df3df2p-1, 0x1.93251a7caebdp-1, 0x1.912da37c6a4fap-1, 0x1.8f3415289d6ebp-1, 0x1.8d386b263a6eep-1, 0x1.8b3aa1bdd314p-1, 0x1.893ab5e41bccdp-1, 0x1.8738a540ede16p-1, 0x1.85346e34e0fe9p-1, 0x1.832e0fdd99cd1p-1, 0x1.81258a18ebecfp-1, 0x1.7f1add86e1269p-1, 0x1.7d0e0b8ac4d11p-1, 0x1.7aff164b47017p-1, 0x1.78ee00b1ccd71p-1, 0x1.76dace6902c93p-1, 0x1.74c583dac5a0cp-1, 0x1.72ae262d706b5p-1, 0x1.7094bb40a367ap-1, 0x1.6e7949a9911ffp-1, 0x1.6c5bd8aee22dfp-1, 0x1.6a3c70443aa91p-1, 0x1.681b190570da9p-1, 0x1.65f7dc317d22cp-1, 0x1.63d2c3a530b1ep-1, 0x1.61abd9d5b9742p-1, 0x1.5f8329cb02269p-1, 0x1.5d58bf19edb1cp-1, 0x1.5b2ca5de7eba9p-1, 0x1.58feeab5eaf78p-1, 0x1.56cf9ab8a5821p-1, 0x1.549ec37461aep-1, 0x1.526c72e616899p-1, 0x1.5038b774061a9p-1, 0x1.4e039fe7cd9ffp-1, 0x1.4bcd3b687f473p-1, 0x1.49959974ce5bdp-1, 0x1.475cc9dd4a69ap-1, 0x1.4522dcbeb0958p-1, 0x1.42e7e27c53d4ap-1, 0x1.40abebba9cab8p-1, 0x1.3e6f0959a3f9p-1, 0x1.3c314c6feac84p-1, 0x1.39f2c6452cf6fp-1, 0x1.37b3884d5385dp-1, 0x1.3573a42386231p-1, 0x1.33332b855b0d6p-1, 0x1.30f2304e27bb4p-1, 0x1.2eb0c4727245ep-1, 0x1.2c6ef9fb84411p-1, 0x1.2a2ce3031ccdp-1, 0x1.27ea91af44f61p-1, 0x1.25a8182e45496p-1, 0x1.236588b2bb83cp-1, 0x1.2122f56fd1ae5p-1, 0x1.1ee07095951d7p-1, 0x1.1c9e0c4d6e6cp-1, 0x1.1a5bdab6b807bp-1, 0x1.1819ede376625p-1, 0x1.15d857d52c816p-1, 0x1.13972a79d1c22p-1, 0x1.115677a8e3fb7p-1, 0x1.0f16512097f8dp-1, 0x1.0cd6c883276c7p-1, 0x1.0a97ef543a5ebp-1, 0x1.0859d6f66ddc3p-1, 0x1.061c90a8f6216p-1, 0x1.03e02d855a47cp-1, 0x1.01a4be7d4c198p-1, 0x1.fed4a8b1317b7p-2, 0x1.fa61ff66655e5p-2, 0x1.f5f1a1f6a988bp-2, 0x1.f183b0df790ep-2, 0x1.ed184c3bfac96p-2, 0x1.e8af93c1d268dp-2, 0x1.e449a6be2167fp-2, 0x1.dfe6a412b010bp-2, 0x1.db86aa33458b6p-2, 0x1.d729d723246f9p-2, 0x1.d2d04872b430ep-2, 0x1.ce7a1b3d4e9c9p-2, 0x1.ca276c2734ebep-2, 0x1.c5d8575ba9c84p-2, 0x1.c18cf88b30b17p-2, 0x1.bd456ae9ec9ddp-2, 0x1.b901c92e269fbp-2, 0x1.b4c22d8ef040cp-2, 0x1.b086b1c2e89b7p-2, 0x1.ac4f6eff211eep-2, 0x1.a81c7df61fcacp-2, 0x1.a3edf6d6fd906p-2, 0x1.9fc3f14ca3edep-2, 0x1.9b9e847d247c8p-2, 0x1.977dc7092a00cp-2, 0x1.9361cf0b8610dp-2, 0x1.8f4ab218d5297p-2, 0x1.8b38853f3e074p-2, 0x1.872b5d0644ca6p-2, 0x1.83234d6eb6bb7p-2, 0x1.7f2069f2ab9d7p-2, 0x1.7b22c5859c8cp-2, 0x1.772a72948ea54p-2, 0x1.733783064fbaap-2, 0x1.6f4a083bc9002p-2, 0x1.6b6213106201p-2, 0x1.677fb3da752c1p-2, 0x1.63a2fa6bd4a5ep-2, 0x1.5fcbf6126193dp-2, 0x1.5bfab598afb75p-2, 0x1.582f4746ba308p-2, 0x1.5469b8e2a5e31p-2, 0x1.50aa17b1917d2p-2, 0x1.4cf0707872b01p-2, 0x1.493ccf7cfed8cp-2, 0x1.458f4086a149cp-2, 0x1.41e7cedf7c949p-2, 0x1.3e468555757fep-2, 0x1.3aab6e3b496cbp-2, 0x1.37169369adf88p-2, 0x1.3387fe407b9dcp-2, 0x1.2fffb7a7dcba7p-2, 0x1.2c7dc8118c6b9p-2, 0x1.2902377a1417ap-2, 0x1.258d0d6a193dep-2, 0x1.221e50f7ac27bp-2, 0x1.1eb608c79ef48p-2, 0x1.1b543b0ee572p-2, 0x1.17f8ed93f5d53p-2, 0x1.14a425b033913p-2, 0x1.1155e8515a9e7p-2, 0x1.0e0e39faf5507p-2, 0x1.0acd1ec7cf16cp-2, 0x1.07929a6b723d7p-2, 0x1.045eb033a3099p-2, 0x1.01316309e3a17p-2, 0x1.fc156ae9ec658p-3, 0x1.f5d55334cb629p-3, 0x1.efa2828019a75p-3, 0x1.e97cfb9b43cc3p-3, 0x1.e364c09c8a823p-3, 0x1.dd59d2e418764p-3, 0x1.d75c331f28eb8p-3, 0x1.d16be14b1f614p-3, 0x1.cb88dcb8b292ap-3, 0x1.c5b3240f09641p-3, 0x1.bfeab54eddf85p-3, 0x1.ba2f8dd5a60cfp-3, 0x1.b481aa60af065p-3, 0x1.aee1071044896p-3, 0x1.a94d9f6acd692p-3, 0x1.a3c76e5fec18p-3, 0x1.9e4e6e4b9c765p-3, 0x1.98e298f948d49p-3, 0x1.9383e7a6e8a33p-3, 0x1.8e3253080d89fp-3, 0x1.88edd348f86aap-3, 0x1.83b66011a3d56p-3, 0x1.7e8bf088cf5dep-3, 0x1.796e7b5701442p-3, 0x1.745df6a988fe1p-3, 0x1.6f5a58357732ep-3, 0x1.6a63953a9779p-3, 0x1.6579a2865c013p-3, 0x1.609c7476cda72p-3, 0x1.5bcbfefd6defcp-3, 0x1.570835a215826p-3, 0x1.52510b85cffe7p-3, 0x1.4da67365ad431p-3, 0x1.49085f9d8acc1p-3, 0x1.4476c22addf03p-3, 0x1.3ff18caf6f2aep-3, 0x1.3b78b074101fdp-3, 0x1.370c1e6b4ef9cp-3, 0x1.32abc734201d8p-3, 0x1.2e579b1c7aaa9p-3, 0x1.2a0f8a23f6be1p-3, 0x1.25d383fe5f65cp-3, 0x1.21a378163bc68p-3, 0x1.1d7f558f52fc3p-3, 0x1.19670b49264cap-3, 0x1.155a87e16612ep-3, 0x1.1159b9b659799p-3, 0x1.0d648ee944726p-3, 0x1.097af560c07bfp-3, 0x1.059cdacb0f3f9p-3, 0x1.01ca2ca06706cp-3, 0x1.fc05b04a60787p-4, 0x1.f48d94d88418ep-4, 0x1.ed2be0b228eedp-4, 0x1.e5e06d43cc247p-4, 0x1.deab13a3bc87ap-4, 0x1.d78bac9649e74p-4, 0x1.d0821091e49afp-4, 0x1.c98e17c32d362p-4, 0x1.c2af9a10eb999p-4, 0x1.bbe66f2002803p-4, 0x1.b5326e5746e69p-4, 0x1.ae936ee350689p-4, 0x1.a80947ba2bb71p-4, 0x1.a193cf9f0988ep-4, 0x1.9b32dd25d3281p-4, 0x1.94e646b6b7c99p-4, 0x1.8eade291a0074p-4, 0x1.888986d195befp-4, 0x1.827909701b0dp-4, 0x1.7c7c40486fdcbp-4, 0x1.7693011ac8b1ep-4, 0x1.70bd218f73da7p-4, 0x1.6afa7739eecacp-4, 0x1.654ad79becb38p-4, 0x1.5fae18284b525p-4, 0x1.5a240e45f982cp-4, 0x1.54ac8f52cd9fep-4, 0x1.4f4770a64bb6ap-4, 0x1.49f487945da54p-4, 0x1.44b3a96ffade7p-4, 0x1.3f84ab8dc10b5p-4, 0x1.3a6763467e9a6p-4, 0x1.355ba5f9acc56p-4, 0x1.3061490fdc657p-4, 0x1.2b7821fd134bcp-4, 0x1.26a006431b008p-4, 0x1.21d8cb73c2502p-4, 0x1.1d2247330e4eep-4, 0x1.187c4f396074bp-4, 0x1.13e6b9558ba81p-4, 0x1.0f615b6ede60fp-4, 0x1.0aec0b871c9c2p-4, 0x1.06869fbc6e32cp-4, 0x1.0230ee4b3f4b3p-4, 0x1.fbd59b202731bp-5, 0x1.f368281299e28p-5, 0x1.eb1930b1c8505p-5, 0x1.e2e8628c2dadp-5, 0x1.dad56b7e0e1cep-5, 0x1.d2dff9b4a04e6p-5, 0x1.cb07bbb11c546p-5, 0x1.c34c604bb3477p-5, 0x1.bbad96b67170fp-5, 0x1.b42b0e8005047p-5, 0x1.acc47796717f5p-5, 0x1.a5798249aa66fp-5, 0x1.9e49df4e1890dp-5, 0x1.97353fbf08e63p-5, 0x1.903b55210664ep-5, 0x1.895bd1641d421p-5, 0x1.829666e609fe9p-5, 0x1.7beac874546d2p-5, 0x1.7558a94e55426p-5, 0x1.6edfbd2728a4bp-5, 0x1.687fb8278ba02p-5, 0x1.62384eefa7a85p-5, 0x1.5c093698cac08p-5, 0x1.55f224b70bef8p-5, 0x1.4ff2cf5adf2a9p-5, 0x1.4a0aed129531dp-5, 0x1.443a34ebcb977p-5, 0x1.3e805e74c9c75p-5, 0x1.38dd21bdcd2acp-5, 0x1.3350375a462b9p-5, 0x1.2dd958620291p-5, 0x1.28783e724861ap-5, 0x1.232ca3aee2b26p-5, 0x1.1df642c31b1b9p-5, 0x1.18d4d6e2a7eb9p-5, 0x1.13c81bca89765p-5, 0x1.0ecfcdc1d7e91p-5, 0x1.09eba99a84ce5p-5, 0x1.051b6cb20d704p-5, 0x1.005ed4f21f823p-5, 0x1.f76b41a25ebb4p-6, 0x1.ee3f1ea606ad4p-6, 0x1.e538c01261fabp-6, 0x1.dc57a6271731ap-6, 0x1.d39b524117301p-6, 0x1.cb0346db46066p-6, 0x1.c28f078f194bep-6, 0x1.ba3e19151614ap-6, 0x1.b21001453e037p-6, 0x1.aa04471763bb8p-6, 0x1.a21a72a369812p-6, 0x1.9a520d216c266p-6, 0x1.92aaa0e9d8db9p-6, 0x1.8b23b975721c8p-6, 0x1.83bce35d38777p-6, 0x1.7c75ac5a4c4b1p-6, 0x1.754da345b35e5p-6, 0x1.6e4458181066p-6, 0x1.67595be94b0e5p-6, 0x1.608c40f020cc6p-6, 0x1.59dc9a81ac898p-6, 0x1.5349fd10d661bp-6, 0x1.4cd3fe2dbd0dp-6, 0x1.467a348505f31p-6, 0x1.403c37df25823p-6, 0x1.3a19a11f94854p-6, 0x1.34120a43fe715p-6, 0x1.2e250e6357112p-6, 0x1.285249acf031dp-6, 0x1.229959677490ep-6, 0x1.1cf9dbefe4338p-6, 0x1.177370b87a389p-6, 0x1.1205b8478ba16p-6, 0x1.0cb054365ad8ap-6, 0x1.0772e72fdff62p-6, 0x1.024d14ef85c0fp-6, 0x1.fa7d047fbde77p-7, 0x1.f08da9f29974p-7, 0x1.e6cb680144b9ap-7, 0x1.dd358e8b7721dp-7, 0x1.d3cb6f84133d2p-7, 0x1.ca8c5eee3739ep-7, 0x1.c177b2da356d8p-7, 0x1.b88cc362873c3p-7, 0x1.afcaeaa8a10b8p-7, 0x1.a73184d1cd3cep-7, 0x1.9ebff003e292p-7, 0x1.96758c620199dp-7, 0x1.8e51bc093a30cp-7, 0x1.8653e30d288fap-7, 0x1.7e7b677482dedp-7, 0x1.76c7b135a128bp-7, 0x1.6f382a32ffaaap-7, 0x1.67cc3e37a3984p-7, 0x1.60835af38f59bp-7, 0x1.595ceff82045p-7, 0x1.52586eb45fadap-7, 0x1.4b754a715dcdp-7, 0x1.44b2f84e713a7p-7, 0x1.3e10ef3d7c4b7p-7, 0x1.378ea7ff29bafp-7, 0x1.312b9d1f204dfp-7, 0x1.2ae74af034148p-7, 0x1.24c12f88907c8p-7, 0x1.1eb8cabddf041p-7, 0x1.18cd9e2168ff2p-7, 0x1.12ff2cfc35fbfp-7, 0x1.0d4cfc4b265b1p-7, 0x1.07b692bb0a62ap-7, 0x1.023b78a4b7a12p-7, 0x1.f9b670123596bp-8, 0x1.ef2ab91a913d6p-8, 0x1.e4d2e6ed17e48p-8, 0x1.daae174ce6703p-8, 0x1.d0bb6b2db9bcap-8, 0x1.c6fa06ac05f7cp-8, 0x1.bd6911050bba8p-8, 0x1.b407b48eeed28p-8, 0x1.aad51eb0ccc36p-8, 0x1.a1d07fdad390ap-8, 0x1.98f90b7e5a7fap-8, 0x1.904df805fd61ep-8, 0x1.87ce7ecdb9485p-8, 0x1.7f79dc1b0d6e6p-8, 0x1.774f4f151ef6dp-8, 0x1.6f4e19bcdfc05p-8, 0x1.677580e53cd4p-8, 0x1.5fc4cc2b4df41p-8, 0x1.583b45ee8d543p-8, 0x1.50d83b4912faap-8, 0x1.499afc07d96b3p-8, 0x1.4282daa3044aap-8, 0x1.3b8f2c36331c9p-8, 0x1.34bf4878d762p-8, 0x1.2e1289b69491fp-8, 0x1.27884cc7a6d36p-8, 0x1.211ff10954696p-8, 0x1.1ad8d85664786p-8, 0x1.14b266ffa19dfp-8, 0x1.0eac03c464f9fp-8, 0x1.08c517cb29a9fp-8, 0x1.02fd0e9a2ceeap-8, 0x1.faa6ac202bd6bp-9, 0x1.ef8ebcb9514f2p-9, 0x1.e4b133f308a56p-9, 0x1.da0cfb45d7545p-9, 0x1.cfa100a132636p-9, 0x1.c56c365d3ccbfp-9, 0x1.bb6d932c9cf33p-9, 0x1.b1a4120e6ae94p-9, 0x1.a80eb240349c8p-9, 0x1.9eac77301bf2cp-9, 0x1.957c686f0da6cp-9, 0x1.8c7d91a30fcb2p-9, 0x1.83af0279aac28p-9, 0x1.7b0fce9a6b8cbp-9, 0x1.729f0d997ed93p-9, 0x1.6a5bdaea6a7fep-9, 0x1.624555d2daad9p-9, 0x1.5a5aa15d8e96ep-9, 0x1.529ae44d5f111p-9, 0x1.4b0549105f9f8p-9, 0x1.4398fdb31ba74p-9, 0x1.3c5533d3ec68p-9, 0x1.353920966f9aep-9, 0x1.2e43fc971496ep-9, 0x1.277503dec86acp-9, 0x1.20cb75d6bc6cfp-9, 0x1.1a46953c4c517p-9, 0x1.13e5a814fa349p-9, 0x1.0da7f7a28d8ccp-9, 0x1.078cd0574ae13p-9, 0x1.019381ca47a6cp-9, 0x1.f776bd57bb44fp-10, 0x1.ec0779747064fp-10, 0x1.e0d7e96bfdb7cp-10, 0x1.d5e6c4ae3a3e9p-10, 0x1.cb32c8834e05fp-10, 0x1.c0bab7f5b2652p-10, 0x1.b67d5bbc6f0abp-10, 0x1.ac7982258d133p-10, 0x1.a2adff00c38c4p-10, 0x1.9919ab8a6424cp-10, 0x1.8fbb665677265p-10, 0x1.8692133c131b6p-10, 0x1.7d9c9b40f6e29p-10, 0x1.74d9ec854e8b2p-10, 0x1.6c48fa2fbbbefp-10, 0x1.63e8bc5991f73p-10, 0x1.5bb82ffb4c1cdp-10, 0x1.53b656d938341p-10, 0x1.4be2377065757p-10, 0x1.443adce3baef5p-10, 0x1.3cbf56e94f747p-10, 0x1.356eb9b7faf6ap-10, 0x1.2e481df5184aep-10, 0x1.274aa0a283ba9p-10, 0x1.2075630ccd5ecp-10, 0x1.19c78ab9a1868p-10, 0x1.134041566cc9cp-10, 0x1.0cdeb4a731a64p-10, 0x1.06a2167590c69p-10, 0x1.00899c800f192p-10, 0x1.f52900d31bcap-11, 0x1.e983ff51e5a95p-11, 0x1.de22b6f217949p-11, 0x1.d303b191458e9p-11, 0x1.c82580558ed75p-11, 0x1.bd86bb8e97994p-11, 0x1.b3260296e8984p-11, 0x1.a901fbb5b51bcp-11, 0x1.9f195401074e2p-11, 0x1.956abf404f769p-11, 0x1.8bf4f7cf57a0ep-11, 0x1.82b6be819b40bp-11, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.d5ad9d5c71435p-13, -0x1.022beade101b1p-8, -0x1.0a64c44ab98c2p-7, -0x1.a1f6104defa33p-7, -0x1.2327ae4202d8cp-6, -0x1.7aea8e8bf5faep-6, -0x1.d76b0ddcab82fp-6, -0x1.1be56e8ff1799p-5, -0x1.4d953f398c2a7p-5, -0x1.8056954c2bc9ap-5, -0x1.b3be0c9cd4dfap-5, -0x1.e7649968e9b43p-5, -0x1.0d744d85a0401p-4, -0x1.26f7572d556b4p-4, -0x1.40112314325aep-4, -0x1.589b0846a5066p-4, -0x1.707217d60b7cbp-4, -0x1.8777262b15b54p-4, -0x1.9d8ec452a0594p-4, -0x1.b2a12c153673cp-4, -0x1.c69a2169a7df9p-4, -0x1.d968cb8fccc2bp-4, -0x1.eaff87dd0b7c3p-4, -0x1.fb53b80218f9p-4, -0x1.052ec6a924dp-3, -0x1.0c0be92d0a724p-3, -0x1.123fd9ee0d78fp-3, -0x1.17ca450d87fedp-3, -0x1.1cabd19581f32p-3, -0x1.20e6076ee54bp-3, -0x1.247b365e39a14p-3, -0x1.276e5e314da44p-3, -0x1.29c3183bb58ffp-3, -0x1.2b7d823584fa5p-3, -0x1.2ca22a86f549cp-3, -0x1.2d35fe04632adp-3, -0x1.2d3e371837c66p-3, -0x1.2cc04e53c1798p-3, -0x1.2bc1ec5c3ca3bp-3, -0x1.2a48dd26b343cp-3, -0x1.285b04733458ep-3, -0x1.25fe53769e8aap-3, -0x1.2338bfa140aacp-3, -0x1.20103a703c70fp-3, -0x1.1c8aaa37579b5p-3, -0x1.18ade3d134234p-3, -0x1.147fa5242db55p-3, -0x1.1005906ac61f7p-3, -0x1.0b45282f020a8p-3, -0x1.0643cbe9182bbp-3, -0x1.0106b5326e289p-3, -0x1.f725eafdab25ap-4, -0x1.ebdae89db2183p-4, -0x1.e035db9d67df2p-4, -0x1.d43fe3ad14e33p-4, -0x1.c801c6824c9f8p-4, -0x1.bb83ef1efbc78p-4, -0x1.aece6d9fb9209p-4, -0x1.a1e8f780f1cd7p-4, -0x1.94dae84b93149p-4, -0x1.87ab429b765c2p-4, -0x1.7a60b172dabdp-4, -0x1.6d0189cf94f0ap-4, -0x1.5f93cc7792019p-4, -0x1.521d27f36439dp-4, -0x1.44a2faae7bbfcp-4, -0x1.372a55358b0ccp-4, -0x1.29b7fc8c6a553p-4, -0x1.1c506c95863ap-4, -0x1.0ef7da8593bcap-4, -0x1.01b2375ee629bp-4, -0x1.e90664e0a1312p-5, -0x1.cedc77a800c34p-5, -0x1.b4ed0dd673318p-5, -0x1.9b3e19a88c72ep-5, -0x1.81d51db09afb8p-5, -0x1.68b7319e41464p-5, -0x1.4fe906eeae828p-5, -0x1.376eed82c4135p-5, -0x1.1f4cd818e4befp-5, -0x1.078660a8aa23p-5, -0x1.e03d993e331a2p-6, -0x1.b23221f498378p-6, -0x1.84efac8796385p-6, -0x1.587af8d256f1dp-6, -0x1.2cd83ce550646p-6, -0x1.020b2c2f69aa6p-6, -0x1.b02dfcc6b932bp-7, -0x1.5dfcec33ce5p-7, -0x1.0d87ce635537cp-7, -0x1.7da4f3b720c35p-8, -0x1.c77ffea3f5b32p-9, -0x1.3595b4f2d8d89p-10, 0x1.159dcf2b9420bp-10, 0x1.a9493ea194b72p-9, 0x1.60514773a99e2p-8, 0x1.e86dc20dede5dp-8, 0x1.367dbb5bc5ca8p-7, 0x1.76fe66ccafc67p-7, 0x1.b5ba8f856694ap-7, 0x1.f2b451f9326a7p-7, 0x1.16f719b88bfebp-6, 0x1.33b58d7a27d77p-6, 0x1.4f972543bf1bfp-6, 0x1.6a9dac5f9a1fcp-6, 0x1.84cb155129a92p-6, 0x1.9e2176ec88031p-6, 0x1.b6a30992a75cep-6, 0x1.ce522490a2b1fp-6, 0x1.e5313ba0a458dp-6, 0x1.fb42dc8af9efap-6, 0x1.0844d672ede27p-5, 0x1.128433f949934p-5, 0x1.1c60ee4b57f77p-5, 0x1.25dc75b8030c8p-5, 0x1.2ef842811edd8p-5, 0x1.37b5d3fe663a9p-5, 0x1.4016afcc1e5dcp-5, 0x1.481c6104d4c29p-5, 0x1.4fc87785ba466p-5, 0x1.571c873d1964fp-5, 0x1.5e1a27826ee16p-5, 0x1.64c2f277ba3fdp-5, 0x1.6b188473908c5p-5, 0x1.711c7b7389a2ap-5, 0x1.76d07696ade61p-5, 0x1.7c36159f75ecep-5, 0x1.814ef87d12f1ep-5, 0x1.861cbedb98f47p-5, 0x1.8aa107bac5eacp-5, 0x1.8edd710b0e6a6p-5, 0x1.92d39750a969ap-5, 0x1.9685154c529d9p-5, 0x1.99f383a97ed94p-5, 0x1.9d2078b1c1b18p-5, 0x1.a00d880527859p-5, 0x1.a2bc425747c39p-5, 0x1.a52e3530d7762p-5, 0x1.a764eab586477p-5, 0x1.a961e96df4024p-5, 0x1.ab26b4158a7f2p-5, 0x1.acb4c96c116acp-5, 0x1.ae0da40acb576p-5, 0x1.af32ba3cf565ep-5, 0x1.b0257ddb7d8abp-5, 0x1.b0e75c2bc96fcp-5, 0x1.b179bdc16ac37p-5, 0x1.b1de066299e7p-5, 0x1.b21594ef59144p-5, 0x1.b221c34b1c172p-5, 0x1.b203e648d5a4dp-5, 0x1.b1bd4d995046ep-5, 0x1.b14f43bbb2d68p-5, 0x1.b0bb0df013533p-5, 0x1.b001ec2c0515p-5, 0x1.af25191101fcbp-5, 0x1.ae25c9e49a37fp-5, 0x1.ad052e8a5416fp-5, 0x1.abc4717f21e85p-5, 0x1.aa64b7d65f6f9p-5, 0x1.a8e721383acfcp-5, 0x1.a74cc7e17c9a2p-5, 0x1.a596c0a4976d7p-5, 0x1.a3c61aebeef7ap-5, 0x1.a1dbe0bd47919p-5, 0x1.9fd916be4688bp-5, 0x1.9dbebc39fede1p-5, 0x1.9b8dcb276f624p-5, 0x1.99473830ed9bfp-5, 0x1.96ebf2bc65e5fp-5, 0x1.947ce4f46df4bp-5, 0x1.91faf3d2144bep-5, 0x1.8f66ff27637f5p-5, 0x1.8cc1e1aa8f643p-5, 0x1.8a0c7101bcb85p-5, 0x1.87477dcf5c8f4p-5, 0x1.8473d3bf0f356p-5, 0x1.8192399301dep-5, 0x1.7ea37131c4a63p-5, 0x1.7ba837b487ae7p-5, 0x1.78a14575bd2f5p-5, 0x1.758f4e20121bcp-5, 0x1.727300bdbc426p-5, 0x1.6f4d07c80fdc6p-5, 0x1.6c1e093758a93p-5, 0x1.68e6a692eedb2p-5, 0x1.65a77d0180708p-5, 0x1.626125598b747p-5, 0x1.5f143431fd8c3p-5, 0x1.5bc139f2f874cp-5, 0x1.5868c2e6b46ap-5, 0x1.550b574a76f4ap-5, 0x1.51a97b5fa1a63p-5, 0x1.4e43af7ccb085p-5, 0x1.4ada701ee274dp-5, 0x1.476e35fa59e88p-5, 0x1.43ff760c50305p-5, 0x1.408ea1abb8fa4p-5, 0x1.3d1c269a7c74p-5, 0x1.39a86f169148fp-5, 0x1.3633e1eb04ae3p-5, 0x1.32bee280f5c44p-5, 0x1.2f49d0f07a73dp-5, 0x1.2bd50a1172b32p-5, 0x1.2860e78c3d2f3p-5, 0x1.24edbfea567e3p-5, 0x1.217be6a6d799bp-5, 0x1.1e0bac3ed5082p-5, 0x1.1a9d5e419da7dp-5, 0x1.17314760d5f07p-5, 0x1.13c7af806a0abp-5, 0x1.1060dbc66096bp-5, 0x1.0cfd0eaa7bd6ep-5, 0x1.099c8805b96ep-5, 0x1.063f8521a0269p-5, 0x1.02e640c765443p-5, 0x1.ff21e69dc8e3cp-6, 0x1.f87fa55aca0aep-6, 0x1.f1e625086c32p-6, 0x1.eb55c85e28ea4p-6, 0x1.e4ceeda4c62f3p-6, 0x1.de51eed262207p-6, 0x1.d7df21a61a19bp-6, 0x1.d176d7c34c769p-6, 0x1.cb195ecc72314p-6, 0x1.c4c7007d93e02p-6, 0x1.be8002c6568e9p-6, 0x1.b844a7e39e536p-6, 0x1.b2152e78ca2bp-6, 0x1.abf1d1a886434p-6, 0x1.a5dac92d31e9ep-6, 0x1.9fd04970e5125p-6, 0x1.99d283a4ffa4p-6, 0x1.93e1a5d95be5ap-6, 0x1.8dfddb1311051p-6, 0x1.88274b62ce2e9p-6, 0x1.825e1bface327p-6, 0x1.7ca26f44619dbp-6, 0x1.76f464f515998p-6, 0x1.71541a236b9cep-6, 0x1.6bc1a95b34eecp-6, 0x1.663d2ab17fadcp-6, 0x1.60c6b3d82640ep-6, 0x1.5b5e5830f31ep-6, 0x1.560428e067adap-6, 0x1.50b834e01c711p-6, 0x1.4b7a8910c229dp-6, 0x1.464b304bc1309p-6, 0x1.412a337477b07p-6, 0x1.3c1799891a4b2p-6, 0x1.371367b33941fp-6, 0x1.321da157e483bp-6, 0x1.2d364827770fdp-6, 0x1.285d5c2d07932p-6, 0x1.2392dbdd7d89fp-6, 0x1.1ed6c4264fd46p-6, 0x1.1a29107bed711p-6, 0x1.1589bae7ccd9cp-6, 0x1.10f8bc1629bf1p-6, 0x1.0c760b636c367p-6, 0x1.08019ee94064p-6, 0x1.039b6b8b5a677p-6, 0x1.fe86ca07db294p-7, 0x1.f5f2fbdf9e77p-7, 0x1.ed7b4fb4a622bp-7, 0x1.e51fa691aa8a9p-7, 0x1.dcdfdf8bf99bfp-7, 0x1.d4bbd7d967a86p-7, 0x1.ccb36ae5a6d3ep-7, 0x1.c4c672671b9fep-7, 0x1.bcf4c6731f184p-7, 0x1.b53e3d91b443fp-7, 0x1.ada2acd0bc1abp-7, 0x1.a621e7d69f8ebp-7, 0x1.9ebbc0f479843p-7, 0x1.97700937c0b69p-7, 0x1.903e907b718b7p-7, 0x1.89272578c0452p-7, 0x1.822995d749bbp-7, 0x1.7b45ae3cda83cp-7, 0x1.747b3a5cb8de3p-7, 0x1.6dca050676f9ap-7, 0x1.6731d8346422ap-7, 0x1.60b27d1984e67p-7, 0x1.5a4bbc2f2479dp-7, 0x1.53fd5d41f8593p-7, 0x1.4dc7277ee86e7p-7, 0x1.47a8e17f5d554p-7, 0x1.41a251554648ep-7, 0x1.3bb33c96a825dp-7, 0x1.35db6868da826p-7, 0x1.301a998b633f5p-7, 0x1.2a7094627a6afp-7, 0x1.24dd1d013380fp-7, 0x1.1f5ff7335161bp-7, 0x1.19f8e686c6677p-7, 0x1.14a7ae54e09bp-7, 0x1.0f6c11cb2664p-7, 0x1.0a45d3f3e420ep-7, 0x1.0534b7be6cc2ep-7, 0x1.00388007101bbp-7, 0x1.f6a1df3d8c4d2p-8, 0x1.ecfb92a52a70bp-8, 0x1.e37d9fe561183p-8, 0x1.da278cb2a6ccbp-8, 0x1.d0f8dee2b3dd8p-8, 0x1.c7f11c7932e06p-8, 0x1.bf0fcbb3f1f8cp-8, 0x1.b654731699f4ep-8, 0x1.adbe9975ed836p-8, 0x1.a54dc60292c02p-8, 0x1.9d0180536c722p-8, 0x1.94d9506f838b2p-8, 0x1.8cd4bed784906p-8, 0x1.84f3548ed44e9p-8, 0x1.7d349b243ef06p-8, 0x1.75981cba42e13p-8, 0x1.6e1d640efa935p-8, 0x1.66c3fc83a9f3dp-8, 0x1.5f8b7223ee22ep-8, 0x1.587351ac955a2p-8, 0x1.517b28922141fp-8, 0x1.4aa28506f2dc3p-8, 0x1.43e8f60127e8p-8, 0x1.3d4e0b4025cbcp-8, 0x1.36d15551da786p-8, 0x1.30726597b0bcbp-8, 0x1.2a30ce4b3c428p-8, 0x1.240c2282a094ep-8, 0x1.1e03f634b1c85p-8, 0x1.1817de3cd5866p-8, 0x1.1247705ea162bp-8, 0x1.0c9243493cac6p-8, 0x1.06f7ee9a8572ep-8, 0x1.01780ae1fc66bp-8, 0x1.f8246346eb3d1p-9, 0x1.ed8bfab32a03p-9, 0x1.e32612f02afcbp-9, 0x1.d8f1e4dbb7404p-9, 0x1.ceeeab4db1b2p-9, 0x1.c51ba31b78d5cp-9, 0x1.bb780b1af0ce1p-9, 0x1.b203242531085p-9, 0x1.a8bc3118dd78p-9, 0x1.9fa276dc288f9p-9, 0x1.96b53c5e8d2b4p-9, 0x1.8df3ca9a2f88fp-9, 0x1.855d6c94fe136p-9, 0x1.7cf16f61835d4p-9, 0x1.74af221f751e3p-9, 0x1.6c95d5fc0032bp-9, 0x1.64a4de31d3de1p-9, 0x1.5cdb9008f0d09p-9, 0x1.553942d637702p-9, 0x1.4dbd4ffac5271p-9, 0x1.466712e312a5fp-9, 0x1.3f35e905e36bap-9, 0x1.382931e2fd023p-9, 0x1.31404f01b5235p-9, 0x1.2a7aa3ef49413p-9, 0x1.23d7963d0ea7cp-9, 0x1.1d568d7e77d5p-9, 0x1.16f6f346ec37fp-9, 0x1.10b8332781898p-9, 0x1.0a99baac86fbbp-9, 0x1.049af95af202ep-9, 0x1.fd76c15b52afbp-10, 0x1.f1f4c8255b462p-10, 0x1.e6aef1d048a37p-10, 0x1.dba42cf28b69fp-10, 0x1.d0d36bf661575p-10, 0x1.c63ba51340ec1p-10, 0x1.bbdbd2471c8a8p-10, 0x1.b1b2f14f6d4a7p-10, 0x1.a7c003a21d25cp-10, 0x1.9e020e663b1a9p-10, 0x1.94781a6c90e69p-10, 0x1.8b2134280f1a3p-10, 0x1.81fc6ba619a53p-10, 0x1.7908d486b29c5p-10, 0x1.704585f487b91p-10, 0x1.67b19a9ce2937p-10, 0x1.5f4c30a77ef64p-10, 0x1.571469ae4aaf1p-10, 0x1.4f096ab50ff98p-10, 0x1.472a5c210845fp-10, 0x1.3f7669b05cfc7p-10, 0x1.37ecc2719cfd4p-10, 0x1.308c98bb1ddd6p-10, 0x1.295522224e8p-10, 0x1.22459773040ecp-10, 0x1.1b5d34a6b3ce4p-10, 0x1.149b38dbaf32dp-10, 0x1.0dfee64c4cd17p-10, 0x1.078782461150ep-10, 0x1.01345520d636ap-10, 0x1.f609546bc9512p-11, 0x1.e9ef9fae2a0abp-11, 0x1.de1a2e8bd311bp-11, 0x1.d287a9555421bp-11, 0x1.c736be1700e37p-11, 0x1.bc2620872cbddp-11, 0x1.b15489f46d2dap-11, 0x1.a6c0b933e3197p-11, 0x1.9c69728f8eb9ep-11, 0x1.924d7fb4acbe1p-11, 0x1.886bafa22332fp-11, 0x1.7ec2d696f9002p-11, 0x1.7551ce00e1a8ap-11, 0x1.6c17746ad6554p-11, 0x1.6312ad6bc59c9p-11, 0x1.5a42619554689p-11, 0x1.51a57e62b5d3cp-11, 0x1.493af62799517p-11, 0x1.4101bfff30ee5p-11, 0x1.38f8d7bb4fe29p-11, 0x1.311f3dd3a3b6p-11, 0x1.2973f7550830cp-11, 0x1.21f60dd0f6c41p-11, 0x1.1aa48f4d13p-11, 0x1.137e8e32d56eep-11, 0x1.0c83213f530a3p-11, 0x1.05b16373263c9p-11, 0x1.fe10e804ea53p-12, 0x1.f10eec8a36a07p-12, 0x1.e45b234de1cep-12, 0x1.d7f3e33070172p-12, 0x1.cbd78afc5199ap-12, 0x1.c00481474277fp-12, 0x1.b4793453f309fp-12, 0x1.a93419f3f5dc9p-12, 0x1.9e33af69f54c3p-12, 0x1.9376794c32fb6p-12, 0x1.88fb03675125ap-12, 0x1.7ebfe0a166b4p-12, 0x1.74c3aadd5b616p-12, 0x1.6b0502de92ae1p-12, 0x1.6182902cdfc92p-12, 0x1.583b00f8c7632p-12, 0x1.4f2d0a000c43ap-12, 0x1.465766728b94dp-12, 0x1.3db8d7d762253p-12, 0x1.355025f261d29p-12, 0x1.2d1c1ea9d3858p-12, 0x1.251b95ec862eap-12, 0x1.1d4d65982ac82p-12, 0x1.15b06d600166fp-12, 0x1.0e4392b3cd014p-12, 0x1.0705c0a71bdfap-12, 0x1.ffebcfb1b3d48p-13, 0x1.f225fcb65f0cp-13, 0x1.e4b7ff37604f7p-13, 0x1.d79fd897a587ep-13, 0x1.cadb9493769dap-13, 0x1.be69491296c8cp-13, 0x1.b24715fb08e96p-13, 0x1.a673250463fd7p-13, 0x1.9aeba98bc3697p-13, 0x1.8faee0684bdf7p-13, 0x1.84bb0fc04798ep-13, 0x1.7a0e86ded72dfp-13, 0x1.6fa79e0a370cp-13, 0x1.6584b65a95091p-13, 0x1.5ba4399181caep-13, 0x1.520499f1e9491p-13, 0x1.48a45218a46eep-13, 0x1.3f81e4d593a5dp-13, 0x1.369bdd054fcbep-13, 0x1.2df0cd6b632bap-13, 0x1.257f508d10c53p-13, 0x1.1d46088ca9008p-13, 0x1.15439f05682fp-13, 0x1.0d76c4e7dc297p-13, 0x1.05de3256d83d4p-13, 0x1.fcf14d09d0364p-14, 0x1.ee89cf249e8ffp-14, 0x1.e08384d7181f6p-14, 0x1.d2dc1550ba253p-14, 0x1.c59134d68ba61p-14, 0x1.b8a0a4833dbf7p-14, 0x1.ac0832082d2a2p-14, 0x1.9fc5b76f833f9p-14, 0x1.93d71adf309c3p-14, 0x1.883a4e5cfa1dap-14, 0x1.7ced4f936bbe6p-14, 0x1.71ee2797c54d2p-14, 0x1.673aeab0d436p-14, 0x1.5cd1b81ebd3ffp-14, 0x1.52b0b9e3b0791p-14, 0x1.48d6248d84722p-14, 0x1.3f40370039dbcp-14, 0x1.35ed3a415f6bep-14, 0x1.2cdb814458901p-14, 0x1.240968b780147p-14, 0x1.1b7556d227d4p-14, 0x1.131dbb236f528p-14, 0x1.0b010e61f0e37p-14, 0x1.031dd23c42d89p-14, 0x1.f6e522548ea0cp-15, 0x1.e7fbbc7e982bap-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.1f3ea710b75ap-3, -0x1.2c3b21b23093bp-3, -0x1.392a54e4bdce3p-3, -0x1.460bae1a31654p-3, -0x1.52dd74ecee55p-3, -0x1.5f9cff7e83785p-3, -0x1.6c46e930d6193p-3, -0x1.78d74898b316ep-3, -0x1.8549e26278a21p-3, -0x1.919a579b0bcc3p-3, -0x1.9dc44e67cf7abp-3, -0x1.a9c394b24e35ap-3, -0x1.b5943caa4d067p-3, -0x1.c132b347265b2p-3, -0x1.cc9bd122f4ep-3, -0x1.d7cce62b2ce5cp-3, -0x1.e2c3c0b5dc32cp-3, -0x1.ed7eb093e1557p-3, -0x1.f7fc86b9b1e15p-3, -0x1.011e4909c8f83p-2, -0x1.061f4d08b3d8cp-2, -0x1.0b016bb5830fdp-2, -0x1.0fc4f5c8684a4p-2, -0x1.146a6b978027dp-2, -0x1.18f2780e245d3p-2, -0x1.1d5deb7fab466p-2, -0x1.21adb6751c34bp-2, -0x1.25e2e48fb1c61p-2, -0x1.29fe9794c70b1p-2, -0x1.2e0202b33fa97p-2, -0x1.31ee660e6004ep-2, -0x1.35c50a96a1042p-2, -0x1.39873e35fed35p-2, -0x1.3d365052d3b07p-2, -0x1.40d38eaa349b3p-2, -0x1.4460428123f1fp-2, -0x1.47ddae2a8f0e9p-2, -0x1.4b4d0adf0dc03p-2, -0x1.4eaf86e28cab2p-2, -0x1.520643f383422p-2, -0x1.555255feee3f9p-2, -0x1.5894c21414112p-2, -0x1.5bce7d93062eep-2, -0x1.5f006d90bdac6p-2, -0x1.622b666be4c58p-2, -0x1.65502b8d6785fp-2, -0x1.686f6f502d585p-2, -0x1.6b89d30b83ffep-2, -0x1.6e9fe73c180eep-2, -0x1.71b22bc7866acp-2, -0x1.74c11056e7c2fp-2, -0x1.77ccf4c4f4009p-2, -0x1.7ad6299ca3d64p-2, -0x1.7ddcf0a57ba33p-2, -0x1.80e17d7ae55c4p-2, -0x1.83e3f62c4bb36p-2, -0x1.86e473e3d19dbp-2, -0x1.89e30391cc1b9p-2, -0x1.8cdfa69b4adadp-2, -0x1.8fda538a32d49p-2, -0x1.92d2f6bda02a1p-2, -0x1.95c97319626e4p-2, -0x1.98bda2b39fb3ep-2, -0x1.9baf577fb5484p-2, -0x1.9e9e5bf5aa243p-2, -0x1.a18a73b58b816p-2, -0x1.a4735c26363cdp-2, -0x1.a758cd0f2145dp-2, -0x1.aa3a792cd2e56p-2, -0x1.ad180ebfc50ep-2, -0x1.aff138157f16cp-2, -0x1.b2c59c0bcbcfcp-2, -0x1.b594de8df5825p-2, -0x1.b85ea10bff80ep-2, -0x1.bb2282ebde997p-2, -0x1.bde021f4be7c4p-2, -0x1.c0971ab4653efp-2, -0x1.c34708dece7d6p-2, -0x1.c5ef87a81a3ecp-2, -0x1.c8903218f9d66p-2, -0x1.cb28a35db7c91p-2, -0x1.cdb877100e9a6p-2, -0x1.d03f497bf304fp-2, -0x1.d2bcb7df834e7p-2, -0x1.d53060a649061p-2, -0x1.d799e39ffe6dap-2, -0x1.d9f8e233069dep-2, -0x1.dc4cff8ac7e52p-2, -0x1.de95e0c21af3cp-2, -0x1.e0d32d09f89fap-2, -0x1.e3048dcc9c55ap-2, -0x1.e529aecd3fbb9p-2, -0x1.e7423e44a59a6p-2, -0x1.e94decfa957d4p-2, -0x1.eb4c6e5c7c5c6p-2, -0x1.ed3d78914d98p-2, -0x1.ef20c48adcff2p-2, -0x1.f0f60e14c37a2p-2, -0x1.f2bd13e10471bp-2, -0x1.f47597928b418p-2, -0x1.f61f5dc5a6181p-2, -0x1.f7ba2e169d7edp-2, -0x1.f945d32686718p-2, -0x1.fac21a9e6f207p-2, -0x1.fc2ed530fa285p-2, -0x1.fd8bd69a8afdbp-2, -0x1.fed8f5a018381p-2, -0x1.000b06065d15bp-1, -0x1.00a17b570737ap-1, -0x1.012fcaa7c329fp-1, -0x1.01b5e55a587cp-1, -0x1.0233be494b806p-1, -0x1.02a949c41be3p-1, -0x1.03167d8b1ddf5p-1, -0x1.037b50caf3ce6p-1, -0x1.03d7bc17b29acp-1, -0x1.042bb967b628cp-1, -0x1.0477440e2c4c4p-1, -0x1.04ba58b55dfedp-1, -0x1.04f4f558bd353p-1, -0x1.0527193eb9c15p-1, -0x1.0550c4f26724bp-1, -0x1.0571fa3cf54e8p-1, -0x1.058abc1f011b8p-1, -0x1.059b0ec9c4126p-1, -0x1.05a2f798227a6p-1, -0x1.05a27d07a1ebp-1, -0x1.0599a6b14620bp-1, -0x1.05887d425c02p-1, -0x1.056f0a7535076p-1, -0x1.054d5909d3af7p-1, -0x1.052374be9121ap-1, -0x1.04f16a48b8ebep-1, -0x1.04b7474d22c55p-1, -0x1.04751a58c7ebbp-1, -0x1.042af2d95b236p-1, -0x1.03d8e115e27adp-1, -0x1.037ef62756541p-1, -0x1.031d43f1457dep-1, -0x1.02b3dd1a8412ep-1, -0x1.0242d505e395p-1, -0x1.01ca3fcaf6b0ep-1, -0x1.014a322ee2dbcp-1, -0x1.00c2c19d40e55p-1, -0x1.003404210d96fp-1, -0x1.ff3c20bb56f4fp-2, -0x1.fe01fb0fef13bp-2, -0x1.fcb9c6bee4a4ap-2, -0x1.fb63b44ef8024p-2, -0x1.f9fff54150d0ap-2, -0x1.f88ebc044e7dp-2, -0x1.f7103be68bc26p-2, -0x1.f584a90a0f09ap-2, -0x1.f3ec3857ad5ep-2, -0x1.f2471f72a2284p-2, -0x1.f09594ac589c1p-2, -0x1.eed7cef8697c7p-2, -0x1.ed0e05e0d20c2p-2, -0x1.eb38717a5f546p-2, -0x1.e9574a595065fp-2, -0x1.e76ac98633f9p-2, -0x1.e5732872fbb59p-2, -0x1.e370a0f049897p-2, -0x1.e1636d22f85e7p-2, -0x1.df4bc779dc39dp-2, -0x1.dd29eaa3be2d6p-2, -0x1.dafe118593a6cp-2, -0x1.d8c87730ee7c3p-2, -0x1.d68956daa7e71p-2, -0x1.d440ebd1c982dp-2, -0x1.d1ef7176a9c01p-2, -0x1.cf9523324d648p-2, -0x1.cd323c6df81a6p-2, -0x1.cac6f88b00498p-2, -0x1.c85392dad909cp-2, -0x1.c5d8469754d09p-2, -0x1.c3554edb24605p-2, -0x1.c0cae69a8c404p-2, -0x1.be39489c55238p-2, -0x1.bba0af72f1f87p-2, -0x1.b9015575e0761p-2, -0x1.b65b74bb3d1ebp-2, -0x1.b3af47119231ap-2, -0x1.b0fd05f9da827p-2, -0x1.ae44eaa1b836p-2, -0x1.ab872ddde4abep-2, -0x1.a8c40824cf772p-2, -0x1.a5fbb1897683fp-2, -0x1.a32e61b66aa86p-2, -0x1.a05c4fe90e438p-2, -0x1.9d85b2ecfda43p-2, -0x1.9aaac117aca7ap-2, -0x1.97cbb04433d71p-2, -0x1.94e8b5cf4c24dp-2, -0x1.9202069379473p-2, -0x1.8f17d6e561d0ep-2, -0x1.8c2a5a9053b56p-2, -0x1.8939c4d2f6fabp-2, -0x1.8646485c28e1dp-2, -0x1.83501748037a9p-2, -0x1.8057631d0e1e7p-2, -0x1.7d5c5cc998241p-2, -0x1.7a5f34a139652p-2, -0x1.77601a5a7d6e1p-2, -0x1.745f3d0cb01ap-2, -0x1.715ccb2dd467dp-2, -0x1.6e58f290bf5f3p-2, -0x1.6b53e0635462fp-2, -0x1.684dc12ce6747p-2, -0x1.6546c0ccbd173p-2, -0x1.623f0a78b7fd5p-2, -0x1.5f36c8bc1502bp-2, -0x1.5c2e257656426p-2, -0x1.592549da46856p-2, -0x1.561c5e6d1ceb1p-2, -0x1.53138b05bd984p-2, -0x1.500af6cc15ab9p-2, -0x1.4d02c83896db7p-2, -0x1.49fb2513cad4bp-2, -0x1.46f4327601dd3p-2, -0x1.43ee14c71d2bfp-2, -0x1.40e8efbe6ece1p-2, -0x1.3de4e662b5b15p-2, -0x1.3ae21b0a2c988p-2, -0x1.37e0af5ab453bp-2, -0x1.34e0c44a10e27p-2, -0x1.31e27a1e3d748p-2, -0x1.2ee5f06dd4a5ap-2, -0x1.2beb46208c83dp-2, -0x1.28f2996fc50ecp-2, -0x1.25fc07e72d956p-2, -0x1.2307ae6573c0cp-2, -0x1.2015a91d0e542p-2, -0x1.1d2613950fd79p-2, -0x1.1a3908aa0d0d1p-2, -0x1.174ea28f141cp-2, -0x1.1466faceb0ee9p-2, -0x1.11822a4bfddf8p-2, -0x1.0ea04943c7c1ep-2, -0x1.0bc16f4db881bp-2, -0x1.08e5b35d920a5p-2, -0x1.060d2bc4757d5p-2, -0x1.0337ee3234f7bp-2, -0x1.00660fb6af042p-2, -0x1.fb2f49866bd93p-3, -0x1.f599825804172p-3, -0x1.f00af053564bbp-3, -0x1.ea83b8b556e43p-3, -0x1.e503ff89dc1e5p-3, -0x1.df8be7aebd98dp-3, -0x1.da1b92d712ad6p-3, -0x1.d4b3218e75309p-3, -0x1.cf52b33c52446p-3, -0x1.c9fa66274da3cp-3, -0x1.c4aa5778a5cf1p-3, -0x1.bf62a33fb1bb5p-3, -0x1.ba2364755afbfp-3, -0x1.b4ecb4ffa984cp-3, -0x1.afbeadb553d18p-3, -0x1.aa9966615a7cdp-3, -0x1.a57cf5c6a75c1p-3, -0x1.a06971a3b728fp-3, -0x1.9b5eeeb6432bbp-3, -0x1.965d80bef653fp-3, -0x1.91653a8523336p-3, -0x1.8c762dda7f3f1p-3, -0x1.87906b9edef1fp-3, -0x1.82b403c3f8181p-3, -0x1.7de1055125dbap-3, -0x1.79177e672a2eap-3, -0x1.74577c43f63e6p-3, -0x1.6fa10b466e803p-3, -0x1.6af436f23162dp-3, -0x1.665109f35edffp-3, -0x1.61b78e225ac74p-3, -0x1.5d27cc87928e3p-3, -0x1.58a1cd5f3cf71p-3, -0x1.5425981d1b7aep-3, -0x1.4fb3337034a9cp-3, -0x1.4b4aa54692f0ep-3, -0x1.46ebf2d0f62f1p-3, -0x1.4297208687ecep-3, -0x1.3e4c32288cf1p-3, -0x1.3a0b2ac60b656p-3, -0x1.35d40cbf72bebp-3, -0x1.31a6d9ca3c9a9p-3, -0x1.2d8392f485b2ep-3, -0x1.296a38a8a5f01p-3, -0x1.255acab0bc2adp-3, -0x1.2155483a3d72ap-3, -0x1.1d59afd970fa2p-3, -0x1.1967ff8cf069dp-3, -0x1.158034c11cc2bp-3, -0x1.11a24c538a75cp-3, -0x1.0dce42966bb9p-3, -0x1.0a041353ea25cp-3, -0x1.0643b9d182196p-3, -0x1.028d30d352a73p-3, -0x1.fdc0e53ec5f69p-4, -0x1.f67af201bfa79p-4, -0x1.ef487a96acab1p-4, -0x1.e82970bbbe18ep-4, -0x1.e11dc54c8accdp-4, -0x1.da25684843fa1p-4, -0x1.d34048d7e0f25p-4, -0x1.cc6e5554324c1p-4, -0x1.c5af7b4be371p-4, -0x1.bf03a7896e1ap-4, -0x1.b86ac618fa70bp-4, -0x1.b1e4c24e1f86dp-4, -0x1.ab7186c9aad71p-4, -0x1.a510fd7f3845fp-4, -0x1.9ec30fbacda76p-4, -0x1.9887a6264f09fp-4, -0x1.925ea8cef766cp-4, -0x1.8c47ff2aa5b1ap-4, -0x1.8643901d26911p-4, -0x1.805141fd63587p-4, -0x1.7a70fa9a801f7p-4, -0x1.74a29f40e59dbp-4, -0x1.6ee614bf3671bp-4, -0x1.693b3f6b3248ap-4, -0x1.63a2032684175p-4, -0x1.5e1a43637d52ep-4, -0x1.58a3e329bd488p-4, -0x1.533ec51ac5756p-4, -0x1.4deacb7678ef5p-4, -0x1.48a7d81f8a08bp-4, -0x1.4375cc9fd2d7fp-4, -0x1.3e548a2c9b46ap-4, -0x1.3943f1aacc207p-4, -0x1.3443e3b30d32ap-4, -0x1.2f544095d2b57p-4, -0x1.2a74e85f5512p-4, -0x1.25a5badb776a8p-4, -0x1.20e697999a6ebp-4, -0x1.1c375df05c8a1p-4, -0x1.1797ed0147f3cp-4, -0x1.130823bc6cdd6p-4, -0x1.0e87e0e3ea63fp-4, -0x1.0a17030f64db5p-4, -0x1.05b568af69a0dp-4, -0x1.0162f010c0fc2p-4, -0x1.fa3eeebf5d2afp-5, -0x1.f1d5b9563e8ccp-5, -0x1.e989fbcf8c672p-5, -0x1.e15b71e64f90ep-5, -0x1.d949d72d268fdp-5, -0x1.d154e714196ap-5, -0x1.c97c5cee4668fp-5, -0x1.c1bff3f772b72p-5, -0x1.ba1f67597449cp-5, -0x1.b29a723180b26p-5, -0x1.ab30cf9555979p-5, -0x1.a3e23a9844adp-5, -0x1.9cae6e501fa73p-5, -0x1.959525da015a6p-5, -0x1.8e961c5efc1bap-5, -0x1.87b10d18a7696p-5, -0x1.80e5b3558c812p-5, -0x1.7a33ca7d7aae4p-5, -0x1.739b0e15b7b57p-5, -0x1.6d1b39c517f92p-5, -0x1.66b40957f6f39p-5, -0x1.606538c41330dp-5, -0x1.5a2e842c503fdp-5, -0x1.540fa7e458f87p-5, -0x1.4e0860742bf1bp-5, -0x1.48186a9b86e48p-5, -0x1.423f83553c98bp-5, -0x1.3c7d67da6ce99p-5, -0x1.36d1d5a5a4dd8p-5, -0x1.313c8a75e5689p-5, -0x1.2bbd44518f716p-5, -0x1.2653c1893a063p-5, -0x1.20ffc0ba6cc53p-5, -0x1.1bc100d245297p-5, -0x1.1697411003908p-5, -0x1.118241077ff8ep-5, -0x1.0c81c0a3894a9p-5, -0x1.079580282f82bp-5, -0x1.02bd4034f3222p-5, -0x1.fbf1838dcaf5dp-6, -0x1.f28f8c755c802p-6, -0x1.e9541e9cfefbdp-6, -0x1.e03ebe47e6cfdp-6, -0x1.d74ef083af00ep-6, -0x1.ce843b2bc5493p-6, -0x1.c5de24ecb0e4p-6, -0x1.bd5c354733594p-6, -0x1.b4fdf49343fdcp-6, -0x1.acc2ec02e4bffp-6, -0x1.a4aaa5a4d8b18p-6, -0x1.9cb4ac672fa4fp-6, -0x1.94e08c19b70d7p-6, -0x1.8d2dd170415a2p-6, -0x1.859c0a04d4b07p-6, -0x1.7e2ac459b45adp-6, -0x1.76d98fdb47085p-6, -0x1.6fa7fce1e8a3bp-6, -0x1.68959cb3913e1p-6, -0x1.61a2018569adep-6, -0x1.5accbe7d3ae1ap-6, -0x1.541567b2c3de4p-6, -0x1.4d7b9230f4ff8p-6, -0x1.46fed3f70fc6bp-6, -0x1.409ec3f9a867bp-6, -0x1.3a5afa2395bdbp-6, -0x1.34330f56bca9p-6, -0x1.2e269d6ccca5cp-6, -0x1.28353f37e1a4ap-6, -0x1.225e9083090a9p-6, -0x1.1ca22e12b7e89p-6, -0x1.16ffb5a525c26p-6, -0x1.1176c5f29184dp-6, -0x1.0c06fead764c1p-6, -0x1.06b00082a3514p-6, -0x1.01716d1947e04p-6, -0x1.f895ce25cd5b1p-7, -0x1.ee782416708fbp-7, -0x1.e489252ff2446p-7, -0x1.dac81c9153151p-7, -0x1.d134574c6b681p-7, -0x1.c7cd24652a9e2p-7, -0x1.be91d4d0a0c87p-7, -0x1.b581bb73ffec4p-7, -0x1.ac9c2d2364fb6p-7, -0x1.a3e080a09b2b6p-7, -0x1.9b4e0e99ae0a9p-7, -0x1.92e431a76ab1fp-7, -0x1.8aa2464bc3687p-7, -0x1.8287aaf014509p-7, -0x1.7a93bfe3589a7p-7, -0x1.72c5e75836e57p-7, -0x1.6b1d85630ad15p-7, -0x1.6399fff7c01e6p-7, -0x1.5c3abee7aafbep-7, -0x1.54ff2bdf3e90fp-7, -0x1.4de6b263b6d9ap-7, -0x1.46f0bfd0a89f9p-7, -0x1.401cc3557e4e3p-7, -0x1.396a2df2e888bp-7, -0x1.32d87278368afp-7, -0x1.2c6705809fc38p-7, -0x1.26155d707dce3p-7, -0x1.1fe2f272751f4p-7, -0x1.19cf3e749008p-7, -0x1.13d9bd254aabep-7, -0x1.0e01ebf091bafp-7, -0x1.084749fcb362p-7, -0x1.02a95827441fbp-7, -0x1.fa4f3203f01ebp-8, -0x1.ef83219ee1539p-8, -0x1.e4ed8afffecedp-8, -0x1.da8d7d5cbda14p-8, -0x1.d0620b38c3687p-8, -0x1.c66a4a5f33479p-8, -0x1.bca553dbe9252p-8, -0x1.b31243f4a494ep-8, -0x1.a9b03a2226873p-8, -0x1.a07e59093eed7p-8, -0x1.977bc673ced36p-8, -0x1.8ea7ab49bcf69p-8, -0x1.86013389e15b1p-8, -0x1.7d878e42e47e7p-8, -0x1.7539ed8c16f09p-8, -0x1.6d17867e3df2cp-8, -0x1.651f912c5b952p-8, -0x1.5d51489c6dd33p-8, -0x1.55abeac0277e7p-8, -0x1.4e2eb86da5804p-8, -0x1.46d8f5581ec2fp-8, -0x1.3fa9e8088ec1bp-8, -0x1.38a0d9d65f884p-8, -0x1.31bd16e00fc1ap-8, -0x1.2afdee03d7ef3p-8, -0x1.2462b0d84cce9p-8, -0x1.1deab3a50448ap-8, -0x1.17954d5b378f4p-8, -0x1.1161d78e677c4p-8, -0x1.0b4fae6d02e81p-8, -0x1.055e30b90d911p-8, -0x1.ff197f8193a62p-9, -0x1.f3b57eaece508p-9, -0x1.e88f2b9b61e3p-9, -0x1.dda557d58a421p-9, -0x1.d2f6d9c997798p-9, -0x1.c8828cb36bf4bp-9, -0x1.be47509004489p-9, -0x1.b4440a0f0a401p-9, -0x1.aa77a284756b4p-9, -0x1.a0e107da35d07p-9, -0x1.977f2c81f5222p-9, -0x1.8e510766dd05ap-9, -0x1.855593df72becp-9, -0x1.7c8bd19f85fe4p-9, -0x1.73f2c4aa27935p-9, -0x1.6b897543bdf1dp-9, -0x1.634eefe4219b4p-9, -0x1.5b424528d3fc5p-9, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.e6ba387b0c33fp-1, 0x1.e4deb3702bd8bp-1, 0x1.e3010e0b76474p-1, 0x1.e121c0dde2066p-1, 0x1.df40fb7c2bb7ep-1, 0x1.dd5eafebb8985p-1, 0x1.db7a9ed6c254bp-1, 0x1.d99463c36b3f9p-1, 0x1.d7ab80babc8bcp-1, 0x1.d5bf68f841fa4p-1, 0x1.d3cf8a601afbep-1, 0x1.d1db5597a8885p-1, 0x1.cfe244b4e6cdap-1, 0x1.cde3e08a95b3fp-1, 0x1.cbdfc4a459c98p-1, 0x1.c9d5a20ed273bp-1, 0x1.c7c5410cf8b84p-1, 0x1.c5ae81dec3dfbp-1, 0x1.c3915cbd96714p-1, 0x1.c16de131fee12p-1, 0x1.bf4434e44a5d9p-1, 0x1.bd1492069d0acp-1, 0x1.badf45741fe7fp-1, 0x1.b8a4ac9d74265p-1, 0x1.b665335743712p-1, 0x1.b421519c82fc3p-1, 0x1.b1d98952f60f7p-1, 0x1.af8e641dae565p-1, 0x1.ad407146c507p-1, 0x1.aaf043c74e2d7p-1, 0x1.a89e70729bedep-1, 0x1.a64b8c4836232p-1, 0x1.a3f82aee9340ep-1, 0x1.a1a4dd5765951p-1, 0x1.9f52308d70603p-1, 0x1.9d00acab05579p-1, 0x1.9ab0d3f7c4227p-1, 0x1.9863222bb8b01p-1, 0x1.96180bd5a7dfbp-1, 0x1.93cffde222c12p-1, 0x1.918b5d40d2a7p-1, 0x1.8f4a86a565817p-1, 0x1.8d0dce617ea78p-1, 0x1.8ad580551741ap-1, 0x1.88a1dff2d5041p-1, 0x1.86732855efb64p-1, 0x1.84498c6762172p-1, 0x1.8225371046bc9p-1, 0x1.80064b775f3d7p-1, 0x1.7dece547f3acbp-1, 0x1.7bd91900553b7p-1, 0x1.79caf4467dadfp-1, 0x1.77c27e4160953p-1, 0x1.75bfb7f5b089ep-1, 0x1.73c29ca4f49a3p-1, 0x1.71cb222df05d9p-1, 0x1.6fd9396d7a6cep-1, 0x1.6decce9efd87dp-1, 0x1.6c05c9bbf757ep-1, 0x1.6a240ed9e33d7p-1, 0x1.68477e861325cp-1, 0x1.666ff61f0bc33p-1, 0x1.649d502b11e8ap-1, 0x1.62cf64ab9eedcp-1, 0x1.6106096d86ab9p-1, 0x1.5f411255a5b9dp-1, 0x1.5d8051a9f9954p-1, 0x1.5bc398570dc9ep-1, 0x1.5a0ab631b7187p-1, 0x1.58557a351636p-1, 0x1.56a3b2bcea10dp-1, 0x1.54f52dbc39847p-1, 0x1.5349b8f0664dbp-1, 0x1.51a12210bb7e8p-1, 0x1.4ffb36fa8f319p-1, 0x1.4e57c5da1170ap-1, 0x1.4cb69d4fe66dfp-1, 0x1.4b178c93a6745p-1, 0x1.497a639368467p-1, 0x1.47def31071a3ap-1, 0x1.46450cb931c98p-1, 0x1.44ac8340a6459p-1, 0x1.43152a734b848p-1, 0x1.417ed749b9e28p-1, 0x1.3fe95ff90f579p-1, 0x1.3e549c01472d2p-1, 0x1.3cc064399e85ep-1, 0x1.3b2c92db21351p-1, 0x1.39990389824c3p-1, 0x1.3805935a55b45p-1, 0x1.367220dacdc96p-1, 0x1.34de8c140fe18p-1, 0x1.334ab68e3e88cp-1, 0x1.31b6835250188p-1, 0x1.3021d6eac61d9p-1, 0x1.2e8c97635fb7ep-1, 0x1.2cf6ac47d7e3p-1, 0x1.2b5ffea1c6be4p-1, 0x1.29c878f5b570dp-1, 0x1.2830073f7804bp-1, 0x1.269696edde978p-1, 0x1.24fc16ddcb126p-1, 0x1.23607754bd718p-1, 0x1.21c3a9fadfd7fp-1, 0x1.2025a1d4a63ap-1, 0x1.1e86533c0603bp-1, 0x1.1ce5b3d95834cp-1, 0x1.1b43ba9beb00fp-1, 0x1.19a05fb250253p-1, 0x1.17fb9c827249ap-1, 0x1.16556ba174ba3p-1, 0x1.14adc8cb6c347p-1, 0x1.1304b0daf2fafp-1, 0x1.115a21c0a2f68p-1, 0x1.0fae1a7a79692p-1, 0x1.0e009b0b2be54p-1, 0x1.0c51a47173d03p-1, 0x1.0aa1389f54656p-1, 0x1.08ef5a7162437p-1, 0x1.073c0da60e0d9p-1, 0x1.058756d4f8111p-1, 0x1.03d13b6650abep-1, 0x1.0219c18a461cdp-1, 0x1.0060f0308770fp-1, 0x1.fd4d9dffb6046p-2, 0x1.f9d6cc9b99ddep-2, 0x1.f65d7e2cf13aep-2, 0x1.f2e1c5e8d9459p-2, 0x1.ef63b831609dep-2, 0x1.ebe36a85c88a7p-2, 0x1.e860f373115e1p-2, 0x1.e4dc6a84c7842p-2, 0x1.e155e836198eep-2, 0x1.ddcd85e336d6fp-2, 0x1.da435dbafe972p-2, 0x1.d6b78ab0f4f5ep-2, 0x1.d32a286f8c7f9p-2, 0x1.cf9b534abc99p-2, 0x1.cc0b2832e94ep-2, 0x1.c879c4a81dcfcp-2, 0x1.c4e746ad953bbp-2, 0x1.c153ccbd9a778p-2, 0x1.bdbf75bdb5e5p-2, 0x1.ba2a60f3314a9p-2, 0x1.b694adf7edf9p-2, 0x1.b2fe7caf89ab9p-2, 0x1.af67ed3cdb5dbp-2, 0x1.abd11ff7bca7ap-2, 0x1.a83a356328ddfp-2, 0x1.a4a34e23a9284p-2, 0x1.a10c8af612d67p-2, 0x1.9d760ca694dffp-2, 0x1.99dff40813ac3p-2, 0x1.964a61ebd3946p-2, 0x1.92b577196d48bp-2, 0x1.8f21544714031p-2, 0x1.8b8e1a121db27p-2, 0x1.87fbe8f7df978p-2, 0x1.846ae14ec955p-2, 0x1.80db233fd07bdp-2, 0x1.7d4ccec01b6ccp-2, 0x1.79c0038af61c8p-2, 0x1.7634e11c077efp-2, 0x1.72ab86a9cea2bp-2, 0x1.6f24132059693p-2, 0x1.6b9ea51c4522ep-2, 0x1.681b5ae5f5435p-2, 0x1.649a526d0d5fap-2, 0x1.611ba944245a1p-2, 0x1.5d9f7c9cb6712p-2, 0x1.5a25e9434ac4cp-2, 0x1.56af0b9bd74e8p-2, 0x1.533aff9e593p-2, 0x1.4fc9e0d3a1c8dp-2, 0x1.4c5bca525902dp-2, 0x1.48f0d6bc33f5bp-2, 0x1.4589203b5bea6p-2, 0x1.4224c08004df2p-2, 0x1.3ec3d0be34dc7p-2, 0x1.3b6669abb907ap-2, 0x1.380ca37e447d4p-2, 0x1.34b695e9bf8ccp-2, 0x1.3164581eb9b27p-2, 0x1.2e1600c90d443p-2, 0x1.2acba60ea095ap-2, 0x1.27855d8e569c6p-2, 0x1.24433c5f1d7bbp-2, 0x1.2105570f25f8p-2, 0x1.1dcbc1a339421p-2, 0x1.1a968f963495bp-2, 0x1.1765d3d8a16e6p-2, 0x1.1439a0d06e47dp-2, 0x1.11120858c7794p-2, 0x1.0def1bc20922bp-2, 0x1.0ad0ebd1cfe36p-2, 0x1.07b788c324d4bp-2, 0x1.04a30246bff35p-2, 0x1.0193678367ffbp-2, 0x1.fd118e2ccb71ap-3, 0x1.f7065e282213p-3, 0x1.f1055a10e4e1fp-3, 0x1.eb0e9beff8563p-3, 0x1.e5223cc0a1157p-3, 0x1.df40547249d3cp-3, 0x1.d968f9ea5e51p-3, 0x1.d39c43064ecc4p-3, 0x1.cdda449db949fp-3, 0x1.c8231284a553p-3, 0x1.c276bf8ded712p-3, 0x1.bcd55d8db8804p-3, 0x1.b73efd5c146d2p-3, 0x1.b1b3aed7a52eep-3, 0x1.ac3380e87289dp-3, 0x1.a6be8182c4c64p-3, 0x1.a154bdaa1d8d8p-3, 0x1.9bf641743a733p-3, 0x1.96a3180c36487p-3, 0x1.915b4bb5b2597p-3, 0x1.8c1ee5d01223ap-3, 0x1.86edeed9c6006p-3, 0x1.81c86e73a766cp-3, 0x1.7cae6b6456f02p-3, 0x1.779feb9bb13b2p-3, 0x1.729cf43648348p-3, 0x1.6da58980e60d4p-3, 0x1.68b9aefc181b3p-3, 0x1.63d9675fc285p-3, 0x1.5f04b49ebcbadp-3, 0x1.5a3b97ea69883p-3, 0x1.557e11b662807p-3, 0x1.50cc21bc18dc9p-3, 0x1.4c25c6fe82aa1p-3, 0x1.478affcdc8da9p-3, 0x1.42fbc9caf00c6p-3, 0x1.3e7821eb8be19p-3, 0x1.3a00047d6df0dp-3, 0x1.35936d2a4e8dfp-3, 0x1.313256fb80211p-3, 0x1.2cdcbc5d962c8p-3, 0x1.289297240e15ep-3, 0x1.2453e08cf54bp-3, 0x1.202091448be25p-3, 0x1.1bf8a168e2d58p-3, 0x1.17dc088d71701p-3, 0x1.13cabdbeaf243p-3, 0x1.0fc4b7859ca8bp-3, 0x1.0bc9ebeb525e7p-3, 0x1.07da507c7dff2p-3, 0x1.03f5da4ce12d6p-3, 0x1.001c7dfac576bp-3, 0x1.f89c5f64d459dp-4, 0x1.f115c662cf638p-4, 0x1.e9a5179421ffep-4, 0x1.e24a38cd87396p-4, 0x1.db050f1a70d4bp-4, 0x1.d3d57ec38cd09p-4, 0x1.ccbb6b5532442p-4, 0x1.c5b6b7a5dp-4, 0x1.bec745dc30f68p-4, 0x1.b7ecf775bd1f2p-4, 0x1.b127ad4c9ff71p-4, 0x1.aa77479dd9e49p-4, 0x1.a3dba60f40038p-4, 0x1.9d54a7b566d54p-4, 0x1.96e22b197070ap-4, 0x1.90840e3ed7008p-4, 0x1.8a3a2ea90bce1p-4, 0x1.840469610ff5fp-4, 0x1.7de29afaf0caap-4, 0x1.77d49f9b2fcedp-4, 0x1.71da52fc13fd9p-4, 0x1.6bf39072e4bbap-4, 0x1.662032f50ecadp-4, 0x1.6060151d31d79p-4, 0x1.5ab3113018904p-4, 0x1.551901219956fp-4, 0x1.4f91be996122p-4, 0x1.4a1d22f7a6439p-4, 0x1.44bb0759c66e5p-4, 0x1.3f6b449ecd546p-4, 0x1.3a2db36be3e0cp-4, 0x1.35022c30ab089p-4, 0x1.2fe8872b7dfacp-4, 0x1.2ae09c6d9f613p-4, 0x1.25ea43df4fefbp-4, 0x1.21055543cf22ap-4, 0x1.1c31a83d45a65p-4, 0x1.176f145099391p-4, 0x1.12bd70e92c801p-4, 0x1.0e1c955c87a29p-4, 0x1.098c58edebf69p-4, 0x1.050c92d1d2bddp-4, 0x1.009d1a31563f6p-4, 0x1.f87b8c5b0b8a3p-5, 0x1.efdcdbc54a611p-5, 0x1.e75dd0d6b1048p-5, 0x1.defe19c772c68p-5, 0x1.d6bd64d8b35d4p-5, 0x1.ce9b605a64e8bp-5, 0x1.c697bab0f9fc7p-5, 0x1.beb2225af697bp-5, 0x1.b6ea45f6546dbp-5, 0x1.af3fd445c61afp-5, 0x1.a7b27c35cfc8dp-5, 0x1.a041ece1bebd1p-5, 0x1.98edd59879828p-5, 0x1.91b5e5e12c878p-5, 0x1.8a99cd7fd1173p-5, 0x1.83993c7994a85p-5, 0x1.7cb3e31919d1bp-5, 0x1.75e971f2982ccp-5, 0x1.6f3999e7d9bcp-5, 0x1.68a40c2c17f3cp-5, 0x1.62287a47b6476p-5, 0x1.5bc6961bdd663p-5, 0x1.557e11e5f781dp-5, 0x1.4f4ea043090bfp-5, 0x1.4937f432f0d21p-5, 0x1.4339c11b8382dp-5, 0x1.3d53bacb8ddcfp-5, 0x1.3785957db78fp-5, 0x1.31cf05db482e3p-5, 0x1.2c2fc0fed27e3p-5, 0x1.26a77c76c22aep-5, 0x1.2135ee47cdb6ap-5, 0x1.1bdaccef50211p-5, 0x1.1695cf6583f22p-5, 0x1.1166ad1fa8ce9p-5, 0x1.0c4d1e120d9a9p-5, 0x1.0748dab201fbep-5, 0x1.02599bf7af3a3p-5, 0x1.fafe36bfb2668p-6, 0x1.f17225db15ccep-6, 0x1.e80e7a574c4d6p-6, 0x1.ded2aa5cc6397p-6, 0x1.d5be2d296b80ep-6, 0x1.ccd07b1341583p-6, 0x1.c4090d8adf517p-6, 0x1.bb675f1dc3622p-6, 0x1.b2eaeb78760f8p-6, 0x1.aa932f688ef01p-6, 0x1.a25fa8de8b6ffp-6, 0x1.9a4fd6ef8753p-6, 0x1.926339d6cbb2cp-6, 0x1.8a9952f73a184p-6, 0x1.82f1a4dc9b70ep-6, 0x1.7b6bb33cc416p-6, 0x1.740702f89c632p-6, 0x1.6cc31a1d08395p-6, 0x1.659f7fe3b0407p-6, 0x1.5e9bbcb3a744ap-6, 0x1.57b75a21f9102p-6, 0x1.50f1e2f216c8ep-6, 0x1.4a4ae31629f9dp-6, 0x1.43c1e7af4b762p-6, 0x1.3d567f0d9e168p-6, 0x1.370838b053a67p-6, 0x1.30d6a545938ebp-6, 0x1.2ac156aa4afbep-6, 0x1.24c7dfe9e7e8p-6, 0x1.1ee9d53dfa1b7p-6, 0x1.1926cc0dbda85p-6, 0x1.137e5aed904abp-6, 0x1.0df0199e55e48p-6, 0x1.087ba10cc0d3fp-6, 0x1.03208b508acecp-6, 0x1.fbbce7573f553p-7, 0x1.f169ed12552f1p-7, 0x1.e74762f93738ep-7, 0x1.dd5486812d1efp-7, 0x1.d390976ba3bd4p-7, 0x1.c9fad7c3d5955p-7, 0x1.c0928bdc3dc8p-7, 0x1.b756fa4c083fbp-7, 0x1.ae476bec5098p-7, 0x1.a5632bd54eb9ap-7, 0x1.9ca9875b65e85p-7, 0x1.9419ce0c1d4c3p-7, 0x1.8bb351ab01f6ap-7, 0x1.8375662e644f3p-7, 0x1.7b5f61bc11485p-7, 0x1.73709ca5eb34dp-7, 0x1.6ba871666c192p-7, 0x1.64063c9d1e228p-7, 0x1.5c895d0af9608p-7, 0x1.5531338eb2038p-7, 0x1.4dfd2320f2e76p-7, 0x1.46ec90d091a45p-7, 0x1.3ffee3bea439ep-7, 0x1.3933851a9551ap-7, 0x1.3289e01e23f58p-7, 0x1.2c01620957dffp-7, 0x1.25997a1e6a1dap-7, 0x1.1f51999da1706p-7, 0x1.192933c124249p-7, 0x1.131fbdb8c03p-7, 0x1.0d34aea5a8e6cp-7, 0x1.07677f962d169p-7, 0x1.01b7ab81648c9p-7, 0x1.f8495e85ab722p-8, 0x1.ed5c132c296c9p-8, 0x1.e2a67624b9ebdp-8, 0x1.d8278c4c46f23p-8, 0x1.cdde5e254abf5p-8, 0x1.c3c9f7cee284cp-8, 0x1.b9e968fbda10cp-8, 0x1.b03bc4e9ade76p-8, 0x1.a6c022578a8aep-8, 0x1.9d759b7d4592ep-8, 0x1.945b4e0251224p-8, 0x1.8b705af4aecd4p-8, 0x1.82b3e6bfdd6ep-8, 0x1.7a251923c9ca7p-8, 0x1.71c31d2bb907dp-8, 0x1.698d212538c0ap-8, 0x1.618256970d212p-8, 0x1.59a1f238218cep-8, 0x1.51eb2be67cecfp-8, 0x1.4a5d3e9e37ae6p-8, 0x1.42f768707689cp-8, 0x1.3bb8ea7a6b7bep-8, 0x1.34a108dc59472p-8, 0x1.2daf0ab09fae7p-8, 0x1.26e23a02cc318p-8, 0x1.2039e3c6b4125p-8, 0x1.19b557cf93fc8p-8, 0x1.1353e8c73aa69p-8, 0x1.0d14ec2539144p-8, 0x1.06f7ba261ef38p-8, 0x1.00fbadc2c08b3p-8, 0x1.f640494f0a383p-9, 0x1.eac8fe5783475p-9, 0x1.df9040923ee36p-9, 0x1.d494db26192ffp-9, 0x1.c9d59e5c73b93p-9, 0x1.bf515f9048fd3p-9, 0x1.b506f91d594afp-9, 0x1.aaf54a4f73c69p-9, 0x1.a11b3751d7a2dp-9, 0x1.9777a91eb450dp-9, 0x1.8e098d6ec154bp-9, 0x1.84cfd6a8f9915p-9, 0x1.7bc97bd26bf89p-9, 0x1.72f5787e32835p-9, 0x1.6a52ccbd7f1e3p-9, 0x1.61e07d0fceddbp-9, 0x1.599d925338381p-9, 0x1.518919b4d835ep-9, 0x1.49a224a16559ap-9, 0x1.41e7c8b5dc6d4p-9, 0x1.3a591fb050c65p-9, 0x1.32f54760df721p-9, 0x1.2bbb619ac1573p-9, 0x1.24aa9425803edp-9, 0x1.1dc208ae4d14cp-9, 0x1.1700ecb9799e8p-9, 0x1.1066719411b8ep-9, 0x1.09f1cc459c8ddp-9, 0x1.03a23581fb104p-9, 0x1.faedd336d97f7p-10, 0x1.eede50e96a255p-10, 0x1.e3146ae6cf714p-10, 0x1.d78eaee4a8c64p-10, 0x1.cc4bb1682e4b5p-10, 0x1.c14a0dab9d1bap-10, 0x1.b6886583e3a34p-10, 0x1.ac0561469a8bfp-10, 0x1.a1bfafb04377cp-10, 0x1.97b605cac909cp-10, 0x1.8de71ed4559fdp-10, 0x1.8451bc265b96bp-10, 0x1.7af4a51cfb016p-10, 0x1.71cea6fe9a0aep-10, 0x1.68de94e3d88a5p-10, 0x1.6023479fb8821p-10, 0x1.579b9da818cffp-10, 0x1.4f467afe700ap-10, 0x1.4722c918d62bep-10, 0x1.3f2f76cb48cffp-10, 0x1.376b78313e38ap-10, 0x1.2fd5c6977d07ep-10, 0x1.286d606633032p-10, 0x1.2131490b5ce89p-10, 0x1.1a2088e5656efp-10, 0x1.133a2d2e15567p-10, 0x1.0c7d47e5be056p-10, 0x1.05e8efbeaeca8p-10, 0x1.fef88011d33fap-11, 0x1.f26cb13c3be96p-11, 0x1.e62cbb9bc98c3p-11, 0x1.da36f0947e47ap-11, 0x1.ce89aa28b0148p-11, 0x1.c3234ad30c988p-11, 0x1.b8023d612248ap-11, 0x1.ad24f4ce688c1p-11, 0x1.a289ec1fcbd35p-11, 0x1.982fa63fb5892p-11, 0x1.8e14adda96d75p-11, 0x1.8437953bedeb8p-11, 0x1.7a96f62bcae8ep-11, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      50, 0x1.22c764adff823p+2, 0x1.65a8f89c7904ap+0, 0x1.74740feb328a5p+1, -0x1.f2a212b59ab9p-5, 
      {{
        {0x1.ccccccccccccdp+1, 0x1.cf3713fde3c61p+1, 0x1.e4dc3c70378f5p-5, -0x1.57831297cb68bp-3, 0x1.dfec848ad28c2p-4, -0x1.1b417bac14026p-4}, 
        {0x1.cf3713fde3c61p+1, 0x1.d1a15b2efabf5p+1, 0x1.cb45ae6db8ab8p-5, -0x1.4e9b9f0502c23p-3, 0x1.cfe3e36ea4954p-4, 0x1.6211da97191fcp-2}, 
        {0x1.d1a15b2efabf5p+1, 0x1.d40ba26011b89p+1, 0x1.b25e165301188p-5, -0x1.45194648a2e79p-3, 0x1.1007847dc536cp-3, 0x1.4effab49a302dp-3}, 
        {0x1.d40ba26011b89p+1, 0x1.d675e99128b1dp+1, 0x1.9a3a4491add18p-5, -0x1.3a79b6c0635f1p-3, 0x1.22fdf2a9a4d3ep-3, 0x1.2f66aaba150a4p-3}, 
        {0x1.d675e99128b1dp+1, 0x1.d8e030c23fab1p+1, 0x1.82ea660c64c27p-5, -0x1.2f2b9a38b4397p-3, 0x1.342a7ff86f7b9p-3, 0x1.8323c7561649p-4}, 
        {0x1.d8e030c23fab1p+1, 0x1.db4a77f356a45p+1, 0x1.6c7a769a8f589p-5, -0x1.23559c0ce519ap-3, 0x1.3f1f80118b911p-3, 0x1.d5c9b0160492bp-5}, 
        {0x1.db4a77f356a45p+1, 0x1.ddb4bf246d9d9p+1, 0x1.56f2aec4e02a9p-5, -0x1.172a94278b1ffp-3, 0x1.45c5695db3b21p-3, 0x1.639a884a842c1p-6}, 
        {0x1.ddb4bf246d9d9p+1, 0x1.e01f06558496dp+1, 0x1.4257ecf19d762p-5, -0x1.0ad3483244654p-3, 0x1.484989d27fd41p-3, -0x1.1de93988e52fep-7}, 
        {0x1.e01f06558496dp+1, 0x1.e2894d869b901p+1, 0x1.2eac1992bcf56p-5, -0x1.fce96f62027d6p-4, 0x1.4746981fb94e2p-3, -0x1.201cb5a5b1474p-5}, 
        {0x1.e2894d869b901p+1, 0x1.e4f394b7b2895p+1, 0x1.1bee863a542a4p-5, -0x1.e45d772dd82ccp-4, 0x1.4332d7fb25b91p-3, -0x1.d7d0326814e3cp-5}, 
        {0x1.e4f394b7b2895p+1, 0x1.e75ddbe8c9829p+1, 0x1.0a1c486385b14p-5, -0x1.cc396296a3563p-4, 0x1.3c859844cc13ap-3, -0x1.38915caa18cf9p-4}, 
        {0x1.e75ddbe8c9829p+1, 0x1.e9c82319e07bdp+1, 0x1.f2611e5f02f34p-6, -0x1.b4ab44a534e84p-4, 0x1.33ace6c2f27bbp-3, -0x1.76ce6e687fcc5p-4}, 
        {0x1.e9c82319e07bdp+1, 0x1.ec326a4af7751p+1, 0x1.d249e82d2fcbep-6, -0x1.9dd917ae9a68bp-4, 0x1.2911430dfa5fep-3, -0x1.a776052d290ep-4}, 
        {0x1.ec326a4af7751p+1, 0x1.ee9cb17c0e6e5p+1, 0x1.b3e38e1223847p-6, -0x1.87e12db42e0ddp-4, 0x1.1d15190bb03bbp-3, -0x1.cbb70ae8cd913p-4}, 
        {0x1.ee9cb17c0e6e5p+1, 0x1.f106f8ad2567ap+1, 0x1.971cabc8a0614p-6, -0x1.72dabdeb1af4cp-4, 0x1.101241e2ec481p-3, -0x1.e427b8d63168cp-4}, 
        {0x1.f106f8ad2567ap+1, 0x1.f3713fde3c60ep+1, 0x1.7be25cf794dbfp-6, -0x1.5ed660a1dcac2p-4, 0x1.025e564abb1c2p-3, -0x1.f1e298f07badfp-4}, 
        {0x1.f3713fde3c60ep+1, 0x1.f5db870f535a2p+1, 0x1.6220b91b04b75p-6, -0x1.4bde859399fe9p-4, 0x1.e88ddfb65227cp-4, -0x1.f5d17151b8339p-4}, 
        {0x1.f5db870f535a2p+1, 0x1.f845ce406a536p+1, 0x1.49c34502a141ap-6, -0x1.39f80113a0c52p-4, 0x1.cc2614c113322p-4, -0x1.f0ceba4af0fcep-4}, 
        {0x1.f845ce406a536p+1, 0x1.fab01571814cap+1, 0x1.32b55a6f8125p-6, -0x1.292287b459ea4p-4, 0x1.b006e57b22cbep-4, -0x1.e3c53e7a3e6b4p-4}, 
        {0x1.fab01571814cap+1, 0x1.fd1a5ca29845ep+1, 0x1.1ce28675e5046p-6, -0x1.19592a35784d6p-4, 0x1.94a4a1535d32dp-4, -0x1.cf9ca16e146ep-4}, 
        {0x1.fd1a5ca29845ep+1, 0x1.ff84a3d3af3f2p+1, 0x1.0836de5092459p-6, -0x1.0a92d50beaaf9p-4, 0x1.7a667b111a9f4p-4, -0x1.b55808e1301dfp-4}, 
        {0x1.ff84a3d3af3f2p+1, 0x1.00f77582631c3p+2, 0x1.e93e94dd94929p-7, -0x1.f985ad25349bbp-5, 0x1.61a4fa34cf8d2p-4, -0x1.95aef128b9139p-4}, 
        {0x1.00f77582631c3p+2, 0x1.022c991aee98dp+2, 0x1.c4138f0bc8a17p-7, -0x1.dfb2b02152e69p-5, 0x1.4aae435fe70d9p-4, -0x1.71cfe0da296ecp-4}, 
        {0x1.022c991aee98dp+2, 0x1.0361bcb37a157p+2, 0x1.a0cb3d72d59f3p-7, -0x1.c787c537f3df4p-5, 0x1.35bf5b55a716ap-4, -0x1.4a52a0cb52bbap-4}, 
        {0x1.0361bcb37a157p+2, 0x1.0496e04c05921p+2, 0x1.7f472643dc59dp-7, -0x1.b0dbb6a1895adp-5, 0x1.230caf5b19c1p-4, -0x1.206b181f83cd4p-4}, 
        {0x1.0496e04c05921p+2, 0x1.05cc03e4910ebp+2, 0x1.5f6c0de7969f1p-7, -0x1.9b8202032341fp-5, 0x1.12b93eeba4d9bp-4, -0x1.e9b1d32755308p-5}, 
        {0x1.05cc03e4910ebp+2, 0x1.0701277d1c8b5p+2, 0x1.41222ba0db12fp-7, -0x1.874be9992a6cep-5, 0x1.04dd3089c45c9p-4, -0x1.911b1751c3985p-5}, 
        {0x1.0701277d1c8b5p+2, 0x1.08364b15a807fp+2, 0x1.24554c14b0003p-7, -0x1.7409610d21d5dp-5, 0x1.f305ff6932881p-5, -0x1.38ee0ccf79c57p-5}, 
        {0x1.08364b15a807fp+2, 0x1.096b6eae33849p+2, 0x1.08f4e09f8d02ap-7, -0x1.618a13aa5e1b2p-5, 0x1.e14f5d437a2d9p-5, -0x1.c6003f39a22b6p-6}, 
        {0x1.096b6eae33849p+2, 0x1.0aa09246bf013p+2, 0x1.dde7f608b15aap-8, -0x1.4f9e66e1858f4p-5, 0x1.d475ecb635cfap-5, -0x1.222c6ad0bd807p-6}, 
        {0x1.0aa09246bf013p+2, 0x1.0bd5b5df4a7ddp+2, 0x1.ac926b9a3057p-8, -0x1.3e1876769510bp-5, 0x1.cc3f7cf2bf933p-5, -0x1.143c734e60ea7p-7}, 
        {0x1.0bd5b5df4a7ddp+2, 0x1.0d0ad977d5fa7p+2, 0x1.7ddd135f8ef6fp-8, -0x1.2ccd133fd2cadp-5, 0x1.c856c2d29c3fdp-5, -0x1.7ae8ba78662d9p-14}, 
        {0x1.0d0ad977d5fa7p+2, 0x1.0e3ffd1061771p+2, 0x1.51c21ee6d289ep-8, -0x1.1b94c5a53975ep-5, 0x1.c84c0975082f1p-5, 0x1.d0a430f7fb9f8p-8}, 
        {0x1.0e3ffd1061771p+2, 0x1.0f7520a8ecf3bp+2, 0x1.28415d189013ep-8, -0x1.0a4cca806621fp-5, 0x1.cb95aba4ab32bp-5, 0x1.a61f6f8046499p-7}, 
        {0x1.0f7520a8ecf3bp+2, 0x1.10aa444178705p+2, 0x1.015f7136c764fp-8, -0x1.f1b026b932b7ep-6, 0x1.d18ee78eeb6d1p-5, 0x1.17a60c96bcc04p-6}, 
        {0x1.10aa444178705p+2, 0x1.11df67da03ecfp+2, 0x1.ba49c5ce584bap-9, -0x1.ce408d093ac15p-6, 0x1.d979156c1f346p-5, 0x1.3e3ad5490f17dp-6}, 
        {0x1.11df67da03ecfp+2, 0x1.13148b728f699p+2, 0x1.773a0ff191b49p-9, -0x1.aa2d7aa7154acp-6, 0x1.e27accfecb3a9p-5, 0x1.432c2ca88b327p-6}, 
        {0x1.13148b728f699p+2, 0x1.1449af0b1ae63p+2, 0x1.39a98eee10b29p-9, -0x1.856b091a152c3p-6, 0x1.eba05487e261fp-5, 0x1.22cbcff7f5ac7p-6}, 
        {0x1.1449af0b1ae63p+2, 0x1.157ed2a3a662dp+2, 0x1.01b26c5643f44p-9, -0x1.6000b89cd8e81p-6, 0x1.f3db472ee582cp-5, 0x1.b30ec7f1b9d1ep-7}, 
        {0x1.157ed2a3a662dp+2, 0x1.16b3f63c31df7p+2, 0x1.9ed83203a6df4p-10, -0x1.3a0b6bbfcf5a4p-6, 0x1.fa035f2fb34f6p-5, 0x1.8e85fc11f9551p-8}, 
        {0x1.16b3f63c31df7p+2, 0x1.17e919d4bd5c1p+2, 0x1.45cfd8c7e4241p-10, -0x1.13bf67304e1e6p-6, 0x1.fcd53de44517bp-5, -0x1.0a32e077a293ap-8}, 
        {0x1.17e919d4bd5c1p+2, 0x1.191e3d6d48d8bp+2, 0x1.f0b5d70646741p-11, -0x1.dad4ae3403c61p-7, 0x1.faf30f417e937p-5, -0x1.1c62ab7b434e2p-6}, 
        {0x1.191e3d6d48d8bp+2, 0x1.1a536105d4555p+2, 0x1.6cda03a524b4ep-11, -0x1.8eea75a9d658bp-7, 0x1.f2e68f69e5fbfp-5, -0x1.1750339b11298p-5}, 
        {0x1.1a536105d4555p+2, 0x1.1b88849e5fd1fp+2, 0x1.ff566e8667c96p-12, -0x1.44cd3aebece9cp-7, 0x1.e3170fb1998f1p-5, -0x1.bc70ac5752a14p-5}, 
        {0x1.1b88849e5fd1fp+2, 0x1.1cbda836eb4eap+2, 0x1.50dbd64668a85p-12, -0x1.fb8f1b33fb56fp-8, 0x1.c9eeba1e81408p-5, -0x1.4374939335b2ap-4}, 
        {0x1.1cbda836eb4eap+2, 0x1.1df2cbcf76cb4p+2, 0x1.97e21b994a152p-13, -0x1.76d6ec3d146bp-8, 0x1.a55069a32986dp-5, -0x1.ae424ba82404p-4}, 
        {0x1.1df2cbcf76cb4p+2, 0x1.1f27ef680247ep+2, 0x1.b4f508a746297p-14, -0x1.fe0009ea6a80fp-9, 0x1.749abd50c74adp-5, -0x1.29ed8d9faab41p-3}, 
        {0x1.1f27ef680247ep+2, 0x1.205d13008dc48p+2, 0x1.81b0ae4ae77e2p-15, -0x1.3164231af1056p-9, 0x1.3125c5a320fbbp-5, -0x1.38f5ba7b3465bp-3}, 
        {0x1.205d13008dc48p+2, 0x1.2192369919412p+2, 0x1.de29f011853a7p-17, -0x1.1d141ddeba2fbp-10, 0x1.d492fff5e55eap-6, -0x1.3880962538f17p-2}, 
        {0x1.2192369919412p+2, 0x1.22c764adff823p+2, 0x1.f4203ba0de61dp-20, -0x1.5e6a1712933f3p-12, 0x1.73180262acdc3p-7, 0x1.0ec5f67775234p+0}, 
      }}, 
      -0x1.4831c526928f1p+6, 0x1.834a7a1756ac3p+10
    }
  };
  // clang-format on
}

} // namespace dftb
} // namespace Sparrow
} // namespace Scine
