/**
 * @file
 * @copyright This code is licensed under the 3-clause BSD license.\n
 *            Copyright ETH Zurich, Laboratory of Physical Chemistry, Reiher Group.\n
 *            See LICENSE.txt for details.
 *
 * @note This file was generated by the Embed binary from runtime values.
 *   Prefer improving the generator over editing this file whenever possible.
 *
 * This file contains functions generating runtime values. It was
 * generated from runtime values of its return type. It is not intended to be
 * human-readable. A small guide: Return values are directly brace-initialized
 * in deep nesting to keep file size to a minimum. Types are annotated only when
 * necessary. Floating point values are represented in hexadecimal (see
 * std::hexfloat) to ensure serialization does not cause loss of accuracy.
 *
 * The functions defined here might be declared and called elsewhere entirely.
 *
 */
#include "Sparrow/Resources/Dftb/mio-0-1/Parameters.h"
#include "Sparrow/Implementations/Dftb/ParameterSet.h"

namespace Scine {
namespace Sparrow {
namespace dftb {

namespace {

std::vector<bool> remapElements(const std::vector<int>& elements) {
  std::vector<bool> required(112, false);
  for (int Z : elements) {
    required.at(Z) = true;
  }
  return required;
}

} // namespace

ParameterSet params_mio_0_1(const std::vector<int>& elements) {
  ParameterSet data;

  if (elements.empty()) {
    data.pairData.emplace(std::make_pair(7, 1), params_mio_0_1_n_h());
    data.pairData.emplace(std::make_pair(7, 16), params_mio_0_1_n_s());
    data.pairData.emplace(std::make_pair(7, 6), params_mio_0_1_n_c());
    data.pairData.emplace(std::make_pair(8, 16), params_mio_0_1_o_s());
    data.pairData.emplace(std::make_pair(16, 8), params_mio_0_1_s_o());
    data.pairData.emplace(std::make_pair(1, 7), params_mio_0_1_h_n());
    data.pairData.emplace(std::make_pair(6, 6), params_mio_0_1_c_c());
    data.pairData.emplace(std::make_pair(16, 6), params_mio_0_1_s_c());
    data.pairData.emplace(std::make_pair(1, 1), params_mio_0_1_h_h());
    data.pairData.emplace(std::make_pair(7, 7), params_mio_0_1_n_n());
    data.pairData.emplace(std::make_pair(8, 1), params_mio_0_1_o_h());
    data.pairData.emplace(std::make_pair(6, 7), params_mio_0_1_c_n());
    data.pairData.emplace(std::make_pair(1, 16), params_mio_0_1_h_s());
    data.pairData.emplace(std::make_pair(6, 8), params_mio_0_1_c_o());
    data.pairData.emplace(std::make_pair(16, 16), params_mio_0_1_s_s());
    data.pairData.emplace(std::make_pair(8, 7), params_mio_0_1_o_n());
    data.pairData.emplace(std::make_pair(1, 8), params_mio_0_1_h_o());
    data.pairData.emplace(std::make_pair(8, 6), params_mio_0_1_o_c());
    data.pairData.emplace(std::make_pair(16, 7), params_mio_0_1_s_n());
    data.pairData.emplace(std::make_pair(6, 16), params_mio_0_1_c_s());
    data.pairData.emplace(std::make_pair(1, 6), params_mio_0_1_h_c());
    data.pairData.emplace(std::make_pair(16, 1), params_mio_0_1_s_h());
    data.pairData.emplace(std::make_pair(7, 8), params_mio_0_1_n_o());
    data.pairData.emplace(std::make_pair(8, 8), params_mio_0_1_o_o());
    data.pairData.emplace(std::make_pair(6, 1), params_mio_0_1_c_h());
  }
  else {
    const auto required = remapElements(elements);
    if (required.at(7) && required.at(1)) {
      data.pairData.emplace(std::make_pair(7, 1), params_mio_0_1_n_h());
    }
    if (required.at(7) && required.at(16)) {
      data.pairData.emplace(std::make_pair(7, 16), params_mio_0_1_n_s());
    }
    if (required.at(7) && required.at(6)) {
      data.pairData.emplace(std::make_pair(7, 6), params_mio_0_1_n_c());
    }
    if (required.at(8) && required.at(16)) {
      data.pairData.emplace(std::make_pair(8, 16), params_mio_0_1_o_s());
    }
    if (required.at(16) && required.at(8)) {
      data.pairData.emplace(std::make_pair(16, 8), params_mio_0_1_s_o());
    }
    if (required.at(1) && required.at(7)) {
      data.pairData.emplace(std::make_pair(1, 7), params_mio_0_1_h_n());
    }
    if (required.at(6)) {
      data.pairData.emplace(std::make_pair(6, 6), params_mio_0_1_c_c());
    }
    if (required.at(16) && required.at(6)) {
      data.pairData.emplace(std::make_pair(16, 6), params_mio_0_1_s_c());
    }
    if (required.at(1)) {
      data.pairData.emplace(std::make_pair(1, 1), params_mio_0_1_h_h());
    }
    if (required.at(7)) {
      data.pairData.emplace(std::make_pair(7, 7), params_mio_0_1_n_n());
    }
    if (required.at(8) && required.at(1)) {
      data.pairData.emplace(std::make_pair(8, 1), params_mio_0_1_o_h());
    }
    if (required.at(6) && required.at(7)) {
      data.pairData.emplace(std::make_pair(6, 7), params_mio_0_1_c_n());
    }
    if (required.at(1) && required.at(16)) {
      data.pairData.emplace(std::make_pair(1, 16), params_mio_0_1_h_s());
    }
    if (required.at(6) && required.at(8)) {
      data.pairData.emplace(std::make_pair(6, 8), params_mio_0_1_c_o());
    }
    if (required.at(16)) {
      data.pairData.emplace(std::make_pair(16, 16), params_mio_0_1_s_s());
    }
    if (required.at(8) && required.at(7)) {
      data.pairData.emplace(std::make_pair(8, 7), params_mio_0_1_o_n());
    }
    if (required.at(1) && required.at(8)) {
      data.pairData.emplace(std::make_pair(1, 8), params_mio_0_1_h_o());
    }
    if (required.at(8) && required.at(6)) {
      data.pairData.emplace(std::make_pair(8, 6), params_mio_0_1_o_c());
    }
    if (required.at(16) && required.at(7)) {
      data.pairData.emplace(std::make_pair(16, 7), params_mio_0_1_s_n());
    }
    if (required.at(6) && required.at(16)) {
      data.pairData.emplace(std::make_pair(6, 16), params_mio_0_1_c_s());
    }
    if (required.at(1) && required.at(6)) {
      data.pairData.emplace(std::make_pair(1, 6), params_mio_0_1_h_c());
    }
    if (required.at(16) && required.at(1)) {
      data.pairData.emplace(std::make_pair(16, 1), params_mio_0_1_s_h());
    }
    if (required.at(7) && required.at(8)) {
      data.pairData.emplace(std::make_pair(7, 8), params_mio_0_1_n_o());
    }
    if (required.at(8)) {
      data.pairData.emplace(std::make_pair(8, 8), params_mio_0_1_o_o());
    }
    if (required.at(6) && required.at(1)) {
      data.pairData.emplace(std::make_pair(6, 1), params_mio_0_1_c_h());
    }
  }

  return data;
}

SkfData params_mio_0_1_n_h() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.a785cb88aea2dp-2, 0x1.b3502de766977p-2, 0x1.be44fb5a1f2cdp-2, 0x1.c86c6c2ecd9d2p-2, 0x1.d1cb8bbe46008p-2, 0x1.da667cf591513p-2, 0x1.e24430755638p-2, 0x1.e96e284daecb5p-2, 0x1.efed4f8024a4fp-2, 0x1.f5c7eb9313f0cp-2, 0x1.fb0270e1410d9p-2, 0x1.ffa1cd3a9cc51p-2, 0x1.01d6732544537p-1, 0x1.03962d09d3e9ep-1, 0x1.051489a99cd4cp-1, 0x1.06556c6c5114ap-1, 0x1.075bd4876e0afp-1, 0x1.082a038f97233p-1, 0x1.08c1eef9acaddp-1, 0x1.0925b65be585ep-1, 0x1.0957e794ce241p-1, 0x1.0959bf818ff63p-1, 0x1.09351cc0929ecp-1, 0x1.08e844a892cafp-1, 0x1.087544ef0aafap-1, 0x1.07de21a8dd54bp-1, 0x1.0724edde0b957p-1, 0x1.064bd297f5f1p-1, 0x1.0555056042531p-1, 0x1.0442b42c51e0ap-1, 0x1.0316ef33afa8bp-1, 0x1.01d3987c17fa1p-1, 0x1.007a5d362788cp-1, 0x1.fe1971116c413p-2, 0x1.fb17f9429d386p-2, 0x1.f7f2bd12ac07dp-2, 0x1.f4ac0462bfd45p-2, 0x1.f14609e613c34p-2, 0x1.edc30a279ddb4p-2, 0x1.ea254a3c778e5p-2, 0x1.e66f156426fc8p-2, 0x1.e2a2b32ca14fcp-2, 0x1.dec259a5c1c56p-2, 0x1.dad01fc1e81acp-2, 0x1.d6cdf33631f9bp-2, 0x1.d2bd9341683fbp-2, 0x1.cea0907572502p-2, 0x1.ca784ffd85ee7p-2, 0x1.c64610e79d435p-2, 0x1.c20af1f93a00ep-2, 0x1.bdc7f72b4cf32p-2, 0x1.b97e0e7571d04p-2, 0x1.b52e13f1819eep-2, 0x1.b0d8d5ba52886p-2, 0x1.ac7f16f4640e5p-2, 0x1.a82193fd0fd6p-2, 0x1.a3c10483fcd38p-2, 0x1.9f5e1e313fdc2p-2, 0x1.9af995d628e93p-2, 0x1.96941f867b6d3p-2, 0x1.922e6d85f5d11p-2, 0x1.8dc92e3a87ae2p-2, 0x1.8965097ed197cp-2, 0x1.8504605b15d6fp-2, 0x1.80a5f65d5b109p-2, 0x1.7c4a227a176f6p-2, 0x1.77f144897e1bbp-2, 0x1.739bb4a10fbe8p-2, 0x1.6f49c3e175a91p-2, 0x1.6afbbd596896ap-2, 0x1.66b1e6d2a9544p-2, 0x1.626c81bf76fd8p-2, 0x1.5e2bcc015e802p-2, 0x1.59f0008d4e27p-2, 0x1.55b957e6a9a5ep-2, 0x1.5188086596066p-2, 0x1.4d5c4649878bep-2, 0x1.4936439ea04a6p-2, 0x1.451630017d64ep-2, 0x1.40fc384f1d99dp-2, 0x1.3ce886511bf28p-2, 0x1.38db407198d09p-2, 0x1.34d4899af432ap-2, 0x1.30d480fe927e6p-2, 0x1.2cdb4244cfe38p-2, 0x1.28e8e5acb3a23p-2, 0x1.24fd80583a732p-2, 0x1.211924acc766ep-2, 0x1.1d3be2c034048p-2, 0x1.1965c8c9fb195p-2, 0x1.1596e390c4ddap-2, 0x1.11cf3ece35685p-2, 0x1.0e0ee5845b49ep-2, 0x1.0a55e244fc522p-2, 0x1.06a43f62ebdfcp-2, 0x1.02fa071acfe1p-2, 0x1.feae8747700bap-3, 0x1.f777feb084609p-3, 0x1.f050887979d43p-3, 0x1.e93839a478dc6p-3, 0x1.e22f26638ea3p-3, 0x1.db3562bc771e9p-3, 0x1.d44b022d4c931p-3, 0x1.cd7017770022dp-3, 0x1.c6a4b46726d9bp-3, 0x1.bfe8e9a3ffd37p-3, 0x1.b93cc67de1212p-3, 0x1.b2a058c3ae416p-3, 0x1.ac13aca86bee7p-3, 0x1.a596cca40b81bp-3, 0x1.9f29c17316825p-3, 0x1.98cc91fd81bf6p-3, 0x1.927f436f35b93p-3, 0x1.8c41d939fa54bp-3, 0x1.8614552b4a22ep-3, 0x1.7ff6b7837bd2dp-3, 0x1.79e8ff13f433ap-3, 0x1.73eb2959c9d09p-3, 0x1.6dfd32ad51db1p-3, 0x1.681f1655e7328p-3, 0x1.6250ceb5d4adap-3, 0x1.5c92556b8b684p-3, 0x1.56e3a37324b68p-3, 0x1.5144b145abdd7p-3, 0x1.4bb576f580876p-3, 0x1.4635ec4597146p-3, 0x1.40c608c5f8153p-3, 0x1.3b65c3d4b06d7p-3, 0x1.361514b767c6dp-3, 0x1.30d3f29b8ac9cp-3, 0x1.2ba2549aef77cp-3, 0x1.268031b2c13dap-3, 0x1.216d80c54978p-3, 0x1.1c6a38881ead3p-3, 0x1.17764f7bd84b6p-3, 0x1.1291bbd7d7eafp-3, 0x1.0dbc7380adeb4p-3, 0x1.08f66bf08d7c1p-3, 0x1.043f9a32aca96p-3, 0x1.ff2fe50f1d694p-4, 0x1.f5fed208ecb32p-4, 0x1.ecebe18e047e5p-4, 0x1.e3f6f89a81be8p-4, 0x1.db1ffaacf7d3ep-4, 0x1.d266c9cbc3f02p-4, 0x1.c9cb464910de3p-4, 0x1.c14d4edb99797p-4, 0x1.b8fb74399661ep-4, 0x1.b0b9290b019c4p-4, 0x1.a893de3bf5ebfp-4, 0x1.a08b6acee21e6p-4, 0x1.989fa4bbca8fep-4, 0x1.90d06106c7449p-4, 0x1.891d73bb9292ep-4, 0x1.8186aff18ac35p-4, 0x1.7a0be7d3ced27p-4, 0x1.72acec8a1c08p-4, 0x1.6b698e70982e3p-4, 0x1.64419ce9a2eaep-4, 0x1.5d34e671c6a5dp-4, 0x1.564338c6bf22fp-4, 0x1.4f6c60a48fd2ap-4, 0x1.48b02a1e4b56bp-4, 0x1.420e605865bcep-4, 0x1.3b86cdbc7a728p-4, 0x1.35193b46fc6a7p-4, 0x1.2ec574949b565p-4, 0x1.288b3f4a17344p-4, 0x1.226a640d940f3p-4, 0x1.1c62aa03ed6b4p-4, 0x1.1673d7a957b47p-4, 0x1.109db303b81a6p-4, 0x1.0ae001782cf22p-4, 0x1.053a884c390ap-4, 0x1.ff5a17a271eebp-5, 0x1.f46ea06d91d17p-5, 0x1.e9b2314a842d1p-5, 0x1.df2454eb2d765p-5, 0x1.d4c48d7b9985ap-5, 0x1.ca9261e3287abp-5, 0x1.c08d57146a79dp-5, 0x1.b6b4f178e6052p-5, 0x1.ad08b53a0a177p-5, 0x1.a38825c85e063p-5, 0x1.9a32c668276e6p-5, 0x1.91081a01619edp-5, 0x1.8807a3125669dp-5, 0x1.7f30e44dc960ap-5, 0x1.76835f88d94c4p-5, 0x1.6dfe96eade02ep-5, 0x1.65a20c556081ep-5, 0x1.5d6d418977732p-5, 0x1.555fb73042958p-5, 0x1.4d78f2b1c9c87p-5, 0x1.45b8720826356p-5, 0x1.3e1db86b6dad2p-5, 0x1.36a8475f91528p-5, 0x1.2f57a23bc297bp-5, 0x1.282b49fe00a36p-5, 0x1.2122c0ad0dc8dp-5, 0x1.1a3d8bb12ca97p-5, 0x1.137b2bd479f83p-5, 0x1.0cdb24b3569d5p-5, 0x1.065cfa4f8cffp-5, 0x1.000030ad1e55cp-5, 0x1.f38898fe832efp-6, 0x1.e751a530fdad8p-6, 0x1.db5a8db904589p-6, 0x1.cfa268857059ep-6, 0x1.c428358cb0182p-6, 0x1.b8eb1051ca373p-6, 0x1.ade9fe7024b72p-6, 0x1.a324143b6babep-6, 0x1.98986400feabfp-6, 0x1.8e460131e28acp-6, 0x1.842c0193f52b7p-6, 0x1.7a497b5ce3a2p-6, 0x1.709d873103b22p-6, 0x1.67273f0aa15bfp-6, 0x1.5de5bee10889cp-6, 0x1.54d82416060a6p-6, 0x1.4bfd8e2110c6dp-6, 0x1.43551e71ce019p-6, 0x1.3addf43367aefp-6, 0x1.32973fbbdba6ap-6, 0x1.2a801d60b960ap-6, 0x1.2297b9f817f8p-6, 0x1.1add40ef54ec9p-6, 0x1.134fdfc2b1416p-6, 0x1.0beec67e52f2p-6, 0x1.04b9263bbdd42p-6, 0x1.fb5c65d3464e1p-7, 0x1.ed9a499410db5p-7, 0x1.e02a65faa9189p-7, 0x1.d30b321adea03p-7, 0x1.c63b23ecb1527p-7, 0x1.b9b8c92e0ed54p-7, 0x1.ad82977ba3b8fp-7, 0x1.a1971f167dfb8p-7, 0x1.95f4eae4e8c04p-7, 0x1.8a9a8f6bfc5fep-7, 0x1.7f86a47955566p-7, 0x1.74b7c69ee0c1dp-7, 0x1.6a2c960bec20ap-7, 0x1.5fe3bae838934p-7, 0x1.55dbdffcd4a6cp-7, 0x1.4c13b5bc607aap-7, 0x1.4289f09d562acp-7, 0x1.393d4b2f312acp-7, 0x1.302c847182541p-7, 0x1.27565f6a46ff2p-7, 0x1.1eb9a75aac8e2p-7, 0x1.165523d834d5dp-7, 0x1.0e27abe34d186p-7, 0x1.063012f420edep-7, 0x1.fcda6ea52aa76p-8, 0x1.edbbf0b97223cp-8, 0x1.df02748c163e8p-8, 0x1.d0abcd09cd7a9p-8, 0x1.c2b5d5d67bc3p-8, 0x1.b51e73922d50bp-8, 0x1.a7e393c204798p-8, 0x1.9b032d138fc7cp-8, 0x1.8e7b2a20efcp-8, 0x1.8249cc130bbc3p-8, 0x1.766ceca8c0991p-8, 0x1.6ae2b3f5d213ep-8, 0x1.5fa944134312bp-8, 0x1.54bec6054de69p-8, 0x1.4a216af6bddap-8, 0x1.3fcf6c1929f8ap-8, 0x1.35c70a8f3deep-8, 0x1.2c068f4b063fep-8, 0x1.228c43f755e2ep-8, 0x1.195695d0f49b1p-8, 0x1.1063cff308aa8p-8, 0x1.07b2608b68f83p-8, 0x1.fe816d6ea47e6p-9, 0x1.ee1a8631a553p-9, 0x1.de2d10193f2cbp-9, 0x1.ceb62d294ac4dp-9, 0x1.bfb31cfb1d6afp-9, 0x1.b12019020b25fp-9, 0x1.a2fb4f4b92349p-9, 0x1.9541c1ae2ef2fp-9, 0x1.87f07b7daaafbp-9, 0x1.7b05196e3a944p-9, 0x1.6e7cf14c3e867p-9, 0x1.625599d2811eap-9, 0x1.568c0ebc500f6p-9, 0x1.4b1e6dd5387e9p-9, 0x1.400a200fce62bp-9, 0x1.354cca3ec7d05p-9, 0x1.2ae42675b3437p-9, 0x1.20cdea6285f7cp-9, 0x1.1707e4c63bc6cp-9, 0x1.0d8fef41a0563p-9, 0x1.0463ea79e47dap-9, 0x1.f7038ed9ac61ep-10, 0x1.e5cef856803d6p-10, 0x1.d52622ff3022p-10, 0x1.c5052d1522227p-10, 0x1.b5684faf17c46p-10, 0x1.a64bd83e0202ep-10, 0x1.97ac2a1602981p-10, 0x1.8985bceefca8ep-10, 0x1.7bd5210dfd842p-10, 0x1.6e96f9e65f51ap-10, 0x1.61c7fc08659f9p-10, 0x1.5564f775af1afp-10, 0x1.496ac35aafffbp-10, 0x1.3dd658c4c084cp-10, 0x1.32a4bedb7c78p-10, 0x1.27d3144a4122fp-10, 0x1.1d5e75b6df492p-10, 0x1.133f8ba158d0cp-10, 0x1.097d3df22c5bfp-10, 0x1.000fc03a5a6fcp-10, 0x1.edea22fe03863p-11, 0x1.dc544b555dc58p-11, 0x1.cb59827395b93p-11, 0x1.baf50ca64eb24p-11, 0x1.ab224bcdfdbc4p-11, 0x1.9bdcc673c922fp-11, 0x1.8d201ccbaacf8p-11, 0x1.7ee80d4b332eep-11, 0x1.713073521d134p-11, 0x1.63f54c2edc778p-11, 0x1.573296118761bp-11, 0x1.4ae48d726ab22p-11, 0x1.3f0777fe69473p-11, 0x1.3397a00fc2abdp-11, 0x1.28915df9e90a8p-11, 0x1.1df206c0e103ap-11, 0x1.13b5611557034p-11, 0x1.09d8793cf064ep-11, 0x1.0058271de440bp-11, 0x1.ee62ac498a252p-12, 0x1.dcc20fc0d5bcp-12, 0x1.cbc8a82e621a6p-12, 0x1.bb6f1f688812cp-12, 0x1.abb4edaa6001cp-12, 0x1.9c8fc444743a4p-12, 0x1.8dfc1873218aap-12, 0x1.7ff4dbe8a9aa7p-12, 0x1.7275161330ac3p-12, 0x1.65782ada0c60bp-12, 0x1.58f97b91b0d48p-12, 0x1.4cf4646f0a9e9p-12, 0x1.416499b854cbdp-12, 0x1.3645e97d6c817p-12, 0x1.2b944b4603805p-12, 0x1.214d869cfa646p-12, 0x1.1768032c39eabp-12, 0x1.0de5e6520fcc9p-12, 0x1.04c19f75c09f1p-12, 0x1.f7ef4d586b529p-13, 0x1.e709477604591p-13, 0x1.d6ca2f18ed68cp-13, 0x1.c72c71ed07b6dp-13, 0x1.b829430604a62p-13, 0x1.a9badb7548932p-13, 0x1.9bdaafc55cfdap-13, 0x1.8e857c6ff3afcp-13, 0x1.81b39303fbc09p-13, 0x1.756090a36cbecp-13, 0x1.69873fa580072p-13, 0x1.5e237e34af982p-13, 0x1.532ec5a2afb8ep-13, 0x1.48a6839466296p-13, 0x1.3e8582f25a351p-13, 0x1.34c79c94a6fdbp-13, 0x1.2b68abc073855p-13, 0x1.2264d601cf576p-13, 0x1.19ba309188792p-13, 0x1.115f8bfcb8909p-13, 0x1.0956eb553bedap-13, 0x1.019af3f9aa522p-13, 0x1.f45280425bcfcp-14, 0x1.e5f888ad556c4p-14, 0x1.d825eaef189e5p-14, 0x1.cad627af1a018p-14, 0x1.bdffe4ab0bc61p-14, 0x1.b19fbf7e51c7dp-14, 0x1.a5af9f16fe479p-14, 0x1.9a2b67a5712e1p-14, 0x1.8f0defbb2dca2p-14, 0x1.84529be058f7ep-14, 0x1.79f4fdf182cb8p-14, 0x1.6ff0d7c004587p-14, 0x1.664215d4a0817p-14, 0x1.5ce4c93e2156ep-14, 0x1.53d4c4a29e4bbp-14, 0x1.4b13e26ac3e4p-14, 0x1.4291302b17bedp-14, 0x1.3a56054ea4dcfp-14, 0x1.325b0c68178cdp-14, 0x1.2a9d4f554929ap-14, 0x1.2319eaafcb036p-14, 0x1.1bcb32d76b4ebp-14, 0x1.14b75bb75e54p-14, 0x1.0dd2e97dab584p-14, 0x1.071e7b9dfc421p-14, 0x1.0097e4254f251p-14, 0x1.f4798fa87e697p-15, 0x1.e81640c6b265ep-15, 0x1.dc01ce44c87cap-15, 0x1.d0371129b4facp-15, 0x1.c4b6cd4c83628p-15, 0x1.b97942b66f12p-15, 0x1.ae7c5e7c33eabp-15, 0x1.a3bd255991ef8p-15, 0x1.993acf472f5e6p-15, 0x1.8eecb28dc378p-15, 0x1.84d5f71de359ep-15, 0x1.7aee58ea6134p-15, 0x1.713e3a13084a7p-15, 0x1.67b8cf40a8a6dp-15, 0x1.5e5f802b2e4ecp-15, 0x1.55304900ba235p-15, 0x1.4c294565cfab8p-15, 0x1.4348ad0bf2a74p-15, 0x1.3a8cd314a1027p-15, 0x1.31f434de8f911p-15, 0x1.29827d9c7d3b1p-15, 0x1.212674f46b6afp-15, 0x1.18ee959ac8dcfp-15, 0x1.10d466dcaaf5ap-15, 0x1.08e4d7a1eddcep-15, 0x1.00f559db20369p-15, 0x1.f25cf3316d14ep-16, 0x1.e2f32a7ef8ebp-16, 0x1.d3d6f46988145p-16, 0x1.c4dc73777aed5p-16, 0x1.b6223e0d0aa81p-16, 0x1.a7714c88d2717p-16, 0x1.99000b5305a4p-16, 0x1.8ab855f372e92p-16, 0x1.7c9a1c238cac7p-16, 0x1.6ea4d9cdf8af9p-16, 0x1.60d3db8f90636p-16, 0x1.5331072f715a4p-16, 0x1.45ac5f20eb587p-16, 0x1.3852aa578b4bbp-16, 0x1.2b1cde5323cd9p-16, 0x1.1e0b20d320ca2p-16, 0x1.111e4743c71a3p-16, 0x1.04543b2b04233p-16, 0x1.ef585f5a0ce9bp-17, 0x1.d65049b26d5f1p-17, 0x1.bd8d999b1835dp-17, 0x1.a517204b6e6e2p-17, 0x1.8cc9bdb337f3fp-17, 0x1.74e1c547336c7p-17, 0x1.5d31d95311971p-17, 0x1.45c56f847576ap-17, 0x1.2e9ce8860aec3p-17, 0x1.17b80c316837cp-17, 0x1.0113a9f285baep-17, 0x1.d5756036cdd3p-18, 0x1.a94438344f6a6p-18, 0x1.7d93951361ebdp-18, 0x1.52fe96e132bb5p-18, 0x1.27e2daacaed47p-18, 0x1.fbd0d65c825c3p-19, 0x1.a8c6b96c4679p-19, 0x1.56bd56cf12928p-19, 0x1.05e6db2fd7b2fp-19, 0x1.6c50749bdb296p-20, 0x1.9db4285f82338p-21, 0x1.9f1391b75017bp-23, -0x1.9403da0153689p-22, -0x1.f74025bc25c48p-21, -0x1.8f40ef875790ep-20, -0x1.111f3ca46146p-19, -0x1.591cbd70b9245p-19, -0x1.9ff3333b88699p-19, -0x1.e5a6b67fae482p-19, -0x1.15231ef4262bap-18, -0x1.36cfa0aa2f7b7p-18, -0x1.57f0ea4198011p-18, -0x1.787edbe9015a2p-18, -0x1.9878b635d39afp-18, -0x1.b7ddff808ef0fp-18, -0x1.d6ae4f8dd0b83p-18, -0x1.f4e9575515722p-18, -0x1.0947b829b468ap-17, -0x1.17cada6cb0f6dp-17, -0x1.25f77ca3ec661p-17, -0x1.33fac1d2ebcb3p-17, -0x1.41a39d546067fp-17, -0x1.4efc488c4f245p-17, -0x1.5c0ae5886e5ffp-17, -0x1.68d9c806544bep-17, -0x1.75463f204d22dp-17, -0x1.817290b528573p-17, -0x1.8d539de1c2676p-17, -0x1.98e93584bc349p-17, -0x1.a433bad83767dp-17, -0x1.af353141a06a5p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.a4b3036b4f2ap-1, -0x1.a7b64f573e41ap-1, -0x1.aa676b6d49ebfp-1, -0x1.acc5bface4547p-1, -0x1.aed1fc73290b8p-1, -0x1.b08dab6711907p-1, -0x1.b1fa24ff8aec1p-1, -0x1.b31861a97090ep-1, -0x1.b3e9a3786c0a4p-1, -0x1.b470028b16edp-1, -0x1.b4ae4b6353edep-1, -0x1.b4a76b2c56aacp-1, -0x1.b45df6cb8ce7ap-1, -0x1.b3d41aa51c11fp-1, -0x1.b30bdeae8434ap-1, -0x1.b2077cbfeb076p-1, -0x1.b0c990679b49bp-1, -0x1.af550b8084e6ap-1, -0x1.adad01c2632c7p-1, -0x1.abd46dfa50461p-1, -0x1.a9ce09a18e7bep-1, -0x1.a79d7f14bbac7p-1, -0x1.a5411653a75bp-1, -0x1.a2bd5ce12c2bdp-1, -0x1.a014cb279fb8ap-1, -0x1.9d49c5fac72edp-1, -0x1.9a5e90adfcdc8p-1, -0x1.9755472396035p-1, -0x1.942fdfe6f3af3p-1, -0x1.90f033d3b3ef9p-1, -0x1.8d9807e4b0244p-1, -0x1.8a291616dda34p-1, -0x1.86a5133b5f079p-1, -0x1.830db0af32bc8p-1, -0x1.7f649a1105dd5p-1, -0x1.7bab7024fdfb3p-1, -0x1.77e3c2d876a52p-1, -0x1.740f0c5d587bdp-1, -0x1.702eae8c2c3fbp-1, -0x1.6c43f29ad720cp-1, -0x1.68500a6684a16p-1, -0x1.6454126cfd95ep-1, -0x1.605113f9086b2p-1, -0x1.5c48077ea7438p-1, -0x1.5839d75a32dbp-1, -0x1.542762eab13eep-1, -0x1.501181b3e8f5ep-1, -0x1.4bf905d6fcf3p-1, -0x1.47debd4c879b5p-1, -0x1.43c371962db11p-1, -0x1.3fa7e6194f7e2p-1, -0x1.3b8cd5b9ba4e3p-1, -0x1.3772f0736804fp-1, -0x1.335ad99e586b6p-1, -0x1.2f4527397a7adp-1, -0x1.2b32624476175p-1, -0x1.272307fdb1d78p-1, -0x1.23178b8f025f1p-1, -0x1.1f1057d1c1d81p-1, -0x1.1b0dd0d29deedp-1, -0x1.171054e60ef18p-1, -0x1.13183d40384dap-1, -0x1.0f25de21bece1p-1, -0x1.0b39842507782p-1, -0x1.075328f7f935p-1, -0x1.0373632181449p-1, -0x1.ff34edc64e954p-2, -0x1.f791477c2a9d9p-2, -0x1.effc489219ad1p-2, -0x1.e8765c4c686d9p-2, -0x1.e0ffe44bfdf03p-2, -0x1.d9993926e6cf7p-2, -0x1.d242ab333fd53p-2, -0x1.cafc837986398p-2, -0x1.c3c704a30ba46p-2, -0x1.bca26bcef91e3p-2, -0x1.b58ef13d0bb9ep-2, -0x1.ae8cc8c755fa7p-2, -0x1.a79c222d340f7p-2, -0x1.a0bd2937303b4p-2, -0x1.99f005c09d55p-2, -0x1.9334dbb6fd4a9p-2, -0x1.8c8bcb032a5d9p-2, -0x1.85f4efa920671p-2, -0x1.7f7061bdc7f68p-2, -0x1.78fe358ef3367p-2, -0x1.729e7bd161361p-2, -0x1.6c5141db48b21p-2, -0x1.661691e499366p-2, -0x1.5fee7348103d4p-2, -0x1.59d8eabf4cb66p-2, -0x1.53d5fa95d4c93p-2, -0x1.4de5a2d0b73eap-2, -0x1.4807e14b1bb25p-2, -0x1.423cb1c85713bp-2, -0x1.3c840dff08bedp-2, -0x1.36ddeda788675p-2, -0x1.314a45fbf79a7p-2, -0x1.2bc90c21e065fp-2, -0x1.265a30a760376p-2, -0x1.20fda41ed41f9p-2, -0x1.1bb354f4a8a31p-2, -0x1.167b300889c9fp-2, -0x1.115520ce3b4f6p-2, -0x1.0c41117142188p-2, -0x1.073eeaf77ec01p-2, -0x1.024e9561420f5p-2, -0x1.fadfef886fb41p-3, -0x1.f145f0c79a33p-3, -0x1.e7cef982f994ap-3, -0x1.de7ad34d15f47p-3, -0x1.d54946616fa26p-3, -0x1.cc3a199cee3cap-3, -0x1.c34d12849d99bp-3, -0x1.ba81f5348f915p-3, -0x1.b1d88471d1b4ep-3, -0x1.a950817336dd9p-3, -0x1.a0e9abf2fe9bdp-3, -0x1.98a3c257cf6f1p-3, -0x1.907e815f8b051p-3, -0x1.8879a45aea90ep-3, -0x1.8094e52cfe5ebp-3, -0x1.78cffc5c44203p-3, -0x1.712aa1292be1ap-3, -0x1.69a489a92c3dbp-3, -0x1.623d6ae58c8b4p-3, -0x1.5af4f8fc12d3dp-3, -0x1.53cae7421deacp-3, -0x1.4cbee866e8e3ap-3, -0x1.45d0ae9525a6ap-3, -0x1.3effeb8c12f78p-3, -0x1.384c50cec3e24p-3, -0x1.31b58f9919f1cp-3, -0x1.2b3b592243626p-3, -0x1.24dd5e8cd60ffp-3, -0x1.1e9b50e816ac5p-3, -0x1.1874e17212ac1p-3, -0x1.1269c15dd0d91p-3, -0x1.0c79a214fe2cep-3, -0x1.06a43453a7364p-3, -0x1.00e92a2df9c8fp-3, -0x1.f69069a45c383p-4, -0x1.eb820b676bc7fp-4, -0x1.e0a69c8e27053p-4, -0x1.d5fd8017d6924p-4, -0x1.cb8618d4fc114p-4, -0x1.c13fc992c5aep-4, -0x1.b731b56cb7c12p-4, -0x1.ad4c44a485adap-4, -0x1.a396053b64b53p-4, -0x1.9a0e58b7336e9p-4, -0x1.90b4a0e02f533p-4, -0x1.8788400825b93p-4, -0x1.7e889901ceba9p-4, -0x1.75b50f2eb8814p-4, -0x1.6d0d068674f54p-4, -0x1.648fe3a8e7973p-4, -0x1.5c3d0bd487cf6p-4, -0x1.5413e5055fb53p-4, -0x1.4c13d60550d55p-4, -0x1.443c460186fb5p-4, -0x1.3c8c9d8593fa3p-4, -0x1.3504459d27d01p-4, -0x1.2da2a84190909p-4, -0x1.26672ff286cd8p-4, -0x1.1f514839a74f3p-4, -0x1.18605fca3d378p-4, -0x1.1193e202e9ec6p-4, -0x1.0aeb3e9a2bd2dp-4, -0x1.0465e552957dbp-4, -0x1.fc068dd49b395p-5, -0x1.ef85aaec5ddbcp-5, -0x1.e34807a4be377p-5, -0x1.d74c8df8d5adp-5, -0x1.cb9227826e5fep-5, -0x1.c017c1e1bbc8p-5, -0x1.b4dc4a8cac0f1p-5, -0x1.a9debbaaadec7p-5, -0x1.9f1e023088c8cp-5, -0x1.9499185b3519ap-5, -0x1.8a4ef8399f28ap-5, -0x1.803e9e9ee4ed9p-5, -0x1.76670ab7d5afdp-5, -0x1.6cc73ed544964p-5, -0x1.635e3fb337863p-5, -0x1.5a2b14d5630e1p-5, -0x1.512cc8882813p-5, -0x1.4862679090e21p-5, -0x1.3fcb01d8ece37p-5, -0x1.3765a9daee495p-5, -0x1.2f3174d298bp-5, -0x1.272d7a49db1e9p-5, -0x1.1f58d5a425cc6p-5, -0x1.17b2a57eaf8ep-5, -0x1.103a0828ef6b8p-5, -0x1.08ee21a26f462p-5, -0x1.01ce17c2cd559p-5, -0x1.f5b2266269909p-6, -0x1.e81c7ec60395ep-6, -0x1.dad995655d45dp-6, -0x1.cde7ca2655726p-6, -0x1.c14588d81c095p-6, -0x1.b4f13ac07da08p-6, -0x1.a8e9537fe2c07p-6, -0x1.9d2c4adf2f20ep-6, -0x1.91b89f02d266ep-6, -0x1.868cd2429e399p-6, -0x1.7ba767a3fa1ccp-6, -0x1.7106fdd8c3aabp-6, -0x1.66aa125f2041ep-6, -0x1.5c8f528e7d905p-6, -0x1.52b54d612af48p-6, -0x1.491aab77929f3p-6, -0x1.3fbe154a9381ep-6, -0x1.369e39204006fp-6, -0x1.2db9cacbd00a8p-6, -0x1.250f825ad3278p-6, -0x1.1c9e1df892f7ep-6, -0x1.14645ff78e75fp-6, -0x1.0c6112cd135cbp-6, -0x1.049301ad3bc12p-6, -0x1.f9f1ffb75ce0cp-7, -0x1.eb23c9f5d474p-7, -0x1.dcb91847035f5p-7, -0x1.ceafb648bd95ep-7, -0x1.c10568ed84b2cp-7, -0x1.b3b8097ea68cbp-7, -0x1.a6c57953474cap-7, -0x1.9a2ba290ea82cp-7, -0x1.8de878d91445ap-7, -0x1.81f9fa6a04866p-7, -0x1.765e2befa740dp-7, -0x1.6b132399f8226p-7, -0x1.6016f487d7a3bp-7, -0x1.5567c380bc883p-7, -0x1.4b03c923d4ee8p-7, -0x1.40e913fcc6003p-7, -0x1.371606169c6a2p-7, -0x1.2d88dc262826ap-7, -0x1.243fe2b2d0e3fp-7, -0x1.1b397206930f1p-7, -0x1.1273f00e27aaep-7, -0x1.09edb20d16954p-7, -0x1.01a539bb983d5p-7, -0x1.f331f7839fcc6p-8, -0x1.e38eefb5a38afp-8, -0x1.d45e6e1abe1f4p-8, -0x1.c59d8faf1376bp-8, -0x1.b749870eb0c9cp-8, -0x1.a95f9368ad0bp-8, -0x1.9bdd00e9d8b33p-8, -0x1.8ebf31598fa56p-8, -0x1.820383c84363ap-8, -0x1.75a77c44119bbp-8, -0x1.69a89d8c54fbdp-8, -0x1.5e047c7224391p-8, -0x1.52b8bf71601eep-8, -0x1.47c3114f322e1p-8, -0x1.3d21307875d71p-8, -0x1.32d0e66ae9f92p-8, -0x1.28d0094c82b26p-8, -0x1.1f1c7ba2e5415p-8, -0x1.15b42ba014937p-8, -0x1.0c953340c5dfp-8, -0x1.03bd3a84ba25p-8, -0x1.f6556f9bb2723p-9, -0x1.e5b73f3cb5a7ep-9, -0x1.d59c3c1075a86p-9, -0x1.c600cc41a3684p-9, -0x1.b6e16b7391bdap-9, -0x1.a83aaa2845311p-9, -0x1.9a092a19c18c4p-9, -0x1.8c49adf13b0f3p-9, -0x1.7ef8e1b3725f2p-9, -0x1.7213f4e9c81d6p-9, -0x1.65978bd6f0af2p-9, -0x1.5980c891198dfp-9, -0x1.4dccc2f72df42p-9, -0x1.42789ded24369p-9, -0x1.378156912273p-9, -0x1.2ce51fba885d9p-9, -0x1.22a0d8d9463e9p-9, -0x1.18b0e802fe3b7p-9, -0x1.0f14264055d06p-9, -0x1.05c7f2d6451efp-9, -0x1.f992438490a41p-10, -0x1.e82c58b480685p-10, -0x1.d7592d3c5ff06p-10, -0x1.c714678d2be4ep-10, -0x1.b758ef2301b8dp-10, -0x1.a823964e990bap-10, -0x1.996fe8bf06edcp-10, -0x1.8b39f1ced7f7ep-10, -0x1.7d7dbfe2fe684p-10, -0x1.7037ad1ce88a6p-10, -0x1.6363f482d726fp-10, -0x1.56ff0ea04e902p-10, -0x1.4b057b42c0c14p-10, -0x1.3f73e5e9bd0ecp-10, -0x1.3446f612e661ap-10, -0x1.297b7fa3bccc6p-10, -0x1.1f0e6515ea89cp-10, -0x1.14fca057f8246p-10, -0x1.0b4340c605763p-10, -0x1.01df6a968863ep-10, -0x1.f19c93352f09p-11, -0x1.e01a91c320f1ep-11, -0x1.cf339066a87e6p-11, -0x1.bee243e9af851p-11, -0x1.af21e28bbcd63p-11, -0x1.9fed7ed5a5864p-11, -0x1.91408b0de5486p-11, -0x1.831685843bb5fp-11, -0x1.756b0567ce329p-11, -0x1.6839cb64032c2p-11, -0x1.5b7b68415361bp-11, -0x1.4f32a9beb5fd8p-11, -0x1.43595254d845ep-11, -0x1.37e842772c8bcp-11, -0x1.2cdf4109513bbp-11, -0x1.22398ea6168aap-11, -0x1.17f3c8b65dd1cp-11, -0x1.0e0a9ff12c1a2p-11, -0x1.047add15dd82ep-11, -0x1.f682c809bdb8p-12, -0x1.e4b66229e8c1cp-12, -0x1.d38ab1da6e7c6p-12, -0x1.c2fa2bf678dcp-12, -0x1.b2ff069008b81p-12, -0x1.a394362a8f0c3p-12, -0x1.94b49392c4b0ep-12, -0x1.865ae8d20360bp-12, -0x1.787f8105588edp-12, -0x1.6b27993a666cep-12, -0x1.5e446d583faa1p-12, -0x1.51d5363ddd5aap-12, -0x1.45d59422dc865p-12, -0x1.3a41890f991f4p-12, -0x1.2f152492bc7b2p-12, -0x1.244c9bb08a36ep-12, -0x1.19e20a0ba4353p-12, -0x1.0fd875282912ap-12, -0x1.0625e03afd81fp-12, -0x1.f99254e455124p-13, -0x1.e77e387370287p-13, -0x1.d608e3ecf804bp-13, -0x1.c52d2b70840bfp-13, -0x1.b4e54acc61054p-13, -0x1.a52af00907269p-13, -0x1.95f901ed8429ep-13, -0x1.874a8dace4945p-13, -0x1.791a628fe2007p-13, -0x1.6b5d60e20d0f2p-13, -0x1.5e223c95a198cp-13, -0x1.515140e287b2cp-13, -0x1.44ec6965f9bdcp-13, -0x1.38ef9f7f8dc86p-13, -0x1.2d571b130bc89p-13, -0x1.221e42224e25ep-13, -0x1.1742dad117411p-13, -0x1.0cc02c849be8fp-13, -0x1.02931fc107088p-13, -0x1.f1710f6167b4ep-14, -0x1.de5a03daa9f73p-14, -0x1.cbdb8e5d603b5p-14, -0x1.b9efcc3d51c4bp-14, -0x1.a890e4019cfa4p-14, -0x1.97bb41c97a705p-14, -0x1.8764a3913fbc4p-14, -0x1.778dcfd4fb487p-14, -0x1.682f86dc95ec4p-14, -0x1.5945664ef9744p-14, -0x1.4acb33f670038p-14, -0x1.3cbc974440242p-14, -0x1.2f1b21f324a26p-14, -0x1.21d4267932a77p-14, -0x1.14f20b465d39fp-14, -0x1.086c74c41cd22p-14, -0x1.f8846feab01a5p-15, -0x1.e0d46a728f677p-15, -0x1.c9ce9a04ac7efp-15, -0x1.b368d31500cb3p-15, -0x1.9d9e30168a6bcp-15, -0x1.886a4cc840d0cp-15, -0x1.73c1ae1d57695p-15, -0x1.5fa6b0ece2257p-15, -0x1.4c1213f7f2d44p-15, -0x1.38ff744107e5ap-15, -0x1.266a5185d72b8p-15, -0x1.144ea36b1d36fp-15, -0x1.02a87c25fa8a4p-15, -0x1.e2e7feb0e41fp-16, -0x1.c15740501aeddp-16, -0x1.a0c9a7dc5d045p-16, -0x1.80bda41151955p-16, -0x1.61a0060fadea9p-16, -0x1.4344e9f2157bcp-16, -0x1.25a738362410dp-16, -0x1.08c1974bc6071p-16, -0x1.d90f11d05743fp-17, -0x1.a215c4e0aa18fp-17, -0x1.6c60010fec777p-17, -0x1.37f338a94facdp-17, -0x1.04caf8d5ce403p-17, -0x1.a5b5fdc52b746p-18, -0x1.443a57aaafe6fp-18, -0x1.ca1acfe0d075cp-19, -0x1.0f3c9300f915cp-19, -0x1.6c70d79a1bdb6p-21, 0x1.56e508543bc2p-21, 0x1.025b96ce7d1f9p-19, 0x1.aad1e02880ff3p-19, 0x1.277e2e5c40aadp-18, 0x1.77be92543472ep-18, 0x1.c5f0365043748p-18, 0x1.090e92e5e44f6p-17, 0x1.2e48a9e72e834p-17, 0x1.5288c15f32234p-17, 0x1.75de3cd3f3cd9p-17, 0x1.984cf65f6bfa6p-17, 0x1.b9d8a50f96626p-17, 0x1.da84d59d49239p-17, 0x1.fa54e7dd6a9d9p-17, 0x1.0ca5ce28ce77bp-16, 0x1.1ba35fa7b9d68p-16, 0x1.2a5e004096585p-16, 0x1.389de68dbd8aep-16, 0x1.467749b74731ap-16, 0x1.53cf04bba5026p-16, 0x1.610a694c58ad6p-16, 0x1.6daa7befbffd1p-16, 0x1.79d0e199c39c4p-16, 0x1.85dfcdda6a202p-16, 0x1.916c6636748fep-16, 0x1.9c708be94910fp-16, 0x1.a76e8a09ebf53p-16, 0x1.b1e0571bf785dp-16, 0x1.bbf9f13b0a026p-16, 0x1.c5b9f66bb5f38p-16, 0x1.cf20c5c4dd26ap-16, 0x1.d8318ff6110dcp-16, 0x1.e0dc40acc12f6p-16, 0x1.e94aeb150dd02p-16, 0x1.f155eb042d003p-16, 0x1.f90d570f1717bp-16, 0x1.0038ade1e767ep-15, 0x1.03c0f0baedb9fp-15, 0x1.0720987da7ffep-15, 0x1.0a5834f4f4202p-15, 0x1.0d674a5b289e6p-15, 0x1.104eb404e0eeep-15, 0x1.130784fe15c4ap-15, 0x1.15a84dc02b962p-15, 0x1.181aceadedfa1p-15, 0x1.1a678e4766e92p-15, 0x1.1c8eafea047f2p-15, 0x1.1e909b3d0ef98p-15, 0x1.206db894e2ccbp-15, 0x1.2224c6eaff637p-15, 0x1.23bb5b441ab58p-15, 0x1.252c84ac69605p-15, 0x1.267c515ebd982p-15, 0x1.278ee2b07a8c8p-15, 0x1.28afa5fe11a54p-15, 0x1.29902a1028da1p-15, 0x1.2a56b4cc083f4p-15, 0x1.2b008ac8db2c1p-15, 0x1.2b8419d045d12p-15, 0x1.2be7ed1edc621p-15, 0x1.2c2a94449e176p-15, 0x1.2c5071f679e53p-15, 0x1.2c562b1e84f22p-15, 0x1.2c3d677c3375bp-15, 0x1.2c062b83b17e7p-15, 0x1.2bb259fbd9d8ap-15, 0x1.2b40e447e51ecp-15, 0x1.2ab2ce0f6aedcp-15, 0x1.2a098ac227a95p-15, 0x1.295d539483abdp-15, 0x1.2861472af5df1p-15, 0x1.2763da2ed8679p-15, 0x1.264cbf6f4e69dp-15, 0x1.251bb6627d659p-15, 0x1.23d1242b21a17p-15, 0x1.226d7bec16ad3p-15, 0x1.20f13448ab48ap-15, 0x1.1f5cd2183c1cep-15, 0x1.1dafe7de3617fp-15, 0x1.1be9f89c09a2ep-15, 0x1.1a12785ad1bbap-15, 0x1.182a6beaaeac4p-15, 0x1.161c2abb76798p-15, 0x1.14004dbd8b3cp-15, 0x1.11ceafe7e4dabp-15, 0x1.0f8a7e8ca3c18p-15, 0x1.0d31674f5dd5bp-15, 0x1.0ac4c8fbeacbcp-15, 0x1.08452872f4716p-15, 0x1.05b30d9e57d8dp-15, 0x1.030fb09273508p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.0a7b278be8fe7p-2, -0x1.15d19098264c5p-2, -0x1.20e627497e7d6p-2, -0x1.2bb76b5cf8a83p-2, -0x1.364400353246bp-2, -0x1.408aabe39fd3ep-2, -0x1.4a8a562a92b74p-2, -0x1.54420779d39aep-2, -0x1.5db0e7e74cb8dp-2, -0x1.66d63e2523175p-2, -0x1.6fb16e765b416p-2, -0x1.7841f9a306cf5p-2, -0x1.80877bece1a53p-2, -0x1.8881ac05156bfp-2, -0x1.90305a03d3314p-2, -0x1.97936e6256f43p-2, -0x1.9eaae8f7d4aa6p-2, -0x1.a576dff9c0a53p-2, -0x1.abf77effd8805p-2, -0x1.b22d060c3ca3bp-2, -0x1.b817c897eecadp-2, -0x1.bdb82ca3e6d37p-2, -0x1.c30ea9cf03509p-2, -0x1.c81bc870f66dbp-2, -0x1.cce020ba5c6eep-2, -0x1.d15c59da17f3dp-2, -0x1.d591292808385p-2, -0x1.d97f515531f3bp-2, -0x1.dd27a1a1608f2p-2, -0x1.e08af51648ee8p-2, -0x1.e3aa31c834d58p-2, -0x1.e686481c2fe05p-2, -0x1.e9203213b2fa3p-2, -0x1.eb78f29dc97d4p-2, -0x1.ed9194eda2c7ep-2, -0x1.ef6b2bd682a78p-2, -0x1.f106d12d0284p-2, -0x1.f265a52d90d41p-2, -0x1.f388cde81e945p-2, -0x1.f47176b0e1afcp-2, -0x1.f520cf961eb7p-2, -0x1.f5980cdad727bp-2, -0x1.f5d8667655abbp-2, -0x1.f5e3179870ba3p-2, -0x1.f5b95e327436ep-2, -0x1.f55c7a849ba0ap-2, -0x1.f4cdaeaff7dep-2, -0x1.f40e3e4cba7fdp-2, -0x1.f31f6e04b92c8p-2, -0x1.f2028332222b7p-2, -0x1.f0b8c3823ee03p-2, -0x1.ef43749c2c05cp-2, -0x1.eda3dbcb77d4dp-2, -0x1.ebdb3dae82e56p-2, -0x1.e9eadde89547fp-2, -0x1.e7d3fed7889dap-2, -0x1.e597e14cf8aa2p-2, -0x1.e337c44adb274p-2, -0x1.e0b4e4c36e92cp-2, -0x1.de107d5c6674fp-2, -0x1.db4bc63541561p-2, -0x1.d867f4b0b111ep-2, -0x1.d5663b4104638p-2, -0x1.d247c93776647p-2, -0x1.cf0dca9657aeap-2, -0x1.cbb967e5f5dc2p-2, -0x1.c84bc60c33531p-2, -0x1.c4c60626b87d3p-2, -0x1.c1294567ab133p-2, -0x1.bd769cf4df29p-2, -0x1.b9af21c962c3ap-2, -0x1.b5d3e4996152dp-2, -0x1.b1e5f1b84208ep-2, -0x1.ade65100f059fp-2, -0x1.a9d605c044f57p-2, -0x1.a5b60ea175476p-2, -0x1.a187659c7da14p-2, -0x1.9d4affe676353p-2, -0x1.9901cde3bab32p-2, -0x1.94acbb1be336bp-2, -0x1.904cae2f6d17ap-2, -0x1.8be288cf140ecp-2, -0x1.876f27b4bff9ap-2, -0x1.82f3629e0114ap-2, -0x1.7e700c4804ae1p-2, -0x1.79e5f26cfbb99p-2, -0x1.7555ddc2daa28p-2, -0x1.70c091fb702afp-2, -0x1.6c26cdc5b9d3ep-2, -0x1.67894ad070f9ap-2, -0x1.62e8bdcdc05dap-2, -0x1.5e45d67811674p-2, -0x1.59a13f97ea131p-2, -0x1.54fb9f0acd7bfp-2, -0x1.505595cb0c878p-2, -0x1.4bafbff886b3bp-2, -0x1.470ab4e241148p-2, -0x1.42670710d29fp-2, -0x1.3dc54451973fep-2, -0x1.3925f5c29c19cp-2, -0x1.34899fdf3bafcp-2, -0x1.2ff0c28d64448p-2, -0x1.2b5bd92b71fefp-2, -0x1.26cb5a9ea28d9p-2, -0x1.223fb9620b689p-2, -0x1.1db963960ebe1p-2, -0x1.1938c31047fe9p-2, -0x1.14be3d6be1f75p-2, -0x1.104a341a4f709p-2, -0x1.0bdd047461093p-2, -0x1.077707cbab1d8p-2, -0x1.0318937c38a51p-2, -0x1.fd83f1fcfbad7p-3, -0x1.f4e70bf31522fp-3, -0x1.ec5b08aad4252p-3, -0x1.e3e0749b71881p-3, -0x1.db77d508af054p-3, -0x1.d321a8288c10fp-3, -0x1.cade6549286cap-3, -0x1.c2ae7cf6cac9bp-3, -0x1.ba9259220c5e1p-3, -0x1.b28a5d460b81ep-3, -0x1.aa96e68eaf03ep-3, -0x1.a2b84bfedc4bep-3, -0x1.9aeede96a8366p-3, -0x1.933ae9796a07ep-3, -0x1.8b9cb213b6a06p-3, -0x1.841478412b4dfp-3, -0x1.7ca2767210292p-3, -0x1.7546e1d0bea13p-3, -0x1.6e01ea66cb567p-3, -0x1.66d3bb41e530dp-3, -0x1.5fbc7a98735f1p-3, -0x1.58bc49edd293cp-3, -0x1.51d34636485fbp-3, -0x1.4b0187fa8cfe1p-3, -0x1.4447237afc4a6p-3, -0x1.3da428d257e09p-3, -0x1.3718a41823354p-3, -0x1.30a49d828c72ap-3, -0x1.2a481987e13a6p-3, -0x1.240318ff91ee7p-3, -0x1.1dd59942b0285p-3, -0x1.17bf944bfbb83p-3, -0x1.11c100d76589fp-3, -0x1.0bd9d28115a3ep-3, -0x1.0609f9e3ea8fbp-3, -0x1.005164b76f8c4p-3, -0x1.f55ffbdaa6677p-4, -0x1.ea4b5b9c8a297p-4, -0x1.df64b42cae89fp-4, -0x1.d4abcc218dcdp-4, -0x1.ca20656686bf5p-4, -0x1.bfc23d713748dp-4, -0x1.b5910d75c48f5p-4, -0x1.ab8c8a9a10a8ep-4, -0x1.a1b46627b3a59p-4, -0x1.98084dbcfc324p-4, -0x1.8e87eb7cac893p-4, -0x1.8532e63cb62fep-4, -0x1.7c08e1b3c90eap-4, -0x1.73097ea5cb2adp-4, -0x1.6a345b0f36068p-4, -0x1.6189124f58f0bp-4, -0x1.59073d5185076p-4, -0x1.50ae72b523441p-4, -0x1.487e46f4b7373p-4, -0x1.40764c8bcf80bp-4, -0x1.3896141be94bfp-4, -0x1.30dd2c9046d05p-4, -0x1.294b2340bbffcp-4, -0x1.21df841376ab9p-4, -0x1.1a99d99dc1f17p-4, -0x1.1379ad43ca386p-4, -0x1.0c7e8757648e2p-4, -0x1.05a7ef35dd433p-4, -0x1.fdead6c9a0204p-5, -0x1.f0cd035c1d5f5p-5, -0x1.e3f56e7531d93p-5, -0x1.d7632159545cfp-5, -0x1.cb152471c121ep-5, -0x1.bf0a7f7d00aep-5, -0x1.b34239bdb2005p-5, -0x1.a7bb5a279fbedp-5, -0x1.9c74e78b249f3p-5, -0x1.916de8beee2c6p-5, -0x1.86a564c81e9cap-5, -0x1.7c1a6300dabd4p-5, -0x1.71cbeb3d4afcep-5, -0x1.67b905ef169dep-5, -0x1.5de0bc4764adbp-5, -0x1.5442185764dcfp-5, -0x1.4adc252f6effcp-5, -0x1.41adeefcc099ap-5, -0x1.38b68325d8cedp-5, -0x1.2ff4f06587d7fp-5, -0x1.276846e4adbe6p-5, -0x1.1f0f9852baadfp-5, -0x1.16e9f7fcef727p-5, -0x1.0ef67ae46f603p-5, -0x1.073437d323a5ep-5, -0x1.ff448edefb832p-6, -0x1.f07f889e3b579p-6, -0x1.e2179610c583p-6, -0x1.d40af485e8304p-6, -0x1.c657e58e82934p-6, -0x1.b8fcaf1a0d41ep-6, -0x1.abf79b91b97c9p-6, -0x1.9f46f9f1b1f4fp-6, -0x1.92e91de08d427p-6, -0x1.86dc5fc500166p-6, -0x1.7b1f1cd9dc8fap-6, -0x1.6fafb7406cbffp-6, -0x1.648c961137de8p-6, -0x1.59b4256b3a991p-6, -0x1.4f24d681a41b9p-6, -0x1.44dd1fa82310ap-6, -0x1.3adb7c5dce90dp-6, -0x1.311e6d56ba7ccp-6, -0x1.27a47884395d2p-6, -0x1.1e6c291bea0cbp-6, -0x1.15740f9d8ad51p-6, -0x1.0cbac1d7a44b6p-6, -0x1.043edaeb1c1b4p-6, -0x1.f7fdf69b62525p-7, -0x1.e7f39196eae75p-7, -0x1.d85bdd0e8cdp-7, -0x1.c93439f4ad53fp-7, -0x1.ba7a13e59c77dp-7, -0x1.ac2ae123172a2p-7, -0x1.9e44228e23396p-7, -0x1.90c3639f53274p-7, -0x1.83a63a5d7fea5p-7, -0x1.76ea4753162e1p-7, -0x1.6a8d3581ff819p-7, -0x1.5e8cba563df9cp-7, -0x1.52e695973a47fp-7, -0x1.47989157f639fp-7, -0x1.3ca081e60a071p-7, -0x1.31fc45b79d87bp-7, -0x1.27a9c55858471p-7, -0x1.1da6f3555dd2dp-7, -0x1.13f1cc286316fp-7, -0x1.0a885621eada8p-7, -0x1.0168a152b5991p-7, -0x1.f1218ee8e1abap-8, -0x1.dffdd7a36a33ap-8, -0x1.cf62765ab3977p-8, -0x1.bf4bd7525f87fp-8, -0x1.afb67958522e2p-8, -0x1.a09eed8ff8994p-8, -0x1.9201d73c977a5p-8, -0x1.83dbeb8ab671p-8, -0x1.7629f158bd4ebp-8, -0x1.68e8c0fed59aap-8, -0x1.5c1544161f431p-8, -0x1.4fac753f51882p-8, -0x1.43ab5fe8cf29bp-8, -0x1.380f20144805fp-8, -0x1.2cd4e21bf0526p-8, -0x1.21f9e27760927p-8, -0x1.177b6d802c5fap-8, -0x1.0d56df363c1d3p-8, -0x1.0389a303f911cp-8, -0x1.f4226704b1264p-9, -0x1.e1d63479a27a6p-9, -0x1.d029deea8dbd2p-9, -0x1.bf18b3cff41dap-9, -0x1.ae9e1d1f057c2p-9, -0x1.9eb5a0d1c714bp-9, -0x1.8f5ae06f7b764p-9, -0x1.80899895612c2p-9, -0x1.723da07fd98c9p-9, -0x1.6472e994037edp-9, -0x1.57257ee9e89fap-9, -0x1.4a5184d739f28p-9, -0x1.3df3387abba78p-9, -0x1.3206ef485ed3ep-9, -0x1.2689169626f53p-9, -0x1.1b763329d8fcdp-9, -0x1.10cae0c784c8fp-9, -0x1.0683d1c0fb9d9p-9, -0x1.f93b9d0c607aap-10, -0x1.e62b6a6d2f6e5p-10, -0x1.d3d0f26714b04p-10, -0x1.c22645676b4a2p-10, -0x1.b1259caf3c78p-10, -0x1.a0c9597e85015p-10, -0x1.910c0441c1c92p-10, -0x1.81e84bc1c5d64p-10, -0x1.73590456013bp-10, -0x1.6559271922588p-10, -0x1.57e3d1203a056p-10, -0x1.4af442b452d4fp-10, -0x1.3e85de8e95637p-10, -0x1.32942916f9a8ep-10, -0x1.271ac7a58d32p-10, -0x1.1c157fc64e419p-10, -0x1.1180367fb01bfp-10, -0x1.0756ef9bb79b8p-10, -0x1.fb2b99e799f7cp-11, -0x1.e8721b7e505c1p-11, -0x1.d67a1bc7f0efbp-11, -0x1.c53c8a9663f71p-11, -0x1.b4b28e6e1bbe5p-11, -0x1.a4d5833875a98p-11, -0x1.959ef8fb7b90bp-11, -0x1.8708b2970482dp-11, -0x1.790ca487360ecp-11, -0x1.6ba4f3ac5e6afp-11, -0x1.5ecbf4182741fp-11, -0x1.527c27e01d897p-11, -0x1.46b03df584417p-11, -0x1.3b6311027135fp-11, -0x1.308fa64c29d93p-11, -0x1.26312c9abad0bp-11, -0x1.1c42fb25bef13p-11, -0x1.12c0908650098p-11, -0x1.09a591ae18065p-11, -0x1.00edc8e374402p-11, -0x1.f12a49854dc94p-12, -0x1.e12f6e880c8cp-12, -0x1.d1e3698e43e84p-12, -0x1.c33ee6459f544p-12, -0x1.b53ad1742b68ap-12, -0x1.a7d0572bc856ep-12, -0x1.9af8e10724e0ep-12, -0x1.8eae147024fc9p-12, -0x1.82e9d0ef95133p-12, -0x1.77a62e861849ap-12, -0x1.6cdd7c0e29be2p-12, -0x1.628a3da71f2a1p-12, -0x1.58a72b2905ba6p-12, -0x1.4f2f2ea1454cbp-12, -0x1.461d62d7e5244p-12, -0x1.3d6d11dd569cfp-12, -0x1.3519b3a0a97d6p-12, -0x1.2d1eec8e07ae5p-12, -0x1.25788c355dc4p-12, -0x1.1e228bf90e207p-12, -0x1.17190dc4900e1p-12, -0x1.10585acadfcd8p-12, -0x1.09dce24c97f46p-12, -0x1.03a33865a21a2p-12, -0x1.fb5029c49f11p-13, -0x1.efd0a43790bfbp-13, -0x1.e4c1d7b756b43p-13, -0x1.da1dfc8d8000fp-13, -0x1.cfdf899d36b3ap-13, -0x1.c601325439e55p-13, -0x1.bc7de4a93bee6p-13, -0x1.b350c72775018p-13, -0x1.aa7537072137fp-13, -0x1.a1e6c652ba52ap-13, -0x1.99a13a18a353fp-13, -0x1.91a088a911b42p-13, -0x1.89e0d7dffa8b1p-13, -0x1.825e7b7ac021dp-13, -0x1.7b15f3796badap-13, -0x1.7403ea8b38a8ep-13, -0x1.6d25348635703p-13, -0x1.6676cce9bf7f3p-13, -0x1.5ff5d56ba7f4ap-13, -0x1.599f948fbf84bp-13, -0x1.537174499f835p-13, -0x1.4d6900a867f83p-13, -0x1.4783e68c4a343p-13, -0x1.41bff265a6426p-13, -0x1.3c1b0efd84437p-13, -0x1.369344473742cp-13, -0x1.3126b63af1ac7p-13, -0x1.2bd3a3b924aap-13, -0x1.26986576633c6p-13, -0x1.21736cefad288p-13, -0x1.1c634366e475bp-13, -0x1.176688e73a26ep-13, -0x1.127bf351738f2p-13, -0x1.0da24d6fc1ff1p-13, -0x1.08d8761111c6cp-13, -0x1.041d5f2b99997p-13, -0x1.fee01a0d0730dp-14, -0x1.f59f2ad4f05a3p-14, -0x1.ec763db1dbbddp-14, -0x1.e363bf94206bcp-14, -0x1.da663be20807fp-14, -0x1.d17c5b0cfc8d2p-14, -0x1.c8a4e132c0537p-14, -0x1.bfdeaccaacbf9p-14, -0x1.b728b55e6216bp-14, -0x1.ae820a4ddbda1p-14, -0x1.a5e9d19e67f65p-14, -0x1.9d5f46d45b205p-14, -0x1.94e1b9d731ab5p-14, -0x1.8c708ddfc34f8p-14, -0x1.840b38705f5e8p-14, -0x1.7bb140567a346p-14, -0x1.73623cb5af5e2p-14, -0x1.6b1dd41bd5a1p-14, -0x1.62e3bb9de5a6p-14, -0x1.5ab3b5fd70d27p-14, -0x1.528d92d66f02dp-14, -0x1.4a712dd521964p-14, -0x1.425e6df3d534fp-14, -0x1.3a5544c0442afp-14, -0x1.3255ada8634d3p-14, -0x1.2a5fad4e601e3p-14, -0x1.227350e39ab2ep-14, -0x1.1a90ad8a65d6ap-14, -0x1.12b7dfbe58776p-14, -0x1.0ae90ac2ffe56p-14, -0x1.03245818be7a3p-14, -0x1.f6d3edef4d773p-15, -0x1.e77437a04a71ep-15, -0x1.d829ffa290ff7p-15, -0x1.c8f5c0e8f54f7p-15, -0x1.b9d7fe1d02d33p-15, -0x1.aad140cb2f6cap-15, -0x1.9be21898edabfp-15, -0x1.8d0b1a84504adp-15, -0x1.7e4ce02ce9244p-15, -0x1.6fa8072597a4bp-15, -0x1.611d304efc79ap-15, -0x1.52acff3a43f63p-15, -0x1.445819940147p-15, -0x1.361f2696d4342p-15, -0x1.2802ce859161dp-15, -0x1.1a03ba2caf18bp-15, -0x1.0c22926aaf3dfp-15, -0x1.fcbfff7e98f6bp-16, -0x1.e17953c24e6b7p-16, -0x1.c6726eb379491p-16, -0x1.abac9a4ec7e34p-16, -0x1.91291cca48affp-16, -0x1.76e937f0410b6p-16, -0x1.5cee2884d4701p-16, -0x1.433925b60b00ep-16, -0x1.29cb6095d114p-16, -0x1.10a6039d92c9p-16, -0x1.ef9464760966ep-17, -0x1.be7210cbaa482p-17, -0x1.8de7347b9725fp-17, -0x1.5df5e7623a782p-17, -0x1.2ea0305507b7p-17, -0x1.ffd0091b7954ap-18, -0x1.a39e8e47d2f67p-18, -0x1.48af91287e416p-18, -0x1.de0d1953f75fbp-19, -0x1.2d4da9dbd9b2fp-19, -0x1.fc9cb528d8e48p-21, 0x1.630297f91a872p-22, 0x1.aa863d20de1afp-20, 0x1.7b7bceb47d20cp-19, 0x1.0f82a788b7733p-18, 0x1.5fed6f11c6df1p-18, 0x1.aefc06ca0d9c4p-18, 0x1.fcac6136e9ca3p-18, 0x1.247e4d4c39732p-17, 0x1.49f57c7203863p-17, 0x1.6ebaf5d818736p-17, 0x1.92ce060957bd7p-17, 0x1.b62e0e38b7f74p-17, 0x1.d8da842382ac9p-17, 0x1.fad2f1edceb75p-17, 0x1.0e0b7afcb1c1dp-16, 0x1.1e53215bbdb89p-16, 0x1.2e404f3ad485fp-16, 0x1.3dd2f193116cdp-16, 0x1.4d0aff11eb254p-16, 0x1.5be877f93a1ep-16, 0x1.6a6b65fd649b3p-16, 0x1.7893dc21d3471p-16, 0x1.8661f693c48cep-16, 0x1.93d5da83acda8p-16, 0x1.a0efb5fd32eb4p-16, 0x1.adafbfbded944p-16, 0x1.ba16370afc4a3p-16, 0x1.c623638592e16p-16, 0x1.d1d794fe94a1p-16, 0x1.dd33234954488p-16, 0x1.e8366e0d92f7ep-16, 0x1.f2e1dc98ce8d3p-16, 0x1.fd35ddaf0155dp-16, 0x1.039973ad6afa5p-15, 0x1.086cbb5eb90a2p-15, 0x1.0d1507eef1b63p-15, 0x1.11929ebc1f7a5p-15, 0x1.15e5c866461b1p-15, 0x1.1a0ed0b6c1f78p-15, 0x1.1e0e068798964p-15, 0x1.21e3bbaac8792p-15, 0x1.259044d195571p-15, 0x1.2913f973df24ep-15, 0x1.2c6f33b786ceep-15, 0x1.2fa25057e8345p-15, 0x1.32adae8d6cfecp-15, 0x1.3591aff53f2e9p-15, 0x1.384eb879217b2p-15, 0x1.3ae52e376fb1dp-15, 0x1.3d55796b4d8e8p-15, 0x1.3fa0045509761p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.c9d14e3119aaap-1, 0x1.c89516b684f57p-1, 0x1.c744d0e2b5526p-1, 0x1.c5e054b7a7999p-1, 0x1.c4678576954dep-1, 0x1.c2da515dc989ep-1, 0x1.c138b15ac42bep-1, 0x1.bf82a8b2eaf6bp-1, 0x1.bdb844a4bfc9ap-1, 0x1.bbd99c03499fcp-1, 0x1.b9e6cecd2583cp-1, 0x1.b7e005c0812f3p-1, 0x1.b5c571ed0c46cp-1, 0x1.b3974c44d054bp-1, 0x1.b155d52cb5dc8p-1, 0x1.af01540d60bbap-1, 0x1.ac9a16e4f3373p-1, 0x1.aa2071da32343p-1, 0x1.a794bed170a1cp-1, 0x1.a4f75d0392cacp-1, 0x1.a248b097728f9p-1, 0x1.9f89223dda319p-1, 0x1.9cb91ed041718p-1, 0x1.99d916f272d45p-1, 0x1.96e97eb7305d8p-1, 0x1.93eacd47ec329p-1, 0x1.90dd7c8f9fed7p-1, 0x1.8dc208e8ccf51p-1, 0x1.8a98f0cea5313p-1, 0x1.8762b4915be37p-1, 0x1.841fd60d99cd5p-1, 0x1.80d0d8670d9a8p-1, 0x1.7d763fc60c3ebp-1, 0x1.7a109118379adp-1, 0x1.76a051d41d54dp-1, 0x1.732607bfbb6bdp-1, 0x1.6fa238b9e0a0fp-1, 0x1.6c156a865085dp-1, 0x1.6880229c9f50fp-1, 0x1.64e2e5f9af085p-1, 0x1.613e38f3be2f1p-1, 0x1.5d929f10f3106p-1, 0x1.59e09ae05282p-1, 0x1.5628add50c1fcp-1, 0x1.526b58240d7d7p-1, 0x1.4ea918a3c4567p-1, 0x1.4ae26cae008edp-1, 0x1.4717d003e23b8p-1, 0x1.4349bcb3c138ep-1, 0x1.3f78ab00fbd6p-1, 0x1.3ba5114d9c88bp-1, 0x1.37cf6405c2de5p-1, 0x1.33f8158cbf9c9p-1, 0x1.301f962bd5c6cp-1, 0x1.2c4654028a524p-1, 0x1.286cbaf877c2ep-1, 0x1.249334b09569ep-1, 0x1.20ba287ddeb5cp-1, 0x1.1ce1fb5951c5cp-1, 0x1.190b0fd93177ep-1, 0x1.1535c62980d33p-1, 0x1.11627c05a6df6p-1, 0x1.0d918cb32e99fp-1, 0x1.09c350fd98b29p-1, 0x1.05f81f332c959p-1, 0x1.02304b22c22c8p-1, 0x1.fcd84c34eba12p-2, 0x1.f557fdce72ec4p-2, 0x1.ede043aa756aep-2, 0x1.e671b16224839p-2, 0x1.df0cd5935d77bp-2, 0x1.d7b239e5edd49p-2, 0x1.d06263122381p-2, 0x1.c91dd0e8a4e36p-2, 0x1.c1e4fe5b72562p-2, 0x1.bab86188049b3p-2, 0x1.b3986bc27725dp-2, 0x1.ac8589a1aa019p-2, 0x1.a580230c4f044p-2, 0x1.9e889b46cfd2fp-2, 0x1.979f5101fff8dp-2, 0x1.90c49e6a8896ep-2, 0x1.89f8d93905518p-2, 0x1.833c52c2bf21dp-2, 0x1.7c8f580afe013p-2, 0x1.75f231d4dcc3dp-2, 0x1.6f6524b59c7e1p-2, 0x1.68e8712765dd5p-2, 0x1.627c539c6c949p-2, 0x1.5c21049270e72p-2, 0x1.55d6b8a68b167p-2, 0x1.4f9da0a941948p-2, 0x1.4975e9b2d7813p-2, 0x1.435fbd37d0d03p-2, 0x1.3d5b411d9ee4fp-2, 0x1.376897cf71af5p-2, 0x1.3187e0532169ep-2, 0x1.2bb9365e2bb19p-2, 0x1.25fcb26abf91ep-2, 0x1.205269ccc83eep-2, 0x1.1aba6ec6fdf7cp-2, 0x1.1534d09fe8d66p-2, 0x1.0fc19bb6db43dp-2, 0x1.0a60d998d6df8p-2, 0x1.051291155a886p-2, 0x1.ffad8ca624faap-3, 0x1.f55af5c8d1a6ap-3, 0x1.eb2d5bb7daeb2p-3, 0x1.e124b7c12e017p-3, 0x1.d740fe83a3d76p-3, 0x1.cd822016c4c7p-3, 0x1.c3e808321c991p-3, 0x1.ba729e541ed0cp-3, 0x1.b121c5e8998p-3, 0x1.a7f55e6ea50b9p-3, 0x1.9eed439e1c4edp-3, 0x1.96094d8c855edp-3, 0x1.8d4950d17ba42p-3, 0x1.84ad1eaa81c7ep-3, 0x1.7c34851e4d0c8p-3, 0x1.73df4f1f7414dp-3, 0x1.6bad44ae8902dp-3, 0x1.639e2afb9efp-3, 0x1.5bb1c4872ae87p-3, 0x1.53e7d1424af78p-3, 0x1.4c400eae7183dp-3, 0x1.44ba37fc68a9ap-3, 0x1.3d56062ab2db5p-3, 0x1.361330235274p-3, 0x1.2ef16ad8debbp-3, 0x1.27f06962fef8dp-3, 0x1.210fdd1a3a059p-3, 0x1.1a4f75b32783dp-3, 0x1.13aee158f12eap-3, 0x1.0d2dccc73a399p-3, 0x1.06cbe3635dcep-3, 0x1.0088cf5504a5cp-3, 0x1.f4c8733c43319p-4, 0x1.e8bb94648548dp-4, 0x1.dcea501a873c6p-4, 0x1.d153f292c6e7ap-4, 0x1.c5f7c66969dc4p-4, 0x1.bad514cbee9p-4, 0x1.afeb25a19b9afp-4, 0x1.a5393fb2bcdacp-4, 0x1.9abea8ceb2p-4, 0x1.907aa5f0cad47p-4, 0x1.866c7b63f4ea4p-4, 0x1.7c936ce54ae5ep-4, 0x1.72eebdc5782edp-4, 0x1.697db10901648p-4, 0x1.603f898770e37p-4, 0x1.57338a096b0bcp-4, 0x1.4e58f565b125ep-4, 0x1.45af0e9d15e2ap-4, 0x1.3d3518f567b09p-4, 0x1.34ea581355a4dp-4, 0x1.2cce1013554eap-4, 0x1.24df85a18a557p-4, 0x1.1d1dfe10b98efp-4, 0x1.1588bf7048145p-4, 0x1.0e1f10a14c7efp-4, 0x1.06e0396ab9af6p-4, 0x1.ff97051944d7ep-5, 0x1.f1c06ba541209p-5, 0x1.e43b3c4ac26f9p-5, 0x1.d7060f36b59dap-5, 0x1.ca1f7f1167cf8p-5, 0x1.bd86291cbaedep-5, 0x1.b138ad50cce2bp-5, 0x1.a535ae771b747p-5, 0x1.997bd2442c241p-5, 0x1.8e09c16fc512p-5, 0x1.82de27cbbd3efp-5, 0x1.77f7b4596d4fp-5, 0x1.6d55195dce2dbp-5, 0x1.62f50c7449173p-5, 0x1.58d646a048dcbp-5, 0x1.4ef7845d8c636p-5, 0x1.455785af4e6c2p-5, 0x1.3bf50e2e413c3p-5, 0x1.32cee5156c931p-5, 0x1.29e3d54df7c8p-5, 0x1.2132ad79e1779p-5, 0x1.18ba3ffdb5a41p-5, 0x1.1079630944c05p-5, 0x1.086ef09f67406p-5, 0x1.0099c69cd1e8dp-5, 0x1.f1f18d7c0da92p-6, 0x1.e315ad48d254cp-6, 0x1.d49dbfb4f4662p-6, 0x1.c6879fae9136cp-6, 0x1.b8d1300233f2ep-6, 0x1.ab785b5ea6515p-6, 0x1.9e7b145751f84p-6, 0x1.91d755654155bp-6, 0x1.858b20e6c2bc8p-6, 0x1.7994811dd0f5p-6, 0x1.6df1882d332e6p-6, 0x1.62a05014799c9p-6, 0x1.579efaaad121p-6, 0x1.4cebb198c5ec2p-6, 0x1.4284a650fc1fdp-6, 0x1.38681207e9021p-6, 0x1.2e9435aa9da26p-6, 0x1.250759d4a72bcp-6, 0x1.1bbfcec5145d8p-6, 0x1.12bbec52a9512p-6, 0x1.09fa11df4fa08p-6, 0x1.0178a64ac237ap-6, 0x1.f26c2fc91c4eep-7, 0x1.e261b8bacb522p-7, 0x1.d2cee16fa1279p-7, 0x1.c3b0b2709a8b8p-7, 0x1.b50442a9b4837p-7, 0x1.a6c6b748067e1p-7, 0x1.98f54396ce3c9p-7, 0x1.8b8d28dba1972p-7, 0x1.7e8bb631bada6p-7, 0x1.71ee48647be3bp-7, 0x1.65b249c93d18cp-7, 0x1.59d532185b8f6p-7, 0x1.4e548645b6401p-7, 0x1.432dd8588e946p-7, 0x1.385ec742e9defp-7, 0x1.2de4feb870c95p-7, 0x1.23be3704e60c6p-7, 0x1.19e834e239a81p-7, 0x1.1060c94e44915p-7, 0x1.0725d16038f0fp-7, 0x1.fc6a6c3ba228ep-8, 0x1.eb19d8a08cb8p-8, 0x1.da55e8b236861p-8, 0x1.ca1ab40d81a23p-8, 0x1.ba6468d24132fp-8, 0x1.ab2f4b4c29fdfp-8, 0x1.9c77b59badd31p-8, 0x1.8e3a175ed22efp-8, 0x1.8072f55a12f7cp-8, 0x1.731ee9215ed73p-8, 0x1.663aa0c13ab4bp-8, 0x1.59c2de681c12ap-8, 0x1.4db478100428cp-8, 0x1.420c57286b377p-8, 0x1.36c77840843c8p-8, 0x1.2be2eab1e8cdcp-8, 0x1.215bd04bb3018p-8, 0x1.172f5cfe12e94p-8, 0x1.0d5ad68667365p-8, 0x1.03db941be4dcp-8, 0x1.f55dfc39a340bp-9, 0x1.e3a51b78bec9fp-9, 0x1.d28799625713fp-9, 0x1.c200a9c8d9a8ep-9, 0x1.b20ba043a672ap-9, 0x1.a2a3ef9046cd7p-9, 0x1.93c528f526c99p-9, 0x1.856afba5d6cdp-9, 0x1.77913428e5e96p-9, 0x1.6a33bbbf5e76dp-9, 0x1.5d4e97cde8e57p-9, 0x1.50dde947a2d87p-9, 0x1.44ddec1aaf0acp-9, 0x1.394af69e8940bp-9, 0x1.2e2179041c057p-9, 0x1.235dfcc7a9181p-9, 0x1.18fd242481b77p-9, 0x1.0efba98a97ceep-9, 0x1.05565f15ead44p-9, 0x1.f8145c0fa40f3p-10, 0x1.e6282c84590c6p-10, 0x1.d4e25b88e8c12p-10, 0x1.c43d405578098p-10, 0x1.b4335c5d22f7dp-10, 0x1.a4bf5a539c79ap-10, 0x1.95dc0d36acc75p-10, 0x1.87846f5b7c9adp-10, 0x1.79b3a17fc291dp-10, 0x1.6c64e9dec899p-10, 0x1.5f93b34a46007p-10, 0x1.533b8c4712b9p-10, 0x1.4758262db17b9p-10, 0x1.3be5544eaa172p-10, 0x1.30df0b1aaae57p-10, 0x1.26415f4e8249p-10, 0x1.1c088522cf8d3p-10, 0x1.1230cf7f81ae3p-10, 0x1.08b6af3306c21p-10, 0x1.ff2d645a6a432p-11, 0x1.ed9b057bcfcc6p-11, 0x1.dcafcdae7612bp-11, 0x1.cc657ea6df9f3p-11, 0x1.bcb60e7cd08d4p-11, 0x1.ad9ba6456aa91p-11, 0x1.9f10a0b45d213p-11, 0x1.910f88c417cdfp-11, 0x1.83931864f07ep-11, 0x1.7696373326eacp-11, 0x1.6a13f933b8b1ep-11, 0x1.5e079d97ed01dp-11, 0x1.526c8d878b236p-11, 0x1.473e5af1a2a83p-11, 0x1.3c78bf63d45b2p-11, 0x1.32179ae808208p-11, 0x1.2816f2e87895fp-11, 0x1.1e72f11a026d5p-11, 0x1.1527e26ca08b3p-11, 0x1.0c32360200a49p-11, 0x1.038e7c2a1abdcp-11, 0x1.f672cacb6b668p-12, 0x1.e65f82dd865b8p-12, 0x1.d6dcfc8cfbaebp-12, 0x1.c7e54e9262fefp-12, 0x1.b972c88f36557p-12, 0x1.ab7ff14b8ddd3p-12, 0x1.9e0784feaf1f1p-12, 0x1.910473a244857p-12, 0x1.8471df500c112p-12, 0x1.784b1aa9d6f6dp-12, 0x1.6c8ba74ba90fdp-12, 0x1.612f3447cf93dp-12, 0x1.56319cacbf608p-12, 0x1.4b8ee614915eep-12, 0x1.41433f3df47edp-12, 0x1.374afeae61f0dp-12, 0x1.2da2a15d6d56ep-12, 0x1.2446c9690863ap-12, 0x1.1b343cd289449p-12, 0x1.1267e4444bc1cp-12, 0x1.09dec9dfc658ep-12, 0x1.01961813e23bep-12, 0x1.f31630f6e8d9ap-13, 0x1.e37665874ea5ap-13, 0x1.d447d7346b6bep-13, 0x1.c585c74683122p-13, 0x1.b72baced552dp-13, 0x1.a93533496f25p-13, 0x1.9b9e3783d3e3ap-13, 0x1.8e62c6f3b1e13p-13, 0x1.817f1d51d3ce8p-13, 0x1.74efa2f981fe5p-13, 0x1.68b0eb36949b7p-13, 0x1.5cbfb2a0547e1p-13, 0x1.5118dd80fae27p-13, 0x1.45b9764978a31p-13, 0x1.3a9eac114168p-13, 0x1.2fc5d121dad8cp-13, 0x1.252c598ddb241p-13, 0x1.1acfd9d3246f1p-13, 0x1.10ae05881180ep-13, 0x1.06c4ae134d69ep-13, 0x1.fa2382dc339bep-14, 0x1.e72691e194563p-14, 0x1.d48ed05240b26p-14, 0x1.c258b774d3aabp-14, 0x1.b080f08dfcbdfp-14, 0x1.9f0452c60ad6dp-14, 0x1.8ddfe120556a4p-14, 0x1.7d10c88435fb6p-14, 0x1.6c945dd70bfc5p-14, 0x1.5c681c26e2079p-14, 0x1.4c89a2e543214p-14, 0x1.3cf6b431d38e3p-14, 0x1.2dad333445ac3p-14, 0x1.1eab22853d9f8p-14, 0x1.0feea2a5c17aep-14, 0x1.0175f084cdf05p-14, 0x1.e67ec8255df6bp-15, 0x1.ca92ddc376211p-15, 0x1.af2535a821f7p-15, 0x1.943311abf9744p-15, 0x1.79b9df494dd5bp-15, 0x1.5fb735416e82dp-15, 0x1.4628d1591f26cp-15, 0x1.2d0c962b9b0a7p-15, 0x1.14608913774e8p-15, 0x1.f845a05186ab7p-16, 0x1.c8a360a78d5bbp-16, 0x1.99d716e77b2cp-16, 0x1.6bddbd31f491fp-16, 0x1.3eb480a3b2fc6p-16, 0x1.1258be13dcf78p-16, 0x1.cd8ffdeb7a262p-17, 0x1.77ffecb972f0fp-17, 0x1.23fcfc42e7c7ep-17, 0x1.a306509c5292bp-18, 0x1.011d5efe9ec5bp-18, 0x1.88e072e9c82f4p-20, -0x1.cd8056f342236p-21, -0x1.a542868db50fap-19, -0x1.68a1576a41becp-18, -0x1.fbb5b9dec25d2p-18, -0x1.45f1c65ce39e9p-17, -0x1.8c97d48106f88p-17, -0x1.d1cf52e153a69p-17, -0x1.0acd37b08bda4p-16, -0x1.2bfd9eb85dc9ep-16, -0x1.4c79dc8924e55p-16, -0x1.6c42e4da6a256p-16, -0x1.8b59a274015f2p-16, -0x1.a9bef874adf1p-16, -0x1.c773c386512dfp-16, -0x1.e478db004e05ep-16, -0x1.006788fc68264p-15, -0x1.0e3b9c22cead3p-15, -0x1.1bb90db68308fp-15, -0x1.28e043c3cdd94p-15, -0x1.35b1a409a2a33p-15, -0x1.422d945c1b546p-15, -0x1.4e547b00376eep-15, -0x1.5a26bf0119f55p-15, -0x1.65a4c87f11075p-15, -0x1.70cf00f8a3591p-15, -0x1.7ba5d38de79e8p-15, -0x1.8629ad3e5f8ffp-15, -0x1.905afd2193c6ap-15, -0x1.9a3a349aacf9dp-15, -0x1.a3c7c7873e7d3p-15, -0x1.ad042c697a359p-15, -0x1.b5efdc8e04c6dp-15, -0x1.be8b542d99e71p-15, -0x1.c6d7128ab5cc5p-15, -0x1.ced39a0b70061p-15, -0x1.d681704fb91f2p-15, -0x1.dde11e442642ap-15, -0x1.e4f3303177926p-15, -0x1.ebb835c902407p-15, -0x1.f230c22e26c66p-15, -0x1.f85d6bfcfdbdfp-15, -0x1.fe3ecd4e59faap-15, -0x1.01eac1dca75d6p-14, -0x1.0491182929c25p-14, -0x1.0712bbd417051p-14, -0x1.097000df6111ap-14, -0x1.0ba93d03f1cebp-14, -0x1.0dbec7ad277e1p-14, -0x1.0fb0f9f370a79p-14, -0x1.11802e9616afap-14, -0x1.132cc1f44556p-14, -0x1.14b712055bb79p-14, -0x1.161f7e5093422p-14, -0x1.176667e409ee5p-14, -0x1.188c314b39d6bp-14, -0x1.19913e84eac75p-14, -0x1.1a75f4f8a83a1p-14, -0x1.1b3abb6bc5781p-14, -0x1.1bdff9f5fb699p-14, -0x1.1c6619f5a8001p-14, -0x1.1ccd8603b83d6p-14, -0x1.1d16a9e748badp-14, -0x1.1d41f288ffeedp-14, -0x1.1d4fcde62f57ap-14, -0x1.1d40ab03c03ap-14, -0x1.1d14f9e0f2fa3p-14, -0x1.1ccd2b69faf85p-14, -0x1.1c69b16a7a898p-14, -0x1.1beafe7fe7586p-14, -0x1.1b51860bdb7ebp-14, -0x1.1a9dbc265c2bdp-14, -0x1.19d01590171c5p-14, -0x1.18e907a4a06c5p-14, -0x1.17e9084cb266ap-14, -0x1.16d08df076269p-14, -0x1.15a00f69d7936p-14, -0x1.145803f6ebea3p-14, -0x1.12f8e32c6ad54p-14, -0x1.118324e841746p-14, -0x1.0ff7414440f59p-14, -0x1.0e55b088ec572p-14, -0x1.0c9eeb2068369p-14, -0x1.0ad3698991885p-14, -0x1.08f3a44b3a523p-14, -0x1.070013e793414p-14, -0x1.04f930cfc0a93p-14, -0x1.02df7357a0561p-14, -0x1.00b353a9bf1a9p-14, -0x1.fcea9377064d8p-15, -0x1.f84b9a8316a9ep-15, -0x1.f38aab4888a77p-15, -0x1.eea8b3e96d1d8p-15, -0x1.e9a6a1c31bd5cp-15, -0x1.e4856158b7c1p-15, -0x1.df45de3e2a6c3p-15, -0x1.d9e903039aae7p-15, -0x1.d46fb9215e322p-15, -0x1.cedae8e466923p-15, -0x1.c92b795b2ebaep-15, -0x1.c362504327d53p-15, -0x1.bd8051f6a2daep-15, -0x1.b786615b3fd5ap-15, -0x1.b1755fd0ddbd2p-15, -0x1.ab4e2d2108135p-15, -0x1.a511a76eed691p-15, -0x1.9ec0ab27d3fc8p-15, -0x1.985c12f410685p-15, -0x1.91e4b7a88144ap-15, -0x1.8b5b70388aaf4p-15, -0x1.84c111a8932bep-15, -0x1.7e166f0102942p-15, -0x1.775c5941bf7e7p-15, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      63, 0x1.fae147ae147aep+1, 0x1.f55589921477cp+0, 0x1.caad8667c34f5p+0, -0x1.0533013dd561cp-3, 
      {{
        {0x1.3333333333333p+0, 0x1.3d70a3d70a3d7p+0, 0x1.c75147f130596p-2, -0x1.1edb1014e6363p+0, 0x1.18e147ae1478fp+0, 0x1.3692183057dfp-3}, 
        {0x1.3d70a3d70a3d7p+0, 0x1.47ae147ae147bp+0, 0x1.9b3a68b19a416p-2, -0x1.0832efcfa5da1p+0, 0x1.1d89df153482bp+0, -0x1.84369e3c6dc3p-1}, 
        {0x1.47ae147ae147bp+0, 0x1.51eb851eb851fp+0, 0x1.72bbecaab8a5dp-2, -0x1.e493402b8d8e7p-1, 0x1.063eea1194532p+0, -0x1.e9941a34bf17bp-2}, 
        {0x1.51eb851eb851fp+0, 0x1.5c28f5c28f5c3p+0, 0x1.4d9d7774aba38p-2, -0x1.bbca761f722fdp-1, 0x1.ef1de70b8395ap-1, -0x1.10a12d5a10bc2p-1}, 
        {0x1.5c28f5c28f5c3p+0, 0x1.6666666666666p+0, 0x1.2ba94bbe4473dp-2, -0x1.957d79f9af02bp-1, 0x1.ce66b8a48bd0dp-1, -0x1.f1627afacbeaep-2}, 
        {0x1.6666666666666p+0, 0x1.70a3d70a3d70ap+0, 0x1.0cab81f969e3dp-2, -0x1.71b11787f35e4p-1, 0x1.b08ee476c742fp-1, -0x1.e933b960992e2p-2}, 
        {0x1.70a3d70a3d70ap+0, 0x1.7ae147ae147aep+0, 0x1.e0e51d25aab47p-3, -0x1.5042ddc349c9p-1, 0x1.9334bfbdc84f8p-1, -0x1.c9ce9f82d708ep-2}, 
        {0x1.7ae147ae147aep+0, 0x1.851eb851eb852p+0, 0x1.ad9d7774aba38p-3, -0x1.311a7ba856211p-1, 0x1.77bcd4e40316ap-1, -0x1.bf91c8940ab72p-2}, 
        {0x1.851eb851eb852p+0, 0x1.8f5c28f5c28f6p+0, 0x1.7f255f3519bd4p-3, -0x1.141e5cf9fbcbbp-1, 0x1.5ce22a22cf3edp-1, -0x1.97ea3e2d002fdp-2}, 
        {0x1.8f5c28f5c28f6p+0, 0x1.999999999999ap+0, 0x1.5525cc426351ep-3, -0x1.f25fb4bd0d51bp-2, 0x1.4468970ba1277p-1, -0x1.a0c53eb7f3f1ep-2}, 
        {0x1.999999999999ap+0, 0x1.a3d70a3d70a3dp+0, 0x1.2f4cf4a558ea8p-3, -0x1.c0780f2691fdep-2, 0x1.2b66fecd646ffp-1, -0x1.7500c6f336cp-2}, 
        {0x1.a3d70a3d70a3dp+0, 0x1.ae147ae147ae1p+0, 0x1.0d4aa10e02214p-3, -0x1.925ae2d4e75b5p-2, 0x1.1505ab2f70834p-1, -0x1.6b37a57b22bd5p-2}, 
        {0x1.ae147ae147ae1p+0, 0x1.b851eb851eb85p+0, 0x1.dda8bd230b9dcp-4, -0x1.67c6616d3d267p-2, 0x1.fe754cc0be22fp-2, -0x1.5e20a32045af1p-2}, 
        {0x1.b851eb851eb85p+0, 0x1.c28f5c28f5c29p+0, 0x1.a745bf26f1dc5p-4, -0x1.409e6ee93d04ep-2, 0x1.d471622345227p-2, -0x1.3c45ce03c70d5p-2}, 
        {0x1.c28f5c28f5c29p+0, 0x1.ccccccccccccdp+0, 0x1.76e3f78bbd38p-4, -0x1.1ca95bc2ccb7fp-2, 0x1.ae7d7c9db25e3p-2, -0x1.40c824d09cbafp-2}, 
        {0x1.ccccccccccccdp+0, 0x1.d70a3d70a3d71p+0, 0x1.4c0485a0be511p-4, -0x1.f786313fad191p-3, 0x1.87ff11cc57e15p-2, -0x1.20999eb9c84f7p-2}, 
        {0x1.d70a3d70a3d71p+0, 0x1.e147ae147ae14p+0, 0x1.262bae03b3e9ap-4, -0x1.bb9348e90f244p-3, 0x1.655d466e5e901p-2, -0x1.0cd1604841fadp-2}, 
        {0x1.e147ae147ae14p+0, 0x1.eb851eb851eb8p+0, 0x1.04e7253da72a8p-4, -0x1.84fa499ffa80bp-3, 0x1.451b30a323723p-2, -0x1.0c20e0252bd23p-2}, 
        {0x1.eb851eb851eb8p+0, 0x1.f5c28f5c28f5cp+0, 0x1.cf97edc7ef178p-5, -0x1.5388e3bd1e9f1p-3, 0x1.24ee48f099114p-2, -0x1.e5563e4622768p-3}, 
        {0x1.f5c28f5c28f5cp+0, 0x1p+1, 0x1.9ce4a7b4e54f8p-5, -0x1.26fed373bc287p-3, 0x1.07cf82a4b5b81p-2, -0x1.b265469d1e7b5p-3}, 
        {0x1p+1, 0x1.051eb851eb852p+1, 0x1.70f5a1016ce79p-5, -0x1.fdbddbfbf3804p-4, 0x1.db7e633690bd9p-3, -0x1.d114a74563d48p-3}, 
        {0x1.051eb851eb852p+1, 0x1.0a3d70a3d70a4p+1, 0x1.4b1ab0856e697p-5, -0x1.b6209e9ca45dep-4, 0x1.a3af1bf0cc70cp-3, -0x1.69481c4d51ffap-3}, 
        {0x1.0a3d70a3d70a4p+1, 0x1.0f5c28f5c28f6p+1, 0x1.2aa5c5f7c675ap-5, -0x1.76723f7b5cb65p-4, 0x1.7854892f333dcp-3, -0x1.89cae785549a2p-3}, 
        {0x1.0f5c28f5c28f6p+1, 0x1.147ae147ae148p+1, 0x1.0effe2a3cea6cp-5, -0x1.3e038c02cfcbcp-4, 0x1.49133a33ae355p-3, -0x1.4f8c459d5abaap-3}, 
        {0x1.147ae147ae148p+1, 0x1.199999999999ap+1, 0x1.ef284167a95c8p-6, -0x1.0c9545ed4ecd9p-4, 0x1.20cf31d91e337p-3, -0x1.3804020540c11p-3}, 
        {0x1.199999999999ap+1, 0x1.1eb851eb851ecp+1, 0x1.c7b890d5a5b96p-6, -0x1.c2bce741ae2b9p-5, 0x1.f6bc25c5748a7p-4, -0x1.3063b24da23a1p-3}, 
        {0x1.1eb851eb851ecp+1, 0x1.23d70a3d70a3dp+1, 0x1.a6b93ccd0fe8bp-6, -0x1.782503c4242aep-5, 0x1.adae75dbc87c3p-4, -0x1.066d34c4392bap-3}, 
        {0x1.23d70a3d70a3dp+1, 0x1.28f5c28f5c28fp+1, 0x1.8b3f63c31df76p-6, -0x1.386f23e4a41d8p-5, 0x1.6eb2f88df8351p-4, -0x1.ebcef542e68cfp-4}, 
        {0x1.28f5c28f5c28fp+1, 0x1.2e147ae147ae1p+1, 0x1.74794ea077037p-6, -0x1.027bd031b0ffp-5, 0x1.33ae9daee6c7fp-4, -0x1.c3e9c16bfa3d8p-4}, 
        {0x1.2e147ae147ae1p+1, 0x1.3333333333333p+1, 0x1.61a60d4562e0ap-6, -0x1.ab2f8d7eff748p-6, 0x1.fae7b0c90224dp-5, -0x1.848a050d2f92fp-4}, 
        {0x1.3333333333333p+1, 0x1.3851eb851eb85p+1, 0x1.52157689ca18cp-6, -0x1.618a784548ef1p-6, 0x1.9da7d888675dap-5, -0x1.69ee2a5f4814dp-4}, 
        {0x1.3851eb851eb85p+1, 0x1.3d70a3d70a3d7p+1, 0x1.452c59fb1e18fp-6, -0x1.264e182e034d7p-6, 0x1.46cad89a7f06ap-5, -0x1.53bd5175afe5p-4}, 
        {0x1.3d70a3d70a3d7p+1, 0x1.428f5c28f5c29p+1, 0x1.3a5c1c6088d6dp-6, -0x1.f115223190558p-7, 0x1.ea827fddc8577p-6, -0x1.071c8fc9f74acp-4}, 
        {0x1.428f5c28f5c29p+1, 0x1.47ae147ae147bp+1, 0x1.3122b7baecd08p-6, -0x1.acb4587a987eap-7, 0x1.6c37599151a41p-6, -0x1.0fd06f62754d5p-4}, 
        {0x1.47ae147ae147bp+1, 0x1.4cccccccccccdp+1, 0x1.29131ec0b5675p-6, -0x1.7cde1789f102fp-7, 0x1.d37da45db7cabp-7, -0x1.7343655861107p-5}, 
        {0x1.4cccccccccccdp+1, 0x1.51eb851eb851fp+1, 0x1.21c8a7a41e57ep-6, -0x1.5e98b6ba9e215p-7, 0x1.2148cfe1603d6p-7, -0x1.93518bd995e21p-5}, 
        {0x1.51eb851eb851fp+1, 0x1.570a3d70a3d71p+1, 0x1.1af3a14cec41ep-6, -0x1.4f328f6372657p-7, 0x1.7ec41e8794616p-9, -0x1.3f766b4145cd2p-5}, 
        {0x1.570a3d70a3d71p+1, 0x1.5c28f5c28f5c3p+1, 0x1.14488c60cbf2bp-6, -0x1.4dad0529df90fp-7, -0x1.cd34401472a3ap-10, -0x1.dda98e42a338p-6}, 
        {0x1.5c28f5c28f5c3p+1, 0x1.6147ae147ae14p+1, 0x1.0d887ebf22c02p-6, -0x1.56df9b09215b8p-7, -0x1.58943595bcecfp-8, -0x1.0a6cf072f1496p-6}, 
        {0x1.6147ae147ae14p+1, 0x1.6666666666666p+1, 0x1.0685553ef6b5dp-6, -0x1.6736dc848cb7p-7, -0x1.d87694853afa5p-8, -0x1.f8a2aff188adep-6}, 
        {0x1.6666666666666p+1, 0x1.6b851eb851eb8p+1, 0x1.fe3b03e20ccffp-7, -0x1.7ef513a9477a5p-7, -0x1.655818539f926p-7, -0x1.3084fc6f363b3p-10}, 
        {0x1.6b851eb851eb8p+1, 0x1.70a3d70a3d70ap+1, 0x1.ee568a50507a7p-7, -0x1.9bba42335006dp-7, -0x1.69e9732736256p-7, -0x1.767821e556271p-7}, 
        {0x1.70a3d70a3d70ap+1, 0x1.75c28f5c28f5cp+1, 0x1.dd441355475a3p-7, -0x1.ba7a5cc751e7bp-7, -0x1.96d9254cf8cdbp-7, -0x1.db1b977cccaa5p-20}, 
        {0x1.75c28f5c28f5cp+1, 0x1.7ae147ae147aep+1, 0x1.caea747d805e6p-7, -0x1.db06af726090fp-7, -0x1.96daed6775c09p-7, -0x1.1298f54f789cp-8}, 
        {0x1.7ae147ae147aep+1, 0x1.8p+1, 0x1.b7414a4d2b2cp-7, -0x1.fc3bcacf6d595p-7, -0x1.a754beaec9ca1p-7, 0x1.12a061bdd690fp-6}, 
        {0x1.8p+1, 0x1.851eb851eb852p+1, 0x1.a24894c447c31p-7, -0x1.0dbb5849bfc39p-6, -0x1.656bb176fcb17p-7, -0x1.76d268deec3c5p-12}, 
        {0x1.851eb851eb852p+1, 0x1.8a3d70a3d70a4p+1, 0x1.8c21e1d2178f7p-7, -0x1.1c0e8778a9b29p-6, -0x1.66d385b2b3fa5p-7, 0x1.04ccc4d016bbdp-6}, 
        {0x1.8a3d70a3d70a4p+1, 0x1.8f5c28f5c28f6p+1, 0x1.74ddf86e3b47p-7, -0x1.2928706e6d9cep-6, -0x1.283bfa4d8fcd6p-7, 0x1.e5506cc644db5p-7}, 
        {0x1.8f5c28f5c28f6p+1, 0x1.947ae147ae148p+1, 0x1.5ca6ca03c4b0ap-7, -0x1.33d7b386c37b4p-6, -0x1.dbfe40e66b3dp-8, 0x1.309261a35e5afp-6}, 
        {0x1.947ae147ae148p+1, 0x1.999999999999ap+1, 0x1.43aeab7995ee1p-7, -0x1.3be6874cbcfb4p-6, -0x1.49cc786f0abf4p-8, 0x1.4b0e430f662ffp-6}, 
        {0x1.999999999999ap+1, 0x1.9eb851eb851ecp+1, 0x1.2a305532617c2p-7, -0x1.40e84bf250c6cp-6, -0x1.55c8b07d61793p-9, 0x1.4669243e0a94fp-7}, 
        {0x1.9eb851eb851ecp+1, 0x1.a3d70a3d70a3dp+1, 0x1.10667f90d9d77p-7, -0x1.438ab7818d384p-6, -0x1.7236aed3ae8cp-10, 0x1.140fba3a3fc16p-5}, 
        {0x1.a3d70a3d70a3dp+1, 0x1.a8f5c28f5c28fp+1, 0x1.ed06fef7c243ep-8, -0x1.42be24434797dp-6, 0x1.58ee60103cb6ap-9, 0x1.789b381e199efp-7}, 
        {0x1.a8f5c28f5c28fp+1, 0x1.ae147ae147ae1p+1, 0x1.b9b66f9335d25p-8, -0x1.3e63bb210c59fp-6, 0x1.06d9e15705c94p-8, 0x1.e6aa1b4f43896p-6}, 
        {0x1.ae147ae147ae1p+1, 0x1.b333333333333p+1, 0x1.8750c1b97353bp-8, -0x1.36cbeb88cf161p-6, 0x1.f0733620e8c3cp-8, 0x1.5213ed67cd0eep-7}, 
        {0x1.b333333333333p+1, 0x1.b851eb851eb85p+1, 0x1.566cf41f212d7p-8, -0x1.2c0e617c3a5fap-6, 0x1.20cb5b64973acp-7, 0x1.752e09e122111p-6}, 
        {0x1.b851eb851eb85p+1, 0x1.bd70a3d70a3d7p+1, 0x1.276fb09203a32p-8, -0x1.1eb69029b5982p-6, 0x1.7a5b86b957b9dp-7, 0x1.823de1c79086fp-6}, 
        {0x1.bd70a3d70a3d7p+1, 0x1.c28f5c28f5c29p+1, 0x1.f5be5d9e40c84p-9, -0x1.0db99178fdfc9p-6, 0x1.d70e37ca84a73p-7, 0x1.03b4de0139075p-7}, 
        {0x1.c28f5c28f5c29p+1, 0x1.c7ae147ae147bp+1, 0x1.a2834d26fa3fdp-9, -0x1.f484caad59202p-7, 0x1.f63866e962893p-7, 0x1.76586235fcba1p-6}, 
        {0x1.c7ae147ae147bp+1, 0x1.ccccccccccccdp+1, 0x1.55d5f56a7ac82p-9, -0x1.c8bf542360055p-7, 0x1.28081647f88e2p-6, -0x1.5b3bf7d88f451p-6}, 
        {0x1.ccccccccccccdp+1, 0x1.d1eb851eb851fp+1, 0x1.105e1c15097c8p-9, -0x1.9cb73cd58916cp-7, 0x1.fcba1a0a0c2a6p-7, 0x1.1ed2efa58814ep-3}, 
        {0x1.d1eb851eb851fp+1, 0x1.d70a3d70a3d71p+1, 0x1.a5870da5daf08p-10, -0x1.5dfd522015377p-7, 0x1.08db746b91294p-5, -0x1.f7f21fcd873a2p-2}, 
        {0x1.d70a3d70a3d71p+1, 0x1.fae147ae147aep+1, 0x1.3ad5bee3d5fddp-10, -0x1.56a42b9c9dbccp-7, -0x1.b5dc876bccd65p-6, 0x1.143751425c01p-1}, 
      }}, 
      -0x1.e706310c20acfp+0, 0x1.112848af422a3p+1
    }
  };
  // clang-format on
}
SkfData params_mio_0_1_n_s() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.dff23a114c425p-2, 0x1.e6027fd8802b6p-2, 0x1.ea897cd711eb3p-2, 0x1.ed98df4c66759p-2, 0x1.ef42d1f9f0e37p-2, 0x1.ef99fad58958ep-2, 0x1.eeb1370098b1dp-2, 0x1.ec9b59ed10906p-2, 0x1.e96b6e202b1bbp-2, 0x1.e5345c24bc282p-2, 0x1.e0088f71fa111p-2, 0x1.d9fa2febff9a5p-2, 0x1.d31b4b5242043p-2, 0x1.cb7d8dcd0696bp-2, 0x1.c331e47d98801p-2, 0x1.ba4871fd3783p-2, 0x1.b0d0cc3a0792fp-2, 0x1.a6da2b03ee8c3p-2, 0x1.9c73501074433p-2, 0x1.91aa4c4402138p-2, 0x1.868c626fffd02p-2, 0x1.7b26df819ce2dp-2, 0x1.6f83a2f40087ap-2, 0x1.63af1d41b7968p-2, 0x1.57b3e28a7cc16p-2, 0x1.4b9bb4c5eed4ep-2, 0x1.3f6faed73b068p-2, 0x1.3338655aaae2cp-2, 0x1.26fde7d3e636dp-2, 0x1.1ac7aff3a9a21p-2, 0x1.0e9c97257ae04p-2, 0x1.0282dccf936c8p-2, 0x1.ed006d4bc7ea2p-3, 0x1.d533bf29bb243p-3, 0x1.bda9400bed17dp-3, 0x1.a669a36f15ebfp-3, 0x1.8f7cc6fd4f332p-3, 0x1.78e9bdbf618dp-3, 0x1.62b6dd6cbee5cp-3, 0x1.4ce9cb24ac035p-3, 0x1.378786953aee2p-3, 0x1.229473e39e61p-3, 0x1.0e146474917c2p-3, 0x1.f4153c38273c7p-4, 0x1.ccf3c0d6e41a3p-4, 0x1.a6c8d18738f5dp-4, 0x1.8197ed5ac3f81p-4, 0x1.5d63a41abd977p-4, 0x1.3a2da8094ad7ep-4, 0x1.17f6e45546f4p-4, 0x1.ed7f2b85d3f73p-5, 0x1.ad0ec497cbf08p-5, 0x1.6e9ad98b1365p-5, 0x1.3220c53114ccep-5, 0x1.ef3a0be13560fp-6, 0x1.7e16825001e21p-6, 0x1.10cc8071ed4adp-6, 0x1.4e9fb5cd93279p-7, 0x1.064ab4dda8b9dp-8, -0x1.03d47a2aad0ep-9, -0x1.fba36b9c38084p-8, -0x1.b394f787205cdp-7, -0x1.3132c723fa0adp-6, -0x1.8530760fc66a1p-6, -0x1.d5e65609f51fap-6, -0x1.11b107f976df5p-5, -0x1.36dc3f77c2a37p-5, -0x1.5a7f70be2e135p-5, -0x1.7ca57415ebe0dp-5, -0x1.9d595b963cc9cp-5, -0x1.bca66c59d5a32p-5, -0x1.da9810f54d17ep-5, -0x1.f739c72b2776p-5, -0x1.094b85b481376p-4, -0x1.165da24eb5234p-4, -0x1.22d8d949084c4p-4, -0x1.2ec2b026df472p-4, -0x1.3a208d987315bp-4, -0x1.44f7b7523e07ap-4, -0x1.4f4d51b899c22p-4, -0x1.592660ac059a6p-4, -0x1.6287c8b60809bp-4, -0x1.6b764ffd6f497p-4, -0x1.73f69eb1fcc35p-4, -0x1.7c0d3eeed7b8ep-4, -0x1.83be9c4cba504p-4, -0x1.8b0f03712fca7p-4, -0x1.9202a1d830797p-4, -0x1.989d85eee7aa9p-4, -0x1.9ee39f6bf92a4p-4, -0x1.a4d8bfb307536p-4, -0x1.aa809a065eb0dp-4, -0x1.afdec3535366p-4, -0x1.b4f6b17dd9ffep-4, -0x1.b9cbba2f1230cp-4, -0x1.be6111486bf06p-4, -0x1.c2b9c7338305dp-4, -0x1.c6d8c752338abp-4, -0x1.cac0d6d0a79d4p-4, -0x1.ce74940df207ap-4, -0x1.d1f676b9bc50ep-4, -0x1.d548d0ab557bcp-4, -0x1.d86dcf5d777bap-4, -0x1.db677de679135p-4, -0x1.de37c73a5f4cdp-4, -0x1.e0e078837cb2dp-4, -0x1.e363436699966p-4, -0x1.e5c1c015ef5c5p-4, -0x1.e7fd6f25ba91bp-4, -0x1.ea17bb23da7dep-4, -0x1.ec11f9fd0fdf4p-4, -0x1.eded6e3ecee3p-4, -0x1.efab4842c6347p-4, -0x1.f14ca74cab21cp-4, -0x1.f2d29a9bf652dp-4, -0x1.f43e226daf1c6p-4, -0x1.f59030e66e2c9p-4, -0x1.f6c9aadc338cbp-4, -0x1.f7eb6879425a7p-4, -0x1.f8f635b530ef3p-4, -0x1.f9ead2a5ab362p-4, -0x1.fac9f3ad06a89p-4, -0x1.fb94418f9df4p-4, -0x1.fc4a597abc835p-4, -0x1.fceccd08119eep-4, -0x1.fd7c22475d67ep-4, -0x1.fdf8d3d6083d9p-4, -0x1.fe63510a3c8f7p-4, -0x1.febbfe3495797p-4, -0x1.ff0334f9cacf3p-4, -0x1.ff3944c404622p-4, -0x1.ff5e734a9ee37p-4, -0x1.ff72fd2e36778p-4, -0x1.ff7716a65c3d2p-4, -0x1.ff6aec3dd10f5p-4, -0x1.ff4ea399deb17p-4, -0x1.ff225c48df5d7p-4, -0x1.fee630941c4d5p-4, -0x1.fe9a3650b7bc1p-4, -0x1.fe3e7fabd03efp-4, -0x1.fdd31bee044cbp-4, -0x1.fd58183333befp-4, -0x1.fccd8013fef2cp-4, -0x1.fc335e3f1dfcbp-4, -0x1.fb89bd019eedap-4, -0x1.fad0a6bdc1447p-4, -0x1.fa082650b1672p-4, -0x1.f925e96eee3f2p-4, -0x1.f83d3584c7db9p-4, -0x1.f74578c85c57ep-4, -0x1.f63ec8857efccp-4, -0x1.f52939f3b819ep-4, -0x1.f404e255d35adp-4, -0x1.f2d1d71ca56cbp-4, -0x1.f1902e0bf2feep-4, -0x1.f03ffd6007b04p-4, -0x1.eee15bf2de274p-4, -0x1.ed74615f7b402p-4, -0x1.ebf92622a9356p-4, -0x1.ea6fc3b82381ap-4, -0x1.e8d854b3ac05dp-4, -0x1.e732f4d5c3141p-4, -0x1.e57fc11bcf5c5p-4, -0x1.e3bed7cbf50e8p-4, -0x1.e1f0587cd47ddp-4, -0x1.e01464199f1b4p-4, -0x1.de2b1ce328229p-4, -0x1.dc34a66e8300cp-4, -0x1.da3125a1ebad6p-4, -0x1.d820c0b07b27fp-4, -0x1.d6039f157970dp-4, -0x1.d3d9e98fa16efp-4, -0x1.d1a3ca1ce1bd9p-4, -0x1.cf616bf6e2822p-4, -0x1.cd12fb907e07bp-4, -0x1.cab8a6943870bp-4, -0x1.c8529be3b8413p-4, -0x1.c5e10b980cbd8p-4, -0x1.c3642702929c9p-4, -0x1.c0dc20ae229e5p-4, -0x1.be492c6045684p-4, -0x1.bbab7f1a16765p-4, -0x1.b9034f1870158p-4, -0x1.b650d3d31a0b3p-4, -0x1.b39445fabb938p-4, -0x1.b0cddf753a835p-4, -0x1.adfddb58797acp-4, -0x1.ab2475e32279bp-4, -0x1.a841ec7394b48p-4, -0x1.a5567d7ce5d44p-4, -0x1.a2626879e1857p-4, -0x1.9f65edde4bf24p-4, -0x1.9c614f066726fp-4, -0x1.9954ce24fbc5p-4, -0x1.9640ae3007251p-4, -0x1.932532cc6abcep-4, -0x1.9002a038bee9ep-4, -0x1.8cd93b37a035dp-4, -0x1.89a948f9b52e6p-4, -0x1.86730f07afd74p-4, -0x1.8336d32c8a65p-4, -0x1.7ff4db6039222p-4, -0x1.7cad6db302932p-4, -0x1.7960d039ade07p-4, -0x1.760f48faa5f53p-4, -0x1.72b91ddc312adp-4, -0x1.6f5e9493ccfc6p-4, -0x1.6bfff296bb205p-4, -0x1.689d7d0bc143dp-4, -0x1.653778be1a001p-4, -0x1.61ce2a118d015p-4, -0x1.5e61d4f79f3fcp-4, -0x1.5af2bce5cb741p-4, -0x1.578124ccac70fp-4, -0x1.540d4f10038ffp-4, -0x1.50977d7f8129fp-4, -0x1.4d1ff15039fdp-4, -0x1.49a6eb16afff5p-4, -0x1.462caac156839p-4, -0x1.42b16f937f0a7p-4, -0x1.3f35782098c26p-4, -0x1.3bb90247b1a69p-4, -0x1.383c4b2f2993p-4, -0x1.34bf8f4089f17p-4, -0x1.31430a24768d1p-4, -0x1.2dc6f6beaef0fp-4, -0x1.2a4b8f2a18bdfp-4, -0x1.26d10cb4ce3abp-4, -0x1.2357a7dc2e781p-4, -0x1.1fdf9848ecef2p-4, -0x1.1c6914cb1ed4fp-4, -0x1.18f453564bc6cp-4, -0x1.158188fd7d94cp-4, -0x1.1210e9ef58511p-4, -0x1.0ea2a97239692p-4, -0x1.0b36f9e064d0fp-4, -0x1.07ce0ca4447aep-4, -0x1.04681234bbddp-4, -0x1.01053a119a13p-4, -0x1.fb4b65804f976p-5, -0x1.f493538fb9975p-5, -0x1.ede2975e78a19p-5, -0x1.e73987f1bca4p-5, -0x1.e0987a4151e5dp-5, -0x1.d9ffc1327d7c6p-5, -0x1.d36fad9341e55p-5, -0x1.cce88e161b412p-5, -0x1.c66aaf4e2c24fp-5, -0x1.bff65babe6f99p-5, -0x1.b98bdb7a31717p-5, -0x1.b32b74dc07b72p-5, -0x1.acd56bca99b26p-5, -0x1.a68a0213ee01p-5, -0x1.a0497759fc354p-5, -0x1.9a1409124b069p-5, -0x1.93e9f2860a003p-5, -0x1.8dcb6cd2a2d14p-5, -0x1.87b8aeeacc71p-5, -0x1.81b1ed980d17cp-5, -0x1.7bb75b7cb5f4cp-5, -0x1.75c929164e6cfp-5, -0x1.6fe784c0720dp-5, -0x1.6a129ab815ecfp-5, -0x1.644a951f3a175p-5, -0x1.5e8f9c00fe832p-5, -0x1.58e1d5561aebfp-5, -0x1.53416509b2d89p-5, -0x1.4dae6cfe85d12p-5, -0x1.48290d14756e4p-5, -0x1.42b1632e5cafp-5, -0x1.3d478b38372d3p-5, -0x1.37eb9f2d90ccap-5, -0x1.329db7203ef35p-5, -0x1.2d5de93f58623p-5, -0x1.282c49de6cbd7p-5, -0x1.2308eb7cf5c86p-5, -0x1.1df3decdfe1bdp-5, -0x1.18ed32bff9d39p-5, -0x1.13f4f484c973dp-5, -0x1.0f0b2f99ebf47p-5, -0x1.0a2fedd0d01cbp-5, -0x1.0563375749c27p-5, -0x1.00a512c0243cdp-5, -0x1.f7eb0a1798d5p-6, -0x1.eea923622980fp-6, -0x1.e584754c0666ep-6, -0x1.dc7d00d16cb37p-6, -0x1.d392c4109e405p-6, -0x1.cac5ba5bcd9edp-6, -0x1.c215dc4b08ba8p-6, -0x1.b9831fce32f6ep-6, -0x1.b10d783ef13a1p-6, -0x1.a8b4d672948f6p-6, -0x1.a07928cbf3e67p-6, -0x1.985a5b4d37bfp-6, -0x1.905857a98c808p-6, -0x1.88730556b5da1p-6, -0x1.80aa499e8dbb7p-6, -0x1.78fe07b054dbcp-6, -0x1.716e20b1e5b27p-6, -0x1.69fa73d0ba67p-6, -0x1.62a2de52c71fbp-6, -0x1.5b673ba727fb6p-6, -0x1.5447657698dbdp-6, -0x1.4d4333b3bf738p-6, -0x1.465a7cab3dbadp-6, -0x1.3f8d15138b66dp-6, -0x1.38dad01c9a987p-6, -0x1.32437f7f3f536p-6, -0x1.2bc6f38c5c8dp-6, -0x1.2564fb3bd61f6p-6, -0x1.1f1d643b44cf4p-6, -0x1.18effafc6bb18p-6, -0x1.12dc8ac36d874p-6, -0x1.0ce2ddb4c7b29p-6, -0x1.06ba68f42a661p-6, -0x1.00f4e3e1bbda5p-6, -0x1.f6912d3fef608p-7, -0x1.eb6a8d12dfac8p-7, -0x1.e0757008b7de6p-7, -0x1.d5b15d1ffcc81p-7, -0x1.cb1dd9a3a95d6p-7, -0x1.c0ba69454782ep-7, -0x1.b6868e36a9298p-7, -0x1.ac81c9433673fp-7, -0x1.a2ab99e8ed0bep-7, -0x1.99037e70f752ap-7, -0x1.8f88f407e6ad9p-7, -0x1.863b76d582ddbp-7, -0x1.7d1a82143c73ep-7, -0x1.7425902835b73p-7, -0x1.6b5c1ab5e6371p-7, -0x1.62bd9ab850965p-7, -0x1.5a498896d3025p-7, -0x1.51ff5c3a8712p-7, -0x1.49de8d23310f3p-7, -0x1.41e6927bc3285p-7, -0x1.3a16e32e6b436p-7, -0x1.326ef5f82f853p-7, -0x1.2aee417c0dbabp-7, -0x1.23943c55ab706p-7, -0x1.1c605d2b80795p-7, -0x1.15521ac08fe3ep-7, -0x1.0e68ec059bcabp-7, -0x1.07a44829d85f6p-7, -0x1.0103a6ab24844p-7, -0x1.f50cfecb67a99p-8, -0x1.e85895467137ep-8, -0x1.dbe902531858p-8, -0x1.cfbd38918e79cp-8, -0x1.c3d42bd1ac46bp-8, -0x1.b82cd12d01274p-8, -0x1.acc61f1fd6d13p-8, -0x1.a19f0da10e694p-8, -0x1.96b696390b03dp-8, -0x1.8c0bb4175b8bap-8, -0x1.819d6427751f8p-8, -0x1.776aa5244bccep-8, -0x1.6d7277aad891fp-8, -0x1.63b3de4ba5fd3p-8, -0x1.5a2ddd9b3d69ap-8, -0x1.50df7c41a2b9ep-8, -0x1.47c7c308c38c6p-8, -0x1.3ee5bce9f5c61p-8, -0x1.3638771a79e9bp-8, -0x1.2dbf011717781p-8, -0x1.25786caecb779p-8, -0x1.1d63ce0c9adeap-8, -0x1.15803bc093933p-8, -0x1.0dcccec7f38e2p-8, -0x1.0648a2948704ep-8, -0x1.fde5aa26ae6f4p-9, -0x1.ef950d65298e3p-9, -0x1.e19db4cda3acfp-9, -0x1.d3fdeb5f515dcp-9, -0x1.c6b40137657e5p-9, -0x1.b9be4b9808149p-9, -0x1.ad1b24ede9f29p-9, -0x1.a0c8ecd52af77p-9, -0x1.94c6081d14d2ap-9, -0x1.8910e0caf7699p-9, -0x1.7da7e61c48174p-9, -0x1.72898c87daabcp-9, -0x1.67b44dbe733a9p-9, -0x1.5d26a8aaa3c34p-9, -0x1.52df21700cca6p-9, -0x1.48dc416a03229p-9, -0x1.3f1c9729b3ab7p-9, -0x1.359eb673ac3fdp-9, -0x1.2c61383d28f92p-9, -0x1.2362baa89ab8cp-9, -0x1.1aa1e10206daap-9, -0x1.121d53baf1cefp-9, -0x1.09d3c065dd0e2p-9, -0x1.01c3d9b1844fbp-9, -0x1.f3d8aec752122p-10, -0x1.e497eca7796d9p-10, -0x1.d5c2f0ca1e965p-10, -0x1.c75749018ce52p-10, -0x1.b9528d1f34965p-10, -0x1.abb25ee671354p-10, -0x1.9e7469fee090cp-10, -0x1.919663e618aeap-10, -0x1.85160be1124f9p-10, -0x1.78f12aecdbee1p-10, -0x1.6d2593aed443cp-10, -0x1.61b122648f3e3p-10, -0x1.5691bcd33618p-10, -0x1.4bc5523625ca1p-10, -0x1.4149db2d5892bp-10, -0x1.371d59ab6c67ep-10, -0x1.2d3dd8e2eb22bp-10, -0x1.23a96d3342bacp-10, -0x1.1a5e34155b8d1p-10, -0x1.115a54078b61dp-10, -0x1.089bfc792e5fdp-10, -0x1.002165b600d5dp-10, -0x1.efd1a1a170131p-11, -0x1.dfe10f1af365ap-11, -0x1.d06db89794e2ep-11, -0x1.c17453e0105bep-11, -0x1.b2f1a7999b3f7p-11, -0x1.a4e28b175bae5p-11, -0x1.9743e62b662f8p-11, -0x1.8a12b0f749e81p-11, -0x1.7d4bf3bb92e1bp-11, -0x1.70ecc6a718147p-11, -0x1.64f251a5942abp-11, -0x1.5959cc2da3926p-11, -0x1.4e207d0e8cf6dp-11, -0x1.4343ba3d45d21p-11, -0x1.38c0e8a151d6cp-11, -0x1.2e957be132e34p-11, -0x1.24bef62e4b513p-11, -0x1.1b3ae810f6fd7p-11, -0x1.1206f033e9a2cp-11, -0x1.0920bb2f92d68p-11, -0x1.00860355390f5p-11, -0x1.f06920f487049p-12, -0x1.e0546f858a8cap-12, -0x1.d0c9b6d9432cap-12, -0x1.c1c4d53526f53p-12, -0x1.b341c23d4b1cep-12, -0x1.a53c8e8a62a8dp-12, -0x1.97b1634045183p-12, -0x1.8a9c81a3a9f25p-12, -0x1.7dfa42b0c1023p-12, -0x1.71c716b20350dp-12, -0x1.65ff84d7847a1p-12, -0x1.5aa02ace54aaap-12, -0x1.4fa5bc591ec5bp-12, -0x1.450d02e8bb486p-12, -0x1.3ad2dd35b2509p-12, -0x1.30f43ed9d1e8dp-12, -0x1.276e2febbd2dfp-12, -0x1.1e3dcc99f3e66p-12, -0x1.156044c6fe619p-12, -0x1.0cd2dba7da40fp-12, -0x1.0492e7603dc2bp-12, -0x1.f93ba145a61fap-13, -0x1.e9e224a1a1eaap-13, -0x1.db14723659fcfp-13, -0x1.cccdc64802b28p-13, -0x1.bf097f44ceddep-13, -0x1.b1c31d0bf1ba7p-13, -0x1.a4f64038705a4p-13, -0x1.989ea96dca26fp-13, -0x1.8cb838a6bb1d4p-13, -0x1.813eec86f63e6p-13, -0x1.762ee1ae3479dp-13, -0x1.6b84520ebbb32p-13, -0x1.613b94451c878p-13, -0x1.57511af3ca5d8p-13, -0x1.4dc174200aa09p-13, -0x1.448948918052dp-13, -0x1.3ba55b344109ep-13, -0x1.3312887db096ap-13, -0x1.2acdc5d31520ep-13, -0x1.22d420f460858p-13, -0x1.1b22bf654ddd9p-13, -0x1.13b6ddddd0847p-13, -0x1.0c8dcfba0336dp-13, -0x1.05a4fe6c66f82p-13, -0x1.fdf3d1e79e6fdp-14, -0x1.f11446a4330fap-14, -0x1.e4a6ac0baad64p-14, -0x1.d8a67b0d00c17p-14, -0x1.cd0f5382c64f1p-14, -0x1.c1dcfb35f57c2p-14, -0x1.b70b5cde283b4p-14, -0x1.ac96872c430e6p-14, -0x1.a27aabd4c984fp-14, -0x1.98b41ea095e4bp-14, -0x1.8f3f547fe379dp-14, -0x1.8618e2a20a775p-14, -0x1.7d3d7d90002a5p-14, -0x1.74a9f84b70f57p-14, -0x1.6c5b4372b65f7p-14, -0x1.644e6c6643a6bp-14, -0x1.5c809c734a192p-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.fd442b89ea39ap-2, 0x1.0667563386863p-1, 0x1.0dac6d6f7ca64p-1, 0x1.14739e5899514p-1, 0x1.1abf707cf1f1fp-1, 0x1.2092ac4795c05p-1, 0x1.25f047bfff0d3p-1, 0x1.2adb69dc0592fp-1, 0x1.2f575f4e072adp-1, 0x1.3367887ae03a7p-1, 0x1.370f62bc4250cp-1, 0x1.3a527ffcbb35bp-1, 0x1.3d3478164c6b5p-1, 0x1.3fb8ea83309b8p-1, 0x1.41e37a81822dcp-1, 0x1.43b7c743f72b5p-1, 0x1.45396d39f1063p-1, 0x1.466c0565ba9f1p-1, 0x1.47531cafbf87ep-1, 0x1.47f22ea56e589p-1, 0x1.484ca765ef56cp-1, 0x1.4865d908472acp-1, 0x1.4841232c54e81p-1, 0x1.47e1b7256053fp-1, 0x1.474ab53fc52fcp-1, 0x1.467f2817f75a8p-1, 0x1.4582055acbf3bp-1, 0x1.44562cf6e82p-1, 0x1.42fe678341332p-1, 0x1.417d6518f1d0bp-1, 0x1.3fd5bd42aaa5ap-1, 0x1.3e09efbebd3dcp-1, 0x1.3c1c654dfe645p-1, 0x1.3a0f6fed77a8ep-1, 0x1.37e54a7520f92p-1, 0x1.35a01826f8e2fp-1, 0x1.3341e4c8ff86cp-1, 0x1.30cca56fbc4d9p-1, 0x1.2e42399699692p-1, 0x1.2ba46bfcd2446p-1, 0x1.28f4f30bac8c9p-1, 0x1.263570fbbb56p-1, 0x1.23677421d509dp-1, 0x1.208c77a2c5a54p-1, 0x1.1da5e47712ba2p-1, 0x1.1ab5126ed372bp-1, 0x1.17bb48ec06e12p-1, 0x1.14b9bf3d66eeap-1, 0x1.11b19cb8fc5a8p-1, 0x1.0ea3f8cddfab6p-1, 0x1.0b91db3cafcdep-1, 0x1.087c3c8d27a12p-1, 0x1.056406bce6cf5p-1, 0x1.024a16106e802p-1, 0x1.fe5e73cb8ffcap-2, 0x1.f8286ad251464p-2, 0x1.f1f3802e49bfp-2, 0x1.ebc10c162352bp-2, 0x1.e5925057dc978p-2, 0x1.df6878ac8e8fp-2, 0x1.d9449b4135042p-2, 0x1.d327b9955e766p-2, 0x1.cd12c1aaec339p-2, 0x1.c70687ee629cbp-2, 0x1.c103e0352718ep-2, 0x1.bb0b87bbbbba5p-2, 0x1.b51e2b4ad4219p-2, 0x1.af3c6890bdf97p-2, 0x1.a966cedbd9cd7p-2, 0x1.a39ddfddc468p-2, 0x1.9de21072b7e9p-2, 0x1.9833c9669ce2dp-2, 0x1.929368312fffap-2, 0x1.8d013fa467745p-2, 0x1.877d988b5e40ap-2, 0x1.8208b23b1771ap-2, 0x1.7ca2c31876f9fp-2, 0x1.774bf91781964p-2, 0x1.72047a375bb39p-2, 0x1.6ccc64fd4b72bp-2, 0x1.67a3d0efb3318p-2, 0x1.628acf10bf8d8p-2, 0x1.5d816a5789231p-2, 0x1.5887a825c24a7p-2, 0x1.539d88b7a149ap-2, 0x1.4ec3078c0d344p-2, 0x1.49f81bc3caa83p-2, 0x1.453cb8779dd9ep-2, 0x1.4090cd067772ap-2, 0x1.3bf4455d9390fp-2, 0x1.37670a3c851fep-2, 0x1.32e90176cfc84p-2, 0x1.2e7a0e33f59d6p-2, 0x1.2a1a112e34576p-2, 0x1.25c8e8efb6b9dp-2, 0x1.2186720de1c11p-2, 0x1.1d52876259cp-2, 0x1.192d0241766c9p-2, 0x1.1515baaddcd88p-2, 0x1.110c8788dc624p-2, 0x1.0d113ebf36a7bp-2, 0x1.0923b571f851dp-2, 0x1.0543c01b4eeeap-2, 0x1.017132af996bfp-2, 0x1.fb57c1767b7bp-3, 0x1.f3e73afc124cbp-3, 0x1.ec907809bf7b3p-3, 0x1.e5531e848a90bp-3, 0x1.de2ed44c0e301p-3, 0x1.d7233f67b2613p-3, 0x1.d0300631272cep-3, 0x1.c954cf7b2073p-3, 0x1.c29142b390952p-3, 0x1.bbe5080102167p-3, 0x1.b54fc85b0e6cap-3, 0x1.aed12d9e8e95fp-3, 0x1.a868e29e32bbp-3, 0x1.a21693305cc4ap-3, 0x1.9bd9ec3b03ceap-3, 0x1.95b29bbe335c6p-3, 0x1.8fa050dd8d3a4p-3, 0x1.89a2bbe8ff4c7p-3, 0x1.83b98e64e1325p-3, 0x1.7de47b116f2f4p-3, 0x1.782335f1bd9d9p-3, 0x1.7275745221677p-3, 0x1.6cdaecce0e661p-3, 0x1.6753575560388p-3, 0x1.61de6d30ff7f6p-3, 0x1.5c7be906b69fep-3, 0x1.572b86dc1584cp-3, 0x1.51ed04182a4d3p-3, 0x1.4cc01f83ebbb9p-3, 0x1.47a499493da43p-3, 0x1.429a32f06dee6p-3, 0x1.3da0af5c51be5p-3, 0x1.38b7d2c5129b6p-3, 0x1.33df62b1e5a23p-3, 0x1.2f1725f1fa296p-3, 0x1.2a5ee494de4cep-3, 0x1.25b667e2acf09p-3, 0x1.211d7a5441eabp-3, 0x1.1c93e78baaep-3, 0x1.18197c4cee538p-3, 0x1.13ae067747b2fp-3, 0x1.0f5154fec4252p-3, 0x1.0b0337e63e582p-3, 0x1.06c358d5cc025p-3, 0x1.0291da8fc37cbp-3, 0x1.fcdccf6226e62p-4, 0x1.f4b1a8787247fp-4, 0x1.eca1ea3c6f13p-4, 0x1.e4ad404f73c7ap-4, 0x1.dcd3580c96bf8p-4, 0x1.d513e07b49766p-4, 0x1.cd6e8a421a863p-4, 0x1.c5e30799aaa7ep-4, 0x1.be710c3fc3214p-4, 0x1.b7184d6a8f618p-4, 0x1.afd881bc045b8p-4, 0x1.a8b161355977bp-4, 0x1.a1a2a52ab48a3p-4, 0x1.9aac0836fabacp-4, 0x1.93cd462fc251fp-4, 0x1.8d061c198a8b5p-4, 0x1.8656481c239b1p-4, 0x1.7fbd897762b31p-4, 0x1.793ba0781f377p-4, 0x1.72d04e6d8923ap-4, 0x1.6c7b559ed6b23p-4, 0x1.663c794154e1fp-4, 0x1.60137d6ed6473p-4, 0x1.5a00271c856eap-4, 0x1.54023c1219c4ep-4, 0x1.4e1982e16852ep-4, 0x1.4845c2de534c1p-4, 0x1.4286c4170f76cp-4, 0x1.3cdc4f4cbb621p-4, 0x1.37462dec47e25p-4, 0x1.31c42a07a665p-4, 0x1.2c560e4f3edep-4, 0x1.26fba60ba3ceep-4, 0x1.21b4bd178467fp-4, 0x1.1c811fd9d889ap-4, 0x1.17609b4042415p-4, 0x1.1252fcb9a6564p-4, 0x1.0d581230f672bp-4, 0x1.086faa0831a8fp-4, 0x1.039993139694fp-4, 0x1.fdab392a11b78p-5, 0x1.f4472c6f5ac4p-5, 0x1.eb06a01773c0ap-5, 0x1.e1e93504f4997p-5, 0x1.d8ee8cd522673p-5, 0x1.d01649d8d574dp-5, 0x1.c7600f0dd46fcp-5, 0x1.becb8018a24b5p-5, 0x1.b658413eb6bfep-5, 0x1.ae05f761259edp-5, 0x1.a5d447f7b4a14p-5, 0x1.9dc2d90c57f38p-5, 0x1.95d151370fdc6p-5, 0x1.8dff579a2dd62p-5, 0x1.864c93deec55bp-5, 0x1.7eb8ae32631b5p-5, 0x1.77434f42c7285p-5, 0x1.6fec203cf81d4p-5, 0x1.68b2caca4d463p-5, 0x1.6196f90eaa148p-5, 0x1.5a9855a6c5f6dp-5, 0x1.53b68ba6aab9ep-5, 0x1.4cf1469866485p-5, 0x1.4648327ae6fdp-5, 0x1.3fbafbc101d3ep-5, 0x1.39494f50a110fp-5, 0x1.32f2da8213465p-5, 0x1.2cb74b1f8059dp-5, 0x1.26964f647c183p-5, 0x1.208f95fdb7658p-5, 0x1.1aa2ce08d0bcfp-5, 0x1.14cfa7143ebacp-5, 0x1.0f15d11f57d9bp-5, 0x1.0974fc9a721d9p-5, 0x1.03ecda671f3d7p-5, 0x1.fcfa37b0fd3d1p-6, 0x1.f24ae5674af2cp-6, 0x1.e7cb226040a91p-6, 0x1.dd7a53f10b78cp-6, 0x1.d357e0563ac6fp-6, 0x1.c9632eb531005p-6, 0x1.bf9ba71db6cfdp-6, 0x1.b600b28ba6f62p-6, 0x1.ac91bae8b6fb1p-6, 0x1.a34e2b0e54fb6p-6, 0x1.9a356ec798768p-6, 0x1.9146f2d343ff7p-6, 0x1.888224e5d500fp-6, 0x1.7fe673ab9e0fap-6, 0x1.77734ecae8f9cp-6, 0x1.6f2826e61ba74p-6, 0x1.67046d9dea592p-6, 0x1.5f07959383931p-6, 0x1.5731126abcb95p-6, 0x1.4f8058cc42333p-6, 0x1.47f4de67c5717p-6, 0x1.408e19f61e49ep-6, 0x1.394b833b762cap-6, 0x1.322c9309610e7p-6, 0x1.2b30c340f2195p-6, 0x1.24578ed4d1c6p-6, 0x1.1da071cb3e24ep-6, 0x1.170ae9400eab3p-6, 0x1.109673669df79p-6, 0x1.0a428f8bba9f8p-6, 0x1.040ebe1780c45p-6, 0x1.fbf5011e4dfb3p-7, 0x1.f00ab32d88736p-7, 0x1.e45d99e5fccc9p-7, 0x1.d8ecbf156585dp-7, 0x1.cdb72ed10c8dfp-7, 0x1.c2bbf778d9c3cp-7, 0x1.b7fa29ba2bfaep-7, 0x1.ad70d8929ce4fp-7, 0x1.a31f19529688dp-7, 0x1.9904039fc2ba3p-7, 0x1.8f1eb17755f97p-7, 0x1.856e3f302912p-7, 0x1.7bf1cb7cae20bp-7, 0x1.72a8776cb01f5p-7, 0x1.6991666efa832p-7, 0x1.60abbe52ba7dap-7, 0x1.57f6a748c57eep-7, 0x1.4f714be4a76cfp-7, 0x1.471ad91d84ce4p-7, 0x1.3ef27e4ed3b77p-7, 0x1.36f76d38dd45bp-7, 0x1.2f28da0116911p-7, 0x1.2785fb3249c4fp-7, 0x1.200e09bc968bdp-7, 0x1.18c040f52c1d8p-7, 0x1.119bde95fcafp-7, 0x1.0aa022bd249b7p-7, 0x1.03cc4fec2cd13p-7, 0x1.fa3f560e53d7dp-8, 0x1.ed32f6a73a7bep-8, 0x1.e07214ee820a2p-8, 0x1.d3fb48ed2df64p-8, 0x1.c7cd2f66b1004p-8, 0x1.bbe669d56d452p-8, 0x1.b0459e66e9705p-8, 0x1.a4e977f7af836p-8, 0x1.99d0a60efaeb8p-8, 0x1.8ef9dcd9e9e5fp-8, 0x1.8463d5268adcep-8, 0x1.7a0d4c5e9119bp-8, 0x1.6ff50481c9933p-8, 0x1.6619c42037e8bp-8, 0x1.5c7a565412b75p-8, 0x1.53158abb5e42ep-8, 0x1.49ea357155049p-8, 0x1.40f72f07912cbp-8, 0x1.383b547efc711p-8, 0x1.2fb58740761b6p-8, 0x1.2764ad1562dc1p-8, 0x1.1f47b01fe1f9ep-8, 0x1.175d7ed2e6a41p-8, 0x1.0fa50bea139fep-8, 0x1.081d4e6161c34p-8, 0x1.00c5416cb10bp-8, 0x1.f337c8de20743p-9, 0x1.e54075e3de28fp-9, 0x1.d7a299382f7c7p-9, 0x1.ca5c4a511e1b8p-9, 0x1.bd6ba8ba91e99p-9, 0x1.b0cedc038d5ap-9, 0x1.a46184ad095b5p-9, 0x1.986840a27008ap-9, 0x1.8cbd7ee45de37p-9, 0x1.815f85637e2c5p-9, 0x1.764ca1affeb2bp-9, 0x1.6b8328e648736p-9, 0x1.6101779b5d93ap-9, 0x1.56c5f1c9793abp-9, 0x1.4ccf02bc206d4p-9, 0x1.431b1cfc3c7b9p-9, 0x1.39a8ba3c287c4p-9, 0x1.30765b4361549p-9, 0x1.278287da5c08p-9, 0x1.1ecbceb6205c4p-9, 0x1.1650c563d689dp-9, 0x1.0e1008342ea56p-9, 0x1.06083a26df1dap-9, 0x1.fc7009ab75075p-10, 0x1.ed3c30c085ba7p-10, 0x1.de7256ad67353p-10, 0x1.d00ff54a50854p-10, 0x1.c21292fdbc481p-10, 0x1.b477c29278163p-10, 0x1.a73d230df41b6p-10, 0x1.9a605f8673289p-10, 0x1.8ddf2ef931c3bp-10, 0x1.81b75420bc817p-10, 0x1.75e69d4b14d49p-10, 0x1.6a6ae42fe3607p-10, 0x1.5f420dc715412p-10, 0x1.546a0a1f4107fp-10, 0x1.49e0d433bf285p-10, 0x1.3fa471c3eba2p-10, 0x1.35b2f3297a19ep-10, 0x1.2c0a732f72d5bp-10, 0x1.22a916e93799cp-10, 0x1.198d0d89ba102p-10, 0x1.10b4903abc523p-10, 0x1.081de1f4856a3p-10, 0x1.ff8e9eab1ac4fp-11, 0x1.ef5e5cf4cae99p-11, 0x1.dfa7bdabf711ap-11, 0x1.d0679214045a9p-11, 0x1.c19abd7f80866p-11, 0x1.b33e350115f5cp-11, 0x1.a54eff1f987d6p-11, 0x1.97ca3387bb411p-11, 0x1.8aacfac0339adp-11, 0x1.7df48dde340d5p-11, 0x1.719e3639e52fbp-11, 0x1.65a74d243bda4p-11, 0x1.5a0d3b9d6719p-11, 0x1.4ecd7a0b79566p-11, 0x1.43e58ff25d37bp-11, 0x1.395313ac290bcp-11, 0x1.2f13aa2278903p-11, 0x1.252506887f5bdp-11, 0x1.1b84ea14f0ba8p-11, 0x1.123123bf13881p-11, 0x1.09278ffa04264p-11, 0x1.00661872495fp-11, 0x1.efd56797b5894p-12, 0x1.df66cac1f3ad5p-12, 0x1.cf7c7a03cec15p-12, 0x1.c012ad6aeea63p-12, 0x1.b125b4f546213p-12, 0x1.a2b1f8153911p-12, 0x1.94b3f53830225p-12, 0x1.8728414e98dbap-12, 0x1.7a0b8755d1e76p-12, 0x1.6d5a87e36c4a5p-12, 0x1.611218b1dfb29p-12, 0x1.552f2430fa708p-12, 0x1.49aea9158bba8p-12, 0x1.3e8db9ebec7a6p-12, 0x1.33c97cabfd738p-12, 0x1.295f2a4f336e9p-12, 0x1.1f4c0e67eacedp-12, 0x1.158d86bab641bp-12, 0x1.0c2102d903421p-12, 0x1.030403bdeed9dp-12, 0x1.f46836d7c4b4dp-13, 0x1.e35dd91943421p-13, 0x1.d2e454260c336p-13, 0x1.c2f72dba103dbp-13, 0x1.b3920ab1efe64p-13, 0x1.a4b0ae575a27dp-13, 0x1.964ef9ae22d6bp-13, 0x1.8868eac9e3f82p-13, 0x1.7afa9c20debcp-13, 0x1.6e0043e625db5p-13, 0x1.6176336313d1p-13, 0x1.5558d656cb9dp-13, 0x1.49a4b2570897bp-13, 0x1.3e5666345e46fp-13, 0x1.336aa960d494cp-13, 0x1.28de4b5990f2dp-13, 0x1.1eae33138c6a6p-13, 0x1.14d75e6a0fa2cp-13, 0x1.0b56e1916344p-13, 0x1.0229e68af6266p-13, 0x1.f29b59387952bp-14, 0x1.e17f0f936dcap-14, 0x1.d0f9c0a05e2e1p-14, 0x1.c106644f0039bp-14, 0x1.b1a019038896dp-14, 0x1.a2c2229ea947fp-14, 0x1.9467e98b154d5p-14, 0x1.868cf9cdbdcep-14, 0x1.792d021e7b942p-14, 0x1.6c43d2ffbe7eap-14, 0x1.5fcd5de036abep-14, 0x1.53c5b43e6717cp-14, 0x1.482906d186546p-14, 0x1.3cf3a4b7eb289p-14, 0x1.3221faa2711e5p-14, 0x1.27b09213d7894p-14, 0x1.1d9c10943068dp-14, 0x1.13e136f283225p-14, 0x1.0a7ce0850ce41p-14, 0x1.016c0270b5582p-14, 0x1.f15755e92cc01p-15, 0x1.e072017104a7ep-15, 0x1.d022843c9a47ap-15, 0x1.c0638935ba4a6p-15, 0x1.b12fe81a75a72p-15, 0x1.a282a43edf308p-15, 0x1.9456eb4c5d158p-15, 0x1.86a81410cb4ccp-15, 0x1.79719d4cb76aep-15, 0x1.6caf2c8d62472p-15, 0x1.605c8d0d4e0bfp-15, 0x1.5475ae9a8fa8bp-15, 0x1.48f6a482d36d9p-15, 0x1.3ddba49024af8p-15, 0x1.332105edeb1cfp-15, 0x1.28c34042f803p-15, 0x1.1ebeeaa97e7a1p-15, 0x1.1510bac1b9e9dp-15, 0x1.0bb583c1b251dp-15, 0x1.02aa35909fd4bp-15, 0x1.f3d7b7ca3cf44p-16, 0x1.e2ef3ad712e69p-16, 0x1.d29575d3e2527p-16, 0x1.c2c51cefc2db7p-16, 0x1.b37915607165dp-16, 0x1.a4ac73d1692d1p-16, 0x1.965a7aeabdcbap-16, 0x1.887e99d3ff691p-16, 0x1.7b146acab4acp-16, 0x1.6e17b1bdcbc57p-16, 0x1.61845af31cfb9p-16, 0x1.555679b9cdd75p-16, 0x1.498a471d8ea79p-16, 0x1.3e1c20b0e4178p-16, 0x1.330887460dc62p-16, 0x1.284c1dd95f38bp-16, 0x1.1de3a85b17978p-16, 0x1.13cc0a988e25cp-16, 0x1.0a024725f3e2p-16, 0x1.00837e5647041p-16, 0x1.ee99da5d1d96dp-17, 0x1.dcb7d8e6b76f7p-17, 0x1.cb5bdf2fd8b06p-17, 0x1.ba8107e904618p-17, 0x1.aa229f8d10832p-17, 0x1.9a3c22a369172p-17, 0x1.8ac93c1856116p-17, 0x1.7bc5c37ccceadp-17, 0x1.6d2dbb85f3664p-17, 0x1.5efd50667d16p-17, 0x1.5130d65714965p-17, 0x1.43c4c81cecf3p-17, 0x1.36b5c599524c4p-17, 0x1.2a00926dd0c69p-17, 0x1.1da214a109b6cp-17, 0x1.11975359a965cp-17, 0x1.05dd75949d811p-17, 0x1.f4e381e6e9f0fp-18, 0x1.dea3311508abap-18, 0x1.c8f4f78e0d60ap-18, 0x1.b3d40a9bc783bp-18, 0x1.9f3bd3c8ed89cp-18, 0x1.8b27eee3768c2p-18, 0x1.779427f54c0efp-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.de016c2f1bfecp-1, -0x1.ec679734e7c93p-1, -0x1.f88039e6450c9p-1, -0x1.012b1b3e22876p+0, -0x1.04fc63ba4993ap+0, -0x1.07bd62e9b7063p+0, -0x1.0978dbd6428f8p+0, -0x1.0a3a9f04d5e43p+0, -0x1.0a0f69f381357p+0, -0x1.090499c6a6b89p+0, -0x1.0727e719f8541p+0, -0x1.04874d594ac0dp+0, -0x1.0130eecbe7e98p+0, -0x1.fa65c46640a2cp-1, -0x1.f136062a75107p-1, -0x1.e6edb7e611c09p-1, -0x1.dba74e9091a37p-1, -0x1.cf7ca5585cfb1p-1, -0x1.c286e6a68006ep-1, -0x1.b4de542e3ff0fp-1, -0x1.a69a07ace986bp-1, -0x1.97cfdf29ab1b8p-1, -0x1.88944d5af4401p-1, -0x1.78fb0e89f26dbp-1, -0x1.6916a7d51c63dp-1, -0x1.58f891e9cec85p-1, -0x1.48b1238c10cdp-1, -0x1.384f85f187279p-1, -0x1.27e1bd6440717p-1, -0x1.1774bcda9fed1p-1, -0x1.0714767a61ff5p-1, -0x1.ed97c75e263b6p-2, -0x1.cd4a126c98ad8p-2, -0x1.ad51fb8ac4e3cp-2, -0x1.8dbfeb6abbad9p-2, -0x1.6ea2a2e26a193p-2, -0x1.50075680c3b39p-2, -0x1.31f9c5ee81a88p-2, -0x1.1484509393678p-2, -0x1.ef6014561d1a6p-3, -0x1.b709a0ac04d74p-3, -0x1.8012c09cdd1cp-3, -0x1.4a86d677cb2f9p-3, -0x1.166f50a64461fp-3, -0x1.c7a793c8ddb7fp-4, -0x1.65744e459a4f1p-4, -0x1.064d69c0ce50bp-4, -0x1.547114b4653ffp-5, -0x1.44e275ed9050ap-6, 0x1.2c7995572d1a2p-10, 0x1.5e2306171c528p-6, 0x1.4e9f5bb4a0419p-5, 0x1.e8184be219b3ep-5, 0x1.3dc53436d9992p-4, 0x1.84834a50686bp-4, 0x1.c850205009954p-4, 0x1.049b4cdbc0317p-3, 0x1.23a156d4e1d44p-3, 0x1.4140a7ee8b3bp-3, 0x1.5d802c47a8b98p-3, 0x1.7867354f52358p-3, 0x1.91fd6bd86ad91p-3, 0x1.aa4ac16f39fabp-3, 0x1.c1594ce7534b6p-3, 0x1.d72dbb5403c86p-3, 0x1.ebd1e2f2a9c47p-3, 0x1.ff4e4b042bcf3p-3, 0x1.08d5c5a822a7bp-2, 0x1.117920b3ac88ep-2, 0x1.199583dd788fap-2, 0x1.212f374dad8c1p-2, 0x1.284a7b6cbdf31p-2, 0x1.2eeb86cc524f9p-2, 0x1.3516846733695p-2, 0x1.3acf920274d6bp-2, 0x1.401abe911e97ep-2, 0x1.44fc0894d2d6bp-2, 0x1.49775c892ab5ep-2, 0x1.4d90936fd00bcp-2, 0x1.514b7190f61d7p-2, 0x1.54aba57aa4407p-2, 0x1.57b4c73ef2edp-2, 0x1.5a6a57ea57338p-2, 0x1.5ccfc1292081ap-2, 0x1.5ee8551571f71p-2, 0x1.60b74e2a7b91p-2, 0x1.623fcf5be6e74p-2, 0x1.6384e44f71d26p-2, 0x1.648981b2d203bp-2, 0x1.655085a2a53c4p-2, 0x1.65dcb812bba47p-2, 0x1.6630cb26c1accp-2, 0x1.664f5b6d540e2p-2, 0x1.663aeff691811p-2, 0x1.65f5fa48aa853p-2, 0x1.6582d63e28746p-2, 0x1.64e3c9e02401ep-2, 0x1.641b0550ee6a4p-2, 0x1.632aa2d92af5bp-2, 0x1.6214a7235a28fp-2, 0x1.60db01a9d1aa3p-2, 0x1.5f7f8d536599ep-2, 0x1.5e04113516642p-2, 0x1.5c6a416be324bp-2, 0x1.5ab3c0014f969p-2, 0x1.58e21dcef50aap-2, 0x1.56f6db58495ccp-2, 0x1.54f369953fb62p-2, 0x1.52d92aab611bp-2, 0x1.50a972957726ap-2, 0x1.4e6587bb860b5p-2, 0x1.4c0ea37daadc2p-2, 0x1.49a5f2b4bfaf4p-2, 0x1.472c962b54053p-2, 0x1.44a3a310eed71p-2, 0x1.420c2368b829fp-2, 0x1.3f671673d0f75p-2, 0x1.3cb57116f675bp-2, 0x1.39f81e3a9d352p-2, 0x1.372fff24b246dp-2, 0x1.345debcb6c76p-2, 0x1.3182b3212b5fep-2, 0x1.2e9f1b5a024dep-2, 0x1.2bb3e22c2400ep-2, 0x1.28c1bd0cd8483p-2, 0x1.25c9596bd5efap-2, 0x1.22cb5ceebc58bp-2, 0x1.1fc865ae31874p-2, 0x1.1cc10a7593e3ap-2, 0x1.19b5db05caabep-2, 0x1.16a7605b1ab0fp-2, 0x1.13961cf58faa9p-2, 0x1.10828d232b6b3p-2, 0x1.0d6d274ae9114p-2, 0x1.0a565c37935b6p-2, 0x1.073e97618112cp-2, 0x1.04263f3669b7ap-2, 0x1.010db55ead818p-2, 0x1.fbeaadff3e77fp-3, 0x1.f5baf9f4f7fe6p-3, 0x1.ef8cf84fc8b03p-3, 0x1.e9614b1f854b1p-3, 0x1.e3388d3b2f417p-3, 0x1.dd1352a264b09p-3, 0x1.d6f228d7d3362p-3, 0x1.d0d59734c484ep-3, 0x1.cabe1f3607913p-3, 0x1.c4a994d39a175p-3, 0x1.be9d474dff5c4p-3, 0x1.b8978afd7f232p-3, 0x1.b298ce230cfa7p-3, 0x1.aca179930fd98p-3, 0x1.a6b1f0e8e0d49p-3, 0x1.a0ca92bc88343p-3, 0x1.9aebb8d9dd074p-3, 0x1.9515b8781e187p-3, 0x1.8f48e2710c397p-3, 0x1.89858376a4b6ap-3, 0x1.83cbe446ac5bap-3, 0x1.7e1c49db6f591p-3, 0x1.7876f5992bf19p-3, 0x1.72dc2577d29bap-3, 0x1.6d4c142901351p-3, 0x1.67c6f93a25ee8p-3, 0x1.624d0932feb45p-3, 0x1.5cde75b0b1c89p-3, 0x1.577b6d7ddcc8ap-3, 0x1.52241ca811c15p-3, 0x1.4cd8ac9323f29p-3, 0x1.4799440adaad8p-3, 0x1.426607536a2d8p-3, 0x1.3d3f183925a61p-3, 0x1.3824961fcfae1p-3, 0x1.33169e11ca1f7p-3, 0x1.2e154acf71f18p-3, 0x1.2920b4dec090dp-3, 0x1.2438f29b5886dp-3, 0x1.1f5e1846f3c48p-3, 0x1.1a90381a4608dp-3, 0x1.15cf6256213f9p-3, 0x1.111ba554da16bp-3, 0x1.0c750d9bb9c4dp-3, 0x1.07dba5ec5e385p-3, 0x1.034f7755e1fb7p-3, 0x1.fda1128b486d5p-4, 0x1.f4bdc32f1602p-4, 0x1.ebf5094b5e8bp-4, 0x1.e346eaae97171p-4, 0x1.dab36a5dc4641p-4, 0x1.d23a88af2665fp-4, 0x1.c9dc4363287aep-4, 0x1.c19895bba9a71p-4, 0x1.b96f78919b14fp-4, 0x1.b160e2690d7bcp-4, 0x1.a96cc783d966cp-4, 0x1.a19319f2e966cp-4, 0x1.99d3c9a673965p-4, 0x1.922ec47d2ddecp-4, 0x1.8aa3f652ba38p-4, 0x1.8333490d7195fp-4, 0x1.7bdca4abb9abcp-4, 0x1.749fef510b859p-4, 0x1.6d7d0d52cc371p-4, 0x1.6673e145182bdp-4, 0x1.5f844c0797f76p-4, 0x1.58ae2cd273949p-4, 0x1.51f161436e755p-4, 0x1.4b4dc56b39944p-4, 0x1.44c333daf9c65p-4, 0x1.3e5185b204952p-4, 0x1.37f892abcd7adp-4, 0x1.31b8312dfadf5p-4, 0x1.2b90365699b28p-4, 0x1.2580760a62166p-4, 0x1.1f88c302ffe8ap-4, 0x1.19a8eedd52526p-4, 0x1.13e0ca27933f3p-4, 0x1.0e30246f59e1ap-4, 0x1.0896cc4f6caa3p-4, 0x1.03148f7d56b9dp-4, 0x1.fb5275ad6cde4p-5, 0x1.f0a934dc7c629p-5, 0x1.e62cf330bf77bp-5, 0x1.dbdd45ef36d0bp-5, 0x1.d1b9c110e747p-5, 0x1.c7c1f759faadbp-5, 0x1.bdf57a701ec74p-5, 0x1.b453daf0225e1p-5, 0x1.aadca882ce62p-5, 0x1.a18f71f104e6cp-5, 0x1.986bc53727c3fp-5, 0x1.8f712f97cd2cep-5, 0x1.869f3dadcc744p-5, 0x1.7df57b7da7e7fp-5, 0x1.757374866070dp-5, 0x1.6d18b3d1b5118p-5, 0x1.64e4c403dcb24p-5, 0x1.5cd72f6abe183p-5, 0x1.54ef800cb2584p-5, 0x1.4d2d3fb6d27aap-5, 0x1.458ff80addacbp-5, 0x1.3e17328cba786p-5, 0x1.36c278af95778p-5, 0x1.2f9153e2abefdp-5, 0x1.28834d9db823bp-5, 0x1.2197ef6d11fd3p-5, 0x1.1acec2fd765b9p-5, 0x1.1427522788b57p-5, 0x1.0da126fb00fe9p-5, 0x1.073bcbc99112ep-5, 0x1.00f6cb317e7b3p-5, 0x1.f5a3604fe6bc7p-6, 0x1.e9980c06062d9p-6, 0x1.ddcab106cd545p-6, 0x1.d23a67bbe50adp-6, 0x1.c6e649897cf25p-6, 0x1.bbcd70e00f617p-6, 0x1.b0eef94d945d3p-6, 0x1.a649ff8e1bdefp-6, 0x1.9bdda19be31a6p-6, 0x1.91a8febecef49p-6, 0x1.87ab379b5855cp-6, 0x1.7de36e40f2134p-6, 0x1.7450c637d5728p-6, 0x1.6af2648e4c7d2p-6, 0x1.61c76fe56943p-6, 0x1.58cf107d3aeddp-6, 0x1.500870407346fp-6, 0x1.4772bacf8c2b7p-6, 0x1.3f0d1d8b66985p-6, 0x1.36d6c79f64b7cp-6, 0x1.2eceea0b08c92p-6, 0x1.26f4b7ab0cedp-6, 0x1.1f476542078a4p-6, 0x1.17c629808ccfap-6, 0x1.10703d0cdf9eap-6, 0x1.0944da8a21b07p-6, 0x1.02433e9f19782p-6, 0x1.f6d54ff8f858fp-7, 0x1.e974aec59defbp-7, 0x1.dc631f4fa9813p-7, 0x1.cf9f2b7721f6fp-7, 0x1.c3276159bda83p-7, 0x1.b6fa535b3ef81p-7, 0x1.ab16982d12f4bp-7, 0x1.9f7acad50926dp-7, 0x1.94258ab36af13p-7, 0x1.89157b882d88ap-7, 0x1.7e4945778a84ap-7, 0x1.73bf950dcc5e8p-7, 0x1.69771b4265632p-7, 0x1.5f6e8d7a64cbbp-7, 0x1.55a4a58a3a823p-7, 0x1.4c1821b6cf32ap-7, 0x1.42c7c4b604394p-7, 0x1.39b255ae931ffp-7, 0x1.30d6a0374deedp-7, 0x1.28337455d2c08p-7, 0x1.1fc7a67caf5c7p-7, 0x1.17920f88f5b02p-7, 0x1.0f918cbf4bfd5p-7, 0x1.07c4ffc87b8dcp-7, 0x1.002b4ead8098fp-7, 0x1.f186c7a64872fp-8, 0x1.e3185bea3993fp-8, 0x1.d50940418ad0dp-8, 0x1.c757635ecb2c7p-8, 0x1.ba00bc8025e81p-8, 0x1.ad034b6261822p-8, 0x1.a05d1833233e7p-8, 0x1.940c33827e8a1p-8, 0x1.880eb633d5db3p-8, 0x1.7c62c16e22299p-8, 0x1.71067e8b97b5ep-8, 0x1.65f81f08b79aap-8, 0x1.5adb602dd24cep-8, 0x1.5065f47df99c7p-8, 0x1.46394a86469ep-8, 0x1.3c53b208cf32ap-8, 0x1.32b3827cc8768p-8, 0x1.29571afc50aebp-8, 0x1.203ce231e50e5p-8, 0x1.176346459aafp-8, 0x1.0ec8bcca0558p-8, 0x1.066bc2a8e29a5p-8, 0x1.fc95b81f154ebp-9, 0x1.ecc928b64ca9fp-9, 0x1.dd6efc09741fap-9, 0x1.ce846519ec83fp-9, 0x1.c006a4cfd4573p-9, 0x1.b1f309d10160bp-9, 0x1.a446f057d2e2p-9, 0x1.96ffc209ab67cp-9, 0x1.8a1af5cd33ff4p-9, 0x1.7d960fa073835p-9, 0x1.716ea06eaa3cdp-9, 0x1.65a245e60a9c1p-9, 0x1.5a2eaa4d502b6p-9, 0x1.4f1184592a985p-9, 0x1.4448970195999p-9, 0x1.39d1b157177f3p-9, 0x1.2faaae57dc4bdp-9, 0x1.25d174c4e5a1ep-9, 0x1.1c43f6f705367p-9, 0x1.130032b3e946ep-9, 0x1.0a043103167bap-9, 0x1.014e0602ec7c8p-9, 0x1.f1b7a17b36a45p-10, 0x1.e15775fc6e5b8p-10, 0x1.d177f24b7e7bfp-10, 0x1.c215940078517p-10, 0x1.b32ced33ddb11p-10, 0x1.a4baa4291f39cp-10, 0x1.96bb72f951c0cp-10, 0x1.892c273e23eb3p-10, 0x1.7c09a1bd0d332p-10, 0x1.6f50d612be3a2p-10, 0x1.62feca5ef8b12p-10, 0x1.571096f099ea5p-10, 0x1.4b8365f24d2ep-10, 0x1.405473175d94ep-10, 0x1.35810b4942c9fp-10, 0x1.2b068c557a5a7p-10, 0x1.20e2649bf6c63p-10, 0x1.171212be48543p-10, 0x1.0d93254f2fbe8p-10, 0x1.04633a82eb32dp-10, 0x1.f6ffffc073733p-11, 0x1.e5ce63e414d85p-11, 0x1.d52d37f401276p-11, 0x1.c5182f474a1dep-11, 0x1.b58b197124758p-11, 0x1.a681e1aa9f714p-11, 0x1.97f88e3e65418p-11, 0x1.89eb3ff64c2d6p-11, 0x1.7c56318a9ed6bp-11, 0x1.6f35b7137a9d7p-11, 0x1.62863d7c1e166p-11, 0x1.564449f83c847p-11, 0x1.4a6c797b6a9a3p-11, 0x1.3efb803276929p-11, 0x1.33ee28ff3249fp-11, 0x1.294154f61096dp-11, 0x1.1ef1fade0feep-11, 0x1.14fd26b2cd2b8p-11, 0x1.0b5ff928b8311p-11, 0x1.0217a7337e653p-11, 0x1.f242f31d7d551p-12, 0x1.e0f598913c326p-12, 0x1.d0421c9dc5f89p-12, 0x1.c02381fc0277ap-12, 0x1.b094ef649ebc1p-12, 0x1.a191aeb6d1b59p-12, 0x1.93152c2337807p-12, 0x1.851af55b001ecp-12, 0x1.779eb8c2d8819p-12, 0x1.6a9c44aa8be29p-12, 0x1.5e0f8687cfc43p-12, 0x1.51f48a35955e3p-12, 0x1.46477937251d4p-12, 0x1.3b0499fec202dp-12, 0x1.30284f3863337p-12, 0x1.25af171763ee3p-12, 0x1.1b958aa91dd1ap-12, 0x1.11d85d29c7a48p-12, 0x1.08745b5d2edbdp-12, 0x1.feccd5d69420cp-13, 0x1.ed57137f14effp-13, 0x1.dc819ad78f68bp-13, 0x1.cc46c51c6f50bp-13, 0x1.bca11875665aap-13, 0x1.ad8b46ce074e6p-13, 0x1.9f002cb47f8bbp-13, 0x1.90fad03d6b7e8p-13, 0x1.83765fef83ae3p-13, 0x1.766e31b2db21ap-13, 0x1.69ddc1c71e317p-13, 0x1.5dc0b1be7bb5bp-13, 0x1.5212c77edfe45p-13, 0x1.46cfec47c5ba2p-13, 0x1.3bf42bbd96a02p-13, 0x1.317bb2fa4ad6cp-13, 0x1.2762cfa2d1f63p-13, 0x1.1da5ef01eea4cp-13, 0x1.14419d272abe2p-13, 0x1.0b32840bd51cbp-13, 0x1.02756abba56f5p-13, 0x1.f40e690538a85p-14, 0x1.e3c9c03eba55ap-14, 0x1.d4170df45b815p-14, 0x1.c4f0b8bffe396p-14, 0x1.b651598568bd9p-14, 0x1.a833b9f9eeb0cp-14, 0x1.9a92d3349ddb3p-14, 0x1.8d69cc48a0a1dp-14, 0x1.80b3f8e588428p-14, 0x1.746cd8018b8f2p-14, 0x1.6890128a8be83p-14, 0x1.5d197a1ff91bfp-14, 0x1.520507d37ef1ap-14, 0x1.474edaf29e633p-14, 0x1.3cf337d6443a4p-14, 0x1.32ee86bb41fe8p-14, 0x1.293d52a0af32cp-14, 0x1.1fdc482e129aap-14, 0x1.16c834a191dcap-14, 0x1.0dfe04c32b835p-14, 0x1.057ac3dfec8c9p-14, 0x1.fa77359799614p-15, 0x1.ea7b9dd1d367ap-15, 0x1.dafd826f21b87p-15, 0x1.cbf7dad4a8d31p-15, 0x1.bd65d202e9c76p-15, 0x1.af42c4d7adb1dp-15, 0x1.a18a405dafca8p-15, 0x1.9438002620bf2p-15, 0x1.8747ecaeafe55p-15, 0x1.7ab619d3385d3p-15, 0x1.6e7ec547720c1p-15, 0x1.629e55222b6ap-15, 0x1.5711566b6ffdap-15, 0x1.4bd47bbab73e7p-15, 0x1.40e49bdc1c8b6p-15, 0x1.363eb0818c7f4p-15, 0x1.2bdfd4fc46d0ep-15, 0x1.21c54500f084fp-15, 0x1.17ec5b74bab48p-15, 0x1.0e5291431e5c6p-15, 0x1.04f57c3e35d33p-15, 0x1.f7a59c0ab0e7p-16, 0x1.e5d0a5edb8f19p-16, 0x1.d467e2506ce3bp-16, 0x1.c3674ece8c46bp-16, 0x1.b2cb1887474dep-16, 0x1.a28f9a3e1e669p-16, 0x1.92b15a8ac04acp-16, 0x1.832d0a1a77bf6p-16, 0x1.73ff81fde5858p-16, 0x1.6525c200b121fp-16, 0x1.569cef1a20943p-16, 0x1.486251dd1f37bp-16, 0x1.3a7354ffaf1d8p-16, 0x1.2ccd83e86cae9p-16, 0x1.1f6e894dec32p-16, 0x1.12542ddb17ca8p-16, 0x1.057c56e69bc01p-16, 0x1.f1ca0a5c9e3efp-17, 0x1.d918a7458779cp-17, 0x1.c0e0ec6f7c598p-17, 0x1.a91f718eec483p-17, 0x1.91d0fbee3a895p-17, 0x1.7af27c537ecf9p-17, 0x1.64810cf45461bp-17, 0x1.4e79ef7f60a21p-17, 0x1.38da8b35b1ff5p-17, 0x1.23a06b155537bp-17, 0x1.0ec93c133bd6ep-17, 0x1.f4a596d412892p-18, 0x1.cc7609ea5dcebp-18, 0x1.a4ffe3344ac7dp-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.b77b91852ec73p-2, -0x1.d0ca6e4940e2ap-2, -0x1.e8fffdd162e1p-2, -0x1.0007099272718p-1, -0x1.0af4fb9834d5ep-1, -0x1.1546055874e21p-1, -0x1.1ef7affc2725dp-1, -0x1.2808be0cb815fp-1, -0x1.3079035f6bf6ap-1, -0x1.38493aa3f09f9p-1, -0x1.3f7af28de6422p-1, -0x1.46106f57e2aep-1, -0x1.4c0c88df4dc3ep-1, -0x1.517299b5c7fa1p-1, -0x1.56466c569f993p-1, -0x1.5a8c248282e6dp-1, -0x1.5e48312ab1ecp-1, -0x1.617f401c53ef8p-1, -0x1.64362c3540af6p-1, -0x1.6671edc2d824ap-1, -0x1.68379257c99b1p-1, -0x1.698c39b33459cp-1, -0x1.6a7505ad5ef4dp-1, -0x1.6af7175561566p-1, -0x1.6b1788a7a589ap-1, -0x1.6adb64fba3c3dp-1, -0x1.6a47a3844f67ep-1, -0x1.696123cf54b13p-1, -0x1.682cab2b6147bp-1, -0x1.66aee206e59a2p-1, -0x1.64ec5146311fcp-1, -0x1.62e9601326e01p-1, -0x1.60aa52649988ep-1, -0x1.5e3347fa1861p-1, -0x1.5b883b6fee6fcp-1, -0x1.58ad01685f639p-1, -0x1.55a548154acap-1, -0x1.52749751aba42p-1, -0x1.4f1e511daa37p-1, -0x1.4ba5b21fc17a7p-1, -0x1.480dd1f968035p-1, -0x1.4459a39051487p-1, -0x1.408bf5938c8f3p-1, -0x1.3ca7736212436p-1, -0x1.38aea6387bffbp-1, -0x1.34a3f668543cp-1, -0x1.3089ac69487a7p-1, -0x1.2c61f1bb8cc16p-1, -0x1.282ed1afeb149p-1, -0x1.23f23a2f3542p-1, -0x1.1fadfc91ff5fap-1, -0x1.1b63ce9173d42p-1, -0x1.17154b563d3c7p-1, -0x1.12c3f4a4ae735p-1, -0x1.0e7134194e1cep-1, -0x1.0a1e5c5c94dbep-1, -0x1.05ccaa328f0d9p-1, -0x1.017d45588eb7dp-1, -0x1.fa628275144e8p-2, -0x1.f1d33b3b13c01p-2, -0x1.e94e8ec134d5ap-2, -0x1.e0d632ce718cfp-2, -0x1.d86bbb4f6b00cp-2, -0x1.d01093bb5b936p-2, -0x1.c7c6259942b7ep-2, -0x1.bf8da2a2bdf65p-2, -0x1.b76829f03b7e9p-2, -0x1.af56c1093198ap-2, -0x1.a75a553ea02a4p-2, -0x1.9f73bcf5b18e9p-2, -0x1.97a3b8e65af54p-2, -0x1.8feaf54fb6482p-2, -0x1.884a0b224b405p-2, -0x1.80c181201d722p-2, -0x1.7951ccf2af3fap-2, -0x1.71fb54373f2f4p-2, -0x1.6abe6d8115defp-2, -0x1.639b6150ffe04p-2, -0x1.5c926b00f3f6dp-2, -0x1.55a3b9a394cd3p-2, -0x1.4ecf70d8594fdp-2, -0x1.4815a995b9c48p-2, -0x1.417672ea4ffd5p-2, -0x1.3af1d2b4c1c13p-2, -0x1.3487c65159bc9p-2, -0x1.2e38433c1bfecp-2, -0x1.280337a71bf69p-2, -0x1.21e88b062eb89p-2, -0x1.1be81e9214c3p-2, -0x1.1601cdc536e3cp-2, -0x1.10356ed34aa72p-2, -0x1.0a82d31bf2fep-2, -0x1.04e9c797a4608p-2, -0x1.fed42a7bb0b12p-3, -0x1.f40702c8530fdp-3, -0x1.e96b9c2d80ce6p-3, -0x1.df0174d65efb7p-3, -0x1.d4c8059de7a0fp-3, -0x1.cabec2a5029e9p-3, -0x1.c0e51be1f331bp-3, -0x1.b73a7da8097d2p-3, -0x1.adbe5125ec936p-3, -0x1.a46ffcd8f9fc3p-3, -0x1.9b4ee4f574567p-3, -0x1.925a6bc46cd3dp-3, -0x1.8991f1f965b91p-3, -0x1.80f4d7020a2fp-3, -0x1.78827951dba7bp-3, -0x1.703a36aac95f8p-3, -0x1.681b6c62916fcp-3, -0x1.602577a3fdf2bp-3, -0x1.5857b5aacc1f8p-3, -0x1.50b183f941cbfp-3, -0x1.493240873908dp-3, -0x1.41d949eb037bap-3, -0x1.3aa5ff7d47bb4p-3, -0x1.3397c1791f054p-3, -0x1.2cadf119b45a8p-3, -0x1.25e7f0b64d3aap-3, -0x1.1f4523dd0ceadp-3, -0x1.18c4ef6c6ec39p-3, -0x1.1266b9ab0287dp-3, -0x1.0c29ea5d01388p-3, -0x1.060dead7545b4p-3, -0x1.0012260fe57bcp-3, -0x1.f46c1156b7751p-4, -0x1.e8f2021137b4dp-4, -0x1.ddb4fe94ff929p-4, -0x1.d2b3eac094ee3p-4, -0x1.c7edae1a5e1e3p-4, -0x1.bd6133de5b188p-4, -0x1.b30d6b0aaabe4p-4, -0x1.a8f1466a97aeep-4, -0x1.9f0bbc9fdf39cp-4, -0x1.955bc829c1514p-4, -0x1.8be067697a253p-4, -0x1.82989ca400a05p-4, -0x1.79836e01201fcp-4, -0x1.709fe58829091p-4, -0x1.67ed111ab68d3p-4, -0x1.5f6a026e0a8cap-4, -0x1.5715cf0393eap-4, -0x1.4eef902113ed5p-4, -0x1.46f662c8bdaccp-4, -0x1.3f2967b18223ep-4, -0x1.3787c33f9030dp-4, -0x1.30109d7cf43c3p-4, -0x1.28c307584c2d4p-4, -0x1.219e66db6f257p-4, -0x1.1aa1d3611f7ccp-4, -0x1.13cc833433728p-4, -0x1.0d1db01498957p-4, -0x1.0694972d219cbp-4, -0x1.003079091db74p-4, -0x1.f3e1331376decp-5, -0x1.e7a87fb675feep-5, -0x1.dbb56cd3ea668p-5, -0x1.d00695ae6b344p-5, -0x1.c49a9bdbe36d6p-5, -0x1.b970272eba599p-5, -0x1.ae85e59ec6091p-5, -0x1.a3da8b32112c6p-5, -0x1.996cd1e58795fp-5, -0x1.8f3b799592336p-5, -0x1.854547e6bd94p-5, -0x1.7b89082e74242p-5, -0x1.72058b5be029cp-5, -0x1.68b9a7e1060d9p-5, -0x1.5fa4399c1b81cp-5, -0x1.56c421c12ee19p-5, -0x1.4e1846c41873ep-5, -0x1.459f9442c2959p-5, -0x1.3d58faefc438bp-5, -0x1.3543707d4db8bp-5, -0x1.2d5def88674fp-5, -0x1.25a777847c95cp-5, -0x1.1e1f0ca73463ap-5, -0x1.16c3b7d492318p-5, -0x1.0f94868b5e91dp-5, -0x1.08908ad1d3366p-5, -0x1.01b6db228a837p-5, -0x1.f60d24b35f0dap-6, -0x1.e8fd9f44d8692p-6, -0x1.dc3d6cc92d3f6p-6, -0x1.cfcadc65329c2p-6, -0x1.c3a4456f29194p-6, -0x1.b7c8074b7f98bp-6, -0x1.ac34894a025cap-6, -0x1.a0e83a838328dp-6, -0x1.95e191b7f79b6p-6, -0x1.8b1f0d2d14c85p-6, -0x1.809f328d62742p-6, -0x1.76608ec7cc458p-6, -0x1.6c61b5efb7f56p-6, -0x1.62a1431d95f07p-6, -0x1.591dd84ffa7c4p-6, -0x1.4fd61e4d38576p-6, -0x1.46c8c4857eefdp-6, -0x1.3df480f579605p-6, -0x1.355810097320ap-6, -0x1.2cf23480f7272p-6, -0x1.24c1b752edb45p-6, -0x1.1cc5679238c7dp-6, -0x1.14fc1a52bcf45p-6, -0x1.0d64aa8eef32p-6, -0x1.05fdf90dc4814p-6, -0x1.fd8dd8922f8b9p-7, -0x1.ef7ce0a8f9679p-7, -0x1.e1c6ed88e210ep-7, -0x1.d469ed2c0254p-7, -0x1.c763d82d83db1p-7, -0x1.bab2b19a6aa47p-7, -0x1.ae5486c308c4ap-7, -0x1.a2476f0d3cd18p-7, -0x1.96898bc74f56p-7, -0x1.8b1907fb8a0bep-7, -0x1.7ff4184481d23p-7, -0x1.7518faa1fa0afp-7, -0x1.6a85f64e7eee3p-7, -0x1.60395b9597dc8p-7, -0x1.563183aaa293ap-7, -0x1.4c6cd0804c039p-7, -0x1.42e9aca09f2aap-7, -0x1.39a68b05c5211p-7, -0x1.30a1e6f341b2ep-7, -0x1.27da43cfdb645p-7, -0x1.1f4e2d001be1bp-7, -0x1.16fc35c150152p-7, -0x1.0ee2f9053263ap-7, -0x1.0701194e119afp-7, -0x1.feaa811729984p-8, -0x1.efbc3feff5fe3p-8, -0x1.e134dfebf0c55p-8, -0x1.d311dfde1681bp-8, -0x1.c550cc64be78ep-8, -0x1.b7ef3fa856d75p-8, -0x1.aaeae11b4751fp-8, -0x1.9e41653aadec4p-8, -0x1.91f08d503267bp-8, -0x1.85f62734bdb19p-8, -0x1.7a500d143d477p-8, -0x1.6efc253246621p-8, -0x1.63f861afb23a9p-8, -0x1.5942c05118656p-8, -0x1.4ed94a4644d0bp-8, -0x1.44ba13f27f2ddp-8, -0x1.3ae33cb5c22b3p-8, -0x1.3152eeb6c6a28p-8, -0x1.28075eadf2c4ap-8, -0x1.1efecbb113177p-8, -0x1.16377f00092dcp-8, -0x1.0dafcbd21adp-8, -0x1.05660f244b238p-8, -0x1.fab15f1090df9p-9, -0x1.eb0c39e8a29e5p-9, -0x1.dbd9a1278df4p-9, -0x1.cd1699310d26bp-9, -0x1.bec0381a2fa17p-9, -0x1.b0d3a54eee042p-9, -0x1.a34e19398ea1cp-9, -0x1.962cdceb396d8p-9, -0x1.896d49c618c85p-9, -0x1.7d0cc928f01b8p-9, -0x1.7108d41be1e13p-9, -0x1.655ef2feec366p-9, -0x1.5a0cbd397af62p-9, -0x1.4f0fd8eb6df0ap-9, -0x1.4465fa9f6f37p-9, -0x1.3a0ce4fe961b7p-9, -0x1.300268855c865p-9, -0x1.26446339d1cc6p-9, -0x1.1cd0c06310a71p-9, -0x1.13a57841f72e9p-9, -0x1.0ac08fcb17d44p-9, -0x1.02201861dc0b5p-9, -0x1.f3845f29b921ap-10, -0x1.e349fdb6cb82dp-10, -0x1.d38d76a85d7afp-10, -0x1.c44b4b0a28253p-10, -0x1.b580123866ba3p-10, -0x1.a7287963be2c1p-10, -0x1.99414317bbe97p-10, -0x1.8bc746c36dafp-10, -0x1.7eb77043da1b3p-10, -0x1.720ebf711babap-10, -0x1.65ca47ad110dep-10, -0x1.59e72f746a0b8p-10, -0x1.4e62aff196598p-10, -0x1.433a1491e87ap-10, -0x1.386aba9c51529p-10, -0x1.2df210caa0e61p-10, -0x1.23cd96e43198ep-10, -0x1.19fadd5aab629p-10, -0x1.107784e8b3045p-10, -0x1.07413e325ddc3p-10, -0x1.fcab92cf0e152p-11, -0x1.eb65ebcf77361p-11, -0x1.daad43d0ce7ffp-11, -0x1.ca7d74384a73ep-11, -0x1.bad272b8645d5p-11, -0x1.aba850a6d3f4fp-11, -0x1.9cfb3a55f59d2p-11, -0x1.8ec776714cdafp-11, -0x1.8109655d985d2p-11, -0x1.73bd809bdbf7fp-11, -0x1.66e05a2f89ca9p-11, -0x1.5a6e9c07db38fp-11, -0x1.4e65076c2aa88p-11, -0x1.42c0746b6bf42p-11, -0x1.377dd14e8b4adp-11, -0x1.2c9a220d3e822p-11, -0x1.22127fc6ef4bap-11, -0x1.17e4183cda5cfp-11, -0x1.0e0c2d5060407p-11, -0x1.048814831c55ep-11, -0x1.f67ba4b045dcbp-12, -0x1.e4b577afb8d74p-12, -0x1.d387d4c5ee459p-12, -0x1.c2edf918d600ap-12, -0x1.b2e34467fafb2p-12, -0x1.a363382dac9bep-12, -0x1.946976c46c381p-12, -0x1.85f1c2920936ep-12, -0x1.77f7fd366a026p-12, -0x1.6a7826bfc0fb2p-12, -0x1.5d6e5ce1d99a8p-12, -0x1.50d6da342f11ep-12, -0x1.44adf5722a9b1p-12, -0x1.38f020c02f446p-12, -0x1.2d99e8f58bfcdp-12, -0x1.22a7f4ea1a6e1p-12, -0x1.181704c773abcp-12, -0x1.0de3f15e960b5p-12, -0x1.040bab81525b5p-12, -0x1.f51676bf91f94p-13, -0x1.e2bf7fd06c9cp-13, -0x1.d10cdc5a1fc5p-13, -0x1.bff921981c507p-13, -0x1.af7f0eb47a605p-13, -0x1.9f998ba5b05d4p-13, -0x1.9043a813fbd71p-13, -0x1.81789a44ddf0cp-13, -0x1.7333be0cbd5aep-13, -0x1.657093c7f0525p-13, -0x1.582abf58b487p-13, -0x1.4b5e072d0a6d7p-13, -0x1.3f065347556d8p-13, -0x1.331fac51bf5ecp-13, -0x1.27a63ab2cc766p-13, -0x1.1c9645a9f0582p-13, -0x1.11ec32712ec9bp-13, -0x1.07a48363e8743p-13, -0x1.fb77ae5757c32p-14, -0x1.e85dcfe233047p-14, -0x1.d5f5152632c83p-14, -0x1.c4375bc437ae6p-14, -0x1.b31eb3c1be999p-14, -0x1.a2a55e1349291p-14, -0x1.92c5cb31b7fabp-14, -0x1.837a99b50a44dp-14, -0x1.74be94fc4d55dp-14, -0x1.668cb3ddcdb55p-14, -0x1.58e0175dcb805p-14, -0x1.4bb4096dd405bp-14, -0x1.3f03fbb77bc5ap-14, -0x1.32cb866be92a9p-14, -0x1.2706671bd521ap-14, -0x1.1bb07f99aae37p-14, -0x1.10c5d4e0def7cp-14, -0x1.06428e050458p-14, -0x1.f845e6529df4bp-15, -0x1.e4c6d8fd9c074p-15, -0x1.d201028d3bf8ep-15, -0x1.bfedadc4d02f2p-15, -0x1.ae865fc60bc6ep-15, -0x1.9dc4d64539f0ep-15, -0x1.8da305c92edd7p-15, -0x1.7e1b17f2e0436p-15, -0x1.6f2769d7acb91p-15, -0x1.60c28a629a7b5p-15, -0x1.52e738c43426cp-15, -0x1.459062ead4a67p-15, -0x1.38b924087fa0ap-15, -0x1.2c5cc3224c344p-15, -0x1.2076b1a9edd3dp-15, -0x1.15028a259192dp-15, -0x1.09fc0ed5d0056p-15, -0x1.febe50eeaeb5p-16, -0x1.ea4fc9fe84fd7p-16, -0x1.d6a4eccee4513p-16, -0x1.c3b66301e7b6p-16, -0x1.b17d19a33a501p-16, -0x1.9ff23ef347e4bp-16, -0x1.8f0f403fb95d7p-16, -0x1.7ecdc7cfcb842p-16, -0x1.6f27badfe3a9cp-16, -0x1.601737a9e259ep-16, -0x1.51969382e484ep-16, -0x1.43a058f854d85p-16, -0x1.362f4613a9152p-16, -0x1.293e4a9580feep-16, -0x1.1cc8864af640ap-16, -0x1.10c947632d2b3p-16, -0x1.053c08e73d339p-16, -0x1.f438e251f41b5p-17, -0x1.decca08e08aa8p-17, -0x1.ca2b3d79c55a3p-17, -0x1.b64cf7fec9cdfp-17, -0x1.a32a5a3a2b0a8p-17, -0x1.90bc36e344f41p-17, -0x1.7efba6c0ae889p-17, -0x1.6de2062e9341ep-17, -0x1.5d68f2c2cfd79p-17, -0x1.4d8a48e949c72p-17, -0x1.3e4021c409dd4p-17, -0x1.2f84d0ecef83cp-17, -0x1.2152e260264a3p-17, -0x1.13a518762bc8ep-17, -0x1.067669eda5ff4p-17, -0x1.f383fffbe3829p-18, -0x1.db066906f540ap-18, -0x1.c36b20712b005p-18, -0x1.aca991f5ccb1bp-18, -0x1.96b98039535dbp-18, -0x1.819301a78cea9p-18, -0x1.6d2e7d32ea662p-18, -0x1.5984a76642dd5p-18, -0x1.468e7f7457c23p-18, -0x1.34454c66b643fp-18, -0x1.22a29a6af5a64p-18, -0x1.11a03810d6f31p-18, -0x1.013833efba756p-18, -0x1.e2c9b41dc045p-19, -0x1.c44163289cef7p-19, -0x1.a6ccf4d4d88cdp-19, -0x1.8a62564bdc819p-19, -0x1.6ef7dd8599f3cp-19, -0x1.5484454051565p-19, -0x1.3afea91c7177bp-19, -0x1.225e819684febp-19, -0x1.0a9ba080c5bbep-19, -0x1.e75c5ac420f8bp-20, -0x1.bb1d43d91f22fp-20, -0x1.906b8dac0826p-20, -0x1.673960a6e85c6p-20, -0x1.3f7976d270179p-20, -0x1.191f155f93ad4p-20, -0x1.e83c0e15d13c6p-21, -0x1.a0d52d252dc62p-21, -0x1.5bf312e8ca25bp-21, -0x1.1980356872c0ep-21, -0x1.b2cfd8085da5ep-22, -0x1.372ccbc8a87efp-22, -0x1.7fe2839759161p-23, -0x1.33e305e43c6c6p-24, 0x1.0efd972ac4886p-25, 0x1.19735d77bf799p-23, 0x1.e76ad1d4dc06ep-23, 0x1.56f1cf3c597ap-22, 0x1.b68c8fdd2a9b5p-22, 0x1.095114bff5cd1p-21, 0x1.35a6fc80420f3p-21, 0x1.605522c1ae072p-21, 0x1.89682679b6db9p-21, 0x1.b0ec27df971edp-21, 0x1.d6ecce1752e39p-21, 0x1.fb754ca4c3b3p-21, 0x1.0f483442c4c04p-20, 0x1.20243eae7ed74p-20, 0x1.3053c1184f388p-20, 0x1.3fdb86c53268ap-20, 0x1.4ec02d565a258p-20, 0x1.5d06269f28d41p-20, 0x1.6ab1bab708693p-20, 0x1.77c709ed6573ep-20, 0x1.844a0e8bffbbfp-20, 0x1.903e9ebd851f5p-20, 0x1.9ba86e1bc931ep-20, 0x1.a68b0f80e1355p-20, 0x1.b0e9f64313d91p-20, 0x1.bac877f6e5d3cp-20, 0x1.c429cdb421627p-20, 0x1.cd11158be106cp-20, 0x1.d581539dad17ep-20, 0x1.dd7d737050a78p-20, 0x1.e508492e706dbp-20, 0x1.ec2492ac5ab99p-20, 0x1.f2d4f86dd5136p-20, 0x1.f91c0ef06d432p-20, 0x1.fefc573714bb2p-20, 0x1.023c200a92294p-19, 0x1.04c9134fc77a1p-19, 0x1.07262bc6afd0dp-19, 0x1.095487d2bf619p-19, 0x1.0b553e45ea493p-19, 0x1.0d295ed3bc09ep-19, 0x1.0ed1f2411079fp-19, 0x1.104ffad6286b3p-19, 0x1.11a474a149fd7p-19, 0x1.12d055c6167b8p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.623f7dfe382a5p-3, 0x1.675edeeb43ee9p-3, 0x1.6a321c6dfd326p-3, 0x1.6ac6bd0d9f63cp-3, 0x1.692e208750ep-3, 0x1.657c82902799cp-3, 0x1.5fc8b24940505p-3, 0x1.582b79732e964p-3, 0x1.4ebec09209f48p-3, 0x1.439d7c2bcdbcfp-3, 0x1.36e3934032a76p-3, 0x1.28ad4fd84943p-3, 0x1.1916d8957c02ep-3, 0x1.083c086fd5679p-3, 0x1.ec711bb362c8ap-4, 0x1.c64fce3fbccb9p-4, 0x1.9e4a10ebe1e72p-4, 0x1.7493e31c724b7p-4, 0x1.495f0590faefep-4, 0x1.1cdb38c7f01e8p-4, 0x1.de6d74dfe6cf4p-5, 0x1.813eec08f1502p-5, 0x1.227ea8df5e0a5p-5, 0x1.84fd359dcbf0fp-6, 0x1.862dd16aaa0d4p-7, -0x1.315778dc53356p-17, -0x1.8866127545162p-7, -0x1.8890183c9e3fdp-6, -0x1.26629c5a10c51p-5, -0x1.8831332127038p-5, -0x1.e980029b8c412p-5, -0x1.250fa5d7abed3p-4, -0x1.54f188bd704cdp-4, -0x1.84516b56cfd79p-4, -0x1.b31cba7b50365p-4, -0x1.e14280ab03315p-4, -0x1.0759ab18f7386p-3, -0x1.1db0a66912db3p-3, -0x1.339fec9edc66cp-3, -0x1.4921de77a192fp-3, -0x1.5e3178bd0e0b4p-3, -0x1.72ca4b0b0d0fep-3, -0x1.86e870543199ap-3, -0x1.9a88898176c2ep-3, -0x1.ada7b986708f6p-3, -0x1.c043a13866219p-3, -0x1.d25a590884521p-3, -0x1.e3ea67b09cfa2p-3, -0x1.f4f2b6669122cp-3, -0x1.02b942329af9fp-2, -0x1.0ab4adf59ee01p-2, -0x1.126b851943f0bp-2, -0x1.19ddcd64689cbp-2, -0x1.210baad6a4345p-2, -0x1.27f55f7e2b4a7p-2, -0x1.2e9b4b68526d7p-2, -0x1.34fdec1bdc8dfp-2, -0x1.3b1ddb422db1ep-2, -0x1.40fbcc671cd4dp-2, -0x1.469889fa2ebc1p-2, -0x1.4bf4f1f1a4755p-2, -0x1.5111f287f212fp-2, -0x1.55f0877d64da4p-2, -0x1.5a91ba6d70e2dp-2, -0x1.5ef68ed4694dp-2, -0x1.63202dbf4c739p-2, -0x1.670fb7118452ep-2, -0x1.6ac6525216b1dp-2, -0x1.6e452e8e6c0e6p-2, -0x1.718d81e21e005p-2, -0x1.74a08899d4e3cp-2, -0x1.777f83fd07f7p-2, -0x1.7a2bb8d7fef5fp-2, -0x1.7ca66de5f15f6p-2, -0x1.7ef0ea3c6abebp-2, -0x1.810c73d6e2a82p-2, -0x1.82fa4e5bba24p-2, -0x1.84bbba2ad8ee4p-2, -0x1.8651f3b9e752fp-2, -0x1.87be3335295c5p-2, -0x1.8901ac5182924p-2, -0x1.8a1d8e37a8d2dp-2, -0x1.8b1303735ef29p-2, -0x1.8be331da06bfcp-2, -0x1.8c8f3a6628656p-2, -0x1.8d18390dc6139p-2, -0x1.8d7f449cb8c25p-2, -0x1.8dc56e9ac3fafp-2, -0x1.8debc3403b9dap-2, -0x1.8df3497672b5bp-2, -0x1.8ddd02dcef34bp-2, -0x1.8da9ebcab4ad7p-2, -0x1.8d5afb43f9056p-2, -0x1.8cf122dfb842p-2, -0x1.8c6d4e9ca1c11p-2, -0x1.8bd064a8f2862p-2, -0x1.8b1b45240f15dp-2, -0x1.8a4ec9e27221p-2, -0x1.896bc63cc9p-2, -0x1.887306f19afc6p-2, -0x1.8765521e43657p-2, -0x1.86436750acc99p-2, -0x1.850dffaff56b4p-2, -0x1.83c5ce3758283p-2, -0x1.826b7ffd318fp-2, -0x1.80ffbc7f83029p-2, -0x1.7f8325f033e6p-2, -0x1.7df6597ce6b8cp-2, -0x1.7c59ef9033273p-2, -0x1.7aae7c0bd2b4bp-2, -0x1.78f48e7c9a249p-2, -0x1.772cb249b6c94p-2, -0x1.75576ee093f6fp-2, -0x1.737547de5537ep-2, -0x1.7186bd372cf1ep-2, -0x1.6f8c4b5b38d93p-2, -0x1.6d866b5842577p-2, -0x1.6b7592f7ae246p-2, -0x1.695a34d8446b8p-2, -0x1.6734c083cbc84p-2, -0x1.6505a2810df15p-2, -0x1.62cd4463226cbp-2, -0x1.608c0cd72c1ep-2, -0x1.5e425fb19de31p-2, -0x1.5bf09dfbfa55ep-2, -0x1.59972603b4818p-2, -0x1.5736536a73135p-2, -0x1.54ce7f37b525ep-2, -0x1.525fffeb84a62p-2, -0x1.4feb2991dd7a7p-2, -0x1.4d704dd64c852p-2, -0x1.4aefbc17704ddp-2, -0x1.4869c17a1b1c7p-2, -0x1.45dea8fbf89cap-2, -0x1.434ebb85c3cc1p-2, -0x1.40ba3ffd232f9p-2, -0x1.3e217b56640ccp-2, -0x1.3b84b0a644973p-2, -0x1.38e42133f97d6p-2, -0x1.36400c8b982d1p-2, -0x1.3398b090f7d66p-2, -0x1.30ee49930af13p-2, -0x1.2e41125faaaabp-2, -0x1.2b914457b491cp-2, -0x1.28df178350b97p-2, -0x1.262ac2a62876cp-2, -0x1.23747b534d83cp-2, -0x1.20bba5375087p-2, -0x1.1e01d68c253c4p-2, -0x1.1b46b518081ecp-2, -0x1.188a73b6b5b16p-2, -0x1.15cd442f07265p-2, -0x1.130f57391d44fp-2, -0x1.1050dc84fe1a2p-2, -0x1.0d9202c17f2e9p-2, -0x1.0ad2f7a34a213p-2, -0x1.0813e7ebc9816p-2, -0x1.0554ff6fcfbb5p-2, -0x1.0296691dcc8c3p-2, -0x1.ffb09e06e0e56p-3, -0x1.fa35b4a5468ecp-3, -0x1.f4bc66cb7ef3cp-3, -0x1.ef45038625a7ap-3, -0x1.e9cfd83f4c271p-3, -0x1.e45d30c2c2b76p-3, -0x1.deed57413b7bep-3, -0x1.d98094529529p-3, -0x1.d4172ef7786f1p-3, -0x1.ceb16c9aa0f31p-3, -0x1.c94f9111feb37p-3, -0x1.c3f1de9fffe24p-3, -0x1.be9895f51d998p-3, -0x1.b943f631ef23cp-3, -0x1.b3f43ce9c216fp-3, -0x1.aea9a625dd147p-3, -0x1.a9646c69629f6p-3, -0x1.a424c8b5cfa42p-3, -0x1.9eeaf29001757p-3, -0x1.99b72005b44b4p-3, -0x1.948985b3465dap-3, -0x1.8f6256c9bcf7bp-3, -0x1.8a41c514ca6cap-3, -0x1.85280100cfa6p-3, -0x1.801539a0a9ccdp-3, -0x1.7b099cb3352e3p-3, -0x1.760556a87748ep-3, -0x1.710892a655a02p-3, -0x1.6c137a8cd4ee6p-3, -0x1.672636f9d3854p-3, -0x1.6240ef4c4888dp-3, -0x1.5d63c9a6fe587p-3, -0x1.588eeaf2dfe54p-3, -0x1.53c276e0d10c1p-3, -0x1.4efe8feb36025p-3, -0x1.4a43575725708p-3, -0x1.4590ed3566a7bp-3, -0x1.40e77063459d5p-3, -0x1.3c46fe8b50095p-3, -0x1.37afb4260efeep-3, -0x1.3321ac7ad05adp-3, -0x1.2e9d01a07f25bp-3, -0x1.2a21cc7eb0bcfp-3, -0x1.25b024cedb536p-3, -0x1.2148211dc59e9p-3, -0x1.1ce9d6cd387c6p-3, -0x1.18955a15f6162p-3, -0x1.144abe09ee95dp-3, -0x1.100a1496c162ap-3, -0x1.0bd36e887e935p-3, -0x1.07a6db8ca5119p-3, -0x1.03846a35663b7p-3, -0x1.fed84ffa358c6p-4, -0x1.f6bc4293da928p-4, -0x1.eeb4c2e36a54cp-4, -0x1.e6c1e57bf07acp-4, -0x1.dee3bce02b76ep-4, -0x1.d71a598b13b7p-4, -0x1.cf65c9f8a933ap-4, -0x1.c7c61aaee0a97p-4, -0x1.c03b5646cca33p-4, -0x1.b8c58575cbca9p-4, -0x1.b164af16ea3d8p-4, -0x1.aa18d83446684p-4, -0x1.a2e204108e80cp-4, -0x1.9bc034307fc3ap-4, -0x1.94b36864722fap-4, -0x1.8dbb9ed1e35f3p-4, -0x1.86d8d3fcfae03p-4, -0x1.800b02d20b60ap-4, -0x1.795224af0a019p-4, -0x1.72ae316cf54d8p-4, -0x1.6c1f1f692ea35p-4, -0x1.65a4e38ebf0b9p-4, -0x1.5f3f715f8779p-4, -0x1.58eebafd57868p-4, -0x1.52b2b132ef45ep-4, -0x1.4c8b437ce1645p-4, -0x1.467860125d8ebp-4, -0x1.4079f3eddd1b1p-4, -0x1.3a8fead5b4407p-4, -0x1.34ba2f6485ed6p-4, -0x1.2ef8ab119dc2cp-4, -0x1.294b46392b718p-4, -0x1.23b1e824670dap-4, -0x1.1e2c77119994ap-4, -0x1.18bad83c0ec2cp-4, -0x1.135cefe3eece4p-4, -0x1.0e12a15602252p-4, -0x1.08dbcef360ef8p-4, -0x1.03b85a390eb18p-4, -0x1.fd50478f0d3cap-5, -0x1.f35616d4610bfp-5, -0x1.e981e03d9c649p-5, -0x1.dfd36039a045ep-5, -0x1.d64a51b945cbdp-5, -0x1.cce66e3dd4a29p-5, -0x1.c3a76de7607f3p-5, -0x1.ba8d07830b261p-5, -0x1.b196f09929f26p-5, -0x1.a8c4dd7b50453p-5, -0x1.a01681523f91dp-5, -0x1.978b8e2bb8735p-5, -0x1.8f23b5082e347p-5, -0x1.86dea5e86101ep-5, -0x1.7ebc0fdacd305p-5, -0x1.76bba10903a31p-5, -0x1.6edd06c4d8afp-5, -0x1.671fed9572f86p-5, -0x1.5f8401442f64p-5, -0x1.5808ece96071p-5, -0x1.50ae5af8e62acp-5, -0x1.4973f54e93159p-5, -0x1.4259653a6bd0dp-5, -0x1.3b5e538cb5d05p-5, -0x1.348268a1d6f01p-5, -0x1.2dc54c6e02b85p-5, -0x1.2726a688b38e3p-5, -0x1.20a61e37f8f83p-5, -0x1.1a435a7b80ebfp-5, -0x1.13fe021779b4ap-5, -0x1.0dd5bb9f37ae8p-5, -0x1.07ca2d7f9e7e3p-5, -0x1.01dafe095a143p-5, -0x1.f80fa6f5ab162p-6, -0x1.eca0a813feb54p-6, -0x1.e1684bdb98e9p-6, -0x1.d665decf0791bp-6, -0x1.cb98ad979caa7p-6, -0x1.c100051711d8bp-6, -0x1.b69b3278b9493p-6, -0x1.ac6983422e79dp-6, -0x1.a26a45639c0e4p-6, -0x1.989cc747759bbp-6, -0x1.8f0057e1cab77p-6, -0x1.859446bf15bacp-6, -0x1.7c57e412971e8p-6, -0x1.734a80c4425d2p-6, -0x1.6a6b6e7e1b465p-6, -0x1.61b9ffb937d85p-6, -0x1.593587ca3dce8p-6, -0x1.50dd5aed704c8p-6, -0x1.48b0ce524a22p-6, -0x1.40af3826a1225p-6, -0x1.38d7efa160a22p-6, -0x1.312a4d0ccaecep-6, -0x1.29a5a9d058e9fp-6, -0x1.2249607a16dedp-6, -0x1.1b14ccc7acc0bp-6, -0x1.14074baeeee4cp-6, -0x1.0d203b660b788p-6, -0x1.065efb6b48cbcp-6, -0x1.ff85d918db808p-7, -0x1.f296e1db68037p-7, -0x1.e5efd820ce697p-7, -0x1.d98f85b24342ap-7, -0x1.cd2d4b3f6007bp-7, -0x1.c1581fe24b041p-7, -0x1.b5c6352110c1ep-7, -0x1.aa765f6870004p-7, -0x1.9f677609b6be1p-7, -0x1.94985344016dep-7, -0x1.8a07d44d12059p-7, -0x1.7fb4d95970176p-7, -0x1.759e45a415847p-7, -0x1.6bc2ff75abffbp-7, -0x1.6221f02afd172p-7, -0x1.58ba043b369c4p-7, -0x1.4f8a2b3d73ddfp-7, -0x1.469157ede6329p-7, -0x1.3dce8032797f7p-7, -0x1.35409d1f0ccd9p-7, -0x1.2ce6aaf927484p-7, -0x1.24bfa93b45a5ap-7, -0x1.1cca9a97b2e41p-7, -0x1.150684fb046c6p-7, -0x1.0d72718e03b1cp-7, -0x1.060d6cb75811p-7, -0x1.fdad0c396333bp-8, -0x1.ef99a14729209p-8, -0x1.e1dec4e38f3edp-8, -0x1.d47aa9da9d485p-8, -0x1.c76b89783459ep-8, -0x1.baafa3868fdcbp-8, -0x1.ae453e4c1b954p-8, -0x1.a22aa68892bc3p-8, -0x1.965e2f7177e5bp-8, -0x1.8ade32adb353bp-8, -0x1.7fa91050b767ap-8, -0x1.74bd2ed4d7099p-8, -0x1.6a18fb1502a89p-8, -0x1.5fbae846029fap-8, -0x1.55a16feec3325p-8, -0x1.4bcb11e053218p-8, -0x1.4236542d3133bp-8, -0x1.38e1c31ffafcfp-8, -0x1.2fcbf131936b1p-8, -0x1.26f376fec626cp-8, -0x1.1e56f33d5baf7p-8, -0x1.15f50ab0bf20fp-8, -0x1.0dcc681e018f2p-8, -0x1.05dbbc3f8dba3p-8, -0x1.fc437b70aeeddp-9, -0x1.ed3a520d2d2p-9, -0x1.de9980eca279ap-9, -0x1.d05e98262b7b6p-9, -0x1.c28733339078cp-9, -0x1.b510f8d3ccf01p-9, -0x1.a7f99aed12081p-9, -0x1.9b3ed66e1cc91p-9, -0x1.8ede732f17cf8p-9, -0x1.82d643d213b7fp-9, -0x1.772425a2e1eb8p-9, -0x1.6bc60076ae1ebp-9, -0x1.60b9c68b4cf0ap-9, -0x1.55fd74660d014p-9, -0x1.4b8f10b2612eep-9, -0x1.416cac208ad43p-9, -0x1.37946143a665cp-9, -0x1.2e04546fe2488p-9, -0x1.24bab3989aa23p-9, -0x1.1bb5b62e64d6ep-9, -0x1.12f39cfcf15dcp-9, -0x1.0a72b2091a9f7p-9, -0x1.0231486eea41ap-9, -0x1.f45b787f644f7p-10, -0x1.e4cce4c06eeccp-10, -0x1.d5b3b0ce29857p-10, -0x1.c70cc8f630a14p-10, -0x1.b8d52a63ec645p-10, -0x1.ab09e2de307aap-10, -0x1.9da81084f5e81p-10, -0x1.90ace18fe0a2ep-10, -0x1.8415940d9698ap-10, -0x1.77df75a249c91p-10, -0x1.6c07e34804bdcp-10, -0x1.608c490f16876p-10, -0x1.556a21dea2c2ep-10, -0x1.4a9ef7364336cp-10, -0x1.402860efd679p-10, -0x1.3604050224813p-10, -0x1.2c2f9743d8cc3p-10, -0x1.22a8d92f18ff8p-10, -0x1.196d99a6025c1p-10, -0x1.107bb4b6fea8fp-10, -0x1.07d113626ae2bp-10, -0x1.fed756c0e5e55p-11, -0x1.ee92fdcee195dp-11, -0x1.ded138e71071dp-11, -0x1.cf8e3d1ac34e9p-11, -0x1.c0c65726753a4p-11, -0x1.b275eb025e225p-11, -0x1.a49973759c67ep-11, -0x1.972d81a9ea4abp-11, -0x1.8a2ebcc0ef2e6p-11, -0x1.7d99e169d674ap-11, -0x1.716bc179289a4p-11, -0x1.65a14380d15d9p-11, -0x1.5a376269e519fp-11, -0x1.4f2b2d0f1807dp-11, -0x1.4479c5d891d6ap-11, -0x1.3a206259a4f79p-11, -0x1.301c4aeda325ap-11, -0x1.266ada57ea16fp-11, -0x1.1d097d63c11dfp-11, -0x1.13f5b2872924fp-11, -0x1.0b2d09838ee11p-11, -0x1.02ad230aefc16p-11, -0x1.f4e760c8e683dp-12, -0x1.e4fce62545257p-12, -0x1.d59678f511b82p-12, -0x1.c6afdb188e8f4p-12, -0x1.b844ecd93791bp-12, -0x1.aa51ac3f2569dp-12, -0x1.9cd23469ad603p-12, -0x1.8fc2bce88b785p-12, -0x1.831f9919065dbp-12, -0x1.76e53784edff2p-12, -0x1.6b10214318118p-12, -0x1.5f9cf95d53d73p-12, -0x1.54887c32f09acp-12, -0x1.49cf7ee35bd0fp-12, -0x1.3f6eeeb8d78d2p-12, -0x1.3563d094298eap-12, -0x1.2bab405da365fp-12, -0x1.224270756725ep-12, -0x1.1926a92871744p-12, -0x1.10554826a4c2fp-12, -0x1.07cbbffba09b3p-12, -0x1.ff0f2f1373b1p-13, -0x1.ef0cd30f99d81p-13, -0x1.df8bc7fff9211p-13, -0x1.d0878fa58e29p-13, -0x1.c1fbd074bd7ep-13, -0x1.b3e454a469875p-13, -0x1.a63d093d30f51p-13, -0x1.9901fd3102181p-13, -0x1.8c2f6073ec2dcp-13, -0x1.7fc1832052802p-13, -0x1.73b4d4925753cp-13, -0x1.6805e29496602p-13, -0x1.5cb1588b7f19bp-13, -0x1.51b3fea44cec5p-13, -0x1.470ab90b470d6p-13, -0x1.3cb28722eb637p-13, -0x1.32a882c12b2c5p-13, -0x1.28e9df709a3fp-13, -0x1.1f73e9b49be9ap-13, -0x1.16440654e2359p-13, -0x1.0d57b1a6f2111p-13, -0x1.04ac7ee12f851p-13, -0x1.f8802edc6227p-14, -0x1.e820748e931ecp-14, -0x1.d835769d6a5d8p-14, -0x1.c8bb056286afcp-14, -0x1.b9ad189109ad3p-14, -0x1.ab07ce072ed79p-14, -0x1.9cc768a0b57f2p-14, -0x1.8ee84f156eac7p-14, -0x1.81670ade85f0fp-14, -0x1.7440471c55a48p-14, -0x1.6770cf895795ep-14, -0x1.5af58f7363467p-14, -0x1.4ecb90b6c47d8p-14, -0x1.42effac333cc2p-14, -0x1.376011a9be2cbp-14, -0x1.2c193527ebbb6p-14, -0x1.2118dfc2287e8p-14, -0x1.165ca5dc667f9p-14, -0x1.0be234e661bb2p-14, -0x1.01a75275ae4c4p-14, -0x1.ef53b6fa48b8fp-15, -0x1.dbcf86faa4a04p-15, -0x1.c8be2779cff3cp-15, -0x1.b61bd50e171d6p-15, -0x1.a3e4f4dc1306p-15, -0x1.921613274eb78p-15, -0x1.80abe1ef48afap-15, -0x1.6fa3378c86ee6p-15, -0x1.5ef90d62f9c7ep-15, -0x1.4eaa7e95fd661p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.07c93accb6114p+0, 0x1.f7b0cb4d89d33p-1, 0x1.e012ae3c5a6e1p-1, 0x1.c901421ba89d9p-1, 0x1.b2b7a788e49b9p-1, 0x1.9d64c3cc162cap-1, 0x1.892cce09dba0cp-1, 0x1.762ab29cae309p-1, 0x1.64716f41e66e5p-1, 0x1.540d17939b878p-1, 0x1.4503ccafee0fcp-1, 0x1.3756be028d759p-1, 0x1.2b030a408a8aep-1, 0x1.20027385591dap-1, 0x1.164be77975ef7p-1, 0x1.0dd3fb4164b21p-1, 0x1.068d73bc27e33p-1, 0x1.0069c14000eafp-1, 0x1.f6b2abdbab6c1p-2, 0x1.ee97ce706545cp-2, 0x1.e861633d25dccp-2, 0x1.e3ece59ced128p-2, 0x1.e11907f8b1d16p-2, 0x1.dfc42597991ffp-2, 0x1.dfcd2ac4125cep-2, 0x1.e113b23a5ff2fp-2, 0x1.e37850cb69002p-2, 0x1.e6dcccb77634dp-2, 0x1.eb243618b6bc3p-2, 0x1.f032ed066181p-2, 0x1.f5eea7338bbb3p-2, 0x1.fc3e7bf91518cp-2, 0x1.018578d8083dcp-1, 0x1.051f0224ae759p-1, 0x1.08e19120c276fp-1, 0x1.0cc39198f5eb5p-1, 0x1.10bc1e7ad3bb2p-1, 0x1.14c2fce914f29p-1, 0x1.18d097728c049p-1, 0x1.1cddf887e77f8p-1, 0x1.20e4c3dffed9cp-1, 0x1.24df2f4790ad2p-1, 0x1.28c7fba1afb0fp-1, 0x1.2c9a6e85cf56ep-1, 0x1.30524c524d5c6p-1, 0x1.33ebd22b69fbfp-1, 0x1.3763af6a34422p-1, 0x1.3ab6fe5786c8fp-1, 0x1.3de33c713ddcbp-1, 0x1.40e642af401cp-1, 0x1.43be3e3e3bde1p-1, 0x1.4669a9ff4911dp-1, 0x1.48e748e5a314cp-1, 0x1.4b362118f1af9p-1, 0x1.4d55779f47581p-1, 0x1.4f44cc4527411p-1, 0x1.5103d585057f5p-1, 0x1.52927c4cc37c9p-1, 0x1.53f0d7a2302b2p-1, 0x1.551f2842722eep-1, 0x1.561dd4630753p-1, 0x1.56ed63b4e0c87p-1, 0x1.578e7bb8e637p-1, 0x1.58022ad020592p-1, 0x1.5848a393cd0e4p-1, 0x1.58631d662c685p-1, 0x1.585297f75e0ecp-1, 0x1.581822b538545p-1, 0x1.57b4da1c73dp-1, 0x1.5729e56678921p-1, 0x1.56787491e768p-1, 0x1.55a1beb769cc3p-1, 0x1.54a70094e60c4p-1, 0x1.53897b386e2fcp-1, 0x1.524a72b9b338ep-1, 0x1.50eb2cf9ac86dp-1, 0x1.4f6cf06945958p-1, 0x1.4dd102de3c85dp-1, 0x1.4c18a87f790a7p-1, 0x1.4a4522d04bdb5p-1, 0x1.4857afdddd9c9p-1, 0x1.4651898da9a2bp-1, 0x1.4433e508ee478p-1, 0x1.41fff240237ap-1, 0x1.3fb6db827e7bap-1, 0x1.3d59c527462c3p-1, 0x1.3ae9cd482a7fap-1, 0x1.38680b8c2b732p-1, 0x1.35d59101c6886p-1, 0x1.333368058a525p-1, 0x1.308294308888dp-1, 0x1.2dc4124956198p-1, 0x1.2af8d832b2e2fp-1, 0x1.2821d4d4bd479p-1, 0x1.253ff00032b4ap-1, 0x1.22540a4df71b7p-1, 0x1.1f5efcff3f246p-1, 0x1.1c6199e3a2a6dp-1, 0x1.195cab49f0becp-1, 0x1.1650f3ff32e9dp-1, 0x1.133f2f5d2a1edp-1, 0x1.1028116789dc1p-1, 0x1.0d0c46f580df2p-1, 0x1.09ec75e43c47cp-1, 0x1.06c93d4eca701p-1, 0x1.03a335c8285d2p-1, 0x1.007af194f5066p-1, 0x1.faa1f9c62cc5fp-2, 0x1.f44bbbfcdccd1p-2, 0x1.edf42b04a3b83p-2, 0x1.e79c3d0fefc23p-2, 0x1.e144dda4a2facp-2, 0x1.daeeedefc7e13p-2, 0x1.d49b45166946ep-2, 0x1.ce4ab0846f1afp-2, 0x1.c7fdf43a113efp-2, 0x1.c1b5cb17f5f41p-2, 0x1.bb72e729c94b3p-2, 0x1.b535f1eed1218p-2, 0x1.aeff8c9ffdae6p-2, 0x1.a8d05073141d5p-2, 0x1.a2a8cedac658fp-2, 0x1.9c8991c3dc875p-2, 0x1.96731bcfd8e3ep-2, 0x1.9065e88db1a86p-2, 0x1.8a626cb148251p-2, 0x1.8469164a41131p-2, 0x1.7e7a4cfabb0a1p-2, 0x1.7896722e26d33p-2, 0x1.72bde1505482ap-2, 0x1.6cf0f00495ad9p-2, 0x1.672fee5cb80b3p-2, 0x1.617b270f7d059p-2, 0x1.5bd2dfae43063p-2, 0x1.563758d9985cbp-2, 0x1.50a8ce74836a5p-2, 0x1.4b2777d66bd61p-2, 0x1.45b387fb9565cp-2, 0x1.404d2db4443b7p-2, 0x1.3af493d2909f3p-2, 0x1.35a9e157052a2p-2, 0x1.306d399c13312p-2, 0x1.2b3ebc8067ff4p-2, 0x1.261e869010658p-2, 0x1.210cb12c6bf23p-2, 0x1.1c0952b2c2842p-2, 0x1.17147ea16c625p-2, 0x1.122dd9551a762p-2, 0x1.0d56261fc4905p-2, 0x1.088d2c0296252p-2, 0x1.03d2f4fd0ba6cp-2, 0x1.fe4f113cd16a8p-3, 0x1.f515d83f944eep-3, 0x1.ebfa44fce4448p-3, 0x1.e2fc592c2b026p-3, 0x1.da1c1275cbeap-3, 0x1.d1596aa635a94p-3, 0x1.c8b457df7b636p-3, 0x1.c02cccc9068c9p-3, 0x1.b7c2b8bd0c24dp-3, 0x1.af7607f3924e8p-3, 0x1.a746a3aad25bp-3, 0x1.9f34724cfe55ep-3, 0x1.973f579364c8bp-3, 0x1.8f6734a71dd0bp-3, 0x1.87abe83f7105fp-3, 0x1.800d4ebe2b9eep-3, 0x1.788b424a3356p-3, 0x1.71259ae89b8fep-3, 0x1.69dc2e94823e2p-3, 0x1.62aed155ff43ep-3, 0x1.5b9d5558579d5p-3, 0x1.54a78affb562cp-3, 0x1.4dcd40fe828dep-3, 0x1.470e446a870e2p-3, 0x1.406a60d1e8f4bp-3, 0x1.39e1604ffc3f8p-3, 0x1.33730ba206541p-3, 0x1.2d1f2a3bcf56ep-3, 0x1.26e5825c02405p-3, 0x1.20c5d9204d9d8p-3, 0x1.1abff29928d58p-3, 0x1.14d391dd2715dp-3, 0x1.0f00791bd37f1p-3, 0x1.094669aff3639p-3, 0x1.03a524312327ep-3, 0x1.fc38d1098f3abp-4, 0x1.f157ebdc7f365p-4, 0x1.e6a7163cabad3p-4, 0x1.dc25cc83e26ebp-4, 0x1.d1d38a2002099p-4, 0x1.c7afc9ad54666p-4, 0x1.bdba050f72ab7p-4, 0x1.b3f1b588dca26p-4, 0x1.aa5653d12cc13p-4, 0x1.a0e7582a2bb08p-4, 0x1.97a43a73c80e1p-4, 0x1.8e8c723f0ap-4, 0x1.859f76e0256bfp-4, 0x1.7cdcbf7fbf95fp-4, 0x1.7443c32b81a89p-4, 0x1.6bd3f8e60af93p-4, 0x1.638cd7b65a413p-4, 0x1.5b6dd6b6b968bp-4, 0x1.53766d23404a6p-4, 0x1.4ba61267f2504p-4, 0x1.43fc3e2e84fadp-4, 0x1.3c78686bd170ap-4, 0x1.351a096cf73d3p-4, 0x1.2de099e4303fep-4, 0x1.26cb92f5559dcp-4, 0x1.1fda6e42155c4p-4, 0x1.190ca5f5d51f8p-4, 0x1.1261b4d141861p-4, 0x1.0bd9163582bdcp-4, 0x1.0572462f167f2p-4, 0x1.fe59830094aacp-5, 0x1.f2100b56a7781p-5, 0x1.e60721f804c17p-5, 0x1.da3dc52219c72p-5, 0x1.ceb2f4c9e3802p-5, 0x1.c365b2ace4009p-5, 0x1.b85502613cad5p-5, 0x1.ad7fe964f5544p-5, 0x1.a2e56f2c72457p-5, 0x1.98849d3013732p-5, 0x1.8e5c7ef90c121p-5, 0x1.846c222d68877p-5, 0x1.7ab2969b53e17p-5, 0x1.712eee43951c5p-5, 0x1.67e03d635ab9ep-5, 0x1.5ec59a7d447acp-5, 0x1.55de1e61c75fbp-5, 0x1.4d28e436e1bf7p-5, 0x1.44a5097f2f9f7p-5, 0x1.3c51ae205e9bdp-5, 0x1.342df469118dbp-5, 0x1.2c3901162df54p-5, 0x1.2471fb57a40a1p-5, 0x1.1cd80cd4afafdp-5, 0x1.156a61af9decp-5, 0x1.0e2828891abaep-5, 0x1.0710928307f84p-5, 0x1.0022d342eababp-5, 0x1.f2bc41e7d7ec5p-6, 0x1.e5836890f006ep-6, 0x1.d89990f6f0f01p-6, 0x1.cbfd36a270fdep-6, 0x1.bfacda2fd2fbep-6, 0x1.b3a7014fad9cp-6, 0x1.a7ea36c68ef28p-6, 0x1.9c750a6c1d63ep-6, 0x1.91461129a4197p-6, 0x1.865be4f8114f9p-6, 0x1.7bb524dd6193p-6, 0x1.715074e987669p-6, 0x1.672c7e32d0ba2p-6, 0x1.5d47eed1cdb86p-6, 0x1.53a179dcbff36p-6, 0x1.4a37d762940d6p-6, 0x1.4109c4656e4f6p-6, 0x1.381602d4c810ep-6, 0x1.2f5b598726627p-6, 0x1.26d894336ee88p-6, 0x1.1e8c8369dfd3p-6, 0x1.1675fc8ca605p-6, 0x1.0e93d9c82033bp-6, 0x1.06e4fa0acfafcp-6, 0x1.fed081f9e5436p-7, 0x1.f0392defb4086p-7, 0x1.e201d1f9e303ep-7, 0x1.d42851590353bp-7, 0x1.c6aa98786703fp-7, 0x1.b9869cdaa8231p-7, 0x1.acba5d05ae5bap-7, 0x1.a043e06e5912ep-7, 0x1.94213763a53c6p-7, 0x1.88507af9845dfp-7, 0x1.7ccfccf34b6dcp-7, 0x1.719d57adc3652p-7, 0x1.66b74e08eb03dp-7, 0x1.5c1beb516f63bp-7, 0x1.51c97329d183ap-7, 0x1.47be31734f4dfp-7, 0x1.3df87a3688c96p-7, 0x1.3476a98bee662p-7, 0x1.2b372383f7fc3p-7, 0x1.2238540f30707p-7, 0x1.1978aee60c6f3p-7, 0x1.10f6af709c46fp-7, 0x1.08b0d8ae27629p-7, 0x1.00a5b51c95859p-7, 0x1.f1a7ad3f93118p-8, 0x1.e273acd1ca05dp-8, 0x1.d3aca9bae6e7dp-8, 0x1.c54ff2fd1baccp-8, 0x1.b75ae59fd8a3ep-8, 0x1.a9caec7df7bc2p-8, 0x1.9c9d8013c40a7p-8, 0x1.8fd0264d1744ep-8, 0x1.83607253746cep-8, 0x1.774c045c35e5dp-8, 0x1.6b908976bfc4p-8, 0x1.602bbb5ae4c66p-8, 0x1.551b60375f944p-8, 0x1.4a5d4a805db6ap-8, 0x1.3fef58be5a39dp-8, 0x1.35cf755d0c4b7p-8, 0x1.2bfb967a9d567p-8, 0x1.2271bdb71061cp-8, 0x1.192ff803e36abp-8, 0x1.10345d74177c1p-8, 0x1.077d110c44e05p-8, 0x1.fe1081267a6p-9, 0x1.eda848c5a3f0ep-9, 0x1.dd640a2109a05p-9, 0x1.cdf6cb90469cp-9, 0x1.bf00da960a208p-9, 0x1.b07ef73679c47p-9, 0x1.a26df4c03ceccp-9, 0x1.94cab97449708p-9, 0x1.87923e2e70c47p-9, 0x1.7ac18e0f006e4p-9, 0x1.6e55c625133ccp-9, 0x1.624c1519f0269p-9, 0x1.56a1badd31925p-9, 0x1.4b54085218acp-9, 0x1.40605efd85ac2p-9, 0x1.35c430b51179dp-9, 0x1.2b7cff4f156e6p-9, 0x1.21885c53ad0aep-9, 0x1.17e3e8ae8889cp-9, 0x1.0e8d5461e66b9p-9, 0x1.05825e3a6e32cp-9, 0x1.f981a70805a31p-10, 0x1.e88d1f7efb2f1p-10, 0x1.d822f8b33fbe1p-10, 0x1.c83f20c545d55p-10, 0x1.b8dda08dfac43p-10, 0x1.a9fa9b121abc2p-10, 0x1.9b924cf762496p-10, 0x1.8da10bfbd338ep-10, 0x1.8023466e9b33cp-10, 0x1.731582ab32eebp-10, 0x1.66745e961ccedp-10, 0x1.5a3c8f1baa987p-10, 0x1.4e6adfb07496bp-10, 0x1.42fc31d41fdbep-10, 0x1.37ed7c955b41bp-10, 0x1.2d3bcc1823a0ap-10, 0x1.22e4411dbbc06p-10, 0x1.18e4108e6c46p-10, 0x1.0f38830531e6dp-10, 0x1.05def45d142eep-10, 0x1.f9a9a6807c9b4p-11, 0x1.e82f41723aeb5p-11, 0x1.d749df8a0ab8ep-11, 0x1.c6f4c9d1543a5p-11, 0x1.b72b6b8d29fa4p-11, 0x1.a7e9516d854cbp-11, 0x1.992a28c1615d7p-11, 0x1.8ae9bead7a752p-11, 0x1.7d23ff66cc82ep-11, 0x1.6fd4f57002a67p-11, 0x1.62f8c8db47e5ep-11, 0x1.568bbe8e83cf1p-11, 0x1.4a8a378b927d1p-11, 0x1.3ef0b03bae77ep-11, 0x1.33bbbfbe53d0ap-11, 0x1.28e8173b32a47p-11, 0x1.1e728137d901fp-11, 0x1.1457e0f087749p-11, 0x1.0a9531b3e6cd8p-11, 0x1.012786432d0dfp-11, 0x1.f0181068166aep-12, 0x1.de7feeadc6085p-12, 0x1.cd81523f78652p-12, 0x1.bd17102567268p-12, 0x1.ad3c2666799d1p-12, 0x1.9debbaed6f0c2p-12, 0x1.8f211a749b08cp-12, 0x1.80d7b7769b042p-12, 0x1.730b29264a6acp-12, 0x1.65b72a6c1b1e3p-12, 0x1.58d798e94e228p-12, 0x1.4c687401ddea4p-12, 0x1.4065dbe9dae45p-12, 0x1.34cc10bb976fep-12, 0x1.2997719154ef8p-12, 0x1.1ec47ba459432p-12, 0x1.144fc9728c72ep-12, 0x1.0a3611e880c05p-12, 0x1.007427911f064p-12, 0x1.ee0def942aa2ap-13, 0x1.dbd713fad4a68p-13, 0x1.ca3dfdc0aeedfp-13, 0x1.b93d1f6bede0fp-13, 0x1.a8cf1b3067763p-13, 0x1.98eec18674e88p-13, 0x1.89970fcf4a944p-13, 0x1.7ac32eff1a6ap-13, 0x1.6c6e72514af2p-13, 0x1.5e94560393b82p-13, 0x1.51307e1c14dd9p-13, 0x1.443eb53493856p-13, 0x1.37baeb4ff525ap-13, 0x1.2ba134b55a32fp-13, 0x1.1fedc8d45a29dp-13, 0x1.149d012fec42fp-13, 0x1.09ab5850fe6c3p-13, 0x1.fe2ad17ede224p-14, 0x1.e9afd80444adfp-14, 0x1.d5df734ce01a2p-14, 0x1.c2b38c9889f36p-14, 0x1.b0264577bc6f3p-14, 0x1.9e31f5fd606e5p-14, 0x1.8cd12affb2dc6p-14, 0x1.7bfea465448a8p-14, 0x1.6bb5537d4ba73p-14, 0x1.5bf05961821fep-14, 0x1.4cab056779c6bp-14, 0x1.3de0d39850ee8p-14, 0x1.2f8d6b36161bcp-14, 0x1.21ac9d49fc8d6p-14, 0x1.143a633e9f89dp-14, 0x1.0732dd81277b4p-14, 0x1.f524a45e7987fp-15, 0x1.dcaa5799e39afp-15, 0x1.c4eff008ab238p-15, 0x1.adeeccdd77e5dp-15, 0x1.97a08ec711ec2p-15, 0x1.81ff15ad1ccc9p-15, 0x1.6d047e6f5554p-15, 0x1.58ab20bfc3102p-15, 0x1.44ed8d0323c49p-15, 0x1.31c68a4f51014p-15, 0x1.1f3114688a899p-15, 0x1.0d2859d9d226dp-15, 0x1.f74f7432f4e84p-16, 0x1.d5558770265fcp-16, 0x1.b45a6546bd393p-16, 0x1.9455dce2180fep-16, 0x1.754011765f7f9p-16, 0x1.57117715575cep-16, 0x1.39c2cf88db2adp-16, 0x1.1d4d2768bc8e3p-16, 0x1.01a9d3295bc8fp-16, 0x1.cda4d8a40d55cp-17, 0x1.99819d875ce88p-17, 0x1.66de2c47dd2d5p-17, 0x1.35af3684d39ddp-17, 0x1.05e9e36334707p-17, 0x1.af07958336d62p-18, 0x1.54e5e1544b6a7p-18, 0x1.fab703700eacap-19, 0x1.50ac2a1e60f24p-19, 0x1.570fe147f41aep-20, 0x1.650fcaf9a80b3p-24, -0x1.2125500205242p-20, -0x1.27c8ae68c1297p-19, -0x1.ba9780440ea56p-19, -0x1.248deb323880ep-18, -0x1.69b8a21758999p-18, -0x1.acd9223cdbb89p-18, -0x1.edfc2305abe5p-18, -0x1.1696edde398bp-17, -0x1.353d04ae8db22p-17, -0x1.52f5fa01f1b9bp-17, -0x1.6fc73a3278c73p-17, -0x1.8bb5fc6f1469cp-17, -0x1.a6c7452575af6p-17, -0x1.c0ffe879eb33fp-17, -0x1.da648c7d41b77p-17, -0x1.f2f9ab5daf0c5p-17, -0x1.0561cac49cde4p-16, -0x1.10e339d2ce8cap-16, -0x1.1c0324475e1e8p-16, -0x1.26c37990891f9p-16, -0x1.3126180e01e2ep-16, -0x1.3b2ccddc0005cp-16, -0x1.44d959aec1d41p-16, -0x1.4e2d6b97834eap-16, -0x1.572aa5c70aef1p-16, -0x1.5fd29d42e3f08p-16, -0x1.6826da92d6af3p-16, -0x1.7028da720ed36p-16, -0x1.77da0e66538a4p-16, -0x1.7f3bdd5d5659ap-16, -0x1.864fa441d6d76p-16, -0x1.8d16b681554c5p-16, -0x1.93925e97e4982p-16, -0x1.99c3de8389286p-16, -0x1.9fac704dfc1edp-16, -0x1.a54d4674413bap-16, -0x1.aaa78c5740104p-16, -0x1.afbc66a4a4a87p-16, -0x1.b48cf3b690f5dp-16, -0x1.b91a4bf6cea0bp-16, -0x1.bd658234fa065p-16, -0x1.c16fa3fb2a432p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.5c82b5dfe7ed8p+0, -0x1.536a13ab0e62ep+0, -0x1.4a02f6a0ebb03p+0, -0x1.4079df51db35dp+0, -0x1.36f43bd1dc043p+0, -0x1.2d911a3b3ff42p+0, -0x1.2469c695c1855p+0, -0x1.1b9273243261fp+0, -0x1.131ae090719d9p+0, -0x1.0b0ee784c9cd1p+0, -0x1.0376fd91897f7p+0, -0x1.f8b1683ad960ap-1, -0x1.eb6e4d11dc83ap-1, -0x1.df26b420c0d67p-1, -0x1.d3d91c977e656p-1, -0x1.c9810d4d3a45p-1, -0x1.c017abdc9da17p-1, -0x1.b794482fee076p-1, -0x1.afecc820ce9d3p-1, -0x1.a915f6bdf0a99p-1, -0x1.a303c5e309b7p-1, -0x1.9da9978da1ccap-1, -0x1.98fa62233b0f5p-1, -0x1.94e905e412481p-1, -0x1.916875a83bf01p-1, -0x1.8e6bd7c0d2ab4p-1, -0x1.8be69842e55acp-1, -0x1.89cc7b20f678p-1, -0x1.8811b12ee2485p-1, -0x1.86aaeb9b3ec91p-1, -0x1.858d691b7bdeap-1, -0x1.84aefc57ef01dp-1, -0x1.84060e75842cep-1, -0x1.8389a07361cd1p-1, -0x1.83314c0eb5188p-1, -0x1.82f5438c20c34p-1, -0x1.82ce4fe5e715bp-1, -0x1.82b5cd833551fp-1, -0x1.82a5a7dcd9c75p-1, -0x1.8298544d8cb7p-1, -0x1.8288cc35d7a9p-1, -0x1.827286bfa6b5ep-1, -0x1.825172ab4542fp-1, -0x1.8221f069bbc49p-1, -0x1.81e0cc75265ap-1, -0x1.818b399d36429p-1, -0x1.811ecb0418504p-1, -0x1.80996dbac97e5p-1, -0x1.7ff9621ef279cp-1, -0x1.7f3d353636ee6p-1, -0x1.7e63ba46b2b6cp-1, -0x1.7d6c04e69404fp-1, -0x1.7c5563af44b5fp-1, -0x1.7b1f5ba4b3d6bp-1, -0x1.79c9a4372645ep-1, -0x1.7854239dc9d6ep-1, -0x1.76beeb39101d5p-1, -0x1.750a33c1c5e31p-1, -0x1.7336593bc77c9p-1, -0x1.7143d6d706a4cp-1, -0x1.6f334303eba5ep-1, -0x1.6d054bf516039p-1, -0x1.6abab4a1b9234p-1, -0x1.6854617edc485p-1, -0x1.65d31ebe3ac4p-1, -0x1.6337e888c88fp-1, -0x1.6083ba03a1666p-1, -0x1.5db797afd9befp-1, -0x1.5ad48deecfbeep-1, -0x1.57dbaf81d8bd7p-1, -0x1.54ce1401e756p-1, -0x1.51acd65379155p-1, -0x1.4e79132007ec6p-1, -0x1.4b33e760bfacep-1, -0x1.47de6f066e944p-1, -0x1.4479c3c89cfc5p-1, -0x1.4106fc21e77bp-1, -0x1.3d872a7af6ab1p-1, -0x1.39fb5c8122595p-1, -0x1.36649aa28d46dp-1, -0x1.32c3e7a7b6afap-1, -0x1.2f1a40620a033p-1, -0x1.2b689b67ab168p-1, -0x1.27afe8d6a9037p-1, -0x1.23f1121c98089p-1, -0x1.202cf9c2bed3bp-1, -0x1.1c647b4192123p-1, -0x1.18986adf3a2fcp-1, -0x1.14c9959bf616bp-1, -0x1.10f8c12cb9f04p-1, -0x1.0d26ac0173c55p-1, -0x1.09540d522967p-1, -0x1.0581952d8441cp-1, -0x1.01afec8491694p-1, -0x1.fbbf6a63e7de3p-2, -0x1.f42313fb369cfp-2, -0x1.ec8bfd4067d1cp-2, -0x1.e4fb3f94f605dp-2, -0x1.dd71e668466d2p-2, -0x1.d5f0ef690db92p-2, -0x1.ce794acb117c7p-2, -0x1.c70bdb9ebd685p-2, -0x1.bfa9783614059p-2, -0x1.b852ea91deee4p-2, -0x1.b108f0d29d5c5p-2, -0x1.a9cc3da9df5adp-2, -0x1.a29d78c9d6af7p-2, -0x1.9b7d3f51dc6f6p-2, -0x1.946c24371974ep-2, -0x1.8d6ab0a8d0d93p-2, -0x1.8679646ff0871p-2, -0x1.7f98b649e0dd9p-2, -0x1.78c9143ee59fdp-2, -0x1.720ae3f4bdec4p-2, -0x1.6b5e82fe7ecbep-2, -0x1.64c4472a9ce1fp-2, -0x1.5e3c7ecfe178bp-2, -0x1.57c77119a5f4fp-2, -0x1.51655e532c596p-2, -0x1.4b1680318d638p-2, -0x1.44db0a1b87f0dp-2, -0x1.3eb3296e756f3p-2, -0x1.389f05bff6b6fp-2, -0x1.329ec11c2ff77p-2, -0x1.2cb27840e03c4p-2, -0x1.26da42d5d6bap-2, -0x1.211633a383e1fp-2, -0x1.1b6658c857087p-2, -0x1.15cabbed7b142p-2, -0x1.1043627b46a64p-2, -0x1.0ad04dcd770b6p-2, -0x1.05717b6706755p-2, -0x1.0026e5254c914p-2, -0x1.f5e102e4043edp-3, -0x1.eb9c86e77b1d2p-3, -0x1.e180367948de9p-3, -0x1.d78bebee34a9dp-3, -0x1.cdbf7c20d5021p-3, -0x1.c41ab6c3058d9p-3, -0x1.ba9d66abd7434p-3, -0x1.b147522262ca4p-3, -0x1.a8183b25f82fcp-3, -0x1.9f0fdfb3e6e3ap-3, -0x1.962dfa0b26fc2p-3, -0x1.8d7240eddbd8p-3, -0x1.84dc67e09da43p-3, -0x1.7c6c1f675b27ep-3, -0x1.7420b5d528dep-3, -0x1.6bfa731209515p-3, -0x1.63f8c7176f24ep-3, -0x1.5c1b5930d8e2dp-3, -0x1.5461ce71c8632p-3, -0x1.4ccbc9e1b7a35p-3, -0x1.4558eca7eed4cp-3, -0x1.3e08d636d3d5ep-3, -0x1.36db24766af73p-3, -0x1.2fcf73eda685ap-3, -0x1.28e55fea318c3p-3, -0x1.221c82a66f6d5p-3, -0x1.1b74756d74844p-3, -0x1.14ecd0bccd95p-3, -0x1.0e852c63fe4c9p-3, -0x1.083d1fa1b269cp-3, -0x1.0214413ea4336p-3, -0x1.f8144f4cbfa09p-4, -0x1.ec3cd1fc0110fp-4, -0x1.e0a136722b598p-4, -0x1.d540a859dcf28p-4, -0x1.ca1a5344f1dd7p-4, -0x1.bf2d62cdd99cdp-4, -0x1.b47902b6fd135p-4, -0x1.a9fc5f0881b05p-4, -0x1.9fb6a42cbad81p-4, -0x1.95a6ff0b93696p-4, -0x1.8bcc9d2523a1ap-4, -0x1.8226acab8f561p-4, -0x1.78b45c9c4bd56p-4, -0x1.6f74dcd8d2b6p-4, -0x1.66675e3ec5448p-4, -0x1.5d8b12bf719ddp-4, -0x1.54df2d76b07cp-4, -0x1.4c62e2c10016fp-4, -0x1.44156850cbbd2p-4, -0x1.3bf5f542c4b28p-4, -0x1.3403c23139286p-4, -0x1.2c3e0946548c9p-4, -0x1.24a4064d3b1cap-4, -0x1.1d34f6c1f54d6p-4, -0x1.15f019e0231d5p-4, -0x1.0ed4b0b077d7bp-4, -0x1.07e1fe14ffb18p-4, -0x1.011746d4361bep-4, -0x1.f4e7a345ef6b1p-5, -0x1.e7edce5aba709p-5, -0x1.db3fa43d1dbdfp-5, -0x1.cedbbe4f4578dp-5, -0x1.c2c0ba0b2e80ep-5, -0x1.b6ed390cfca77p-5, -0x1.ab5fe11bd921ep-5, -0x1.a0175c317aa43p-5, -0x1.951258807ee5bp-5, -0x1.8a4f8879b4e01p-5, -0x1.7fcda2d0733a9p-5, -0x1.758b627e1ae5dp-5, -0x1.6b8786c4d99c8p-5, -0x1.61c0d331bd861p-5, -0x1.58360f9e2e09dp-5, -0x1.4ee60830d622fp-5, -0x1.45cf8d5e04c81p-5, -0x1.3cf173e78fb78p-5, -0x1.344a94dc3bd22p-5, -0x1.2bd9cd96aaab2p-5, -0x1.239dffbbd239ep-5, -0x1.1b961138fdf94p-5, -0x1.13c0ec4156a49p-5, -0x1.0c1d7f4af4c9cp-5, -0x1.04aabd0b78914p-5, -0x1.facf38e85261cp-6, -0x1.eca6315b38c81p-6, -0x1.ded86225c4c9ep-6, -0x1.d163d2587fccbp-6, -0x1.c4469152d9d02p-6, -0x1.b77eb6b6cad62p-6, -0x1.ab0a625b8cc7ap-6, -0x1.9ee7bc3f845a5p-6, -0x1.9314f4795843fp-6, -0x1.879043283af31p-6, -0x1.7c57e86385106p-6, -0x1.716a2c29914c8p-6, -0x1.66c55e4dfa8e4p-6, -0x1.5c67d66738471p-6, -0x1.524ff3bbad57p-6, -0x1.487c1d2e362ap-6, -0x1.3eeac12a31221p-6, -0x1.359a558f274dep-6, -0x1.2c89579c06a49p-6, -0x1.23b64bda071c3p-6, -0x1.1b1fbe073cb74p-6, -0x1.12c44100eba5ap-6, -0x1.0aa26ead949e8p-6, -0x1.02b8e7e6d2c94p-6, -0x1.f60ca8c615004p-7, -0x1.e712c53de8605p-7, -0x1.d8818f8e05426p-7, -0x1.ca567f41721d6p-7, -0x1.bc8f18e7c494bp-7, -0x1.af28ede78cec8p-7, -0x1.a2219c5098adfp-7, -0x1.9576ceae36b33p-7, -0x1.89263bd975932p-7, -0x1.7d2da6cb6eb6ep-7, -0x1.718ade6f90076p-7, -0x1.663bbd760328fp-7, -0x1.5b3e2a2633ad5p-7, -0x1.509016316087ap-7, -0x1.462f7e8567e8ep-7, -0x1.3c1a6b1faff59p-7, -0x1.324eeee044433p-7, -0x1.28cb275d2256p-7, -0x1.1f8d3cb5c4e5p-7, -0x1.16936166e8647p-7, -0x1.0ddbd21e90debp-7, -0x1.0564d59057b7p-7, -0x1.fa5978940026ap-8, -0x1.ea63c110b473dp-8, -0x1.dae54c18f24p-8, -0x1.cbdaf3e27379fp-8, -0x1.bd41a50248081p-8, -0x1.af165e194e692p-8, -0x1.a1562f8163da5p-8, -0x1.93fe3afb5d2e9p-8, -0x1.870bb35dbc848p-8, -0x1.7a7bdc443a5f9p-8, -0x1.6e4c09c01da35p-8, -0x1.6279a00961995p-8, -0x1.57021330b97c1p-8, -0x1.4be2e6d26d4e7p-8, -0x1.4119adca16c0bp-8, -0x1.36a409e7368a6p-8, -0x1.2c7faba2b94cep-8, -0x1.22aa51d55802bp-8, -0x1.1921c96ee4df8p-8, -0x1.0fe3ed2e80678p-8, -0x1.06eea55bb50e1p-8, -0x1.fc7fcf01111cbp-9, -0x1.ebab6c48d5036p-9, -0x1.db5c41103ca2p-9, -0x1.cb8e84c51cfc3p-9, -0x1.bc3e873d170a5p-9, -0x1.ad68b032f7ef5p-9, -0x1.9f097ec600b2p-9, -0x1.911d88fb01365p-9, -0x1.83a17b3f4ee7ap-9, -0x1.769217eda7f8p-9, -0x1.69ec36d4e82e7p-9, -0x1.5dacc4c09d57cp-9, -0x1.51d0c3037d099p-9, -0x1.46554703aec52p-9, -0x1.3b3779c8eb0a5p-9, -0x1.3074978c7dfd5p-9, -0x1.2609ef4b13ba3p-9, -0x1.1bf4e2585f397p-9, -0x1.1232e3f48ff34p-9, -0x1.08c178e390101p-9, -0x1.ff3c6e0c2f12dp-10, -0x1.ed8d89e90e8f2p-10, -0x1.dc71b336f592ep-10, -0x1.cbe477b461f91p-10, -0x1.bbe184454e3bbp-10, -0x1.ac64a436ebeddp-10, -0x1.9d69c086b825p-10, -0x1.8eecdf2d1ebd8p-10, -0x1.80ea226b54a6bp-10, -0x1.735dc81ca2a35p-10, -0x1.6644290b06993p-10, -0x1.595b155d7535ep-10, -0x1.4d1e5d41d9a49p-10, -0x1.414a12f297a9ep-10, -0x1.35daf344ba743p-10, -0x1.2acdd2cd1a96dp-10, -0x1.201f9d494a408p-10, -0x1.15cd550b9e94bp-10, -0x1.0bd4126a36a1ep-10, -0x1.02310331092f9p-10, -0x1.f1c2d42df376dp-11, -0x1.dfc53c6b46ee3p-11, -0x1.ce6415089837cp-11, -0x1.bd9a5aaaedcebp-11, -0x1.ad632fae95123p-11, -0x1.9db9db2d94756p-11, -0x1.8e99c80b607cdp-11, -0x1.7ffe8405dfeaep-11, -0x1.71e3becbbe6fdp-11, -0x1.64454917c881p-11, -0x1.571f13d18b912p-11, -0x1.4a6d2f327fc2ap-11, -0x1.3e2bc9f0a3049p-11, -0x1.3257306d684bp-11, -0x1.26ebcbe995d11p-11, -0x1.1be621bdbf858p-11, -0x1.1142d2972fb2bp-11, -0x1.06fe99b96b24ep-11, -0x1.fa2c9887e0dc2p-12, -0x1.e70db0f8cfbe3p-12, -0x1.d49a8a39b8cebp-12, -0x1.c2cd614cab40dp-12, -0x1.b1a0a16e4ad05p-12, -0x1.a10ee2cb340f6p-12, -0x1.9112e93c8529bp-12, -0x1.81a7a30c51ba8p-12, -0x1.72c827c1c881ap-12, -0x1.646fb6f42957cp-12, -0x1.5699b7259022cp-12, -0x1.4941b4a462ff7p-12, -0x1.3c636073fda71p-12, -0x1.2ffa8f3be0f61p-12, -0x1.2403383dd3924p-12, -0x1.18797452631efp-12, -0x1.0d597cebf13afp-12, -0x1.029fab1fdbb1dp-12, -0x1.f090ed6be020fp-13, -0x1.dca0ea7c20151p-13, -0x1.c968b256f0c21p-13, -0x1.b6e1e1ec5f2f6p-13, -0x1.a5064c8395377p-13, -0x1.93cffa144d922p-13, -0x1.833925aadf099p-13, -0x1.733c3bd73552ap-13, -0x1.63d3d926610fp-13, -0x1.54fac8a654b23p-13, -0x1.46ac027412bc3p-13, -0x1.38e2aa53a3f42p-13, -0x1.2b9a0e51aee92p-13, -0x1.1ecda56f3a86fp-13, -0x1.12790e560585fp-13, -0x1.06980e1682baep-13, -0x1.f64d1dde1c5fcp-14, -0x1.e0413e36879bep-14, -0x1.cb04df58c559cp-14, -0x1.b690a6d449a3cp-14, -0x1.a2dd7b778f6dap-14, -0x1.8fe48331e747bp-14, -0x1.7d9f2105805e8p-14, -0x1.6c06f30891dafp-14, -0x1.5b15d0757a1ebp-14, -0x1.4ac5c7ca2c22p-14, -0x1.3b111cf44797cp-14, -0x1.2bf2478d4af0dp-14, -0x1.1d63f122c1961p-14, -0x1.0f60f38ca0c14p-14, -0x1.01e4574f93386p-14, -0x1.e9d2a4194c37dp-15, -0x1.d0d689fb95fdcp-15, -0x1.b8cb76f806be6p-15, -0x1.a1a8d32724c65p-15, -0x1.8b6655448257p-15, -0x1.75fc00016437ep-15, -0x1.61621f6d93e5ap-15, -0x1.4d914672fd0a1p-15, -0x1.3a824c6890ad1p-15, -0x1.282e4ab5db92cp-15, -0x1.168e9a8b2c686p-15, -0x1.059cd2ab33475p-15, -0x1.eaa58a902d1d5p-16, -0x1.cb54fbe0a0be7p-16, -0x1.ad3c7f1bd692ap-16, -0x1.905104e82be99p-16, -0x1.7487e5017aa44p-16, -0x1.59d6da8fbf55p-16, -0x1.403400a56c9bbp-16, -0x1.2795ced784d38p-16, -0x1.0ff315f118648p-16, -0x1.f285f988974cbp-17, -0x1.c6f9fa24756edp-17, -0x1.9d31c126be868p-17, -0x1.751d7c24d7a42p-17, -0x1.4eaded452ef88p-17, -0x1.29d465db43f6cp-17, -0x1.0682c13155c41p-17, -0x1.c956bef269a6bp-18, -0x1.888241e737023p-18, -0x1.4a6ec266a9a3ep-18, -0x1.0f03e527e4d43p-18, -0x1.ac5467456556dp-19, -0x1.3f962738cafcp-19, -0x1.af42fb79796a8p-20, -0x1.d131daa78de0bp-21, -0x1.56ea6c7614645p-23, 0x1.147b8c093ac6dp-21, 0x1.370357d6688ap-20, 0x1.dbbbb64448325p-20, 0x1.3c56470a83196p-19, 0x1.870c821fddb9dp-19, 0x1.ce20e75360a5fp-19, 0x1.08d9530467401p-18, 0x1.28efe6c5907b8p-18, 0x1.4762ac21963c3p-18, 0x1.643f9b35022c1p-18, 0x1.7f942c2115c66p-18, 0x1.996d5c1e5c4e1p-18, 0x1.b1d7b239eb889p-18, 0x1.c8df43f461208p-18, 0x1.de8fb9befb6f3p-18, 0x1.f2f4533c97f59p-18, 0x1.030bf5b70fee9p-17, 0x1.0c027e4f90589p-17, 0x1.1462d22016c35p-17, 0x1.1c31d34a358c7p-17, 0x1.2374391ea97cp-17, 0x1.2a2e91ce2312dp-17, 0x1.3065440f6604ap-17, 0x1.361c90b29454cp-17, 0x1.3b589421afe48p-17, 0x1.401d47d63279bp-17, 0x1.446e83bdeefe3p-17, 0x1.484fff925acc3p-17, 0x1.4bc55423a90b6p-17, 0x1.4ed1fc8d44ea7p-17, 0x1.517957744da28p-17, 0x1.53bea81cf69d5p-17, 0x1.55a517874a89bp-17, 0x1.572fb57bfb155p-17, 0x1.5861798c00e43p-17, 0x1.593d4407c3e5fp-17, 0x1.59c5deea097c2p-17, 0x1.59fdfebb3656ap-17, 0x1.59e8436b4d9ep-17, 0x1.5987391b6bc6ap-17, 0x1.58dd58ee95c5bp-17, 0x1.57ed09c164166p-17, 0x1.56b8a0dee17ecp-17, 0x1.554262b5e5c5p-17, 0x1.538c8379da19bp-17, 0x1.519927c5970eep-17, 0x1.4f6a6532b5e48p-17, 0x1.4d0242ebdc527p-17, 0x1.4a62ba3913badp-17, 0x1.478db7061a78bp-17, 0x1.4485185e10409p-17, 0x1.414ab0eaa0bd5p-17, 0x1.3de0476573a35p-17, 0x1.3a479708ac175p-17, 0x1.36824ff8321d3p-17, 0x1.329217a79cc63p-17, 0x1.2e78893a99574p-17, 0x1.2a3735e252e07p-17, 0x1.25cfa534e0e9bp-17, 0x1.2143558205652p-17, 0x1.1c93bc20f55e6p-17, 0x1.17c245c090abdp-17, 0x1.12d056ae8e6acp-17, 0x1.0dbf4b1ad004ep-17, 0x1.0890775d673f2p-17, 0x1.034528332c9fp-17, 0x1.fbbd45f551a6p-18, 0x1.f0bc4bd89fdccp-18, 0x1.e589d0a557dbp-18, 0x1.da28357983cdbp-18, 0x1.ce99ce613f76p-18, 0x1.c2e0e2b39f345p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.2f049b08bfb75p-2, -0x1.3a53c45033a92p-2, -0x1.45276ac356e8p-2, -0x1.4f7d910fd6395p-2, -0x1.59548c5f286dfp-2, -0x1.62ab012c06823p-2, -0x1.6b7fe006c7b9ap-2, -0x1.73d2624ffc854p-2, -0x1.7ba206ef78d13p-2, -0x1.82ee8f0d079cep-2, -0x1.89b7facf31494p-2, -0x1.8ffe8623be45fp-2, -0x1.95c2a59500222p-2, -0x1.9b05032e6e8c8p-2, -0x1.9fc67b729832fp-2, -0x1.a4081a641b58bp-2, -0x1.a7cb18a2ea46ep-2, -0x1.ab10d89edf139p-2, -0x1.addae3e058c83p-2, -0x1.b02ae86761e3fp-2, -0x1.b202b621a7e96p-2, -0x1.b3643c776564cp-2, -0x1.b45187ef2e95dp-2, -0x1.b4ccbfe87c3b7p-2, -0x1.b4d8246ca324ep-2, -0x1.b4760c15dd7d8p-2, -0x1.b3a8e20bf1b88p-2, -0x1.b2732415ede32p-2, -0x1.b0d760c06db5bp-2, -0x1.aed83597d2c6bp-2, -0x1.ac784d75cbb4p-2, -0x1.a9ba5ee19369bp-2, -0x1.a6a12a823c8dcp-2, -0x1.a32f79a2746abp-2, -0x1.9f681cc51719ap-2, -0x1.9b4dea4a04aa2p-2, -0x1.96e3bd229ce8cp-2, -0x1.922c739558fd3p-2, -0x1.8d2aee0ffa889p-2, -0x1.87e20e07d19aap-2, -0x1.8254b4e79d05fp-2, -0x1.7c85c30a94edcp-2, -0x1.767816c434ad2p-2, -0x1.702e8b745bdc4p-2, -0x1.69abf8a767e4cp-2, -0x1.62f33141ecdd3p-2, -0x1.5c0702b7b5b6p-2, -0x1.54ea344dc0f34p-2, -0x1.4d9f8666e26e2p-2, -0x1.4629b1dacd6c8p-2, -0x1.3e8b67573692fp-2, -0x1.36c74ecacfadp-2, -0x1.2ee006d9d841p-2, -0x1.26d8245c01d5cp-2, -0x1.1eb231e370115p-2, -0x1.1670af4c89eafp-2, -0x1.0e1611566ce21p-2, -0x1.05a4c143b7759p-2, -0x1.fa3e3906f3332p-3, -0x1.e90ee8c40d1e4p-3, -0x1.d7c01b82e0874p-3, -0x1.c65641b2d6404p-3, -0x1.b4d5b1fcbeb31p-3, -0x1.a342a8dedc497p-3, -0x1.91a1485648dfbp-3, -0x1.7ff597954f576p-3, -0x1.6e4382c62bad6p-3, -0x1.5c8edad9c47fap-3, -0x1.4adb5561dd96dp-3, -0x1.392c8c764145ep-3, -0x1.2785fea47710ap-3, -0x1.15eb0ee97bbedp-3, -0x1.045f04b50eaap-3, -0x1.e5ca17ec29775p-4, -0x1.c3006a5f49d3p-4, -0x1.a066eb2c7d4b5p-4, -0x1.7e034e697628p-4, -0x1.5bdb1231278b4p-4, -0x1.39f37f09f533dp-4, -0x1.1851a858d78bfp-4, -0x1.edf4d9c112b0fp-5, -0x1.abe4ee97f6739p-5, -0x1.6a7c7d8683446p-5, -0x1.29c40f147aa54p-5, -0x1.d3878ea10d72ap-6, -0x1.5506ce6031e53p-6, -0x1.b02937fa0cb42p-7, -0x1.72fbd6cf7fdaep-8, 0x1.cece386023641p-10, 0x1.29c4d1b0df0ccp-7, 0x1.0b15ca49baec6p-6, 0x1.7f7beb6de7377p-6, 0x1.f20a6005ac8ap-6, 0x1.315bb447aac5fp-5, 0x1.68bcf765b17a7p-5, 0x1.9f24c11b67176p-5, 0x1.d48f2a3e4994ep-5, 0x1.047c4d780f00cp-4, 0x1.1e2ee468b8af2p-4, 0x1.375dda9909f5ap-4, 0x1.5007d5a02075dp-4, 0x1.682b9f1b8760dp-4, 0x1.7fc823c664c98p-4, 0x1.96dc7290e2f41p-4, 0x1.ad67bbb81822bp-4, 0x1.c3694fdeae7d5p-4, 0x1.d8e09f2683d97p-4, 0x1.edcd384b75a0bp-4, 0x1.011763dfcc2cdp-3, 0x1.0b028b6479cfcp-3, 0x1.14a8055082de7p-3, 0x1.1e07d1cb11227p-3, 0x1.2721fe176e74ep-3, 0x1.2ff6a427d1e1dp-3, 0x1.3885ea314c6cfp-3, 0x1.40d00240eb75bp-3, 0x1.48d529d21c2a7p-3, 0x1.5095a96658d5bp-3, 0x1.5811d41e2b758p-3, 0x1.5f4a0753902a8p-3, 0x1.663eaa35c12c1p-3, 0x1.6cf02d66742c8p-3, 0x1.735f0a9887699p-3, 0x1.798bc43037ed6p-3, 0x1.7f76e4e4cbe1cp-3, 0x1.8520ff63d0a18p-3, 0x1.8a8aadf5e036bp-3, 0x1.8fb49224ef278p-3, 0x1.949f546436cbep-3, 0x1.994ba3b9ab76ap-3, 0x1.9dba356910ea5p-3, 0x1.a1ebc4a09f06cp-3, 0x1.a5e1122745a3ap-3, 0x1.a99ae40c888ecp-3, 0x1.ad1a0559f7325p-3, 0x1.b05f45c63c5e9p-3, 0x1.b36b7969cf035p-3, 0x1.b63f78753787ap-3, 0x1.b8dc1ee8f28cap-3, 0x1.bb424c4eeaf22p-3, 0x1.bd72e3758dc16p-3, 0x1.bf6eca2c73981p-3, 0x1.c136e902a2365p-3, 0x1.c2cc2b0659ep-3, 0x1.c42f7d8682cc1p-3, 0x1.c561cfd59772ep-3, 0x1.c664130e2fcbdp-3, 0x1.c73739d90a4adp-3, 0x1.c7dc3834a4361p-3, 0x1.c854033e525efp-3, 0x1.c89f90fcea13fp-3, 0x1.c8bfd82cd7fdbp-3, 0x1.c8b5d00dc6535p-3, 0x1.c8827031b39d6p-3, 0x1.c826b04d81f22p-3, 0x1.c7a3880afeaa4p-3, 0x1.c6f9eedc547c6p-3, 0x1.c62adbd0f0c9bp-3, 0x1.c537456bcc486p-3, 0x1.c420217b20b6dp-3, 0x1.c2e664f1775d9p-3, 0x1.c18b03c01d922p-3, 0x1.c00ef0b2eda19p-3, 0x1.be731d4d708a3p-3, 0x1.bcb879a94fb7ep-3, 0x1.badff456141f9p-3, 0x1.b8ea7a3a30165p-3, 0x1.b6d8f67549566p-3, 0x1.b4ac5243c878p-3, 0x1.b26574e39d295p-3, 0x1.b005437a41b1ep-3, 0x1.ad8ca0fbe603p-3, 0x1.aafc6e13d0677p-3, 0x1.a855890de3fd3p-3, 0x1.a598cdc145efcp-3, 0x1.a2c7157c2a3efp-3, 0x1.9fe136f0af71ap-3, 0x1.9ce80622d827p-3, 0x1.99dc54578ba9cp-3, 0x1.96bef004a8f27p-3, 0x1.9390a4c2145aap-3, 0x1.90523b3bcfd5ep-3, 0x1.8d04792505ef8p-3, 0x1.89a8212c0bf4dp-3, 0x1.863df2ef56034p-3, 0x1.82c6aaf3526d4p-3, 0x1.7f4302992d568p-3, 0x1.7bb3b01671f92p-3, 0x1.7819666d86105p-3, 0x1.7474d566ff67p-3, 0x1.70c6a98bc1f3cp-3, 0x1.6d0f8c1febc8ap-3, 0x1.6950231e89905p-3, 0x1.6589113604a44p-3, 0x1.61baf5c550027p-3, 0x1.5de66cd9c9958p-3, 0x1.5a0c0f2dc7e4p-3, 0x1.562c7227d88cap-3, 0x1.524827daa09cp-3, 0x1.4e5fbf055b366p-3, 0x1.4a73c314fa1abp-3, 0x1.4684bc25d2014p-3, 0x1.42932f05e0e91p-3, 0x1.3e9f9d379d9cbp-3, 0x1.3aaa84f549667p-3, 0x1.36b46134cbdd3p-3, 0x1.32bda9ac03aeep-3, 0x1.2ec6d2d593707p-3, 0x1.2ad04df6236b7p-3, 0x1.26da89220cf91p-3, 0x1.22e5ef437593p-3, 0x1.1ef2e820c8e35p-3, 0x1.1b01d8639aa08p-3, 0x1.1713219fdcd9dp-3, 0x1.1327225b7543cp-3, 0x1.0f3e361620cd4p-3, 0x1.0b58b551aac4ep-3, 0x1.0776f59a6a5ccp-3, 0x1.03994990084eep-3, 0x1.ff8001dd1cc9ep-4, 0x1.f7d6d12f4cfecp-4, 0x1.f03795384e09bp-4, 0x1.e8a2dc8b8dcc6p-4, 0x1.e11930421ae68p-4, 0x1.d99b140edfd8fp-4, 0x1.d2290653345d6p-4, 0x1.cac38033c32fp-4, 0x1.c36af5adb7f3dp-4, 0x1.bc1fd5ac2c7afp-4, 0x1.b4e28a1de3631p-4, 0x1.adb3780b242d3p-4, 0x1.a692ffabd15dbp-4, 0x1.9f817c7db1a1bp-4, 0x1.987f455ad10e4p-4, 0x1.918cac9006705p-4, 0x1.8aa9fff391971p-4, 0x1.83d788fbcfc99p-4, 0x1.7d158cd5fc5f8p-4, 0x1.76644c7cfd504p-4, 0x1.6fc404d033743p-4, 0x1.6934eeaa4cb4dp-4, 0x1.62b73ef810422p-4, 0x1.5c4b26cf23eb3p-4, 0x1.55f0d384c3643p-4, 0x1.4fa86ec4675d1p-4, 0x1.49721ea657d5ap-4, 0x1.434e05c62576ep-4, 0x1.3d3c435906f3bp-4, 0x1.373cf3441745ap-4, 0x1.31502e326facep-4, 0x1.2b7609ab1c644p-4, 0x1.25ae9826e8b1ep-4, 0x1.1ff9e925fd3adp-4, 0x1.1a580945511ffp-4, 0x1.14c90253e8711p-4, 0x1.0f4cdb67df40ep-4, 0x1.09e398f33dd63p-4, 0x1.048d3cd89572ap-4, 0x1.fe938cfec0758p-5, 0x1.f43265d04e214p-5, 0x1.e9f6f980cdbbcp-5, 0x1.dfe138ec6cb7cp-5, 0x1.d5f11097536cap-5, 0x1.cc2668d3e6a89p-5, 0x1.c28125e87d39ap-5, 0x1.b90128348b8adp-5, 0x1.afa64c553f59ep-5, 0x1.a6706b4989688p-5, 0x1.9d5f5a9597a15p-5, 0x1.9472ec65b6888p-5, 0x1.8baaefb09e8cdp-5, 0x1.830730592ac17p-5, 0x1.7a87774f73061p-5, 0x1.722b8ab14ff1fp-5, 0x1.69f32dea4179p-5, 0x1.61de21d2ba0dp-5, 0x1.59ec24cece3bp-5, 0x1.521cf2ec475c7p-5, 0x1.4a70460018a84p-5, 0x1.42e5d5c33758p-5, 0x1.3b7d57eed5e03p-5, 0x1.34368058012f3p-5, 0x1.2d11010aa2c1bp-5, 0x1.260c8a63e3af1p-5, 0x1.1f28cb2bf6a82p-5, 0x1.186570af42ed6p-5, 0x1.11c226d6f7fabp-5, 0x1.0b3e984105ae7p-5, 0x1.04da6e5779a1dp-5, 0x1.fd2aa2ce900bbp-6, 0x1.f0ddd16cf57fbp-6, 0x1.e4cdb53396ad7p-6, 0x1.d8f9991350cc1p-6, 0x1.cd60c66d4f4a6p-6, 0x1.c202853acbd49p-6, 0x1.b6de1c33add79p-6, 0x1.abf2d0f40ae99p-6, 0x1.a13fe8208f20cp-6, 0x1.96c4a589c9d4ap-6, 0x1.8c804c4e67eefp-6, 0x1.82721efc60051p-6, 0x1.78995fb10e1e2p-6, 0x1.6ef55038462e6p-6, 0x1.6585322a64524p-6, 0x1.5c48470955dbp-6, 0x1.533dd05ca6704p-6, 0x1.4a650fcc979b1p-6, 0x1.41bd473c38e0ap-6, 0x1.3945b8e296f1dp-6, 0x1.30fda762f7603p-6, 0x1.28e455e429ffap-6, 0x1.20f90826f9198p-6, 0x1.193b029bb4edap-6, 0x1.11a98a76df6c7p-6, 0x1.0a43e5c50422fp-6, 0x1.03095b7db7699p-6, 0x1.f7f2672b8d619p-7, 0x1.ea256e2133d7dp-7, 0x1.dcaa60219fe59p-7, 0x1.cf7fd3d028e72p-7, 0x1.c2a4624c6fca7p-7, 0x1.b616a74f19fffp-7, 0x1.a9d54145106ep-7, 0x1.9dded1696c9ecp-7, 0x1.9231fbddfc3c4p-7, 0x1.86cd67c26a55bp-7, 0x1.7bafbf4a2bfbcp-7, 0x1.70d7afd119afep-7, 0x1.6643e9eecd927p-7, 0x1.5bf32188d89cap-7, 0x1.51e40de3bf6a8p-7, 0x1.481569b2d3b0dp-7, 0x1.3e85f326fb8b7p-7, 0x1.35346bfc5553dp-7, 0x1.2c1f9986d9ea9p-7, 0x1.234644bdf526fp-7, 0x1.1aa73a4720aa9p-7, 0x1.12414a7f891e5p-7, 0x1.0a134984c452cp-7, 0x1.021c0f3ca0015p-7, 0x1.f4b4eeb820261p-8, 0x1.e59ac2da865e9p-8, 0x1.d6e761a9cae67p-8, 0x1.c89899ad2f4f5p-8, 0x1.baac413142ddap-8, 0x1.ad20364dcbbe1p-8, 0x1.9ff25eea3fc7bp-8, 0x1.9320a8c0dc463p-8, 0x1.86a90960689ep-8, 0x1.7a897e2cada4ap-8, 0x1.6ec00c5db2d8fp-8, 0x1.634ac0fdc8846p-8, 0x1.5827b0e66df89p-8, 0x1.4d54f8bc1c5aep-8, 0x1.42d0bce905794p-8, 0x1.38992996cc494p-8, 0x1.2eac72a747acdp-8, 0x1.2508d3ac5445dp-8, 0x1.1bac8fdec4d37p-8, 0x1.1295f214774aap-8, 0x1.09c34cb59b544p-8, 0x1.0132f9b132eb2p-8, 0x1.f1c6b4e1a7b47p-9, 0x1.e1a5af97729f6p-9, 0x1.d1ffc3f25137ep-9, 0x1.c2d1e10468bfbp-9, 0x1.b4190465cf77ep-9, 0x1.a5d23a15bdb3p-9, 0x1.97fa9c5ab2f06p-9, 0x1.8a8f53a190b12p-9, 0x1.7d8d965bcd5d8p-9, 0x1.70f2a8dcb909cp-9, 0x1.64bbdd35f670fp-9, 0x1.58e6931327065p-9, 0x1.4d703794e010bp-9, 0x1.4256452af4a33p-9, 0x1.3796436e1e95p-9, 0x1.2d2dc6f9187bdp-9, 0x1.231a71412c098p-9, 0x1.1959f06e4b525p-9, 0x1.0fe9ff32b7cb4p-9, 0x1.06c864a247547p-9, 0x1.fbe5e81297a1bp-10, 0x1.eacf198660dbfp-10, 0x1.da4834219ffbep-10, 0x1.ca4d25dd1d08dp-10, 0x1.bad9f3d47f12dp-10, 0x1.abeab9f1d309ep-10, 0x1.9d7baa98c1846p-10, 0x1.8f890e5199bd2p-10, 0x1.820f437442ab8p-10, 0x1.750abdd30ed66p-10, 0x1.6878066598083p-10, 0x1.5c53baf39e639p-10, 0x1.509a8dc0093f4p-10, 0x1.4549453408a88p-10, 0x1.3a5cbb8a6bd06p-10, 0x1.2fd1de7b33252p-10, 0x1.25a5aee7791d9p-10, 0x1.1bd540859e91dp-10, 0x1.125db98de68b8p-10, 0x1.093c526774093p-10, 0x1.006e5555c1cfp-10, 0x1.efe23c4d18c18p-11, 0x1.df8433c09cb55p-11, 0x1.cfbd8ce283bdap-11, 0x1.c08964bdf55d2p-11, 0x1.b1e2f8ed37bacp-11, 0x1.a3c5a6fb64eafp-11, 0x1.962cebc773cafp-11, 0x1.891462e8a17e9p-11, 0x1.7c77c61448649p-11, 0x1.7052ec852f18bp-11, 0x1.64a1ca645810fp-11, 0x1.596070335eac2p-11, 0x1.4e8b0a3866a6p-11, 0x1.441ddfeba9339p-11, 0x1.3a155366a687bp-11, 0x1.306de0d502bd5p-11, 0x1.27241de713c5ap-11, 0x1.1e34b94627cb2p-11, 0x1.159c7a0a896f5p-11, 0x1.0d583f3343773p-11, 0x1.0564ff1fae7cp-11, 0x1.fb7f8e158af26p-12, 0x1.eccb751093176p-12, 0x1.dea826076dd5dp-12, 0x1.d1103e8215c05p-12, 0x1.c3fe85bec1a42p-12, 0x1.b76debbaca12dp-12, 0x1.ab59883f41213p-12, 0x1.9fbc99f13933ep-12, 0x1.94928565c2816p-12, 0x1.89d6d43998fc5p-12, 0x1.7f85342c887f5p-12, 0x1.7599764082481p-12, 0x1.6c0f8ddc617f4p-12, 0x1.62e38ff2634fdp-12, 0x1.5a11b22a47bd6p-12, 0x1.51964a0f1c218p-12, 0x1.496dcc40ae681p-12, 0x1.4194cba89c6f8p-12, 0x1.3a07f8b304f3dp-12, 0x1.32c4208acf35cp-12, 0x1.2bc62c598383p-12, 0x1.250b208ab2d29p-12, 0x1.1e901c12e0d8dp-12, 0x1.185257b9f3476p-12, 0x1.124f25691601dp-12, 0x1.0c83ef7c12072p-12, 0x1.06ee38160ef46p-12, 0x1.018b9879b61f3p-12, 0x1.f8b380c963bffp-13, 0x1.eeaceadcf8e02p-13, 0x1.e4ff24d4f2cedp-13, 0x1.dba60d9aa0c9bp-13, 0x1.d29dac2afd0a3p-13, 0x1.c9e22e6e30b49p-13, 0x1.c16fe8155dc38p-13, 0x1.b943517ea0851p-13, 0x1.b159069f3ddc2p-13, 0x1.a9adc5f3d6a33p-13, 0x1.a23e6f76a4b15p-13, 0x1.9b08039b9392ep-13, 0x1.9407a2523edcfp-13, 0x1.8d3a8a0da0f7cp-13, 0x1.869e16d17b616p-13, 0x1.802fc145537c1p-13, 0x1.79ed1dcceb947p-13, 0x1.73d3dba638212p-13, 0x1.6de1c40ca0981p-13, 0x1.6814b961913fep-13, 0x1.626ab65a3743dp-13, 0x1.5ce1cd3257b8fp-13, 0x1.577826e42eab5p-13, 0x1.522c02653fadap-13, 0x1.4cfbb3e8024e5p-13, 0x1.47e5a422586d6p-13, 0x1.42e84f98b287bp-13, 0x1.3e0245edd80eep-13, 0x1.3932293736149p-13, 0x1.3476ad55a4128p-13, 0x1.2fce975287649p-13, 0x1.2b38bcc147f18p-13, 0x1.26b40324f762bp-13, 0x1.223f5f5a1f35cp-13, 0x1.1dd9d5049e3c2p-13, 0x1.1982760183852p-13, 0x1.153861dcd02e7p-13, 0x1.10fac54b0b62cp-13, 0x1.0cc8d9a6a31f7p-13, 0x1.08a1e470ebd2p-13, 0x1.048536d6c8b4ap-13, 0x1.00722d38d548cp-13, 0x1.f8d05d6e1510fp-14, 0x1.f0cd597f808f1p-14, 0x1.e8da454413bc3p-14, 0x1.e0f62a4690902p-14, 0x1.d920242fe5406p-14, 0x1.d1575ffeecacep-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.171e255213f65p-2, -0x1.2349e246671adp-2, -0x1.2f3975c629442p-2, -0x1.3aeb57e4a08fep-2, -0x1.465e20442288bp-2, -0x1.519085613f311p-2, -0x1.5c815bd1108e9p-2, -0x1.672f95751d089p-2, -0x1.719a40a70c4e4p-2, -0x1.7bc0875e128ddp-2, -0x1.85a1ae4fc482dp-2, -0x1.8f3d140dd2fd4p-2, -0x1.98923021f66aap-2, -0x1.a1a09229275eap-2, -0x1.aa67e0ef23a25p-2, -0x1.b2e7d98b10422p-2, -0x1.bb204e7dfcc0ap-2, -0x1.c31126d3dc16fp-2, -0x1.caba5d4783c2ap-2, -0x1.d21bff6a22cbbp-2, -0x1.d9362cce8aea3p-2, -0x1.e0091638a5844p-2, -0x1.e694fcd14db1ap-2, -0x1.ecda315ec4ec5p-2, -0x1.f2d91381eca6fp-2, -0x1.f89210f860ee9p-2, -0x1.fe05a4e389a56p-2, -0x1.019a2b8a543eep-1, -0x1.040f5daefb177p-1, -0x1.0662b8745fbf5p-1, -0x1.089490c842d24p-1, -0x1.0aa540a18a6a6p-1, -0x1.0c9526b2c1e0ep-1, -0x1.0e64a61f02621p-1, -0x1.101426313feefp-1, -0x1.11a41215eb67fp-1, -0x1.1314d896dea1ap-1, -0x1.1466ebd9889e2p-1, -0x1.159ac11f4abfap-1, -0x1.16b0d087fb4b1p-1, -0x1.17a994d6807b3p-1, -0x1.18858b377680ep-1, -0x1.19453309d4c95p-1, -0x1.19e90da984069p-1, -0x1.1a719e3bdb155p-1, -0x1.1adf697df4acdp-1, -0x1.1b32f594d3f3ep-1, -0x1.1b6cc9df4906ap-1, -0x1.1b8d6ec98fedep-1, -0x1.1b956da299c24p-1, -0x1.1b855072f8f15p-1, -0x1.1b5da1d564c5ap-1, -0x1.1b1eecd0ccb63p-1, -0x1.1ac9bcb3ef2e8p-1, -0x1.1a5e9cf26be38p-1, -0x1.19de19034a73bp-1, -0x1.1948bc40e9027p-1, -0x1.189f11ca4d4eep-1, -0x1.17e1a465d023p-1, -0x1.1710fe65173c2p-1, -0x1.162da98a5b786p-1, -0x1.15382eeeeda8p-1, -0x1.143116eaf6ee3p-1, -0x1.1318e8fe6a226p-1, -0x1.11f02bbb200b6p-1, -0x1.10b764b01730cp-1, -0x1.0f6f1855ce784p-1, -0x1.0e17c9fbb5471p-1, -0x1.0cb1fbb6a77acp-1, -0x1.0b3e2e507143dp-1, -0x1.09bce138501c2p-1, -0x1.082e92746d1bap-1, -0x1.0693be944655fp-1, -0x1.04ece0a403f3dp-1, -0x1.033a7220aeb39p-1, -0x1.017ceaed41df3p-1, -0x1.ff69829129f8ep-2, -0x1.fbc4d38820e9fp-2, -0x1.f80cae76583a7p-2, -0x1.f441f5975a88cp-2, -0x1.f065879d40afbp-2, -0x1.ec783fa409bc1p-2, -0x1.e87af52650f8p-2, -0x1.e46e7bf34d5fcp-2, -0x1.e053a426199fcp-2, -0x1.dc2b3a1e2804ap-2, -0x1.d7f60678e8861p-2, -0x1.d3b4ce0c86f97p-2, -0x1.cf6851e3bb44p-2, -0x1.cb114f3a9facap-2, -0x1.c6b07f7c8481ap-2, -0x1.c2469842b05bap-2, -0x1.bdd44b540746cp-2, -0x1.b95a46a58c0f9p-2, -0x1.b4d9345bb0b6dp-2, -0x1.b051bacc72154p-2, -0x1.abc47c822842p-2, -0x1.a732183f13355p-2, -0x1.a29b29018b076p-2, -0x1.9e004608d3595p-2, -0x1.996202da898dfp-2, -0x1.94c0ef489fc03p-2, -0x1.901d9777e2b27p-2, -0x1.8b7883e6feda1p-2, -0x1.86d23975fdeb2p-2, -0x1.822b396e356ccp-2, -0x1.7d84018aa3b1p-2, -0x1.78dd0c00a8b86p-2, -0x1.7436cf89243cfp-2, -0x1.6f91bf69e51a5p-2, -0x1.6aee4b7f6bd5bp-2, -0x1.664ce046f5b6bp-2, -0x1.61ade6e8d072p-2, -0x1.5d11c542ea147p-2, -0x1.5878ddf39d2f3p-2, -0x1.53e39064b46e3p-2, -0x1.4f5238d69a299p-2, -0x1.4ac5306bba1a5p-2, -0x1.463ccd3406aebp-2, -0x1.41b96238a431ap-2, -0x1.3d3b3f87b2bb2p-2, -0x1.38c2b2403608cp-2, -0x1.3450049e12e38p-2, -0x1.2fe37e062445p-2, -0x1.2b7d63125e8fcp-2, -0x1.271df59e05404p-2, -0x1.22c574d1e8184p-2, -0x1.1e741d30abb8fp-2, -0x1.1a2a28a31713ep-2, -0x1.15e7ce84614cdp-2, -0x1.11ad43ae85c3p-2, -0x1.0d7aba869111fp-2, -0x1.09506308ecbfcp-2, -0x1.052e6ad5a452fp-2, -0x1.0114fd3ca20cbp-2, -0x1.fa088693c22b3p-3, -0x1.f1f8c7a32cdabp-3, -0x1.e9fb06f88ec3ep-3, -0x1.e20f89a5a92f2p-3, -0x1.da369094e7d2cp-3, -0x1.d27058a1297afp-3, -0x1.cabd1aad6d6cfp-3, -0x1.c31d0bbc479d9p-3, -0x1.bb905d07345c4p-3, -0x1.b4173c15b8181p-3, -0x1.acb1d2d44c20dp-3, -0x1.a56047ab1e8bap-3, -0x1.9e22bd9497286p-3, -0x1.96f95433a50d3p-3, -0x1.8fe427e9d9fe5p-3, -0x1.88e351ed43dd8p-3, -0x1.81f6e85e0c0cp-3, -0x1.7b1efe5bde804p-3, -0x1.745ba41b0d216p-3, -0x1.6dace6f972ec2p-3, -0x1.6712d19318a48p-3, -0x1.608d6bd6978e3p-3, -0x1.5a1cbb193404dp-3, -0x1.53c0c22abee78p-3, -0x1.4d7981692373ep-3, -0x1.4746f6d3bcd5cp-3, -0x1.41291e1e6011ep-3, -0x1.3b1ff0c41c0c8p-3, -0x1.352b6619b6b75p-3, -0x1.2f4b735fe21dfp-3, -0x1.29800bd526ae6p-3, -0x1.23c920c788045p-3, -0x1.1e26a1a5db6b2p-3, -0x1.18987c10de2a2p-3, -0x1.131e9bebf8407p-3, -0x1.0db8eb6dbb65fp-3, -0x1.08675330190abp-3, -0x1.0329ba404cb05p-3, -0x1.fc000c5cf37adp-4, -0x1.f1d4363a0eaf1p-4, -0x1.e7cfb79f54e0dp-4, -0x1.ddf25374582f7p-4, -0x1.d43bca1dc307dp-4, -0x1.caabd999c4457p-4, -0x1.c1423d9bdb3c6p-4, -0x1.b7feafa815441p-4, -0x1.aee0e72dc58edp-4, -0x1.a5e899a19ead4p-4, -0x1.9d157a9748202p-4, -0x1.94673bda5beb7p-4, -0x1.8bdd8d86de493p-4, -0x1.83781e2124ed8p-4, -0x1.7b369aad337dp-4, -0x1.7318aec58dbd9p-4, -0x1.6b1e04b17ecc4p-4, -0x1.6346457ad9917p-4, -0x1.5b911903310b8p-4, -0x1.53fe26188a05p-4, -0x1.4c8d128988ac5p-4, -0x1.453d83391a94cp-4, -0x1.3e0f1c319e02p-4, -0x1.370180b78812fp-4, -0x1.3014535b8c426p-4, -0x1.2947360c45988p-4, -0x1.2299ca276212fp-4, -0x1.1c0bb08a547d7p-4, -0x1.159c89a28bac3p-4, -0x1.0f4bf57d3242dp-4, -0x1.091993d676addp-4, -0x1.03050428600e6p-4, -0x1.fa1bcb725b9f4p-5, -0x1.ee67af528dfcp-5, -0x1.e2ecf20171031p-5, -0x1.d7aad1788bd5ep-5, -0x1.cca08bb4178d5p-5, -0x1.c1cd5ecb7285ep-5, -0x1.b7308908baf09p-5, -0x1.acc948ffa07bfp-5, -0x1.a296dda3644abp-5, -0x1.9898865c132d3p-5, -0x1.8ecd831afad39p-5, -0x1.8535146e5c6d2p-5, -0x1.7bce7b9461a3ap-5, -0x1.7298fa8d560dcp-5, -0x1.6993d42d2b148p-5, -0x1.60be4c2c464bcp-5, -0x1.5817a7379f2a3p-5, -0x1.4f9f2b0034394p-5, -0x1.47541e49cf4a7p-5, -0x1.3f35c8f92c0c8p-5, -0x1.3743742175645p-5, -0x1.2f7c6a11284fbp-5, -0x1.27dff65e5819dp-5, -0x1.206d65f25d077p-5, -0x1.19240714eb5d9p-5, -0x1.120329769b8f5p-5, -0x1.0b0a1e3ae175bp-5, -0x1.043838017c123p-5, -0x1.fb1995deb6c94p-6, -0x1.ee0e596e03ecap-6, -0x1.e14d6940ce0ddp-6, -0x1.d4d57720b36abp-6, -0x1.c8a5381ed424p-6, -0x1.bcbb64a0b3038p-6, -0x1.b116b86c33ac7p-6, -0x1.a5b5f2b2adc39p-6, -0x1.9a97d61b2db03p-6, -0x1.8fbb28cbd5979p-6, -0x1.851eb4727462bp-6, -0x1.7ac1464c4f4a6p-6, -0x1.70a1af2d2b47ap-6, -0x1.66bec3858f5fdp-6, -0x1.5d175b6857b86p-6, -0x1.53aa528f8e30cp-6, -0x1.4a76886098b18p-6, -0x1.417adfefbb13fp-6, -0x1.38b64002fc1dbp-6, -0x1.30279314673bp-6, -0x1.27cdc753b6ee1p-6, -0x1.1fa7cea76e485p-6, -0x1.17b49ead60066p-6, -0x1.0ff330baae9p-6, -0x1.086281db47acdp-6, -0x1.010192d0debfp-6, -0x1.f39ed022d9193p-7, -0x1.e596138a7038ep-7, -0x1.d7e70788dc905p-7, -0x1.ca8fcb2895a6dp-7, -0x1.bd8e84c7b58c3p-7, -0x1.b0e16210a4d0ep-7, -0x1.a48697f21c335p-7, -0x1.987c6296549a4p-7, -0x1.8cc105599535fp-7, -0x1.8152cac015ee8p-7, -0x1.7630046b361ecp-7, -0x1.6b570b0e26927p-7, -0x1.60c63e61f47bdp-7, -0x1.567c05190eb62p-7, -0x1.4c76ccd245549p-7, -0x1.42b50a0b4846bp-7, -0x1.39353812afa0bp-7, -0x1.2ff5d8f994255p-7, -0x1.26f57584bae09p-7, -0x1.1e329d1d5c6abp-7, -0x1.15abe5c18e6fap-7, -0x1.0d5febf45323dp-7, -0x1.054d52ad5640cp-7, -0x1.fae58690b812p-8, -0x1.eb9ddae8d0c37p-8, -0x1.dcc10e45439c8p-8, -0x1.ce4c98e9f016fp-8, -0x1.c03dff591ff58p-8, -0x1.b292d22ff935fp-8, -0x1.a548ae028e569p-8, -0x1.985d3b379aba6p-8, -0x1.8bce2de3efadap-8, -0x1.7f9945a59d4bcp-8, -0x1.73bc4d7eddc15p-8, -0x1.68351bb0cc32cp-8, -0x1.5d019195ee0ap-8, -0x1.521f9b7c96443p-8, -0x1.478d30812a59ap-8, -0x1.3d4852684e17ep-8, -0x1.334f0d78ffb94p-8, -0x1.299f7856a8296p-8, -0x1.2037b3db26817p-8, -0x1.1715eaf0de0c5p-8, -0x1.0e38526cc95bep-8, -0x1.059d28e89bb9ap-8, -0x1.fa856d39e6646p-9, -0x1.ea4e9a7743fbep-9, -0x1.da928f94278e9p-9, -0x1.cb4e14f7a45e6p-9, -0x1.bc7e051a6203fp-9, -0x1.ae1f4c3c3e06dp-9, -0x1.a02ee81a51aafp-9, -0x1.92a9e7a552efbp-9, -0x1.858d6ab86476ap-9, -0x1.78d6a1d04eafp-9, -0x1.6c82cdc339ec4p-9, -0x1.608f3f78e064ap-9, -0x1.54f957a343ebp-9, -0x1.49be8677efd52p-9, -0x1.3edc4b69c9df7p-9, -0x1.345034e375feap-9, -0x1.2a17e0025230bp-9, -0x1.2030f85214fecp-9, -0x1.16993789075f3p-9, -0x1.0d4e6544e9ba8p-9, -0x1.044e56c880b28p-9, -0x1.f72ddd739d7ap-10, -0x1.e64c39c1fd04ep-10, -0x1.d5f3bbd002c38p-10, -0x1.c6207635c671dp-10, -0x1.b6ce9451afe78p-10, -0x1.a7fa59cc09222p-10, -0x1.99a0221c04fb9p-10, -0x1.8bbc600e4c906p-10, -0x1.7e4b9d4d05d39p-10, -0x1.714a79e969d3cp-10, -0x1.64b5abe6d54ddp-10, -0x1.5889fec76e92fp-10, -0x1.4cc4531a521dfp-10, -0x1.41619e0b46f93p-10, -0x1.365ee8f412997p-10, -0x1.2bb950ef47061p-10, -0x1.216e066cb2b6ap-10, -0x1.177a4cc75ba19p-10, -0x1.0ddb79dd069bdp-10, -0x1.048ef5a754d5p-10, -0x1.f72473ace9408p-11, -0x1.e5c5a2dab73fcp-11, -0x1.d4fcb0bf27cf2p-11, -0x1.c4c4f6612f98dp-11, -0x1.b519ed29711fp-11, -0x1.a5f72e2724f38p-11, -0x1.9758715812ea3p-11, -0x1.89398cf39d9ebp-11, -0x1.7b9674b8d7136p-11, -0x1.6e6b393f9f88bp-11, -0x1.61b4074cc6ac3p-11, -0x1.556d272928968p-11, -0x1.4992fbfbc6d3p-11, -0x1.3e220326d1f44p-11, -0x1.3316d3a7a1021p-11, -0x1.286e1d7990e5fp-11, -0x1.1e24a8fbc3f53p-11, -0x1.14375659bcdc9p-11, -0x1.0aa31cf6cbb39p-11, -0x1.01650adc49d5cp-11, -0x1.f0f4885535a78p-12, -0x1.dfc00519d619dp-12, -0x1.cf27295f4ee3dp-12, -0x1.bf24bb7347401p-12, -0x1.afb3a98fd00ffp-12, -0x1.a0cf08d84248dp-12, -0x1.9272145b4e651p-12, -0x1.84982c1a29ed8p-12, -0x1.773cd414d3006p-12, -0x1.6a5bb35b4d76dp-12, -0x1.5df09323d6f49p-12, -0x1.51f75de5f7502p-12, -0x1.466c1e7a5e02ep-12, -0x1.3b4aff3f80ec1p-12, -0x1.30904942e895bp-12, -0x1.2638636f15b6ep-12, -0x1.1c3fd1bdf2e48p-12, -0x1.12a3346fc560ep-12, -0x1.095f47467eddp-12, -0x1.0070e0c5709fdp-12, -0x1.efa9e2ea7bb08p-13, -0x1.df110658169bep-13, -0x1.cf1170b39e52cp-13, -0x1.bfa596b1708c4p-13, -0x1.b0c81b832d132p-13, -0x1.a273cf8873c65p-13, -0x1.94a3af075ac74p-13, -0x1.8752e0ec91203p-13, -0x1.7a7cb592fb72cp-13, -0x1.6e1ca592b5f65p-13, -0x1.622e509751712p-13, -0x1.56ad7c3d3026bp-13, -0x1.4b9612f5df9adp-13, -0x1.40e422f34dd4fp-13, -0x1.3693dd19c56d6p-13, -0x1.2ca193f877a4cp-13, -0x1.2309bac8939f7p-13, -0x1.19c8e472b6876p-13, -0x1.10dbc29a950d2p-13, -0x1.083f24b0d4604p-13, -0x1.ffdfee15b75bp-14, -0x1.efd68401183cdp-14, -0x1.e05c521f8a78ap-14, -0x1.d16bd40b1c287p-14, -0x1.c2ffb85995947p-14, -0x1.b512df04d3ca4p-14, -0x1.a7a057ddb6c3cp-14, -0x1.9aa361098bb3fp-14, -0x1.8e176589ad934p-14, -0x1.81f7fbcd24419p-14, -0x1.7640e44c119adp-14, -0x1.6aee082cb3908p-14, -0x1.5ffb77f1c7f15p-14, -0x1.55656a321ff88p-14, -0x1.4b283a592c28bp-14, -0x1.4140677052544p-14, -0x1.37aa92f0da7cbp-14, -0x1.2e637f9e4187bp-14, -0x1.25681068c1b29p-14, -0x1.1cb54757e1ecp-14, -0x1.1448447cdd6cep-14, -0x1.0c1e44ecb5159p-14, -0x1.0434a1c1bd2a9p-14, -0x1.f9119e48f920fp-15, -0x1.ea30b6b761576p-15, -0x1.dbc1dbc692ccdp-15, -0x1.cdc08d146f0d5p-15, -0x1.c028792dbcfe6p-15, -0x1.b2f57be40aae7p-15, -0x1.a6239cb03791ep-15, -0x1.99af0d215a14ep-15, -0x1.8d942757b6489p-15, -0x1.81cf6c8b72ce9p-15, -0x1.765d839eca705p-15, -0x1.6b3b37bb6727dp-15, -0x1.606576faa9b65p-15, -0x1.55d951188dcep-15, -0x1.4b93f630ecd4cp-15, -0x1.4192b586d509ap-15, -0x1.37d2fc55baadep-15, -0x1.2e5254ac3a0ecp-15, -0x1.250e645030cabp-15, -0x1.1c04ebabeb4dbp-15, -0x1.1333c4c42c847p-15, -0x1.0a98e236d39a1p-15, -0x1.02324e41e1c9p-15, -0x1.f3fc53a55466ap-16, -0x1.e3f55739e88efp-16, -0x1.d44c3e73a4b7ap-16, -0x1.c4fdc89c04b4fp-16, -0x1.b606db6f316fep-16, -0x1.a76481858e73fp-16, -0x1.9913e8cb1baddp-16, -0x1.8b12610445082p-16, -0x1.7d5d5a5fbbbd3p-16, -0x1.6ff264150680ap-16, -0x1.62cf2b0f5f4b9p-16, -0x1.55f178a489c56p-16, -0x1.495731575193fp-16, -0x1.3cfe53a54bb1ep-16, -0x1.30e4f6df90933p-16, -0x1.25094a0e208d2p-16, -0x1.196992dd92aa7p-16, -0x1.0e042c96d38f6p-16, -0x1.02d787209830ap-16, -0x1.efc44c147cf05p-17, -0x1.da453f3fb76d3p-17, -0x1.c52f380e43602p-17, -0x1.b07fa8c9c5927p-17, -0x1.9c342415d4c5cp-17, -0x1.884a5b5bd84b4p-17, -0x1.74c01d4688ae7p-17, -0x1.6193544ca09a2p-17, -0x1.4ec2054a3bd57p-17, -0x1.3c4a4e2874a74p-17, -0x1.2a2a6492c0605p-17, -0x1.186094b9a750ap-17, -0x1.06eb402262212p-17, -0x1.eb91b905e2fb3p-18, -0x1.c9efe55498a87p-18, -0x1.a8ee3ae8732ebp-18, -0x1.888a1190ee37ep-18, -0x1.68c0e149956f8p-18, -0x1.49904063410dp-18, -0x1.2af5e1c1b9193p-18, -0x1.0cef932d09474p-18, -0x1.def6776bbd8d3p-19, -0x1.a52db45885aabp-19, -0x1.6c8107502964ep-19, -0x1.34ecc4453b8fcp-19, -0x1.fcdacc82bc4adp-20, -0x1.91ff19b2a0674p-20, -0x1.293ff37f79079p-20, -0x1.852e39d69c8e2p-21, -0x1.77fa50bb3f752p-22, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.68f5c1276730ap-1, 0x1.66a9ec8935137p-1, 0x1.641ddea373495p-1, 0x1.615083a825969p-1, 0x1.5e412283c9a6cp-1, 0x1.5aef58fcc9dedp-1, 0x1.575b17638e1c5p-1, 0x1.53849bf2a55c3p-1, 0x1.4f6c6df9a77fbp-1, 0x1.4b1358e926a0ep-1, 0x1.467a675238ca5p-1, 0x1.41a2dde8d3d7ep-1, 0x1.3c8e3695573c9p-1, 0x1.373e1b9f25a6cp-1, 0x1.31b462f818cecp-1, 0x1.2bf309aed24fdp-1, 0x1.25fc2f8c6c087p-1, 0x1.1fd212e0cc4b7p-1, 0x1.19770c7fdc44ep-1, 0x1.12ed8bf100324p-1, 0x1.0c3813d1846e3p-1, 0x1.0559366a204b5p-1, 0x1.fca724ee75ee4p-2, 0x1.ee53a0468dbb1p-2, 0x1.dfbd3c64745e6p-2, 0x1.d0e95eb9f1a0dp-2, 0x1.c1dd6fb6a8edep-2, 0x1.b29ed636548a2p-2, 0x1.a332f3461e66ap-2, 0x1.939f1e3dcda9ep-2, 0x1.83e8a1297f245p-2, 0x1.7414b5807e5cp-2, 0x1.64288125e35e4p-2, 0x1.542913af8d343p-2, 0x1.441b63f024a44p-2, 0x1.34044dc0d58bbp-2, 0x1.23e890077c11p-2, 0x1.13cccaf618ec3p-2, 0x1.03b57e806da5ap-2, 0x1.e74e120964c35p-3, 0x1.c74b4c48f69fcp-3, 0x1.a76adb95c5ea7p-3, 0x1.87b4a6ba7b2a2p-3, 0x1.68304a273dac6p-3, 0x1.48e516ed3e7fp-3, 0x1.29da11ffc264bp-3, 0x1.0b15f3b5ddf2bp-3, 0x1.d93e4f109ce5cp-4, 0x1.9cf7980dfaa49p-4, 0x1.6163660409fc9p-4, 0x1.268cc3c43a65ep-4, 0x1.d8fc48b29ebdp-5, 0x1.6682c8beae93fp-5, 0x1.eb7f2e92596c1p-6, 0x1.0d883c33282a7p-6, 0x1.9a0a56111cd8ap-9, -0x1.466e9e69485b9p-7, -0x1.75c56ae2948a2p-6, -0x1.222783381695cp-5, -0x1.875e1cce772f8p-5, -0x1.ea7b94ec0c6afp-5, -0x1.25baff78eb9a7p-4, -0x1.5522344480894p-4, -0x1.836f698b4880fp-4, -0x1.b09f168593c6cp-4, -0x1.dcae258ab0ap-4, -0x1.03ccf84f43dep-3, -0x1.18b01efb43407p-3, -0x1.2cff9e3c32bdep-3, -0x1.40bac01ab2c29p-3, -0x1.53e0ff7215a5fp-3, -0x1.6672062da8091p-3, -0x1.786dab8755891p-3, -0x1.89d3f24878796p-3, -0x1.9aa5070db7978p-3, -0x1.aae13e8e99b9p-3, -0x1.ba8913e989ee2p-3, -0x1.c99d26f4de1c8p-3, -0x1.d81e3a9572167p-3, -0x1.e60d331b5253ep-3, -0x1.f36b14a4e986ep-3, -0x1.001c80c48806p-2, -0x1.063c1c6434431p-2, -0x1.0c150a432087ep-2, -0x1.11a80444a80bdp-2, -0x1.16f5d0624309ep-2, -0x1.1bff3ff40eb1dp-2, -0x1.20c52efd94bc8p-2, -0x1.2548837ed627dp-2, -0x1.298a2cc9b854p-2, -0x1.2d8b22dbd2505p-2, -0x1.314c65bcac5dep-2, -0x1.34cefce0728b5p-2, -0x1.3813f68f1faeep-2, -0x1.3b1c67502596bp-2, -0x1.3de9695a8850cp-2, -0x1.407c1c0974e69p-2, -0x1.42d5a355473b3p-2, -0x1.44f72750fb16fp-2, -0x1.46e1d3ac03198p-2, -0x1.4896d738769e2p-2, -0x1.4a176375929d2p-2, -0x1.4b64ac1e7d444p-2, -0x1.4c7fe6bd42291p-2, -0x1.4d6a4a41f73f3p-2, -0x1.4e250e9dfeb39p-2, -0x1.4eb16c6354847p-2, -0x1.4f109c67d791ap-2, -0x1.4f43d76c7f3p-2, -0x1.4f4c55c86a56fp-2, -0x1.4f2b4f17b5efdp-2, -0x1.4ee1f9ee0c331p-2, -0x1.4e718b8cd4e43p-2, -0x1.4ddb379cf7777p-2, -0x1.4d202fec17d1cp-2, -0x1.4c41a42d4153fp-2, -0x1.4b40c1bce4093p-2, -0x1.4a1eb36812d3cp-2, -0x1.48dca136f5656p-2, -0x1.477bb03a4b445p-2, -0x1.45fd025bfcc9cp-2, -0x1.4461b6329609p-2, -0x1.42aae6d7a4958p-2, -0x1.40d9abc0da4p-2, -0x1.3eef189be414ap-2, -0x1.3cec3d2ce4e2cp-2, -0x1.3ad2252f787b8p-2, -0x1.38a1d83a32e52p-2, -0x1.365c59a47fce8p-2, -0x1.3402a86ed7b45p-2, -0x1.3195bf2d2e21bp-2, -0x1.2f1693f38eeedp-2, -0x1.2c861844cf38ap-2, -0x1.29e53903431e3p-2, -0x1.2734de6368dep-2, -0x1.2475ebe06e809p-2, -0x1.21a9403289434p-2, -0x1.1ecfb54705422p-2, -0x1.1bea203a03b32p-2, -0x1.18f95151cd4f7p-2, -0x1.15fe13fbb01f7p-2, -0x1.12f92eca531c1p-2, -0x1.0feb637570b1ap-2, -0x1.0cd56edaeaf22p-2, -0x1.09b80901237a3p-2, -0x1.0693e51a8e3c4p-2, -0x1.0369b18a6af6ep-2, -0x1.003a17ea9c1a5p-2, -0x1.fa0b7a250c00ap-3, -0x1.f39a823ddedacp-3, -0x1.ed227ef5a0e3p-3, -0x1.e6a49dd209545p-3, -0x1.e022031da9298p-3, -0x1.d99bc9fe8994cp-3, -0x1.d313048e5103ap-3, -0x1.cc88bbf3bc8b8p-3, -0x1.c5fdf07d6f80ap-3, -0x1.bf7399bdee1f2p-3, -0x1.b8eaa6a8bfbf9p-3, -0x1.b263fdb09569fp-3, -0x1.abe07ce6624bdp-3, -0x1.a560fa195c673p-3, -0x1.9ee642f7c8712p-3, -0x1.98711d307ca65p-3, -0x1.9202469510067p-3, -0x1.8b9a753ca6223p-3, -0x1.853a57a738b17p-3, -0x1.7ee294e160b4bp-3, -0x1.7893cca882fc3p-3, -0x1.724e978f5748p-3, -0x1.6c138722b86aap-3, -0x1.65e3260eb4a14p-3, -0x1.5fbdf843cc8adp-3, -0x1.59a47b1c50e84p-3, -0x1.53972581e0e88p-3, -0x1.4d966812ebf94p-3, -0x1.47a2ad48363b1p-3, -0x1.41bc599a5a52p-3, -0x1.3be3cba72d4e6p-3, -0x1.36195c570bb65p-3, -0x1.305d5f0200bd5p-3, -0x1.2ab02194bedc7p-3, -0x1.2511ecb55d7c2p-3, -0x1.1f8303e7de522p-3, -0x1.1a03a5b26b7fdp-3, -0x1.14940bc148491p-3, -0x1.0f346b0a71bf5p-3, -0x1.09e4f3f0e3f2p-3, -0x1.04a5d26782c36p-3, -0x1.feee5c2743f62p-4, -0x1.f4b254de425p-4, -0x1.ea97cdd438641p-4, -0x1.e09efe185a2dap-4, -0x1.d6c8152a6c0d5p-4, -0x1.cd133b3b6eca3p-4, -0x1.c380916d4c7d8p-4, -0x1.ba10321186679p-4, -0x1.b0c230e6f7093p-4, -0x1.a7969b56692afp-4, -0x1.9e8d78ae4a32ap-4, -0x1.95a6ca5d2ab77p-4, -0x1.8ce28c2b4ae89p-4, -0x1.8440b472fcf08p-4, -0x1.7bc13457fb6afp-4, -0x1.7363f7fda0ecbp-4, -0x1.6b28e6bc0969ap-4, -0x1.630fe35412eaap-4, -0x1.5b18cc2246057p-4, -0x1.53437b509da41p-4, -0x1.4b8fc70733bd9p-4, -0x1.43fd819bd05cp-4, -0x1.3c8c79c05ba49p-4, -0x1.353c7ab0352a8p-4, -0x1.2e0d4c5c70063p-4, -0x1.26feb396f59fcp-4, -0x1.2010723c90952p-4, -0x1.1942475de28cdp-4, -0x1.1293ef674602ep-4, -0x1.0c0524479cc4bp-4, -0x1.05959d961251bp-4, -0x1.fe8a216d9d944p-5, -0x1.f22661fd42e77p-5, -0x1.e5ff5fab47c92p-5, -0x1.da1479b1b4ca7p-5, -0x1.ce650bf5a2083p-5, -0x1.c2f06f467e67cp-5, -0x1.b7b5f99b5c2bbp-5, -0x1.acb4fe4e536aap-5, -0x1.a1ecce5601cb1p-5, -0x1.975cb87d272a6p-5, -0x1.8d04099870128p-5, -0x1.82e20cba6fc09p-5, -0x1.78f60b65d3965p-5, -0x1.6f3f4dbdd80ebp-5, -0x1.65bd1ab5074c2p-5, -0x1.5c6eb83a47969p-5, -0x1.53536b64450bdp-5, -0x1.4a6a789b3cd6ap-5, -0x1.41b323c13312dp-5, -0x1.392cb05898a6p-5, -0x1.30d661a96f78cp-5, -0x1.28af7ae4f03c6p-5, -0x1.20b73f47bae13p-5, -0x1.18ecf23a9e1p-5, -0x1.114fd771f6595p-5, -0x1.09df330bb6b27p-5, -0x1.029a49ac1a407p-5, -0x1.f700c1321bbc9p-6, -0x1.e9217ba8a9102p-6, -0x1.db955068e7613p-6, -0x1.ce5acef8d4a2fp-6, -0x1.c17088e480ddfp-6, -0x1.b4d511e8e2579p-6, -0x1.a887001c782e8p-6, -0x1.9c84ec15c491fp-6, -0x1.90cd710fb248bp-6, -0x1.855f2d0bf0143p-6, -0x1.7a38c0f357c27p-6, -0x1.6f58d0b465d94p-6, -0x1.64be035fdbe6ep-6, -0x1.5a6703439045cp-6, -0x1.50527e0384ab3p-6, -0x1.467f24b147b7bp-6, -0x1.3cebabe1b5f2dp-6, -0x1.3396cbc12357p-6, -0x1.2a7f4025ff063p-6, -0x1.21a3c8a1f8e3cp-6, -0x1.19032891bb607p-6, -0x1.109c272b40811p-6, -0x1.086d8f8ad3038p-6, -0x1.007630bec630ep-6, -0x1.f169bba3d99aap-7, -0x1.e250dba9c71ddp-7, -0x1.d39f77cc5b65p-7, -0x1.c5534e72789fbp-7, -0x1.b76a2638be097p-7, -0x1.a9e1cdfb678f4p-7, -0x1.9cb81cde278adp-7, -0x1.8feaf2522d3dcp-7, -0x1.8378361a4f9c5p-7, -0x1.775dd84d7cc4dp-7, -0x1.6b99d15784a8fp-7, -0x1.602a21f848c36p-7, -0x1.550cd341675dap-7, -0x1.4a3ff6926f10ep-7, -0x1.3fc1a593b587dp-7, -0x1.3590022fd7d63p-7, -0x1.2ba9368bf71e2p-7, -0x1.220b74fec5375p-7, -0x1.18b4f8066c2e4p-7, -0x1.0fa4023d60eeap-7, -0x1.06d6de4e2f741p-7, -0x1.fc97bdcc9ce11p-8, -0x1.ec02bd5010ab7p-8, -0x1.dbeb80370a539p-8, -0x1.cc4edb3e0869ap-8, -0x1.bd29b2aca194ap-8, -0x1.ae78fa32fa993p-8, -0x1.a039b4c5e2b99p-8, -0x1.9268f479abd38p-8, -0x1.8503da5bd39fcp-8, -0x1.7807964b92104p-8, -0x1.6b7166d163087p-8, -0x1.5f3e98f59fb4ap-8, -0x1.536c881634bb1p-8, -0x1.47f89dbb8f737p-8, -0x1.3ce0516ccd1fep-8, -0x1.3221288341d36p-8, -0x1.27b8b5fd62d84p-8, -0x1.1da49a512922bp-8, -0x1.13e2833df711cp-8, -0x1.0a702b9e10fa4p-8, -0x1.014b5b37b83e6p-8, -0x1.f0e3cd1be8f8ap-9, -0x1.dfc35d62301edp-9, -0x1.cf31421e19aa8p-9, -0x1.bf296e86e743cp-9, -0x1.afa7edcf48eb4p-9, -0x1.a0a8e2c52f3c2p-9, -0x1.9228877187295p-9, -0x1.84232cb7f019ep-9, -0x1.769539f685b94p-9, -0x1.697b2ca5c5ed8p-9, -0x1.5cd197f8b038cp-9, -0x1.5095247d2278p-9, -0x1.44c28fbc8c52bp-9, -0x1.3956abdd01cedp-9, -0x1.2e4e5f42c0bb7p-9, -0x1.23a6a43230453p-9, -0x1.195c88726e674p-9, -0x1.0f6d2cf06d799p-9, -0x1.05d5c562ba128p-9, -0x1.f9272fdbcdf24p-10, -0x1.e747f993637d3p-10, -0x1.d608bbcdce9bbp-10, -0x1.c5646d2c1e68dp-10, -0x1.b556265dce6b7p-10, -0x1.a5d9217173b6cp-10, -0x1.96e8b9272484cp-10, -0x1.88806844ae9p-10, -0x1.7a9bc8eba40d4p-10, -0x1.6d3693f14f08fp-10, -0x1.604ca0389429ep-10, -0x1.53d9e20dd13b9p-10, -0x1.47da6a84b5409p-10, -0x1.3c4a66d828907p-10, -0x1.31261fcc48628p-10, -0x1.2669f91273852p-10, -0x1.1c1270af76e3cp-10, -0x1.121c1e63e2debp-10, -0x1.0883b31678903p-10, -0x1.fe8bf081acce2p-11, -0x1.ecbf9ebc7e536p-11, -0x1.db9c62b93e5bcp-11, -0x1.cb1c5c1f7ad8ap-11, -0x1.bb39d74d4609cp-11, -0x1.abef4c466f795p-11, -0x1.9d375da8263f7p-11, -0x1.8f0cd7a1090d9p-11, -0x1.816aaeed9f472p-11, -0x1.744bffd93b619p-11, -0x1.67ac0d434243dp-11, -0x1.5b863fa8d7dfbp-11, -0x1.4fd62432e8023p-11, -0x1.44976bc88bcf6p-11, -0x1.39c5ea25c2003p-11, -0x1.2f5d94f67816p-11, -0x1.255a82f5d97a7p-11, -0x1.1bb8eb11e19e7p-11, -0x1.127523932730ap-11, -0x1.098ba148d767dp-11, -0x1.00f8f6b8dbc23p-11, -0x1.f173a6a83baa5p-12, -0x1.e196055dc6348p-12, -0x1.d252d77a6585ap-12, -0x1.c3a420267e88dp-12, -0x1.b58416538f5cfp-12, -0x1.a7ed234cc85b2p-12, -0x1.9ad9e14f6b409p-12, -0x1.8e451a2ad5eacp-12, -0x1.8229c5e822937p-12, -0x1.7683097944c8ep-12, -0x1.6b4c356f8bb57p-12, -0x1.6080c4b97573cp-12, -0x1.561c5b67aef45p-12, -0x1.4c1ac57938589p-12, -0x1.4277f5ae836fbp-12, -0x1.393004637fb6cp-12, -0x1.303f2e7072178p-12, -0x1.27a1d41185799p-12, -0x1.1f5477d4f02p-12, -0x1.1753bd8fa0c3bp-12, -0x1.0f9c69584c3acp-12, -0x1.082b5e88cdb92p-12, -0x1.00fd9ec5b1933p-12, -0x1.f4209217c136fp-13, -0x1.e6c1318882a43p-13, -0x1.d9d7c9ba83acbp-13, -0x1.cd5f3dd4528e6p-13, -0x1.c152a4902f9a8p-13, -0x1.b5ad4691382c8p-13, -0x1.aa6a9cc38af92p-13, -0x1.9f864ec72c106p-13, -0x1.94fc31657aa35p-13, -0x1.8ac845110367ep-13, -0x1.80e6b46f7b5e3p-13, -0x1.7753d2edb6d3ap-13, -0x1.6e0c1b5d6218cp-13, -0x1.650c2e9c51935p-13, -0x1.5c50d24535d64p-13, -0x1.53d6ef698067fp-13, -0x1.4b9b915449793p-13, -0x1.439be456136d3p-13, -0x1.3bd53499233c6p-13, -0x1.3444ecfe59e13p-13, -0x1.2ce896024fc32p-13, -0x1.25bdd4aa8b62cp-13, -0x1.1ec2697aa0d86p-13, -0x1.17f42f7119b69p-13, -0x1.11511b0be4773p-13, -0x1.0ad739543888ap-13, -0x1.0484aef1b1bb5p-13, -0x1.fcaf6e88fc43dp-14, -0x1.f09d470cf4b8ep-14, -0x1.e4cfb3e61922ap-14, -0x1.d943a9eb2ce66p-14, -0x1.cdf644bcb0fc8p-14, -0x1.c2e4c53b4866fp-14, -0x1.b80c900a4757ep-14, -0x1.ad6b2c1e5cd29p-14, -0x1.a2fe4157d4876p-14, -0x1.98c3972840d2dp-14, -0x1.8eb913434c31ep-14, -0x1.84dcb85a55c3ep-14, -0x1.7b2ca4e2a2cccp-14, -0x1.71a711e5da1aap-14, -0x1.684a51dc87e91p-14, -0x1.5f14cf9267c9cp-14, -0x1.56050d1431bcbp-14, -0x1.4d19a2a6ae7b4p-14, -0x1.44513dc6d0ab2p-14, -0x1.3baaa032969fcp-14, -0x1.33249efa7aa8cp-14, -0x1.2abe219b336b4p-14, -0x1.2276211f8cf7p-14, -0x1.1a4ba74a1fdefp-14, -0x1.123dcdc6b1e76p-14, -0x1.0a4bbd630506fp-14, -0x1.0274ad4ee4438p-14, -0x1.f56fc4c66f51bp-15, -0x1.e6295cdfd6337p-15, -0x1.d714df20f41a5p-15, -0x1.c8311f0dd56bap-15, -0x1.b97d063a16019p-15, -0x1.aaf79317823ecp-15, -0x1.9c9fd7d07fbdep-15, -0x1.8e74f92de896ep-15, -0x1.80762d87fb8c1p-15, -0x1.72a2bbc2134d1p-15, -0x1.64f9fa50cabd8p-15, -0x1.577b4e4a3f577p-15, -0x1.4a262a8022c32p-15, -0x1.3cfa0ea34aef8p-15, -0x1.2ff686707787dp-15, -0x1.231b28e601796p-15, -0x1.166797822a52p-15, -0x1.09db7d89c92b7p-15, -0x1.faed1eae18017p-16, -0x1.e271136016fc4p-16, -0x1.ca426249e3c76p-16, -0x1.b260a2eae332cp-16, -0x1.9acb79fa9e952p-16, -0x1.8382984f8773cp-16, -0x1.6c85b9d2f18c3p-16, -0x1.55d4a481cd13dp-16, -0x1.3f6f2779b9691p-16, -0x1.29551a11fe5d8p-16, -0x1.13865afffa3e1p-16, -0x1.fc059f0d62079p-17, -0x1.d194c56208acfp-17, -0x1.a7ba092c6edbp-17, -0x1.7e755350d9524p-17, -0x1.55c694195785ep-17, -0x1.2dadc1f84cbb6p-17, -0x1.062ad85cb787p-17, -0x1.be7bad2f2e81ap-18, -0x1.71cd7da37f866p-18, -0x1.264b2a230765dp-18, -0x1.b7e9793e53152p-19, -0x1.25947e6a16e49p-19, -0x1.2b2eea42ca407p-20, -0x1.fc9a358fa8d5cp-25, 0x1.06b54776b071fp-20, 0x1.0c4fb92b934bcp-19, 0x1.92ecedd563e52p-19, 0x1.0b99340ba3f43p-18, 0x1.4c90303421d22p-18, 0x1.8c5b91a173bc4p-18, 0x1.cafb89741285ap-18, 0x1.04382a3eeef33p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.72435e7e6acf3p-1, 0x1.71c43716e16a1p-1, 0x1.7134723fb89fep-1, 0x1.709369996ae5cp-1, 0x1.6fe088e8384bep-1, 0x1.6f1b4e0107af5p-1, 0x1.6e43489245d5dp-1, 0x1.6d5819ce8ecaap-1, 0x1.6c5973fe541e3p-1, 0x1.6b4719fd17306p-1, 0x1.6a20dea644947p-1, 0x1.68e6a4353ef4ap-1, 0x1.67985b9bb0e28p-1, 0x1.663603d0d0d0dp-1, 0x1.64bfa91be8bb4p-1, 0x1.6335645c1a991p-1, 0x1.61975a4f0edb4p-1, 0x1.5fe5bad7fbc19p-1, 0x1.5e20c048364ffp-1, 0x1.5c48aeaa4bf9dp-1, 0x1.5a5dd31077ae7p-1, 0x1.586082e71ee59p-1, 0x1.56511b4be1a73p-1, 0x1.54300069a8ddap-1, 0x1.51fd9cda0bca1p-1, 0x1.4fba610c494c4p-1, 0x1.4d66c2b2047d9p-1, 0x1.4b033c31e134fp-1, 0x1.48904c201396ep-1, 0x1.460e74bce6347p-1, 0x1.437e3b793568cp-1, 0x1.40e02880d2fb4p-1, 0x1.3e34c64ac06eep-1, 0x1.3b7ca12f2ae1cp-1, 0x1.38b847030749ep-1, 0x1.35e846b935fb8p-1, 0x1.330d300905044p-1, 0x1.30279319f0cf1p-1, 0x1.2d38003479b92p-1, 0x1.2a3f0777e692p-1, 0x1.273d3894cb91ap-1, 0x1.2433228c2b8a7p-1, 0x1.2121537308e72p-1, 0x1.1e08583a3b227p-1, 0x1.1ae8bc7a60091p-1, 0x1.17c30a43bbeb6p-1, 0x1.1497c9f1e1d0ap-1, 0x1.11678202f7423p-1, 0x1.0e32b6f26e4adp-1, 0x1.0af9eb1709affp-1, 0x1.07bd9e84078d3p-1, 0x1.047e4eed4a839p-1, 0x1.013c778e5c8bdp-1, 0x1.fbf1222848fefp-2, 0x1.f566231261505p-2, 0x1.eed8d888dadebp-2, 0x1.e84a23b454fbcp-2, 0x1.e1bae01e9b0f5p-2, 0x1.db2be39d28d54p-2, 0x1.d49dfe3f8988p-2, 0x1.ce11fa4163c86p-2, 0x1.c7889bffee88cp-2, 0x1.c102a1f2a4529p-2, 0x1.ba80c4a6f7523p-2, 0x1.b403b6bedd445p-2, 0x1.ad8c24f1fbd8bp-2, 0x1.a71ab61151eb4p-2, 0x1.a0b00b0d28cd5p-2, 0x1.9a4cbefd26e96p-2, 0x1.93f1672a64fa4p-2, 0x1.8d9e931b4e699p-2, 0x1.8754cca13b3e8p-2, 0x1.811497e796c12p-2, 0x1.7ade738472b68p-2, 0x1.74b2d88a6f05ep-2, 0x1.6e923a9bcf825p-2, 0x1.687d07feac80cp-2, 0x1.6273a9b21ccc1p-2, 0x1.5c768384452cep-2, 0x1.5685f42932411p-2, 0x1.50a255526a2a3p-2, 0x1.4acbfbc71bae6p-2, 0x1.4503377cdc498p-2, 0x1.3f4853b0e011ep-2, 0x1.399b970197a54p-2, 0x1.33fd4388a8afep-2, 0x1.2e6d96f52a2e6p-2, 0x1.28eccaa61eb26p-2, 0x1.237b13c516ad7p-2, 0x1.1e18a360f1142p-2, 0x1.18c5a688b0ad7p-2, 0x1.1382466655c75p-2, 0x1.0e4ea859b6298p-2, 0x1.092aee1345a39p-2, 0x1.041735aeca5f9p-2, 0x1.fe27339bddcdbp-3, 0x1.f44063655e6aep-3, 0x1.ea7a22b32bb99p-3, 0x1.e0d4932788bfep-3, 0x1.d74fd0417cdb9p-3, 0x1.cdebef8fed4e8p-3, 0x1.c4a900e41b1a9p-3, 0x1.bb870e839c0b5p-3, 0x1.b2861d59a13p-3, 0x1.a9a62d279c5dfp-3, 0x1.a0e738b5386a1p-3, 0x1.984935ff8efdep-3, 0x1.8fcc1667ad9f5p-3, 0x1.876fc6e04dc58p-3, 0x1.7f34301ac7e55p-3, 0x1.771936b34256ap-3, 0x1.6f1ebb5bffed1p-3, 0x1.67449b07ec2b8p-3, 0x1.5f8aaf1449ce7p-3, 0x1.57f0cd7186508p-3, 0x1.5076c8cb3972ep-3, 0x1.491c70af48de1p-3, 0x1.41e191b42a955p-3, 0x1.3ac5f59e4e261p-3, 0x1.33c96384a3c87p-3, 0x1.2ceb9ff44ea2p-3, 0x1.262c6d136d0ecp-3, 0x1.1f8b8ac30eaffp-3, 0x1.1908b6c045c87p-3, 0x1.12a3acc461f8dp-3, 0x1.0c5c26a450d6ep-3, 0x1.0631dc6f1ffadp-3, 0x1.0024848bb057p-3, 0x1.f467a7ab160a2p-4, 0x1.e8befb71d5c56p-4, 0x1.dd4e689bd650bp-4, 0x1.d21550e5e3b22p-4, 0x1.c71313cc8561ep-4, 0x1.bc470ebda2e2dp-4, 0x1.b1b09d4880622p-4, 0x1.a74f194c4f2e3p-4, 0x1.9d21db251b7c4p-4, 0x1.932839d7564ap-4, 0x1.89618b39d1d6bp-4, 0x1.7fcd241e565ap-4, 0x1.766a5878c70d9p-4, 0x1.6d387b84e18ffp-4, 0x1.6436dfea9ce92p-4, 0x1.5b64d7e12fcp-4, 0x1.52c1b550c3bcap-4, 0x1.4a4cc9f2dc6c8p-4, 0x1.4205677179397p-4, 0x1.39eadf84f86dep-4, 0x1.31fc8410c250ep-4, 0x1.2a39a73ec2aep-4, 0x1.22a19b99b7796p-4, 0x1.1b33b4265d5bap-4, 0x1.13ef447b7d4f5p-4, 0x1.0cd3a0d8e4feap-4, 0x1.05e01e3d4f26bp-4, 0x1.fe2824f687d83p-5, 0x1.f0dda899e9a48p-5, 0x1.e3df76ce4097ap-5, 0x1.d72c4115fa7c8p-5, 0x1.cac2bb2e71b4p-5, 0x1.bea19b301aec5p-5, 0x1.b2c799acec43bp-5, 0x1.a73371cd0eb93p-5, 0x1.9be3e169e52ecp-5, 0x1.90d7a92776p-5, 0x1.860d8c8c4054cp-5, 0x1.7b845217902edp-5, 0x1.713ac3565240bp-5, 0x1.672facf6802f2p-5, 0x1.5d61ded92488cp-5, 0x1.53d02c230a823p-5, 0x1.4a796b4c2133ep-5, 0x1.415c762d9c347p-5, 0x1.38782a0ede932p-5, 0x1.2fcb67b13b1b3p-5, 0x1.2755135a90ea1p-5, 0x1.1f1414ded15c2p-5, 0x1.170757a87b46bp-5, 0x1.0f2dcac00f04cp-5, 0x1.078660d28b2abp-5, 0x1.00101036f7828p-5, 0x1.f193a5e615f6ep-6, 0x1.e3654d7ddf6e5p-6, 0x1.d5931a106b7c7p-6, 0x1.c81b15e7ecf01p-6, 0x1.bafb52c0679d7p-6, 0x1.ae31e9c8f8fdcp-6, 0x1.a1bcfba3b9ec7p-6, 0x1.959ab0643e71p-6, 0x1.89c9378cd993ap-6, 0x1.7e46c80a9b63p-6, 0x1.7311a0302ba74p-6, 0x1.682805af7d078p-6, 0x1.5d8845927b1e9p-6, 0x1.5330b432ac74ep-6, 0x1.491fad2fe1b41p-6, 0x1.3f539365fe0c6p-6, 0x1.35cad0e1df1edp-6, 0x1.2c83d6d57335fp-6, 0x1.237d1d8b0d454p-6, 0x1.1ab52457fd07cp-6, 0x1.122a718e72f82p-6, 0x1.09db926ec6aa3p-6, 0x1.01c71b181cb1fp-6, 0x1.f3d74cf0fcce3p-7, 0x1.e48fac78c86c6p-7, 0x1.d5b4a57b9a7eep-7, 0x1.c74395e5a5539p-7, 0x1.b939e8b7b6856p-7, 0x1.ab9515e2bfddep-7, 0x1.9e52a222ba259p-7, 0x1.91701ed8cb5cfp-7, 0x1.84eb29e4e4721p-7, 0x1.78c16d7ec2bdbp-7, 0x1.6cf0a00e7cb13p-7, 0x1.617684049decdp-7, 0x1.5650e7b1d4277p-7, 0x1.4b7da51e517fp-7, 0x1.40faa1e0d7cf5p-7, 0x1.36c5cef58db5ap-7, 0x1.2cdd289491026p-7, 0x1.233eb608671c6p-7, 0x1.19e8898448841p-7, 0x1.10d8bffa53fe2p-7, 0x1.080d80f1b387p-7, 0x1.ff09fcb97629dp-8, 0x1.ee7ae8de125ddp-8, 0x1.de6a52e76422bp-8, 0x1.ced4db46fa3d3p-8, 0x1.bfb735f673a0cp-8, 0x1.b10e2a246cep-8, 0x1.a2d691e1b7ec8p-8, 0x1.950d59ceeec12p-8, 0x1.87af80ca69f8ep-8, 0x1.7aba179ea88cdp-8, 0x1.6e2a40b132932p-8, 0x1.61fd2fb200014p-8, 0x1.5630294b6ddb4p-8, 0x1.4ac082d2cb622p-8, 0x1.3faba1f986029p-8, 0x1.34eefc7efb0dep-8, 0x1.2a8817e2fbe74p-8, 0x1.207489190264fp-8, 0x1.16b1f43c25b95p-8, 0x1.0d3e0c43cda23p-8, 0x1.041692b92e49cp-8, 0x1.f672aedb21023p-9, 0x1.e5487062d36a9p-9, 0x1.d4aa41189670ep-9, 0x1.c49412eb4f7d3p-9, 0x1.b501f21cf2f19p-9, 0x1.a5f004b786e95p-9, 0x1.975a8a03f4b75p-9, 0x1.893dda029de0cp-9, 0x1.7b9664e5c6977p-9, 0x1.6e60b28dcf83bp-9, 0x1.61996207486e3p-9, 0x1.553d290ada1aep-9, 0x1.4948d37f1176p-9, 0x1.3db942fc01619p-9, 0x1.328b6e50cc969p-9, 0x1.27bc610b06b6ap-9, 0x1.1d493afffd71dp-9, 0x1.132f2fd7e0bdfp-9, 0x1.096b869aca208p-9, 0x1.fff7327f48549p-10, 0x1.edb9a879ed4cep-10, 0x1.dc196c370f736p-10, 0x1.cb119e15c488fp-10, 0x1.ba9d80ef5f09bp-10, 0x1.aab87947df94fp-10, 0x1.9b5e0c820191fp-10, 0x1.8c89e01700579p-10, 0x1.7e37b8d1ec4e6p-10, 0x1.70637a0ea6929p-10, 0x1.630924fc64adfp-10, 0x1.5624d7e3cb0e9p-10, 0x1.49b2cd708333dp-10, 0x1.3daf5bfe55734p-10, 0x1.3216f4e9ad907p-10, 0x1.26e623e3968afp-10, 0x1.1c198e49129b4p-10, 0x1.11adf27dcd206p-10, 0x1.07a0274a1d7a6p-10, 0x1.fbda3678a7afdp-11, 0x1.e923a81a85cdbp-11, 0x1.d716dc0ff0373p-11, 0x1.c5ae36e945581p-11, 0x1.b4e4480d2fcep-11, 0x1.a4b3c89ad87adp-11, 0x1.95179a522d414p-11, 0x1.860ac682277d1p-11, 0x1.77887cfcfdb68p-11, 0x1.698c131228411p-11, 0x1.5c11028e25a0ep-11, 0x1.4f12e8bfe9528p-11, 0x1.428d8583dc694p-11, 0x1.367cba545c347p-11, 0x1.2adc895fa1befp-11, 0x1.1fa914a2f99fep-11, 0x1.14de9d0b37d5fp-11, 0x1.0a79819a524afp-11, 0x1.00763e920a59ap-11, 0x1.eda2d9472223ep-12, 0x1.db0f80481e879p-12, 0x1.c92c108bf84b8p-12, 0x1.b7f25cae5ca69p-12, 0x1.a75c6a071bd4ap-12, 0x1.97646f38ad55fp-12, 0x1.8804d2c7a402fp-12, 0x1.793829baeac56p-12, 0x1.6af936449dd4ep-12, 0x1.5d42e67358619p-12, 0x1.501052ebcc56ep-12, 0x1.435cbdaa7def9p-12, 0x1.372390cd74b78p-12, 0x1.2b605d65c18d8p-12, 0x1.200eda50ac2a3p-12, 0x1.152ae31861e22p-12, 0x1.0ab076dc019ep-12, 0x1.009bb73edcf1fp-12, 0x1.edd1cebd84647p-13, 0x1.db28d5a2711bfp-13, 0x1.c935894ef2143p-13, 0x1.b7f12cf21396ap-13, 0x1.a7553ee9aacep-13, 0x1.975b76f12d31fp-13, 0x1.87fdc45cfab2ap-13, 0x1.79364c61c177p-13, 0x1.6aff6867c6f0fp-13, 0x1.5d53a469ca9dfp-13, 0x1.502dbd5f42805p-13, 0x1.43889fb1b15eap-13, 0x1.375f65bcceb8ep-13, 0x1.2bad565950b85p-13, 0x1.206de37208d4fp-13, 0x1.159ca8a31fdabp-13, 0x1.0b3569e331596p-13, 0x1.013412360bf5p-13, 0x1.ef2964d1c4ae5p-14, 0x1.dca6ffaf4b346p-14, 0x1.cad9a676b8497p-14, 0x1.b9ba4f027fa1cp-14, 0x1.a9423154bfa3p-14, 0x1.996ac5673ab3fp-14, 0x1.8a2dc10b9b0f2p-14, 0x1.7b8515db88c32p-14, 0x1.6d6aef3841b6p-14, 0x1.5fd9b0594510bp-14, 0x1.52cbf269b4ef3p-14, 0x1.463c82b40ff1p-14, 0x1.3a2660dbe2d34p-14, 0x1.2e84bd2519fd6p-14, 0x1.2352f6c896f2fp-14, 0x1.188c9a55b4a33p-14, 0x1.0e2d6020616a2p-14, 0x1.04312abb7e9a5p-14, 0x1.f5280afe5f9c1p-15, 0x1.e2a4463598ba8p-15, 0x1.d0cfb864425bbp-15, 0x1.bfa35c0b70952p-15, 0x1.af18724bb361bp-15, 0x1.9f28805ff4c9ap-15, 0x1.8fcd4d2ca9996p-15, 0x1.8100dee2bcf91p-15, 0x1.72bd78b5b8caap-15, 0x1.64fd98a49a553p-15, 0x1.57bbf554d3b1fp-15, 0x1.4af37bfef7ec1p-15, 0x1.3e9f4e6c935bap-15, 0x1.32bac106b78a3p-15, 0x1.274158f4bdf87p-15, 0x1.1c2eca4ad0a2fp-15, 0x1.117ef647c32e1p-15, 0x1.072de9a1cd651p-15, 0x1.fa6fb5c3747c9p-16, 0x1.e73251983e99ap-16, 0x1.d49cb1b06b2dp-16, 0x1.c2a82b67e0b99p-16, 0x1.b14e5ba9d42a5p-16, 0x1.a089242b93113p-16, 0x1.9052a8bf87e52p-16, 0x1.80a54cbfb15ep-16, 0x1.717bb08eea15bp-16, 0x1.62d0af3045cc6p-16, 0x1.549f5bf3e2e7ap-16, 0x1.46e3003884ad5p-16, 0x1.3997194151ef3p-16, 0x1.2cb7561f280a7p-16, 0x1.203f95acd7739p-16, 0x1.142be49dc2574p-16, 0x1.08787b9e46b66p-16, 0x1.fa437b0abda95p-17, 0x1.e4486b2e050a3p-17, 0x1.cef92bad587ep-17, 0x1.ba4f6ad3190e3p-17, 0x1.a6451e0fd3f11p-17, 0x1.92d47efa6e118p-17, 0x1.7ff8086ca7cap-17, 0x1.6daa73bb4a716p-17, 0x1.5be6b608dc9d2p-17, 0x1.4aa7fdb22aae4p-17, 0x1.39e9afd3c594cp-17, 0x1.29a765e7935c8p-17, 0x1.19dceb79bda9ep-17, 0x1.0a863bf42d08p-17, 0x1.f73f00ffa59ccp-18, 0x1.da4a1bf61329dp-18, 0x1.be26c608aaf0cp-18, 0x1.a2ce4c31a9e43p-18, 0x1.883a478b70678p-18, 0x1.6e6499d832044p-18, 0x1.55476a2d23e01p-18, 0x1.3cdd21bff33c9p-18, 0x1.252068d554355p-18, 0x1.0e0c23cf83076p-18, 0x1.ef36e0b7347fp-19, 0x1.c393457955186p-19, 0x1.992486670baf2p-19, 0x1.6fe217047763ep-19, 0x1.47c3c914923c6p-19, 0x1.20c1c8090f3dfp-19, 0x1.f5a92947befa5p-20, 0x1.abea01911542p-20, 0x1.643856f75ac53p-20, 0x1.1e86fa1daf91fp-20, 0x1.b5928ddd0566cp-21, 0x1.31e63b36b33ecp-21, 0x1.63e36fafd2282p-22, 0x1.acf56d9db1612p-24, -0x1.0ca15c54a3e5ap-23, -0x1.70efe7b959097p-22, -0x1.2a63fa97c8b68p-21, -0x1.98ff7c73cd084p-21, -0x1.022e69faf2551p-20, -0x1.3646d750cb245p-20, -0x1.68d18b157fc57p-20, -0x1.99d6bc9c9faebp-20, -0x1.c95e59ded90bfp-20, -0x1.f7700b71f7394p-20, -0x1.12099c27b9f6ep-19, -0x1.27a784b5c4448p-19, -0x1.3c95368f52728p-19, -0x1.50d60d319db6fp-19, -0x1.646d49f4c7b17p-19, -0x1.775e1581aef95p-19, -0x1.89ab81347f78ep-19, -0x1.9b58886cc8594p-19, -0x1.ac6811cbe952ap-19, -0x1.bcdcf06291013p-19, -0x1.ccb9e4ce02fa5p-19, -0x1.dc019e45e2232p-19, -0x1.eab6bb9b1ef74p-19, -0x1.f8dbcc28ba24p-19, -0x1.0339a85b7c6c4p-18, -0x1.09bfde28d00c7p-18, -0x1.1001ba88e9ef7p-18, -0x1.16006a6e11e84p-18, -0x1.1bbd1509a714bp-18, -0x1.2138dc20239d9p-18, -0x1.2674dc57fb40ap-18, -0x1.2b722d83993cbp-18, -0x1.3031e2e6b464cp-18, -0x1.34b50b773425cp-18, -0x1.38fcb219dc1b5p-18, -0x1.3d09dddaf41a7p-18, -0x1.40dd92231e8e8p-18, -0x1.4478cee88e723p-18, -0x1.47dc90dcc992p-18, -0x1.4b09d19726f05p-18, -0x1.4e0187bc3238cp-18, -0x1.50c4a7221e0ebp-18, -0x1.535420f26dd9dp-18, -0x1.55b0e3c8fbac8p-18, -0x1.57dbdbd07edeep-18, -0x1.59d5f2dcb8d62p-18, -0x1.5ba01082655f6p-18, -0x1.5d3b1a2d12a4cp-18, -0x1.5ea7f332fc1ecp-18, -0x1.5fe77ce7095d8p-18, -0x1.60fa96a90a9a8p-18, -0x1.61e21df44d4e8p-18, -0x1.629eee6ca5528p-18, -0x1.6331e1ea01533p-18, -0x1.639bd082a281bp-18, -0x1.63dd90940dfd5p-18, -0x1.63f7f6caccb7ap-18, -0x1.63ebd629112a9p-18, -0x1.63ba000c51de3p-18, -0x1.63634431f0609p-18, -0x1.62e870baf9147p-18, -0x1.624a522f13792p-18, -0x1.6189b37eab918p-18, -0x1.60a75e0468972p-18, -0x1.5fa4198600d3cp-18, -0x1.5e80ac3471d5ap-18, -0x1.5d3ddaabb0e25p-18, -0x1.5bdc67f1de523p-18, -0x1.5a5d157604794p-18, -0x1.58c0a30e7243p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.337bba75544f3p-6, 0x1.5c05814d06e56p-6, 0x1.87a339ad2c498p-6, 0x1.b65c2a3d858cp-6, 0x1.e834608d508a4p-6, 0x1.0e9664764aa5cp-5, 0x1.2aa1a59649655p-5, 0x1.483975a1b5ee5p-5, 0x1.6759f6781e8cfp-5, 0x1.87fdfccd744fp-5, 0x1.aa1f23e31a254p-5, 0x1.cdb5e1c179a07p-5, 0x1.f2b99bb42d1a8p-5, 0x1.0c905d6a09713p-4, 0x1.20706039615ep-4, 0x1.34f72d20ef4e3p-4, 0x1.4a1ebb0b6df7bp-4, 0x1.5fe0aa989ee9bp-4, 0x1.76364f76f0095p-4, 0x1.8d18b96b0670dp-4, 0x1.a480bcfe64ef1p-4, 0x1.bc66fbcff4cc8p-4, 0x1.d4c3ec82ad219p-4, 0x1.ed8fe247e400cp-4, 0x1.03618a01eac6cp-3, 0x1.102ad1860a3ccp-3, 0x1.1d1fd0c031fd7p-3, 0x1.2a3c8c1f986d5p-3, 0x1.377d063bcdbbp-3, 0x1.44dd426dc6e4ap-3, 0x1.5259473a6576dp-3, 0x1.5fed209016ce6p-3, 0x1.6d94e1d964158p-3, 0x1.7b4ca7e6452fbp-3, 0x1.89109aae3e6c1p-3, 0x1.96dceeed312eap-3, 0x1.a4ade79cfac25p-3, 0x1.b27fd74dc51dcp-3, 0x1.c04f215f16bb2p-3, 0x1.ce183b1b73b3ep-3, 0x1.dbd7acb8768d6p-3, 0x1.e98a123d1966p-3, 0x1.f72c1c4fe58d1p-3, 0x1.025d48774b8e2p-2, 0x1.091926085999ap-2, 0x1.0fc8201b4203bp-2, 0x1.1668bb72d6e1bp-2, 0x1.1cf9888a56fe1p-2, 0x1.237923c3250c4p-2, 0x1.29e6358b02a17p-2, 0x1.303f727b4623p-2, 0x1.36839b71784c1p-2, 0x1.3cb17da1c3b88p-2, 0x1.42c7f2a3909efp-2, 0x1.48c5e078a590bp-2, 0x1.4eaa398f1dbb5p-2, 0x1.5473fcbe7b0afp-2, 0x1.5a22354019394p-2, 0x1.5fb3faa341ff3p-2, 0x1.652870bd1e3acp-2, 0x1.6a7ec794b69b3p-2, 0x1.6fb63b4b3d01ap-2, 0x1.74ce1400d128dp-2, 0x1.79c5a5b5e82a5p-2, 0x1.7e9c50298dd98p-2, 0x1.83517eb4a86c5p-2, 0x1.87e4a82264b32p-2, 0x1.8c554e85fc944p-2, 0x1.90a2ff0dfa889p-2, 0x1.94cd51d526148p-2, 0x1.98d3e9b13c6cbp-2, 0x1.9cb673ffa1b23p-2, 0x1.a074a8702ae05p-2, 0x1.a40e48ce2c686p-2, 0x1.a78320c7ee062p-2, 0x1.aad305b4ac437p-2, 0x1.adfdd65947c63p-2, 0x1.b1037aabcc30bp-2, 0x1.b3e3e395ec0bcp-2, 0x1.b69f0ab6971d4p-2, 0x1.b934f222cbb59p-2, 0x1.bba5a425c6955p-2, 0x1.bdf13300ad8ffp-2, 0x1.c017b8a9d7395p-2, 0x1.c219568bcc35ap-2, 0x1.c3f635442082bp-2, 0x1.c5ae846242a4ap-2, 0x1.c7427a2654ef6p-2, 0x1.c8b25340348ddp-2, 0x1.c9fe528ec0bf2p-2, 0x1.cb26c0df7c3d2p-2, 0x1.cc2becae9c254p-2, 0x1.cd0e29e79ec7fp-2, 0x1.cdcdd1a67c66dp-2, 0x1.ce6b41f980d4fp-2, 0x1.cee6dda3e4682p-2, 0x1.cf410be1324d8p-2, 0x1.cf7a38298cf84p-2, 0x1.cf92d1f6dac78p-2, 0x1.cf8b4c8aecec7p-2, 0x1.cf641eb6a5d6cp-2, 0x1.cf1dc2a232118p-2, 0x1.ceb8b596515cep-2, 0x1.ce3577c6c5222p-2, 0x1.cd948c1de19cap-2, 0x1.ccd678094b668p-2, 0x1.cbfbc347e9c32p-2, 0x1.cb04f7b90b756p-2, 0x1.c9f2a12cc98f6p-2, 0x1.c8c54d35a448cp-2, 0x1.c77d8afb5e3f3p-2, 0x1.c61beb0f1c4a8p-2, 0x1.c4a0ff40bee6p-2, 0x1.c30d5a75825f3p-2, 0x1.c161907fdc8f6p-2, 0x1.bf9e35f8988f5p-2, 0x1.bdc3e0193227fp-2, 0x1.bbd3249768a4fp-2, 0x1.b9cc99820ec03p-2, 0x1.b7b0d51f09947p-2, 0x1.b5806dca88b3ap-2, 0x1.b33bf9d765c99p-2, 0x1.b0e40f70b3457p-2, 0x1.ae79447c6f0bp-2, 0x1.abfc2e7f55a68p-2, 0x1.a96d6281d3609p-2, 0x1.a6cd74f60e5abp-2, 0x1.a41cf99eff977p-2, 0x1.a15c83789e729p-2, 0x1.9e8ca4a10e43ap-2, 0x1.9badee42d6862p-2, 0x1.98c0f0800ffa4p-2, 0x1.95c63a5e90dbap-2, 0x1.92be59b504d4bp-2, 0x1.8fa9db18f8987p-2, 0x1.8c8949cdc4e88p-2, 0x1.895d2fb462b34p-2, 0x1.8626153c139f4p-2, 0x1.82e48153e6ee6p-2, 0x1.7f98f95d0d15ep-2, 0x1.7c44011df4c5p-2, 0x1.78e61ab63007ep-2, 0x1.757fc6931a7d6p-2, 0x1.7211836539263p-2, 0x1.6e9bce1650b86p-2, 0x1.6b1f21c02d31p-2, 0x1.679bf7a4155c5p-2, 0x1.6412c722e49d1p-2, 0x1.608405b5c6fd4p-2, 0x1.5cf026e792b26p-2, 0x1.59579c4eb95d2p-2, 0x1.55bad587cc9ecp-2, 0x1.521a403093d11p-2, 0x1.4e7647e3aa155p-2, 0x1.4acf5634a4ba2p-2, 0x1.4725d2acb84b2p-2, 0x1.437a22c7e0b0bp-2, 0x1.3fcca9f27f2d7p-2, 0x1.3c1dc9876d58ep-2, 0x1.386de0ce85f86p-2, 0x1.34bd4cfb9683fp-2, 0x1.310c692dc0619p-2, 0x1.2d5b8e6f3a714p-2, 0x1.29ab13b57c26dp-2, 0x1.25fb4de1c099fp-2, 0x1.224c8fc1eba96p-2, 0x1.1e9f2a11c38f7p-2, 0x1.1af36b7c834e4p-2, 0x1.1749a09eb8c0cp-2, 0x1.13a214087aa22p-2, 0x1.0ffd0e3fe08dbp-2, 0x1.0c5ad5c3ca28ap-2, 0x1.08bbaf0eeae88p-2, 0x1.051fdc9b16f03p-2, 0x1.01879ee4ced1dp-2, 0x1.fbe668de1e16bp-3, 0x1.f4c5b38ea34dp-3, 0x1.edad931399f51p-3, 0x1.e69e78cbcca75p-3, 0x1.df98d245b2c3p-3, 0x1.d89d094913bbdp-3, 0x1.d1ab83e1193c7p-3, 0x1.cac4a466a5e54p-3, 0x1.c3e8c98b0a29p-3, 0x1.bd184e6303edfp-3, 0x1.b6538a72056e8p-3, 0x1.af9ad1b5c7bfbp-3, 0x1.a8ee74b213e01p-3, 0x1.a24ec07cd5aa9p-3, 0x1.9bbbfeca5d673p-3, 0x1.953675f9da88dp-3, 0x1.8ebe692206ccp-3, 0x1.8854181e03786p-3, 0x1.81f7bf9a556c2p-3, 0x1.7ba9992212695p-3, 0x1.7569db2c2e0d2p-3, 0x1.6f38b928e12b8p-3, 0x1.6916638f3296bp-3, 0x1.630307ea98889p-3, 0x1.5cfed0e8aac1cp-3, 0x1.5709e666efedap-3, 0x1.51246d80b12eep-3, 0x1.4b4e889cdf42fp-3, 0x1.4588577c03157p-3, 0x1.3fd1f74632b94p-3, 0x1.3a2b82990905p-3, 0x1.34951195a51a6p-3, 0x1.2f0eb9eea3c54p-3, 0x1.29988ef61a9cbp-3, 0x1.2432a1ab85f3p-3, 0x1.1edd00c9b8877p-3, 0x1.1997b8d4bd256p-3, 0x1.1462d427a94fap-3, 0x1.0f3e5b02671f5p-3, 0x1.0a2a53976ae84p-3, 0x1.0526c21959e8fp-3, 0x1.0033a8c89a1bfp-3, 0x1.f6a21001a2a6p-4, 0x1.ecfdbc8c8cd33p-4, 0x1.e37a50a65c79cp-4, 0x1.da17c249b8fb1p-4, 0x1.d0d60411b0b81p-4, 0x1.c7b50553abe04p-4, 0x1.beb4b23918e2bp-4, 0x1.b5d4f3d8dd0ebp-4, 0x1.ad15b05085df2p-4, 0x1.a476cadd2cde7p-4, 0x1.9bf823f4217c9p-4, 0x1.9399995b30ba8p-4, 0x1.8b5b0640c1bcap-4, 0x1.833c435387eddp-4, 0x1.7b3d26d9f627ap-4, 0x1.735d84c95a6bep-4, 0x1.6b9d2edca992dp-4, 0x1.63fbf4aaf5798p-4, 0x1.5c79a3bd8d56ep-4, 0x1.551607a5c8eb7p-4, 0x1.4dd0ea127a255p-4, 0x1.46aa12e50782fp-4, 0x1.3fa148462acd7p-4, 0x1.38b64eba56cf4p-4, 0x1.31e8e935bffa7p-4, 0x1.2b38d9300a489p-4, 0x1.24a5deb799dd8p-4, 0x1.1e2fb884863fcp-4, 0x1.17d6240b2fa06p-4, 0x1.1198dd8e77f3p-4, 0x1.0b77a0319b18p-4, 0x1.05722609ab8b1p-4, 0x1.ff10505d5c47bp-5, 0x1.f372bd98b2f36p-5, 0x1.e80b0264ea755p-5, 0x1.dcd88bc9b8e3fp-5, 0x1.d1dac556419e2p-5, 0x1.c711193fa15f6p-5, 0x1.bc7af07ebf7fep-5, 0x1.b217b2ed6351ap-5, 0x1.a7e6c76291205p-5, 0x1.9de793ce3095dp-5, 0x1.94197d53f795cp-5, 0x1.8a7be865a2034p-5, 0x1.810e38dc74adp-5, 0x1.77cfd2120b60cp-5, 0x1.6ec016f875501p-5, 0x1.65de6a31a12f7p-5, 0x1.5d2a2e261b2b8p-5, 0x1.54a2c51b1b4c2p-5, 0x1.4c479147ec5dep-5, 0x1.4417f4eaa4b13p-5, 0x1.3c13525c3c4c9p-5, 0x1.34390c23f81fdp-5, 0x1.2c88850a36e2dp-5, 0x1.2501202a97884p-5, 0x1.1da24105853abp-5, 0x1.166b4b9120ccbp-5, 0x1.0f5ba44995adep-5, 0x1.0872b040cec9fp-5, 0x1.01afd52d9bda1p-5, 0x1.f624f2f47d6dfp-6, 0x1.e93408a4d01f5p-6, 0x1.dc8bbb614925bp-6, 0x1.d02adcd67fa38p-6, 0x1.c41040812e778p-6, 0x1.b83abbc5d7f32p-6, 0x1.aca9260755041p-6, 0x1.a15a58bc63856p-6, 0x1.964d2f8430e78p-6, 0x1.8b808839ebbd5p-6, 0x1.80f343075e4acp-6, 0x1.76a4427694e5p-6, 0x1.6c926b829c1bfp-6, 0x1.62bca5a7548ebp-6, 0x1.5921daf065933p-6, 0x1.4fc0f807539bbp-6, 0x1.4698ec40ba5bbp-6, 0x1.3da8a9a8ba271p-6, 0x1.34ef250e939dfp-6, 0x1.2c6b560f77fb3p-6, 0x1.241c37209aafdp-6, 0x1.1c00c59880c6cp-6, 0x1.141801b7951a2p-6, 0x1.0c60eeb009ccp-6, 0x1.04da92ad07b6fp-6, 0x1.fb07edb262ee1p-7, 0x1.ecb84ec9022ap-7, 0x1.dec467130648ep-7, 0x1.d12a5b23e5b26p-7, 0x1.c3e855b57da37p-7, 0x1.b6fc87aef2cf1p-7, 0x1.aa65282a6eaa5p-7, 0x1.9e207479ca494p-7, 0x1.922cb02a28337p-7, 0x1.868825068872ep-7, 0x1.7b31231964f0ap-7, 0x1.702600ad51e55p-7, 0x1.65651a4cb77bp-7, 0x1.5aecd2c0a607cp-7, 0x1.50bb930ed023ap-7, 0x1.46cfca76ac6e9p-7, 0x1.3d27ee6dcf35p-7, 0x1.33c27a9b7fc0cp-7, 0x1.2a9df0d38eae5p-7, 0x1.21b8d9107889fp-7, 0x1.1911c16cd9346p-7, 0x1.10a73e1c38c9cp-7, 0x1.0877e96338effp-7, 0x1.0082638f282d2p-7, 0x1.f18aa5da05c17p-8, 0x1.e27ec77fd3371p-8, 0x1.d3de906e20295p-8, 0x1.c5a770c65d70fp-8, 0x1.b7d6e456f585ap-8, 0x1.aa6a7284562b1p-8, 0x1.9d5fae312041fp-8, 0x1.90b435a58b3e3p-8, 0x1.8465b2760275dp-8, 0x1.7871d9690ae94p-8, 0x1.6cd66a5c7de94p-8, 0x1.6191302a1daa9p-8, 0x1.56a0008b91da6p-8, 0x1.4c00bbfdd57e1p-8, 0x1.41b14da41ff72p-8, 0x1.37afab2a507dep-8, 0x1.2df9d4a6e7e4dp-8, 0x1.248dd47c97f5ep-8, 0x1.1b69bf3b71fc6p-8, 0x1.128bb381bb841p-8, 0x1.09f1d9dc71c03p-8, 0x1.019a64a786db7p-8, 0x1.f3071fdbb414fp-9, 0x1.e3574291eea47p-9, 0x1.d421cf814e59ep-9, 0x1.c56377549949ap-9, 0x1.b718fd1048f06p-9, 0x1.a93f35d0c33dfp-9, 0x1.9bd3088864e61p-9, 0x1.8ed16dbd69ea5p-9, 0x1.82376f47b9fe8p-9, 0x1.7602280ea9aabp-9, 0x1.6a2ec3c6b65bep-9, 0x1.5eba7eaf4ed7ap-9, 0x1.53a2a550a8122p-9, 0x1.48e49439b18a8p-9, 0x1.3e7db7be2ececp-9, 0x1.346b8bb4fbc8ep-9, 0x1.2aab9b3689e7p-9, 0x1.213b805b9c50fp-9, 0x1.1818e3fc495b6p-9, 0x1.0f417d6f4b5c1p-9, 0x1.06b31249a5ee6p-9, 0x1.fcd6ec3d4cd6dp-10, 0x1.ecd1148096cccp-10, 0x1.dd507b001f9cp-10, 0x1.ce5117e050aap-10, 0x1.bfcefd4a6764p-10, 0x1.b1c656f0cfb29p-10, 0x1.a4336994719e7p-10, 0x1.9712928b12cdep-10, 0x1.8a604746c1b88p-10, 0x1.7e1914de54b37p-10, 0x1.72399f971a1c3p-10, 0x1.66bea26f9fbc2p-10, 0x1.5ba4eeabb7ad6p-10, 0x1.50e96b61a79cap-10, 0x1.468915089fae1p-10, 0x1.3c80fd086a62p-10, 0x1.32ce494a689ep-10, 0x1.296e33cbd9d97p-10, 0x1.205e0a31718eap-10, 0x1.179b2d5c4652bp-10, 0x1.0f23110013d24p-10, 0x1.06f33b3adc16bp-10, 0x1.fe12885bc51d1p-11, 0x1.eec5ab3025472p-11, 0x1.dffb54e379676p-11, 0x1.d1af1d1380c95p-11, 0x1.c3dcbc4837882p-11, 0x1.b6800b33c561bp-11, 0x1.a99501f53e772p-11, 0x1.9d17b75e3ab57p-11, 0x1.9104603b3f2b3p-11, 0x1.85574e9effd33p-11, 0x1.7a0cf130763a5p-11, 0x1.6f21d27bcc8cp-11, 0x1.649298461ed46p-11, 0x1.5a5c02e40d48p-11, 0x1.507aec9322ba6p-11, 0x1.46ec48d605cc5p-11, 0x1.3dad23d37c41ap-11, 0x1.34baa1b832881p-11, 0x1.2c11fe1b4dbc6p-11, 0x1.23b08b65beba2p-11, 0x1.1b93b23c53f44p-11, 0x1.13b8f0ec86f08p-11, 0x1.0c1ddadbfedd1p-11, 0x1.04c017fac6009p-11, 0x1.fb3ac87052eb7p-12, 0x1.ed671df4850aep-12, 0x1.e000f5303e884p-12, 0x1.d30437ad12a34p-12, 0x1.c66cf2cec04cbp-12, 0x1.ba3756d7095b1p-12, 0x1.ae5fb5ee9def5p-12, 0x1.a2e28333091fap-12, 0x1.97bc51c99bc18p-12, 0x1.8ce9d3f73e5b1p-12, 0x1.8267da3d2306fp-12, 0x1.7833527a44d3ap-12, 0x1.6e494711a8759p-12, 0x1.64a6de154f6f1p-12, 0x1.5b495875d02cp-12, 0x1.522e11367ecc3p-12, 0x1.49527ca6204f1p-12, 0x1.40b4279c0f5bp-12, 0x1.3850b6b9ccc63p-12, 0x1.3025e5b0e234dp-12, 0x1.2831868d11656p-12, 0x1.20718102b8bfcp-12, 0x1.18e3d1c160fep-12, 0x1.118689ca63b91p-12, 0x1.0a57cdcb9a2edp-12, 0x1.0355d57e06be9p-12, 0x1.f8fdd610c9b24p-13, 0x1.eba2d4cb2840dp-13, 0x1.de97819d96b4dp-13, 0x1.d1d8d8530e1cp-13, 0x1.c563f4f23e23fp-13, 0x1.b93612a7eeb2ep-13, 0x1.ad4c8ab8778c6p-13, 0x1.a1a4d3782494bp-13, 0x1.963c7f4a7be25p-13, 0x1.8b113ba82dc6fp-13, 0x1.8020d02ba318bp-13, 0x1.75691da405b5dp-13, 0x1.6ae81d2e971edp-13, 0x1.609bdf5652743p-13, 0x1.56828b399f4bdp-13, 0x1.4c9a5db607dap-13, 0x1.42e1a899d2033p-13, 0x1.3956d1db58337p-13, 0x1.2ff852d60b78ep-13, 0x1.26c4b78cfe726p-13, 0x1.1dba9df2dc418p-13, 0x1.14d8b5372f922p-13, 0x1.0c1dbd18deb34p-13, 0x1.0388853dbfed8p-13, 0x1.f62fd91e4d22ep-14, 0x1.e595c136aba6bp-14, 0x1.d540b9f773db7p-14, 0x1.c52ed57f90086p-14, 0x1.b55e3fb8e5868p-14, 0x1.a5cd3d402fa1bp-14, 0x1.967a2a558df4p-14, 0x1.876379d5a1ab3p-14, 0x1.7887b43afbec6p-14, 0x1.69e576a7b5881p-14, 0x1.5b7b71f6fa7bep-14, 0x1.4d4869d658a03p-14, 0x1.3f4b33e6a58bdp-14, 0x1.3182b6e44a806p-14, 0x1.23ede9d6c9e0cp-14, 0x1.168bd347509dcp-14, 0x1.095b887e27198p-14, 0x1.f8b8598daceb2p-15, 0x1.df19e175ab382p-15, 0x1.c5da23252e967p-15, 0x1.acf7b0f993de6p-15, 0x1.947133f74dc45p-15, 0x1.7c456a9046a32p-15, 0x1.64732775bd246p-15, 0x1.4cf950754c83dp-15, 0x1.35d6dd60d353fp-15, 0x1.1f0ad700ef43ep-15, 0x1.08945611c3521p-15, 0x1.e4e5049380badp-16, 0x1.b94922d458b1p-16, 0x1.8e538cb23a5d7p-16, 0x1.6402e0894fe32p-16, 0x1.3a55d39e0296dp-16, 0x1.114b308691eabp-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.1e8faf773ededp-2, -0x1.27fc663e0a511p-2, -0x1.3118965c11c5ep-2, -0x1.39eb4556f879ep-2, -0x1.427b1a5ca4a1p-2, -0x1.4ace5243a8aa6p-2, -0x1.52eab72153f83p-2, -0x1.5ad59af1a4b6fp-2, -0x1.6293d4d9369dp-2, -0x1.6a29c09530e68p-2, -0x1.719b3fb8ba50dp-2, -0x1.78ebbc6285cd2p-2, -0x1.801e2d1f542dcp-2, -0x1.873519b7ed02dp-2, -0x1.8e32a0b1ccd32p-2, -0x1.95187d51ca8d9p-2, -0x1.9be80df72634fp-2, -0x1.a2a25aabe6aeep-2, -0x1.a9481bcd1a9e4p-2, -0x1.afd9c0b2aa68bp-2, -0x1.b6577642c712ep-2, -0x1.bcc12d60e07fdp-2, -0x1.c316a12b6d665p-2, -0x1.c9575cfe967a9p-2, -0x1.cf82c23468ab1p-2, -0x1.d5980d9d29759p-2, -0x1.db965cac3e7dap-2, -0x1.e17cb25788cb7p-2, -0x1.e749fba84a9a5p-2, -0x1.ecfd13fdb28bp-2, -0x1.f294c901f1cddp-2, -0x1.f80fde536bbaap-2, -0x1.fd6d10e40d497p-2, -0x1.01558d08a2a65p-1, -0x1.03e4593ba82d9p-1, -0x1.06624a416e235p-1, -0x1.08cebf6204252p-1, -0x1.0b291b02ffb5ep-1, -0x1.0d70c397292aep-1, -0x1.0fa52473a5c0dp-1, -0x1.11c5ae8c3376ep-1, -0x1.13d1d91802f4p-1, -0x1.15c92220b0827p-1, -0x1.17ab0efcd858p-1, -0x1.19772cb7a8de4p-1, -0x1.1b2d1066d3b4cp-1, -0x1.1ccc5770262d8p-1, -0x1.1e54a7c007e78p-1, -0x1.1fc5aff20b798p-1, -0x1.211f276cb220ep-1, -0x1.2260ce716be08p-1, -0x1.238a6e21dbf1dp-1, -0x1.249bd87b4ad88p-1, -0x1.2594e84930138p-1, -0x1.2675810fa5342p-1, -0x1.273d8eee8ea58p-1, -0x1.27ed067e3314bp-1, -0x1.2883e4a5f55a7p-1, -0x1.29022e6dd449dp-1, -0x1.2967f0cb4b6cp-1, -0x1.29b5406a23d0bp-1, -0x1.29ea3971be644p-1, -0x1.2a06ff474ec28p-1, -0x1.2a0bbc4d836e3p-1, -0x1.29f8a1a1ff0a4p-1, -0x1.29cde6d90ccc4p-1, -0x1.298bc9b7e96e8p-1, -0x1.29328dedfa235p-1, -0x1.28c27ccd3afa9p-1, -0x1.283be5023536cp-1, -0x1.279f1a4bba41ep-1, -0x1.26ec7532a3ea1p-1, -0x1.262452c1d381bp-1, -0x1.2547143ea07e1p-1, -0x1.24551ee1e72bfp-1, -0x1.234edb91e25cep-1, -0x1.2234b69cf6c0cp-1, -0x1.21071f759157fp-1, -0x1.1fc6886f38a99p-1, -0x1.1e73667cef158p-1, -0x1.1d0e30f0f9d52p-1, -0x1.1b97613e2897ep-1, -0x1.1a0f72baa99bep-1, -0x1.1876e2648353cp-1, -0x1.16ce2ea7b78fap-1, -0x1.1515d72626262p-1, -0x1.134e5c812f564p-1, -0x1.11784025257e7p-1, -0x1.0f9404168e29dp-1, -0x1.0da22ac13a247p-1, -0x1.0ba336c936228p-1, -0x1.0997aadd954a4p-1, -0x1.0780098d1488ep-1, -0x1.055cd51c98034p-1, -0x1.032e8f5f7c7a1p-1, -0x1.00f5b991bd4afp-1, -0x1.fd65a867cc84ep-2, -0x1.f8ccbdd1a27d3p-2, -0x1.f421b0aa46338p-2, -0x1.ef657c010fba7p-2, -0x1.ea99187143d71p-2, -0x1.e5bd7beb4c649p-2, -0x1.e0d399813a106p-2, -0x1.dbdc61367eb89p-2, -0x1.d6d8bfd2c8accp-2, -0x1.d1c99eb7f280cp-2, -0x1.ccafe3baf102fp-2, -0x1.c78c70ffa7262p-2, -0x1.c26024d7923c1p-2, -0x1.bd2bd9a335e0ap-2, -0x1.b7f065b631261p-2, -0x1.b2ae9b3de9a9dp-2, -0x1.ad67482ab936fp-2, -0x1.a81b361b81d1p-2, -0x1.a2cb2a4b9a142p-2, -0x1.9d77e582f8d8ep-2, -0x1.98222408885bfp-2, -0x1.92ca9d9693b7dp-2, -0x1.8d7205512e254p-2, -0x1.881909be8ac59p-2, -0x1.82c054c1277fep-2, -0x1.7d688b93bdbe9p-2, -0x1.78124ec6dce89p-2, -0x1.72be3a4024071p-2, -0x1.6d6ce53b00351p-2, -0x1.681ee24ae0e46p-2, -0x1.62d4bf5ecd4c4p-2, -0x1.5d8f05c6496a7p-2, -0x1.584e3a37796edp-2, -0x1.5312dcd6718bp-2, -0x1.4ddd693da24e7p-2, -0x1.48ae56874f189p-2, -0x1.43861758001bcp-2, -0x1.3e6519e9df3b5p-2, -0x1.394bc818f4c68p-2, -0x1.343a87702c4efp-2, -0x1.2f31b9371e883p-2, -0x1.2a31ba8088dffp-2, -0x1.253ae4396d17dp-2, -0x1.204d8b38c3536p-2, -0x1.1b6a004fbe2a4p-2, -0x1.1690905a873bep-2, -0x1.11c1845171a11p-2, -0x1.0cfd215a97ae1p-2, -0x1.0843a8dbd0398p-2, -0x1.0395588cfd9c3p-2, -0x1.fde4d5153ff53p-3, -0x1.f4b62ad15af93p-3, -0x1.eb9f188b3950ep-3, -0x1.e29ffdbb3b991p-3, -0x1.d9b9333bfb824p-3, -0x1.d0eb0b7141b43p-3, -0x1.c835d26f31598p-3, -0x1.bf99ce218e0f4p-3, -0x1.b7173e7310c8p-3, -0x1.aeae5d74c65bdp-3, -0x1.a65f5f855abf1p-3, -0x1.9e2a737858c8bp-3, -0x1.960fc2bd47abdp-3, -0x1.8e0f7186980f1p-3, -0x1.86299ef0652a1p-3, -0x1.7e5e6526f4cb1p-3, -0x1.76add98cebb6fp-3, -0x1.6f180ce13c8c4p-3, -0x1.679d0b64b8882p-3, -0x1.603cdcff46929p-3, -0x1.58f78564b27f8p-3, -0x1.51cd043916473p-3, -0x1.4abd5534cc7fp-3, -0x1.43c87047ef981p-3, -0x1.3cee49bd625e1p-3, -0x1.362ed25d501fcp-3, -0x1.2f89f78f2e2cdp-3, -0x1.28ffa37b36cp-3, -0x1.228fbd2b58ee5p-3, -0x1.1c3a28ab914b3p-3, -0x1.15fec729c220cp-3, -0x1.0fdd7714e9ceap-3, -0x1.09d6143bc8066p-3, -0x1.03e877eaf0227p-3, -0x1.fc28f2147a528p-4, -0x1.f0b3d8735b473p-4, -0x1.e57147db45c2ep-4, -0x1.da60e1150c9fep-4, -0x1.cf8240ff9baf8p-4, -0x1.c4d500c4d3a2bp-4, -0x1.ba58b60d1b373p-4, -0x1.b00cf331c7162p-4, -0x1.a5f1476e31af3p-4, -0x1.9c053f0fb0cf2p-4, -0x1.924863a440201p-4, -0x1.88ba3c2803c37p-4, -0x1.7f5a4d3187667p-4, -0x1.7628191cd48f8p-4, -0x1.6d23203552f14p-4, -0x1.644ae0de7a82ap-4, -0x1.5b9ed7bb5b0c6p-4, -0x1.531e7fd4f9598p-4, -0x1.4ac952bf86caep-4, -0x1.429ec8be75f12p-4, -0x1.3a9e58e7711a4p-4, -0x1.32c7794432ff1p-4, -0x1.2b199ef34a8b1p-4, -0x1.23943e47c7a02p-4, -0x1.1c36cae7da57cp-4, -0x1.1500b7ea651b3p-4, -0x1.0df177f38705fp-4, -0x1.07087d5024357p-4, -0x1.00453a106d998p-4, -0x1.f34e4042defa4p-5, -0x1.e65b42cb532f7p-5, -0x1.d9b05f996acdep-5, -0x1.cd4c7ad401f28p-5, -0x1.c12e79153f235p-5, -0x1.b5553f9473491p-5, -0x1.a9bfb44e363dfp-5, -0x1.9e6cbe2ad45aep-5, -0x1.935b45230d5c1p-5, -0x1.888a326335273p-5, -0x1.7df8706cbc6dfp-5, -0x1.73a4eb3628ea9p-5, -0x1.698e90498ba37p-5, -0x1.5fb44ee179c8fp-5, -0x1.5615180494d76p-5, -0x1.4cafde9faa156p-5, -0x1.4383979e701dfp-5, -0x1.3a8f3a02f0e2cp-5, -0x1.31d1befba5c87p-5, -0x1.294a21f84ea82p-5, -0x1.20f760bd8d368p-5, -0x1.18d87b774fb8ap-5, -0x1.10ec74ca0f99p-5, -0x1.093251e2f1f08p-5, -0x1.01a91a86cbc4fp-5, -0x1.f49fb24030d4bp-6, -0x1.e64b3597d0b9p-6, -0x1.d852decb9d178p-6, -0x1.cab4d325ae0a4p-6, -0x1.bd6f3d971ed01p-6, -0x1.b0804eca468acp-6, -0x1.a3e63d333c005p-6, -0x1.979f451e9e097p-6, -0x1.8ba9a8bebd86bp-6, -0x1.8003b03735881p-6, -0x1.74aba9a6fb803p-6, -0x1.699fe930f64a2p-6, -0x1.5edec9032fb62p-6, -0x1.5466a95ca63ebp-6, -0x1.4a35f091d130ep-6, -0x1.404b0b0fe122ep-6, -0x1.36a46b5ed06cp-6, -0x1.2d408a223f65ap-6, -0x1.241de619410cfp-6, -0x1.1b3b041d0cc27p-6, -0x1.12966f1eae7cep-6, -0x1.0a2eb823ba5c4p-6, -0x1.0202764215356p-6, -0x1.f4208d35a861dp-7, -0x1.e4ad98a885f51p-7, -0x1.d5a961263a543p-7, -0x1.c71144e5fb6e6p-7, -0x1.b8e2adfc2c1eap-7, -0x1.ab1b1248599c4p-7, -0x1.9db7f361f809dp-7, -0x1.90b6de83c4cd6p-7, -0x1.84156c76123f5p-7, -0x1.77d14177e1f34p-7, -0x1.6be80d26f5021p-7, -0x1.60578a66e4a15p-7, -0x1.551d7f47419ffp-7, -0x1.4a37bce8d5852p-7, -0x1.3fa41f62131cep-7, -0x1.35608da2c778cp-7, -0x1.2b6af95709b5fp-7, -0x1.21c15ec989e5dp-7, -0x1.1861c4c54081cp-7, -0x1.0f4a3c768d321p-7, -0x1.0678e14bd2b12p-7, -0x1.fbd7b1ab2f152p-8, -0x1.eb42a54c765dfp-8, -0x1.db2f10628c88cp-8, -0x1.cb997954c6476p-8, -0x1.bc7e79c80da54p-8, -0x1.addabe5bab761p-8, -0x1.9fab066594a44p-8, -0x1.91ec23ae561a9p-8, -0x1.849afa2ca773cp-8, -0x1.77b47fc0baf4ep-8, -0x1.6b35bbef5733fp-8, -0x1.5f1bc79ccb4f8p-8, -0x1.5363ccc7cb388p-8, -0x1.480b064442b37p-8, -0x1.3d0ebf762b28cp-8, -0x1.326c540c72a1cp-8, -0x1.28212fbbfeeb1p-8, -0x1.1e2acdfad8669p-8, -0x1.1486b9bb88a8ep-8, -0x1.0b328d28b50a8p-8, -0x1.022bf16103d08p-8, -0x1.f2e13c669fb9bp-9, -0x1.e1fcb3b66e93fp-9, -0x1.d1a5f17c1e252p-9, -0x1.c1d8ba507a5cep-9, -0x1.b290ee1617705p-9, -0x1.a3ca8775def4ap-9, -0x1.95819b5caa10ep-9, -0x1.87b25879e3251p-9, -0x1.7a5906bf468c9p-9, -0x1.6d7206e1c78c3p-9, -0x1.60f9d1dba92f4p-9, -0x1.54ecf86fcde3fp-9, -0x1.494822ae521bep-9, -0x1.3e080f7a6d6f3p-9, -0x1.33299411ad664p-9, -0x1.28a99b948cbb2p-9, -0x1.1e8526906b92cp-9, -0x1.14b94a8af4811p-9, -0x1.0b43318ef008p-9, -0x1.022019ba8c329p-9, -0x1.f29aa99e3cfb4p-10, -0x1.e1908f84c5bc8p-10, -0x1.d11cd4a27c2f5p-10, -0x1.c13a8d27fffeep-10, -0x1.b1e4f12868a73p-10, -0x1.a3175bc7eb7edp-10, -0x1.94cd4a6da244ap-10, -0x1.87025bf86ed06p-10, -0x1.79b24ff6f4054p-10, -0x1.6cd905e2b4e8dp-10, -0x1.60727c5e4d7ccp-10, -0x1.547ad076d3fep-10, -0x1.48ee3ce853e6p-10, -0x1.3dc919656bb09p-10, -0x1.3307d9e207c49p-10, -0x1.28a70de13a801p-10, -0x1.1ea35fc62e066p-10, -0x1.14f994282b502p-10, -0x1.0ba68929b9dd3p-10, -0x1.02a735d2c5751p-10, -0x1.f3f152dbbb198p-11, -0x1.e33015d0dae4cp-11, -0x1.d305306bfe487p-11, -0x1.c36b4b6cefa82p-11, -0x1.b45d3b3e97385p-11, -0x1.a5d5fecf430fcp-11, -0x1.97d0be6ec5101p-11, -0x1.8a48cab258778p-11, -0x1.7d399b5e40eafp-11, -0x1.709ece5515762p-11, -0x1.6474268ca86acp-11, -0x1.58b58b087df0ap-11, -0x1.4d5f05d9bfedep-11, -0x1.426cc324a18c7p-11, -0x1.37db102b20cc1p-11, -0x1.2da65a5d165cfp-11, -0x1.23cb2e6d81f9bp-11, -0x1.1a46376d037d7p-11, -0x1.11143de96f24fp-11, -0x1.083227126abdfp-11, -0x1.ff39e7c606362p-12, -0x1.eea380a04e36cp-12, -0x1.de9b84f7efaa3p-12, -0x1.cf1c93dbb2cd5p-12, -0x1.c0217d9e69c6bp-12, -0x1.b1a54259af178p-12, -0x1.a3a31079bb0e3p-12, -0x1.961643522a679p-12, -0x1.88fa61bb92fd2p-12, -0x1.7c4b1cb9c3d2cp-12, -0x1.70044e2a82216p-12, -0x1.6421f77cad4cep-12, -0x1.58a0406f9994fp-12, -0x1.4d7b75da7e6p-12, -0x1.42b0087bdbc1dp-12, -0x1.383a8bd0a8655p-12, -0x1.2e17b4f329af7p-12, -0x1.244459815211fp-12, -0x1.1abd6e8a7d79ep-12, -0x1.118007846f06bp-12, -0x1.0889554766286p-12, -0x1.ffad4a2254877p-13, -0x1.eecabf1dd9c6p-13, -0x1.de660fdbb93e4p-13, -0x1.ce7a75e4888b5p-13, -0x1.bf035c2a366e8p-13, -0x1.affc5d4fc251bp-13, -0x1.a16141fd3fcecp-13, -0x1.932dff3ff4b06p-13, -0x1.855eb4f6495e7p-13, -0x1.77efac4740f34p-13, -0x1.6add56254b092p-13, -0x1.5e2449dc22b23p-13, -0x1.51c143a983a6dp-13, -0x1.45b1236071383p-13, -0x1.39f0eb16dac7dp-13, -0x1.2e7dbddd5ce9fp-13, -0x1.2354de80df40dp-13, -0x1.1873ae55e59f8p-13, -0x1.0dd7ac0d3fcbfp-13, -0x1.037e7291fcd8dp-13, -0x1.f2cb6fe0aeaa6p-14, -0x1.df16988aca5cep-14, -0x1.cbda316ebaa6p-14, -0x1.b9123cec6d7c9p-14, -0x1.a6baeb88dcf81p-14, -0x1.94d09a0f83adbp-14, -0x1.834fcfc350b8cp-14, -0x1.72353c9ebf337p-14, -0x1.617db7a2a33c1p-14, -0x1.51263d3356f5ap-14, -0x1.412bed83e1e9ep-14, -0x1.318c0b0ec39bap-14, -0x1.2243f91c00bbep-14, -0x1.13513a541c5a2p-14, -0x1.04b16f5fa5b26p-14, -0x1.ecc4ab2603edfp-15, -0x1.d0c38b4c3f27dp-15, -0x1.b55b64ef7df5dp-15, -0x1.9a884fb80027ep-15, -0x1.804692ebc90b7p-15, -0x1.6692a336f0955p-15, -0x1.4d692088a9d25p-15, -0x1.34c6d4046694ap-15, -0x1.1ca8ae06889bcp-15, -0x1.050bc43c0bc7dp-15, -0x1.dbda9f994758cp-16, -0x1.ae95572d73c18p-16, -0x1.8242a4f99e9e3p-16, -0x1.56ddbb876c537p-16, -0x1.2c6207024fb96p-16, -0x1.02cb2a346e2b3p-16, -0x1.b429f74487c1ep-17, -0x1.647705883e39dp-17, -0x1.1675eab8f7c2cp-17, -0x1.943ed3a9a660dp-18, -0x1.fdb261b84d215p-19, -0x1.b2b6cfd5934c9p-20, 0x1.12824a92be0c2p-21, 0x1.5c59c61e291cp-19, 0x1.36f3b35a6ec3cp-18, 0x1.bcafda30b063ap-18, 0x1.1fb6027a5ae5p-17, 0x1.5f993aceca466p-17, 0x1.9e0684c87663dp-17, 0x1.db02a0164ffeep-17, 0x1.0b491040af771p-16, 0x1.285cb872928bcp-16, 0x1.44be6b01d9dbep-16, 0x1.6070389b5fca2p-16, 0x1.7b74217f7387dp-16, 0x1.95cc16b9316d5p-16, 0x1.af79fb46222f8p-16, 0x1.c87fa52eb61adp-16, 0x1.e0dede9025f55p-16, 0x1.f89966984499cp-16, 0x1.07d87939e17fep-15, 0x1.13139717b99aap-15, 0x1.1dfedec67a76p-15, 0x1.289b1e65af4efp-15, 0x1.32e920b2218d4p-15, 0x1.3ce9ad5eca9b1p-15, 0x1.469d89686b32p-15, 0x1.50057763fe2b8p-15, 0x1.592237c83ab4p-15, 0x1.61f489325b91p-15, 0x1.6a7d28a659f37p-15, 0x1.72bcd1cad0711p-15, 0x1.7ab43f20b0a8p-15, 0x1.82642a36f8f22p-15, 0x1.89cd4bda9d517p-15, 0x1.90f05c42c1202p-15, 0x1.97ce13397790cp-15, 0x1.9e6728412b69bp-15, 0x1.a4bc52b6d5fbp-15, 0x1.aace49f12c384p-15, 0x1.b09dc55ce42fp-15, 0x1.b62b7c9638542p-15, 0x1.bb78277fc7462p-15, 0x1.c0847e56f2f86p-15, 0x1.c55139c5dd2e1p-15, 0x1.c9df12f322c6bp-15, 0x1.ce2ec38f6f14ap-15, 0x1.d24105e106f1fp-15, 0x1.d61694cd66f5bp-15, 0x1.d9b02be10a67bp-15, 0x1.dd0e87557d2c2p-15, 0x1.e0326415c882bp-15, 0x1.e31c7fc157c7p-15, 0x1.e5cd98ad6b2d1p-15, 0x1.e8466de52b362p-15, 0x1.ea87bf2877864p-15, 0x1.ec924ce97f297p-15, 0x1.ee66d8493c936p-15, 0x1.f0062312e30c3p-15, 0x1.f170efb650fe6p-15, 0x1.f2a8014199e19p-15, 0x1.f3ac1b59b79dp-15, 0x1.f47e02327283dp-15, 0x1.f51e7a859134ep-15, 0x1.f58e49895cfc8p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.94a414821649cp-1, 0x1.9289f5a07054cp-1, 0x1.905decc797352p-1, 0x1.8e22e59ed9ae5p-1, 0x1.8bdbaa5d664f8p-1, 0x1.898adc99e3dbcp-1, 0x1.8732efff48156p-1, 0x1.84d626a648636p-1, 0x1.82768ed6e9377p-1, 0x1.801601fa83da5p-1, 0x1.7db6248bbed3p-1, 0x1.7b5866d728d74p-1, 0x1.78fe06643b95bp-1, 0x1.76a80fe370731p-1, 0x1.745761829755p-1, 0x1.720cad8ce050cp-1, 0x1.6fc87d3fda553p-1, 0x1.6d8b33c2265bp-1, 0x1.6b55112bb9d3bp-1, 0x1.6926359246908p-1, 0x1.66fea40ed73b8p-1, 0x1.64de45b3bdf0ep-1, 0x1.62c4ec6bd9288p-1, 0x1.60b255bdbd6bdp-1, 0x1.5ea62d6eae6dp-1, 0x1.5ca010027e77ep-1, 0x1.5a9f8d165b8fdp-1, 0x1.58a42995615c2p-1, 0x1.56ad61c6787b2p-1, 0x1.54baab338e3a6p-1, 0x1.52cb766aa8344p-1, 0x1.50df3099ad172p-1, 0x1.4ef5450603506p-1, 0x1.4d0d1e615e6acp-1, 0x1.4b2627fd34b1fp-1, 0x1.493fcede78fc6p-1, 0x1.475982b343dfep-1, 0x1.4572b6ac1f497p-1, 0x1.438ae23aaabbp-1, 0x1.41a181b751c0bp-1, 0x1.3fb616efbe1f9p-1, 0x1.3dc8299fab133p-1, 0x1.3bd747d5b31p-1, 0x1.39e306459e95p-1, 0x1.37eb0089aef2bp-1, 0x1.35eed95449ecep-1, 0x1.33ee3a9361a99p-1, 0x1.31e8d586d791p-1, 0x1.2fde62cb11801p-1, 0x1.2dcea258e045dp-1, 0x1.2bb95b7bc771dp-1, 0x1.299e5cbfa4dffp-1, 0x1.277d7bd6a6617p-1, 0x1.255695786d986p-1, 0x1.23298d3b2c8c5p-1, 0x1.20f64d6780e2cp-1, 0x1.1ebcc6c7bd36p-1, 0x1.1c7cf0734658cp-1, 0x1.1a36c7969d5c3p-1, 0x1.17ea4f38a3bdcp-1, 0x1.15978ffd9beb1p-1, 0x1.133e97e85ae13p-1, 0x1.10df7a1a1a645p-1, 0x1.0e7a4e914fde2p-1, 0x1.0c0f31e7dfd97p-1, 0x1.099e451104159p-1, 0x1.0727ad172d6c3p-1, 0x1.04ab92da2625cp-1, 0x1.022a22cdb1358p-1, 0x1.ff471971baacfp-2, 0x1.fa3006ec7a27bp-2, 0x1.f50f796a5efe7p-2, 0x1.efe5e178be5d6p-2, 0x1.eab3b45b32c22p-2, 0x1.e5796b96365efp-2, 0x1.e037847cdbbd7p-2, 0x1.daee7fc1ced85p-2, 0x1.d59ee10bc32dap-2, 0x1.d0492e8d6d93p-2, 0x1.caedf0a1211a9p-2, 0x1.c58db16820a0ep-2, 0x1.c028fc6db315ap-2, 0x1.bac05e4e0742p-2, 0x1.b5546460e5b8cp-2, 0x1.afe59c6836a9bp-2, 0x1.aa74944257a1cp-2, 0x1.a501d9a03f05ap-2, 0x1.9f8df9bf5d715p-2, 0x1.9a1981273e4e3p-2, 0x1.94a4fb6ad0512p-2, 0x1.8f30f2ed49ffcp-2, 0x1.89bdf0aaa0906p-2, 0x1.844c7c03725b1p-2, 0x1.7edd1a8c5cf2p-2, 0x1.79704fe0a32a8p-2, 0x1.74069d781342ep-2, 0x1.6ea082800dea9p-2, 0x1.693e7bb7a08a2p-2, 0x1.63e1034e95c49p-2, 0x1.5e8890c764016p-2, 0x1.593598dbe2afep-2, 0x1.53e88d64ad329p-2, 0x1.4ea1dd4319efbp-2, 0x1.4961f44daea91p-2, 0x1.44293b3ef2e0ap-2, 0x1.3ef817a692a81p-2, 0x1.39ceebdcab975p-2, 0x1.34ae16f73648bp-2, 0x1.2f95f4c16e71ap-2, 0x1.2a86ddb5240bap-2, 0x1.258126f5dc7bbp-2, 0x1.2085224dadbaap-2, 0x1.1b931e2bbc2eep-2, 0x1.16ab65a4453afp-2, 0x1.11ce407221d3ep-2, 0x1.0cfbf2f9a8efbp-2, 0x1.0834be4cdf537p-2, 0x1.0378e030e3992p-2, 0x1.fd912648f4906p-3, 0x1.f4481ccf6268ep-3, 0x1.eb170c08feap-3, 0x1.e1fe55b0aa1f7p-3, 0x1.d8fe553d108c2p-3, 0x1.d0175ff7181f8p-3, 0x1.c749c511cd7e8p-3, 0x1.be95cdc3a77dfp-3, 0x1.b5fbbd6101679p-3, 0x1.ad7bd177bbea5p-3, 0x1.a51641ebdd206p-3, 0x1.9ccb411517ec8p-3, 0x1.949afbdd2bb8ap-3, 0x1.8c8599deed179p-3, 0x1.848b3d85ff33fp-3, 0x1.7cac042f0b076p-3, 0x1.74e806487298cp-3, 0x1.6d3f577364fb8p-3, 0x1.65b206a53a707p-3, 0x1.5e401e491987cp-3, 0x1.56e9a461ba2bep-3, 0x1.4fae9aab4a187p-3, 0x1.488efebd5e83bp-3, 0x1.418aca2cdebdcp-3, 0x1.3aa1f2ade19edp-3, 0x1.33d46a356b4a4p-3, 0x1.2d221f1b051f9p-3, 0x1.268afc3a1b9d1p-3, 0x1.200ee91325b97p-3, 0x1.19adc9ec7a6fep-3, 0x1.13677ff2d9c5p-3, 0x1.0d3be95999709p-3, 0x1.072ae17a73683p-3, 0x1.013440f4e1302p-3, 0x1.f6afbb9a25ca6p-4, 0x1.eb2b1714cd773p-4, 0x1.dfda36aad8c42p-4, 0x1.d4bcb82abc97dp-4, 0x1.c9d2351a416d3p-4, 0x1.bf1a42ef564ebp-4, 0x1.b4947347e1352p-4, 0x1.aa40542060d23p-4, 0x1.a01d7009688f6p-4, 0x1.962b4e5bf696dp-4, 0x1.8c69736c9847fp-4, 0x1.82d760bd5da04p-4, 0x1.7974952e95c9p-4, 0x1.70408d2e55d8cp-4, 0x1.673ac2e6c69ddp-4, 0x1.5e62ae6b38eaap-4, 0x1.55b7c5e3ffdcdp-4, 0x1.4d397db910f1fp-4, 0x1.44e748bb6c608p-4, 0x1.3cc0984d4ae49p-4, 0x1.34c4dc8917283p-4, 0x1.2cf384673024ap-4, 0x1.254bfde27aa36p-4, 0x1.1dcdb61bc0d29p-4, 0x1.1678197be55eep-4, 0x1.0f4a93d4ec318p-4, 0x1.08449081db466p-4, 0x1.01657a857a4c4p-4, 0x1.f559794fdf49ap-5, 0x1.e83383268aa6bp-5, 0x1.db57e7dda8e49p-5, 0x1.cec57cf33d248p-5, 0x1.c27b184733869p-5, 0x1.b677904be26ep-5, 0x1.aab9bc34879eep-5, 0x1.9f407421c1335p-5, 0x1.940a914c14011p-5, 0x1.8916ee2c86d28p-5, 0x1.7e6466a35ae5p-5, 0x1.73f1d81cf1275p-5, 0x1.69be21b4e1802p-5, 0x1.5fc824575179ep-5, 0x1.560ec2e0953ddp-5, 0x1.4c90e23b256b6p-5, 0x1.434d697bf1899p-5, 0x1.3a4341fd1ff64p-5, 0x1.3171577740402p-5, 0x1.28d69818fc958p-5, 0x1.2071f49d55311p-5, 0x1.1842606072c88p-5, 0x1.1046d17315449p-5, 0x1.087e40acab6c6p-5, 0x1.00e7a9bc213e4p-5, 0x1.f304166ed693p-6, 0x1.e498cd53aef94p-6, 0x1.d68b814269486p-6, 0x1.c8da4173a3527p-6, 0x1.bb832352cdb5ep-6, 0x1.ae844291d3eecp-6, 0x1.a1dbc13abf32bp-6, 0x1.9587c7bf54cb2p-6, 0x1.89868506d4853p-6, 0x1.7dd62e79d7eb5p-6, 0x1.7275000c6dbb2p-6, 0x1.67613c4685fe3p-6, 0x1.5c992c4ab3001p-6, 0x1.521b1fdb5cae8p-6, 0x1.47e56d5e70f2fp-6, 0x1.3df671dfa07f7p-6, 0x1.344c911138f37p-6, 0x1.2ae6354bab1fp-6, 0x1.21c1cf8bcefb8p-6, 0x1.18ddd76fedcd4p-6, 0x1.1038cb33a8fp-6, 0x1.07d12faac18a4p-6, 0x1.ff4b2075adea2p-7, 0x1.ef68fda84cd0ep-7, 0x1.dff927d2a751cp-7, 0x1.d0f8dccca6af1p-7, 0x1.c265674ce11f1p-7, 0x1.b43c1ed31dc6ap-7, 0x1.a67a679141f87p-7, 0x1.991db252de9ccp-7, 0x1.8c237c634fad9p-7, 0x1.7f894f72afedfp-7, 0x1.734cc1797f15p-7, 0x1.676b749b439b9p-7, 0x1.5be3170815e0ap-7, 0x1.50b162dd2f62dp-7, 0x1.45d41e049fb06p-7, 0x1.3b491a14216e2p-7, 0x1.310e342b3086ep-7, 0x1.272154d0691dbp-7, 0x1.1d806fce41b1fp-7, 0x1.1429840f2ed11p-7, 0x1.0b1a9b793e8c4p-7, 0x1.0251cac93935p-7, 0x1.f39a62daaa56ep-8, 0x1.e315f2bf13f99p-8, 0x1.d312adff1e694p-8, 0x1.c38d11d92566dp-8, 0x1.b481afbd63088p-8, 0x1.a5ed2d007d79p-8, 0x1.97cc428dc3a64p-8, 0x1.8a1bbc992db3ep-8, 0x1.7cd87a51337cbp-8, 0x1.6fff6d908c902p-8, 0x1.638d9a8fe9fddp-8, 0x1.57801797b8938p-8, 0x1.4bd40cb200a86p-8, 0x1.4086b35c6be8dp-8, 0x1.3595563a836d2p-8, 0x1.2afd50c8339eep-8, 0x1.20bc0f0ca00e8p-8, 0x1.16cf0d4d55dc1p-8, 0x1.0d33d7c1e7f61p-8, 0x1.03e80a47febfap-8, 0x1.f5d2a02fcba0dp-9, 0x1.e46ac6f346215p-9, 0x1.d3941af53be64p-9, 0x1.c34a4b47c26bep-9, 0x1.b3892361fa29cp-9, 0x1.a44c8a8f2b7d3p-9, 0x1.9590835f3b8a4p-9, 0x1.87512b1896e93p-9, 0x1.798ab92b91907p-9, 0x1.6c397ea74b2dbp-9, 0x1.5f59e5b028422p-9, 0x1.52e870f7db809p-9, 0x1.46e1bb371a72fp-9, 0x1.3b4276a8f2248p-9, 0x1.30076c87d5b76p-9, 0x1.252d7c8c5b114p-9, 0x1.1ab19c6dbcb52p-9, 0x1.1090d76418e84p-9, 0x1.06c84dac79f48p-9, 0x1.faaa681d4df09p-10, 0x1.e869a6c98a4a1p-10, 0x1.d6c910498e5a1p-10, 0x1.c5c383d766a19p-10, 0x1.b554061575f88p-10, 0x1.a575c02c55688p-10, 0x1.9623feec5f086p-10, 0x1.875a31f2e978cp-10, 0x1.7913ead330a17p-10, 0x1.6b4cdc42f02ffp-10, 0x1.5e00d94aa3754p-10, 0x1.512bd47973a48p-10, 0x1.44c9df1ccff14p-10, 0x1.38d7287b9fcaep-10, 0x1.2d4ffd151cb6bp-10, 0x1.2230c5e342e6fp-10, 0x1.177607a0d2ec1p-10, 0x1.0d1c6212ea21fp-10, 0x1.03208f561c01cp-10, 0x1.f2fec65e242bdp-11, 0x1.e06b94bd44067p-11, 0x1.ce8193f2b2a2ap-11, 0x1.bd3afd84e590ep-11, 0x1.ac9239145a94ep-11, 0x1.9c81db1efb031p-11, 0x1.8d04a3ca1c3f3p-11, 0x1.7e157db3128d3p-11, 0x1.6faf7cc63cc12p-11, 0x1.61cddd1c773eep-11, 0x1.546c01dee4b95p-11, 0x1.47857430f50abp-11, 0x1.3b15e22096577p-11, 0x1.2f191d9c7d1bep-11, 0x1.238b1b706b47bp-11, 0x1.1867f24762cf9p-11, 0x1.0dabd9b3acf63p-11, 0x1.0353293ca122ep-11, 0x1.f2b4aee426cc9p-12, 0x1.df7bf20aaf14fp-12, 0x1.ccf57fcf7ca9p-12, 0x1.bb1af4dcf335ap-12, 0x1.a9e624f7a0e3fp-12, 0x1.9951195b15c82p-12, 0x1.89560f20ff2a7p-12, 0x1.79ef75b25e215p-12, 0x1.6b17ed42a53edp-12, 0x1.5cca455493e36p-12, 0x1.4f017b48a29e5p-12, 0x1.41b8b8f4d47b7p-12, 0x1.34eb5345be65ap-12, 0x1.2894c8e898efdp-12, 0x1.1cb0c0fe34e35p-12, 0x1.113b09d69d6d5p-12, 0x1.062f97b547f3ap-12, 0x1.f715073b3c708p-13, 0x1.e290144f70eccp-13, 0x1.cec914ba46e46p-13, 0x1.bbb9093b00fa3p-13, 0x1.a9593315b6cfap-13, 0x1.97a311fb12b09p-13, 0x1.869061fed8136p-13, 0x1.761b199cd8d92p-13, 0x1.663d67cc0bd89p-13, 0x1.56f1b21f803f4p-13, 0x1.483292f4cf353p-13, 0x1.39fad7afc8362p-13, 0x1.2c457f0310f6ep-13, 0x1.1f0db7455ddfp-13, 0x1.124edcd30df14p-13, 0x1.0604787bcd5e1p-13, 0x1.f4547bf80f98dp-14, 0x1.dd781503a9934p-14, 0x1.c76bc67a4d0ccp-14, 0x1.b227e7f5d56f6p-14, 0x1.9da51b95c538bp-14, 0x1.89dc4b5fce3e5p-14, 0x1.76c6a6b4c758ap-14, 0x1.645d9fd975402p-14, 0x1.529ae992b99ffp-14, 0x1.417874d4a5958p-14, 0x1.30f06e83f68ep-14, 0x1.20fd3d4986133p-14, 0x1.11997f7736e41p-14, 0x1.02c008fdebe17p-14, 0x1.e8d7c2e82de8p-15, 0x1.cd308458e2a0dp-15, 0x1.b28128b8e1aa4p-15, 0x1.98c0dea41b665p-15, 0x1.7fe72d70e0e14p-15, 0x1.67ebf1d6477fdp-15, 0x1.50c75aaec1ed9p-15, 0x1.3a71e5d630c8ep-15, 0x1.24e45d22a87e8p-15, 0x1.1017d3772bef2p-15, 0x1.f80b43df4e057p-16, 0x1.d14eca4ade7fap-16, 0x1.abedf5173ffaap-16, 0x1.87dcfbc53b5a2p-16, 0x1.65108d8435078p-16, 0x1.437dcc71efaf3p-16, 0x1.231a4904ba12p-16, 0x1.03dbfd9edab7dp-16, 0x1.cb729493e06a5p-17, 0x1.9151e1325e4f5p-17, 0x1.59441f627a80ep-17, 0x1.233840e93fa9ep-17, 0x1.de3bc74e54e95p-18, 0x1.79ca94f92db0dp-18, 0x1.18feace1a61c8p-18, 0x1.77760067162edp-19, 0x1.878e8a116712fp-20, 0x1.6bb7b32127c28p-23, -0x1.1fc1e97aa78acp-20, -0x1.303fa43644b3ap-19, -0x1.ca90444325922p-19, -0x1.2f80593dffbaap-18, -0x1.76de8695f6c08p-18, -0x1.bb77e3575bed7p-18, -0x1.fd60dc0680e43p-18, -0x1.1e568cb75abc1p-17, -0x1.3cb7c49c3239dp-17, -0x1.59dd3313dbep-17, -0x1.75cfa0035bb1ep-17, -0x1.9097819ed002bp-17, -0x1.aa3d000e3131ep-17, -0x1.c2c7f8ebe1c8p-17, -0x1.da40029e6b91ep-17, -0x1.f0ac6f8eb2bep-17, -0x1.030a289de6d01p-16, -0x1.0d3f3d96dda3cp-16, -0x1.16f8c2e412549p-16, -0x1.2039e87f1c6p-16, -0x1.2905c37471107p-16, -0x1.315f4f201940fp-16, -0x1.39496e5ca0a08p-16, -0x1.40c6eca4a863bp-16, -0x1.47da7f27aef05p-16, -0x1.4e86c5d270aeep-16, -0x1.54ce4c4b68becp-16, -0x1.5ab38ae3db7bep-16, -0x1.6038e77dd408cp-16, -0x1.6560b6678ea42p-16, -0x1.6a2d3b2ca9253p-16, -0x1.6ea0a95d80a79p-16, -0x1.72bd254d2936fp-16, -0x1.7684c4c64d4c9p-16, -0x1.79f98fb75946ep-16, -0x1.7d1d80d64ceecp-16, -0x1.7ff2863c84769p-16, -0x1.827a81fac8eebp-16, -0x1.84b74aa60242dp-16, -0x1.86aaabdccd09fp-16, -0x1.885666c647c06p-16, -0x1.89bc328a55631p-16, -0x1.8addbcc3ad557p-16, -0x1.8bbca9ebe3cebp-16, -0x1.8c5a95c1c36e8p-16, -0x1.8cb913aa26d1p-16, -0x1.8cd9af0b98064p-16, -0x1.8cbdeba4eb406p-16, -0x1.8c6745df13696p-16, -0x1.8bd7331a60e6cp-16, -0x1.8b0f21f7614f9p-16, -0x1.8a107a9b9a72bp-16, -0x1.88dc9ef241d1ep-16, -0x1.8774eae935074p-16, -0x1.85dab4aa48b23p-16, -0x1.840f4cd130efep-16, -0x1.8213fe9e1c976p-16, -0x1.7fea10253662bp-16, -0x1.7d92c27b2c719p-16, -0x1.7b0f51dee7f19p-16, -0x1.7860f5e098f24p-16, -0x1.7588e18636d3p-16, -0x1.7288436d98994p-16, -0x1.6f6045ec459bep-16, -0x1.6c120f2d1e389p-16, -0x1.689ec14bf5132p-16, -0x1.65077a6f3fc7ep-16, -0x1.614d54dfecc1cp-16, -0x1.5d71671f8465ap-16, -0x1.5974c3fcaca0cp-16, -0x1.55587aa61b1b2p-16, -0x1.511d96bc20913p-16, -0x1.4cc52060d4894p-16, -0x1.48501c46fb558p-16, -0x1.43bf8bbfbd71fp-16, -0x1.3f146cc73defp-16, -0x1.3a4fba102585fp-16, -0x1.35726b0e39681p-16, -0x1.307d740002d17p-16, -0x1.2b71c5f79f28fp-16, -0x1.26504ee2cc204p-16, -0x1.2119f99231fedp-16, -0x1.1bcfadc006bfep-16, -0x1.167250160fc84p-16, -0x1.1102c233109c3p-16, -0x1.0b81e2afb4ffap-16, -0x1.05f08d22ffdeap-16, -0x1.004f9a2646ea6p-16, -0x1.f53fbeb1958d3p-17, -0x1.e9c45ec5ed292p-17, -0x1.de2eb3f28967ap-17, -0x1.d28057bdc26f8p-17, -0x1.c6baddd00cef3p-17, -0x1.badfd3f84445ap-17, -0x1.aef0c22f88944p-17, -0x1.a2ef2a9cd1e0ap-17, -0x1.96dc89982e2f2p-17, -0x1.8aba55adc768cp-17, -0x1.7e89ffa0bb235p-17, -0x1.724cf26dc169fp-17, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      21, 0x1.d5c28f5c28f5cp+1, 0x1.1d843419061c3p+1, 0x1.3adf5bae487fep+2, -0x1.319e48c61e554p-1, 
      {{
        {0x1.999999999999ap+0, 0x1.b333333333333p+0, 0x1.a1cdd52f35f13p+1, -0x1.1398561994719p+3, 0x1.335eea7cc1648p+3, 0x1.24c2d215644dap+1}, 
        {0x1.b333333333333p+0, 0x1.ccccccccccccdp+0, 0x1.402752599b3bbp+1, -0x1.a7d9b436b258bp+2, 0x1.4953ed718f50ap+3, -0x1.6df3869abd938p+3}, 
        {0x1.ccccccccccccdp+0, 0x1.e666666666666p+0, 0x1.ee2f871bf7072p+0, -0x1.3a138b647a279p+2, 0x1.b715bd531348bp+2, -0x1.54c4195e3a938p+2}, 
        {0x1.e666666666666p+0, 0x1p+1, 0x1.80c16528e56c7p+0, -0x1.d8f6f58989b6p+1, 0x1.50dae8ea01b62p+2, -0x1.3c780e6002d81p+2}, 
        {0x1p+1, 0x1.0cccccccccccdp+1, 0x1.2e5eef7cc3cb5p+0, -0x1.6535f564e55b7p+1, 0x1.e3d42f9a681dbp+1, -0x1.b40ed35413f6p+1}, 
        {0x1.0cccccccccccdp+1, 0x1.199999999999ap+1, 0x1.df775f27e84p-1, -0x1.1186d89d0455p+1, 0x1.6102f03462208p+1, -0x1.421e0effa2c86p+1}, 
        {0x1.199999999999ap+1, 0x1.2666666666666p+1, 0x1.7ee338f8825dep-1, -0x1.a92d0a5d60f0cp+0, 0x1.0060521ae47dfp+1, -0x1.c0207953aed42p+0}, 
        {0x1.2666666666666p+1, 0x1.3333333333333p+1, 0x1.333610fab5b8cp-1, -0x1.5011b9f669829p+0, 0x1.7a507fcfe1562p+0, -0x1.358874218bae4p+0}, 
        {0x1.3333333333333p+1, 0x1.4p+1, 0x1.ede39ec817849p-2, -0x1.0db13d7bec26fp+0, 0x1.1d745cf9043b8p+0, -0x1.a6b9b4da4b3a9p-1}, 
        {0x1.4p+1, 0x1.4cccccccccccdp+1, 0x1.8c95be47fba2ap-2, -0x1.b5e2775d58de7p-1, 0x1.bc176a16f1e51p-1, -0x1.2802a8d8d3adcp-1}, 
        {0x1.4cccccccccccdp+1, 0x1.599999999999ap+1, 0x1.3d4c3db2444abp-2, -0x1.65f257da2499ap-1, 0x1.6349d10918ca7p-1, -0x1.bb0c241a9abbbp-2}, 
        {0x1.599999999999ap+1, 0x1.6666666666666p+1, 0x1.f8be0e9efeb8ap-3, -0x1.2588e1c95cd7cp-1, 0x1.20d4cb9eb4c7dp-1, -0x1.6f3920afaddfep-2}, 
        {0x1.6666666666666p+1, 0x1.7333333333333p+1, 0x1.8e25b7c722846p-3, -0x1.e28db839cb122p-2, 0x1.d37eda3be899bp-2, -0x1.4ba4fbdfded0ap-2}, 
        {0x1.7333333333333p+1, 0x1.8p+1, 0x1.3652bfc0ef42dp-3, -0x1.8f00fa8901f47p-2, 0x1.70008eabf28e4p-2, -0x1.324df33be168bp-2}, 
        {0x1.8p+1, 0x1.8cccccccccccdp+1, 0x1.da8a316f668a4p-4, -0x1.4e97af89b1ce5p-2, 0x1.141c5f4d2eeebp-2, -0x1.f669563de2211p-3}, 
        {0x1.8cccccccccccdp+1, 0x1.999999999999ap+1, 0x1.5ebe0f1d971d4p-4, -0x1.1ee812404e5fp-2, 0x1.917f8b2166d36p-3, -0x1.46d54730e5838p-3}, 
        {0x1.999999999999ap+1, 0x1.a666666666666p+1, 0x1.e6b6535fea88ap-5, -0x1.f7518321cc80cp-3, 0x1.2f72c292bb922p-3, 0x1.8911e38d95ddap-4}, 
        {0x1.a666666666666p+1, 0x1.b333333333333p+1, 0x1.2a4f153d69c1p-5, -0x1.b4bb926772d24p-3, 0x1.6a68a4b4c54p-3, 0x1.3e0d0a4f9abb5p-3}, 
        {0x1.b333333333333p+1, 0x1.cp+1, 0x1.16c4cee74b3a4p-6, -0x1.62b59cac6d212p-3, 0x1.c9d2f49973ab9p-3, 0x1.88775c53c64dap+0}, 
        {0x1.cp+1, 0x1.ccccccccccccdp+1, 0x1.c5f5c6eca90fbp-9, -0x1.51e7c9e9051f4p-4, 0x1.5def8e256d801p-1, -0x1.063490a87ed77p+1}, 
        {0x1.ccccccccccccdp+1, 0x1.d5c28f5c28f5cp+1, 0x0p+0, -0x1.db9aec9c57324p-8, 0x1.1a509e0d10b61p-4, 0x1.7bac9409b63b2p+2}, 
      }}, 
      -0x1.fc4208c4dc085p+6, 0x1.60e9128f25577p+9
    }
  };
  // clang-format on
}
SkfData params_mio_0_1_n_c() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.21858edd14676p+0, -0x1.135fe5e194ffdp+0, -0x1.0543fc0b2018dp+0, -0x1.ee799edcc9e4dp-1, -0x1.d2a84949f44e3p-1, -0x1.b725a799dcb21p-1, -0x1.9c0217b30dcf5p-1, -0x1.814c45eddc3aep-1, -0x1.6710c365fa001p-1, -0x1.4d5a3b730ddd3p-1, -0x1.343213ea0e5a4p-1, -0x1.1ba0d969fafb3p-1, -0x1.03ae190ca059bp-1, -0x1.d8bfda2da000fp-2, -0x1.ab7596362c8c6p-2, -0x1.7f83972884308p-2, -0x1.54ee5e41685edp-2, -0x1.2bb98f1a77ab2p-2, -0x1.03e82b08d2263p-2, -0x1.baf88755d47b3p-3, -0x1.70ece9dc35f59p-3, -0x1.29aee6d0db854p-3, -0x1.ca54ea4d60a95p-4, -0x1.46c07ead985dfp-4, -0x1.91202477721bep-5, -0x1.3ebfe9b982943p-6, 0x1.1fb3229cc1222p-7, 0x1.24f81f8949e16p-5, 0x1.f7f79518d60c5p-5, 0x1.60917448af317p-4, 0x1.c0599d4055274p-4, 0x1.0db8acb7e3cf1p-3, 0x1.38fb247e3d657p-3, 0x1.62035ff6cb366p-3, 0x1.88e0f84eac146p-3, 0x1.ada3fdb1e025ap-3, 0x1.d05ce73fa4ae5p-3, 0x1.f11c69f320702p-3, 0x1.07f9a0090f64p-2, 0x1.1678f8a77074cp-2, 0x1.2414557d20abap-2, 0x1.30d3984538658p-2, 0x1.3cbe71cb9015dp-2, 0x1.47dc6dc3190ffp-2, 0x1.523501406f23fp-2, 0x1.5bcf9731b5a3ap-2, 0x1.64b397b06f8dfp-2, 0x1.6ce868b3b47e7p-2, 0x1.7475681a4e8afp-2, 0x1.7b61e0354675fp-2, 0x1.81b4f8ef53eabp-2, 0x1.8775a848950c7p-2, 0x1.8caaa4f43cddp-2, 0x1.915a5d64266c9p-2, 0x1.958af48fb2a2ap-2, 0x1.994244886ab8cp-2, 0x1.9c85e5c4986c4p-2, 0x1.9f5b393132dcbp-2, 0x1.a1c772c363b4ep-2, 0x1.a3cfa26ffa098p-2, 0x1.a578ba0c2c347p-2, 0x1.a6c78f74e1a01p-2, 0x1.a7c0db34691d3p-2, 0x1.a867ce326f7f7p-2, 0x1.a8c505f3b456cp-2, 0x1.a8d9ff6e35b5cp-2, 0x1.a8aa979636c65p-2, 0x1.a83a81937631p-2, 0x1.a78d4b66a6948p-2, 0x1.a6a661d5cbccbp-2, 0x1.a5891339183bcp-2, 0x1.a43890fb0a832p-2, 0x1.a2b7efd804e26p-2, 0x1.a10a271995d29p-2, 0x1.9f320f29a1ca3p-2, 0x1.9d325fe69cc2dp-2, 0x1.9b0daf1d29694p-2, 0x1.98c66f78ba035p-2, 0x1.965ef02190a9p-2, 0x1.93d95d20b0062p-2, 0x1.9137c086a41ccp-2, 0x1.8e7c043bc5c2fp-2, 0x1.8ba7f4518222p-2, 0x1.88bd41a4357e3p-2, 0x1.85bd849bcca63p-2, 0x1.82aa3fdd2b855p-2, 0x1.7f84e2c5e35f5p-2, 0x1.7c4ecb95b3845p-2, 0x1.7909493432c54p-2, 0x1.75b59c8bb9a52p-2, 0x1.7254f97c4e495p-2, 0x1.6ee8877110ecap-2, 0x1.6b7161a835ed4p-2, 0x1.67f09740acedcp-2, 0x1.64672b2198dc5p-2, 0x1.60d613cecde58p-2, 0x1.5d3e3b3b68895p-2, 0x1.59a07ea89439bp-2, 0x1.55fdae9b37afdp-2, 0x1.52568eefd3b41p-2, 0x1.4eabd710a1674p-2, 0x1.4afe324efa93p-2, 0x1.474e405e8261p-2, 0x1.439c95ee564bap-2, 0x1.3fe9bd5ae0196p-2, 0x1.3c363771c280dp-2, 0x1.38827c40b3d68p-2, 0x1.34cefbe820bd8p-2, 0x1.311c1f6acc4dfp-2, 0x1.2d6a4974813fep-2, 0x1.29b9d712fb69ep-2, 0x1.260b205d77385p-2, 0x1.225e79088bb4dp-2, 0x1.1eb430e530ccdp-2, 0x1.1b0c944acab38p-2, 0x1.1767ec6cf5b9bp-2, 0x1.13c67f9e68c7bp-2, 0x1.10289182ba105p-2, 0x1.0c8e633118662p-2, 0x1.08f8334a44c5fp-2, 0x1.05663e041abf4p-2, 0x1.01d8bd2d0a2e1p-2, 0x1.fc9fd053974c9p-3, 0x1.f597e7df01861p-3, 0x1.ee9a25f89a0fep-3, 0x1.e7a6eaa06c056p-3, 0x1.e0be90cfa5f43p-3, 0x1.d9e16e74217d1p-3, 0x1.d30fd473d2efep-3, 0x1.cc4a0eb94cd53p-3, 0x1.c5906449c558bp-3, 0x1.bee317648cde2p-3, 0x1.b84265ab4412ep-3, 0x1.b1ae8851d7ac4p-3, 0x1.ab27b454f1d08p-3, 0x1.a4ae1ab56991ap-3, 0x1.9e41e8b7266b4p-3, 0x1.97e34821f4bap-3, 0x1.91925f82e52ep-3, 0x1.8b4f526ce3b04p-3, 0x1.851a41b75ff0ap-3, 0x1.7ef34bba2208fp-3, 0x1.78da8c8572d2bp-3, 0x1.72d01e160c135p-3, 0x1.6cd418844f32cp-3, 0x1.66e6922e92fb1p-3, 0x1.61079fde490d5p-3, 0x1.5b3679b7b175ep-3, 0x1.55744cc11fecp-3, 0x1.4fc0f6937513ap-3, 0x1.4a1c893cdbfcbp-3, 0x1.448715277b652p-3, 0x1.3f00a91ec67a1p-3, 0x1.39895255193fp-3, 0x1.34211c69bf634p-3, 0x1.2ec8116f96c8cp-3, 0x1.297e39f43fa83p-3, 0x1.24439d07f9fe8p-3, 0x1.1f18404608acap-3, 0x1.19fc27dda1554p-3, 0x1.14ef569b4404ap-3, 0x1.0ff1cdf25cbc6p-3, 0x1.0b038e0726f77p-3, 0x1.062495b89c9d5p-3, 0x1.0154e2aa6b1dbp-3, 0x1.f928e29d83b03p-4, 0x1.efc679dff1dd1p-4, 0x1.e6827f73c58b1p-4, 0x1.dd5ce585a57fep-4, 0x1.d4559c2861805p-4, 0x1.cb6c916552884p-4, 0x1.c2a1b14bc4b7dp-4, 0x1.b9f4e5ff79097p-4, 0x1.b16617c63988fp-4, 0x1.a8f52d148fe1cp-4, 0x1.a0a20a99a1c7ep-4, 0x1.986c934a4fbcbp-4, 0x1.9054a86ba5d69p-4, 0x1.885a299cb2406p-4, 0x1.807cf4dfe1ceep-4, 0x1.78bce6a3f79b4p-4, 0x1.7119d9ccb6dc1p-4, 0x1.6993a7bb57433p-4, 0x1.622a2856d9b0ep-4, 0x1.5add32144f2ebp-4, 0x1.53ac99ff23148p-4, 0x1.4c9833c175e46p-4, 0x1.459fd1ac95b3ep-4, 0x1.3ec344c19a1f6p-4, 0x1.38025cba2e814p-4, 0x1.315ce81189b9ep-4, 0x1.2ad2b40d9a63ep-4, 0x1.24638cc86477dp-4, 0x1.1e0f3d3991f44p-4, 0x1.17d58f4032244p-4, 0x1.11b64baca6d05p-4, 0x1.0bb13a4ab6e83p-4, 0x1.05c621ebc7863p-4, 0x1.ffe990e25f606p-5, 0x1.f479e5ad4a276p-5, 0x1.e93cca79761b5p-5, 0x1.de31c5e6d60a6p-5, 0x1.d3585d0948ad8p-5, 0x1.c8b0137db283fp-5, 0x1.be386b7f0e2e4p-5, 0x1.b3f0e5fb5ff01p-5, 0x1.a9d902a888d2bp-5, 0x1.9ff04018ed18fp-5, 0x1.96361bcfe3cfap-5, 0x1.8caa1255ea8d7p-5, 0x1.834b9f4c96p-5, 0x1.7a1a3d82372c7p-5, 0x1.7115670534b0fp-5, 0x1.683c95370fef7p-5, 0x1.5f8f40df17e29p-5, 0x1.570ce23cbf6a9p-5, 0x1.4eb4f119a144dp-5, 0x1.4686e4db22336p-5, 0x1.3e823493beb3ap-5, 0x1.36a65713f84ccp-5, 0x1.2ef2c2faea8e6p-5, 0x1.2766eec681c3fp-5, 0x1.200250e35ac01p-5, 0x1.18c45fbc456bp-5, 0x1.11ac91c96c30ap-5, 0x1.0aba5d9f24e04p-5, 0x1.03ed39fc66123p-5, 0x1.fa893bb1c92ep-6, 0x1.ed8000e5b34a1p-6, 0x1.e0bdb2b8dc7ecp-6, 0x1.d4414111a01e2p-6, 0x1.c8099cb1e22ddp-6, 0x1.bc15b74fd670dp-6, 0x1.b06483ae1ddacp-6, 0x1.a4f4f5b3357f2p-6, 0x1.99c60280342cep-6, 0x1.8ed6a086da39bp-6, 0x1.8425c79ef4325p-6, 0x1.79b2711b09661p-6, 0x1.6f7b97dc63abap-6, 0x1.658038665ec91p-6, 0x1.5bbf50f1127d2p-6, 0x1.5237e17b49182p-6, 0x1.48e8ebdbc845cp-6, 0x1.3fd173d1f1a7ap-6, 0x1.36f07f15af4b9p-6, 0x1.2e451566ba0fap-6, 0x1.25ce409b3723ep-6, 0x1.1d8b0cada3834p-6, 0x1.157a87ca20645p-6, 0x1.0d9bc25b128eap-6, 0x1.05edcf15208a6p-6, 0x1.fcdf860514166p-7, 0x1.ee416b1bbc695p-7, 0x1.dfff811825ae7p-7, 0x1.d218008bfc18cp-7, 0x1.c4892702602cap-7, 0x1.b751371075c34p-7, 0x1.aa6e7864b4fcfp-7, 0x1.9ddf37d517dfap-7, 0x1.91a1c76c2a434p-7, 0x1.85b47e74f0c94p-7, 0x1.7a15b985b4f1ep-7, 0x1.6ec3da89c2faep-7, 0x1.63bd48ca181dcp-7, 0x1.590070f503ffep-7, 0x1.4e8bc524c45c3p-7, 0x1.445dbce52befdp-7, 0x1.3a74d53849894p-7, 0x1.30cf909a23a43p-7, 0x1.276c770382178p-7, 0x1.1e4a15ebdaf1fp-7, 0x1.1567004a5b34ap-7, 0x1.0cc1ce9616f47p-7, 0x1.04591ec56c4a5p-7, 0x1.f85728992b187p-8, 0x1.e86fb036ef845p-8, 0x1.d8f9313568318p-8, 0x1.c9f1134ffe8b2p-8, 0x1.bb54c9238c158p-8, 0x1.ad21d0244c0fap-8, 0x1.9f55b09283c0ep-8, 0x1.91edfd6de9e56p-8, 0x1.84e85467d7ea8p-8, 0x1.78425dd45ce95p-8, 0x1.6bf9cc9a2cbcbp-8, 0x1.600c5e218561bp-8, 0x1.5477da420e91dp-8, 0x1.493a132fc47b9p-8, 0x1.3e50e566f0214p-8, 0x1.33ba379748638p-8, 0x1.2973fa8e34aefp-8, 0x1.1f7c292046f8p-8, 0x1.15d0c811f7704p-8, 0x1.0c6fe5ffa8fe6p-8, 0x1.03579b44fcf18p-8, 0x1.f50c13c7278d9p-9, 0x1.e3f2bad24ce9ap-9, 0x1.d35f95aa37676p-9, 0x1.c34f20fb30d45p-9, 0x1.b3bdebe829a2ep-9, 0x1.a4a897d2f4813p-9, 0x1.960bd823d1bc1p-9, 0x1.87e472101cd41p-9, 0x1.7a2f3c605b52dp-9, 0x1.6ce91f35acdfp-9, 0x1.600f13ceb4358p-9, 0x1.539e244bf4857p-9, 0x1.47936b73dedcp-9, 0x1.3bec147665677p-9, 0x1.30a55ab055de3p-9, 0x1.25bc896e6906cp-9, 0x1.1b2efbb01b148p-9, 0x1.10fa1bea73b0ap-9, 0x1.071b63caa57b9p-9, 0x1.fb0084c4d7c5ap-10, 0x1.e88ea6fca62d9p-10, 0x1.d6baacc7ac702p-10, 0x1.c57ffcfb4a365p-10, 0x1.b4da1a764142fp-10, 0x1.a4c4a3a877584p-10, 0x1.953b521b21f34p-10, 0x1.8639f9f975c17p-10, 0x1.77bc8999c8eedp-10, 0x1.69bf090761b66p-10, 0x1.5c3d998cd6314p-10, 0x1.4f34753f3c6f3p-10, 0x1.429fee8a0a347p-10, 0x1.367c6fbbb77e2p-10, 0x1.2ac67a934fb89p-10, 0x1.1f7aa7ceca3dap-10, 0x1.1495a6ba734b3p-10, 0x1.0a143cc11a01dp-10, 0x1.ffe689fad0609p-11, 0x1.ec5f5f984911ep-11, 0x1.d98d04bf0127fp-11, 0x1.c769aca72ac5ep-11, 0x1.b5efb287a9663p-11, 0x1.a51998c37007ep-11, 0x1.94e20818f5b5fp-11, 0x1.8543ced437143p-11, 0x1.7639e002e1a3ep-11, 0x1.67bf52aaf29cp-11, 0x1.59cf6103ca754p-11, 0x1.4c6567b1bd0bdp-11, 0x1.3f7ce503e189ap-11, 0x1.33117834c0a1p-11, 0x1.271ee0ad25bd4p-11, 0x1.1ba0fd49bf334p-11, 0x1.1093cba313d97p-11, 0x1.05f3675842713p-11, 0x1.f77812b84f9cfp-12, 0x1.e3d40e8a526d2p-12, 0x1.d0f3a53f482c6p-12, 0x1.becff085eaa4dp-12, 0x1.ad623f5220332p-12, 0x1.9ca41491a2069p-12, 0x1.8c8f25e5a65b4p-12, 0x1.7d1d5a622f753p-12, 0x1.6e48c95255208p-12, 0x1.600bb901d3059p-12, 0x1.52609d8c56c3dp-12, 0x1.454217b1a6ca5p-12, 0x1.38aaf3af2896fp-12, 0x1.2c96281f1a1fap-12, 0x1.20fed4dca0d2fp-12, 0x1.15e041ed6bc91p-12, 0x1.0b35de70859e3p-12, 0x1.00fb3f9285401p-12, 0x1.ee583f0da06fbp-13, 0x1.db88b90c9cbc2p-13, 0x1.c97fefa6b0f49p-13, 0x1.b836298553eb8p-13, 0x1.a7a3ef9327903p-13, 0x1.97c20b22ac162p-13, 0x1.8889841f14497p-13, 0x1.79f39f4722bdp-13, 0x1.6bf9dc71fce96p-13, 0x1.5e95f4de42983p-13, 0x1.51c1d98a83edfp-13, 0x1.4577b1978ec3cp-13, 0x1.39b1d8b4647b2p-13, 0x1.2e6add937a9f3p-13, 0x1.239d80695f8abp-13, 0x1.1944b174e54e9p-13, 0x1.0f5b8f8fa098dp-13, 0x1.05dd66c7fef8bp-13, 0x1.f98b5e07b6f22p-14, 0x1.e8201557b8a81p-14, 0x1.d7708abd2e7b2p-14, 0x1.c774a55ac8eccp-14, 0x1.b82499c01c8c6p-14, 0x1.a978e782747dap-14, 0x1.9b6a56e4853d6p-14, 0x1.8df1f68e7b074p-14, 0x1.810919546d137p-14, 0x1.74a9540bb3c68p-14, 0x1.68cc7b6f1be1fp-14, 0x1.5d6ca210c58adp-14, 0x1.5284165a0ad8p-14, 0x1.480d609935b49p-14, 0x1.3e03411c5b629p-14, 0x1.3460ae589ae36p-14, 0x1.2b20d31f78b3dp-14, 0x1.223f0cdf57019p-14, 0x1.19b6e9f0316d4p-14, 0x1.118427ed2e156p-14, 0x1.09a2b218a9b25p-14, 0x1.020e9fcc423fdp-14, 0x1.f58865e76c21cp-15, 0x1.e77fad254eae3p-15, 0x1.d9fc3aaa3445dp-15, 0x1.ccf78053590b7p-15, 0x1.c06b39ce9d3b2p-15, 0x1.b45169f55a15ep-15, 0x1.a8a4583f8f6cdp-15, 0x1.9d5e8e45fd4e1p-15, 0x1.927ad55877c0fp-15, 0x1.87f43425c8612p-15, 0x1.7dc5ec7579b9p-15, 0x1.73eb78f2ca284p-15, 0x1.6a608b074eec6p-15, 0x1.612108c86eb19p-15, 0x1.58290af2a6f6cp-15, 0x1.4f74daf578babp-15, 0x1.4700f10e84ab3p-15, 0x1.3ec9f273b3873p-15, 0x1.36ccaf8c21ec9p-15, 0x1.2f0622361240ep-15, 0x1.27736c1e2017ap-15, 0x1.2011d51ed5787p-15, 0x1.18dec9b2d3969p-15, 0x1.11d7d97195f0ep-15, 0x1.0afab5984579p-15, 0x1.04452f9ff0f36p-15, 0x1.fb6a6fbf705e8p-16, 0x1.ee91b87578aadp-16, 0x1.e1fc8db17ab8p-16, 0x1.d5a779d7aab8ep-16, 0x1.c98f3afdfb19bp-16, 0x1.bdb0c09f13bc2p-16, 0x1.b209296645c0cp-16, 0x1.a695c10a00717p-16, 0x1.9b53fe3b178cep-16, 0x1.904180aa41cbap-16, 0x1.855c0f1bef745p-16, 0x1.7aa1958ff1c92p-16, 0x1.7010237ad6e31p-16, 0x1.65a5ea0ba1989p-16, 0x1.5b613a8a611f3p-16, 0x1.514084be3d7c3p-16, 0x1.47425565885c3p-16, 0x1.3d6554bda60acp-16, 0x1.33a84517ee1b4p-16, 0x1.2a0a017b612ccp-16, 0x1.20897c5668857p-16, 0x1.1725be3b11d35p-16, 0x1.0ddde4a80617p-16, 0x1.04b120de8761fp-16, 0x1.f73d6d8696909p-17, 0x1.e54bf79598763p-17, 0x1.d38cabe49509bp-17, 0x1.c1fe757b8d1p-17, 0x1.b0a05c943eddcp-17, 0x1.9f7184bfa5169p-17, 0x1.8e712b28cf97ap-17, 0x1.7d9ea4e87a5e3p-17, 0x1.6cf95d6b29d1fp-17, 0x1.5c80d4e9b1114p-17, 0x1.4c349eefe9ac4p-17, 0x1.3c1460fd13478p-17, 0x1.2c1fd1280c45fp-17, 0x1.1c56b4de05eap-17, 0x1.0cb8dfa7fc023p-17, 0x1.fa8c64153c36dp-18, 0x1.dbfd30ca74f65p-18, 0x1.bdc413db32f8fp-18, 0x1.9fe10f5e1ec7bp-18, 0x1.8254372fd5721p-18, 0x1.651daf3513614p-18, 0x1.483da9a08acc2p-18, 0x1.2bb4655839fe6p-18, 0x1.0f822c78f925dp-18, 0x1.e74ea5c63967dp-19, 0x1.b04869c698fdbp-19, 0x1.79f26bc48b8aap-19, 0x1.444d7e7a7f70ep-19, 0x1.0f5a7e37ae22bp-19, 0x1.b6349d8667d78p-20, 0x1.4f1bb2a6eda73p-20, 0x1.d2d82ad0e89a5p-21, 0x1.0a4f45f57b6eap-21, 0x1.1281c6e3fac78p-23, -0x1.f8c271e7fab6p-23, -0x1.3e203a8050796p-21, -0x1.fb2acf4bb8336p-21, -0x1.5aa66b99e2b1dp-20, -0x1.b641748921985p-20, -0x1.08326e9c792dp-19, -0x1.348788e13175cp-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.98bd4abaa2b31p+0, -0x1.92afd84b76308p+0, -0x1.8c8ad740f922ap+0, -0x1.8652067fa34b2p+0, -0x1.8009032dacc29p+0, -0x1.79b3342a9c914p+0, -0x1.7353c30035f73p+0, -0x1.6cedb139766f4p+0, -0x1.6683cbf6050a8p+0, -0x1.6018a9b03f0bbp+0, -0x1.59aebb1b394fcp+0, -0x1.534849966a789p+0, -0x1.4ce76c458b363p+0, -0x1.468e0b2c4919ap+0, -0x1.403de91e3c832p+0, -0x1.39f8a77329029p+0, -0x1.33bfc58691f1cp+0, -0x1.2d94a16286bb6p+0, -0x1.27787935af537p+0, -0x1.216c6bd1ad57dp+0, -0x1.1b71790ac116cp+0, -0x1.158878236769fp+0, -0x1.0fb24621a6637p+0, -0x1.09ef95b47baafp+0, -0x1.0441072fa5595p+0, -0x1.fd4e4d5486e9ep-1, -0x1.f244dacaff4e3p-1, -0x1.e76685f2641d7p-1, -0x1.dcb3fd0f403d1p-1, -0x1.d22dd0204c68bp-1, -0x1.c7d4734eabf9bp-1, -0x1.bda84096d4affp-1, -0x1.b3a978b1a4c06p-1, -0x1.a9d843f607dfdp-1, -0x1.a034b3f6edb6p-1, -0x1.96bec5faadfd9p-1, -0x1.8d7665b04563bp-1, -0x1.845b6f59c5edcp-1, -0x1.7b6db10fb56c2p-1, -0x1.72aceb5704e7ep-1, -0x1.6a18d18f04cb3p-1, -0x1.61b10aa0c1b83p-1, -0x1.59753208c184ap-1, -0x1.5164d913a1067p-1, -0x1.497f88160a012p-1, -0x1.41c4bf7e6e525p-1, -0x1.3a33f8bdafd48p-1, -0x1.32cca715b43dfp-1, -0x1.2b8e385d60807p-1, -0x1.247815bfdc3d6p-1, -0x1.1d89a472f0226p-1, -0x1.16c2465baf35ap-1, -0x1.10215a9a814a4p-1, -0x1.09a63dfe110dcp-1, -0x1.03504b63bfc38p-1, -0x1.fa3db8213e623p-2, -0x1.ee22901a963a2p-2, -0x1.e24dcd136b1f1p-2, -0x1.d6be1c8d76e9bp-2, -0x1.cb722bfafbe2cp-2, -0x1.c068a975251b2p-2, -0x1.b5a0444b7fd37p-2, -0x1.ab17ad68eae35p-2, -0x1.a0cdb11edfcc4p-2, -0x1.96c0c37dff21p-2, -0x1.8cefbf25ce767p-2, -0x1.83595f390efe8p-2, -0x1.79fc624d2afe6p-2, -0x1.70d78ab08772fp-2, -0x1.67e99eb5cef24p-2, -0x1.5f3168fdb20abp-2, -0x1.56adb8b710354p-2, -0x1.4e5d61cf50d0bp-2, -0x1.463f3d107b30bp-2, -0x1.3e52282efba67p-2, -0x1.369505cc56ep-2, -0x1.2f06bd7574be3p-2, -0x1.27a63ba2d5fc6p-2, -0x1.207271bee94f1p-2, -0x1.196a56340b5bep-2, -0x1.128ce480e9727p-2, -0x1.0bd91d4feac4p-2, -0x1.054e068d23c5fp-2, -0x1.fdd556eceaa42p-3, -0x1.f15c3944db421p-3, -0x1.e52edff89d2a3p-3, -0x1.d94b816ab9ea2p-3, -0x1.cdb05e5aea033p-3, -0x1.c25bc1abc26d7p-3, -0x1.b74c0023f3684p-3, -0x1.ac7f78317764cp-3, -0x1.a1f491b37b55bp-3, -0x1.97a9bdcd673c8p-3, -0x1.8d9d76c32a248p-3, -0x1.83ce3fdcd267cp-3, -0x1.7a3aa54e42d8dp-3, -0x1.70e13c1f72054p-3, -0x1.67c0a211d4ac7p-3, -0x1.5ed77d80955c7p-3, -0x1.56247d3a6c62ap-3, -0x1.4da65855180ebp-3, -0x1.455bcdfb81919p-3, -0x1.3d43a5385d235p-3, -0x1.355cacbf49c5cp-3, -0x1.2da5bab6795ddp-3, -0x1.261dac828597ep-3, -0x1.1ec36695ad5edp-3, -0x1.1795d442f5293p-3, -0x1.1093e79550d16p-3, -0x1.09bc992a51448p-3, -0x1.030ee80fa379p-3, -0x1.f913b344d687bp-4, -0x1.ec58f2df0cc9dp-4, -0x1.dfebb22792d64p-4, -0x1.d3ca2036f2a6p-4, -0x1.c7f277c10bb0dp-4, -0x1.bc62fece6feb3p-4, -0x1.b11a0672923fdp-4, -0x1.a615ea7f3a9fcp-4, -0x1.9b551135ddfe7p-4, -0x1.90d5eaf7eab99p-4, -0x1.8696f1f6fbac7p-4, -0x1.7c96a9e634be5p-4, -0x1.72d39fadac92p-4, -0x1.694c6920d7565p-4, -0x1.5fffa4b894912p-4, -0x1.56ebf951507c5p-4, -0x1.4e1015ed67922p-4, -0x1.456ab17bc1bc1p-4, -0x1.3cfa8aa269da1p-4, -0x1.34be678cb78e5p-4, -0x1.2cb515bc91355p-4, -0x1.24dd69de2fa26p-4, -0x1.1d363f9dd876ep-4, -0x1.15be797f0177ep-4, -0x1.0e7500b4675dfp-4, -0x1.0758c4f8b56cap-4, -0x1.0068bc677693fp-4, -0x1.f347c6ac47e4ap-5, -0x1.e612785a75ce6p-5, -0x1.d92f9e82bf46ap-5, -0x1.cc9d555938cb6p-5, -0x1.c059c44fc0759p-5, -0x1.b4631dc9c45dfp-5, -0x1.a8b79ed129df9p-5, -0x1.9d558ecca8663p-5, -0x1.923b3f37e2b9ep-5, -0x1.8766bd0dd8d4p-5, -0x1.7cd70ea854e9ap-5, -0x1.728a505dddbb2p-5, -0x1.687ef906c1d03p-5, -0x1.5eb3884bcf652p-5, -0x1.5526866e6352ep-5, -0x1.4bd6841225901p-5, -0x1.42c21a0865ee5p-5, -0x1.39e7e91d11546p-5, -0x1.314699e52d843p-5, -0x1.28dcdc8ed89cdp-5, -0x1.20a968b2b9573p-5, -0x1.18aafd26d8413p-5, -0x1.10e05fd2d43d7p-5, -0x1.09485d85648fcp-5, -0x1.01e1c9cb1cd91p-5, -0x1.f556fd8cd036p-6, -0x1.e748ba11503b7p-6, -0x1.d99696d8e18aep-6, -0x1.cc3e6de1a4a6dp-6, -0x1.bf3e252b4bcfep-6, -0x1.b293ae71a205dp-6, -0x1.a63d06e8ee6dbp-6, -0x1.9a3836fc1d995p-6, -0x1.8e83520ca1e81p-6, -0x1.831c76340290bp-6, -0x1.7801cc0702195p-6, -0x1.6d31865a5cf3dp-6, -0x1.62a9e2090b214p-6, -0x1.586925bc06446p-6, -0x1.4e6da1b388e1dp-6, -0x1.44b5af91bc3eep-6, -0x1.3b3fb226cff2dp-6, -0x1.320a153e6e7ecp-6, -0x1.29134d6e9326fp-6, -0x1.2059d7e79a574p-6, -0x1.17dc3a45b0786p-6, -0x1.0f9902635af2p-6, -0x1.078ec62d4918ap-6, -0x1.ff7846ee653c2p-7, -0x1.f03f7fa3b6e4ep-7, -0x1.e17090c424501p-7, -0x1.d308e3717d564p-7, -0x1.c505ef57ab592p-7, -0x1.b7653a608344fp-7, -0x1.aa245869463a7p-7, -0x1.9d40eaf9dc22cp-7, -0x1.90b8a0fda6675p-7, -0x1.8489367de693ep-7, -0x1.78b0745d9f8e9p-7, -0x1.6d2c3016f2cd3p-7, -0x1.61fa4b79dd62bp-7, -0x1.5718b46c65c86p-7, -0x1.4c8564ac07b7cp-7, -0x1.423e61907f4c6p-7, -0x1.3841bbcfd086ap-7, -0x1.2e8d8f438eb3fp-7, -0x1.252002af55a92p-7, -0x1.1bf7478871b74p-7, -0x1.131199beac5c3p-7, -0x1.0a6d3f86392dfp-7, -0x1.02088922bcdp-7, -0x1.f3c3a166b74cbp-8, -0x1.e3eef3ffb561fp-8, -0x1.d48fe48d7c4d9p-8, -0x1.c5a36018c3784p-8, -0x1.b72665d618d09p-8, -0x1.a91606c7d5f57p-8, -0x1.9b6f6561df552p-8, -0x1.8e2fb52f3eb6cp-8, -0x1.81543a795d37cp-8, -0x1.74da49f0e458bp-8, -0x1.68bf4858581bcp-8, -0x1.5d00aa302c01p-8, -0x1.519bf36472f6fp-8, -0x1.468eb6fc00062p-8, -0x1.3bd696c916669p-8, -0x1.3171431b784d6p-8, -0x1.275c7a73dbc2dp-8, -0x1.1d960938d19cfp-8, -0x1.141bc96cf4acfp-8, -0x1.0aeba2666ea26p-8, -0x1.02038887d2ec8p-8, -0x1.f2c2f9f467783p-9, -0x1.e2071ad0fa7eep-9, -0x1.d1cfa7780f3d3p-9, -0x1.c218ebb4c8ff5p-9, -0x1.b2df4ac8a55f1p-9, -0x1.a41f3eebd1148p-9, -0x1.95d558cfa867dp-9, -0x1.87fe3f239ef1fp-9, -0x1.7a96ae1c30a6cp-9, -0x1.6d9b76fc375dap-9, -0x1.61097fa02a1dap-9, -0x1.54ddc20bb2442p-9, -0x1.49154bf9267ecp-9, -0x1.3dad3e6b28f5bp-9, -0x1.32a2cd402f399p-9, -0x1.27f33ec82fa29p-9, -0x1.1d9beb5c09b92p-9, -0x1.139a3cf700ec5p-9, -0x1.09ebaed1f1c1ep-9, -0x1.008dcd009171bp-9, -0x1.eefc6820b06ffp-10, -0x1.dd7521527a6f2p-10, -0x1.cc813e6088f59p-10, -0x1.bc1c56d760b52p-10, -0x1.ac422052142bcp-10, -0x1.9cee6dc983f93p-10, -0x1.8e1d2ee6ef01ep-10, -0x1.7fca6f59d37fep-10, -0x1.71f256311b606p-10, -0x1.6491253757211p-10, -0x1.57a338522a14bp-10, -0x1.4b2504e4b9e6p-10, -0x1.3f13193550a16p-10, -0x1.336a1bd5c8914p-10, -0x1.2826cb0efc77ep-10, -0x1.1d45fc4f5deecp-10, -0x1.12c49b9c0c689p-10, -0x1.089fab04e42eep-10, -0x1.fda88436f1f1bp-11, -0x1.eabf1ad938ce5p-11, -0x1.d87d9bf96365ap-11, -0x1.c6deb18d78a2bp-11, -0x1.b5dd2c7b9428fp-11, -0x1.a57403a2b4e62p-11, -0x1.959e52e7f0a46p-11, -0x1.86575a4910775p-11, -0x1.779a7cf3b0558p-11, -0x1.696340620219bp-11, -0x1.5bad4b7b78165p-11, -0x1.4e7465baad0f4p-11, -0x1.41b47657c94b4p-11, -0x1.356983778409fp-11, -0x1.298fb15e4e4dcp-11, -0x1.1e2341a8aea8cp-11, -0x1.1320928707694p-11, -0x1.08841dfe3991dp-11, -0x1.fc94f2589460cp-12, -0x1.e8e0a722732e2p-12, -0x1.d5e4ecb74f9f8p-12, -0x1.c39b8774298e4p-12, -0x1.b1fe6c5e8bdfep-12, -0x1.a107bfd62819fp-12, -0x1.90b1d44d9c471p-12, -0x1.80f7290ac80e5p-12, -0x1.71d268ee31161p-12, -0x1.633e69424c9d8p-12, -0x1.55362890f1cccp-12, -0x1.47b4cd803648fp-12, -0x1.3ab5a5b6159f2p-12, -0x1.2e3424c31510ep-12, -0x1.222be312c9613p-12, -0x1.16989ce33fcaap-12, -0x1.0b763142f6cd2p-12, -0x1.00c0a1148b0cap-12, -0x1.ece81c3169f5dp-13, -0x1.d91973fcc282p-13, -0x1.c60e0af12696p-13, -0x1.b3bedeb47330cp-13, -0x1.a225276daac45p-13, -0x1.913a561440dfcp-13, -0x1.80f812c794051p-13, -0x1.71583b3257a38p-13, -0x1.6254e0f8b4c39p-13, -0x1.53e8482e98df3p-13, -0x1.460ce5db7ae16p-13, -0x1.38b89039a185dp-13, -0x1.2bf023e8b89f2p-13, -0x1.1fa962aa886dp-13, -0x1.13df76db5a27dp-13, -0x1.088db4e715262p-13, -0x1.fb5f34065eb02p-14, -0x1.e68195e087db2p-14, -0x1.d27a258c61e08p-14, -0x1.bf40c38c61fb9p-14, -0x1.accd986c29258p-14, -0x1.9b1912869f0e4p-14, -0x1.8a1be3dad1f1ap-14, -0x1.79cefff0dfb98p-14, -0x1.6a2b99ca5d0efp-14, -0x1.5b2b21e7d2f8bp-14, -0x1.4cc74454be733p-14, -0x1.3ef9e6c5871bp-14, -0x1.31bd26c1fe91fp-14, -0x1.250b57dc9d933p-14, -0x1.18df01f6c6c63p-14, -0x1.0d32df9181b8cp-14, -0x1.0201dc29f783p-14, -0x1.ee8e2546d0e9ep-15, -0x1.d9fb97711954p-15, -0x1.c642f8fd353e5p-15, -0x1.b35b89dbf774ap-15, -0x1.a13cdcefd1524p-15, -0x1.8fded54cc3a7dp-15, -0x1.7f39a38d7327dp-15, -0x1.6f45c33aa2deep-15, -0x1.5ffbf845019edp-15, -0x1.51554c97d389cp-15, -0x1.434b0db79bcbp-15, -0x1.35d6ca767a4f7p-15, -0x1.28f250b694724p-15, -0x1.1c97ab42e401ap-15, -0x1.10c11fb4bf43ep-15, -0x1.05692c6bff996p-15, -0x1.f5150d257c038p-16, -0x1.e040306ed0917p-16, -0x1.cc49fcdcd84c1p-16, -0x1.b9290f1270aa7p-16, -0x1.a6d462ae421e6p-16, -0x1.95434ee9bc48ap-16, -0x1.846d8357a70a3p-16, -0x1.744b04b22057p-16, -0x1.64d429d480db5p-16, -0x1.560198ba95666p-16, -0x1.47cc43a7b74a8p-16, -0x1.3a2d6657bf799p-16, -0x1.2d1e83525fca3p-16, -0x1.2099614e9ddbap-16, -0x1.149808ade9724p-16, -0x1.0914c10dee333p-16, -0x1.fc141dc7fba21p-17, -0x1.e6e562867a6d4p-17, -0x1.d2933f3c49a13p-17, -0x1.bf140f4f002c6p-17, -0x1.ac5e968631081p-17, -0x1.9a69fd0fbc7f7p-17, -0x1.892dcba44952ap-17, -0x1.78a1e7d8c14dp-17, -0x1.68be907a09df8p-17, -0x1.597c5a1d37254p-17, -0x1.4ad42bc41fe12p-17, -0x1.3cbf3ba20c14ap-17, -0x1.2f370bff1125cp-17, -0x1.2235682a22bd4p-17, -0x1.15b461a1a496bp-17, -0x1.09ae4d3be1f1p-17, -0x1.fc3b80d41033ep-18, -0x1.e5fb1d62f603ap-18, -0x1.d0918e28245edp-18, -0x1.bbf5635a45652p-18, -0x1.a81d9aa17d7bep-18, -0x1.95019aaec8874p-18, -0x1.82992ed169b08p-18, -0x1.70dc82d0a4a1bp-18, -0x1.5fc41eca38d19p-18, -0x1.4f48e378b89ecp-18, -0x1.3f640656b2f2fp-18, -0x1.300f0e03447d3p-18, -0x1.2143cedc3f88fp-18, -0x1.12fc6798876d6p-18, -0x1.05333e16dd2e1p-18, -0x1.efc5f887d821fp-19, -0x1.d60d1a4ffda9bp-19, -0x1.bd3233da9b948p-19, -0x1.a52c0e95a8e01p-19, -0x1.8df1e58156f14p-19, -0x1.777b6032c4499p-19, -0x1.61c08de012804p-19, -0x1.4cb9e0b85d3bp-19, -0x1.3860295dbb824p-19, -0x1.24ac928dbbcf5p-19, -0x1.11989cfd7b6e1p-19, -0x1.fe3c36a15e731p-20, -0x1.da6e5ca6b5001p-20, -0x1.b7bc828206f59p-20, -0x1.961c0c55dda67p-20, -0x1.7582e58143447p-20, -0x1.55e779e0881d7p-20, -0x1.3740afa5fb6a9p-20, -0x1.1985e16558de3p-20, -0x1.f95db0b199a98p-21, -0x1.c1678dcd21c09p-21, -0x1.8b1a86e625d6cp-21, -0x1.5668868f10cc2p-21, -0x1.23442b9f3f95bp-21, -0x1.e34180097d3fbp-22, -0x1.82e45fe0f0c9bp-22, -0x1.255a0329d677ap-22, -0x1.951934305693dp-23, -0x1.c99da252d273ep-24, -0x1.cd6b8f87efc9fp-26, 0x1.b1c191ced66f7p-25, 0x1.0dae5aa014b95p-23, 0x1.aa2e5ba8e4ddcp-23, 0x1.2108581295354p-22, 0x1.6aba0a592587cp-22, 0x1.b23ae802f349ep-22, 0x1.f798e3cdb89b2p-22, 0x1.1d70a5466fc49p-21, 0x1.3e1065d5e57dbp-21, 0x1.5db1c14cc84f4p-21, 0x1.7c5a80341be27p-21, 0x1.9a10292879fbdp-21, 0x1.b6d8056d36e08p-21, 0x1.d2b723f1b82dp-21, 0x1.edb25da39f1b2p-21, 0x1.03e72c1c9f419p-20, 0x1.1087c4be3187p-20, 0x1.1cbd1d0c3f612p-20, 0x1.288944988b2fap-20, 0x1.33ee36fed651fp-20, 0x1.3eeddd6e15584p-20, 0x1.498a0fec7790ap-20, 0x1.53c49661052edp-20, 0x1.5d9f29b143589p-20, 0x1.671b74a8ce498p-20, 0x1.703b15170322dp-20, 0x1.78ff9c99ee9p-20, 0x1.816a917c3822ep-20, 0x1.897d6f8517a15p-20, 0x1.9139a8ad22352p-20, 0x1.98a0a5dcad066p-20, 0x1.9fb3c77683373p-20, 0x1.a674666106608p-20, 0x1.ace3d3f4c9fd6p-20, 0x1.b3035afaeaa88p-20, 0x1.b8d4400c669cbp-20, 0x1.be57c20c8744p-20, 0x1.c38f1a99086c3p-20, 0x1.c87b7e75fba9cp-20, 0x1.cd1e1df22d451p-20, 0x1.d178250e6517ap-20, 0x1.d58abc3024d93p-20, 0x1.d957081582b1bp-20, 0x1.dcde2a6c14c72p-20, 0x1.e02141ac5c0ebp-20, 0x1.e32169cff933p-20, 0x1.e5dfbc12a0d45p-20, 0x1.e85d4f6cc91dcp-20, 0x1.ea9b38a20fa9p-20, 0x1.ec9a8a7ecfb1fp-20, 0x1.ee5c55e2c1d48p-20, 0x1.efe1aa07aap-20, 0x1.f12b948a231edp-20, 0x1.f23b215f63a6ap-20, 0x1.f3115b1ea2c18p-20, 0x1.f3af4b1ca82f6p-20, 0x1.f415f946ce2cep-20, 0x1.f4466c59923fap-20, 0x1.f441a9e5341bdp-20, 0x1.f408b649190ccp-20, 0x1.f39c94ec02b9p-20, 0x1.f2fe47dc42304p-20, 0x1.f22ed04b05c1dp-20, 0x1.f12f2e47d3491p-20, 0x1.f00060bc8e261p-20, 0x1.eea365c0fc2b3p-20, 0x1.ed193a1ab3fc9p-20, 0x1.eb62d98e3dcap-20, 0x1.e9813ec5aa86dp-20, 0x1.e775634c1d5dfp-20, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.43353f908194fp-3, -0x1.12f47ec0f9d61p-3, -0x1.c01dd86ebaa3p-4, -0x1.55ef9ce2c2bcap-4, -0x1.d06f9ef8fceb4p-5, -0x1.df08f59530621p-6, -0x1.52be25bfdba7cp-10, 0x1.ba0633906a9e5p-6, 0x1.c606f639aa734p-5, 0x1.57a6955297bbcp-4, 0x1.cbe4066d557a3p-4, 0x1.1fa1a3fdd3338p-3, 0x1.58ac787ac36cfp-3, 0x1.90e270d67b7a5p-3, 0x1.c818675bd0231p-3, 0x1.fe27b37b2442ap-3, 0x1.19770bb4301bbp-2, 0x1.3326f3e4b98d2p-2, 0x1.4c170f4ff0decp-2, 0x1.643d1012f15d4p-2, 0x1.7b909b46a57e2p-2, 0x1.920ce2e80d37cp-2, 0x1.a7a8789d2582cp-2, 0x1.bc60a15b8ac2ep-2, 0x1.d032695ea53fcp-2, 0x1.e31bf921f4b2ep-2, 0x1.f51c7760bb1d6p-2, 0x1.0319f830a0d13p-1, 0x1.0b31a0f618e33p-1, 0x1.12d604fc137ccp-1, 0x1.1a084a849b2fep-1, 0x1.20c9e500cd975p-1, 0x1.271c89e9edb01p-1, 0x1.2d02260d55f46p-1, 0x1.327cd4d4b8202p-1, 0x1.378ed9d17964p-1, 0x1.3c3a9b7b575f9p-1, 0x1.40829dda752b6p-1, 0x1.44697cc697c09p-1, 0x1.47f1e681c20c7p-1, 0x1.4b1e97bf10651p-1, 0x1.4df2597b1f5bep-1, 0x1.5070000e01ba3p-1, 0x1.529a6a50c6c45p-1, 0x1.54747fdb01b5p-1, 0x1.56012dfe165cfp-1, 0x1.574363c4671afp-1, 0x1.583e0d8a1d271p-1, 0x1.58f410bf91c62p-1, 0x1.59684835dbbd6p-1, 0x1.599d81289157p-1, 0x1.5996791d670b7p-1, 0x1.5955dca458a21p-1, 0x1.58de46f5505b1p-1, 0x1.5832425527b58p-1, 0x1.57544915a4bfap-1, 0x1.5646c6f029913p-1, 0x1.550c1a6df20d8p-1, 0x1.53a6960e921a5p-1, 0x1.521880e7d4f6fp-1, 0x1.5064169116905p-1, 0x1.4e8b864c5c1fp-1, 0x1.4c90f182c039p-1, 0x1.4a77cc64dac36p-1, 0x1.483fe5462d971p-1, 0x1.45ebcf639439bp-1, 0x1.437d50acc59edp-1, 0x1.40f61df63095ep-1, 0x1.3e57dc1577ecp-1, 0x1.3ba420e93f86dp-1, 0x1.38dc742eb3b61p-1, 0x1.3602501174848p-1, 0x1.3317216f7e188p-1, 0x1.301c47d7b9b03p-1, 0x1.2d131554b1596p-1, 0x1.29fcce1babbe1p-1, 0x1.26daa83a79078p-1, 0x1.23adcb5bd767ap-1, 0x1.207750b49a39p-1, 0x1.1d384324356edp-1, 0x1.19f19f8b5c889p-1, 0x1.16a455545a58dp-1, 0x1.1351472361f37p-1, 0x1.0ff94ba1b8704p-1, 0x1.0c9d2e556663dp-1, 0x1.093db077b1f7bp-1, 0x1.05db89bec8f14p-1, 0x1.027769120a3c6p-1, 0x1.fe23ea47c291ap-2, 0x1.f75799df17d5fp-2, 0x1.f08b10380fb38p-2, 0x1.e9bf6e8f29129p-2, 0x1.e2f5c880e7593p-2, 0x1.dc2f246015e3dp-2, 0x1.d56c7b7aa0c0dp-2, 0x1.ceaeba557dfedp-2, 0x1.c7f6c0e65909ep-2, 0x1.c14562cfd460bp-2, 0x1.ba9b67a38adfep-2, 0x1.b3f98b2b9b5b5p-2, 0x1.ad607dbc8efb9p-2, 0x1.a6d0e48faa36fp-2, 0x1.a04b5a2545df7p-2, 0x1.99d06eae72b9ep-2, 0x1.9360a87ced5c4p-2, 0x1.8cfc84784718ep-2, 0x1.86a47696f8c95p-2, 0x1.8058ea5a09bf3p-2, 0x1.7a1a4349e387ep-2, 0x1.73e8dd72ee46dp-2, 0x1.6dc50de08353cp-2, 0x1.67af2314e307ap-2, 0x1.61a7657cccfe5p-2, 0x1.5bae17dd7d427p-2, 0x1.55c377bbd9a71p-2, 0x1.4fe7bdbbc4c77p-2, 0x1.4a1b1df6acb4ep-2, 0x1.445dc848a808bp-2, 0x1.3eafe893bca4bp-2, 0x1.3911a6f93a22ep-2, 0x1.3383280967bbfp-2, 0x1.2e048cea2da44p-2, 0x1.2895f375a1366p-2, 0x1.23377651b2566p-2, 0x1.1de92d0267177p-2, 0x1.18ab2bf826782p-2, 0x1.137d849b9e07bp-2, 0x1.0e604558b455dp-2, 0x1.095379a9cf62ap-2, 0x1.04572a24809eap-2, 0x1.fed6b910be0d5p-3, 0x1.f52027a12da6ep-3, 0x1.eb8aa090e9508p-3, 0x1.e2161f45cfb9p-3, 0x1.d8c29a29aa57p-3, 0x1.cf9002e3b7593p-3, 0x1.c67e469625608p-3, 0x1.bd8d4e1e73dcap-3, 0x1.b4bcfe57907cfp-3, 0x1.ac0d385c89493p-3, 0x1.a37dd9cab5824p-3, 0x1.9b0ebd0262848p-3, 0x1.92bfb9651e381p-3, 0x1.8a90a390dbc7cp-3, 0x1.82814d977313ep-3, 0x1.7a9187320c0d2p-3, 0x1.72c11df02b31ap-3, 0x1.6b0fe37732a27p-3, 0x1.637d444e332f6p-3, 0x1.5c0964f012b2ap-3, 0x1.54b40d313e15ep-3, 0x1.4d7d031f88ac4p-3, 0x1.46640b17fa326p-3, 0x1.3f68e7dc10f3p-3, 0x1.388b5aa69fa5p-3, 0x1.31cb2340678e8p-3, 0x1.2b28001475157p-3, 0x1.24a1ae4450556p-3, 0x1.1e37e9bc0a856p-3, 0x1.17ea6d460ead8p-3, 0x1.11b8f29ec1fa9p-3, 0x1.0ba33287d86cap-3, 0x1.05a8e4db52711p-3, 0x1.ff93813c3a7dep-4, 0x1.f40af82460481p-4, 0x1.e8b799906d2e4p-4, 0x1.dd98cf61443c1p-4, 0x1.d2ae02584b944p-4, 0x1.c7f69a37233bap-4, 0x1.bd71fdde0be1cp-4, 0x1.b31f93690bb96p-4, 0x1.a8fec04bb6fddp-4, 0x1.9f0ee96bbbcfbp-4, 0x1.954f733a1bc4fp-4, 0x1.8bbfc1cb4f845p-4, 0x1.825f38ee28f85p-4, 0x1.792d3c41b47bep-4, 0x1.70292f4a13071p-4, 0x1.6752758464ecfp-4, 0x1.5ea87279d9ee8p-4, 0x1.562a89d1f34bcp-4, 0x1.4dd81f640ad3ep-4, 0x1.45b097482b9edp-4, 0x1.3db355e74a55fp-4, 0x1.35dfc00ae65e7p-4, 0x1.2e353aec1f28ap-4, 0x1.26b32c4243179p-4, 0x1.1f58fa50df0a8p-4, 0x1.18260bf553a25p-4, 0x1.1119c8b3f3f4ep-4, 0x1.0a3398c4af434p-4, 0x1.0372e51f49ecp-4, 0x1.f9ae2f0e4c9adp-5, 0x1.ecbf352d3c983p-5, 0x1.e017b393e25efp-5, 0x1.d3b68313876f5p-5, 0x1.c79a7e6a6fc29p-5, 0x1.bbc2825731fe3p-5, 0x1.b02d6dab433b5p-5, 0x1.a4da215cb229bp-5, 0x1.99c780971d29ep-5, 0x1.8ef470cbdba1ep-5, 0x1.845fd9c167eacp-5, 0x1.7a08a5a2097c8p-5, 0x1.6fedc109bce2ap-5, 0x1.660e1b13683fcp-5, 0x1.5c68a565560b6p-5, 0x1.52fc543cfc04fp-5, 0x1.49c81e7a13a2ap-5, 0x1.40cafda903fd3p-5, 0x1.3803ee0ca224ap-5, 0x1.2f71eea749faap-5, 0x1.2714014351af6p-5, 0x1.1ee92a7adc735p-5, 0x1.16f071bf0f888p-5, 0x1.0f28e15ea9002p-5, 0x1.0791868c00ee9p-5, 0x1.0029716274096p-5, 0x1.f1df69d67449cp-6, 0x1.e3c6ce43663ddp-6, 0x1.d60741ee45a9fp-6, 0x1.c89efcabd5219p-6, 0x1.bb8c3c48727a6p-6, 0x1.aecd448c80379p-6, 0x1.a2605f3fd3092p-6, 0x1.9643dc2c29b56p-6, 0x1.8a76111ec04f4p-6, 0x1.7ef559e9050f8p-6, 0x1.73c0186065aa3p-6, 0x1.68d4b45d59b88p-6, 0x1.5e319bb9989f1p-6, 0x1.53d5424d900cdp-6, 0x1.49be21ed19abp-6, 0x1.3feaba638248dp-6, 0x1.3659916edc2e9p-6, 0x1.2d0932baaf974p-6, 0x1.23f82fda04649p-6, 0x1.1b252040d53b7p-6, 0x1.128ea13cf0434p-6, 0x1.0a3355ee42b61p-6, 0x1.0211e73ea2428p-6, 0x1.f45207b221747p-7, 0x1.e4eec0410c065p-7, 0x1.d5f76c4c7827p-7, 0x1.c7698b3f1d1e6p-7, 0x1.b942a7b6dd76dp-7, 0x1.ab80576ecc4dfp-7, 0x1.9e203b2882b94p-7, 0x1.911ffe94a9194p-7, 0x1.847d583ad8f1dp-7, 0x1.78360960d1a7bp-7, 0x1.6c47ddf109fc6p-7, 0x1.60b0ac60af2bbp-7, 0x1.556e559513148p-7, 0x1.4a7ec4c89d1eep-7, 0x1.3fdfef6f330b2p-7, 0x1.358fd51a37c6dp-7, 0x1.2b8c7f5c13e5bp-7, 0x1.21d401ab6473ep-7, 0x1.18647945caa57p-7, 0x1.0f3c0d125d81ep-7, 0x1.0658ed83dbcecp-7, 0x1.fb72a8f51fbdfp-8, 0x1.eab70a4bf2ca5p-8, 0x1.da7b97cc6c3b5p-8, 0x1.cabcfc5a8b30bp-8, 0x1.bb77f4c02c872p-8, 0x1.aca94f6ef16b5p-8, 0x1.9e4dec41d56ccp-8, 0x1.9062bc3e9c5p-8, 0x1.82e4c157205adp-8, 0x1.75d10e2a76676p-8, 0x1.6924c5c60a5e4p-8, 0x1.5cdd1b66bfa0dp-8, 0x1.50f75239fe081p-8, 0x1.4570bd1ee4529p-8, 0x1.3a46be6777328p-8, 0x1.2f76c79a11f07p-8, 0x1.24fe5932da6eep-8, 0x1.1adb02657b8ccp-8, 0x1.110a60df0e40cp-8, 0x1.078a208845fafp-8, 0x1.fcaff68fa982fp-9, 0x1.eae3718a7095fp-9, 0x1.d9aa5c5767b41p-9, 0x1.c9007bdb80a1bp-9, 0x1.b8e1af11998a9p-9, 0x1.a949ee92cf951p-9, 0x1.9a354c1f931cfp-9, 0x1.8b9ff229c3f41p-9, 0x1.7d86235f75655p-9, 0x1.6fe43a36d5d3ap-9, 0x1.62b6a87af6f6bp-9, 0x1.55f9f6d99e1d9p-9, 0x1.49aac4721525dp-9, 0x1.3dc5c66526f07p-9, 0x1.3247c7660c375p-9, 0x1.272da74c97947p-9, 0x1.1c745aa87e63p-9, 0x1.1218ea55cd1e4p-9, 0x1.081873128faefp-9, 0x1.fce04a2b7d172p-10, 0x1.ea3a874e8e047p-10, 0x1.d83a4973087c8p-10, 0x1.c6da6107be93ep-10, 0x1.b615c23d94cecp-10, 0x1.a5e7844206f9p-10, 0x1.964ae07c84524p-10, 0x1.873b31ce11d19p-10, 0x1.78b3f3d4104dap-10, 0x1.6ab0c22d8b295p-10, 0x1.5d2d57c32f0bep-10, 0x1.50258e1248575p-10, 0x1.43955c7a0215p-10, 0x1.3778d78c0e954p-10, 0x1.2bbd027a617a5p-10, 0x1.207d519c2bd83p-10, 0x1.15a6368286772p-10, 0x1.0b343320908b4p-10, 0x1.0123e35980b27p-10, 0x1.eee3f8c553afp-11, 0x1.dc36984fb4342p-11, 0x1.ca397165e6384p-11, 0x1.b8e67f2b9c499p-11, 0x1.a837eaade9548p-11, 0x1.982809c22e9e2p-11, 0x1.88b15de9dcda9p-11, 0x1.79ce933c0f9d1p-11, 0x1.6b7a7f53ab809p-11, 0x1.5db020439aaaep-11, 0x1.506a9b8f33c36p-11, 0x1.43a53d2829bedp-11, 0x1.375b76717cb7dp-11, 0x1.2b88dd475efdbp-11, 0x1.20292b0bedb3fp-11, 0x1.15383bb8f298dp-11, 0x1.0ab20cf622aaap-11, 0x1.0092bd34abc2dp-11, 0x1.edad159d1321fp-12, 0x1.daf3a65746486p-12, 0x1.c8f223d4fc21ap-12, 0x1.b7a1c01bfd232p-12, 0x1.a6fbe65ed8038p-12, 0x1.96fa3969e8ed2p-12, 0x1.8796921898c4ep-12, 0x1.78cafdd393ed8p-12, 0x1.6a91bd1757bf3p-12, 0x1.5ce542030270cp-12, 0x1.4fc02eef370d4p-12, 0x1.431d550cd7c4fp-12, 0x1.36f7b30c7a7a4p-12, 0x1.2b4a73cca658cp-12, 0x1.2010ed10d09c4p-12, 0x1.15469e3eb5d91p-12, 0x1.0ae72f245ea38p-12, 0x1.00ee6ec493a1cp-12, 0x1.eeb0a4561900bp-13, 0x1.dc41e68fb10d7p-13, 0x1.ca891fa20be66p-13, 0x1.b97f1058494b5p-13, 0x1.a91cbcbb3b77dp-13, 0x1.995b69ffac8bdp-13, 0x1.8a349c7f712a4p-13, 0x1.7ba215c1cea0fp-13, 0x1.6d9dd28d98da6p-13, 0x1.6022090a80b7bp-13, 0x1.532926ed7a631p-13, 0x1.46adcfb153ba3p-13, 0x1.3aaadadb61985p-13, 0x1.2f1b524a7a6f6p-13, 0x1.23fa7094be34cp-13, 0x1.19439f6c43b7ap-13, 0x1.0ef27611fa2c6p-13, 0x1.0502b7d203746p-13, 0x1.f6e0a515f811ep-14, 0x1.e46eba7ec48a9p-14, 0x1.d2a82d64585aep-14, 0x1.c185c81784a63p-14, 0x1.b1009f135ba31p-14, 0x1.a1120e70496ecp-14, 0x1.91b3b768bee49p-14, 0x1.82df7df0fbb0bp-14, 0x1.748f865eaba54p-14, 0x1.66be3326c3502p-14, 0x1.596622a6fc2e4p-14, 0x1.4c822d029422ep-14, 0x1.400d6211c7a47p-14, 0x1.3403075b62a33p-14, 0x1.285e96239367ep-14, 0x1.1d1bb9861fff6p-14, 0x1.12364ca21eb63p-14, 0x1.07aa58d1f8f91p-14, 0x1.fae827e54cbafp-15, 0x1.e71fbd6ed08f7p-15, 0x1.d3f4861b6851ep-15, 0x1.c15fe51406f45p-15, 0x1.af5b89c7980a2p-15, 0x1.9de16cfc918cdp-15, 0x1.8cebcdf6b4e18p-15, 0x1.7c752fb7867e6p-15, 0x1.6c785651bc71bp-15, 0x1.5cf044583e97p-15, 0x1.4dd83859e9e3cp-15, 0x1.3f2baa7dc3425p-15, 0x1.30e64a28fd3cep-15, 0x1.2303fbbfd84f7p-15, 0x1.1580d673f2e53p-15, 0x1.0859222a38c53p-15, 0x1.f712aae03953ep-16, 0x1.de1c27083fd5ep-16, 0x1.c5c854da5d02p-16, 0x1.ae11224a256a5p-16, 0x1.96f0cba6a2d15p-16, 0x1.8061d827dccbcp-16, 0x1.6a5f16a28e8f7p-16, 0x1.54e39a593caf4p-16, 0x1.3feab7e65e744p-16, 0x1.2b700244b310dp-16, 0x1.176f47f35fa24p-16, 0x1.03e49032ec349p-16, 0x1.e19830b924514p-17, 0x1.bc44a2ad5ee56p-17, 0x1.97c7ba2ef890bp-17, 0x1.741b1893adf7ap-17, 0x1.5138b80869577p-17, 0x1.2f1ae729c80d2p-17, 0x1.0dbc44cd02166p-17, 0x1.da2f77df2c6b8p-18, 0x1.9a50ff98bac7ep-18, 0x1.5bd4104137dc3p-18, 0x1.1eb01b32b7362p-18, 0x1.c5ba191fb860cp-19, 0x1.50a689a32777fp-19, 0x1.bc2e495dd04f6p-20, 0x1.b7f95a79c2ea3p-21, 0x1.3d3f12afda7e5p-29, -0x1.ac081b153424fp-21, -0x1.a8022bca5ab37p-20, -0x1.3ab8a2a49d1b7p-19, -0x1.9f32d8020d0e5p-19, -0x1.00bca835c6f9fp-18, -0x1.30ca8f462314fp-18, -0x1.5fc76afd2326cp-18, -0x1.8db749926041ep-18, -0x1.ba9e01b6bec4bp-18, -0x1.e67f362ef07cp-18, -0x1.08af2cb1c6084p-17, -0x1.1d9f585c5ec6ep-17, -0x1.3211abee8d44cp-17, -0x1.4607a1d8f74c2p-17, -0x1.5982a2a094646p-17, -0x1.6c840643ec05dp-17, -0x1.7f0d15855204bp-17, -0x1.911f0b2bc75c4p-17, -0x1.a2bb1527f93dp-17, -0x1.b3e255be8fafdp-17, -0x1.c495e48f107f6p-17, -0x1.d4d6cf942a8a6p-17, -0x1.e4a61c16600e5p-17, -0x1.f404c791e3c5p-17, -0x1.0179e444f3437p-16, -0x1.08ba07a8fc16fp-16, -0x1.0fc3436fa733dp-16, -0x1.16960aaf53b05p-16, -0x1.1d32ce78bc8efp-16, -0x1.2399fe2295933p-16, -0x1.29cc07939f6p-16, -0x1.2fc957878a1efp-16, -0x1.359259cfd77fap-16, -0x1.3b27798ebe9b4p-16, -0x1.4089216b8bb66p-16, -0x1.45b7bbcdd92bcp-16, -0x1.4ab3b30680ecp-16, -0x1.4f7d717e7f1f7p-16, -0x1.541561da85823p-16, -0x1.587bef28308fcp-16, -0x1.5cb184f60abefp-16, -0x1.60b68f7829c1ep-16, -0x1.648b7b9f743f5p-16, -0x1.6830b7371f4bap-16, -0x1.6ba6b0f605288p-16, -0x1.6eedd8955b987p-16, -0x1.72069ee180fd5p-16, -0x1.74f175c54692dp-16, -0x1.77aed059294ebp-16, -0x1.7a3f22f0b7d1cp-16, -0x1.7ca2e31dfea01p-16, -0x1.7eda87bbb2212p-16, -0x1.80e688f2003fdp-16, -0x1.82c7603912734p-16, -0x1.847d885dec575p-16, -0x1.86097d7b52619p-16, -0x1.876bbd0542f2dp-16, -0x1.88a4c5bd612b9p-16, -0x1.89b517b247fb8p-16, -0x1.8a9d3440cfd56p-16, -0x1.8b5d9e04efbf4p-16, -0x1.8bf6d8da6537ep-16, -0x1.8c6969d3e2a61p-16, -0x1.8cb5d7332fe54p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.4bd0dc13658f1p+0, -0x1.3e7798afb8ee6p+0, -0x1.3249863c2a001p+0, -0x1.2736bc99cf0fp+0, -0x1.1d2ea1712c7aap+0, -0x1.142042f77c8c5p+0, -0x1.0bfaab6c28083p+0, -0x1.04ad1d2c34b62p+0, -0x1.fc4e3e4234418p-1, -0x1.f0b127baa4cebp-1, -0x1.e663e468c34abp-1, -0x1.dd48dbaffcdp-1, -0x1.d543f2b150367p-1, -0x1.ce3a72e7582cp-1, -0x1.c812ff10e400ap-1, -0x1.c2b59e8ff6fcp-1, -0x1.be0bd810c4519p-1, -0x1.ba00cb9ead942p-1, -0x1.b68138cb27d01p-1, -0x1.b37b68aa5f7d2p-1, -0x1.b0df058356023p-1, -0x1.ae9d6d97bbe26p-1, -0x1.aca742ce53727p-1, -0x1.aaf0760af3a9bp-1, -0x1.a96d7625dcf81p-1, -0x1.a813c245ef444p-1, -0x1.a6d9d71394e7cp-1, -0x1.a5b71ebb45964p-1, -0x1.a4a3e41278c8ap-1, -0x1.a39947999233bp-1, -0x1.a29133fb017f8p-1, -0x1.a1864ff60224bp-1, -0x1.a073ed65665efp-1, -0x1.9f55f721fb5dep-1, -0x1.9e28e063c85f1p-1, -0x1.9ce9977b1b62cp-1, -0x1.9b957c0f5ca98p-1, -0x1.9a2a57c6b25aap-1, -0x1.98a657ef42db5p-1, -0x1.970807340a1bap-1, -0x1.954e46f336413p-1, -0x1.937848164e115p-1, -0x1.91858363c1f0ep-1, -0x1.8f75b15c83e0fp-1, -0x1.8d48c1ec85f32p-1, -0x1.8afed46884a6cp-1, -0x1.8898306007ed2p-1, -0x1.86153fa29ffb4p-1, -0x1.8376898f3de98p-1, -0x1.80bcaf7f3a68bp-1, -0x1.7de869f6b777p-1, -0x1.7afa8640260efp-1, -0x1.77f3e42f0e08ap-1, -0x1.74d573e70db31p-1, -0x1.71a033a17649ep-1, -0x1.6e552d7d489d3p-1, -0x1.6af57567c3d09p-1, -0x1.6782272265b0cp-1, -0x1.63fc645d5e088p-1, -0x1.606552d3f0141p-1, -0x1.5cbe1a58c9f0ep-1, -0x1.5907e2cba8e8fp-1, -0x1.5543d202e9b31p-1, -0x1.51742d80afef9p-1, -0x1.4d97e51900608p-1, -0x1.49b0fa4ad7378p-1, -0x1.45c0773f55eadp-1, -0x1.41c75ff1c958cp-1, -0x1.3dc6b218b4739p-1, -0x1.39bf652447ba9p-1, -0x1.35b26a3dcb091p-1, -0x1.31a0ac36fb9ddp-1, -0x1.2d8b0f5f69b22p-1, -0x1.2972713e495acp-1, -0x1.2557a836fcdf3p-1, -0x1.213b8324084b6p-1, -0x1.1d1ec8f644345p-1, -0x1.1902386533513p-1, -0x1.14e687ba0bf6ap-1, -0x1.10cc64ba77446p-1, -0x1.0cb474b360652p-1, -0x1.089f54a03cb0fp-1, -0x1.048d99688b24ap-1, -0x1.007fd02c1197ep-1, -0x1.f8ecfd2d02937p-2, -0x1.f0e446689db3ap-2, -0x1.e8e66b88ac096p-2, -0x1.e0f44f078704ap-2, -0x1.d90ec6e6f0256p-2, -0x1.d1369d2e9979ep-2, -0x1.c96c90607a1ccp-2, -0x1.c1b153e52e675p-2, -0x1.ba059071fb1a7p-2, -0x1.b269e46922fa1p-2, -0x1.aadee4344c005p-2, -0x1.a3651a9824937p-2, -0x1.9bfd0900721ccp-2, -0x1.94a727c4178a7p-2, -0x1.8d63e661755d2p-2, -0x1.8633abb46aeaap-2, -0x1.7f16d62811643p-2, -0x1.780dbbe6e4e1ap-2, -0x1.7118ab0c3a5b8p-2, -0x1.6a37e9d9b7b4ep-2, -0x1.636bb6f2f9c06p-2, -0x1.5cb449a0cf1fdp-2, -0x1.5611d21c97608p-2, -0x1.4f8479e362eep-2, -0x1.490c640fba61ap-2, -0x1.42a9adb84b43dp-2, -0x1.3c5c6e5154edep-2, -0x1.3624b80e84407p-2, -0x1.30029842e87cfp-2, -0x1.29f617bceb554p-2, -0x1.23ff3b1c7ae27p-2, -0x1.1e1e03221118ap-2, -0x1.18526cf5ae4ebp-2, -0x1.129c726566f85p-2, -0x1.0cfc0a1b8f919p-2, -0x1.077127ccf2ed1p-2, -0x1.01fbbc5fe984bp-2, -0x1.f9376c1a88433p-3, -0x1.eea200f8819afp-3, -0x1.e43709b57305fp-3, -0x1.d9f653e57d71dp-3, -0x1.cfdfa87d73ca1p-3, -0x1.c5f2cbfa02fefp-3, -0x1.bc2f7e87536f7p-3, -0x1.b2957c2a3e10dp-3, -0x1.a9247cebbe363p-3, -0x1.9fdc3507035ep-3, -0x1.96bc551a1cdcp-3, -0x1.8dc48a58ef55ep-3, -0x1.84f47ec20ee9cp-3, -0x1.7c4bd954c9accp-3, -0x1.73ca3e47d868dp-3, -0x1.6b6f4f3ff0914p-3, -0x1.633aab85ae35bp-3, -0x1.5b2bf03a406b6p-3, -0x1.5342b88a69577p-3, -0x1.4b7e9ddf78227p-3, -0x1.43df380e00238p-3, -0x1.3c641d8225ad9p-3, -0x1.350ce36962977p-3, -0x1.2dd91dd9d090dp-3, -0x1.26c85ff6f6a11p-3, -0x1.1fda3c142c489p-3, -0x1.190e6efbfd724p-3, -0x1.12640d04b691ap-3, -0x1.0bdaf9cded6edp-3, -0x1.0572c64e09b26p-3, -0x1.fe56063db1564p-4, -0x1.f2068123b5d55p-4, -0x1.e5f61d8768713p-4, -0x1.da23fb5dbe926p-4, -0x1.ce8f3a7b614d8p-4, -0x1.c336fab79475bp-4, -0x1.b81a5c0e0272cp-4, -0x1.ad387ebf857c9p-4, -0x1.a2908371effep-4, -0x1.98218b4ee8875p-4, -0x1.8deab821bca34p-4, -0x1.83eb2c7433e23p-4, -0x1.7a220baa5723cp-4, -0x1.708e7a1d19d4ep-4, -0x1.672f9d33e0e7bp-4, -0x1.5e049b7cd80bp-4, -0x1.550c9cc410079p-4, -0x1.4c46ca295cef6p-4, -0x1.43b24e34f2e46p-4, -0x1.3b4e54eabfb41p-4, -0x1.331a0bdc82b06p-4, -0x1.2b14a23aaee8cp-4, -0x1.233d48e416e37p-4, -0x1.1b933274785ap-4, -0x1.14159351e962dp-4, -0x1.0cc3a1b9413d3p-4, -0x1.059c95c98234p-4, -0x1.fd3f531cb908ep-5, -0x1.ef983213a7908p-5, -0x1.e242447a347b5p-5, -0x1.d53c0a615ab87p-5, -0x1.c88407f782df5p-5, -0x1.bc18c596154a2p-5, -0x1.aff8cfcdd0f09p-5, -0x1.a422b7720219p-5, -0x1.989511a2a7a7ep-5, -0x1.8d4e77d591419p-5, -0x1.824d87de828e5p-5, -0x1.7790e3f669b45p-5, -0x1.6d1732c1b0107p-5, -0x1.62df1f55a6f04p-5, -0x1.58e7593d2401dp-5, -0x1.4f2e947c4c6a1p-5, -0x1.45b389939261dp-5, -0x1.3c74f581f52d4p-5, -0x1.337199c6863ffp-5, -0x1.2aa83c6130613p-5, -0x1.2217a7d2da818p-5, -0x1.19beab1cdbb1ap-5, -0x1.119c19bfce4f5p-5, -0x1.09aecbb9c5eb5p-5, -0x1.01f59d83f5487p-5, -0x1.f4dee01f796ap-6, -0x1.e636518663fb1p-6, -0x1.d7ef62ea50993p-6, -0x1.ca07f0d15fc23p-6, -0x1.bc7de0904b0efp-6, -0x1.af4f203f8c736p-6, -0x1.a279a6afac0ddp-6, -0x1.95fb735cb539ep-6, -0x1.89d28e60dcc13p-6, -0x1.7dfd086662b7ep-6, -0x1.7278fa98b2d57p-6, -0x1.67448694d8667p-6, -0x1.5c5dd6593b48ap-6, -0x1.51c31c34bd2a7p-6, -0x1.477292b53e174p-6, -0x1.3d6a7c9583636p-6, -0x1.33a924aa96c86p-6, -0x1.2a2cddd0a406ap-6, -0x1.20f402d753a46p-6, -0x1.17fcf66db732p-6, -0x1.0f46230dc00a4p-6, -0x1.06cdfae75cb49p-6, -0x1.fd25ef965971ep-7, -0x1.ed273629d68bbp-7, -0x1.dd9cdb2afe1dbp-7, -0x1.ce83fef98d3b4p-7, -0x1.bfd9d0865a178p-7, -0x1.b19b8d25ec82cp-7, -0x1.a3c68062c35f8p-7, -0x1.965803cf2db87p-7, -0x1.894d7ed6f8367p-7, -0x1.7ca46690a18d3p-7, -0x1.705a3d8e83a5ap-7, -0x1.646c93afb93adp-7, -0x1.58d905f0dedecp-7, -0x1.4d9d3e3cb3a16p-7, -0x1.42b6f33cb45dbp-7, -0x1.3823e82999c18p-7, -0x1.2de1ec9be51bbp-7, -0x1.23eedc5c589ebp-7, -0x1.1a489f34996f1p-7, -0x1.10ed28bfbd92bp-7, -0x1.07da783b1d90ep-7, -0x1.fe1d30ae3fc3fp-8, -0x1.ed0f3e1074d35p-8, -0x1.dc875ab035025p-8, -0x1.cc81de6e00c02p-8, -0x1.bcfb369a9c576p-8, -0x1.adefe59aa6cd6p-8, -0x1.9f5c828a9adf9p-8, -0x1.913db8e37adb1p-8, -0x1.8390481ff45dep-8, -0x1.7651036249675p-8, -0x1.697cd11a8e22ap-8, -0x1.5d10aaade6d5ap-8, -0x1.51099c1e47922p-8, -0x1.4564c3b304317p-8, -0x1.3a1f51a222d07p-8, -0x1.2f3687ba5b66ap-8, -0x1.24a7b90e09267p-8, -0x1.1a70499ee00e5p-8, -0x1.108dae0a70cb7p-8, -0x1.06fd6b37a68fdp-8, -0x1.fb7a2c0a35a8bp-9, -0x1.e994a5f065d74p-9, -0x1.d845abdaae1ep-9, -0x1.c788c391e9d9ap-9, -0x1.b7599052fcd4fp-9, -0x1.a7b3d234e679bp-9, -0x1.98936590383b1p-9, -0x1.89f442691513bp-9, -0x1.7bd27bdac2f6fp-9, -0x1.6e2a3f85567p-9, -0x1.60f7d4fd49253p-9, -0x1.54379d3d1916p-9, -0x1.47e61218b8483p-9, -0x1.3bffc5b33cebp-9, -0x1.308161f65a073p-9, -0x1.2567a80bdf39fp-9, -0x1.1aaf6fd93677fp-9, -0x1.1055a77d25a6bp-9, -0x1.065752ceffd1cp-9, -0x1.f96315c09d213p-10, -0x1.e6c2fb0099f8cp-10, -0x1.d4c8d982cdbdap-10, -0x1.c36f5d012ba68p-10, -0x1.b2b157de2ac4p-10, -0x1.a289c23ae6063p-10, -0x1.92f3b91250abbp-10, -0x1.83ea7d57cc826p-10, -0x1.75697319bd58ep-10, -0x1.676c20a7ec97bp-10, -0x1.59ee2dbe4d1fcp-10, -0x1.4ceb62b28479cp-10, -0x1.405fa7a64f048p-10, -0x1.344703bd35102p-10, -0x1.289d9c5662526p-10, -0x1.1d5fb449b102ap-10, -0x1.1289ab28c30a1p-10, -0x1.0817fc842b88cp-10, -0x1.fc0e7e66aebc4p-11, -0x1.e8a84941b9a8ap-11, -0x1.d5f6f0343f6e6p-11, -0x1.c3f43c453ac22p-11, -0x1.b29a279563cdfp-11, -0x1.a1e2dc12fb1e7p-11, -0x1.91c8b23662293p-11, -0x1.82462fc33366p-11, -0x1.735606919d11cp-11, -0x1.64f3135e8fca8p-11, -0x1.57185ca0add13p-11, -0x1.49c11165f44dep-11, -0x1.3cda185c9c806p-11, -0x1.307c980170f64p-11, -0x1.2494fa914dafbp-11, -0x1.191f05ebb8403p-11, -0x1.0e16a337d6b6cp-11, -0x1.0377dde667305p-11, -0x1.f27dc572b6fb4p-12, -0x1.decffda3b98d5p-12, -0x1.cbdf3d86f110ap-12, -0x1.b9a49b59df3fdp-12, -0x1.a81968acfdb7cp-12, -0x1.973730ab5d288p-12, -0x1.86f7b66bd1147p-12, -0x1.7754f34d0189fp-12, -0x1.6849155cad9acp-12, -0x1.59ce7dc7c0d45p-12, -0x1.4bdfbf5301a13p-12, -0x1.3e779ce080537p-12, -0x1.319107fb99a08p-12, -0x1.25271f6fd2ef9p-12, -0x1.19352de8300ap-12, -0x1.0db6a8975a736p-12, -0x1.02a72de94a0cep-12, -0x1.f0050877eab92p-13, -0x1.db89314392c1fp-13, -0x1.c7d2fb5957c98p-13, -0x1.b4dad47ce0452p-13, -0x1.a29970c8545e4p-13, -0x1.9107c87017d9dp-13, -0x1.801f1594c86b3p-13, -0x1.6fd8d22430fcdp-13, -0x1.602eb5cb2a55fp-13, -0x1.511ab3f2a4d58p-13, -0x1.4296f9cbd9945p-13, -0x1.349dec6a8c9a7p-13, -0x1.272a26eaded91p-13, -0x1.1a3678a7642b8p-13, -0x1.0dbde37810daap-13, -0x1.01bb99ff997b2p-13, -0x1.ec55fc0c44712p-14, -0x1.d60f3db9bf83p-14, -0x1.c09a6fa2b2665p-14, -0x1.abef5d4f93f46p-14, -0x1.98062446c423bp-14, -0x1.84d7313241292p-14, -0x1.725b3d18503dp-14, -0x1.608b4aab74ec7p-14, -0x1.4f60a3b06f76cp-14, -0x1.3ed4d6731434ap-14, -0x1.2ee1b34eba62dp-14, -0x1.1f814a5162fe3p-14, -0x1.10ade8e8694b4p-14, -0x1.026217a476915p-14, -0x1.e931301c3e34ap-15, -0x1.ce98c512d4805p-15, -0x1.b4f1489d31536p-15, -0x1.9c317ae0eacd8p-15, -0x1.84507de272383p-15, -0x1.6d45d1d546f31p-15, -0x1.57095186490aap-15, -0x1.41932edff9654p-15, -0x1.2cdbefa2d53dp-15, -0x1.18dc6a0abd9ap-15, -0x1.058dc1c193d6ap-15, -0x1.e5d2c99c9e83fp-16, -0x1.c1d2115394f3dp-16, -0x1.9f0d4ed1403d2p-16, -0x1.7d78fa01ba98cp-16, -0x1.5d0a094478b79p-16, -0x1.3db5ec592f76ap-16, -0x1.1f728762f5678p-16, -0x1.02362e3fa4a0bp-16, -0x1.cbef3fb561a41p-17, -0x1.955c03867d96ep-17, -0x1.60a1b7e1048e5p-17, -0x1.2db0292624a33p-17, -0x1.f8efb091700ap-18, -0x1.99d3e63d4c303p-18, -0x1.3df099ed9ae78p-18, -0x1.ca555e271de22p-19, -0x1.1ed0702b4b967p-19, -0x1.e483488ed2529p-21, 0x1.3747495c98796p-22, 0x1.82f43b7c39577p-20, 0x1.56be2d8630342p-19, 0x1.e6de96e8e18d4p-19, 0x1.3901858881e5bp-18, 0x1.7c28c16d377f3p-18, 0x1.bcf729641a143p-18, 0x1.fb7e1f4fb67b1p-18, 0x1.1be72300d8e1ep-17, 0x1.38fbc521ea6bp-17, 0x1.550495b270abp-17, 0x1.7008e1cecf888p-17, 0x1.8a0fa7d928df6p-17, 0x1.a31f9b76d5393p-17, 0x1.bb3f292cb9288p-17, 0x1.d27479cfa0f05p-17, 0x1.e8c575f48dc2ap-17, 0x1.fe37c9102eef3p-17, 0x1.09687253706d7p-16, 0x1.134b019a4032cp-16, 0x1.1cc6157f46c6dp-16, 0x1.25dc1865ce118p-16, 0x1.2e8f5d3b1736cp-16, 0x1.36e220b3988a6p-16, 0x1.3ed68a7949fa7p-16, 0x1.466eae4906cfap-16, 0x1.4dac8d0a53534p-16, 0x1.549215d552a5ep-16, 0x1.5b2126efb66c8p-16, 0x1.615b8ea52792fp-16, 0x1.67430c4d3b6aep-16, 0x1.6cd9511303105p-16, 0x1.722000c291b5p-16, 0x1.7718b27b9dd0bp-16, 0x1.7bc4f193f8825p-16, 0x1.80263e226116cp-16, 0x1.843e0db817e25p-16, 0x1.880dcbf90ce9dp-16, 0x1.8b96db35c3364p-16, 0x1.8eda94f593859p-16, 0x1.91da4a84218e4p-16, 0x1.949745677815ep-16, 0x1.9712c7e0d8a86p-16, 0x1.994e0d55bf8fbp-16, 0x1.9b4a4ac280f5dp-16, 0x1.9d08af216b84p-16, 0x1.9e8a63b05f2f8p-16, 0x1.9fd08c7139806p-16, 0x1.a0dc4863512bap-16, 0x1.a1aeb1d8a1433p-16, 0x1.a248debcf388p-16, 0x1.a2abe0e4e0193p-16, 0x1.a2d8c6427c797p-16, 0x1.a2d0991d9ad38p-16, 0x1.a294605fc0295p-16, 0x1.a2251fb827605p-16, 0x1.a183d7d1fec0ep-16, 0x1.a0b1867e73ed3p-16, 0x1.9faf26e1d1456p-16, 0x1.9e7db19a3a783p-16, 0x1.9d1e1cdf915bdp-16, 0x1.9b915ca9e78ep-16, 0x1.99d862c3caeb1p-16, 0x1.97f41efb7204p-16, 0x1.95e57f1a329cap-16, 0x1.93ad6f20683f6p-16, 0x1.914cd945886a3p-16, 0x1.8ec4a609de2fbp-16, 0x1.8c15bc4c3bb17p-16, 0x1.8941015712f7p-16, 0x1.864758ed3f81cp-16, 0x1.8329a5554ced1p-16, 0x1.7fe8c76566e53p-16, 0x1.7c859e80a78f7p-16, 0x1.790108affd091p-16, 0x1.755be2958df17p-16, 0x1.719707807f75cp-16, 0x1.6db351630d9c4p-16, 0x1.69b198e108ca9p-16, 0x1.6592b5423405cp-16, 0x1.61577c7cff101p-16, 0x1.5d00c332dfd23p-16, 0x1.588f5cafd7dc4p-16, 0x1.54041ae3f3254p-16, 0x1.4f5fce6a21ecep-16, 0x1.4aa3467af6199p-16, 0x1.45cf50de3e31bp-16, 0x1.40e4ba079b875p-16, 0x1.3be44cf665e33p-16, 0x1.36ced3357a853p-16, 0x1.31a514d85afe3p-16, 0x1.2c67d8739f295p-16, 0x1.2717e31a40b2cp-16, 0x1.21b5f84cbb3d8p-16, 0x1.1c42d9fa8bbcp-16, 0x1.16bf487c04ef8p-16, 0x1.112c0289f6e62p-16, 0x1.0b89c52f78126p-16, 0x1.05d94bcde7649p-16, 0x1.001b500a61237p-16, 0x1.f4a11399cef1p-17, 0x1.e8f35e6e5dbf7p-17, 0x1.dd2ee939dc867p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.9b891802ffa36p-1, 0x1.92ebf042fb81bp-1, 0x1.8a0e037daec75p-1, 0x1.80f3df532f977p-1, 0x1.77a20967e5ecep-1, 0x1.6e1cfc7210cbp-1, 0x1.64692590f83c1p-1, 0x1.5a8ae1e8d2e07p-1, 0x1.50867c7e8e827p-1, 0x1.46602c4efa4aep-1, 0x1.3c1c129d0be93p-1, 0x1.31be397344e21p-1, 0x1.274a92548045fp-1, 0x1.1cc4f518b0a17p-1, 0x1.12311ef255142p-1, 0x1.0792b199aab63p-1, 0x1.f9da65359c9a1p-2, 0x1.e488158870cd2p-2, 0x1.cf350b665923p-2, 0x1.b9e7a2f7b1d5cp-2, 0x1.a4a5fcd619ffep-2, 0x1.8f75fdbf23f6p-2, 0x1.7a5d4e7294e03p-2, 0x1.65615bb8c1c2dp-2, 0x1.5087568dc8fb2p-2, 0x1.3bd4346e9c681p-2, 0x1.274cafc4f9d17p-2, 0x1.12f5486fa222fp-2, 0x1.fda488c87a30dp-3, 0x1.d5cf60d1185d6p-3, 0x1.ae72c1c1444dp-3, 0x1.8795e56011794p-3, 0x1.613f98579c1edp-3, 0x1.3b763c374472bp-3, 0x1.163fc99075b3ep-3, 0x1.e343a45579047p-4, 0x1.9b43069830b16p-4, 0x1.548750252797p-4, 0x1.0f1957b9319a3p-4, 0x1.960272f57ccc4p-5, 0x1.108cb7ecef043p-5, 0x1.1bbdd4ad025e4p-6, 0x1.c0a3e869459ecp-10, -0x1.bbd783a7b89b8p-7, -0x1.d211206b123c8p-6, -0x1.602aa0c15a226p-5, -0x1.d454f2860ea78p-5, -0x1.22c0c48a74694p-4, -0x1.59d5c0b341e38p-4, -0x1.8f6783dd7d0aap-4, -0x1.c374a6c7a6b5p-4, -0x1.f5fc3fd5c8e21p-4, -0x1.137eef134a271p-3, -0x1.2b3cc25bea637p-3, -0x1.4237d2cdd1367p-3, -0x1.58708e9fafab2p-3, -0x1.6de796e2c2163p-3, -0x1.829dbd39903b6p-3, -0x1.96940198ef16p-3, -0x1.a9cb90138b824p-3, -0x1.bc45beb05a254p-3, -0x1.ce040b4c2158cp-3, -0x1.df08198652c3ep-3, -0x1.ef53b0b9609b4p-3, -0x1.fee8b9feb6fecp-3, -0x1.06e49f1f39ec5p-2, -0x1.0dfbb22573755p-2, -0x1.14bab784013fdp-2, -0x1.1b22ddcf53621p-2, -0x1.21355fddf3b83p-2, -0x1.26f383ee1c34ep-2, -0x1.2c5e9ad142702p-2, -0x1.3177ff1d940e5p-2, -0x1.3641146559e1cp-2, -0x1.3abb467442a8p-2, -0x1.3ee808927da39p-2, -0x1.42c8d4cdad6bdp-2, -0x1.465f2b4792da3p-2, -0x1.49ac918a75598p-2, -0x1.4cb291e32d543p-2, -0x1.4f72bac0c8d72p-2, -0x1.51ee9e19b7ee6p-2, -0x1.5427d0d672ab7p-2, -0x1.561fea4183463p-2, -0x1.57d8837ce8799p-2, -0x1.595336fcb6994p-2, -0x1.5a91a006ea2f4p-2, -0x1.5b955a3855421p-2, -0x1.5c60010e93e9cp-2, -0x1.5cf32f76f62cp-2, -0x1.5d507f6242883p-2, -0x1.5d79895d4553fp-2, -0x1.5d6fe42e13666p-2, -0x1.5d352475e37a7p-2, -0x1.5ccadc5776cfcp-2, -0x1.5c329b21e8929p-2, -0x1.5b6decffdc91bp-2, -0x1.5a7e5aaaecb59p-2, -0x1.596569233fad3p-2, -0x1.5824996b3656ap-2, -0x1.56bd684710a9dp-2, -0x1.55314e00773c9p-2, -0x1.5381be2dd04dcp-2, -0x1.51b0277d49791p-2, -0x1.4fbdf3837acebp-2, -0x1.4dac868d8e33p-2, -0x1.4b7d3f76d1f3dp-2, -0x1.493177819f456p-2, -0x1.46ca82337a419p-2, -0x1.4449ad3455deap-2, -0x1.41b04030e41bcp-2, -0x1.3eff7cbfd47d2p-2, -0x1.3c389e49f566p-2, -0x1.395cd9f512f0bp-2, -0x1.366d5e91836e3p-2, -0x1.336b548a4b1f1p-2, -0x1.3057ddd7ba1fcp-2, -0x1.2d3415f474412p-2, -0x1.2a0111d4c6384p-2, -0x1.26bfdfe0368cfp-2, -0x1.237187ed36211p-2, -0x1.20170b3ee4e2bp-2, -0x1.1cb16484c4d44p-2, -0x1.194187dc57e84p-2, -0x1.15c862d4857f7p-2, -0x1.1246dc72bac94p-2, -0x1.0ebdd539add64p-2, -0x1.0b2e2731b2a54p-2, -0x1.0798a5f288aa5p-2, -0x1.03fe1eae9720bp-2, -0x1.005f583f78effp-2, -0x1.f97a2667a2327p-3, -0x1.f23013bc9b754p-3, -0x1.eae1e0cb964ap-3, -0x1.e390e9ad0e5dcp-3, -0x1.dc3e7e689cad3p-3, -0x1.d4ebe31b32ee4p-3, -0x1.cd9a501f0a62p-3, -0x1.c64af2353010cp-3, -0x1.befeeab08ec6cp-3, -0x1.b7b74fa251deep-3, -0x1.b0752c0791e89p-3, -0x1.a9397ff819e52p-3, -0x1.a20540d647c24p-3, -0x1.9ad9597fcfc3cp-3, -0x1.93b6aa7f611c4p-3, -0x1.8c9e0a3f0099ep-3, -0x1.8590453b117c3p-3, -0x1.7e8e1e35ef6d5p-3, -0x1.77984e6bfc96ep-3, -0x1.70af85c81cc8ap-3, -0x1.69d46b187d268p-3, -0x1.63079c439eafbp-3, -0x1.5c49ae7d885b7p-3, -0x1.559b2e7d163c1p-3, -0x1.4efca0b14c278p-3, -0x1.486e8176a85f2p-3, -0x1.41f1454c5931p-3, -0x1.3b8559094e88dp-3, -0x1.352b2211187c4p-3, -0x1.2ee2fe8884bfcp-3, -0x1.28ad4589eb2f7p-3, -0x1.228a475923428p-3, -0x1.1c7a4d9713762p-3, -0x1.167d9b74d3a5ep-3, -0x1.10946de64b734p-3, -0x1.0abefbd45f34ep-3, -0x1.04fd764e794a9p-3, -0x1.fea011773097p-4, -0x1.f36db215570d8p-4, -0x1.e8640fc4aeae9p-4, -0x1.dd8361a022ed7p-4, -0x1.d2cbd4ed09307p-4, -0x1.c83d8d768d761p-4, -0x1.bdd8a5e7a2fcp-4, -0x1.b39d3023701cdp-4, -0x1.a98b359c46fbcp-4, -0x1.9fa2b7a8f9bc4p-4, -0x1.95e3afd8a93cp-4, -0x1.8c4e1044f2297p-4, -0x1.82e1c3e27d90bp-4, -0x1.799eaecfed4fp-4, -0x1.7084aea31f7eap-4, -0x1.67939ab4ca177p-4, -0x1.5ecb446a67e74p-4, -0x1.562b777e78fe6p-4, -0x1.4db3fa4713c02p-4, -0x1.45648dfac5e2bp-4, -0x1.3d3ceef3c69ap-4, -0x1.353cd4f17a1a8p-4, -0x1.2d63f3584781ep-4, -0x1.25b1f96fc2bb3p-4, -0x1.1e26929f2b9ap-4, -0x1.16c166a84745ep-4, -0x1.0f8219e093155p-4, -0x1.08684d68d7e25p-4, -0x1.01739f631cf5fp-4, -0x1.f547564e0763fp-5, -0x1.e7f012e916e2ap-5, -0x1.dae0a14a8a5ddp-5, -0x1.ce1829b7f497fp-5, -0x1.c195d065955b5p-5, -0x1.b558b5cf95a2ap-5, -0x1.a95ff71044bbcp-5, -0x1.9daaae336a74cp-5, -0x1.9237f286b3f26p-5, -0x1.8706d8e749441p-5, -0x1.7c16740c9b305p-5, -0x1.7165d4d06c642p-5, -0x1.66f40a742f006p-5, -0x1.5cc022e3b7ed9p-5, -0x1.52c92af55e20ep-5, -0x1.490e2ea78bccfp-5, -0x1.3f8e395bd425p-5, -0x1.3648560f97318p-5, -0x1.2d3b8f9245a9p-5, -0x1.2466f0b94c2f6p-5, -0x1.1bc98491b9b09p-5, -0x1.1362568fab0aep-5, -0x1.0b3072bb8a1acp-5, -0x1.0332e5dd2e3bdp-5, -0x1.f6d17b49d73bap-6, -0x1.e7a211a53e4bbp-6, -0x1.d8d5aeb5892ap-6, -0x1.ca6a7513446d5p-6, -0x1.bc5e8a4936a7dp-6, -0x1.aeb0171364703p-6, -0x1.a15d479a96071p-6, -0x1.94644bac6f7dep-6, -0x1.87c356f03f408p-6, -0x1.7b78a118954f2p-6, -0x1.6f826611b9abdp-6, -0x1.63dee62d26945p-6, -0x1.588c664a11c8fp-6, -0x1.4d892ffb2540dp-6, -0x1.42d391a97bb25p-6, -0x1.3869deb4f8295p-6, -0x1.2e4a6f9212p-6, -0x1.2473a1e529a26p-6, -0x1.1ae3d89b7d55bp-6, -0x1.11997c01d3d38p-6, -0x1.0892f9d8ef05p-6, -0x1.ff9d8acfc3369p-7, -0x1.ee96af18b6724p-7, -0x1.de0e5d91eb78p-7, -0x1.ce019ea34ad77p-7, -0x1.be6d862cb175ep-7, -0x1.af4f3397a8863p-7, -0x1.a0a3d1e5d81dep-7, -0x1.926897bc389f6p-7, -0x1.849ac76b43b6ep-7, -0x1.7737aef42a8b9p-7, -0x1.6a3ca80b4807ap-7, -0x1.5da71817ecc5bp-7, -0x1.517470319586dp-7, -0x1.45a22d1abf477p-7, -0x1.3a2dd73969d76p-7, -0x1.2f15028d6759ep-7, -0x1.24554ea49cda8p-7, -0x1.19ec668d4761fp-7, -0x1.0fd800c663a91p-7, -0x1.0615df2e5303ap-7, -0x1.f9479ddfaae06p-8, -0x1.e6ff50dae4424p-8, -0x1.d54e9e56ca997p-8, -0x1.c431637057c92p-8, -0x1.b3a3932782612p-8, -0x1.a3a1362b4a7cdp-8, -0x1.94266aa382cb2p-8, -0x1.852f63f879c7ap-8, -0x1.76b86a98ae34ep-8, -0x1.68bddbbcb2078p-8, -0x1.5b3c292960119p-8, -0x1.4e2fd8f08635p-8, -0x1.419585302944cp-8, -0x1.3569dbd07de2p-8, -0x1.29a99e40b7d4ep-8, -0x1.1e51a132cf663p-8, -0x1.135ecc5654a85p-8, -0x1.08ce1a12719cap-8, -0x1.fd392e7e5ef58p-9, -0x1.e98ec5bc409fcp-9, -0x1.d6975ba4f7c2p-9, -0x1.c44d75319bddbp-9, -0x1.b2abb9fc94ce8p-9, -0x1.a1acf3afb42fdp-9, -0x1.914c0d71ed5e4p-9, -0x1.81841354d1cd2p-9, -0x1.725031c1f526cp-9, -0x1.63abb4e85dcf5p-9, -0x1.5592082a1cd04p-9, -0x1.47feb58a3ac44p-9, -0x1.3aed651b05978p-9, -0x1.2e59dc6cea75p-9, -0x1.223ffdfdf023bp-9, -0x1.169bc8a9e8ea2p-9, -0x1.0b69571b7a5d9p-9, -0x1.00a4df3e0ed06p-9, -0x1.ec9563617f28bp-10, -0x1.d8ae7274b4cc1p-10, -0x1.c58df47d09a63p-10, -0x1.b32d24683381ap-10, -0x1.a1856e399aea9p-10, -0x1.90906dfc4d8d6p-10, -0x1.8047eeb7bee77p-10, -0x1.70a5e96764ce5p-10, -0x1.61a483f55975p-10, -0x1.533e1038052f9p-10, -0x1.456d0af2f2dd5p-10, -0x1.382c1adae21c1p-10, -0x1.2b760f9d1bc6bp-10, -0x1.1f45e0ea24e3dp-10, -0x1.1396ad83d6c66p-10, -0x1.0863ba4ee9e2dp-10, -0x1.fb50e2d00c4d4p-11, -0x1.e6c0c2789b91ap-11, -0x1.d30e774b0bddp-11, -0x1.c031aa139a4cfp-11, -0x1.ae2246fde37e8p-11, -0x1.9cd87be2d0d6bp-11, -0x1.8c4cb69dcdd4ap-11, -0x1.7c77a3694ca31p-11, -0x1.6d522b4297a7fp-11, -0x1.5ed57254f69a6p-11, -0x1.50fad66c21f0ep-11, -0x1.43bbed6e03144p-11, -0x1.371283dbbf16dp-11, -0x1.2af89b5a01948p-11, -0x1.1f68694085412p-11, -0x1.145c5530ce35fp-11, -0x1.09cef7b40da9cp-11, -0x1.ff7631c0447a5p-12, -0x1.ec375e0756cdap-12, -0x1.d9d7bab23cdbep-12, -0x1.c84de581a617ep-12, -0x1.b790d103e994p-12, -0x1.a797c2249409dp-12, -0x1.985a4dc983744p-12, -0x1.89d0567d63a65p-12, -0x1.7bf20a276ff32p-12, -0x1.6eb7dfd04d502p-12, -0x1.621a9573d8778p-12, -0x1.56132ddfc0697p-12, -0x1.4a9aee9ebee82p-12, -0x1.3fab5df04a74bp-12, -0x1.353e40cc920fap-12, -0x1.2b4d98f49b8edp-12, -0x1.21d3a30e4f63fp-12, -0x1.18cad4cc50804p-12, -0x1.102ddb2166b03p-12, -0x1.07f7987f5599ep-12, -0x1.00232320f02efp-12, -0x1.f15786be6a741p-13, -0x1.e319e42299e4fp-13, -0x1.d584adee63ffp-13, -0x1.c88f8e5db9dc9p-13, -0x1.bc3287677820fp-13, -0x1.b065efd099f43p-13, -0x1.a52270534df71p-13, -0x1.9a6100d9931bfp-13, -0x1.901ae5caeccfp-13, -0x1.8649ad6cf0459p-13, -0x1.7ce72d562b0f1p-13, -0x1.73ed7ff31f598p-13, -0x1.6b57021ced6ccp-13, -0x1.631e50c149171p-13, -0x1.5b3e469b777bdp-13, -0x1.53b1f9fdd477p-13, -0x1.4c74baabae0c3p-13, -0x1.45820fc2fe146p-13, -0x1.3ed5b5b5b935ep-13, -0x1.386b9c5259f9cp-13, -0x1.323fe4db496ccp-13, -0x1.2c4ee02cda87ap-13, -0x1.26950cf1801adp-13, -0x1.210f15e3e076bp-13, -0x1.1bb9d01e88aa4p-13, -0x1.16923978d428cp-13, -0x1.119576f0d0174p-13, -0x1.0cc0d321bac8ap-13, -0x1.0811bcc6dcbffp-13, -0x1.0385c54a62f4fp-13, -0x1.fe353ebfe9fe3p-14, -0x1.f59c3b558accap-14, -0x1.ed3c62dd73d8bp-14, -0x1.e511d2990124bp-14, -0x1.dd18e0106af5bp-14, -0x1.d54e16b4ba9f2p-14, -0x1.cdae3595d49d4p-14, -0x1.c6362d2c26815p-14, -0x1.bee31d3551265p-14, -0x1.b7b252a3734f7p-14, -0x1.b0a1459e70c15p-14, -0x1.a9ad9796e12b4p-14, -0x1.a2d51169faa87p-14, -0x1.9c15a19638cd7p-14, -0x1.956d5a80135p-14, -0x1.8eda70c676a61p-14, -0x1.885b39a67e589p-14, -0x1.81ee296e029cp-14, -0x1.7b91d1fc90572p-14, -0x1.7544e1525e10ap-14, -0x1.6f06202cd857cp-14, -0x1.68d470b05e414p-14, -0x1.62aecd1ecab5ep-14, -0x1.5c94469a6b46cp-14, -0x1.568403f502e47p-14, -0x1.507d408a7c6a7p-14, -0x1.4a7f4b26f3a5fp-14, -0x1.448984f7baf31p-14, -0x1.3e9b6087063fap-14, -0x1.38b460c1e8c4ep-14, -0x1.32d41808523d3p-14, -0x1.2cfa2746b9fb6p-14, -0x1.27263d192b819p-14, -0x1.215814f76697ap-14, -0x1.1b8f7669c7f04p-14, -0x1.15cc3446b4771p-14, -0x1.100e2bf83ab8cp-14, -0x1.0a5544c9ac3e1p-14, -0x1.04a16f3ce66fbp-14, -0x1.fde548ce14ac3p-15, -0x1.f291caa8cb901p-15, -0x1.e74874e699ff3p-15, -0x1.dc09660b5412bp-15, -0x1.d0d4c9320c7e8p-15, -0x1.c5aad509a73ebp-15, -0x1.ba8bcadd84395p-15, -0x1.af77f5a9c9222p-15, -0x1.a46fa93aeec0dp-15, -0x1.9973415820d4bp-15, -0x1.8e8320f81177fp-15, -0x1.839fb17fe02c1p-15, -0x1.78c9620bb4b9cp-15, -0x1.6e00a6c0b3d21p-15, -0x1.6345f827f2a47p-15, -0x1.5899d29217469p-15, -0x1.4dfcb583502c8p-15, -0x1.436f232751fdbp-15, -0x1.38f19fcd0b6ebp-15, -0x1.2e84b169c8252p-15, -0x1.2428df2373bf3p-15, -0x1.19deb0e1b6bcbp-15, -0x1.0fa6aee5a932p-15, -0x1.05816167d840dp-15, -0x1.f6dea078b2547p-16, -0x1.e2e204f9621ap-16, -0x1.cf0dfc6e9f7cp-16, -0x1.bb639048c5ff9p-16, -0x1.a7e3c6bf98d6ep-16, -0x1.948fa24ff8238p-16, -0x1.8168214305981p-16, -0x1.6e6e3d3e40228p-16, -0x1.5ba2eadc3c8cdp-16, -0x1.4907194d99ccfp-16, -0x1.369bb201cc225p-16, -0x1.246198576cdc7p-16, -0x1.1259a953b56fdp-16, -0x1.0084bb60ca557p-16, -0x1.ddc73c2519df2p-17, -0x1.baee33e34eae8p-17, -0x1.987fe098ed228p-17, -0x1.767db61b3d1e3p-17, -0x1.54e9192fea3dcp-17, -0x1.33c35f4ef6744p-17, -0x1.130dce6e6d061p-17, -0x1.e59339ae4bd28p-18, -0x1.a5efe2048c7fcp-18, -0x1.6733c2fde9286p-18, -0x1.2960e9bfad8aep-18, -0x1.d8f286bfa8fa5p-19, -0x1.60fd39b9424bcp-19, -0x1.d5ca8c853cb64p-20, -0x1.dab718b911799p-21, -0x1.1664e108ba709p-25, 0x1.b052dcbce91c8p-21, 0x1.b5357cede60aep-20, 0x1.4736657ee4817p-19, 0x1.b1e5cd8ab9d1fp-19, 0x1.0d53aaae1bc12p-18, 0x1.40bccc44ecf3fp-18, 0x1.732db76372781p-18, 0x1.a4a5f58ef51fap-18, 0x1.d5252d8f68d77p-18, 0x1.025591805368bp-17, 0x1.199bdaef2b2fbp-17, 0x1.3065710579dfcp-17, 0x1.46b25f693155dp-17, 0x1.5c82bf343832dp-17, 0x1.71d6b6b1d1e55p-17, 0x1.86ae791a67376p-17, 0x1.9b0a464dc9077p-17, 0x1.aeea6a8c26193p-17, 0x1.c24f3e2de2668p-17, 0x1.d539255a5c9e2p-17, 0x1.e7a88fbde9e03p-17, 0x1.f99df83f03646p-17, 0x1.058cf25979366p-16, 0x1.0e0e72c8f8366p-16, 0x1.1653cad57d681p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.d8a2eb7a47ec8p-1, 0x1.d585d55749faep-1, 0x1.d24b7c52e1ac1p-1, 0x1.cef4f9f244d03p-1, 0x1.cb836938a39a1p-1, 0x1.c7f7e5f9acb5bp-1, 0x1.c4538c3882a71p-1, 0x1.c09777928f1cep-1, 0x1.bcc4c2b597a43p-1, 0x1.b8dc86e07e356p-1, 0x1.b4dfdb6e15a51p-1, 0x1.b0cfd5697e1f6p-1, 0x1.acad872b7931ap-1, 0x1.a87a000034877p-1, 0x1.a4364bd5092b7p-1, 0x1.9fe372edb81bcp-1, 0x1.9b8279a0b1693p-1, 0x1.97146019f8cdbp-1, 0x1.929a22244303cp-1, 0x1.8e14b6f7e9ca9p-1, 0x1.8985110f5b8d8p-1, 0x1.84ec1e00b1cc6p-1, 0x1.804ac65c1b5ep-1, 0x1.7ba1ed8ece053p-1, 0x1.76f271ca3852bp-1, 0x1.723d2bef2de45p-1, 0x1.6d82ef7ccb294p-1, 0x1.68c48a82d8cf5p-1, 0x1.6402c5976d524p-1, 0x1.5f3e63cf9bdadp-1, 0x1.5a7822baf8cb9p-1, 0x1.55b0ba61c1d7ep-1, 0x1.50e8dd457da9dp-1, 0x1.4c213863e3985p-1, 0x1.475a733be24c9p-1, 0x1.42952fd49dc3ep-1, 0x1.3dd20ac63dbf9p-1, 0x1.39119b4467eb3p-1, 0x1.3454732a46efp-1, 0x1.2f9b1f07f9ee1p-1, 0x1.2ae626314fa1p-1, 0x1.26360acdb2721p-1, 0x1.218b49e92698ep-1, 0x1.1ce65b864123cp-1, 0x1.1847b2b103b43p-1, 0x1.13afbd927f764p-1, 0x1.0f1ee5852ed5bp-1, 0x1.0a958f29f10b4p-1, 0x1.06141a7d9034fp-1, 0x1.019ae2eec6f87p-1, 0x1.fa547ee95c53p-2, 0x1.f185054b0e79bp-2, 0x1.e8c7f59ba5a23p-2, 0x1.e01de40f4bc7p-2, 0x1.d7875ca46332p-2, 0x1.cf04e352de2e9p-2, 0x1.c696f43bd0593p-2, 0x1.be3e03d91c85cp-2, 0x1.b5fa7f2d335b9p-2, 0x1.adcccbf2c8453p-2, 0x1.a5b548cc768a8p-2, 0x1.9db44d743ae05p-2, 0x1.95ca2aeabf3b3p-2, 0x1.8df72ba661246p-2, 0x1.863b93c1ee2c1p-2, 0x1.7e97a12b05c1dp-2, 0x1.770b8bd01c0ddp-2, 0x1.6f9785ce0bc25p-2, 0x1.683bbb9d3675p-2, 0x1.60f8543e2810ap-2, 0x1.59cd7165b5041p-2, 0x1.52bb2fa88e57cp-2, 0x1.4bc1a6a643bffp-2, 0x1.44e0e933b3aa4p-2, 0x1.3e190584db355p-2, 0x1.376a05560a767p-2, 0x1.30d3ee1472f24p-2, 0x1.2a56c1061278ap-2, 0x1.23f27b70f0485p-2, 0x1.1da716c1b06e6p-2, 0x1.177488b178fc9p-2, 0x1.115ac36b235dap-2, 0x1.0b59b5afbd4dbp-2, 0x1.05714afa55806p-2, 0x1.ff42d7462a8ep-3, 0x1.f3d3fa033db64p-3, 0x1.e895c31d793d9p-3, 0x1.dd87f20aa59bep-3, 0x1.d2aa41053fe4ep-3, 0x1.c7fc654b83f94p-3, 0x1.bd7e0f5d0e13ep-3, 0x1.b32eeb370d8b1p-3, 0x1.a90ea08f0fcf5p-3, 0x1.9f1cd30c59fa7p-3, 0x1.9559227fe367ap-3, 0x1.8bc32b1ae17fdp-3, 0x1.825a85a3f5704p-3, 0x1.791ec7aaf21e4p-3, 0x1.700f83bb4bf08p-3, 0x1.672c498d2459cp-3, 0x1.5e74a634fd76bp-3, 0x1.55e82452204c7p-3, 0x1.4d864c3ba32eep-3, 0x1.454ea42c30dafp-3, 0x1.3d40b06c76c22p-3, 0x1.355bf37c56ad5p-3, 0x1.2d9fee3ad2eafp-3, 0x1.260c200cb7ac4p-3, 0x1.1ea007020ec2ep-3, 0x1.175b1ffa5f81fp-3, 0x1.103ce6c7b81ep-3, 0x1.0944d6508b1b4p-3, 0x1.027268b06994ap-3, 0x1.f78a2eaf2868fp-4, 0x1.ea78b652e5666p-4, 0x1.ddaf5933de728p-4, 0x1.d12d07937797ep-4, 0x1.c4f0b14318a72p-4, 0x1.b8f945d888b38p-4, 0x1.ad45b4e03809p-4, 0x1.a1d4ee0d913d7p-4, 0x1.96a5e169542c7p-4, 0x1.8bb77f7dff71dp-4, 0x1.8108b98259f9fp-4, 0x1.7698818226ae6p-4, 0x1.6c65ca8508c29p-4, 0x1.626f88b3a70bep-4, 0x1.58b4b17b14074p-4, 0x1.4f343bae8b158p-4, 0x1.45ed1fa786194p-4, 0x1.3cde57643bd1bp-4, 0x1.3406dea48cef4p-4, 0x1.2b65b3056d123p-4, 0x1.22f9d41acf446p-4, 0x1.1ac24388215e1p-4, 0x1.12be051760016p-4, 0x1.0aec1ececcadcp-4, 0x1.034b9905501ebp-4, 0x1.f7b6fceb25a03p-5, 0x1.e935b89fa77efp-5, 0x1.db11849512684p-5, 0x1.cd488563a5e27p-5, 0x1.bfd8e4eb8f57ep-5, 0x1.b2c0d26f5101ep-5, 0x1.a5fe82abff068p-5, 0x1.99902fef6d863p-5, 0x1.8d741a2c5b367p-5, 0x1.81a8870cacf08p-5, 0x1.762bc201c6dffp-5, 0x1.6afc1c531a88dp-5, 0x1.6017ed2af3808p-5, 0x1.557d91a197f44p-5, 0x1.4b2b6cc6cb117p-5, 0x1.411fe7a9bceb3p-5, 0x1.3759715f8025p-5, 0x1.2dd67f080aa87p-5, 0x1.24958bd1d6ddap-5, 0x1.1b9518fc2ff35p-5, 0x1.12d3add8390dp-5, 0x1.0a4fd7c8bd68ep-5, 0x1.02082a40d358ap-5, 0x1.f3f67d82cc34cp-6, 0x1.e44f69ab55965p-6, 0x1.d518641d2a699p-6, 0x1.c64ec3faa37d5p-6, 0x1.b7efec59ace57p-6, 0x1.a9f94c3520bbap-6, 0x1.9c685e5c80971p-6, 0x1.8f3aa9620f228p-6, 0x1.826dbf877a5fcp-6, 0x1.75ff3ea90e25fp-6, 0x1.69ecd027985f4p-6, 0x1.5e3428d10c658p-6, 0x1.52d308c7f4437p-6, 0x1.47c73b69c4f85p-6, 0x1.3d0e97342cf5ap-6, 0x1.32a6fda967656p-6, 0x1.288e5b33a5d09p-6, 0x1.1ec2a707a3262p-6, 0x1.1541e3067104bp-6, 0x1.0c0a1b9e89d6fp-6, 0x1.031967ac39585p-6, 0x1.f4dbd0b2d32d6p-7, 0x1.e40b91f9c7d6p-7, 0x1.d3be7df21b4dbp-7, 0x1.c3f1133465858p-7, 0x1.b49fe3e8d39f4p-7, 0x1.a5c795823a42ap-7, 0x1.9764e0787806bp-7, 0x1.8974900267447p-7, 0x1.7bf381cf3c22cp-7, 0x1.6edea5bf9adc2p-7, 0x1.6232fd9e5120bp-7, 0x1.55ed9cd8d2f4cp-7, 0x1.4a0ba8379a00cp-7, 0x1.3e8a559659882p-7, 0x1.3366eb9c3c3acp-7, 0x1.289ec174194c6p-7, 0x1.1e2f3e84c7f21p-7, 0x1.1415da2992ae8p-7, 0x1.0a501b6adc03fp-7, 0x1.00db98b700a77p-7, 0x1.ef6bef37072cep-8, 0x1.ddb9d8fd1c64p-8, 0x1.cc9c74b1a37cp-8, 0x1.bc0f64dfa1c27p-8, 0x1.ac0e68213f945p-8, 0x1.9c9558963bd8ep-8, 0x1.8da02b5b70848p-8, 0x1.7f2af0036e9cbp-8, 0x1.7131d0104721cp-8, 0x1.63b10e6e8907ap-8, 0x1.56a506f18a328p-8, 0x1.4a0a2dd0fd277p-8, 0x1.3ddd0f27e88d5p-8, 0x1.321a4e75046f4p-8, 0x1.26bea61c8a7acp-8, 0x1.1bc6e6eb811b3p-8, 0x1.112ff79c899dp-8, 0x1.06f6d45e39813p-8, 0x1.fa311cb609d64p-9, 0x1.e72496858143fp-9, 0x1.d4c289ab843cap-9, 0x1.c30590e33fcb2p-9, 0x1.b1e86d3f35477p-9, 0x1.a16605495b385p-9, 0x1.917964269af4bp-9, 0x1.821db8bdae65ap-9, 0x1.734e54e1602a2p-9, 0x1.6506ac7e317c3p-9, 0x1.574254cb69c9ap-9, 0x1.49fd037f947f5p-9, 0x1.3d328e0862571p-9, 0x1.30dee8c5fd599p-9, 0x1.24fe2649c0f1fp-9, 0x1.198c76985e84ep-9, 0x1.0e86266f66194p-9, 0x1.03e79e8e2fb17p-9, 0x1.f35ac604528dfp-10, 0x1.dfa824ecf3485p-10, 0x1.ccb0cb0dfffbfp-10, 0x1.ba6e5c2d3ff5ap-10, 0x1.a8daad51afcbp-10, 0x1.97efc37d469a5p-10, 0x1.87a7d26d271a4p-10, 0x1.77fd3b604c3d7p-10, 0x1.68ea8be48b22p-10, 0x1.5a6a7ca9efed4p-10, 0x1.4c77f05c54ee9p-10, 0x1.3f0df28329e5cp-10, 0x1.3227b6675baa5p-10, 0x1.25c095ff448f3p-10, 0x1.19d410e09a3ffp-10, 0x1.0e5dcb3843b39p-10, 0x1.03598cc7fc854p-10, 0x1.f1867fd3846d1p-11, 0x1.dd2de131cf18p-11, 0x1.c9a1970186335p-11, 0x1.b6da3a21c47ffp-11, 0x1.a4d0a12d56322p-11, 0x1.937ddeb8b4d62p-11, 0x1.82db3f9a8d50ep-11, 0x1.72e2493ea9b3cp-11, 0x1.638cb80311a0ep-11, 0x1.54d47d9f387e3p-11, 0x1.46b3bf950d8e1p-11, 0x1.3924d5abc52bep-11, 0x1.2c2248742d75ep-11, 0x1.1fa6cfd667364p-11, 0x1.13ad51a8d51bap-11, 0x1.0830e05019658p-11, 0x1.fa5972cfebc43p-12, 0x1.e53888e9c6761p-12, 0x1.d0f6233c73793p-12, 0x1.bd89b0e175744p-12, 0x1.aaeaed52b1915p-12, 0x1.9911de101b728p-12, 0x1.87f6d0553917p-12, 0x1.779256de21057p-12, 0x1.67dd47bba8dd8p-12, 0x1.58d0ba36749c6p-12, 0x1.4a6604c09100bp-12, 0x1.3c96baf551735p-12, 0x1.2f5caba71ff16p-12, 0x1.22b1defaf4a7bp-12, 0x1.169094912261fp-12, 0x1.0af341bb3a8e6p-12, 0x1.ffa91f7d59ec2p-13, 0x1.ea5eb447d5bbap-13, 0x1.d5fd5a236e315p-13, 0x1.c27b8768d0171p-13, 0x1.afd00d619524dp-13, 0x1.9df21544d10d2p-13, 0x1.8cd91d49d8631p-13, 0x1.7c7cf5d0b3ef7p-13, 0x1.6cd5be9fc5f56p-13, 0x1.5ddbe4361fb35p-13, 0x1.4f881d31fa9bdp-13, 0x1.41d367cae4b06p-13, 0x1.34b7075f2016bp-13, 0x1.282c8213b6e7ap-13, 0x1.1c2d9e86d2a22p-13, 0x1.10b46193e05b4p-13, 0x1.05bb0c290ac78p-13, 0x1.f678325b38735p-14, 0x1.e26476f1b000ap-14, 0x1.cf30b7b1c37e3p-14, 0x1.bcd32e527d263p-14, 0x1.ab4278f12844cp-14, 0x1.9a75967a6d99ap-14, 0x1.8a63e3303e479p-14, 0x1.7b05154bdcc76p-14, 0x1.6c5139bb32p-14, 0x1.5e40b0f8b7d99p-14, 0x1.50cc2bfd3df14p-14, 0x1.43eca94ad4a64p-14, 0x1.379b72102df45p-14, 0x1.2bd21763c27d8p-14, 0x1.208a6f961678p-14, 0x1.15be939a74fc3p-14, 0x1.0b68dc857f35cp-14, 0x1.0183e120f5156p-14, 0x1.f014e7282ceddp-15, 0x1.ddef3e4015fe3p-15, 0x1.cc8d4bdf72bd6p-15, 0x1.bbe5fdf4fe41ep-15, 0x1.abf0a7f276d98p-15, 0x1.9ca4feda48b4bp-15, 0x1.8dfb156fbc468p-15, 0x1.7feb5888a82d2p-15, 0x1.726e8b7fa4ad7p-15, 0x1.657dc4c5c5452p-15, 0x1.59126a92e74bdp-15, 0x1.4d262fb3ace41p-15, 0x1.41b31074321ebp-15, 0x1.36b34fa6a8d3ep-15, 0x1.2c2173c4f49c4p-15, 0x1.21f8442c781b9p-15, 0x1.1832c673407c2p-15, 0x1.0ecc3bd5c4fc5p-15, 0x1.05c01ebc768e1p-15, 0x1.fa1440b0b7ccfp-16, 0x1.e94c4cac075d5p-16, 0x1.d920914c2a2d2p-16, 0x1.c9899eb593d9fp-16, 0x1.ba8061335901p-16, 0x1.abfe1d41ddbfap-16, 0x1.9dfc6bbf6a084p-16, 0x1.90753641780b9p-16, 0x1.8362b38d758ffp-16, 0x1.76bf6433dc4fep-16, 0x1.6a860f4c770dep-16, 0x1.5eb1bf52b6bcbp-16, 0x1.533dbf2110011p-16, 0x1.4825970a474e8p-16, 0x1.3d650a0fb9817p-16, 0x1.32f8133394313p-16, 0x1.28dae2e6194c6p-16, 0x1.1f09dc8cf9027p-16, 0x1.15819423d9f22p-16, 0x1.0c3ecbf5399b7p-16, 0x1.033e726ac389cp-16, 0x1.f4fb3fe8a523ep-17, 0x1.e3f32a09a1e16p-17, 0x1.d35f70485decfp-17, 0x1.c33b282b5fba5p-17, 0x1.b381ac23b8788p-17, 0x1.a42e9826b36dbp-17, 0x1.953dc66c07328p-17, 0x1.86ab4c4f2eeb3p-17, 0x1.78737752a73dp-17, 0x1.6a92ca43c7db1p-17, 0x1.5d05fa7e24f7dp-17, 0x1.4fc9ed4d219c5p-17, 0x1.42dbb56ac43cfp-17, 0x1.3638909a8d9dep-17, 0x1.29dde55f663f7p-17, 0x1.1dc940cb85fcep-17, 0x1.11f854696710ap-17, 0x1.0668f43ccb764p-17, 0x1.f63229b5d6f78p-18, 0x1.e00d9331cfe07p-18, 0x1.ca60859f492cep-18, 0x1.b52798686a473p-18, 0x1.a05f96882092fp-18, 0x1.8c057b8880abbp-18, 0x1.781670a5a52fp-18, 0x1.648fca13961abp-18, 0x1.516f0465d4c74p-18, 0x1.3eb1c2172e95ap-18, 0x1.2c55c9308c009p-18, 0x1.1a59010d76a7bp-18, 0x1.08b9703d227fep-18, 0x1.eeea74fd9145cp-19, 0x1.cd153db06e852p-19, 0x1.abefeb8afa4b3p-19, 0x1.8b775f014099bp-19, 0x1.6ba8a4c0c6892p-19, 0x1.4c80f29a2addap-19, 0x1.2dfda4950878bp-19, 0x1.101c3a2c3fa6bp-19, 0x1.e5b4a761e17fcp-20, 0x1.ac6b5fa4cf3f6p-20, 0x1.74585292d33aep-20, 0x1.3d77694a93b55p-20, 0x1.07c4bc7290252p-20, 0x1.a67920a30cdf9p-21, 0x1.3fb6a2437707ep-21, 0x1.b6763e71d0217p-22, 0x1.e3ffedd853a72p-23, 0x1.8fed7564c815cp-25, -0x1.1339d86278f47p-23, -0x1.40dbc8df0a70ep-22, -0x1.f3ca7ddd490c7p-22, -0x1.513a292a1030cp-21, -0x1.a6722365fba6ep-21, -0x1.f9928ea6c033ep-21, -0x1.2550583c2df2cp-20, -0x1.4cd0db3886cb7p-20, -0x1.734d5cb937a36p-20, -0x1.98c8605643d05p-20, -0x1.bd446232e18efp-20, -0x1.e0c3d845961bbp-20, -0x1.01a499c2e0ee7p-19, -0x1.126b708014093p-19, -0x1.22b7a569d4aa7p-19, -0x1.328a6c8bc843fp-19, -0x1.41e4f9564f94cp-19, -0x1.50c87efd0b063p-19, -0x1.5f3630cbe549ep-19, -0x1.6d2f4273332ecp-19, -0x1.7ab4e84b6caf7p-19, -0x1.87c85790fc526p-19, -0x1.946ac6989cc1fp-19, -0x1.a09d6cfcba362p-19, -0x1.ac6183c4465eap-19, -0x1.b7b8458360cb5p-19, -0x1.c2a2ee7643aa8p-19, -0x1.cd22bc96cabfbp-19, -0x1.d738efacf56c3p-19, -0x1.e0e6c95ab7f34p-19, -0x1.ea2d8d236e68ep-19, -0x1.f30e806f45747p-19, -0x1.fb8aea8adc5a7p-19, -0x1.01d20a51b70f7p-18, -0x1.05ada4dfe04afp-18, -0x1.0958eb5b10259p-18, -0x1.0cd4850fceda3p-18, -0x1.10211a246823ep-18, -0x1.133f53902714fp-18, -0x1.162fdb118954dp-18, -0x1.18f35b237fadbp-18, -0x1.1b8a7ef1d6b79p-18, -0x1.1df5f24cdc61ap-18, -0x1.2036619c55a93p-18, -0x1.224c79d1dc21ep-18, -0x1.2438e85ab2ddfp-18, -0x1.25fc5b1125bep-18, -0x1.2797802d83956p-18, -0x1.290b0636c5023p-18, -0x1.2a579bf2e89e3p-18, -0x1.2b7df0571be21p-18, -0x1.2c7eb277b3e5dp-18, -0x1.2d5a91780a76p-18, -0x1.2e123c7a44f72p-18, -0x1.2ea6628f14146p-18, -0x1.2f17b2a573b83p-18, -0x1.2f66db7a751b7p-18, -0x1.2f948b891cb7ep-18, -0x1.2fa170fa5b9c4p-18, -0x1.2f8e39952a798p-18, -0x1.2f5b92aecfa25p-18, -0x1.2f0a291b53bc4p-18, -0x1.2e9aa91e2eeedp-18, -0x1.2e0dbe5b2f24cp-18, -0x1.2d6413c79f26fp-18, -0x1.2c9e539bb6103p-18, -0x1.2bbd274449e94p-18, -0x1.2ac13754d624fp-18, -0x1.29ab2b79cc2f7p-18, -0x1.287baa6b3cc3ep-18, -0x1.273359dfd2402p-18, -0x1.25d2de8028a5ap-18, -0x1.245adbda7bc83p-18, -0x1.22cbf456b3735p-18, -0x1.2126c92acf412p-18, -0x1.1f6bfa4fadcf7p-18, -0x1.1d9c267637f93p-18, -0x1.1bb7eafce9728p-18, -0x1.19bfe3e5bf24p-18, -0x1.17b4abcc837c4p-18, -0x1.1596dbdd7fecap-18, -0x1.13670bcc8f887p-18, -0x1.1125d1cc93101p-18, -0x1.0ed3c28749938p-18, -0x1.0c71711587558p-18, -0x1.09ff6ef7d01f4p-18, -0x1.077e4c0f50b16p-18, -0x1.04ee9697387a5p-18, -0x1.0250db1e718c9p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.789bded24bcc2p-3, -0x1.8d997adbca616p-3, -0x1.a2ad39a5b0c75p-3, -0x1.b7cfcacaa798ap-3, -0x1.ccf9b3c6149f2p-3, -0x1.e2235f6469a83p-3, -0x1.f7452bca0701ap-3, -0x1.062bbb8f6c5d7p-2, -0x1.10a95577d235dp-2, -0x1.1b17a32bb2f11p-2, -0x1.2572f3821a9ecp-2, -0x1.2fb7a895a76d7p-2, -0x1.39e23b3ff006cp-2, -0x1.43ef3e1fd9a23p-2, -0x1.4ddb60341d45p-2, -0x1.57a36f12d21b5p-2, -0x1.614458c653b83p-2, -0x1.6abb2d5767639p-2, -0x1.7405200bfc233p-2, -0x1.7d1f886163d62p-2, -0x1.8607e2c85ee76p-2, -0x1.8ebbd128e628dp-2, -0x1.97391b331e6b3p-2, -0x1.9f7dae827a7ffp-2, -0x1.a7879e97a7a1ep-2, -0x1.af5524ad84cafp-2, -0x1.b6e49f6d01a39p-2, -0x1.be3492837e713p-2, -0x1.c543a61eeee16p-2, -0x1.cc10a652c23bdp-2, -0x1.d29a826851fcdp-2, -0x1.d8e04c1d5c7a7p-2, -0x1.dee136d2dcdffp-2, -0x1.e49c96ae64efep-2, -0x1.ea11dfafdf68ep-2, -0x1.ef40a4bd959afp-2, -0x1.f42896a80c5a8p-2, -0x1.f8c9832741f2p-2, -0x1.fd2353d2aab61p-2, -0x1.009b068a97bfcp-1, -0x1.0280e68f2cc59p-1, -0x1.04436568d7d67p-1, -0x1.05e2aa5aa50aep-1, -0x1.075ee7f039dd5p-1, -0x1.08b85b7594ebp-1, -0x1.09ef4c6f99feep-1, -0x1.0b040c15bf48p-1, -0x1.0bf6f4cd26f14p-1, -0x1.0cc869a56b781p-1, -0x1.0d78d5d75a21cp-1, -0x1.0e08ac45d6471p-1, -0x1.0e78670111e01p-1, -0x1.0ec886cc4ad21p-1, -0x1.0ef992a62fbbdp-1, -0x1.0f0c17540f395p-1, -0x1.0f00a6efec391p-1, -0x1.0ed7d87990e5ap-1, -0x1.0e92476ab264bp-1, -0x1.0e30934e36c95p-1, -0x1.0db35f5aa9fc5p-1, -0x1.0d1b520fea2cep-1, -0x1.0c6914d8130cp-1, -0x1.0b9d53abab8eep-1, -0x1.0ab8bcb917fbep-1, -0x1.09bc000f4f5fcp-1, -0x1.08a7cf4bcf24bp-1, -0x1.077cdd4bccca8p-1, -0x1.063bdde099386p-1, -0x1.04e5858732929p-1, -0x1.037a8922f7639p-1, -0x1.01fb9dbb732d3p-1, -0x1.0069783d34fdcp-1, -0x1.fd899a7b4cb75p-2, -0x1.fa1ca183a4f4dp-2, -0x1.f68d6c10210d9p-2, -0x1.f2dd5ea900384p-2, -0x1.ef0ddb8091dc4p-2, -0x1.eb2042171dd74p-2, -0x1.e715eee40a9aap-2, -0x1.e2f03b042c051p-2, -0x1.deb07bed0a261p-2, -0x1.da5803250c213p-2, -0x1.d5e81e00534bap-2, -0x1.d162156231672p-2, -0x1.ccc72d830e002p-2, -0x1.c818a5ba9a629p-2, -0x1.c357b84e2ec42p-2, -0x1.be859a4330177p-2, -0x1.b9a37b355a077p-2, -0x1.b4b28530c9ec9p-2, -0x1.afb3dc8fa94d8p-2, -0x1.aaa89fdb552ddp-2, -0x1.a591e7b0e12e6p-2, -0x1.a070c6a8d744fp-2, -0x1.9b4649420ea93p-2, -0x1.961375cf80045p-2, -0x1.90d94c68f4957p-2, -0x1.8b98c6de6d8bdp-2, -0x1.8652d8ae311dfp-2, -0x1.81086efd50822p-2, -0x1.7bba709298b5p-2, -0x1.7669bdd3c4b67p-2, -0x1.711730c4e2499p-2, -0x1.6bc39d09c1312p-2, -0x1.666fcfe95fb78p-2, -0x1.611c90533000ep-2, -0x1.5bca9ee625005p-2, -0x1.567ab5f96b5b5p-2, -0x1.512d89a6b4487p-2, -0x1.4be3c7d602235p-2, -0x1.469e184adc52cp-2, -0x1.415d1cb2d0fe9p-2, -0x1.3c2170b53a77cp-2, -0x1.36ebaa0428a87p-2, -0x1.31bc586e61598p-2, -0x1.2c9405f263f5p-2, -0x1.277336d25a55dp-2, -0x1.225a69a8ec17dp-2, -0x1.1d4a177ed7d11p-2, -0x1.1842b3e150724p-2, -0x1.1344acf90156fp-2, -0x1.0e506ba1b11abp-2, -0x1.0966538272ed3p-2, -0x1.0486c326553e9p-2, -0x1.ff64282b082e9p-3, -0x1.f5d135dda12ep-3, -0x1.ec554f0319cafp-3, -0x1.e2f109cf705c5p-3, -0x1.d9a4f340cbf7fp-3, -0x1.d0718f54bbc0dp-3, -0x1.c757593dc6404p-3, -0x1.be56c39937339p-3, -0x1.b57038a519543p-3, -0x1.aca41a764c45ep-3, -0x1.a3f2c32e9e099p-3, -0x1.9b5c8532d9e1dp-3, -0x1.92e1ab60bdb57p-3, -0x1.8a827944c7dcbp-3, -0x1.823f2b4fc91e6p-3, -0x1.7a17f70c33d36p-3, -0x1.720d0b5314d66p-3, -0x1.6a1e9080b0f8dp-3, -0x1.624ca8a8b0ffcp-3, -0x1.5a976fc9dfad5p-3, -0x1.52fefc0161358p-3, -0x1.4b835dbd64ff6p-3, -0x1.44249fef3e599p-3, -0x1.3ce2c83cea491p-3, -0x1.35bdd731ee383p-3, -0x1.2eb5c86f879a9p-3, -0x1.27ca92dc35527p-3, -0x1.20fc28d28073p-3, -0x1.1a4a784f0d2c6p-3, -0x1.13b56b1de6afbp-3, -0x1.0d3ce7070b511p-3, -0x1.06e0cdfa258f4p-3, -0x1.00a0fe397d6ecp-3, -0x1.f4faa50824a8fp-4, -0x1.e8eb447dce16fp-4, -0x1.dd13833ae74dcp-4, -0x1.d173039276f8cp-4, -0x1.c60962111abfep-4, -0x1.bad635c8c8e8p-4, -0x1.afd9109ad862dp-4, -0x1.a5117f805110cp-4, -0x1.9a7f0ad07b69p-4, -0x1.90213685ae4c9p-4, -0x1.85f782806b069p-4, -0x1.7c016ac8b47ap-4, -0x1.723e67cdadfa2p-4, -0x1.68adeea381cddp-4, -0x1.5f4f713f90125p-4, -0x1.56225eb2e846p-4, -0x1.4d26236313a45p-4, -0x1.445a29412f9dfp-4, -0x1.3bbdd7ff5f1d7p-4, -0x1.3350954495953p-4, -0x1.2b11c4dec00fbp-4, -0x1.2300c8f3512fbp-4, -0x1.1b1d022e3566cp-4, -0x1.1365cfef33f52p-4, -0x1.0bda9075c2547p-4, -0x1.047aa10b50085p-4, -0x1.fa8abc5820917p-5, -0x1.ec74475c8f03fp-5, -0x1.deb099d045a36p-5, -0x1.d13e69a841ca3p-5, -0x1.c41c6c6820881p-5, -0x1.b7495765596b8p-5, -0x1.aac3e007bf3c7p-5, -0x1.9e8abc075731cp-5, -0x1.929ca1a7950ddp-5, -0x1.86f847f005fd1p-5, -0x1.7b9c66e27cdb9p-5, -0x1.7087b7aecb246p-5, -0x1.65b8f4e415514p-5, -0x1.5b2eda9fcfb04p-5, -0x1.50e826ba7545dp-5, -0x1.46e398f200d36p-5, -0x1.3d1ff3123d1f5p-5, -0x1.339bf91af4ef4p-5, -0x1.2a56716415007p-5, -0x1.214e24bfc8cbp-5, -0x1.1881de9aa7851p-5, -0x1.0ff06d19f6adep-5, -0x1.0798a138162edp-5, -0x1.fef29dbe44c44p-6, -0x1.ef229a03aa4dp-6, -0x1.dfbeeb65779d1p-6, -0x1.d0c54c738a2ffp-6, -0x1.c2337e507940ep-6, -0x1.b40748d6772a8p-6, -0x1.a63e7ab93e502p-6, -0x1.98d6e9a519bf1p-6, -0x1.8bce725b287f5p-6, -0x1.7f22f8caf4e7fp-6, -0x1.72d2682973abcp-6, -0x1.66dab305828abp-6, -0x1.5b39d35a0436ap-6, -0x1.4fedca9da2909p-6, -0x1.44f4a1d0622c2p-6, -0x1.3a4c698704fb9p-6, -0x1.2ff339f4665e4p-6, -0x1.25e732f0d79a3p-6, -0x1.1c267bff999b1p-6, -0x1.12af445284d93p-6, -0x1.097fc2cbf31e7p-6, -0x1.009635fefaa1cp-6, -0x1.efe1c85c32e39p-7, -0x1.df1c3690a963ep-7, -0x1.ced861c9ccd07p-7, -0x1.bf13047b11446p-7, -0x1.afc8e84ee4b35p-7, -0x1.a0f6e6161fe65p-7, -0x1.9299e5b51bb47p-7, -0x1.84aede0e7e2cep-7, -0x1.7732d4ebf3c36p-7, -0x1.6a22dee4d1af9p-7, -0x1.5d7c1f42d8622p-7, -0x1.513bc7e52f64fp-7, -0x1.455f1921a287ap-7, -0x1.39e361a455afdp-7, -0x1.2ec5fe4df1698p-7, -0x1.24045a10709afp-7, -0x1.199bedca9f69p-7, -0x1.0f8a4022650b7p-7, -0x1.05cce55dedf6bp-7, -0x1.f8c2fe779a974p-8, -0x1.e68b79945281bp-8, -0x1.d4eeb47a0d948p-8, -0x1.c3e8418790acbp-8, -0x1.b373ccbbe544p-8, -0x1.a38d1b5e910a8p-8, -0x1.94300ba6a12acp-8, -0x1.85589460a79f4p-8, -0x1.7702c493cd7f4p-8, -0x1.692ac32616215p-8, -0x1.5bccce7ff56b1p-8, -0x1.4ee53c2f4eb0dp-8, -0x1.42707889ff0e8p-8, -0x1.366b0650065c2p-8, -0x1.2ad17e4d6d6c7p-8, -0x1.1fa08efbfd927p-8, -0x1.14d4fc24e1a1ep-8, -0x1.0a6b9e8246182p-8, -0x1.006163610d407p-8, -0x1.ed6698855581ap-9, -0x1.dabcdcfe73655p-9, -0x1.c8bfe5cfbaa57p-9, -0x1.b76a2ad302c8ep-9, -0x1.a6b649600ba74p-9, -0x1.969f0393cb3dfp-9, -0x1.871f3f98d73fcp-9, -0x1.783206f0f7e0dp-9, -0x1.69d285c00a27dp-9, -0x1.5bfc0a183f46p-9, -0x1.4eaa0347d99ddp-9, -0x1.41d8012870791p-9, -0x1.3581b36fde76ap-9, -0x1.29a2e902dbcfap-9, -0x1.1e378f496009ep-9, -0x1.133bb184dc8aep-9, -0x1.08ab7828551cep-9, -0x1.fd065064dd35p-10, -0x1.e97e4512f6253p-10, -0x1.d6b7c6b317acap-10, -0x1.c4ac02e939297p-10, -0x1.b3545b69b4aa4p-10, -0x1.a2aa64c21b428p-10, -0x1.92a7e5267065ap-10, -0x1.8346d342c2269p-10, -0x1.748155113f026p-10, -0x1.6651beb4c8165p-10, -0x1.58b2915809e27p-10, -0x1.4b9e7a1126dbcp-10, -0x1.3f1050c9f4ee2p-10, -0x1.3303172cd4aefp-10, -0x1.2771f7962a228p-10, -0x1.1c58440a6e122p-10, -0x1.11b17530deb43p-10, -0x1.07792952dc091p-10, -0x1.fb5646bf9e8c1p-11, -0x1.e88693eb8237bp-11, -0x1.d67b4cdcf8904p-11, -0x1.c52cc7e2950ap-11, -0x1.b4939d12807b6p-11, -0x1.a4a8a48023b4cp-11, -0x1.9564f47ad9915p-11, -0x1.86c1dfd59b37bp-11, -0x1.78b8f4379246p-11, -0x1.6b43f875861b5p-11, -0x1.5e5ceaf40b047p-11, -0x1.51fe001267254p-11, -0x1.4621a09e1169dp-11, -0x1.3ac2684ebcfeep-11, -0x1.2fdb244ad202ep-11, -0x1.2566d1b4457abp-11, -0x1.1b609c3db1e9ep-11, -0x1.11c3dcc79a7ccp-11, -0x1.088c1805c0ad3p-11, -0x1.ff69fa58df1b8p-12, -0x1.ee74c94b4bfdfp-12, -0x1.de309d9c01e6bp-12, -0x1.ce95c5729d23bp-12, -0x1.bf9cd9fd5478fp-12, -0x1.b13ebd181506ep-12, -0x1.a37497023cadbp-12, -0x1.9637d422c6598p-12, -0x1.898222daa6017p-12, -0x1.7d4d71651cf68p-12, -0x1.7193ebc5ce359p-12, -0x1.664ff9c4533c6p-12, -0x1.5b7c3cf51ae3bp-12, -0x1.51138ecf590c9p-12, -0x1.4710fecfc31e8p-12, -0x1.3d6fd0a7ea0e8p-12, -0x1.342b7a79ee5fbp-12, -0x1.2b3fa320596dp-12, -0x1.22a82081db95ap-12, -0x1.1a60f5f0bb0d1p-12, -0x1.12665295b529bp-12, -0x1.0ab48fe619e5bp-12, -0x1.03483024e7068p-12, -0x1.f83bb9dd5b8c8p-13, -0x1.ea64cba0044aap-13, -0x1.dd057dcc914f8p-13, -0x1.d017ff1533f92p-13, -0x1.c396c20d2d74bp-13, -0x1.b77c7aa5cf473p-13, -0x1.abc41bbe739dcp-13, -0x1.a068d4c7014fcp-13, -0x1.95660f748f7cdp-13, -0x1.8ab76d87c4cbdp-13, -0x1.8058c6a480ccfp-13, -0x1.7646263a7652fp-13, -0x1.6c7bc97e4546dp-13, -0x1.62f61d72bd7c9p-13, -0x1.59b1bd01d90c6p-13, -0x1.50ab6f251d1fp-13, -0x1.47e0251cf096fp-13, -0x1.3f4cf8b6a2544p-13, -0x1.36ef2aa0a2c6ap-13, -0x1.2ec420ccb55b4p-13, -0x1.26c964dfae96ap-13, -0x1.1efca2ae60477p-13, -0x1.175ba6c775ab8p-13, -0x1.0fe45d09d0bddp-13, -0x1.0894cf472184cp-13, -0x1.016b23f2681d3p-13, -0x1.f4cb39b405df3p-14, -0x1.e7052bda12363p-14, -0x1.d9810817353d8p-14, -0x1.cc3be7c3b1953p-14, -0x1.bf33119a86d5bp-14, -0x1.b263f79853388p-14, -0x1.a5cc34edce444p-14, -0x1.99698c0561149p-14, -0x1.8d39e49b37c64p-14, -0x1.813b49e754c58p-14, -0x1.756be8d91e2adp-14, -0x1.69ca0e63e3fc1p-14, -0x1.5e5425dbdbd19p-14, -0x1.5308b7631b826p-14, -0x1.47e6666614c0ap-14, -0x1.3cebf0271d15fp-14, -0x1.32182a588c70bp-14, -0x1.276a01c502eep-14, -0x1.1ce0790564344p-14, -0x1.127aa7441d004p-14, -0x1.0837b70d4a0dep-14, -0x1.fc2dca56af073p-15, -0x1.e82eff1f67fecp-15, -0x1.d471c88e6b43ep-15, -0x1.c0f500f3a05bp-15, -0x1.adb79eea7e865p-15, -0x1.9ab8b38491643p-15, -0x1.87f76888798a6p-15, -0x1.7572fec4c1978p-15, -0x1.632acc75d619p-15, -0x1.511e3bbe82d68p-15, -0x1.3f4cc9324eaf1p-15, -0x1.2db602711e00ap-15, -0x1.1c5984d38163ep-15, -0x1.0b36fc271a7f2p-15, -0x1.f49c42f51876fp-16, -0x1.d33d73f0c48d4p-16, -0x1.b2512ba0dd153p-16, -0x1.91d71e5e253a5p-16, -0x1.71cf1283ed62bp-16, -0x1.5238de935f29ap-16, -0x1.3314676fb3e45p-16, -0x1.14619eb267e56p-16, -0x1.ec41022d0f0b8p-17, -0x1.b0a229f45d45bp-17, -0x1.75e6d1ead8fb8p-17, -0x1.3c0f250b5bf0fp-17, -0x1.031b5999d7fe9p-17, -0x1.96175d8f38a4p-18, -0x1.27c0d4f8240fcp-18, -0x1.76675d01c68f7p-19, -0x1.41c2126856c02p-20, 0x1.8880c92817e48p-22, 0x1.fed5aa251cbc9p-20, 0x1.ca2dff51d0f5ep-19, 0x1.48ac3e1dcc961p-18, 0x1.aa74a29f40514p-18, 0x1.0537db7c5ac91p-17, 0x1.344e8a30aa755p-17, 0x1.627e32d207aa3p-17, 0x1.8fc6b48d2c70ap-17, 0x1.bc27f93dc03bfp-17, 0x1.e7a1f64160162p-17, 0x1.091a569b75901p-16, 0x1.1df016557cd99p-16, 0x1.325248593f78p-16, 0x1.464101ba28c38p-16, 0x1.59bc5ed13efddp-16, 0x1.6cc483721e008p-16, 0x1.7f599b18970ddp-16, 0x1.917bd90f69c6cp-16, 0x1.a32b78905d9e9p-16, 0x1.b468bcde221b2p-16, 0x1.c533f1584aec5p-16, 0x1.d58d6989b3817p-16, 0x1.e57581319ad1bp-16, 0x1.f4ec9c47cc5f2p-16, 0x1.01f9937e0b4adp-15, 0x1.0944cad8aa353p-15, 0x1.1058327a2d1cap-15, 0x1.17340cb77bcb5p-15, 0x1.1dd89febadf5p-15, 0x1.2446366e0485dp-15, 0x1.2a7d1e865138bp-15, 0x1.307daa5fdf8d7p-15, 0x1.36482ffafcaa2p-15, 0x1.3bdd091d3af97p-15, 0x1.413c9340838b5p-15, 0x1.46672f8113d5ap-15, 0x1.4b5d428a78c66p-15, 0x1.501f34839d7b5p-15, 0x1.54ad70fa0791dp-15, 0x1.590866cc4b811p-15, 0x1.5d308813d45fdp-15, 0x1.61264a0e0c6b2p-15, 0x1.64ea2504f7f55p-15, 0x1.687c943754647p-15, 0x1.6bde15c048f14p-15, 0x1.6f0f2a7eba71cp-15, 0x1.721055fc4db7p-15, 0x1.74e21e5427fc5p-15, 0x1.77850c1978eefp-15, 0x1.79f9aa3dd9d61p-15, 0x1.7c4085f78f8bcp-15, 0x1.7e5a2ea7b8a53p-15, 0x1.804735c071843p-15, 0x1.82082eaaf97dap-15, 0x1.839daeade2167p-15, 0x1.85084cd34f8b4p-15, 0x1.8648a1cf545e9p-15, 0x1.875f47e66f7c6p-15, 0x1.884cdad434298p-15, 0x1.8911f7b221ddep-15, 0x1.89af3cdeb1152p-15, 0x1.8a2549e4a1b1ap-15, 0x1.8a74bf6285e6fp-15, 0x1.8a9e3ef29985fp-15, 0x1.8aa26b12e20fbp-15, 0x1.8a81e70da14a6p-15, 0x1.8a3d56e21e4e1p-15, 0x1.89d55f2dc283ap-15, 0x1.894aa5159a714p-15, 0x1.889dce302db69p-15, 0x1.87cf806fc099cp-15, 0x1.86e0620cf7f08p-15, 0x1.85d11971e2a2bp-15, 0x1.84a24d2571c8bp-15, 0x1.8354a3b757d4fp-15, 0x1.81e8c3ac58262p-15, 0x1.805f536b05917p-15, 0x1.7eb8f928ee176p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.c99b6cd942a9p-1, 0x1.c68b565fbaa49p-1, 0x1.c37cf1a9c3244p-1, 0x1.c07191f8afc08p-1, 0x1.bd6a4926f1d42p-1, 0x1.ba67ed8c4b7e4p-1, 0x1.b76b1fb6f988p-1, 0x1.b4744fec663bcp-1, 0x1.b183c367cd4e7p-1, 0x1.ae99995060e7ep-1, 0x1.abb5cf62f6873p-1, 0x1.a8d8464d46987p-1, 0x1.a600c5ba4edp-1, 0x1.a32f0010a43c9p-1, 0x1.a06295e46e308p-1, 0x1.9d9b191f71bcbp-1, 0x1.9ad80fe21c42cp-1, 0x1.9818f720d3d4fp-1, 0x1.955d45010f3f5p-1, 0x1.92a46af9de128p-1, 0x1.8fedd7bb91639p-1, 0x1.8d38f8e23babbp-1, 0x1.8a853c76aad9p-1, 0x1.87d212416cefcp-1, 0x1.851eecf350d3bp-1, 0x1.826b4326b19fcp-1, 0x1.7fb6903cb440ap-1, 0x1.7d00551979327p-1, 0x1.7a4818c2179e4p-1, 0x1.778d68df0e9eep-1, 0x1.74cfda25ad3f6p-1, 0x1.720f08aacd45fp-1, 0x1.6f4a98210eaffp-1, 0x1.6c8234049ecbcp-1, 0x1.69b58fb66e825p-1, 0x1.66e4668899824p-1, 0x1.640e7bbd9b479p-1, 0x1.61339a7bd1f31p-1, 0x1.5e5395b6ad3e4p-1, 0x1.5b6e480ecde87p-1, 0x1.588393aa3d604p-1, 0x1.55936205cec96p-1, 0x1.529da3c09f372p-1, 0x1.4fa2506298b6p-1, 0x1.4ca1661ec6303p-1, 0x1.499ae99232368p-1, 0x1.468ee57ffd4e2p-1, 0x1.437d6a8b41123p-1, 0x1.40668eef4fc31p-1, 0x1.3d4a6e36ca15bp-1, 0x1.3a2928f1fcf48p-1, 0x1.3702e46cec58fp-1, 0x1.33d7ca65644cfp-1, 0x1.30a808c161727p-1, 0x1.2d73d14618bfdp-1, 0x1.2a3b594fdc05p-1, 0x1.26fed98b12db1p-1, 0x1.23be8dae7be48p-1, 0x1.207ab436da35bp-1, 0x1.1d338e243b8a3p-1, 0x1.19e95eb8ee5dp-1, 0x1.169c6b3a4837cp-1, 0x1.134cfab35073dp-1, 0x1.0ffb55b96104ap-1, 0x1.0ca7c632caee6p-1, 0x1.0952971f8e047p-1, 0x1.05fc1464257b8p-1, 0x1.02a48a96767fdp-1, 0x1.fe988d99b944p-2, 0x1.f7e72cdeb87c9p-2, 0x1.f1358e15e7a6dp-2, 0x1.ea844c4e1a574p-2, 0x1.e3d4023a1614ep-2, 0x1.dd2549e3d1a2dp-2, 0x1.d678bc63d837ap-2, 0x1.cfcef19cb40c9p-2, 0x1.c9287ffa57e8bp-2, 0x1.c285fc356db59p-2, 0x1.bbe7f91a79d82p-2, 0x1.b54f0754baab7p-2, 0x1.aebbb53caccf5p-2, 0x1.a82e8eaa1c8a6p-2, 0x1.a1a81cc9ab2ep-2, 0x1.9b28e5f5afdacp-2, 0x1.94b16d925943p-2, 0x1.8e4233ecf0bfap-2, 0x1.87dbb61e2fc47p-2, 0x1.817e6def801dap-2, 0x1.7b2ad1c311db9p-2, 0x1.74e1547eaf2b4p-2, 0x1.6ea265792bcf5p-2, 0x1.686e706a59c9dp-2, 0x1.6245dd5d69451p-2, 0x1.5c2910a597958p-2, 0x1.56186ad512f0ep-2, 0x1.501448b5fa3ap-2, 0x1.4a1d03456191cp-2, 0x1.4432efb03c03p-2, 0x1.3e565f521bc5ap-2, 0x1.38879fb5a73b7p-2, 0x1.32c6fa96b2d19p-2, 0x1.2d14b5e5e4827p-2, 0x1.277113cdcc4b7p-2, 0x1.21dc52b95ab85p-2, 0x1.1c56ad5ba29b7p-2, 0x1.16e05ab8cb8dfp-2, 0x1.11798e302b8cdp-2, 0x1.0c22778767252p-2, 0x1.06db42f69198ap-2, 0x1.01a419352f819p-2, 0x1.f8fa3f102abb3p-3, 0x1.eeccefa00c95bp-3, 0x1.e4c0813217d9bp-3, 0x1.dad52a54de93dp-3, 0x1.d10b1b2e93a86p-3, 0x1.c7627d9f368acp-3, 0x1.bddb7563b700bp-3, 0x1.b4762039e2546p-3, 0x1.ab3296051bb6bp-3, 0x1.a210e8f3acce3p-3, 0x1.991125a4a4c48p-3, 0x1.9033534e2e138p-3, 0x1.877773e4418f6p-3, 0x1.7edd843fa273p-3, 0x1.76657c4510137p-3, 0x1.6e0f4f0ca2ae5p-3, 0x1.65daeb0930222p-3, 0x1.5dc83a2fbb34bp-3, 0x1.55d7221ec957fp-3, 0x1.4e078445ac1d7p-3, 0x1.46593e0b89936p-3, 0x1.3ecc28f641719p-3, 0x1.37601ad0f96ffp-3, 0x1.3014e5d26a47cp-3, 0x1.28ea58c2c164ap-3, 0x1.21e03f212aa03p-3, 0x1.1af66148dd15bp-3, 0x1.142c8495bd86ep-3, 0x1.0d826b8874044p-3, 0x1.06f7d5ea02eb4p-3, 0x1.008c80eecbe0ap-3, 0x1.f4804eb1fcc28p-4, 0x1.e8250334e5181p-4, 0x1.dc068bebb6144p-4, 0x1.d024513eba102p-4, 0x1.c47db7b8e97cbp-4, 0x1.b91220467c925p-4, 0x1.ade0e871f6747p-4, 0x1.a2e96a9ff56e9p-4, 0x1.982afe4980573p-4, 0x1.8da4f834f474fp-4, 0x1.8356aaad816cfp-4, 0x1.793f65b937a02p-4, 0x1.6f5e774da0e0ap-4, 0x1.65b32b82e91f5p-4, 0x1.5c3cccc591443p-4, 0x1.52faa406b01p-4, 0x1.49ebf8eac07ffp-4, 0x1.411011f6ff1bfp-4, 0x1.386634bd56b69p-4, 0x1.2feda606e1b84p-4, 0x1.27a5a9fcfff6ep-4, 0x1.1f8d84510550fp-4, 0x1.17a47862840b7p-4, 0x1.0fe9c964372a8p-4, 0x1.085cba7f90a41p-4, 0x1.00fc8ef6ef777p-4, 0x1.f391148d0422bp-5, 0x1.e57fe087b8623p-5, 0x1.d7c40a7880fa7p-5, 0x1.ca5c1c23537aap-5, 0x1.bd46a0ad24fcbp-5, 0x1.b08224d10c123p-5, 0x1.a40d3712fa437p-5, 0x1.97e667f01da9dp-5, 0x1.8c0c4a0cf262ep-5, 0x1.807d7261140b8p-5, 0x1.75387860da2bbp-5, 0x1.6a3bf624c96cbp-5, 0x1.5f86888eee5b5p-5, 0x1.5516cf6e23d41p-5, 0x1.4aeb6d9f59da1p-5, 0x1.4103092ce875cp-5, 0x1.375c4b6bf8cfdp-5, 0x1.2df5e11812f3fp-5, 0x1.24ce7a6cde504p-5, 0x1.1be4cb3e224e3p-5, 0x1.13378b0e0ec42p-5, 0x1.0ac57521dff22p-5, 0x1.028d4894e6d74p-5, 0x1.f51b90d405c55p-6, 0x1.e58b7737340cbp-6, 0x1.d667da5436421p-6, 0x1.c7ae58522e207p-6, 0x1.b95c9795fe62ep-6, 0x1.ab7046d71a62ap-6, 0x1.9de71d31d8dedp-6, 0x1.90beda374885bp-6, 0x1.83f545faacf33p-6, 0x1.7788311cb5085p-6, 0x1.6b7574d4806b7p-6, 0x1.5fbaf2f68c1f7p-6, 0x1.545695f9987bep-6, 0x1.494650f9a1dcbp-6, 0x1.3e881fb8fcecbp-6, 0x1.341a069fa8d5ap-6, 0x1.29fa12b8f4e51p-6, 0x1.202659af7c764p-6, 0x1.169cf9c79f1fep-6, 0x1.0d5c19d877441p-6, 0x1.0461e9436a721p-6, 0x1.f7593fd4bf23bp-7, 0x1.e674fc4969c3p-7, 0x1.d6139965ecf3dp-7, 0x1.c631b962efa96p-7, 0x1.b6cc0f13a6493p-7, 0x1.a7df5dc6cb719p-7, 0x1.996879259cb09p-7, 0x1.8b64451110a56p-7, 0x1.7dcfb57d5a41ap-7, 0x1.70a7ce4bc031fp-7, 0x1.63e9a32304f48p-7, 0x1.5792574663d46p-7, 0x1.4b9f1d6b394ffp-7, 0x1.400d378d7e75p-7, 0x1.34d9f6c321e64p-7, 0x1.2a02bb0e5891ap-7, 0x1.1f84f32efd2ebp-7, 0x1.155e1c73125a3p-7, 0x1.0b8bc2867abd9p-7, 0x1.020b7f41fc5ccp-7, 0x1.f1b5f4f341d59p-8, 0x1.dfefd39508e96p-8, 0x1.cec020d04b0ccp-8, 0x1.be227dd28c41cp-8, 0x1.ae12a628dbf26p-8, 0x1.9e8c6f583aad9p-8, 0x1.8f8bc8757f8ap-8, 0x1.810cb9bcd7145p-8, 0x1.730b6428f955ep-8, 0x1.6584010a31b25p-8, 0x1.5872e19d4c97fp-8, 0x1.4bd46ea287282p-8, 0x1.3fa527f4975dp-8, 0x1.33e1a41fddd7ap-8, 0x1.28868ff9dc14p-8, 0x1.1d90ae38fbf6p-8, 0x1.12fcd70cc173bp-8, 0x1.08c7f7b671581p-8, 0x1.fdde24448863ap-9, 0x1.eade790261f37p-9, 0x1.d88b41c6bcb5cp-9, 0x1.c6def9a697911p-9, 0x1.b5d441e37636fp-9, 0x1.a565e124d7c41p-9, 0x1.958ec2b35db95p-9, 0x1.8649f5b5c3638p-9, 0x1.7792ac6fb2a5p-9, 0x1.69643b828c153p-9, 0x1.5bba1930323ap-9, 0x1.4e8fdc9fec1e1p-9, 0x1.41e13d256a87ap-9, 0x1.35aa1189fd518p-9, 0x1.29e64f5809cap-9, 0x1.1e920a28cb1a8p-9, 0x1.13a972f464078p-9, 0x1.0928d764525e2p-9, 0x1.fe1942508ffdap-10, 0x1.eaa2aa9ae62f6p-10, 0x1.d7e727306d5dp-10, 0x1.c5e02bc0cd3dp-10, 0x1.b4875edff30dcp-10, 0x1.a3d698c88c1dap-10, 0x1.93c7e223897a2p-10, 0x1.845572d4b4a95p-10, 0x1.7579b0cc5e6d9p-10, 0x1.672f2ede29d59p-10, 0x1.5970ab9cf397fp-10, 0x1.4c39103bcef93p-10, 0x1.3f836f74201d4p-10, 0x1.334b0470d4e5dp-10, 0x1.278b31beab78ap-10, 0x1.1c3f804189cffp-10, 0x1.11639e2ee9b43p-10, 0x1.06f35e0d3f3b7p-10, 0x1.f9d56b70c8173p-11, 0x1.e68b7ad5fc4afp-11, 0x1.d4015d999812fp-11, 0x1.c22fc80bbc6a3p-11, 0x1.b10fadad52bc2p-11, 0x1.a09a3f69d6012p-11, 0x1.90c8e9daa94f1p-11, 0x1.81955393e4ad3p-11, 0x1.72f95b7a80125p-11, 0x1.64ef1723c3c8ap-11, 0x1.5770d13de3a5p-11, 0x1.4a790801ac4cep-11, 0x1.3e026bad24d0cp-11, 0x1.3207dd070a7dp-11, 0x1.26846beb087a9p-11, 0x1.1b7355de90006p-11, 0x1.10d004ae31554p-11, 0x1.06960d1359f03p-11, 0x1.f9825ac4aa852p-12, 0x1.e69a9880eb35bp-12, 0x1.d46ceec487235p-12, 0x1.c2f1c4a326b6bp-12, 0x1.b221ca76c7af1p-12, 0x1.a1f5f78ac6afep-12, 0x1.926787d5fa237p-12, 0x1.836ff9c39bcb8p-12, 0x1.75090c0abecc5p-12, 0x1.672cbb94164b4p-12, 0x1.59d5416dc57a5p-12, 0x1.4cfd10cd0136ep-12, 0x1.409ed51d37935p-12, 0x1.34b5701c88274p-12, 0x1.293bf80544a37p-12, 0x1.1e2db5c43f91dp-12, 0x1.1386233ba5b31p-12, 0x1.0940e992236p-12, 0x1.feb3bf1c34fa6p-13, 0x1.eb9a0ff94bc9dp-13, 0x1.d92d20485cc5ap-13, 0x1.c7659c84ad68ep-13, 0x1.b63c8029f181ep-13, 0x1.a5ab12dc0894ep-13, 0x1.95aae5a3ee15fp-13, 0x1.8635d04174e34p-13, 0x1.7745ee91554fp-13, 0x1.68d59e0717b92p-13, 0x1.5adf7b3a686f4p-13, 0x1.4d5e5f8768bb5p-13, 0x1.404d5ec18723ep-13, 0x1.33a7c4f872c6cp-13, 0x1.2769144ec06c5p-13, 0x1.1b8d02e1ceeefp-13, 0x1.100f78c286fbdp-13, 0x1.04ec8dfe87639p-13, 0x1.f4411172becd1p-14, 0x1.df4fb6aadb367p-14, 0x1.cafe4557eeb0dp-14, 0x1.b74648a852becp-14, 0x1.a42199f11b2a4p-14, 0x1.918a5d7545ab7p-14, 0x1.7f7aff486824cp-14, 0x1.6dee304c3085ap-14, 0x1.5cdee347f395fp-14, 0x1.4c484a19a493ap-14, 0x1.3c25d2ff831cp-14, 0x1.2c7325f9d6f1ap-14, 0x1.1d2c22440ed84p-14, 0x1.0e4cdbe4a28e9p-14, 0x1.ffa332a62622fp-15, 0x1.e36da266daaap-15, 0x1.c7f2504d66e4cp-15, 0x1.ad2add5f2bbe7p-15, 0x1.93113e55ce526p-15, 0x1.799fb7b6714ebp-15, 0x1.60d0da0e25cbap-15, 0x1.489f7e527a35p-15, 0x1.3106c265162c4p-15, 0x1.1a0205b95d192p-15, 0x1.038ce61b0c13ep-15, 0x1.db467929b23c2p-16, 0x1.b08234ec305fdp-16, 0x1.86c58cece3a46p-16, 0x1.5e0973ed7e92ap-16, 0x1.36473cbc42cfep-16, 0x1.0f789524e327ep-16, 0x1.d32f022cb3921p-17, 0x1.893cabf80a778p-17, 0x1.410f6c90caee7p-17, 0x1.f53a34bf75ed5p-18, 0x1.6bb82a4796829p-18, 0x1.cb0cf879541fep-19, 0x1.8a4f84b18c673p-20, -0x1.d300aa276e618p-22, -0x1.33a9a5bf6d7d4p-19, -0x1.13693844c11fp-18, -0x1.89fb3d102a3c5p-18, -0x1.fd9830ef34edbp-18, -0x1.37265e2d2616bp-17, -0x1.6e1275b4b39e1p-17, -0x1.a3961c1298f5ep-17, -0x1.d7b6ca2cc988dp-17, -0x1.053cdcbb954d1p-16, -0x1.1df1f432826fdp-16, -0x1.35fd0f50f5e0ep-16, -0x1.4d60788a03466p-16, -0x1.641e62d4f4a74p-16, -0x1.7a38eb7aec797p-16, -0x1.8fb21bcc3a3cfp-16, -0x1.a48beabe524e8p-16, -0x1.b8c83e73490ccp-16, -0x1.cc68edabb7e33p-16, -0x1.df6fc123e0176p-16, -0x1.f1de74dce88cfp-16, -0x1.01db5ca97c2c2p-15, -0x1.0a7d1a507b385p-15, -0x1.12d541c95c7edp-15, -0x1.1ae49d532a08ep-15, -0x1.22abf37e9c8abp-15, -0x1.2a2c079ef3ff7p-15, -0x1.31659a3363648p-15, -0x1.38596949672p-15, -0x1.3f0830d854faap-15, -0x1.4572ab166fe42p-15, -0x1.4b9990c7cdb1cp-15, -0x1.517d998751215p-15, -0x1.571f7c0a02593p-15, -0x1.5c7fee5d0606ap-15, -0x1.619fa61e75663p-15, -0x1.667f58b1524aep-15, -0x1.6b1fbb6cd9152p-15, -0x1.6f8183c7658dbp-15, -0x1.73a5677d24a7dp-15, -0x1.778c1cb2cb01dp-15, -0x1.7b365a147fb38p-15, -0x1.7ea4d6f134b37p-15, -0x1.81d84b5294d09p-15, -0x1.84d17011bda8bp-15, -0x1.8790fee8ed983p-15, -0x1.8a17b28253659p-15, -0x1.8c664684274adp-15, -0x1.8e7d779a36121p-15, -0x1.905e037d08118p-15, -0x1.9208a8f6c2498p-15, -0x1.937e27e5eab84p-15, -0x1.94bf413e30ab9p-15, -0x1.95ccb70757b17p-15, -0x1.96a74c5a67044p-15, -0x1.974fc55d3c13cp-15, -0x1.97c6e73c9794fp-15, -0x1.980d7824ca91ep-15, -0x1.98243f3911e26p-15, -0x1.980c0489c5e26p-15, -0x1.97c591096b5e1p-15, -0x1.9751ae80c453ep-15, -0x1.96b12781f515cp-15, -0x1.95e4c75ad0298p-15, -0x1.94ed5a06610bbp-15, -0x1.93cbac1dc5535p-15, -0x1.92808ac86a30dp-15, -0x1.910cc3abbcb13p-15, -0x1.8f7124da5f817p-15, -0x1.8dae7cc2f4407p-15, -0x1.8bc59a1e8a614p-15, -0x1.89b74bdebd599p-15, -0x1.8784611b9366fp-15, -0x1.852da90129e34p-15, -0x1.82b3f2bd37721p-15, -0x1.80180d6c73842p-15, -0x1.7d5ac807eda4ep-15, -0x1.7a7cf1525bc61p-15, -0x1.777f57c56c819p-15, -0x1.7462c97f24e33p-15, -0x1.7128142f542c2p-15, -0x1.6dd005051fbadp-15, -0x1.6a5b689cba2e3p-15, -0x1.66cb0aed3d1fap-15, -0x1.631fb736bc827p-15, -0x1.5f5a37f08c73bp-15, -0x1.5b7b56b7c72c2p-15, -0x1.5783dc3e1427fp-15, -0x1.53749038baf7fp-15, -0x1.4f4e394ffd0c8p-15, -0x1.4b119d0ec3734p-15, -0x1.46bf7fd2a2544p-15, -0x1.4258a4bc30053p-15, -0x1.3dddcd9fbade7p-15, -0x1.394fbaf65c043p-15, -0x1.34af2bcf6a05bp-15, -0x1.2ffcddc24fa59p-15, -0x1.2b398ce0c7dffp-15, -0x1.2665f3a97e195p-15, -0x1.2182cafb1a074p-15, -0x1.1c90ca07b35ccp-15, -0x1.1790a648b0d3fp-15, -0x1.1283137312958p-15, -0x1.0d68c36c29cb1p-15, -0x1.0842663ebca39p-15, -0x1.0310aa1097df3p-15, -0x1.fba87631199a9p-16, -0x1.f11b8729beadep-16, -0x1.e67bd7843d5e1p-16, -0x1.dbcab3a4d9f41p-16, -0x1.d10963ca66d08p-16, -0x1.c6392bfe80796p-16, -0x1.bb5b4c06aa79fp-16, -0x1.b070ff5636bdcp-16, -0x1.a57b7d0108b24p-16, -0x1.9a7bf7af27eefp-16, -0x1.8f739d91203afp-16, -0x1.8463985533fbp-16, -0x1.794d0d1d55805p-16, -0x1.6e311c75e8a9ap-16, -0x1.6310e24d4fb7ep-16, -0x1.57ed75ec3434ep-16, -0x1.4cc7e9ee93d97p-16, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      47, 0x1.0cccccccccccdp+2, 0x1.68285053ed89p+1, 0x1.275e7baae3d52p+2, 0x1.c760fc792bp-10, 
      {{
        {0x1.3333333333333p+0, 0x1.3d70a3d70a3d7p+0, 0x1.b9f37329c347fp+1, -0x1.36b9eed34739ep+3, 0x1.b526666666677p+3, 0x1.046023a1c8d8cp+2}, 
        {0x1.3d70a3d70a3d7p+0, 0x1.47ae147ae147bp+0, 0x1.8b10dbf0563edp+1, -0x1.1321204d27d1ap+3, 0x1.c4c5c4b2aac69p+3, -0x1.45782c8a3b131p+4}, 
        {0x1.47ae147ae147bp+0, 0x1.51eb851eb851fp+0, 0x1.61c6b8b69552ep+1, -0x1.e4106fcf6e61dp+2, 0x1.76a8ed3554eacp+3, -0x1.6c6ead7f0c415p+3}, 
        {0x1.51eb851eb851fp+0, 0x1.5c28f5c28f5c3p+0, 0x1.3d5b0bbf50e34p+1, -0x1.ab9dff563fbc4p+2, 0x1.4aed90b5722a8p+3, -0x1.7454f0ef57b4fp+3}, 
        {0x1.5c28f5c28f5c3p+0, 0x1.6666666666666p+0, 0x1.1d2b3cc4ac6cep+1, -0x1.7a3e3ac7305bcp+2, 0x1.1e3f8846ce0a9p+3, -0x1.34bd8ec399927p+3}, 
        {0x1.6666666666666p+0, 0x1.70a3d70a3d70ap+0, 0x1.00a9930be0dedp+1, -0x1.4f6843d5e77f6p+2, 0x1.f2660d0281778p+2, -0x1.0fb4d4023b1fcp+3}, 
        {0x1.70a3d70a3d70ap+0, 0x1.7ae147ae147aep+0, 0x1.ceb5d462c343bp+0, -0x1.2a24ce74a6697p+2, 0x1.b130697cd9ad4p+2, -0x1.d2de4266f962p+2}, 
        {0x1.7ae147ae147aep+0, 0x1.851eb851eb852p+0, 0x1.a1a9003eea20ap+0, -0x1.09bac7f949996p+2, 0x1.792a388f36a17p+2, -0x1.931d4e5fa67a1p+2}, 
        {0x1.851eb851eb852p+0, 0x1.8f5c28f5c28f6p+0, 0x1.79743e963dc48p+0, -0x1.dafb94c1f480ep+1, 0x1.48ca8b50890dap+2, -0x1.5aac841a6a01fp+2}, 
        {0x1.8f5c28f5c28f6p+0, 0x1.999999999999ap+0, 0x1.557891e215337p+0, -0x1.a9b4479ecb858p+1, 0x1.1f30b8e6f7365p+2, -0x1.2830a136b38ddp+2}, 
        {0x1.999999999999ap+0, 0x1.a3d70a3d70a3dp+0, 0x1.352d44dca8e2ep+0, -0x1.7e98e1722c734p+1, 0x1.f74b888d9a5fp+1, -0x1.fd21ee1591556p+1}, 
        {0x1.a3d70a3d70a3dp+0, 0x1.ae147ae147ae1p+0, 0x1.181d4b6a619dbp+0, -0x1.58c7052151219p+1, 0x1.ba32fb57d09ccp+1, -0x1.b117053c4d382p+1}, 
        {0x1.ae147ae147ae1p+0, 0x1.b851eb851eb85p+0, 0x1.fbc89f40a2878p-1, -0x1.377af65f64db9p+1, 0x1.863a75984239dp+1, -0x1.7281fcf939d81p+1}, 
        {0x1.b851eb851eb85p+0, 0x1.c28f5c28f5c29p+0, 0x1.cc5974e65bea1p-1, -0x1.1a0a5d972ca32p+1, 0x1.59c475f53b48ep+1, -0x1.3ae106decfeep+1}, 
        {0x1.c28f5c28f5c29p+0, 0x1.ccccccccccccdp+0, 0x1.a15af294dd723p-1, -0x1.ffc7f1b12fc9bp+0, 0x1.33fb60a74b4bp+1, -0x1.0df9e78b83b98p+1}, 
        {0x1.ccccccccccccdp+0, 0x1.d70a3d70a3d71p+0, 0x1.7a5093964a59cp-1, -0x1.d1187f477a33ap+0, 0x1.1395b58212869p+1, -0x1.ca6eb5e644c0dp+0}, 
        {0x1.d70a3d70a3d71p+0, 0x1.e147ae147ae14p+0, 0x1.56cfe9b7bf1e9p-1, -0x1.a733dd94d8a4bp+0, 0x1.f0285f6da1ebcp+0, -0x1.8a51594feb8ep+0}, 
        {0x1.e147ae147ae14p+0, 0x1.eb851eb851eb8p+0, 0x1.367e414e7ee91p-1, -0x1.816717e970404p+0, 0x1.c0d6ee4f8fe51p+0, -0x1.544be4d9fee1p+0}, 
        {0x1.eb851eb851eb8p+0, 0x1.f5c28f5c28f5cp+0, 0x1.190dbf0563ed1p-1, -0x1.5f2103e5c21f8p+0, 0x1.9801060c714f3p+0, -0x1.247f13482361bp+0}, 
        {0x1.f5c28f5c28f5cp+0, 0x1p+1, 0x1.fc768dfbd6a57p-2, -0x1.3fe4834d25c5cp+0, 0x1.74e788dad376ap+0, -0x1.01b7ce056cb67p+0}, 
        {0x1p+1, 0x1.051eb851eb852p+1, 0x1.cb99d451fc4c1p-2, -0x1.234c1d2e8f701p+0, 0x1.55fa7021dae5bp+0, -0x1.c143694461ae3p-1}, 
        {0x1.051eb851eb852p+1, 0x1.0a3d70a3d70a4p+1, 0x1.9f1fddebd9017p-2, -0x1.09046d24703bfp+0, 0x1.3b05c0db31328p+0, -0x1.9782bee392f68p-1}, 
        {0x1.0a3d70a3d70a4p+1, 0x1.0f5c28f5c28f6p+1, 0x1.76af89c5e6ff8p-2, -0x1.e19648047df5dp-1, 0x1.2292637b9e237p+0, -0x1.68b19b2d5dba8p-1}, 
        {0x1.0f5c28f5c28f6p+1, 0x1.147ae147ae148p+1, 0x1.51f8e3ac0c62ep-2, -0x1.b4d3adfda0e8cp-1, 0x1.0cee21da2cfedp+0, -0x1.4db6d466ef5afp-1}, 
        {0x1.147ae147ae148p+1, 0x1.199999999999ap+1, 0x1.30b45ae5ffa3cp-2, -0x1.8b665dd162557p-1, 0x1.f1d0909dc2632p-1, -0x1.30731336e988dp-1}, 
        {0x1.199999999999ap+1, 0x1.1eb851eb851ecp+1, 0x1.12a0663c74fb5p-2, -0x1.65093a95836adp-1, 0x1.cd47e03b0285fp-1, -0x1.207cdebd65f6cp-1}, 
        {0x1.1eb851eb851ecp+1, 0x1.23d70a3d70a3dp+1, 0x1.ef01754b05b7dp-3, -0x1.4184b14ad7436p-1, 0x1.aaa9880fcd53dp-1, -0x1.0d9971d389f27p-1}, 
        {0x1.23d70a3d70a3dp+1, 0x1.28f5c28f5c28fp+1, 0x1.be39713ad5beep-3, -0x1.20adef0b1aa63p-1, 0x1.8a4f70299e0e2p-1, -0x1.011d59f45e644p-1}, 
        {0x1.28f5c28f5c28fp+1, 0x1.2e147ae147ae1p+1, 0x1.927e52157689dp-3, -0x1.025e66b4facc1p-1, 0x1.6b74e03f7e3f8p-1, -0x1.ebe24cb60ff97p-2}, 
        {0x1.2e147ae147ae1p+1, 0x1.3333333333333p+1, 0x1.6b6ae7d566cf4p-3, -0x1.ccf20c9db46a3p-2, 0x1.4df189b9b07d5p-1, -0x1.de3c193f00accp-2}, 
        {0x1.3333333333333p+1, 0x1.3851eb851eb85p+1, 0x1.489e34330d738p-3, -0x1.99cf60c99d812p-2, 0x1.313fda216de39p-1, -0x1.bb2d4e4dec455p-2}, 
        {0x1.3851eb851eb85p+1, 0x1.3d70a3d70a3d7p+1, 0x1.29bae46cfc82ap-3, -0x1.6b18f00767c86p-2, 0x1.16a8a75a31a1fp-1, -0x1.c50ead895049ap-2}, 
        {0x1.3d70a3d70a3d7p+1, 0x1.428f5c28f5c29p+1, 0x1.0e685db76b3bcp-3, -0x1.40afca3506863p-2, 0x1.f6f362d71c30bp-2, -0x1.9097fb8cd371fp-2}, 
        {0x1.428f5c28f5c29p+1, 0x1.47ae147ae147bp+1, 0x1.ec9f2fdb8fde3p-4, -0x1.1a5f9bc6b1b9ap-2, 0x1.c6e125ef2bc6fp-2, -0x1.a89164435f0fcp-2}, 
        {0x1.47ae147ae147bp+1, 0x1.4cccccccccccdp+1, 0x1.c23e9ea140571p-4, -0x1.f00ac57de2e35p-3, 0x1.93ee6bd29b3fdp-2, -0x1.6d227365b279fp-2}, 
        {0x1.4cccccccccccdp+1, 0x1.51eb851eb851fp+1, 0x1.9d0d8cb07d0afp-4, -0x1.b2eb194a52edfp-3, 0x1.681d7cb1ec3b7p-2, -0x1.72e4ce25d61a8p-2}, 
        {0x1.51eb851eb851fp+1, 0x1.570a3d70a3d71p+1, 0x1.7c7820a30db6ap-4, -0x1.7cdc4a153be29p-3, 0x1.3b9ba165b3d1cp-2, -0x1.574a5402f4f7bp-2}, 
        {0x1.570a3d70a3d71p+1, 0x1.5c28f5c28f5c3p+1, 0x1.5feeb2d0a2446p-4, -0x1.4da8a8ab499b5p-3, 0x1.1269c046a0a9dp-2, -0x1.3ff1e1ce556c6p-2}, 
        {0x1.5c28f5c28f5c3p+1, 0x1.6147ae147ae14p+1, 0x1.46e9ff0cbaf97p-4, -0x1.24d2fec2bc64fp-3, 0x1.d80a172888fcp-3, -0x1.28ee24c3baa6ap-2}, 
        {0x1.6147ae147ae14p+1, 0x1.6666666666666p+1, 0x1.30ec311622814p-4, -0x1.01e95d1b7beeap-3, 0x1.90c6b22cc2975p-3, -0x1.0c558b22b7d54p-2}, 
        {0x1.6666666666666p+1, 0x1.6b851eb851eb8p+1, 0x1.1d80e496ededbp-4, -0x1.c8d9da21ba432p-4, 0x1.50603edcbf6e6p-3, -0x1.eb775d62d17fap-3}, 
        {0x1.6b851eb851eb8p+1, 0x1.70a3d70a3d70ap+1, 0x1.0c3e3193f6c27p-4, -0x1.97bfb864eff97p-4, 0x1.156666db212bfp-3, -0x1.b977742f4d6cep-3}, 
        {0x1.70a3d70a3d70ap+1, 0x1.75c28f5c28f5cp+1, 0x1.f9873ffac1d2ap-5, -0x1.6f9a5d46d61c7p-4, 0x1.c0d9183a443d7p-4, -0x1.aeaad1dff6f97p-3}, 
        {0x1.75c28f5c28f5cp+1, 0x1.7ae147ae147aep+1, 0x1.dd72367e414e8p-5, -0x1.4fd45d5a7189cp-4, 0x1.597ce5db8e15ep-4, -0x1.17ba88a1ade32p-4}, 
        {0x1.7ae147ae147aep+1, 0x1.8p+1, 0x1.c3a647fdc5932p-5, -0x1.358880de5708p-4, 0x1.37eba24308943p-4, -0x1.007807372b172p-1}, 
        {0x1.8p+1, 0x1.bd70a3d70a3d7p+1, 0x1.ab9f559b3d07ep-5, -0x1.266d906d52accp-4, 0x1.06d7631991534p-6, 0x1.67bf36319f45dp-8}, 
        {0x1.bd70a3d70a3d7p+1, 0x1.0cccccccccccdp+2, 0x1.6872b020c49bap-6, -0x1.af9c27feeca95p-5, 0x1.8859a9cf458b4p-6, -0x1.4538a88ccb188p-4}, 
      }}, 
      0x1.e5f4288996acep-3, -0x1.43ff6f45704ep-3
    }
  };
  // clang-format on
}
SkfData params_mio_0_1_o_s() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.11aab06479331p-1, 0x1.140a78104fba3p-1, 0x1.15826db451734p-1, 0x1.161f7567a6c2ap-1, 0x1.15ee8cc2ffde8p-1, 0x1.14fcc5188b857p-1, 0x1.13571e0736fb1p-1, 0x1.110a5d6a32895p-1, 0x1.0e2324ce141bap-1, 0x1.0aaddcf87d0e3p-1, 0x1.06b67f35aba65p-1, 0x1.024891b19bac4p-1, 0x1.fade8da1d4bb4p-2, 0x1.f06afcfdada7dp-2, 0x1.e54b42ebe31c6p-2, 0x1.d99304868d898p-2, 0x1.cd54c4482ecdcp-2, 0x1.c0a218e2aaf25p-2, 0x1.b38bd3454f549p-2, 0x1.a621fdf7f68e1p-2, 0x1.9873cacf48985p-2, 0x1.8a90ba38a0429p-2, 0x1.7c82e7aeb8b7cp-2, 0x1.6e57f071fadb9p-2, 0x1.601b292b83045p-2, 0x1.51d6e002fd09p-2, 0x1.43948809e6004p-2, 0x1.355ce2e0d9563p-2, 0x1.27380d5d9bc4p-2, 0x1.192d76ce2283ep-2, 0x1.0b43d9f989bb4p-2, 0x1.fb028a6994bd8p-3, 0x1.dfd65b954b68dp-3, 0x1.c50d072498ccdp-3, 0x1.aaaf7bb7c023p-3, 0x1.90c5c4a4047e2p-3, 0x1.7757135d0406cp-3, 0x1.5e69c9379267p-3, 0x1.4603811e6c19dp-3, 0x1.2e29174e41fd7p-3, 0x1.16deaeeefa838p-3, 0x1.0027b7348d5ebp-3, 0x1.d40de3b058dfbp-4, 0x1.a8fcf76d217bp-4, 0x1.7f1faeb74caf2p-4, 0x1.5677f186eeb5cp-4, 0x1.2f06a2fd4aeb5p-4, 0x1.08cbb8e932d01p-4, 0x1.c78ca272f63a6p-5, 0x1.7fe9893fb6e28p-5, 0x1.3aa96d3846536p-5, 0x1.ef8c90ad508d2p-6, 0x1.6e71cb165c6b1p-6, 0x1.e3e40655b21ep-7, 0x1.e7eb73500151cp-8, 0x1.9e1b2d73ffb1dp-12, -0x1.a2aa2551068ecp-8, -0x1.a708c148834b8p-7, -0x1.3a2c6f9c99566p-6, -0x1.9cbaed469511ep-6, -0x1.fb48dba545446p-6, -0x1.2af7f9795cea3p-5, -0x1.5665464c318c8p-5, -0x1.7ff0e94ee8cebp-5, -0x1.a7bc15c5afc84p-5, -0x1.cdcb97e8d23aap-5, -0x1.f22d116d3a8b7p-5, -0x1.0a770cbb4132p-4, -0x1.1b0e203267009p-4, -0x1.2ae2880dd79f4p-4, -0x1.39fb03db12536p-4, -0x1.485e498f4b551p-4, -0x1.5613000b0b08cp-4, -0x1.631fb951fffc2p-4, -0x1.6f8aed551af56p-4, -0x1.7b5af5d0f7075p-4, -0x1.86960b511c82cp-4, -0x1.9142430a4a346p-4, -0x1.9b658d0dd9046p-4, -0x1.a505b25de6c08p-4, -0x1.ae28529b9c6fep-4, -0x1.b6d2e15102544p-4, -0x1.bf0aa31cf05fbp-4, -0x1.c6d4ab33ec519p-4, -0x1.ce35d9ae3d9dap-4, -0x1.d532dafabe462p-4, -0x1.dbd028922dab1p-4, -0x1.e2120ac41e5eap-4, -0x1.e7fc9b414809bp-4, -0x1.ed93c7ed513p-4, -0x1.f2db558790a99p-4, -0x1.f7d6e1d9824bp-4, -0x1.fc89e5459c6d5p-4, -0x1.007bd9de582c7p-3, -0x1.0291be9ffbbdep-3, -0x1.04882712e5ccep-3, -0x1.066087ab7d08p-3, -0x1.081c43577c728p-3, -0x1.09bcabcc05dfbp-3, -0x1.0b4301f516b75p-3, -0x1.0cb0768227ba8p-3, -0x1.0e062a8649edep-3, -0x1.0f45301f2aa5fp-3, -0x1.106e8b15f1f4cp-3, -0x1.1183316ebf25cp-3, -0x1.12840bdef14bp-3, -0x1.1371f627735e8p-3, -0x1.144dbf554271cp-3, -0x1.151829ef74ec2p-3, -0x1.15d1ec1d46757p-3, -0x1.167bafd048ae5p-3, -0x1.171612fe1bbf3p-3, -0x1.17a1a7f262c8fp-3, -0x1.181ef5bdadaecp-3, -0x1.188e78c18cffbp-3, -0x1.18f0a355e37c5p-3, -0x1.1945de80a08e6p-3, -0x1.198e8ab74f512p-3, -0x1.19cb00a217086p-3, -0x1.19fb91d8db76bp-3, -0x1.1a208995389ffp-3, -0x1.1a3a2d5657704p-3, -0x1.1a48bd75a1773p-3, -0x1.1a4c75acdc0e9p-3, -0x1.1a458d8f100b5p-3, -0x1.1a3438f5dfcap-3, -0x1.1a18a864b2772p-3, -0x1.19f30962c5427p-3, -0x1.19c386cc97786p-3, -0x1.198a491cffccbp-3, -0x1.194776adf3a09p-3, -0x1.18fb33f146a31p-3, -0x1.18a5a3a1c0092p-3, -0x1.1846e6ed451ebp-3, -0x1.17df1d99105b1p-3, -0x1.176e66210aefcp-3, -0x1.16f4ddd37cac2p-3, -0x1.1672a0ea0963ep-3, -0x1.15e7caa0e6b1ap-3, -0x1.1554754cbf136p-3, -0x1.14b8ba6fb0544p-3, -0x1.1414b2cd67e6dp-3, -0x1.1368767e5464cp-3, -0x1.12b41d01dd3eap-3, -0x1.11f7bd4f71ff1p-3, -0x1.11336de675852p-3, -0x1.106744dd142bdp-3, -0x1.0f983f7635818p-3, -0x1.0ebcdb3d3fbe8p-3, -0x1.0dd9cb68edabfp-3, -0x1.0cef2541ef7d3p-3, -0x1.0bfcfdfa9fefap-3, -0x1.0b036aba21d4p-3, -0x1.0a0280aad6552p-3, -0x1.08fa550b6fbeep-3, -0x1.07eafd41d2f26p-3, -0x1.06d48eeef62dep-3, -0x1.05b72002d5d2p-3, -0x1.0492c6cfb93bp-3, -0x1.03679a1c1fad1p-3, -0x1.0235b132b0d5ap-3, -0x1.00fd23efc918dp-3, -0x1.ff7c1598b6937p-4, -0x1.fcf0fdcbf7aa9p-4, -0x1.fa5934082c7dap-4, -0x1.f7b4ed34d7719p-4, -0x1.f5045f92280cp-4, -0x1.f247c2b4a15d5p-4, -0x1.ef7f4f7d05297p-4, -0x1.ecab400d56ea3p-4, -0x1.e9cbcfbbc2bd1p-4, -0x1.e6e13b04014a4p-4, -0x1.e3ebbf7804b5ap-4, -0x1.e0eb9bb0511efp-4, -0x1.dde10f3caeda3p-4, -0x1.dacc5a953d699p-4, -0x1.d7adbf0c625efp-4, -0x1.d4857ec17b828p-4, -0x1.d153dc947228ap-4, -0x1.ce191c1a1551p-4, -0x1.cad5819113ddcp-4, -0x1.c78951d777363p-4, -0x1.c434d260698f2p-4, -0x1.c0d8492a14d46p-4, -0x1.bd73fcb363aap-4, -0x1.ba0833f1912b8p-4, -0x1.b695364548142p-4, -0x1.b31b4b6f44ff6p-4, -0x1.af9abb846a2a6p-4, -0x1.ac13cee134e14p-4, -0x1.a886ce1ca2aa5p-4, -0x1.a4f401fa781d9p-4, -0x1.a15bb35d11dd6p-4, -0x1.9dbe2b36cc024p-4, -0x1.9a1bb27b16d73p-4, -0x1.9674920f66a49p-4, -0x1.92c912bc01e18p-4, -0x1.8f197d1cf8bcp-4, -0x1.8b66199341396p-4, -0x1.87af30362b4c1p-4, -0x1.83f508c54147ep-4, -0x1.8037ea9aaebdbp-4, -0x1.7c781c9e43bc2p-4, -0x1.78b5e53922886p-4, -0x1.74f18a4a22e37p-4, -0x1.712b511af5f2ep-4, -0x1.6d637e5606bfp-4, -0x1.699a55fd1f333p-4, -0x1.65d01b60c2d8p-4, -0x1.6205111840285p-4, -0x1.5e3978fa698eap-4, -0x1.5a6d9416e95e2p-4, -0x1.56a1a2b02938bp-4, -0x1.52d5e435b688fp-4, -0x1.4f0a973f1c80cp-4, -0x1.4b3ff9872230ep-4, -0x1.477647e75fb5ap-4, -0x1.43adbe541eaeep-4, -0x1.3fe697d87986p-4, -0x1.3c210e92b0b5cp-4, -0x1.385d5bb0ab86p-4, -0x1.349bb76c9fa8cp-4, -0x1.30dc5909d79fdp-4, -0x1.2d1f76d19495p-4, -0x1.296546100797p-4, -0x1.25adfb1166d02p-4, -0x1.21f9c91f10a21p-4, -0x1.1e48e27ccbc8dp-4, -0x1.1a9b78661dd58p-4, -0x1.16f1bb0bb7a61p-4, -0x1.134bd99102694p-4, -0x1.0faa0209c813ep-4, -0x1.0c0c6177fe513p-4, -0x1.087323c9b4cf7p-4, -0x1.04de73d72b4e9p-4, -0x1.014e7b61145e6p-4, -0x1.fb86c61e028d1p-5, -0x1.f47aa4dc034f5p-5, -0x1.ed78dfdee3cf7p-5, -0x1.e681c1d00211cp-5, -0x1.df95931dd3bd9p-5, -0x1.d8b499fac86adp-5, -0x1.d1df1a5c9ce0ap-5, -0x1.cb1555fc1e36cp-5, -0x1.c4578c555f50ep-5, -0x1.bda5faa85ffe5p-5, -0x1.b700dbfa23497p-5, -0x1.b0686916376b9p-5, -0x1.a9dcd890a7a8fp-5, -0x1.a35e5ec861ee4p-5, -0x1.9ced2de9f40a2p-5, -0x1.968975f2c2498p-5, -0x1.903364b494477p-5, -0x1.89eb25d9849bap-5, -0x1.83b0e2e8476fdp-5, -0x1.7d84c348d1d83p-5, -0x1.7766ec494ab3bp-5, -0x1.7157812357bcp-5, -0x1.6b56a301ac067p-5, -0x1.65647105e338dp-5, -0x1.5f81084ea484ep-5, -0x1.59ac83fe04446p-5, -0x1.53e6fd4022ce4p-5, -0x1.4e308b52044acp-5, -0x1.48894388a23bap-5, -0x1.42f139582d38bp-5, -0x1.3d687e5b7d1cfp-5, -0x1.37ef225baf4cp-5, -0x1.32853357eb50bp-5, -0x1.2d2abd8d4ee45p-5, -0x1.27dfcb7efc165p-5, -0x1.22a465fe444e7p-5, -0x1.1d789432f0822p-5, -0x1.185c5ba3a4dc8p-5, -0x1.134fc03e58cd8p-5, -0x1.0e52c460e1bfbp-5, -0x1.096568e192e99p-5, -0x1.0487ad17e9165p-5, -0x1.ff731dca81435p-6, -0x1.f5f6157b33c29p-6, -0x1.ec983760c7c6cp-6, -0x1.e35976e293fb5p-6, -0x1.da39c4c212e87p-6, -0x1.d1390f2c83b26p-6, -0x1.c85741cc9a541p-6, -0x1.bf9445dc1d8dcp-6, -0x1.b6f00235863c4p-6, -0x1.ae6a5b65855adp-6, -0x1.a60333bc96af9p-6, -0x1.9dba6b605c94dp-6, -0x1.958fe05d07b8dp-6, -0x1.8d836eb69558cp-6, -0x1.8594f079f4db6p-6, -0x1.7dc43dce19027p-6, -0x1.76112d04df98cp-6, -0x1.6e7b92abd974cp-6, -0x1.6703419cf3859p-6, -0x1.5fa80b0ef222p-6, -0x1.5869bea5c6586p-6, -0x1.51482a82b580bp-6, -0x1.4a431b54552dcp-6, -0x1.435a5c6656908p-6, -0x1.3c8db7b11fe58p-6, -0x1.35dcf5e930669p-6, -0x1.2f47de8e502aap-6, -0x1.28ce37fa87b9bp-6, -0x1.226fc770d84bdp-6, -0x1.1c2c512bc596ap-6, -0x1.1603986b92e74p-6, -0x1.0ff55f8446885p-6, -0x1.0a0167eb74dc6p-6, -0x1.04277245bb404p-6, -0x1.fcce7ce806aacp-7, -0x1.f1811740e51f9p-7, -0x1.e6663096634eap-7, -0x1.dab239a05e0d5p-7, -0x1.cff5bdfad68a9p-7, -0x1.c56a7721a0d4ep-7, -0x1.bb0fdf8f7d244p-7, -0x1.b0e570b30b338p-7, -0x1.a6eaa3040c926p-7, -0x1.9d1eee184e4cbp-7, -0x1.9381c8b81dc1dp-7, -0x1.8a12a8f2663abp-7, -0x1.80d104304492ep-7, -0x1.77bc4f48504b2p-7, -0x1.6ed3fe916489p-7, -0x1.661785f50d9c9p-7, -0x1.5d865901804d2p-7, -0x1.551feafb3172fp-7, -0x1.4ce3aeedfe61cp-7, -0x1.44d117bdf11f7p-7, -0x1.3ce798378fc9fp-7, -0x1.3526a31fd2578p-7, -0x1.2d8dab43a7536p-7, -0x1.261c23871682fp-7, -0x1.1ed17ef3f7981p-7, -0x1.17ad30c8448b9p-7, -0x1.10aeac8409df4p-7, -0x1.09d565f6f1f75p-7, -0x1.0320d14d63197p-7, -0x1.f920c63aa1b8dp-8, -0x1.ec4720e5372fep-8, -0x1.dfb39db61c0a1p-8, -0x1.d36528e4130a8p-8, -0x1.c75aafd7a0143p-8, -0x1.bb932140de41dp-8, -0x1.b00d6d2cb22c1p-8, -0x1.a4c885192f45fp-8, -0x1.99c35c098117dp-8, -0x1.8efce698f58cap-8, -0x1.84741b0d84ecdp-8, -0x1.7a27f169b2a6ap-8, -0x1.7017637dbba21p-8, -0x1.66416cf84091fp-8, -0x1.5ca50b76540cdp-8, -0x1.53413e92e7a5p-8, -0x1.4a1507f5b4b5ap-8, -0x1.411f6b619482p-8, -0x1.385f6ec24055cp-8, -0x1.2fd41a39a396cp-8, -0x1.277c782c946f5p-8, -0x1.1f57954eff73ep-8, -0x1.176480afb46cfp-8, -0x1.0fa24bc3825d3p-8, -0x1.08100a6fff15ep-8, -0x1.00acd315b6cc9p-8, -0x1.f2ef7d33c42fdp-9, -0x1.e4dfd0df5fabap-9, -0x1.d728dd41bedcep-9, -0x1.c9c8e3ac3f651p-9, -0x1.bcbe2abd6ab83p-9, -0x1.b006fe6f88382p-9, -0x1.a3a1b025f25fp-9, -0x1.978c96b9851a7p-9, -0x1.8bc60e840ed2ap-9, -0x1.804c796a81b08p-9, -0x1.751e3ee635128p-9, -0x1.6a39cc0d0b471p-9, -0x1.5f9d93987dce4p-9, -0x1.55480deb72db1p-9, -0x1.4b37b91720336p-9, -0x1.416b18de97c9ep-9, -0x1.37e0b6b93f5fap-9, -0x1.2e9721d451021p-9, -0x1.258cef12e9aecp-9, -0x1.1cc0b90d44da9p-9, -0x1.1431200e76eb2p-9, -0x1.0bdcca116698p-9, -0x1.03c262bc68b4ep-9, -0x1.f7c136b7dcd5ap-10, -0x1.e86c55b85016p-10, -0x1.d9839b82f2067p-10, -0x1.cb048c406d1b6p-10, -0x1.bcecb72635994p-10, -0x1.af39b66240eep-10, -0x1.a1e92f04ec0bcp-10, -0x1.94f8d0e918a53p-10, -0x1.8866569af6653p-10, -0x1.7c2f853d8001fp-10, -0x1.70522c6e4b586p-10, -0x1.64cc26296b8bbp-10, -0x1.599b56aa89521p-10, -0x1.4ebdac4ecdcd5p-10, -0x1.44311f7510a7dp-10, -0x1.39f3b25d9a1bbp-10, -0x1.30037109d4169p-10, -0x1.265e711ae5443p-10, -0x1.1d02d1b06de04p-10, -0x1.13eebb472bc2dp-10, -0x1.0b205f9725f44p-10, -0x1.0295f972149abp-10, -0x1.f49b99442efa2p-11, -0x1.e48c4b900936cp-11, -0x1.d4fab474c2b2ep-11, -0x1.c5e38fc8c4d62p-11, -0x1.b743aa4b439e1p-11, -0x1.a917e162fbf75p-11, -0x1.9b5d22deb6b33p-11, -0x1.8e106cb6f6c0dp-11, -0x1.812ecccf9b771p-11, -0x1.74b560bae14p-11, -0x1.68a1557d12ce7p-11, -0x1.5cefe75220442p-11, -0x1.519e617208604p-11, -0x1.46aa1dd86318cp-11, -0x1.3c10850b279ddp-11, -0x1.31cf0de3c13dap-11, -0x1.27e33d577349bp-11, -0x1.1e4aa641ab7aep-11, -0x1.1502e92e46d34p-11, -0x1.0c09b4257a3bbp-11, -0x1.035cc276c3a8bp-11, -0x1.f5f3b90d2f8fdp-12, -0x1.e5bdaf35a459ep-12, -0x1.d6132b513708bp-12, -0x1.c6f00a456dd03p-12, -0x1.b850418fea859p-12, -0x1.aa2fdee4db022p-12, -0x1.9c8b07cd171cp-12, -0x1.8f5df94675a02p-12, -0x1.82a50764f2b63p-12, -0x1.765c9cf151ce3p-12, -0x1.6a813b0cd83f2p-12, -0x1.5f0f78d111affp-12, -0x1.540402f5759a5p-12, -0x1.495b9b6feeb54p-12, -0x1.3f131919eda6ep-12, -0x1.3527675338195p-12, -0x1.2b9585a828b73p-12, -0x1.225a8775e93dfp-12, -0x1.1973938fd79ap-12, -0x1.10dde3e637d47p-12, -0x1.0896c52cc09edp-12, -0x1.009b9680e6919p-12, -0x1.f1d392261885bp-13, -0x1.e2fdbf9ba3a7p-13, -0x1.d4b0ddfe89249p-13, -0x1.c6e838040deddp-13, -0x1.b99f39d17225bp-13, -0x1.acd1704e14f5fp-13, -0x1.a07a887cc88eap-13, -0x1.94964ed4041ccp-13, -0x1.8920ae9671a0bp-13, -0x1.7e15b1302d548p-13, -0x1.73717d95142f8p-13, -0x1.6930579b70df7p-13, -0x1.5f4e9f5f790ebp-13, -0x1.55c8d0a51150bp-13, -0x1.4c9b823b32fd6p-13, -0x1.43c365618c342p-13, -0x1.3b3d453189921p-13, -0x1.330606059f58bp-13, -0x1.2b1aa4e61f04bp-13, -0x1.237836f6eb5e8p-13, -0x1.1c1be8e62a8bep-13, -0x1.1502fe5d6cd56p-13, -0x1.0e2ad1764b879p-13, -0x1.0790d22e2cf51p-13, -0x1.013285def6601p-13, -0x1.f61b0d715af8bp-14, -0x1.ea3f0677c0325p-14, -0x1.decc7b7362e63p-14, -0x1.d3bf17a2a2fd5p-14, -0x1.c912abe82881ap-14, -0x1.bec32dd0eeac4p-14, -0x1.b4ccb69f926dap-14, -0x1.ab2b82639b02bp-14, -0x1.a1dbef06c3f43p-14, -0x1.98da7b681cb7cp-14, -0x1.9023c67c1a2fep-14, -0x1.87b48e6cdb26dp-14, -0x1.7f89afc04b8cfp-14, -0x1.77a0248130f7dp-14, -0x1.6ff5036fc441ep-14, -0x1.68857f2e0a316p-14, -0x1.614ee57e0fbe3p-14, -0x1.5a4e9e773230dp-14, -0x1.53822bc5d83b1p-14, -0x1.4ce727ed98beap-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.29b647f348c98p-1, 0x1.323036a0420ecp-1, 0x1.3a0b02e43a88bp-1, 0x1.414a7aad54e5p-1, 0x1.47f2b8f781d1p-1, 0x1.4e081ad191b84p-1, 0x1.538f2e2a2ac9dp-1, 0x1.588ca9d528319p-1, 0x1.5d056529408d1p-1, 0x1.60fe48b67244p-1, 0x1.647c47d209467p-1, 0x1.67845dcc35959p-1, 0x1.6a1b8625a6715p-1, 0x1.6c46b42e6f009p-1, 0x1.6e0acd2036c5dp-1, 0x1.6f6ca47ff7a07p-1, 0x1.7070fa84316f7p-1, 0x1.711c7a558a85p-1, 0x1.7173b6947082dp-1, 0x1.717b25b0c205dp-1, 0x1.71371f7cb726ap-1, 0x1.70abdaa76ae8fp-1, 0x1.6fdd6856789c9p-1, 0x1.6ecfc578caee5p-1, 0x1.6d86c4cc42687p-1, 0x1.6c0616e788bc9p-1, 0x1.6a514bcd7b78fp-1, 0x1.686bd2abcb0bep-1, 0x1.6658f8a225db9p-1, 0x1.641be8331fd8p-1, 0x1.61b7aa00ef331p-1, 0x1.5f2f262a33519p-1, 0x1.5c852548c2a3fp-1, 0x1.59bc50c167f68p-1, 0x1.56d732da5b86fp-1, 0x1.53d83736d03a7p-1, 0x1.50c1abe90b5ebp-1, 0x1.4d95c2cf61eb9p-1, 0x1.4a5692cc35b24p-1, 0x1.470618a0b2d53p-1, 0x1.43a63782ec26dp-1, 0x1.4038b9b23e691p-1, 0x1.3cbf513dad06bp-1, 0x1.393b98ffc0139p-1, 0x1.35af15a9c844dp-1, 0x1.321b36af1428p-1, 0x1.2e8156f75736p-1, 0x1.2ae2bd61e4f66p-1, 0x1.27409d3aae27ap-1, 0x1.239c16c32ac26p-1, 0x1.1ff637e157987p-1, 0x1.1c4ffcf273304p-1, 0x1.18aa51b1685edp-1, 0x1.1506121d880bp-1, 0x1.11640b5258c7ap-1, 0x1.0dc4fc47a6205p-1, 0x1.0a2996768d4bp-1, 0x1.06927e650fc3ep-1, 0x1.03004c1eb5814p-1, 0x1.fee7174ab7401p-2, 0x1.f7d97acea731cp-2, 0x1.f0d8ad8acdbfp-2, 0x1.e9e58558eea22p-2, 0x1.e300ca622e912p-2, 0x1.dc2b1ca7e1fecp-2, 0x1.d56526c144e89p-2, 0x1.ceaf77e49f26dp-2, 0x1.c80a8f8b18c0cp-2, 0x1.c176de6533019p-2, 0x1.baf4c7502fedp-2, 0x1.b484a044ab324p-2, 0x1.ae26b337e5468p-2, 0x1.a7db3eebbe24fp-2, 0x1.a1a277ac33522p-2, 0x1.9b7c87fbe5ec5p-2, 0x1.95699132f5a52p-2, 0x1.8f69ac141e7b6p-2, 0x1.897ce95b8c545p-2, 0x1.83a35249c2117p-2, 0x1.7ddce92b9ce66p-2, 0x1.7829a9df85857p-2, 0x1.72898a57473d7p-2, 0x1.6cfc7b15d845ep-2, 0x1.678267a82154fp-2, 0x1.621b3717d1b9fp-2, 0x1.5cc6cc572e6d4p-2, 0x1.578506a50f21dp-2, 0x1.5255c1e8c3ddp-2, 0x1.4d38d7064b4e1p-2, 0x1.482e1c2befdcdp-2, 0x1.4335651aa4ac1p-2, 0x1.3e4e836a5198ap-2, 0x1.397946cac91d8p-2, 0x1.34b57d4187593p-2, 0x1.3002f363f8aaap-2, 0x1.2b61748de5d2bp-2, 0x1.26d0cb13d1b54p-2, 0x1.2250c0715c12dp-2, 0x1.1de11d73f5c1ep-2, 0x1.1981aa624648ap-2, 0x1.15322f2089a5dp-2, 0x1.10f2735205831p-2, 0x1.0cc23e7791da5p-2, 0x1.08a1580b41d12p-2, 0x1.048f87994ab07p-2, 0x1.008c94d68392ep-2, 0x1.f9308f6a03765p-3, 0x1.f164d0eea31bp-3, 0x1.e9b57f857dec1p-3, 0x1.e2222d61aa855p-3, 0x1.daaa6dc018a42p-3, 0x1.d34dd506b50d8p-3, 0x1.cc0bf8e099decp-3, 0x1.c4e47056acf3fp-3, 0x1.bdd6d3e442d71p-3, 0x1.b6e2bd87c9bbcp-3, 0x1.b007c8cfbda06p-3, 0x1.a94592e4892ddp-3, 0x1.a29bba8fde52ep-3, 0x1.9c09e0422a348p-3, 0x1.958fa6169dd75p-3, 0x1.8f2cafd618081p-3, 0x1.88e0a2f920e4ap-3, 0x1.82ab26a9097dcp-3, 0x1.7c8be3c0369b7p-3, 0x1.768284c994p-3, 0x1.708eb5ff38151p-3, 0x1.6ab025483aa5p-3, 0x1.64e68235c9305p-3, 0x1.5f317dff73967p-3, 0x1.5990cb7ecc58p-3, 0x1.54041f2a420d9p-3, 0x1.4e8b2f0f48124p-3, 0x1.4925b2cbbe8abp-3, 0x1.43d36386a296bp-3, 0x1.3e93fbe812fb9p-3, 0x1.39673810b2151p-3, 0x1.344cd5908bbf8p-3, 0x1.2f44935d9376ep-3, 0x1.2a4e31c9f4b86p-3, 0x1.2569727a49e19p-3, 0x1.2096185bebb18p-3, 0x1.1bd3e79b7f3c3p-3, 0x1.1722a59bcdc27p-3, 0x1.128218ed00cfbp-3, 0x1.0df2094447e53p-3, 0x1.09723f73dfc8ap-3, 0x1.05029928bf504p-3, 0x1.00a2b5d97751fp-3, 0x1.f8a4f1ffd88b1p-4, 0x1.f0235f5f17246p-4, 0x1.e7c04fe9b58dfp-4, 0x1.df7b619c64b4p-4, 0x1.d75434491945ap-4, 0x1.cf4a6988bd034p-4, 0x1.c75da4ad0f8cep-4, 0x1.bf8d8ab28ffc4p-4, 0x1.b7d9c2328ef51p-4, 0x1.b041f3556aee2p-4, 0x1.a8c5c7c4ede71p-4, 0x1.a164ea9ef6c3bp-4, 0x1.9a1f08685cb54p-4, 0x1.92f3cf001deeep-4, 0x1.8be2ed92f9d76p-4, 0x1.84ec148f5a37bp-4, 0x1.7e0ef599b2cf5p-4, 0x1.774b438144201p-4, 0x1.70a0b235511b4p-4, 0x1.6a0ef6bac6cdap-4, 0x1.6395c7224f889p-4, 0x1.5d34da7ed539dp-4, 0x1.56ebe8dc6b8ecp-4, 0x1.50baab37a23c8p-4, 0x1.4aa0db75380a7p-4, 0x1.449e345a2a385p-4, 0x1.3eb271841eaa7p-4, 0x1.38dd4f621f03ap-4, 0x1.331e8b2da7a7fp-4, 0x1.2d75e2e3fee15p-4, 0x1.27e3153fd7a9p-4, 0x1.2265e1b338e01p-4, 0x1.1cfe0861a5ccdp-4, 0x1.17ab4a1a8c41ap-4, 0x1.126d6853eeeeap-4, 0x1.0d4425254eae3p-4, 0x1.082f4342d2184p-4, 0x1.032e85f8a7502p-4, 0x1.fc83624d4616ap-5, 0x1.f2d112783189bp-5, 0x1.e945a667d3a78p-5, 0x1.dfe0a921a2665p-5, 0x1.d6a1a6b3c2daep-5, 0x1.cd882c2e6de85p-5, 0x1.c493c79dc52d4p-5, 0x1.bbc4080401a8dp-5, 0x1.b3187d53fee91p-5, 0x1.aa90b86c2f6c8p-5, 0x1.a22c4b11db9b4p-5, 0x1.99eac7ecb74d8p-5, 0x1.91cbc282c4061p-5, 0x1.89cecf3489064p-5, 0x1.81f38339878c5p-5, 0x1.7a39749cf67dfp-5, 0x1.72a03a3ac309ap-5, 0x1.6b276bbcc884cp-5, 0x1.63cea19841fdbp-5, 0x1.5c95750b7bd7p-5, 0x1.557b801baa546p-5, 0x1.4e805d92ff22p-5, 0x1.47a3a8fee6f89p-5, 0x1.40e4feae6e4fp-5, 0x1.3a43fbb0dbe19p-5, 0x1.33c03dd4675e2p-5, 0x1.2d5963a51610dp-5, 0x1.270f0c6bc114dp-5, 0x1.20e0d82d34da6p-5, 0x1.1ace67a96eef4p-5, 0x1.14d75c5afb713p-5, 0x1.0efb58766b21ep-5, 0x1.0939fee9dd2edp-5, 0x1.0392f35ca5d2cp-5, 0x1.fc0bb45e02908p-6, 0x1.f124b0f3c021dp-6, 0x1.e670281d8082ep-6, 0x1.dbed66ef29c17p-6, 0x1.d19bbbed7496cp-6, 0x1.c77a770df4d93p-6, 0x1.bd88e9b72c7c6p-6, 0x1.b3c666c0b5c98p-6, 0x1.aa324273814c4p-6, 0x1.a0cbd28a18ac9p-6, 0x1.97926e30f6a42p-6, 0x1.8e856e06db705p-6, 0x1.85a42c1d41a19p-6, 0x1.7cee03f8bf37ap-6, 0x1.746252917367ap-6, 0x1.6c0076538ae7ap-6, 0x1.63c7cf1fa8c79p-6, 0x1.5bb7be4b6abcbp-6, 0x1.53cfa6a1ce765p-6, 0x1.4c0eec63bad57p-6, 0x1.4474f5486db3dp-6, 0x1.3d01287de4bcfp-6, 0x1.35b2eea94f6dbp-6, 0x1.2e89b1e767be3p-6, 0x1.2784ddccd9933p-6, 0x1.20a3df66945ecp-6, 0x1.19e6253a10164p-6, 0x1.134b1f4592288p-6, 0x1.0cd23f005a87p-6, 0x1.067af75ada894p-6, 0x1.0044bcbebec6bp-6, 0x1.f45e0a1e1678cp-7, 0x1.e8728f501ead5p-7, 0x1.dcc5fabebdcf7p-7, 0x1.d1574107557edp-7, 0x1.c62559b92ce59p-7, 0x1.bb2f3f54f3765p-7, 0x1.b073ef4c088e8p-7, 0x1.a5f269ffce5b1p-7, 0x1.9ba9b2c0bbffbp-7, 0x1.9198cfcd42b4fp-7, 0x1.87beca50b2e68p-7, 0x1.7e1aae61ddc32p-7, 0x1.74ab8b01a048ep-7, 0x1.6b7072193e767p-7, 0x1.62687878b1d2ep-7, 0x1.5992b5d4be40dp-7, 0x1.50ee44c4e3a2fp-7, 0x1.487a42c14cafap-7, 0x1.4035d0204c319p-7, 0x1.382010141eadfp-7, 0x1.303828a841a57p-7, 0x1.287d42beb39c1p-7, 0x1.20ee8a0d2bf78p-7, 0x1.198b2d1a16e91p-7, 0x1.12525d3971893p-7, 0x1.0b434e89a5cefp-7, 0x1.045d37f01de8dp-7, 0x1.fb3ea62ba6703p-8, 0x1.ee11b8c756ad7p-8, 0x1.e13225fd9fcf2p-8, 0x1.d49e71897affdp-8, 0x1.c855248ef31a3p-8, 0x1.bc54cd92d0346p-8, 0x1.b09c00726462dp-8, 0x1.a529565aef7cep-8, 0x1.99fb6dc0e5e4p-8, 0x1.8f10ea570530cp-8, 0x1.846875053cae1p-8, 0x1.7a00bbdf3edbcp-8, 0x1.6fd8721b28549p-8, 0x1.65ee50079e789p-8, 0x1.5c4113021b69p-8, 0x1.52cf7d6cd5cfap-8, 0x1.499856a47cbcbp-8, 0x1.409a6af5ff9fep-8, 0x1.37d48b93fd96bp-8, 0x1.2f458e8c10fcp-8, 0x1.26ec4ebc198ecp-8, 0x1.1ec7abc71601fp-8, 0x1.16d68a0a7725ap-8, 0x1.0f17d2929301bp-8, 0x1.078a730f751bfp-8, 0x1.002d5dc9786b2p-8, 0x1.f1ff132b555d3p-9, 0x1.e3ffe3949aa81p-9, 0x1.d65b2c65a5d5p-9, 0x1.c90ef608b67e6p-9, 0x1.bc1951a33fd9cp-9, 0x1.af7858fdf871dp-9, 0x1.a32a2e6ca8932p-9, 0x1.972cfcb60cfd3p-9, 0x1.8b7ef6fb7f07p-9, 0x1.801e58a01c69dp-9, 0x1.74d132c91a44dp-9, 0x1.6a059e90d4d92p-9, 0x1.5f826ddc15975p-9, 0x1.5545fbdbd09ap-9, 0x1.4b4eab7830045p-9, 0x1.419ae738641f1p-9, 0x1.3829212a5d80ep-9, 0x1.2ef7d2ca95da2p-9, 0x1.26057cebba5a2p-9, 0x1.1d50a79ea3c44p-9, 0x1.14d7e21a15a9cp-9, 0x1.0c99c2a2c2e17p-9, 0x1.0494e67314128p-9, 0x1.f98fe34716a07p-10, 0x1.ea631e24ede12p-10, 0x1.dba0e0990341bp-10, 0x1.cd469ae97d7dcp-10, 0x1.bf51ca5a837dep-10, 0x1.b1bff8fe7fd2dp-10, 0x1.a48ebd880ca81p-10, 0x1.97bbbb1aab36fp-10, 0x1.8b44a11c9c953p-10, 0x1.7f272b08dc4a1p-10, 0x1.73612040febe4p-10, 0x1.67f053df8943fp-10, 0x1.5cd2a48aea006p-10, 0x1.5205fc477280fp-10, 0x1.4788504ba3aap-10, 0x1.3d57a0d2e8d3dp-10, 0x1.3371f8f180a4ap-10, 0x1.29d56e68bdbd6p-10, 0x1.2080217b40a4dp-10, 0x1.17703cc1b8ce2p-10, 0x1.0ea3f5001cf7ep-10, 0x1.061988fad698fp-10, 0x1.fb9e829947638p-11, 0x1.eb86e07942144p-11, 0x1.dbe8e32a11d2ep-11, 0x1.ccc154f2b8ce8p-11, 0x1.be0d127ccac5ap-11, 0x1.afc90a82afb97p-11, 0x1.a1f23d800ec4fp-11, 0x1.9485bd612e90fp-11, 0x1.8780ad365f5bfp-11, 0x1.7ae040e503716p-11, 0x1.6ea1bcdb2c88ap-11, 0x1.62c275c2b7e2dp-11, 0x1.573fd036bd8fap-11, 0x1.4c174078bc5d8p-11, 0x1.41464a26af136p-11, 0x1.36ca7ff25aaa7p-11, 0x1.2ca1835936543p-11, 0x1.22c9045cead2bp-11, 0x1.193ec13d842ffp-11, 0x1.1000863310a41p-11, 0x1.070c2d2960319p-11, 0x1.fcbf3af5c78p-12, 0x1.ebf1975f25bacp-12, 0x1.dbab7272679fp-12, 0x1.cbe8e863892a2p-12, 0x1.bca62e371f09bp-12, 0x1.addf9141d18f1p-12, 0x1.9f9176aaecab5p-12, 0x1.91b85aef0e8aep-12, 0x1.8450d16662918p-12, 0x1.775783cafda9cp-12, 0x1.6ac931c22954ap-12, 0x1.5ea2b065c864ap-12, 0x1.52e0e9d0ff242p-12, 0x1.4780dcadc5ab6p-12, 0x1.3c7f9bc255488p-12, 0x1.31da4d84f75c7p-12, 0x1.278e2bac6dabbp-12, 0x1.1d9882c48ff29p-12, 0x1.13f6b1c4afe25p-12, 0x1.0aa629a5223f3p-12, 0x1.01a46cfa96a15p-12, 0x1.f1de1f1f8b3d1p-13, 0x1.e1076c02a034ep-13, 0x1.d0c02ab8fcf3cp-13, 0x1.c103e57cd6f1ap-13, 0x1.b1ce45ea00731p-13, 0x1.a31b144346bf7p-13, 0x1.94e636bd23211p-13, 0x1.872bb0c79cbbdp-13, 0x1.79e7a26031d3cp-13, 0x1.6d1647611bbdbp-13, 0x1.60b3f6d932791p-13, 0x1.54bd226403a15p-13, 0x1.492e558583b5ap-13, 0x1.3e043509c79a6p-13, 0x1.333b7e67bbb7p-13, 0x1.28d10721919c5p-13, 0x1.1ec1bc35f7e6dp-13, 0x1.150aa18227208p-13, 0x1.0ba8d136fceecp-13, 0x1.02997b4766154p-13, 0x1.f3b3c9b78995cp-14, 0x1.e2cecf94370fbp-14, 0x1.d27ee41fc58aep-14, 0x1.c2bf0a9ca347fp-14, 0x1.b38a6c9573331p-14, 0x1.a4dc58de5b93ep-14, 0x1.96b042a2edacap-14, 0x1.8901c0711949dp-14, 0x1.7bcc8b4fdc65ep-14, 0x1.6f0c7dd84069ep-14, 0x1.62bd935523424p-14, 0x1.56dbe6df320e1p-14, 0x1.4b63b2935e712p-14, 0x1.40514eb253e4ep-14, 0x1.35a130daf2beap-14, 0x1.2b4feb3d060f5p-14, 0x1.215a2bcd70ef4p-14, 0x1.17bcbb9402932p-14, 0x1.0e747de5da159p-14, 0x1.057e6fae5a266p-14, 0x1.f9af4d7798485p-15, 0x1.e8faa21dc4651p-15, 0x1.d8d96860d4716p-15, 0x1.c9465914b7f63p-15, 0x1.ba3c597ec31cdp-15, 0x1.abb67a1dd1c06p-15, 0x1.9daff56cad3e4p-15, 0x1.90242eb4a8caep-15, 0x1.830eb0df1d8b6p-15, 0x1.766b2d55297bdp-15, 0x1.6a357adff0c1cp-15, 0x1.5e699494f3593p-15, 0x1.530398c993d37p-15, 0x1.47ffc801d0104p-15, 0x1.3d5a83f6973c8p-15, 0x1.33104e9d6dcdbp-15, 0x1.291dc9144232ep-15, 0x1.1f7fb2e08e3f2p-15, 0x1.1632e8e4934c8p-15, 0x1.0d3464848289p-15, 0x1.04813ac72176p-15, 0x1.f82d36f74cb51p-16, 0x1.e7e3a0d58945dp-16, 0x1.d8207903e8dd5p-16, 0x1.c8deb61bf68fbp-16, 0x1.ba197deccf5efp-16, 0x1.abcc23fe0c2d1p-16, 0x1.9df22818d44c7p-16, 0x1.908734eb97eacp-16, 0x1.83871e8e342e6p-16, 0x1.76ede145e8f29p-16, 0x1.6ab7a026b4787p-16, 0x1.5ee0a3d3df142p-16, 0x1.5365594493098p-16, 0x1.4842508ab9ea4p-16, 0x1.3d743bae11218p-16, 0x1.32f7ed7d4d6bdp-16, 0x1.28ca588f8d8e5p-16, 0x1.1ee88df0ff8aap-16, 0x1.154fbc62916e7p-16, 0x1.0bfd2f3b75d3dp-16, 0x1.02ee4d52febap-16, 0x1.f4413042cfb2ep-17, 0x1.e323559af738bp-17, 0x1.d27e7286ac11dp-17, 0x1.c24e1ead8ddc1p-17, 0x1.b28e1fc5ccbc3p-17, 0x1.a33a67f3dda0ap-17, 0x1.944f142be4ap-17, 0x1.85c86aa55f8ecp-17, 0x1.77a2d94d3e7fdp-17, 0x1.69daf467a50ffp-17, 0x1.5c6d7501168d4p-17, 0x1.4f5737a1630fcp-17, 0x1.42953af7af4d7p-17, 0x1.36249e80d5158p-17, 0x1.2a02a1568df2bp-17, 0x1.1e2ca0fbe72aep-17, 0x1.12a017ea9b02dp-17, 0x1.075a9ce057ea7p-17, 0x1.f8b3c2f591b4fp-18, 0x1.e3376268724f5p-18, 0x1.ce3be0cdf6535p-18, 0x1.b9bd3648ee242p-18, 0x1.a5b788f95afd8p-18, 0x1.92272ab407884p-18, 0x1.7f08978d9793ep-18, 0x1.6c5873bca0803p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.05d5bdac43052p+0, -0x1.0f9b45d07a199p+0, -0x1.17cae24ba784dp+0, -0x1.1e6f9226993a9p+0, -0x1.23972820c1b95p+0, -0x1.2751b1386afa7p+0, -0x1.29b0d8d843691p+0, -0x1.2ac77aa0923b5p+0, -0x1.2aa95d94c3349p+0, -0x1.296adfbe45039p+0, -0x1.27209759c47eep+0, -0x1.23df164e13e32p+0, -0x1.1fbac9526b618p+0, -0x1.1ac7cf7af71f1p+0, -0x1.1519c530bc9dep+0, -0x1.0ec398d0a0909p+0, -0x1.07d778bde9506p+0, -0x1.0066d5fd246ebp+0, -0x1.f104d34536f66p-1, -0x1.e07458c40da35p-1, -0x1.cf3a7c0cf45f4p-1, -0x1.bd7405f428bc6p-1, -0x1.ab3a64006f286p-1, -0x1.98a6a1e870ed6p-1, -0x1.85cfbace5f762p-1, -0x1.72cb0e469a86bp-1, -0x1.5fac57a26086cp-1, -0x1.4c85aaf37e419p-1, -0x1.39678494a3f4bp-1, -0x1.2660e4a5e9af5p-1, -0x1.137f691c5c40ap-1, -0x1.00cf601d105b1p-1, -0x1.dcb7abeac0c88p-2, -0x1.b85d49a8f4478p-2, -0x1.94a111407ffffp-2, -0x1.719269583d37bp-2, -0x1.4f3ecfde49b9fp-2, -0x1.2db1fc6d9456ep-2, -0x1.0cf5fdfd6d84cp-2, -0x1.da26acff61c1dp-3, -0x1.9c222bbcc6c78p-3, -0x1.5fe9e8a0d29b9p-3, -0x1.2586d71a0ddbp-3, -0x1.d9ff3b1b6087ap-4, -0x1.6cb18715aa64p-4, -0x1.0329be00bc997p-4, -0x1.3ad302771791dp-5, -0x1.db79ec50e91e1p-7, 0x1.164c1e8552e27p-7, 0x1.f51f48e304502p-6, 0x1.a82a229639969p-5, 0x1.273cb9b110e9dp-4, 0x1.76cc1d522ae13p-4, 0x1.c2d22d45ac905p-4, 0x1.05afa0850077p-3, 0x1.28427001314a6p-3, 0x1.492ac7a36f58fp-3, 0x1.687252f1a1356p-3, 0x1.86231454f2edep-3, 0x1.a247569ba8675p-3, 0x1.bce9a12f465b2p-3, 0x1.d614adc092965p-3, 0x1.edd35e3e0a3acp-3, 0x1.02185b0873a5ap-2, 0x1.0c9c17ecd7458p-2, 0x1.167a407e8e1c2p-2, 0x1.1fb85d4793bbp-2, 0x1.285bed0af2fc6p-2, 0x1.306a5f86e0c1cp-2, 0x1.37e911677db24p-2, 0x1.3edd4964fb688p-2, 0x1.454c3662be3f6p-2, 0x1.4b3aee4fddc4dp-2, 0x1.50ae6d8373431p-2, 0x1.55ab9654803a3p-2, 0x1.5a3730b8ad79bp-2, 0x1.5e55e9c2ee467p-2, 0x1.620c52e9a1736p-2, 0x1.655ee10b642e3p-2, 0x1.6851eb3a9fe92p-2, 0x1.6ae9a968a4cc7p-2, 0x1.6d2a3316850f5p-2, 0x1.6f177e38406fcp-2, 0x1.70b55e7369f17p-2, 0x1.720784d5a039fp-2, 0x1.7311800c39e07p-2, 0x1.73d6bd124ef4fp-2, 0x1.745a8839e1553p-2, 0x1.74a00e6b67753p-2, 0x1.74aa5e7596d4fp-2, 0x1.747c6a4cb0558p-2, 0x1.74190822af156p-2, 0x1.7382f34db0667p-2, 0x1.72bcccfd6e216p-2, 0x1.71c91cc9dad46p-2, 0x1.70aa512a8bb49p-2, 0x1.6f62bfe86ed88p-2, 0x1.6df4a69954b1bp-2, 0x1.6c622b3016bc9p-2, 0x1.6aad5ca5d89dfp-2, 0x1.68d833ba89914p-2, 0x1.66e493c5a7452p-2, 0x1.64d44b8d6308cp-2, 0x1.62a91619db567p-2, 0x1.60649b7c04d95p-2, 0x1.5e087183213bep-2, 0x1.5b961c5f7ba6bp-2, 0x1.590f0f3487e59p-2, 0x1.5674ac9ed82bfp-2, 0x1.53c8473369498p-2, 0x1.510b21fd8e964p-2, 0x1.4e3e70ffd1034p-2, 0x1.4b6359ba801fap-2, 0x1.487af3b926bb2p-2, 0x1.45864926aadafp-2, 0x1.42865766b685fp-2, 0x1.3f7c0fb244869p-2, 0x1.3c6857b4c94eep-2, 0x1.394c0a27442d7p-2, 0x1.3627f766b7276p-2, 0x1.32fce603f14c7p-2, 0x1.2fcb934b18aa2p-2, 0x1.2c94b3c20b345p-2, 0x1.2958f39d50461p-2, 0x1.2618f72bd76b6p-2, 0x1.22d55b3a36229p-2, 0x1.1f8eb56e4a297p-2, 0x1.1c45949c3cc8p-2, 0x1.18fa8115dd648p-2, 0x1.15adfcf51a9abp-2, 0x1.126084623d72bp-2, 0x1.0f128dd64e827p-2, 0x1.0bc48a59f5e62p-2, 0x1.0876e5c0f4d91p-2, 0x1.052a06e263984p-2, 0x1.01de4fcdc2f32p-2, 0x1.fd283bfa123fcp-3, 0x1.f6979507a9d94p-3, 0x1.f00b5477e773dp-3, 0x1.e9841bdf0ca71p-3, 0x1.e3028501f3cp-3, 0x1.dc87222242d93p-3, 0x1.d6127e474d3fcp-3, 0x1.cfa51d841e48fp-3, 0x1.c93f7d3af93f1p-3, 0x1.c2e2145ea4988p-3, 0x1.bc8d53b1a1054p-3, 0x1.b643d76bd56c4p-3, 0x1.b001af5a71a0bp-3, 0x1.a9c9583c4e214p-3, 0x1.a39b2d2735fd2p-3, 0x1.9d7783f76b3bbp-3, 0x1.975ead8372f85p-3, 0x1.9150f5d2655e9p-3, 0x1.8b4ea453e4bdap-3, 0x1.8557fc18c2c58p-3, 0x1.7f6d3c0b61284p-3, 0x1.798e9f26d5921p-3, 0x1.73bc5cac00817p-3, 0x1.6df6a853dc847p-3, 0x1.683db27e7e656p-3, 0x1.6291a85e5af7cp-3, 0x1.5cf2b41faaefap-3, 0x1.5760fd0bc8b2fp-3, 0x1.51dca7a8bc0b1p-3, 0x1.4c65d5d5127f5p-3, 0x1.46fca6e06c23fp-3, 0x1.41a137a11f61ap-3, 0x1.3c53a2875c621p-3, 0x1.3713ffae5bfdp-3, 0x1.31e264ec08194p-3, 0x1.2cbee5df8e194p-3, 0x1.27a993ff4b084p-3, 0x1.22a27ea65ef06p-3, 0x1.1da9b3223764fp-3, 0x1.18bf3cc03e1d3p-3, 0x1.13e324dbd415ap-3, 0x1.0f1572ecae543p-3, 0x1.0a562c9589c1bp-3, 0x1.05a555b3450bap-3, 0x1.0102f06c3b9d6p-3, 0x1.f8ddfa7fa3b83p-4, 0x1.efd2f62c2976fp-4, 0x1.e6e4ce9ea2d22p-4, 0x1.de137ba6fcb02p-4, 0x1.d55ef242c2e83p-4, 0x1.ccc724baace63p-4, 0x1.c44c02bf4216cp-4, 0x1.bbed79845c0e7p-4, 0x1.b3ab73db99c4fp-4, 0x1.ab85da4d810bep-4, 0x1.a37c93316a655p-4, 0x1.9b8f82c4221fcp-4, 0x1.93be8b3d5b8fp-4, 0x1.8c098ce3e6624p-4, 0x1.84706620e0d78p-4, 0x1.7cf2f391dee22p-4, 0x1.7591101a329abp-4, 0x1.6e4a94f36db61p-4, 0x1.671f59bd3a1adp-4, 0x1.600f348ca450cp-4, 0x1.5919f9faf695bp-4, 0x1.523f7d3438d06p-4, 0x1.4b7f90056f402p-4, 0x1.44da02eaa4ebdp-4, 0x1.3e4ea51cd6946p-4, 0x1.37dd449fc3164p-4, 0x1.3185ae4faca9ap-4, 0x1.2b47adef0c97ap-4, 0x1.25230e343a71p-4, 0x1.1f1798d706412p-4, 0x1.1925169e3f661p-4, 0x1.134b4f6d2511fp-4, 0x1.0d8a0a50b8027p-4, 0x1.07e10d8ce4495p-4, 0x1.02501ea97fa11p-4, 0x1.f9ae04fe1f9fep-5, 0x1.eeeafa86a90e3p-5, 0x1.e456a52b16793p-5, 0x1.d9f08b14d3ae8p-5, 0x1.cfb8316f90dadp-5, 0x1.c5ad1c7fec70fp-5, 0x1.bbcecfb9715e3p-5, 0x1.b21ccdd3dc862p-5, 0x1.a89698dfb090dp-5, 0x1.9f3bb25a10a6dp-5, 0x1.960b9b3fe6adfp-5, 0x1.8d05d420588c7p-5, 0x1.8429dd2e8aaf2p-5, 0x1.7b773652bd31fp-5, 0x1.72ed5f3ac4046p-5, 0x1.6a8bd769e38acp-5, 0x1.62521e48153fap-5, 0x1.5a3fb330bff3p-5, 0x1.52541580eab01p-5, 0x1.4a8ec4a4ec662p-5, 0x1.42ef4025a5591p-5, 0x1.3b7507b54585p-5, 0x1.341f9b3ba9194p-5, 0x1.2cee7ae24bc0cp-5, 0x1.25e1271fdacdep-5, 0x1.1ef720c36e086p-5, 0x1.182fe8ff6289fp-5, 0x1.118b0173e3ap-5, 0x1.0b07ec391e884p-5, 0x1.04a62be925405p-5, 0x1.fcca875307dbbp-6, 0x1.f0896e690b683p-6, 0x1.e48815c45de42p-6, 0x1.d8c58761d59a4p-6, 0x1.cd40ce9bd6a76p-6, 0x1.c1f8f83a86833p-6, 0x1.b6ed12835c477p-6, 0x1.ac1c2d4827bfp-6, 0x1.a18559f57cf16p-6, 0x1.9727aba08be7bp-6, 0x1.8d0237146614p-6, 0x1.831412deb0a62p-6, 0x1.795c575bc1b25p-6, 0x1.6fda1ec232b79p-6, 0x1.668c852dda725p-6, 0x1.5d72a8aa4480dp-6, 0x1.548ba93c8ccfap-6, 0x1.4bd6a8ecc3652p-6, 0x1.4352cbceba4b2p-6, 0x1.3aff380a5419ap-6, 0x1.32db15e34c1aap-6, 0x1.2ae58fc08619p-6, 0x1.231dd232d65fep-6, 0x1.1b830bfb52cd7p-6, 0x1.14146e1131324p-6, 0x1.0cd12ba72ca8p-6, 0x1.05b87a3076184p-6, 0x1.fd9322ca7d745p-7, 0x1.f007568d9a19p-7, 0x1.e2cc084664378p-7, 0x1.d5dfb5312203ep-7, 0x1.c940df30146fp-7, 0x1.bcee0cd081b6bp-7, 0x1.b0e5c94f12da6p-7, 0x1.a526a49b6d6fdp-7, 0x1.99af335b2a35fp-7, 0x1.8e7e0eec1783bp-7, 0x1.8391d565df7e2p-7, 0x1.78e9299b0403fp-7, 0x1.6e82b319483b4p-7, 0x1.645d1e2980b7bp-7, 0x1.5a771bcece72p-7, 0x1.50cf61c548ca5p-7, 0x1.4764aa802f356p-7, 0x1.3e35b52786ff8p-7, 0x1.354145953729ap-7, 0x1.2c862451b4628p-7, 0x1.24031e902ca65p-7, 0x1.1bb7062a38b5p-7, 0x1.13a0b19b2fcdbp-7, 0x1.0bbefbfafb7b6p-7, 0x1.0410c4f88a466p-7, 0x1.f929e1a7c563fp-8, 0x1.ea94d0af8874cp-8, 0x1.dc6031a60822bp-8, 0x1.ce89e822e54bdp-8, 0x1.c10fe0a8fdc5cp-8, 0x1.b3f01096feb52p-8, 0x1.a72876173f181p-8, 0x1.9ab7180f30c2fp-8, 0x1.8e9a060e0f24ep-8, 0x1.82cf583b15dc6p-8, 0x1.77552f433077fp-8, 0x1.6c29b446127fcp-8, 0x1.614b18c3013f5p-8, 0x1.56b79684f80d2p-8, 0x1.4c6d6f8e7ca25p-8, 0x1.426aee04f23fbp-8, 0x1.38ae641ba74c2p-8, 0x1.2ea8635abfd28p-8, 0x1.2570e3d8c2f9bp-8, 0x1.1c7ab466a8589p-8, 0x1.13c446d3e7658p-8, 0x1.0b4c1470071e6p-8, 0x1.03109df424677p-8, 0x1.f620d6d8ba389p-9, 0x1.e694184244285p-9, 0x1.d7782d00d72f3p-9, 0x1.c8ca500dab434p-9, 0x1.ba87ca516eaf7p-9, 0x1.acadf27638c75p-9, 0x1.9f3a2cb97669bp-9, 0x1.9229eabdca204p-9, 0x1.857aab5cd52bp-9, 0x1.7929fa7916801p-9, 0x1.6d3570cfb4669p-9, 0x1.619ab3ca56f5fp-9, 0x1.5657755115b83p-9, 0x1.4b69739c77508p-9, 0x1.40ce79078c274p-9, 0x1.36845be2241b1p-9, 0x1.2c88fe432329p-9, 0x1.22da4ddb0dcf7p-9, 0x1.197643c6bb292p-9, 0x1.105ae46227aecp-9, 0x1.07863f1ba68bdp-9, 0x1.fdecdc8e59b1ap-10, 0x1.ed532de3c0c6ep-10, 0x1.dd3bd16bef0e3p-10, 0x1.cda33b1dc348dp-10, 0x1.be85f35b41259p-10, 0x1.afe0969b3bd67p-10, 0x1.a1afd51340d38p-10, 0x1.93f072628fb4fp-10, 0x1.869f453d83c3ep-10, 0x1.79b93719d2578p-10, 0x1.6d3b43db86583p-10, 0x1.61227982b6a95p-10, 0x1.556bf7da29033p-10, 0x1.4a14f026896bbp-10, 0x1.3f1aa4d6a022ap-10, 0x1.347a69345b397p-10, 0x1.2a31a116a8761p-10, 0x1.203dc0940fbc5p-10, 0x1.169c4bb665d15p-10, 0x1.0d4ad62f3e86p-10, 0x1.0447030d2ae48p-10, 0x1.f71d08e3e09b9p-11, 0x1.e63e36937c89bp-11, 0x1.d5ed2e0625b49p-11, 0x1.c625aa8f2339dp-11, 0x1.b6e3836b8ace1p-11, 0x1.a822ab375ff9p-11, 0x1.99df2f645c747p-11, 0x1.8c1537b2cf59ep-11, 0x1.7ec105abbb29dp-11, 0x1.71def41cb1757p-11, 0x1.656b76958e63ep-11, 0x1.596318e75184dp-11, 0x1.4dc27ea54dd76p-11, 0x1.428662a713978p-11, 0x1.37ab968c77d31p-11, 0x1.2d2f0242e415ap-11, 0x1.230da38c19a09p-11, 0x1.19448d8693a44p-11, 0x1.0fd0e836fa9e7p-11, 0x1.06aff013ad9f5p-11, 0x1.fbbdeb21c059dp-12, 0x1.eab6b95dc7ca3p-12, 0x1.da4539129cb2dp-12, 0x1.ca647dcf3be5fp-12, 0x1.bb0fbf9efdf01p-12, 0x1.ac425a3055e46p-12, 0x1.9df7cbfe67099p-12, 0x1.902bb57d70f61p-12, 0x1.82d9d84aa72b4p-12, 0x1.75fe165dd074ap-12, 0x1.6994713e9809p-12, 0x1.5d99093c49765p-12, 0x1.52081ca8a209p-12, 0x1.46de0716786f9p-12, 0x1.3c174099ead47p-12, 0x1.31b05d0ce4747p-12, 0x1.27a60b56576a4p-12, 0x1.1df514b45f5ddp-12, 0x1.149a5c0a92431p-12, 0x1.0b92dd32656b2p-12, 0x1.02dbac50058bep-12, 0x1.f4e3ea53e3b03p-13, 0x1.e4a5f50803614p-13, 0x1.d4f82afc1173fp-13, 0x1.c5d569ebf81fp-13, 0x1.b738b9dac5fa4p-13, 0x1.a91d4be40c5ecp-13, 0x1.9b7e791581924p-13, 0x1.8e57c14e544f6p-13, 0x1.81a4ca2620f75p-13, 0x1.75615dda35c1cp-13, 0x1.69896a41b26c8p-13, 0x1.5e18ffc8d5643p-13, 0x1.530c5072201e4p-13, 0x1.485faedf2537bp-13, 0x1.3e0f8d5d9dda6p-13, 0x1.34187cfe02ae4p-13, 0x1.2a772cad6ef6ep-13, 0x1.21286856cd153p-13, 0x1.18291809e98adp-13, 0x1.0f763f283da95p-13, 0x1.070cfb96ae77bp-13, 0x1.fdd509ec315eep-14, 0x1.ee1857bfa5dfep-14, 0x1.dedeb251df0cp-14, 0x1.d0231a5092bf4p-14, 0x1.c1e0be08ad60ap-14, 0x1.b412f8045f43p-14, 0x1.a6b54dba7d2a7p-14, 0x1.99c36e40192c9p-14, 0x1.8d393106f7e08p-14, 0x1.811294a120afp-14, 0x1.754bbd8fb971ep-14, 0x1.69e0f518995f1p-14, 0x1.5ecea822fb01cp-14, 0x1.5411661bc36fbp-14, 0x1.49a5dfe24352fp-14, 0x1.3f88e6bb1a45bp-14, 0x1.35b76b49b2d7ep-14, 0x1.2c2e7c91852dep-14, 0x1.22eb46fcf9536p-14, 0x1.19eb136a041d2p-14, 0x1.112b464042b8ap-14, 0x1.08a95e88b31fcp-14, 0x1.0062f50f0f149p-14, 0x1.f0ab7708a61bcp-15, 0x1.e0fef75b93708p-15, 0x1.d1bc2d27eb8ecp-15, 0x1.c2df07710ec2cp-15, 0x1.b463a0a414f12p-15, 0x1.a6463d19bd7e1p-15, 0x1.9883499f40a7ap-15, 0x1.8b175a0f57c07p-15, 0x1.7dff27ef098c2p-15, 0x1.71379116eb841p-15, 0x1.64bd9664c5b4cp-15, 0x1.588e5a77b5fecp-15, 0x1.4ca72071ba203p-15, 0x1.41054ac959345p-15, 0x1.35a65a1b32893p-15, 0x1.2a87ec09e25a6p-15, 0x1.1fa7ba24958dbp-15, 0x1.150398d517492p-15, 0x1.0a99765711bcbp-15, 0x1.006759b79a1ap-15, 0x1.ecd6c3aa380a4p-16, 0x1.d94788ed71b92p-16, 0x1.c61d9ab31c99p-16, 0x1.b355baa3d971ap-16, 0x1.a0ecd2d03cc57p-16, 0x1.8edff413545fcp-16, 0x1.7d2c546b9ff97p-16, 0x1.6bcf4d6c36e39p-16, 0x1.5ac65ab7f1826p-16, 0x1.4a0f188847a72p-16, 0x1.39a7424423245p-16, 0x1.298cb11e9798ap-16, 0x1.19bd5ac31c452p-16, 0x1.0a37500dce5a2p-16, 0x1.f5f1779beb86bp-17, 0x1.d7ffc31f5efe8p-17, 0x1.ba9638f51f10ap-17, 0x1.9db1bc601ad74p-17, 0x1.814f5b6c871bfp-17, 0x1.656c4ce5bcf26p-17, 0x1.4a05ee4b77c79p-17, 0x1.2f19c1f1e6244p-17, 0x1.14a56d0a411dcp-17, 0x1.f54d6bf5a809fp-18, 0x1.c237051d4d773p-18, 0x1.9003aca7a0e5bp-18, 0x1.5eafa20811789p-18, 0x1.2e3759ede6fa7p-18, 0x1.fd2ef6b4d5a68p-19, 0x1.9f99b99fb14d1p-19, 0x1.43a902eeee5fp-19, 0x1.d2ae5ac8d80cep-20, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.45ab2be5cb98ap-2, -0x1.69017ae1969c7p-2, -0x1.8ac2bf37eea2ap-2, -0x1.aade1351e3972p-2, -0x1.c9477783d7bfp-2, -0x1.e5f73b6352c77p-2, -0x1.0074b980fb113p-1, -0x1.0d0ec0ffe29ffp-1, -0x1.18cad646c9b4p-1, -0x1.23ab55165d463p-1, -0x1.2db3a639dcd18p-1, -0x1.36e8189c350bcp-1, -0x1.3f4dbaa33be26p-1, -0x1.46ea37b15e372p-1, -0x1.4dc3baf33d2cbp-1, -0x1.53e0d578123c7p-1, -0x1.5948677efab7ep-1, -0x1.5e018c787b22ep-1, -0x1.621388178547ep-1, -0x1.6585b4829feafp-1, -0x1.685f73612bb21p-1, -0x1.6aa8235108313p-1, -0x1.6c67124f7aa28p-1, -0x1.6da37d47c1c72p-1, -0x1.6e64831a7c576p-1, -0x1.6eb11e672a0bp-1, -0x1.6e901f5d6ccf6p-1, -0x1.6e08278bf70ddp-1, -0x1.6d1fa6fc6ccp-1, -0x1.6bdcd9df0ed8p-1, -0x1.6a45c687e421ep-1, -0x1.68603bce43572p-1, -0x1.6631cfdd3f703p-1, -0x1.63bfdf725e522p-1, -0x1.610f8d8ef416dp-1, -0x1.5e25c3aa09d65p-1, -0x1.5b07325fc14edp-1, -0x1.57b852771a26p-1, -0x1.543d6603b0103p-1, -0x1.509a797d3ada7p-1, -0x1.4cd364d33c545p-1, -0x1.48ebcca1f7e11p-1, -0x1.44e723a6d4533p-1, -0x1.40c8ac6fae612p-1, -0x1.3c937b218676bp-1, -0x1.384a772ef45a3p-1, -0x1.33f05cec65a6p-1, -0x1.2f87bf0b6422ep-1, -0x1.2b1308134ad89p-1, -0x1.26947be87c2bep-1, -0x1.220e396501d84p-1, -0x1.1d823bfb59376p-1, -0x1.18f25d5b16584p-1, -0x1.14605712d5b18p-1, -0x1.0fcdc42c6bd25p-1, -0x1.0b3c22bd1ba32p-1, -0x1.06acd55fbf512p-1, -0x1.0221248fbfb16p-1, -0x1.fb347fc77c6d4p-2, -0x1.f2327e6470c69p-2, -0x1.e93e4764cfad7p-2, -0x1.e059b254556ccp-2, -0x1.d7866e5d2fc61p-2, -0x1.cec6038e879cfp-2, -0x1.c619dc2dc9a8cp-2, -0x1.bd833b1135ee5p-2, -0x1.b5034565f5008p-2, -0x1.ac9b02cadbb8p-2, -0x1.a44b5f1ea5f5bp-2, -0x1.9c152c35315c5p-2, -0x1.93f92375fe4cfp-2, -0x1.8bf7e765ada3cp-2, -0x1.8412051bdcceep-2, -0x1.7c47f5a6ad2dfp-2, -0x1.749a1f5d9f23ep-2, -0x1.6d08d725638cap-2, -0x1.659461a5a6a1bp-2, -0x1.5e3cf470a6917p-2, -0x1.5702b71b90186p-2, -0x1.4fe5c446b32fp-2, -0x1.48e62a95b0569p-2, -0x1.4203ed98f0bafp-2, -0x1.3b3f06aa45084p-2, -0x1.349765be11d4fp-2, -0x1.2e0cf2293ed89p-2, -0x1.279f8b5b5365fp-2, -0x1.214f098bfc021p-2, -0x1.1b1b3e5c01023p-2, -0x1.1503f56ab1accp-2, -0x1.0f08f4e185594p-2, -0x1.0929fdf7a7b85p-2, -0x1.0366cd6e7baafp-2, -0x1.fb7e380e4c837p-3, -0x1.f0653de13b005p-3, -0x1.e582105b2407fp-3, -0x1.dad40de410e97p-3, -0x1.d05a8ff26fa99p-3, -0x1.c614eba997c95p-3, -0x1.bc02726dc9af1p-3, -0x1.b222726fb410fp-3, -0x1.a87437304e156p-3, -0x1.9ef709fcaaaf7p-3, -0x1.95aa3260a5949p-3, -0x1.8c8cf68f68128p-3, -0x1.839e9bc1785d4p-3, -0x1.7ade66891be22p-3, -0x1.724b9b1ea7677p-3, -0x1.69e57da6c30ebp-3, -0x1.61ab52745d8dap-3, -0x1.599c5e47494cap-3, -0x1.51b7e687b4aep-3, -0x1.49fd317dd3b9bp-3, -0x1.426b8684d83dp-3, -0x1.3b022e3863815p-3, -0x1.33c0729c16ff2p-3, -0x1.2ca59f3d7c5a8p-3, -0x1.25b101510d34bp-3, -0x1.1ee1e7cb5aca7p-3, -0x1.1837a377709bfp-3, -0x1.11b1870b39c92p-3, -0x1.0b4ee73a6d13ap-3, -0x1.050f1ac803eccp-3, -0x1.fde2f52c38071p-4, -0x1.f1eac367bfd9ep-4, -0x1.e6345ad26d629p-4, -0x1.dabe7a8007692p-4, -0x1.cf87e6162802ep-4, -0x1.c48f65d5cba4ep-4, -0x1.b9d3c6a1741f8p-4, -0x1.af53da0099fdp-4, -0x1.a50e76215b834p-4, -0x1.9b0275d8d2e7cp-4, -0x1.912eb8a2966a6p-4, -0x1.8792229f3efbp-4, -0x1.7e2b9c920160ep-4, -0x1.74fa13dcf9216p-4, -0x1.6bfc7a7bf6e1ep-4, -0x1.6331c6fd9b07cp-4, -0x1.5a98f47ab450ep-4, -0x1.5231028c01026p-4, -0x1.49f8f53e8acaap-4, -0x1.41efd506f84b2p-4, -0x1.3a14aeb433fd1p-4, -0x1.32669361c3381p-4, -0x1.2ae4986a1a67ep-4, -0x1.238dd75920ef3p-4, -0x1.1c616ddef9a61p-4, -0x1.155e87b3f5ab6p-4, -0x1.0e84348378788p-4, -0x1.07d1aa4a46b25p-4, -0x1.014616d69bf5p-4, -0x1.f5c157b033bb1p-5, -0x1.e9413da387de4p-5, -0x1.dd0a5217c3946p-5, -0x1.d11b0f0b901b3p-5, -0x1.c571f5cf0cf5p-5, -0x1.ba0d8ee7046e9p-5, -0x1.aeec69eff7ae6p-5, -0x1.a40d1d811499bp-5, -0x1.996e470f1d4c4p-5, -0x1.8f0e8acf563fbp-5, -0x1.84ec939a85b04p-5, -0x1.7b0712d01d947p-5, -0x1.715cc0399b698p-5, -0x1.67ec59ee27aefp-5, -0x1.5eb4a436891f5p-5, -0x1.55b46971768e4p-5, -0x1.4cea79f843e73p-5, -0x1.4455ac03fb302p-5, -0x1.3bf4db92dd57dp-5, -0x1.33c6ea4e566b3p-5, -0x1.2bcabf71593c9p-5, -0x1.23ff47af2f25ep-5, -0x1.1c63751ab429bp-5, -0x1.14f63f0e01e86p-5, -0x1.0db6a2128153p-5, -0x1.06a39fc968618p-5, -0x1.ff787da93988p-6, -0x1.f1ff157ff17c8p-6, -0x1.e4d927d5cd212p-6, -0x1.d804dee4d07e3p-6, -0x1.cb806e36d32c1p-6, -0x1.bf4a127ad9e9bp-6, -0x1.b360115b22ee8p-6, -0x1.a7c0b953c3e74p-6, -0x1.9c6a618a0103dp-6, -0x1.915b69a43b505p-6, -0x1.869239a27b469p-6, -0x1.7c0d41b7aecf8p-6, -0x1.71cafa236f15p-6, -0x1.67c9e30c7be09p-6, -0x1.5e08845bc51f2p-6, -0x1.54856d981bdf2p-6, -0x1.4b3f35c27d6a5p-6, -0x1.42347b32fa971p-6, -0x1.3963e37637cd9p-6, -0x1.30cc1b2b87dcp-6, -0x1.286bd5e399294p-6, -0x1.2041cdffc13bap-6, -0x1.184cc491d665p-6, -0x1.108b813c97939p-6, -0x1.08fcd214a518bp-6, -0x1.019f8b8208fd1p-6, -0x1.f4e5104488a7cp-7, -0x1.e6e95155d99f3p-7, -0x1.d949a7997fb5cp-7, -0x1.cc03ec2e8eb65p-7, -0x1.bf1603b9e6868p-7, -0x1.b27dde2f6c116p-7, -0x1.a639769c34438p-7, -0x1.9a46d2f1838adp-7, -0x1.8ea403d0e838p-7, -0x1.834f24590905p-7, -0x1.784659f36444bp-7, -0x1.6d87d422f4797p-7, -0x1.6311cc5399f42p-7, -0x1.58e285aa5bc6dp-7, -0x1.4ef84cd66c586p-7, -0x1.455177e31021p-7, -0x1.3bec660a39ad3p-7, -0x1.32c77f87de45ap-7, -0x1.29e1356e1f1adp-7, -0x1.2138017a249d5p-7, -0x1.18ca65e9b2e79p-7, -0x1.1096ed5163a9cp-7, -0x1.089c2a73bfff9p-7, -0x1.00d8b818da33dp-7, -0x1.f29671cd53304p-8, -0x1.e3e4ae743592bp-8, -0x1.d5998a01633bap-8, -0x1.c7b27725cc3bbp-8, -0x1.ba2cf71e35372p-8, -0x1.ad06996a5cdep-8, -0x1.a03cfb857eb2ep-8, -0x1.93cdc89fe6927p-8, -0x1.87b6b959d20ecp-8, -0x1.7bf5937f8258dp-8, -0x1.708829c667a41p-8, -0x1.656c5b8b80c0bp-8, -0x1.5aa01492ce8eap-8, -0x1.50214cc7ff07bp-8, -0x1.45ee08000352dp-8, -0x1.3c0455bbf1fa6p-8, -0x1.326250ecbbf5ep-8, -0x1.29061fb82a2f3p-8, -0x1.1fedf33eb88ccp-8, -0x1.171807627ab23p-8, -0x1.0e82a28ef82bbp-8, -0x1.062c15822de55p-8, -0x1.fc25762ca293fp-9, -0x1.ec69f019324f9p-9, -0x1.dd2275b1ef9c4p-9, -0x1.ce4bf6dda8ef6p-9, -0x1.bfe3761d04d69p-9, -0x1.b1e6082777d43p-9, -0x1.a450d389d5bf6p-9, -0x1.97211046bdb5bp-9, -0x1.8a540778b3047p-9, -0x1.7de712f5cbf4cp-9, -0x1.71d79cf51f936p-9, -0x1.66231fb5cc2c3p-9, -0x1.5ac7252787d63p-9, -0x1.4fc14694fc5d4p-9, -0x1.450f2c4f5f8d3p-9, -0x1.3aae8d5be06c3p-9, -0x1.309d2f225dc9p-9, -0x1.26d8e51dce41dp-9, -0x1.1d5f908ded1d4p-9, -0x1.142f202a926b1p-9, -0x1.0b458fd807e8dp-9, -0x1.02a0e85d8085bp-9, -0x1.f47e7e388ed9p-10, -0x1.e43d6b90cbf47p-10, -0x1.d47af446476a9p-10, -0x1.c5338b6c3a483p-10, -0x1.b663bb20736abp-10, -0x1.a80824074dbbap-10, -0x1.9a1d7cc9eec4p-10, -0x1.8ca09197e830ep-10, -0x1.7f8e43aa28dcap-10, -0x1.72e388c946a78p-10, -0x1.669d6ad5a3715p-10, -0x1.5ab90751cbc8p-10, -0x1.4f338eefc24fp-10, -0x1.440a451fd657cp-10, -0x1.393a7fa231284p-10, -0x1.2ec1a61a4be5bp-10, -0x1.249d31a469284p-10, -0x1.1acaac6deb858p-10, -0x1.1147b14ecfb5cp-10, -0x1.0811eb65a87d5p-10, -0x1.fe4e2b6b8f5bap-11, -0x1.ed09f58dcacb9p-11, -0x1.dc52e88e57282p-11, -0x1.cc24d55e0c2f1p-11, -0x1.bc7ba9cd210e2p-11, -0x1.ad536fdab9bb6p-11, -0x1.9ea84d075ec68p-11, -0x1.907681ab12e18p-11, -0x1.82ba684f58fd7p-11, -0x1.7570750c4f35ep-11, -0x1.689534e88b733p-11, -0x1.5c254d3e70ab1p-11, -0x1.501d7b227057fp-11, -0x1.447a92cd4b287p-11, -0x1.39397f0a8e25fp-11, -0x1.2e5740a841334p-11, -0x1.23d0edeb6d62ep-11, -0x1.19a3b20678203p-11, -0x1.0fcccc9302641p-11, -0x1.0649910e9d70cp-11, -0x1.fa2eccb30f723p-12, -0x1.e8678c74769fdp-12, -0x1.d73879c24a342p-12, -0x1.c69cd0e2ffe7ap-12, -0x1.b63d42993687cp-12, -0x1.a6ba949e2cbddp-12, -0x1.97bdf5bd352fdp-12, -0x1.894327d623677p-12, -0x1.7b460c3a4a079p-12, -0x1.6dc2a2da38ad5p-12, -0x1.60b5097a410d1p-12, -0x1.54197aea56e65p-12, -0x1.47ec4e44308b4p-12, -0x1.3c29f62c3548cp-12, -0x1.30cf0017a1516p-12, -0x1.25d813970dc2ap-12, -0x1.1b41f1a4e4108p-12, -0x1.110973f881a6dp-12, -0x1.072b8c5be0e81p-12, -0x1.fb4a880ff4329p-13, -0x1.e8e77605957afp-13, -0x1.d7284f01e4a75p-13, -0x1.c607aa9bf1303p-13, -0x1.b5804a671d1f7p-13, -0x1.a58d18d3de4acp-13, -0x1.9629280ded1fap-13, -0x1.874fb0e6f0fe4p-13, -0x1.78fc11c5ae672p-13, -0x1.6b29cd9cc5b44p-13, -0x1.5dd48ae6d86dfp-13, -0x1.50f812aa27bfdp-13, -0x1.44904f828cbbap-13, -0x1.38994cb0d81c6p-13, -0x1.2d0f352d4377cp-13, -0x1.21ee52c7597d6p-13, -0x1.17330d440c8ap-13, -0x1.0cd9e984aea57p-13, -0x1.02df88b240171p-13, -0x1.f2814ee020c06p-14, -0x1.dff43a221784ap-14, -0x1.ce11b5a77eb14p-14, -0x1.bcd3d645e20eap-14, -0x1.ac34e1b592e81p-14, -0x1.9c2f4d25e4c66p-14, -0x1.8cbdbbdc1a5f5p-14, -0x1.7ddafdda3e38cp-14, -0x1.6f820e8a925f5p-14, -0x1.61ae137f1d5a9p-14, -0x1.545a5b2e5de6ep-14, -0x1.47825bbb6a109p-14, -0x1.3b21b1cbc2f8fp-14, -0x1.2f341f5e3bdd8p-14, -0x1.23b58aa90be42p-14, -0x1.18a1fd0955cfep-14, -0x1.0df5a1ee6bdcap-14, -0x1.03acc5d2a6c23p-14, -0x1.f387aa73e1924p-15, -0x1.e06eb76ca2ffep-15, -0x1.ce0805eb669d9p-15, -0x1.bc4d23a7a4d45p-15, -0x1.ab37d6e3544fcp-15, -0x1.9ac21cb0abfb8p-15, -0x1.8ae6273a79c5fp-15, -0x1.7b9e5c1180b0ep-15, -0x1.6ce552a12bdb3p-15, -0x1.5eb5d2926b3f7p-15, -0x1.510ad243f2a9dp-15, -0x1.43df7553e9bb3p-15, -0x1.372f0b2b80254p-15, -0x1.2af50d972fbd2p-15, -0x1.1f2d1f6df4c62p-15, -0x1.13d30b387df39p-15, -0x1.08e2c1ebf0615p-15, -0x1.fcb0b34f7fb89p-16, -0x1.e86018ff06095p-16, -0x1.d4cc6e9e46512p-16, -0x1.c1eeb120b7d08p-16, -0x1.afc01e8378f3dp-16, -0x1.9e3a33aa95897p-16, -0x1.8d56aa285ef5ep-16, -0x1.7d0f7664251f8p-16, -0x1.6d5ec57b9967cp-16, -0x1.5e3efb6aa4372p-16, -0x1.4faab12a0c04dp-16, -0x1.419cb2d1fb28bp-16, -0x1.340ffdf67f618p-16, -0x1.26ffbfe5b978fp-16, -0x1.1a6753fff5ceap-16, -0x1.0e424226608d8p-16, -0x1.028c3d249ec17p-16, -0x1.ee824284c7da2p-17, -0x1.d8b9e582567b5p-17, -0x1.c3b7b8f381635p-17, -0x1.af745cfc31758p-17, -0x1.9be8b98da5525p-17, -0x1.890dfbe6ea2a4p-17, -0x1.76dd9402700ecp-17, -0x1.6551324ffa0c5p-17, -0x1.5462c52db150bp-17, -0x1.440c76f6003b5p-17, -0x1.3448ab956cd38p-17, -0x1.2511fe9254983p-17, -0x1.166340f645fb6p-17, -0x1.0837775e97fep-17, -0x1.f513b01e76f6bp-18, -0x1.daab9251fb9bbp-18, -0x1.c12dbda4dc074p-18, -0x1.a891b325f654fp-18, -0x1.90cf49356c1c8p-18, -0x1.79dea862655dbp-18, -0x1.63b8484ec2f9ap-18, -0x1.4e54eca40ed7p-18, -0x1.39ada26f4066p-18, -0x1.25bbbcd61c259p-18, -0x1.1278d2f66be94p-18, -0x1.ffbd79bf1d837p-19, -0x1.dbcf22bd05ef3p-19, -0x1.b91b466eee8b1p-19, -0x1.9796fe8db88b2p-19, -0x1.7737d35500a2ap-19, -0x1.57f3b85649f9ep-19, -0x1.39c1077f0170bp-19, -0x1.1c967d3f8f6a8p-19, -0x1.006b34c871b17p-19, -0x1.ca6d47bcc47d1p-20, -0x1.95e12f595af3p-20, -0x1.632261e4358f9p-20, -0x1.3221c1c9bfbecp-20, -0x1.02d0cb3dd66a8p-20, -0x1.aa431c87bfd1p-21, -0x1.520d51dd7a58cp-21, -0x1.f9cd03b5fb8dcp-22, -0x1.556bf9789d432p-22, -0x1.6d90320672f4p-23, -0x1.db3d5940e4847p-26, 0x1.d7f24e1e47e6cp-24, 0x1.04732bc823dd8p-22, 0x1.8dd85cb22e995p-22, 0x1.09297ba203533p-21, 0x1.4904268fd58bcp-21, 0x1.868e1f278402cp-21, 0x1.c1d8a4bbb15d4p-21, 0x1.faf44d9e701f3p-21, 0x1.18f88723f6a29p-20, 0x1.336f20437993dp-20, 0x1.4ce5552fe62dfp-20, 0x1.6562423718ecbp-20, 0x1.7cecc0125243fp-20, 0x1.938b6695599f8p-20, 0x1.a944909c4758bp-20, 0x1.be1e5d5d5fbbp-20, 0x1.d21eb42d672e4p-20, 0x1.e54b466924b5ap-20, 0x1.f7a9921ddceb1p-20, 0x1.049f72284d4ffp-19, 0x1.0d082db05be8ep-19, 0x1.151174660a693p-19, 0x1.1cbdaa034589dp-19, 0x1.240f1d9e7a36p-19, 0x1.2b080b312e6cfp-19, 0x1.31aa9c05e1a8ep-19, 0x1.37f8e7ecd9d12p-19, 0x1.3df4f5d1f69eap-19, 0x1.43a0bca3b82cep-19, 0x1.48fe240a9de81p-19, 0x1.4e0f052361954p-19, 0x1.52d52b1cf4f66p-19, 0x1.575253f826a26p-19, 0x1.5b8831153cc17p-19, 0x1.5f7867cef64d5p-19, 0x1.6324920c18ea4p-19, 0x1.668e3ecba7f5ep-19, 0x1.69b6f293de3e3p-19, 0x1.6ca0280dd0175p-19, 0x1.6f4b50757f89fp-19, 0x1.71b9d3ded42a4p-19, 0x1.73ed11cd0d89bp-19, 0x1.75e6619fb3cf4p-19, 0x1.77a712b2aedbdp-19, 0x1.79306d504d71dp-19, 0x1.7a83b236b87bfp-19, 0x1.7ba21b7183895p-19, 0x1.7c8cdc8c1e198p-19, 0x1.7d4522e664989p-19, 0x1.7dcc15be504dep-19, 0x1.7e22d6cb4b0c3p-19, 0x1.7e4a822bef8dcp-19, 0x1.7e442f1081d78p-19, 0x1.7e10ef41d08cbp-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.254cafb93679cp-3, 0x1.2112caf30c4cp-3, 0x1.1a32b57929692p-3, 0x1.10cab4aa7c243p-3, 0x1.04fc615215fbdp-3, 0x1.edd74ae4a9d55p-4, 0x1.cd7c696b4fae7p-4, 0x1.a935d014a3c8ep-4, 0x1.8151cef6676a4p-4, 0x1.561e938248642p-4, 0x1.27ea18c3bd1f1p-4, 0x1.ee030521342e1p-5, 0x1.875fdb7484b6ap-5, 0x1.1c7b5de21e1bap-5, 0x1.5bc186062e7bp-6, 0x1.e0b4010ae28acp-8, -0x1.c30e1dd1a834ap-8, -0x1.5e187b0a7fb9ep-6, -0x1.2774416b0d974p-5, -0x1.a12cb227043a4p-5, -0x1.0de7a5c5cd304p-4, -0x1.4b7e14661a101p-4, -0x1.892b346133c72p-4, -0x1.c6c4bb83ae1f2p-4, -0x1.0211b744b65d6p-3, -0x1.2091b5f071c6bp-3, -0x1.3ed1e31486512p-3, -0x1.5cc31510fcde2p-3, -0x1.7a5760ceaf357p-3, -0x1.97821e3d4b7ecp-3, -0x1.b437e7c5985f8p-3, -0x1.d06e893727eb1p-3, -0x1.ec1ce41f5452bp-3, -0x1.039d6ac3451f2p-2, -0x1.10e091bf42403p-2, -0x1.1dd4b873bb901p-2, -0x1.2a7719453f08ap-2, -0x1.36c5513b0ecaap-2, -0x1.42bd58e13ed7p-2, -0x1.4e5d7d4a87d0ap-2, -0x1.59a45a09971f3p-2, -0x1.6490d47fc42bap-2, -0x1.6f22186408f21p-2, -0x1.79579502ad188p-2, -0x1.8330fa79e29b8p-2, -0x1.8cae363cbda19p-2, -0x1.95cf6e781ff3ap-2, -0x1.9e94fc77aa01bp-2, -0x1.a6ff669f29ce9p-2, -0x1.af0f5abd679e8p-2, -0x1.b6c5a9522bfd3p-2, -0x1.be2341f775227p-2, -0x1.c52930b23cbafp-2, -0x1.cbd89bb7c0cd3p-2, -0x1.d232c1414e54bp-2, -0x1.d838f5404e07fp-2, -0x1.ddec9efc05c6bp-2, -0x1.e34f36bc02f36p-2, -0x1.e862439a6ad2fp-2, -0x1.ed27598330569p-2, -0x1.f1a01755d50c2p-2, -0x1.f5ce2520a29abp-2, -0x1.f9b33277a5495p-2, -0x1.fd50a3753ad78p-2, -0x1.00547ce9e300cp-1, -0x1.01dec6e01e1f1p-1, -0x1.03480c499887dp-1, -0x1.04912980a4064p-1, -0x1.05bafa6a0d8f7p-1, -0x1.06c65a3f50fecp-1, -0x1.07b4233e5a789p-1, -0x1.08852e41aca9bp-1, -0x1.093a524c088c5p-1, -0x1.09d464162e2d8p-1, -0x1.0a5435ab7f41p-1, -0x1.0aba961c7107dp-1, -0x1.0b08514663896p-1, -0x1.0b3e2faa54747p-1, -0x1.0b5cf648e0551p-1, -0x1.0b65667abae5ap-1, -0x1.0b583dc08d456p-1, -0x1.0b36358a8d33ep-1, -0x1.0b0002fd3b1b7p-1, -0x1.0ab656bbf3b34p-1, -0x1.0a59dcc266bdap-1, -0x1.09eb3c5399cd7p-1, -0x1.096b1800ae6cap-1, -0x1.08da0dc4c9db1p-1, -0x1.0838b72f88312p-1, -0x1.0787a9958745cp-1, -0x1.06c7763eed082p-1, -0x1.05f8aa8e0c77p-1, -0x1.051bd01b72c21p-1, -0x1.04316cc7c06b2p-1, -0x1.033a02c603193p-1, -0x1.023610a26a26dp-1, -0x1.0126114928ee7p-1, -0x1.000a7c108ce22p-1, -0x1.fdc789901bf1ep-2, -0x1.fb64b79999c94p-2, -0x1.f8ed5c45c6bdbp-2, -0x1.f6624b2426473p-2, -0x1.f3c45188009c6p-2, -0x1.f11436c3fe996p-2, -0x1.ee52bc61836p-2, -0x1.eb809e5140425p-2, -0x1.e89e9313badfbp-2, -0x1.e5ad4bd9f725ep-2, -0x1.e2ad749fa42e3p-2, -0x1.df9fb4412bc5dp-2, -0x1.dc84ac906613p-2, -0x1.d95cfa6ab0972p-2, -0x1.d62935d278519p-2, -0x1.d2e9f20d8624fp-2, -0x1.cf9fbdc84e956p-2, -0x1.cc4b233db039bp-2, -0x1.c8eca861f47b7p-2, -0x1.c584cf0f9cd08p-2, -0x1.c2141534a01b5p-2, -0x1.be9af4feff997p-2, -0x1.bb19e50817aeap-2, -0x1.b791587e77c6dp-2, -0x1.b401bf4e59ef5p-2, -0x1.b06b86490f095p-2, -0x1.accf174b9af58p-2, -0x1.a92cd964aaf0cp-2, -0x1.a58530f9c607ep-2, -0x1.a1d87feb6b8bbp-2, -0x1.9e2725b7988p-2, -0x1.9a717f9a1e0d4p-2, -0x1.96b7e8aa32faap-2, -0x1.92fab9f4c6cecp-2, -0x1.8f3a4a93468a9p-2, -0x1.8b76efbebbb03p-2, -0x1.87b0fcdf653f1p-2, -0x1.83e8c3990b4dap-2, -0x1.801e93d480eap-2, -0x1.7c52bbc6cbe33p-2, -0x1.788587f67ad2p-2, -0x1.74b7433fa799dp-2, -0x1.70e836d71aee6p-2, -0x1.6d18aa4cf4b4ep-2, -0x1.6948e38f2fe36p-2, -0x1.657926ec3a9bcp-2, -0x1.61a9b715dec2ep-2, -0x1.5ddad5249c0f1p-2, -0x1.5a0cc09b8a6eap-2, -0x1.5640be87324f2p-2, -0x1.5275141777b9p-2, -0x1.4eaae780fec47p-2, -0x1.4ae2721cc7934p-2, -0x1.471bebd95541cp-2, -0x1.43578b4039266p-2, -0x1.3f95857c40cc1p-2, -0x1.3bd60e601dbfbp-2, -0x1.3819586d56d07p-2, -0x1.345f94db4995ap-2, -0x1.30a8f39e19ec9p-2, -0x1.2cf5a36d605fp-2, -0x1.2945d1ca7e609p-2, -0x1.2599ab067cae7p-2, -0x1.21f15a4769423p-2, -0x1.1e4d098d29dap-2, -0x1.1aace1b5c85cfp-2, -0x1.17110a813d80dp-2, -0x1.1379aa94c521cp-2, -0x1.0fe6e77dcf346p-2, -0x1.0c58e5b49d98p-2, -0x1.08cfc89ea2948p-2, -0x1.054bb290b4aecp-2, -0x1.01ccc4d12889dp-2, -0x1.fca63f33c5bcdp-3, -0x1.f5bdc434e2f58p-3, -0x1.eee054f45aff6p-3, -0x1.e80e2bb4fe145p-3, -0x1.e14780b2694ecp-3, -0x1.da8c8a25fbf06p-3, -0x1.d3dd7c4c04134p-3, -0x1.cd3a896929ce9p-3, -0x1.c6a3e1d001f09p-3, -0x1.c019b3e6ccb38p-3, -0x1.b99c2c2d525acp-3, -0x1.b32b7542cec3cp-3, -0x1.acc7b7ebe5c31p-3, -0x1.a6711b1895befp-3, -0x1.a027c3ea2502ap-3, -0x1.99ebd5b8f9f5ap-3, -0x1.93bd721a645edp-3, -0x1.8d9cb8e64c44p-3, -0x1.8789c83ccc8ebp-3, -0x1.8184bc8bb6d1ap-3, -0x1.7b8db093fcabap-3, -0x1.75a4bd6f0f7cep-3, -0x1.6fc9fa94277b5p-3, -0x1.69fd7ddd8e4cp-3, -0x1.643f5b8dd804ap-3, -0x1.5e8fa655279c3p-3, -0x1.58ee6f56751eap-3, -0x1.535bc62ce1f2cp-3, -0x1.4dd7b8f11970fp-3, -0x1.4862543ecf622p-3, -0x1.42fba33a5015cp-3, -0x1.3da3af9631044p-3, -0x1.385a8199211b6p-3, -0x1.33202023d8b53p-3, -0x1.2df490b72939cp-3, -0x1.28d7d77a399c8p-3, -0x1.23c9f740d6341p-3, -0x1.1ecaf191ebab9p-3, -0x1.19dac6ae1fdc7p-3, -0x1.14f9759680a53p-3, -0x1.1026fc13550ecp-3, -0x1.0b6356bb00ea1p-3, -0x1.06ae80f8fa05cp-3, -0x1.02087514cefb3p-3, -0x1.fae258727498p-4, -0x1.f1d13cf672088p-4, -0x1.e8dd85c25b5b1p-4, -0x1.e0071ed3ec1fbp-4, -0x1.d74df2281c494p-4, -0x1.ceb1e7c938556p-4, -0x1.c632e5dd007e7p-4, -0x1.bdd0d0b29db49p-4, -0x1.b58b8ad0817a6p-4, -0x1.ad62f5022292ap-4, -0x1.a556ee6591376p-4, -0x1.9d675478e8223p-4, -0x1.9594032789ae7p-4, -0x1.8ddcd4d73f14p-4, -0x1.8641a2751cdf2p-4, -0x1.7ec243823db79p-4, -0x1.775e8e2050d23p-4, -0x1.7016571df6997p-4, -0x1.68e97202f1e23p-4, -0x1.61d7b11c2c43fp-4, -0x1.5ae0e58788d57p-4, -0x1.5404df3f92512p-4, -0x1.4d436d26fa41dp-4, -0x1.469c5d13f03f5p-4, -0x1.400f7bdb4f202p-4, -0x1.399c955ba6ce9p-4, -0x1.3343748817d98p-4, -0x1.2d03e373103bdp-4, -0x1.26ddab58decc8p-4, -0x1.20d094aa21e9cp-4, -0x1.1adc6716126eap-4, -0x1.1500e994a9e35p-4, -0x1.0f3de270a253ep-4, -0x1.09931751537f6p-4, -0x1.04004d446a063p-4, -0x1.fd0a918ef67a9p-5, -0x1.f2439ba2e2227p-5, -0x1.e7ab3fb7a791ep-5, -0x1.dd4103d7ce326p-5, -0x1.d3046d3752452p-5, -0x1.c8f5004545fccp-5, -0x1.bf1240bd2da09p-5, -0x1.b55bb1b8057c4p-5, -0x1.abd0d5bcf62ecp-5, -0x1.a2712ed1bebc6p-5, -0x1.993c3e8ac325ap-5, -0x1.9031861acea4ap-5, -0x1.875086627b246p-5, -0x1.7e98bfff4e79fp-5, -0x1.7609b35a7682bp-5, -0x1.6da2e0b7388e6p-5, -0x1.6563c84109872p-5, -0x1.5d4bea194dca1p-5, -0x1.555ac664c86cbp-5, -0x1.4d8fdd58ab837p-5, -0x1.45eaaf4760fb2p-5, -0x1.3e6abcacee1e1p-5, -0x1.370f863b0b737p-5, -0x1.2fd88ce4e7797p-5, -0x1.28c551ea8e3e7p-5, -0x1.21d556e404a1p-5, -0x1.1b081dcc07badp-5, -0x1.145d290a8376ap-5, -0x1.0dd3fb7ea972ep-5, -0x1.076c1888c0d1bp-5, -0x1.012504139ec6cp-5, -0x1.f5fc853ba2c78p-6, -0x1.e9eeb284f187ap-6, -0x1.de1f9b83a4e9ep-6, -0x1.d28e4d12ec233p-6, -0x1.c739d5788d1d6p-6, -0x1.bc21447424861p-6, -0x1.b143ab4dde0dbp-6, -0x1.a6a01ce48478p-6, -0x1.9c35adbb15d39p-6, -0x1.92037405b0eadp-6, -0x1.880887b60627cp-6, -0x1.7e4402872ad74p-6, -0x1.74b50008f0936p-6, -0x1.6b5a9daaa6167p-6, -0x1.6233fac563f2ap-6, -0x1.594038a5baf5p-6, -0x1.507e7a94f9af6p-6, -0x1.47ede5e1dfa3cp-6, -0x1.3f8da1e8dba07p-6, -0x1.375cd81bca096p-6, -0x1.2f5ab40937fcap-6, -0x1.2786636334779p-6, -0x1.1fdf1605a169bp-6, -0x1.1863fdfc218f3p-6, -0x1.11144f877d137p-6, -0x1.09ef4122a89c4p-6, -0x1.02f40b875c729p-6, -0x1.f843d36474bf3p-7, -0x1.eaf031cd220bap-7, -0x1.ddebb163644ffp-7, -0x1.d134d5dbd3e0cp-7, -0x1.c4ca278a1c25cp-7, -0x1.b8aa336567216p-7, -0x1.acd38b0c0828dp-7, -0x1.a0f2f634c4453p-7, -0x1.95a89e6a92f53p-7, -0x1.8aa383cc261abp-7, -0x1.7fe24b47cae7bp-7, -0x1.75639e6424306p-7, -0x1.6b262b3fd761ep-7, -0x1.6128a4909367bp-7, -0x1.5769c1a1a9cap-7, -0x1.4de83e522d5b3p-7, -0x1.44a2db1282784p-7, -0x1.3b985ce18f05bp-7, -0x1.32c78d497066bp-7, -0x1.2a2f3a5bc1b68p-7, -0x1.21ce36ad80552p-7, -0x1.19a359528512p-7, -0x1.11ad7dd898026p-7, -0x1.09eb844236a77p-7, -0x1.025c5100eac21p-7, -0x1.f5fd99deaadcap-8, -0x1.e7a3ca95c8ccap-8, -0x1.d9a9175a7b0abp-8, -0x1.cc0b6c0aa1d9cp-8, -0x1.bec8bd2062ecp-8, -0x1.b1df07a3323a6p-8, -0x1.a54c511864ed1p-8, -0x1.990ea77344c11p-8, -0x1.8d2421049f22fp-8, -0x1.818adc69f9ef7p-8, -0x1.7641007c49417p-8, -0x1.6b44bc3e3148fp-8, -0x1.609446ca0a349p-8, -0x1.562ddf3f733cdp-8, -0x1.4c0fccb094561p-8, -0x1.42385e0f178bfp-8, -0x1.38a5ea18cad2cp-8, -0x1.2f56cf440bce2p-8, -0x1.264973abe797bp-8, -0x1.1d7c44fc1636bp-8, -0x1.14edb85c9a0c4p-8, -0x1.0c9c4a5d536ep-8, -0x1.04867ee16ed05p-8, -0x1.f955c214e169dp-9, -0x1.ea100646bc9ep-9, -0x1.db38fd175466ep-9, -0x1.cccde74433fe9p-9, -0x1.becc135eca1fcp-9, -0x1.b130dda1f2757p-9, -0x1.a3f9afc71f571p-9, -0x1.972400db5e5d1p-9, -0x1.8aad55147ebc2p-9, -0x1.7e933da5e6907p-9, -0x1.72d35895856e3p-9, -0x1.676b5090a88c6p-9, -0x1.5c58dcc0f1d66p-9, -0x1.5199c0a115022p-9, -0x1.472bcbd1b6fcfp-9, -0x1.3d0cd9ee42a61p-9, -0x1.333ad2621b8cfp-9, -0x1.29b3a83d27cc9p-9, -0x1.20755a09167d4p-9, -0x1.177df19e46738p-9, -0x1.0ecb83f8faadep-9, -0x1.065c310e6eadp-9, -0x1.fc5c4744342a1p-10, -0x1.ec7f2235f07f9p-10, -0x1.dd1d72b1c8266p-10, -0x1.ce33cd144be39p-10, -0x1.bfbeda01a7047p-10, -0x1.b1bb56113efap-10, -0x1.a4261178e7fffp-10, -0x1.96fbefb88ffadp-10, -0x1.8a39e746b4001p-10, -0x1.7ddd013bcd482p-10, -0x1.71e258ff386d8p-10, -0x1.66471bf400862p-10, -0x1.5b088925e0486p-10, -0x1.5023f0f6b3c65p-10, -0x1.4596b4cc6a83ap-10, -0x1.3b5e46bf5ee07p-10, -0x1.3178294909d67p-10, -0x1.27e1eef3719cfp-10, -0x1.1e993a08d99ap-10, -0x1.159bbc44417d8p-10, -0x1.0ce7368296418p-10, -0x1.047978744cffap-10, -0x1.f8a0c09fe58aep-11, -0x1.e8d3b50b0afddp-11, -0x1.d987c2e494d54p-11, -0x1.cab8fa2b97fafp-11, -0x1.bc63858f40251p-11, -0x1.ae83a9dc24e06p-11, -0x1.a115c56c3f376p-11, -0x1.94164f96b89dbp-11, -0x1.8781d824b293fp-11, -0x1.7b5506c5bcc72p-11, -0x1.6f8c9a87dab78p-11, -0x1.64256950ecb4ep-11, -0x1.591c5f5a79be4p-11, -0x1.4e6e7eafeb61p-11, -0x1.4418deaece9bdp-11, -0x1.3a18ab894a2eep-11, -0x1.306b25cb4e145p-11, -0x1.270da1e1073abp-11, -0x1.1dfd87a0ec02ep-11, -0x1.153851d6a27d2p-11, -0x1.0cbb8dd141b62p-11, -0x1.0484daf316c6ep-11, -0x1.f923d487838a2p-12, -0x1.e9c0fc0a62eeap-12, -0x1.dadcd291fd78fp-12, -0x1.cc731f1364e7p-12, -0x1.be7fc88ba480bp-12, -0x1.b0fed536bd298p-12, -0x1.a3ec69ce0eddcp-12, -0x1.9744c8ca155e2p-12, -0x1.8b0451a669d18p-12, -0x1.7f27802aeb823p-12, -0x1.73aaebb835ee4p-12, -0x1.688b4696eff96p-12, -0x1.5dc55d4c45619p-12, -0x1.535615efb02a6p-12, -0x1.493a6f85fb28p-12, -0x1.3f6f815e9cdd9p-12, -0x1.35f27a744a84dp-12, -0x1.2cc0a0d18318bp-12, -0x1.23d750f6b58d5p-12, -0x1.1b33fd45a6e87p-12, -0x1.12d42d6d08fcdp-12, -0x1.0ab57dd92a4a7p-12, -0x1.02d59f273f0d7p-12, -0x1.f664ab36ca843p-13, -0x1.e792f12eb6e83p-13, -0x1.d931e42ee828ep-13, -0x1.cb3d7c5f74b27p-13, -0x1.bdb1d51a128c4p-13, -0x1.b08b2befdfbf5p-13, -0x1.a3c5dfb501ef3p-13, -0x1.975e6f9123a51p-13, -0x1.8b517a14e6b7bp-13, -0x1.7f9bbc55a5b14p-13, -0x1.743a110b5b8c4p-13, -0x1.69296fb53ace7p-13, -0x1.5e66ebc2e6e36p-13, -0x1.53efb3c1ead4fp-13, -0x1.49c1109027d53p-13, -0x1.3fd8649227f9ep-13, -0x1.36332aee6f17ep-13, -0x1.2ccef6ccea5cp-13, -0x1.23a9729c18767p-13, -0x1.1ac05f5777d5bp-13, -0x1.121193d651e41p-13, -0x1.099afc1b0712fp-13, -0x1.015a98a736cb1p-13, -0x1.f29cfbac0b6d1p-14, -0x1.e2e9a67262091p-14, -0x1.d397a5f054943p-14, -0x1.c4a3926e75a99p-14, -0x1.b60a26fd415dcp-14, -0x1.a7c8404f93fc1p-14, -0x1.99dadb97d1a1fp-14, -0x1.8c3f15726a12p-14, -0x1.7ef228d333c3fp-14, -0x1.71f16dfae48e9p-14, -0x1.653a597454279p-14, -0x1.58ca7b17887fep-14, -0x1.4c9f7d1367c48p-14, -0x1.40b7230077905p-14, -0x1.350f48f446b64p-14, -0x1.29a5e2a3bae4bp-14, -0x1.1e78fa822db1p-14, -0x1.1386b0edde48ap-14, -0x1.08cd3b5ec461bp-14, -0x1.fc95c739f8021p-15, -0x1.e7fc0dfe1cb8cp-15, -0x1.d3ca2b4852a54p-15, -0x1.bffd237d11cfep-15, -0x1.ac921dc2311c4p-15, -0x1.9986629c67df2p-15, -0x1.86d75a9f44a17p-15, -0x1.74828d23873c1p-15, -0x1.62859f08d5656p-15, -0x1.50de517ea4a39p-15, -0x1.3f8a80da7d94p-15, -0x1.2e8823747d6f5p-15, -0x1.1dd5489051dd6p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.1c51ec990758dp+0, 0x1.0ec277e9085d2p+0, 0x1.019e17b0184d2p+0, 0x1.ea136e2b7ca6bp-1, 0x1.d2434d3d46b19p-1, 0x1.bbf5a947a7f1dp-1, 0x1.a747beab24bd8p-1, 0x1.944bffa98df6fp-1, 0x1.830bd5dbdf0d4p-1, 0x1.73891a9aca7adp-1, 0x1.65bf5025b40a9p-1, 0x1.59a4cfe8a831dp-1, 0x1.4f2be9031b798p-1, 0x1.4643cd0f10063p-1, 0x1.3ed9416b71153p-1, 0x1.38d72d08b4a7p-1, 0x1.34271ece8ed58p-1, 0x1.30b1d0627b2b2p-1, 0x1.2e5f981fa2d85p-1, 0x1.2d18c45f59132p-1, 0x1.2cc5e3db45487p-1, 0x1.2d4ffccc6e881p-1, 0x1.2ea082c31de93p-1, 0x1.30a1e8a705c0bp-1, 0x1.333f63f6bfa2bp-1, 0x1.366510ebd8218p-1, 0x1.3a000e86bcf84p-1, 0x1.3dfe9215a748dp-1, 0x1.424fec00c0bd5p-1, 0x1.46e48302d9ba9p-1, 0x1.4badce340eb36p-1, 0x1.509e51863d1fcp-1, 0x1.55a99ab54900bp-1, 0x1.5ac43b63012e7p-1, 0x1.5fe3bf7fc7db5p-1, 0x1.64fea19de30ep-1, 0x1.6a0c3f219ad4bp-1, 0x1.6f04ccfed394ep-1, 0x1.73e14c9c1a1e3p-1, 0x1.789b8068d3facp-1, 0x1.7d2de05013b03p-1, 0x1.81938e9c53345p-1, 0x1.85c84dbad7ac1p-1, 0x1.89c876d08baf5p-1, 0x1.8d90f0a9fcf86p-1, 0x1.911f267e8a356p-1, 0x1.9470fe405d4fap-1, 0x1.9784ce95be2cp-1, 0x1.9a5954e334e8ap-1, 0x1.9cedabdf80cp-1, 0x1.9f414304b0992p-1, 0x1.a153d6f03271p-1, 0x1.a3256a88b564p-1, 0x1.a4b640a481732p-1, 0x1.a606d5f38bafp-1, 0x1.a717db11d7fbcp-1, 0x1.a7ea2ecb80f78p-1, 0x1.a87ed8b1a87a5p-1, 0x1.a8d7041fd719fp-1, 0x1.a8f3fbc10c615p-1, 0x1.a8d7258e60446p-1, 0x1.a881ff312680cp-1, 0x1.a7f61aac83ee4p-1, 0x1.a7352d9da0606p-1, 0x1.a640d0c5648cep-1, 0x1.a51ac682fa632p-1, 0x1.a3c4d3e6202a6p-1, 0x1.a240c337a12b9p-1, 0x1.a090617eceb41p-1, 0x1.9eb57c715f4c3p-1, 0x1.9cb1e0c4daea2p-1, 0x1.9a8758d148965p-1, 0x1.9837ab725ecabp-1, 0x1.95c49b15c7dabp-1, 0x1.932fe4e82c944p-1, 0x1.907b4015eadcp-1, 0x1.8da85d16dc30bp-1, 0x1.8ab8e4fe8b18cp-1, 0x1.87ae78cc85cfbp-1, 0x1.848ab0bbcf542p-1, 0x1.814f1b94abdfbp-1, 0x1.7dfd3e081cfd7p-1, 0x1.7a96921f1d661p-1, 0x1.771c86c7caeacp-1, 0x1.73907f8819027p-1, 0x1.6ff3d45902694p-1, 0x1.6c47d1a7da756p-1, 0x1.688db876c566p-1, 0x1.64c6be927f26dp-1, 0x1.60f40ed2da75bp-1, 0x1.5d16c95c9a991p-1, 0x1.593003ddd21cp-1, 0x1.5540c9c13be87p-1, 0x1.514a1c582d1b7p-1, 0x1.4d4cf2fd692e5p-1, 0x1.494a3b34cc392p-1, 0x1.4542d8cc53bafp-1, 0x1.4137a6029644cp-1, 0x1.3d2973b56354fp-1, 0x1.391909998ce5ep-1, 0x1.3507267b06422p-1, 0x1.30f4808320c53p-1, 0x1.2ce1c581d2d8bp-1, 0x1.28cf9b36e8bb2p-1, 0x1.24be9f9878ab5p-1, 0x1.20af6914f0842p-1, 0x1.1ca286d01d94p-1, 0x1.189880db88d7cp-1, 0x1.1491d86b31e76p-1, 0x1.108f0807fcfc8p-1, 0x1.0c9083c12f4d2p-1, 0x1.0896b95e1565dp-1, 0x1.04a2109094d08p-1, 0x1.00b2eb2908aeap-1, 0x1.f9934a96e2647p-2, 0x1.f1cd2b4b6e21ap-2, 0x1.ea141b4d2ed1ap-2, 0x1.e268b36962973p-2, 0x1.dacb82ca46b35p-2, 0x1.d33d0f6267ebp-2, 0x1.cbbdd655252a2p-2, 0x1.c44e4c5bb86cdp-2, 0x1.bceede2659be2p-2, 0x1.b59ff0b954b6ep-2, 0x1.ae61e1c608924p-2, 0x1.a73507fffd80ep-2, 0x1.a019b36e38927p-2, 0x1.99102db8f86e5p-2, 0x1.9218ba74011e5p-2, 0x1.8b33976585df6p-2, 0x1.8460fcc9b088dp-2, 0x1.7da11d92c303dp-2, 0x1.76f427a5d3b55p-2, 0x1.705a44141b9dfp-2, 0x1.69d39750f4f8ap-2, 0x1.636041649f75p-2, 0x1.5d005e1c0961ep-2, 0x1.56b40535db5adp-2, 0x1.507b4a8d14513p-2, 0x1.4a563e418d75cp-2, 0x1.4444ecdeb0c79p-2, 0x1.3e475f80b3a53p-2, 0x1.385d9bf894444p-2, 0x1.3287a4ef125b6p-2, 0x1.2cc57a06c0e64p-2, 0x1.271717fd597a6p-2, 0x1.217c78cc535fp-2, 0x1.1bf601bb31f9p-2, 0x1.1682d39901409p-2, 0x1.11234522bd348p-2, 0x1.0bd746988886ep-2, 0x1.069ec6085c984p-2, 0x1.0179af697bc9ap-2, 0x1.f8cfd96fe1ffbp-3, 0x1.eed2cc1fcb9eap-3, 0x1.e4fc0391261f6p-3, 0x1.db4b491d3fb8fp-3, 0x1.d1c062fb6c8b5p-3, 0x1.c85b1472444e4p-3, 0x1.bf1b1e06b95c9p-3, 0x1.b6003da8cf0f8p-3, 0x1.ad0a2eddd2625p-3, 0x1.a438aae80eb5dp-3, 0x1.9b8b68ec031aep-3, 0x1.93021e132a9bp-3, 0x1.8a9c7dac87e16p-3, 0x1.825a394b0dc55p-3, 0x1.7a3b00e2313e7p-3, 0x1.723e82e0ca92fp-3, 0x1.6a646c4a86d9fp-3, 0x1.62ac68d022fc6p-3, 0x1.5b1622e69d12p-3, 0x1.53a143dd90e0ap-3, 0x1.4c4d73f4e46fap-3, 0x1.451a5a71db8dap-3, 0x1.3e079db3b73b2p-3, 0x1.3714e347e0f8bp-3, 0x1.3041cffdbd3e6p-3, 0x1.298e07fa0fffap-3, 0x1.22f92eca0776ap-3, 0x1.1c82e775dc80dp-3, 0x1.162ad492fdff2p-3, 0x1.0ff09855c575fp-3, 0x1.09d3d4a2aa603p-3, 0x1.03d42b1edff9fp-3, 0x1.fbe27a80c916fp-4, 0x1.f05558bae13b7p-4, 0x1.e50033767e1d5p-4, 0x1.d9e24d387126fp-4, 0x1.cefae89ad5d1ep-4, 0x1.c4494866c6e37p-4, 0x1.b9ccafacbe5f9p-4, 0x1.af8461dbaabfep-4, 0x1.a56fa2d6d9199p-4, 0x1.9b8db70aa9a4p-4, 0x1.91dde3802a6bap-4, 0x1.885f6defa1b13p-4, 0x1.7f119cd21c304p-4, 0x1.75f3b77211f32p-4, 0x1.6d0505fb2e5e6p-4, 0x1.6444d1894faf9p-4, 0x1.5bb26436cb4d8p-4, 0x1.534d092a05b15p-4, 0x1.4b140ca26bce3p-4, 0x1.4306bc04d7772p-4, 0x1.3b2465e76a066p-4, 0x1.336c5a1ce312dp-4, 0x1.2bdde9bf7c886p-4, 0x1.2478673b4db6bp-4, 0x1.1d3b26583af8cp-4, 0x1.16257c437302fp-4, 0x1.0f36bf987e109p-4, 0x1.086e4869db3f2p-4, 0x1.01cb70492ee7fp-4, 0x1.f69b249e07741p-5, 0x1.e9e81644329cap-5, 0x1.dd7c71fc8934cp-5, 0x1.d156f775bdd78p-5, 0x1.c57669a18b0e2p-5, 0x1.b9d98ebfd430ep-5, 0x1.ae7f3068e0e11p-5, 0x1.a3661b96c6762p-5, 0x1.988d20adef884p-5, 0x1.8df31384d16e7p-5, 0x1.8396cb6acfaf1p-5, 0x1.7977232e535f1p-5, 0x1.6f92f9221c6a7p-5, 0x1.65e92f21cf97p-5, 0x1.5c78aa95d2242p-5, 0x1.534054766988dp-5, 0x1.4a3f194e37956p-5, 0x1.4173e93c102ap-5, 0x1.38ddb7f432008p-5, 0x1.307b7cc0ea47cp-5, 0x1.284c3282adf92p-5, 0x1.204ed7afa99b2p-5, 0x1.18826e52d0f2ap-5, 0x1.10e5fc0a7ba6p-5, 0x1.09788a06876f4p-5, 0x1.0239250613375p-5, 0x1.f64dbaa9a633ep-6, 0x1.e8818d9001af1p-6, 0x1.db0bf175e3005p-6, 0x1.cdeb1c16a434cp-6, 0x1.c11d4a2a26076p-6, 0x1.b4a0bf5c035fcp-6, 0x1.a873c6422fa2cp-6, 0x1.9c94b053062ap-6, 0x1.9101d5dad082fp-6, 0x1.85b995f0c6fafp-6, 0x1.7aba566b9ba72p-6, 0x1.700283d582896p-6, 0x1.6590915fd67d2p-6, 0x1.5b62f8d64a089p-6, 0x1.51783a91b2248p-6, 0x1.47cedd6a6fe8fp-6, 0x1.3e656eaa82f74p-6, 0x1.353a81ff38ac9p-6, 0x1.2c4cb16a965d9p-6, 0x1.239a9d346ae85p-6, 0x1.1b22ebdb1b506p-6, 0x1.12e44a0428fbbp-6, 0x1.0add6a6c7a03dp-6, 0x1.030d05d860c8cp-6, 0x1.f6e3b606e1b51p-7, 0x1.e8155d2038958p-7, 0x1.d9ac95ee4aba8p-7, 0x1.cba700edc0be9p-7, 0x1.be024a04a335ep-7, 0x1.b0bc28605037ap-7, 0x1.a3d25e5324e71p-7, 0x1.9742b9320536p-7, 0x1.8b0b113197a7dp-7, 0x1.7f2949436a8f6p-7, 0x1.739b4ef2edacdp-7, 0x1.685f1a424a03cp-7, 0x1.5d72ad872e6f4p-7, 0x1.52d415477365fp-7, 0x1.48816815d2719p-7, 0x1.3e78c66e7d244p-7, 0x1.34b85a93ba3efp-7, 0x1.2b3e586a8e621p-7, 0x1.2208fd575fad5p-7, 0x1.1916901ab5196p-7, 0x1.106560adfcda2p-7, 0x1.07f3c8206b3f5p-7, 0x1.ff8050e7f30c6p-8, 0x1.ef91d8f4ee80bp-8, 0x1.e0190f659f504p-8, 0x1.d112ec4cbc99bp-8, 0x1.c27c788cfbbd1p-8, 0x1.b452cd9475ba5p-8, 0x1.a69315187304cp-8, 0x1.993a88d193613p-8, 0x1.8c467238722dap-8, 0x1.7fb42a4294681p-8, 0x1.7381191ff91e6p-8, 0x1.67aab5f900483p-8, 0x1.5c2e86acdf353p-8, 0x1.510a1f909d804p-8, 0x1.463b232e7ab6dp-8, 0x1.3bbf4205f7d2dp-8, 0x1.31943a4c6e011p-8, 0x1.27b7d7ae29b2ap-8, 0x1.1e27f310177c4p-8, 0x1.14e2725216bfbp-8, 0x1.0be54811d6891p-8, 0x1.032e736e563e1p-8, 0x1.f577ff97fd286p-9, 0x1.e5180932ce245p-9, 0x1.d5394a29599e6p-9, 0x1.c5d82022d8576p-9, 0x1.b6f0ff7eff241p-9, 0x1.a88072e48ce6bp-9, 0x1.9a831ad1322f9p-9, 0x1.8c82b6a053921p-9, 0x1.7f606c3743a64p-9, 0x1.72a7e3fa15509p-9, 0x1.66561167feda6p-9, 0x1.5a67fb9f3d56dp-9, 0x1.4edabcf5bc3cfp-9, 0x1.43ab82936579ap-9, 0x1.38d78c0dd6f9ep-9, 0x1.2e5c2b0590428p-9, 0x1.2436c2c494b3fp-9, 0x1.1a64c7de7bb8fp-9, 0x1.10e3bfd1ffc39p-9, 0x1.07b140abf2334p-9, 0x1.fd95e15765145p-10, 0x1.ec5d0bd1d84a3p-10, 0x1.dbb38bf609b8fp-10, 0x1.cb950b4369c31p-10, 0x1.bbfd50de4df8bp-10, 0x1.ace840e72f2fbp-10, 0x1.9e51dbd41defdp-10, 0x1.90363dcdd0fb5p-10, 0x1.82919e0ec1a3bp-10, 0x1.75604e456661p-10, 0x1.689eb9f90491ap-10, 0x1.5c4965f14429cp-10, 0x1.505cefa07e92cp-10, 0x1.44d60c907687ep-10, 0x1.39b189d212114p-10, 0x1.2eec4b6f9521bp-10, 0x1.24834be10505ap-10, 0x1.1a739b83ec82fp-10, 0x1.10ba60150add4p-10, 0x1.0754d42ca784cp-10, 0x1.fc808d7b3c0d4p-11, 0x1.eaf4352d2f857p-11, 0x1.d9ff8bcbe5eeap-11, 0x1.c99da37ff59efp-11, 0x1.b9c9b34ede6f3p-11, 0x1.aa7f16313e3dbp-11, 0x1.9bb94a2d32d2cp-11, 0x1.8d73ef75b06eep-11, 0x1.7faac78e7196cp-11, 0x1.7259b473a3e2fp-11, 0x1.657cb7c7516f8p-11, 0x1.590ff2022db01p-11, 0x1.4d0fa1a8a255ep-11, 0x1.41782284c937bp-11, 0x1.3645ece4382efp-11, 0x1.2b7594d96376ep-11, 0x1.2103c9823abd9p-11, 0x1.16ed54519d50ap-11, 0x1.0d2f185d54d64p-11, 0x1.03c611afbf4e8p-11, 0x1.f55ea93a3f25ap-12, 0x1.e3d01a3a35157p-12, 0x1.d2dafc4e72d5ep-12, 0x1.c27a02266a42fp-12, 0x1.b2a809fa58106p-12, 0x1.a3601c59aee97p-12, 0x1.949d6affa2445p-12, 0x1.865b4fb09c88ep-12, 0x1.78954b1be5131p-12, 0x1.6b4703c4853cdp-12, 0x1.5e6c44f0727e3p-12, 0x1.5200fd9dc80a7p-12, 0x1.46013f7ded3cdp-12, 0x1.3a693df6e1217p-12, 0x1.2f354d29a8245p-12, 0x1.2461e0ff4effbp-12, 0x1.19eb8c3a6a885p-12, 0x1.0fceff8f0e19cp-12, 0x1.060908bf8c56cp-12, 0x1.f92d237c9bce8p-13, 0x1.e6e93faaa771fp-13, 0x1.d540a5a5f974cp-13, 0x1.c42dc87427029p-13, 0x1.b3ab4cf39c7p-13, 0x1.a3b4084fbaed6p-13, 0x1.9442fe810fcbep-13, 0x1.855360d7b089ep-13, 0x1.76e08c8b42d53p-13, 0x1.68e60959223dp-13, 0x1.5b5f8828532dfp-13, 0x1.4e48e1b651f1p-13, 0x1.419e154de3504p-13, 0x1.355b47862bba2p-13, 0x1.297cc10971f64p-13, 0x1.1dfeed661a717p-13, 0x1.12de59e55f9d5p-13, 0x1.0817b46c2ffc7p-13, 0x1.fb4f94c627a41p-14, 0x1.e7170f4e08e6dp-14, 0x1.d37feaff322d1p-14, 0x1.c0847340a3cf3p-14, 0x1.ae1f2a58add67p-14, 0x1.9c4ac7910af4ap-14, 0x1.8b02355c139a5p-14, 0x1.7a408f8e4a46fp-14, 0x1.6a0121a4ce6d1p-14, 0x1.5a3f65199d0b6p-14, 0x1.4af6ffc37c0e5p-14, 0x1.3c23c2442b8f2p-14, 0x1.2dc1a681cbdcep-14, 0x1.1fccce2f79566p-14, 0x1.1241815bfae77p-14, 0x1.051c2d12131e2p-14, 0x1.f0b2c4013966bp-15, 0x1.d7eba65c4fc85p-15, 0x1.bfdca97402ad6p-15, 0x1.a87fb54030531p-15, 0x1.91ceef2377c1cp-15, 0x1.7bc4b79dfc272p-15, 0x1.665ba81b7a76p-15, 0x1.518e90ce21c12p-15, 0x1.3d5876a948dd9p-15, 0x1.29b49155571bbp-15, 0x1.169e494f47157p-15, 0x1.04113604884d5p-15, 0x1.e412380b17ecap-16, 0x1.c103d69833e17p-16, 0x1.9eef7b0b46638p-16, 0x1.7dcda8ed387fep-16, 0x1.5d9730c9f9bcdp-16, 0x1.3e452d2dcbebbp-16, 0x1.1fd0ffa781c1fp-16, 0x1.02344df9d33c3p-16, 0x1.cad1feb051d3bp-17, 0x1.92d2738284be2p-17, 0x1.5c5ebeda603efp-17, 0x1.276c18af9285dp-17, 0x1.e7e04f635a6p-18, 0x1.83c1f9533e293p-18, 0x1.226a1c218d645p-18, 0x1.878cce9c01eedp-19, 0x1.9f1513f266548p-20, 0x1.caba343c93025p-23, -0x1.2260ae5a2d395p-20, -0x1.3a2890746f10dp-19, -0x1.de5afb8412053p-19, -0x1.3ef2306c802ccp-18, -0x1.8c7035f0c7dbfp-18, -0x1.d7b4dbee62d8dp-18, -0x1.1066770786ee7p-17, -0x1.33e25df8e6cdcp-17, -0x1.56540f7648bp-17, -0x1.77c13fcaf1512p-17, -0x1.982f6d760635ep-17, -0x1.b7a3e3c6e3389p-17, -0x1.d623bd423842ep-17, -0x1.f3b3e5f9a3d4fp-17, -0x1.082c8eecd74f5p-16, -0x1.160bfd6006917p-16, -0x1.237a754d49f78p-16, -0x1.307a1ab2cca86p-16, -0x1.3d0cff81f2b65p-16, -0x1.4935249422ba4p-16, -0x1.54f47a80245dap-16, -0x1.604ce272fd209p-16, -0x1.6b402f00c60a8p-16, -0x1.75d024e61a5d5p-16, -0x1.7ffe7bc178b6ep-16, -0x1.89ccdec8b6464p-16, -0x1.933ced7223a5p-16, -0x1.9c503c183c7e6p-16, -0x1.a5085494a4a21p-16, -0x1.ad66b6d4af5dfp-16, -0x1.b56cd965224p-16, -0x1.bd1c29fbbf4f5p-16, -0x1.c4760df067089p-16, -0x1.cb7be2bee5013p-16, -0x1.d22efe775bb56p-16, -0x1.d890b0239661fp-16, -0x1.dea2403e09868p-16, -0x1.e464f105e5c8p-16, -0x1.e9d9fee3a7f46p-16, -0x1.ef02a0ca0eb11p-16, -0x1.f3e0087454f89p-16, -0x1.f87362c3a81c1p-16, -0x1.fcbdd8076eb5ap-16, -0x1.0060462167151p-15, -0x1.023e4fb43b499p-15, -0x1.03f996d230eb1p-15, -0x1.0592a7c5d31d2p-15, -0x1.070a0d2f2c1a9p-15, -0x1.086050141606fp-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.483a3ab6fa784p+0, -0x1.40037b627c5b6p+0, -0x1.37827db125a9bp+0, -0x1.2ee9fa1018235p+0, -0x1.2663b00baf096p+0, -0x1.1e115f4b07056p+0, -0x1.160dafeda8c36p+0, -0x1.0e6d16e388d48p+0, -0x1.073eb4c0fd87p+0, -0x1.008d1a4b1ba01p+0, -0x1.f4bde4a6ce5e9p-1, -0x1.e96f3dc4d376bp-1, -0x1.df2f952caae93p-1, -0x1.d5fbcd7436bb8p-1, -0x1.cdcd27d8b7a49p-1, -0x1.c699f73b07a9ep-1, -0x1.c0564549b6684p-1, -0x1.baf46e242389bp-1, -0x1.b665a931535d2p-1, -0x1.b29a73fa4b9bap-1, -0x1.af82debe6ddaep-1, -0x1.ad0f05aa3f958p-1, -0x1.ab2e5c6392dd3p-1, -0x1.a9d1243959eabp-1, -0x1.a8e7ee9dbc574p-1, -0x1.a863e0cb9f9b8p-1, -0x1.a836c42754b8cp-1, -0x1.a8531369cdc46p-1, -0x1.a8ac08ff75836p-1, -0x1.a935abf0040adp-1, -0x1.a9e4d72cdac68p-1, -0x1.aaaf3a3b51a5ap-1, -0x1.ab8b5569add22p-1, -0x1.ac7074652ebddp-1, -0x1.ad56a89f95912p-1, -0x1.ae36c367347cfp-1, -0x1.af0a4f0fcd95ap-1, -0x1.afcb86e2b567cp-1, -0x1.b0754e0efd4a4p-1, -0x1.b1032614599bbp-1, -0x1.b1712525ebad5p-1, -0x1.b1bbece4009d4p-1, -0x1.b1e0a198f047bp-1, -0x1.b1dce1e6ba9e1p-1, -0x1.b1aebea3c2dbcp-1, -0x1.b154b2a1aa79bp-1, -0x1.b0cd9a4275f1bp-1, -0x1.b018aaf89a077p-1, -0x1.af356af3a3b63p-1, -0x1.ae23a93cae2b9p-1, -0x1.ace3766c07474p-1, -0x1.ab751e00cae89p-1, -0x1.a9d9204c9a3c2p-1, -0x1.a8102cdcb18efp-1, -0x1.a61b1d490cbaap-1, -0x1.a3faf0540e92ep-1, -0x1.a1b0c54853f91p-1, -0x1.9f3dd7891b3a1p-1, -0x1.9ca37a5553f14p-1, -0x1.99e314cb250cbp-1, -0x1.96fe1e42a98p-1, -0x1.93f61b13dc612p-1, -0x1.90cc99cbf75dep-1, -0x1.8d831b2545204p-1, -0x1.8a1b75d8f112cp-1, -0x1.8697298d8f29bp-1, -0x1.82f7d4639a311p-1, -0x1.7f3f1382f68aap-1, -0x1.7b6e81c5edd67p-1, -0x1.7787b677934c5p-1, -0x1.738c441f560afp-1, -0x1.6f7db75aab1f9p-1, -0x1.6b5d95cb13e56p-1, -0x1.672d5d214661dp-1, -0x1.62ee824d70f81p-1, -0x1.5ea270d89328fp-1, -0x1.5a4a8a65016e3p-1, -0x1.55e8264e99f0dp-1, -0x1.517c916027d1dp-1, -0x1.4d090d942c8d7p-1, -0x1.488ed1db2e057p-1, -0x1.440f09e6e55efp-1, -0x1.3f8ad5fdf5109p-1, -0x1.3b034addcb545p-1, -0x1.367971afb6892p-1, -0x1.31ee4813eb6d2p-1, -0x1.2d62c04248a1p-1, -0x1.28d7c13e14795p-1, -0x1.244e271824c57p-1, -0x1.1fc6c33a00591p-1, -0x1.1b425cb47a4f4p-1, -0x1.16c1b08cfc695p-1, -0x1.124572060b6f2p-1, -0x1.0dce4ae16d6b8p-1, -0x1.095cdb9c4c98ap-1, -0x1.04f1bba771f61p-1, -0x1.008d799ec288dp-1, -0x1.f861370690cbcp-2, -0x1.efb73df49d665p-2, -0x1.e71df3254e79dp-2, -0x1.de96321f1bf7bp-2, -0x1.d620c76e8ca5fp-2, -0x1.cdbe714591f61p-2, -0x1.c56fe017bbeffp-2, -0x1.bd35b72f2a0f6p-2, -0x1.b5108d3824082p-2, -0x1.ad00ecc327dd9p-2, -0x1.a50754bed7b38p-2, -0x1.9d2438ebdc633p-2, -0x1.9558024cdff34p-2, -0x1.8da30f944afe3p-2, -0x1.8605b590c10abp-2, -0x1.7e803f98c4819p-2, -0x1.7712eff5800e4p-2, -0x1.6fbe004c954f3p-2, -0x1.6881a208be421p-2, -0x1.615dfec115004p-2, -0x1.5a53389ed8e4bp-2, -0x1.53616ac15bc8bp-2, -0x1.4c88a99fb1bf7p-2, -0x1.45c9036798c61p-2, -0x1.3f228058fe0ap-2, -0x1.3895231d9fe76p-2, -0x1.3220e91c61513p-2, -0x1.2bc5cac82a208p-2, -0x1.2583bbea625f4p-2, -0x1.1f5aabe944ce4p-2, -0x1.194a860a777b8p-2, -0x1.135331b247a6p-2, -0x1.0d7492a0008f8p-2, -0x1.07ae892795f7fp-2, -0x1.0200f268e0469p-2, -0x1.f8d75108d59ffp-3, -0x1.eddd059bb0608p-3, -0x1.e312abf790172p-3, -0x1.d877e8aa54d81p-3, -0x1.ce0c5bb806bf7p-3, -0x1.c3cfa0eb4adfap-3, -0x1.b9c150211cf74p-3, -0x1.afe0fd9016ef5p-3, -0x1.a62e3a0be63a5p-3, -0x1.9ca893455fa95p-3, -0x1.934f9407b76cp-3, -0x1.8a22c473612b6p-3, -0x1.8121aa36cfaa7p-3, -0x1.784bc8c56f674p-3, -0x1.6fa0a18cd28ecp-3, -0x1.672007a65ccc7p-3, -0x1.5ec8d6124d96bp-3, -0x1.569ad7e951273p-3, -0x1.4e9588a836973p-3, -0x1.46b862a287d7ap-3, -0x1.3f02df2ba7187p-3, -0x1.377476bf5b0dfp-3, -0x1.300ca12998d0cp-3, -0x1.28cad5ad2fde7p-3, -0x1.21ae8b2923742p-3, -0x1.1ab7383c63da9p-3, -0x1.13e45367b9e71p-3, -0x1.0d35532db28d5p-3, -0x1.06a9ae30701fap-3, -0x1.0040db4d540a7p-3, -0x1.f3f4a36d07612p-4, -0x1.e7ab12148f0a2p-4, -0x1.dba3f2d0d7f28p-4, -0x1.cfde370b6d6dep-4, -0x1.c458d17b32fccp-4, -0x1.b912b644a9975p-4, -0x1.ae0adb17602b1p-4, -0x1.a3403748e1fbdp-4, -0x1.98b1c3eda0afdp-4, -0x1.8e5e7beffba0ap-4, -0x1.84455c25d5902p-4, -0x1.7a656364de661p-4, -0x1.70bd9295cf3dap-4, -0x1.674cecc6bb3dfp-4, -0x1.5e12773c9108dp-4, -0x1.550d3983ddfe1p-4, -0x1.4c3c3d80da88fp-4, -0x1.439e8f7ebef14p-4, -0x1.3b333e3e5d584p-4, -0x1.32f95b03f7074p-4, -0x1.2aeff9a44254dp-4, -0x1.231630909583dp-4, -0x1.1b6b18e22c968p-4, -0x1.13edce64800c7p-4, -0x1.0c9d6f9ea52ap-4, -0x1.05791ddbb2dbp-4, -0x1.fcfffa6452dd3p-5, -0x1.ef626914b9a47p-5, -0x1.e217db47ce342p-5, -0x1.d51eaa344b9a2p-5, -0x1.c87534cf9ac8ep-5, -0x1.bc19dfd336857p-5, -0x1.b00b15c06703p-5, -0x1.a44746e26bb07p-5, -0x1.98cce94f35b24p-5, -0x1.8d9a78e6c6099p-5, -0x1.82ae775158ec3p-5, -0x1.78076bfc703f9p-5, -0x1.6da3e416e00cp-5, -0x1.6382728bf09b8p-5, -0x1.59a1affdb53b4p-5, -0x1.50003abea8dd2p-5, -0x1.469cb6caa28abp-5, -0x1.3d75cdbf37d41p-5, -0x1.348a2ed394f8fp-5, -0x1.2bd88ecfdaa02p-5, -0x1.235fa80409903p-5, -0x1.1b1e3a3e848p-5, -0x1.13130ac22b84cp-5, -0x1.0b3ce43c1a9c7p-5, -0x1.039a96b9082b4p-5, -0x1.f855ef3497b98p-6, -0x1.e9d9c315200afp-6, -0x1.dbbe68e451309p-6, -0x1.ce01aad635e28p-6, -0x1.c0a15d69a47b8p-6, -0x1.b39b5f4f0757bp-6, -0x1.a6ed994e8c80cp-6, -0x1.9a95fe2dbec2bp-6, -0x1.8e928a94909bdp-6, -0x1.82e144f1df5dp-6, -0x1.77803d5f7366fp-6, -0x1.6c6d8d85875edp-6, -0x1.61a7587de304ap-6, -0x1.572bcab68de49p-6, -0x1.4cf919d42037bp-6, -0x1.430d8493c87a1p-6, -0x1.396752ad023p-6, -0x1.3004d4b30ebf4p-6, -0x1.26e463f63980dp-6, -0x1.1e046264f302fp-6, -0x1.15633a6cc2c63p-6, -0x1.0cff5edb2ae7ep-6, -0x1.04d74abe72777p-6, -0x1.f9d3028cdb5dep-7, -0x1.ea691b4a86b69p-7, -0x1.db6e05e07b0ddp-7, -0x1.ccdef8014693ep-7, -0x1.beb936a957dfcp-7, -0x1.b0fa15e10ba2p-7, -0x1.a39ef87f0bf9p-7, -0x1.96a54feae6a7bp-7, -0x1.8a0a9bdff7be5p-7, -0x1.7dcc6a30b3f5dp-7, -0x1.71e8568a4d1edp-7, -0x1.665c0a38b6431p-7, -0x1.5b253beb1dffep-7, -0x1.5041af78d26dfp-7, -0x1.45af35a69bad1p-7, -0x1.3b6babec91297p-7, -0x1.3174fc3c6a2a1p-7, -0x1.27c91cc850f9dp-7, -0x1.1e660fca3b0f8p-7, -0x1.1549e34bc70ep-7, -0x1.0c72b0eeaa08dp-7, -0x1.03de9db5a6255p-7, -0x1.f717b39c280c4p-8, -0x1.e6f140b3fd6fap-8, -0x1.d7466e75ac222p-8, -0x1.c813ddb96fe2fp-8, -0x1.b9564404a977ap-8, -0x1.ab0a6b22dcb12p-8, -0x1.9d2d30bfea882p-8, -0x1.8fbb86038b8bep-8, -0x1.82b26f2e0d2acp-8, -0x1.760f033650b4bp-8, -0x1.69ce6b6913f8dp-8, -0x1.5dede3097eb63p-8, -0x1.526ab6f3084a3p-8, -0x1.4742453c96a76p-8, -0x1.3c71fcdcf813ap-8, -0x1.31f75d50acfa7p-8, -0x1.27cff640f7fa5p-8, -0x1.1df9672c4678bp-8, -0x1.14715f0fe3611p-8, -0x1.0b359c12fd5a5p-8, -0x1.0243eb32facf5p-8, -0x1.f3344fe237997p-9, -0x1.e26c7802db47p-9, -0x1.d22c3df60ced2p-9, -0x1.c26fac131e598p-9, -0x1.b332e740330e3p-9, -0x1.a4722e5a70712p-9, -0x1.9629d9a0d0f66p-9, -0x1.88565a2166797p-9, -0x1.7af4392937af7p-9, -0x1.6e0017b696ea7p-9, -0x1.6176adedf22eep-9, -0x1.5554ca911e4aap-9, -0x1.49975279174ccp-9, -0x1.3e3b4012245a8p-9, -0x1.333da2da6cf46p-9, -0x1.289b9ee2ea469p-9, -0x1.1e526c52b8761p-9, -0x1.145f56ecb3158p-9, -0x1.0abfbd976f566p-9, -0x1.017111e774ffap-9, -0x1.f0e1af5782d8ap-10, -0x1.df7948f8fd3a8p-10, -0x1.cea43e97e01e6p-10, -0x1.be5dfff3382abp-10, -0x1.aea21dcf15c35p-10, -0x1.9f6c4923625dp-10, -0x1.90b8524ee24b9p-10, -0x1.8282284e53477p-10, -0x1.74c5d7f7be2f4p-10, -0x1.677f8b39ad355p-10, -0x1.5aab885e76e2fp-10, -0x1.4e4631536d875p-10, -0x1.424c02f3ddae7p-10, -0x1.36b99457f8e52p-10, -0x1.2b8b962764bbfp-10, -0x1.20bed1ef98d16p-10, -0x1.15fc3f2f30378p-10, -0x1.0be7e652a1c93p-10, -0x1.022bd329f3ea9p-10, -0x1.f18a5865e43ecp-11, -0x1.df625b47f59e9p-11, -0x1.cdda51afdacp-11, -0x1.bced077aee2d3p-11, -0x1.ac9570936fc2fp-11, -0x1.9ccea7dc48b7bp-11, -0x1.8d93ee2323951p-11, -0x1.7ee0a918d487fp-11, -0x1.70b0624fec34bp-11, -0x1.62fec6415633cp-11, -0x1.55c7a356e1e4fp-11, -0x1.4906e8fb99389p-11, -0x1.3cb8a6b1e7bp-11, -0x1.30d90b2f4eedap-11, -0x1.2564637d8cae8p-11, -0x1.1a571a214af39p-11, -0x1.0fadb645e21a4p-11, -0x1.0564daeea31dcp-11, -0x1.f6f28c59ca628p-12, -0x1.e3cfa0b67390fp-12, -0x1.d15ad6baf2bb8p-12, -0x1.bf8e43cb3bdabp-12, -0x1.ae642d7a99802p-12, -0x1.9dd70827e88a4p-12, -0x1.8de175a2eb4f4p-12, -0x1.7e7e43da77704p-12, -0x1.6fa86b92c77dep-12, -0x1.615b0f251cd15p-12, -0x1.53917946f7592p-12, -0x1.46471bd99624dp-12, -0x1.39778ec180487p-12, -0x1.2d1e8ec5a50d6p-12, -0x1.2137fc7629f63p-12, -0x1.15bfdb1a98373p-12, -0x1.0ab24fa756ba2p-12, -0x1.000b9fba2a6c3p-12, -0x1.eb90613b344dep-13, -0x1.d7c90ca6b9e3p-13, -0x1.c4ba854a12913p-13, -0x1.b25e4876c71d3p-13, -0x1.a0ae0b784d6a9p-13, -0x1.8fa3b9dbcd80fp-13, -0x1.7f3973c33ae39p-13, -0x1.6f698c4578e04p-13, -0x1.602e87d91c576p-13, -0x1.51831aca67b64p-13, -0x1.436227bce7d3p-13, -0x1.35c6be36fccf9p-13, -0x1.28ac193836812p-13, -0x1.1c0d9dd9b9b19p-13, -0x1.0fe6d9f8c126p-13, -0x1.043382ea6156fp-13, -0x1.f1dee8723888p-14, -0x1.dc2d5cd6942cfp-14, -0x1.c74aaba60537ap-14, -0x1.b32f62cbc41e7p-14, -0x1.9fd4533b5f81ap-14, -0x1.8d328ec3b1a6cp-14, -0x1.7b4365efef232p-14, -0x1.6a0065f99b804p-14, -0x1.596356c91f405p-14, -0x1.496639059861bp-14, -0x1.3a034432cc2c7p-14, -0x1.2b34e4ddaab3ep-14, -0x1.1cf5bad577e41p-14, -0x1.0f4097736b0f5p-14, -0x1.02107bee6af08p-14, -0x1.eac12f77d993bp-15, -0x1.d2588dfab4823p-15, -0x1.bade21f00a11dp-15, -0x1.a4494d352c323p-15, -0x1.8e91c219d14eep-15, -0x1.79af8095b6d2p-15, -0x1.659ad39554694p-15, -0x1.524c4e59c7064p-15, -0x1.3fbcc9ef1a4a1p-15, -0x1.2de562b58f4dbp-15, -0x1.1cbf75fd1dde4p-15, -0x1.0c449fb7f58c5p-15, -0x1.f8dd7078531c2p-16, -0x1.da6fa42fac436p-16, -0x1.bd346ff135b3fp-16, -0x1.a120d545850d4p-16, -0x1.862a3df624041p-16, -0x1.6c46783d5e8f9p-16, -0x1.536bb319695cp-16, -0x1.3b907abe529ebp-16, -0x1.24abb524ababcp-16, -0x1.0eb49ebad98eap-16, -0x1.f3458e552400ep-17, -0x1.cadc1c8542a13p-17, -0x1.a41d41eb9c1f9p-17, -0x1.7ef9ecf712cfep-17, -0x1.5b639b07c7989p-17, -0x1.394c530b96863p-17, -0x1.18a6a050b5342p-17, -0x1.f2cb1b070b83ap-18, -0x1.b6f93fb3d8afdp-18, -0x1.7dbfa4dc050eap-18, -0x1.4707237ee73f6p-18, -0x1.12b96ec752215p-18, -0x1.c18217650a1dap-19, -0x1.621292179b4a2p-19, -0x1.06fc6f639df96p-19, -0x1.60328c8076556p-20, -0x1.751052a9b05cp-21, -0x1.cb2632bf3a629p-24, 0x1.e64e0131128dbp-22, 0x1.088bbd5b44ee5p-20, 0x1.90762af5c6089p-20, 0x1.08c829374f44dp-19, 0x1.460ac317beb9ep-19, 0x1.801f7bf942332p-19, 0x1.b721e6caf843dp-19, 0x1.eb2c9ad5f36f8p-19, 0x1.0e2c9ec07b106p-18, 0x1.256045dc23306p-18, 0x1.3b3d31817638p-18, 0x1.4fcee51a7dd36p-18, 0x1.63207ceba85ffp-18, 0x1.753cb215d90c9p-18, 0x1.862dde7fe0bbcp-18, 0x1.95fe008db4deep-18, 0x1.a4b6beaff1967p-18, 0x1.b2616ae0c8e1bp-18, 0x1.bf0705ef309ebp-18, 0x1.cab042b01d67ep-18, 0x1.d5658906af698p-18, 0x1.df2ef8e3f5d8p-18, 0x1.e8146d106b64cp-18, 0x1.f01d7de86664bp-18, 0x1.f75183f226e79p-18, 0x1.fdb79a6826474p-18, 0x1.01ab50cdd9dbp-17, 0x1.041aa0a3545dep-17, 0x1.062cf561bf389p-17, 0x1.07e56d97d688fp-17, 0x1.09470ebaea268p-17, 0x1.0a54c622936d3p-17, 0x1.0b1169f9ae773p-17, 0x1.0b7fba2538793p-17, 0x1.0ba26120bc0f9p-17, 0x1.0b7bf4d82ccfep-17, 0x1.0b0ef76c4bbep-17, 0x1.0a5dd7fb0d6c1p-17, 0x1.096af3587bb62p-17, 0x1.083894c3715cfp-17, 0x1.06c8f68f62031p-17, 0x1.051e42c888efdp-17, 0x1.033a93d4c7d9p-17, 0x1.011ff5092d52bp-17, 0x1.fda0c66cacc28p-18, 0x1.f89b9a6c6ef11p-18, 0x1.f33428dd660ddp-18, 0x1.ed6e1a9dfa32dp-18, 0x1.e74cff9406f4p-18, 0x1.e0d44f8fa95cfp-18, 0x1.da076b2aa6e66p-18, 0x1.d2e99c98035ccp-18, 0x1.cb7e186f741a6p-18, 0x1.c3c7fe6bbada2p-18, 0x1.bbca5a22f5073p-18, 0x1.b38823b4de04cp-18, 0x1.ab04407465044p-18, 0x1.a2418383fdc5ap-18, 0x1.9942ae6ed385dp-18, 0x1.900a71bbcd8a8p-18, 0x1.869b6d7819e19p-18, 0x1.7cf831b6e63bbp-18, 0x1.73233f19972fdp-18, 0x1.691f0735d3fdep-18, 0x1.5eeded1e96484p-18, 0x1.549245c959573p-18, 0x1.4a0e586df3269p-18, 0x1.3f645ef514308p-18, 0x1.3496865193d85p-18, 0x1.29a6eee0b2f58p-18, 0x1.1e97acb6cca3ep-18, 0x1.136ac7fdde5fap-18, 0x1.08223d3b23dd7p-18, 0x1.f97ffb4933b2ap-19, 0x1.e28bdeb226434p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.2bf3eefe204bap-2, -0x1.36c0c7033b5fp-2, -0x1.4109bae1a32efp-2, -0x1.4acd3a5801dcdp-2, -0x1.540a121545d8ep-2, -0x1.5cbf671d4f57dp-2, -0x1.64ecb229f5e07p-2, -0x1.6c91bb1196e6ap-2, -0x1.73ae943abde8ap-2, -0x1.7a4396233505cp-2, -0x1.80515aff8f7abp-2, -0x1.85d8ba774d8b1p-2, -0x1.8adac580e564ap-2, -0x1.8f58c260296bbp-2, -0x1.935428c907095p-2, -0x1.96ce9e27e8472p-2, -0x1.99c9f210a8c9bp-2, -0x1.9c481ad48c1fp-2, -0x1.9e4b323f5eb72p-2, -0x1.9fd5727b8a1d3p-2, -0x1.a0e9331ca854bp-2, -0x1.a188e64fe9f48p-2, -0x1.a1b7163171c5ep-2, -0x1.a1766245953a8p-2, -0x1.a0c97d14e4ba9p-2, -0x1.9fb329e9aedcep-2, -0x1.9e363aadb5ffap-2, -0x1.9c558de6ab39p-2, -0x1.9a140cd010f9ap-2, -0x1.9774a9911543ap-2, -0x1.947a5d8d01dbcp-2, -0x1.912827ccd9605p-2, -0x1.8d810b80cff14p-2, -0x1.89880e9851293p-2, -0x1.8540386f548afp-2, -0x1.80ac908fd07d6p-2, -0x1.7bd01d8631e9ap-2, -0x1.76ade3c7c2881p-2, -0x1.7148e4aa0f0b1p-2, -0x1.6ba41d6a57beap-2, -0x1.65c2864437a03p-2, -0x1.5fa71196b8104p-2, -0x1.5954ab171c5aep-2, -0x1.52ce3710b67dp-2, -0x1.4c1691b12a574p-2, -0x1.45308e6093014p-2, -0x1.3e1ef725079f1p-2, -0x1.36e48c1103415p-2, -0x1.2f8402bc416bap-2, -0x1.280005c6af61bp-2, -0x1.205b346506ea4p-2, -0x1.189821f6c671cp-2, -0x1.10b955a5278e3p-2, -0x1.08c14a0acca38p-2, -0x1.00b26ce3d44c1p-2, -0x1.f11e3d8c1e75ep-3, -0x1.e0b365c21ba5cp-3, -0x1.d028dd8b8b5bap-3, -0x1.bf83146b1088ep-3, -0x1.aec65df01502p-3, -0x1.9df6f1707cafdp-3, -0x1.8d18e9cf771a8p-3, -0x1.7c304550efc22p-3, -0x1.6b40e5791dbabp-3, -0x1.5a4e8ef7b7657p-3, -0x1.495ce99e43b4p-3, -0x1.386f80610eb03p-3, -0x1.2789c1624461bp-3, -0x1.16aefe06af01ep-3, -0x1.05e26b139d579p-3, -0x1.ea4e41aae8a99p-4, -0x1.c900369ce8a89p-4, -0x1.a7e074da55054p-4, -0x1.86f4849458623p-4, -0x1.6641b6d90f5eap-4, -0x1.45cd262926a5cp-4, -0x1.259bb71923f7cp-4, -0x1.05b218fd8f573p-4, -0x1.cc298d4237653p-5, -0x1.8d900e07f3a68p-5, -0x1.4f9fdc4713b2fp-5, -0x1.1260bb933db51p-5, -0x1.abb4198a5e084p-6, -0x1.34259f6644f6dp-6, -0x1.7c4693d005f83p-7, -0x1.26e67d609c233p-8, 0x1.485c89e2348bcp-9, 0x1.3442589814af6p-7, 0x1.097cc60e5307bp-6, 0x1.77149eadddb89p-6, 0x1.e2df9e74aadb5p-6, 0x1.266aa8f9217e7p-5, 0x1.5a76f30f29912p-5, 0x1.8d91123cabb6cp-5, 0x1.bfb5b7967c2cfp-5, 0x1.f0e1de96c6004p-5, 0x1.10896597880a5p-4, 0x1.282303ee15f94p-4, 0x1.3f3cb1de5168fp-4, 0x1.55d5785516497p-4, 0x1.6bec80ab57a6dp-4, 0x1.818113b69dca6p-4, 0x1.969298dbb5058p-4, 0x1.ab209523bfd1p-4, 0x1.bf2aaa53d786bp-4, 0x1.d2b0960756472p-4, 0x1.e5b230ccfe4ap-4, 0x1.f82f6d47151e1p-4, 0x1.05142ba73b458p-3, 0x1.0dce898c74a8bp-3, 0x1.1646ee3146a98p-3, 0x1.1e7d82cd4cd6dp-3, 0x1.26727b89bb8bp-3, 0x1.2e26171b17b6dp-3, 0x1.35989e5ca050dp-3, 0x1.3cca63ed73f9ep-3, 0x1.43bbc3cf70313p-3, 0x1.4a6d2307c3f08p-3, 0x1.50deef414829cp-3, 0x1.57119e7089e9bp-3, 0x1.5d05ae799b3d1p-3, 0x1.62bba4d79155ap-3, 0x1.68340e45c429ap-3, 0x1.6d6f7e6abfb98p-3, 0x1.726e8f84ee04ep-3, 0x1.7731e218e7356p-3, 0x1.7bba1ca181824p-3, 0x1.8007eb417694ap-3, 0x1.841bff76c51e8p-3, 0x1.87f70fcfa38ccp-3, 0x1.8b99d7a11ff88p-3, 0x1.8f0516bf5679ep-3, 0x1.92399137407f4p-3, 0x1.95380f0a145d7p-3, 0x1.98015bea3de4ep-3, 0x1.9a9646f9dbbfbp-3, 0x1.9cf7a28ac51eep-3, 0x1.9f2643e017b4ep-3, 0x1.a12302f141aebp-3, 0x1.a2eeba2e86c94p-3, 0x1.a48a464704e8dp-3, 0x1.a5f685f01f92bp-3, 0x1.a73459ae6ae8ap-3, 0x1.a844a39ff3d95p-3, 0x1.a9284747faa0ep-3, 0x1.a9e0295c0fc5cp-3, 0x1.aa6d2f928d684p-3, 0x1.aad04072722cap-3, 0x1.ab0a432493319p-3, 0x1.ab1c1f4625127p-3, 0x1.ab06bcbc940b9p-3, 0x1.aacb038aaa5e6p-3, 0x1.aa69dba705d7dp-3, 0x1.a9e42cd3cbc14p-3, 0x1.a93ade77aa31p-3, 0x1.a86ed7780c567p-3, 0x1.a780fe149981ep-3, 0x1.a67237c3dd7b7p-3, 0x1.a54369112f44ap-3, 0x1.a3f5757bc58f5p-3, 0x1.a2893f56f8e8bp-3, 0x1.a0ffa7abad714p-3, 0x1.9f598e1ae4213p-3, 0x1.9d97d0c16f33p-3, 0x1.9bbb4c1cc0081p-3, 0x1.99c4daf0d6715p-3, 0x1.97b5562f3fc49p-3, 0x1.958d94df2cc7bp-3, 0x1.934e6c069302cp-3, 0x1.90f8ae945ddeap-3, 0x1.8e8d2d4ba17d7p-3, 0x1.8c0cb6afd1f05p-3, 0x1.897816f1fc26ap-3, 0x1.86d017def2843p-3, 0x1.841580ce788dfp-3, 0x1.814916935a529p-3, 0x1.7e6b9b6c7232cp-3, 0x1.7b7dcef69ecc2p-3, 0x1.78806e1f968cep-3, 0x1.757433199ffabp-3, 0x1.7259d55027a2ep-3, 0x1.6f32095d2e6c8p-3, 0x1.6bfd80ff87819p-3, 0x1.68bceb11ecd7ap-3, 0x1.6570f382db646p-3, 0x1.621a434d32983p-3, 0x1.5eb980719e286p-3, 0x1.5b4f4df0b3496p-3, 0x1.57dc4bc5d4b4cp-3, 0x1.546116e2bb2aap-3, 0x1.50de492bb94f7p-3, 0x1.4d547974abf06p-3, 0x1.49c43b7e87bb5p-3, 0x1.462e1ff58fd93p-3, 0x1.4292b4702e619p-3, 0x1.3ef2836e5d0fap-3, 0x1.3b4e1459a9a83p-3, 0x1.37a5eb85c71c3p-3, 0x1.33fa8a31ae0bfp-3, 0x1.304c6e89413afp-3, 0x1.2c9c13a77979ep-3, 0x1.28e9f199084f7p-3, 0x1.25367d5f7e929p-3, 0x1.218228f4e39b4p-3, 0x1.1dcd634fbc29fp-3, 0x1.1a18986784886p-3, 0x1.166431398e113p-3, 0x1.12b093ce44817p-3, 0x1.0efe233ed40cbp-3, 0x1.0b4d3fbb29296p-3, 0x1.079e46904e7b2p-3, 0x1.03f1922f18253p-3, 0x1.00477a332631ap-3, 0x1.f940a6d458eb2p-4, 0x1.f1f8dfb71dcep-4, 0x1.eab83da063b02p-4, 0x1.e37f59b53f094p-4, 0x1.dc4ec7beafb19p-4, 0x1.d527163aceedap-4, 0x1.ce08ce6e65456p-4, 0x1.c6f47476da13cp-4, 0x1.bfea875c91eaep-4, 0x1.b8eb81259de49p-4, 0x1.b1f7d6e8bbep-4, 0x1.ab0ff8e0a2643p-4, 0x1.a434527f99eacp-4, 0x1.9d654a83492efp-4, 0x1.96a34308c2c0fp-4, 0x1.8fee99a0c3547p-4, 0x1.8947a7641f347p-4, 0x1.82aec10855e45p-4, 0x1.7c2436f44976cp-4, 0x1.75a8555513cd3p-4, 0x1.6f3b6432f44aep-4, 0x1.68dda7864f7a1p-4, 0x1.628f5f4cbfee4p-4, 0x1.5c50c79e2f3e7p-4, 0x1.562218c1f4734p-4, 0x1.50038743f5ap-4, 0x1.49f54409c4075p-4, 0x1.43f77c67b271bp-4, 0x1.3e0a5a35e014fp-4, 0x1.382e03e534e11p-4, 0x1.32629c944b553p-4, 0x1.2ca84424431bp-4, 0x1.26ff174d7c96dp-4, 0x1.21672fb435272p-4, 0x1.1be0a3fd06035p-4, 0x1.166b87e13edccp-4, 0x1.1107ec431b075p-4, 0x1.0bb5df41cfedfp-4, 0x1.06756c4d6eab1p-4, 0x1.01469c3a991efp-4, 0x1.f852eaac1074dp-5, 0x1.ee3bf6efbe89ep-5, 0x1.e448602d96215p-5, 0x1.da7824b5da901p-5, 0x1.d0cb3e611999ep-5, 0x1.c741a2b51f1dp-5, 0x1.bddb43096e4cbp-5, 0x1.b4980cab43a51p-5, 0x1.ab77e901199e2p-5, 0x1.a27abdadaeb3ep-5, 0x1.99a06cb289f49p-5, 0x1.90e8d491fcac3p-5, 0x1.8853d0709c3fap-5, 0x1.7fe1383637bd7p-5, 0x1.7790e0ae40577p-5, 0x1.6f629ba7aa0c3p-5, 0x1.675638143dd1ep-5, 0x1.5f6b8227617aap-5, 0x1.57a243744c86cp-5, 0x1.4ffa430bb2b0cp-5, 0x1.48734598d9febp-5, 0x1.410d0d7e23bd2p-5, 0x1.39c75af1031bep-5, 0x1.32a1ec15605e7p-5, 0x1.2b9c7d186e9bbp-5, 0x1.24b6c84aec4f4p-5, 0x1.1df0863ad511p-5, 0x1.17496dcc7f871p-5, 0x1.10c134532c24p-5, 0x1.0a578da903fdep-5, 0x1.040c2c468438cp-5, 0x1.fbbd82b2bcee7p-6, 0x1.ef9df9b58c715p-6, 0x1.e3b91b4a68963p-6, 0x1.d80e431334ab7p-6, 0x1.cc9ccac81786ap-6, 0x1.c1640a5fb5fb4p-6, 0x1.b66358365b963p-6, 0x1.ab9a09340e182p-6, 0x1.a10770f19859ep-6, 0x1.96aae1dc8429p-6, 0x1.8c83ad5a0a259p-6, 0x1.829123e902304p-6, 0x1.78d29542c654cp-6, 0x1.6f47507b1e01dp-6, 0x1.65eea41f291cep-6, 0x1.5cc7de534e75cp-6, 0x1.53d24cf038291p-6, 0x1.4b0d3d9edc88bp-6, 0x1.4277fdf3938a9p-6, 0x1.3a11db8843ff9p-6, 0x1.31da2415a72b5p-6, 0x1.29d0258ba910bp-6, 0x1.21f32e28e6285p-6, 0x1.1a428c914ab9fp-6, 0x1.12bd8fe3de658p-6, 0x1.0b6387cfb2b84p-6, 0x1.0433c4a80662fp-6, 0x1.fa5b2eef2aabcp-7, 0x1.eca0a4264be14p-7, 0x1.df368e568e9e9p-7, 0x1.d21b94baa8d36p-7, 0x1.c54e608770ff1p-7, 0x1.b8cd9d0ae9a3p-7, 0x1.ac97f7c9e8a38p-7, 0x1.a0ac209c54f78p-7, 0x1.9508c9c8112a4p-7, 0x1.89aca81a80642p-7, 0x1.7e967300cbfa1p-7, 0x1.73c4e49edfa98p-7, 0x1.6936b9e5238a7p-7, 0x1.5eeab2a5076bap-7, 0x1.54df91a45cc82p-7, 0x1.4b141caf838f8p-7, 0x1.41871caa8164fp-7, 0x1.38375da0fc4c3p-7, 0x1.2f23aed52352dp-7, 0x1.264ae2cd91071p-7, 0x1.1dabcf622a226p-7, 0x1.15454dc8018c1p-7, 0x1.0d163a9c49727p-7, 0x1.051d75ee571b7p-7, 0x1.fab3c69180146p-8, 0x1.eb94d37334159p-8, 0x1.dcdbe7b3c27c7p-8, 0x1.ce86dfa81bb65p-8, 0x1.c0939ed3bb29ep-8, 0x1.b3000ff2b355ep-8, 0x1.a5ca25023bb1p-8, 0x1.98efd747d00fp-8, 0x1.8c6f2756ebaccp-8, 0x1.80461d156c464p-8, 0x1.7472c7beaa70bp-8, 0x1.68f33de5527b1p-8, 0x1.5dc59d7407afdp-8, 0x1.52e80bace0099p-8, 0x1.4858b527c0cd6p-8, 0x1.3e15cdcfa86cbp-8, 0x1.341d90def0f19p-8, 0x1.2a6e40da928e2p-8, 0x1.2106278c74f3p-8, 0x1.17e395fcd50dap-8, 0x1.0f04e46acab86p-8, 0x1.06687243fb07bp-8, 0x1.fc194c36f2e88p-9, 0x1.ebdfdb3fd33c7p-9, 0x1.dc217b21c6b2bp-9, 0x1.ccdb23674aca4p-9, 0x1.be09d98e4274ep-9, 0x1.afaab0eec21f6p-9, 0x1.a1bacaa0b54cdp-9, 0x1.9437556058b51p-9, 0x1.871d8d71a7dc1p-9, 0x1.7a6abc82c573bp-9, 0x1.6e1c398d6ffbfp-9, 0x1.622f68b78e736p-9, 0x1.56a1bb32e5fbap-9, 0x1.4b70af1c07155p-9, 0x1.4099cf5878137p-9, 0x1.361ab37432bbbp-9, 0x1.2bf0ff7e7cf56p-9, 0x1.221a63e628e8ap-9, 0x1.18949d5546b07p-9, 0x1.0f5d748c57f39p-9, 0x1.0672be3d0b941p-9, 0x1.fba4b5c91cd2bp-10, 0x1.eaf46d4af0acp-10, 0x1.dad09242cd38dp-10, 0x1.cb352aa489255p-10, 0x1.bc1e52c6a732cp-10, 0x1.ad883d13e5cabp-10, 0x1.9f6f31bc76c05p-10, 0x1.91cf8e66d63dap-10, 0x1.84a5c5e068459p-10, 0x1.77ee5fcdd969p-10, 0x1.6ba5f85b64769p-10, 0x1.5fc93fecf302bp-10, 0x1.5454face44b15p-10, 0x1.494600e3143ecp-10, 0x1.3e993d574a0bbp-10, 0x1.344bae4f5610fp-10, 0x1.2a5a6498addabp-10, 0x1.20c2835a7e4e9p-10, 0x1.17813fc6a57ffp-10, 0x1.0e93e0caf132dp-10, 0x1.05f7bec2b01f5p-10, 0x1.fb5486515594ep-11, 0x1.eb51d092f1d6fp-11, 0x1.dbe271ec9cc69p-11, 0x1.cd01a0707b0acp-11, 0x1.beaab207f3afep-11, 0x1.b0d91bdc461f8p-11, 0x1.a38871c03bd28p-11, 0x1.96b4659b05f37p-11, 0x1.8a58c6d451fa7p-11, 0x1.7e7181c1a1a4bp-11, 0x1.72fa9f14f0dcfp-11, 0x1.67f0434cb5f81p-11, 0x1.5d4eae2543b34p-11, 0x1.53123a0b98a9dp-11, 0x1.49375b91a2ca7p-11, 0x1.3fbaa0e401612p-11, 0x1.3698b141495p-11, 0x1.2dce4c72d7668p-11, 0x1.25584a47326a5p-11, 0x1.1d339a0e07daep-11, 0x1.155d4215c2151p-11, 0x1.0dd25f2ac3c73p-11, 0x1.0690241848078p-11, 0x1.ff27b255dc84dp-12, 0x1.f1b5b769e4738p-12, 0x1.e4c53b282d3a8p-12, 0x1.d851497286444p-12, 0x1.cc551563ae02p-12, 0x1.c0cbf8656af64p-12, 0x1.b5b1714a1365ep-12, 0x1.ab0123698e0c1p-12, 0x1.a0b6d5c1c3429p-12, 0x1.96ce721a8d7a6p-12, 0x1.8d44042d1a9c2p-12, 0x1.8413b8cec8abdp-12, 0x1.7b39dd1f78baep-12, 0x1.72b2ddbb565dp-12, 0x1.6a7b45f0132a2p-12, 0x1.628fbef593296p-12, 0x1.5aed0f2a05a13p-12, 0x1.539019516ba8bp-12, 0x1.4c75dbd881aa5p-12, 0x1.459b701b0f71bp-12, 0x1.3efe09ad91431p-12, 0x1.389af5aa3fd65p-12, 0x1.326f9a0163649p-12, 0x1.2c7974ccfd0b6p-12, 0x1.26b61ba7b15a7p-12, 0x1.21233b06f5651p-12, 0x1.1bbe9598780aep-12, 0x1.168603a2bc338p-12, 0x1.11777268e1be6p-12, 0x1.0c90e3918dd6p-12, 0x1.07d06c90f80ep-12, 0x1.03343616046e2p-12, 0x1.fd74f6f4e088fp-13, 0x1.f4c3146bff76fp-13, 0x1.ec4f82a95218ap-13, 0x1.e41721df68992p-13, 0x1.dc16f35384a6dp-13, 0x1.d44c185b70074p-13, 0x1.ccb3d16102baap-13, 0x1.c54b7ceb48794p-13, 0x1.be1096ad32a07p-13, 0x1.b700b699c00a7p-13, 0x1.b0198ffd90e83p-13, 0x1.a958f09dcab22p-13, 0x1.a2bcbfdc3dc56p-13, 0x1.9c42fde0baaa3p-13, 0x1.95e9c2c7777dep-13, 0x1.8faf3dd48bccap-13, 0x1.8991b4ac5153p-13, 0x1.838f8290a8bf1p-13, 0x1.7da717a30f876p-13, 0x1.77d6f82b666b7p-13, 0x1.721dbbe35f9a9p-13, 0x1.6c7a0d468197cp-13, 0x1.66eaa8e6a4bb4p-13, 0x1.616e5cc4d94e9p-13, 0x1.5c0407aea9a63p-13, 0x1.56aa989f9d338p-13, 0x1.51610e26ea8bfp-13, 0x1.4c2675d14ae1dp-13, 0x1.46f9eb96d3e99p-13, 0x1.41da994ccd5c6p-13, 0x1.3cc7b61b62924p-13, 0x1.37c085f731ff7p-13, 0x1.32c4591e9127ep-13, 0x1.2dd28b9a85079p-13, 0x1.28ea84c34cb5dp-13, 0x1.240bb6c87d5d6p-13, 0x1.1f359e3c8d4ebp-13, 0x1.1a67c1a3c6f79p-13, 0x1.15a1b1068c559p-13, 0x1.10e30586e0137p-13, 0x1.0c2b60f9177fep-13, 0x1.077a6d7faff47p-13, 0x1.02cfdd2a32f77p-13, 0x1.fc56d32e2356cp-14, 0x1.f319a730e619ap-14, 0x1.e9e7c5b7b222p-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.16384f8b56c15p-2, -0x1.2228f59eecee9p-2, -0x1.2dd839c42f37p-2, -0x1.3944a4dbdab03p-2, -0x1.446ce4caad56ep-2, -0x1.4f4fcb59c585dp-2, -0x1.59ec4d0aa3b67p-2, -0x1.64417fe21702p-2, -0x1.6e4e9a2cea10cp-2, -0x1.7812f140d3762p-2, -0x1.818df83bc8a23p-2, -0x1.8abf3ec38fb7ep-2, -0x1.93a66fc7286a2p-2, -0x1.9c435043612cp-2, -0x1.a495be0bc5147p-2, -0x1.ac9dae98d0d7p-2, -0x1.b45b2ddc4a475p-2, -0x1.bbce5d1c53e56p-2, -0x1.c2f771d5d34cbp-2, -0x1.c9d6b4a68faecp-2, -0x1.d06c803f5efc2p-2, -0x1.d6b9405e9c3b3p-2, -0x1.dcbd70d313077p-2, -0x1.e2799c877404p-2, -0x1.e7ee5c965f72ap-2, -0x1.ed1c5766fbd1ep-2, -0x1.f2043fd20b518p-2, -0x1.f6a6d44f6466p-2, -0x1.fb04de2ba7aacp-2, -0x1.ff1f30c60daf3p-2, -0x1.017b546b0e5f9p-1, -0x1.034615dc84194p-1, -0x1.04f0536349b8ep-1, -0x1.067a87569489ep-1, -0x1.07e52f6a7ecfep-1, -0x1.0930cc64f7d4ep-1, -0x1.0a5de1d5f9cb3p-1, -0x1.0b6cf5d2e3a5fp-1, -0x1.0c5e90b4d938ap-1, -0x1.0d333cda0c5d6p-1, -0x1.0deb8669d0cabp-1, -0x1.0e87fb1b60a4bp-1, -0x1.0f0929ff32581p-1, -0x1.0f6fa34acb137p-1, -0x1.0fbbf826ef4d4p-1, -0x1.0feeba801cab5p-1, -0x1.10087cd9351acp-1, -0x1.1009d220466dap-1, -0x1.0ff34d8556851p-1, -0x1.0fc5825325144p-1, -0x1.0f8103c9cc566p-1, -0x1.0f2664fb31c26p-1, -0x1.0eb638a9332b8p-1, -0x1.0e31112584de2p-1, -0x1.0d9780332af4dp-1, -0x1.0cea16e98783dp-1, -0x1.0c296598e9612p-1, -0x1.0b55fbb0924bdp-1, -0x1.0a7067a626279p-1, -0x1.097936de78866p-1, -0x1.0870f597adf22p-1, -0x1.07582ed4a239fp-1, -0x1.062f6c498e0bbp-1, -0x1.04f73649df51cp-1, -0x1.03b013b7383b1p-1, -0x1.025a89f190c1cp-1, -0x1.00f71cc86bbafp-1, -0x1.ff0c9cda33e15p-2, -0x1.fc113ecc0251fp-2, -0x1.f8fd1d05bad8bp-2, -0x1.f5d131a3eb04ep-2, -0x1.f28e732c74941p-2, -0x1.ef35d47c8f5fp-2, -0x1.ebc844b87b9a8p-2, -0x1.e846af3cde446p-2, -0x1.e4b1fb91ac065p-2, -0x1.e10b0d5e9c67dp-2, -0x1.dd52c46110a1cp-2, -0x1.d989fc6362a61p-2, -0x1.d5b18d358a519p-2, -0x1.d1ca4aa70e3b7p-2, -0x1.cdd504822ef9fp-2, -0x1.c9d2868840fd5p-2, -0x1.c5c3986f24bacp-2, -0x1.c1a8fddfd5ad6p-2, -0x1.bd837675f9bf4p-2, -0x1.b953bdc06ee76p-2, -0x1.b51a8b42c4f44p-2, -0x1.b0d8927792cd8p-2, -0x1.ac8e82d3aa3f2p-2, -0x1.a83d07ca0bf79p-2, -0x1.a3e4c8d0a0fdep-2, -0x1.9f866965a2c25p-2, -0x1.9b228915b1c9cp-2, -0x1.96b9c38285d5ep-2, -0x1.924cb06a37fd1p-2, -0x1.8ddbe3af166a2p-2, -0x1.8967ed5ffabb7p-2, -0x1.84f159c11c68dp-2, -0x1.8078b155526e3p-2, -0x1.7bfe78e7bf654p-2, -0x1.77833195df424p-2, -0x1.730758d9ee581p-2, -0x1.6e8b6895a53eep-2, -0x1.6a0fd71d3e2cap-2, -0x1.65951742c11cfp-2, -0x1.611b98618dfc1p-2, -0x1.5ca3c66a23835p-2, -0x1.582e09ee13d2bp-2, -0x1.53bac82c2b2ep-2, -0x1.4f4a631cbf301p-2, -0x1.4add397e1f6afp-2, -0x1.4673a6e127e55p-2, -0x1.420e03b5ec394p-2, -0x1.3daca5587bc46p-2, -0x1.394fde1db5ad2p-2, -0x1.34f7fd602cbdfp-2, -0x1.30a54f8d18711p-2, -0x1.2c581e3149f2ap-2, -0x1.2810b0062a5edp-2, -0x1.23cf48feb5eb8p-2, -0x1.1f942a547be8fp-2, -0x1.1b5f929494a4ap-2, -0x1.1731bdac966bp-2, -0x1.130ae4f77f19cp-2, -0x1.0eeb3f4a9394bp-2, -0x1.0ad30102343bep-2, -0x1.06c25c0e9f594p-2, -0x1.02b98000a5ec5p-2, -0x1.fd71342c9dbcap-3, -0x1.f57faa8ec40adp-3, -0x1.ed9eb4a3c949cp-3, -0x1.e5ce9f8cf2adfp-3, -0x1.de0fb4295938cp-3, -0x1.d662372e4a8ccp-3, -0x1.cec6693f7960ep-3, -0x1.c73c8706f92c4p-3, -0x1.bfc4c94cfc405p-3, -0x1.b85f650f5a77fp-3, -0x1.b10c8b98e23eap-3, -0x1.a9cc6a9864fc5p-3, -0x1.a29f2c3785edap-3, -0x1.9b84f73151925p-3, -0x1.947deee886d2fp-3, -0x1.8d8a337daee3bp-3, -0x1.86a9e1e4dfd5ap-3, -0x1.7fdd13fb4ec65p-3, -0x1.7923e09c8d9eap-3, -0x1.727e5bb78de24p-3, -0x1.6bec966357d9dp-3, -0x1.656e9ef37ee36p-3, -0x1.5f04810c4da1ep-3, -0x1.58ae45b6abcedp-3, -0x1.526bf373b7847p-3, -0x1.4c3d8e501d715p-3, -0x1.462317f72566p-3, -0x1.401c8fc574ffdp-3, -0x1.3a29f2db8a32dp-3, -0x1.344b3c2fef754p-3, -0x1.2e8064a123646p-3, -0x1.28c9630736867p-3, -0x1.23262c4525516p-3, -0x1.1d96b359e3e8fp-3, -0x1.181ae971229ccp-3, -0x1.12b2bdf3c5dffp-3, -0x1.0d5e1e981e0bp-3, -0x1.081cf771cb8cdp-3, -0x1.02ef33016042bp-3, -0x1.fba9748773205p-4, -0x1.f19ae9821da43p-4, -0x1.e7b291376d9e4p-4, -0x1.ddf0353d58226p-4, -0x1.d4539c9780a4bp-4, -0x1.cadc8bd321296p-4, -0x1.c18ac52262333p-4, -0x1.b85e0877161f5p-4, -0x1.af56139d05ad5p-4, -0x1.a672a25395664p-4, -0x1.9db36e66f1a16p-4, -0x1.95182fc8a310bp-4, -0x1.8ca09ca7b120fp-4, -0x1.844c698823623p-4, -0x1.7c1b495a0c8a8p-4, -0x1.740ced900ad8ep-4, -0x1.6c210635453bp-4, -0x1.64574202e427cp-4, -0x1.5caf4e7509b3fp-4, -0x1.5528d7df4777dp-4, -0x1.4dc3898095f8p-4, -0x1.467f0d96cd379p-4, -0x1.3f5b0d719fadfp-4, -0x1.3857318519be2p-4, -0x1.3173217ba7169p-4, -0x1.2aae84479e812p-4, -0x1.24090034555eep-4, -0x1.1d823af6bd721p-4, -0x1.1719d9bd8e06p-4, -0x1.10cf8140f7bf7p-4, -0x1.0aa2d5d1e8e42p-4, -0x1.04937b68de955p-4, -0x1.fd422b688fd1bp-5, -0x1.f196904cf83c3p-5, -0x1.e6236c068616bp-5, -0x1.dae804d9e7fccp-5, -0x1.cfe3a0e257e05p-5, -0x1.c515862a350a8p-5, -0x1.ba7cfac2d5e95p-5, -0x1.b01944db8e25ap-5, -0x1.a5e9aad7f2816p-5, -0x1.9bed736556457p-5, -0x1.9223e58f8c18bp-5, -0x1.888c48d4ea403p-5, -0x1.7f25e53996284p-5, -0x1.75f0035a1951cp-5, -0x1.6ce9ec7d4544fp-5, -0x1.6412eaa567f3p-5, -0x1.5b6a48a0d2fbcp-5, -0x1.52ef5219bb78dp-5, -0x1.4aa153a574c61p-5, -0x1.427f9ad306f8fp-5, -0x1.3a89763928c72p-5, -0x1.32be35839b724p-5, -0x1.2b1d297fee5a2p-5, -0x1.23a5a429af239p-5, -0x1.1c56f8b605644p-5, -0x1.15307b9ebec16p-5, -0x1.0e3182acd17c5p-5, -0x1.07596502545ebp-5, -0x1.00a77b23f03fp-5, -0x1.f4363e03a0ca1p-6, -0x1.e7675800266b6p-6, -0x1.dae0fdfd79d32p-6, -0x1.cea1ecc26274ep-6, -0x1.c2a8e42a6fcd9p-6, -0x1.b6f4a73315faap-6, -0x1.ab83fc07eec39p-6, -0x1.a055ac0e19762p-6, -0x1.956883eec9c3p-6, -0x1.8abb53a104e81p-6, -0x1.804cee728ff86p-6, -0x1.761c2b10245dap-6, -0x1.6c27e38cd8488p-6, -0x1.626ef568d5cc4p-6, -0x1.58f041975a511p-6, -0x1.4faaac8408ea6p-6, -0x1.469d1e178edebp-6, -0x1.3dc681bba925cp-6, -0x1.3525c65e83d54p-6, -0x1.2cb9de75845f6p-6, -0x1.2481bfff7d399p-6, -0x1.1c7c64864d09ep-6, -0x1.14a8c91ff54ffp-6, -0x1.0d05ee6f2aa64p-6, -0x1.0592d8a35f50bp-6, -0x1.fc9d1ef0a2798p-7, -0x1.ee703c6a40c46p-7, -0x1.e09d2755d6ccp-7, -0x1.d3220466028fep-7, -0x1.c5fcff5942215p-7, -0x1.b92c4af4a9bep-7, -0x1.acae20fdcf41ep-7, -0x1.a080c233f6314p-7, -0x1.94a276487c5c4p-7, -0x1.89118bd69f077p-7, -0x1.7dcc585a94619p-7, -0x1.72d13827fee7cp-7, -0x1.681e8e5fc490ep-7, -0x1.5db2c4e55ede2p-7, -0x1.538c4c538eb2ep-7, -0x1.49a99bf0901afp-7, -0x1.400931a1d7483p-7, -0x1.36a991df435c2p-7, -0x1.2d8947a5ed44bp-7, -0x1.24a6e46a83319p-7, -0x1.1c01000b3ed94p-7, -0x1.139638c17ae95p-7, -0x1.0b653312edf97p-7, -0x1.036c99c28f376p-7, -0x1.f7563b82568fdp-8, -0x1.e83eec3b5d675p-8, -0x1.d990bfea535b9p-8, -0x1.cb493cc527eb4p-8, -0x1.bd65f4dca868p-8, -0x1.afe485fb1fc9dp-8, -0x1.a2c2998293269p-8, -0x1.95fde44a9e2dep-8, -0x1.8994267dfedc4p-8, -0x1.7d832b77d3366p-8, -0x1.71c8c9a09376ap-8, -0x1.6662e24ad286ap-8, -0x1.5b4f618fc62d6p-8, -0x1.508c3e2ba6253p-8, -0x1.46177959e218ap-8, -0x1.3bef1eb139821p-8, -0x1.321143ffbbe5bp-8, -0x1.287c0926b557dp-8, -0x1.1f2d97f68ea0fp-8, -0x1.1624240aa8501p-8, -0x1.0d5deaa5341d5p-8, -0x1.04d9328b14c57p-8, -0x1.f92897bf8afe6p-9, -0x1.e91b2002a6587p-9, -0x1.d986c2c8cf1b2p-9, -0x1.ca6856e0defb7p-9, -0x1.bbbcc4b7b7406p-9, -0x1.ad81061109a09p-9, -0x1.9fb225c069becp-9, -0x1.924d3f62b317ap-9, -0x1.854f7f17c992p-9, -0x1.78b6213cb8a2ap-9, -0x1.6c7e722640363p-9, -0x1.60a5cddbcb713p-9, -0x1.55299fd2df585p-9, -0x1.4a0762ab04c1dp-9, -0x1.3f3c9fea3060fp-9, -0x1.34c6efb9b30d4p-9, -0x1.2aa3f8a3b4861p-9, -0x1.20d16f513b82fp-9, -0x1.174d1648cc12fp-9, -0x1.0e14bdad9d6adp-9, -0x1.052642ff69f2dp-9, -0x1.f8ff21b5c2eb7p-10, -0x1.e83d3d757c019p-10, -0x1.d802e172f5cafp-10, -0x1.c84c2ea776bd5p-10, -0x1.b9155e56ae8fep-10, -0x1.aa5ac19635b37p-10, -0x1.9c18c0d663103p-10, -0x1.8e4bdb6c91eedp-10, -0x1.80f0a71ecccb5p-10, -0x1.7403cfb0e0709p-10, -0x1.67821672e9621p-10, -0x1.5b6851d1474e6p-10, -0x1.4fb36ce60e306p-10, -0x1.4460670be8bbp-10, -0x1.396c53727bd4fp-10, -0x1.2ed458b436de2p-10, -0x1.2495b06da9858p-10, -0x1.1aada6d6508aep-10, -0x1.11199a5ae4b09p-10, -0x1.07d6fb391c183p-10, -0x1.fdc69639e3b88p-11, -0x1.ec78397ecdaedp-11, -0x1.dbbe270d7a574p-11, -0x1.cb93c65062b67p-11, -0x1.bbf49e965a777p-11, -0x1.acdc565be7459p-11, -0x1.9e46b2978ba05p-11, -0x1.902f9608fc628p-11, -0x1.8293008b42c7fp-11, -0x1.756d0e69c3f88p-11, -0x1.68b9f7b82b29bp-11, -0x1.5c760fad32bd8p-11, -0x1.509dc40047699p-11, -0x1.452d9c4a00729p-11, -0x1.3a22396766ae3p-11, -0x1.2f7854e008b7dp-11, -0x1.252cc04ed1fcp-11, -0x1.1b3c64cda1adbp-11, -0x1.11a442639c775p-11, -0x1.08616f762f728p-11, -0x1.fee2307981249p-12, -0x1.eda0fc6e0b7d6p-12, -0x1.dcf9ef4bf666ap-12, -0x1.cce7de0ee20b2p-12, -0x1.bd65c5285ab0dp-12, -0x1.ae6ec7812be94p-12, -0x1.9ffe2d7fbcb08p-12, -0x1.920f6413659d2p-12, -0x1.849dfbc4ab10ap-12, -0x1.77a5a7ca534ccp-12, -0x1.6b223d234990fp-12, -0x1.5f0fb1b536d4fp-12, -0x1.536a1b6fca45ep-12, -0x1.482daf749b742p-12, -0x1.3d56c14398af6p-12, -0x1.32e1c1ebf1cd9p-12, -0x1.28cb3f416f26dp-12, -0x1.1f0fe316241b4p-12, -0x1.15ac72786dd45p-12, -0x1.0c9dccf52fd6ap-12, -0x1.03e0ebde39aecp-12, -0x1.f6e5c32995cffp-13, -0x1.e6a1b1b043e2p-13, -0x1.d6f028300a88p-13, -0x1.c7cbd99679d3dp-13, -0x1.b92fa593c38ccp-13, -0x1.ab169756f9a44p-13, -0x1.9d7be451c3175p-13, -0x1.905aeb03624fbp-13, -0x1.83af31cafe9adp-13, -0x1.777465c0fe463p-13, -0x1.6ba659975bc2cp-13, -0x1.60410480dbb13p-13, -0x1.5540811ef4ff2p-13, -0x1.4aa10c765ae0cp-13, -0x1.405f04ea0a058p-13, -0x1.3676e93cadccp-13, -0x1.2ce557984d3fbp-13, -0x1.23a70c9c1af0dp-13, -0x1.1ab8e2704bbb8p-13, -0x1.1217cfdfdb45bp-13, -0x1.09c0e77814c43p-13, -0x1.01b156add9b9ep-13, -0x1.f3ccca10ddafap-14, -0x1.e4bae6a394fc2p-14, -0x1.d627f59873417p-14, -0x1.c80f18da95b5cp-14, -0x1.ba6ba03bb3b6p-14, -0x1.ad3907fe57b11p-14, -0x1.a072f769e7484p-14, -0x1.94153f686b82fp-14, -0x1.881bd92dc3e03p-14, -0x1.7c82e4e824bf8p-14, -0x1.7146a879a8ed6p-14, -0x1.66638e3ac40f5p-14, -0x1.5bd623c566626p-14, -0x1.519b18c8a0caap-14, -0x1.47af3de49a8cdp-14, -0x1.3e0f838ea7df6p-14, -0x1.34b8f8fd555f4p-14, -0x1.2ba8cb1c39bf7p-14, -0x1.22dc4387602p-14, -0x1.1a50c78e20e5bp-14, -0x1.1203d73d3bab9p-14, -0x1.09f30c7008e16p-14, -0x1.021c19e897aa9p-14, -0x1.f4f994dd22895p-15, -0x1.e625ffe96a316p-15, -0x1.d7b96589939a4p-15, -0x1.c9afe163b261p-15, -0x1.bc05b8a122519p-15, -0x1.aeb7586b48b97p-15, -0x1.a1c1547408719p-15, -0x1.952065899f7abp-15, -0x1.88d16835a9b99p-15, -0x1.7cd15b66fc134p-15, -0x1.711d5f261881ep-15, -0x1.65b2b353f4273p-15, -0x1.5a8eb672cbfd2p-15, -0x1.4faee478c85f4p-15, -0x1.4510d5ac30041p-15, -0x1.3ab23d88e64d6p-15, -0x1.3090e9aefee58p-15, -0x1.26aac0da23a53p-15, -0x1.1cfdc1e194ea5p-15, -0x1.138802c08890bp-15, -0x1.0a47afa6af581p-15, -0x1.013b0a10a93bfp-15, -0x1.f0c0cfd064aap-16, -0x1.df6c6557a24bbp-16, -0x1.ce75cd3ba597bp-16, -0x1.bdda23f4c6badp-16, -0x1.ad96a8691dde5p-16, -0x1.9da8ba73f0e78p-16, -0x1.8e0dd97a35bb5p-16, -0x1.7ec3a30bc08a6p-16, -0x1.6fc7d190cd712p-16, -0x1.61183b0381fb9p-16, -0x1.52b2cfb5151f7p-16, -0x1.4495991e4171ep-16, -0x1.36beb8bab817cp-16, -0x1.292c66ef377d3p-16, -0x1.1bdcf1f9fae35p-16, -0x1.0ecebced388c4p-16, -0x1.02003eb3597e2p-16, -0x1.eae00239487e4p-17, -0x1.d2393fec2f0edp-17, -0x1.ba09905246f7ep-17, -0x1.a24e6dc80b46bp-17, -0x1.8b057194f666dp-17, -0x1.742c525d1bd07p-17, -0x1.5dc0e2a27ada1p-17, -0x1.47c10f5579fc2p-17, -0x1.322ade741d494p-17, -0x1.1cfc6db784d0ep-17, -0x1.0833f14f31cb1p-17, -0x1.e79f655357e34p-18, -0x1.bf9c1e942572fp-18, -0x1.985aef5462266p-18, -0x1.71d8dc5154fc9p-18, -0x1.4c130c05b7aaep-18, -0x1.2706c4b416785p-18, -0x1.02b16a870e1afp-18, -0x1.be20fb8d5b6p-19, -0x1.7843324481c1p-19, -0x1.33c4e01ba39a8p-19, -0x1.e14334cae1a8ap-20, -0x1.5daa43ca21508p-20, -0x1.b96d7fddf335bp-21, -0x1.79831ef8b386dp-22, 0x1.d5f3f9f7ce525p-24, 0x1.2d215e88a1db6p-21, 0x1.0d3aa337640aap-20, 0x1.8163fedb1e6eap-20, 0x1.f3137122bfc07p-20, 0x1.3127bc487cce8p-19, 0x1.678f3380dafdep-19, 0x1.9cc332a073627p-19, 0x1.d0c6bb3839385p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.5308d3d228ebbp-1, 0x1.5164496c6ecccp-1, 0x1.4f798d95af376p-1, 0x1.4d4713800f296p-1, 0x1.4acbc64785c77p-1, 0x1.480702f9e28bep-1, 0x1.44f8921dbb703p-1, 0x1.41a0a0e27c5dcp-1, 0x1.3dffba1cf7411p-1, 0x1.3a16bf2dd5d93p-1, 0x1.35e6e0ea0efbp-1, 0x1.31719898fac51p-1, 0x1.2cb8a117bea3fp-1, 0x1.27bdf02e7424bp-1, 0x1.2283b020a203cp-1, 0x1.1d0c39803844ap-1, 0x1.175a0d484692fp-1, 0x1.116fcf42f804cp-1, 0x1.0b5040bcff47p-1, 0x1.04fe3b8779fcap-1, 0x1.fcf95a90d4334p-2, 0x1.ef9d26323053fp-2, 0x1.e1edeae246caap-2, 0x1.d3f1c8b8fece2p-2, 0x1.c5aee7f482847p-2, 0x1.b72b7283ae27ep-2, 0x1.a86d8e1813acbp-2, 0x1.997b56ba01fp-2, 0x1.8a5ad9d8d04a9p-2, 0x1.7b1211d18285bp-2, 0x1.6ba6e1e5da11dp-2, 0x1.5c1f129dd7c63p-2, 0x1.4c804e8dcb652p-2, 0x1.3cd01f7b198e4p-2, 0x1.2d13ebda085ep-2, 0x1.1d50f49ef886bp-2, 0x1.0d8c535dab2d1p-2, 0x1.fb95f162a8fcep-3, 0x1.dc2355d0dbf03p-3, 0x1.bcca09dee66c7p-3, 0x1.9d92eaebc111fp-3, 0x1.7e867c920a1d4p-3, 0x1.5face7c0d4e42p-3, 0x1.410dfa2f9eb7ep-3, 0x1.22b12625bd023p-3, 0x1.049d828e1558fp-3, 0x1.cdb396a09077ep-4, 0x1.92d8c3d1b2b28p-4, 0x1.58b69c74a9aecp-4, 0x1.1f587f236d9f5p-4, 0x1.cd9237633466bp-5, 0x1.5e24ebc64a104p-5, 0x1.e0f7a1af1a1d5p-6, 0x1.0950a0b999acep-6, 0x1.aba8f690c3877p-9, -0x1.34fa294e8e0dcp-7, -0x1.666a95d228898p-6, -0x1.171d2e3d8569cp-5, -0x1.78ead5e993f85p-5, -0x1.d89400e46f192p-5, -0x1.1b07c18528dd1p-4, -0x1.48aa9e4333d13p-4, -0x1.752f089443f5bp-4, -0x1.a091efd73463bp-4, -0x1.cad0bc83a74f7p-4, -0x1.f3e94bcc469e9p-4, -0x1.0decf5a224d9ep-3, -0x1.2150aa4574308p-3, -0x1.341f547f7ee4fp-3, -0x1.4658b6be86b8cp-3, -0x1.57fcc314c0f88p-3, -0x1.690b992465c4fp-3, -0x1.798584137999bp-3, -0x1.896af887f047dp-3, -0x1.98bc92acc0ae4p-3, -0x1.a77b14406b5fbp-3, -0x1.b5a762ad65acep-3, -0x1.c342852cc2cd6p-3, -0x1.d04da2f36dd3dp-3, -0x1.dcca016a447adp-3, -0x1.e8b9027131926p-3, -0x1.f41c22ad8baacp-3, -0x1.fef4f7e3c6f08p-3, -0x1.04a297ae5076ep-2, -0x1.0987462ae4da9p-2, -0x1.0e29733f0cb54p-2, -0x1.128a143ea9152p-2, -0x1.16aa2743b2506p-2, -0x1.1a8ab27d97b46p-2, -0x1.1e2cc386558e5p-2, -0x1.21916ebd3147ep-2, -0x1.24b9cea715e05p-2, -0x1.27a703547eb92p-2, -0x1.2a5a31ccda492p-2, -0x1.2cd4837f61305p-2, -0x1.2f1725b93d9cfp-2, -0x1.31234920faa5fp-2, -0x1.32fa21372056cp-2, -0x1.349ce3dbe6debp-2, -0x1.360cc8d9e8444p-2, -0x1.374b0975bdb14p-2, -0x1.3858e00266ecap-2, -0x1.3937877a6b4a2p-2, -0x1.39e83b1d94669p-2, -0x1.3a6c36132cb1fp-2, -0x1.3ac4b310a4c19p-2, -0x1.3af2ec0486582p-2, -0x1.3af819c59abfep-2, -0x1.3ad573c62770cp-2, -0x1.3a8c2fcb2b04bp-2, -0x1.3a1d81a779edep-2, -0x1.398a9afaa2bf9p-2, -0x1.38d4aaf3839a4p-2, -0x1.37fcde166dfd9p-2, -0x1.37045e06c5349p-2, -0x1.35ec5153fa563p-2, -0x1.34b5db49cc56ap-2, -0x1.33621bc3b46b6p-2, -0x1.31f22f0360d7fp-2, -0x1.30672d8a2acabp-2, -0x1.2ec22bf5680f6p-2, -0x1.2d043add87705p-2, -0x1.2b2e66b7d81bfp-2, -0x1.2941b7bae9251p-2, -0x1.273f31c5679bep-2, -0x1.2527d44767754p-2, -0x1.22fc9a2df8e71p-2, -0x1.20be79d0fd796p-2, -0x1.1e6e64e31fc43p-2, -0x1.1c0d4863da818p-2, -0x1.199c0c937e3bap-2, -0x1.171b94e9157dap-2, -0x1.148cc00a24016p-2, -0x1.11f067c41b77dp-2, -0x1.0f4761077f542p-2, -0x1.0c927be4a12aep-2, -0x1.09d28389dde4dp-2, -0x1.07083e4352fb2p-2, -0x1.04346d7bf076bp-2, -0x1.0157cdbfe0a9fp-2, -0x1.fce62d8055a37p-3, -0x1.f70df6af0ddd7p-3, -0x1.f1285320a4454p-3, -0x1.eb36955723f0bp-3, -0x1.e53a0651f10a2p-3, -0x1.df33e59fb85f9p-3, -0x1.d925697224d36p-3, -0x1.d30fbeb346721p-3, -0x1.ccf4091c88e09p-3, -0x1.c6d3634f22427p-3, -0x1.c0aedeede7408p-3, -0x1.ba8784b861df2p-3, -0x1.b45e54a717ccfp-3, -0x1.ae344608f4b81p-3, -0x1.a80a47a1aa0d9p-3, -0x1.a1e13fc90b2bp-3, -0x1.9bba0c8b3cab5p-3, -0x1.959583c9aee42p-3, -0x1.8f74735cc930cp-3, -0x1.8957a1363b7b8p-3, -0x1.833fcb83e0ea3p-3, -0x1.7d2da8d31cce8p-3, -0x1.7721e834b017fp-3, -0x1.711d3160e95f9p-3, -0x1.6b2024dc2b26ep-3, -0x1.652b5c1bb08b4p-3, -0x1.5f3f69aa914d6p-3, -0x1.595cd94ee2e09p-3, -0x1.5384302f02d0cp-3, -0x1.4db5ecf6ebb73p-3, -0x1.47f287fd8e94fp-3, -0x1.423a736a2ed08p-3, -0x1.3c8e1b59a917bp-3, -0x1.36ede603a2814p-3, -0x1.315a33df9aa7bp-3, -0x1.2bd35fc9ce449p-3, -0x1.2659bf27ec0dfp-3, -0x1.20eda20d895e4p-3, -0x1.1b8f53605bec9p-3, -0x1.163f18fc28c11p-3, -0x1.10fd33d663ff1p-3, -0x1.0bc9e0217c3dbp-3, -0x1.06a5556fcb472p-3, -0x1.018fc6d627d87p-3, -0x1.f912c61c2d3f2p-4, -0x1.ef24a92f0e3b1p-4, -0x1.e55583b466975p-4, -0x1.dba59a8cf861cp-4, -0x1.d2152aebcd2cdp-4, -0x1.c8a46a9610b87p-4, -0x1.bf538822214b6p-4, -0x1.b622ab358bdap-4, -0x1.ad11f4c20754bp-4, -0x1.a4217f417d308p-4, -0x1.9b515ef0fa387p-4, -0x1.92a1a20a9dd23p-4, -0x1.8a1250fe6f154p-4, -0x1.81a36eaa3028p-4, -0x1.7954f89014f89p-4, -0x1.7126e70c691b6p-4, -0x1.69192d8a1f2cep-4, -0x1.612bbab64af35p-4, -0x1.595e78b283f5ep-4, -0x1.51b14d46313ddp-4, -0x1.4a241a0ebd606p-4, -0x1.42b6bcaeb5cf6p-4, -0x1.3b690efbd2721p-4, -0x1.343ae72be992fp-4, -0x1.2d2c1800cf6dcp-4, -0x1.263c70f3245cp-4, -0x1.1f6bbe5c1144dp-4, -0x1.18b9c99df6b73p-4, -0x1.1226594c0f081p-4, -0x1.0bb1315105369p-4, -0x1.055a13148583ep-4, -0x1.fe417b3f8f225p-5, -0x1.f209db822d2d4p-5, -0x1.e60cbc5cb4559p-5, -0x1.da498f4d43c4cp-5, -0x1.cebfc2256ef71p-5, -0x1.c36ebf4978a7fp-5, -0x1.b855ededa39f3p-5, -0x1.ad74b251a7ce2p-5, -0x1.a2ca6dfa4ee4dp-5, -0x1.98567fe941e19p-5, -0x1.8e1844d30a0f6p-5, -0x1.840f175353e18p-5, -0x1.7a3a501f76228p-5, -0x1.70994637469bbp-5, -0x1.672b4f14466a5p-5, -0x1.5defbed726b5dp-5, -0x1.54e5e873b9218p-5, -0x1.4c0d1ddb45fe2p-5, -0x1.4364b0255e0c3p-5, -0x1.3aebefb724a3bp-5, -0x1.32a22c691ffb6p-5, -0x1.2a86b5ab97ff4p-5, -0x1.2298daa987f1ap-5, -0x1.1ad7ea6a2e169p-5, -0x1.134333f13f66fp-5, -0x1.0bda065dc86fep-5, -0x1.049bb107c2686p-5, -0x1.fb0f0738cd619p-6, -0x1.ed399c7284ffp-6, -0x1.dfb5c30c373a1p-6, -0x1.d2821d9b48285p-6, -0x1.c59d502a17ec7p-6, -0x1.b9060064ec438p-6, -0x1.acbad5c4a9ee7p-6, -0x1.a0ba79b7769a9p-6, -0x1.950397c7499dbp-6, -0x1.8994ddbe7dd1dp-6, -0x1.7e6cfbca71eedp-6, -0x1.738aa49c4791ap-6, -0x1.68ec8d87ca171p-6, -0x1.5e916ea08cc5p-6, -0x1.547802d554aa8p-6, -0x1.4a9f0809cf9e8p-6, -0x1.41053f2eac12p-6, -0x1.37a96c5821306p-6, -0x1.2e8a56d2ee571p-6, -0x1.25a6c937dddbfp-6, -0x1.1cfd917de259cp-6, -0x1.148d810ac6c67p-6, -0x1.0c556cc291b16p-6, -0x1.04542d159ba8ep-6, -0x1.f9113c1ac6acfp-7, -0x1.e9e33eb05f005p-7, -0x1.db1c28a7189bdp-7, -0x1.ccb9c82b3f348p-7, -0x1.beb9f2eae7f18p-7, -0x1.b11a862466d14p-7, -0x1.a3d966b2c696dp-7, -0x1.96f4811856f2ap-7, -0x1.8a69c9875c297p-7, -0x1.7e373be8fdc7ap-7, -0x1.725adbe27e3a6p-7, -0x1.66d2b4d8c961fp-7, -0x1.5b9cd9f2801cep-7, -0x1.50b766186fe88p-7, -0x1.46207bf4aba58p-7, -0x1.3bd645f03af2cp-7, -0x1.31d6f62f7876fp-7, -0x1.2820c68d3219ap-7, -0x1.1eb1f89495dc7p-7, -0x1.1588d579f8b56p-7, -0x1.0ca3ae1288ff3p-7, -0x1.0400dacaf734ep-7, -0x1.f73d773a48088p-8, -0x1.e6f77009bdfa5p-8, -0x1.d72c7de788b2cp-8, -0x1.c7d98d88869a6p-8, -0x1.b8fb9a57b7dd2p-8, -0x1.aa8fae593a02bp-8, -0x1.9c92e20bddc52p-8, -0x1.8f025c49692a2p-8, -0x1.81db52259f343p-8, -0x1.751b06cc1af5fp-8, -0x1.68becb5d17ed6p-8, -0x1.5cc3fec936022p-8, -0x1.51280dac4d21dp-8, -0x1.45e8722761efbp-8, -0x1.3b02b3b9cc695p-8, -0x1.307467199ffcep-8, -0x1.263b2e0b675bbp-8, -0x1.1c54b7393fdc7p-8, -0x1.12bebe0967p-8, -0x1.09770a74431bp-8, -0x1.007b70d9fbf91p-8, -0x1.ef93a3af51a2dp-9, -0x1.dec034384cd44p-9, -0x1.ce7884793c45dp-9, -0x1.beb89d119494ap-9, -0x1.af7c9dbe068f4p-9, -0x1.a0c0bd0043f81p-9, -0x1.928147c67847fp-9, -0x1.84baa11298e8ep-9, -0x1.776941a193a96p-9, -0x1.6a89b792715dap-9, -0x1.5e18a60d8182ap-9, -0x1.5212c4eb96344p-9, -0x1.4674e05d6edd4p-9, -0x1.3b3bd8934ff08p-9, -0x1.3064a164e2206p-9, -0x1.25ec41f963c7bp-9, -0x1.1bcfd47036a4cp-9, -0x1.120c8589d76acp-9, -0x1.089f94514dcb6p-9, -0x1.ff0ca38c3e364p-10, -0x1.ed7c410d8f034p-10, -0x1.dc88e8f79bf1fp-10, -0x1.cc2da506ecfbep-10, -0x1.bc65a03c36e49p-10, -0x1.ad2c26366f85fp-10, -0x1.9e7ca28e54893p-10, -0x1.9052a0336a2c6p-10, -0x1.82a9c8ca94fcp-10, -0x1.757de40e3c7dp-10, -0x1.68cad7301f4fbp-10, -0x1.5c8ca43cd209bp-10, -0x1.50bf6980facafp-10, -0x1.455f60f0516fap-10, -0x1.3a68df8e6c3fbp-10, -0x1.2fd854d95ebe8p-10, -0x1.25aa4a36393c2p-10, -0x1.1bdb625f65c91p-10, -0x1.126858d4f5aedp-10, -0x1.094e014ecd6aep-10, -0x1.00894730d706bp-10, -0x1.f02e5a022d8bfp-11, -0x1.dfe997bf92b12p-11, -0x1.d03ea602ea199p-11, -0x1.c1280e55fbc2p-11, -0x1.b2a0845f7382ep-11, -0x1.a4a2e4e30e9e7p-11, -0x1.972a34c5d068p-11, -0x1.8a31a0163dcb6p-11, -0x1.7db47918a22dcp-11, -0x1.71ae37575b2e8p-11, -0x1.661a76b72bbacp-11, -0x1.5af4f68f91f39p-11, -0x1.503998c72059p-11, -0x1.45e460f3d50cfp-11, -0x1.3bf1737f69c61p-11, -0x1.325d14cf9cac2p-11, -0x1.2923a87266a27p-11, -0x1.2041b04e1effbp-11, -0x1.17b3cbd583b1cp-11, -0x1.0f76b73f9e258p-11, -0x1.07874ac3823eep-11, -0x1.ffc4f3afb3489p-12, -0x1.f10aa4ec7408dp-12, -0x1.e2d9f8c47218cp-12, -0x1.d52d70e86f0e2p-12, -0x1.c7ffbfcfb6a17p-12, -0x1.bb4bc75c59b81p-12, -0x1.af0c9786a2296p-12, -0x1.a33d6d0fa75f1p-12, -0x1.97d9b03af328p-12, -0x1.8cdcf38f211e9p-12, -0x1.8242f29d5fde4p-12, -0x1.780790cfc8c57p-12, -0x1.6e26d83e6a3dp-12, -0x1.649cf88afc694p-12, -0x1.5b6645c31f64bp-12, -0x1.527f374916dbep-12, -0x1.49e466c2de8efp-12, -0x1.41928f0f8f9dfp-12, -0x1.39868b42f5cp-12, -0x1.31bd55a73d6cdp-12, -0x1.2a3406c4ac1c1p-12, -0x1.22e7d46f40d43p-12, -0x1.1bd610da28c3ap-12, -0x1.14fc29b0f654dp-12, -0x1.0e57a7367ba99p-12, -0x1.07e62b692f455p-12, -0x1.01a5712d10174p-12, -0x1.f72696f5c36c8p-13, -0x1.eb5b49296215ep-13, -0x1.dfe4fa7f1b2eap-13, -0x1.d4bfd804ab29bp-13, -0x1.c9e838d30cffdp-13, -0x1.bf5a9c9ff1b01p-13, -0x1.b513aa58d7382p-13, -0x1.ab102ec79afddp-13, -0x1.a14d1b405b85fp-13, -0x1.97c784586b53ap-13, -0x1.8e7ca0a6411e4p-13, -0x1.8569c78a1f1c6p-13, -0x1.7c8c6fff5cadp-13, -0x1.73e22f76109dfp-13, -0x1.6b68b8b501f03p-13, -0x1.631ddac3a91p-13, -0x1.5aff7fdc1c91ap-13, -0x1.530bac64ba9dap-13, -0x1.4b407df16936cp-13, -0x1.439c2a4c44d2bp-13, -0x1.3c1cfe8589ecap-13, -0x1.34c15e0aa5c2ap-13, -0x1.2d87c1c429c7fp-13, -0x1.266eb73a98cabp-13, -0x1.1f74dfc1cfa7fp-13, -0x1.1898efaaee863p-13, -0x1.11d9ad7c9929dp-13, -0x1.0b35f131688d5p-13, -0x1.04aca37c6c6acp-13, -0x1.fc797a272dc19p-14, -0x1.efca8bffca56fp-14, -0x1.e34aa9e66e0bdp-14, -0x1.d6f81d4737eedp-14, -0x1.cad14a57fc729p-14, -0x1.bed4aee4222dfp-14, -0x1.b300e1229ee18p-14, -0x1.a7548e95f4562p-14, -0x1.9bce7af5e0561p-14, -0x1.906d7f227dffcp-14, -0x1.853088209d015p-14, -0x1.7a16961f179a9p-14, -0x1.6f1ebb84e2695p-14, -0x1.64481c07a3028p-14, -0x1.5991ebca8e7b9p-14, -0x1.4efb6e855abdep-14, -0x1.4483f6b3095c3p-14, -0x1.3a2ae4c8574edp-14, -0x1.2fefa67198ab9p-14, -0x1.25d1b5d7d1527p-14, -0x1.1bd098ecd25c8p-14, -0x1.11ebe0be2bd71p-14, -0x1.082328cec3f41p-14, -0x1.fcec2cedbc03dp-15, -0x1.e9c8b094ce60dp-15, -0x1.d6db4b0ab0a51p-15, -0x1.c4237afbfcfaep-15, -0x1.b1a0ce3a022eap-15, -0x1.9f52e0b5ec451p-15, -0x1.8d395b86bbb8bp-15, -0x1.7b53f3f9b42d1p-15, -0x1.69a26aacf017p-15, -0x1.58248ab3cfd98p-15, -0x1.46da28c4eef46p-15, -0x1.35c322715ad03p-15, -0x1.24df5d64bb2b4p-15, -0x1.142ec6ae258a6p-15, -0x1.03b1521157947p-15, -0x1.e6cdf2c01f25cp-16, -0x1.c69f77b683059p-16, -0x1.a6d73b37c9f8bp-16, -0x1.87754e0641b2bp-16, -0x1.6879c8631bf9fp-16, -0x1.49e4c90ab6649p-16, -0x1.2bb6743e26286p-16, -0x1.0deef2d992896p-16, -0x1.e11ce2edec47fp-17, -0x1.a72a3f398d9f7p-17, -0x1.6e065df05e25dp-17, -0x1.35b1a544b4858p-17, -0x1.fc58f9c204f5ap-18, -0x1.8eee99390a4b5p-18, -0x1.2324f687ccfd7p-18, -0x1.71f9b5d40b6ffp-19, -0x1.41dc2469211d6p-20, 0x1.66bc4ae09d28fp-22, 0x1.eeab7a529831p-20, 0x1.be8b41b6d0901p-19, 0x1.413b757dd5c63p-18, 0x1.a18bd5b05035cp-18, 0x1.001b25a117619p-17, 0x1.2e9d38f1f512dp-17, 0x1.5c4bfc293fb16p-17, 0x1.892750b4906e4p-17, 0x1.b52f228d29141p-17, 0x1.e06368a8b7734p-17, 0x1.056212af6b099p-16, 0x1.1a28b361dbb14p-16, 0x1.2e85a37c4be3cp-16, 0x1.4278f6391f4ep-16, 0x1.5602c51b12b46p-16, 0x1.6923300755d9dp-16, 0x1.7bda5d5b56ea7p-16, 0x1.8e2879fe81b7ap-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.55d3b321a7c54p-1, 0x1.55a7eb911f715p-1, 0x1.556b6aa60e99dp-1, 0x1.551d4876a3547p-1, 0x1.54bcb5bc014d7p-1, 0x1.5448fb92ba76ap-1, 0x1.53c17b0c89ba4p-1, 0x1.5325ac9b773a2p-1, 0x1.52751f5d92bacp-1, 0x1.51af784f9ed85p-1, 0x1.50d4716c2ed17p-1, 0x1.4fe3d8bc0703dp-1, 0x1.4edd8f5be9c07p-1, 0x1.4dc1887b5dfc3p-1, 0x1.4c8fc85784dddp-1, 0x1.4b4863348d7a7p-1, 0x1.49eb7c580011fp-1, 0x1.48794505aed11p-1, 0x1.46f1fb80d8236p-1, 0x1.4555ea12b42a1p-1, 0x1.43a5661777a4ep-1, 0x1.41e0cf129582fp-1, 0x1.40088dcae6ac8p-1, 0x1.3e1d136f2ccap-1, 0x1.3c1ed8c34db61p-1, 0x1.3a0e5d5683332p-1, 0x1.37ec26c2a1a1ep-1, 0x1.35b8bff48404fp-1, 0x1.3374b87d9ea37p-1, 0x1.3120a3eea1db8p-1, 0x1.2ebd193b1413cp-1, 0x1.2c4ab225b6d13p-1, 0x1.29ca0ab588fa6p-1, 0x1.273bc0b32d555p-1, 0x1.24a0732e7ac03p-1, 0x1.21f8c20bf118ep-1, 0x1.1f454d99d30d8p-1, 0x1.1c86b62c99698p-1, 0x1.19bd9bc27dad4p-1, 0x1.16ea9dadc9eb3p-1, 0x1.140e5a45af057p-1, 0x1.11296e9d4d13cp-1, 0x1.0e3c7640ae9bcp-1, 0x1.0b480af76658ap-1, 0x1.084cc48c8eeb3p-1, 0x1.054b389be3p-1, 0x1.0243fa63acd3ap-1, 0x1.fe6f35368f31dp-2, 0x1.f84d4e9bec8ep-2, 0x1.f22357739e527p-2, 0x1.ebf2606502f2dp-2, 0x1.e5bb740f71183p-2, 0x1.df7f96ddd1518p-2, 0x1.d93fc6e09a13ep-2, 0x1.d2fcfbadc640cp-2, 0x1.ccb826466ab62p-2, 0x1.c6723101846fcp-2, 0x1.c02bff7ba9e71p-2, 0x1.b9e66e8b497dep-2, 0x1.b3a254392244cp-2, 0x1.ad607fbca945dp-2, 0x1.a721b97c14122p-2, 0x1.a0e6c30fbe40dp-2, 0x1.9ab05748ab697p-2, 0x1.947f2a39e4847p-2, 0x1.8e53e94476317p-2, 0x1.882f3b25d95bfp-2, 0x1.8211c0088a6c7p-2, 0x1.7bfc1196a853ap-2, 0x1.75eec30e6160cp-2, 0x1.6fea61580810bp-2, 0x1.69ef731da60dbp-2, 0x1.63fe78e3df324p-2, 0x1.5e17ed240c5dfp-2, 0x1.583c44675dbb7p-2, 0x1.526bed62eeebep-2, 0x1.4ca75114aa56ep-2, 0x1.46eed2e0dcd88p-2, 0x1.4142d0b066e13p-2, 0x1.3ba3a30f6a0d8p-2, 0x1.36119d4c612c7p-2, 0x1.308d0d978c461p-2, 0x1.2b163d229dba2p-2, 0x1.25ad704092072p-2, 0x1.2052e685a57a4p-2, 0x1.1b06dae75710bp-2, 0x1.15c983dc66117p-2, 0x1.109b137cc2763p-2, 0x1.0b7bb7a15e1ap-2, 0x1.066b9a03d814fp-2, 0x1.016ae05df2e09p-2, 0x1.f8f359119f1b4p-3, 0x1.ef303937c2928p-3, 0x1.e58c961728b6bp-3, 0x1.dc089d8f4249ap-3, 0x1.d2a476b1fcb6fp-3, 0x1.c96041feec126p-3, 0x1.c03c199d9f574p-3, 0x1.b73811971d266p-3, 0x1.ae54380e7d944p-3, 0x1.a5909578983a9p-3, 0x1.9ced2cd2c2278p-3, 0x1.9469fbd896642p-3, 0x1.8c06fb38ba1d6p-3, 0x1.83c41ec8aa829p-3, 0x1.7ba155b77833fp-3, 0x1.739e8abf88e1bp-3, 0x1.6bbba4573f721p-3, 0x1.63f884e0a0aabp-3, 0x1.5c550ad7e8eeep-3, 0x1.54d111010b27cp-3, 0x1.4d6c6e94298cdp-3, 0x1.4626f768f7962p-3, 0x1.3f007c210de4ep-3, 0x1.37f8ca5132c4ap-3, 0x1.310faca9903c9p-3, 0x1.2a44eb1ce07cbp-3, 0x1.23984b068e02cp-3, 0x1.1d098f4fcd9fbp-3, 0x1.16987893ad167p-3, 0x1.1044c54226291p-3, 0x1.0a0e31c2255e4p-3, 0x1.03f478929c3e7p-3, 0x1.fbeea4d51e682p-4, 0x1.f02cecb06a177p-4, 0x1.e4a333be307efp-4, 0x1.d950e22a903fcp-4, 0x1.ce355d7f4c574p-4, 0x1.c35008da732fcp-4, 0x1.b8a045234de32p-4, 0x1.ae25713d8455fp-4, 0x1.a3deea3a87c1cp-4, 0x1.99cc0b893e685p-4, 0x1.8fec2f2405e56p-4, 0x1.863eadbd1b9b1p-4, 0x1.7cc2dee955eeap-4, 0x1.7378194956188p-4, 0x1.6a5db2b12825ap-4, 0x1.6173004e60a65p-4, 0x1.58b756ccbeb8dp-4, 0x1.502a0a795b3cap-4, 0x1.47ca6f646d723p-4, 0x1.3f97d981ac6bp-4, 0x1.37919cc757d85p-4, 0x1.2fb70d4bee606p-4, 0x1.28077f629afacp-4, 0x1.208247b661976p-4, 0x1.1926bb64113a1p-4, 0x1.11f43013077f4p-4, 0x1.0ae9fc0cc9977p-4, 0x1.040776537c0acp-4, 0x1.fa97ed6e87a86p-5, 0x1.ed6dabd526392p-5, 0x1.e08edb2adbce4p-5, 0x1.d3fa30cf5abc1p-5, 0x1.c7ae64548d589p-5, 0x1.bbaa2f9f3fe6dp-5, 0x1.afec4f05f1faep-5, 0x1.a473816ddd105p-5, 0x1.993e886641905p-5, 0x1.8e4c284204216p-5, 0x1.839b282fab6ffp-5, 0x1.792a524fcc29p-5, 0x1.6ef873c9ee0e9p-5, 0x1.65045cdff7defp-5, 0x1.5b4ce100312ffp-5, 0x1.51d0d6d5e1a1cp-5, 0x1.488f18589f5a8p-5, 0x1.3f8682da537abp-5, 0x1.36b5f714045eep-5, 0x1.2e1c59316cb93p-5, 0x1.25b890db700abp-5, 0x1.1d898941732cfp-5, 0x1.158e3121a31f9p-5, 0x1.0dc57ad03a494p-5, 0x1.062e5c3dc6483p-5, 0x1.fd8f9df8fdb74p-6, 0x1.ef21a089692c9p-6, 0x1.e110c1f0bf955p-6, 0x1.d35b0b4bb75p-6, 0x1.c5fe8d13abf3bp-6, 0x1.b8f95f20f30a2p-6, 0x1.ac49a0abbc897p-6, 0x1.9fed784b8dd53p-6, 0x1.93e313f56af9ep-6, 0x1.8828a8f8b3108p-6, 0x1.7cbc73facca42p-6, 0x1.719cb8f1a9d66p-6, 0x1.66c7c31d2f861p-6, 0x1.5c3be4ff9547cp-6, 0x1.51f77854c5eddp-6, 0x1.47f8de08cdffbp-6, 0x1.3e3e7e2d6bd2bp-6, 0x1.34c6c7eec1462p-6, 0x1.2b9031873cf1fp-6, 0x1.22993832c6bedp-6, 0x1.19e060212fe7fp-6, 0x1.1164346801d76p-6, 0x1.092346f3a6f0ep-6, 0x1.011c3078004a3p-6, 0x1.f29b20c0e1871p-7, 0x1.e36c197ecbe1cp-7, 0x1.d4a8a47ac8ec4p-7, 0x1.c64e280f55aafp-7, 0x1.b85a177cc8b5fp-7, 0x1.aac9f2c50c5d3p-7, 0x1.9d9b468693c4p-7, 0x1.90cbabd6c6106p-7, 0x1.8458c81bc2208p-7, 0x1.78404ce5b310fp-7, 0x1.6c7ff7c7a3487p-7, 0x1.6115922fe325fp-7, 0x1.55fef14023aebp-7, 0x1.4b39f5a52a7f6p-7, 0x1.40c48b6e59203p-7, 0x1.369ca9e4e02fbp-7, 0x1.2cc05362da349p-7, 0x1.232d952a32ed1p-7, 0x1.19e2873b7819ap-7, 0x1.10dd4c2c96938p-7, 0x1.081c10ff8dad9p-7, 0x1.ff3a19f242a15p-8, 0x1.eebd02ef25b2bp-8, 0x1.debd7392d0115p-8, 0x1.cf3816088e223p-8, 0x1.c029a7b7e13bap-8, 0x1.b18ef8f2b590dp-8, 0x1.a364eca3ecd6ep-8, 0x1.95a877fe48e5ep-8, 0x1.8856a22bbad5dp-8, 0x1.7b6c83fd2bfd2p-8, 0x1.6ee7479ac0878p-8, 0x1.62c42834a3694p-8, 0x1.570071b462701p-8, 0x1.4b99806ee252ap-8, 0x1.408cc0d6f5721p-8, 0x1.35d7af3095dbep-8, 0x1.2b77d744d3b9fp-8, 0x1.216ad41673ad9p-8, 0x1.17ae4f974bb9ep-8, 0x1.0e40025e5f05ap-8, 0x1.051db35ebf349p-8, 0x1.f88a6f3e7286cp-9, 0x1.e768e3e59fba1p-9, 0x1.d6d2a56412276p-9, 0x1.c6c3aeea25badp-9, 0x1.b738159d7d39fp-9, 0x1.a82c0810bb213p-9, 0x1.999bcdbcef5bp-9, 0x1.8b83c67ccf345p-9, 0x1.7de06a09b15dep-9, 0x1.70ae477a539b3p-9, 0x1.63ea04c370e05p-9, 0x1.57905e3a26be9p-9, 0x1.4b9e26182abp-9, 0x1.40104401d723dp-9, 0x1.34e3b48e0a198p-9, 0x1.2a1588cfddbd5p-9, 0x1.1fa2e5e23173ap-9, 0x1.158904750e05bp-9, 0x1.0bc5305cdd0dbp-9, 0x1.0254c8237432fp-9, 0x1.f26a7935ef2bep-10, 0x1.e0c820e514d7p-10, 0x1.cfbdaf99a90f6p-10, 0x1.bf466fb0a68d3p-10, 0x1.af5dccd2ede6dp-10, 0x1.9fff532d1ddcap-10, 0x1.9126aeaae99b8p-10, 0x1.82cfaa3607fb8p-10, 0x1.74f62ef89b14dp-10, 0x1.679643a316ebbp-10, 0x1.5aac0bb59bf0cp-10, 0x1.4e33c6ccbb34fp-10, 0x1.4229cff1ac313p-10, 0x1.368a9cedcb9a4p-10, 0x1.2b52bda18507ep-10, 0x1.207edb5e75e48p-10, 0x1.160bb844e4ab8p-10, 0x1.0bf62ea462cd4p-10, 0x1.023b305fadd3ep-10, 0x1.f1af8ca760497p-11, 0x1.df921f8342bf5p-11, 0x1.ce1883787a3f3p-11, 0x1.bd3d4d30056e5p-11, 0x1.acfb3abcecf51p-11, 0x1.9d4d3288b26fbp-11, 0x1.8e2e4245961d8p-11, 0x1.7f999de6a3fefp-11, 0x1.718a9e9d6ce95p-11, 0x1.63fcc1dd5b5a2p-11, 0x1.56eba8648d11cp-11, 0x1.4a53154a1e51ep-11, 0x1.3e2eed11cdc06p-11, 0x1.327b34c4e87f4p-11, 0x1.2734111065edbp-11, 0x1.1c55c568209b6p-11, 0x1.11dcb32f136f8p-11, 0x1.07c558e48b065p-11, 0x1.fc18a2ac6419dp-12, 0x1.e95ca5adc83c3p-12, 0x1.d7505cf46cea6p-12, 0x1.c5ed9ea935feep-12, 0x1.b52e73801c0f7p-12, 0x1.a50d154a714adp-12, 0x1.9583ed91e66dbp-12, 0x1.868d943c23386p-12, 0x1.7824ce36d3536p-12, 0x1.6a448c2bf7711p-12, 0x1.5ce7e93e530cp-12, 0x1.500a29cdd820ep-12, 0x1.43a6ba43dd8ep-12, 0x1.37b92de70091p-12, 0x1.2c3d3db68dcedp-12, 0x1.212ec74d430ffp-12, 0x1.1689cbcb4c6a9p-12, 0x1.0c4a6ec7512b8p-12, 0x1.026cf54673aaep-12, 0x1.f1db89762fd51p-13, 0x1.df92c414a03a4p-13, 0x1.cdf8e12f9e39cp-13, 0x1.bd0762b06ddep-13, 0x1.acb803d3509e6p-13, 0x1.9d04b764d827ep-13, 0x1.8de7a60b2b17cp-13, 0x1.7f5b2c9afd819p-13, 0x1.7159da77fd4cfp-13, 0x1.63de700067a8fp-13, 0x1.56e3dd03943d8p-13, 0x1.4a653f43328cep-13, 0x1.3e5de0fefb5f7p-13, 0x1.32c9378a99e03p-13, 0x1.27a2e1ed95781p-13, 0x1.1ce6a78cfaa82p-13, 0x1.129076de8dbdfp-13, 0x1.089c64255323ap-13, 0x1.fe0d506e4c486p-14, 0x1.eb973e9679a06p-14, 0x1.d9cf8fa2a1e84p-14, 0x1.c8af82a28cfcfp-14, 0x1.b83096a61cf7ap-14, 0x1.a84c889d3fdb6p-14, 0x1.98fd5147a0b39p-14, 0x1.8a3d2333ad7f2p-14, 0x1.7c0668cc98e93p-14, 0x1.6e53c276fc1f6p-14, 0x1.612004bbb5de2p-14, 0x1.54663680aecb2p-14, 0x1.48218f4f28dc8p-14, 0x1.3c4d75a743b15p-14, 0x1.30e57d605df28p-14, 0x1.25e5661601f2ap-14, 0x1.1b4919a10a24dp-14, 0x1.110caa9cabdp-14, 0x1.072c52f71b11fp-14, 0x1.fb48e51af3abcp-15, 0x1.e8e31ba588911p-15, 0x1.d7209902e8b1fp-15, 0x1.c5faf0af20844p-15, 0x1.b56bf7b9bc6d9p-15, 0x1.a56dc265f177fp-15, 0x1.95faa1ddfb3cdp-15, 0x1.870d21f92e65ep-15, 0x1.78a007143b2ebp-15, 0x1.6aae4bfb1dd5fp-15, 0x1.5d331fe449581p-15, 0x1.5029e47c88f0fp-15, 0x1.438e2c03263p-15, 0x1.375bb775e3344p-15, 0x1.2b8e74cc4e355p-15, 0x1.20227d4209d4fp-15, 0x1.151413af957bap-15, 0x1.0a5fa2f132ad7p-15, 0x1.0001bc5b7bf91p-15, 0x1.ebee2c7a91f66p-16, 0x1.d87914dd00b3dp-16, 0x1.c59e29d6e9447p-16, 0x1.b357a4f8dcb86p-16, 0x1.a19ffed2161f9p-16, 0x1.9071ec6e25aaep-16, 0x1.7fc85ce8eb162p-16, 0x1.6f9e771820675p-16, 0x1.5fef9749e655fp-16, 0x1.50b74d179d7dfp-16, 0x1.41f1594c7db13p-16, 0x1.3399abdf4ab72p-16, 0x1.25ac61fe920abp-16, 0x1.1825c42ee5cbbp-16, 0x1.0b02447a79f71p-16, 0x1.fc7cf9635e546p-17, 0x1.e3ae5977da465p-17, 0x1.cb9271f0b7b8dp-17, 0x1.b423515be4b63p-17, 0x1.9d5b4914cb777p-17, 0x1.8734ea5eef033p-17, 0x1.71ab039c69d31p-17, 0x1.5cb89d9f6dadcp-17, 0x1.4858f915ca868p-17, 0x1.34878c0dcafa7p-17, 0x1.213fff93752b6p-17, 0x1.0e7e2d6573789p-17, 0x1.f87c3b81ae46ep-18, 0x1.d4f80a85f10a1p-18, 0x1.b26885c167b81p-18, 0x1.90c6bbe4a0918p-18, 0x1.700c08a6b95aep-18, 0x1.5032112baf0f4p-18, 0x1.3132c08ff248cp-18, 0x1.13084497fe232p-18, 0x1.eb5a1505606aap-19, 0x1.b23777fa6a09cp-19, 0x1.7a9e786eb4996p-19, 0x1.44854a2e4ee1ep-19, 0x1.0fe289154a3c8p-19, 0x1.b95a67db021cap-20, 0x1.55b94f090d8b6p-20, 0x1.e9a267df0da64p-21, 0x1.2d2458d31a236p-21, 0x1.d7677abed325ap-23, -0x1.e2d3398e788d9p-24, -0x1.d3296f3150864p-22, -0x1.91f03e70ec942p-21, -0x1.1ac391913bf58p-20, -0x1.6a394b2070e75p-20, -0x1.b7656f4d521e6p-20, -0x1.0129d96b6d401p-19, -0x1.2587b0e1cc271p-19, -0x1.48d1b284fc47dp-19, -0x1.6b0d23f9dfc53p-19, -0x1.8c3f1e9fab406p-19, -0x1.ac6c9200c084dp-19, -0x1.cb9a4624fe16cp-19, -0x1.e9ccddc6b4972p-19, -0x1.03846c35b92e5p-18, -0x1.11a94a30de6afp-18, -0x1.1f5728526ad1bp-18, -0x1.2c901753cce14p-18, -0x1.39561a03bba57p-18, -0x1.45ab2614404bfp-18, -0x1.519124ddc4e6ep-18, -0x1.5d09f4179ba79p-18, -0x1.6817668678337p-18, -0x1.72bb44a13f177p-18, -0x1.7cf74d2c9ae57p-18, -0x1.86cd35cdbd978p-18, -0x1.903eab94abe64p-18, -0x1.994d537e7850dp-18, -0x1.a1facaefc3bb3p-18, -0x1.aa48a827df00bp-18, -0x1.b2387aace4879p-18, -0x1.b9cbcbb115584p-18, -0x1.c1041e71d3f15p-18, -0x1.c7e2f0907bac1p-18, -0x1.ce69ba656ae16p-18, -0x1.d499ef4d7f80fp-18, -0x1.da74fdf249438p-18, -0x1.dffc508d3a644p-18, -0x1.e5314d260d5b2p-18, -0x1.ea1555cca1e2ep-18, -0x1.eea9c8ce8aa66p-18, -0x1.f2f000e882ed2p-18, -0x1.f6e9557401047p-18, -0x1.fa971a911d07dp-18, -0x1.fdfaa14cfb02ep-18, -0x1.008a9be273fdcp-17, -0x1.01f414a32cb9ep-17, -0x1.033a5f35fd2bp-17, -0x1.045e1e9bf8d62p-17, -0x1.055ff495c34d5p-17, -0x1.064081ae27ffdp-17, -0x1.0700654386929p-17, -0x1.07a03d9028a54p-17, -0x1.0820a7b1904a6p-17, -0x1.08823faed0edfp-17, -0x1.08c5a07e00c84p-17, -0x1.08eb6408d26e9p-17, -0x1.08f42330665bdp-17, -0x1.08e075d05f3ffp-17, -0x1.08b0f2c1485cbp-17, -0x1.08662fda59e67p-17, -0x1.0800c1f2a6378p-17, -0x1.07813ce1bd625p-17, -0x1.06e8337fcf343p-17, -0x1.063637a558a16p-17, -0x1.056bda2a64877p-17, -0x1.0489aae569b7ap-17, -0x1.039038a9cfa71p-17, -0x1.028011462143bp-17, -0x1.0159c181f6b7fp-17, -0x1.001dd51b9dc15p-17, -0x1.fd99ad8b0d021p-18, -0x1.facea046fbb9fp-18, -0x1.f7db938f73cddp-18, -0x1.f4c1965f7d8e1p-18, -0x1.f181b58247e48p-18, -0x1.ee1cfb8c7638ep-18, -0x1.ea9470d5468f3p-18, -0x1.e6e91b6f8e6e9p-18, -0x1.e31bff22a14c4p-18, -0x1.df2e1d632314p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.c8918b4ab8813p-6, 0x1.ff6bb2a7536a2p-6, 0x1.1ce3ab92b1f27p-5, 0x1.3bcfff9a850c1p-5, 0x1.5c76d3ba0dfbbp-5, 0x1.7ed278252db46p-5, 0x1.a2dba7c8ae3c5p-5, 0x1.c889a28b489dep-5, 0x1.efd2487972e71p-5, 0x1.0c551ab704e08p-4, 0x1.21826e6dee1efp-4, 0x1.376a52b5f3d3p-4, 0x1.4e058218d2a28p-4, 0x1.654c4ba13badfp-4, 0x1.7d369fc39d274p-4, 0x1.95bc1cd3bbf0ap-4, 0x1.aed41afa75c9p-4, 0x1.c875b7a214274p-4, 0x1.e297e0523e412p-4, 0x1.fd315cf6c8dbdp-4, 0x1.0c1c6cc74ca76p-3, 0x1.19d277a0c18ffp-3, 0x1.27b6166eae756p-3, 0x1.35c28f5dfb272p-3, 0x1.43f32b0a2ed17p-3, 0x1.524337dd9cc4p-3, 0x1.60ae0d2b1e982p-3, 0x1.6f2f0e03ea225p-3, 0x1.7dc1abcc36918p-3, 0x1.8c6168918f32ap-3, 0x1.9b09d925f8b22p-3, 0x1.a9b6a70304e62p-3, 0x1.b86391f8145d1p-3, 0x1.c70c71a705cc3p-3, 0x1.d5ad36d289ce8p-3, 0x1.e441ec81418cdp-3, 0x1.f2c6b8f8cfcbp-3, 0x1.009bef49e6a63p-2, 0x1.07c8de3ac0d5dp-2, 0x1.0ee8678f1967dp-2, 0x1.15f8d8714378fp-2, 0x1.1cf88d2446055p-2, 0x1.23e5f1264ae98p-2, 0x1.2abf7f4817efap-2, 0x1.3183c1ba82eb9p-2, 0x1.38315212d41c9p-2, 0x1.3ec6d946eec62p-2, 0x1.45430fa1fa7a1p-2, 0x1.4ba4bcb24f07cp-2, 0x1.51eab73137487p-2, 0x1.5813e4e52ca01p-2, 0x1.5e1f3a7f06593p-2, 0x1.640bbb7298e2p-2, 0x1.69d879cb342f4p-2, 0x1.6f8495fc5d30cp-2, 0x1.750f3eaf238a5p-2, 0x1.7a77b08c574adp-2, 0x1.7fbd3603f3f5p-2, 0x1.84df2711f6816p-2, 0x1.89dce900e284cp-2, 0x1.8eb5ee2a289edp-2, 0x1.9369b5b49e919p-2, 0x1.97f7cb513ffb5p-2, 0x1.9c5fc6f656edp-2, 0x1.a0a14c993f61fp-2, 0x1.a4bc0be6e6236p-2, 0x1.a8afbffb28ec3p-2, 0x1.ac7c2f1739a8cp-2, 0x1.b0212a572c691p-2, 0x1.b39e8d66c2ed9p-2, 0x1.b6f43e35a5c05p-2, 0x1.ba222cab1aadfp-2, 0x1.bd28525961169p-2, 0x1.c006b230c7dfbp-2, 0x1.c2bd5832a26a2p-2, 0x1.c54c592430562p-2, 0x1.c7b3d241951dp-2, 0x1.c9f3e8f0fdd83p-2, 0x1.cc0cca7605edp-2, 0x1.cdfeaba57dcc3p-2, 0x1.cfc9c8999fa47p-2, 0x1.d16e6466d456fp-2, 0x1.d2ecc8d115deap-2, 0x1.d4454602098e9p-2, 0x1.d578323fe3be2p-2, 0x1.d685e9a5267b4p-2, 0x1.d76ecdd953025p-2, 0x1.d83345ca97381p-2, 0x1.d8d3bd688c41dp-2, 0x1.d950a56014bf8p-2, 0x1.d9aa72d864551p-2, 0x1.d9e19f3140c79p-2, 0x1.d9f6a7c2881f6p-2, 0x1.d9ea0d9d00333p-2, 0x1.d9bc554c84ba5p-2, 0x1.d96e069b8b89p-2, 0x1.d8ffac5815d76p-2, 0x1.d871d41a0a9bcp-2, 0x1.d7c50e0b0103fp-2, 0x1.d6f9ecaf82855p-2, 0x1.d61104b1c1009p-2, 0x1.d50aecadcb165p-2, 0x1.d3e83cff39d56p-2, 0x1.d2a98f9057535p-2, 0x1.d14f7faac7dacp-2, 0x1.cfdaa9c9a56b8p-2, 0x1.ce4bab6d1a4bbp-2, 0x1.cca322ef6deap-2, 0x1.cae1af5b8725p-2, 0x1.c907f044ddcebp-2, 0x1.c71685a0d858fp-2, 0x1.c50e0fa190634p-2, 0x1.c2ef2e91faa4ep-2, 0x1.c0ba82b36b2b1p-2, 0x1.be70ac1c7264dp-2, 0x1.bc124a990bf48p-2, 0x1.b99ffd8c175bbp-2, 0x1.b71a63d218bf3p-2, 0x1.b4821ba535727p-2, 0x1.b1d7c2826c4b2p-2, 0x1.af1bf50ffb383p-2, 0x1.ac4f4f04f21d9p-2, 0x1.a9726b11e6328p-2, 0x1.a685e2cac5023p-2, 0x1.a38a4e91b8fb2p-2, 0x1.a08045831d5a5p-2, 0x1.9d685d627a696p-2, 0x1.9a432a887e9fep-2, 0x1.97113fd1f2041p-2, 0x1.93d32e8f9affcp-2, 0x1.908986770ef18p-2, 0x1.8d34d594661ebp-2, 0x1.89d5a83ccb8c8p-2, 0x1.866c8901e5abfp-2, 0x1.82fa00a60dbb2p-2, 0x1.7f7e961153383p-2, 0x1.7bface473e34ap-2, 0x1.786f2c5d54eddp-2, 0x1.74dc317253859p-2, 0x1.71425ca618ecbp-2, 0x1.6da22b123d217p-2, 0x1.69fc17c34e8dep-2, 0x1.66509bb2af7cep-2, 0x1.62a02dc11102bp-2, 0x1.5eeb42b17fe8fp-2, 0x1.5b324d2504f0dp-2, 0x1.5775bd96d393cp-2, 0x1.53b60258f9a1cp-2, 0x1.4ff387919968ap-2, 0x1.4c2eb73899ba7p-2, 0x1.4867f915d7405p-2, 0x1.449fb2bfc3511p-2, 0x1.40d6479a7c2a1p-2, 0x1.3d0c18d74ac0ap-2, 0x1.394185748d353p-2, 0x1.3576ea3e08305p-2, 0x1.31aca1cd949bfp-2, 0x1.2de3048c2f6fcp-2, 0x1.2a1a68b362c5dp-2, 0x1.2653224f03d08p-2, 0x1.228d833f46944p-2, 0x1.1ec9db3b221c6p-2, 0x1.1b0877d2fcd16p-2, 0x1.1749a473aa9c9p-2, 0x1.138daa69a9f04p-2, 0x1.0fd4d0e4ab239p-2, 0x1.0c1f5cfb532e1p-2, 0x1.086d91af40ccp-2, 0x1.04bfaff14d03p-2, 0x1.0115f6a6006cap-2, 0x1.fae1455486007p-3, 0x1.f39fddb07a3cbp-3, 0x1.ec682818d8229p-3, 0x1.e53a9255c511ap-3, 0x1.de1786496cc51p-3, 0x1.d6ff69fb369ccp-3, 0x1.cff29fa33ea11p-3, 0x1.c8f185b62a01dp-3, 0x1.c1fc76f1321ep-3, 0x1.bb13ca667c124p-3, 0x1.b437d389af9c4p-3, 0x1.ad68e23cc102cp-3, 0x1.a6a742dcf971p-3, 0x1.9ff33e502df17p-3, 0x1.994d1a1227a95p-3, 0x1.92b5184233aaap-3, 0x1.8c2b77b0dec05p-3, 0x1.85b073edd70d3p-3, 0x1.7f444555e72dcp-3, 0x1.78e7212113a7p-3, 0x1.72993970d63e5p-3, 0x1.6c5abd5e6844dp-3, 0x1.662bd90929e9fp-3, 0x1.600cb5a50ed4fp-3, 0x1.59fd798926e43p-3, 0x1.53fe483e252a3p-3, 0x1.4e0f428cfb25cp-3, 0x1.4830868d6b2ep-3, 0x1.42622fb4ae391p-3, 0x1.3ca456e40f13cp-3, 0x1.36f7127782155p-3, 0x1.315a765444bd2p-3, 0x1.2bce93f76591p-3, 0x1.26537a8453e5fp-3, 0x1.20e936d352a1fp-3, 0x1.1b8fd37fee827p-3, 0x1.164758f7591e8p-3, 0x1.110fcd86b5d59p-3, 0x1.0be9356951a2ap-3, 0x1.06d392d6cbfa9p-3, 0x1.01cee6111d5dp-3, 0x1.f9b65ae51de1ep-4, 0x1.eff0caf724edcp-4, 0x1.e64d11c0fa67ep-4, 0x1.dccb212e4f315p-4, 0x1.d36ae7c8dc3c5p-4, 0x1.ca2c50d31a64p-4, 0x1.c10f4462bcb14p-4, 0x1.b813a77ae7c5fp-4, 0x1.af395c261314ap-4, 0x1.a680418fae47fp-4, 0x1.9de8341d6b2fp-4, 0x1.95710d88403ep-4, 0x1.8d1aa4f5188bbp-4, 0x1.84e4cf0d2d6f7p-4, 0x1.7ccf5e160c614p-4, 0x1.74da2209461f9p-4, 0x1.6d04e8abc5b1cp-4, 0x1.654f7da4cc4a1p-4, 0x1.5db9aa9494234p-4, 0x1.5643372a95403p-4, 0x1.4eebe93b6e839p-4, 0x1.47b384d66eb9cp-4, 0x1.4099cc5ac11a2p-4, 0x1.399e808c36e9ep-4, 0x1.32c160a7b2797p-4, 0x1.2c022a7731066p-4, 0x1.25609a6571917p-4, 0x1.1edc6b913b208p-4, 0x1.187557e03fc7cp-4, 0x1.122b18119cd4cp-4, 0x1.0bfd63cff9b09p-4, 0x1.05ebf1c341f49p-4, 0x1.ffecef43fbb7ap-5, 0x1.f43954848ef89p-5, 0x1.e8bc7b54bbac9p-5, 0x1.dd75ca41a9b05p-5, 0x1.d264a678c6169p-5, 0x1.c78873e69e0cp-5, 0x1.bce09554f2f12p-5, 0x1.b26c6c880e585p-5, 0x1.a82b5a5b57512p-5, 0x1.9e1cbedd235f3p-5, 0x1.943ff969cdab9p-5, 0x1.8a9468c60f286p-5, 0x1.81196b389b2cbp-5, 0x1.77ce5ea30249dp-5, 0x1.6eb2a099dd776p-5, 0x1.65c58e7c424ap-5, 0x1.5d06858a82aadp-5, 0x1.5474e2fc391e4p-5, 0x1.4c100415a51f3p-5, 0x1.43d7463c589bfp-5, 0x1.3bca070b38581p-5, 0x1.33e7a465d1a8ep-5, 0x1.2c2f7c8b096c8p-5, 0x1.24a0ee27221dbp-5, 0x1.1d3b5865222b8p-5, 0x1.15fe1aff95a6ap-5, 0x1.0ee89650b1f56p-5, 0x1.07fa2b61df10ep-5, 0x1.01323bfaa4315p-5, 0x1.f520555dfb113p-6, 0x1.e826b5da3f3e9p-6, 0x1.db766215499dcp-6, 0x1.cf0e24a25bfebp-6, 0x1.c2ecca14e9169p-6, 0x1.b7112117a47p-6, 0x1.ab79fa8284d7dp-6, 0x1.a026296fb72a5p-6, 0x1.9514834f93ccep-6, 0x1.8a43dffb8dadcp-6, 0x1.7fb319c82c619p-6, 0x1.75610d960c72p-6, 0x1.6b4c9ae1f4a42p-6, 0x1.6174a3d3fd666p-6, 0x1.57d80d4dd7101p-6, 0x1.4e75bef82ef32p-6, 0x1.454ca34f3778ap-6, 0x1.3c5ba7ae615aap-6, 0x1.33a1bc5b405b1p-6, 0x1.2b1dd48fa604cp-6, 0x1.22cee682f9812p-6, 0x1.1ab3eb72d0063p-6, 0x1.12cbdfaac4757p-6, 0x1.0b15c28b9fc2cp-6, 0x1.03909691cdeacp-6, 0x1.f876c2b64a325p-7, 0x1.ea2a575815ed7p-7, 0x1.dc3a02e7e38ffp-7, 0x1.cea3e3a279b2dp-7, 0x1.c1661e291437p-7, 0x1.b47edd86d592ap-7, 0x1.a7ec533511fap-7, 0x1.9bacb71e8f218p-7, 0x1.8fbe47a1a91e5p-7, 0x1.841f49918c3e5p-7, 0x1.78ce08365b07ep-7, 0x1.6dc8d54c730bdp-7, 0x1.630e0902c3de3p-7, 0x1.589c01f847b1cp-7, 0x1.4e7125389d965p-7, 0x1.448bde37de423p-7, 0x1.3aea9ecd9b5cp-7, 0x1.318bdf2f2a58p-7, 0x1.286e1de9307dcp-7, 0x1.1f8fdfd87f268p-7, 0x1.16efb02246641p-7, 0x1.0e8c202ba5635p-7, 0x1.0663c7909f925p-7, 0x1.fcea8834f9787p-8, 0x1.ed7e736b3918bp-8, 0x1.de80a4cd84cb2p-8, 0x1.cfee7c7fc326cp-8, 0x1.c1c566a8de146p-8, 0x1.b402db5a7e5f6p-8, 0x1.a6a45e77ed69fp-8, 0x1.99a77f9c2726ap-8, 0x1.8d09d9ff25a21p-8, 0x1.80c9145a78aebp-8, 0x1.74e2e0cd2bad2p-8, 0x1.6954fcbf0a0aep-8, 0x1.5e1d30c34dbadp-8, 0x1.5339507ababf2p-8, 0x1.48a73a753aa17p-8, 0x1.3e64d812fb817p-8, 0x1.34701d651dfbfp-8, 0x1.2ac7090dfb358p-8, 0x1.2167a4210a582p-8, 0x1.1850020272313p-8, 0x1.0f7e4046489d4p-8, 0x1.06f0868f8e66fp-8, 0x1.fd4a0cddd5f0bp-9, 0x1.ed33f68264929p-9, 0x1.dd9b541b7437ep-9, 0x1.ce7cc2c90cd21p-9, 0x1.bfd4f278aada2p-9, 0x1.b1a0a5a11e909p-9, 0x1.a3dcb0fe4103ap-9, 0x1.9685fb4c8f311p-9, 0x1.89997d04b2036p-9, 0x1.7d144016fddddp-9, 0x1.70f35fa6fd6a6p-9, 0x1.653407c704d97p-9, 0x1.59d37533e4184p-9, 0x1.4ecef510bc7ep-9, 0x1.4423e4a301424p-9, 0x1.39cfb10eaf1ep-9, 0x1.2fcfd712c2fa9p-9, 0x1.2621e2c5f93e5p-9, 0x1.1cc36f53d9198p-9, 0x1.13b226ba17a56p-9, 0x1.0aebc1865ab5ep-9, 0x1.026e06945bf02p-9, 0x1.f46d9598fb2fp-10, 0x1.e487e1c592612p-10, 0x1.d526d22cd87b9p-10, 0x1.c64661e35c0a3p-10, 0x1.b7e2a614d1005p-10, 0x1.a9f7cd8614316p-10, 0x1.9c82201843c26p-10, 0x1.8f7dfe4cf7d61p-10, 0x1.82e7e0cbaa172p-10, 0x1.76bc57e848bfep-10, 0x1.6af80b2b06028p-10, 0x1.5f97b8d966128p-10, 0x1.5498358095f17p-10, 0x1.49f66b81067e2p-10, 0x1.3faf5a9b636abp-10, 0x1.35c0177edad7fp-10, 0x1.2c25cb58c0d7cp-10, 0x1.22ddb36593574p-10, 0x1.19e5208360b22p-10, 0x1.113976c598cfcp-10, 0x1.08d82d0a4209p-10, 0x1.00becc909d8d1p-10, 0x1.f1d5e1227d0f3p-11, 0x1.e2b48baf19aaep-11, 0x1.d41514b97b0a2p-11, 0x1.c5f319c87e3a2p-11, 0x1.b84a593336eaep-11, 0x1.ab16b15f9f2dep-11, 0x1.9e542004350e4p-11, 0x1.91fec16c86027p-11, 0x1.8612cfc0a91dfp-11, 0x1.7a8ca24fa78f5p-11, 0x1.6f68acdccfd15p-11, 0x1.64a37eeff761cp-11, 0x1.5a39c328a3ca8p-11, 0x1.50283e941c8f2p-11, 0x1.466bd006617fbp-11, 0x1.3d016f760281ap-11, 0x1.33e62d5ad7762p-11, 0x1.2b17320f90cefp-11, 0x1.2291bd36205eep-11, 0x1.1a53251ef4c45p-11, 0x1.1258d63300e62p-11, 0x1.0aa052608ed6dp-11, 0x1.0327308ad3fa4p-11, 0x1.f7d637f888d1bp-12, 0x1.e9d3a7b73f689p-12, 0x1.dc4255475c8bdp-12, 0x1.cf1e0b3b586p-12, 0x1.c262b8bcb5d37p-12, 0x1.b60c708b61e8bp-12, 0x1.aa17680246b78p-12, 0x1.9e7ff6210107dp-12, 0x1.9342929aae9e2p-12, 0x1.885bd4e9bf9bp-12, 0x1.7dc87368c4ap-12, 0x1.7385427025e92p-12, 0x1.698f3378b396dp-12, 0x1.5fe3544305b4fp-12, 0x1.567ece0393ab2p-12, 0x1.4d5ee4937d3d4p-12, 0x1.4480f5a5ecc8fp-12, 0x1.3be278020865cp-12, 0x1.3380fac15efc8p-12, 0x1.2b5a2492c52d9p-12, 0x1.236bb30189411p-12, 0x1.1bb379c0fa12ep-12, 0x1.142f61fc250efp-12, 0x1.0cdd69a9c3954p-12, 0x1.05bba2e4405b2p-12, 0x1.fd90668b96a73p-13, 0x1.f002a690ca508p-13, 0x1.e2ca9b53ac30dp-13, 0x1.d5e4fda6ff2b8p-13, 0x1.c94ea88bea80cp-13, 0x1.bd0498109e98bp-13, 0x1.b103e83650b54p-13, 0x1.a549d3de6081dp-13, 0x1.99d3b3be90fbdp-13, 0x1.8e9efd5c34476p-13, 0x1.83a9420e249b4p-13, 0x1.78f02e0572d94p-13, 0x1.6e71875c9dc9bp-13, 0x1.642b2d2d4476cp-13, 0x1.5a1b16ac269f7p-13, 0x1.503f524b54a17p-13, 0x1.469604e27cd69p-13, 0x1.3d1d68dd2a431p-13, 0x1.33d3cd6ed7c21p-13, 0x1.2ab795ccc779cp-13, 0x1.21c7386d6972fp-13, 0x1.19013e4d4e9f9p-13, 0x1.1064423972461p-13, 0x1.07eef01ed4698p-13, 0x1.ff4008be5c794p-14, 0x1.eeec9655830ecp-14, 0x1.dee13fbe21198p-14, 0x1.cf1bd8d4dc77cp-14, 0x1.bf9a51688e497p-14, 0x1.b05ab41413f24p-14, 0x1.a15b25212bac6p-14, 0x1.9299e1742842fp-14, 0x1.84153d8041efap-14, 0x1.75cba4445a364p-14, 0x1.67bb964ffb40fp-14, 0x1.59e3a8d06558bp-14, 0x1.4c4284a574116p-14, 0x1.3ed6e57e3246cp-14, 0x1.319f98fce7677p-14, 0x1.249b7de273308p-14, 0x1.17c98340ca71cp-14, 0x1.0b28a7b464396p-14, 0x1.fd6ff148decedp-15, 0x1.e4ed231344bb6p-15, 0x1.ccc73676f54a4p-15, 0x1.b4fc9687851cbp-15, 0x1.9d8bc67068303p-15, 0x1.867360341cd25p-15, 0x1.6fb21376f0131p-15, 0x1.5946a4550c71fp-15, 0x1.432fea4383264p-15, 0x1.2d6ccefc05cafp-15, 0x1.17fc4d730916bp-15, 0x1.02dd70d802cebp-15, 0x1.dc1ea73efdb7p-16, 0x1.b3223d2d89c4cp-16, 0x1.8ac410018f89dp-16, 0x1.6302a5784166p-16, 0x1.3bdc9ae396754p-16, 0x1.1550a398d94c6p-16, 0x1.debb0edf7338fp-17, 0x1.940442a2e4f92p-17, 0x1.4a7abbaf1083fp-17, 0x1.021c73f3498e2p-17, 0x1.75cf0728794edp-18, 0x1.d3687a05d058cp-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.27912f638266cp-2, -0x1.312f301267179p-2, -0x1.3a80330ee5e4ep-2, -0x1.438be812cfc73p-2, -0x1.4c59710ae17a8p-2, -0x1.54ef5893bfc63p-2, -0x1.5d538c996c40cp-2, -0x1.658b5c6b9142ep-2, -0x1.6d9b79ab59c7cp-2, -0x1.7587fb894fbe3p-2, -0x1.7d5463da687e8p-2, -0x1.8503a59b21115p-2, -0x1.8c982c85d1682p-2, -0x1.9413e56e86913p-2, -0x1.9b784722703cbp-2, -0x1.a2c65b938863dp-2, -0x1.a9fec9226c104p-2, -0x1.b121dbe09f489p-2, -0x1.b82f8eaca95cap-2, -0x1.bf27940fb661fp-2, -0x1.c6095ec9d39f4p-2, -0x1.ccd429fe712c7p-2, -0x1.d38700f6c6993p-2, -0x1.da20c6730387bp-2, -0x1.e0a03b85f0012p-2, -0x1.e70405f8f74f3p-2, -0x1.ed4ab638634bfp-2, -0x1.f372ccc922b96p-2, -0x1.f97abf4a97061p-2, -0x1.ff60fd07e105fp-2, -0x1.0291f98e6c034p-1, -0x1.05610819a91e9p-1, -0x1.081ce3eeea302p-1, -0x1.0ac4caca7322cp-1, -0x1.0d57ffae3ced5p-1, -0x1.0fd5cc0b69219p-1, -0x1.123d80c5279a9p-1, -0x1.148e770fb8de6p-1, -0x1.16c8112e21c98p-1, -0x1.18e9bb1110a69p-1, -0x1.1af2ead95f616p-1, -0x1.1ce321407b562p-1, -0x1.1eb9e9e8e8c3p-1, -0x1.2076db98f130cp-1, -0x1.2219986175b68p-1, -0x1.23a1cdb2be547p-1, -0x1.250f3460ffbcfp-1, -0x1.2661909a39cd5p-1, -0x1.2798b1cef29eep-1, -0x1.28b4728f35f23p-1, -0x1.29b4b85d2c44ap-1, -0x1.2a9973767f2eep-1, -0x1.2b629e95aea3fp-1, -0x1.2c103eac60ecfp-1, -0x1.2ca26297a3e4ap-1, -0x1.2d1922cf05afcp-1, -0x1.2d74a10f51e4bp-1, -0x1.2db50801b7113p-1, -0x1.2dda8ae0021fcp-1, -0x1.2de565169174ap-1, -0x1.2dd5d9e49319p-1, -0x1.2dac33fb12c63p-1, -0x1.2d68c51b51a41p-1, -0x1.2d0be5b4d6c83p-1, -0x1.2c95f4839b31ap-1, -0x1.2c07562eaba2ep-1, -0x1.2b6074e78fbc8p-1, -0x1.2aa1c00ac154fp-1, -0x1.29cbabc17086ap-1, -0x1.28deb0a4d15e3p-1, -0x1.27db4b632318ep-1, -0x1.26c1fc669cb63p-1, -0x1.2593477e68dcfp-1, -0x1.244fb389cc58p-1, -0x1.22f7ca259908dp-1, -0x1.218c175c0119cp-1, -0x1.200d2956dfc4cp-1, -0x1.1e7b901487bcap-1, -0x1.1cd7dd1f21558p-1, -0x1.1b22a346a44d4p-1, -0x1.195c765d70f03p-1, -0x1.1785eaf78de1dp-1, -0x1.159f962c8a18bp-1, -0x1.13aa0d5c03b5ap-1, -0x1.11a5e5f4cea93p-1, -0x1.0f93b53eb7301p-1, -0x1.0d741026da382p-1, -0x1.0b478b0e8a707p-1, -0x1.090eb99cb939ap-1, -0x1.06ca2e91da00ap-1, -0x1.047a7b9e329b2p-1, -0x1.0220313a8dde5p-1, -0x1.ff77bd06875e2p-2, -0x1.fa9c222b0c8bap-2, -0x1.f5aea9ddd430ap-2, -0x1.f0b0689e29ac6p-2, -0x1.eba26f3714e98p-2, -0x1.e685ca8b01f6p-2, -0x1.e15b836368074p-2, -0x1.dc249e443f1a5p-2, -0x1.d6e21b433226ep-2, -0x1.d194f5e262cbdp-2, -0x1.cc3e24eea6b53p-2, -0x1.c6de9a6118e97p-2, -0x1.c1774343e0a4p-2, -0x1.bc09079a0e144p-2, -0x1.b694ca4a6ff8cp-2, -0x1.b11b690d3c447p-2, -0x1.ab9dbc5c739d4p-2, -0x1.a61c9766e0eb7p-2, -0x1.a098c80590e81p-2, -0x1.9b1316b3ad708p-2, -0x1.958c468897acfp-2, -0x1.900515342a2bap-2, -0x1.8a7e3afd08fd2p-2, -0x1.84f86ac0db51ep-2, -0x1.7f7451f66247ap-2, -0x1.79f298b148d66p-2, -0x1.7473e1a79831fp-2, -0x1.6ef8ca38b78d4p-2, -0x1.6981ea75e4574p-2, -0x1.640fd52c0264cp-2, -0x1.5ea317eebacbap-2, -0x1.593c3b24c6affp-2, -0x1.53dbc215612d8p-2, -0x1.4e822af6ba196p-2, -0x1.492feefd699c9p-2, -0x1.43e5826cc1779p-2, -0x1.3ea354a7f718fp-2, -0x1.3969d0440de6p-2, -0x1.34395b1a724fep-2, -0x1.2f12565c39d7p-2, -0x1.29f51ea5f2de7p-2, -0x1.24e20c13fe991p-2, -0x1.1fd9725759cb4p-2, -0x1.1adba0cad7e6p-2, -0x1.15e8e288b303ep-2, -0x1.11017e8072fadp-2, -0x1.0c25b78d14a41p-2, -0x1.0755cc8b6eb6dp-2, -0x1.0291f870c540fp-2, -0x1.fbb4e4c30342cp-3, -0x1.f25edb900ff33p-3, -0x1.e92234d74295ap-3, -0x1.dfff490ed8586p-3, -0x1.d6f669c2a7528p-3, -0x1.ce07e1c200d13p-3, -0x1.c533f54d7b044p-3, -0x1.bc7ae24492345p-3, -0x1.b3dce0531c3b6p-3, -0x1.ab5a211e7a059p-3, -0x1.a2f2d0727e4c9p-3, -0x1.9aa7146e03678p-3, -0x1.92770daf1f773p-3, -0x1.8a62d77ef289cp-3, -0x1.826a87fd05087p-3, -0x1.7a8e304a2cc25p-3, -0x1.72cddcb2f50fdp-3, -0x1.6b2994d97bfb7p-3, -0x1.63a15bdec7f51p-3, -0x1.5c35308b8aap-3, -0x1.54e50d7847f06p-3, -0x1.4db0e934e7bf9p-3, -0x1.4698b66f9d9d4p-3, -0x1.3f9c641b3a36bp-3, -0x1.38bbdd94c5c84p-3, -0x1.31f70ac879973p-3, -0x1.2b4dd05607bd4p-3, -0x1.24c00fb434ca5p-3, -0x1.1e4da753bed6ap-3, -0x1.17f672c19205bp-3, -0x1.11ba4ac84450ep-3, -0x1.0b990590e40a3p-3, -0x1.059276c30318ap-3, -0x1.ff4cdf482f1fbp-4, -0x1.f3a97e6c374a5p-4, -0x1.e83a64aaf9afap-4, -0x1.dcff27ac9db85p-4, -0x1.d1f7594190e66p-4, -0x1.c722879a1d264p-4, -0x1.bc803d7c886a5p-4, -0x1.b2100279d0e8fp-4, -0x1.a7d15b210279dp-4, -0x1.9dc3c93128959p-4, -0x1.93e6cbc9dadd6p-4, -0x1.8a39df9a742adp-4, -0x1.80bc7f0fe345fp-4, -0x1.776e22812d87cp-4, -0x1.6e4e405a9b7eap-4, -0x1.655c4d4795631p-4, -0x1.5c97bc5b34fep-4, -0x1.53ffff37921a4p-4, -0x1.4b948633cabc6p-4, -0x1.4354c080cfc0ep-4, -0x1.3b401c4cf7ce1p-4, -0x1.335606e65e69cp-4, -0x1.2b95ecdc1559fp-4, -0x1.23ff3a1e2af43p-4, -0x1.1c915a1c8cec9p-4, -0x1.154bb7e4cbafcp-4, -0x1.0e2dbe3ec3623p-4, -0x1.0736d7c83106ep-4, -0x1.00666f0f37d9ap-4, -0x1.f377dd57ba63fp-5, -0x1.e66d82b0ffb7ap-5, -0x1.d9aca412a21b5p-5, -0x1.cd341805a6129p-5, -0x1.c102b5decb549p-5, -0x1.b51755e7c4f13p-5, -0x1.a970d186a107ap-5, -0x1.9e0e03636c5d5p-5, -0x1.92edc78c14a82p-5, -0x1.880efb969d97cp-5, -0x1.7d707ec1ade74p-5, -0x1.731132137f03p-5, -0x1.68eff8773ec04p-5, -0x1.5f0bb6d8e75d3p-5, -0x1.5563543f9b2ap-5, -0x1.4bf5b9e69083fp-5, -0x1.42c1d35492b6ep-5, -0x1.39c68e72273edp-5, -0x1.3102db9e5eceep-5, -0x1.2875adc25a8d5p-5, -0x1.201dfa6393f34p-5, -0x1.17fab9b4eb2e5p-5, -0x1.100ae6a68a166p-5, -0x1.084d7ef4a1b43p-5, -0x1.00c183350e4d6p-5, -0x1.f2cbedc7d09a3p-6, -0x1.e473c0de19dfep-6, -0x1.d67892814e4bcp-6, -0x1.c8d87b917f665p-6, -0x1.bb919b0bbcd49p-6, -0x1.aea216198a963p-6, -0x1.a208181e94e71p-6, -0x1.95c1d2c4bd36ap-6, -0x1.89cd7e06819cdp-6, -0x1.7e295837da3e8p-6, -0x1.72d3a60d92f66p-6, -0x1.67cab2a337132p-6, -0x1.5d0ccf7f95801p-6, -0x1.52985497f3dcdp-6, -0x1.486ba051f78d1p-6, -0x1.3e8517845659p-6, -0x1.34e32576565bp-6, -0x1.2b843bde31a35p-6, -0x1.2266d2de654eep-6, -0x1.19896901f483fp-6, -0x1.10ea8337b46f3p-6, -0x1.0888accca7988p-6, -0x1.006277656e2f1p-6, -0x1.f0ecf5edc50d4p-7, -0x1.e186ab7bc659ep-7, -0x1.d28f586cb157ep-7, -0x1.c4045222f7c84p-7, -0x1.b5e2fa56e2d05p-7, -0x1.a828bf006f7a3p-7, -0x1.9ad31a3ff595ap-7, -0x1.8ddf924596295p-7, -0x1.814bb937a2b5bp-7, -0x1.75152d17e996cp-7, -0x1.693997a811bbbp-7, -0x1.5db6ae4d0f902p-7, -0x1.528a31f1b47dcp-7, -0x1.47b1eee88610bp-7, -0x1.3d2bbcccc5612p-7, -0x1.32f57e62d3177p-7, -0x1.290d2177f12bap-7, -0x1.1f709ec16cc8fp-7, -0x1.161df9bb440adp-7, -0x1.0d1340864d7c4p-7, -0x1.044e8bc5f1ac5p-7, -0x1.f79bfcfafedbbp-8, -0x1.e71f8bda4c0a6p-8, -0x1.d72432dd4152bp-8, -0x1.c7a674a3386e7p-8, -0x1.b8a2e76fc4211p-8, -0x1.aa1634e29ef0bp-8, -0x1.9bfd19af4b0fp-8, -0x1.8e5465546cbc1p-8, -0x1.8118f9d2f5ef2p-8, -0x1.7447cb6531112p-8, -0x1.67dde035b7bafp-8, -0x1.5bd8501668537p-8, -0x1.503444376346ep-8, -0x1.44eef6de21dc2p-8, -0x1.3a05b31cb0383p-8, -0x1.2f75d48916ac4p-8, -0x1.253cc6f500f01p-8, -0x1.1b580625a9c1fp-8, -0x1.11c51d8c18284p-8, -0x1.0881a7fdb8bd3p-8, -0x1.ff169edab26d4p-9, -0x1.edbf99492519cp-9, -0x1.dcf9cdfb5102dp-9, -0x1.ccc0e83bcc3dbp-9, -0x1.bd10af60ffd9bp-9, -0x1.ade50644025fcp-9, -0x1.9f39eab89cafcp-9, -0x1.910b750678aacp-9, -0x1.8355d763980fcp-9, -0x1.76155d700a8a9p-9, -0x1.69466bb2fbb8cp-9, -0x1.5ce57f191e358p-9, -0x1.50ef2c7478befp-9, -0x1.45601ffda2f5cp-9, -0x1.3a351cd676c97p-9, -0x1.2f6afc8e3d528p-9, -0x1.24feaea75cbaap-9, -0x1.1aed381e9276fp-9, -0x1.1133b2f3b4314p-9, -0x1.07cf4db406051p-9, -0x1.fd7a960c509e9p-10, -0x1.ebf6026f33627p-10, -0x1.db0bb397b471p-10, -0x1.cab6a21a5897cp-10, -0x1.baf1eb3dec5a7p-10, -0x1.abb8d0239484p-10, -0x1.9d06b4f21a40fp-10, -0x1.8ed7200497ea9p-10, -0x1.8125b91c5cda9p-10, -0x1.73ee489630cf7p-10, -0x1.672cb6a2dcfc2p-10, -0x1.5add0a82ff446p-10, -0x1.4efb69c635278p-10, -0x1.4384178d82354p-10, -0x1.387373d1088fdp-10, -0x1.2dc5faa9071ap-10, -0x1.2378439a0d8d3p-10, -0x1.198700e47abb5p-10, -0x1.0feefed72f998p-10, -0x1.06ad232572915p-10, -0x1.fb7cd88011e6ep-11, -0x1.ea3fe162e5ec1p-11, -0x1.d99dbcfaa4af9p-11, -0x1.c990f505d0d1cp-11, -0x1.ba143fc55d06p-11, -0x1.ab227ecdf8a95p-11, -0x1.9cb6bddf70909p-11, -0x1.8ecc31c20f57dp-11, -0x1.815e3729f29c9p-11, -0x1.746851a042e6p-11, -0x1.67e62a723e048p-11, -0x1.5bd38fa602cb8p-11, -0x1.502c72f511163p-11, -0x1.44ece8cc6431bp-11, -0x1.3a1127522124dp-11, -0x1.2f958570bce9cp-11, -0x1.257679e78d89ep-11, -0x1.1bb09a60b48bp-11, -0x1.12409a8c4bf0bp-11, -0x1.09234b40c6ba9p-11, -0x1.005599a06fb4dp-11, -0x1.efa91c87ea16dp-12, -0x1.df3a98d3da83p-12, -0x1.cf5a22567e84ep-12, -0x1.c0026568c253fp-12, -0x1.b12e3f06a2c7ep-12, -0x1.a2d8bb547d4fep-12, -0x1.94fd142d8c89cp-12, -0x1.8796afbb6fb39p-12, -0x1.7aa11f1693fa8p-12, -0x1.6e181cef59d41p-12, -0x1.61f78c3fcebe6p-12, -0x1.563b7705d67abp-12, -0x1.4ae00d059a532p-12, -0x1.3fe1a2941c308p-12, -0x1.353caf69c412ep-12, -0x1.2aedcd7cc3708p-12, -0x1.20f1b7e32667ep-12, -0x1.174549bc7496dp-12, -0x1.0de57d22b166fp-12, -0x1.04cf6a22a0576p-12, -0x1.f8008b764973fp-13, -0x1.e6eac1c72e216p-13, -0x1.d6584f31e1086p-13, -0x1.c6443fe347d6fp-13, -0x1.b6a9d2700aa2bp-13, -0x1.a7847616335f8p-13, -0x1.98cfc90b5eb5dp-13, -0x1.8a8796d7328e8p-13, -0x1.7ca7d6b9e0afdp-13, -0x1.6f2caa1e66273p-13, -0x1.62125b1853427p-13, -0x1.55555aecccd54p-13, -0x1.48f240a696268p-13, -0x1.3ce5c7b4d275ap-13, -0x1.312cce9450282p-13, -0x1.25c4558312dc6p-13, -0x1.1aa97d3de9f0ep-13, -0x1.0fd985c7ce263p-13, -0x1.0551cd3ad4cf4p-13, -0x1.f61f9d44e4a23p-14, -0x1.e22241bdc334p-14, -0x1.cea6eb22d1067p-14, -0x1.bba93022a2f55p-14, -0x1.a924d8d2aa33p-14, -0x1.9715dcba8c57dp-14, -0x1.857860ef9d3d7p-14, -0x1.7448b63ff97e7p-14, -0x1.6383576cf847p-14, -0x1.5324e7747d921p-14, -0x1.432a2fe8d236ep-14, -0x1.33901f569edf3p-14, -0x1.2453c7b8ac697p-14, -0x1.15725cf90a977p-14, -0x1.06e9337f43de9p-14, -0x1.f16b7d96888edp-15, -0x1.d5ab20393574bp-15, -0x1.ba8caa4b7e50bp-15, -0x1.a00bad961225dp-15, -0x1.8623efda0ac52p-15, -0x1.6cd1687babf51p-15, -0x1.54103e42a484p-15, -0x1.3bdcc52f2905fp-15, -0x1.24337c635a484p-15, -0x1.0d110c2059addp-15, -0x1.ece487ad073e6p-16, -0x1.c0a830906dddbp-16, -0x1.9567437d4aaaep-16, -0x1.6b1c34a04555bp-16, -0x1.41c1b86ed6c9bp-16, -0x1.1952c076c659bp-16, -0x1.e394f09b1ebbbp-17, -0x1.9648853d8749p-17, -0x1.4ab76cb0d7d0bp-17, -0x1.00d937e8f5c8cp-17, -0x1.714bab79c6311p-18, -0x1.c85637a24e5b8p-19, -0x1.6907e21d0a062p-20, 0x1.63ef3d4d69acp-21, 0x1.60442f8b3c849p-19, 0x1.30b79cf816a29p-18, 0x1.ae4af6a0d50fbp-18, 0x1.1474130365a9ep-17, 0x1.504d5ada363c2p-17, 0x1.8ab6e0401199p-17, 0x1.c3b5fc21ed4aap-17, 0x1.fb4fd62320f0cp-17, 0x1.18c4b3d622052p-16, 0x1.3333bf6ac7192p-16, 0x1.4cf7609704cdep-16, 0x1.6611d73063efdp-16, 0x1.7e85515caa5dep-16, 0x1.9653ecc4465fcp-16, 0x1.ad7fb7b580641p-16, 0x1.c40ab238ffa96p-16, 0x1.d9f6cf182667ep-16, 0x1.ef45f4d5d70a3p-16, 0x1.01fcff4d0bf4ep-15, 0x1.0c0a5e888c599p-15, 0x1.15cbfb9f0bc6fp-15, 0x1.1f42b5a14d605p-15, 0x1.286f678d35756p-15, 0x1.3152e8a667665p-15, 0x1.39ee0cc9b3271p-15, 0x1.4241a4bb880e9p-15, 0x1.4a4e7e71a7aep-15, 0x1.521565583f3cp-15, 0x1.59972292a0811p-15, 0x1.60d47d37c580dp-15, 0x1.67ce3a8acb319p-15, 0x1.6e851e2f92747p-15, 0x1.74f9ea5baddacp-15, 0x1.7b2d6003c889ap-15, 0x1.81203f05acc99p-15, 0x1.86d3464f0fb8dp-15, 0x1.8c473401490b2p-15, 0x1.917cc5921b39dp-15, 0x1.9674b7e9ac912p-15, 0x1.9b2fc77dd522ep-15, 0x1.9faeb06ae1ae6p-15, 0x1.a3f22e89e9c1ep-15, 0x1.a7fafd84d9261p-15, 0x1.abc9d8e848adcp-15, 0x1.af5f7c3344adbp-15, 0x1.b2bca2e51716cp-15, 0x1.b5e2088938dcfp-15, 0x1.b8d068c17ae3p-15, 0x1.bb887f4e82836p-15, 0x1.be0b0816b4614p-15, 0x1.c058bf2b9f843p-15, 0x1.c27260cdff71cp-15, 0x1.c458a9706e7dap-15, 0x1.c60c55b8d5a3bp-15, 0x1.c78e2280b6084p-15, 0x1.c8deccd4557a8p-15, 0x1.c9ff11f0e78f4p-15, 0x1.caefaf41c103dp-15, 0x1.cbb1625ca76dbp-15, 0x1.cc44e8fd4ae7p-15, 0x1.ccab00fffc746p-15, 0x1.cce4685bae1cep-15, 0x1.ccf1dd1b4896bp-15, 0x1.ccd41d5667d52p-15, 0x1.cc8be7298b133p-15, 0x1.cc19f8adbfec3p-15, 0x1.cb7f0fefd9cc8p-15, 0x1.cabbeae7408b9p-15, 0x1.c9d1476c5a237p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.6f480c774056dp-1, 0x1.6dba2faf0c6eep-1, 0x1.6c1d7557b1c5bp-1, 0x1.6a74baf8d4733p-1, 0x1.68c2b1c96e616p-1, 0x1.6709d77e16d08p-1, 0x1.654c715f85c9bp-1, 0x1.638c8951b2d15p-1, 0x1.61cbec7b2409cp-1, 0x1.600c2b43c197cp-1, 0x1.5e4e9a6a503e7p-1, 0x1.5c9454f75f051p-1, 0x1.5ade3edbc0e56p-1, 0x1.592d080f6fad5p-1, 0x1.5781300bfbd83p-1, 0x1.55db098359629p-1, 0x1.543abe38e7107p-1, 0x1.52a052e720291p-1, 0x1.510bab205648dp-1, 0x1.4f7c8d1c55a0ep-1, 0x1.4df2a567ce313p-1, 0x1.4c6d8a6cfb047p-1, 0x1.4aecbfcf30542p-1, 0x1.496fb994d27eap-1, 0x1.47f5df1cce514p-1, 0x1.467e8dddf09ddp-1, 0x1.45091bef8a36cp-1, 0x1.4394da5baaa5p-1, 0x1.4221173bebap-1, 0x1.40ad1fa24f342p-1, 0x1.3f38415019e16p-1, 0x1.3dc1cc3ce2e68p-1, 0x1.3c4913f048d2cp-1, 0x1.3acd70b0dcc26p-1, 0x1.394e408aeca6p-1, 0x1.37cae831d760ep-1, 0x1.3642d3be9a284p-1, 0x1.34b5774e336c5p-1, 0x1.33224f826de69p-1, 0x1.3188e1e789d2p-1, 0x1.2fe8bd4124c62p-1, 0x1.2e4179c0a3a5ap-1, 0x1.2c92b92742a06p-1, 0x1.2adc26d5d4ab5p-1, 0x1.291d77cc15ffcp-1, 0x1.27566a995d3a6p-1, 0x1.2586c74055456p-1, 0x1.23ae5f0f49ae2p-1, 0x1.21cd0c6e77b6dp-1, 0x1.1fe2b2a5b6caep-1, 0x1.1def3d9aafef6p-1, 0x1.1bf2a188c757p-1, 0x1.19ecdab3be384p-1, 0x1.17dded15fc274p-1, 0x1.15c5e40b60e9bp-1, 0x1.13a4d1f962e9fp-1, 0x1.117acff530609p-1, 0x1.0f47fd6878c75p-1, 0x1.0d0c7fb5709bdp-1, 0x1.0ac881da940adp-1, 0x1.087c3416a13dap-1, 0x1.0627cb8d2faaap-1, 0x1.03cb81ec460b4p-1, 0x1.016795133f03p-1, 0x1.fdf88d7689a07p-2, 0x1.f913b843495c3p-2, 0x1.f4213b6857337p-2, 0x1.ef21ad7f82126p-2, 0x1.ea15aa42c122p-2, 0x1.e4fdd1f32c2e8p-2, 0x1.dfdac8c52b4d6p-2, 0x1.daad3652094c6p-2, 0x1.d575c50f0824fp-2, 0x1.d03521ca07b7fp-2, 0x1.caebfb2bda185p-2, 0x1.c59b01403fab4p-2, 0x1.c042e5039298fp-2, 0x1.bae457f619325p-2, 0x1.b5800bb4f7d22p-2, 0x1.b016b198af4efp-2, 0x1.aaa8fa591354p-2, 0x1.a53795b6aa1c1p-2, 0x1.9fc332294d184p-2, 0x1.9a4c7c93fc003p-2, 0x1.94d41ffdb7a0ep-2, 0x1.8f5ac54f4ae9ep-2, 0x1.89e11315d86e7p-2, 0x1.8467ad4a0f563p-2, 0x1.7eef351bd83b7p-2, 0x1.797848c260e6cp-2, 0x1.7403835051b05p-2, 0x1.6e917c8c10d14p-2, 0x1.6922c8cbe344bp-2, 0x1.63b7f8d5cbfe6p-2, 0x1.5e5199c2f915ep-2, 0x1.58f034e69e5b1p-2, 0x1.53944fb811c8bp-2, 0x1.4e3e6bc007f8dp-2, 0x1.48ef0688c6d21p-2, 0x1.43a6999127496p-2, 0x1.3e659a424931bp-2, 0x1.392c79e7ccad9p-2, 0x1.33fba5aa73cb9p-2, 0x1.2ed3868d075b9p-2, 0x1.29b4816b5d902p-2, 0x1.249ef6fb65654p-2, 0x1.1f9343d0116a3p-2, 0x1.1a91c05e08dccp-2, 0x1.159ac101fe8a4p-2, 0x1.10ae960893f44p-2, 0x1.0bcd8bb7a66afp-2, 0x1.06f7ea58f5d69p-2, 0x1.022df64602731p-2, 0x1.fadfdfea16fcdp-3, 0x1.f17c280e3c494p-3, 0x1.e83136ae22f37p-3, 0x1.deff7612c9055p-3, 0x1.d5e74939c8b68p-3, 0x1.cce90bf81382ep-3, 0x1.c405131ded7p-3, 0x1.bb3bac9c0e1b8p-3, 0x1.b28d1fa9c0e09p-3, 0x1.a9f9acebe2a5dp-3, 0x1.a1818e9ca12ffp-3, 0x1.9924f8b3da8a2p-3, 0x1.90e4191005a6ep-3, 0x1.88bf179f89d5dp-3, 0x1.80b6168a6481fp-3, 0x1.78c9325c0f269p-3, 0x1.70f8822d8dba3p-3, 0x1.694417cf8b2c4p-3, 0x1.61abfff476c45p-3, 0x1.5a30425a8c64bp-3, 0x1.52d0e1f5bc419p-3, 0x1.4b8ddd1955056p-3, 0x1.44672da1792e8p-3, 0x1.3d5cc91c33ab2p-3, 0x1.366ea0f239c62p-3, 0x1.2f9ca28f41c44p-3, 0x1.28e6b789df3cbp-3, 0x1.224cc5caeb56bp-3, 0x1.1bceafb45a218p-3, 0x1.156c54478cdcap-3, 0x1.0f258f4b01864p-3, 0x1.08fa396f695b5p-3, 0x1.02ea287421048p-3, 0x1.f9ea5e95e3996p-4, 0x1.ee363c7661fdcp-4, 0x1.e2b786084b55fp-4, 0x1.d76dd1fd6eea4p-4, 0x1.cc58b27cd76d7p-4, 0x1.c177b56330a01p-4, 0x1.b6ca6481cd1b9p-4, 0x1.ac5045dc19413p-4, 0x1.a208dbe38ea6p-4, 0x1.97f3a5b226efp-4, 0x1.8e101f433faebp-4, 0x1.845dc1ab00b02p-4, 0x1.7adc034c366efp-4, 0x1.718a580ca68a3p-4, 0x1.68683187e23eep-4, 0x1.5f74ff4094183p-4, 0x1.56b02ed04e77ep-4, 0x1.4e192c15dd3f8p-4, 0x1.45af61621c8ap-4, 0x1.3d7237a359363p-4, 0x1.3561168f40b4fp-4, 0x1.2d7b64cb5fefep-4, 0x1.25c088143c024p-4, 0x1.1e2fe56304c44p-4, 0x1.16c8e111e9416p-4, 0x1.0f8adeff11436p-4, 0x1.087542ae44eafp-4, 0x1.01876f694364fp-4, 0x1.f58190bda8af6p-5, 0x1.e841618128115p-5, 0x1.db4d17bf0e252p-5, 0x1.cea37a8ee9942p-5, 0x1.c24351b22d7cfp-5, 0x1.b62b65c636737p-5, 0x1.aa5a80741367cp-5, 0x1.9ecf6c9e121a8p-5, 0x1.9388f68b2547ap-5, 0x1.8885ec102daf6p-5, 0x1.7dc51cb733b4ap-5, 0x1.734559e49fff1p-5, 0x1.690576fa80d82p-5, 0x1.5f044979e7e14p-5, 0x1.5540a9226d265p-5, 0x1.4bb9700fe870ap-5, 0x1.426d7ad668f2p-5, 0x1.395ba89c7b1cbp-5, 0x1.3082db33c8f9dp-5, 0x1.27e1f73022013p-5, 0x1.1f77e3fcf6111p-5, 0x1.17438bf150884p-5, 0x1.0f43dc6260893p-5, 0x1.0777c5b497e4ap-5, 0x1.ffbc76d6e26bdp-6, 0x1.f0ec686fc5a3bp-6, 0x1.e27d540b20f3ap-6, 0x1.d46d340d82e8ap-6, 0x1.c6ba097e53a41p-6, 0x1.b961dc1b24f71p-6, 0x1.ac62ba68cb525p-6, 0x1.9fbab9c261507p-6, 0x1.9367f666411d9p-6, 0x1.876893810dc58p-6, 0x1.7bbabb36dd4bbp-6, 0x1.705c9eaa95d92p-6, 0x1.654c760393cffp-6, 0x1.5a888071abc5bp-6, 0x1.500f042f95c1cp-6, 0x1.45de4e83d6293p-6, 0x1.3bf4b3c039738p-6, 0x1.32508f3fe9b29p-6, 0x1.28f043643a125p-6, 0x1.1fd239902c8a9p-6, 0x1.16f4e222cc7f3p-6, 0x1.0e56b47061d3cp-6, 0x1.05f62eba945fdp-6, 0x1.fba3ac4f160bap-7, 0x1.ebd06d70235e5p-7, 0x1.dc6fc679a87fdp-7, 0x1.cd7eea95819ccp-7, 0x1.befb1a5d2c16bp-7, 0x1.b0e1a3bf5ee5p-7, 0x1.a32fe1e42e014p-7, 0x1.95e33d0fd93e4p-7, 0x1.88f92a8456045p-7, 0x1.7c6f2c61a63fp-7, 0x1.7042d1851b72p-7, 0x1.6471b56791385p-7, 0x1.58f97ffab5b1cp-7, 0x1.4dd7e58570c23p-7, 0x1.430aa67f817fbp-7, 0x1.388f8f6c5800cp-7, 0x1.2e6478b548cffp-7, 0x1.2487468321e82p-7, 0x1.1af5e897333aap-7, 0x1.11ae5a23d8d4cp-7, 0x1.08aea1a4958ddp-7, 0x1.ffe9a16b96f28p-8, 0x1.eefe07d83f86ap-8, 0x1.de96c5572a761p-8, 0x1.ceb03dfcd466fp-8, 0x1.bf46ead78ec7p-8, 0x1.b057599c8b5a7p-8, 0x1.a1de2c54b6d08p-8, 0x1.93d819096c382p-8, 0x1.8641e9711b82p-8, 0x1.79187a9bf1b2ep-8, 0x1.6c58bca093a9ep-8, 0x1.5fffb249016eep-8, 0x1.540a70bfa95adp-8, 0x1.48761f3cc22e4p-8, 0x1.3d3ff6b3f3b09p-8, 0x1.3265418261429p-8, 0x1.27e35b1d1e471p-8, 0x1.1db7afc01abc2p-8, 0x1.13dfbc1d9196bp-8, 0x1.0a590d0e08a3fp-8, 0x1.01213f40e3e92p-8, 0x1.f06bfddb37688p-9, 0x1.df2a0f0b3d50dp-9, 0x1.ce7846cdc6db8p-9, 0x1.be52571e6ccffp-9, 0x1.aeb40ea08da82p-9, 0x1.9f995808fc8edp-9, 0x1.90fe398946d0ep-9, 0x1.82ded43ca7669p-9, 0x1.75376396a8051p-9, 0x1.68043cd37eea9p-9, 0x1.5b41ce6a32674p-9, 0x1.4eec9f8087c4ap-9, 0x1.43014f60c71c7p-9, 0x1.377c94f159c0dp-9, 0x1.2c5b3e2e43c5dp-9, 0x1.219a2fa48aaf5p-9, 0x1.173663ef7d723p-9, 0x1.0d2ceb37ef3aep-9, 0x1.037aeab55da8ep-9, 0x1.f43b38621a61bp-10, 0x1.e2249b1632c9dp-10, 0x1.d0acc082f3671p-10, 0x1.bfce91f1fe3bap-10, 0x1.af851e108f07fp-10, 0x1.9fcb98095613dp-10, 0x1.909d56a240647p-10, 0x1.81f5d35e245fp-10, 0x1.73d0a9a2683aep-10, 0x1.662995e07f5d7p-10, 0x1.58fc74c35763dp-10, 0x1.4c4542609af59p-10, 0x1.4000196dd9037p-10, 0x1.34293279720b6p-10, 0x1.28bce3275e86ap-10, 0x1.1db79d71b91c9p-10, 0x1.1315eeed05d99p-10, 0x1.08d480102fa86p-10, 0x1.fde0270081ca8p-11, 0x1.eacb0abf614c4p-11, 0x1.d8639542be219p-11, 0x1.c6a3e0be38c1bp-11, 0x1.b58636677ce2fp-11, 0x1.a5050d316daacp-11, 0x1.951b088e3f611p-11, 0x1.85c2f7386b4b8p-11, 0x1.76f7d2026523ep-11, 0x1.68b4baacff3f6p-11, 0x1.5af4fac466a99p-11, 0x1.4db402839f199p-11, 0x1.40ed67be69d18p-11, 0x1.349ce4d17ea24p-11, 0x1.28be579901e93p-11, 0x1.1d4dc06d1d696p-11, 0x1.12474124a5eep-11, 0x1.07a71c1db6852p-11, 0x1.fad366984c26dp-12, 0x1.e7170e9b87c6ep-12, 0x1.d4126d087e87dp-12, 0x1.c1bef86948bc2p-12, 0x1.b0165f58a6ee8p-12, 0x1.9f1286d6bcb56p-12, 0x1.8ead88a861c99p-12, 0x1.7ee1b1c0d8be5p-12, 0x1.6fa980b5c090cp-12, 0x1.60ffa43d0beaep-12, 0x1.52def9b4d183ep-12, 0x1.45428bb4c56dfp-12, 0x1.382590a92b93fp-12, 0x1.2b8369771577ep-12, 0x1.1f57a029bcce5p-12, 0x1.139de6a8cc212p-12, 0x1.08521577662f3p-12, 0x1.fae054f78a9d1p-13, 0x1.e5e88f9e75f07p-13, 0x1.d1b5652cda87fp-13, 0x1.be3fa3c33fc5fp-13, 0x1.ab805b29c1ef5p-13, 0x1.9970daafd081ep-13, 0x1.880aaf1b14d7ep-13, 0x1.7747a0a50a332p-13, 0x1.6721b10713d9bp-13, 0x1.57931994ac60dp-13, 0x1.48964963627f1p-13, 0x1.3a25e38055edbp-13, 0x1.2c3cbd32dcfbcp-13, 0x1.1ed5dc4c11f83p-13, 0x1.11ec7582f02dfp-13, 0x1.057beadcb8635p-13, 0x1.f2ff9442b0dp-14, 0x1.dbe796b6fe742p-14, 0x1.c5a79ec84f6cap-14, 0x1.b037bcf281515p-14, 0x1.9b904dbe73b33p-14, 0x1.87a9f71a54558p-14, 0x1.747da5c6a0515p-14, 0x1.62048ad74ba5bp-14, 0x1.503819489681dp-14, 0x1.3f1203a70a137p-14, 0x1.2e8c39ca24291p-14, 0x1.1ea0e6a13190ap-14, 0x1.0f4a6e11e38d7p-14, 0x1.00836ae825889p-14, 0x1.e48d59ad84cap-15, 0x1.c91e6d10c74eep-15, 0x1.aeb07780fe275p-15, 0x1.953a3f1782dfdp-15, 0x1.7cb2e4ff1b8ap-15, 0x1.6511e2104cea4p-15, 0x1.4e4f038a35d8fp-15, 0x1.386267e7261c9p-15, 0x1.23447bcc2ee8p-15, 0x1.0eedf712edac6p-15, 0x1.f6afb3d99a7dbp-16, 0x1.d0f6d43e1c742p-16, 0x1.aca460adb39efp-16, 0x1.89abeb296884fp-16, 0x1.6801815d3d051p-16, 0x1.4799a7d0847bep-16, 0x1.28695541010ecp-16, 0x1.0a65ee2784be9p-16, 0x1.db0a80c9bc7ap-17, 0x1.a37afe2bc2e36p-17, 0x1.6e0a7d1ab16bep-17, 0x1.3aa6e0e57d1abp-17, 0x1.093ec00948796p-17, 0x1.b382b9f6ac8e1p-18, 0x1.583d3e6c0d69ep-18, 0x1.008e190d9cd23p-18, 0x1.58af0a6c7c173p-19, 0x1.6df386526b5d2p-20, 0x1.bc5486a26dba6p-23, -0x1.e48d880f5b4fap-21, -0x1.07f336c998b13p-19, -0x1.90db4458fe015p-19, -0x1.0a0560b85ee8ep-18, -0x1.48d7906bb30ddp-18, -0x1.84fa122a0a671p-18, -0x1.be81f775a340dp-18, -0x1.f5838b32f9da7p-18, -0x1.15092d0a3f356p-17, -0x1.2e209d58b2916p-17, -0x1.46112aa53264p-17, -0x1.5ce3959f98f2fp-17, -0x1.72a04f1bae19fp-17, -0x1.874f7b80a142cp-17, -0x1.9af8f614c379ep-17, -0x1.ada45426cf88dp-17, -0x1.bf58e815ef4e9p-17, -0x1.d01dc4399c1ep-17, -0x1.dff9bdaa8e89dp-17, -0x1.eef36eedc9acdp-17, -0x1.fd113a82df46ap-17, -0x1.052ca6ab34708p-16, -0x1.0b68d08ce04d5p-16, -0x1.113fff4075da6p-16, -0x1.16b4ffb3dd254p-16, -0x1.1bca886f72fbbp-16, -0x1.20833a911c4b4p-16, -0x1.24e1a2bc41b6ap-16, -0x1.28e839ff1a6c3p-16, -0x1.2c9966adb8cedp-16, -0x1.2ff77d33369efp-16, -0x1.3304c0d95e501p-16, -0x1.35c364873a069p-16, -0x1.38358b76db1b3p-16, -0x1.3a5d49e2b155bp-16, -0x1.3c3ca5aacca8bp-16, -0x1.3dd596f25dbdcp-16, -0x1.3f2a08b5b79cep-16, -0x1.403bd959318c5p-16, -0x1.410cdb312440ap-16, -0x1.419ed50358d2fp-16, -0x1.41f382821f8a5p-16, -0x1.420c94c15f2bep-16, -0x1.41ebb2a5d72f2p-16, -0x1.4192794ed2cf2p-16, -0x1.41027c7a9225fp-16, -0x1.403d46e59263ap-16, -0x1.3f445aa5068eep-16, -0x1.3e19317c9b77dp-16, -0x1.3cbd3d2fd3f78p-16, -0x1.3b31e7cf20122p-16, -0x1.39789400e44edp-16, -0x1.37929d46a6975p-16, -0x1.3581583e83368p-16, -0x1.334612e11c65dp-16, -0x1.30e214bc2fa64p-16, -0x1.2e569f29f2c24p-16, -0x1.2ba4ed8566973p-16, -0x1.28ce355bbea19p-16, -0x1.25d3a69b0ab2bp-16, -0x1.22b66bbe37b3dp-16, -0x1.1f77a9f69706dp-16, -0x1.1c18815302daap-16, -0x1.189a0ce4c0984p-16, -0x1.14fd62e24571p-16, -0x1.114394c7e94c6p-16, -0x1.0d6daf76bb403p-16, -0x1.097cbb517791ep-16, -0x1.0571bc57ce183p-16, -0x1.014db24000314p-16, -0x1.fa23311dfd4f3p-17, -0x1.f17ccd5e0f0c4p-17, -0x1.e8aa2009e2805p-17, -0x1.dfad080847cd3p-17, -0x1.d6875c82b7968p-17, -0x1.cd3aed0897d2bp-17, -0x1.c3c981b05000cp-17, -0x1.ba34db365f325p-17, -0x1.b07eb31a8ddbfp-17, -0x1.a6a8bbbb59af2p-17, -0x1.9cb4a06fb3fd7p-17, -0x1.92a4059f40c3p-17, -0x1.887888d913768p-17, -0x1.7e33c0e92907bp-17, -0x1.73d73dec8c50ap-17, -0x1.6964896461801p-17, -0x1.5edd2647d42b5p-17, -0x1.5442911514b38p-17, -0x1.49963fe15def7p-17, -0x1.3ed9a268261ep-17, -0x1.340e221992c4ep-17, -0x1.293522282dc04p-17, -0x1.1e4fff95f9a1bp-17, -0x1.13601140f02ebp-17, -0x1.0866a7eef7f5ap-17, -0x1.faca1cb2c1a91p-18, -0x1.e4b9126fe4371p-18, -0x1.ce9cae972e863p-18, -0x1.b87762d16e0f4p-18, -0x1.a24b95027ad5fp-18, -0x1.8c1b9f5ccb72ep-18, -0x1.75e9d07492f07p-18, -0x1.5fb86b52854dep-18, -0x1.4989a786478fp-18, -0x1.335fb138a1899p-18, -0x1.1d3ca93d7fda3p-18, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      37, 0x1.4eb851eb851ecp+2, 0x1.d95c05b8f9d7cp+0, 0x1.0b1967c7d4aa7p+2, -0x1.6a719b245266cp-1, 
      {{
        {0x1.999999999999ap+0, 0x1.b333333333333p+0, 0x1.54c18d3a4a733p+1, -0x1.8ecfd3a1390f3p+2, 0x1.70b6accf950cp+2, 0x1.ff6056a17bbccp-1}, 
        {0x1.b333333333333p+0, 0x1.ccccccccccccdp+0, 0x1.0c7eed8c30b4dp+1, -0x1.4326c5390558bp+2, 0x1.83e3e34270164p+2, -0x1.3f9c3624eda3fp+2}, 
        {0x1.ccccccccccccdp+0, 0x1.e666666666666p+0, 0x1.a5f7dcc28bc44p+0, -0x1.fe52cc63ec1dap+1, 0x1.2401d30428cb6p+2, -0x1.4f9f863207d07p+1}, 
        {0x1.e666666666666p+0, 0x1p+1, 0x1.4ae99dd89c9fcp+0, -0x1.9396dabaccac6p+1, 0x1.e353ca92e8d86p+1, -0x1.4baeb83352cbap+1}, 
        {0x1p+1, 0x1.0cccccccccccdp+1, 0x1.0332a8fbb82e3p+0, -0x1.3cdfd15746fcep+1, 0x1.7fd293505001bp+1, -0x1.030d9d6d431dfp+1}, 
        {0x1.0cccccccccccdp+1, 0x1.199999999999ap+1, 0x1.95f677347cc9p-1, -0x1.efc3431f39ae1p+0, 0x1.321b4a7c55789p+1, -0x1.aea35e4b50b58p+0}, 
        {0x1.199999999999ap+1, 0x1.2666666666666p+1, 0x1.3e3175468567p-1, -0x1.823d3f324fac1p+0, 0x1.e30592487920fp+0, -0x1.5a8c7a55c7ca7p+0}, 
        {0x1.2666666666666p+1, 0x1.3333333333333p+1, 0x1.f3d34b5ecd311p-2, -0x1.2c0806e3d47b2p+0, 0x1.7b0ea0c856cb2p+0, -0x1.1669924255932p+0}, 
        {0x1.3333333333333p+1, 0x1.4p+1, 0x1.89dc88d41f2b1p-2, -0x1.d12504528b612p-1, 0x1.27888e813d1eep+0, -0x1.b9ee83ac3f521p-1}, 
        {0x1.4p+1, 0x1.4cccccccccccdp+1, 0x1.37c51fd53ce8p-2, -0x1.68306dfd9dca6p-1, 0x1.ca7cc24ecda4ep-1, -0x1.5bac66e78b5ebp-1}, 
        {0x1.4cccccccccccdp+1, 0x1.599999999999ap+1, 0x1.f069c503abd61p-3, -0x1.16ec02894833ep-1, 0x1.622f703c8a3b9p-1, -0x1.0ee82590a8cebp-1}, 
        {0x1.599999999999ap+1, 0x1.6666666666666p+1, 0x1.8ded9d54bed12p-3, -0x1.b06c92c077b86p-2, 0x1.10e9cb5df130bp-1, -0x1.a2b52fd6b1012p-2}, 
        {0x1.6666666666666p+1, 0x1.7333333333333p+1, 0x1.4185c0da07352p-3, -0x1.4fd1ee5c3627bp-2, 0x1.a436d52ead47fp-2, -0x1.417470f2b7489p-2}, 
        {0x1.7333333333333p+1, 0x1.8p+1, 0x1.061eadcb1b1f9p-3, -0x1.056bbcdf4713cp-2, 0x1.43c719b2a97eep-2, -0x1.ebdc814e33d76p-3}, 
        {0x1.8p+1, 0x1.8cccccccccccdp+1, 0x1.afa3837ec55bp-4, -0x1.9816216ca2f39p-3, 0x1.f3ff3fcddd09ep-3, -0x1.78abd1c550e6fp-3}, 
        {0x1.8cccccccccccdp+1, 0x1.999999999999ap+1, 0x1.67449dec41168p-4, -0x1.3f631d844368fp-3, 0x1.82fee745de5ep-3, -0x1.2274d0c7624a6p-3}, 
        {0x1.999999999999ap+1, 0x1.a666666666666p+1, 0x1.2e8cb2c164668p-4, -0x1.f5674735fb739p-4, 0x1.2bdbdbd6da7afp-3, -0x1.c6108f7cb6d44p-4}, 
        {0x1.a666666666666p+1, 0x1.b333333333333p+1, 0x1.01f3ce9b8eee4p-4, -0x1.8b14f3946c1b1p-4, 0x1.cf7f8ca1e4836p-4, -0x1.69d61147591bep-4}, 
        {0x1.b333333333333p+1, 0x1.cp+1, 0x1.bd6f4651436a8p-5, -0x1.393cbe5f24ea7p-4, 0x1.62f28772e3613p-4, -0x1.26ab32530ca59p-4}, 
        {0x1.cp+1, 0x1.ccccccccccccdp+1, 0x1.854bfc7390f06p-5, -0x1.f62cfcc8841e5p-5, 0x1.0a8bf859f92f7p-4, -0x1.e8d125cc40036p-5}, 
        {0x1.ccccccccccccdp+1, 0x1.d99999999999ap+1, 0x1.57ebdea15da38p-5, -0x1.9a38b6bc93012p-5, 0x1.8272cbc378c41p-5, -0x1.989cb82c32de2p-5}, 
        {0x1.d99999999999ap+1, 0x1.e666666666666p+1, 0x1.325ae6c940391p-5, -0x1.5930b23aa5564p-5, 0x1.07dd614fcfe7cp-5, -0x1.520885417cae8p-5}, 
        {0x1.e666666666666p+1, 0x1.f333333333333p+1, 0x1.1222fd3a228a4p-5, -0x1.2e8eea71c49dep-5, 0x1.44e8d911ee9adp-6, -0x1.0d330f36e7284p-5}, 
        {0x1.f333333333333p+1, 0x1p+2, 0x1.ea78eefc4e45bp-6, -0x1.1624aecb38cfap-5, 0x1.46c79fe1fb05p-7, -0x1.8a13cb729572ap-6}, 
        {0x1p+2, 0x1.0666666666666p+2, 0x1.b415642cbd9d9p-6, -0x1.0bb72892481a1p-5, 0x1.6955640e85662p-9, -0x1.dd27453379952p-7}, 
        {0x1.0666666666666p+2, 0x1.0cccccccccccdp+2, 0x1.7ec0e92498c62p-6, -0x1.0ac7068f49441p-5, -0x1.a680445e7f621p-10, -0x1.23f1892e6913bp-8}, 
        {0x1.0cccccccccccdp+2, 0x1.1333333333333p+2, 0x1.490f9efc69b19p-6, -0x1.0e834b057da81p-5, -0x1.826aa7b17ebddp-9, 0x1.7fe53c7d3d35cp-8}, 
        {0x1.1333333333333p+2, 0x1.199999999999ap+2, 0x1.1292474673bf8p-6, -0x1.11e7495eeb7dbp-5, -0x1.3828a0664da34p-10, 0x1.00048950ab4bbp-6}, 
        {0x1.199999999999ap+2, 0x1.2p+2, 0x1.b7b40850f42abp-7, -0x1.1003a1e9de86ep-5, 0x1.ca5cf95b411afp-9, 0x1.850a44bb14c7ep-6}, 
        {0x1.2p+2, 0x1.2666666666666p+2, 0x1.4cd2520a27029p-7, -0x1.0472f4ce3e0aap-5, 0x1.5c03cdfa43243p-7, 0x1.d813298c8a9a3p-6}, 
        {0x1.2666666666666p+2, 0x1.2cccccccccccdp+2, 0x1.d221eaaa2055cp-8, -0x1.d7ef327caea6cp-6, 0x1.3ba14040e4bfcp-6, 0x1.d9b6311e2a877p-6}, 
        {0x1.2cccccccccccdp+2, 0x1.3333333333333p+2, 0x1.23e0f7f4d3682p-8, -0x1.8a98d75ce0e77p-6, 0x1.c9be4efd24b6p-6, 0x1.6f7851428b5e6p-6}, 
        {0x1.3333333333333p+2, 0x1.399999999999ap+2, 0x1.33a3a09b8e7f7p-9, -0x1.240635c469dcbp-6, 0x1.1bfe007bc0dc2p-5, 0x1.478cb6735b621p-8}, 
        {0x1.399999999999ap+2, 0x1.4p+2, 0x1.e074571ed1f8ep-11, -0x1.5ff1072188b38p-7, 0x1.28467a867aafep-5, -0x1.3935590a3b7cdp-6}, 
        {0x1.4p+2, 0x1.4666666666666p+2, 0x1.83c427dce685cp-13, -0x1.0b6d73a0543f2p-8, 0x1.f2968d89e3879p-6, -0x1.457804dbc9e24p-4}, 
        {0x1.4666666666666p+2, 0x1.4cccccccccccdp+2, 0x1.c6811200acffep-20, -0x1.8c837ed6fc4c8p-12, 0x1.b01a1ed55eb2ep-8, -0x1.e871779ecd173p-6}, 
        {0x1.4cccccccccccdp+2, 0x1.4eb851eb851ecp+2, 0x0p+0, 0x1.8336fb7d99883p-15, -0x1.340f47d2620c2p-9, -0x1.29c73a3612a88p-4}, 
      }}, 
      0x1.75ec6b9ccd3dap+2, -0x1.4fa6e89b2f98cp+6
    }
  };
  // clang-format on
}
SkfData params_mio_0_1_s_o() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.05d5bdac43052p+0, -0x1.0f9b45d07a199p+0, -0x1.17cae24ba784dp+0, -0x1.1e6f9226993a9p+0, -0x1.23972820c1b95p+0, -0x1.2751b1386afa7p+0, -0x1.29b0d8d843691p+0, -0x1.2ac77aa0923b5p+0, -0x1.2aa95d94c3349p+0, -0x1.296adfbe45039p+0, -0x1.27209759c47eep+0, -0x1.23df164e13e32p+0, -0x1.1fbac9526b618p+0, -0x1.1ac7cf7af71f1p+0, -0x1.1519c530bc9dep+0, -0x1.0ec398d0a0909p+0, -0x1.07d778bde9506p+0, -0x1.0066d5fd246ebp+0, -0x1.f104d34536f66p-1, -0x1.e07458c40da35p-1, -0x1.cf3a7c0cf45f4p-1, -0x1.bd7405f428bc6p-1, -0x1.ab3a64006f286p-1, -0x1.98a6a1e870ed6p-1, -0x1.85cfbace5f762p-1, -0x1.72cb0e469a86bp-1, -0x1.5fac57a26086cp-1, -0x1.4c85aaf37e419p-1, -0x1.39678494a3f4bp-1, -0x1.2660e4a5e9af5p-1, -0x1.137f691c5c40ap-1, -0x1.00cf601d105b1p-1, -0x1.dcb7abeac0c88p-2, -0x1.b85d49a8f4478p-2, -0x1.94a111407ffffp-2, -0x1.719269583d37bp-2, -0x1.4f3ecfde49b9fp-2, -0x1.2db1fc6d9456ep-2, -0x1.0cf5fdfd6d84cp-2, -0x1.da26acff61c1dp-3, -0x1.9c222bbcc6c78p-3, -0x1.5fe9e8a0d29b9p-3, -0x1.2586d71a0ddbp-3, -0x1.d9ff3b1b6087ap-4, -0x1.6cb18715aa64p-4, -0x1.0329be00bc997p-4, -0x1.3ad302771791dp-5, -0x1.db79ec50e91e1p-7, 0x1.164c1e8552e27p-7, 0x1.f51f48e304502p-6, 0x1.a82a229639969p-5, 0x1.273cb9b110e9dp-4, 0x1.76cc1d522ae13p-4, 0x1.c2d22d45ac905p-4, 0x1.05afa0850077p-3, 0x1.28427001314a6p-3, 0x1.492ac7a36f58fp-3, 0x1.687252f1a1356p-3, 0x1.86231454f2edep-3, 0x1.a247569ba8675p-3, 0x1.bce9a12f465b2p-3, 0x1.d614adc092965p-3, 0x1.edd35e3e0a3acp-3, 0x1.02185b0873a5ap-2, 0x1.0c9c17ecd7458p-2, 0x1.167a407e8e1c2p-2, 0x1.1fb85d4793bbp-2, 0x1.285bed0af2fc6p-2, 0x1.306a5f86e0c1cp-2, 0x1.37e911677db24p-2, 0x1.3edd4964fb688p-2, 0x1.454c3662be3f6p-2, 0x1.4b3aee4fddc4dp-2, 0x1.50ae6d8373431p-2, 0x1.55ab9654803a3p-2, 0x1.5a3730b8ad79bp-2, 0x1.5e55e9c2ee467p-2, 0x1.620c52e9a1736p-2, 0x1.655ee10b642e3p-2, 0x1.6851eb3a9fe92p-2, 0x1.6ae9a968a4cc7p-2, 0x1.6d2a3316850f5p-2, 0x1.6f177e38406fcp-2, 0x1.70b55e7369f17p-2, 0x1.720784d5a039fp-2, 0x1.7311800c39e07p-2, 0x1.73d6bd124ef4fp-2, 0x1.745a8839e1553p-2, 0x1.74a00e6b67753p-2, 0x1.74aa5e7596d4fp-2, 0x1.747c6a4cb0558p-2, 0x1.74190822af156p-2, 0x1.7382f34db0667p-2, 0x1.72bcccfd6e216p-2, 0x1.71c91cc9dad46p-2, 0x1.70aa512a8bb49p-2, 0x1.6f62bfe86ed88p-2, 0x1.6df4a69954b1bp-2, 0x1.6c622b3016bc9p-2, 0x1.6aad5ca5d89dfp-2, 0x1.68d833ba89914p-2, 0x1.66e493c5a7452p-2, 0x1.64d44b8d6308cp-2, 0x1.62a91619db567p-2, 0x1.60649b7c04d95p-2, 0x1.5e087183213bep-2, 0x1.5b961c5f7ba6bp-2, 0x1.590f0f3487e59p-2, 0x1.5674ac9ed82bfp-2, 0x1.53c8473369498p-2, 0x1.510b21fd8e964p-2, 0x1.4e3e70ffd1034p-2, 0x1.4b6359ba801fap-2, 0x1.487af3b926bb2p-2, 0x1.45864926aadafp-2, 0x1.42865766b685fp-2, 0x1.3f7c0fb244869p-2, 0x1.3c6857b4c94eep-2, 0x1.394c0a27442d7p-2, 0x1.3627f766b7276p-2, 0x1.32fce603f14c7p-2, 0x1.2fcb934b18aa2p-2, 0x1.2c94b3c20b345p-2, 0x1.2958f39d50461p-2, 0x1.2618f72bd76b6p-2, 0x1.22d55b3a36229p-2, 0x1.1f8eb56e4a297p-2, 0x1.1c45949c3cc8p-2, 0x1.18fa8115dd648p-2, 0x1.15adfcf51a9abp-2, 0x1.126084623d72bp-2, 0x1.0f128dd64e827p-2, 0x1.0bc48a59f5e62p-2, 0x1.0876e5c0f4d91p-2, 0x1.052a06e263984p-2, 0x1.01de4fcdc2f32p-2, 0x1.fd283bfa123fcp-3, 0x1.f6979507a9d94p-3, 0x1.f00b5477e773dp-3, 0x1.e9841bdf0ca71p-3, 0x1.e3028501f3cp-3, 0x1.dc87222242d93p-3, 0x1.d6127e474d3fcp-3, 0x1.cfa51d841e48fp-3, 0x1.c93f7d3af93f1p-3, 0x1.c2e2145ea4988p-3, 0x1.bc8d53b1a1054p-3, 0x1.b643d76bd56c4p-3, 0x1.b001af5a71a0bp-3, 0x1.a9c9583c4e214p-3, 0x1.a39b2d2735fd2p-3, 0x1.9d7783f76b3bbp-3, 0x1.975ead8372f85p-3, 0x1.9150f5d2655e9p-3, 0x1.8b4ea453e4bdap-3, 0x1.8557fc18c2c58p-3, 0x1.7f6d3c0b61284p-3, 0x1.798e9f26d5921p-3, 0x1.73bc5cac00817p-3, 0x1.6df6a853dc847p-3, 0x1.683db27e7e656p-3, 0x1.6291a85e5af7cp-3, 0x1.5cf2b41faaefap-3, 0x1.5760fd0bc8b2fp-3, 0x1.51dca7a8bc0b1p-3, 0x1.4c65d5d5127f5p-3, 0x1.46fca6e06c23fp-3, 0x1.41a137a11f61ap-3, 0x1.3c53a2875c621p-3, 0x1.3713ffae5bfdp-3, 0x1.31e264ec08194p-3, 0x1.2cbee5df8e194p-3, 0x1.27a993ff4b084p-3, 0x1.22a27ea65ef06p-3, 0x1.1da9b3223764fp-3, 0x1.18bf3cc03e1d3p-3, 0x1.13e324dbd415ap-3, 0x1.0f1572ecae543p-3, 0x1.0a562c9589c1bp-3, 0x1.05a555b3450bap-3, 0x1.0102f06c3b9d6p-3, 0x1.f8ddfa7fa3b83p-4, 0x1.efd2f62c2976fp-4, 0x1.e6e4ce9ea2d22p-4, 0x1.de137ba6fcb02p-4, 0x1.d55ef242c2e83p-4, 0x1.ccc724baace63p-4, 0x1.c44c02bf4216cp-4, 0x1.bbed79845c0e7p-4, 0x1.b3ab73db99c4fp-4, 0x1.ab85da4d810bep-4, 0x1.a37c93316a655p-4, 0x1.9b8f82c4221fcp-4, 0x1.93be8b3d5b8fp-4, 0x1.8c098ce3e6624p-4, 0x1.84706620e0d78p-4, 0x1.7cf2f391dee22p-4, 0x1.7591101a329abp-4, 0x1.6e4a94f36db61p-4, 0x1.671f59bd3a1adp-4, 0x1.600f348ca450cp-4, 0x1.5919f9faf695bp-4, 0x1.523f7d3438d06p-4, 0x1.4b7f90056f402p-4, 0x1.44da02eaa4ebdp-4, 0x1.3e4ea51cd6946p-4, 0x1.37dd449fc3164p-4, 0x1.3185ae4faca9ap-4, 0x1.2b47adef0c97ap-4, 0x1.25230e343a71p-4, 0x1.1f1798d706412p-4, 0x1.1925169e3f661p-4, 0x1.134b4f6d2511fp-4, 0x1.0d8a0a50b8027p-4, 0x1.07e10d8ce4495p-4, 0x1.02501ea97fa11p-4, 0x1.f9ae04fe1f9fep-5, 0x1.eeeafa86a90e3p-5, 0x1.e456a52b16793p-5, 0x1.d9f08b14d3ae8p-5, 0x1.cfb8316f90dadp-5, 0x1.c5ad1c7fec70fp-5, 0x1.bbcecfb9715e3p-5, 0x1.b21ccdd3dc862p-5, 0x1.a89698dfb090dp-5, 0x1.9f3bb25a10a6dp-5, 0x1.960b9b3fe6adfp-5, 0x1.8d05d420588c7p-5, 0x1.8429dd2e8aaf2p-5, 0x1.7b773652bd31fp-5, 0x1.72ed5f3ac4046p-5, 0x1.6a8bd769e38acp-5, 0x1.62521e48153fap-5, 0x1.5a3fb330bff3p-5, 0x1.52541580eab01p-5, 0x1.4a8ec4a4ec662p-5, 0x1.42ef4025a5591p-5, 0x1.3b7507b54585p-5, 0x1.341f9b3ba9194p-5, 0x1.2cee7ae24bc0cp-5, 0x1.25e1271fdacdep-5, 0x1.1ef720c36e086p-5, 0x1.182fe8ff6289fp-5, 0x1.118b0173e3ap-5, 0x1.0b07ec391e884p-5, 0x1.04a62be925405p-5, 0x1.fcca875307dbbp-6, 0x1.f0896e690b683p-6, 0x1.e48815c45de42p-6, 0x1.d8c58761d59a4p-6, 0x1.cd40ce9bd6a76p-6, 0x1.c1f8f83a86833p-6, 0x1.b6ed12835c477p-6, 0x1.ac1c2d4827bfp-6, 0x1.a18559f57cf16p-6, 0x1.9727aba08be7bp-6, 0x1.8d0237146614p-6, 0x1.831412deb0a62p-6, 0x1.795c575bc1b25p-6, 0x1.6fda1ec232b79p-6, 0x1.668c852dda725p-6, 0x1.5d72a8aa4480dp-6, 0x1.548ba93c8ccfap-6, 0x1.4bd6a8ecc3652p-6, 0x1.4352cbceba4b2p-6, 0x1.3aff380a5419ap-6, 0x1.32db15e34c1aap-6, 0x1.2ae58fc08619p-6, 0x1.231dd232d65fep-6, 0x1.1b830bfb52cd7p-6, 0x1.14146e1131324p-6, 0x1.0cd12ba72ca8p-6, 0x1.05b87a3076184p-6, 0x1.fd9322ca7d745p-7, 0x1.f007568d9a19p-7, 0x1.e2cc084664378p-7, 0x1.d5dfb5312203ep-7, 0x1.c940df30146fp-7, 0x1.bcee0cd081b6bp-7, 0x1.b0e5c94f12da6p-7, 0x1.a526a49b6d6fdp-7, 0x1.99af335b2a35fp-7, 0x1.8e7e0eec1783bp-7, 0x1.8391d565df7e2p-7, 0x1.78e9299b0403fp-7, 0x1.6e82b319483b4p-7, 0x1.645d1e2980b7bp-7, 0x1.5a771bcece72p-7, 0x1.50cf61c548ca5p-7, 0x1.4764aa802f356p-7, 0x1.3e35b52786ff8p-7, 0x1.354145953729ap-7, 0x1.2c862451b4628p-7, 0x1.24031e902ca65p-7, 0x1.1bb7062a38b5p-7, 0x1.13a0b19b2fcdbp-7, 0x1.0bbefbfafb7b6p-7, 0x1.0410c4f88a466p-7, 0x1.f929e1a7c563fp-8, 0x1.ea94d0af8874cp-8, 0x1.dc6031a60822bp-8, 0x1.ce89e822e54bdp-8, 0x1.c10fe0a8fdc5cp-8, 0x1.b3f01096feb52p-8, 0x1.a72876173f181p-8, 0x1.9ab7180f30c2fp-8, 0x1.8e9a060e0f24ep-8, 0x1.82cf583b15dc6p-8, 0x1.77552f433077fp-8, 0x1.6c29b446127fcp-8, 0x1.614b18c3013f5p-8, 0x1.56b79684f80d2p-8, 0x1.4c6d6f8e7ca25p-8, 0x1.426aee04f23fbp-8, 0x1.38ae641ba74c2p-8, 0x1.2ea8635abfd28p-8, 0x1.2570e3d8c2f9bp-8, 0x1.1c7ab466a8589p-8, 0x1.13c446d3e7658p-8, 0x1.0b4c1470071e6p-8, 0x1.03109df424677p-8, 0x1.f620d6d8ba389p-9, 0x1.e694184244285p-9, 0x1.d7782d00d72f3p-9, 0x1.c8ca500dab434p-9, 0x1.ba87ca516eaf7p-9, 0x1.acadf27638c75p-9, 0x1.9f3a2cb97669bp-9, 0x1.9229eabdca204p-9, 0x1.857aab5cd52bp-9, 0x1.7929fa7916801p-9, 0x1.6d3570cfb4669p-9, 0x1.619ab3ca56f5fp-9, 0x1.5657755115b83p-9, 0x1.4b69739c77508p-9, 0x1.40ce79078c274p-9, 0x1.36845be2241b1p-9, 0x1.2c88fe432329p-9, 0x1.22da4ddb0dcf7p-9, 0x1.197643c6bb292p-9, 0x1.105ae46227aecp-9, 0x1.07863f1ba68bdp-9, 0x1.fdecdc8e59b1ap-10, 0x1.ed532de3c0c6ep-10, 0x1.dd3bd16bef0e3p-10, 0x1.cda33b1dc348dp-10, 0x1.be85f35b41259p-10, 0x1.afe0969b3bd67p-10, 0x1.a1afd51340d38p-10, 0x1.93f072628fb4fp-10, 0x1.869f453d83c3ep-10, 0x1.79b93719d2578p-10, 0x1.6d3b43db86583p-10, 0x1.61227982b6a95p-10, 0x1.556bf7da29033p-10, 0x1.4a14f026896bbp-10, 0x1.3f1aa4d6a022ap-10, 0x1.347a69345b397p-10, 0x1.2a31a116a8761p-10, 0x1.203dc0940fbc5p-10, 0x1.169c4bb665d15p-10, 0x1.0d4ad62f3e86p-10, 0x1.0447030d2ae48p-10, 0x1.f71d08e3e09b9p-11, 0x1.e63e36937c89bp-11, 0x1.d5ed2e0625b49p-11, 0x1.c625aa8f2339dp-11, 0x1.b6e3836b8ace1p-11, 0x1.a822ab375ff9p-11, 0x1.99df2f645c747p-11, 0x1.8c1537b2cf59ep-11, 0x1.7ec105abbb29dp-11, 0x1.71def41cb1757p-11, 0x1.656b76958e63ep-11, 0x1.596318e75184dp-11, 0x1.4dc27ea54dd76p-11, 0x1.428662a713978p-11, 0x1.37ab968c77d31p-11, 0x1.2d2f0242e415ap-11, 0x1.230da38c19a09p-11, 0x1.19448d8693a44p-11, 0x1.0fd0e836fa9e7p-11, 0x1.06aff013ad9f5p-11, 0x1.fbbdeb21c059dp-12, 0x1.eab6b95dc7ca3p-12, 0x1.da4539129cb2dp-12, 0x1.ca647dcf3be5fp-12, 0x1.bb0fbf9efdf01p-12, 0x1.ac425a3055e46p-12, 0x1.9df7cbfe67099p-12, 0x1.902bb57d70f61p-12, 0x1.82d9d84aa72b4p-12, 0x1.75fe165dd074ap-12, 0x1.6994713e9809p-12, 0x1.5d99093c49765p-12, 0x1.52081ca8a209p-12, 0x1.46de0716786f9p-12, 0x1.3c174099ead47p-12, 0x1.31b05d0ce4747p-12, 0x1.27a60b56576a4p-12, 0x1.1df514b45f5ddp-12, 0x1.149a5c0a92431p-12, 0x1.0b92dd32656b2p-12, 0x1.02dbac50058bep-12, 0x1.f4e3ea53e3b03p-13, 0x1.e4a5f50803614p-13, 0x1.d4f82afc1173fp-13, 0x1.c5d569ebf81fp-13, 0x1.b738b9dac5fa4p-13, 0x1.a91d4be40c5ecp-13, 0x1.9b7e791581924p-13, 0x1.8e57c14e544f6p-13, 0x1.81a4ca2620f75p-13, 0x1.75615dda35c1cp-13, 0x1.69896a41b26c8p-13, 0x1.5e18ffc8d5643p-13, 0x1.530c5072201e4p-13, 0x1.485faedf2537bp-13, 0x1.3e0f8d5d9dda6p-13, 0x1.34187cfe02ae4p-13, 0x1.2a772cad6ef6ep-13, 0x1.21286856cd153p-13, 0x1.18291809e98adp-13, 0x1.0f763f283da95p-13, 0x1.070cfb96ae77bp-13, 0x1.fdd509ec315eep-14, 0x1.ee1857bfa5dfep-14, 0x1.dedeb251df0cp-14, 0x1.d0231a5092bf4p-14, 0x1.c1e0be08ad60ap-14, 0x1.b412f8045f43p-14, 0x1.a6b54dba7d2a7p-14, 0x1.99c36e40192c9p-14, 0x1.8d393106f7e08p-14, 0x1.811294a120afp-14, 0x1.754bbd8fb971ep-14, 0x1.69e0f518995f1p-14, 0x1.5ecea822fb01cp-14, 0x1.5411661bc36fbp-14, 0x1.49a5dfe24352fp-14, 0x1.3f88e6bb1a45bp-14, 0x1.35b76b49b2d7ep-14, 0x1.2c2e7c91852dep-14, 0x1.22eb46fcf9536p-14, 0x1.19eb136a041d2p-14, 0x1.112b464042b8ap-14, 0x1.08a95e88b31fcp-14, 0x1.0062f50f0f149p-14, 0x1.f0ab7708a61bcp-15, 0x1.e0fef75b93708p-15, 0x1.d1bc2d27eb8ecp-15, 0x1.c2df07710ec2cp-15, 0x1.b463a0a414f12p-15, 0x1.a6463d19bd7e1p-15, 0x1.9883499f40a7ap-15, 0x1.8b175a0f57c07p-15, 0x1.7dff27ef098c2p-15, 0x1.71379116eb841p-15, 0x1.64bd9664c5b4cp-15, 0x1.588e5a77b5fecp-15, 0x1.4ca72071ba203p-15, 0x1.41054ac959345p-15, 0x1.35a65a1b32893p-15, 0x1.2a87ec09e25a6p-15, 0x1.1fa7ba24958dbp-15, 0x1.150398d517492p-15, 0x1.0a99765711bcbp-15, 0x1.006759b79a1ap-15, 0x1.ecd6c3aa380a4p-16, 0x1.d94788ed71b92p-16, 0x1.c61d9ab31c99p-16, 0x1.b355baa3d971ap-16, 0x1.a0ecd2d03cc57p-16, 0x1.8edff413545fcp-16, 0x1.7d2c546b9ff97p-16, 0x1.6bcf4d6c36e39p-16, 0x1.5ac65ab7f1826p-16, 0x1.4a0f188847a72p-16, 0x1.39a7424423245p-16, 0x1.298cb11e9798ap-16, 0x1.19bd5ac31c452p-16, 0x1.0a37500dce5a2p-16, 0x1.f5f1779beb86bp-17, 0x1.d7ffc31f5efe8p-17, 0x1.ba9638f51f10ap-17, 0x1.9db1bc601ad74p-17, 0x1.814f5b6c871bfp-17, 0x1.656c4ce5bcf26p-17, 0x1.4a05ee4b77c79p-17, 0x1.2f19c1f1e6244p-17, 0x1.14a56d0a411dcp-17, 0x1.f54d6bf5a809fp-18, 0x1.c237051d4d773p-18, 0x1.9003aca7a0e5bp-18, 0x1.5eafa20811789p-18, 0x1.2e3759ede6fa7p-18, 0x1.fd2ef6b4d5a68p-19, 0x1.9f99b99fb14d1p-19, 0x1.43a902eeee5fp-19, 0x1.d2ae5ac8d80cep-20, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.45ab2be5cb98ap-2, -0x1.69017ae1969c7p-2, -0x1.8ac2bf37eea2ap-2, -0x1.aade1351e3972p-2, -0x1.c9477783d7bfp-2, -0x1.e5f73b6352c77p-2, -0x1.0074b980fb113p-1, -0x1.0d0ec0ffe29ffp-1, -0x1.18cad646c9b4p-1, -0x1.23ab55165d463p-1, -0x1.2db3a639dcd18p-1, -0x1.36e8189c350bcp-1, -0x1.3f4dbaa33be26p-1, -0x1.46ea37b15e372p-1, -0x1.4dc3baf33d2cbp-1, -0x1.53e0d578123c7p-1, -0x1.5948677efab7ep-1, -0x1.5e018c787b22ep-1, -0x1.621388178547ep-1, -0x1.6585b4829feafp-1, -0x1.685f73612bb21p-1, -0x1.6aa8235108313p-1, -0x1.6c67124f7aa28p-1, -0x1.6da37d47c1c72p-1, -0x1.6e64831a7c576p-1, -0x1.6eb11e672a0bp-1, -0x1.6e901f5d6ccf6p-1, -0x1.6e08278bf70ddp-1, -0x1.6d1fa6fc6ccp-1, -0x1.6bdcd9df0ed8p-1, -0x1.6a45c687e421ep-1, -0x1.68603bce43572p-1, -0x1.6631cfdd3f703p-1, -0x1.63bfdf725e522p-1, -0x1.610f8d8ef416dp-1, -0x1.5e25c3aa09d65p-1, -0x1.5b07325fc14edp-1, -0x1.57b852771a26p-1, -0x1.543d6603b0103p-1, -0x1.509a797d3ada7p-1, -0x1.4cd364d33c545p-1, -0x1.48ebcca1f7e11p-1, -0x1.44e723a6d4533p-1, -0x1.40c8ac6fae612p-1, -0x1.3c937b218676bp-1, -0x1.384a772ef45a3p-1, -0x1.33f05cec65a6p-1, -0x1.2f87bf0b6422ep-1, -0x1.2b1308134ad89p-1, -0x1.26947be87c2bep-1, -0x1.220e396501d84p-1, -0x1.1d823bfb59376p-1, -0x1.18f25d5b16584p-1, -0x1.14605712d5b18p-1, -0x1.0fcdc42c6bd25p-1, -0x1.0b3c22bd1ba32p-1, -0x1.06acd55fbf512p-1, -0x1.0221248fbfb16p-1, -0x1.fb347fc77c6d4p-2, -0x1.f2327e6470c69p-2, -0x1.e93e4764cfad7p-2, -0x1.e059b254556ccp-2, -0x1.d7866e5d2fc61p-2, -0x1.cec6038e879cfp-2, -0x1.c619dc2dc9a8cp-2, -0x1.bd833b1135ee5p-2, -0x1.b5034565f5008p-2, -0x1.ac9b02cadbb8p-2, -0x1.a44b5f1ea5f5bp-2, -0x1.9c152c35315c5p-2, -0x1.93f92375fe4cfp-2, -0x1.8bf7e765ada3cp-2, -0x1.8412051bdcceep-2, -0x1.7c47f5a6ad2dfp-2, -0x1.749a1f5d9f23ep-2, -0x1.6d08d725638cap-2, -0x1.659461a5a6a1bp-2, -0x1.5e3cf470a6917p-2, -0x1.5702b71b90186p-2, -0x1.4fe5c446b32fp-2, -0x1.48e62a95b0569p-2, -0x1.4203ed98f0bafp-2, -0x1.3b3f06aa45084p-2, -0x1.349765be11d4fp-2, -0x1.2e0cf2293ed89p-2, -0x1.279f8b5b5365fp-2, -0x1.214f098bfc021p-2, -0x1.1b1b3e5c01023p-2, -0x1.1503f56ab1accp-2, -0x1.0f08f4e185594p-2, -0x1.0929fdf7a7b85p-2, -0x1.0366cd6e7baafp-2, -0x1.fb7e380e4c837p-3, -0x1.f0653de13b005p-3, -0x1.e582105b2407fp-3, -0x1.dad40de410e97p-3, -0x1.d05a8ff26fa99p-3, -0x1.c614eba997c95p-3, -0x1.bc02726dc9af1p-3, -0x1.b222726fb410fp-3, -0x1.a87437304e156p-3, -0x1.9ef709fcaaaf7p-3, -0x1.95aa3260a5949p-3, -0x1.8c8cf68f68128p-3, -0x1.839e9bc1785d4p-3, -0x1.7ade66891be22p-3, -0x1.724b9b1ea7677p-3, -0x1.69e57da6c30ebp-3, -0x1.61ab52745d8dap-3, -0x1.599c5e47494cap-3, -0x1.51b7e687b4aep-3, -0x1.49fd317dd3b9bp-3, -0x1.426b8684d83dp-3, -0x1.3b022e3863815p-3, -0x1.33c0729c16ff2p-3, -0x1.2ca59f3d7c5a8p-3, -0x1.25b101510d34bp-3, -0x1.1ee1e7cb5aca7p-3, -0x1.1837a377709bfp-3, -0x1.11b1870b39c92p-3, -0x1.0b4ee73a6d13ap-3, -0x1.050f1ac803eccp-3, -0x1.fde2f52c38071p-4, -0x1.f1eac367bfd9ep-4, -0x1.e6345ad26d629p-4, -0x1.dabe7a8007692p-4, -0x1.cf87e6162802ep-4, -0x1.c48f65d5cba4ep-4, -0x1.b9d3c6a1741f8p-4, -0x1.af53da0099fdp-4, -0x1.a50e76215b834p-4, -0x1.9b0275d8d2e7cp-4, -0x1.912eb8a2966a6p-4, -0x1.8792229f3efbp-4, -0x1.7e2b9c920160ep-4, -0x1.74fa13dcf9216p-4, -0x1.6bfc7a7bf6e1ep-4, -0x1.6331c6fd9b07cp-4, -0x1.5a98f47ab450ep-4, -0x1.5231028c01026p-4, -0x1.49f8f53e8acaap-4, -0x1.41efd506f84b2p-4, -0x1.3a14aeb433fd1p-4, -0x1.32669361c3381p-4, -0x1.2ae4986a1a67ep-4, -0x1.238dd75920ef3p-4, -0x1.1c616ddef9a61p-4, -0x1.155e87b3f5ab6p-4, -0x1.0e84348378788p-4, -0x1.07d1aa4a46b25p-4, -0x1.014616d69bf5p-4, -0x1.f5c157b033bb1p-5, -0x1.e9413da387de4p-5, -0x1.dd0a5217c3946p-5, -0x1.d11b0f0b901b3p-5, -0x1.c571f5cf0cf5p-5, -0x1.ba0d8ee7046e9p-5, -0x1.aeec69eff7ae6p-5, -0x1.a40d1d811499bp-5, -0x1.996e470f1d4c4p-5, -0x1.8f0e8acf563fbp-5, -0x1.84ec939a85b04p-5, -0x1.7b0712d01d947p-5, -0x1.715cc0399b698p-5, -0x1.67ec59ee27aefp-5, -0x1.5eb4a436891f5p-5, -0x1.55b46971768e4p-5, -0x1.4cea79f843e73p-5, -0x1.4455ac03fb302p-5, -0x1.3bf4db92dd57dp-5, -0x1.33c6ea4e566b3p-5, -0x1.2bcabf71593c9p-5, -0x1.23ff47af2f25ep-5, -0x1.1c63751ab429bp-5, -0x1.14f63f0e01e86p-5, -0x1.0db6a2128153p-5, -0x1.06a39fc968618p-5, -0x1.ff787da93988p-6, -0x1.f1ff157ff17c8p-6, -0x1.e4d927d5cd212p-6, -0x1.d804dee4d07e3p-6, -0x1.cb806e36d32c1p-6, -0x1.bf4a127ad9e9bp-6, -0x1.b360115b22ee8p-6, -0x1.a7c0b953c3e74p-6, -0x1.9c6a618a0103dp-6, -0x1.915b69a43b505p-6, -0x1.869239a27b469p-6, -0x1.7c0d41b7aecf8p-6, -0x1.71cafa236f15p-6, -0x1.67c9e30c7be09p-6, -0x1.5e08845bc51f2p-6, -0x1.54856d981bdf2p-6, -0x1.4b3f35c27d6a5p-6, -0x1.42347b32fa971p-6, -0x1.3963e37637cd9p-6, -0x1.30cc1b2b87dcp-6, -0x1.286bd5e399294p-6, -0x1.2041cdffc13bap-6, -0x1.184cc491d665p-6, -0x1.108b813c97939p-6, -0x1.08fcd214a518bp-6, -0x1.019f8b8208fd1p-6, -0x1.f4e5104488a7cp-7, -0x1.e6e95155d99f3p-7, -0x1.d949a7997fb5cp-7, -0x1.cc03ec2e8eb65p-7, -0x1.bf1603b9e6868p-7, -0x1.b27dde2f6c116p-7, -0x1.a639769c34438p-7, -0x1.9a46d2f1838adp-7, -0x1.8ea403d0e838p-7, -0x1.834f24590905p-7, -0x1.784659f36444bp-7, -0x1.6d87d422f4797p-7, -0x1.6311cc5399f42p-7, -0x1.58e285aa5bc6dp-7, -0x1.4ef84cd66c586p-7, -0x1.455177e31021p-7, -0x1.3bec660a39ad3p-7, -0x1.32c77f87de45ap-7, -0x1.29e1356e1f1adp-7, -0x1.2138017a249d5p-7, -0x1.18ca65e9b2e79p-7, -0x1.1096ed5163a9cp-7, -0x1.089c2a73bfff9p-7, -0x1.00d8b818da33dp-7, -0x1.f29671cd53304p-8, -0x1.e3e4ae743592bp-8, -0x1.d5998a01633bap-8, -0x1.c7b27725cc3bbp-8, -0x1.ba2cf71e35372p-8, -0x1.ad06996a5cdep-8, -0x1.a03cfb857eb2ep-8, -0x1.93cdc89fe6927p-8, -0x1.87b6b959d20ecp-8, -0x1.7bf5937f8258dp-8, -0x1.708829c667a41p-8, -0x1.656c5b8b80c0bp-8, -0x1.5aa01492ce8eap-8, -0x1.50214cc7ff07bp-8, -0x1.45ee08000352dp-8, -0x1.3c0455bbf1fa6p-8, -0x1.326250ecbbf5ep-8, -0x1.29061fb82a2f3p-8, -0x1.1fedf33eb88ccp-8, -0x1.171807627ab23p-8, -0x1.0e82a28ef82bbp-8, -0x1.062c15822de55p-8, -0x1.fc25762ca293fp-9, -0x1.ec69f019324f9p-9, -0x1.dd2275b1ef9c4p-9, -0x1.ce4bf6dda8ef6p-9, -0x1.bfe3761d04d69p-9, -0x1.b1e6082777d43p-9, -0x1.a450d389d5bf6p-9, -0x1.97211046bdb5bp-9, -0x1.8a540778b3047p-9, -0x1.7de712f5cbf4cp-9, -0x1.71d79cf51f936p-9, -0x1.66231fb5cc2c3p-9, -0x1.5ac7252787d63p-9, -0x1.4fc14694fc5d4p-9, -0x1.450f2c4f5f8d3p-9, -0x1.3aae8d5be06c3p-9, -0x1.309d2f225dc9p-9, -0x1.26d8e51dce41dp-9, -0x1.1d5f908ded1d4p-9, -0x1.142f202a926b1p-9, -0x1.0b458fd807e8dp-9, -0x1.02a0e85d8085bp-9, -0x1.f47e7e388ed9p-10, -0x1.e43d6b90cbf47p-10, -0x1.d47af446476a9p-10, -0x1.c5338b6c3a483p-10, -0x1.b663bb20736abp-10, -0x1.a80824074dbbap-10, -0x1.9a1d7cc9eec4p-10, -0x1.8ca09197e830ep-10, -0x1.7f8e43aa28dcap-10, -0x1.72e388c946a78p-10, -0x1.669d6ad5a3715p-10, -0x1.5ab90751cbc8p-10, -0x1.4f338eefc24fp-10, -0x1.440a451fd657cp-10, -0x1.393a7fa231284p-10, -0x1.2ec1a61a4be5bp-10, -0x1.249d31a469284p-10, -0x1.1acaac6deb858p-10, -0x1.1147b14ecfb5cp-10, -0x1.0811eb65a87d5p-10, -0x1.fe4e2b6b8f5bap-11, -0x1.ed09f58dcacb9p-11, -0x1.dc52e88e57282p-11, -0x1.cc24d55e0c2f1p-11, -0x1.bc7ba9cd210e2p-11, -0x1.ad536fdab9bb6p-11, -0x1.9ea84d075ec68p-11, -0x1.907681ab12e18p-11, -0x1.82ba684f58fd7p-11, -0x1.7570750c4f35ep-11, -0x1.689534e88b733p-11, -0x1.5c254d3e70ab1p-11, -0x1.501d7b227057fp-11, -0x1.447a92cd4b287p-11, -0x1.39397f0a8e25fp-11, -0x1.2e5740a841334p-11, -0x1.23d0edeb6d62ep-11, -0x1.19a3b20678203p-11, -0x1.0fcccc9302641p-11, -0x1.0649910e9d70cp-11, -0x1.fa2eccb30f723p-12, -0x1.e8678c74769fdp-12, -0x1.d73879c24a342p-12, -0x1.c69cd0e2ffe7ap-12, -0x1.b63d42993687cp-12, -0x1.a6ba949e2cbddp-12, -0x1.97bdf5bd352fdp-12, -0x1.894327d623677p-12, -0x1.7b460c3a4a079p-12, -0x1.6dc2a2da38ad5p-12, -0x1.60b5097a410d1p-12, -0x1.54197aea56e65p-12, -0x1.47ec4e44308b4p-12, -0x1.3c29f62c3548cp-12, -0x1.30cf0017a1516p-12, -0x1.25d813970dc2ap-12, -0x1.1b41f1a4e4108p-12, -0x1.110973f881a6dp-12, -0x1.072b8c5be0e81p-12, -0x1.fb4a880ff4329p-13, -0x1.e8e77605957afp-13, -0x1.d7284f01e4a75p-13, -0x1.c607aa9bf1303p-13, -0x1.b5804a671d1f7p-13, -0x1.a58d18d3de4acp-13, -0x1.9629280ded1fap-13, -0x1.874fb0e6f0fe4p-13, -0x1.78fc11c5ae672p-13, -0x1.6b29cd9cc5b44p-13, -0x1.5dd48ae6d86dfp-13, -0x1.50f812aa27bfdp-13, -0x1.44904f828cbbap-13, -0x1.38994cb0d81c6p-13, -0x1.2d0f352d4377cp-13, -0x1.21ee52c7597d6p-13, -0x1.17330d440c8ap-13, -0x1.0cd9e984aea57p-13, -0x1.02df88b240171p-13, -0x1.f2814ee020c06p-14, -0x1.dff43a221784ap-14, -0x1.ce11b5a77eb14p-14, -0x1.bcd3d645e20eap-14, -0x1.ac34e1b592e81p-14, -0x1.9c2f4d25e4c66p-14, -0x1.8cbdbbdc1a5f5p-14, -0x1.7ddafdda3e38cp-14, -0x1.6f820e8a925f5p-14, -0x1.61ae137f1d5a9p-14, -0x1.545a5b2e5de6ep-14, -0x1.47825bbb6a109p-14, -0x1.3b21b1cbc2f8fp-14, -0x1.2f341f5e3bdd8p-14, -0x1.23b58aa90be42p-14, -0x1.18a1fd0955cfep-14, -0x1.0df5a1ee6bdcap-14, -0x1.03acc5d2a6c23p-14, -0x1.f387aa73e1924p-15, -0x1.e06eb76ca2ffep-15, -0x1.ce0805eb669d9p-15, -0x1.bc4d23a7a4d45p-15, -0x1.ab37d6e3544fcp-15, -0x1.9ac21cb0abfb8p-15, -0x1.8ae6273a79c5fp-15, -0x1.7b9e5c1180b0ep-15, -0x1.6ce552a12bdb3p-15, -0x1.5eb5d2926b3f7p-15, -0x1.510ad243f2a9dp-15, -0x1.43df7553e9bb3p-15, -0x1.372f0b2b80254p-15, -0x1.2af50d972fbd2p-15, -0x1.1f2d1f6df4c62p-15, -0x1.13d30b387df39p-15, -0x1.08e2c1ebf0615p-15, -0x1.fcb0b34f7fb89p-16, -0x1.e86018ff06095p-16, -0x1.d4cc6e9e46512p-16, -0x1.c1eeb120b7d08p-16, -0x1.afc01e8378f3dp-16, -0x1.9e3a33aa95897p-16, -0x1.8d56aa285ef5ep-16, -0x1.7d0f7664251f8p-16, -0x1.6d5ec57b9967cp-16, -0x1.5e3efb6aa4372p-16, -0x1.4faab12a0c04dp-16, -0x1.419cb2d1fb28bp-16, -0x1.340ffdf67f618p-16, -0x1.26ffbfe5b978fp-16, -0x1.1a6753fff5ceap-16, -0x1.0e424226608d8p-16, -0x1.028c3d249ec17p-16, -0x1.ee824284c7da2p-17, -0x1.d8b9e582567b5p-17, -0x1.c3b7b8f381635p-17, -0x1.af745cfc31758p-17, -0x1.9be8b98da5525p-17, -0x1.890dfbe6ea2a4p-17, -0x1.76dd9402700ecp-17, -0x1.6551324ffa0c5p-17, -0x1.5462c52db150bp-17, -0x1.440c76f6003b5p-17, -0x1.3448ab956cd38p-17, -0x1.2511fe9254983p-17, -0x1.166340f645fb6p-17, -0x1.0837775e97fep-17, -0x1.f513b01e76f6bp-18, -0x1.daab9251fb9bbp-18, -0x1.c12dbda4dc074p-18, -0x1.a891b325f654fp-18, -0x1.90cf49356c1c8p-18, -0x1.79dea862655dbp-18, -0x1.63b8484ec2f9ap-18, -0x1.4e54eca40ed7p-18, -0x1.39ada26f4066p-18, -0x1.25bbbcd61c259p-18, -0x1.1278d2f66be94p-18, -0x1.ffbd79bf1d837p-19, -0x1.dbcf22bd05ef3p-19, -0x1.b91b466eee8b1p-19, -0x1.9796fe8db88b2p-19, -0x1.7737d35500a2ap-19, -0x1.57f3b85649f9ep-19, -0x1.39c1077f0170bp-19, -0x1.1c967d3f8f6a8p-19, -0x1.006b34c871b17p-19, -0x1.ca6d47bcc47d1p-20, -0x1.95e12f595af3p-20, -0x1.632261e4358f9p-20, -0x1.3221c1c9bfbecp-20, -0x1.02d0cb3dd66a8p-20, -0x1.aa431c87bfd1p-21, -0x1.520d51dd7a58cp-21, -0x1.f9cd03b5fb8dcp-22, -0x1.556bf9789d432p-22, -0x1.6d90320672f4p-23, -0x1.db3d5940e4847p-26, 0x1.d7f24e1e47e6cp-24, 0x1.04732bc823dd8p-22, 0x1.8dd85cb22e995p-22, 0x1.09297ba203533p-21, 0x1.4904268fd58bcp-21, 0x1.868e1f278402cp-21, 0x1.c1d8a4bbb15d4p-21, 0x1.faf44d9e701f3p-21, 0x1.18f88723f6a29p-20, 0x1.336f20437993dp-20, 0x1.4ce5552fe62dfp-20, 0x1.6562423718ecbp-20, 0x1.7cecc0125243fp-20, 0x1.938b6695599f8p-20, 0x1.a944909c4758bp-20, 0x1.be1e5d5d5fbbp-20, 0x1.d21eb42d672e4p-20, 0x1.e54b466924b5ap-20, 0x1.f7a9921ddceb1p-20, 0x1.049f72284d4ffp-19, 0x1.0d082db05be8ep-19, 0x1.151174660a693p-19, 0x1.1cbdaa034589dp-19, 0x1.240f1d9e7a36p-19, 0x1.2b080b312e6cfp-19, 0x1.31aa9c05e1a8ep-19, 0x1.37f8e7ecd9d12p-19, 0x1.3df4f5d1f69eap-19, 0x1.43a0bca3b82cep-19, 0x1.48fe240a9de81p-19, 0x1.4e0f052361954p-19, 0x1.52d52b1cf4f66p-19, 0x1.575253f826a26p-19, 0x1.5b8831153cc17p-19, 0x1.5f7867cef64d5p-19, 0x1.6324920c18ea4p-19, 0x1.668e3ecba7f5ep-19, 0x1.69b6f293de3e3p-19, 0x1.6ca0280dd0175p-19, 0x1.6f4b50757f89fp-19, 0x1.71b9d3ded42a4p-19, 0x1.73ed11cd0d89bp-19, 0x1.75e6619fb3cf4p-19, 0x1.77a712b2aedbdp-19, 0x1.79306d504d71dp-19, 0x1.7a83b236b87bfp-19, 0x1.7ba21b7183895p-19, 0x1.7c8cdc8c1e198p-19, 0x1.7d4522e664989p-19, 0x1.7dcc15be504dep-19, 0x1.7e22d6cb4b0c3p-19, 0x1.7e4a822bef8dcp-19, 0x1.7e442f1081d78p-19, 0x1.7e10ef41d08cbp-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.a9afeb0a1f437p-1, -0x1.b549f7a6fcc4ap-1, -0x1.be4014a41a09p-1, -0x1.c4a2a8f86daep-1, -0x1.c8882ea5c9da5p-1, -0x1.ca0c08e0745bdp-1, -0x1.c94d68f5d9ba9p-1, -0x1.c66e4a8f23a82p-1, -0x1.c192b6d90870bp-1, -0x1.badffba06ddd4p-1, -0x1.b27be98ddd9ddp-1, -0x1.a88c5e867fe96p-1, -0x1.9d37003fb503cp-1, -0x1.90a0e8a2da322p-1, -0x1.82ee3d918aec7p-1, -0x1.7441d9eebc284p-1, -0x1.64bd208ed46dep-1, -0x1.547fec845284ep-1, -0x1.43a8848451f67p-1, -0x1.32538870a3ed6p-1, -0x1.209be07b24a0fp-1, -0x1.0e9a966b7a76ap-1, -0x1.f8cdb94e533f9p-2, -0x1.d42cf8d1fc29dp-2, -0x1.af7ac010f3bf9p-2, -0x1.8adb6d98e51c2p-2, -0x1.667022804c098p-2, -0x1.4256f76aea1aep-2, -0x1.1eab1bcaec148p-2, -0x1.f709d29e1866cp-3, -0x1.b1f3fbfd14796p-3, -0x1.6e3ac95ea30d4p-3, -0x1.2bff8bdb4ff71p-3, -0x1.d6be5db770519p-4, -0x1.58e514558c1b9p-4, -0x1.bd3aa6a544d61p-5, -0x1.a028896e222adp-6, 0x1.570008d92f91cp-9, 0x1.e64a6f1ac055fp-6, 0x1.c8e97f8e2ec03p-5, 0x1.4b528ff10a361p-4, 0x1.ae24d7604d9afp-4, 0x1.067451288e9a9p-3, 0x1.33cf6e5efd2b8p-3, 0x1.5f25fa878ce8fp-3, 0x1.887bc14160677p-3, 0x1.afd5f7cd6e1cap-3, 0x1.d53b14a9ccfdbp-3, 0x1.f8b2a9eac6487p-3, 0x1.0d22a130ad0edp-2, 0x1.1cfe20a58a236p-2, 0x1.2bf0e2144e947p-2, 0x1.3a004341a4ef9p-2, 0x1.4731e3da99279p-2, 0x1.538b99791f2cfp-2, 0x1.5f1364dd38795p-2, 0x1.69cf684d3f29bp-2, 0x1.73c5def1fbbf2p-2, 0x1.7cfd14fecf447p-2, 0x1.857b608e98761p-2, 0x1.8d471b3f8b00fp-2, 0x1.94669ca67089ep-2, 0x1.9ae0359d5ad65p-2, 0x1.a0b9aa670dee2p-2, 0x1.a5fa7796b508ep-2, 0x1.aaa81b1ce1376p-2, 0x1.aec898ef59e85p-2, 0x1.b261d9fa258f4p-2, 0x1.b579aaec53c6ap-2, 0x1.b815baebf2f22p-2, 0x1.ba3b9a1b3d1f2p-2, 0x1.bbf0b7f8d0b1cp-2, 0x1.bd3a61bb34023p-2, 0x1.be1dc0d1df2f8p-2, 0x1.be9fd9b25e381p-2, 0x1.bec58b089ad4ep-2, 0x1.be938d4afa105p-2, 0x1.be0e729e11211p-2, 0x1.bd3aa6e7a4564p-2, 0x1.bc1c6ff1e3ec5p-2, 0x1.bab7ed8c24921p-2, 0x1.b91119a75d212p-2, 0x1.b72bc87af25a6p-2, 0x1.b50ba8c4cd5f1p-2, 0x1.b2b44435ee76ap-2, 0x1.b0290015348cdp-2, 0x1.ad6d1e18af9ap-2, 0x1.aa83bd6da641cp-2, 0x1.a76fdbe1b051ep-2, 0x1.a434571c5b417p-2, 0x1.a0d3edd860bcap-2, 0x1.9d51410d628c4p-2, 0x1.99aed4ff4e868p-2, 0x1.95ef122e69628p-2, 0x1.92144629ac5bdp-2, 0x1.8e20a44b103a3p-2, 0x1.8a164669478c7p-2, 0x1.85f72d8b1d581p-2, 0x1.81c542a62fc4dp-2, 0x1.7d82576df2d0cp-2, 0x1.793027322005p-2, 0x1.74d057c6f340bp-2, 0x1.70647a6eb5c48p-2, 0x1.6bee0cbc054e9p-2, 0x1.676e796648fccp-2, 0x1.62e7190d33f23p-2, 0x1.5e5932eba39acp-2, 0x1.59c5fd7cd3482p-2, 0x1.552e9f1816499p-2, 0x1.50942e87308c1p-2, 0x1.4bf7b39a6f85ap-2, 0x1.475a27bc3c8c3p-2, 0x1.42bc7684bbee2p-2, 0x1.3e1f7e4d45c6cp-2, 0x1.398410c3350f7p-2, 0x1.34eaf3798b2fp-2, 0x1.3054e078e95d2p-2, 0x1.2bc286cd756bap-2, 0x1.27348b11fbcb4p-2, 0x1.22ab87f77fa6fp-2, 0x1.1e280ec813baep-2, 0x1.19aaa7e3d37b5p-2, 0x1.1533d336e8c72p-2, 0x1.10c408a7d60bfp-2, 0x1.0c5bb87dc11f3p-2, 0x1.07fb4bbefb7e6p-2, 0x1.03a3248873eccp-2, 0x1.fea73cbe40b5dp-3, 0x1.f61a1cf8f4e29p-3, 0x1.ed9f882e4cecfp-3, 0x1.e53811513ba7ep-3, 0x1.dce44060d4cd6p-3, 0x1.d4a492ea56b02p-3, 0x1.cc797c86abb88p-3, 0x1.c463675302ebfp-3, 0x1.bc62b463e3cc7p-3, 0x1.b477bc323ee7ep-3, 0x1.aca2cf02464fp-3, 0x1.a4e435440a701p-3, 0x1.9d3c2fee44e31p-3, 0x1.95aaf8d3fae9fp-3, 0x1.8e30c2f5ae9bep-3, 0x1.86cdbacf0610ap-3, 0x1.7f8206a1b038cp-3, 0x1.784dc6be0d157p-3, 0x1.713115ca18db6p-3, 0x1.6a2c0906b463bp-3, 0x1.633f902239251p-3, 0x1.5c69f7e57e668p-3, 0x1.55ac23e9bbbbep-3, 0x1.4f0616fee28fcp-3, 0x1.4877cfa37dac5p-3, 0x1.4201483bb3c6cp-3, 0x1.3ba27749386a7p-3, 0x1.355b4fa394da3p-3, 0x1.2f2bc0b02b749p-3, 0x1.2913b699503cap-3, 0x1.23131a83df3dp-3, 0x1.1d29d2c2b6d67p-3, 0x1.1757c307b619p-3, 0x1.119ccc91c6a6dp-3, 0x1.0bf8ce57d6db2p-3, 0x1.066ba5308beacp-3, 0x1.00f52bf6b4c93p-3, 0x1.f72a7755241c3p-4, 0x1.ec97572048391p-4, 0x1.e230a29568a6fp-4, 0x1.d7f601ebe43c5p-4, 0x1.cde71a79cbbaap-4, 0x1.c4038ede52bd7p-4, 0x1.ba4aff2946eb6p-4, 0x1.b0bd0900597bbp-4, 0x1.a75947c2c0c26p-4, 0x1.9e1f54abace92p-4, 0x1.950ec6f40c8f2p-4, 0x1.8c2733f3d6f7ep-4, 0x1.83682f43295dcp-4, 0x1.7ad14adb46e39p-4, 0x1.726217378883ep-4, 0x1.6a1a237634052p-4, 0x1.61f8fd79236e4p-4, 0x1.59fe32061b8e7p-4, 0x1.52294ce6ac4cfp-4, 0x1.4a79d9076f79dp-4, 0x1.42ef60967f116p-4, 0x1.3b896d20f9145p-4, 0x1.344787af72581p-4, 0x1.2d2938e13687dp-4, 0x1.262e090641768p-4, 0x1.1f558037dfce8p-4, 0x1.189f266fed463p-4, 0x1.120a839eadb59p-4, 0x1.0b971fbf440a2p-4, 0x1.054482eacdf58p-4, 0x1.fe246ad466f1cp-5, 0x1.f1ff7f8d76043p-5, 0x1.e61955b2ea911p-5, 0x1.da70ffb334d6ep-5, 0x1.cf0590d3d9ce8p-5, 0x1.c3d61d4a7ba66p-5, 0x1.b8e1ba5450155p-5, 0x1.ae277e4c38981p-5, 0x1.a3a680bf9fc83p-5, 0x1.995dda82492fcp-5, 0x1.8f4ca5c132907p-5, 0x1.8571fe149ee47p-5, 0x1.7bcd00916ac46p-5, 0x1.725ccbd9b1ef6p-5, 0x1.6920802cd840ap-5, 0x1.60173f76fe2b6p-5, 0x1.57402d5fe0bbdp-5, 0x1.4e9a6f592a0afp-5, 0x1.46252cac2e466p-5, 0x1.3ddf8e87132f1p-5, 0x1.35c8c0095cc8fp-5, 0x1.2ddfee4fd9f37p-5, 0x1.2624487feba42p-5, 0x1.1e94ffd222e53p-5, 0x1.1731479c304f7p-5, 0x1.0ff8555a20146p-5, 0x1.08e960b6e50d7p-5, 0x1.0203a3942ab9dp-5, 0x1.f68cb422eb1b6p-6, 0x1.e96185251c1cfp-6, 0x1.dc843b8a70fc3p-6, 0x1.cff35d4c852c2p-6, 0x1.c3ad750bc84ccp-6, 0x1.b7b11216ff3cep-6, 0x1.abfcc8718394cp-6, 0x1.a08f30d85cfd9p-6, 0x1.9566e8c632fbep-6, 0x1.8a829276378cap-6, 0x1.7fe0d4e60f80bp-6, 0x1.75805bd6c5f6fp-6, 0x1.6b5fd7cce6658p-6, 0x1.617dfe0fbde6fp-6, 0x1.57d988a7dc6b7p-6, 0x1.4e71365ce05dep-6, 0x1.4543cab295e0dp-6, 0x1.3c500de57e0c7p-6, 0x1.3394cce6bee24p-6, 0x1.2b10d9578b7p-6, 0x1.22c30984139edp-6, 0x1.1aaa385df2872p-6, 0x1.12c5457638d8dp-6, 0x1.0b1314f703db7p-6, 0x1.03928f9cb78b2p-6, 0x1.f885455db4d5bp-7, 0x1.ea447ff12bb7p-7, 0x1.dc60bb81c56bfp-7, 0x1.ced7ed84c9f15p-7, 0x1.c1a81445f149bp-7, 0x1.b4cf36d5e9721p-7, 0x1.a84b64f85101cp-7, 0x1.9c1ab7111f6cap-7, 0x1.903b4e11970ccp-7, 0x1.84ab5364b0111p-7, 0x1.7968f8db143c8p-7, 0x1.6e7278969ecc2p-7, 0x1.63c614f57b41ep-7, 0x1.5962187cdc08fp-7, 0x1.4f44d5c35167ap-7, 0x1.456ca75ac14d2p-7, 0x1.3bd7efba1a4d5p-7, 0x1.32851926adaa5p-7, 0x1.2972959d4a519p-7, 0x1.209edebb13965p-7, 0x1.180875a62349cp-7, 0x1.0fade2f5f5c7fp-7, 0x1.078db69ba64efp-7, 0x1.ff4d0f9415ef1p-8, 0x1.efede9bb5122cp-8, 0x1.e0fb468916f41p-8, 0x1.d2727ecc1c5p-8, 0x1.c450f9151189fp-8, 0x1.b6942985ef451p-8, 0x1.a93991a131599p-8, 0x1.9c3ec0190ca8fp-8, 0x1.8fa1509ea6128p-8, 0x1.835eebb150297p-8, 0x1.7775466de3182p-8, 0x1.6be2225e27a72p-8, 0x1.60a34d485f429p-8, 0x1.55b6a0fefc20ep-8, 0x1.4b1a03307b30fp-8, 0x1.40cb6537796c1p-8, 0x1.36c8c3eaf8b9ap-8, 0x1.2d10276ee5905p-8, 0x1.239fa304dc7c1p-8, 0x1.1a7554dd37fb1p-8, 0x1.118f65e86308bp-8, 0x1.08ec09a87e216p-8, 0x1.00897e0351ae3p-8, 0x1.f0cc162931153p-9, 0x1.e10006013df7p-9, 0x1.d1ab838e86a43p-9, 0x1.c2cb5a2e9840bp-9, 0x1.b45c684451a6cp-9, 0x1.a65b9ee019e03p-9, 0x1.98c60168ea4b5p-9, 0x1.8b98a546320c7p-9, 0x1.7ed0b18a7c472p-9, 0x1.726b5e9f0507dp-9, 0x1.6665f5f016978p-9, 0x1.5abdd19a54eefp-9, 0x1.4f705c18ec994p-9, 0x1.447b0ff49e437p-9, 0x1.39db7773c4cefp-9, 0x1.2f8f2c4b36f15p-9, 0x1.2593d7502507ap-9, 0x1.1be7302adff91p-9, 0x1.1286fd0a958cap-9, 0x1.0971125a08615p-9, 0x1.00a3527527649p-9, 0x1.f0375abf7ea56p-10, 0x1.dee1ac1e175bep-10, 0x1.cedcd8fb2416dp-10, 0x1.bf58c1863a7ap-10, 0x1.b051ad304815ap-10, 0x1.a1c3fbcf985f9p-10, 0x1.93ac2519d047p-10, 0x1.8606b81ffe55cp-10, 0x1.78d05accae7a6p-10, 0x1.6c05c96428e47p-10, 0x1.5fa3d606b008ep-10, 0x1.53a76834ceb32p-10, 0x1.480d7c55bbc29p-10, 0x1.3cd3233fb52f6p-10, 0x1.31f581c272fd6p-10, 0x1.2771d03390551p-10, 0x1.1d4559fcf605dp-10, 0x1.136d7d2d4791bp-10, 0x1.09e7aa0a37bcap-10, 0x1.00b162a4e2cc3p-10, 0x1.ef9074e0087dcp-11, 0x1.de53abb063812p-11, 0x1.cda7d3bbbe78ap-11, 0x1.bd887762b8788p-11, 0x1.adf140a140bc8p-11, 0x1.9eddf84df18a2p-11, 0x1.904a855cfbf2fp-11, 0x1.8232ec26e0d28p-11, 0x1.74934db28cf66p-11, 0x1.6767e7030dcfap-11, 0x1.5aad1068d07dcp-11, 0x1.4e5f3cd656424p-11, 0x1.427af93844768p-11, 0x1.36fcebd0ec653p-11, 0x1.2be1d39705e3ep-11, 0x1.21268797e9045p-11, 0x1.16c7f65cd1c4ap-11, 0x1.0cc3255379682p-11, 0x1.03153039dfa37p-11, 0x1.f376911a162fp-12, 0x1.e16569f6182e2p-12, 0x1.cff1a1afe881bp-12, 0x1.bf16172b793fep-12, 0x1.aecdd07e66a29p-12, 0x1.9f13f9eb8ef1fp-12, 0x1.8fe3e4e44c7dp-12, 0x1.8139070f5779dp-12, 0x1.730ef9554ad9fp-12, 0x1.656176f249785p-12, 0x1.582c5c8d33511p-12, 0x1.4b6ba7540e6fbp-12, 0x1.3f1b741d73d7ap-12, 0x1.3337fe8f1e1fdp-12, 0x1.27bda04953f37p-12, 0x1.1ca8d017456eep-12, 0x1.11f62123faap-12, 0x1.07a2423416b5bp-12, 0x1.fb53f9c804e0fp-13, 0x1.e81469d55b1fbp-13, 0x1.d57fcec0f1cd1p-13, 0x1.c3905414f3716p-13, 0x1.b240555416447p-13, 0x1.a18a5ca071c07p-13, 0x1.9169216a69291p-13, 0x1.81d78727a76c3p-13, 0x1.72d09c1163804p-13, 0x1.644f97ea15c8bp-13, 0x1.564fdacad657bp-13, 0x1.48ccebf7476e1p-13, 0x1.3bc278b8e9cbdp-13, 0x1.2f2c534132629p-13, 0x1.230671921059bp-13, 0x1.174cec6d69981p-13, 0x1.0bfbfe4a8b532p-13, 0x1.0110025244943p-13, 0x1.ed0ae6c241ca4p-14, 0x1.d8b1d61ea51bp-14, 0x1.c50e417f02a3ep-14, 0x1.b219d164b4266p-14, 0x1.9fce6641ff636p-14, 0x1.8e2616b84d21fp-14, 0x1.7d1b2de2f6165p-14, 0x1.6ca829ad5d141p-14, 0x1.5cc7b932bb17bp-14, 0x1.4d74bb29c298fp-14, 0x1.3eaa3c5a73876p-14, 0x1.3063761df7692p-14, 0x1.229bccea98ab4p-14, 0x1.154ecee7264a1p-14, 0x1.0878328b1c2eep-14, 0x1.f827aa8d939fcp-15, 0x1.e03b746c71049p-15, 0x1.c92411badb6f5p-15, 0x1.b2da17dbd2e03p-15, 0x1.9d56602b90933p-15, 0x1.889205aee1041p-15, 0x1.748662d635f0ap-15, 0x1.612d0f4fd0162p-15, 0x1.4e7fddedf81cep-15, 0x1.3c78da9b40abdp-15, 0x1.2b124860ca5dbp-15, 0x1.1a469f7c050b3p-15, 0x1.0a108b85249ep-15, 0x1.f4d5d3451791ep-16, 0x1.d6a18d9a6e0d5p-16, 0x1.b97abc45ee35p-16, 0x1.9d582e8ca3ff9p-16, 0x1.82310998ff78dp-16, 0x1.67fcc5703faf6p-16, 0x1.4eb32a04cd28dp-16, 0x1.364c4c5a33db2p-16, 0x1.1ec08bcaf3eacp-16, 0x1.08088f5d581eep-16, 0x1.e43a866a59727p-17, 0x1.b9efac2bfdef9p-17, 0x1.91236dffa5719p-17, 0x1.69c925b36fad9p-17, 0x1.43d4a47343857p-17, 0x1.1f3a2e6ac8402p-17, 0x1.f7dced33601fp-18, 0x1.b3cd358dc4e07p-18, 0x1.72303f2af31d7p-18, 0x1.32f1d98196ffdp-18, 0x1.ebfd25c88f8b4p-19, 0x1.768762e1c4609p-19, 0x1.055e5880ed646p-19, 0x1.30be93234415ep-20, 0x1.7b4608771e4f7p-22, -0x1.ad2bd37bc852ep-22, -0x1.2dd4e50526845p-20, -0x1.e9081912657bbp-20, -0x1.4e8f14b216c46p-19, -0x1.a52748cbec404p-19, -0x1.f86762956fcf3p-19, -0x1.243490ed32da9p-18, -0x1.4aa2ab0167132p-18, -0x1.6f89f3bf31728p-18, -0x1.92f5f06272627p-18, -0x1.b4f1bb873da5bp-18, -0x1.d588095d7fd7ep-18, -0x1.f4c32bb66fb2ap-18, -0x1.09568af8be0bbp-17, -0x1.17a7b05ff98p-17, -0x1.2559a6e5731b5p-17, -0x1.3270e59c3d9f9p-17, -0x1.3ef1bb81be836p-17, -0x1.4ae0512a946ccp-17, -0x1.5640aa48f7011p-17, -0x1.6116a738c6d8fp-17, -0x1.6b66067042e55p-17, -0x1.753265eb8c14ap-17, -0x1.7e7f44816a6dp-17, -0x1.8750033674af1p-17, -0x1.8fa7e6780ffd4p-17, -0x1.978a1757f6fb2p-17, -0x1.9ef9a4aae8762p-17, -0x1.a5f9842ba5fa7p-17, -0x1.ac8c938a11b2fp-17, -0x1.b2b59975c5998p-17, -0x1.b87746941a203p-17, -0x1.bdd436767659bp-17, -0x1.c2cef081c37eap-17, -0x1.c769e8cd4d91dp-17, -0x1.cba780f6534e9p-17, -0x1.cf8a08effbbfdp-17, -0x1.d313bfc52d6f1p-17, -0x1.d646d454f9becp-17, -0x1.d92566060abfep-17, -0x1.dbb18572e6712p-17, -0x1.dded350ed0a4ep-17, -0x1.dfda69c239bbbp-17, -0x1.e17b0b818955ap-17, -0x1.e2d0f5de7d305p-17, -0x1.e3ddf88bf6d6dp-17, -0x1.e4a3d7e7eabc6p-17, -0x1.e5244d7324bdfp-17, -0x1.e561084d0a6a9p-17, -0x1.e55bada09a989p-17, -0x1.e515d912f3883p-17, -0x1.e4911d2af50dbp-17, -0x1.e3cf03b39dd0ap-17, -0x1.e2d10e17b2b0ap-17, -0x1.e198b5bd18579p-17, -0x1.e0276c57040b3p-17, -0x1.de7e9c3b5abe3p-17, -0x1.dc9fa8a831868p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.483a3ab6fa784p+0, -0x1.40037b627c5b6p+0, -0x1.37827db125a9bp+0, -0x1.2ee9fa1018235p+0, -0x1.2663b00baf096p+0, -0x1.1e115f4b07056p+0, -0x1.160dafeda8c36p+0, -0x1.0e6d16e388d48p+0, -0x1.073eb4c0fd87p+0, -0x1.008d1a4b1ba01p+0, -0x1.f4bde4a6ce5e9p-1, -0x1.e96f3dc4d376bp-1, -0x1.df2f952caae93p-1, -0x1.d5fbcd7436bb8p-1, -0x1.cdcd27d8b7a49p-1, -0x1.c699f73b07a9ep-1, -0x1.c0564549b6684p-1, -0x1.baf46e242389bp-1, -0x1.b665a931535d2p-1, -0x1.b29a73fa4b9bap-1, -0x1.af82debe6ddaep-1, -0x1.ad0f05aa3f958p-1, -0x1.ab2e5c6392dd3p-1, -0x1.a9d1243959eabp-1, -0x1.a8e7ee9dbc574p-1, -0x1.a863e0cb9f9b8p-1, -0x1.a836c42754b8cp-1, -0x1.a8531369cdc46p-1, -0x1.a8ac08ff75836p-1, -0x1.a935abf0040adp-1, -0x1.a9e4d72cdac68p-1, -0x1.aaaf3a3b51a5ap-1, -0x1.ab8b5569add22p-1, -0x1.ac7074652ebddp-1, -0x1.ad56a89f95912p-1, -0x1.ae36c367347cfp-1, -0x1.af0a4f0fcd95ap-1, -0x1.afcb86e2b567cp-1, -0x1.b0754e0efd4a4p-1, -0x1.b1032614599bbp-1, -0x1.b1712525ebad5p-1, -0x1.b1bbece4009d4p-1, -0x1.b1e0a198f047bp-1, -0x1.b1dce1e6ba9e1p-1, -0x1.b1aebea3c2dbcp-1, -0x1.b154b2a1aa79bp-1, -0x1.b0cd9a4275f1bp-1, -0x1.b018aaf89a077p-1, -0x1.af356af3a3b63p-1, -0x1.ae23a93cae2b9p-1, -0x1.ace3766c07474p-1, -0x1.ab751e00cae89p-1, -0x1.a9d9204c9a3c2p-1, -0x1.a8102cdcb18efp-1, -0x1.a61b1d490cbaap-1, -0x1.a3faf0540e92ep-1, -0x1.a1b0c54853f91p-1, -0x1.9f3dd7891b3a1p-1, -0x1.9ca37a5553f14p-1, -0x1.99e314cb250cbp-1, -0x1.96fe1e42a98p-1, -0x1.93f61b13dc612p-1, -0x1.90cc99cbf75dep-1, -0x1.8d831b2545204p-1, -0x1.8a1b75d8f112cp-1, -0x1.8697298d8f29bp-1, -0x1.82f7d4639a311p-1, -0x1.7f3f1382f68aap-1, -0x1.7b6e81c5edd67p-1, -0x1.7787b677934c5p-1, -0x1.738c441f560afp-1, -0x1.6f7db75aab1f9p-1, -0x1.6b5d95cb13e56p-1, -0x1.672d5d214661dp-1, -0x1.62ee824d70f81p-1, -0x1.5ea270d89328fp-1, -0x1.5a4a8a65016e3p-1, -0x1.55e8264e99f0dp-1, -0x1.517c916027d1dp-1, -0x1.4d090d942c8d7p-1, -0x1.488ed1db2e057p-1, -0x1.440f09e6e55efp-1, -0x1.3f8ad5fdf5109p-1, -0x1.3b034addcb545p-1, -0x1.367971afb6892p-1, -0x1.31ee4813eb6d2p-1, -0x1.2d62c04248a1p-1, -0x1.28d7c13e14795p-1, -0x1.244e271824c57p-1, -0x1.1fc6c33a00591p-1, -0x1.1b425cb47a4f4p-1, -0x1.16c1b08cfc695p-1, -0x1.124572060b6f2p-1, -0x1.0dce4ae16d6b8p-1, -0x1.095cdb9c4c98ap-1, -0x1.04f1bba771f61p-1, -0x1.008d799ec288dp-1, -0x1.f861370690cbcp-2, -0x1.efb73df49d665p-2, -0x1.e71df3254e79dp-2, -0x1.de96321f1bf7bp-2, -0x1.d620c76e8ca5fp-2, -0x1.cdbe714591f61p-2, -0x1.c56fe017bbeffp-2, -0x1.bd35b72f2a0f6p-2, -0x1.b5108d3824082p-2, -0x1.ad00ecc327dd9p-2, -0x1.a50754bed7b38p-2, -0x1.9d2438ebdc633p-2, -0x1.9558024cdff34p-2, -0x1.8da30f944afe3p-2, -0x1.8605b590c10abp-2, -0x1.7e803f98c4819p-2, -0x1.7712eff5800e4p-2, -0x1.6fbe004c954f3p-2, -0x1.6881a208be421p-2, -0x1.615dfec115004p-2, -0x1.5a53389ed8e4bp-2, -0x1.53616ac15bc8bp-2, -0x1.4c88a99fb1bf7p-2, -0x1.45c9036798c61p-2, -0x1.3f228058fe0ap-2, -0x1.3895231d9fe76p-2, -0x1.3220e91c61513p-2, -0x1.2bc5cac82a208p-2, -0x1.2583bbea625f4p-2, -0x1.1f5aabe944ce4p-2, -0x1.194a860a777b8p-2, -0x1.135331b247a6p-2, -0x1.0d7492a0008f8p-2, -0x1.07ae892795f7fp-2, -0x1.0200f268e0469p-2, -0x1.f8d75108d59ffp-3, -0x1.eddd059bb0608p-3, -0x1.e312abf790172p-3, -0x1.d877e8aa54d81p-3, -0x1.ce0c5bb806bf7p-3, -0x1.c3cfa0eb4adfap-3, -0x1.b9c150211cf74p-3, -0x1.afe0fd9016ef5p-3, -0x1.a62e3a0be63a5p-3, -0x1.9ca893455fa95p-3, -0x1.934f9407b76cp-3, -0x1.8a22c473612b6p-3, -0x1.8121aa36cfaa7p-3, -0x1.784bc8c56f674p-3, -0x1.6fa0a18cd28ecp-3, -0x1.672007a65ccc7p-3, -0x1.5ec8d6124d96bp-3, -0x1.569ad7e951273p-3, -0x1.4e9588a836973p-3, -0x1.46b862a287d7ap-3, -0x1.3f02df2ba7187p-3, -0x1.377476bf5b0dfp-3, -0x1.300ca12998d0cp-3, -0x1.28cad5ad2fde7p-3, -0x1.21ae8b2923742p-3, -0x1.1ab7383c63da9p-3, -0x1.13e45367b9e71p-3, -0x1.0d35532db28d5p-3, -0x1.06a9ae30701fap-3, -0x1.0040db4d540a7p-3, -0x1.f3f4a36d07612p-4, -0x1.e7ab12148f0a2p-4, -0x1.dba3f2d0d7f28p-4, -0x1.cfde370b6d6dep-4, -0x1.c458d17b32fccp-4, -0x1.b912b644a9975p-4, -0x1.ae0adb17602b1p-4, -0x1.a3403748e1fbdp-4, -0x1.98b1c3eda0afdp-4, -0x1.8e5e7beffba0ap-4, -0x1.84455c25d5902p-4, -0x1.7a656364de661p-4, -0x1.70bd9295cf3dap-4, -0x1.674cecc6bb3dfp-4, -0x1.5e12773c9108dp-4, -0x1.550d3983ddfe1p-4, -0x1.4c3c3d80da88fp-4, -0x1.439e8f7ebef14p-4, -0x1.3b333e3e5d584p-4, -0x1.32f95b03f7074p-4, -0x1.2aeff9a44254dp-4, -0x1.231630909583dp-4, -0x1.1b6b18e22c968p-4, -0x1.13edce64800c7p-4, -0x1.0c9d6f9ea52ap-4, -0x1.05791ddbb2dbp-4, -0x1.fcfffa6452dd3p-5, -0x1.ef626914b9a47p-5, -0x1.e217db47ce342p-5, -0x1.d51eaa344b9a2p-5, -0x1.c87534cf9ac8ep-5, -0x1.bc19dfd336857p-5, -0x1.b00b15c06703p-5, -0x1.a44746e26bb07p-5, -0x1.98cce94f35b24p-5, -0x1.8d9a78e6c6099p-5, -0x1.82ae775158ec3p-5, -0x1.78076bfc703f9p-5, -0x1.6da3e416e00cp-5, -0x1.6382728bf09b8p-5, -0x1.59a1affdb53b4p-5, -0x1.50003abea8dd2p-5, -0x1.469cb6caa28abp-5, -0x1.3d75cdbf37d41p-5, -0x1.348a2ed394f8fp-5, -0x1.2bd88ecfdaa02p-5, -0x1.235fa80409903p-5, -0x1.1b1e3a3e848p-5, -0x1.13130ac22b84cp-5, -0x1.0b3ce43c1a9c7p-5, -0x1.039a96b9082b4p-5, -0x1.f855ef3497b98p-6, -0x1.e9d9c315200afp-6, -0x1.dbbe68e451309p-6, -0x1.ce01aad635e28p-6, -0x1.c0a15d69a47b8p-6, -0x1.b39b5f4f0757bp-6, -0x1.a6ed994e8c80cp-6, -0x1.9a95fe2dbec2bp-6, -0x1.8e928a94909bdp-6, -0x1.82e144f1df5dp-6, -0x1.77803d5f7366fp-6, -0x1.6c6d8d85875edp-6, -0x1.61a7587de304ap-6, -0x1.572bcab68de49p-6, -0x1.4cf919d42037bp-6, -0x1.430d8493c87a1p-6, -0x1.396752ad023p-6, -0x1.3004d4b30ebf4p-6, -0x1.26e463f63980dp-6, -0x1.1e046264f302fp-6, -0x1.15633a6cc2c63p-6, -0x1.0cff5edb2ae7ep-6, -0x1.04d74abe72777p-6, -0x1.f9d3028cdb5dep-7, -0x1.ea691b4a86b69p-7, -0x1.db6e05e07b0ddp-7, -0x1.ccdef8014693ep-7, -0x1.beb936a957dfcp-7, -0x1.b0fa15e10ba2p-7, -0x1.a39ef87f0bf9p-7, -0x1.96a54feae6a7bp-7, -0x1.8a0a9bdff7be5p-7, -0x1.7dcc6a30b3f5dp-7, -0x1.71e8568a4d1edp-7, -0x1.665c0a38b6431p-7, -0x1.5b253beb1dffep-7, -0x1.5041af78d26dfp-7, -0x1.45af35a69bad1p-7, -0x1.3b6babec91297p-7, -0x1.3174fc3c6a2a1p-7, -0x1.27c91cc850f9dp-7, -0x1.1e660fca3b0f8p-7, -0x1.1549e34bc70ep-7, -0x1.0c72b0eeaa08dp-7, -0x1.03de9db5a6255p-7, -0x1.f717b39c280c4p-8, -0x1.e6f140b3fd6fap-8, -0x1.d7466e75ac222p-8, -0x1.c813ddb96fe2fp-8, -0x1.b9564404a977ap-8, -0x1.ab0a6b22dcb12p-8, -0x1.9d2d30bfea882p-8, -0x1.8fbb86038b8bep-8, -0x1.82b26f2e0d2acp-8, -0x1.760f033650b4bp-8, -0x1.69ce6b6913f8dp-8, -0x1.5dede3097eb63p-8, -0x1.526ab6f3084a3p-8, -0x1.4742453c96a76p-8, -0x1.3c71fcdcf813ap-8, -0x1.31f75d50acfa7p-8, -0x1.27cff640f7fa5p-8, -0x1.1df9672c4678bp-8, -0x1.14715f0fe3611p-8, -0x1.0b359c12fd5a5p-8, -0x1.0243eb32facf5p-8, -0x1.f3344fe237997p-9, -0x1.e26c7802db47p-9, -0x1.d22c3df60ced2p-9, -0x1.c26fac131e598p-9, -0x1.b332e740330e3p-9, -0x1.a4722e5a70712p-9, -0x1.9629d9a0d0f66p-9, -0x1.88565a2166797p-9, -0x1.7af4392937af7p-9, -0x1.6e0017b696ea7p-9, -0x1.6176adedf22eep-9, -0x1.5554ca911e4aap-9, -0x1.49975279174ccp-9, -0x1.3e3b4012245a8p-9, -0x1.333da2da6cf46p-9, -0x1.289b9ee2ea469p-9, -0x1.1e526c52b8761p-9, -0x1.145f56ecb3158p-9, -0x1.0abfbd976f566p-9, -0x1.017111e774ffap-9, -0x1.f0e1af5782d8ap-10, -0x1.df7948f8fd3a8p-10, -0x1.cea43e97e01e6p-10, -0x1.be5dfff3382abp-10, -0x1.aea21dcf15c35p-10, -0x1.9f6c4923625dp-10, -0x1.90b8524ee24b9p-10, -0x1.8282284e53477p-10, -0x1.74c5d7f7be2f4p-10, -0x1.677f8b39ad355p-10, -0x1.5aab885e76e2fp-10, -0x1.4e4631536d875p-10, -0x1.424c02f3ddae7p-10, -0x1.36b99457f8e52p-10, -0x1.2b8b962764bbfp-10, -0x1.20bed1ef98d16p-10, -0x1.15fc3f2f30378p-10, -0x1.0be7e652a1c93p-10, -0x1.022bd329f3ea9p-10, -0x1.f18a5865e43ecp-11, -0x1.df625b47f59e9p-11, -0x1.cdda51afdacp-11, -0x1.bced077aee2d3p-11, -0x1.ac9570936fc2fp-11, -0x1.9ccea7dc48b7bp-11, -0x1.8d93ee2323951p-11, -0x1.7ee0a918d487fp-11, -0x1.70b0624fec34bp-11, -0x1.62fec6415633cp-11, -0x1.55c7a356e1e4fp-11, -0x1.4906e8fb99389p-11, -0x1.3cb8a6b1e7bp-11, -0x1.30d90b2f4eedap-11, -0x1.2564637d8cae8p-11, -0x1.1a571a214af39p-11, -0x1.0fadb645e21a4p-11, -0x1.0564daeea31dcp-11, -0x1.f6f28c59ca628p-12, -0x1.e3cfa0b67390fp-12, -0x1.d15ad6baf2bb8p-12, -0x1.bf8e43cb3bdabp-12, -0x1.ae642d7a99802p-12, -0x1.9dd70827e88a4p-12, -0x1.8de175a2eb4f4p-12, -0x1.7e7e43da77704p-12, -0x1.6fa86b92c77dep-12, -0x1.615b0f251cd15p-12, -0x1.53917946f7592p-12, -0x1.46471bd99624dp-12, -0x1.39778ec180487p-12, -0x1.2d1e8ec5a50d6p-12, -0x1.2137fc7629f63p-12, -0x1.15bfdb1a98373p-12, -0x1.0ab24fa756ba2p-12, -0x1.000b9fba2a6c3p-12, -0x1.eb90613b344dep-13, -0x1.d7c90ca6b9e3p-13, -0x1.c4ba854a12913p-13, -0x1.b25e4876c71d3p-13, -0x1.a0ae0b784d6a9p-13, -0x1.8fa3b9dbcd80fp-13, -0x1.7f3973c33ae39p-13, -0x1.6f698c4578e04p-13, -0x1.602e87d91c576p-13, -0x1.51831aca67b64p-13, -0x1.436227bce7d3p-13, -0x1.35c6be36fccf9p-13, -0x1.28ac193836812p-13, -0x1.1c0d9dd9b9b19p-13, -0x1.0fe6d9f8c126p-13, -0x1.043382ea6156fp-13, -0x1.f1dee8723888p-14, -0x1.dc2d5cd6942cfp-14, -0x1.c74aaba60537ap-14, -0x1.b32f62cbc41e7p-14, -0x1.9fd4533b5f81ap-14, -0x1.8d328ec3b1a6cp-14, -0x1.7b4365efef232p-14, -0x1.6a0065f99b804p-14, -0x1.596356c91f405p-14, -0x1.496639059861bp-14, -0x1.3a034432cc2c7p-14, -0x1.2b34e4ddaab3ep-14, -0x1.1cf5bad577e41p-14, -0x1.0f4097736b0f5p-14, -0x1.02107bee6af08p-14, -0x1.eac12f77d993bp-15, -0x1.d2588dfab4823p-15, -0x1.bade21f00a11dp-15, -0x1.a4494d352c323p-15, -0x1.8e91c219d14eep-15, -0x1.79af8095b6d2p-15, -0x1.659ad39554694p-15, -0x1.524c4e59c7064p-15, -0x1.3fbcc9ef1a4a1p-15, -0x1.2de562b58f4dbp-15, -0x1.1cbf75fd1dde4p-15, -0x1.0c449fb7f58c5p-15, -0x1.f8dd7078531c2p-16, -0x1.da6fa42fac436p-16, -0x1.bd346ff135b3fp-16, -0x1.a120d545850d4p-16, -0x1.862a3df624041p-16, -0x1.6c46783d5e8f9p-16, -0x1.536bb319695cp-16, -0x1.3b907abe529ebp-16, -0x1.24abb524ababcp-16, -0x1.0eb49ebad98eap-16, -0x1.f3458e552400ep-17, -0x1.cadc1c8542a13p-17, -0x1.a41d41eb9c1f9p-17, -0x1.7ef9ecf712cfep-17, -0x1.5b639b07c7989p-17, -0x1.394c530b96863p-17, -0x1.18a6a050b5342p-17, -0x1.f2cb1b070b83ap-18, -0x1.b6f93fb3d8afdp-18, -0x1.7dbfa4dc050eap-18, -0x1.4707237ee73f6p-18, -0x1.12b96ec752215p-18, -0x1.c18217650a1dap-19, -0x1.621292179b4a2p-19, -0x1.06fc6f639df96p-19, -0x1.60328c8076556p-20, -0x1.751052a9b05cp-21, -0x1.cb2632bf3a629p-24, 0x1.e64e0131128dbp-22, 0x1.088bbd5b44ee5p-20, 0x1.90762af5c6089p-20, 0x1.08c829374f44dp-19, 0x1.460ac317beb9ep-19, 0x1.801f7bf942332p-19, 0x1.b721e6caf843dp-19, 0x1.eb2c9ad5f36f8p-19, 0x1.0e2c9ec07b106p-18, 0x1.256045dc23306p-18, 0x1.3b3d31817638p-18, 0x1.4fcee51a7dd36p-18, 0x1.63207ceba85ffp-18, 0x1.753cb215d90c9p-18, 0x1.862dde7fe0bbcp-18, 0x1.95fe008db4deep-18, 0x1.a4b6beaff1967p-18, 0x1.b2616ae0c8e1bp-18, 0x1.bf0705ef309ebp-18, 0x1.cab042b01d67ep-18, 0x1.d5658906af698p-18, 0x1.df2ef8e3f5d8p-18, 0x1.e8146d106b64cp-18, 0x1.f01d7de86664bp-18, 0x1.f75183f226e79p-18, 0x1.fdb79a6826474p-18, 0x1.01ab50cdd9dbp-17, 0x1.041aa0a3545dep-17, 0x1.062cf561bf389p-17, 0x1.07e56d97d688fp-17, 0x1.09470ebaea268p-17, 0x1.0a54c622936d3p-17, 0x1.0b1169f9ae773p-17, 0x1.0b7fba2538793p-17, 0x1.0ba26120bc0f9p-17, 0x1.0b7bf4d82ccfep-17, 0x1.0b0ef76c4bbep-17, 0x1.0a5dd7fb0d6c1p-17, 0x1.096af3587bb62p-17, 0x1.083894c3715cfp-17, 0x1.06c8f68f62031p-17, 0x1.051e42c888efdp-17, 0x1.033a93d4c7d9p-17, 0x1.011ff5092d52bp-17, 0x1.fda0c66cacc28p-18, 0x1.f89b9a6c6ef11p-18, 0x1.f33428dd660ddp-18, 0x1.ed6e1a9dfa32dp-18, 0x1.e74cff9406f4p-18, 0x1.e0d44f8fa95cfp-18, 0x1.da076b2aa6e66p-18, 0x1.d2e99c98035ccp-18, 0x1.cb7e186f741a6p-18, 0x1.c3c7fe6bbada2p-18, 0x1.bbca5a22f5073p-18, 0x1.b38823b4de04cp-18, 0x1.ab04407465044p-18, 0x1.a2418383fdc5ap-18, 0x1.9942ae6ed385dp-18, 0x1.900a71bbcd8a8p-18, 0x1.869b6d7819e19p-18, 0x1.7cf831b6e63bbp-18, 0x1.73233f19972fdp-18, 0x1.691f0735d3fdep-18, 0x1.5eeded1e96484p-18, 0x1.549245c959573p-18, 0x1.4a0e586df3269p-18, 0x1.3f645ef514308p-18, 0x1.3496865193d85p-18, 0x1.29a6eee0b2f58p-18, 0x1.1e97acb6cca3ep-18, 0x1.136ac7fdde5fap-18, 0x1.08223d3b23dd7p-18, 0x1.f97ffb4933b2ap-19, 0x1.e28bdeb226434p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.5308d3d228ebbp-1, 0x1.5164496c6ecccp-1, 0x1.4f798d95af376p-1, 0x1.4d4713800f296p-1, 0x1.4acbc64785c77p-1, 0x1.480702f9e28bep-1, 0x1.44f8921dbb703p-1, 0x1.41a0a0e27c5dcp-1, 0x1.3dffba1cf7411p-1, 0x1.3a16bf2dd5d93p-1, 0x1.35e6e0ea0efbp-1, 0x1.31719898fac51p-1, 0x1.2cb8a117bea3fp-1, 0x1.27bdf02e7424bp-1, 0x1.2283b020a203cp-1, 0x1.1d0c39803844ap-1, 0x1.175a0d484692fp-1, 0x1.116fcf42f804cp-1, 0x1.0b5040bcff47p-1, 0x1.04fe3b8779fcap-1, 0x1.fcf95a90d4334p-2, 0x1.ef9d26323053fp-2, 0x1.e1edeae246caap-2, 0x1.d3f1c8b8fece2p-2, 0x1.c5aee7f482847p-2, 0x1.b72b7283ae27ep-2, 0x1.a86d8e1813acbp-2, 0x1.997b56ba01fp-2, 0x1.8a5ad9d8d04a9p-2, 0x1.7b1211d18285bp-2, 0x1.6ba6e1e5da11dp-2, 0x1.5c1f129dd7c63p-2, 0x1.4c804e8dcb652p-2, 0x1.3cd01f7b198e4p-2, 0x1.2d13ebda085ep-2, 0x1.1d50f49ef886bp-2, 0x1.0d8c535dab2d1p-2, 0x1.fb95f162a8fcep-3, 0x1.dc2355d0dbf03p-3, 0x1.bcca09dee66c7p-3, 0x1.9d92eaebc111fp-3, 0x1.7e867c920a1d4p-3, 0x1.5face7c0d4e42p-3, 0x1.410dfa2f9eb7ep-3, 0x1.22b12625bd023p-3, 0x1.049d828e1558fp-3, 0x1.cdb396a09077ep-4, 0x1.92d8c3d1b2b28p-4, 0x1.58b69c74a9aecp-4, 0x1.1f587f236d9f5p-4, 0x1.cd9237633466bp-5, 0x1.5e24ebc64a104p-5, 0x1.e0f7a1af1a1d5p-6, 0x1.0950a0b999acep-6, 0x1.aba8f690c3877p-9, -0x1.34fa294e8e0dcp-7, -0x1.666a95d228898p-6, -0x1.171d2e3d8569cp-5, -0x1.78ead5e993f85p-5, -0x1.d89400e46f192p-5, -0x1.1b07c18528dd1p-4, -0x1.48aa9e4333d13p-4, -0x1.752f089443f5bp-4, -0x1.a091efd73463bp-4, -0x1.cad0bc83a74f7p-4, -0x1.f3e94bcc469e9p-4, -0x1.0decf5a224d9ep-3, -0x1.2150aa4574308p-3, -0x1.341f547f7ee4fp-3, -0x1.4658b6be86b8cp-3, -0x1.57fcc314c0f88p-3, -0x1.690b992465c4fp-3, -0x1.798584137999bp-3, -0x1.896af887f047dp-3, -0x1.98bc92acc0ae4p-3, -0x1.a77b14406b5fbp-3, -0x1.b5a762ad65acep-3, -0x1.c342852cc2cd6p-3, -0x1.d04da2f36dd3dp-3, -0x1.dcca016a447adp-3, -0x1.e8b9027131926p-3, -0x1.f41c22ad8baacp-3, -0x1.fef4f7e3c6f08p-3, -0x1.04a297ae5076ep-2, -0x1.0987462ae4da9p-2, -0x1.0e29733f0cb54p-2, -0x1.128a143ea9152p-2, -0x1.16aa2743b2506p-2, -0x1.1a8ab27d97b46p-2, -0x1.1e2cc386558e5p-2, -0x1.21916ebd3147ep-2, -0x1.24b9cea715e05p-2, -0x1.27a703547eb92p-2, -0x1.2a5a31ccda492p-2, -0x1.2cd4837f61305p-2, -0x1.2f1725b93d9cfp-2, -0x1.31234920faa5fp-2, -0x1.32fa21372056cp-2, -0x1.349ce3dbe6debp-2, -0x1.360cc8d9e8444p-2, -0x1.374b0975bdb14p-2, -0x1.3858e00266ecap-2, -0x1.3937877a6b4a2p-2, -0x1.39e83b1d94669p-2, -0x1.3a6c36132cb1fp-2, -0x1.3ac4b310a4c19p-2, -0x1.3af2ec0486582p-2, -0x1.3af819c59abfep-2, -0x1.3ad573c62770cp-2, -0x1.3a8c2fcb2b04bp-2, -0x1.3a1d81a779edep-2, -0x1.398a9afaa2bf9p-2, -0x1.38d4aaf3839a4p-2, -0x1.37fcde166dfd9p-2, -0x1.37045e06c5349p-2, -0x1.35ec5153fa563p-2, -0x1.34b5db49cc56ap-2, -0x1.33621bc3b46b6p-2, -0x1.31f22f0360d7fp-2, -0x1.30672d8a2acabp-2, -0x1.2ec22bf5680f6p-2, -0x1.2d043add87705p-2, -0x1.2b2e66b7d81bfp-2, -0x1.2941b7bae9251p-2, -0x1.273f31c5679bep-2, -0x1.2527d44767754p-2, -0x1.22fc9a2df8e71p-2, -0x1.20be79d0fd796p-2, -0x1.1e6e64e31fc43p-2, -0x1.1c0d4863da818p-2, -0x1.199c0c937e3bap-2, -0x1.171b94e9157dap-2, -0x1.148cc00a24016p-2, -0x1.11f067c41b77dp-2, -0x1.0f4761077f542p-2, -0x1.0c927be4a12aep-2, -0x1.09d28389dde4dp-2, -0x1.07083e4352fb2p-2, -0x1.04346d7bf076bp-2, -0x1.0157cdbfe0a9fp-2, -0x1.fce62d8055a37p-3, -0x1.f70df6af0ddd7p-3, -0x1.f1285320a4454p-3, -0x1.eb36955723f0bp-3, -0x1.e53a0651f10a2p-3, -0x1.df33e59fb85f9p-3, -0x1.d925697224d36p-3, -0x1.d30fbeb346721p-3, -0x1.ccf4091c88e09p-3, -0x1.c6d3634f22427p-3, -0x1.c0aedeede7408p-3, -0x1.ba8784b861df2p-3, -0x1.b45e54a717ccfp-3, -0x1.ae344608f4b81p-3, -0x1.a80a47a1aa0d9p-3, -0x1.a1e13fc90b2bp-3, -0x1.9bba0c8b3cab5p-3, -0x1.959583c9aee42p-3, -0x1.8f74735cc930cp-3, -0x1.8957a1363b7b8p-3, -0x1.833fcb83e0ea3p-3, -0x1.7d2da8d31cce8p-3, -0x1.7721e834b017fp-3, -0x1.711d3160e95f9p-3, -0x1.6b2024dc2b26ep-3, -0x1.652b5c1bb08b4p-3, -0x1.5f3f69aa914d6p-3, -0x1.595cd94ee2e09p-3, -0x1.5384302f02d0cp-3, -0x1.4db5ecf6ebb73p-3, -0x1.47f287fd8e94fp-3, -0x1.423a736a2ed08p-3, -0x1.3c8e1b59a917bp-3, -0x1.36ede603a2814p-3, -0x1.315a33df9aa7bp-3, -0x1.2bd35fc9ce449p-3, -0x1.2659bf27ec0dfp-3, -0x1.20eda20d895e4p-3, -0x1.1b8f53605bec9p-3, -0x1.163f18fc28c11p-3, -0x1.10fd33d663ff1p-3, -0x1.0bc9e0217c3dbp-3, -0x1.06a5556fcb472p-3, -0x1.018fc6d627d87p-3, -0x1.f912c61c2d3f2p-4, -0x1.ef24a92f0e3b1p-4, -0x1.e55583b466975p-4, -0x1.dba59a8cf861cp-4, -0x1.d2152aebcd2cdp-4, -0x1.c8a46a9610b87p-4, -0x1.bf538822214b6p-4, -0x1.b622ab358bdap-4, -0x1.ad11f4c20754bp-4, -0x1.a4217f417d308p-4, -0x1.9b515ef0fa387p-4, -0x1.92a1a20a9dd23p-4, -0x1.8a1250fe6f154p-4, -0x1.81a36eaa3028p-4, -0x1.7954f89014f89p-4, -0x1.7126e70c691b6p-4, -0x1.69192d8a1f2cep-4, -0x1.612bbab64af35p-4, -0x1.595e78b283f5ep-4, -0x1.51b14d46313ddp-4, -0x1.4a241a0ebd606p-4, -0x1.42b6bcaeb5cf6p-4, -0x1.3b690efbd2721p-4, -0x1.343ae72be992fp-4, -0x1.2d2c1800cf6dcp-4, -0x1.263c70f3245cp-4, -0x1.1f6bbe5c1144dp-4, -0x1.18b9c99df6b73p-4, -0x1.1226594c0f081p-4, -0x1.0bb1315105369p-4, -0x1.055a13148583ep-4, -0x1.fe417b3f8f225p-5, -0x1.f209db822d2d4p-5, -0x1.e60cbc5cb4559p-5, -0x1.da498f4d43c4cp-5, -0x1.cebfc2256ef71p-5, -0x1.c36ebf4978a7fp-5, -0x1.b855ededa39f3p-5, -0x1.ad74b251a7ce2p-5, -0x1.a2ca6dfa4ee4dp-5, -0x1.98567fe941e19p-5, -0x1.8e1844d30a0f6p-5, -0x1.840f175353e18p-5, -0x1.7a3a501f76228p-5, -0x1.70994637469bbp-5, -0x1.672b4f14466a5p-5, -0x1.5defbed726b5dp-5, -0x1.54e5e873b9218p-5, -0x1.4c0d1ddb45fe2p-5, -0x1.4364b0255e0c3p-5, -0x1.3aebefb724a3bp-5, -0x1.32a22c691ffb6p-5, -0x1.2a86b5ab97ff4p-5, -0x1.2298daa987f1ap-5, -0x1.1ad7ea6a2e169p-5, -0x1.134333f13f66fp-5, -0x1.0bda065dc86fep-5, -0x1.049bb107c2686p-5, -0x1.fb0f0738cd619p-6, -0x1.ed399c7284ffp-6, -0x1.dfb5c30c373a1p-6, -0x1.d2821d9b48285p-6, -0x1.c59d502a17ec7p-6, -0x1.b9060064ec438p-6, -0x1.acbad5c4a9ee7p-6, -0x1.a0ba79b7769a9p-6, -0x1.950397c7499dbp-6, -0x1.8994ddbe7dd1dp-6, -0x1.7e6cfbca71eedp-6, -0x1.738aa49c4791ap-6, -0x1.68ec8d87ca171p-6, -0x1.5e916ea08cc5p-6, -0x1.547802d554aa8p-6, -0x1.4a9f0809cf9e8p-6, -0x1.41053f2eac12p-6, -0x1.37a96c5821306p-6, -0x1.2e8a56d2ee571p-6, -0x1.25a6c937dddbfp-6, -0x1.1cfd917de259cp-6, -0x1.148d810ac6c67p-6, -0x1.0c556cc291b16p-6, -0x1.04542d159ba8ep-6, -0x1.f9113c1ac6acfp-7, -0x1.e9e33eb05f005p-7, -0x1.db1c28a7189bdp-7, -0x1.ccb9c82b3f348p-7, -0x1.beb9f2eae7f18p-7, -0x1.b11a862466d14p-7, -0x1.a3d966b2c696dp-7, -0x1.96f4811856f2ap-7, -0x1.8a69c9875c297p-7, -0x1.7e373be8fdc7ap-7, -0x1.725adbe27e3a6p-7, -0x1.66d2b4d8c961fp-7, -0x1.5b9cd9f2801cep-7, -0x1.50b766186fe88p-7, -0x1.46207bf4aba58p-7, -0x1.3bd645f03af2cp-7, -0x1.31d6f62f7876fp-7, -0x1.2820c68d3219ap-7, -0x1.1eb1f89495dc7p-7, -0x1.1588d579f8b56p-7, -0x1.0ca3ae1288ff3p-7, -0x1.0400dacaf734ep-7, -0x1.f73d773a48088p-8, -0x1.e6f77009bdfa5p-8, -0x1.d72c7de788b2cp-8, -0x1.c7d98d88869a6p-8, -0x1.b8fb9a57b7dd2p-8, -0x1.aa8fae593a02bp-8, -0x1.9c92e20bddc52p-8, -0x1.8f025c49692a2p-8, -0x1.81db52259f343p-8, -0x1.751b06cc1af5fp-8, -0x1.68becb5d17ed6p-8, -0x1.5cc3fec936022p-8, -0x1.51280dac4d21dp-8, -0x1.45e8722761efbp-8, -0x1.3b02b3b9cc695p-8, -0x1.307467199ffcep-8, -0x1.263b2e0b675bbp-8, -0x1.1c54b7393fdc7p-8, -0x1.12bebe0967p-8, -0x1.09770a74431bp-8, -0x1.007b70d9fbf91p-8, -0x1.ef93a3af51a2dp-9, -0x1.dec034384cd44p-9, -0x1.ce7884793c45dp-9, -0x1.beb89d119494ap-9, -0x1.af7c9dbe068f4p-9, -0x1.a0c0bd0043f81p-9, -0x1.928147c67847fp-9, -0x1.84baa11298e8ep-9, -0x1.776941a193a96p-9, -0x1.6a89b792715dap-9, -0x1.5e18a60d8182ap-9, -0x1.5212c4eb96344p-9, -0x1.4674e05d6edd4p-9, -0x1.3b3bd8934ff08p-9, -0x1.3064a164e2206p-9, -0x1.25ec41f963c7bp-9, -0x1.1bcfd47036a4cp-9, -0x1.120c8589d76acp-9, -0x1.089f94514dcb6p-9, -0x1.ff0ca38c3e364p-10, -0x1.ed7c410d8f034p-10, -0x1.dc88e8f79bf1fp-10, -0x1.cc2da506ecfbep-10, -0x1.bc65a03c36e49p-10, -0x1.ad2c26366f85fp-10, -0x1.9e7ca28e54893p-10, -0x1.9052a0336a2c6p-10, -0x1.82a9c8ca94fcp-10, -0x1.757de40e3c7dp-10, -0x1.68cad7301f4fbp-10, -0x1.5c8ca43cd209bp-10, -0x1.50bf6980facafp-10, -0x1.455f60f0516fap-10, -0x1.3a68df8e6c3fbp-10, -0x1.2fd854d95ebe8p-10, -0x1.25aa4a36393c2p-10, -0x1.1bdb625f65c91p-10, -0x1.126858d4f5aedp-10, -0x1.094e014ecd6aep-10, -0x1.00894730d706bp-10, -0x1.f02e5a022d8bfp-11, -0x1.dfe997bf92b12p-11, -0x1.d03ea602ea199p-11, -0x1.c1280e55fbc2p-11, -0x1.b2a0845f7382ep-11, -0x1.a4a2e4e30e9e7p-11, -0x1.972a34c5d068p-11, -0x1.8a31a0163dcb6p-11, -0x1.7db47918a22dcp-11, -0x1.71ae37575b2e8p-11, -0x1.661a76b72bbacp-11, -0x1.5af4f68f91f39p-11, -0x1.503998c72059p-11, -0x1.45e460f3d50cfp-11, -0x1.3bf1737f69c61p-11, -0x1.325d14cf9cac2p-11, -0x1.2923a87266a27p-11, -0x1.2041b04e1effbp-11, -0x1.17b3cbd583b1cp-11, -0x1.0f76b73f9e258p-11, -0x1.07874ac3823eep-11, -0x1.ffc4f3afb3489p-12, -0x1.f10aa4ec7408dp-12, -0x1.e2d9f8c47218cp-12, -0x1.d52d70e86f0e2p-12, -0x1.c7ffbfcfb6a17p-12, -0x1.bb4bc75c59b81p-12, -0x1.af0c9786a2296p-12, -0x1.a33d6d0fa75f1p-12, -0x1.97d9b03af328p-12, -0x1.8cdcf38f211e9p-12, -0x1.8242f29d5fde4p-12, -0x1.780790cfc8c57p-12, -0x1.6e26d83e6a3dp-12, -0x1.649cf88afc694p-12, -0x1.5b6645c31f64bp-12, -0x1.527f374916dbep-12, -0x1.49e466c2de8efp-12, -0x1.41928f0f8f9dfp-12, -0x1.39868b42f5cp-12, -0x1.31bd55a73d6cdp-12, -0x1.2a3406c4ac1c1p-12, -0x1.22e7d46f40d43p-12, -0x1.1bd610da28c3ap-12, -0x1.14fc29b0f654dp-12, -0x1.0e57a7367ba99p-12, -0x1.07e62b692f455p-12, -0x1.01a5712d10174p-12, -0x1.f72696f5c36c8p-13, -0x1.eb5b49296215ep-13, -0x1.dfe4fa7f1b2eap-13, -0x1.d4bfd804ab29bp-13, -0x1.c9e838d30cffdp-13, -0x1.bf5a9c9ff1b01p-13, -0x1.b513aa58d7382p-13, -0x1.ab102ec79afddp-13, -0x1.a14d1b405b85fp-13, -0x1.97c784586b53ap-13, -0x1.8e7ca0a6411e4p-13, -0x1.8569c78a1f1c6p-13, -0x1.7c8c6fff5cadp-13, -0x1.73e22f76109dfp-13, -0x1.6b68b8b501f03p-13, -0x1.631ddac3a91p-13, -0x1.5aff7fdc1c91ap-13, -0x1.530bac64ba9dap-13, -0x1.4b407df16936cp-13, -0x1.439c2a4c44d2bp-13, -0x1.3c1cfe8589ecap-13, -0x1.34c15e0aa5c2ap-13, -0x1.2d87c1c429c7fp-13, -0x1.266eb73a98cabp-13, -0x1.1f74dfc1cfa7fp-13, -0x1.1898efaaee863p-13, -0x1.11d9ad7c9929dp-13, -0x1.0b35f131688d5p-13, -0x1.04aca37c6c6acp-13, -0x1.fc797a272dc19p-14, -0x1.efca8bffca56fp-14, -0x1.e34aa9e66e0bdp-14, -0x1.d6f81d4737eedp-14, -0x1.cad14a57fc729p-14, -0x1.bed4aee4222dfp-14, -0x1.b300e1229ee18p-14, -0x1.a7548e95f4562p-14, -0x1.9bce7af5e0561p-14, -0x1.906d7f227dffcp-14, -0x1.853088209d015p-14, -0x1.7a16961f179a9p-14, -0x1.6f1ebb84e2695p-14, -0x1.64481c07a3028p-14, -0x1.5991ebca8e7b9p-14, -0x1.4efb6e855abdep-14, -0x1.4483f6b3095c3p-14, -0x1.3a2ae4c8574edp-14, -0x1.2fefa67198ab9p-14, -0x1.25d1b5d7d1527p-14, -0x1.1bd098ecd25c8p-14, -0x1.11ebe0be2bd71p-14, -0x1.082328cec3f41p-14, -0x1.fcec2cedbc03dp-15, -0x1.e9c8b094ce60dp-15, -0x1.d6db4b0ab0a51p-15, -0x1.c4237afbfcfaep-15, -0x1.b1a0ce3a022eap-15, -0x1.9f52e0b5ec451p-15, -0x1.8d395b86bbb8bp-15, -0x1.7b53f3f9b42d1p-15, -0x1.69a26aacf017p-15, -0x1.58248ab3cfd98p-15, -0x1.46da28c4eef46p-15, -0x1.35c322715ad03p-15, -0x1.24df5d64bb2b4p-15, -0x1.142ec6ae258a6p-15, -0x1.03b1521157947p-15, -0x1.e6cdf2c01f25cp-16, -0x1.c69f77b683059p-16, -0x1.a6d73b37c9f8bp-16, -0x1.87754e0641b2bp-16, -0x1.6879c8631bf9fp-16, -0x1.49e4c90ab6649p-16, -0x1.2bb6743e26286p-16, -0x1.0deef2d992896p-16, -0x1.e11ce2edec47fp-17, -0x1.a72a3f398d9f7p-17, -0x1.6e065df05e25dp-17, -0x1.35b1a544b4858p-17, -0x1.fc58f9c204f5ap-18, -0x1.8eee99390a4b5p-18, -0x1.2324f687ccfd7p-18, -0x1.71f9b5d40b6ffp-19, -0x1.41dc2469211d6p-20, 0x1.66bc4ae09d28fp-22, 0x1.eeab7a529831p-20, 0x1.be8b41b6d0901p-19, 0x1.413b757dd5c63p-18, 0x1.a18bd5b05035cp-18, 0x1.001b25a117619p-17, 0x1.2e9d38f1f512dp-17, 0x1.5c4bfc293fb16p-17, 0x1.892750b4906e4p-17, 0x1.b52f228d29141p-17, 0x1.e06368a8b7734p-17, 0x1.056212af6b099p-16, 0x1.1a28b361dbb14p-16, 0x1.2e85a37c4be3cp-16, 0x1.4278f6391f4ep-16, 0x1.5602c51b12b46p-16, 0x1.6923300755d9dp-16, 0x1.7bda5d5b56ea7p-16, 0x1.8e2879fe81b7ap-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.55d3b321a7c54p-1, 0x1.55a7eb911f715p-1, 0x1.556b6aa60e99dp-1, 0x1.551d4876a3547p-1, 0x1.54bcb5bc014d7p-1, 0x1.5448fb92ba76ap-1, 0x1.53c17b0c89ba4p-1, 0x1.5325ac9b773a2p-1, 0x1.52751f5d92bacp-1, 0x1.51af784f9ed85p-1, 0x1.50d4716c2ed17p-1, 0x1.4fe3d8bc0703dp-1, 0x1.4edd8f5be9c07p-1, 0x1.4dc1887b5dfc3p-1, 0x1.4c8fc85784dddp-1, 0x1.4b4863348d7a7p-1, 0x1.49eb7c580011fp-1, 0x1.48794505aed11p-1, 0x1.46f1fb80d8236p-1, 0x1.4555ea12b42a1p-1, 0x1.43a5661777a4ep-1, 0x1.41e0cf129582fp-1, 0x1.40088dcae6ac8p-1, 0x1.3e1d136f2ccap-1, 0x1.3c1ed8c34db61p-1, 0x1.3a0e5d5683332p-1, 0x1.37ec26c2a1a1ep-1, 0x1.35b8bff48404fp-1, 0x1.3374b87d9ea37p-1, 0x1.3120a3eea1db8p-1, 0x1.2ebd193b1413cp-1, 0x1.2c4ab225b6d13p-1, 0x1.29ca0ab588fa6p-1, 0x1.273bc0b32d555p-1, 0x1.24a0732e7ac03p-1, 0x1.21f8c20bf118ep-1, 0x1.1f454d99d30d8p-1, 0x1.1c86b62c99698p-1, 0x1.19bd9bc27dad4p-1, 0x1.16ea9dadc9eb3p-1, 0x1.140e5a45af057p-1, 0x1.11296e9d4d13cp-1, 0x1.0e3c7640ae9bcp-1, 0x1.0b480af76658ap-1, 0x1.084cc48c8eeb3p-1, 0x1.054b389be3p-1, 0x1.0243fa63acd3ap-1, 0x1.fe6f35368f31dp-2, 0x1.f84d4e9bec8ep-2, 0x1.f22357739e527p-2, 0x1.ebf2606502f2dp-2, 0x1.e5bb740f71183p-2, 0x1.df7f96ddd1518p-2, 0x1.d93fc6e09a13ep-2, 0x1.d2fcfbadc640cp-2, 0x1.ccb826466ab62p-2, 0x1.c6723101846fcp-2, 0x1.c02bff7ba9e71p-2, 0x1.b9e66e8b497dep-2, 0x1.b3a254392244cp-2, 0x1.ad607fbca945dp-2, 0x1.a721b97c14122p-2, 0x1.a0e6c30fbe40dp-2, 0x1.9ab05748ab697p-2, 0x1.947f2a39e4847p-2, 0x1.8e53e94476317p-2, 0x1.882f3b25d95bfp-2, 0x1.8211c0088a6c7p-2, 0x1.7bfc1196a853ap-2, 0x1.75eec30e6160cp-2, 0x1.6fea61580810bp-2, 0x1.69ef731da60dbp-2, 0x1.63fe78e3df324p-2, 0x1.5e17ed240c5dfp-2, 0x1.583c44675dbb7p-2, 0x1.526bed62eeebep-2, 0x1.4ca75114aa56ep-2, 0x1.46eed2e0dcd88p-2, 0x1.4142d0b066e13p-2, 0x1.3ba3a30f6a0d8p-2, 0x1.36119d4c612c7p-2, 0x1.308d0d978c461p-2, 0x1.2b163d229dba2p-2, 0x1.25ad704092072p-2, 0x1.2052e685a57a4p-2, 0x1.1b06dae75710bp-2, 0x1.15c983dc66117p-2, 0x1.109b137cc2763p-2, 0x1.0b7bb7a15e1ap-2, 0x1.066b9a03d814fp-2, 0x1.016ae05df2e09p-2, 0x1.f8f359119f1b4p-3, 0x1.ef303937c2928p-3, 0x1.e58c961728b6bp-3, 0x1.dc089d8f4249ap-3, 0x1.d2a476b1fcb6fp-3, 0x1.c96041feec126p-3, 0x1.c03c199d9f574p-3, 0x1.b73811971d266p-3, 0x1.ae54380e7d944p-3, 0x1.a5909578983a9p-3, 0x1.9ced2cd2c2278p-3, 0x1.9469fbd896642p-3, 0x1.8c06fb38ba1d6p-3, 0x1.83c41ec8aa829p-3, 0x1.7ba155b77833fp-3, 0x1.739e8abf88e1bp-3, 0x1.6bbba4573f721p-3, 0x1.63f884e0a0aabp-3, 0x1.5c550ad7e8eeep-3, 0x1.54d111010b27cp-3, 0x1.4d6c6e94298cdp-3, 0x1.4626f768f7962p-3, 0x1.3f007c210de4ep-3, 0x1.37f8ca5132c4ap-3, 0x1.310faca9903c9p-3, 0x1.2a44eb1ce07cbp-3, 0x1.23984b068e02cp-3, 0x1.1d098f4fcd9fbp-3, 0x1.16987893ad167p-3, 0x1.1044c54226291p-3, 0x1.0a0e31c2255e4p-3, 0x1.03f478929c3e7p-3, 0x1.fbeea4d51e682p-4, 0x1.f02cecb06a177p-4, 0x1.e4a333be307efp-4, 0x1.d950e22a903fcp-4, 0x1.ce355d7f4c574p-4, 0x1.c35008da732fcp-4, 0x1.b8a045234de32p-4, 0x1.ae25713d8455fp-4, 0x1.a3deea3a87c1cp-4, 0x1.99cc0b893e685p-4, 0x1.8fec2f2405e56p-4, 0x1.863eadbd1b9b1p-4, 0x1.7cc2dee955eeap-4, 0x1.7378194956188p-4, 0x1.6a5db2b12825ap-4, 0x1.6173004e60a65p-4, 0x1.58b756ccbeb8dp-4, 0x1.502a0a795b3cap-4, 0x1.47ca6f646d723p-4, 0x1.3f97d981ac6bp-4, 0x1.37919cc757d85p-4, 0x1.2fb70d4bee606p-4, 0x1.28077f629afacp-4, 0x1.208247b661976p-4, 0x1.1926bb64113a1p-4, 0x1.11f43013077f4p-4, 0x1.0ae9fc0cc9977p-4, 0x1.040776537c0acp-4, 0x1.fa97ed6e87a86p-5, 0x1.ed6dabd526392p-5, 0x1.e08edb2adbce4p-5, 0x1.d3fa30cf5abc1p-5, 0x1.c7ae64548d589p-5, 0x1.bbaa2f9f3fe6dp-5, 0x1.afec4f05f1faep-5, 0x1.a473816ddd105p-5, 0x1.993e886641905p-5, 0x1.8e4c284204216p-5, 0x1.839b282fab6ffp-5, 0x1.792a524fcc29p-5, 0x1.6ef873c9ee0e9p-5, 0x1.65045cdff7defp-5, 0x1.5b4ce100312ffp-5, 0x1.51d0d6d5e1a1cp-5, 0x1.488f18589f5a8p-5, 0x1.3f8682da537abp-5, 0x1.36b5f714045eep-5, 0x1.2e1c59316cb93p-5, 0x1.25b890db700abp-5, 0x1.1d898941732cfp-5, 0x1.158e3121a31f9p-5, 0x1.0dc57ad03a494p-5, 0x1.062e5c3dc6483p-5, 0x1.fd8f9df8fdb74p-6, 0x1.ef21a089692c9p-6, 0x1.e110c1f0bf955p-6, 0x1.d35b0b4bb75p-6, 0x1.c5fe8d13abf3bp-6, 0x1.b8f95f20f30a2p-6, 0x1.ac49a0abbc897p-6, 0x1.9fed784b8dd53p-6, 0x1.93e313f56af9ep-6, 0x1.8828a8f8b3108p-6, 0x1.7cbc73facca42p-6, 0x1.719cb8f1a9d66p-6, 0x1.66c7c31d2f861p-6, 0x1.5c3be4ff9547cp-6, 0x1.51f77854c5eddp-6, 0x1.47f8de08cdffbp-6, 0x1.3e3e7e2d6bd2bp-6, 0x1.34c6c7eec1462p-6, 0x1.2b9031873cf1fp-6, 0x1.22993832c6bedp-6, 0x1.19e060212fe7fp-6, 0x1.1164346801d76p-6, 0x1.092346f3a6f0ep-6, 0x1.011c3078004a3p-6, 0x1.f29b20c0e1871p-7, 0x1.e36c197ecbe1cp-7, 0x1.d4a8a47ac8ec4p-7, 0x1.c64e280f55aafp-7, 0x1.b85a177cc8b5fp-7, 0x1.aac9f2c50c5d3p-7, 0x1.9d9b468693c4p-7, 0x1.90cbabd6c6106p-7, 0x1.8458c81bc2208p-7, 0x1.78404ce5b310fp-7, 0x1.6c7ff7c7a3487p-7, 0x1.6115922fe325fp-7, 0x1.55fef14023aebp-7, 0x1.4b39f5a52a7f6p-7, 0x1.40c48b6e59203p-7, 0x1.369ca9e4e02fbp-7, 0x1.2cc05362da349p-7, 0x1.232d952a32ed1p-7, 0x1.19e2873b7819ap-7, 0x1.10dd4c2c96938p-7, 0x1.081c10ff8dad9p-7, 0x1.ff3a19f242a15p-8, 0x1.eebd02ef25b2bp-8, 0x1.debd7392d0115p-8, 0x1.cf3816088e223p-8, 0x1.c029a7b7e13bap-8, 0x1.b18ef8f2b590dp-8, 0x1.a364eca3ecd6ep-8, 0x1.95a877fe48e5ep-8, 0x1.8856a22bbad5dp-8, 0x1.7b6c83fd2bfd2p-8, 0x1.6ee7479ac0878p-8, 0x1.62c42834a3694p-8, 0x1.570071b462701p-8, 0x1.4b99806ee252ap-8, 0x1.408cc0d6f5721p-8, 0x1.35d7af3095dbep-8, 0x1.2b77d744d3b9fp-8, 0x1.216ad41673ad9p-8, 0x1.17ae4f974bb9ep-8, 0x1.0e40025e5f05ap-8, 0x1.051db35ebf349p-8, 0x1.f88a6f3e7286cp-9, 0x1.e768e3e59fba1p-9, 0x1.d6d2a56412276p-9, 0x1.c6c3aeea25badp-9, 0x1.b738159d7d39fp-9, 0x1.a82c0810bb213p-9, 0x1.999bcdbcef5bp-9, 0x1.8b83c67ccf345p-9, 0x1.7de06a09b15dep-9, 0x1.70ae477a539b3p-9, 0x1.63ea04c370e05p-9, 0x1.57905e3a26be9p-9, 0x1.4b9e26182abp-9, 0x1.40104401d723dp-9, 0x1.34e3b48e0a198p-9, 0x1.2a1588cfddbd5p-9, 0x1.1fa2e5e23173ap-9, 0x1.158904750e05bp-9, 0x1.0bc5305cdd0dbp-9, 0x1.0254c8237432fp-9, 0x1.f26a7935ef2bep-10, 0x1.e0c820e514d7p-10, 0x1.cfbdaf99a90f6p-10, 0x1.bf466fb0a68d3p-10, 0x1.af5dccd2ede6dp-10, 0x1.9fff532d1ddcap-10, 0x1.9126aeaae99b8p-10, 0x1.82cfaa3607fb8p-10, 0x1.74f62ef89b14dp-10, 0x1.679643a316ebbp-10, 0x1.5aac0bb59bf0cp-10, 0x1.4e33c6ccbb34fp-10, 0x1.4229cff1ac313p-10, 0x1.368a9cedcb9a4p-10, 0x1.2b52bda18507ep-10, 0x1.207edb5e75e48p-10, 0x1.160bb844e4ab8p-10, 0x1.0bf62ea462cd4p-10, 0x1.023b305fadd3ep-10, 0x1.f1af8ca760497p-11, 0x1.df921f8342bf5p-11, 0x1.ce1883787a3f3p-11, 0x1.bd3d4d30056e5p-11, 0x1.acfb3abcecf51p-11, 0x1.9d4d3288b26fbp-11, 0x1.8e2e4245961d8p-11, 0x1.7f999de6a3fefp-11, 0x1.718a9e9d6ce95p-11, 0x1.63fcc1dd5b5a2p-11, 0x1.56eba8648d11cp-11, 0x1.4a53154a1e51ep-11, 0x1.3e2eed11cdc06p-11, 0x1.327b34c4e87f4p-11, 0x1.2734111065edbp-11, 0x1.1c55c568209b6p-11, 0x1.11dcb32f136f8p-11, 0x1.07c558e48b065p-11, 0x1.fc18a2ac6419dp-12, 0x1.e95ca5adc83c3p-12, 0x1.d7505cf46cea6p-12, 0x1.c5ed9ea935feep-12, 0x1.b52e73801c0f7p-12, 0x1.a50d154a714adp-12, 0x1.9583ed91e66dbp-12, 0x1.868d943c23386p-12, 0x1.7824ce36d3536p-12, 0x1.6a448c2bf7711p-12, 0x1.5ce7e93e530cp-12, 0x1.500a29cdd820ep-12, 0x1.43a6ba43dd8ep-12, 0x1.37b92de70091p-12, 0x1.2c3d3db68dcedp-12, 0x1.212ec74d430ffp-12, 0x1.1689cbcb4c6a9p-12, 0x1.0c4a6ec7512b8p-12, 0x1.026cf54673aaep-12, 0x1.f1db89762fd51p-13, 0x1.df92c414a03a4p-13, 0x1.cdf8e12f9e39cp-13, 0x1.bd0762b06ddep-13, 0x1.acb803d3509e6p-13, 0x1.9d04b764d827ep-13, 0x1.8de7a60b2b17cp-13, 0x1.7f5b2c9afd819p-13, 0x1.7159da77fd4cfp-13, 0x1.63de700067a8fp-13, 0x1.56e3dd03943d8p-13, 0x1.4a653f43328cep-13, 0x1.3e5de0fefb5f7p-13, 0x1.32c9378a99e03p-13, 0x1.27a2e1ed95781p-13, 0x1.1ce6a78cfaa82p-13, 0x1.129076de8dbdfp-13, 0x1.089c64255323ap-13, 0x1.fe0d506e4c486p-14, 0x1.eb973e9679a06p-14, 0x1.d9cf8fa2a1e84p-14, 0x1.c8af82a28cfcfp-14, 0x1.b83096a61cf7ap-14, 0x1.a84c889d3fdb6p-14, 0x1.98fd5147a0b39p-14, 0x1.8a3d2333ad7f2p-14, 0x1.7c0668cc98e93p-14, 0x1.6e53c276fc1f6p-14, 0x1.612004bbb5de2p-14, 0x1.54663680aecb2p-14, 0x1.48218f4f28dc8p-14, 0x1.3c4d75a743b15p-14, 0x1.30e57d605df28p-14, 0x1.25e5661601f2ap-14, 0x1.1b4919a10a24dp-14, 0x1.110caa9cabdp-14, 0x1.072c52f71b11fp-14, 0x1.fb48e51af3abcp-15, 0x1.e8e31ba588911p-15, 0x1.d7209902e8b1fp-15, 0x1.c5faf0af20844p-15, 0x1.b56bf7b9bc6d9p-15, 0x1.a56dc265f177fp-15, 0x1.95faa1ddfb3cdp-15, 0x1.870d21f92e65ep-15, 0x1.78a007143b2ebp-15, 0x1.6aae4bfb1dd5fp-15, 0x1.5d331fe449581p-15, 0x1.5029e47c88f0fp-15, 0x1.438e2c03263p-15, 0x1.375bb775e3344p-15, 0x1.2b8e74cc4e355p-15, 0x1.20227d4209d4fp-15, 0x1.151413af957bap-15, 0x1.0a5fa2f132ad7p-15, 0x1.0001bc5b7bf91p-15, 0x1.ebee2c7a91f66p-16, 0x1.d87914dd00b3dp-16, 0x1.c59e29d6e9447p-16, 0x1.b357a4f8dcb86p-16, 0x1.a19ffed2161f9p-16, 0x1.9071ec6e25aaep-16, 0x1.7fc85ce8eb162p-16, 0x1.6f9e771820675p-16, 0x1.5fef9749e655fp-16, 0x1.50b74d179d7dfp-16, 0x1.41f1594c7db13p-16, 0x1.3399abdf4ab72p-16, 0x1.25ac61fe920abp-16, 0x1.1825c42ee5cbbp-16, 0x1.0b02447a79f71p-16, 0x1.fc7cf9635e546p-17, 0x1.e3ae5977da465p-17, 0x1.cb9271f0b7b8dp-17, 0x1.b423515be4b63p-17, 0x1.9d5b4914cb777p-17, 0x1.8734ea5eef033p-17, 0x1.71ab039c69d31p-17, 0x1.5cb89d9f6dadcp-17, 0x1.4858f915ca868p-17, 0x1.34878c0dcafa7p-17, 0x1.213fff93752b6p-17, 0x1.0e7e2d6573789p-17, 0x1.f87c3b81ae46ep-18, 0x1.d4f80a85f10a1p-18, 0x1.b26885c167b81p-18, 0x1.90c6bbe4a0918p-18, 0x1.700c08a6b95aep-18, 0x1.5032112baf0f4p-18, 0x1.3132c08ff248cp-18, 0x1.13084497fe232p-18, 0x1.eb5a1505606aap-19, 0x1.b23777fa6a09cp-19, 0x1.7a9e786eb4996p-19, 0x1.44854a2e4ee1ep-19, 0x1.0fe289154a3c8p-19, 0x1.b95a67db021cap-20, 0x1.55b94f090d8b6p-20, 0x1.e9a267df0da64p-21, 0x1.2d2458d31a236p-21, 0x1.d7677abed325ap-23, -0x1.e2d3398e788d9p-24, -0x1.d3296f3150864p-22, -0x1.91f03e70ec942p-21, -0x1.1ac391913bf58p-20, -0x1.6a394b2070e75p-20, -0x1.b7656f4d521e6p-20, -0x1.0129d96b6d401p-19, -0x1.2587b0e1cc271p-19, -0x1.48d1b284fc47dp-19, -0x1.6b0d23f9dfc53p-19, -0x1.8c3f1e9fab406p-19, -0x1.ac6c9200c084dp-19, -0x1.cb9a4624fe16cp-19, -0x1.e9ccddc6b4972p-19, -0x1.03846c35b92e5p-18, -0x1.11a94a30de6afp-18, -0x1.1f5728526ad1bp-18, -0x1.2c901753cce14p-18, -0x1.39561a03bba57p-18, -0x1.45ab2614404bfp-18, -0x1.519124ddc4e6ep-18, -0x1.5d09f4179ba79p-18, -0x1.6817668678337p-18, -0x1.72bb44a13f177p-18, -0x1.7cf74d2c9ae57p-18, -0x1.86cd35cdbd978p-18, -0x1.903eab94abe64p-18, -0x1.994d537e7850dp-18, -0x1.a1facaefc3bb3p-18, -0x1.aa48a827df00bp-18, -0x1.b2387aace4879p-18, -0x1.b9cbcbb115584p-18, -0x1.c1041e71d3f15p-18, -0x1.c7e2f0907bac1p-18, -0x1.ce69ba656ae16p-18, -0x1.d499ef4d7f80fp-18, -0x1.da74fdf249438p-18, -0x1.dffc508d3a644p-18, -0x1.e5314d260d5b2p-18, -0x1.ea1555cca1e2ep-18, -0x1.eea9c8ce8aa66p-18, -0x1.f2f000e882ed2p-18, -0x1.f6e9557401047p-18, -0x1.fa971a911d07dp-18, -0x1.fdfaa14cfb02ep-18, -0x1.008a9be273fdcp-17, -0x1.01f414a32cb9ep-17, -0x1.033a5f35fd2bp-17, -0x1.045e1e9bf8d62p-17, -0x1.055ff495c34d5p-17, -0x1.064081ae27ffdp-17, -0x1.0700654386929p-17, -0x1.07a03d9028a54p-17, -0x1.0820a7b1904a6p-17, -0x1.08823faed0edfp-17, -0x1.08c5a07e00c84p-17, -0x1.08eb6408d26e9p-17, -0x1.08f42330665bdp-17, -0x1.08e075d05f3ffp-17, -0x1.08b0f2c1485cbp-17, -0x1.08662fda59e67p-17, -0x1.0800c1f2a6378p-17, -0x1.07813ce1bd625p-17, -0x1.06e8337fcf343p-17, -0x1.063637a558a16p-17, -0x1.056bda2a64877p-17, -0x1.0489aae569b7ap-17, -0x1.039038a9cfa71p-17, -0x1.028011462143bp-17, -0x1.0159c181f6b7fp-17, -0x1.001dd51b9dc15p-17, -0x1.fd99ad8b0d021p-18, -0x1.facea046fbb9fp-18, -0x1.f7db938f73cddp-18, -0x1.f4c1965f7d8e1p-18, -0x1.f181b58247e48p-18, -0x1.ee1cfb8c7638ep-18, -0x1.ea9470d5468f3p-18, -0x1.e6e91b6f8e6e9p-18, -0x1.e31bff22a14c4p-18, -0x1.df2e1d632314p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.0ce3e17ee63cp-4, 0x1.0d91631414a3dp-4, 0x1.0c73fab0b4591p-4, 0x1.0987c1b4f6de3p-4, 0x1.04cbcedcaa3cp-4, 0x1.fc841491893b4p-5, 0x1.ebddfa67ac9edp-5, 0x1.d7b33d96dd726p-5, 0x1.c0163ed7d6f48p-5, 0x1.a51d668b72a88p-5, 0x1.86e2ba85c42ffp-5, 0x1.658375b32f064p-5, 0x1.411fa2a7f35b4p-5, 0x1.19d9b9ec37493p-5, 0x1.dfac894325cdep-6, 0x1.867707e5364e8p-6, 0x1.28623b2fa2a1dp-6, 0x1.8b7f367ad8261p-7, 0x1.7b88ec361fa58p-8, -0x1.7c37d3096c1cap-11, -0x1.e8de4ed3b949dp-8, -0x1.d794c2a815535p-7, -0x1.604587cd02063p-6, -0x1.d755095f6b53cp-6, -0x1.2852efc947656p-5, -0x1.65f323e36e44fp-5, -0x1.a46303b67fa79p-5, -0x1.e37b542c69c6cp-5, -0x1.118aeb69d51fcp-4, -0x1.3186b06b7d542p-4, -0x1.519ef75a0fddp-4, -0x1.71c25a7578cadp-4, -0x1.91e016ee1473fp-4, -0x1.b1e81286c6ff9p-4, -0x1.d1cae003975ap-4, -0x1.f179c27d8412fp-4, -0x1.087357d991de9p-3, -0x1.180228b6483edp-3, -0x1.27630303e914dp-3, -0x1.368ff020fcd13p-3, -0x1.45835327efcep-3, -0x1.5437e82c2ede4p-3, -0x1.62a8c3306429cp-3, -0x1.70d14edda815ep-3, -0x1.7ead4b03041cp-3, -0x1.8c38cae402b6ep-3, -0x1.9970335cc2f0cp-3, -0x1.a65038e15470ap-3, -0x1.b2d5dd5ddeeaep-3, -0x1.befe6dfc93078p-3, -0x1.cac780d604b2ep-3, -0x1.d62ef29030aecp-3, -0x1.e132e3f0068cap-3, -0x1.ebd1b76110e6ap-3, -0x1.f60a0e7666d7p-3, -0x1.ffdac767e22dcp-3, -0x1.04a17d471a91dp-2, -0x1.0920fbf027267p-2, -0x1.0d6ba23a0f7bap-2, -0x1.11814c025dfa9p-2, -0x1.1561ed3fc53f4p-2, -0x1.190d90ccf549dp-2, -0x1.1c84573864353p-2, -0x1.1fc67599941a1p-2, -0x1.22d4346c5af16p-2, -0x1.25adee7299888p-2, -0x1.28540f9cba5d7p-2, -0x1.2ac713f94c655p-2, -0x1.2d0786abf1966p-2, -0x1.2f1600ebd830bp-2, -0x1.30f32909e7ab1p-2, -0x1.329fb17eb49fap-2, -0x1.341c58005c428p-2, -0x1.3569e4a0444edp-2, -0x1.368928f0cad9ep-2, -0x1.377aff32df023p-2, -0x1.3840498b7a909p-2, -0x1.38d9f140e5acp-2, -0x1.3948e5ffb9a21p-2, -0x1.398e1d27870dfp-2, -0x1.39aa911efb4edp-2, -0x1.399f40af74256p-2, -0x1.396d2e67d1892p-2, -0x1.391560066a704p-2, -0x1.3898dde9f81efp-2, -0x1.37f8b289522b2p-2, -0x1.3735e9f1d39f7p-2, -0x1.3651914c3a9f3p-2, -0x1.354cb667d852bp-2, -0x1.3428674be7c41p-2, -0x1.32e5b1ced9fa5p-2, -0x1.3185a333709e7p-2, -0x1.300947cb7497p-2, -0x1.2e71aa9fe1e6p-2, -0x1.2cbfd51e5391dp-2, -0x1.2af4cecb8f7e1p-2, -0x1.29119cfaf8972p-2, -0x1.2717428ac7a5dp-2, -0x1.2506bfa4d9188p-2, -0x1.22e11183e6db1p-2, -0x1.20a7323d07896p-2, -0x1.1e5a188d43ed7p-2, -0x1.1bfab7ab22aep-2, -0x1.1989ff1bfb8f5p-2, -0x1.1708da8cf0683p-2, -0x1.147831af62743p-2, -0x1.11d8e818c53a1p-2, -0x1.0f2bdd25a147bp-2, -0x1.0c71ebdfacd2cp-2, -0x1.09abeae6d4695p-2, -0x1.06daac5d0f331p-2, -0x1.03fefdd4e5b04p-2, -0x1.0119a842819fep-2, -0x1.fc56dfde64c19p-3, -0x1.f66a28de7c71ap-3, -0x1.f06ea133d96eap-3, -0x1.ea65b5074e07ep-3, -0x1.e450c6f4276cfp-3, -0x1.de31300431549p-3, -0x1.d8083faf48094p-3, -0x1.d1d73bde45d6bp-3, -0x1.cb9f60f126052p-3, -0x1.c561e1c827baep-3, -0x1.bf1fe7cfc306fp-3, -0x1.b8da930f43378p-3, -0x1.b292fa39e5f22p-3, -0x1.ac4a2ac24f8c9p-3, -0x1.a60128f022841p-3, -0x1.9fb8eff7b064fp-3, -0x1.99727213830c9p-3, -0x1.932e989facaccp-3, -0x1.8cee4436b296bp-3, -0x1.86b24ccffe919p-3, -0x1.807b81dfa8ff9p-3, -0x1.7a4aaa778958ep-3, -0x1.742085696c712p-3, -0x1.6dfdc96a50db8p-3, -0x1.67e3253696f6dp-3, -0x1.61d13fb704f52p-3, -0x1.5bc8b8268c678p-3, -0x1.55ca2638afep-3, -0x1.4fd61a4080c0ap-3, -0x1.49ed1d58174d2p-3, -0x1.440fb1886e234p-3, -0x1.3e3e51f1992d2p-3, -0x1.387972f33a265p-3, -0x1.32c1825529e79p-3, -0x1.2d16e7703dd8fp-3, -0x1.277a035723606p-3, -0x1.21eb30ff3ed61p-3, -0x1.1c6ac569755bbp-3, -0x1.16f90fcaed073p-3, -0x1.119659b59a08dp-3, -0x1.0c42e740a5fe8p-3, -0x1.06fef73091ca1p-3, -0x1.01cac31f1ab62p-3, -0x1.f94cff4592cdfp-4, -0x1.ef24b8ec55308p-4, -0x1.e51d093d4727cp-4, -0x1.db363d25cbce3p-4, -0x1.d17098c1cc609p-4, -0x1.c7cc57a6d0fb5p-4, -0x1.be49ad2e0a6cep-4, -0x1.b4e8c4bd63fb3p-4, -0x1.aba9c20f7baf8p-4, -0x1.a28cc17a84ad9p-4, -0x1.9991d8360a6f9p-4, -0x1.90b9149f7f17ap-4, -0x1.88027e7da2e82p-4, -0x1.7f6e1742aeb9fp-4, -0x1.76fbda4d42505p-4, -0x1.6eabbd2811175p-4, -0x1.667dafc849c7dp-4, -0x1.5e719ccab34fap-4, -0x1.568769af7ea3ep-4, -0x1.4ebef714cada1p-4, -0x1.471820efd88aap-4, -0x1.3f92bec4eca92p-4, -0x1.382ea3dde1f18p-4, -0x1.30eb9f7f6836ap-4, -0x1.29c97d1cf3803p-4, -0x1.22c8048b59645p-4, -0x1.1be6fa321ff36p-4, -0x1.15261f3b7ddc2p-4, -0x1.0e8531c30fa7ap-4, -0x1.0803ed0341dedp-4, -0x1.01a2098176162p-4, -0x1.f6be7a71c1838p-5, -0x1.ea76778850e3ep-5, -0x1.de6b6d0b89695p-5, -0x1.d29cb99e49c2bp-5, -0x1.c709b80d3c8fcp-5, -0x1.bbb1bf9851979p-5, -0x1.b0942439d9d36p-5, -0x1.a5b036eb4e0b5p-5, -0x1.9b0545e7cc552p-5, -0x1.90929cec50ae2p-5, -0x1.86578575b7d19p-5, -0x1.7c5346fc9029ep-5, -0x1.7285272ec8b21p-5, -0x1.68ec6a2743c2fp-5, -0x1.5f8852a356f13p-5, -0x1.565822364886ep-5, -0x1.4d5b197acdc1bp-5, -0x1.4490784299522p-5, -0x1.3bf77dc402e6fp-5, -0x1.338f68c5d0eadp-5, -0x1.2b5777c932e13p-5, -0x1.234ee931f3c61p-5, -0x1.1b74fb6cf0663p-5, -0x1.13c8ed14dbe5bp-5, -0x1.0c49fd155ec32p-5, -0x1.04f76acc9762ep-5, -0x1.fba0ec5615cfdp-6, -0x1.eda8bfa41c31bp-6, -0x1.e004d26163da1p-6, -0x1.d2b3a93e76fedp-6, -0x1.c5b3caf27148fp-6, -0x1.b903c06c60dfbp-6, -0x1.aca2150208211p-6, -0x1.a08d569c09e44p-6, -0x1.94c415df90732p-6, -0x1.8944e6558ee67p-6, -0x1.7e0e5e8f9e4d2p-6, -0x1.731f184aa18a6p-6, -0x1.6875b08f23f5ap-6, -0x1.5e10c7cfa4b12p-6, -0x1.53ef0204c6faap-6, -0x1.4a0f06c788886p-6, -0x1.406f81698934fp-6, -0x1.370f210b74294p-6, -0x1.2dec98b1a1bdp-6, -0x1.25069f56f7bp-6, -0x1.1c5beffe25483p-6, -0x1.13eb49c1393abp-6, -0x1.0bb36fdfb8117p-6, -0x1.03b329cb28807p-6, -0x1.f7d2866475ec6p-7, -0x1.e8a91815132ccp-7, -0x1.d9e7b13216b8bp-7, -0x1.cb8c02f27d3d5p-7, -0x1.bd93c7463be5fp-7, -0x1.affcc0dfd9a31p-7, -0x1.a2c4bb3bc49a4p-7, -0x1.95e98aa589bfdp-7, -0x1.89690c3b0685cp-7, -0x1.7d4125eda2b43p-7, -0x1.716fc681aff86p-7, -0x1.65f2e58c0176cp-7, -0x1.5ac8836dd7852p-7, -0x1.4feea94f3071p-7, -0x1.456369178cf4ap-7, -0x1.3b24dd6547758p-7, -0x1.313129838a92bp-7, -0x1.2786795ef8523p-7, -0x1.1e2301791872dp-7, -0x1.1504feda9c3cbp-7, -0x1.0c2ab70489b02p-7, -0x1.039277e05f1b3p-7, -0x1.f6752f5e792eap-8, -0x1.e642e9f04d70dp-8, -0x1.d68aecead88c5p-8, -0x1.c74a16028449p-8, -0x1.b87d53033df8dp-8, -0x1.aa21a1a6cf122p-8, -0x1.9c340f69eb56p-8, -0x1.8eb1b9601018ep-8, -0x1.8197cc064bc1cp-8, -0x1.74e38315044cfp-8, -0x1.68922950d356dp-8, -0x1.5ca1185a8c828p-8, -0x1.510db87e835a1p-8, -0x1.45d5808321418p-8, -0x1.3af5f576e51bfp-8, -0x1.306caa7dd633cp-8, -0x1.2637409e81c25p-8, -0x1.1c53668e92035p-8, -0x1.12bed87f0d2dbp-8, -0x1.09775fe84e566p-8, -0x1.007ad355c336fp-8, -0x1.ef8e2c630367cp-9, -0x1.deb4311f76a84p-9, -0x1.ce63adf4478b6p-9, -0x1.be98b4769d519p-9, -0x1.af4f6e5429e87p-9, -0x1.a0841cea170b1p-9, -0x1.923318dc296cfp-9, -0x1.8458d1ac2ec4ap-9, -0x1.76f1cd51c9493p-9, -0x1.69faa7d2a7d62p-9, -0x1.5d7012db4139fp-9, -0x1.514ed5581df2p-9, -0x1.4593cb0fbc25dp-9, -0x1.3a3be43d2617p-9, -0x1.2f44252b3d45fp-9, -0x1.24a9a5d0cf203p-9, -0x1.1a69916d77b86p-9, -0x1.10812627636c6p-9, -0x1.06edb4a9f87a5p-9, -0x1.fb593f8ad46bdp-10, -0x1.e976b81e9e65p-10, -0x1.d82edf085d1f8p-10, -0x1.c77ce25436fb1p-10, -0x1.b75c1168c02fp-10, -0x1.a7c7dc507831dp-10, -0x1.98bbd30581f64p-10, -0x1.8a33a4bf981c8p-10, -0x1.7c2b1f44581ecp-10, -0x1.6e9e2e39d4b4ap-10, -0x1.6188da7b8dd48p-10, -0x1.54e74971c30fbp-10, -0x1.48b5bc6b390f2p-10, -0x1.3cf08ff95f0cap-10, -0x1.31943b4eef4dfp-10, -0x1.269d4fa10861p-10, -0x1.1c08778aad16ap-10, -0x1.11d27672d602ep-10, -0x1.07f827f4ed1cdp-10, -0x1.fcecfe979be2fp-11, -0x1.ea950d7e7d30dp-11, -0x1.d8e2be27d7189p-11, -0x1.c7d07dfbb23a5p-11, -0x1.b758e52aa5defp-11, -0x1.a776b59ca671cp-11, -0x1.9824d9e4c088fp-11, -0x1.895e6439bdc8dp-11, -0x1.7b1e8d73aa2d8p-11, -0x1.6d60b40e33debp-11, -0x1.60205b2fde949p-11, -0x1.535929b602aap-11, -0x1.4706e9458c9bdp-11, -0x1.3b2585607631fp-11, -0x1.2fb10a7fed9e7p-11, -0x1.24a5a5331f887p-11, -0x1.19ffa1429baedp-11, -0x1.0fbb68d844d29p-11, -0x1.05d583abc239dp-11, -0x1.f8952c66ccd35p-12, -0x1.e62ec1b2fc0bfp-12, -0x1.d4717e6bf239p-12, -0x1.c3574e98c561cp-12, -0x1.b2da519c2f5c1p-12, -0x1.a2f4d8c163803p-12, -0x1.93a165d127b48p-12, -0x1.84daa9af1de59p-12, -0x1.769b82ff1a57ep-12, -0x1.68defcd269ff2p-12, -0x1.5ba04d5cf1706p-12, -0x1.4edad4b1fcce6p-12, -0x1.428a1b88acdd5p-12, -0x1.36a9d207db6afp-12, -0x1.2b35ce995e45bp-12, -0x1.202a0cc484475p-12, -0x1.1582ac0fb8a3ap-12, -0x1.0b3beee91fe3ep-12, -0x1.015239961c192p-12, -0x1.ef8422532b2dfp-13, -0x1.dd103501ceaedp-13, -0x1.cb42328eab9d1p-13, -0x1.ba13ddffdb01fp-13, -0x1.a97f342b5caf6p-13, -0x1.997e69e3cbef2p-13, -0x1.8a0bea312cdf1p-13, -0x1.7b225495a8244p-13, -0x1.6cbc7b5de94cfp-13, -0x1.5ed561fcf4a45p-13, -0x1.51683b732c6a3p-13, -0x1.447068c052fdp-13, -0x1.37e977605b208p-13, -0x1.2bcf1fd2b4699p-13, -0x1.201d442bf9b06p-13, -0x1.14cfeeb1adc43p-13, -0x1.09e3507feef68p-13, -0x1.fea780718ed38p-14, -0x1.ea3b717a10427p-14, -0x1.d67bafdcbd4e9p-14, -0x1.c361baf500b8ep-14, -0x1.b0e7535e672d6p-14, -0x1.9f0678adff3fbp-14, -0x1.8db9673cba67p-14, -0x1.7cfa960249da2p-14, -0x1.6cc4b480352d6p-14, -0x1.5d12a8bcb8abfp-14, -0x1.4ddf8d4d126cfp-14, -0x1.3f26af6ee01d9p-14, -0x1.30e38d3031146p-14, -0x1.2311d3a5f3dedp-14, -0x1.15ad5d3063984p-14, -0x1.08b22fcd20e8ap-14, -0x1.f838f6ed3afefp-15, -0x1.dfd131210f71p-15, -0x1.c8260cc1c266ep-15, -0x1.b130d32ae3a92p-15, -0x1.9aeb15aa85633p-15, -0x1.854eaabbabf33p-15, -0x1.7055ab5798cdcp-15, -0x1.5bfa705d5922ep-15, -0x1.4837900f03d48p-15, -0x1.3507dba41643dp-15, -0x1.22665cf05c3f2p-15, -0x1.104e541edaddfp-15, -0x1.fd766b006504fp-16, -0x1.db514ed7e4a94p-16, -0x1.ba250068a9548p-16, -0x1.99e98857d3029p-16, -0x1.7a97477958848p-16, -0x1.5c26f3200ed53p-16, -0x1.3e91918e9db99p-16, -0x1.21d0768873e2bp-16, -0x1.05dd4001cd809p-16, -0x1.d563a5dbdbc62p-17, -0x1.a090b05553d0bp-17, -0x1.6d367310da67ep-17, -0x1.3b4a3ddbbfd9cp-17, -0x1.0ac1d72cc04b4p-17, -0x1.b726edaa1cc0bp-18, -0x1.5b6b81c7ad13fp-18, -0x1.023f81758cdf5p-18, -0x1.57239148544e8p-19, -0x1.5d47bd54eacfcp-20, -0x1.5c10364ff3261p-24, 0x1.288932719ba61p-20, 0x1.2ee8401b18cc7p-19, 0x1.c5260af008478p-19, 0x1.2b8c354dc52fcp-18, 0x1.726c5ba0d5344p-18, 0x1.b73f9f05762fdp-18, 0x1.fa11a72ceae19p-18, 0x1.1d76d19d94db4p-17, 0x1.3cef27ecdc50cp-17, 0x1.5b76fe84f3414p-17, 0x1.791349dc42277p-17, 0x1.95c8cd8a966ecp-17, 0x1.b19c1ed79b05ap-17, 0x1.cc91a72d0d334p-17, 0x1.e6ada66dbfccap-17, 0x1.fff43532400e9p-17, 0x1.0c34a3760ab73p-16, 0x1.180855f83e99ap-16, 0x1.237709b5b7f7p-16, 0x1.2e82869df0bd8p-16, 0x1.392c85dcf43f7p-16, 0x1.4376b2b3dc22fp-16, 0x1.4d62ab470cfb8p-16, 0x1.56f2016295fd6p-16, 0x1.60263b3515cacp-16, 0x1.6900d40171745p-16, 0x1.71833cc7c1d72p-16, 0x1.79aedce5c4706p-16, 0x1.818512af26208p-16, 0x1.890733fdf214ep-16, 0x1.90368ebb76454p-16, 0x1.97146961ee396p-16, 0x1.9da203772d03ep-16, 0x1.a3e096009da2p-16, 0x1.a9d153f0d2ae8p-16, 0x1.af756a8eeee68p-16, 0x1.b4ce01d823079p-16, 0x1.b9dc3cdb7f001p-16, 0x1.bea13a1051866p-16, 0x1.c31e13a758648p-16, 0x1.c753dfd6ed69dp-16, 0x1.cb43b1226eb5ep-16, 0x1.ceee969d1866p-16, 0x1.d2559c2879718p-16, 0x1.d579caaec1ac1p-16, 0x1.d85c28590cf63p-16, 0x1.dafdb8c1e317dp-16, 0x1.dd5f7d240e222p-16, 0x1.df82748603e15p-16, 0x1.e1679be1f17e9p-16, 0x1.e30fee4aaff12p-16, 0x1.e47c650dafa7ap-16, 0x1.e5adf7d20987p-16, 0x1.e6a59cb4dfc33p-16, 0x1.e764486324e86p-16, 0x1.e7eaee30f44f6p-16, 0x1.e83a802e95efep-16, 0x1.e853ef3b5307bp-16, 0x1.e8382b16307c7p-16, 0x1.e7e8226cb69a7p-16, 0x1.e764c2e7d9a41p-16, 0x1.e6aef93720059p-16, 0x1.e5c7b11a218dep-16, 0x1.e4afd56876044p-16, 0x1.e368501830a49p-16, 0x1.e1f20a42f1e12p-16, 0x1.e04dec29b6535p-16, 0x1.de7cdd376b7ffp-16, 0x1.dc7fc40263a8bp-16, 0x1.da57864cb8843p-16, 0x1.d8050903b6cd8p-16, 0x1.d589303e5b514p-16, 0x1.d2e4df3af5a4fp-16, 0x1.d018f85c07978p-16, 0x1.cd265d2462ccap-16, 0x1.ca0dee32a2c52p-16, 0x1.c6d08b3c040e4p-16, 0x1.c36f1306b4b1bp-16, 0x1.bfea636398da4p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.6f480c774056dp-1, 0x1.6dba2faf0c6eep-1, 0x1.6c1d7557b1c5bp-1, 0x1.6a74baf8d4733p-1, 0x1.68c2b1c96e616p-1, 0x1.6709d77e16d08p-1, 0x1.654c715f85c9bp-1, 0x1.638c8951b2d15p-1, 0x1.61cbec7b2409cp-1, 0x1.600c2b43c197cp-1, 0x1.5e4e9a6a503e7p-1, 0x1.5c9454f75f051p-1, 0x1.5ade3edbc0e56p-1, 0x1.592d080f6fad5p-1, 0x1.5781300bfbd83p-1, 0x1.55db098359629p-1, 0x1.543abe38e7107p-1, 0x1.52a052e720291p-1, 0x1.510bab205648dp-1, 0x1.4f7c8d1c55a0ep-1, 0x1.4df2a567ce313p-1, 0x1.4c6d8a6cfb047p-1, 0x1.4aecbfcf30542p-1, 0x1.496fb994d27eap-1, 0x1.47f5df1cce514p-1, 0x1.467e8dddf09ddp-1, 0x1.45091bef8a36cp-1, 0x1.4394da5baaa5p-1, 0x1.4221173bebap-1, 0x1.40ad1fa24f342p-1, 0x1.3f38415019e16p-1, 0x1.3dc1cc3ce2e68p-1, 0x1.3c4913f048d2cp-1, 0x1.3acd70b0dcc26p-1, 0x1.394e408aeca6p-1, 0x1.37cae831d760ep-1, 0x1.3642d3be9a284p-1, 0x1.34b5774e336c5p-1, 0x1.33224f826de69p-1, 0x1.3188e1e789d2p-1, 0x1.2fe8bd4124c62p-1, 0x1.2e4179c0a3a5ap-1, 0x1.2c92b92742a06p-1, 0x1.2adc26d5d4ab5p-1, 0x1.291d77cc15ffcp-1, 0x1.27566a995d3a6p-1, 0x1.2586c74055456p-1, 0x1.23ae5f0f49ae2p-1, 0x1.21cd0c6e77b6dp-1, 0x1.1fe2b2a5b6caep-1, 0x1.1def3d9aafef6p-1, 0x1.1bf2a188c757p-1, 0x1.19ecdab3be384p-1, 0x1.17dded15fc274p-1, 0x1.15c5e40b60e9bp-1, 0x1.13a4d1f962e9fp-1, 0x1.117acff530609p-1, 0x1.0f47fd6878c75p-1, 0x1.0d0c7fb5709bdp-1, 0x1.0ac881da940adp-1, 0x1.087c3416a13dap-1, 0x1.0627cb8d2faaap-1, 0x1.03cb81ec460b4p-1, 0x1.016795133f03p-1, 0x1.fdf88d7689a07p-2, 0x1.f913b843495c3p-2, 0x1.f4213b6857337p-2, 0x1.ef21ad7f82126p-2, 0x1.ea15aa42c122p-2, 0x1.e4fdd1f32c2e8p-2, 0x1.dfdac8c52b4d6p-2, 0x1.daad3652094c6p-2, 0x1.d575c50f0824fp-2, 0x1.d03521ca07b7fp-2, 0x1.caebfb2bda185p-2, 0x1.c59b01403fab4p-2, 0x1.c042e5039298fp-2, 0x1.bae457f619325p-2, 0x1.b5800bb4f7d22p-2, 0x1.b016b198af4efp-2, 0x1.aaa8fa591354p-2, 0x1.a53795b6aa1c1p-2, 0x1.9fc332294d184p-2, 0x1.9a4c7c93fc003p-2, 0x1.94d41ffdb7a0ep-2, 0x1.8f5ac54f4ae9ep-2, 0x1.89e11315d86e7p-2, 0x1.8467ad4a0f563p-2, 0x1.7eef351bd83b7p-2, 0x1.797848c260e6cp-2, 0x1.7403835051b05p-2, 0x1.6e917c8c10d14p-2, 0x1.6922c8cbe344bp-2, 0x1.63b7f8d5cbfe6p-2, 0x1.5e5199c2f915ep-2, 0x1.58f034e69e5b1p-2, 0x1.53944fb811c8bp-2, 0x1.4e3e6bc007f8dp-2, 0x1.48ef0688c6d21p-2, 0x1.43a6999127496p-2, 0x1.3e659a424931bp-2, 0x1.392c79e7ccad9p-2, 0x1.33fba5aa73cb9p-2, 0x1.2ed3868d075b9p-2, 0x1.29b4816b5d902p-2, 0x1.249ef6fb65654p-2, 0x1.1f9343d0116a3p-2, 0x1.1a91c05e08dccp-2, 0x1.159ac101fe8a4p-2, 0x1.10ae960893f44p-2, 0x1.0bcd8bb7a66afp-2, 0x1.06f7ea58f5d69p-2, 0x1.022df64602731p-2, 0x1.fadfdfea16fcdp-3, 0x1.f17c280e3c494p-3, 0x1.e83136ae22f37p-3, 0x1.deff7612c9055p-3, 0x1.d5e74939c8b68p-3, 0x1.cce90bf81382ep-3, 0x1.c405131ded7p-3, 0x1.bb3bac9c0e1b8p-3, 0x1.b28d1fa9c0e09p-3, 0x1.a9f9acebe2a5dp-3, 0x1.a1818e9ca12ffp-3, 0x1.9924f8b3da8a2p-3, 0x1.90e4191005a6ep-3, 0x1.88bf179f89d5dp-3, 0x1.80b6168a6481fp-3, 0x1.78c9325c0f269p-3, 0x1.70f8822d8dba3p-3, 0x1.694417cf8b2c4p-3, 0x1.61abfff476c45p-3, 0x1.5a30425a8c64bp-3, 0x1.52d0e1f5bc419p-3, 0x1.4b8ddd1955056p-3, 0x1.44672da1792e8p-3, 0x1.3d5cc91c33ab2p-3, 0x1.366ea0f239c62p-3, 0x1.2f9ca28f41c44p-3, 0x1.28e6b789df3cbp-3, 0x1.224cc5caeb56bp-3, 0x1.1bceafb45a218p-3, 0x1.156c54478cdcap-3, 0x1.0f258f4b01864p-3, 0x1.08fa396f695b5p-3, 0x1.02ea287421048p-3, 0x1.f9ea5e95e3996p-4, 0x1.ee363c7661fdcp-4, 0x1.e2b786084b55fp-4, 0x1.d76dd1fd6eea4p-4, 0x1.cc58b27cd76d7p-4, 0x1.c177b56330a01p-4, 0x1.b6ca6481cd1b9p-4, 0x1.ac5045dc19413p-4, 0x1.a208dbe38ea6p-4, 0x1.97f3a5b226efp-4, 0x1.8e101f433faebp-4, 0x1.845dc1ab00b02p-4, 0x1.7adc034c366efp-4, 0x1.718a580ca68a3p-4, 0x1.68683187e23eep-4, 0x1.5f74ff4094183p-4, 0x1.56b02ed04e77ep-4, 0x1.4e192c15dd3f8p-4, 0x1.45af61621c8ap-4, 0x1.3d7237a359363p-4, 0x1.3561168f40b4fp-4, 0x1.2d7b64cb5fefep-4, 0x1.25c088143c024p-4, 0x1.1e2fe56304c44p-4, 0x1.16c8e111e9416p-4, 0x1.0f8adeff11436p-4, 0x1.087542ae44eafp-4, 0x1.01876f694364fp-4, 0x1.f58190bda8af6p-5, 0x1.e841618128115p-5, 0x1.db4d17bf0e252p-5, 0x1.cea37a8ee9942p-5, 0x1.c24351b22d7cfp-5, 0x1.b62b65c636737p-5, 0x1.aa5a80741367cp-5, 0x1.9ecf6c9e121a8p-5, 0x1.9388f68b2547ap-5, 0x1.8885ec102daf6p-5, 0x1.7dc51cb733b4ap-5, 0x1.734559e49fff1p-5, 0x1.690576fa80d82p-5, 0x1.5f044979e7e14p-5, 0x1.5540a9226d265p-5, 0x1.4bb9700fe870ap-5, 0x1.426d7ad668f2p-5, 0x1.395ba89c7b1cbp-5, 0x1.3082db33c8f9dp-5, 0x1.27e1f73022013p-5, 0x1.1f77e3fcf6111p-5, 0x1.17438bf150884p-5, 0x1.0f43dc6260893p-5, 0x1.0777c5b497e4ap-5, 0x1.ffbc76d6e26bdp-6, 0x1.f0ec686fc5a3bp-6, 0x1.e27d540b20f3ap-6, 0x1.d46d340d82e8ap-6, 0x1.c6ba097e53a41p-6, 0x1.b961dc1b24f71p-6, 0x1.ac62ba68cb525p-6, 0x1.9fbab9c261507p-6, 0x1.9367f666411d9p-6, 0x1.876893810dc58p-6, 0x1.7bbabb36dd4bbp-6, 0x1.705c9eaa95d92p-6, 0x1.654c760393cffp-6, 0x1.5a888071abc5bp-6, 0x1.500f042f95c1cp-6, 0x1.45de4e83d6293p-6, 0x1.3bf4b3c039738p-6, 0x1.32508f3fe9b29p-6, 0x1.28f043643a125p-6, 0x1.1fd239902c8a9p-6, 0x1.16f4e222cc7f3p-6, 0x1.0e56b47061d3cp-6, 0x1.05f62eba945fdp-6, 0x1.fba3ac4f160bap-7, 0x1.ebd06d70235e5p-7, 0x1.dc6fc679a87fdp-7, 0x1.cd7eea95819ccp-7, 0x1.befb1a5d2c16bp-7, 0x1.b0e1a3bf5ee5p-7, 0x1.a32fe1e42e014p-7, 0x1.95e33d0fd93e4p-7, 0x1.88f92a8456045p-7, 0x1.7c6f2c61a63fp-7, 0x1.7042d1851b72p-7, 0x1.6471b56791385p-7, 0x1.58f97ffab5b1cp-7, 0x1.4dd7e58570c23p-7, 0x1.430aa67f817fbp-7, 0x1.388f8f6c5800cp-7, 0x1.2e6478b548cffp-7, 0x1.2487468321e82p-7, 0x1.1af5e897333aap-7, 0x1.11ae5a23d8d4cp-7, 0x1.08aea1a4958ddp-7, 0x1.ffe9a16b96f28p-8, 0x1.eefe07d83f86ap-8, 0x1.de96c5572a761p-8, 0x1.ceb03dfcd466fp-8, 0x1.bf46ead78ec7p-8, 0x1.b057599c8b5a7p-8, 0x1.a1de2c54b6d08p-8, 0x1.93d819096c382p-8, 0x1.8641e9711b82p-8, 0x1.79187a9bf1b2ep-8, 0x1.6c58bca093a9ep-8, 0x1.5fffb249016eep-8, 0x1.540a70bfa95adp-8, 0x1.48761f3cc22e4p-8, 0x1.3d3ff6b3f3b09p-8, 0x1.3265418261429p-8, 0x1.27e35b1d1e471p-8, 0x1.1db7afc01abc2p-8, 0x1.13dfbc1d9196bp-8, 0x1.0a590d0e08a3fp-8, 0x1.01213f40e3e92p-8, 0x1.f06bfddb37688p-9, 0x1.df2a0f0b3d50dp-9, 0x1.ce7846cdc6db8p-9, 0x1.be52571e6ccffp-9, 0x1.aeb40ea08da82p-9, 0x1.9f995808fc8edp-9, 0x1.90fe398946d0ep-9, 0x1.82ded43ca7669p-9, 0x1.75376396a8051p-9, 0x1.68043cd37eea9p-9, 0x1.5b41ce6a32674p-9, 0x1.4eec9f8087c4ap-9, 0x1.43014f60c71c7p-9, 0x1.377c94f159c0dp-9, 0x1.2c5b3e2e43c5dp-9, 0x1.219a2fa48aaf5p-9, 0x1.173663ef7d723p-9, 0x1.0d2ceb37ef3aep-9, 0x1.037aeab55da8ep-9, 0x1.f43b38621a61bp-10, 0x1.e2249b1632c9dp-10, 0x1.d0acc082f3671p-10, 0x1.bfce91f1fe3bap-10, 0x1.af851e108f07fp-10, 0x1.9fcb98095613dp-10, 0x1.909d56a240647p-10, 0x1.81f5d35e245fp-10, 0x1.73d0a9a2683aep-10, 0x1.662995e07f5d7p-10, 0x1.58fc74c35763dp-10, 0x1.4c4542609af59p-10, 0x1.4000196dd9037p-10, 0x1.34293279720b6p-10, 0x1.28bce3275e86ap-10, 0x1.1db79d71b91c9p-10, 0x1.1315eeed05d99p-10, 0x1.08d480102fa86p-10, 0x1.fde0270081ca8p-11, 0x1.eacb0abf614c4p-11, 0x1.d8639542be219p-11, 0x1.c6a3e0be38c1bp-11, 0x1.b58636677ce2fp-11, 0x1.a5050d316daacp-11, 0x1.951b088e3f611p-11, 0x1.85c2f7386b4b8p-11, 0x1.76f7d2026523ep-11, 0x1.68b4baacff3f6p-11, 0x1.5af4fac466a99p-11, 0x1.4db402839f199p-11, 0x1.40ed67be69d18p-11, 0x1.349ce4d17ea24p-11, 0x1.28be579901e93p-11, 0x1.1d4dc06d1d696p-11, 0x1.12474124a5eep-11, 0x1.07a71c1db6852p-11, 0x1.fad366984c26dp-12, 0x1.e7170e9b87c6ep-12, 0x1.d4126d087e87dp-12, 0x1.c1bef86948bc2p-12, 0x1.b0165f58a6ee8p-12, 0x1.9f1286d6bcb56p-12, 0x1.8ead88a861c99p-12, 0x1.7ee1b1c0d8be5p-12, 0x1.6fa980b5c090cp-12, 0x1.60ffa43d0beaep-12, 0x1.52def9b4d183ep-12, 0x1.45428bb4c56dfp-12, 0x1.382590a92b93fp-12, 0x1.2b8369771577ep-12, 0x1.1f57a029bcce5p-12, 0x1.139de6a8cc212p-12, 0x1.08521577662f3p-12, 0x1.fae054f78a9d1p-13, 0x1.e5e88f9e75f07p-13, 0x1.d1b5652cda87fp-13, 0x1.be3fa3c33fc5fp-13, 0x1.ab805b29c1ef5p-13, 0x1.9970daafd081ep-13, 0x1.880aaf1b14d7ep-13, 0x1.7747a0a50a332p-13, 0x1.6721b10713d9bp-13, 0x1.57931994ac60dp-13, 0x1.48964963627f1p-13, 0x1.3a25e38055edbp-13, 0x1.2c3cbd32dcfbcp-13, 0x1.1ed5dc4c11f83p-13, 0x1.11ec7582f02dfp-13, 0x1.057beadcb8635p-13, 0x1.f2ff9442b0dp-14, 0x1.dbe796b6fe742p-14, 0x1.c5a79ec84f6cap-14, 0x1.b037bcf281515p-14, 0x1.9b904dbe73b33p-14, 0x1.87a9f71a54558p-14, 0x1.747da5c6a0515p-14, 0x1.62048ad74ba5bp-14, 0x1.503819489681dp-14, 0x1.3f1203a70a137p-14, 0x1.2e8c39ca24291p-14, 0x1.1ea0e6a13190ap-14, 0x1.0f4a6e11e38d7p-14, 0x1.00836ae825889p-14, 0x1.e48d59ad84cap-15, 0x1.c91e6d10c74eep-15, 0x1.aeb07780fe275p-15, 0x1.953a3f1782dfdp-15, 0x1.7cb2e4ff1b8ap-15, 0x1.6511e2104cea4p-15, 0x1.4e4f038a35d8fp-15, 0x1.386267e7261c9p-15, 0x1.23447bcc2ee8p-15, 0x1.0eedf712edac6p-15, 0x1.f6afb3d99a7dbp-16, 0x1.d0f6d43e1c742p-16, 0x1.aca460adb39efp-16, 0x1.89abeb296884fp-16, 0x1.6801815d3d051p-16, 0x1.4799a7d0847bep-16, 0x1.28695541010ecp-16, 0x1.0a65ee2784be9p-16, 0x1.db0a80c9bc7ap-17, 0x1.a37afe2bc2e36p-17, 0x1.6e0a7d1ab16bep-17, 0x1.3aa6e0e57d1abp-17, 0x1.093ec00948796p-17, 0x1.b382b9f6ac8e1p-18, 0x1.583d3e6c0d69ep-18, 0x1.008e190d9cd23p-18, 0x1.58af0a6c7c173p-19, 0x1.6df386526b5d2p-20, 0x1.bc5486a26dba6p-23, -0x1.e48d880f5b4fap-21, -0x1.07f336c998b13p-19, -0x1.90db4458fe015p-19, -0x1.0a0560b85ee8ep-18, -0x1.48d7906bb30ddp-18, -0x1.84fa122a0a671p-18, -0x1.be81f775a340dp-18, -0x1.f5838b32f9da7p-18, -0x1.15092d0a3f356p-17, -0x1.2e209d58b2916p-17, -0x1.46112aa53264p-17, -0x1.5ce3959f98f2fp-17, -0x1.72a04f1bae19fp-17, -0x1.874f7b80a142cp-17, -0x1.9af8f614c379ep-17, -0x1.ada45426cf88dp-17, -0x1.bf58e815ef4e9p-17, -0x1.d01dc4399c1ep-17, -0x1.dff9bdaa8e89dp-17, -0x1.eef36eedc9acdp-17, -0x1.fd113a82df46ap-17, -0x1.052ca6ab34708p-16, -0x1.0b68d08ce04d5p-16, -0x1.113fff4075da6p-16, -0x1.16b4ffb3dd254p-16, -0x1.1bca886f72fbbp-16, -0x1.20833a911c4b4p-16, -0x1.24e1a2bc41b6ap-16, -0x1.28e839ff1a6c3p-16, -0x1.2c9966adb8cedp-16, -0x1.2ff77d33369efp-16, -0x1.3304c0d95e501p-16, -0x1.35c364873a069p-16, -0x1.38358b76db1b3p-16, -0x1.3a5d49e2b155bp-16, -0x1.3c3ca5aacca8bp-16, -0x1.3dd596f25dbdcp-16, -0x1.3f2a08b5b79cep-16, -0x1.403bd959318c5p-16, -0x1.410cdb312440ap-16, -0x1.419ed50358d2fp-16, -0x1.41f382821f8a5p-16, -0x1.420c94c15f2bep-16, -0x1.41ebb2a5d72f2p-16, -0x1.4192794ed2cf2p-16, -0x1.41027c7a9225fp-16, -0x1.403d46e59263ap-16, -0x1.3f445aa5068eep-16, -0x1.3e19317c9b77dp-16, -0x1.3cbd3d2fd3f78p-16, -0x1.3b31e7cf20122p-16, -0x1.39789400e44edp-16, -0x1.37929d46a6975p-16, -0x1.3581583e83368p-16, -0x1.334612e11c65dp-16, -0x1.30e214bc2fa64p-16, -0x1.2e569f29f2c24p-16, -0x1.2ba4ed8566973p-16, -0x1.28ce355bbea19p-16, -0x1.25d3a69b0ab2bp-16, -0x1.22b66bbe37b3dp-16, -0x1.1f77a9f69706dp-16, -0x1.1c18815302daap-16, -0x1.189a0ce4c0984p-16, -0x1.14fd62e24571p-16, -0x1.114394c7e94c6p-16, -0x1.0d6daf76bb403p-16, -0x1.097cbb517791ep-16, -0x1.0571bc57ce183p-16, -0x1.014db24000314p-16, -0x1.fa23311dfd4f3p-17, -0x1.f17ccd5e0f0c4p-17, -0x1.e8aa2009e2805p-17, -0x1.dfad080847cd3p-17, -0x1.d6875c82b7968p-17, -0x1.cd3aed0897d2bp-17, -0x1.c3c981b05000cp-17, -0x1.ba34db365f325p-17, -0x1.b07eb31a8ddbfp-17, -0x1.a6a8bbbb59af2p-17, -0x1.9cb4a06fb3fd7p-17, -0x1.92a4059f40c3p-17, -0x1.887888d913768p-17, -0x1.7e33c0e92907bp-17, -0x1.73d73dec8c50ap-17, -0x1.6964896461801p-17, -0x1.5edd2647d42b5p-17, -0x1.5442911514b38p-17, -0x1.49963fe15def7p-17, -0x1.3ed9a268261ep-17, -0x1.340e221992c4ep-17, -0x1.293522282dc04p-17, -0x1.1e4fff95f9a1bp-17, -0x1.13601140f02ebp-17, -0x1.0866a7eef7f5ap-17, -0x1.faca1cb2c1a91p-18, -0x1.e4b9126fe4371p-18, -0x1.ce9cae972e863p-18, -0x1.b87762d16e0f4p-18, -0x1.a24b95027ad5fp-18, -0x1.8c1b9f5ccb72ep-18, -0x1.75e9d07492f07p-18, -0x1.5fb86b52854dep-18, -0x1.4989a786478fp-18, -0x1.335fb138a1899p-18, -0x1.1d3ca93d7fda3p-18, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      37, 0x1.4eb851eb851ecp+2, 0x1.d95c05b8f9d7cp+0, 0x1.0b1967c7d4aa7p+2, -0x1.6a719b245266cp-1, 
      {{
        {0x1.999999999999ap+0, 0x1.b333333333333p+0, 0x1.54c18d3a4a733p+1, -0x1.8ecfd3a1390f3p+2, 0x1.70b6accf950cp+2, 0x1.ff6056a17bbccp-1}, 
        {0x1.b333333333333p+0, 0x1.ccccccccccccdp+0, 0x1.0c7eed8c30b4dp+1, -0x1.4326c5390558bp+2, 0x1.83e3e34270164p+2, -0x1.3f9c3624eda3fp+2}, 
        {0x1.ccccccccccccdp+0, 0x1.e666666666666p+0, 0x1.a5f7dcc28bc44p+0, -0x1.fe52cc63ec1dap+1, 0x1.2401d30428cb6p+2, -0x1.4f9f863207d07p+1}, 
        {0x1.e666666666666p+0, 0x1p+1, 0x1.4ae99dd89c9fcp+0, -0x1.9396dabaccac6p+1, 0x1.e353ca92e8d86p+1, -0x1.4baeb83352cbap+1}, 
        {0x1p+1, 0x1.0cccccccccccdp+1, 0x1.0332a8fbb82e3p+0, -0x1.3cdfd15746fcep+1, 0x1.7fd293505001bp+1, -0x1.030d9d6d431dfp+1}, 
        {0x1.0cccccccccccdp+1, 0x1.199999999999ap+1, 0x1.95f677347cc9p-1, -0x1.efc3431f39ae1p+0, 0x1.321b4a7c55789p+1, -0x1.aea35e4b50b58p+0}, 
        {0x1.199999999999ap+1, 0x1.2666666666666p+1, 0x1.3e3175468567p-1, -0x1.823d3f324fac1p+0, 0x1.e30592487920fp+0, -0x1.5a8c7a55c7ca7p+0}, 
        {0x1.2666666666666p+1, 0x1.3333333333333p+1, 0x1.f3d34b5ecd311p-2, -0x1.2c0806e3d47b2p+0, 0x1.7b0ea0c856cb2p+0, -0x1.1669924255932p+0}, 
        {0x1.3333333333333p+1, 0x1.4p+1, 0x1.89dc88d41f2b1p-2, -0x1.d12504528b612p-1, 0x1.27888e813d1eep+0, -0x1.b9ee83ac3f521p-1}, 
        {0x1.4p+1, 0x1.4cccccccccccdp+1, 0x1.37c51fd53ce8p-2, -0x1.68306dfd9dca6p-1, 0x1.ca7cc24ecda4ep-1, -0x1.5bac66e78b5ebp-1}, 
        {0x1.4cccccccccccdp+1, 0x1.599999999999ap+1, 0x1.f069c503abd61p-3, -0x1.16ec02894833ep-1, 0x1.622f703c8a3b9p-1, -0x1.0ee82590a8cebp-1}, 
        {0x1.599999999999ap+1, 0x1.6666666666666p+1, 0x1.8ded9d54bed12p-3, -0x1.b06c92c077b86p-2, 0x1.10e9cb5df130bp-1, -0x1.a2b52fd6b1012p-2}, 
        {0x1.6666666666666p+1, 0x1.7333333333333p+1, 0x1.4185c0da07352p-3, -0x1.4fd1ee5c3627bp-2, 0x1.a436d52ead47fp-2, -0x1.417470f2b7489p-2}, 
        {0x1.7333333333333p+1, 0x1.8p+1, 0x1.061eadcb1b1f9p-3, -0x1.056bbcdf4713cp-2, 0x1.43c719b2a97eep-2, -0x1.ebdc814e33d76p-3}, 
        {0x1.8p+1, 0x1.8cccccccccccdp+1, 0x1.afa3837ec55bp-4, -0x1.9816216ca2f39p-3, 0x1.f3ff3fcddd09ep-3, -0x1.78abd1c550e6fp-3}, 
        {0x1.8cccccccccccdp+1, 0x1.999999999999ap+1, 0x1.67449dec41168p-4, -0x1.3f631d844368fp-3, 0x1.82fee745de5ep-3, -0x1.2274d0c7624a6p-3}, 
        {0x1.999999999999ap+1, 0x1.a666666666666p+1, 0x1.2e8cb2c164668p-4, -0x1.f5674735fb739p-4, 0x1.2bdbdbd6da7afp-3, -0x1.c6108f7cb6d44p-4}, 
        {0x1.a666666666666p+1, 0x1.b333333333333p+1, 0x1.01f3ce9b8eee4p-4, -0x1.8b14f3946c1b1p-4, 0x1.cf7f8ca1e4836p-4, -0x1.69d61147591bep-4}, 
        {0x1.b333333333333p+1, 0x1.cp+1, 0x1.bd6f4651436a8p-5, -0x1.393cbe5f24ea7p-4, 0x1.62f28772e3613p-4, -0x1.26ab32530ca59p-4}, 
        {0x1.cp+1, 0x1.ccccccccccccdp+1, 0x1.854bfc7390f06p-5, -0x1.f62cfcc8841e5p-5, 0x1.0a8bf859f92f7p-4, -0x1.e8d125cc40036p-5}, 
        {0x1.ccccccccccccdp+1, 0x1.d99999999999ap+1, 0x1.57ebdea15da38p-5, -0x1.9a38b6bc93012p-5, 0x1.8272cbc378c41p-5, -0x1.989cb82c32de2p-5}, 
        {0x1.d99999999999ap+1, 0x1.e666666666666p+1, 0x1.325ae6c940391p-5, -0x1.5930b23aa5564p-5, 0x1.07dd614fcfe7cp-5, -0x1.520885417cae8p-5}, 
        {0x1.e666666666666p+1, 0x1.f333333333333p+1, 0x1.1222fd3a228a4p-5, -0x1.2e8eea71c49dep-5, 0x1.44e8d911ee9adp-6, -0x1.0d330f36e7284p-5}, 
        {0x1.f333333333333p+1, 0x1p+2, 0x1.ea78eefc4e45bp-6, -0x1.1624aecb38cfap-5, 0x1.46c79fe1fb05p-7, -0x1.8a13cb729572ap-6}, 
        {0x1p+2, 0x1.0666666666666p+2, 0x1.b415642cbd9d9p-6, -0x1.0bb72892481a1p-5, 0x1.6955640e85662p-9, -0x1.dd27453379952p-7}, 
        {0x1.0666666666666p+2, 0x1.0cccccccccccdp+2, 0x1.7ec0e92498c62p-6, -0x1.0ac7068f49441p-5, -0x1.a680445e7f621p-10, -0x1.23f1892e6913bp-8}, 
        {0x1.0cccccccccccdp+2, 0x1.1333333333333p+2, 0x1.490f9efc69b19p-6, -0x1.0e834b057da81p-5, -0x1.826aa7b17ebddp-9, 0x1.7fe53c7d3d35cp-8}, 
        {0x1.1333333333333p+2, 0x1.199999999999ap+2, 0x1.1292474673bf8p-6, -0x1.11e7495eeb7dbp-5, -0x1.3828a0664da34p-10, 0x1.00048950ab4bbp-6}, 
        {0x1.199999999999ap+2, 0x1.2p+2, 0x1.b7b40850f42abp-7, -0x1.1003a1e9de86ep-5, 0x1.ca5cf95b411afp-9, 0x1.850a44bb14c7ep-6}, 
        {0x1.2p+2, 0x1.2666666666666p+2, 0x1.4cd2520a27029p-7, -0x1.0472f4ce3e0aap-5, 0x1.5c03cdfa43243p-7, 0x1.d813298c8a9a3p-6}, 
        {0x1.2666666666666p+2, 0x1.2cccccccccccdp+2, 0x1.d221eaaa2055cp-8, -0x1.d7ef327caea6cp-6, 0x1.3ba14040e4bfcp-6, 0x1.d9b6311e2a877p-6}, 
        {0x1.2cccccccccccdp+2, 0x1.3333333333333p+2, 0x1.23e0f7f4d3682p-8, -0x1.8a98d75ce0e77p-6, 0x1.c9be4efd24b6p-6, 0x1.6f7851428b5e6p-6}, 
        {0x1.3333333333333p+2, 0x1.399999999999ap+2, 0x1.33a3a09b8e7f7p-9, -0x1.240635c469dcbp-6, 0x1.1bfe007bc0dc2p-5, 0x1.478cb6735b621p-8}, 
        {0x1.399999999999ap+2, 0x1.4p+2, 0x1.e074571ed1f8ep-11, -0x1.5ff1072188b38p-7, 0x1.28467a867aafep-5, -0x1.3935590a3b7cdp-6}, 
        {0x1.4p+2, 0x1.4666666666666p+2, 0x1.83c427dce685cp-13, -0x1.0b6d73a0543f2p-8, 0x1.f2968d89e3879p-6, -0x1.457804dbc9e24p-4}, 
        {0x1.4666666666666p+2, 0x1.4cccccccccccdp+2, 0x1.c6811200acffep-20, -0x1.8c837ed6fc4c8p-12, 0x1.b01a1ed55eb2ep-8, -0x1.e871779ecd173p-6}, 
        {0x1.4cccccccccccdp+2, 0x1.4eb851eb851ecp+2, 0x0p+0, 0x1.8336fb7d99883p-15, -0x1.340f47d2620c2p-9, -0x1.29c73a3612a88p-4}, 
      }}, 
      0x1.75ec6b9ccd3dap+2, -0x1.4fa6e89b2f98cp+6
    }
  };
  // clang-format on
}
SkfData params_mio_0_1_h_n() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.a785cb88aea2dp-2, 0x1.b3502de766977p-2, 0x1.be44fb5a1f2cdp-2, 0x1.c86c6c2ecd9d2p-2, 0x1.d1cb8bbe46008p-2, 0x1.da667cf591513p-2, 0x1.e24430755638p-2, 0x1.e96e284daecb5p-2, 0x1.efed4f8024a4fp-2, 0x1.f5c7eb9313f0cp-2, 0x1.fb0270e1410d9p-2, 0x1.ffa1cd3a9cc51p-2, 0x1.01d6732544537p-1, 0x1.03962d09d3e9ep-1, 0x1.051489a99cd4cp-1, 0x1.06556c6c5114ap-1, 0x1.075bd4876e0afp-1, 0x1.082a038f97233p-1, 0x1.08c1eef9acaddp-1, 0x1.0925b65be585ep-1, 0x1.0957e794ce241p-1, 0x1.0959bf818ff63p-1, 0x1.09351cc0929ecp-1, 0x1.08e844a892cafp-1, 0x1.087544ef0aafap-1, 0x1.07de21a8dd54bp-1, 0x1.0724edde0b957p-1, 0x1.064bd297f5f1p-1, 0x1.0555056042531p-1, 0x1.0442b42c51e0ap-1, 0x1.0316ef33afa8bp-1, 0x1.01d3987c17fa1p-1, 0x1.007a5d362788cp-1, 0x1.fe1971116c413p-2, 0x1.fb17f9429d386p-2, 0x1.f7f2bd12ac07dp-2, 0x1.f4ac0462bfd45p-2, 0x1.f14609e613c34p-2, 0x1.edc30a279ddb4p-2, 0x1.ea254a3c778e5p-2, 0x1.e66f156426fc8p-2, 0x1.e2a2b32ca14fcp-2, 0x1.dec259a5c1c56p-2, 0x1.dad01fc1e81acp-2, 0x1.d6cdf33631f9bp-2, 0x1.d2bd9341683fbp-2, 0x1.cea0907572502p-2, 0x1.ca784ffd85ee7p-2, 0x1.c64610e79d435p-2, 0x1.c20af1f93a00ep-2, 0x1.bdc7f72b4cf32p-2, 0x1.b97e0e7571d04p-2, 0x1.b52e13f1819eep-2, 0x1.b0d8d5ba52886p-2, 0x1.ac7f16f4640e5p-2, 0x1.a82193fd0fd6p-2, 0x1.a3c10483fcd38p-2, 0x1.9f5e1e313fdc2p-2, 0x1.9af995d628e93p-2, 0x1.96941f867b6d3p-2, 0x1.922e6d85f5d11p-2, 0x1.8dc92e3a87ae2p-2, 0x1.8965097ed197cp-2, 0x1.8504605b15d6fp-2, 0x1.80a5f65d5b109p-2, 0x1.7c4a227a176f6p-2, 0x1.77f144897e1bbp-2, 0x1.739bb4a10fbe8p-2, 0x1.6f49c3e175a91p-2, 0x1.6afbbd596896ap-2, 0x1.66b1e6d2a9544p-2, 0x1.626c81bf76fd8p-2, 0x1.5e2bcc015e802p-2, 0x1.59f0008d4e27p-2, 0x1.55b957e6a9a5ep-2, 0x1.5188086596066p-2, 0x1.4d5c4649878bep-2, 0x1.4936439ea04a6p-2, 0x1.451630017d64ep-2, 0x1.40fc384f1d99dp-2, 0x1.3ce886511bf28p-2, 0x1.38db407198d09p-2, 0x1.34d4899af432ap-2, 0x1.30d480fe927e6p-2, 0x1.2cdb4244cfe38p-2, 0x1.28e8e5acb3a23p-2, 0x1.24fd80583a732p-2, 0x1.211924acc766ep-2, 0x1.1d3be2c034048p-2, 0x1.1965c8c9fb195p-2, 0x1.1596e390c4ddap-2, 0x1.11cf3ece35685p-2, 0x1.0e0ee5845b49ep-2, 0x1.0a55e244fc522p-2, 0x1.06a43f62ebdfcp-2, 0x1.02fa071acfe1p-2, 0x1.feae8747700bap-3, 0x1.f777feb084609p-3, 0x1.f050887979d43p-3, 0x1.e93839a478dc6p-3, 0x1.e22f26638ea3p-3, 0x1.db3562bc771e9p-3, 0x1.d44b022d4c931p-3, 0x1.cd7017770022dp-3, 0x1.c6a4b46726d9bp-3, 0x1.bfe8e9a3ffd37p-3, 0x1.b93cc67de1212p-3, 0x1.b2a058c3ae416p-3, 0x1.ac13aca86bee7p-3, 0x1.a596cca40b81bp-3, 0x1.9f29c17316825p-3, 0x1.98cc91fd81bf6p-3, 0x1.927f436f35b93p-3, 0x1.8c41d939fa54bp-3, 0x1.8614552b4a22ep-3, 0x1.7ff6b7837bd2dp-3, 0x1.79e8ff13f433ap-3, 0x1.73eb2959c9d09p-3, 0x1.6dfd32ad51db1p-3, 0x1.681f1655e7328p-3, 0x1.6250ceb5d4adap-3, 0x1.5c92556b8b684p-3, 0x1.56e3a37324b68p-3, 0x1.5144b145abdd7p-3, 0x1.4bb576f580876p-3, 0x1.4635ec4597146p-3, 0x1.40c608c5f8153p-3, 0x1.3b65c3d4b06d7p-3, 0x1.361514b767c6dp-3, 0x1.30d3f29b8ac9cp-3, 0x1.2ba2549aef77cp-3, 0x1.268031b2c13dap-3, 0x1.216d80c54978p-3, 0x1.1c6a38881ead3p-3, 0x1.17764f7bd84b6p-3, 0x1.1291bbd7d7eafp-3, 0x1.0dbc7380adeb4p-3, 0x1.08f66bf08d7c1p-3, 0x1.043f9a32aca96p-3, 0x1.ff2fe50f1d694p-4, 0x1.f5fed208ecb32p-4, 0x1.ecebe18e047e5p-4, 0x1.e3f6f89a81be8p-4, 0x1.db1ffaacf7d3ep-4, 0x1.d266c9cbc3f02p-4, 0x1.c9cb464910de3p-4, 0x1.c14d4edb99797p-4, 0x1.b8fb74399661ep-4, 0x1.b0b9290b019c4p-4, 0x1.a893de3bf5ebfp-4, 0x1.a08b6acee21e6p-4, 0x1.989fa4bbca8fep-4, 0x1.90d06106c7449p-4, 0x1.891d73bb9292ep-4, 0x1.8186aff18ac35p-4, 0x1.7a0be7d3ced27p-4, 0x1.72acec8a1c08p-4, 0x1.6b698e70982e3p-4, 0x1.64419ce9a2eaep-4, 0x1.5d34e671c6a5dp-4, 0x1.564338c6bf22fp-4, 0x1.4f6c60a48fd2ap-4, 0x1.48b02a1e4b56bp-4, 0x1.420e605865bcep-4, 0x1.3b86cdbc7a728p-4, 0x1.35193b46fc6a7p-4, 0x1.2ec574949b565p-4, 0x1.288b3f4a17344p-4, 0x1.226a640d940f3p-4, 0x1.1c62aa03ed6b4p-4, 0x1.1673d7a957b47p-4, 0x1.109db303b81a6p-4, 0x1.0ae001782cf22p-4, 0x1.053a884c390ap-4, 0x1.ff5a17a271eebp-5, 0x1.f46ea06d91d17p-5, 0x1.e9b2314a842d1p-5, 0x1.df2454eb2d765p-5, 0x1.d4c48d7b9985ap-5, 0x1.ca9261e3287abp-5, 0x1.c08d57146a79dp-5, 0x1.b6b4f178e6052p-5, 0x1.ad08b53a0a177p-5, 0x1.a38825c85e063p-5, 0x1.9a32c668276e6p-5, 0x1.91081a01619edp-5, 0x1.8807a3125669dp-5, 0x1.7f30e44dc960ap-5, 0x1.76835f88d94c4p-5, 0x1.6dfe96eade02ep-5, 0x1.65a20c556081ep-5, 0x1.5d6d418977732p-5, 0x1.555fb73042958p-5, 0x1.4d78f2b1c9c87p-5, 0x1.45b8720826356p-5, 0x1.3e1db86b6dad2p-5, 0x1.36a8475f91528p-5, 0x1.2f57a23bc297bp-5, 0x1.282b49fe00a36p-5, 0x1.2122c0ad0dc8dp-5, 0x1.1a3d8bb12ca97p-5, 0x1.137b2bd479f83p-5, 0x1.0cdb24b3569d5p-5, 0x1.065cfa4f8cffp-5, 0x1.000030ad1e55cp-5, 0x1.f38898fe832efp-6, 0x1.e751a530fdad8p-6, 0x1.db5a8db904589p-6, 0x1.cfa268857059ep-6, 0x1.c428358cb0182p-6, 0x1.b8eb1051ca373p-6, 0x1.ade9fe7024b72p-6, 0x1.a324143b6babep-6, 0x1.98986400feabfp-6, 0x1.8e460131e28acp-6, 0x1.842c0193f52b7p-6, 0x1.7a497b5ce3a2p-6, 0x1.709d873103b22p-6, 0x1.67273f0aa15bfp-6, 0x1.5de5bee10889cp-6, 0x1.54d82416060a6p-6, 0x1.4bfd8e2110c6dp-6, 0x1.43551e71ce019p-6, 0x1.3addf43367aefp-6, 0x1.32973fbbdba6ap-6, 0x1.2a801d60b960ap-6, 0x1.2297b9f817f8p-6, 0x1.1add40ef54ec9p-6, 0x1.134fdfc2b1416p-6, 0x1.0beec67e52f2p-6, 0x1.04b9263bbdd42p-6, 0x1.fb5c65d3464e1p-7, 0x1.ed9a499410db5p-7, 0x1.e02a65faa9189p-7, 0x1.d30b321adea03p-7, 0x1.c63b23ecb1527p-7, 0x1.b9b8c92e0ed54p-7, 0x1.ad82977ba3b8fp-7, 0x1.a1971f167dfb8p-7, 0x1.95f4eae4e8c04p-7, 0x1.8a9a8f6bfc5fep-7, 0x1.7f86a47955566p-7, 0x1.74b7c69ee0c1dp-7, 0x1.6a2c960bec20ap-7, 0x1.5fe3bae838934p-7, 0x1.55dbdffcd4a6cp-7, 0x1.4c13b5bc607aap-7, 0x1.4289f09d562acp-7, 0x1.393d4b2f312acp-7, 0x1.302c847182541p-7, 0x1.27565f6a46ff2p-7, 0x1.1eb9a75aac8e2p-7, 0x1.165523d834d5dp-7, 0x1.0e27abe34d186p-7, 0x1.063012f420edep-7, 0x1.fcda6ea52aa76p-8, 0x1.edbbf0b97223cp-8, 0x1.df02748c163e8p-8, 0x1.d0abcd09cd7a9p-8, 0x1.c2b5d5d67bc3p-8, 0x1.b51e73922d50bp-8, 0x1.a7e393c204798p-8, 0x1.9b032d138fc7cp-8, 0x1.8e7b2a20efcp-8, 0x1.8249cc130bbc3p-8, 0x1.766ceca8c0991p-8, 0x1.6ae2b3f5d213ep-8, 0x1.5fa944134312bp-8, 0x1.54bec6054de69p-8, 0x1.4a216af6bddap-8, 0x1.3fcf6c1929f8ap-8, 0x1.35c70a8f3deep-8, 0x1.2c068f4b063fep-8, 0x1.228c43f755e2ep-8, 0x1.195695d0f49b1p-8, 0x1.1063cff308aa8p-8, 0x1.07b2608b68f83p-8, 0x1.fe816d6ea47e6p-9, 0x1.ee1a8631a553p-9, 0x1.de2d10193f2cbp-9, 0x1.ceb62d294ac4dp-9, 0x1.bfb31cfb1d6afp-9, 0x1.b12019020b25fp-9, 0x1.a2fb4f4b92349p-9, 0x1.9541c1ae2ef2fp-9, 0x1.87f07b7daaafbp-9, 0x1.7b05196e3a944p-9, 0x1.6e7cf14c3e867p-9, 0x1.625599d2811eap-9, 0x1.568c0ebc500f6p-9, 0x1.4b1e6dd5387e9p-9, 0x1.400a200fce62bp-9, 0x1.354cca3ec7d05p-9, 0x1.2ae42675b3437p-9, 0x1.20cdea6285f7cp-9, 0x1.1707e4c63bc6cp-9, 0x1.0d8fef41a0563p-9, 0x1.0463ea79e47dap-9, 0x1.f7038ed9ac61ep-10, 0x1.e5cef856803d6p-10, 0x1.d52622ff3022p-10, 0x1.c5052d1522227p-10, 0x1.b5684faf17c46p-10, 0x1.a64bd83e0202ep-10, 0x1.97ac2a1602981p-10, 0x1.8985bceefca8ep-10, 0x1.7bd5210dfd842p-10, 0x1.6e96f9e65f51ap-10, 0x1.61c7fc08659f9p-10, 0x1.5564f775af1afp-10, 0x1.496ac35aafffbp-10, 0x1.3dd658c4c084cp-10, 0x1.32a4bedb7c78p-10, 0x1.27d3144a4122fp-10, 0x1.1d5e75b6df492p-10, 0x1.133f8ba158d0cp-10, 0x1.097d3df22c5bfp-10, 0x1.000fc03a5a6fcp-10, 0x1.edea22fe03863p-11, 0x1.dc544b555dc58p-11, 0x1.cb59827395b93p-11, 0x1.baf50ca64eb24p-11, 0x1.ab224bcdfdbc4p-11, 0x1.9bdcc673c922fp-11, 0x1.8d201ccbaacf8p-11, 0x1.7ee80d4b332eep-11, 0x1.713073521d134p-11, 0x1.63f54c2edc778p-11, 0x1.573296118761bp-11, 0x1.4ae48d726ab22p-11, 0x1.3f0777fe69473p-11, 0x1.3397a00fc2abdp-11, 0x1.28915df9e90a8p-11, 0x1.1df206c0e103ap-11, 0x1.13b5611557034p-11, 0x1.09d8793cf064ep-11, 0x1.0058271de440bp-11, 0x1.ee62ac498a252p-12, 0x1.dcc20fc0d5bcp-12, 0x1.cbc8a82e621a6p-12, 0x1.bb6f1f688812cp-12, 0x1.abb4edaa6001cp-12, 0x1.9c8fc444743a4p-12, 0x1.8dfc1873218aap-12, 0x1.7ff4dbe8a9aa7p-12, 0x1.7275161330ac3p-12, 0x1.65782ada0c60bp-12, 0x1.58f97b91b0d48p-12, 0x1.4cf4646f0a9e9p-12, 0x1.416499b854cbdp-12, 0x1.3645e97d6c817p-12, 0x1.2b944b4603805p-12, 0x1.214d869cfa646p-12, 0x1.1768032c39eabp-12, 0x1.0de5e6520fcc9p-12, 0x1.04c19f75c09f1p-12, 0x1.f7ef4d586b529p-13, 0x1.e709477604591p-13, 0x1.d6ca2f18ed68cp-13, 0x1.c72c71ed07b6dp-13, 0x1.b829430604a62p-13, 0x1.a9badb7548932p-13, 0x1.9bdaafc55cfdap-13, 0x1.8e857c6ff3afcp-13, 0x1.81b39303fbc09p-13, 0x1.756090a36cbecp-13, 0x1.69873fa580072p-13, 0x1.5e237e34af982p-13, 0x1.532ec5a2afb8ep-13, 0x1.48a6839466296p-13, 0x1.3e8582f25a351p-13, 0x1.34c79c94a6fdbp-13, 0x1.2b68abc073855p-13, 0x1.2264d601cf576p-13, 0x1.19ba309188792p-13, 0x1.115f8bfcb8909p-13, 0x1.0956eb553bedap-13, 0x1.019af3f9aa522p-13, 0x1.f45280425bcfcp-14, 0x1.e5f888ad556c4p-14, 0x1.d825eaef189e5p-14, 0x1.cad627af1a018p-14, 0x1.bdffe4ab0bc61p-14, 0x1.b19fbf7e51c7dp-14, 0x1.a5af9f16fe479p-14, 0x1.9a2b67a5712e1p-14, 0x1.8f0defbb2dca2p-14, 0x1.84529be058f7ep-14, 0x1.79f4fdf182cb8p-14, 0x1.6ff0d7c004587p-14, 0x1.664215d4a0817p-14, 0x1.5ce4c93e2156ep-14, 0x1.53d4c4a29e4bbp-14, 0x1.4b13e26ac3e4p-14, 0x1.4291302b17bedp-14, 0x1.3a56054ea4dcfp-14, 0x1.325b0c68178cdp-14, 0x1.2a9d4f554929ap-14, 0x1.2319eaafcb036p-14, 0x1.1bcb32d76b4ebp-14, 0x1.14b75bb75e54p-14, 0x1.0dd2e97dab584p-14, 0x1.071e7b9dfc421p-14, 0x1.0097e4254f251p-14, 0x1.f4798fa87e697p-15, 0x1.e81640c6b265ep-15, 0x1.dc01ce44c87cap-15, 0x1.d0371129b4facp-15, 0x1.c4b6cd4c83628p-15, 0x1.b97942b66f12p-15, 0x1.ae7c5e7c33eabp-15, 0x1.a3bd255991ef8p-15, 0x1.993acf472f5e6p-15, 0x1.8eecb28dc378p-15, 0x1.84d5f71de359ep-15, 0x1.7aee58ea6134p-15, 0x1.713e3a13084a7p-15, 0x1.67b8cf40a8a6dp-15, 0x1.5e5f802b2e4ecp-15, 0x1.55304900ba235p-15, 0x1.4c294565cfab8p-15, 0x1.4348ad0bf2a74p-15, 0x1.3a8cd314a1027p-15, 0x1.31f434de8f911p-15, 0x1.29827d9c7d3b1p-15, 0x1.212674f46b6afp-15, 0x1.18ee959ac8dcfp-15, 0x1.10d466dcaaf5ap-15, 0x1.08e4d7a1eddcep-15, 0x1.00f559db20369p-15, 0x1.f25cf3316d14ep-16, 0x1.e2f32a7ef8ebp-16, 0x1.d3d6f46988145p-16, 0x1.c4dc73777aed5p-16, 0x1.b6223e0d0aa81p-16, 0x1.a7714c88d2717p-16, 0x1.99000b5305a4p-16, 0x1.8ab855f372e92p-16, 0x1.7c9a1c238cac7p-16, 0x1.6ea4d9cdf8af9p-16, 0x1.60d3db8f90636p-16, 0x1.5331072f715a4p-16, 0x1.45ac5f20eb587p-16, 0x1.3852aa578b4bbp-16, 0x1.2b1cde5323cd9p-16, 0x1.1e0b20d320ca2p-16, 0x1.111e4743c71a3p-16, 0x1.04543b2b04233p-16, 0x1.ef585f5a0ce9bp-17, 0x1.d65049b26d5f1p-17, 0x1.bd8d999b1835dp-17, 0x1.a517204b6e6e2p-17, 0x1.8cc9bdb337f3fp-17, 0x1.74e1c547336c7p-17, 0x1.5d31d95311971p-17, 0x1.45c56f847576ap-17, 0x1.2e9ce8860aec3p-17, 0x1.17b80c316837cp-17, 0x1.0113a9f285baep-17, 0x1.d5756036cdd3p-18, 0x1.a94438344f6a6p-18, 0x1.7d93951361ebdp-18, 0x1.52fe96e132bb5p-18, 0x1.27e2daacaed47p-18, 0x1.fbd0d65c825c3p-19, 0x1.a8c6b96c4679p-19, 0x1.56bd56cf12928p-19, 0x1.05e6db2fd7b2fp-19, 0x1.6c50749bdb296p-20, 0x1.9db4285f82338p-21, 0x1.9f1391b75017bp-23, -0x1.9403da0153689p-22, -0x1.f74025bc25c48p-21, -0x1.8f40ef875790ep-20, -0x1.111f3ca46146p-19, -0x1.591cbd70b9245p-19, -0x1.9ff3333b88699p-19, -0x1.e5a6b67fae482p-19, -0x1.15231ef4262bap-18, -0x1.36cfa0aa2f7b7p-18, -0x1.57f0ea4198011p-18, -0x1.787edbe9015a2p-18, -0x1.9878b635d39afp-18, -0x1.b7ddff808ef0fp-18, -0x1.d6ae4f8dd0b83p-18, -0x1.f4e9575515722p-18, -0x1.0947b829b468ap-17, -0x1.17cada6cb0f6dp-17, -0x1.25f77ca3ec661p-17, -0x1.33fac1d2ebcb3p-17, -0x1.41a39d546067fp-17, -0x1.4efc488c4f245p-17, -0x1.5c0ae5886e5ffp-17, -0x1.68d9c806544bep-17, -0x1.75463f204d22dp-17, -0x1.817290b528573p-17, -0x1.8d539de1c2676p-17, -0x1.98e93584bc349p-17, -0x1.a433bad83767dp-17, -0x1.af353141a06a5p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.a4b3036b4f2ap-1, -0x1.a7b64f573e41ap-1, -0x1.aa676b6d49ebfp-1, -0x1.acc5bface4547p-1, -0x1.aed1fc73290b8p-1, -0x1.b08dab6711907p-1, -0x1.b1fa24ff8aec1p-1, -0x1.b31861a97090ep-1, -0x1.b3e9a3786c0a4p-1, -0x1.b470028b16edp-1, -0x1.b4ae4b6353edep-1, -0x1.b4a76b2c56aacp-1, -0x1.b45df6cb8ce7ap-1, -0x1.b3d41aa51c11fp-1, -0x1.b30bdeae8434ap-1, -0x1.b2077cbfeb076p-1, -0x1.b0c990679b49bp-1, -0x1.af550b8084e6ap-1, -0x1.adad01c2632c7p-1, -0x1.abd46dfa50461p-1, -0x1.a9ce09a18e7bep-1, -0x1.a79d7f14bbac7p-1, -0x1.a5411653a75bp-1, -0x1.a2bd5ce12c2bdp-1, -0x1.a014cb279fb8ap-1, -0x1.9d49c5fac72edp-1, -0x1.9a5e90adfcdc8p-1, -0x1.9755472396035p-1, -0x1.942fdfe6f3af3p-1, -0x1.90f033d3b3ef9p-1, -0x1.8d9807e4b0244p-1, -0x1.8a291616dda34p-1, -0x1.86a5133b5f079p-1, -0x1.830db0af32bc8p-1, -0x1.7f649a1105dd5p-1, -0x1.7bab7024fdfb3p-1, -0x1.77e3c2d876a52p-1, -0x1.740f0c5d587bdp-1, -0x1.702eae8c2c3fbp-1, -0x1.6c43f29ad720cp-1, -0x1.68500a6684a16p-1, -0x1.6454126cfd95ep-1, -0x1.605113f9086b2p-1, -0x1.5c48077ea7438p-1, -0x1.5839d75a32dbp-1, -0x1.542762eab13eep-1, -0x1.501181b3e8f5ep-1, -0x1.4bf905d6fcf3p-1, -0x1.47debd4c879b5p-1, -0x1.43c371962db11p-1, -0x1.3fa7e6194f7e2p-1, -0x1.3b8cd5b9ba4e3p-1, -0x1.3772f0736804fp-1, -0x1.335ad99e586b6p-1, -0x1.2f4527397a7adp-1, -0x1.2b32624476175p-1, -0x1.272307fdb1d78p-1, -0x1.23178b8f025f1p-1, -0x1.1f1057d1c1d81p-1, -0x1.1b0dd0d29deedp-1, -0x1.171054e60ef18p-1, -0x1.13183d40384dap-1, -0x1.0f25de21bece1p-1, -0x1.0b39842507782p-1, -0x1.075328f7f935p-1, -0x1.0373632181449p-1, -0x1.ff34edc64e954p-2, -0x1.f791477c2a9d9p-2, -0x1.effc489219ad1p-2, -0x1.e8765c4c686d9p-2, -0x1.e0ffe44bfdf03p-2, -0x1.d9993926e6cf7p-2, -0x1.d242ab333fd53p-2, -0x1.cafc837986398p-2, -0x1.c3c704a30ba46p-2, -0x1.bca26bcef91e3p-2, -0x1.b58ef13d0bb9ep-2, -0x1.ae8cc8c755fa7p-2, -0x1.a79c222d340f7p-2, -0x1.a0bd2937303b4p-2, -0x1.99f005c09d55p-2, -0x1.9334dbb6fd4a9p-2, -0x1.8c8bcb032a5d9p-2, -0x1.85f4efa920671p-2, -0x1.7f7061bdc7f68p-2, -0x1.78fe358ef3367p-2, -0x1.729e7bd161361p-2, -0x1.6c5141db48b21p-2, -0x1.661691e499366p-2, -0x1.5fee7348103d4p-2, -0x1.59d8eabf4cb66p-2, -0x1.53d5fa95d4c93p-2, -0x1.4de5a2d0b73eap-2, -0x1.4807e14b1bb25p-2, -0x1.423cb1c85713bp-2, -0x1.3c840dff08bedp-2, -0x1.36ddeda788675p-2, -0x1.314a45fbf79a7p-2, -0x1.2bc90c21e065fp-2, -0x1.265a30a760376p-2, -0x1.20fda41ed41f9p-2, -0x1.1bb354f4a8a31p-2, -0x1.167b300889c9fp-2, -0x1.115520ce3b4f6p-2, -0x1.0c41117142188p-2, -0x1.073eeaf77ec01p-2, -0x1.024e9561420f5p-2, -0x1.fadfef886fb41p-3, -0x1.f145f0c79a33p-3, -0x1.e7cef982f994ap-3, -0x1.de7ad34d15f47p-3, -0x1.d54946616fa26p-3, -0x1.cc3a199cee3cap-3, -0x1.c34d12849d99bp-3, -0x1.ba81f5348f915p-3, -0x1.b1d88471d1b4ep-3, -0x1.a950817336dd9p-3, -0x1.a0e9abf2fe9bdp-3, -0x1.98a3c257cf6f1p-3, -0x1.907e815f8b051p-3, -0x1.8879a45aea90ep-3, -0x1.8094e52cfe5ebp-3, -0x1.78cffc5c44203p-3, -0x1.712aa1292be1ap-3, -0x1.69a489a92c3dbp-3, -0x1.623d6ae58c8b4p-3, -0x1.5af4f8fc12d3dp-3, -0x1.53cae7421deacp-3, -0x1.4cbee866e8e3ap-3, -0x1.45d0ae9525a6ap-3, -0x1.3effeb8c12f78p-3, -0x1.384c50cec3e24p-3, -0x1.31b58f9919f1cp-3, -0x1.2b3b592243626p-3, -0x1.24dd5e8cd60ffp-3, -0x1.1e9b50e816ac5p-3, -0x1.1874e17212ac1p-3, -0x1.1269c15dd0d91p-3, -0x1.0c79a214fe2cep-3, -0x1.06a43453a7364p-3, -0x1.00e92a2df9c8fp-3, -0x1.f69069a45c383p-4, -0x1.eb820b676bc7fp-4, -0x1.e0a69c8e27053p-4, -0x1.d5fd8017d6924p-4, -0x1.cb8618d4fc114p-4, -0x1.c13fc992c5aep-4, -0x1.b731b56cb7c12p-4, -0x1.ad4c44a485adap-4, -0x1.a396053b64b53p-4, -0x1.9a0e58b7336e9p-4, -0x1.90b4a0e02f533p-4, -0x1.8788400825b93p-4, -0x1.7e889901ceba9p-4, -0x1.75b50f2eb8814p-4, -0x1.6d0d068674f54p-4, -0x1.648fe3a8e7973p-4, -0x1.5c3d0bd487cf6p-4, -0x1.5413e5055fb53p-4, -0x1.4c13d60550d55p-4, -0x1.443c460186fb5p-4, -0x1.3c8c9d8593fa3p-4, -0x1.3504459d27d01p-4, -0x1.2da2a84190909p-4, -0x1.26672ff286cd8p-4, -0x1.1f514839a74f3p-4, -0x1.18605fca3d378p-4, -0x1.1193e202e9ec6p-4, -0x1.0aeb3e9a2bd2dp-4, -0x1.0465e552957dbp-4, -0x1.fc068dd49b395p-5, -0x1.ef85aaec5ddbcp-5, -0x1.e34807a4be377p-5, -0x1.d74c8df8d5adp-5, -0x1.cb9227826e5fep-5, -0x1.c017c1e1bbc8p-5, -0x1.b4dc4a8cac0f1p-5, -0x1.a9debbaaadec7p-5, -0x1.9f1e023088c8cp-5, -0x1.9499185b3519ap-5, -0x1.8a4ef8399f28ap-5, -0x1.803e9e9ee4ed9p-5, -0x1.76670ab7d5afdp-5, -0x1.6cc73ed544964p-5, -0x1.635e3fb337863p-5, -0x1.5a2b14d5630e1p-5, -0x1.512cc8882813p-5, -0x1.4862679090e21p-5, -0x1.3fcb01d8ece37p-5, -0x1.3765a9daee495p-5, -0x1.2f3174d298bp-5, -0x1.272d7a49db1e9p-5, -0x1.1f58d5a425cc6p-5, -0x1.17b2a57eaf8ep-5, -0x1.103a0828ef6b8p-5, -0x1.08ee21a26f462p-5, -0x1.01ce17c2cd559p-5, -0x1.f5b2266269909p-6, -0x1.e81c7ec60395ep-6, -0x1.dad995655d45dp-6, -0x1.cde7ca2655726p-6, -0x1.c14588d81c095p-6, -0x1.b4f13ac07da08p-6, -0x1.a8e9537fe2c07p-6, -0x1.9d2c4adf2f20ep-6, -0x1.91b89f02d266ep-6, -0x1.868cd2429e399p-6, -0x1.7ba767a3fa1ccp-6, -0x1.7106fdd8c3aabp-6, -0x1.66aa125f2041ep-6, -0x1.5c8f528e7d905p-6, -0x1.52b54d612af48p-6, -0x1.491aab77929f3p-6, -0x1.3fbe154a9381ep-6, -0x1.369e39204006fp-6, -0x1.2db9cacbd00a8p-6, -0x1.250f825ad3278p-6, -0x1.1c9e1df892f7ep-6, -0x1.14645ff78e75fp-6, -0x1.0c6112cd135cbp-6, -0x1.049301ad3bc12p-6, -0x1.f9f1ffb75ce0cp-7, -0x1.eb23c9f5d474p-7, -0x1.dcb91847035f5p-7, -0x1.ceafb648bd95ep-7, -0x1.c10568ed84b2cp-7, -0x1.b3b8097ea68cbp-7, -0x1.a6c57953474cap-7, -0x1.9a2ba290ea82cp-7, -0x1.8de878d91445ap-7, -0x1.81f9fa6a04866p-7, -0x1.765e2befa740dp-7, -0x1.6b132399f8226p-7, -0x1.6016f487d7a3bp-7, -0x1.5567c380bc883p-7, -0x1.4b03c923d4ee8p-7, -0x1.40e913fcc6003p-7, -0x1.371606169c6a2p-7, -0x1.2d88dc262826ap-7, -0x1.243fe2b2d0e3fp-7, -0x1.1b397206930f1p-7, -0x1.1273f00e27aaep-7, -0x1.09edb20d16954p-7, -0x1.01a539bb983d5p-7, -0x1.f331f7839fcc6p-8, -0x1.e38eefb5a38afp-8, -0x1.d45e6e1abe1f4p-8, -0x1.c59d8faf1376bp-8, -0x1.b749870eb0c9cp-8, -0x1.a95f9368ad0bp-8, -0x1.9bdd00e9d8b33p-8, -0x1.8ebf31598fa56p-8, -0x1.820383c84363ap-8, -0x1.75a77c44119bbp-8, -0x1.69a89d8c54fbdp-8, -0x1.5e047c7224391p-8, -0x1.52b8bf71601eep-8, -0x1.47c3114f322e1p-8, -0x1.3d21307875d71p-8, -0x1.32d0e66ae9f92p-8, -0x1.28d0094c82b26p-8, -0x1.1f1c7ba2e5415p-8, -0x1.15b42ba014937p-8, -0x1.0c953340c5dfp-8, -0x1.03bd3a84ba25p-8, -0x1.f6556f9bb2723p-9, -0x1.e5b73f3cb5a7ep-9, -0x1.d59c3c1075a86p-9, -0x1.c600cc41a3684p-9, -0x1.b6e16b7391bdap-9, -0x1.a83aaa2845311p-9, -0x1.9a092a19c18c4p-9, -0x1.8c49adf13b0f3p-9, -0x1.7ef8e1b3725f2p-9, -0x1.7213f4e9c81d6p-9, -0x1.65978bd6f0af2p-9, -0x1.5980c891198dfp-9, -0x1.4dccc2f72df42p-9, -0x1.42789ded24369p-9, -0x1.378156912273p-9, -0x1.2ce51fba885d9p-9, -0x1.22a0d8d9463e9p-9, -0x1.18b0e802fe3b7p-9, -0x1.0f14264055d06p-9, -0x1.05c7f2d6451efp-9, -0x1.f992438490a41p-10, -0x1.e82c58b480685p-10, -0x1.d7592d3c5ff06p-10, -0x1.c714678d2be4ep-10, -0x1.b758ef2301b8dp-10, -0x1.a823964e990bap-10, -0x1.996fe8bf06edcp-10, -0x1.8b39f1ced7f7ep-10, -0x1.7d7dbfe2fe684p-10, -0x1.7037ad1ce88a6p-10, -0x1.6363f482d726fp-10, -0x1.56ff0ea04e902p-10, -0x1.4b057b42c0c14p-10, -0x1.3f73e5e9bd0ecp-10, -0x1.3446f612e661ap-10, -0x1.297b7fa3bccc6p-10, -0x1.1f0e6515ea89cp-10, -0x1.14fca057f8246p-10, -0x1.0b4340c605763p-10, -0x1.01df6a968863ep-10, -0x1.f19c93352f09p-11, -0x1.e01a91c320f1ep-11, -0x1.cf339066a87e6p-11, -0x1.bee243e9af851p-11, -0x1.af21e28bbcd63p-11, -0x1.9fed7ed5a5864p-11, -0x1.91408b0de5486p-11, -0x1.831685843bb5fp-11, -0x1.756b0567ce329p-11, -0x1.6839cb64032c2p-11, -0x1.5b7b68415361bp-11, -0x1.4f32a9beb5fd8p-11, -0x1.43595254d845ep-11, -0x1.37e842772c8bcp-11, -0x1.2cdf4109513bbp-11, -0x1.22398ea6168aap-11, -0x1.17f3c8b65dd1cp-11, -0x1.0e0a9ff12c1a2p-11, -0x1.047add15dd82ep-11, -0x1.f682c809bdb8p-12, -0x1.e4b66229e8c1cp-12, -0x1.d38ab1da6e7c6p-12, -0x1.c2fa2bf678dcp-12, -0x1.b2ff069008b81p-12, -0x1.a394362a8f0c3p-12, -0x1.94b49392c4b0ep-12, -0x1.865ae8d20360bp-12, -0x1.787f8105588edp-12, -0x1.6b27993a666cep-12, -0x1.5e446d583faa1p-12, -0x1.51d5363ddd5aap-12, -0x1.45d59422dc865p-12, -0x1.3a41890f991f4p-12, -0x1.2f152492bc7b2p-12, -0x1.244c9bb08a36ep-12, -0x1.19e20a0ba4353p-12, -0x1.0fd875282912ap-12, -0x1.0625e03afd81fp-12, -0x1.f99254e455124p-13, -0x1.e77e387370287p-13, -0x1.d608e3ecf804bp-13, -0x1.c52d2b70840bfp-13, -0x1.b4e54acc61054p-13, -0x1.a52af00907269p-13, -0x1.95f901ed8429ep-13, -0x1.874a8dace4945p-13, -0x1.791a628fe2007p-13, -0x1.6b5d60e20d0f2p-13, -0x1.5e223c95a198cp-13, -0x1.515140e287b2cp-13, -0x1.44ec6965f9bdcp-13, -0x1.38ef9f7f8dc86p-13, -0x1.2d571b130bc89p-13, -0x1.221e42224e25ep-13, -0x1.1742dad117411p-13, -0x1.0cc02c849be8fp-13, -0x1.02931fc107088p-13, -0x1.f1710f6167b4ep-14, -0x1.de5a03daa9f73p-14, -0x1.cbdb8e5d603b5p-14, -0x1.b9efcc3d51c4bp-14, -0x1.a890e4019cfa4p-14, -0x1.97bb41c97a705p-14, -0x1.8764a3913fbc4p-14, -0x1.778dcfd4fb487p-14, -0x1.682f86dc95ec4p-14, -0x1.5945664ef9744p-14, -0x1.4acb33f670038p-14, -0x1.3cbc974440242p-14, -0x1.2f1b21f324a26p-14, -0x1.21d4267932a77p-14, -0x1.14f20b465d39fp-14, -0x1.086c74c41cd22p-14, -0x1.f8846feab01a5p-15, -0x1.e0d46a728f677p-15, -0x1.c9ce9a04ac7efp-15, -0x1.b368d31500cb3p-15, -0x1.9d9e30168a6bcp-15, -0x1.886a4cc840d0cp-15, -0x1.73c1ae1d57695p-15, -0x1.5fa6b0ece2257p-15, -0x1.4c1213f7f2d44p-15, -0x1.38ff744107e5ap-15, -0x1.266a5185d72b8p-15, -0x1.144ea36b1d36fp-15, -0x1.02a87c25fa8a4p-15, -0x1.e2e7feb0e41fp-16, -0x1.c15740501aeddp-16, -0x1.a0c9a7dc5d045p-16, -0x1.80bda41151955p-16, -0x1.61a0060fadea9p-16, -0x1.4344e9f2157bcp-16, -0x1.25a738362410dp-16, -0x1.08c1974bc6071p-16, -0x1.d90f11d05743fp-17, -0x1.a215c4e0aa18fp-17, -0x1.6c60010fec777p-17, -0x1.37f338a94facdp-17, -0x1.04caf8d5ce403p-17, -0x1.a5b5fdc52b746p-18, -0x1.443a57aaafe6fp-18, -0x1.ca1acfe0d075cp-19, -0x1.0f3c9300f915cp-19, -0x1.6c70d79a1bdb6p-21, 0x1.56e508543bc2p-21, 0x1.025b96ce7d1f9p-19, 0x1.aad1e02880ff3p-19, 0x1.277e2e5c40aadp-18, 0x1.77be92543472ep-18, 0x1.c5f0365043748p-18, 0x1.090e92e5e44f6p-17, 0x1.2e48a9e72e834p-17, 0x1.5288c15f32234p-17, 0x1.75de3cd3f3cd9p-17, 0x1.984cf65f6bfa6p-17, 0x1.b9d8a50f96626p-17, 0x1.da84d59d49239p-17, 0x1.fa54e7dd6a9d9p-17, 0x1.0ca5ce28ce77bp-16, 0x1.1ba35fa7b9d68p-16, 0x1.2a5e004096585p-16, 0x1.389de68dbd8aep-16, 0x1.467749b74731ap-16, 0x1.53cf04bba5026p-16, 0x1.610a694c58ad6p-16, 0x1.6daa7befbffd1p-16, 0x1.79d0e199c39c4p-16, 0x1.85dfcdda6a202p-16, 0x1.916c6636748fep-16, 0x1.9c708be94910fp-16, 0x1.a76e8a09ebf53p-16, 0x1.b1e0571bf785dp-16, 0x1.bbf9f13b0a026p-16, 0x1.c5b9f66bb5f38p-16, 0x1.cf20c5c4dd26ap-16, 0x1.d8318ff6110dcp-16, 0x1.e0dc40acc12f6p-16, 0x1.e94aeb150dd02p-16, 0x1.f155eb042d003p-16, 0x1.f90d570f1717bp-16, 0x1.0038ade1e767ep-15, 0x1.03c0f0baedb9fp-15, 0x1.0720987da7ffep-15, 0x1.0a5834f4f4202p-15, 0x1.0d674a5b289e6p-15, 0x1.104eb404e0eeep-15, 0x1.130784fe15c4ap-15, 0x1.15a84dc02b962p-15, 0x1.181aceadedfa1p-15, 0x1.1a678e4766e92p-15, 0x1.1c8eafea047f2p-15, 0x1.1e909b3d0ef98p-15, 0x1.206db894e2ccbp-15, 0x1.2224c6eaff637p-15, 0x1.23bb5b441ab58p-15, 0x1.252c84ac69605p-15, 0x1.267c515ebd982p-15, 0x1.278ee2b07a8c8p-15, 0x1.28afa5fe11a54p-15, 0x1.29902a1028da1p-15, 0x1.2a56b4cc083f4p-15, 0x1.2b008ac8db2c1p-15, 0x1.2b8419d045d12p-15, 0x1.2be7ed1edc621p-15, 0x1.2c2a94449e176p-15, 0x1.2c5071f679e53p-15, 0x1.2c562b1e84f22p-15, 0x1.2c3d677c3375bp-15, 0x1.2c062b83b17e7p-15, 0x1.2bb259fbd9d8ap-15, 0x1.2b40e447e51ecp-15, 0x1.2ab2ce0f6aedcp-15, 0x1.2a098ac227a95p-15, 0x1.295d539483abdp-15, 0x1.2861472af5df1p-15, 0x1.2763da2ed8679p-15, 0x1.264cbf6f4e69dp-15, 0x1.251bb6627d659p-15, 0x1.23d1242b21a17p-15, 0x1.226d7bec16ad3p-15, 0x1.20f13448ab48ap-15, 0x1.1f5cd2183c1cep-15, 0x1.1dafe7de3617fp-15, 0x1.1be9f89c09a2ep-15, 0x1.1a12785ad1bbap-15, 0x1.182a6beaaeac4p-15, 0x1.161c2abb76798p-15, 0x1.14004dbd8b3cp-15, 0x1.11ceafe7e4dabp-15, 0x1.0f8a7e8ca3c18p-15, 0x1.0d31674f5dd5bp-15, 0x1.0ac4c8fbeacbcp-15, 0x1.08452872f4716p-15, 0x1.05b30d9e57d8dp-15, 0x1.030fb09273508p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.0a7b278be8fe7p-2, -0x1.15d19098264c5p-2, -0x1.20e627497e7d6p-2, -0x1.2bb76b5cf8a83p-2, -0x1.364400353246bp-2, -0x1.408aabe39fd3ep-2, -0x1.4a8a562a92b74p-2, -0x1.54420779d39aep-2, -0x1.5db0e7e74cb8dp-2, -0x1.66d63e2523175p-2, -0x1.6fb16e765b416p-2, -0x1.7841f9a306cf5p-2, -0x1.80877bece1a53p-2, -0x1.8881ac05156bfp-2, -0x1.90305a03d3314p-2, -0x1.97936e6256f43p-2, -0x1.9eaae8f7d4aa6p-2, -0x1.a576dff9c0a53p-2, -0x1.abf77effd8805p-2, -0x1.b22d060c3ca3bp-2, -0x1.b817c897eecadp-2, -0x1.bdb82ca3e6d37p-2, -0x1.c30ea9cf03509p-2, -0x1.c81bc870f66dbp-2, -0x1.cce020ba5c6eep-2, -0x1.d15c59da17f3dp-2, -0x1.d591292808385p-2, -0x1.d97f515531f3bp-2, -0x1.dd27a1a1608f2p-2, -0x1.e08af51648ee8p-2, -0x1.e3aa31c834d58p-2, -0x1.e686481c2fe05p-2, -0x1.e9203213b2fa3p-2, -0x1.eb78f29dc97d4p-2, -0x1.ed9194eda2c7ep-2, -0x1.ef6b2bd682a78p-2, -0x1.f106d12d0284p-2, -0x1.f265a52d90d41p-2, -0x1.f388cde81e945p-2, -0x1.f47176b0e1afcp-2, -0x1.f520cf961eb7p-2, -0x1.f5980cdad727bp-2, -0x1.f5d8667655abbp-2, -0x1.f5e3179870ba3p-2, -0x1.f5b95e327436ep-2, -0x1.f55c7a849ba0ap-2, -0x1.f4cdaeaff7dep-2, -0x1.f40e3e4cba7fdp-2, -0x1.f31f6e04b92c8p-2, -0x1.f2028332222b7p-2, -0x1.f0b8c3823ee03p-2, -0x1.ef43749c2c05cp-2, -0x1.eda3dbcb77d4dp-2, -0x1.ebdb3dae82e56p-2, -0x1.e9eadde89547fp-2, -0x1.e7d3fed7889dap-2, -0x1.e597e14cf8aa2p-2, -0x1.e337c44adb274p-2, -0x1.e0b4e4c36e92cp-2, -0x1.de107d5c6674fp-2, -0x1.db4bc63541561p-2, -0x1.d867f4b0b111ep-2, -0x1.d5663b4104638p-2, -0x1.d247c93776647p-2, -0x1.cf0dca9657aeap-2, -0x1.cbb967e5f5dc2p-2, -0x1.c84bc60c33531p-2, -0x1.c4c60626b87d3p-2, -0x1.c1294567ab133p-2, -0x1.bd769cf4df29p-2, -0x1.b9af21c962c3ap-2, -0x1.b5d3e4996152dp-2, -0x1.b1e5f1b84208ep-2, -0x1.ade65100f059fp-2, -0x1.a9d605c044f57p-2, -0x1.a5b60ea175476p-2, -0x1.a187659c7da14p-2, -0x1.9d4affe676353p-2, -0x1.9901cde3bab32p-2, -0x1.94acbb1be336bp-2, -0x1.904cae2f6d17ap-2, -0x1.8be288cf140ecp-2, -0x1.876f27b4bff9ap-2, -0x1.82f3629e0114ap-2, -0x1.7e700c4804ae1p-2, -0x1.79e5f26cfbb99p-2, -0x1.7555ddc2daa28p-2, -0x1.70c091fb702afp-2, -0x1.6c26cdc5b9d3ep-2, -0x1.67894ad070f9ap-2, -0x1.62e8bdcdc05dap-2, -0x1.5e45d67811674p-2, -0x1.59a13f97ea131p-2, -0x1.54fb9f0acd7bfp-2, -0x1.505595cb0c878p-2, -0x1.4bafbff886b3bp-2, -0x1.470ab4e241148p-2, -0x1.42670710d29fp-2, -0x1.3dc54451973fep-2, -0x1.3925f5c29c19cp-2, -0x1.34899fdf3bafcp-2, -0x1.2ff0c28d64448p-2, -0x1.2b5bd92b71fefp-2, -0x1.26cb5a9ea28d9p-2, -0x1.223fb9620b689p-2, -0x1.1db963960ebe1p-2, -0x1.1938c31047fe9p-2, -0x1.14be3d6be1f75p-2, -0x1.104a341a4f709p-2, -0x1.0bdd047461093p-2, -0x1.077707cbab1d8p-2, -0x1.0318937c38a51p-2, -0x1.fd83f1fcfbad7p-3, -0x1.f4e70bf31522fp-3, -0x1.ec5b08aad4252p-3, -0x1.e3e0749b71881p-3, -0x1.db77d508af054p-3, -0x1.d321a8288c10fp-3, -0x1.cade6549286cap-3, -0x1.c2ae7cf6cac9bp-3, -0x1.ba9259220c5e1p-3, -0x1.b28a5d460b81ep-3, -0x1.aa96e68eaf03ep-3, -0x1.a2b84bfedc4bep-3, -0x1.9aeede96a8366p-3, -0x1.933ae9796a07ep-3, -0x1.8b9cb213b6a06p-3, -0x1.841478412b4dfp-3, -0x1.7ca2767210292p-3, -0x1.7546e1d0bea13p-3, -0x1.6e01ea66cb567p-3, -0x1.66d3bb41e530dp-3, -0x1.5fbc7a98735f1p-3, -0x1.58bc49edd293cp-3, -0x1.51d34636485fbp-3, -0x1.4b0187fa8cfe1p-3, -0x1.4447237afc4a6p-3, -0x1.3da428d257e09p-3, -0x1.3718a41823354p-3, -0x1.30a49d828c72ap-3, -0x1.2a481987e13a6p-3, -0x1.240318ff91ee7p-3, -0x1.1dd59942b0285p-3, -0x1.17bf944bfbb83p-3, -0x1.11c100d76589fp-3, -0x1.0bd9d28115a3ep-3, -0x1.0609f9e3ea8fbp-3, -0x1.005164b76f8c4p-3, -0x1.f55ffbdaa6677p-4, -0x1.ea4b5b9c8a297p-4, -0x1.df64b42cae89fp-4, -0x1.d4abcc218dcdp-4, -0x1.ca20656686bf5p-4, -0x1.bfc23d713748dp-4, -0x1.b5910d75c48f5p-4, -0x1.ab8c8a9a10a8ep-4, -0x1.a1b46627b3a59p-4, -0x1.98084dbcfc324p-4, -0x1.8e87eb7cac893p-4, -0x1.8532e63cb62fep-4, -0x1.7c08e1b3c90eap-4, -0x1.73097ea5cb2adp-4, -0x1.6a345b0f36068p-4, -0x1.6189124f58f0bp-4, -0x1.59073d5185076p-4, -0x1.50ae72b523441p-4, -0x1.487e46f4b7373p-4, -0x1.40764c8bcf80bp-4, -0x1.3896141be94bfp-4, -0x1.30dd2c9046d05p-4, -0x1.294b2340bbffcp-4, -0x1.21df841376ab9p-4, -0x1.1a99d99dc1f17p-4, -0x1.1379ad43ca386p-4, -0x1.0c7e8757648e2p-4, -0x1.05a7ef35dd433p-4, -0x1.fdead6c9a0204p-5, -0x1.f0cd035c1d5f5p-5, -0x1.e3f56e7531d93p-5, -0x1.d7632159545cfp-5, -0x1.cb152471c121ep-5, -0x1.bf0a7f7d00aep-5, -0x1.b34239bdb2005p-5, -0x1.a7bb5a279fbedp-5, -0x1.9c74e78b249f3p-5, -0x1.916de8beee2c6p-5, -0x1.86a564c81e9cap-5, -0x1.7c1a6300dabd4p-5, -0x1.71cbeb3d4afcep-5, -0x1.67b905ef169dep-5, -0x1.5de0bc4764adbp-5, -0x1.5442185764dcfp-5, -0x1.4adc252f6effcp-5, -0x1.41adeefcc099ap-5, -0x1.38b68325d8cedp-5, -0x1.2ff4f06587d7fp-5, -0x1.276846e4adbe6p-5, -0x1.1f0f9852baadfp-5, -0x1.16e9f7fcef727p-5, -0x1.0ef67ae46f603p-5, -0x1.073437d323a5ep-5, -0x1.ff448edefb832p-6, -0x1.f07f889e3b579p-6, -0x1.e2179610c583p-6, -0x1.d40af485e8304p-6, -0x1.c657e58e82934p-6, -0x1.b8fcaf1a0d41ep-6, -0x1.abf79b91b97c9p-6, -0x1.9f46f9f1b1f4fp-6, -0x1.92e91de08d427p-6, -0x1.86dc5fc500166p-6, -0x1.7b1f1cd9dc8fap-6, -0x1.6fafb7406cbffp-6, -0x1.648c961137de8p-6, -0x1.59b4256b3a991p-6, -0x1.4f24d681a41b9p-6, -0x1.44dd1fa82310ap-6, -0x1.3adb7c5dce90dp-6, -0x1.311e6d56ba7ccp-6, -0x1.27a47884395d2p-6, -0x1.1e6c291bea0cbp-6, -0x1.15740f9d8ad51p-6, -0x1.0cbac1d7a44b6p-6, -0x1.043edaeb1c1b4p-6, -0x1.f7fdf69b62525p-7, -0x1.e7f39196eae75p-7, -0x1.d85bdd0e8cdp-7, -0x1.c93439f4ad53fp-7, -0x1.ba7a13e59c77dp-7, -0x1.ac2ae123172a2p-7, -0x1.9e44228e23396p-7, -0x1.90c3639f53274p-7, -0x1.83a63a5d7fea5p-7, -0x1.76ea4753162e1p-7, -0x1.6a8d3581ff819p-7, -0x1.5e8cba563df9cp-7, -0x1.52e695973a47fp-7, -0x1.47989157f639fp-7, -0x1.3ca081e60a071p-7, -0x1.31fc45b79d87bp-7, -0x1.27a9c55858471p-7, -0x1.1da6f3555dd2dp-7, -0x1.13f1cc286316fp-7, -0x1.0a885621eada8p-7, -0x1.0168a152b5991p-7, -0x1.f1218ee8e1abap-8, -0x1.dffdd7a36a33ap-8, -0x1.cf62765ab3977p-8, -0x1.bf4bd7525f87fp-8, -0x1.afb67958522e2p-8, -0x1.a09eed8ff8994p-8, -0x1.9201d73c977a5p-8, -0x1.83dbeb8ab671p-8, -0x1.7629f158bd4ebp-8, -0x1.68e8c0fed59aap-8, -0x1.5c1544161f431p-8, -0x1.4fac753f51882p-8, -0x1.43ab5fe8cf29bp-8, -0x1.380f20144805fp-8, -0x1.2cd4e21bf0526p-8, -0x1.21f9e27760927p-8, -0x1.177b6d802c5fap-8, -0x1.0d56df363c1d3p-8, -0x1.0389a303f911cp-8, -0x1.f4226704b1264p-9, -0x1.e1d63479a27a6p-9, -0x1.d029deea8dbd2p-9, -0x1.bf18b3cff41dap-9, -0x1.ae9e1d1f057c2p-9, -0x1.9eb5a0d1c714bp-9, -0x1.8f5ae06f7b764p-9, -0x1.80899895612c2p-9, -0x1.723da07fd98c9p-9, -0x1.6472e994037edp-9, -0x1.57257ee9e89fap-9, -0x1.4a5184d739f28p-9, -0x1.3df3387abba78p-9, -0x1.3206ef485ed3ep-9, -0x1.2689169626f53p-9, -0x1.1b763329d8fcdp-9, -0x1.10cae0c784c8fp-9, -0x1.0683d1c0fb9d9p-9, -0x1.f93b9d0c607aap-10, -0x1.e62b6a6d2f6e5p-10, -0x1.d3d0f26714b04p-10, -0x1.c22645676b4a2p-10, -0x1.b1259caf3c78p-10, -0x1.a0c9597e85015p-10, -0x1.910c0441c1c92p-10, -0x1.81e84bc1c5d64p-10, -0x1.73590456013bp-10, -0x1.6559271922588p-10, -0x1.57e3d1203a056p-10, -0x1.4af442b452d4fp-10, -0x1.3e85de8e95637p-10, -0x1.32942916f9a8ep-10, -0x1.271ac7a58d32p-10, -0x1.1c157fc64e419p-10, -0x1.1180367fb01bfp-10, -0x1.0756ef9bb79b8p-10, -0x1.fb2b99e799f7cp-11, -0x1.e8721b7e505c1p-11, -0x1.d67a1bc7f0efbp-11, -0x1.c53c8a9663f71p-11, -0x1.b4b28e6e1bbe5p-11, -0x1.a4d5833875a98p-11, -0x1.959ef8fb7b90bp-11, -0x1.8708b2970482dp-11, -0x1.790ca487360ecp-11, -0x1.6ba4f3ac5e6afp-11, -0x1.5ecbf4182741fp-11, -0x1.527c27e01d897p-11, -0x1.46b03df584417p-11, -0x1.3b6311027135fp-11, -0x1.308fa64c29d93p-11, -0x1.26312c9abad0bp-11, -0x1.1c42fb25bef13p-11, -0x1.12c0908650098p-11, -0x1.09a591ae18065p-11, -0x1.00edc8e374402p-11, -0x1.f12a49854dc94p-12, -0x1.e12f6e880c8cp-12, -0x1.d1e3698e43e84p-12, -0x1.c33ee6459f544p-12, -0x1.b53ad1742b68ap-12, -0x1.a7d0572bc856ep-12, -0x1.9af8e10724e0ep-12, -0x1.8eae147024fc9p-12, -0x1.82e9d0ef95133p-12, -0x1.77a62e861849ap-12, -0x1.6cdd7c0e29be2p-12, -0x1.628a3da71f2a1p-12, -0x1.58a72b2905ba6p-12, -0x1.4f2f2ea1454cbp-12, -0x1.461d62d7e5244p-12, -0x1.3d6d11dd569cfp-12, -0x1.3519b3a0a97d6p-12, -0x1.2d1eec8e07ae5p-12, -0x1.25788c355dc4p-12, -0x1.1e228bf90e207p-12, -0x1.17190dc4900e1p-12, -0x1.10585acadfcd8p-12, -0x1.09dce24c97f46p-12, -0x1.03a33865a21a2p-12, -0x1.fb5029c49f11p-13, -0x1.efd0a43790bfbp-13, -0x1.e4c1d7b756b43p-13, -0x1.da1dfc8d8000fp-13, -0x1.cfdf899d36b3ap-13, -0x1.c601325439e55p-13, -0x1.bc7de4a93bee6p-13, -0x1.b350c72775018p-13, -0x1.aa7537072137fp-13, -0x1.a1e6c652ba52ap-13, -0x1.99a13a18a353fp-13, -0x1.91a088a911b42p-13, -0x1.89e0d7dffa8b1p-13, -0x1.825e7b7ac021dp-13, -0x1.7b15f3796badap-13, -0x1.7403ea8b38a8ep-13, -0x1.6d25348635703p-13, -0x1.6676cce9bf7f3p-13, -0x1.5ff5d56ba7f4ap-13, -0x1.599f948fbf84bp-13, -0x1.537174499f835p-13, -0x1.4d6900a867f83p-13, -0x1.4783e68c4a343p-13, -0x1.41bff265a6426p-13, -0x1.3c1b0efd84437p-13, -0x1.369344473742cp-13, -0x1.3126b63af1ac7p-13, -0x1.2bd3a3b924aap-13, -0x1.26986576633c6p-13, -0x1.21736cefad288p-13, -0x1.1c634366e475bp-13, -0x1.176688e73a26ep-13, -0x1.127bf351738f2p-13, -0x1.0da24d6fc1ff1p-13, -0x1.08d8761111c6cp-13, -0x1.041d5f2b99997p-13, -0x1.fee01a0d0730dp-14, -0x1.f59f2ad4f05a3p-14, -0x1.ec763db1dbbddp-14, -0x1.e363bf94206bcp-14, -0x1.da663be20807fp-14, -0x1.d17c5b0cfc8d2p-14, -0x1.c8a4e132c0537p-14, -0x1.bfdeaccaacbf9p-14, -0x1.b728b55e6216bp-14, -0x1.ae820a4ddbda1p-14, -0x1.a5e9d19e67f65p-14, -0x1.9d5f46d45b205p-14, -0x1.94e1b9d731ab5p-14, -0x1.8c708ddfc34f8p-14, -0x1.840b38705f5e8p-14, -0x1.7bb140567a346p-14, -0x1.73623cb5af5e2p-14, -0x1.6b1dd41bd5a1p-14, -0x1.62e3bb9de5a6p-14, -0x1.5ab3b5fd70d27p-14, -0x1.528d92d66f02dp-14, -0x1.4a712dd521964p-14, -0x1.425e6df3d534fp-14, -0x1.3a5544c0442afp-14, -0x1.3255ada8634d3p-14, -0x1.2a5fad4e601e3p-14, -0x1.227350e39ab2ep-14, -0x1.1a90ad8a65d6ap-14, -0x1.12b7dfbe58776p-14, -0x1.0ae90ac2ffe56p-14, -0x1.03245818be7a3p-14, -0x1.f6d3edef4d773p-15, -0x1.e77437a04a71ep-15, -0x1.d829ffa290ff7p-15, -0x1.c8f5c0e8f54f7p-15, -0x1.b9d7fe1d02d33p-15, -0x1.aad140cb2f6cap-15, -0x1.9be21898edabfp-15, -0x1.8d0b1a84504adp-15, -0x1.7e4ce02ce9244p-15, -0x1.6fa8072597a4bp-15, -0x1.611d304efc79ap-15, -0x1.52acff3a43f63p-15, -0x1.445819940147p-15, -0x1.361f2696d4342p-15, -0x1.2802ce859161dp-15, -0x1.1a03ba2caf18bp-15, -0x1.0c22926aaf3dfp-15, -0x1.fcbfff7e98f6bp-16, -0x1.e17953c24e6b7p-16, -0x1.c6726eb379491p-16, -0x1.abac9a4ec7e34p-16, -0x1.91291cca48affp-16, -0x1.76e937f0410b6p-16, -0x1.5cee2884d4701p-16, -0x1.433925b60b00ep-16, -0x1.29cb6095d114p-16, -0x1.10a6039d92c9p-16, -0x1.ef9464760966ep-17, -0x1.be7210cbaa482p-17, -0x1.8de7347b9725fp-17, -0x1.5df5e7623a782p-17, -0x1.2ea0305507b7p-17, -0x1.ffd0091b7954ap-18, -0x1.a39e8e47d2f67p-18, -0x1.48af91287e416p-18, -0x1.de0d1953f75fbp-19, -0x1.2d4da9dbd9b2fp-19, -0x1.fc9cb528d8e48p-21, 0x1.630297f91a872p-22, 0x1.aa863d20de1afp-20, 0x1.7b7bceb47d20cp-19, 0x1.0f82a788b7733p-18, 0x1.5fed6f11c6df1p-18, 0x1.aefc06ca0d9c4p-18, 0x1.fcac6136e9ca3p-18, 0x1.247e4d4c39732p-17, 0x1.49f57c7203863p-17, 0x1.6ebaf5d818736p-17, 0x1.92ce060957bd7p-17, 0x1.b62e0e38b7f74p-17, 0x1.d8da842382ac9p-17, 0x1.fad2f1edceb75p-17, 0x1.0e0b7afcb1c1dp-16, 0x1.1e53215bbdb89p-16, 0x1.2e404f3ad485fp-16, 0x1.3dd2f193116cdp-16, 0x1.4d0aff11eb254p-16, 0x1.5be877f93a1ep-16, 0x1.6a6b65fd649b3p-16, 0x1.7893dc21d3471p-16, 0x1.8661f693c48cep-16, 0x1.93d5da83acda8p-16, 0x1.a0efb5fd32eb4p-16, 0x1.adafbfbded944p-16, 0x1.ba16370afc4a3p-16, 0x1.c623638592e16p-16, 0x1.d1d794fe94a1p-16, 0x1.dd33234954488p-16, 0x1.e8366e0d92f7ep-16, 0x1.f2e1dc98ce8d3p-16, 0x1.fd35ddaf0155dp-16, 0x1.039973ad6afa5p-15, 0x1.086cbb5eb90a2p-15, 0x1.0d1507eef1b63p-15, 0x1.11929ebc1f7a5p-15, 0x1.15e5c866461b1p-15, 0x1.1a0ed0b6c1f78p-15, 0x1.1e0e068798964p-15, 0x1.21e3bbaac8792p-15, 0x1.259044d195571p-15, 0x1.2913f973df24ep-15, 0x1.2c6f33b786ceep-15, 0x1.2fa25057e8345p-15, 0x1.32adae8d6cfecp-15, 0x1.3591aff53f2e9p-15, 0x1.384eb879217b2p-15, 0x1.3ae52e376fb1dp-15, 0x1.3d55796b4d8e8p-15, 0x1.3fa0045509761p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.c9d14e3119aaap-1, 0x1.c89516b684f57p-1, 0x1.c744d0e2b5526p-1, 0x1.c5e054b7a7999p-1, 0x1.c4678576954dep-1, 0x1.c2da515dc989ep-1, 0x1.c138b15ac42bep-1, 0x1.bf82a8b2eaf6bp-1, 0x1.bdb844a4bfc9ap-1, 0x1.bbd99c03499fcp-1, 0x1.b9e6cecd2583cp-1, 0x1.b7e005c0812f3p-1, 0x1.b5c571ed0c46cp-1, 0x1.b3974c44d054bp-1, 0x1.b155d52cb5dc8p-1, 0x1.af01540d60bbap-1, 0x1.ac9a16e4f3373p-1, 0x1.aa2071da32343p-1, 0x1.a794bed170a1cp-1, 0x1.a4f75d0392cacp-1, 0x1.a248b097728f9p-1, 0x1.9f89223dda319p-1, 0x1.9cb91ed041718p-1, 0x1.99d916f272d45p-1, 0x1.96e97eb7305d8p-1, 0x1.93eacd47ec329p-1, 0x1.90dd7c8f9fed7p-1, 0x1.8dc208e8ccf51p-1, 0x1.8a98f0cea5313p-1, 0x1.8762b4915be37p-1, 0x1.841fd60d99cd5p-1, 0x1.80d0d8670d9a8p-1, 0x1.7d763fc60c3ebp-1, 0x1.7a109118379adp-1, 0x1.76a051d41d54dp-1, 0x1.732607bfbb6bdp-1, 0x1.6fa238b9e0a0fp-1, 0x1.6c156a865085dp-1, 0x1.6880229c9f50fp-1, 0x1.64e2e5f9af085p-1, 0x1.613e38f3be2f1p-1, 0x1.5d929f10f3106p-1, 0x1.59e09ae05282p-1, 0x1.5628add50c1fcp-1, 0x1.526b58240d7d7p-1, 0x1.4ea918a3c4567p-1, 0x1.4ae26cae008edp-1, 0x1.4717d003e23b8p-1, 0x1.4349bcb3c138ep-1, 0x1.3f78ab00fbd6p-1, 0x1.3ba5114d9c88bp-1, 0x1.37cf6405c2de5p-1, 0x1.33f8158cbf9c9p-1, 0x1.301f962bd5c6cp-1, 0x1.2c4654028a524p-1, 0x1.286cbaf877c2ep-1, 0x1.249334b09569ep-1, 0x1.20ba287ddeb5cp-1, 0x1.1ce1fb5951c5cp-1, 0x1.190b0fd93177ep-1, 0x1.1535c62980d33p-1, 0x1.11627c05a6df6p-1, 0x1.0d918cb32e99fp-1, 0x1.09c350fd98b29p-1, 0x1.05f81f332c959p-1, 0x1.02304b22c22c8p-1, 0x1.fcd84c34eba12p-2, 0x1.f557fdce72ec4p-2, 0x1.ede043aa756aep-2, 0x1.e671b16224839p-2, 0x1.df0cd5935d77bp-2, 0x1.d7b239e5edd49p-2, 0x1.d06263122381p-2, 0x1.c91dd0e8a4e36p-2, 0x1.c1e4fe5b72562p-2, 0x1.bab86188049b3p-2, 0x1.b3986bc27725dp-2, 0x1.ac8589a1aa019p-2, 0x1.a580230c4f044p-2, 0x1.9e889b46cfd2fp-2, 0x1.979f5101fff8dp-2, 0x1.90c49e6a8896ep-2, 0x1.89f8d93905518p-2, 0x1.833c52c2bf21dp-2, 0x1.7c8f580afe013p-2, 0x1.75f231d4dcc3dp-2, 0x1.6f6524b59c7e1p-2, 0x1.68e8712765dd5p-2, 0x1.627c539c6c949p-2, 0x1.5c21049270e72p-2, 0x1.55d6b8a68b167p-2, 0x1.4f9da0a941948p-2, 0x1.4975e9b2d7813p-2, 0x1.435fbd37d0d03p-2, 0x1.3d5b411d9ee4fp-2, 0x1.376897cf71af5p-2, 0x1.3187e0532169ep-2, 0x1.2bb9365e2bb19p-2, 0x1.25fcb26abf91ep-2, 0x1.205269ccc83eep-2, 0x1.1aba6ec6fdf7cp-2, 0x1.1534d09fe8d66p-2, 0x1.0fc19bb6db43dp-2, 0x1.0a60d998d6df8p-2, 0x1.051291155a886p-2, 0x1.ffad8ca624faap-3, 0x1.f55af5c8d1a6ap-3, 0x1.eb2d5bb7daeb2p-3, 0x1.e124b7c12e017p-3, 0x1.d740fe83a3d76p-3, 0x1.cd822016c4c7p-3, 0x1.c3e808321c991p-3, 0x1.ba729e541ed0cp-3, 0x1.b121c5e8998p-3, 0x1.a7f55e6ea50b9p-3, 0x1.9eed439e1c4edp-3, 0x1.96094d8c855edp-3, 0x1.8d4950d17ba42p-3, 0x1.84ad1eaa81c7ep-3, 0x1.7c34851e4d0c8p-3, 0x1.73df4f1f7414dp-3, 0x1.6bad44ae8902dp-3, 0x1.639e2afb9efp-3, 0x1.5bb1c4872ae87p-3, 0x1.53e7d1424af78p-3, 0x1.4c400eae7183dp-3, 0x1.44ba37fc68a9ap-3, 0x1.3d56062ab2db5p-3, 0x1.361330235274p-3, 0x1.2ef16ad8debbp-3, 0x1.27f06962fef8dp-3, 0x1.210fdd1a3a059p-3, 0x1.1a4f75b32783dp-3, 0x1.13aee158f12eap-3, 0x1.0d2dccc73a399p-3, 0x1.06cbe3635dcep-3, 0x1.0088cf5504a5cp-3, 0x1.f4c8733c43319p-4, 0x1.e8bb94648548dp-4, 0x1.dcea501a873c6p-4, 0x1.d153f292c6e7ap-4, 0x1.c5f7c66969dc4p-4, 0x1.bad514cbee9p-4, 0x1.afeb25a19b9afp-4, 0x1.a5393fb2bcdacp-4, 0x1.9abea8ceb2p-4, 0x1.907aa5f0cad47p-4, 0x1.866c7b63f4ea4p-4, 0x1.7c936ce54ae5ep-4, 0x1.72eebdc5782edp-4, 0x1.697db10901648p-4, 0x1.603f898770e37p-4, 0x1.57338a096b0bcp-4, 0x1.4e58f565b125ep-4, 0x1.45af0e9d15e2ap-4, 0x1.3d3518f567b09p-4, 0x1.34ea581355a4dp-4, 0x1.2cce1013554eap-4, 0x1.24df85a18a557p-4, 0x1.1d1dfe10b98efp-4, 0x1.1588bf7048145p-4, 0x1.0e1f10a14c7efp-4, 0x1.06e0396ab9af6p-4, 0x1.ff97051944d7ep-5, 0x1.f1c06ba541209p-5, 0x1.e43b3c4ac26f9p-5, 0x1.d7060f36b59dap-5, 0x1.ca1f7f1167cf8p-5, 0x1.bd86291cbaedep-5, 0x1.b138ad50cce2bp-5, 0x1.a535ae771b747p-5, 0x1.997bd2442c241p-5, 0x1.8e09c16fc512p-5, 0x1.82de27cbbd3efp-5, 0x1.77f7b4596d4fp-5, 0x1.6d55195dce2dbp-5, 0x1.62f50c7449173p-5, 0x1.58d646a048dcbp-5, 0x1.4ef7845d8c636p-5, 0x1.455785af4e6c2p-5, 0x1.3bf50e2e413c3p-5, 0x1.32cee5156c931p-5, 0x1.29e3d54df7c8p-5, 0x1.2132ad79e1779p-5, 0x1.18ba3ffdb5a41p-5, 0x1.1079630944c05p-5, 0x1.086ef09f67406p-5, 0x1.0099c69cd1e8dp-5, 0x1.f1f18d7c0da92p-6, 0x1.e315ad48d254cp-6, 0x1.d49dbfb4f4662p-6, 0x1.c6879fae9136cp-6, 0x1.b8d1300233f2ep-6, 0x1.ab785b5ea6515p-6, 0x1.9e7b145751f84p-6, 0x1.91d755654155bp-6, 0x1.858b20e6c2bc8p-6, 0x1.7994811dd0f5p-6, 0x1.6df1882d332e6p-6, 0x1.62a05014799c9p-6, 0x1.579efaaad121p-6, 0x1.4cebb198c5ec2p-6, 0x1.4284a650fc1fdp-6, 0x1.38681207e9021p-6, 0x1.2e9435aa9da26p-6, 0x1.250759d4a72bcp-6, 0x1.1bbfcec5145d8p-6, 0x1.12bbec52a9512p-6, 0x1.09fa11df4fa08p-6, 0x1.0178a64ac237ap-6, 0x1.f26c2fc91c4eep-7, 0x1.e261b8bacb522p-7, 0x1.d2cee16fa1279p-7, 0x1.c3b0b2709a8b8p-7, 0x1.b50442a9b4837p-7, 0x1.a6c6b748067e1p-7, 0x1.98f54396ce3c9p-7, 0x1.8b8d28dba1972p-7, 0x1.7e8bb631bada6p-7, 0x1.71ee48647be3bp-7, 0x1.65b249c93d18cp-7, 0x1.59d532185b8f6p-7, 0x1.4e548645b6401p-7, 0x1.432dd8588e946p-7, 0x1.385ec742e9defp-7, 0x1.2de4feb870c95p-7, 0x1.23be3704e60c6p-7, 0x1.19e834e239a81p-7, 0x1.1060c94e44915p-7, 0x1.0725d16038f0fp-7, 0x1.fc6a6c3ba228ep-8, 0x1.eb19d8a08cb8p-8, 0x1.da55e8b236861p-8, 0x1.ca1ab40d81a23p-8, 0x1.ba6468d24132fp-8, 0x1.ab2f4b4c29fdfp-8, 0x1.9c77b59badd31p-8, 0x1.8e3a175ed22efp-8, 0x1.8072f55a12f7cp-8, 0x1.731ee9215ed73p-8, 0x1.663aa0c13ab4bp-8, 0x1.59c2de681c12ap-8, 0x1.4db478100428cp-8, 0x1.420c57286b377p-8, 0x1.36c77840843c8p-8, 0x1.2be2eab1e8cdcp-8, 0x1.215bd04bb3018p-8, 0x1.172f5cfe12e94p-8, 0x1.0d5ad68667365p-8, 0x1.03db941be4dcp-8, 0x1.f55dfc39a340bp-9, 0x1.e3a51b78bec9fp-9, 0x1.d28799625713fp-9, 0x1.c200a9c8d9a8ep-9, 0x1.b20ba043a672ap-9, 0x1.a2a3ef9046cd7p-9, 0x1.93c528f526c99p-9, 0x1.856afba5d6cdp-9, 0x1.77913428e5e96p-9, 0x1.6a33bbbf5e76dp-9, 0x1.5d4e97cde8e57p-9, 0x1.50dde947a2d87p-9, 0x1.44ddec1aaf0acp-9, 0x1.394af69e8940bp-9, 0x1.2e2179041c057p-9, 0x1.235dfcc7a9181p-9, 0x1.18fd242481b77p-9, 0x1.0efba98a97ceep-9, 0x1.05565f15ead44p-9, 0x1.f8145c0fa40f3p-10, 0x1.e6282c84590c6p-10, 0x1.d4e25b88e8c12p-10, 0x1.c43d405578098p-10, 0x1.b4335c5d22f7dp-10, 0x1.a4bf5a539c79ap-10, 0x1.95dc0d36acc75p-10, 0x1.87846f5b7c9adp-10, 0x1.79b3a17fc291dp-10, 0x1.6c64e9dec899p-10, 0x1.5f93b34a46007p-10, 0x1.533b8c4712b9p-10, 0x1.4758262db17b9p-10, 0x1.3be5544eaa172p-10, 0x1.30df0b1aaae57p-10, 0x1.26415f4e8249p-10, 0x1.1c088522cf8d3p-10, 0x1.1230cf7f81ae3p-10, 0x1.08b6af3306c21p-10, 0x1.ff2d645a6a432p-11, 0x1.ed9b057bcfcc6p-11, 0x1.dcafcdae7612bp-11, 0x1.cc657ea6df9f3p-11, 0x1.bcb60e7cd08d4p-11, 0x1.ad9ba6456aa91p-11, 0x1.9f10a0b45d213p-11, 0x1.910f88c417cdfp-11, 0x1.83931864f07ep-11, 0x1.7696373326eacp-11, 0x1.6a13f933b8b1ep-11, 0x1.5e079d97ed01dp-11, 0x1.526c8d878b236p-11, 0x1.473e5af1a2a83p-11, 0x1.3c78bf63d45b2p-11, 0x1.32179ae808208p-11, 0x1.2816f2e87895fp-11, 0x1.1e72f11a026d5p-11, 0x1.1527e26ca08b3p-11, 0x1.0c32360200a49p-11, 0x1.038e7c2a1abdcp-11, 0x1.f672cacb6b668p-12, 0x1.e65f82dd865b8p-12, 0x1.d6dcfc8cfbaebp-12, 0x1.c7e54e9262fefp-12, 0x1.b972c88f36557p-12, 0x1.ab7ff14b8ddd3p-12, 0x1.9e0784feaf1f1p-12, 0x1.910473a244857p-12, 0x1.8471df500c112p-12, 0x1.784b1aa9d6f6dp-12, 0x1.6c8ba74ba90fdp-12, 0x1.612f3447cf93dp-12, 0x1.56319cacbf608p-12, 0x1.4b8ee614915eep-12, 0x1.41433f3df47edp-12, 0x1.374afeae61f0dp-12, 0x1.2da2a15d6d56ep-12, 0x1.2446c9690863ap-12, 0x1.1b343cd289449p-12, 0x1.1267e4444bc1cp-12, 0x1.09dec9dfc658ep-12, 0x1.01961813e23bep-12, 0x1.f31630f6e8d9ap-13, 0x1.e37665874ea5ap-13, 0x1.d447d7346b6bep-13, 0x1.c585c74683122p-13, 0x1.b72baced552dp-13, 0x1.a93533496f25p-13, 0x1.9b9e3783d3e3ap-13, 0x1.8e62c6f3b1e13p-13, 0x1.817f1d51d3ce8p-13, 0x1.74efa2f981fe5p-13, 0x1.68b0eb36949b7p-13, 0x1.5cbfb2a0547e1p-13, 0x1.5118dd80fae27p-13, 0x1.45b9764978a31p-13, 0x1.3a9eac114168p-13, 0x1.2fc5d121dad8cp-13, 0x1.252c598ddb241p-13, 0x1.1acfd9d3246f1p-13, 0x1.10ae05881180ep-13, 0x1.06c4ae134d69ep-13, 0x1.fa2382dc339bep-14, 0x1.e72691e194563p-14, 0x1.d48ed05240b26p-14, 0x1.c258b774d3aabp-14, 0x1.b080f08dfcbdfp-14, 0x1.9f0452c60ad6dp-14, 0x1.8ddfe120556a4p-14, 0x1.7d10c88435fb6p-14, 0x1.6c945dd70bfc5p-14, 0x1.5c681c26e2079p-14, 0x1.4c89a2e543214p-14, 0x1.3cf6b431d38e3p-14, 0x1.2dad333445ac3p-14, 0x1.1eab22853d9f8p-14, 0x1.0feea2a5c17aep-14, 0x1.0175f084cdf05p-14, 0x1.e67ec8255df6bp-15, 0x1.ca92ddc376211p-15, 0x1.af2535a821f7p-15, 0x1.943311abf9744p-15, 0x1.79b9df494dd5bp-15, 0x1.5fb735416e82dp-15, 0x1.4628d1591f26cp-15, 0x1.2d0c962b9b0a7p-15, 0x1.14608913774e8p-15, 0x1.f845a05186ab7p-16, 0x1.c8a360a78d5bbp-16, 0x1.99d716e77b2cp-16, 0x1.6bddbd31f491fp-16, 0x1.3eb480a3b2fc6p-16, 0x1.1258be13dcf78p-16, 0x1.cd8ffdeb7a262p-17, 0x1.77ffecb972f0fp-17, 0x1.23fcfc42e7c7ep-17, 0x1.a306509c5292bp-18, 0x1.011d5efe9ec5bp-18, 0x1.88e072e9c82f4p-20, -0x1.cd8056f342236p-21, -0x1.a542868db50fap-19, -0x1.68a1576a41becp-18, -0x1.fbb5b9dec25d2p-18, -0x1.45f1c65ce39e9p-17, -0x1.8c97d48106f88p-17, -0x1.d1cf52e153a69p-17, -0x1.0acd37b08bda4p-16, -0x1.2bfd9eb85dc9ep-16, -0x1.4c79dc8924e55p-16, -0x1.6c42e4da6a256p-16, -0x1.8b59a274015f2p-16, -0x1.a9bef874adf1p-16, -0x1.c773c386512dfp-16, -0x1.e478db004e05ep-16, -0x1.006788fc68264p-15, -0x1.0e3b9c22cead3p-15, -0x1.1bb90db68308fp-15, -0x1.28e043c3cdd94p-15, -0x1.35b1a409a2a33p-15, -0x1.422d945c1b546p-15, -0x1.4e547b00376eep-15, -0x1.5a26bf0119f55p-15, -0x1.65a4c87f11075p-15, -0x1.70cf00f8a3591p-15, -0x1.7ba5d38de79e8p-15, -0x1.8629ad3e5f8ffp-15, -0x1.905afd2193c6ap-15, -0x1.9a3a349aacf9dp-15, -0x1.a3c7c7873e7d3p-15, -0x1.ad042c697a359p-15, -0x1.b5efdc8e04c6dp-15, -0x1.be8b542d99e71p-15, -0x1.c6d7128ab5cc5p-15, -0x1.ced39a0b70061p-15, -0x1.d681704fb91f2p-15, -0x1.dde11e442642ap-15, -0x1.e4f3303177926p-15, -0x1.ebb835c902407p-15, -0x1.f230c22e26c66p-15, -0x1.f85d6bfcfdbdfp-15, -0x1.fe3ecd4e59faap-15, -0x1.01eac1dca75d6p-14, -0x1.0491182929c25p-14, -0x1.0712bbd417051p-14, -0x1.097000df6111ap-14, -0x1.0ba93d03f1cebp-14, -0x1.0dbec7ad277e1p-14, -0x1.0fb0f9f370a79p-14, -0x1.11802e9616afap-14, -0x1.132cc1f44556p-14, -0x1.14b712055bb79p-14, -0x1.161f7e5093422p-14, -0x1.176667e409ee5p-14, -0x1.188c314b39d6bp-14, -0x1.19913e84eac75p-14, -0x1.1a75f4f8a83a1p-14, -0x1.1b3abb6bc5781p-14, -0x1.1bdff9f5fb699p-14, -0x1.1c6619f5a8001p-14, -0x1.1ccd8603b83d6p-14, -0x1.1d16a9e748badp-14, -0x1.1d41f288ffeedp-14, -0x1.1d4fcde62f57ap-14, -0x1.1d40ab03c03ap-14, -0x1.1d14f9e0f2fa3p-14, -0x1.1ccd2b69faf85p-14, -0x1.1c69b16a7a898p-14, -0x1.1beafe7fe7586p-14, -0x1.1b51860bdb7ebp-14, -0x1.1a9dbc265c2bdp-14, -0x1.19d01590171c5p-14, -0x1.18e907a4a06c5p-14, -0x1.17e9084cb266ap-14, -0x1.16d08df076269p-14, -0x1.15a00f69d7936p-14, -0x1.145803f6ebea3p-14, -0x1.12f8e32c6ad54p-14, -0x1.118324e841746p-14, -0x1.0ff7414440f59p-14, -0x1.0e55b088ec572p-14, -0x1.0c9eeb2068369p-14, -0x1.0ad3698991885p-14, -0x1.08f3a44b3a523p-14, -0x1.070013e793414p-14, -0x1.04f930cfc0a93p-14, -0x1.02df7357a0561p-14, -0x1.00b353a9bf1a9p-14, -0x1.fcea9377064d8p-15, -0x1.f84b9a8316a9ep-15, -0x1.f38aab4888a77p-15, -0x1.eea8b3e96d1d8p-15, -0x1.e9a6a1c31bd5cp-15, -0x1.e4856158b7c1p-15, -0x1.df45de3e2a6c3p-15, -0x1.d9e903039aae7p-15, -0x1.d46fb9215e322p-15, -0x1.cedae8e466923p-15, -0x1.c92b795b2ebaep-15, -0x1.c362504327d53p-15, -0x1.bd8051f6a2daep-15, -0x1.b786615b3fd5ap-15, -0x1.b1755fd0ddbd2p-15, -0x1.ab4e2d2108135p-15, -0x1.a511a76eed691p-15, -0x1.9ec0ab27d3fc8p-15, -0x1.985c12f410685p-15, -0x1.91e4b7a88144ap-15, -0x1.8b5b70388aaf4p-15, -0x1.84c111a8932bep-15, -0x1.7e166f0102942p-15, -0x1.775c5941bf7e7p-15, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      63, 0x1.fae147ae147aep+1, 0x1.f55589921477cp+0, 0x1.caad8667c34f5p+0, -0x1.0533013dd561cp-3, 
      {{
        {0x1.3333333333333p+0, 0x1.3d70a3d70a3d7p+0, 0x1.c75147f130596p-2, -0x1.1edb1014e6363p+0, 0x1.18e147ae1478fp+0, 0x1.3692183057dfp-3}, 
        {0x1.3d70a3d70a3d7p+0, 0x1.47ae147ae147bp+0, 0x1.9b3a68b19a416p-2, -0x1.0832efcfa5da1p+0, 0x1.1d89df153482bp+0, -0x1.84369e3c6dc3p-1}, 
        {0x1.47ae147ae147bp+0, 0x1.51eb851eb851fp+0, 0x1.72bbecaab8a5dp-2, -0x1.e493402b8d8e7p-1, 0x1.063eea1194532p+0, -0x1.e9941a34bf17bp-2}, 
        {0x1.51eb851eb851fp+0, 0x1.5c28f5c28f5c3p+0, 0x1.4d9d7774aba38p-2, -0x1.bbca761f722fdp-1, 0x1.ef1de70b8395ap-1, -0x1.10a12d5a10bc2p-1}, 
        {0x1.5c28f5c28f5c3p+0, 0x1.6666666666666p+0, 0x1.2ba94bbe4473dp-2, -0x1.957d79f9af02bp-1, 0x1.ce66b8a48bd0dp-1, -0x1.f1627afacbeaep-2}, 
        {0x1.6666666666666p+0, 0x1.70a3d70a3d70ap+0, 0x1.0cab81f969e3dp-2, -0x1.71b11787f35e4p-1, 0x1.b08ee476c742fp-1, -0x1.e933b960992e2p-2}, 
        {0x1.70a3d70a3d70ap+0, 0x1.7ae147ae147aep+0, 0x1.e0e51d25aab47p-3, -0x1.5042ddc349c9p-1, 0x1.9334bfbdc84f8p-1, -0x1.c9ce9f82d708ep-2}, 
        {0x1.7ae147ae147aep+0, 0x1.851eb851eb852p+0, 0x1.ad9d7774aba38p-3, -0x1.311a7ba856211p-1, 0x1.77bcd4e40316ap-1, -0x1.bf91c8940ab72p-2}, 
        {0x1.851eb851eb852p+0, 0x1.8f5c28f5c28f6p+0, 0x1.7f255f3519bd4p-3, -0x1.141e5cf9fbcbbp-1, 0x1.5ce22a22cf3edp-1, -0x1.97ea3e2d002fdp-2}, 
        {0x1.8f5c28f5c28f6p+0, 0x1.999999999999ap+0, 0x1.5525cc426351ep-3, -0x1.f25fb4bd0d51bp-2, 0x1.4468970ba1277p-1, -0x1.a0c53eb7f3f1ep-2}, 
        {0x1.999999999999ap+0, 0x1.a3d70a3d70a3dp+0, 0x1.2f4cf4a558ea8p-3, -0x1.c0780f2691fdep-2, 0x1.2b66fecd646ffp-1, -0x1.7500c6f336cp-2}, 
        {0x1.a3d70a3d70a3dp+0, 0x1.ae147ae147ae1p+0, 0x1.0d4aa10e02214p-3, -0x1.925ae2d4e75b5p-2, 0x1.1505ab2f70834p-1, -0x1.6b37a57b22bd5p-2}, 
        {0x1.ae147ae147ae1p+0, 0x1.b851eb851eb85p+0, 0x1.dda8bd230b9dcp-4, -0x1.67c6616d3d267p-2, 0x1.fe754cc0be22fp-2, -0x1.5e20a32045af1p-2}, 
        {0x1.b851eb851eb85p+0, 0x1.c28f5c28f5c29p+0, 0x1.a745bf26f1dc5p-4, -0x1.409e6ee93d04ep-2, 0x1.d471622345227p-2, -0x1.3c45ce03c70d5p-2}, 
        {0x1.c28f5c28f5c29p+0, 0x1.ccccccccccccdp+0, 0x1.76e3f78bbd38p-4, -0x1.1ca95bc2ccb7fp-2, 0x1.ae7d7c9db25e3p-2, -0x1.40c824d09cbafp-2}, 
        {0x1.ccccccccccccdp+0, 0x1.d70a3d70a3d71p+0, 0x1.4c0485a0be511p-4, -0x1.f786313fad191p-3, 0x1.87ff11cc57e15p-2, -0x1.20999eb9c84f7p-2}, 
        {0x1.d70a3d70a3d71p+0, 0x1.e147ae147ae14p+0, 0x1.262bae03b3e9ap-4, -0x1.bb9348e90f244p-3, 0x1.655d466e5e901p-2, -0x1.0cd1604841fadp-2}, 
        {0x1.e147ae147ae14p+0, 0x1.eb851eb851eb8p+0, 0x1.04e7253da72a8p-4, -0x1.84fa499ffa80bp-3, 0x1.451b30a323723p-2, -0x1.0c20e0252bd23p-2}, 
        {0x1.eb851eb851eb8p+0, 0x1.f5c28f5c28f5cp+0, 0x1.cf97edc7ef178p-5, -0x1.5388e3bd1e9f1p-3, 0x1.24ee48f099114p-2, -0x1.e5563e4622768p-3}, 
        {0x1.f5c28f5c28f5cp+0, 0x1p+1, 0x1.9ce4a7b4e54f8p-5, -0x1.26fed373bc287p-3, 0x1.07cf82a4b5b81p-2, -0x1.b265469d1e7b5p-3}, 
        {0x1p+1, 0x1.051eb851eb852p+1, 0x1.70f5a1016ce79p-5, -0x1.fdbddbfbf3804p-4, 0x1.db7e633690bd9p-3, -0x1.d114a74563d48p-3}, 
        {0x1.051eb851eb852p+1, 0x1.0a3d70a3d70a4p+1, 0x1.4b1ab0856e697p-5, -0x1.b6209e9ca45dep-4, 0x1.a3af1bf0cc70cp-3, -0x1.69481c4d51ffap-3}, 
        {0x1.0a3d70a3d70a4p+1, 0x1.0f5c28f5c28f6p+1, 0x1.2aa5c5f7c675ap-5, -0x1.76723f7b5cb65p-4, 0x1.7854892f333dcp-3, -0x1.89cae785549a2p-3}, 
        {0x1.0f5c28f5c28f6p+1, 0x1.147ae147ae148p+1, 0x1.0effe2a3cea6cp-5, -0x1.3e038c02cfcbcp-4, 0x1.49133a33ae355p-3, -0x1.4f8c459d5abaap-3}, 
        {0x1.147ae147ae148p+1, 0x1.199999999999ap+1, 0x1.ef284167a95c8p-6, -0x1.0c9545ed4ecd9p-4, 0x1.20cf31d91e337p-3, -0x1.3804020540c11p-3}, 
        {0x1.199999999999ap+1, 0x1.1eb851eb851ecp+1, 0x1.c7b890d5a5b96p-6, -0x1.c2bce741ae2b9p-5, 0x1.f6bc25c5748a7p-4, -0x1.3063b24da23a1p-3}, 
        {0x1.1eb851eb851ecp+1, 0x1.23d70a3d70a3dp+1, 0x1.a6b93ccd0fe8bp-6, -0x1.782503c4242aep-5, 0x1.adae75dbc87c3p-4, -0x1.066d34c4392bap-3}, 
        {0x1.23d70a3d70a3dp+1, 0x1.28f5c28f5c28fp+1, 0x1.8b3f63c31df76p-6, -0x1.386f23e4a41d8p-5, 0x1.6eb2f88df8351p-4, -0x1.ebcef542e68cfp-4}, 
        {0x1.28f5c28f5c28fp+1, 0x1.2e147ae147ae1p+1, 0x1.74794ea077037p-6, -0x1.027bd031b0ffp-5, 0x1.33ae9daee6c7fp-4, -0x1.c3e9c16bfa3d8p-4}, 
        {0x1.2e147ae147ae1p+1, 0x1.3333333333333p+1, 0x1.61a60d4562e0ap-6, -0x1.ab2f8d7eff748p-6, 0x1.fae7b0c90224dp-5, -0x1.848a050d2f92fp-4}, 
        {0x1.3333333333333p+1, 0x1.3851eb851eb85p+1, 0x1.52157689ca18cp-6, -0x1.618a784548ef1p-6, 0x1.9da7d888675dap-5, -0x1.69ee2a5f4814dp-4}, 
        {0x1.3851eb851eb85p+1, 0x1.3d70a3d70a3d7p+1, 0x1.452c59fb1e18fp-6, -0x1.264e182e034d7p-6, 0x1.46cad89a7f06ap-5, -0x1.53bd5175afe5p-4}, 
        {0x1.3d70a3d70a3d7p+1, 0x1.428f5c28f5c29p+1, 0x1.3a5c1c6088d6dp-6, -0x1.f115223190558p-7, 0x1.ea827fddc8577p-6, -0x1.071c8fc9f74acp-4}, 
        {0x1.428f5c28f5c29p+1, 0x1.47ae147ae147bp+1, 0x1.3122b7baecd08p-6, -0x1.acb4587a987eap-7, 0x1.6c37599151a41p-6, -0x1.0fd06f62754d5p-4}, 
        {0x1.47ae147ae147bp+1, 0x1.4cccccccccccdp+1, 0x1.29131ec0b5675p-6, -0x1.7cde1789f102fp-7, 0x1.d37da45db7cabp-7, -0x1.7343655861107p-5}, 
        {0x1.4cccccccccccdp+1, 0x1.51eb851eb851fp+1, 0x1.21c8a7a41e57ep-6, -0x1.5e98b6ba9e215p-7, 0x1.2148cfe1603d6p-7, -0x1.93518bd995e21p-5}, 
        {0x1.51eb851eb851fp+1, 0x1.570a3d70a3d71p+1, 0x1.1af3a14cec41ep-6, -0x1.4f328f6372657p-7, 0x1.7ec41e8794616p-9, -0x1.3f766b4145cd2p-5}, 
        {0x1.570a3d70a3d71p+1, 0x1.5c28f5c28f5c3p+1, 0x1.14488c60cbf2bp-6, -0x1.4dad0529df90fp-7, -0x1.cd34401472a3ap-10, -0x1.dda98e42a338p-6}, 
        {0x1.5c28f5c28f5c3p+1, 0x1.6147ae147ae14p+1, 0x1.0d887ebf22c02p-6, -0x1.56df9b09215b8p-7, -0x1.58943595bcecfp-8, -0x1.0a6cf072f1496p-6}, 
        {0x1.6147ae147ae14p+1, 0x1.6666666666666p+1, 0x1.0685553ef6b5dp-6, -0x1.6736dc848cb7p-7, -0x1.d87694853afa5p-8, -0x1.f8a2aff188adep-6}, 
        {0x1.6666666666666p+1, 0x1.6b851eb851eb8p+1, 0x1.fe3b03e20ccffp-7, -0x1.7ef513a9477a5p-7, -0x1.655818539f926p-7, -0x1.3084fc6f363b3p-10}, 
        {0x1.6b851eb851eb8p+1, 0x1.70a3d70a3d70ap+1, 0x1.ee568a50507a7p-7, -0x1.9bba42335006dp-7, -0x1.69e9732736256p-7, -0x1.767821e556271p-7}, 
        {0x1.70a3d70a3d70ap+1, 0x1.75c28f5c28f5cp+1, 0x1.dd441355475a3p-7, -0x1.ba7a5cc751e7bp-7, -0x1.96d9254cf8cdbp-7, -0x1.db1b977cccaa5p-20}, 
        {0x1.75c28f5c28f5cp+1, 0x1.7ae147ae147aep+1, 0x1.caea747d805e6p-7, -0x1.db06af726090fp-7, -0x1.96daed6775c09p-7, -0x1.1298f54f789cp-8}, 
        {0x1.7ae147ae147aep+1, 0x1.8p+1, 0x1.b7414a4d2b2cp-7, -0x1.fc3bcacf6d595p-7, -0x1.a754beaec9ca1p-7, 0x1.12a061bdd690fp-6}, 
        {0x1.8p+1, 0x1.851eb851eb852p+1, 0x1.a24894c447c31p-7, -0x1.0dbb5849bfc39p-6, -0x1.656bb176fcb17p-7, -0x1.76d268deec3c5p-12}, 
        {0x1.851eb851eb852p+1, 0x1.8a3d70a3d70a4p+1, 0x1.8c21e1d2178f7p-7, -0x1.1c0e8778a9b29p-6, -0x1.66d385b2b3fa5p-7, 0x1.04ccc4d016bbdp-6}, 
        {0x1.8a3d70a3d70a4p+1, 0x1.8f5c28f5c28f6p+1, 0x1.74ddf86e3b47p-7, -0x1.2928706e6d9cep-6, -0x1.283bfa4d8fcd6p-7, 0x1.e5506cc644db5p-7}, 
        {0x1.8f5c28f5c28f6p+1, 0x1.947ae147ae148p+1, 0x1.5ca6ca03c4b0ap-7, -0x1.33d7b386c37b4p-6, -0x1.dbfe40e66b3dp-8, 0x1.309261a35e5afp-6}, 
        {0x1.947ae147ae148p+1, 0x1.999999999999ap+1, 0x1.43aeab7995ee1p-7, -0x1.3be6874cbcfb4p-6, -0x1.49cc786f0abf4p-8, 0x1.4b0e430f662ffp-6}, 
        {0x1.999999999999ap+1, 0x1.9eb851eb851ecp+1, 0x1.2a305532617c2p-7, -0x1.40e84bf250c6cp-6, -0x1.55c8b07d61793p-9, 0x1.4669243e0a94fp-7}, 
        {0x1.9eb851eb851ecp+1, 0x1.a3d70a3d70a3dp+1, 0x1.10667f90d9d77p-7, -0x1.438ab7818d384p-6, -0x1.7236aed3ae8cp-10, 0x1.140fba3a3fc16p-5}, 
        {0x1.a3d70a3d70a3dp+1, 0x1.a8f5c28f5c28fp+1, 0x1.ed06fef7c243ep-8, -0x1.42be24434797dp-6, 0x1.58ee60103cb6ap-9, 0x1.789b381e199efp-7}, 
        {0x1.a8f5c28f5c28fp+1, 0x1.ae147ae147ae1p+1, 0x1.b9b66f9335d25p-8, -0x1.3e63bb210c59fp-6, 0x1.06d9e15705c94p-8, 0x1.e6aa1b4f43896p-6}, 
        {0x1.ae147ae147ae1p+1, 0x1.b333333333333p+1, 0x1.8750c1b97353bp-8, -0x1.36cbeb88cf161p-6, 0x1.f0733620e8c3cp-8, 0x1.5213ed67cd0eep-7}, 
        {0x1.b333333333333p+1, 0x1.b851eb851eb85p+1, 0x1.566cf41f212d7p-8, -0x1.2c0e617c3a5fap-6, 0x1.20cb5b64973acp-7, 0x1.752e09e122111p-6}, 
        {0x1.b851eb851eb85p+1, 0x1.bd70a3d70a3d7p+1, 0x1.276fb09203a32p-8, -0x1.1eb69029b5982p-6, 0x1.7a5b86b957b9dp-7, 0x1.823de1c79086fp-6}, 
        {0x1.bd70a3d70a3d7p+1, 0x1.c28f5c28f5c29p+1, 0x1.f5be5d9e40c84p-9, -0x1.0db99178fdfc9p-6, 0x1.d70e37ca84a73p-7, 0x1.03b4de0139075p-7}, 
        {0x1.c28f5c28f5c29p+1, 0x1.c7ae147ae147bp+1, 0x1.a2834d26fa3fdp-9, -0x1.f484caad59202p-7, 0x1.f63866e962893p-7, 0x1.76586235fcba1p-6}, 
        {0x1.c7ae147ae147bp+1, 0x1.ccccccccccccdp+1, 0x1.55d5f56a7ac82p-9, -0x1.c8bf542360055p-7, 0x1.28081647f88e2p-6, -0x1.5b3bf7d88f451p-6}, 
        {0x1.ccccccccccccdp+1, 0x1.d1eb851eb851fp+1, 0x1.105e1c15097c8p-9, -0x1.9cb73cd58916cp-7, 0x1.fcba1a0a0c2a6p-7, 0x1.1ed2efa58814ep-3}, 
        {0x1.d1eb851eb851fp+1, 0x1.d70a3d70a3d71p+1, 0x1.a5870da5daf08p-10, -0x1.5dfd522015377p-7, 0x1.08db746b91294p-5, -0x1.f7f21fcd873a2p-2}, 
        {0x1.d70a3d70a3d71p+1, 0x1.fae147ae147aep+1, 0x1.3ad5bee3d5fddp-10, -0x1.56a42b9c9dbccp-7, -0x1.b5dc876bccd65p-6, 0x1.143751425c01p-1}, 
      }}, 
      -0x1.e706310c20acfp+0, 0x1.112848af422a3p+1
    }
  };
  // clang-format on
}
SkfData params_mio_0_1_c_c() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    SkfData::SameElementLine {0x0p+0, -0x1.8e0a0d4a1577ep-3, -0x1.02812ae2d7a62p-1, -0x1.67a0f9096bb99p-5, 0x1.5e2eb1c432ca5p-2, 0x1.8cb923a29c77ap-2, 0x1.7573eab367a1p-2, 0, 2, 2}, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.f8b5e611ebcf7p-1, -0x1.e39c05805eac1p-1, -0x1.ce730f9dd1451p-1, -0x1.b94b1fa37f3fp-1, -0x1.a433826172268p-1, -0x1.8f39f5384ab6ap-1, -0x1.7a6ab219f4226p-1, -0x1.65d10c69f67ddp-1, -0x1.5177c29beafeap-1, -0x1.3d68c45fdb41cp-1, -0x1.29ac9e08b7fb5p-1, -0x1.164a3f36797edp-1, -0x1.03478b71b0e29p-1, -0x1.e154491645b79p-2, -0x1.bcef3b495829cp-2, -0x1.996a088975023p-2, -0x1.76cc9c89c277ap-2, -0x1.551c4848eed5fp-2, -0x1.345c2b995f41fp-2, -0x1.148e1391943f9p-2, -0x1.eb66c1d159b26p-3, -0x1.af97f8b5d8f25p-3, -0x1.75c40ff56557cp-3, -0x1.3ddfe847c443p-3, -0x1.07e9205819d8fp-3, -0x1.a7b8c6c703024p-4, -0x1.436b89cd7acfcp-4, -0x1.c5c338ac285e3p-5, -0x1.0c21387bf7fc2p-5, -0x1.67615519361a2p-7, 0x1.44d3809bdaf04p-7, 0x1.ea50fd2fc29abp-6, 0x1.92285fdd76c8ep-5, 0x1.142e4b497f12p-4, 0x1.5bf6d946ece2p-4, 0x1.a081b1674045ep-4, 0x1.e1e1f1b3dcd97p-4, 0x1.101513fe61b2p-3, 0x1.2db664c9cdd0cp-3, 0x1.49de5da2c6c9cp-3, 0x1.6496d9331973p-3, 0x1.7dea2ad55e4d6p-3, 0x1.95e311a46d8a3p-3, 0x1.ac8c98ae48e93p-3, 0x1.c1f1ee7938b48p-3, 0x1.d61e3a40ddap-3, 0x1.e91c72bf96f47p-3, 0x1.faf73a61b7641p-3, 0x1.05dc62defeee9p-2, 0x1.0db5686b1384cp-2, 0x1.150b528863ea9p-2, 0x1.1be296ff69b65p-2, 0x1.223f8bc6cfc6bp-2, 0x1.28267749027c1p-2, 0x1.2d9b9e78d7ae5p-2, 0x1.32a34e4897a34p-2, 0x1.3741df5fb1112p-2, 0x1.3b7bb429d70f9p-2, 0x1.3f55324a4f24ep-2, 0x1.42d2b90103ea5p-2, 0x1.45f8962893f2bp-2, 0x1.48cafb4410fd8p-2, 0x1.4b4df3c0c18a3p-2, 0x1.4d8fd32974f14p-2, 0x1.4f80090c438adp-2, 0x1.512ad67bddb01p-2, 0x1.52938446b088dp-2, 0x1.53bd3a060153ap-2, 0x1.54aafe6eaa757p-2, 0x1.555fb8a108acep-2, 0x1.55de32367d28bp-2, 0x1.562919b0ea1dp-2, 0x1.564304e9432c4p-2, 0x1.562e7323cf7b4p-2, 0x1.55edce882cdb2p-2, 0x1.55836cdbd2bd2p-2, 0x1.54f18f8188faap-2, 0x1.543a62e011115p-2, 0x1.535ffd685a1a2p-2, 0x1.52645e7ce54b3p-2, 0x1.51496d78dcdeap-2, 0x1.5010f90903b6p-2, 0x1.4ebcb6f769422p-2, 0x1.4d4e4478fab12p-2, 0x1.4bc726fc72b8cp-2, 0x1.4a28cd6dcced9p-2, 0x1.487491d88de12p-2, 0x1.46abbb4cf2906p-2, 0x1.44cf7fe84cd1cp-2, 0x1.42e106df25a46p-2, 0x1.40e16a689b79dp-2, 0x1.3ed1b96e040ccp-2, 0x1.3cb2f8e84393dp-2, 0x1.3a8624dcfac47p-2, 0x1.384c30f7909efp-2, 0x1.360608c41f4afp-2, 0x1.33b48f9aa9935p-2, 0x1.3158a04f0729dp-2, 0x1.2ef30cbceba41p-2, 0x1.2c849d473a6eep-2, 0x1.2a0e105f4bf93p-2, 0x1.27901a2472b71p-2, 0x1.250b6426f544cp-2, 0x1.22808d54be8f3p-2, 0x1.1ff02a119e8c4p-2, 0x1.1d5ac479972c5p-2, 0x1.1ac0dcc950e9cp-2, 0x1.1822e9e751fbdp-2, 0x1.15815a07caa1fp-2, 0x1.12dc93646a6fdp-2, 0x1.1034f501a711fp-2, 0x1.0d8ad77af21f9p-2, 0x1.0ade8dcf967d1p-2, 0x1.0830662a45de9p-2, 0x1.0580aa9de43bcp-2, 0x1.02cfa1d2beacfp-2, 0x1.001d8fa03b76ap-2, 0x1.fad56b2021fe1p-3, 0x1.f56ea69273b05p-3, 0x1.f0074dc40ff3dp-3, 0x1.ea9fda33d2611p-3, 0x1.e538c2f8ec691p-3, 0x1.dfd27ce08b7b9p-3, 0x1.da6d7a692a1e9p-3, 0x1.d50a2ba2812d3p-3, 0x1.cfa8fdf930c11p-3, 0x1.ca4a5bf516dcap-3, 0x1.c4eeacf0b8cb4p-3, 0x1.bf9654cf64688p-3, 0x1.ba41b3b6c64acp-3, 0x1.b4f125cfd341fp-3, 0x1.afa50311eff2fp-3, 0x1.aa5d9f1a86e0fp-3, 0x1.a51b49127121ap-3, 0x1.9fde4ba20be0ap-3, 0x1.9aa6ecf41ec3fp-3, 0x1.95756ec769d7fp-3, 0x1.904a0e8e0c4fap-3, 0x1.8b250599b60d4p-3, 0x1.860689532b7b9p-3, 0x1.80eecb7b4c28cp-3, 0x1.7bddfa73b85adp-3, 0x1.76d4418cdabf5p-3, 0x1.71d1c95733f9dp-3, 0x1.6cd6b7f5ae141p-3, 0x1.67e3316ee2c59p-3, 0x1.62f757fb6b816p-3, 0x1.5e15907e20bep-3, 0x1.593814d596b7ep-3, 0x1.5462aa476e0c2p-3, 0x1.4f957679ef945p-3, 0x1.4ad09d9d9dap-3, 0x1.4614426be695dp-3, 0x1.4160862791242p-3, 0x1.3cb5889f10a18p-3, 0x1.38136830ddc14p-3, 0x1.337a41d1db875p-3, 0x1.2eea31159577p-3, 0x1.2a635038269bdp-3, 0x1.25e5b8298d9bep-3, 0x1.2171809a01a29p-3, 0x1.1d06c006fd605p-3, 0x1.18a58bc89cb81p-3, 0x1.144df81eed3c2p-3, 0x1.1000183eda642p-3, 0x1.0bbbfe5e70dffp-3, 0x1.0781bbc02578fp-3, 0x1.035160bcfef3ep-3, 0x1.fe55f99ad715fp-4, 0x1.f61d3d216ee15p-4, 0x1.edf8a7a62e542p-4, 0x1.e5e8532497d23p-4, 0x1.ddec5801e3775p-4, 0x1.d604cd11292d4p-4, 0x1.ce31c7955d161p-4, 0x1.c6735b4162e59p-4, 0x1.bec99a36ae09fp-4, 0x1.b7349502a1a5bp-4, 0x1.afb45a9b2d447p-4, 0x1.a848f85adcd2dp-4, 0x1.a0f279fcd6fe3p-4, 0x1.99b0e998e461p-4, 0x1.92844f9fe98fp-4, 0x1.8b6cb2d8e8f19p-4, 0x1.846a185edec87p-4, 0x1.7d7c839f7bb55p-4, 0x1.76a3f65ae8377p-4, 0x1.6fe070a4a0387p-4, 0x1.6931f0e56bc48p-4, 0x1.629873de76569p-4, 0x1.5c13f4ad7e8f7p-4, 0x1.55a46cd20e563p-4, 0x1.4f49d433ac138p-4, 0x1.49042128e9696p-4, 0x1.42d3487f3aa5p-4, 0x1.3cb73d8374c96p-4, 0x1.36aff20ad9385p-4, 0x1.30bd567c8ef49p-4, 0x1.2adf59db6c768p-4, 0x1.2515e9cff7564p-4, 0x1.1f60f2b27eb25p-4, 0x1.19c05f953bec8p-4, 0x1.14341a4e60c09p-4, 0x1.0ebc0b820772ap-4, 0x1.09581aabf1e8fp-4, 0x1.04082e290ff28p-4, 0x1.fd985681872b8p-5, 0x1.f347ec5bbfc33p-5, 0x1.e91ee44ebb5dp-5, 0x1.df1d02d1907d9p-5, 0x1.d5420a74c5f2bp-5, 0x1.cb8dbbf216d31p-5, 0x1.c1ffd63bb7d48p-5, 0x1.b898168b2a484p-5, 0x1.af56386fa9c2ap-5, 0x1.a639f5dc3d944p-5, 0x1.9d430735805fap-5, 0x1.9471235f263d8p-5, 0x1.8bc3ffc950372p-5, 0x1.833b507db8582p-5, 0x1.7ad6c82cbf7e2p-5, 0x1.7296183a6829p-5, 0x1.6a78f0cb4445bp-5, 0x1.627f00d15f751p-5, 0x1.5aa7f6192a067p-5, 0x1.52f37d56660e9p-5, 0x1.4b61423120cf7p-5, 0x1.43f0ef52b1c0ep-5, 0x1.3ca22e72c914bp-5, 0x1.3574a86482cd3p-5, 0x1.2e6805238a03cp-5, 0x1.277bebe13d96fp-5, 0x1.20b00311dbe2bp-5, 0x1.1a03f079b1fccp-5, 0x1.1377593a4442p-5, 0x1.0d09e1df719cbp-5, 0x1.06bb2e6c8c965p-5, 0x1.008ae2696001ep-5, 0x1.f4f141de44cfep-6, 0x1.e908196a95adep-6, 0x1.dd59903c8f963p-6, 0x1.d1e4ea8820e18p-6, 0x1.c6a96c0918c48p-6, 0x1.bba6581b987fep-6, 0x1.b0daf1d4220cap-6, 0x1.a6467c17384ddp-6, 0x1.9be839b08a71dp-6, 0x1.91bf6d69a37afp-6, 0x1.87cb5a201bd1fp-6, 0x1.7e0b42db42546p-6, 0x1.747e6ae13efcp-6, 0x1.6b2415cba327dp-6, 0x1.61fb879b6bcp-6, 0x1.590404cc75352p-6, 0x1.503cd26853fb2p-6, 0x1.47a536189cc31p-6, 0x1.3f3c763896d21p-6, 0x1.3701d9e656592p-6, 0x1.2ef4a913446f3p-6, 0x1.27142c9411dc7p-6, 0x1.1f5fae30129acp-6, 0x1.17d678b00eb5cp-6, 0x1.1077d7ec7a77cp-6, 0x1.094318db255e8p-6, 0x1.0237899c581ap-6, 0x1.f6a8f30ecd06dp-7, 0x1.e932726d7d60bp-7, 0x1.dc0a3526cf8a8p-7, 0x1.cf2ee1c002d29p-7, 0x1.c29f21867c769p-7, 0x1.b659a0a3bc692p-7, 0x1.aa5d0e304f21bp-7, 0x1.9ea81c45cd5bap-7, 0x1.9339800fe151bp-7, 0x1.880ff1dc60f1bp-7, 0x1.7d2a2d2a705cdp-7, 0x1.7286f0b8cd14ep-7, 0x1.6824fe9324469p-7, 0x1.5e031c1e95f91p-7, 0x1.54201225543ebp-7, 0x1.4a7aace16f4a9p-7, 0x1.4111bc06d25bcp-7, 0x1.37e412cc63fb5p-7, 0x1.2ef087f46a9fdp-7, 0x1.2635f5d424676p-7, 0x1.1db33a5a9b79p-7, 0x1.15673716bf386p-7, 0x1.0d50d13cc202ap-7, 0x1.056ef1aac42f3p-7, 0x1.fb8109d993de2p-8, 0x1.ec88f68016c47p-8, 0x1.ddf3912b2edcp-8, 0x1.cfbec928ab24p-8, 0x1.c1e89534d4ca2p-8, 0x1.b46ef37bff24bp-8, 0x1.a74fe99af4a07p-8, 0x1.9a89849e37eap-8, 0x1.8e19d9003f98ep-8, 0x1.81ff02a692c08p-8, 0x1.763724ddedce1p-8, 0x1.6ac06a5568f29p-8, 0x1.5f990518b0b3ep-8, 0x1.54bf2e8959179p-8, 0x1.4a3127574f567p-8, 0x1.3fed37788520ep-8, 0x1.35f1ae1fc956cp-8, 0x1.2c3ce1b2e592p-8, 0x1.22cd2fc006b3cp-8, 0x1.19a0fcf27d1efp-8, 0x1.10b6b506cf47ep-8, 0x1.080ccabe4647ap-8, 0x1.ff436fa3b1bep-9, 0x1.eee7f9c92f0e9p-9, 0x1.df0442eb2ea14p-9, 0x1.cf9567a2c64eap-9, 0x1.c0a06426c810ap-9, 0x1.b21546c3a8607p-9, 0x1.a3f69a0da397ep-9, 0x1.9641adcb9eb3cp-9, 0x1.88f3dede6983ep-9, 0x1.7c0a9721b0209p-9, 0x1.6f834d4c2cf85p-9, 0x1.635b84cf1db76p-9, 0x1.5790cdb50d9c4p-9, 0x1.4c20c47ff1d83p-9, 0x1.41091206a18ebp-9, 0x1.36476b51b8161p-9, 0x1.2bd99177d6c6ep-9, 0x1.21bd51796ee39p-9, 0x1.17f0841bf2fp-9, 0x1.0e710dc492f1dp-9, 0x1.053cde5281e8p-9, 0x1.f8a3e1f19316ep-10, 0x1.e75c982f74d58p-10, 0x1.d6a0022c08695p-10, 0x1.c66a5872d39adp-10, 0x1.b6b7e8fe628cfp-10, 0x1.a78516e886ab6p-10, 0x1.98ce5a1a4c6a1p-10, 0x1.8a903efb3cdfbp-10, 0x1.7cc76620965e3p-10, 0x1.6f7083fc0150bp-10, 0x1.6288608a33159p-10, 0x1.560bd701618e8p-10, 0x1.49f7d57fa92e7p-10, 0x1.3e495cb966a49p-10, 0x1.32fd7fa7c2115p-10, 0x1.281163373019cp-10, 0x1.1d823df6560eep-10, 0x1.134d57c5091a6p-10, 0x1.09700983c163bp-10, 0x1.ffcf7986a51e9p-11, 0x1.ed63d6ea8109bp-11, 0x1.db983f38dde94p-11, 0x1.ca67e5fced31p-11, 0x1.b9ce1dab2d3c6p-11, 0x1.a9c65706760d7p-11, 0x1.9a4c2086c82e3p-11, 0x1.8b5b25c149158p-11, 0x1.7cef2ed206dd3p-11, 0x1.6f041fc73b728p-11, 0x1.6195f80e8b559p-11, 0x1.54a0d1e3d76aep-11, 0x1.4820e1c1fb0b5p-11, 0x1.3c1275d566c8dp-11, 0x1.3071f570ca58bp-11, 0x1.253be0837c58bp-11, 0x1.1a6ccf122a6c5p-11, 0x1.100170b15276fp-11, 0x1.05f68c01f0971p-11, 0x1.f891fc603e009p-12, 0x1.e5eb74e79b86fp-12, 0x1.d3f393274fd15p-12, 0x1.c2a492d3ddd33p-12, 0x1.b1f8d8d6c77bcp-12, 0x1.a1eaf2609992dp-12, 0x1.927593ff020fp-12, 0x1.839398b716bacp-12, 0x1.754001232d2e7p-12, 0x1.6775f29568668p-12, 0x1.5a30b63dca2c1p-12, 0x1.4d6bb854217afp-12, 0x1.41228745fa5fep-12, 0x1.3550d2e855a95p-12, 0x1.29f26bad1c42bp-12, 0x1.1f0341dc4a2b5p-12, 0x1.147f64d0cc898p-12, 0x1.0a630238b2eb2p-12, 0x1.00aa65597067fp-12, 0x1.eea3ecae385c3p-13, 0x1.dcac72fed7d5fp-13, 0x1.cb679d2f58885p-13, 0x1.bacee05d7dac9p-13, 0x1.aadbe5e362c4bp-13, 0x1.9b888a07e23dp-13, 0x1.8ccedab4ab9ep-13, 0x1.7ea91633b43f7p-13, 0x1.7111a9f1be6c4p-13, 0x1.640331477b2d3p-13, 0x1.577874489462ap-13, 0x1.4b6c6698a2c7bp-13, 0x1.3fda2645ca836p-13, 0x1.34bcfaa98bb2dp-13, 0x1.2a10534e6b3ccp-13, 0x1.1fcfc6dc49376p-13, 0x1.15f712094c09bp-13, 0x1.0c821690bbf83p-13, 0x1.036cda2ef1879p-13, 0x1.f5670b45fc7d2p-14, 0x1.e4a4c76a6634ep-14, 0x1.d48bc085face8p-14, 0x1.c5150e9edf80dp-14, 0x1.b63a083476c4fp-14, 0x1.a7f440729bdb6p-14, 0x1.9a3d8573ff3b4p-14, 0x1.8d0fde8a2f829p-14, 0x1.80658a90ee3f5p-14, 0x1.7438fe4b24bc1p-14, 0x1.6884e2c8284bfp-14, 0x1.5d4413d3b79fap-14, 0x1.52719e6dc6fbp-14, 0x1.4808bf4c626bcp-14, 0x1.3e04e164225d4p-14, 0x1.34619c7d7add2p-14, 0x1.2b1ab3cedae14p-14, 0x1.222c14a12602ep-14, 0x1.1991d4fc11a3cp-14, 0x1.1148325ae9e57p-14, 0x1.094b90697d0d7p-14, 0x1.019877c8ea264p-14, 0x1.f45729b96acap-15, 0x1.e6036d3d68ed9p-15, 0x1.d82f9af830691p-15, 0x1.cad5d4714ff0cp-15, 0x1.bdf079b3f8355p-15, 0x1.b17a2733c947bp-15, 0x1.a56db3bfdc4e1p-15, 0x1.99c62e847823fp-15, 0x1.8e7edd1776b99p-15, 0x1.83933998878e9p-15, 0x1.78fef0d72b76ap-15, 0x1.6ebde08bb71a2p-15, 0x1.64cc1599747d5p-15, 0x1.5b25ca5ecdaebp-15, 0x1.51c76511257c8p-15, 0x1.48ad76252bec1p-15, 0x1.3fd4b6c26f968p-15, 0x1.373a0742a66c3p-15, 0x1.2eda6dbc27799p-15, 0x1.26b314976000dp-15, 0x1.1ec1492f52ac3p-15, 0x1.17027a7b1b1dbp-15, 0x1.0f7437c5105d4p-15, 0x1.08142f66f7f3ap-15, 0x1.00e02d9583307p-15, 0x1.f3ac3663d480ap-16, 0x1.e5e7f9452ac48p-16, 0x1.d86fe179f5fd5p-16, 0x1.cb405f603156p-16, 0x1.be5613f66e955p-16, 0x1.b1adceda146f6p-16, 0x1.a5448c567129ep-16, 0x1.9917738070a2ep-16, 0x1.8d23d4676d38bp-16, 0x1.81672650ac65dp-16, 0x1.75df0603f1422p-16, 0x1.6a8934281317fp-16, 0x1.5f6393a4159d3p-16, 0x1.546c28212b975p-16, 0x1.49a114872eae5p-16, 0x1.3f00998f891f8p-16, 0x1.34891462ffbdfp-16, 0x1.2a38fd4463caep-16, 0x1.200ee644b203p-16, 0x1.16097a081a2bcp-16, 0x1.0c277a9149309p-16, 0x1.0267c01a59522p-16, 0x1.f1926ff00c8dbp-17, 0x1.de95c70eb3cc8p-17, 0x1.cbd7ae4b63549p-17, 0x1.b9567263e9be6p-17, 0x1.a710823187427p-17, 0x1.95046cd1415f7p-17, 0x1.8330dfdfd93d3p-17, 0x1.7194a5c682ed8p-17, 0x1.602ea41996468p-17, 0x1.4efdda094cca9p-17, 0x1.3e015ed74d026p-17, 0x1.2d38607351174p-17, 0x1.1ca2220d67798p-17, 0x1.0c3dfac725d3dp-17, 0x1.f816a8d7a8dc2p-18, 0x1.d8135470e43acp-18, 0x1.b8710f63726e8p-18, 0x1.992f0f0c967c6p-18, 0x1.7a4ca4ede9356p-18, 0x1.5bc93cb5cec97p-18, 0x1.3da45a3d9136bp-18, 0x1.1fdd97b5ff88ap-18, 0x1.0274a3c39dcafp-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.5278300d1384ep+0, -0x1.4e141f5224ff6p+0, -0x1.499b2ced959f1p+0, -0x1.451004f4732acp+0, -0x1.407507ff6c25ep+0, -0x1.3bccb827f7a0cp+0, -0x1.371960eaf8accp+0, -0x1.325d0e3dc3276p+0, -0x1.2d99daa4334b1p+0, -0x1.28d1c87f45cf1p+0, -0x1.2406956a32089p+0, -0x1.1f39e45beb1eap+0, -0x1.1a6d5be9df2bdp+0, -0x1.15a28bafcfaf7p+0, -0x1.10dad66b9b98bp+0, -0x1.0c177e443c4b4p+0, -0x1.0759b481a0c6ap+0, -0x1.02a297eac95e4p+0, -0x1.fbe65c6d96601p-1, -0x1.f298cc61f8433p-1, -0x1.e95e3d1177ed4p-1, -0x1.e03878a11a99dp-1, -0x1.d728b65784ea1p-1, -0x1.ce30549638577p-1, -0x1.c550829c9b07ap-1, -0x1.bc8a52de17dc2p-1, -0x1.b3debc58ff518p-1, -0x1.ab4e9b3394adap-1, -0x1.a2dab10d89ef7p-1, -0x1.9a83a5da8ab27p-1, -0x1.924a0a1005fa6p-1, -0x1.8a2e59f5edf84p-1, -0x1.823100c59dc7ep-1, -0x1.7a525a30c2ce2p-1, -0x1.7292b220662bep-1, -0x1.6af243e0e0884p-1, -0x1.63713a409fd8ap-1, -0x1.5c0fb12efa9bfp-1, -0x1.54cdb813f91cdp-1, -0x1.4dab538b7b83fp-1, -0x1.46a87dc14e0d9p-1, -0x1.3fc525cb5392fp-1, -0x1.39012f218b713p-1, -0x1.325c7238818e1p-1, -0x1.2bd6be77b1fabp-1, -0x1.256fdce41def3p-1, -0x1.1f27926b930e4p-1, -0x1.18fda0f3db37ap-1, -0x1.12f1c6f485ea4p-1, -0x1.0d03be0efac5cp-1, -0x1.0733397ba9a51p-1, -0x1.017fe51d59a1fp-1, -0x1.f7d2cb6490d44p-2, -0x1.ecdeb441dc6c5p-2, -0x1.e222baf06f7b6p-2, -0x1.d79e121408b16p-2, -0x1.cd4fec230da8cp-2, -0x1.c3377d1c3db0ep-2, -0x1.b953fa86c527fp-2, -0x1.afa49a1c6bbf9p-2, -0x1.a6288fc84e402p-2, -0x1.9cdf0bb3419fcp-2, -0x1.93c738f46f06dp-2, -0x1.8ae04bc07b51cp-2, -0x1.82292a40624abp-2, -0x1.79a11ae4313e5p-2, -0x1.714742f027dc4p-2, -0x1.691ac8b56f924p-2, -0x1.611ad3fc2a01dp-2, -0x1.59468e3847a25p-2, -0x1.519d22926e61ap-2, -0x1.4a1dbdd86ba61p-2, -0x1.42c78e6bbd41p-2, -0x1.3b99c44116bap-2, -0x1.349390fb5d51bp-2, -0x1.2db428228c34ep-2, -0x1.26fabf6e6dc9ep-2, -0x1.20668f180ca13p-2, -0x1.19f6d22410d7fp-2, -0x1.13aac69b24adfp-2, -0x1.0d81adaac84fbp-2, -0x1.077acbaebe2a2p-2, -0x1.019568282054dp-2, -0x1.f7a19b5422549p-3, -0x1.ec589389a6991p-3, -0x1.e14e59eda5031p-3, -0x1.d6819551174abp-3, -0x1.cbf0f26a3a2e9p-3, -0x1.c19b23fc1d45cp-3, -0x1.b77ee30cd5f52p-3, -0x1.ad9aef1f6da5cp-3, -0x1.a3ee0e65e8e15p-3, -0x1.9a770de13c913p-3, -0x1.9134c16844f68p-3, -0x1.88260392ff8b8p-3, -0x1.7f49b58be1ebbp-3, -0x1.769ebecd15428p-3, -0x1.6e240cd20d9bfp-3, -0x1.65d892c73d6c8p-3, -0x1.5dbb494109f3fp-3, -0x1.55cb2e017fc9ap-3, -0x1.4e0743d13d4e8p-3, -0x1.466e926d0a9b9p-3, -0x1.3f00268668e29p-3, -0x1.37bb11d2f4707p-3, -0x1.309e6b24dd417p-3, -0x1.29a94e861bc01p-3, -0x1.22dadd5045bd7p-3, -0x1.1c323e3bff681p-3, -0x1.15ae9d647b9e8p-3, -0x1.0f4f2c3d396b8p-3, -0x1.09132179edf6dp-3, -0x1.02f9b8e9e301p-3, -0x1.fa046692a0de5p-4, -0x1.ee57ac178bcf5p-4, -0x1.e2ebd6460dd68p-4, -0x1.d7bf818b5d44bp-4, -0x1.ccd15270c5f3p-4, -0x1.c21ff537d1932p-4, -0x1.b7aa1d83641fcp-4, -0x1.ad6e860f5a031p-4, -0x1.a36bf0772da6dp-4, -0x1.99a1250ab6ee4p-4, -0x1.900cf2af678bp-4, -0x1.86ae2ecb91e37p-4, -0x1.7d83b538e4839p-4, -0x1.748c683b3cad5p-4, -0x1.6bc73078da834p-4, -0x1.6332fcf1658eep-4, -0x1.5acec2f18a4a1p-4, -0x1.52997e0192e68p-4, -0x1.4a922fcdeb595p-4, -0x1.42b7e0092cec4p-4, -0x1.3b099c47d7ad4p-4, -0x1.338677d6740a9p-4, -0x1.2c2d8b8b2c673p-4, -0x1.24fdf59447788p-4, -0x1.1df6d94502c3cp-4, -0x1.17175ee25310fp-4, -0x1.105eb370f53bap-4, -0x1.09cc0885ff5e5p-4, -0x1.035e941ae40ffp-4, -0x1.fa2b20cb07d97p-5, -0x1.ede0776946de4p-5, -0x1.e1dbb0a185fc1p-5, -0x1.d61b58c25a0eep-5, -0x1.ca9e03a988ecap-5, -0x1.bf62604ffae76p-5, -0x1.b466d79121dcp-5, -0x1.a9aa36a028f62p-5, -0x1.9f2b2f5c86a7fp-5, -0x1.94e87a9d03a2ap-5, -0x1.8ae0d80354e0fp-5, -0x1.81130dd13f0d7p-5, -0x1.777de8bf4dd4bp-5, -0x1.6e203bd50e3d7p-5, -0x1.64f8e042bce7ap-5, -0x1.5c06b53c58b6p-5, -0x1.53489fd5f92a1p-5, -0x1.4abd8ae15680bp-5, -0x1.426466cc627c3p-5, -0x1.3a3c2980d7793p-5, -0x1.3243ce44a8b15p-5, -0x1.2a7a559b40522p-5, -0x1.22dec5276ff66p-5, -0x1.1b70278e1814fp-5, -0x1.142d8c5969313p-5, -0x1.0d1607dcccdf4p-5, -0x1.0628b3196c0f2p-5, -0x1.fec95746adacfp-6, -0x1.f192270ea7695p-6, -0x1.e4aa2262b7307p-6, -0x1.d80f9ea794126p-6, -0x1.cbc0f99e8891dp-6, -0x1.bfbc9936bce11p-6, -0x1.b400eb5ffdd19p-6, -0x1.a88c65df08e65p-6, -0x1.9d5d862349d68p-6, -0x1.9272d11e11f1p-6, -0x1.87cad31b2c87cp-6, -0x1.7d641f9ac73c1p-6, -0x1.733d512c9c958p-6, -0x1.6955094c3f1b7p-6, -0x1.5fa9f03e7e9c4p-6, -0x1.563ab4efc8ac7p-6, -0x1.4d060cd36d23cp-6, -0x1.440ab3c3bb57p-6, -0x1.3b476be2e676ep-6, -0x1.32bafd7c9ec6fp-6, -0x1.2a6436e85ac1cp-6, -0x1.2241ec6c3d27fp-6, -0x1.1a52f8209c353p-6, -0x1.129639d424589p-6, -0x1.0b0a96f0858d2p-6, -0x1.03aefa5fc3405p-6, -0x1.f904a8e4072b8p-7, -0x1.eb073587ffa0dp-7, -0x1.dd63904bf20dcp-7, -0x1.d017b9067e6aap-7, -0x1.c321b99488b0ap-7, -0x1.b67fa5aa7888cp-7, -0x1.aa2f9aa67ec08p-7, -0x1.9e2fbf63ebc69p-7, -0x1.927e440f87b3dp-7, -0x1.871961fce36fbp-7, -0x1.7bff5b7c97acfp-7, -0x1.712e7bb371bf4p-7, -0x1.66a51672819edp-7, -0x1.5c61880fee5c8p-7, -0x1.52623540abc44p-7, -0x1.48a58af2e85cep-7, -0x1.3f29fe2931cdcp-7, -0x1.35ee0bd656fa9p-7, -0x1.2cf038b9e9dc7p-7, -0x1.242f113d6f2a4p-7, -0x1.1ba929522e05bp-7, -0x1.135d1c4f81fb2p-7, -0x1.0b498cd1df09ep-7, -0x1.036d249a4c74cp-7, -0x1.f78d28dcd53e1p-8, -0x1.e8a927f21f486p-8, -0x1.da2bc356a90dep-8, -0x1.cc12853c57784p-8, -0x1.be5b04e8d63aap-8, -0x1.b102e67ac1cfap-8, -0x1.a407daaf9b91p-8, -0x1.97679eaac8ed7p-8, -0x1.8b1ffbbd66023p-8, -0x1.7f2ec72f08dd6p-8, -0x1.7391e20763666p-8, -0x1.684738d8bb31bp-8, -0x1.5d4cc38b498c4p-8, -0x1.52a08529635fep-8, -0x1.48408bac750aep-8, -0x1.3e2aefcad61c1p-8, -0x1.345dd4c65ac56p-8, -0x1.2ad7683baf67bp-8, -0x1.2195e1f2745e9p-8, -0x1.189783ae19329p-8, -0x1.0fda98ff6b609p-8, -0x1.075d7716ddc6fp-8, -0x1.fe3cf92efa5bbp-9, -0x1.ee3822d52c484p-9, -0x1.dea94d27db045p-9, -0x1.cf8d6c0d9c903p-9, -0x1.c0e184f6ea6f3p-9, -0x1.b2a2ae8ab986cp-9, -0x1.a4ce1053f5fbfp-9, -0x1.9760e27023cdp-9, -0x1.8a586d3f861b3p-9, -0x1.7db209160dbcbp-9, -0x1.716b1deda3b66p-9, -0x1.6581231962f5fp-9, -0x1.59f19efa34254p-9, -0x1.4eba26b43ff8bp-9, -0x1.43d85de5968d6p-9, -0x1.3949f65debbfep-9, -0x1.2f0cafd749851p-9, -0x1.251e57b00295p-9, -0x1.1b7cc8a582e27p-9, -0x1.1225ea90347bcp-9, -0x1.0917b22089272p-9, -0x1.0050209ce2ecbp-9, -0x1.ef9a874129f39p-10, -0x1.df1a69b7c8313p-10, -0x1.cf1c33aa0d78fp-10, -0x1.bf9c475429bd1p-10, -0x1.b0971da812e5fp-10, -0x1.a20945d548f81p-10, -0x1.93ef64d2a143ep-10, -0x1.864634e9f0183p-10, -0x1.790a85458132ep-10, -0x1.6c39397f919a8p-10, -0x1.5fcf49337d31ap-10, -0x1.53c9bf90c88bp-10, -0x1.4825baf0039edp-10, -0x1.3ce06c6952b67p-10, -0x1.31f7176cca973p-10, -0x1.2767115cc5155p-10, -0x1.1d2dc1294dff2p-10, -0x1.13489eee140d1p-10, -0x1.09b533916146dp-10, -0x1.00711865145ebp-10, -0x1.eef3ed91cdf4bp-11, -0x1.dd9b0f9ddefb7p-11, -0x1.ccd327c243063p-11, -0x1.bc97e4d169a84p-11, -0x1.ace512ee1e095p-11, -0x1.9db69ae090ea6p-11, -0x1.8f08816e02d41p-11, -0x1.80d6e6b4611a7p-11, -0x1.731e058804effp-11, -0x1.65da32d4de6c5p-11, -0x1.5907dd027b68ap-11, -0x1.4ca38b5b0f92ap-11, -0x1.40a9dd74fe438p-11, -0x1.35178aa00941fp-11, -0x1.29e9615473de2p-11, -0x1.1f1c46a574badp-11, -0x1.14ad35b6498d4p-11, -0x1.0a993f31dc29ap-11, -0x1.00dd88c570e26p-11, -0x1.eeee993b4224ep-12, -0x1.dcc7b1cc589f7p-12, -0x1.cb411e9872471p-12, -0x1.ba55c9069b228p-12, -0x1.aa00bf994ebfcp-12, -0x1.9a3d350247c69p-12, -0x1.8b067f3afd7fep-12, -0x1.7c5816a2630a7p-12, -0x1.6e2d951ed91e8p-12, -0x1.6082b54542de4p-12, -0x1.53535184595ebp-12, -0x1.469b635460226p-12, -0x1.3a57026c83498p-12, -0x1.2e86fb207352cp-12, -0x1.231ed8d047a37p-12, -0x1.181f3177325fp-12, -0x1.0d848e0c74d0ep-12, -0x1.034b9215db9a2p-12, -0x1.f2e1f5e901bd1p-13, -0x1.dfe33e6cbc598p-13, -0x1.cd94dbd749c0ap-13, -0x1.bbf0dbff52631p-13, -0x1.aaf17b2b7df5p-13, -0x1.9a9122d3486c9p-13, -0x1.8aca686704781p-13, -0x1.7b980c1f38756p-13, -0x1.6cf4f7d2888dap-13, -0x1.5edc3dd248f9fp-13, -0x1.514917cf18a04p-13, -0x1.4436e5c231c0ep-13, -0x1.37a12cddb2f72p-13, -0x1.2b8396858b7e5p-13, -0x1.1fd9ef4b0f82bp-13, -0x1.14a025f0fa914p-13, -0x1.09d24a755df1cp-13, -0x1.fed91a3dbef5fp-14, -0x1.ead67b29d3477p-14, -0x1.d79593f13a784p-14, -0x1.c50f7c0b137b7p-14, -0x1.b33d846f59604p-14, -0x1.a21935ed6151p-14, -0x1.919c4f8ce4bf3p-14, -0x1.81c0c4f95d035p-14, -0x1.7280bcf7c2459p-14, -0x1.63d68fe6a4dc5p-14, -0x1.55bcc643d76c7p-14, -0x1.482e17449766fp-14, -0x1.3b25676e70b23p-14, -0x1.2e9dc73cc487ap-14, -0x1.229271cf96fap-14, -0x1.16fecba24f077p-14, -0x1.0bde614b8605fp-14, -0x1.012ce645193bdp-14, -0x1.edcc6778cc6f7p-15, -0x1.da0c8ed66682bp-15, -0x1.c71284eeae05p-15, -0x1.b4d6d0b67a33ep-15, -0x1.a3523babee2b7p-15, -0x1.927dcfc032385p-15, -0x1.8252d55aaab26p-15, -0x1.72cad15ed3d2ap-15, -0x1.63df834675238p-15, -0x1.558ae34710664p-15, -0x1.47c720851f9dep-15, -0x1.3a8e9f54c603p-15, -0x1.2ddbf78562b77p-15, -0x1.21a9f2bb1e371p-15, -0x1.15f38ad4589d2p-15, -0x1.0ab3e858cd8a3p-15, -0x1.ffccc1e7372cbp-16, -0x1.eb0cec02aeb0ap-16, -0x1.d71fa63754e24p-16, -0x1.c3fc996e7e1d1p-16, -0x1.b19bbd977417bp-16, -0x1.9ff557075cedbp-16, -0x1.8f01f3f2e6505p-16, -0x1.7eba69e6e3f12p-16, -0x1.6f17d37be1aa8p-16, -0x1.60138df1b0432p-16, -0x1.51a736f39dcb8p-16, -0x1.43ccaa680f452p-16, -0x1.367e005138d52p-16, -0x1.29b58abe31f32p-16, -0x1.1d6dd3cbdcac3p-16, -0x1.11a19bb4e611bp-16, -0x1.064bd6f233ef1p-16, -0x1.f6cf58d1345c2p-17, -0x1.e1e0e747d547dp-17, -0x1.cdc3664b92f2ap-17, -0x1.ba6e3d5fc7a87p-17, -0x1.a7d92b780fc8fp-17, -0x1.95fc43c1f9d7bp-17, -0x1.84cfeaa6b8918p-17, -0x1.744cd2e152cc2p-17, -0x1.646bfaa73d589p-17, -0x1.5526a8ecd9cd9p-17, -0x1.46766abdb02p-17, -0x1.385510aacd00ep-17, -0x1.2abcac4cbff1p-17, -0x1.1da78de0e60e3p-17, -0x1.111041eccda45p-17, -0x1.04f18f03abbd4p-17, -0x1.f28ce72a316b9p-18, -0x1.dc1447a49fb02p-18, -0x1.c6700f4d30b4fp-18, -0x1.b1977165a8863p-18, -0x1.9d8200ecc933cp-18, -0x1.8a27acd5fb666p-18, -0x1.7780bc8b40f93p-18, -0x1.6585cc5cabb23p-18, -0x1.542fca5cca573p-18, -0x1.4377f2e81afe7p-18, -0x1.3357cdd16304fp-18, -0x1.23c92b3603c2ap-18, -0x1.14c620a75a266p-18, -0x1.06490659fa452p-18, -0x1.f098e8f410476p-19, -0x1.d5968117de91dp-19, -0x1.bb80f5da3bb79p-19, -0x1.a24ed8eb393e7p-19, -0x1.89f727d4ddabep-19, -0x1.7271482881862p-19, -0x1.5bb502add35c9p-19, -0x1.45ba7f578fea1p-19, -0x1.307a413f72592p-19, -0x1.1bed22bdc9be2p-19, -0x1.080c51b13ed31p-19, -0x1.e9a297c9aa88dp-20, -0x1.c46bb72b713a8p-20, -0x1.a06828563daf5p-20, -0x1.7d8c9ddb36c66p-20, -0x1.5bce4ffba0b3ap-20, -0x1.3b22f6b2f549ap-20, -0x1.1b80c4018b653p-20, -0x1.f9bcbcdf7bb7ap-21, -0x1.be65b7e267fb2p-21, -0x1.84eb785dadf9bp-21, -0x1.4d3dc92de1cdep-21, -0x1.174d364aba919p-21, -0x1.c61607b3c2536p-22, -0x1.60d24b7632ed1p-22, -0x1.fd68dc741925cp-23, -0x1.3f45cbd6271adp-23, -0x1.0e155e5b78b4bp-24, 0x1.5bb766607dce3p-26, 0x1.b0d6aa42bbf6bp-24, 0x1.7ffccb75329a5p-23, 0x1.1129cfdcce9f9p-22, 0x1.5fcb24782485cp-22, 0x1.abf4be213a8d5p-22, 0x1.f5b821dd1a9c7p-22, 0x1.1e93056b1b45fp-21, 0x1.41273987831dp-21, 0x1.62a04ee38d0e9p-21, 0x1.8305918801f4bp-21, 0x1.a25dfaa1020eep-21, 0x1.c0b035e3bea14p-21, 0x1.de02a5de0afdfp-21, 0x1.fa5b66f14f1cp-21, 0x1.0ae02a03dcd7dp-20, 0x1.181b84d1b2925p-20, 0x1.24e274bc27d17p-20, 0x1.31378eceaccf8p-20, 0x1.3d1d4dd5341bfp-20, 0x1.489613a8e52fp-20, 0x1.53a42b4be86e9p-20, 0x1.5e49c935116ap-20, 0x1.68890d457206ap-20, 0x1.726403d286779p-20, 0x1.7bdca6cc50c72p-20, 0x1.84f4dedd3e804p-20, 0x1.8dae8451489cep-20, 0x1.960b60435d19bp-20, 0x1.9e0d2d6acea1p-20, 0x1.a5b599050db5ap-20, 0x1.ad0643ab4e246p-20, 0x1.b400c21c97253p-20, 0x1.baa69dffcaabfp-20, 0x1.c0f9568c49b58p-20, 0x1.c6fa61459e848p-20, 0x1.ccab2a9d295c1p-20, 0x1.d20d165bab37p-20, 0x1.d72180769dfa9p-20, 0x1.dbe9bd685a981p-20, 0x1.e0671a9ae4474p-20, 0x1.e49adf55094d3p-20, 0x1.e8864c7cca7ap-20, 0x1.ec2a9d62eeabep-20, 0x1.ef89081fb8d9dp-20, 0x1.f2a2bddd7462ep-20, 0x1.f578eb30ac7b4p-20, 0x1.f80cb867b14eep-20, 0x1.fa5f49c355aap-20, 0x1.fc71bff837e42p-20, 0x1.fe4538136f195p-20, 0x1.ffdacbf03fec3p-20, 0x1.0099c91f6aeaep-19, 0x1.01284f9d1ce49p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.4831fed855b3bp-2, -0x1.3b31bd45f168dp-2, -0x1.2c987ba7f8928p-2, -0x1.1c93d28e33f6p-2, -0x1.0b4fac6de875bp-2, -0x1.f1eac9ff09317p-3, -0x1.cb58b71e780d6p-3, -0x1.a3343103012b8p-3, -0x1.79c3607002f2fp-3, -0x1.4f47c2963c573p-3, -0x1.23fec3c8195c4p-3, -0x1.f042c126d366ep-4, -0x1.97c824575bdbp-4, -0x1.3eef028af878ep-4, -0x1.cc2378980ec1ep-5, -0x1.1b05f4f11dcb3p-5, -0x1.ac68ac420318bp-7, 0x1.0c6a458ca688p-7, 0x1.de3fe877d8b9p-6, 0x1.98893761a0f8ap-5, 0x1.1f7a49e6caf23p-4, 0x1.71040efddea3fp-4, 0x1.c0bcb2fca1246p-4, 0x1.0741e3a9a20ffp-3, 0x1.2d1e79094a244p-3, 0x1.51e7ff2122abep-3, 0x1.75944a976fb88p-3, 0x1.981b02721c4a4p-3, 0x1.b97583841fa4p-3, 0x1.d99ec08725276p-3, 0x1.f893206fe7f92p-3, 0x1.0b282eba18c8ap-2, 0x1.196ab1fc7477fp-2, 0x1.27111769812e8p-2, 0x1.341bd0c8187c9p-2, 0x1.408bb371139c2p-2, 0x1.4c61ed3f9d399p-2, 0x1.57a0001c70f75p-2, 0x1.6247c0e2b9dc9p-2, 0x1.6c5b545d4956dp-2, 0x1.75dd26e5f9014p-2, 0x1.7ecfdf479aec6p-2, 0x1.873650c3e9d49p-2, 0x1.8f13706d5368p-2, 0x1.966a4fa73e95ap-2, 0x1.9d3e1a9360611p-2, 0x1.a392177504063p-2, 0x1.a969a45e3b2b4p-2, 0x1.aec8322bb04cbp-2, 0x1.b3b13dabfdf33p-2, 0x1.b82848d3026e3p-2, 0x1.bc30d5be98e07p-2, 0x1.bfce646a66b19p-2, 0x1.c30472cfdd8dep-2, 0x1.c5d67e574b8e3p-2, 0x1.c848053175666p-2, 0x1.ca5c866f0e209p-2, 0x1.cc178043e1603p-2, 0x1.cd7c6c90a130bp-2, 0x1.ce8ebc51a52cap-2, 0x1.cf51d2c96c2a3p-2, 0x1.cfc9012e0fd08p-2, 0x1.cff7836461ac2p-2, 0x1.cfe1d50e4818bp-2, 0x1.cf883323165e5p-2, 0x1.ceeef9535409dp-2, 0x1.ce190e34a876dp-2, 0x1.cd0942221f454p-2, 0x1.cbc24fd9c3971p-2, 0x1.ca46dd7e23b31p-2, 0x1.c8997dc0ecc9ap-2, 0x1.c6bcb10227a6fp-2, 0x1.c4b2e63b3ae64p-2, 0x1.c27e7b9a75894p-2, 0x1.c021bec17198ep-2, 0x1.bd9eeca582bbep-2, 0x1.baf8311d2e32dp-2, 0x1.b82fa62fcdd13p-2, 0x1.b5475343d3518p-2, 0x1.b2412c4c0c231p-2, 0x1.af1f111416bf4p-2, 0x1.abe2ccc857508p-2, 0x1.a88e15cecb44ep-2, 0x1.a5228dfd49e5ap-2, 0x1.a1a1c33011bdbp-2, 0x1.9e0d303a14849p-2, 0x1.9a663e200522p-2, 0x1.96ae458857989p-2, 0x1.92e69045cb0ap-2, 0x1.8f105ae0008e7p-2, 0x1.8b2cd5fe62a89p-2, 0x1.873d279d49ebap-2, 0x1.83426bfb6f432p-2, 0x1.7f3db635d438bp-2, 0x1.7b30109155258p-2, 0x1.771a7c79cfef2p-2, 0x1.72fdf2463885cp-2, 0x1.6edb60d5ea82fp-2, 0x1.6ab3ad1dbe30ep-2, 0x1.6687b1ba981a9p-2, 0x1.62583e9beb0c1p-2, 0x1.5e2618d39611p-2, 0x1.59f1fa92a68afp-2, 0x1.55bc9354b9b37p-2, 0x1.51868836a1b79p-2, 0x1.4d50747144fcbp-2, 0x1.491ae9ef594dp-2, 0x1.44e671f3d41dep-2, 0x1.40b38dc74ac4ap-2, 0x1.3c82b763b7e3fp-2, 0x1.38546217f7ac4p-2, 0x1.3428fb1e33d55p-2, 0x1.3000ea22653e6p-2, 0x1.2bdc91b7b8a9bp-2, 0x1.27bc4fbcea5cep-2, 0x1.23a07db0966c9p-2, 0x1.1f8970f71b1b6p-2, 0x1.1b777b13eee4ep-2, 0x1.176ae9d86be34p-2, 0x1.1364078a07b48p-2, 0x1.0f631b01cc427p-2, 0x1.0b6867c6ad869p-2, 0x1.07742e2432904p-2, 0x1.0386ab3e8e5a2p-2, 0x1.ff40324a27772p-3, 0x1.f7815dc7420dbp-3, 0x1.efd14126c90f4p-3, 0x1.e8303ed647523p-3, 0x1.e09eb39df70f3p-3, 0x1.d91cf6bf0c83dp-3, 0x1.d1ab5a1088fdap-3, 0x1.ca4a2a1a5a7ccp-3, 0x1.c2f9ae2eeb1dcp-3, 0x1.bbba28835511ap-3, 0x1.b48bd646e1625p-3, 0x1.ad6eefbaa2dd3p-3, 0x1.a663a84a21ab8p-3, 0x1.9f6a2ea63e438p-3, 0x1.9882ace334cbcp-3, 0x1.91ad489aa5a2bp-3, 0x1.8aea231236d15p-3, 0x1.8439596704106p-3, 0x1.7d9b04bdd1102p-3, 0x1.770f3a7785806p-3, 0x1.70960c6934da9p-3, 0x1.6a2f8916bc841p-3, 0x1.63dbbbeec62edp-3, 0x1.5d9c2acd5d55bp-3, 0x1.576d2b40faccbp-3, 0x1.5150f3fe20b1fp-3, 0x1.4b478b00db9d7p-3, 0x1.4550f3eead179p-3, 0x1.3f6d302706347p-3, 0x1.399c3ed427567p-3, 0x1.33de1cfcab77cp-3, 0x1.2e32c595c19c7p-3, 0x1.289a31960f28p-3, 0x1.23145809332a2p-3, 0x1.1da12e23c3f05p-3, 0x1.1840a757983c1p-3, 0x1.12f2b56838efdp-3, 0x1.0db7487f3a1b1p-3, 0x1.088e4f404da7ap-3, 0x1.0377b6dcde667p-3, 0x1.fce6d64e160c6p-4, 0x1.f302ad47a1231p-4, 0x1.e942c538ab042p-4, 0x1.dfa6ee5c70c11p-4, 0x1.d62ef6b5ab43ap-4, 0x1.ccdaaa2b0ec89p-4, 0x1.c3a9d2a1c3626p-4, 0x1.ba9c3815e111bp-4, 0x1.b1b1a0b12d064p-4, 0x1.a8e9d0e018091p-4, 0x1.a0448b6565d96p-4, 0x1.97c1916c6d4fp-4, 0x1.8f60a29a5993p-4, 0x1.87217d1e7ee83p-4, 0x1.7f03ddc1f4455p-4, 0x1.77077ff69cda9p-4, 0x1.6f2c1de5c04c5p-4, 0x1.6771707e4ea93p-4, 0x1.5fd72f82ea526p-4, 0x1.585d1197c6435p-4, 0x1.5102cc50696e7p-4, 0x1.49c8143d61bddp-4, 0x1.42ac9cf9eb4a3p-4, 0x1.3bb0193992ff8p-4, 0x1.34d23ad5d3ccdp-4, 0x1.2e12b2dbb0a9bp-4, 0x1.2771319947ecbp-4, 0x1.20ed66ab5d4e1p-4, 0x1.1a87010ada6b6p-4, 0x1.143daf1a3a014p-4, 0x1.0e111eb2dff86p-4, 0x1.0800fd32516dfp-4, 0x1.020cf7874bd65p-4, 0x1.f869747d5e874p-5, 0x1.ecefe320714a9p-5, 0x1.e1ac92d6082ccp-5, 0x1.d69edb039bcf1p-5, 0x1.cbc612addbfcep-5, 0x1.c121909012a5p-5, 0x1.b6b0ab32e0669p-5, 0x1.ac72b9024b4e5p-5, 0x1.a26710631f6a7p-5, 0x1.988d07c78f9d2p-5, 0x1.8ee3f5c31a8ccp-5, 0x1.856b311daf1e8p-5, 0x1.7c2210e60e5f1p-5, 0x1.7307ec836b8e3p-5, 0x1.6a1c1bc64f395p-5, 0x1.615df6f8bdbfp-5, 0x1.58ccd6eda4c1cp-5, 0x1.5068150f9b7e3p-5, 0x1.482f0b6ef5ac9p-5, 0x1.402114cf2ee76p-5, 0x1.383d8cb3bec7cp-5, 0x1.3083cf6c51d77p-5, 0x1.28f33a2073a9cp-5, 0x1.218b2adab6c61p-5, 0x1.1a4b00935847p-5, 0x1.13321b3a6bd98p-5, 0x1.0c3fdbc19561ep-5, 0x1.0573a4255805ap-5, 0x1.fd99aeec0074cp-6, 0x1.f095b3c05538ep-6, 0x1.e3da2169e9d81p-6, 0x1.d765c4e3a39a3p-6, 0x1.cb376d9026b0fp-6, 0x1.bf4ded4835184p-6, 0x1.b3a818689035dp-6, 0x1.a844c5df31955p-6, 0x1.9d22cf37fbd55p-6, 0x1.924110a8e1a7fp-6, 0x1.879e691d80166p-6, 0x1.7d39ba422c083p-6, 0x1.7311e88e79625p-6, 0x1.6925db4f3ddcp-6, 0x1.5f747cb004457p-6, 0x1.55fcb9c3fa1b6p-6, 0x1.4cbd828e581c1p-6, 0x1.43b5ca0a35acap-6, 0x1.3ae48631dd954p-6, 0x1.3248b00591c7cp-6, 0x1.29e14391c5396p-6, 0x1.21ad3ff4cbd0ep-6, 0x1.19aba763ffb43p-6, 0x1.11db7f3058708p-6, 0x1.0a3bcfca84e16p-6, 0x1.02cba4c674d61p-6, 0x1.f71419bcc1101p-7, 0x1.e8ec33ea93548p-7, 0x1.db1dc2320f50ap-7, 0x1.cda6f5079122ep-7, 0x1.c086033a416f8p-7, 0x1.b3b929f53fbe4p-7, 0x1.a73eacbfe0667p-7, 0x1.9b14d57d1760dp-7, 0x1.8f39f469fc49cp-7, 0x1.83ac601b79dfep-7, 0x1.786a757b4d96ep-7, 0x1.6d7297c416813p-7, 0x1.62c3307cd1db5p-7, 0x1.585aaf7388b54p-7, 0x1.4e378ab75d2bp-7, 0x1.44583e91e32fap-7, 0x1.3abb4d7fe9a8p-7, 0x1.315f402999ed8p-7, 0x1.2842a55a107e7p-7, 0x1.1f6411f65dae6p-7, 0x1.16c220f403e04p-7, 0x1.0e5b734efd47cp-7, 0x1.062eafff34c9fp-7, 0x1.fc7507db32398p-8, 0x1.ecfb43d16a5bap-8, 0x1.dded8531c3dfep-8, 0x1.cf4948e81e9eap-8, 0x1.c10c17626ce7dp-8, 0x1.b3338476b2e92p-8, 0x1.a5bd2f4891439p-8, 0x1.98a6c22dfbf6bp-8, 0x1.8bedf2937018cp-8, 0x1.7f9080df77f27p-8, 0x1.738c3855da61fp-8, 0x1.67deeefa12ffcp-8, 0x1.5c8685716d60ep-8, 0x1.5180e6e4aab1p-8, 0x1.46cc08e141af9p-8, 0x1.3c65eb3a2fc6ap-8, 0x1.324c97e89385fp-8, 0x1.287e22ebd5675p-8, 0x1.1ef8aa299a3f8p-8, 0x1.15ba554d72f9bp-8, 0x1.0cc155a855278p-8, 0x1.040be60fd0936p-8, 0x1.f730957a92179p-9, 0x1.e6c9a259a606ep-9, 0x1.d6df9ff83897fp-9, 0x1.c76f4d9268e3dp-9, 0x1.b8757c2278a74p-9, 0x1.a9ef0e1e4af71p-9, 0x1.9bd8f734a988fp-9, 0x1.8e303c0ac517dp-9, 0x1.80f1f1f98dd0cp-9, 0x1.741b3ecb69325p-9, 0x1.67a95879e90cbp-9, 0x1.5b9984ebc84fap-9, 0x1.4fe919b310612p-9, 0x1.44957bcbbbfd5p-9, 0x1.399c1f5a5866ap-9, 0x1.2efa876b4706p-9, 0x1.24ae45b23e18dp-9, 0x1.1ab4fa4a1f7fdp-9, 0x1.110c537594068p-9, 0x1.07b6050cd0eaep-9, 0x1.fd5244451fcfap-10, 0x1.ebcc6f0f25d87p-10, 0x1.dad6516dbe478p-10, 0x1.ca6bcc5807177p-10, 0x1.ba88da4ebc34ep-10, 0x1.ab298ee626b6p-10, 0x1.9c4a1650f7625p-10, 0x1.8de6b4ebf3c55p-10, 0x1.7ffbc6cad0ff1p-10, 0x1.7285bf45f9e4dp-10, 0x1.658128895936fp-10, 0x1.58eaa3245194cp-10, 0x1.4cbee59a8d9bdp-10, 0x1.40fabbf5e9821p-10, 0x1.359b0759c8593p-10, 0x1.2a9cbd970b73fp-10, 0x1.1ffce8c1450b8p-10, 0x1.15b8a6c58b7a6p-10, 0x1.0bcd29019365bp-10, 0x1.0237b3dc9fbd1p-10, 0x1.f1eb3cc2d3136p-11, 0x1.e008a3b1a5ef5p-11, 0x1.cec292cd55bbdp-11, 0x1.be14234dd3855p-11, 0x1.adf8909884aa6p-11, 0x1.9e6b37806cae3p-11, 0x1.8f67958871e63p-11, 0x1.80e9482846984p-11, 0x1.72ec0c13cee87p-11, 0x1.656bbc856efe9p-11, 0x1.5864528a896b7p-11, 0x1.4bd1e452473f9p-11, 0x1.3fb0a480a47aep-11, 0x1.33fce182766f9p-11, 0x1.28b304e4babdcp-11, 0x1.1dcf92af08a07p-11, 0x1.134f28c00d17cp-11, 0x1.092e7e2d5a42bp-11, 0x1.fed4c54b67f3fp-12, 0x1.ebff7bac3bd18p-12, 0x1.d9d71da42e711p-12, 0x1.c855d6fba3232p-12, 0x1.b775fff7fd3b1p-12, 0x1.a7321c3c2d7e6p-12, 0x1.9784d9adead51p-12, 0x1.88690f62ad83dp-12, 0x1.79d9bc8fb49ebp-12, 0x1.6bd207810db88p-12, 0x1.5e4d3c958fe15p-12, 0x1.5146cd400902cp-12, 0x1.44ba4f0ea1747p-12, 0x1.38a37ab638071p-12, 0x1.2cfe2b2441be1p-12, 0x1.21c65c9540fa3p-12, 0x1.16f82bb0402a2p-12, 0x1.0c8fd4a719f74p-12, 0x1.0289b25dc9fc1p-12, 0x1.f1c47b26f4deep-13, 0x1.df2c1824e3a2dp-13, 0x1.cd439fc94bfd9p-13, 0x1.bc04ad18b1b01p-13, 0x1.ab6910842fd18p-13, 0x1.9b6ace6a2f15ap-13, 0x1.8c041da9123f5p-13, 0x1.7d2f66301f51p-13, 0x1.6ee73f9f9109ap-13, 0x1.61266feed18b5p-13, 0x1.53e7ea1b37d92p-13, 0x1.4726ccdec591ap-13, 0x1.3ade616ec1c55p-13, 0x1.2f0a1a41baea4p-13, 0x1.23a591de501c1p-13, 0x1.18ac89af57f48p-13, 0x1.0e1ae8e077512p-13, 0x1.03ecbb42af544p-13, 0x1.f43c606738e52p-14, 0x1.e1573326247bdp-14, 0x1.cf22d56fc53cbp-14, 0x1.bd986edd308eap-14, 0x1.acb165fe12273p-14, 0x1.9c675e6b410f4p-14, 0x1.8cb436ea6d9d9p-14, 0x1.7d92079b40408p-14, 0x1.6efb203097435p-14, 0x1.60ea0634a6dcap-14, 0x1.5359735ae40fp-14, 0x1.464453d742545p-14, 0x1.39a5c4c7511efp-14, 0x1.2d79129f574fep-14, 0x1.21b9b7a626919p-14, 0x1.16635a79d49e1p-14, 0x1.0b71cc9ac9183p-14, 0x1.00e1090864cc5p-14, 0x1.ed5a65bd78c14p-15, 0x1.d9a528080707cp-15, 0x1.c69b37b18d0b7p-15, 0x1.b435bbf1ce497p-15, 0x1.a26e21f617352p-15, 0x1.913e1a8b7d8d1p-15, 0x1.809f97c2162a7p-15, 0x1.708ccaae0e9c7p-15, 0x1.61002131e3a0fp-15, 0x1.51f443dffae11p-15, 0x1.436413e278c16p-15, 0x1.354aa8f9d921bp-15, 0x1.27a34f89e14p-15, 0x1.1a6986a567a5bp-15, 0x1.0d98fe4af0462p-15, 0x1.012d958a01736p-15, 0x1.ea46b194205a5p-16, 0x1.d2ed00379b1f3p-16, 0x1.bc46db28ebdp-16, 0x1.a64d577089b07p-16, 0x1.90f9d7e1f24acp-16, 0x1.7c460a1c72c5dp-16, 0x1.682be3b00703cp-16, 0x1.54a59f459d0c3p-16, 0x1.41adb9efacdf7p-16, 0x1.2f3ef088e1021p-16, 0x1.1d543d29c557bp-16, 0x1.0be8d4b2bd056p-16, 0x1.f5f048e18e304p-17, 0x1.d4fb9f7544d05p-17, 0x1.b4eb5bab3f591p-17, 0x1.95b78f8260c62p-17, 0x1.7758ac38414e6p-17, 0x1.59c77e54765f4p-17, 0x1.3cfd29bdc6ap-17, 0x1.20f3260edb8e5p-17, 0x1.05a33ad95ac8fp-17, 0x1.d60ef8774454cp-18, 0x1.a2348ef96c0a5p-18, 0x1.6fac7f973ad1dp-18, 0x1.3e6c96389e16ep-18, 0x1.0e6b1e3bf8ea9p-18, 0x1.bf3db97892b64p-19, 0x1.63fe15a4e9eebp-19, 0x1.0b06a04872382p-19, 0x1.688ef7661bfc9p-20, 0x1.7ec64c400b1e7p-21, 0x1.a6d206e31316bp-24, -0x1.0cdcb30525161p-21, -0x1.23492dfadf90dp-20, -0x1.bc3bfb3c5609cp-20, -0x1.28af135cbe846p-19, -0x1.7162f74166f96p-19, -0x1.b8443bbac15e1p-19, -0x1.fd5cee4330a6dp-19, -0x1.205b4f21f4906p-18, -0x1.412d31f01064fp-18, -0x1.6128731f9147p-18, -0x1.80513142ddd53p-18, -0x1.9eab58536028cp-18, -0x1.bc3aa4ece1553p-18, -0x1.d902a6f0825cfp-18, -0x1.f506c421f80acp-18, -0x1.08251d5910458p-17, -0x1.156811bcde21ap-17, -0x1.224dba405925bp-17, -0x1.2ed78181a92e5p-17, -0x1.3b06c2c915376p-17, -0x1.46dccb0779028p-17, -0x1.525ad9c8e64dap-17, -0x1.5d82221d69929p-17, -0x1.6853cb6ed91eap-17, -0x1.72d0f25bdbd35p-17, -0x1.7cfaa97e1ac65p-17, -0x1.86d1fa14934e5p-17, -0x1.9057e4d4537bap-17, -0x1.998d6281f88a8p-17, -0x1.a273648cd397ap-17, -0x1.ab0ad5cd152d3p-17, -0x1.b3549ae05e1f7p-17, -0x1.bb5192cd1c55cp-17, -0x1.c3029789ffc9ep-17, -0x1.ca687e6daafbep-17, -0x1.d18418a449bap-17, -0x1.d856339b6211bp-17, -0x1.dedf9963c4075p-17, -0x1.e52111213cec8p-17, -0x1.eb1b5f4b4edb4p-17, -0x1.f0cf46114e282p-17, -0x1.f63d859b6f556p-17, -0x1.fb66dc7aae4bp-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.2663614240435p+0, -0x1.1a300ee0685a8p+0, -0x1.0ee5966e8c4c5p+0, -0x1.047ae98bf8241p+0, -0x1.f5cc1d038634bp-1, -0x1.e439278a8bed3p-1, -0x1.d427224eca252p-1, -0x1.c57f9e852f9f6p-1, -0x1.b82c729fd795bp-1, -0x1.ac17d95c6101bp-1, -0x1.a12c1c89b5a32p-1, -0x1.9753bd895b34ep-1, -0x1.8e79e900f64bcp-1, -0x1.868ab3045e997p-1, -0x1.7f731e97a7d4fp-1, -0x1.79211a661b8a5p-1, -0x1.7383710aedc3fp-1, -0x1.6e89ac4798919p-1, -0x1.6a2408031ffeep-1, -0x1.664389a313e2p-1, -0x1.62da2b151209fp-1, -0x1.5fda7a3542ba4p-1, -0x1.5d3a55a816036p-1, -0x1.5aed8bb5376f3p-1, -0x1.58e9a425f4b53p-1, -0x1.5724f1ddab11dp-1, -0x1.5596912287ffdp-1, -0x1.54365f43611b6p-1, -0x1.52fcebcca10d7p-1, -0x1.51e366d1730ddp-1, -0x1.50e391178ac67p-1, -0x1.4ff7b15fc16edp-1, -0x1.4f1a8ed26f07dp-1, -0x1.4e476e21089adp-1, -0x1.4d7a0e9c942dcp-1, -0x1.4caea5cac174bp-1, -0x1.4be1d95b46679p-1, -0x1.4b10b7c0e778dp-1, -0x1.4a38af5ce8ed1p-1, -0x1.4957840dcd3a6p-1, -0x1.486b4395549a9p-1, -0x1.47723a4fcdabfp-1, -0x1.466aea4155e0dp-1, -0x1.455405f9a30d9p-1, -0x1.442c6f6a42017p-1, -0x1.42f3394a00364p-1, -0x1.41a7a8ccb8b4bp-1, -0x1.404935a85e774p-1, -0x1.3ed7875dba1cbp-1, -0x1.3d526ff52f7efp-1, -0x1.3bb9e54910dfdp-1, -0x1.3a0dfa44d72f7p-1, -0x1.384ed93a6ff7p-1, -0x1.367cbfd3f5724p-1, -0x1.3497fc879f5dap-1, -0x1.32a0ed096fd58p-1, -0x1.3097fd19e4c6p-1, -0x1.2e7da5371fcaap-1, -0x1.2c5268fd72339p-1, -0x1.2a16d54873fa6p-1, -0x1.27cb7e4e9e32dp-1, -0x1.2570fdf84986ep-1, -0x1.2307f2a085113p-1, -0x1.20900824f325p-1, -0x1.1e0ba640269dp-1, -0x1.1b7ac704c1735p-1, -0x1.18de18f25fb21p-1, -0x1.16364a63f8934p-1, -0x1.1384095957c34p-1, -0x1.10c803512936bp-1, -0x1.0e02e51eabdb2p-1, -0x1.0b355aaf214f5p-1, -0x1.08600ebb0980cp-1, -0x1.0583aa649d999p-1, -0x1.02a0d4c76d4d5p-1, -0x1.ff7064fae8b97p-2, -0x1.f994ca3b24641p-2, -0x1.f3b0156e46777p-2, -0x1.edc37a9dfad76p-2, -0x1.e7d024c67984dp-2, -0x1.e1d734f8f1ee4p-2, -0x1.dbd9c1a7770dap-2, -0x1.d5d8d62836329p-2, -0x1.cfd5727a9ed19p-2, -0x1.c9d08b53b0d67p-2, -0x1.c3cb0a6fea7c5p-2, -0x1.bdc5cf223c021p-2, -0x1.b7c1af1133e04p-2, -0x1.b1bf770ef31b9p-2, -0x1.abbfebf629c8ap-2, -0x1.a5c3cb768d134p-2, -0x1.9fcbccbded429p-2, -0x1.99d8a0efdc5bp-2, -0x1.93eaf36462fd4p-2, -0x1.8e0369ad37a56p-2, -0x1.8822a367fc07dp-2, -0x1.824939e9bb844p-2, -0x1.7c77bfd3cce35p-2, -0x1.76aec0a3c87a4p-2, -0x1.70eec04f7044ap-2, -0x1.6b383afa897c4p-2, -0x1.658ba4d040ddcp-2, -0x1.5fe96a04b9903p-2, -0x1.5a51eefe5a7cbp-2, -0x1.54c590a24f3f8p-2, -0x1.4f44a4bc8c916p-2, -0x1.49cf7a7a06399p-2, -0x1.44665aeb7c754p-2, -0x1.3f098987f9551p-2, -0x1.39b944a7cd082p-2, -0x1.3475c5f2db84cp-2, -0x1.2f3f42bf3f9c9p-2, -0x1.2a15ec5f4e83fp-2, -0x1.24f9f05fa9155p-2, -0x1.1feb78b73e98dp-2, -0x1.1aeaabebe57cap-2, -0x1.15f7ad2e6dbd2p-2, -0x1.11129c710b77p-2, -0x1.0c3b967aa9d3fp-2, -0x1.0772b4f94183cp-2, -0x1.02b80e94bf777p-2, -0x1.fc176e0729ce7p-3, -0x1.f2db7e42e05a8p-3, -0x1.e9bc6a10924p-3, -0x1.e0ba4856ffa76p-3, -0x1.d7d52ae9012c5p-3, -0x1.cf0d1ec086c1cp-3, -0x1.c6622c39906e1p-3, -0x1.bdd4574b8c3fep-3, -0x1.b5639fbf6dfedp-3, -0x1.ad1001615d708p-3, -0x1.a4d9742d0bf22p-3, -0x1.9cbfec745266p-3, -0x1.94c35b00428ffp-3, -0x1.8ce3ad2d2eef7p-3, -0x1.8520cd02c6167p-3, -0x1.7d7aa1496bacap-3, -0x1.75f10d9e4ea15p-3, -0x1.6e83f287b0a02p-3, -0x1.67332d8a9ef48p-3, -0x1.5ffe994339db9p-3, -0x1.58e60d805f216p-3, -0x1.51e95f62fbc46p-3, -0x1.4b086181493b5p-3, -0x1.4442e40d76d26p-3, -0x1.3d98b4ff680afp-3, -0x1.3709a040999d8p-3, -0x1.30966d1bf470bp-3, -0x1.2a3c8be296f6cp-3, -0x1.23fd1c4cc9e03p-3, -0x1.1dd7e66dc958dp-3, -0x1.17ccb10421a5cp-3, -0x1.11db418c3199ep-3, -0x1.0c035c5291c61p-3, -0x1.0644c486711abp-3, -0x1.009f3c4c02403p-3, -0x1.f625099de1b36p-4, -0x1.eb3cbca9a13f4p-4, -0x1.e085109f10295p-4, -0x1.d5fd82df0ea8fp-4, -0x1.cba58f6b8b6cap-4, -0x1.c17cb10ac626fp-4, -0x1.b7826169984c5p-4, -0x1.adb6193cad23p-4, -0x1.a417506062c75p-4, -0x1.9aa57df74b572p-4, -0x1.916018871b415p-4, -0x1.884696141163cp-4, -0x1.7f586c3ac86d3p-4, -0x1.769510486f686p-4, -0x1.6dfbf75187b11p-4, -0x1.658c96472d9bp-4, -0x1.5d46620b1007ep-4, -0x1.5528cf822829bp-4, -0x1.4d3353a657cb9p-4, -0x1.4565639705b43p-4, -0x1.3dbe74a8d608cp-4, -0x1.363dfc74969f2p-4, -0x1.2ee370e577b17p-4, -0x1.27ae4846a123ep-4, -0x1.209df950367a4p-4, -0x1.19b1fb33d655ap-4, -0x1.12e9c5a89b485p-4, -0x1.0c44d0f6ac126p-4, -0x1.05c296025d36bp-4, -0x1.fec51cadcd725p-5, -0x1.f24868616d481p-5, -0x1.e60e050ec15fap-5, -0x1.da14ea2e5b055p-5, -0x1.ce5c10d4a6113p-5, -0x1.c2e273c392cbdp-5, -0x1.b7a70f7b9c928p-5, -0x1.aca8e24c2e47dp-5, -0x1.a1e6ec6355c9ep-5, -0x1.97602fdce2eecp-5, -0x1.8d13b0d0e1225p-5, -0x1.8300756180692p-5, -0x1.792585c860c2dp-5, -0x1.6f81ec634803bp-5, -0x1.6614b5c042da4p-5, -0x1.5cdcf0a92d7b4p-5, -0x1.53d9ae2e9f07bp-5, -0x1.4b0a01b24294ep-5, -0x1.426d00f08a7cap-5, -0x1.3a01c409cb53fp-5, -0x1.31c7658ab5635p-5, -0x1.29bd02742a82cp-5, -0x1.21e1ba42770a6p-5, -0x1.1a34aef3e456bp-5, -0x1.12b5050eac44p-5, -0x1.0b61e3a64fbe7p-5, -0x1.043a746050bf5p-5, -0x1.fa7bc6f09becbp-6, -0x1.ecd6bf8714a5p-6, -0x1.df843567d0507p-6, -0x1.d28290b4c018fp-6, -0x1.c5d03ed1a2877p-6, -0x1.b96bb266f692bp-6, -0x1.ad536363cb59bp-6, -0x1.a185cefe955bap-6, -0x1.960177b563f2dp-6, -0x1.8ac4e54d110ap-6, -0x1.7fcea4cfd601ep-6, -0x1.751d488b00d18p-6, -0x1.6aaf680c2be3fp-6, -0x1.6083a01dbf01cp-6, -0x1.569892c2da56bp-6, -0x1.4cece732c4369p-6, -0x1.437f49d3ca24ap-6, -0x1.3a4e6c35b57dbp-6, -0x1.3159050bc393dp-6, -0x1.289dd0263f7f2p-6, -0x1.201b8e6bb0f8fp-6, -0x1.17d105d1b1d85p-6, -0x1.0fbd015565f77p-6, -0x1.07de50f3a449p-6, -0x1.0033c9a0c743ap-6, -0x1.f1788a8077b6ap-7, -0x1.e2ed453764609p-7, -0x1.d4c38ab42be3dp-7, -0x1.c6f92bec72b39p-7, -0x1.b98c036a7661bp-7, -0x1.ac79f5396a7a4p-7, -0x1.9fc0eed1094dp-7, -0x1.935ee7012bc04p-7, -0x1.8751dddc501c7p-7, -0x1.7b97dca23322cp-7, -0x1.702ef5a9ab255p-7, -0x1.6515444a003c9p-7, -0x1.5a48ecc43d72cp-7, -0x1.4fc81c2bcc63p-7, -0x1.4591084ed37b3p-7, -0x1.3ba1ef9e390bap-7, -0x1.31f91915595a8p-7, -0x1.2894d4216b173p-7, -0x1.1f737888a0635p-7, -0x1.1693665106faap-7, -0x1.0df305a73568bp-7, -0x1.0590c6c4b3fc7p-7, -0x1.fad643ac9012ep-8, -0x1.eb012dc409837p-8, -0x1.db9f5b5ab234ep-8, -0x1.ccadeb459940dp-8, -0x1.be2a0b6f9ce7ep-8, -0x1.b010f8a4b731bp-8, -0x1.a25ffe5d4a43ep-8, -0x1.95147689214ap-8, -0x1.882bc95a96cdap-8, -0x1.7ba36d119d7f5p-8, -0x1.6f78e5c6e4064p-8, -0x1.63a9c536d1f7p-8, -0x1.5833aa8cd5939p-8, -0x1.4d14422e9e66cp-8, -0x1.424945877eb85p-8, -0x1.37d07ad40c555p-8, -0x1.2da7b4edc8626p-8, -0x1.23ccd3172fe34p-8, -0x1.1a3dc0c79ab83p-8, -0x1.10f8757807e3ep-8, -0x1.07faf46f4f49dp-8, -0x1.fe86991eff844p-9, -0x1.ed9f3045b281bp-9, -0x1.dd3bf952e8318p-9, -0x1.cd59554e218ccp-9, -0x1.bdf3bae2ee00ep-9, -0x1.af07b5fe02828p-9, -0x1.a091e76b48535p-9, -0x1.928f0474b15fcp-9, -0x1.84fbd681dbc7ep-9, -0x1.77d53ab8a538bp-9, -0x1.6b18219e7e3cep-9, -0x1.5ec18ebac984ap-9, -0x1.52ce983a1629fp-9, -0x1.473c669253e83p-9, -0x1.3c0834280bf94p-9, -0x1.312f4cf458392p-9, -0x1.26af0e2c94346p-9, -0x1.1c84e5e9fd52dp-9, -0x1.12ae52d34bf9dp-9, -0x1.0928e3c6f620ep-9, -0x1.ffe46f0d17e0fp-10, -0x1.ee0ff8c671183p-10, -0x1.dccfdfd67abfdp-10, -0x1.cc1fbd31be943p-10, -0x1.bbfb47039758ep-10, -0x1.ac5e50106c91p-10, -0x1.9d44c719a0cfep-10, -0x1.8eaab643c2c03p-10, -0x1.808c427f2188cp-10, -0x1.72e5aaf2b94b4p-10, -0x1.65b34868c6fa7p-10, -0x1.58f18cbe85b54p-10, -0x1.4c9d02555d6ddp-10, -0x1.40b24b86ca7f7p-10, -0x1.352e221add8b8p-10, -0x1.2a1145c0c8878p-10, -0x1.1f51f38f3dcbcp-10, -0x1.14efd965bf6a5p-10, -0x1.0ae808a90cc43p-10, -0x1.0137a7ab59e5p-10, -0x1.efb7e2609ee0ap-11, -0x1.dda467e6c1ba4p-11, -0x1.cc2fa4613022bp-11, -0x1.bb54825d1f448p-11, -0x1.ab0e1196a94p-11, -0x1.9b578615bb682p-11, -0x1.8c2c374efc48ep-11, -0x1.7d879f49924d4p-11, -0x1.6f6559c6d0556p-11, -0x1.61c1237064681p-11, -0x1.5496d9080d872p-11, -0x1.47e2769c408d8p-11, -0x1.3ba016bf830d4p-11, -0x1.2fcbf1c6b5808p-11, -0x1.24625d0618c3ep-11, -0x1.195fca158f392p-11, -0x1.0ec0c617b3375p-11, -0x1.0481f902243afp-11, -0x1.f54049dc7af6ap-12, -0x1.e2304ad13df81p-12, -0x1.cfcddd8d89835p-12, -0x1.be131afc2325bp-12, -0x1.acfa4b00a8bcfp-12, -0x1.9c7de334d3ae6p-12, -0x1.8c9885acbb31ap-12, -0x1.7d44ffc290a43p-12, -0x1.6e7e48e7a9b23p-12, -0x1.603f817a977aep-12, -0x1.5283f1a8afc05p-12, -0x1.4547085214b29p-12, -0x1.388459f208f6bp-12, -0x1.2c379f92771dcp-12, -0x1.205cb5c1dbccbp-12, -0x1.14ef9b90e96bdp-12, -0x1.09ec719583946p-12, -0x1.fe9ef1e6b8318p-13, -0x1.ea2a24d8c67f8p-13, -0x1.d6737ae5cee3ap-13, -0x1.c3742e8ad6accp-13, -0x1.b125b41c031ffp-13, -0x1.9f81b80f24429p-13, -0x1.8e821d52000c1p-13, -0x1.7e20fba88cb71p-13, -0x1.6e589e199ba0bp-13, -0x1.5f238162067cep-13, -0x1.507c52741f8cbp-13, -0x1.425ded02569ffp-13, -0x1.34c35a0f16c1dp-13, -0x1.27a7ce8af1527p-13, -0x1.1b06a9faa5564p-13, -0x1.0edb75247a117p-13, -0x1.0321e0c5b318ap-13, -0x1.efab88b8c54c8p-14, -0x1.d9e639ccc0a0dp-14, -0x1.c4ec17761ca99p-14, -0x1.b0b5aabdc93c7p-14, -0x1.9d3bc0d2cc234p-14, -0x1.8a7768dff2169p-14, -0x1.7861f1df5e6dp-14, -0x1.66f4e8a736322p-14, -0x1.562a15d54571p-14, -0x1.45fb7be653a7fp-14, -0x1.3663555233293p-14, -0x1.275c12b6826e4p-14, -0x1.18e0590eae11fp-14, -0x1.0aeafff8dc9d6p-14, -0x1.faee200d49a46p-15, -0x1.e0ff823718851p-15, -0x1.c800f1b817bcfp-15, -0x1.afe9922e1a96ep-15, -0x1.98b0dca3a28cap-15, -0x1.824e9c93a7aa7p-15, -0x1.6cbaed2d78768p-15, -0x1.57ee3687d3363p-15, -0x1.43e12afaa56e4p-15, -0x1.308cc48dad564p-15, -0x1.1dea4270feae8p-15, -0x1.0bf3269234181p-15, -0x1.f542667e8458p-16, -0x1.d3dcd1b8a12c9p-16, -0x1.b3aa074e1fa87p-16, -0x1.949ef33f9489dp-16, -0x1.76b0f0b368f68p-16, -0x1.59d5c60cbb3cep-16, -0x1.3e03a0f201dc6p-16, -0x1.23311282033bep-16, -0x1.09550b9ff2ab5p-16, -0x1.e0cdb2dd253dap-17, -0x1.b0bc438e4bf22p-17, -0x1.8265bfcf614eap-17, -0x1.55bac29793045p-17, -0x1.2aac84a444456p-17, -0x1.012cd6f170d16p-17, -0x1.b25c387360315p-18, -0x1.654687d06ab01p-18, -0x1.1aff886396e3bp-18, -0x1.a6de53b27537ap-19, -0x1.1cfca94f2289ap-19, -0x1.305b812f9c69fp-20, -0x1.8471331748279p-23, 0x1.8b80b40fc8e53p-21, 0x1.b2de4ee49705bp-20, 0x1.4b8b6fc49eac7p-19, 0x1.b95913c40cfe7p-19, 0x1.117d56db0d544p-18, 0x1.4448b99ef3aeap-18, 0x1.751ea19faab86p-18, 0x1.a40e5b1798f16p-18, 0x1.d12695554a74cp-18, 0x1.fc7569a6587adp-18, 0x1.130430df41debp-17, 0x1.26f63ee4fff44p-17, 0x1.3a171d5d12583p-17, 0x1.4c6ccbe1209e1p-17, 0x1.5dfd0dfc021cp-17, 0x1.6ecd6dd66762dp-17, 0x1.7ee33ebf17e3ap-17, 0x1.8e439f9ea318p-17, 0x1.9cf37d75d1655p-17, 0x1.aaf795717b7f8p-17, 0x1.b854772e07b33p-17, 0x1.c50e86e043a95p-17, 0x1.d129ff4735762p-17, 0x1.dcaaf3b39edc3p-17, 0x1.e795518f17e2p-17, 0x1.f1ece29f7f24cp-17, 0x1.fbb54e67f945ep-17, 0x1.02790defc8222p-16, 0x1.06d35980bfbc9p-16, 0x1.0aeb2f264be69p-16, 0x1.0ec22619d98dep-16, 0x1.1259c83b9ce45p-16, 0x1.15b392b968ca7p-16, 0x1.18d0f6c2a1f3ap-16, 0x1.1bb35a0115f1cp-16, 0x1.1e5c1736bf7d4p-16, 0x1.20cc7ef19591cp-16, 0x1.2305d7cd44285p-16, 0x1.25095f268aebp-16, 0x1.26d8497786bb1p-16, 0x1.2873c2d4c30a8p-16, 0x1.29dcef6cd69c8p-16, 0x1.2b14ebdddc88p-16, 0x1.2c1ccd9d1f071p-16, 0x1.2cf5a3588cafdp-16, 0x1.2da07550a84c4p-16, 0x1.2e1e45a38727ep-16, 0x1.2e7010ca38298p-16, 0x1.2e96cda4084a3p-16, 0x1.2e936dec0024cp-16, 0x1.2e66de732ac39p-16, 0x1.2e12076235db4p-16, 0x1.2d95cc7982d1bp-16, 0x1.2cf30d43890d6p-16, 0x1.2c2aa55884354p-16, 0x1.2b3d6c8a243f7p-16, 0x1.2a2c3716aeb49p-16, 0x1.28f7d5d7178f3p-16, 0x1.27a1166a48163p-16, 0x1.2628c35ef357fp-16, 0x1.248fa45496eacp-16, 0x1.22d67e269adeap-16, 0x1.20fe13149423p-16, 0x1.1f0722affbaa6p-16, 0x1.1cf26a49c0463p-16, 0x1.1ac0a4d087aaep-16, 0x1.18728afb9ed29p-16, 0x1.1608d3683754ep-16, 0x1.138432a33e89p-16, 0x1.10e55b3fc8309p-16, 0x1.0e2cfdef96495p-16, 0x1.0b5bc98d89aadp-16, 0x1.08726b2bf95cp-16, 0x1.05718e2acd423p-16, 0x1.0259dc322b84fp-16, 0x1.fe57fab3c13cbp-17, 0x1.f7d13026da0cdp-17, 0x1.f120a28dace93p-17, 0x1.ea47989748661p-17, 0x1.e3475630d1da6p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.ad9c63f865d59p-1, 0x1.a5e64603d54ddp-1, 0x1.9df0b3c548124p-1, 0x1.95bf4eeb00a01p-1, 0x1.8d55b8c4c70fp-1, 0x1.84b78fefbf227p-1, 0x1.7be86e32e334bp-1, 0x1.72ebe68937a72p-1, 0x1.69c58356dda59p-1, 0x1.6078c4c64de86p-1, 0x1.57091f4b22e93p-1, 0x1.4d79fa48015c4p-1, 0x1.43ceaed552e93p-1, 0x1.3a0a86a6b0757p-1, 0x1.3030bb0cfaf94p-1, 0x1.264474134a4c5p-1, 0x1.1c48c7b4f65f3p-1, 0x1.1240b92b22f69p-1, 0x1.082f38504ed6cp-1, 0x1.fc2e423109175p-2, 0x1.e7f67639c3448p-2, 0x1.d3bc72727ba48p-2, 0x1.bf857275a39aep-2, 0x1.ab56873d96f9ap-2, 0x1.973496bf9e16bp-2, 0x1.83245ba2ebdb8p-2, 0x1.6f2a6511c2fa7p-2, 0x1.5b4b16a3188e1p-2, 0x1.478aa85b12c32p-2, 0x1.33ed26c0dc909p-2, 0x1.207673085836fp-2, 0x1.0d2a434e4d2b4p-2, 0x1.f41845cb72ff7p-3, 0x1.ce3ee56a16e53p-3, 0x1.a8ced343fee4cp-3, 0x1.83ce2a1614dbbp-3, 0x1.5f42b29a554e8p-3, 0x1.3b31e4aa3558fp-3, 0x1.17a0e875c50fep-3, 0x1.e9292f9b5190cp-4, 0x1.a422fefc3a78dp-4, 0x1.6037c1729a505p-4, 0x1.1d6f651eb7dc8p-4, 0x1.b7a28dca45b8dp-5, 0x1.36c86b18f7e39p-5, 0x1.70b9d3b76bdd5p-6, 0x1.e35c135414efap-8, -0x1.e80add05a16edp-8, -0x1.67c0856ecad4dp-6, -0x1.2828c09174702p-5, -0x1.99d35759fec48p-5, -0x1.046cbb68db13fp-4, -0x1.3a9abab52ce1ep-4, -0x1.6f7144af4a13p-4, -0x1.a2ee60e4ac3a3p-4, -0x1.d5107fdfca2dap-4, -0x1.02eb3bdbc0972p-3, -0x1.1a9fc0511192fp-3, -0x1.31a598c6c311bp-3, -0x1.47fcbe5e77416p-3, -0x1.5da55636f8785p-3, -0x1.729fafc293347p-3, -0x1.86ec4321c0047p-3, -0x1.9a8baf8282812p-3, -0x1.ad7eb984d62e6p-3, -0x1.bfc649a474e98p-3, -0x1.d1636aa84c375p-3, -0x1.e2574817d4768p-3, -0x1.f2a32cb6975d5p-3, -0x1.0124408307fe5p-2, -0x1.08a464e70ebap-2, -0x1.0fd2d35617855p-2, -0x1.16b06854ac265p-2, -0x1.1d3e0c6bb2e67p-2, -0x1.237cb37a8c9fbp-2, -0x1.296d5c0cd2c6ep-2, -0x1.2f110eb3c000bp-2, -0x1.3468dd634c7e8p-2, -0x1.3975e2d307cf3p-2, -0x1.3e3941e2b72e3p-2, -0x1.42b42502b8c0dp-2, -0x1.46e7bda033ac8p-2, -0x1.4ad5439519dccp-2, -0x1.4e7df49bf2ad1p-2, -0x1.51e313c779e56p-2, -0x1.5505e8fe0c00ap-2, -0x1.57e7c078dae66p-2, -0x1.5a89ea46f221p-2, -0x1.5cedb9d3fa4a8p-2, -0x1.5f148572c2491p-2, -0x1.60ffa5eb7c535p-2, -0x1.62b0760db7874p-2, -0x1.6428524600881p-2, -0x1.656898372a02dp-2, -0x1.6672a657328d3p-2, -0x1.6747db8fbdbf7p-2, -0x1.67e996e2166cep-2, -0x1.6859370eb3d21p-2, -0x1.68981a402f405p-2, -0x1.68a79db9aab6dp-2, -0x1.68891d888bd39p-2, -0x1.683df43993e6cp-2, -0x1.67c77a91334cbp-2, -0x1.672707471c022p-2, -0x1.665deec4fb44p-2, -0x1.656d82e8524e8p-2, -0x1.645712c75df67p-2, -0x1.631bea78fe292p-2, -0x1.61bd52df91019p-2, -0x1.603c9176b12d5p-2, -0x1.5e9ae823c5993p-2, -0x1.5cd995095bcc6p-2, -0x1.5af9d25d33003p-2, -0x1.58fcd640eeb62p-2, -0x1.56e3d29d616a5p-2, -0x1.54aff5005961dp-2, -0x1.5262667ce96f7p-2, -0x1.4ffc4b8e12d8ap-2, -0x1.4d7ec3fbc8718p-2, -0x1.4aeaeac237955p-2, -0x1.4841d5fb45d42p-2, -0x1.458496ca37061p-2, -0x1.42b439496554fp-2, -0x1.3fd1c47a01909p-2, -0x1.3cde3a35c9c3cp-2, -0x1.39da9722a241dp-2, -0x1.36c7d2a805bafp-2, -0x1.33a6dee63eb67p-2, -0x1.3078a8af50803p-2, -0x1.2d3e17818b931p-2, -0x1.29f80d83b9459p-2, -0x1.26a76782cb5f9p-2, -0x1.234cfcf109e01p-2, -0x1.1fe99fe6a652cp-2, -0x1.1c7e1d23ab792p-2, -0x1.190b3c133c857p-2, -0x1.1591bed00d79dp-2, -0x1.1212622a0ef41p-2, -0x1.0e8dddad3d1f7p-2, -0x1.0b04e3a97fc57p-2, -0x1.0778213b9392p-2, -0x1.03e83e56efca8p-2, -0x1.0055ddd09279ap-2, -0x1.f9833ad56a87bp-3, -0x1.f2582bc29c9a7p-3, -0x1.eb2bb5eebec82p-3, -0x1.e3fef709fbc6ep-3, -0x1.dcd3030c15032p-3, -0x1.d5a8e453215e2p-3, -0x1.ce819bc37e073p-3, -0x1.c75e20e8d8ce1p-3, -0x1.c03f62184f89ap-3, -0x1.b92644937a595p-3, -0x1.b213a4ac5b7a5p-3, -0x1.ab0855ea21575p-3, -0x1.a405232e9c085p-3, -0x1.9d0acedc6562bp-3, -0x1.961a12fd9b0c8p-3, -0x1.8f33a16b246bdp-3, -0x1.885823f46cb17p-3, -0x1.81883c8784af7p-3, -0x1.7ac485599e677p-3, -0x1.740d910fd0b9fp-3, -0x1.6d63eae814426p-3, -0x1.66c816e274fap-3, -0x1.603a91ea58f6bp-3, -0x1.59bbd1ffe8975p-3, -0x1.534c466171684p-3, -0x1.4cec57b4d011fp-3, -0x1.469c6830c8af8p-3, -0x1.405cd3c6405c2p-3, -0x1.3a2df0495f00bp-3, -0x1.34100d9a77f49p-3, -0x1.2e0375cec784dp-3, -0x1.28086d58ebdedp-3, -0x1.221f33311b221p-3, -0x1.1c4800fd07a37p-3, -0x1.16830b3772632p-3, -0x1.10d081575da1dp-3, -0x1.0b308df6e076ap-3, -0x1.05a356f98e33ap-3, -0x1.0028fdb26fd6ep-3, -0x1.f5833e131482bp-4, -0x1.eadaa741d7d72p-4, -0x1.e0585ff2745cbp-4, -0x1.d5fc892b7fc2ep-4, -0x1.cbc73c3fe9095p-4, -0x1.c1b88b14f623fp-4, -0x1.b7d0806724a0ap-4, -0x1.ae0f200df2963p-4, -0x1.a474673e75785p-4, -0x1.9b004cccd771dp-4, -0x1.91b2c16c9a332p-4, -0x1.888bafefacec7p-4, -0x1.7f8afd845168fp-4, -0x1.76b089f1c292p-4, -0x1.6dfc2fd3a5258p-4, -0x1.656dc4d43b698p-4, -0x1.5d0519e55c919p-4, -0x1.54c1fb782d8b2p-4, -0x1.4ca431b39ad86p-4, -0x1.44ab80a993a52p-4, -0x1.3cd7a88b0644ap-4, -0x1.352865da9e42cp-4, -0x1.2d9d719e44387p-4, -0x1.2636818f625ebp-4, -0x1.1ef34849ed006p-4, -0x1.17d3757a327cp-4, -0x1.10d6b60972a84p-4, -0x1.09fcb44942b61p-4, -0x1.0345181dbc273p-4, -0x1.f95f0e4cfc7a3p-5, -0x1.ec7749ccff2d7p-5, -0x1.dfd225d56ec15p-5, -0x1.d36ee1df3ce34p-5, -0x1.c74cba0b1cf76p-5, -0x1.bb6ae767fd3c1p-5, -0x1.afc8a0374d545p-5, -0x1.a465182f101c6p-5, -0x1.993f80b9c465bp-5, -0x1.8e57093430e9bp-5, -0x1.83aadf2913ce6p-5, -0x1.793a2e8ac428fp-5, -0x1.6f0421eacce29p-5, -0x1.6507e2af89168p-5, -0x1.5b449947ca01ap-5, -0x1.51b96d5c95a42p-5, -0x1.48658600fbf8fp-5, -0x1.3f4809e01893cp-5, -0x1.36601f6942c19p-5, -0x1.2dacecfa7443cp-5, -0x1.252d9908f8973p-5, -0x1.1ce14a4863b92p-5, -0x1.14c727cfe3104p-5, -0x1.0cde593dea94ep-5, -0x1.052606da4e0fap-5, -0x1.fb3ab36d99839p-6, -0x1.ec86f79c2f217p-6, -0x1.de2f3042bf8cp-6, -0x1.d031b5a8e4873p-6, -0x1.c28ce290de02ep-6, -0x1.b53f146a3de11p-6, -0x1.a846ab81ee155p-6, -0x1.9ba20b2fa14dp-6, -0x1.8f4f9a00bc334p-6, -0x1.834dc1e0ca4fep-6, -0x1.779af03f99f3bp-6, -0x1.6c359634fc612p-6, -0x1.611c28a256869p-6, -0x1.564d2051f9242p-6, -0x1.4bc6fa1464f49p-6, -0x1.418836db807abp-6, -0x1.378f5bd3d6abcp-6, -0x1.2ddaf27be6e8ap-6, -0x1.246988b9a04ecp-6, -0x1.1b39b0ee0f6b6p-6, -0x1.124a020754d41p-6, -0x1.09991790ebaf9p-6, -0x1.012591c257668p-6, -0x1.f1dc2b188615ap-7, -0x1.e1e29948454ap-7, -0x1.d25bcb1cbae0fp-7, -0x1.c345274e3bc27p-7, -0x1.b49c1e538aac9p-7, -0x1.a65e2a6e33fa6p-7, -0x1.9888cfb46eb1bp-7, -0x1.8b199c18a49dap-7, -0x1.7e0e276eb6926p-7, -0x1.7164136f0aed4p-7, -0x1.65190bb797936p-7, -0x1.592ac5cad95b3p-7, -0x1.4d97010cf99f4p-7, -0x1.425b86bf16932p-7, -0x1.377629f8d0d59p-7, -0x1.2ce4c7a036992p-7, -0x1.22a5466019322p-7, -0x1.18b5969ce63a4p-7, -0x1.0f13b26813c5fp-7, -0x1.05bd9d7234eafp-7, -0x1.f962c9f790a9bp-8, -0x1.e7da3f89a1e34p-8, -0x1.d6dddbf69845ep-8, -0x1.c669f2512a269p-8, -0x1.b67ae83b8833cp-8, -0x1.a70d35be38f23p-8, -0x1.981d651d2ad43p-8, -0x1.89a812ab1b097p-8, -0x1.7ba9ec9b6f25fp-8, -0x1.6e1fb2d29d349p-8, -0x1.610636b537e3p-8, -0x1.545a5af5bffd5p-8, -0x1.481913614ea4ep-8, -0x1.3c3f64ab3107dp-8, -0x1.30ca64378ea69p-8, -0x1.25b737e52e236p-8, -0x1.1b0315d66e8f9p-8, -0x1.10ab44398c4c8p-8, -0x1.06ad191040fa9p-8, -0x1.fa0bf3edaa85dp-9, -0x1.e766b7d5690f8p-9, -0x1.d56586212aacbp-9, -0x1.c40384f490adfp-9, -0x1.b33bf7d87559dp-9, -0x1.a30a3f457d461p-9, -0x1.9369d82e504dfp-9, -0x1.84565b89976cdp-9, -0x1.75cb7ddbd7b1bp-9, -0x1.67c50ec14b822p-9, -0x1.5a3ef877c71fbp-9, -0x1.4d353f68cf479p-9, -0x1.40a401b3e9cdfp-9, -0x1.348776b947bcp-9, -0x1.28dbeea4d7029p-9, -0x1.1d9dd1f9d7585p-9, -0x1.12c9a11ef6332p-9, -0x1.085bf3eb14341p-9, -0x1.fca2f265710e8p-10, -0x1.e94decac8bd68p-10, -0x1.d6b28da201264p-10, -0x1.c4cab791df2afp-10, -0x1.b390773f56b7bp-10, -0x1.a2fe03084549ep-10, -0x1.930dba0abbf4bp-10, -0x1.83ba234cacde5p-10, -0x1.74fdece5b52afp-10, -0x1.66d3eb2b3961dp-10, -0x1.593717dec127cp-10, -0x1.4c22915ebe38ep-10, -0x1.3f9199d9bea03p-10, -0x1.337f968419f2p-10, -0x1.27e80ed0294aep-10, -0x1.1cc6aba911f58p-10, -0x1.121736b026186p-10, -0x1.07d5997cfd314p-10, -0x1.fbfbb9c046515p-11, -0x1.e91850511ed45p-11, -0x1.d6f980d7987f5p-11, -0x1.c5980fa1c568dp-11, -0x1.b4ecf9bc105dp-11, -0x1.a4f173922c9cp-11, -0x1.959ee79595a16p-11, -0x1.86eef4e9ad258p-11, -0x1.78db6e15705d5p-11, -0x1.6b5e57bacdb3cp-11, -0x1.5e71e75394e92p-11, -0x1.521081f40531dp-11, -0x1.4634bb12f341p-11, -0x1.3ad95357861dep-11, -0x1.2ff9376c85233p-11, -0x1.258f7ed93234dp-11, -0x1.1b976adfa9695p-11, -0x1.120c6560bf66dp-11, -0x1.08e9ffc554fd8p-11, -0x1.002bf1ed18588p-11, -0x1.ef9c3245566b4p-12, -0x1.df98ee2a3e908p-12, -0x1.d04661ad87a4ep-12, -0x1.c19d1bc26722dp-12, -0x1.b395ee3d33829p-12, -0x1.a629ebf042526p-12, -0x1.995266d2fca55p-12, -0x1.8d08ee33126e2p-12, -0x1.81474cefae25cp-12, -0x1.760787be8b778p-12, -0x1.6b43db7ad4947p-12, -0x1.60f6bb7da78c8p-12, -0x1.571ad0002341fp-12, -0x1.4daaf486dbfc1p-12, -0x1.44a236569d07ep-12, -0x1.3bfbd2f24b43ap-12, -0x1.33b336a1d61e4p-12, -0x1.2bc3fb020a01dp-12, -0x1.2429e59d26e25p-12, -0x1.1ce0e68c1cc55p-12, -0x1.15e51720445eep-12, -0x1.0f32b89576f2ap-12, -0x1.08c632cc64974p-12, -0x1.029c130cfe87cp-12, -0x1.f96215a1bc2dfp-13, -0x1.ee03dd2af1f84p-13, -0x1.e317696c1ab3p-13, -0x1.d896e89a2f1dp-13, -0x1.ce7cc83a7304cp-13, -0x1.c4c3b302ccbe6p-13, -0x1.bb668ec875bbap-13, -0x1.b2607a7caf9c4p-13, -0x1.a9accc3744f77p-13, -0x1.a1470f4e8ce87p-13, -0x1.992b027caa374p-13, -0x1.91549611ce447p-13, -0x1.89bfea3337a9dp-13, -0x1.82694d26a2b3p-13, -0x1.7b4d39a9fa25cp-13, -0x1.74685556fae14p-13, -0x1.6db76f12944bdp-13, -0x1.67377d87b9e3bp-13, -0x1.60e59dad746afp-13, -0x1.5abf1157eb84p-13, -0x1.54c13dd42b68p-13, -0x1.4ee9aa8e72775p-13, -0x1.4935ffc2bafbep-13, -0x1.43a4053757aeap-13, -0x1.3e31a10159237p-13, -0x1.38dcd6528d463p-13, -0x1.33a3c450dac1ap-13, -0x1.2e84a4f6beab4p-13, -0x1.297dcbfcbcb7p-13, -0x1.248da5cb83cc7p-13, -0x1.1fb2b67692cp-13, -0x1.1aeb98bf2d726p-13, -0x1.1636fd1f65176p-13, -0x1.1193a8dd0f9bfp-13, -0x1.0d00752463699p-13, -0x1.087c4e2a25831p-13, -0x1.040632551ab76p-13, -0x1.ff3a62dd43968p-14, -0x1.f680d7b47d83dp-14, -0x1.edde23a7cd41ep-14, -0x1.e550c569cbb5ep-14, -0x1.dcd7587e5fadap-14, -0x1.d47093ddd8aebp-14, -0x1.cc1b48a42f0f5p-14, -0x1.c3d660cc1f7c2p-14, -0x1.bba0ddf5c0a36p-14, -0x1.b379d8384590bp-14, -0x1.ab607cfeaf786p-14, -0x1.a3540def07e7dp-14, -0x1.9b53dfdbe2dd9p-14, -0x1.935f59bfe1fc8p-14, -0x1.8b75f3c2ebeeap-14, -0x1.83973648cf021p-14, -0x1.7bc2b9090cb52p-14, -0x1.73f8222f881e3p-14, -0x1.6c372585d3fdbp-14, -0x1.647f83a4e13f1p-14, -0x1.5cd1092ecc286p-14, -0x1.552b8e108987ap-14, -0x1.4d8ef4cb39adfp-14, -0x1.45fb29c4e2886p-14, -0x1.3e7022a0578ccp-14, -0x1.36eddd9c18b78p-14, -0x1.2f7460f7eccaap-14, -0x1.2803ba6105fep-14, -0x1.209bfe6477795p-14, -0x1.193d47e7cb528p-14, -0x1.11e7b7a78446dp-14, -0x1.0a9b73bb5c59p-14, -0x1.0358a7200f268p-14, -0x1.f83f028d034ebp-15, -0x1.e9e06b50321aap-15, -0x1.db95f6c02c7c6p-15, -0x1.cd60199393e99p-15, -0x1.bf3f4e46ea144p-15, -0x1.b134146b621a8p-15, -0x1.a33eeffe69b18p-15, -0x1.956068c99fb8ep-15, -0x1.879909caebd38p-15, -0x1.79e960a473a67p-15, -0x1.6c51fd1418b7cp-15, -0x1.5ed37072493c8p-15, -0x1.516e4d37d37fep-15, -0x1.4423268a83515p-15, -0x1.36f28fd040b2dp-15, -0x1.29dd1c487b89fp-15, -0x1.1ce35eab9ec9cp-15, -0x1.1005e8d057ed3p-15, -0x1.03454b5674103p-15, -0x1.ed442aae3d8f2p-16, -0x1.d439a8349955p-16, -0x1.bb6c25a236505p-16, -0x1.a2dcb4a9f0861p-16, -0x1.8a8c61d6b342fp-16, -0x1.727c341bb6a3ap-16, -0x1.5aad2c6d24086p-16, -0x1.43204560d2e91p-16, -0x1.2bd672d6b927cp-16, -0x1.14d0a1a8c9b5fp-16, -0x1.fc1f6ec3d7976p-17, -0x1.cf2923f767017p-17, -0x1.a2c00f45346a4p-17, -0x1.76e5cd00d4ceep-17, -0x1.4b9be91926c45p-17, -0x1.20e3dec448f37p-17, -0x1.ed7e306ca6b05p-18, -0x1.9a5ddcc4af3a2p-18, -0x1.4869518a4fc27p-18, -0x1.ef45f4e5af733p-19, -0x1.501a3f5247442p-19, -0x1.66a7966134468p-20, -0x1.8f6998cb2047p-23, 0x1.fbe6720fb2c76p-21, 0x1.147965f1e1c54p-19, 0x1.a78599a8619abp-19, 0x1.1c0dab33f4a5bp-18, 0x1.631c014455846p-18, 0x1.a8eca5d3052a5p-18, 0x1.ed7e931a3d20bp-18, 0x1.18687340c34b3p-17, 0x1.3971702a77feep-17, 0x1.59d9f1b9a5e3ep-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.e39974c54a8dep-1, 0x1.e0d890fd85971p-1, 0x1.ddfc91aa8cae3p-1, 0x1.db0651e3df3f4p-1, 0x1.d7f6aef9dace9p-1, 0x1.d4ce87f41636bp-1, 0x1.d18ebd17abb28p-1, 0x1.ce382f7524134p-1, 0x1.cacbc07dabd66p-1, 0x1.c74a519f42462p-1, 0x1.c3b4c3e78c031p-1, 0x1.c00bf7acf3699p-1, 0x1.bc50cc3dc88c1p-1, 0x1.b8841f950dd98p-1, 0x1.b4a6ce14a9f8cp-1, 0x1.b0b9b244b0c89p-1, 0x1.acbda497826bcp-1, 0x1.a8b37b327cdffp-1, 0x1.a49c09bb01aaep-1, 0x1.a0782127943e8p-1, 0x1.9c488f94dba3fp-1, 0x1.980e201e4eb2p-1, 0x1.93c99aba5ca02p-1, 0x1.8f7bc419e1ceap-1, 0x1.8b255d8aba94cp-1, 0x1.86c724dd4d61cp-1, 0x1.8261d44cdffdp-1, 0x1.7df6226a955fap-1, 0x1.7984c20aefddcp-1, 0x1.750e6235b23ecp-1, 0x1.7093ae1803d54p-1, 0x1.6c154cf8b512bp-1, 0x1.6793e22e87fdep-1, 0x1.63100d186181ep-1, 0x1.5e8a691745accp-1, 0x1.5a038d8a08a75p-1, 0x1.557c0dca98eafp-1, 0x1.50f4792ccb9cap-1, 0x1.4c6d5afe95b9ap-1, 0x1.47e73a899ac68p-1, 0x1.43629b15fcc4ap-1, 0x1.3edffbee59a4ep-1, 0x1.3a5fd864e384bp-1, 0x1.35e2a7d98095ep-1, 0x1.3168ddc0e1f91p-1, 0x1.2cf2e9ac7fbb6p-1, 0x1.288137536c562p-1, 0x1.24142e9bed359p-1, 0x1.1fac33a5cc691p-1, 0x1.1b49a6d553a5fp-1, 0x1.16ece4dee52e3p-1, 0x1.129646d324176p-1, 0x1.0e46222b9fa1fp-1, 0x1.09fcc8d7fa256p-1, 0x1.05ba894b79fb9p-1, 0x1.017fae8b003bbp-1, 0x1.fa990076ad164p-2, 0x1.f242855f9ec77p-2, 0x1.e9fc6df2550d2p-2, 0x1.e1c735e971f6cp-2, 0x1.d9a352b771656p-2, 0x1.d19133a5b8469p-2, 0x1.c99141f3f75e7p-2, 0x1.c1a3e0f7ce48ap-2, 0x1.b9c96e3ca2cfp-2, 0x1.b20241a3a0468p-2, 0x1.aa4ead83d4d39p-2, 0x1.a2aefeca5f655p-2, 0x1.9b237d1aa6ed3p-2, 0x1.93ac6aee8f635p-2, 0x1.8c4a05b6a35bep-2, 0x1.84fc85fa29d1ap-2, 0x1.7dc41f7723c04p-2, 0x1.76a1014222298p-2, 0x1.6f9355e5f4f59p-2, 0x1.689b438329e3bp-2, 0x1.61b8ebef539f5p-2, 0x1.5aec6cd412d24p-2, 0x1.5435dfcde052bp-2, 0x1.4d955a8a8ebf9p-2, 0x1.470aeee780778p-2, 0x1.4096ab0f8df4ep-2, 0x1.3a38999896d8p-2, 0x1.33f0c1a0be7f1p-2, 0x1.2dbf26eb492efp-2, 0x1.27a3c9fd1d501p-2, 0x1.219ea838e2984p-2, 0x1.1bafbbfabced7p-2, 0x1.15d6fcb3a2215p-2, 0x1.10145f0443ebcp-2, 0x1.0a67d4d790588p-2, 0x1.04d14d7cc916fp-2, 0x1.fea16b824c7c3p-3, 0x1.f3cbf01219bebp-3, 0x1.e921f8d1a922fp-3, 0x1.dea3517a3544bp-3, 0x1.d44fc18540975p-3, 0x1.ca270c5b6d1cap-3, 0x1.c028f1826cc51p-3, 0x1.b6552cca00cccp-3, 0x1.acab767817ea9p-3, 0x1.a32b8373f3912p-3, 0x1.99d505706ea54p-3, 0x1.90a7ab154fac6p-3, 0x1.87a32027b1012p-3, 0x1.7ec70db17fef7p-3, 0x1.76131a2809ebap-3, 0x1.6d86e991ac20ap-3, 0x1.65221daa8a1p-3, 0x1.5ce456086769ep-3, 0x1.54cd303d9628cp-3, 0x1.4cdc47fafffa3p-3, 0x1.451137314af51p-3, 0x1.3d6b96311d219p-3, 0x1.35eafbca7df1fp-3, 0x1.2e8efd6b584f8p-3, 0x1.27572f3d2526bp-3, 0x1.20432441b5a62p-3, 0x1.19526e6f25fc8p-3, 0x1.12849ecb008p-3, 0x1.0bd9458485d06p-3, 0x1.054ff20e2723ep-3, 0x1.fdd0666c7010ep-4, 0x1.f1432e7d93078p-4, 0x1.e4f757e9902dp-4, 0x1.d8ebfd8c9b5adp-4, 0x1.cd2039b065dffp-4, 0x1.c1932635be175p-4, 0x1.b643dcbcbbcc3p-4, 0x1.ab3176cb796c4p-4, 0x1.a05b0df354c14p-4, 0x1.95bfbbf4da066p-4, 0x1.8b5e9ae241c7p-4, 0x1.8136c5409c9e2p-4, 0x1.77475627a844p-4, 0x1.6d8f696058d16p-4, 0x1.640e1b821bad6p-4, 0x1.5ac28a0edc6a7p-4, 0x1.51abd38dcf433p-4, 0x1.48c917a50a31bp-4, 0x1.40197731f240cp-4, 0x1.379c146084a8bp-4, 0x1.2f5012c1804a7p-4, 0x1.2734975f79623p-4, 0x1.1f48c8d2daf7bp-4, 0x1.178bcf54de4f6p-4, 0x1.0ffcd4d17e593p-4, 0x1.089b04f86eab8p-4, 0x1.01658d4d1a18bp-4, 0x1.f4b73a6b65131p-5, 0x1.e6f8cc12acaedp-5, 0x1.d98e363aa2413p-5, 0x1.cc75e3a3005c8p-5, 0x1.bfae4337c1297p-5, 0x1.b335c82694175p-5, 0x1.a70ae9f2c271ep-5, 0x1.9b2c248788249p-5, 0x1.8f97f848efcb6p-5, 0x1.844cea233bec6p-5, 0x1.79498398e9a96p-5, 0x1.6e8c52cf5bb1bp-5, 0x1.6413ea9a31abep-5, 0x1.59dee2855db08p-5, 0x1.4febd6ddff378p-5, 0x1.463968ba118cbp-5, 0x1.3cc63dfef25d9p-5, 0x1.33910166d306bp-5, 0x1.2a98628517701p-5, 0x1.21db15c9b1416p-5, 0x1.1957d4837e1cp-5, 0x1.110d5ce1b6edfp-5, 0x1.08fa71f472d4cp-5, 0x1.011ddbac4f27bp-5, 0x1.f2eccdb2805a6p-6, 0x1.e405ca51252a1p-6, 0x1.d5845a4459ac2p-6, 0x1.c766344a224afp-6, 0x1.b9a918c65f03dp-6, 0x1.ac4ad1b9110d1p-6, 0x1.9f4932b3626bdp-6, 0x1.92a218cb702cp-6, 0x1.86536a8eee74ep-6, 0x1.7a5b17f4b48bcp-6, 0x1.6eb71a4d3f8cfp-6, 0x1.63657432322eep-6, 0x1.58643174eb9adp-6, 0x1.4db1670c38dd5p-6, 0x1.434b330134a49p-6, 0x1.392fbc5b5984ap-6, 0x1.2f5d330bdbddbp-6, 0x1.25d1cfd8526e3p-6, 0x1.1c8bd444b6b68p-6, 0x1.13898a7cd1966p-6, 0x1.0ac9453d109f9p-6, 0x1.02495fbade266p-6, 0x1.f4107b18f551ep-7, 0x1.e4089520c86d8p-7, 0x1.d477f5a8b106bp-7, 0x1.c55b94f7f5955p-7, 0x1.b6b07b4e3c743p-7, 0x1.a873c0af8b853p-7, 0x1.9aa28cafc7c37p-7, 0x1.8d3a163daae8bp-7, 0x1.8037a36d5d984p-7, 0x1.73988942a52c2p-7, 0x1.675a2b7ad4fcdp-7, 0x1.5b79fc5675132p-7, 0x1.4ff57c62b7968p-7, 0x1.44ca3a42c5d88p-7, 0x1.39f5d278faef3p-7, 0x1.2f75ef30046b5p-7, 0x1.2548480405de6p-7, 0x1.1b6aa1cbc0e1ep-7, 0x1.11dace61ce4ap-7, 0x1.0896ac6df0d1ap-7, 0x1.ff384e5d17e34p-8, 0x1.edd26c848dd27p-8, 0x1.dcf7bae3c76a1p-8, 0x1.cca458f4a6c53p-8, 0x1.bcd47dae1d4bfp-8, 0x1.ad8477196fcc4p-8, 0x1.9eb0a9e824062p-8, 0x1.9055910a9ac26p-8, 0x1.826fbd4767e89p-8, 0x1.74fbd4d375cfp-8, 0x1.67f692eaf76c1p-8, 0x1.5b5cc76b3bb69p-8, 0x1.4f2b566d65dc5p-8, 0x1.435f37e2154ap-8, 0x1.37f5772e06ce4p-8, 0x1.2ceb32c7b5e06p-8, 0x1.223d9bd602d58p-8, 0x1.17e9f5cfe8fcap-8, 0x1.0ded961d4772fp-8, 0x1.0445e3b8c4da7p-8, 0x1.f5e0ada59f44bp-9, 0x1.e3d4f0eb86173p-9, 0x1.d263c45669241p-9, 0x1.c1887b44d7f55p-9, 0x1.b13e88b0123eep-9, 0x1.a1817e7dbeb5ap-9, 0x1.924d0cd40392cp-9, 0x1.839d01701086cp-9, 0x1.756d46ff1d7ep-9, 0x1.67b9e479d6539p-9, 0x1.5a7efc824967dp-9, 0x1.4db8ccc444466p-9, 0x1.4163ad58344ffp-9, 0x1.357c10287d54cp-9, 0x1.29fe805950422p-9, 0x1.1ee7a1b2fb21cp-9, 0x1.1434300eb4aacp-9, 0x1.09e0fec5e2d4fp-9, 0x1.ffd5f047aeb92p-10, 0x1.ec9e39b40a105p-10, 0x1.da1506ed4cbbbp-10, 0x1.c834afbbaa712p-10, 0x1.b6f7b58a279b2p-10, 0x1.a658c2626ebcap-10, 0x1.9652a7ed8674cp-10, 0x1.86e05e7938d81p-10, 0x1.77fd040244e5p-10, 0x1.69a3db4332aadp-10, 0x1.5bd04ac7db071p-10, 0x1.4e7ddc0584931p-10, 0x1.41a83a7796e14p-10, 0x1.354b32c0d0e7cp-10, 0x1.2962b1d0fbd5p-10, 0x1.1deac40f0ccd5p-10, 0x1.12df9487a80d7p-10, 0x1.083d6c1ffa307p-10, 0x1.fc016199b13ecp-11, 0x1.e84bc99c43781p-11, 0x1.d5534bdc87cb1p-11, 0x1.c311598bd4dfp-11, 0x1.b17f980775a2dp-11, 0x1.a097df702ae3cp-11, 0x1.905439499b1c7p-11, 0x1.80aedf2190bdap-11, 0x1.71a2393eeac93p-11, 0x1.6328dd582361ep-11, 0x1.553d8d514ece5p-11, 0x1.47db3601748a9p-11, 0x1.3afcedff27615p-11, 0x1.2e9df4743c5b1p-11, 0x1.22b9aff884cecp-11, 0x1.174bad736ddc5p-11, 0x1.0c4f9f0465c9dp-11, 0x1.01c15af1eef18p-11, 0x1.ef39b53e76332p-12, 0x1.dbbc731072ba1p-12, 0x1.c9036887ea337p-12, 0x1.b7074f1a54601p-12, 0x1.a5c11ea1e229cp-12, 0x1.952a0b86cd944p-12, 0x1.853b84f46607ap-12, 0x1.75ef3319a35d6p-12, 0x1.673ef57503c93p-12, 0x1.5924e12b7cc68p-12, 0x1.4b9b3f6a4d0cp-12, 0x1.3e9c8bd36f1f9p-12, 0x1.322372f4814dap-12, 0x1.262ad0c7e0d1p-12, 0x1.1aadaf3fcc071p-12, 0x1.0fa744db568ddp-12, 0x1.0512f344f1237p-12, 0x1.f5d88bf4bfcefp-13, 0x1.e25de1fbbefadp-13, 0x1.cfad9f20a10e6p-13, 0x1.bdbfc5e85b266p-13, 0x1.ac8ca272489d4p-13, 0x1.9c0cc82036fb5p-13, 0x1.8c390f4eece0ep-13, 0x1.7d0a931ed3a34p-13, 0x1.6e7aaf4c5c086p-13, 0x1.6082fe17d1914p-13, 0x1.531d563c320a3p-13, 0x1.4643c8f4bcd1p-13, 0x1.39f0a010dc24bp-13, 0x1.2e1e5c1610395p-13, 0x1.22c7b26f95ce2p-13, 0x1.17e78bab5d172p-13, 0x1.0d7901c4166dp-13, 0x1.03775e77f7183p-13, 0x1.f3bc3357cde35p-14, 0x1.e151afb5a869p-14, 0x1.cfa6d121a50ap-14, 0x1.beb389e388a9fp-14, 0x1.ae701c9687c37p-14, 0x1.9ed51962ff5fbp-14, 0x1.8fdb5b4d8d34cp-14, 0x1.817c059afa689p-14, 0x1.73b081487265cp-14, 0x1.66727a977f60fp-14, 0x1.59bbdead479a9p-14, 0x1.4d86d9448e2b3p-14, 0x1.41cdd271f7a12p-14, 0x1.368b6c7a181d6p-14, 0x1.2bba81b8d26cep-14, 0x1.2156229991664p-14, 0x1.1759939fe89d8p-14, 0x1.0dc04b802a66p-14, 0x1.0485f1478653fp-14, 0x1.f74cb526822f6p-15, 0x1.e63b13ad3c95ap-15, 0x1.d5cf595e270c5p-15, 0x1.c602348cbdf09p-15, 0x1.b6cca3843d881p-15, 0x1.a827f1811471p-15, 0x1.9a0db3c3d50aep-15, 0x1.8c77c6bcf26dep-15, 0x1.7f604b50963b7p-15, 0x1.72c1a431d72dep-15, 0x1.66967354acd31p-15, 0x1.5ad99775f0a2ap-15, 0x1.4f8629b8d1247p-15, 0x1.44977b590d772p-15, 0x1.3a091371629cp-15, 0x1.2fd6acd593ef1p-15, 0x1.25fc33ff72111p-15, 0x1.1c75c50e59288p-15, 0x1.133fa9d891504p-15, 0x1.0a56580e0a74ep-15, 0x1.01b66f6bed3d1p-15, 0x1.f2b97000fe929p-16, 0x1.e28c40fdadda8p-16, 0x1.d2df7943cefaep-16, 0x1.c3ad873ccd4d8p-16, 0x1.b4f11d463a917p-16, 0x1.a6a52ece4e53p-16, 0x1.98c4ed8b7663p-16, 0x1.8b4bc6ce0ee4dp-16, 0x1.7e3560eb75501p-16, 0x1.717d98c1ad59ap-16, 0x1.65207f52bee1p-16, 0x1.591a57771ff09p-16, 0x1.4d6793a652a56p-16, 0x1.4204d3d51c115p-16, 0x1.36eee36882683p-16, 0x1.2c22b73cfbdd9p-16, 0x1.219d6bc116747p-16, 0x1.175c4322f9814p-16, 0x1.0d5ca3901ebd8p-16, 0x1.039c1586a68edp-16, 0x1.f430846f69053p-17, 0x1.e19de3f47223ep-17, 0x1.cf7c159b426a7p-17, 0x1.bdc71dd7bffafp-17, 0x1.ac7b36d48cd07p-17, 0x1.9b94cdd156a92p-17, 0x1.8b10809ccddfdp-17, 0x1.7aeb1b2942bp-17, 0x1.6b21953afb18cp-17, 0x1.5bb1102f66516p-17, 0x1.4c96d4dc3ad4dp-17, 0x1.3dd05185b5d49p-17, 0x1.2f5b17eb1d46ap-17, 0x1.2134db68bdd06p-17, 0x1.135b6f2e9b17ep-17, 0x1.05ccc48b143dep-17, 0x1.f10dd29180964p-18, 0x1.d7100c3da002dp-18, 0x1.bd9cba668628fp-18, 0x1.a4b0915c95435p-18, 0x1.8c4872bc6498cp-18, 0x1.74616ad665d3fp-18, 0x1.5cf8ae35267ap-18, 0x1.460b974106ecep-18, 0x1.2f97a40045049p-18, 0x1.199a73f242f35p-18, 0x1.0411c604ffd77p-18, 0x1.ddf6ed477232fp-19, 0x1.b4aafbbb73a5bp-19, 0x1.8c3bdb48d04b5p-19, 0x1.64a5e03f38c6p-19, 0x1.3de58c2ecd516p-19, 0x1.17f78ae4c4db8p-19, 0x1.e5b15f1f0632cp-20, 0x1.9d0be4111c33p-20, 0x1.55f8d8858f79fp-20, 0x1.1072afb6f0da7p-20, 0x1.98e82f32c2a92p-21, 0x1.13efe8fe7928bp-21, 0x1.23e573ebf1008p-22, 0x1.2e72bf76c02bfp-25, -0x1.a4ef86f2681a5p-23, -0x1.c4fe82dd2065bp-22, -0x1.58eb7d74b9475p-21, -0x1.cc88de55aea5fp-21, -0x1.1eafb8468b32ep-20, -0x1.55bb84fb52334p-20, -0x1.8b6ba771be5e6p-20, -0x1.bfc3db6ee5d77p-20, -0x1.f2c7c88f2e8b7p-20, -0x1.123d822decfa8p-19, -0x1.2a708a1e93263p-19, -0x1.41feb7a544437p-19, -0x1.58e9bffd62b2p-19, -0x1.6f3352daa8a07p-19, -0x1.84dd1b234486fp-19, -0x1.99e8bf9c132dep-19, -0x1.ae57e387a837dp-19, -0x1.c22c2738d18d4p-19, -0x1.d56728993025dp-19, -0x1.e80a83a48c36dp-19, -0x1.fa17d2d96f1e1p-19, -0x1.05c857cfcf0e8p-18, -0x1.0e3b595279c68p-18, -0x1.1665ba1894c72p-18, -0x1.1e48463881915p-18, -0x1.25e3c9dcb0791p-18, -0x1.2d39116152253p-18, -0x1.3448e96e6eb92p-18, -0x1.3b141f0e94cefp-18, -0x1.419b7fc252fccp-18, -0x1.47dfd990b1cb7p-18, -0x1.4de1fb14d507ap-18, -0x1.53a2b388f9bffp-18, -0x1.5922d2cef5d52p-18, -0x1.5e632976657f6p-18, -0x1.636488c0abf6bp-18, -0x1.6827c2a2eebc3p-18, -0x1.6cada9c62d3c9p-18, -0x1.70f711859889dp-18, -0x1.7504cdeb4b29ep-18, -0x1.78d7b3ab7f88ap-18, -0x1.7c70981e63503p-18, -0x1.7fd05138a4305p-18, -0x1.82f7b582ce4b7p-18, -0x1.85e79c0f9ad6cp-18, -0x1.88a0dc7141f2dp-18, -0x1.8b244eade9ae1p-18, -0x1.8d72cb334784dp-18, -0x1.8f8d2ac988433p-18, -0x1.91744685950c8p-18, -0x1.9328f7bac35f7p-18, -0x1.94ac17ec04d6cp-18, -0x1.95fe80bca9acdp-18, -0x1.97210be0bea76p-18, -0x1.9814930d1d30fp-18, -0x1.98d9efe737b62p-18, -0x1.9971fbf4af3fbp-18, -0x1.99dd908ac0684p-18, -0x1.9a1d86bd93c98p-18, -0x1.9a32b74f7a3c1p-18, -0x1.9a1dfaa02309cp-18, -0x1.99e0289bd269ep-18, -0x1.997a18aaa53fdp-18, -0x1.98eca19fe4697p-18, -0x1.983899a9797dbp-18, -0x1.975ed63f7f7fep-18, -0x1.96602c1403ff8p-18, -0x1.953d6f02f4078p-18, -0x1.93f77202418bfp-18, -0x1.928f071243108p-18, -0x1.9104ff2e562dap-18, -0x1.8f5a2a3dc4aa6p-18, -0x1.8d8f5704f68bbp-18, -0x1.8ba55316ee804p-18, -0x1.899ceac7194f5p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.fa19c99e9efc2p-4, -0x1.0cc928bd6688ep-3, -0x1.1cc42fe268ce4p-3, -0x1.2cf8e4a90ae62p-3, -0x1.3d61e6303057fp-3, -0x1.4df995649ce6fp-3, -0x1.5eba212e0dbbp-3, -0x1.6f9d91b3e802p-3, -0x1.809dd2c009912p-3, -0x1.91b4bd4848e08p-3, -0x1.a2dc20285783p-3, -0x1.b40dc8167d84bp-3, -0x1.c54386de1c991p-3, -0x1.d67739eafe403p-3, -0x1.e7a2d0305e702p-3, -0x1.f8c04f76633a3p-3, -0x1.04e4ec8c2c85cp-2, -0x1.0d5cd71ecf7b7p-2, -0x1.15c519cb54628p-2, -0x1.1e1afa53897bp-2, -0x1.265bd3528a7c6p-2, -0x1.2e85157b2b4bfp-2, -0x1.369448a8bb552p-2, -0x1.3e870cc595f5fp-2, -0x1.465b1a8ac4811p-2, -0x1.4e0e441ba64dep-2, -0x1.559e758075636p-2, -0x1.5d09b502435e8p-2, -0x1.644e236ade38dp-2, -0x1.6b69fc2ae25a7p-2, -0x1.725b956819917p-2, -0x1.79215ff621253p-2, -0x1.7fb9e73b32e47p-2, -0x1.8623d102c5e79p-2, -0x1.8c5ddd3fad3dap-2, -0x1.9266e5bf2fa11p-2, -0x1.983dddce853dp-2, -0x1.9de1d1d415a44p-2, -0x1.a351e6dda41eep-2, -0x1.a88d5a24a7d87p-2, -0x1.ad938089d67fp-2, -0x1.b263c608ed9b4p-2, -0x1.b6fdad25b2addp-2, -0x1.bb60ce530588ap-2, -0x1.bf8cd754e36eep-2, -0x1.c3818a9e20e4dp-2, -0x1.c73ebeaa90b47p-2, -0x1.cac45d564d59fp-2, -0x1.ce126332bfa7fp-2, -0x1.d128deda02b9fp-2, -0x1.d407f04125a16p-2, -0x1.d6afc809d7fa9p-2, -0x1.d920a6d3f434p-2, -0x1.db5adc8f52d7p-2, -0x1.dd5ec7ce592c3p-2, -0x1.df2cd51990328p-2, -0x1.e0c57e44aad28p-2, -0x1.e22949c53e98fp-2, -0x1.e358ca0b794bdp-2, -0x1.e4549cdd17f62p-2, -0x1.e51d6ab2d6d48p-2, -0x1.e5b3e6188af47p-2, -0x1.e618cb1020754p-2, -0x1.e64cde77983dfp-2, -0x1.e650ed7237bd5p-2, -0x1.e625ccd4feedep-2, -0x1.e5cc58968d859p-2, -0x1.e5457342801c5p-2, -0x1.e49205706aac7p-2, -0x1.e3b2fd3e6e39p-2, -0x1.e2a94dcf89453p-2, -0x1.e175eecd9f274p-2, -0x1.e019dbef452bp-2, -0x1.de9614815a5aap-2, -0x1.dceb9af466689p-2, -0x1.db1b746dc7353p-2, -0x1.d926a85ca818ep-2, -0x1.d70e4012bd3c1p-2, -0x1.d4d34660c0584p-2, -0x1.d276c736a8bb2p-2, -0x1.cff9cf4790075p-2, -0x1.cd5d6bb143429p-2, -0x1.caa2a9a76db88p-2, -0x1.c7ca962254057p-2, -0x1.c4d63d9114495p-2, -0x1.c1c6ab8f5b3e9p-2, -0x1.be9cea9e80208p-2, -0x1.bb5a03e1f8debp-2, -0x1.b7fefedf196b5p-2, -0x1.b48ce14003507p-2, -0x1.b104ae99c6de9p-2, -0x1.ad6768359090dp-2, -0x1.a9b60cdce076p-2, -0x1.a5f198a8b3dcbp-2, -0x1.a21b04d38c978p-2, -0x1.9e33478e4a6adp-2, -0x1.9a3b53d7be71ap-2, -0x1.96341956e9176p-2, -0x1.921e8437ced9bp-2, -0x1.8dfb7d0ad46f9p-2, -0x1.89cbe8a688d22p-2, -0x1.8590a80bd53d7p-2, -0x1.814a984c7621cp-2, -0x1.7cfa9273b1961p-2, -0x1.78a16b713a257p-2, -0x1.743ff4062240fp-2, -0x1.6fd6f8b3ddb36p-2, -0x1.6b6741ad308b5p-2, -0x1.66f192c905c33p-2, -0x1.6276ab7712d36p-2, -0x1.5df746b63ef2cp-2, -0x1.59741b0cb9593p-2, -0x1.54edda81ae3e5p-2, -0x1.50653298896ddp-2, -0x1.4bdacc4dba207p-2, -0x1.474f4c14e4bffp-2, -0x1.42c351d873313p-2, -0x1.3e3778fa75212p-2, -0x1.39ac5856c4e4fp-2, -0x1.352282465b612p-2, -0x1.309a84a3c9499p-2, -0x1.2c14e8d0c6c76p-2, -0x1.279233bccda46p-2, -0x1.2312e5eca9503p-2, -0x1.1e977b82fafcbp-2, -0x1.1a206c499af38p-2, -0x1.15ae2bbbcd067p-2, -0x1.1141291143b57p-2, -0x1.0cd9cf49d7a64p-2, -0x1.08788539f6119p-2, -0x1.041dad97b25b4p-2, -0x1.ff934e10dfac6p-3, -0x1.f6f9985e43e56p-3, -0x1.ee6ee77611c65p-3, -0x1.e5f3e0ede382ep-3, -0x1.dd8922b1c94fap-3, -0x1.d52f432473677p-3, -0x1.cce6d1401f57ap-3, -0x1.c4b054b83294p-3, -0x1.bc8c4e1b670ebp-3, -0x1.b47b36f68f1bcp-3, -0x1.ac7d81f7c8286p-3, -0x1.a4939b1224326p-3, -0x1.9cbde7a1a34a1p-3, -0x1.94fcc68f850b2p-3, -0x1.8d509076d6c65p-3, -0x1.85b997c933ce4p-3, -0x1.7e3828f3ae3b4p-3, -0x1.76cc8a83d04f5p-3, -0x1.6f76fd4cab0c8p-3, -0x1.6837bc8bf03a2p-3, -0x1.610efe0ef74e3p-3, -0x1.59fcf257bfb2bp-3, -0x1.5301c4c1cd389p-3, -0x1.4c1d9ba6e4dffp-3, -0x1.455098839da5dp-3, -0x1.3e9ad81bb662p-3, -0x1.37fc729e343b3p-3, -0x1.31757bc939db7p-3, -0x1.2b06030d905b8p-3, -0x1.24ae13b1e488bp-3, -0x1.1e6db4f59f03p-3, -0x1.1844ea336e126p-3, -0x1.1233b3035c416p-3, -0x1.0c3a0b5c85549p-3, -0x1.0657ebb659ca2p-3, -0x1.008d492977093p-3, -0x1.f5b42b1ff57e4p-4, -0x1.ea7c7f4ad092ap-4, -0x1.df73664c17e0ap-4, -0x1.d498b1dbb6263p-4, -0x1.c9ec2e2da0c2dp-4, -0x1.bf6da22d884a3p-4, -0x1.b51ccfb9715f9p-4, -0x1.aaf973db379c4p-4, -0x1.a1034700fc43cp-4, -0x1.9739fd346607bp-4, -0x1.8d9d4650dda9dp-4, -0x1.842cce388b7edp-4, -0x1.7ae83d0842269p-4, -0x1.71cf374a3d257p-4, -0x1.68e15e27baee9p-4, -0x1.601e4f996dcbep-4, -0x1.5785a696c783fp-4, -0x1.4f16fb441b563p-4, -0x1.46d1e31f9ab48p-4, -0x1.3eb5f12d29e93p-4, -0x1.36c2b621105adp-4, -0x1.2ef7c08984f61p-4, -0x1.27549cf71742ep-4, -0x1.1fd8d623f7cacp-4, -0x1.1883f51a22f89p-4, -0x1.115581586e197p-4, -0x1.0a4d00f67b986p-4, -0x1.0369f8c79727dp-4, -0x1.f957d8f8fcdb3p-5, -0x1.ec24bd88303f2p-5, -0x1.df39a2d63a2bcp-5, -0x1.d2958af56ca1fp-5, -0x1.c63776ac29651p-5, -0x1.ba1e65ae09c0ep-5, -0x1.ae4956d305acbp-5, -0x1.a2b7484ca5e7bp-5, -0x1.976737d944399p-5, -0x1.8c5822f563b15p-5, -0x1.8189070b2d8cbp-5, -0x1.76f8e1a01105fp-5, -0x1.6ca6b0809b24cp-5, -0x1.629171ea8528bp-5, -0x1.58b824b50693bp-5, -0x1.4f19c87775bb3p-5, -0x1.45b55dae3abfap-5, -0x1.3c89e5de20865p-5, -0x1.339663b61060ap-5, -0x1.2ad9db2f38059p-5, -0x1.225351abaf559p-5, -0x1.1a01ce139a625p-5, -0x1.11e458f0db156p-5, -0x1.09f9fc895491fp-5, -0x1.0241c4f7cf72ap-5, -0x1.f5758087014bfp-6, -0x1.e6c7fcec82ac8p-6, -0x1.d8792363036d4p-6, -0x1.ca871c83eed47p-6, -0x1.bcf015643aaa3p-6, -0x1.afb23fb6fdb85p-6, -0x1.a2cbd1edc8c8bp-6, -0x1.963b0756be9d9p-6, -0x1.89fe20388bf6bp-6, -0x1.7e1361ec45f85p-6, -0x1.727916f53fd7cp-6, -0x1.672d8f16f28abp-6, -0x1.5c2f1f68f5c56p-6, -0x1.517c22692aa67p-6, -0x1.4712f80c1db0bp-6, -0x1.3cf205cbb1abbp-6, -0x1.3317b6b422313p-6, -0x1.29827b6f724fep-6, -0x1.2030ca4f4ce4dp-6, -0x1.17211f556842dp-6, -0x1.0e51fc3a83ac9p-6, -0x1.05c1e873fa68bp-6, -0x1.fadee27020a6p-7, -0x1.eab25301e32bp-7, -0x1.dafb541cfc54ap-7, -0x1.cbb722cdcef85p-7, -0x1.bce307ac6bea5p-7, -0x1.ae7c56d96757cp-7, -0x1.a0806ff8af406p-7, -0x1.92ecbe2a68b0dp-7, -0x1.85beb801e8d99p-7, -0x1.78f3df7aebca1p-7, -0x1.6c89c1ed19b3p-7, -0x1.607df7fde5f25p-7, -0x1.54ce2590ef50ap-7, -0x1.4977f9b6e4413p-7, -0x1.3e792e9b040dp-7, -0x1.33cf896f585bp-7, -0x1.2978da57acb66p-7, -0x1.1f72fc535cfbdp-7, -0x1.15bbd5260ab9cp-7, -0x1.0c51553f49d5ep-7, -0x1.033177a15634ap-7, -0x1.f4b4838dc0e94p-8, -0x1.e393871003dbdp-8, -0x1.d2fc2dfccf707p-8, -0x1.c2eac0d1815c9p-8, -0x1.b35b9c1b000c7p-8, -0x1.a44b3039fb499p-8, -0x1.95b601260bcdep-8, -0x1.8798a62fc0668p-8, -0x1.79efc9c1bcae6p-8, -0x1.6cb82920f459cp-8, -0x1.5fee942c2642cp-8, -0x1.538fed1aa1102p-8, -0x1.4799283a7025ap-8, -0x1.3c074badfeefap-8, -0x1.30d76f2947a73p-8, -0x1.2606bbaea21a7p-8, -0x1.1b926b4b40442p-8, -0x1.1177c8d36eefp-8, -0x1.07b42f9ea5a7p-8, -0x1.fc8a1686f2c8fp-9, -0x1.ea4faea70129dp-9, -0x1.d8b43e2e67846p-9, -0x1.c7b2fa93bc8b8p-9, -0x1.b74737ab49dfbp-9, -0x1.a76c671f701p-9, -0x1.981e17e9641cap-9, -0x1.8957f5ca72f58p-9, -0x1.7b15c8c5d094dp-9, -0x1.6d53749b0a5bbp-9, -0x1.600cf84139f5ap-9, -0x1.533e6d62fe64bp-9, -0x1.46e407db51bb1p-9, -0x1.3afa15334e153p-9, -0x1.2f7cfc20f0784p-9, -0x1.24693c06e3264p-9, -0x1.19bb6c75655c7p-9, -0x1.0f703cac573e2p-9, -0x1.0584731e75bccp-9, -0x1.f7e9d9ebafe54p-10, -0x1.e57d3b3363bf2p-10, -0x1.d3bd1c6ace759p-10, -0x1.c2a3ba81f8d85p-10, -0x1.b22b7c15c91ap-10, -0x1.a24ef0868288ep-10, -0x1.9308cf11181bcp-10, -0x1.8453f5eb7a5aep-10, -0x1.762b6963d7a34p-10, -0x1.688a5302e8a9ap-10, -0x1.5b6c00b1415b7p-10, -0x1.4ecbe3dfc3641p-10, -0x1.42a590b327134p-10, -0x1.36f4bd32a8289p-10, -0x1.2bb54079db042p-10, -0x1.20e311edb69efp-10, -0x1.167a4874c1481p-10, -0x1.0c7719b27a0acp-10, -0x1.02d5d945f7337p-10, -0x1.f325f017669dp-11, -0x1.e15606c52e13bp-11, -0x1.d03548e86ac9fp-11, -0x1.bfbd3f007a378p-11, -0x1.afe7a6563a8b9p-11, -0x1.a0ae6f9fb4403p-11, -0x1.920bbdaa1e9a3p-11, -0x1.83f9e40a3bb57p-11, -0x1.767365d2fd07p-11, -0x1.6972f4526fe21p-11, -0x1.5cf36dd4e2e8ep-11, -0x1.50efdc6e3af54p-11, -0x1.456374c96d1c4p-11, -0x1.3a4994fe1217fp-11, -0x1.2f9dc36c0400ep-11, -0x1.255bad9cfadacp-11, -0x1.1b7f272c198bbp-11, -0x1.120428b35b078p-11, -0x1.08e6cebed3bf1p-11, -0x1.002358c5b34a1p-11, -0x1.ef6c5051f276p-12, -0x1.df377e6f978ecp-12, -0x1.cfa18072bb259p-12, -0x1.c0a3d8f8a94e6p-12, -0x1.b23846d7389f3p-12, -0x1.a458c35128309p-12, -0x1.96ff80550c3a1p-12, -0x1.8a26e6c6aa386p-12, -0x1.7dc994d299601p-12, -0x1.71e25c4c06098p-12, -0x1.666c41147074ep-12, -0x1.5b62778d3ba9ap-12, -0x1.50c06312ef9e9p-12, -0x1.46819481fd213p-12, -0x1.3ca1c8c4e29b6p-12, -0x1.331ce76b8a157p-12, -0x1.29ef014bb5ac8p-12, -0x1.21144f2a5675ap-12, -0x1.1889306da5b83p-12, -0x1.104a29d7d9519p-12, -0x1.0853e44a48798p-12, -0x1.00a32b90e0edp-12, -0x1.f269da6b7d201p-13, -0x1.e40c6eb985b17p-13, -0x1.d6286f4e0611p-13, -0x1.c8b8743bd089dp-13, -0x1.bbb7504bb777cp-13, -0x1.af200ef0a8fbap-13, -0x1.a2edf24a50db5p-13, -0x1.971c7135e762p-13, -0x1.8ba7356cf2b5p-13, -0x1.808a19b19a3b7p-13, -0x1.75c128085ff7cp-13, -0x1.6b4897fedda4p-13, -0x1.611cccff4bec7p-13, -0x1.573a54b08ad25p-13, -0x1.4d9de56267a9dp-13, -0x1.44445c85ccee6p-13, -0x1.3b2abd30b27e7p-13, -0x1.324e2ead6cf78p-13, -0x1.29abfb1533ab1p-13, -0x1.21418df58231bp-13, -0x1.190c73003196cp-13, -0x1.110a54c5e9a17p-13, -0x1.0938fb7ac9cefp-13, -0x1.01964bc4efeabp-13, -0x1.f4408b296ce1ap-14, -0x1.e5aa060cb8ba5p-14, -0x1.d7656e99d6577p-14, -0x1.c96f5b4c178c7p-14, -0x1.bbc490ad5ce6ep-14, -0x1.ae61ff6053d03p-14, -0x1.a144c23b76184p-14, -0x1.946a1c742cec7p-14, -0x1.87cf77d9c90b1p-14, -0x1.7b72631fd7268p-14, -0x1.6f509037712b1p-14, -0x1.6367d2b723053p-14, -0x1.57b61e50ff1c3p-14, -0x1.4c39855683346p-14, -0x1.40f03749ea776p-14, -0x1.35d87f7c90381p-14, -0x1.2af0c3ba07ee8p-14, -0x1.203782ff8d4acp-14, -0x1.15ab543f76408p-14, -0x1.0b4ae5304ef6fp-14, -0x1.0114f9274a094p-14, -0x1.ee10cffb686c7p-15, -0x1.da483a022b22ep-15, -0x1.c6ce2bdb6b9ep-15, -0x1.b3a0c3e661998p-15, -0x1.a0be4185a4c6cp-15, -0x1.8e25034ed8ca4p-15, -0x1.7bd3854cbd781p-15, -0x1.69c85f53183bcp-15, -0x1.58024363e1ep-15, -0x1.467ffc253b546p-15, -0x1.35406b679b211p-15, -0x1.244288bbb850ap-15, -0x1.13856017b0064p-15, -0x1.0308108ae8609p-15, -0x1.e59396007e542p-16, -0x1.c593a21c08e1bp-16, -0x1.a60ee7a6acc0ap-16, -0x1.870425c4d0606p-16, -0x1.6872366e924eep-16, -0x1.4a580c758950bp-16, -0x1.2cb4b1a1d4482p-16, -0x1.0f8744e5c2e53p-16, -0x1.e59df14e8689dp-17, -0x1.ad16223cc0b52p-17, -0x1.7575c59015f62p-17, -0x1.3ebba1d8fc031p-17, -0x1.08e6987112f6ap-17, -0x1.a7eb45a46ef16p-18, -0x1.3fcfa0216fb44p-18, -0x1.b2f109ddadefap-19, -0x1.d3916a236eecfp-20, -0x1.211a50a90d48cp-22, 0x1.3c03f77507b17p-20, 0x1.5ca9b57a1007dp-19, 0x1.0beb2bf93efd7p-18, 0x1.67c51d2f73834p-18, 0x1.c1e3ce657264dp-18, 0x1.0d242b83584p-17, 0x1.3879e458f4f02p-17, 0x1.62f398ec69d55p-17, 0x1.8c91d019e23d1p-17, 0x1.b55511858ee17p-17, 0x1.dd3de6ac162abp-17, 0x1.02266defcd508p-16, 0x1.1541409916915p-16, 0x1.27efb5a7340bdp-16, 0x1.3a321a1f852ecp-16, 0x1.4c08be131f6e3p-16, 0x1.5d73f4f2abd2ep-16, 0x1.6e7415dad073fp-16, 0x1.7f097bd982cecp-16, 0x1.8f34862c90d07p-16, 0x1.9ef59879b2b5p-16, 0x1.ae4d1b007a0bep-16, 0x1.bd3b7ac65bd98p-16, 0x1.cbc129bd2b958p-16, 0x1.d9de9ee44727cp-16, 0x1.e7945664bb39bp-16, 0x1.f4e2d1a89981fp-16, 0x1.00e54bb6e544cp-15, 0x1.072619ea498fdp-15, 0x1.0d341c3504a4dp-15, 0x1.130f9e1756a5cp-15, 0x1.18b8edccb25f2p-15, 0x1.1e305c4b83466p-15, 0x1.23763d435861dp-15, 0x1.288ae71987ea1p-15, 0x1.2d6eb2e467085p-15, 0x1.3221fc652d773p-15, 0x1.36a5220093cd3p-15, 0x1.3af884b64a56cp-15, 0x1.3f1c881756eafp-15, 0x1.4311923b6cd15p-15, 0x1.46d80bb556259p-15, 0x1.4a705f867af87p-15, 0x1.4ddafb119a5adp-15, 0x1.51184e0cc4d0cp-15, 0x1.5428ca72a8648p-15, 0x1.570ce4733cc05p-15, 0x1.59c51263dd5eep-15, 0x1.5c51ccaee1aacp-15, 0x1.5eb38dc2bc0efp-15, 0x1.60ead200b36eap-15, 0x1.62f817ab39878p-15, 0x1.64dbded3f325fp-15, 0x1.6696a9497735ep-15, 0x1.6828fa84d1a82p-15, 0x1.69935796d1be1p-15, 0x1.6ad647152f9e9p-15, 0x1.6bf251079293p-15, 0x1.6ce7fed47e0b6p-15, 0x1.6db7db2e2d579p-15, 0x1.6e6271ff69408p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.d7c38d416a8dp-1, 0x1.d4c879453ce0ap-1, 0x1.d1cb6d4b4337ap-1, 0x1.cecde8848454dp-1, 0x1.cbd13329e86f2p-1, 0x1.c8d662769ad5ap-1, 0x1.c5de5c9ceff0fp-1, 0x1.c2e9dca9158f3p-1, 0x1.bff97647d9e64p-1, 0x1.bd0d996a4839bp-1, 0x1.ba2695c0e6f97p-1, 0x1.b7449e0aff45cp-1, 0x1.b467cb37adb59p-1, 0x1.b1901f578b942p-1, 0x1.aebd885e966ebp-1, 0x1.abefe2b6a8a0cp-1, 0x1.a926fba358d4cp-1, 0x1.a66293787d94ep-1, 0x1.a3a25fa4d97a9p-1, 0x1.a0e60c92b25b2p-1, 0x1.9e2d3f60330b7p-1, 0x1.9b77977198c3cp-1, 0x1.98c4afdf2e44bp-1, 0x1.961420c129585p-1, 0x1.9365805b6d79dp-1, 0x1.90b8642b39828p-1, 0x1.8e0c61d8b3c1bp-1, 0x1.8b61100e3ab49p-1, 0x1.88b607374b749p-1, 0x1.860ae228c11b7p-1, 0x1.835f3eb415bcfp-1, 0x1.80b2be273c392p-1, 0x1.7e0505ba93bc1p-1, 0x1.7b55beee61bb7p-1, 0x1.78a497d927137p-1, 0x1.75f14368149ddp-1, 0x1.733b7992cc4fep-1, 0x1.7082f7838c4c9p-1, 0x1.6dc77fb4cb5dbp-1, 0x1.6b08da053dc6ep-1, 0x1.6846d3c32b1a6p-1, 0x1.65813fafebe79p-1, 0x1.62b7f5fc52fbp-1, 0x1.5fead43ec308dp-1, 0x1.5d19bd6395781p-1, 0x1.5a4499987692bp-1, 0x1.576b5633498e6p-1, 0x1.548de5951be47p-1, 0x1.51ac3f09a7f44p-1, 0x1.4ec65ea3d8d8dp-1, 0x1.4bdc4517bcf51p-1, 0x1.48edf79248d8ep-1, 0x1.45fb7f8f43ff9p-1, 0x1.4304eaadb52bp-1, 0x1.400a4a8318058p-1, 0x1.3d0bb46da382fp-1, 0x1.3a094165e0c68p-1, 0x1.37030dcfcaa04p-1, 0x1.33f9394baeceep-1, 0x1.30ebe686fbafep-1, 0x1.2ddb3b0d2b9edp-1, 0x1.2ac75f18f0fbdp-1, 0x1.27b07d65c9545p-1, 0x1.2496c3021606ap-1, 0x1.217a5f21d7d86p-1, 0x1.1e5b82f22658bp-1, 0x1.1b3a616d7b775p-1, 0x1.18172f30e4af3p-1, 0x1.14f222522ce76p-1, 0x1.11cb72370f873p-1, 0x1.0ea3576d7e6b2p-1, 0x1.0b7a0b8509e73p-1, 0x1.084fc8e971a76p-1, 0x1.0524cabe66589p-1, 0x1.01f94cbc851f3p-1, 0x1.fd9b161f1a24cp-2, 0x1.f743846badbfap-2, 0x1.f0ec5dc21afbbp-2, 0x1.ea961bb05834bp-2, 0x1.e44137b57bf23p-2, 0x1.ddee2b0aca315p-2, 0x1.d79d6e6f3cc28p-2, 0x1.d14f79f594cep-2, 0x1.cb04c4d4dd4eap-2, 0x1.c4bdc53b67bfap-2, 0x1.be7af0242c8fp-2, 0x1.b83cb92e92686p-2, 0x1.b203927888ff4p-2, 0x1.abcfec7af2f1ep-2, 0x1.a5a235e84c4c4p-2, 0x1.9f7adb8d8a978p-2, 0x1.995a483520069p-2, 0x1.9340e48c1b995p-2, 0x1.8d2f1709542cep-2, 0x1.872543d692287p-2, 0x1.8123ccbbab777p-2, 0x1.7b2b110b7d947p-2, 0x1.753b6d92bdbacp-2, 0x1.6f553c8888d0ep-2, 0x1.6978d580ae35p-2, 0x1.63a68d5f9a978p-2, 0x1.5ddeb64fdbda5p-2, 0x1.58219fb92fe2p-2, 0x1.526f963905b78p-2, 0x1.4cc8e39c7019fp-2, 0x1.472dcedb6c07bp-2, 0x1.419e9c157bb0fp-2, 0x1.3c1b8c8f77ea3p-2, 0x1.36a4deb2981f9p-2, 0x1.313ace0c97465p-2, 0x1.2bdd9350f166fp-2, 0x1.268d645b21ffap-2, 0x1.214a7431e33f2p-2, 0x1.1c14f30b50a14p-2, 0x1.16ed0e51effffp-2, 0x1.11d2f0aa88788p-2, 0x1.0cc6c1fac3a0bp-2, 0x1.07c8a77085401p-2, 0x1.02d8c389f528ap-2, 0x1.fbee6c3c56b28p-3, 0x1.f24838cce5f41p-3, 0x1.e8bf22103eba2p-3, 0x1.df53583dbcadfp-3, 0x1.d605068f14458p-3, 0x1.ccd45356ca873p-3, 0x1.c3c160177f08p-3, 0x1.bacc499bf1448p-3, 0x1.b1f5280fa6f24p-3, 0x1.a93c0f182fc42p-3, 0x1.a0a10deeed1f8p-3, 0x1.98242f7b54163p-3, 0x1.8fc57a6d8f3fep-3, 0x1.8784f15983f9fp-3, 0x1.7f6292d21b617p-3, 0x1.775e5984cf085p-3, 0x1.6f783c555e20cp-3, 0x1.67b02e79b3ea7p-3, 0x1.60061f95dc335p-3, 0x1.5879fbd80b316p-3, 0x1.510bac14a9c34p-3, 0x1.49bb15e25640dp-3, 0x1.42881bb5dc804p-3, 0x1.3b729cfe0d4fbp-3, 0x1.347a763f79c87p-3, 0x1.2d9f813000e59p-3, 0x1.26e194d2311f1p-3, 0x1.20408590680c9p-3, 0x1.19bc2557bd419p-3, 0x1.135443b2a345cp-3, 0x1.0d08ade338833p-3, 0x1.06d92efd4e501p-3, 0x1.00c5900018e49p-3, 0x1.f59b2fdefd1dp-4, 0x1.e9e217da1a598p-4, 0x1.de5f5ea11a4cep-4, 0x1.d312878053e6cp-4, 0x1.c7fb1290622ep-4, 0x1.bd187ce4cb963p-4, 0x1.b26a40b9c9ea2p-4, 0x1.a7efd5a126795p-4, 0x1.9da8b0ae2fd0ap-4, 0x1.939444a0caedbp-4, 0x1.89b2020f86f04p-4, 0x1.80015790c5f1cp-4, 0x1.7681b1e2edfc6p-4, 0x1.6d327c13a35dcp-4, 0x1.64131fa608fddp-4, 0x1.5b2304b808218p-4, 0x1.526192269cc93p-4, 0x1.49ce2db127e5ap-4, 0x1.41683c1bc5a2p-4, 0x1.392f2150aabf3p-4, 0x1.3122408086e55p-4, 0x1.2940fc41eee84p-4, 0x1.218ab6afcfb39p-4, 0x1.19fed186ea921p-4, 0x1.129cae425da17p-4, 0x1.0b63ae373a614p-4, 0x1.045332af2bf2ep-4, 0x1.fad53a04600fep-5, 0x1.ed529d5ec8832p-5, 0x1.e01d52e9d9da5p-5, 0x1.d3341ecde9309p-5, 0x1.c695c60b95fa9p-5, 0x1.ba410ea649bccp-5, 0x1.ae34bfccfff3ap-5, 0x1.a26fa2015e453p-5, 0x1.96f07f3d24ba7p-5, 0x1.8bb62315faecap-5, 0x1.80bf5adfa5c2fp-5, 0x1.760af5cca7dddp-5, 0x1.6b97c50d5959ap-5, 0x1.61649bed7d982p-5, 0x1.57704ff05d0ccp-5, 0x1.4db9b8eb6e4cep-5, 0x1.443fb11f929dfp-5, 0x1.3b011550f35f5p-5, 0x1.31fcc4dd82c72p-5, 0x1.2931a1d22f12fp-5, 0x1.209e90fec82bap-5, 0x1.18427a08a7ecep-5, 0x1.101c477c203a6p-5, 0x1.082ae6dcba245p-5, 0x1.006d48b44bbe3p-5, 0x1.f1c4c141df1bfp-6, 0x1.e3124ac3c720dp-6, 0x1.d4c121c6b2a3fp-6, 0x1.c6cf40927f1b5p-6, 0x1.b93aa7f213cb1p-6, 0x1.ac015f450a42p-6, 0x1.9f21748f6dc6ep-6, 0x1.9298fc87b7b4cp-6, 0x1.866612a2feed5p-6, 0x1.7a86d91f7e444p-6, 0x1.6ef9790d75684p-6, 0x1.63bc22567a1a7p-6, 0x1.58cd0bc33c844p-6, 0x1.4e2a72ffdda2cp-6, 0x1.43d29c9ed65ebp-6, 0x1.39c3d41a895adp-6, 0x1.2ffc6bd57ec3dp-6, 0x1.267abd196b35ap-6, 0x1.1d3d2814fb5fdp-6, 0x1.144213d878d1fp-6, 0x1.0b87ee515ba33p-6, 0x1.030d2c44c8f63p-6, 0x1.f5a092921fdfap-7, 0x1.e59f8f7c6c09bp-7, 0x1.d614618b1f9bap-7, 0x1.c6fc28710c173p-7, 0x1.b854113cf7341p-7, 0x1.aa195643e0ee6p-7, 0x1.9c493f09c95d9p-7, 0x1.8ee1202905d08p-7, 0x1.81de5b38485d2p-7, 0x1.753e5eaf5b4bep-7, 0x1.68fea5cab65f7p-7, 0x1.5d1cb86deb276p-7, 0x1.51962b050b8d5p-7, 0x1.46689e6514526p-7, 0x1.3b91bfab684bfp-7, 0x1.310f481c768cdp-7, 0x1.26defd01911b7p-7, 0x1.1cfeaf860b03p-7, 0x1.136c3c93a6e43p-7, 0x1.0a258cae6779ep-7, 0x1.012893cfcf4bdp-7, 0x1.f0e6a283370d3p-8, 0x1.e0079ef011c63p-8, 0x1.cfb047d758a81p-8, 0x1.bfdcdde5dc807p-8, 0x1.b089b73664d8p-8, 0x1.a1b33f036cd69p-8, 0x1.9355f558695fbp-8, 0x1.856e6ec2a510fp-8, 0x1.77f95401cc503p-8, 0x1.6af361b8380c2p-8, 0x1.5e59681b0c4c7p-8, 0x1.52284aa23a534p-8, 0x1.465cffb87734fp-8, 0x1.3af4906b38e9p-8, 0x1.2fec181ac5169p-8, 0x1.2540c42a65989p-8, 0x1.1aefd3b0cb2b6p-8, 0x1.10f69728afb7bp-8, 0x1.07527021c49c8p-8, 0x1.fc01a1e3ead59p-9, 0x1.e9fe78ce1ecb6p-9, 0x1.d8968af1a880ep-9, 0x1.c7c51df710db9p-9, 0x1.b78596a5fc41fp-9, 0x1.a7d3784c5e075p-9, 0x1.98aa6426cee3cp-9, 0x1.8a0618ca1f3c4p-9, 0x1.7be2718e2a4cep-9, 0x1.6e3b65fa065a3p-9, 0x1.610d09319309fp-9, 0x1.545389647a287p-9, 0x1.480b2f3eabda9p-9, 0x1.3c305d5a64513p-9, 0x1.30bf8fb3bdccep-9, 0x1.25b55b1de2a75p-9, 0x1.1b0e6cb9e2323p-9, 0x1.10c7896f2ceccp-9, 0x1.06dd8d65c8f34p-9, 0x1.fa9ad7047c31ap-10, 0x1.e82859c67fb8p-10, 0x1.d65de0c23eb2p-10, 0x1.c535d41e04d0dp-10, 0x1.b4aac57bdf5c4p-10, 0x1.a4b76f03478b2p-10, 0x1.9556b26e7fbddp-10, 0x1.8683981ba0397p-10, 0x1.78394e214ca35p-10, 0x1.6a7327672b008p-10, 0x1.5d2c9ac205b5ep-10, 0x1.50614213b14d9p-10, 0x1.440cd96ea75ddp-10, 0x1.382b3e3d56932p-10, 0x1.2cb86e6d355e6p-10, 0x1.21b0879d81e46p-10, 0x1.170fc651ba6fbp-10, 0x1.0cd28527c9e4ap-10, 0x1.02f53c11d8e79p-10, 0x1.f2e8ff27aa8a9p-11, 0x1.e09a000926b6ap-11, 0x1.cef711a5294bap-11, 0x1.bdf9ff98caf8dp-11, 0x1.ad9cc8d91f429p-11, 0x1.9dd99e5231407p-11, 0x1.8eaae18d0bd31p-11, 0x1.800b235cbd1a8p-11, 0x1.71f5229246c4ap-11, 0x1.6463cab76a15ap-11, 0x1.575232d03cc0bp-11, 0x1.4abb9c23789b1p-11, 0x1.3e9b71096fdddp-11, 0x1.32ed43c1954d8p-11, 0x1.27accd4e85cffp-11, 0x1.1cd5ec587c784p-11, 0x1.1264a4161fb3p-11, 0x1.08551b3b93874p-11, 0x1.fd4735df6fdccp-12, 0x1.ea991b8f07718p-12, 0x1.d898fd8ec433ap-12, 0x1.c74030d4fefd3p-12, 0x1.b688475fde52cp-12, 0x1.a66b0e5b26903p-12, 0x1.96e28c51635adp-12, 0x1.87e8ff683f1d6p-12, 0x1.7978dba7d7768p-12, 0x1.6b8cc94ce612p-12, 0x1.5e1fa3258dbc2p-12, 0x1.512c74f8a2406p-12, 0x1.44ae79f735eeep-12, 0x1.38a11b384be88p-12, 0x1.2cffee3e74326p-12, 0x1.21c6b3872f563p-12, 0x1.16f15523e6abap-12, 0x1.0c7be55c4f68cp-12, 0x1.02629d5a092f9p-12, 0x1.f143b7ba98d36p-13, 0x1.de6c47f5019edp-13, 0x1.cc3837c1096dfp-13, 0x1.baa1174f127c8p-13, 0x1.a9a0b8509187ep-13, 0x1.99312bb6ebd16p-13, 0x1.894cbf826ed2ap-13, 0x1.79edfca103105p-13, 0x1.6b0fa4dc4f48ep-13, 0x1.5cacb0d6faee3p-13, 0x1.4ec04e18b0712p-13, 0x1.4145dd289ae9dp-13, 0x1.3438efb60b589p-13, 0x1.279546cef3887p-13, 0x1.1b56d123e5823p-13, 0x1.0f79a9595068dp-13, 0x1.03fa1465ab7a8p-13, 0x1.f1a8fff87e1bp-14, 0x1.dc0b02088ff42p-14, 0x1.c713a4384a907p-14, 0x1.b2bca450958b9p-14, 0x1.9f0005db6148bp-14, 0x1.8bd80f6ef6409p-14, 0x1.793f480f1a8a1p-14, 0x1.673074a397faep-14, 0x1.55a6958390c73p-14, 0x1.449ce4151f4e1p-14, 0x1.340ed080c0fc5p-14, 0x1.23f7ff78097dfp-14, 0x1.1454480f221f1p-14, 0x1.051fb1a8979fp-14, 0x1.ecace3e5fbe2bp-15, 0x1.cfe9d5efe49ecp-15, 0x1.b3ef5278079c4p-15, 0x1.98b6c3de26a5bp-15, 0x1.7e39e2596ae3cp-15, 0x1.6472b09852d2dp-15, 0x1.4b5b787ef4105p-15, 0x1.32eec802af771p-15, 0x1.1b276e2297802p-15, 0x1.040077fba92d2p-15, 0x1.daea5bf0402e6p-16, 0x1.af02223220b2fp-16, 0x1.843fb0b328b62p-16, 0x1.5a9adc558b952p-16, 0x1.320bdc0fa0575p-16, 0x1.0a8b4442cb287p-16, 0x1.c824047f95a7ep-17, 0x1.7d32afee19912p-17, 0x1.3435afa7787bap-17, 0x1.da418300e213p-18, 0x1.4fd0694ae4d43p-18, 0x1.92038906da72dp-19, 0x1.1701338e961cdp-20, -0x1.d042680a5efdep-21, -0x1.6cd6da72cde85p-19, -0x1.2f7b98e5e2a11p-18, -0x1.a54a8228850bcp-18, -0x1.0bf489c848cc6p-17, -0x1.43b3bd85b946dp-17, -0x1.79ea9a2e98514p-17, -0x1.aea0899259dc7p-17, -0x1.e1dca637cd9ep-17, -0x1.09d2dff86683ep-16, -0x1.2201301cafebdp-16, -0x1.397c673221d83p-16, -0x1.504789cb3fb89p-16, -0x1.66657f49dcebcp-16, -0x1.7bd913ae7c1f7p-16, -0x1.90a4f951b5defp-16, -0x1.a4cbca8863d3dp-16, -0x1.b8500b335ca4fp-16, -0x1.cb342a3b7df72p-16, -0x1.dd7a82fab2376p-16, -0x1.ef255e92b1dbdp-16, -0x1.001b7a9913a37p-15, -0x1.0858b7a46e995p-15, -0x1.104b7355d07ccp-15, -0x1.17f4b3d43ae93p-15, -0x1.1f557905d7146p-15, -0x1.266ebd0b47519p-15, -0x1.2d4174b3fea28p-15, -0x1.33ce8febeab6dp-15, -0x1.3a16fa22b1edap-15, -0x1.401b9aacca84fp-15, -0x1.45dd551ea94c4p-15, -0x1.4b5d09a24575fp-15, -0x1.509b954731a8ep-15, -0x1.5599d24d83f7fp-15, -0x1.5a58986bc1b5dp-15, -0x1.5ed8bd100af3cp-15, -0x1.631b139cba44fp-15, -0x1.67206da0aa23bp-15, -0x1.6ae99b0b51af9p-15, -0x1.6e776a5cee174p-15, -0x1.71caa8d2df986p-15, -0x1.74e422906eadcp-15, -0x1.77c4a2c41e2d5p-15, -0x1.7a6cf3c9ba9c6p-15, -0x1.7cdddf494bd68p-15, -0x1.7f182e530edb6p-15, -0x1.811ca978a35bep-15, -0x1.82ec18e38ba6ep-15, -0x1.848744692410cp-15, -0x1.85eef39c363a5p-15, -0x1.8723eddc45c16p-15, -0x1.8826fa62b7dd8p-15, -0x1.88f8e04df25edp-15, -0x1.899a66aa921fdp-15, -0x1.8a0c547ad222fp-15, -0x1.8a4f70bc4142ap-15, -0x1.8a64826bde981p-15, -0x1.8a4c5088b5185p-15, -0x1.8a07a2150ffc4p-15, -0x1.89973e166073bp-15, -0x1.88fbeb93e6a6bp-15, -0x1.8836719436295p-15, -0x1.87479719aac76p-15, -0x1.8630231ddf4ebp-15, -0x1.84f0dc8c39ce1p-15, -0x1.838a8a3ba1185p-15, -0x1.81fdf2e769f5cp-15, -0x1.804bdd278d4ebp-15, -0x1.7e750f68389a7p-15, -0x1.7c7a4fe0c476dp-15, -0x1.7a5c648a25f0ap-15, -0x1.781c1314de18cp-15, -0x1.75ba20de80642p-15, -0x1.733752e6d201ap-15, -0x1.70946dc4981fp-15, -0x1.6dd2359a15d58p-15, -0x1.6af16e094cd78p-15, -0x1.67f2da2807598p-15, -0x1.64d73c73b607cp-15, -0x1.619f56c528268p-15, -0x1.5e4bea442e14ap-15, -0x1.5addb75b24631p-15, -0x1.57557daa775bp-15, -0x1.53b3fbfc23a2bp-15, -0x1.4ff9f03738af2p-15, -0x1.4c28175367758p-15, -0x1.483f2d4ca03fp-15, -0x1.443fed16c843ap-15, -0x1.402b10918b02fp-15, -0x1.3c01507c4a996p-15, -0x1.37c3646a36a2p-15, -0x1.337202b68fc5cp-15, -0x1.2f0de0791400ap-15, -0x1.2a97b17aa377ep-15, -0x1.2610282a1426ap-15, -0x1.2177f59144972p-15, -0x1.1ccfc94a66746p-15, -0x1.181851758885p-15, -0x1.13523aae62f0dp-15, -0x1.0e7e3002668a5p-15, -0x1.099cdae711448p-15, -0x1.04aee3308a5bbp-15, -0x1.ff69de110dd24p-16, -0x1.f55f45caf720dp-16, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      48, 0x1.1333333333333p+2, 0x1.1354eee7a10cp+1, 0x1.f5761e77e3cc7p+1, -0x1.d7a45ad776a81p-2, 
      {{
        {0x1.3333333333333p+0, 0x1.3d70a3d70a3d7p+0, 0x1.ac2424a276b7fp+1, -0x1.05f08fdc5046bp+3, 0x1.19b851eb851f8p+3, 0x1.ae79c6ffe858bp+0}, 
        {0x1.3d70a3d70a3d7p+0, 0x1.47ae147ae147bp+0, 0x1.840c308feac43p+1, -0x1.de49a16d916ccp+2, 0x1.202d58beb7f7ep+3, -0x1.0d0c1c5ff1474p+3}, 
        {0x1.47ae147ae147bp+0, 0x1.51eb851eb851fp+0, 0x1.5f8f605ab3aacp+1, -0x1.b2c31b142c2b2p+2, 0x1.ffc86d3d73783p+2, -0x1.493d8ec070532p+2}, 
        {0x1.51eb851eb851fp+0, 0x1.5c28f5c28f5c3p+0, 0x1.3e5fe974a3401p+1, -0x1.8b665cc0b7bedp+2, 0x1.d84628e8eb1c4p+2, -0x1.5df18c3e5c2efp+2}, 
        {0x1.5c28f5c28f5c3p+0, 0x1.6666666666666p+0, 0x1.20358afc47e4ap+1, -0x1.674c333dbe5d4p+2, 0x1.ae47e4e16f688p+2, -0x1.36fc404623e5fp+2}, 
        {0x1.6666666666666p+0, 0x1.70a3d70a3d70ap+0, 0x1.04cd6c2efd439p+1, -0x1.465e2ffc1f4d2p+2, 0x1.88f66c87192e6p+2, -0x1.231d72a909a23p+2}, 
        {0x1.70a3d70a3d70ap+0, 0x1.7ae147ae147aep+0, 0x1.d7d3910c2c5e3p+0, -0x1.285409220c8a2p+2, 0x1.66075ec4bbdd7p+2, -0x1.0a8df515bb8b5p+2}, 
        {0x1.7ae147ae147aep+0, 0x1.851eb851eb852p+0, 0x1.aaa3161a1db87p+0, -0x1.0cf725f41aac4p+2, 0x1.460ad0b7e2ccbp+2, -0x1.eb5572000c59p+1}, 
        {0x1.851eb851eb852p+0, 0x1.8f5c28f5c28f6p+0, 0x1.81a059a73b42dp+0, -0x1.e81f5b6463095p+1, 0x1.288fedb7e20fp+2, -0x1.c18e4dd45b8efp+1}, 
        {0x1.8f5c28f5c28f6p+0, 0x1.999999999999ap+0, 0x1.5c6ac215b9a5bp+0, -0x1.bad4952ae73e2p+1, 0x1.0d96c016a95d7p+2, -0x1.9e7156ae855a4p+1}, 
        {0x1.999999999999ap+0, 0x1.a3d70a3d70a3dp+0, 0x1.3aa9b499d0204p+0, -0x1.91af7d67318bap+1, 0x1.e971d1ef6bbp+1, -0x1.76ac577192e47p+1}, 
        {0x1.a3d70a3d70a3dp+0, 0x1.ae147ae147ae1p+0, 0x1.1c0bdcad14a0ap+0, -0x1.6c54100c7ed56p+1, 0x1.bc7bdbec08242p+1, -0x1.5add4b8b2487dp+1}, 
        {0x1.ae147ae147ae1p+0, 0x1.b851eb851eb85p+0, 0x1.00472c0e7bc3cp+0, -0x1.4a6f42cfaeb0ap+1, 0x1.92dc2f044b7p+1, -0x1.35de7a61df3c4p+1}, 
        {0x1.b851eb851eb85p+0, 0x1.c28f5c28f5c29p+0, 0x1.ce2f7b17ce52ep-1, -0x1.2bb17410ef5bcp+1, 0x1.6dad019c63d96p+1, -0x1.1fa8caed60f54p+1}, 
        {0x1.c28f5c28f5c29p+0, 0x1.ccccccccccccdp+0, 0x1.a08051c9f72f7p-1, -0x1.0fd1e380da51bp+1, 0x1.4b281c75aa225p+1, -0x1.fefcb3d136a07p+0}, 
        {0x1.ccccccccccccdp+0, 0x1.d70a3d70a3d71p+0, 0x1.7710667f90d9dp-1, -0x1.ed1b80244ff38p+0, 0x1.2c7f5959c074ep+1, -0x1.d4bb9ae0639a8p+0}, 
        {0x1.d70a3d70a3d71p+0, 0x1.e147ae147ae14p+0, 0x1.517a89331a08cp-1, -0x1.bf471a8670b6ep+0, 0x1.105f9cdba6p+1, -0x1.a614e0ad42652p+0}, 
        {0x1.e147ae147ae14p+0, 0x1.eb851eb851eb8p+0, 0x1.2f62b6ae7d567p-1, -0x1.95b956e248f4dp+0, 0x1.ee18e15095f42p+0, -0x1.7af0e26a8693dp+0}, 
        {0x1.eb851eb851eb8p+0, 0x1.f5c28f5c28f5cp+0, 0x1.1075d56f32bdcp-1, -0x1.7003df22ccf76p+0, 0x1.c09fd06285cdep+0, -0x1.562795a8a865dp+0}, 
        {0x1.f5c28f5c28f5cp+0, 0x1p+1, 0x1.e8d25edd05293p-2, -0x1.4dc47c71be907p+0, 0x1.9790d2e7e23c7p+0, -0x1.3470c6f2d7ff2p+0}, 
        {0x1p+1, 0x1.051eb851eb852p+1, 0x1.b5f2cb641700dp-2, -0x1.2ea48d4b7841p+0, 0x1.728d87d4fb846p+0, -0x1.14154e8bf847cp+0}, 
        {0x1.051eb851eb852p+1, 0x1.0a3d70a3d70a4p+1, 0x1.87d3910c2c5e3p-2, -0x1.1252e16c4147cp+0, 0x1.516c40f762d7ep+0, -0x1.ee73fdba8dc45p-1}, 
        {0x1.0a3d70a3d70a4p+1, 0x1.0f5c28f5c28f6p+1, 0x1.5e07e5a78f25ap-2, -0x1.f1088124ebd8fp-1, 0x1.33c1744d790e6p+0, -0x1.be056bfdd6082p-1}, 
        {0x1.0f5c28f5c28f6p+1, 0x1.147ae147ae148p+1, 0x1.382e44b6e935cp-2, -0x1.c1eee71124766p-1, 0x1.18fe91a9c3412p+0, -0x1.9176524e1cdc2p-1}, 
        {0x1.147ae147ae148p+1, 0x1.199999999999ap+1, 0x1.15eedcc20d563p-2, -0x1.96e6b035062dep-1, 0x1.00e81c15b7487p+0, -0x1.64214ac9b65cdp-1}, 
        {0x1.199999999999ap+1, 0x1.1eb851eb851ecp+1, 0x1.edf58c08b75eap-3, -0x1.6f8167427e012p-1, 0x1.d713e783ddcd6p-1, -0x1.4604828b07836p-1}, 
        {0x1.1eb851eb851ecp+1, 0x1.23d70a3d70a3dp+1, 0x1.b616f86a09891p-3, -0x1.4b625769c321ap-1, 0x1.aff4a4a662054p-1, -0x1.23ccab0a35264p-1}, 
        {0x1.23d70a3d70a3dp+1, 0x1.28f5c28f5c28fp+1, 0x1.83c21187e7c07p-3, -0x1.2a3a7405aa57dp-1, 0x1.8cf0902009b96p-1, -0x1.0ac8d14c122bap-1}, 
        {0x1.28f5c28f5c28fp+1, 0x1.2e147ae147ae1p+1, 0x1.56837f7be121fp-3, -0x1.0bc0f3f10916cp-1, 0x1.6cecf1e3b59fap-1, -0x1.e2201f8b1642bp-2}, 
        {0x1.2e147ae147ae1p+1, 0x1.3333333333333p+1, 0x1.2df266ba493c9p-3, -0x1.df6efd8b1ae87p-2, 0x1.4fff7f5b5d3f7p-1, -0x1.c1eddf3b83d22p-2}, 
        {0x1.3333333333333p+1, 0x1.3851eb851eb85p+1, 0x1.09af5ba2be059p-3, -0x1.abd5624026d5ep-2, 0x1.350095cd8da89p-1, -0x1.96286386da868p-2}, 
        {0x1.3851eb851eb85p+1, 0x1.3d70a3d70a3d7p+1, 0x1.d2c493426783ap-4, -0x1.7c57bca0ef38cp-2, 0x1.1ca20078a981cp-1, -0x1.857092a9110ebp-2}, 
        {0x1.3d70a3d70a3d7p+1, 0x1.428f5c28f5c29p+1, 0x1.9974e65bea0bap-4, -0x1.50abb8578dbb3p-2, 0x1.0544351c991f9p-1, -0x1.641551d4e0e38p-2}, 
        {0x1.428f5c28f5c29p+1, 0x1.47ae147ae147bp+1, 0x1.66d7a56de3327p-4, -0x1.2893cd518aca9p-2, 0x1.dfcd895d17428p-2, -0x1.5a3a26036cf07p-2}, 
        {0x1.47ae147ae147bp+1, 0x1.4cccccccccccdp+1, 0x1.3a5f41aef6f8fp-4, -0x1.03dae20d14b7ap-2, 0x1.b641705270963p-2, -0x1.4302161d69987p-2}, 
        {0x1.4cccccccccccdp+1, 0x1.51eb851eb851fp+1, 0x1.138476f2a5a47p-4, -0x1.c4b0a401c8f8ap-3, 0x1.8f7ea0de4532p-2, -0x1.39bd8186ee7f3p-2}, 
        {0x1.51eb851eb851fp+1, 0x1.570a3d70a3d71p+1, 0x1.e38eb0318b934p-5, -0x1.87c8635ee719ep-3, 0x1.69d88715c22dp-2, -0x1.3607e3c6da714p-2}, 
        {0x1.570a3d70a3d71p+1, 0x1.5c28f5c28f5c3p+1, 0x1.a958537e2c55dp-5, -0x1.50dd1d901eeabp-3, 0x1.44a46183041f5p-2, -0x1.1e22ef5da970bp-2}, 
        {0x1.5c28f5c28f5c3p+1, 0x1.6147ae147ae14p+1, 0x1.7774aba387592p-5, -0x1.1faafbc76c7acp-3, 0x1.224e44c9b2597p-2, -0x1.216c5ec2824dbp-2}, 
        {0x1.6147ae147ae14p+1, 0x1.6666666666666p+1, 0x1.4cff21b3aeee9p-5, -0x1.e7feb1cdbd045p-4, 0x1.ff265e5a78a0ep-3, -0x1.1c2b959845c13p-2}, 
        {0x1.6666666666666p+1, 0x1.6b851eb851eb8p+1, 0x1.2915379fa97e1p-5, -0x1.9baabfcb32a2p-4, 0x1.baf2f2c5492afp-3, -0x1.0de54adc6b14p-2}, 
        {0x1.6b851eb851eb8p+1, 0x1.70a3d70a3d70ap+1, 0x1.0ad8a116659d1p-5, -0x1.59fa260fb5e23p-4, 0x1.7a2c8ee24e304p-3, -0x1.f87e7dec1b737p-3}, 
        {0x1.70a3d70a3d70ap+1, 0x1.75c28f5c28f5cp+1, 0x1.e2eb1c432ca58p-6, -0x1.224ffbedc4abap-4, 0x1.3da27fc5f8f95p-3, -0x1.111db94b5e6b3p-2}, 
        {0x1.75c28f5c28f5cp+1, 0x1.7ae147ae147aep+1, 0x1.b841248d7e026p-6, -0x1.e9782b483e86p-5, 0x1.f82c7da535448p-4, -0x1.5e93b7b8f0011p-3}, 
        {0x1.7ae147ae147aep+1, 0x1.8p+1, 0x1.9424e59296702p-6, -0x1.9f885de17d5f9p-5, 0x1.a40909df391afp-4, -0x1.a1bad742c2086p-2}, 
        {0x1.8p+1, 0x1.851eb851eb852p+1, 0x1.752977c88e79bp-6, -0x1.6c5e2c0ae27f3p-5, 0x1.b70cca36adb2bp-5, 0x1.e63538e78041p-2}, 
        {0x1.851eb851eb852p+1, 0x1.b333333333333p+1, 0x1.59ea57214f052p-6, -0x1.3692cf8aeece2p-5, 0x1.c4e79f240f4acp-4, -0x1.fcbf1f7f9afe2p-4}, 
        {0x1.b333333333333p+1, 0x1.1333333333333p+2, 0x1.0624dd2f1a9fcp-6, -0x1.afef80407458p-8, -0x1.822a8663d10a9p-6, -0x1.7935abe5b7adfp-4}, 
      }}, 
      0x1.a63f581cb9492p-3, -0x1.9a0bda1e901b4p-4
    }
  };
  // clang-format on
}
SkfData params_mio_0_1_s_c() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.9c2748e01ede4p-1, -0x1.a4e404a256de6p-1, -0x1.ac2639c5e332ep-1, -0x1.b1f25aa0d3434p-1, -0x1.b64fc8029d0fap-1, -0x1.b9481ddba88b7p-1, -0x1.bae703caa4bfbp-1, -0x1.bb39b7d2485b7p-1, -0x1.ba4ecb667e909p-1, -0x1.b835c8841ab45p-1, -0x1.b4fec8bc89025p-1, -0x1.b0ba4f4385afp-1, -0x1.ab7934bcc4189p-1, -0x1.a54c96796171fp-1, -0x1.9e45bb1283056p-1, -0x1.9675d53ebf5edp-1, -0x1.8dedc139267b6p-1, -0x1.84bdea60635c6p-1, -0x1.7af65dc2b0b59p-1, -0x1.70a6dd2d12db8p-1, -0x1.65dec3c01a827p-1, -0x1.5aac310c3669bp-1, -0x1.4f1d9f27f1888p-1, -0x1.434029645f8c2p-1, -0x1.37209ae5c5c9cp-1, -0x1.2acb301991928p-1, -0x1.1e4b76e7d5e91p-1, -0x1.11ac3f2736cb1p-1, -0x1.04f7a2efcd27p-1, -0x1.f06e31f6698b9p-2, -0x1.d6e701b565903p-2, -0x1.bd6a48b10fc0cp-2, -0x1.a4076827ef987p-2, -0x1.8acc8db2273bap-2, -0x1.71c6bc20140a5p-2, -0x1.5901d9e2bb765p-2, -0x1.4088beecbfee8p-2, -0x1.28653fbbeebe7p-2, -0x1.10a0369a2573ep-2, -0x1.f28319a260758p-3, -0x1.c4a0896ffa8a2p-3, -0x1.97a509a705762p-3, -0x1.6b9b4832bc689p-3, -0x1.408c6e9440dc1p-3, -0x1.16803e5a75802p-3, -0x1.dafa5d87820b3p-4, -0x1.8b1116095b147p-4, -0x1.3d4d2153a3ec2p-4, -0x1.e36a346ab15f2p-5, -0x1.509be220d1242p-5, -0x1.846c61440a2f5p-6, -0x1.c1ea4577619bfp-8, 0x1.353509a16dc3ep-7, 0x1.9cd4bc074e26ap-6, 0x1.4b1d69e20844ep-5, 0x1.c36c25f5c201p-5, 0x1.1baf4b9111383p-4, 0x1.537f717a6efd5p-4, 0x1.892c928f87a5cp-4, 0x1.bcbda0a5bf7fbp-4, 0x1.ee3a59560b629p-4, 0x1.0ed596811d446p-3, 0x1.258c92e2a987ep-3, 0x1.3b492bfe4dfcap-3, 0x1.500be9506bc88p-3, 0x1.63dbeed417eccp-3, 0x1.76be895216137p-3, 0x1.88b92819e68bdp-3, 0x1.99d1521d36bb1p-3, 0x1.aa0c9e0315a47p-3, 0x1.b970ad20676f4p-3, 0x1.c80328bdf25d8p-3, 0x1.d5c9c0c5f36fap-3, 0x1.e2ca2addc2bf7p-3, 0x1.ef0a210fd2b54p-3, 0x1.fa8f5f724f4abp-3, 0x1.02afd04a14c2bp-2, 0x1.07c04c6b02544p-2, 0x1.0c7bf88d40f7ap-2, 0x1.10e5a0ae73e11p-2, 0x1.150005de5a217p-2, 0x1.18cddc37947dap-2, 0x1.1c51c96caa749p-2, 0x1.1f8e63f145d3bp-2, 0x1.228632b15da31p-2, 0x1.253bad38991b8p-2, 0x1.27b13c250172cp-2, 0x1.29e939c0849a6p-2, 0x1.2be5f2a2acf08p-2, 0x1.2da9a64439bf6p-2, 0x1.2f368776134ffp-2, 0x1.308ebcb2c668fp-2, 0x1.31b460451ba38p-2, 0x1.32a9804095792p-2, 0x1.33701e4b0340cp-2, 0x1.340a2f3a1e026p-2, 0x1.34799a8d39db9p-2, 0x1.34c039d0a735p-2, 0x1.34dfd7fcd1408p-2, 0x1.34da30e517c24p-2, 0x1.34b0f0c8da47ep-2, 0x1.3465b4147c0aap-2, 0x1.33fa07591428ap-2, 0x1.336f6779eddf1p-2, 0x1.32c742084c43bp-2, 0x1.3202f5c1b44f5p-2, 0x1.3123d3239a791p-2, 0x1.302b1d08c3e61p-2, 0x1.2f1a0947d7801p-2, 0x1.2df1c14e8132ep-2, 0x1.2cb362b7f2218p-2, 0x1.2b5fffdf95c41p-2, 0x1.29f8a0717fd8p-2, 0x1.287e41f966ad6p-2, 0x1.26f1d86fa2cc8p-2, 0x1.25544ec257a52p-2, 0x1.23a68757e73e4p-2, 0x1.21e95c87b87a4p-2, 0x1.201da106cabe8p-2, 0x1.1e44204697ecp-2, 0x1.1c5d9ec5eee5dp-2, 0x1.1a6ada548bae9p-2, 0x1.186c8a4ae8387p-2, 0x1.16635fb838a5bp-2, 0x1.1450058884d4ap-2, 0x1.123320a4b5cf1p-2, 0x1.100d500e18d2bp-2, 0x1.0ddf2cf6988fdp-2, 0x1.0ba94ad6afaa4p-2, 0x1.096c378209052p-2, 0x1.07287b3ba7fd1p-2, 0x1.04de98ca8e6b3p-2, 0x1.028f0d8fd1748p-2, 0x1.003a519f0fea9p-2, 0x1.fbc1afb44fcf2p-3, 0x1.f7061c21a9f0dp-3, 0x1.f242ba495b291p-3, 0x1.ed78526338f2fp-3, 0x1.e8a7a37553de9p-3, 0x1.e3d163b54295ap-3, 0x1.def640efb77p-3, 0x1.da16e0f4b5fd4p-3, 0x1.d533e2069028p-3, 0x1.d04ddb49be5fep-3, 0x1.cb655d33f47cfp-3, 0x1.c67af1f8d34f2p-3, 0x1.c18f1df2fcd4bp-3, 0x1.bca49d115e1e1p-3, 0x1.b7b613bdf1a75p-3, 0x1.b2c797eab9a1ap-3, 0x1.add9a22c14b5cp-3, 0x1.a8eca5de1c367p-3, 0x1.a4011150df569p-3, 0x1.9f174dfbad16bp-3, 0x1.9a2fc0b60608ep-3, 0x1.954ac9f4acbb3p-3, 0x1.9068c6091b38fp-3, 0x1.8b8a0d61abfc7p-3, 0x1.86aef4c8ce58bp-3, 0x1.81d7cda1d4ebap-3, 0x1.7d04e622143dep-3, 0x1.7836898555ffap-3, 0x1.736d003cf479ap-3, 0x1.6ea8901924d19p-3, 0x1.69e97c6c5e881p-3, 0x1.65300628f54eap-3, 0x1.607c6bf938c43p-3, 0x1.5bceea52addfp-3, 0x1.5727bb84f78c9p-3, 0x1.528717c52820bp-3, 0x1.4ded35364c0abp-3, 0x1.495a47efd6b43p-3, 0x1.44ce8202c11f1p-3, 0x1.404a137dea84ep-3, 0x1.3bcd2a724f9eap-3, 0x1.3757f2f7957ccp-3, 0x1.32ea97312baa1p-3, 0x1.2e853f545f51dp-3, 0x1.2a2811af63cf4p-3, 0x1.25d332b179fd9p-3, 0x1.2186c4f419421p-3, 0x1.1d42e9450fc0fp-3, 0x1.1907beb174cd7p-3, 0x1.14d5629139ad2p-3, 0x1.10abf0933905dp-3, 0x1.0c8b82c986818p-3, 0x1.087431b5d550dp-3, 0x1.04661455cdf74p-3, 0x1.0061402f1f7b1p-3, 0x1.f8cb92b68114ap-4, 0x1.f0e78525579a2p-4, 0x1.e9167a6f40637p-4, 0x1.e15892c07cfdep-4, 0x1.d9adebc01d726p-4, 0x1.d216a0a1d02aep-4, 0x1.ca92ca3676f0cp-4, 0x1.c3227efb9b683p-4, 0x1.bbc5d329d9e7bp-4, 0x1.b47cd8c26b212p-4, 0x1.ad479f9bd0216p-4, 0x1.a626356defd1p-4, 0x1.9f18a5dda4337p-4, 0x1.981efa87f361bp-4, 0x1.91393b0d0e1d6p-4, 0x1.8a676d1b25935p-4, 0x1.83a9947945299p-4, 0x1.7cffb31234931p-4, 0x1.7669c8ff77f74p-4, 0x1.6fe7d49475667p-4, 0x1.6979d269c42bfp-4, 0x1.631fbd68a6e05p-4, 0x1.5cd98ed6ac027p-4, 0x1.56a73e616bc48p-4, 0x1.5088c22a5c5dcp-4, 0x1.4a7e0ed2aecdcp-4, 0x1.448717872793fp-4, 0x1.3ea3ce0be6b0cp-4, 0x1.38d422c811379p-4, 0x1.331804d14f99cp-4, 0x1.2d6f61f7172acp-4, 0x1.27da26cdb36e6p-4, 0x1.22583eb90691cp-4, 0x1.1ce993f6fe127p-4, 0x1.178e0fa9b42eap-4, 0x1.124599e13c038p-4, 0x1.0d1019a51a488p-4, 0x1.07ed74fd69c61p-4, 0x1.02dd90fbad4adp-4, 0x1.fbc0a386ab414p-5, 0x1.f1eb3523fe0f9p-5, 0x1.e83a9b8ed4de8p-5, 0x1.deae99da78e55p-5, 0x1.d546f17d0b435p-5, 0x1.cc03625e39608p-5, 0x1.c2e3aae5a1c92p-5, 0x1.b9e78808f6e4ap-5, 0x1.b10eb559efb55p-5, 0x1.a858ed1409736p-5, 0x1.9fc5e82a302c2p-5, 0x1.97555e544e0c6p-5, 0x1.8f07061ccad55p-5, 0x1.86da94ee06beep-5, 0x1.7ecfbf1fcacb6p-5, 0x1.76e63804b91bcp-5, 0x1.6f1db1f7bb80ep-5, 0x1.6775de696d7a6p-5, 0x1.5fee6ded81486p-5, 0x1.588710481f018p-5, 0x1.513f747b342eap-5, 0x1.4a1748d3b5acfp-5, 0x1.430e3af6c7873p-5, 0x1.3c23f7eecce2p-5, 0x1.35582c38518e1p-5, 0x1.2eaa83ced0c59p-5, 0x1.281aaa394830bp-5, 0x1.21a84a969e3b1p-5, 0x1.1b530fa9ce01cp-5, 0x1.151aa3e5d49f7p-5, 0x1.0efeb17960e6fp-5, 0x1.08fee25a3f8f7p-5, 0x1.031ae0507bbb7p-5, 0x1.faa4aa0279ff9p-6, 0x1.ef49d3f2a35bep-6, 0x1.e424916eeb208p-6, 0x1.d934356c864d7p-6, 0x1.ce7812ebb769ap-6, 0x1.c3ef7d0a7ee2p-6, 0x1.b999c716b4d17p-6, 0x1.af76449f830c7p-6, 0x1.a58449864b663p-6, 0x1.9bc32a0efb97fp-6, 0x1.92323aefc929p-6, 0x1.88d0d160641f2p-6, 0x1.7f9e43289ad52p-6, 0x1.7699e6ae781e5p-6, 0x1.6dc31303da4edp-6, 0x1.65191ff38f1dap-6, 0x1.5c9b660de9d47p-6, 0x1.54493eb4e8e7ap-6, 0x1.4c220427e11d7p-6, 0x1.4425118eb27d3p-6, 0x1.3c51c30495191p-6, 0x1.34a775a271bbap-6, 0x1.2d258788d3d94p-6, 0x1.25cb57e974c3dp-6, 0x1.1e98471059182p-6, 0x1.178bb66c99ba2p-6, 0x1.10a50898bcee4p-6, 0x1.09e3a162b6147p-6, 0x1.0346e5d38a9c5p-6, 0x1.f99c786d28ebap-7, 0x1.ecf21840d645ap-7, 0x1.e08d7ceaf0b03p-7, 0x1.d46d7ae05b3dp-7, 0x1.c890e94dd0a6ep-7, 0x1.bcf6a222f9fedp-7, 0x1.b19d821cd9a5ap-7, 0x1.a68468cf9a0d8p-7, 0x1.9baa38afb0c8fp-7, 0x1.910dd71a63f8ep-7, 0x1.86ae2c5da6d87p-7, 0x1.7c8a23bf6af47p-7, 0x1.72a0ab8449e85p-7, 0x1.68f0b4f599ec7p-7, 0x1.5f793466f5a82p-7, 0x1.5639213b2d6c4p-7, 0x1.4d2f75e8a6107p-7, 0x1.445b2ffd360d1p-7, 0x1.3bbb502179822p-7, 0x1.334eda1b99144p-7, 0x1.2b14d4d19ada2p-7, 0x1.230c4a4b30af4p-7, 0x1.1b3447b30bf15p-7, 0x1.138bdd57bf867p-7, 0x1.0c121eac2d5bbp-7, 0x1.04c5ecbd9156cp-7, 0x1.fb4da1818d662p-8, 0x1.ed675b0ce377ap-8, 0x1.dfd7461b9f23dp-8, 0x1.d29ba8ed3e9c4p-8, 0x1.c5b2cffe57fc8p-8, 0x1.b91b0e03f88fdp-8, 0x1.acd2bbe669473p-8, 0x1.a0d838bb4fedap-8, 0x1.9529e9bf373d4p-8, 0x1.89c63a4e8be88p-8, 0x1.7eab9bde0e95ep-8, 0x1.73d885f2c77aap-8, 0x1.694b76197f3cp-8, 0x1.5f02efddc6193p-8, 0x1.54fd7cc08a367p-8, 0x1.4b39ac2e4da44p-8, 0x1.41b61374fb026p-8, 0x1.38714db95bd86p-8, 0x1.2f69fbec425d9p-8, 0x1.269ec4bf62c1p-8, 0x1.1e0e5499df099p-8, 0x1.15b75d8c9791fp-8, 0x1.0d9897463405bp-8, 0x1.05b0bf06fda4fp-8, 0x1.fbfd2f28f7373p-9, 0x1.ed01d259b9ec2p-9, 0x1.de6d02f483de2p-9, 0x1.d03c670b97141p-9, 0x1.c26daf552e62ap-9, 0x1.b4fe971104a15p-9, 0x1.a7ece3edd2de4p-9, 0x1.9b3665ee6c9dap-9, 0x1.8ed8f74eb6617p-9, 0x1.82d27c6870483p-9, 0x1.7720e397d5e3p-9, 0x1.6bc2252015834p-9, 0x1.60b4430fa5c19p-9, 0x1.55f54924793dap-9, 0x1.4b834cb025fb6p-9, 0x1.415c6c7bd1147p-9, 0x1.377ed0ac290c5p-9, 0x1.2de8aaa5331afp-9, 0x1.249834ee05543p-9, 0x1.1b8bb31478ecep-9, 0x1.12c17190b9995p-9, 0x1.0a37c5a8da8cbp-9, 0x1.01ed0d5448913p-9, 0x1.f3bf5e3e5d3b5p-10, 0x1.e41c341babd47p-10, 0x1.d4ed8affeda35p-10, 0x1.c6306227df9b4p-10, 0x1.b7e1c913eec3dp-10, 0x1.a9fedf4e91eccp-10, 0x1.9c84d4327418dp-10, 0x1.8f70e6b091654p-10, 0x1.82c065164f71p-10, 0x1.7670acd373fc7p-10, 0x1.6a7f2a4006251p-10, 0x1.5ee958624bc6cp-10, 0x1.53acc0b48d715p-10, 0x1.48c6faeaf8c47p-10, 0x1.3e35acb9808bp-10, 0x1.33f68999b4f4bp-10, 0x1.2a075290a952ap-10, 0x1.2065d5f5091dap-10, 0x1.170fef351af85p-10, 0x1.0e03869cfadd6p-10, 0x1.053e911cf3436p-10, 0x1.f97e202025a76p-11, 0x1.e9062205c92adp-11, 0x1.d9115af4d7854p-11, 0x1.c99c1576e81e2p-11, 0x1.baa2b32428bf5p-11, 0x1.ac21ac335347fp-11, 0x1.9e158f0a4a3b9p-11, 0x1.907affcf759e8p-11, 0x1.834eb7fc29894p-11, 0x1.768d85efd189ep-11, 0x1.6a344c8445ef8p-11, 0x1.5e4002a350676p-11, 0x1.52adb2dd123a5p-11, 0x1.477a7affc10b1p-11, 0x1.3ca38bb0b38bdp-11, 0x1.32262806a3261p-11, 0x1.27ffa525516cp-11, 0x1.1e2d69da9deep-11, 0x1.14acee3cdf32ep-11, 0x1.0b7bbb4af8a48p-11, 0x1.02976a8da2bb1p-11, 0x1.f3fb4b750b766p-12, 0x1.e3584cb11ae7bp-12, 0x1.d3416acc119b7p-12, 0x1.c3b256006f718p-12, 0x1.b4a6dc18e9753p-12, 0x1.a61ae7c5edee4p-12, 0x1.980a7ff62be96p-12, 0x1.8a71c7327f7f2p-12, 0x1.7d4cfafc6545cp-12, 0x1.70987330767p-12, 0x1.6450a16b17dfp-12, 0x1.58721070984e6p-12, 0x1.4cf963984fb78p-12, 0x1.41e3563a6e67dp-12, 0x1.372cbb210ff54p-12, 0x1.2cd27bfc195edp-12, 0x1.22d198d788468p-12, 0x1.19272794e60fap-12, 0x1.0fd053678dd19p-12, 0x1.06ca5c53141fcp-12, 0x1.fc252d592e886p-13, 0x1.eb4cd53dc3b55p-13, 0x1.db06a7611a0e8p-13, 0x1.cb4dc09944608p-13, 0x1.bc1d629c3682dp-13, 0x1.ad70f31a27758p-13, 0x1.9f43fadd74391p-13, 0x1.919224ee6b598p-13, 0x1.84573dbbc0204p-13, 0x1.778f32474e0e8p-13, 0x1.6b360f565e5bep-13, 0x1.5f4800a74cdbdp-13, 0x1.53c15029e189fp-13, 0x1.489e653c97185p-13, 0x1.3ddbc3ecde344p-13, 0x1.33760c3bfbd56p-13, 0x1.2969f966e35cep-13, 0x1.1fb461325e487p-13, 0x1.1652333a48077p-13, 0x1.0d40784489fa6p-13, 0x1.047c51976c6dbp-13, 0x1.f805f0a754e6dp-14, 0x1.e7a379a1c43d4p-14, 0x1.d7cc0bfdf3b94p-14, 0x1.c87aa19268b1ap-14, 0x1.b9aa5efa99355p-14, 0x1.ab56926a65f39p-14, 0x1.9d7ab2894a299p-14, 0x1.90125d5247ed7p-14, 0x1.831956fa46c69p-14, 0x1.768b88dcd0654p-14, 0x1.6a65006e4bea9p-14, 0x1.5ea1ee339a63dp-14, 0x1.533ea4c0f4ebp-14, 0x1.483797bbd83e7p-14, 0x1.3d895ae5a6e2ap-14, 0x1.3330a1296abfep-14, 0x1.292a3baf15d98p-14, 0x1.1f7318f63b127p-14, 0x1.160843f362602p-14, 0x1.0ce6e333ff354p-14, 0x1.040c3807f160dp-14, 0x1.f6eb3b5c3b511p-15, 0x1.e6411111b9a9cp-15, 0x1.d6150aa818442p-15, 0x1.c66270c575566p-15, 0x1.b724b9bfc6cb9p-15, 0x1.a8578829fc422p-15, 0x1.99f6a967c5f64p-15, 0x1.8bfe144c622adp-15, 0x1.7e69e7c195aefp-15, 0x1.713669778515fp-15, 0x1.6460049da059cp-15, 0x1.57e348a143751p-15, 0x1.4bbce7fa205f2p-15, 0x1.3fe9b6f9ff45ap-15, 0x1.3466aaa5f2d45p-15, 0x1.2930d79772105p-15, 0x1.1e4570e6366fp-15, 0x1.13a1c717d2231p-15, 0x1.094347182ab5cp-15, 0x1.fe4ef2721a8f5p-16, 0x1.ea98006def0b8p-16, 0x1.d75d309155e53p-16, 0x1.c49a2c6412ea3p-16, 0x1.b24accbeeb4a9p-16, 0x1.a06b180e344adp-16, 0x1.8ef740a2b15e9p-16, 0x1.7deba30ef7622p-16, 0x1.6d44c48b0b2f2p-16, 0x1.5cff517197ab6p-16, 0x1.4d181bbb34ce3p-16, 0x1.3d8c198c5023fp-16, 0x1.2e5863cc9a4e5p-16, 0x1.1f7a34ca61997p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.fb13732c6ac77p-2, -0x1.054d8645b6997p-1, -0x1.0cb957c500fedp-1, -0x1.13c84490fb653p-1, -0x1.1a76722248dfdp-1, -0x1.20c100a8bf85fp-1, -0x1.26a5e8f4fa461p-1, -0x1.2c23e14b628f6p-1, -0x1.313a625ffafdfp-1, -0x1.35e9675ea5f74p-1, -0x1.3a31716ba39b3p-1, -0x1.3e13931d5bdafp-1, -0x1.41913280b8e97p-1, -0x1.44ac0332faabap-1, -0x1.47661f5ca562dp-1, -0x1.49c1e2fe5defcp-1, -0x1.4bc1c8b2ab013p-1, -0x1.4d687aa9501bep-1, -0x1.4eb8dd2cfa4f9p-1, -0x1.4fb5f317bfa5cp-1, -0x1.5062c5b2e328ap-1, -0x1.50c2628c267acp-1, -0x1.50d805095d3d3p-1, -0x1.50a6d7d8247b2p-1, -0x1.50320ee716658p-1, -0x1.4f7cdb71fc6d7p-1, -0x1.4e8a67cac2958p-1, -0x1.4d5dd4e25a206p-1, -0x1.4bfa38c611271p-1, -0x1.4a629ccb35bb8p-1, -0x1.4899fb12874acp-1, -0x1.46a33c1590207p-1, -0x1.448134f788623p-1, -0x1.4236a6b9993p-1, -0x1.3fc63de91b6fep-1, -0x1.3d3292399b057p-1, -0x1.3a7e25caaaf34p-1, -0x1.37ab645a05cd6p-1, -0x1.34bca2dfadae9p-1, -0x1.31b41fd13411fp-1, -0x1.2e9403ca38c35p-1, -0x1.2b5e62134732ep-1, -0x1.281538b0ee5c1p-1, -0x1.24ba7017451c3p-1, -0x1.214fdaeb2c4f8p-1, -0x1.1dd7362a9e2c5p-1, -0x1.1a5229c4672bbp-1, -0x1.16c2495e71d3fp-1, -0x1.132914fcbee5ap-1, -0x1.0f87f9687e088p-1, -0x1.0be05071d265bp-1, -0x1.0833614120a17p-1, -0x1.048260da49fe3p-1, -0x1.00ce72ce424f3p-1, -0x1.fa31540082604p-2, -0x1.f2c412d17594dp-2, -0x1.eb5709a69dbffp-2, -0x1.e3ec033d9cd76p-2, -0x1.dc84aefa3ad26p-2, -0x1.d522a23ce0b8ap-2, -0x1.cdc759596d911p-2, -0x1.c67438188ca2bp-2, -0x1.bf2a89ec1b7f6p-2, -0x1.b7eb85acf42fdp-2, -0x1.b0b83cf5c24a4p-2, -0x1.a991ba87b5f05p-2, -0x1.a278f1a4d8093p-2, -0x1.9b6ec2ccb101ep-2, -0x1.9473fca2def14p-2, -0x1.8d895cc3c021bp-2, -0x1.86af908a82d39p-2, -0x1.7fe735ccbe25cp-2, -0x1.7930db8f74c81p-2, -0x1.728d02b8bfd2p-2, -0x1.6bfc1ec08f2e9p-2, -0x1.657e96622bfc9p-2, -0x1.5f14c44f19047p-2, -0x1.58bef7e2223d2p-2, -0x1.527d75cfb9d2dp-2, -0x1.4c5078cfa504dp-2, -0x1.4638323c7c0ccp-2, -0x1.4034caa761d7ep-2, -0x1.3a466260c63c9p-2, -0x1.346d11f8ad5p-2, -0x1.2ea8eab968d7ap-2, -0x1.28f9f71e983cap-2, -0x1.23603b48cf50ap-2, -0x1.1ddbb56cf4a3dp-2, -0x1.186c5e3e0617bp-2, -0x1.1312295070939p-2, -0x1.0dcd0576fe5e9p-2, -0x1.089cdd1a2c981p-2, -0x1.0381968ae4b0ap-2, -0x1.fcf628a289f49p-3, -0x1.f3126aef1750bp-3, -0x1.e957aba16834p-3, -0x1.dfc59c74b1d8p-3, -0x1.d65be9b395f7bp-3, -0x1.cd1a3aaa17ef5p-3, -0x1.c4003211d407bp-3, -0x1.bb0d6e7b70e98p-3, -0x1.b2418ab7682dfp-3, -0x1.a99c1e3ee2498p-3, -0x1.a11cbd9b5cd72p-3, -0x1.98c2faca65416p-3, -0x1.908e659a22659p-3, -0x1.887e8bfc08c5ep-3, -0x1.8092fa4c6f702p-3, -0x1.78cb3b8fb9ea4p-3, -0x1.7126d9a752039p-3, -0x1.69a55d81876d6p-3, -0x1.62464f477ad42p-3, -0x1.5b09368b1b71bp-3, -0x1.53ed9a761f4f5p-3, -0x1.4cf301f9472ep-3, -0x1.4618f3fa615f1p-3, -0x1.3f5ef77f1c56bp-3, -0x1.38c493d2f8322p-3, -0x1.324950a770bdep-3, -0x1.2becb62e69a75p-3, -0x1.25ae4d2fa2c4cp-3, -0x1.1f8d9f1aaeae6p-3, -0x1.198a3616c9bdep-3, -0x1.13a39d11ef8aap-3, -0x1.0dd95fcfdb499p-3, -0x1.082b0af944de1p-3, -0x1.02982c2b00037p-3, -0x1.fa40a408fa43p-4, -0x1.ef86186a0ea04p-4, -0x1.e4ffd70e83825p-4, -0x1.daad03d531d62p-4, -0x1.d08cc4f5b32efp-4, -0x1.c69e430c4538fp-4, -0x1.bce0a923aeffbp-4, -0x1.b35324be28e0cp-4, -0x1.a9f4e5de49c52p-4, -0x1.a0c51f10a6095p-4, -0x1.97c3057644d7ep-4, -0x1.8eedd0cf9ccd7p-4, -0x1.8644bb878f8d6p-4, -0x1.7dc702bd6bb5ap-4, -0x1.7573e64d21601p-4, -0x1.6d4aa8d4da239p-4, -0x1.654a8fb76ep-4, -0x1.5d72e31b83f2p-4, -0x1.55c2ede77cf9cp-4, -0x1.4e39fdbaa0abdp-4, -0x1.46d72a52ac1b1p-4, -0x1.3f9a3784e7c36p-4, -0x1.388243ac9d693p-4, -0x1.318ea6ad67419p-4, -0x1.2abebaf73999ep-4, -0x1.2411dd81c3104p-4, -0x1.1d876dc773415p-4, -0x1.171ecdc02573cp-4, -0x1.10d761db69cdep-4, -0x1.0ab090fa706d4p-4, -0x1.04a9c46996b9bp-4, -0x1.fd84cfb336b52p-5, -0x1.f1f3d2b10223bp-5, -0x1.e69f72944fc3p-5, -0x1.db8694c15358fp-5, -0x1.d0a823290fbdcp-5, -0x1.c6030c3969b1cp-5, -0x1.bb9642cd18926p-5, -0x1.b160be1b88fbap-5, -0x1.a76179a8c7dc2p-5, -0x1.9d9775358b168p-5, -0x1.9401b4af6569fp-5, -0x1.8a9f402127be1p-5, -0x1.816f23a37aba6p-5, -0x1.78706f4dad7e1p-5, -0x1.6fa23726b702fp-5, -0x1.67039316707f8p-5, -0x1.5e939ed6ff48fp-5, -0x1.565179e671054p-5, -0x1.4e3c47788bf06p-5, -0x1.46532e68d3336p-5, -0x1.3e95592cc05d4p-5, -0x1.3701f5c62f2b5p-5, -0x1.2f9835b600e99p-5, -0x1.28574deef16ecp-5, -0x1.213e76c89e68ep-5, -0x1.1a4cebf2bc0d4p-5, -0x1.1381ec68734c8p-5, -0x1.0cdcba63eb4dfp-5, -0x1.065c9b51f50bbp-5, -0x1.0000d7c5d90fdp-5, -0x1.f39176da9445fp-6, -0x1.e7672a08e9aa3p-6, -0x1.db816c9460e56p-6, -0x1.cfdee7e8aca8cp-6, -0x1.c47e4b486ee01p-6, -0x1.b95e4bb67088ep-6, -0x1.ae7da3df29c13p-6, -0x1.a3db14029a0f1p-6, -0x1.997561de7248ep-6, -0x1.8f4b589893a2ep-6, -0x1.855bc8a9e54a7p-6, -0x1.7ba587c981433p-6, -0x1.722770d83c0afp-6, -0x1.68e063cc7dde2p-6, -0x1.5fcf459e6d9cap-6, -0x1.56f3003479fa9p-6, -0x1.4e4a82502dfc1p-6, -0x1.45d4bf7b51708p-6, -0x1.3d90aff55bc2fp-6, -0x1.357d50a13215bp-6, -0x1.2d99a2f32bbc6p-6, -0x1.25e4acdf5fe4ep-6, -0x1.1e5d78c82fc4ep-6, -0x1.1703156d1ee33p-6, -0x1.0fd495d9e2f89p-6, -0x1.08d11155b3d95p-6, -0x1.01f7a352d5c79p-6, -0x1.f68ed6bcbc594p-7, -0x1.e97f1a2077c1ap-7, -0x1.dcbe5ff6bfa32p-7, -0x1.d04aff3c6a57ep-7, -0x1.c42356a6796cbp-7, -0x1.b845cc83c7f4cp-7, -0x1.acb0ce9f1f9abp-7, -0x1.a162d221abfc9p-7, -0x1.965a5375e5a8ap-7, -0x1.8b95d62abf3f6p-7, -0x1.8113e4d75dea4p-7, -0x1.76d310ff1831p-7, -0x1.6cd1f2f5de5bep-7, -0x1.630f29c5055acp-7, -0x1.59895b10715fap-7, -0x1.503f32fc1bf38p-7, -0x1.472f6411fb93cp-7, -0x1.3e58a7283e7bep-7, -0x1.35b9bb47eddd6p-7, -0x1.2d516593d9b5ep-7, -0x1.251e712fed5aep-7, -0x1.1d1faf28cca47p-7, -0x1.1553f65bcd8eap-7, -0x1.0dba235f3f8b3p-7, -0x1.0651186b05b7bp-7, -0x1.fe2f7a8314e48p-8, -0x1.f019fe31e28e3p-8, -0x1.e25fa1094aa9dp-8, -0x1.d4fe52be4b3b6p-8, -0x1.c7f40d68568cep-8, -0x1.bb3ed556186d6p-8, -0x1.aedcb8e2cab66p-8, -0x1.a2cbd04c33d32p-8, -0x1.970a3d890ed61p-8, -0x1.8b962c200fc62p-8, -0x1.806dd0ff5ac34p-8, -0x1.758f6a54a2a59p-8, -0x1.6af93f65a3171p-8, -0x1.60a9a06934ed1p-8, -0x1.569ee660db89dp-8, -0x1.4cd772f2c1fdep-8, -0x1.4351b04453d0ap-8, -0x1.3a0c10d537753p-8, -0x1.31050f5ac9f16p-8, -0x1.283b2e9c15864p-8, -0x1.1facf94e42397p-8, -0x1.175901f17a55fp-8, -0x1.0f3de2ae40a49p-8, -0x1.075a3d334b7f7p-8, -0x1.ff5975278322ep-9, -0x1.f068164bf2609p-9, -0x1.e1ddccc51c40fp-9, -0x1.d3b8158836557p-9, -0x1.c5f47b4e4b06ep-9, -0x1.b89096555fe95p-9, -0x1.ab8a0c22205b3p-9, -0x1.9ede8f4292fa6p-9, -0x1.928bdf11a084bp-9, -0x1.868fc77b5c602p-9, -0x1.7ae820c228af4p-9, -0x1.6f92cf44c7f6fp-9, -0x1.648dc34517166p-9, -0x1.59d6f8afa35bep-9, -0x1.4f6c76e42017ap-9, -0x1.454c507e742d7p-9, -0x1.3b74a320d81e7p-9, -0x1.31e3973e7e8ecp-9, -0x1.28975fe718587p-9, -0x1.1f8e3a931ec6ep-9, -0x1.16c66ef0d677cp-9, -0x1.0e3e4eb224373p-9, -0x1.05f4355aee98fp-9, -0x1.fbcd1021194f8p-10, -0x1.ec276ad34ffb3p-10, -0x1.dcf46a7debcd8p-10, -0x1.ce3110f942939p-10, -0x1.bfda71e8f0ee8p-10, -0x1.b1edb2616711cp-10, -0x1.a468088f0f54dp-10, -0x1.9746bb5ebb481p-10, -0x1.8a8722275e0dbp-10, -0x1.7e26a4557169ep-10, -0x1.7222b91716d9dp-10, -0x1.6678e70a605aep-10, -0x1.5b26c3ec186cap-10, -0x1.5029f4487df89p-10, -0x1.45802b2cc782ep-10, -0x1.3b2729da5c54bp-10, -0x1.311cbf7afc577p-10, -0x1.275ec8d6611d1p-10, -0x1.1deb30090ca5fp-10, -0x1.14bfec3c20bd7p-10, -0x1.0bdb015edfedp-10, -0x1.033a7fe0dc7fcp-10, -0x1.f5b908db9157fp-11, -0x1.e57e6f5454548p-11, -0x1.d5c19be2b3a8fp-11, -0x1.c67f0e297321dp-11, -0x1.b7b35c376c80dp-11, -0x1.a95b320b08fbcp-11, -0x1.9b7349b841c93p-11, -0x1.8df88938604c5p-11, -0x1.80e7d34ac11c4p-11, -0x1.743e26f343101p-11, -0x1.67f896d3e7e65p-11, -0x1.5c1448bcce063p-11, -0x1.508e753dc9b53p-11, -0x1.4564673adbefcp-11, -0x1.3a937b81d20bap-11, -0x1.301920623fefp-11, -0x1.25f2d547b10eap-11, -0x1.1c1e2a5568715p-11, -0x1.1298c00466cap-11, -0x1.096046c2aebfep-11, -0x1.00727e9590f54p-11, -0x1.ef9a6d79321f8p-12, -0x1.dedc9aae3391fp-12, -0x1.cea75e16349d3p-12, -0x1.bef6ad5c706bp-12, -0x1.afc699e0851aap-12, -0x1.a113500ed5e82p-12, -0x1.92d916bc92ec5p-12, -0x1.85144e872f103p-12, -0x1.77c1713625c65p-12, -0x1.6add1121b73b7p-12, -0x1.5e63d89b1478ap-12, -0x1.52528958aab73p-12, -0x1.46a5fbe52ff7dp-12, -0x1.3b5b1f113a5f1p-12, -0x1.306ef76908c6dp-12, -0x1.25de9eabfa4edp-12, -0x1.1ba743470b311p-12, -0x1.11c627d3179ccp-12, -0x1.0838a294dbf85p-12, -0x1.fdf839ff203f5p-13, -0x1.ec1c2676f0ca1p-13, -0x1.dad8275adc886p-13, -0x1.ca277d04bafdap-13, -0x1.ba058a7825148p-13, -0x1.aa6dd4832f3cdp-13, -0x1.9b5c00e334c46p-13, -0x1.8ccbd56c710f6p-13, -0x1.7eb9373a571aep-13, -0x1.712029e0f39ccp-13, -0x1.63fccea45a929p-13, -0x1.574b63b46265cp-13, -0x1.4b08436c72febp-13, -0x1.3f2fe397ce8f4p-13, -0x1.33bed4ba739a9p-13, -0x1.28b1c15c02336p-13, -0x1.1e056d5a8bd93p-13, -0x1.13b6b53d9ec7cp-13, -0x1.09c28d8f10267p-13, -0x1.002602371c1a3p-13, -0x1.edbc6bb89a6dp-14, -0x1.dbd0c28ebd4aep-14, -0x1.ca83a593b28a2p-14, -0x1.b9cfdb529ed3dp-14, -0x1.a9b0531b04db1p-14, -0x1.9a2023e3404dp-14, -0x1.8b1a8b33646e5p-14, -0x1.7c9aec13d7d38p-14, -0x1.6e9cce064d706p-14, -0x1.611bdc01f45f6p-14, -0x1.5413e37536cc1p-14, -0x1.4780d351c430cp-14, -0x1.3b5ebb1a9e40cp-14, -0x1.2fa9c9f7f17cap-14, -0x1.245e4dd376ebap-14, -0x1.1978b27913904p-14, -0x1.0ef580bc033b1p-14, -0x1.04d15da1bf898p-14, -0x1.f61213283ce83p-15, -0x1.e332bf2a2a454p-15, -0x1.d0fea8f8c0981p-15, -0x1.bf6fec69bd87bp-15, -0x1.ae80d6043edb2p-15, -0x1.9e2be194fe7b5p-15, -0x1.8e6bb8cc23a86p-15, -0x1.7f3b31dad240bp-15, -0x1.70954e2d56aeep-15, -0x1.6275391b4f1d8p-15, -0x1.54d646a999aa2p-15, -0x1.47b3f252a8762p-15, -0x1.3b09ddd73f294p-15, -0x1.2ed3d017b7135p-15, -0x1.230db3f383b4bp-15, -0x1.17b39733ea164p-15, -0x1.0cc1a97ab9823p-15, -0x1.02343b358f3fep-15, -0x1.f00f79496a3e7p-16, -0x1.dc7179b29743ep-16, -0x1.c987d18df701dp-16, -0x1.b74c14a683f5dp-16, -0x1.a5b80ee20c2fbp-16, -0x1.94c5c2803587cp-16, -0x1.846f6668cd70bp-16, -0x1.74af64817a239p-16, -0x1.65805816ff669p-16, -0x1.56dd0c48b4a7cp-16, -0x1.48c07a8769f38p-16, -0x1.3b25c919f48dbp-16, -0x1.2e0849b2465dfp-16, -0x1.21637802da633p-16, -0x1.1532f86804be9p-16, -0x1.0972969db5205p-16, -0x1.fc3c88d9a041fp-17, -0x1.e66430f5b97e3p-17, -0x1.d1549a18896e4p-17, -0x1.bd067dcc6d61p-17, -0x1.a972d82f6b511p-17, -0x1.9692e5eb3140cp-17, -0x1.846021fdb6bbfp-17, -0x1.72d443a53023cp-17, -0x1.61e93c66a12ebp-17, -0x1.51993614780fp-17, -0x1.41de90eafb5d8p-17, -0x1.32b3e1bae0841p-17, -0x1.2413f020c211bp-17, -0x1.15f9b4cef8dc8p-17, -0x1.086057d038d33p-17, -0x1.f6865e0048cd2p-18, -0x1.dd3b78d17fcf6p-18, -0x1.c4d7597f827aap-18, -0x1.ad51abc607128p-18, -0x1.96a26aec893edp-18, -0x1.80c1def9c6d43p-18, -0x1.6ba899ec84b2bp-18, -0x1.574f75317b748p-18, -0x1.43af8f16ac509p-18, -0x1.30c24858b584ap-18, -0x1.1e8141cb8ed99p-18, -0x1.0ce659e928f1p-18, -0x1.f7d7559fd1ac8p-19, -0x1.d7170feb76a8fp-19, -0x1.b780f834b0bbcp-19, -0x1.990a8e8bd4d8cp-19, -0x1.7ba9b9a8090f3p-19, -0x1.5f54c31c9dacp-19, -0x1.440253a76076ap-19, -0x1.29a96fc11e1bep-19, -0x1.104174103c32ep-19, -0x1.ef8424ba82165p-20, -0x1.c0469c21342f2p-20, -0x1.92baf25316ca7p-20, -0x1.66d262f2d9b64p-20, -0x1.3c7ebb3da3f5ep-20, -0x1.13b25433cf5edp-20, -0x1.d8c01b7b3df3ap-21, -0x1.8cf6927d47e9bp-21, -0x1.43efc88786008p-21, -0x1.fb28d0ca1bd56p-22, -0x1.739c0508f0ad3p-22, -0x1.e21c118989597p-23, -0x1.cd557978b718fp-24, 0x1.6d780845d80c9p-28, 0x1.e8e843363c90ep-24, 0x1.d4b83549e224fp-23, 0x1.563f7bf3a8e11p-22, 0x1.be0658f8eb13p-22, 0x1.10e8c4ef00414p-21, 0x1.40e0541affd23p-21, 0x1.6ef90dba76e7ep-21, 0x1.9b4193d95c11dp-21, 0x1.c5c7fabe8e2dp-21, 0x1.ee99d0b55440cp-21, 0x1.0ae2115a269bp-20, 0x1.1da9c0e91deap-20, 0x1.2faa0452d776ap-20, 0x1.40e8afee163d5p-20, 0x1.516b61b881332p-20, 0x1.61378370c9348p-20, 0x1.70524d14a87e7p-20, 0x1.7ec0c692dda7ep-20, 0x1.8c87ca2d2ed97p-20, 0x1.99ac064c667d2p-20, 0x1.a631ff61f4207p-20, 0x1.b21e11bc1868ep-20, 0x1.bd74731c25841p-20, 0x1.c83934e36f315p-20, 0x1.d27044ed1e1c6p-20, 0x1.dc1d6f82ff0aep-20, 0x1.e54460d21caaep-20, 0x1.ede8a63e3d1a8p-20, 0x1.f60dafd1604cfp-20, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.dc2ca32ac74d7p-2, -0x1.e7d29bc36402cp-2, -0x1.f0c62b7063e8fp-2, -0x1.f711c5e8c3805p-2, -0x1.fac595008ebbfp-2, -0x1.fbf6ea273bfb2p-2, -0x1.fabf0abe0e10cp-2, -0x1.f73a0d42cffecp-2, -0x1.f1869824c366ap-2, -0x1.e9c5350dec4d8p-2, -0x1.e0179d2e2bad1p-2, -0x1.d4a063ddbea66p-2, -0x1.c7828e853ac26p-2, -0x1.b8e132e833017p-2, -0x1.a8df244d4f7c2p-2, -0x1.979e932fde6f3p-2, -0x1.8540ca94aff1bp-2, -0x1.71e624fc1f8bcp-2, -0x1.5dae08019cf0ap-2, -0x1.48b6c30b6b0b8p-2, -0x1.331d6bb5415dbp-2, -0x1.1cfda8cf386dep-2, -0x1.06725d3553a88p-2, -0x1.df289612ecdecp-3, -0x1.b0f5bd7b435ap-3, -0x1.8277e9d269a84p-3, -0x1.53d80d9553829p-3, -0x1.253c837bbfc58p-3, -0x1.ed9205271055ap-4, -0x1.913d02fc4321bp-4, -0x1.35b667cef3475p-4, -0x1.b66aa8aabd623p-5, -0x1.03d7fa1dbf456p-5, -0x1.503f9b04330fap-7, 0x1.626d71ecaa92ep-7, 0x1.01e04737b5864p-5, 0x1.a77daa4308186p-5, 0x1.249d1fe34fdf5p-4, 0x1.7372185d369dp-4, 0x1.c02851ff21453p-4, 0x1.0556d7059b14bp-3, 0x1.297996a87251dp-3, 0x1.4c765fb581fd5p-3, 0x1.6e4886cc605efp-3, 0x1.8eeca152b161ep-3, 0x1.ae6069188061ep-3, 0x1.cca2a054a6d62p-3, 0x1.e9b2f6246b43ep-3, 0x1.02c8f5f05ddf1p-2, 0x1.10205e1edff08p-2, 0x1.1ce0a2c7d19ecp-2, 0x1.290afc14b18c4p-2, 0x1.34a0e4622e9b3p-2, 0x1.3fa412fea400fp-2, 0x1.4a1677e5d8e93p-2, 0x1.53fa382746ab1p-2, 0x1.5d51aada14b88p-2, 0x1.661f566e22214p-2, 0x1.6e65edd3d7bc3p-2, 0x1.76284caf60af5p-2, 0x1.7d6971f11e1e6p-2, 0x1.842c78d035fd5p-2, 0x1.8a7490f60e08cp-2, 0x1.9044a32c50287p-2, 0x1.95a09404daa38p-2, 0x1.9a8b738112436p-2, 0x1.9f088170cdeep-2, 0x1.a31b011e17791p-2, 0x1.a6c6394c3b179p-2, 0x1.aa0d73ba836f2p-2, 0x1.acf3fbf1fedacp-2, 0x1.af7d1d5bd418ap-2, 0x1.b1ac20c806b1cp-2, 0x1.b38449a4d0876p-2, 0x1.b508d32caf282p-2, 0x1.b63cedc88b89ep-2, 0x1.b723bcd13d1f4p-2, 0x1.b7c054c5c7e4cp-2, 0x1.b815b9f7920dcp-2, 0x1.b826df9f97099p-2, 0x1.b7f6a74945d4ap-2, 0x1.b787e07f91669p-2, 0x1.b6dd48ac0fb72p-2, 0x1.b5f98b1b379edp-2, 0x1.b4df411ae7ba6p-2, 0x1.b390f2297c956p-2, 0x1.b211142d6e054p-2, 0x1.b0620bb038f16p-2, 0x1.ae862c1aee702p-2, 0x1.ac7fb7f590a72p-2, 0x1.aa50e12b0511p-2, 0x1.a7fbc95164bfbp-2, 0x1.a58281f28b827p-2, 0x1.a2e70ccd0dcaap-2, 0x1.a02b5c03f8294p-2, 0x1.9d5152357f5e9p-2, 0x1.9a5ac275d80ecp-2, 0x1.974970328442cp-2, 0x1.941f0f0935901p-2, 0x1.90dd42a1d0937p-2, 0x1.8d859e9b97cd5p-2, 0x1.8a19a69a24288p-2, 0x1.869ace786574dp-2, 0x1.830a7aa0af45cp-2, 0x1.7f6a008291589p-2, 0x1.7bbaa71b9f11p-2, 0x1.77fda787e7f7ap-2, 0x1.74342d91300a2p-2, 0x1.705f5837f064dp-2, 0x1.6c803a353569cp-2, 0x1.6897da776a9a6p-2, 0x1.64a7349d4d361p-2, 0x1.60af3971a4c25p-2, 0x1.5cb0cf688a7a4p-2, 0x1.58acd31cf0831p-2, 0x1.54a417cb5d20dp-2, 0x1.509767c6237efp-2, 0x1.4c8784dfc93b3p-2, 0x1.487528c998c35p-2, 0x1.44610565f84a5p-2, 0x1.404bc50fbe07fp-2, 0x1.3c360ad8b9fddp-2, 0x1.382072c218cb7p-2, 0x1.340b91f0f6249p-2, 0x1.2ff7f6e0cd0a7p-2, 0x1.2be62994874cap-2, 0x1.27d6abc633c9cp-2, 0x1.23c9f914eb60fp-2, 0x1.1fc08730528e6p-2, 0x1.1bbac60155a0fp-2, 0x1.17b91fd03a5b7p-2, 0x1.13bbf968918cbp-2, 0x1.0fc3b23c0f2d7p-2, 0x1.0bd0a485830a9p-2, 0x1.07e3256d280a2p-2, 0x1.03fb852f53408p-2, 0x1.001a0f46169aap-2, 0x1.f87e152be7693p-3, 0x1.f0d5733a8cea2p-3, 0x1.e93ab54b4066bp-3, 0x1.e1ae4fec2d081p-3, 0x1.da30b00ad4e14p-3, 0x1.d2c23b560da1bp-3, 0x1.cb63509c0474p-3, 0x1.c414482337797p-3, 0x1.bcd573fde638cp-3, 0x1.b5a7205806319p-3, 0x1.ae8aa25c766b7p-3, 0x1.a77d7e40d5ba6p-3, 0x1.a081a3dff0cc9p-3, 0x1.99974e1c7b993p-3, 0x1.92beb2ad05c6cp-3, 0x1.8bf8024c6a85cp-3, 0x1.854368edf11d9p-3, 0x1.7ea10df461102p-3, 0x1.7811146b0493dp-3, 0x1.71939b3fa076fp-3, 0x1.6b28bd7c40087p-3, 0x1.64d0927fcfc6ap-3, 0x1.5e8b2e34a3035p-3, 0x1.5858a1440b392p-3, 0x1.5238f9466f0eap-3, 0x1.4c2c40ef69665p-3, 0x1.46328035c39ffp-3, 0x1.404bbc7735eddp-3, 0x1.3a77f898100dap-3, 0x1.34b7351f17cafp-3, 0x1.2f09704df0dccp-3, 0x1.296ea6368cc76p-3, 0x1.23e6d0ce1ec91p-3, 0x1.1e71e7fe17c2fp-3, 0x1.190fe1b3a623bp-3, 0x1.13c0b1ee3c036p-3, 0x1.0e844acd841c9p-3, 0x1.095a9c9f23c0fp-3, 0x1.044395ec948ddp-3, 0x1.fe7e4712ac2d6p-4, 0x1.f49a61433ab0cp-4, 0x1.eadb4d932556fp-4, 0x1.e140dc1a5dd8ap-4, 0x1.d7cada0141f3dp-4, 0x1.ce7911a26ac6ap-4, 0x1.c54b4aad26cf7p-4, 0x1.bc414a4874591p-4, 0x1.b35ad3361487ep-4, 0x1.aa97a5f57975bp-4, 0x1.a1f780e633e0ep-4, 0x1.997a2069aa13ep-4, 0x1.911f3f03c9601p-4, 0x1.88e6957a90678p-4, 0x1.80cfdaf43d126p-4, 0x1.78dac51408bb5p-4, 0x1.7107081561817p-4, 0x1.695456e597f46p-4, 0x1.61c2633c05536p-4, 0x1.5a50ddb0b5fb5p-4, 0x1.52ff75d1a8bafp-4, 0x1.4bcdda36bdf6fp-4, 0x1.44bbb8946f6c4p-4, 0x1.3dc8bdcd72853p-4, 0x1.36f4960366258p-4, 0x1.303eeca6ab9a2p-4, 0x1.29a76c858ccb3p-4, 0x1.232dbfdace7bap-4, 0x1.1cd1905bc8714p-4, 0x1.169287461e43bp-4, 0x1.10704d6d2c588p-4, 0x1.0a6a8b47382e2p-4, 0x1.0480e8fa7153fp-4, 0x1.fd661cd395f52p-5, 0x1.f2014683606fep-5, 0x1.e6d29e0927696p-5, 0x1.dbd9722eb3c08p-5, 0x1.d115119b2bddep-5, 0x1.c684caeb285b5p-5, 0x1.bc27ecc8510aap-5, 0x1.b1fdc60074a37p-5, 0x1.a805a59c0438ap-5, 0x1.9e3edaf3e3551p-5, 0x1.94a8b5c6806e9p-5, 0x1.8b42864c23bdbp-5, 0x1.820b9d4a69ebfp-5, 0x1.79034c26e606p-5, 0x1.7028e4f8df6fp-5, 0x1.677bba9a2d976p-5, 0x1.5efb20b72d995p-5, 0x1.56a66bddd64cp-5, 0x1.4e7cf18bebddfp-5, 0x1.467e083c5d28ep-5, 0x1.3ea90773cbce3p-5, 0x1.36fd47cc50b37p-5, 0x1.2f7a23007d389p-5, 0x1.281ef3f5aac03p-5, 0x1.20eb16c59f92ap-5, 0x1.19dde8c796d53p-5, 0x1.12f6c898b514bp-5, 0x1.0c351623f33ebp-5, 0x1.059832a98fdcep-5, 0x1.fe3f018c0ff93p-6, 0x1.f194c8f155824p-6, 0x1.e53086538a564p-6, 0x1.d9110760f391p-6, 0x1.cd351cb07bfp-6, 0x1.c19b99cc165a9p-6, 0x1.b643553a8ca34p-6, 0x1.ab2b2888b91b7p-6, 0x1.a051f0523f5fdp-6, 0x1.95b68c49b91dp-6, 0x1.8b57df4062c11p-6, 0x1.8134cf2d432edp-6, 0x1.774c4533d62ebp-6, 0x1.6d9d2daa31e0ap-6, 0x1.6426781ea7e33p-6, 0x1.5ae7175ce8848p-6, 0x1.51de01729a9efp-6, 0x1.490a2fb374cbcp-6, 0x1.406a9ebcca8d3p-6, 0x1.37fe4e7899661p-6, 0x1.2fc442200c05bp-6, 0x1.27bb803d78742p-6, 0x1.1fe312addb5bcp-6, 0x1.183a06a1d07p-6, 0x1.10bf6c9e07f1bp-6, 0x1.0972587b4275fp-6, 0x1.0251e165ca7ebp-6, 0x1.f6ba43b8faf88p-7, 0x1.e9266f5eb78bep-7, 0x1.dbe687fb48edep-7, 0x1.cef8d6671ef6dp-7, 0x1.c25baa0f2703p-7, 0x1.b60d58eea0dfcp-7, 0x1.aa0c3f88290ecp-7, 0x1.9e56c0de1cf78p-7, 0x1.92eb466a411a2p-7, 0x1.87c84014d0aacp-7, 0x1.7cec242af0f59p-7, 0x1.72556f5492648p-7, 0x1.6802a489c9018p-7, 0x1.5df24d07a37d5p-7, 0x1.5422f84491a08p-7, 0x1.4a933be44c119p-7, 0x1.4141b3ab658dcp-7, 0x1.382d0172657dap-7, 0x1.2f53cd1896d1fp-7, 0x1.26b4c47677512p-7, 0x1.1e4e9b4fdcb98p-7, 0x1.16200b45c8af2p-7, 0x1.0e27d3c7fe985p-7, 0x1.0664ba0651fc7p-7, 0x1.fdab11c378e4bp-8, 0x1.eef221ba724eap-8, 0x1.e09c501cdc973p-8, 0x1.d2a7541c46d11p-8, 0x1.c510efd11afcp-8, 0x1.b7d6f01ae1ce9p-8, 0x1.aaf72c803917ep-8, 0x1.9e6f870e8844p-8, 0x1.923dec39734aep-8, 0x1.866052ba159bcp-8, 0x1.7ad4bb6e08f61p-8, 0x1.6f9931364299bp-8, 0x1.64abc8d5c3b61p-8, 0x1.5a0aa0d02fabfp-8, 0x1.4fb3e1483db7bp-8, 0x1.45a5bbde1b207p-8, 0x1.3bde6b8dba8b6p-8, 0x1.325c348d12b39p-8, 0x1.291d642a60827p-8, 0x1.202050aa5d0dfp-8, 0x1.176359267fb12p-8, 0x1.0ee4e56b44156p-8, 0x1.06a365d67fff3p-8, 0x1.fd3aa66b97ecfp-9, 0x1.eda25d49feb5ep-9, 0x1.de7b02d99d9f8p-9, 0x1.cfc17ab809ef9p-9, 0x1.c1737a106b7ep-9, 0x1.b38dff30e4ebep-9, 0x1.a60e5b7ac7107p-9, 0x1.98f1ef5fe0fbbp-9, 0x1.8c362a21a9f24p-9, 0x1.7fd88990d1dep-9, 0x1.73d699cd557ap-9, 0x1.682df50700446p-9, 0x1.5cdc433e761cap-9, 0x1.51df3a06c99ep-9, 0x1.47349c4793f4cp-9, 0x1.3cda39ffad24ap-9, 0x1.32cdf0086ad9dp-9, 0x1.290da7d98c9e8p-9, 0x1.1f97574db79d1p-9, 0x1.16690067a1766p-9, 0x1.0d80b117d7983p-9, 0x1.04dc83033997dp-9, 0x1.f8f53694345ecp-10, 0x1.e8b254a0231ep-10, 0x1.d8ecd7090204ap-10, 0x1.c9a14a5795761p-10, 0x1.bacc505275dfp-10, 0x1.ac6a9f936302p-10, 0x1.9e79031dec693p-10, 0x1.90f459f7a1a8bp-10, 0x1.83d996c1aaea7p-10, 0x1.7725bf53d7469p-10, 0x1.6ad5ec5922089p-10, 0x1.5ee748edb5a29p-10, 0x1.5357123e4727p-10, 0x1.482297291017p-10, 0x1.3d4737e016956p-10, 0x1.32c2658cf8e9p-10, 0x1.2891a1f62daaep-10, 0x1.1eb27f25a21c5p-10, 0x1.15229f10d2ca8p-10, 0x1.0bdfb34247fadp-10, 0x1.02e77c84703e8p-10, 0x1.f46f951beeef9p-11, 0x1.e39cf75ea3d57p-11, 0x1.d352f903a0b65p-11, 0x1.c38d8f2fde63p-11, 0x1.b448ca5e030dfp-11, 0x1.a580d5c4576c6p-11, 0x1.9731f6bd50856p-11, 0x1.89588c32a2ec5p-11, 0x1.7bf10e0aedcf8p-11, 0x1.6ef80c99aa17bp-11, 0x1.626a3011d9aa6p-11, 0x1.564437fae1111p-11, 0x1.4a82faa7d887dp-11, 0x1.3f2364b134b3ap-11, 0x1.34227870b5e3p-11, 0x1.297d4d7faa01ep-11, 0x1.1f31103756b1ap-11, 0x1.153b0133af8ccp-11, 0x1.0b9874d82986p-11, 0x1.0246d2d6c1e7bp-11, 0x1.f2872b7241428p-12, 0x1.e11894d78f672p-12, 0x1.d03d1f96d74ffp-12, 0x1.bff02c6897b9bp-12, 0x1.b02d3e27171c8p-12, 0x1.a0eff8f542717p-12, 0x1.923421696d039p-12, 0x1.83f59bbbf0651p-12, 0x1.76306af9d8acp-12, 0x1.68e0b03b70607p-12, 0x1.5c02a9de7e9efp-12, 0x1.4f92b2c47596ep-12, 0x1.438d41946f28cp-12, 0x1.37eee800ccddap-12, 0x1.2cb45210d461fp-12, 0x1.21da456da0fbfp-12, 0x1.175da0b315936p-12, 0x1.0d3b5ac45f9b3p-12, 0x1.03708224185e3p-12, 0x1.f3f4789fbbea4p-13, 0x1.e1ab8a3fa9e01p-13, 0x1.d000dc52bfce4p-13, 0x1.beef3c4b0ee82p-13, 0x1.ae71a0b59c3bfp-13, 0x1.9e832814ff117p-13, 0x1.8f1f17c2c6f89p-13, 0x1.8040dad795b74p-13, 0x1.71e4011a39a5cp-13, 0x1.64043df4c090ap-13, 0x1.569d677065351p-13, 0x1.49ab75383fec1p-13, 0x1.3d2a7fa19b307p-13, 0x1.3116bebb05ebfp-13, 0x1.256c896122d81p-13, 0x1.1a285459cef72p-13, 0x1.0f46b174fed28p-13, 0x1.04c44eb37938dp-13, 0x1.f53beae67a176p-14, 0x1.e1a1134342d8dp-14, 0x1.ceb211e523823p-14, 0x1.bc69143afb966p-14, 0x1.aac0783eb75b6p-14, 0x1.99b2cb03a2d4fp-14, 0x1.893ac74e896e6p-14, 0x1.79535437ab55fp-14, 0x1.69f783d6c4b44p-14, 0x1.5b2291f724422p-14, 0x1.4ccfe2d6461f2p-14, 0x1.3efb01e9d2593p-14, 0x1.319fa0afb3142p-14, 0x1.24b99584ac7cp-14, 0x1.1844da851aee9p-14, 0x1.0c3d8c7446eedp-14, 0x1.009fe9abdc476p-14, 0x1.ead0a22607d6bp-15, 0x1.d526823939129p-15, 0x1.c03aad9957df6p-15, 0x1.ac06998984915p-15, 0x1.9883f4ae13a3cp-15, 0x1.85aca5401efe3p-15, 0x1.737ac74cb8a43p-15, 0x1.61e8ab030029dp-15, 0x1.50f0d30b7bee8p-15, 0x1.408df2ed46e48p-15, 0x1.30baed7d8c602p-15, 0x1.2172d35acc973p-15, 0x1.12b0e173a3ecdp-15, 0x1.04707f95f4d54p-15, 0x1.ed5a7e15d7c09p-16, 0x1.d2c5b2779398bp-16, 0x1.b91a5cc1bc2c6p-16, 0x1.a05088744bbadp-16, 0x1.886089a019c7cp-16, 0x1.7142fa8028d9ap-16, 0x1.5af0b91ef350bp-16, 0x1.4562e51005086p-16, 0x1.3092dd39c1675p-16, 0x1.1c7a3dafd7911p-16, 0x1.0912dd9dc57abp-16, 0x1.ecad9a81c9272p-17, 0x1.c880a7e408aa8p-17, 0x1.a593dc79e8cb9p-17, 0x1.83dc981594515p-17, 0x1.63509da4fa18ep-17, 0x1.43e60fbc50f95p-17, 0x1.25936d38cc6cdp-17, 0x1.084f8dfabedeap-17, 0x1.d8233f71aab23p-18, 0x1.a1a245e48b942p-18, 0x1.6d0bcfe736a08p-18, 0x1.3a5017e622a44p-18, 0x1.095fec96928b1p-18, 0x1.b459570bbea28p-19, 0x1.595077c97d295p-19, 0x1.018a12e52fde6p-19, 0x1.59d7fe5b218a3p-20, 0x1.6d742549e2274p-21, 0x1.989d549d19d8bp-24, -0x1.f79dfde9363b7p-22, -0x1.0fc6fb0298a01p-20, -0x1.9c4006d9b0434p-20, -0x1.11be3b61e316cp-19, -0x1.52d24c1ddd1e2p-19, -0x1.916fa0c8774f6p-19, -0x1.cda8f0086f9cdp-19, -0x1.03c82196610cep-18, -0x1.1f9b7e6a9a867p-18, -0x1.3a56efbc32d0fp-18, -0x1.540289d9981aap-18, -0x1.6ca6172c76965p-18, -0x1.84491b25c396fp-18, -0x1.9af2d51242f64p-18, -0x1.b0aa42d4347ep-18, -0x1.c5762380d0075p-18, -0x1.d95cf9eb91d14p-18, -0x1.ec650f14ee138p-18, -0x1.fe9474837820cp-18, -0x1.07f88344474fbp-17, -0x1.104037358e0f6p-17, -0x1.182412451288bp-17, -0x1.1fa6b929ede18p-17, -0x1.26caba1ffc604p-17, -0x1.2d928dd61cfccp-17, -0x1.3400985411f28p-17, -0x1.3a1729d88a85ap-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.580accc89884p+0, -0x1.4f0191ad35982p+0, -0x1.45ae273a59f11p+0, -0x1.3c346ed794b1ap+0, -0x1.32b32bb81aa97p+0, -0x1.2944635ccf418p+0, -0x1.1ffdd7efc5f3ep+0, -0x1.16f171b199fdbp+0, -0x1.0e2dba019a672p+0, -0x1.05be2ca174925p+0, -0x1.fb57269cb18ccp-1, -0x1.ebf8d26739c4fp-1, -0x1.dd6a2f516595p-1, -0x1.cfb087dc00747p-1, -0x1.c2ce4b386ce85p-1, -0x1.b6c36376e5fa6p-1, -0x1.ab8d71d50e4b6p-1, -0x1.a1283e1aa5f24p-1, -0x1.978e2ae973c89p-1, -0x1.8eb87a610ad8cp-1, -0x1.869f768be0a6dp-1, -0x1.7f3aa92f2ad87p-1, -0x1.7880bfa94590bp-1, -0x1.7268591dfab7bp-1, -0x1.6ce7cc520ff5cp-1, -0x1.67f55b4f65ce6p-1, -0x1.63874113ba1d4p-1, -0x1.5f93c30b6cca5p-1, -0x1.5c1148b7491fcp-1, -0x1.58f672a6b2287p-1, -0x1.563a2a5831b21p-1, -0x1.53d3aa9ea7854p-1, -0x1.51ba8472ea2a1p-1, -0x1.4fe6a3c97f499p-1, -0x1.4e50551f42758p-1, -0x1.4cf04a3bb2a5bp-1, -0x1.4bbf9cb434132p-1, -0x1.4ab7ce37e0943p-1, -0x1.49d2c7cbfaa09p-1, -0x1.490ad8f725f8ap-1, -0x1.485ab6e4089e8p-1, -0x1.47bd7ad507797p-1, -0x1.472e9f6539f4cp-1, -0x1.46a9fcb764377p-1, -0x1.462bc431ff585p-1, -0x1.45b07c5fb5214p-1, -0x1.4534fd1ed4194p-1, -0x1.44b66bdd60d33p-1, -0x1.44323782373a2p-1, -0x1.43a613dcdcd16p-1, -0x1.430ff4cbf0b39p-1, -0x1.426e097af60d7p-1, -0x1.41beb80c25839p-1, -0x1.410099d59ecb4p-1, -0x1.40327833d45bdp-1, -0x1.3f5349e4ea262p-1, -0x1.3e6230dac2a9ep-1, -0x1.3d5e785e60655p-1, -0x1.3c47933e5255p-1, -0x1.3b1d19aba7281p-1, -0x1.39dec67b05608p-1, -0x1.388c73bfaff98p-1, -0x1.37261707ecd04p-1, -0x1.35abaf612119ap-1, -0x1.341d82a1205cbp-1, -0x1.327bb44788345p-1, -0x1.30c6866592288p-1, -0x1.2efe4b38ee6e1p-1, -0x1.2d2364143326dp-1, -0x1.2b364030fe863p-1, -0x1.29375b5d1f7cep-1, -0x1.27273c83516e8p-1, -0x1.2506741bf05b7p-1, -0x1.22d59a987a69dp-1, -0x1.20954edd8b00ep-1, -0x1.1e4634db68a86p-1, -0x1.1be8f44ef2187p-1, -0x1.197e37adb2849p-1, -0x1.1706ab3a01879p-1, -0x1.1482fc388f05p-1, -0x1.11f3d8400f974p-1, -0x1.0f59ec9d36295p-1, -0x1.0cb5e5c77d461p-1, -0x1.0a086ee522eaep-1, -0x1.0752315daedb5p-1, -0x1.0493d47a627fp-1, -0x1.01cdfd13c00f4p-1, -0x1.fe029a967c01ap-2, -0x1.f85cc8a0ed0bcp-2, -0x1.f2abbc628870bp-2, -0x1.ecf0a7682517bp-2, -0x1.e72cb475a9549p-2, -0x1.e16107580b933p-2, -0x1.db8ebcbc38041p-2, -0x1.d5b6ea0327a4cp-2, -0x1.cfda9d0d16cfcp-2, -0x1.c9fadbf9506acp-2, -0x1.c418a4dca7248p-2, -0x1.be34ed74f01d8p-2, -0x1.b850a2e289ae9p-2, -0x1.b26ca9710b047p-2, -0x1.ac89dc76088b5p-2, -0x1.a6a90e48e0bebp-2, -0x1.a0cb085223029p-2, -0x1.9af08b2d997d2p-2, -0x1.951a4ed825ac5p-2, -0x1.8f4902e2c85b1p-2, -0x1.897d4ea60a583p-2, -0x1.83b7d1739edbap-2, -0x1.7df922c6be44ap-2, -0x1.7841d2756a608p-2, -0x1.729268e557f64p-2, -0x1.6ceb674673666p-2, -0x1.674d47d390316p-2, -0x1.61b87e18130bfp-2, -0x1.5c2d773824a94p-2, -0x1.56ac9a384b781p-2, -0x1.5136484182da2p-2, -0x1.4bcadcdfa37ccp-2, -0x1.466aae390d748p-2, -0x1.41160d3fa93a8p-2, -0x1.3bcd45dc24adp-2, -0x1.36909f14bf2b7p-2, -0x1.31605b31171dbp-2, -0x1.2c3cb7dc12d15p-2, -0x1.2725ee44a7f28p-2, -0x1.221c333ddbca1p-2, -0x1.1d1fb75e0a528p-2, -0x1.1830a71d6d8c7p-2, -0x1.134f2af3dd26ap-2, -0x1.0e7b6775f4a88p-2, -0x1.09b57d71f02ap-2, -0x1.04fd8a0cb576ep-2, -0x1.0053a6df95ea1p-2, -0x1.f76fd42e65fdcp-3, -0x1.ee54cd27b878cp-3, -0x1.e5565816cc14cp-3, -0x1.dc748e58a81c3p-3, -0x1.d3af8383ba754p-3, -0x1.cb0745b070e5cp-3, -0x1.c27bddc108e8cp-3, -0x1.ba0d4fa74b5a4p-3, -0x1.b1bb9aa7307cfp-3, -0x1.a986b9959b012p-3, -0x1.a16ea312f1c15p-3, -0x1.997349c19bb93p-3, -0x1.91949c78cb495p-3, -0x1.89d34c14f8b4bp-3, -0x1.822d704635e81p-3, -0x1.7aa3f8f7af32p-3, -0x1.7336c92bc83abp-3, -0x1.6be5c0c0fb5b3p-3, -0x1.64b0bc993f371p-3, -0x1.5d9796c301d64p-3, -0x1.569a26a3338b3p-3, -0x1.4fb8411fd082dp-3, -0x1.48f1b8ca52954p-3, -0x1.42465e097db7fp-3, -0x1.3bb5ff41e99f4p-3, -0x1.354068fce8ae1p-3, -0x1.2ee5660d4f4c9p-3, -0x1.28a4bfb1efaa4p-3, -0x1.227e3db585501p-3, -0x1.1c71a68c0c1c6p-3, -0x1.167ebf6d8389ap-3, -0x1.10a54c6e3d09cp-3, -0x1.0ae51094dfae2p-3, -0x1.053dcdee6152ep-3, -0x1.ff5e8b404b5c5p-4, -0x1.f4726ff149cc9p-4, -0x1.e9b6c8fd8ed87p-4, -0x1.df2b1400900ep-4, -0x1.d4cecd3eb3457p-4, -0x1.caa16fbf8990ap-4, -0x1.c0a275676bd71p-4, -0x1.b6d15710a89cbp-4, -0x1.ad2d8ca49e6ebp-4, -0x1.a3b68d34d48e4p-4, -0x1.9a6bcf1428b75p-4, -0x1.914cc7f022606p-4, -0x1.8858ecea45f9cp-4, -0x1.7f8fb2b1769a5p-4, -0x1.76f08d9b252eap-4, -0x1.6e7af1bc3a85p-4, -0x1.662e530191769p-4, -0x1.5e0a2547d6c81p-4, -0x1.560ddc72af171p-4, -0x1.4e38ec82fca7fp-4, -0x1.468ac9ac2f16p-4, -0x1.3f02e868830a4p-4, -0x1.37a0bd8c26e3p-4, -0x1.3063be573964cp-4, -0x1.294b6086a0dep-4, -0x1.22571a63bde9bp-4, -0x1.1b8662d301e75p-4, -0x1.14d8b16174f25p-4, -0x1.0e4d7e513c0f3p-4, -0x1.07e442a52dfaep-4, -0x1.019c782b8f6b6p-4, -0x1.f6eb33100ddfdp-5, -0x1.eade4479befa1p-5, -0x1.df111d675b64fp-5, -0x1.d382b88ad122ap-5, -0x1.c832128416e57p-5, -0x1.bd1e29ef9ac5fp-5, -0x1.b245ff73f78cep-5, -0x1.a7a895cf0a40dp-5, -0x1.9d44f1e274fb2p-5, -0x1.931a1abf9dccbp-5, -0x1.892719b3338afp-5, -0x1.7f6afa5037785p-5, -0x1.75e4ca7a9547p-5, -0x1.6c939a713ee87p-5, -0x1.63767cd7d0085p-5, -0x1.5a8c86bfad968p-5, -0x1.51d4cfb0a321fp-5, -0x1.494e71b0ef3ecp-5, -0x1.40f8894cbf4fcp-5, -0x1.38d2359d1405ep-5, -0x1.30da984e078aap-5, -0x1.2910d5a475b05p-5, -0x1.2174148301ef7p-5, -0x1.1a037e6e7c3ebp-5, -0x1.12be3f91a4c61p-5, -0x1.0ba386c04e6d5p-5, -0x1.04b28579ea1fp-5, -0x1.fbd4dfd6eaf3ap-6, -0x1.ee94f9e1b49cdp-6, -0x1.e1a3cc2b84ddap-6, -0x1.d4ffcf2bc6a7ep-6, -0x1.c8a780b99ea3dp-6, -0x1.bc99640a969aap-6, -0x1.b0d401b070d85p-6, -0x1.a555e7962b437p-6, -0x1.9a1da8fc3e203p-6, -0x1.8f29de742fd4fp-6, -0x1.847925db7fcbdp-6, -0x1.7a0a2256005efp-6, -0x1.6fdb7c47a6243p-6, -0x1.65ebe14dd88eep-6, -0x1.5c3a04385633ap-6, -0x1.52c49d01ab454p-6, -0x1.498a68c74b2f5p-6, -0x1.408a29c1501dbp-6, -0x1.37c2a739ebb4p-6, -0x1.2f32ad848a5dfp-6, -0x1.26d90df4acbb4p-6, -0x1.1eb49ed483d49p-6, -0x1.16c43b5b46f0bp-6, -0x1.0f06c3a34f028p-6, -0x1.077b1c9ff6facp-6, -0x1.002030134265ep-6, -0x1.f1e9d9069a4d7p-7, -0x1.e3f08a5f0a043p-7, -0x1.d652640b60ffdp-7, -0x1.c90d5f2d7b02p-7, -0x1.bc1f7e16d0d94p-7, -0x1.af86cc31578dap-7, -0x1.a3415de80b1c1p-7, -0x1.974d508f1ae5dp-7, -0x1.8ba8ca4bd12bp-7, -0x1.8051f9fc16974p-7, -0x1.7547171dc48d9p-7, -0x1.6a8661b590b67p-7, -0x1.600e2235dc681p-7, -0x1.55dca96529fcfp-7, -0x1.4bf0504469595p-7, -0x1.424777f516236p-7, -0x1.38e0899f22312p-7, -0x1.2fb9f656bf977p-7, -0x1.26d2370207898p-7, -0x1.1e27cc3e8633dp-7, -0x1.15b93e46b4261p-7, -0x1.0d851cd75b31fp-7, -0x1.0589ff14f2234p-7, -0x1.fb8d06e1e8c7ap-8, -0x1.ec729f1e6a3c4p-8, -0x1.ddc220566e51cp-8, -0x1.cf78f1fb1a391p-8, -0x1.c19489428b4e2p-8, -0x1.b41268f2cdddep-8, -0x1.a6f0212d00653p-8, -0x1.9a2b4f38a0307p-8, -0x1.8dc19d4f115fp-8, -0x1.81b0c2675e5a5p-8, -0x1.75f6820240339p-8, -0x1.6a90abf662661p-8, -0x1.5f7d1c3d02139p-8, -0x1.54b9babed3e7dp-8, -0x1.4a447b2144e63p-8, -0x1.401b5c9410c9p-8, -0x1.363c699f40862p-8, -0x1.2ca5b7f1799c6p-8, -0x1.2355682ebfa7bp-8, -0x1.1a49a5bf990a2p-8, -0x1.1180a6a09e8a8p-8, -0x1.08f8ab327901dp-8, -0x1.00affe0a457dp-8, -0x1.f149e78502a69p-9, -0x1.e1abd598a36dcp-9, -0x1.d2829682ad33fp-9, -0x1.c3cb0d6bc3914p-9, -0x1.b58230177baffp-9, -0x1.a7a5068abe65ep-9, -0x1.9a30aab33eb71p-9, -0x1.8d22480fdd582p-9, -0x1.80771b5a11f73p-9, -0x1.742c7230661bap-9, -0x1.683faac1dd076p-9, -0x1.5cae337a8293bp-9, -0x1.51758ab0e94fap-9, -0x1.46933e54c7b8ep-9, -0x1.3c04eb9ea0db4p-9, -0x1.31c83ec06ec5p-9, -0x1.27daf2977bd96p-9, -0x1.1e3aad03c1b56p-9, -0x1.14e58e3f391a6p-9, -0x1.0bd955c31f8bp-9, -0x1.0313f620dff0ep-9, -0x1.f526de3cdf56fp-10, -0x1.e4ab9add2be5ep-10, -0x1.d4b254d489a6dp-10, -0x1.c53757961aa44p-10, -0x1.b63706cd3df24p-10, -0x1.a7adddd6d71d9p-10, -0x1.99986f3cb0e92p-10, -0x1.8bf364330e7dep-10, -0x1.7ebb7c18668bcp-10, -0x1.71ed8bf736586p-10, -0x1.65867e0a1f661p-10, -0x1.59835141effeap-10, -0x1.4de118cdfd187p-10, -0x1.429cfba67381bp-10, -0x1.37b43418d65e2p-10, -0x1.2d240f568db0dp-10, -0x1.22e9ed0572ee3p-10, -0x1.19033ed27f9d7p-10, -0x1.0f6d880687862p-10, -0x1.06265d1ccf1dbp-10, -0x1.fa56c6b7a17e8p-11, -0x1.e8f4a0dfa996dp-11, -0x1.d821d40f2913ep-11, -0x1.c7da0ae5837d2p-11, -0x1.b8190e84ca68ep-11, -0x1.a8dac5d69b922p-11, -0x1.9a1b34d45ef25p-11, -0x1.8bd67bd343387p-11, -0x1.7e08d6d40e3c9p-11, -0x1.70ae9cd6443b3p-11, -0x1.63c43f2ef5904p-11, -0x1.574648e300807p-11, -0x1.4b315e04b379ap-11, -0x1.3f823b14f11ebp-11, -0x1.3435b467683a6p-11, -0x1.2948b58a5f814p-11, -0x1.1eb840b17d22dp-11, -0x1.14816e23a6c32p-11, -0x1.0aa16bac4719fp-11, -0x1.01157c0f591c4p-11, -0x1.efb5ed0118038p-12, -0x1.ddde8c3abf72ap-12, -0x1.cc9fd2d40f9cfp-12, -0x1.bbf4e3a26974ap-12, -0x1.abd9064d8a65cp-12, -0x1.9c47a659928e6p-12, -0x1.8d3c523762f6ap-12, -0x1.7eb2ba598301fp-12, -0x1.70a6b04e81339p-12, -0x1.631425e02915dp-12, -0x1.55f72c37d0062p-12, -0x1.494bf3077b31dp-12, -0x1.3d0ec7b79401dp-12, -0x1.313c149987bb3p-12, -0x1.25d0601efcc2cp-12, -0x1.1ac84c151d2a4p-12, -0x1.102094e4c0491p-12, -0x1.05d610d6d8012p-12, -0x1.f7cb5eb9799e2p-13, -0x1.e498f0ba5fd3fp-13, -0x1.d20f17099f4a5p-13, -0x1.c0283f36d4d43p-13, -0x1.aedf03b91cb89p-13, -0x1.9e2e2aa852a35p-13, -0x1.8e10a47e4c6bdp-13, -0x1.7e818adf9b7efp-13, -0x1.6f7c1f6b3cb45p-13, -0x1.60fbca91b9297p-13, -0x1.52fc1a73d15abp-13, -0x1.4578c1c76e388p-13, -0x1.386d96c48d115p-13, -0x1.2bd69217b19d7p-13, -0x1.1fafcddc3359p-13, -0x1.13f5849c24d0bp-13, -0x1.08a41057e3cc2p-13, -0x1.fb6fd323fab62p-14, -0x1.e65b4cc866821p-14, -0x1.d203f33057daap-14, -0x1.be63638e95082p-14, -0x1.ab737100a6938p-14, -0x1.992e22e5827c9p-14, -0x1.878db34056f52p-14, -0x1.768c8d254cd9ap-14, -0x1.66254b32d2b5p-14, -0x1.5652b614d0321p-14, -0x1.470fc311f0a28p-14, -0x1.385792a526fc2p-14, -0x1.2a256f1ecb63bp-14, -0x1.1c74cb52eeec7p-14, -0x1.0f41414da7ddp-14, -0x1.02869113b6941p-14, -0x1.ec813ed671cb9p-15, -0x1.d4d6e95c9471fp-15, -0x1.be067749cf417p-15, -0x1.a80880d2f767ep-15, -0x1.92d5dea851c92p-15, -0x1.7e67a7dea5dcbp-15, -0x1.6ab72fe7616dbp-15, -0x1.57be049972696p-15, -0x1.4575ec45a93d9p-15, -0x1.33d8e3e0a5c8p-15, -0x1.22e11d34ad179p-15, -0x1.1288fd230f3dcp-15, -0x1.02cb19f6aa3a2p-15, -0x1.e744737c066bap-16, -0x1.ca12a17320282p-16, -0x1.adf6ff949a0fp-16, -0x1.92e825f793125p-16, -0x1.78dd001cf5b0bp-16, -0x1.5fccca22a0009p-16, -0x1.47af0e0e86512p-16, -0x1.307ba12bd97b1p-16, -0x1.1a2aa17f4131ep-16, -0x1.04b4734db6624p-16, -0x1.e0237d70e3ea5p-17, -0x1.b876dad7a9f36p-17, -0x1.925550bbc8f42p-17, -0x1.6db1ab47468bap-17, -0x1.4a7f2cb013355p-17, -0x1.28b18917084aep-17, -0x1.083ce2959535cp-17, -0x1.d22b8ae6ada62p-18, -0x1.966248d440d0dp-18, -0x1.5d08aa195d439p-18, -0x1.260a18a213c15p-18, -0x1.e2a56cc88cadap-19, -0x1.7d9eadb77b22cp-19, -0x1.1cdaf180a956ap-19, -0x1.806cff9325945p-20, -0x1.9e3b7ade2114p-21, -0x1.2c2c777ac27cfp-23, 0x1.f26f264ee9257p-22, 0x1.17844f14a8537p-20, 0x1.ab6fde787dc11p-20, 0x1.1c4c2152ece72p-19, 0x1.5f9aa3e05f9dcp-19, 0x1.9fbe66dd70cbap-19, 0x1.dcd16d3d29884p-19, 0x1.0b766abe18091p-18, 0x1.271471186cf84p-18, 0x1.414e81160e01ap-18, 0x1.5a2fec1089ec7p-18, 0x1.71c3a1299146ap-18, 0x1.881430fb4e782p-18, 0x1.9d2bd109c7fe4p-18, 0x1.b1145f35c370ep-18, 0x1.c3d765016b7c2p-18, 0x1.d57e1abd5a864p-18, 0x1.e6116a8e7982fp-18, 0x1.f599f363ba214p-18, 0x1.021005eb292efp-17, 0x1.08d5e268c4b38p-17, 0x1.0f22761f24e45p-17, 0x1.14f987c82315bp-17, 0x1.1a5ebf19c913ap-17, 0x1.1f55a5f3fe277p-17, 0x1.23e1a983717fcp-17, 0x1.28061b5843355p-17, 0x1.2bc63272b5079p-17, 0x1.2f250c4a7757cp-17, 0x1.3225adbc8cec4p-17, 0x1.34cb0407bf655p-17, 0x1.3717e5ab5c932p-17, 0x1.390f13472cd07p-17, 0x1.3ab3387126b88p-17, 0x1.3c06ec7cd6a01p-17, 0x1.3d0cb3486453dp-17, 0x1.3dc6fdf2f6af7p-17, 0x1.3e382b99e5d95p-17, 0x1.3e6289f99ef2dp-17, 0x1.3e485622d7e4p-17, 0x1.3debbd14011fdp-17, 0x1.3d4edc555bbcep-17, 0x1.3c73c28c1f708p-17, 0x1.3b5c700831402p-17, 0x1.3a0ad74e79cbcp-17, 0x1.3880dd986ab5p-17, 0x1.36c05b500afb7p-17, 0x1.34cb1c8c22e76p-17, 0x1.32a2e17f8a59ep-17, 0x1.30495ee9132fbp-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.90b3c35a4648dp-1, 0x1.8dbcec7f95be7p-1, 0x1.8a8b7c05a7cb1p-1, 0x1.871eed20b8dd2p-1, 0x1.8376f98fee41fp-1, 0x1.7f939754daabp-1, 0x1.7b74f6146c1b5p-1, 0x1.771b7c36b0b2ap-1, 0x1.7287c3d7eea42p-1, 0x1.6dba979accd55p-1, 0x1.68b4ef68dd827p-1, 0x1.6377ed2ca7c9cp-1, 0x1.5e04d98e5b59ap-1, 0x1.585d20baaab46p-1, 0x1.52824f39ca149p-1, 0x1.4c760edb4fb35p-1, 0x1.463a23ba9a0cfp-1, 0x1.3fd0695e768c1p-1, 0x1.393acff6009ffp-1, 0x1.327b59b4093fbp-1, 0x1.2b941849d2edbp-1, 0x1.24872a8180909p-1, 0x1.1d56b9f83d11bp-1, 0x1.1604f8f7d9916p-1, 0x1.0e94206f6975ep-1, 0x1.07066e0a3ee28p-1, 0x1.febc44c8fda1bp-2, 0x1.ef3afeb8f2832p-2, 0x1.df8d8cffb0098p-2, 0x1.cfb86f27662edp-2, 0x1.bfc01e6d19327p-2, 0x1.afa90b3676d8bp-2, 0x1.9f779ab783c96p-2, 0x1.8f3024c6363a8p-2, 0x1.7ed6f1da03bp-2, 0x1.6e7039357fca1p-2, 0x1.5e001f3832e72p-2, 0x1.4d8ab3d6ceee5p-2, 0x1.3d13f1380a03p-2, 0x1.2c9fba745b75p-2, 0x1.1c31da76f8aa8p-2, 0x1.0bce02fe7186dp-2, 0x1.f6ef9776aa141p-3, 0x1.d6656316c1b67p-3, 0x1.b6042b9f7bf8fp-3, 0x1.95d27bb9bc1ffp-3, 0x1.75d6a50528fe7p-3, 0x1.5616bf5637045p-3, 0x1.3698a81f6a06p-3, 0x1.176202034adeap-3, 0x1.f0f0691963fb4p-4, 0x1.b3c0d816152bap-4, 0x1.773f33208ce96p-4, 0x1.3b74e61cc70c7p-4, 0x1.006ae724c840bp-4, 0x1.8c536e6aceed5p-5, 0x1.1972c61c3350ep-5, 0x1.5086110000775p-6, 0x1.c694268a947b7p-8, -0x1.a68ab6aece89fp-8, -0x1.4137f4d955d61p-6, -0x1.0a81b0a7bd504p-5, -0x1.72779b67c7eb8p-5, -0x1.d873aff04bd8dp-5, -0x1.1e365975dfa82p-4, -0x1.4f2d1a21365f8p-4, -0x1.7f1a4564758ap-4, -0x1.adfa67e57444cp-4, -0x1.dbca6d3b54191p-4, -0x1.0443cecb61d25p-3, -0x1.1a17cdaf54e7cp-3, -0x1.2f60306193dc5p-3, -0x1.441c1ea45f4e9p-3, -0x1.584ae9a69527ap-3, -0x1.6bec0ac3ccfa7p-3, -0x1.7eff2242d1b24p-3, -0x1.9183f613376ebp-3, -0x1.a37a708aa4d9fp-3, -0x1.b4e29f2272b1cp-3, -0x1.c5bcb1362494bp-3, -0x1.d608f6c34ed88p-3, -0x1.e5c7df2b59205p-3, -0x1.f4f9f7f79552dp-3, -0x1.01cff5d0072adp-2, -0x1.08dd402abc7eap-2, -0x1.0fa54b674cefbp-2, -0x1.1628948cb87acp-2, -0x1.1c67a4b83c3b7p-2, -0x1.2263108a1ea3fp-2, -0x1.281b7794c434fp-2, -0x1.2d9183ce2b7efp-2, -0x1.32c5e903e518fp-2, -0x1.37b96451a6c58p-2, -0x1.3c6cbb9a7fefdp-2, -0x1.40e0bd04ceb98p-2, -0x1.45163e78fc326p-2, -0x1.490e1d230f1f6p-2, -0x1.4cc93cf71f6d2p-2, -0x1.50488838b861dp-2, -0x1.538cef0528ad5p-2, -0x1.569766e0cca75p-2, -0x1.5968ea4756b17p-2, -0x1.5c02783f154c9p-2, -0x1.5e6513ef3984dp-2, -0x1.6091c43920c82p-2, -0x1.628993549ea3ap-2, -0x1.644d8e6f43522p-2, -0x1.65dec54ea06f2p-2, -0x1.673e49f584c3cp-2, -0x1.686d304c28951p-2, -0x1.696c8dcb4ae4fp-2, -0x1.6a3d792a32e36p-2, -0x1.6ae10a0f92ed8p-2, -0x1.6b5858c543dd8p-2, -0x1.6ba47deecdacbp-2, -0x1.6bc69242bba6p-2, -0x1.6bbfae46ab00dp-2, -0x1.6b90ea0e0e9ddp-2, -0x1.6b3b5cfb9d578p-2, -0x1.6ac01d855e962p-2, -0x1.6a2040fb4a981p-2, -0x1.695cdb5077662p-2, -0x1.6876fee6bd572p-2, -0x1.676fbc5cd392fp-2, -0x1.6648225ecf798p-2, -0x1.65013d78fbee1p-2, -0x1.639c17ed025f5p-2, -0x1.6219b9894ffefp-2, -0x1.607b2782b3338p-2, -0x1.5ec164501d79fp-2, -0x1.5ced6f88807a5p-2, -0x1.5b0045c2bc32dp-2, -0x1.58fae07787c9dp-2, -0x1.56de35e55507cp-2, -0x1.54ab38f616b93p-2, -0x1.5262d926e19d1p-2, -0x1.500602715ce0fp-2, -0x1.4d959d36f174cp-2, -0x1.4b128e2dabe53p-2, -0x1.487db64ec7f1bp-2, -0x1.45d7f2c6d2831p-2, -0x1.43221ce75fd07p-2, -0x1.405d0a1a39fddp-2, -0x1.3d898bd60bb76p-2, -0x1.3aa86f9470cddp-2, -0x1.37ba7ec962b52p-2, -0x1.34c07edbf5e72p-2, -0x1.31bb31205cbbp-2, -0x1.2eab52d322efep-2, -0x1.2b919d15959abp-2, -0x1.286ec4eb4e3a5p-2, -0x1.25437b38d431ap-2, -0x1.22106cc34a88dp-2, -0x1.1ed642311d365p-2, -0x1.1b95a00ba6738p-2, -0x1.184f26c1bf5ddp-2, -0x1.150372ab30037p-2, -0x1.11b31c0cfbc74p-2, -0x1.0e5eb71e73ae8p-2, -0x1.0b06d40f144fbp-2, -0x1.07abff0d18f48p-2, -0x1.044ec04cc14b1p-2, -0x1.00ef9c103ea88p-2, -0x1.fb1e256081008p-3, -0x1.f45b414a2cc9cp-3, -0x1.ed977d20c2d12p-3, -0x1.e6d3c28e92ddfp-3, -0x1.e010f3ba5fadfp-3, -0x1.d94feb5db2a9p-3, -0x1.d2917cdc07f6fp-3, -0x1.cbd6745aca2bbp-3, -0x1.c51f96da0cd3ap-3, -0x1.be6da24df0c3dp-3, -0x1.b7c14db8b7748p-3, -0x1.b11b49456156dp-3, -0x1.aa7c3e62d9c8p-3, -0x1.a3e4cfdf9f0acp-3, -0x1.9d559a05d9f75p-3, -0x1.96cf32b7dad2p-3, -0x1.9052298cee192p-3, -0x1.89df07ee8400cp-3, -0x1.837651359824dp-3, -0x1.7d1882c8550c4p-3, -0x1.76c61437e6494p-3, -0x1.707f775e76962p-3, -0x1.6a45187d44cf6p-3, -0x1.64175e5ad514ap-3, -0x1.5df6aa6129d38p-3, -0x1.57e358bc04bd8p-3, -0x1.51ddc07725fb4p-3, -0x1.4be6339c7c6cp-3, -0x1.45fcff524d18ep-3, -0x1.40226bf93da1cp-3, -0x1.3a56bd4a40c17p-3, -0x1.349a32746246bp-3, -0x1.2eed063a6630bp-3, -0x1.294f6f103d933p-3, -0x1.23c19f38408b3p-3, -0x1.1e43c4e0344e7p-3, -0x1.18d60a3e11e5bp-3, -0x1.137895ac8aee9p-3, -0x1.0e2b89c7471dep-3, -0x1.08ef0586da823p-3, -0x1.03c3245c6ada2p-3, -0x1.fd4ffc9a09bdep-4, -0x1.f33b50193f834p-4, -0x1.e94866318c1ccp-4, -0x1.df775ba5cef68p-4, -0x1.d5c847349227cp-4, -0x1.cc3b39cb43a9ep-4, -0x1.c2d03eb88d61ap-4, -0x1.b9875bde07ca4p-4, -0x1.b06091e10b72fp-4, -0x1.a75bdc5ac2ba5p-4, -0x1.9e79320766ad5p-4, -0x1.95b884f4b4ed7p-4, -0x1.8d19c2af7f228p-4, -0x1.849cd47077da5p-4, -0x1.7c419f481e3a4p-4, -0x1.74080449d33e1p-4, -0x1.6befe0b617487p-4, -0x1.63f90e23eb728p-4, -0x1.5c2362a95a1f5p-4, -0x1.546eb103234d9p-4, -0x1.4cdac8bb8e986p-4, -0x1.45677650628bep-4, -0x1.3e148358017b6p-4, -0x1.36e1b6a5ac327p-4, -0x1.2fced46cec9e5p-4, -0x1.28db9e6426256p-4, -0x1.2207d3e6522f6p-4, -0x1.1b533213e3f1p-4, -0x1.14bd73f2d91ccp-4, -0x1.0e46528df8869p-4, -0x1.07ed85133e331p-4, -0x1.01b2c0f1790c7p-4, -0x1.f72b73ea36ec7p-5, -0x1.eb2c44c87dde5p-5, -0x1.df675633c337ap-5, -0x1.d3dc0740b2aa6p-5, -0x1.c889b4960b1b5p-5, -0x1.bd6fb89e785aep-5, -0x1.b28d6bb8f2fd7p-5, -0x1.a7e22467a218fp-5, -0x1.9d6d377d491c8p-5, -0x1.932df84949d9ap-5, -0x1.8923b8c236e02p-5, -0x1.7f4dc9af076a9p-5, -0x1.75ab7acee8a1bp-5, -0x1.6c3c1affb8887p-5, -0x1.62fef8632d059p-5, -0x1.59f36082af7e5p-5, -0x1.5118a071efd17p-5, -0x1.486e04f0377e7p-5, -0x1.3ff2da88818d3p-5, -0x1.37a66db05ef1bp-5, -0x1.2f880ae5aa983p-5, -0x1.2796fecb15307p-5, -0x1.1fd296439075cp-5, -0x1.183a1e8c9d1f4p-5, -0x1.10cce55781723p-5, -0x1.098a38e1708f6p-5, -0x1.0271680aaa927p-5, -0x1.f70384d9299e8p-6, -0x1.e97530ddaadefp-6, -0x1.dc3676b6f45c4p-6, -0x1.cf45fae450ddap-6, -0x1.c2a263f4caee8p-6, -0x1.b64a5aa9eeff3p-6, -0x1.aa3c8a18c9c16p-6, -0x1.9e779fc937dcp-6, -0x1.92fa4bd386433p-6, -0x1.87c340fc7a6ccp-6, -0x1.7cd134cfc3c92p-6, -0x1.7222dfb8e819p-6, -0x1.67b6fd1aaed83p-6, -0x1.5d8c4b6523aa3p-6, -0x1.53a18c2a280bep-6, -0x1.49f58430ac366p-6, -0x1.4086fb869b29dp-6, -0x1.3754bd9175a7p-6, -0x1.2e5d991db3514p-6, -0x1.25a0606cf5ee1p-6, -0x1.1d1be943059d7p-6, -0x1.14cf0cf1baa19p-6, -0x1.0cb8a863c53c2p-6, -0x1.04d79c266cf44p-6, -0x1.fa5598e497005p-7, -0x1.eb624266161dap-7, -0x1.dcd30c1c5df61p-7, -0x1.cea5d4d1eb5f8p-7, -0x1.c0d882dab4249p-7, -0x1.b369041c68e4dp-7, -0x1.a6554e15230bp-7, -0x1.999b5de077cebp-7, -0x1.8d39383b055e3p-7, -0x1.812ce9849656cp-7, -0x1.757485c0d1b07p-7, -0x1.6a0e28969a4d8p-7, -0x1.5ef7f54e2c3f3p-7, -0x1.543016cdf2207p-7, -0x1.49b4bf96317acp-7, -0x1.3f8429bb9e666p-7, -0x1.359c96e0d0577p-7, -0x1.2bfc502eb636bp-7, -0x1.22a1a64c0e22ap-7, -0x1.198af153ee7f8p-7, -0x1.10b690cb6b2d4p-7, -0x1.0822eb96638cdp-7, -0x1.ff9cdfd7041f3p-8, -0x1.ef6f268ef6369p-8, -0x1.dfb9a4bf2497ep-8, -0x1.d0796226e5349p-8, -0x1.c1ab74bcc519ap-8, -0x1.b34d008fb981cp-8, -0x1.a55b37a72fd44p-8, -0x1.97d359e20ce49p-8, -0x1.8ab2b4d4a9cc7p-8, -0x1.7df6a3a5e6968p-8, -0x1.719c8eeb597a1p-8, -0x1.65a1ec84b36dcp-8, -0x1.5a043f7663126p-8, -0x1.4ec117c386d94p-8, -0x1.43d612473e2a7p-8, -0x1.3940d88d65136p-8, -0x1.2eff20aac8dadp-8, -0x1.250ead14e1daep-8, -0x1.1b6d4c791fdd5p-8, -0x1.1218d993d5136p-8, -0x1.090f3b06c8abbp-8, -0x1.004e632f7fa98p-8, -0x1.efa89ffa89fbfp-9, -0x1.df3e158df69dbp-9, -0x1.cf59504182475p-9, -0x1.bff68f62e727ep-9, -0x1.b11228102c709p-9, -0x1.a2a884e256af9p-9, -0x1.94b6259803574p-9, -0x1.87379ec005f5bp-9, -0x1.7a29996412ee9p-9, -0x1.6d88d2b385cbp-9, -0x1.61521bae57631p-9, -0x1.558258d043e16p-9, -0x1.4a1681bc4146ap-9, -0x1.3f0ba0e83dfc3p-9, -0x1.345ed349430b5p-9, -0x1.2a0d47fffb188p-9, -0x1.20144005af975p-9, -0x1.16710dd9bf06dp-9, -0x1.0d21152f9e3acp-9, -0x1.0421ca9d6541p-9, -0x1.f6e16695ebecdp-10, -0x1.e616c9438a9acp-10, -0x1.d5df07fa87c91p-10, -0x1.c6358cb7ffa73p-10, -0x1.b715e022e696fp-10, -0x1.a87ba8f12adc3p-10, -0x1.9a62ab4e47989p-10, -0x1.8cc6c8437dfccp-10, -0x1.7fa3fd218b084p-10, -0x1.72f662ec16a35p-10, -0x1.66ba2dc6ba4c3p-10, -0x1.5aebac63c59f9p-10, -0x1.4f874774b69a7p-10, -0x1.4489811c70d71p-10, -0x1.39eef4633de7ap-10, -0x1.2fb454ac990f1p-10, -0x1.25d66d2ec777cp-10, -0x1.1c52206c494b5p-10, -0x1.132467af204a3p-10, -0x1.0a4a5285f4e57p-10, -0x1.01c106431622dp-10, -0x1.f30b7afac03d2p-11, -0x1.e32b8f25fcb62p-11, -0x1.d3dd105c308ffp-11, -0x1.c51aed96bfcb4p-11, -0x1.b6e03c850f2bcp-11, -0x1.a92838a13b0d3p-11, -0x1.9bee42489bacp-11, -0x1.8f2dddd81381ep-11, -0x1.82e2b2cc2828ap-11, -0x1.77088ae4e29c3p-11, -0x1.6b9b514d73ef9p-11, -0x1.609711c79bbf8p-11, -0x1.55f7f7dacb361p-11, -0x1.4bba4e0702245p-11, -0x1.41da7cfb5e178p-11, -0x1.38550ad05a49p-11, -0x1.2f269a45b646fp-11, -0x1.264bea03ff821p-11, -0x1.1dc1d3e1b6c53p-11, -0x1.15854c2c0941ep-11, -0x1.0d9360f31756ap-11, -0x1.05e93959c0f4cp-11, -0x1.fd0829d1db785p-12, -0x1.eec295cc97403p-12, -0x1.e0fc935cf28ap-12, -0x1.d3b12c2524601p-12, -0x1.c6db95722dd96p-12, -0x1.ba772f044c404p-12, -0x1.ae7f81ddf5361p-12, -0x1.a2f03f1952eb5p-12, -0x1.97c53ec42399dp-12, -0x1.8cfa7ec1f08a9p-12, -0x1.828c21b47d952p-12, -0x1.78766dea68892p-12, -0x1.6eb5cc53dac99p-12, -0x1.6546c77d39baep-12, -0x1.5c260a8fc55bap-12, -0x1.5350605807c0cp-12, -0x1.4ac2b2520a334p-12, -0x1.427a07bb2db54p-12, -0x1.3a7384a99bac6p-12, -0x1.32ac692935788p-12, -0x1.2b22105debff5p-12, -0x1.23d1efab65f47p-12, -0x1.1cb995e1ebdcp-12, -0x1.15d6aa7071b2ep-12, -0x1.0f26ec9bb6213p-12, -0x1.08a832ba5dfebp-12, -0x1.02586975f3645p-12, -0x1.f86b2621663eep-13, -0x1.ec7b8d602dee6p-13, -0x1.e0de5f5807fd3p-13, -0x1.d59019c50cdccp-13, -0x1.ca8d60200d864p-13, -0x1.bfd2fa57cfd14p-13, -0x1.b55dd392ddd85p-13, -0x1.ab2af8f9d100bp-13, -0x1.a1379889eab4dp-13, -0x1.9780ffefc6938p-13, -0x1.8e049b6a0ea9cp-13, -0x1.84bff4b3fd77bp-13, -0x1.7bb0b1f78707p-13, -0x1.72d494c706d7cp-13, -0x1.6a29791e40335p-13, -0x1.61ad546a9b46cp-13, -0x1.595e349a6646dp-13, -0x1.513a3f32feb0cp-13, -0x1.493fb06dbbecep-13, -0x1.416cda5b73b16p-13, -0x1.39c0240e75eafp-13, -0x1.323808cad889ep-13, -0x1.2ad3173cf3accp-13, -0x1.238ff0b5e8547p-13, -0x1.1c6d486e09ffap-13, -0x1.1569e2cd14a95p-13, -0x1.0e8494b80220fp-13, -0x1.07bc42e461e98p-13, -0x1.010fe131124c4p-13, -0x1.f4fce4087296p-14, -0x1.e80e0b5cba0aap-14, -0x1.db5173a504af9p-14, -0x1.cec571a64cf43p-14, -0x1.c2687287fdc7p-14, -0x1.b638fac0c547ep-14, -0x1.aa35a50c67844p-14, -0x1.9e5d216a78343p-14, -0x1.92ae3425a1c13p-14, -0x1.8727b4e35e36p-14, -0x1.7bc88dbbd66d5p-14, -0x1.708fba59bc71fp-14, -0x1.657c4721e6289p-14, -0x1.5a8d5062799a2p-14, -0x1.4fc20189727c7p-14, -0x1.4519946251c73p-14, -0x1.3a93505ac53f4p-14, -0x1.302e89ce17998p-14, -0x1.25eaa15737a98p-14, -0x1.1bc703292aa7ep-14, -0x1.11c3266dbabadp-14, -0x1.07de8caa34b66p-14, -0x1.fc31825417a8ep-15, -0x1.e8e2b0de68bf2p-15, -0x1.d5cfdf502122ep-15, -0x1.c2f85855847cfp-15, -0x1.b05b75eb75e18p-15, -0x1.9df8a06ac9f27p-15, -0x1.8bcf4d9d741aap-15, -0x1.79deffdd508dap-15, -0x1.6827453c36044p-15, -0x1.56a7b6b50e5cap-15, -0x1.455ff765acf99p-15, -0x1.344fb3d11f25bp-15, -0x1.2376a12a32be7p-15, -0x1.12d47ca5f137dp-15, -0x1.02690ad5d0a52p-15, -0x1.e4682e12b49p-16, -0x1.c46ae56e143ep-16, -0x1.a4d9e9d858028p-16, -0x1.85b4f386fb6c2p-16, -0x1.66fbc3c4b0218p-16, -0x1.48ae23f85f02ep-16, -0x1.2acbe4b85db6bp-16, -0x1.0d54dce975e8cp-16, -0x1.e091d1d2b2b6ap-17, -0x1.a74fd38831b7dp-17, -0x1.6ee388e883c38p-17, -0x1.374cc25a8218ap-17, -0x1.008b555f5c6cfp-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.a084880388866p-1, 0x1.9fb1e57b52265p-1, 0x1.9ece968bd264p-1, 0x1.9dda3898077ccp-1, 0x1.9cd475395cfadp-1, 0x1.9bbd024374d14p-1, 0x1.9a93a1aeda008p-1, 0x1.9958216e4f71p-1, 0x1.980a5b32169d7p-1, 0x1.96aa341c34c3ap-1, 0x1.95379c68691a6p-1, 0x1.93b28f0a38099p-1, 0x1.921b11432a1cp-1, 0x1.9071323319e0cp-1, 0x1.8eb50a642a6ap-1, 0x1.8ce6bb53cf0c2p-1, 0x1.8b066efa198d2p-1, 0x1.8914575052e81p-1, 0x1.8710add7c0444p-1, 0x1.84fbb32151adcp-1, 0x1.82d5ae56d55f6p-1, 0x1.809eecc633ff2p-1, 0x1.7e57c16f20e59p-1, 0x1.7c0084939237fp-1, 0x1.7999934b47a42p-1, 0x1.77234f1a92c2ep-1, 0x1.749e1d8c8b592p-1, 0x1.720a67d0c96b3p-1, 0x1.6f689a5cba3dcp-1, 0x1.6cb924909bb48p-1, 0x1.69fc78602192ep-1, 0x1.673309fec2dcbp-1, 0x1.645d4f8faab82p-1, 0x1.617bc0d9443ep-1, 0x1.5e8ed6fc50499p-1, 0x1.5b970c2e78f6ap-1, 0x1.5894db7852513p-1, 0x1.5588c076b0049p-1, 0x1.5273371f41175p-1, 0x1.4f54bb8857881p-1, 0x1.4c2dc9b3c9c35p-1, 0x1.48fedd5cd3567p-1, 0x1.45c871c8df8b2p-1, 0x1.428b019b2745bp-1, 0x1.3f4706ab08a2ap-1, 0x1.3bfcf9dd03001p-1, 0x1.38ad52fe3f09ap-1, 0x1.355888a28acf3p-1, 0x1.31ff1004b6c3cp-1, 0x1.2ea15ce93666ep-1, 0x1.2b3fe182f683fp-1, 0x1.27db0e5a4c725p-1, 0x1.24735235eb6c8p-1, 0x1.21091a05cc6bep-1, 0x1.1d9cd0cff0c93p-1, 0x1.1a2edf9eed62p-1, 0x1.16bfad722b589p-1, 0x1.134f9f2fc871cp-1, 0x1.0fdf179806213p-1, 0x1.0c6e773a353cep-1, 0x1.08fe1c6b0bdddp-1, 0x1.058e633c5366ep-1, 0x1.021fa575df4c9p-1, 0x1.fd64751f78af1p-2, 0x1.f68cef5b0bd4bp-2, 0x1.efb95f35aa615p-2, 0x1.e8ea65917456bp-2, 0x1.e2209e985f4acp-2, 0x1.db5ca1baf78bbp-2, 0x1.d49f01b0e5629p-2, 0x1.cde84c7b12648p-2, 0x1.c7390b676281p-2, 0x1.c091c315dbdc8p-2, 0x1.b9f2f37f3126cp-2, 0x1.b35d17fc8f32p-2, 0x1.acd0a750a09b5p-2, 0x1.a64e13b1aaeb6p-2, 0x1.9fd5cad4b6ae1p-2, 0x1.996835f9b077dp-2, 0x1.9305b9f868e5fp-2, 0x1.8caeb74e6c911p-2, 0x1.86638a2d9b4fap-2, 0x1.80248a8b72083p-2, 0x1.79f20c30f900cp-2, 0x1.73cc5ecb426eep-2, 0x1.6db3cdfc76a65p-2, 0x1.67a8a16d51bffp-2, 0x1.61ab1cdf12479p-2, 0x1.5bbb803dc83bfp-2, 0x1.55da07b2f6bcfp-2, 0x1.5006ebb883928p-2, 0x1.4a42612be3d59p-2, 0x1.448c99617dd05p-2, 0x1.3ee5c2383d01ap-2, 0x1.394e062d42b73p-2, 0x1.33c58c6fb8847p-2, 0x1.2e4c78f4b451ep-2, 0x1.28e2ec8b2618bp-2, 0x1.238904efd09d9p-2, 0x1.1e3edce13b923p-2, 0x1.19048c33a151ap-2, 0x1.13da27e4cda7ap-2, 0x1.0ebfc22fea202p-2, 0x1.09b56aa134586p-2, 0x1.04bb2e299202ep-2, 0x1.ffa22e64150e8p-3, 0x1.f5ee5b5e278cap-3, 0x1.ec5aee677a011p-3, 0x1.e2e7ee094585bp-3, 0x1.d9955c557ae2ap-3, 0x1.d063370be2bbcp-3, 0x1.c75177bedcfcdp-3, 0x1.be6013f7ac297p-3, 0x1.b58efd5a42037p-3, 0x1.acde21c894908p-3, 0x1.a44d6b8575574p-3, 0x1.9bdcc156dda1cp-3, 0x1.938c06a7b50ccp-3, 0x1.8b5b1ba91263ap-3, 0x1.8349dd72e6125p-3, 0x1.7b5826241a7e4p-3, 0x1.7385cd02233c8p-3, 0x1.6bd2a697f097p-3, 0x1.643e84d457361p-3, 0x1.5cc93727da574p-3, 0x1.55728aa1ddd71p-3, 0x1.4e3a4a0d4637fp-3, 0x1.47203e0c742b9p-3, 0x1.40242d34ae193p-3, 0x1.3945dc28efb4bp-3, 0x1.32850db4189e2p-3, 0x1.2be182e2881c2p-3, 0x1.255afb1b19a0ep-3, 0x1.1ef134378ae5p-3, 0x1.18a3ea9c45707p-3, 0x1.1272d94f97013p-3, 0x1.0c5dba104736ep-3, 0x1.0664456ba406ep-3, 0x1.008632d2ee19bp-3, 0x1.f586716069cc9p-4, 0x1.ea3618f53fd19p-4, 0x1.df1ac59452b44p-4, 0x1.d433ded58338bp-4, 0x1.c980caddd2de2p-4, 0x1.bf00ee837b499p-4, 0x1.b4b3ad70f5024p-4, 0x1.aa986a46d864cp-4, 0x1.a0ae86bcca0dp-4, 0x1.96f563c145bp-4, 0x1.8d6c61986cdc9p-4, 0x1.8412dff9ca82p-4, 0x1.7ae83e2d1b9a7p-4, 0x1.71ebdb261a532p-4, 0x1.691d159f501adp-4, 0x1.607b4c33f5cadp-4, 0x1.5805dd78e3275p-4, 0x1.4fbc281493de8p-4, 0x1.479d8ad645317p-4, 0x1.3fa964cc326eep-4, 0x1.37df1558f0f4p-4, 0x1.303dfc47f58d6p-4, 0x1.28c579e141759p-4, 0x1.2174eefc4125cp-4, 0x1.1a4bbd11dc70ap-4, 0x1.1349464dc02d4p-4, 0x1.0c6ced9ee3e73p-4, 0x1.05b616c74f46ep-4, 0x1.fe484cd64c1b8p-5, 0x1.f16d043dfa93ep-5, 0x1.e4d920eafa8cep-5, 0x1.d88b7218aedbbp-5, 0x1.cc82c93123114p-5, 0x1.c0bdf9e45793fp-5, 0x1.b53bda3e4cd8cp-5, 0x1.a9fb42bbd51d7p-5, 0x1.9efb0e5e32468p-5, 0x1.943a1abd8fb49p-5, 0x1.89b7481a54e81p-5, 0x1.7f71796d64a61p-5, 0x1.7567947749535p-5, 0x1.6b9881ce57505p-5, 0x1.62032cebcf317p-5, 0x1.58a6843806dcp-5, 0x1.4f817915a0377p-5, 0x1.4692ffebd47ccp-5, 0x1.3dda102fdc951p-5, 0x1.3555a46d80082p-5, 0x1.2d04ba4eca7a1p-5, 0x1.24e652a2f733cp-5, 0x1.1cf97164936a5p-5, 0x1.153d1dbee1792p-5, 0x1.0db0621282563p-5, 0x1.06524bf96a872p-5, 0x1.fe43d894577bcp-6, 0x1.f03cae353178fp-6, 0x1.e28d47838bf08p-6, 0x1.d533d9b2e5e34p-6, 0x1.c82ea07dbb53p-6, 0x1.bb7bde260f2e9p-6, 0x1.af19db74e381fp-6, 0x1.a306e7b8a9109p-6, 0x1.974158c2b6885p-6, 0x1.8bc78ae3cad2fp-6, 0x1.8097e0e7a897cp-6, 0x1.75b0c40fd57c7p-6, 0x1.6b10a40d82c63p-6, 0x1.60b5f6fab477p-6, 0x1.569f39529af0cp-6, 0x1.4ccaede9424dep-6, 0x1.43379de28a101p-6, 0x1.39e3d8a87af63p-6, 0x1.30ce33e0fdc95p-6, 0x1.27f54b62ffcc2p-6, 0x1.1f57c12b04cc2p-6, 0x1.16f43d4f37b89p-6, 0x1.0ec96df2fbdbp-6, 0x1.06d6073a088c4p-6, 0x1.fe3186762302ap-7, 0x1.ef20c3e414efep-7, 0x1.e07752640f55ap-7, 0x1.d232c92d815d4p-7, 0x1.c450caeb81f4bp-7, 0x1.b6cf059e8c34dp-7, 0x1.a9ab327dada37p-7, 0x1.9ce315d72d592p-7, 0x1.90747ef0b1acap-7, 0x1.845d47e6fae8bp-7, 0x1.789b558d2ed2ep-7, 0x1.6d2c974bd1293p-7, 0x1.620f06ff5b047p-7, 0x1.5740a8d692e51p-7, 0x1.4cbf8b309e61ep-7, 0x1.4289c67adcab5p-7, 0x1.389d7d0e89779p-7, 0x1.2ef8db0e40d42p-7, 0x1.259a16435aff2p-7, 0x1.1c7f6dfb30e43p-7, 0x1.13a72ae44d511p-7, 0x1.0b0f9eeb915bcp-7, 0x1.02b7251954479p-7, 0x1.f53842dd083dp-8, 0x1.e57a018397479p-8, 0x1.d63071398bd9dp-8, 0x1.c7588e3286dd1p-8, 0x1.b8ef657d4babap-8, 0x1.aaf214beb00f4p-8, 0x1.9d5dc9ecce655p-8, 0x1.902fc30a80f16p-8, 0x1.83654de331119p-8, 0x1.76fbc7c702354p-8, 0x1.6af09d475fe82p-8, 0x1.5f4149f3f492ep-8, 0x1.53eb581814338p-8, 0x1.48ec60789c757p-8, 0x1.3e420a1255fc6p-8, 0x1.33ea09d8d6095p-8, 0x1.29e22275edb47p-8, 0x1.20282409a3a37p-8, 0x1.16b9ebeac5beep-8, 0x1.0d9564680f3e1p-8, 0x1.04b88489ece31p-8, 0x1.f8429fa9c3df5p-9, 0x1.e79bac191f97ap-9, 0x1.d77865eec9bc1p-9, 0x1.c7d51c45efde6p-9, 0x1.b8ae35521b229p-9, 0x1.aa002deaa114dp-9, 0x1.9bc7991775788p-9, 0x1.8e011f9f64f0ep-9, 0x1.80a97f97bc73ap-9, 0x1.73bd8bf563b8bp-9, 0x1.673a2c1f65938p-9, 0x1.5b1c5b82f0ea8p-9, 0x1.4f612928d2dbp-9, 0x1.4405b74c6619fp-9, 0x1.39073af40242ep-9, 0x1.2e62fb8ae3c4p-9, 0x1.2416527c94d97p-9, 0x1.1a1eaad1cfb51p-9, 0x1.107980cee1259p-9, 0x1.072461938bbb9p-9, 0x1.fc39d578c3b89p-10, 0x1.eac1940b4be62p-10, 0x1.d9db79df37deap-10, 0x1.c98320c8c2e3bp-10, 0x1.b9b440be70cc9p-10, 0x1.aa6aaf2a96b31p-10, 0x1.9ba25e3fd5fb7p-10, 0x1.8d575c507f94p-10, 0x1.7f85d328d66bap-10, 0x1.722a076c40e15p-10, 0x1.654057f547674p-10, 0x1.58c53d387a3d5p-10, 0x1.4cb548aa191c6p-10, 0x1.410d242696b73p-10, 0x1.35c9915dd64a2p-10, 0x1.2ae76941365dap-10, 0x1.20639b7449351p-10, 0x1.163b2dc0498dp-10, 0x1.0c6b3b8a39a49p-10, 0x1.02f0f54ba645p-10, 0x1.f393401c1b52cp-11, 0x1.e1e529d1b0c0dp-11, 0x1.d0d28103cdf12p-11, 0x1.c05645214a876p-11, 0x1.b06b9ac7421bdp-11, 0x1.a10dcad13125fp-11, 0x1.9238416df6207p-11, 0x1.83e68d39a5ca7p-11, 0x1.76145e5c2287cp-11, 0x1.68bd85ac658b4p-11, 0x1.5bddf3d86c46cp-11, 0x1.4f71b891b5ddap-11, 0x1.437501be45908p-11, 0x1.37e41aae127ep-11, 0x1.2cbb6b54da22fp-11, 0x1.21f7778842e86p-11, 0x1.1794de423dde5p-11, 0x1.0d9058e794ef9p-11, 0x1.03e6ba929ac24p-11, 0x1.f529dec3c8571p-12, 0x1.e32ff796030f3p-12, 0x1.d1d9f7e242e4ep-12, 0x1.c12245ff20fb6p-12, 0x1.b103751008349p-12, 0x1.a17843c93ebd2p-12, 0x1.927b9b3b44401p-12, 0x1.84088da567064p-12, 0x1.761a554f67ef2p-12, 0x1.68ac536a172f7p-12, 0x1.5bba0ef6c2359p-12, 0x1.4f3f33b5539f1p-12, 0x1.433791190ebcbp-12, 0x1.379f1943b83f3p-12, 0x1.2c71e0071a7f7p-12, 0x1.21ac19ecc1cb1p-12, 0x1.174a1b43d0bdcp-12, 0x1.0d485734d047p-12, 0x1.03a35edb5da34p-12, 0x1.f4afc0cb33d1ep-13, 0x1.e2c54c7279127p-13, 0x1.d1812c3c5531dp-13, 0x1.c0dd60dcf4362p-13, 0x1.b0d41e97855d7p-13, 0x1.a15fcbb33f652p-13, 0x1.927afefa954e2p-13, 0x1.84207e446110ep-13, 0x1.764b3d06cd4fep-13, 0x1.68f65af3cf328p-13, 0x1.5c1d229efc2ap-13, 0x1.4fbb082c7e60dp-13, 0x1.43cba8090119bp-13, 0x1.384ac5aa60bfcp-13, 0x1.2d344a58e336p-13, 0x1.22844400daac2p-13, 0x1.1836e40c6e84ap-13, 0x1.0e487e456f471p-13, 0x1.04b587bef4c2fp-13, 0x1.f6f52b8d588d4p-14, 0x1.e528b9bb26b3ep-14, 0x1.d3ff5f7019f54p-14, 0x1.c372fc8a26674p-14, 0x1.b37da978b74p-14, 0x1.a419b566a7a97p-14, 0x1.9541a471713e2p-14, 0x1.86f02ded68603p-14, 0x1.79203ab690997p-14, 0x1.6bcce38dd71e9p-14, 0x1.5ef16f825b8dp-14, 0x1.528952667d06p-14, 0x1.46902b506399ap-14, 0x1.3b01c325bd0bfp-14, 0x1.2fda0b32656f6p-14, 0x1.25151bc9b891dp-14, 0x1.1aaf32f2456fap-14, 0x1.10a4b31ba2769p-14, 0x1.06f221de207c4p-14, 0x1.fb284d88388b3p-15, 0x1.e90f143962c09p-15, 0x1.d79267af1a8b5p-15, 0x1.c6ac54d3546d4p-15, 0x1.b6572375680c5p-15, 0x1.a68d5435bd3cap-15, 0x1.97499e81e8d7bp-15, 0x1.8886eea0cb7e7p-15, 0x1.7a4063ce468b7p-15, 0x1.6c714e661bd7bp-15, 0x1.5f152e1d8f1e9p-15, 0x1.5227b04b6815p-15, 0x1.45a4ae3deb47cp-15, 0x1.39882b9e6d287p-15, 0x1.2dce54e21ebb4p-15, 0x1.22737dc7b74c7p-15, 0x1.17741fe19e964p-15, 0x1.0cccd92c41f32p-15, 0x1.027a6ab03a2eep-15, 0x1.f0f36e5fdc04ap-16, 0x1.dd8f83c0c61ap-16, 0x1.cac35a59c4ffcp-16, 0x1.b889730a5da75p-16, 0x1.a6dc886be3cf6p-16, 0x1.95b78c96427f6p-16, 0x1.8515a6f8100e8p-16, 0x1.74f23241663f7p-16, 0x1.6548ba60f416fp-16, 0x1.5614fa92b94f4p-16, 0x1.4752db7fe843dp-16, 0x1.38fe716f748e1p-16, 0x1.2b13fa86c117dp-16, 0x1.1d8fdd1a046eep-16, 0x1.106ea60bd565ap-16, 0x1.03ad073b7d492p-16, 0x1.ee8fac032a58dp-17, 0x1.d6781374f5fdep-17, 0x1.bf0d74bc748a3p-17, 0x1.a84a3e4af2f44p-17, 0x1.92291a7607419p-17, 0x1.7ca4ecf31f38bp-17, 0x1.67b8d06ab6cc6p-17, 0x1.5360142287dd7p-17, 0x1.3f9639bdf0eb5p-17, 0x1.2c56f313d912ap-17, 0x1.199e2019731efp-17, 0x1.0767cce1224ffp-17, 0x1.eb605f59cbcbfp-18, 0x1.c8e74e274972p-18, 0x1.a75d70717cb6p-18, 0x1.86bc1a2a8c42cp-18, 0x1.66fce5a4abe72p-18, 0x1.4819b067cc9bbp-18, 0x1.2a0c98273fa5p-18, 0x1.0ccff7d63a6e6p-18, 0x1.e0bcc9b4687ccp-19, 0x1.a96558b42f89dp-19, 0x1.738fa152a2ffdp-19, 0x1.3f320d9b89a07p-19, 0x1.0c43683f7c8e4p-19, 0x1.b575b00be7fc1p-20, 0x1.551fb6df8976p-20, 0x1.eee912216bacep-21, 0x1.38c8d3903580dp-21, 0x1.0f80ce4f9ed9dp-22, -0x1.226aef098007dp-24, -0x1.96f92891d8081p-22, -0x1.6de8503525c15p-21, -0x1.05d55707dc079p-20, -0x1.526e6f690fa6dp-20, -0x1.9ccb99e2ae488p-20, -0x1.e4f894ddaf2f9p-20, -0x1.15805cf1b478ap-19, -0x1.3777815d954a1p-19, -0x1.58670725e28bdp-19, -0x1.785412a1adfecp-19, -0x1.97439f43d4d82p-19, -0x1.b53a81b862c1cp-19, -0x1.d23d69e84e62dp-19, -0x1.ee50e4e47a10cp-19, -0x1.04bcaf5c7ee58p-18, -0x1.11dd9214d36dp-18, -0x1.1e8d322c4410bp-18, -0x1.2acd992bc5c2fp-18, -0x1.36a0c352e8cffp-18, -0x1.4208a04cd7577p-18, -0x1.4d0713dc0c775p-18, -0x1.579df67d201a4p-18, -0x1.61cf160109b31p-18, -0x1.6b9c361f313a7p-18, -0x1.750710ffaa17ap-18, -0x1.7e1157bdebd32p-18, -0x1.86bcb2e45744cp-18, -0x1.8f0ac2e0dc652p-18, -0x1.96fd20730a43bp-18, -0x1.9e955d13d3c79p-18, -0x1.a5d503574eb14p-18, -0x1.acbd9748b4ed9p-18, -0x1.b35096c0e62fbp-18, -0x1.b98f79b7ad90fp-18, -0x1.bf7bb29006004p-18, -0x1.c516ae5f992d4p-18, -0x1.ca61d531b3707p-18, -0x1.cf5e8a45e1ba1p-18, -0x1.d40e2c4a70009p-18, -0x1.d8721592faa09p-18, -0x1.dc8b9c4b42858p-18, -0x1.e05c12a675bp-18, -0x1.e3e4c70b17e79p-18, -0x1.e727043bb7697p-18, -0x1.ea24117c9636ap-18, -0x1.ecdd32b674659p-18, -0x1.ef53a8969ea1p-18, -0x1.f188b0ac64919p-18, -0x1.f37d85842146cp-18, -0x1.f5335ebff0b88p-18, -0x1.f6ab712e38b4fp-18, -0x1.f7e6eede209e4p-18, -0x1.f8e7073219bp-18, -0x1.f9ace6f093c28p-18, -0x1.fa39b852f70b5p-18, -0x1.fa8ea313044a7p-18, -0x1.faaccc76acf97p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.505546bcd876ap-7, -0x1.9ea350b825767p-7, -0x1.f54d2f5e647f9p-7, -0x1.2a33a542be4e4p-6, -0x1.5dfc9f15502f3p-6, -0x1.95ff32e5d2a12p-6, -0x1.d2333eb9febe3p-6, -0x1.094594bde0551p-5, -0x1.2b7a20a2876f8p-5, -0x1.4fab8ea3acee4p-5, -0x1.75cc00c5bd0aep-5, -0x1.9dcba187d10bfp-5, -0x1.c798d5853f78cp-5, -0x1.f3206c2a7805p-5, -0x1.1026e78bcbbep-4, -0x1.278597f0b4067p-4, -0x1.3fa0d9fa671d8p-4, -0x1.586ccf388392dp-4, -0x1.71dd3bed7d7adp-4, -0x1.8be599cbbce9fp-4, -0x1.a6792991e6312p-4, -0x1.c18b0385e8fd4p-4, -0x1.dd0e26d189052p-4, -0x1.f8f587c5a83b6p-4, -0x1.0a9a0e85bc50fp-3, -0x1.18de75e60fep-3, -0x1.2741896c49fd8p-3, -0x1.35bcea6e085bbp-3, -0x1.444a50d202cffp-3, -0x1.52e38f445eb24p-3, -0x1.61829700efd1ap-3, -0x1.70217b3914fb8p-3, -0x1.7eba741aa86d9p-3, -0x1.8d47e17d765efp-3, -0x1.9bc44d3c86decp-3, -0x1.aa2a6d4041049p-3, -0x1.b875253e755a1p-3, -0x1.c69f8834edb12p-3, -0x1.d4a4d9a324fc8p-3, -0x1.e2808e877552dp-3, -0x1.f02e4e23eefd6p-3, -0x1.fda9f28ebeee4p-3, -0x1.0577c488ffc47p-2, -0x1.0bfda92f4111cp-2, -0x1.1264e14a7c793p-2, -0x1.18abc0946592cp-2, -0x1.1ed0b44fd109ep-2, -0x1.24d243184c3d6p-2, -0x1.2aaf0ca2eefdbp-2, -0x1.3065c971adc01p-2, -0x1.35f54a7a74cebp-2, -0x1.3b5c78c32ebb1p-2, -0x1.409a54f3da1b8p-2, -0x1.45adf6dfb6032p-2, -0x1.4a968d068057fp-2, -0x1.4f535c0eb8594p-2, -0x1.53e3be39c2916p-2, -0x1.584722d2bc05ap-2, -0x1.5c7d0d98ccabep-2, -0x1.60851625a2793p-2, -0x1.645ee750d0641p-2, -0x1.680a3e90a602ep-2, -0x1.6b86eb59220edp-2, -0x1.6ed4ce797d95ap-2, -0x1.71f3d978df38cp-2, -0x1.74e40df2a46f3p-2, -0x1.77a57cf2b4e42p-2, -0x1.7a38465244aafp-2, -0x1.7c9c981565987p-2, -0x1.7ed2adc9b8af3p-2, -0x1.80dacfe6947f9p-2, -0x1.82b5532ee3c6dp-2, -0x1.84629815031b5p-2, -0x1.85e30a20cf59cp-2, -0x1.87371f582263fp-2, -0x1.885f57a9ebf14p-2, -0x1.895c3c5c084b8p-2, -0x1.8a2e5f7c07fecp-2, -0x1.8ad65b52fd262p-2, -0x1.8b54d1dc6f537p-2, -0x1.8baa6c408f927p-2, -0x1.8bd7da51bb7cfp-2, -0x1.8bddd20d67ffbp-2, -0x1.8bbd0f207a6a1p-2, -0x1.8b76526f1b371p-2, -0x1.8b0a61a01113p-2, -0x1.8a7a06ab9e671p-2, -0x1.89c60f6dee9bdp-2, -0x1.88ef4d3d0ab72p-2, -0x1.87f6948259bc7p-2, -0x1.86dcbc57a8687p-2, -0x1.85a29e27b05e2p-2, -0x1.844915521c216p-2, -0x1.82d0fed2fbffcp-2, -0x1.813b38eda4dd1p-2, -0x1.7f88a2daefa8p-2, -0x1.7dba1c7acbd4ap-2, -0x1.7bd0860916c96p-2, -0x1.79ccbfd5b1359p-2, -0x1.77afa9ffbda53p-2, -0x1.757a2433ff86ep-2, -0x1.732d0d6e45166p-2, -0x1.70c943bdd4419p-2, -0x1.6e4fa40cc3385p-2, -0x1.6bc109ea32fa4p-2, -0x1.691e4f5754939p-2, -0x1.66684c972e79fp-2, -0x1.639fd8010c0d1p-2, -0x1.60c5c5d58a78ep-2, -0x1.5ddae8162b39ap-2, -0x1.5ae00e5f6457fp-2, -0x1.57d605c514696p-2, -0x1.54bd98b14d23ap-2, -0x1.51978ec56199ep-2, -0x1.4e64acbd2a106p-2, -0x1.4b25b45468bb9p-2, -0x1.47db642e3eb33p-2, -0x1.448677bea3079p-2, -0x1.4127a735c90ecp-2, -0x1.3dbfa76d64c3cp-2, -0x1.3a4f29d7c1561p-2, -0x1.36d6dc7091bb6p-2, -0x1.335769af73565p-2, -0x1.2fd1787c103bep-2, -0x1.2c45ac23ce2c6p-2, -0x1.28b4a45102c6ap-2, -0x1.251efd0393e3cp-2, -0x1.21854e8aff45p-2, -0x1.1de82d81b5584p-2, -0x1.1a482ac9b9e23p-2, -0x1.16a5d38a7ead1p-2, -0x1.1301b12fe7163p-2, -0x1.0f5c496a6a5bfp-2, -0x1.0bb61e3049adep-2, -0x1.080fadbfc23e5p-2, -0x1.046972a2417f2p-2, -0x1.00c3e3b07a1b4p-2, -0x1.fa3ee82ec2506p-3, -0x1.f2f926bbf4191p-3, -0x1.ebb75ad7d6c89p-3, -0x1.e47a5521ac93bp-3, -0x1.dd42df18b1695p-3, -0x1.d611bb2d80683p-3, -0x1.cee7a4d4ac519p-3, -0x1.c7c5509a83ed2p-3, -0x1.c0ab6c37ec62bp-3, -0x1.b99a9ea84294p-3, -0x1.b293884024ae8p-3, -0x1.ab96c2c526984p-3, -0x1.a4a4e1864e081p-3, -0x1.9dbe717551e44p-3, -0x1.96e3f94080c16p-3, -0x1.9015f96d54a91p-3, -0x1.8954ec73882f3p-3, -0x1.82a146d8b842cp-3, -0x1.7bfb774c7858fp-3, -0x1.7563e6c4cade6p-3, -0x1.6edaf89af6e5ap-3, -0x1.68610aa8aec21p-3, -0x1.61f6756570b0cp-3, -0x1.5b9b8c042a5adp-3, -0x1.55509c90fb219p-3, -0x1.4f15f00f25089p-3, -0x1.48ebca970c944p-3, -0x1.42d26b74495eap-3, -0x1.3cca0d43bf78p-3, -0x1.36d2e611a9d37p-3, -0x1.30ed2777a8383p-3, -0x1.2b18febaaca74p-3, -0x1.255694e8d2c3ap-3, -0x1.1fa60ef710865p-3, -0x1.1a078ddec585fp-3, -0x1.147b2ebb0f4edp-3, -0x1.0f010ae5ef1dp-3, -0x1.0999381531222p-3, -0x1.0443c87712b42p-3, -0x1.fe01959d45fd4p-4, -0x1.f3a0951fa914dp-4, -0x1.e9649ff68f09cp-4, -0x1.df4dc0736bd35p-4, -0x1.d55bfaee1bbc5p-4, -0x1.cb8f4dfa682eep-4, -0x1.c1e7b29cb5df6p-4, -0x1.b8651c7e111f5p-4, -0x1.af077a1f53ba5p-4, -0x1.a5ceb50b8cd45p-4, -0x1.9cbab20992284p-4, -0x1.93cb514cb74eap-4, -0x1.8b006ea4ae648p-4, -0x1.8259e1ac8568p-4, -0x1.79d77df8c5641p-4, -0x1.71791344adcacp-4, -0x1.693e6d9e87c55p-4, -0x1.61275593133b9p-4, -0x1.593390580987ep-4, -0x1.5162dff5b57cfp-4, -0x1.49b5036fa1717p-4, -0x1.4229b6ec56926p-4, -0x1.3ac0b3dc33a31p-4, -0x1.3379b11f53c91p-4, -0x1.2c54632a8c984p-4, -0x1.25507c2b7efbap-4, -0x1.1e6dac2bbe501p-4, -0x1.17aba1330db37p-4, -0x1.110a0768b5fc4p-4, -0x1.0a888933f26c7p-4, -0x1.0426cf5b7b818p-4, -0x1.fbc9024856f92p-5, -0x1.ef8288dd86a39p-5, -0x1.e3797ba99d875p-5, -0x1.d7ad218959e31p-5, -0x1.cc1cbf3979a3fp-5, -0x1.c0c7978b65663p-5, -0x1.b5aceb982ff8cp-5, -0x1.aacbfaf1ee41dp-5, -0x1.a02403d3742f7p-5, -0x1.95b4434e72d53p-5, -0x1.8b7bf57807325p-5, -0x1.817a5593b99fep-5, -0x1.77ae9e3cf5fefp-5, -0x1.6e18098f05cccp-5, -0x1.64b5d14b8d85p-5, -0x1.5b872eff99a22p-5, -0x1.528b5c273f1c2p-5, -0x1.49c1924fd4aacp-5, -0x1.41290b38d11d7p-5, -0x1.38c100f350e47p-5, -0x1.3088ae004a88fp-5, -0x1.287f4d6d7bee6p-5, -0x1.20a41af115fdbp-5, -0x1.18f653042af42p-5, -0x1.117532fbedc16p-5, -0x1.0a1ff921bfffcp-5, -0x1.02f5e4ca1e5b2p-5, -0x1.f7ec6cd4dbb95p-6, -0x1.ea405f5b61971p-6, -0x1.dce627105c152p-6, -0x1.cfdc4c941c3ap-6, -0x1.c3215b61eb219p-6, -0x1.b6b3e1f14be71p-6, -0x1.aa9271d552627p-6, -0x1.9ebb9fda20516p-6, -0x1.932e042097b1cp-6, -0x1.87e83a384687cp-6, -0x1.7ce8e137a6cbdp-6, -0x1.722e9bd2b3358p-6, -0x1.67b8106fe767dp-6, -0x1.5d83e93baf02ep-6, -0x1.5390d43a5ad4cp-6, -0x1.49dd83589c289p-6, -0x1.4068ac7a9cb98p-6, -0x1.37310989ba51cp-6, -0x1.2e355880f20d4p-6, -0x1.25745b7807ea2p-6, -0x1.1cecd8ad75347p-6, -0x1.149d9a8f29112p-6, -0x1.0c856fc22668ap-6, -0x1.04a32b290a751p-6, -0x1.f9eb47d307601p-7, -0x1.eaf76ae19139ap-7, -0x1.dc687eee1fabfp-7, -0x1.ce3c4c043e5e8p-7, -0x1.c070a2cde2703p-7, -0x1.b3035c94fe617p-7, -0x1.a5f25b436e608p-7, -0x1.993b89615212fp-7, -0x1.8cdcda11e4c05p-7, -0x1.80d4490ee088bp-7, -0x1.751fdaa2832b3p-7, -0x1.69bd9ba045408p-7, -0x1.5eaba15c43e92p-7, -0x1.53e809a18e315p-7, -0x1.4970faa73cd5ap-7, -0x1.3f44a3047f315p-7, -0x1.356139a3a7e3ap-7, -0x1.2bc4fdb435a89p-7, -0x1.226e369bfc232p-7, -0x1.195b33e76c767p-7, -0x1.108a4d390d6fdp-7, -0x1.07f9e23830348p-7, -0x1.ff50b4fdda8d4p-8, -0x1.ef284b0ee8941p-8, -0x1.df77753176213p-8, -0x1.d03b31652d3f2p-8, -0x1.c1708cf28ef0dp-8, -0x1.b314a4410a361p-8, -0x1.a524a2ac1fdecp-8, -0x1.979dc257ade93p-8, -0x1.8a7d4c036bb6ap-8, -0x1.7dc096ddb0b2p-8, -0x1.71650855901c8p-8, -0x1.656813ec5f1aep-8, -0x1.59c73b06b1aeap-8, -0x1.4e800cbce09f9p-8, -0x1.439025ab222e5p-8, -0x1.38f52fc14b3dp-8, -0x1.2eace2123d6f7p-8, -0x1.24b500a317ee3p-8, -0x1.1b0b5c3a2f4e2p-8, -0x1.11add22ddfc0ap-8, -0x1.089a4c333e54ap-8, -0x1.ff9d805976093p-9, -0x1.ee925ff16f052p-9, -0x1.de0f528041a8bp-9, -0x1.ce108a8a2a14bp-9, -0x1.be92516337145p-9, -0x1.af9106ccf9bfdp-9, -0x1.a10920947aec3p-9, -0x1.92f72a308e9f9p-9, -0x1.8557c4608fa9cp-9, -0x1.7827a4cb9205cp-9, -0x1.6b6395a01bc6ap-9, -0x1.5f0875346fd1fp-9, -0x1.531335a773fa8p-9, -0x1.4780dc82459e6p-9, -0x1.3c4e825a7ba87p-9, -0x1.317952752a39fp-9, -0x1.26fe8a6ab06cep-9, -0x1.1cdb79cb4f0fcp-9, -0x1.130d81c49edf4p-9, -0x1.099214c7e48cfp-9, -0x1.0066b6314c256p-9, -0x1.ef11f3e0252eap-10, -0x1.dded085f4a797p-10, -0x1.cd5a1203758e8p-10, -0x1.bd549812d3005p-10, -0x1.add8404e8d5dep-10, -0x1.9ee0ce4d14295p-10, -0x1.906a22d6817ebp-10, -0x1.82703b431c285p-10, -0x1.74ef30dc0706p-10, -0x1.67e3383e1163p-10, -0x1.5b48a0bec7c2dp-10, -0x1.4f1bd3d3ac5ep-10, -0x1.4359547bb135bp-10, -0x1.37fdbeaaebdb7p-10, -0x1.2d05c6b8888f1p-10, -0x1.226e38cef9515p-10, -0x1.1833f85e70aeap-10, -0x1.0e53ff91909dbp-10, -0x1.04cb5ec46a9a7p-10, -0x1.f72e77fb735e1p-11, -0x1.e569a4d4bd0d5p-11, -0x1.d442e3b63eadbp-11, -0x1.c3b4fc894a68cp-11, -0x1.b3bade836de1ep-11, -0x1.a44f9f2f5dd49p-11, -0x1.956e797a52dbbp-11, -0x1.8712ccc5d09fcp-11, -0x1.79381bfdd2b2p-11, -0x1.6bda0cb354b89p-11, -0x1.5ef4663b32fe5p-11, -0x1.528310d154fc9p-11, -0x1.468214c020bf7p-11, -0x1.3aed998c26ed3p-11, -0x1.2fc1e52401d05p-11, -0x1.24fb5b145db4cp-11, -0x1.1a967bc01dfcfp-11, -0x1.108fe39c94cc4p-11, -0x1.06e44a71c52aep-11, -0x1.fb21053d3edbbp-12, -0x1.e922f0c26001fp-12, -0x1.d7c8624568d2fp-12, -0x1.c70b958f1117ap-12, -0x1.b6e6f605c1e4bp-12, -0x1.a7551d5c8c4a7p-12, -0x1.9850d249887bep-12, -0x1.89d5074381f46p-12, -0x1.7bdcd946d849fp-12, -0x1.6e638ea17be71p-12, -0x1.616495c5e8f2ep-12, -0x1.54db84250815cp-12, -0x1.48c4150edafb7p-12, -0x1.3d1a2899da743p-12, -0x1.31d9c290e63a6p-12, -0x1.26ff0967b218ep-12, -0x1.1c86453594f9bp-12, -0x1.126bdeb695d4bp-12, -0x1.08ac5e52aac9fp-12, -0x1.fe88d65603bb8p-13, -0x1.ec61945a7ff5ap-13, -0x1.dadcba5930183p-13, -0x1.c9f444014af0cp-13, -0x1.b9a26353c93a5p-13, -0x1.a9e17ef773f3dp-13, -0x1.9aac3097d1ef4p-13, -0x1.8bfd434eba0f2p-13, -0x1.7dcfb218670ffp-13, -0x1.701ea651c5b6cp-13, -0x1.62e57640dc105p-13, -0x1.561fa3a70800cp-13, -0x1.49c8da5cf2e93p-13, -0x1.3ddceef7f7bc4p-13, -0x1.3257dd78d2f94p-13, -0x1.2735c803731edp-13, -0x1.1c72f59fa7d49p-13, -0x1.120bd1028bc4cp-13, -0x1.07fce7607de94p-13, -0x1.fc85ce8eda189p-14, -0x1.e9b53f02a4b93p-14, -0x1.d781fbfd5c163p-14, -0x1.c5e61d91a7044p-14, -0x1.b4dbf5f7b3f2ap-14, -0x1.a45e0f900ffp-14, -0x1.94672af51b747p-14, -0x1.84f23d1aca12ep-14, -0x1.75fa6d7c51328p-14, -0x1.677b14577b982p-14, -0x1.596fb8f54dcc8p-14, -0x1.4bd40fffa9699p-14, -0x1.3ea3f9e3a3759p-14, -0x1.31db81403d1a1p-14, -0x1.2576d9613590fp-14, -0x1.19725cc5a7a5p-14, -0x1.0dca8bb22a2c2p-14, -0x1.027c0ace2b3dfp-14, -0x1.ef0743987ac14p-15, -0x1.d9bc743a26f2ap-15, -0x1.c511bb59c45ecp-15, -0x1.b1016b55d360bp-15, -0x1.9d8612b5bcaa2p-15, -0x1.8a9a79dfe9c76p-15, -0x1.7839a0e29ed5cp-15, -0x1.665ebd4f1c5e1p-15, -0x1.5505382688b38p-15, -0x1.4428abd8306e8p-15, -0x1.33c4e2509fe98p-15, -0x1.23d5d31928f05p-15, -0x1.1457a1875f8bdp-15, -0x1.05469afc1d7f5p-15, -0x1.ed3e6a634d04ap-16, -0x1.d0bc1930f490ap-16, -0x1.b4ffc584e61dap-16, -0x1.9a0339b78aa8bp-16, -0x1.7fc08463055f6p-16, -0x1.6631f58a72307p-16, -0x1.4d521bdaa356ap-16, -0x1.351bc203a1cb9p-16, -0x1.1d89ec2a3bc59p-16, -0x1.0697d570ee8c3p-16, -0x1.e081db2ef1defp-17, -0x1.b501ad60e42fcp-17, -0x1.8aa6c5d87c744p-17, -0x1.616924f1687f5p-17, -0x1.394122e9d27c8p-17, -0x1.12276bf0de855p-17, -0x1.d829f8b612defp-18, -0x1.8e0639f65058ep-18, -0x1.45d6bf3de3bdcp-18, -0x1.ff1e6eb7e9522p-19, -0x1.7647aba8230fdp-19, -0x1.e225327e0ac61p-20, -0x1.bda63169cdd54p-21, 0x1.d908186861886p-24, 0x1.132d7309cc369p-20, 0x1.0114f9a240374p-19, 0x1.755557521903ap-19, 0x1.e6696d11d7bb4p-19, 0x1.2a31118321f2ep-18, 0x1.5fa7dbfc68101p-18, 0x1.93a0e4fa5af9bp-18, 0x1.c623af438e657p-18, 0x1.f7377552b6a91p-18, 0x1.1371968f36dccp-17, 0x1.2a96c5db86ac6p-17, 0x1.410e845e0a49p-17, 0x1.56dbf0d53b121p-17, 0x1.6c020e82982dbp-17, 0x1.8083c6acc7dcap-17, 0x1.9463ea101e09p-17, 0x1.a7a5323e456e3p-17, 0x1.ba4a42ed8eed1p-17, 0x1.cc55ab3884db7p-17, 0x1.ddc9e6ce5b115p-17, 0x1.eea95f14c49d8p-17, 0x1.fef66c3bb97a8p-17, 0x1.0759ab21d6fc3p-16, 0x1.0ef12afb65fc7p-16, 0x1.1642caeace7bp-16, 0x1.1d4f997bd3fbdp-16, 0x1.24189ef039f0bp-16, 0x1.2a9edda4b44c8p-16, 0x1.30e352707fb6p-16, 0x1.36e6f4ffce08bp-16, 0x1.3caab8294ade8p-16, 0x1.422f8a3edce29p-16, 0x1.47765559dd92ap-16, 0x1.4c7fffa2f4d49p-16, 0x1.514d6b95c39b4p-16, 0x1.55df78408d2afp-16, 0x1.5a3701800c61bp-16, 0x1.5e54e03796e1cp-16, 0x1.6239ea85c147fp-16, 0x1.65e6f3f59f164p-16, 0x1.695ccdacd2351p-16, 0x1.6c9c46967e37fp-16, 0x1.6fa62b8b5570bp-16, 0x1.727b4776cc114p-16, 0x1.751c6379aa489p-16, 0x1.778a470a082a6p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.bfcb2fead3965p-1, 0x1.bd4de13b4bfb6p-1, 0x1.babc3b467fd53p-1, 0x1.b818ffd97f5cp-1, 0x1.b566da062426fp-1, 0x1.b2a857af6c3cfp-1, 0x1.afdfe488e45a7p-1, 0x1.ad0fc65d550b4p-1, 0x1.aa3a1a72d7319p-1, 0x1.a760d3e519e08p-1, 0x1.a485bad19eb84p-1, 0x1.a1aa6c34ee184p-1, 0x1.9ed05a5afc3ddp-1, 0x1.9bf8cdc83372ep-1, 0x1.9924e68399887p-1, 0x1.96559dad76eb5p-1, 0x1.938bc750848cp-1, 0x1.90c8145e254ccp-1, 0x1.8e0b14c8622c7p-1, 0x1.8b5539ae64477p-1, 0x1.88a6d791f3299p-1, 0x1.8600288e0f044p-1, 0x1.83614e88288c1p-1, 0x1.80ca5556abe41p-1, 0x1.7e3b34d8a554p-1, 0x1.7bb3d2fb3049ep-1, 0x1.793405aa27b5fp-1, 0x1.76bb94aa3e18bp-1, 0x1.744a3b5b2f702p-1, 0x1.71dfaa613b3d6p-1, 0x1.6f7b89357cdaap-1, 0x1.6d1d779d066e2p-1, 0x1.6ac50f06edbfep-1, 0x1.6871e3d1ab0ccp-1, 0x1.662386785e7cap-1, 0x1.63d984a8abb88p-1, 0x1.61936a41fa54bp-1, 0x1.5f50c23efc05fp-1, 0x1.5d11178a6770dp-1, 0x1.5ad3f5bfe049fp-1, 0x1.5898e9da0a19fp-1, 0x1.565f82cec483cp-1, 0x1.5427521a8e99bp-1, 0x1.51efec3c0fe54p-1, 0x1.4fb8e920ba929p-1, 0x1.4d81e48378a1ep-1, 0x1.4b4a7e3e4f6bep-1, 0x1.49125a8fd9fe2p-1, 0x1.46d9225573216p-1, 0x1.449e833ae3079p-1, 0x1.42622fe0548f4p-1, 0x1.4023dff754ba1p-1, 0x1.3de350578ee5cp-1, 0x1.3ba0430bf4293p-1, 0x1.395a7f58f0c8cp-1, 0x1.3711d1bc4c1b4p-1, 0x1.34c60be741971p-1, 0x1.327704b3629fdp-1, 0x1.30249812beddfp-1, 0x1.2dcea6fbce0cap-1, 0x1.2b7517518f597p-1, 0x1.2917d3c84b31p-1, 0x1.26b6cbc7571f6p-1, 0x1.2451f348415dep-1, 0x1.21e942b3b4f9fp-1, 0x1.1f7cb6bc6cc92p-1, 0x1.1d0c503881784p-1, 0x1.1a9813f956e1ep-1, 0x1.18200aa26bf57p-1, 0x1.15a4407f4b32dp-1, 0x1.1324c558d0b92p-1, 0x1.10a1ac49fce3p-1, 0x1.0e1b0b9480f4bp-1, 0x1.0b90fc75319f5p-1, 0x1.09039af889917p-1, 0x1.067305cf5c68bp-1, 0x1.03df5e23de853p-1, 0x1.0148c76f20501p-1, 0x1.fd5ece9e25e38p-2, 0x1.f826caba6bd74p-2, 0x1.f2e9d60bfa611p-2, 0x1.eda846c20fdb2p-2, 0x1.e86276146917p-2, 0x1.e318bff74c487p-2, 0x1.ddcb82d1855b5p-2, 0x1.d87b1f347521dp-2, 0x1.d327f7963de8ep-2, 0x1.cdd2700e221e8p-2, 0x1.c87aee131f27fp-2, 0x1.c321d83cd2097p-2, 0x1.bdc79606a6c12p-2, 0x1.b86c8f9561494p-2, 0x1.b3112d7ef9a82p-2, 0x1.adb5d894d2891p-2, 0x1.a85af9b045f7p-2, 0x1.a300f981898bfp-2, 0x1.9da84060e1482p-2, 0x1.9851362221f35p-2, 0x1.92fc41ea74f43p-2, 0x1.8da9ca085d9efp-2, 0x1.885a33cdf106p-2, 0x1.830de36d3be7bp-2, 0x1.7dc53bd6c7c4ap-2, 0x1.78809e9a36c34p-2, 0x1.73406bc8ea811p-2, 0x1.6e0501daa9104p-2, 0x1.68cebd94304c6p-2, 0x1.639df9efb391p-2, 0x1.5e731007296e7p-2, 0x1.594e5700687c7p-2, 0x1.543023faf956ap-2, 0x1.4f18c9ff9aaf9p-2, 0x1.4a0899f1625dfp-2, 0x1.44ffe2806c6f5p-2, 0x1.3ffef01e12899p-2, 0x1.3b060cf29055cp-2, 0x1.361580d411702p-2, 0x1.312d913f19784p-2, 0x1.2c4e81502e81bp-2, 0x1.277891bec6c68p-2, 0x1.22ac00d96019p-2, 0x1.1de90a82b8b98p-2, 0x1.192fe8301ccfbp-2, 0x1.1480d0e8b6ef1p-2, 0x1.0fdbf945dd7eep-2, 0x1.0b419374493a8p-2, 0x1.06b1cf363064fp-2, 0x1.022cd9e62fd02p-2, 0x1.fb65bcf607d75p-3, 0x1.f2880b17ee0c1p-3, 0x1.e9c0eaac116dep-3, 0x1.e110a38369de7p-3, 0x1.d87778d2bb86cp-3, 0x1.cff5a94082233p-3, 0x1.c78b6ef3f78b8p-3, 0x1.bf38ffa50d00cp-3, 0x1.b6fe8cad565f5p-3, 0x1.aedc4319c4e7ap-3, 0x1.a6d24bbd2efa1p-3, 0x1.9ee0cb438a61cp-3, 0x1.9707e245c95a3p-3, 0x1.8f47ad5e5345cp-3, 0x1.87a0453dfc0dbp-3, 0x1.8011bec1794b3p-3, 0x1.789c2b073e5a8p-3, 0x1.713f9785b68c2p-3, 0x1.69fc0e21cbdcdp-3, 0x1.62d19545b790bp-3, 0x1.5bc02ff805d2bp-3, 0x1.54c7ddf2c7f2ap-3, 0x1.4de89bbae72efp-3, 0x1.472262b792c31p-3, 0x1.40752949bb273p-3, 0x1.39e0e2e38ff4p-3, 0x1.33658020014afp-3, 0x1.2d02eeda2ec57p-3, 0x1.26b91a44c68f7p-3, 0x1.2087eb014cc1bp-3, 0x1.1a6f47373a45ap-3, 0x1.146f12aafa4cfp-3, 0x1.0e872ed4b849p-3, 0x1.08b77af6faddcp-3, 0x1.02ffd4350304fp-3, 0x1.fac02b51dcfe6p-4, 0x1.efb030f339664p-4, 0x1.e4cf67e08c486p-4, 0x1.da1d7b1b95cfcp-4, 0x1.cf9a123f6e6efp-4, 0x1.c544d1a9e1dabp-4, 0x1.bb1d5aa421217p-4, 0x1.b1234b8ad2ea1p-4, 0x1.a7563ff55b254p-4, 0x1.9db5d0dc79dcap-4, 0x1.944194c02c2fbp-4, 0x1.8af91fccc1c6ap-4, 0x1.81dc03ff3b4f3p-4, 0x1.78e9d148dc8dfp-4, 0x1.702215b1f7a4dp-4, 0x1.67845d7bee648p-4, 0x1.5f10334267319p-4, 0x1.56c5201bb6057p-4, 0x1.4ea2abb875ab7p-4, 0x1.46a85c8255466p-4, 0x1.3ed5b7ba15312p-4, 0x1.372a4194b692cp-4, 0x1.2fa57d57dc3ccp-4, 0x1.2846ed755e3cap-4, 0x1.210e13a610a7ap-4, 0x1.19fa7103be815p-4, 0x1.130b86225b078p-4, 0x1.0c40d32868db5p-4, 0x1.0599d7e69a8cep-4, 0x1.fe2c27dd5c3d6p-5, 0x1.f16a0d53080f1p-5, 0x1.e4ec5ed8eb7eep-5, 0x1.d8b21b1bd9702p-5, 0x1.ccba40f279d74p-5, 0x1.c103cf838a97dp-5, 0x1.b58dc66ab1691p-5, 0x1.aa5725dbe4629p-5, 0x1.9f5eeec56e784p-5, 0x1.94a422f0952cap-5, 0x1.8a25c520e952cp-5, 0x1.7fe2d932406aap-5, 0x1.75da6435693cfp-5, 0x1.6c0b6c8b93f82p-5, 0x1.6274fa008184bp-5, 0x1.591615e3762f6p-5, 0x1.4fedcb1efba2p-5, 0x1.46fb264f78d8fp-5, 0x1.3e3d35d8a3f44p-5, 0x1.35b309f9d6568p-5, 0x1.2d5bb4e148b29p-5, 0x1.25364abe413bcp-5, 0x1.1d41e1d23506fp-5, 0x1.157d9280e6776p-5, 0x1.0de8775f89db8p-5, 0x1.0681ad42f03b2p-5, 0x1.fe90a6998e3b4p-6, 0x1.f07715efd70a7p-6, 0x1.e2b4f047bbb21p-6, 0x1.d548823eb0ffap-6, 0x1.c8301d6426be6p-6, 0x1.bb6a184b6a9c7p-6, 0x1.aef4ce9bff96bp-6, 0x1.a2cea1206d70cp-6, 0x1.96f5f5d39ca0ap-6, 0x1.8b6937ecbf626p-6, 0x1.8026d7e9e149cp-6, 0x1.752d4b991e048p-6, 0x1.6a7b0e20924e8p-6, 0x1.600ea0050f88ap-6, 0x1.55e6872f9bcdp-6, 0x1.4c014ef1ceafap-6, 0x1.425d88090cc76p-6, 0x1.38f9c8a0b9ed4p-6, 0x1.2fd4ac535eac7p-6, 0x1.26ecd42ad4976p-6, 0x1.1e40e69f7d065p-6, 0x1.15cf8f96975cbp-6, 0x1.0d97805fafca4p-6, 0x1.05976fb13f2a5p-6, 0x1.fb9c3348f8018p-7, 0x1.ec747f60d81f3p-7, 0x1.ddb5514874149p-7, 0x1.cf5c4141ae47fp-7, 0x1.c166f223f85abp-7, 0x1.b3d3114d039e9p-7, 0x1.a69e56904e389p-7, 0x1.99c6842580452p-7, 0x1.8d496695ca3fcp-7, 0x1.8124d4a82cc2bp-7, 0x1.7556af4cdc46dp-7, 0x1.69dce187ad319p-7, 0x1.5eb56059bada6p-7, 0x1.53de2aaa319acp-7, 0x1.4955492e63517p-7, 0x1.3f18ce5124a7ep-7, 0x1.3526d61985d2p-7, 0x1.2b7d8610f3075p-7, 0x1.221b0d28c0c8ep-7, 0x1.18fda39f373d8p-7, 0x1.10238ae421b49p-7, 0x1.078b0d7ceff5dp-7, 0x1.fe64fdd0e3123p-8, 0x1.ee30770467ec3p-8, 0x1.de7550cb2030bp-8, 0x1.cf3066a0d72e5p-8, 0x1.c05ea50b74619p-8, 0x1.b1fd095f8bc34p-8, 0x1.a408a1848b4bp-8, 0x1.967e8bb89688fp-8, 0x1.895bf6541be1p-8, 0x1.7c9e1f8d383bdp-8, 0x1.7042553aee872p-8, 0x1.6445f49844c03p-8, 0x1.58a66a0754541p-8, 0x1.4d6130d4556e9p-8, 0x1.4273d2f8b4233p-8, 0x1.37dbe8de39026p-8, 0x1.2d97192250a4ep-8, 0x1.23a3185978ee8p-8, 0x1.19fda8d2e33c7p-8, 0x1.10a49a5c4ffedp-8, 0x1.0795ca062be79p-8, 0x1.fd9e43cff863fp-9, 0x1.ec9d31ca36445p-9, 0x1.dc2464e3a35fep-9, 0x1.cc2ffcb1a25a6p-9, 0x1.bcbc31022cf37p-9, 0x1.adc55168756bcp-9, 0x1.9f47c4ca760a3p-9, 0x1.914008ef6c81ap-9, 0x1.83aab20f5b1c8p-9, 0x1.76846a638dfd2p-9, 0x1.69c9f1b833168p-9, 0x1.5d781cff0ddf2p-9, 0x1.518bd5e346bdep-9, 0x1.46021a5e69e4fp-9, 0x1.3ad7fc4e92ca5p-9, 0x1.300aa10dcd3f7p-9, 0x1.2597410ab37a3p-9, 0x1.1b7b27624d8fp-9, 0x1.11b3b17b337d8p-9, 0x1.083e4ea1fb60cp-9, 0x1.fe30ff4df0896p-10, 0x1.ec7facfa849d5p-10, 0x1.db63ebb637db4p-10, 0x1.cad921b74bfd5p-10, 0x1.badad543e7935p-10, 0x1.ab64abfae7273p-10, 0x1.9c726a1f70521p-10, 0x1.8dfff1e73a5f3p-10, 0x1.800942cb97bf6p-10, 0x1.728a78dd386a6p-10, 0x1.657fcc1aad113p-10, 0x1.58e58fc9a7bf5p-10, 0x1.4cb831d2fe6dp-10, 0x1.40f43a2160de7p-10, 0x1.35964a02d1941p-10, 0x1.2a9b1b8cd328p-10, 0x1.1fff81034e9adp-10, 0x1.15c06442274bfp-10, 0x1.0bdac6298a217p-10, 0x1.024bbe0cdc9fdp-10, 0x1.f220f248b4086p-11, 0x1.e04c7402aba5fp-11, 0x1.cf14b00a353e9p-11, 0x1.be747db4c6eedp-11, 0x1.ae66dbe2d63e7p-11, 0x1.9ee6effd138dap-11, 0x1.8ff004f6b9794p-11, 0x1.817d8a54e206p-11, 0x1.738b133ad81dbp-11, 0x1.6614557b547aep-11, 0x1.591528ae9ba75p-11, 0x1.4c89854d6fc43p-11, 0x1.406d83d0c5e54p-11, 0x1.34bd5bd630961p-11, 0x1.29756348f6139p-11, 0x1.1e920d8fbbb6p-11, 0x1.140feabebe35bp-11, 0x1.09eba6ce84545p-11, 0x1.002208d6fc606p-11, 0x1.ed5fe49df0626p-12, 0x1.db24bc9fe6accp-12, 0x1.c98cc1bc2f8bbp-12, 0x1.b8924c68dd225p-12, 0x1.a82fe42a5d583p-12, 0x1.98603e3c2f817p-12, 0x1.891e3c41971d1p-12, 0x1.7a64eafe23203p-12, 0x1.6c2f8115f5fdcp-12, 0x1.5e795dd5a0081p-12, 0x1.513e080179b46p-12, 0x1.44792cac50b7dp-12, 0x1.38269e1551ec5p-12, 0x1.2c42528d0bf5ep-12, 0x1.20c86361686e6p-12, 0x1.15b50bd081058p-12, 0x1.0b04a8022b331p-12, 0x1.00b3b408205dep-12, 0x1.ed7d95c93eaabp-13, 0x1.da454b2ed3b03p-13, 0x1.c7b83461fc5cdp-13, 0x1.b5d035d7dd561p-13, 0x1.a4876a9872b38p-13, 0x1.93d8228901907p-13, 0x1.83bce0c20dac4p-13, 0x1.743059f0a0a82p-13, 0x1.652d72c297399p-13, 0x1.56af3e5dd5b1ap-13, 0x1.48b0fce205458p-13, 0x1.3b2e19f4c8fb9p-13, 0x1.2e222b580f436p-13, 0x1.2188ef8a6533fp-13, 0x1.155e4c70f977ep-13, 0x1.099e4e0b33e33p-13, 0x1.fc8a4a5f2c12p-14, 0x1.e69e4ca37c2b1p-14, 0x1.d17190a29d5cp-14, 0x1.bcfd46a31d97bp-14, 0x1.a93adf3317121p-14, 0x1.962408f91fd12p-14, 0x1.83b2ae956211ep-14, 0x1.71e0f492ad676p-14, 0x1.60a93766f807ap-14, 0x1.50060983063cp-14, 0x1.3ff23170d7678p-14, 0x1.3068a8007cc1cp-14, 0x1.21649683020d1p-14, 0x1.12e155130e349p-14, 0x1.04da68eae922cp-14, 0x1.ee97058f1921p-15, 0x1.d460fab0e4aa4p-15, 0x1.bb0ab7779210bp-15, 0x1.a28c900d85df3p-15, 0x1.8adf23b35a245p-15, 0x1.73fb59ff05399p-15, 0x1.5dda60315e98bp-15, 0x1.4875a6a171fe5p-15, 0x1.33c6de3d064a2p-15, 0x1.1fc7f61dd0a36p-15, 0x1.0c731932c254dp-15, 0x1.f38557f9d0ebap-16, 0x1.cf6294beb0df6p-16, 0x1.ac738b03481fep-16, 0x1.8aae43889efap-16, 0x1.6a09298da7322p-16, 0x1.4a7b06fd4c285p-16, 0x1.2bfb00bdaaa58p-16, 0x1.0e80931f7b549p-16, 0x1.e4071cd992a03p-17, 0x1.acf8272c1af0ep-17, 0x1.77c521f9b6deep-17, 0x1.445f7eb6680d4p-17, 0x1.12b93d8d73d66p-17, 0x1.c589cf3bbef59p-18, 0x1.68eb12d6d4aafp-18, 0x1.0f7d5b04fa733p-18, 0x1.72515d3626e3cp-19, 0x1.9757f0d2e5b52p-20, 0x1.56f109bebdeffp-22, -0x1.c10b93a863de7p-21, -0x1.05e03e748b177p-19, -0x1.962188f029397p-19, -0x1.109675bac8aadp-18, -0x1.53939346ca37ep-18, -0x1.9419d1bb9e006p-18, -0x1.d23a416c3ac09p-18, -0x1.0702aab785f58p-17, -0x1.23c57533fa41cp-17, -0x1.3f6d268746fcp-17, -0x1.5a0120396a5c6p-17, -0x1.7388820131a9ap-17, -0x1.8c0a2ca82baabp-17, -0x1.a38cc4d0ea75ep-17, -0x1.ba16b5a09ea72p-17, -0x1.cfae334cec847p-17, -0x1.e4593d8efde6dp-17, -0x1.f81da1fcb60a9p-17, -0x1.05807f246aafp-16, -0x1.0e84613581dfp-16, -0x1.171d195844b8cp-16, -0x1.1f4d34db40547p-16, -0x1.27172d272bd56p-16, -0x1.2e7d68a6af856p-16, -0x1.35823ba411111p-16, -0x1.3c27e91d2293bp-16, -0x1.4270a38dcd12dp-16, -0x1.485e8db1935e3p-16, -0x1.4df3bb3c561b8p-16, -0x1.5332318ab7632p-16, -0x1.581be84a676d8p-16, -0x1.5cb2ca1aaa4c5p-16, -0x1.60f8b5255bdep-16, -0x1.64ef7bb0c4d7ap-16, -0x1.6898e4aa8107dp-16, -0x1.6bf6ac2bb5829p-16, -0x1.6f0a83f6ebbe7p-16, -0x1.71d613efbab41p-16, -0x1.745afa8c8c8cp-16, -0x1.769acd42b62dep-16, -0x1.789718ed21894p-16, -0x1.7a51622db4654p-16, -0x1.7bcb25c9bf5efp-16, -0x1.7d05d90196f43p-16, -0x1.7e02e9e394946p-16, -0x1.7ec3bf9ab16ep-16, -0x1.7f49bab8df013p-16, -0x1.7f96357d6132fp-16, -0x1.7faa84173b2c3p-16, -0x1.7f87f4e3f65b3p-16, -0x1.7f2fd0aad87ccp-16, -0x1.7ea35ad4b559bp-16, -0x1.7de3d1a09244cp-16, -0x1.7cf26e5524b61p-16, -0x1.7bd0656f6f07bp-16, -0x1.7a7ee6ce83415p-16, -0x1.78ff1ddca2b54p-16, -0x1.775231b5cde49p-16, -0x1.7579454be6876p-16, -0x1.7375778889eb2p-16, -0x1.7147e36cb1567p-16, -0x1.6ef1a02e4520ap-16, -0x1.6c73c153b0e5ap-16, -0x1.69cf56cd9ab4cp-16, -0x1.67056d0ecf3d1p-16, -0x1.64170d2281f4ep-16, -0x1.61053cc0f2865p-16, -0x1.5dd0fe6292e34p-16, -0x1.5a7b5151bd226p-16, -0x1.570531bb14878p-16, -0x1.536f98bc9bcccp-16, -0x1.4fbb7c73a11acp-16, -0x1.4be9d00986e39p-16, -0x1.47fb83bf780a7p-16, -0x1.43f184f927c4ep-16, -0x1.3fccbe469f5edp-16, -0x1.3b8e176d29036p-16, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      31, 0x1.2acb5350092cdp+2, 0x1.8f00d9cec1cf1p+0, 0x1.dad8d53e72a05p+1, -0x1.a9fbdb3ccfb34p-1, 
      {{
        {0x1.999999999999ap+0, 0x1.b333333333333p+0, 0x1.45522b12fae54p+1, -0x1.5084319a46f29p+2, 0x1.063f93cfa5e1bp+2, 0x1.15596e0b358fcp-1}, 
        {0x1.b333333333333p+0, 0x1.ccccccccccccdp+0, 0x1.0754fdcd24f72p+1, -0x1.1b06d2aaf20dp+2, 0x1.10a62189ab172p+2, -0x1.5aafc98e037b1p+1}, 
        {0x1.ccccccccccccdp+0, 0x1.e666666666666p+0, 0x1.a7aa79ae96dbdp+0, -0x1.d364f27271b08p+1, 0x1.b94ab9cf21efbp+1, -0x1.8adb6c7aa2044p+0}, 
        {0x1.e666666666666p+0, 0x1p+1, 0x1.529e378d626e1p+0, -0x1.810f0da1e5a71p+1, 0x1.7e103656566f2p+1, -0x1.9583a2e7201f1p+0}, 
        {0x1p+1, 0x1.0cccccccccccdp+1, 0x1.0cd78f17f903p+0, -0x1.3aba95d937685p+1, 0x1.413c77807803fp+1, -0x1.534a30c0ab8bdp+0}, 
        {0x1.0cccccccccccdp+1, 0x1.199999999999ap+1, 0x1.a7f6a046429f2p-1, -0x1.ff2454661afedp+0, 0x1.0e57bcfd2b155p+1, -0x1.2b594618adc9p+0}, 
        {0x1.199999999999ap+1, 0x1.2666666666666p+1, 0x1.4bf333ff80225p-1, -0x1.9bfc3b8bd188fp+0, 0x1.c2e17e8c886e3p+0, -0x1.01c50fa8a0e74p+0}, 
        {0x1.2666666666666p+1, 0x1.3333333333333p+1, 0x1.020e169ed79c6p-1, -0x1.498ace39e4098p+0, 0x1.758cc6a6be8f7p+0, -0x1.bb8323aff5045p-1}, 
        {0x1.3333333333333p+1, 0x1.4p+1, 0x1.8e592093c20dp-2, -0x1.057c2330f0f5dp+0, 0x1.3305e7b2c0352p+0, -0x1.7a32eb5c0b156p-1}, 
        {0x1.4p+1, 0x1.4cccccccccccdp+1, 0x1.314759c30d2c3p-2, -0x1.9b81ae342ef81p-1, 0x1.f49622637d172p-1, -0x1.4039f4096a455p-1}, 
        {0x1.4cccccccccccdp+1, 0x1.599999999999ap+1, 0x1.d0b285cb2ff9cp-3, -0x1.40fefe01d9239p-1, 0x1.9484bf93dd356p-1, -0x1.0cdec3972a83fp-1}, 
        {0x1.599999999999ap+1, 0x1.6666666666666p+1, 0x1.5f6778fdd688bp-3, -0x1.f0512184d21acp-2, 0x1.43db84e683a75p-1, -0x1.bf89272489729p-2}, 
        {0x1.6666666666666p+1, 0x1.7333333333333p+1, 0x1.0833357a3ed14p-3, -0x1.7c3332a726b03p-2, 0x1.00ba256dd57p-1, -0x1.70eb8d49eb15cp-2}, 
        {0x1.7333333333333p+1, 0x1.8p+1, 0x1.8b61efa6aa536p-4, -0x1.2093a55c27b9cp-2, 0x1.92c73a124abfcp-2, -0x1.2d06cead23f31p-2}, 
        {0x1.8p+1, 0x1.8cccccccccccdp+1, 0x1.26dbe027bafa3p-4, -0x1.b21a91cfdcaafp-3, 0x1.38786277f329fp-2, -0x1.e5f2de731137dp-3}, 
        {0x1.8cccccccccccdp+1, 0x1.999999999999ap+1, 0x1.b7214d7c3c55dp-5, -0x1.43b1b3a8743d2p-3, 0x1.df27e89a2df63p-3, -0x1.83c5cf5b2aeacp-3}, 
        {0x1.999999999999ap+1, 0x1.a666666666666p+1, 0x1.47447fc2c0a88p-5, -0x1.defe075b442fbp-4, 0x1.6ad2f732077c9p-3, -0x1.31c4dd3d02eb9p-3}, 
        {0x1.a666666666666p+1, 0x1.b333333333333p+1, 0x1.e9849be5896f7p-6, -0x1.60357450090cap-4, 0x1.0f17e80620363p-3, -0x1.dc5d39cdb416dp-4}, 
        {0x1.b333333333333p+1, 0x1.cp+1, 0x1.706a9f723ef7cp-6, -0x1.020ff7f5093f4p-4, 0x1.8f470b81bd987p-4, -0x1.6e8311d45fb31p-4}, 
        {0x1.cp+1, 0x1.ccccccccccccdp+1, 0x1.17b2543450ce4p-6, -0x1.7a678b19f55b8p-5, 0x1.2152ec8ed415dp-4, -0x1.1678ba4f7abcdp-4}, 
        {0x1.ccccccccccccdp+1, 0x1.d99999999999ap+1, 0x1.acf315a886bfbp-7, -0x1.176218efd5f79p-5, 0x1.9b909c8791ba3p-5, -0x1.a173aa0036d1cp-5}, 
        {0x1.d99999999999ap+1, 0x1.e666666666666p+1, 0x1.4bfd330e86a4bp-7, -0x1.a3300294fa0d8p-6, 0x1.1e544fede7ae4p-5, -0x1.3391b214c8344p-5}, 
        {0x1.e666666666666p+1, 0x1.f333333333333p+1, 0x1.025fdbefec75dp-7, -0x1.431c259d76319p-6, 0x1.841e01cf573ep-6, -0x1.b83af81a6a5bap-6}, 
        {0x1.f333333333333p+1, 0x1p+2, 0x1.9144c8ad2589fp-8, -0x1.02b183bc774bbp-6, 0x1.000c50fa9dbcp-6, -0x1.294e9165b1081p-6}, 
        {0x1p+2, 0x1.0666666666666p+2, 0x1.32d81184fa65cp-8, -0x1.b0ce563463145p-7, 0x1.4db64ab837a6p-7, -0x1.4fe4460e2718cp-7}, 
        {0x1.0666666666666p+2, 0x1.0cccccccccccdp+2, 0x1.c4920f8db8b5p-9, -0x1.7823ed33cee2p-7, 0x1.d1e39e9b24a4cp-8, -0x1.b379b925ca48cp-9}, 
        {0x1.0cccccccccccdp+2, 0x1.1333333333333p+2, 0x1.36ff2929e3274p-9, -0x1.4cd1470ce5b21p-7, 0x1.90915c6f13197p-8, 0x1.d8e9d8b81b30dp-8}, 
        {0x1.1333333333333p+2, 0x1.199999999999ap+2, 0x1.75a7609c75d3bp-10, -0x1.1daac0f4c9c73p-7, 0x1.0f388eb98da09p-7, 0x1.11330f7a3b68ap-7}, 
        {0x1.199999999999ap+2, 0x1.2p+2, 0x1.5201c870a5c9ap-11, -0x1.be74240dc7fa4p-8, 0x1.612e46916c40ap-7, 0x1.afdcab623be91p-5}, 
        {0x1.2p+2, 0x1.2666666666666p+2, 0x1.03f7eccd38a66p-13, -0x1.9311a8e8b635p-9, 0x1.b3b523b6da119p-6, -0x1.516de3f2ba6b8p-4}, 
        {0x1.2666666666666p+2, 0x1.2acb5350092cdp+2, 0x0p+0, -0x1.dde738e72a95bp-13, 0x1.ecadef9fa5ed9p-10, 0x1.a9d12e173143cp-3}, 
      }}, 
      -0x1.1beca1295ca62p+2, 0x1.8f4a3e7c2cf43p+4
    }
  };
  // clang-format on
}
SkfData params_mio_0_1_h_h() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    SkfData::SameElementLine {0x0p+0, 0x1.4727dcbddb984p-15, -0x1.e8a753968009ap-3, -0x1.0e5604189374cp-5, 0x1.636e2eb1c432dp-2, 0x1.f7b4a2339c0ecp-2, 0x1.ad916872b020cp-2, 0, 0, 1}, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.11d6e57309117p-1, -0x1.0fba6b9df4482p-1, -0x1.0d94cdf5af1cap-1, -0x1.0b67085b8c88fp-1, -0x1.093206f2a5cbcp-1, -0x1.06f6a6b06a363p-1, -0x1.04b5b6404e42ap-1, -0x1.026ff721bd53bp-1, -0x1.00261d6a2e0bbp-1, -0x1.fbb1a2acedbaap-2, -0x1.f7115eccf1c1fp-2, -0x1.f26c93f703a0ap-2, -0x1.edc450298481p-2, -0x1.e919853704d5ap-2, -0x1.e46d3ad60b404p-2, -0x1.dfc02abe61f6ap-2, -0x1.db1325173a1c4p-2, -0x1.d666e848e8e91p-2, -0x1.d1bc1909e8efdp-2, -0x1.cd13562cca1aep-2, -0x1.c86d31c38ac73p-2, -0x1.c3ca15c4c0723p-2, -0x1.bf2aab66af08cp-2, -0x1.ba8f4a960490ep-2, -0x1.b5f858e495f19p-2, -0x1.b16632c72c846p-2, -0x1.acd92c3f48f03p-2, -0x1.a85191ba5e0eep-2, -0x1.a3cfa844bbdbdp-2, -0x1.9f53adf020ab2p-2, -0x1.9adddae0c0d02p-2, -0x1.966e609a9bcf2p-2, -0x1.92056e13f5639p-2, -0x1.8da32903bf303p-2, -0x1.8947b59bd8b91p-2, -0x1.84f3332f5999p-2, -0x1.80a5bcc21b2f7p-2, -0x1.7c5f6a5082089p-2, -0x1.78204f65a15f7p-2, -0x1.73e87f5cb9976p-2, -0x1.6fb8079461792p-2, -0x1.6b8ef4b4390c1p-2, -0x1.676d510fa542p-2, -0x1.6353243c31a7fp-2, -0x1.5f407c580f8f3p-2, -0x1.5b35474998404p-2, -0x1.57319d5a7f0c6p-2, -0x1.53357c7fa05b5p-2, -0x1.4f40e17d1d5ap-2, -0x1.4b53cd114ea1p-2, -0x1.476e3d9826314p-2, -0x1.439031205cd3ap-2, -0x1.3fb9a46ca0f3bp-2, -0x1.3bea9400ae8bbp-2, -0x1.3822fb063ac59p-2, -0x1.3462d6444a1ep-2, -0x1.30aa1f9254911p-2, -0x1.2cf8d2766576ep-2, -0x1.294ee69abfdf8p-2, -0x1.25ac5af21a2c6p-2, -0x1.22112603fdedp-2, -0x1.1e7d42b853c6bp-2, -0x1.1af0aaf943e75p-2, -0x1.176b5727a1367p-2, -0x1.13ed43b677dbbp-2, -0x1.1076692224d04p-2, -0x1.0d06c168457c3p-2, -0x1.099e462d58da8p-2, -0x1.063cf1b406c13p-2, -0x1.02e2bdc839ed2p-2, -0x1.ff1f4801adf3ap-3, -0x1.f8874113508fap-3, -0x1.f1fd57c43a5e6p-3, -0x1.eb8182253edf9p-3, -0x1.e513b5786102dp-3, -0x1.deb3e5cd65e64p-3, -0x1.d8620cdc7f51bp-3, -0x1.d21e1c77a8085p-3, -0x1.cbe80c25b6c54p-3, -0x1.c5bfd25d9de69p-3, -0x1.bfa5655c48f2cp-3, -0x1.b998bbad23df5p-3, -0x1.b399cd0a01ed3p-3, -0x1.ada890196b2ffp-3, -0x1.a7c4fc351e64bp-3, -0x1.a1ef0a5585ee8p-3, -0x1.9c26ad737052p-3, -0x1.966be2a7e5e1ap-3, -0x1.90be9d95fa2bdp-3, -0x1.8b1ed8bdf9a84p-3, -0x1.858c8add80c06p-3, -0x1.8007acc619f11p-3, -0x1.7a903576dd3bep-3, -0x1.75261d13165e7p-3, -0x1.6fc95ae3c23bp-3, -0x1.6a79ead20c031p-3, -0x1.6537c03111e1fp-3, -0x1.6002d397d0e85p-3, -0x1.5adb1e92b4a5p-3, -0x1.55c09753b006ep-3, -0x1.50b335eb4b3fap-3, -0x1.4bb2f18e71655p-3, -0x1.46bfc1b4e9df2p-3, -0x1.41d99d67ddf02p-3, -0x1.3d007bb93d60fp-3, -0x1.383452b2a9ca7p-3, -0x1.337519a1504d6p-3, -0x1.2ec2c7ba08a5dp-3, -0x1.2a1d5114cab15p-3, -0x1.2584ad457202p-3, -0x1.20f8d0eb3aeafp-3, -0x1.1c79b1bf7a8dp-3, -0x1.180744f36e783p-3, -0x1.13a17f3bdb828p-3, -0x1.0f48556b1b109p-3, -0x1.0afbbb5ce1884p-3, -0x1.06bba5ba3fcc9p-3, -0x1.0288073b4b2eep-3, -0x1.fcc1a8f0369a4p-4, -0x1.f48bfdec2a9bdp-4, -0x1.ec6ef5e5fb47ap-4, -0x1.e46a7471c7244p-4, -0x1.dc7e5dea9e196p-4, -0x1.d4aa96dc0995ap-4, -0x1.cceeff4acacb2p-4, -0x1.c54b7c680853cp-4, -0x1.bdbfeee97ac73p-4, -0x1.b64c37cb4573dp-4, -0x1.aef036ffb2868p-4, -0x1.a7abcc980a3f8p-4, -0x1.a07ed85dd6a0fp-4, -0x1.9969357a02c7p-4, -0x1.926ac3f663127p-4, -0x1.8b8362b33c518p-4, -0x1.84b2fc76fcc5ep-4, -0x1.7df944f2238e1p-4, -0x1.77562999e5a51p-4, -0x1.70c99634a1fd1p-4, -0x1.6a535817e0f7ep-4, -0x1.63f34966445dap-4, -0x1.5da94329deb24p-4, -0x1.57751d675bbc4p-4, -0x1.5156afcc131b8p-4, -0x1.4b4dd14accfebp-4, -0x1.455a58dd7c9f1p-4, -0x1.3f7c1ce15d2cap-4, -0x1.39b2f347154ebp-4, -0x1.33fe47a795eabp-4, -0x1.2e5eb8d2dc9e4p-4, -0x1.28d3be06ed7efp-4, -0x1.235d288850c7bp-4, -0x1.1dfacb383e497p-4, -0x1.18ac7b4f7e235p-4, -0x1.13720b81906b9p-4, -0x1.0e4b4ed70f625p-4, -0x1.093818e35fb09p-4, -0x1.04383a32d66abp-4, -0x1.fe971315d6eb7p-5, -0x1.f4e3aa684cce1p-5, -0x1.eb55e1cb6a6cap-5, -0x1.e1ed2855b6badp-5, -0x1.d8a9be7bbd077p-5, -0x1.cf8aacebffdebp-5, -0x1.c68fc84ecabf3p-5, -0x1.bdb8bae60721p-5, -0x1.b505208b279fp-5, -0x1.ac74a067f86f3p-5, -0x1.a406ddaea04e6p-5, -0x1.9bbb79fad6bffp-5, -0x1.939212b4afd39p-5, -0x1.8b8a645409f18p-5, -0x1.83a3f74172217p-5, -0x1.7bde7722f5b69p-5, -0x1.74398bc01cf34p-5, -0x1.6cb4d19528cc7p-5, -0x1.654ff2a975d52p-5, -0x1.5e0a8c8df4137p-5, -0x1.56e4470d01fe3p-5, -0x1.4fdcc3d6436c5p-5, -0x1.48f3a76131379p-5, -0x1.4228925d2a14ep-5, -0x1.3b7b2ba0f8fa6p-5, -0x1.34eb138bee6bbp-5, -0x1.2e77ee6fc9da7p-5, -0x1.2821550fd113p-5, -0x1.21e7070d0393p-5, -0x1.1bc88e50bbf0ap-5, -0x1.15c5931f1ad2cp-5, -0x1.0fddb97f6541bp-5, -0x1.0a10a6df96c7cp-5, -0x1.045dfc7d62555p-5, -0x1.fd8abe58a6422p-6, -0x1.f28ce2a32b299p-6, -0x1.e7c1adffbcd3cp-6, -0x1.dd286b912d48cp-6, -0x1.d2c0627f4e97fp-6, -0x1.c888debeb7493p-6, -0x1.be8134c28110cp-6, -0x1.b4a8951c0e596p-6, -0x1.aafe674cb1cbbp-6, -0x1.a181efeb563d7p-6, -0x1.983288cccf623p-6, -0x1.8f0f7b919e521p-6, -0x1.86181f88ee502p-6, -0x1.7d4bc7d0b486ep-6, -0x1.74a9db06fd561p-6, -0x1.6c31986f1a881p-6, -0x1.63e28e1b6410ep-6, -0x1.5bbbcbbccd263p-6, -0x1.53bd07d9cb648p-6, -0x1.4be560f4a0906p-6, -0x1.44346b4a7a7f8p-6, -0x1.3ca981abb3d0dp-6, -0x1.35440c52d5a29p-6, -0x1.2e037f47280e4p-6, -0x1.26e740db9a7cep-6, -0x1.1fee54a92dadep-6, -0x1.19199604004e7p-6, -0x1.12670ba0457f3p-6, -0x1.0bd6b3969d3ecp-6, -0x1.0567f807a7599p-6, -0x1.fe34de72f3de3p-7, -0x1.f1dafdffcf947p-7, -0x1.e5c167117e242p-7, -0x1.d9e71cdc59605p-7, -0x1.ce4b1a5944fc1p-7, -0x1.c2ec808dd0d13p-7, -0x1.b7ca5c617c99ap-7, -0x1.ace3aab0a3654p-7, -0x1.a2378c66368b8p-7, -0x1.97c52b77ab799p-7, -0x1.8d8b549fe3fe6p-7, -0x1.83896f9f76d47p-7, -0x1.79be7e65b2c49p-7, -0x1.7029a1cf4502ep-7, -0x1.66c9f3f2dd3ecp-7, -0x1.5d9e9619d1701p-7, -0x1.54a6b2bfa8aadp-7, -0x1.4be16c3dab84p-7, -0x1.434dee4291167p-7, -0x1.3aeb59b4d3a7dp-7, -0x1.32b8d508a5dd9p-7, -0x1.2ab59721c289bp-7, -0x1.22e1073b9b549p-7, -0x1.1b39a3321f6d6p-7, -0x1.13bf4c93ec5f3p-7, -0x1.0c70fa18a4a05p-7, -0x1.054de8a142a8bp-7, -0x1.fcaa8f034eb77p-8, -0x1.ef0ca577a079bp-8, -0x1.e1c08f8f968b5p-8, -0x1.d4c4a8fb5e7f2p-8, -0x1.c817a948a9aa2p-8, -0x1.bbb7e5648a696p-8, -0x1.afa3d11f0dddp-8, -0x1.a3da53f0b9dc9p-8, -0x1.9859825b8bfa1p-8, -0x1.8d20521274881p-8, -0x1.822d173f85bd4p-8, -0x1.777e94bf6d822p-8, -0x1.6d135320d7c12p-8, -0x1.62e9fc542821ep-8, -0x1.590138b03b905p-8, -0x1.4f57822f66353p-8, -0x1.45ec0da0731ebp-8, -0x1.3cbd0a1bb5748p-8, -0x1.33c95cf710649p-8, -0x1.2b0fc034854bdp-8, -0x1.228ef5758bb39p-8, -0x1.1a45ae1c456d1p-8, -0x1.1232de61d7b59p-8, -0x1.0a5523266e45bp-8, -0x1.02ab63943c5e4p-8, -0x1.f668eb8c3de15p-9, -0x1.e7de54ce8e891p-9, -0x1.d9b4cecf88372p-9, -0x1.cbea0e21a7f66p-9, -0x1.be7bf3dce26ap-9, -0x1.b16854f00cf74p-9, -0x1.a4ad11ac0f26ap-9, -0x1.98481e2d6387ap-9, -0x1.8c3763c11767ep-9, -0x1.8078de6f41e85p-9, -0x1.750ad8613dd94p-9, -0x1.69eae617f1f7ap-9, -0x1.5f17f0de9f6afp-9, -0x1.548f7c0fd23acp-9, -0x1.4a508e5d0f5bap-9, -0x1.4057f1df5508cp-9, -0x1.36a47779a08c6p-9, -0x1.2d354cfc8bd7cp-9, -0x1.240847a43c81fp-9, -0x1.1b1c16a481565p-9, -0x1.126e5a7635e01p-9, -0x1.09fe5d37d96f4p-9, -0x1.01ca60c50d1fap-9, -0x1.f3a1fd15ed677p-10, -0x1.e4213a502bc54p-10, -0x1.d51014a7ac6eep-10, -0x1.c66a55edd7017p-10, -0x1.b83149827039fp-10, -0x1.aa5e75350f155p-10, -0x1.9cf09a248250dp-10, -0x1.8fe53e7004f5dp-10, -0x1.8339f2dc62fefp-10, -0x1.76ec266e918f4p-10, -0x1.6af9e299cdf9cp-10, -0x1.5f60a1161db5cp-10, -0x1.541e18a119839p-10, -0x1.493037a8900cfp-10, -0x1.3e94cbdf3f1fcp-10, -0x1.3449b8a17ec0cp-10, -0x1.2a4b1a263278dp-10, -0x1.209c78010496fp-10, -0x1.17364631f85acp-10, -0x1.0e066d226eb94p-10, -0x1.0531409ec5dcdp-10, -0x1.f9420dcd04b67p-11, -0x1.e8a608d13902cp-11, -0x1.d88b884f60e26p-11, -0x1.c8ef0ad443d3ap-11, -0x1.b9cd28352c5adp-11, -0x1.ab221c436999dp-11, -0x1.9cebf6516a63ep-11, -0x1.8f27bbeb66866p-11, -0x1.81ce9e421f065p-11, -0x1.74e1a8c6884e1p-11, -0x1.685c1e9694444p-11, -0x1.5c3674abbfb45p-11, -0x1.507ce5bb7e078p-11, -0x1.451d20b5ecf79p-11, -0x1.3a1a1aab17399p-11, -0x1.2f70ec1f36e49p-11, -0x1.251ef11fbc053p-11, -0x1.1b260a06c2739p-11, -0x1.11769db7eb098p-11, -0x1.081b9684c72d1p-11, -0x1.fe1b7b3dd3d0ap-12, -0x1.ec96b470bd625p-12, -0x1.dba34fc90d4b2p-12, -0x1.cb3d9f131cba4p-12, -0x1.bb612643214b3p-12, -0x1.ac0981d2f9c0ep-12, -0x1.9d3804a7821f6p-12, -0x1.8edd9ea8aa786p-12, -0x1.80fa830589afbp-12, -0x1.73904bfd4ce6ep-12, -0x1.6697a7de37e6dp-12, -0x1.5a0e23d4c5cdcp-12, -0x1.4debf96958da6p-12, -0x1.42378810c308dp-12, -0x1.36e46ef69f3bep-12, -0x1.2bf2ea7636918p-12, -0x1.215e51b1cecddp-12, -0x1.1726109fb5cc8p-12, -0x1.0d455cdc0b95p-12, -0x1.03ba1555b800dp-12, -0x1.f502bd1a35e27p-13, -0x1.e33914de3d5dp-13, -0x1.d1fb556a86217p-13, -0x1.c159414b45bc4p-13, -0x1.b14854d1d699ap-13, -0x1.a1c3b2adaf832p-13, -0x1.92c6343a9a645p-13, -0x1.844cb51a239bcp-13, -0x1.764f01a4d4c95p-13, -0x1.68cd3cb3b9e83p-13, -0x1.5bc1101c35e7p-13, -0x1.4f283a86c10dap-13, -0x1.42fc581a19b2bp-13, -0x1.373b0ffdd9acep-13, -0x1.2bd231fb9c51dp-13, -0x1.20f48ee901559p-13, -0x1.1657cbe03ef4dp-13, -0x1.0c1a718be1abbp-13, -0x1.023a5afa30deep-13, -0x1.f1605d6a9c60ap-14, -0x1.def46acea6c3ep-14, -0x1.cd26f33318266p-14, -0x1.bbf81443d490dp-14, -0x1.ab5c7416ae84fp-14, -0x1.9b573f2e74f39p-14, -0x1.8bd554b777dbep-14, -0x1.7cde0af99dffdp-14, -0x1.6e699cab55cf8p-14, -0x1.606fb06a1676fp-14, -0x1.52f13643a86p-14, -0x1.45e66ec54c9fbp-14, -0x1.394b8eb6b2515p-14, -0x1.2d1ca7d01b3c6p-14, -0x1.215e8d5bffe5p-14, -0x1.15f6bd492ebeap-14, -0x1.0af7cc52e209bp-14, -0x1.0056016fddbf1p-14, -0x1.ec170a7c550bfp-15, -0x1.d846fba0a2e34p-15, -0x1.c4fbc251b3047p-15, -0x1.b265af94a7513p-15, -0x1.a068aad6d2961p-15, -0x1.8f01911756342p-15, -0x1.7e2bcab89e231p-15, -0x1.6ddea843a4424p-15, -0x1.5e1af2eb39d7ep-15, -0x1.4ed733f6d95e5p-15, -0x1.4010bf811ae8bp-15, -0x1.31c8dc698c912p-15, -0x1.23e566be6083dp-15, -0x1.16834a4121088p-15, -0x1.0982242ec8da4p-15, -0x1.f9c7f125df2b1p-16, -0x1.e1624777e6bf9p-16, -0x1.c9bc148643265p-16, -0x1.b2cfd32d48c5ep-16, -0x1.9c97922d755d3p-16, -0x1.871081cf199eap-16, -0x1.721d6bd59170fp-16, -0x1.5de29e5fb5bebp-16, -0x1.4a30d4a3437d4p-16, -0x1.362beebc93e7bp-16, -0x1.24ba587bd1998p-16, -0x1.12ad080151767p-16, -0x1.0140e308597a4p-16, -0x1.e0a3aacfe9e41p-17, -0x1.bfbcf7cce4512p-17, -0x1.a06895e604864p-17, -0x1.80d0085980532p-17, -0x1.62bab193c4112p-17, -0x1.4577494a71377p-17, -0x1.2911310cfcc5bp-17, -0x1.0d781ebf142ecp-17, -0x1.e585972c68c98p-18, -0x1.b22ae8427f7ap-18, -0x1.7d07bf728e2f1p-18, -0x1.4d0eeb647c0bcp-18, -0x1.1d3fe5cf368cfp-18, -0x1.dd5df9875c5c9p-19, -0x1.82d510b580e0cp-19, -0x1.2ace2e0d0ae7bp-19, -0x1.a73d6273df17cp-20, -0x1.02c017458cf73p-20, -0x1.88b3a74e440c9p-22, 0x1.d30ed40ef5e1p-23, 0x1.a6ec2514ee68fp-21, 0x1.6827375b59977p-20, 0x1.f8675a933c6f6p-20, 0x1.42627842545dep-19, 0x1.85c18a4f6682dp-19, 0x1.c76201ab41073p-19, 0x1.052c9bd74304ap-18, 0x1.23e5ceebfb123p-18, 0x1.42400d3ae66ep-18, 0x1.5fbebef8376f9p-18, 0x1.7c5eb6b8405a1p-18, 0x1.9825a105fcb28p-18, 0x1.b3011c387526ep-18, 0x1.cd3e9d0bf8e99p-18, 0x1.e698f1f53d048p-18, 0x1.ff31348dedbc1p-18, 0x1.0b5940ecbf8a8p-17, 0x1.182501199c6ddp-17, 0x1.225514ac3905ep-17, 0x1.2cf989c35cee9p-17, 0x1.376abbb58d5cdp-17, 0x1.418208da10f69p-17, 0x1.4b40f39e87a73p-17, 0x1.54a87d7767f4ep-17, 0x1.5dba4d7ff0d8p-17, 0x1.667f5b3f276fcp-17, 0x1.6ee6f0e3fa33p-17, 0x1.76fc9bff18ab9p-17, 0x1.7ec450966219fp-17, 0x1.863b8e6ad1749p-17, 0x1.8d727ef306988p-17, 0x1.94525edf84faap-17, 0x1.9b489c24e97b4p-17, 0x1.a12368a355f55p-17, 0x1.a71b6395b5adcp-17, 0x1.acce7fb136f4cp-17, 0x1.b2784bc217fd4p-17, 0x1.b74539f85ad26p-17, 0x1.bb1a6946cf0b3p-17, 0x1.c0cb5ed9de1cdp-17, 0x1.c51300d39e3dcp-17, 0x1.c91c250709748p-17, 0x1.ccf8d022e3fcp-17, 0x1.cfa080d225502p-17, 0x1.d39ca0dc1693p-17, 0x1.d6a7c8ce3dbdep-17, 0x1.d9663260ac5b7p-17, 0x1.dbe5a55ec086cp-17, 0x1.de26285f4e707p-17, 0x1.e0288362393f7p-17, 0x1.e1eab5126a16p-17, 0x1.e314b73608612p-17, 0x1.e4c21c0cd5232p-17, 0x1.e5d2d85a8dd6fp-17, 0x1.e6a9586a93166p-17, 0x1.e759fb2fed348p-17, 0x1.e62d5424bd038p-17, 0x1.e7d7d0be5b328p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.ebfef3ca0047ap-1, 0x1.ea0582947cd44p-1, 0x1.e7f6f605fcbbp-1, 0x1.e5d3bce61e82p-1, 0x1.e39c48173673p-1, 0x1.e1510a6495c81p-1, 0x1.def27852b7d39p-1, 0x1.dc8107f13f27ap-1, 0x1.d9fd30aeb518bp-1, 0x1.d7676b2dfa055p-1, 0x1.d4c0311d568cfp-1, 0x1.d207fd0f2165bp-1, 0x1.cf3f4a53e91a5p-1, 0x1.cc6694d618742p-1, 0x1.c97e58f70665p-1, 0x1.c687136d66a9cp-1, 0x1.c381412511ea2p-1, 0x1.c06d5f20177a6p-1, 0x1.bd4bea591307bp-1, 0x1.ba1d5fa6b8fd5p-1, 0x1.b6e23ba091f04p-1, 0x1.b39afa84dcb63p-1, 0x1.b048181f8fe63p-1, 0x1.acea0fb26eaa2p-1, 0x1.a9815bde2f2p-1, 0x1.a60e768ca517ep-1, 0x1.a291d8dbee1adp-1, 0x1.9f0bfb0a9741dp-1, 0x1.9b7d5464b24c9p-1, 0x1.97e65b31dadb5p-1, 0x1.944784a41defap-1, 0x1.90a144c7c1822p-1, 0x1.8cf40e73e86f9p-1, 0x1.8940533c058c1p-1, 0x1.858683622241cp-1, 0x1.81c70dc9e8e65p-1, 0x1.7e025fec76f4ap-1, 0x1.7a38e5ccea30dp-1, 0x1.766b09eda87f3p-1, 0x1.729935465b64p-1, 0x1.6ec3cf3a9ac65p-1, 0x1.6aeb3d9141767p-1, 0x1.670fe46c68647p-1, 0x1.63322642017c5p-1, 0x1.5f5263d50fbd6p-1, 0x1.5b70fc2f762bep-1, 0x1.578e4c9c5c4b8p-1, 0x1.53aab0a31ee55p-1, 0x1.4fc68202cd8bcp-1, 0x1.4be218ae2e798p-1, 0x1.47fdcac8442f7p-1, 0x1.4419eca151f44p-1, 0x1.4036d0b45ad0bp-1, 0x1.3c54c7a516a1cp-1, 0x1.3874203e5a2ddp-1, 0x1.34952770ed2ccp-1, 0x1.30b82852cc10bp-1, 0x1.2cdd6c1ed0b91p-1, 0x1.29053a34bec31p-1, 0x1.252fd819af11dp-1, 0x1.215d8978d9ad5p-1, 0x1.1d8e9024b7267p-1, 0x1.19c32c18774ep-1, 0x1.15fb9b79cb42bp-1, 0x1.12381a9afeaa5p-1, 0x1.0e78e3fd5a243p-1, 0x1.0abe3053d20adp-1, 0x1.07083685f6f52p-1, 0x1.03572bb32b0c5p-1, 0x1.ff56866c2c1b9p-2, 0x1.f8095d50a8782p-2, 0x1.f0c73bccc2b0ap-2, 0x1.e9907e277216cp-2, 0x1.e2657d3e53553p-2, 0x1.db468e8eb715fp-2, 0x1.d434043f066bfp-2, 0x1.cd2e2d28855a8p-2, 0x1.c63554e16487bp-2, 0x1.bf49c3c72136ep-2, 0x1.b86bbf092e45cp-2, 0x1.b19b88b3e387dp-2, 0x1.aad95fbba9623p-2, 0x1.a4258008626b2p-2, 0x1.9d80228109d01p-2, 0x1.96e97d1784c02p-2, 0x1.9061c2d4a2e5dp-2, 0x1.89e923e4498a1p-2, 0x1.837fcda1c256bp-2, 0x1.7d25eaa42febfp-2, 0x1.76dba2cb1dba9p-2, 0x1.70a11b4b30697p-2, 0x1.6a7676bae6f18p-2, 0x1.645bd51f761d9p-2, 0x1.5e5153f9b1abdp-2, 0x1.58570e5303828p-2, 0x1.526d1cca70873p-2, 0x1.4c9395a1a018dp-2, 0x1.46ca8cc9ec564p-2, 0x1.411213f175789p-2, 0x1.3b6a3a902f056p-2, 0x1.35d30df4f085ap-2, 0x1.304c99527c1ecp-2, 0x1.2ad6e5cc7e937p-2, 0x1.2571fa8485264p-2, 0x1.201ddca6e79ccp-2, 0x1.1ada8f77a11b4p-2, 0x1.15a8145f1b5eep-2, 0x1.10866af6e54afp-2, 0x1.0b75911656fe9p-2, 0x1.067582df1cd8p-2, 0x1.01863ac9ac7aap-2, 0x1.f94f63634267fp-3, 0x1.efb3bdc3f5d2ap-3, 0x1.e639704283807p-3, 0x1.dce0637b1981bp-3, 0x1.d3a87d30d0b9p-3, 0x1.ca91a065370fdp-3, 0x1.c19bad6f9974p-3, 0x1.b8c682140a1b2p-3, 0x1.b011f99a1a3eap-3, 0x1.a77dece34f3c5p-3, 0x1.9f0a32814b303p-3, 0x1.96b69ecba4a13p-3, 0x1.8e8303f57a74p-3, 0x1.866f3222ab81p-3, 0x1.7e7af77cc60a1p-3, 0x1.76a62047a4815p-3, 0x1.6ef076f5afb63p-3, 0x1.6759c43bd63e6p-3, 0x1.5fe1cf252782ep-3, 0x1.58885d261de01p-3, 0x1.514d322f91b1dp-3, 0x1.4a3010c14e406p-3, 0x1.4330b9fc5b089p-3, 0x1.3c4eedb4e19dfp-3, 0x1.358a6a83c4638p-3, 0x1.2ee2edd7d4821p-3, 0x1.28583406b44e7p-3, 0x1.21e9f85d61ba7p-3, 0x1.1b97f53062a66p-3, 0x1.1561e3eb9be15p-3, 0x1.0f477d21d113bp-3, 0x1.0948789bc84e5p-3, 0x1.03648d671765ep-3, 0x1.fb36e3c930ee1p-4, 0x1.efd9b7ad12304p-4, 0x1.e4b100dc9de2ap-4, 0x1.d9bc28b3d50e7p-4, 0x1.cefa97a217cddp-4, 0x1.c46bb543b3d4ap-4, 0x1.ba0ee87ac14aep-4, 0x1.afe3978756c47p-4, 0x1.a5e9281f1b5fcp-4, 0x1.9c1eff842573bp-4, 0x1.9284829b49b05p-4, 0x1.89191601b5664p-4, 0x1.7fdc1e21f1838p-4, 0x1.76ccff484302cp-4, 0x1.6deb1db66fa9bp-4, 0x1.6535ddb6e5aebp-4, 0x1.5caca3af4b04cp-4, 0x1.544ed432747b9p-4, 0x1.4c1bd411c676p-4, 0x1.4413086e04506p-4, 0x1.3c33d6c78b79dp-4, 0x1.347da50e00c26p-4, 0x1.2cefd9af70656p-4, 0x1.2589dba6e238p-4, 0x1.1e4b128a65ae3p-4, 0x1.1732e69896697p-4, 0x1.1040c0c59d047p-4, 0x1.09740ac7ad81fp-4, 0x1.02cc2f23057d7p-4, 0x1.f891326ad9d8cp-5, 0x1.ebd16a8277759p-5, 0x1.df57e0efcc632p-5, 0x1.d323720824e18p-5, 0x1.c732fc2673423p-5, 0x1.bb855fbdae4cp-5, 0x1.b0197f6a4fd98p-5, 0x1.a4ee4002f8f8ap-5, 0x1.9a0288a83da86p-5, 0x1.8f5542d3a267bp-5, 0x1.84e55a65c97a4p-5, 0x1.7ab1bdb3d8ae3p-5, 0x1.70b95d941b82p-5, 0x1.66fb2d69e52eap-5, 0x1.5d762330b8384p-5, 0x1.54293786b708cp-5, 0x1.4b1365b662dc4p-5, 0x1.4233abbfac844p-5, 0x1.39890a605d55dp-5, 0x1.3112851bd844p-5, 0x1.28cf22423e67ep-5, 0x1.20bdeaf6f263ap-5, 0x1.18ddeb3689c22p-5, 0x1.112e31dc232c3p-5, 0x1.09add0a633c05p-5, 0x1.025bdc3ac2c02p-5, 0x1.f66ed856461ffp-6, 0x1.e87f35ee48634p-6, 0x1.dae70c1f8cb03p-6, 0x1.cda49bb2e3db9p-6, 0x1.c0b62b5b6d8bbp-6, 0x1.b41a07b92dbp-6, 0x1.a7ce835ac44efp-6, 0x1.9bd1f6be458e4p-6, 0x1.9022c051465d4p-6, 0x1.84bf447015509p-6, 0x1.79a5ed64379a9p-6, 0x1.6ed52b6223cc9p-6, 0x1.644b748644ee5p-6, 0x1.5a0744d1507a1p-6, 0x1.50071e23f159ap-6, 0x1.46498839ce39dp-6, 0x1.3ccd10a3f6766p-6, 0x1.33904ac2b59e8p-6, 0x1.2a91cfbed6043p-6, 0x1.21d03e825ac6ap-6, 0x1.194a3bb0b0a5cp-6, 0x1.10fe719e689c9p-6, 0x1.08eb90486aac4p-6, 0x1.01104d4ac3528p-6, 0x1.f2d6c7adefedap-7, 0x1.e3f72953ea9e1p-7, 0x1.d57f4c0336801p-7, 0x1.c76cc723c56a1p-7, 0x1.b9bd3cf363adp-7, 0x1.ac6e5a6ea553dp-7, 0x1.9f7dd73938931p-7, 0x1.92e975859a984p-7, 0x1.86af01fc43d5cp-7, 0x1.7acc53a243583p-7, 0x1.6f3f4bbf5b72bp-7, 0x1.6405d5c3af3cp-7, 0x1.591de72cf7031p-7, 0x1.4e857f6b5677dp-7, 0x1.443aa7c5c5563p-7, 0x1.3a3b733e30da5p-7, 0x1.3085fe753d14ep-7, 0x1.27186f8dc365dp-7, 0x1.1df0f6100a992p-7, 0x1.150dcaccc25a8p-7, 0x1.0c6d2fbfc6ee3p-7, 0x1.040d6ff2b57bap-7, 0x1.f7d9bebea84fp-8, 0x1.e813b5a3ac4cap-8, 0x1.d8c58f95fedfdp-8, 0x1.c9ec28c45f5d2p-8, 0x1.bb846e4eade25p-8, 0x1.ad8b5e09b7bcbp-8, 0x1.9ffe0642ecbb3p-8, 0x1.92d985840865cp-8, 0x1.861b0a56ba141p-8, 0x1.79bfd3084efdap-8, 0x1.6dc52d6d6e048p-8, 0x1.622876a5e92d1p-8, 0x1.56e71ae0aaf33p-8, 0x1.4bfe951fcc282p-8, 0x1.416c6efcd600cp-8, 0x1.372e406d387f1p-8, 0x1.2d41af86f96f5p-8, 0x1.23a47045a8128p-8, 0x1.1a54444f9577dp-8, 0x1.114efabb5a858p-8, 0x1.08926fd5b1e2bp-8, 0x1.001c8ce7a8034p-8, 0x1.efd68ffa565ecp-9, 0x1.dff94757f5ebfp-9, 0x1.d09d5db6001a8p-9, 0x1.c1bf09141dc17p-9, 0x1.b35a9734344c3p-9, 0x1.a56c6d2baee36p-9, 0x1.97f106f5b8869p-9, 0x1.8ae4f7066b98cp-9, 0x1.7e44e5defa3fp-9, 0x1.720d91a2db653p-9, 0x1.663bcdae01788p-9, 0x1.5acc822c1bf9p-9, 0x1.4fbcabb0ece34p-9, 0x1.45095ad1b673cp-9, 0x1.3aafb3bfc5c4p-9, 0x1.30acede41ad2bp-9, 0x1.26fe537c38a81p-9, 0x1.1da1413819a6p-9, 0x1.149325d952b64p-9, 0x1.0bd181d35d754p-9, 0x1.0359e6ed1c7cap-9, 0x1.f653efc710b5ap-10, 0x1.e67ed01b35378p-10, 0x1.d72ff602caddfp-10, 0x1.c8630874dcdfbp-10, 0x1.ba13cd8271b7dp-10, 0x1.ac3e29a824b63p-10, 0x1.9ede1f2229afp-10, 0x1.91efcd42d26dp-10, 0x1.856f6fcb87442p-10, 0x1.79595e483ce7p-10, 0x1.6daa0b6d5c3bep-10, 0x1.625e04782f564p-10, 0x1.5771f091bbeeep-10, 0x1.4ce2903418de6p-10, 0x1.42acbc923d795p-10, 0x1.38cd67023e6b7p-10, 0x1.2f419869fff37p-10, 0x1.260670ae5b3fap-10, 0x1.1d192624a8477p-10, 0x1.14770506c0666p-10, 0x1.0c1d6ee954917p-10, 0x1.0409da34bcdd4p-10, 0x1.f873a3402bc1ap-11, 0x1.e955e75d90e01p-11, 0x1.dab5e460c1fedp-11, 0x1.cc8f23857e7e6p-11, 0x1.bedd52ad2965fp-11, 0x1.b19c436c5adb3p-11, 0x1.a4c7ea1d0210ap-11, 0x1.985c5cf50617cp-11, 0x1.8c55d32161525p-11, 0x1.80b0a3e5aa70fp-11, 0x1.756945c0006b5p-11, 0x1.6a7c4d914f153p-11, 0x1.5fe66dc9dece6p-11, 0x1.55a4759a2851ep-11, 0x1.4bb35027dada3p-11, 0x1.421003c70efabp-11, 0x1.38b7b1379428dp-11, 0x1.2fa792e6514e3p-11, 0x1.26dcfc32a9fap-11, 0x1.1e5558b7dae8ap-11, 0x1.160e2b9a43857p-11, 0x1.0e050ed88c30cp-11, 0x1.0637b2a0a0f4cp-11, 0x1.fd47b950df188p-12, 0x1.ee8ecf14ba0b8p-12, 0x1.e040844acf813p-12, 0x1.d258de01caa8p-12, 0x1.c4d40767a394dp-12, 0x1.b7ae509f4476cp-12, 0x1.aae42d9d17ce8p-12, 0x1.9e72350a6b653p-12, 0x1.92551f2f887bdp-12, 0x1.8689c4e46548p-12, 0x1.7b0d1e87dbec7p-12, 0x1.6fdc42fd46f3dp-12, 0x1.64f466b0692edp-12, 0x1.5a52da9f874a1p-12, 0x1.4ff50b6b9d0a1p-12, 0x1.45d8806e89401p-12, 0x1.3bfadad723da5p-12, 0x1.3259d4cb18b04p-12, 0x1.28f3408e72516p-12, 0x1.1fc507b0bde04p-12, 0x1.16cd2a3fa54b8p-12, 0x1.0e09bdfef1082p-12, 0x1.0578eda5d153ep-12, 0x1.fa31f042aaa7p-13, 0x1.e9d05fb7fddfbp-13, 0x1.d9c9f4149c227p-13, 0x1.ca1b9bf873855p-13, 0x1.bac268e6e0201p-13, 0x1.abbb8dfca0eap-13, 0x1.9d045eaf01c79p-13, 0x1.8e9a4d94188c5p-13, 0x1.807aeb33d4ffp-13, 0x1.72a3e4e1cf26dp-13, 0x1.6513039f866d3p-13, 0x1.57c62b070242dp-13, 0x1.4abb583d90badp-13, 0x1.3df0a0ee88169p-13, 0x1.3164324dcee89p-13, 0x1.251450220ee27p-13, 0x1.18ff53d65d2a1p-13, 0x1.0d23ab9333472p-13, 0x1.017fd95e8d6d6p-13, 0x1.ec24e48602352p-14, 0x1.d5b43afb60374p-14, 0x1.bfab2765badacp-14, 0x1.aa073c52174d7p-14, 0x1.94c62c14f5e6dp-14, 0x1.7fe5c759ae204p-14, 0x1.6b63fbbdfbe8bp-14, 0x1.573ed2795dc3dp-14, 0x1.43746f100366p-14, 0x1.30030e11062f5p-14, 0x1.1ce903df9e0e2p-14, 0x1.0a24bb8714a49p-14, 0x1.ef696b32577e4p-15, 0x1.cb2f0e2d7190ap-15, 0x1.a797b0c45bc68p-15, 0x1.84a0c877a5693p-15, 0x1.6247ed8ed9154p-15, 0x1.408ad9362acc5p-15, 0x1.1f6763ae08911p-15, 0x1.fdb705182d50cp-16, 0x1.bdca8e1a388e9p-16, 0x1.7f05b8eedb7f6p-16, 0x1.41650d1ac3eabp-16, 0x1.04e5401ebcbfp-16, 0x1.930665343604ep-17, 0x1.1e77db1554f0fp-17, 0x1.58327ea4e0a31p-18, 0x1.df29ae1f8142bp-20, -0x1.914ae1813980bp-20, -0x1.3c2ea875b7897p-18, -0x1.07e95795fc2acp-17, -0x1.6fa3d7446434fp-17, -0x1.d54b14224c7c7p-17, -0x1.1c71916386714p-16, -0x1.4d37f79ce45fp-16, -0x1.7cfaa03d29d04p-16, -0x1.abbb5defe45b8p-16, -0x1.d97bf426fcf48p-16, -0x1.031f0c50cd26bp-15, -0x1.1901ba6fdda31p-15, -0x1.2e66d3c19a18cp-15, -0x1.434f22cf537c1p-15, -0x1.57bb6df985a24p-15, -0x1.6bac780e2df07p-15, -0x1.7f2300d6fe219p-15, -0x1.921fc59fad14ap-15, -0x1.a4a381b4b3cf6p-15, -0x1.b6aeeedaae339p-15, -0x1.c842c5bea9f98p-15, -0x1.d95fbe5fa0789p-15, -0x1.ea06907159348p-15, -0x1.fa37f3b8f3292p-15, -0x1.04fa5031a8ad3p-14, -0x1.0c9ea7aacfa1fp-14, -0x1.14095d3c17e72p-14, -0x1.1b3ace7defc1p-14, -0x1.223359cd1ed94p-14, -0x1.28f35e6853927p-14, -0x1.2f7b3c8b447bfp-14, -0x1.35cb55877dda7p-14, -0x1.3be40bdaf450fp-14, -0x1.41c5c34472d17p-14, -0x1.4770e0d5fb408p-14, -0x1.4ce5cb052f98fp-14, -0x1.5224e9b9d92c6p-14, -0x1.572ea65aa3fb8p-14, -0x1.5c036bd81f9f8p-14, -0x1.60a3a6b61c49p-14, -0x1.650fc51376349p-14, -0x1.694836b061985p-14, -0x1.6d4d6cf34827dp-14, -0x1.711fdaec4d422p-14, -0x1.74bff55785c23p-14, -0x1.782e329df4eadp-14, -0x1.7b6b0ad561b5p-14, -0x1.7e76f7bf0db06p-14, -0x1.815274c5625bap-14, -0x1.83fdfef8a0d8p-14, -0x1.867a150aa0f1p-14, -0x1.88c73749afdc6p-14, -0x1.8ae5e79a98f78p-14, -0x1.8cd6a971e7194p-14, -0x1.8e9a01cc6a8a5p-14, -0x1.903077270ecf3p-14, -0x1.919a91760b414p-14, -0x1.92d8da1b7bf93p-14, -0x1.93ebdbdd6a3fep-14, -0x1.94d422db52643p-14, -0x1.95923c832dcf3p-14, -0x1.9626b7860cdccp-14, -0x1.969223cc48c35p-14, -0x1.96d5126957443p-14, -0x1.96f0158f4787dp-14, -0x1.96e3c081f1837p-14, -0x1.96b0a789df1dbp-14, -0x1.96575fe6f72c2p-14, -0x1.95d87fc2f03d2p-14, -0x1.95349e2395152p-14, -0x1.946c52dcddc22p-14, -0x1.93803682e72dp-14, -0x1.9270e25bcd7c6p-14, -0x1.913ef0516f3a2p-14, -0x1.8feafae31fb8p-14, -0x1.8e759d174cd84p-14, -0x1.8cdf726d20271p-14, -0x1.8b2916ce1ba13p-14, -0x1.8953267fbb29cp-14, -0x1.875e3e151d349p-14, -0x1.854afa60b7b08p-14, -0x1.8319f8661b2d2p-14, -0x1.80cbd54bcb41ep-14, -0x1.7e612e4d2da84p-14, -0x1.7bdaa0ac9489ap-14, -0x1.7938c9a565fbcp-14, -0x1.767c465e66421p-14, -0x1.73a5b3dc24a55p-14, -0x1.70b5aef38f90bp-14, -0x1.6dacd43cb38ebp-14, -0x1.6a8bc005a46d9p-14, -0x1.67530e4594af8p-14, -0x1.64035a901ff6p-14, -0x1.609d4008c3e78p-14, -0x1.5d2159569090fp-14, -0x1.599040980d051p-14, -0x1.55ea8f5754303p-14, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      16, 0x1.0a3d70a3d70a4p+1, 0x1.dd5133d3c8eeap+1, 0x1.8758587a3840ep+0, -0x1.572680aeb5113p-6, 
      {{
        {0x1.3333333333333p+0, 0x1.3d70a3d70a3d7p+0, 0x1.02d7b634dad32p-5, -0x1.9142ea2f52724p-3, 0x1.76147ae147ac4p-2, 0x1.a8bb7b109414fp-4}, 
        {0x1.3d70a3d70a3d7p+0, 0x1.47ae147ae147bp+0, 0x1.8ef77f27fe4bdp-6, -0x1.5463a476590e1p-3, 0x1.82d26ca6e5b72p-2, -0x1.09752cea5c8f1p-1}, 
        {0x1.47ae147ae147bp+0, 0x1.51eb851eb851fp+0, 0x1.2b66b6177ea1cp-6, -0x1.1b98313a0d1e1p-3, 0x1.431cb3cacf805p-2, -0x1.1e857771400dap-2}, 
        {0x1.51eb851eb851fp+0, 0x1.5c28f5c28f5c3p+0, 0x1.b1422ccb3a259p-7, -0x1.d54b597f83dddp-4, 0x1.20bac42ddc4b5p-2, -0x1.22ffc86646e74p-2}, 
        {0x1.5c28f5c28f5c3p+0, 0x1.6666666666666p+0, 0x1.294573a797892p-7, -0x1.7e7cf1832ffcfp-4, 0x1.fb9e8b765fe46p-3, -0x1.057b66f5a580ep-2}, 
        {0x1.6666666666666p+0, 0x1.70a3d70a3d70ap+0, 0x1.76ab5807fed2p-8, -0x1.324a17bf82dap-4, 0x1.bcdd16979455p-3, -0x1.ce25378640ed1p-3}, 
        {0x1.70a3d70a3d70ap+0, 0x1.7ae147ae147aep+0, 0x1.90f301eabbcb2p-9, -0x1.df187e879242ap-5, 0x1.8567fb72fd2e4p-3, -0x1.9c7453fbb4286p-3}, 
        {0x1.7ae147ae147aep+0, 0x1.851eb851eb852p+0, 0x1.09070fbeb9e49p-10, -0x1.6a67a2c6a27fep-5, 0x1.53e96202dd524p-3, -0x1.8009788aee5b6p-3}, 
        {0x1.851eb851eb852p+0, 0x1.8f5c28f5c28f6p+0, -0x1.08c3f3e0370cep-11, -0x1.0501b124f4872p-5, 0x1.25d3c42fa1ffbp-3, -0x1.8365c9d89265cp-3}, 
        {0x1.8f5c28f5c28f6p+0, 0x1.999999999999ap+0, -0x1.99780baa582dcp-10, -0x1.5cd701c79b7a3p-6, 0x1.eeadd2cf20dcbp-4, -0x1.325f6012c80eap-3}, 
        {0x1.999999999999ap+0, 0x1.a3d70a3d70a3dp+0, -0x1.244a6223e186ap-9, -0x1.949d5625149d9p-7, 0x1.a5264b1c8a72bp-4, -0x1.731cb5dc4d6b4p-3}, 
        {0x1.a3d70a3d70a3dp+0, 0x1.ae147ae147ae1p+0, -0x1.50fc71d606317p-9, -0x1.472919d8e013ap-8, 0x1.4c1529b477de7p-4, -0x1.212dc87c01e12p-3}, 
        {0x1.ae147ae147ae1p+0, 0x1.b851eb851eb85p+0, -0x1.5b573eab367a1p-9, 0x1.abe62ed5beb74p-11, 0x1.06ae03d4257f6p-4, -0x1.282c2833ab62dp-3}, 
        {0x1.b851eb851eb85p+0, 0x1.c28f5c28f5c29p+0, -0x1.4ad362e903644p-9, 0x1.5839b225e9c66p-8, 0x1.7f325ac2b10ccp-5, -0x1.7e2196b5507abp-3}, 
        {0x1.c28f5c28f5c29p+0, 0x1.ccccccccccccdp+0, -0x1.270b06c43f5f9p-9, 0x1.096350f169b7dp-7, 0x1.8f8c24d75247p-6, 0x1.01650611da6fep-4}, 
        {0x1.ccccccccccccdp+0, 0x1.0a3d70a3d70a4p+1, -0x1.ede1198aeb80fp-10, 0x1.5333124203fb3p-7, 0x1.058c65cc1b01p-5, -0x1.1aad7364f988fp-2}, 
      }}, 
      0x1.95f563c1d533bp-2, 0x1.f6a60c3520dbbp-5
    }
  };
  // clang-format on
}
SkfData params_mio_0_1_n_n() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    SkfData::SameElementLine {0x0p+0, -0x1.0afc468d02319p-2, -0x1.47ae147ae147bp-1, -0x1.c779a6b50b0f2p-4, 0x1.9f1bef49cf56fp-2, 0x1.d35fc3b4f6167p-2, 0x1.b93dd97f62b6bp-2, 0, 3, 2}, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.48c3ceda36ep+0, -0x1.35b46a24c78fep+0, -0x1.22cf17a52d462p+0, -0x1.102281f3a4c3cp+0, -0x1.fb77381e71662p-1, -0x1.d74ba7bc6fcabp-1, -0x1.b3d6b279cf4f5p-1, -0x1.912a1ca549bd2p-1, -0x1.6f54bdf154febp-1, -0x1.4e62c63522ba8p-1, -0x1.2e5e61ac43699p-1, -0x1.0f5029981c43bp-1, -0x1.e27e56fc13143p-2, -0x1.a8615bc8d573fp-2, -0x1.7050098af0518p-2, -0x1.3a4d6f0d1bf2dp-2, -0x1.0659ea0796cb1p-2, -0x1.a8e8597957877p-3, -0x1.4933c035eecep-3, -0x1.db1ed5f6fd61cp-4, -0x1.2be442f87322bp-4, -0x1.095bf4d091971p-5, 0x1.acd443df938abp-8, 0x1.6544cf09082fcp-5, 0x1.42fa8de10b5acp-4, 0x1.cc0188e78cec7p-4, 0x1.26f294ce2d3aap-3, 0x1.646a5da92f507p-3, 0x1.9e8062682173ep-3, 0x1.d54d81de2ed94p-3, 0x1.04759c5e3b9e2p-2, 0x1.1cb9c7383886fp-2, 0x1.338071c4ca3cep-2, 0x1.48d6d74976ecbp-2, 0x1.5cca1f1eb8cadp-2, 0x1.6f6748f858fe5p-2, 0x1.80bb2624f435dp-2, 0x1.90d25bddfc425p-2, 0x1.9fb968a9b4c31p-2, 0x1.ad7ca7efa8f04p-2, 0x1.ba28517952349p-2, 0x1.c5c874f68d245p-2, 0x1.d068f2d143936p-2, 0x1.da1573a0519f6p-2, 0x1.e2d95ef4ccadp-2, 0x1.eabfd1bf2ffedp-2, 0x1.f1d39489589b6p-2, 0x1.f81f1236e5cccp-2, 0x1.fdac508bd74b3p-2, 0x1.014275f8be093p-1, 0x1.03590bca193d4p-1, 0x1.051e5109f41dcp-1, 0x1.06967ef94b984p-1, 0x1.07c5a6095941ep-1, 0x1.08afb31a6ee3p-1, 0x1.095873c2c6cc6p-1, 0x1.09c398eae60ebp-1, 0x1.09f4b77085d64p-1, 0x1.09ef46eb06bc9p-1, 0x1.09b69f07fd353p-1, 0x1.094df432e0394p-1, 0x1.08b8544e5544p-1, 0x1.07f8a42f4a03fp-1, 0x1.071485d089e6ep-1, 0x1.0608abf454a02p-1, 0x1.04da26e68b723p-1, 0x1.038b3fb2870f9p-1, 0x1.021e239f38d43p-1, 0x1.0094e5fa7e7bap-1, 0x1.fde302f06cd12p-2, 0x1.fa6bb24c03f92p-2, 0x1.f6c7720a76412p-2, 0x1.f2f9acce2fbeap-2, 0x1.ef05a055c67b8p-2, 0x1.eaee5df8c8f2cp-2, 0x1.e6b6cb555690cp-2, 0x1.e261a34eb9df1p-2, 0x1.ddf1776bd7de1p-2, 0x1.d968b19473b65p-2, 0x1.d4c9961f9a57p-2, 0x1.d016461cec6e5p-2, 0x1.cb50c1be38398p-2, 0x1.c67aeac6512d5p-2, 0x1.c19686e4ca5a3p-2, 0x1.bca541eae2f24p-2, 0x1.b7a8afcbc2008p-2, 0x1.b2a24e5ff2a18p-2, 0x1.ad9386e957619p-2, 0x1.a87daf592ce31p-2, 0x1.a3620b5cf8e39p-2, 0x1.9e41cd39a4b85p-2, 0x1.991e167d90d0fp-2, 0x1.93f7f8934ab74p-2, 0x1.8ed0753edd4a1p-2, 0x1.89a87f0f57787p-2, 0x1.8480f9cd43b22p-2, 0x1.7f5abaed52aa8p-2, 0x1.7a368a0c96f06p-2, 0x1.75152179956dp-2, 0x1.6ff72ecb43d2p-2, 0x1.6add53852b189p-2, 0x1.65c825c657ef3p-2, 0x1.60b830ffc6809p-2, 0x1.5badf6ae7fceep-2, 0x1.56a9ef15871f3p-2, 0x1.51ac89f416b15p-2, 0x1.4cb62f3521c04p-2, 0x1.47c73f95ad79fp-2, 0x1.42e01540265f1p-2, 0x1.3e01045b5da53p-2, 0x1.392a5b8c4823bp-2, 0x1.345c6469f7573p-2, 0x1.2f9763e3adb1ap-2, 0x1.2adb9a99290b1p-2, 0x1.26294525ae9e3p-2, 0x1.21809c5ea7461p-2, 0x1.1ce1d586f074fp-2, 0x1.184d22784a18p-2, 0x1.13c2b1c480242p-2, 0x1.0f42aed00484fp-2, 0x1.0acd41e7b9988p-2, 0x1.066290538e96cp-2, 0x1.0202bc6769012p-2, 0x1.fb5bcb272dc54p-3, 0x1.f2c850eb8136p-3, 0x1.ea4b3dd617c67p-3, 0x1.e1e4c047afad6p-3, 0x1.d995017293b8p-3, 0x1.d15c25894705fp-3, 0x1.c93a4bf09876p-3, 0x1.c12f8f7491e92p-3, 0x1.b93c067fc2ee9p-3, 0x1.b15fc35446c2fp-3, 0x1.a99ad445dcbf4p-3, 0x1.a1ed43f475c4fp-3, 0x1.9a571986a11e7p-3, 0x1.92d858e334574p-3, 0x1.8b7102e9ad9f2p-3, 0x1.842115a8c23a5p-3, 0x1.7ce88c929dd7dp-3, 0x1.75c760ae6319fp-3, 0x1.6ebd88c68664ep-3, 0x1.67caf993b58d8p-3, 0x1.60efa5e41096dp-3, 0x1.5a2b7ebe831d8p-3, 0x1.537e7382392a8p-3, 0x1.4ce8720232f1fp-3, 0x1.46685fdc5537ap-3, 0x1.3ffff032bb56ep-3, 0x1.39ae53b5e3e32p-3, 0x1.337373ac314p-3, 0x1.2d4f37e8c3272p-3, 0x1.274186d51f3cep-3, 0x1.214a457a674bcp-3, 0x1.1b69578a58f71p-3, 0x1.159e9f684ac99p-3, 0x1.0fe9fe3243a7dp-3, 0x1.0a4b53ca543abp-3, 0x1.04c27ee03171bp-3, 0x1.fe9eb9f65f8d1p-4, 0x1.f3e3950907fcfp-4, 0x1.e95345a3bd097p-4, 0x1.deed806071d0cp-4, 0x1.d4b1f7ddbad03p-4, 0x1.caa05cd513853p-4, 0x1.c0b85e3133e2bp-4, 0x1.b6f9a92455f22p-4, 0x1.ad63e93e43288p-4, 0x1.a3f6c8820802ep-4, 0x1.9ab1ef7b354a4p-4, 0x1.9195055283b62p-4, 0x1.889fafe1e045p-4, 0x1.7fd193c7c036cp-4, 0x1.772a5479b708p-4, 0x1.6ea994564c7fcp-4, 0x1.664ef4b60d86ep-4, 0x1.5e1a15fbde4d8p-4, 0x1.560a97a490e72p-4, 0x1.4e201855c957ep-4, 0x1.465a35ec3bbc9p-4, 0x1.3eb88d894f48cp-4, 0x1.373abba033a77p-4, 0x1.2fe05c0278655p-4, 0x1.28a909ec33c49p-4, 0x1.2194600fc8fb6p-4, 0x1.1aa1f8a15a2e7p-4, 0x1.13d16d61f575cp-4, 0x1.0d2257aa86c47p-4, 0x1.069450769d7c4p-4, 0x1.0026f06f0ba6fp-4, 0x1.f3b39fe8d0515p-5, 0x1.e7590e52fb313p-5, 0x1.db3d5bfb4d40dp-5, 0x1.cf5fb86e3a552p-5, 0x1.c3bf52fa8296dp-5, 0x1.b85b5ac5a80e5p-5, 0x1.ad32fee05784dp-5, 0x1.a2456e5ab4e57p-5, 0x1.9791d8589444cp-5, 0x1.8d176c2592e31p-5, 0x1.82d5594908c7cp-5, 0x1.78cacf99d23f1p-5, 0x1.6ef6ff51e1c1ep-5, 0x1.6559192199eadp-5, 0x1.5bf04e42dfa57p-5, 0x1.52bbd08be2d43p-5, 0x1.49bad281922b1p-5, 0x1.40ec8769b49d4p-5, 0x1.3850235ca0a1bp-5, 0x1.2fe4db56898fp-5, 0x1.27a9e5486202p-5, 0x1.1f9e7828491a3p-5, 0x1.17c1cc017f61ap-5, 0x1.10131a03e1f7cp-5, 0x1.08919c92e7c68p-5, 0x1.013c8f541ac6cp-5, 0x1.f4265e7a25347p-6, 0x1.e6297541cd43bp-6, 0x1.d880e27a3de7bp-6, 0x1.cb2b288c3c6b7p-6, 0x1.be26cce60ceefp-6, 0x1.b17258123386dp-6, 0x1.a50c55cd2f96dp-6, 0x1.98f3551a3166ap-6, 0x1.8d25e856caa51p-6, 0x1.81a2a54da7edp-6, 0x1.766825484a25dp-6, 0x1.6b75051fc614cp-6, 0x1.60c7e54c9d1ecp-6, 0x1.565f69f598b7p-6, 0x1.4c3a3afdc8239p-6, 0x1.425704119556ap-6, 0x1.38b474b2f5153p-6, 0x1.2f514044c1e59p-6, 0x1.262c1e153955p-6, 0x1.1d43c967ab0eep-6, 0x1.1497017d558cdp-6, 0x1.0c24899d7ba26p-6, 0x1.03eb291caf5eep-6, 0x1.f7d356c6c3825p-7, 0x1.e83dbfe755248p-7, 0x1.d91334dcc7b23p-7, 0x1.ca51652f01f3ap-7, 0x1.bbf608b380ee3p-7, 0x1.adfedf934d7d1p-7, 0x1.a069b24fa72d5p-7, 0x1.933451c5645edp-7, 0x1.865c972f02086p-7, 0x1.79e0642584e58p-7, 0x1.6dbda2a01dfc1p-7, 0x1.61f244f29c529p-7, 0x1.567c45cac6955p-7, 0x1.4b59a82c8d2f5p-7, 0x1.4088776d2625fp-7, 0x1.3606c72d1d8ep-7, 0x1.2bd2b3515ed3p-7, 0x1.21ea5ffb42a3p-7, 0x1.184bf97fa082cp-7, 0x1.0ef5b45cf70ap-7, 0x1.05e5cd30a96p-7, 0x1.fa351156cb0fap-8, 0x1.e92467095a96dp-8, 0x1.d89644db2b82ep-8, 0x1.c887640578e39p-8, 0x1.b8f48d7b0cb91p-8, 0x1.a9da99c943256p-8, 0x1.9b3670f7bab75p-8, 0x1.8d050a66b4113p-8, 0x1.7f436cac3e78ep-8, 0x1.71eead703270ap-8, 0x1.6503f1470d7dbp-8, 0x1.58806b8bcea2ap-8, 0x1.4c615e38c69a7p-8, 0x1.40a419bf845d9p-8, 0x1.3545fcdfe228cp-8, 0x1.2a44747e3c505p-8, 0x1.1f9cfb78f11ddp-8, 0x1.154d1a7d21d6fp-8, 0x1.0b5267dadaa4ap-8, 0x1.01aa87589b724p-8, 0x1.f0a6540cb361p-9, 0x1.de941c200bee8p-9, 0x1.cd19fd1f49726p-9, 0x1.bc33a6bdf4a1fp-9, 0x1.abdce1d1e1607p-9, 0x1.9c118ff549e87p-9, 0x1.8ccdab2875fep-9, 0x1.7e0d4572f96b1p-9, 0x1.6fcc8884a5ecbp-9, 0x1.6207b556311ffp-9, 0x1.54bb23c9cb3c6p-9, 0x1.47e3424b8cb5cp-9, 0x1.3b7c9571e97f1p-9, 0x1.2f83b79e38017p-9, 0x1.23f5589d594a1p-9, 0x1.18ce3d48893p-9, 0x1.0e0b3f268fde3p-9, 0x1.03a94c0d27b81p-9, 0x1.f34acb85a8ca6p-10, 0x1.dff9434252a7ep-10, 0x1.cd58506f194b3p-10, 0x1.bb6269dcfdeabp-10, 0x1.aa122b5715c4p-10, 0x1.996254eb8a8ap-10, 0x1.894dca36079e1p-10, 0x1.79cf91ab90b2bp-10, 0x1.6ae2d3e7e39f2p-10, 0x1.5c82dafc56c17p-10, 0x1.4eab11c08bbf6p-10, 0x1.41570324ab38bp-10, 0x1.3482598579596p-10, 0x1.2828de02434d4p-10, 0x1.1c4677d48cceep-10, 0x1.10d72ba9e7a81p-10, 0x1.05d71aff7c1abp-10, 0x1.f680190cb42dbp-11, 0x1.e2287fdf46673p-11, 0x1.ce996079f1c36p-11, 0x1.bbcbd72f225b5p-11, 0x1.a9b933d927c4p-11, 0x1.985af8aa2e866p-11, 0x1.87aad900b2a08p-11, 0x1.77a2b83ff2999p-11, 0x1.683ca8acd5c47p-11, 0x1.5972ea4f3c035p-11, 0x1.4b3fe9d771047p-11, 0x1.3d9e3f8853c16p-11, 0x1.3088ae25a1b14p-11, 0x1.23fa21e6d2e3cp-11, 0x1.17edaf6e52532p-11, 0x1.0c5e92c5226b7p-11, 0x1.01482e5b1e2fep-11, 0x1.ed4c1416d55cap-12, 0x1.d8e7a44af8201p-12, 0x1.c55aacf507e1fp-12, 0x1.b29d12de6d825p-12, 0x1.a0a6fe24424fep-12, 0x1.8f70d86c48f54p-12, 0x1.7ef34b2329fe6p-12, 0x1.6f273dc2e2982p-12, 0x1.6005d42238c25p-12, 0x1.51886ccc9585fp-12, 0x1.43a89f6274edap-12, 0x1.36603b0245045p-12, 0x1.29a944b9e2b11p-12, 0x1.1d7df6002c6d6p-12, 0x1.11d8bb36fe279p-12, 0x1.06b432356f95ap-12, 0x1.f81651b419d3fp-13, 0x1.e3b1374a8c869p-13, 0x1.d02f68b772226p-13, 0x1.bd8791609cf36p-13, 0x1.abb0b1ecb4dcfp-13, 0x1.9aa21db65ec4bp-13, 0x1.8a53784ed9c1p-13, 0x1.7abcb30fa4277p-13, 0x1.6bd60aba848dp-13, 0x1.5d98052907a3ap-13, 0x1.4ffb6f098c901p-13, 0x1.42f959aaf9a7p-13, 0x1.368b18d62e793p-13, 0x1.2aaa40b59ac4cp-13, 0x1.1f50a3c9dbdd8p-13, 0x1.147850ec00e03p-13, 0x1.0a1b915d35bdcp-13, 0x1.0034e6e2ae94cp-13, 0x1.ed7e13dd4fd69p-14, 0x1.db69cfab89e1bp-14, 0x1.ca2342213f4a8p-14, 0x1.b9a10f12e18bfp-14, 0x1.a9da39ea48bcep-14, 0x1.9ac62270f8f71p-14, 0x1.8c5c81b0829b2p-14, 0x1.7e9566e8d6599p-14, 0x1.7169349cc44fep-14, 0x1.64d09db32bbd4p-14, 0x1.58c4a2ae1b109p-14, 0x1.4d3e8ef4d0ddap-14, 0x1.4237f6333a6b3p-14, 0x1.37aab1cbd2891p-14, 0x1.2d90de5d1c4a3p-14, 0x1.23e4d959ab3dap-14, 0x1.1aa13eb26844fp-14, 0x1.11c0e692ab148p-14, 0x1.093ee32d8a355p-14, 0x1.01167e9cb7189p-14, 0x1.f286719dad8dp-15, 0x1.e3818b0f0e1a9p-15, 0x1.d51614dbc6052p-15, 0x1.c73c3a561d53p-15, 0x1.b9ec832f3dbfep-15, 0x1.ad1fcfef748a3p-15, 0x1.a0cf568ad62d7p-15, 0x1.94f49f11fa2ddp-15, 0x1.8989807ccc1bep-15, 0x1.7e881d91f6019p-15, 0x1.73eae1e590e3ap-15, 0x1.69ac7ef23f267p-15, 0x1.5fc7e94abc64p-15, 0x1.563855e1d95dcp-15, 0x1.4cf9376bc6a12p-15, 0x1.44063bd3741f6p-15, 0x1.3b5b49c72479cp-15, 0x1.32f47e5a81dep-15, 0x1.2ace2abd2b45fp-15, 0x1.22e4d202bab08p-15, 0x1.1b352703d4e1p-15, 0x1.13bc0a4d62b22p-15, 0x1.0c768823c1186p-15, 0x1.0561d6989a336p-15, 0x1.fcf6a7625ae7fp-16, 0x1.ef81073c4b44bp-16, 0x1.e25e1e05aa515p-16, 0x1.d589829c7bb2ap-16, 0x1.c8ff0e43cefc3p-16, 0x1.bcbad98f0c263p-16, 0x1.b0b9396e80e52p-16, 0x1.a4f6bc53aaa06p-16, 0x1.9970277329d57p-16, 0x1.8e227420c8e69p-16, 0x1.830acd459c17p-16, 0x1.78268ced6b92fp-16, 0x1.6d7339ef9d7e4p-16, 0x1.62ee85ac30478p-16, 0x1.589649e118c4dp-16, 0x1.4e6886953c2dep-16, 0x1.44636018b313fp-16, 0x1.3a851d199e52fp-16, 0x1.30cc24cd31053p-16, 0x1.2736fd2abee03p-16, 0x1.1dc4493b5a5f8p-16, 0x1.1472c77abee01p-16, 0x1.0b4150488a78ap-16, 0x1.022ed46baeaafp-16, 0x1.f274b74b38c1fp-17, 0x1.e0c606aa6a9bfp-17, 0x1.cf4ffa51e97bcp-17, 0x1.be111bbf7b1a8p-17, 0x1.ad08182f818bbp-17, 0x1.9c33be568c396p-17, 0x1.8b92fc3481cbcp-17, 0x1.7b24dd01e05bfp-17, 0x1.6ae88735e54fbp-17, 0x1.5add3aa0e3bbfp-17, 0x1.4b024ea469647p-17, 0x1.3b57307b07ae6p-17, 0x1.2bdb6194ef1cp-17, 0x1.1c8e760f6c47ep-17, 0x1.0d70133a8f645p-17, 0x1.fcffdc636a69dp-18, 0x1.df7b950c3b0a1p-18, 0x1.c252f200fdfc9p-18, 0x1.a585acd7ca14cp-18, 0x1.891394ea55422p-18, 0x1.6cfc8d2d35085p-18, 0x1.51408a2d757e6p-18, 0x1.35df902800db3p-18, 0x1.1ad9b132ade11p-18, 0x1.002f0b8d5607fp-18, 0x1.cbbf900a5a0b7p-19, 0x1.97d830df2bf38p-19, 0x1.64a86c80cfcf6p-19, 0x1.3230c264cd307p-19, 0x1.0071bc0a608f7p-19, 0x1.9ed7d54db7557p-20, 0x1.3e3fc9ddca8a4p-20, 0x1.be39142bafca7p-21, 0x1.02de9ab5c0402p-21, 0x1.29ca54cadfc46p-23, -0x1.ac2258e4b77p-23, -0x1.1d908ed605204p-21, -0x1.cd230f8728136p-21, -0x1.3cdef5dadb0cp-20, -0x1.91af8a18eb1fp-20, -0x1.e5024dd433a88p-20, -0x1.1b6b2e9d43879p-19, -0x1.439574a714736p-19, -0x1.6aff9cb937debp-19, -0x1.91a9567fd38d3p-19, -0x1.b7925e3c433fbp-19, -0x1.dcba7d727fa3ep-19, -0x1.0090c5b329599p-18, -0x1.1263b6c690214p-18, -0x1.23d60c00d4a3fp-18, -0x1.34e7c6e48957p-18, -0x1.4598f096e8413p-18, -0x1.55e999f81dd67p-18, -0x1.65d9dbbbee9eap-18, -0x1.7569d67b0ed22p-18, -0x1.8499b2be42a51p-18, -0x1.9369a106ed1dep-18, -0x1.a1d9d9cb93255p-18, -0x1.afea9d7d9c183p-18, -0x1.bd9c3476f2b92p-18, -0x1.caeeeef544482p-18, -0x1.d7e32508d7971p-18, -0x1.e479367e91eabp-18, -0x1.f0b18ad60305bp-18, -0x1.fc8c91159b041p-18, -0x1.04055fdd88e4bp-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.eee8a510eap+0, -0x1.e6803145840acp+0, -0x1.ddfea5f2ad6aap+0, -0x1.d56983d3e4601p+0, -0x1.ccc5e25f5c6cp+0, -0x1.c41893f4e9244p+0, -0x1.bb66144141aeap+0, -0x1.b2b28010e927cp+0, -0x1.aa01ab25ca408p+0, -0x1.a1572104d42a1p+0, -0x1.98b6205982e9dp+0, -0x1.9021a2bf4bae3p+0, -0x1.879c612a98a25p+0, -0x1.7f28d232ac252p+0, -0x1.76c92d2e667d2p+0, -0x1.6e7f7266f3e85p+0, -0x1.664d7146d4682p+0, -0x1.5e34ca90e8fa8p+0, -0x1.5636f12daa43ep+0, -0x1.4e552b5249807p+0, -0x1.469094844530cp+0, -0x1.3eea1bfc59c4bp+0, -0x1.3762958f221bcp+0, -0x1.2ffab83b720cfp+0, -0x1.28b31a12f54c2p+0, -0x1.218c363306ac6p+0, -0x1.1a866e9b80968p+0, -0x1.13a20d504d02fp+0, -0x1.0cdf459db9feep+0, -0x1.063e3619ac1e6p+0, -0x1.ff7dd620ad4f8p-1, -0x1.f2c2c10e8462dp-1, -0x1.e64b06cc174d3p-1, -0x1.da1664350ab0ep-1, -0x1.ce247acf6518p-1, -0x1.c274d37f8859ep-1, -0x1.b706e1efbeaf4p-1, -0x1.abda07ab26bap-1, -0x1.a0ed962e2c7cfp-1, -0x1.9640cfed25759p-1, -0x1.8bd2e8ecff25cp-1, -0x1.81a307a70a89p-1, -0x1.77b0469ca6fffp-1, -0x1.6df9b68408d8p-1, -0x1.647e609e8a4d5p-1, -0x1.5b3d48b645eap-1, -0x1.52356e6d68b2ap-1, -0x1.4965cdd535db1p-1, -0x1.40cd5f87b3379p-1, -0x1.386b18a2a25e7p-1, -0x1.303deafc39619p-1, -0x1.2844c5c34ee4ep-1, -0x1.207e9689675dap-1, -0x1.18ea4a8ab5e53p-1, -0x1.1186cff45a07p-1, -0x1.0a5316ee9e09ap-1, -0x1.034e1248a6cf5p-1, -0x1.f8ed6f829478ap-2, -0x1.eb9800058533dp-2, -0x1.de99ccebf62edp-2, -0x1.d1f0d229441acp-2, -0x1.c59b10b271d86p-2, -0x1.b9968ebcadd6ep-2, -0x1.ade1547588c5p-2, -0x1.a279717c190b7p-2, -0x1.975d0a181831bp-2, -0x1.8c8a443091337p-2, -0x1.81ff4e48d42a7p-2, -0x1.77ba5fbe88023p-2, -0x1.6db9b8f057ca3p-2, -0x1.63fba34d648e3p-2, -0x1.5a7e71521ac6ap-2, -0x1.51407e799f0b8p-2, -0x1.48402f2b6c9b8p-2, -0x1.3f7bf0ab23c36p-2, -0x1.36f2390dd7a42p-2, -0x1.2ea187351335p-2, -0x1.268862cd7abd1p-2, -0x1.1ea55c4d5bb57p-2, -0x1.16f70cef5ab61p-2, -0x1.0f7c16a60cf34p-2, -0x1.08332406c9e38p-2, -0x1.011ae82b9563ep-2, -0x1.f4643d1ae2f6ap-3, -0x1.e6ef15b2d91e3p-3, -0x1.d9d3f18613b2cp-3, -0x1.cd1077ad01112p-3, -0x1.c0a25e99228p-3, -0x1.b4876bc1c7bcp-3, -0x1.a8bd7355e0566p-3, -0x1.9d4257f1b9976p-3, -0x1.92140a5681605p-3, -0x1.873089216cb11p-3, -0x1.7c95e080b78c2p-3, -0x1.724229e569232p-3, -0x1.68338bb1bd846p-3, -0x1.5e6838e4e210ep-3, -0x1.54de70c533516p-3, -0x1.4b947e8a9d19p-3, -0x1.4288b90a8f471p-3, -0x1.39b98266d2c44p-3, -0x1.312547c010f5bp-3, -0x1.28ca80ec675ep-3, -0x1.20a7b031d9ae9p-3, -0x1.18bb6204399ddp-3, -0x1.11042cc5a7b91p-3, -0x1.0980b088e5867p-3, -0x1.022f96d4a1768p-3, -0x1.f61f24cdf47f3p-4, -0x1.e83ebdf18e94fp-4, -0x1.dabb8200a701bp-4, -0x1.cd930ae70c307p-4, -0x1.c0c30313455ffp-4, -0x1.b44924f9e19d6p-4, -0x1.a8233a9996554p-4, -0x1.9c4f1d011af98p-4, -0x1.90cab3d7c6fb1p-4, -0x1.8593f4e9f728p-4, -0x1.7aa8e3b9d64d7p-4, -0x1.700791152a131p-4, -0x1.65ae1ab064a2bp-4, -0x1.5b9aaac700bb3p-4, -0x1.51cb77c0fe7e6p-4, -0x1.483ec3dd1c85ep-4, -0x1.3ef2dcdf4a897p-4, -0x1.35e61bc2bed25p-4, -0x1.2d16e46f0f1ap-4, -0x1.2483a56faf602p-4, -0x1.1c2ad7ad5402ap-4, -0x1.140afe28be0ecp-4, -0x1.0c22a5b6aa318p-4, -0x1.047064bca0d69p-4, -0x1.f9e5b5dd3b8fcp-5, -0x1.eb51621b13008p-5, -0x1.dd21314d4ca3fp-5, -0x1.cf5297a825f62p-5, -0x1.c1e319fd2c661p-5, -0x1.b4d04d41cbb7dp-5, -0x1.a817d61932546p-5, -0x1.9bb76861da557p-5, -0x1.8facc6c6f26acp-5, -0x1.83f5c255cda61p-5, -0x1.78903a1762f9ep-5, -0x1.6d7a1aadd2912p-5, -0x1.62b15df5d4d98p-5, -0x1.58340aabe2591p-5, -0x1.4e003414de795p-5, -0x1.4413ea6b9b399p-5, -0x1.3a6d7775a378p-5, -0x1.310b02e4dc4b4p-5, -0x1.27eacf0a62b13p-5, -0x1.1f0b29372a9b8p-5, -0x1.166a6972e72fp-5, -0x1.0e06f23534bdp-5, -0x1.05df3020ec306p-5, -0x1.fbe3338315a1fp-6, -0x1.ec795e95311b7p-6, -0x1.dd7df4b1ec91bp-6, -0x1.ceee1b6c06843p-6, -0x1.c0c70a390ea78p-6, -0x1.b30609fe9c9cep-6, -0x1.a5a874a2cedd3p-6, -0x1.98abb49ff7cfp-6, -0x1.8c0d449b50ea9p-6, -0x1.7fcaaefeace35p-6, -0x1.73e18d9502219p-6, -0x1.684f8929bf7b6p-6, -0x1.5d12592acb804p-6, -0x1.5227c34d2da48p-6, -0x1.478d9b342dee5p-6, -0x1.3d41c21af4488p-6, -0x1.33422680839a1p-6, -0x1.298cc3d5ffbccp-6, -0x1.201fa22f2b549p-6, -0x1.16f8d5f5091eep-6, -0x1.0e167f9a92a6fp-6, -0x1.0576cb536ff73p-6, -0x1.fa2fe1992de4ap-7, -0x1.e9f065cda06fap-7, -0x1.da2bbee60973ep-7, -0x1.cade9de092eddp-7, -0x1.bc05c89739559p-7, -0x1.ad9e1942872d7p-7, -0x1.9fa47dff742c6p-7, -0x1.9215f8585b5adp-7, -0x1.84ef9cd0e3897p-7, -0x1.782e9274cd782p-7, -0x1.6bd012698a1dep-7, -0x1.5fd1678289985p-7, -0x1.542fedd82da48p-7, -0x1.48e9126147b59p-7, -0x1.3dfa528f1a5acp-7, -0x1.33613bebbd72dp-7, -0x1.291b6bbadae5bp-7, -0x1.1f268e9cb51e6p-7, -0x1.158060335d3bap-7, -0x1.0c26aaca0a9b7p-7, -0x1.031746fe8bbd7p-7, -0x1.f4a036d966f8dp-8, -0x1.e39e38b772ad3p-8, -0x1.d32496db04232p-8, -0x1.c32f6e9f707ap-8, -0x1.b3baf6dd5fdf8p-8, -0x1.a4c37f54084dbp-8, -0x1.96457015c2814p-8, -0x1.883d48f7e572fp-8, -0x1.7aa7a105cd4f6p-8, -0x1.6d8125f6fc30fp-8, -0x1.60c69ba83a26dp-8, -0x1.5474db97a8b6fp-8, -0x1.4888d463b2c5p-8, -0x1.3cff894cc13b6p-8, -0x1.31d611b9b1ebfp-8, -0x1.270998bef0db3p-8, -0x1.1c975ca830045p-8, -0x1.127cae849f78ap-8, -0x1.08b6f1b5a8aa3p-8, -0x1.fe873700388dep-9, -0x1.ec40653f5948ap-9, -0x1.da949db983eb2p-9, -0x1.c97f314936b61p-9, -0x1.b8fb91473846p-9, -0x1.a9054ec388c88p-9, -0x1.999819c293efdp-9, -0x1.8aafc07e9a13dp-9, -0x1.7c482ead0ab0cp-9, -0x1.6e5d6cc7ebdb2p-9, -0x1.60eb9f5b26ae8p-9, -0x1.53ef065596623p-9, -0x1.4763fc5ddb22ep-9, -0x1.3b46f62ad63b8p-9, -0x1.2f9481dfb0986p-9, -0x1.2449466b6c338p-9, -0x1.196202ebdcf3p-9, -0x1.0edb8e140aaacp-9, -0x1.04b2d595ce168p-9, -0x1.f5c9bb1d77e4p-10, -0x1.e2dd7ff067e94p-10, -0x1.d09b58350a1ecp-10, -0x1.befdcc06591ap-10, -0x1.adff8bfc0a987p-10, -0x1.9d9b7022ec8d9p-10, -0x1.8dcc76fad5d5bp-10, -0x1.7e8dc47a56754p-10, -0x1.6fdaa11812011p-10, -0x1.61ae78d942b53p-10, -0x1.5404da65cf0edp-10, -0x1.46d976217852p-10, -0x1.3a281d4a43c1p-10, -0x1.2decc11bbdb17p-10, -0x1.222371f789579p-10, -0x1.16c85e9262da1p-10, -0x1.0bd7d326284d5p-10, -0x1.014e38a8776b8p-10, -0x1.ee50280bac7b8p-11, -0x1.dac40ac3062b8p-11, -0x1.c7f18eb2e8ff8p-11, -0x1.b5d25c9db4b3dp-11, -0x1.a4604f658dcafp-11, -0x1.939572ae289edp-11, -0x1.836c01868ded3p-11, -0x1.73de651b100b1p-11, -0x1.64e7336f0a832p-11, -0x1.56812e1e5c225p-11, -0x1.48a74126652edp-11, -0x1.3b5481b683ed6p-11, -0x1.2e842d07c2ac9p-11, -0x1.2231a73bb7c87p-11, -0x1.16587a4264509p-11, -0x1.0af454c6d15b8p-11, -0x1.000109228e092p-11, -0x1.eaf518af41146p-12, -0x1.d6b9ea223854p-12, -0x1.c348f5538f78fp-12, -0x1.b09ae8725402cp-12, -0x1.9ea8af4d1573p-12, -0x1.8d6b718444987p-12, -0x1.7cdc90c7f7622p-12, -0x1.6cf5a7204b85bp-12, -0x1.5db08542b74a2p-12, -0x1.4f0730f0d05c8p-12, -0x1.40f3e362779fcp-12, -0x1.337107ba6a295p-12, -0x1.26793985127dcp-12, -0x1.1a07434184e1dp-12, -0x1.0e161cf43a366p-12, -0x1.02a0eac3822b7p-12, -0x1.ef45f73ab93ecp-13, -0x1.da2f8fcd1a43p-13, -0x1.c5f5e065ac424p-13, -0x1.b290780b7b6aap-13, -0x1.9ff7313885585p-13, -0x1.8e222f7daf49bp-13, -0x1.7d09dd375338fp-13, -0x1.6ca6e951cba19p-13, -0x1.5cf2451e4b686p-13, -0x1.4de5223608987p-13, -0x1.3f78f06d7feadp-13, -0x1.31a75bd5e1b48p-13, -0x1.246a4acce3ac7p-13, -0x1.17bbdc1ac17fp-13, -0x1.0b96651db388fp-13, -0x1.ffe8e0058c38p-14, -0x1.e9a174177cde3p-14, -0x1.d44c63c3d265cp-14, -0x1.bfdfebe9cbce5p-14, -0x1.ac52a5cb976e5p-14, -0x1.999b83fcfb6aap-14, -0x1.87b1cf66db16cp-14, -0x1.768d246396a85p-14, -0x1.66256fefa7515p-14, -0x1.5672ecef74ac9p-14, -0x1.476e218d5c991p-14, -0x1.390fdca62c2d1p-14, -0x1.2b51334e6eaa3p-14, -0x1.1e2c4ce363613p-14, -0x1.119980c7156f5p-14, -0x1.05931744ee065p-14, -0x1.f4264ddc8ad71p-15, -0x1.de28027091d46p-15, -0x1.c92060d3ce7d1p-15, -0x1.b504eb38e94eep-15, -0x1.a1cb8d960ecc7p-15, -0x1.8f6a99e2624c7p-15, -0x1.7dd8c4762d68bp-15, -0x1.6d0d20826729fp-15, -0x1.5cff1ca7b95e2p-15, -0x1.4da67fa9966e3p-15, -0x1.3efb653b2e61bp-15, -0x1.30f63aeab5ec6p-15, -0x1.238fbd1c51ba7p-15, -0x1.16c0f42b7b495p-15, -0x1.0a83319a1532p-15, -0x1.fda01ab6a3f61p-16, -0x1.e742c6694fd1ep-16, -0x1.d1e2a06a301cp-16, -0x1.bd746082668cfp-16, -0x1.a9ed376d9fde8p-16, -0x1.9742ca3fef879p-16, -0x1.856b2dfd96e27p-16, -0x1.745ce351c6fb4p-16, -0x1.640ed270191c5p-16, -0x1.547847150373dp-16, -0x1.4590ecae64e32p-16, -0x1.3750ca9fcca44p-16, -0x1.29b040ad4c0fp-16, -0x1.1ca803846adabp-16, -0x1.103119622083ap-16, -0x1.0444d6da2cd5dp-16, -0x1.f1b9b770bb637p-17, -0x1.dbe61ffe2733ap-17, -0x1.c703420c10197p-17, -0x1.b305fd4fde251p-17, -0x1.9fe3b12b09b23p-17, -0x1.8d9237772f316p-17, -0x1.7c07df83bfd13p-17, -0x1.6b3b694676762p-17, -0x1.5b2400b0785bbp-17, -0x1.4bb9393799f33p-17, -0x1.3cf30987360b4p-17, -0x1.2ec9c752a0caap-17, -0x1.21362362bd887p-17, -0x1.143125a5ab74ap-17, -0x1.07b4299ddf376p-17, -0x1.f771b55e9287ep-18, -0x1.e0726185d1781p-18, -0x1.ca5ed9ed8c184p-18, -0x1.b52c2ce390296p-18, -0x1.a0cfeead7f036p-18, -0x1.8d4033aa5d2aep-18, -0x1.7a738ab7e3083p-18, -0x1.6860f7ad4470bp-18, -0x1.56ffee49dd79p-18, -0x1.46484d1e972fbp-18, -0x1.363258c06ae47p-18, -0x1.26b6b7414abf8p-18, -0x1.17ce6ba1c7434p-18, -0x1.0972d1a892bc8p-18, -0x1.f73b338ca4615p-19, -0x1.dc918a5b8f23cp-19, -0x1.c2dd44250de0ap-19, -0x1.aa13901f05fafp-19, -0x1.922a2967df08dp-19, -0x1.7b175065337fbp-19, -0x1.64d1c4735d819p-19, -0x1.4f50bdc4bd2c8p-19, -0x1.3a8be7b00f1dp-19, -0x1.267b5af0a238fp-19, -0x1.1317986e3a64ap-19, -0x1.00598419f2b6bp-19, -0x1.dc74c01613df2p-20, -0x1.b9678fa3079dep-20, -0x1.977f57fa875c3p-20, -0x1.76b09ba601fccp-20, -0x1.56f0768bfc04ep-20, -0x1.383495ed722b6p-20, -0x1.1a73311030b32p-20, -0x1.fb46040416cb1p-21, -0x1.c3767e1d18bdbp-21, -0x1.8d6727beb1e1cp-21, -0x1.590836f318dap-21, -0x1.264ab4c8408bp-21, -0x1.ea40e2fe02235p-22, -0x1.8af7f4db9b376p-22, -0x1.2ea11ef5cf92bp-22, -0x1.aa48636da7b23p-23, -0x1.f9a8f5185a041p-24, -0x1.52ebf4f565159p-25, 0x1.38b5881eccb8p-25, 0x1.d817b0d617968p-24, 0x1.8505a13e9ed7p-23, 0x1.0c9f0d95eea93p-22, 0x1.546b72042906fp-22, 0x1.99f7f862738c4p-22, 0x1.dd53d4f3b040cp-22, 0x1.0f46c098525bbp-21, 0x1.2ed962dc411f6p-21, 0x1.4d686308dad59p-21, 0x1.6afa053a7100ap-21, 0x1.879444ac77f2dp-21, 0x1.a33cd844222edp-21, 0x1.bdf936c19e5cdp-21, 0x1.d7ce9aed81b9cp-21, 0x1.f0c20755b6775p-21, 0x1.046c24f85a9dfp-20, 0x1.100affc3c00a4p-20, 0x1.1b3fcb773dbe8p-20, 0x1.260caa07abb6dp-20, 0x1.3073a9776b79dp-20, 0x1.3a76c4df4ae73p-20, 0x1.4417e62db952cp-20, 0x1.4d58e6fe4dba8p-20, 0x1.563b91ddf8fbfp-20, 0x1.5ec1a34caa293p-20, 0x1.66eccabd6c076p-20, 0x1.6ebeab839283dp-20, 0x1.7638ddb0d0b8bp-20, 0x1.7d5ceee4f11fep-20, 0x1.842c630fd847ap-20, 0x1.8aa8b5275d7cap-20, 0x1.90d357cf69592p-20, 0x1.96adb5f7d7bd5p-20, 0x1.9c39337aec333p-20, 0x1.a1772d73fde7dp-20, 0x1.a668fb07cac56p-20, 0x1.ab0fed9c6ff57p-20, 0x1.af6d517dba383p-20, 0x1.b3826dfd8765dp-20, 0x1.b75085fee7a2dp-20, 0x1.bad8d83bb32a5p-20, 0x1.be1c9f912fe03p-20, 0x1.c11d1349e9c53p-20, 0x1.c3db675c16633p-20, 0x1.c658ccaa2c002p-20, 0x1.c8967120536bp-20, 0x1.ca958006e3bep-20, 0x1.cc572218d2393p-20, 0x1.cddc7dab20168p-20, 0x1.cf26b6d251b11p-20, 0x1.d036ef81d2621p-20, 0x1.d10e479e4d81ap-20, 0x1.d1addd20fe753p-20, 0x1.d216cc24c276cp-20, 0x1.d24a2ee5edeccp-20, 0x1.d2491e0dfa1aep-20, 0x1.d214b0692f037p-20, 0x1.d1adfb270ff19p-20, 0x1.d11611d39c65ep-20, 0x1.d04e065e8bae2p-20, 0x1.cf56e92cbbda8p-20, 0x1.ce31c8c81b56bp-20, 0x1.ccdfb265c1269p-20, 0x1.cb61b1867e7ep-20, 0x1.c9b8d00c12b58p-20, 0x1.c7e61634d5069p-20, 0x1.c5ea8a9797edbp-20, 0x1.c3c7321c298d1p-20, 0x1.c17d0ff6f8ccap-20, 0x1.bf0d259af8188p-20, 0x1.bc7872bb47f5ap-20, 0x1.b9bff53b72a12p-20, 0x1.b6e4a92832c7p-20, 0x1.b3e788ade7506p-20, 0x1.b0c98c16d5359p-20, 0x1.ad8ba99ffde46p-20, 0x1.aa2ed59fda6p-20, 0x1.a6b4025b881ffp-20, 0x1.a31c2004346fep-20, 0x1.9f681cac7f002p-20, 0x1.9b98e44ef7421p-20, 0x1.97af607f3afc2p-20, 0x1.93ac78bd1b86fp-20, 0x1.8f91124b5abbap-20, 0x1.8b5e0ffd7e418p-20, 0x1.871452546c107p-20, 0x1.82b4b76b04cfp-20, 0x1.7e401adb8e203p-20, 0x1.79b755fbb3032p-20, 0x1.751b3f6b21df3p-20, 0x1.706cab512d186p-20, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.6c6b506ebcda1p-2, -0x1.4bda3a39330d4p-2, -0x1.295aa0c32c759p-2, -0x1.0547e0b88feb8p-2, -0x1.bfee333bdc61p-3, -0x1.736dff372e45bp-3, -0x1.25a01c6565362p-3, -0x1.ae1289f86fdd9p-4, -0x1.1043e6922dc8bp-4, -0x1.cab8b65918642p-6, 0x1.4f513994dc9dfp-7, 0x1.89aa74d4771abp-5, 0x1.5d7724cbfcc44p-4, 0x1.f346e30f11276p-4, 0x1.42e68a38a11c8p-3, 0x1.8a515213d1e1p-3, 0x1.cfb7aa2b753e8p-3, 0x1.097a17350d1b8p-2, 0x1.29f3d5dc89ce5p-2, 0x1.493c5c15b9793p-2, 0x1.6749aa3a9a346p-2, 0x1.841441dee60eep-2, 0x1.9f97560e01691p-2, 0x1.b9cf4a1f34feep-2, 0x1.d2ba8b5bc1e9bp-2, 0x1.ea5918fecaf28p-2, 0x1.00562b70af562p-1, 0x1.0adb711a96799p-1, 0x1.14be35849ee31p-1, 0x1.1e00ca475f6a5p-1, 0x1.26a5ece275a47p-1, 0x1.2eb0b8e949b0dp-1, 0x1.362498fba2c92p-1, 0x1.3d0537e32e415p-1, 0x1.4356743285cf3p-1, 0x1.491c579a6c3b2p-1, 0x1.4e5b11199d36cp-1, 0x1.5316efeda6888p-1, 0x1.57545d75cf96ap-1, 0x1.5b17d58803cd5p-1, 0x1.5e65de078844p-1, 0x1.6142ff21ac3bfp-1, 0x1.63b3bd4c13d08p-1, 0x1.65bc95530550fp-1, 0x1.6761f9f47de81p-1, 0x1.68a8520fcb601p-1, 0x1.6993f67b594fdp-1, 0x1.6a292f028789fp-1, 0x1.6a6c2ea5e85d4p-1, 0x1.6a610fb3c1eecp-1, 0x1.6a0bd07cc29cep-1, 0x1.6970514064f2cp-1, 0x1.6892538a021f3p-1, 0x1.67757aca45167p-1, 0x1.661d4daa421d3p-1, 0x1.648d377ac53ccp-1, 0x1.62c8893941fdep-1, 0x1.60d279db6dac1p-1, 0x1.5eae25d506c0ap-1, 0x1.5c5e8e05c14f2p-1, 0x1.59e69662f0b07p-1, 0x1.574904bc17db4p-1, 0x1.54887fec6c9c9p-1, 0x1.51a82c5d580c8p-1, 0x1.4ea936553bd47p-1, 0x1.4b8e78ea08c69p-1, 0x1.485a25168d018p-1, 0x1.450e52d5596b5p-1, 0x1.41ad025d8588ap-1, 0x1.3e381d2d24f7fp-1, 0x1.3ab176d940a7fp-1, 0x1.371acda754876p-1, 0x1.3375cafd56f5ep-1, 0x1.2fc403ba08ec7p-1, 0x1.2c06f887cd974p-1, 0x1.2840163987f98p-1, 0x1.2470b63c40aa3p-1, 0x1.209a1f22eb748p-1, 0x1.1cbd854cb0b2p-1, 0x1.18dc0ba237302p-1, 0x1.14f6c4640d9ep-1, 0x1.110eb203427adp-1, 0x1.0d24c7fd6a874p-1, 0x1.0939ebb634edbp-1, 0x1.054ef549ee48bp-1, 0x1.0164b05594816p-1, 0x1.faf7b96451d1ep-2, 0x1.f32a5e43794a6p-2, 0x1.eb62a3da81689p-2, 0x1.e3a1cae544b15p-2, 0x1.dbe9014656b1ap-2, 0x1.d43962e5628d3p-2, 0x1.cc93fa717804bp-2, 0x1.c4f9c20ade972p-2, 0x1.bd6ba3d939cb9p-2, 0x1.b5ea7a93907cp-2, 0x1.ae7712001661ep-2, 0x1.a71227714e93ep-2, 0x1.9fbc6a45589bep-2, 0x1.98767c6af0616p-2, 0x1.9140f2ee4477cp-2, 0x1.8a1c568e3ef1ep-2, 0x1.83092459905d3p-2, 0x1.7c07ce51b0dd2p-2, 0x1.7518bc1150008p-2, 0x1.6e3c4b73410e4p-2, 0x1.6772d136ea7cp-2, 0x1.60bc999f545ccp-2, 0x1.5a19e90a69a95p-2, 0x1.538afc7e6b204p-2, 0x1.4d100a2c2e2f1p-2, 0x1.46a941e555391p-2, 0x1.4056cd8639fcfp-2, 0x1.3a18d153cf258p-2, 0x1.33ef6c4e21772p-2, 0x1.2ddab87891a3fp-2, 0x1.27dacb190925cp-2, 0x1.21efb4efa5ac6p-2, 0x1.1c1982685f07dp-2, 0x1.16583bc81e44ep-2, 0x1.10abe5569d79ep-2, 0x1.0b147f86417bep-2, 0x1.0592071ad4631p-2, 0x1.0024754fd59fep-2, 0x1.f5977ffda5b8dp-3, 0x1.eb0fb38c03083p-3, 0x1.e0b1645e47e2bp-3, 0x1.d67c6bad3df74p-3, 0x1.cc709d252452fp-3, 0x1.c28dc7335e76cp-3, 0x1.b8d3b3532376cp-3, 0x1.af422658bc8a7p-3, 0x1.a5d8e0badc4f5p-3, 0x1.9c979ed9d9f72p-3, 0x1.937e194484bc3p-3, 0x1.8a8c04fa850d5p-3, 0x1.81c113ac3b9c7p-3, 0x1.791cf3f813c21p-3, 0x1.709f51a56397ep-3, 0x1.6847d5dcd0ffdp-3, 0x1.6016275e4ef17p-3, 0x1.5809eab4a95f9p-3, 0x1.5022c266af8d2p-3, 0x1.48604f25e18abp-3, 0x1.40c22ffab2762p-3, 0x1.3948026e40b1ep-3, 0x1.31f162b191461p-3, 0x1.2abd8e30783dbp-3, 0x1.23acb384c0d7fp-3, 0x1.1cbe383b9785fp-3, 0x1.15f1b50dc9e8ap-3, 0x1.0f46c1dcac73p-3, 0x1.08bcf5c9d6c1ep-3, 0x1.0253e74ddffb3p-3, 0x1.f816589c34abep-4, 0x1.ebc4b4632306ep-4, 0x1.dfb20bea7bd17p-4, 0x1.d3dd887f368afp-4, 0x1.c84652e735bdp-4, 0x1.bceb9386171ddp-4, 0x1.b1cc7280ebfb1p-4, 0x1.a6e817e0d82bbp-4, 0x1.9c3dabb4b56fap-4, 0x1.91cc56319a58dp-4, 0x1.87933fd25a8d5p-4, 0x1.7d919175e9b0ap-4, 0x1.73c6747ca7a4dp-4, 0x1.6a3112e489d17p-4, 0x1.60d097641e735p-4, 0x1.57a42d8465e9fp-4, 0x1.4eab01b980c6p-4, 0x1.45e4417a2dd9dp-4, 0x1.3d4f1b561bfdep-4, 0x1.34eabf0b0f881p-4, 0x1.2cb65d98dcb28p-4, 0x1.24b1295440f7bp-4, 0x1.1cda55f89a568p-4, 0x1.153118b889828p-4, 0x1.0db4a84d83edbp-4, 0x1.06643d0661477p-4, 0x1.fe7e21a9d9134p-5, 0x1.f088beb50c95dp-5, 0x1.e2e6cbe7c2a1dp-5, 0x1.d596c787cd25p-5, 0x1.c897337b9c6d6p-5, 0x1.bbe6955cea9b8p-5, 0x1.af83768a03b77p-5, 0x1.a36c6435b49d7p-5, 0x1.979fef7602e2fp-5, 0x1.8c1cad51b78dfp-5, 0x1.80e136ccd48b7p-5, 0x1.75ec28f407e59p-5, 0x1.6b3c24e724cfap-5, 0x1.60cfcfe2b7a66p-5, 0x1.56a5d348bb91dp-5, 0x1.4cbcdca880eb5p-5, 0x1.43139dc5c574fp-5, 0x1.39a8cc9f0ffadp-5, 0x1.307b23734bd88p-5, 0x1.278960c6b10e6p-5, 0x1.1ed24766fa4dep-5, 0x1.16549e6eebce7p-5, 0x1.0e0f314933021p-5, 0x1.0600cfb29b4abp-5, 0x1.fc509b77474e9p-6, 0x1.ed090792e022bp-6, 0x1.de289d2c3eacap-6, 0x1.cfad1e610c42fp-6, 0x1.c19455f6a088fp-6, 0x1.b3dc175724308p-6, 0x1.a6823e8d8c2f9p-6, 0x1.9984b0407ce44p-6, 0x1.8ce159ac1e4dfp-6, 0x1.8096309ae15a3p-6, 0x1.74a1335d4459ap-6, 0x1.690068c0a292dp-6, 0x1.5db1e0050d8a4p-6, 0x1.52b3b0d23f7b8p-6, 0x1.4803fb2bb2f97p-6, 0x1.3da0e763df01ap-6, 0x1.3388a60ea6fdfp-6, 0x1.29b96ff30cc7p-6, 0x1.203185fc2123bp-6, 0x1.16ef312945c43p-6, 0x1.0df0c27dc5a6dp-6, 0x1.053492efd1f9p-6, 0x1.f97206adbe768p-7, 0x1.e8f8f8b2fc351p-7, 0x1.d8fadcb54f18cp-7, 0x1.c974a2cd1cf48p-7, 0x1.ba634a3df6695p-7, 0x1.abc3e14e723f7p-7, 0x1.9d93851f451fap-7, 0x1.8fcf61818bd22p-7, 0x1.8274b0cc79463p-7, 0x1.7580bbb25a4e4p-7, 0x1.68f0d9150f7p-7, 0x1.5cc26dd9f2ee7p-7, 0x1.50f2ecbd5c4fap-7, 0x1.457fd625a0275p-7, 0x1.3a66b7f5c4967p-7, 0x1.2fa52d5fd1ba1p-7, 0x1.2538deb6e018cp-7, 0x1.1b1f8140e47e4p-7, 0x1.1156d70848e5p-7, 0x1.07dcaead5585ap-7, 0x1.fd5dc66ef820dp-8, 0x1.eb96b7cd0ca9dp-8, 0x1.da601807692c7p-8, 0x1.c9b5e565a6031p-8, 0x1.b99435869ce08p-8, 0x1.a9f73502a067ep-8, 0x1.9adb270dcb20dp-8, 0x1.8c3c651a7cdd2p-8, 0x1.7e175e7c09a9p-8, 0x1.70689809afa92p-8, 0x1.632cabc1d9d11p-8, 0x1.5660486dbf7c9p-8, 0x1.4a00314566d49p-8, 0x1.3e093d941b74bp-8, 0x1.3278585d5dd12p-8, 0x1.274a80025897bp-8, 0x1.1c7cc5e7e1aep-8, 0x1.120c4e1d16d71p-8, 0x1.07f64f0294e06p-8, 0x1.fc7021e4b7466p-9, 0x1.e99ddbd0bc8fcp-9, 0x1.d770a2579b30ap-9, 0x1.c5e36df240a13p-9, 0x1.b4f15859bf405p-9, 0x1.a4959bde863a9p-9, 0x1.94cb92c13855fp-9, 0x1.858eb68d3556bp-9, 0x1.76da9f74e5301p-9, 0x1.68ab03afbc8fbp-9, 0x1.5afbb6da1f5a4p-9, 0x1.4dc8a95718188p-9, 0x1.410de7b3f1d6cp-9, 0x1.34c79a0db4774p-9, 0x1.28f20378a5ce4p-9, 0x1.1d898169b0918p-9, 0x1.128a8b21d5b26p-9, 0x1.07f1b11b9b30cp-9, 0x1.fb7738f512928p-10, 0x1.e7ca1cf9677d4p-10, 0x1.d4d5bfdcaaep-10, 0x1.c294013efb563p-10, 0x1.b0feedb7b07a4p-10, 0x1.a010bdc921a37p-10, 0x1.8fc3d4d897fe4p-10, 0x1.8012c02a8283fp-10, 0x1.70f835e2e62fcp-10, 0x1.626f1409fcef6p-10, 0x1.54725f951c139p-10, 0x1.46fd4373ccdc5p-10, 0x1.3a0b0fa11ba1dp-10, 0x1.2d9738391d9a9p-10, 0x1.219d54929d7a1p-10, 0x1.16191e5d020dep-10, 0x1.0b0670c24f50dp-10, 0x1.0061478d49f41p-10, 0x1.ec4b7ca771f23p-11, 0x1.d8a01f496880ep-11, 0x1.c5b92876050c2p-11, 0x1.b38f8466f667p-11, 0x1.a21c588ebf84p-11, 0x1.915902154da28p-11, 0x1.813f145c78a89p-11, 0x1.71c8578c0e2d4p-11, 0x1.62eec725ba862p-11, 0x1.54ac90a0663afp-11, 0x1.46fc120b12aecp-11, 0x1.39d7d8b75872cp-11, 0x1.2d3a9fead3906p-11, 0x1.211f4f9826ae2p-11, 0x1.157e7e940134cp-11, 0x1.0a593cc484a24p-11, 0x1.ff4f23d1703b1p-12, 0x1.eaca186e9c4ep-12, 0x1.d71ac146615bbp-12, 0x1.c438d37b423c8p-12, 0x1.b21c4d3de5b9ep-12, 0x1.a0bd73ab69002p-12, 0x1.9014d0b84dcbdp-12, 0x1.801b31282ea6ap-12, 0x1.70c9a29174da3p-12, 0x1.6219716d2c763p-12, 0x1.54042732f1042p-12, 0x1.468388806c3edp-12, 0x1.3991934c84fbep-12, 0x1.2d287d2594ef6p-12, 0x1.2142b17b16c9p-12, 0x1.15dacff21236ep-12, 0x1.0aebaac456eb7p-12, 0x1.0070452a3e973p-12, 0x1.ecc7a39de2acfp-13, 0x1.d983629d14e11p-13, 0x1.c70ae17d3e3afp-13, 0x1.b555908061f2ep-13, 0x1.a45b33373d067p-13, 0x1.9413ddcb5f232p-13, 0x1.8477f25c1a05ep-13, 0x1.75801e6db649dp-13, 0x1.6725586a1d977p-13, 0x1.5960dd3309828p-13, 0x1.4c2c2dc59876ep-13, 0x1.3f810cee16771p-13, 0x1.33597d0ca1333p-13, 0x1.27afbde97c7p-13, 0x1.1c7e4a9959642p-13, 0x1.11bfd770afde3p-13, 0x1.076f5006ce081p-13, 0x1.fb0faa8cd2425p-14, 0x1.e809771b75003p-14, 0x1.d5c311b821dedp-14, 0x1.c433e61a72f0ep-14, 0x1.b353bc450855p-14, 0x1.a31ab530f69eep-14, 0x1.93814793b37ebp-14, 0x1.84803cbdaef95p-14, 0x1.7610ad90d75d1p-14, 0x1.682bff90659a9p-14, 0x1.5acbe205393edp-14, 0x1.4dea4b3d6b21bp-14, 0x1.418175dc503f2p-14, 0x1.358bde447e24ap-14, 0x1.2a044014f6e3fp-14, 0x1.1ee593bb2805dp-14, 0x1.142b0c18e16f1p-14, 0x1.09d0143da12fbp-14, 0x1.ffa09a670251dp-15, 0x1.ec4f17b9d422fp-15, 0x1.d9a3adccd9ce3p-15, 0x1.c796c990e3f1bp-15, 0x1.b62133b4c3a45p-15, 0x1.a53c0cee5f0bfp-15, 0x1.94e0ca5fcff85p-15, 0x1.850932210009ap-15, 0x1.75af57e3187c6p-15, 0x1.66cd99b481f0ap-15, 0x1.585e9ce04d856p-15, 0x1.4a5d4ae9c46f1p-15, 0x1.3cc4cea2caa46p-15, 0x1.2f90915da9cb1p-15, 0x1.22bc38370eeeep-15, 0x1.1643a17882b5dp-15, 0x1.0a22e215bb274p-15, 0x1.fcac867ab954ep-16, 0x1.e5b48006ff10bp-16, 0x1.cf570640f0444p-16, 0x1.b98dc98d1653dp-16, 0x1.a452d1133e1ecp-16, 0x1.8fa076bb39cfp-16, 0x1.7b71634d5c352p-16, 0x1.67c08aba7625ep-16, 0x1.54892886f83b4p-16, 0x1.41c6bc582c336p-16, 0x1.2f7506a56a273p-16, 0x1.1d90058e14ccep-16, 0x1.0c13f1c4855ecp-16, 0x1.f5fa77488f764p-17, 0x1.d49110bda6666p-17, 0x1.b3e55e8bf660ap-17, 0x1.93f16e6d5bcd5p-17, 0x1.74afa83721963p-17, 0x1.561ac90c646edp-17, 0x1.382dded48004ap-17, 0x1.1ae443d55ff61p-17, 0x1.fc7334fcb88aap-18, 0x1.c45392cccfd29p-18, 0x1.8d61eee1fff0fp-18, 0x1.5797103ec906dp-18, 0x1.22ec30186a0a1p-18, 0x1.deb5e64ba88aep-19, 0x1.79bac6338cdb1p-19, 0x1.16dbd119c1054p-19, 0x1.6c1d148505af6p-20, 0x1.5d246f28e2147p-21, -0x1.5f6d015e1acc9p-25, -0x1.813a338d61272p-21, -0x1.72631c7a07477p-20, -0x1.102e586417191p-19, -0x1.654c156ef7588p-19, -0x1.b8918185e19a5p-19, -0x1.0502796ca48fbp-18, -0x1.2cd6309757de9p-18, -0x1.53c6b685ceb1fp-18, -0x1.79d6b34142ffcp-18, -0x1.9f08a9d67a60bp-18, -0x1.c35efb55ee1e5p-18, -0x1.e6dbe9cb0d5f2p-18, -0x1.04c0cd729b552p-17, -0x1.15a90d4fe1867p-17, -0x1.2627aed2a1067p-17, -0x1.363da1d01763ap-17, -0x1.45ebccb2eb91fp-17, -0x1.55330d805416ep-17, -0x1.64143acd9ad75p-17, -0x1.729024a7c02afp-17, -0x1.80a7956755023p-17, -0x1.8e5b528182e3p-17, -0x1.9bac1d4106b82p-17, -0x1.a89ab379621f1p-17, -0x1.b527d0266717ep-17, -0x1.c1542c0d7e239p-17, -0x1.cd207e458d1cdp-17, -0x1.d88d7cc0af8f5p-17, -0x1.e39bdcc07680dp-17, -0x1.ee4c5346a2113p-17, -0x1.f89f95833fd9cp-17, -0x1.014b2c949a5a2p-16, -0x1.0618aa674bbe6p-16, -0x1.0ab8a01ad279ep-16, -0x1.0f2b6a4b19f2ep-16, -0x1.1371666d7567ap-16, -0x1.178af2f031e98p-16, -0x1.1b786f509e4f7p-16, -0x1.1f3a3c3510373p-16, -0x1.22d0bb7e9c0b8p-16, -0x1.263c505acae1cp-16, -0x1.297d5f517aeap-16, -0x1.2c944e51f1117p-16, -0x1.2f8184bc2db83p-16, -0x1.32456b68c20ddp-16, -0x1.34e06cad5a5b8p-16, -0x1.3752f462e8cc6p-16, -0x1.399d6fe5f33f9p-16, -0x1.3bc04e176b74dp-16, -0x1.3dbbff5bd064p-16, -0x1.3f90f5995360dp-16, -0x1.413fa42e04935p-16, -0x1.42c87ff4e4b95p-16, -0x1.442bff3828bdep-16, -0x1.456a99abb0593p-16, -0x1.4684c864e5c3bp-16, -0x1.477b05d024054p-16, -0x1.484dcda85d027p-16, -0x1.48fd9ceb4205fp-16, -0x1.498af1ccaec73p-16, -0x1.49f64bab9e989p-16, -0x1.4a402b0536df4p-16, -0x1.4a691166fdb1bp-16, -0x1.4a718160a2ef2p-16, -0x1.4a59fe781f6afp-16, -0x1.4a230d14a087ep-16, -0x1.49cd32789b685p-16, -0x1.4958f4acc410dp-16, -0x1.48c6da722ace8p-16, -0x1.48176b33183c9p-16, -0x1.474b2ef2c34bp-16, -0x1.4662ae3beccebp-16, -0x1.455e72150f3f3p-16, -0x1.443f03eef8d5dp-16, -0x1.4304ed92a3d64p-16, -0x1.41b0b913abde1p-16, -0x1.4042f0bffcb6bp-16, -0x1.3ebc1f0f52517p-16, -0x1.3d1cce9706861p-16, -0x1.3b6589f5864f4p-16, -0x1.3996dbc688052p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.83cd8c0939a97p+0, -0x1.74c13f37ba82fp+0, -0x1.673034080d00ep+0, -0x1.5b01515f57bd9p+0, -0x1.501b21ed4c0e5p+0, -0x1.4664595d0d522p+0, -0x1.3dc4334f7a50ep+0, -0x1.3622a0d6c1767p+0, -0x1.2f686dd538658p+0, -0x1.297f60b4a5a3bp+0, -0x1.24525d1e78efep+0, -0x1.1fcd875face0dp+0, -0x1.1bde5041f5cc1p+0, -0x1.1873659d0e99cp+0, -0x1.157c9e40434e5p+0, -0x1.12eaf27c81042p+0, -0x1.10b07fffda085p+0, -0x1.0ec08f379f8d5p+0, -0x1.0d0f919097af9p+0, -0x1.0b93143665393p+0, -0x1.0a41a8bf3b551p+0, -0x1.09132eb37ef54p+0, -0x1.07ff0b3e6b2b6p+0, -0x1.06fead0496ea3p+0, -0x1.060be8dfc8a6bp+0, -0x1.0521483275a0ap+0, -0x1.0439fc8c44e66p+0, -0x1.0351d274620dfp+0, -0x1.026523ce41fabp+0, -0x1.0170caf2bbbafp+0, -0x1.0072170c4f4p+0, -0x1.fecd82f9aa5acp-1, -0x1.fc99c7f68f24ep-1, -0x1.fa45df1dd89e8p-1, -0x1.f7cf4994ba8abp-1, -0x1.f5341a935b595p-1, -0x1.f272ebaea6edcp-1, -0x1.ef8ad0afe507p-1, -0x1.ec7b49e8f4adfp-1, -0x1.e94435523c8b3p-1, -0x1.e5e5bfde6005fp-1, -0x1.e26058b27a458p-1, -0x1.deb4a757f023fp-1, -0x1.dae384f796c79p-1, -0x1.d6edf7c418c35p-1, -0x1.d2d52f44f4dc4p-1, -0x1.ce9a804aa5c7bp-1, -0x1.ca3f5fd6066efp-1, -0x1.c5c55ce8676b3p-1, -0x1.c12e19c27b365p-1, -0x1.bc7b455df8ae1p-1, -0x1.b7ae95dc2ebep-1, -0x1.b2c9c451ff81p-1, -0x1.adce89f3207cp-1, -0x1.a8be9e4c61fd8p-1, -0x1.a39bb6166cf32p-1, -0x1.9e678230fd67cp-1, -0x1.9923ae7baf51ep-1, -0x1.93d1e0714c22cp-1, -0x1.8e73b59456645p-1, -0x1.890ac1d5bb5d2p-1, -0x1.83988e2627c71p-1, -0x1.7e1e975a1b7e9p-1, -0x1.789e16b1cc327p-1, -0x1.7318e079fadep-1, -0x1.6d901505548f4p-1, -0x1.6804fc4d02511p-1, -0x1.6278d112a63c5p-1, -0x1.5cecc12df3af2p-1, -0x1.5761edcefce6fp-1, -0x1.51d96baa547bcp-1, -0x1.4c54430d31dd6p-1, -0x1.46d36fdf05115p-1, -0x1.4157e19a27541p-1, -0x1.3be27b467af34p-1, -0x1.3674137f639fcp-1, -0x1.310d748b94244p-1, -0x1.2baf5c89af6bfp-1, -0x1.265a7db199a95p-1, -0x1.210f7ea7fb3dfp-1, -0x1.1bcefae037edcp-1, -0x1.16998308bb46cp-1, -0x1.116f9d7ddace3p-1, -0x1.0c51c6c03d8f5p-1, -0x1.074071ec6a8d5p-1, -0x1.023c0931ab3e7p-1, -0x1.fa89dc8d6e3e7p-2, -0x1.f0b6f5b5568a8p-2, -0x1.e7000201980a5p-2, -0x1.dd65972b1ad67p-2, -0x1.d3e83d372c831p-2, -0x1.ca886f1f8d601p-2, -0x1.c1469b67e3f5dp-2, -0x1.b82324a14406p-2, -0x1.af1e61ddf257cp-2, -0x1.a6389f18ba165p-2, -0x1.9d721d93f1179p-2, -0x1.94cb143487441p-2, -0x1.8c43afdd3e048p-2, -0x1.83dc13cd5c0c5p-2, -0x1.7b945a05387a8p-2, -0x1.736c93b1b8fc8p-2, -0x1.6b64c99ec2f3ep-2, -0x1.637cfcaf8f617p-2, -0x1.5bb5265b1ad34p-2, -0x1.540d392a63ffbp-2, -0x1.4c85213605e35p-2, -0x1.451cc4a0c5387p-2, -0x1.3dd4040cecd6ap-2, -0x1.36aabb0ac7c6cp-2, -0x1.2fa0c07efe24bp-2, -0x1.28b5e70020ecap-2, -0x1.21e9fd2b33e34p-2, -0x1.1b3ccdef72bb2p-2, -0x1.14ae20d1ed974p-2, -0x1.0e3dba29d54efp-2, -0x1.07eb5b56873e2p-2, -0x1.01b6c2f0744f9p-2, -0x1.f73f59ebe8bd9p-3, -0x1.eb4ba5ea3286ep-3, -0x1.df91d866acc71p-3, -0x1.d4115ba77f437p-3, -0x1.c8c995f8c1099p-3, -0x1.bdb9e9f60fe7fp-3, -0x1.b2e1b6d36f2f8p-3, -0x1.a84058a577693p-3, -0x1.9dd528a8b12f4p-3, -0x1.939f7d87d3072p-3, -0x1.899eaba0744a5p-3, -0x1.7fd20545d53c5p-3, -0x1.7638db0160d3bp-3, -0x1.6cd27bd09acdfp-3, -0x1.639e356042a44p-3, -0x1.5a9b5444a6fafp-3, -0x1.51c9242f09e12p-3, -0x1.4926f02050cffp-3, -0x1.40b40298fce4p-3, -0x1.386fa5c6ad4a7p-3, -0x1.305923af57dcp-3, -0x1.286fc65a4fa5cp-3, -0x1.20b2d7f750ca9p-3, -0x1.1921a303a97c9p-3, -0x1.11bb726d7e4c7p-3, -0x1.0a7f91b556aaep-3, -0x1.036d4d0dcf4dbp-3, -0x1.f907e2f317f74p-4, -0x1.eb8599ce99305p-4, -0x1.de522783fde4ap-4, -0x1.d16c6d4dfb5cp-4, -0x1.c4d304d8f92a4p-4, -0x1.b88493fd3e077p-4, -0x1.ac7fc32e4cp-4, -0x1.a0c33d9a91f93p-4, -0x1.954db148dc5c1p-4, -0x1.8a1dcf33bcacp-4, -0x1.7f324b630f43cp-4, -0x1.7489dd03bbb84p-4, -0x1.6a233e7dd1a95p-4, -0x1.5ffd2d8919648p-4, -0x1.56166b402f673p-4, -0x1.4c6dbc323d91fp-4, -0x1.4301e8735f6cp-4, -0x1.39d1bbabc369p-4, -0x1.30dc05258fb2ap-4, -0x1.281f97d998026p-4, -0x1.1f9b4a7ae8f17p-4, -0x1.174df7813676ep-4, -0x1.0f367d322cb3ap-4, -0x1.0753bda9b22d6p-4, -0x1.ff493dc22dc9p-5, -0x1.f050156a884eep-5, -0x1.e1b9ddd7cac98p-5, -0x1.d3847a6f361a4p-5, -0x1.c5add6766cedap-5, -0x1.b833e51819aaap-5, -0x1.ab14a166c44d4p-5, -0x1.9e4e0e5def651p-5, -0x1.91de36e18d746p-5, -0x1.85c32dbbd9f4p-5, -0x1.79fb0d99ae9acp-5, -0x1.6e83f9056519bp-5, -0x1.635c1a6059b3ep-5, -0x1.5881a3db23cf2p-5, -0x1.4df2cf6c95ba7p-5, -0x1.43addec79bf16p-5, -0x1.39b11b5012617p-5, -0x1.2ffad60e9822p-5, -0x1.268967a382591p-5, -0x1.1d5b3038fe7aap-5, -0x1.146e9774681cap-5, -0x1.0bc20c66f7aadp-5, -0x1.0354057dc50ccp-5, -0x1.f64600e27bd39p-6, -0x1.e65b04682130cp-6, -0x1.d6e42dc32d416p-6, -0x1.c7dea357ae351p-6, -0x1.b947999230334p-6, -0x1.ab1c52c22d78p-6, -0x1.9d5a1ef3c9972p-6, -0x1.8ffe5bc8efd3dp-6, -0x1.83067451d75c3p-6, -0x1.766fe0e5098f9p-6, -0x1.6a3826f6e1dcap-6, -0x1.5e5cd8f0a57b2p-6, -0x1.52db960728712p-6, -0x1.47b20a1120f86p-6, -0x1.3cdded5d1a7b9p-6, -0x1.325d048727d64p-6, -0x1.282d204e48e17p-6, -0x1.1e4c1d6999d0ap-6, -0x1.14b7e45d5b276p-6, -0x1.0b6e694fb7889p-6, -0x1.026dabdd827d1p-6, -0x1.f3676ddd9b6a7p-7, -0x1.e27d4116f4238p-7, -0x1.d219135f5204dp-7, -0x1.c2373c408600bp-7, -0x1.b2d4287ef6713p-7, -0x1.a3ec59c2a66c1p-7, -0x1.957c66408375ap-7, -0x1.8780f863d0c16p-7, -0x1.79f6ce77dfdadp-7, -0x1.6cdaba5205d22p-7, -0x1.6029a0fbf455ep-7, -0x1.53e07a5e727ffp-7, -0x1.47fc50ec7c5f5p-7, -0x1.3c7a414eedd71p-7, -0x1.31577a109fe7fp-7, -0x1.26913b4b148b8p-7, -0x1.1c24d653c7814p-7, -0x1.120fad6a0fa4ep-7, -0x1.084f3365adcc3p-7, -0x1.fdc1d6cc21446p-8, -0x1.eb84d10484c1bp-8, -0x1.d9e29af35a553p-8, -0x1.c8d698cb0ce4bp-8, -0x1.b85c4cd63ba39p-8, -0x1.a86f56ddf89ccp-8, -0x1.990b739186e36p-8, -0x1.8a2c7bf0047fdp-8, -0x1.7bce64b3b4f27p-8, -0x1.6ded3dbf32f11p-8, -0x1.6085318c36108p-8, -0x1.5392849c6950ep-8, -0x1.471194ebfd45ap-8, -0x1.3afed96630ac1p-8, -0x1.2f56e15b8eb38p-8, -0x1.241653fa43828p-8, -0x1.1939efc84323dp-8, -0x1.0ebe8a1f5e286p-8, -0x1.04a10eab53c14p-8, -0x1.f5bcfdd34f3c3p-9, -0x1.e2e7e3572cf63p-9, -0x1.d0bd2533bb4b9p-9, -0x1.bf37437502359p-9, -0x1.ae50e5f0ea6cbp-9, -0x1.9e04db5a5a305p-9, -0x1.8e4e1858517f7p-9, -0x1.7f27b6a0e09b4p-9, -0x1.708cf417c2c9p-9, -0x1.627931f0dbce8p-9, -0x1.54e7f3d69289fp-9, -0x1.47d4df13f18eap-9, -0x1.3b3bb9c262fefp-9, -0x1.2f1869fb4e91fp-9, -0x1.2366f50d65693p-9, -0x1.18237eb58e34fp-9, -0x1.0d4a485b95ad6p-9, -0x1.02d7b052897cp-9, -0x1.f1906238f0adcp-10, -0x1.de30c1642e2fap-10, -0x1.cb89df9b7443fp-10, -0x1.b99552743dde6p-10, -0x1.a84ce2489fdfbp-10, -0x1.97aa88e2bb471p-10, -0x1.87a8702ec83dp-10, -0x1.7840f0f3f4836p-10, -0x1.696e9194665c9p-10, -0x1.5b2c04d2f5fcap-10, -0x1.4d7428a0a5b12p-10, -0x1.404204eff7fbep-10, -0x1.3390ca8eef6aap-10, -0x1.275bd2074e565p-10, -0x1.1b9e9a85b309bp-10, -0x1.1054c8c5cdf32p-10, -0x1.057a2605d7fedp-10, -0x1.f6153dff1e99p-11, -0x1.e20485ce797aep-11, -0x1.ceba84e103ea2p-11, -0x1.bc2fddb32365dp-11, -0x1.aa5d71f5a8fc1p-11, -0x1.993c60bae980fp-11, -0x1.88c604ad92f65p-11, -0x1.78f3f252a27b4p-11, -0x1.69bff655ceb7fp-11, -0x1.5b2413e197e5cp-11, -0x1.4d1a82ff572d6p-11, -0x1.3f9daf03c98c2p-11, -0x1.32a8350461589p-11, -0x1.2634e2567f4d7p-11, -0x1.1a3eb318c0255p-11, -0x1.0ec0d0c4de29ep-11, -0x1.03b690cb9516ap-11, -0x1.f236e6721ce7cp-12, -0x1.ddd642c5a77c6p-12, -0x1.ca42d93b5d1a1p-12, -0x1.b77499f93028bp-12, -0x1.a563c030fae8dp-12, -0x1.9408cfbd8ca47p-12, -0x1.835c92d2f4764p-12, -0x1.735817bcdbcacp-12, -0x1.63f4aeac6340fp-12, -0x1.552be7973a5eep-12, -0x1.46f7902164816p-12, -0x1.3951b19983306p-12, -0x1.2c322dc15ab02p-12, -0x1.1f9900d3dc23p-12, -0x1.137db32fd6671p-12, -0x1.07db29850153p-12, -0x1.f958f5d582276p-13, -0x1.e3d9de52108bdp-13, -0x1.cf2ffa23d1a69p-13, -0x1.bb5291cab2b26p-13, -0x1.a839458225923p-13, -0x1.95dc0a38dafafp-13, -0x1.8433269e1aa31p-13, -0x1.7337304580873p-13, -0x1.62e108e0b97c2p-13, -0x1.5329db8d430bdp-13, -0x1.440b1a3a8c697p-13, -0x1.357e7b1cf553fp-13, -0x1.277df63b2e91fp-13, -0x1.1a03c30bcc70dp-13, -0x1.0d0a5625d025bp-13, -0x1.008c5f0380868p-13, -0x1.e9098bad944dp-14, -0x1.d1dd52ddad574p-14, -0x1.bb8aba61510fep-14, -0x1.a608ce3658b0ap-14, -0x1.914efbbf38048p-14, -0x1.7d550e14ed1afp-14, -0x1.6a132a6b3b8b2p-14, -0x1.5781cc9dcb29dp-14, -0x1.4599c3d84bbbap-14, -0x1.34542f54b43d6p-14, -0x1.23aa7b3a7030dp-14, -0x1.13965d979f9afp-14, -0x1.0411d3705c139p-14, -0x1.ea2e3bd860b2cp-15, -0x1.cd417f2ed5af3p-15, -0x1.b152f37a6ad5fp-15, -0x1.965893c4b613bp-15, -0x1.7c48ce80eabb8p-15, -0x1.631a80dae0ab7p-15, -0x1.4ac4f219d1febp-15, -0x1.333fcf303b2f7p-15, -0x1.1c832676b3888p-15, -0x1.06876387885fap-15, -0x1.e28a968c6db19p-16, -0x1.b96bf01187fcfp-16, -0x1.91a5abc634e6ep-16, -0x1.6b2b3e33a4bc9p-16, -0x1.45f0b1559731cp-16, -0x1.21ea9e26fd007p-16, -0x1.fe1c4c17bf94dp-17, -0x1.baa1d9a709c57p-17, -0x1.795225932fef8p-17, -0x1.3a1a5e128802dp-17, -0x1.f9d1281f31ffdp-18, -0x1.835761544497dp-18, -0x1.10a6d638be053p-18, -0x1.4340fc55d642ep-19, -0x1.b13635775f68p-21, 0x1.8f13f2f4373c6p-21, 0x1.2d2c5821fe50fp-19, 0x1.f01bb517d89dep-19, 0x1.5661ef5bedbd9p-18, 0x1.b1a9ac4dd85ep-18, 0x1.04fd9f00aa3b1p-17, 0x1.2fb5e4f17b4fbp-17, 0x1.5907bdc1e8e91p-17, 0x1.80fcc8b18e91dp-17, 0x1.a79e34a11ce64p-17, 0x1.ccf4c5bfca108p-17, 0x1.f108db70a425dp-17, 0x1.09f13aba099ddp-16, 0x1.1ac49c8036f84p-16, 0x1.2b023ae637c6ap-16, 0x1.3aad95508ae55p-16, 0x1.49ca04ea34367p-16, 0x1.585abeca73ac2p-16, 0x1.6662d5f5914p-16, 0x1.73e53d512bb82p-16, 0x1.80e4c97cc7fc7p-16, 0x1.8d64328c6cc5fp-16, 0x1.996615c2b1121p-16, 0x1.a4ecf71ad05fp-16, 0x1.affb42da35df3p-16, 0x1.ba934ee09648fp-16, 0x1.c4b75c323512ap-16, 0x1.ce69982b8c1ep-16, 0x1.d7ac1db9c9575p-16, 0x1.e080f68fb4df6p-16, 0x1.e8ea1c3855151p-16, 0x1.f0e97929ce6cdp-16, 0x1.f880e9beadf85p-16, 0x1.ffb23d25a64b3p-16, 0x1.033f9b23fc316p-15, 0x1.0674c64d2b841p-15, 0x1.0979767574e1bp-15, 0x1.0c4e7d0e71763p-15, 0x1.0ef4a6ee1ac78p-15, 0x1.116cbca69c513p-15, 0x1.13b782c70aa4p-15, 0x1.15d5ba3c76facp-15, 0x1.17c82084f51c1p-15, 0x1.198f6ffa3522ep-15, 0x1.1b2c600abb009p-15, 0x1.1c9fa573b7c38p-15, 0x1.1de9f2761cc56p-15, 0x1.1f0bf707b1cadp-15, 0x1.2006610239f0ap-15, 0x1.20d9dc4c2f7c1p-15, 0x1.2187130160afap-15, 0x1.220ead9708194p-15, 0x1.227152fd4e4e9p-15, 0x1.22afa8be1506bp-15, 0x1.22ca53192b462p-15, 0x1.22c1f52045bbdp-15, 0x1.229730c4c42bcp-15, 0x1.224aa700160f3p-15, 0x1.21dcf7cdb1aa9p-15, 0x1.214ec25368d3p-15, 0x1.20a0a4e3b7153p-15, 0x1.1fd33d0e558a9p-15, 0x1.1ee727ac0a627p-15, 0x1.1ddd00e8e5421p-15, 0x1.1cb5644cfe18bp-15, 0x1.1b70ecc303b4dp-15, 0x1.1a1034a1826c6p-15, 0x1.1893d5aad4fb2p-15, 0x1.16fc69140ef6ep-15, 0x1.154a8787ba4adp-15, 0x1.137ec92378da1p-15, 0x1.1199c57ea79ddp-15, 0x1.0f9c13a5af9b9p-15, 0x1.0d864a1b94038p-15, 0x1.0b58fed4db06fp-15, 0x1.0914c73a3d466p-15, 0x1.06ba3823401d2p-15, 0x1.0449e5c8184d7p-15, 0x1.01c463d1902c9p-15, 0x1.fe548a8c6768ep-16, 0x1.f8f83911d7a8p-16, 0x1.f374f6a4cf221p-16, 0x1.edcbe557c82bp-16, 0x1.e7fe25d69776ep-16, 0x1.e20cd74f88608p-16, 0x1.dbf9176ccd402p-16, 0x1.d5c40244d7933p-16, 0x1.cf6eb24bdbe75p-16, 0x1.c8fa40458a5e6p-16, 0x1.c267c335f91e1p-16, 0x1.bbb85053c5501p-16, 0x1.b4ecfaf5368dap-16, 0x1.ae06d48665946p-16, 0x1.a706ec76989e6p-16, 0x1.9fee5029e7ba4p-16, 0x1.98be0ae9c02f1p-16, 0x1.917725dc0258ep-16, 0x1.8a1aa7decf0ep-16, 0x1.82a9959854363p-16, 0x1.7b24f154440bfp-16, 0x1.738dbafa862aap-16, 0x1.6be4f000208c5p-16, 0x1.642b8b5d9c36cp-16, 0x1.5c62857b4fc21p-16, 0x1.548ad4277f911p-16, 0x1.4ca56a8b9f612p-16, 0x1.44b3391d2ab55p-16, 0x1.3cb52d90e6ca6p-16, 0x1.34ac32d0e31a6p-16, 0x1.2c9930f26218fp-16, 0x1.247d0d2e39e16p-16, 0x1.1c58a9c0116e3p-16, 0x1.142ce600a72cap-16, 0x1.0bfa9e43c14c2p-16, 0x1.03c2abd554855p-16, 0x1.f70bc9deae707p-17, 0x1.e68a397616e4bp-17, 0x1.d6024667a0006p-17, 0x1.c5758a6f77a68p-17, 0x1.b4e598ec02ba4p-17, 0x1.a453feced6b03p-17, 0x1.93c2429728413p-17, 0x1.8331e445b3d2ap-17, 0x1.72a45d51f889dp-17, 0x1.621b20a62d8cep-17, 0x1.51979a9025f57p-17, 0x1.411b30bf7ee3fp-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.92b28ead3308dp-1, 0x1.88d07b16ab53p-1, 0x1.7eabe5801bdbap-1, 0x1.744a9e2f8daefp-1, 0x1.69b26137d0142p-1, 0x1.5ee8d2c16755ep-1, 0x1.53f37bc1baafep-1, 0x1.48d7c7183162fp-1, 0x1.3d9aff09703d6p-1, 0x1.32424b1168e39p-1, 0x1.26d2ae056b043p-1, 0x1.1b51047fe8829p-1, 0x1.0fc203900846fp-1, 0x1.042a37a799443p-1, 0x1.f11c0784a5071p-2, 0x1.d9e341835f182p-2, 0x1.c2b239f20a74p-2, 0x1.ab90b7cb7c72ep-2, 0x1.94862c1fdd1ep-2, 0x1.7d99b21f6001bp-2, 0x1.66d20f67eae85p-2, 0x1.5035b48f699a8p-2, 0x1.39cabde4fd773p-2, 0x1.2396f4638de8ep-2, 0x1.0d9fced098e75p-2, 0x1.efd4e604fa9c5p-3, 0x1.c4f76e936a238p-3, 0x1.9ab047f1b3428p-3, 0x1.7107ea0efa4f8p-3, 0x1.480637986dd8ap-3, 0x1.1fb28194f8029p-3, 0x1.f0271644715a5p-4, 0x1.a25f1a99e212p-4, 0x1.561875ff0dc61p-4, 0x1.0b5d8a0335c8dp-4, 0x1.846f7810c0536p-5, 0x1.eabdf5b1aefdcp-6, 0x1.a6629ddaa0c11p-7, -0x1.ed63e387fd006p-9, -0x1.47c45261791b5p-6, -0x1.258132f96e289p-5, -0x1.a3ab0b7437393p-5, -0x1.0f2c74690c886p-4, -0x1.4ac2bbdb4f05ep-4, -0x1.849665c808322p-4, -0x1.bca6279570ef2p-4, -0x1.f2f15ac2c41cbp-4, -0x1.13bbfaba5f04cp-3, -0x1.2d1d419343428p-3, -0x1.459d0ec061806p-3, -0x1.5d3c32ac0bcf3p-3, -0x1.73fbbdea172d5p-3, -0x1.89dcfde019cacp-3, -0x1.9ee17982a6d5ep-3, -0x1.b30aee27d7dc2p-3, -0x1.c65b4c6f37f96p-3, -0x1.d8d4b53f2a591p-3, -0x1.ea7976d7d7777p-3, -0x1.fb4c09fb85df2p-3, -0x1.05a7879628987p-2, -0x1.0d42a5ff8b0efp-2, -0x1.1478d441b5e06p-2, -0x1.1b4b9660342d4p-2, -0x1.21bc7f2304f02p-2, -0x1.27cd2ee9721dbp-2, -0x1.2d7f5286f5811p-2, -0x1.32d4a229faf3ep-2, -0x1.37cee04c5d33ap-2, -0x1.3c6fd8ad738c2p-2, -0x1.40b95f5589323p-2, -0x1.44ad4fa28e5f1p-2, -0x1.484d8b5ddffc6p-2, -0x1.4b9bf9daf1fbep-2, -0x1.4e9a871eb8baep-2, -0x1.514b230f9e6c8p-2, -0x1.53afc0ade0ebcp-2, -0x1.55ca5554240fp-2, -0x1.579cd800123a7p-2, -0x1.592940a2dfa62p-2, -0x1.5a71877981b9dp-2, -0x1.5b77a46c74ab4p-2, -0x1.5c3d8e76e131ep-2, -0x1.5cc53b14f734dp-2, -0x1.5d109db95ab6p-2, -0x1.5d21a7496dc1bp-2, -0x1.5cfa45a0597b2p-2, -0x1.5c9c6318a3b28p-2, -0x1.5c09e61c31c98p-2, -0x1.5b44b0ba8734fp-2, -0x1.5a4ea0451d4c5p-2, -0x1.59298cf1aa2fcp-2, -0x1.57d74982307ffp-2, -0x1.5659a2f2af01dp-2, -0x1.54b2602c4a5bbp-2, -0x1.52e341bdca363p-2, -0x1.50ee0199406c2p-2, -0x1.4ed452d6b8693p-2, -0x1.4c97e17bc6b3dp-2, -0x1.4a3a5247d02bp-2, -0x1.47bd4284e86c4p-2, -0x1.452247dd1f5cbp-2, -0x1.426af0341872cp-2, -0x1.3f98c184ca533p-2, -0x1.3cad39c3400ebp-2, -0x1.39a9cec2354adp-2, -0x1.368fee1c73d4dp-2, -0x1.3360fd21c31ebp-2, -0x1.301e58c74fb33p-2, -0x1.2cc9559b65af5p-2, -0x1.29633fbc59c1p-2, -0x1.25ed5ad285654p-2, -0x1.2268e20d2df0bp-2, -0x1.1ed708223d4fcp-2, -0x1.1b38f750a4ea2p-2, -0x1.178fd165543bap-2, -0x1.13dcafc29a3a5p-2, -0x1.1020a369da3c5p-2, -0x1.0c5cb50775927p-2, -0x1.0891e500c9be2p-2, -0x1.04c12b84286d1p-2, -0x1.00eb789aaca55p-2, -0x1.fa236877a57c9p-3, -0x1.f2697cc56ee26p-3, -0x1.eaaade49c6598p-3, -0x1.e2e92d9512182p-3, -0x1.db25fbd03fdabp-3, -0x1.d362caf27cb36p-3, -0x1.cba10df940596p-3, -0x1.c3e229227e389p-3, -0x1.bc277228d58f9p-3, -0x1.b47230818af2cp-3, -0x1.acc39d9c2e2eap-3, -0x1.a51ce523b198fp-3, -0x1.9d7f2540e2fdp-3, -0x1.95eb6ede0f988p-3, -0x1.8e62c5ebad576p-3, -0x1.86e621a5f5f38p-3, -0x1.7f766cdb3f32bp-3, -0x1.78148632feaaap-3, -0x1.70c1407550945p-3, -0x1.697d62d2e66b2p-3, -0x1.6249a92d3f6ebp-3, -0x1.5b26c45f1970cp-3, -0x1.54155a84e7ca8p-3, -0x1.4d16074555c24p-3, -0x1.46295c19a6a22p-3, -0x1.3f4fe095e0277p-3, -0x1.388a12b0b8406p-3, -0x1.31d8670b185afp-3, -0x1.2b3b49373ff23p-3, -0x1.24b31bff5a5e4p-3, -0x1.1e4039ab88c9bp-3, -0x1.17e2f44746c7bp-3, -0x1.119b95e61a99bp-3, -0x1.0b6a60e78d9d6p-3, -0x1.054f903a4c58fp-3, -0x1.fe96af3cede15p-4, -0x1.f2bbc7ce0f459p-4, -0x1.e70eb67492422p-4, -0x1.db8fbaa2b60bdp-4, -0x1.d03f076d54033p-4, -0x1.c51cc406d1e2dp-4, -0x1.ba290c37e0f9fp-4, -0x1.af63f0d61a49bp-4, -0x1.a4cd7838599bcp-4, -0x1.9a659ea8d40eap-4, -0x1.902c56d4e1781p-4, -0x1.86218a3a74bf5p-4, -0x1.7c4519932e6cep-4, -0x1.7296dd3d15ecbp-4, -0x1.6916a5a0e954fp-4, -0x1.5fc43b960490ap-4, -0x1.569f60c3ddd33p-4, -0x1.4da7d0011483fp-4, -0x1.44dd3db014ea8p-4, -0x1.3c3f58194d45p-4, -0x1.33cdc7c2f9bc1p-4, -0x1.2b882fc687077p-4, -0x1.236e2e238d2b6p-4, -0x1.1b7f5c106a943p-4, -0x1.13bb4e487e26bp-4, -0x1.0c2195580912p-4, -0x1.04b1bde5bb604p-4, -0x1.fad6a1f3e7158p-5, -0x1.ec9ba88767c3cp-5, -0x1.deb194b6b1636p-5, -0x1.d117660625a8fp-5, -0x1.c3cc16ca62dcdp-5, -0x1.b6ce9ca07f24fp-5, -0x1.aa1de8e202261p-5, -0x1.9db8e914acd0bp-5, -0x1.919e87561dc7cp-5, -0x1.85cdaac3677c8p-5, -0x1.7a4537dcae84ap-5, -0x1.6f0410e4d8f69p-5, -0x1.6409163d6f2ap-5, -0x1.595326beb5f4fp-5, -0x1.4ee1200c1f3ebp-5, -0x1.44b1dee520644p-5, -0x1.3ac43f72838a8p-5, -0x1.31171d904abc4p-5, -0x1.27a9551436c6cp-5, -0x1.1e79c211063cp-5, -0x1.15874116864acp-5, -0x1.0cd0af6e8432cp-5, -0x1.0454eb56b68ep-5, -0x1.f825a86f6664p-6, -0x1.e81295b211c18p-6, -0x1.d86e632514513p-6, -0x1.c936d8f5c9c9fp-6, -0x1.ba69c32730a2p-6, -0x1.ac04f1e4b958ep-6, -0x1.9e0639d01f995p-6, -0x1.906b744a78d39p-6, -0x1.83327fb89fb9ep-6, -0x1.76593fc31adf9p-6, -0x1.69dd9d91af094p-6, -0x1.5dbd8802b8a06p-6, -0x1.51f6f3de77ea2p-6, -0x1.4687dc0673e5cp-6, -0x1.3b6e41a11213cp-6, -0x1.30a82c4188728p-6, -0x1.2633aa0c527fep-6, -0x1.1c0ecfd84079p-6, -0x1.1237b94c49a81p-6, -0x1.08ac88fa3bca8p-6, -0x1.fed6d0ece0bd7p-7, -0x1.ece510d9371bfp-7, -0x1.db804163bdd65p-7, -0x1.caa4e0a85d9a9p-7, -0x1.ba4f7b4e7877dp-7, -0x1.aa7cac9dcf4cap-7, -0x1.9b291e8ed2de1p-7, -0x1.8c5189d691d86p-7, -0x1.7df2b5ee5fdfep-7, -0x1.700979178b8b6p-7, -0x1.6292b85b3593ap-7, -0x1.558b678696a08p-7, -0x1.48f08923c1c54p-7, -0x1.3cbf2e6f32c5cp-7, -0x1.30f4774a3aff7p-7, -0x1.258d922a848d5p-7, -0x1.1a87bc06d1cbfp-7, -0x1.0fe0404121a04p-7, -0x1.0594788e60322p-7, -0x1.f74399b78edc1p-8, -0x1.e40b666431131p-8, -0x1.d17b5f2d98c3p-8, -0x1.bf8ea7d6c0d23p-8, -0x1.ae407f95c111cp-8, -0x1.9d8c40cb973e8p-8, -0x1.8d6d60b8e8d3ap-8, -0x1.7ddf6f2ff299dp-8, -0x1.6ede1643e19e5p-8, -0x1.606519f5cd4e4p-8, -0x1.527057df84cfap-8, -0x1.44fbc6dc61b32p-8, -0x1.380376b053c85p-8, -0x1.2b838fad50dep-8, -0x1.1f78525757278p-8, -0x1.13de17072a3f9p-8, -0x1.08b14d8bf9ca2p-8, -0x1.fbdcf9981e86ap-9, -0x1.e72484c96249bp-9, -0x1.d332a492b300ap-9, -0x1.c000ecc4ca6b4p-9, -0x1.ad891c56b0f6fp-9, -0x1.9bc51ca1ba13cp-9, -0x1.8aaf009d1f245p-9, -0x1.7a410419847a7p-9, -0x1.6a758afc85a44p-9, -0x1.5b47207c92ca9p-9, -0x1.4cb0765d3ab54p-9, -0x1.3eac642c1d22p-9, -0x1.3135e67ea463ep-9, -0x1.24481e30b745ep-9, -0x1.17de4fa48106p-9, -0x1.0bf3e2037a326p-9, -0x1.00845e80cb2cdp-9, -0x1.eb16df3a5f7afp-10, -0x1.d609c0d8e470dp-10, -0x1.c1d937b93b7b3p-10, -0x1.ae7d57fdf7acdp-10, -0x1.9bee72a5f20e4p-10, -0x1.8a2514260b705p-10, -0x1.791a030709d62p-10, -0x1.68c63e87b57d6p-10, -0x1.5922fd435e0dep-10, -0x1.4a29abdce0b45p-10, -0x1.3bd3ebae4c6fbp-10, -0x1.2e1b917d39f47p-10, -0x1.20faa433f7ccep-10, -0x1.146b5b9f90576p-10, -0x1.08681f32c8094p-10, -0x1.f9d7099c2f203p-11, -0x1.e3e09f1977a8p-11, -0x1.cee2dd2db07fep-11, -0x1.bad3f7f17fd7ap-11, -0x1.a7aa76fecf5b4p-11, -0x1.955d33340c0edp-11, -0x1.83e35481cd23dp-11, -0x1.73344fc2e23cfp-11, -0x1.6347e49ecc467p-11, -0x1.54161b769ea2dp-11, -0x1.4597435c413d7p-11, -0x1.37c3f014117cdp-11, -0x1.2a94f820d2fd5p-11, -0x1.1e0372d9e7c06p-11, -0x1.1208b68bc07f6p-11, -0x1.069e56a27358ap-11, -0x1.f77c43bcd4dbap-12, -0x1.e2c44126259ap-12, -0x1.cf0925def2d2dp-12, -0x1.bc3fdea179d37p-12, -0x1.aa5dc13c78dc3p-12, -0x1.9958895ed585bp-12, -0x1.8926557652587p-12, -0x1.79bda3a11d19fp-12, -0x1.6b154eb1fdf5fp-12, -0x1.5d248b46e8044p-12, -0x1.4fe2e4f1ac1e3p-12, -0x1.43483b7295b77p-12, -0x1.374cc004a939cp-12, -0x1.2be8f2bb43078p-12, -0x1.21159ff0dbb46p-12, -0x1.16cbddc6a1bc2p-12, -0x1.0d0509b4adb8dp-12, -0x1.03bac62a82485p-12, -0x1.f5cdf07f3a2a1p-13, -0x1.e5078ae78993cp-13, -0x1.d51722fdb018dp-13, -0x1.c5f1f85f9e3f6p-13, -0x1.b78dbeb556903p-13, -0x1.a9e099aa1a77ep-13, -0x1.9ce119024c207p-13, -0x1.908634cd8390bp-13, -0x1.84c749b43d0abp-13, -0x1.799c1560998dap-13, -0x1.6efcb301968f1p-13, -0x1.64e197e84438fp-13, -0x1.5b43903e5c8bep-13, -0x1.521bbbd5aee38p-13, -0x1.49638b0fe80fcp-13, -0x1.4114bbde1315ep-13, -0x1.392956d762e8ap-13, -0x1.319bac66a68fdp-13, -0x1.2a66520df9dd8p-13, -0x1.23841fc01b5cep-13, -0x1.1cf02d4eec16bp-13, -0x1.16a5cfee968e9p-13, -0x1.10a097cce3621p-13, -0x1.0adc4dbc2febbp-13, -0x1.0554f0f19ca1bp-13, -0x1.0006b4d5e22bap-13, -0x1.f5dbfdd0dd397p-14, -0x1.ec0ec9687568cp-14, -0x1.e29f53abe9eecp-14, -0x1.d9877c260743ep-14, -0x1.d0c17701e484bp-14, -0x1.c847c979b1314p-14, -0x1.c0154664a0e37p-14, -0x1.b8250ae30e67bp-14, -0x1.b0727b2819109p-14, -0x1.a8f93f5fd94b1p-14, -0x1.a1b540b1756b7p-14, -0x1.9aa2a65c2b40fp-14, -0x1.93bdd2eebcb3cp-14, -0x1.8d03619853419p-14, -0x1.86702392377fp-14, -0x1.80011da19c3a4p-14, -0x1.79b385b0c9465p-14, -0x1.7384c07ef7bddp-14, -0x1.6d725f6631e4dp-14, -0x1.677a1e368d558p-14, -0x1.6199e1261bb5bp-14, -0x1.5bcfb2d4f146dp-14, -0x1.5619c264a0faep-14, -0x1.507661a297755p-14, -0x1.4ae40344bb7c2p-14, -0x1.45613937c4fefp-14, -0x1.3fecb2feb757bp-14, -0x1.3a853c22f4f5ep-14, -0x1.3529bab4666ep-14, -0x1.2fd92dd92a926p-14, -0x1.2a92ac6c531b8p-14, -0x1.255563ab2dca1p-14, -0x1.202095f09e414p-14, -0x1.1af3997e11294p-14, -0x1.15cdd75194c48p-14, -0x1.10aeca08a40a3p-14, -0x1.0b95fccf37767p-14, -0x1.06830a5aadad4p-14, -0x1.01759bf024896p-14, -0x1.f8dad0ebbb0dep-15, -0x1.eed4671e91ae2p-15, -0x1.e4d79986b1122p-15, -0x1.dae41d5979565p-15, -0x1.d0f9bc675cfd7p-15, -0x1.c71853a1e6c25p-15, -0x1.bd3fd1b37f5dbp-15, -0x1.b37035a84f515p-15, -0x1.a9a98da79af2ep-15, -0x1.9febf5bcfc5adp-15, -0x1.963796b0e2723p-15, -0x1.8c8ca4efc1692p-15, -0x1.82eb5f7f66a0ep-15, -0x1.79540f01e4f7dp-15, -0x1.6fc704c592b7cp-15, -0x1.664499e197725p-15, -0x1.5ccd2e5e8af96p-15, -0x1.5361286aacc0dp-15, -0x1.4a00f3993cc57p-15, -0x1.40ad002c813bdp-15, -0x1.3765c26a0f783p-15, -0x1.2e2bb1f8e51f4p-15, -0x1.24ff4948f3f51p-15, -0x1.1be10503b1abdp-15, -0x1.12d16385525b1p-15, -0x1.09d0e45e4d0ecp-15, -0x1.00e007dccd1ebp-15, -0x1.effe9d3b7fecp-16, -0x1.de5e724a46d53p-16, -0x1.cce08efa8cedbp-16, -0x1.bb85f1b95d03ap-16, -0x1.aa4f96a4a610ep-16, -0x1.993e76efcd06dp-16, -0x1.88538853cf72dp-16, -0x1.778fbc8a6b313p-16, -0x1.66f400d3c5df4p-16, -0x1.56813d861a46p-16, -0x1.463855a6f13e3p-16, -0x1.361a268d66828p-16, -0x1.2627878d16b8p-16, -0x1.166149a942a9dp-16, -0x1.06c8374fb5256p-16, -0x1.eeba28363cbafp-17, -0x1.d0413938d056cp-17, -0x1.b2270c5570794p-17, -0x1.946cfd738674bp-17, -0x1.7714596c1f442p-17, -0x1.5a1e5dcdd05dbp-17, -0x1.3d8c38ab34c46p-17, -0x1.215f087385b05p-17, -0x1.0597dbd4b303bp-17, -0x1.d46f634ccff35p-18, -0x1.9e7ef1bafe825p-18, -0x1.6960210ebeab4p-18, -0x1.35148f9986de4p-18, -0x1.019dbbf6f8e5fp-18, -0x1.9dfa0a5ad5cabp-19, -0x1.3a6755b53fb61p-19, -0x1.b10b35af7ac18p-20, -0x1.e15b73050383p-21, -0x1.9dce12e2f6748p-23, 0x1.0b9b3af13bfc1p-21, 0x1.3be5cb682b45ep-20, 0x1.ee8ca2fc5e3f8p-20, 0x1.4ee03a14a01e5p-19, 0x1.a4c000bf07a4ep-19, 0x1.f8e53f1f2b61fp-19, 0x1.25a7e31943d23p-18, 0x1.4dffcea4f68cfp-18, 0x1.757a807c0d338p-18, 0x1.9c1830fc24294p-18, 0x1.c1d93206c25d5p-18, 0x1.e6bdee6dda3edp-18, 0x1.056374aec13d2p-17, 0x1.16fa5ee1a2f36p-17, 0x1.28240ed9b5987p-17, 0x1.38e0e8e640c22p-17, 0x1.49315c4cc6a31p-17, 0x1.5915e2f98d9b8p-17, 0x1.688f012fc4548p-17, 0x1.779d453960406p-17, 0x1.86414716d67d1p-17, 0x1.947ba82ed3b53p-17, 0x1.a24d12fe08083p-17, 0x1.afb63ac723f35p-17, 0x1.bcb7db4325ee6p-17, 0x1.c952b85208973p-17, 0x1.d5879dabe599p-17, 0x1.e1575e92b1568p-17, 0x1.ecc2d58490c8ap-17, 0x1.f7cae3eee2108p-17, 0x1.013838f10a485p-16, 0x1.065a36e321c9dp-16, 0x1.0b4be60860179p-16, 0x1.100dc37d45307p-16, 0x1.14a04f1bde24bp-16, 0x1.19040b58050d1p-16, 0x1.1d397d1c2144dp-16, 0x1.21412ba67b5c2p-16, 0x1.251ba0671e458p-16, 0x1.28c966de51ff2p-16, 0x1.2c4b0c7ba883p-16, 0x1.2fa1207da8857p-16, 0x1.32cc33d21a54cp-16, 0x1.35ccd8f6ecc39p-16, 0x1.38a3a3dbc2b08p-16, 0x1.3b5129c4213e2p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.d9d6cc4e9e387p-1, 0x1.d637958a128a4p-1, 0x1.d278200d8cd03p-1, 0x1.ce99dcb5897bcp-1, 0x1.ca9e3c7f1fd3cp-1, 0x1.c686af9f3c9a1p-1, 0x1.c254a4ad24d6fp-1, 0x1.be0987df2ecb6p-1, 0x1.b9a6c258a569ap-1, 0x1.b52db987cbd03p-1, 0x1.b09fce9309622p-1, 0x1.abfe5dd44a2d9p-1, 0x1.a74abe61add3ep-1, 0x1.a28641a2ac21p-1, 0x1.9db232f0e063fp-1, 0x1.98cfd743b80a1p-1, 0x1.93e06ce64ea2p-1, 0x1.8ee52b36c8026p-1, 0x1.89df426e85d9dp-1, 0x1.84cfdb729fd42p-1, 0x1.7fb817ac0afeap-1, 0x1.7a9910e6e92d4p-1, 0x1.7573d9387e33cp-1, 0x1.70497aeb51feap-1, 0x1.6b1af8710a582p-1, 0x1.65e94c5991b18p-1, 0x1.60b5694f220bfp-1, 0x1.5b803a16d420ap-1, 0x1.564aa195574d3p-1, 0x1.51157ad77a16p-1, 0x1.4be1991e31e1dp-1, 0x1.46afc7edd680ep-1, 0x1.4180cb2045314p-1, 0x1.3c555ef9a960cp-1, 0x1.372e383fab2ep-1, 0x1.320c0452c220bp-1, 0x1.2cef694979f66p-1, 0x1.27d9060d6e238p-1, 0x1.22c97279cda2fp-1, 0x1.1dc13f7b35993p-1, 0x1.18c0f730ba8dcp-1, 0x1.13c91d0df1633p-1, 0x1.0eda2dfddacf9p-1, 0x1.09f4a0868478p-1, 0x1.0518e4ed45bd9p-1, 0x1.0047655b7857ep-1, 0x1.f7010c071a97bp-2, 0x1.ed894a8cd405fp-2, 0x1.e42837b1e089p-2, 0x1.dade79d33d9e4p-2, 0x1.d1acac8c6b607p-2, 0x1.c893610293c88p-2, 0x1.bf931e2f761e9p-2, 0x1.b6ac612bf0576p-2, 0x1.addf9d7a13748p-2, 0x1.a52d3d4ea17b2p-2, 0x1.9c95a1d9e1364p-2, 0x1.9419238fb8601p-2, 0x1.8bb8126ef1ceep-2, 0x1.8372b647a5882p-2, 0x1.7b494f00b121bp-2, 0x1.733c14dc35735p-2, 0x1.6b4b38bb0bf4fp-2, 0x1.6376e45f2f65p-2, 0x1.5bbf3aad061e3p-2, 0x1.542457eb91a25p-2, 0x1.4ca6520373843p-2, 0x1.454538bcc9e43p-2, 0x1.3e0115fbd9613p-2, 0x1.36d9edfc87224p-2, 0x1.2fcfbf8c98dacp-2, 0x1.28e28444c1621p-2, 0x1.221230c072d5ep-2, 0x1.1b5eb4d47483ap-2, 0x1.14c7fbc44251fp-2, 0x1.0e4dec7630623p-2, 0x1.07f069a658a23p-2, 0x1.01af52184b448p-2, 0x1.f715018f1ea21p-3, 0x1.eb039a2dd4234p-3, 0x1.df2a15fcea8a2p-3, 0x1.d38816710c978p-3, 0x1.c81d36dacad92p-3, 0x1.bce90cbbbbfbcp-3, 0x1.b1eb281944573p-3, 0x1.a72313cd19d1p-3, 0x1.9c9055d385d77p-3, 0x1.92326f976575ep-3, 0x1.8808de3bf918bp-3, 0x1.7e131ae486a5ep-3, 0x1.74509af9d24efp-3, 0x1.6ac0d06d7b4e7p-3, 0x1.616329fb42b96p-3, 0x1.583713683f078p-3, 0x1.4f3bf5c00ecc6p-3, 0x1.4671379009be8p-3, 0x1.3dd63d207b7d5p-3, 0x1.356a68abf1c24p-3, 0x1.2d2d1a94a5e73p-3, 0x1.251db19804672p-3, 0x1.1d3b8b006af85p-3, 0x1.158602d50f2ebp-3, 0x1.0dfc74082808cp-3, 0x1.069e38a35faebp-3, 0x1.fed553e51ac7p-4, 0x1.f0c2415997c61p-4, 0x1.e301ea37d85b2p-4, 0x1.d592fe84aaed4p-4, 0x1.c8742dfe9d65ap-4, 0x1.bba42863968d1p-4, 0x1.af219db365d6fp-4, 0x1.a2eb3e6f75938p-4, 0x1.96ffbbd79ce6dp-4, 0x1.8b5dc8242c6e3p-4, 0x1.800416bd4a848p-4, 0x1.74f15c6fa5791p-4, 0x1.6a244f9e942ebp-4, 0x1.5f9ba873b3078p-4, 0x1.5556210c0ff15p-4, 0x1.4b5275a2f3d1ap-4, 0x1.418f64ba5b70fp-4, 0x1.380baf412e7e3p-4, 0x1.2ec618b747d85p-4, 0x1.25bd674f5ae6ep-4, 0x1.1cf0640ec92e7p-4, 0x1.145ddaeb77153p-4, 0x1.0c049ae7ad908p-4, 0x1.03e3762c19f8ap-4, 0x1.f7f2843ff5eebp-5, 0x1.e889aeff0e761p-5, 0x1.d98a24e13fc24p-5, 0x1.caf1a52bb51a4p-5, 0x1.bcbdf63fe38ebp-5, 0x1.aeece5bb563bp-5, 0x1.a17c48947f071p-5, 0x1.9469fb34a4897p-5, 0x1.87b3e18f10397p-5, 0x1.7b57e7358c6cap-5, 0x1.6f53ff6a527e2p-5, 0x1.63a6252f8328ap-5, 0x1.584c5b543aabep-5, 0x1.4d44ac7f62293p-5, 0x1.428d2b384db2cp-5, 0x1.3823f1ed4441bp-5, 0x1.2e0722f80439p-5, 0x1.2434e8a05e23ap-5, 0x1.1aab751cf6ec7p-5, 0x1.116902924c4cbp-5, 0x1.086bd3100a383p-5, 0x1.ff64611992696p-6, 0x1.ee74d9c094bb3p-6, 0x1.de05c3787c332p-6, 0x1.ce13e14761e73p-6, 0x1.be9c05c24ec54p-6, 0x1.af9b12f702f75p-6, 0x1.a10dfa536941bp-6, 0x1.92f1bc8ad6056p-6, 0x1.854369793732fp-6, 0x1.780020044e82ap-6, 0x1.6b250dfb1a891p-6, 0x1.5eaf6ff387fe8p-6, 0x1.529c912688116p-6, 0x1.46e9cb4aa89f2p-6, 0x1.3b94866d4b2c7p-6, 0x1.309a38ca8d9d5p-6, 0x1.25f866a405bf6p-6, 0x1.1baca216608a2p-6, 0x1.11b48aee01eecp-6, 0x1.080dce7ab9a01p-6, 0x1.fd6c4ec5410c4p-7, 0x1.eb56bae8695dp-7, 0x1.d9d68aef95e34p-7, 0x1.c8e78200c8c03p-7, 0x1.b8857c77f7c07p-7, 0x1.a8ac6f86c398ap-7, 0x1.995868d359363p-7, 0x1.8a858e16b6d7fp-7, 0x1.7c301cba5d60bp-7, 0x1.6e54697599847p-7, 0x1.60eedfea825e5p-7, 0x1.53fc0242b3107p-7, 0x1.477868cc002adp-7, 0x1.3b60c1951645bp-7, 0x1.2fb1d00a3bef2p-7, 0x1.24686c92380cp-7, 0x1.1981842b7ba29p-7, 0x1.0efa18099fceep-7, 0x1.04cf3d334bb7ap-7, 0x1.f5fc384128c94p-8, 0x1.e307e0b3cf431p-8, 0x1.d0bc102f236p-8, 0x1.bf1387c3d8019p-8, 0x1.ae092c648b652p-8, 0x1.9d9806291f622p-8, 0x1.8dbb3f93b7963p-8, 0x1.7e6e24d77133cp-8, 0x1.6fac2320ec181p-8, 0x1.6170c7e0b69bdp-8, 0x1.53b7c017b2eafp-8, 0x1.467cd7a582472p-8, 0x1.39bbf89909e77p-8, 0x1.2d712a831eb14p-8, 0x1.219891cb6233fp-8, 0x1.162e6f0763c2fp-8, 0x1.0b2f1e5406cf4p-8, 0x1.009716b14353bp-8, 0x1.ecc5d2c07dd8dp-9, 0x1.d91e828799577p-9, 0x1.c631c486acfbbp-9, 0x1.b3f951607599bp-9, 0x1.a26f115b3609p-9, 0x1.918d1b354fd18p-9, 0x1.814db2fed14bep-9, 0x1.71ab48f801178p-9, 0x1.62a07874ead6ap-9, 0x1.542806c5f2d1ap-9, 0x1.463ce225653fap-9, 0x1.38da20aa0f467p-9, 0x1.2bfaff3ed16p-9, 0x1.1f9ae09f3424fp-9, 0x1.13b54c58ef2b9p-9, 0x1.0845edd26a6a7p-9, 0x1.fa9126ac4a98cp-10, 0x1.e5725a460b69cp-10, 0x1.d12799030ac79p-10, 0x1.bda945bb606a7p-10, 0x1.aaf001cbe0da6p-10, 0x1.98f4ab5d32972p-10, 0x1.87b05bb4470c4p-10, 0x1.771c658c35107p-10, 0x1.673253793ee52p-10, 0x1.57ebe65501763p-10, 0x1.494313b3a450ep-10, 0x1.3b320461f96f4p-10, 0x1.2db312ec6b108p-10, 0x1.20c0ca2e93977p-10, 0x1.1455e3eb78ad1p-10, 0x1.086d476e297adp-10, 0x1.fa04106590681p-11, 0x1.e41ec92f76fbbp-11, 0x1.cf21892e01ae9p-11, 0x1.bb03710eeb921p-11, 0x1.a7bbefcbf193p-11, 0x1.9542c04c85843p-11, 0x1.838fe716ac9d7p-11, 0x1.729bb00ecd159p-11, 0x1.625eac4623758p-11, 0x1.52d1afd7a024bp-11, 0x1.43edcfd2eafa5p-11, 0x1.35ac603548995p-11, 0x1.2806f1f021692p-11, 0x1.1af750fce5b7cp-11, 0x1.0e77827e0f4a4p-11, 0x1.0281c2ecfc5bbp-11, 0x1.ee2108a8c89f4p-12, 0x1.d83cd92e47ca2p-12, 0x1.c34ca78640915p-12, 0x1.af4684e002271p-12, 0x1.9c20e05302f82p-12, 0x1.89d283ca2fbe6p-12, 0x1.785291056f77ep-12, 0x1.67987eb0da8ecp-12, 0x1.579c15912c7fap-12, 0x1.48556dc4f8326p-12, 0x1.39bcec1a2078bp-12, 0x1.2bcb3f7727425p-12, 0x1.1e795e57d412cp-12, 0x1.11c0845cc52ffp-12, 0x1.059a2fed75178p-12, 0x1.f4003fd88e7b2p-13, 0x1.ddd8a2f84c2efp-13, 0x1.c8b1fbae9dd43p-13, 0x1.b481306da8074p-13, 0x1.a13b9794ee81ap-13, 0x1.8ed6f380d0715p-13, 0x1.7d496eb9162c5p-13, 0x1.6c89983daff78p-13, 0x1.5c8e5ff0f2a3p-13, 0x1.4d4f131e81ebep-13, 0x1.3ec3591e2e2ebp-13, 0x1.30e33012092c1p-13, 0x1.23a6e9bef9394p-13, 0x1.1707287f15d06p-13, 0x1.0afcdc4d195cdp-13, 0x1.ff027fd07fa6ap-14, 0x1.e91bac1fbdb11p-14, 0x1.d438cdac4045bp-14, 0x1.c04dfa1241e3p-14, 0x1.ad4fc763eb96ep-14, 0x1.9b334751af6c1p-14, 0x1.89ee027bec9d2p-14, 0x1.7975f3eca1c0cp-14, 0x1.69c184b8046b7p-14, 0x1.5ac787c2e4887p-14, 0x1.4c7f35adc2be6p-14, 0x1.3ee028e384758p-14, 0x1.31e259cabd388p-14, 0x1.257e1b1884167p-14, 0x1.19ac1643da719p-14, 0x1.0e654818a553p-14, 0x1.03a2fd694ac0fp-14, 0x1.f2bd9fbc04d66p-15, 0x1.df2545c1e96eep-15, 0x1.cc71414c87deap-15, 0x1.ba966e9e4a18fp-15, 0x1.a98a2c4e62ce4p-15, 0x1.994255f63f8b8p-15, 0x1.89b53f103050ap-15, 0x1.7ad9ae05be6eap-15, 0x1.6ca6d76c265b7p-15, 0x1.5f14596d84fcap-15, 0x1.521a375d46667p-15, 0x1.45b0d5766f90ap-15, 0x1.39d0f4c26d193p-15, 0x1.2e73af271129ep-15, 0x1.2392739a7c3eep-15, 0x1.1927027bada05p-15, 0x1.0f2b6a0e8950fp-15, 0x1.059a031a22ff6p-15, 0x1.f8dadb5057e55p-16, 0x1.e7411bc8c8255p-16, 0x1.d65d1235f4dcap-16, 0x1.c62585a9ab07ap-16, 0x1.b691b42167465p-16, 0x1.a7994d306a884p-16, 0x1.99346cdf977c7p-16, 0x1.8b5b96c157da3p-16, 0x1.7e07b137a548p-16, 0x1.713200ea84d06p-16, 0x1.64d4246d36dadp-16, 0x1.58e810107b2aap-16, 0x1.4d6809e0510bcp-16, 0x1.424ea5cb9dfd6p-16, 0x1.3796c1f447c25p-16, 0x1.2d3b83264336fp-16, 0x1.233851742d796p-16, 0x1.1988d4f82334p-16, 0x1.1028f2b767453p-16, 0x1.0714c9a7ae72ap-16, 0x1.fc915fa976a41p-17, 0x1.eb825f4a4e984p-17, 0x1.daf60a7a4fd54p-17, 0x1.cae637fc5aaadp-17, 0x1.bb4d1844a5f72p-17, 0x1.ac2530e5017a3p-17, 0x1.9d69582c965fcp-17, 0x1.8f14b0f913a92p-17, 0x1.8122a6b76c52ap-17, 0x1.738ee9925ceb7p-17, 0x1.66556accd183cp-17, 0x1.5972594694193p-17, 0x1.4ce21e29944f8p-17, 0x1.40a159be2438ap-17, 0x1.34ace064a65b3p-17, 0x1.2901b7b33440dp-17, 0x1.1d9d13b5c41aep-17, 0x1.127c544f6f4c1p-17, 0x1.079d02bb81af7p-17, 0x1.f9f99e5a0bbb5p-18, 0x1.e5331d172108ap-18, 0x1.d0e270982cdp-18, 0x1.bd03c8c946ef1p-18, 0x1.a99392b3ad7d7p-18, 0x1.968e74ca1b4f2p-18, 0x1.83f14b646b4fbp-18, 0x1.71b9256888872p-18, 0x1.5fe3411ebc2c8p-18, 0x1.4e6d092f82d04p-18, 0x1.3d5411c9196d4p-18, 0x1.2c9615eb0d228p-18, 0x1.1c30f4d6279c8p-18, 0x1.0c22af9f1c4ddp-18, 0x1.f8d2cdc4e21f2p-19, 0x1.da06b1304a407p-19, 0x1.bbddbc0b6357ep-19, 0x1.9e54d399ff3cp-19, 0x1.81690c2e0f1c5p-19, 0x1.6517a5b1b0359p-19, 0x1.495e08639ad58p-19, 0x1.2e39c1c398b37p-19, 0x1.13a881acd4069p-19, 0x1.f3502f379a9a2p-20, 0x1.c06ce03bdd4b6p-20, 0x1.8ea324d181bdep-20, 0x1.5def3c2db63f1p-20, 0x1.2e4d92117ed3fp-20, 0x1.ff75759f8023fp-21, 0x1.a466df287eb87p-21, 0x1.4b6915d0e66a8p-21, 0x1.e8ec15cbf101ep-22, 0x1.3f0fcbbb7a80bp-22, 0x1.3263fabd26298p-23, -0x1.1709dc24b8426p-27, -0x1.4d738bcd90102p-23, -0x1.40dcd0f5cd198p-22, -0x1.d72b9e1ab1691p-22, -0x1.34d813f8d36d1p-21, -0x1.7c3a1e6a06262p-21, -0x1.c1c0c2ba7a354p-21, -0x1.02b862bd2dcdap-20, -0x1.23a76f1cc71dp-20, -0x1.43afdd09dae72p-20, -0x1.62d3ff01525e4p-20, -0x1.8116247d3b5b8p-20, -0x1.9e789ae95016cp-20, -0x1.bafdae7f62964p-20, -0x1.d6a7ab0d34866p-20, -0x1.f178dca5040d9p-20, -0x1.05b9c81d1579bp-19, -0x1.124d0a1587ba9p-19, -0x1.1e775c5cc1c7ep-19, -0x1.2a39e8396596dp-19, -0x1.3595d84427785p-19, -0x1.408c588cfe591p-19, -0x1.4b1e96b9b0059p-19, -0x1.554dc21e24ab7p-19, -0x1.5f1b0bcefa136p-19, -0x1.6887a6aebc077p-19, -0x1.7194c7762d1fbp-19, -0x1.7a43a4b7f545cp-19, -0x1.829576e01d1ebp-19, -0x1.8a8b782fa39a7p-19, -0x1.9226e4b4838d6p-19, -0x1.9968fa3e756bbp-19, -0x1.a052f850b534fp-19, -0x1.a6e620111377ep-19, -0x1.ad23b43490d7fp-19, -0x1.b30cf8e9c40fdp-19, -0x1.b8a333c141369p-19, -0x1.bde7ab943ac35p-19, -0x1.c2dba869915a9p-19, -0x1.c78073597fed7p-19, -0x1.cbd75670152c5p-19, -0x1.cfe19c8e9f309p-19, -0x1.d3a0914c3af0cp-19, -0x1.d71580d5a2981p-19, -0x1.da41b7cc668fcp-19, -0x1.dd268325aea17p-19, -0x1.dfc53008a097fp-19, -0x1.e21f0bac8aecep-19, -0x1.e4356336f054dp-19, -0x1.e60983998730dp-19, -0x1.e79cb9704b71cp-19, -0x1.e8f050dfb27f7p-19, -0x1.ea0595731675ap-19, -0x1.eaddd1fb6bbf2p-19, -0x1.eb7a506e52ec4p-19, -0x1.ebdc59c594072p-19, -0x1.ec0535df12f73p-19, -0x1.ebf62b5d462b8p-19, -0x1.ebb07f8845758p-19, -0x1.eb35762f6be26p-19, -0x1.ea86518ba5f19p-19, -0x1.e9a452226c277p-19, -0x1.e890b6a96fc0cp-19, -0x1.e74cbbeb0916ap-19, -0x1.e5d99cab65653p-19, -0x1.e438918e7c06fp-19, -0x1.e26ad0fed17bcp-19, -0x1.e0718f150b1ddp-19, -0x1.de4dfd80500efp-19, -0x1.dc014b6f893cep-19, -0x1.d98ca57b6e0a6p-19, -0x1.d6f1359172f14p-19, -0x1.d43022df8cdb8p-19, -0x1.d14a91c0cef69p-19, -0x1.ce41a3aae5e2fp-19, -0x1.cb16771c6674p-19, -0x1.c7ca278bfdd4cp-19, -0x1.c45dcd5871332p-19, -0x1.c0d27db97879cp-19, -0x1.bd294ab16d2cep-19, -0x1.b96342ffca883p-19, -0x1.b58172147edebp-19, -0x1.b184e004090bp-19, -0x1.ad6e917c643fep-19, -0x1.a93f87bab743cp-19, -0x1.a4f8c081cc48p-19, -0x1.a09b36114a71cp-19, -0x1.9c27df1da86cep-19, -0x1.979faec8e1d7ep-19, -0x1.9303949bdc818p-19, -0x1.8e547c8084f69p-19, -0x1.89934ebc976dp-19, -0x1.84c0efed1914p-19, -0x1.7fde41027360cp-19, -0x1.7aec1f3d35604p-19, -0x1.75eb642b7423fp-19, -0x1.70dce5a6c6d2bp-19, -0x1.6bc175d2d92fp-19, -0x1.6699e31c9089p-19, -0x1.6166f839bf132p-19, -0x1.5c297c2964724p-19, -0x1.56e2323471bcfp-19, -0x1.5191d9ef0f2eap-19, -0x1.4c392f3a638f4p-19, -0x1.46d8ea46d1c71p-19, -0x1.4171bf96ac9fap-19, -0x1.3c0460015dcf2p-19, -0x1.369178b6fa8b3p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.33355ebee6f5ap-3, -0x1.46a20c6173a16p-3, -0x1.5a4b8df3ab083p-3, -0x1.6e28060889dd1p-3, -0x1.822d5f1cc58e4p-3, -0x1.96516222e3effp-3, -0x1.aa89cad18f956p-3, -0x1.becc59d2e16ecp-3, -0x1.d30ee4f57a7ebp-3, -0x1.e747658127e5fp-3, -0x1.fb6c04d0b2e32p-3, -0x1.07b993a8fe1afp-2, -0x1.11a9bb061eep-2, -0x1.1b81f3658061ap-2, -0x1.253de1855f7a9p-2, -0x1.2ed956e130428p-2, -0x1.385054119dccbp-2, -0x1.419f0ab3ad34ap-2, -0x1.4ac1dee22505dp-2, -0x1.53b5684b83dep-2, -0x1.5c7672ee19c24p-2, -0x1.6501ff83168bcp-2, -0x1.6d5543a0c17f4p-2, -0x1.756da99b661ccp-2, -0x1.7d48d02bf57cap-2, -0x1.84e489e2c7c54p-2, -0x1.8c3edc6c76edbp-2, -0x1.9355ffae464cep-2, -0x1.9a285cbf2a94ep-2, -0x1.a0b48cc214619p-2, -0x1.a6f957a5c4779p-2, -0x1.acf5b2ce1a9d1p-2, -0x1.b2a8bfaa778f3p-2, -0x1.b811ca3c81247p-2, -0x1.bd30479253f1cp-2, -0x1.c203d436e0cfep-2, -0x1.c68c329afbe3bp-2, -0x1.cac949796c425p-2, -0x1.cebb22380e27cp-2, -0x1.d261e747e6422p-2, -0x1.d5bde285dcfe6p-2, -0x1.d8cf7b9da4dd8p-2, -0x1.db9736702581dp-2, -0x1.de15b17ea73cbp-2, -0x1.e04ba45bccb54p-2, -0x1.e239de234ddf7p-2, -0x1.e3e143f943d91p-2, -0x1.e542cf91c1e9dp-2, -0x1.e65f8dc1504d8p-2, -0x1.e7389d16d2e1dp-2, -0x1.e7cf2c7f4382cp-2, -0x1.e82479f3a2299p-2, -0x1.e839d131577f3p-2, -0x1.e8108a7d48566p-2, -0x1.e7aa0971bf6f7p-2, -0x1.e707bbd742a1bp-2, -0x1.e62b188863b17p-2, -0x1.e5159e608e22ap-2, -0x1.e3c8d335c93dep-2, -0x1.e24642dd5a0c2p-2, -0x1.e08f7e3b302c3p-2, -0x1.dea61a5bf9e37p-2, -0x1.dc8baf99ba76ep-2, -0x1.da41d8cab580cp-2, -0x1.d7ca327a81852p-2, -0x1.d5265a2d09794p-2, -0x1.d257edab49596p-2, -0x1.cf608a598adc8p-2, -0x1.cc41cc96e0bf6p-2, -0x1.c8fd4f25ac4fcp-2, -0x1.c594aa9ce3552p-2, -0x1.c20974e1d935p-2, -0x1.be5d40aa4ea0fp-2, -0x1.ba919d067debap-2, -0x1.b6a814f2e9862p-2, -0x1.b2a22ef1a2523p-2, -0x1.ae816caad172dp-2, -0x1.aa474a94335cdp-2, -0x1.a5f53f9f55892p-2, -0x1.a18cbcee49d1fp-2, -0x1.9d0f2d8e979e5p-2, -0x1.987df63a2aa7fp-2, -0x1.93da751e05bc7p-2, -0x1.8f2601a67863ap-2, -0x1.8a61ec50a465ep-2, -0x1.858f7e8114bedp-2, -0x1.80affa5f2f73cp-2, -0x1.7bc49ab54ed81p-2, -0x1.76ce92d54750bp-2, -0x1.71cf0e812d9c5p-2, -0x1.6cc731d823919p-2, -0x1.67b81946fee7fp-2, -0x1.62a2d97c9a8bdp-2, -0x1.5d887f61a05aap-2, -0x1.586a1013a10d7p-2, -0x1.534888e3508b5p-2, -0x1.4e24df55b5d0dp-2, -0x1.490001282e526p-2, -0x1.43dad4571164p-2, -0x1.3eb63726db75dp-2, -0x1.3993002fabeeep-2, -0x1.3471fe6b0088bp-2, -0x1.2f53f9437e3c4p-2, -0x1.2a39b0a6b1518p-2, -0x1.2523dd1899083p-2, -0x1.20132fc8e8da9p-2, -0x1.1b0852a9dbbcbp-2, -0x1.1603e8887a8c6p-2, -0x1.11068d2641791p-2, -0x1.0c10d553fbeb6p-2, -0x1.07234f0dcd40ep-2, -0x1.023e81983c92cp-2, -0x1.fac5db3c6d8fp-3, -0x1.f1221a9fd753ap-3, -0x1.e792a904df2f5p-3, -0x1.de1861a015d46p-3, -0x1.d4b413724da1dp-3, -0x1.cb66818b7edf4p-3, -0x1.c230634e95119p-3, -0x1.b91264b5ff952p-3, -0x1.b00d2698e7969p-3, -0x1.a7213ef0e3d39p-3, -0x1.9e4f39200dff1p-3, -0x1.959796375da2ap-3, -0x1.8cfacd3d2b75dp-3, -0x1.84794b73bbbf6p-3, -0x1.7c13749fc1accp-3, -0x1.73c9a34eba338p-3, -0x1.6b9c291d0b221p-3, -0x1.638b4efbd225ep-3, -0x1.5b97557646be4p-3, -0x1.53c074f6ad5b8p-3, -0x1.4c06de0ab6b71p-3, -0x1.446ab9a741b8ep-3, -0x1.3cec296b771dbp-3, -0x1.358b47e328e08p-3, -0x1.2e4828c85e895p-3, -0x1.2722d9441c733p-3, -0x1.201b602e3af05p-3, -0x1.1931be4c5617ep-3, -0x1.1265ee8fcc902p-3, -0x1.0bb7e652b3d3ap-3, -0x1.05279593cd5fbp-3, -0x1.fd69ce62d1239p-4, -0x1.f0bf82465b5dap-4, -0x1.e4500965a0a41p-4, -0x1.d81b1d6736612p-4, -0x1.cc206f71b32f3p-4, -0x1.c05fa8962d753p-4, -0x1.b4d86a38540b5p-4, -0x1.a98a4e7437c6ap-4, -0x1.9e74e881a0fa8p-4, -0x1.9397c515003d7p-4, -0x1.88f26abdfe7d6p-4, -0x1.7e845a439097fp-4, -0x1.744d0efdaac8ep-4, -0x1.6a4bff2c83661p-4, -0x1.60809c4d6c1fp-4, -0x1.56ea536d42a0fp-4, -0x1.4d888d787b44p-4, -0x1.445aaf88c9718p-4, -0x1.3b601b306c47bp-4, -0x1.32982ec31f4c2p-4, -0x1.2a02459cb9351p-4, -0x1.219db8657e103p-4, -0x1.1969dd54281e8p-4, -0x1.1166086db220dp-4, -0x1.09918bc2e7d4bp-4, -0x1.01ebb7abc75cap-4, -0x1.f4e7b6016d7e1p-5, -0x1.e65286a33829dp-5, -0x1.d8167a35b7dbcp-5, -0x1.ca3227f095275p-5, -0x1.bca425ac2f20cp-5, -0x1.af6b083f7a4abp-5, -0x1.a28563d9fd338p-5, -0x1.95f1cc59fcb51p-5, -0x1.89aed59eeb8b5p-5, -0x1.7dbb13d8325c5p-5, -0x1.72151bd06712dp-5, -0x1.66bb833502a9fp-5, -0x1.5bace0daafcfep-5, -0x1.50e7ccfe46c51p-5, -0x1.466ae18284e7dp-5, -0x1.3c34ba2aa047fp-5, -0x1.3243f4d1c2e17p-5, -0x1.2897319f84b4fp-5, -0x1.1f2d13397e14cp-5, -0x1.16043ef201fa2p-5, -0x1.0d1b5cf41742fp-5, -0x1.0471186cc48aap-5, -0x1.f8083f638bb02p-6, -0x1.e7a648cb789dfp-6, -0x1.d7b9b733de3bfp-6, -0x1.c83ffbdb5f35cp-6, -0x1.b9368f56ee23cp-6, -0x1.aa9af1c79b858p-6, -0x1.9c6aab0c21b9p-6, -0x1.8ea34aee52d26p-6, -0x1.8142694c8fbbcp-6, -0x1.7445a63f6a64bp-6, -0x1.67aaaa3b957cp-6, -0x1.5b6f26304bebep-6, -0x1.4f90d3a24b8bap-6, -0x1.440d74c38850bp-6, -0x1.38e2d487bb2ffp-6, -0x1.2e0ec6b5e49a5p-6, -0x1.238f27f6f3d8fp-6, -0x1.1961dde19bb89p-6, -0x1.0f84d70387e3ep-6, -0x1.05f60ae805387p-6, -0x1.f966f43875473p-7, -0x1.e7765c622cd74p-7, -0x1.d6167376018fbp-7, -0x1.c543709ef226fp-7, -0x1.b4f99d016840ap-7, -0x1.a53553ae97b01p-7, -0x1.95f301946173dp-7, -0x1.872f2569adc1p-7, -0x1.78e64f97a109p-7, -0x1.6b15221fba0ddp-7, -0x1.5db8507f12b87p-7, -0x1.50cc9f8ee577ap-7, -0x1.444ee5628d572p-7, -0x1.383c09231eecep-7, -0x1.2c9102e8bfd4p-7, -0x1.214adb91ebdb3p-7, -0x1.1666ac98c454bp-7, -0x1.0be19fe68e8bp-7, -0x1.01b8efa58561ep-7, -0x1.efd3cc2237629p-8, -0x1.dce3ba89a1247p-8, -0x1.ca9c7e13684c3p-8, -0x1.b8f9094572477p-8, -0x1.a7f46d2fdee61p-8, -0x1.9789d9018693p-8, -0x1.87b4999ab5104p-8, -0x1.7870191e4f706p-8, -0x1.69b7de819ba05p-8, -0x1.5b878d1acea91p-8, -0x1.4ddae42e95bb7p-8, -0x1.40adbe7cbca67p-8, -0x1.33fc11cc1e779p-8, -0x1.27c1ee7603bd5p-8, -0x1.1bfb7ef1158c4p-8, -0x1.10a5075c043bfp-8, -0x1.05bae508050b8p-8, -0x1.f6731c068ea9ap-9, -0x1.e23b2146f6f61p-9, -0x1.cec7262117e6ap-9, -0x1.bc10a59f3e699p-9, -0x1.aa11489cff19fp-9, -0x1.98c2e4defebbfp-9, -0x1.881f7c2bdaf4p-9, -0x1.78213b666b845p-9, -0x1.68c279a975f67p-9, -0x1.59fdb7650269cp-9, -0x1.4bcd9d7d710e3p-9, -0x1.3e2cfc6c73c2p-9, -0x1.3116cb640767dp-9, -0x1.248627738c7c4p-9, -0x1.187652af1b107p-9, -0x1.0ce2b35924bcep-9, -0x1.01c6d30e8383ep-9, -0x1.ee3cbbea0acbap-10, -0x1.d9ca43d90f97bp-10, -0x1.c62e1b85729adp-10, -0x1.b36060d319053p-10, -0x1.a1597060d86dcp-10, -0x1.9011e40084dfep-10, -0x1.7f829134ab518p-10, -0x1.6fa487b416e94p-10, -0x1.60710ff33c194p-10, -0x1.51e1a9b3808d4p-10, -0x1.43f00a9886334p-10, -0x1.36961cc3771efp-10, -0x1.29cdfd745d89dp-10, -0x1.1d91fbb18eb18p-10, -0x1.11dc96f52f558p-10, -0x1.06a87de0d2f4ap-10, -0x1.f7e119ee6b5b4p-11, -0x1.e35f9ab826ecep-11, -0x1.cfc2e734362cap-11, -0x1.bd01bcdde956fp-11, -0x1.ab132b3ab703bp-11, -0x1.99ee918a85cd3p-11, -0x1.898b9c83fe6d3p-11, -0x1.79e2441cd4c02p-11, -0x1.6aeac95df369cp-11, -0x1.5c9db443759e1p-11, -0x1.4ef3d1a858163p-11, -0x1.41e6313dc57edp-11, -0x1.356e238de60e9p-11, -0x1.2985380a15717p-11, -0x1.1e253b245def8p-11, -0x1.134834741e75dp-11, -0x1.08e864e5b708p-11, -0x1.fe0089ea35e41p-12, -0x1.eb1505e64ed16p-12, -0x1.d90402ab31f77p-12, -0x1.c7c3aa22f975ap-12, -0x1.b74a87ffead42p-12, -0x1.a78f869a675a8p-12, -0x1.9889ebe2e7cc3p-12, -0x1.8a315667bffe5p-12, -0x1.7c7dba6e56822p-12, -0x1.6f675f1f7fc6bp-12, -0x1.62e6dbc6ae54dp-12, -0x1.56f51523a37afp-12, -0x1.4b8b3ace527eap-12, -0x1.40a2c4aca21dp-12, -0x1.36357079b820fp-12, -0x1.2c3d3f5e82817p-12, -0x1.22b4739b230d6p-12, -0x1.19958e40f3c99p-12, -0x1.10db4cfcca61fp-12, -0x1.0880a7f130d17p-12, -0x1.0080cfa0367b9p-12, -0x1.f1ae55c9251bdp-13, -0x1.e2fea9f385193p-13, -0x1.d4ea3725a1a35p-13, -0x1.c768f9fef7aep-13, -0x1.ba734cbec9583p-13, -0x1.ae01e3c5ff5eep-13, -0x1.a20dca33e30eep-13, -0x1.96905e9d1cfbfp-13, -0x1.8b834fdc6694cp-13, -0x1.80e099fc46228p-13, -0x1.76a283394e19dp-13, -0x1.6cc3991c4ceb1p-13, -0x1.633eadabca4a5p-13, -0x1.5a0ed4b454bc8p-13, -0x1.512f61270ac9ep-13, -0x1.489be28dcd067p-13, -0x1.4050229499ee1p-13, -0x1.384822a782919p-13, -0x1.308019a4b492fp-13, -0x1.28f471a21e0abp-13, -0x1.21a1c5c6131d8p-13, -0x1.1a84e03296aefp-13, -0x1.139ab802a4101p-13, -0x1.0ce06f592164dp-13, -0x1.06535180e286ep-13, -0x1.ffe1a23ab9d9ap-14, -0x1.f36d0cd71b296p-14, -0x1.e7445b25307f5p-14, -0x1.db634a0784a4ap-14, -0x1.cfc5d7d29117ep-14, -0x1.c46841475398fp-14, -0x1.b946feaa0075dp-14, -0x1.ae5ec0f409a22p-14, -0x1.a3ac6f208b022p-14, -0x1.992d239287a6fp-14, -0x1.8ede299407ac2p-14, -0x1.84bcfaed7d693p-14, -0x1.7ac73d949d933p-14, -0x1.70fac17201b12p-14, -0x1.67557e3cdf7b8p-14, -0x1.5dd5916c28649p-14, -0x1.54793c3c6626ep-14, -0x1.4b3ee1c9b0c7bp-14, -0x1.4225053d19662p-14, -0x1.392a480cef19ap-14, -0x1.304d684f420b2p-14, -0x1.278d3f1e0d1c6p-14, -0x1.1ee8bf0c78279p-14, -0x1.165ef2ac9dde4p-14, -0x1.0deefb254f3edp-14, -0x1.05980ed749621p-14, -0x1.fab2f022b77a5p-15, -0x1.ea6527a5f70b5p-15, -0x1.da45a1399483ep-15, -0x1.ca535a9d2220bp-15, -0x1.ba8d70247df24p-15, -0x1.aaf31aa6e1653p-15, -0x1.9b83ad862f77fp-15, -0x1.8c3e94cd9b666p-15, -0x1.7d235366dbdd8p-15, -0x1.6e31816516263p-15, -0x1.5f68ca64bc328p-15, -0x1.50c8ebff95f5p-15, -0x1.4251b45440c76p-15, -0x1.340300a05f716p-15, -0x1.25dcbbecd851dp-15, -0x1.17deddcb64df6p-15, -0x1.0a096924d39efp-15, -0x1.f8b8d62eb1f7ep-16, -0x1.ddaff3c894013p-16, -0x1.c2f867d95e075p-16, -0x1.a8927d7826bcp-16, -0x1.8e7e8c420e2e3p-16, -0x1.74bcf6a5858c9p-16, -0x1.5b4e2846cdd3bp-16, -0x1.4232947cac286p-16, -0x1.296ab4e44e4cep-16, -0x1.10f7080b6f3dbp-16, -0x1.f1b0205f9972cp-17, -0x1.c21ca42605995p-17, -0x1.9334a7c3f310dp-17, -0x1.64f9385dfb274p-17, -0x1.376b61fb8ae14p-17, -0x1.0a8c2dc1148dap-17, -0x1.bcb94095fbddcp-18, -0x1.65bb704f7d545p-18, -0x1.1020d8dfa3004p-18, -0x1.77d6ade851659p-19, -0x1.a472cd5a3f812p-20, -0x1.7b6a0beceb6b4p-22, 0x1.c22a3146248c7p-21, 0x1.0dab012155aa9p-19, 0x1.a7f15249bc783p-19, 0x1.1fad778313954p-18, 0x1.69f2c188b88eap-18, 0x1.b2c77c7abd06ap-18, 0x1.fa2abe0919e0ap-18, 0x1.200dde97ffb13p-17, 0x1.424ce97c3cb5bp-17, 0x1.63d23d8d26e18p-17, 0x1.849daa4060afep-17, 0x1.a4af10d9f0d8ap-17, 0x1.c4066493f69cap-17, 0x1.e2a3aaba1fdb3p-17, 0x1.00437d5cd4698p-16, 0x1.0ed83f1346702p-16, 0x1.1d10385b45888p-16, 0x1.2aeb90195c3c8p-16, 0x1.386a76300ed36p-16, 0x1.458d237004a33p-16, 0x1.5253d98453504p-16, 0x1.5ebee2db2710ep-16, 0x1.6ace928b17383p-16, 0x1.768344355a31ep-16, 0x1.81dd5be519c87p-16, 0x1.8cdd45ec22148p-16, 0x1.978376bd1fae6p-16, 0x1.a1d06ac3a1043p-16, 0x1.abc4a63a0dfd9p-16, 0x1.b560b4fdc6347p-16, 0x1.bea52a619327dp-16, 0x1.c792a0fe9328cp-16, 0x1.d029ba83d0e3ap-16, 0x1.d86b1f84a962cp-16, 0x1.e0577f46203f8p-16, 0x1.e7ef8f8b5249p-16, 0x1.ef340c6117ec3p-16, 0x1.f625b7e906eafp-16, 0x1.fcc55a23e901ap-16, 0x1.0189e05de0593p-15, 0x1.0488df66c2a4cp-15, 0x1.076016594d366p-15, 0x1.0a0ff3e519633p-15, 0x1.0c98e92150b1cp-15, 0x1.0efb69715d1aap-15, 0x1.1137ea69a8c6dp-15, 0x1.134ee3b477bfp-15, 0x1.1540cef6e31cdp-15, 0x1.170e27b5ffd3cp-15, 0x1.18b76b3c37334p-15, 0x1.1a3d187ed9696p-15, 0x1.1b9fb003f13cap-15, 0x1.1cdfb3c85d4eap-15, 0x1.1dfda72637e95p-15, 0x1.1efa0ebb8f25p-15, 0x1.1fd57051743e8p-15, 0x1.209052c36a67p-15, 0x1.212b3de72eeedp-15, 0x1.21a6ba74ebb7fp-15, 0x1.220351efce2e8p-15, 0x1.22418e8f08e66p-15, 0x1.2261fb274207p-15, 0x1.2265231475bb1p-15, 0x1.224b9224456dfp-15, 0x1.2215d480bfbc3p-15, 0x1.21c4769b9d7bcp-15, 0x1.21580519f4f08p-15, 0x1.20d10cc068394p-15, 0x1.20301a5fcd272p-15, 0x1.1f75bac24f387p-15, 0x1.1ea27a990d83ap-15, 0x1.1db6e66a3603ep-15, 0x1.1cb38a7f9aacap-15, 0x1.1b98f2d5c607cp-15, 0x1.1a67ab0b899abp-15, 0x1.19203e520950cp-15, 0x1.17c3375d44471p-15, 0x1.1651205515edcp-15, 0x1.14ca82c6b658cp-15, 0x1.132fe796aeeeep-15, 0x1.1181d6f34e48bp-15, 0x1.0fc0d8478fb52p-15, 0x1.0ded722e7d9afp-15, 0x1.0c082a67060f5p-15, 0x1.0a1185c849906p-15, 0x1.080a0836585b1p-15, 0x1.05f2349765357p-15, 0x1.03ca8cc968455p-15, 0x1.0193919830df9p-15, 0x1.fe9b8567cc9d2p-16, 0x1.f9f33d4fe7edbp-16, 0x1.f52f45a4c041cp-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.ceaa8d17b3d53p-1, 0x1.cb46b5f10ffb6p-1, 0x1.c7e702780ef2ep-1, 0x1.c48c9fed62cfap-1, 0x1.c1386ed612b5ep-1, 0x1.bdeb0b4985e6ep-1, 0x1.baa4d4db58c83p-1, 0x1.b765f6141a744p-1, 0x1.b42e6b70fc8f6p-1, 0x1.b0fe09e64408p-1, 0x1.add484e351e54p-1, 0x1.aab173d95eee3p-1, 0x1.a7945747c0b8ap-1, 0x1.a47c9d51e03b8p-1, 0x1.a169a5e3ecfp-1, 0x1.9e5ac66c00709p-1, 0x1.9b4f4d2dd0112p-1, 0x1.984684373d2a4p-1, 0x1.953fb3fc2c8efp-1, 0x1.923a25a009087p-1, 0x1.8f3524f32bcafp-1, 0x1.8c30022a469d5p-1, 0x1.892a1355a0e15p-1, 0x1.8622b59dc107ap-1, 0x1.83194e4acd08cp-1, 0x1.800d4b9ba227dp-1, 0x1.7cfe257156de1p-1, 0x1.79eb5dd38754bp-1, 0x1.76d4815187c7ep-1, 0x1.73b927444384bp-1, 0x1.7098f1f44c1f2p-1, 0x1.6d738ea75540bp-1, 0x1.6a48b598157b7p-1, 0x1.671829db441e5p-1, 0x1.63e1b93435102p-1, 0x1.60a53bdb52d4ep-1, 0x1.5d6294388ce2p-1, 0x1.5a19ae9393b5ep-1, 0x1.56ca80bb98846p-1, 0x1.537509a8150a7p-1, 0x1.50195113fb998p-1, 0x1.4cb767148ae8fp-1, 0x1.494f63ace0b1fp-1, 0x1.45e1665f435afp-1, 0x1.426d95bd072c7p-1, 0x1.3ef41ef5ce98ep-1, 0x1.3b753566da59cp-1, 0x1.37f1122afb9ep-1, 0x1.3467f3abb3ed2p-1, 0x1.30da1d33f23cdp-1, 0x1.2d47d684d3416p-1, 0x1.29b16b6cb932dp-1, 0x1.26172b6105919p-1, 0x1.2279691aaf6a5p-1, 0x1.1ed87a35e7926p-1, 0x1.1b34b6d4f82a2p-1, 0x1.178e7946791fep-1, 0x1.13e61daef7625p-1, 0x1.103c01b61e285p-1, 0x1.0c9084376e655p-1, 0x1.08e404f68b3bep-1, 0x1.0536e4571c885p-1, 0x1.0189831846d94p-1, 0x1.fbb884275f363p-2, 0x1.f45f04000db9cp-2, 0x1.ed07466e14bbep-2, 0x1.e5b20afde1ebep-2, 0x1.de600fae62bb7p-2, 0x1.d71210911e792p-2, 0x1.cfc8c770b6b13p-2, 0x1.c884eb7da6aeep-2, 0x1.c14731010f8b7p-2, 0x1.ba1049156bd95p-2, 0x1.b2e0e164effb1p-2, 0x1.abb9a3ed74da3p-2, 0x1.a49b36c9aef89p-2, 0x1.9d863bff8815fp-2, 0x1.967b51536a264p-2, 0x1.8f7b10204511p-2, 0x1.88860d342029p-2, 0x1.819cd8b1092fap-2, 0x1.7abffdf22a5ap-2, 0x1.73f00374dd1fbp-2, 0x1.6d2d6ac581f7ap-2, 0x1.6678b06ffab56p-2, 0x1.5fd24bf38ad5fp-2, 0x1.593aafb9fd9fep-2, 0x1.52b24911de32p-2, 0x1.4c39802b9747cp-2, 0x1.45d0b81954e08p-2, 0x1.3f784ed1784a3p-2, 0x1.39309d337fc58p-2, 0x1.32f9f70f2fa1p-2, 0x1.2cd4ab2ddfc44p-2, 0x1.26c1035dca7a9p-2, 0x1.20bf447f2de0dp-2, 0x1.1acfae932d7bcp-2, 0x1.14f27ccc45c9ap-2, 0x1.0f27e5a03b615p-2, 0x1.09701adb61fe7p-2, 0x1.03cb49b51e742p-2, 0x1.fc7335cb186ep-3, 0x1.f1766578477f1p-3, 0x1.e6a0626e9bf4cp-3, 0x1.dbf1643995a88p-3, 0x1.d1699a25a39ddp-3, 0x1.c7092b73a7fe1p-3, 0x1.bcd0378d9e591p-3, 0x1.b2bed63c366e4p-3, 0x1.a8d517dd37826p-3, 0x1.9f13059a89f48p-3, 0x1.9578a1a1c848dp-3, 0x1.8c05e75c34797p-3, 0x1.82bacba6e9185p-3, 0x1.79973d0b34a9p-3, 0x1.709b23f6ff88cp-3, 0x1.67c662f51bd99p-3, 0x1.5f18d6e56dd79p-3, 0x1.56925734d154fp-3, 0x1.4e32b614aac4cp-3, 0x1.45f9c0b20a51fp-3, 0x1.3de73f6c4da93p-3, 0x1.35faf60b388a5p-3, 0x1.2e34a3f4671b3p-3, 0x1.2694046012f19p-3, 0x1.1f18ce8d1a1e9p-3, 0x1.17c2b5f43f6f5p-3, 0x1.10916a7a9088bp-3, 0x1.098498a2f0fdap-3, 0x1.029be9beb6247p-3, 0x1.f7ae083ab0215p-4, 0x1.ea6b167646ee6p-4, 0x1.dd6e3fdde0017p-4, 0x1.d0b6c12d9bb21p-4, 0x1.c443d2874faf4p-4, 0x1.b814a7c7b483p-4, 0x1.ac2870d9656ap-4, 0x1.a07e5a05becfcp-4, 0x1.95158c438192ap-4, 0x1.89ed2d834bc6cp-4, 0x1.7f0460f9dd4ap-4, 0x1.745a476823971p-4, 0x1.69edff6110e2bp-4, 0x1.5fbea58d40cd2p-4, 0x1.55cb54ec68e49p-4, 0x1.4c1327149b4f5p-4, 0x1.4295346f5c5p-4, 0x1.395094749182p-4, 0x1.30445de34d9d4p-4, 0x1.276fa6f880ad1p-4, 0x1.1ed185a390981p-4, 0x1.16690fb8e2c58p-4, 0x1.0e355b225c53cp-4, 0x1.06357e0de3145p-4, 0x1.fcd11e33c9825p-5, 0x1.ed9b4affdb7d7p-5, 0x1.dec7b27ab44a9p-5, 0x1.d05486744e1abp-5, 0x1.c23ffadbe02a7p-5, 0x1.b488460642153p-5, 0x1.a72ba0f0ce4e4p-5, 0x1.9a284780d33c9p-5, 0x1.8d7c78bfad5a8p-5, 0x1.8126771398141p-5, 0x1.7524887550209p-5, 0x1.6974f6a297e07p-5, 0x1.5e160f4db49efp-5, 0x1.53062449f9d3ap-5, 0x1.48438bb577254p-5, 0x1.3dcca01fdc2f1p-5, 0x1.339fc0aeabb6fp-5, 0x1.29bb513ecd1cp-5, 0x1.201dba8395abcp-5, 0x1.16c56a235dee1p-5, 0x1.0db0d2d1b09e1p-5, 0x1.04de6c6734bf3p-5, 0x1.f89967eeae0b6p-6, 0x1.e7f457c7aad0fp-6, 0x1.d7cab7dc65aebp-6, 0x1.c819a28e657fap-6, 0x1.b8de3d38c8f1bp-6, 0x1.aa15b847b3584p-6, 0x1.9bbd4f4c281c9p-6, 0x1.8dd2490c81201p-6, 0x1.8051f791a1237p-6, 0x1.7339b830fe59p-6, 0x1.6686f393b446ap-6, 0x1.5a371dbab214ep-6, 0x1.4e47b6002cb2fp-6, 0x1.42b6471670f47p-6, 0x1.37806704398dfp-6, 0x1.2ca3b71e9ebf3p-6, 0x1.221de400cc008p-6, 0x1.17eca58183721p-6, 0x1.0e0dbea6a1015p-6, 0x1.047efd96ac0d5p-6, 0x1.f67c771120539p-7, 0x1.e492b9634603bp-7, 0x1.d33ca0640536ap-7, 0x1.c2761ffedcedcp-7, 0x1.b23b419d5d18cp-7, 0x1.a28823f74020bp-7, 0x1.9358fadff76d1p-7, 0x1.84aa0f11e5ffap-7, 0x1.7677bdf758a2p-7, 0x1.68be7971836b2p-7, 0x1.5b7ac79d8606p-7, 0x1.4ea94297c5887p-7, 0x1.4246983d9c232p-7, 0x1.364f89ed958d9p-7, 0x1.2ac0ec4656947p-7, 0x1.1f97a6e4498bp-7, 0x1.14d0b41e36549p-7, 0x1.0a6920c0de15cp-7, 0x1.005e0bc9bb356p-7, 0x1.ed594c41fd29dp-8, 0x1.daa464a5ca0e3p-8, 0x1.c8980890fdd24p-8, 0x1.b72f0200019fcp-8, 0x1.a6643c8969927p-8, 0x1.9632c4cd471e2p-8, 0x1.8695c7e40e3d4p-8, 0x1.778892cd3eac5p-8, 0x1.690691ddf026cp-8, 0x1.5b0b502f699ep-8, 0x1.4d92770de411ep-8, 0x1.4097cd679a408p-8, 0x1.3417373c46ac7p-8, 0x1.280cb50d29977p-8, 0x1.1c74634db3a62p-8, 0x1.114a79d4f19b8p-8, 0x1.068b4b4fd040fp-8, 0x1.f8668968a15d4p-9, 0x1.e47dd96b7fa4p-9, 0x1.d155c674159b6p-9, 0x1.bee7c1a07feebp-9, 0x1.ad2d6c509c5d3p-9, 0x1.9c2097182da23p-9, 0x1.8bbb40b3b84c3p-9, 0x1.7bf79500419acp-9, 0x1.6ccfebf603878p-9, 0x1.5e3ec8a6306f4p-9, 0x1.503ed83bdce04p-9, 0x1.42caf10023d16p-9, 0x1.35de11619bc73p-9, 0x1.29735eff2798ep-9, 0x1.1d8625b634487p-9, 0x1.1211d6b477a2ap-9, 0x1.0712078d3306fp-9, 0x1.f904e2a40e94bp-10, 0x1.e4bddf5ecd4fep-10, 0x1.d1470019581fcp-10, 0x1.be98815fa6aa3p-10, 0x1.acaadfc9da7c1p-10, 0x1.9b76d65271e97p-10, 0x1.8af55cb3fcd69p-10, 0x1.7b1fa5ce2e42cp-10, 0x1.6bef1e126e9c5p-10, 0x1.5d5d69f7cf56ap-10, 0x1.4f64647676482p-10, 0x1.41fe1d8a6c8a9p-10, 0x1.3524d8bdd7a05p-10, 0x1.28d30bba8658fp-10, 0x1.1d035ce2db982p-10, 0x1.11b0a1f1f897dp-10, 0x1.06d5dea32d67fp-10, 0x1.f8dc86c1300b5p-11, 0x1.e4ea57f1cd1f1p-11, 0x1.d1cc3cb85d3efp-11, 0x1.bf7992bf96164p-11, 0x1.adea07125800bp-11, 0x1.9d1593bf15079p-11, 0x1.8cf47d88d7af7p-11, 0x1.7d7f51a5c1f44p-11, 0x1.6eaee38adf853p-11, 0x1.607c4ac51e387p-11, 0x1.52e0e0df46a79p-11, 0x1.45d63f54c61e9p-11, 0x1.39563d911f88p-11, 0x1.2d5aeefbd5da2p-11, 0x1.21dea110a0f3fp-11, 0x1.16dbd983c0c9p-11, 0x1.0c4d54723d8a2p-11, 0x1.022e029de5487p-11, 0x1.f0f20f69b2b98p-12, 0x1.de537148ec689p-12, 0x1.cc7733eed5e92p-12, 0x1.bb54bc7d96bc7p-12, 0x1.aae3c90bd77d2p-12, 0x1.9b1c6da1ad7f2p-12, 0x1.8bf7114a578bfp-12, 0x1.7d6c6b3a633f1p-12, 0x1.6f758009e3308p-12, 0x1.620b9f02463d4p-12, 0x1.55285f7f7b42cp-12, 0x1.48c59e63f536dp-12, 0x1.3cdd7b9f317c9p-12, 0x1.316a57c66509cp-12, 0x1.2666d1bee52cdp-12, 0x1.1bcdc479f748cp-12, 0x1.119a44c1a232cp-12, 0x1.07c79f1626377p-12, 0x1.fca2ab3775e9ep-13, 0x1.ea663c30766dep-13, 0x1.d8d1c000bf9e1p-13, 0x1.c7dd652864138p-13, 0x1.b781b614b2dbfp-13, 0x1.a7b79593d64f1p-13, 0x1.98783b64d6cbbp-13, 0x1.89bd30e3409d7p-13, 0x1.7b804dcdd05p-13, 0x1.6dbbb52778806p-13, 0x1.6069d2321ff13p-13, 0x1.538555826a0bdp-13, 0x1.4709322bf8c95p-13, 0x1.3af09b057b146p-13, 0x1.2f370003f5b81p-13, 0x1.23d80baca855dp-13, 0x1.18cfa09cfaa9ep-13, 0x1.0e19d727d732ap-13, 0x1.03b2fb07f185cp-13, 0x1.f32f124ca8cb1p-14, 0x1.df885ae974c54p-14, 0x1.cc6b81b63e40bp-14, 0x1.b9d28e7016411p-14, 0x1.a7b7dae609264p-14, 0x1.96160f41716d2p-14, 0x1.84e81e70933b6p-14, 0x1.742942b2a54d5p-14, 0x1.63d4fa443e747p-14, 0x1.53e7042b41f8bp-14, 0x1.445b5d215b45p-14, 0x1.352e3c9c2586bp-14, 0x1.265c11f21bbb7p-14, 0x1.17e1819b74dbfp-14, 0x1.09bb628e181c3p-14, 0x1.f7cd7767a39a7p-15, 0x1.dcc182f3fddfcp-15, 0x1.c24da6f3c99d2p-15, 0x1.a86cf471dceb8p-15, 0x1.8f1aca0029074p-15, 0x1.7652cf935d1b4p-15, 0x1.5e10f289f7e4dp-15, 0x1.465161dd5d612p-15, 0x1.2f108a7b96a3ep-15, 0x1.184b13c866497p-15, 0x1.01fddc446c2d6p-15, 0x1.d84becb216fb4p-16, 0x1.ad814a8fc6e29p-16, 0x1.8396b47940edep-16, 0x1.5a8762fffcd62p-16, 0x1.324edf95b5c66p-16, 0x1.0ae8ff706d344p-16, 0x1.c8a3bd54664dp-17, 0x1.7d0bb73527c1ap-17, 0x1.330324cf3c2d4p-17, 0x1.d50763324f0d3p-18, 0x1.470ee8511fab3p-18, 0x1.78239a2aaf2f9p-19, 0x1.a02defcb4e2c7p-21, -0x1.447bb7f93a36cp-20, -0x1.a6ca84cf2c4b6p-19, -0x1.52d5b9eae379ep-18, -0x1.cf784a170523dp-18, -0x1.24aa374b0bdd6p-17, -0x1.603899e4f8957p-17, -0x1.9a6aa06af0dc1p-17, -0x1.d343708dd1952p-17, -0x1.0563034c33f38p-16, -0x1.207a9cd4a5398p-16, -0x1.3ae9dfd727341p-16, -0x1.54b2189216e5ap-16, -0x1.6dd4864e68ec4p-16, -0x1.86525d0755e07p-16, -0x1.9e2cc6f7a7a05p-16, -0x1.b564e60dd8554p-16, -0x1.cbfbd54800d83p-16, -0x1.e1f2a9f8b6afbp-16, -0x1.f74a74f5cbc51p-16, -0x1.060221d8fab0ep-15, -0x1.101090a11f70ep-15, -0x1.19d10ba820b61p-15, -0x1.2344177cf9e98p-15, -0x1.2c6a38cff95a7p-15, -0x1.3543f4d18b14p-15, -0x1.3dd1d1890b07ap-15, -0x1.46145624053ap-15, -0x1.4e0c0b3e408b1p-15, -0x1.55b97b22ecba2p-15, -0x1.5d1d3207509bp-15, -0x1.6437be3f48777p-15, -0x1.6b09b06be71eep-15, -0x1.71939ba48b10dp-15, -0x1.77d6159aad4b6p-15, -0x1.7dd1b6b8bb2afp-15, -0x1.83871a3c36141p-15, -0x1.88f6de4b682c8p-15, -0x1.8e21a406e4895p-15, -0x1.93080f97185cp-15, -0x1.97aac836243e1p-15, -0x1.9c0a78363969ep-15, -0x1.a027cd04b08fbp-15, -0x1.a403772a1052p-15, -0x1.a79e2a47340c4p-15, -0x1.aaf89d0fc7228p-15, -0x1.ae1389423dec7p-15, -0x1.b0efab9d7e4fcp-15, -0x1.b38dc3d4611d6p-15, -0x1.b5ee947f2f237p-15, -0x1.b812e30b4d7ap-15, -0x1.b9fb77a92fbcdp-15, -0x1.bba91d38c0d5fp-15, -0x1.bd1ca1345b918p-15, -0x1.be56d39a76499p-15, -0x1.bf5886d62387dp-15, -0x1.c0228fa67f089p-15, -0x1.c0b5c5052a11dp-15, -0x1.c113000bec5f8p-15, -0x1.c13b1bd996d5p-15, -0x1.c12ef5763c7bep-15, -0x1.c0ef6bb6dd8f1p-15, -0x1.c07d5f2095dcdp-15, -0x1.bfd9b1cb675c3p-15, -0x1.bf054744ae4a5p-15, -0x1.be0104715a315p-15, -0x1.bccdcf6ff536ep-15, -0x1.bb6c8f7a8ef4cp-15, -0x1.b9de2cc8999fcp-15, -0x1.b8239070c4a9dp-15, -0x1.b63da44aeb909p-15, -0x1.b42d52d219358p-15, -0x1.b1f38706b89b9p-15, -0x1.af912c50f6485p-15, -0x1.ad072e635d73cp-15, -0x1.aa56791dc199dp-15, -0x1.a77ff87075de5p-15, -0x1.a484983fde274p-15, -0x1.a165444864036p-15, -0x1.9e22e802d40d5p-15, -0x1.9abe6e89298d2p-15, -0x1.9738c27bd43e6p-15, -0x1.9392cde77723bp-15, -0x1.8fcd7a2b2a7fcp-15, -0x1.8be9afdf43d5ap-15, -0x1.87e856bca89e3p-15, -0x1.83ca5584afab2p-15, -0x1.7f9091e9952c4p-15, -0x1.7b3bf07782c94p-15, -0x1.76cd547e3136fp-15, -0x1.72459ffb23a47p-15, -0x1.6da5b3847e70bp-15, -0x1.68ee6e347d7c1p-15, -0x1.6420ad95895c7p-15, -0x1.5f3d4d8eece6p-15, -0x1.5a4528522cd46p-15, -0x1.553916490024bp-15, -0x1.5019ee03ec018p-15, -0x1.4ae8842980bb2p-15, -0x1.45a5ab66393d6p-15, -0x1.4052345cfe178p-15, -0x1.3aeeed984652ap-15, -0x1.357ca37bda68fp-15, -0x1.2ffc20373849dp-15, -0x1.2a6e2bb892a66p-15, -0x1.24d38ba06fd9bp-15, -0x1.1f2d0335e2a8ep-15, -0x1.197b535b5fbcap-15, -0x1.13bf3a84278b3p-15, -0x1.0df974aa4c43ap-15, -0x1.082abb45477ap-15, -0x1.0253c541266ddp-15, -0x1.f8ea8dec89f8cp-16, -0x1.ed1fe443321aap-16, -0x1.e148ebbb0ff8dp-16, -0x1.d566fd368ee43p-16, -0x1.c97b6c398e48bp-16, -0x1.bd8786de3b7a7p-16, -0x1.b18c95caf33cap-16, -0x1.a58bdc292317bp-16, -0x1.9986979d26296p-16, -0x1.8d7e003f1b477p-16, -0x1.81734894a4993p-16, -0x1.75679d8b9abfap-16, -0x1.695c26759f5dfp-16, -0x1.5d52050498613p-16, -0x1.514a5547fdb09p-16, -0x1.45462dab01334p-16, -0x1.39469ef38aafbp-16, -0x1.2d4cb441f5807p-16, -0x1.215973119d176p-16, -0x1.156ddb3a23699p-16, -0x1.098ae6f1764ebp-16, -0x1.fb63159d06844p-17, -0x1.e3c56b9945c4cp-17, -0x1.cc3ea29f55caep-17, -0x1.b4d08251445b6p-17, -0x1.9d7cc73635351p-17, -0x1.864522c641748p-17, -0x1.6f2b3b77859bdp-17, -0x1.5830accc4cf41p-17, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      47, 0x1.0cccccccccccdp+2, 0x1.b309e8126d184p+0, 0x1.b8f4de73286c6p+1, -0x1.948c61c7247c4p-1, 
      {{
        {0x1.3333333333333p+0, 0x1.3d70a3d70a3d7p+0, 0x1.a4e924f227d03p+1, -0x1.bb937fffd2f09p+2, 0x1.78e66666666ap+2, 0x1.84dbfc8fec42ap-1}, 
        {0x1.3d70a3d70a3d7p+0, 0x1.47ae147ae147bp+0, 0x1.82a30db6a1e82p+1, -0x1.9d30dbf4e21b1p+2, 0x1.7ebb9eab1e702p+2, -0x1.e612fbb3e7203p+1}, 
        {0x1.47ae147ae147bp+0, 0x1.51eb851eb851fp+0, 0x1.62c679cc74b84p+1, -0x1.7fbd223260a28p+2, 0x1.6191855386549p+2, -0x1.34eb105463818p+1}, 
        {0x1.51eb851eb851fp+0, 0x1.5c28f5c28f5c3p+0, 0x1.4530164840e17p+1, -0x1.6431d9ecd1d39p+2, 0x1.4f0889776be14p+2, -0x1.5040c2fa86643p+1}, 
        {0x1.5c28f5c28f5c3p+0, 0x1.6666666666666p+0, 0x1.29be2b4959e62p+1, -0x1.4a32f64ec5d51p+2, 0x1.3adbb0f7bff9fp+2, -0x1.3811e3c18a07ep+1}, 
        {0x1.6666666666666p+0, 0x1.70a3d70a3d70ap+0, 0x1.105082cf52b91p+1, -0x1.31c2670ef9c67p+2, 0x1.28224c432d747p+2, -0x1.2977adff469eap+1}, 
        {0x1.70a3d70a3d70ap+0, 0x1.7ae147ae147aep+0, 0x1.f1908e581cf78p+0, -0x1.1ac857bfdf2a7p+2, 0x1.164932766bc7p+2, -0x1.1e0f64415d788p+1}, 
        {0x1.7ae147ae147aep+0, 0x1.851eb851eb852p+0, 0x1.c61059ea57215p+0, -0x1.0534cd6645f97p+2, 0x1.051f50498a026p+2, -0x1.0e4ac0fb46cf2p+1}, 
        {0x1.851eb851eb852p+0, 0x1.8f5c28f5c28f6p+0, 0x1.9de84f09528f2p+0, -0x1.e1ee2b58b827p+1, 0x1.e9cf41bc9ae19p+1, -0x1.02c597d188db9p+1}, 
        {0x1.8f5c28f5c28f6p+0, 0x1.999999999999ap+0, 0x1.78e325d4a5df2p+0, -0x1.bbfcd8fe0aa07p+1, 0x1.cac1c91e57421p+1, -0x1.ed3dbf7d25bb1p+0}, 
        {0x1.999999999999ap+0, 0x1.a3d70a3d70a3dp+0, 0x1.56ce032db1e9fp+0, -0x1.98788d5b25873p+1, 0x1.ad2999ca0831dp+1, -0x1.d17dd2686364bp+0}, 
        {0x1.a3d70a3d70a3dp+0, 0x1.ae147ae147ae1p+0, 0x1.377878b7a1c26p+0, -0x1.77414d55797d5p+1, 0x1.913ba6c3c4caap+1, -0x1.bccaf6e137b4cp+0}, 
        {0x1.ae147ae147ae1p+0, 0x1.b851eb851eb85p+0, 0x1.1ab4a66559f6fp+0, -0x1.583954a7d6a1p+1, 0x1.768ba23122baap+1, -0x1.a7565212c9669p+0}, 
        {0x1.b851eb851eb85p+0, 0x1.c28f5c28f5c29p+0, 0x1.0056d5cfaacdap+0, -0x1.3b46bd05d8d6ep+1, 0x1.5d252ca0a6013p+1, -0x1.8ddbc0d3a1691p+0}, 
        {0x1.c28f5c28f5c29p+0, 0x1.ccccccccccccdp+0, 0x1.d06af46aa087dp-1, -0x1.204cb04a31bb6p+1, 0x1.454611b2abaep+1, -0x1.7d3aaa9eb2e4bp+0}, 
        {0x1.ccccccccccccdp+0, 0x1.d70a3d70a3d71p+0, 0x1.a452a411c2a02p-1, -0x1.07314f6fe41e9p+1, 0x1.2e66639ee8a06p+1, -0x1.653994b1909c6p+0}, 
        {0x1.d70a3d70a3d71p+0, 0x1.e147ae147ae14p+0, 0x1.7c1a048e043a2p-1, -0x1.dfb746bd60f2ap+0, 0x1.18f76a0f22827p+1, -0x1.55df029b11c86p+0}, 
        {0x1.e147ae147ae14p+0, 0x1.eb851eb851eb8p+0, 0x1.577a919695d92p-1, -0x1.b466fb35c3244p+0, 0x1.0474461012154p+1, -0x1.3f4a60e21b268p+0}, 
        {0x1.eb851eb851eb8p+0, 0x1.f5c28f5c28f5cp+0, 0x1.363150dae3e6dp-1, -0x1.8c431f28ceb6ep+0, 0x1.e297f123ba821p+0, -0x1.30f779dc89fedp+0}, 
        {0x1.f5c28f5c28f5cp+0, 0x1p+1, 0x1.17ff36ac64778p-1, -0x1.671e59753dcb1p+0, 0x1.bdff5d656c82p+0, -0x1.1cd7b7abbbfb1p+0}, 
        {0x1p+1, 0x1.051eb851eb852p+1, 0x1.f950fc71d6063p-2, -0x1.44ce55bc2f763p+0, 0x1.9bd0ffacf9ca8p+0, -0x1.0fa9a77484725p+0}, 
        {0x1.051eb851eb852p+1, 0x1.0a3d70a3d70a4p+1, 0x1.c7e9d94d0dcfdp-2, -0x1.252a2775f8e36p+0, 0x1.7b37852e5a897p+0, -0x1.f9035504688ep-1}, 
        {0x1.0a3d70a3d70a4p+1, 0x1.0f5c28f5c28f6p+1, 0x1.9b5e95b78cc9ap-2, -0x1.080a1290ca2a1p+0, 0x1.5cea8533358bp+0, -0x1.dc9f5d055129fp-1}, 
        {0x1.0f5c28f5c28f6p+1, 0x1.147ae147ae148p+1, 0x1.734b945308bb9p-2, -0x1.da8a372d7b5bep-1, 0x1.405199380297fp+0, -0x1.c47f36e65539dp-1}, 
        {0x1.147ae147ae148p+1, 0x1.199999999999ap+1, 0x1.4f52fc2656abep-2, -0x1.a975fcedeb954p-1, 0x1.252b3ee282999p+0, -0x1.a163c7615a4f5p-1}, 
        {0x1.199999999999ap+1, 0x1.1eb851eb851ecp+1, 0x1.2f1c3265add9cp-2, -0x1.7c8ead5fa660cp-1, 0x1.0c20238fde75fp+0, -0x1.8df1ab943fc8ap-1}, 
        {0x1.1eb851eb851ecp+1, 0x1.23d70a3d70a3dp+1, 0x1.1254a3c64345dp-2, -0x1.53913fa65259p-1, 0x1.e87f6ff977d4p-1, -0x1.6ed58a4db03a4p-1}, 
        {0x1.23d70a3d70a3dp+1, 0x1.28f5c28f5c28fp+1, 0x1.f15ce9e5e2479p-3, -0x1.2e3f9455b4ec9p-1, 0x1.bc7a4ae5e7cd8p-1, -0x1.56b82b34ed1b5p-1}, 
        {0x1.28f5c28f5c28fp+1, 0x1.2e147ae147ae1p+1, 0x1.c3c297bfa4c62p-3, -0x1.0c55cf446335fp-1, 0x1.9359f3cb1307ap-1, -0x1.4649c8dea4e97p-1}, 
        {0x1.2e147ae147ae1p+1, 0x1.3333333333333p+1, 0x1.9b530ced4e4c9p-3, -0x1.db443b9b29b8ap-2, 0x1.6c3260cf13b86p-1, -0x1.2820b1507dec6p-1}, 
        {0x1.3333333333333p+1, 0x1.3851eb851eb85p+1, 0x1.778ee28672757p-3, -0x1.a3d67eeb7180bp-2, 0x1.48a955c56b026p-1, -0x1.193371df655b2p-1}, 
        {0x1.3851eb851eb85p+1, 0x1.3d70a3d70a3d7p+1, 0x1.5800a7c5ac472p-3, -0x1.71f39a054c0e1p-2, 0x1.26ead77769162p-1, -0x1.03118731ec4d9p-1}, 
        {0x1.3d70a3d70a3d7p+1, 0x1.428f5c28f5c29p+1, 0x1.3c3a42f1ed17cp-3, -0x1.45407940e77e6p-2, 0x1.07d4421f7fee1p-1, -0x1.d50ce2b1cec6cp-2}, 
        {0x1.428f5c28f5c29p+1, 0x1.47ae147ae147bp+1, 0x1.23d5fdcdf6988p-3, -0x1.1d4a66c0330b5p-2, 0x1.d75f4a529f5dep-2, -0x1.c5a966d4f106dp-2}, 
        {0x1.47ae147ae147bp+1, 0x1.4cccccccccccdp+1, 0x1.0e7685985ad54p-3, -0x1.f38450ba7220fp-3, 0x1.a0eecd57ca1f7p-2, -0x1.944d81fa6c22ep-2}, 
        {0x1.4cccccccccccdp+1, 0x1.51eb851eb851fp+1, 0x1.f7878b7a1c25dp-4, -0x1.b4b05c89f085fp-3, 0x1.706a9f0689f24p-2, -0x1.792091415c917p-2}, 
        {0x1.51eb851eb851fp+1, 0x1.570a3d70a3d71p+1, 0x1.d6db0dd82fd76p-4, -0x1.7d5cd9956631dp-3, 0x1.432945ea37288p-2, -0x1.5730390022a4p-2}, 
        {0x1.570a3d70a3d71p+1, 0x1.5c28f5c28f5c3p+1, 0x1.ba53b8e4b87bep-4, -0x1.4cf3960290151p-3, 0x1.19fa86c13d3dcp-2, -0x1.3a1e8abe192d7p-2}, 
        {0x1.5c28f5c28f5c3p+1, 0x1.6147ae147ae14p+1, 0x1.a16a487336588p-4, -0x1.22d9b8aae58d6p-3, 0x1.e891900d2cc26p-3, -0x1.20559c077be79p-2}, 
        {0x1.6147ae147ae14p+1, 0x1.6666666666666p+1, 0x1.8ba30121682f9p-4, -0x1.fd10e4dc39d52p-4, 0x1.a35e4be26b2f8p-3, -0x1.048b0523ef01bp-2}, 
        {0x1.6666666666666p+1, 0x1.6b851eb851eb8p+1, 0x1.788ca3e7d1351p-4, -0x1.bef8300fef034p-4, 0x1.64d688173c105p-3, -0x1.dafc9ed19aa1bp-3}, 
        {0x1.6b851eb851eb8p+1, 0x1.70a3d70a3d70ap+1, 0x1.67c06e19b90eap-4, -0x1.8a6f6e2458c17p-4, 0x1.2bd6efe99a25dp-3, -0x1.8af77a71b4597p-3}, 
        {0x1.70a3d70a3d70ap+1, 0x1.75c28f5c28f5cp+1, 0x1.58e219652bd3cp-4, -0x1.5e40aba52177p-4, 0x1.f8e31e9931f87p-4, -0x1.f9257767956a2p-3}, 
        {0x1.75c28f5c28f5cp+1, 0x1.7ae147ae147aep+1, 0x1.4b9dc2f405f6cp-4, -0x1.3ab60752995f3p-4, 0x1.7fa6ed761859fp-4, 0x1.9f1ab020107cep-4}, 
        {0x1.7ae147ae147aep+1, 0x1.8p+1, 0x1.3fab10ba6267p-4, -0x1.1a06c1197be6bp-4, 0x1.b176ee1dc868fp-4, -0x1.28a1fd1b111f2p+0}, 
        {0x1.8p+1, 0x1.bd70a3d70a3d7p+1, 0x1.34c6e6d9be4cep-4, -0x1.0e216ffa75c8fp-4, -0x1.1024042c5f031p-5, 0x1.22bb82f376283p-5}, 
        {0x1.bd70a3d70a3d7p+1, 0x1.0cccccccccccdp+2, 0x1.47ae147ae147bp-5, -0x1.2c47eff00bf6cp-4, 0x1.2507335a2fddfp-6, -0x1.30d59e7e8c101p-2}, 
      }}, 
      0x1.879a62636c7c9p-1, -0x1.e12b6fc60963cp-2
    }
  };
  // clang-format on
}
SkfData params_mio_0_1_o_h() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.e904249e315d3p-2, 0x1.f3f2563ed4c84p-2, 0x1.fdea79672367cp-2, 0x1.037c10bc0f5cfp-1, 0x1.07922202bf321p-1, 0x1.0b3b4678650bdp-1, 0x1.0e7c04be314fcp-1, 0x1.1159f63b99ba6p-1, 0x1.13db0c9ccf95p-1, 0x1.16049ae59b4acp-1, 0x1.17daeef8c91f1p-1, 0x1.1961a01079b29p-1, 0x1.1a9c2f290adf9p-1, 0x1.1b8e82b412addp-1, 0x1.1c3d02121891fp-1, 0x1.1cac5a9beb5f8p-1, 0x1.1ce11fdb80772p-1, 0x1.1cdf781343302p-1, 0x1.1caaf2c34e3edp-1, 0x1.1c468f49348a5p-1, 0x1.1bb2eb6bbc19p-1, 0x1.1af4e74867932p-1, 0x1.1a0f4905c389bp-1, 0x1.1904aa8f57b16p-1, 0x1.17d78dda16655p-1, 0x1.168a66f66d5e3p-1, 0x1.151f9c79a3226p-1, 0x1.13998099c6cfbp-1, 0x1.11fa47a79d51p-1, 0x1.104400517894cp-1, 0x1.0e788fa29299ep-1, 0x1.0c99b106a549bp-1, 0x1.0aa8f970bad3ep-1, 0x1.08a7dcf5c9ep-1, 0x1.0697b5da8e40ap-1, 0x1.0479cbcd7f657p-1, 0x1.024f59b9ca198p-1, 0x1.001991359c0b3p-1, 0x1.fbb33606e6783p-2, 0x1.f7212a8cf792dp-2, 0x1.f27f20f0a93p-2, 0x1.edcf17616029ep-2, 0x1.e912eb2a8717ap-2, 0x1.e44c49fb3e1c8p-2, 0x1.df7cbf10a6ea1p-2, 0x1.daa5af2730389p-2, 0x1.d5c85d171676dp-2, 0x1.d0e5ed9cb90afp-2, 0x1.cbff6b116d047p-2, 0x1.c715c93533f78p-2, 0x1.c229e81b5a2f3p-2, 0x1.bd3c97fe27eb1p-2, 0x1.b84e9b623dc5cp-2, 0x1.b360aa5c6ad6ap-2, 0x1.ae73748306d25p-2, 0x1.a987a2a7969fap-2, 0x1.a49dd7d3001acp-2, 0x1.9fb6b18560c8ap-2, 0x1.9ad2c74490c8ep-2, 0x1.95f2a9e84b348p-2, 0x1.9116e13c4992p-2, 0x1.8c3fecc5ec3d6p-2, 0x1.8770d0d857d0cp-2, 0x1.82a5943e5ddafp-2, 0x1.7de034d27a4e5p-2, 0x1.7920fca9b20d7p-2, 0x1.74682eddb973ep-2, 0x1.6fb6087607c0ap-2, 0x1.6b0ac1546ad3fp-2, 0x1.66668d0ba3945p-2, 0x1.61c99b9817221p-2, 0x1.5d3419f15c68bp-2, 0x1.58a63282705f7p-2, 0x1.54200d570dcd1p-2, 0x1.4fa1d03d31de5p-2, 0x1.4b2b9ebc65051p-2, 0x1.46bd99ffd0d28p-2, 0x1.4257e0b66de7p-2, 0x1.3dfa8edaf4ae8p-2, 0x1.39a5bdb572e01p-2, 0x1.355983bfd7daep-2, 0x1.3115f4bc43125p-2, 0x1.2cdb21bba8572p-2, 0x1.28a9196583165p-2, 0x1.247fe82a06cdap-2, 0x1.205f988f65e59p-2, 0x1.1c48337b45fb2p-2, 0x1.1839c08c26de5p-2, 0x1.14344659fe4dfp-2, 0x1.1037ca95ffe9ep-2, 0x1.0c44529d8636fp-2, 0x1.0859e33ea5566p-2, 0x1.0478811395783p-2, 0x1.00a0307a96f9fp-2, 0x1.f9a1eb5a2a811p-3, 0x1.f215a962ae4abp-3, 0x1.ea9ba2c161cbbp-3, 0x1.e333dea0b8e78p-3, 0x1.dbde63822fd69p-3, 0x1.d49b3723ed07ap-3, 0x1.cd6a5e38e5da6p-3, 0x1.c64bdc7ce9628p-3, 0x1.bf3fb4470cc8cp-3, 0x1.b845e6b6bd211p-3, 0x1.b15e736f27c63p-3, 0x1.aa8958b4d8955p-3, 0x1.a3c6933554e73p-3, 0x1.9d161e4ca5f97p-3, 0x1.9677f3cfca768p-3, 0x1.8fec0c47646d1p-3, 0x1.89725ef5f2496p-3, 0x1.830ae1ef7edbap-3, 0x1.7cb58a35d60edp-3, 0x1.76724bcd396edp-3, 0x1.704119f5f1226p-3, 0x1.6a21e6c496ab6p-3, 0x1.6414a46af91a9p-3, 0x1.5e19448850bb6p-3, 0x1.582fb574c1bcep-3, 0x1.5257e9f6b487dp-3, 0x1.4c91d1238560ep-3, 0x1.46dd5aa2c1497p-3, 0x1.413a75ef7c7a8p-3, 0x1.3ba911f9575a1p-3, 0x1.36291e006ba2cp-3, 0x1.30ba88b918dep-3, 0x1.2b5d40b368b6cp-3, 0x1.26113476457b5p-3, 0x1.20d651fa8a07ap-3, 0x1.1bac872ea39a4p-3, 0x1.1693c1a3481ap-3, 0x1.118bee8c5d6bcp-3, 0x1.0c94fab2b630ep-3, 0x1.07aed29af0cbep-3, 0x1.02d961cb06e5ep-3, 0x1.fc2927e7252d6p-4, 0x1.f2c0a7c1733cfp-4, 0x1.e97916e6c856p-4, 0x1.e052492665dc6p-4, 0x1.d74c0bd50e1b7p-4, 0x1.ce663cbc8d97ap-4, 0x1.c5a09d7d69b4fp-4, 0x1.bcfb00df1fc0bp-4, 0x1.b475334341098p-4, 0x1.ac0effd04c73fp-4, 0x1.a3c8306d17524p-4, 0x1.9bb24f1373666p-4, 0x1.93a95c0715398p-4, 0x1.8bbef4b73e177p-4, 0x1.83f2ded01dd1ep-4, 0x1.7c44def279d1cp-4, 0x1.74b4b96ff99dep-4, 0x1.6d4231aac3bf7p-4, 0x1.65ed0a7265ddap-4, 0x1.5eb505896843p-4, 0x1.5799e4b33f505p-4, 0x1.509b6898ae3fap-4, 0x1.49b952338daa2p-4, 0x1.42f35eb430902p-4, 0x1.3c494f4ceef55p-4, 0x1.35bae1ddae7adp-4, 0x1.2f47d49822247p-4, 0x1.28efe3dc89be5p-4, 0x1.22b2cd68b5b72p-4, 0x1.1c904de398df3p-4, 0x1.1688208933d74p-4, 0x1.109a01995b7b3p-4, 0x1.0ac5ac2bb97f3p-4, 0x1.050adb28a8f47p-4, 0x1.fed291cff254ep-5, 0x1.f3c160164f90fp-5, 0x1.e8e194dc41252p-5, 0x1.de32a39b46443p-5, 0x1.d3b3ff57a1db9p-5, 0x1.c9651ae147acfp-5, 0x1.bf456845fefebp-5, 0x1.b55459c0df60ep-5, 0x1.ab916101f9a32p-5, 0x1.a1fbefa254463p-5, 0x1.989376e543fc1p-5, 0x1.8f57681835c17p-5, 0x1.86473494334d5p-5, 0x1.7d624dac0843cp-5, 0x1.74a824518d946p-5, 0x1.6c18295501f4ep-5, 0x1.63b1ceff38eebp-5, 0x1.5b74868797ca8p-5, 0x1.535fc1acc7ecap-5, 0x1.4b72f2bd17ab8p-5, 0x1.43ad8c5447c27p-5, 0x1.3c0efe638cffep-5, 0x1.3496bf33b5a0ep-5, 0x1.2d44411912f2dp-5, 0x1.2616f828fd1fcp-5, 0x1.1f0e590e4b109p-5, 0x1.1829d6e09cd33p-5, 0x1.1168e9a583bbdp-5, 0x1.0acb0723dc42fp-5, 0x1.044fa5c95fdf4p-5, 0x1.fbec79ed31398p-6, 0x1.ef7c8d1a15e15p-6, 0x1.e34e75a305829p-6, 0x1.d7612c9350fe4p-6, 0x1.cbb39da1e36eep-6, 0x1.c044cbd23e20ep-6, 0x1.b513ae022908cp-6, 0x1.aa1f41f660f2bp-6, 0x1.9f668235f25acp-6, 0x1.94e8742190b64p-6, 0x1.8aa418a8f75aap-6, 0x1.809877abee414p-6, 0x1.76c496ac20327p-6, 0x1.6d277f6c3e5f1p-6, 0x1.63c046aacd2fdp-6, 0x1.5a8df41aa4bc2p-6, 0x1.518f9cfd74af7p-6, 0x1.48c4569156653p-6, 0x1.402b38e74b63cp-6, 0x1.37c35209f943dp-6, 0x1.2f8be4ce1f42ap-6, 0x1.2783ec2e1d111p-6, 0x1.1faa97e8c758bp-6, 0x1.17ff0dd9b5d96p-6, 0x1.108076c4bd1bp-6, 0x1.092dfe488ac47p-6, 0x1.0206d30ce7f6bp-6, 0x1.f6144516a4fffp-7, 0x1.e86e55ed778eap-7, 0x1.db1a32b3c84c9p-7, 0x1.ce16558a232c7p-7, 0x1.c1613724cca77p-7, 0x1.b4f955cabc1b3p-7, 0x1.a8dd36d756d74p-7, 0x1.9d0b615c9bf1ap-7, 0x1.9182623ad6bedp-7, 0x1.8640d178aea6dp-7, 0x1.7b454682f1aeep-7, 0x1.708e601110855p-7, 0x1.661ac15126b71p-7, 0x1.5be91204fd674p-7, 0x1.51f80105ef472p-7, 0x1.4846409800602p-7, 0x1.3ed2888cc85fdp-7, 0x1.359b93e9a8298p-7, 0x1.2ca026053e352p-7, 0x1.23df02074189cp-7, 0x1.1b56f55216409p-7, 0x1.1306ce7b0dc42p-7, 0x1.0aed6415b3933p-7, 0x1.03098954cb723p-7, 0x1.f6b4357245807p-8, 0x1.e7bbff9f22425p-8, 0x1.d9283adfec647p-8, 0x1.caf6b88e2430cp-8, 0x1.bd25578bc7dc7p-8, 0x1.afb1fe9814b58p-8, 0x1.a29a9cc73056cp-8, 0x1.95dd29aa115a5p-8, 0x1.8977a47993708p-8, 0x1.7d68180cec92ap-8, 0x1.71ac907a8b132p-8, 0x1.66432b8fe6fc9p-8, 0x1.5b2a073b385cep-8, 0x1.505f4e54c531fp-8, 0x1.45e13190b6301p-8, 0x1.3badea30163c5p-8, 0x1.31c3b82571dfdp-8, 0x1.2820e66cf82e9p-8, 0x1.1ec3c43e55476p-8, 0x1.15aaa954f6abcp-8, 0x1.0cd3f8d435bb1p-8, 0x1.043e1478b696fp-8, 0x1.f7ced8748e86bp-9, 0x1.e79cf417c901p-9, 0x1.d7e373608b52bp-9, 0x1.c89f60eb139c1p-9, 0x1.b9cdce7875d27p-9, 0x1.ab6bea532ef76p-9, 0x1.9d76e612a9bfp-9, 0x1.8febf5f678b8ep-9, 0x1.82c860bc458f6p-9, 0x1.7609cfcb0d54bp-9, 0x1.69ad5abeda44p-9, 0x1.5db11ccded83ap-9, 0x1.5211013b3b634p-9, 0x1.46cc33b4df31ep-9, 0x1.3bdfca70f2ad7p-9, 0x1.31496e1c860cfp-9, 0x1.2706e30996636p-9, 0x1.1d15d5bb2c14ep-9, 0x1.137453803b0e6p-9, 0x1.0a1fb571ccca4p-9, 0x1.011660bab2124p-9, 0x1.f0aa37b86f655p-10, 0x1.dfb9e0e5f47c5p-10, 0x1.cf51b0a377001p-10, 0x1.bf6fd676292f2p-10, 0x1.b010cc2f07543p-10, 0x1.a130abd3eb8c4p-10, 0x1.92cbf3e9d59e2p-10, 0x1.84def08ea3035p-10, 0x1.7766cdbe54db1p-10, 0x1.6a5fb7847409ap-10, 0x1.5dc682182b778p-10, 0x1.519808c650a77p-10, 0x1.45d132b69cd85p-10, 0x1.3a6ef94c5a97p-10, 0x1.2f6e68ca19fdap-10, 0x1.24cca40c4164cp-10, 0x1.1a86b7292c7bp-10, 0x1.109a37f77fcap-10, 0x1.0704305be6f23p-10, 0x1.fb843b20b868p-11, 0x1.e9a2f9ac8b89p-11, 0x1.d86700208f133p-11, 0x1.c7bbf0bbb402p-11, 0x1.b7a45b9dbc80ap-11, 0x1.a81e52971f7c4p-11, 0x1.99229e4625285p-11, 0x1.8aadeaecc6cdcp-11, 0x1.7cbbf782506b7p-11, 0x1.6f489d08421b8p-11, 0x1.624fda69362dfp-11, 0x1.55cdc3da00ac1p-11, 0x1.49be8c2b0f40fp-11, 0x1.3e1e7cfe4d335p-11, 0x1.32ea0b056e2bbp-11, 0x1.281d7c298f55p-11, 0x1.1db58591f10f5p-11, 0x1.13aed43eccd12p-11, 0x1.0a065539e7288p-11, 0x1.00b6de3d01945p-11, 0x1.ef83c7ab3baf5p-12, 0x1.de40a2c72c9a1p-12, 0x1.cda0fbdbf7d9ap-12, 0x1.bd9f221dd39bap-12, 0x1.ae3585d0fff93p-12, 0x1.9f5ec2a2d299bp-12, 0x1.9115a2759bbafp-12, 0x1.8353a41e5e2a5p-12, 0x1.7617f7f66187p-12, 0x1.6959c5fbc4474p-12, 0x1.5d15cb06e8d52p-12, 0x1.51478b278786cp-12, 0x1.45ea8417ad072p-12, 0x1.3afb0aa4d77ffp-12, 0x1.3074d28a471b1p-12, 0x1.2653d4df08037p-12, 0x1.1c945cc6484ddp-12, 0x1.1332f04931b11p-12, 0x1.0a2c26c88bcddp-12, 0x1.017fecf85b8bdp-12, 0x1.f23fe956ba023p-13, 0x1.e22918739e7d8p-13, 0x1.d2ad2f9e9e6d2p-13, 0x1.c3c7a9fb456dp-13, 0x1.b5715d4143929p-13, 0x1.a7a5158d6209p-13, 0x1.9a5eb6409dc4dp-13, 0x1.8d97e3f431fd6p-13, 0x1.814c127b2f451p-13, 0x1.75764506b5386p-13, 0x1.6a1251fc014e8p-13, 0x1.5f1b5b1a71308p-13, 0x1.548d3c1ac7bb4p-13, 0x1.4a63aca6a0295p-13, 0x1.409c935c560cbp-13, 0x1.372dee57f7cep-13, 0x1.2e1a9c3eeff95p-13, 0x1.255c51fc04a98p-13, 0x1.1cefae0b8d41bp-13, 0x1.14d11288bf7b3p-13, 0x1.0cfdb341b4e45p-13, 0x1.0576248feb0e9p-13, 0x1.fc566fc7ef42cp-14, 0x1.ee4cb80f1cb72p-14, 0x1.e0c0a089a0d34p-14, 0x1.d3b0c7645085dp-14, 0x1.c70ca0a67dc9dp-14, 0x1.badb29b9b846ap-14, 0x1.af112d6b9bd49p-14, 0x1.a3ade5825449ap-14, 0x1.98a9c40582a41p-14, 0x1.8e0092f6f44fdp-14, 0x1.83afd0806c335p-14, 0x1.79b2c189a6518p-14, 0x1.7005961a92128p-14, 0x1.66a4a002e6d0dp-14, 0x1.5d8c6036281dbp-14, 0x1.54b97a3f09aa8p-14, 0x1.4c28a93a16505p-14, 0x1.43d5dd2a486acp-14, 0x1.3bcdc1bc98f6bp-14, 0x1.33e51f8613bd9p-14, 0x1.2c3fc33ee18acp-14, 0x1.24ce442558acdp-14, 0x1.1d8e6ca4b0af3p-14, 0x1.167e23699067ap-14, 0x1.0f9e833906085p-14, 0x1.08e33af32f66ap-14, 0x1.025232b80cfcp-14, 0x1.f7d29a277bac1p-15, 0x1.eb4bae7b1b8bbp-15, 0x1.df0b46b9a8016p-15, 0x1.d30e80e86485ap-15, 0x1.c751f83ad1e4fp-15, 0x1.bbcfdf3e33ccap-15, 0x1.b08e75929f538p-15, 0x1.a5821c88dea56p-15, 0x1.9aaaab4d235c6p-15, 0x1.9005dedce06fbp-15, 0x1.859744b72adfap-15, 0x1.7b4d6f899a57bp-15, 0x1.7135560a11b4ap-15, 0x1.6744e3f9031eap-15, 0x1.5d81d32a8f7c8p-15, 0x1.53e390189d27cp-15, 0x1.4a6acd910696bp-15, 0x1.41160819e002ap-15, 0x1.37e3d86d47e49p-15, 0x1.2ed2ee7a8c201p-15, 0x1.25e211c5ac988p-15, 0x1.1d104350a7c1dp-15, 0x1.146aebf24c414p-15, 0x1.0bc4d4f8728e3p-15, 0x1.03491eb2d46d2p-15, 0x1.f5d0a0e0cb241p-16, 0x1.e58373c79b5e3p-16, 0x1.d4ee4adcdbf7p-16, 0x1.c4c636cddf5cbp-16, 0x1.b4aef3149fc27p-16, 0x1.a50558e3de1e6p-16, 0x1.956a56af860b6p-16, 0x1.861d31561e1d7p-16, 0x1.76bbae89263eap-16, 0x1.67a9441844a0fp-16, 0x1.58c02e915dfc6p-16, 0x1.4a00f68e00a82p-16, 0x1.3b6cfce96cd25p-16, 0x1.2d0a6f0859e03p-16, 0x1.1ec2b39633efbp-16, 0x1.109e0c4fe139dp-16, 0x1.02aa6f5317201p-16, 0x1.e9bf9f2c2c9c9p-17, 0x1.ce779a0975e7p-17, 0x1.b3836e790c5p-17, 0x1.98d6d4511ad04p-17, 0x1.7e7535a8d528fp-17, 0x1.6465c2a93d54cp-17, 0x1.4aa427016cca7p-17, 0x1.314509552945ap-17, 0x1.17f29c5700bc6p-17, 0x1.fe63414d01e87p-18, 0x1.cd52466700c4ep-18, 0x1.9cdb02087cc93p-18, 0x1.6d001f37713b8p-18, 0x1.3dc121f6b3838p-18, 0x1.0f11d3061e4ffp-18, 0x1.c23bbe0ee71c7p-19, 0x1.6774fb2603ddbp-19, 0x1.0dcb3878c81f2p-19, 0x1.6ffd00be072d8p-20, 0x1.7a368b20123bfp-21, 0x1.20b7820294d0bp-24, -0x1.2d41958995e0ep-21, -0x1.3ddd3e50d967p-20, -0x1.e1c24e7b80634p-20, -0x1.418af271ea657p-19, -0x1.91003d6d6b0f7p-19, -0x1.df16fbb2ee3efp-19, -0x1.15f42ef5dceffp-18, -0x1.3bb1b28d6bc65p-18, -0x1.5ffbd7e24d6edp-18, -0x1.8540b645b1226p-18, -0x1.a916c44804bb5p-18, -0x1.cc3cbe26f7ec5p-18, -0x1.eeb9e7c898ec1p-18, -0x1.08500c51ad89fp-17, -0x1.18db6dd3e236cp-17, -0x1.291ace457757p-17, -0x1.39056faf6447ep-17, -0x1.489adaf480692p-17, -0x1.57dae9ce07339p-17, -0x1.66c57ff53e929p-17, -0x1.755a8f5a59a14p-17, -0x1.839c5b65bac3cp-17, -0x1.91797da64227p-17, -0x1.9eefd74469e54p-17, -0x1.ac529cc01f9c7p-17, -0x1.b943937533d41p-17, -0x1.c5d4ee836414fp-17, -0x1.d21356ce7fea3p-17, -0x1.de174e0e7003bp-17, -0x1.e99371a6d1559p-17, -0x1.f4d1c42799066p-17, -0x1.ffbd667686637p-17, -0x1.052a38bf559a4p-16, -0x1.0a4be24e42223p-16, -0x1.0f45eb8905c9ep-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.12ff3c5351d6ep+0, -0x1.139ead049fb6p+0, -0x1.140aac7569decp+0, -0x1.1444270f631d5p+0, -0x1.144c8d2980f37p+0, -0x1.1425b29cc1e28p+0, -0x1.13d16ed028f1bp+0, -0x1.1351699eb79ccp+0, -0x1.12a73370db83ap+0, -0x1.11d47b0e0317fp+0, -0x1.10db2b4b6af86p+0, -0x1.0fbd5d70a86f8p+0, -0x1.0e7d3163017ecp+0, -0x1.0d1ca9072a4bfp+0, -0x1.0b9d98566ec59p+0, -0x1.0a01ab0d55a2p+0, -0x1.084a7796b113ap+0, -0x1.067993234a4efp+0, -0x1.04909d7c09a4bp+0, -0x1.029141f4b168p+0, -0x1.007d72a614aabp+0, -0x1.fcad7996817e3p-1, -0x1.f83cc6862e7c4p-1, -0x1.f3aba7e61e8d5p-1, -0x1.eefcd8dc33472p-1, -0x1.ea32ef0ed5064p-1, -0x1.e55058f53448bp-1, -0x1.e0575fa238e4dp-1, -0x1.db4a2b7a69acep-1, -0x1.d62aca4d46ff1p-1, -0x1.d0fb34aa7b8ebp-1, -0x1.cbbd50cd6e4e9p-1, -0x1.c672f2ba96911p-1, -0x1.c11dda70c4ce7p-1, -0x1.bbbfb18d3c458p-1, -0x1.b65a098033127p-1, -0x1.b0ee5ac9c87bp-1, -0x1.ab7e0528ac7c8p-1, -0x1.a60a5063cc3e9p-1, -0x1.a0946d6f0e26p-1, -0x1.9b1d77dd8f78dp-1, -0x1.95a677b35e218p-1, -0x1.903063b20f4c1p-1, -0x1.8abc23bcb4e4dp-1, -0x1.854a935fe3781p-1, -0x1.7fdc83aa4d60dp-1, -0x1.7a72bc441a5bfp-1, -0x1.750dfb9a4c1e7p-1, -0x1.6faef64db8e23p-1, -0x1.6a56564eac9b2p-1, -0x1.6504b9f58964dp-1, -0x1.5fbab387870bbp-1, -0x1.5a78c948ba24p-1, -0x1.553f75fd40f3p-1, -0x1.500f29dbcae09p-1, -0x1.4ae84ba4110f7p-1, -0x1.45cb39b14eep-1, -0x1.40b84ae4a7587p-1, -0x1.3bafcf5739c15p-1, -0x1.36b210d211f2ap-1, -0x1.31bf5327b39b4p-1, -0x1.2cd7d45008607p-1, -0x1.27fb81fb540d5p-1, -0x1.232afc408729dp-1, -0x1.1e6653075a7bcp-1, -0x1.19adb2297643cp-1, -0x1.1501412b3d792p-1, -0x1.1061236949654p-1, -0x1.0bcd784bc98efp-1, -0x1.07465b7e905abp-1, -0x1.02cbe52e451a8p-1, -0x1.fcbc5493bd89ep-2, -0x1.f3fa796cc54ep-2, -0x1.eb52571a0b6a8p-2, -0x1.e2c4068a8c5bp-2, -0x1.da4f9bb64e71ep-2, -0x1.d1f525db3986cp-2, -0x1.c9b4afa9a0753p-2, -0x1.c18e3f741a1cep-2, -0x1.b981d75283b82p-2, -0x1.b18f7552beff5p-2, -0x1.a9b7139919c11p-2, -0x1.a1f8a8bbc9ec2p-2, -0x1.9a5427dcef527p-2, -0x1.92c980ffd5d8bp-2, -0x1.8b58a149d086ep-2, -0x1.8401734365f6ap-2, -0x1.7cc3df168aed5p-2, -0x1.759fcac0ec52ap-2, -0x1.6e951a52bb5e5p-2, -0x1.67a3afef83c7ap-2, -0x1.60cb6c0fdbb38p-2, -0x1.5a0c2d775a5ep-2, -0x1.5365d15fc1507p-2, -0x1.4cd8333601b79p-2, -0x1.46632d3b71e5ep-2, -0x1.400697e4369eep-2, -0x1.39c24a394b391p-2, -0x1.339619cea19eep-2, -0x1.2d81dad0acd8ap-2, -0x1.27856011f695ep-2, -0x1.21a07b1ce2c1ep-2, -0x1.1bd2fc4ce99afp-2, -0x1.161cb2dd4e9fap-2, -0x1.107d6d098583dp-2, -0x1.0af4f8136a486p-2, -0x1.0583207acddfbp-2, -0x1.0027b1d9647b5p-2, -0x1.f5c4ee7dbc4e4p-3, -0x1.eb66760dc0927p-3, -0x1.e1338e0e61014p-3, -0x1.d72bc92492772p-3, -0x1.cd4eb90ca1b5ap-3, -0x1.c39beeaa75b2fp-3, -0x1.ba12fa24eb0d2p-3, -0x1.b0b36ae1b0fd7p-3, -0x1.a77ccfdacb4d1p-3, -0x1.9e6eb6bfb35bp-3, -0x1.9588ae9812bf8p-3, -0x1.8cca43918ea44p-3, -0x1.8433030546f23p-3, -0x1.7bc2799f98d0cp-3, -0x1.7378338f61acbp-3, -0x1.6b53bdfb67a36p-3, -0x1.6354a44c10237p-3, -0x1.5b7a72df23aa4p-3, -0x1.53c4b5f3166dep-3, -0x1.4c32fa3cfee9ep-3, -0x1.44c4cbcdaad73p-3, -0x1.3d79b786ac1d6p-3, -0x1.36514a634c83fp-3, -0x1.2f4b119fdb8cap-3, -0x1.28669ac8e0f6p-3, -0x1.21a373ce1dda4p-3, -0x1.1b012af611f14p-3, -0x1.147f4ee2b6c9bp-3, -0x1.0e1d6eb55fc8ep-3, -0x1.07db19bab97bp-3, -0x1.01b7dff9dd624p-3, -0x1.f766a1dd77e52p-4, -0x1.eb99ffb7d5fa6p-4, -0x1.e008f6fb450aep-4, -0x1.d4b2acbc28419p-4, -0x1.c996458f13149p-4, -0x1.beb2e6538238p-4, -0x1.b407b6046c126p-4, -0x1.a99d19238bda6p-4, -0x1.9f5f85466b456p-4, -0x1.955781768ce19p-4, -0x1.8b84398e648bep-4, -0x1.81e4da6a51a69p-4, -0x1.7878931e4062dp-4, -0x1.6f3e93fae20fep-4, -0x1.66360ef82074cp-4, -0x1.5d5e37df4da84p-4, -0x1.54b644080bc27p-4, -0x1.4c3d6a929eff6p-4, -0x1.43f2e3f35c4c5p-4, -0x1.3bd5ec01e8188p-4, -0x1.33e5bdd785f5fp-4, -0x1.2c219832e44d5p-4, -0x1.2488bb26dff39p-4, -0x1.1d1a68675b0abp-4, -0x1.15d5e3da6718p-4, -0x1.0eba733b24156p-4, -0x1.07c75df007b37p-4, -0x1.00fbed7b4d549p-4, -0x1.f4aedab6084c4p-5, -0x1.e7b25602c0493p-5, -0x1.db00eac74984bp-5, -0x1.ce993c60ba9e8p-5, -0x1.c279f12ea8f84p-5, -0x1.b6a1b3b98da1dp-5, -0x1.ab0f3297c99a4p-5, -0x1.9fc12090f9f44p-5, -0x1.94b6341083607p-5, -0x1.89ed280b1273p-5, -0x1.7f64bb4430f7p-5, -0x1.751bb08b9445ap-5, -0x1.6b10ceb5b09d4p-5, -0x1.6142e0e395fbcp-5, -0x1.57b0b633d0d4p-5, -0x1.4e5921eb8d709p-5, -0x1.453afaf3e3f79p-5, -0x1.3c551c71d6d01p-5, -0x1.33a66633183ffp-5, -0x1.2b2dbb6243b2dp-5, -0x1.22ea037589dap-5, -0x1.1ada29bf2b5f2p-5, -0x1.12fd1dd598ec1p-5, -0x1.0b51d29659095p-5, -0x1.03d74019ffb6ep-5, -0x1.f918c31aa4ceep-6, -0x1.eae06c26eff51p-6, -0x1.dd038206f37cp-6, -0x1.cf80131c1768fp-6, -0x1.c2543575b8c0bp-6, -0x1.b57e0749f5c76p-6, -0x1.a8fbace18d42ep-6, -0x1.9ccb551b7f3c1p-6, -0x1.90eb33c94dd58p-6, -0x1.8559860d21291p-6, -0x1.7a148e28b897cp-6, -0x1.6f1a9bcbaed68p-6, -0x1.6469fdd588c28p-6, -0x1.5a011015a3682p-6, -0x1.4fde336423e82p-6, -0x1.45ffd333ae709p-6, -0x1.3c645d88bc41bp-6, -0x1.330a4a27c206fp-6, -0x1.29f018e20ed24p-6, -0x1.21144df70209bp-6, -0x1.1875760338d06p-6, -0x1.10122783f3838p-6, -0x1.07e8f99a734edp-6, -0x1.fff11ddd89d2p-7, -0x1.f07f1eec44879p-7, -0x1.e17953d494b9ap-7, -0x1.d2dd223f1c081p-7, -0x1.c4a80e8f85fa1p-7, -0x1.b6d7939aa67d5p-7, -0x1.a969427376b39p-7, -0x1.9c5aba5b4c6ap-7, -0x1.8fa9a5399a43cp-7, -0x1.8353b92942ee2p-7, -0x1.7756b84306428p-7, -0x1.6bb071ad3a2f6p-7, -0x1.605ebb3f785abp-7, -0x1.555f7dbc70222p-7, -0x1.4ab0a823fba97p-7, -0x1.405035ddcec03p-7, -0x1.363c2d389b2ep-7, -0x1.2c729f4ce476dp-7, -0x1.22f1a676e5847p-7, -0x1.19b76c147f481p-7, -0x1.10c21d0bbbe01p-7, -0x1.080ff493a3486p-7, -0x1.ff3e6dead1476p-8, -0x1.eedc6546fa2b1p-8, -0x1.def6792398034p-8, -0x1.cf896dd50e004p-8, -0x1.c09216acf1a8ap-8, -0x1.b20d36da86125p-8, -0x1.a3f82cbd45a1ep-8, -0x1.964f9998240c7p-8, -0x1.8910b86b2f7e3p-8, -0x1.7c38b54a4b914p-8, -0x1.6fc4c9fb3729cp-8, -0x1.63b242cc7f3fdp-8, -0x1.57fe76bac3822p-8, -0x1.4ca6d18236bbap-8, -0x1.41a8ce9c3ee69p-8, -0x1.3701f6061a938p-8, -0x1.2cafddf3ebd53p-8, -0x1.22b02c4154754p-8, -0x1.190094b500325p-8, -0x1.0f9ed930ece18p-8, -0x1.0688c8cd80bf5p-8, -0x1.fb787cd9fa501p-9, -0x1.ea6e4b8399949p-9, -0x1.d9eeeadfc822ap-9, -0x1.c9f65ee74e864p-9, -0x1.ba80c8464dccp-9, -0x1.ab8a5d450bf69p-9, -0x1.9d0f6d3eb7405p-9, -0x1.8f0c5ee65031fp-9, -0x1.817dad530d468p-9, -0x1.745ff0f4cc1cdp-9, -0x1.67afcec5c6171p-9, -0x1.5b6a08058043ap-9, -0x1.4f8b68e7780cep-9, -0x1.4410ea290a9c4p-9, -0x1.38f78833b8d91p-9, -0x1.2e3c45a338fa8p-9, -0x1.23dc4e58d6888p-9, -0x1.19d4dace5e438p-9, -0x1.1023315e589d3p-9, -0x1.06c4b3e22d99dp-9, -0x1.fb6d9a875f70fp-10, -0x1.e9edf2f862e09p-10, -0x1.d904a6ae2aa2dp-10, -0x1.c8afeab1a1525p-10, -0x1.b8e82a51c1a8p-10, -0x1.a9aa5013b6e67p-10, -0x1.9af0bf1970323p-10, -0x1.8cb87bd775517p-10, -0x1.7efcfb4604e6ep-10, -0x1.71ba338c87719p-10, -0x1.64ec65e584365p-10, -0x1.588f7d7ce18d2p-10, -0x1.4ca023d405c79p-10, -0x1.411a70842be56p-10, -0x1.35fb2440844e4p-10, -0x1.2b3f3aa64f6e8p-10, -0x1.20e2231bd8236p-10, -0x1.16e20668a3f2p-10, -0x1.0d3b497e7e39p-10, -0x1.03eafd7f372a6p-10, -0x1.f5dc652d08667p-11, -0x1.e4842d1173502p-11, -0x1.d3c7e50385d89p-11, -0x1.c3a1ff5b91377p-11, -0x1.b40dce971853cp-11, -0x1.a505f075b334ap-11, -0x1.9685ab4fe528p-11, -0x1.88884d19fe3bbp-11, -0x1.7b0949d0d781fp-11, -0x1.6e0438955c152p-11, -0x1.6174bd4bfacb7p-11, -0x1.55576a2b8fc2dp-11, -0x1.49a6b2721e593p-11, -0x1.3e6013682c28bp-11, -0x1.337f5be0b0288p-11, -0x1.2900f62b469e7p-11, -0x1.1ee3e96f93ea8p-11, -0x1.151f452d0d1d2p-11, -0x1.0bb45e0dfdd53p-11, -0x1.029b08922c33dp-11, -0x1.f3aa7f4f5ae06p-12, -0x1.e2bc7ce00949fp-12, -0x1.d2665d69b1c0ep-12, -0x1.c2a293803b2dfp-12, -0x1.b36bc1efa7aaep-12, -0x1.a4bcb67aef1efp-12, -0x1.96906849b4bb8p-12, -0x1.88e1fc8f2ff63p-12, -0x1.7bacdcfc81457p-12, -0x1.6eec38fc15fb9p-12, -0x1.629be200e0a8bp-12, -0x1.56b7a026e33d9p-12, -0x1.4b3b48041a5acp-12, -0x1.401cf3f4cc3b2p-12, -0x1.356ae75db7a3ap-12, -0x1.2b0f475f4fee7p-12, -0x1.210cc8a9a6c34p-12, -0x1.175fb8033d909p-12, -0x1.0e04e77448cc3p-12, -0x1.04f9271dea35ap-12, -0x1.f872d1b1a5173p-13, -0x1.e784650a61ab7p-13, -0x1.d724650e04ccbp-13, -0x1.c74a5a130c0b9p-13, -0x1.b7f2047d65831p-13, -0x1.a91652cc3bc4ep-13, -0x1.9ab20bc419d28p-13, -0x1.8cc190491ad6bp-13, -0x1.7f3fdaaea64fap-13, -0x1.722861f9a1f3cp-13, -0x1.65770ec0b1e6ep-13, -0x1.59286e342a35ap-13, -0x1.4d381fc43ce6ap-13, -0x1.419a029d87088p-13, -0x1.366577173278dp-13, -0x1.2b7c4baa9b5e4p-13, -0x1.20e3d73481c81p-13, -0x1.1699c9a5ac5d9p-13, -0x1.0c9a919fa01a9p-13, -0x1.02e36aa8bbed3p-13, -0x1.f2e4d4c13f2f7p-14, -0x1.e08861ea2f297p-14, -0x1.cead02056d208p-14, -0x1.bd4e217c00af8p-14, -0x1.ac66f9c4f4748p-14, -0x1.9bf36e747ca12p-14, -0x1.8bef85c08085p-14, -0x1.7c56c5efebcf3p-14, -0x1.6d271ce7c80fcp-14, -0x1.5e57a0453c0cfp-14, -0x1.4feaed961884cp-14, -0x1.41db09e686f5dp-14, -0x1.3424e84b13027p-14, -0x1.26c54ac080e72p-14, -0x1.19ba6e8815923p-14, -0x1.0d037dce2c79bp-14, -0x1.0094d612f0413p-14, -0x1.e8ea45166b05fp-15, -0x1.d13d66d4511b8p-15, -0x1.ba2127adce5e3p-15, -0x1.a38a10cb76f76p-15, -0x1.8d7a98e750887p-15, -0x1.77edc323a6815p-15, -0x1.62ddfc0019e52p-15, -0x1.4e495d6a4dab7p-15, -0x1.3a28766b7cbbap-15, -0x1.267c543b460aap-15, -0x1.134044d8d975ap-15, -0x1.00716b0f58debp-15, -0x1.dc1955e3e09bap-16, -0x1.b81ec132df0bcp-16, -0x1.94ede29f0af69p-16, -0x1.72819757e0ae1p-16, -0x1.50d1c2f2ae1bbp-16, -0x1.300f31a3bdc7bp-16, -0x1.0fac1dceff776p-16, -0x1.e04e6346f2432p-17, -0x1.a2a27a3db1ab1p-17, -0x1.664e372df550ep-17, -0x1.2b4b187d4c888p-17, -0x1.e32011a72bd4fp-18, -0x1.723b81b6313fdp-18, -0x1.03c83babcde9ap-18, -0x1.2f8f3ffe1d973p-19, -0x1.717d81321cfd6p-21, 0x1.c88496f628255p-21, 0x1.3bfdf62cd4f72p-19, 0x1.00ad05f09f9d3p-18, 0x1.619f25c6425b1p-18, 0x1.bf4600d15ecap-18, 0x1.0d9f9db15a3fcp-17, 0x1.3a8de2d92c4adp-17, 0x1.666d9ace59fc3p-17, 0x1.9136aae0dcc6bp-17, 0x1.bb09c69e8542ap-17, 0x1.e3cfc16dbbd5fp-17, 0x1.05c6d32df8444p-16, 0x1.192c2102cac2ep-16, 0x1.2c10abb3d9f2p-16, 0x1.3e78baace593fp-16, 0x1.5065a7ac57bfbp-16, 0x1.61d8c6ad111c5p-16, 0x1.72d36133cececp-16, 0x1.8356b4cba3be6p-16, 0x1.9363cb857cb17p-16, 0x1.a2eb3148d9c76p-16, 0x1.b220e30217d67p-16, 0x1.c0d3549a0186bp-16, 0x1.cf14429be697ep-16, 0x1.dcd44b8e1f173p-16, 0x1.ea66660d0a29cp-16, 0x1.f73ba7257037cp-16, 0x1.01c5dbd7a85ffp-15, 0x1.07ebe02e0066fp-15, 0x1.0dc2e831a86b6p-15, 0x1.13566709ffc75p-15, 0x1.18d2f887fcfd2p-15, 0x1.1e0b4018879dap-15, 0x1.23109d70e870bp-15, 0x1.27e31d1b63d9fp-15, 0x1.2c8300cdf8156p-15, 0x1.30f0f37573f63p-15, 0x1.35266118ab717p-15, 0x1.3937dc47f893fp-15, 0x1.3d11d6adbb3c3p-15, 0x1.40bbcbacb4e6dp-15, 0x1.44360d7e106f6p-15, 0x1.4780e9b3ba25ap-15, 0x1.4a9d4692bac81p-15, 0x1.4d8b78caf6699p-15, 0x1.504bcd420ffa7p-15, 0x1.52dee9315bc0cp-15, 0x1.553cfe95ae4e4p-15, 0x1.577e5c6f75f28p-15, 0x1.598da19bb1cc2p-15, 0x1.5b70d21ce48e9p-15, 0x1.5d29439f0c0f7p-15, 0x1.5eb781b84b365p-15, 0x1.601c09a62151ep-15, 0x1.6155b334272f6p-15, 0x1.626a71dd9a728p-15, 0x1.63550fe9ae3b1p-15, 0x1.64194854e1678p-15, 0x1.64a3df5650f4ap-15, 0x1.652a827b569e5p-15, 0x1.657602b959eccp-15, 0x1.659c616caf335p-15, 0x1.65a990d20b9c1p-15, 0x1.658a429094747p-15, 0x1.6547ced22b6d9p-15, 0x1.64e18408de0b2p-15, 0x1.6459257509adp-15, 0x1.63ae82e3422cp-15, 0x1.62e29749b1d45p-15, 0x1.61fd1a6aafa93p-15, 0x1.60e83024fb957p-15, 0x1.5fba92eca51c9p-15, 0x1.5e6e1af86047p-15, 0x1.5d04285d25bafp-15, 0x1.5b952915ef402p-15, 0x1.59d38ebaaf3c2p-15, 0x1.580ebb6c6b295p-15, 0x1.562e634051017p-15, 0x1.54324fb14ac6dp-15, 0x1.521b02a91897ep-15, 0x1.4fe90c0946657p-15, 0x1.4d9cfb9019de7p-15, 0x1.4b37911b078bap-15, 0x1.48b8dec8478e4p-15, 0x1.46214c3d8b5fep-15, 0x1.437337e344065p-15, 0x1.40bd410fcf639p-15, 0x1.3dd171ac74558p-15, 0x1.3adeeaeb0f5dep-15, 0x1.37d3a2db6fcd6p-15, 0x1.34b9c39879036p-15, 0x1.3188b79de43d6p-15, 0x1.2e43a13031b7ep-15, 0x1.2aeb5ebee26e8p-15, 0x1.278083bd65d5fp-15, 0x1.24042a04525c8p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.0fd3dfc0017a5p-2, -0x1.1a7315195223ep-2, -0x1.24cb0e0d73532p-2, -0x1.2eda9a0627b01p-2, -0x1.38a0af303d3c5p-2, -0x1.421c6900798cbp-2, -0x1.4b4d06b7fc59ap-2, -0x1.5431e9e9ed3c7p-2, -0x1.5cca9503f2585p-2, -0x1.6516a9dac68c1p-2, -0x1.6d15e83bfe872p-2, -0x1.74c82c85e87f1p-2, -0x1.7c2d6e464ea25p-2, -0x1.8345bee0b553cp-2, -0x1.8a11483ca5026p-2, -0x1.90904b7c5d48fp-2, -0x1.96c31fbc4e229p-2, -0x1.9caa30db92243p-2, -0x1.a245fe4d97769p-2, -0x1.a79719f5173d1p-2, -0x1.ac9e270866d76p-2, -0x1.b15bd8ff29975p-2, -0x1.b5d0f2895cc2fp-2, -0x1.b9fe448faa884p-2, -0x1.bde4ad3cea60bp-2, -0x1.c1851710b6436p-2, -0x1.c4e077fae3d4bp-2, -0x1.c7f7d07fc2c96p-2, -0x1.cacc2ae4eb46cp-2, -0x1.cd5e9a6669aaep-2, -0x1.cfb03a741a007p-2, -0x1.d1c22df6f3589p-2, -0x1.d3959e9e146b6p-2, -0x1.d52bbc33537cfp-2, -0x1.d685bbf716971p-2, -0x1.d7a4d80341139p-2, -0x1.d88a4eb4f8e49p-2, -0x1.d937621d09fd7p-2, -0x1.d9ad5776b3f6cp-2, -0x1.d9ed76a4a76e9p-2, -0x1.d9f909b40092p-2, -0x1.d9d15c6505a21p-2, -0x1.d977bbb97d097p-2, -0x1.d8ed758861656p-2, -0x1.d833d816c8d82p-2, -0x1.d74c31b5d1071p-2, -0x1.d637d0655b6ddp-2, -0x1.d4f8017b7a5c4p-2, -0x1.d38e115057347p-2, -0x1.d1fb4aee74014p-2, -0x1.d040f7c71aa7ap-2, -0x1.ce605f6ad7647p-2, -0x1.cc5ac745d691fp-2, -0x1.ca317260091ddp-2, -0x1.c7e5a120e3b4fp-2, -0x1.c5789116a62c4p-2, -0x1.c2eb7cc0fb368p-2, -0x1.c03f9b5ee2c3fp-2, -0x1.bd7620bfbb829p-2, -0x1.ba903d1759e68p-2, -0x1.b78f1cd50d81p-2, -0x1.b473e87d772e4p-2, -0x1.b13fc4871ef37p-2, -0x1.adf3d139a6cdfp-2, -0x1.aa912a8f8c615p-2, -0x1.a718e81a5c0bdp-2, -0x1.a38c1ce942086p-2, -0x1.9febd771e0fc4p-2, -0x1.9c39217b5e1bap-2, -0x1.9875000b8810ap-2, -0x1.94a073560be45p-2, -0x1.90bc76ad9a00dp-2, -0x1.8cca0076f8398p-2, -0x1.88ca021ddb758p-2, -0x1.84bd680b88fep-2, -0x1.80a5199f20a6ap-2, -0x1.7c81f92786221p-2, -0x1.7854e3ded69b3p-2, -0x1.741eb1e75969ep-2, -0x1.6fe03649e0053p-2, -0x1.6b9a3ef57de27p-2, -0x1.674d94c0936b6p-2, -0x1.62fafb6b136a2p-2, -0x1.5ea331a1fcc2dp-2, -0x1.5a46f103f43f8p-2, -0x1.55e6ee26f5321p-2, -0x1.5183d89f07c5ap-2, -0x1.4d1e5b05f2707p-2, -0x1.48b71b03d8e43p-2, -0x1.444eb958bed09p-2, -0x1.3fe5d1e6daac2p-2, -0x1.3b7cfbbdb6522p-2, -0x1.3714c9260c4c8p-2, -0x1.32adc7ae565c8p-2, -0x1.2e48803806372p-2, -0x1.29e5770559f26p-2, -0x1.25852bc7c276dp-2, -0x1.212819aed55bdp-2, -0x1.1cceb777bc8cap-2, -0x1.1879777d1c3bfp-2, -0x1.1428c7c763b77p-2, -0x1.0fdd121d8524ap-2, -0x1.0b96bc1605a4dp-2, -0x1.0756272861ea3p-2, -0x1.031bb0bebe01ap-2, -0x1.fdcf648faaa5cp-3, -0x1.f5750292577p-3, -0x1.ed28dee2d9857p-3, -0x1.e4eb9555f8879p-3, -0x1.dcbdba5d5ccf2p-3, -0x1.d49fdb2d370fap-3, -0x1.cc927de2258d2p-3, -0x1.c49621a73abf3p-3, -0x1.bcab3edc2641ep-3, -0x1.b4d2473b6af82p-3, -0x1.ad0ba6009d191p-3, -0x1.a557c00ea03d3p-3, -0x1.9db6f415d4b52p-3, -0x1.96299aba32678p-3, -0x1.8eb006b94404bp-3, -0x1.874a850ffb864p-3, -0x1.7ff95d20572efp-3, -0x1.78bcd0d6d0e25p-3, -0x1.71951ccf90cbap-3, -0x1.6a82787b5c49p-3, -0x1.6385164435ad4p-3, -0x1.5c9d23b1b2ff2p-3, -0x1.55cac98cf93e3p-3, -0x1.4f0e2c045c2cbp-3, -0x1.48676ace9ffbap-3, -0x1.41d6a14dd4ed8p-3, -0x1.3b5be6b1c88a5p-3, -0x1.34f74e1a09c1ap-3, -0x1.2ea8e6b77d567p-3, -0x1.2870bbed78e84p-3, -0x1.224ed5726c84p-3, -0x1.1c4337700ca9fp-3, -0x1.164de2a2ff6bcp-3, -0x1.106ed47a0ae0fp-3, -0x1.0aa60734c08b6p-3, -0x1.04f37201a5abfp-3, -0x1.feae1237a8432p-4, -0x1.f3a17bd02b29ap-4, -0x1.e8c0fe22ead6ep-4, -0x1.de0c714a9307ap-4, -0x1.d383a85d5e29ap-4, -0x1.c92671a2fe6dap-4, -0x1.bef496c96493cp-4, -0x1.b4eddd187b515p-4, -0x1.ab1205a4c233bp-4, -0x1.a160cd80cf096p-4, -0x1.97d9ededbb45bp-4, -0x1.8e7d1c8a710eap-4, -0x1.854a0b81ec027p-4, -0x1.7c4069b8597a8p-4, -0x1.735fe2f728204p-4, -0x1.6aa82018018d6p-4, -0x1.6218c72eb1d5dp-4, -0x1.59b17bb1ff9f1p-4, -0x1.5171dea374113p-4, -0x1.49598eb6167fap-4, -0x1.416828741f4edp-4, -0x1.399d4663a1bcdp-4, -0x1.31f8812a31a69p-4, -0x1.2a796faf870c2p-4, -0x1.231fa73f22d93p-4, -0x1.1beabba8f6869p-4, -0x1.14da3f611408fp-4, -0x1.0dedc39e67484p-4, -0x1.0724d8787db29p-4, -0x1.007f0d045f156p-4, -0x1.f3f7dee0f519ep-5, -0x1.e7361a3f58968p-5, -0x1.dab7e586be64fp-5, -0x1.ce7c58e99b91dp-5, -0x1.c2828b9acdd78p-5, -0x1.b6c993fcb222bp-5, -0x1.ab5087ce942c5p-5, -0x1.a0167c5878377p-5, -0x1.951a86954bf6ep-5, -0x1.8a5bbb5b870ddp-5, -0x1.7fd92f843c37ep-5, -0x1.7591f810adbf8p-5, -0x1.6b852a4e60bp-5, -0x1.61b1dbf9c2761p-5, -0x1.5817235f603bep-5, -0x1.4eb4177bbdb8dp-5, -0x1.4587d019cd917p-5, -0x1.3c9165f01900fp-5, -0x1.33cff2bc9c6c4p-5, -0x1.2b42915f5c64cp-5, -0x1.22e85df3c3fccp-5, -0x1.1ac075e8caacdp-5, -0x1.12c9f817ee18fp-5, -0x1.0b0404db0a44fp-5, -0x1.036dbe210f294p-5, -0x1.f80c8f0346468p-6, -0x1.e9998c9f6da96p-6, -0x1.db80c3561ebc3p-6, -0x1.cdc08521a523cp-6, -0x1.c05727d631475p-6, -0x1.b343053f178cap-6, -0x1.a6827b3a39841p-6, -0x1.9a13ebd1a933p-6, -0x1.8df5bd53894fp-6, -0x1.82265a68495e5p-6, -0x1.76a432273985bp-6, -0x1.6b6db8298ea47p-6, -0x1.6081649bdc601p-6, -0x1.55ddb44e154e6p-6, -0x1.4b8128c21f50ep-6, -0x1.416a4839010f8p-6, -0x1.37979dbebcf94p-6, -0x1.2e07b934dd50ep-6, -0x1.24b92f5bc3906p-6, -0x1.1baa99dac2e1cp-6, -0x1.12da9747130aap-6, -0x1.0a47cb299de88p-6, -0x1.01f0de03c23ap-6, -0x1.f3a8faa60d913p-7, -0x1.e3e2b7279c44fp-7, -0x1.d48c60862c4b5p-7, -0x1.c5a36fbe979f7p-7, -0x1.b72567d078ed2p-7, -0x1.a90fd5bc52b02p-7, -0x1.9b6050802268fp-7, -0x1.8e1479125d15dp-7, -0x1.8129fa5b6e469p-7, -0x1.749e892dc9448p-7, -0x1.686fe43ca2d51p-7, -0x1.5c9bd41157ce6p-7, -0x1.51202aff97034p-7, -0x1.45fac5185ffa3p-7, -0x1.3b29881be2f52p-7, -0x1.30aa636a4954bp-7, -0x1.267b4ff381132p-7, -0x1.1c9a50261020dp-7, -0x1.13056fdcfed4ep-7, -0x1.09bac44ce85d4p-7, -0x1.00b86bf03a546p-7, -0x1.eff91ce56364ep-8, -0x1.df0ab93842232p-8, -0x1.cea220751485bp-8, -0x1.bebbd8172ca3fp-8, -0x1.af54774af21d6p-8, -0x1.a068a6be8c522p-8, -0x1.91f520718ddf4p-8, -0x1.83f6af83ab394p-8, -0x1.766a300297698p-8, -0x1.694c8eb71159bp-8, -0x1.5c9ac8f13bda1p-8, -0x1.5051ec5447b3bp-8, -0x1.446f16a1891dp-8, -0x1.38ef758302696p-8, -0x1.2dd046557447fp-8, -0x1.230ed5f205dcep-8, -0x1.18a880778d6f5p-8, -0x1.0e9ab1138ad76p-8, -0x1.04e2e1cae056ap-8, -0x1.f6fd3684a9aap-9, -0x1.e4d6e90ddbbccp-9, -0x1.d34e25ac57022p-9, -0x1.c25e52cc60619p-9, -0x1.b202f25bc8e12p-9, -0x1.a237a15a2fe86p-9, -0x1.92f8176965999p-9, -0x1.8440265df5b3bp-9, -0x1.760bb9cfee202p-9, -0x1.6856d6abf600fp-9, -0x1.5b1d9ac4c3e3p-9, -0x1.4e5c3c64fdc55p-9, -0x1.420f09e19e8bcp-9, -0x1.3632692cdbcc5p-9, -0x1.2ac2d769affdap-9, -0x1.1fbce8800125dp-9, -0x1.151d46b17f0e8p-9, -0x1.0ae0b22f3aaf6p-9, -0x1.010400b007b16p-9, -0x1.ef083a0f60fb1p-10, -0x1.dcbc0d7e0bb05p-10, -0x1.cb1da359a3d69p-10, -0x1.ba274b1f7643p-10, -0x1.a9d37b5235865p-10, -0x1.9a1cd0b1a40e9p-10, -0x1.8afe0d7444336p-10, -0x1.7c7218831ccf4p-10, -0x1.6e73fcb7a2285p-10, -0x1.60fee81bc56acp-10, -0x1.540e2b2c4258p-10, -0x1.479d381d234a1p-10, -0x1.3ba7a220956ffp-10, -0x1.30291cb008c26p-10, -0x1.251d7ad7aa54p-10, -0x1.1a80ae843b3ccp-10, -0x1.104ec7d34662p-10, -0x1.0683f465c5fdep-10, -0x1.fa38fd6a63633p-11, -0x1.e8299ad5f3487p-11, -0x1.d6d2c574f61dfp-11, -0x1.c62db77acb1a4p-11, -0x1.b633dfa5350e7p-11, -0x1.a6dedfff0724dp-11, -0x1.98288ca7c8fd4p-11, -0x1.8a0aeaa04cc09p-11, -0x1.7c802e9c392fdp-11, -0x1.6f82bbd88777ep-11, -0x1.630d22f6f24ep-11, -0x1.571a20de532e6p-11, -0x1.4ba49d9fe88fcp-11, -0x1.40a7ab6186649p-11, -0x1.361e854ca3a1ap-11, -0x1.2c048e8246d0ep-11, -0x1.22555113c6a72p-11, -0x1.190c7d0059e2cp-11, -0x1.1025e7376c8abp-11, -0x1.079d889fb6f33p-11, -0x1.fedefa460fcbfp-12, -0x1.ef30057d7e721p-12, -0x1.e026f131d37e3p-12, -0x1.d1bcbc33f0f7cp-12, -0x1.c3eaa4160e5c1p-12, -0x1.b6aa23714e4b2p-12, -0x1.a9f4f03447a2ep-12, -0x1.9dc4f9fa6c6bp-12, -0x1.9214686c34721p-12, -0x1.86dd99a7f4a47p-12, -0x1.7c1b20b34bb17p-12, -0x1.71c7c3f50a534p-12, -0x1.67de7bb77ada8p-12, -0x1.5e5a70b2f1eb4p-12, -0x1.5536faa08ec0fp-12, -0x1.4c6f9ed50a183p-12, -0x1.44000ee37fed9p-12, -0x1.3be4274814183p-12, -0x1.3417ee1a58fa7p-12, -0x1.2c9791c75a1c9p-12, -0x1.255f67d332d2bp-12, -0x1.1e6beba20ce6ap-12, -0x1.17b9bd4878dc6p-12, -0x1.1145a062f1e17p-12, -0x1.0b0c7af480cadp-12, -0x1.050b544c59a6dp-12, -0x1.fe7ea7e4ac53p-13, -0x1.f34b81347246ap-13, -0x1.e877fe3b27a58p-13, -0x1.ddff22f86c335p-13, -0x1.d3dc2bc62455ap-13, -0x1.ca0a8b72d735fp-13, -0x1.c085e9687fa2bp-13, -0x1.b74a1fdf90a2cp-13, -0x1.ae533a1df248ap-13, -0x1.a59d72c1c708ap-13, -0x1.9d253217b8b7cp-13, -0x1.94e70c7ca1f74p-13, -0x1.8cdfc0ca507edp-13, -0x1.850c36cf333dp-13, -0x1.7d697dd0bd5b4p-13, -0x1.75f4cb1847347p-13, -0x1.6eab788a30e47p-13, -0x1.678b0347251dfp-13, -0x1.60910a5734363p-13, -0x1.59bb4d5e9d12fp-13, -0x1.5307ab5c143c9p-13, -0x1.4c7421704aee4p-13, -0x1.45fec9ae95b75p-13, -0x1.3fa5d9f66f1fbp-13, -0x1.3967a2d5af94ep-13, -0x1.33428e734bc86p-13, -0x1.2d351f825fda8p-13, -0x1.273df03d69984p-13, -0x1.215bb1696c719p-13, -0x1.1b8d2960e5087p-13, -0x1.15d133265567ap-13, -0x1.1026bd7e423efp-13, -0x1.0a8cca106c016p-13, -0x1.05026c9027117p-13, -0x1.ff0d93d72f131p-14, -0x1.f4322f03679cp-14, -0x1.e97134bdc8f2dp-14, -0x1.dec94d000a945p-14, -0x1.d4393c377deccp-14, -0x1.c9bfe1e3e9158p-14, -0x1.bf5c37425d6cdp-14, -0x1.b50d4e03b55cfp-14, -0x1.aad24f0e64a75p-14, -0x1.a0aa794b62a3cp-14, -0x1.9695207dd518dp-14, -0x1.8c91ac253d878p-14, -0x1.829f9669e1666p-14, -0x1.78be6b132650ep-14, -0x1.6eedc687a00f2p-14, -0x1.652d54d68d72p-14, -0x1.5b7cd0ca83e2p-14, -0x1.51dc030507e0ep-14, -0x1.484ac122d56b4p-14, -0x1.3ec8ece899e6dp-14, -0x1.35567377e3ap-14, -0x1.2bf34c8c0bee2p-14, -0x1.229f79bee0304p-14, -0x1.195b05d4d592cp-14, -0x1.1026041089767p-14, -0x1.07008f8d5e05p-14, -0x1.fbd59541f4c28p-15, -0x1.e9c9bc86f4c77p-15, -0x1.d7ddf2fc390ecp-15, -0x1.c612a1c073ee8p-15, -0x1.b4683bf4b53c3p-15, -0x1.a2df3dbe630bp-15, -0x1.91782b54ad483p-15, -0x1.803390191cbbcp-15, -0x1.6f11fdbae4144p-15, -0x1.5e140b649e51ap-15, -0x1.4d3a54f4207ddp-15, -0x1.3c857a3c12acbp-15, -0x1.2bf61e4ef7a2ap-15, -0x1.1b8ce6d356c06p-15, -0x1.0b4a7b60bdfa9p-15, -0x1.f65f09ca9202dp-16, -0x1.d6795a26d46d3p-16, -0x1.b6e53baf572e3p-16, -0x1.97a401ac3da2p-16, -0x1.78b6fdde78c74p-16, -0x1.5a1f7f97d42fdp-16, -0x1.3bded2e0dce59p-16, -0x1.1df63fac144f5p-16, -0x1.00670915ff65bp-16, -0x1.c664d96323e89p-17, -0x1.8cb343c11513ep-17, -0x1.53bbb26e81fbdp-17, -0x1.1b8077d6ff68ep-17, -0x1.c807ad37fdc2cp-18, -0x1.5a9001384834p-18, -0x1.dd3c5838f645cp-19, -0x1.086c92bc4c7f9p-19, -0x1.b5c4e0294e166p-22, 0x1.2fafe30ae4e92p-20, 0x1.633dcd9892eecp-19, 0x1.15b9021f013f3p-18, 0x1.7836fbe7ef4a2p-18, 0x1.d915b15cd8257p-18, 0x1.1c2916406398p-17, 0x1.4af4d266f056fp-17, 0x1.78ecbfe2d1a67p-17, 0x1.a60fa8b4616bcp-17, 0x1.d25c6e4bde042p-17, 0x1.fdd209ae9b3dp-17, 0x1.1437c5c8d291dp-16, 0x1.291a0e3524575p-16, 0x1.3d8f7e3a8c6ep-16, 0x1.5197c1d9e9d98p-16, 0x1.653290f15751dp-16, 0x1.785faf32b849dp-16, 0x1.8b1eec16689c6p-16, 0x1.9d7022ca42c15p-16, 0x1.af533a1d2efacp-16, 0x1.c0c8246770cd8p-16, 0x1.d1cedf6fe3c53p-16, 0x1.e267744e4cfaap-16, 0x1.f291f74b000eap-16, 0x1.012743ddf754p-15, 0x1.08cea7efaf7d7p-15, 0x1.103f425a31a5fp-15, 0x1.177932e8a2131p-15, 0x1.1e7c9e9bfed8ap-15, 0x1.2549af9479031p-15, 0x1.2be094f9fe3b3p-15, 0x1.324182e3ff7f3p-15, 0x1.386cb240846f9p-15, 0x1.3e6260baa129cp-15, 0x1.4422d0a055893p-15, 0x1.49ae48c7e82e6p-15, 0x1.4f051474ce97cp-15, 0x1.5427833c24d11p-15, 0x1.5915e8e8cf63fp-15, 0x1.5dd09d5f4787ep-15, 0x1.6257fc8124abfp-15, 0x1.66ac661069d49p-15, 0x1.6ace3d92a81a4p-15, 0x1.6ebdea33f4d71p-15, 0x1.727bd6a9cc5fap-15, 0x1.76087115dc3c6p-15, 0x1.79642ae8c8578p-15, 0x1.7c8f78c4ebd79p-15, 0x1.7f8ad26125266p-15, 0x1.8256b26bac69ap-15, 0x1.84f3966d0501ep-15, 0x1.8761feab0617bp-15, 0x1.89a26e0c0e65ap-15, 0x1.8bb569fa58cafp-15, 0x1.8d9b7a478a27bp-15, 0x1.8f5529106b2d2p-15, 0x1.90e302a0e41d6p-15, 0x1.9245955834594p-15, 0x1.937d718d6d4e2p-15, 0x1.948b297438b0dp-15, 0x1.956f5101e8379p-15, 0x1.962a7dd2d8eb2p-15, 0x1.96bd471026cf1p-15, 0x1.97284555bbb1ap-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.cb29a90f566fp-1, 0x1.c9869f0a1045ap-1, 0x1.c7cc8b11ef265p-1, 0x1.c5fb7e0067a6ep-1, 0x1.c41394f41bd3cp-1, 0x1.c214f8bdb7754p-1, 0x1.bfffdd46cef3dp-1, 0x1.bdd480f4eacaap-1, 0x1.bb932c0a9148fp-1, 0x1.b93c3007d28aap-1, 0x1.b6cfe70b9c54cp-1, 0x1.b44eb336de299p-1, 0x1.b1b8fe12585fbp-1, 0x1.af0f37f7c93eap-1, 0x1.ac51d77f038a1p-1, 0x1.a98158ef5edbdp-1, 0x1.a69e3db5d86f9p-1, 0x1.a3a90be02031dp-1, 0x1.a0a24d9cc38b7p-1, 0x1.9d8a90c08e8b8p-1, 0x1.9a6266513701p-1, 0x1.972a621550dcap-1, 0x1.93e31a298d2b2p-1, 0x1.908d269b2fde6p-1, 0x1.8d292107af33cp-1, 0x1.89b7a4416058fp-1, 0x1.86394bf91805fp-1, 0x1.82aeb46c9a8bp-1, 0x1.7f187a19be4b4p-1, 0x1.7b773976174dbp-1, 0x1.77cb8eab0b1efp-1, 0x1.741615562028fp-1, 0x1.7057684d67134p-1, 0x1.6c902167d3824p-1, 0x1.68c0d9495c691p-1, 0x1.64ea2732c04dp-1, 0x1.610ca0d4c1101p-1, 0x1.5d28da26b7972p-1, 0x1.593f654054dbfp-1, 0x1.5550d2366f6d6p-1, 0x1.515daefab71bap-1, 0x1.4d66873e2e449p-1, 0x1.496be4564752dp-1, 0x1.456e4d2483792p-1, 0x1.416e460076846p-1, 0x1.3d6c50a40fa8ep-1, 0x1.3968ec1a08819p-1, 0x1.356494ae62bap-1, 0x1.315fc3e0d3d7p-1, 0x1.2d5af0590877dp-1, 0x1.29568ddca58dbp-1, 0x1.25530d46ed5e5p-1, 0x1.2150dc81f44ecp-1, 0x1.1d5066814d0dcp-1, 0x1.1952133e1701bp-1, 0x1.155647b45bd7ap-1, 0x1.115d65e1a7f91p-1, 0x1.0d67ccc4cb36dp-1, 0x1.0975d85eaec06p-1, 0x1.0587e1b4321b7p-1, 0x1.019e3ed0fc335p-1, 0x1.fb72859662364p-2, 0x1.f3b27b8fff122p-2, 0x1.ebfcfa01ebfbbp-2, 0x1.e45295942228fp-2, 0x1.dcb3dd30f29a6p-2, 0x1.d5215a13c24fdp-2, 0x1.cd9b8fd8f03bap-2, 0x1.c622fc8ecf698p-2, 0x1.beb818c7a03a9p-2, 0x1.b75b57ac72baep-2, 0x1.b00d2710de447p-2, 0x1.a8cdef87805ep-2, 0x1.a19e147726af2p-2, 0x1.9a7df430a1662p-2, 0x1.936de80520282p-2, 0x1.8c6e445d14b45p-2, 0x1.857f58cf845bbp-2, 0x1.7ea17039c3e81p-2, 0x1.77d4d0d784dfdp-2, 0x1.7119bc5b33b61p-2, 0x1.6a70700691cbfp-2, 0x1.63d924c3874b8p-2, 0x1.5d540f3d19f56p-2, 0x1.56e15ff8886eap-2, 0x1.5081436e78785p-2, 0x1.4a33e2243258cp-2, 0x1.43f960c4e34e2p-2, 0x1.3dd1e03ad887p-2, 0x1.37bd7dc8b3f2bp-2, 0x1.31bc532288002p-2, 0x1.2bce7686e1c4cp-2, 0x1.25f3fad7af83fp-2, 0x1.202cefb301d44p-2, 0x1.1a79618ba36dp-2, 0x1.14d959c18022ap-2, 0x1.0f4cdeb9d8de6p-2, 0x1.09d3f3f739225p-2, 0x1.046e9a3136045p-2, 0x1.fe399ed7ca0ffp-3, 0x1.f3bd1e1e22009p-3, 0x1.e967a3fa4e823p-3, 0x1.df391d53a98a3p-3, 0x1.d5317260b5851p-3, 0x1.cb5086d317751p-3, 0x1.c1963a02f6411p-3, 0x1.b8026719a22ccp-3, 0x1.ae94e53b96f34p-3, 0x1.a54d87b1c7cd5p-3, 0x1.9c2c1e1231de5p-3, 0x1.93307467bb311p-3, 0x1.8a5a535952d3ep-3, 0x1.81a98050567b6p-3, 0x1.791dbd9e34de4p-3, 0x1.70b6caa1575a4p-3, 0x1.687463e93f86ep-3, 0x1.60564359ecf14p-3, 0x1.585c204e77a81p-3, 0x1.5085afbae9438p-3, 0x1.48d2a44d58cf6p-3, 0x1.4142ae8e363dfp-3, 0x1.39d57cffdee4fp-3, 0x1.328abc3d696e1p-3, 0x1.2b621718b0433p-3, 0x1.245b36b797d4p-3, 0x1.1d75c2b09b427p-3, 0x1.16b1612694e82p-3, 0x1.100db6e3c9bdbp-3, 0x1.098a677438863p-3, 0x1.0327153f30426p-3, 0x1.f9c6c34054ceep-4, 0x1.ed7dd9fddfc55p-4, 0x1.e172adce0e4fcp-4, 0x1.d5a47c3ce4a75p-4, 0x1.ca1281776cb08p-4, 0x1.bebbf87676144p-4, 0x1.b3a01b27e86ebp-4, 0x1.a8be2296dc595p-4, 0x1.9e1547124305dp-4, 0x1.93a4c05260d87p-4, 0x1.896bc59cf2b8p-4, 0x1.7f698de814125p-4, 0x1.759d4ffbec7p-4, 0x1.6c06429325a73p-4, 0x1.62a39c7a312e2p-4, 0x1.597494ad625d5p-4, 0x1.50786275e232fp-4, 0x1.47ae3d858428cp-4, 0x1.3f155e117eecdp-4, 0x1.36acfcec10e79p-4, 0x1.2e74539d1522bp-4, 0x1.266a9c798e03fp-4, 0x1.1e8f12ba2c326p-4, 0x1.16e0f290d6925p-4, 0x1.0f5f793d39d9fp-4, 0x1.0809e520647fcp-4, 0x1.00df75cf7476p-4, 0x1.f3bed84abc876p-5, 0x1.e61214a79ed67p-5, 0x1.d8b727e66b95dp-5, 0x1.cbac9c23dd36bp-5, 0x1.bef0fe8545591p-5, 0x1.b282df53aee55p-5, 0x1.a660d2156e571p-5, 0x1.9a896da6311d8p-5, 0x1.8efb4c4d9049fp-5, 0x1.83b50bd437158p-5, 0x1.78b54d97a393cp-5, 0x1.6dfab69c8bc6ap-5, 0x1.6383ef9ff254cp-5, 0x1.594fa526f89c5p-5, 0x1.4f5c878d6d6dbp-5, 0x1.45a94b132cd5cp-5, 0x1.3c34a7e856f3fp-5, 0x1.32fd5a38637c5p-5, 0x1.2a0222341ff91p-5, 0x1.2141c41aa0e2cp-5, 0x1.18bb08412ad6fp-5, 0x1.106cbb1a2475dp-5, 0x1.0855ad3b0f24ep-5, 0x1.0074b36197f4ap-5, 0x1.f1914cef8c92dp-6, 0x1.e2a0c72e9b1e8p-6, 0x1.d41598181a76p-6, 0x1.c5ed8aab8f13ep-6, 0x1.b826725226729p-6, 0x1.aabe2adf236a9p-6, 0x1.9db2988ee733fp-6, 0x1.9101a80499276p-6, 0x1.84a94e4687fcdp-6, 0x1.78a788b94f14dp-6, 0x1.6cfa5d19c082p-6, 0x1.619fd975ba85bp-6, 0x1.56961423dbd54p-6, 0x1.4bdb2bba2ffdbp-6, 0x1.416d4703e57c8p-6, 0x1.374a94f60468bp-6, 0x1.2d714ca34e7b9p-6, 0x1.23dfad2f39b2bp-6, 0x1.1a93fdc01e2bep-6, 0x1.118c8d70a3e5fp-6, 0x1.08c7b3406d95ap-6, 0x1.0043ce041a97dp-6, 0x1.effe88a9443b7p-7, 0x1.dff108fc162f6p-7, 0x1.d05c08db34675p-7, 0x1.c13c833eddcc6p-7, 0x1.b28f821746632p-7, 0x1.a4521e25e1f82p-7, 0x1.96817ed5c7fd2p-7, 0x1.891ada1357fefp-7, 0x1.7c1b7423082fep-7, 0x1.6f809f7790b07p-7, 0x1.6347bc876df5bp-7, 0x1.576e39a1cb305p-7, 0x1.4bf192c2eca1cp-7, 0x1.40cf5168143dap-7, 0x1.36050c6305bfbp-7, 0x1.2b9067ad1ecfbp-7, 0x1.216f143a1df07p-7, 0x1.179ecfca9ed7bp-7, 0x1.0e1d64be57b92p-7, 0x1.04e8a9e6213a7p-7, 0x1.f7fd04abaa0e2p-8, 0x1.e6b9ba6c1659cp-8, 0x1.d6036b2b8278ep-8, 0x1.c5d62477e4fcbp-8, 0x1.b62e0af25796bp-8, 0x1.a70759f24302bp-8, 0x1.985e6328a36cep-8, 0x1.8a2f8e436fbfdp-8, 0x1.7c7758913744ep-8, 0x1.6f3254a5004acp-8, 0x1.625d29fa75e37p-8, 0x1.55f4949a72cd6p-8, 0x1.49f564bff4cacp-8, 0x1.3e5c7e7d82cf1p-8, 0x1.3326d963133fdp-8, 0x1.285180247bd91p-8, 0x1.1dd9904073a8p-8, 0x1.13bc39a832ed4p-8, 0x1.09f6be67b8ca3p-8, 0x1.0086724ebe089p-8, 0x1.eed17534bdb07p-9, 0x1.dd361b3f01b66p-9, 0x1.cc35e4ec0065p-9, 0x1.bbcc014947a74p-9, 0x1.abf3bf9bcc332p-9, 0x1.9ca88ebb27a3ap-9, 0x1.8de5fc6e8bfb8p-9, 0x1.7fa7b4cb7d761p-9, 0x1.71e981965604ap-9, 0x1.64a749a49c9c4p-9, 0x1.57dd10413b056p-9, 0x1.4b86f492946d6p-9, 0x1.3fa13102852cep-9, 0x1.34281aa853a32p-9, 0x1.291820b494f85p-9, 0x1.1e6dcbdf0b668p-9, 0x1.1425bdd67e9b1p-9, 0x1.0a3cb0b29d621p-9, 0x1.00af7667d8492p-9, 0x1.eef5f07a941cap-10, 0x1.dd386c8950715p-10, 0x1.cc208da87336dp-10, 0x1.bba8ac05b7895p-10, 0x1.abcb4a4c2a2f2p-10, 0x1.9c8314a45ac0dp-10, 0x1.8dcadfb8b70bep-10, 0x1.7f9da7bdeee8bp-10, 0x1.71f68f7f74c79p-10, 0x1.64d0df7010d37p-10, 0x1.582804be8b2a7p-10, 0x1.4bf7906e53481p-10, 0x1.403b367446664p-10, 0x1.34eeccd766adfp-10, 0x1.2a0e4ad5a19b5p-10, 0x1.1f95c80c82b05p-10, 0x1.15817ba5e597ep-10, 0x1.0bcdbb888cb5cp-10, 0x1.0276fb8ca085ap-10, 0x1.f2f3996820b8dp-11, 0x1.e1a5b8cd862eep-11, 0x1.d0fde76536e19p-11, 0x1.c0f5ed1e8118bp-11, 0x1.b187c64b450ap-11, 0x1.a2ada23666a56p-11, 0x1.9461e1c1943fdp-11, 0x1.869f160a4cf4fp-11, 0x1.795fff161566p-11, 0x1.6c9f8a85c3e06p-11, 0x1.6058d24fd1e69p-11, 0x1.54871b819beaap-11, 0x1.4925d50779d61p-11, 0x1.3e30967b9c1a1p-11, 0x1.33a31efb96176p-11, 0x1.297954047ee5ep-11, 0x1.1faf405593fd4p-11, 0x1.164112d944142p-11, 0x1.0d2b1d948ed78p-11, 0x1.0469d49c9e3bap-11, 0x1.f7f39a250ec3bp-12, 0x1.e7af784a28ea5p-12, 0x1.d800ec311297fp-12, 0x1.c8e1daa885acfp-12, 0x1.ba4c62ec3c6aap-12, 0x1.ac3adcd721e84p-12, 0x1.9ea7d720ae50dp-12, 0x1.918e15a5433b2p-12, 0x1.84e88fb95f1fap-12, 0x1.78b26e876b93fp-12, 0x1.6ce70b7806c45p-12, 0x1.6181eea48ef9fp-12, 0x1.567ecd53c3983p-12, 0x1.4bd98880513a8p-12, 0x1.418e2b691a1d1p-12, 0x1.3798ea2b04525p-12, 0x1.2df6206431d87p-12, 0x1.24a24fe0605b2p-12, 0x1.1b9a1f4e56f63p-12, 0x1.12da58fe27e05p-12, 0x1.0a5fe9a820291p-12, 0x1.0227df3c38f45p-12, 0x1.f45ecf73bb3bcp-13, 0x1.e4e7a01fbaaap-13, 0x1.d5e50608b56a4p-13, 0x1.c752104928d8p-13, 0x1.b92a0578aac9p-13, 0x1.ab6861a9dac4ap-13, 0x1.9e08d476fc87cp-13, 0x1.91073f1cfbe23p-13, 0x1.845fb2a483758p-13, 0x1.780e6e18d8de3p-13, 0x1.6c0fdccc2d37cp-13, 0x1.606094a91905bp-13, 0x1.54fd5490fc594p-13, 0x1.49e302c6e7546p-13, 0x1.3f0eab66db4d8p-13, 0x1.347d7ee900981p-13, 0x1.2a2cd0b0a04f5p-13, 0x1.201a15a68ac49p-13, 0x1.1642e2deb1d14p-13, 0x1.0ca4ec48a8b13p-13, 0x1.033e036acc244p-13, 0x1.f4182c4f9cc74p-14, 0x1.e21a5b1cd356p-14, 0x1.d07ed965d7bd8p-14, 0x1.bf421f24eaf6fp-14, 0x1.ae60d3ff18a87p-14, 0x1.9dd7cd2fce34cp-14, 0x1.8da40b863d17dp-14, 0x1.7dc2b9741efffp-14, 0x1.6e31292d7498cp-14, 0x1.5eecd2d8bdaffp-14, 0x1.4ff352cf448f9p-14, 0x1.414267ed0b3e4p-14, 0x1.32d7f1eff1cd9p-14, 0x1.24b1efe5ab117p-14, 0x1.16ce7ea8196dap-14, 0x1.092bd767adf21p-14, 0x1.f7909c86d09ffp-15, 0x1.dd44a1dc28709p-15, 0x1.c370cac0ce5cp-15, 0x1.aa12512f3f028p-15, 0x1.91269ac097a39p-15, 0x1.78ab3659be70ep-15, 0x1.609dd9ef77f9ap-15, 0x1.48fc6060be2cfp-15, 0x1.31c4c766b0b41p-15, 0x1.1af52d997c81ap-15, 0x1.048bd08996a89p-15, 0x1.dd0e15d9636eep-16, 0x1.b1caa5bba8387p-16, 0x1.874a705fed9bdp-16, 0x1.5d8ac5a5355a9p-16, 0x1.3489228f953ecp-16, 0x1.0c432e55ec9bp-16, 0x1.c96d6f20951f2p-17, 0x1.7bc3630bdddfdp-17, 0x1.2f846333d4bf3p-17, 0x1.c959b35564608p-18, 0x1.3672d6391a0cap-18, 0x1.4c9bc952255a8p-19, 0x1.8e4f7ef35c94ep-22, -0x1.c735ec6784e8bp-20, -0x1.f39d578b7756ep-19, -0x1.7f2384f43c6fep-18, -0x1.00e856093d80dp-17, -0x1.40ed43e0c3497p-17, -0x1.7fa2a3131c7ffp-17, -0x1.bd0a71729066dp-17, -0x1.f9269666cbb1cp-17, -0x1.19fc72cdb16abp-16, -0x1.36c190c466aa7p-16, -0x1.52e37eec913eep-16, -0x1.6e6310d50307dp-16, -0x1.894114d67c9a8p-16, -0x1.a37e5513b872bp-16, -0x1.bd1b9869e783cp-16, -0x1.d619a35242bc7p-16, -0x1.ee7938b5447c8p-16, -0x1.031d8d580b9cp-15, -0x1.0eb005a662896p-15, -0x1.19f46696dca5p-15, -0x1.24eb121684cc5p-15, -0x1.2f946af80d4b3p-15, -0x1.39f0d53802b13p-15, -0x1.4400b63ba47abp-15, -0x1.4dc4750a9cd5bp-15, -0x1.573c7a83caacbp-15, -0x1.6069318d5b92ap-15, -0x1.694b074068014p-15, -0x1.71e26b1043fdfp-15, -0x1.7a2fceedbbfddp-15, -0x1.8233a76664f1bp-15, -0x1.89ee6bc038c36p-15, -0x1.91609611a519p-15, -0x1.988aa3563b345p-15, -0x1.9f6d13802c86ep-15, -0x1.a6086986b8ba3p-15, -0x1.ac5d2b71ba35cp-15, -0x1.b26be26273005p-15, -0x1.b8351a99c1fb3p-15, -0x1.bdb9637be2544p-15, -0x1.c2f94f91d7c67p-15, -0x1.c7f57488aaf6cp-15, -0x1.ccae6b2e92c1p-15, -0x1.d124cf6e2ae0bp-15, -0x1.d5594047d863ep-15, -0x1.d94c5fc973529p-15, -0x1.dcfed30456b06p-15, -0x1.e0714201eb059p-15, -0x1.e3a457b6cda9cp-15, -0x1.e698c1f4a5068p-15, -0x1.e94f315abe488p-15, -0x1.ebc859458a1d6p-15, -0x1.ee04efbd0f8cfp-15, -0x1.f005ad6265247p-15, -0x1.f1cb4d5c4da31p-15, -0x1.f3568d430128ap-15, -0x1.f4a82d0b3cd89p-15, -0x1.f5c0eef0a8121p-15, -0x1.f6a1975f9f743p-15, -0x1.f74aecde769cbp-15, -0x1.f7bdb7f644172p-15, -0x1.f7fac31b3ce24p-15, -0x1.f802da94b80cdp-15, -0x1.f7d6cc64e36bp-15, -0x1.f777683032c31p-15, -0x1.f6e57f249eb24p-15, -0x1.f621e3e0b6889p-15, -0x1.f52d6a5a93e16p-15, -0x1.f408e7c6bb7f2p-15, -0x1.f2b5327ef4c99p-15, -0x1.f13321e91fdabp-15, -0x1.ef838e5e1431ap-15, -0x1.eda751109336p-15, -0x1.eb9f43f45397cp-15, -0x1.e96c41a52c06ep-15, -0x1.e70f254e69e04p-15, -0x1.e488ca9256544p-15, -0x1.e1da0d71f0838p-15, -0x1.df03ca34e47fcp-15, -0x1.dc06dd51c5abdp-15, -0x1.d8e423568e49p-15, -0x1.d59c78d16b093p-15, -0x1.d230ba39d922fp-15, -0x1.cea1c3da196c9p-15, -0x1.caf071b8f9933p-15, -0x1.c71d9f83fe989p-15, -0x1.c32a2879ec45cp-15, -0x1.bf16e755b17eap-15, -0x1.bae4b639bb448p-15, -0x1.b6946e9baf1f7p-15, -0x1.b226e930919e2p-15, -0x1.ad9cfdd95b14bp-15, -0x1.a8f7838ffb541p-15, -0x1.a4375054cd6d8p-15, -0x1.9f5d391c7ec1ap-15, -0x1.9a6a11be6aca3p-15, -0x1.955eace36a8bdp-15, -0x1.903bdbf51a33dp-15, -0x1.8b026f0d96b03p-15, -0x1.85b334e7b05f3p-15, -0x1.804efacf97e28p-15, -0x1.7ad68c93ffaddp-15, -0x1.754ab477b929fp-15, -0x1.6fac3b23c8045p-15, -0x1.69fbe799ee30dp-15, -0x1.643a7f27ae185p-15, -0x1.5e68c559c68e4p-15, -0x1.58877bf023257p-15, -0x1.529762d24593fp-15, -0x1.4c99380422614p-15, -0x1.468db79b7308bp-15, -0x1.40759bb57c1f6p-15, -0x1.3a519c6d4721p-15, -0x1.34226fd24d5ep-15, -0x1.2de8c9df940b3p-15, }}, 
      std::vector<double>(518, 0.0), 
      std::vector<double>(518, 0.0), 
      std::vector<double>(518, 0.0), 
      std::vector<double>(518, 0.0), 
      std::vector<double>(518, 0.0), 
      std::vector<double>(518, 0.0), 
      std::vector<double>(518, 0.0), 
      std::vector<double>(518, 0.0), 
    }}, 
    {
      25, 0x1.bc28f5c28f5c3p+1, 0x1.6fa818a9b5d71p+1, 0x1.5d995a6bd5b3ep+1, -0x1.17d48ff427c94p-4, 
      {{
        {0x1.52fd86a8fc0d3p+0, 0x1.5fca5375c8dap+0, 0x1.188094e5d5b25p-2, -0x1.f750e311f17bcp-1, 0x1.696bb98c7e14cp+0, 0x1.95178397c8b39p-2}, 
        {0x1.5fca5375c8dap+0, 0x1.6c97204295a6cp+0, 0x1.d3abc947064edp-3, -0x1.ad8340fca2b6ep-1, 0x1.789c9b48959b9p+0, -0x1.fa5d647db9403p+0}, 
        {0x1.6c97204295a6cp+0, 0x1.7963ed0f62739p+0, 0x1.84cb5bb384fd3p-3, -0x1.69c92c65c3bb8p-1, 0x1.2ca8329c20389p+0, -0x1.0b2c77e4cce06p+0}, 
        {0x1.7963ed0f62739p+0, 0x1.8630b9dc2f406p+0, 0x1.422ee41919ac8p-3, -0x1.31a97b1d2be1ap-1, 0x1.0494ba39ce4a1p+0, -0x1.080b5bad8bbdfp+0}, 
        {0x1.8630b9dc2f406p+0, 0x1.92fd86a8fc0d3p+0, 0x1.09ff92f2b66b6p-3, -0x1.0181aa71a7478p-1, 0x1.b9f2d8f2bf74bp-1, -0x1.b9ae809cf9443p-1}, 
        {0x1.92fd86a8fc0d3p+0, 0x1.9fca5375c8dap+0, 0x1.b564302b40f67p-4, -0x1.b13f9ea0a1c44p-2, 0x1.77b245a800773p-1, -0x1.5b1acb4fbc5ap-1}, 
        {0x1.9fca5375c8dap+0, 0x1.ac97204295a6cp+0, 0x1.65e892253111fp-4, -0x1.6b50d8ddaae5fp-2, 0x1.43a173f5a4367p-1, -0x1.5cf8c0bba3604p-1}, 
        {0x1.ac97204295a6cp+0, 0x1.b963ed0f62739p+0, 0x1.235e74299d884p-4, -0x1.2fd30201461b8p-2, 0x1.0f48f0a64bb5p-1, -0x1.f78569a844fadp-2}, 
        {0x1.b963ed0f62739p+0, 0x1.c630b9dc2f406p+0, 0x1.d78e5c4eb56fcp-5, -0x1.faaff5f997ed1p-3, 0x1.d30aab0cf3779p-2, -0x1.daa8f8ac43b05p-2}, 
        {0x1.c630b9dc2f406p+0, 0x1.d2fd976ff3adep+0, 0x1.7b15b573eab36p-5, -0x1.a4661f2cc9873p-3, 0x1.8bd7b8f31c836p-2, -0x1.85ec201608c76p-2}, 
        {0x1.d2fd976ff3adep+0, 0x1.dfca643cc07abp+0, 0x1.2e87d2c7b890dp-5, -0x1.5b13ef07f33afp-3, 0x1.515a6779922f6p-2, -0x1.608bad4d7de4bp-2}, 
        {0x1.dfca643cc07abp+0, 0x1.ec9731098d478p+0, 0x1.df04ddb5525ccp-6, -0x1.1ce53a6028859p-3, 0x1.1c78a71458e6ap-2, -0x1.1f2c706affb79p-2}, 
        {0x1.ec9731098d478p+0, 0x1.f963fdd65a145p+0, 0x1.77dd872f33ca3p-6, -0x1.d09e16926d799p-4, 0x1.e2ca5fa231e2bp-3, -0x1.e74fe29018cc2p-3}, 
        {0x1.f963fdd65a145p+0, 0x1.0318655193709p+1, 0x1.241c3efae7925p-6, -0x1.775e7de23ae8bp-4, 0x1.99b1973fc7c4p-3, -0x1.a9864d3b8914p-3}, 
        {0x1.0318655193709p+1, 0x1.097ecbb7f9d6fp+1, 0x1.c19c17225b74ap-7, -0x1.2bd0302701cfcp-4, 0x1.59dd721073344p-3, -0x1.5e1c073a156cfp-3}, 
        {0x1.097ecbb7f9d6fp+1, 0x1.0fe5321e603d5p+1, 0x1.56d19dece5711p-7, -0x1.d7c8a3892d39fp-5, 0x1.25593dc7bcca7p-3, -0x1.50b9b6a0bbb23p-3}, 
        {0x1.0fe5321e603d5p+1, 0x1.164b9884c6a3cp+1, 0x1.0385c67dfe32ap-7, -0x1.6c8bcb2ebe61ep-5, 0x1.e5adf7f8dadfap-4, -0x1.1d73e6f73403p-3}, 
        {0x1.164b9884c6a3cp+1, 0x1.1cb1feeb2d0a2p+1, 0x1.878316a055758p-8, -0x1.13f946eac9ed1p-5, 0x1.900b32aeb1ab3p-4, -0x1.e391320f2b1fep-4}, 
        {0x1.1cb1feeb2d0a2p+1, 0x1.2318655193709p+1, 0x1.28283d35eb745p-8, -0x1.966fdee731eb9p-6, 0x1.478237f938005p-4, -0x1.7a68eadb0c57ep-4}, 
        {0x1.2318655193709p+1, 0x1.297ecbb7f9d6fp+1, 0x1.c66d373affb05p-9, -0x1.1ec92bb828b01p-6, 0x1.0ebf47f1f626p-4, -0x1.49524d86b2b19p-4}, 
        {0x1.297ecbb7f9d6fp+1, 0x1.2fe5321e603d5p+1, 0x1.680e065300581p-9, -0x1.78bbb1e4e919ap-7, 0x1.bab2abd51d171p-5, -0x1.2f26f5915249ap-4}, 
        {0x1.2fe5321e603d5p+1, 0x1.364b9884c6a3cp+1, 0x1.2d3415b1422cdp-9, -0x1.b3afb01c49ed4p-8, 0x1.5fc0955cb79bp-5, -0x1.044f4cd7db372p-4}, 
        {0x1.364b9884c6a3cp+1, 0x1.3cb1feeb2d0a2p+1, 0x1.0ea9e6eeb7026p-9, -0x1.730b130b3c499p-9, 0x1.11a8cb1bf5d6dp-5, -0x1.c8f20c53c23a9p-5}, 
        {0x1.3cb1feeb2d0a2p+1, 0x1.4318655193709p+1, 0x1.0624dd2f1a9fcp-9, 0x1.7f4dbc87ff78p-14, 0x1.9a3c2c1ecb03p-6, -0x1.5ac9a1381ee77p-3}, 
        {0x1.4318655193709p+1, 0x1.bc28f5c28f5c3p+1, 0x1.0c2c5e2cdc012p-9, 0x1.5b6a9c15d014p-10, -0x1.7a3eef89b87e4p-12, -0x1.058a11d640a14p-5}, 
      }}, 
      0x1.96e7fdc94f133p-5, -0x1.5424b1e91b0fep-6
    }
  };
  // clang-format on
}
SkfData params_mio_0_1_c_n() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.21858edd14676p+0, -0x1.135fe5e194ffdp+0, -0x1.0543fc0b2018dp+0, -0x1.ee799edcc9e4dp-1, -0x1.d2a84949f44e3p-1, -0x1.b725a799dcb21p-1, -0x1.9c0217b30dcf5p-1, -0x1.814c45eddc3aep-1, -0x1.6710c365fa001p-1, -0x1.4d5a3b730ddd3p-1, -0x1.343213ea0e5a4p-1, -0x1.1ba0d969fafb3p-1, -0x1.03ae190ca059bp-1, -0x1.d8bfda2da000fp-2, -0x1.ab7596362c8c6p-2, -0x1.7f83972884308p-2, -0x1.54ee5e41685edp-2, -0x1.2bb98f1a77ab2p-2, -0x1.03e82b08d2263p-2, -0x1.baf88755d47b3p-3, -0x1.70ece9dc35f59p-3, -0x1.29aee6d0db854p-3, -0x1.ca54ea4d60a95p-4, -0x1.46c07ead985dfp-4, -0x1.91202477721bep-5, -0x1.3ebfe9b982943p-6, 0x1.1fb3229cc1222p-7, 0x1.24f81f8949e16p-5, 0x1.f7f79518d60c5p-5, 0x1.60917448af317p-4, 0x1.c0599d4055274p-4, 0x1.0db8acb7e3cf1p-3, 0x1.38fb247e3d657p-3, 0x1.62035ff6cb366p-3, 0x1.88e0f84eac146p-3, 0x1.ada3fdb1e025ap-3, 0x1.d05ce73fa4ae5p-3, 0x1.f11c69f320702p-3, 0x1.07f9a0090f64p-2, 0x1.1678f8a77074cp-2, 0x1.2414557d20abap-2, 0x1.30d3984538658p-2, 0x1.3cbe71cb9015dp-2, 0x1.47dc6dc3190ffp-2, 0x1.523501406f23fp-2, 0x1.5bcf9731b5a3ap-2, 0x1.64b397b06f8dfp-2, 0x1.6ce868b3b47e7p-2, 0x1.7475681a4e8afp-2, 0x1.7b61e0354675fp-2, 0x1.81b4f8ef53eabp-2, 0x1.8775a848950c7p-2, 0x1.8caaa4f43cddp-2, 0x1.915a5d64266c9p-2, 0x1.958af48fb2a2ap-2, 0x1.994244886ab8cp-2, 0x1.9c85e5c4986c4p-2, 0x1.9f5b393132dcbp-2, 0x1.a1c772c363b4ep-2, 0x1.a3cfa26ffa098p-2, 0x1.a578ba0c2c347p-2, 0x1.a6c78f74e1a01p-2, 0x1.a7c0db34691d3p-2, 0x1.a867ce326f7f7p-2, 0x1.a8c505f3b456cp-2, 0x1.a8d9ff6e35b5cp-2, 0x1.a8aa979636c65p-2, 0x1.a83a81937631p-2, 0x1.a78d4b66a6948p-2, 0x1.a6a661d5cbccbp-2, 0x1.a5891339183bcp-2, 0x1.a43890fb0a832p-2, 0x1.a2b7efd804e26p-2, 0x1.a10a271995d29p-2, 0x1.9f320f29a1ca3p-2, 0x1.9d325fe69cc2dp-2, 0x1.9b0daf1d29694p-2, 0x1.98c66f78ba035p-2, 0x1.965ef02190a9p-2, 0x1.93d95d20b0062p-2, 0x1.9137c086a41ccp-2, 0x1.8e7c043bc5c2fp-2, 0x1.8ba7f4518222p-2, 0x1.88bd41a4357e3p-2, 0x1.85bd849bcca63p-2, 0x1.82aa3fdd2b855p-2, 0x1.7f84e2c5e35f5p-2, 0x1.7c4ecb95b3845p-2, 0x1.7909493432c54p-2, 0x1.75b59c8bb9a52p-2, 0x1.7254f97c4e495p-2, 0x1.6ee8877110ecap-2, 0x1.6b7161a835ed4p-2, 0x1.67f09740acedcp-2, 0x1.64672b2198dc5p-2, 0x1.60d613cecde58p-2, 0x1.5d3e3b3b68895p-2, 0x1.59a07ea89439bp-2, 0x1.55fdae9b37afdp-2, 0x1.52568eefd3b41p-2, 0x1.4eabd710a1674p-2, 0x1.4afe324efa93p-2, 0x1.474e405e8261p-2, 0x1.439c95ee564bap-2, 0x1.3fe9bd5ae0196p-2, 0x1.3c363771c280dp-2, 0x1.38827c40b3d68p-2, 0x1.34cefbe820bd8p-2, 0x1.311c1f6acc4dfp-2, 0x1.2d6a4974813fep-2, 0x1.29b9d712fb69ep-2, 0x1.260b205d77385p-2, 0x1.225e79088bb4dp-2, 0x1.1eb430e530ccdp-2, 0x1.1b0c944acab38p-2, 0x1.1767ec6cf5b9bp-2, 0x1.13c67f9e68c7bp-2, 0x1.10289182ba105p-2, 0x1.0c8e633118662p-2, 0x1.08f8334a44c5fp-2, 0x1.05663e041abf4p-2, 0x1.01d8bd2d0a2e1p-2, 0x1.fc9fd053974c9p-3, 0x1.f597e7df01861p-3, 0x1.ee9a25f89a0fep-3, 0x1.e7a6eaa06c056p-3, 0x1.e0be90cfa5f43p-3, 0x1.d9e16e74217d1p-3, 0x1.d30fd473d2efep-3, 0x1.cc4a0eb94cd53p-3, 0x1.c5906449c558bp-3, 0x1.bee317648cde2p-3, 0x1.b84265ab4412ep-3, 0x1.b1ae8851d7ac4p-3, 0x1.ab27b454f1d08p-3, 0x1.a4ae1ab56991ap-3, 0x1.9e41e8b7266b4p-3, 0x1.97e34821f4bap-3, 0x1.91925f82e52ep-3, 0x1.8b4f526ce3b04p-3, 0x1.851a41b75ff0ap-3, 0x1.7ef34bba2208fp-3, 0x1.78da8c8572d2bp-3, 0x1.72d01e160c135p-3, 0x1.6cd418844f32cp-3, 0x1.66e6922e92fb1p-3, 0x1.61079fde490d5p-3, 0x1.5b3679b7b175ep-3, 0x1.55744cc11fecp-3, 0x1.4fc0f6937513ap-3, 0x1.4a1c893cdbfcbp-3, 0x1.448715277b652p-3, 0x1.3f00a91ec67a1p-3, 0x1.39895255193fp-3, 0x1.34211c69bf634p-3, 0x1.2ec8116f96c8cp-3, 0x1.297e39f43fa83p-3, 0x1.24439d07f9fe8p-3, 0x1.1f18404608acap-3, 0x1.19fc27dda1554p-3, 0x1.14ef569b4404ap-3, 0x1.0ff1cdf25cbc6p-3, 0x1.0b038e0726f77p-3, 0x1.062495b89c9d5p-3, 0x1.0154e2aa6b1dbp-3, 0x1.f928e29d83b03p-4, 0x1.efc679dff1dd1p-4, 0x1.e6827f73c58b1p-4, 0x1.dd5ce585a57fep-4, 0x1.d4559c2861805p-4, 0x1.cb6c916552884p-4, 0x1.c2a1b14bc4b7dp-4, 0x1.b9f4e5ff79097p-4, 0x1.b16617c63988fp-4, 0x1.a8f52d148fe1cp-4, 0x1.a0a20a99a1c7ep-4, 0x1.986c934a4fbcbp-4, 0x1.9054a86ba5d69p-4, 0x1.885a299cb2406p-4, 0x1.807cf4dfe1ceep-4, 0x1.78bce6a3f79b4p-4, 0x1.7119d9ccb6dc1p-4, 0x1.6993a7bb57433p-4, 0x1.622a2856d9b0ep-4, 0x1.5add32144f2ebp-4, 0x1.53ac99ff23148p-4, 0x1.4c9833c175e46p-4, 0x1.459fd1ac95b3ep-4, 0x1.3ec344c19a1f6p-4, 0x1.38025cba2e814p-4, 0x1.315ce81189b9ep-4, 0x1.2ad2b40d9a63ep-4, 0x1.24638cc86477dp-4, 0x1.1e0f3d3991f44p-4, 0x1.17d58f4032244p-4, 0x1.11b64baca6d05p-4, 0x1.0bb13a4ab6e83p-4, 0x1.05c621ebc7863p-4, 0x1.ffe990e25f606p-5, 0x1.f479e5ad4a276p-5, 0x1.e93cca79761b5p-5, 0x1.de31c5e6d60a6p-5, 0x1.d3585d0948ad8p-5, 0x1.c8b0137db283fp-5, 0x1.be386b7f0e2e4p-5, 0x1.b3f0e5fb5ff01p-5, 0x1.a9d902a888d2bp-5, 0x1.9ff04018ed18fp-5, 0x1.96361bcfe3cfap-5, 0x1.8caa1255ea8d7p-5, 0x1.834b9f4c96p-5, 0x1.7a1a3d82372c7p-5, 0x1.7115670534b0fp-5, 0x1.683c95370fef7p-5, 0x1.5f8f40df17e29p-5, 0x1.570ce23cbf6a9p-5, 0x1.4eb4f119a144dp-5, 0x1.4686e4db22336p-5, 0x1.3e823493beb3ap-5, 0x1.36a65713f84ccp-5, 0x1.2ef2c2faea8e6p-5, 0x1.2766eec681c3fp-5, 0x1.200250e35ac01p-5, 0x1.18c45fbc456bp-5, 0x1.11ac91c96c30ap-5, 0x1.0aba5d9f24e04p-5, 0x1.03ed39fc66123p-5, 0x1.fa893bb1c92ep-6, 0x1.ed8000e5b34a1p-6, 0x1.e0bdb2b8dc7ecp-6, 0x1.d4414111a01e2p-6, 0x1.c8099cb1e22ddp-6, 0x1.bc15b74fd670dp-6, 0x1.b06483ae1ddacp-6, 0x1.a4f4f5b3357f2p-6, 0x1.99c60280342cep-6, 0x1.8ed6a086da39bp-6, 0x1.8425c79ef4325p-6, 0x1.79b2711b09661p-6, 0x1.6f7b97dc63abap-6, 0x1.658038665ec91p-6, 0x1.5bbf50f1127d2p-6, 0x1.5237e17b49182p-6, 0x1.48e8ebdbc845cp-6, 0x1.3fd173d1f1a7ap-6, 0x1.36f07f15af4b9p-6, 0x1.2e451566ba0fap-6, 0x1.25ce409b3723ep-6, 0x1.1d8b0cada3834p-6, 0x1.157a87ca20645p-6, 0x1.0d9bc25b128eap-6, 0x1.05edcf15208a6p-6, 0x1.fcdf860514166p-7, 0x1.ee416b1bbc695p-7, 0x1.dfff811825ae7p-7, 0x1.d218008bfc18cp-7, 0x1.c4892702602cap-7, 0x1.b751371075c34p-7, 0x1.aa6e7864b4fcfp-7, 0x1.9ddf37d517dfap-7, 0x1.91a1c76c2a434p-7, 0x1.85b47e74f0c94p-7, 0x1.7a15b985b4f1ep-7, 0x1.6ec3da89c2faep-7, 0x1.63bd48ca181dcp-7, 0x1.590070f503ffep-7, 0x1.4e8bc524c45c3p-7, 0x1.445dbce52befdp-7, 0x1.3a74d53849894p-7, 0x1.30cf909a23a43p-7, 0x1.276c770382178p-7, 0x1.1e4a15ebdaf1fp-7, 0x1.1567004a5b34ap-7, 0x1.0cc1ce9616f47p-7, 0x1.04591ec56c4a5p-7, 0x1.f85728992b187p-8, 0x1.e86fb036ef845p-8, 0x1.d8f9313568318p-8, 0x1.c9f1134ffe8b2p-8, 0x1.bb54c9238c158p-8, 0x1.ad21d0244c0fap-8, 0x1.9f55b09283c0ep-8, 0x1.91edfd6de9e56p-8, 0x1.84e85467d7ea8p-8, 0x1.78425dd45ce95p-8, 0x1.6bf9cc9a2cbcbp-8, 0x1.600c5e218561bp-8, 0x1.5477da420e91dp-8, 0x1.493a132fc47b9p-8, 0x1.3e50e566f0214p-8, 0x1.33ba379748638p-8, 0x1.2973fa8e34aefp-8, 0x1.1f7c292046f8p-8, 0x1.15d0c811f7704p-8, 0x1.0c6fe5ffa8fe6p-8, 0x1.03579b44fcf18p-8, 0x1.f50c13c7278d9p-9, 0x1.e3f2bad24ce9ap-9, 0x1.d35f95aa37676p-9, 0x1.c34f20fb30d45p-9, 0x1.b3bdebe829a2ep-9, 0x1.a4a897d2f4813p-9, 0x1.960bd823d1bc1p-9, 0x1.87e472101cd41p-9, 0x1.7a2f3c605b52dp-9, 0x1.6ce91f35acdfp-9, 0x1.600f13ceb4358p-9, 0x1.539e244bf4857p-9, 0x1.47936b73dedcp-9, 0x1.3bec147665677p-9, 0x1.30a55ab055de3p-9, 0x1.25bc896e6906cp-9, 0x1.1b2efbb01b148p-9, 0x1.10fa1bea73b0ap-9, 0x1.071b63caa57b9p-9, 0x1.fb0084c4d7c5ap-10, 0x1.e88ea6fca62d9p-10, 0x1.d6baacc7ac702p-10, 0x1.c57ffcfb4a365p-10, 0x1.b4da1a764142fp-10, 0x1.a4c4a3a877584p-10, 0x1.953b521b21f34p-10, 0x1.8639f9f975c17p-10, 0x1.77bc8999c8eedp-10, 0x1.69bf090761b66p-10, 0x1.5c3d998cd6314p-10, 0x1.4f34753f3c6f3p-10, 0x1.429fee8a0a347p-10, 0x1.367c6fbbb77e2p-10, 0x1.2ac67a934fb89p-10, 0x1.1f7aa7ceca3dap-10, 0x1.1495a6ba734b3p-10, 0x1.0a143cc11a01dp-10, 0x1.ffe689fad0609p-11, 0x1.ec5f5f984911ep-11, 0x1.d98d04bf0127fp-11, 0x1.c769aca72ac5ep-11, 0x1.b5efb287a9663p-11, 0x1.a51998c37007ep-11, 0x1.94e20818f5b5fp-11, 0x1.8543ced437143p-11, 0x1.7639e002e1a3ep-11, 0x1.67bf52aaf29cp-11, 0x1.59cf6103ca754p-11, 0x1.4c6567b1bd0bdp-11, 0x1.3f7ce503e189ap-11, 0x1.33117834c0a1p-11, 0x1.271ee0ad25bd4p-11, 0x1.1ba0fd49bf334p-11, 0x1.1093cba313d97p-11, 0x1.05f3675842713p-11, 0x1.f77812b84f9cfp-12, 0x1.e3d40e8a526d2p-12, 0x1.d0f3a53f482c6p-12, 0x1.becff085eaa4dp-12, 0x1.ad623f5220332p-12, 0x1.9ca41491a2069p-12, 0x1.8c8f25e5a65b4p-12, 0x1.7d1d5a622f753p-12, 0x1.6e48c95255208p-12, 0x1.600bb901d3059p-12, 0x1.52609d8c56c3dp-12, 0x1.454217b1a6ca5p-12, 0x1.38aaf3af2896fp-12, 0x1.2c96281f1a1fap-12, 0x1.20fed4dca0d2fp-12, 0x1.15e041ed6bc91p-12, 0x1.0b35de70859e3p-12, 0x1.00fb3f9285401p-12, 0x1.ee583f0da06fbp-13, 0x1.db88b90c9cbc2p-13, 0x1.c97fefa6b0f49p-13, 0x1.b836298553eb8p-13, 0x1.a7a3ef9327903p-13, 0x1.97c20b22ac162p-13, 0x1.8889841f14497p-13, 0x1.79f39f4722bdp-13, 0x1.6bf9dc71fce96p-13, 0x1.5e95f4de42983p-13, 0x1.51c1d98a83edfp-13, 0x1.4577b1978ec3cp-13, 0x1.39b1d8b4647b2p-13, 0x1.2e6add937a9f3p-13, 0x1.239d80695f8abp-13, 0x1.1944b174e54e9p-13, 0x1.0f5b8f8fa098dp-13, 0x1.05dd66c7fef8bp-13, 0x1.f98b5e07b6f22p-14, 0x1.e8201557b8a81p-14, 0x1.d7708abd2e7b2p-14, 0x1.c774a55ac8eccp-14, 0x1.b82499c01c8c6p-14, 0x1.a978e782747dap-14, 0x1.9b6a56e4853d6p-14, 0x1.8df1f68e7b074p-14, 0x1.810919546d137p-14, 0x1.74a9540bb3c68p-14, 0x1.68cc7b6f1be1fp-14, 0x1.5d6ca210c58adp-14, 0x1.5284165a0ad8p-14, 0x1.480d609935b49p-14, 0x1.3e03411c5b629p-14, 0x1.3460ae589ae36p-14, 0x1.2b20d31f78b3dp-14, 0x1.223f0cdf57019p-14, 0x1.19b6e9f0316d4p-14, 0x1.118427ed2e156p-14, 0x1.09a2b218a9b25p-14, 0x1.020e9fcc423fdp-14, 0x1.f58865e76c21cp-15, 0x1.e77fad254eae3p-15, 0x1.d9fc3aaa3445dp-15, 0x1.ccf78053590b7p-15, 0x1.c06b39ce9d3b2p-15, 0x1.b45169f55a15ep-15, 0x1.a8a4583f8f6cdp-15, 0x1.9d5e8e45fd4e1p-15, 0x1.927ad55877c0fp-15, 0x1.87f43425c8612p-15, 0x1.7dc5ec7579b9p-15, 0x1.73eb78f2ca284p-15, 0x1.6a608b074eec6p-15, 0x1.612108c86eb19p-15, 0x1.58290af2a6f6cp-15, 0x1.4f74daf578babp-15, 0x1.4700f10e84ab3p-15, 0x1.3ec9f273b3873p-15, 0x1.36ccaf8c21ec9p-15, 0x1.2f0622361240ep-15, 0x1.27736c1e2017ap-15, 0x1.2011d51ed5787p-15, 0x1.18dec9b2d3969p-15, 0x1.11d7d97195f0ep-15, 0x1.0afab5984579p-15, 0x1.04452f9ff0f36p-15, 0x1.fb6a6fbf705e8p-16, 0x1.ee91b87578aadp-16, 0x1.e1fc8db17ab8p-16, 0x1.d5a779d7aab8ep-16, 0x1.c98f3afdfb19bp-16, 0x1.bdb0c09f13bc2p-16, 0x1.b209296645c0cp-16, 0x1.a695c10a00717p-16, 0x1.9b53fe3b178cep-16, 0x1.904180aa41cbap-16, 0x1.855c0f1bef745p-16, 0x1.7aa1958ff1c92p-16, 0x1.7010237ad6e31p-16, 0x1.65a5ea0ba1989p-16, 0x1.5b613a8a611f3p-16, 0x1.514084be3d7c3p-16, 0x1.47425565885c3p-16, 0x1.3d6554bda60acp-16, 0x1.33a84517ee1b4p-16, 0x1.2a0a017b612ccp-16, 0x1.20897c5668857p-16, 0x1.1725be3b11d35p-16, 0x1.0ddde4a80617p-16, 0x1.04b120de8761fp-16, 0x1.f73d6d8696909p-17, 0x1.e54bf79598763p-17, 0x1.d38cabe49509bp-17, 0x1.c1fe757b8d1p-17, 0x1.b0a05c943eddcp-17, 0x1.9f7184bfa5169p-17, 0x1.8e712b28cf97ap-17, 0x1.7d9ea4e87a5e3p-17, 0x1.6cf95d6b29d1fp-17, 0x1.5c80d4e9b1114p-17, 0x1.4c349eefe9ac4p-17, 0x1.3c1460fd13478p-17, 0x1.2c1fd1280c45fp-17, 0x1.1c56b4de05eap-17, 0x1.0cb8dfa7fc023p-17, 0x1.fa8c64153c36dp-18, 0x1.dbfd30ca74f65p-18, 0x1.bdc413db32f8fp-18, 0x1.9fe10f5e1ec7bp-18, 0x1.8254372fd5721p-18, 0x1.651daf3513614p-18, 0x1.483da9a08acc2p-18, 0x1.2bb4655839fe6p-18, 0x1.0f822c78f925dp-18, 0x1.e74ea5c63967dp-19, 0x1.b04869c698fdbp-19, 0x1.79f26bc48b8aap-19, 0x1.444d7e7a7f70ep-19, 0x1.0f5a7e37ae22bp-19, 0x1.b6349d8667d78p-20, 0x1.4f1bb2a6eda73p-20, 0x1.d2d82ad0e89a5p-21, 0x1.0a4f45f57b6eap-21, 0x1.1281c6e3fac78p-23, -0x1.f8c271e7fab6p-23, -0x1.3e203a8050796p-21, -0x1.fb2acf4bb8336p-21, -0x1.5aa66b99e2b1dp-20, -0x1.b641748921985p-20, -0x1.08326e9c792dp-19, -0x1.348788e13175cp-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.98bd4abaa2b31p+0, -0x1.92afd84b76308p+0, -0x1.8c8ad740f922ap+0, -0x1.8652067fa34b2p+0, -0x1.8009032dacc29p+0, -0x1.79b3342a9c914p+0, -0x1.7353c30035f73p+0, -0x1.6cedb139766f4p+0, -0x1.6683cbf6050a8p+0, -0x1.6018a9b03f0bbp+0, -0x1.59aebb1b394fcp+0, -0x1.534849966a789p+0, -0x1.4ce76c458b363p+0, -0x1.468e0b2c4919ap+0, -0x1.403de91e3c832p+0, -0x1.39f8a77329029p+0, -0x1.33bfc58691f1cp+0, -0x1.2d94a16286bb6p+0, -0x1.27787935af537p+0, -0x1.216c6bd1ad57dp+0, -0x1.1b71790ac116cp+0, -0x1.158878236769fp+0, -0x1.0fb24621a6637p+0, -0x1.09ef95b47baafp+0, -0x1.0441072fa5595p+0, -0x1.fd4e4d5486e9ep-1, -0x1.f244dacaff4e3p-1, -0x1.e76685f2641d7p-1, -0x1.dcb3fd0f403d1p-1, -0x1.d22dd0204c68bp-1, -0x1.c7d4734eabf9bp-1, -0x1.bda84096d4affp-1, -0x1.b3a978b1a4c06p-1, -0x1.a9d843f607dfdp-1, -0x1.a034b3f6edb6p-1, -0x1.96bec5faadfd9p-1, -0x1.8d7665b04563bp-1, -0x1.845b6f59c5edcp-1, -0x1.7b6db10fb56c2p-1, -0x1.72aceb5704e7ep-1, -0x1.6a18d18f04cb3p-1, -0x1.61b10aa0c1b83p-1, -0x1.59753208c184ap-1, -0x1.5164d913a1067p-1, -0x1.497f88160a012p-1, -0x1.41c4bf7e6e525p-1, -0x1.3a33f8bdafd48p-1, -0x1.32cca715b43dfp-1, -0x1.2b8e385d60807p-1, -0x1.247815bfdc3d6p-1, -0x1.1d89a472f0226p-1, -0x1.16c2465baf35ap-1, -0x1.10215a9a814a4p-1, -0x1.09a63dfe110dcp-1, -0x1.03504b63bfc38p-1, -0x1.fa3db8213e623p-2, -0x1.ee22901a963a2p-2, -0x1.e24dcd136b1f1p-2, -0x1.d6be1c8d76e9bp-2, -0x1.cb722bfafbe2cp-2, -0x1.c068a975251b2p-2, -0x1.b5a0444b7fd37p-2, -0x1.ab17ad68eae35p-2, -0x1.a0cdb11edfcc4p-2, -0x1.96c0c37dff21p-2, -0x1.8cefbf25ce767p-2, -0x1.83595f390efe8p-2, -0x1.79fc624d2afe6p-2, -0x1.70d78ab08772fp-2, -0x1.67e99eb5cef24p-2, -0x1.5f3168fdb20abp-2, -0x1.56adb8b710354p-2, -0x1.4e5d61cf50d0bp-2, -0x1.463f3d107b30bp-2, -0x1.3e52282efba67p-2, -0x1.369505cc56ep-2, -0x1.2f06bd7574be3p-2, -0x1.27a63ba2d5fc6p-2, -0x1.207271bee94f1p-2, -0x1.196a56340b5bep-2, -0x1.128ce480e9727p-2, -0x1.0bd91d4feac4p-2, -0x1.054e068d23c5fp-2, -0x1.fdd556eceaa42p-3, -0x1.f15c3944db421p-3, -0x1.e52edff89d2a3p-3, -0x1.d94b816ab9ea2p-3, -0x1.cdb05e5aea033p-3, -0x1.c25bc1abc26d7p-3, -0x1.b74c0023f3684p-3, -0x1.ac7f78317764cp-3, -0x1.a1f491b37b55bp-3, -0x1.97a9bdcd673c8p-3, -0x1.8d9d76c32a248p-3, -0x1.83ce3fdcd267cp-3, -0x1.7a3aa54e42d8dp-3, -0x1.70e13c1f72054p-3, -0x1.67c0a211d4ac7p-3, -0x1.5ed77d80955c7p-3, -0x1.56247d3a6c62ap-3, -0x1.4da65855180ebp-3, -0x1.455bcdfb81919p-3, -0x1.3d43a5385d235p-3, -0x1.355cacbf49c5cp-3, -0x1.2da5bab6795ddp-3, -0x1.261dac828597ep-3, -0x1.1ec36695ad5edp-3, -0x1.1795d442f5293p-3, -0x1.1093e79550d16p-3, -0x1.09bc992a51448p-3, -0x1.030ee80fa379p-3, -0x1.f913b344d687bp-4, -0x1.ec58f2df0cc9dp-4, -0x1.dfebb22792d64p-4, -0x1.d3ca2036f2a6p-4, -0x1.c7f277c10bb0dp-4, -0x1.bc62fece6feb3p-4, -0x1.b11a0672923fdp-4, -0x1.a615ea7f3a9fcp-4, -0x1.9b551135ddfe7p-4, -0x1.90d5eaf7eab99p-4, -0x1.8696f1f6fbac7p-4, -0x1.7c96a9e634be5p-4, -0x1.72d39fadac92p-4, -0x1.694c6920d7565p-4, -0x1.5fffa4b894912p-4, -0x1.56ebf951507c5p-4, -0x1.4e1015ed67922p-4, -0x1.456ab17bc1bc1p-4, -0x1.3cfa8aa269da1p-4, -0x1.34be678cb78e5p-4, -0x1.2cb515bc91355p-4, -0x1.24dd69de2fa26p-4, -0x1.1d363f9dd876ep-4, -0x1.15be797f0177ep-4, -0x1.0e7500b4675dfp-4, -0x1.0758c4f8b56cap-4, -0x1.0068bc677693fp-4, -0x1.f347c6ac47e4ap-5, -0x1.e612785a75ce6p-5, -0x1.d92f9e82bf46ap-5, -0x1.cc9d555938cb6p-5, -0x1.c059c44fc0759p-5, -0x1.b4631dc9c45dfp-5, -0x1.a8b79ed129df9p-5, -0x1.9d558ecca8663p-5, -0x1.923b3f37e2b9ep-5, -0x1.8766bd0dd8d4p-5, -0x1.7cd70ea854e9ap-5, -0x1.728a505dddbb2p-5, -0x1.687ef906c1d03p-5, -0x1.5eb3884bcf652p-5, -0x1.5526866e6352ep-5, -0x1.4bd6841225901p-5, -0x1.42c21a0865ee5p-5, -0x1.39e7e91d11546p-5, -0x1.314699e52d843p-5, -0x1.28dcdc8ed89cdp-5, -0x1.20a968b2b9573p-5, -0x1.18aafd26d8413p-5, -0x1.10e05fd2d43d7p-5, -0x1.09485d85648fcp-5, -0x1.01e1c9cb1cd91p-5, -0x1.f556fd8cd036p-6, -0x1.e748ba11503b7p-6, -0x1.d99696d8e18aep-6, -0x1.cc3e6de1a4a6dp-6, -0x1.bf3e252b4bcfep-6, -0x1.b293ae71a205dp-6, -0x1.a63d06e8ee6dbp-6, -0x1.9a3836fc1d995p-6, -0x1.8e83520ca1e81p-6, -0x1.831c76340290bp-6, -0x1.7801cc0702195p-6, -0x1.6d31865a5cf3dp-6, -0x1.62a9e2090b214p-6, -0x1.586925bc06446p-6, -0x1.4e6da1b388e1dp-6, -0x1.44b5af91bc3eep-6, -0x1.3b3fb226cff2dp-6, -0x1.320a153e6e7ecp-6, -0x1.29134d6e9326fp-6, -0x1.2059d7e79a574p-6, -0x1.17dc3a45b0786p-6, -0x1.0f9902635af2p-6, -0x1.078ec62d4918ap-6, -0x1.ff7846ee653c2p-7, -0x1.f03f7fa3b6e4ep-7, -0x1.e17090c424501p-7, -0x1.d308e3717d564p-7, -0x1.c505ef57ab592p-7, -0x1.b7653a608344fp-7, -0x1.aa245869463a7p-7, -0x1.9d40eaf9dc22cp-7, -0x1.90b8a0fda6675p-7, -0x1.8489367de693ep-7, -0x1.78b0745d9f8e9p-7, -0x1.6d2c3016f2cd3p-7, -0x1.61fa4b79dd62bp-7, -0x1.5718b46c65c86p-7, -0x1.4c8564ac07b7cp-7, -0x1.423e61907f4c6p-7, -0x1.3841bbcfd086ap-7, -0x1.2e8d8f438eb3fp-7, -0x1.252002af55a92p-7, -0x1.1bf7478871b74p-7, -0x1.131199beac5c3p-7, -0x1.0a6d3f86392dfp-7, -0x1.02088922bcdp-7, -0x1.f3c3a166b74cbp-8, -0x1.e3eef3ffb561fp-8, -0x1.d48fe48d7c4d9p-8, -0x1.c5a36018c3784p-8, -0x1.b72665d618d09p-8, -0x1.a91606c7d5f57p-8, -0x1.9b6f6561df552p-8, -0x1.8e2fb52f3eb6cp-8, -0x1.81543a795d37cp-8, -0x1.74da49f0e458bp-8, -0x1.68bf4858581bcp-8, -0x1.5d00aa302c01p-8, -0x1.519bf36472f6fp-8, -0x1.468eb6fc00062p-8, -0x1.3bd696c916669p-8, -0x1.3171431b784d6p-8, -0x1.275c7a73dbc2dp-8, -0x1.1d960938d19cfp-8, -0x1.141bc96cf4acfp-8, -0x1.0aeba2666ea26p-8, -0x1.02038887d2ec8p-8, -0x1.f2c2f9f467783p-9, -0x1.e2071ad0fa7eep-9, -0x1.d1cfa7780f3d3p-9, -0x1.c218ebb4c8ff5p-9, -0x1.b2df4ac8a55f1p-9, -0x1.a41f3eebd1148p-9, -0x1.95d558cfa867dp-9, -0x1.87fe3f239ef1fp-9, -0x1.7a96ae1c30a6cp-9, -0x1.6d9b76fc375dap-9, -0x1.61097fa02a1dap-9, -0x1.54ddc20bb2442p-9, -0x1.49154bf9267ecp-9, -0x1.3dad3e6b28f5bp-9, -0x1.32a2cd402f399p-9, -0x1.27f33ec82fa29p-9, -0x1.1d9beb5c09b92p-9, -0x1.139a3cf700ec5p-9, -0x1.09ebaed1f1c1ep-9, -0x1.008dcd009171bp-9, -0x1.eefc6820b06ffp-10, -0x1.dd7521527a6f2p-10, -0x1.cc813e6088f59p-10, -0x1.bc1c56d760b52p-10, -0x1.ac422052142bcp-10, -0x1.9cee6dc983f93p-10, -0x1.8e1d2ee6ef01ep-10, -0x1.7fca6f59d37fep-10, -0x1.71f256311b606p-10, -0x1.6491253757211p-10, -0x1.57a338522a14bp-10, -0x1.4b2504e4b9e6p-10, -0x1.3f13193550a16p-10, -0x1.336a1bd5c8914p-10, -0x1.2826cb0efc77ep-10, -0x1.1d45fc4f5deecp-10, -0x1.12c49b9c0c689p-10, -0x1.089fab04e42eep-10, -0x1.fda88436f1f1bp-11, -0x1.eabf1ad938ce5p-11, -0x1.d87d9bf96365ap-11, -0x1.c6deb18d78a2bp-11, -0x1.b5dd2c7b9428fp-11, -0x1.a57403a2b4e62p-11, -0x1.959e52e7f0a46p-11, -0x1.86575a4910775p-11, -0x1.779a7cf3b0558p-11, -0x1.696340620219bp-11, -0x1.5bad4b7b78165p-11, -0x1.4e7465baad0f4p-11, -0x1.41b47657c94b4p-11, -0x1.356983778409fp-11, -0x1.298fb15e4e4dcp-11, -0x1.1e2341a8aea8cp-11, -0x1.1320928707694p-11, -0x1.08841dfe3991dp-11, -0x1.fc94f2589460cp-12, -0x1.e8e0a722732e2p-12, -0x1.d5e4ecb74f9f8p-12, -0x1.c39b8774298e4p-12, -0x1.b1fe6c5e8bdfep-12, -0x1.a107bfd62819fp-12, -0x1.90b1d44d9c471p-12, -0x1.80f7290ac80e5p-12, -0x1.71d268ee31161p-12, -0x1.633e69424c9d8p-12, -0x1.55362890f1cccp-12, -0x1.47b4cd803648fp-12, -0x1.3ab5a5b6159f2p-12, -0x1.2e3424c31510ep-12, -0x1.222be312c9613p-12, -0x1.16989ce33fcaap-12, -0x1.0b763142f6cd2p-12, -0x1.00c0a1148b0cap-12, -0x1.ece81c3169f5dp-13, -0x1.d91973fcc282p-13, -0x1.c60e0af12696p-13, -0x1.b3bedeb47330cp-13, -0x1.a225276daac45p-13, -0x1.913a561440dfcp-13, -0x1.80f812c794051p-13, -0x1.71583b3257a38p-13, -0x1.6254e0f8b4c39p-13, -0x1.53e8482e98df3p-13, -0x1.460ce5db7ae16p-13, -0x1.38b89039a185dp-13, -0x1.2bf023e8b89f2p-13, -0x1.1fa962aa886dp-13, -0x1.13df76db5a27dp-13, -0x1.088db4e715262p-13, -0x1.fb5f34065eb02p-14, -0x1.e68195e087db2p-14, -0x1.d27a258c61e08p-14, -0x1.bf40c38c61fb9p-14, -0x1.accd986c29258p-14, -0x1.9b1912869f0e4p-14, -0x1.8a1be3dad1f1ap-14, -0x1.79cefff0dfb98p-14, -0x1.6a2b99ca5d0efp-14, -0x1.5b2b21e7d2f8bp-14, -0x1.4cc74454be733p-14, -0x1.3ef9e6c5871bp-14, -0x1.31bd26c1fe91fp-14, -0x1.250b57dc9d933p-14, -0x1.18df01f6c6c63p-14, -0x1.0d32df9181b8cp-14, -0x1.0201dc29f783p-14, -0x1.ee8e2546d0e9ep-15, -0x1.d9fb97711954p-15, -0x1.c642f8fd353e5p-15, -0x1.b35b89dbf774ap-15, -0x1.a13cdcefd1524p-15, -0x1.8fded54cc3a7dp-15, -0x1.7f39a38d7327dp-15, -0x1.6f45c33aa2deep-15, -0x1.5ffbf845019edp-15, -0x1.51554c97d389cp-15, -0x1.434b0db79bcbp-15, -0x1.35d6ca767a4f7p-15, -0x1.28f250b694724p-15, -0x1.1c97ab42e401ap-15, -0x1.10c11fb4bf43ep-15, -0x1.05692c6bff996p-15, -0x1.f5150d257c038p-16, -0x1.e040306ed0917p-16, -0x1.cc49fcdcd84c1p-16, -0x1.b9290f1270aa7p-16, -0x1.a6d462ae421e6p-16, -0x1.95434ee9bc48ap-16, -0x1.846d8357a70a3p-16, -0x1.744b04b22057p-16, -0x1.64d429d480db5p-16, -0x1.560198ba95666p-16, -0x1.47cc43a7b74a8p-16, -0x1.3a2d6657bf799p-16, -0x1.2d1e83525fca3p-16, -0x1.2099614e9ddbap-16, -0x1.149808ade9724p-16, -0x1.0914c10dee333p-16, -0x1.fc141dc7fba21p-17, -0x1.e6e562867a6d4p-17, -0x1.d2933f3c49a13p-17, -0x1.bf140f4f002c6p-17, -0x1.ac5e968631081p-17, -0x1.9a69fd0fbc7f7p-17, -0x1.892dcba44952ap-17, -0x1.78a1e7d8c14dp-17, -0x1.68be907a09df8p-17, -0x1.597c5a1d37254p-17, -0x1.4ad42bc41fe12p-17, -0x1.3cbf3ba20c14ap-17, -0x1.2f370bff1125cp-17, -0x1.2235682a22bd4p-17, -0x1.15b461a1a496bp-17, -0x1.09ae4d3be1f1p-17, -0x1.fc3b80d41033ep-18, -0x1.e5fb1d62f603ap-18, -0x1.d0918e28245edp-18, -0x1.bbf5635a45652p-18, -0x1.a81d9aa17d7bep-18, -0x1.95019aaec8874p-18, -0x1.82992ed169b08p-18, -0x1.70dc82d0a4a1bp-18, -0x1.5fc41eca38d19p-18, -0x1.4f48e378b89ecp-18, -0x1.3f640656b2f2fp-18, -0x1.300f0e03447d3p-18, -0x1.2143cedc3f88fp-18, -0x1.12fc6798876d6p-18, -0x1.05333e16dd2e1p-18, -0x1.efc5f887d821fp-19, -0x1.d60d1a4ffda9bp-19, -0x1.bd3233da9b948p-19, -0x1.a52c0e95a8e01p-19, -0x1.8df1e58156f14p-19, -0x1.777b6032c4499p-19, -0x1.61c08de012804p-19, -0x1.4cb9e0b85d3bp-19, -0x1.3860295dbb824p-19, -0x1.24ac928dbbcf5p-19, -0x1.11989cfd7b6e1p-19, -0x1.fe3c36a15e731p-20, -0x1.da6e5ca6b5001p-20, -0x1.b7bc828206f59p-20, -0x1.961c0c55dda67p-20, -0x1.7582e58143447p-20, -0x1.55e779e0881d7p-20, -0x1.3740afa5fb6a9p-20, -0x1.1985e16558de3p-20, -0x1.f95db0b199a98p-21, -0x1.c1678dcd21c09p-21, -0x1.8b1a86e625d6cp-21, -0x1.5668868f10cc2p-21, -0x1.23442b9f3f95bp-21, -0x1.e34180097d3fbp-22, -0x1.82e45fe0f0c9bp-22, -0x1.255a0329d677ap-22, -0x1.951934305693dp-23, -0x1.c99da252d273ep-24, -0x1.cd6b8f87efc9fp-26, 0x1.b1c191ced66f7p-25, 0x1.0dae5aa014b95p-23, 0x1.aa2e5ba8e4ddcp-23, 0x1.2108581295354p-22, 0x1.6aba0a592587cp-22, 0x1.b23ae802f349ep-22, 0x1.f798e3cdb89b2p-22, 0x1.1d70a5466fc49p-21, 0x1.3e1065d5e57dbp-21, 0x1.5db1c14cc84f4p-21, 0x1.7c5a80341be27p-21, 0x1.9a10292879fbdp-21, 0x1.b6d8056d36e08p-21, 0x1.d2b723f1b82dp-21, 0x1.edb25da39f1b2p-21, 0x1.03e72c1c9f419p-20, 0x1.1087c4be3187p-20, 0x1.1cbd1d0c3f612p-20, 0x1.288944988b2fap-20, 0x1.33ee36fed651fp-20, 0x1.3eeddd6e15584p-20, 0x1.498a0fec7790ap-20, 0x1.53c49661052edp-20, 0x1.5d9f29b143589p-20, 0x1.671b74a8ce498p-20, 0x1.703b15170322dp-20, 0x1.78ff9c99ee9p-20, 0x1.816a917c3822ep-20, 0x1.897d6f8517a15p-20, 0x1.9139a8ad22352p-20, 0x1.98a0a5dcad066p-20, 0x1.9fb3c77683373p-20, 0x1.a674666106608p-20, 0x1.ace3d3f4c9fd6p-20, 0x1.b3035afaeaa88p-20, 0x1.b8d4400c669cbp-20, 0x1.be57c20c8744p-20, 0x1.c38f1a99086c3p-20, 0x1.c87b7e75fba9cp-20, 0x1.cd1e1df22d451p-20, 0x1.d178250e6517ap-20, 0x1.d58abc3024d93p-20, 0x1.d957081582b1bp-20, 0x1.dcde2a6c14c72p-20, 0x1.e02141ac5c0ebp-20, 0x1.e32169cff933p-20, 0x1.e5dfbc12a0d45p-20, 0x1.e85d4f6cc91dcp-20, 0x1.ea9b38a20fa9p-20, 0x1.ec9a8a7ecfb1fp-20, 0x1.ee5c55e2c1d48p-20, 0x1.efe1aa07aap-20, 0x1.f12b948a231edp-20, 0x1.f23b215f63a6ap-20, 0x1.f3115b1ea2c18p-20, 0x1.f3af4b1ca82f6p-20, 0x1.f415f946ce2cep-20, 0x1.f4466c59923fap-20, 0x1.f441a9e5341bdp-20, 0x1.f408b649190ccp-20, 0x1.f39c94ec02b9p-20, 0x1.f2fe47dc42304p-20, 0x1.f22ed04b05c1dp-20, 0x1.f12f2e47d3491p-20, 0x1.f00060bc8e261p-20, 0x1.eea365c0fc2b3p-20, 0x1.ed193a1ab3fc9p-20, 0x1.eb62d98e3dcap-20, 0x1.e9813ec5aa86dp-20, 0x1.e775634c1d5dfp-20, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.0e53f7e6a7e6ap-1, -0x1.05068e78f8422p-1, -0x1.f52671eebe4b8p-2, -0x1.de3d4fce78702p-2, -0x1.c596bb5851f97p-2, -0x1.ab73df3251e89p-2, -0x1.9012877a89c28p-2, -0x1.73ac890f10c63p-2, -0x1.567743db6cb04p-2, -0x1.38a3d7d64828ap-2, -0x1.1a5fb78505eep-2, -0x1.f7aa2fb952e7ap-3, -0x1.ba55cc80f4587p-3, -0x1.7d08df3cc9bc1p-3, -0x1.40027779cda6cp-3, -0x1.037ab387d7f84p-3, -0x1.8f479c316320bp-4, -0x1.1955fe891401dp-4, -0x1.4ae3bd131d417p-5, -0x1.9f1d04055f691p-7, 0x1.d8aaf9c105c09p-7, 0x1.4e788aa0e5774p-5, 0x1.107429c609986p-4, 0x1.768f97e6876e4p-4, 0x1.d96f0c8afa5adp-4, 0x1.1c7caf290dcecp-3, 0x1.4a8d97d83f1ecp-3, 0x1.76e3249f3fb16p-3, 0x1.a1787c32beac3p-3, 0x1.ca4ac5941aa11p-3, 0x1.f158f6bc48b45p-3, 0x1.0b51d6bd20493p-2, 0x1.1d168565da55ep-2, 0x1.2dfc46ce0da33p-2, 0x1.3e05771ab75b8p-2, 0x1.4d34fe1ae160dp-2, 0x1.5b8e3f6786be2p-2, 0x1.69150ad653df8p-2, 0x1.75cd8cc88cf25p-2, 0x1.81bc3ec47a8f6p-2, 0x1.8ce5d95070807p-2, 0x1.974f47da3e74bp-2, 0x1.a0fd9ee46c8cfp-2, 0x1.a9f614381d7b5p-2, 0x1.b23df8ace445cp-2, 0x1.b9dab31bb1d3cp-2, 0x1.c0d1bc1330f83p-2, 0x1.c72899cfba277p-2, 0x1.cce4dbe74719cp-2, 0x1.d20c162f42e0ap-2, 0x1.d6a3daad78abfp-2, 0x1.dab1b2d1a401ap-2, 0x1.de3b1898554cep-2, 0x1.e145706aee66ap-2, 0x1.e3d6047f7c31cp-2, 0x1.e5f2022a19d63p-2, 0x1.e79e79187e69bp-2, 0x1.e8e05bf5beaccp-2, 0x1.e9bc81a0de4a1p-2, 0x1.ea37a61103f7dp-2, 0x1.ea566a3a85cffp-2, 0x1.ea1d52b1c04bcp-2, 0x1.e990c53d13085p-2, 0x1.e8b58e0e1d233p-2, 0x1.e78ebe0de6425p-2, 0x1.e620bd593b9adp-2, 0x1.e46f5789002f8p-2, 0x1.e27e36666b127p-2, 0x1.e050e3e4217abp-2, 0x1.ddeacbee25d0ap-2, 0x1.db4f3dd0dd9d5p-2, 0x1.d8816d118f86ap-2, 0x1.d58471b1cb7b9p-2, 0x1.d25b47f44197dp-2, 0x1.cf08cfcef3c85p-2, 0x1.cb8fcc41106c4p-2, 0x1.c7f2e2c17f96dp-2, 0x1.c4349af0ba965p-2, 0x1.c0575ea880358p-2, 0x1.bc5d7a725e5f7p-2, 0x1.b8491e5e75392p-2, 0x1.b41c5f285826p-2, 0x1.afd937916f32p-2, 0x1.ab8189d6ca5c3p-2, 0x1.a717212abab1ep-2, 0x1.a29bb31fa1218p-2, 0x1.9e10e0f79e8d1p-2, 0x1.997838d2f40b7p-2, 0x1.94d336bbd5604p-2, 0x1.90234591db549p-2, 0x1.8b69bfd8ca9a6p-2, 0x1.86a7f06ea96p-2, 0x1.81df132c559cap-2, 0x1.7d105572b90c7p-2, 0x1.783cd6a5f339ap-2, 0x1.7365a8976862bp-2, 0x1.6e8bcfe017499p-2, 0x1.69b0442d5ddf5p-2, 0x1.64d3f083955efp-2, 0x1.5ff7b37af5dc6p-2, 0x1.5b1c5f7bf48fbp-2, 0x1.5642bb007c93bp-2, 0x1.516b80ded5f0fp-2, 0x1.4c9760a20216cp-2, 0x1.47c6fef1c3c96p-2, 0x1.42faf60ac54fcp-2, 0x1.3e33d64593765p-2, 0x1.397226a99e52fp-2, 0x1.34b665884928p-2, 0x1.3001091b6b35dp-2, 0x1.2b52802267775p-2, 0x1.26ab3279417e5p-2, 0x1.220b81a5ae404p-2, 0x1.1d73c956faa9ep-2, 0x1.18e45fd6af6a2p-2, 0x1.145d9668d7284p-2, 0x1.0fdfb99be2c06p-2, 0x1.0b6b118907dd7p-2, 0x1.06ffe206a947bp-2, 0x1.029e6acee9d43p-2, 0x1.fc8dcf39a7c15p-3, 0x1.f3f320853d07p-3, 0x1.eb6d317718ca6p-3, 0x1.e2fc627737366p-3, 0x1.daa10c7e025a2p-3, 0x1.d25b8135d881ep-3, 0x1.ca2c0b216bb17p-3, 0x1.c212edc84419p-3, 0x1.ba1065e9fbf09p-3, 0x1.b224a9b818917p-3, 0x1.aa4fe915c1f05p-3, 0x1.a2924ddc4524cp-3, 0x1.9aebfc230cb4ep-3, 0x1.935d128992a81p-3, 0x1.8be5aa81d3057p-3, 0x1.8485d899fcceep-3, 0x1.7d3dacc42d9b9p-3, 0x1.760d329b5e8e9p-3, 0x1.6ef471a4dd4bp-3, 0x1.67f36d8de9fd1p-3, 0x1.610a26655e508p-3, 0x1.5a3898d15b93fp-3, 0x1.537ebe4136907p-3, 0x1.4cdc8d1be06bbp-3, 0x1.4651f8eb2f182p-3, 0x1.3fdef2844c932p-3, 0x1.3983682daf74ep-3, 0x1.333f32fbf160dp-3, 0x1.2d1218d6e1aabp-3, 0x1.26fc3b33adfe2p-3, 0x1.20fd80b714f1bp-3, 0x1.1b15cdf3202c9p-3, 0x1.1545057d82a89p-3, 0x1.0f8b08054a8c5p-3, 0x1.09e7b4680e338p-3, 0x1.045ae7c6b7945p-3, 0x1.fdc8fb33e690ep-4, 0x1.f3089f8cccd42p-4, 0x1.e8746d61416afp-4, 0x1.de0c12a1bad18p-4, 0x1.d3cf3a8d0ee48p-4, 0x1.c9bd8dd6f2054p-4, 0x1.bfd6b2cdf24d8p-4, 0x1.b61a4d80bbcd5p-4, 0x1.ac87ffe29d081p-4, 0x1.a31f69ef2339bp-4, 0x1.99e029ccc75b1p-4, 0x1.90c9dbee755c3p-4, 0x1.87dc1b33ee75dp-4, 0x1.7f168108eaf2ap-4, 0x1.7678a582e709ep-4, 0x1.6e021f7d9d129p-4, 0x1.65b284b620936p-4, 0x1.5d8969e4a327ep-4, 0x1.558662d4e6647p-4, 0x1.4da9027d69dbbp-4, 0x1.45f0db1563577p-4, 0x1.3e5d7e2997155p-4, 0x1.36ee7cb0219f6p-4, 0x1.2fa3671b4c68ap-4, 0x1.287bcd6b81952p-4, 0x1.21773f4076818p-4, 0x1.1a954be99c83dp-4, 0x1.13d58275f439ap-4, 0x1.0d3771c346608p-4, 0x1.06baa88cdf126p-4, 0x1.005eb579cab2bp-4, 0x1.f4464e55518c6p-5, 0x1.e80f188e2ad54p-5, 0x1.dc16e71569ba3p-5, 0x1.d05cd7a3c2d22p-5, 0x1.c4e0084c080a6p-5, 0x1.b99f979329401p-5, 0x1.ae9aa4878f21p-5, 0x1.a3d04ed7cffb9p-5, 0x1.993fb6e8bed5fp-5, 0x1.8ee7fdead2573p-5, 0x1.84c845eee9233p-5, 0x1.7adfb1fa6607ep-5, 0x1.712d661aa50a7p-5, 0x1.67b08777c6dep-5, 0x1.5e683c66d6fc3p-5, 0x1.5553ac7b45566p-5, 0x1.4c720097b77ecp-5, 0x1.43c262fe2f865p-5, 0x1.3b43ff5f89f88p-5, 0x1.32f602ea4f151p-5, 0x1.2ad79c58e28b6p-5, 0x1.22e7fbff023b5p-5, 0x1.1b2653d6a5939p-5, 0x1.1391d78c33b32p-5, 0x1.0c29bc8a1a289p-5, 0x1.04ed3a03c06f6p-5, 0x1.fbb711ffbae72p-6, 0x1.ede7c8c4648a7p-6, 0x1.e06b11e958e5ap-6, 0x1.d33f6adfe7d2fp-6, 0x1.c6635506c698cp-6, 0x1.b9d555b8eedc8p-6, 0x1.ad93f65b614b8p-6, 0x1.a19dc469d9584p-6, 0x1.95f1518280d39p-6, 0x1.8a8d3370a1447p-6, 0x1.7f70043661125p-6, 0x1.749862158f51dp-6, 0x1.6a04ef978b92ep-6, 0x1.5fb453944f512p-6, 0x1.55a539389b23fp-6, 0x1.4bd6500b5aac1p-6, 0x1.42464bf23d252p-6, 0x1.38f3e535861cep-6, 0x1.2fddd88331c41p-6, 0x1.2702e6f15436ap-6, 0x1.1e61d5ffd9bb7p-6, 0x1.15f96f9993934p-6, 0x1.0dc88214af995p-6, 0x1.05cde03284308p-6, 0x1.fc10c23dafcb7p-7, 0x1.ecedc0dd0d09dp-7, 0x1.de307c3b49674p-7, 0x1.cfd6bd1a360efp-7, 0x1.c1de54ff6cf8fp-7, 0x1.b4451e2d8c6f7p-7, 0x1.a708fb9c6b66cp-7, 0x1.9a27d8f069d5dp-7, 0x1.8d9faa70dfe19p-7, 0x1.816e6cfdaa714p-7, 0x1.75922603ed19bp-7, 0x1.6a08e371ff84ep-7, 0x1.5ed0bbaa9fab2p-7, 0x1.53e7cd775d9bfp-7, 0x1.494c3ffa5b939p-7, 0x1.3efc429f5c2c3p-7, 0x1.34f60d0c2c2d7p-7, 0x1.2b37df1069aabp-7, 0x1.21c00094b80f2p-7, 0x1.188cc1896478bp-7, 0x1.0f9c79d47d31dp-7, 0x1.06ed893f6b35bp-7, 0x1.fcfcaec81744bp-8, 0x1.ec9aa732bfc98p-8, 0x1.dcb1e9bf84f09p-8, 0x1.cd3f739985f72p-8, 0x1.be4050ed2af6cp-8, 0x1.afb19cbe67428p-8, 0x1.a19080be52e24p-8, 0x1.93da352026b57p-8, 0x1.868c006d98fcfp-8, 0x1.79a3375adc729p-8, 0x1.6d1d3c9a14535p-8, 0x1.60f780ae5b7bap-8, 0x1.552f81be7e643p-8, 0x1.49c2cb674366dp-8, 0x1.3eaef68d85229p-8, 0x1.33f1a92ffb86dp-8, 0x1.29889638cf63bp-8, 0x1.1f717d4f091a9p-8, 0x1.15aa2aa7c8fbap-8, 0x1.0c3076d776ea2p-8, 0x1.030246a2cf609p-8, 0x1.f43b159fe20bdp-9, 0x1.e3007feeae3cep-9, 0x1.d250dca9cc008p-9, 0x1.c2285331eccf9p-9, 0x1.b28321730ac74p-9, 0x1.a35d9b86c6408p-9, 0x1.94b42b5728bbbp-9, 0x1.86835041af4bcp-9, 0x1.78c79eba95bd9p-9, 0x1.6b7dbff09b595p-9, 0x1.5ea2717137197p-9, 0x1.523284cd2d46cp-9, 0x1.462adf3dc855p-9, 0x1.3a88794a85275p-9, 0x1.2f485e6f66877p-9, 0x1.2467acc3e48bep-9, 0x1.19e394a286919p-9, 0x1.0fb958511fe71p-9, 0x1.05e64ba9df01ep-9, 0x1.f8cfa78a2e166p-10, 0x1.e676cd47745eep-10, 0x1.d4bd15b567f9ap-10, 0x1.c39dae7e6ba56p-10, 0x1.b313e52738e13p-10, 0x1.a31b266ad19afp-10, 0x1.93aefd9824769p-10, 0x1.84cb13f17371fp-10, 0x1.766b300dad4e5p-10, 0x1.688b353b9a39cp-10, 0x1.5b2722e724e6bp-10, 0x1.4e3b14003a173p-10, 0x1.41c33e640282ep-10, 0x1.35bbf247da98fp-10, 0x1.2a2199a67e546p-10, 0x1.1ef0b7af26b72p-10, 0x1.14169bd984868p-10, 0x1.09af66628674p-10, 0x1.ff4f8b94e40a3p-11, 0x1.ebf937be374a8p-11, 0x1.d955c1dbad824p-11, 0x1.c75f467f353e1p-11, 0x1.b6100d2f1a907p-11, 0x1.a56287668eb24p-11, 0x1.95514f9acaaddp-11, 0x1.85d7284439976p-11, 0x1.76eefaeba9ddfp-11, 0x1.6893d73c00e3p-11, 0x1.5ac0f2176fe8ep-11, 0x1.4d71a4b1393d9p-11, 0x1.40a16bab51b62p-11, 0x1.344be6382482p-11, 0x1.286cd540309c4p-11, 0x1.1d001a8be9ae5p-11, 0x1.1201b7f116ea7p-11, 0x1.076dce848f77p-11, 0x1.fa813b9f2fe4p-12, 0x1.e6ed061267d39p-12, 0x1.d417f0a63d03dp-12, 0x1.c1fb27f576a98p-12, 0x1.b0900f7b6029dp-12, 0x1.9fd040242ba21p-12, 0x1.8fb586e49a394p-12, 0x1.8039e35945347p-12, 0x1.7157866c84d89p-12, 0x1.6308d103e67f3p-12, 0x1.554852b3d62f9p-12, 0x1.4810c87b24e0ap-12, 0x1.3b5d1b8472fc3p-12, 0x1.2f285feeba647p-12, 0x1.236dd39c8ff22p-12, 0x1.1828dd09132ap-12, 0x1.0d550a250fb88p-12, 0x1.02ee0f3863805p-12, 0x1.f1df8b96090a2p-13, 0x1.deac5727e0feap-13, 0x1.cc3ac2db6cc47p-13, 0x1.ba8354a4395f3p-13, 0x1.a97ed4b432dcdp-13, 0x1.99264b8a64499p-13, 0x1.8973000b7a3dcp-13, 0x1.7a5e75a63028p-13, 0x1.6be26a82eb2ddp-13, 0x1.5df8d5be4e64ep-13, 0x1.509be5ae96da8p-13, 0x1.43c5fe343d832p-13, 0x1.3771b714bd09cp-13, 0x1.2b99da5f54c45p-13, 0x1.203962dcfea5dp-13, 0x1.154b7a89da533p-13, 0x1.0acb7918938f8p-13, 0x1.00b4e27fa0df9p-13, 0x1.ee06cb2189594p-14, 0x1.db65b530a9fe6p-14, 0x1.c97e840eec86fp-14, 0x1.b849864d494fcp-14, 0x1.a7bf55a28d0f8p-14, 0x1.97d8d47499517p-14, 0x1.888f2b716885fp-14, 0x1.79dbc73bc0b3bp-14, 0x1.6bb856248f7dep-14, 0x1.5e1ec5f7e1276p-14, 0x1.510941d80a5aep-14, 0x1.44723028e555dp-14, 0x1.38543089ec14p-14, 0x1.2caa19dffc7cap-14, 0x1.216ef86aad962p-14, 0x1.169e0bed26adp-14, 0x1.0c32c5e138fb9p-14, 0x1.0228c7b6f8ac2p-14, 0x1.f0f7c2499be59p-15, 0x1.de501d0439eaep-15, 0x1.cc52ee5f03e1dp-15, 0x1.baf8d8174734dp-15, 0x1.aa3acbe1ad6a8p-15, 0x1.9a12088888b8ep-15, 0x1.8a781718bc063p-15, 0x1.7b66c821ce66p-15, 0x1.6cd8311518961p-15, 0x1.5ec6a9b217373p-15, 0x1.512cc989827aap-15, 0x1.4405659934f82p-15, 0x1.374b8df0924b6p-15, 0x1.2afa8b706db7ep-15, 0x1.1f0ddd9e4447p-15, 0x1.13813881927bcp-15, 0x1.08508298a2e97p-15, 0x1.faefa5baddd4ep-16, 0x1.e5e6ddb132dabp-16, 0x1.d17f918e08161p-16, 0x1.bdb2fb9885e5p-16, 0x1.aa7aa8718be24p-16, 0x1.97d073b095b6dp-16, 0x1.85ae84a6780f6p-16, 0x1.740f4b3b29965p-16, 0x1.62ed7ce19a5bcp-16, 0x1.524411add775cp-16, 0x1.420e417b7728cp-16, 0x1.324781337ba8dp-16, 0x1.22eb8029dfbcap-16, 0x1.13f6258e521a9p-16, 0x1.05638df8c1806p-16, 0x1.ee601210f930bp-17, 0x1.d2b02e3c626a5p-17, 0x1.b7b0ce443d0eap-17, 0x1.9d5ba8cde4c7dp-17, 0x1.83aac93652392p-17, 0x1.6a988bab7d109p-17, 0x1.521f9952502fap-17, 0x1.3a3ae49608f62p-17, 0x1.22e5a5bab15dbp-17, 0x1.0c1b577407fc3p-17, 0x1.ebaf67160fb19p-18, 0x1.c02d5fb7c8204p-18, 0x1.95a8f6837f99dp-18, 0x1.6c1af56f3aeb2p-18, 0x1.437c8d2099e98p-18, 0x1.1bc74f9dba2f9p-18, 0x1.e9ea5646310c2p-19, 0x1.9e00ca99e3827p-19, 0x1.53c72cc50170bp-19, 0x1.0b33497461bc1p-19, 0x1.88770237a1f16p-20, 0x1.fb5afddc9d926p-21, 0x1.d7e39f0d30ad5p-22, -0x1.d6dda3246c168p-25, -0x1.20e280194c964p-21, -0x1.0f4476051c699p-20, -0x1.8b3e25ad161a3p-20, -0x1.02359213b13aap-19, -0x1.3d6bc8816ecf3p-19, -0x1.774770df6e584p-19, -0x1.afcdf6686f2a8p-19, -0x1.e7047a1a0e441p-19, -0x1.0e77ebd1b4d6dp-18, -0x1.28ca551903159p-18, -0x1.427ba87ad8042p-18, -0x1.5b8df9b18c745p-18, -0x1.740342b4fbfb4p-18, -0x1.8bdd65aa91321p-18, -0x1.a31e2ea72961p-18, -0x1.b9c7559c6e7p-18, -0x1.cfda7fdd9fbbdp-18, -0x1.e55941d0c0fdcp-18, -0x1.fa45205153df5p-18, -0x1.074fc91a7ed24p-17, -0x1.113500c9d9d93p-17, -0x1.1ad2e6872133dp-17, -0x1.242a247f7fdf2p-17, -0x1.2d3b604c38a77p-17, -0x1.36073b7b577cfp-17, -0x1.3e8e5407c256ap-17, -0x1.46d144db2112bp-17, -0x1.4ed0a62a3c073p-17, -0x1.568d0dfcabf26p-17, -0x1.5e07106732a77p-17, -0x1.653f400487bap-17, -0x1.6c362e3489223p-17, -0x1.72ec6b74533f2p-17, -0x1.796287a36963fp-17, -0x1.7f991243fa086p-17, -0x1.85909ab70e238p-17, -0x1.8b49b07d5a982p-17, -0x1.90c4e35c22a21p-17, -0x1.9602c38a4f767p-17, -0x1.9b03e1ec51cc1p-17, -0x1.9fc8d02d1db0ap-17, -0x1.a45220dd7a384p-17, -0x1.a8a06796e16d3p-17, -0x1.acb439162f5f2p-17, -0x1.b08e2b4a3265ep-17, -0x1.b42ed579390dbp-17, -0x1.b796d04015e3fp-17, -0x1.bac6b5a80cc05p-17, -0x1.bdbf2133e3aebp-17, -0x1.c080afe2ebb71p-17, -0x1.c30c00415b696p-17, -0x1.c561b2615c7cp-17, -0x1.c78267e4b640ap-17, -0x1.c96ec3fb6278fp-17, -0x1.cb276b6352403p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.4bd0dc13658f1p+0, -0x1.3e7798afb8ee6p+0, -0x1.3249863c2a001p+0, -0x1.2736bc99cf0fp+0, -0x1.1d2ea1712c7aap+0, -0x1.142042f77c8c5p+0, -0x1.0bfaab6c28083p+0, -0x1.04ad1d2c34b62p+0, -0x1.fc4e3e4234418p-1, -0x1.f0b127baa4cebp-1, -0x1.e663e468c34abp-1, -0x1.dd48dbaffcdp-1, -0x1.d543f2b150367p-1, -0x1.ce3a72e7582cp-1, -0x1.c812ff10e400ap-1, -0x1.c2b59e8ff6fcp-1, -0x1.be0bd810c4519p-1, -0x1.ba00cb9ead942p-1, -0x1.b68138cb27d01p-1, -0x1.b37b68aa5f7d2p-1, -0x1.b0df058356023p-1, -0x1.ae9d6d97bbe26p-1, -0x1.aca742ce53727p-1, -0x1.aaf0760af3a9bp-1, -0x1.a96d7625dcf81p-1, -0x1.a813c245ef444p-1, -0x1.a6d9d71394e7cp-1, -0x1.a5b71ebb45964p-1, -0x1.a4a3e41278c8ap-1, -0x1.a39947999233bp-1, -0x1.a29133fb017f8p-1, -0x1.a1864ff60224bp-1, -0x1.a073ed65665efp-1, -0x1.9f55f721fb5dep-1, -0x1.9e28e063c85f1p-1, -0x1.9ce9977b1b62cp-1, -0x1.9b957c0f5ca98p-1, -0x1.9a2a57c6b25aap-1, -0x1.98a657ef42db5p-1, -0x1.970807340a1bap-1, -0x1.954e46f336413p-1, -0x1.937848164e115p-1, -0x1.91858363c1f0ep-1, -0x1.8f75b15c83e0fp-1, -0x1.8d48c1ec85f32p-1, -0x1.8afed46884a6cp-1, -0x1.8898306007ed2p-1, -0x1.86153fa29ffb4p-1, -0x1.8376898f3de98p-1, -0x1.80bcaf7f3a68bp-1, -0x1.7de869f6b777p-1, -0x1.7afa8640260efp-1, -0x1.77f3e42f0e08ap-1, -0x1.74d573e70db31p-1, -0x1.71a033a17649ep-1, -0x1.6e552d7d489d3p-1, -0x1.6af57567c3d09p-1, -0x1.6782272265b0cp-1, -0x1.63fc645d5e088p-1, -0x1.606552d3f0141p-1, -0x1.5cbe1a58c9f0ep-1, -0x1.5907e2cba8e8fp-1, -0x1.5543d202e9b31p-1, -0x1.51742d80afef9p-1, -0x1.4d97e51900608p-1, -0x1.49b0fa4ad7378p-1, -0x1.45c0773f55eadp-1, -0x1.41c75ff1c958cp-1, -0x1.3dc6b218b4739p-1, -0x1.39bf652447ba9p-1, -0x1.35b26a3dcb091p-1, -0x1.31a0ac36fb9ddp-1, -0x1.2d8b0f5f69b22p-1, -0x1.2972713e495acp-1, -0x1.2557a836fcdf3p-1, -0x1.213b8324084b6p-1, -0x1.1d1ec8f644345p-1, -0x1.1902386533513p-1, -0x1.14e687ba0bf6ap-1, -0x1.10cc64ba77446p-1, -0x1.0cb474b360652p-1, -0x1.089f54a03cb0fp-1, -0x1.048d99688b24ap-1, -0x1.007fd02c1197ep-1, -0x1.f8ecfd2d02937p-2, -0x1.f0e446689db3ap-2, -0x1.e8e66b88ac096p-2, -0x1.e0f44f078704ap-2, -0x1.d90ec6e6f0256p-2, -0x1.d1369d2e9979ep-2, -0x1.c96c90607a1ccp-2, -0x1.c1b153e52e675p-2, -0x1.ba059071fb1a7p-2, -0x1.b269e46922fa1p-2, -0x1.aadee4344c005p-2, -0x1.a3651a9824937p-2, -0x1.9bfd0900721ccp-2, -0x1.94a727c4178a7p-2, -0x1.8d63e661755d2p-2, -0x1.8633abb46aeaap-2, -0x1.7f16d62811643p-2, -0x1.780dbbe6e4e1ap-2, -0x1.7118ab0c3a5b8p-2, -0x1.6a37e9d9b7b4ep-2, -0x1.636bb6f2f9c06p-2, -0x1.5cb449a0cf1fdp-2, -0x1.5611d21c97608p-2, -0x1.4f8479e362eep-2, -0x1.490c640fba61ap-2, -0x1.42a9adb84b43dp-2, -0x1.3c5c6e5154edep-2, -0x1.3624b80e84407p-2, -0x1.30029842e87cfp-2, -0x1.29f617bceb554p-2, -0x1.23ff3b1c7ae27p-2, -0x1.1e1e03221118ap-2, -0x1.18526cf5ae4ebp-2, -0x1.129c726566f85p-2, -0x1.0cfc0a1b8f919p-2, -0x1.077127ccf2ed1p-2, -0x1.01fbbc5fe984bp-2, -0x1.f9376c1a88433p-3, -0x1.eea200f8819afp-3, -0x1.e43709b57305fp-3, -0x1.d9f653e57d71dp-3, -0x1.cfdfa87d73ca1p-3, -0x1.c5f2cbfa02fefp-3, -0x1.bc2f7e87536f7p-3, -0x1.b2957c2a3e10dp-3, -0x1.a9247cebbe363p-3, -0x1.9fdc3507035ep-3, -0x1.96bc551a1cdcp-3, -0x1.8dc48a58ef55ep-3, -0x1.84f47ec20ee9cp-3, -0x1.7c4bd954c9accp-3, -0x1.73ca3e47d868dp-3, -0x1.6b6f4f3ff0914p-3, -0x1.633aab85ae35bp-3, -0x1.5b2bf03a406b6p-3, -0x1.5342b88a69577p-3, -0x1.4b7e9ddf78227p-3, -0x1.43df380e00238p-3, -0x1.3c641d8225ad9p-3, -0x1.350ce36962977p-3, -0x1.2dd91dd9d090dp-3, -0x1.26c85ff6f6a11p-3, -0x1.1fda3c142c489p-3, -0x1.190e6efbfd724p-3, -0x1.12640d04b691ap-3, -0x1.0bdaf9cded6edp-3, -0x1.0572c64e09b26p-3, -0x1.fe56063db1564p-4, -0x1.f2068123b5d55p-4, -0x1.e5f61d8768713p-4, -0x1.da23fb5dbe926p-4, -0x1.ce8f3a7b614d8p-4, -0x1.c336fab79475bp-4, -0x1.b81a5c0e0272cp-4, -0x1.ad387ebf857c9p-4, -0x1.a2908371effep-4, -0x1.98218b4ee8875p-4, -0x1.8deab821bca34p-4, -0x1.83eb2c7433e23p-4, -0x1.7a220baa5723cp-4, -0x1.708e7a1d19d4ep-4, -0x1.672f9d33e0e7bp-4, -0x1.5e049b7cd80bp-4, -0x1.550c9cc410079p-4, -0x1.4c46ca295cef6p-4, -0x1.43b24e34f2e46p-4, -0x1.3b4e54eabfb41p-4, -0x1.331a0bdc82b06p-4, -0x1.2b14a23aaee8cp-4, -0x1.233d48e416e37p-4, -0x1.1b933274785ap-4, -0x1.14159351e962dp-4, -0x1.0cc3a1b9413d3p-4, -0x1.059c95c98234p-4, -0x1.fd3f531cb908ep-5, -0x1.ef983213a7908p-5, -0x1.e242447a347b5p-5, -0x1.d53c0a615ab87p-5, -0x1.c88407f782df5p-5, -0x1.bc18c596154a2p-5, -0x1.aff8cfcdd0f09p-5, -0x1.a422b7720219p-5, -0x1.989511a2a7a7ep-5, -0x1.8d4e77d591419p-5, -0x1.824d87de828e5p-5, -0x1.7790e3f669b45p-5, -0x1.6d1732c1b0107p-5, -0x1.62df1f55a6f04p-5, -0x1.58e7593d2401dp-5, -0x1.4f2e947c4c6a1p-5, -0x1.45b389939261dp-5, -0x1.3c74f581f52d4p-5, -0x1.337199c6863ffp-5, -0x1.2aa83c6130613p-5, -0x1.2217a7d2da818p-5, -0x1.19beab1cdbb1ap-5, -0x1.119c19bfce4f5p-5, -0x1.09aecbb9c5eb5p-5, -0x1.01f59d83f5487p-5, -0x1.f4dee01f796ap-6, -0x1.e636518663fb1p-6, -0x1.d7ef62ea50993p-6, -0x1.ca07f0d15fc23p-6, -0x1.bc7de0904b0efp-6, -0x1.af4f203f8c736p-6, -0x1.a279a6afac0ddp-6, -0x1.95fb735cb539ep-6, -0x1.89d28e60dcc13p-6, -0x1.7dfd086662b7ep-6, -0x1.7278fa98b2d57p-6, -0x1.67448694d8667p-6, -0x1.5c5dd6593b48ap-6, -0x1.51c31c34bd2a7p-6, -0x1.477292b53e174p-6, -0x1.3d6a7c9583636p-6, -0x1.33a924aa96c86p-6, -0x1.2a2cddd0a406ap-6, -0x1.20f402d753a46p-6, -0x1.17fcf66db732p-6, -0x1.0f46230dc00a4p-6, -0x1.06cdfae75cb49p-6, -0x1.fd25ef965971ep-7, -0x1.ed273629d68bbp-7, -0x1.dd9cdb2afe1dbp-7, -0x1.ce83fef98d3b4p-7, -0x1.bfd9d0865a178p-7, -0x1.b19b8d25ec82cp-7, -0x1.a3c68062c35f8p-7, -0x1.965803cf2db87p-7, -0x1.894d7ed6f8367p-7, -0x1.7ca46690a18d3p-7, -0x1.705a3d8e83a5ap-7, -0x1.646c93afb93adp-7, -0x1.58d905f0dedecp-7, -0x1.4d9d3e3cb3a16p-7, -0x1.42b6f33cb45dbp-7, -0x1.3823e82999c18p-7, -0x1.2de1ec9be51bbp-7, -0x1.23eedc5c589ebp-7, -0x1.1a489f34996f1p-7, -0x1.10ed28bfbd92bp-7, -0x1.07da783b1d90ep-7, -0x1.fe1d30ae3fc3fp-8, -0x1.ed0f3e1074d35p-8, -0x1.dc875ab035025p-8, -0x1.cc81de6e00c02p-8, -0x1.bcfb369a9c576p-8, -0x1.adefe59aa6cd6p-8, -0x1.9f5c828a9adf9p-8, -0x1.913db8e37adb1p-8, -0x1.8390481ff45dep-8, -0x1.7651036249675p-8, -0x1.697cd11a8e22ap-8, -0x1.5d10aaade6d5ap-8, -0x1.51099c1e47922p-8, -0x1.4564c3b304317p-8, -0x1.3a1f51a222d07p-8, -0x1.2f3687ba5b66ap-8, -0x1.24a7b90e09267p-8, -0x1.1a70499ee00e5p-8, -0x1.108dae0a70cb7p-8, -0x1.06fd6b37a68fdp-8, -0x1.fb7a2c0a35a8bp-9, -0x1.e994a5f065d74p-9, -0x1.d845abdaae1ep-9, -0x1.c788c391e9d9ap-9, -0x1.b7599052fcd4fp-9, -0x1.a7b3d234e679bp-9, -0x1.98936590383b1p-9, -0x1.89f442691513bp-9, -0x1.7bd27bdac2f6fp-9, -0x1.6e2a3f85567p-9, -0x1.60f7d4fd49253p-9, -0x1.54379d3d1916p-9, -0x1.47e61218b8483p-9, -0x1.3bffc5b33cebp-9, -0x1.308161f65a073p-9, -0x1.2567a80bdf39fp-9, -0x1.1aaf6fd93677fp-9, -0x1.1055a77d25a6bp-9, -0x1.065752ceffd1cp-9, -0x1.f96315c09d213p-10, -0x1.e6c2fb0099f8cp-10, -0x1.d4c8d982cdbdap-10, -0x1.c36f5d012ba68p-10, -0x1.b2b157de2ac4p-10, -0x1.a289c23ae6063p-10, -0x1.92f3b91250abbp-10, -0x1.83ea7d57cc826p-10, -0x1.75697319bd58ep-10, -0x1.676c20a7ec97bp-10, -0x1.59ee2dbe4d1fcp-10, -0x1.4ceb62b28479cp-10, -0x1.405fa7a64f048p-10, -0x1.344703bd35102p-10, -0x1.289d9c5662526p-10, -0x1.1d5fb449b102ap-10, -0x1.1289ab28c30a1p-10, -0x1.0817fc842b88cp-10, -0x1.fc0e7e66aebc4p-11, -0x1.e8a84941b9a8ap-11, -0x1.d5f6f0343f6e6p-11, -0x1.c3f43c453ac22p-11, -0x1.b29a279563cdfp-11, -0x1.a1e2dc12fb1e7p-11, -0x1.91c8b23662293p-11, -0x1.82462fc33366p-11, -0x1.735606919d11cp-11, -0x1.64f3135e8fca8p-11, -0x1.57185ca0add13p-11, -0x1.49c11165f44dep-11, -0x1.3cda185c9c806p-11, -0x1.307c980170f64p-11, -0x1.2494fa914dafbp-11, -0x1.191f05ebb8403p-11, -0x1.0e16a337d6b6cp-11, -0x1.0377dde667305p-11, -0x1.f27dc572b6fb4p-12, -0x1.decffda3b98d5p-12, -0x1.cbdf3d86f110ap-12, -0x1.b9a49b59df3fdp-12, -0x1.a81968acfdb7cp-12, -0x1.973730ab5d288p-12, -0x1.86f7b66bd1147p-12, -0x1.7754f34d0189fp-12, -0x1.6849155cad9acp-12, -0x1.59ce7dc7c0d45p-12, -0x1.4bdfbf5301a13p-12, -0x1.3e779ce080537p-12, -0x1.319107fb99a08p-12, -0x1.25271f6fd2ef9p-12, -0x1.19352de8300ap-12, -0x1.0db6a8975a736p-12, -0x1.02a72de94a0cep-12, -0x1.f0050877eab92p-13, -0x1.db89314392c1fp-13, -0x1.c7d2fb5957c98p-13, -0x1.b4dad47ce0452p-13, -0x1.a29970c8545e4p-13, -0x1.9107c87017d9dp-13, -0x1.801f1594c86b3p-13, -0x1.6fd8d22430fcdp-13, -0x1.602eb5cb2a55fp-13, -0x1.511ab3f2a4d58p-13, -0x1.4296f9cbd9945p-13, -0x1.349dec6a8c9a7p-13, -0x1.272a26eaded91p-13, -0x1.1a3678a7642b8p-13, -0x1.0dbde37810daap-13, -0x1.01bb99ff997b2p-13, -0x1.ec55fc0c44712p-14, -0x1.d60f3db9bf83p-14, -0x1.c09a6fa2b2665p-14, -0x1.abef5d4f93f46p-14, -0x1.98062446c423bp-14, -0x1.84d7313241292p-14, -0x1.725b3d18503dp-14, -0x1.608b4aab74ec7p-14, -0x1.4f60a3b06f76cp-14, -0x1.3ed4d6731434ap-14, -0x1.2ee1b34eba62dp-14, -0x1.1f814a5162fe3p-14, -0x1.10ade8e8694b4p-14, -0x1.026217a476915p-14, -0x1.e931301c3e34ap-15, -0x1.ce98c512d4805p-15, -0x1.b4f1489d31536p-15, -0x1.9c317ae0eacd8p-15, -0x1.84507de272383p-15, -0x1.6d45d1d546f31p-15, -0x1.57095186490aap-15, -0x1.41932edff9654p-15, -0x1.2cdbefa2d53dp-15, -0x1.18dc6a0abd9ap-15, -0x1.058dc1c193d6ap-15, -0x1.e5d2c99c9e83fp-16, -0x1.c1d2115394f3dp-16, -0x1.9f0d4ed1403d2p-16, -0x1.7d78fa01ba98cp-16, -0x1.5d0a094478b79p-16, -0x1.3db5ec592f76ap-16, -0x1.1f728762f5678p-16, -0x1.02362e3fa4a0bp-16, -0x1.cbef3fb561a41p-17, -0x1.955c03867d96ep-17, -0x1.60a1b7e1048e5p-17, -0x1.2db0292624a33p-17, -0x1.f8efb091700ap-18, -0x1.99d3e63d4c303p-18, -0x1.3df099ed9ae78p-18, -0x1.ca555e271de22p-19, -0x1.1ed0702b4b967p-19, -0x1.e483488ed2529p-21, 0x1.3747495c98796p-22, 0x1.82f43b7c39577p-20, 0x1.56be2d8630342p-19, 0x1.e6de96e8e18d4p-19, 0x1.3901858881e5bp-18, 0x1.7c28c16d377f3p-18, 0x1.bcf729641a143p-18, 0x1.fb7e1f4fb67b1p-18, 0x1.1be72300d8e1ep-17, 0x1.38fbc521ea6bp-17, 0x1.550495b270abp-17, 0x1.7008e1cecf888p-17, 0x1.8a0fa7d928df6p-17, 0x1.a31f9b76d5393p-17, 0x1.bb3f292cb9288p-17, 0x1.d27479cfa0f05p-17, 0x1.e8c575f48dc2ap-17, 0x1.fe37c9102eef3p-17, 0x1.09687253706d7p-16, 0x1.134b019a4032cp-16, 0x1.1cc6157f46c6dp-16, 0x1.25dc1865ce118p-16, 0x1.2e8f5d3b1736cp-16, 0x1.36e220b3988a6p-16, 0x1.3ed68a7949fa7p-16, 0x1.466eae4906cfap-16, 0x1.4dac8d0a53534p-16, 0x1.549215d552a5ep-16, 0x1.5b2126efb66c8p-16, 0x1.615b8ea52792fp-16, 0x1.67430c4d3b6aep-16, 0x1.6cd9511303105p-16, 0x1.722000c291b5p-16, 0x1.7718b27b9dd0bp-16, 0x1.7bc4f193f8825p-16, 0x1.80263e226116cp-16, 0x1.843e0db817e25p-16, 0x1.880dcbf90ce9dp-16, 0x1.8b96db35c3364p-16, 0x1.8eda94f593859p-16, 0x1.91da4a84218e4p-16, 0x1.949745677815ep-16, 0x1.9712c7e0d8a86p-16, 0x1.994e0d55bf8fbp-16, 0x1.9b4a4ac280f5dp-16, 0x1.9d08af216b84p-16, 0x1.9e8a63b05f2f8p-16, 0x1.9fd08c7139806p-16, 0x1.a0dc4863512bap-16, 0x1.a1aeb1d8a1433p-16, 0x1.a248debcf388p-16, 0x1.a2abe0e4e0193p-16, 0x1.a2d8c6427c797p-16, 0x1.a2d0991d9ad38p-16, 0x1.a294605fc0295p-16, 0x1.a2251fb827605p-16, 0x1.a183d7d1fec0ep-16, 0x1.a0b1867e73ed3p-16, 0x1.9faf26e1d1456p-16, 0x1.9e7db19a3a783p-16, 0x1.9d1e1cdf915bdp-16, 0x1.9b915ca9e78ep-16, 0x1.99d862c3caeb1p-16, 0x1.97f41efb7204p-16, 0x1.95e57f1a329cap-16, 0x1.93ad6f20683f6p-16, 0x1.914cd945886a3p-16, 0x1.8ec4a609de2fbp-16, 0x1.8c15bc4c3bb17p-16, 0x1.8941015712f7p-16, 0x1.864758ed3f81cp-16, 0x1.8329a5554ced1p-16, 0x1.7fe8c76566e53p-16, 0x1.7c859e80a78f7p-16, 0x1.790108affd091p-16, 0x1.755be2958df17p-16, 0x1.719707807f75cp-16, 0x1.6db351630d9c4p-16, 0x1.69b198e108ca9p-16, 0x1.6592b5423405cp-16, 0x1.61577c7cff101p-16, 0x1.5d00c332dfd23p-16, 0x1.588f5cafd7dc4p-16, 0x1.54041ae3f3254p-16, 0x1.4f5fce6a21ecep-16, 0x1.4aa3467af6199p-16, 0x1.45cf50de3e31bp-16, 0x1.40e4ba079b875p-16, 0x1.3be44cf665e33p-16, 0x1.36ced3357a853p-16, 0x1.31a514d85afe3p-16, 0x1.2c67d8739f295p-16, 0x1.2717e31a40b2cp-16, 0x1.21b5f84cbb3d8p-16, 0x1.1c42d9fa8bbcp-16, 0x1.16bf487c04ef8p-16, 0x1.112c0289f6e62p-16, 0x1.0b89c52f78126p-16, 0x1.05d94bcde7649p-16, 0x1.001b500a61237p-16, 0x1.f4a11399cef1p-17, 0x1.e8f35e6e5dbf7p-17, 0x1.dd2ee939dc867p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.9b891802ffa36p-1, 0x1.92ebf042fb81bp-1, 0x1.8a0e037daec75p-1, 0x1.80f3df532f977p-1, 0x1.77a20967e5ecep-1, 0x1.6e1cfc7210cbp-1, 0x1.64692590f83c1p-1, 0x1.5a8ae1e8d2e07p-1, 0x1.50867c7e8e827p-1, 0x1.46602c4efa4aep-1, 0x1.3c1c129d0be93p-1, 0x1.31be397344e21p-1, 0x1.274a92548045fp-1, 0x1.1cc4f518b0a17p-1, 0x1.12311ef255142p-1, 0x1.0792b199aab63p-1, 0x1.f9da65359c9a1p-2, 0x1.e488158870cd2p-2, 0x1.cf350b665923p-2, 0x1.b9e7a2f7b1d5cp-2, 0x1.a4a5fcd619ffep-2, 0x1.8f75fdbf23f6p-2, 0x1.7a5d4e7294e03p-2, 0x1.65615bb8c1c2dp-2, 0x1.5087568dc8fb2p-2, 0x1.3bd4346e9c681p-2, 0x1.274cafc4f9d17p-2, 0x1.12f5486fa222fp-2, 0x1.fda488c87a30dp-3, 0x1.d5cf60d1185d6p-3, 0x1.ae72c1c1444dp-3, 0x1.8795e56011794p-3, 0x1.613f98579c1edp-3, 0x1.3b763c374472bp-3, 0x1.163fc99075b3ep-3, 0x1.e343a45579047p-4, 0x1.9b43069830b16p-4, 0x1.548750252797p-4, 0x1.0f1957b9319a3p-4, 0x1.960272f57ccc4p-5, 0x1.108cb7ecef043p-5, 0x1.1bbdd4ad025e4p-6, 0x1.c0a3e869459ecp-10, -0x1.bbd783a7b89b8p-7, -0x1.d211206b123c8p-6, -0x1.602aa0c15a226p-5, -0x1.d454f2860ea78p-5, -0x1.22c0c48a74694p-4, -0x1.59d5c0b341e38p-4, -0x1.8f6783dd7d0aap-4, -0x1.c374a6c7a6b5p-4, -0x1.f5fc3fd5c8e21p-4, -0x1.137eef134a271p-3, -0x1.2b3cc25bea637p-3, -0x1.4237d2cdd1367p-3, -0x1.58708e9fafab2p-3, -0x1.6de796e2c2163p-3, -0x1.829dbd39903b6p-3, -0x1.96940198ef16p-3, -0x1.a9cb90138b824p-3, -0x1.bc45beb05a254p-3, -0x1.ce040b4c2158cp-3, -0x1.df08198652c3ep-3, -0x1.ef53b0b9609b4p-3, -0x1.fee8b9feb6fecp-3, -0x1.06e49f1f39ec5p-2, -0x1.0dfbb22573755p-2, -0x1.14bab784013fdp-2, -0x1.1b22ddcf53621p-2, -0x1.21355fddf3b83p-2, -0x1.26f383ee1c34ep-2, -0x1.2c5e9ad142702p-2, -0x1.3177ff1d940e5p-2, -0x1.3641146559e1cp-2, -0x1.3abb467442a8p-2, -0x1.3ee808927da39p-2, -0x1.42c8d4cdad6bdp-2, -0x1.465f2b4792da3p-2, -0x1.49ac918a75598p-2, -0x1.4cb291e32d543p-2, -0x1.4f72bac0c8d72p-2, -0x1.51ee9e19b7ee6p-2, -0x1.5427d0d672ab7p-2, -0x1.561fea4183463p-2, -0x1.57d8837ce8799p-2, -0x1.595336fcb6994p-2, -0x1.5a91a006ea2f4p-2, -0x1.5b955a3855421p-2, -0x1.5c60010e93e9cp-2, -0x1.5cf32f76f62cp-2, -0x1.5d507f6242883p-2, -0x1.5d79895d4553fp-2, -0x1.5d6fe42e13666p-2, -0x1.5d352475e37a7p-2, -0x1.5ccadc5776cfcp-2, -0x1.5c329b21e8929p-2, -0x1.5b6decffdc91bp-2, -0x1.5a7e5aaaecb59p-2, -0x1.596569233fad3p-2, -0x1.5824996b3656ap-2, -0x1.56bd684710a9dp-2, -0x1.55314e00773c9p-2, -0x1.5381be2dd04dcp-2, -0x1.51b0277d49791p-2, -0x1.4fbdf3837acebp-2, -0x1.4dac868d8e33p-2, -0x1.4b7d3f76d1f3dp-2, -0x1.493177819f456p-2, -0x1.46ca82337a419p-2, -0x1.4449ad3455deap-2, -0x1.41b04030e41bcp-2, -0x1.3eff7cbfd47d2p-2, -0x1.3c389e49f566p-2, -0x1.395cd9f512f0bp-2, -0x1.366d5e91836e3p-2, -0x1.336b548a4b1f1p-2, -0x1.3057ddd7ba1fcp-2, -0x1.2d3415f474412p-2, -0x1.2a0111d4c6384p-2, -0x1.26bfdfe0368cfp-2, -0x1.237187ed36211p-2, -0x1.20170b3ee4e2bp-2, -0x1.1cb16484c4d44p-2, -0x1.194187dc57e84p-2, -0x1.15c862d4857f7p-2, -0x1.1246dc72bac94p-2, -0x1.0ebdd539add64p-2, -0x1.0b2e2731b2a54p-2, -0x1.0798a5f288aa5p-2, -0x1.03fe1eae9720bp-2, -0x1.005f583f78effp-2, -0x1.f97a2667a2327p-3, -0x1.f23013bc9b754p-3, -0x1.eae1e0cb964ap-3, -0x1.e390e9ad0e5dcp-3, -0x1.dc3e7e689cad3p-3, -0x1.d4ebe31b32ee4p-3, -0x1.cd9a501f0a62p-3, -0x1.c64af2353010cp-3, -0x1.befeeab08ec6cp-3, -0x1.b7b74fa251deep-3, -0x1.b0752c0791e89p-3, -0x1.a9397ff819e52p-3, -0x1.a20540d647c24p-3, -0x1.9ad9597fcfc3cp-3, -0x1.93b6aa7f611c4p-3, -0x1.8c9e0a3f0099ep-3, -0x1.8590453b117c3p-3, -0x1.7e8e1e35ef6d5p-3, -0x1.77984e6bfc96ep-3, -0x1.70af85c81cc8ap-3, -0x1.69d46b187d268p-3, -0x1.63079c439eafbp-3, -0x1.5c49ae7d885b7p-3, -0x1.559b2e7d163c1p-3, -0x1.4efca0b14c278p-3, -0x1.486e8176a85f2p-3, -0x1.41f1454c5931p-3, -0x1.3b8559094e88dp-3, -0x1.352b2211187c4p-3, -0x1.2ee2fe8884bfcp-3, -0x1.28ad4589eb2f7p-3, -0x1.228a475923428p-3, -0x1.1c7a4d9713762p-3, -0x1.167d9b74d3a5ep-3, -0x1.10946de64b734p-3, -0x1.0abefbd45f34ep-3, -0x1.04fd764e794a9p-3, -0x1.fea011773097p-4, -0x1.f36db215570d8p-4, -0x1.e8640fc4aeae9p-4, -0x1.dd8361a022ed7p-4, -0x1.d2cbd4ed09307p-4, -0x1.c83d8d768d761p-4, -0x1.bdd8a5e7a2fcp-4, -0x1.b39d3023701cdp-4, -0x1.a98b359c46fbcp-4, -0x1.9fa2b7a8f9bc4p-4, -0x1.95e3afd8a93cp-4, -0x1.8c4e1044f2297p-4, -0x1.82e1c3e27d90bp-4, -0x1.799eaecfed4fp-4, -0x1.7084aea31f7eap-4, -0x1.67939ab4ca177p-4, -0x1.5ecb446a67e74p-4, -0x1.562b777e78fe6p-4, -0x1.4db3fa4713c02p-4, -0x1.45648dfac5e2bp-4, -0x1.3d3ceef3c69ap-4, -0x1.353cd4f17a1a8p-4, -0x1.2d63f3584781ep-4, -0x1.25b1f96fc2bb3p-4, -0x1.1e26929f2b9ap-4, -0x1.16c166a84745ep-4, -0x1.0f8219e093155p-4, -0x1.08684d68d7e25p-4, -0x1.01739f631cf5fp-4, -0x1.f547564e0763fp-5, -0x1.e7f012e916e2ap-5, -0x1.dae0a14a8a5ddp-5, -0x1.ce1829b7f497fp-5, -0x1.c195d065955b5p-5, -0x1.b558b5cf95a2ap-5, -0x1.a95ff71044bbcp-5, -0x1.9daaae336a74cp-5, -0x1.9237f286b3f26p-5, -0x1.8706d8e749441p-5, -0x1.7c16740c9b305p-5, -0x1.7165d4d06c642p-5, -0x1.66f40a742f006p-5, -0x1.5cc022e3b7ed9p-5, -0x1.52c92af55e20ep-5, -0x1.490e2ea78bccfp-5, -0x1.3f8e395bd425p-5, -0x1.3648560f97318p-5, -0x1.2d3b8f9245a9p-5, -0x1.2466f0b94c2f6p-5, -0x1.1bc98491b9b09p-5, -0x1.1362568fab0aep-5, -0x1.0b3072bb8a1acp-5, -0x1.0332e5dd2e3bdp-5, -0x1.f6d17b49d73bap-6, -0x1.e7a211a53e4bbp-6, -0x1.d8d5aeb5892ap-6, -0x1.ca6a7513446d5p-6, -0x1.bc5e8a4936a7dp-6, -0x1.aeb0171364703p-6, -0x1.a15d479a96071p-6, -0x1.94644bac6f7dep-6, -0x1.87c356f03f408p-6, -0x1.7b78a118954f2p-6, -0x1.6f826611b9abdp-6, -0x1.63dee62d26945p-6, -0x1.588c664a11c8fp-6, -0x1.4d892ffb2540dp-6, -0x1.42d391a97bb25p-6, -0x1.3869deb4f8295p-6, -0x1.2e4a6f9212p-6, -0x1.2473a1e529a26p-6, -0x1.1ae3d89b7d55bp-6, -0x1.11997c01d3d38p-6, -0x1.0892f9d8ef05p-6, -0x1.ff9d8acfc3369p-7, -0x1.ee96af18b6724p-7, -0x1.de0e5d91eb78p-7, -0x1.ce019ea34ad77p-7, -0x1.be6d862cb175ep-7, -0x1.af4f3397a8863p-7, -0x1.a0a3d1e5d81dep-7, -0x1.926897bc389f6p-7, -0x1.849ac76b43b6ep-7, -0x1.7737aef42a8b9p-7, -0x1.6a3ca80b4807ap-7, -0x1.5da71817ecc5bp-7, -0x1.517470319586dp-7, -0x1.45a22d1abf477p-7, -0x1.3a2dd73969d76p-7, -0x1.2f15028d6759ep-7, -0x1.24554ea49cda8p-7, -0x1.19ec668d4761fp-7, -0x1.0fd800c663a91p-7, -0x1.0615df2e5303ap-7, -0x1.f9479ddfaae06p-8, -0x1.e6ff50dae4424p-8, -0x1.d54e9e56ca997p-8, -0x1.c431637057c92p-8, -0x1.b3a3932782612p-8, -0x1.a3a1362b4a7cdp-8, -0x1.94266aa382cb2p-8, -0x1.852f63f879c7ap-8, -0x1.76b86a98ae34ep-8, -0x1.68bddbbcb2078p-8, -0x1.5b3c292960119p-8, -0x1.4e2fd8f08635p-8, -0x1.419585302944cp-8, -0x1.3569dbd07de2p-8, -0x1.29a99e40b7d4ep-8, -0x1.1e51a132cf663p-8, -0x1.135ecc5654a85p-8, -0x1.08ce1a12719cap-8, -0x1.fd392e7e5ef58p-9, -0x1.e98ec5bc409fcp-9, -0x1.d6975ba4f7c2p-9, -0x1.c44d75319bddbp-9, -0x1.b2abb9fc94ce8p-9, -0x1.a1acf3afb42fdp-9, -0x1.914c0d71ed5e4p-9, -0x1.81841354d1cd2p-9, -0x1.725031c1f526cp-9, -0x1.63abb4e85dcf5p-9, -0x1.5592082a1cd04p-9, -0x1.47feb58a3ac44p-9, -0x1.3aed651b05978p-9, -0x1.2e59dc6cea75p-9, -0x1.223ffdfdf023bp-9, -0x1.169bc8a9e8ea2p-9, -0x1.0b69571b7a5d9p-9, -0x1.00a4df3e0ed06p-9, -0x1.ec9563617f28bp-10, -0x1.d8ae7274b4cc1p-10, -0x1.c58df47d09a63p-10, -0x1.b32d24683381ap-10, -0x1.a1856e399aea9p-10, -0x1.90906dfc4d8d6p-10, -0x1.8047eeb7bee77p-10, -0x1.70a5e96764ce5p-10, -0x1.61a483f55975p-10, -0x1.533e1038052f9p-10, -0x1.456d0af2f2dd5p-10, -0x1.382c1adae21c1p-10, -0x1.2b760f9d1bc6bp-10, -0x1.1f45e0ea24e3dp-10, -0x1.1396ad83d6c66p-10, -0x1.0863ba4ee9e2dp-10, -0x1.fb50e2d00c4d4p-11, -0x1.e6c0c2789b91ap-11, -0x1.d30e774b0bddp-11, -0x1.c031aa139a4cfp-11, -0x1.ae2246fde37e8p-11, -0x1.9cd87be2d0d6bp-11, -0x1.8c4cb69dcdd4ap-11, -0x1.7c77a3694ca31p-11, -0x1.6d522b4297a7fp-11, -0x1.5ed57254f69a6p-11, -0x1.50fad66c21f0ep-11, -0x1.43bbed6e03144p-11, -0x1.371283dbbf16dp-11, -0x1.2af89b5a01948p-11, -0x1.1f68694085412p-11, -0x1.145c5530ce35fp-11, -0x1.09cef7b40da9cp-11, -0x1.ff7631c0447a5p-12, -0x1.ec375e0756cdap-12, -0x1.d9d7bab23cdbep-12, -0x1.c84de581a617ep-12, -0x1.b790d103e994p-12, -0x1.a797c2249409dp-12, -0x1.985a4dc983744p-12, -0x1.89d0567d63a65p-12, -0x1.7bf20a276ff32p-12, -0x1.6eb7dfd04d502p-12, -0x1.621a9573d8778p-12, -0x1.56132ddfc0697p-12, -0x1.4a9aee9ebee82p-12, -0x1.3fab5df04a74bp-12, -0x1.353e40cc920fap-12, -0x1.2b4d98f49b8edp-12, -0x1.21d3a30e4f63fp-12, -0x1.18cad4cc50804p-12, -0x1.102ddb2166b03p-12, -0x1.07f7987f5599ep-12, -0x1.00232320f02efp-12, -0x1.f15786be6a741p-13, -0x1.e319e42299e4fp-13, -0x1.d584adee63ffp-13, -0x1.c88f8e5db9dc9p-13, -0x1.bc3287677820fp-13, -0x1.b065efd099f43p-13, -0x1.a52270534df71p-13, -0x1.9a6100d9931bfp-13, -0x1.901ae5caeccfp-13, -0x1.8649ad6cf0459p-13, -0x1.7ce72d562b0f1p-13, -0x1.73ed7ff31f598p-13, -0x1.6b57021ced6ccp-13, -0x1.631e50c149171p-13, -0x1.5b3e469b777bdp-13, -0x1.53b1f9fdd477p-13, -0x1.4c74baabae0c3p-13, -0x1.45820fc2fe146p-13, -0x1.3ed5b5b5b935ep-13, -0x1.386b9c5259f9cp-13, -0x1.323fe4db496ccp-13, -0x1.2c4ee02cda87ap-13, -0x1.26950cf1801adp-13, -0x1.210f15e3e076bp-13, -0x1.1bb9d01e88aa4p-13, -0x1.16923978d428cp-13, -0x1.119576f0d0174p-13, -0x1.0cc0d321bac8ap-13, -0x1.0811bcc6dcbffp-13, -0x1.0385c54a62f4fp-13, -0x1.fe353ebfe9fe3p-14, -0x1.f59c3b558accap-14, -0x1.ed3c62dd73d8bp-14, -0x1.e511d2990124bp-14, -0x1.dd18e0106af5bp-14, -0x1.d54e16b4ba9f2p-14, -0x1.cdae3595d49d4p-14, -0x1.c6362d2c26815p-14, -0x1.bee31d3551265p-14, -0x1.b7b252a3734f7p-14, -0x1.b0a1459e70c15p-14, -0x1.a9ad9796e12b4p-14, -0x1.a2d51169faa87p-14, -0x1.9c15a19638cd7p-14, -0x1.956d5a80135p-14, -0x1.8eda70c676a61p-14, -0x1.885b39a67e589p-14, -0x1.81ee296e029cp-14, -0x1.7b91d1fc90572p-14, -0x1.7544e1525e10ap-14, -0x1.6f06202cd857cp-14, -0x1.68d470b05e414p-14, -0x1.62aecd1ecab5ep-14, -0x1.5c94469a6b46cp-14, -0x1.568403f502e47p-14, -0x1.507d408a7c6a7p-14, -0x1.4a7f4b26f3a5fp-14, -0x1.448984f7baf31p-14, -0x1.3e9b6087063fap-14, -0x1.38b460c1e8c4ep-14, -0x1.32d41808523d3p-14, -0x1.2cfa2746b9fb6p-14, -0x1.27263d192b819p-14, -0x1.215814f76697ap-14, -0x1.1b8f7669c7f04p-14, -0x1.15cc3446b4771p-14, -0x1.100e2bf83ab8cp-14, -0x1.0a5544c9ac3e1p-14, -0x1.04a16f3ce66fbp-14, -0x1.fde548ce14ac3p-15, -0x1.f291caa8cb901p-15, -0x1.e74874e699ff3p-15, -0x1.dc09660b5412bp-15, -0x1.d0d4c9320c7e8p-15, -0x1.c5aad509a73ebp-15, -0x1.ba8bcadd84395p-15, -0x1.af77f5a9c9222p-15, -0x1.a46fa93aeec0dp-15, -0x1.9973415820d4bp-15, -0x1.8e8320f81177fp-15, -0x1.839fb17fe02c1p-15, -0x1.78c9620bb4b9cp-15, -0x1.6e00a6c0b3d21p-15, -0x1.6345f827f2a47p-15, -0x1.5899d29217469p-15, -0x1.4dfcb583502c8p-15, -0x1.436f232751fdbp-15, -0x1.38f19fcd0b6ebp-15, -0x1.2e84b169c8252p-15, -0x1.2428df2373bf3p-15, -0x1.19deb0e1b6bcbp-15, -0x1.0fa6aee5a932p-15, -0x1.05816167d840dp-15, -0x1.f6dea078b2547p-16, -0x1.e2e204f9621ap-16, -0x1.cf0dfc6e9f7cp-16, -0x1.bb639048c5ff9p-16, -0x1.a7e3c6bf98d6ep-16, -0x1.948fa24ff8238p-16, -0x1.8168214305981p-16, -0x1.6e6e3d3e40228p-16, -0x1.5ba2eadc3c8cdp-16, -0x1.4907194d99ccfp-16, -0x1.369bb201cc225p-16, -0x1.246198576cdc7p-16, -0x1.1259a953b56fdp-16, -0x1.0084bb60ca557p-16, -0x1.ddc73c2519df2p-17, -0x1.baee33e34eae8p-17, -0x1.987fe098ed228p-17, -0x1.767db61b3d1e3p-17, -0x1.54e9192fea3dcp-17, -0x1.33c35f4ef6744p-17, -0x1.130dce6e6d061p-17, -0x1.e59339ae4bd28p-18, -0x1.a5efe2048c7fcp-18, -0x1.6733c2fde9286p-18, -0x1.2960e9bfad8aep-18, -0x1.d8f286bfa8fa5p-19, -0x1.60fd39b9424bcp-19, -0x1.d5ca8c853cb64p-20, -0x1.dab718b911799p-21, -0x1.1664e108ba709p-25, 0x1.b052dcbce91c8p-21, 0x1.b5357cede60aep-20, 0x1.4736657ee4817p-19, 0x1.b1e5cd8ab9d1fp-19, 0x1.0d53aaae1bc12p-18, 0x1.40bccc44ecf3fp-18, 0x1.732db76372781p-18, 0x1.a4a5f58ef51fap-18, 0x1.d5252d8f68d77p-18, 0x1.025591805368bp-17, 0x1.199bdaef2b2fbp-17, 0x1.3065710579dfcp-17, 0x1.46b25f693155dp-17, 0x1.5c82bf343832dp-17, 0x1.71d6b6b1d1e55p-17, 0x1.86ae791a67376p-17, 0x1.9b0a464dc9077p-17, 0x1.aeea6a8c26193p-17, 0x1.c24f3e2de2668p-17, 0x1.d539255a5c9e2p-17, 0x1.e7a88fbde9e03p-17, 0x1.f99df83f03646p-17, 0x1.058cf25979366p-16, 0x1.0e0e72c8f8366p-16, 0x1.1653cad57d681p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.d8a2eb7a47ec8p-1, 0x1.d585d55749faep-1, 0x1.d24b7c52e1ac1p-1, 0x1.cef4f9f244d03p-1, 0x1.cb836938a39a1p-1, 0x1.c7f7e5f9acb5bp-1, 0x1.c4538c3882a71p-1, 0x1.c09777928f1cep-1, 0x1.bcc4c2b597a43p-1, 0x1.b8dc86e07e356p-1, 0x1.b4dfdb6e15a51p-1, 0x1.b0cfd5697e1f6p-1, 0x1.acad872b7931ap-1, 0x1.a87a000034877p-1, 0x1.a4364bd5092b7p-1, 0x1.9fe372edb81bcp-1, 0x1.9b8279a0b1693p-1, 0x1.97146019f8cdbp-1, 0x1.929a22244303cp-1, 0x1.8e14b6f7e9ca9p-1, 0x1.8985110f5b8d8p-1, 0x1.84ec1e00b1cc6p-1, 0x1.804ac65c1b5ep-1, 0x1.7ba1ed8ece053p-1, 0x1.76f271ca3852bp-1, 0x1.723d2bef2de45p-1, 0x1.6d82ef7ccb294p-1, 0x1.68c48a82d8cf5p-1, 0x1.6402c5976d524p-1, 0x1.5f3e63cf9bdadp-1, 0x1.5a7822baf8cb9p-1, 0x1.55b0ba61c1d7ep-1, 0x1.50e8dd457da9dp-1, 0x1.4c213863e3985p-1, 0x1.475a733be24c9p-1, 0x1.42952fd49dc3ep-1, 0x1.3dd20ac63dbf9p-1, 0x1.39119b4467eb3p-1, 0x1.3454732a46efp-1, 0x1.2f9b1f07f9ee1p-1, 0x1.2ae626314fa1p-1, 0x1.26360acdb2721p-1, 0x1.218b49e92698ep-1, 0x1.1ce65b864123cp-1, 0x1.1847b2b103b43p-1, 0x1.13afbd927f764p-1, 0x1.0f1ee5852ed5bp-1, 0x1.0a958f29f10b4p-1, 0x1.06141a7d9034fp-1, 0x1.019ae2eec6f87p-1, 0x1.fa547ee95c53p-2, 0x1.f185054b0e79bp-2, 0x1.e8c7f59ba5a23p-2, 0x1.e01de40f4bc7p-2, 0x1.d7875ca46332p-2, 0x1.cf04e352de2e9p-2, 0x1.c696f43bd0593p-2, 0x1.be3e03d91c85cp-2, 0x1.b5fa7f2d335b9p-2, 0x1.adcccbf2c8453p-2, 0x1.a5b548cc768a8p-2, 0x1.9db44d743ae05p-2, 0x1.95ca2aeabf3b3p-2, 0x1.8df72ba661246p-2, 0x1.863b93c1ee2c1p-2, 0x1.7e97a12b05c1dp-2, 0x1.770b8bd01c0ddp-2, 0x1.6f9785ce0bc25p-2, 0x1.683bbb9d3675p-2, 0x1.60f8543e2810ap-2, 0x1.59cd7165b5041p-2, 0x1.52bb2fa88e57cp-2, 0x1.4bc1a6a643bffp-2, 0x1.44e0e933b3aa4p-2, 0x1.3e190584db355p-2, 0x1.376a05560a767p-2, 0x1.30d3ee1472f24p-2, 0x1.2a56c1061278ap-2, 0x1.23f27b70f0485p-2, 0x1.1da716c1b06e6p-2, 0x1.177488b178fc9p-2, 0x1.115ac36b235dap-2, 0x1.0b59b5afbd4dbp-2, 0x1.05714afa55806p-2, 0x1.ff42d7462a8ep-3, 0x1.f3d3fa033db64p-3, 0x1.e895c31d793d9p-3, 0x1.dd87f20aa59bep-3, 0x1.d2aa41053fe4ep-3, 0x1.c7fc654b83f94p-3, 0x1.bd7e0f5d0e13ep-3, 0x1.b32eeb370d8b1p-3, 0x1.a90ea08f0fcf5p-3, 0x1.9f1cd30c59fa7p-3, 0x1.9559227fe367ap-3, 0x1.8bc32b1ae17fdp-3, 0x1.825a85a3f5704p-3, 0x1.791ec7aaf21e4p-3, 0x1.700f83bb4bf08p-3, 0x1.672c498d2459cp-3, 0x1.5e74a634fd76bp-3, 0x1.55e82452204c7p-3, 0x1.4d864c3ba32eep-3, 0x1.454ea42c30dafp-3, 0x1.3d40b06c76c22p-3, 0x1.355bf37c56ad5p-3, 0x1.2d9fee3ad2eafp-3, 0x1.260c200cb7ac4p-3, 0x1.1ea007020ec2ep-3, 0x1.175b1ffa5f81fp-3, 0x1.103ce6c7b81ep-3, 0x1.0944d6508b1b4p-3, 0x1.027268b06994ap-3, 0x1.f78a2eaf2868fp-4, 0x1.ea78b652e5666p-4, 0x1.ddaf5933de728p-4, 0x1.d12d07937797ep-4, 0x1.c4f0b14318a72p-4, 0x1.b8f945d888b38p-4, 0x1.ad45b4e03809p-4, 0x1.a1d4ee0d913d7p-4, 0x1.96a5e169542c7p-4, 0x1.8bb77f7dff71dp-4, 0x1.8108b98259f9fp-4, 0x1.7698818226ae6p-4, 0x1.6c65ca8508c29p-4, 0x1.626f88b3a70bep-4, 0x1.58b4b17b14074p-4, 0x1.4f343bae8b158p-4, 0x1.45ed1fa786194p-4, 0x1.3cde57643bd1bp-4, 0x1.3406dea48cef4p-4, 0x1.2b65b3056d123p-4, 0x1.22f9d41acf446p-4, 0x1.1ac24388215e1p-4, 0x1.12be051760016p-4, 0x1.0aec1ececcadcp-4, 0x1.034b9905501ebp-4, 0x1.f7b6fceb25a03p-5, 0x1.e935b89fa77efp-5, 0x1.db11849512684p-5, 0x1.cd488563a5e27p-5, 0x1.bfd8e4eb8f57ep-5, 0x1.b2c0d26f5101ep-5, 0x1.a5fe82abff068p-5, 0x1.99902fef6d863p-5, 0x1.8d741a2c5b367p-5, 0x1.81a8870cacf08p-5, 0x1.762bc201c6dffp-5, 0x1.6afc1c531a88dp-5, 0x1.6017ed2af3808p-5, 0x1.557d91a197f44p-5, 0x1.4b2b6cc6cb117p-5, 0x1.411fe7a9bceb3p-5, 0x1.3759715f8025p-5, 0x1.2dd67f080aa87p-5, 0x1.24958bd1d6ddap-5, 0x1.1b9518fc2ff35p-5, 0x1.12d3add8390dp-5, 0x1.0a4fd7c8bd68ep-5, 0x1.02082a40d358ap-5, 0x1.f3f67d82cc34cp-6, 0x1.e44f69ab55965p-6, 0x1.d518641d2a699p-6, 0x1.c64ec3faa37d5p-6, 0x1.b7efec59ace57p-6, 0x1.a9f94c3520bbap-6, 0x1.9c685e5c80971p-6, 0x1.8f3aa9620f228p-6, 0x1.826dbf877a5fcp-6, 0x1.75ff3ea90e25fp-6, 0x1.69ecd027985f4p-6, 0x1.5e3428d10c658p-6, 0x1.52d308c7f4437p-6, 0x1.47c73b69c4f85p-6, 0x1.3d0e97342cf5ap-6, 0x1.32a6fda967656p-6, 0x1.288e5b33a5d09p-6, 0x1.1ec2a707a3262p-6, 0x1.1541e3067104bp-6, 0x1.0c0a1b9e89d6fp-6, 0x1.031967ac39585p-6, 0x1.f4dbd0b2d32d6p-7, 0x1.e40b91f9c7d6p-7, 0x1.d3be7df21b4dbp-7, 0x1.c3f1133465858p-7, 0x1.b49fe3e8d39f4p-7, 0x1.a5c795823a42ap-7, 0x1.9764e0787806bp-7, 0x1.8974900267447p-7, 0x1.7bf381cf3c22cp-7, 0x1.6edea5bf9adc2p-7, 0x1.6232fd9e5120bp-7, 0x1.55ed9cd8d2f4cp-7, 0x1.4a0ba8379a00cp-7, 0x1.3e8a559659882p-7, 0x1.3366eb9c3c3acp-7, 0x1.289ec174194c6p-7, 0x1.1e2f3e84c7f21p-7, 0x1.1415da2992ae8p-7, 0x1.0a501b6adc03fp-7, 0x1.00db98b700a77p-7, 0x1.ef6bef37072cep-8, 0x1.ddb9d8fd1c64p-8, 0x1.cc9c74b1a37cp-8, 0x1.bc0f64dfa1c27p-8, 0x1.ac0e68213f945p-8, 0x1.9c9558963bd8ep-8, 0x1.8da02b5b70848p-8, 0x1.7f2af0036e9cbp-8, 0x1.7131d0104721cp-8, 0x1.63b10e6e8907ap-8, 0x1.56a506f18a328p-8, 0x1.4a0a2dd0fd277p-8, 0x1.3ddd0f27e88d5p-8, 0x1.321a4e75046f4p-8, 0x1.26bea61c8a7acp-8, 0x1.1bc6e6eb811b3p-8, 0x1.112ff79c899dp-8, 0x1.06f6d45e39813p-8, 0x1.fa311cb609d64p-9, 0x1.e72496858143fp-9, 0x1.d4c289ab843cap-9, 0x1.c30590e33fcb2p-9, 0x1.b1e86d3f35477p-9, 0x1.a16605495b385p-9, 0x1.917964269af4bp-9, 0x1.821db8bdae65ap-9, 0x1.734e54e1602a2p-9, 0x1.6506ac7e317c3p-9, 0x1.574254cb69c9ap-9, 0x1.49fd037f947f5p-9, 0x1.3d328e0862571p-9, 0x1.30dee8c5fd599p-9, 0x1.24fe2649c0f1fp-9, 0x1.198c76985e84ep-9, 0x1.0e86266f66194p-9, 0x1.03e79e8e2fb17p-9, 0x1.f35ac604528dfp-10, 0x1.dfa824ecf3485p-10, 0x1.ccb0cb0dfffbfp-10, 0x1.ba6e5c2d3ff5ap-10, 0x1.a8daad51afcbp-10, 0x1.97efc37d469a5p-10, 0x1.87a7d26d271a4p-10, 0x1.77fd3b604c3d7p-10, 0x1.68ea8be48b22p-10, 0x1.5a6a7ca9efed4p-10, 0x1.4c77f05c54ee9p-10, 0x1.3f0df28329e5cp-10, 0x1.3227b6675baa5p-10, 0x1.25c095ff448f3p-10, 0x1.19d410e09a3ffp-10, 0x1.0e5dcb3843b39p-10, 0x1.03598cc7fc854p-10, 0x1.f1867fd3846d1p-11, 0x1.dd2de131cf18p-11, 0x1.c9a1970186335p-11, 0x1.b6da3a21c47ffp-11, 0x1.a4d0a12d56322p-11, 0x1.937ddeb8b4d62p-11, 0x1.82db3f9a8d50ep-11, 0x1.72e2493ea9b3cp-11, 0x1.638cb80311a0ep-11, 0x1.54d47d9f387e3p-11, 0x1.46b3bf950d8e1p-11, 0x1.3924d5abc52bep-11, 0x1.2c2248742d75ep-11, 0x1.1fa6cfd667364p-11, 0x1.13ad51a8d51bap-11, 0x1.0830e05019658p-11, 0x1.fa5972cfebc43p-12, 0x1.e53888e9c6761p-12, 0x1.d0f6233c73793p-12, 0x1.bd89b0e175744p-12, 0x1.aaeaed52b1915p-12, 0x1.9911de101b728p-12, 0x1.87f6d0553917p-12, 0x1.779256de21057p-12, 0x1.67dd47bba8dd8p-12, 0x1.58d0ba36749c6p-12, 0x1.4a6604c09100bp-12, 0x1.3c96baf551735p-12, 0x1.2f5caba71ff16p-12, 0x1.22b1defaf4a7bp-12, 0x1.169094912261fp-12, 0x1.0af341bb3a8e6p-12, 0x1.ffa91f7d59ec2p-13, 0x1.ea5eb447d5bbap-13, 0x1.d5fd5a236e315p-13, 0x1.c27b8768d0171p-13, 0x1.afd00d619524dp-13, 0x1.9df21544d10d2p-13, 0x1.8cd91d49d8631p-13, 0x1.7c7cf5d0b3ef7p-13, 0x1.6cd5be9fc5f56p-13, 0x1.5ddbe4361fb35p-13, 0x1.4f881d31fa9bdp-13, 0x1.41d367cae4b06p-13, 0x1.34b7075f2016bp-13, 0x1.282c8213b6e7ap-13, 0x1.1c2d9e86d2a22p-13, 0x1.10b46193e05b4p-13, 0x1.05bb0c290ac78p-13, 0x1.f678325b38735p-14, 0x1.e26476f1b000ap-14, 0x1.cf30b7b1c37e3p-14, 0x1.bcd32e527d263p-14, 0x1.ab4278f12844cp-14, 0x1.9a75967a6d99ap-14, 0x1.8a63e3303e479p-14, 0x1.7b05154bdcc76p-14, 0x1.6c5139bb32p-14, 0x1.5e40b0f8b7d99p-14, 0x1.50cc2bfd3df14p-14, 0x1.43eca94ad4a64p-14, 0x1.379b72102df45p-14, 0x1.2bd21763c27d8p-14, 0x1.208a6f961678p-14, 0x1.15be939a74fc3p-14, 0x1.0b68dc857f35cp-14, 0x1.0183e120f5156p-14, 0x1.f014e7282ceddp-15, 0x1.ddef3e4015fe3p-15, 0x1.cc8d4bdf72bd6p-15, 0x1.bbe5fdf4fe41ep-15, 0x1.abf0a7f276d98p-15, 0x1.9ca4feda48b4bp-15, 0x1.8dfb156fbc468p-15, 0x1.7feb5888a82d2p-15, 0x1.726e8b7fa4ad7p-15, 0x1.657dc4c5c5452p-15, 0x1.59126a92e74bdp-15, 0x1.4d262fb3ace41p-15, 0x1.41b31074321ebp-15, 0x1.36b34fa6a8d3ep-15, 0x1.2c2173c4f49c4p-15, 0x1.21f8442c781b9p-15, 0x1.1832c673407c2p-15, 0x1.0ecc3bd5c4fc5p-15, 0x1.05c01ebc768e1p-15, 0x1.fa1440b0b7ccfp-16, 0x1.e94c4cac075d5p-16, 0x1.d920914c2a2d2p-16, 0x1.c9899eb593d9fp-16, 0x1.ba8061335901p-16, 0x1.abfe1d41ddbfap-16, 0x1.9dfc6bbf6a084p-16, 0x1.90753641780b9p-16, 0x1.8362b38d758ffp-16, 0x1.76bf6433dc4fep-16, 0x1.6a860f4c770dep-16, 0x1.5eb1bf52b6bcbp-16, 0x1.533dbf2110011p-16, 0x1.4825970a474e8p-16, 0x1.3d650a0fb9817p-16, 0x1.32f8133394313p-16, 0x1.28dae2e6194c6p-16, 0x1.1f09dc8cf9027p-16, 0x1.15819423d9f22p-16, 0x1.0c3ecbf5399b7p-16, 0x1.033e726ac389cp-16, 0x1.f4fb3fe8a523ep-17, 0x1.e3f32a09a1e16p-17, 0x1.d35f70485decfp-17, 0x1.c33b282b5fba5p-17, 0x1.b381ac23b8788p-17, 0x1.a42e9826b36dbp-17, 0x1.953dc66c07328p-17, 0x1.86ab4c4f2eeb3p-17, 0x1.78737752a73dp-17, 0x1.6a92ca43c7db1p-17, 0x1.5d05fa7e24f7dp-17, 0x1.4fc9ed4d219c5p-17, 0x1.42dbb56ac43cfp-17, 0x1.3638909a8d9dep-17, 0x1.29dde55f663f7p-17, 0x1.1dc940cb85fcep-17, 0x1.11f854696710ap-17, 0x1.0668f43ccb764p-17, 0x1.f63229b5d6f78p-18, 0x1.e00d9331cfe07p-18, 0x1.ca60859f492cep-18, 0x1.b52798686a473p-18, 0x1.a05f96882092fp-18, 0x1.8c057b8880abbp-18, 0x1.781670a5a52fp-18, 0x1.648fca13961abp-18, 0x1.516f0465d4c74p-18, 0x1.3eb1c2172e95ap-18, 0x1.2c55c9308c009p-18, 0x1.1a59010d76a7bp-18, 0x1.08b9703d227fep-18, 0x1.eeea74fd9145cp-19, 0x1.cd153db06e852p-19, 0x1.abefeb8afa4b3p-19, 0x1.8b775f014099bp-19, 0x1.6ba8a4c0c6892p-19, 0x1.4c80f29a2addap-19, 0x1.2dfda4950878bp-19, 0x1.101c3a2c3fa6bp-19, 0x1.e5b4a761e17fcp-20, 0x1.ac6b5fa4cf3f6p-20, 0x1.74585292d33aep-20, 0x1.3d77694a93b55p-20, 0x1.07c4bc7290252p-20, 0x1.a67920a30cdf9p-21, 0x1.3fb6a2437707ep-21, 0x1.b6763e71d0217p-22, 0x1.e3ffedd853a72p-23, 0x1.8fed7564c815cp-25, -0x1.1339d86278f47p-23, -0x1.40dbc8df0a70ep-22, -0x1.f3ca7ddd490c7p-22, -0x1.513a292a1030cp-21, -0x1.a6722365fba6ep-21, -0x1.f9928ea6c033ep-21, -0x1.2550583c2df2cp-20, -0x1.4cd0db3886cb7p-20, -0x1.734d5cb937a36p-20, -0x1.98c8605643d05p-20, -0x1.bd446232e18efp-20, -0x1.e0c3d845961bbp-20, -0x1.01a499c2e0ee7p-19, -0x1.126b708014093p-19, -0x1.22b7a569d4aa7p-19, -0x1.328a6c8bc843fp-19, -0x1.41e4f9564f94cp-19, -0x1.50c87efd0b063p-19, -0x1.5f3630cbe549ep-19, -0x1.6d2f4273332ecp-19, -0x1.7ab4e84b6caf7p-19, -0x1.87c85790fc526p-19, -0x1.946ac6989cc1fp-19, -0x1.a09d6cfcba362p-19, -0x1.ac6183c4465eap-19, -0x1.b7b8458360cb5p-19, -0x1.c2a2ee7643aa8p-19, -0x1.cd22bc96cabfbp-19, -0x1.d738efacf56c3p-19, -0x1.e0e6c95ab7f34p-19, -0x1.ea2d8d236e68ep-19, -0x1.f30e806f45747p-19, -0x1.fb8aea8adc5a7p-19, -0x1.01d20a51b70f7p-18, -0x1.05ada4dfe04afp-18, -0x1.0958eb5b10259p-18, -0x1.0cd4850fceda3p-18, -0x1.10211a246823ep-18, -0x1.133f53902714fp-18, -0x1.162fdb118954dp-18, -0x1.18f35b237fadbp-18, -0x1.1b8a7ef1d6b79p-18, -0x1.1df5f24cdc61ap-18, -0x1.2036619c55a93p-18, -0x1.224c79d1dc21ep-18, -0x1.2438e85ab2ddfp-18, -0x1.25fc5b1125bep-18, -0x1.2797802d83956p-18, -0x1.290b0636c5023p-18, -0x1.2a579bf2e89e3p-18, -0x1.2b7df0571be21p-18, -0x1.2c7eb277b3e5dp-18, -0x1.2d5a91780a76p-18, -0x1.2e123c7a44f72p-18, -0x1.2ea6628f14146p-18, -0x1.2f17b2a573b83p-18, -0x1.2f66db7a751b7p-18, -0x1.2f948b891cb7ep-18, -0x1.2fa170fa5b9c4p-18, -0x1.2f8e39952a798p-18, -0x1.2f5b92aecfa25p-18, -0x1.2f0a291b53bc4p-18, -0x1.2e9aa91e2eeedp-18, -0x1.2e0dbe5b2f24cp-18, -0x1.2d6413c79f26fp-18, -0x1.2c9e539bb6103p-18, -0x1.2bbd274449e94p-18, -0x1.2ac13754d624fp-18, -0x1.29ab2b79cc2f7p-18, -0x1.287baa6b3cc3ep-18, -0x1.273359dfd2402p-18, -0x1.25d2de8028a5ap-18, -0x1.245adbda7bc83p-18, -0x1.22cbf456b3735p-18, -0x1.2126c92acf412p-18, -0x1.1f6bfa4fadcf7p-18, -0x1.1d9c267637f93p-18, -0x1.1bb7eafce9728p-18, -0x1.19bfe3e5bf24p-18, -0x1.17b4abcc837c4p-18, -0x1.1596dbdd7fecap-18, -0x1.13670bcc8f887p-18, -0x1.1125d1cc93101p-18, -0x1.0ed3c28749938p-18, -0x1.0c71711587558p-18, -0x1.09ff6ef7d01f4p-18, -0x1.077e4c0f50b16p-18, -0x1.04ee9697387a5p-18, -0x1.0250db1e718c9p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.523cb82d4f118p-4, -0x1.6d36bba0a7827p-4, -0x1.89081e4d30986p-4, -0x1.a5a2eac7498e8p-4, -0x1.c2f85fb71446p-4, -0x1.e0f916987d8efp-4, -0x1.ff952776808f9p-4, -0x1.0f5e24ddeef8p-3, -0x1.1f2ef91c69aedp-3, -0x1.2f34b7403d913p-3, -0x1.3f66fee158224p-3, -0x1.4fbd73a3ca5bap-3, -0x1.602fc759097bbp-3, -0x1.70b5c316e53a8p-3, -0x1.81474f55ef0e7p-3, -0x1.91dc7b28467f5p-3, -0x1.a26d82990a339p-3, -0x1.b2f2d443da491p-3, -0x1.c3651632fae03p-3, -0x1.d3bd2a11d7edcp-3, -0x1.e3f430c0e9016p-3, -0x1.f4038d571525bp-3, -0x1.01f273ce0b731p-2, -0x1.09c917034a3cp-2, -0x1.1182cba406fe3p-2, -0x1.191cd1b8066fap-2, -0x1.20948e57bbef6p-2, -0x1.27e78be233083p-2, -0x1.2f137a0b1a67p-2, -0x1.36162dc497bcbp-2, -0x1.3ceda108588c3p-2, -0x1.4397f2830bc75p-2, -0x1.4a13652549d6dp-2, -0x1.505e5f9cb860dp-2, -0x1.56776bb804fbfp-2, -0x1.5c5d35b82deeep-2, -0x1.620e8b91591fcp-2, -0x1.678a5c1d5ef62p-2, -0x1.6ccfb641f7861p-2, -0x1.71ddc80c67a52p-2, -0x1.76b3ddc454908p-2, -0x1.7b5160f754f5ap-2, -0x1.7fb5d77eaa344p-2, -0x1.83e0e28079c7bp-2, -0x1.87d23d6db72ecp-2, -0x1.8b89bcfde2cafp-2, -0x1.8f074e2999497p-2, -0x1.924af524e4973p-2, -0x1.9554cc5a2420bp-2, -0x1.982503664cffp-2, -0x1.9abbde172fcbp-2, -0x1.9d19b36c626bcp-2, -0x1.9f3eec9b57172p-2, -0x1.a12c04171c8cdp-2, -0x1.a2e1849c3891p-2, -0x1.a4600840f49ecp-2, -0x1.a5a8378a7a0e2p-2, -0x1.a6bac886fa5fbp-2, -0x1.a7987ded2c3ebp-2, -0x1.a842264147022p-2, -0x1.a8b89affac9cep-2, -0x1.a8fcbfcd63da7p-2, -0x1.a90f81ae7b186p-2, -0x1.a8f1d6426b3d2p-2, -0x1.a8a4bb0685792p-2, -0x1.a829349e77b38p-2, -0x1.a7804e22e7a12p-2, -0x1.a6ab187625685p-2, -0x1.a5aaa99ef0f9dp-2, -0x1.a4801c2947209p-2, -0x1.a32c8e8d2d0c6p-2, -0x1.a1b1229b692f7p-2, -0x1.a00efcf018b99p-2, -0x1.9e47446b0d046p-2, -0x1.9c5b21ade03a3p-2, -0x1.9a4bbe9f9e79dp-2, -0x1.981a45f5fb1aap-2, -0x1.95c7e2c3e5a71p-2, -0x1.9355c00d738cdp-2, -0x1.90c50860f7d0fp-2, -0x1.8e16e5752ed2fp-2, -0x1.8b4c7fcc650fp-2, -0x1.8866fe5c70d89p-2, -0x1.8567863b6d762p-2, -0x1.824f3a510e468p-2, -0x1.7f1f3b0c6ffd1p-2, -0x1.7bd8a61e492b9p-2, -0x1.787c96375adf7p-2, -0x1.750c22caff04ap-2, -0x1.71885fd5bccebp-2, -0x1.6df25da7bdc4cp-2, -0x1.6a4b28b306db6p-2, -0x1.6693c95d5ac76p-2, -0x1.62cd43d5a2cb5p-2, -0x1.5ef897ecc39c6p-2, -0x1.5b16c0f1bdd2bp-2, -0x1.5728b59103e7ep-2, -0x1.532f67b6ddbe1p-2, -0x1.4f2bc474c8175p-2, -0x1.4b1eb3e9b0543p-2, -0x1.4709192ceccd3p-2, -0x1.42ebd23be2643p-2, -0x1.3ec7b7ea2b519p-2, -0x1.3a9d9dd43905bp-2, -0x1.366e525446042p-2, -0x1.323a9e798c4a2p-2, -0x1.2e0346019c2edp-2, -0x1.29c90753c7debp-2, -0x1.258c9b7e7cbdp-2, -0x1.214eb63684f44p-2, -0x1.1d1005d80a821p-2, -0x1.18d13369519fbp-2, -0x1.1492e29f0d10ep-2, -0x1.1055b1e23ba25p-2, -0x1.0c1a3a577a9bep-2, -0x1.07e10fe7b334dp-2, -0x1.03aac14a18ebdp-2, -0x1.feefb01eba1b4p-3, -0x1.f691b15c12af2p-3, -0x1.ee3c851fe11e9p-3, -0x1.e5f120413d41cp-3, -0x1.ddb06db979a95p-3, -0x1.d57b4ec4af47p-3, -0x1.cd529b03e5a01p-3, -0x1.c53720a0c50fdp-3, -0x1.bd29a472ac679p-3, -0x1.b52ae225087d9p-3, -0x1.ad3b8c5ee3ffap-3, -0x1.a55c4ceb7e464p-3, -0x1.9d8dc4e3ddb8fp-3, -0x1.95d08cd93c57ep-3, -0x1.8e2535003db2dp-3, -0x1.868c455cd0672p-3, -0x1.7f063deea606ep-3, -0x1.779396de2c4d9p-3, -0x1.7034c0a9f7cd4p-3, -0x1.68ea245480693p-3, -0x1.61b4239226d29p-3, -0x1.5a9318f7716f7p-3, -0x1.5387582761e2fp-3, -0x1.4c912e01e5d99p-3, -0x1.45b0e0d23feb9p-3, -0x1.3ee6b07d6c18fp-3, -0x1.3832d6b062d89p-3, -0x1.3195870e2d88fp-3, -0x1.2b0eef5dd34c2p-3, -0x1.249f37b7efaf5p-3, -0x1.1e4682b40d82ep-3, -0x1.1804ed9597433p-3, -0x1.11da907873106p-3, -0x1.0bc77e7d26247p-3, -0x1.05cbc5f487b22p-3, -0x1.ffcee115ea342p-4, -0x1.f43506e5f80d3p-4, -0x1.e8c9ff1ef4dcap-4, -0x1.dd8dc33a5059ep-4, -0x1.d28044b710dffp-4, -0x1.c7a16d6a69c86p-4, -0x1.bcf11fcf135bbp-4, -0x1.b26f375349f3p-4, -0x1.a81b88a56b7efp-4, -0x1.9df5e1ff2c6b4p-4, -0x1.93fe0b6f75a35p-4, -0x1.8a33c722b3c54p-4, -0x1.8096d1a9c3268p-4, -0x1.7726e23f5794fp-4, -0x1.6de3ab0be70cdp-4, -0x1.64ccd9680fa48p-4, -0x1.5be2161d79bd4p-4, -0x1.532305a631e5dp-4, -0x1.4a8f486a7af58p-4, -0x1.42267afd169ddp-4, -0x1.39e8365604fa3p-4, -0x1.31d4100bba3b4p-4, -0x1.29e99a8ace211p-4, -0x1.2228654c22cc5p-4, -0x1.1a8ffd09874dep-4, -0x1.131febf0d8699p-4, -0x1.0bd7b9d59f064p-4, -0x1.04b6ec6133aeep-4, -0x1.fb7a0e82cac14p-5, -0x1.edd318ab5a4fcp-5, -0x1.e077f7b5d774ep-5, -0x1.d367a92b7794ap-5, -0x1.c6a127f6b0062p-5, -0x1.ba236cb23b55p-5, -0x1.aded6df55a995p-5, -0x1.a1fe209d6316ep-5, -0x1.965478149e775p-5, -0x1.8aef669689f18p-5, -0x1.7fcddd717ff8bp-5, -0x1.74eecd45d8112p-5, -0x1.6a5126428866p-5, -0x1.5ff3d85f52a0dp-5, -0x1.55d5d3948e4ddp-5, -0x1.4bf6081095603p-5, -0x1.4253666ae4c88p-5, -0x1.38ecdfd4fcb8ap-5, -0x1.2fc166490c328p-5, -0x1.26cfecb67431dp-5, -0x1.1e17672c30294p-5, -0x1.1596cb0132f4fp-5, -0x1.0d4d0efabf4afp-5, -0x1.05392b70ceaa1p-5, -0x1.fab434e11dbdp-6, -0x1.eb5dafba0eb3fp-6, -0x1.dc6cc31bdda15p-6, -0x1.cddf6ed97da91p-6, -0x1.bfb3b7202ca35p-6, -0x1.b1e7a4aae11a6p-6, -0x1.a47944f282607p-6, -0x1.9766aa5b06e35p-6, -0x1.8aadec5d81e2dp-6, -0x1.7e4d27af4e48ap-6, -0x1.72427e6658bd3p-6, -0x1.668c181ab27e4p-6, -0x1.5b2822057400ep-6, -0x1.5014cf1d16c62p-6, -0x1.4550582f4e218p-6, -0x1.3ad8fbf87b14dp-6, -0x1.30acff38d81dbp-6, -0x1.26caacc7612b8p-6, -0x1.1d3055a29fdbap-6, -0x1.13dc50ff6303ep-6, -0x1.0accfc557979ep-6, -0x1.0200bb6a8a1e9p-6, -0x1.f2ebf0b621da7p-7, -0x1.e25647433d368p-7, -0x1.d23d6838cee68p-7, -0x1.c29e4e226d0fbp-7, -0x1.b376005fa80aep-7, -0x1.a4c19325e77e4p-7, -0x1.967e277f6fd9ap-7, -0x1.88a8eb47c010ap-7, -0x1.7b3f192558747p-7, -0x1.6e3df8810ddd7p-7, -0x1.61a2dd7b135cfp-7, -0x1.556b28ddc721bp-7, -0x1.4994480e688f8p-7, -0x1.3e1bb4fbd89afp-7, -0x1.32fef60b70f29p-7, -0x1.283b9e041a9efp-7, -0x1.1dcf4bf7b6d38p-7, -0x1.13b7ab2af3d4bp-7, -0x1.09f272fba7006p-7, -0x1.007d66c5c3c1bp-7, -0x1.eeacab8e07b0ap-8, -0x1.dcf63602b2e12p-8, -0x1.cbd33a387ee7bp-8, -0x1.bb3f9c89f5dbep-8, -0x1.ab37581bc97edp-8, -0x1.9bb67e9995e91p-8, -0x1.8cb937f0fdba6p-8, -0x1.7e3bc20b4070fp-8, -0x1.703a70856fc92p-8, -0x1.62b1ac6761b2bp-8, -0x1.559df3d9817aep-8, -0x1.48fbd9d99d29ap-8, -0x1.3cc805eecd2f7p-8, -0x1.30ff33dc916ap-8, -0x1.259e33553f5d1p-8, -0x1.1aa1e7abdc14bp-8, -0x1.10074785799e7p-8, -0x1.05cb5c8a2d354p-8, -0x1.f7d6862b790cp-9, -0x1.e4c853d01aa0bp-9, -0x1.d266a3aaeb009p-9, -0x1.c0ac1aedf288bp-9, -0x1.af9381b517e8fp-9, -0x1.9f17c266d0abp-9, -0x1.8f33e91515473p-9, -0x1.7fe322dec9c15p-9, -0x1.7120bd51aa907p-9, -0x1.62e825cce3899p-9, -0x1.5534e8e46b424p-9, -0x1.4802b1c53a90cp-9, -0x1.3b4d499a785d9p-9, -0x1.2f1096f3b67d5p-9, -0x1.23489d2c49b46p-9, -0x1.17f17bd3e32c3p-9, -0x1.0d076e1869aa4p-9, -0x1.0286ca31356f6p-9, -0x1.f0d801976c228p-10, -0x1.dd6738f32c043p-10, -0x1.cab48240cbd07p-10, -0x1.b8b956d5cb753p-10, -0x1.a76f6077d3e2ep-10, -0x1.96d07845efa1fp-10, -0x1.86d6a5a5307b1p-10, -0x1.777c1d30daf88p-10, -0x1.68bb3fae31a51p-10, -0x1.5a8e9903d8275p-10, -0x1.4cf0df3502036p-10, -0x1.3fdcf1604d7dap-10, -0x1.334dd6c278c69p-10, -0x1.273ebdbce50e6p-10, -0x1.1baafadffe048p-10, -0x1.108e07f97de0cp-10, -0x1.05e38326a1386p-10, -0x1.f74e5bd48ce5ep-11, -0x1.e3a9d88dfa4f2p-11, -0x1.d0d187ba1471fp-11, -0x1.bebdb618bc6dcp-11, -0x1.ad66f0350136ep-11, -0x1.9cc600b8db81fp-11, -0x1.8cd3eec8c9b9p-11, -0x1.7d89fc674a66p-11, -0x1.6ee1a4e02cbeap-11, -0x1.60d49b3babd48p-11, -0x1.535cc8b94e904p-11, -0x1.46744b52804cfp-11, -0x1.3a157444d372ap-11, -0x1.2e3ac6a3e33f8p-11, -0x1.22def5f2c2f6bp-11, -0x1.17fce4c4eef7fp-11, -0x1.0d8fa366a855ap-11, -0x1.03926e8cb2207p-11, -0x1.f4015c16a886bp-12, -0x1.e1abe7292f1a3p-12, -0x1.d01bf2fb4a1efp-12, -0x1.bf49431663b93p-12, -0x1.af2be789c9ca1p-12, -0x1.9fbc3a9f3d49ap-12, -0x1.90f2de9d1c425p-12, -0x1.82c8bb95f726p-12, -0x1.7536fd455e96fp-12, -0x1.683710f9c4b73p-12, -0x1.5bc2a38b36192p-12, -0x1.4fd39f5ec2aeap-12, -0x1.44642a765fc5dp-12, -0x1.396ea48d13c94p-12, -0x1.2eeda53f3ceddp-12, -0x1.24dbfa3eb927dp-12, -0x1.1b34a592c5867p-12, -0x1.11f2dbe3589b9p-12, -0x1.091202cfd0c1bp-12, -0x1.008daf50b7a65p-12, -0x1.f0c34848e43bp-13, -0x1.e113a08d427e3p-13, -0x1.d2049ae4123c3p-13, -0x1.c38ebd5988b78p-13, -0x1.b5aaddbd2e336p-13, -0x1.a8521ee2584cep-13, -0x1.9b7dedf414cebp-13, -0x1.8f27ffdc2584dp-13, -0x1.834a4ebca57b9p-13, -0x1.77df177bf9165p-13, -0x1.6ce0d762a41cep-13, -0x1.624a49caaac5bp-13, -0x1.581665e017f58p-13, -0x1.4e405c72493abp-13, -0x1.44c395d5ae8c9p-13, -0x1.3b9bafd58f04cp-13, -0x1.32c47bb5809c1p-13, -0x1.2a39fc423e3fap-13, -0x1.21f863f171f52p-13, -0x1.19fc131029322p-13, -0x1.124195ff94d43p-13, -0x1.0ac5a37fbe402p-13, -0x1.03851b07e099p-13, -0x1.f8fa0658145dep-14, -0x1.eb55101f83617p-14, -0x1.de15f3ca981a7p-14, -0x1.d13796f295e9p-14, -0x1.c4b52194d9a2cp-14, -0x1.b889fb59a8517p-14, -0x1.acb1c8f1ce359p-14, -0x1.a128698aa7bcp-14, -0x1.95e9f457bcc38p-14, -0x1.8af2b63195632p-14, -0x1.803f2f491ae4cp-14, -0x1.75cc10ef01a11p-14, -0x1.6b963b6eb3e84p-14, -0x1.619abbfc32b77p-14, -0x1.57d6cab46c544p-14, -0x1.4e47c8af82c64p-14, -0x1.44eb3e2485b55p-14, -0x1.3bbed89e221c3p-14, -0x1.32c0693fcdac2p-14, -0x1.29ede31af4778p-14, -0x1.21455993b7936p-14, -0x1.18c4fed4c5125p-14, -0x1.106b2251dcb89p-14, -0x1.08362f589242dp-14, -0x1.0024abaee0154p-14, -0x1.f06a6c7e49152p-15, -0x1.e0cd0ba24048cp-15, -0x1.d16ecf9f21a0fp-15, -0x1.c24d7e3413c4ap-15, -0x1.b36705c54afc3p-15, -0x1.a4b97b2e6a0e6p-15, -0x1.964317ab2796fp-15, -0x1.880236d5812cbp-15, -0x1.79f554b8d7b02p-15, -0x1.6c1b0bf93f891p-15, -0x1.5e72140e6761dp-15, -0x1.50f93f916eeap-15, -0x1.43af7a9d136fcp-15, -0x1.3693c93f92b15p-15, -0x1.29a545fdb597ep-15, -0x1.1ce320666a18ap-15, -0x1.104c9bb662f6ap-15, -0x1.03e10d8b3085cp-15, -0x1.ef3fb94a930e4p-16, -0x1.d710ff710c07dp-16, -0x1.bf34f8950e699p-16, -0x1.a7aacb3d2b228p-16, -0x1.9071b75ce6a3fp-16, -0x1.7989145f75d65p-16, -0x1.62f04f4a8edb6p-16, -0x1.4ca6e8f88d3bp-16, -0x1.36ac7468fd1ffp-16, -0x1.21009526c1b8bp-16, -0x1.0ba2fdc30fdb6p-16, -0x1.ed26dcc8daccap-17, -0x1.c3a366d1fb3abp-17, -0x1.9abb4836b8936p-17, -0x1.726e42f2a2996p-17, -0x1.4abc2a17577f7p-17, -0x1.23a4df9d42b16p-17, -0x1.fa50a4a81363p-18, -0x1.ae8cf7e2d6004p-18, -0x1.63febe7ab9e5ap-18, -0x1.1aa60cb470ba7p-18, -0x1.a506049f3f4a9p-19, -0x1.172b8f015dce9p-19, -0x1.177a28704dd6fp-20, -0x1.5d7af105cdd2ap-26, 0x1.07b4d2b97b79bp-20, 0x1.0802aa730a1a2p-19, 0x1.89bd762859768p-19, 0x1.048540897492ep-18, 0x1.42f4c7a0db1d8p-18, 0x1.802d3bceef2b9p-18, 0x1.bc2e93834f405p-18, 0x1.f6f8d1958d494p-18, 0x1.18460349420d3p-17, 0x1.347428f5c83dfp-17, 0x1.5006f18491f3cp-17, 0x1.6afe7d21031dap-17, 0x1.855af4dc59593p-17, 0x1.9f1c8b0ff62c3p-17, 0x1.b8437bb3fab4dp-17, 0x1.d0d00caac12fbp-17, 0x1.e8c28e01c6e3fp-17, 0x1.000dad144cba7p-16, 0x1.0b6d6b0f23ee4p-16, 0x1.1680b8caf0b3ep-16, 0x1.2147d38942359p-16, 0x1.2bc2fdfdb460bp-16, 0x1.35f28054304c9p-16, 0x1.3fd6a833a7e8p-16, 0x1.496fc8bd7490ap-16, 0x1.52be3a89996dep-16, 0x1.5bc25ba00fbf9p-16, 0x1.647c8f6f5a618p-16, 0x1.6ced3ec0825fep-16, 0x1.7514d7a8ad9e5p-16, 0x1.7cf3cd787acc5p-16, 0x1.848a98a94990bp-16, 0x1.8bd9b6c894646p-16, 0x1.92e1aa6185e7fp-16, 0x1.99a2fae4e514ep-16, 0x1.a01e348f83878p-16, 0x1.a653e84f488a3p-16, 0x1.ac44aba6f7261p-16, 0x1.b1f11890d1cecp-16, 0x1.b759cd60342a7p-16, 0x1.bc7f6ca23c2d2p-16, 0x1.c1629cfda4662p-16, 0x1.c6040911dde87p-16, 0x1.ca645f5584781p-16, 0x1.ce8451f44b3edp-16, 0x1.d26496ac67cdbp-16, 0x1.d605e6ab9bd69p-16, 0x1.d968fe6befa2dp-16, 0x1.dc8e9d9025337p-16, 0x1.df7786c003071p-16, 0x1.e2247f847968p-16, 0x1.e4965023bda3p-16, 0x1.e6cdc37d625cep-16, 0x1.e8cba6e6788d6p-16, 0x1.ea90ca05cd4cdp-16, 0x1.ec1dfeb04dd26p-16, 0x1.ed7418c598d81p-16, 0x1.ee93ee0ccb14fp-16, 0x1.ef7e56119536fp-16, 0x1.f0342a019aa3dp-16, 0x1.f0b6448a2e9fcp-16, 0x1.f10581b668a3dp-16, 0x1.f122becda4cb7p-16, 0x1.f10eda3274a9fp-16, 0x1.f0cab341fcef1p-16, 0x1.f0572a33d5785p-16, 0x1.efb51ffa6499dp-16, 0x1.eee57623c1df2p-16, 0x1.ede90ebb20444p-16, 0x1.ecc0cc2acab52p-16, 0x1.eb6d911ead10cp-16, 0x1.e9f0406776a7p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.c99b6cd942a9p-1, 0x1.c68b565fbaa49p-1, 0x1.c37cf1a9c3244p-1, 0x1.c07191f8afc08p-1, 0x1.bd6a4926f1d42p-1, 0x1.ba67ed8c4b7e4p-1, 0x1.b76b1fb6f988p-1, 0x1.b4744fec663bcp-1, 0x1.b183c367cd4e7p-1, 0x1.ae99995060e7ep-1, 0x1.abb5cf62f6873p-1, 0x1.a8d8464d46987p-1, 0x1.a600c5ba4edp-1, 0x1.a32f0010a43c9p-1, 0x1.a06295e46e308p-1, 0x1.9d9b191f71bcbp-1, 0x1.9ad80fe21c42cp-1, 0x1.9818f720d3d4fp-1, 0x1.955d45010f3f5p-1, 0x1.92a46af9de128p-1, 0x1.8fedd7bb91639p-1, 0x1.8d38f8e23babbp-1, 0x1.8a853c76aad9p-1, 0x1.87d212416cefcp-1, 0x1.851eecf350d3bp-1, 0x1.826b4326b19fcp-1, 0x1.7fb6903cb440ap-1, 0x1.7d00551979327p-1, 0x1.7a4818c2179e4p-1, 0x1.778d68df0e9eep-1, 0x1.74cfda25ad3f6p-1, 0x1.720f08aacd45fp-1, 0x1.6f4a98210eaffp-1, 0x1.6c8234049ecbcp-1, 0x1.69b58fb66e825p-1, 0x1.66e4668899824p-1, 0x1.640e7bbd9b479p-1, 0x1.61339a7bd1f31p-1, 0x1.5e5395b6ad3e4p-1, 0x1.5b6e480ecde87p-1, 0x1.588393aa3d604p-1, 0x1.55936205cec96p-1, 0x1.529da3c09f372p-1, 0x1.4fa2506298b6p-1, 0x1.4ca1661ec6303p-1, 0x1.499ae99232368p-1, 0x1.468ee57ffd4e2p-1, 0x1.437d6a8b41123p-1, 0x1.40668eef4fc31p-1, 0x1.3d4a6e36ca15bp-1, 0x1.3a2928f1fcf48p-1, 0x1.3702e46cec58fp-1, 0x1.33d7ca65644cfp-1, 0x1.30a808c161727p-1, 0x1.2d73d14618bfdp-1, 0x1.2a3b594fdc05p-1, 0x1.26fed98b12db1p-1, 0x1.23be8dae7be48p-1, 0x1.207ab436da35bp-1, 0x1.1d338e243b8a3p-1, 0x1.19e95eb8ee5dp-1, 0x1.169c6b3a4837cp-1, 0x1.134cfab35073dp-1, 0x1.0ffb55b96104ap-1, 0x1.0ca7c632caee6p-1, 0x1.0952971f8e047p-1, 0x1.05fc1464257b8p-1, 0x1.02a48a96767fdp-1, 0x1.fe988d99b944p-2, 0x1.f7e72cdeb87c9p-2, 0x1.f1358e15e7a6dp-2, 0x1.ea844c4e1a574p-2, 0x1.e3d4023a1614ep-2, 0x1.dd2549e3d1a2dp-2, 0x1.d678bc63d837ap-2, 0x1.cfcef19cb40c9p-2, 0x1.c9287ffa57e8bp-2, 0x1.c285fc356db59p-2, 0x1.bbe7f91a79d82p-2, 0x1.b54f0754baab7p-2, 0x1.aebbb53caccf5p-2, 0x1.a82e8eaa1c8a6p-2, 0x1.a1a81cc9ab2ep-2, 0x1.9b28e5f5afdacp-2, 0x1.94b16d925943p-2, 0x1.8e4233ecf0bfap-2, 0x1.87dbb61e2fc47p-2, 0x1.817e6def801dap-2, 0x1.7b2ad1c311db9p-2, 0x1.74e1547eaf2b4p-2, 0x1.6ea265792bcf5p-2, 0x1.686e706a59c9dp-2, 0x1.6245dd5d69451p-2, 0x1.5c2910a597958p-2, 0x1.56186ad512f0ep-2, 0x1.501448b5fa3ap-2, 0x1.4a1d03456191cp-2, 0x1.4432efb03c03p-2, 0x1.3e565f521bc5ap-2, 0x1.38879fb5a73b7p-2, 0x1.32c6fa96b2d19p-2, 0x1.2d14b5e5e4827p-2, 0x1.277113cdcc4b7p-2, 0x1.21dc52b95ab85p-2, 0x1.1c56ad5ba29b7p-2, 0x1.16e05ab8cb8dfp-2, 0x1.11798e302b8cdp-2, 0x1.0c22778767252p-2, 0x1.06db42f69198ap-2, 0x1.01a419352f819p-2, 0x1.f8fa3f102abb3p-3, 0x1.eeccefa00c95bp-3, 0x1.e4c0813217d9bp-3, 0x1.dad52a54de93dp-3, 0x1.d10b1b2e93a86p-3, 0x1.c7627d9f368acp-3, 0x1.bddb7563b700bp-3, 0x1.b4762039e2546p-3, 0x1.ab3296051bb6bp-3, 0x1.a210e8f3acce3p-3, 0x1.991125a4a4c48p-3, 0x1.9033534e2e138p-3, 0x1.877773e4418f6p-3, 0x1.7edd843fa273p-3, 0x1.76657c4510137p-3, 0x1.6e0f4f0ca2ae5p-3, 0x1.65daeb0930222p-3, 0x1.5dc83a2fbb34bp-3, 0x1.55d7221ec957fp-3, 0x1.4e078445ac1d7p-3, 0x1.46593e0b89936p-3, 0x1.3ecc28f641719p-3, 0x1.37601ad0f96ffp-3, 0x1.3014e5d26a47cp-3, 0x1.28ea58c2c164ap-3, 0x1.21e03f212aa03p-3, 0x1.1af66148dd15bp-3, 0x1.142c8495bd86ep-3, 0x1.0d826b8874044p-3, 0x1.06f7d5ea02eb4p-3, 0x1.008c80eecbe0ap-3, 0x1.f4804eb1fcc28p-4, 0x1.e8250334e5181p-4, 0x1.dc068bebb6144p-4, 0x1.d024513eba102p-4, 0x1.c47db7b8e97cbp-4, 0x1.b91220467c925p-4, 0x1.ade0e871f6747p-4, 0x1.a2e96a9ff56e9p-4, 0x1.982afe4980573p-4, 0x1.8da4f834f474fp-4, 0x1.8356aaad816cfp-4, 0x1.793f65b937a02p-4, 0x1.6f5e774da0e0ap-4, 0x1.65b32b82e91f5p-4, 0x1.5c3cccc591443p-4, 0x1.52faa406b01p-4, 0x1.49ebf8eac07ffp-4, 0x1.411011f6ff1bfp-4, 0x1.386634bd56b69p-4, 0x1.2feda606e1b84p-4, 0x1.27a5a9fcfff6ep-4, 0x1.1f8d84510550fp-4, 0x1.17a47862840b7p-4, 0x1.0fe9c964372a8p-4, 0x1.085cba7f90a41p-4, 0x1.00fc8ef6ef777p-4, 0x1.f391148d0422bp-5, 0x1.e57fe087b8623p-5, 0x1.d7c40a7880fa7p-5, 0x1.ca5c1c23537aap-5, 0x1.bd46a0ad24fcbp-5, 0x1.b08224d10c123p-5, 0x1.a40d3712fa437p-5, 0x1.97e667f01da9dp-5, 0x1.8c0c4a0cf262ep-5, 0x1.807d7261140b8p-5, 0x1.75387860da2bbp-5, 0x1.6a3bf624c96cbp-5, 0x1.5f86888eee5b5p-5, 0x1.5516cf6e23d41p-5, 0x1.4aeb6d9f59da1p-5, 0x1.4103092ce875cp-5, 0x1.375c4b6bf8cfdp-5, 0x1.2df5e11812f3fp-5, 0x1.24ce7a6cde504p-5, 0x1.1be4cb3e224e3p-5, 0x1.13378b0e0ec42p-5, 0x1.0ac57521dff22p-5, 0x1.028d4894e6d74p-5, 0x1.f51b90d405c55p-6, 0x1.e58b7737340cbp-6, 0x1.d667da5436421p-6, 0x1.c7ae58522e207p-6, 0x1.b95c9795fe62ep-6, 0x1.ab7046d71a62ap-6, 0x1.9de71d31d8dedp-6, 0x1.90beda374885bp-6, 0x1.83f545faacf33p-6, 0x1.7788311cb5085p-6, 0x1.6b7574d4806b7p-6, 0x1.5fbaf2f68c1f7p-6, 0x1.545695f9987bep-6, 0x1.494650f9a1dcbp-6, 0x1.3e881fb8fcecbp-6, 0x1.341a069fa8d5ap-6, 0x1.29fa12b8f4e51p-6, 0x1.202659af7c764p-6, 0x1.169cf9c79f1fep-6, 0x1.0d5c19d877441p-6, 0x1.0461e9436a721p-6, 0x1.f7593fd4bf23bp-7, 0x1.e674fc4969c3p-7, 0x1.d6139965ecf3dp-7, 0x1.c631b962efa96p-7, 0x1.b6cc0f13a6493p-7, 0x1.a7df5dc6cb719p-7, 0x1.996879259cb09p-7, 0x1.8b64451110a56p-7, 0x1.7dcfb57d5a41ap-7, 0x1.70a7ce4bc031fp-7, 0x1.63e9a32304f48p-7, 0x1.5792574663d46p-7, 0x1.4b9f1d6b394ffp-7, 0x1.400d378d7e75p-7, 0x1.34d9f6c321e64p-7, 0x1.2a02bb0e5891ap-7, 0x1.1f84f32efd2ebp-7, 0x1.155e1c73125a3p-7, 0x1.0b8bc2867abd9p-7, 0x1.020b7f41fc5ccp-7, 0x1.f1b5f4f341d59p-8, 0x1.dfefd39508e96p-8, 0x1.cec020d04b0ccp-8, 0x1.be227dd28c41cp-8, 0x1.ae12a628dbf26p-8, 0x1.9e8c6f583aad9p-8, 0x1.8f8bc8757f8ap-8, 0x1.810cb9bcd7145p-8, 0x1.730b6428f955ep-8, 0x1.6584010a31b25p-8, 0x1.5872e19d4c97fp-8, 0x1.4bd46ea287282p-8, 0x1.3fa527f4975dp-8, 0x1.33e1a41fddd7ap-8, 0x1.28868ff9dc14p-8, 0x1.1d90ae38fbf6p-8, 0x1.12fcd70cc173bp-8, 0x1.08c7f7b671581p-8, 0x1.fdde24448863ap-9, 0x1.eade790261f37p-9, 0x1.d88b41c6bcb5cp-9, 0x1.c6def9a697911p-9, 0x1.b5d441e37636fp-9, 0x1.a565e124d7c41p-9, 0x1.958ec2b35db95p-9, 0x1.8649f5b5c3638p-9, 0x1.7792ac6fb2a5p-9, 0x1.69643b828c153p-9, 0x1.5bba1930323ap-9, 0x1.4e8fdc9fec1e1p-9, 0x1.41e13d256a87ap-9, 0x1.35aa1189fd518p-9, 0x1.29e64f5809cap-9, 0x1.1e920a28cb1a8p-9, 0x1.13a972f464078p-9, 0x1.0928d764525e2p-9, 0x1.fe1942508ffdap-10, 0x1.eaa2aa9ae62f6p-10, 0x1.d7e727306d5dp-10, 0x1.c5e02bc0cd3dp-10, 0x1.b4875edff30dcp-10, 0x1.a3d698c88c1dap-10, 0x1.93c7e223897a2p-10, 0x1.845572d4b4a95p-10, 0x1.7579b0cc5e6d9p-10, 0x1.672f2ede29d59p-10, 0x1.5970ab9cf397fp-10, 0x1.4c39103bcef93p-10, 0x1.3f836f74201d4p-10, 0x1.334b0470d4e5dp-10, 0x1.278b31beab78ap-10, 0x1.1c3f804189cffp-10, 0x1.11639e2ee9b43p-10, 0x1.06f35e0d3f3b7p-10, 0x1.f9d56b70c8173p-11, 0x1.e68b7ad5fc4afp-11, 0x1.d4015d999812fp-11, 0x1.c22fc80bbc6a3p-11, 0x1.b10fadad52bc2p-11, 0x1.a09a3f69d6012p-11, 0x1.90c8e9daa94f1p-11, 0x1.81955393e4ad3p-11, 0x1.72f95b7a80125p-11, 0x1.64ef1723c3c8ap-11, 0x1.5770d13de3a5p-11, 0x1.4a790801ac4cep-11, 0x1.3e026bad24d0cp-11, 0x1.3207dd070a7dp-11, 0x1.26846beb087a9p-11, 0x1.1b7355de90006p-11, 0x1.10d004ae31554p-11, 0x1.06960d1359f03p-11, 0x1.f9825ac4aa852p-12, 0x1.e69a9880eb35bp-12, 0x1.d46ceec487235p-12, 0x1.c2f1c4a326b6bp-12, 0x1.b221ca76c7af1p-12, 0x1.a1f5f78ac6afep-12, 0x1.926787d5fa237p-12, 0x1.836ff9c39bcb8p-12, 0x1.75090c0abecc5p-12, 0x1.672cbb94164b4p-12, 0x1.59d5416dc57a5p-12, 0x1.4cfd10cd0136ep-12, 0x1.409ed51d37935p-12, 0x1.34b5701c88274p-12, 0x1.293bf80544a37p-12, 0x1.1e2db5c43f91dp-12, 0x1.1386233ba5b31p-12, 0x1.0940e992236p-12, 0x1.feb3bf1c34fa6p-13, 0x1.eb9a0ff94bc9dp-13, 0x1.d92d20485cc5ap-13, 0x1.c7659c84ad68ep-13, 0x1.b63c8029f181ep-13, 0x1.a5ab12dc0894ep-13, 0x1.95aae5a3ee15fp-13, 0x1.8635d04174e34p-13, 0x1.7745ee91554fp-13, 0x1.68d59e0717b92p-13, 0x1.5adf7b3a686f4p-13, 0x1.4d5e5f8768bb5p-13, 0x1.404d5ec18723ep-13, 0x1.33a7c4f872c6cp-13, 0x1.2769144ec06c5p-13, 0x1.1b8d02e1ceeefp-13, 0x1.100f78c286fbdp-13, 0x1.04ec8dfe87639p-13, 0x1.f4411172becd1p-14, 0x1.df4fb6aadb367p-14, 0x1.cafe4557eeb0dp-14, 0x1.b74648a852becp-14, 0x1.a42199f11b2a4p-14, 0x1.918a5d7545ab7p-14, 0x1.7f7aff486824cp-14, 0x1.6dee304c3085ap-14, 0x1.5cdee347f395fp-14, 0x1.4c484a19a493ap-14, 0x1.3c25d2ff831cp-14, 0x1.2c7325f9d6f1ap-14, 0x1.1d2c22440ed84p-14, 0x1.0e4cdbe4a28e9p-14, 0x1.ffa332a62622fp-15, 0x1.e36da266daaap-15, 0x1.c7f2504d66e4cp-15, 0x1.ad2add5f2bbe7p-15, 0x1.93113e55ce526p-15, 0x1.799fb7b6714ebp-15, 0x1.60d0da0e25cbap-15, 0x1.489f7e527a35p-15, 0x1.3106c265162c4p-15, 0x1.1a0205b95d192p-15, 0x1.038ce61b0c13ep-15, 0x1.db467929b23c2p-16, 0x1.b08234ec305fdp-16, 0x1.86c58cece3a46p-16, 0x1.5e0973ed7e92ap-16, 0x1.36473cbc42cfep-16, 0x1.0f789524e327ep-16, 0x1.d32f022cb3921p-17, 0x1.893cabf80a778p-17, 0x1.410f6c90caee7p-17, 0x1.f53a34bf75ed5p-18, 0x1.6bb82a4796829p-18, 0x1.cb0cf879541fep-19, 0x1.8a4f84b18c673p-20, -0x1.d300aa276e618p-22, -0x1.33a9a5bf6d7d4p-19, -0x1.13693844c11fp-18, -0x1.89fb3d102a3c5p-18, -0x1.fd9830ef34edbp-18, -0x1.37265e2d2616bp-17, -0x1.6e1275b4b39e1p-17, -0x1.a3961c1298f5ep-17, -0x1.d7b6ca2cc988dp-17, -0x1.053cdcbb954d1p-16, -0x1.1df1f432826fdp-16, -0x1.35fd0f50f5e0ep-16, -0x1.4d60788a03466p-16, -0x1.641e62d4f4a74p-16, -0x1.7a38eb7aec797p-16, -0x1.8fb21bcc3a3cfp-16, -0x1.a48beabe524e8p-16, -0x1.b8c83e73490ccp-16, -0x1.cc68edabb7e33p-16, -0x1.df6fc123e0176p-16, -0x1.f1de74dce88cfp-16, -0x1.01db5ca97c2c2p-15, -0x1.0a7d1a507b385p-15, -0x1.12d541c95c7edp-15, -0x1.1ae49d532a08ep-15, -0x1.22abf37e9c8abp-15, -0x1.2a2c079ef3ff7p-15, -0x1.31659a3363648p-15, -0x1.38596949672p-15, -0x1.3f0830d854faap-15, -0x1.4572ab166fe42p-15, -0x1.4b9990c7cdb1cp-15, -0x1.517d998751215p-15, -0x1.571f7c0a02593p-15, -0x1.5c7fee5d0606ap-15, -0x1.619fa61e75663p-15, -0x1.667f58b1524aep-15, -0x1.6b1fbb6cd9152p-15, -0x1.6f8183c7658dbp-15, -0x1.73a5677d24a7dp-15, -0x1.778c1cb2cb01dp-15, -0x1.7b365a147fb38p-15, -0x1.7ea4d6f134b37p-15, -0x1.81d84b5294d09p-15, -0x1.84d17011bda8bp-15, -0x1.8790fee8ed983p-15, -0x1.8a17b28253659p-15, -0x1.8c664684274adp-15, -0x1.8e7d779a36121p-15, -0x1.905e037d08118p-15, -0x1.9208a8f6c2498p-15, -0x1.937e27e5eab84p-15, -0x1.94bf413e30ab9p-15, -0x1.95ccb70757b17p-15, -0x1.96a74c5a67044p-15, -0x1.974fc55d3c13cp-15, -0x1.97c6e73c9794fp-15, -0x1.980d7824ca91ep-15, -0x1.98243f3911e26p-15, -0x1.980c0489c5e26p-15, -0x1.97c591096b5e1p-15, -0x1.9751ae80c453ep-15, -0x1.96b12781f515cp-15, -0x1.95e4c75ad0298p-15, -0x1.94ed5a06610bbp-15, -0x1.93cbac1dc5535p-15, -0x1.92808ac86a30dp-15, -0x1.910cc3abbcb13p-15, -0x1.8f7124da5f817p-15, -0x1.8dae7cc2f4407p-15, -0x1.8bc59a1e8a614p-15, -0x1.89b74bdebd599p-15, -0x1.8784611b9366fp-15, -0x1.852da90129e34p-15, -0x1.82b3f2bd37721p-15, -0x1.80180d6c73842p-15, -0x1.7d5ac807eda4ep-15, -0x1.7a7cf1525bc61p-15, -0x1.777f57c56c819p-15, -0x1.7462c97f24e33p-15, -0x1.7128142f542c2p-15, -0x1.6dd005051fbadp-15, -0x1.6a5b689cba2e3p-15, -0x1.66cb0aed3d1fap-15, -0x1.631fb736bc827p-15, -0x1.5f5a37f08c73bp-15, -0x1.5b7b56b7c72c2p-15, -0x1.5783dc3e1427fp-15, -0x1.53749038baf7fp-15, -0x1.4f4e394ffd0c8p-15, -0x1.4b119d0ec3734p-15, -0x1.46bf7fd2a2544p-15, -0x1.4258a4bc30053p-15, -0x1.3dddcd9fbade7p-15, -0x1.394fbaf65c043p-15, -0x1.34af2bcf6a05bp-15, -0x1.2ffcddc24fa59p-15, -0x1.2b398ce0c7dffp-15, -0x1.2665f3a97e195p-15, -0x1.2182cafb1a074p-15, -0x1.1c90ca07b35ccp-15, -0x1.1790a648b0d3fp-15, -0x1.1283137312958p-15, -0x1.0d68c36c29cb1p-15, -0x1.0842663ebca39p-15, -0x1.0310aa1097df3p-15, -0x1.fba87631199a9p-16, -0x1.f11b8729beadep-16, -0x1.e67bd7843d5e1p-16, -0x1.dbcab3a4d9f41p-16, -0x1.d10963ca66d08p-16, -0x1.c6392bfe80796p-16, -0x1.bb5b4c06aa79fp-16, -0x1.b070ff5636bdcp-16, -0x1.a57b7d0108b24p-16, -0x1.9a7bf7af27eefp-16, -0x1.8f739d91203afp-16, -0x1.8463985533fbp-16, -0x1.794d0d1d55805p-16, -0x1.6e311c75e8a9ap-16, -0x1.6310e24d4fb7ep-16, -0x1.57ed75ec3434ep-16, -0x1.4cc7e9ee93d97p-16, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      47, 0x1.0cccccccccccdp+2, 0x1.68285053ed89p+1, 0x1.275e7baae3d52p+2, 0x1.c760fc792bp-10, 
      {{
        {0x1.3333333333333p+0, 0x1.3d70a3d70a3d7p+0, 0x1.b9f37329c347fp+1, -0x1.36b9eed34739ep+3, 0x1.b526666666677p+3, 0x1.046023a1c8d8cp+2}, 
        {0x1.3d70a3d70a3d7p+0, 0x1.47ae147ae147bp+0, 0x1.8b10dbf0563edp+1, -0x1.1321204d27d1ap+3, 0x1.c4c5c4b2aac69p+3, -0x1.45782c8a3b131p+4}, 
        {0x1.47ae147ae147bp+0, 0x1.51eb851eb851fp+0, 0x1.61c6b8b69552ep+1, -0x1.e4106fcf6e61dp+2, 0x1.76a8ed3554eacp+3, -0x1.6c6ead7f0c415p+3}, 
        {0x1.51eb851eb851fp+0, 0x1.5c28f5c28f5c3p+0, 0x1.3d5b0bbf50e34p+1, -0x1.ab9dff563fbc4p+2, 0x1.4aed90b5722a8p+3, -0x1.7454f0ef57b4fp+3}, 
        {0x1.5c28f5c28f5c3p+0, 0x1.6666666666666p+0, 0x1.1d2b3cc4ac6cep+1, -0x1.7a3e3ac7305bcp+2, 0x1.1e3f8846ce0a9p+3, -0x1.34bd8ec399927p+3}, 
        {0x1.6666666666666p+0, 0x1.70a3d70a3d70ap+0, 0x1.00a9930be0dedp+1, -0x1.4f6843d5e77f6p+2, 0x1.f2660d0281778p+2, -0x1.0fb4d4023b1fcp+3}, 
        {0x1.70a3d70a3d70ap+0, 0x1.7ae147ae147aep+0, 0x1.ceb5d462c343bp+0, -0x1.2a24ce74a6697p+2, 0x1.b130697cd9ad4p+2, -0x1.d2de4266f962p+2}, 
        {0x1.7ae147ae147aep+0, 0x1.851eb851eb852p+0, 0x1.a1a9003eea20ap+0, -0x1.09bac7f949996p+2, 0x1.792a388f36a17p+2, -0x1.931d4e5fa67a1p+2}, 
        {0x1.851eb851eb852p+0, 0x1.8f5c28f5c28f6p+0, 0x1.79743e963dc48p+0, -0x1.dafb94c1f480ep+1, 0x1.48ca8b50890dap+2, -0x1.5aac841a6a01fp+2}, 
        {0x1.8f5c28f5c28f6p+0, 0x1.999999999999ap+0, 0x1.557891e215337p+0, -0x1.a9b4479ecb858p+1, 0x1.1f30b8e6f7365p+2, -0x1.2830a136b38ddp+2}, 
        {0x1.999999999999ap+0, 0x1.a3d70a3d70a3dp+0, 0x1.352d44dca8e2ep+0, -0x1.7e98e1722c734p+1, 0x1.f74b888d9a5fp+1, -0x1.fd21ee1591556p+1}, 
        {0x1.a3d70a3d70a3dp+0, 0x1.ae147ae147ae1p+0, 0x1.181d4b6a619dbp+0, -0x1.58c7052151219p+1, 0x1.ba32fb57d09ccp+1, -0x1.b117053c4d382p+1}, 
        {0x1.ae147ae147ae1p+0, 0x1.b851eb851eb85p+0, 0x1.fbc89f40a2878p-1, -0x1.377af65f64db9p+1, 0x1.863a75984239dp+1, -0x1.7281fcf939d81p+1}, 
        {0x1.b851eb851eb85p+0, 0x1.c28f5c28f5c29p+0, 0x1.cc5974e65bea1p-1, -0x1.1a0a5d972ca32p+1, 0x1.59c475f53b48ep+1, -0x1.3ae106decfeep+1}, 
        {0x1.c28f5c28f5c29p+0, 0x1.ccccccccccccdp+0, 0x1.a15af294dd723p-1, -0x1.ffc7f1b12fc9bp+0, 0x1.33fb60a74b4bp+1, -0x1.0df9e78b83b98p+1}, 
        {0x1.ccccccccccccdp+0, 0x1.d70a3d70a3d71p+0, 0x1.7a5093964a59cp-1, -0x1.d1187f477a33ap+0, 0x1.1395b58212869p+1, -0x1.ca6eb5e644c0dp+0}, 
        {0x1.d70a3d70a3d71p+0, 0x1.e147ae147ae14p+0, 0x1.56cfe9b7bf1e9p-1, -0x1.a733dd94d8a4bp+0, 0x1.f0285f6da1ebcp+0, -0x1.8a51594feb8ep+0}, 
        {0x1.e147ae147ae14p+0, 0x1.eb851eb851eb8p+0, 0x1.367e414e7ee91p-1, -0x1.816717e970404p+0, 0x1.c0d6ee4f8fe51p+0, -0x1.544be4d9fee1p+0}, 
        {0x1.eb851eb851eb8p+0, 0x1.f5c28f5c28f5cp+0, 0x1.190dbf0563ed1p-1, -0x1.5f2103e5c21f8p+0, 0x1.9801060c714f3p+0, -0x1.247f13482361bp+0}, 
        {0x1.f5c28f5c28f5cp+0, 0x1p+1, 0x1.fc768dfbd6a57p-2, -0x1.3fe4834d25c5cp+0, 0x1.74e788dad376ap+0, -0x1.01b7ce056cb67p+0}, 
        {0x1p+1, 0x1.051eb851eb852p+1, 0x1.cb99d451fc4c1p-2, -0x1.234c1d2e8f701p+0, 0x1.55fa7021dae5bp+0, -0x1.c143694461ae3p-1}, 
        {0x1.051eb851eb852p+1, 0x1.0a3d70a3d70a4p+1, 0x1.9f1fddebd9017p-2, -0x1.09046d24703bfp+0, 0x1.3b05c0db31328p+0, -0x1.9782bee392f68p-1}, 
        {0x1.0a3d70a3d70a4p+1, 0x1.0f5c28f5c28f6p+1, 0x1.76af89c5e6ff8p-2, -0x1.e19648047df5dp-1, 0x1.2292637b9e237p+0, -0x1.68b19b2d5dba8p-1}, 
        {0x1.0f5c28f5c28f6p+1, 0x1.147ae147ae148p+1, 0x1.51f8e3ac0c62ep-2, -0x1.b4d3adfda0e8cp-1, 0x1.0cee21da2cfedp+0, -0x1.4db6d466ef5afp-1}, 
        {0x1.147ae147ae148p+1, 0x1.199999999999ap+1, 0x1.30b45ae5ffa3cp-2, -0x1.8b665dd162557p-1, 0x1.f1d0909dc2632p-1, -0x1.30731336e988dp-1}, 
        {0x1.199999999999ap+1, 0x1.1eb851eb851ecp+1, 0x1.12a0663c74fb5p-2, -0x1.65093a95836adp-1, 0x1.cd47e03b0285fp-1, -0x1.207cdebd65f6cp-1}, 
        {0x1.1eb851eb851ecp+1, 0x1.23d70a3d70a3dp+1, 0x1.ef01754b05b7dp-3, -0x1.4184b14ad7436p-1, 0x1.aaa9880fcd53dp-1, -0x1.0d9971d389f27p-1}, 
        {0x1.23d70a3d70a3dp+1, 0x1.28f5c28f5c28fp+1, 0x1.be39713ad5beep-3, -0x1.20adef0b1aa63p-1, 0x1.8a4f70299e0e2p-1, -0x1.011d59f45e644p-1}, 
        {0x1.28f5c28f5c28fp+1, 0x1.2e147ae147ae1p+1, 0x1.927e52157689dp-3, -0x1.025e66b4facc1p-1, 0x1.6b74e03f7e3f8p-1, -0x1.ebe24cb60ff97p-2}, 
        {0x1.2e147ae147ae1p+1, 0x1.3333333333333p+1, 0x1.6b6ae7d566cf4p-3, -0x1.ccf20c9db46a3p-2, 0x1.4df189b9b07d5p-1, -0x1.de3c193f00accp-2}, 
        {0x1.3333333333333p+1, 0x1.3851eb851eb85p+1, 0x1.489e34330d738p-3, -0x1.99cf60c99d812p-2, 0x1.313fda216de39p-1, -0x1.bb2d4e4dec455p-2}, 
        {0x1.3851eb851eb85p+1, 0x1.3d70a3d70a3d7p+1, 0x1.29bae46cfc82ap-3, -0x1.6b18f00767c86p-2, 0x1.16a8a75a31a1fp-1, -0x1.c50ead895049ap-2}, 
        {0x1.3d70a3d70a3d7p+1, 0x1.428f5c28f5c29p+1, 0x1.0e685db76b3bcp-3, -0x1.40afca3506863p-2, 0x1.f6f362d71c30bp-2, -0x1.9097fb8cd371fp-2}, 
        {0x1.428f5c28f5c29p+1, 0x1.47ae147ae147bp+1, 0x1.ec9f2fdb8fde3p-4, -0x1.1a5f9bc6b1b9ap-2, 0x1.c6e125ef2bc6fp-2, -0x1.a89164435f0fcp-2}, 
        {0x1.47ae147ae147bp+1, 0x1.4cccccccccccdp+1, 0x1.c23e9ea140571p-4, -0x1.f00ac57de2e35p-3, 0x1.93ee6bd29b3fdp-2, -0x1.6d227365b279fp-2}, 
        {0x1.4cccccccccccdp+1, 0x1.51eb851eb851fp+1, 0x1.9d0d8cb07d0afp-4, -0x1.b2eb194a52edfp-3, 0x1.681d7cb1ec3b7p-2, -0x1.72e4ce25d61a8p-2}, 
        {0x1.51eb851eb851fp+1, 0x1.570a3d70a3d71p+1, 0x1.7c7820a30db6ap-4, -0x1.7cdc4a153be29p-3, 0x1.3b9ba165b3d1cp-2, -0x1.574a5402f4f7bp-2}, 
        {0x1.570a3d70a3d71p+1, 0x1.5c28f5c28f5c3p+1, 0x1.5feeb2d0a2446p-4, -0x1.4da8a8ab499b5p-3, 0x1.1269c046a0a9dp-2, -0x1.3ff1e1ce556c6p-2}, 
        {0x1.5c28f5c28f5c3p+1, 0x1.6147ae147ae14p+1, 0x1.46e9ff0cbaf97p-4, -0x1.24d2fec2bc64fp-3, 0x1.d80a172888fcp-3, -0x1.28ee24c3baa6ap-2}, 
        {0x1.6147ae147ae14p+1, 0x1.6666666666666p+1, 0x1.30ec311622814p-4, -0x1.01e95d1b7beeap-3, 0x1.90c6b22cc2975p-3, -0x1.0c558b22b7d54p-2}, 
        {0x1.6666666666666p+1, 0x1.6b851eb851eb8p+1, 0x1.1d80e496ededbp-4, -0x1.c8d9da21ba432p-4, 0x1.50603edcbf6e6p-3, -0x1.eb775d62d17fap-3}, 
        {0x1.6b851eb851eb8p+1, 0x1.70a3d70a3d70ap+1, 0x1.0c3e3193f6c27p-4, -0x1.97bfb864eff97p-4, 0x1.156666db212bfp-3, -0x1.b977742f4d6cep-3}, 
        {0x1.70a3d70a3d70ap+1, 0x1.75c28f5c28f5cp+1, 0x1.f9873ffac1d2ap-5, -0x1.6f9a5d46d61c7p-4, 0x1.c0d9183a443d7p-4, -0x1.aeaad1dff6f97p-3}, 
        {0x1.75c28f5c28f5cp+1, 0x1.7ae147ae147aep+1, 0x1.dd72367e414e8p-5, -0x1.4fd45d5a7189cp-4, 0x1.597ce5db8e15ep-4, -0x1.17ba88a1ade32p-4}, 
        {0x1.7ae147ae147aep+1, 0x1.8p+1, 0x1.c3a647fdc5932p-5, -0x1.358880de5708p-4, 0x1.37eba24308943p-4, -0x1.007807372b172p-1}, 
        {0x1.8p+1, 0x1.bd70a3d70a3d7p+1, 0x1.ab9f559b3d07ep-5, -0x1.266d906d52accp-4, 0x1.06d7631991534p-6, 0x1.67bf36319f45dp-8}, 
        {0x1.bd70a3d70a3d7p+1, 0x1.0cccccccccccdp+2, 0x1.6872b020c49bap-6, -0x1.af9c27feeca95p-5, 0x1.8859a9cf458b4p-6, -0x1.4538a88ccb188p-4}, 
      }}, 
      0x1.e5f4288996acep-3, -0x1.43ff6f45704ep-3
    }
  };
  // clang-format on
}
SkfData params_mio_0_1_h_s() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.e88b4fa939eb2p-5, -0x1.05a12872895d9p-4, -0x1.16e0b8185c9b8p-4, -0x1.27f751a03cfe3p-4, -0x1.38d903a652b38p-4, -0x1.497bccde45c52p-4, -0x1.59d633d12669ep-4, -0x1.69de7ab7a507ep-4, -0x1.798e3fef43f8ep-4, -0x1.88e0f49476056p-4, -0x1.97ce3dac4312dp-4, -0x1.a64dcf92e95dbp-4, -0x1.b45e04cfeadbdp-4, -0x1.c1ffad1b60a29p-4, -0x1.cf2e332ff4886p-4, -0x1.dbe1169367a06p-4, -0x1.e813ebfb1b0bfp-4, -0x1.f3c9644bd0f9ap-4, -0x1.ff0618f9f1252p-4, -0x1.04e50b090f863p-3, -0x1.0a08007f88c9dp-3, -0x1.0ee48b9923722p-3, -0x1.1384965703ec3p-3, -0x1.17e531b76f252p-3, -0x1.1c06cee7d6c27p-3, -0x1.1fea0c55b574ap-3, -0x1.238fb23989997p-3, -0x1.26f8aed77fad1p-3, -0x1.2a2614e47adcdp-3, -0x1.2d1919b61bdcep-3, -0x1.2fd31075acbecp-3, -0x1.325562312a706p-3, -0x1.34a1840c559b8p-3, -0x1.36b8eeeacbedfp-3, -0x1.389d20971dd3bp-3, -0x1.3a4fa8cdd83a6p-3, -0x1.3bd235dca9b89p-3, -0x1.3d268e2bc1e5ep-3, -0x1.3e4e753624fa7p-3, -0x1.3f4b8fffb5864p-3, -0x1.401f621d6247ep-3, -0x1.40cb66b6f75afp-3, -0x1.4151307b74212p-3, -0x1.41b27ab67d29cp-3, -0x1.41f119ccde813p-3, -0x1.420edce2092ep-3, -0x1.420d71c3e6a01p-3, -0x1.41ee5c18f3825p-3, -0x1.41b3012f39c13p-3, -0x1.415cbc43ca113p-3, -0x1.40ecf04664ab8p-3, -0x1.40650d38ca84bp-3, -0x1.3fc68afe1edaep-3, -0x1.3f12df249f31ep-3, -0x1.3e4b740ce190dp-3, -0x1.3d71a492ae4b8p-3, -0x1.3c86bb8c2b0f1p-3, -0x1.3b8bf487b06acp-3, -0x1.3a827bbffa985p-3, -0x1.396b6cc8a82b1p-3, -0x1.3847d150eb062p-3, -0x1.3718a1ac00aeap-3, -0x1.35dec802fb77cp-3, -0x1.349a3472be2ap-3, -0x1.334dbbb7ccf4dp-3, -0x1.31f95b48baa64p-3, -0x1.309de970d8bd2p-3, -0x1.2f3c34cd71f4p-3, -0x1.2dd50189c8999p-3, -0x1.2c6908508f683p-3, -0x1.2af8f5ab1aed5p-3, -0x1.29856a9fb892fp-3, -0x1.280efdb70bdcep-3, -0x1.26963bff19ea2p-3, -0x1.251baa0af36cfp-3, -0x1.239fc3e40b5fcp-3, -0x1.2222fdcb3327fp-3, -0x1.20a5c40f4daecp-3, -0x1.1f287b30e1181p-3, -0x1.1dab8007c9d57p-3, -0x1.1c2f280d9f11ep-3, -0x1.1ab3c14f8b954p-3, -0x1.193992fee65dcp-3, -0x1.17c0dd80e6703p-3, -0x1.1649dabf1988dp-3, -0x1.14d4be87483e9p-3, -0x1.1361b6b7ff815p-3, -0x1.11f0ebbeb5b35p-3, -0x1.108280e2b3054p-3, -0x1.0f1694a0fe882p-3, -0x1.0dad40e5109b9p-3, -0x1.0c469b5061ac6p-3, -0x1.0ae2b55dedd8ep-3, -0x1.09819c8d3a877p-3, -0x1.08235a74a879ep-3, -0x1.06c7f4f7aead7p-3, -0x1.056f6f4df209ep-3, -0x1.0419c6a0e4c63p-3, -0x1.02c6f913e61efp-3, -0x1.0176ff9640393p-3, -0x1.0029d146ab031p-3, -0x1.fdbec627a17aap-4, -0x1.fb2f4fcd4c92ep-4, -0x1.f8a521bf3135fp-4, -0x1.f62021c3988dcp-4, -0x1.f3a0169b1ea36p-4, -0x1.f124ee50fcb6cp-4, -0x1.eeae78b6736bdp-4, -0x1.ec3c89d3b508ep-4, -0x1.e9cef43d89952p-4, -0x1.e76588ca5e912p-4, -0x1.e50016d670a72p-4, -0x1.e29e6c7522dbep-4, -0x1.e0405747f66ebp-4, -0x1.dde5a1358dad5p-4, -0x1.db8e176ce4767p-4, -0x1.d93983c9bc401p-4, -0x1.d6e7b04c85359p-4, -0x1.d49866eeb96bep-4, -0x1.d24b7bd756386p-4, -0x1.d0009e5af0515p-4, -0x1.cdb7ac1b986dfp-4, -0x1.cb707255ecb7p-4, -0x1.c92ab93fde474p-4, -0x1.c6e64e29cecacp-4, -0x1.c4a2ff651baa9p-4, -0x1.c2609c57666b2p-4, -0x1.c01ef583347ddp-4, -0x1.bddddc87fb918p-4, -0x1.bb9d242f6da9p-4, -0x1.b95ca06ca27b6p-4, -0x1.b71c26765eb43p-4, -0x1.b4db8cb19198fp-4, -0x1.b29aab4ef0b6dp-4, -0x1.b0595ab4d44e8p-4, -0x1.ae17778ebc53dp-4, -0x1.abd4dc91cacfcp-4, -0x1.a991683bbf2cep-4, -0x1.a74cfa436b50dp-4, -0x1.a507741513b57p-4, -0x1.a2c0b89f0dbb5p-4, -0x1.a078ac6cc6ab7p-4, -0x1.9e2f3630eb0bfp-4, -0x1.9be43da476851p-4, -0x1.9997ad1d5f453p-4, -0x1.97496fb62b76dp-4, -0x1.94f9726f7d0cap-4, -0x1.92ad9e78c4f0ap-4, -0x1.9059d2dd01a6ep-4, -0x1.8e040af68ead5p-4, -0x1.8bac3908307bp-4, -0x1.89525044b4548p-4, -0x1.86f644e58fa4bp-4, -0x1.84980c1f6d7b4p-4, -0x1.8237957c8f7ap-4, -0x1.7fd4eca105dc1p-4, -0x1.7d6ff5e2344cfp-4, -0x1.7b08b39ae5efcp-4, -0x1.789f1bac612d9p-4, -0x1.76332ffb1ffdfp-4, -0x1.73c4f009878e8p-4, -0x1.715451ce2acep-4, -0x1.6ee15fdb4fb4fp-4, -0x1.6c6c1a44b8044p-4, -0x1.69f484a4b1097p-4, -0x1.677aa5b51d6c7p-4, -0x1.64fe84050200bp-4, -0x1.6280288bb8ed2p-4, -0x1.5fff9e2d03ec9p-4, -0x1.5d7cf00b474ccp-4, -0x1.5af82adacc443p-4, -0x1.58715cbe531e6p-4, -0x1.55e8958244706p-4, -0x1.535de473b84b5p-4, -0x1.50d15b00753bbp-4, -0x1.4e430ad67ba3p-4, -0x1.4bb307b02dfcfp-4, -0x1.492164258008bp-4, -0x1.468e34c0f4d4ep-4, -0x1.43f98e39c6ac8p-4, -0x1.416386a33a783p-4, -0x1.3ecc3378018cbp-4, -0x1.3c33ab182e33bp-4, -0x1.399a060036eaap-4, -0x1.36ff5a7f00fdap-4, -0x1.3463c0c44dcfdp-4, -0x1.31c75271872edp-4, -0x1.2f2a27734c555p-4, -0x1.2c8c5957817a3p-4, -0x1.29ee023a8f70bp-4, -0x1.274f3c695dad3p-4, -0x1.24b021cac87ap-4, -0x1.2210cd41574a1p-4, -0x1.1f7159c7e045bp-4, -0x1.1cd1ddba81488p-4, -0x1.1a3282be7c25ep-4, -0x1.17935652f5554p-4, -0x1.14f47832adba6p-4, -0x1.1256047b1661fp-4, -0x1.0fb8157a9182cp-4, -0x1.0d1acee762af2p-4, -0x1.0a7e35fd34a4cp-4, -0x1.07e27bd4edd63p-4, -0x1.0547b35834d53p-4, -0x1.02adf76d92e1ap-4, -0x1.00156a104bb3dp-4, -0x1.fafc1b2b99abep-5, -0x1.f5d025ac9ac25p-5, -0x1.f0a715d5dd1p-5, -0x1.eb811c7e80aafp-5, -0x1.e65e6952d7ab9p-5, -0x1.e13f2bc305fbbp-5, -0x1.dc239095fb58ep-5, -0x1.d70bc46749c71p-5, -0x1.d1f7f2670511cp-5, -0x1.cce845c6a29fp-5, -0x1.c7dce3d2b1846p-5, -0x1.c2d5f719cd316p-5, -0x1.bdd3a52e8b85cp-5, -0x1.b8d613c1aa88cp-5, -0x1.b3dd6247a1207p-5, -0x1.aee9b7b3c6702p-5, -0x1.a9fb339f6dd0cp-5, -0x1.a511f29af7f16p-5, -0x1.a02e1ddd620c5p-5, -0x1.9b4fc967115b7p-5, -0x1.967714a2a4831p-5, -0x1.91a41b90a2d33p-5, -0x1.8cd6f8f45277ap-5, -0x1.880fc6fe8a6bep-5, -0x1.834e9e3d212f4p-5, -0x1.7e9395f47b9c8p-5, -0x1.79dec77a285ebp-5, -0x1.7530489e8b205p-5, -0x1.70882fd15cc9fp-5, -0x1.6be68140dd3afp-5, -0x1.674b85292b79dp-5, -0x1.62b70f383a55ap-5, -0x1.5e296f5404fcp-5, -0x1.59a28e9ef8b45p-5, -0x1.55228d576e033p-5, -0x1.50a97f33a2c24p-5, -0x1.4c377bd40f915p-5, -0x1.47cc883340791p-5, -0x1.4368d1fb8bde9p-5, -0x1.3f0c52ca6da17p-5, -0x1.3ab7254c7c653p-5, -0x1.36695bdf8a543p-5, -0x1.322309d293f75p-5, -0x1.2de43a6aebb7fp-5, -0x1.29ad0e39a22bep-5, -0x1.257d8ae0b4207p-5, -0x1.2155c61137a89p-5, -0x1.1d35d19e33fe5p-5, -0x1.191dbf78b7cadp-5, -0x1.150da0a5252bep-5, -0x1.110586ea94a69p-5, -0x1.0d0584360dfd1p-5, -0x1.090dae9540068p-5, -0x1.051e038242a36p-5, -0x1.0136a828ad967p-5, -0x1.faaf4b3dd3a0fp-6, -0x1.f3021791f5fc2p-6, -0x1.eb65d4ae59214p-6, -0x1.e3dade2edaa79p-6, -0x1.dc60971d7a2acp-6, -0x1.d4f7d6629b724p-6, -0x1.cda07d265b63dp-6, -0x1.c65a9b13f2c93p-6, -0x1.bf2653a717148p-6, -0x1.b803bb6de582ep-6, -0x1.b0f2e9394a149p-6, -0x1.a9f3f3e435ba6p-6, -0x1.a306dc76cb302p-6, -0x1.9c2be63cfb0ecp-6, -0x1.9562f44e1d60ep-6, -0x1.8eac26719bdf8p-6, -0x1.88078a8867dbp-6, -0x1.81752d25e176fp-6, -0x1.7af51a70f2097p-6, -0x1.7487870c5f8fp-6, -0x1.6e2bf70f30103p-6, -0x1.67e2f600df0c1p-6, -0x1.61ac5d0190c1bp-6, -0x1.5b882fa0af8a3p-6, -0x1.557678a9f9029p-6, -0x1.4f771d93e82c1p-6, -0x1.498a372621b84p-6, -0x1.43afbed94e93cp-6, -0x1.3de7a65e02d33p-6, -0x1.3831f0f80de38p-6, -0x1.328e94156fd08p-6, -0x1.2cfd87fc67607p-6, -0x1.277ec26f5d749p-6, -0x1.221237fab2ba3p-6, -0x1.1cb7dbe2e808p-6, -0x1.176f927ef2aabp-6, -0x1.123974f46507cp-6, -0x1.0d154976d0403p-6, -0x1.08030ea4923c3p-6, -0x1.0302a45bc98p-6, -0x1.fc2823b450e61p-7, -0x1.f26e4cd14121ep-7, -0x1.e8d7b5fc3add1p-7, -0x1.df6421431cdf5p-7, -0x1.d613627ab92a1p-7, -0x1.cce54681959f3p-7, -0x1.c3d99859af77p-7, -0x1.baf021329fdbbp-7, -0x1.b228a8722b319p-7, -0x1.a9830ae518437p-7, -0x1.a0fec7ce5aee9p-7, -0x1.989be85cc5969p-7, -0x1.905a11291ef5ap-7, -0x1.88390c37d281cp-7, -0x1.8074bd76dcaf4p-7, -0x1.78939c80f6ef2p-7, -0x1.70d27f503016ep-7, -0x1.69311b6f4c9f3p-7, -0x1.61af2c8b2b44ep-7, -0x1.5a4c6c49f4b9fp-7, -0x1.5308829742bp-7, -0x1.4be35a856ff5dp-7, -0x1.44dc6d239c0fbp-7, -0x1.3df38e8273ca5p-7, -0x1.37286fd9874d4p-7, -0x1.307ac1aef7b9dp-7, -0x1.29ea3f1b5891p-7, -0x1.23768d0f66449p-7, -0x1.1d1f6af2eac15p-7, -0x1.16e485e80499p-7, -0x1.10c58f75ccdd6p-7, -0x1.0ac238b82e4ddp-7, -0x1.04da359a85bf6p-7, -0x1.fe1b063b318b4p-8, -0x1.f2b5b02eaef81p-8, -0x1.e785bffc8091cp-8, -0x1.dc89f470b6c3fp-8, -0x1.d1c1a7cdc233dp-8, -0x1.c72c38bd55cep-8, -0x1.bcc905360c72p-8, -0x1.b2976eb6485c7p-8, -0x1.a896d0616f6a4p-8, -0x1.9ec688ba050b6p-8, -0x1.9525fbb89df8cp-8, -0x1.8bb534d284848p-8, -0x1.82717c25032bap-8, -0x1.795c4cfe3a6e9p-8, -0x1.70745123e66aap-8, -0x1.67b8eae8b3248p-8, -0x1.5f297ad265b22p-8, -0x1.56c56768dc414p-8, -0x1.4e8d243b9dfebp-8, -0x1.467cd248f3368p-8, -0x1.3e96d46718495p-8, -0x1.36da31628326ep-8, -0x1.2f459fdcb6589p-8, -0x1.27d8b998b2aa3p-8, -0x1.2092f595f2758p-8, -0x1.1973a9ff664ap-8, -0x1.127a28cdd1c46p-8, -0x1.0ba63067ff8fap-8, -0x1.04f6d535e0e17p-8, -0x1.fcd742f93758ap-9, -0x1.f008130d49c8fp-9, -0x1.e37ec1d3fe39fp-9, -0x1.d73ac30afd10bp-9, -0x1.cb39c318bb286p-9, -0x1.bf7bc1c23b5f1p-9, -0x1.b3ff549ce2bcfp-9, -0x1.a8c57b9967693p-9, -0x1.9dc69381792fap-9, -0x1.93081e893349dp-9, -0x1.8886e175500cep-9, -0x1.7e41c960b531fp-9, -0x1.7437cae9b351cp-9, -0x1.6a67d9c99608ap-9, -0x1.60d13aaf542cp-9, -0x1.57720934ea5a5p-9, -0x1.4e4a26b9080fep-9, -0x1.45579b4c3abcdp-9, -0x1.3c9b7db3e2405p-9, -0x1.34129a9f5e5e4p-9, -0x1.2bbce1a665453p-9, -0x1.23994d2cac69fp-9, -0x1.1ba6eb2dff5f5p-9, -0x1.13e4be441dc61p-9, -0x1.0c520c626c258p-9, -0x1.04eda168a424cp-9, -0x1.fb6d9336f5111p-10, -0x1.ed592b9fa3049p-10, -0x1.df9c480085c18p-10, -0x1.d23524a8c4ed2p-10, -0x1.c5221a4eed834p-10, -0x1.b861db52b7505p-10, -0x1.abf17b9213c4fp-10, -0x1.9fd08ea6f3ac3p-10, -0x1.93fd101e8d125p-10, -0x1.88756589986afp-10, -0x1.7d380327ef367p-10, -0x1.72427c3e97cf8p-10, -0x1.6795bad7723f3p-10, -0x1.5d2ddd618ff06p-10, -0x1.530a4b83f7529p-10, -0x1.492ec76661c09p-10, -0x1.3f89d9fc27f36p-10, -0x1.362a1b5450ec9p-10, -0x1.2d091e21b0bcp-10, -0x1.242570dc5c6ecp-10, -0x1.1b7dc9269c55p-10, -0x1.1310e70c47e8dp-10, -0x1.0add9349e5184p-10, -0x1.02e29b6993ad2p-10, -0x1.f63d419fed2c3p-11, -0x1.e7228b034000dp-11, -0x1.d871796ad9e0fp-11, -0x1.ca28150b2769fp-11, -0x1.bc4374cc1d846p-11, -0x1.aec4a353dbe6dp-11, -0x1.a1a67ac07cc57p-11, -0x1.94e7e7fd85e19p-11, -0x1.888717ba034b5p-11, -0x1.7c817c633e509p-11, -0x1.70d555fefa325p-11, -0x1.65807fc596c5ap-11, -0x1.5a80bb231985ap-11, -0x1.4fd3ee6218c6bp-11, -0x1.4575b8f0b9aa8p-11, -0x1.3b69c34e8c3ap-11, -0x1.31a7d31cd09d4p-11, -0x1.282fa1e0dc33cp-11, -0x1.1efeca6c4a078p-11, -0x1.16134934490fp-11, -0x1.0d6b1ad0f5797p-11, -0x1.04fc1fb831523p-11, -0x1.f9b41e38c88e4p-12, -0x1.e9db8979a0f62p-12, -0x1.da78e9b0d4b6fp-12, -0x1.cb888b1c8f401p-12, -0x1.bd070dccefecep-12, -0x1.aef128e31458ep-12, -0x1.a14461a13aaf7p-12, -0x1.93fd405ae6fb2p-12, -0x1.8719c557568cp-12, -0x1.7a970325a2a8cp-12, -0x1.6e72c1a5a20f8p-12, -0x1.62aab909b707dp-12, -0x1.573cb7d3c04e3p-12, -0x1.4c269b850ea11p-12, -0x1.416738439bc7fp-12, -0x1.36f9cf075efa5p-12, -0x1.2cdf4e3a5edabp-12, -0x1.231469ea722e1p-12, -0x1.19974d5bf7efp-12, -0x1.10665b06b83ebp-12, -0x1.077ead95b867bp-12, -0x1.fddb84eb6e13cp-13, -0x1.ed0fa0fff84c9p-13, -0x1.dce5cce2fc032p-13, -0x1.cd41a804501aap-13, -0x1.be1ebd8c4810ep-13, -0x1.af799dededd73p-13, -0x1.a14ea6be43445p-13, -0x1.939a655ba6503p-13, -0x1.864b0a5b4b185p-13, -0x1.79891d85e7a82p-13, -0x1.6d2183973706dp-13, -0x1.6125659fe21fp-13, -0x1.558e886983c33p-13, -0x1.4a5edcb176346p-13, -0x1.3f863f5eaf0fep-13, -0x1.3510796aa0ffp-13, -0x1.2af3039905817p-13, -0x1.212c8d35f835p-13, -0x1.17baa7bba68aep-13, -0x1.0e999254b9723p-13, -0x1.05c75ef00d29dp-13, -0x1.fa83275426b8bp-14, -0x1.ea0b26bd1e098p-14, -0x1.da21d7a807bedp-14, -0x1.cac281d33fff1p-14, -0x1.bbe88f4621a5ap-14, -0x1.ad8f897dcf474p-14, -0x1.9fb30b104657ep-14, -0x1.924e059e07137p-14, -0x1.854258289917cp-14, -0x1.78df8d482296p-14, -0x1.6ccdd7ed0c696p-14, -0x1.61234728764edp-14, -0x1.55debb0d6eb09p-14, -0x1.4afba62ce9c2ap-14, -0x1.4076e5e7d9a25p-14, -0x1.364e6e4feae54p-14, -0x1.2c7d40e06c6ebp-14, -0x1.231936ee17f9dp-14, -0x1.19d26e6781caap-14, -0x1.10f3de54c75b1p-14, -0x1.08727ba3cc14ap-14, -0x1.001b24f37e1cbp-14, -0x1.f03411a016219p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.65e83c86f268p-5, 0x1.c9e27cc471fe6p-5, 0x1.17fab661a5dd8p-4, 0x1.4bc19990517d5p-4, 0x1.7ffe6fbb6dcd6p-4, 0x1.b470502239969p-4, 0x1.e8dd61cd409c2p-4, 0x1.0e8924226b131p-3, 0x1.286eb7d5ca88dp-3, 0x1.420878c3aacf9p-3, 0x1.5b44413faa8b5p-3, 0x1.741269e15fbe8p-3, 0x1.8c6267aa2e04cp-3, 0x1.a4252e03fb472p-3, 0x1.bb50df19314fep-3, 0x1.d1df3c4cb7734p-3, 0x1.e7c91997e68ecp-3, 0x1.fd04f98f03197p-3, 0x1.08c4fccb2303dp-2, 0x1.12a9827efbf59p-2, 0x1.1c2f701a59ffp-2, 0x1.2557392e7caf7p-2, 0x1.2e1d91c0a3667p-2, 0x1.36829ef885b3ap-2, 0x1.3e86311b1e59cp-2, 0x1.4628709b8c725p-2, 0x1.4d69d8bea0afdp-2, 0x1.544b30e8feed1p-2, 0x1.5acd836abb701p-2, 0x1.60f213200d3ep-2, 0x1.66ba52e0d04a6p-2, 0x1.6c27e11aa29bbp-2, 0x1.713c8515f4cedp-2, 0x1.75fa281e2c0d3p-2, 0x1.7a62c9b48374fp-2, 0x1.7e7875bc315e5p-2, 0x1.823d424fc5b47p-2, 0x1.85b35301a0d21p-2, 0x1.88dcda9cb5c24p-2, 0x1.8bbc1908cb80fp-2, 0x1.8e5356c25a9e5p-2, 0x1.90a4e09ca97a8p-2, 0x1.92b305ef3d344p-2, 0x1.9480103bce21bp-2, 0x1.960e40d067abp-2, 0x1.975fcb26bffbfp-2, 0x1.9876d69f5b3a3p-2, 0x1.995585b33e107p-2, 0x1.99fdfa8cec4ap-2, 0x1.9a72607ba47ecp-2, 0x1.9ab4e1b87496dp-2, 0x1.9ac7a019e4f43p-2, 0x1.9aaca8d3b5b52p-2, 0x1.9a65ed021cd2bp-2, 0x1.99f5417a4fa5ap-2, 0x1.995c65821f2a2p-2, 0x1.989d0c1a357ecp-2, 0x1.97b8e4a31fc59p-2, 0x1.96b19e88f77ecp-2, 0x1.9588e7de767a1p-2, 0x1.944068449e653p-2, 0x1.92d9babd7c278p-2, 0x1.915668c8fcb62p-2, 0x1.8fb83960675c5p-2, 0x1.8dffcda0fb8cp-2, 0x1.8c2ec7f468d33p-2, 0x1.8a4672c64b43ep-2, 0x1.88480dbca3c7ap-2, 0x1.8634cc7e0572ap-2, 0x1.840dd65ab3b67p-2, 0x1.81d4462c785c5p-2, 0x1.7f892ad4df0c2p-2, 0x1.7d2d880213645p-2, 0x1.7ac256e0ed736p-2, 0x1.784886c6fe05fp-2, 0x1.75c0fd6116c26p-2, 0x1.732c9731de166p-2, 0x1.708c27aa6af9fp-2, 0x1.6de07965cf3e7p-2, 0x1.6b2a4e67b58eep-2, 0x1.686a6079c0d1ep-2, 0x1.65a161504b24dp-2, 0x1.62cffafa4d6ap-2, 0x1.5ff6d01d3852p-2, 0x1.5d167c4565c4ep-2, 0x1.5a2f9432fe19ep-2, 0x1.5742a61265ea2p-2, 0x1.545039c1dfc9ap-2, 0x1.5158d1111592dp-2, 0x1.4e5ce7f8548f8p-2, 0x1.4b5cf4d4a6b79p-2, 0x1.485968a432bf9p-2, 0x1.4552af40e76c5p-2, 0x1.42492fa6c942fp-2, 0x1.3f3d4c23ef98dp-2, 0x1.3c2f62ab51d77p-2, 0x1.391fcd392e8ccp-2, 0x1.360ee153c791bp-2, 0x1.32fcf19dd71e1p-2, 0x1.2fea4cbdc378cp-2, 0x1.2cd73e1a70942p-2, 0x1.29c40de552306p-2, 0x1.26b1011ea7f9ep-2, 0x1.239e59c7c1572p-2, 0x1.208c58224395bp-2, 0x1.1d7b34a3c5055p-2, 0x1.1a6b2c90a85e3p-2, 0x1.175c75a7782b7p-2, 0x1.144f44784bcd1p-2, 0x1.1143cb61fc2c8p-2, 0x1.0e3a3aa84e192p-2, 0x1.0b32c09e089dcp-2, 0x1.082d89b13f5d3p-2, 0x1.052ac11c51726p-2, 0x1.022a8e4152ee4p-2, 0x1.fe5a343cd436fp-3, 0x1.f86513fc3c996p-3, 0x1.f2760454e9d5dp-3, 0x1.ec8d4af865ad4p-3, 0x1.e6ab2c5e2145fp-3, 0x1.e0cfe3f33d68fp-3, 0x1.dafbb2a84d2dfp-3, 0x1.d52ed2ebf89f6p-3, 0x1.cf697c6d1f2a7p-3, 0x1.c9abe4f0456efp-3, 0x1.c3f63ff0664f2p-3, 0x1.be48bebd27956p-3, 0x1.b8a390affd1c3p-3, 0x1.b306e31860e52p-3, 0x1.ad72e18aaf02ep-3, 0x1.a7e7b5d3e86dap-3, 0x1.a265881d25f18p-3, 0x1.9cec7ee3f6916p-3, 0x1.977cbf3917094p-3, 0x1.92166c4e0c17fp-3, 0x1.8cb9a865f48dcp-3, 0x1.8766939c209d5p-3, 0x1.821d4d0606542p-3, 0x1.7cddf237d8ad4p-3, 0x1.77a89f6700afcp-3, 0x1.727d6f736a891p-3, 0x1.6d5c7bf806508p-3, 0x1.6845dd44c4b64p-3, 0x1.6339aa7e6c97cp-3, 0x1.5e37f95e122dap-3, 0x1.5940df02833b2p-3, 0x1.54546ea472c9cp-3, 0x1.4f7449ad006bp-3, 0x1.4a9d3b5623beep-3, 0x1.45d1055a6ec83p-3, 0x1.410fb6a2d182dp-3, 0x1.3c595cc4d6bf7p-3, 0x1.37ae040c02d5bp-3, 0x1.330db77897dc5p-3, 0x1.2e787db2823c5p-3, 0x1.29ee68e820b87p-3, 0x1.256f772a6453dp-3, 0x1.20fbb2946ca3cp-3, 0x1.1c931fa8edcc6p-3, 0x1.1835c44134075p-3, 0x1.13e3a438833afp-3, 0x1.0f9cc1d16d4bbp-3, 0x1.0b612064ac021p-3, 0x1.0730c1768337ep-3, 0x1.030ba620f1578p-3, 0x1.fde39dd2ebad8p-4, 0x1.f5c677e3c0212p-4, 0x1.edbfd8141c903p-4, 0x1.e5cfbc8be86bbp-4, 0x1.ddf62160725bp-4, 0x1.d63301ad2d97cp-4, 0x1.ce865737e2c49p-4, 0x1.c6f01997d443bp-4, 0x1.bf7040f2941ffp-4, 0x1.b806c2b981d1ap-4, 0x1.b0b393353c7afp-4, 0x1.a976a61c54cf6p-4, 0x1.a24feca2ac1bap-4, 0x1.9b3f576dd403fp-4, 0x1.9444d59677293p-4, 0x1.8d6055136ff18p-4, 0x1.8691c2536fc8ep-4, 0x1.7fd908b173bacp-4, 0x1.7936125e018f5p-4, 0x1.72a8c8445e899p-4, 0x1.6c31124f9dcabp-4, 0x1.65ced72efc69dp-4, 0x1.5f81fcc0874bap-4, 0x1.594a67d7e62a8p-4, 0x1.5327fbef8ba35p-4, 0x1.4d1a9c86d42a8p-4, 0x1.47222b44a559ep-4, 0x1.413e8982e0b44p-4, 0x1.3b6f97afafb9p-4, 0x1.35b53cbc63439p-4, 0x1.300f413b5b277p-4, 0x1.2a7d9a1efdc8p-4, 0x1.25001cc68a514p-4, 0x1.1f96afa43d9efp-4, 0x1.1a4112196e221p-4, 0x1.14ff3eca268b8p-4, 0x1.0fd0fea300defp-4, 0x1.0ab63491a264p-4, 0x1.05aeb61a9be34p-4, 0x1.00ba5c924bd8ap-4, 0x1.f7b200b6dccd3p-5, 0x1.ee14f011632dep-5, 0x1.e49d36e84e2cfp-5, 0x1.db4a8155975fep-5, 0x1.d21c7af000148p-5, 0x1.c912ce53c3e03p-5, 0x1.c02d24f5bdd9bp-5, 0x1.b76b2768704dbp-5, 0x1.aecc7d5227358p-5, 0x1.a650cd7a20108p-5, 0x1.9df7bcfa57d55p-5, 0x1.95c0f353dc3a6p-5, 0x1.8dac126bfda42p-5, 0x1.85b8bfef05646p-5, 0x1.7de69ca0ab962p-5, 0x1.76355098b73b2p-5, 0x1.6ea4792c7741ep-5, 0x1.6733ba4b2fbf5p-5, 0x1.5fe2c989a8008p-5, 0x1.58b10c5ddba0cp-5, 0x1.519e608d692f8p-5, 0x1.4aaa53160d43ep-5, 0x1.43d48553ba88ap-5, 0x1.3d1c9896846fp-5, 0x1.36822ec82c83fp-5, 0x1.3004e8e73938fp-5, 0x1.29a467387d47ep-5, 0x1.23604e53ec4fcp-5, 0x1.1d383f8fbc632p-5, 0x1.172bddbf5423ap-5, 0x1.113ac0e6b1843p-5, 0x1.0b64ad3b31de9p-5, 0x1.05a929ac7a5dap-5, 0x1.0007dc11112fcp-5, 0x1.f500e650ebb3dp-6, 0x1.ea25225a36b84p-6, 0x1.df7bb86f18014p-6, 0x1.d503fac24f991p-6, 0x1.cabd3fff4b81ap-6, 0x1.c0a6ba2c78fa4p-6, 0x1.b6bfdb7b44008p-6, 0x1.ad07ed6748c81p-6, 0x1.a37e455f31ca7p-6, 0x1.9a2236e6a7ed7p-6, 0x1.90f31238be5bep-6, 0x1.87f05f2e00484p-6, 0x1.7f1944d8702a5p-6, 0x1.766d33ae225cap-6, 0x1.6deb8985f4b03p-6, 0x1.659396097b6e8p-6, 0x1.5d64ef0ad9c59p-6, 0x1.555ec3b735a41p-6, 0x1.4d808dddfb1f5p-6, 0x1.45c9b18b861c5p-6, 0x1.3e398ff100b6dp-6, 0x1.36cf9e51b4593p-6, 0x1.2f8b435c24797p-6, 0x1.286bebd92ae75p-6, 0x1.2171066076ee5p-6, 0x1.1a9a3a129c998p-6, 0x1.13e64fcbb518fp-6, 0x1.0d5562c4d31efp-6, 0x1.06e6ae4cfb604p-6, 0x1.0099a9e30d73bp-6, 0x1.f4db94135136cp-7, 0x1.e8c50f5af37eep-7, 0x1.dceeb8afdc85bp-7, 0x1.d15786f2c1acfp-7, 0x1.c5fe63c0c46d2p-7, 0x1.bae26fa4a6af7p-7, 0x1.b00284ccc4a12p-7, 0x1.a55dafd432111p-7, 0x1.9af2f385f0b43p-7, 0x1.90c154fa3e187p-7, 0x1.86c7dce6e3cd1p-7, 0x1.7d05a6a04e24fp-7, 0x1.73798c6ca19b1p-7, 0x1.6a22d1b71c4fcp-7, 0x1.61007910b37f5p-7, 0x1.5811963ffbabp-7, 0x1.4f5527fd78d87p-7, 0x1.46ca90d31826cp-7, 0x1.3e70a613627dbp-7, 0x1.3646a27dc9b57p-7, 0x1.2e4ba3d132d12p-7, 0x1.267ed1d51e3b6p-7, 0x1.1edf4ef0f805ep-7, 0x1.176c4923efcdfp-7, 0x1.1024ebd156d11p-7, 0x1.090865bb2d415p-7, 0x1.0215e87c972a4p-7, 0x1.f6991ea577bf7p-8, 0x1.e957b6d82139bp-8, 0x1.dc65781a621e3p-8, 0x1.cfc10e69e6378p-8, 0x1.c368d8c2a6dffp-8, 0x1.b75b9e5cf82f5p-8, 0x1.ab97a3a4b1ffp-8, 0x1.a01b9981aaca5p-8, 0x1.94e6008ad920ap-8, 0x1.89f57563ead1dp-8, 0x1.7f4893eb3d4e2p-8, 0x1.74ddfd419634bp-8, 0x1.6ab457a0da80dp-8, 0x1.60ca4e6685562p-8, 0x1.571e6d2a85391p-8, 0x1.4dafd795850e6p-8, 0x1.447cdabe1d24fp-8, 0x1.3b845a2864e3bp-8, 0x1.32c5108d5d815p-8, 0x1.2a5b243ccbabep-8, 0x1.220a2b63bd518p-8, 0x1.19eed7839c271p-8, 0x1.120806bda2d0cp-8, 0x1.0a5496b0b6777p-8, 0x1.02d3696b5b29bp-8, 0x1.f706b6853333dp-9, 0x1.e8c6f09eebd44p-9, 0x1.dae5138becd85p-9, 0x1.cd5f2f01ad6a1p-9, 0x1.c0333a4a21ec1p-9, 0x1.b35f0fbdfcf51p-9, 0x1.a6e0d06f8e4aap-9, 0x1.9ab68bc6cfdbap-9, 0x1.8ede4b441999ap-9, 0x1.83563280289ecp-9, 0x1.781c6927ab40bp-9, 0x1.6d2f20259cd35p-9, 0x1.628c9e82f110cp-9, 0x1.5832d0899437dp-9, 0x1.4e20ba0ef8b1fp-9, 0x1.4453e4015b973p-9, 0x1.3acb159736b68p-9, 0x1.318497e5b6ddbp-9, 0x1.287ed59db7ac1p-9, 0x1.1fb84269f07e4p-9, 0x1.172f5861494dep-9, 0x1.0ee28d4c3ca1ep-9, 0x1.06d07675f6d26p-9, 0x1.fdef428794084p-10, 0x1.eeaccc47a2bffp-10, 0x1.dfd8447832a1fp-10, 0x1.d16d7cf0d0fa8p-10, 0x1.c36a44c79cceep-10, 0x1.b5cc0a9c5cce2p-10, 0x1.a8904450bfaf3p-10, 0x1.9bb47c2995b2bp-10, 0x1.8f37f5cd8558ep-10, 0x1.83131c6526801p-10, 0x1.77492335574cap-10, 0x1.6bd4ff1c2f535p-10, 0x1.60b5943011122p-10, 0x1.55e910ad2373dp-10, 0x1.4b6ad0f9cabb5p-10, 0x1.413b47546a89ap-10, 0x1.37580dd12984ep-10, 0x1.2dbdc7f202931p-10, 0x1.246bdc52ad11ap-10, 0x1.1b5fe48cb3d05p-10, 0x1.1297c4961f666p-10, 0x1.0a12745e7ea11p-10, 0x1.01ce16e527c76p-10, 0x1.f38e028b45f57p-11, 0x1.e3fb70710e35fp-11, 0x1.d4df9a0ba33bep-11, 0x1.c63769df9ed2ap-11, 0x1.b7ff434b7b458p-11, 0x1.aa347de920dd4p-11, 0x1.9cd3e6c047346p-11, 0x1.8fda931305fb2p-11, 0x1.8345a497d2eb9p-11, 0x1.77123e583e028p-11, 0x1.6b3e3ca796b3p-11, 0x1.5fc52571e482ap-11, 0x1.54a62da1ea354p-11, 0x1.49dc67b28e3f1p-11, 0x1.3f6abe528273p-11, 0x1.3548fbc787dcp-11, 0x1.2b772c8798d1cp-11, 0x1.21f29a6de6c19p-11, 0x1.18b91d6f95666p-11, 0x1.0fc8bd990b39dp-11, 0x1.071ed20c890f5p-11, 0x1.fd739d0c765f2p-12, 0x1.ed2ed6bc11debp-12, 0x1.dd6b694a10158p-12, 0x1.ce257c6bc6513p-12, 0x1.bf59522ff3e3p-12, 0x1.b1033da326b21p-12, 0x1.a320055ce8a7bp-12, 0x1.95ab2bf74d3f7p-12, 0x1.88a25f70cb10cp-12, 0x1.7c01f0142818ep-12, 0x1.6fc6cdebda5cp-12, 0x1.63edc70623d34p-12, 0x1.586ffd55b23d9p-12, 0x1.4d55d2126cda2p-12, 0x1.429158e3fb5d9p-12, 0x1.3823c27fe47dep-12, 0x1.2e10f938da095p-12, 0x1.2440a80842f55p-12, 0x1.1ac63688a1beep-12, 0x1.119842322db7fp-12, 0x1.08b43403ae4f8p-12, 0x1.0017bb308c874p-12, 0x1.ef81392e2c5p-13, 0x1.df595d4992a01p-13, 0x1.cfb3927f602p-13, 0x1.c08194215685bp-13, 0x1.b1defde3ea4e5p-13, 0x1.a3a89e395394bp-13, 0x1.95e485b589f81p-13, 0x1.888c03278c2e3p-13, 0x1.7ba6a3a9a1141p-13, 0x1.6f260e370623fp-13, 0x1.630aa4e4a5bb2p-13, 0x1.574fd14461783p-13, 0x1.4bf685a31b80ep-13, 0x1.40f664c4a0fbbp-13, 0x1.364f875c72fe5p-13, 0x1.2bfe45182bd0ep-13, 0x1.21ffd66a839dcp-13, 0x1.1854c8c4a23c3p-13, 0x1.0eeecfe68bcaap-13, 0x1.05d7bec379c64p-13, 0x1.fa0f96c9a0196p-14, 0x1.e8f93ea1ab947p-14, 0x1.d86806effea3ep-14, 0x1.c8578ed163bd9p-14, 0x1.b8a4a8af8b5ddp-14, 0x1.a9a135a151098p-14, 0x1.9af3fba74b056p-14, 0x1.8cb5424c9359ep-14, 0x1.7ee0f452af1abp-14, 0x1.717340740b86dp-14, 0x1.64670d984061fp-14, 0x1.57be752d1b2b8p-14, 0x1.4b705545f4108p-14, 0x1.3f7c0d3b7d472p-14, 0x1.33de6ab19f9f7p-14, 0x1.2894bae63b9f5p-14, 0x1.1d9c548e992f8p-14, 0x1.12f2a543146ffp-14, 0x1.0894fc9059911p-14, 0x1.fd2da73f8fcc2p-15, 0x1.e969b425a31c2p-15, 0x1.d65ed6c5a6f83p-15, 0x1.c3d89f9418e34p-15, 0x1.b1d498bbe11dbp-15, 0x1.a04f80b777a54p-15, 0x1.8f413d437778fp-15, 0x1.7ef45c127ab3ap-15, 0x1.6e8e7a5839b37p-15, 0x1.5ed8d81203934p-15, 0x1.4f913e8f2dbd5p-15, 0x1.40b23b9863c7bp-15, 0x1.32383d6aad662p-15, 0x1.242013c842cb2p-15, 0x1.16667e44d50e9p-15, 0x1.091f0b5738983p-15, 0x1.f80d92fa4d27cp-16, 0x1.de8ae53568607p-16, 0x1.c5fa04d98fe46p-16, 0x1.ade4af7efa02fp-16, 0x1.968ede5f12157p-16, 0x1.7f5bc1e1c0beap-16, 0x1.694fd462ea602p-16, 0x1.53933de93738fp-16, 0x1.3e64c678abc56p-16, 0x1.29beb04674899p-16, 0x1.159a8a7bf00eep-16, 0x1.01f6205698e6ap-16, 0x1.dd9bfc0aafd85p-17, 0x1.b83cd0ee5e0a4p-17, 0x1.93c801b4f3d12p-17, 0x1.70372a1c4f653p-17, 0x1.4d8427df82ddp-17, 0x1.2ba9107d4b1a5p-17, 0x1.0a9ffcd2d858bp-17, 0x1.d4c0c2f6ecebbp-18, 0x1.950eae370355cp-18, 0x1.5878c58c52a66p-18, 0x1.1ca68e6e14c76p-18, 0x1.c436c6ca6ce15p-19, 0x1.523162219cfc2p-19, 0x1.c5c11350d7c55p-20, 0x1.d909f1fcb33fbp-21, 0x1.8bdce3d0721efp-24, -0x1.6c51794096d5dp-21, -0x1.817f722543beep-20, -0x1.227ce2caf3e7fp-19, -0x1.829283dbf00fdp-19, -0x1.df78a9eef3314p-19, -0x1.1db082a674389p-18, -0x1.4a3362342a6e9p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.a81a19cf95e08p-2, -0x1.b08c8fe708c2fp-2, -0x1.b933abea628p-2, -0x1.c1fcdb4eb50ap-2, -0x1.cad705f1d3466p-2, -0x1.d3b2932a806dfp-2, -0x1.dc81275245935p-2, -0x1.e535ab4bc798ep-2, -0x1.edc4f8f070402p-2, -0x1.f62553db5411ap-2, -0x1.fe4d654ee7a3cp-2, -0x1.031a85bbcb49cp-1, -0x1.06eb1d71833a6p-1, -0x1.0a95ed12603bep-1, -0x1.0e18383f08a4fp-1, -0x1.116f5e98f3ddfp-1, -0x1.149993157d234p-1, -0x1.1795f4c201c74p-1, -0x1.1a63f4eae0a61p-1, -0x1.1d02c9df446f7p-1, -0x1.1f71771672b7bp-1, -0x1.21aed6679ec14p-1, -0x1.23bc574556af8p-1, -0x1.259983699705dp-1, -0x1.2746a69f545acp-1, -0x1.28c435a51f943p-1, -0x1.2a12c983bc4dap-1, -0x1.2b331b0e9f9fp-1, -0x1.2c25ff2829d47p-1, -0x1.2cec6357a2ac9p-1, -0x1.2d874a0374805p-1, -0x1.2df7c664f61b4p-1, -0x1.2e3ef8a2da6cdp-1, -0x1.2e5e0aa1de7abp-1, -0x1.2e562e942cac6p-1, -0x1.2e289f96802f8p-1, -0x1.2dd6a2436f9eep-1, -0x1.2d6182379decap-1, -0x1.2cca8c2a35e5cp-1, -0x1.2c130820a653cp-1, -0x1.2b3c37cf5607cp-1, -0x1.2a4759daaa4fbp-1, -0x1.2935aebcda831p-1, -0x1.28087a691673bp-1, -0x1.26c1018876e29p-1, -0x1.2560833ad1f5ap-1, -0x1.23e833979c56cp-1, -0x1.225939ca87909p-1, -0x1.20b4b1e597855p-1, -0x1.1efbb14078f99p-1, -0x1.1d2f4961beaddp-1, -0x1.1b50894c7604ap-1, -0x1.19607c69373a9p-1, -0x1.17602864bf411p-1, -0x1.15508b3098f2bp-1, -0x1.133299e58eb97p-1, -0x1.11074088ea8eep-1, -0x1.0ecf625b3ec44p-1, -0x1.0c8bda1a651afp-1, -0x1.0a3d7a0e0529cp-1, -0x1.07e50c0a5fb4ap-1, -0x1.058351bec84a7p-1, -0x1.0319057702d29p-1, -0x1.00a6ca20dec2cp-1, -0x1.fc5afaf30177bp-2, -0x1.f75b5d38ae32cp-2, -0x1.f24fff1893e5p-2, -0x1.ed3a188e6f6f3p-2, -0x1.e81ad4f75c0b5p-2, -0x1.e2f352c8ee633p-2, -0x1.ddc4a3a6bed62p-2, -0x1.d88fccd6e0b53p-2, -0x1.d355c7e7f860cp-2, -0x1.ce1783550b18bp-2, -0x1.c8d5e311d2ab5p-2, -0x1.c391c0ef077ecp-2, -0x1.be4becf4ac424p-2, -0x1.b9052da9c7c64p-2, -0x1.b3be405ebf4abp-2, -0x1.ae77d977a5ce5p-2, -0x1.a932a4bab02d5p-2, -0x1.a3ef4595a2f49p-2, -0x1.9eae576caebcp-2, -0x1.99706de557319p-2, -0x1.9436153516b77p-2, -0x1.8effd27125999p-2, -0x1.89ce23dc4be26p-2, -0x1.84a181345b397p-2, -0x1.7f7a5bfce35aep-2, -0x1.7a591fc3a61b9p-2, -0x1.753e3260d495ap-2, -0x1.7029f42fa7a51p-2, -0x1.6b1cc041a1093p-2, -0x1.6616ec8f1612ep-2, -0x1.6118ca234dd3ap-2, -0x1.5c22a54e67ae3p-2, -0x1.5734c5d94aa26p-2, -0x1.524f6f2a3f568p-2, -0x1.4d72e0945376cp-2, -0x1.489f55709129ap-2, -0x1.43d505595f25dp-2, -0x1.3f1424572657ap-2, -0x1.3a5ce306cd0fbp-2, -0x1.35af6ec500549p-2, -0x1.310bf1f04574p-2, -0x1.2c72936985c89p-2, -0x1.27e377fd44f95p-2, -0x1.235ec1382326p-2, -0x1.1ee48e26afbb7p-2, -0x1.1a74fb4fba231p-2, -0x1.161022cba4fd5p-2, -0x1.11b61c5e21f7p-2, -0x1.0d66fd8ad4b86p-2, -0x1.0922d9c604475p-2, -0x1.04e9c221a005dp-2, -0x1.00bbc639d6134p-2, -0x1.f931e6f202e27p-3, -0x1.f102ab2ca8bep-3, -0x1.e8e9ed2c195fbp-3, -0x1.e0e7bdcf3bc41p-3, -0x1.d8fc2a6a6906dp-3, -0x1.d1273ddcd80aep-3, -0x1.c968ffd2d7c6ap-3, -0x1.c1c17539f20f5p-3, -0x1.ba30a0618554ap-3, -0x1.b2b68117b4b2cp-3, -0x1.ab5314cad3e7dp-3, -0x1.a40656ad2b2e6p-3, -0x1.9cd03fc78faf7p-3, -0x1.95b0c71a4d49bp-3, -0x1.8ea7e1a907608p-3, -0x1.87b5828b13cc9p-3, -0x1.80d99af39b22ep-3, -0x1.7a141a40b7dd9p-3, -0x1.7364edfaf7b1fp-3, -0x1.6ccc01f4d144ap-3, -0x1.66494044c78c6p-3, -0x1.5fdc916c4d3d1p-3, -0x1.5985dc65cedd4p-3, -0x1.534506bf154bp-3, -0x1.4d19f4b2e41a3p-3, -0x1.470489412844cp-3, -0x1.4104a64154ccep-3, -0x1.3b1a2c79d6f38p-3, -0x1.3544fba0850cdp-3, -0x1.2f84f28a1106dp-3, -0x1.29d9eef5acec8p-3, -0x1.24446c26c5328p-3, -0x1.1ec2ef658915fp-3, -0x1.195609c3ad559p-3, -0x1.13fd95582ff5cp-3, -0x1.0eb96b3faf9c1p-3, -0x1.098963a7c4e89p-3, -0x1.046d55dad4513p-3, -0x1.feca2ff5fdbap-4, -0x1.f4e10188db291p-4, -0x1.eb1ec871cf441p-4, -0x1.e1832e3c63f61p-4, -0x1.d80dda7e6718ap-4, -0x1.cebe741db37cap-4, -0x1.c594a0f88bd7cp-4, -0x1.bc900647ae557p-4, -0x1.b3b0489854caep-4, -0x1.aaf50bf66f1cfp-4, -0x1.a25df3f8226c4p-4, -0x1.99eaa3c760f41p-4, -0x1.919abe5283ef9p-4, -0x1.896de5eb6eb68p-4, -0x1.8163bcf70c9b5p-4, -0x1.797be567fd16ap-4, -0x1.71b600ff10dp-4, -0x1.6a11b13d22818p-4, -0x1.628e974aefaaep-4, -0x1.5b2c545baf054p-4, -0x1.53ea893dd9d91p-4, -0x1.4cc8d698de417p-4, -0x1.45c6dcf7fbf85p-4, -0x1.3ee43ca94b147p-4, -0x1.382095eb763a3p-4, -0x1.317b88e266029p-4, -0x1.2af4b5a353ed3p-4, -0x1.248bbc4056648p-4, -0x1.1e403cd3f2bc9p-4, -0x1.1811d78011729p-4, -0x1.12002c933e8bcp-4, -0x1.0c0adc7dd9a17p-4, -0x1.063187d86aa55p-4, -0x1.0073cf8ef7ddap-4, -0x1.f5a2a99acd98bp-5, -0x1.ea93720368d2cp-5, -0x1.dfb93c413e24cp-5, -0x1.d5134cb33d721p-5, -0x1.caa0e8c0a4a0dp-5, -0x1.c06156b00236cp-5, -0x1.b653dfe4d879p-5, -0x1.ac77c60c14db6p-5, -0x1.a2cc5919617p-5, -0x1.9950e1186b63bp-5, -0x1.9004abff3f985p-5, -0x1.86e6ff0a552b5p-5, -0x1.7df72f7b58a16p-5, -0x1.7534896079f38p-5, -0x1.6c9e5d75abfb1p-5, -0x1.6433fcafc4bb5p-5, -0x1.5bf4b9c86c84fp-5, -0x1.53dfe81be7b27p-5, -0x1.4bf4de2f05d0ep-5, -0x1.4432f0fd588cep-5, -0x1.3c9978b34663dp-5, -0x1.3527ce564426cp-5, -0x1.2ddd4c496aa39p-5, -0x1.26b94e434cc25p-5, -0x1.1fbb31681ec15p-5, -0x1.18e25441e6aep-5, -0x1.122e16cb0ae8p-5, -0x1.0b9dda4afb2bdp-5, -0x1.0531021ba6501p-5, -0x1.fdcde465f87e6p-6, -0x1.f17e21aa1adebp-6, -0x1.e5718a597cfbap-6, -0x1.d9a6f22be3807p-6, -0x1.ce1d2d2861e2dp-6, -0x1.c2d3148e8993cp-6, -0x1.b7c78a1247104p-6, -0x1.acf95be6f52f8p-6, -0x1.a2677e0229abcp-6, -0x1.9810d0da605e4p-6, -0x1.8df43e10c964p-6, -0x1.8410b2c3fa875p-6, -0x1.7a651fb3387c9p-6, -0x1.70f078e71779p-6, -0x1.67b1b5b3f8bd8p-6, -0x1.5ea7d1f9b482fp-6, -0x1.55d1cc59e647p-6, -0x1.4d2ea746019bap-6, -0x1.44bd6699ac271p-6, -0x1.3c7d1a4e663f4p-6, -0x1.346ccb3aea71p-6, -0x1.2c8b867b1e27p-6, -0x1.24d8663990056p-6, -0x1.1d52807ab4319p-6, -0x1.15f8f09063a3ap-6, -0x1.0ecad5f1d8bffp-6, -0x1.07c754e2efe8bp-6, -0x1.00ed8db7e8e7dp-6, -0x1.f4795f8847b4cp-7, -0x1.e767cc51e140bp-7, -0x1.daa4c2b32ae6bp-7, -0x1.ce2ea961197e2p-7, -0x1.c203ed76b7bbdp-7, -0x1.b6230e220753bp-7, -0x1.aa8a7b15aafa8p-7, -0x1.9f38bb125c8d4p-7, -0x1.942c569add9e2p-7, -0x1.8963d7e0c2167p-7, -0x1.7edde36df3157p-7, -0x1.749905c4b9d36p-7, -0x1.6a93e6893108ap-7, -0x1.60cd2b91cf584p-7, -0x1.574385c9e22adp-7, -0x1.4df5a70ae6d5ep-7, -0x1.44e24989d94c8p-7, -0x1.3c082cbc2dbb6p-7, -0x1.336615d7bdb93p-7, -0x1.2afadbd18bd63p-7, -0x1.22c529c3d62cp-7, -0x1.1ac3fa96533ap-7, -0x1.12f61c6834ff3p-7, -0x1.0b5a712a9f5f5p-7, -0x1.03efdcb9576a1p-7, -0x1.f96a948c7478bp-8, -0x1.eb535303dfd6cp-8, -0x1.dd97de5b45aacp-8, -0x1.d036277c6ff02p-8, -0x1.c32c30cf0cb0ap-8, -0x1.b677fb4efca5dp-8, -0x1.aa179899eb7e6p-8, -0x1.9e09219c5b5e7p-8, -0x1.924ab8416ea1p-8, -0x1.86da87ae65e46p-8, -0x1.7bb6c489a7529p-8, -0x1.70dda923203dfp-8, -0x1.664d7d0f89c24p-8, -0x1.5c048d86a2a6bp-8, -0x1.520130459e3e6p-8, -0x1.4841bb0e0256dp-8, -0x1.3ec4acf0e6f98p-8, -0x1.35885c1976a1ap-8, -0x1.2c8b4738526bcp-8, -0x1.23cbec4e2703bp-8, -0x1.1b48d119a331ap-8, -0x1.130081ebab327p-8, -0x1.0af1947704c9p-8, -0x1.031aa487d04a5p-8, -0x1.f6f4aaa206d2dp-9, -0x1.e81ea261c2a26p-9, -0x1.d9b0890f1a045p-9, -0x1.cba7ed0310e2p-9, -0x1.be022f1ce0fefp-9, -0x1.b0bce42f06896p-9, -0x1.a3d5a06cabf62p-9, -0x1.974a152cf686cp-9, -0x1.8b17e9ae28b4cp-9, -0x1.7f3ce2fa75e44p-9, -0x1.73b6c9850b095p-9, -0x1.688375e02adeap-9, -0x1.5da0cb8a1077ep-9, -0x1.530cb9d6f193bp-9, -0x1.48c53bb125eaep-9, -0x1.3ec8576eb130cp-9, -0x1.35140f587431ap-9, -0x1.2ba6ad9a2ecb8p-9, -0x1.227e2c00b61bdp-9, -0x1.1998cc49269fep-9, -0x1.10f4c6632e8d5p-9, -0x1.08a2e8dca3e1bp-9, -0x1.007c12dabcb4fp-9, -0x1.f123160bf6812p-10, -0x1.e1c3714d54937p-10, -0x1.d2d613cdce28ap-10, -0x1.c457ecb223111p-10, -0x1.b645fb5dc42b6p-10, -0x1.a89d5a711f5dap-10, -0x1.9b5b26d72f525p-10, -0x1.8e7c9b72df1f4p-10, -0x1.81ff020ab7648p-10, -0x1.75dfaae60f06dp-10, -0x1.6a1c036ac6fafp-10, -0x1.5eb18cc08fbd1p-10, -0x1.539dc496bf842p-10, -0x1.48de470f20041p-10, -0x1.3e70bb682f627p-10, -0x1.3452d7fa049aap-10, -0x1.2a82650587074p-10, -0x1.20fd0c9fd7bc3p-10, -0x1.17c119cb7f0ap-10, -0x1.0ecc0d6e6f796p-10, -0x1.061c12c85f774p-10, -0x1.fb5e5993abfbbp-11, -0x1.eb06e35ea9cbcp-11, -0x1.db2e09873c5d1p-11, -0x1.cbd0293e56a04p-11, -0x1.bce9b267b74c9p-11, -0x1.ae773a55e0d3dp-11, -0x1.a0756290dfc33p-11, -0x1.92e0a8a0ac9bap-11, -0x1.85b699a19bf3bp-11, -0x1.78f35ffaf7592p-11, -0x1.6c94344e54c6bp-11, -0x1.609628353e043p-11, -0x1.54f660fa89f9cp-11, -0x1.49b215f37d696p-11, -0x1.3ec6cffca2025p-11, -0x1.343132e502758p-11, -0x1.29ef8a8e9dd36p-11, -0x1.1ffeba591ed9bp-11, -0x1.165cbc237e6c2p-11, -0x1.0d0750cdd0c9ep-11, -0x1.03fb5fb00e8abp-11, -0x1.f66f0085c2d1bp-12, -0x1.e572cd9a3874cp-12, -0x1.d4fd2bd5b878fp-12, -0x1.c50ac8bb5d4f8p-12, -0x1.b5976473bc2edp-12, -0x1.a69f0272f844fp-12, -0x1.981e4ce4904adp-12, -0x1.8a11810c80411p-12, -0x1.7c744b91100edp-12, -0x1.6f44312cfe3f5p-12, -0x1.627d801cbbddep-12, -0x1.561c9b7a47d2ep-12, -0x1.4a1f90b01972bp-12, -0x1.3e821cf91ae87p-12, -0x1.3341aceed525cp-12, -0x1.285b629c8f52ep-12, -0x1.1dcc73401a951p-12, -0x1.139227793c29p-12, -0x1.09a9f5e05ec97p-12, -0x1.001108c672ep-12, -0x1.ed8a5ff30f769p-13, -0x1.db87266b35a86p-13, -0x1.ca15dbdaeda71p-13, -0x1.b92fb77638c58p-13, -0x1.a8d14e73613c2p-13, -0x1.98f62cb7e957fp-13, -0x1.899a4348a73ccp-13, -0x1.7ab9b89b67168p-13, -0x1.6c50560187893p-13, -0x1.5e5abd7f7e5d5p-13, -0x1.50d518913bbf2p-13, -0x1.43bbe92d5c9ffp-13, -0x1.370bc6a94826p-13, -0x1.2ac1684c27dc4p-13, -0x1.1ed98e1b5c603p-13, -0x1.1351210c2b27ap-13, -0x1.08252164c997ap-13, -0x1.faa557cd0ce7cp-14, -0x1.e5adcd943cbd8p-14, -0x1.d15e4780663acp-14, -0x1.bdb169c495702p-14, -0x1.aaa06835367cdp-14, -0x1.982b5bc971532p-14, -0x1.86488d49cd703p-14, -0x1.74f52222bf4dap-14, -0x1.642e37a3a8c1p-14, -0x1.53e9d74d13bc7p-14, -0x1.4429a19c9d24dp-14, -0x1.34e7bd0910c27p-14, -0x1.262033bf7771ep-14, -0x1.17cf42e111067p-14, -0x1.09f149f758fbcp-14, -0x1.f9059146b795bp-15, -0x1.df00b176a2e23p-15, -0x1.c5c7e4c27430dp-15, -0x1.ad65c48748d03p-15, -0x1.95c363a97cacap-15, -0x1.7ee04375a4ff4p-15, -0x1.68b65289c257dp-15, -0x1.5341bfe8237c6p-15, -0x1.3e7b8cddcce33p-15, -0x1.2a5f2c607339fp-15, -0x1.16e6902071a4dp-15, -0x1.040fbc94869bdp-15, -0x1.e3a4d31b390d3p-16, -0x1.c057c1aa7273dp-16, -0x1.9e2e80de395a8p-16, -0x1.7d2047a2e41edp-16, -0x1.5d29d29740f9ep-16, -0x1.3e31d7b253ca6p-16, -0x1.20423604c3641p-16, -0x1.034c03c34561bp-16, -0x1.ce8fe6cf62ffcp-17, -0x1.985d6d954cab1p-17, -0x1.63f27cd070be4p-17, -0x1.312e0619f4d51p-17, -0x1.003b0ad7779cfp-17, -0x1.a1aa3781e52ap-18, -0x1.46056bfb3273cp-18, -0x1.dae0ca232809cp-19, -0x1.2fa991e969486p-19, -0x1.1467b70937448p-20, 0x1.590266078bac4p-23, 0x1.5fc8d15c01c94p-20, 0x1.44e36d7b74dbbp-19, 0x1.d4b11d778b71ap-19, 0x1.2fb7f63fac3edp-18, 0x1.72a06a823fd2p-18, 0x1.b321defc54837p-18, 0x1.f14c2b49cf038p-18, 0x1.168183df48fe1p-17, 0x1.336aae9b28b72p-17, 0x1.4f26f162add1bp-17, 0x1.69d4a33935ebap-17, 0x1.83799c106afep-17, 0x1.9c1c267349362p-17, 0x1.b3c3c90af8a05p-17, 0x1.ca58ef60f6197p-17, 0x1.e0341662eebc4p-17, 0x1.f50be4693f911p-17, 0x1.047f193032ea6p-16, 0x1.0e08a4b30941bp-16, 0x1.17255ca105dccp-16, 0x1.1fd7d8aa97599p-16, 0x1.2822b21aebd22p-16, 0x1.2fff251a924dfp-16, 0x1.378b2cd93b142p-16, 0x1.3eb1d4c6e356cp-16, 0x1.4570096e71b4dp-16, 0x1.4bd7d740b48b8p-16, 0x1.51e2064c2fc8bp-16, 0x1.57a36f7653d39p-16, 0x1.5cfa61803e7c8p-16, 0x1.6206ec1367a9dp-16, 0x1.66c11e9593afep-16, 0x1.6b2b34dd501e7p-16, 0x1.6f471b39f7333p-16, 0x1.7316902e059b5p-16, 0x1.769b50eca3a45p-16, 0x1.79d71168d0f79p-16, 0x1.7ccb796c726a6p-16, 0x1.7f7a265298a62p-16, 0x1.81e4abb76c272p-16, 0x1.840c942384db3p-16, 0x1.85f36343e9501p-16, 0x1.879aaf91a53f8p-16, 0x1.89075f7e0fa8cp-16, 0x1.8a2fc11d1cb1fp-16, 0x1.8b1fe5aa4521dp-16, 0x1.8bd74d7c3e71cp-16, 0x1.8c54fe23bcbafp-16, 0x1.8c9b73e6d9e91p-16, 0x1.8cabbb5b0f719p-16, 0x1.8c86d3fc882c2p-16, 0x1.8c2ec0bd4268bp-16, 0x1.8baaad88e1547p-16, 0x1.8ae7d5fc95a4dp-16, 0x1.89fba167d975ep-16, 0x1.88de9c23a9235p-16, 0x1.879625c0733bfp-16, 0x1.861fd01e2463cp-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.663aff58edbcbp-5, 0x1.889e09cffd20dp-5, 0x1.ac4305e6e5e89p-5, 0x1.d11d4ade107bap-5, 0x1.f7200ae83b98cp-5, 0x1.0f1f2d13ef1b1p-4, 0x1.23359aa3eb3f9p-4, 0x1.37ccc3da164bep-4, 0x1.4cde18bbd3538p-4, 0x1.626306615bcccp-4, 0x1.7854f990168c9p-4, 0x1.8ead612de9ea8p-4, 0x1.a565b08f89afbp-4, 0x1.bc7761a3b0637p-4, 0x1.d3dbf6fd09d5cp-4, 0x1.eb8cfdbca552dp-4, 0x1.01c207af3bcffp-3, 0x1.0ddd69b4cc096p-3, 0x1.1a158082d06ffp-3, 0x1.2667303b53c9ep-3, 0x1.32cf66408a775p-3, 0x1.3f4b19db4f09p-3, 0x1.4bd74cd6c6cb3p-3, 0x1.58710c11b072ep-3, 0x1.65157005e7e89p-3, 0x1.71c19d468fc67p-3, 0x1.7e72c4f5574abp-3, 0x1.8b26252f33d16p-3, 0x1.97d9097102d3ep-3, 0x1.a488caf45584ap-3, 0x1.b132d104c5e7fp-3, 0x1.bdd4914e16811p-3, 0x1.ca6b902364b4fp-3, 0x1.d6f560bfafdap-3, 0x1.e36fa57fe638p-3, 0x1.efd81016bbb27p-3, 0x1.fc2c61ba7293bp-3, 0x1.043535a668439p-2, 0x1.0a4806beb259dp-2, 0x1.104d9c732c81bp-2, 0x1.1644f711f47f7p-2, 0x1.1c2d1ef35c23p-2, 0x1.2205248092675p-2, 0x1.27cc2037e3158p-2, 0x1.2d8132ae9ef3fp-2, 0x1.33238490c19ccp-2, 0x1.38b2469e67768p-2, 0x1.3e2cb1a726b5fp-2, 0x1.43920683640cp-2, 0x1.48e18e0bb1116p-2, 0x1.4e1a990e4c30fp-2, 0x1.533c8042d4178p-2, 0x1.5846a43c4437ap-2, 0x1.5d386d594bf7cp-2, 0x1.62114bb318bb9p-2, 0x1.66d0b70a9ffa8p-2, 0x1.6b762eb484a7dp-2, 0x1.70013983a58dfp-2, 0x1.747165b26c5e6p-2, 0x1.78c648caeb871p-2, 0x1.7cff7f8de4c26p-2, 0x1.811cadd8c43fp-2, 0x1.851d7e8aa65ffp-2, 0x1.8901a36878c8ap-2, 0x1.8cc8d500492fcp-2, 0x1.9072d28bd15c7p-2, 0x1.93ff61d251e57p-2, 0x1.976e4f09cb886p-2, 0x1.9abf6cb7a9203p-2, 0x1.9df29390e225ep-2, 0x1.a107a259adec3p-2, 0x1.a3fe7dc4ce9f5p-2, 0x1.a6d7105282fd1p-2, 0x1.a9914a2f2db8dp-2, 0x1.ac2d2111bd1a9p-2, 0x1.aeaa9019de475p-2, 0x1.b10997ae08f47p-2, 0x1.b34a3d596f661p-2, 0x1.b56c8ba9d5cc1p-2, 0x1.b770920d661bp-2, 0x1.b95664b07f7e3p-2, 0x1.bb1e1c5b90c96p-2, 0x1.bcc7d651001bbp-2, 0x1.be53b42b2ea87p-2, 0x1.bfc1dbba97c49p-2, 0x1.c11276e41beedp-2, 0x1.c245b37f73de2p-2, 0x1.c35bc335d9a8p-2, 0x1.c454db60e8708p-2, 0x1.c53134e9be126p-2, 0x1.c5f10c2859e97p-2, 0x1.c694a0c34ac74p-2, 0x1.c71c358fa3b63p-2, 0x1.c788107141a9fp-2, 0x1.c7d87a3b68442p-2, 0x1.c80dbe91b4ccep-2, 0x1.c8282bc969215p-2, 0x1.c82812cb18b5bp-2, 0x1.c80dc6f4b578p-2, 0x1.c7d99dfbfd749p-2, 0x1.c78befd15126cp-2, 0x1.c7251682f124cp-2, 0x1.c6a56e20a406ep-2, 0x1.c60d549fca427p-2, 0x1.c55d29bfdf16fp-2, 0x1.c4954eef676ebp-2, 0x1.c3b6273153192p-2, 0x1.c2c01702ce9bap-2, 0x1.c1b38441891edp-2, 0x1.c090d6126c43ep-2, 0x1.bf5874c8cb9adp-2, 0x1.be0ac9ce08a52p-2, 0x1.bca83f89ae78cp-2, 0x1.bb31414a010e1p-2, 0x1.b9a63b2d0975ep-2, 0x1.b8079a0a170bep-2, 0x1.b655cb5bb8ba8p-2, 0x1.b4913d2a3244dp-2, 0x1.b2ba5df6676f1p-2, 0x1.b0d19ca540fa2p-2, 0x1.aed7686b8d35p-2, 0x1.accc30ba566c4p-2, 0x1.aab0652bb6415p-2, 0x1.a88475701dfe7p-2, 0x1.a648d13c1bd24p-2, 0x1.a3fde83695791p-2, 0x1.a1a429e77e0b1p-2, 0x1.9f3c05a70056ep-2, 0x1.9cc5ea8d25b39p-2, 0x1.9a424761edd9ap-2, 0x1.97b18a8de3a3fp-2, 0x1.9514220b2115cp-2, 0x1.926a7b56cf674p-2, 0x1.8fb5036316577p-2, 0x1.8cf4268982ad6p-2, 0x1.8a28507ddea33p-2, 0x1.8751ec417ae6ep-2, 0x1.84716416ed7aap-2, 0x1.818721763c544p-2, 0x1.7e938d017ac7ep-2, 0x1.7b970e79d2b27p-2, 0x1.78920cb4feabcp-2, 0x1.7584ed932c751p-2, 0x1.727015f54d5a5p-2, 0x1.6f53e9b3d102ep-2, 0x1.6c30cb95c6bb2p-2, 0x1.69071d48684c1p-2, 0x1.65d73f570a6b3p-2, 0x1.62a1912372c24p-2, 0x1.5f6670de907bep-2, 0x1.5c263b819834ap-2, 0x1.58e14cc7819p-2, 0x1.5597ff26e1289p-2, 0x1.524aabcc2493ep-2, 0x1.4ef9aa9426cd6p-2, 0x1.4ba5520723a03p-2, 0x1.484df75402969p-2, 0x1.44f3ee4bf7ac6p-2, 0x1.4197895e7fedp-2, 0x1.3e391995ac59dp-2, 0x1.3ad8ee92c538p-2, 0x1.3777568b3c174p-2, 0x1.34149e45ed031p-2, 0x1.30b11118b262cp-2, 0x1.2d4cf8e63ec79p-2, 0x1.29e89e1c47367p-2, 0x1.268447b1f3d04p-2, 0x1.23203b26989bp-2, 0x1.1fbcbc80b4388p-2, 0x1.1c5a0e4d31773p-2, 0x1.18f8719eeedp-2, 0x1.1598260e80d45p-2, 0x1.123969ba3936fp-2, 0x1.0edc794666216p-2, 0x1.0b818fddd22f7p-2, 0x1.0828e73279a21p-2, 0x1.04d2b77e79303p-2, 0x1.017f378535221p-2, 0x1.fc5d3929635f6p-3, 0x1.f5c2350e420dp-3, 0x1.ef2dc78943608p-3, 0x1.e8a0528a5b96cp-3, 0x1.e21a35256816bp-3, 0x1.db9bcb96c77b1p-3, 0x1.d5256f483d414p-3, 0x1.ceb776d62827dp-3, 0x1.c85236150cfd4p-3, 0x1.c1f5fe1768af3p-3, 0x1.bba31d33cedfep-3, 0x1.b559df0b460e5p-3, 0x1.af1a8c8ff3c9ep-3, 0x1.a8e56c0bf7842p-3, 0x1.a2bac12893ac4p-3, 0x1.9c9accf581e38p-3, 0x1.9685cdf083e41p-3, 0x1.907c000d2af01p-3, 0x1.8a7d9cbcca5b1p-3, 0x1.848adaf69a746p-3, 0x1.7ea3ef40092e5p-3, 0x1.78c90bb52fb79p-3, 0x1.72fa6011732e1p-3, 0x1.6d3819b840967p-3, 0x1.678263bdf4ce9p-3, 0x1.61d966f0d8bb3p-3, 0x1.5c3d49e23fc3bp-3, 0x1.56ae30efbe0d8p-3, 0x1.512c3e4c73d4p-3, 0x1.4bb7920a74e62p-3, 0x1.46504a2438efcp-3, 0x1.40f6828623831p-3, 0x1.3baa551819536p-3, 0x1.366bd9c71f1d4p-3, 0x1.313b268f08636p-3, 0x1.2c184f84254bp-3, 0x1.270366dd02f07p-3, 0x1.21fc7cfc2674cp-3, 0x1.1d03a079cff65p-3, 0x1.1818de2dbae56p-3, 0x1.133c4138e5625p-3, 0x1.0e6dd30f48a7fp-3, 0x1.09ad9b819c03bp-3, 0x1.04fba0c704741p-3, 0x1.0057e786c98e1p-3, 0x1.f784e5c3f51abp-4, 0x1.ee7688fa136efp-4, 0x1.e584b912bfa95p-4, 0x1.dcaf739dc4ecdp-4, 0x1.d3f6b36ad6953p-4, 0x1.cb5a709c5d6fbp-4, 0x1.c2daa0ba351e6p-4, 0x1.ba7736c42dac1p-4, 0x1.b230234480ce9p-4, 0x1.aa0554620ede7p-4, 0x1.a1f6b5f2832d5p-4, 0x1.9a04318c41d2cp-4, 0x1.922dae9828ca6p-4, 0x1.8a7312633275bp-4, 0x1.82d4402fd6524p-4, 0x1.7b51194744eb9p-4, 0x1.73e97d0a6d435p-4, 0x1.6c9d4902cf903p-4, 0x1.656c58f31ada9p-4, 0x1.5e5686e7954c8p-4, 0x1.575bab464c625p-4, 0x1.507b9cdf0ebfbp-4, 0x1.49b630fb2b156p-4, 0x1.430b3b6cf6073p-4, 0x1.3c7a8e9f16047p-4, 0x1.3603fba392418p-4, 0x1.2fa75242a60ecp-4, 0x1.2964610958046p-4, 0x1.233af557d3155p-4, 0x1.1d2adb6f820f1p-4, 0x1.1733de80ecfffp-4, 0x1.1155c8b957487p-4, 0x1.0b9063502046fp-4, 0x1.05e37693e2bfp-4, 0x1.004ec9f755fa4p-4, 0x1.f5a4483bdfdbdp-5, 0x1.eada95d08c386p-5, 0x1.e04007005faa3p-5, 0x1.d5d424c950db5p-5, 0x1.cb9676eae2ddp-5, 0x1.c18683fceb346p-5, 0x1.b7a3d185d82f5p-5, 0x1.adede4107727p-5, 0x1.a4643f4140518p-5, 0x1.9b0665eb1f567p-5, 0x1.91d3da23c3e8fp-5, 0x1.88cc1d5770334p-5, 0x1.7feeb05c4fa1fp-5, 0x1.773b1385506cdp-5, 0x1.6eb0c6b482afcp-5, 0x1.664f496cfe1fcp-5, 0x1.5e161ae44e5dep-5, 0x1.5604ba13685d8p-5, 0x1.4e1aa5c728de2p-5, 0x1.46575cb05cad8p-5, 0x1.3eba5d7354cd5p-5, 0x1.374326b707e5ep-5, 0x1.2ff13733bf9d3p-5, 0x1.28c40dc156beap-5, 0x1.21bb296507261p-5, 0x1.1ad6095ec9e4ep-5, 0x1.14142d3648917p-5, 0x1.0d7514c764afcp-5, 0x1.06f8404e5531ep-5, 0x1.009d30735a10dp-5, 0x1.f4c6ccac10e92p-6, 0x1.e894c7306259ap-6, 0x1.dca354d0c8979p-6, 0x1.d0f17b182041p-6, 0x1.c57e40d27e29ap-6, 0x1.ba48ae1fee815p-6, 0x1.af4fcc8671c2p-6, 0x1.a492a70348fdep-6, 0x1.9a104a1b82c67p-6, 0x1.8fc7c3ebdbabep-6, 0x1.85b82437ed68dp-6, 0x1.7be07c78af89ap-6, 0x1.723fdfea52026p-6, 0x1.68d563996e2d9p-6, 0x1.5fa01e6f980ebp-6, 0x1.569f293f4fd7ap-6, 0x1.4dd19ecf5465fp-6, 0x1.45369be55e74dp-6, 0x1.3ccd3f504754cp-6, 0x1.3494a9f198589p-6, 0x1.2c8bfec691be2p-6, 0x1.24b262f09d1cbp-6, 0x1.1d06fdbd3f0d4p-6, 0x1.1588f8ad7b619p-6, 0x1.0e377f7cbab16p-6, 0x1.0711c0273089ep-6, 0x1.0016eaefc2f29p-6, 0x1.f28c64caf1d45p-7, 0x1.e53d96d0e825ep-7, 0x1.d83fda5ce9b6fp-7, 0x1.cb91a28ddc203p-7, 0x1.bf31673d5dbd9p-7, 0x1.b31da506371ffp-7, 0x1.a754dd4a0e7fdp-7, 0x1.9bd596363fa2cp-7, 0x1.909e5ac7ff9c8p-7, 0x1.85adbacfb74e6p-7, 0x1.7b024af3ac92fp-7, 0x1.709aa4b1f5dcp-7, 0x1.66756661c3862p-7, 0x1.5c913333f66f5p-7, 0x1.52ecb33322c7cp-7, 0x1.49869342ecd04p-7, 0x1.405d851ec9851p-7, 0x1.37703f583904ep-7, 0x1.2ebd7d5464302p-7, 0x1.2643ff4939c9bp-7, 0x1.1e028a3a04c42p-7, 0x1.15f7e7f381a47p-7, 0x1.0e22e7077a705p-7, 0x1.06825ac7eb438p-7, 0x1.fe2a368369cc5p-8, 0x1.efb40a6dc4a15p-8, 0x1.e19ff431086c1p-8, 0x1.d3ebc00052ab7p-8, 0x1.c6954351e72adp-8, 0x1.b99a5cd0a6e86p-8, 0x1.acf8f44cd0deap-8, 0x1.a0aefaac1d03bp-8, 0x1.94ba69d934076p-8, 0x1.891944b28eca1p-8, 0x1.7dc996f8c29d8p-8, 0x1.72c9753c4230dp-8, 0x1.6816fcca9b523p-8, 0x1.5db0539b36961p-8, 0x1.5393a83ba3078p-8, 0x1.49bf31bb6f482p-8, 0x1.40312f979b63bp-8, 0x1.36e7e9a5a8673p-8, 0x1.2de1affe49649p-8, 0x1.251cdae7bfbd6p-8, 0x1.1c97cabfe6149p-8, 0x1.1450e7e5ef88ep-8, 0x1.0c46a2a3e3192p-8, 0x1.04777317d5bb8p-8, 0x1.f9c3b239d2b15p-9, 0x1.eb08b8683117fp-9, 0x1.dcbb16d99f74p-9, 0x1.ced7fa9ab47aep-9, 0x1.c15c9f7654498p-9, 0x1.b4464fc5f8f1p-9, 0x1.a7926441bec6ap-9, 0x1.9b3e43d03fba1p-9, 0x1.8f4763563f62p-9, 0x1.83ab458638125p-9, 0x1.78677aafccec9p-9, 0x1.6d79a08f229b9p-9, 0x1.62df621c35ce6p-9, 0x1.5896775a23107p-9, 0x1.4e9ca5267682fp-9, 0x1.44efbd0880178p-9, 0x1.3b8d9d00bc0eep-9, 0x1.32742f5848fa5p-9, 0x1.29a16a7080a46p-9, 0x1.21135092a9be4p-9, 0x1.18c7efbfd7271p-9, 0x1.10bd6180ed7aap-9, 0x1.08f1cab6db4a7p-9, 0x1.01635b6b0641ep-9, 0x1.f4209d3fe7ed2p-10, 0x1.e5edd4445ba8bp-10, 0x1.d82afcb2d6d0ap-10, 0x1.cad4cc340733cp-10, 0x1.bde80ced4ac57p-10, 0x1.b1619d24c7af6p-10, 0x1.a53e6ee61ea2fp-10, 0x1.997b87a7d810cp-10, 0x1.8e15fff171414p-10, 0x1.830b03022c34bp-10, 0x1.7857ce789eea9p-10, 0x1.6df9b1fafd8f5p-10, 0x1.63ee0ee034f46p-10, 0x1.5a3257d9cd719p-10, 0x1.50c4109ea5f27p-10, 0x1.47a0cd967f4e7p-10, 0x1.3ec63386644e3p-10, 0x1.3631f73df09e3p-10, 0x1.2de1dd457b306p-10, 0x1.25d3b98d264c7p-10, 0x1.1e056f1ccfadfp-10, 0x1.1674efc4f7355p-10, 0x1.0f203bd08b472p-10, 0x1.080561b7abbe9p-10, 0x1.01227dd356d5ap-10, 0x1.f4eb742422422p-11, 0x1.e7fa9b5b01085p-11, 0x1.db6ef9c1fc8e6p-11, 0x1.cf45314244e85p-11, 0x1.c379fca892138p-11, 0x1.b80a2f1822095p-11, 0x1.acf2b37faf38ep-11, 0x1.a2308c105f684p-11, 0x1.97c0d1b6aa4f9p-11, 0x1.8da0b3953a68ep-11, 0x1.83cd7681c7472p-11, 0x1.7a447483ea951p-11, 0x1.71031c55ed418p-11, 0x1.6806f0e78df97p-11, 0x1.5f4d88e2c0435p-11, 0x1.56d48e3261137p-11, 0x1.4e99bd8ae1fb2p-11, 0x1.469ae5f4e71d8p-11, 0x1.3ed5e859d8d0fp-11, 0x1.3748b71262d91p-11, 0x1.2ff15576e33f6p-11, 0x1.28cdd771c39dp-11, 0x1.21dc6113bb428p-11, 0x1.1b1b2629f6dc2p-11, 0x1.148869d62232dp-11, 0x1.0e227e2853cfp-11, 0x1.07e7c3bad17d7p-11, 0x1.01d6a94fb0a0bp-11, 0x1.f7db56e094e0ep-12, 0x1.ec56a81d0187cp-12, 0x1.e11c744fa41ccp-12, 0x1.d62a02d46c0cbp-12, 0x1.cb7cb3b57f2b6p-12, 0x1.c111fefbff98ap-12, 0x1.b6e774044eb65p-12, 0x1.acfab8d5ba44p-12, 0x1.a349897d9a62p-12, 0x1.99d1b76dc576cp-12, 0x1.909128de5e767p-12, 0x1.8785d832eeb17p-12, 0x1.7eadd362bfe66p-12, 0x1.76073b6471a39p-12, 0x1.6d90439cb7f4fp-12, 0x1.65473150476b5p-12, 0x1.5d2a5b18d21e2p-12, 0x1.5538285d1d4fp-12, 0x1.4d6f10cc17d11p-12, 0x1.45cd9bdaeef42p-12, 0x1.3e5260461555dp-12, 0x1.36fc03953058ap-12, 0x1.2fc939a1e2565p-12, 0x1.28b8c42167a7p-12, 0x1.21c97230fc1fcp-12, 0x1.1afa1fe4fce11p-12, 0x1.1449b5dabf3f9p-12, 0x1.0db728cd0d778p-12, 0x1.0741792b43504p-12, 0x1.00e7b2b2fda01p-12, 0x1.f551d818a92ap-13, 0x1.e9088cd12032ep-13, 0x1.dcf1da46a9f35p-13, 0x1.d10c2acc7442ep-13, 0x1.c555fb9d78116p-13, 0x1.b9cddc2d0c684p-13, 0x1.ae726d7c11c32p-13, 0x1.a3426172971f4p-13, 0x1.983c7a3df2749p-13, 0x1.8d5f89b32c2a4p-13, 0x1.82aa70b5b39fdp-13, 0x1.781c1ea240dcdp-13, 0x1.6db390bdd24bbp-13, 0x1.636fd1a8b394ap-13, 0x1.594ff8d579c77p-13, 0x1.4f532a03e1eb4p-13, 0x1.457894bf7b6d9p-13, 0x1.3bbf73e20e3c8p-13, 0x1.32270d19a99fbp-13, 0x1.28aeb0724b9aep-13, 0x1.1f55b7e303204p-13, 0x1.161b86de8b457p-13, 0x1.0cff89e73ff4dp-13, 0x1.040136265f7eep-13, 0x1.f640120d11aa3p-14, 0x1.e4b70fa2b89f1p-14, 0x1.d3667ea07c2ccp-14, 0x1.c24d86e02c503p-14, 0x1.b16b5dd00d8f6p-14, 0x1.a0bf45c614be7p-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.d00a6fff7e36cp-3, -0x1.e6cf0314f6329p-3, -0x1.fd701f0dac32dp-3, -0x1.09f4cad50af8ap-2, -0x1.151b9c94dacb6p-2, -0x1.202a70c5b66f4p-2, -0x1.2b1f38a4dcb45p-2, -0x1.35f7ecccf2456p-2, -0x1.40b28f1ac94b2p-2, -0x1.4b4d2c5b1f09bp-2, -0x1.55c5ddc51be0ep-2, -0x1.601aca4545112p-2, -0x1.6a4a279c85f94p-2, -0x1.74523b56bd556p-2, -0x1.7e315b9c1f512p-2, -0x1.87e5efe083323p-2, -0x1.916e71739031p-2, -0x1.9ac96bf47ff32p-2, -0x1.a3f57dac018fbp-2, -0x1.acf157ce9dcffp-2, -0x1.b5bbbea9c8947p-2, -0x1.be5389bda180fp-2, -0x1.c6b7a3c544332p-2, -0x1.cee70aaf57e88p-2, -0x1.d6e0cf8871debp-2, -0x1.dea41658ba8d6p-2, -0x1.e63015f6270e6p-2, -0x1.ed8417cc77ec2p-2, -0x1.f49f779c1ebc5p-2, -0x1.fb81a33107d91p-2, -0x1.01150d091b14ap-1, -0x1.044c369587886p-1, -0x1.07661f37892a7p-1, -0x1.0a62a03c5ff5p-1, -0x1.0d419b1226503p-1, -0x1.1002f9135c13cp-1, -0x1.12a6ab50ef299p-1, -0x1.152caa5afc18ap-1, -0x1.1794f608819f2p-1, -0x1.19df953e41a19p-1, -0x1.1c0c95b4fafa3p-1, -0x1.1e1c0bbf2e131p-1, -0x1.200e120e9336bp-1, -0x1.21e2c97968db8p-1, -0x1.239a58bfbdc17p-1, -0x1.2534ec50d6c4fp-1, -0x1.26b2b610cb72ep-1, -0x1.2813ed1e769dfp-1, -0x1.2958cd99d2b3cp-1, -0x1.2a81986ad6b76p-1, -0x1.2b8e9308e8531p-1, -0x1.2c800742f81edp-1, -0x1.2d56430853c2cp-1, -0x1.2e11983241c01p-1, -0x1.2eb25c4e71363p-1, -0x1.2f38e86a4ad64p-1, -0x1.2fa598df2f1cbp-1, -0x1.2ff8cd1fa7f94p-1, -0x1.3032e78599fe5p-1, -0x1.30544d217b069p-1, -0x1.305d658a94796p-1, -0x1.304e9ab05595p-1, -0x1.302858acbe889p-1, -0x1.2feb0d97e37e1p-1, -0x1.2f97295c8ca2cp-1, -0x1.2f2d1d8df6093p-1, -0x1.2ead5d3eb1284p-1, -0x1.2e185cd8a7f69p-1, -0x1.2d6e91f6439d1p-1, -0x1.2cb0733cb48dap-1, -0x1.2bde78375fbb1p-1, -0x1.2af919346be3ap-1, -0x1.2a00cf226e7d5p-1, -0x1.28f6136f3aaf2p-1, -0x1.27d95fe7c9538p-1, -0x1.26ab2e993df92p-1, -0x1.256bf9b302b99p-1, -0x1.241c3b69f923ap-1, -0x1.22bc6ddcbd5ddp-1, -0x1.214d0af8f6e27p-1, -0x1.1fce8c61b4da2p-1, -0x1.1e416b56d0cf4p-1, -0x1.1ca6209d546bfp-1, -0x1.1afd2468def7fp-1, -0x1.1946ee46046c8p-1, -0x1.1783f505a3b4ap-1, -0x1.15b4aea92e60bp-1, -0x1.13d9904fdd301p-1, -0x1.11f30e24cdeb5p-1, -0x1.10019b4e0510dp-1, -0x1.0e05a9dc4dd28p-1, -0x1.0bffaabbf552dp-1, -0x1.09f00da65abe7p-1, -0x1.07d741144f354p-1, -0x1.05b5b23143167p-1, -0x1.038bcccf381d2p-1, -0x1.0159fb5b7651ap-1, -0x1.fe414da7fae0dp-2, -0x1.f9c06d7b5bdd5p-2, -0x1.f532223649febp-2, -0x1.f09734c88f45cp-2, -0x1.ebf06afcea8f8p-2, -0x1.e73e876ac0732p-2, -0x1.e282496909394p-2, -0x1.ddbc6d027786ap-2, -0x1.d8edaaeac6233p-2, -0x1.d416b8752ff0ap-2, -0x1.cf38478bf96fdp-2, -0x1.ca5306a912df9p-2, -0x1.c567a0cfbac2p-2, -0x1.c076bd8725311p-2, -0x1.bb8100d615873p-2, -0x1.b6870b3f65f7dp-2, -0x1.b18979bf752bep-2, -0x1.ac88e5ca6e73fp-2, -0x1.a785e54b689a5p-2, -0x1.a2810aa44e936p-2, -0x1.9d7ae4ae8e88dp-2, -0x1.9873febc819bep-2, -0x1.936ce09b8db1dp-2, -0x1.8e660e96edefap-2, -0x1.8960097b287e2p-2, -0x1.845b4e9a1ab82p-2, -0x1.7f5857cfa33c2p-2, -0x1.7a579b86da0dp-2, -0x1.75598cbfd1798p-2, -0x1.705e9b15daf55p-2, -0x1.6b6732c649babp-2, -0x1.6673bcb7aa68fp-2, -0x1.61849e8169e86p-2, -0x1.5c9a3a73e87fp-2, -0x1.57b4efa0f04b2p-2, -0x1.52d519e487a8cp-2, -0x1.4dfb11ee2144ep-2, -0x1.49272d4a1bcbbp-2, -0x1.4459be6b8fdf6p-2, -0x1.3f9314b66a259p-2, -0x1.3ad37c89c438ap-2, -0x1.361b3f4a81c4dp-2, -0x1.316aa36e250f5p-2, -0x1.2cc1ec85d925ep-2, -0x1.28215b49ae30fp-2, -0x1.23892da403135p-2, -0x1.1ef99ebd170efp-2, -0x1.1a72e706be992p-2, -0x1.15f53c483d911p-2, -0x1.1180d1aa39a67p-2, -0x1.0d15d7c2c723ap-2, -0x1.08b47ca18e58fp-2, -0x1.045cebdbff8b8p-2, -0x1.000f4e9998ecp-2, -0x1.f797974069d13p-3, -0x1.ef250ec0ce05fp-3, -0x1.e6c74803aea76p-3, -0x1.de7e82df4cd2dp-3, -0x1.d64afac99ecb2p-3, -0x1.ce2ce6f1118e3p-3, -0x1.c6247a5539b49p-3, -0x1.be31e3df828e5p-3, -0x1.b6554e7bbcb46p-3, -0x1.ae8ee1309da5dp-3, -0x1.a6debf381d16fp-3, -0x1.9f450817bd249p-3, -0x1.97c1d7b8a144ap-3, -0x1.9055467f83cap-3, -0x1.88ff69648839dp-3, -0x1.81c0520acf2c1p-3, -0x1.7a980ed7e8bffp-3, -0x1.7386ab0b097d8p-3, -0x1.6c8c2ed407cccp-3, -0x1.65a89f6a282bp-3, -0x1.5edbff22a3018p-3, -0x1.58264d86f14fap-3, -0x1.5187876ad91ecp-3, -0x1.4affa70234791p-3, -0x1.448ea3f67201ap-3, -0x1.3e34737bd7faap-3, -0x1.37f1086672d91p-3, -0x1.31c4533ec1e19p-3, -0x1.2bae4256181ep-3, -0x1.25aec1daae2a8p-3, -0x1.1fc5bbeb65b83p-3, -0x1.19f318ab45d11p-3, -0x1.1436be549ba1p-3, -0x1.0e90914bd5c16p-3, -0x1.0900743204eb5p-3, -0x1.038647f714892p-3, -0x1.fc43d7d74dd7bp-4, -0x1.f1a67ba54d792p-4, -0x1.e73433e4ff2cap-4, -0x1.dcecb64c045ep-4, -0x1.d2cfb5d9fd3a1p-4, -0x1.c8dce2f8f4acfp-4, -0x1.bf13eb9d486f6p-4, -0x1.b5747b64c33fdp-4, -0x1.abfe3bb5332afp-4, -0x1.a2b0d3da3acb1p-4, -0x1.998be9228eef3p-4, -0x1.908f1efc82662p-4, -0x1.87ba1711f0d1dp-4, -0x1.7f0c7163811f8p-4, -0x1.7685cc6344eacp-4, -0x1.6e25c50eb418fp-4, -0x1.65ebf7080532cp-4, -0x1.5dd7fcaee4f2cp-4, -0x1.55e96f388cdc2p-4, -0x1.4e1fe6c73baa9p-4, -0x1.467afa810fc6ap-4, -0x1.3efa40a644cf7p-4, -0x1.379d4ea6d89cep-4, -0x1.3063b93794befp-4, -0x1.294d146682fb1p-4, -0x1.2258f3aec9f77p-4, -0x1.1b86ea0bf83ccp-4, -0x1.14d68a0cbabd4p-4, -0x1.0e4765e50537p-4, -0x1.07d90f7fab35ap-4, -0x1.018b188f6cb17p-4, -0x1.f6ba253ef0d03p-5, -0x1.ea9d1e46cc172p-5, -0x1.debe3f0d535f1p-5, -0x1.d31caa77057dp-5, -0x1.c7b78392d28f5p-5, -0x1.bc8dedb5f5663p-5, -0x1.b19f0c96d1013p-5, -0x1.a6ea0466d659ap-5, -0x1.9c6df9eb76593p-5, -0x1.922a129626522p-5, -0x1.881d749b77acdp-5, -0x1.7e474709497a5p-5, -0x1.74a6b1dc19e7p-5, -0x1.6b3ade13767f5p-5, -0x1.6202f5c597f08p-5, -0x1.58fe24322459dp-5, -0x1.502b95d423145p-5, -0x1.478a787324c3fp-5, -0x1.3f19fb33a4434p-5, -0x1.36d94ea6a010ap-5, -0x1.2ec7a4d879f55p-5, -0x1.26e4315f17f98p-5, -0x1.1f2e29675133cp-5, -0x1.17a4c3c1a618ep-5, -0x1.104738ee4bb14p-5, -0x1.0914c3288f532p-5, -0x1.020c9e718f5e5p-5, -0x1.f65c1134ad635p-6, -0x1.e8f0829ab3982p-6, -0x1.dbd5142eb0d38p-6, -0x1.cf084cdf5a3adp-6, -0x1.c288b7800e0e5p-6, -0x1.b654e2d73559dp-6, -0x1.aa6b61ab8ac4cp-6, -0x1.9ecacad058cafp-6, -0x1.9371b930b5b57p-6, -0x1.885ecbd9bd52p-6, -0x1.7d90a603dc1ep-6, -0x1.7305ef1b26f72p-6, -0x1.68bd52c6cece3p-6, -0x1.5eb580efb3df3p-6, -0x1.54ed2dc61ec52p-6, -0x1.4b6311c6ab5fcp-6, -0x1.4215e9be62ba6p-6, -0x1.390476ce16f38p-6, -0x1.302d7e6cfad1p-6, -0x1.278fca6a852efp-6, -0x1.1f2a28efa5368p-6, -0x1.16fb6c7f43244p-6, -0x1.0f026bf627a79p-6, -0x1.073e028a38f64p-6, -0x1.ff5a1f9250a7p-7, -0x1.f09cef2d05551p-7, -0x1.e242445276ebap-7, -0x1.d447f81155d33p-7, -0x1.c6abec121547ap-7, -0x1.b96c0a8ee5fc6p-7, -0x1.ac86464ac5b7bp-7, -0x1.9ff89a87a3e6dp-7, -0x1.93c10afba66b9p-7, -0x1.87dda3c5a529p-7, -0x1.7c4c7960d2754p-7, -0x1.710ba897a85c5p-7, -0x1.66195676167c7p-7, -0x1.5b73b03b1241ap-7, -0x1.5118eb496bf37p-7, -0x1.4707451818fddp-7, -0x1.3d3d0321da8ccp-7, -0x1.33b872d4606d2p-7, -0x1.2a77e97ee248ep-7, -0x1.2179c4403b5a2p-7, -0x1.18bc67f490519p-7, -0x1.103e412285129p-7, -0x1.07fdc3e80afd5p-7, -0x1.fff2d7cd996b7p-8, -0x1.f05f78607fadep-8, -0x1.e13e7e62c34ccp-8, -0x1.d28d0d3c4b9c2p-8, -0x1.c44856b938a91p-8, -0x1.b66d9adfabb62p-8, -0x1.a8fa27c5161f4p-8, -0x1.9beb596319e6fp-8, -0x1.8f3e996c0656bp-8, -0x1.82f15f1efc85fp-8, -0x1.77012f1bc3a86p-8, -0x1.6b6b9b3658f6p-8, -0x1.602e424a430f3p-8, -0x1.5546d00db26e2p-8, -0x1.4ab2fce4782fbp-8, -0x1.40708db2dacd9p-8, -0x1.367d53b0513acp-8, -0x1.2cd72c3a2d1d3p-8, -0x1.237c00a63a0c8p-8, -0x1.1a69c6155b68dp-8, -0x1.119e7d462d023p-8, -0x1.09183267afda4p-8, -0x1.00d4fcec08e9dp-8, -0x1.f1a5feb6ac45ep-9, -0x1.e220ce4d45f28p-9, -0x1.d316d8f60153dp-9, -0x1.c484a42989963p-9, -0x1.b666ca25f6bcdp-9, -0x1.a8b9f9960cf84p-9, -0x1.9b7af538f7d7p-9, -0x1.8ea6938a757cdp-9, -0x1.8239be6b8a15bp-9, -0x1.763172cbc0061p-9, -0x1.6a8ac052f206ap-9, -0x1.5f42c90bbac2dp-9, -0x1.5456c10e7e25cp-9, -0x1.49c3ee2d200b9p-9, -0x1.3f87a79f63d5p-9, -0x1.359f55b009213p-9, -0x1.2c08716a9b8cep-9, -0x1.22c0844a0899bp-9, -0x1.19c527e7f34c6p-9, -0x1.111405acdc968p-9, -0x1.08aad6810d67cp-9, -0x1.0087627e5e8dp-9, -0x1.f14f01459c118p-10, -0x1.e2122d07e8f4p-10, -0x1.d3543006a9dfp-10, -0x1.c5110e071992p-10, -0x1.b744e63ccf2e1p-10, -0x1.a9ebf2b7acd29p-10, -0x1.9d0287d3a5fa8p-10, -0x1.908513aa5137dp-10, -0x1.84701d86550fdp-10, -0x1.78c04558ac983p-10, -0x1.6d72432fcf16fp-10, -0x1.6282e6b0af627p-10, -0x1.57ef1691a506ap-10, -0x1.4db3d01731aa5p-10, -0x1.43ce2692af19ep-10, -0x1.3a3b42e2de132p-10, -0x1.30f862f666b7ep-10, -0x1.2802d9502d5fbp-10, -0x1.1f580c8d9a306p-10, -0x1.16f576eec5f8fp-10, -0x1.0ed8a5e086af8p-10, -0x1.06ff39885ef19p-10, -0x1.fecdc8a4b58bfp-11, -0x1.f01ad5018431ap-11, -0x1.e1e1437b612eep-11, -0x1.d41ce15d14821p-11, -0x1.c6c99d1297c4ap-11, -0x1.b9e3855767c36p-11, -0x1.ad66c86884b22p-11, -0x1.a14fb33a18dd6p-11, -0x1.959ab0b0c2b51p-11, -0x1.8a4448de78bap-11, -0x1.7f49204302cd5p-11, -0x1.74a5f710025aap-11, -0x1.6a57a8707fad6p-11, -0x1.605b29d3f7f13p-11, -0x1.56ad8a3ce1f45p-11, -0x1.4d4bf192a397cp-11, -0x1.44339ff6ece4fp-11, -0x1.3b61ed1e73d3bp-11, -0x1.32d447ad050c5p-11, -0x1.2a883494e2a93p-11, -0x1.227b4e7967f77p-11, -0x1.1aab4514e6b9cp-11, -0x1.1315dca1b8f9dp-11, -0x1.0bb8ed4678179p-11, -0x1.0492628555f09p-11, -0x1.fb40755d120f4p-12, -0x1.edc10cab88f25p-12, -0x1.e0a2cf95641a9p-12, -0x1.d3e22528c563p-12, -0x1.c77b95df59984p-12, -0x1.bb6bcaa0db33cp-12, -0x1.afaf8bcb48423p-12, -0x1.a443c040b2aeap-12, -0x1.99256c7a9e577p-12, -0x1.8e51b1a2cd664p-12, -0x1.83c5ccb17101bp-12, -0x1.797f1590a2e1bp-12, -0x1.6f7afe45154d5p-12, -0x1.65b7121be3e63p-12, -0x1.5c30f4dd72c92p-12, -0x1.52e6620541e55p-12, -0x1.49d52bfea9483p-12, -0x1.40fb3b665f4a8p-12, -0x1.38568e50b94e8p-12, -0x1.2fe5379495f27p-12, -0x1.27a55e1ad2fep-12, -0x1.1f953c324608dp-12, -0x1.17b31ee816866p-12, -0x1.0ffd656473cfep-12, -0x1.0872804b888c4p-12, -0x1.0110f12297a54p-12, -0x1.f3ae937270dcep-13, -0x1.e588572d25d3ap-13, -0x1.d7ac8ed521d2ap-13, -0x1.ca18b905d941p-13, -0x1.bcca70881547cp-13, -0x1.afbf6b4b1aa29p-13, -0x1.a2f5796519d5ap-13, -0x1.966a841ac8597p-13, -0x1.8a1c8cedf69c1p-13, -0x1.7e09acb306e9dp-13, -0x1.723012ad1d9d5p-13, -0x1.668e03b0e2f3cp-13, -0x1.5b21d94db6197p-13, -0x1.4fea00fd3668bp-13, -0x1.44e4fb58ef834p-13, -0x1.3a115b56155d4p-13, -0x1.2f6dc58727affp-13, -0x1.24f8ef635b818p-13, -0x1.1ab19e93ac21fp-13, -0x1.1096a845707bep-13, -0x1.06a6f0825c685p-13, -0x1.f9c2d31b7ac0cp-14, -0x1.e68a268dd6b46p-14, -0x1.d3a1f52173229p-14, -0x1.c108717ba8a2dp-14, -0x1.aebbe603dde16p-14, -0x1.9cbab3cf367b8p-14, -0x1.8b03519573fb2p-14, -0x1.79944aaeba951p-14, -0x1.686c3e1a0ec92p-14, -0x1.5789dd8c4fbap-14, -0x1.46ebec8779a2bp-14, -0x1.36913f79fa5dcp-14, -0x1.2678bae5e3ef5p-14, -0x1.16a1528fca168p-14, -0x1.070a08b517eb2p-14, -0x1.ef63da9356e6fp-15, -0x1.d1303a790f452p-15, -0x1.b3778386d66cp-15, -0x1.96381f5a3d61p-15, -0x1.79708d7495931p-15, -0x1.5d1f61f95320ap-15, -0x1.41434478cd52ep-15, -0x1.25daeec703999p-15, -0x1.0ae52bde14e0ep-15, -0x1.e0c1ad98213fap-16, -0x1.ac99b357a90d4p-16, -0x1.79505951415e2p-16, -0x1.46e3aa1831a21p-16, -0x1.1551c8acc162p-16, -0x1.c931dd802a961p-17, -0x1.696ed6162813bp-17, -0x1.0b573f6f9e31cp-17, -0x1.5dd003735004ep-18, -0x1.5078984ef7961p-19, 0x1.424b0d4aac3c3p-23, 0x1.7242c92b73306p-19, 0x1.64f620a4f5c23p-18, 0x1.06cad3d2713f7p-17, 0x1.598275fabf6f9p-17, 0x1.aaa45dd086f04p-17, 0x1.fa32e23dd33cfp-17, 0x1.2418260340f49p-16, 0x1.4a4f6bd19609ap-16, 0x1.6fc05b817654cp-16, 0x1.946c099a75fbcp-16, 0x1.b85386fd35327p-16, 0x1.db77e1a119edep-16, 0x1.fdda254713abdp-16, 0x1.0fbdae10f0192p-15, 0x1.202e47ba0bf37p-15, 0x1.303f64123a272p-15, 0x1.3ff187a450b4dp-15, 0x1.4f45375379a5ap-15, 0x1.5e3af897adb2dp-15, 0x1.6cd351b5f557fp-15, 0x1.7b0ec9f49ad2cp-15, 0x1.88ede9cb78a96p-15, 0x1.96713b1083b31p-15, 0x1.a3994920be082p-15, 0x1.b066a105b3478p-15, 0x1.bcd9d197a3a8fp-15, 0x1.c8f36b9c812afp-15, 0x1.d4b401e3dd211p-15, 0x1.e01c295fed0acp-15, 0x1.eb2c793bc1b87p-15, 0x1.f5e58aeed073ep-15, 0x1.0023fd26f7a87p-14, 0x1.052a32ccefd64p-14, 0x1.0a05b6c5c036dp-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.7a2ca95b2035ap-1, 0x1.7a24f79f88945p-1, 0x1.7a18ae5c98b6p-1, 0x1.7a0729e7598d9p-1, 0x1.79efc761437cep-1, 0x1.79d1e5dba9f47p-1, 0x1.79ace75a61ccep-1, 0x1.798031b745ed5p-1, 0x1.794b2f687145ep-1, 0x1.790d502b2266cp-1, 0x1.78c6099548a12p-1, 0x1.7874d78fb78ddp-1, 0x1.78193cbaf73ap-1, 0x1.77b2c2c09026cp-1, 0x1.7740fa92a3f9p-1, 0x1.76c37c9b84f15p-1, 0x1.7639e8dee2fd9p-1, 0x1.75a3e70e124bep-1, 0x1.75012690c57f8p-1, 0x1.74515e8389c8dp-1, 0x1.73944dad2c339p-1, 0x1.72c9ba6c1faa7p-1, 0x1.71f1729cdbf5dp-1, 0x1.710b4b7a1e5d3p-1, 0x1.70172177d9f72p-1, 0x1.6f14d819956ffp-1, 0x1.6e0459c4e38dcp-1, 0x1.6ce597908df65p-1, 0x1.6bb88910ff63cp-1, 0x1.6a7d2c226b10cp-1, 0x1.693384b123b5dp-1, 0x1.67db9c8084631p-1, 0x1.667582f0c91d3p-1, 0x1.65014cc428d2cp-1, 0x1.637f13e377074p-1, 0x1.61eef72291d24p-1, 0x1.60511a04d361cp-1, 0x1.5ea5a481bc01cp-1, 0x1.5cecc2ca00a17p-1, 0x1.5b26a50d2ab42p-1, 0x1.59537f3fe5cbp-1, 0x1.577388e3212b4p-1, 0x1.5586fccc1d90fp-1, 0x1.538e18ed7d54cp-1, 0x1.51891e2170058p-1, 0x1.4f784ff505c73p-1, 0x1.4d5bf474be78ap-1, 0x1.4b3453fa5da6p-1, 0x1.4901b8fc0f5e1p-1, 0x1.46c46fdce59ecp-1, 0x1.447cc6beb560cp-1, 0x1.422b0d555932ep-1, 0x1.3fcf94bb5a7eep-1, 0x1.3d6aaf4806f69p-1, 0x1.3afcb066f09f1p-1, 0x1.3885ec70d994ap-1, 0x1.3606b8860addp-1, 0x1.337f6a6a13ddbp-1, 0x1.30f05860f00b1p-1, 0x1.2e59d90d8f4aap-1, 0x1.2bbc4351bed7p-1, 0x1.2917ee2f6a10bp-1, 0x1.266d30ab3303fp-1, 0x1.23bc61b05ab98p-1, 0x1.2105d7f5f399ap-1, 0x1.1e49e9e558631p-1, 0x1.1b88ed81e0026p-1, 0x1.18c33851cbdffp-1, 0x1.15f91f4861af2p-1, 0x1.132af6b134445p-1, 0x1.1059121c89a13p-1, 0x1.0d83c44ce06b3p-1, 0x1.0aab5f25852dbp-1, 0x1.07d0339a38128p-1, 0x1.04f2919fd3728p-1, 0x1.0212c81df33f1p-1, 0x1.fe6249c31e616p-2, 0x1.f89be9210f77fp-2, 0x1.f2d3053c2a2a9p-2, 0x1.ed083280355e8p-2, 0x1.e73c02caa00e7p-2, 0x1.e16f0558798adp-2, 0x1.dba1c6b5fad3ap-2, 0x1.d5d4d0af97d06p-2, 0x1.d008aa448a52dp-2, 0x1.ca3dd79ac38ap-2, 0x1.c474d9f43e2f5p-2, 0x1.beae2fa59e82bp-2, 0x1.b8ea540e1669dp-2, 0x1.b329bf907c8b7p-2, 0x1.ad6ce78d90ae3p-2, 0x1.a7b43e5f5bc4bp-2, 0x1.a20033559e034p-2, 0x1.9c5132b3469a8p-2, 0x1.96a7a5ace30dbp-2, 0x1.9103f267fdca3p-2, 0x1.8b667bfb5fafbp-2, 0x1.85cfa27029f9dp-2, 0x1.803fc2c3c183cp-2, 0x1.7ab736ea7b8e8p-2, 0x1.753655d305724p-2, 0x1.6fbd736a7f5p-2, 0x1.6a4ce0a13acf3p-2, 0x1.64e4eb701d765p-2, 0x1.5f85dede92d57p-2, 0x1.5a30030910b39p-2, 0x1.54e39d281cfadp-2, 0x1.4fa0ef97d39ffp-2, 0x1.4a6839dfdd914p-2, 0x1.4539b8bbd8addp-2, 0x1.4015a62425548p-2, 0x1.3afc3957112ffp-2, 0x1.35eda6e25c9c7p-2, 0x1.30ea20ad1019p-2, 0x1.2bf1d6019f207p-2, 0x1.2704f3984f2d8p-2, 0x1.2223a3a1dcc2bp-2, 0x1.1d4e0dd25d232p-2, 0x1.1884576c50dd1p-2, 0x1.13c6a34be877dp-2, 0x1.0f1511f26fd5p-2, 0x1.0a6fc191e0469p-2, 0x1.05d6ce18932fep-2, 0x1.014a513d0db88p-2, 0x1.f994c513cf879p-3, 0x1.f0ae2ed381f63p-3, 0x1.e7e1066695e93p-3, 0x1.df2d6e6ab141bp-3, 0x1.d6938585f4f38p-3, 0x1.ce13667f3643dp-3, 0x1.c5ad285640d41p-3, 0x1.bd60de5c0c5bfp-3, 0x1.b52e984aed1c8p-3, 0x1.ad16625eb55f2p-3, 0x1.a518456cb90c8p-3, 0x1.9d3446fbbfabep-3, 0x1.956a695bcfae6p-3, 0x1.8dbaabbdd92edp-3, 0x1.86250a4b32f3fp-3, 0x1.7ea97e3cf1a02p-3, 0x1.7747fdf30310cp-3, 0x1.70007d0b22285p-3, 0x1.68d2ec7783596p-3, 0x1.61bf3a955292bp-3, 0x1.5ac55342e747ep-3, 0x1.53e51ff5c2d31p-3, 0x1.4d1e87d03eca1p-3, 0x1.46716fb6fa3dp-3, 0x1.3fddba6600963p-3, 0x1.396348859dcb5p-3, 0x1.3301f8beec2fep-3, 0x1.2cb9a7d0107a4p-3, 0x1.268a30a023197p-3, 0x1.20736c52cb429p-3, 0x1.1a75325b874e6p-3, 0x1.148f589098bb9p-3, 0x1.0ec1b33da64e1p-3, 0x1.090c1535fba99p-3, 0x1.036e4fe67b84dp-3, 0x1.fbd066ce65ba2p-4, 0x1.f0f31d192daebp-4, 0x1.e6445df0d557p-4, 0x1.dbc3c2548ee24p-4, 0x1.d170e11f9ef67p-4, 0x1.c74b4f2908ed4p-4, 0x1.bd529f628eaa2p-4, 0x1.b38662f6eeec2p-4, 0x1.a9e629678389bp-4, 0x1.a07180a91e282p-4, 0x1.9727f54034daep-4, 0x1.8e09125c630ecp-4, 0x1.851461f3348eap-4, 0x1.7c496cda428b4p-4, 0x1.73a7bae0a08a3p-4, 0x1.6b2ed2e79d473p-4, 0x1.62de3afad701ap-4, 0x1.5ab57867a49dfp-4, 0x1.52b40fd3d55cfp-4, 0x1.4ad98553cadbdp-4, 0x1.43255c7fe9d71p-4, 0x1.3b9718896a7ccp-4, 0x1.342e3c4e83e81p-4, 0x1.2cea4a6df8944p-4, 0x1.25cac55a044e6p-4, 0x1.1ecf2f6aadc17p-4, 0x1.17f70aef7e42p-4, 0x1.1141da40a1f3fp-4, 0x1.0aaf1fcf70d28p-4, 0x1.043e5e36671d2p-4, 0x1.fbde309111debp-5, 0x1.ef81a24076173p-5, 0x1.e366185b18e52p-5, 0x1.d78a9a87ed85p-5, 0x1.cbee314f2f4ffp-5, 0x1.c08fe633c9365p-5, 0x1.b56ec3cbb7cf1p-5, 0x1.aa89d5d76caacp-5, 0x1.9fe0295832906p-5, 0x1.9570cca5a0b71p-5, 0x1.8b3acf82175b5p-5, 0x1.813d432e530e1p-5, 0x1.77773a7c1826dp-5, 0x1.6de7c9dffa37p-5, 0x1.648e078248fe9p-5, 0x1.5b690b4f21794p-5, 0x1.5277ef05ae48p-5, 0x1.49b9ce4698831p-5, 0x1.412dc6a1ade2dp-5, 0x1.38d2f7a2c4575p-5, 0x1.30a882dddc75bp-5, 0x1.28ad8bfa87a93p-5, 0x1.20e138be9c01ep-5, 0x1.1942b11831c1fp-5, 0x1.11d11f26f6fa5p-5, 0x1.0a8baf44daf8ap-5, 0x1.0371900e14b19p-5, 0x1.f903e4d11662ap-6, 0x1.eb78131549472p-6, 0x1.de3e1602f7eaap-6, 0x1.d1545d6d1209dp-6, 0x1.c4b95de9706dcp-6, 0x1.b86b90d9f7466p-6, 0x1.ac697474a8e51p-6, 0x1.a0b18bcabdf4bp-6, 0x1.95425ecec05d1p-6, 0x1.8a1a7a59b6e6p-6, 0x1.7f38702f67ee6p-6, 0x1.749ad701b770ap-6, 0x1.6a404a7331ebbp-6, 0x1.60276b18c2c9p-6, 0x1.564ede7a9bdfbp-6, 0x1.4cb54f145ef91p-6, 0x1.43596c548c26fp-6, 0x1.3a39ea9b3653cp-6, 0x1.315583380c1f8p-6, 0x1.28aaf467b9f6ep-6, 0x1.20390150ab04fp-6, 0x1.17fe71ff2ea1bp-6, 0x1.0ffa13610cca1p-6, 0x1.082ab74088eeep-6, 0x1.008f343edcf3ap-6, 0x1.f24ccb9c76492p-7, 0x1.e3de58568c818p-7, 0x1.d5d0d8ac3bb38p-7, 0x1.c8222015fp-7, 0x1.bad00b7493486p-7, 0x1.add8810126fb4p-7, 0x1.a139703b82549p-7, 0x1.94f0d1d872fd8p-7, 0x1.88fca7af18a3dp-7, 0x1.7d5afca5af9bep-7, 0x1.7209e49dae66ep-7, 0x1.67077c5f5d861p-7, 0x1.5c51e984e3f9p-7, 0x1.51e75a64c868p-7, 0x1.47c605fc0cf92p-7, 0x1.3dec2bd7c64a6p-7, 0x1.345813fe55adp-7, 0x1.2b080ed840282p-7, 0x1.21fa7518a8e09p-7, 0x1.192da7a57bb4bp-7, 0x1.10a00f7f4a941p-7, 0x1.08501da8e604fp-7, 0x1.003c4b0eb7bd8p-7, 0x1.f0c630dbc8c23p-8, 0x1.e1861c76768ebp-8, 0x1.d2b57913f4b4fp-8, 0x1.c45175e4d5627p-8, 0x1.b65750f0b904fp-8, 0x1.a8c456e30fdep-8, 0x1.9b95e2d7ab753p-8, 0x1.8ec95e272ed2cp-8, 0x1.825c4033648dep-8, 0x1.764c0e3382d68p-8, 0x1.6a965b0069963p-8, 0x1.5f38c6e0dee0cp-8, 0x1.5430ff55d4f6cp-8, 0x1.497cbee6c2039p-8, 0x1.3f19ccee0d87ep-8, 0x1.3505fd659eb31p-8, 0x1.2b3f30b3902c2p-8, 0x1.21c353770fc3bp-8, 0x1.18905e5573108p-8, 0x1.0fa455c78337dp-8, 0x1.06fd49e708524p-8, 0x1.fd32ac7930bdbp-9, 0x1.eced431b619ap-9, 0x1.dd26bb563add4p-9, 0x1.cddb8e7f66064p-9, 0x1.bf084b3ec3294p-9, 0x1.b0a9952d452f4p-9, 0x1.a2bc24748bccdp-9, 0x1.953cc56f49421p-9, 0x1.8828584a73548p-9, 0x1.7b7bd0a74b54ep-9, 0x1.6f34353e40018p-9, 0x1.634e9f82b1b6dp-9, 0x1.57c83b47a04p-9, 0x1.4c9e466542474p-9, 0x1.41ce105f8ed76p-9, 0x1.3754fa0dbbc01p-9, 0x1.2d307542b79cep-9, 0x1.235e0476a0109p-9, 0x1.19db3a713b85p-9, 0x1.10a5b9f5715f9p-9, 0x1.07bb356dd21c8p-9, 0x1.fe32dd3442803p-10, 0x1.ed7c6c7be3fddp-10, 0x1.dd4ed7a096b98p-10, 0x1.cda5fa58c8292p-10, 0x1.be7dcc86d06d4p-10, 0x1.afd2619eb1a17p-10, 0x1.a19fe80df5dbp-10, 0x1.93e2a8a5b719ap-10, 0x1.86970606dc6b5p-10, 0x1.79b97c10725ecp-10, 0x1.6d469f503e4acp-10, 0x1.613b1c757946p-10, 0x1.5593b7c5b1bp-10, 0x1.4a4d4c93e42dfp-10, 0x1.3f64ccb9b2364p-10, 0x1.34d74012ccafcp-10, 0x1.2aa1c3fa7f804p-10, 0x1.20c18acb65ec2p-10, 0x1.1733db614586ep-10, 0x1.0df6109d0110ep-10, 0x1.050598eab64a8p-10, 0x1.f8bfeb93df4ccp-11, 0x1.e80576afdf6f4p-11, 0x1.d7d71fb8274c2p-11, 0x1.c83056ac8e4bep-11, 0x1.b90cae1f09882p-11, 0x1.aa67da58c3ee3p-11, 0x1.9c3db08340a15p-11, 0x1.8e8a25d57ff61p-11, 0x1.81494ec5200abp-11, 0x1.74775e3b6d478p-11, 0x1.6810a4ce5b589p-11, 0x1.5c118ffd5b98bp-11, 0x1.5076a97206912p-11, 0x1.453c964490e67p-11, 0x1.3a601643fedd1p-11, 0x1.2fde03420af8fp-11, 0x1.25b35062b96aap-11, 0x1.1bdd096f884ccp-11, 0x1.1258522e34968p-11, 0x1.092265bb07614p-11, 0x1.003895e6a1d16p-11, 0x1.ef30952e718d8p-12, 0x1.de7e025a723f8p-12, 0x1.ce5497d68a09bp-12, 0x1.beafa2c302eb1p-12, 0x1.af8a97b84cb23p-12, 0x1.a0e111aa8e573p-12, 0x1.92aed0d389edbp-12, 0x1.84efb9a2c61ecp-12, 0x1.779fd3b3db655p-12, 0x1.6abb48cad1addp-12, 0x1.5e3e63d6767bcp-12, 0x1.52258ff893434p-12, 0x1.466d5793eb30bp-12, 0x1.3b12635feba86p-12, 0x1.30117981f1506p-12, 0x1.25677cac13af3p-12, 0x1.1b116b41543e4p-12, 0x1.110c5e7f25aep-12, 0x1.075589ac283aap-12, 0x1.fbd472981a37ep-13, 0x1.e98fa4b106abap-13, 0x1.d7d7a2fe399bap-13, 0x1.c6a794c81af09p-13, 0x1.b5facdd36c66fp-13, 0x1.a5ccccf9ba4a3p-13, 0x1.96193acb05df1p-13, 0x1.86dbe8387459ap-13, 0x1.7810cd47df3e6p-13, 0x1.69b407d012d69p-13, 0x1.5bc1da3d90626p-13, 0x1.4e36aa5fad4ebp-13, 0x1.410f003de5172p-13, 0x1.344784f52d334p-13, 0x1.27dd019d27052p-13, 0x1.1bcc5e350742fp-13, 0x1.1012a09806b79p-13, 0x1.04aceb793686ap-13, 0x1.f330facd1ed63p-14, 0x1.dda55fa6289d6p-14, 0x1.c8b1ec4fca343p-14, 0x1.b451b9b823ffap-14, 0x1.a080112636599p-14, 0x1.8d386a83bee01p-14, 0x1.7a766ab3d8dc7p-14, 0x1.6835e1f5fa12ep-14, 0x1.5672ca5512279p-14, 0x1.4529462280c19p-14, 0x1.34559e7ca135ap-14, 0x1.23f441e0a2394p-14, 0x1.1401c2c76cb9bp-14, 0x1.047ad64d51c9bp-14, 0x1.eab8a5c88357ep-15, 0x1.cd465e2097b4dp-15, 0x1.b099005c4e018p-15, 0x1.94aaf28709804p-15, 0x1.7976d3b1e6e2cp-15, 0x1.5ef779ba248aap-15, 0x1.4527ef21b5637p-15, 0x1.2c0370f99467fp-15, 0x1.13856cdd5834ap-15, 0x1.f752fdff4f12cp-16, 0x1.c8d6e08e22b06p-16, 0x1.9b8e68f5cd7ddp-16, 0x1.6f71d0ff54f0fp-16, 0x1.4479a14556427p-16, 0x1.1a9eade8c9022p-16, 0x1.e3b426c518e2fp-17, 0x1.944a66e1dec6cp-17, 0x1.46f364410003bp-17, 0x1.f745cbbd6519cp-18, 0x1.649a58290a9bdp-18, 0x1.ab9bad170fffcp-19, 0x1.2b2a35e543e2fp-20, -0x1.e42344905fd92p-21, -0x1.80664d7ceaacep-19, -0x1.4055070839eb8p-18, -0x1.bcfcab19fdc86p-18, -0x1.1b1e0269098c2p-17, -0x1.56122f3adf8aap-17, -0x1.8f63314a5ed7cp-17, -0x1.c71911cfb8c63p-17, -0x1.fd3b9198f8561p-17, -0x1.18e916458d21ap-16, -0x1.32720e7fe8fefp-16, -0x1.4b3c2f8085e49p-16, -0x1.634ad9b196fc2p-16, -0x1.7aa1515f958cep-16, -0x1.9142c026af326p-16, -0x1.a732365113b2cp-16, -0x1.bc72ac26a1477p-16, -0x1.d107032e60796p-16, -0x1.e4f2076245053p-16, -0x1.f8367055a93b3p-16, -0x1.056b712774badp-15, -0x1.0e6af7aa4ba0fp-15, -0x1.171b0c174e138p-15, -0x1.1f7ce6ade3a02p-15, -0x1.2791b7fe0be87p-15, -0x1.2f5aa958164b4p-15, -0x1.36d8dd371ceb3p-15, -0x1.3e0d6fa66f651p-15, -0x1.44f976a21985dp-15, -0x1.4b9e0272b2ad1p-15, -0x1.51fc1e04a1d17p-15, -0x1.5814cf3afd6b2p-15, -0x1.5de9173e2fa01p-15, -0x1.6379f2c68933fp-15, -0x1.68c85a62e406cp-15, -0x1.6dd542bb8115p-15, -0x1.72a19cd13f85fp-15, -0x1.772e56395353fp-15, -0x1.7b7c59559f97p-15, -0x1.7f8c8d89d08b3p-15, -0x1.835fd76d595abp-15, -0x1.86f718fa73eecp-15, -0x1.8a5331ba427cap-15, -0x1.8d74feee2c629p-15, -0x1.905d5bb69947bp-15, -0x1.930d21371eac3p-15, -0x1.958526b842dbcp-15, -0x1.97c641c6e9709p-15, -0x1.99d14651846a9p-15, -0x1.9ba706c324e28p-15, -0x1.9d48541c80993p-15, -0x1.9eb5fe0b0148fp-15, -0x1.9ff0d2fdfd118p-15, -0x1.a0f9a03a20485p-15, -0x1.a1d131eb2b9ecp-15, -0x1.a27853340ee89p-15, -0x1.a2efce3d7d554p-15, -0x1.a3386c430813fp-15, -0x1.a352f59ed4486p-15, -0x1.a34031d3feb02p-15, -0x1.a300e797bcd2dp-15, -0x1.a295dcd94adedp-15, -0x1.a1ffd6c8bbd0ap-15, -0x1.a13f99dcb42ecp-15, -0x1.a055e9d72385ap-15, -0x1.9f4389c9082d8p-15, -0x1.9e093c154d321p-15, -0x1.9ca7c272ce414p-15, -0x1.9b1fdded900a2p-15, -0x1.99724ee736c54p-15, -0x1.979fd516cac2cp-15, -0x1.95a92f87d2308p-15, -0x1.938f1c98d0accp-15, -0x1.915259f9303f9p-15, -0x1.8ef3a4a6a44c1p-15, -0x1.8c73b8ea0e693p-15, -0x1.89d35253ea2b1p-15, -0x1.87132bb8529a6p-15, -0x1.8433ff2a9f2fep-15, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      21, 0x1.ce147ae147ae1p+1, 0x1.54392530775f2p+0, 0x1.95ea20f7b0609p+0, -0x1.ea26dbc2f829cp-3, 
      {{
        {0x1.999999999999ap+0, 0x1.b333333333333p+0, 0x1.5f2faec2a5d24p-2, -0x1.8c371dccf9aa2p-1, 0x1.0748d2b46c4f4p-1, 0x1.becf71f507209p-9}, 
        {0x1.b333333333333p+0, 0x1.ccccccccccccdp+0, 0x1.15365e94c8fa2p-2, -0x1.57818c28082c1p-1, 0x1.07ceddbd029e3p-1, -0x1.1741a7392f5d1p-6}, 
        {0x1.ccccccccccccdp+0, 0x1.e666666666666p+0, 0x1.ab8a2da91420bp-3, -0x1.2301988686034p-1, 0x1.0530a69212f95p-1, -0x1.ad3630419d6bcp-4}, 
        {0x1.e666666666666p+0, 0x1p+1, 0x1.415ec97708091p-3, -0x1.e0c16af1d4564p-2, 0x1.ea306fec06f1p-2, -0x1.2d8e8722a4e73p-3}, 
        {0x1p+1, 0x1.0cccccccccccdp+1, 0x1.d57158e716382p-4, -0x1.833db54ea9e6fp-2, 0x1.bcf4a873a167ep-2, -0x1.6c45498734756p-3}, 
        {0x1.0cccccccccccdp+1, 0x1.199999999999ap+1, 0x1.4b9db4279fc7p-4, -0x1.2fb6c6a3ce3f6p-2, 0x1.8650aa38f3231p-2, -0x1.871f843702318p-3}, 
        {0x1.199999999999ap+1, 0x1.2666666666666p+1, 0x1.c1ebee09e238ep-5, -0x1.cf091c8466d33p-3, 0x1.4ba5899719352p-2, -0x1.87f63a85a0bc3p-3}, 
        {0x1.2666666666666p+1, 0x1.3333333333333p+1, 0x1.21abd6e079f4bp-5, -0x1.5622c3659234cp-3, 0x1.10da34030de5fp-2, -0x1.72e198cc5f4e6p-3}, 
        {0x1.3333333333333p+1, 0x1.4p+1, 0x1.5a52bc6036adep-6, -0x1.e83e198d47f8bp-4, 0x1.b270ba2f32679p-3, -0x1.4d8448e2b3f1bp-3}, 
        {0x1.4p+1, 0x1.4cccccccccccdp+1, 0x1.6e39fbd041287p-7, -0x1.4e7a39d9ecaf9p-4, 0x1.4e62a45196052p-3, -0x1.1d17d5a18f1e8p-3}, 
        {0x1.4cccccccccccdp+1, 0x1.599999999999ap+1, 0x1.272b5e50934cep-8, -0x1.b3a8660b165e7p-5, 0x1.f1b6fba8a2f7fp-4, -0x1.cddf90bbeb32dp-4}, 
        {0x1.599999999999ap+1, 0x1.6666666666666p+1, 0x1.2e336b9caea9fp-12, -0x1.0848c780fce49p-5, 0x1.67271d09dc68bp-4, -0x1.60c19ef617e5cp-4}, 
        {0x1.6666666666666p+1, 0x1.7333333333333p+1, -0x1.197067262bb6ap-9, -0x1.1b93be0d60cefp-6, 0x1.faa6dab344153p-5, -0x1.fa841a9da8373p-5}, 
        {0x1.7333333333333p+1, 0x1.8p+1, -0x1.b3573ad52d5ffp-9, -0x1.bd3abf657c1c7p-8, 0x1.62b26c50c4d14p-5, -0x1.5d7ebd56efabbp-5}, 
        {0x1.8p+1, 0x1.8cccccccccccdp+1, -0x1.d93a1f9c67fb2p-9, 0x1.334136ef5d6a8p-11, 0x1.f3b26706f9d4fp-6, -0x1.f43034e72c92p-6}, 
        {0x1.8cccccccccccdp+1, 0x1.999999999999ap+1, -0x1.ad92495cd557ep-9, 0x1.7a2449faf5e01p-8, 0x1.5da3f0c19fa9p-6, -0x1.f4e1a9f6d55efp-6}, 
        {0x1.999999999999ap+1, 0x1.a666666666666p+1, -0x1.49fa994e472e9p-9, 0x1.2adfc7e514666p-7, 0x1.8ec07b88bf4bep-7, -0x1.25d2e6b4576cdp-5}, 
        {0x1.a666666666666p+1, 0x1.b333333333333p+1, -0x1.8e5c56d9fac21p-10, 0x1.575d9bf507357p-7, 0x1.714e68b5e6561p-10, -0x1.5a339fdfcf88p-4}, 
        {0x1.b333333333333p+1, 0x1.cp+1, -0x1.1c43976fee87ep-11, 0x1.0d828a200565fp-7, -0x1.885c3fb467716p-6, -0x1.7db1a01303521p-5}, 
        {0x1.cp+1, 0x1.ccccccccccccdp+1, -0x1.8414783cf2a29p-18, 0x1.0b0cd1e5abedp-9, -0x1.36b036464e518p-5, 0x1.734c5fa44350ep-3}, 
        {0x1.ccccccccccccdp+1, 0x1.ce147ae147ae1p+1, 0x0p+0, -0x1.c85009e90a5c7p-14, 0x1.0dbd45ca6b535p-6, 0x1.96a9e526148a1p+0}, 
      }}, 
      -0x1.787097dca16bcp+8, 0x1.f973873f3cea1p+13
    }
  };
  // clang-format on
}
SkfData params_mio_0_1_c_o() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.2db92ca2a114fp+0, -0x1.1d03423a9c37fp+0, -0x1.0c70a3f655482p+0, -0x1.f81c0d5fa357p-1, -0x1.d7cd3c4678e5dp-1, -0x1.b8080d5221a69p-1, -0x1.98dd7080482efp-1, -0x1.7a5ca2c3cda1bp-1, -0x1.5c92e16a57e89p-1, -0x1.3f8af6a78e8b3p-1, -0x1.234d56c3724e8p-1, -0x1.07e0c04f5baep-1, -0x1.da95a89796585p-2, -0x1.a7208016a3296p-2, -0x1.75690ed26b816p-2, -0x1.45738a06882c9p-2, -0x1.1741492eace89p-2, -0x1.d5a27fb7a86c9p-3, -0x1.80416d40513fdp-3, -0x1.2e57da6ff6bbp-3, -0x1.bfb9c23be2a82p-4, -0x1.299569c8292f5p-4, -0x1.343fb9ab7a279p-5, -0x1.13ba5179ef0d4p-8, 0x1.c4e2c7e280992p-6, 0x1.dac215b894fadp-5, 0x1.63630fbfb9b1cp-4, 0x1.d365ab513d843p-4, 0x1.1ec85fdc69023p-3, 0x1.51068e12277d4p-3, 0x1.808247e26048ep-3, 0x1.ad50f70c6b809p-3, 0x1.d788747155cf4p-3, 0x1.ff3ee007544fcp-3, 0x1.12453704424d9p-2, 0x1.23c09b0921a0ap-2, 0x1.341c86cd23264p-2, 0x1.4363b8edd5de1p-2, 0x1.51a0c0647b13fp-2, 0x1.5eddfebec110dp-2, 0x1.6b25ad772f622p-2, 0x1.7681e375aad9ep-2, 0x1.80fc97ea3a9fcp-2, 0x1.8a9fa0726df4fp-2, 0x1.9374a9cc95e5fp-2, 0x1.9b852c041d3dcp-2, 0x1.a2da5c7e7e37dp-2, 0x1.a97d211440c21p-2, 0x1.af760721f38adp-2, 0x1.b4cd4059dfa28p-2, 0x1.b98aa58c9ce5ap-2, 0x1.bdb5be27abf28p-2, 0x1.c155ca35ccbffp-2, 0x1.c471cc68acdc8p-2, 0x1.c71092128215ap-2, 0x1.c938b7c501654p-2, 0x1.caf0aa44774d4p-2, 0x1.cc3ea45c0ee99p-2, 0x1.cd28aab10bf2p-2, 0x1.cdb486e17777cp-2, 0x1.cde7c3134400fp-2, 0x1.cdc7a6bcec5c5p-2, 0x1.cd593507400bep-2, 0x1.cca9d559a00f3p-2, 0x1.cbad46ac9cc57p-2, 0x1.ca6f3033957aap-2, 0x1.c8f38db1f5462p-2, 0x1.c73e3011027abp-2, 0x1.c552c0189cf28p-2, 0x1.c334c0366d2ep-2, 0x1.c0e78d6a52af3p-2, 0x1.be6e5f8649a1p-2, 0x1.bbcc48fe066c9p-2, 0x1.b90436867b2c8p-2, 0x1.b618eec03055ap-2, 0x1.b30d121b7fb68p-2, 0x1.afe31b1627f1dp-2, 0x1.ac9d5ee1b4698p-2, 0x1.a93e0e73f4f15p-2, 0x1.a5c737f7b9f62p-2, 0x1.a23ac88cb6711p-2, 0x1.9e9a8e418be2bp-2, 0x1.9ae83a31f3df9p-2, 0x1.972562b410414p-2, 0x1.9353858222d36p-2, 0x1.8f7409d0f4483p-2, 0x1.8b88424636891p-2, 0x1.87916ec545ae9p-2, 0x1.8390be0b8963ep-2, 0x1.7f874f1874351p-2, 0x1.7b76325fc94b1p-2, 0x1.775e6ac759cf1p-2, 0x1.7340ee73c6274p-2, 0x1.6f1ea769c3bfp-2, 0x1.6af8740ae47a6p-2, 0x1.66cf2775ab3a6p-2, 0x1.62a389d0d56b8p-2, 0x1.5e76588963ee5p-2, 0x1.5a484689fc314p-2, 0x1.5619fc7135fap-2, 0x1.51ec18cb2c5eep-2, 0x1.4dbf30519dec9p-2, 0x1.4993ce34dacc3p-2, 0x1.456a746ee5264p-2, 0x1.41439c215d41bp-2, 0x1.3d1fb5fe11583p-2, 0x1.38ff2ab9618a7p-2, 0x1.34e25b84fe991p-2, 0x1.30c9a2910bcf3p-2, 0x1.2cb5539134eacp-2, 0x1.28a5bc431082dp-2, 0x1.249b24f31cddep-2, 0x1.2095d0fdb33e7p-2, 0x1.1c95ff49a842ep-2, 0x1.189beabaa69d6p-2, 0x1.14a7ca99d0f08p-2, 0x1.10b9d2f3a9179p-2, 0x1.0cd234eac2965p-2, 0x1.08f11eff14a62p-2, 0x1.0516bd4a2f29dp-2, 0x1.014339b0d4479p-2, 0x1.faed78155ddddp-3, 0x1.f362d48225d27p-3, 0x1.ebe6d0cba0306p-3, 0x1.e479b18687e8p-3, 0x1.dd1bb7cdb2619p-3, 0x1.d5cd214e7d094p-3, 0x1.ce8e284f0d519p-3, 0x1.c75f03b0ce6abp-3, 0x1.c03fe6f1453fp-3, 0x1.b931022b2668p-3, 0x1.b23282192937fp-3, 0x1.ab44901bcf3bp-3, 0x1.a4675242cd76dp-3, 0x1.9d9aeb5a9fc0ep-3, 0x1.96df7afe3736bp-3, 0x1.90351daca9747p-3, 0x1.899bece26c6f1p-3, 0x1.8313ff359699dp-3, 0x1.7c9d68747edb8p-3, 0x1.763839c616f55p-3, 0x1.6fe481cb4f8dap-3, 0x1.69a24cc0fbc68p-3, 0x1.6371a4a198addp-3, 0x1.5d529146870fbp-3, 0x1.5745188852836p-3, 0x1.51493e5da9566p-3, 0x1.4b611a42a193p-3, 0x1.45882df9c74abp-3, 0x1.3fc0ddb964f97p-3, 0x1.3a0b295d97fb6p-3, 0x1.34670f39d8529p-3, 0x1.2ed48c21180bfp-3, 0x1.29539b6e50989p-3, 0x1.23e4370d92554p-3, 0x1.1e8657859d4a2p-3, 0x1.1939f401e9a04p-3, 0x1.13ff025d2a5b5p-3, 0x1.0ed5772c1914bp-3, 0x1.09bd45c88c7bep-3, 0x1.04b6605ca310dp-3, 0x1.ff816fdbe9d18p-4, 0x1.f5b878d159a28p-4, 0x1.ec11b954d5d54p-4, 0x1.e28d0d19b8fb3p-4, 0x1.d92a4ddfe45cap-4, 0x1.cfe953875b05bp-4, 0x1.c6c9f422d4f16p-4, 0x1.bdcc04095f6eap-4, 0x1.b4ef55e6f21f3p-4, 0x1.ac33bacbf6ccep-4, 0x1.a399023bd066cp-4, 0x1.9b1efa3a7b88dp-4, 0x1.92c56f594482cp-4, 0x1.8a8c2cc2b012p-4, 0x1.8272fc45b7b41p-4, 0x1.7a79a66068b2ep-4, 0x1.729ff24a03a64p-4, 0x1.6ae5a5fcb7817p-4, 0x1.634a863f10fb4p-4, 0x1.5bce56ad36f22p-4, 0x1.5470d9c2096ecp-4, 0x1.4d31d0e0388f1p-4, 0x1.4610fc5b63896p-4, 0x1.3f0e1b814dac4p-4, 0x1.3828eca335da2p-4, 0x1.31612d1f5789p-4, 0x1.2ab6996a9b14fp-4, 0x1.2428ed1a7754ep-4, 0x1.1db7e2ef0335cp-4, 0x1.176334dd37b6ep-4, 0x1.112a9c1959d5ap-4, 0x1.0b0dd12189103p-4, 0x1.050c8bc86b76bp-4, 0x1.fe4d067fd8c4p-5, 0x1.f2b6dc48127b1p-5, 0x1.e756050b3fcc5p-5, 0x1.dc29ebea71fbp-5, 0x1.d131fb1b86ec3p-5, 0x1.c66d9bfe78d73p-5, 0x1.bbdc373270bd1p-5, 0x1.b17d34aa949eep-5, 0x1.a74ffbc284c6ap-5, 0x1.9d53f3527d95ep-5, 0x1.938881c312975p-5, 0x1.89ed0d2083876p-5, 0x1.8080fb2d9f5dbp-5, 0x1.7743b17633ee7p-5, 0x1.6e34956108087p-5, 0x1.65530c415bd5cp-5, 0x1.5c9e7b67f57a8p-5, 0x1.54164833adfc2p-5, 0x1.4bb9d8218d914p-5, 0x1.438890dc6f9ccp-5, 0x1.3b81d84c3071p-5, 0x1.33a514a46c984p-5, 0x1.2bf1ac72cfe07p-5, 0x1.246706acf645ap-5, 0x1.1d048abde56c6p-5, 0x1.15c9a0931ce7ap-5, 0x1.0eb5b0a943a11p-5, 0x1.07c8241871ae7p-5, 0x1.010064a01c368p-5, 0x1.f4bbb965455f6p-6, 0x1.e7bfef0101498p-6, 0x1.db0c42064ce97p-6, 0x1.ce9f8c0ef2d25p-6, 0x1.c278a86ff8602p-6, 0x1.b696744d489a3p-6, 0x1.aaf7ceaca8d3fp-6, 0x1.9f9b988813325p-6, 0x1.9480b4df61453p-6, 0x1.89a608c951f74p-6, 0x1.7f0a7b83e802fp-6, 0x1.74acf684296p-6, 0x1.6a8c658533b0cp-6, 0x1.60a7b696b0f3bp-6, 0x1.56fdda2aa1e9ep-6, 0x1.4d8dc322934e7p-6, 0x1.445666dc226ecp-6, 0x1.3b56bd3ce9c2bp-6, 0x1.328dc0bdc4a2bp-6, 0x1.29fa6e757f37ep-6, 0x1.219bc622db6c9p-6, 0x1.1970ca36037f4p-6, 0x1.11787fd956839p-6, 0x1.09b1eef9a8da5p-6, 0x1.021c224ddbc78p-6, 0x1.f56c4ebbdd407p-7, 0x1.e6fe1d12e4b16p-7, 0x1.d8ebd61ae0aaep-7, 0x1.cb33a6137f251p-7, 0x1.bdd3bf0ba125fp-7, 0x1.b0ca58e9d7bd9p-7, 0x1.a415b173df768p-7, 0x1.97b40c5500e37p-7, 0x1.8ba3b3238e972p-7, 0x1.7fe2f56544014p-7, 0x1.74702892d13p-7, 0x1.6949a81a65058p-7, 0x1.5e6dd561509d3p-7, 0x1.53db17c4dbcf8p-7, 0x1.498fdc9a290c4p-7, 0x1.3f8a972d581d2p-7, 0x1.35c9c0bfd5f15p-7, 0x1.2c4bd885e3dc2p-7, 0x1.230f63a3674dfp-7, 0x1.1a12ed27fdaa9p-7, 0x1.1155060a5eefdp-7, 0x1.08d445231267ep-7, 0x1.008f472686042p-7, 0x1.f1095d3cfbea1p-8, 0x1.e16647c5e6096p-8, 0x1.d232aa24b6655p-8, 0x1.c36bec12c4648p-8, 0x1.b50f80b44a268p-8, 0x1.a71ae685c1cbfp-8, 0x1.998ba7485de74p-8, 0x1.8c5f57ed8d53dp-8, 0x1.7f9398819494cp-8, 0x1.732614156784ep-8, 0x1.671480a7a028p-8, 0x1.5b5c9f0cbbfe5p-8, 0x1.4ffc3ad6a069ep-8, 0x1.44f12a3b603d3p-8, 0x1.3a394dfb7e1efp-8, 0x1.2fd291476dd5ep-8, 0x1.25bae9a4938adp-8, 0x1.1bf056d1b52c9p-8, 0x1.1270e2aae230ep-8, 0x1.093aa10cf7bp-8, 0x1.004bafb8980c2p-8, 0x1.ef446c6996ad8p-9, 0x1.de78cb625e3dap-9, 0x1.ce30f1cfcd449p-9, 0x1.be6967fe3680cp-9, 0x1.af1ec8d48670fp-9, 0x1.a04dc1965587cp-9, 0x1.91f311a567721p-9, 0x1.840b8a42c2c79p-9, 0x1.76940e4f94612p-9, 0x1.6989920d82912p-9, 0x1.5ce91adf04dd3p-9, 0x1.50afbf075151ep-9, 0x1.44daa56a3e942p-9, 0x1.3967054bf8e98p-9, 0x1.2e522610b860ep-9, 0x1.23995efc5f55bp-9, 0x1.193a16f22826fp-9, 0x1.0f31c4345e305p-9, 0x1.057dec243a3a3p-9, 0x1.f8384603b8608p-10, 0x1.e6141758c8bc3p-10, 0x1.d48aaec4d67ebp-10, 0x1.c3978b051fa8ap-10, 0x1.b3049d67091ep-10, 0x1.a32df5b858a2p-10, 0x1.93e0e626ff024p-10, 0x1.85195978571b6p-10, 0x1.76d35419d678ep-10, 0x1.690af3a866857p-10, 0x1.5bbc6e78b56d8p-10, 0x1.4ee41320f84dbp-10, 0x1.427e480351c2dp-10, 0x1.36878ad9b627fp-10, 0x1.2afc7042c0c58p-10, 0x1.1fd9a34fd0a43p-10, 0x1.151be51451fc8p-10, 0x1.0ac00c364527ap-10, 0x1.00c3047ff2db1p-10, 0x1.ee439ce5f61bbp-11, 0x1.dbb2fdb91c763p-11, 0x1.c9ce7cd60a7f1p-11, 0x1.b89092893236dp-11, 0x1.a7f3dd3f78d3ep-11, 0x1.97f320b8b7501p-11, 0x1.8889453d8a898p-11, 0x1.79b156d78974bp-11, 0x1.6b66848bd1628p-11, 0x1.5da41f990b0f6p-11, 0x1.50659ab745df1p-11, 0x1.43a6895b2d41ep-11, 0x1.37629efb84317p-11, 0x1.2b95ae5998e19p-11, 0x1.203ba8cc16a16p-11, 0x1.15509d8d19ccfp-11, 0x1.0ad0b90a929e8p-11, 0x1.00b844393f60ap-11, 0x1.ee0747d5c1a08p-12, 0x1.db5eb04d73873p-12, 0x1.c96ff70956bffp-12, 0x1.b8348517168b8p-12, 0x1.a7a5f6233f3fep-12, 0x1.97be174020f6cp-12, 0x1.8876e5b1dfa5p-12, 0x1.79ca8dc00b20bp-12, 0x1.6bb3698bba531p-12, 0x1.5e2bffec9549bp-12, 0x1.512f035124f1fp-12, 0x1.44b750a5fde2ep-12, 0x1.38bfee41118d3p-12, 0x1.2d440ad2acba2p-12, 0x1.223efc5b32dd5p-12, 0x1.17ac3f26b7593p-12, 0x1.0d8774ccb08d6p-12, 0x1.03cc63354cf31p-12, 0x1.f4ede747251afp-13, 0x1.e30663885e069p-13, 0x1.d1da9583e1f49p-13, 0x1.c16318bc0b56dp-13, 0x1.b198c81c13368p-13, 0x1.a274bc3ba9f8cp-13, 0x1.93f049ae21b44p-13, 0x1.8604ff58a4ac1p-13, 0x1.78aca4d394deap-13, 0x1.6be138d3564dap-13, 0x1.5f9cef9b1bd14p-13, 0x1.53da31784b7b1p-13, 0x1.48939945b3783p-13, 0x1.3dc3f2f8a92e2p-13, 0x1.33663a3541fe9p-13, 0x1.297598ec71c54p-13, 0x1.1fed66008155p-13, 0x1.16c923f2b2ef1p-13, 0x1.0e047f989b4e8p-13, 0x1.059b4ed86a04cp-13, 0x1.fb131edd0416fp-14, 0x1.eb96cb712b862p-14, 0x1.dcba371394632p-14, 0x1.ce763e079ebbcp-14, 0x1.c0c402f46d554p-14, 0x1.b39cecb3ee7d5p-14, 0x1.a6faa42fc7196p-14, 0x1.9ad7124ff7e56p-14, 0x1.8f2c5df187fbp-14, 0x1.83f4e9ebe9661p-14, 0x1.792b53234f4aap-14, 0x1.6eca6ea640395p-14, 0x1.64cd47d799469p-14, 0x1.5b2f1ea49ca98p-14, 0x1.51eb65c4860f1p-14, 0x1.48fdc107487d9p-14, 0x1.406203abe312dp-14, 0x1.38142ec1ad1edp-14, 0x1.30106f97d44a7p-14, 0x1.28531e333542fp-14, 0x1.20d8bbd0b503dp-14, 0x1.199df171a7a9fp-14, 0x1.129f8e705d584p-14, 0x1.0bda87223cdd2p-14, 0x1.054bf37f9c232p-14, 0x1.fde21bae95f8ap-15, 0x1.f18e6315eed6ap-15, 0x1.e597b3a94beb3p-15, 0x1.d9f9412bb687cp-15, 0x1.ceae7a5b6b3c6p-15, 0x1.c3b306b4b573p-15, 0x1.b902c4445ce85p-15, 0x1.ae99c58974bb2p-15, 0x1.a4744f6897352p-15, 0x1.9a8ed72fd1833p-15, 0x1.90e600ab222dbp-15, 0x1.87769c437ba33p-15, 0x1.7e3da5374e635p-15, 0x1.75383fd9f49b5p-15, 0x1.6c63b7e1c4009p-15, 0x1.63bd7ec968549p-15, 0x1.5b432a3ab0866p-15, 0x1.52f27289023b1p-15, 0x1.4ac93138ee761p-15, 0x1.42c55f939ca41p-15, 0x1.3ae5154783cecp-15, 0x1.332687167089fp-15, 0x1.2b88058dd4384p-15, 0x1.2407fbc6e4fe1p-15, 0x1.1ca4ee3d04b41p-15, 0x1.155d79a26dc6dp-15, 0x1.0e3051c6de025p-15, 0x1.071c40848da75p-15, 0x1.002024ba16fdcp-15, 0x1.f275e2978fcc5p-16, 0x1.e4d7585dcb259p-16, 0x1.d762dafabeeb3p-16, 0x1.ca16bd2543224p-16, 0x1.bcf17260a7229p-16, 0x1.aff18d5818cf5p-16, 0x1.a315be44a12c6p-16, 0x1.965cd16b0c68dp-16, 0x1.89c5ad9fcc699p-16, 0x1.7d4f52de24b74p-16, 0x1.70f8d8ea8ea37p-16, 0x1.64c16e053666ep-16, 0x1.58a855a1b53dap-16, 0x1.4cace739f9654p-16, 0x1.40ce8d1f4645dp-16, 0x1.350cc35934c0ap-16, 0x1.2967169949c99p-16, 0x1.1ddd2330c35f9p-16, 0x1.126e940c6db75p-16, 0x1.071b21cdd79b6p-16, 0x1.f7c523afdc712p-17, 0x1.e1896aecc827cp-17, 0x1.cb82d20890f3dp-17, 0x1.b5b1263f6855ap-17, 0x1.a01447ccb6171p-17, 0x1.8aac2874e85e8p-17, 0x1.7578ca1c20cafp-17, 0x1.607a3d6b6d7eep-17, 0x1.4bb0a093ace5ap-17, 0x1.371c1e126620bp-17, 0x1.22bceb842a462p-17, 0x1.0e93488b2931bp-17, 0x1.f53efb7f9041fp-18, 0x1.cdc3b7627df5ep-18, 0x1.a6b573e0dadb2p-18, 0x1.8014ec4fec8f4p-18, 0x1.59e2e67b3be63p-18, 0x1.34203106414a8p-18, 0x1.0ecda1e4ad5aep-18, 0x1.d3d829bab2b0bp-19, 0x1.8af8d46820348p-19, 0x1.42ff0a622b334p-19, 0x1.f7d92c9786d19p-20, 0x1.6b868865b2feep-20, 0x1.c2137ddeb652ap-21, 0x1.619985e195b7dp-22, -0x1.730040444ab29p-23, -0x1.668c0506898b9p-21, -0x1.36482324a2acep-20, -0x1.b76312a27b2f6p-20, -0x1.1b49c7f0fe469p-19, -0x1.59eb396b70357p-19, -0x1.97945780e57dep-19, -0x1.d443aad8517ddp-19, -0x1.07fbe60cbdbd7p-18, -0x1.2557b27011db5p-18, -0x1.4234984fb0e9ep-18, -0x1.5e91febd916fbp-18, -0x1.7a6f56790ed91p-18, -0x1.95cc1a40499b1p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.bf711c58cf92ep+0, -0x1.b812688500608p+0, -0x1.b09d993d62cf8p+0, -0x1.a9176c65e288dp+0, -0x1.a1844ccbacc32p+0, -0x1.99e85e24eb484p+0, -0x1.92477bc53574dp+0, -0x1.8aa5391085cp+0, -0x1.8304e2dcd0203p+0, -0x1.7b69808d8934p+0, -0x1.73d5daa25547dp+0, -0x1.6c4c81b3de876p+0, -0x1.64cfcfea7eb08p+0, -0x1.5d61e81e2c742p+0, -0x1.5604b74600acp+0, -0x1.4eb9f84b10c04p+0, -0x1.478338c2d81ecp+0, -0x1.4061ddac169e5p+0, -0x1.3957271aa4ba7p+0, -0x1.326432340a3ebp+0, -0x1.2b89fa26629a7p+0, -0x1.24c95f4e70954p+0, -0x1.1e230fd290cfep+0, -0x1.1797b031d5b94p+0, -0x1.1127c6bcbf065p+0, -0x1.0ad3c2947338p+0, -0x1.049bfd4194a55p+0, -0x1.fd0177c318724p-1, -0x1.f10460d1b30d6p-1, -0x1.e540f670e4a5ap-1, -0x1.d9b759a1c747ap-1, -0x1.ce678e90e04a9p-1, -0x1.c3517ec9dcb64p-1, -0x1.b874fb0cf2ee2p-1, -0x1.add1bd45cf531p-1, -0x1.a3676ad033f19p-1, -0x1.993596ccea8c3p-1, -0x1.8f3bc42656d4bp-1, -0x1.857967142ca78p-1, -0x1.7bede63be6c45p-1, -0x1.72989bb975168p-1, -0x1.6978d6511bf79p-1, -0x1.608ddadbaa1c9p-1, -0x1.57d6e5ce5df68p-1, -0x1.4f532cab0b7p-1, -0x1.4701df301d1dfp-1, -0x1.3ee2283da794fp-1, -0x1.36f32e821e885p-1, -0x1.2f3415106581ap-1, -0x1.27a3fbfdee65bp-1, -0x1.204201175b9ep-1, -0x1.190d40a66e35ap-1, -0x1.1204d6361e78ap-1, -0x1.0b27dd3ea7f82p-1, -0x1.047571aa62c1ap-1, -0x1.fbd96061f4b6fp-2, -0x1.ef196d258c52cp-2, -0x1.e2a9478a8e16ep-2, -0x1.d687304465847p-2, -0x1.cab16b4a4f082p-2, -0x1.bf2640779f1dp-2, -0x1.b3e3fc48218f6p-2, -0x1.a8e8f09c4c0eap-2, -0x1.9e337718c0237p-2, -0x1.93c1e2507ff25p-2, -0x1.8992a2ce4a725p-2, -0x1.7fa42524b9963p-2, -0x1.75f4dd020891ap-2, -0x1.6c834553896aap-2, -0x1.634de0560dfd1p-2, -0x1.5a533797e150ap-2, -0x1.5191dbf2b15e6p-2, -0x1.49086583f39c9p-2, -0x1.40b573a8b0ca7p-2, -0x1.3897acff1ca39p-2, -0x1.30adbf6d7e542p-2, -0x1.28f6602bb882p-2, -0x1.21704bcb8b71p-2, -0x1.1a1a463bb1efep-2, -0x1.12f31ac31173dp-2, -0x1.0bf99bf2eee75p-2, -0x1.052ca390e074p-2, -0x1.fd1624f55689ap-3, -0x1.f027a10dbdf25p-3, -0x1.e38b98ca0d528p-3, -0x1.d73ff6fee5de6p-3, -0x1.cb42b3bf0f9fp-3, -0x1.bf91d4289d78bp-3, -0x1.b42b6a343a76dp-3, -0x1.a90d948336eabp-3, -0x1.9e367e29289ap-3, -0x1.93a45e6e993d4p-3, -0x1.8955788bef507p-3, -0x1.7f481b5cff2a7p-3, -0x1.757aa10f46ecfp-3, -0x1.6beb6ecd8365cp-3, -0x1.6298f46b96bd1p-3, -0x1.5981ac158183bp-3, -0x1.50a41a036e0dfp-3, -0x1.47fecc33fa0f5p-3, -0x1.3f905a2cefb7bp-3, -0x1.375764c1e6dd8p-3, -0x1.2f5295df918adp-3, -0x1.2780a05a4a69bp-3, -0x1.1fe03fbe45008p-3, -0x1.1870381ff7fcap-3, -0x1.112f55eb9d82dp-3, -0x1.0a1c6db316f66p-3, -0x1.03365bf9cd4d1p-3, -0x1.f8f809fd57aep-4, -0x1.ebd8a90925724p-4, -0x1.df0c7b33c09ccp-4, -0x1.d29174bfacf16p-4, -0x1.c66597a5303c6p-4, -0x1.ba86f3250b3a1p-4, -0x1.aef3a35f0823cp-4, -0x1.a3a9d0ed48dbp-4, -0x1.98a7b084c9b0fp-4, -0x1.8deb829b332c6p-4, -0x1.83739311aba4fp-4, -0x1.793e38e445a7bp-4, -0x1.6f49d5dd453bfp-4, -0x1.6594d64b845ebp-4, -0x1.5c1db0bb3d488p-4, -0x1.52e2e5b085a4cp-4, -0x1.49e2ff6305914p-4, -0x1.411c917a8c736p-4, -0x1.388e38cc5803p-4, -0x1.30369b191abd2p-4, -0x1.281466cbdbf2ep-4, -0x1.202652b9f8b6ep-4, -0x1.186b1de4879f3p-4, -0x1.10e18f3b72edap-4, -0x1.098875628547ep-4, -0x1.025ea678a14bp-4, -0x1.f6c5ffc28203p-5, -0x1.e928cc209cf33p-5, -0x1.dbe388b08a97ep-5, -0x1.cef4197514da4p-5, -0x1.c2586f73a9a3ap-5, -0x1.b60e885ce549cp-5, -0x1.aa146e3887aadp-5, -0x1.9e6837145e19ep-5, -0x1.930804b5d2982p-5, -0x1.87f2044dce5fdp-5, -0x1.7d246e2ea7fa6p-5, -0x1.729d8583e81adp-5, -0x1.685b84c2efe37p-5, -0x1.5e5ce4c43c4abp-5, -0x1.549ffb17414f6p-5, -0x1.4b2333abe89f6p-5, -0x1.41e503efbe6c7p-5, -0x1.38e3ea900de68p-5, -0x1.301e6f3df2bcp-5, -0x1.279322743e8eap-5, -0x1.1f409d3f330fap-5, -0x1.17258105ec866p-5, -0x1.0f40775583cb9p-5, -0x1.079031adbdd8cp-5, -0x1.0013694f450f8p-5, -0x1.f191be16aee7fp-6, -0x1.e35eb629bd341p-6, -0x1.d58b59a5a49cp-6, -0x1.c8155567dcd4fp-6, -0x1.bafa64072e88ep-6, -0x1.ae384d7feba5ep-6, -0x1.a1cce6e266976p-6, -0x1.95b61203a2137p-6, -0x1.89f1bd3027e51p-6, -0x1.7e7de2e0fa089p-6, -0x1.7358897288498p-6, -0x1.687fc2ddab169p-6, -0x1.5df1ac7286b17p-6, -0x1.53ac6e95598bp-6, -0x1.49ae3c7d1a5a6p-6, -0x1.3ff553f3e5ef6p-6, -0x1.367ffd1916bf4p-6, -0x1.2d4c8a2520367p-6, -0x1.2459572efbd88p-6, -0x1.1ba4c9f31acf7p-6, -0x1.132d519bef9e2p-6, -0x1.0af1668bd0a22p-6, -0x1.02ef8a285692bp-6, -0x1.f64c8d4dfd63fp-7, -0x1.e7285db64fd2cp-7, -0x1.d86fbc0a86d2p-7, -0x1.ca1fef4675cc2p-7, -0x1.bc364e840f17fp-7, -0x1.aeb040a0ace0bp-7, -0x1.a18b3be4ad602p-7, -0x1.94c4c5ad014e6p-7, -0x1.885a7216d9914p-7, -0x1.7c49e3ad41801p-7, -0x1.7090cb189eb2cp-7, -0x1.652ce6d0138cp-7, -0x1.5a1c02cca2b74p-7, -0x1.4f5bf83e166adp-7, -0x1.44eaad419d37dp-7, -0x1.3ac6149a0456dp-7, -0x1.30ec2d69888b2p-7, -0x1.275b02ed42afp-7, -0x1.1e10ac3a1cc3cp-7, -0x1.150b4bfb18c7p-7, -0x1.0c4910313c9e2p-7, -0x1.03c831f4ba3ecp-7, -0x1.f70dea6ee9bbcp-8, -0x1.e7075111ed6e8p-8, -0x1.d77949b716d84p-8, -0x1.c8609a9544e2ap-8, -0x1.b9ba1dc4f3a8ap-8, -0x1.ab82c0d1c2b41p-8, -0x1.9db7844e4ed41p-8, -0x1.90557b6a6a88ap-8, -0x1.8359cb8b5fb84p-8, -0x1.76c1abe65c773p-8, -0x1.6a8a651d05874p-8, -0x1.5eb150dbfb0dep-8, -0x1.5333d97b66dc5p-8, -0x1.480f79a16bc29p-8, -0x1.3d41bbe68efap-8, -0x1.32c83a7be86cfp-8, -0x1.28a09ed32715dp-8, -0x1.1ec8a14864ad3p-8, -0x1.153e08cdaad11p-8, -0x1.0bfeaa982e6cdp-8, -0x1.030869cf280e8p-8, -0x1.f4b26e78ddcp-9, -0x1.e3de21fcef61fp-9, -0x1.d3900478445f2p-9, -0x1.c3c445b389847p-9, -0x1.b4772e5febe93p-9, -0x1.a5a51f8756a4fp-9, -0x1.974a91ffa5201p-9, -0x1.896415e072bcfp-9, -0x1.7bee51fc13774p-9, -0x1.6ee6035ae0acdp-9, -0x1.6247fcb959dabp-9, -0x1.56112608a8b77p-9, -0x1.4a3e7bf215672p-9, -0x1.3ecd0f5c917cfp-9, -0x1.33ba04f4f3798p-9, -0x1.290294b86c8ep-9, -0x1.1ea4098198e7ap-9, -0x1.149bc097a6c88p-9, -0x1.0ae7293fd40b1p-9, -0x1.0183c4513f3f2p-9, -0x1.f0de47958c055p-10, -0x1.df4dd4d648c1p-10, -0x1.ce5196965cbaap-10, -0x1.bde512f4259dfp-10, -0x1.ae03ef37549edp-10, -0x1.9ea9ef11b9f99p-10, -0x1.8fd2f3e3d0d81p-10, -0x1.817afc052e81fp-10, -0x1.739e221106635p-10, -0x1.66389c35bb72bp-10, -0x1.5946bb893a922p-10, -0x1.4cc4eb5fa408ep-10, -0x1.40afb0a6b856cp-10, -0x1.3503a943f3d4p-10, -0x1.29bd8b7612e3bp-10, -0x1.1eda253ab3fdcp-10, -0x1.14565bb655347p-10, -0x1.0a2f2aa04949bp-10, -0x1.0061a3b17e3e8p-10, -0x1.edd5dc2c57149p-11, -0x1.db908bc6e735ep-11, -0x1.c9edf71dfd7f5p-11, -0x1.b8e8e6d46b2fp-11, -0x1.a87c4a408b8b5p-11, -0x1.98a3366d13cbfp-11, -0x1.8958e52168f97p-11, -0x1.7a98b3ed93bdcp-11, -0x1.6c5e233ca27f1p-11, -0x1.5ea4d56c486d2p-11, -0x1.51688de8ec238p-11, -0x1.44a530503e08bp-11, -0x1.3856bf9786bc7p-11, -0x1.2c795d377f41fp-11, -0x1.2109485d1712ap-11, -0x1.1602dd1e66722p-11, -0x1.0b6293b52141ep-11, -0x1.0124ffbcdc03dp-11, -0x1.ee8d9eec95dd2p-12, -0x1.db89961d56767p-12, -0x1.c937a7d71156fp-12, -0x1.b791c7f5a8ef8p-12, -0x1.a6921a0e4a3bep-12, -0x1.9632f01f1c18ap-12, -0x1.866ec948df211p-12, -0x1.7740508f31369p-12, -0x1.68a25b9f7f0bbp-12, -0x1.5a8fe9a192e6fp-12, -0x1.4d04220e75fdbp-12, -0x1.3ffa538e731e3p-12, -0x1.336df2dd63d61p-12, -0x1.275a99b89c9dap-12, -0x1.1bbc05d0a38a3p-12, -0x1.108e17c35e951p-12, -0x1.05ccd21baabdep-12, -0x1.f6e8b0b1be4b9p-13, -0x1.e301dbf3908d5p-13, -0x1.cfddeb23b69c8p-13, -0x1.bd75dfc101011p-13, -0x1.abc2f5e070047p-13, -0x1.9abea276d1983p-13, -0x1.8a6291abacbcep-13, -0x1.7aa8a53a22f86p-13, -0x1.6b8af2d81a7afp-13, -0x1.5d03c2ae5beffp-13, -0x1.4f0d8dd4cc58fp-13, -0x1.41a2fcdbbae26p-13, -0x1.34bee65f691d2p-13, -0x1.285c4da321105p-13, -0x1.1c76613802b15p-13, -0x1.10f7a5575da1p-13, -0x1.05fcf60d338cp-13, -0x1.f6e306511b7cbp-14, -0x1.e2a2364e69824p-14, -0x1.cf2f63206e414p-14, -0x1.bc82bba01467p-14, -0x1.aa94b436e189ap-14, -0x1.995e04b2c3fddp-14, -0x1.88d7a62baf657p-14, -0x1.78fad0f71c344p-14, -0x1.69c0faa97abdfp-14, -0x1.5b23d42702163p-14, -0x1.4d1d47c276cccp-14, -0x1.3fa77764ccf46p-14, -0x1.32bcbacc65175p-14, -0x1.26579dce117abp-14, -0x1.1a72dea8c0d59p-14, -0x1.0f096c63a6708p-14, -0x1.04166539cba26p-14, -0x1.f32a2a1ef8cbap-15, -0x1.df01e7e20be0bp-15, -0x1.cbab49473f68fp-15, -0x1.b91de676c3497p-15, -0x1.a751a77595996p-15, -0x1.963ec185d1cbdp-15, -0x1.85ddb48675db5p-15, -0x1.762748810a4a7p-15, -0x1.67148b335cef9p-15, -0x1.589ecdb645efbp-15, -0x1.4abfa2364135fp-15, -0x1.3d70d9b9b1984p-15, -0x1.30ac81feacb88p-15, -0x1.246ce35a56d06p-15, -0x1.18ac7ec0d7b83p-15, -0x1.0d660bc9cd5e5p-15, -0x1.029476c90bc24p-15, -0x1.f065bded2d113p-16, -0x1.dc792950b89ep-16, -0x1.c95a2f2898a02p-16, -0x1.b7002a4a0f824p-16, -0x1.a562cdb288971p-16, -0x1.947a216564ad5p-16, -0x1.843e7f604ed98p-16, -0x1.74a89095c565dp-16, -0x1.65b14a3081bfap-16, -0x1.5751eab9a254fp-16, -0x1.4983f772a63f1p-16, -0x1.3c4139bacf42bp-16, -0x1.2f83bc8deb02ap-16, -0x1.2345ca17a91f3p-16, -0x1.1781e959c5fcfp-16, -0x1.0c32dbe7562fap-16, -0x1.01539bb189caap-16, -0x1.edbeb1cd6141p-17, -0x1.d9a2efd184668p-17, -0x1.c64b1e94b269p-17, -0x1.b3aecbd6485abp-17, -0x1.a1c5e2233f07bp-17, -0x1.9088a554e0524p-17, -0x1.7fefaf0ebe53ap-17, -0x1.6ff3eb762ebcfp-17, -0x1.608e95d94bf6ep-17, -0x1.51b935afc6658p-17, -0x1.436d9b75deadap-17, -0x1.35a5ddeffd313p-17, -0x1.285c57206ed92p-17, -0x1.1b8ba1caabbe4p-17, -0x1.0f2e96b5c103dp-17, -0x1.03404a2dcae8dp-17, -0x1.ef7813260bdeap-18, -0x1.d93ab2105e3fep-18, -0x1.c3bfe246404d8p-18, -0x1.aeff79928d2c9p-18, -0x1.9af1ae2e6e8f4p-18, -0x1.878f1270a0c66p-18, -0x1.74d091530dd01p-18, -0x1.62af6a670c225p-18, -0x1.51252e4127738p-18, -0x1.402bbb065839ap-18, -0x1.2fbd3908a06cep-18, -0x1.1fd4178eb7a8dp-18, -0x1.106b09b4a26b2p-18, -0x1.017d036ef482bp-18, -0x1.e60a6d52109dep-19, -0x1.c9fe20fa5086bp-19, -0x1.aecc6d2685ab4p-19, -0x1.946d09071258ap-19, -0x1.7ad81313a24ap-19, -0x1.62060b82b6663p-19, -0x1.49efd0c064081p-19, -0x1.328e9a7818a3p-19, -0x1.1bdbf5879bc96p-19, -0x1.05d1bff63675cp-19, -0x1.e0d44a4f46bacp-20, -0x1.b73f341da5bdfp-20, -0x1.8ed9b37812c33p-20, -0x1.6799c3c2d6547p-20, -0x1.4175df31e2738p-20, -0x1.1c64f88429c0ap-20, -0x1.f0bcea1ac3498p-21, -0x1.aab44dcddba84p-21, -0x1.66a08efc101d6p-21, -0x1.2472e45816351p-21, -0x1.c83a7e254e0c1p-22, -0x1.4b24812168a9ap-22, -0x1.a314c66944914p-23, -0x1.6d4fcc235e293p-24, 0x1.795d7b9e26fbdp-26, 0x1.0e91cb5bcd8bap-23, 0x1.e7b4295c1c34cp-23, 0x1.5d5d43f370d09p-22, 0x1.c3e5631bb8d2fp-22, 0x1.13c23faefd523p-21, 0x1.4425e7f4decd4p-21, 0x1.7325e117e9b5ap-21, 0x1.a0ca02c5d5298p-21, 0x1.cd19cad6b53b3p-21, 0x1.f81c630b717f5p-21, 0x1.10ec527a71c42p-20, 0x1.252a90b0a4c11p-20, 0x1.38cc1094644bbp-20, 0x1.4bd3d5ed21965p-20, 0x1.5e44c5a5e9f52p-20, 0x1.7021a78143c39p-20, 0x1.816d287d85abcp-20, 0x1.9229dbb7e8f3ep-20, 0x1.a25a3cd7b1241p-20, 0x1.b200b1383bd42p-20, 0x1.c11f898304f36p-20, 0x1.cfb902e5fe9aap-20, 0x1.ddcf48b429becp-20, 0x1.eb64754804c77p-20, 0x1.f87a9381c89e1p-20, 0x1.0289cfd966ca5p-19, 0x1.0898c45a25bcbp-19, 0x1.0e6b1871bb113p-19, 0x1.1401b768bc7e9p-19, 0x1.195d87820c3e4p-19, 0x1.1e7f69bb6213dp-19, 0x1.23683aa2a788dp-19, 0x1.2818d281cf9d9p-19, 0x1.2c9205d1db3f9p-19, 0x1.30d4a55f69dafp-19, 0x1.34e17f06f7beep-19, 0x1.38b95d2ae6f05p-19, 0x1.3c5d07c01b70cp-19, 0x1.3fcd441ae5138p-19, 0x1.430ad54679433p-19, 0x1.46167c32ffa11p-19, 0x1.48f0f7e62f3b2p-19, 0x1.4b9b05a8bb7d7p-19, 0x1.4e156109daeedp-19, 0x1.5060c46ac4a12p-19, 0x1.527de8b2e2378p-19, 0x1.546d85899ff43p-19, 0x1.56305189412b5p-19, 0x1.57c7024dc86e5p-19, 0x1.59324c82c5d43p-19, 0x1.5a72e40318cc9p-19, 0x1.5b897be09c206p-19, 0x1.5c76c68aa9babp-19, 0x1.5d3b759ae9668p-19, 0x1.5dd83a3360262p-19, 0x1.5e4dc4d986db6p-19, 0x1.5e9cc5867de9cp-19, 0x1.5ec5eb8bf8b23p-19, 0x1.5ec9e61d71542p-19, 0x1.5ea96397e7331p-19, 0x1.5e6511ea3fa63p-19, 0x1.5dfd9e9e5ad6p-19, 0x1.5d73b6bea78b9p-19, 0x1.5cc806dc47c64p-19, 0x1.5bfb3b0d6ff3cp-19, 0x1.5b0dfeed0d02cp-19, 0x1.5a00fd8d61e7p-19, 0x1.58d4e181d0e5ep-19, 0x1.578a54d3e5f42p-19, 0x1.562200fd13926p-19, 0x1.549c8ee29a388p-19, 0x1.52faa6ce4d513p-19, 0x1.513cf0688e593p-19, 0x1.4f6412b3e9597p-19, 0x1.4d70b3fa244acp-19, 0x1.4b6379e5ada1bp-19, 0x1.493d0928c8a95p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.6cdf929820666p-1, -0x1.6030ebdf86306p-1, -0x1.521b6866a0e45p-1, -0x1.42d246e00e60cp-1, -0x1.3285719fd3efep-1, -0x1.21613890d7156p-1, -0x1.0f8ec62d50cafp-1, -0x1.fa68e92712fdbp-2, -0x1.d4eb3bb7cc5bcp-2, -0x1.aee4a9c9a369dp-2, -0x1.888eea38da49ap-2, -0x1.621e0d884c0f2p-2, -0x1.3bc1563eae969p-2, -0x1.15a3a22a8ad66p-2, -0x1.dfd6c0f640cp-3, -0x1.9574d0fc96faap-3, -0x1.4c5c026303e0bp-3, -0x1.04be672086f22p-3, -0x1.7d8d4dfd7715bp-4, -0x1.ea64c4ad27c01p-5, -0x1.c2aa0cc7ec055p-6, 0x1.fa6867d1130c3p-9, 0x1.182b84ad06396p-5, 0x1.0400c8092b27ap-4, 0x1.777b483950c5bp-4, 0x1.e673929e3fcfp-4, 0x1.286f39ceb4fa2p-3, 0x1.5b5b389fc170bp-3, 0x1.8bfd97d21fe05p-3, 0x1.ba587c1305aep-3, 0x1.e67028714fc3fp-3, 0x1.0825648b892a2p-2, 0x1.1bf81cca4fe2fp-2, 0x1.2eb4e4d0686afp-2, 0x1.406102aac26fap-2, 0x1.510241e93cb86p-2, 0x1.609eddf3b0903p-2, 0x1.6f3d6e674aa9dp-2, 0x1.7ce4d4dcff6f2p-2, 0x1.899c2c58b6f0cp-2, 0x1.956abb2b3d017p-2, 0x1.a057e7deb8f4cp-2, 0x1.aa6b3100867dap-2, 0x1.b3ac26c36d7b5p-2, 0x1.bc2265058266dp-2, 0x1.c3d58c73e8fb2p-2, 0x1.cacd3a36b9f78p-2, 0x1.d110fe6a07038p-2, 0x1.d6a852505f314p-2, 0x1.db9a8f65a297bp-2, 0x1.dfeee84332733p-2, 0x1.e3ac63ca22c64p-2, 0x1.e6d9da80864f5p-2, 0x1.e97df5accea65p-2, 0x1.eb9f2f9339037p-2, 0x1.ed43d446d93c7p-2, 0x1.ee7202a9b6162p-2, 0x1.ef2fad63455c3p-2, 0x1.ef829bb0f27cfp-2, 0x1.ef7069fdb442ap-2, 0x1.eefe8a2b0bafap-2, 0x1.ee3243727caa2p-2, 0x1.ed10b1cb656f4p-2, 0x1.eba1a95578b05p-2, 0x1.e9e53e5030398p-2, 0x1.e7e18f2d08167p-2, 0x1.e59ae08023a64p-2, 0x1.e3154c57a3302p-2, 0x1.e054c3f62621bp-2, 0x1.dd5d113232e6ap-2, 0x1.da31d779ae2a7p-2, 0x1.d6d69487cd3c8p-2, 0x1.d34ea0e5a2722p-2, 0x1.cf9d3050962dcp-2, 0x1.cbc5521f9a71ap-2, 0x1.c7c9f1b9ad09dp-2, 0x1.c3add728b19c1p-2, 0x1.bf73a7ccfc51fp-2, 0x1.bb1de73144fc9p-2, 0x1.b6aef7fc95405p-2, 0x1.b2291cffa2ea1p-2, 0x1.ad8e7a5beaefdp-2, 0x1.a8e116c3bd87dp-2, 0x1.a422dcd258639p-2, 0x1.9f559c79e397dp-2, 0x1.9a7b0c829a5cbp-2, 0x1.9594cc13753ebp-2, 0x1.90a4643a08ae5p-2, 0x1.8bab4965ab3f7p-2, 0x1.86aadcca1693fp-2, 0x1.81a46d9f8c83bp-2, 0x1.7c993a39c4ea7p-2, 0x1.778a70f2fc2abp-2, 0x1.727930ecbd9e2p-2, 0x1.6d668aab7ee3ep-2, 0x1.68538094c022ap-2, 0x1.634107588aadbp-2, 0x1.5e30064f20727p-2, 0x1.592157d29c94p-2, 0x1.5415c99a817cep-2, 0x1.4f0e1d1d30cp-2, 0x1.4a0b07f93aaep-2, 0x1.450d3466c4147p-2, 0x1.401541afed82bp-2, 0x1.3b23c4ae51424p-2, 0x1.3639484b50d4cp-2, 0x1.31564e00eb38ap-2, 0x1.2c7b4e5911eap-2, 0x1.27a8b969f44f7p-2, 0x1.22def74e2b9fap-2, 0x1.1e1e689833076p-2, 0x1.196766c0f7bbap-2, 0x1.14ba4491936e2p-2, 0x1.10174e8869019p-2, 0x1.0b7ecb39d1399p-2, 0x1.06f0fbac8c9ep-2, 0x1.026e1bb1f469bp-2, 0x1.fbecc47397753p-3, 0x1.f3140342e9876p-3, 0x1.ea524ffc40e36p-3, 0x1.e1a7fec344ap-3, 0x1.d9155c32f6548p-3, 0x1.d09aadcfb70d9p-3, 0x1.c838326cebe6fp-3, 0x1.bfee2286681ebp-3, 0x1.b7bcb08e1ded4p-3, 0x1.afa4092f0808bp-3, 0x1.a7a453869bd4bp-3, 0x1.9fbdb1565d44ap-3, 0x1.97f03f2f55ea2p-3, 0x1.903c14994bf06p-3, 0x1.88a144376805ap-3, 0x1.811fdbebf7738p-3, 0x1.79b7e4fc80e5cp-3, 0x1.7269643748deap-3, 0x1.6b345a1ad2951p-3, 0x1.6418c2ffcc11ap-3, 0x1.5d1697455696p-3, 0x1.562dcb7f7a0d8p-3, 0x1.4f5e50a74be4fp-3, 0x1.48a8144c40f45p-3, 0x1.420b00c5fd30ep-3, 0x1.3b86fd65fd8cap-3, 0x1.351beea876a56p-3, 0x1.2ec9b663dc67p-3, 0x1.289033f693f86p-3, 0x1.226f4472771aap-3, 0x1.1c67eb56fb224p-3, 0x1.1677887658aefp-3, 0x1.109f41056640ep-3, 0x1.0adeeb993048cp-3, 0x1.05365d1339b37p-3, 0x1.ff4ad170aaa0ap-4, 0x1.f457c08dd3602p-4, 0x1.e99328197ac43p-4, 0x1.defca5f8a6f98p-4, 0x1.d493d583cb41cp-4, 0x1.ca584faffa78p-4, 0x1.c049ab374d82cp-4, 0x1.b6677cc07325fp-4, 0x1.acb1570542821p-4, 0x1.a326caf85747bp-4, 0x1.99c767e9849cep-4, 0x1.9092bba912ea4p-4, 0x1.878852a9a4d97p-4, 0x1.7ea7b820d13dap-4, 0x1.75f07626488f2p-4, 0x1.6d6215d18f79cp-4, 0x1.64fc1f564eaa9p-4, 0x1.5cbe1a1f36fcdp-4, 0x1.54a78ce786554p-4, 0x1.4cb7fdd33a05p-4, 0x1.44eef285fad5fp-4, 0x1.3d4bf038d675dp-4, 0x1.35ce7bced7a9fp-4, 0x1.2e7619e88e024p-4, 0x1.27424ef699cdep-4, 0x1.20329f4b505f2p-4, 0x1.19468f2b862adp-4, 0x1.127da2de9358cp-4, 0x1.0bd75ebda1e4fp-4, 0x1.0553474254fb8p-4, 0x1.fde1c229a9466p-5, 0x1.f15f6232a0babp-5, 0x1.e51e78f9f49fp-5, 0x1.d91e11851f1a7p-5, 0x1.cd5d379cdb017p-5, 0x1.c1daf7e47d4f6p-5, 0x1.b6965ff08edep-5, 0x1.ab8e7e5ca2237p-5, 0x1.a0c262e0784fdp-5, 0x1.96311e6474621p-5, 0x1.8bd9c31562308p-5, 0x1.81bb647792713p-5, 0x1.77d517794b6a5p-5, 0x1.6e25f28491cd8p-5, 0x1.64ad0d90430ffp-5, 0x1.5b69823088a1bp-5, 0x1.525a6ba699778p-5, 0x1.497ee6efcdc4p-5, 0x1.40d612d4042e5p-5, 0x1.385f0ff359382p-5, 0x1.301900d3242a3p-5, 0x1.280309ea4e48bp-5, 0x1.201c51acf1aa1p-5, 0x1.18640097476d6p-5, 0x1.10d94137ef2afp-5, 0x1.097b4039834ddp-5, 0x1.02492c6b848b6p-5, 0x1.f6846d95459a6p-6, 0x1.e8cb2510bb249p-6, 0x1.db64ea2413028p-6, 0x1.ce502c2e72cfbp-6, 0x1.c18b5f1f22b04p-6, 0x1.b514fb800cb2cp-6, 0x1.a8eb7e7f2dfbp-6, 0x1.9d0d69f6ef27p-6, 0x1.9179447580c87p-6, 0x1.862d9943386e6p-6, 0x1.7b28f86806deep-6, 0x1.7069f6b00565ep-6, 0x1.65ef2daf27968p-6, 0x1.5bb73bc421aeep-6, 0x1.51c0c41a866f3p-6, 0x1.480a6eac21507p-6, 0x1.3e92e841a0cf3p-6, 0x1.3558e27295039p-6, 0x1.2c5b13a4ba13cp-6, 0x1.2398370ab5ea5p-6, 0x1.1b0f0ca22f25fp-6, 0x1.12be593150f76p-6, 0x1.0aa4e643cb687p-6, 0x1.02c182273e744p-6, 0x1.f625ffce636fdp-7, 0x1.e7306e90f38b4p-7, 0x1.d8a0098871ad9p-7, 0x1.ca729304ba9eep-7, 0x1.bca5d6a76226cp-7, 0x1.af37a957043b8p-7, 0x1.a225e931b7d4cp-7, 0x1.956e7d7ec7f7p-7, 0x1.890f569f96d49p-7, 0x1.7d066dffddac4p-7, 0x1.7151c60538837p-7, 0x1.65ef69fdf2793p-7, 0x1.5add6e0f563fap-7, 0x1.5019ef234096ep-7, 0x1.45a312d53bff6p-7, 0x1.3b77075ef77a9p-7, 0x1.31940384568e8p-7, 0x1.27f8467eef9fbp-7, 0x1.1ea217e915e75p-7, 0x1.158fc7a88541bp-7, 0x1.0cbfadd88f0b2p-7, 0x1.04302ab3ff366p-7, 0x1.f7bf4cfd0c31cp-8, 0x1.e79922dbf5586p-8, 0x1.d7eac72635876p-8, 0x1.c8b1398466643p-8, 0x1.b9e988f6d1de3p-8, 0x1.ab90d3a5a1f67p-8, 0x1.9da446b09c475p-8, 0x1.90211dfe79577p-8, 0x1.8304a40bfbc02p-8, 0x1.764c31baabd86p-8, 0x1.69f52e1f46d0ap-8, 0x1.5dfd0e5023ac8p-8, 0x1.52615533224cp-8, 0x1.471f934bcb271p-8, 0x1.3c3566891196p-8, 0x1.31a07a1331af1p-8, 0x1.275e861980ea2p-8, 0x1.1d6d4fa0187bbp-8, 0x1.13caa84dc4169p-8, 0x1.0a746e39cee64p-8, 0x1.01688bba10b69p-8, 0x1.f149ee62221f4p-9, 0x1.e04f65b867c86p-9, 0x1.cfdd99447f838p-9, 0x1.bff0bbc3e4283p-9, 0x1.b0851682040dcp-9, 0x1.a19708f63dcdbp-9, 0x1.93230862d307dp-9, 0x1.85259f744c4dbp-9, 0x1.779b6de16f6bep-9, 0x1.6a81280bf63bp-9, 0x1.5dd396a1e0402p-9, 0x1.518f963fa45acp-9, 0x1.45b21712ca99p-9, 0x1.3a381c7dad974p-9, 0x1.2f1ebcbc00587p-9, 0x1.24632087c8168p-9, 0x1.1a0282bf8f11ep-9, 0x1.0ffa300d5cfa8p-9, 0x1.0647868e7df23p-9, 0x1.f9cfeaf893681p-10, 0x1.e7b1f9ab5685fp-10, 0x1.d6305a13a82bp-10, 0x1.c5464d475f924p-10, 0x1.b4ef33ec960e5p-10, 0x1.a5268d94f3366p-10, 0x1.95e7f81a05099p-10, 0x1.872f2efca331dp-10, 0x1.78f80ac52b934p-10, 0x1.6b3e8066b496ap-10, 0x1.5dfea0a3b41fdp-10, 0x1.51349774ffbfbp-10, 0x1.44dcab72c66d4p-10, 0x1.38f33d3f667fdp-10, 0x1.2d74c6f4dd125p-10, 0x1.225ddb937ac81p-10, 0x1.17ab267378e8fp-10, 0x1.0d596ab81d0f1p-10, 0x1.036582c576cc3p-10, 0x1.f398bf6f77bcap-11, 0x1.e0e311e8af0abp-11, 0x1.cf07935e3f098p-11, 0x1.bdd07f5e3eb47p-11, 0x1.ad386317f7eacp-11, 0x1.9d39f3ee76c52p-11, 0x1.8dd00e8413908p-11, 0x1.7ef5b5c9be874p-11, 0x1.70a61212b74b8p-11, 0x1.62dc702cc3468p-11, 0x1.5594407c75f08p-11, 0x1.48c9161dce551p-11, 0x1.3c76a608b448ep-11, 0x1.3098c63a4e96dp-11, 0x1.252b6ce145e68p-11, 0x1.1a2aaf8ef5519p-11, 0x1.0f92c26c8b8dep-11, 0x1.055ff773aa485p-11, 0x1.f71d7b5675f75p-12, 0x1.e43740d08e1b2p-12, 0x1.d2068d248865ep-12, 0x1.c084e3d5b5092p-12, 0x1.afabfcb54bfd2p-12, 0x1.9f75c28146d87p-12, 0x1.8fdc5188c054ep-12, 0x1.80d9f65d41869p-12, 0x1.72692c8460978p-12, 0x1.64849d34c1564p-12, 0x1.57271e1859b32p-12, 0x1.4a4bb015dfa71p-12, 0x1.3ded7e203c3c7p-12, 0x1.3207dc0e5e4e6p-12, 0x1.26964577245e9p-12, 0x1.1b945c95478e2p-12, 0x1.10fde93075598p-12, 0x1.06ced78f8957ep-12, 0x1.fa066ed7c39efp-13, 0x1.e72e75df6f126p-13, 0x1.d50e6b6d77ec3p-13, 0x1.c39f37adfd72bp-13, 0x1.b2da01dc7fb39p-13, 0x1.a2b82e6a5bba4p-13, 0x1.93335d321d999p-13, 0x1.844567b23d2d5p-13, 0x1.75e85f55c19a2p-13, 0x1.68168bc66a269p-13, 0x1.5aca694a3d698p-13, 0x1.4dfea7276127fp-13, 0x1.41ae26188917bp-13, 0x1.35d3f6c582935p-13, 0x1.2a6b58488b529p-13, 0x1.1f6fb6bb9e76dp-13, 0x1.14dca9d11d1dfp-13, 0x1.0aadf372c6d95p-13, 0x1.00df7e6c633cap-13, 0x1.eedaba3af2bb1p-14, 0x1.dca790699ea97p-14, 0x1.cb1e3ae9ce29fp-14, 0x1.ba37bcfd6b11cp-14, 0x1.a9ed5f49b00ep-14, 0x1.9a38ad93fc976p-14, 0x1.8b13748a107e3p-14, 0x1.7c77bf9478aabp-14, 0x1.6e5fd6c35022p-14, 0x1.60c63cbb6cc4dp-14, 0x1.53a5acc59b062p-14, 0x1.46f918d510b76p-14, 0x1.3abba7aedd28ap-14, 0x1.2ee8b313efdaep-14, 0x1.237bc5fc17baap-14, 0x1.18709addb7088p-14, 0x1.0dc31a00ad7dbp-14, 0x1.036f57dfab6dap-14, 0x1.f2e3272bd21e6p-15, 0x1.df8c6aa69f11p-15, 0x1.ccd399c8092b2p-15, 0x1.bab220787aeb8p-15, 0x1.a921b4292921ep-15, 0x1.981c51110e821p-15, 0x1.879c379a2a919p-15, 0x1.779be9c700d69p-15, 0x1.681628be34fc4p-15, 0x1.5905f25cdc756p-15, 0x1.4a667ee554464p-15, 0x1.3c333ebb6a5ffp-15, 0x1.2e67d833ae808p-15, 0x1.210025703f5aap-15, 0x1.13f8325c7bb3p-15, 0x1.074c3a9f8217ap-15, 0x1.f5f14f7407629p-16, 0x1.ddf41e43e90d8p-16, 0x1.c69a60ea6c585p-16, 0x1.afdde771e652dp-16, 0x1.99b8cf5024ef1p-16, 0x1.8425801e52ddep-16, 0x1.6f1ea86c8e9bp-16, 0x1.5a9f3abb96de4p-16, 0x1.46a26a794cab1p-16, 0x1.3323a92bf3427p-16, 0x1.201ea3af90974p-16, 0x1.0d8f3f90bcd29p-16, 0x1.f6e330cb0b611p-17, 0x1.d383fae55f9fbp-17, 0x1.b0f9de5b76399p-17, 0x1.8f3e3a02ab194p-17, 0x1.6e4ac6105c65dp-17, 0x1.4e198fdf26187p-17, 0x1.2ea4f5e74dadap-17, 0x1.0fe7a375a339bp-17, 0x1.e3b91ac0fd003p-18, 0x1.a8fddbf6b003cp-18, 0x1.6f948356a4d6p-18, 0x1.3774874bd1c9ep-18, 0x1.0095d50824c6fp-18, 0x1.95e19509b4b2bp-19, 0x1.2cfc60eadf5acp-19, 0x1.8cdcd25a589eep-20, 0x1.88ab21cde21a3p-21, 0x1.2a6e253b5982p-30, -0x1.7eb6353f87186p-21, -0x1.7ab15d3d75f1dp-20, -0x1.18e664456e4e9p-19, -0x1.72606daac075p-19, -0x1.c9d0040db9cbp-19, -0x1.0f9ef138f9158p-18, -0x1.395926e5ec4fp-18, -0x1.621a8dc5c2353p-18, -0x1.89e6dcb543697p-18, -0x1.b0c199f45f967p-18, -0x1.d6ae1e6b6a71dp-18, -0x1.fbaf9873caaebp-18, -0x1.0fe48799fe844p-17, -0x1.217eb28c9bff3p-17, -0x1.32a7ad4a8ccdfp-17, -0x1.4360c8508aaecp-17, -0x1.53ab458d5e727p-17, -0x1.6388598f8f9a5p-17, -0x1.72f92c8796c68p-17, -0x1.81fedb633d1e4p-17, -0x1.909a78b960e76p-17, -0x1.9ecd0db7d1137p-17, -0x1.ac979b0481166p-17, -0x1.b9fb198cbed1dp-17, -0x1.c6f87b41dd588p-17, -0x1.d390ac064b0b1p-17, -0x1.dfc4921bd56f5p-17, -0x1.eb950edee7579p-17, -0x1.f702ff7f2d398p-17, -0x1.01079ebcf3fc5p-16, -0x1.065d4f92d3dd5p-16, -0x1.0b82fc1cc73aep-16, -0x1.10790d20dd7b4p-16, -0x1.153fea8483039p-16, -0x1.19d7fb898695ap-16, -0x1.1e41a6ff3baf6p-16, -0x1.227d535d75fc1p-16, -0x1.268b66ffbea49p-16, -0x1.2a6c4848b6abbp-16, -0x1.2e205dbc226b8p-16, -0x1.31a80e2cc8cf1p-16, -0x1.3503c0d2919bcp-16, -0x1.3833dd610448dp-16, -0x1.3b38cc2a8efa1p-16, -0x1.3e12f62b1055ap-16, -0x1.40c2c52280d01p-16, -0x1.4348a3a406136p-16, -0x1.45a4fd1fcc4b2p-16, -0x1.47d83dfe926adp-16, -0x1.49e2d3a0bdd5p-16, -0x1.4bc52c5caf0dbp-16, -0x1.4d7fb7a55a443p-16, -0x1.4f12e5f870507p-16, -0x1.507f28ea6ceccp-16, -0x1.51c4f32a3b233p-16, -0x1.52e4b87c77215p-16, -0x1.53deedce08823p-16, -0x1.54b4091a3d016p-16, -0x1.5564817cbadf8p-16, -0x1.55f0cf261ee01p-16, -0x1.56596b5cdf449p-16, -0x1.569ed073dc6d9p-16, -0x1.56c179c82f86bp-16, -0x1.56c1e3ba10835p-16, -0x1.56a08ba7a9b32p-16, -0x1.565defe09b48ep-16, -0x1.55fa8f9f6af83p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.565fd04bee35dp+0, -0x1.4964399d604d8p+0, -0x1.3dc46813b438ep+0, -0x1.33687233ffc85p+0, -0x1.2a384b05c066fp+0, -0x1.221c0db4bc675p+0, -0x1.1afc5b5ad4015p+0, -0x1.14c2aba79d1f1p+0, -0x1.0f596dfe372a9p+0, -0x1.0aac0abb4e959p+0, -0x1.06a6ed45b4de5p+0, -0x1.0337a0dc7ac4ap+0, -0x1.004ceb41b86d8p+0, -0x1.fbada6544e0b5p-1, -0x1.f78d25578a9c1p-1, -0x1.f41d02af4dc64p-1, -0x1.f1440434ec268p-1, -0x1.eeeaf470c9e3dp-1, -0x1.ecfc9cd8d4095p-1, -0x1.eb65bf05e27adp-1, -0x1.ea1503571dc86p-1, -0x1.e8fabcd28f82bp-1, -0x1.e8098601070b6p-1, -0x1.e73481123d98ep-1, -0x1.e6708b226c8f4p-1, -0x1.e5b3c93ea7b08p-1, -0x1.e4f5914a15788p-1, -0x1.e42e532e74fcbp-1, -0x1.e357823cdff95p-1, -0x1.e26b7f03ef9fp-1, -0x1.e16581b30be75p-1, -0x1.e041852c1c67ap-1, -0x1.defc335c9d9cbp-1, -0x1.dd92d3d0b6235p-1, -0x1.dc033d1f4ea64p-1, -0x1.da4bc8e22ce53p-1, -0x1.d86b490d20603p-1, -0x1.d660fd4209baep-1, -0x1.d42c875204b84p-1, -0x1.d1cddf0c256bfp-1, -0x1.cf4546326d509p-1, -0x1.cc933d93d709fp-1, -0x1.c9b87be8521d8p-1, -0x1.c6b5e671db296p-1, -0x1.c38c8aeca87dp-1, -0x1.c03d9a30b3e74p-1, -0x1.bcca630ccc0a9p-1, -0x1.b9344d300de37p-1, -0x1.b57cd43cb9f2cp-1, -0x1.b1a58341b340ep-1, -0x1.adaff0d14c359p-1, -0x1.a99dbbca25a15p-1, -0x1.a57088bee76f3p-1, -0x1.a129ffcd5e7d6p-1, -0x1.9ccbcaadcb272p-1, -0x1.985792cec5281p-1, -0x1.93ceff6928c7dp-1, -0x1.8f33b38fbaef2p-1, -0x1.8a874c4f479efp-1, -0x1.85cb5ef9da01p-1, -0x1.810177b2e0787p-1, -0x1.7c2b1846ba5cp-1, -0x1.7749b74b7677ap-1, -0x1.725fedcaa4fe5p-1, -0x1.6d6cd0be81a5fp-1, -0x1.6872b98c2a553p-1, -0x1.6372eb38ddecp-1, -0x1.5e6e9d55bd373p-1, -0x1.5966fc1864809p-1, -0x1.545d286471d5bp-1, -0x1.4f5237c6c28d9p-1, -0x1.4a4734675f4dap-1, -0x1.453d1cf907973p-1, -0x1.4034e4ad22594p-1, -0x1.3b2f73312a3bfp-1, -0x1.362da4b846986p-1, -0x1.31304a118457fp-1, -0x1.2c3828c9a8d46p-1, -0x1.2745fb570509fp-1, -0x1.225a714e04892p-1, -0x1.1d762f9e0a33cp-1, -0x1.1899d0d70767fp-1, -0x1.13c5e578c4fc2p-1, -0x1.0efaf44cc7959p-1, -0x1.0a397acafbc58p-1, -0x1.0581ed8831365p-1, -0x1.00d4b8ac031f9p-1, -0x1.f86480d54791bp-2, -0x1.ef35c2fc7583cp-2, -0x1.e61de336d9ab4p-2, -0x1.dd1d7fba675bp-2, -0x1.d4352a4a6ec39p-2, -0x1.cb6568de82368p-2, -0x1.c2aeb62f9a4cfp-2, -0x1.ba11822dfbf09p-2, -0x1.b18e32643657p-2, -0x1.a925224c869ecp-2, -0x1.a0d6a39e0fb4ep-2, -0x1.98a2fe96ce2a2p-2, -0x1.908a724630f4dp-2, -0x1.888d34db10374p-2, -0x1.80ab73f6776f3p-2, -0x1.78e55503a12d5p-2, -0x1.713af594a68afp-2, -0x1.69ac6bc2c9c6ap-2, -0x1.6239c690e6316p-2, -0x1.5ae30e4e8265ap-2, -0x1.53a844fa0c4efp-2, -0x1.4c8966a10881bp-2, -0x1.458669bd3aa3ap-2, -0x1.3e9f3f8e2c146p-2, -0x1.37d3d46eb249p-2, -0x1.3124102654bd1p-2, -0x1.2a8fd636acdf2p-2, -0x1.24170624de4fap-2, -0x1.1db97bbf63b36p-2, -0x1.17770f6060ebcp-2, -0x1.114f962c9bb04p-2, -0x1.0b42e24f35cdfp-2, -0x1.0550c332274afp-2, -0x1.fef20b66eab2cp-3, -0x1.f376e8ae184e1p-3, -0x1.e82faeea72ae2p-3, -0x1.dd1beacb5fac6p-3, -0x1.d23b254e52891p-3, -0x1.c78ce4076dfbp-3, -0x1.bd10a963e71ddp-3, -0x1.b2c5f4e6b6dd5p-3, -0x1.a8ac436032eaap-3, -0x1.9ec30f215a4d7p-3, -0x1.9509d02b99b81p-3, -0x1.8b7ffc5dcd87ep-3, -0x1.8225079f323fep-3, -0x1.78f86408ed3ffp-3, -0x1.6ff9820ea1d5ap-3, -0x1.6727d0a66e213p-3, -0x1.5e82bd708d602p-3, -0x1.5609b4deb217fp-3, -0x1.4dbc225b20eb2p-3, -0x1.4599706f5f3dbp-3, -0x1.3da108ea68769p-3, -0x1.35d255062eeedp-3, -0x1.2e2cbd8c31253p-3, -0x1.26afaaf9062ep-3, -0x1.1f5a859ea12a1p-3, -0x1.182cb5c53db14p-3, -0x1.1125a3cabea78p-3, -0x1.0a455b728d4f1p-3, -0x1.0389eeb09cff3p-3, -0x1.f9e6f1277a16bp-4, -0x1.ed02c7073724p-4, -0x1.e06634f8d2555p-4, -0x1.d4101242694d5p-4, -0x1.c7ff379ad95a3p-4, -0x1.bc327f4b46b02p-4, -0x1.b0a8c54f393d2p-4, -0x1.a560e77339fbp-4, -0x1.9a59c57238dedp-4, -0x1.8f924111796f2p-4, -0x1.85093e3b30ebdp-4, -0x1.7abda317c49e9p-4, -0x1.70ae5825a0efcp-4, -0x1.66da484fa533bp-4, -0x1.5d406102294afp-4, -0x1.53df923e90f19p-4, -0x1.4ab6cead7697ep-4, -0x1.41c50baf6e4b7p-4, -0x1.3909416c689aep-4, -0x1.30826ae1bc245p-4, -0x1.282f85eee5d04p-4, -0x1.200f93610749ap-4, -0x1.182196fd34968p-4, -0x1.10649789a0a68p-4, -0x1.08d79ed5b22a7p-4, -0x1.0179b9c119af3p-4, -0x1.f493f083da118p-5, -0x1.e68edad3bcc8cp-5, -0x1.d8e25ed537593p-5, -0x1.cb8caf32c35d1p-5, -0x1.be8c04e39dedap-5, -0x1.b1de9f300fa12p-5, -0x1.a582c3b45c14fp-5, -0x1.9976be62833b5p-5, -0x1.8db8e182cf267p-5, -0x1.824785b35889p-5, -0x1.772109e67e683p-5, -0x1.6c43d3606c6ffp-5, -0x1.61ae4db3bb2c1p-5, -0x1.575eeabd31301p-5, -0x1.4d54229ebafd5p-5, -0x1.438c73b99b6bp-5, -0x1.3a0662a7e02bp-5, -0x1.30c07a352933dp-5, -0x1.27b94b56c747ap-5, -0x1.1eef6d2333018p-5, -0x1.16617cc8f0cfbp-5, -0x1.0e0e1d84e2913p-5, -0x1.05f3f8980511bp-5, -0x1.fc237a795e6dap-6, -0x1.eccc41369b2b2p-6, -0x1.dddfbb7d4512p-6, -0x1.cf5b6b0f2c17bp-6, -0x1.c13cdd4122385p-6, -0x1.b381aae0e35bdp-6, -0x1.a627781a36168p-6, -0x1.992bf45b4b99ep-6, -0x1.8c8cda386ce8fp-6, -0x1.8047ef4f04cb5p-6, -0x1.745b0427fd59p-6, -0x1.68c3f419a0442p-6, -0x1.5d80a528d5fe7p-6, -0x1.528f07e9fd6cfp-6, -0x1.47ed176139afap-6, -0x1.3d98d8e2673f6p-6, -0x1.33905bf0a999dp-6, -0x1.29d1ba1da2606p-6, -0x1.205b16e85ffc4p-6, -0x1.172a9f9c052f4p-6, -0x1.0e3e8b2e4017ap-6, -0x1.05951a1d8346ap-6, -0x1.fa592c9e4129dp-7, -0x1.ea06a5da910b4p-7, -0x1.da2f5889c0498p-7, -0x1.cad00f46b63cap-7, -0x1.bbe5a6690713fp-7, -0x1.ad6d0bc076c28p-7, -0x1.9f633e5096a91p-7, -0x1.91c54e0c68e12p-7, -0x1.84905b923bd37p-7, -0x1.77c197e78e40ap-7, -0x1.6b56443544e9cp-7, -0x1.5f4bb184117c2p-7, -0x1.539f4079338e1p-7, -0x1.484e61136adf4p-7, -0x1.3d56926869aap-7, -0x1.32b5626286927p-7, -0x1.28686d7eea6e8p-7, -0x1.1e6d5e8c2da94p-7, -0x1.14c1ee6957758p-7, -0x1.0b63e3c56df6dp-7, -0x1.025112df8003p-7, -0x1.f30eba8e5c83bp-8, -0x1.e209633b92ae2p-8, -0x1.d18e16aff3f18p-8, -0x1.c198e50000119p-8, -0x1.b225f6f10b784p-8, -0x1.a3318d8031f12p-8, -0x1.94b8016a65f69p-8, -0x1.86b5c2b5ed122p-8, -0x1.7927583cfeff9p-8, -0x1.6c095f39e7901p-8, -0x1.5f588ad4475f4p-8, -0x1.5311a3afd0ce8p-8, -0x1.4731877c6a312p-8, -0x1.3bb52887943b3p-8, -0x1.30998d4f4f865p-8, -0x1.25dbd016678fep-8, -0x1.1b791e7a13b51p-8, -0x1.116eb9093d8d7p-8, -0x1.07b9f2dced694p-8, -0x1.fcb06264c78fap-9, -0x1.ea8dd60d18e8ep-9, -0x1.d9075165d631cp-9, -0x1.c8180718175dbp-9, -0x1.b7bb4b029d215p-9, -0x1.a7ec917c6981bp-9, -0x1.98a76e9a998d2p-9, -0x1.89e79578a5d25p-9, -0x1.7ba8d783df80dp-9, -0x1.6de723c9f3983p-9, -0x1.609e8649f0fa5p-9, -0x1.53cb2748c4031p-9, -0x1.47694aa8226fdp-9, -0x1.3b754f408145ep-9, -0x1.2febae3e1e4a9p-9, -0x1.24c8fa807f6b8p-9, -0x1.1a09dffd2f614p-9, -0x1.0fab2324fc14bp-9, -0x1.05a9a04c4ad67p-9, -0x1.f804962bf8d89p-10, -0x1.e5645bc25c28dp-10, -0x1.d36cd2735f0ddp-10, -0x1.c21866966bac6p-10, -0x1.b161aeaea2c0ap-10, -0x1.a1436a5bcc27ap-10, -0x1.91b881509bffdp-10, -0x1.82bc024e72a8dp-10, -0x1.74492226204ap-10, -0x1.665b3abd943a3p-10, -0x1.58edca1ad5bd1p-10, -0x1.4bfc7173f745p-10, -0x1.3f82f443bc2abp-10, -0x1.337d376348ad4p-10, -0x1.27e74028b832bp-10, -0x1.1cbd338a13cdbp-10, -0x1.11fb5545542b8p-10, -0x1.079e070cca88cp-10, -0x1.fb438f701c583p-11, -0x1.e80664f354271p-11, -0x1.d57dfc31a8a44p-11, -0x1.c3a3f85f7e3dp-11, -0x1.b27230dbe10f2p-11, -0x1.a1e2afbf1637dp-11, -0x1.91efb06f4acffp-11, -0x1.82939e3f1a387p-11, -0x1.73c91313e5937p-11, -0x1.658ad6138b995p-11, -0x1.57d3da5a46456p-11, -0x1.4a9f3db824fe3p-11, -0x1.3de84776c9db1p-11, -0x1.31aa67251fa94p-11, -0x1.25e1336be32c1p-11, -0x1.1a8868e89e7bp-11, -0x1.0f9be90f73453p-11, -0x1.0517b914c1bcfp-11, -0x1.f5cac02748c9dp-12, -0x1.e24ab5d4ad91dp-12, -0x1.cf852db084554p-12, -0x1.bd733acba786dp-12, -0x1.ac0e2d8014bbap-12, -0x1.9b4f91921d4c5p-12, -0x1.8b312c61a8ff5p-12, -0x1.7bacfb238bdaap-12, -0x1.6cbd312988dc8p-12, -0x1.5e5c3634b47a1p-12, -0x1.5084a4d2f3238p-12, -0x1.433148c8150f8p-12, -0x1.365d1d819e5c1p-12, -0x1.2a034c9498efdp-12, -0x1.1e1f2c4673856p-12, -0x1.12ac3e20b7614p-12, -0x1.07a62d8bddfccp-12, -0x1.fa119cedd41cp-13, -0x1.e5a0380f5d45ep-13, -0x1.d1f06ea63ef62p-13, -0x1.befacc3e84662p-13, -0x1.acb8235ecf966p-13, -0x1.9b218b2ecfec1p-13, -0x1.8a305d2f3816fp-13, -0x1.79de3302d3c46p-13, -0x1.6a24e4493d078p-13, -0x1.5afe8484bad6fp-13, -0x1.4c656114a489cp-13, -0x1.3e53ff3be7036p-13, -0x1.30c51a37b1fa5p-13, -0x1.23b3a162b21dcp-13, -0x1.171ab668679fbp-13, -0x1.0af5ab82a6eep-13, -0x1.fe800394994adp-14, -0x1.e7eacf1f57p-14, -0x1.d2236d810877fp-14, -0x1.bd21e6b6f2229p-14, -0x1.a8de93e261e8cp-14, -0x1.95521c58b38c4p-14, -0x1.827572d3a4281p-14, -0x1.7041d2b2bd645p-14, -0x1.5eb0bd567ff3bp-14, -0x1.4dbbf78af7378p-14, -0x1.3d5d870acbb4bp-14, -0x1.2d8fb01806d46p-14, -0x1.1e4cf3228d1c2p-14, -0x1.0f900a8d2249ap-14, -0x1.0153e87240654p-14, -0x1.e727691930b12p-15, -0x1.cc959451f27d4p-15, -0x1.b2e96c55bea3ep-15, -0x1.9a1a6a44d4593p-15, -0x1.822062df96b3p-15, -0x1.6af382f30453bp-15, -0x1.548c4be3d7f51p-15, -0x1.3ee3904f91e92p-15, -0x1.29f270d55d531p-15, -0x1.15b258f568af7p-15, -0x1.021cfc069fa9fp-15, -0x1.de58a49d912aep-16, -0x1.b9b52c80058f4p-16, -0x1.96448350eb9f5p-16, -0x1.73fc164e6c639p-16, -0x1.52d1c734d011dp-16, -0x1.32bbe7753e3a5p-16, -0x1.13b13360dbd08p-16, -0x1.eb519b8114c81p-17, -0x1.b13476ca891e1p-17, -0x1.78fabded5faf1p-17, -0x1.4294e9c723722p-17, -0x1.0df41efe47a1p-17, -0x1.b6144cc9b1a01p-18, -0x1.5392cbca99a98p-18, -0x1.e8936555af26cp-19, -0x1.30402facd8de9p-19, -0x1.f7f11b3af7547p-21, 0x1.732fd406d218fp-22, 0x1.aa248cb220c51p-20, 0x1.76327351a6124p-19, 0x1.08f749094e4e6p-18, 0x1.54368153f4dc2p-18, 0x1.9ce94465e4d93p-18, 0x1.e3212fbb28bc2p-18, 0x1.137792e6ab824p-17, 0x1.3431ab8a85516p-17, 0x1.53c6a555caac6p-17, 0x1.723df3410bcb1p-17, 0x1.8f9ebba47b0adp-17, 0x1.abefdc2a07adcp-17, 0x1.c737ed445fa73p-17, 0x1.e17d45c15195ap-17, 0x1.fac5fe1cdf8b5p-17, 0x1.098bf9d9b808cp-16, 0x1.153c65eca7561p-16, 0x1.2076fb4f31215p-16, 0x1.2b3e58e6e340ap-16, 0x1.359505c1ac681p-16, 0x1.3f7d72562c437p-16, 0x1.48f9f9bf39246p-16, 0x1.520ce2e372f81p-16, 0x1.5ab8618dca099p-16, 0x1.62fe977e2650fp-16, 0x1.6ae19567eef8dp-16, 0x1.72635be299ab3p-16, 0x1.7985dc533caedp-16, 0x1.804af9cb7325dp-16, 0x1.86b489cb698f6p-16, 0x1.8cc45527e33efp-16, 0x1.927c18a0c0998p-16, 0x1.97dd85ace6539p-16, 0x1.9cea4317fb3cep-16, 0x1.a1a3ed9710bfdp-16, 0x1.a60c187b34381p-16, 0x1.aa244e29124e8p-16, 0x1.adee10a7594ebp-16, 0x1.b16ada1b8835cp-16, 0x1.b49c1d3da7bc5p-16, 0x1.b78345cea3ac4p-16, 0x1.ba21b8faf763cp-16, 0x1.bc78d5ca0f056p-16, 0x1.be89f56940bb4p-16, 0x1.c0566b8f4a313p-16, 0x1.c1df86ca2afd4p-16, 0x1.c32690cc4fefap-16, 0x1.c42cceaeb21efp-16, 0x1.c4f38133637bfp-16, 0x1.c57be51097367p-16, 0x1.c5c7331a24ca9p-16, 0x1.c5d6a080839cbp-16, 0x1.c5ab5ef170ef1p-16, 0x1.c5469cdd917d6p-16, 0x1.c4a9859130121p-16, 0x1.c3d541604bfabp-16, 0x1.c2caf5c8713c7p-16, 0x1.c18bc59280ee5p-16, 0x1.c018d0ed3a17bp-16, 0x1.be73358cc6ap-16, 0x1.bc9c0ebdbe13cp-16, 0x1.ba94757d3185ap-16, 0x1.b85d808c8cfc6p-16, 0x1.b5f84481593b9p-16, 0x1.b365d3d681efdp-16, 0x1.b0a73ef4c487cp-16, 0x1.adbd9450e6dd4p-16, 0x1.aaa9e05788addp-16, 0x1.a76d2d80c4e6ep-16, 0x1.a408846ad303ep-16, 0x1.a07cebc8e7127p-16, 0x1.9ccb68727bddap-16, 0x1.98f4fd5f96013p-16, 0x1.94faabaf48c3fp-16, 0x1.90dd72a54278ep-16, 0x1.8c9e4fb50ca35p-16, 0x1.883e3e704b4aep-16, 0x1.83be38903952dp-16, 0x1.7f1f35f145d1ap-16, 0x1.7a622c90a353bp-16, 0x1.7588108621664p-16, 0x1.7091d402f6059p-16, 0x1.6b8067531a5f5p-16, 0x1.6654b8c64de13p-16, 0x1.610fb4ba786cep-16, 0x1.5bb24596d23c1p-16, 0x1.563d53bd70701p-16, 0x1.50b1c5898c145p-16, 0x1.4b107f45927bep-16, 0x1.455a632fd392fp-16, 0x1.3f905168ca90ep-16, 0x1.39b327e108fd2p-16, 0x1.33c3c274436b9p-16, 0x1.2dc2fac5ae461p-16, 0x1.27b1a843ab979p-16, 0x1.2190a01ee1b3fp-16, 0x1.1b60b54b3c775p-16, 0x1.1522b861870d2p-16, 0x1.0ed777b8a2dbep-16, 0x1.087fbf4ac2d7bp-16, 0x1.021c58b2d26abp-16, 0x1.f75c1655e222ap-17, 0x1.ea6b36fe0a68dp-17, 0x1.dd6798172ae44p-17, 0x1.d052b96e1b708p-17, 0x1.c32e15d445a8bp-17, 0x1.b5fb232749fccp-17, 0x1.a8bb52146e573p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.8c8382c2c38b7p-1, 0x1.837c0c8b326a9p-1, 0x1.7a3628fd959f7p-1, 0x1.70b6fc45221d6p-1, 0x1.670398daf5548p-1, 0x1.5d20fc4f0e9e7p-1, 0x1.53140c74866c9p-1, 0x1.48e194e9409e8p-1, 0x1.3e8e44f1c4b28p-1, 0x1.341eada256701p-1, 0x1.2997404edc75ap-1, 0x1.1efc4d3b90e8dp-1, 0x1.14520288ec6a3p-1, 0x1.099c6b559ca15p-1, 0x1.fdbede238215fp-2, 0x1.e83da1fdff1d7p-2, 0x1.d2bc5fb2b5934p-2, 0x1.bd420b4a0b1f1p-2, 0x1.a7d54f3b646e9p-2, 0x1.927c8c884be1bp-2, 0x1.7d3ddb0e294a2p-2, 0x1.681f0a090535ep-2, 0x1.5325a0c23ede5p-2, 0x1.3e56df667d786p-2, 0x1.29b7bffe803b9p-2, 0x1.154cf786c5585p-2, 0x1.011af72251e27p-2, 0x1.da4bdaca4b9aap-3, 0x1.b2e38f666658dp-3, 0x1.8c046761dbdd5p-3, 0x1.65b54185840d9p-3, 0x1.3ffc8331f0013p-3, 0x1.1ae01b8b86f1ep-3, 0x1.eccb0d6dab4b1p-4, 0x1.a523a2427aa2bp-4, 0x1.5ed335a51d51p-4, 0x1.19e23588e4fa6p-4, 0x1.acb088f2edfeap-5, 0x1.287880a0478a6p-5, 0x1.4e51239524282p-6, 0x1.465c6b98e8f2cp-8, -0x1.4a5473660064p-7, -0x1.95e2a3ce42d53p-6, -0x1.40423de230d6ap-5, -0x1.b28247894feeap-5, -0x1.10d681c69642dp-4, -0x1.46df94113dd4bp-4, -0x1.7b5b4064c335cp-4, -0x1.ae48f12723bfep-4, -0x1.dfa88f81cae89p-4, -0x1.07bd3eced79cfp-3, -0x1.1edfc87f74c91p-3, -0x1.353c86802efacp-3, -0x1.4ad44eb808609p-3, -0x1.5fa828a63f938p-3, -0x1.73b94ad1a893ap-3, -0x1.87091848c2589p-3, -0x1.99991e3294647p-3, -0x1.ab6b11704c6ffp-3, -0x1.bc80cc4f998a9p-3, -0x1.ccdc4c4da6c84p-3, -0x1.dc7fafea9a36ap-3, -0x1.eb6d348d7b13ep-3, -0x1.f9a7347850a82p-3, -0x1.0398126625919p-2, -0x1.0a0549cee3ef9p-2, -0x1.101c930bff02cp-2, -0x1.15df4b58085d6p-2, -0x1.1b4ed9b3aac7bp-2, -0x1.206cae0e48d22p-2, -0x1.253a4075f1cf2p-2, -0x1.29b9104e96565p-2, -0x1.2deaa39053da6p-2, -0x1.31d0860cb6c64p-2, -0x1.356c48badaf12p-2, -0x1.38bf810a3c3b3p-2, -0x1.3bcbc83c1f231p-2, -0x1.3e92bac36cd1fp-2, -0x1.4115f7aae0522p-2, -0x1.4357200165b43p-2, -0x1.4557d64c85c1ep-2, -0x1.4719be00c6ef5p-2, -0x1.489e7affd328dp-2, -0x1.49e7b11c52388p-2, -0x1.4af703a34cc85p-2, -0x1.4bce14eafd9cbp-2, -0x1.4c6e85e6ed689p-2, -0x1.4cd9f5c13fb86p-2, -0x1.4d120179079c7p-2, -0x1.4d1843858f673p-2, -0x1.4cee537e6efe3p-2, -0x1.4c95c5c84f511p-2, -0x1.4c102b4646bb3p-2, -0x1.4b5f110fa3a73p-2, -0x1.4a84002a10c82p-2, -0x1.49807d47f33ep-2, -0x1.4856088ae0c83p-2, -0x1.47061d4a17982p-2, -0x1.459231dcd818fp-2, -0x1.43fbb76880915p-2, -0x1.424419b256d5cp-2, -0x1.406cbef4daa7bp-2, -0x1.3e7707b88c878p-2, -0x1.3c644eb0086d5p-2, -0x1.3a35e8975dfa6p-2, -0x1.37ed24168678dp-2, -0x1.358b49a6e23b7p-2, -0x1.33119b7b9f75dp-2, -0x1.3081556cf650ap-2, -0x1.2ddbace6193f9p-2, -0x1.2b21d0d5c78eep-2, -0x1.2854e9a1627f9p-2, -0x1.2576191a743a6p-2, -0x1.22867a76879efp-2, -0x1.1f872249426ap-2, -0x1.1c791e80a198ep-2, -0x1.195d766347536p-2, -0x1.16352a90bf875p-2, -0x1.13013503aa107p-2, -0x1.0fc28915ac82ap-2, -0x1.0c7a13851f479p-2, -0x1.0928ba7c5bab2p-2, -0x1.05cf5d9a94695p-2, -0x1.026ed5fe2b8bap-2, -0x1.fe0feca0d6658p-3, -0x1.f73715a5220c3p-3, -0x1.f054b2d831ep-3, -0x1.e96a43746bfe9p-3, -0x1.e2793a40c6e1p-3, -0x1.db82fdb4031cep-3, -0x1.d488e819d53efp-3, -0x1.cd8c47b9dace1p-3, -0x1.c68e5f004477dp-3, -0x1.bf9064a80b2fdp-3, -0x1.b89383e698804p-3, -0x1.b198dc98c1814p-3, -0x1.aaa18370fe788p-3, -0x1.a3ae8226afa2cp-3, -0x1.9cc0d7a6754d9p-3, -0x1.95d978435e921p-3, -0x1.8ef94de8ec0b3p-3, -0x1.8821384dc8a0ep-3, -0x1.81520d271e03ap-3, -0x1.7a8c985c72607p-3, -0x1.73d19c3bf407dp-3, -0x1.6d21d1af25d78p-3, -0x1.667de86fd4a4cp-3, -0x1.5fe6873d43314p-3, -0x1.595c4c117244ap-3, -0x1.52dfcc568b14ap-3, -0x1.4c71951c38f6ap-3, -0x1.46122b4d014fp-3, -0x1.3fc20be37af45p-3, -0x1.3981ac1f58b72p-3, -0x1.335179ba38fap-3, -0x1.2d31db1c2fcccp-3, -0x1.27232f900480cp-3, -0x1.2125cf7704cecp-3, -0x1.1b3a0c7c76596p-3, -0x1.156031c896b7dp-3, -0x1.0f98843315cccp-3, -0x1.09e342751254cp-3, -0x1.0440a55a7e489p-3, -0x1.fd61bfe5f24c1p-4, -0x1.f2683f83fd661p-4, -0x1.e79519dceed7dp-4, -0x1.dce894e33e5c7p-4, -0x1.d262ec8a72a8p-4, -0x1.c80453221124bp-4, -0x1.bdccf1af2f9aep-4, -0x1.b3bce84474be9p-4, -0x1.a9d44e5892313p-4, -0x1.a013331b3d3eap-4, -0x1.96799dc889215p-4, -0x1.8d078dfaaf782p-4, -0x1.83bcfbfa3285ep-4, -0x1.7a99d90c67a7ap-4, -0x1.719e0fc057011p-4, -0x1.68c98439f6b58p-4, -0x1.601c147bbc0b6p-4, -0x1.579598ae83b5dp-4, -0x1.4f35e367cd388p-4, -0x1.46fcc1ee4e52fp-4, -0x1.3ee9fc7cd8a44p-4, -0x1.36fd56839783fp-4, -0x1.2f368ee7a5879p-4, -0x1.27956040faf07p-4, -0x1.20198116b779p-4, -0x1.18c2a419cb8c4p-4, -0x1.1190785e01c9dp-4, -0x1.0a82a9916dc22p-4, -0x1.0398e03242bdp-4, -0x1.f9a583862e921p-5, -0x1.ec5fe1fb3124fp-5, -0x1.df601c0766448p-5, -0x1.d2a56d1e6cf2bp-5, -0x1.c62f0c3feba43p-5, -0x1.b9fc2c50dcf1fp-5, -0x1.ae0bfc71edcf3p-5, -0x1.a25da852fb571p-5, -0x1.96f05883b848cp-5, -0x1.8bc332c18a084p-5, -0x1.80d55a42a7b14p-5, -0x1.7625effe83ae3p-5, -0x1.6bb412f39495ep-5, -0x1.617ee06a812dbp-5, -0x1.57857436c1dd5p-5, -0x1.4dc6e8f4c4f1dp-5, -0x1.444258459c5f8p-5, -0x1.3af6db084c95ep-5, -0x1.31e38990bd19ap-5, -0x1.29077bdc64938p-5, -0x1.2061c9c4b5419p-5, -0x1.17f18b2f58ebep-5, -0x1.0fb5d83c4b7d5p-5, -0x1.07adc971e146p-5, -0x1.ffb0efcd8633fp-6, -0x1.f069fad3e2631p-6, -0x1.e184e951b2342p-6, -0x1.d2fff2a70d9f5p-6, -0x1.c4d9507e128dbp-6, -0x1.b70f3f0c1092fp-6, -0x1.a99ffd4f4b601p-6, -0x1.9c89cd495c61fp-6, -0x1.8fcaf43656053p-6, -0x1.8361bac0b6b38p-6, -0x1.774c6d3252f1bp-6, -0x1.6b895ba23fc53p-6, -0x1.6016da1fdba1cp-6, -0x1.54f340db12bb3p-6, -0x1.4a1cec49e7df2p-6, -0x1.3f923d4b666fcp-6, -0x1.355199480b914p-6, -0x1.2b596a4fc0948p-6, -0x1.21a81f3573481p-6, -0x1.183c2ba875019p-6, -0x1.0f14084b9a08dp-6, -0x1.062e32ca493edp-6, -0x1.fb125bd6e9ef6p-7, -0x1.ea47034559c1ep-7, -0x1.d9f7763e7f9bcp-7, -0x1.ca20d9b32f47p-7, -0x1.bac05d3da468p-7, -0x1.abd33b355ded7p-7, -0x1.9d56b8bfcedadp-7, -0x1.8f4825dde8a59p-7, -0x1.81a4dd76c8546p-7, -0x1.746a455f87c89p-7, -0x1.6795ce60630bdp-7, -0x1.5b24f437411ccp-7, -0x1.4f153d97d71e5p-7, -0x1.43643c2967e18p-7, -0x1.380f8c824e3c2p-7, -0x1.2d14d62166038p-7, -0x1.2271cb6571398p-7, -0x1.182429829279bp-7, -0x1.0e29b875f5d6ep-7, -0x1.04804af7c1ea8p-7, -0x1.f64b7cd6cdce2p-8, -0x1.e42ff59cc8e2ap-8, -0x1.d2a9e54b398cep-8, -0x1.c1b545d2905b1p-8, -0x1.b14e25df44a5dp-8, -0x1.a170a8acc0a6ap-8, -0x1.921905d610318p-8, -0x1.8343892471df9p-8, -0x1.74ec925bef8a3p-8, -0x1.6710950625c7ap-8, -0x1.59ac183b571dbp-8, -0x1.4cbbb669ef82cp-8, -0x1.403c1d1c9693ep-8, -0x1.342a0cbeedc44p-8, -0x1.288258611bbedp-8, -0x1.1d41e57a3b7d5p-8, -0x1.1265aba9cfbbbp-8, -0x1.07eab47851ddp-8, -0x1.fb9c362debbdbp-9, -0x1.e81a183d768fcp-9, -0x1.d5498a9dc68dcp-9, -0x1.c3252a95c1ac7p-9, -0x1.b1a7b6afadc09p-9, -0x1.a0cc0e337a52cp-9, -0x1.908d30a073045p-9, -0x1.80e63d26878edp-9, -0x1.71d2721f4c447p-9, -0x1.634d2c86cc671p-9, -0x1.5551e7745b5fap-9, -0x1.47dc3b9379187p-9, -0x1.3ae7de9ce902cp-9, -0x1.2e70a2d01abc8p-9, -0x1.2272766cfa4b8p-9, -0x1.16e9632e43837p-9, -0x1.0bd18dc46bba6p-9, -0x1.012735513f125p-9, -0x1.edcd65c882358p-10, -0x1.da18f1efc59b1p-10, -0x1.c72a25df4c393p-10, -0x1.b4fa492e7b66cp-10, -0x1.a382d345715d8p-10, -0x1.92bd6a5f8f9dcp-10, -0x1.82a3e29061ed7p-10, -0x1.73303ccaed354p-10, -0x1.645ca5eb8c83ap-10, -0x1.562375c462f6ep-10, -0x1.487f2e2c8f983p-10, -0x1.3b6a7a1219046p-10, -0x1.2ee02c8ebdec7p-10, -0x1.22db3fffadceep-10, -0x1.1756d52031ca2p-10, -0x1.0c4e32276990cp-10, -0x1.01bcc1e90e4f2p-10, -0x1.ef3c25f2b4f1cp-11, -0x1.dbdbada82a0f6p-11, -0x1.c94fc20d9ae88p-11, -0x1.b7904cbc9abbap-11, -0x1.a695782e8d7d5p-11, -0x1.9657ae2489bc6p-11, -0x1.86cf9615c2b66p-11, -0x1.77f613a4868b1p-11, -0x1.69c44519d308cp-11, -0x1.5c3381e780d83p-11, -0x1.4f3d59310a6f9p-11, -0x1.42db905aecff1p-11, -0x1.370821a09defdp-11, -0x1.2bbd3ab1181c4p-11, -0x1.20f53b51f4d27p-11, -0x1.16aab4090f808p-11, -0x1.0cd864ccabb56p-11, -0x1.03793bba131bdp-11, -0x1.f510a7a54ab28p-12, -0x1.e401e77e982afp-12, -0x1.d3bd193492f7dp-12, -0x1.c439717eac5b9p-12, -0x1.b56e7543fb836p-12, -0x1.a753f75460441p-12, -0x1.99e2162ded59dp-12, -0x1.8d1139ce7c723p-12, -0x1.80da11914dd34p-12, -0x1.75359218924c8p-12, -0x1.6a1cf342b8432p-12, -0x1.5f89ae2b64e1bp-12, -0x1.55757b37e614p-12, -0x1.4bda502f06ca2p-12, -0x1.42b25e5c163ap-12, -0x1.39f810bd01b0cp-12, -0x1.31a60a3b54601p-12, -0x1.29b723f00052bp-12, -0x1.22266b71ba0b6p-12, -0x1.1aef212dcd956p-12, -0x1.140cb6cb3a21cp-12, -0x1.0d7acd97ef44dp-12, -0x1.0735350001f08p-12, -0x1.0137e90eb2e4bp-12, -0x1.f6fe21f23148cp-13, -0x1.ec0dfb6489b94p-13, -0x1.e19851117de7p-13, -0x1.d796639a48068p-13, -0x1.ce01bf03940e8p-13, -0x1.c4d438266de16p-13, -0x1.bc07ea3285501p-13, -0x1.b3973441829a1p-13, -0x1.ab7cb6fb02fp-13, -0x1.a3b35248ffb8dp-13, -0x1.9c36231c44b8dp-13, -0x1.95008140a6bf8p-13, -0x1.8e0dfd40a8e3ap-13, -0x1.875a5e583e572p-13, -0x1.80e1a07667f87p-13, -0x1.7a9ff24d443edp-13, -0x1.7491b37063923p-13, -0x1.6eb37280f6c56p-13, -0x1.6901eb679e0d3p-13, -0x1.637a059b89314p-13, -0x1.5e18d27696ff3p-13, -0x1.58db8b9635d9dp-13, -0x1.53bf9148ad1f3p-13, -0x1.4ec269069b27cp-13, -0x1.49e1bbf84bfebp-13, -0x1.451b5586b0fb3p-13, -0x1.406d21f7b12cbp-13, -0x1.3bd52d1585227p-13, -0x1.3751a0e0eab88p-13, -0x1.32e0c44ddd251p-13, -0x1.2e80fa0aa0a28p-13, -0x1.2a30bf50d4404p-13, -0x1.25eeaac04d815p-13, -0x1.21b96b43898ap-13, -0x1.1d8fc6fd61e6dp-13, -0x1.19709a3fe47ep-13, -0x1.155ad68bf5815p-13, -0x1.114d819997578p-13, -0x1.0d47b468988afp-13, -0x1.09489a5966e29p-13, -0x1.054f704de39e5p-13, -0x1.015b83d1e8acdp-13, -0x1.fad86496d278bp-14, -0x1.f301d063ae5d7p-14, -0x1.eb324099733fdp-14, -0x1.e368c5f255454p-14, -0x1.dba48aec35c04p-14, -0x1.d3e4d26e46845p-14, -0x1.cc28f67b663b2p-14, -0x1.c47066f0ef78dp-14, -0x1.bcbaa85183aa9p-14, -0x1.b507529b966c9p-14, -0x1.ad56102b45fcdp-14, -0x1.a5a69ca73a892p-14, -0x1.9df8c3f84bda7p-14, -0x1.964c614b6b1f3p-14, -0x1.8ea15e1db8266p-14, -0x1.86f7b1524eeedp-14, -0x1.7f4f5e5192d08p-14, -0x1.77a87431a7444p-14, -0x1.70030ce7d0ee8p-14, -0x1.685f4c8276825p-14, -0x1.60bd606b7cda6p-14, -0x1.591d7eb2bb43ap-14, -0x1.517fe56046685p-14, -0x1.49e4d9ce50d1ep-14, -0x1.424ca80a641f9p-14, -0x1.3ab7a23db3e3ap-14, -0x1.3326201c50deap-14, -0x1.2b987e5b003f9p-14, -0x1.240f1e2b80258p-14, -0x1.1c8a64bf0328bp-14, -0x1.150abacea9193p-14, -0x1.0d908c29c61adp-14, -0x1.061c4749c1003p-14, -0x1.fd5cb9d6b4d36p-15, -0x1.ee8e7f5a51324p-15, -0x1.dfcec7663d726p-15, -0x1.d11e7c9dd5fcep-15, -0x1.c27e8b5a0c536p-15, -0x1.b3efe10c85673p-15, -0x1.a5736bab6f337p-15, -0x1.970a1925b1bb6p-15, -0x1.88b4d6df34163p-15, -0x1.7a749134e0813p-15, -0x1.6c4a330825e5ap-15, -0x1.5e36a551a3f53p-15, -0x1.503acebac2cf1p-15, -0x1.4257933def348p-15, -0x1.348dd3cd350aep-15, -0x1.26de6dfefe29ep-15, -0x1.194a3bc0b100ep-15, -0x1.0bd2130ef5cb1p-15, -0x1.fced8b66c5d1p-16, -0x1.e272420ebe01ap-16, -0x1.c833db77ef70ep-16, -0x1.ae33df4cffdf7p-16, -0x1.9473cb2371508p-16, -0x1.7af51226ba95ep-16, -0x1.61b91ccbad8f2p-16, -0x1.48c1488bdbd81p-16, -0x1.300ee7a89ac94p-16, -0x1.17a340f5491d6p-16, -0x1.feff1f510f621p-17, -0x1.cf4a06681ae69p-17, -0x1.a0297e45944bep-17, -0x1.719fb5fa0a1efp-17, -0x1.43aec46468597p-17, -0x1.1658a81073c3ap-17, -0x1.d33e8e3f3b30ap-18, -0x1.7b08de7726b1fp-18, -0x1.2413ab242bdebp-18, -0x1.9cc45b66506f2p-19, -0x1.e7ddbaf08dc5p-20, -0x1.36b2315e5a6f8p-21, 0x1.57f524222c861p-21, 0x1.ee13681d2ffc3p-20, 0x1.957425d3fffa2p-19, 0x1.189c3732e2491p-18, 0x1.65295df6f1507p-18, 0x1.b05fcce385aa1p-18, 0x1.fa3df7be088a5p-18, 0x1.21613fed1739fp-17, 0x1.44f619c3af611p-17, 0x1.67dd06baf495ep-17, 0x1.8a159a0a4fd9dp-17, 0x1.ab9f7c73b5bd6p-17, 0x1.cc7a6bebb0cf7p-17, 0x1.eca63b3e7ae71p-17, 0x1.061168d928e8p-16, 0x1.15781553b0dafp-16, 0x1.24872a9ab563bp-16, 0x1.333eb9e3ad221p-16, 0x1.419eddda931d5p-16, 0x1.4fa7ba6e0181cp-16, 0x1.5d597c9a9c8c8p-16, 0x1.6ab45a35de382p-16, 0x1.77b891b860ed4p-16, 0x1.84666a07b7a0fp-16, 0x1.90be323feec2ap-16, 0x1.9cc0417cc2398p-16, 0x1.a86cf6a2a5fc3p-16, 0x1.b3c4b827a64e6p-16, 0x1.bec7f3dc3b062p-16, 0x1.c9771eb418a7bp-16, 0x1.d3d2b48f13851p-16, 0x1.dddb380219ec3p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.cd4eb93936334p-1, 0x1.ca0214570dc24p-1, 0x1.c697b76418861p-1, 0x1.c310e88feb8c6p-1, 0x1.bf6eee28a4506p-1, 0x1.bbb30dcecae12p-1, 0x1.b7de8bba96a28p-1, 0x1.b3f2aa119af7bp-1, 0x1.aff0a84be4e55p-1, 0x1.abd9c2a795ca6p-1, 0x1.a7af31aa152cfp-1, 0x1.a37229adf19abp-1, 0x1.9f23da7ca1068p-1, 0x1.9ac56ef34bc61p-1, 0x1.96580cb1e7eep-1, 0x1.91dcd3d3e70c3p-1, 0x1.8d54deb1ce40cp-1, 0x1.88c141ab12e5cp-1, 0x1.84230af7a55cap-1, 0x1.7f7b428097c56p-1, 0x1.7acae9bf5bcc3p-1, 0x1.7612fba319c63p-1, 0x1.71546c7ba82a3p-1, 0x1.6c9029e9b68bbp-1, 0x1.67c71ad3c36b4p-1, 0x1.62fa1f5f7b72dp-1, 0x1.5e2a10ef26694p-1, 0x1.5957c222ccfc9p-1, 0x1.5483fedcc6adfp-1, 0x1.4faf8c4966a5ap-1, 0x1.4adb28e97dc39p-1, 0x1.46078c9f74927p-1, 0x1.413568bebd202p-1, 0x1.3c65681d63551p-1, 0x1.37982f27888f5p-1, 0x1.32ce5bf495812p-1, 0x1.2e08865df5e7fp-1, 0x1.294740173221p-1, 0x1.248b14c73db41p-1, 0x1.1fd48a22d61b6p-1, 0x1.1b242007cd482p-1, 0x1.167a509921fadp-1, 0x1.11d7905bc52bep-1, 0x1.0d3c4e53f1e87p-1, 0x1.08a8f422fe5a7p-1, 0x1.041de6258d592p-1, 0x1.ff370724165eep-2, 0x1.f6444d2ebf327p-2, 0x1.ed6448f78d59ap-2, 0x1.e4979b7772529p-2, 0x1.dbdedc51b6bafp-2, 0x1.d33a9a11bcd9cp-2, 0x1.caab5a68980edp-2, 0x1.c2319a6a582c9p-2, 0x1.b9cdcecafaa8fp-2, 0x1.b180641ae822ap-2, 0x1.a949bf02f0998p-2, 0x1.a12a3c7fb451p-2, 0x1.9922321c6d7ccp-2, 0x1.9131ee2d07cf1p-2, 0x1.8959b80782d32p-2, 0x1.8199d03c8ecf9p-2, 0x1.79f270cf5cb52p-2, 0x1.7263cd6c9a117p-2, 0x1.6aee13a0926c6p-2, 0x1.63916b0c6d44ap-2, 0x1.5c4df59a883a5p-2, 0x1.5523cfb1e3bb2p-2, 0x1.4e131068a4631p-2, 0x1.471bc9b59fd4fp-2, 0x1.403e08a0f7ae2p-2, 0x1.3979d573c144ap-2, 0x1.32cf33e6b0f2p-2, 0x1.2c3e234fd45b4p-2, 0x1.25c69ecf50b65p-2, 0x1.1f689d7b2ac5bp-2, 0x1.1924128a17376p-2, 0x1.12f8ed7d53d8ap-2, 0x1.0ce71a498bd0cp-2, 0x1.06ee817ec5211p-2, 0x1.010f086f5d925p-2, 0x1.f69122ac27f61p-3, 0x1.eb35f6f648ef8p-3, 0x1.e00c46b0e2daap-3, 0x1.d513c5799172ap-3, 0x1.ca4c21dc73434p-3, 0x1.bfb505970a602p-3, 0x1.b54e15d95ba0cp-3, 0x1.ab16f3854396p-3, 0x1.a10f3b6c0d895p-3, 0x1.9736868a59b75p-3, 0x1.8d8c6a4249fap-3, 0x1.84107894083ccp-3, 0x1.7ac24054a253ap-3, 0x1.71a14d634868dp-3, 0x1.68ad28dcf426ep-3, 0x1.5fe5594e75fdcp-3, 0x1.574962e4fafa4p-3, 0x1.4ed8c79d0f96fp-3, 0x1.4693077014f6ep-3, 0x1.3e77a0804e5e7p-3, 0x1.36860f436f293p-3, 0x1.2ebdceabc0fd8p-3, 0x1.271e584fe5c22p-3, 0x1.1fa7249137f92p-3, 0x1.1857aac0d5d1ap-3, 0x1.112f6143544bap-3, 0x1.0a2dbdb3314d4p-3, 0x1.03523501fa1b7p-3, 0x1.f938773068908p-4, 0x1.ec168ae82203ep-4, 0x1.df3d8c8de398dp-4, 0x1.d2ac632380cd5p-4, 0x1.c661f580438f4p-4, 0x1.ba5d2a8522c77p-4, 0x1.ae9ce94ec0aa1p-4, 0x1.a32019654cf33p-4, 0x1.97e5a2ea56aacp-4, 0x1.8cec6ec4941fep-4, 0x1.823366c9ad3eep-4, 0x1.77b975e61de58p-4, 0x1.6d7d88433332ep-4, 0x1.637e8b6b353dbp-4, 0x1.59bb6e6bc575ap-4, 0x1.503321f682ed1p-4, 0x1.46e4987ffae0dp-4, 0x1.3dcec65cf4f8bp-4, 0x1.34f0a1de25485p-4, 0x1.2c49236a508d7p-4, 0x1.23d74596ecep-4, 0x1.1b9a053f4a9d1p-4, 0x1.1390619a51dep-4, 0x1.0bb95c4edb56ep-4, 0x1.0413f986b5db3p-4, 0x1.f93e8000b926ap-5, 0x1.eab4723ed7edbp-5, 0x1.dc87e1f7c0e5bp-5, 0x1.ceb6ece04a24fp-5, 0x1.c13fb64c012bap-5, 0x1.b4206744cef47p-5, 0x1.a7572ea07cc5cp-5, 0x1.9ae241142aa6ep-5, 0x1.8ebfd945cad43p-5, 0x1.82ee37dbb3c86p-5, 0x1.776ba38a5cea2p-5, 0x1.6c366920544abp-5, 0x1.614cdb907f0cep-5, 0x1.56ad53fab7743p-5, 0x1.4c5631b2d8181p-5, 0x1.4245da46424d5p-5, 0x1.387ab97ff2118p-5, 0x1.2ef3416b2cd77p-5, 0x1.25adea54dcccbp-5, 0x1.1ca932cba48dp-5, 0x1.13e39f9eba0cdp-5, 0x1.0b5bbbdb97da2p-5, 0x1.031018ca9321bp-5, 0x1.f5fe9bd4bf3c8p-6, 0x1.e64ff1d52611fp-6, 0x1.d7117b4a647f8p-6, 0x1.c8408c2ea8e31p-6, 0x1.b9da84b1cfda4p-6, 0x1.abdcd1274eb31p-6, 0x1.9e44e9f287d5ep-6, 0x1.91105371b08f8p-6, 0x1.843c9de74bc21p-6, 0x1.77c765625bf5cp-6, 0x1.6bae51a5580d1p-6, 0x1.5fef160bfd599p-6, 0x1.54877170061a7p-6, 0x1.49752e0ce577ep-6, 0x1.3eb621629004dp-6, 0x1.34482c1763c68p-6, 0x1.2a2939d9420ddp-6, 0x1.2057413dec063p-6, 0x1.16d043a2abd3cp-6, 0x1.0d924d0b60108p-6, 0x1.049b7400f21c6p-6, 0x1.f7d3b2de8c089p-7, 0x1.e6f7510570d5bp-7, 0x1.d69e2d0a4f41cp-7, 0x1.c6c4c57552018p-7, 0x1.b767ac7bbffcep-7, 0x1.a88387b82d2dap-7, 0x1.9a150fe21ec0fp-7, 0x1.8c1910855f01p-7, 0x1.7e8c67b8e918ap-7, 0x1.716c05d5aa9fp-7, 0x1.64b4ed2d05cep-7, 0x1.586431bf4b46ap-7, 0x1.4c76f8f21918ap-7, 0x1.40ea7946caacep-7, 0x1.35bbfa10f512ap-7, 0x1.2ae8d32d0eedbp-7, 0x1.206e6cb741e92p-7, 0x1.164a3ec27c7afp-7, 0x1.0c79d10fceab2p-7, 0x1.02fabac61b284p-7, 0x1.f395445454e7bp-8, 0x1.e1ce78ae50a12p-8, 0x1.d09c99ef2e89p-8, 0x1.bffb4bfd858b4p-8, 0x1.afe64ec57072fp-8, 0x1.a0597dad9f04fp-8, 0x1.9150cf0d9838dp-8, 0x1.82c853a534e1bp-8, 0x1.74bc36156afbbp-8, 0x1.6728ba5a6a773p-8, 0x1.5a0a3d4720548p-8, 0x1.4d5d340225fabp-8, 0x1.411e2b84292b3p-8, 0x1.3549c817d2c3dp-8, 0x1.29dcc4db38b1bp-8, 0x1.1ed3f342df95dp-8, 0x1.142c3a9e53fd2p-8, 0x1.09e2979e61ed6p-8, 0x1.ffe837b9dfaf6p-9, 0x1.ecbbdacd01c3fp-9, 0x1.da3a8c8acdf0cp-9, 0x1.c85ee81d40dcep-9, 0x1.b723aee0ddf53p-9, 0x1.a683c7853f33fp-9, 0x1.967a3d31200f5p-9, 0x1.87023ea9d33acp-9, 0x1.78171d7e35cf1p-9, 0x1.69b44d351a382p-9, 0x1.5bd5627f25471p-9, 0x1.4e76126c2edcep-9, 0x1.419231a40e87dp-9, 0x1.3525b3a2ea08ap-9, 0x1.292ca9f8ed8adp-9, 0x1.1da3438d7a81ep-9, 0x1.1285cbe5c4badp-9, 0x1.07d0aa6ed1ce5p-9, 0x1.fb00c395cc6dcp-10, 0x1.e7231e4490cb5p-10, 0x1.d401d2eecb508p-10, 0x1.c19681fc86f74p-10, 0x1.afdafcee8398cp-10, 0x1.9ec9451a3f03bp-10, 0x1.8e5b8a6c82a84p-10, 0x1.7e8c2a3252f1bp-10, 0x1.6f55ade84a71p-10, 0x1.60b2ca102bec6p-10, 0x1.529e5d0cc53a3p-10, 0x1.45136e03ea9abp-10, 0x1.380d2bc69152cp-10, 0x1.2b86ebbee6a01p-10, 0x1.1f7c28e45fa62p-10, 0x1.13e882b59aecp-10, 0x1.08c7bc3817ebfp-10, 0x1.fc2b75fb36181p-11, 0x1.e79d0c5e5f2d6p-11, 0x1.d3dc8b3b7ef63p-11, 0x1.c0e281b0322d3p-11, 0x1.aea7bc8cb7a59p-11, 0x1.9d2544955f1e9p-11, 0x1.8c545cce69dffp-11, 0x1.7c2e80d230179p-11, 0x1.6cad63315f0d8p-11, 0x1.5dcaebdd27a7bp-11, 0x1.4f81369b33207p-11, 0x1.41ca91832d4cap-11, 0x1.34a17b85c357cp-11, 0x1.2800a2fce1978p-11, 0x1.1be2e4450f22dp-11, 0x1.1043485fb5a37p-11, 0x1.051d039e30ac3p-11, 0x1.f4d6e8aaecd82p-12, 0x1.e054433463c28p-12, 0x1.cca9740a49c9cp-12, 0x1.b9ce24ff513f6p-12, 0x1.a7ba4a304665bp-12, 0x1.96661fbc94195p-12, 0x1.85ca278e13e8p-12, 0x1.75df272fd1c3dp-12, 0x1.669e25b3811e6p-12, 0x1.580069a549598p-12, 0x1.49ff770da2659p-12, 0x1.3c950d80f2bcep-12, 0x1.2fbb263ca553dp-12, 0x1.236bf25169216p-12, 0x1.17a1d8da57243p-12, 0x1.0c577540a9c73p-12, 0x1.0187958bcf9a6p-12, 0x1.ee5a717afe9a2p-13, 0x1.da871a732cd68p-13, 0x1.c78bde72e7368p-13, 0x1.b55fce9521d0ap-13, 0x1.a3fa51b026b04p-13, 0x1.9353217e26e43p-13, 0x1.836247dab56ep-13, 0x1.74201c14b6fa9p-13, 0x1.658540543392bp-13, 0x1.578a9f13af4a5p-13, 0x1.4a2968ac6d34fp-13, 0x1.3d5b10f54373dp-13, 0x1.31194cf373d9dp-13, 0x1.255e109d2ffap-13, 0x1.1a238cad34e86p-13, 0x1.0f642c873a398p-13, 0x1.051a942c9dd39p-13, 0x1.f6833c82056e4p-14, 0x1.e3a8b43cd417p-14, 0x1.d19c13f0b680dp-14, 0x1.c054421b99ce6p-14, 0x1.afc883d2a0552p-14, 0x1.9ff0795e689ffp-14, 0x1.90c41af26b166p-14, 0x1.823bb57ec88cep-14, 0x1.744fe79bc7bacp-14, 0x1.66f99e8e5643p-14, 0x1.5a321364de66fp-14, 0x1.4df2c82bc5b34p-14, 0x1.42358538f22b2p-14, 0x1.36f4568dafd91p-14, 0x1.2c29894e58c9fp-14, 0x1.21cfa94f25f55p-14, 0x1.17e17eb58df99p-14, 0x1.0e5a0bada0a6fp-14, 0x1.05348a32cabc4p-14, 0x1.f8d8d3d6efab8p-15, 0x1.e7fa9c2e09f18p-15, 0x1.d7c6171afea41p-15, 0x1.c8334da151e66p-15, 0x1.b93aa45b88bfcp-15, 0x1.aad4d7df525b9p-15, 0x1.9cfaf9414ad45p-15, 0x1.8fa66ab76f845p-15, 0x1.82d0dc5952624p-15, 0x1.767448fd2fea8p-15, 0x1.6a8af33107d81p-15, 0x1.5f0f624edfc9p-15, 0x1.53fc5fab5b3b5p-15, 0x1.494cf3dde091fp-15, 0x1.3efc64217e7b2p-15, 0x1.35062fcdd0f92p-15, 0x1.2b660de726032p-15, 0x1.2217eac52b71p-15, 0x1.1917e5cf720ccp-15, 0x1.10624f4f1315ap-15, 0x1.07f3a654d279bp-15, 0x1.ff912d66248c4p-16, 0x1.efbbee15f753dp-16, 0x1.e0618dd876d22p-16, 0x1.d17c5a0d78781p-16, 0x1.c306eadb8ed8cp-16, 0x1.b4fc1fd7fce6dp-16, 0x1.a7571ccf3989bp-16, 0x1.9a1346acfeb0dp-16, 0x1.8d2c4082c96f2p-16, 0x1.809de8abdb29ap-16, 0x1.7464560db13cfp-16, 0x1.687bd57408e99p-16, 0x1.5ce0e707804c4p-16, 0x1.51903bddeff51p-16, 0x1.4686b3a397f9ep-16, 0x1.3bc15a5c4d62bp-16, 0x1.313d663bd9215p-16, 0x1.26f83594b1216p-16, 0x1.1cef4cdc4d34ap-16, 0x1.132054c458e81p-16, 0x1.0989186801dcap-16, 0x1.0027838cb2d26p-16, 0x1.edf341eb0ff07p-17, 0x1.dbfb3191a9398p-17, 0x1.ca635e0e2ecb6p-17, 0x1.b92884256ea5bp-17, 0x1.a847928fe5e52p-17, 0x1.97bda748daaf3p-17, 0x1.87880cfb801a5p-17, 0x1.77a4388d1dc9p-17, 0x1.680fc6c310e4dp-17, 0x1.58c87a03c1565p-17, 0x1.49cc38315fc08p-17, 0x1.3b19089d9e736p-17, 0x1.2cad121556d5bp-17, 0x1.1e86990342167p-17, 0x1.10a3fda8e026bp-17, 0x1.0303ba6cb5197p-17, 0x1.eb48c47a0eaa1p-18, 0x1.d1093e0caffe5p-18, 0x1.b7466079989e9p-18, 0x1.9dfdd2ef9a024p-18, 0x1.852d623e4321p-18, 0x1.6cd2fe51af21cp-18, 0x1.54ecb7ce92ab1p-18, 0x1.3d78bdcd3b80cp-18, 0x1.26755bb2427dep-18, 0x1.0fe0f723bd898p-18, 0x1.f3741c337e421p-19, 0x1.c7fe6a1214511p-19, 0x1.9d5e2a4dc0cf7p-19, 0x1.7390d589baad7p-19, 0x1.4a940787b9fc3p-19, 0x1.22657c39e1f89p-19, 0x1.f60619fdcf846p-20, 0x1.a8d55c0d56eb9p-20, 0x1.5d34d7badcdc2p-20, 0x1.1320d2381be8bp-20, 0x1.952b70ee39287p-21, 0x1.07203629b9938p-21, 0x1.f0655423b9056p-23, -0x1.7df32206c5408p-26, -0x1.220191f1d40f2p-22, -0x1.1320440c48eb9p-21, -0x1.9253ee07173cbp-21, -0x1.0750c53fc82c1p-20, -0x1.440760fe084d6p-20, -0x1.7f509356a0ba4p-20, -0x1.b92f1c681abe2p-20, -0x1.f1a5b55e64019p-20, -0x1.145b892915597p-19, -0x1.2f32f201338cep-19, -0x1.495a6cb4f9d9fp-19, -0x1.62d3509981a96p-19, -0x1.7b9ef58526f7cp-19, -0x1.93beb469bfd2ep-19, -0x1.ab33e7e054965p-19, -0x1.c1ffeca713ad4p-19, -0x1.d82422124725fp-19, -0x1.eda1ea70fbe9ep-19, -0x1.013d55b3093f3p-18, -0x1.0b57e71b2ba06p-18, -0x1.1521600624ef3p-18, -0x1.1e9a791914f4ep-18, -0x1.27c3ed217013ep-18, -0x1.309e792926e4ep-18, -0x1.392adc86c43b1p-18, -0x1.4169d8e9c4b92p-18, -0x1.495c326361e58p-18, -0x1.5102af6c0eb63p-18, -0x1.585e18e5dc0e4p-18, -0x1.5f6f3a1bfb5c8p-18, -0x1.6636e0bf95417p-18, -0x1.6cb5dce21f2f6p-18, -0x1.72ed00ed66342p-18, -0x1.78dd2199741abp-18, -0x1.7e8715e080c2ap-18, -0x1.83ebb6f1103edp-18, -0x1.890be01e6ab1dp-18, -0x1.8de86ecf8ec48p-18, -0x1.9282426cc3513p-18, -0x1.96da3c4be71afp-18, -0x1.9af13f9b9fffbp-18, -0x1.9ec8314d87561p-18, -0x1.a25ff7ff6e449p-18, -0x1.a5b97be3d496ap-18, -0x1.a8d5a6a9ae04dp-18, -0x1.abb563638b8e4p-18, -0x1.ae599e6e3f154p-18, -0x1.b0c3455710e0dp-18, -0x1.b2f346c1992c8p-18, -0x1.b4ea924d51f2fp-18, -0x1.b6aa187af1f53p-18, -0x1.b832ca91a3ba8p-18, -0x1.b9859a8423c6ap-18, -0x1.baa37ad5dc818p-18, -0x1.bb8d5e8005948p-18, -0x1.bc4438d6d92fdp-18, -0x1.bcc8fd6ee9e14p-18, -0x1.bd1ca002a2cap-18, -0x1.bd4014580008fp-18, -0x1.bd344e2686d7ap-18, -0x1.bcfa40fd85b63p-18, -0x1.bc92e02aa75p-18, -0x1.bbff1ea0e0752p-18, -0x1.bb3feedfbbc0ap-18, -0x1.ba5642db0f99bp-18, -0x1.b9430be31fb84p-18, -0x1.b8073a8d32d0fp-18, -0x1.b6a3be9ca028cp-18, -0x1.b51986ec57f1fp-18, -0x1.b3698158ef17fp-18, -0x1.b1949aab2c2b6p-18, -0x1.af9bbe831e5eap-18, -0x1.ad7fd743bcd71p-18, -0x1.ab41cdff13845p-18, -0x1.a8e28a62fe0fdp-18, -0x1.a662f2a6737ep-18, -0x1.a3c3eb776484dp-18, -0x1.a10657e92b26cp-18, -0x1.9e2b196390792p-18, -0x1.9b330f9263f8bp-18, -0x1.981f1855aa7a4p-18, -0x1.94f00fb260643p-18, -0x1.91a6cfc3d135fp-18, -0x1.8e4430ad82ec3p-18, -0x1.8ac9088db58b2p-18, -0x1.87362b7076cfep-18, -0x1.838c6b4346489p-18, -0x1.7fcc97c94cb62p-18, -0x1.7bf77e9020f2ep-18, -0x1.780deae51efbbp-18, -0x1.7410a5cb47e1bp-18, -0x1.700075f1b18f8p-18, -0x1.6bde1faa7dbcep-18, -0x1.67aa64e25a5edp-18, -0x1.63660518878a4p-18, -0x1.5f11bd5761a44p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.cb0a993aec3fbp-5, -0x1.fd108b5ce5ed3p-5, -0x1.18aad2b6e6a0dp-4, -0x1.33da9a1faf024p-4, -0x1.50045b0d7642ap-4, -0x1.6d1420f7933bdp-4, -0x1.8af572c99e01p-4, -0x1.a9937dc19e005p-4, -0x1.c8d93c41d22e8p-4, -0x1.e8b198cfe5202p-4, -0x1.0483c6be20aecp-3, -0x1.14e31ff62b321p-3, -0x1.256c8d20a5193p-3, -0x1.3615f08983707p-3, -0x1.46d5635ac87p-3, -0x1.57a13dfe0f32cp-3, -0x1.68701f558777cp-3, -0x1.7938f2e3ae0fdp-3, -0x1.89f2f5f7c6806p-3, -0x1.9a95bbf3d956ap-3, -0x1.ab1931bfdbe45p-3, -0x1.bb75a07c561e2p-3, -0x1.cba3af85ddfe2p-3, -0x1.db9c65d9894e1p-3, -0x1.eb592ae99208ap-3, -0x1.fad3c6f03caf5p-3, -0x1.050331672abacp-2, -0x1.0c75c3c0bb6fdp-2, -0x1.13bf0e9ed2385p-2, -0x1.1adcb51a6589fp-2, -0x1.21cc888b09c97p-2, -0x1.288c87a705982p-2, -0x1.2f1add88161d1p-2, -0x1.3575e098b3387p-2, -0x1.3b9c116d7018p-2, -0x1.418c198db454bp-2, -0x1.4744ca2ec9f9cp-2, -0x1.4cc51ae3fd125p-2, -0x1.520c284641a8p-2, -0x1.571932959e255p-2, -0x1.5beb9c5664283p-2, -0x1.6082e8ec02eb6p-2, -0x1.64debb331ec64p-2, -0x1.68fed41c5b3b4p-2, -0x1.6ce3114924147p-2, -0x1.708b6bab9fbd2p-2, -0x1.73f7f62ac89e2p-2, -0x1.7728dc4b8dc88p-2, -0x1.7a1e60dfc37c5p-2, -0x1.7cd8dcbb82c0cp-2, -0x1.7f58bd71918c3p-2, -0x1.819e841744f34p-2, -0x1.83aac4103fe42p-2, -0x1.857e21e265825p-2, -0x1.871952123af31p-2, -0x1.887d1807e9dd4p-2, -0x1.89aa44fd0b30bp-2, -0x1.8aa1b6f348b95p-2, -0x1.8b6457b3ee8f7p-2, -0x1.8bf31bd866ad7p-2, -0x1.8c4f01db98828p-2, -0x1.8c791134296ecp-2, -0x1.8c72597780b0dp-2, -0x1.8c3bf1857c4bap-2, -0x1.8bd6f6bcb81ccp-2, -0x1.8b448c374310ep-2, -0x1.8a85da0fa2cd2p-2, -0x1.899c0cadf72ecp-2, -0x1.8888541d191fcp-2, -0x1.874be36785409p-2, -0x1.85e7effbe2e7ep-2, -0x1.845db118fcceap-2, -0x1.82ae5f40f6a1bp-2, -0x1.80db33b390da9p-2, -0x1.7ee567ef4aefp-2, -0x1.7cce35392b8bep-2, -0x1.7a96d42b09e98p-2, -0x1.78407c4816418p-2, -0x1.75cc6397822bdp-2, -0x1.733bbe4507cbep-2, -0x1.708fbe4729fa9p-2, -0x1.6dc9930afb4aep-2, -0x1.6aea69253b87p-2, -0x1.67f36a089b464p-2, -0x1.64e5bbc0fee6ap-2, -0x1.61c280b38c95p-2, -0x1.5e8ad7635dcdfp-2, -0x1.5b3fda3aa70adp-2, -0x1.57e29f582cb48p-2, -0x1.54743860dc73fp-2, -0x1.50f5b2555d952p-2, -0x1.4d68156b78d0bp-2, -0x1.49cc64eb28decp-2, -0x1.46239f0f3497fp-2, -0x1.426ebce9263a2p-2, -0x1.3eaeb2488339ap-2, -0x1.3ae46da51debep-2, -0x1.3710d80c5d6a5p-2, -0x1.3334d5115c75cp-2, -0x1.2f5142bfbd09dp-2, -0x1.2b66f991140cp-2, -0x1.2776cc64c8948p-2, -0x1.2381887a4f10cp-2, -0x1.1f87f56d9e632p-2, -0x1.1b8ad535c349dp-2, -0x1.178ae425788acp-2, -0x1.1388d8eda7bf8p-2, -0x1.0f8564a1b69a5p-2, -0x1.0b8132bd8c6a6p-2, -0x1.077ce92d30a4p-2, -0x1.03792855eff5ap-2, -0x1.feed1641de8d8p-3, -0x1.f6eb4e0e28e45p-3, -0x1.eeee183c63a0fp-3, -0x1.e6f68a4ebe0e9p-3, -0x1.df05af3ccc157p-3, -0x1.d71c8794770b5p-3, -0x1.cf3c099cc5fc4p-3, -0x1.c765217a6a124p-3, -0x1.bf98b155e9489p-3, -0x1.b7d791834197ap-3, -0x1.b02290aae08a4p-3, -0x1.a87a73f3dbp-3, -0x1.a0dff72f3f4a7p-3, -0x1.9953cd0461195p-3, -0x1.91d69f1e12046p-3, -0x1.8a690e5893aep-3, -0x1.830bb2f045419p-3, -0x1.7bbf1cb0e0514p-3, -0x1.7483d325329cap-3, -0x1.6d5a55c74163ap-3, -0x1.66431c30bf696p-3, -0x1.5f3e964bc16a6p-3, -0x1.584d2c8395c1cp-3, -0x1.516f3ff5bf3e1p-3, -0x1.4aa52aa2e9cd9p-3, -0x1.43ef3f9fdc874p-3, -0x1.3d4dcb46506ecp-3, -0x1.36c113659515bp-3, -0x1.304957730cc63p-3, -0x1.29e6d0ba5198dp-3, -0x1.2399b28d19734p-3, -0x1.1d622a72af97ep-3, -0x1.1740605709ef5p-3, -0x1.113476b9713f3p-3, -0x1.0b3e8adaa2ccdp-3, -0x1.055eb4ea70b1cp-3, -0x1.ff2a1069aae8cp-4, -0x1.f3c3269cdd254p-4, -0x1.e888c080bf838p-4, -0x1.dd7ae9670c84ep-4, -0x1.d299a436248c2p-4, -0x1.c7e4ebbccd765p-4, -0x1.bd5cb3048d14dp-4, -0x1.b300e5a29b02fp-4, -0x1.a8d168074a2e1p-4, -0x1.9ece17cc0634ap-4, -0x1.94f6cbffbaeb3p-4, -0x1.8b4b5571b3398p-4, -0x1.81cb7efaedb9bp-4, -0x1.78770dc5d7cb5p-4, -0x1.6f4dc19473ae2p-4, -0x1.664f5504e56aep-4, -0x1.5d7b7dd46440ap-4, -0x1.54d1ed2090c47p-4, -0x1.4c524fa72e773p-4, -0x1.43fc4e04401e3p-4, -0x1.3bcf8cee89db9p-4, -0x1.33cbad7277cb9p-4, -0x1.2bf04d2b6c516p-4, -0x1.243d067b77a8dp-4, -0x1.1cb170c17ad8cp-4, -0x1.154d208db9b91p-4, -0x1.0e0fa7d4df62ep-4, -0x1.06f8962177282p-4, -0x1.000778c3e03a5p-4, -0x1.f277b6017dfc3p-5, -0x1.e52a8c7be03p-5, -0x1.d826845c0767ep-5, -0x1.cb6aa9f489196p-5, -0x1.bef606d6a102dp-5, -0x1.b2c7a22091689p-5, -0x1.a6de80c93a7cep-5, -0x1.9b39a5e8f8c6ap-5, -0x1.8fd812ffd461bp-5, -0x1.84b8c8390b4d1p-5, -0x1.79dac4ac069b3p-5, -0x1.6f3d069ac72ffp-5, -0x1.64de8badd0612p-5, -0x1.5abe512da974bp-5, -0x1.50db5439f494ap-5, -0x1.473491fe35f52p-5, -0x1.3dc907e44d4afp-5, -0x1.3497b3c4b760dp-5, -0x1.2b9f94149f30cp-5, -0x1.22dfa811cf099p-5, -0x1.1a56efec8e6bfp-5, -0x1.12046cef77874p-5, -0x1.09e721a558095p-5, -0x1.01fe11fd217b3p-5, -0x1.f49086d7f907cp-6, -0x1.e5897a1b1afd8p-6, -0x1.d6e50f84dea42p-6, -0x1.c8a15c99f3444p-6, -0x1.babc7ad8b876ap-6, -0x1.ad3487ec33cd4p-6, -0x1.a007a5dbe7cd9p-6, -0x1.9333fb3898312p-6, -0x1.86b7b346238ap-6, -0x1.7a90fe2279536p-6, -0x1.6ebe10e9d5f3dp-6, -0x1.633d25d84834fp-6, -0x1.580c7c68a9b5fp-6, -0x1.4d2a5971137dcp-6, -0x1.4295073cee58ep-6, -0x1.384ad5a4aaf73p-6, -0x1.2e4a1a234393p-6, -0x1.24912fe98e28cp-6, -0x1.1b1e77ef7d833p-6, -0x1.11f0590366eafp-6, -0x1.09053fd753846p-6, -0x1.005b9f0c808ap-6, -0x1.efe3de7a28099p-7, -0x1.df8d5e084451p-7, -0x1.cfb0c6081e93ap-7, -0x1.c04b2bd6c7168p-7, -0x1.b159b0f03b3e9p-7, -0x1.a2d982f33377fp-7, -0x1.94c7dba238767p-7, -0x1.872200e217bcfp-7, -0x1.79e544b5dc021p-7, -0x1.6d0f053870db5p-7, -0x1.609cac93fa1f1p-7, -0x1.548bb0f710411p-7, -0x1.48d99487ecea8p-7, -0x1.3d83e555b58b8p-7, -0x1.32883d47e2e9fp-7, -0x1.27e4420bfe64dp-7, -0x1.1d95a501b4a46p-7, -0x1.139a232561be9p-7, -0x1.09ef84f92c33dp-7, -0x1.00939e6cc1e7fp-7, -0x1.ef089d87a0d9fp-8, -0x1.dd7f00f697cecp-8, -0x1.cc86525b307f9p-8, -0x1.bc1a92eb5214dp-8, -0x1.ac37d9a256487p-8, -0x1.9cda530392f23p-8, -0x1.8dfe40db3da5ep-8, -0x1.7f9ff9fdcc924p-8, -0x1.71bbea05f19f3p-8, -0x1.644e911154617p-8, -0x1.5754837c24824p-8, -0x1.4aca699ba3d96p-8, -0x1.3eacff77c3858p-8, -0x1.32f91483ee32ap-8, -0x1.27ab8b571d1aep-8, -0x1.1cc1596348152p-8, -0x1.123786ac527ap-8, -0x1.080b2d7e83376p-8, -0x1.fc72f44947565p-9, -0x1.e97f553ba73b6p-9, -0x1.d7361ca65b55bp-9, -0x1.c5920b9a93383p-9, -0x1.b48e04d35bbe5p-9, -0x1.a4250c20900bfp-9, -0x1.945245d1e7d39p-9, -0x1.8510f6224f5b9p-9, -0x1.765c80a39fc6cp-9, -0x1.683067aad4573p-9, -0x1.5a884bbcdb103p-9, -0x1.4d5feafc14fc8p-9, -0x1.40b320969f6dap-9, -0x1.347de4357d492p-9, -0x1.28bc496cb6e7ep-9, -0x1.1d6a7f2c804bbp-9, -0x1.1284cf337b0e5p-9, -0x1.08079d82245e6p-9, -0x1.fbdecf9f07bb6p-10, -0x1.e87189fe40e49p-10, -0x1.d5c0c930aaff5p-10, -0x1.c3c61c7e1a11dp-10, -0x1.b27b425bde1ebp-10, -0x1.a1da27641c1ep-10, -0x1.91dce550465a3p-10, -0x1.827dc1f6aa0dfp-10, -0x1.73b72e4b4a8f9p-10, -0x1.6583c563ef03ap-10, -0x1.57de4b7f99c25p-10, -0x1.4ac1ad11588c7p-10, -0x1.3e28fdce86542p-10, -0x1.320f77c088bdp-10, -0x1.26707a5a0b922p-10, -0x1.1b47898fcd57cp-10, -0x1.10904cf4f515ep-10, -0x1.06468edafdbe6p-10, -0x1.f8cc76ea88f0bp-11, -0x1.e5d6c000565a3p-11, -0x1.d3a453d7b9b42p-11, -0x1.c22dcc15691b4p-11, -0x1.b16bff86887d9p-11, -0x1.a158008bf978dp-11, -0x1.91eb1b8cea08p-11, -0x1.831ed5709db84p-11, -0x1.74ecea1f6f97cp-11, -0x1.674f4b0afe75cp-11, -0x1.5a401dbd8493ep-11, -0x1.4db9ba7049e5p-11, -0x1.41b6aaa92ac56p-11, -0x1.3631a7df25a92p-11, -0x1.2b259a25e4f28p-11, -0x1.208d96e03565fp-11, -0x1.1664df795b45fp-11, -0x1.0ca6e02538cd7p-11, -0x1.034f2ea733cc2p-11, -0x1.f4b3123f928dp-12, -0x1.e383a9c182bc8p-12, -0x1.d3083a8fd7ba9p-12, -0x1.c3392540b036p-12, -0x1.b40f1213e1a03p-12, -0x1.a582eeced6d27p-12, -0x1.978deca4e8a64p-12, -0x1.8a297e2c0aaep-12, -0x1.7d4f555da22a4p-12, -0x1.70f961a3570c5p-12, -0x1.6521cdefbe985p-12, -0x1.59c2fee2aa1p-12, -0x1.4ed790f8f31d8p-12, -0x1.445a56c7980e9p-12, -0x1.3a465741f97dap-12, -0x1.3096cc0b0f124p-12, -0x1.27471fd16737ap-12, -0x1.1e52ecb5bd167p-12, -0x1.15b5fabc00cc7p-12, -0x1.0d6c3e469e152p-12, -0x1.0571d69bd7105p-12, -0x1.fb8618ea024e2p-13, -0x1.ecb8a12ef9c3dp-13, -0x1.de7474ee6c7ecp-13, -0x1.d0b30dc503b5dp-13, -0x1.c36e2d6e51ea9p-13, -0x1.b69fdb40f8918p-13, -0x1.aa4261bc6c886p-13, -0x1.9e504c281a4ebp-13, -0x1.92c464437c1b2p-13, -0x1.8799b006daa75p-13, -0x1.7ccb6f74511c7p-13, -0x1.72551a78cfab9p-13, -0x1.68325edcb8d7bp-13, -0x1.5e5f1e43cb146p-13, -0x1.54d76c3c020dap-13, -0x1.4b978c5b1cbc2p-13, -0x1.429bf06a739ap-13, -0x1.39e136a0d34fap-13, -0x1.316427e9fff8bp-13, -0x1.2921b63ba4a84p-13, -0x1.2116faf74a4aap-13, -0x1.194135591a726p-13, -0x1.119dc8f31b324p-13, -0x1.0a2a3c34920dfp-13, -0x1.02e436fd4fda5p-13, -0x1.f7930279302e3p-14, -0x1.e9b00336a5641p-14, -0x1.dc1b7862a2822p-14, -0x1.ced1a28aa6123p-14, -0x1.c1cef82f1c57ap-14, -0x1.b510236cdf3fap-14, -0x1.a891ffbab7cf3p-14, -0x1.9c5197ba44e1p-14, -0x1.904c231bdf121p-14, -0x1.847f0494e090ap-14, -0x1.78e7c7e7ee9fbp-14, -0x1.6d841ffeb98dep-14, -0x1.6251e514c3429p-14, -0x1.574f12f2b465cp-14, -0x1.4c79c739ce1c6p-14, -0x1.41d03fbf04b08p-14, -0x1.3750d8f5593a1p-14, -0x1.2cfa0c67006d2p-14, -0x1.22ca6f3cefb1ap-14, -0x1.18c0b0d465df7p-14, -0x1.0edb99620c2dep-14, -0x1.051a08a247efbp-14, -0x1.f6f5e92cbb434p-15, -0x1.e3fad09c0a335p-15, -0x1.d141057a1f6ffp-15, -0x1.bec6eb398b446p-15, -0x1.ac8b08b144f55p-15, -0x1.9a8c060c282c9p-15, -0x1.88c8aacdda029p-15, -0x1.773fdbec5f58dp-15, -0x1.65f099fdcb656p-15, -0x1.54d9ff79616bdp-15, -0x1.43fb3f0b8ep-15, -0x1.3353a1fc1fc69p-15, -0x1.22e286a629d32p-15, -0x1.12a75f0101534p-15, -0x1.02a1af39c2cdfp-15, -0x1.e5a218b9b57ebp-16, -0x1.c66a361e0fdbp-16, -0x1.a79b1caaa2e1cp-16, -0x1.89344cd6ee096p-16, -0x1.6b355f50abeap-16, -0x1.4d9e02df9e06cp-16, -0x1.306dfa636e2aep-16, -0x1.13a51aeab05b6p-16, -0x1.ee8693c47172p-17, -0x1.b690f6b7a66afp-17, -0x1.7f6960d742124p-17, -0x1.490feb366a3a9p-17, -0x1.1384c2e36c05ep-17, -0x1.bd904c40e21dfp-18, -0x1.55b4c3865ff41p-18, -0x1.deef3ae88ae85p-19, -0x1.15b33ed7690bcp-19, -0x1.3edcef5107172p-21, 0x1.cc0c3cdd9a3fcp-21, 0x1.3279d53cfc0fbp-19, 0x1.eeab4256e6558p-19, 0x1.53cac14ffbd16p-18, 0x1.ae9b644c7b4f4p-18, 0x1.03e354c836621p-17, 0x1.2fa5dcc109572p-17, 0x1.5a94e409efc83p-17, 0x1.84b00b94d6e07p-17, 0x1.adf6fc67e9c53p-17, 0x1.d66968a305de4p-17, 0x1.fe070c6ffa95cp-17, 0x1.1267d76f54a21p-16, 0x1.25619156dc914p-16, 0x1.37f0a3806f2c8p-16, 0x1.4a150402c0673p-16, 0x1.5bceafc346f5fp-16, 0x1.6d1daab81d636p-16, 0x1.7e02002243d24p-16, 0x1.8e7bc2c09775ep-16, 0x1.9e8b0cfbdedcdp-16, 0x1.ae30010c43b08p-16, 0x1.bd6ac91885925p-16, 0x1.cc3b974f46a4fp-16, 0x1.daa2a5fab1e39p-16, 0x1.e8a0378ece24cp-16, 0x1.f63496b2c971dp-16, 0x1.01b00b22bcf96p-15, 0x1.081188aeb2eddp-15, 0x1.0e3ef5a2437a5p-15, 0x1.143887b807194p-15, 0x1.19fe78ba3646p-15, 0x1.1f91067ae3f9dp-15, 0x1.24f072ca95822p-15, 0x1.2a1d036d4b7f5p-15, 0x1.2f17020e15a1dp-15, 0x1.33debc31535f3p-15, 0x1.38748325abb57p-15, 0x1.3cd8abf3def06p-15, 0x1.410b8f4d84732p-15, 0x1.450d897ac5764p-15, 0x1.48defa4732fcfp-15, 0x1.4c8044edbeef6p-15, 0x1.4ff1d003f5885p-15, 0x1.5334056481e5fp-15, 0x1.5647521911e9cp-15, 0x1.592c2643a9fb8p-15, 0x1.5be2f50776bbap-15, 0x1.5e6c34712ea8cp-15, 0x1.60c85d5f0cbadp-15, 0x1.62f7eb687767ap-15, 0x1.64fb5cc55e83dp-15, 0x1.66d332355b2c4p-15, 0x1.687feee69f674p-15, 0x1.6a02185cc106ep-15, 0x1.6b5a3657675b7p-15, 0x1.6c88d2b8ea7d5p-15, 0x1.6d8e796ce994ap-15, 0x1.6e6bb84ee45edp-15, 0x1.6f211f10dd5a6p-15, 0x1.6faf3f2210d7bp-15, 0x1.7016ab95c4e63p-15, 0x1.7057f90a3a66dp-15, 0x1.7073bd8fc8a27p-15, 0x1.706a909025e92p-15, 0x1.703d0ab5e5e04p-15, 0x1.6febc5d4328b2p-15, 0x1.6f775ccec4bc3p-15, 0x1.6ee06b82220fbp-15, 0x1.6e278eac24c23p-15, 0x1.6d4d63d4d044ap-15, 0x1.6c5289377799ep-15, 0x1.6b379dac3bf96p-15, 0x1.69fd4091e0d4cp-15, 0x1.68a411b7fde71p-15, 0x1.672cb14990617p-15, 0x1.6597bfb7ed5ecp-15, 0x1.63e5dda618243p-15, 0x1.6217abd47e581p-15, 0x1.602dcb0d1e25p-15, 0x1.5e28dc1014208p-15, 0x1.5c097f8094337p-15, 0x1.59d055d252eadp-15, 0x1.577dff3757447p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.b63c18808d74ap-1, 0x1.b36101dd39165p-1, 0x1.b08b69ca68eaap-1, 0x1.adbc37b876405p-1, 0x1.aaf40d16032e8p-1, 0x1.a8334d20b101p-1, 0x1.a57a24532dc2ep-1, 0x1.a2c88f65283e9p-1, 0x1.a01e61d63eeb2p-1, 0x1.9d7b4c0090d0fp-1, 0x1.9adee0b25839cp-1, 0x1.98489a5010a93p-1, 0x1.95b7df82465cbp-1, 0x1.932c07734d331p-1, 0x1.90a45da1fc10cp-1, 0x1.8e20254f0ce39p-1, 0x1.8b9e9c8b1ea7bp-1, 0x1.891efeeb82916p-1, 0x1.86a087ec0255bp-1, 0x1.84227503c28d7p-1, 0x1.81a407733e22ep-1, 0x1.7f2485d122bbep-1, 0x1.7ca33d5b9f4fap-1, 0x1.7a1f8313683ffp-1, 0x1.7798b4a574175p-1, 0x1.750e39282439cp-1, 0x1.727f81b03f36ep-1, 0x1.6fec09c1db638p-1, 0x1.6d5357a107756p-1, 0x1.6ab4fc85bb208p-1, 0x1.681094b655c1fp-1, 0x1.6565c78ba34cp-1, 0x1.62b44761333c5p-1, 0x1.5ffbd1747c76ep-1, 0x1.5d3c2db521f66p-1, 0x1.5a752e886cb2bp-1, 0x1.57a6b081e396fp-1, 0x1.54d09a12b91b3p-1, 0x1.51f2db319c185p-1, 0x1.4f0d6cfc56744p-1, 0x1.4c20515477d88p-1, 0x1.492b927830ed1p-1, 0x1.462f42985e2c3p-1, 0x1.432b7b6cac823p-1, 0x1.40205dc6a0463p-1, 0x1.3d0e112434d7ep-1, 0x1.39f4c342b36fbp-1, 0x1.36d4a7b24c8bbp-1, 0x1.33adf76aeeae8p-1, 0x1.3080f062bfcf9p-1, 0x1.2d4dd5269b587p-1, 0x1.2a14ec74d8a29p-1, 0x1.26d680daa4f1p-1, 0x1.2392e0541fbe9p-1, 0x1.204a5bef6ad8dp-1, 0x1.1cfd4772d1e9dp-1, 0x1.19abf90622809p-1, 0x1.1656c8df4f347p-1, 0x1.12fe10f268aa6p-1, 0x1.0fa22ca4f7eadp-1, 0x1.0c437884c0304p-1, 0x1.08e25201e4e37p-1, 0x1.057f172c74338p-1, 0x1.021a26754d486p-1, 0x1.fd67bce4b3d58p-2, 0x1.f6993b4c195ccp-2, 0x1.efc9849432919p-2, 0x1.e8f9543aa6933p-2, 0x1.e2296469479ffp-2, 0x1.db5a6d9e01d13p-2, 0x1.d48d2658a917ep-2, 0x1.cdc242ce76187p-2, 0x1.c6fa74a3107a4p-2, 0x1.c0366aa6e9f7ap-2, 0x1.b976d09ace0a5p-2, 0x1.b2bc4ef869f25p-2, 0x1.ac078abfa5f33p-2, 0x1.a55925489ef62p-2, 0x1.9eb1bc1a11f28p-2, 0x1.9811e8c4092c8p-2, 0x1.917a40bea2623p-2, 0x1.8aeb554cb9222p-2, 0x1.8465b3624e94fp-2, 0x1.7de9e38e7deb2p-2, 0x1.777869e8d729ap-2, 0x1.7111c601ef145p-2, 0x1.6ab672d701e79p-2, 0x1.6466e6c879624p-2, 0x1.5e23939334416p-2, 0x1.57ece64c62c2ep-2, 0x1.51c3475fdb284p-2, 0x1.4ba71a90b6488p-2, 0x1.4598befc19ce6p-2, 0x1.3f988f1e0d63cp-2, 0x1.39a6e0d83254ep-2, 0x1.33c4057a473c1p-2, 0x1.2df049cc4fb15p-2, 0x1.282bf61a4c328p-2, 0x1.22774e415a3efp-2, 0x1.1cd291be2befdp-2, 0x1.173dfbbcb28c2p-2, 0x1.11b9c328ed24bp-2, 0x1.0c461ac0b7275p-2, 0x1.06e3312689475p-2, 0x1.019130f512c7cp-2, 0x1.f8a081a7242e6p-3, 0x1.ee410715bff41p-3, 0x1.e404303624013p-3, 0x1.d9ea33a34d4abp-3, 0x1.cff340c04f745p-3, 0x1.c61f7fe664db2p-3, 0x1.bc6f1293aa26dp-3, 0x1.b2e2139a63f38p-3, 0x1.a9789750b8982p-3, 0x1.a032abc0be5d2p-3, 0x1.971058d8c11e8p-3, 0x1.8e11a09baf821p-3, 0x1.85367f5192bcap-3, 0x1.7c7eebb7fca99p-3, 0x1.73ead73257fa9p-3, 0x1.6b7a2dfa0b8b4p-3, 0x1.632cd74e56754p-3, 0x1.5b02b5a3e07e6p-3, 0x1.52fba6d3e0f9bp-3, 0x1.4b17844adc1afp-3, 0x1.43562336dfdd3p-3, 0x1.3bb754b539747p-3, 0x1.343ae5ff91b18p-3, 0x1.2ce0a0986e964p-3, 0x1.25a84a770ce88p-3, 0x1.1e91a63283b1p-3, 0x1.179c732c2fe2fp-3, 0x1.10c86db9682dep-3, 0x1.0a154f4c594dcp-3, 0x1.0382ce9c2a84ep-3, 0x1.fa213f987e49ep-4, 0x1.ed7ce92559cfep-4, 0x1.e117f8bbacc39p-4, 0x1.d4f1c8f2569adp-4, 0x1.c909b06203073p-4, 0x1.bd5f01eb30659p-4, 0x1.b1f10cfa623acp-4, 0x1.a6bf1dca8f915p-4, 0x1.9bc87da5c2aa4p-4, 0x1.910c7323fe3dp-4, 0x1.868a426840ddp-4, 0x1.7c412d5bd57f2p-4, 0x1.723073e7ce1b1p-4, 0x1.6857542cbe0ddp-4, 0x1.5eb50ab8afa8dp-4, 0x1.5548d2bb5abd4p-4, 0x1.4c11e6389e98dp-4, 0x1.430f7e3943adfp-4, 0x1.3a40d2fa0a5a7p-4, 0x1.31a51c190b069p-4, 0x1.293b90c16e1dep-4, 0x1.210367d57ee06p-4, 0x1.18fbd81723c62p-4, 0x1.1124184ebe0bap-4, 0x1.097b5f70798c2p-4, 0x1.0200e4c0144e3p-4, 0x1.f567bfe64399cp-5, 0x1.e72712a3aaddbp-5, 0x1.d93e33acace62p-5, 0x1.cbab969555c05p-5, 0x1.be6db0ca76159p-5, 0x1.b182f9c7f3aebp-5, 0x1.a4e9eb4c6f092p-5, 0x1.98a1018a4e2dfp-5, 0x1.8ca6bb563daddp-5, 0x1.80f99a53373cfp-5, 0x1.7598231c1c028p-5, 0x1.6a80dd6af6a91p-5, 0x1.5fb2543df2e8cp-5, 0x1.552b15fa16dc4p-5, 0x1.4ae9b48bd60d2p-5, 0x1.40ecc58587035p-5, 0x1.3732e23bcdfdbp-5, 0x1.2dbaa7e00d02dp-5, 0x1.2482b798e5407p-5, 0x1.1b89b698e03fp-5, 0x1.12ce4e33457a5p-5, 0x1.0a4f2bef36c53p-5, 0x1.020b019918bdp-5, 0x1.f4010aa4ba3d7p-6, 0x1.e45ce33f6f92dp-6, 0x1.d5270aeba2262p-6, 0x1.c65d0888fe953p-6, 0x1.b7fc6c0134cd7p-6, 0x1.aa02ce58e06d3p-6, 0x1.9c6dd1bddd166p-6, 0x1.8f3b219311f49p-6, 0x1.82687279d6f0ep-6, 0x1.75f382590c35ap-6, 0x1.69da1861f4e46p-6, 0x1.5e1a0512f6c62p-6, 0x1.52b12238535d3p-6, 0x1.479d52eae7036p-6, 0x1.3cdc838d184dap-6, 0x1.326ca9c5fb392p-6, 0x1.284bc47ac7cd1p-6, 0x1.1e77dbc6b2f78p-6, 0x1.14ef00f142fabp-6, 0x1.0baf4e63304efp-6, 0x1.02b6e799e48f3p-6, 0x1.f407f23360255p-7, 0x1.e32970bd7d4a6p-7, 0x1.d2cec799d06e2p-7, 0x1.c2f4853cc64dcp-7, 0x1.b39749a2e5c3cp-7, 0x1.a4b3c62a396aap-7, 0x1.9646bd69e6005p-7, 0x1.884d030810b8bp-7, 0x1.7ac37b8e2ed51p-7, 0x1.6da71c3bdaa65p-7, 0x1.60f4ead845e66p-7, 0x1.54a9fd8273a18p-7, 0x1.48c37a8039b05p-7, 0x1.3d3e980c34d1ep-7, 0x1.32189c22c94ccp-7, 0x1.274edc4e31e9ep-7, 0x1.1cdebd71cb741p-7, 0x1.12c5b394a2803p-7, 0x1.090141ab5dac4p-7, 0x1.ff1df2c32d89bp-8, 0x1.ecd8f5c5695fdp-8, 0x1.db2ee944b35cap-8, 0x1.ca1b4648ebb45p-8, 0x1.b999a18a1cb39p-8, 0x1.a9a5aaff9575ep-8, 0x1.9a3b2d6eaad1ap-8, 0x1.8b560df93db7fp-8, 0x1.7cf24bac232ebp-8, 0x1.6f0bff0d8618dp-8, 0x1.619f59ab5dd34p-8, 0x1.54a8a5aa114aap-8, 0x1.482445535a3eap-8, 0x1.3c0eb2a583ff5p-8, 0x1.30647ee314d8dp-8, 0x1.25225222f8698p-8, 0x1.1a44eae13bc57p-8, 0x1.0fc91d906db4p-8, 0x1.05abd42bb431fp-8, 0x1.f7d41b9347c7fp-9, 0x1.e501bc5fd5d7bp-9, 0x1.d2dadacfb7071p-9, 0x1.c159eea7c4f1ap-9, 0x1.b079968beea73p-9, 0x1.a034972e20034p-9, 0x1.9085da7f44528p-9, 0x1.81686ee279ab4p-9, 0x1.72d7866285dbcp-9, 0x1.64ce75e99dd27p-9, 0x1.5748b47b8d026p-9, 0x1.4a41da724e37ep-9, 0x1.3db5a0bd1e4e8p-9, 0x1.319fe02216dc2p-9, 0x1.25fc90825d329p-9, 0x1.1ac7c820e6d9p-9, 0x1.0ffdbaebe7c0cp-9, 0x1.059ab9c8e6d48p-9, 0x1.f73663c7072abp-10, 0x1.e3f757fdeb8b5p-10, 0x1.d171979481e4ap-10, 0x1.bf9e9e6e59794p-10, 0x1.ae781ba7f1c69p-10, 0x1.9df7f04fb3fb1p-10, 0x1.8e182e246aabep-10, 0x1.7ed316594aeep-10, 0x1.7023185f80304p-10, 0x1.6202d0b54bb98p-10, 0x1.546d07ba9cc56p-10, 0x1.475cb08b3a045p-10, 0x1.3acce7de57586p-10, 0x1.2eb8f2ebb6338p-10, 0x1.231c3e562b714p-10, 0x1.17f25d1b8bca9p-10, 0x1.0d37078a09079p-10, 0x1.02e61a3ad597ap-10, 0x1.f1f72a2440f24p-11, 0x1.dee73488a1ffbp-11, 0x1.cc94dac0f32dap-11, 0x1.baf8e4bfee42p-11, 0x1.aa0c59765d1f3p-11, 0x1.99c87d06b85d8p-11, 0x1.8a26cf02cd9ecp-11, 0x1.7b2108b351affp-11, 0x1.6cb11b6942199p-11, 0x1.5ed12ed8f4916p-11, 0x1.517b9f7ebb4fp-11, 0x1.44aafd0cf954dp-11, 0x1.385a08e38a887p-11, 0x1.2c83b4905e463p-11, 0x1.2123205921fbfp-11, 0x1.163399cddc459p-11, 0x1.0bb09a6455dc5p-11, 0x1.0195c61c2fed6p-11, 0x1.efbdd45702a98p-12, 0x1.dd0ff767bb631p-12, 0x1.cb1a2cff40fbfp-12, 0x1.b9d4f78eaf622p-12, 0x1.a93921fe60611p-12, 0x1.993fbd5874d4bp-12, 0x1.89e21e82d56dp-12, 0x1.7b19dc0857b1dp-12, 0x1.6ce0cbf0cc45dp-12, 0x1.5f3101a7aa4e4p-12, 0x1.5204cbf113168p-12, 0x1.4556b2ece97b8p-12, 0x1.39217627b750cp-12, 0x1.2d600ab91bd6fp-12, 0x1.220d996f7ed01p-12, 0x1.17257d08c42fep-12, 0x1.0ca34077bb81p-12, 0x1.02829d360a97ap-12, 0x1.f17ef3449d54dp-13, 0x1.deabced465084p-13, 0x1.cc844400701b2p-13, 0x1.bb011a39e8aa3p-13, 0x1.aa1b669701aap-13, 0x1.99cc8901bbecep-13, 0x1.8a0e297c14f1fp-13, 0x1.7ada357926c9p-13, 0x1.6c2add4ab6723p-13, 0x1.5dfa91a2bf3a9p-13, 0x1.5044012882641p-13, 0x1.43021620a34cdp-13, 0x1.362ff427d9308p-13, 0x1.29c8f5ffcfd5cp-13, 0x1.1dc8ab6db74p-13, 0x1.122ad72a1c9e2p-13, 0x1.06eb6ce1a1463p-13, 0x1.f80d1e8c31b1fp-14, 0x1.e2f11c5f638fap-14, 0x1.ce7bc99b6f49bp-14, 0x1.baa66fcd1853ap-14, 0x1.a76aa84ce08dfp-14, 0x1.94c258f97927ep-14, 0x1.82a7b10e5157p-14, 0x1.7115261577817p-14, 0x1.600570f424c8fp-14, 0x1.4f738b112c715p-14, 0x1.3f5aab949f7e5p-14, 0x1.2fb644bff628p-14, 0x1.2082015e0d588p-14, 0x1.11b9c24a521afp-14, 0x1.03599c0e71777p-14, 0x1.eabba92bd81a6p-15, 0x1.cf85c1edd632ap-15, 0x1.b50ac69f7b3e1p-15, 0x1.9b445170c2486p-15, 0x1.822c4e8f06072p-15, 0x1.69bcf854cb6c7p-15, 0x1.51f0d39e37e33p-15, 0x1.3ac2ac4118be9p-15, 0x1.242d91a76ceb9p-15, 0x1.0e2cd38b61f61p-15, 0x1.f177fda7794bbp-16, 0x1.c7adb51f6aa53p-16, 0x1.9ef2ca228e196p-16, 0x1.773fa249faa7bp-16, 0x1.508d06ccb4453p-16, 0x1.2ad41f5fc5d41p-16, 0x1.060e6d4bee8bap-16, 0x1.c46b8d6e4f563p-17, 0x1.7e88a4409b943p-17, 0x1.3a690416a17e7p-17, 0x1.f00443713406p-18, 0x1.6e93f37ff4543p-18, 0x1.e0dc24001703ap-19, 0x1.d6022a18a5c4bp-20, -0x1.22e9a651e43eep-25, -0x1.dbd5843acaff4p-20, -0x1.d13b5c71d4e64p-19, -0x1.574d8c3eab94ep-18, -0x1.c3131a17a02a6p-18, -0x1.15fde7a03dd49p-17, -0x1.490a431bc690fp-17, -0x1.7ab4c33cf3317p-17, -0x1.ab034702de835p-17, -0x1.d9fb6d3331e14p-17, -0x1.03d14c53a083fp-16, -0x1.19fefa31163f3p-16, -0x1.2f893bb9298cep-16, -0x1.4472744ff358bp-16, -0x1.58bcf0f557949p-16, -0x1.6c6ae9ec60e2cp-16, -0x1.7f7e844c14c31p-16, -0x1.91f9d37a8ce6dp-16, -0x1.a3deda933c428p-16, -0x1.b52f8db93978dp-16, -0x1.c5edd3564f054p-16, -0x1.d61b8547a66f4p-16, -0x1.e5ba71f8c9e11p-16, -0x1.f4cc5d6db8326p-16, -0x1.01a9811e607f4p-15, -0x1.08a8093c6c4b6p-15, -0x1.0f629c4689d1cp-15, -0x1.15da0c04f19b8p-15, -0x1.1c0f27325c3f9p-15, -0x1.2202b9d556951p-15, -0x1.27b58d935dc97p-15, -0x1.2d2869fe0f5edp-15, -0x1.325c14daaea55p-15, -0x1.37515264492f4p-15, -0x1.3c08e588b15fep-15, -0x1.4083902097db9p-15, -0x1.44c21322f988ep-15, -0x1.48c52ed41b6aap-15, -0x1.4c8da2f0552ecp-15, -0x1.501c2ed2d2cap-15, -0x1.5371919890822p-15, -0x1.568e8a3fb624cp-15, -0x1.5973d7c38b6e4p-15, -0x1.5c2239352ce47p-15, -0x1.5e9a6dd135079p-15, -0x1.60dd351280674p-15, -0x1.62eb4ec23383p-15, -0x1.64c57b05348c1p-15, -0x1.666c7a6731e4cp-15, -0x1.67e10de365473p-15, -0x1.6923f6eb31d88p-15, -0x1.6a35f76abd948p-15, -0x1.6b17d1cbab8aap-15, -0x1.6bca48f613068p-15, -0x1.6c4e204fcfbd8p-15, -0x1.6ca41bba4bcbep-15, -0x1.6cccff8ede29bp-15, -0x1.6cc99099d3923p-15, -0x1.6c9a941441923p-15, -0x1.6c40cf9cb4acbp-15, -0x1.6bbd092ed949cp-15, -0x1.6b10071a2c0cp-15, -0x1.6a3a8ff7cbda8p-15, -0x1.693d6a9f833bep-15, -0x1.68195e1c1657fp-15, -0x1.66cf319eec53p-15, -0x1.655fac7324948p-15, -0x1.63cb95f026073p-15, -0x1.6213b56bbbc69p-15, -0x1.6038d22bca096p-15, -0x1.5e3bb357ae611p-15, -0x1.5c1d1fe95111bp-15, -0x1.59ddde9dffa7p-15, -0x1.577eb5e70de39p-15, -0x1.55006bda58c8bp-15, -0x1.5263c622a81cap-15, -0x1.4fa989f000cedp-15, -0x1.4cd27be7f1f4ep-15, -0x1.49df6015dee59p-15, -0x1.46d0f9db56a85p-15, -0x1.43a80be07b3f3p-15, -0x1.40655804833dfp-15, -0x1.3d099f4e5ab92p-15, -0x1.3995a1dd6b7b2p-15, -0x1.360a1eda91e5cp-15, -0x1.3267d46944449p-15, -0x1.2eaf7f98f30cep-15, -0x1.2ae1dc56a2095p-15, -0x1.26ffa55ec8249p-15, -0x1.2309942f6f54fp-15, -0x1.1f0060faa08d3p-15, -0x1.1ae4c2991cc81p-15, -0x1.16b76e7d6103ap-15, -0x1.127918a703f35p-15, -0x1.0e2a739663516p-15, -0x1.09cc3040aa2e5p-15, -0x1.055efe04320aep-15, -0x1.00e38a9d3e60fp-15, -0x1.f8b5043628d0cp-16, -0x1.ef891daae4aaap-16, -0x1.e644b2c4cab0dp-16, -0x1.dce91118ffa2ap-16, -0x1.d3778292e52afp-16, -0x1.c9f14d62070e6p-16, -0x1.c057b3e8d8998p-16, -0x1.b6abf4ac2914bp-16, -0x1.acef4a436b59cp-16, -0x1.a322eb49b3b7bp-16, -0x1.99480a4f8614fp-16, -0x1.8f5fd5cd61955p-16, -0x1.856b78170d5d1p-16, -0x1.7b6c174fada53p-16, -0x1.7162d55e9148ap-16, -0x1.6750cfe4c1de7p-16, -0x1.5d3720335157bp-16, -0x1.5316db426014fp-16, -0x1.48f111a8df0d4p-16, -0x1.3ec6cf9502805p-16, -0x1.34991cc56f493p-16, -0x1.2a68fc8318037p-16, -0x1.20376d9bc667bp-16, -0x1.16056a5d53c21p-16, -0x1.0bd3e891894d3p-16, -0x1.01a3d97aa92afp-16, -0x1.eeec53a12bc7bp-17, -0x1.da97837d45076p-17, -0x1.c64b09c3e9fbp-17, -0x1.b208a49118426p-17, -0x1.9dd208e1ae3f5p-17, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      47, 0x1.0cccccccccccdp+2, 0x1.1227631ebbe29p+1, 0x1.f490048589b7bp+1, -0x1.467508fc1adbp-1, 
      {{
        {0x1.3333333333333p+0, 0x1.3d70a3d70a3d7p+0, 0x1.9771d1d4738a4p+1, -0x1.05deb11239a3fp+3, 0x1.1870a3d70a3c8p+3, 0x1.85726bf5cf542p+0}, 
        {0x1.3d70a3d70a3d7p+0, 0x1.47ae147ae147bp+0, 0x1.6f5a4acf312b2p+1, -0x1.de66ec40b995fp+2, 0x1.1e481dc786f24p+3, -0x1.e6cf06f343274p+2}, 
        {0x1.47ae147ae147bp+0, 0x1.51eb851eb851fp+0, 0x1.4ad9b5e95b78dp+1, -0x1.b2ef03c8aceb2p+2, 0x1.0112bc151765ap+3, -0x1.2e207f3067ee5p+2}, 
        {0x1.51eb851eb851fp+0, 0x1.5c28f5c28f5c3p+0, 0x1.29a98eda22f6ap+1, -0x1.8b408d02276bcp+2, 0x1.dde42138daa46p+2, -0x1.45aefc4b1b594p+2}, 
        {0x1.5c28f5c28f5c3p+0, 0x1.6666666666666p+0, 0x1.0b879c4113c68p+1, -0x1.66958a5536025p+2, 0x1.b6cf21aab8a3ep+2, -0x1.25238fa32f5bcp+2}, 
        {0x1.6666666666666p+0, 0x1.70a3d70a3d70ap+0, 0x1.e06b59146e4c1p+0, -0x1.44e2f05e0b9dp+2, 0x1.93a1e7786b472p+2, -0x1.15c2c5281ef15p+2}, 
        {0x1.70a3d70a3d70ap+0, 0x1.7ae147ae147aep+0, 0x1.aef31b152f3c3p+0, -0x1.25eddbedcb795p+2, 0x1.724d177dd8346p+2, -0x1.02d15bbc590d8p+2}, 
        {0x1.7ae147ae147aep+0, 0x1.851eb851eb852p+0, 0x1.82398201cd5fap+0, -0x1.098c20880fcd4p+2, 0x1.533e35717b992p+2, -0x1.e1ef97ccfc27p+1}, 
        {0x1.851eb851eb852p+0, 0x1.8f5c28f5c28f6p+0, 0x1.59d8b60f1b25fp+0, -0x1.df211047dbe2cp+1, 0x1.3653ac55d2de7p+2, -0x1.c29ee9535860fp+1}, 
        {0x1.8f5c28f5c28f6p+0, 0x1.999999999999ap+0, 0x1.3571d1d4738a4p+0, -0x1.afa3cc7519993p+1, 0x1.1b4a2374a9b9ep+2, -0x1.a194c2e5a7282p+1}, 
        {0x1.999999999999ap+0, 0x1.a3d70a3d70a3dp+0, 0x1.14ac4b4d056c5p+0, -0x1.84516151ec672p+1, 0x1.023c17c30b377p+2, -0x1.850e0b160d537p+1}, 
        {0x1.a3d70a3d70a3dp+0, 0x1.ae147ae147ae1p+0, 0x1.ee6bc621b7e0bp-1, -0x1.5cde27e9e9da7p+1, 0x1.d5c86ba22950ap+1, -0x1.663310c21a6c8p+1}, 
        {0x1.ae147ae147ae1p+0, 0x1.b851eb851eb85p+0, 0x1.b9845dc832335p-1, -0x1.390128650a4f6p+1, 0x1.aacc8857ab439p+1, -0x1.4e25b1e18c421p+1}, 
        {0x1.b851eb851eb85p+0, 0x1.c28f5c28f5c29p+0, 0x1.8a1511dffc548p-1, -0x1.1876ea52696aap+1, 0x1.82b3877a0b12bp+1, -0x1.313627b7b73dap+1}, 
        {0x1.c28f5c28f5c29p+0, 0x1.ccccccccccccdp+0, 0x1.5f9acffa7eb6cp-1, -0x1.f5fca2446ac83p+0, 0x1.5e136e3b09905p+1, -0x1.1d01af3f95216p+1}, 
        {0x1.ccccccccccccdp+0, 0x1.d70a3d70a3d71p+0, 0x1.399d0203e63e9p-1, -0x1.c0b5f506be3ddp+0, 0x1.3be00747e3302p+1, -0x1.02c31b49f4dbap+1}, 
        {0x1.d70a3d70a3d71p+0, 0x1.e147ae147ae14p+0, 0x1.17abfb9bed30fp-1, -0x1.90a7a57aed57cp+0, 0x1.1cd2db0bd00b7p+1, -0x1.dbe3c73133d19p+0}, 
        {0x1.e147ae147ae14p+0, 0x1.eb851eb851eb8p+0, 0x1.f2c343b70ef56p-2, -0x1.655e0af76e19p+0, 0x1.0045305fe6895p+1, -0x1.b6eaaca73b0f7p+0}, 
        {0x1.eb851eb851eb8p+0, 0x1.f5c28f5c28f5cp+0, 0x1.bcc07aaef2c73p-2, -0x1.3e788dae50de2p+0, 0x1.cbdedb640daa6p+0, -0x1.8c718631e6463p+0}, 
        {0x1.f5c28f5c28f5cp+0, 0x1p+1, 0x1.8ca36199780bbp-2, -0x1.1b958dfa1c0a8p+0, 0x1.9c4c1d351afe1p+0, -0x1.6b4f3a912d1a7p+0}, 
        {0x1p+1, 0x1.051eb851eb852p+1, 0x1.61cf7878b7a1cp-2, -0x1.f8b047c427e87p-1, 0x1.70b33f23af2e1p+0, -0x1.4a518f89638d2p+0}, 
        {0x1.051eb851eb852p+1, 0x1.0a3d70a3d70a4p+1, 0x1.3bb5e0f7fcfc4p-2, -0x1.c0de1ca2af095p-1, 0x1.490fdbfeb7b69p+0, -0x1.276a874945114p+0}, 
        {0x1.0a3d70a3d70a4p+1, 0x1.0f5c28f5c28f6p+1, 0x1.19d4d834091c1p-2, -0x1.8f0dbfc0ac85p-1, 0x1.259cad0a67bebp+0, -0x1.100453518927ap+0}, 
        {0x1.0f5c28f5c28f6p+1, 0x1.147ae147ae148p+1, 0x1.f76ee73e681aap-3, -0x1.62afe8dc0de08p-1, 0x1.04f8511f57494p+0, -0x1.e10856e12a744p-1}, 
        {0x1.147ae147ae148p+1, 0x1.199999999999ap+1, 0x1.c1e68a0d349bfp-3, -0x1.3b3dabf6d727ap-1, 0x1.d0375023a97a5p-1, -0x1.b3d5fdd844b04p-1}, 
        {0x1.199999999999ap+1, 0x1.1eb851eb851ecp+1, 0x1.925247cb70ac4p-3, -0x1.183214f434d4ep-1, 0x1.9bea6f1e30986p-1, -0x1.879fb1bdc2accp-1}, 
        {0x1.1eb851eb851ecp+1, 0x1.23d70a3d70a3dp+1, 0x1.6806af46aa088p-3, -0x1.f23e8c85f79f5p-2, 0x1.6cebc03060eap-1, -0x1.55ab3b30b6b6dp-1}, 
        {0x1.23d70a3d70a3dp+1, 0x1.28f5c28f5c28fp+1, 0x1.426a22b3892efp-3, -0x1.bb23130020c23p-2, 0x1.43ebaed89ce9p-1, -0x1.39b3617f55cfcp-1}, 
        {0x1.28f5c28f5c28fp+1, 0x1.2e147ae147ae1p+1, 0x1.20f4d7add15fp-3, -0x1.8a523c5d423bp-2, 0x1.1e46cc1b40b15p-1, -0x1.0b873ed1f7e25p-1}, 
        {0x1.2e147ae147ae1p+1, 0x1.3333333333333p+1, 0x1.032ca57a786c2p-3, -0x1.5f15d366cad91p-2, 0x1.fc58a7db272c4p-2, -0x1.f05f4671960a1p-2}, 
        {0x1.3333333333333p+1, 0x1.3851eb851eb85p+1, 0x1.d14d2f5dbb9dp-4, -0x1.38ccd5e040098p-2, 0x1.c0c81a4867168p-2, -0x1.97746895ba034p-2}, 
        {0x1.3851eb851eb85p+1, 0x1.3d70a3d70a3d7p+1, 0x1.a20578e5c4eb5p-4, -0x1.16da77b4ac998p-2, 0x1.8fe317f8fed8bp-2, -0x1.81cf17377f53ap-2}, 
        {0x1.3d70a3d70a3d7p+1, 0x1.428f5c28f5c29p+1, 0x1.77dd872f33ca3p-4, -0x1.f16db96b007ebp-3, 0x1.61970af255f77p-2, -0x1.414f3a8c49f8p-2}, 
        {0x1.428f5c28f5c29p+1, 0x1.47ae147ae147bp+1, 0x1.5240746455eafp-4, -0x1.bbf053e0675dap-3, 0x1.3b086a5224215p-2, -0x1.18f3fe9758777p-2}, 
        {0x1.47ae147ae147bp+1, 0x1.4cccccccccccdp+1, 0x1.30ae536501e26p-4, -0x1.8c3b0d31b17cdp-3, 0x1.19518935bd5abp-2, -0x1.f5c1962ca9947p-3}, 
        {0x1.4cccccccccccdp+1, 0x1.51eb851eb851fp+1, 0x1.12b7fe08aefb3p-4, -0x1.61a0cdc5c6cb7p-3, 0x1.f66d1f1e70995p-3, -0x1.b711aa1ea922fp-3}, 
        {0x1.51eb851eb851fp+1, 0x1.570a3d70a3d71p+1, 0x1.eff5c6c11a111p-5, -0x1.3b8aa45e513c5p-3, 0x1.c1bcebfc0a61dp-3, -0x1.6df7c158ade08p-3}, 
        {0x1.570a3d70a3d71p+1, 0x1.5c28f5c28f5c3p+1, 0x1.c0420f6f08cc5p-5, -0x1.1951b5a4b116p-3, 0x1.95d26424995b7p-3, -0x1.510f507ea263ap-3}, 
        {0x1.5c28f5c28f5c3p+1, 0x1.6147ae147ae14p+1, 0x1.95c209246bf01p-5, -0x1.f4f1509156a9bp-4, 0x1.6d5fe9d7f6827p-3, -0x1.2dcafcaccf208p-3}, 
        {0x1.6147ae147ae14p+1, 0x1.6666666666666p+1, 0x1.6ff1950331e3ap-5, -0x1.bd61413d3e516p-4, 0x1.4928d5c339d0ep-3, -0x1.ef89799c2491ep-4}, 
        {0x1.6666666666666p+1, 0x1.6b851eb851eb8p+1, 0x1.4e5b4245f5ad9p-5, -0x1.8b17cc1002dcep-4, 0x1.2b6d62f22d61ap-3, -0x1.e6442035de16ep-4}, 
        {0x1.6b851eb851eb8p+1, 0x1.70a3d70a3d70ap+1, 0x1.309a671ef30a5p-5, -0x1.5d84c771eb0ep-4, 0x1.0e4056c5fc376p-3, -0x1.7766058c65ae6p-4}, 
        {0x1.70a3d70a3d70ap+1, 0x1.75c28f5c28f5cp+1, 0x1.1652bd3c36113p-5, -0x1.34149315e2514p-4, 0x1.ef746f70e1fd7p-4, -0x1.fc23c9988876cp-4}, 
        {0x1.75c28f5c28f5cp+1, 0x1.7ae147ae147aep+1, 0x1.fe64f54d1e96cp-6, -0x1.0ee20fd928235p-4, 0x1.b27a617d4c7e8p-4, -0x1.80ad411795894p-8}, 
        {0x1.7ae147ae147aep+1, 0x1.8p+1, 0x1.d5d3dc8b86b16p-6, -0x1.d87afd3e964d5p-5, 0x1.af97cd29482c4p-4, -0x1.98ec3988648ep-2}, 
        {0x1.8p+1, 0x1.bd70a3d70a3d7p+1, 0x1.b25f633ce63a6p-6, -0x1.a320d0b398094p-5, 0x1.d69ebf40444bp-5, -0x1.365ce36e8cc4ep-5}, 
        {0x1.bd70a3d70a3d7p+1, 0x1.0cccccccccccdp+2, 0x1.6872b020c49bap-7, -0x1.6bb61be9619f6p-6, 0x1.7b296781d6cf5p-9, -0x1.9831ecfeec8c3p-5}, 
      }}, 
      0x1.3d43f1b13d43dp-3, -0x1.9dd69493310f7p-4
    }
  };
  // clang-format on
}
SkfData params_mio_0_1_s_s() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    SkfData::SameElementLine {0x1.5ebe3be55e691p-6, -0x1.08381b4f66c58p-2, -0x1.4290801564155p-1, 0x0p+0, 0x1.40cc78e9f6a94p-2, 0x1.60956c0d6f545p-2, 0x1.50b0f27bb2fecp-2, 0, 4, 2}, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.1968c7ce35bdbp-2, -0x1.0d32deea23cep-2, -0x1.011039e6d158cp-2, -0x1.ea16e31998efcp-3, -0x1.d25d5abfac143p-3, -0x1.bb0468e401e06p-3, -0x1.a41bb89c33c7ap-3, -0x1.8db26064fdabbp-3, -0x1.77d507b68460cp-3, -0x1.628eab1284bacp-3, -0x1.4de99131971efp-3, -0x1.39eeaa3d72d66p-3, -0x1.26a5487911c37p-3, -0x1.14139b838ad27p-3, -0x1.023ee391d7a23p-3, -0x1.e256935a3e537p-4, -0x1.c1b7b6f1555a7p-4, -0x1.a2a563e615568p-4, -0x1.85221599d5f8dp-4, -0x1.692e93c0033b6p-4, -0x1.4eca03eced5f5p-4, -0x1.35ee8dc338a48p-4, -0x1.1e9fce5706913p-4, -0x1.08d7e82b8be06p-4, -0x1.e91d0fbbacc88p-5, -0x1.c37472618deaep-5, -0x1.a0a4a99c72e14p-5, -0x1.809ed911b4541p-5, -0x1.63547779c983p-5, -0x1.48b44b306c69bp-5, -0x1.30a8c3e3fc1c2p-5, -0x1.1b189f3ce5ff8p-5, -0x1.07e9293b17c96p-5, -0x1.ee011f6d5b93ep-6, -0x1.d08dfcb67753ap-6, -0x1.b74c55d861884p-6, -0x1.a20fd82ce7409p-6, -0x1.90a9ba1bd944p-6, -0x1.82e7a7fcab7bap-6, -0x1.7894b1d7b0c0ep-6, -0x1.717b78af541bfp-6, -0x1.6d685e56bf118p-6, -0x1.6c2ab8b5b4d62p-6, -0x1.6d94b8127cf2cp-6, -0x1.717a6039c6466p-6, -0x1.77b04f1960125p-6, -0x1.800af7b329dbdp-6, -0x1.8a5e99d4ea428p-6, -0x1.967fd59f2ef1p-6, -0x1.a4447a73f423ap-6, -0x1.b3842df62111ep-6, -0x1.c418b1fdd0188p-6, -0x1.d5ddc7f7d64ddp-6, -0x1.e8b0d8dbf1b12p-6, -0x1.fc7095ed245p-6, -0x1.087e5d5561802p-5, -0x1.131affc201af5p-5, -0x1.1dff1a21e1199p-5, -0x1.291c3537b151ep-5, -0x1.34648b627d9c9p-5, -0x1.3fcb0d8f8e001p-5, -0x1.4b435c3791a0cp-5, -0x1.56c1b9cb09511p-5, -0x1.624444cf58f98p-5, -0x1.6dca7fcdb4103p-5, -0x1.793095b2cbaabp-5, -0x1.8469e1935f808p-5, -0x1.8f6bf312938e1p-5, -0x1.9a2ea03605e0dp-5, -0x1.a4abd048301b5p-5, -0x1.aedf10dd2e269p-5, -0x1.b8c50c1b4f364p-5, -0x1.c25af87d292a8p-5, -0x1.cb9e1739fb126p-5, -0x1.d48b50dac4fffp-5, -0x1.dd1ef8cf31632p-5, -0x1.e554ba5675e59p-5, -0x1.ed27ab8c641dfp-5, -0x1.f4927f3b0bda7p-5, -0x1.fb8fcb52f33cp-5, -0x1.010d2c50bcc55p-4, -0x1.0416b8411a8eep-4, -0x1.06e28f6221cf1p-4, -0x1.096f304982442p-4, -0x1.0bbb9e3c102f2p-4, -0x1.0dc7617f3f625p-4, -0x1.0f927d45667a8p-4, -0x1.111d5da0a3148p-4, -0x1.1268c084f81d2p-4, -0x1.13759cfb4e846p-4, -0x1.14450b52621f7p-4, -0x1.14d8307ccd8ep-4, -0x1.15302e0bb961ap-4, -0x1.154e177702356p-4, -0x1.1532ecbd7c813p-4, -0x1.14df99e8176c2p-4, -0x1.1454faa216d12p-4, -0x1.1393e0e41125ep-4, -0x1.129d1d96f0fb9p-4, -0x1.11718a110091bp-4, -0x1.1012115ce2d2cp-4, -0x1.0e7fb8574484fp-4, -0x1.0cbba3dc89414p-4, -0x1.0ac71c7aa511fp-4, -0x1.08a38f6259d0bp-4, -0x1.06528ca02a82dp-4, -0x1.03d5c2ef51fap-4, -0x1.012ef9b68f6b4p-4, -0x1.fcc013ce1e414p-5, -0x1.f6d5ad077e51cp-5, -0x1.f0a28b1558524p-5, -0x1.ea2a73ae485cfp-5, -0x1.e3711cc2e149fp-5, -0x1.dc7a26140a5bbp-5, -0x1.d54915d530588p-5, -0x1.cde157fcbdd1dp-5, -0x1.c6463fafba6f5p-5, -0x1.be7b0a1d1d70dp-5, -0x1.b682e21f2c29bp-5, -0x1.ae60e40d7a7a5p-5, -0x1.a6182149610c8p-5, -0x1.9daba331690fbp-5, -0x1.951e6d48b6629p-5, -0x1.8c737e7b88576p-5, -0x1.83add18024505p-5, -0x1.7ad05c6468ffdp-5, -0x1.71de0f655903cp-5, -0x1.68d9d33762b81p-5, -0x1.5fc686eced22ap-5, -0x1.56a6fdabfe9f1p-5, -0x1.4d7dfc63af1eap-5, -0x1.444e37ad65e76p-5, -0x1.3b1a51fdb0013p-5, -0x1.31e4da3c91a71p-5, -0x1.28b04acfc5744p-5, -0x1.1f7f091408301p-5, -0x1.1653653700c0cp-5, -0x1.0d2f9a5bafe5fp-5, -0x1.0415ceef90039p-5, -0x1.f6102a2eec624p-6, -0x1.e410d63f26c15p-6, -0x1.d23177c115a7ap-6, -0x1.c075be25699aap-6, -0x1.aee1331eaa658p-6, -0x1.9d773b082d1e8p-6, -0x1.8c3b153ecc5e6p-6, -0x1.7b2fdc78f7951p-6, -0x1.6a42159fa688ep-6, -0x1.59a40ce2c2721p-6, -0x1.49403c1687a29p-6, -0x1.3919148ad535bp-6, -0x1.2930dca46cf1ap-6, -0x1.1989b1e6bb56ep-6, -0x1.0a258b543c2dp-6, -0x1.f60c78190ef18p-7, -0x1.d85aec1ae8ap-7, -0x1.bb3999f8e8d19p-7, -0x1.9eab71bb9f148p-7, -0x1.82b33141ea0cap-7, -0x1.675368d7ca0dfp-7, -0x1.4c8e7f25b2697p-7, -0x1.3266b45c29ab6p-7, -0x1.18de24883e527p-7, -0x1.ffed921132336p-8, -0x1.cf64f24bb1eb3p-8, -0x1.a025d3b58e6a3p-8, -0x1.723359c6a78a1p-8, -0x1.45905e616406p-8, -0x1.1a3f6dcf65c74p-8, -0x1.e0858448d4e0ap-9, -0x1.8f387cb9bb1bfp-9, -0x1.409ad3183fde5p-9, -0x1.e95da9a5fb125p-10, -0x1.56ec0e09f1f0bp-10, -0x1.93c4825fb9acfp-11, -0x1.090033ed4459bp-12, 0x1.ffe35c17364b5p-13, 0x1.79ad541f6bcadp-11, 0x1.3453ce5e81a2p-10, 0x1.a67a8a736b6f8p-10, 0x1.09a989556b4e7p-9, 0x1.3d7384f402701p-9, 0x1.6ea0b54437f4dp-9, 0x1.9d373666e2c44p-9, 0x1.c93db5bc95f0dp-9, 0x1.f2bb63abb5769p-9, 0x1.0cdbf29df7592p-8, 0x1.1f1da2efec4cfp-8, 0x1.3026f4de7276fp-8, 0x1.3ffc405ce2faep-8, 0x1.4ea1fd4723854p-8, 0x1.5c1cbe03ac2p-8, 0x1.68712acfdb88ep-8, 0x1.73a3fdc442cbap-8, 0x1.7db9ff944c326p-8, 0x1.86b805095e7abp-8, 0x1.8ea2ed32b3545p-8, 0x1.957fa03e3a5e8p-8, 0x1.9b530eea18dfdp-8, 0x1.a022327b854eep-8, 0x1.a3f20d23cb8e2p-8, 0x1.a6c7aabb243eap-8, 0x1.a8a821b847e87p-8, 0x1.a998944b1f0a5p-8, 0x1.a99e318264868p-8, 0x1.a8be36659b146p-8, 0x1.a6fdeeef4cacbp-8, 0x1.a462b6d607519p-8, 0x1.a0f1fa169e006p-8, 0x1.9cb13534f884fp-8, 0x1.97a5f52c55088p-8, 0x1.91d5d70bff715p-8, 0x1.8b46873f8b183p-8, 0x1.83fdc08565992p-8, 0x1.7c014a98bfccp-8, 0x1.7356f895d5c64p-8, 0x1.6a04a7210907dp-8, 0x1.60103a5b0d4c5p-8, 0x1.557f9bac6951dp-8, 0x1.4a58b773a54p-8, 0x1.3ea17aa0d96f5p-8, 0x1.325fd049debe6p-8, 0x1.25999f4108444p-8, 0x1.1854c7b832e0cp-8, 0x1.0a9720f8d859ep-8, 0x1.f8ccee7126345p-9, 0x1.db911321cd9f1p-9, 0x1.bd86103eeb7d6p-9, 0x1.9eb724a5498d2p-9, 0x1.7f2f6acba47edp-9, 0x1.5ef9d61c91e5fp-9, 0x1.3e2130b430d3ep-9, 0x1.1cb0197f09761p-9, 0x1.f562056f32c5ep-10, 0x1.b05c617b025bfp-10, 0x1.6a63727ef8f8fp-10, 0x1.238b0560e9108p-10, 0x1.b7cd0ffbdc6dcp-11, 0x1.2712121683f9fp-11, 0x1.2a14e155a6dd3p-12, 0x1.dace953199d0ap-19, -0x1.24b1d90c94441p-12, -0x1.276d926c35a4dp-11, -0x1.bd40ac4eb431dp-11, -0x1.29d83c63a798ap-10, -0x1.754df4eea89adp-10, -0x1.c0f151988eeeep-10, -0x1.06593e1720917p-9, -0x1.2c40fae52e7e2p-9, -0x1.52284b260ee4bp-9, -0x1.7807c5fb7783dp-9, -0x1.9dd82d9d60ef7p-9, -0x1.c3926f524119ap-9, -0x1.e92fa37a6b76bp-9, -0x1.075486d6594c6p-8, -0x1.19fc0e70ef2a3p-8, -0x1.2c8b35d6bfc09p-8, -0x1.3efee04003b8p-8, -0x1.515406f80ffe4p-8, -0x1.6387b983fd078p-8, -0x1.75971dc9dde41p-8, -0x1.877f7036fa033p-8, -0x1.993e03e3cbd7fp-8, -0x1.aad042b46171bp-8, -0x1.bc33ad73eec02p-8, -0x1.cd65dbeaa753cp-8, -0x1.de647cecc8a9cp-8, -0x1.ef2d566235b2ap-8, -0x1.ffbe4546392d6p-8, -0x1.080a9ecf407fbp-7, -0x1.10182534ced79p-7, -0x1.1806c6c242f8dp-7, -0x1.1fd59fc3bbe4ep-7, -0x1.2783d7cd1230bp-7, -0x1.2f10a19fd084dp-7, -0x1.367b3b0d36cf1p-7, -0x1.3dc2ecd48e3a6p-7, -0x1.44e70a7e338aep-7, -0x1.4be6f23375fc2p-7, -0x1.52c20c93c679fp-7, -0x1.5977cc87a3937p-7, -0x1.6007af1161d1bp-7, -0x1.66713b1c726f4p-7, -0x1.6cb4014b3eaep-7, -0x1.72cf9bc413eb4p-7, -0x1.78c3adfd791d7p-7, -0x1.7e8fe489e81a2p-7, -0x1.8433f4e389abdp-7, -0x1.89af9d37ec078p-7, -0x1.8f02a433fe379p-7, -0x1.942cd8d05ff87p-7, -0x1.992e121e509dbp-7, -0x1.9e062f153054dp-7, -0x1.a2b5166093c67p-7, -0x1.a73ab62f4e017p-7, -0x1.ab97040305baep-7, -0x1.afc9fc80b9cefp-7, -0x1.b3d3a341dc584p-7, -0x1.b7b402a662a9cp-7, -0x1.bb6b2ba75993bp-7, -0x1.bef935aa309d7p-7, -0x1.c25e3e54b25b7p-7, -0x1.c59a69618c523p-7, -0x1.c8ade0754607ep-7, -0x1.cb98d2f3aa159p-7, -0x1.ce5b75d5c89fdp-7, -0x1.d0f6038018c52p-7, -0x1.d368bb98fb292p-7, -0x1.d5b3e2df8174dp-7, -0x1.d7d7c3026cbb1p-7, -0x1.d9d4aa774da36p-7, -0x1.dbaaec51d8a78p-7, -0x1.dd5ae01b3d217p-7, -0x1.dee4e1a9c6f13p-7, -0x1.e04950f85b8a7p-7, -0x1.e1888d58a9614p-7, -0x1.e2a30783a2c6ep-7, -0x1.e39926c0d72a8p-7, -0x1.e46b5a09d079ap-7, -0x1.e51a13b419e9fp-7, -0x1.e5a5c94973fdp-7, -0x1.e60ef3601d9fcp-7, -0x1.e6560d735e077p-7, -0x1.e67b95bc2ab48p-7, -0x1.e6800d0a31617p-7, -0x1.e663f69cfb479p-7, -0x1.e627d7fd72e6fp-7, -0x1.e5cc38d7b466cp-7, -0x1.e551a2d547824p-7, -0x1.e4b8a177a8463p-7, -0x1.e401c1f33d954p-7, -0x1.e32d930ad3f68p-7, -0x1.e23ca4eb7547bp-7, -0x1.e12f8908d4359p-7, -0x1.e006d1fa1e70fp-7, -0x1.dec313578e4b5p-7, -0x1.dd64e19850c48p-7, -0x1.dbecd1f12aff9p-7, -0x1.da5b7a33a6d36p-7, -0x1.d8b170addfcbdp-7, -0x1.d6ef4c0b0f926p-7, -0x1.d515a33496304p-7, -0x1.d3250d33dc747p-7, -0x1.d11e2114df3d2p-7, -0x1.cf0175c956f88p-7, -0x1.cccfa20cca2dfp-7, -0x1.ca893c4944b0ep-7, -0x1.c82eda7cdae53p-7, -0x1.c5c1121ff4dcfp-7, -0x1.c340780c7c0bdp-7, -0x1.c0ada065be886p-7, -0x1.be091e814fa0cp-7, -0x1.bb5384d08d193p-7, -0x1.b88d64cb57393p-7, -0x1.b5b74edb542d7p-7, -0x1.b2d1d2485dc68p-7, -0x1.afdd7d25b2d7dp-7, -0x1.acdadc402481ep-7, -0x1.a9ca7b0d3e003p-7, -0x1.a6ace39b42626p-7, -0x1.a3829e82387d5p-7, -0x1.a04c32d5dc424p-7, -0x1.9d0a26188a9a3p-7, -0x1.99bcfc2f1c81ap-7, -0x1.96653755c5194p-7, -0x1.93035815c2d23p-7, -0x1.8f97dd3c21a1ep-7, -0x1.8c2343d164054p-7, -0x1.88a607120357bp-7, -0x1.8520a067e945ap-7, -0x1.81938764b5503p-7, -0x1.7dff31bcfe3ccp-7, -0x1.7a64134449119p-7, -0x1.76c29de9d1c55p-7, -0x1.731b41b633b46p-7, -0x1.6f6e6cc9b2871p-7, -0x1.6bbc8b5b373cap-7, -0x1.680607b82322p-7, -0x1.644b4a447739dp-7, -0x1.608cb97bf086cp-7, -0x1.5ccab9f35f718p-7, -0x1.5905ae5ab4bc8p-7, -0x1.553df77f65b9p-7, -0x1.5173f44f51f6fp-7, -0x1.4da801dbfd65fp-7, -0x1.49da7b5e1ee77p-7, -0x1.460bba3982568p-7, -0x1.423c16010c79bp-7, -0x1.3e6be47b1a948p-7, -0x1.3a9b79a5ee7eep-7, -0x1.36cb27bc39b31p-7, -0x1.32fb3f39c6e5fp-7, -0x1.2f2c0ee01d924p-7, -0x1.2b5de3bb425dp-7, -0x1.279109265012bp-7, -0x1.23c5c8d015fd1p-7, -0x1.1ffc6abf9d5p-7, -0x1.1c35355882d14p-7, -0x1.18706d5f4cb3dp-7, -0x1.14ae55fd79f03p-7, -0x1.10ef30c581023p-7, -0x1.0d333db67b308p-7, -0x1.097abb3fd696cp-7, -0x1.05c5e64494373p-7, -0x1.0214fa1e951bap-7, -0x1.fcd06142e39c4p-8, -0x1.f57f843aaa659p-8, -0x1.ee37cac3066fep-8, -0x1.e6f99f7d87099p-8, -0x1.dfc56a12eaec7p-8, -0x1.d89b8f377f62ap-8, -0x1.d17c70aeb239cp-8, -0x1.ca686d4e74fc3p-8, -0x1.c35fe1029e7a5p-8, -0x1.bc6324cfd6f3ap-8, -0x1.b5728ed651953p-8, -0x1.ae8e7254b0316p-8, -0x1.a7b71faa684dp-8, -0x1.a0ece45a7d2e5p-8, -0x1.9a300b0de2a9dp-8, -0x1.9380db9633409p-8, -0x1.8cdf9af038ecbp-8, -0x1.864c8b46c03d7p-8, -0x1.7fc7ebf58798dp-8, -0x1.7951f98c54c54p-8, -0x1.72eaedd24bc08p-8, -0x1.6c92ffc99aep-8, -0x1.664a63b332c37p-8, -0x1.60114b133daf1p-8, -0x1.59e7e4b5891a9p-8, -0x1.53ce5cb274639p-8, -0x1.4dc4dc744d464p-8, -0x1.47cb8abd1554p-8, -0x1.41e28bac85e63p-8, -0x1.3c0a00c6bcf3fp-8, -0x1.364208fb242bcp-8, -0x1.308ac0abfbdeap-8, -0x1.2ae441b626603p-8, -0x1.254ea3797b5aep-8, -0x1.1fc9fae182294p-8, -0x1.1a565a6e9c35dp-8, -0x1.14f3d23f82f49p-8, -0x1.0fa2701b5b0a6p-8, -0x1.0a623f7bf315ep-8, -0x1.053349987d796p-8, -0x1.00159570bd43fp-8, -0x1.f6124fb02b19fp-9, -0x1.ec1c070330c79p-9, -0x1.e2485217913ecp-9, -0x1.d8972e19c353bp-9, -0x1.cf08943eba706p-9, -0x1.c59c79dcce8d8p-9, -0x1.bc52d0862659bp-9, -0x1.b32b86224ed68p-9, -0x1.aa268508a8e08p-9, -0x1.a143b41b2196fp-9, -0x1.9882f6e08de07p-9, -0x1.8fe42d9fed4efp-9, -0x1.8767357b21f76p-9, -0x1.7f0be889fdda8p-9, -0x1.76d21df50f90dp-9, -0x1.6eb9aa10c5a8p-9, -0x1.66c25e781747ap-9, -0x1.5eec0a2722b32p-9, -0x1.57367995c08ap-9, -0x1.4fa176d1e4edcp-9, -0x1.482cc9995193bp-9, -0x1.40d83773b3ecfp-9, -0x1.39a383cbd37ddp-9, -0x1.328e7008df2abp-9, -0x1.2b98bba70ae1ep-9, -0x1.24c22450015bdp-9, -0x1.1e0a65f2e9c53p-9, -0x1.17713adbab322p-9, -0x1.10f65bca697bbp-9, -0x1.0a998009fc597p-9, -0x1.045a5d861b0a3p-9, -0x1.fc7151c244319p-10, -0x1.f0682b128242ap-10, -0x1.e498ab9a85638p-10, -0x1.d90235e180384p-10, -0x1.cda42a7fc602cp-10, -0x1.c27de8451c9a1p-10, -0x1.b78ecc5eb0ee8p-10, -0x1.acd6327ac9f78p-10, -0x1.a25374ecb3ed5p-10, -0x1.9805eccf150f3p-10, -0x1.8decf2255839bp-10, -0x1.8407dbfc32eeap-10, -0x1.7a560088eb9aep-10, -0x1.70d6b54828847p-10, -0x1.67894f1b530dcp-10, -0x1.5e6d226546d41p-10, -0x1.558183260a3bdp-10, -0x1.4cc5c515a4aep-10, -0x1.44393bbe19493p-10, -0x1.3bdb3a9446f8cp-10, -0x1.33ab15107d1bep-10, -0x1.2ba81ec5a5a3ap-10, -0x1.23d1ab77f7d76p-10, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.29fd18f63649bp-2, -0x1.1dd5f6e7a2481p-2, -0x1.11939d38dfef1p-2, -0x1.053f5dba1b7c8p-2, -0x1.f1c3d7ceac439p-3, -0x1.d906b3b0f2ca7p-3, -0x1.c056e92198cfbp-3, -0x1.a7c2e8246fb15p-3, -0x1.8f5809d6ba30cp-3, -0x1.7722e24002da5p-3, -0x1.5f2f27576c07p-3, -0x1.47879bb783bcdp-3, -0x1.303628570a4cep-3, -0x1.1943f0c235ca3p-3, -0x1.02b9504c0d1dp-3, -0x1.d93bb4bc4a355p-4, -0x1.adf0d0e7a527dp-4, -0x1.839e42c5d4e14p-4, -0x1.5a4ef763a5aa5p-4, -0x1.320c98c3b5196p-4, -0x1.0adf9a6f0df2bp-4, -0x1.c99da1e586028p-5, -0x1.7fc330656f967p-5, -0x1.3837fa6b056bap-5, -0x1.e606f4d8637c1p-6, -0x1.6057cb59e18f7p-6, -0x1.bed888662dbecp-7, -0x1.8d2b20f0932a1p-8, 0x1.40a46559ce43bp-10, 0x1.0d2907267dcaep-7, 0x1.e8b1b7a6f7efbp-7, 0x1.5d5ea63cc4ea6p-6, 0x1.c1af00022b03ap-6, 0x1.10aa5040b6558p-5, 0x1.3e2e067c2cca5p-5, 0x1.6969f1192befep-5, 0x1.926677abb7056p-5, 0x1.b92d039304e9dp-5, 0x1.ddc7cd466a6e6p-5, 0x1.0020d1ffae96dp-4, 0x1.1052e1f6069f2p-4, 0x1.1f7fe1d214b5p-4, 0x1.2dadca21e3428p-4, 0x1.3ae2c4176ac74p-4, 0x1.47252a94eb278p-4, 0x1.527b85e5f52p-4, 0x1.5cec823c4e5cep-4, 0x1.667ee37fa2c28p-4, 0x1.6f397a0c6d57ep-4, 0x1.77231b0d574e9p-4, 0x1.7e429cbf95cb5p-4, 0x1.849ed4e8ce5c2p-4, 0x1.8a3e97696cd63p-4, 0x1.8f28b3ec3aba8p-4, 0x1.9363f2e495208p-4, 0x1.96f7125fdee62p-4, 0x1.99e8c2d3c56a3p-4, 0x1.9c3fa3ced78fap-4, 0x1.9e0240a5f3291p-4, 0x1.9f370d9708865p-4, 0x1.9fe465dfb80d4p-4, 0x1.a0108ad66ffffp-4, 0x1.9fc1a38ac0a55p-4, 0x1.9ef9ba985dbc2p-4, 0x1.9dc6f2b4ad5d2p-4, 0x1.9c2b8023c55f3p-4, 0x1.9a2cee46bb68fp-4, 0x1.97d09ba1696d9p-4, 0x1.951bc26d2a0d4p-4, 0x1.921380a589a47p-4, 0x1.8ebcde4f248ecp-4, 0x1.8b1cd1391842dp-4, 0x1.87383dff31571p-4, 0x1.8313f6872dacbp-4, 0x1.7eb4b6878d82fp-4, 0x1.7a1f1ed6c1624p-4, 0x1.7557b04ec9719p-4, 0x1.7062c70101f36p-4, 0x1.6b44964ec8bb1p-4, 0x1.66012646ceda3p-4, 0x1.609c526e5f723p-4, 0x1.5b19c9eb26dffp-4, 0x1.557d10dad2e05p-4, 0x1.4fc9828cc0e7dp-4, 0x1.4a025445c5e95p-4, 0x1.442a9834ea41dp-4, 0x1.3e454047c704bp-4, 0x1.3855209c6574ep-4, 0x1.325cf16350074p-4, 0x1.2c5f501c4b5dp-4, 0x1.265ec02fff9f8p-4, 0x1.205daafce91c8p-4, 0x1.1a5e5f7c5e272p-4, 0x1.146311ab1d426p-4, 0x1.0e6dd9e0be7cbp-4, 0x1.0880b43b8973ep-4, 0x1.029d803d1b9bp-4, 0x1.f98c01540f56ep-5, 0x1.edf7b769bb641p-5, 0x1.e28136e9d401fp-5, 0x1.d72b5d4473df2p-5, 0x1.cbf8d31742389p-5, 0x1.c0ec0e6fb755ap-5, 0x1.b6075541f5db2p-5, 0x1.ab4cbff1b628cp-5, 0x1.a0be3bcda9cf6p-5, 0x1.965d8d63cffbfp-5, 0x1.8c2c529d61834p-5, 0x1.822c049a2cb81p-5, 0x1.785df94b85487p-5, 0x1.6ec364d5a321dp-5, 0x1.655d5ac20750ap-5, 0x1.5c2ccf0f8b76dp-5, 0x1.5332972c0d064p-5, 0x1.4a6f6ae2388c8p-5, 0x1.41e3e54389341p-5, 0x1.399085942d76ep-5, 0x1.3175b03c77db2p-5, 0x1.2993afc1e2593p-5, 0x1.21eab5c8de9bfp-5, 0x1.1a7adc2006e32p-5, 0x1.134425d4f8b4cp-5, 0x1.0c46805286b0fp-5, 0x1.0581c4872379bp-5, 0x1.fdeb702202eb9p-6, 0x1.f1441cd854d5dp-6, 0x1.e50cd43ae9132p-6, 0x1.d944bbaa0d993p-6, 0x1.cdeadb065b601p-6, 0x1.c2fe1eb776476p-6, 0x1.b87d598c12061p-6, 0x1.ae674673ac08cp-6, 0x1.a4ba8a1686247p-6, 0x1.9b75b452f567ep-6, 0x1.929741a7812fdp-6, 0x1.8a1d9c915b4d7p-6, 0x1.82071ee3cd538p-6, 0x1.7a52131a9011p-6, 0x1.72fcb5a73068dp-6, 0x1.6c053636e7d66p-6, 0x1.6569b8ee1e5ffp-6, 0x1.5f285796e893dp-6, 0x1.593f22c0d93cep-6, 0x1.53ac22d1fc955p-6, 0x1.4e6d5909d0143p-6, 0x1.4980c07867ab2p-6, 0x1.44e44eebf909p-6, 0x1.409326d26cfaap-6, 0x1.3c91425824775p-6, 0x1.38d9650346703p-6, 0x1.356971419a71bp-6, 0x1.323f4855685bep-6, 0x1.2f58cb6a2a449p-6, 0x1.2cb3dc9597af3p-6, 0x1.2a4e5fc2cf6b4p-6, 0x1.28263b8547259p-6, 0x1.263959d2d0c01p-6, 0x1.2485a8a521cf1p-6, 0x1.23091a82d1f93p-6, 0x1.21c1a6f274786p-6, 0x1.20ad4ad8b43fap-6, 0x1.1fca08c4f8318p-6, 0x1.1f15e92ea2b08p-6, 0x1.1e8efaa60e08dp-6, 0x1.1e3351fbfe5acp-6, 0x1.1e010a627c138p-6, 0x1.1df6458940c22p-6, 0x1.1e112bb826744p-6, 0x1.1e4febe951688p-6, 0x1.1eb0bbe46ac8fp-6, 0x1.1f31d85c2c9a9p-6, 0x1.1fd1850ea4374p-6, 0x1.208e0ce86edf8p-6, 0x1.2165c22b34a6p-6, 0x1.2256fe96943b3p-6, 0x1.23602393133a8p-6, 0x1.247f9a5ebf3cp-6, 0x1.25b3d439ed285p-6, 0x1.26fb4a938d96dp-6, 0x1.28547f346beadp-6, 0x1.29bdfc679ef9ep-6, 0x1.2b36552053576p-6, 0x1.2cbc251b3122p-6, 0x1.2e4e10fb9923p-6, 0x1.2feac663a567ep-6, 0x1.3190fc06e4e37p-6, 0x1.333f71b770fbp-6, 0x1.34f4f06d8c25ep-6, 0x1.36b04a499423p-6, 0x1.38705a90aa4a2p-6, 0x1.3a3405a438ab6p-6, 0x1.3bfa38f4ed657p-6, 0x1.3dc1eaf142b68p-6, 0x1.3f8a1af05fd9fp-6, 0x1.4151d1199207ap-6, 0x1.43181e494fa6p-6, 0x1.44dc1bf3cb50ep-6, 0x1.469cec05d5677p-6, 0x1.4859b8c4d616cp-6, 0x1.4a11b4adb7c4cp-6, 0x1.4bc41a538142ep-6, 0x1.4d702c3e1e721p-6, 0x1.4f1534c8fb297p-6, 0x1.50b2860271ecbp-6, 0x1.5247798b69c76p-6, 0x1.53d37077ce4d7p-6, 0x1.5555d32f7e881p-6, 0x1.56ce11500fb15p-6, 0x1.583ba18ef0584p-6, 0x1.599e019c2e11cp-6, 0x1.5af4b6058d7e6p-6, 0x1.5c3f4a19de207p-6, 0x1.5d7d4fccab153p-6, 0x1.5eae5f99b4369p-6, 0x1.5fd218687603bp-6, 0x1.60e81f6f5e80fp-6, 0x1.61f02016e4897p-6, 0x1.62e9cbdbfdfbfp-6, 0x1.63d4da3234176p-6, 0x1.64b1086532d8ap-6, 0x1.657e1979cc4f1p-6, 0x1.663bd60e45b05p-6, 0x1.66ea0c3a31044p-6, 0x1.67888f6db0ee2p-6, 0x1.681738501d6d4p-6, 0x1.6895e49e52c4ap-6, 0x1.69047708826bap-6, 0x1.6962d70fae267p-6, 0x1.69b0f0e2d501bp-6, 0x1.69eeb53c13a3bp-6, 0x1.6a1c193d86b11p-6, 0x1.6a39164e321e4p-6, 0x1.6a45a9f6fb813p-6, 0x1.6a41d5bfdb45dp-6, 0x1.6a2d9f0d2197p-6, 0x1.6a090efd209bfp-6, 0x1.69d432462f5fbp-6, 0x1.698f1915099cp-6, 0x1.6939d6ebbb8c6p-6, 0x1.68d48280fcf07p-6, 0x1.685f35a0197e6p-6, 0x1.67da0d09785f1p-6, 0x1.67452853b49ecp-6, 0x1.66a0a9cd4acdp-6, 0x1.65ecb65ee929bp-6, 0x1.6529756e4df6dp-6, 0x1.645710c1e2617p-6, 0x1.6375b464d4c81p-6, 0x1.62858e8bc126bp-6, 0x1.6186cf7a13488p-6, 0x1.6079a967cd9a3p-6, 0x1.5f5e506802b8fp-6, 0x1.5e34fa4fbc13dp-6, 0x1.5cfdde9d6f66p-6, 0x1.5bb93660fed21p-6, 0x1.5a673c240ed5ep-6, 0x1.59082bd31a3e8p-6, 0x1.579c42a6c082ep-6, 0x1.5623bf0d9e0bdp-6, 0x1.549ee096a48d3p-6, 0x1.530de7dbd6987p-6, 0x1.5171166d64fe2p-6, 0x1.4fc8aebd6ebd7p-6, 0x1.4e14f40bf93efp-6, 0x1.4c562a53781cap-6, 0x1.4a8c9635bc5b6p-6, 0x1.48b87ce957bffp-6, 0x1.46da24275e6f5p-6, 0x1.44f1d219cbd0ap-6, 0x1.42ffcd4a1ce9ap-6, 0x1.41045c9090cdbp-6, 0x1.3effc703c1b65p-6, 0x1.3cf253e8b9f5bp-6, 0x1.3adc4aa38f4ffp-6, 0x1.38bdf2a85d54ap-6, 0x1.3697936cce91p-6, 0x1.34697459f5466p-6, 0x1.3233dcbee3885p-6, 0x1.2ff713c36cdeap-6, 0x1.2db3605b8a74ep-6, 0x1.2b69093b2dc4dp-6, 0x1.291854ca7eea5p-6, 0x1.26c1891a98ed6p-6, 0x1.2464ebdab80b6p-6, 0x1.2202c24dbf425p-6, 0x1.1f9b514063399p-6, 0x1.1d2edcff8aa61p-6, 0x1.1abda94f394e6p-6, 0x1.1847f961dc2adp-6, 0x1.15ce0fcffe5f4p-6, 0x1.13502e905a636p-6, 0x1.10ce96f064e82p-6, 0x1.0e49898d2037fp-6, 0x1.0bc1464c5bf4fp-6, 0x1.09360c5645102p-6, 0x1.06a81a0f643a3p-6, 0x1.0417ad12d6bd6p-6, 0x1.0185022cf956p-6, 0x1.fde0aaac9db61p-7, 0x1.f8b3c35d862cdp-7, 0x1.f383c2f271cf9p-7, 0x1.ee511c2ec32ddp-7, 0x1.e91c400bbee22p-7, 0x1.e3e59db1713e3p-7, 0x1.deada26fdbbd7p-7, 0x1.d974b9b9256cbp-7, 0x1.d43b4d1bc9e95p-7, 0x1.cf01c43d9a13cp-7, 0x1.c9c884d719a46p-7, 0x1.c48ff2af65451p-7, 0x1.bf586f9879c5fp-7, 0x1.ba225b6c0c485p-7, 0x1.b4ee14089243p-7, 0x1.afbbf54f19d18p-7, 0x1.aa8c59212d456p-7, 0x1.a55f979989a11p-7, 0x1.a036061c9744ep-7, 0x1.9b0ff8c51f2fp-7, 0x1.95edc16acd7fp-7, 0x1.90cfafe1c4579p-7, 0x1.8bb611face891p-7, 0x1.86a13383e815ap-7, 0x1.81915e492d71dp-7, 0x1.7c86da160ceb4p-7, 0x1.7781ecb6c9afep-7, 0x1.7282d9fa4ad49p-7, 0x1.6d89e3b430ba5p-7, 0x1.689749bf21569p-7, 0x1.63ab49ff867b2p-7, 0x1.5ec620664ab54p-7, 0x1.59e806f40afd2p-7, 0x1.551135bc729dfp-7, 0x1.5041e2e9c426ap-7, 0x1.4b7a42c0c20f4p-7, 0x1.46ba87a48c3efp-7, 0x1.4202e21b02018p-7, 0x1.3d5380d11e384p-7, 0x1.38ac909f8f362p-7, 0x1.340e3c8f8a48bp-7, 0x1.2f78addfba467p-7, 0x1.2aec0c097ced7p-7, 0x1.26687cc601db4p-7, 0x1.21ee2413eb23fp-7, 0x1.1d7d243cce1a3p-7, 0x1.19159ddae9029p-7, 0x1.14b7afdf1917ap-7, 0x1.10637796c29f4p-7, 0x1.0c1910b1f4405p-7, 0x1.07d89549a0dccp-7, 0x1.03a21de5ef3c3p-7, 0x1.feeb83094ae03p-8, 0x1.f6a72b3f5699bp-8, 0x1.ee775c674bdfbp-8, 0x1.e65c3b8d41d8dp-8, 0x1.de55eadd8fe01p-8, 0x1.d66489b287bbep-8, 0x1.ce8834a20ceep-8, 0x1.c6c1058b7141ap-8, 0x1.bf0f13a5805b4p-8, 0x1.b772738c502bfp-8, 0x1.afeb374f5df4ep-8, 0x1.a8796e7faf3b6p-8, 0x1.a11d263de852cp-8, 0x1.99d669489500bp-8, 0x1.92a5400a2d939p-8, 0x1.8b89b0a73b7f1p-8, 0x1.8483bf0cbbe6p-8, 0x1.7d936cfe06927p-8, 0x1.76b8ba22fd44ap-8, 0x1.6ff3a4160e40dp-8, 0x1.694426723ba65p-8, 0x1.62aa3ae0ef43cp-8, 0x1.5c25d927dcc5fp-8, 0x1.55b6f736b8d6fp-8, 0x1.4f5d8934cde4fp-8, 0x1.4919818e9522cp-8, 0x1.42ead10303d07p-8, 0x1.3cd166b0d643fp-8, 0x1.36cd3023a64e2p-8, 0x1.30de1960f195ap-8, 0x1.2b040cf4d9923p-8, 0x1.253ef3fed6de2p-8, 0x1.1f8eb63e2358ep-8, 0x1.19f33a1e0cebfp-8, 0x1.146c64c227625p-8, 0x1.0efa1a121bba9p-8, 0x1.099c3cc57c8aep-8, 0x1.0452ae6f45f31p-8, 0x1.fe3a9f129ef8dp-9, 0x1.f3f7fefeade7dp-9, 0x1.e9dd3973fdc44p-9, 0x1.dfea0953140aep-9, 0x1.d61e27a0d656bp-9, 0x1.cc794b9b6b963p-9, 0x1.c2fb2acdf1345p-9, 0x1.b9a37924c3be5p-9, 0x1.b071e900c2e56p-9, 0x1.a7662b4a7efbp-9, 0x1.9e7fef8498f38p-9, 0x1.95bee3de0fd4bp-9, 0x1.8d22b5443e347p-9, 0x1.84ab0f74052b9p-9, 0x1.7c579d0af5993p-9, 0x1.74280797aacbp-9, 0x1.6c1bf7aa8a7b1p-9, 0x1.643314e574551p-9, 0x1.5c6d060aee514p-9, 0x1.54c9710dcc589p-9, 0x1.4d47fb1fcda2p-9, 0x1.45e848c049d38p-9, 0x1.3ea9fdc9c89ap-9, 0x1.378cbd8048e4fp-9, 0x1.30902a9e9fa34p-9, 0x1.29b3e763895f6p-9, 0x1.22f7959ebcfc4p-9, 0x1.1c5ad6bd2c774p-9, 0x1.15dd4bd58c083p-9, 0x1.0f7e95b418ba4p-9, 0x1.093e54e66d17ep-9, 0x1.031c29c6da8dp-9, 0x1.fa2f690ef9f69p-10, 0x1.ee612a7a993c3p-10, 0x1.e2ccd7d4ff747p-10, 0x1.d771b11216883p-10, 0x1.cc4ef62953d9dp-10, 0x1.c163e729cf61dp-10, 0x1.b6afc44ce07dcp-10, 0x1.ac31ce0975a54p-10, 0x1.a1e94525f0b1cp-10, 0x1.97d56aca188a5p-10, 0x1.8df58090c3e13p-10, 0x1.8448c897b0b18p-10, 0x1.7ace8592246efp-10, 0x1.7185fad61db8dp-10, 0x1.686e6c6d9542p-10, 0x1.5f871f2577812p-10, 0x1.56cf589bc093fp-10, 0x1.4e465f4e151b8p-10, 0x1.45eb7aa766c74p-10, 0x1.3dbdf30d6f36dp-10, 0x1.35bd11ed13a31p-10, 0x1.2de821c7d23d8p-10, 0x1.263e6e3f1200ap-10, 0x1.1ebf441f89056p-10, 0x1.1769f16d2c34p-10, 0x1.103dc56deef76p-10, 0x1.093a10b36615ap-10, 0x1.025e252535c29p-10, 0x1.f752ac151df47p-11, 0x1.ea35f02683cb7p-11, 0x1.dd64c2c0349c4p-11, 0x1.d0ddd3191ecf7p-11, 0x1.c49fd369206ap-11, 0x1.b8a978fad4b1fp-11, 0x1.acf97c388d228p-11, 0x1.a18e98bbc8c31p-11, 0x1.96678d56ecd7dp-11, 0x1.8b831c22e8123p-11, 0x1.80e00a8a08c8bp-11, 0x1.767d215247921p-11, 0x1.6c592ca7109f5p-11, 0x1.6272fc21ff185p-11, 0x1.58c962d2fca58p-11, 0x1.4f5b3748abbbcp-11, 0x1.46275395bc6d4p-11, 0x1.3d2c9558766dep-11, 0x1.3469ddbf47bbcp-11, 0x1.2bde118e5fb1bp-11, 0x1.238819233f74cp-11, 0x1.1b66e078efaabp-11, 0x1.1379572a8f4cbp-11, 0x1.0bbe7075dfffep-11, 0x1.0435233d6fcd4p-11, 0x1.f9b8d411d78b1p-12, 0x1.eb66861196767p-12, 0x1.dd716023b0973p-12, 0x1.cfd76d41ad2f6p-12, 0x1.c296bfb02048p-12, 0x1.b5ad70fbc071ap-12, 0x1.a919a1f87646bp-12, 0x1.9cd97abb24d8bp-12, 0x1.90eb2a94f9ee6p-12, 0x1.854ce80d0b34cp-12, 0x1.79fcf0db16d2dp-12, 0x1.6ef989ddaba6p-12, 0x1.6440ff135736ap-12, 0x1.59d1a3914465bp-12, 0x1.4fa9d17989f1cp-12, 0x1.45c7e9f086af6p-12, 0x1.3c2a55131c3d1p-12, 0x1.32cf81e95046ap-12, 0x1.29b5e65b63d69p-12, 0x1.20dbff24db486p-12, 0x1.18404fc75189bp-12, 0x1.0fe1627ccff55p-12, 0x1.07bdc82976fd7p-12, 0x1.ffa8309a522d9p-13, 0x1.f045e1e777921p-13, 0x1.e151ed5686187p-13, 0x1.d2c9a8d3470d9p-13, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.89e26b522cd41p-2, -0x1.8500aa8dd08aap-2, -0x1.8001dcdb2c64dp-2, -0x1.7ae91d5040bf6p-2, -0x1.75b8f9366d65bp-2, -0x1.70741768c1e16p-2, -0x1.6b1cfff627e7dp-2, -0x1.65b61746605f5p-2, -0x1.6041b3922a0e1p-2, -0x1.5ac20e4627094p-2, -0x1.5539494d216f7p-2, -0x1.4fa96e09ba846p-2, -0x1.4a146e790020ep-2, -0x1.447c252c5df2ap-2, -0x1.3ee25560719c1p-2, -0x1.3948acd8f877ap-2, -0x1.33b0c1d451df3p-2, -0x1.2e1c143c14237p-2, -0x1.288c12b25bb01p-2, -0x1.2302153bf43b2p-2, -0x1.1d7f5bcaa4b46p-2, -0x1.180519c547d52p-2, -0x1.12946b1ffc753p-2, -0x1.0d2e59668d69bp-2, -0x1.07d3dde36830ep-2, -0x1.0285e16f842c9p-2, -0x1.fa8a77ba9c4adp-3, -0x1.f02567fb7a77dp-3, -0x1.e5de00e154ea6p-3, -0x1.dbb59199277adp-3, -0x1.d1ad4d5ca34cdp-3, -0x1.c7c64cdb1d5e8p-3, -0x1.be018ee405b5ap-3, -0x1.b45ff8bc91cadp-3, -0x1.aae256a706465p-3, -0x1.a1895cdc4dd1dp-3, -0x1.9855a8e45c55dp-3, -0x1.8f47c31481fb8p-3, -0x1.86601feffa203p-3, -0x1.7d9f213e2855fp-3, -0x1.750516dfae3d1p-3, -0x1.6c923f86c7d58p-3, -0x1.6446c96abb54dp-3, -0x1.5c22d30ccb79bp-3, -0x1.54266c2847355p-3, -0x1.4c5196c4a9c7fp-3, -0x1.44a4483401e7bp-3, -0x1.3d1e69d7664b1p-3, -0x1.35bfd9c458c65p-3, -0x1.2e886b7fcef27p-3, -0x1.2777e8d437481p-3, -0x1.208e12903d07ap-3, -0x1.19caa108ac18cp-3, -0x1.132d447997fdbp-3, -0x1.0cb5a5890d868p-3, -0x1.066366091c1d3p-3, -0x1.003621cf40e03p-3, -0x1.f45adeb0beb37p-4, -0x1.e891c02f948b6p-4, -0x1.dd10012afcbe2p-4, -0x1.d1d4b14682451p-4, -0x1.c6ded7ac388b9p-4, -0x1.bc2d746bdab58p-4, -0x1.b1bf8d921b59cp-4, -0x1.a793f466c2924p-4, -0x1.9da9b2c3d1e35p-4, -0x1.93ffb5dfdc2bep-4, -0x1.8a94e67308522p-4, -0x1.8168292ae8967p-4, -0x1.78785f39a9a78p-4, -0x1.6fc466fbd0b32p-4, -0x1.674b1caa8734dp-4, -0x1.5f0b5b0e0c0f8p-4, -0x1.5703fc24e2b43p-4, -0x1.4f33d9b893009p-4, -0x1.4799cdddacacap-4, -0x1.4034b3602e42ap-4, -0x1.3903661e2b80ep-4, -0x1.3204c351dab07p-4, -0x1.2b37a9cc65f93p-4, -0x1.249afa24208b1p-4, -0x1.1e2d96dac018cp-4, -0x1.17ee648154f13p-4, -0x1.11dc49ded6294p-4, -0x1.0bf6301b9e789p-4, -0x1.063b02f1d428dp-4, -0x1.00a9b0e077e7ap-4, -0x1.f68256bddd203p-5, -0x1.ec00ce1e67dp-5, -0x1.e1ccb7db7ce36p-5, -0x1.d7e40afcf8fedp-5, -0x1.ce44c5ecc5ccap-5, -0x1.c4eceec1502cfp-5, -0x1.bbda937dee8d9p-5, -0x1.b30bca47c435dp-5, -0x1.aa7eb18f2dd8ep-5, -0x1.a231702ec549fp-5, -0x1.9a223581cf394p-5, -0x1.924f397422635p-5, -0x1.8ab6bc8d08685p-5, -0x1.835707f68583bp-5, -0x1.7c2e6d8152148p-5, -0x1.753b47a6439afp-5, -0x1.6e7bf985a26dbp-5, -0x1.67eeeee54596ep-5, -0x1.61929c2e2f52dp-5, -0x1.5b657e6a563e3p-5, -0x1.55661b424ed99p-5, -0x1.4f9300fa4c845p-5, -0x1.49eac66d50fa7p-5, -0x1.446c0b05431e7p-5, -0x1.3f1576af420f6p-5, -0x1.39e5b9cbe345dp-5, -0x1.34db8d1bfe439p-5, -0x1.2ff5b1aaf4be5p-5, -0x1.2b32f0b7a79c6p-5, -0x1.26921b9cfe857p-5, -0x1.22120bba4e605p-5, -0x1.1db1a25b81e42p-5, -0x1.196fc8a05a4cp-5, -0x1.154b6f61f7887p-5, -0x1.11438f15ffc0dp-5, -0x1.0d5727af2cc98p-5, -0x1.0985407b8919ep-5, -0x1.05cce80139e9bp-5, -0x1.022d33dac3416p-5, -0x1.fd4a812835d8cp-6, -0x1.f6686312687e3p-6, -0x1.efb2618cd841p-6, -0x1.e926ddd536952p-6, -0x1.e2c4461416f6p-6, -0x1.dc891522d021ep-6, -0x1.d673d24f2c7efp-6, -0x1.d083111b84e43p-6, -0x1.cab570fac5006p-6, -0x1.c5099d08e7842p-6, -0x1.bf7e4bc0fb169p-6, -0x1.ba123eb2eac5cp-6, -0x1.b4c4423ac8162p-6, -0x1.af932d3b4d162p-6, -0x1.aa7de0dc6fe77p-6, -0x1.a583484e13b3ap-6, -0x1.a0a2588e136bdp-6, -0x1.9bda10303b3a7p-6, -0x1.97297726db5bap-6, -0x1.928f9e8a2e7c8p-6, -0x1.8e0ba05db48f7p-6, -0x1.899ca2af992d5p-6, -0x1.8541ca213efb6p-6, -0x1.80fa4d0e93661p-6, -0x1.7cc5669182b4fp-6, -0x1.78a25977eced3p-6, -0x1.7490700b32e4fp-6, -0x1.708efbd909d91p-6, -0x1.6c9d557cdd286p-6, -0x1.68badc6a5df02p-6, -0x1.64e6f6b8fa2c8p-6, -0x1.612110f0003fdp-6, -0x1.5d689dd410ba5p-6, -0x1.59bd16353bd56p-6, -0x1.561df8be4b67dp-6, -0x1.528ac9c50c4a7p-6, -0x1.4f03131ba6a86p-6, -0x1.4b8663e2e1576p-6, -0x1.4814505d9479ep-6, -0x1.44ac71c501884p-6, -0x1.414e661e4b294p-6, -0x1.3df9d010c8969p-6, -0x1.3aae56bd6e431p-6, -0x1.376ba5973daep-6, -0x1.34316c3c70654p-6, -0x1.30ff5e50cbfbdp-6, -0x1.2dd53358e5f5cp-6, -0x1.2ab2a69616377p-6, -0x1.279776e3904d9p-6, -0x1.248366943c1c4p-6, -0x1.21763b51782d8p-6, -0x1.1e6fbdfa93a9dp-6, -0x1.1b6fba8561cap-6, -0x1.1875ffdf3c781p-6, -0x1.15825fcf2d13fp-6, -0x1.1294aed899839p-6, -0x1.0facc41ef21b5p-6, -0x1.0cca7949f07c4p-6, -0x1.09edaa6ac0c65p-6, -0x1.071635e1d515p-6, -0x1.0443fc459a2afp-6, -0x1.0176e049aeff1p-6, -0x1.fd5d8d4e27fb9p-7, -0x1.f7d72c09b1e5bp-7, -0x1.f25a6dc3b5278p-7, -0x1.ece726fd55eccp-7, -0x1.e77d2f914a31ep-7, -0x1.e21c628ab931cp-7, -0x1.dcc49dfdcae3ep-7, -0x1.d775c2e115d7ep-7, -0x1.d22fb4e8a8053p-7, -0x1.ccf25a622d4d6p-7, -0x1.c7bd9c123d8a7p-7, -0x1.c2916512cc89p-7, -0x1.bd6da2b2f0003p-7, -0x1.b852445794ca6p-7, -0x1.b33f3b5d874bcp-7, -0x1.ae347afc2e94cp-7, -0x1.a931f829ab961p-7, -0x1.a437a97fbec4fp-7, -0x1.9f458721dc553p-7, -0x1.9a5b8aa3de13fp-7, -0x1.9579aef1e26f6p-7, -0x1.909ff03902d35p-7, -0x1.8bce4bd0c0fa8p-7, -0x1.8704c02586b08p-7, -0x1.82434ca3b2502p-7, -0x1.7d89f1a39f2dap-7, -0x1.78d8b05678aa4p-7, -0x1.742f8ab3b1f17p-7, -0x1.6f8e836742be7p-7, -0x1.6af59dc0abfabp-7, -0x1.6664dda2b8f3p-7, -0x1.61dc4773db5c3p-7, -0x1.5d5be00f2ed21p-7, -0x1.58e3acb634b43p-7, -0x1.5473b3032f0b2p-7, -0x1.500bf8dc06c22p-7, -0x1.4bac8465e49d9p-7, -0x1.47555bf9498f7p-7, -0x1.43068616b01f8p-7, -0x1.3ec0095bdc33bp-7, -0x1.3a81ec79a5493p-7, -0x1.364c362a0e157p-7, -0x1.321eed274a9p-7, -0x1.2dfa1822de313p-7, -0x1.29ddbdbd7dacfp-7, -0x1.25c9e47f20f38p-7, -0x1.21be92cfe0477p-7, -0x1.1dbbcef0d97d8p-7, -0x1.19c19ef5e48b3p-7, -0x1.15d008bf672fp-7, -0x1.11e711f4b0d52p-7, -0x1.0e06bffea7d4cp-7, -0x1.0a2f1802f3ee8p-7, -0x1.06601edf3a1b3p-7, -0x1.0299d92511238p-7, -0x1.fdb8962bb7862p-8, -0x1.f64ef13e9562fp-8, -0x1.eef6cab019194p-8, -0x1.e7b028f938e32p-8, -0x1.e07b11d947dedp-8, -0x1.d9578a5123c9dp-8, -0x1.d245969e0549cp-8, -0x1.cb453a3636dfdp-8, -0x1.c45677c52b23fp-8, -0x1.bd7951288e5b6p-8, -0x1.b6adc76d98844p-8, -0x1.aff3dacee28bfp-8, -0x1.a94b8ab2c9aabp-8, -0x1.a2b4d5a992023p-8, -0x1.9c2fb96cb470cp-8, -0x1.95bc32de1868dp-8, -0x1.8f5a3e07ae9cap-8, -0x1.8909d61b4244p-8, -0x1.82caf573592acp-8, -0x1.7c9d9592cab31p-8, -0x1.7681af2630909p-8, -0x1.70773a04d020bp-8, -0x1.6a7e2d31ef8ffp-8, -0x1.64967ede49664p-8, -0x1.5ec02469df7e7p-8, -0x1.58fb1265e82bp-8, -0x1.53473c97574b1p-8, -0x1.4da495f89293bp-8, -0x1.481310bc546ecp-8, -0x1.42929e507fef9p-8, -0x1.3d232f60c69d2p-8, -0x1.37c4b3d9c1eccp-8, -0x1.32771aebfbd8bp-8, -0x1.2d3a530f91b7p-8, -0x1.280e4a072d54fp-8, -0x1.22f2ece3a61d3p-8, -0x1.1de82807b2495p-8, -0x1.18ede72b8b206p-8, -0x1.14041560b4ad1p-8, -0x1.0f2a9d15d6574p-8, -0x1.0a61681a96ddcp-8, -0x1.05a85fa3afc47p-8, -0x1.00ff6c4f193e1p-8, -0x1.f8ccec4f2fcep-9, -0x1.efbac9528f159p-9, -0x1.e6c83d8b3e2d3p-9, -0x1.ddf515cf25538p-9, -0x1.d5411defcd406p-9, -0x1.ccac20c22c7dbp-9, -0x1.c435e827d377bp-9, -0x1.bbde3d16478e4p-9, -0x1.b3a4e7a15bc32p-9, -0x1.ab89af016b8fep-9, -0x1.a38c599d2d98cp-9, -0x1.9bacad117f54cp-9, -0x1.93ea6e3a2a194p-9, -0x1.8c456139fac1ap-9, -0x1.84bd49831e95bp-9, -0x1.7d51e9df63797p-9, -0x1.7603047863494p-9, -0x1.6ed05adf780a8p-9, -0x1.67b9ae166b026p-9, -0x1.60bebe96d1779p-9, -0x1.59df4c59eaee4p-9, -0x1.531b16e0cb643p-9, -0x1.4c71dd3bf4de3p-9, -0x1.45e35e12f608p-9, -0x1.3f6f57abfa2fap-9, -0x1.391587f31ac58p-9, -0x1.32d5ac8225f2fp-9, -0x1.2caf82a73383cp-9, -0x1.26a2c76bea926p-9, -0x1.20af379bd0a3p-9, -0x1.1ad48fd19ecdap-9, -0x1.15128c7121ed2p-9, -0x1.0f68e9b863e29p-9, -0x1.09d763c2d24ap-9, -0x1.045db6902473fp-9, -0x1.fdf73c14f8ac6p-10, -0x1.f361ac18d22ddp-10, -0x1.e8fa34cfb751ap-10, -0x1.dec04dd58e7bp-10, -0x1.d4b36ecbb46b6p-10, -0x1.cad30f63e59dep-10, -0x1.c11ea76b48498p-10, -0x1.b795aed63dac3p-10, -0x1.ae379dc97a675p-10, -0x1.a503eca588fa8p-10, -0x1.9bfa1410a968ep-10, -0x1.93198d00b8bfcp-10, -0x1.8a61d0c48d00fp-10, -0x1.81d2590e88ecfp-10, -0x1.796a9ffbfe658p-10, -0x1.712a201f453e4p-10, -0x1.691054881af35p-10, -0x1.611cb8cc2787ap-10, -0x1.594ec90e33fe7p-10, -0x1.51a60208f5511p-10, -0x1.4a21e11285e4cp-10, -0x1.42c1e42717babp-10, -0x1.3b8589eeca821p-10, -0x1.346c51c547669p-10, -0x1.2d75bbbfc8abep-10, -0x1.26a148b41b3d3p-10, -0x1.1fee7a3ea768fp-10, -0x1.195cd2c8ad679p-10, -0x1.12ebd58dee63ep-10, -0x1.0c9b06a253437p-10, -0x1.0669eaf6d5274p-10, -0x1.00580860740f2p-10, -0x1.f4c9cb34c4f71p-11, -0x1.e92014995ab9fp-11, -0x1.ddb1fe203d2cdp-11, -0x1.d27e9ae55a7dep-11, -0x1.c784fff65de0ap-11, -0x1.bcc4445d4271p-11, -0x1.b23b812383074p-11, -0x1.a7e9d15bee9abp-11, -0x1.9dce5228817aap-11, -0x1.93e822c0adc43p-11, -0x1.8a366476fe567p-11, -0x1.80b83abe58457p-11, -0x1.776ccb30f6554p-11, -0x1.6e533d9206679p-11, -0x1.656abbd43953ep-11, -0x1.5cb2721d3e9dcp-11, -0x1.54298ec9bc04bp-11, -0x1.4bcf426fa1912p-11, -0x1.43a2bfe210411p-11, -0x1.3ba33c35fb60bp-11, -0x1.33cfeec060c7p-11, -0x1.2c28111b68f53p-11, -0x1.24aadf2756ae8p-11, -0x1.1d57970c3cb7cp-11, -0x1.162d793afcbeep-11, -0x1.0f2bc86ec6295p-11, -0x1.0851c9ace61d4p-11, -0x1.019ec446048f9p-11, -0x1.f62403ab94d54p-12, -0x1.e9559c8622975p-12, -0x1.dcd0ef7ef3ccep-12, -0x1.d0949d8d8fbb3p-12, -0x1.c49f4c3c780d8p-12, -0x1.b8efa5a530d2ap-12, -0x1.ad845874ea63fp-12, -0x1.a25c17dedd4e5p-12, -0x1.97759ba0225b6p-12, -0x1.8ccf9ffa818e8p-12, -0x1.8268e5b029f77p-12, -0x1.784031fda4759p-12, -0x1.6e544e9b90ac7p-12, -0x1.64a409aff7a95p-12, -0x1.5b2e35cf2fc54p-12, -0x1.51f1a9f497c19p-12, -0x1.48ed417c6ef8dp-12, -0x1.401fdc1dae02fp-12, -0x1.37885de37fdfp-12, -0x1.2f25af25b65bcp-12, -0x1.26f6bc82b44b7p-12, -0x1.1efa76d71fd17p-12, -0x1.172fd337bdb98p-12, -0x1.0f95cae7a8915p-12, -0x1.082b5b5242f7fp-12, -0x1.00ef86003136p-12, -0x1.f3c2a125ecfc5p-13, -0x1.e5ff896def549p-13, -0x1.d893e04a48bdfp-13, -0x1.cb7dc9185dc47p-13, -0x1.bebb6f2132562p-13, -0x1.b24b05828bfb7p-13, -0x1.a62ac71c94152p-13, -0x1.9a58f67e40a74p-13, -0x1.8ed3ddd2d375dp-13, -0x1.8399cecfebf3bp-13, -0x1.78a9229f53b73p-13, -0x1.6e0039cd209f5p-13, -0x1.639d7c336a601p-13, -0x1.597f58e6ac183p-13, -0x1.4fa4462112488p-13, -0x1.460ac12ee905fp-13, -0x1.3cb14e59e0eedp-13, -0x1.339678d4d7a1ap-13, -0x1.2ab8d2a6df724p-13, -0x1.2216f4945987ap-13, -0x1.19af7e15f79e5p-13, -0x1.11811531c1db5p-13, -0x1.098a6672d69c2p-13, -0x1.01ca24d1117b4p-13, -0x1.f47e1334353d7p-14, -0x1.e5cfa8ceb820ap-14, -0x1.d78695f0d14b8p-14, -0x1.c9a0725316be5p-14, -0x1.bc1ae1b7a4ccdp-14, -0x1.aef393c18769ep-14, -0x1.a22843ca91ba6p-14, -0x1.95b6b8ba1e0aep-14, -0x1.899cc4dd1bc1ep-14, -0x1.7dd845b73a409p-14, -0x1.726723e218f38p-14, -0x1.674752e121cf9p-14, -0x1.5c76d0f12c903p-14, -0x1.51f3a6ee35144p-14, -0x1.47bbe81bfd46bp-14, -0x1.3dcdb20cdbc95p-14, -0x1.34272c6b966a9p-14, -0x1.2ac688db2702ep-14, -0x1.21aa02cd5aa14p-14, -0x1.18cfdf533c06fp-14, -0x1.10366d168bbcdp-14, -0x1.07dc04015e883p-14, -0x1.ff7e0a711ceb7p-15, -0x1.efbbb5d8322a7p-15, -0x1.e06df0683e3a4p-15, -0x1.d191b1ccc93d1p-15, -0x1.c32402e75ed46p-15, -0x1.b521fd8370accp-15, -0x1.a788cc0c60ff7p-15, -0x1.9a55a94415fccp-15, -0x1.8d85dffa51928p-15, -0x1.8116cac55ac88p-15, -0x1.7505d3b75e346p-15, -0x1.6950741ea55cbp-15, -0x1.5df43433fa586p-15, -0x1.52eeaae2c2f86p-15, -0x1.483d7d7afe047p-15, -0x1.3dde5f7166158p-15, -0x1.33cf121a302c6p-15, -0x1.2a0d64681f9c7p-15, -0x1.209732aa5bd3ap-15, -0x1.176a66414f19ap-15, -0x1.0e84f576f1c22p-15, -0x1.05e4e33db0b1cp-15, -0x1.fb107d8b8eee6p-16, -0x1.eada46d54b4b4p-16, -0x1.db2370dadd76p-16, -0x1.cbe86158a81eap-16, -0x1.bd2594eec2dcdp-16, -0x1.aed79e95c8fc4p-16, -0x1.a0fb273043801p-16, -0x1.938ced25e8d72p-16, -0x1.8689c3bb2f098p-16, -0x1.79ee92f64ed66p-16, -0x1.6db856f8983dap-16, -0x1.61e41fa0b528ap-16, -0x1.566f10200e528p-16, -0x1.4b565e924ec7fp-16, -0x1.40975393e3ff8p-16, -0x1.362f49df3e9a7p-16, -0x1.2c1bade66a669p-16, -0x1.2259fd70d6973p-16, -0x1.18e7c73a27e2fp-16, -0x1.0fc2aa9291e6dp-16, -0x1.06e85700e0e28p-16, -0x1.fcad17bbe4b32p-17, -0x1.ec163002e1fedp-17, -0x1.dc07b32da04f7p-17, -0x1.cc7d7ab143b55p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.0ab7787afaa82p-5, 0x1.9bb77f2116cf2p-5, 0x1.17376f93c109fp-4, 0x1.60d0c1ad13267p-4, 0x1.aa18ad2484379p-4, 0x1.f28f06952f17p-4, 0x1.1ce0cc0252b03p-3, 0x1.3fa5cbe3e28bbp-3, 0x1.616a5b0e20d81p-3, 0x1.820816adf2c98p-3, 0x1.a15e235e3b3d2p-3, 0x1.bf50c74b1f378p-3, 0x1.dbc8ea545a36ap-3, 0x1.f6b3aa91534bdp-3, 0x1.08010331ca33bp-2, 0x1.13d447744be26p-2, 0x1.1ecf8f90aa094p-2, 0x1.28f04de9186c3p-2, 0x1.32355a38daf56p-2, 0x1.3a9ecb2495adep-2, 0x1.422dd18fbba1p-2, 0x1.48e4b56d43d89p-2, 0x1.4ec62e6cb9706p-2, 0x1.53d65d55f579p-2, 0x1.5819c68cf547fp-2, 0x1.5b9580fc4fdcbp-2, 0x1.5e4f33f12ed52p-2, 0x1.604d0f739780fp-2, 0x1.6195b7184295ap-2, 0x1.6230233e1af97p-2, 0x1.6223839e67b09p-2, 0x1.61772c2faacfcp-2, 0x1.60328ddc58dcdp-2, 0x1.5e5d357e99e16p-2, 0x1.5bfec93c6c113p-2, 0x1.591eff4225eaap-2, 0x1.55c58e34479e2p-2, 0x1.51fa1bd3cc2ep-2, 0x1.4dc42f0e50485p-2, 0x1.492b285bf8a2cp-2, 0x1.44363fd2f4efep-2, 0x1.3eec85d23a57p-2, 0x1.3954e2b7e6b3fp-2, 0x1.33761396f3d8ep-2, 0x1.2d56a41dde88ap-2, 0x1.26fce789c40d7p-2, 0x1.206ef2e43daf8p-2, 0x1.19b29a05bf906p-2, 0x1.12cd6f877e5p-2, 0x1.0bc4c6a89933bp-2, 0x1.049db5a860e7dp-2, 0x1.faba2eb8ad25dp-3, 0x1.ec0f17232facdp-3, 0x1.dd42ed30a951p-3, 0x1.ce5e0180a9474p-3, 0x1.bf682ce36e95p-3, 0x1.b068d240c36c4p-3, 0x1.a166e1dc026dcp-3, 0x1.9268dd3ddd269p-3, 0x1.8374db2b82dfp-3, 0x1.74908b6cbf637p-3, 0x1.65c13a69e1186p-3, 0x1.570bd4bd8dde5p-3, 0x1.48758887ec765p-3, 0x1.3a02f9999479bp-3, 0x1.2bb6a2f8b3a11p-3, 0x1.1d93df9198985p-3, 0x1.0f9dd5b75a6d4p-3, 0x1.01d77dd905ap-3, 0x1.e88748d9156dbp-4, 0x1.cdc9cf9dc0ceep-4, 0x1.b37b66c4f0f23p-4, 0x1.99a072de3e8dep-4, 0x1.803cda6fa0eedp-4, 0x1.6753fced7905p-4, 0x1.4ee8ae18c0e9dp-4, 0x1.36fd368153513p-4, 0x1.1f93591c6c289p-4, 0x1.08ac5d393336ep-4, 0x1.e49237587f2fdp-5, 0x1.b8d41ba2972dfp-5, 0x1.8e1eb9f1ae5b5p-5, 0x1.6471e1e7c552cp-5, 0x1.3bccf952360ap-5, 0x1.142f0fdb986fbp-5, 0x1.db2dd8e7f9e4ep-6, 0x1.900628c7b0f37p-6, 0x1.46e3996e24c2p-6, 0x1.ff845d1530aacp-7, 0x1.753ab406a9a53p-7, 0x1.ddbfbb2ea0851p-8, 0x1.b1a0ab94f18cbp-9, -0x1.2397549019d09p-11, -0x1.1a26ed53519b9p-8, -0x1.0435a048c4fap-7, -0x1.77b0ee7fc1a8bp-7, -0x1.e797688684e89p-7, -0x1.29fdf6d0004e8p-6, -0x1.5e78ff558536dp-6, -0x1.9146c46a9a48dp-6, -0x1.c2715ab44753dp-6, -0x1.f202e0b3a95e7p-6, -0x1.1002b78c0cebap-5, -0x1.264186c210388p-5, -0x1.3bc2d5986fc12p-5, -0x1.508b8d49f9c48p-5, -0x1.64a0878f42dd7p-5, -0x1.78068e259851ap-5, -0x1.8ac25ab343288p-5, -0x1.9cd896dab3558p-5, -0x1.ae4ddc62df7aep-5, -0x1.bf26b565cc94dp-5, -0x1.cf679c76fc3adp-5, -0x1.df14fcaf47a06p-5, -0x1.ee3331868f967p-5, -0x1.fcc6866242eb2p-5, -0x1.05699ae22d89cp-4, -0x1.0c2eb4088d061p-4, -0x1.12b498f867e8ap-4, -0x1.18fd4931815dap-4, -0x1.1f0ab8530f2a6p-4, -0x1.24decd0fb8274p-4, -0x1.2a7b603864622p-4, -0x1.2fe23bf1e32bp-4, -0x1.35151b23d01f5p-4, -0x1.3a15a927d9cc1p-4, -0x1.3ee581b916855p-4, -0x1.4386311c9131ap-4, -0x1.47f93477c4e1ap-4, -0x1.4c3ffa478c7cep-4, -0x1.505be2ea2416cp-4, -0x1.544e413083ec7p-4, -0x1.58185aee0c339p-4, -0x1.5bbb698051058p-4, -0x1.5f389a4b6995p-4, -0x1.62910f292840ap-4, -0x1.65c5decb03beep-4, -0x1.68d8150f6ace8p-4, -0x1.6bc8b34bd322cp-4, -0x1.6e98b08d67dbdp-4, -0x1.7148f9d2a6d03p-4, -0x1.73da7240a68aep-4, -0x1.764df356f9f9dp-4, -0x1.78a44d2524dd7p-4, -0x1.7ade468430cd8p-4, -0x1.7cfc9d564f969p-4, -0x1.7f0006cd8761ep-4, -0x1.80e058e160b7fp-4, -0x1.82ae997282e8bp-4, -0x1.8464523fbef33p-4, -0x1.86021e0e47a01p-4, -0x1.87888ab4934bdp-4, -0x1.88f819dcafc9fp-4, -0x1.8a51420273029p-4, -0x1.8b946fa01147fp-4, -0x1.8cc2067a71801p-4, -0x1.8dda62fe69294p-4, -0x1.8edddba07534ep-4, -0x1.8fccc231885d2p-4, -0x1.90a7651d23ca7p-4, -0x1.916e1086dd33dp-4, -0x1.92210f3fb89a5p-4, -0x1.92c0ab8e22408p-4, -0x1.934d2fc5bd08fp-4, -0x1.93c6e6aea859fp-4, -0x1.942e1bbdeba6fp-4, -0x1.94831b22b5826p-4, -0x1.94c631ad99dabp-4, -0x1.94f7ac981c103p-4, -0x1.9517d9339aa3ap-4, -0x1.9527048708cdap-4, -0x1.95257ae2cc228p-4, -0x1.95138771c26bdp-4, -0x1.94f173cdcfecbp-4, -0x1.94bf879d6a873p-4, -0x1.947e083ea9173p-4, -0x1.942d38834183ep-4, -0x1.93cd587fc2b25p-4, -0x1.935ea56f5215bp-4, -0x1.92e159ac29363p-4, -0x1.9255acbc3d77ep-4, -0x1.91bbd370a97e3p-4, -0x1.91140015dccfap-4, -0x1.905e62b21fccfp-4, -0x1.8f9b294f95985p-4, -0x1.8eca804ec500ep-4, -0x1.8dec92be92bbp-4, -0x1.8d018ab6a97afp-4, -0x1.8c0991b168accp-4, -0x1.8b04d0e2b1d8fp-4, -0x1.89f37189383ecp-4, -0x1.88d59d384d6dfp-4, -0x1.87ab7e188b2bdp-4, -0x1.86753f1e29105p-4, -0x1.85330c34316fap-4, -0x1.83e5125c441b3p-4, -0x1.828b7fc2e7b0cp-4, -0x1.812683c8d8fd5p-4, -0x1.7fb64f02131dep-4, -0x1.7e3b132b945f6p-4, -0x1.7cb5031911cc4p-4, -0x1.7b24529bfbb5bp-4, -0x1.79893665444e8p-4, -0x1.77e3e3e368611p-4, -0x1.7634911e25ee6p-4, -0x1.747b7491495abp-4, -0x1.72b8c507d1aeap-4, -0x1.70ecb9788973p-4, -0x1.6f1788e507a03p-4, -0x1.6d396a3bdaacbp-4, -0x1.6b52943e7531fp-4, -0x1.69633d6b3a19dp-4, -0x1.676b9bebe4239p-4, -0x1.656be58851e77p-4, -0x1.63644f9d9ca9p-4, -0x1.61550f19447dp-4, -0x1.5f3e587818654p-4, -0x1.5d205fc87459p-4, -0x1.5afb58af5d99ep-4, -0x1.58cf766ff71ap-4, -0x1.569cebf4ca8abp-4, -0x1.5463ebda5d61bp-4, -0x1.5224a87a88ca1p-4, -0x1.4fdf53f81c5a4p-4, -0x1.4d94204a53ecep-4, -0x1.4b433f47b4f4p-4, -0x1.48ece2affbd75p-4, -0x1.46913c34c89d4p-4, -0x1.44307d80cb5ddp-4, -0x1.41cad83d46fa7p-4, -0x1.3f607e15c4a18p-4, -0x1.3cf1a0b9e9defp-4, -0x1.3a7e71dd72facp-4, -0x1.3807233655584p-4, -0x1.358be679270a2p-4, -0x1.330ced53ec52cp-4, -0x1.308a69676d8d6p-4, -0x1.2e048c3f52038p-4, -0x1.2b7b874929602p-4, -0x1.28ef8bcaa1db9p-4, -0x1.2660cad72477bp-4, -0x1.23cf75450be83p-4, -0x1.213bbba2b060ep-4, -0x1.1ea5ce2b7af44p-4, -0x1.1c0ddcbd2d5f2p-4, -0x1.197416cd88798p-4, -0x1.16d8ab60766b5p-4, -0x1.143bc8fed3e9cp-4, -0x1.119d9dadef5c1p-4, -0x1.0efe56e7cfabcp-4, -0x1.0c5e21944ee47p-4, -0x1.09bd2a0306b39p-4, -0x1.071b9be616b2ep-4, -0x1.0479a24dbacfdp-4, -0x1.01d767a4a7436p-4, -0x1.fe6a2b5a4948dp-5, -0x1.f925aafdab219p-5, -0x1.f3e19f0a311ep-5, -0x1.ee9e56fbeb95ap-5, -0x1.e95c20f302ea2p-5, -0x1.e41b49b34acf3p-5, -0x1.dedc1ca470bbdp-5, -0x1.d99ee3d2b3942p-5, -0x1.d463e7eff1866p-5, -0x1.cf2b7054f64b6p-5, -0x1.c9f5c302eeb2dp-5, -0x1.c4c324a4e3384p-5, -0x1.bf93d8912b8f6p-5, -0x1.ba6820cac339ep-5, -0x1.b5403e0275a69p-5, -0x1.b01c6f97db854p-5, -0x1.aafcf39a148cep-5, -0x1.a5e206c8510dbp-5, -0x1.a0cbe49212542p-5, -0x1.9bbac71737adep-5, -0x1.96aee727cff81p-5, -0x1.91a87c43bfe73p-5, -0x1.8ca7bc9a370c3p-5, -0x1.87acdd0915058p-5, -0x1.82b8111c2b255p-5, -0x1.7dc98b0c7cb0fp-5, -0x1.78e17bbf7ca8dp-5, -0x1.740012c65c1a3p-5, -0x1.6f257e5d6791dp-5, -0x1.6a51eb6b8fd59p-5, -0x1.658585820e69cp-5, -0x1.60c076dc4be1fp-5, -0x1.5c02e85ff286ap-5, -0x1.574d019d491bcp-5, -0x1.529ee8cfcb3a2p-5, -0x1.4df8c2df101e7p-5, -0x1.495ab35ff4525p-5, -0x1.44c4dc96165ep-5, -0x1.40375f7597627p-5, -0x1.3bb25ba52c456p-5, -0x1.3735ef80742dbp-5, -0x1.32c2381a977b1p-5, -0x1.2e575141217edp-5, -0x1.29f5557f26353p-5, -0x1.259c5e2095615p-5, -0x1.214c8335c91f8p-5, -0x1.1d05db9743f74p-5, -0x1.18c87ce99b9c9p-5, -0x1.14947ba186e04p-5, -0x1.1069eb0811fa2p-5, -0x1.0c48dd3ee849cp-5, -0x1.08316344c145fp-5, -0x1.04238cf9d8af5p-5, -0x1.001f69247859bp-5, -0x1.f84a0aeb24fe8p-6, -0x1.f068dd1abfe54p-6, -0x1.e89b600011093p-6, -0x1.e0e1a8b49ddep-6, -0x1.d93bca4c73296p-6, -0x1.d1a9d5df805d5p-6, -0x1.ca2bd5cfe76aap-6, -0x1.c2c1e1372ed09p-6, -0x1.bb6bfe51cb13bp-6, -0x1.b42a36a454749p-6, -0x1.acfc91e56728p-6, -0x1.a5e31606ccbbap-6, -0x1.9eddc73e7f797p-6, -0x1.97eca80fa8df3p-6, -0x1.910fb9538af93p-6, -0x1.8a46fa4265843p-6, -0x1.8392687c43227p-6, -0x1.7cf20011b444fp-6, -0x1.7665bb8c8d999p-6, -0x1.6fed93f8796fcp-6, -0x1.698980eb9eeddp-6, -0x1.6339788f2075dp-6, -0x1.5cfd6fa79a0aap-6, -0x1.56d5599d8b4c8p-6, -0x1.50c12885bbd4ap-6, -0x1.4ac0cd298ead8p-6, -0x1.44d4370f49204p-6, -0x1.3efb54824d8bcp-6, -0x1.3936129b4fe69p-6, -0x1.33845d4873bbfp-6, -0x1.2de61f5566a45p-6, -0x1.285b427369266p-6, -0x1.22e3af4151f69p-6, -0x1.1d7f4d537cceap-6, -0x1.182e033bb674bp-6, -0x1.12efb691145a2p-6, -0x1.0dc44bf7c1abdp-6, -0x1.08aba728c559cp-6, -0x1.03a5aaf9af7cfp-6, -0x1.fd6472c895ed1p-7, -0x1.f3a2671c68a2ap-7, -0x1.ea04f3a0d3339p-7, -0x1.e08bd77d99af4p-7, -0x1.d736d05f25a5ep-7, -0x1.ce059a8567ecp-7, -0x1.c4f7f0d28212dp-7, -0x1.bc0d8cd95c2bdp-7, -0x1.b34626ec26d9p-7, -0x1.aaa1762abfce7p-7, -0x1.a21f3090e7e34p-7, -0x1.99bf0b047ec28p-7, -0x1.9180b9638218fp-7, -0x1.8963ee91fbde3p-7, -0x1.81685c87ced82p-7, -0x1.798db45e6426dp-7, -0x1.71d3a65e3872cp-7, -0x1.6a39e20c47537p-7, -0x1.62c0163748454p-7, -0x1.5b65f104def3dp-7, -0x1.542b1ffe895fcp-7, -0x1.4d0f501e7d203p-7, -0x1.46122ddc442f8p-7, -0x1.3f3365394f2a1p-7, -0x1.3872a1cd2aa95p-7, -0x1.31cf8ed1b9d4ap-7, -0x1.2b49d72f1ad03p-7, -0x1.24e12587637bdp-7, -0x1.1e95244226524p-7, -0x1.18657d97c47a4p-7, -0x1.1251db9c84977p-7, -0x1.0c59e84b66554p-7, -0x1.067d4d90b5a13p-7, -0x1.00bbb55474fp-7, -0x1.f6299308cf581p-8, -0x1.eb10683bd1206p-8, -0x1.e02b3e6ee3cebp-8, -0x1.d5796a13cca59p-8, -0x1.cafa3ff30d9edp-8, -0x1.c0ad153d466a3p-8, -0x1.b6913f9bed61p-8, -0x1.aca6154193624p-8, -0x1.a2eaecf94eaa5p-8, -0x1.995f1e35bcf4fp-8, -0x1.9002011f48c0bp-8, -0x1.86d2eea1c9591p-8, -0x1.7dd14079adc7bp-8, -0x1.74fc51404f523p-8, -0x1.6c537c77c66dcp-8, -0x1.63d61e960dce9p-8, -0x1.5b83950fa2044p-8, -0x1.535b3e616af94p-8, -0x1.4b5c7a1a23af3p-8, -0x1.4386a8e30eafp-8, -0x1.3bd92c883bda5p-8, -0x1.34536800324cep-8, -0x1.2cf4bf72f8accp-8, -0x1.25bc9840b35d4p-8, -0x1.1eaa5907b5648p-8, -0x1.17bd69aa1c812p-8, -0x1.10f53352eb7e1p-8, -0x1.0a51207a9cd99p-8, -0x1.03d09ceb854b2p-8, -0x1.fae62b8b1a3d3p-9, -0x1.ee6ff30342707p-9, -0x1.e23d6fe99f4fep-9, -0x1.d64d84a5f3accp-9, -0x1.ca9f166282e7fp-9, -0x1.bf310d102b68fp-9, -0x1.b402536a2ca37p-9, -0x1.a911d6f95abf1p-9, -0x1.9e5e88167bc33p-9, -0x1.93e759ecb7e6dp-9, -0x1.89ab427b4958bp-9, -0x1.7fa93a96f56c9p-9, -0x1.75e03deb1c831p-9, -0x1.6c4f4afa84b2bp-9, -0x1.62f5631fcb7fap-9, -0x1.59d18a8db2fbp-9, -0x1.50e2c84f2ac52p-9, -0x1.482826470acf2p-9, -0x1.3fa0b12fc6cb6p-9, -0x1.374b789ad47dfp-9, -0x1.2f278ef0156dfp-9, -0x1.2734096ce4d3ep-9, -0x1.1f700023450ecp-9, -0x1.17da8df8c59a2p-9, -0x1.1072d0a550cfbp-9, -0x1.0937e8b200f9fp-9, -0x1.0228f977becbep-9, -0x1.f68a523bac8d6p-10, -0x1.e9174130f337cp-10, -0x1.dbf7174e4c71fp-10, -0x1.cf2831a5f0c04p-10, -0x1.c2a8f2da05622p-10, -0x1.b677c318adc44p-10, -0x1.aa9310187ca67p-10, -0x1.9ef94d1454033p-10, -0x1.93a8f2c76ea06p-10, -0x1.88a07f68a9183p-10, -0x1.7dde76a6411a5p-10, -0x1.736161a106d03p-10, -0x1.6927cee7757c3p-10, -0x1.5f3052704a9e2p-10, -0x1.55798595880dep-10, -0x1.4c02070e9066dp-10, -0x1.42c87aea6e3c5p-10, -0x1.39cb8a89702acp-10, -0x1.3109e497345fap-10, -0x1.28823d03d0b34p-10, -0x1.20334cfcf521p-10, -0x1.181bd2e6ce128p-10, -0x1.103a92549119ap-10, -0x1.088e5400d39eep-10, -0x1.0115e5c592869p-10, -0x1.f3a03527c888p-11, -0x1.e57794d6e0887p-11, -0x1.d7afa4a3fe74ep-11, -0x1.ca4628939b2a2p-11, -0x1.bd38ee913092p-11, -0x1.b085ce5bec835p-11, -0x1.a42aa972cf76cp-11, -0x1.98256b008bf5ep-11, -0x1.8c7407c6b98c4p-11, -0x1.81147e0862aaap-11, -0x1.7604d5751a52dp-11, -0x1.6b431f1145b07p-11, -0x1.60cd75211bb36p-11, -0x1.56a1fb109ae49p-11, -0x1.4cbedd5c7d753p-11, -0x1.4322517a29abfp-11, -0x1.39ca95bfa084ep-11, -0x1.30b5f14ad9472p-11, -0x1.27e2b3e8e21a3p-11, -0x1.1f4f35fca7e3ep-11, -0x1.16f9d8658dbb7p-11, -0x1.0ee104658deb4p-11, -0x1.07032b8751f0dp-11, -0x1.febd8f07ec895p-12, -0x1.efe4b451438c9p-12, -0x1.e178da77f1ce5p-12, -0x1.d37724c66f533p-12, -0x1.c5dcc60f179a1p-12, -0x1.b8a70075dff33p-12, -0x1.abd3253a3eefp-12, -0x1.9f5e9480da9a2p-12, -0x1.9346bd1d1c27ap-12, -0x1.87891c5a3dd8fp-12, -0x1.7c233dc6d04e1p-12, -0x1.7112bafa86cfdp-12, -0x1.66553b62ec2aep-12, -0x1.5be8740bb1a3dp-12, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.73742edd2d08bp-4, -0x1.53c0709606ac3p-4, -0x1.312fe5d271caep-4, -0x1.0c1719cbe4488p-4, -0x1.c9909ca8cf0bbp-5, -0x1.77233741c6e0ap-5, -0x1.217a7acab8fcp-5, -0x1.9245846d0c22ap-6, -0x1.ba7faa8570f56p-7, -0x1.26d8be280e7a3p-9, 0x1.2c045302f865dp-7, 0x1.52818b53731bbp-6, 0x1.07ee354a90648p-5, 0x1.66adb7a95a7bfp-5, 0x1.c52afcdb63aebp-5, 0x1.118c63042a805p-4, 0x1.40183fa20a547p-4, 0x1.6e18fcec56025p-4, 0x1.9b719f6e03218p-4, 0x1.c80804dc65cacp-4, 0x1.f3c4b55105e5bp-4, 0x1.0f496e85fa11bp-3, 0x1.243010767071dp-3, 0x1.388e2a8a3eb07p-3, 0x1.4c5cb815bbfb3p-3, 0x1.5f95b7cb019eap-3, 0x1.72341b387969ep-3, 0x1.8433b4cad7e74p-3, 0x1.959125d204e35p-3, 0x1.a649ce190e205p-3, 0x1.b65bbe086787bp-3, 0x1.c5c5aad5549b2p-3, 0x1.d486e356beafp-3, 0x1.e29f445a7740cp-3, 0x1.f00f2c45fe2edp-3, 0x1.fcd76e911a9ap-3, 0x1.047ca3fb67334p-2, 0x1.0a3b2a05ea101p-2, 0x1.0fa842245444bp-2, 0x1.14c50c039284ep-2, 0x1.1992ca727b137p-2, 0x1.1e12df94a9ef5p-2, 0x1.2246c901a1d79p-2, 0x1.26301bed5067ep-2, 0x1.29d0819f0cebdp-2, 0x1.2d29b45e66cd3p-2, 0x1.303d7cb9de107p-2, 0x1.330daefd33b9ap-2, 0x1.359c28da752f4p-2, 0x1.37eacf5f22147p-2, 0x1.39fb8d24d79c2p-2, 0x1.3bd050810e5d7p-2, 0x1.3d6b0992ba139p-2, 0x1.3ecda85a1d5d7p-2, 0x1.3ffa1b2d40a32p-2, 0x1.40f24daa1b49ap-2, 0x1.41b827f04a538p-2, 0x1.424d8dc83b505p-2, 0x1.42b45d8df5ec2p-2, 0x1.42ee6f07baa1bp-2, 0x1.42fd9277dace9p-2, 0x1.42e390181524ap-2, 0x1.42a227e6c752p-2, 0x1.423b351e1f77dp-2, 0x1.41b020303b7acp-2, 0x1.4102ab96b733ep-2, 0x1.4034737dbbc39p-2, 0x1.3f470a96b0b62p-2, 0x1.3e3bf994c0721p-2, 0x1.3d14beb34ceb4p-2, 0x1.3bd2cd539cbdp-2, 0x1.3a778dba3956cp-2, 0x1.39045ceecd51fp-2, 0x1.377a8cbca5bf1p-2, 0x1.35db63cf5c4ap-2, 0x1.34281de5f44b4p-2, 0x1.3261ec15d6531p-2, 0x1.3089f5160d682p-2, 0x1.2ea1558aa856ap-2, 0x1.2ca92048f72b2p-2, 0x1.2aa25e8fe84f3p-2, 0x1.288e103350f97p-2, 0x1.266d2bbbeb387p-2, 0x1.24409e7fb8187p-2, 0x1.22094cb6a92bp-2, 0x1.1fc8118f025f1p-2, 0x1.1d7dbf442f722p-2, 0x1.1b2b1f3a3feefp-2, 0x1.18d0f21fddad7p-2, 0x1.166ff017eb16ap-2, 0x1.1408c8eb4768p-2, 0x1.119c2442186d2p-2, 0x1.0f2aa1e34233ap-2, 0x1.0cb4d9f81e625p-2, 0x1.0a3b5d526c3b3p-2, 0x1.07beb5b2b67b5p-2, 0x1.053f660dcb4bep-2, 0x1.02bdead03f43p-2, 0x1.003aba1f4f0d3p-2, 0x1.fb6c882d28a96p-3, 0x1.f661e60457a64p-3, 0x1.f156572a52baep-3, 0x1.ec4a9a38cb96ep-3, 0x1.e73f635c5f026p-3, 0x1.e2355caf302a3p-3, 0x1.dd2d2690c6df5p-3, 0x1.d82757fd0f4c8p-3, 0x1.d3247ee401ac4p-3, 0x1.ce25208298402p-3, 0x1.c929b9bd26007p-3, 0x1.c432bf7a67c6dp-3, 0x1.bf409efea0e7ap-3, 0x1.ba53be45e9162p-3, 0x1.b56c7c5d3da02p-3, 0x1.b08b31b9f9a4cp-3, 0x1.abb0308f8160dp-3, 0x1.a6dbc522e21d5p-3, 0x1.a20e361bf0e17p-3, 0x1.9d47c4d348b35p-3, 0x1.9888ad9c74f57p-3, 0x1.93d1280ba6096p-3, 0x1.8f2167368f745p-3, 0x1.8a7999f081ff7p-3, 0x1.85d9eb0237b1dp-3, 0x1.8142815e38187p-3, 0x1.7cb38052dda08p-3, 0x1.782d07bb11f86p-3, 0x1.73af342e7081dp-3, 0x1.6f3a1f3142f1cp-3, 0x1.6acddf64129fbp-3, 0x1.666a88b256e54p-3, 0x1.62102c7f66681p-3, 0x1.5dbed9d0d20b9p-3, 0x1.59769d75a051ep-3, 0x1.5537822a1d86fp-3, 0x1.510190b87900bp-3, 0x1.4cd4d016cc073p-3, 0x1.48b14583520f8p-3, 0x1.4496f49faff3cp-3, 0x1.4085df8bf0669p-3, 0x1.3c7e0701a639ap-3, 0x1.387f6a6f1931fp-3, 0x1.348a081238ce7p-3, 0x1.309ddd12ade0ap-3, 0x1.2cbae59a5b0acp-3, 0x1.28e11cebadd04p-3, 0x1.25107d7555c81p-3, 0x1.2148fa6262a13p-3, 0x1.1d8a9db6a3cadp-3, 0x1.19d55552e2771p-3, 0x1.162918a9ec60ap-3, 0x1.1285dea1d7bd4p-3, 0x1.0eeb9da2e06e4p-3, 0x1.0b5a4ba5258f6p-3, 0x1.07d1de3d33288p-3, 0x1.04524aa750f9p-3, 0x1.00db85d1a46f6p-3, 0x1.fadb08ca49d91p-4, 0x1.f410759af4235p-4, 0x1.ed573a7fbb37dp-4, 0x1.e6af3f82268bfp-4, 0x1.e0186c5530396p-4, 0x1.d992a85e49164p-4, 0x1.d31ddabd3c4aap-4, 0x1.ccb9ea5323a48p-4, 0x1.c666bdc898a63p-4, 0x1.c0243b935c5cfp-4, 0x1.b9f249fba3bbdp-4, 0x1.b3d0cf210336p-4, 0x1.adbfb0ff4c455p-4, 0x1.a7bed57345ffcp-4, 0x1.a1ce223f6227ep-4, 0x1.9bed7d106b33ep-4, 0x1.961ccb8232dc3p-4, 0x1.905bf32438beap-4, 0x1.8aaad97e3672p-4, 0x1.850964149270dp-4, 0x1.7f77786ca3dfp-4, 0x1.79f4fc10b5ebdp-4, 0x1.7481d493c968cp-4, 0x1.6f1de794f9aa4p-4, 0x1.69c91ac287836p-4, 0x1.648353dc783c9p-4, 0x1.5f4c78b6cfbddp-4, 0x1.5a246f3b585ebp-4, 0x1.550b1d6aff93bp-4, 0x1.5000695ec7ffcp-4, 0x1.4b043948584dbp-4, 0x1.4616737228391p-4, 0x1.4136fe3f5abbcp-4, 0x1.3c65c02b42347p-4, 0x1.37a29fc8ac9bfp-4, 0x1.32ed83c0eb783p-4, 0x1.2e4652d2b494fp-4, 0x1.29acf3d0db807p-4, 0x1.25214da0f9715p-4, 0x1.20a3473a0583fp-4, 0x1.1c32c7a2ebbc6p-4, 0x1.17cfb5f12e69fp-4, 0x1.1379f94798f4cp-4, 0x1.0f3178d50605cp-4, 0x1.0af61bd34666fp-4, 0x1.06c7c98623dcbp-4, 0x1.02a6693a8a58fp-4, 0x1.fd23c48b9a4d6p-5, 0x1.f514380a24858p-5, 0x1.ed1dfbb9af214p-5, 0x1.e540de713460bp-5, 0x1.dd7caf1528b1ap-5, 0x1.d5d13c9723c84p-5, 0x1.ce3e55f5b3efcp-5, 0x1.c6c3ca3c515fcp-5, 0x1.bf6168836db77p-5, 0x1.b816fff0983bp-5, 0x1.b0e45fb6b1e67p-5, 0x1.a9c957162cc24p-5, 0x1.a2c5b55d55c6dp-5, 0x1.9bd949e89a2c5p-5, 0x1.9503e422ce7d8p-5, 0x1.8e45538571cb6p-5, 0x1.879d6798ea319p-5, 0x1.810beff4b50ap-5, 0x1.7a90bc3f91da2p-5, 0x1.742b9c2fa1fcfp-5, 0x1.6ddc5f8a7d658p-5, 0x1.67a2d62542ce3p-5, 0x1.617ecfe4a3551p-5, 0x1.5b701cbce4f23p-5, 0x1.55768cb1e9dbap-5, 0x1.4f91efd73b13p-5, 0x1.49c2165012f43p-5, 0x1.4406d04f76e42p-5, 0x1.3e5fee1855394p-5, 0x1.38cd3ffdb83fdp-5, 0x1.334e96630156p-5, 0x1.2de3c1bc3ca8fp-5, 0x1.288c928e81f6cp-5, 0x1.2348d970695e3p-5, 0x1.1e18670a96b37p-5, 0x1.18fb0c1854a98p-5, 0x1.13f0996842a21p-5, 0x1.0ef8dfdd1a0fcp-5, 0x1.0a13b06e7db29p-5, 0x1.0540dc29e00dp-5, 0x1.0080343373b35p-5, 0x1.f7a3138e5a643p-6, 0x1.ee695c73a3f3ep-6, 0x1.e552e5f42249ap-6, 0x1.dc5f53234a0e6p-6, 0x1.d38e474d15d7ep-6, 0x1.cadf65f861ec5p-6, 0x1.c25252e976771p-6, 0x1.b9e6b2248cd1p-6, 0x1.b19c27f0687c6p-6, 0x1.a97258d8f50dfp-6, 0x1.a168e9b1e4ca4p-6, 0x1.997f7f995e09ep-6, 0x1.91b5bffaa2482p-6, 0x1.8a0b5090b0f99p-6, 0x1.827fd768ef4ebp-6, 0x1.7b12fae5c34cap-6, 0x1.73c461c12673ep-6, 0x1.6c93b30f3f709p-6, 0x1.65809640dc2p-6, 0x1.5e8ab325f4bc8p-6, 0x1.57b1b1f019ec9p-6, 0x1.50f53b34dc7cdp-6, 0x1.4a54f7f02bf44p-6, 0x1.43d09186ac025p-6, 0x1.3d67b1c7f4d1p-6, 0x1.371a02f0e2d1cp-6, 0x1.30e72fadcbcd4p-6, 0x1.2acee31ca964ep-6, 0x1.24d0c8cf4a9d6p-6, 0x1.1eec8ccd71b6p-6, 0x1.1921db96f14b2p-6, 0x1.13706225b6791p-6, 0x1.0dd7cdefdfa99p-6, 0x1.0857cce9b3b6ap-6, 0x1.02f00d879dfaap-6, 0x1.fb407d80389a8p-7, 0x1.f0d0201b491e1p-7, 0x1.e68e62e0f8431p-7, 0x1.dc7aa6e1164e7p-7, 0x1.d2944e3e381ddp-7, 0x1.c8dabc31282bep-7, 0x1.bf4d550c43e09p-7, 0x1.b5eb7e3eb9eaep-7, 0x1.acb49e57ac753p-7, 0x1.a3a81d093e3d2p-7, 0x1.9ac5632b8d5f4p-7, 0x1.920bdabf8823dp-7, 0x1.897aeef1ae16ep-7, 0x1.81120c1cc1a54p-7, 0x1.78d09fcc38fcbp-7, 0x1.70b618bed0b24p-7, 0x1.68c1e6e8cb606p-7, 0x1.60f37b763f579p-7, 0x1.594a48cd20c0fp-7, 0x1.51c5c28f559b6p-7, 0x1.4a655d9c916ccp-7, 0x1.4328901429e9bp-7, 0x1.3c0ed156b4727p-7, 0x1.35179a07a226fp-7, 0x1.2e42640e9ee6ep-7, 0x1.278eaa98f736ap-7, 0x1.20fbea1abf17ep-7, 0x1.1a89a04fecc74p-7, 0x1.14374c3d4f2aep-7, 0x1.0e046e316c2fcp-7, 0x1.07f087c53b203p-7, 0x1.01fb1bdccc41ap-7, 0x1.f8475d4f87ac3p-8, 0x1.ecd38b439e208p-8, 0x1.e199cf25e4a63p-8, 0x1.d6993906c53b6p-8, 0x1.cbd0dbe144aa8p-8, 0x1.c13fccf09482cp-8, 0x1.b6e52429295f2p-8, 0x1.acbffc1853449p-8, 0x1.a2cf71e38153ep-8, 0x1.9912a547a0807p-8, 0x1.8f88b8983310bp-8, 0x1.8630d0be21303p-8, 0x1.7d0a15369b84fp-8, 0x1.7413b01198709p-8, 0x1.6b4ccdf0421ddp-8, 0x1.62b49e033cde5p-8, 0x1.5a4a5208bd1e5p-8, 0x1.520d1e4a7e62p-8, 0x1.49fc399b96cbcp-8, 0x1.4216dd561d98dp-8, 0x1.3a5c4558b8497p-8, 0x1.32cbb00404e11p-8, 0x1.2b645e37d3753p-8, 0x1.242593505e0bbp-8, 0x1.1d0e95234a6dep-8, 0x1.161eabfc91866p-8, 0x1.0f55229b4dfap-8, 0x1.08b1462e812e6p-8, 0x1.023266517cd61p-8, 0x1.f7afaa11465cap-9, 0x1.eb41cd7b26edcp-9, 0x1.df19e47724bbp-9, 0x1.d336a1577afe6p-9, 0x1.c796bb22566a4p-9, 0x1.bc38ed89df484p-9, 0x1.b11bf8e45b3d3p-9, 0x1.a63ea223aaab6p-9, 0x1.9b9fb2cd1f96fp-9, 0x1.913df8f0ea24ep-9, 0x1.87184721875a1p-9, 0x1.7d2d746ac9f5bp-9, 0x1.737c5c493e7e6p-9, 0x1.6a03dea104d2cp-9, 0x1.60c2dfb4b34c3p-9, 0x1.57b8481c1dbbbp-9, 0x1.4ee304bb09d3p-9, 0x1.464206b7c1c6cp-9, 0x1.3dd44371960d4p-9, 0x1.3598b4773b15ep-9, 0x1.2d8e577d242fap-9, 0x1.25b42e53b8b8ap-9, 0x1.1e093edd9d00bp-9, 0x1.168c9305a8fc2p-9, 0x1.0f3d38b4eb581p-9, 0x1.081a41c8d2d7ap-9, 0x1.0122c408f01acp-9, 0x1.f4abb239bfdd5p-10, 0x1.e7653d0419091p-10, 0x1.da706b0348488p-10, 0x1.cdcb864c0ac42p-10, 0x1.c174e061479acp-10, 0x1.b56ad21f33bc9p-10, 0x1.a9abbba68e8bcp-10, 0x1.9e360447e53dep-10, 0x1.93081a6e89ae9p-10, 0x1.8820738bb75a9p-10, 0x1.7d7d8c01a7782p-10, 0x1.731de70e67223p-10, 0x1.69000eb7313f1p-10, 0x1.5f2293b2e738ap-10, 0x1.55840d554ebccp-10, 0x1.4c231979f0eaep-10, 0x1.42fe5c6f2449ep-10, 0x1.3a1480e0df92cp-10, 0x1.316437c3e8ce5p-10, 0x1.28ec384055ef6p-10, 0x1.20ab3f9d4d2d7p-10, 0x1.18a0112bb7299p-10, 0x1.10c976314462cp-10, 0x1.09263dd3c29bfp-10, 0x1.01b53d045c864p-10, 0x1.f4ea9cd5975efp-11, 0x1.e6caa4a195741p-11, 0x1.d9085d1b0c037p-11, 0x1.cba19ce24383p-11, 0x1.be944560d75e1p-11, 0x1.b1de42a101fafp-11, 0x1.a57d8b254e4ecp-11, 0x1.99701fc0e784dp-11, 0x1.8db40b6f27abap-11, 0x1.8247632c4c03cp-11, 0x1.772845ce3217ap-11, 0x1.6c54dbdd16d98p-11, 0x1.61cb576cbfd11p-11, 0x1.5789f3f6cb7f4p-11, 0x1.4d8ef6331c447p-11, 0x1.43d8abf3755b9p-11, 0x1.3a656bfc585e7p-11, 0x1.313395e163aebp-11, 0x1.284191df8f41dp-11, 0x1.1f8dd0b8df74p-11, 0x1.1716cb90231cap-11, 0x1.0edb03c56387cp-11, 0x1.06d902d1ed4cep-11, 0x1.fe1eb44c793ap-12, 0x1.eef9460bef5ffp-12, 0x1.e03efccd81828p-12, 0x1.d1ed299b3f118p-12, 0x1.c4012c5b5a524p-12, 0x1.b678738e0e19p-12, 0x1.a9507c0badd7cp-12, 0x1.9c86d0c426f8dp-12, 0x1.90190a7ee8e7dp-12, 0x1.8404cf9c0bf5ap-12, 0x1.7847d3d5e044fp-12, 0x1.6cdfd80204778p-12, 0x1.61caa9d6fcd42p-12, 0x1.570623ae78988p-12, 0x1.4c902c4ad29a9p-12, 0x1.4266b69bf93ep-12, 0x1.3887c186df617p-12, 0x1.2ef157ab4cb68p-12, 0x1.25a18f2c8c308p-12, 0x1.1c96897a19ff1p-12, 0x1.13ce7318b343dp-12, 0x1.0b47836cc3b5bp-12, 0x1.02fffc8543db9p-12, 0x1.f5ec55ce61b26p-13, 0x1.e650cab5a8365p-13, 0x1.d72a196f752fcp-13, 0x1.c875176598325p-13, 0x1.ba2ead5d6bcc1p-13, 0x1.ac53d710486f7p-13, 0x1.9ee1a2d17bedp-13, 0x1.91d5312b679eap-13, 0x1.852bb4850917dp-13, 0x1.78e270c54fe32p-13, 0x1.6cf6baf8de0a8p-13, 0x1.6165f8f9e6dc2p-13, 0x1.562da115182d1p-13, 0x1.4b4b39b85bd38p-13, 0x1.40bc591a7f796p-13, 0x1.367ea4e733059p-13, 0x1.2c8fd1f12813p-13, 0x1.22eda3da1dbe7p-13, 0x1.1995ecc791a3fp-13, 0x1.10868d130da9ep-13, 0x1.07bd72fcc111p-13, 0x1.fe7134bedbfa4p-14, 0x1.edec18caead7dp-14, 0x1.dde7be7df6964p-14, 0x1.ce606bb46900cp-14, 0x1.bf527f34ea5ebp-14, 0x1.b0ba702921c75p-14, 0x1.a294cd8e2650ep-14, 0x1.94de3db0db881p-14, 0x1.87937da6b5e7fp-14, 0x1.7ab160cbb6301p-14, 0x1.6e34d040c51afp-14, 0x1.621aca6d4e726p-14, 0x1.56606284f1df6p-14, 0x1.4b02c006ccc75p-14, 0x1.3fff1e4d29e04p-14, 0x1.3552cc1388d59p-14, 0x1.2afb2b03d5bbep-14, 0x1.20f5af42a0e58p-14, 0x1.173fdf0409794p-14, 0x1.0dd752184bbeap-14, 0x1.04b9b183d856p-14, 0x1.f7c96e2987dfcp-15, 0x1.e6ac59efdc1cap-15, 0x1.d617dac052f6cp-15, 0x1.c607c41e4d661p-15, 0x1.b67808011038ap-15, 0x1.a764b60d623dep-15, 0x1.98c9fad964a8p-15, 0x1.8aa41f33d801fp-15, 0x1.7cef87704ba2p-15, 0x1.6fa8b2b462e49p-15, 0x1.62cc3a4b2b9a2p-15, 0x1.5656d0fab7153p-15, 0x1.4a45425d69a84p-15, 0x1.3e94723eb6p-15, 0x1.33415bfaf2ed7p-15, 0x1.284911e0e40d2p-15, 0x1.1da8bca4a6839p-15, 0x1.135d9ab165d82p-15, 0x1.0964ffacf7e81p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.72f2a43ae781dp-3, -0x1.29ebb58db0753p-3, -0x1.e4edf786652ddp-4, -0x1.9573307b8f6f9p-4, -0x1.61cacc64d5fbbp-4, -0x1.46774e88a97b4p-4, -0x1.402c69d69e73ap-4, -0x1.4bd494441c476p-4, -0x1.669052c131515p-4, -0x1.8dba75424c4cap-4, -0x1.bee9e0e2be4e6p-4, -0x1.f7eea574c9d9ep-4, -0x1.1b67bf4ca4cbep-3, -0x1.3ce42c3e6657bp-3, -0x1.5fa3cb83f54f9p-3, -0x1.82f53db97c573p-3, -0x1.a63cfde521fadp-3, -0x1.c8f3f0b367c5fp-3, -0x1.eaa5d5f88810cp-3, -0x1.0577d9bd89f05p-2, -0x1.14bf24aa051a6p-2, -0x1.23059f33c9377p-2, -0x1.30309d393148bp-2, -0x1.3c29bb2a896ap-2, -0x1.46df66f8aa4f5p-2, -0x1.5044e8f97bbaep-2, -0x1.58524c170fccp-2, -0x1.5f03de56c5bbap-2, -0x1.6459633948696p-2, -0x1.685547a9afd83p-2, -0x1.6afc1a62fb383p-2, -0x1.6c54567654f95p-2, -0x1.6c665c602600ep-2, -0x1.6b3c65ba9bf1p-2, -0x1.68e2518a60ff9p-2, -0x1.656548a869054p-2, -0x1.60d353ca02c17p-2, -0x1.5b3b021aa808cp-2, -0x1.54ab326c950dfp-2, -0x1.4d32fd6853bd2p-2, -0x1.44e1b0ce3d82fp-2, -0x1.3bc6c8dee5df2p-2, -0x1.31f1dc1642a5p-2, -0x1.277278830fb5ap-2, -0x1.1c57fab0d7b27p-2, -0x1.10b168d022dccp-2, -0x1.048d59b90fc28p-2, -0x1.eff3d2c06f68cp-3, -0x1.d6096dd136b41p-3, -0x1.bb75cc439ep-3, -0x1.a0523ea9517efp-3, -0x1.84b7168a90331p-3, -0x1.68bb987aba009p-3, -0x1.4c75ecef45b49p-3, -0x1.2ffb1484aa2c7p-3, -0x1.135ee2735a3ffp-3, -0x1.ed67fb1ccf70bp-4, -0x1.b417cc67e0613p-4, -0x1.7aedfd47fe902p-4, -0x1.420926cdd205bp-4, -0x1.0985c50e7a7bbp-4, -0x1.a2fc870095cdap-5, -0x1.341612a181658p-5, -0x1.8d2fcc748e3f7p-6, -0x1.6a54845b735f8p-7, 0x1.f9f19e4f078eep-10, 0x1.e1d53d934d81ap-7, 0x1.be7ad6721186ap-6, 0x1.440b3353a51bdp-5, 0x1.a6c423f7bad82p-5, 0x1.03a80ab13af7p-4, 0x1.32ccba61ad50bp-4, 0x1.60c6ba6c362b8p-4, 0x1.8d8e15c21f019p-4, 0x1.b91c4b485c036p-4, 0x1.e36c433f6ef65p-4, 0x1.063d1c869e947p-3, 0x1.1a21ce0d15ad6p-3, 0x1.2d6375954c185p-3, 0x1.4001c6e2e270dp-3, 0x1.51fcd7778c45ap-3, 0x1.63550deba4296p-3, 0x1.740b142cd8e63p-3, 0x1.841fcd1aaa4ccp-3, 0x1.93944d89b0095p-3, 0x1.a269d8579d8f6p-3, 0x1.b0a1dcf311327p-3, 0x1.be3df79074748p-3, 0x1.cb3ff238c1a2dp-3, 0x1.d7a9c5ebc8592p-3, 0x1.e37d9b2f923e3p-3, 0x1.eebdc992cf0d9p-3, 0x1.f96cd5da80e6p-3, 0x1.01c6b7633eab5p-2, 0x1.069134441263dp-2, 0x1.0b175b9791dcbp-2, 0x1.0f5ab436924d4p-2, 0x1.135cce903c7cfp-2, 0x1.171f418aa34d9p-2, 0x1.1aa3a7aeb79f3p-2, 0x1.1deb9cc2589ap-2, 0x1.20f8bbe289e16p-2, 0x1.23cc9e1ef7acp-2, 0x1.2668d98985067p-2, 0x1.28cf00a2ddfd5p-2, 0x1.2b00a2089615bp-2, 0x1.2cff484a2164bp-2, 0x1.2ecc79ce62a5dp-2, 0x1.3069b8ba1e74ap-2, 0x1.31d882ce5a902p-2, 0x1.331a513b4ffa9p-2, 0x1.343098685ad3ep-2, 0x1.351cc7b33f645p-2, 0x1.35e049295ce1ap-2, 0x1.367c813cf3403p-2, 0x1.36f2ce77d8d43p-2, 0x1.3744892c79e67p-2, 0x1.377303261b2c5p-2, 0x1.377f8759c27e4p-2, 0x1.376b599a1557p-2, 0x1.3737b6513e98cp-2, 0x1.36e5d2445866dp-2, 0x1.3676da63d27adp-2, 0x1.35ebf3ab88c54p-2, 0x1.35463b1410e66p-2, 0x1.3486c59543551p-2, 0x1.33aea0388354cp-2, 0x1.32bed0381ffdbp-2, 0x1.31b853285c885p-2, 0x1.309c1f267946p-2, 0x1.2f6b230a722c1p-2, 0x1.2e264698b574ap-2, 0x1.2cce6ab1ff41dp-2, 0x1.2b64698055e69p-2, 0x1.29e916a0d73a9p-2, 0x1.285d3f4a948bp-2, 0x1.26c1aa72f8becp-2, 0x1.251718f061904p-2, 0x1.235e459b7fa34p-2, 0x1.2197e57008004p-2, 0x1.1fc4a7ad263b3p-2, 0x1.1de535f5fcacdp-2, 0x1.1bfa3472798ep-2, 0x1.1a0441f0aa4c5p-2, 0x1.1803f806acc29p-2, 0x1.15f9eb3541694p-2, 0x1.13e6ab0afa897p-2, 0x1.11c8fbf8b3118p-2, 0x1.0fa4b290243f7p-2, 0x1.0d78e055ed58cp-2, 0x1.0b4602f0c45a1p-2, 0x1.090c929fcb03bp-2, 0x1.06cd027bd7ddap-2, 0x1.0487c0c2935b8p-2, 0x1.023d37285c77dp-2, 0x1.ffdb965ba2842p-3, 0x1.fb33bcebfa763p-3, 0x1.f6839e34d495ap-3, 0x1.f1cbeff54795p-3, 0x1.ed0d620a4bf8p-3, 0x1.e8489ef0552e2p-3, 0x1.e37e4c3281bb3p-3, 0x1.deaf0ac6383cbp-3, 0x1.d9db7752fac46p-3, 0x1.d5042a67060fdp-3, 0x1.d029b89a3a5cap-3, 0x1.cb4cb2a131a39p-3, 0x1.c66da5530a9dfp-3, 0x1.c18d19a4aae93p-3, 0x1.bcab949c5099ap-3, 0x1.b7c997405e066p-3, 0x1.b2e79e8423e43p-3, 0x1.ae0623350de41p-3, 0x1.a92599ea6f57fp-3, 0x1.a44672f997d5p-3, 0x1.9f691a6f9959ep-3, 0x1.9a8df81188849p-3, 0x1.95b56f63c8dcep-3, 0x1.90dfdfb86fc0ep-3, 0x1.8c0da4447f8p-3, 0x1.873f143b79575p-3, 0x1.827482f08308bp-3, 0x1.7dae3ffc36138p-3, 0x1.78ec9766134fap-3, 0x1.742fd1d0879a7p-3, 0x1.6f7834a66577ep-3, 0x1.6ac60248ce691p-3, 0x1.66197a3c879c1p-3, 0x1.6172d955da885p-3, 0x1.5cd259e238ea7p-3, 0x1.583833cf00853p-3, 0x1.53a49ccce0dd8p-3, 0x1.4f17c86f82305p-3, 0x1.4a91e84946eebp-3, 0x1.46132c0301ecbp-3, 0x1.419bc16fc7f7bp-3, 0x1.3d2bd49cf5746p-3, 0x1.38c38fdec623bp-3, 0x1.34631bd9bf43bp-3, 0x1.300a9f8978ca2p-3, 0x1.2bba404517862p-3, 0x1.277221c20f737p-3, 0x1.233266159df5fp-3, 0x1.1efb2db56ad1ap-3, 0x1.1acc9777d04b4p-3, 0x1.16a6c0941c3fep-3, 0x1.1289c4a32f5a3p-3, 0x1.0e75bda0b8da2p-3, 0x1.0a6ac3ed4d629p-3, 0x1.0668ee5180616p-3, 0x1.0270520217d2cp-3, 0x1.fd02054ad4685p-4, 0x1.f53624b3c9ca8p-4, 0x1.ed7d237b5d4b8p-4, 0x1.e5d71fee995c8p-4, 0x1.de44357e76dfep-4, 0x1.d6c47cd48fed7p-4, 0x1.cf580be9245bbp-4, 0x1.c7fef61a0bc79p-4, 0x1.c0b94c425788dp-4, 0x1.b9871cd247545p-4, 0x1.b26873e751393p-4, 0x1.ab5d5b63f3144p-4, 0x1.a465db07055ap-4, 0x1.9d81f8826c06dp-4, 0x1.96b1b790f2b24p-4, 0x1.8ff51a0b1a97dp-4, 0x1.894c1ffae2da3p-4, 0x1.82b6c7ae58b09p-4, 0x1.7c350dc8f498p-4, 0x1.75c6ed53bff6bp-4, 0x1.6f6c5fcc43b6ap-4, 0x1.69255d32509p-4, 0x1.62f1dc14ab8fbp-4, 0x1.5cd1d19cb8036p-4, 0x1.56c5319936037p-4, 0x1.50cbee882ffdfp-4, 0x1.4ae5f9a03449bp-4, 0x1.451342d8f7c8cp-4, 0x1.3f53b8f37ecddp-4, 0x1.39a74981e83d6p-4, 0x1.340de0eef4132p-4, 0x1.2e876a855e9ffp-4, 0x1.2913d07724e9ep-4, 0x1.23b2fbe4c4ffcp-4, 0x1.1e64d4e489e9ap-4, 0x1.19294289ee4a7p-4, 0x1.14002aed1eac4p-4, 0x1.0ee97332a38f2p-4, 0x1.09e4ff9331d1p-4, 0x1.04f2b363a73e3p-4, 0x1.0012711d2d4ebp-4, 0x1.f68834caffe6fp-5, 0x1.ed0f202ea92bcp-5, 0x1.e3b96495ad19cp-5, 0x1.da86c0bc6ee79p-5, 0x1.d176f1fc8cba8p-5, 0x1.c889b45e11373p-5, 0x1.bfbec2a892c63p-5, 0x1.b715d674370dbp-5, 0x1.ae8ea83a86907p-5, 0x1.a628ef66ff901p-5, 0x1.9de4626765bbbp-5, 0x1.95c0b6bbb6bd5p-5, 0x1.8dbda105c45b5p-5, 0x1.85dad51864b22p-5, 0x1.7e18060638ep-5, 0x1.7674e62ffe871p-5, 0x1.6ef127526faa3p-5, 0x1.678c7a93ad05bp-5, 0x1.604690902df6fp-5, 0x1.591f196740814p-5, 0x1.5215c4c712c02p-5, 0x1.4b2a41f84ddf7p-5, 0x1.445c3fe944b52p-5, 0x1.3dab6d38b9815p-5, 0x1.37177840412a9p-5, 0x1.30a00f1e4888ap-5, 0x1.2a44dfbfbff75p-5, 0x1.240597e973dfap-5, 0x1.1de1e54116177p-5, 0x1.17d97555fe119p-5, 0x1.11ebf5a9a4186p-5, 0x1.0c1913b7dd8cfp-5, 0x1.06607cfed8c33p-5, 0x1.00c1df06e57ffp-5, 0x1.f679ced409a0fp-6, 0x1.eba287b68b096p-6, 0x1.e0fd445be521cp-6, 0x1.d68960b926b12p-6, 0x1.cc46391f756e5p-6, 0x1.c2332a495ea99p-6, 0x1.b84f9167cde34p-6, 0x1.ae9acc2ea7e86p-6, 0x1.a51438e11edc6p-6, 0x1.9bbb365da1a23p-6, 0x1.928f2429837ecp-6, 0x1.898f627c41ebcp-6, 0x1.80bb524a7e6a2p-6, 0x1.781255509abe2p-6, 0x1.6f93ce1cfa648p-6, 0x1.673f2019f0febp-6, 0x1.5f13af9753dcp-6, 0x1.5710e1d3abcf3p-6, 0x1.4f361d0513fb5p-6, 0x1.4782c861b6d02p-6, 0x1.3ff64c27f1a89p-6, 0x1.389011a61cee3p-6, 0x1.314f8341f75a1p-6, 0x1.2a340c7fb722cp-6, 0x1.233d1a08c3349p-6, 0x1.1c6a19b20f86cp-6, 0x1.15ba7a8225b37p-6, 0x1.0f2dacb6d4e5bp-6, 0x1.08c321ca8bedep-6, 0x1.027a4c934cc6bp-6, 0x1.f8a542183a2ecp-7, 0x1.ec9728d2c7a53p-7, 0x1.e0c93a8e68062p-7, 0x1.d53a6728ca815p-7, 0x1.c9e9a12c2c98cp-7, 0x1.bed5ddd5c8c12p-7, 0x1.b3fe151bb6de3p-7, 0x1.a96141b248732p-7, 0x1.9efe6110ea627p-7, 0x1.94d4737675b81p-7, 0x1.8ae27bed12acep-7, 0x1.8127804d9fd0ep-7, 0x1.77a28942a7364p-7, 0x1.6e52a24aea0eap-7, 0x1.6536d9bb7778ap-7, 0x1.5c4e40c16501cp-7, 0x1.5397eb63233c5p-7, 0x1.4b12f08172a17p-7, 0x1.42be69d7f1fe3p-7, 0x1.3a9973fd6bdb7p-7, 0x1.32a32e63b6f77p-7, 0x1.2adabb575572p-7, 0x1.233f3ffebdfbp-7, 0x1.1bcfe45959d9bp-7, 0x1.148bd33e3dd9dp-7, 0x1.0d723a5a9cfe2p-7, 0x1.06824a2ff811ap-7, 0x1.ff766c241e072p-8, 0x1.f23868491ff45p-8, 0x1.e548fab12ad6ep-8, 0x1.d8a69ad3ce426p-8, 0x1.cc4fc5b804331p-8, 0x1.c042fdedef75fp-8, 0x1.b47ecb882a529p-8, 0x1.a901bc14bd1ap-8, 0x1.9dca6295bffd4p-8, 0x1.92d75779a1b06p-8, 0x1.882738932f013p-8, 0x1.7db8a91137e99p-8, 0x1.738a517603179p-8, 0x1.699adf8e752e2p-8, 0x1.5fe90668f507dp-8, 0x1.56737e4c1405ap-8, 0x1.4d3904ad01bacp-8, 0x1.44385c25c8252p-8, 0x1.3b704c6b4d59dp-8, 0x1.32dfa2432f31fp-8, 0x1.2a852f795b219p-8, 0x1.225fcad59de49p-8, 0x1.1a6e5010e4ec6p-8, 0x1.12af9fca6ab07p-8, 0x1.0b229f7cbb06ep-8, 0x1.03c639728f855p-8, 0x1.f932b9771dc6ap-9, 0x1.eb35fa41b1b48p-9, 0x1.dd942633306dcp-9, 0x1.d04b377e90b5bp-9, 0x1.c359318405dp-9, 0x1.b6bc20b93d647p-9, 0x1.aa721a9164869p-9, 0x1.9e793d650ee77p-9, 0x1.92cfb059e2eb9p-9, 0x1.8773a349fe41bp-9, 0x1.7c634eab601b2p-9, 0x1.719cf376e62d9p-9, 0x1.671edb0f5b286p-9, 0x1.5ce7572836ea6p-9, 0x1.52f4c1ac45619p-9, 0x1.49457ca41ac16p-9, 0x1.3fd7f21c82174p-9, 0x1.36aa940ca971bp-9, 0x1.2dbbdc3c4a16bp-9, 0x1.250a4c299d7f8p-9, 0x1.1c946cef4561cp-9, 0x1.1458cf2a2996ap-9, 0x1.0c560adf25982p-9, 0x1.048abf60b3bd9p-9, 0x1.f9eb266901a7cp-10, 0x1.eb2a67f21b8fdp-10, 0x1.dcd0ac964bf18p-10, 0x1.cedb6b56ca993p-10, 0x1.c14828c766077p-10, 0x1.b41476d9977ccp-10, 0x1.a73df4a78bc31p-10, 0x1.9ac24e3f2896fp-10, 0x1.8e9f3c6d69e2p-10, 0x1.82d28489ba754p-10, 0x1.7759f84155c49p-10, 0x1.6c3375632d5dbp-10, 0x1.615ce5abb7da2p-10, 0x1.56d43e911b04p-10, 0x1.4c97810fcb13p-10, 0x1.42a4b9771ea66p-10, 0x1.38f9ff368ba28p-10, 0x1.2f9574ab20d9cp-10, 0x1.267546ed5c095p-10, 0x1.1d97ad9f760d7p-10, 0x1.14faeabc2aef3p-10, 0x1.0c9d4a65d7844p-10, 0x1.047d22b6558e6p-10, 0x1.f931a71ddcfa3p-11, 0x1.e9dd8cd2da939p-11, 0x1.dafadc52368b9p-11, 0x1.cc868dd9a1821p-11, 0x1.be7dabc29ee02p-11, 0x1.b0dd52288720cp-11, 0x1.a3a2ae8fef3d4p-11, 0x1.96caff8f13f4bp-11, 0x1.8a539477a94f8p-11, 0x1.7e39cd01c4bd5p-11, 0x1.727b18f84f021p-11, 0x1.6714f7e681a7cp-11, 0x1.5c04f8c6c6a49p-11, 0x1.5148b9b2ea739p-11, 0x1.46dde79574095p-11, 0x1.3cc23ddcab1a2p-11, 0x1.32f3862df9934p-11, 0x1.296f981c0cc37p-11, 0x1.203458dce2b37p-11, 0x1.173fbb01aa4a5p-11, 0x1.0e8fbe2ff4c36p-11, 0x1.06226edbee614p-11, 0x1.fbebcc07cffc7p-12, 0x1.ec1091da333bep-12, 0x1.dcaf91c2d299dp-12, 0x1.cdc545dd4aa63p-12, 0x1.bf4e3f4d8890bp-12, 0x1.b14725c1ce155p-12, 0x1.a3acb6f8b839dp-12, 0x1.967bc6474c5a5p-12, 0x1.89b13c22eb349p-12, 0x1.7d4a15ac754b8p-12, 0x1.7143643dabb3ap-12, 0x1.659a4cf8af8d5p-12, 0x1.5a4c08597d81fp-12, 0x1.4f55e1c93103cp-12, 0x1.44b537338c119p-12, 0x1.3a67789e048a9p-12, 0x1.306a27c127956p-12, 0x1.26bad7a24108fp-12, 0x1.1d572c31d136fp-12, 0x1.143cd9e8b3324p-12, 0x1.0b69a5688be6fp-12, 0x1.02db631d8e92bp-12, 0x1.f51fedc408feap-13, 0x1.e50aa7468a44ap-13, 0x1.d572f61105392p-13, 0x1.c654fa35d9e64p-13, 0x1.b7acefdf8fa8dp-13, 0x1.a9772ea699a84p-13, 0x1.9bb028ec5faefp-13, 0x1.8e546b36d806fp-13, 0x1.81609b90edeb5p-13, 0x1.74d178ec81cdcp-13, 0x1.68a3da88494cep-13, 0x1.5cd4af57d1e82p-13, 0x1.5160fd6e63961p-13, 0x1.4645e16d80655p-13, 0x1.3b808df3c47e2p-13, 0x1.310e4b122471p-13, 0x1.26ec75c054402p-13, 0x1.1d187f55f596p-13, 0x1.138fed04d601p-13, 0x1.0a505757875edp-13, 0x1.015769b0e6132p-13, 0x1.f145c39dc29dep-14, 0x1.e0611ea07c80ep-14, 0x1.cffca6736b102p-14, 0x1.c0143f07236e9p-14, 0x1.b0a3ed475321ap-14, 0x1.a1a7d6396b14ep-14, 0x1.931c3e1ec5111p-14, 0x1.84fd879b6581p-14, 0x1.774832e14d43ep-14, 0x1.69f8dce04be1cp-14, 0x1.5d0c3e7a3f366p-14, 0x1.507f2bbbba463p-14, 0x1.444e9318fee0dp-14, 0x1.38777caf3e2dbp-14, 0x1.2cf7098a0c245p-14, 0x1.21ca72ee03944p-14, 0x1.16ef09a2f2333p-14, 0x1.0c623549e861bp-14, 0x1.022173b16b31bp-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.424de9fdd5167p+0, -0x1.34ede088ca146p+0, -0x1.2867ccf4b4b4cp+0, -0x1.1cb688d317d38p+0, -0x1.11d32f0066d03p+0, -0x1.07b5b811e49e8p+0, -0x1.fcaa912c04536p-1, -0x1.eb50d07fc506ep-1, -0x1.db4a8e8045d02p-1, -0x1.cc83d590c1954p-1, -0x1.bee8a88a05006p-1, -0x1.b2653c0d31b36p-1, -0x1.a6e628f988904p-1, -0x1.9c5892f72d4bp-1, -0x1.92aa43d57856ep-1, -0x1.89c9c107f8b06p-1, -0x1.81a65855f5b81p-1, -0x1.7a302994155ccp-1, -0x1.735830268506ap-1, -0x1.6d1040113968cp-1, -0x1.674b02492f438p-1, -0x1.61fbf7396a546p-1, -0x1.5d177e1269bd4p-1, -0x1.5892aabf7142dp-1, -0x1.54635e0c183a9p-1, -0x1.50803a06ad862p-1, -0x1.4ce09810898dap-1, -0x1.497c7d6d4b1c6p-1, -0x1.464c90d4fc1fep-1, -0x1.434a120ecbc89p-1, -0x1.406ed31d25cf9p-1, -0x1.3db531ac6f4bbp-1, -0x1.3b180fa60aee5p-1, -0x1.3892caa918e7ep-1, -0x1.362133002e04dp-1, -0x1.33bf82f1ad201p-1, -0x1.316a5705808fdp-1, -0x1.2f1ea75d7929ep-1, -0x1.2cd9c1cc46168p-1, -0x1.2a99442d5f73fp-1, -0x1.285b16aa428a5p-1, -0x1.261d65ded4463p-1, -0x1.23de9d00c674ep-1, -0x1.219d604ae1342p-1, -0x1.1f5887ec2b207p-1, -0x1.1d0f1b8d6e18ep-1, -0x1.1ac04e46a2e8p-1, -0x1.186b7ad1f180bp-1, -0x1.16101fecda1fp-1, -0x1.13addcf2cf0fbp-1, -0x1.11446eafd6e9bp-1, -0x1.0ed3ac53faa73p-1, -0x1.0c5b847b5328dp-1, -0x1.09dbfa636af74p-1, -0x1.07552377820b2p-1, -0x1.04c72540de0a6p-1, -0x1.023233990ca5dp-1, -0x1.ff2d1dd342a7fp-2, -0x1.f9e904c0dcc11p-2, -0x1.f498c45a0b9e1p-2, -0x1.ef3d13e4c023cp-2, -0x1.e9d6b70bf074ep-2, -0x1.e4667bdef5c1dp-2, -0x1.deed71cbd9295p-2, -0x1.d96bfd9307583p-2, -0x1.d3e33a01fdf87p-2, -0x1.ce540e41abab1p-2, -0x1.c8bf6340128c1p-2, -0x1.c32621e9c57bp-2, -0x1.bd8931a40b3c2p-2, -0x1.b7e97710a2bfap-2, -0x1.b247d31b040dfp-2, -0x1.aca522472ca0fp-2, -0x1.a7023c35651dbp-2, -0x1.a15ff34d61a95p-2, -0x1.9bbf148436ab8p-2, -0x1.962067325e9eap-2, -0x1.9084acf09f17dp-2, -0x1.8aeca1744e99bp-2, -0x1.8558fa661a963p-2, -0x1.7fca6731ce1dcp-2, -0x1.7a4190d121f57p-2, -0x1.74bf1995f24ebp-2, -0x1.6f439cf8e6b55p-2, -0x1.69cfaf70d6662p-2, -0x1.6463de55bc174p-2, -0x1.5f00afd0ac649p-2, -0x1.59a6a2d9510edp-2, -0x1.54562f40a4e1dp-2, -0x1.4f0fc5c824303p-2, -0x1.49d3d043da31ap-2, -0x1.44a2b1c527b4ep-2, -0x1.3f7cc6cbb447bp-2, -0x1.3a626579fe095p-2, -0x1.3553ddcb54542p-2, -0x1.305179c9ac946p-2, -0x1.2b5b7dc24d5f9p-2, -0x1.26722878dd72fp-2, -0x1.2195b358a6384p-2, -0x1.1cc652a4087f3p-2, -0x1.180435a23aba5p-2, -0x1.134f86cb6f18cp-2, -0x1.0ea86bf3ad926p-2, -0x1.0a0f0674ca92cp-2, -0x1.0583735807001p-2, -0x1.0105cb7fdb5c1p-2, -0x1.f92c47a4be0bap-3, -0x1.f0691ac8e03d5p-3, -0x1.e7c22b4b1f80ap-3, -0x1.df378d1827ed6p-3, -0x1.d6c94d82982dep-3, -0x1.ce77739a3de57p-3, -0x1.c6420081a85cp-3, -0x1.be28efc1ae092p-3, -0x1.b62c379a9e9fep-3, -0x1.ae4bc95320bb5p-3, -0x1.a687918491d2ap-3, -0x1.9edf78649f74fp-3, -0x1.9753620bdedb7p-3, -0x1.8fe32eb8e348fp-3, -0x1.888ebb0fa81b6p-3, -0x1.8155e05515639p-3, -0x1.7a3874a6e8e5dp-3, -0x1.73364b3052adcp-3, -0x1.6c4f345bfa68bp-3, -0x1.6582fe03fdc74p-3, -0x1.5ed173a09fbe3p-3, -0x1.583a5e75e5564p-3, -0x1.51bd85c053112p-3, -0x1.4b5aaee092963p-3, -0x1.45119d8591d4ap-3, -0x1.3ee213d4af671p-3, -0x1.38cbd28f83a45p-3, -0x1.32ce993700de1p-3, -0x1.2cea262be4a66p-3, -0x1.271e36ccc079dp-3, -0x1.216a8791f4684p-3, -0x1.1bced4281ecb4p-3, -0x1.164ad78976e99p-3, -0x1.10de4c166b5d7p-3, -0x1.0b88ebada0649p-3, -0x1.064a6fc3527eep-3, -0x1.01229177dc459p-3, -0x1.f822135a2eb13p-4, -0x1.ee2b223495f84p-4, -0x1.e45fc0bcccd81p-4, -0x1.dabf6020efe53p-4, -0x1.d14966cf6c1cap-4, -0x1.c7fd5f1919e9cp-4, -0x1.bedaaccc1a69bp-4, -0x1.b5e0c1a53c5d9p-4, -0x1.ad0f0fceed94ap-4, -0x1.a46509f93313bp-4, -0x1.9be2236fabdc6p-4, -0x1.9385d02ded7d4p-4, -0x1.8b4f84f1f70bcp-4, -0x1.833eb74cf10f3p-4, -0x1.7b52ddb236525p-4, -0x1.738b6f84c5458p-4, -0x1.6be7e52335ea8p-4, -0x1.6467b7f2525e1p-4, -0x1.5d0a626677a68p-4, -0x1.55cf600bde164p-4, -0x1.4eb62d8de677dp-4, -0x1.47be48bd9666dp-4, -0x1.40e7309756d8ap-4, -0x1.3a3065481341p-4, -0x1.33996831d84b9p-4, -0x1.2d21bbeffd108p-4, -0x1.26c8e45aec0edp-4, -0x1.208e668ba0273p-4, -0x1.1a71c8ded26c9p-4, -0x1.147292f7ea8ecp-4, -0x1.0e904dc3b12cp-4, -0x1.08ca837ac516ap-4, -0x1.0320bfa3ce1b5p-4, -0x1.fb251e2af27bbp-5, -0x1.f03efff04ec2dp-5, -0x1.e58e438ebaf9ep-5, -0x1.db120aa5cba44p-5, -0x1.d0c9797f56f54p-5, -0x1.c6b3b71087f3ep-5, -0x1.bccfecfa56cfcp-5, -0x1.b31d47896dc96p-5, -0x1.a99af5b56c9bbp-5, -0x1.a048291f9dc07p-5, -0x1.9724161116dfdp-5, -0x1.8e2df3785d0d3p-5, -0x1.8564fae6835p-5, -0x1.7cc8688bd4032p-5, -0x1.74577b341917cp-5, -0x1.6c1174427c33bp-5, -0x1.63f597ad1c381p-5, -0x1.5c032bf85451ap-5, -0x1.54397a31c51cfp-5, -0x1.4c97cdeb34fa2p-5, -0x1.451d753540e05p-5, -0x1.3dc9c099f274ap-5, -0x1.369c03173d7f2p-5, -0x1.2f93921978736p-5, -0x1.28afc575c3bb3p-5, -0x1.21eff76475949p-5, -0x1.1b53847b7f3ffp-5, -0x1.14d9cba8e041ap-5, -0x1.0e822e2d15101p-5, -0x1.084c0f958d7fbp-5, -0x1.0236d5b72a38ap-5, -0x1.f883d1517cc94p-6, -0x1.ecd9657b236edp-6, -0x1.e16d40ffcec86p-6, -0x1.d63e415711e33p-6, -0x1.cb4b485096257p-6, -0x1.c0933c092cbd4p-6, -0x1.b61506dfda6f5p-6, -0x1.abcf976ad76e5p-6, -0x1.a1c1e06c909b2p-6, -0x1.97ead8c897e18p-6, -0x1.8e497b788fa78p-6, -0x1.84dcc7810992bp-6, -0x1.7ba3bfe654698p-6, -0x1.729d6ba14cc56p-6, -0x1.69c8d59417f4bp-6, -0x1.61250c7ed9eeep-6, -0x1.58b122f45f535p-6, -0x1.506c2f4ecdbc5p-6, -0x1.48554ba4454bap-6, -0x1.406b95bb8453bp-6, -0x1.38ae2f009371fp-6, -0x1.311c3c7966675p-6, -0x1.29b4e6ba9b32cp-6, -0x1.227759dc2f518p-6, -0x1.1b62c56e48b42p-6, -0x1.14765c6e0f95ep-6, -0x1.0db1553a95b4p-6, -0x1.0712e989ccff6p-6, -0x1.009a565d9d44ap-6, -0x1.f48db7f1f3a94p-7, -0x1.e82f7baa50dd4p-7, -0x1.dc18852e10556p-7, -0x1.d0476808f7262p-7, -0x1.c4babdf3c309cp-7, -0x1.b97126bf655p-7, -0x1.ae69484047a87p-7, -0x1.a3a1ce39e9969p-7, -0x1.99196a4a93024p-7, -0x1.8eced3d731011p-7, -0x1.84c0c7f774c4dp-7, -0x1.7aee0962188a4p-7, -0x1.7155605944e5cp-7, -0x1.67f59a97312cfp-7, -0x1.5ecd8b3af2514p-7, -0x1.55dc0ab568b0ep-7, -0x1.4d1ff6b65f29dp-7, -0x1.44983219d8c2ep-7, -0x1.3c43a4d572bcp-7, -0x1.34213be617d41p-7, -0x1.2c2fe93db5f2ap-7, -0x1.246ea3b12cf5bp-7, -0x1.1cdc66e6640fp-7, -0x1.1578334283052p-7, -0x1.0e410dd8599d7p-7, -0x1.07360056dbb71p-7, -0x1.005618f7e5dfdp-7, -0x1.f340d4de0f161p-8, -0x1.e62817b10f179p-8, -0x1.d960315114f4ep-8, -0x1.cce76134c4ac8p-8, -0x1.c0bbef40045d7p-8, -0x1.b4dc2ba356b9p-8, -0x1.a9466ebb4df19p-8, -0x1.9df918f097c93p-8, -0x1.92f2929809e78p-8, -0x1.88314bd364dddp-8, -0x1.7db3bc7216525p-8, -0x1.737863d27b3ep-8, -0x1.697dc8c36eb9fp-8, -0x1.5fc2796632df2p-8, -0x1.56450b108b30bp-8, -0x1.4d041a2f7655fp-8, -0x1.43fe4a29f4c8p-8, -0x1.3b32454440ee2p-8, -0x1.329ebc835debep-8, -0x1.2a426790f346bp-8, -0x1.221c049f7e65fp-8, -0x1.1a2a584ee0accp-8, -0x1.126c2d911a9dep-8, -0x1.0ae0558f9be5dp-8, -0x1.0385a790a9a13p-8, -0x1.f8b601ba5ea34p-9, -0x1.eabe894dbd43cp-9, -0x1.dd22b7dd4fa9bp-9, -0x1.cfe06ad6d22ecp-9, -0x1.c2f58ae22db65p-9, -0x1.b6600bb005bf1p-9, -0x1.aa1debc93c777p-9, -0x1.9e2d345eeebaap-9, -0x1.928bf91b161f5p-9, -0x1.873857f177963p-9, -0x1.7c3078f1d88b5p-9, -0x1.71728e1a27a4fp-9, -0x1.66fcd3298d718p-9, -0x1.5ccd8d740943p-9, -0x1.52e30bb69404fp-9, -0x1.493ba5ebeb656p-9, -0x1.3fd5bd21fcde2p-9, -0x1.36afbb4f85195p-9, -0x1.2dc8132af9c9p-9, -0x1.251d40015128p-9, -0x1.1cadc58db1fa6p-9, -0x1.14782fd1a5982p-9, -0x1.0c7b12edd1a44p-9, -0x1.04b50afb44216p-9, -0x1.fa4977caa8493p-10, -0x1.eb91a287eac0ep-10, -0x1.dd3ffc6d88a9fp-10, -0x1.cf51fa410976ep-10, -0x1.c1c5200acf812p-10, -0x1.b496ff4083b3bp-10, -0x1.a7c5378e04881p-10, -0x1.9b4d764b6349bp-10, -0x1.8f2d7639ca3a6p-10, -0x1.8362ff404d53ap-10, -0x1.77ebe62a5efcfp-10, -0x1.6cc60c66fa08p-10, -0x1.61ef5fc91a108p-10, -0x1.5765da48efe32p-10, -0x1.4d2781c629bc8p-10, -0x1.433267cb7127ep-10, -0x1.3984a95211659p-10, -0x1.301c6e87e86a2p-10, -0x1.26f7ea9522f23p-10, -0x1.1e155b6369e1dp-10, -0x1.15730965ea112p-10, -0x1.0d0f47624ac8ep-10, -0x1.04e8723aa0ad6p-10, -0x1.f9f9e1701e57cp-11, -0x1.ea9666ad25d88p-11, -0x1.dba368230bd68p-11, -0x1.cd1dec6235a86p-11, -0x1.bf030c313358p-11, -0x1.b14ff22b1c34cp-11, -0x1.a401da5f73e2fp-11, -0x1.971611f456a2cp-11, -0x1.8a89f6c942c3ep-11, -0x1.7e5af71c84101p-11, -0x1.728691316236ep-11, -0x1.670a52f8c98f1p-11, -0x1.5be3d9ba28883p-11, -0x1.5110d1c000e5bp-11, -0x1.468ef603eeefap-11, -0x1.3c5c0fdd34e23p-11, -0x1.3275f6b0a03c7p-11, -0x1.28da8fa1c51c3p-11, -0x1.1f87cd45db888p-11, -0x1.167baf58170a3p-11, -0x1.0db4426efab0cp-11, -0x1.052f9fb38bd3ap-11, -0x1.f9d7d933ccb6ap-12, -0x1.e9ceb5342f0cp-12, -0x1.da404dd905975p-12, -0x1.cb29348ab9255p-12, -0x1.bc8611252539cp-12, -0x1.ae53a17560dd8p-12, -0x1.a08eb8ba8bcb4p-12, -0x1.93343f27f1e1bp-12, -0x1.8641316b1f646p-12, -0x1.79b2a032eaaedp-12, -0x1.6d85afb9cdee5p-12, -0x1.61b79752319bep-12, -0x1.5645a0f51a189p-12, -0x1.4b2d28d2bdee9p-12, -0x1.406b9ce691071p-12, -0x1.35fe7c8a029bep-12, -0x1.2be3580f4140bp-12, -0x1.2217d058753fcp-12, -0x1.18999673fb562p-12, -0x1.0f666b39c585dp-12, -0x1.067c1eeadd4a6p-12, -0x1.fbb121a7331dbp-13, -0x1.eaf35ddd06c0cp-13, -0x1.dabaeb1129eap-13, -0x1.cb03ddd5f9262p-13, -0x1.bbca6604be1e9p-13, -0x1.ad0ace14600e5p-13, -0x1.9ec17a72d914dp-13, -0x1.90eae8e1ca78bp-13, -0x1.8383afd6e14c3p-13, -0x1.76887ddf64d1p-13, -0x1.69f619070e214p-13, -0x1.5dc95e431b6a4p-13, -0x1.51ff40de39858p-13, -0x1.4694c9ea1eefbp-13, -0x1.3b8717b3e54efp-13, -0x1.30d35d374ca7p-13, -0x1.2676e19d78b34p-13, -0x1.1c6effb6518dfp-13, -0x1.12b92578dade1p-13, -0x1.0952d385b15c5p-13, -0x1.00399cac172aap-13, -0x1.eed64ae38f7a9p-14, -0x1.ddca473cc6cd8p-14, -0x1.cd4abb8f0c0d3p-14, -0x1.bd5355c2b278dp-14, -0x1.addfe3a236d04p-14, -0x1.9eec520360b8cp-14, -0x1.9074abf7c5d7cp-14, -0x1.827519fb90dfep-14, -0x1.74e9e134b07e1p-14, -0x1.67cf62acfe6d6p-14, -0x1.5b221a9098053p-14, -0x1.4ede9f796be6dp-14, -0x1.4301a1b683746p-14, -0x1.3787ea9b99428p-14, -0x1.2c6e5bd40456fp-14, -0x1.21b1eeba73969p-14, -0x1.174fb3b522323p-14, -0x1.0d44d18ee30cbp-14, -0x1.038e84e35e188p-14, -0x1.f4543f0548a2p-15, -0x1.e22a0fb1bd532p-15, -0x1.d09970bf4ff82p-15, -0x1.bf9d7e1f43632p-15, -0x1.af3179ab2b91cp-15, -0x1.9f50ca1755a24p-15, -0x1.8ff6f9eb362cep-15, -0x1.811fb681310ap-15, -0x1.72c6cf0afd099p-15, -0x1.64e833a06306ap-15, -0x1.577ff44e21ba7p-15, -0x1.4a8a403021324p-15, -0x1.3e03648f89061p-15, -0x1.31e7cc07c5b39p-15, -0x1.2633fda9919a6p-15, -0x1.1ae49c345ffe4p-15, -0x1.0ff66543cd434p-15, -0x1.0566308b64567p-15, -0x1.f661de2a1fd43p-16, -0x1.e2a7550a9d6d4p-16, -0x1.cf9708c7e4c43p-16, -0x1.bd2b6ad57dee8p-16, -0x1.ab5f19a755c63p-16, -0x1.9a2cdf6bb87bap-16, -0x1.898fb0be224a4p-16, -0x1.7982ab5717f81p-16, -0x1.6a0114ecf8a21p-16, -0x1.5b0659f56024p-16, -0x1.4c8e0c85ed5ddp-16, -0x1.3e93e32713222p-16, -0x1.3113b7c75bf1ep-16, -0x1.240986a7c28b1p-16, -0x1.17716d5458d31p-16, -0x1.0b47a99b26a09p-16, -0x1.ff1131383110dp-17, -0x1.e8616b9b2c0b6p-17, -0x1.d279342cccc8dp-17, -0x1.bd51f5a1f121bp-17, -0x1.a8e552168e204p-17, -0x1.952d212e00e47p-17, -0x1.82236e7504cd4p-17, -0x1.6fc277c4dc98dp-17, -0x1.5e04abb1d7c3ep-17, -0x1.4ce4a805546f4p-17, -0x1.3c5d3841c45c9p-17, -0x1.2c695434ee96fp-17, -0x1.1d041e873ba39p-17, -0x1.0e28e37c08fa1p-17, -0x1.ffa62ef13761ap-18, -0x1.e3fcababe9499p-18, -0x1.c94cbf33af8edp-18, -0x1.af8e34855883ap-18, -0x1.96b91d32c3858p-18, -0x1.7ec5cf1b61e2bp-18, -0x1.67ace22dc84a4p-18, -0x1.51672e74c9e6bp-18, -0x1.3bedc98068e2bp-18, -0x1.273a04f5c4277p-18, -0x1.13456c43106b2p-18, -0x1.0009c2cef66fp-18, -0x1.db02040742763p-19, -0x1.b74aaf5b5f123p-19, -0x1.94e2484393258p-19, -0x1.73bdf1268be1cp-19, -0x1.53d32af1bbcadp-19, -0x1.3517d1acc8616p-19, -0x1.178219c36a60fp-19, -0x1.f6111996c1c6ep-20, -0x1.bf440d5e8ac34p-20, -0x1.8a8b65c1fa962p-20, -0x1.57d61344f9d7p-20, -0x1.27139ac864454p-20, -0x1.f06820e253ff6p-21, -0x1.965025713cf02p-21, -0x1.3fc18b493ffbcp-21, -0x1.d93f389a85f8dp-22, -0x1.399d368209658p-22, -0x1.40ceeaa23e9bep-23, -0x1.ad45b8ea20406p-27, 0x1.fe32bc1c5ddc3p-24, 0x1.06ad7ae19a2f5p-22, 0x1.8826f0ebeeef5p-22, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.03dd2efce8e2p-3, 0x1.21da8442b22adp-3, 0x1.3f86d88eed0eap-3, 0x1.5c9ec1eacf45ap-3, 0x1.78e481d6a2beep-3, 0x1.94236f82f73c2p-3, 0x1.ae2cf6b05cd85p-3, 0x1.c6d87fa809f7bp-3, 0x1.de04a19d96562p-3, 0x1.f395d901bfe8dp-3, 0x1.03bacea52cf6fp-2, 0x1.0cc94266b98ccp-2, 0x1.14f0040d0efa6p-2, 0x1.1c2ae25bd08a9p-2, 0x1.227783b05ffddp-2, 0x1.27d54b98f4d47p-2, 0x1.2c452d539c0d8p-2, 0x1.2fc9759322d92p-2, 0x1.3265a2e4991a9p-2, 0x1.341e3f899d911p-2, 0x1.34f8beb017876p-2, 0x1.34fbe82512ae8p-2, 0x1.342d8e06474c6p-2, 0x1.32957d1effb7p-2, 0x1.303c296b4e6f2p-2, 0x1.2d2a5b6f5ce86p-2, 0x1.2968d633f8e15p-2, 0x1.25004621dc9f3p-2, 0x1.1ff96a5e05f3p-2, 0x1.1a5d46244fc5p-2, 0x1.14352dfb2b4ccp-2, 0x1.0d8aa5e933ba9p-2, 0x1.0667260bb241dp-2, 0x1.fda7cda80f6eap-3, 0x1.edb39779c5d9ap-3, 0x1.dd02db8f7d386p-3, 0x1.cba66af489004p-3, 0x1.b9aedefa46b99p-3, 0x1.a72c9d99f2eacp-3, 0x1.942fb89ffc9d5p-3, 0x1.80c7bb345e1d2p-3, 0x1.6d037ec252b63p-3, 0x1.58f117f1f9107p-3, 0x1.449ddda97241p-3, 0x1.30167fad0275bp-3, 0x1.1b671dfd94c6bp-3, 0x1.069b55b8d5615p-3, 0x1.e37c80507ddbbp-4, 0x1.b9b4d01aa9262p-4, 0x1.8ff379bfcf158p-4, 0x1.664b15f719291p-4, 0x1.3cccf821380c1p-4, 0x1.13893dd53f43dp-4, 0x1.d51dcb43caee7p-5, 0x1.83d7c9735f917p-5, 0x1.335a6cc3949d3p-5, 0x1.c77b9208ddb78p-6, 0x1.2a3030332b1c1p-6, 0x1.1df706e384862p-7, -0x1.3fa6343db2367p-11, -0x1.41302d78c27c6p-7, -0x1.34b692f47e041p-6, -0x1.c63d1e0a1bfdcp-6, -0x1.2a94f6763d70ap-5, -0x1.70aa7557e7adbp-5, -0x1.b54ebe5e623a3p-5, -0x1.f8781d490cb72p-5, -0x1.1d0f7746e19bap-4, -0x1.3d1ec197dccccp-4, -0x1.5c67f2375801bp-4, -0x1.7ae9c1605f74p-4, -0x1.98a36e8c9b127p-4, -0x1.b594964bb5c9dp-4, -0x1.d1bd0f099c2ccp-4, -0x1.ed1ccfbd56d9bp-4, -0x1.03d9f0d5f678ap-3, -0x1.10c12e6856bddp-3, -0x1.1d44369ea739ap-3, -0x1.29632f77bb6cap-3, -0x1.351e569945794p-3, -0x1.4076095118902p-3, -0x1.4b6acb9a92a35p-3, -0x1.55fd4d25fea75p-3, -0x1.602e6bbf31913p-3, -0x1.69ff32d97a047p-3, -0x1.7370d86c49e87p-3, -0x1.7c84b7a0823d9p-3, -0x1.853c4a0727efcp-3, -0x1.8d992028d9ae2p-3, -0x1.959cda32b55f3p-3, -0x1.9d49216048cecp-3, -0x1.a49fa28e37424p-3, -0x1.aba20a2ab7fe1p-3, -0x1.b25201896a77dp-3, -0x1.b8b12d7d3bb1ep-3, -0x1.bec12e05a1535p-3, -0x1.c4839ed2774cdp-3, -0x1.c9fa185f4499p-3, -0x1.cf263167cde92p-3, -0x1.d409807ad50ccp-3, -0x1.d8a59d73e3befp-3, -0x1.dcfc22ab2d2d2p-3, -0x1.e10eadb3cc2c2p-3, -0x1.e4dedf8de0525p-3, -0x1.e86e5c4245b0cp-3, -0x1.ebbec9ef2d4d2p-3, -0x1.eed1cf5d5557ep-3, -0x1.f1a912423e05cp-3, -0x1.f446355af8d01p-3, -0x1.f6aad68c4cdbfp-3, -0x1.f8d88d304a745p-3, -0x1.fad0e8b0652dp-3, -0x1.fc956f7f62531p-3, -0x1.fe279e7a14653p-3, -0x1.ff88e8aa5374bp-3, -0x1.005d5baf3ed66p-2, -0x1.00df3540db29ep-2, -0x1.014aac8f22d86p-2, -0x1.01a068f9e4d2ap-2, -0x1.01e10e06c52cp-2, -0x1.020d3ba4ccdc8p-2, -0x1.02258e63483bbp-2, -0x1.022a9f996befap-2, -0x1.021d057e9e714p-2, -0x1.01fd53350e202p-2, -0x1.01cc18c983f58p-2, -0x1.0189e32c04c17p-2, -0x1.01373c24cd943p-2, -0x1.00d4aa48c7d0fp-2, -0x1.0062b0efd1347p-2, -0x1.ffc3a05ca799p-3, -0x1.fea509a5af4b1p-3, -0x1.fd6a90cf52e2cp-3, -0x1.fc152270a0748p-3, -0x1.faa5a4b4fd239p-3, -0x1.f91cf774656a1p-3, -0x1.f77bf451d928cp-3, -0x1.f5c36edfc15a7p-3, -0x1.f3f434ca3f963p-3, -0x1.f20f0e06e0cc1p-3, -0x1.f014bd08b3445p-3, -0x1.ee05fef7332d7p-3, -0x1.ebe38be600983p-3, -0x1.e9ae170b0fc97p-3, -0x1.e7664ef1433b7p-3, -0x1.e50cdda5a508fp-3, -0x1.e2a268de7490bp-3, -0x1.e0260c3de1a3ep-3, -0x1.dd9b7670bce49p-3, -0x1.db01c581724f3p-3, -0x1.d8598dd61fa1p-3, -0x1.d5a35f4b8b0b8p-3, -0x1.d2dfc56e10922p-3, -0x1.d00f47b91db3ep-3, -0x1.cd3269db2f20cp-3, -0x1.ca49abfbf8968p-3, -0x1.c7558b0290423p-3, -0x1.c45680d983548p-3, -0x1.c14d04aee49p-3, -0x1.be398b2ebf51dp-3, -0x1.bb1c86b67e863p-3, -0x1.b7f667805f514p-3, -0x1.b4c79bc634113p-3, -0x1.b1908fdb52c73p-3, -0x1.ae51ae3dbf9ebp-3, -0x1.ab0b5f9f2677dp-3, -0x1.a7be0ae6768f4p-3, -0x1.a46a152b3f055p-3, -0x1.a10fe1ac23504p-3, -0x1.9dafd1c1d664ep-3, -0x1.9a4a44d01894cp-3, -0x1.96df983628af2p-3, -0x1.9370274001338p-3, -0x1.8ffc4b198219cp-3, -0x1.8c845ac487254p-3, -0x1.8908ab12972c8p-3, -0x1.85898ea2b044bp-3, -0x1.820755e3675adp-3, -0x1.7e824f1965c8ap-3, -0x1.7afac66a12c25p-3, -0x1.777105ea0a7e2p-3, -0x1.73e555aef7c64p-3, -0x1.7057fbe420ea9p-3, -0x1.6cc93ce11d16cp-3, -0x1.69395b41eb438p-3, -0x1.65a897ffc644fp-3, -0x1.6217328a07cd1p-3, -0x1.5e8568de76c73p-3, -0x1.5af377a067fe4p-3, -0x1.57619a2e4239fp-3, -0x1.53d00ab4e565fp-3, -0x1.503f0240ae654p-3, -0x1.4caeb8cbd91dap-3, -0x1.491f654a1d8bfp-3, -0x1.45913db180d7ep-3, -0x1.420477005ecd4p-3, -0x1.3e794540ddddfp-3, -0x1.3aefdb89f0db8p-3, -0x1.37686bfe3ada2p-3, -0x1.33e327c919d8ap-3, -0x1.30603f1a364bfp-3, -0x1.2cdfe11ffcb5bp-3, -0x1.29623c0148858p-3, -0x1.25e77cd6bc4b5p-3, -0x1.226fcfa403ec7p-3, -0x1.1efb5f515b743p-3, -0x1.1b8a55a5a6268p-3, -0x1.181cdb414716p-3, -0x1.14b31799ed60dp-3, -0x1.114d30f780f06p-3, -0x1.0deb4c723b2bfp-3, -0x1.0a8d8df1fa911p-3, -0x1.0734182ee0272p-3, -0x1.03df0cb311db2p-3, -0x1.008e8bddb19a6p-3, -0x1.fa8569cda1be2p-4, -0x1.f3f74bc8b34dbp-4, -0x1.ed72f79f7c66fp-4, -0x1.e6f8a5189fd7ep-4, -0x1.e08889dc14b29p-4, -0x1.da22d98183117p-4, -0x1.d3c7c59ef1c86p-4, -0x1.cd777dd791fd7p-4, -0x1.c7322fea6792fp-4, -0x1.c0f807c090cf2p-4, -0x1.bac92f7af87bdp-4, -0x1.b4a5cf7f52d2cp-4, -0x1.ae8e0e843cc06p-4, -0x1.a882119c631a5p-4, -0x1.a281fc40ac817p-4, -0x1.9c8df05957dddp-4, -0x1.96a60e460f739p-4, -0x1.90ca74e5000c5p-4, -0x1.8afb4198f7326p-4, -0x1.8538904ea2012p-4, -0x1.7f827b8100968p-4, -0x1.79d91c3d29998p-4, -0x1.743c8a257918ep-4, -0x1.6eacdb74498bcp-4, -0x1.692a24fe5319cp-4, -0x1.63b47a34d23dfp-4, -0x1.5e4bed278eebbp-4, -0x1.58f08e86e2a6p-4, -0x1.53a26da5d5481p-4, -0x1.4e61987c65c8ap-4, -0x1.492e1baa1550ep-4, -0x1.44080278c17c1p-4, -0x1.3eef56dfde4c2p-4, -0x1.39e4218816264p-4, -0x1.34e669cf57966p-4, -0x1.2ff635cd53a97p-4, -0x1.2b138a586d0bdp-4, -0x1.263e6b0b124aep-4, -0x1.2176da4981d0ep-4, -0x1.1cbcd947eb1e1p-4, -0x1.18106810e8abdp-4, -0x1.1371858c42d1ep-4, -0x1.0ee02f85f2e1dp-4, -0x1.0a5c62b559197p-4, -0x1.05e61ac4980e8p-4, -0x1.017d52580b5e4p-4, -0x1.fa44062b9610cp-5, -0x1.f1a84b5a649c1p-5, -0x1.e92763bcbf69ap-5, -0x1.e0c13d03484c3p-5, -0x1.d875c31db3e91p-5, -0x1.d044e0493bf2fp-5, -0x1.c82e7d1ec7273p-5, -0x1.c03280a0c2d59p-5, -0x1.b850d048a3bd6p-5, -0x1.b08950140de69p-5, -0x1.a8dbe2919e2fdp-5, -0x1.a14868ed56f8ep-5, -0x1.99cec2fcadce9p-5, -0x1.926ecf4a41798p-5, -0x1.8b286b2133855p-5, -0x1.83fb72983025ep-5, -0x1.7ce7c09c2530fp-5, -0x1.75ed2efaad71dp-5, -0x1.6f0b966c36acdp-5, -0x1.6842ce9de631bp-5, -0x1.6192ae3b446dfp-5, -0x1.5afb0af7b2aa8p-5, -0x1.547bb997b1a3ap-5, -0x1.4e148dfa00047p-5, -0x1.47c55b2091d4bp-5, -0x1.418df3396cceep-5, -0x1.3b6e27a767dc8p-5, -0x1.3565c90ad24b4p-5, -0x1.2f74a74a0a79p-5, -0x1.299a919a0233fp-5, -0x1.23d75686b561bp-5, -0x1.1e2ac3fb923ap-5, -0x1.1894a74bd5306p-5, -0x1.1314cd3ad941bp-5, -0x1.0dab020459207p-5, -0x1.08571164a24e8p-5, -0x1.0318c6a0b96f3p-5, -0x1.fbdfd91cd464p-6, -0x1.f1b89b388a963p-6, -0x1.e7bb67b30ae15p-6, -0x1.dde7d1fbb76f5p-6, -0x1.d43d6ce23e2c6p-6, -0x1.cabbcaa5bcb06p-6, -0x1.c1627d03a2024p-6, -0x1.b8311546423f8p-6, -0x1.af2724532aeedp-6, -0x1.a6443ab92010fp-6, -0x1.9d87e8bdc7909p-6, -0x1.94f1be6b03c5dp-6, -0x1.8c814b9bf54fcp-6, -0x1.84362009a38f3p-6, -0x1.7c0fcb574c77cp-6, -0x1.740ddd1e5b028p-6, -0x1.6c2fe4fa038dfp-6, -0x1.64756e742cc7dp-6, -0x1.5cde11967136bp-6, -0x1.55695a1e1bac4p-6, -0x1.4e16d819b68c9p-6, -0x1.46e61bce7021dp-6, -0x1.3fd6b5c1a954fp-6, -0x1.38e836c228ebcp-6, -0x1.321a2ff100aa7p-6, -0x1.2b6c32ca1b341p-6, -0x1.24ddd12c7deadp-6, -0x1.1e6e9d623c00bp-6, -0x1.181e2a281fa48p-6, -0x1.11ec0ab503aafp-6, -0x1.0bd7d2c0ea5e2p-6, -0x1.05e1168bd00abp-6, -0x1.00076ae432422p-6, -0x1.f494ca5ab8002p-7, -0x1.e95336cadf568p-7, -0x1.de4948565f482p-7, -0x1.d3762d871ba8p-7, -0x1.c8d9163dfd70ep-7, -0x1.be7133bd240b6p-7, -0x1.b43db8b1a5fcdp-7, -0x1.aa3dd93ce537dp-7, -0x1.a070cafd79df6p-7, -0x1.96d5c517b2144p-7, -0x1.8d6c003dab04dp-7, -0x1.8432b6b70bb26p-7, -0x1.7b2924685628p-7, -0x1.724e86d9e2d8ap-7, -0x1.69a21d3e78102p-7, -0x1.6123287988ba7p-7, -0x1.58d0eb251eb98p-7, -0x1.50aaa99768583p-7, -0x1.48afa9e7f855p-7, -0x1.40df33f4aa06bp-7, -0x1.393891663fb1dp-7, -0x1.31bb0db4acfdcp-7, -0x1.2a65f62b14b5ap-7, -0x1.233899eb7f52dp-7, -0x1.1c3249f245881p-7, -0x1.1552591936d25p-7, -0x1.0e981c1a7b37ap-7, -0x1.0802e9932ecc1p-7, -0x1.01921a05c35e1p-7, -0x1.f68a0fb834718p-8, -0x1.ea361ed2cce5p-8, -0x1.de271dd7a05d9p-8, -0x1.d25bcd1bbe98ap-8, -0x1.c6d2f0cf5486p-8, -0x1.bb8b50ffa226ep-8, -0x1.b083b9987efdp-8, -0x1.a5bafa6574a4ap-8, -0x1.9b2fe71275c9dp-8, -0x1.90e1572c2cb0cp-8, -0x1.86ce261fe8e9ep-8, -0x1.7cf5333b2bea2p-8, -0x1.735561aad1b71p-8, -0x1.69ed9879ea32bp-8, -0x1.60bcc2902848fp-8, -0x1.57c1ceb00055bp-8, -0x1.4efbaf746b9f6p-8, -0x1.46695b4e55b02p-8, -0x1.3e09cc81b89e9p-8, -0x1.35dc01225f43fp-8, -0x1.2ddefb1057821p-8, -0x1.2611bff41a81ep-8, -0x1.1e73593a5d207p-8, -0x1.1702d40f957bfp-8, -0x1.0fbf415b355a3p-8, -0x1.08a7b5ba976e9p-8, -0x1.01bb497ba3b98p-8, -0x1.f5f2312e5b12fp-9, -0x1.e8c085560f795p-9, -0x1.dbdfd5e7aedb2p-9, -0x1.cf4e708d41121p-9, -0x1.c30aaa1423de6p-9, -0x1.b712de5f2d808p-9, -0x1.ab6570583cf5p-9, -0x1.a000c9e1737e8p-9, -0x1.94e35bc5e1731p-9, -0x1.8a0b9da9cff51p-9, -0x1.7f780dfaa5576p-9, -0x1.752731de585abp-9, -0x1.6b1795229259cp-9, -0x1.6147ca2b70124p-9, -0x1.57b669e1ee8bep-9, -0x1.4e6213a2065f7p-9, -0x1.45496d28851fap-9, -0x1.3c6b22809912ep-9, -0x1.33c5e5f129b1cp-9, -0x1.2b586fe9e4b6cp-9, -0x1.23217ef031d83p-9, -0x1.1b1fd78be775fp-9, -0x1.13524433daaefp-9, -0x1.0bb7953a5080fp-9, -0x1.044ea0b955028p-9, -0x1.fa2c84fdee0f8p-10, -0x1.ec1ab7f2e8078p-10, -0x1.de65a846b9305p-10, -0x1.d10b2edf5e067p-10, -0x1.c4092f6bc9357p-10, -0x1.b75d983c3c7b2p-10, -0x1.ab06621a8203fp-10, -0x1.9f01902240cdp-10, -0x1.934d2f9982903p-10, -0x1.87e757c95ff83p-10, -0x1.7cce29d6cfbb8p-10, -0x1.71ffd09bb4c49p-10, -0x1.677a808028061p-10, -0x1.5d3c77540a5dap-10, -0x1.5343fc28cb61fp-10, -0x1.498f5f2b9e86dp-10, -0x1.401cf97fd8ca3p-10, -0x1.36eb2d19c919ap-10, -0x1.2df86499d7a6dp-10, -0x1.25431328018e9p-10, -0x1.1cc9b44fb6744p-10, -0x1.148acbdc1b71ap-10, -0x1.0c84e5b4aeda9p-10, -0x1.04b695ba511c2p-10, -0x1.fa3cef495bbdcp-11, -0x1.eb765dc032b6p-11, -0x1.dd16ccd798f25p-11, -0x1.cf1ba1711af9ap-11, -0x1.c1824f0f73eb8p-11, -0x1.b448579599c27p-11, -0x1.a76b4b0668572p-11, -0x1.9ae8c7452c376p-11, -0x1.8ebe77d71c681p-11, -0x1.82ea15a57f49ap-11, -0x1.776966c0b157dp-11, -0x1.6c3a3e23bebabp-11, -0x1.615a7b7913d71p-11, -0x1.56c80adfc410fp-11, -0x1.4c80e4b19c575p-11, -0x1.42830d49f9d24p-11, -0x1.38cc94cd597p-11, -0x1.2f5b96f1aa73dp-11, -0x1.262e3ac757a37p-11, -0x1.1d42b282fab19p-11, -0x1.14973b47ee21fp-11, -0x1.0c2a1cf3588d4p-11, -0x1.03f9a9e812fe6p-11, -0x1.f8087db6596dp-12, -0x1.e89085424c792p-12, -0x1.d9884bf78865cp-12, -0x1.caecc6d131233p-12, -0x1.bcbafde08adb7p-12, -0x1.aef00bec4cdd4p-12, -0x1.a1891e1207f42p-12, -0x1.94837367e5ec3p-12, -0x1.87dc5ca061f02p-12, -0x1.7b913baef5e69p-12, -0x1.6f9f836e095dep-12, -0x1.6404b7462a94fp-12, -0x1.58be6ad66fda7p-12, -0x1.4dca419e237c6p-12, -0x1.4325eea7bc889p-12, -0x1.38cf34348971bp-12, -0x1.2ec3e36a651ecp-12, -0x1.2501dc01fecc7p-12, -0x1.1b870bf670ff3p-12, -0x1.12516f361f6c1p-12, -0x1.095f0f54c8797p-12, -0x1.00ae033ea737fp-12, -0x1.f078ddd9add39p-13, -0x1.e01106358b5p-13, -0x1.d020f9fa54adfp-13, -0x1.c0a54bf2f6d11p-13, -0x1.b19aa6be602a8p-13, -0x1.a2fdcc43afea4p-13, -0x1.94cb9528c8c6fp-13, -0x1.8700f04b26087p-13, -0x1.799ae23b2aae9p-13, -0x1.6c9684b9368d7p-13, -0x1.5ff1063579fa2p-13, -0x1.53a7a951bd5d9p-13, -0x1.47b7c4656ea49p-13, -0x1.3c1ec103e53ddp-13, -0x1.30da1b849ae44p-13, -0x1.25e7628eb14a2p-13, -0x1.1b4436a3fe2a9p-13, -0x1.10ee49b1adb35p-13, -0x1.06e35ea02a7bbp-13, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.f4d029b1b4411p-2, 0x1.06c3ca30f4a35p-1, 0x1.0fb0938bb8ac2p-1, 0x1.1578ca5a50cfbp-1, 0x1.186bad1584bc7p-1, 0x1.18da7c799d23p-1, 0x1.17162126fca62p-1, 0x1.136d61b585ceep-1, 0x1.0e2b93f72bb7ep-1, 0x1.0797b590f9dbfp-1, 0x1.ffe7b92983163p-2, 0x1.eef9bcc4cb6cbp-2, 0x1.dcd44f63cb2abp-2, 0x1.c9db7819795b5p-2, 0x1.b668a22af7587p-2, 0x1.a2cafc6c5be64p-2, 0x1.8f47f3986923dp-2, 0x1.7c1bc49132ae1p-2, 0x1.697a1d54a5b2fp-2, 0x1.578eb8a4b3498p-2, 0x1.467dff087d7b4p-2, 0x1.3665a8c8aae78p-2, 0x1.275d8200b480dp-2, 0x1.1977a2f7e4a1ep-2, 0x1.0cc1373810728p-2, 0x1.014302513185ep-2, 0x1.ee03c7ccab5c2p-3, 0x1.dbfe98e197c26p-3, 0x1.cc73490002233p-3, 0x1.bf59575b0f1f4p-3, 0x1.b4a3a7f40a2dep-3, 0x1.ac413571df17cp-3, 0x1.a61db97e9442fp-3, 0x1.a22244e195e7p-3, 0x1.a035c34c8e164p-3, 0x1.a03d6bbb3c537p-3, 0x1.a21d2238697f4p-3, 0x1.a5b7d0cfe3469p-3, 0x1.aaefbb5457a5ep-3, 0x1.b1a6ce590e27bp-3, 0x1.b9bee776bfb7ap-3, 0x1.c31a145c7bdf1p-3, 0x1.cd9ac72505dc8p-3, 0x1.d924006a3f71ap-3, 0x1.e5997152b93abp-3, 0x1.f2df981ce5cbep-3, 0x1.006dec5a136b9p-2, 0x1.07ba48f31c434p-2, 0x1.0f4897b3cd3a6p-2, 0x1.170d1c4361491p-2, 0x1.1efcad7ce14b6p-2, 0x1.270cb8931e062p-2, 0x1.2f3342098f937p-2, 0x1.3766e52a58b6ap-2, 0x1.3f9ed2d02d3e3p-2, 0x1.47d2cff49341dp-2, 0x1.4ffb33d8011c4p-2, 0x1.5810e5566ba78p-2, 0x1.600d573b6cf1bp-2, 0x1.67ea83db9c595p-2, 0x1.6fa2e86c2d0e3p-2, 0x1.77318061aea3cp-2, 0x1.7e91c0c301804p-2, 0x1.85bfc2f47d74p-2, 0x1.8cb7c47e23c31p-2, 0x1.93765e4e41ffdp-2, 0x1.99f8b00535baap-2, 0x1.a03c3b7c070bdp-2, 0x1.a63edf0a30dafp-2, 0x1.abfecf62f0313p-2, 0x1.b17a91498ec45p-2, 0x1.b6b0f35cfb04dp-2, 0x1.bba108317074ap-2, 0x1.c04a20e016bc5p-2, 0x1.c4abc8241b8c2p-2, 0x1.c8c5be0d453fdp-2, 0x1.cc97f44180b16p-2, 0x1.d0228aba989bbp-2, 0x1.d365cce4177e2p-2, 0x1.d6622ef8cef2p-2, 0x1.d9184b7ffa862p-2, 0x1.db88e0ce6981bp-2, 0x1.ddb4ce774399p-2, 0x1.df9d12a0a7df3p-2, 0x1.e142c739b41ebp-2, 0x1.e2a71f18e414ep-2, 0x1.e3cb6311b051p-2, 0x1.e4b0ef1573826p-2, 0x1.e5592f746f3f3p-2, 0x1.e5c59e5012de9p-2, 0x1.e5f7c148a269fp-2, 0x1.e5f127682dbe9p-2, 0x1.e5b36745e2982p-2, 0x1.e5401d58f05bdp-2, 0x1.e498ea71e5506p-2, 0x1.e3bf7253ffc33p-2, 0x1.e2b55a6bc25edp-2, 0x1.e17c48a3870dfp-2, 0x1.e015e258580a3p-2, 0x1.de83cb70a4964p-2, 0x1.dcc7a593cd773p-2, 0x1.dae30f7e0952dp-2, 0x1.d8d7a469333d4p-2, 0x1.d6a6fb8194e92p-2, 0x1.d452a75e54ca8p-2, 0x1.d1dc357788dp-2, 0x1.cf452d97939acp-2, 0x1.cc8f11493fd7bp-2, 0x1.c9bb5b4749841p-2, 0x1.c6cb7ef3edf61p-2, 0x1.c3c0e7df834ebp-2, 0x1.c09cf964089ddp-2, 0x1.bd610e596e5f6p-2, 0x1.ba0e78e3adb7ep-2, 0x1.b6a6825910233p-2, 0x1.b32a6b3cd5e7bp-2, 0x1.af9b6b491b5c6p-2, 0x1.abfab18264917p-2, 0x1.a849644fbbbadp-2, 0x1.a488a1936c9dfp-2, 0x1.a0b97ec1ea492p-2, 0x1.9cdd08f5eb6dep-2, 0x1.98f44502283dcp-2, 0x1.95002f8202c31p-2, 0x1.9101bceaca796p-2, 0x1.8cf9d99f57cb7p-2, 0x1.88e96a0742b7p-2, 0x1.84d14aaa6b8c6p-2, 0x1.80b25050eca91p-2, 0x1.7c8d4826f2fdcp-2, 0x1.7862f7e3a33bap-2, 0x1.74341df21017ap-2, 0x1.7001719b4dfc8p-2, 0x1.6bcba330f753ep-2, 0x1.67935c37bb5d8p-2, 0x1.63593f91de127p-2, 0x1.5f1de9a9c8be9p-2, 0x1.5ae1f09ce4ee3p-2, 0x1.56a5e466ec57fp-2, 0x1.526a4f0dc0ad8p-2, 0x1.4e2fb4cdb0ef4p-2, 0x1.49f69445da03fp-2, 0x1.45bf66a443964p-2, 0x1.418a9fd135b66p-2, 0x1.3d58ae996922dp-2, 0x1.3929fcd6b79d5p-2, 0x1.34feef97298ecp-2, 0x1.30d71e20b148ap-2, 0x1.2cb460b81c297p-2, 0x1.2896661ed5ad7p-2, 0x1.247d81a36c6e1p-2, 0x1.206a01fa98076p-2, 0x1.1c5c317114a9dp-2, 0x1.185456214bf69p-2, 0x1.1452b22b619f6p-2, 0x1.105783ee2d158p-2, 0x1.0c63063fc4633p-2, 0x1.087570a45792bp-2, 0x1.048ef7824014ep-2, 0x1.00afcc52652c1p-2, 0x1.f9b03b9877847p-3, 0x1.f2103019f9e6fp-3, 0x1.ea7fc9738d8cbp-3, 0x1.e2ff563968867p-3, 0x1.db8f207a2f28dp-3, 0x1.d42f6de667b8ap-3, 0x1.cce07ff00b63dp-3, 0x1.c5a293e350a28p-3, 0x1.be75e2fa3912ap-3, 0x1.b75aa26c2e699p-3, 0x1.b051037b3508bp-3, 0x1.a959337ff1bdbp-3, 0x1.a2735bf5c662ap-3, 0x1.9b9fa287f73fdp-3, 0x1.94de2920ae0ffp-3, 0x1.8e2f0dfa6bc61p-3, 0x1.87926bb44f214p-3, 0x1.810859694d12bp-3, 0x1.7a90eaca5d9abp-3, 0x1.742c303b6d9dp-3, 0x1.6dda36f2c4bf8p-3, 0x1.679b091a76a6cp-3, 0x1.616eadf369b2ep-3, 0x1.5b5529f961387p-3, 0x1.554e7f079a9e2p-3, 0x1.4f5aac7d5f0b9p-3, 0x1.4979af6219114p-3, 0x1.43ab828875c8cp-3, 0x1.3df01eb02c452p-3, 0x1.38477aa616013p-3, 0x1.32b18b624e683p-3, 0x1.2d2e442432c5bp-3, 0x1.27bd968c18637p-3, 0x1.225f72b2af27fp-3, 0x1.1d13c73e1de8cp-3, 0x1.17da8174d86ecp-3, 0x1.12b38d4e65b6fp-3, 0x1.0d9ed5822d4dfp-3, 0x1.089c4394968a1p-3, 0x1.03abbfe2a13a1p-3, 0x1.fd9a63587fd04p-4, 0x1.f400fe3b62898p-4, 0x1.ea8b1ab037256p-4, 0x1.e13880f326d66p-4, 0x1.d808f749bbccfp-4, 0x1.cefc4212149bcp-4, 0x1.c61223d21b20cp-4, 0x1.bd4a5d471c2fbp-4, 0x1.b4a4ad75ce11ap-4, 0x1.ac20d1bb0c37ap-4, 0x1.a3be85dd384aep-4, 0x1.9b7d841e6ad38p-4, 0x1.935d854f54acdp-4, 0x1.8b5e40e2cd3a6p-4, 0x1.837f6d01f085p-4, 0x1.7bc0bea0b4cadp-4, 0x1.7421e992ce58ap-4, 0x1.6ca2a0a0bf5e2p-4, 0x1.6542959ceb19dp-4, 0x1.5e01797887111p-4, 0x1.56defc5843cd2p-4, 0x1.4fdacda88d192p-4, 0x1.48f49c3140264p-4, 0x1.422c1628bd8e1p-4, 0x1.3b80e94642155p-4, 0x1.34f2c2d37113bp-4, 0x1.2e814fbd061f7p-4, 0x1.282c3ca2a28d1p-4, 0x1.21f335e5b41fdp-4, 0x1.1bd5e7b772a1ap-4, 0x1.15d3fe25f8411p-4, 0x1.0fed25287bbeap-4, 0x1.0a2108aab481bp-4, 0x1.046f549773d69p-4, 0x1.fdaf69c504ee3p-5, 0x1.f2b3ab239e11dp-5, 0x1.e7eac58bfbd93p-5, 0x1.dd541184d7931p-5, 0x1.d2eee7e9600e3p-5, 0x1.c8baa1f7613cep-5, 0x1.beb6995cac713p-5, 0x1.b4e22843dcfdep-5, 0x1.ab3ca9608f0c4p-5, 0x1.a1c577fb25807p-5, 0x1.987beffc2bf24p-5, 0x1.8f5f6df76a2eep-5, 0x1.866f4f36b4878p-5, 0x1.7daaf1c482c61p-5, 0x1.7511b47654d19p-5, 0x1.6ca2f6f6ec0b9p-5, 0x1.645e19d058b31p-5, 0x1.5c427e75dbffcp-5, 0x1.544f874d9d8eep-5, 0x1.4c8497ba30f5ep-5, 0x1.44e11423e471ep-5, 0x1.3d646201d74cp-5, 0x1.360de7e2cf259p-5, 0x1.2edd0d75c5d8ap-5, 0x1.27d13b922c667p-5, 0x1.20e9dc3fda835p-5, 0x1.1a265abea73a6p-5, 0x1.1386238da5089p-5, 0x1.0d08a471fe9e5p-5, 0x1.06ad4c7d700e4p-5, 0x1.00738c14593fap-5, 0x1.f4b5a9e6d77efp-6, 0x1.e8c53469df71dp-6, 0x1.dd14a0ab43abap-6, 0x1.d1a2da7254c5ep-6, 0x1.c66ed05c610e8p-6, 0x1.bb7773e4131dep-6, 0x1.b0bbb968126e2p-6, 0x1.a63a9830e8c3cp-6, 0x1.9bf30a763371ep-6, 0x1.91e40d632dd7ep-6, 0x1.880ca11a902c4p-6, 0x1.7e6bc8b9d7b08p-6, 0x1.75008a5bfa6aap-6, 0x1.6bc9ef1b8d6ddp-6, 0x1.62c7031469a87p-6, 0x1.59f6d564d2085p-6, 0x1.5158782e2907ep-6, 0x1.48eb009535a43p-6, 0x1.40ad86c207374p-6, 0x1.389f25df7565cp-6, 0x1.30befc1a48cbp-6, 0x1.290c2aa0109c1p-6, 0x1.2185d59daa2e8p-6, 0x1.1a2b243d7c7fdp-6, 0x1.12fb40a56f7afp-6, 0x1.0bf557f4a0643p-6, 0x1.05189a40d858p-6, 0x1.fcc875278c8bep-7, 0x1.efaeddcffd06dp-7, 0x1.e2e2e04b89c6dp-7, 0x1.d662f43f3e6dfp-7, 0x1.ca2d971d6a46cp-7, 0x1.be414c1df9332p-7, 0x1.b29c9c366b7fep-7, 0x1.a73e16116f6c6p-7, 0x1.9c244e0616c66p-7, 0x1.914dde0ebc4cfp-7, 0x1.86b965bf83befp-7, 0x1.7c658a3c8b196p-7, 0x1.7250f62fc7641p-7, 0x1.687a59be88d4fp-7, 0x1.5ee06a7eb72bbp-7, 0x1.5581e36bc4df6p-7, 0x1.4c5d84db45687p-7, 0x1.4372147156157p-7, 0x1.3abe5d14b3fb3p-7, 0x1.32412ee2931fbp-7, 0x1.29f95f223cc9ap-7, 0x1.21e5c838716f5p-7, 0x1.1a05499a96db7p-7, 0x1.1256c67c306c1p-7, 0x1.0ad92acdb6e68p-7, 0x1.038b63afa23fep-7, 0x1.f8d8c8ab9fa67p-8, 0x1.eaf64983be683p-8, 0x1.dd6d436acf009p-8, 0x1.d03bb9481304p-8, 0x1.c35fb74ad4133p-8, 0x1.b6d752ce26734p-8, 0x1.aaa0aa3c870fbp-8, 0x1.9eb9e4f35182fp-8, 0x1.932133261d5abp-8, 0x1.87d4cdc20326cp-8, 0x1.7cd2f650ca2b9p-8, 0x1.7219f6dc14ac1p-8, 0x1.67a821d07957cp-8, 0x1.5d7bd1e09ef97p-8, 0x1.539369e858fdfp-8, 0x1.49ed54cfc9541p-8, 0x1.4088056e8e66cp-8, 0x1.3761f66efb81bp-8, 0x1.2e79aa3167ba6p-8, 0x1.25cdaaaf8f24fp-8, 0x1.1d5c89600f569p-8, 0x1.1524df19ff357p-8, 0x1.0d254bf8a64f4p-8, 0x1.055c773f58371p-8, 0x1.fb921e7aec55bp-9, 0x1.ecd392652d72p-9, 0x1.de7ac265b32dap-9, 0x1.d0853416d340ap-9, 0x1.c2f07a4e5c44p-9, 0x1.b5ba34e757682p-9, 0x1.a8e0108c40639p-9, 0x1.9c5fc6819bf58p-9, 0x1.90371c7102ef9p-9, 0x1.8463e434a0176p-9, 0x1.78e3fba327111p-9, 0x1.6db54c5c42a1cp-9, 0x1.62d5cb957f5bep-9, 0x1.584379e7b2249p-9, 0x1.4dfc631ce6653p-9, 0x1.43fe9dfeca561p-9, 0x1.3a484c2598439p-9, 0x1.30d799c79ce28p-9, 0x1.27aabd892b6b8p-9, 0x1.1ebff84d29b5ap-9, 0x1.16159506200b5p-9, 0x1.0da9e887d88d4p-9, 0x1.057b515983703p-9, 0x1.fb106f10d4704p-10, 0x1.eb9e18f660808p-10, 0x1.dc9c958b327d1p-10, 0x1.ce08ebf9cb0b5p-10, 0x1.bfe035195d42fp-10, 0x1.b21f9b18b1239p-10, 0x1.a4c4592a18c24p-10, 0x1.97cbbb3061abp-10, 0x1.8b331d6d12663p-10, 0x1.7ef7ec2f8149ep-10, 0x1.7317a3851d8adp-10, 0x1.678fceeabc61bp-10, 0x1.5c5e08fef6a8cp-10, 0x1.517ffb359db23p-10, 0x1.46f35d8c2a11ep-10, 0x1.3cb5f63f31dcfp-10, 0x1.32c5998108264p-10, 0x1.2920293135c72p-10, 0x1.1fc3949512635p-10, 0x1.16add81153ff5p-10, 0x1.0ddcfce4a06b3p-10, 0x1.054f18e31fb8dp-10, 0x1.fa049c660cc98p-11, 0x1.e9e996143d78dp-11, 0x1.da4992d898e35p-11, 0x1.cb211dd5fa971p-11, 0x1.bc6cd8cb3b2adp-11, 0x1.ae297b95fded4p-11, 0x1.a053d3b73adb5p-11, 0x1.92e8c3da024b6p-11, 0x1.85e5435bd083cp-11, 0x1.79465dd6e821bp-11, 0x1.6d0932ae85614p-11, 0x1.612af49ce5feep-11, 0x1.55a8e9432e06bp-11, 0x1.4a8068bb2ec0dp-11, 0x1.3faedd2ae8fe3p-11, 0x1.3531c259faf73p-11, 0x1.2b06a548d70dep-11, 0x1.212b23c9c7487p-11, 0x1.179cec1bcbb2ap-11, 0x1.0e59bc871c7c2p-11, 0x1.055f62fbb9e21p-11, 0x1.f95779631c897p-12, 0x1.e8796b94a2f18p-12, 0x1.d82091eab7e31p-12, 0x1.c848fe2a1fd63p-12, 0x1.b8eeddcc280d2p-12, 0x1.aa0e79507ebe9p-12, 0x1.9ba433928e2b1p-12, 0x1.8dac892236965p-12, 0x1.80240f9fa395fp-12, 0x1.7307751b2098dp-12, 0x1.66537f77b3a54p-12, 0x1.5a050bd108923p-12, 0x1.4e190de4daaa6p-12, 0x1.428c8f7f78befp-12, 0x1.375cafeb6d91dp-12, 0x1.2c86a3645c5afp-12, 0x1.2207b28ceebb3p-12, 0x1.17dd39e7dc38p-12, 0x1.0e04a953e15dbp-12, 0x1.047b838ad5d1dp-12, 0x1.f67ebb47066bep-13, 0x1.e49bbd2d00d12p-13, 0x1.d3497d8bbd65dp-13, 0x1.c2838f0f2a276p-13, 0x1.b245a565392d1p-13, 0x1.a28b945df5f08p-13, 0x1.93514f10560e2p-13, 0x1.8492e7048d732p-13, 0x1.764c8b6357a8bp-13, 0x1.687a882a505b9p-13, 0x1.5b1945652a7c4p-13, 0x1.4e25466bba421p-13, 0x1.419b292471b13p-13, 0x1.3577a54bff46bp-13, 0x1.29b78bc0ecc37p-13, 0x1.1e57c5d3716c4p-13, 0x1.1355549a81764p-13, 0x1.08ad504c2237ep-13, 0x1.fcb9cf34b4979p-14, 0x1.e8c2be275b402p-14, 0x1.d57021102dafp-14, 0x1.c2bcd4e3055e8p-14, 0x1.b0a3dec03cf33p-14, 0x1.9f206ad458cb9p-14, 0x1.8e2dcb3f73fd7p-14, 0x1.7dc777030357fp-14, 0x1.6de908f701213p-14, 0x1.5e8e3ec47a085p-14, 0x1.4fb2f7e9081dap-14, 0x1.415334be3bb7bp-14, 0x1.336b1588789c7p-14, 0x1.25f6d98ba0cfcp-14, 0x1.18f2de25b44d4p-14, 0x1.0c5b9def35945p-14, 0x1.002dafe137764p-14, 0x1.e8cb8d023377dp-15, 0x1.d2015e226ef98p-15, 0x1.bbf6a18ff5376p-15, 0x1.a6a55814b6f8bp-15, 0x1.9207b35a3512dp-15, 0x1.7e18147402d45p-15, 0x1.6ad10a7495becp-15, 0x1.582d510b3fcebp-15, 0x1.4627cf2b92a6dp-15, 0x1.34bb95bda0e6fp-15, 0x1.23e3de585eb4ap-15, 0x1.139c0a0087de6p-15, 0x1.03df9ff667523p-15, 0x1.e954990d20998p-16, 0x1.cbefbfc9f4eb6p-16, 0x1.af889a1dc537bp-16, 0x1.9417516c870d6p-16, 0x1.79945065bc8e5p-16, 0x1.5ff840f74c6b8p-16, 0x1.473c0a4ec4abap-16, 0x1.2f58cee6d06b2p-16, 0x1.1847eaa643c57p-16, 0x1.0202f108de728p-16, 0x1.d90756ae2dfb5p-17, 0x1.af882dd4c20a1p-17, 0x1.877cc6fc055c3p-17, 0x1.60d9e318b3386p-17, 0x1.3b94a16f8f086p-17, 0x1.17a27c7f53e8p-17, 0x1.e9f28e02665ebp-18, 0x1.a71e51ff684a5p-18, 0x1.66b53a06c1ad9p-18, 0x1.28a4daa670d1cp-18, 0x1.d9b6c54f36a9bp-19, 0x1.668f2b7c891fdp-19, 0x1.ef631ecee7b9bp-20, 0x1.19fb5db90c4fp-20, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.9316a2c8cda7dp+0, -0x1.8d40c167ca5p+0, -0x1.87034e811f30ap+0, -0x1.80565fd757b8ep+0, -0x1.793a42eab4d05p+0, -0x1.71b561e148d79p+0, -0x1.69d2b0e1491ep+0, -0x1.61a020c30187cp+0, -0x1.592d5d4e5cd5dp+0, -0x1.508af0498621bp+0, -0x1.47c997cdd97a3p+0, -0x1.3ef9adfb58669p+0, -0x1.362ac0d8b8e49p+0, -0x1.2d6b5153b6acep+0, -0x1.24c8a3a3d203ap+0, -0x1.1c4ea0494a06p+0, -0x1.1407c6abddf1bp+0, -0x1.0bfd2e9d925d1p+0, -0x1.0436929e32d92p+0, -0x1.f974b40a7d1b6p-1, -0x1.eb1b51def661bp-1, -0x1.dd68d4187b71dp-1, -0x1.d0634caa01fabp-1, -0x1.c40e637c250b9p-1, -0x1.b86bea260f788p-1, -0x1.ad7c212bc5885p-1, -0x1.a33df684fe59p-1, -0x1.99af2aab49623p-1, -0x1.90cc656649028p-1, -0x1.88914b14e519fp-1, -0x1.80f89daf00c73p-1, -0x1.79fc691c1ce82p-1, -0x1.739631e66c64ap-1, -0x1.6dbf1c47dc28ap-1, -0x1.687006b485b7bp-1, -0x1.63a199c94a07p-1, -0x1.5f4c53aea953ap-1, -0x1.5b6894e1313cp-1, -0x1.57eeb104e09afp-1, -0x1.54d702946efb7p-1, -0x1.5219fe12f4374p-1, -0x1.4fb0417ec7ec3p-1, -0x1.4d929e7b37029p-1, -0x1.4bba1fd4214ep-1, -0x1.4a200c6f7a554p-1, -0x1.48bde9cfff8a1p-1, -0x1.478d7f517572ep-1, -0x1.4688da2617806p-1, -0x1.45aa516f6f6e9p-1, -0x1.44ec899a9d3ap-1, -0x1.444a7649539f7p-1, -0x1.43bf5a76dbebbp-1, -0x1.4346c71c3e4b7p-1, -0x1.42dc990e82265p-1, -0x1.427cf6dc5c764p-1, -0x1.42244f07bab1fp-1, -0x1.41cf56715a8b3p-1, -0x1.417b068e2543ep-1, -0x1.41249b242d328p-1, -0x1.40c98fa006bdep-1, -0x1.40679c44caa21p-1, -0x1.3ffcb36a79977p-1, -0x1.3f86fecc5785ap-1, -0x1.3f0552130e54bp-1, -0x1.3e759f4dde54bp-1, -0x1.3dd6ac0db4049p-1, -0x1.3d275e8110eeep-1, -0x1.3c66cbceb09b6p-1, -0x1.3b94345b51667p-1, -0x1.3aaeff8ad8b0ap-1, -0x1.39b6b75a29a46p-1, -0x1.38ab0427d6c6dp-1, -0x1.378ba8edc75f3p-1, -0x1.365880142046fp-1, -0x1.351178ec339a5p-1, -0x1.33b695cc7c5b7p-1, -0x1.3247eab6125eep-1, -0x1.30c59c613b13bp-1, -0x1.2f2fdf89d412cp-1, -0x1.2d86f85534af2p-1, -0x1.2bcb39b0ab0c4p-1, -0x1.29fd04905bb1dp-1, -0x1.281cc70028655p-1, -0x1.262afb020d0e9p-1, -0x1.2428253e44c46p-1, -0x1.2214d390dbc7fp-1, -0x1.1ff19b858cdf1p-1, -0x1.1dbf18d51f4bp-1, -0x1.1b7debf6b7193p-1, -0x1.192eb8d3d3919p-1, -0x1.16d225a819ce4p-1, -0x1.1468da0fe4204p-1, -0x1.11f37e433639bp-1, -0x1.0f72ba7726274p-1, -0x1.0ce7365e46707p-1, -0x1.0a5198c0cfdc5p-1, -0x1.07b2872696ecep-1, -0x1.050aa58e60cbdp-1, -0x1.025a962f6c365p-1, -0x1.ff45f285686d7p-2, -0x1.f9c8d9a30ac35p-2, -0x1.f43f190de389cp-2, -0x1.eea9e30346c9dp-2, -0x1.e90a6447dbd1p-2, -0x1.e361c3c1a73a2p-2, -0x1.ddb1220ba340ep-2, -0x1.d7f99905213ep-2, -0x1.d23c3b614b3fp-2, -0x1.cc7a143c919edp-2, -0x1.c6b426be1e602p-2, -0x1.c0eb6dcacb74bp-2, -0x1.bb20dbcd8c6bdp-2, -0x1.b5555a9732d4cp-2, -0x1.af89cb55340ep-2, -0x1.a9bf069d15881p-2, -0x1.a3f5dc8893d9cp-2, -0x1.9e2f14ddb9978p-2, -0x1.986b6f3de76afp-2, -0x1.92aba35765c2p-2, -0x1.8cf06115f3725p-2, -0x1.873a50d01a68cp-2, -0x1.818a13705b94bp-2, -0x1.7be0429a50671p-2, -0x1.763d70cccdbep-2, -0x1.70a229826f1cap-2, -0x1.6b0ef15218367p-2, -0x1.65844610b86a8p-2, -0x1.60029ef5331e9p-2, -0x1.5a8a6cbecf7f2p-2, -0x1.551c19de137dfp-2, -0x1.4fb80a9f99784p-2, -0x1.4a5e9d5840deap-2, -0x1.45102a920ec89p-2, -0x1.3fcd05393e789p-2, -0x1.3a957ac92c0d7p-2, -0x1.3569d378fdabdp-2, -0x1.304a526812999p-2, -0x1.2b3735ca5a28cp-2, -0x1.2630b714a2b86p-2, -0x1.21370b28e3de1p-2, -0x1.1c4a62825de6ep-2, -0x1.176ae9614d271p-2, -0x1.1298c7f5d2fap-2, -0x1.0dd42289bcedbp-2, -0x1.091d19a8cdbd9p-2, -0x1.0473ca475de3cp-2, -0x1.ffb09bce6ad08p-3, -0x1.f694ad9d62822p-3, -0x1.ed9569d837996p-3, -0x1.e4b24934c8586p-3, -0x1.dbeb65be27c46p-3, -0x1.d340d35fdded4p-3, -0x1.cab2a03582b7bp-3, -0x1.c240d4dd38011p-3, -0x1.b9eb74cb8b869p-3, -0x1.b1b27e9f2161ep-3, -0x1.a995ec72c9054p-3, -0x1.a195b42ca146ap-3, -0x1.99b1c7c92f5a8p-3, -0x1.91ea15a1913f2p-3, -0x1.8a3e88ac0bd61p-3, -0x1.82af08b6a4a07p-3, -0x1.7b3b7a9b8ed3ap-3, -0x1.73e3c06f7d5c2p-3, -0x1.6ca7b9aa2e419p-3, -0x1.658743499736p-3, -0x1.5e8237f05b52bp-3, -0x1.57987000390c6p-3, -0x1.50c9c1b13ff5fp-3, -0x1.4a1601268a8e5p-3, -0x1.437d00814c906p-3, -0x1.3cfe8ff2eaf9p-3, -0x1.369a7dceb50d3p-3, -0x1.3050969bc87a7p-3, -0x1.2a20a5278f652p-3, -0x1.240a729914362p-3, -0x1.1e0dc6855fedbp-3, -0x1.182a6704f574ap-3, -0x1.126018ca55b0ep-3, -0x1.0cae9f39800c5p-3, -0x1.0715bc803560ep-3, -0x1.019531aed22f3p-3, -0x1.f8597da2e5713p-4, -0x1.edb846124c1a1p-4, -0x1.e3463949ddebcp-4, -0x1.d902d27487263p-4, -0x1.ceed8b79c669dp-4, -0x1.c505dd2b6a132p-4, -0x1.bb4b3f713344ep-4, -0x1.b1bd2971ea838p-4, -0x1.a85b11b9c7fb5p-4, -0x1.9f246e5e0375p-4, -0x1.9618b51d821fbp-4, -0x1.8d375b7e89e88p-4, -0x1.847fd6e9b0bc7p-4, -0x1.7bf19cc20b664p-4, -0x1.738c227ad209fp-4, -0x1.6b4eddaab25cfp-4, -0x1.6339441d094e7p-4, -0x1.5b4acbe14861bp-4, -0x1.5382eb58ca1bap-4, -0x1.4be1194359f21p-4, -0x1.4464cccaaeb8p-4, -0x1.3d0d7d8d18171p-4, -0x1.35daa3a790b1ep-4, -0x1.2ecbb7bf6a3dbp-4, -0x1.27e0330bb884fp-4, -0x1.21178f5e9b839p-4, -0x1.1a71472e840fap-4, -0x1.13ecd59f803f6p-4, -0x1.0d89b68c9b835p-4, -0x1.0747669153dcbp-4, -0x1.0125631323d6p-4, -0x1.f64654962e6dfp-5, -0x1.ea80769ec403ep-5, -0x1.def82c39d424bp-5, -0x1.d3ac7741692b1p-5, -0x1.c89c5b825079ap-5, -0x1.bdc6dece1f26dp-5, -0x1.b32b090c9fb79p-5, -0x1.a8c7e44c85ba5p-5, -0x1.9e9c7cd34ac21p-5, -0x1.94a7e12c22756p-5, -0x1.8ae92235ec02ep-5, -0x1.815f53301a4b9p-5, -0x1.780989c67c3d8p-5, -0x1.6ee6de1bed1e3p-5, -0x1.65f66ad3debp-5, -0x1.5d374d1ac7c1dp-5, -0x1.54a8a4ad7566ap-5, -0x1.4c4993df506bap-5, -0x1.44193f9f96b43p-5, -0x1.3c16cf7da2ddcp-5, -0x1.34416dac46bfep-5, -0x1.2c9847044f4b8p-5, -0x1.251a8b0643bcfp-5, -0x1.1dc76bdb6b61p-5, -0x1.169e1e563722fp-5, -0x1.0f9dd9f21429p-5, -0x1.08c5d8d2c07b4p-5, -0x1.021557c3307c1p-5, -0x1.f7172c681ecadp-6, -0x1.ea4fac73ddb3dp-6, -0x1.ddd2b9165708dp-6, -0x1.d19ee0fb29b29p-6, -0x1.c5b2b807bf6d5p-6, -0x1.ba0cd755d68eap-6, -0x1.aeabdd2dbb932p-6, -0x1.a38e6d003ae51p-6, -0x1.98b32f6057873p-6, -0x1.8e18d1fcbf99cp-6, -0x1.83be07990ab0dp-6, -0x1.79a18806c3635p-6, -0x1.6fc2101e301d2p-6, -0x1.661e61b6e72aap-6, -0x1.5cb543a0258adp-6, -0x1.53858198e5b99p-6, -0x1.4a8dec47b2eafp-6, -0x1.41cd59323b89fp-6, -0x1.3942a2b499d3ep-6, -0x1.30eca7f855615p-6, -0x1.28ca4ceb17fb3p-6, -0x1.20da7a351e2ep-6, -0x1.191c1d2f52039p-6, -0x1.118e27d927cffp-6, -0x1.0a2f90ce2524ep-6, -0x1.02ff533b2b40bp-6, -0x1.f7f8dda6e82bap-7, -0x1.ea4bcf8aa86bp-7, -0x1.dcf58d5d6cb97p-7, -0x1.cff43122ca157p-7, -0x1.c345dd8e281c7p-7, -0x1.b6e8bdea7e4c2p-7, -0x1.aadb0601a91e9p-7, -0x1.9f1af203748e7p-7, -0x1.93a6c66c5d6cfp-7, -0x1.887ccfec03e72p-7, -0x1.7d9b634b7adc7p-7, -0x1.7300dd535c18bp-7, -0x1.68aba2b1b7f7p-7, -0x1.5e9a1fdfe8de9p-7, -0x1.54cac90855dc6p-7, -0x1.4b3c19ec1be78p-7, -0x1.41ec95c8b8d59p-7, -0x1.38dac73db697dp-7, -0x1.3005403254373p-7, -0x1.276a99bb40b05p-7, -0x1.1f097400632e1p-7, -0x1.16e07622b71c7p-7, -0x1.0eee4e2242f8dp-7, -0x1.0731b0c4294f4p-7, -0x1.ff52b2f1b27d8p-8, -0x1.f0a81484c5c0dp-8, -0x1.e2611735d9838p-8, -0x1.d47b58b6a60e6p-8, -0x1.c6f48343d9651p-8, -0x1.b9ca4d72f83c9p-8, -0x1.acfa7a0090029p-8, -0x1.a082d79ec84fdp-8, -0x1.946140c449ecap-8, -0x1.88939b7b838ffp-8, -0x1.7d17d9324e52ap-8, -0x1.71ebf689ef053p-8, -0x1.670dfb277c026p-8, -0x1.5c7bf984a6a63p-8, -0x1.52340ec0e4301p-8, -0x1.4834627305444p-8, -0x1.3e7b267b2e889p-8, -0x1.350696d53ebfbp-8, -0x1.2bd4f96b9f026p-8, -0x1.22e49dea7fe6cp-8, -0x1.1a33dd9386f6ap-8, -0x1.11c11b11eb0c8p-8, -0x1.098ac24f021fcp-8, -0x1.018f484747419p-8, -0x1.f39a53f1733f8p-9, -0x1.e485df9dde8ddp-9, -0x1.d5de50490f69bp-9, -0x1.c7a0d53b82edcp-9, -0x1.b9caae440449dp-9, -0x1.ac592b676767p-9, -0x1.9f49ac91347b9p-9, -0x1.9299a14557b55p-9, -0x1.86468852cc868p-9, -0x1.7a4def8749a7dp-9, -0x1.6ead7363f2dfcp-9, -0x1.6362bed3066d7p-9, -0x1.586b8ade981aep-9, -0x1.4dc59e6844916p-9, -0x1.436ecde1f8874p-9, -0x1.3964fb07b3908p-9, -0x1.2fa6149a52654p-9, -0x1.2630161b609ecp-9, -0x1.1d010789f0393p-9, -0x1.1416fd20764b6p-9, -0x1.0b701713a9033p-9, -0x1.030a815265a79p-9, -0x1.f5c8e68d2c5e5p-10, -0x1.e5f85f2e3c9ap-10, -0x1.d6a007d57f3e6p-10, -0x1.c7bc91581289fp-10, -0x1.b94ac19c730b9p-10, -0x1.ab477326525e2p-10, -0x1.9daf94a445a42p-10, -0x1.9080287f8890bp-10, -0x1.83b6446d8e0eap-10, -0x1.774f110394915p-10, -0x1.6b47c94c13463p-10, -0x1.5f9dba5e158b7p-10, -0x1.544e42f66be6bp-10, -0x1.4956d312bb7dap-10, -0x1.3eb4eb8e60ce5p-10, -0x1.34661dc127e76p-10, -0x1.2a680b1fc93d2p-10, -0x1.20b864de389d9p-10, -0x1.1754eb93a7de4p-10, -0x1.0e3b6ee052a6cp-10, -0x1.0569cd14fcb84p-10, -0x1.f9bbe5b83817ap-11, -0x1.e92bb5c97c6bp-11, -0x1.d91f1b1e0b9bep-11, -0x1.c9924134a1527p-11, -0x1.ba816da9eea34p-11, -0x1.abe8ff9b48d87p-11, -0x1.9dc56f0c6ccfp-11, -0x1.90134c5067935p-11, -0x1.82cf3f75740acp-11, -0x1.75f607b3e22a1p-11, -0x1.69847adfea711p-11, -0x1.5d7784de65917p-11, -0x1.51cc271c5b69ep-11, -0x1.467f7809650f3p-11, -0x1.3b8ea294be4eap-11, -0x1.30f6e5ad2a045p-11, -0x1.26b593c363ea5p-11, -0x1.1cc8124f3d9a2p-11, -0x1.132bd9574a275p-11, -0x1.09de72fb111e5p-11, -0x1.00dd7affc29ap-11, -0x1.f04d3cbea17a3p-12, -0x1.df6f35b3d89d2p-12, -0x1.cf1c7d13ec151p-12, -0x1.bf50cef43a89cp-12, -0x1.b008067bb000ap-12, -0x1.a13e1d181e32dp-12, -0x1.92ef29b7f647ap-12, -0x1.851760084cfdp-12, -0x1.77b30fb723631p-12, -0x1.6abea3b9bbde2p-12, -0x1.5e36a197222bdp-12, -0x1.5217a8b68f0b7p-12, -0x1.465e71b1d5068p-12, -0x1.3b07cdaba302bp-12, -0x1.3010a5a976c75p-12, -0x1.2575f9f17990bp-12, -0x1.1b34e16bd618cp-12, -0x1.114a8907bd3abp-12, -0x1.07b43323ed816p-12, -0x1.fcde6df55ad53p-13, -0x1.eaf200226b562p-13, -0x1.d99e1b54e1c22p-13, -0x1.c8dde479fe4acp-13, -0x1.b8aca5d8f58d3p-13, -0x1.a905ce0bdbf1p-13, -0x1.99e4eefeb2147p-13, -0x1.8b45bcf4b39adp-13, -0x1.7d240d9373436p-13, -0x1.6f7bd6f43b302p-13, -0x1.62492ebae87dbp-13, -0x1.558849329171fp-13, -0x1.4935786fdd078p-13, -0x1.3d4d2b78bd79dp-13, -0x1.31cbed719d221p-13, -0x1.26ae64cfd34eap-13, -0x1.1bf152914b781p-13, -0x1.119191794ccf1p-13, -0x1.078c15520d78ep-13, -0x1.fbbbd46722c2ap-14, -0x1.e908679e13f06p-14, -0x1.d6f8597dbb2cep-14, -0x1.c5864bb70725cp-14, -0x1.b4ad0b2987141p-14, -0x1.a4678e9ec1b41p-14, -0x1.94b0f58e45208p-14, -0x1.858486ea1cdf9p-14, -0x1.76ddaff3999a5p-14, -0x1.68b803181e1b9p-14, -0x1.5b0f36d613ff6p-14, -0x1.4ddf24a92b09p-14, -0x1.4123c7fe93208p-14, -0x1.34d93d30630f6p-14, -0x1.28fbc0883f154p-14, -0x1.1d87ad48f0f7ep-14, -0x1.12797cbf0fd16p-14, -0x1.07cdc55821ea5p-14, -0x1.fb027380c645ep-15, -0x1.e721500dbe124p-15, -0x1.d3f1f18f8448cp-15, -0x1.c16e5cb9668b6p-15, -0x1.af90c82635d3ep-15, -0x1.9e539acff6613p-15, -0x1.8db16a93620ffp-15, -0x1.7da4fabdcf6cfp-15, -0x1.6e293aa542c7cp-15, -0x1.5f39444c25bbdp-15, -0x1.50d05b0db0f1fp-15, -0x1.42e9ea54f4f97p-15, -0x1.3581845c86943p-15, -0x1.2892e0f8555e4p-15, -0x1.1c19dc67fbc19p-15, -0x1.10127631e5849p-15, -0x1.0478d00701a87p-15, -0x1.f292595d5ae09p-16, -0x1.dcffddf569167p-16, -0x1.c833318693d3ap-16, -0x1.b42593d3b7148p-16, -0x1.a0d07ec9923ffp-16, -0x1.8e2da4a1b89ebp-16, -0x1.7c36ee14e19cp-16, -0x1.6ae6789aa1d8fp-16, -0x1.5a3694b64674fp-16, -0x1.4a21c450c3694p-16, -0x1.3aa2b91ef7757p-16, -0x1.2bb45314395b6p-16, -0x1.1d519ee0873fep-16, -0x1.0f75d47b3c9b3p-16, -0x1.021c55b6f0ea5p-16, -0x1.ea8159c4c7606p-17, -0x1.d1bd16e5972b9p-17, -0x1.b9e39171c0bf4p-17, -0x1.a2ecc13f7dd01p-17, -0x1.8cd0e4eb59c11p-17, -0x1.77887f7c2d3ffp-17, -0x1.630c561c1ad0ep-17, -0x1.4f556ddd46231p-17, -0x1.3c5d0998169f8p-17, -0x1.2a1ca7d480e55p-17, -0x1.188e00c6722c4p-17, -0x1.07ab04588ca52p-17, -0x1.eedbb09229028p-18, -0x1.cfa1aca6f094p-18, -0x1.b19d14d3ba4f9p-18, -0x1.94c361fa30ccp-18, -0x1.790a6aa1a8e57p-18, -0x1.5e685fc17f51p-18, -0x1.44d3c99ecc422p-18, -0x1.2c4384c720cfbp-18, -0x1.14aebf2369292p-18, -0x1.fc19ea460a612p-19, -0x1.d0abddfbde596p-19, -0x1.a7037c1cd8726p-19, -0x1.7f1174803178p-19, -0x1.58c6ff2998785p-19, -0x1.3415d77c8ff0dp-19, -0x1.10f0379848e76p-19, -0x1.de91a7b20bc34p-20, -0x1.9e25ad160ed7bp-20, -0x1.6083b7460ea93p-20, -0x1.2593d996979dap-20, -0x1.da7df5990fc02p-21, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.ca36bb58ccae1p-1, 0x1.c515f0cabc9f7p-1, 0x1.bfc6c65a78ba6p-1, 0x1.ba4b47a14c86ap-1, 0x1.b4a583e1fad41p-1, 0x1.aed78cc3b5fd5p-1, 0x1.a8e37523e4cf5p-1, 0x1.a2cb4ffdadbf6p-1, 0x1.9c912f66358dfp-1, 0x1.9637239c7652fp-1, 0x1.8fbf3a2b929e1p-1, 0x1.892b7d1e8cf41p-1, 0x1.827df2444f051p-1, 0x1.7bb89a82f41d5p-1, 0x1.74dd71395666ap-1, 0x1.6dee6bade4132p-1, 0x1.66ed7889d3906p-1, 0x1.5fdc7f5fd19fep-1, 0x1.58bd603d59151p-1, 0x1.5191f345e9b17p-1, 0x1.4a5c08576680cp-1, 0x1.431d66b6ebc87p-1, 0x1.3bd7ccc57dc66p-1, 0x1.348cefbbfaedcp-1, 0x1.2d3e7b6dccd07p-1, 0x1.25ee1211dbe67p-1, 0x1.1e9d4c11567ddp-1, 0x1.174db7dbe8bf6p-1, 0x1.1000d9c10abdep-1, 0x1.08b82bce1809ap-1, 0x1.01751db0e6e49p-1, 0x1.f472293d4a839p-2, 0x1.e60ad67d82242p-2, 0x1.d7b6e3336115cp-2, 0x1.c978da16d6419p-2, 0x1.bb533072e5533p-2, 0x1.ad484618919bdp-2, 0x1.9f5a655868d85p-2, 0x1.918bc30275ffep-2, 0x1.83de7e6c6c9a6p-2, 0x1.7654a17ddcaf1p-2, 0x1.68f020c23fcbdp-2, 0x1.5bb2db80b78f6p-2, 0x1.4e9e9bd951bb8p-2, 0x1.41b516e79e5b1p-2, 0x1.34f7ecea768ep-2, 0x1.2868a970bd726p-2, 0x1.1c08c38aed6dbp-2, 0x1.0fd99e0142c6ap-2, 0x1.03dc878e4fa9fp-2, 0x1.f025763b829e2p-3, 0x1.d8fac01e4ad4ep-3, 0x1.c23b14f8eadffp-3, 0x1.abe877085b2dcp-3, 0x1.9604c32d6c041p-3, 0x1.8091b18dc9c04p-3, 0x1.6b90d63ab53e9p-3, 0x1.5703a1dcfd2dp-3, 0x1.42eb6265be073p-3, 0x1.2f4943c373bcap-3, 0x1.1c1e509ae0fc8p-3, 0x1.096b730363797p-3, 0x1.ee62ea8c6b35fp-4, 0x1.cae20540681cep-4, 0x1.a855500b7d16fp-4, 0x1.86bda9d08b836p-4, 0x1.661bb7fa3f924p-4, 0x1.466fe80a9612p-4, 0x1.27ba712b72eb2p-4, 0x1.09fb55bfa507ap-4, 0x1.da64c9e75b13p-5, 0x1.a2be789b5b214p-5, 0x1.6d029277d76dcp-5, 0x1.392f9542ca198p-5, 0x1.0743a4bfda12cp-5, 0x1.ae791b7da362ap-6, 0x1.522f9246e3233p-6, 0x1.f349fb9781187p-7, 0x1.49a6242c1799dp-7, 0x1.4ecbb4a18cc36p-8, 0x1.8f4732bf8f0ap-12, -0x1.0e596eec1dadbp-8, -0x1.139ffbfd7fa5ep-7, -0x1.98f195c32c1fbp-7, -0x1.0b9a3d173a404p-6, -0x1.473e43c1d40abp-6, -0x1.7f6f3d24f3dbcp-6, -0x1.b437f16f961ddp-6, -0x1.e5a38d9d8cca5p-6, -0x1.09decf383abc8p-5, -0x1.1f4905c036f15p-5, -0x1.3316893247a48p-5, -0x1.454da0f9a12e5p-5, -0x1.55f4bacd2f7a1p-5, -0x1.651268678467dp-5, -0x1.72ad5d4a9b8dep-5, -0x1.7ecc6c8f5a5f1p-5, -0x1.897686c0c1cd3p-5, -0x1.92b2b7c2b434bp-5, -0x1.9a8824c434788p-5, -0x1.a0fe0a3d0ba9ep-5, -0x1.a61bb9f6a93fap-5, -0x1.a9e89920307f8p-5, -0x1.ac6c1e6d844cfp-5, -0x1.adadd0413d4fbp-5, -0x1.adb542e163bebp-5, -0x1.ac8a16b6d0a85p-5, -0x1.aa33f69714f24p-5, -0x1.a6ba9618c882bp-5, -0x1.a225aff222f5dp-5, -0x1.9c7d0461be361p-5, -0x1.95c857a168394p-5, -0x1.8e0f7062e817p-5, -0x1.855a165696cd9p-5, -0x1.7bb010bbb801cp-5, -0x1.711924fa74772p-5, -0x1.659d154760168p-5, -0x1.59439f507286fp-5, -0x1.4c147af35f59dp-5, -0x1.3e1758fd330ccp-5, -0x1.2f53e1f326199p-5, -0x1.1fd1b4e48c65ep-5, -0x1.0f986645d24a8p-5, -0x1.fd5efda8e5967p-6, -0x1.da3cf507a8b17p-6, -0x1.b5d98ee5f9f71p-6, -0x1.904389d61738ep-6, -0x1.698984ccc56c8p-6, -0x1.41b9fd40fa1a9p-6, -0x1.18e34d5c9fda6p-6, -0x1.de27547cd7fd6p-7, -0x1.88b2449933a83p-7, -0x1.31833730d593bp-7, -0x1.b16b494956d0fp-8, -0x1.f992ba75b52fp-9, -0x1.1558e9aea4292p-10, 0x1.d2e51dd53c59p-10, 0x1.31310e6996767p-8, 0x1.efddc30d23cd6p-8, 0x1.58466aa06eb76p-7, 0x1.b986404b1ec4p-7, 0x1.0dcaf41f2b57bp-6, 0x1.3f2ea90c4e248p-6, 0x1.70e26c9c4ed57p-6, 0x1.a2daa33c2469ep-6, 0x1.d50be8e50f28cp-6, 0x1.03b588ee3a4d3p-5, 0x1.1cf695b29609cp-5, 0x1.3643be31357bfp-5, 0x1.4f97c2f6382ecp-5, 0x1.68ed81eb9becp-5, 0x1.823ff695aba86p-5, 0x1.9b8a3a48a2eaap-5, 0x1.b4c784579d425p-5, 0x1.cdf32a3cef012p-5, 0x1.e7089fbc0687ep-5, 0x1.0001bb7e76af6p-4, 0x1.0c6fb050c6d8ep-4, 0x1.18cc15ea6a3bep-4, 0x1.2514e329ea132p-4, 0x1.31481e3882ee4p-4, 0x1.3d63dc88e42a2p-4, 0x1.496642d31f89dp-4, 0x1.554d850dd8c5fp-4, 0x1.6117e664c8112p-4, 0x1.6cc3b92c9cf1fp-4, 0x1.784f5ed456b9fp-4, 0x1.83b947d4218f3p-4, 0x1.8efff399cb346p-4, 0x1.9a21f072e0a0dp-4, 0x1.a51ddb7484693p-4, 0x1.aff260611ad52p-4, 0x1.ba9e398bc40ecp-4, 0x1.c5202fb9e1a62p-4, 0x1.cf771a02805a9p-4, 0x1.d9a1ddabfc02ap-4, 0x1.e39f6e07aa8f3p-4, 0x1.ed6ecc4bd9ce2p-4, 0x1.f70f076c11dbp-4, 0x1.003f9df7da6eep-3, 0x1.04df49e38fa34p-3, 0x1.0966230f9a96ep-3, 0x1.0dd3cb99d0b9bp-3, 0x1.1227ec0fd45afp-3, 0x1.16623356e0b12p-3, 0x1.1a825692fe97ap-3, 0x1.1e88110d9f5d2p-3, 0x1.2273241bbc6d4p-3, 0x1.264357036ce11p-3, 0x1.29f876e10a782p-3, 0x1.2d92568be5198p-3, 0x1.3110ce7a94b21p-3, 0x1.3473bca6e6cbdp-3, 0x1.37bb04717ddcap-3, 0x1.3ae68e851fa8p-3, 0x1.3df648b9ba9f5p-3, 0x1.40ea25f7375c1p-3, 0x1.43c21e180821ep-3, 0x1.467e2dcb8fea2p-3, 0x1.491e5678647ep-3, 0x1.4ba29e1e681a6p-3, 0x1.4e0b0f38cfb9ap-3, 0x1.5057b8a016e49p-3, 0x1.5288ad6be3ae7p-3, 0x1.549e04d4e72bfp-3, 0x1.5697da16c08dfp-3, 0x1.58764c51e4a1ep-3, 0x1.5a397e6d93655p-3, 0x1.5be196f9e0f34p-3, 0x1.5d6ec011d38ddp-3, 0x1.5ee1273da699ap-3, 0x1.6038fd552558ep-3, 0x1.617676623d10bp-3, 0x1.6299c983ab546p-3, 0x1.63a330cfef2a7p-3, 0x1.6492e9385f23p-3, 0x1.6569326c8bf4cp-3, 0x1.66264ebdd37b2p-3, 0x1.66ca83033e78bp-3, 0x1.6756167da3d67p-3, 0x1.67c952bc15c69p-3, 0x1.682483809ef2ap-3, 0x1.6867f6a54d11p-3, 0x1.6893fc0193716p-3, 0x1.68a8e550065f2p-3, 0x1.68a706146af63p-3, 0x1.688eb3822cffdp-3, 0x1.686044632cc62p-3, 0x1.681c10fef20ecp-3, 0x1.67c27302451edp-3, 0x1.6753c5672b23dp-3, 0x1.66d0645d4c2a8p-3, 0x1.6638ad32c3846p-3, 0x1.658cfe3d5a9bcp-3, 0x1.64cdb6c431bbcp-3, 0x1.63fb36e9da503p-3, 0x1.6315df96d8f0bp-3, 0x1.621e1264a1b03p-3, 0x1.61143188fedaap-3, 0x1.5ff89fc1ecb02p-3, 0x1.5ecbc041ebdf1p-3, 0x1.5d8df69cc1f2p-3, 0x1.5c3fa6b4b15ddp-3, 0x1.5ae134a8268cdp-3, 0x1.597304bfd6622p-3, 0x1.57f57b5d57e26p-3, 0x1.5668fcea2bcfap-3, 0x1.54cdedc73e89ap-3, 0x1.5324b23cdc471p-3, 0x1.516dae6b1b2d7p-3, 0x1.4fa9463ab9842p-3, 0x1.4dd7dd4e6abccp-3, 0x1.4bf9d6f4a406p-3, 0x1.4a0f9619cb634p-3, 0x1.48197d3ae64ebp-3, 0x1.4617ee58b3abap-3, 0x1.440b4aeb356f1p-3, 0x1.41f3f3d5aadeap-3, 0x1.3fd2495afb66dp-3, 0x1.3da6ab128cc19p-3, 0x1.3b7177dd862e6p-3, 0x1.39330ddc7fdc6p-3, 0x1.36ebca659a1f2p-3, 0x1.349c09fb00d4ap-3, 0x1.32442841d4d45p-3, 0x1.2fe47ff97b66ep-3, 0x1.2d7d6af352e5cp-3, 0x1.2b0f420acc82ap-3, 0x1.289a5d1de6cfep-3, 0x1.261f130609ed2p-3, 0x1.239db9913f2dcp-3, 0x1.2116a57bcde74p-3, 0x1.1e8a2a6a2bcfbp-3, 0x1.1bf89ae34fe0cp-3, 0x1.1962484b57e8cp-3, 0x1.16c782de86f3ep-3, 0x1.142899ac9c8cp-3, 0x1.1185da947ce51p-3, 0x1.0edf924029f64p-3, 0x1.0c360c2112c6ap-3, 0x1.0989926caadaap-3, 0x1.06da6e19536f5p-3, 0x1.0428e6db8cd65p-3, 0x1.0175432378be3p-3, 0x1.fd7f903530969p-4, 0x1.f8117343b7fcbp-4, 0x1.f2a0b49fe41d1p-4, 0x1.ed2dd6dfb4825p-4, 0x1.e7b959ff70699p-4, 0x1.e243bb5fcbc55p-4, 0x1.dccd75c491f3cp-4, 0x1.d7570153b2f8ep-4, 0x1.d1e0d394dbb38p-4, 0x1.cc6b5f716ed39p-4, 0x1.c6f71534fab86p-4, 0x1.c184628e01fdap-4, 0x1.bc13b28f49bbdp-4, 0x1.b6a56db171abcp-4, 0x1.b139f9d4fea36p-4, 0x1.abd1ba44b0b83p-4, 0x1.a66d0fb848369p-4, 0x1.a10c585792b91p-4, 0x1.9bafefbdccb21p-4, 0x1.96582efd5ef65p-4, 0x1.91056ca3d8724p-4, 0x1.8bb7fcbe440e6p-4, 0x1.867030ddbaea5p-4, 0x1.812e581c3e8c3p-4, 0x1.7bf2bf21d5354p-4, 0x1.76bdb029e47d8p-4, 0x1.718f7308c8192p-4, 0x1.6c684d31a2526p-4, 0x1.674881bc6285p-4, 0x1.6230516bff528p-4, 0x1.5d1ffab4e353cp-4, 0x1.5817b9c3861f5p-4, 0x1.5317c8833449p-4, 0x1.4e205ea4fec8fp-4, 0x1.4931b1a6d225p-4, 0x1.444bf4dab2e5fp-4, 0x1.3f6f596e1c2d4p-4, 0x1.3a9c0e717d6ecp-4, 0x1.35d240dfd82e7p-4, 0x1.31121ba676e68p-4, 0x1.2c5bc7acbfb93p-4, 0x1.27af6bdc1c992p-4, 0x1.230d2d27fa4fep-4, 0x1.1e752e95d9fdcp-4, 0x1.19e7914574311p-4, 0x1.15647478ebff7p-4, 0x1.10ebf59d0ef75p-4, 0x1.0c7e3051a1071p-4, 0x1.081b3e71b37a3p-4, 0x1.03c3381c02ffap-4, 0x1.feec6776ba806p-5, 0x1.f6688c1e166bep-5, 0x1.edfb04667e689p-5, 0x1.e5a3f35309c05p-5, 0x1.dd6378c263b84p-5, 0x1.d539b17faa185p-5, 0x1.cd26b75349f09p-5, 0x1.c52aa113d0c1fp-5, 0x1.bd4582b6b8065p-5, 0x1.b5776d6122ff4p-5, 0x1.adc06f788caf8p-5, 0x1.a62094b367683p-5, 0x1.9e97e629a5d0ap-5, 0x1.97266a6532b11p-5, 0x1.8fcc25724da5cp-5, 0x1.888918efd0993p-5, 0x1.815d441f5918bp-5, 0x1.7a48a3f555837p-5, 0x1.734b3328f1801p-5, 0x1.6c64ea43e53f6p-5, 0x1.6595bfb21e0a2p-5, 0x1.5edda7d148333p-5, 0x1.583c95002fdfp-5, 0x1.51b277adfe9bep-5, 0x1.4b3f3e694f1bdp-5, 0x1.44e2d5ef1877fp-5, 0x1.3e9d29396fef9p-5, 0x1.386e218e1fba4p-5, 0x1.3255a68d0fc2bp-5, 0x1.2c539e3e8374ap-5, 0x1.2667ed2129196p-5, 0x1.20927637f73e3p-5, 0x1.1ad31b17df878p-5, 0x1.1529bbf54c64p-5, 0x1.0f9637b170a78p-5, 0x1.0a186be762b9cp-5, 0x1.04b034f909535p-5, 0x1.febadc379fde3p-6, 0x1.f43fe2ca5d196p-6, 0x1.e9ef2faded618p-6, 0x1.dfc872d6e49bbp-6, 0x1.d5cb5a4294c3ap-6, 0x1.cbf7920e7685fp-6, 0x1.c24cc48f26303p-6, 0x1.b8ca9a66f2da8p-6, 0x1.af70ba9c0b0d3p-6, 0x1.a63ecaae381b3p-6, 0x1.9d346eac320b1p-6, 0x1.9451494885059p-6, 0x1.8b94fbee1223dp-6, 0x1.82ff26d41e3dep-6, 0x1.7a8f6911fb648p-6, 0x1.724560b245fd2p-6, 0x1.6a20aac5b79bep-6, 0x1.6220e375904fdp-6, 0x1.5a45a6159715dp-6, 0x1.528e8d35b226bp-6, 0x1.4afb32b312e62p-6, 0x1.438b2fc900027p-6, 0x1.3c3e1d213335cp-6, 0x1.351392e3d31afp-6, 0x1.2e0b28c70861dp-6, 0x1.2724761e28c18p-6, 0x1.205f11e885bc6p-6, 0x1.19ba92dfce513p-6, 0x1.13368f86174e2p-6, 0x1.0cd29e337c32cp-6, 0x1.068e552361127p-6, 0x1.00694a8154c33p-6, 0x1.f4c628eb29827p-7, 0x1.e8f69262658e6p-7, 0x1.dd62fdf3b99ecp-7, 0x1.d20a986a9a3d9p-7, 0x1.c6ec8ee8b6a1bp-7, 0x1.bc080efb6f131p-7, 0x1.b15c46b095c19p-7, 0x1.a6e864aa88224p-7, 0x1.9cab9833958f5p-7, 0x1.92a51150c2a6ep-7, 0x1.88d400d3e52fdp-7, 0x1.7f37986d144b1p-7, 0x1.75cf0abb83766p-7, 0x1.6c998b5db4ad1p-7, 0x1.63964f0113f12p-7, 0x1.5ac48b70ee2b7p-7, 0x1.522377a4e528ap-7, 0x1.49b24bceb67adp-7, 0x1.41704167826cfp-7, 0x1.395c933c769a9p-7, 0x1.31767d7af6e87p-7, 0x1.29bd3dbc3293ap-7, 0x1.223013103614ep-7, 0x1.1ace3e0876c18p-7, 0x1.139700c1db647p-7, 0x1.0c899eee459e6p-7, 0x1.05a55ddd9d06ep-7, 0x1.fdd3090cc0031p-8, 0x1.f0aab71b78335p-8, 0x1.e3d05a9e62d56p-8, 0x1.d7428bc782b85p-8, 0x1.caffe6515e0f1p-8, 0x1.bf07098b9f75cp-8, 0x1.b3569866e273ep-8, 0x1.a7ed397fad2b1p-8, 0x1.9cc997289e3c6p-8, 0x1.91ea5f73d1245p-8, 0x1.874e443b8137p-8, 0x1.7cf3fb29ee0ep-8, 0x1.72da3dc0862f4p-8, 0x1.68ffc95e5f403p-8, 0x1.5f635f45faa4p-8, 0x1.5603c4a26497ap-8, 0x1.4cdfc28ba7e32p-8, 0x1.43f6260aa3a29p-8, 0x1.3b45c01c40e5fp-8, 0x1.32cd65b4124bp-8, 0x1.2a8befbe5eafcp-8, 0x1.22803b219987cp-8, 0x1.1aa928bf54a58p-8, 0x1.13059d74a5d73p-8, 0x1.0b94821a0dd99p-8, 0x1.0454c382dc203p-8, 0x1.fa8aa4f838c9bp-9, 0x1.ecca479612fd7p-9, 0x1.df6660562334ap-9, 0x1.d25ce896cea3cp-9, 0x1.c5abe1985661ep-9, 0x1.b951547659947p-9, 0x1.ad4b522090e2ap-9, 0x1.a197f352cb117p-9, 0x1.9635588c30fa6p-9, 0x1.8b21aa05d79d6p-9, 0x1.805b17a8a9e0ap-9, 0x1.75dfd902ad5e2p-9, 0x1.6bae2d3baa21dp-9, 0x1.61c45b093f78ep-9, 0x1.5820b0a263935p-9, 0x1.4ec183b26089ep-9, 0x1.45a5314b4808ep-9, 0x1.3cca1dd7ecd14p-9, 0x1.342eb50d6691cp-9, 0x1.2bd169dc20a88p-9, 0x1.23b0b66080becp-9, 0x1.1bcb1bd3253fcp-9, 0x1.141f2278c2fb5p-9, 0x1.0cab5991a946dp-9, 0x1.056e5748eedb6p-9, 0x1.fccd714699088p-10, 0x1.ef2642db5d3a8p-10, 0x1.e1e47856f7657p-10, 0x1.d505740939483p-10, 0x1.c886a5668272p-10, 0x1.bc6588e2e2f76p-10, 0x1.b09fa7ccceb02p-10, 0x1.a532982768e0dp-10, 0x1.9a1bfc847db24p-10, 0x1.8f5983de2cda3p-10, 0x1.84e8e9703d914p-10, 0x1.7ac7f491421f5p-10, 0x1.70f4788b72393p-10, 0x1.676c547557344p-10, 0x1.5e2d730a50d2ap-10, 0x1.5535ca82ebe5bp-10, 0x1.4c835c6d202b2p-10, 0x1.4414358470e4bp-10, 0x1.3be66d8a034d7p-10, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.d30cfcf25ac4p-1, 0x1.ceab2d4394436p-1, 0x1.ca1d37f0b9585p-1, 0x1.c564650738bfdp-1, 0x1.c0820172a237fp-1, 0x1.bb775e40aadb1p-1, 0x1.b645cfef257cfp-1, 0x1.b0eeadc3b961ap-1, 0x1.ab73512d15568p-1, 0x1.a5d5152d52de4p-1, 0x1.a01555cd35375p-1, 0x1.9a356f97e8f9dp-1, 0x1.9436bf1ee9b48p-1, 0x1.8e1aa085ac1ccp-1, 0x1.87e26f14b0768p-1, 0x1.818f84d39dc3dp-1, 0x1.7b233a2a064c7p-1, 0x1.749ee5867ea02p-1, 0x1.6e03db0baa47fp-1, 0x1.67536c42ec1ffp-1, 0x1.608ee7d4637d6p-1, 0x1.59b79943ec75ap-1, 0x1.52cec8b2d1b1ap-1, 0x1.4bd5baa5ee0c3p-1, 0x1.44cdafcff56bap-1, 0x1.3db7e4dfa85b8p-1, 0x1.36959251b383ep-1, 0x1.2f67ec4606a71p-1, 0x1.2830225868df6p-1, 0x1.20ef5f7c21a7bp-1, 0x1.19a6c9da80cd5p-1, 0x1.125782b4244ffp-1, 0x1.0b02a644ce715p-1, 0x1.03a94ba9af97bp-1, 0x1.f8990993fb0d2p-2, 0x1.e9dabc83828f3p-2, 0x1.db19be9d74adep-2, 0x1.cc58137e87726p-2, 0x1.bd97b3c6420f1p-2, 0x1.aeda8cfc42d54p-2, 0x1.a022817907afdp-2, 0x1.9171685218981p-2, 0x1.82c90d4972265p-2, 0x1.742b30c014fa7p-2, 0x1.659987ab99e13p-2, 0x1.5715bb8eb4478p-2, 0x1.48a16a748828fp-2, 0x1.3a3e26eeb9856p-2, 0x1.2bed781623c74p-2, 0x1.1db0d98e1ac0fp-2, 0x1.0f89bb8a272e9p-2, 0x1.017982d622265p-2, 0x1.e70311c14105ap-3, 0x1.cb46378f20be7p-3, 0x1.afbefccdffb3cp-3, 0x1.946fd0d3d2fa6p-3, 0x1.795b0cb9fbe7ap-3, 0x1.5e82f386979c2p-3, 0x1.43e9b259712f1p-3, 0x1.2991609c58e7bp-3, 0x1.0f7c0036cc48bp-3, 0x1.eb56fb8959ed5p-4, 0x1.b843619fdf329p-4, 0x1.85c0b81a1b897p-4, 0x1.53d25b341c769p-4, 0x1.227b7e800e0fap-4, 0x1.e37e5adb84ef8p-5, 0x1.834097acfaf63p-5, 0x1.24432d195a101p-5, 0x1.8d168fbd08b2ap-6, 0x1.a8772402d2fc1p-7, 0x1.dfe8dfbc3970dp-10, -0x1.2b2fc3e5a4502p-7, -0x1.467fb3888be6fp-6, -0x1.f4b16a1ea46f2p-6, -0x1.50130a0eb14d7p-5, -0x1.a46ba434bcdeap-5, -0x1.f75f91e5d9146p-5, -0x1.24761194f473fp-4, -0x1.4c87742dea679p-4, -0x1.73e2d86bc8c6ap-4, -0x1.9a8744d3890e7p-4, -0x1.c073de173edb4p-4, -0x1.e5a7e66c14d74p-4, -0x1.05115e701d5a6p-3, -0x1.16f1ee58881a3p-3, -0x1.28756e50ccd9dp-3, -0x1.399bb728bd37dp-3, -0x1.4a64aeca3f849p-3, -0x1.5ad047e57a0ccp-3, -0x1.6ade819d67f21p-3, -0x1.7a8f6734ecad8p-3, -0x1.89e30fbc6f075p-3, -0x1.98d99dc011824p-3, -0x1.a7733ef682f32p-3, -0x1.b5b02bf07fe54p-3, -0x1.c390a7c90850dp-3, -0x1.d114ffd65513p-3, -0x1.de3d8b5b8fc9fp-3, -0x1.eb0aab3b5a481p-3, -0x1.f77cc9ab275fap-3, -0x1.01ca2cf3b8ac2p-2, -0x1.07a8ebf465441p-2, -0x1.0d5ae40ce7fedp-2, -0x1.12e05b870776dp-2, -0x1.18399c9ce1426p-2, -0x1.1d66f55548d7dp-2, -0x1.2268b7609a8d5p-2, -0x1.273f37f6086c8p-2, -0x1.2beacfb163ed3p-2, -0x1.306bda7161131p-2, -0x1.34c2b73657c52p-2, -0x1.38efc801812acp-2, -0x1.3cf371b4b1f11p-2, -0x1.40ce1bf2948b6p-2, -0x1.448030ff5f7a6p-2, -0x1.480a1da20aadcp-2, -0x1.4b6c510601cd7p-2, -0x1.4ea73c9d57dp-2, -0x1.51bb54037697cp-2, -0x1.54a90ce04b775p-2, -0x1.5770decbf5e4dp-2, -0x1.5a134332ef1f4p-2, -0x1.5c90b53ab2b0dp-2, -0x1.5ee9b1a6e2f79p-2, -0x1.611eb6bee943fp-2, -0x1.6330443415f2cp-2, -0x1.651edb0837b78p-2, -0x1.66eafd74b2713p-2, -0x1.68952ed211959p-2, -0x1.6a1df38010094p-2, -0x1.6b85d0ce2145ep-2, -0x1.6ccd4ce4705e2p-2, -0x1.6df4eead57f3cp-2, -0x1.6efd3dbf54e2dp-2, -0x1.6fe6c247708c9p-2, -0x1.70b204f421e2cp-2, -0x1.715f8ee0a682ap-2, -0x1.71efe980d3012p-2, -0x1.72639e8d5751fp-2, -0x1.72bb37f07a5eep-2, -0x1.72f73fb3494a2p-2, -0x1.73183feb3a5c2p-2, -0x1.731ec2a844eddp-2, -0x1.730b51e36c1d5p-2, -0x1.72de776db9385p-2, -0x1.7298bcdfa8f04p-2, -0x1.723aab890bc98p-2, -0x1.71c4cc6150f8cp-2, -0x1.7137a7f846aecp-2, -0x1.7093c667430f6p-2, -0x1.6fd9af42bff3bp-2, -0x1.6f09e98c5e064p-2, -0x1.6e24fba559575p-2, -0x1.6d2b6b41662d6p-2, -0x1.6c1dbd59f6f2ap-2, -0x1.6afc7621eec3cp-2, -0x1.69c818f9b8b67p-2, -0x1.68812863cb505p-2, -0x1.672825f98cc07p-2, -0x1.65bd9260a1871p-2, -0x1.6441ed409d30fp-2, -0x1.62b5b53916e8fp-2, -0x1.611967d8216ebp-2, -0x1.5f6d819122edfp-2, -0x1.5db27db40d97ap-2, -0x1.5be8d664f96dap-2, -0x1.5a1104941836fp-2, -0x1.582b7ff609c5bp-2, -0x1.5638befc89843p-2, -0x1.543936cf785eep-2, -0x1.522d5b463ea31p-2, -0x1.50159ee186b5dp-2, -0x1.4df272c54cac5p-2, -0x1.4bc446b345da4p-2, -0x1.498b89059cd16p-2, -0x1.4748a6a9fb39dp-2, -0x1.44fc0b1ceb9ffp-2, -0x1.42a6206588aa9p-2, -0x1.40474f1178d75p-2, -0x1.3ddffe313c053p-2, -0x1.3b709354c2712p-2, -0x1.38f972884d25ep-2, -0x1.367afe519c433p-2, -0x1.33f597ad5ece3p-2, -0x1.31699e0cefe88p-2, -0x1.2ed76f54519aap-2, -0x1.2c3f67d871f1bp-2, -0x1.29a1e25dad3f9p-2, -0x1.26ff381694155p-2, -0x1.2457c0a2edef9p-2, -0x1.21abd20efc18cp-2, -0x1.1efbc0d2f6995p-2, -0x1.1c47dfd2c4f82p-2, -0x1.1990805df0981p-2, -0x1.16d5f22fce804p-2, -0x1.1418836fdecc2p-2, -0x1.115880b261c32p-2, -0x1.0e9634f921474p-2, -0x1.0bd1e9b46b149p-2, -0x1.090be6c43a80cp-2, -0x1.0644727993edp-2, -0x1.037bd1980ca4p-2, -0x1.00b247577e41cp-2, -0x1.fbd02acbca6b3p-3, -0x1.f63af7d2d4bbep-3, -0x1.f0a57305240c3p-3, -0x1.eb10169d27963p-3, -0x1.e57b59d3ab5f3p-3, -0x1.dfe7b0e51a05p-3, -0x1.da558d16fec1cp-3, -0x1.d4c55cbdd2336p-3, -0x1.cf378b42fa282p-3, -0x1.c9ac812b142edp-3, -0x1.c424a41c6fa77p-3, -0x1.bea056e5c646fp-3, -0x1.b91ff98526be9p-3, -0x1.b3a3e92f1348fp-3, -0x1.ae2c8055d33b5p-3, -0x1.a8ba16b0eb4abp-3, -0x1.a34d0144c8d5fp-3, -0x1.9de5926a94c42p-3, -0x1.988419d82993p-3, -0x1.9328e4a832bc2p-3, -0x1.8dd43d626a029p-3, -0x1.88866c03fb749p-3, -0x1.833fb607fcc6cp-3, -0x1.7e005e700ee88p-3, -0x1.78c8a5cd0cc99p-3, -0x1.7398ca47d645cp-3, -0x1.6e7107aa3492ap-3, -0x1.69519767cda18p-3, -0x1.643ab0a72c9d7p-3, -0x1.5f2c884ad6ba1p-3, -0x1.5a2750fa735c4p-3, -0x1.552b3b2bfb4cp-3, -0x1.5038752cf7bbfp-3, -0x1.4b4f2b2bc7791p-3, -0x1.466f8740eb235p-3, -0x1.4199b1785a32dp-3, -0x1.3ccdcfdad7fc9p-3, -0x1.380c06774dfe6p-3, -0x1.3354776c28ce3p-3, -0x1.2ea742f0afc29p-3, -0x1.2a04875e61e24p-3, -0x1.256c613a49266p-3, -0x1.20deeb3e4e9e4p-3, -0x1.1c5c3e6286a88p-3, -0x1.17e471e675412p-3, -0x1.13779b5a4d096p-3, -0x1.0f15cea823c05p-3, -0x1.0abf1e1d1d0f9p-3, -0x1.06739a7288254p-3, -0x1.023352d6f5648p-3, -0x1.fbfca9ee6fb3p-4, -0x1.f3a95a0ec2cf6p-4, -0x1.eb6ccb974cac3p-4, -0x1.e34711426e5e2p-4, -0x1.db383b0e15952p-4, -0x1.d340564d1bea9p-4, -0x1.cb5f6db894978p-4, -0x1.c3958980ee303p-4, -0x1.bbe2af5ee15acp-4, -0x1.b446e2a448a7fp-4, -0x1.acc2244cc01f5p-4, -0x1.a554730e1c562p-4, -0x1.9dfdcb68be567p-4, -0x1.96be27b7a6c93p-4, -0x1.8f9580406ee9dp-4, -0x1.8883cb43027efp-4, -0x1.8188fd0931b73p-4, -0x1.7aa507f60d308p-4, -0x1.73d7dc9512531p-4, -0x1.6d2169a922e54p-4, -0x1.66819c3b4aa97p-4, -0x1.5ff85fa94f80cp-4, -0x1.59859db40d4e6p-4, -0x1.53293e8d9c328p-4, -0x1.4ce328e741fefp-4, -0x1.46b341ff2c40dp-4, -0x1.40996dadf4fdp-4, -0x1.3a958e73ef20bp-4, -0x1.34a785863d76cp-4, -0x1.2ecf32dbb1253p-4, -0x1.290c75397146ep-4, -0x1.235f2a3f6a93cp-4, -0x1.1dc72e7486eb4p-4, -0x1.18445d52adfabp-4, -0x1.12d691528cb72p-4, -0x1.0d7da3f726d5cp-4, -0x1.08396dd92e08ap-4, -0x1.0309c6b22393dp-4, -0x1.fbdd0ace821fcp-5, -0x1.f1cf002854381p-5, -0x1.e7e9182acc97bp-5, -0x1.de2afc254971ep-5, -0x1.d49454118fa08p-5, -0x1.cb24c6a774d1ep-5, -0x1.c1dbf9701f1b5p-5, -0x1.b8b990d8d55c7p-5, -0x1.afbd304566154p-5, -0x1.a6e67a222345ep-5, -0x1.9e350ff5724adp-5, -0x1.95a89270f4a19p-5, -0x1.8d40a182471ffp-5, -0x1.84fcdc6358abcp-5, -0x1.7cdce1aa5c526p-5, -0x1.74e04f5953947p-5, -0x1.6d06c2ed34119p-5, -0x1.654fd96ca8ecep-5, -0x1.5dbb2f76747eep-5, -0x1.5648614f6a951p-5, -0x1.4ef70af00e839p-5, -0x1.47c6c811d01a8p-5, -0x1.40b7343be8e7cp-5, -0x1.39c7eacfde586p-5, -0x1.32f88715a425fp-5, -0x1.2c48a44768909p-5, -0x1.25b7dd9d013fcp-5, -0x1.1f45ce57040b3p-5, -0x1.18f211c984fdap-5, -0x1.12bc436680408p-5, -0x1.0ca3fec7eee1bp-5, -0x1.06a8dfb986747p-5, -0x1.00ca8242265d2p-5, -0x1.f6110559ee01ep-6, -0x1.eac4fb246a711p-6, -0x1.dfb01fbf62d2bp-6, -0x1.d4d1adc1ff9c8p-6, -0x1.ca28e08ebe6f3p-6, -0x1.bfb4f462a4123p-6, -0x1.b5752663e31b5p-6, -0x1.ab68b4afe92e9p-6, -0x1.a18ede68e68b1p-6, -0x1.97e6e3c2c8dacp-6, -0x1.8e70060fab62p-6, -0x1.852987cbc22fep-6, -0x1.7c12aca8c5f0bp-6, -0x1.732ab998d8a41p-6, -0x1.6a70f4d8f4dp-6, -0x1.61e4a5fad8684p-6, -0x1.598515ee7e6a5p-6, -0x1.51518f0b1d551p-6, -0x1.49495d17b4545p-6, -0x1.416bcd53288ap-6, -0x1.39b82e7bf057fp-6, -0x1.322dd0d753b38p-6, -0x1.2acc063845088p-6, -0x1.23922205cfd9ep-6, -0x1.1c7f7941242a8p-6, -0x1.1593628b417e1p-6, -0x1.0ecd362a3bd1p-6, -0x1.082c4e0e27e65p-6, -0x1.01b005d5ae377p-6, -0x1.f6af75a47dc84p-7, -0x1.ea459817e0fa8p-7, -0x1.de21348a2437ep-7, -0x1.d2410ffaba218p-7, -0x1.c6a3f2e9c772bp-7, -0x1.bb48a95d5c02bp-7, -0x1.b02e02e60b554p-7, -0x1.a552d2a300e07p-7, -0x1.9ab5ef457c52ep-7, -0x1.90563313c6bf3p-7, -0x1.86327beba2133p-7, -0x1.7c49ab4432dc4p-7, -0x1.729aa62f69f92p-7, -0x1.6924555aff1d9p-7, -0x1.5fe5a510e5a1dp-7, -0x1.56dd853757c55p-7, -0x1.4e0ae9506ff13p-7, -0x1.456cc87958924p-7, -0x1.3d021d690edf8p-7, -0x1.34c9e66ec79e7p-7, -0x1.2cc3256fef462p-7, -0x1.24ecdfe5cdab8p-7, -0x1.1d461edacf2f5p-7, -0x1.15cdeee778a26p-7, -0x1.0e83602f052c9p-7, -0x1.0765865bb7139p-7, -0x1.0073789ad8019p-7, -0x1.f358a330e39a1p-8, -0x1.e61e5ef57e1c3p-8, -0x1.d93667baae0a8p-8, -0x1.cc9f079832ab4p-8, -0x1.c0568f7bb4438p-8, -0x1.b45b571da8595p-8, -0x1.a8abbcf5be9d6p-8, -0x1.9d46262ee6cfcp-8, -0x1.9228fe9aeb1e9p-8, -0x1.8752b8a5a9b0ap-8, -0x1.7cc1cd47efe5p-8, -0x1.7274bbf9fdc0bp-8, -0x1.686a0aa5b532dp-8, -0x1.5ea0459878908p-8, -0x1.5515ff74bf097p-8, -0x1.4bc9d12364b6dp-8, -0x1.42ba59c4b372fp-8, -0x1.39e63ea13245fp-8, -0x1.314c2b1a38ddep-8, -0x1.28ead09a4c6b4p-8, -0x1.20c0e6854b3c4p-8, -0x1.18cd2a28690d9p-8, -0x1.110e5eaa01234p-8, -0x1.09834cf94140cp-8, -0x1.022ac3bdaeea3p-8, -0x1.f6072e8d1ebd8p-9, -0x1.e81942f45cb9bp-9, -0x1.da89838a1d534p-9, -0x1.cd55ba120165fp-9, -0x1.c07bbb184d3bfp-9, -0x1.b3f965cfcaf2ap-9, -0x1.a7cca3ef96eb3p-9, -0x1.9bf36990cb043p-9, -0x1.906bb50c21f1dp-9, -0x1.85338ed785315p-9, -0x1.7a490963955bdp-9, -0x1.6faa40f934b91p-9, -0x1.65555b9707b09p-9, -0x1.5b4888cf06ae1p-9, -0x1.518201a40ee5ap-9, -0x1.480008678bdd3p-9, -0x1.3ec0e89728474p-9, -0x1.35c2f6ba9d441p-9, -0x1.2d0490419676ep-9, -0x1.24841b61b1b0dp-9, -0x1.1c4006f4a573ep-9, -0x1.1436ca5681eb6p-9, -0x1.0c66e54421bddp-9, -0x1.04cedfb9bdc65p-9, -0x1.fada93a3602eep-10, -0x1.ec817746ced06p-10, -0x1.de8faa4512746p-10, -0x1.d1027bfc98978p-10, -0x1.c3d74b020ec9p-10, -0x1.b70b84dff1fb3p-10, -0x1.aa9ca5d6988d1p-10, -0x1.9e88389cb3ac7p-10, -0x1.92cbd62051124p-10, -0x1.876525485bf8fp-10, -0x1.7c51dab6ad1p-10, -0x1.718fb88a9648ep-10, -0x1.671c8e2403428p-10, -0x1.5cf637e72af25p-10, -0x1.531a9f00cce9ep-10, -0x1.4987b92b069b8p-10, -0x1.403b8872c1beap-10, -0x1.37341afdb2d12p-10, -0x1.2e6f8ad103dc4p-10, -0x1.25ebfd9889b5cp-10, -0x1.1da7a46ea4641p-10, -0x1.15a0bba4bc026p-10, -0x1.0dd58a8c64473p-10, -0x1.0644634118097p-10, -0x1.fdd744e55282bp-11, -0x1.ef935e6093309p-11, -0x1.e1b9f568848c9p-11, -0x1.d44800609d413p-11, -0x1.c73a8935423d2p-11, -0x1.ba8eacf721d4fp-11, -0x1.ae419b77e0a9cp-11, -0x1.a25096e81b092p-11, -0x1.96b8f376ba523p-11, -0x1.8b7816f19d7a1p-11, -0x1.808b786797d5ep-11, -0x1.75f09fcbc2578p-11, -0x1.6ba5259a22d5fp-11, -0x1.61a6b27da63b9p-11, -0x1.57f2fef76d5fep-11, -0x1.4e87d3076dad2p-11, -0x1.456305d661be2p-11, -0x1.3c827d610ce12p-11, -0x1.33e42e24caf84p-11, -0x1.2b861acd70c5dp-11, -0x1.236653e47821dp-11, -0x1.1b82f78176c12p-11, -0x1.13da30fbde323p-11, -0x1.0c6a389e05112p-11, -0x1.0531535973237p-11, -0x1.fc5ba4f8e621ep-12, -0x1.eebc26d1c9877p-12, -0x1.e180fe989ea15p-12, -0x1.d4a715b25e805p-12, -0x1.c82b6c02fe626p-12, -0x1.bc0b1764f2f7ep-12, -0x1.b04343231d8ecp-12, -0x1.a4d12f751d46dp-12, -0x1.99b230fe02104p-12, -0x1.8ee3b04d5c0bap-12, -0x1.846329629b23bp-12, -0x1.7a2e2b32c206cp-12, -0x1.7042573062251p-12, -0x1.669d60d5d8252p-12, -0x1.5d3d0d31ca274p-12, -0x1.541f3275d816ap-12, -0x1.4b41b78781a07p-12, -0x1.42a2939333dc8p-12, -0x1.3a3fcda17cd97p-12, -0x1.32177c2e5b975p-12, -0x1.2a27c4c2a8632p-12, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.f0bcc35d559e3p-1, 0x1.ef385645cf4bep-1, 0x1.eda3390652c47p-1, 0x1.ebfdb49861462p-1, 0x1.ea481391c14dp-1, 0x1.e882a2001917ap-1, 0x1.e6adad45e2dbep-1, 0x1.e4c983f8c3aecp-1, 0x1.e2d675c13f694p-1, 0x1.e0d4d33bcc9cfp-1, 0x1.dec4eddb3eec1p-1, 0x1.dca717cc8559bp-1, 0x1.da7ba3dbb436ap-1, 0x1.d842e55a501d4p-1, 0x1.d5fd3006d444p-1, 0x1.d3aad7f5664cap-1, 0x1.d14c3179b0f6ep-1, 0x1.cee19111d84cfp-1, 0x1.cc6b4b527eedfp-1, 0x1.c9e9b4d3ce9c9p-1, 0x1.c75d221f7de93p-1, 0x1.c4c5e79fc321fp-1, 0x1.c224598f2e617p-1, 0x1.bf78cbe95e322p-1, 0x1.bcc3925c86dcap-1, 0x1.ba05003bbef67p-1, 0x1.b73d68720d3c4p-1, 0x1.b46d1d76296cp-1, 0x1.b194713eec9acp-1, 0x1.aeb3b538640cp-1, 0x1.abcb3a39825e3p-1, 0x1.a8db507a655dcp-1, 0x1.a5e4478b2a905p-1, 0x1.a2e66e4b4bde3p-1, 0x1.9fe212e17c6fbp-1, 0x1.9cd782b40201fp-1, 0x1.99c70a6184516p-1, 0x1.96b0f5ba4b214p-1, 0x1.93958fb9e9fe4p-1, 0x1.907522815241cp-1, 0x1.8d4ff751460fdp-1, 0x1.8a2656852d304p-1, 0x1.86f8878e41349p-1, 0x1.83c6d0ef11cc8p-1, 0x1.809178375e6cdp-1, 0x1.7d58c2003e77ap-1, 0x1.7a1cf1e897ad7p-1, 0x1.76de4a91df62dp-1, 0x1.739d0d9d24471p-1, 0x1.70597ba85de0ep-1, 0x1.6d13d44bfd924p-1, 0x1.69cc5618c3904p-1, 0x1.66833e95d08b8p-1, 0x1.6338ca3ef4433p-1, 0x1.5fed3483381fep-1, 0x1.5ca0b7c3a1a97p-1, 0x1.59538d522c67cp-1, 0x1.5605ed70f8c1fp-1, 0x1.52b80f51ae52dp-1, 0x1.4f6a291510991p-1, 0x1.4c1c6fcac35f4p-1, 0x1.48cf17713c70bp-1, 0x1.458252f5e4cdcp-1, 0x1.4236543562571p-1, 0x1.3eeb4bfc0d027p-1, 0x1.3ba16a068b6d2p-1, 0x1.3858dd0296219p-1, 0x1.3511d28fe0e87p-1, 0x1.31cc774125bfp-1, 0x1.2e88f69d54f6cp-1, 0x1.2b477b20e376p-1, 0x1.28082e3f39f48p-1, 0x1.24cb3864413efp-1, 0x1.2190c0f60c9b1p-1, 0x1.1e58ee569daddp-1, 0x1.1b23e5e5c3de6p-1, 0x1.17f1cc031341p-1, 0x1.14c2c40ff379ap-1, 0x1.1196f071c5453p-1, 0x1.0e6e72941c3ddp-1, 0x1.0b496aeb0c319p-1, 0x1.0827f8f58a43ap-1, 0x1.050a3b3fde53p-1, 0x1.01f04f66246f4p-1, 0x1.fdb4a42dbfc91p-2, 0x1.f790be2b328cdp-2, 0x1.f175227b19108p-2, 0x1.eb620508c347ap-2, 0x1.e55797f9e0edbp-2, 0x1.df560bb42100fp-2, 0x1.d95d8ee2e0a27p-2, 0x1.d36e4e7ced4f8p-2, 0x1.cd8875ca552e4p-2, 0x1.c7ac2e6a479fep-2, 0x1.c1d9a058ff0fbp-2, 0x1.bc10f1f5b7f33p-2, 0x1.b6524808b026p-2, 0x1.b09dc5c93063p-2, 0x1.aaf38ce399423p-2, 0x1.a553bd7f77404p-2, 0x1.9fbe76459dcf5p-2, 0x1.9a33d46641866p-2, 0x1.94b3f39f15d6p-2, 0x1.8f3eee416dd0cp-2, 0x1.89d4dd385ac09p-2, 0x1.8475d80ec9db2p-2, 0x1.7f21f4f5a3485p-2, 0x1.79d948c9e21e9p-2, 0x1.749be71aac5f9p-2, 0x1.6f69e22f661edp-2, 0x1.6a434b0dbe7f4p-2, 0x1.6528317fb92c6p-2, 0x1.6018a419b05ap-2, 0x1.5b14b0404e678p-2, 0x1.561c622e84705p-2, 0x1.512fc4fb756c2p-2, 0x1.4c4ee2a05964bp-2, 0x1.4779c3fe57e04p-2, 0x1.42b070e459f03p-2, 0x1.3df2f014d1b1dp-2, 0x1.3941474b765fap-2, 0x1.349b7b42f8787p-2, 0x1.30018fbaa6f1cp-2, 0x1.2b73877c0e423p-2, 0x1.26f1646086453p-2, 0x1.227b2756b833cp-2, 0x1.1e10d06816facp-2, 0x1.19b25ebe4a601p-2, 0x1.155fd0a88e473p-2, 0x1.111923a106167p-2, 0x1.0cde5451fef4ep-2, 0x1.08af5e9b293c6p-2, 0x1.048c3d96c2f7cp-2, 0x1.0074eb9eb1aa7p-2, 0x1.f8d2c4a325b7cp-3, 0x1.f0d3352f76163p-3, 0x1.e8eb195050a3dp-3, 0x1.e11a601aca65ep-3, 0x1.d960f754be2dbp-3, 0x1.d1becb7e59085p-3, 0x1.ca33c7db8702bp-3, 0x1.c2bfd67d4c94cp-3, 0x1.bb62e04af4113p-3, 0x1.b41ccd0b2a5e6p-3, 0x1.aced836cf5dd5p-3, 0x1.a5d4e910912a5p-3, 0x1.9ed2e29029b8p-3, 0x1.97e753887b3b5p-3, 0x1.91121ea15519ap-3, 0x1.8a532595f9236p-3, 0x1.83aa493d5f09ep-3, 0x1.7d1769925baf6p-3, 0x1.769a65bba6292p-3, 0x1.70331c13c09bdp-3, 0x1.69e16a30c08cp-3, 0x1.63a52cebfbea7p-3, 0x1.5d7e406995946p-3, 0x1.576c801fe867p-3, 0x1.516fc6ded9b26p-3, 0x1.4b87eed70c01p-3, 0x1.45b4d1a0edcffp-3, 0x1.3ff64843ade2bp-3, 0x1.3a4c2b3c17d81p-3, 0x1.34b6528343e2p-3, 0x1.2f349595386b3p-3, 0x1.29c6cb775ee03p-3, 0x1.246ccabee9848p-3, 0x1.1f2669970aa95p-3, 0x1.19f37dc720747p-3, 0x1.14d3dcb8b3cbcp-3, 0x1.0fc75b7d6304fp-3, 0x1.0acdced4a9662p-3, 0x1.05e70b318fc81p-3, 0x1.0112e4c03a09p-3, 0x1.f8a25ed6bb419p-4, 0x1.ef437dc328494p-4, 0x1.e608cd35315d6p-4, 0x1.dcf1f3b8cb35dp-4, 0x1.d3fe978066f5cp-4, 0x1.cb2e5e6ec79c7p-4, 0x1.c280ee208bd13p-4, 0x1.b9f5ebf5947f5p-4, 0x1.b18cfd1a2514cp-4, 0x1.a945c68fd27d9p-4, 0x1.a11fed364462ap-4, 0x1.991b15d3b79a8p-4, 0x1.9136e51d4902bp-4, 0x1.8972ffbf1869fp-4, 0x1.81cf0a642cd98p-4, 0x1.7a4aa9be2a3fep-4, 0x1.72e5828cd1a11p-4, 0x1.6b9f39a5516c6p-4, 0x1.647773f961cp-4, 0x1.5d6dd69e301e7p-4, 0x1.568206d31ac34p-4, 0x1.4fb3aa083a5b7p-4, 0x1.490265e4bd4c6p-4, 0x1.426de04d12c72p-4, 0x1.3bf5bf68e769ap-4, 0x1.3599a9a8f4aa7p-4, 0x1.2f5945cca0975p-4, 0x1.29343ae7732dcp-4, 0x1.232a30665d6fcp-4, 0x1.1d3ace14d55e9p-4, 0x1.1765bc21c7353p-4, 0x1.11aaa3245b02ap-4, 0x1.0c092c2090924p-4, 0x1.0681008bb30adp-4, 0x1.0111ca50a2285p-4, 0x1.f77667a7e766p-5, 0x1.ecf9cfefdce02p-5, 0x1.e2ad2440b991cp-5, 0x1.d88fbc6c733eep-5, 0x1.cea0f1566efa5p-5, 0x1.c4e01cfa45467p-5, 0x1.bb4c9a723bf8p-5, 0x1.b1e5c5fd7ac97p-5, 0x1.a8aafd05f7cdp-5, 0x1.9f9b9e261d26ep-5, 0x1.96b7092e2f179p-5, 0x1.8dfc9f29698cp-5, 0x1.856bc262e2378p-5, 0x1.7d03d66a244efp-5, 0x1.74c4401792367p-5, 0x1.6cac659086174p-5, 0x1.64bbae4b37005p-5, 0x1.5cf1831262e99p-5, 0x1.554d4e08be507p-5, 0x1.4dce7aac2a1fdp-5, 0x1.467475d8b1a69p-5, 0x1.3f3eadcb53c7ep-5, 0x1.382c922495fbep-5, 0x1.313d93eae0c75p-5, 0x1.2a71258cacb38p-5, 0x1.23c6bae27ad99p-5, 0x1.1d3dc9309dee2p-5, 0x1.16d5c728d3ccfp-5, 0x1.108e2cebafdefp-5, 0x1.0a667409d7694p-5, 0x1.045e178515656p-5, 0x1.fce927a27c4bep-6, 0x1.f152cda9d942bp-6, 0x1.e5f81fd42bbbdp-6, 0x1.dad81fbce937fp-6, 0x1.cff1d1e79b2f9p-6, 0x1.c5443dc01db41p-6, 0x1.bace6d9a96498p-6, 0x1.b08f6eb32029bp-6, 0x1.a686512d34452p-6, 0x1.9cb22812d13a9p-6, 0x1.931209535f0d2p-6, 0x1.89a50dc254392p-6, 0x1.806a51159e44dp-6, 0x1.7760f1e3ce80bp-6, 0x1.6e8811a20dc83p-6, 0x1.65ded4a1d7f7p-6, 0x1.5d64620e84b41p-6, 0x1.5517e3ea951fep-6, 0x1.4cf8870cd9676p-6, 0x1.45057b1d5d56dp-6, 0x1.3d3df29229ffcp-6, 0x1.35a122abdbbe3p-6, 0x1.2e2e437209cc7p-6, 0x1.26e48faf85ba4p-6, 0x1.1fc344ee7430cp-6, 0x1.18c9a3743d998p-6, 0x1.11f6ee3d5811fp-6, 0x1.0b4a6af8f485p-6, 0x1.04c36204818bfp-6, 0x1.fcc23cce288bap-7, 0x1.f045db996038cp-7, 0x1.e4104102df24ep-7, 0x1.d82012d92611ep-7, 0x1.cc73fc16ec5e1p-7, 0x1.c10aacd8ce5f5p-7, 0x1.b5e2da52d1863p-7, 0x1.aafb3ec5bcdfbp-7, 0x1.a0529974448dep-7, 0x1.95e7ae980b084p-7, 0x1.8bb94756798b2p-7, 0x1.81c631b57c61bp-7, 0x1.780d40901a98ap-7, 0x1.6e8d4b8ae7b09p-7, 0x1.65452f085ecc3p-7, 0x1.5c33cc1d25f1ap-7, 0x1.535808842b4b9p-7, 0x1.4ab0ce92bcc9ep-7, 0x1.423d0d2c7955ap-7, 0x1.39fbb7b73cf4ap-7, 0x1.31ebc60ef2e38p-7, 0x1.2a0c34795c6d5p-7, 0x1.225c0399c8d84p-7, 0x1.1ada3864c1a4p-7, 0x1.1385dc13aceep-7, 0x1.0c5dfc18668bbp-7, 0x1.0561aa10d2f3ap-7, 0x1.fd1ff774d8331p-8, 0x1.efd015cb96aadp-8, 0x1.e2d1ead45eb3ep-8, 0x1.d623ba3205be7p-8, 0x1.c9c3cf62c45a1p-8, 0x1.bdb07da7465b7p-8, 0x1.b1e81fe9c0a39p-8, 0x1.a66918a50e37bp-8, 0x1.9b31d1cbda4cdp-8, 0x1.9040bcafd4bcdp-8, 0x1.859451e8f9573p-8, 0x1.7b2b113ce46d3p-8, 0x1.710381863f024p-8, 0x1.671c309c3eb0bp-8, 0x1.5d73b33a3ceafp-8, 0x1.5408a4e769d2ep-8, 0x1.4ad9a7de978dbp-8, 0x1.41e564f6248e6p-8, 0x1.392a8b88048e5p-8, 0x1.30a7d159e90cap-8, 0x1.285bf2858b93fp-8, 0x1.2045b1611db83p-8, 0x1.1863d667d92b5p-8, 0x1.10b53022bb29fp-8, 0x1.0938931163a81p-8, 0x1.01ecd9931eb68p-8, 0x1.f5a1c7a02d6fcp-9, 0x1.e7c72f45661f5p-9, 0x1.da47c10241822p-9, 0x1.cd215ece14202p-9, 0x1.c051f57ef415ep-9, 0x1.b3d77c9de21c9p-9, 0x1.a7aff63b4dc42p-9, 0x1.9bd96ec3fcc1bp-9, 0x1.9051fcd655529p-9, 0x1.8517c1180b233p-9, 0x1.7a28e60c321adp-9, 0x1.6f839fe9b5ec1p-9, 0x1.65262c723c9b5p-9, 0x1.5b0ed2c96ee9cp-9, 0x1.513be34ca8e5dp-9, 0x1.47abb76b1b12fp-9, 0x1.3e5cb17e4fc58p-9, 0x1.354d3ca32115ap-9, 0x1.2c7bcc9318183p-9, 0x1.23e6dd7e3e5e9p-9, 0x1.1b8cf3e5594c5p-9, 0x1.136c9c7492133p-9, 0x1.0b846bde9356dp-9, 0x1.03d2feb80ef63p-9, 0x1.f8adf2a769f82p-10, 0x1.ea1e0f3d388cep-10, 0x1.dbf3b9fa342a5p-10, 0x1.ce2c68500b5ccp-10, 0x1.c0c59e14e1155p-10, 0x1.b3bced3f98904p-10, 0x1.a70ff5a4ff074p-10, 0x1.9abc64b5d8d37p-10, 0x1.8ebff53dc6babp-10, 0x1.83186f23120d1p-10, 0x1.77c3a72750edbp-10, 0x1.6cbf7ea8e749p-10, 0x1.6209e36568f9bp-10, 0x1.57a0cf3cd539p-10, 0x1.4d8247f5ab5c8p-10, 0x1.43ac5f01dfa12p-10, 0x1.3a1d3144a040ep-10, 0x1.30d2e6d8fdf79p-10, 0x1.27cbb2d95f301p-10, 0x1.1f05d327d3409p-10, 0x1.167f90373710bp-10, 0x1.0e373cd52b2afp-10, 0x1.062b35f4dc596p-10, 0x1.fcb3c4f5428ddp-11, 0x1.ed836610c79c1p-11, 0x1.dec24395ac5bbp-11, 0x1.d06d648ef319fp-11, 0x1.c281e256d78b2p-11, 0x1.b4fce835ffeebp-11, 0x1.a7dbb3043af7dp-11, 0x1.9b1b90cacbd46p-11, 0x1.8eb9e0683c36fp-11, 0x1.82b41135b54ap-11, 0x1.7707a2add81f1p-11, 0x1.6bb2241514b1bp-11, 0x1.60b134237bac1p-11, 0x1.560280b0042ap-11, 0x1.4ba3c65d4783p-11, 0x1.4192d047a8bdcp-11, 0x1.37cd77b4e8cf2p-11, 0x1.2e51a3c521c87p-11, 0x1.251d4925243b7p-11, 0x1.1c2e69c2365fdp-11, 0x1.1383147f2bbf7p-11, 0x1.0b1964ead64fep-11, 0x1.02ef82f7ca70fp-11, 0x1.f607456ae5c63p-12, 0x1.e6a80814dd43dp-12, 0x1.d7bde4e071b63p-12, 0x1.c945896024021p-12, 0x1.bb3bb942513dbp-12, 0x1.ad9d4dcffe00bp-12, 0x1.a067356e0d664p-12, 0x1.93967320de594p-12, 0x1.87281e1248dd9p-12, 0x1.7b196119f16ccp-12, 0x1.6f677a47e9651p-12, 0x1.640fba7194e2cp-12, 0x1.590f84c0d1823p-12, 0x1.4e644e4551e32p-12, 0x1.440b9d882402ep-12, 0x1.3a030a2162e2bp-12, 0x1.30483c500175p-12, 0x1.26d8ec93afb9p-12, 0x1.1db2e348ca413p-12, 0x1.14d3f84652579p-12, 0x1.0c3a127de4d72p-12, 0x1.03e3279da6459p-12, 0x1.f79a77683ca48p-13, 0x1.e7ecc1abf9bfep-13, 0x1.d8b96d8b75457p-13, 0x1.c9fcd53a2c72bp-13, 0x1.bbb36cf0bdc9bp-13, 0x1.add9c2471456p-13, 0x1.a06c7b9213286p-13, 0x1.93685744b808dp-13, 0x1.86ca2b54a4407p-13, 0x1.7a8ee4a1fdf93p-13, 0x1.6eb3866293aedp-13, 0x1.6335299047febp-13, 0x1.5810fc5a9e356p-13, 0x1.4d44419b6ecep-13, 0x1.42cc504ea376dp-13, 0x1.38a6930d039dp-13, 0x1.2ed08789ebaa5p-13, 0x1.2547be13f28fep-13, 0x1.1c09d91869ccbp-13, 0x1.13148ca9ad20ep-13, 0x1.0a659e082e1d4p-13, 0x1.01fae32e3b8e7p-13, 0x1.f3a484bcdc7fcp-14, 0x1.e3d36369578bep-14, 0x1.d47e6d7387a11p-14, 0x1.c5a1cbf300c8ep-14, 0x1.b739c5367d327p-14, 0x1.a942bbf9c3d84p-14, 0x1.9bb92ea0637a1p-14, 0x1.8e99b6750987ep-14, 0x1.81e106ed6aba2p-14, 0x1.758becf2a6475p-14, 0x1.69974e2e0a7f6p-14, 0x1.5e00285a25e6ap-14, 0x1.52c3909810a3ep-14, 0x1.47deb2c8d5935p-14, 0x1.3d4ed0eae9564p-14, 0x1.3311427b97f5ap-14, 0x1.292373dc55cffp-14, 0x1.1f82e5bbdeed2p-14, 0x1.162d2c8311a05p-14, 0x1.0d1fefc570a67p-14, 0x1.0458e9b537dc1p-14, 0x1.f7abcd35e593ap-15, 0x1.e72988a102c85p-15, 0x1.d726e37eed481p-15, 0x1.c79fdcc587a2ap-15, 0x1.b89093972dd4ep-15, 0x1.a9f54652c7088p-15, 0x1.9bca51a9f8bcap-15, 0x1.8e0c2fbd672c6p-15, 0x1.80b7773ed6a12p-15, 0x1.73c8da991531ap-15, 0x1.673d271d854b1p-15, 0x1.5b11443730292p-15, 0x1.4f4232a33ac49p-15, 0x1.43cd0baea2eap-15, 0x1.38af007922408p-15, 0x1.2de5593d1ebf2p-15, 0x1.236d749c859e2p-15, 0x1.1944c6f278fe2p-15, 0x1.0f68d9a9af1e1p-15, 0x1.05d74a976ef3bp-15, 0x1.f91b96b60a152p-16, 0x1.e71441833e02fp-16, 0x1.d594445cdec6dp-16, 0x1.c497720dfdac6p-16, 0x1.b419c0472ab9ap-16, 0x1.a41746873c456p-16, 0x1.948c3d0be9c1p-16, 0x1.8574fbc9f488fp-16, 0x1.76cdf96cc7accp-16, 0x1.6893ca5d4e8d4p-16, 0x1.5ac31fcfde498p-16, 0x1.4d58c6d906bdfp-16, 0x1.4051a78918a6p-16, 0x1.33aac40e412aep-16, 0x1.276137dd041bdp-16, 0x1.1b7236defd093p-16, 0x1.0fdb0ca7ae54ep-16, 0x1.04991baf421dep-16, 0x1.f353b9262c3bbp-17, 0x1.de15bab7ca26dp-17, 0x1.c9738192ebe29p-17, 0x1.b5687b473e353p-17, 0x1.a1f03c210eaa5p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.ca523a59fd46p-3, -0x1.e0daa007566afp-3, -0x1.f72a6393722bbp-3, -0x1.069c91c02262ep-2, -0x1.117f41880c848p-2, -0x1.1c391c60532b5p-2, -0x1.26c60da8630f7p-2, -0x1.312216acf882cp-2, -0x1.3b4953c5a342ap-2, -0x1.453800cb754b9p-2, -0x1.4eea7cf262159p-2, -0x1.585d4e0f60cbcp-2, -0x1.618d2355be3b9p-2, -0x1.6a76d795fee7p-2, -0x1.73177308a07e6p-2, -0x1.7b6c2caeab06dp-2, -0x1.83726b51b0957p-2, -0x1.8b27c62c63c78p-2, -0x1.928a05447661bp-2, -0x1.9997217df1834p-2, -0x1.a04d446fc13adp-2, -0x1.a6aac800a16e2p-2, -0x1.acae35d32f97fp-2, -0x1.b256468755ee6p-2, -0x1.b7a1e0d6da169p-2, -0x1.bc90189268f33p-2, -0x1.c1202d83f8ad7p-2, -0x1.c5518a3afff21p-2, -0x1.c923c2c68c5cbp-2, -0x1.cc969360e6211p-2, -0x1.cfa9df1010738p-2, -0x1.d25dae3e11eb2p-2, -0x1.d4b22d4babebfp-2, -0x1.d6a7ab1fc7673p-2, -0x1.d83e97b5a0fcdp-2, -0x1.d97782ab71244p-2, -0x1.da5319d30d396p-2, -0x1.dad227c5cad9ep-2, -0x1.daf5927cb8e22p-2, -0x1.dabe59ee04ab6p-2, -0x1.da2d96b053a6p-2, -0x1.d94478a4922e8p-2, -0x1.d80445a6b9594p-2, -0x1.d66e5845d2f6bp-2, -0x1.d4841e83845f7p-2, -0x1.d247189b4105ep-2, -0x1.cfb8d7d14163p-2, -0x1.ccdafd4946997p-2, -0x1.c9af38e527bbep-2, -0x1.c637482b20594p-2, -0x1.c274f533d471dp-2, -0x1.be6a159fea279p-2, -0x1.ba18899529577p-2, -0x1.b5823ac30482cp-2, -0x1.b0a91b6e7036bp-2, -0x1.ab8f2584e864dp-2, -0x1.a63659b692159p-2, -0x1.a0a0be975879p-2, -0x1.9ad05fc6eee69p-2, -0x1.94c74d1fa4023p-2, -0x1.8e8799ebec13bp-2, -0x1.88135c2290f8dp-2, -0x1.816caba977dcep-2, -0x1.7a95a19ee6b7ep-2, -0x1.739057a9413abp-2, -0x1.6c5ee74d2649ap-2, -0x1.65036949e68ap-2, -0x1.5d7ff4fc434e8p-2, -0x1.55d69fc76c335p-2, -0x1.4e097c8427a07p-2, -0x1.461a9af6200a9p-2, -0x1.3e0c074743779p-2, -0x1.35dfc9892b9c9p-2, -0x1.2d97e53c75815p-2, -0x1.253658de0758cp-2, -0x1.1cbd1d7a24e3ap-2, -0x1.142e264547ceep-2, -0x1.0b8b603aa9253p-2, -0x1.02d6b1c062c1p-2, -0x1.f423f4a222e14p-3, -0x1.e27e2455d6159p-3, -0x1.d0bf94083e38dp-3, -0x1.beebd588ebbe7p-3, -0x1.ad066a8817365p-3, -0x1.9b12c41e1a5dbp-3, -0x1.8914425cb2506p-3, -0x1.770e33e9c47cp-3, -0x1.6503d5a378985p-3, -0x1.52f8524d54f54p-3, -0x1.40eec24623114p-3, -0x1.2eea2b4657db2p-3, -0x1.1ced8026bcc6fp-3, -0x1.0afba0af0e0eep-3, -0x1.f22eb2d8a2e09p-4, -0x1.ce86c71d20226p-4, -0x1.ab04c99b78498p-4, -0x1.87addeaaeb619p-4, -0x1.6487036ebdb4fp-4, -0x1.41950dc790169p-4, -0x1.1edcac50c523bp-4, -0x1.f8c4ccd2e83d5p-5, -0x1.b4553890b72fdp-5, -0x1.70730e349c62dp-5, -0x1.2d26725529b06p-5, -0x1.d4ee78530b71cp-6, -0x1.50d9ebfdf4f95p-6, -0x1.9c3b76fdad25ap-7, -0x1.331f2c3e1daffp-8, 0x1.98d4bb293baa2p-9, 0x1.62f965b882931p-7, 0x1.2e5261b906e2dp-6, 0x1.a990102a7f956p-6, 0x1.11955d3cf494ap-5, 0x1.4d8bf5a1d1501p-5, 0x1.88a6dcce0a7ddp-5, 0x1.c2e1639110355p-5, 0x1.fc371f003abadp-5, 0x1.1a51f3b7d09c1p-4, 0x1.3611ebb1dfa19p-4, 0x1.5159a53e46edep-4, 0x1.6c276e2d57a11p-4, 0x1.8679b3bf9e6dbp-4, 0x1.a04f0213632a7p-4, 0x1.b9a6039009525p-4, 0x1.d27d804f8acc2p-4, 0x1.ead45d86521c7p-4, 0x1.0154ce74d5b6cp-3, 0x1.0cfe2e0a825b6p-3, 0x1.1865e9f71a0bp-3, 0x1.238bac0479ec6p-3, 0x1.2e6f2b04e018bp-3, 0x1.39102a842f5c6p-3, 0x1.436e7a79053a4p-3, 0x1.4d89f6f5cd4bap-3, 0x1.576287d9dc8a7p-3, 0x1.60f82082a1b85p-3, 0x1.6a4abf7d06262p-3, 0x1.735a6e3705e5fp-3, 0x1.7c2740b199cacp-3, 0x1.84b15532f0929p-3, 0x1.8cf8d3f91b4adp-3, 0x1.94fdeeed2504dp-3, 0x1.9cc0e156ad9a2p-3, 0x1.a441ef9012fp-3, 0x1.ab8166bb2b5d6p-3, 0x1.b27f9c76a3acdp-3, 0x1.b93cee9409851p-3, 0x1.bfb9c2ce81585p-3, 0x1.c5f686823dd69p-3, 0x1.cbf3ae64b9c54p-3, 0x1.d1b1b63db5fd8p-3, 0x1.d73120a10eebfp-3, 0x1.dc7276a968bp-3, 0x1.e17647b3b1dbap-3, 0x1.e63d291b902c3p-3, 0x1.eac7b5f8b3b98p-3, 0x1.ef168edd1098cp-3, 0x1.f32a599414124p-3, 0x1.f703c0e2c2eecp-3, 0x1.faa37448da606p-3, 0x1.fe0a27c2e6548p-3, 0x1.009c49c6ada0dp-2, 0x1.0217b9f458672p-2, 0x1.0377c46f3ff9ap-2, 0x1.04bccb03d4f0ep-2, 0x1.05e73129c527ep-2, 0x1.06f75be8162fcp-2, 0x1.07edb1b9ccf1p-2, 0x1.08ca9a7315b8bp-2, 0x1.098e7f26f8923p-2, 0x1.0a39ca0d93c4bp-2, 0x1.0acce66ae06ap-2, 0x1.0b484075fe0a8p-2, 0x1.0bac454108526p-2, 0x1.0bf962a179837p-2, 0x1.0c3007190ea56p-2, 0x1.0c50a1bf3db98p-2, 0x1.0c5ba22b2f6f3p-2, 0x1.0c51785e44b3bp-2, 0x1.0c3294af22d6bp-2, 0x1.0bff67b54b8a8p-2, 0x1.0bb862353a26ap-2, 0x1.0b5df50d0a22fp-2, 0x1.0af09121a1f44p-2, 0x1.0a70a74c6aa54p-2, 0x1.09dea84984c89p-2, 0x1.093b04a689b5cp-2, 0x1.08862cb1ccc36p-2, 0x1.07c0906a22a3ap-2, 0x1.06ea9f6f26fb8p-2, 0x1.0604c8f209df7p-2, 0x1.050f7ba6d7945p-2, 0x1.040b25b643d1p-2, 0x1.02f834aff024bp-2, 0x1.01d7157d31e8ap-2, 0x1.00a8345453c7cp-2, 0x1.fed7f9589ceb3p-3, 0x1.fc45b261fe5ddp-3, 0x1.f99a676fa66c8p-3, 0x1.f6d6ea69d33fcp-3, 0x1.f3fc0b6156d85p-3, 0x1.f10a987bab158p-3, 0x1.ee035ddfeb4fdp-3, 0x1.eae725a4b0029p-3, 0x1.e7b6b7bec1f6bp-3, 0x1.e472d9f0ae9b7p-3, 0x1.e11c4fbb2db86p-3, 0x1.ddb3da4e5cddcp-3, 0x1.da3a387bcc2d7p-3, 0x1.d6b026a95493p-3, 0x1.d3165ec4b5a68p-3, 0x1.cf6d9837ffa1ep-3, 0x1.cbb687deb6ef1p-3, 0x1.c7f1dffbbcbe5p-3, 0x1.c420502fea2bep-3, 0x1.c04285716a469p-3, 0x1.bc592a03c07c7p-3, 0x1.b864e5707fd58p-3, 0x1.b4665c80b1391p-3, 0x1.b05e3136db8bep-3, 0x1.ac4d02c9b20dbp-3, 0x1.a8336d9f62cd4p-3, 0x1.a4120b4980cd8p-3, 0x1.9fe9728184944p-3, 0x1.9bba3725e403ep-3, 0x1.9784ea37b7d3p-3, 0x1.934a19d8ef839p-3, 0x1.8f0a514b0db05p-3, 0x1.8ac618ee66899p-3, 0x1.867df641e6a81p-3, 0x1.82326be34b58ep-3, 0x1.7de3f98fe25e7p-3, 0x1.79931c25b33f7p-3, 0x1.75404da5257d3p-3, 0x1.70ec0533094e3p-3, 0x1.6c96b71b1555bp-3, 0x1.6840d4d2c7c04p-3, 0x1.63eaccfca7419p-3, 0x1.5f950b6bea1a9p-3, 0x1.5b3ff92875f6dp-3, 0x1.56ebfc7335fdep-3, 0x1.529978cacf029p-3, 0x1.4e48cef0984e7p-3, 0x1.49fa5cedf0c91p-3, 0x1.45ae7e19d536dp-3, 0x1.41658b1ec2fep-3, 0x1.3d1fda00df884p-3, 0x1.38ddbe245c557p-3, 0x1.349f8854224dcp-3, 0x1.306586c8abb2dp-3, 0x1.2c30052f25502p-3, 0x1.27ff4cb0b65f3p-3, 0x1.23d3a3fa01991p-3, 0x1.1fad4f42d94b4p-3, 0x1.1b8c905613f99p-3, 0x1.1771a6999869p-3, 0x1.135ccf1685d19p-3, 0x1.0f4e44818728fp-3, 0x1.0b463f4341b27p-3, 0x1.0744f580e9613p-3, 0x1.034a9b24ecfacp-3, 0x1.feaec3cf7cbd8p-4, 0x1.f6d6f2b161994p-4, 0x1.ef0e1dcddf947p-4, 0x1.e7549bd5083a3p-4, 0x1.dfaabf5adbc1p-4, 0x1.d810d6e99b1dfp-4, 0x1.d0872d14282bap-4, 0x1.c90e08888ac1fp-4, 0x1.c1a5ac227cd7ep-4, 0x1.ba4e56fe04b7cp-4, 0x1.b308448a17ffap-4, 0x1.abd3ac9b51fb3p-4, 0x1.a4b0c37e915d3p-4, 0x1.9d9fba0bb21e3p-4, 0x1.96a0bdb836ff2p-4, 0x1.8fb3f8a9df2adp-4, 0x1.88d991c948af2p-4, 0x1.8211acd47676p-4, 0x1.7b5c6a714994ap-4, 0x1.74b9e83fe901fp-4, 0x1.6e2a40ed12156p-4, 0x1.67ad8c4452267p-4, 0x1.6143df42248dbp-4, 0x1.5aed4c25f4d9ep-4, 0x1.54a9e28400a7p-4, 0x1.4e79af57199d3p-4, 0x1.485cbd1243329p-4, 0x1.425313b22af47p-4, 0x1.3c5cb8ce7afd7p-4, 0x1.3679afab028d8p-4, 0x1.30a9f948b43bfp-4, 0x1.2aed9476782e9p-4, 0x1.25447de1d0935p-4, 0x1.1faeb0274fa8bp-4, 0x1.1a2c23e2dcddfp-4, 0x1.14bccfbfc7fd1p-4, 0x1.0f60a888aa8bap-4, 0x1.0a17a13714befp-4, 0x1.04e1ab0305223p-4, 0x1.ff7d6ae455ddbp-5, 0x1.f55d5ccde4c57p-5, 0x1.eb63045eae6b3p-5, 0x1.e18e372704354p-5, 0x1.d7dec7c853213p-5, 0x1.ce5486117a6ep-5, 0x1.c4ef3f1aa66d7p-5, 0x1.bbaebd60bb721p-5, 0x1.b292c8e04976fp-5, 0x1.a99b273006befp-5, 0x1.a0c79b9ad765ep-5, 0x1.9817e73958beap-5, 0x1.8f8bc90af6d34p-5, 0x1.8722fe0e8a445p-5, 0x1.7edd415a7a4f1p-5, 0x1.76ba4c34694f4p-5, 0x1.6eb9d62865c27p-5, 0x1.66db951fa2f5bp-5, 0x1.5f1f3d76bbd5ep-5, 0x1.5784821379322p-5, 0x1.500b147a227aap-5, 0x1.48b2a4e25576p-5, 0x1.417ae24b69279p-5, 0x1.3a637a9055e9bp-5, 0x1.336c1a7b2ad55p-5, 0x1.2c946dd80da54p-5, 0x1.25dc1f87c2447p-5, 0x1.1f42d991c43c6p-5, 0x1.18c84535e6661p-5, 0x1.126c0afd86973p-5, 0x1.0c2dd2cc4c7f3p-5, 0x1.060d43f078477p-5, 0x1.000a0532c36d1p-5, 0x1.f44779cba6f45p-6, 0x1.e8b421ea7a6bfp-6, 0x1.dd594de840c8ap-6, 0x1.d2364856a7f7cp-6, 0x1.c74a5b4e5ac3dp-6, 0x1.bc94d089b743dp-6, 0x1.b214f17ebe25cp-6, 0x1.a7ca077830fa2p-6, 0x1.9db35badee485p-6, 0x1.93d0375c81908p-6, 0x1.8a1fe3dbf6b78p-6, 0x1.80a1aab5e869fp-6, 0x1.7754d5bad29d7p-6, 0x1.6e38af16ad677p-6, 0x1.654c8164cd5bp-6, 0x1.5c8f97c31128bp-6, 0x1.54013de45b1aep-6, 0x1.4ba0c0226262cp-6, 0x1.436d6b8ecf8cbp-6, 0x1.3b668e03baa02p-6, 0x1.338b76337b702p-6, 0x1.2bdb73b7db96fp-6, 0x1.2455d720aad2p-6, 0x1.1cf9f201b2eccp-6, 0x1.15c7170012f83p-6, 0x1.0ebc99df08d8bp-6, 0x1.07d9cf8c2220bp-6, 0x1.011e0e2ae02e4p-6, 0x1.f5115a3f9c481p-7, 0x1.e8320a3619eb1p-7, 0x1.db9ce044ab0eep-7, 0x1.cf509334fded2p-7, 0x1.c34bdca0f1abep-7, 0x1.b78d7903a2a32p-7, 0x1.ac1427c96f739p-7, 0x1.a0deab5f18b6dp-7, 0x1.95ebc93ff2d72p-7, 0x1.8b3a4a0332801p-7, 0x1.80c8f9685948ep-7, 0x1.7696a662c9a38p-7, 0x1.6ca2232484decp-7, 0x1.62ea45281d17cp-7, 0x1.596de539df51ap-7, 0x1.502bdf80344c7p-7, 0x1.472313834c3b1p-7, 0x1.3e526434054cbp-7, 0x1.35b8b7f22b03fp-7, 0x1.2d54f891fe98cp-7, 0x1.252613611a8c7p-7, 0x1.1d2af92aaf2fbp-7, 0x1.15629e3b22182p-7, 0x1.0dcbfa6310aa5p-7, 0x1.066608f9bfb5p-7, 0x1.fe5f91bdeed59p-8, 0x1.f05078f8ac8e8p-8, 0x1.e29cd38c32602p-8, 0x1.d542b476c59f1p-8, 0x1.c84035cc07b23p-8, 0x1.bb9378b39051fp-8, 0x1.af3aa5669f8efp-8, 0x1.a333eb2ce87a8p-8, 0x1.977d8058847a4p-8, 0x1.8c15a24111887p-8, 0x1.80fa953e065adp-8, 0x1.762aa4a04409fp-8, 0x1.6ba422aaebb1ap-8, 0x1.6165688b80c51p-8, 0x1.576cd6515f679p-8, 0x1.4db8d2e48d437p-8, 0x1.4447cbfbec78bp-8, 0x1.3b183612d7f4ap-8, 0x1.32288c5e2ed45p-8, 0x1.297750c0d6fa4p-8, 0x1.21030bbfbc7a3p-8, 0x1.18ca4c7553c27p-8, 0x1.10cba884a5d59p-8, 0x1.0905bc0beb5cbp-8, 0x1.01772996be2c8p-8, 0x1.f43d341fc9c9cp-9, 0x1.e5f57965811b9p-9, 0x1.d8148df8be029p-9, 0x1.ca97e93876d9bp-9, 0x1.bd7d0ec95943ap-9, 0x1.b0c18e7616ae2p-9, 0x1.a463040f26593p-9, 0x1.985f174a07042p-9, 0x1.8cb37ba00670fp-9, 0x1.815df02c9c426p-9, 0x1.765c3f8b62e57p-9, 0x1.6bac3fb5ae86bp-9, 0x1.614bd1dfd1d73p-9, 0x1.5738e25616417p-9, 0x1.4d71685971b0fp-9, 0x1.43f365fbf95bep-9, 0x1.3abce7fd2783bp-9, 0x1.31cc05a5ea9a5p-9, 0x1.291ee0a49180ap-9, 0x1.20b3a4e897ae1p-9, 0x1.1888887e51d18p-9, 0x1.109bcb6a8bd01p-9, 0x1.08ebb786166f5p-9, 0x1.0176a0594b6ecp-9, 0x1.f475c5ef21007p-10, 0x1.e66dcbb5b7e1cp-10, 0x1.d8d2317e89297p-10, 0x1.cb9fe8fd32068p-10, 0x1.bed3f5d81871ap-10, 0x1.b26b6d5ff298ep-10, 0x1.a663764780f6p-10, 0x1.9ab9485b8410dp-10, 0x1.8f6a2c3b0111ep-10, 0x1.84737b0fcf83cp-10, 0x1.79d29e477a66p-10, 0x1.6f850f4c8574p-10, 0x1.65885740133fep-10, 0x1.5bda0eb3f5232p-10, 0x1.5277dd652ce66p-10, 0x1.495f79f6e9226p-10, 0x1.408ea9adf7d92p-10, 0x1.3803402cc14aep-10, 0x1.2fbb1f2fc6861p-10, 0x1.27b4364ab134ep-10, 0x1.1fec82a5ea86ep-10, 0x1.18620ebcd31afp-10, 0x1.1112f21c8d47bp-10, 0x1.09fd512367443p-10, 0x1.031f5cc0e020ep-10, 0x1.f8eea46cbb41cp-11, 0x1.ec06f5b0f9c6dp-11, 0x1.df8457a22815ap-11, 0x1.d3638bc3bfa0fp-11, 0x1.c7a16a4fc13f6p-11, 0x1.bc3ae1bed2b73p-11, 0x1.b12cf651c699ep-11, 0x1.a674c19c8e379p-11, 0x1.9c0f72129dfd1p-11, 0x1.91fa4a94c2e52p-11, 0x1.8832a2006ed55p-11, 0x1.7eb5e2c07defp-11, 0x1.75818a5f7580bp-11, 0x1.6c93291b40df3p-11, 0x1.63e8617a6c261p-11, 0x1.5b7ee7e2de3a8p-11, 0x1.535482321415dp-11, 0x1.4b670756dce5bp-11, 0x1.43b45eec99b4fp-11, 0x1.3c3a80d7fd3cbp-11, 0x1.34f774e54f77ep-11, 0x1.2de95268332c7p-11, 0x1.270e3fdced301p-11, 0x1.2064728b2b9b4p-11, 0x1.19ea2e2a4fd8dp-11, 0x1.139dc487345c6p-11, 0x1.0d7d952b73daep-11, 0x1.07880d062ad0cp-11, 0x1.01bba61634758p-11, 0x1.f82dce2bc3f99p-12, 0x1.ed30c6504deep-12, 0x1.e27d730e7bf12p-12, 0x1.d8112a697bbf8p-12, 0x1.cde9595640ccp-12, 0x1.c4038321705f9p-12, 0x1.ba5d40d821p-12, 0x1.b0f440b370b82p-12, 0x1.a7c64586e1981p-12, 0x1.9ed1263182477p-12, 0x1.9612cd11d35aep-12, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.8b5bddab47a9bp-3, -0x1.9f43bb86d5e44p-3, -0x1.b3204ebfddf1p-3, -0x1.c6ee7bce650cfp-3, -0x1.daab10ff23627p-3, -0x1.ee52cbb972b28p-3, -0x1.00f12ebc18515p-2, -0x1.0aab3838ee78dp-2, -0x1.1455d5f70623p-2, -0x1.1def5c23d8763p-2, -0x1.2776214e72151p-2, -0x1.30e88016e5e6ep-2, -0x1.3a44d8b6797f6p-2, -0x1.43899261f6dfp-2, -0x1.4cb51c87bde1ep-2, -0x1.55c5efeb582a1p-2, -0x1.5eba8fa067debp-2, -0x1.679189e6c534p-2, -0x1.704978e9bde9ap-2, -0x1.78e1036448802p-2, -0x1.8156dd2c0cbbep-2, -0x1.89a9c7a509181p-2, -0x1.91d8921f94e35p-2, -0x1.99e21a226f58bp-2, -0x1.a1c54ba2752b6p-2, -0x1.a981212988c88p-2, -0x1.b114a3ee22b2ep-2, -0x1.b87eebdcece6fp-2, -0x1.bfbf1f95b9b79p-2, -0x1.c6d4745d110cap-2, -0x1.cdbe2e03787a3p-2, -0x1.d47b9ec3924dcp-2, -0x1.db0c27180e424p-2, -0x1.e16f358a5bfc6p-2, -0x1.e7a4467b04e39p-2, -0x1.edaae3e46b56cp-2, -0x1.f382a518bd101p-2, -0x1.f92b2e7bb3884p-2, -0x1.fea43138cf312p-2, -0x1.01f6b57b4a0dcp-1, -0x1.048352c3a5542p-1, -0x1.06f7db4be0251p-1, -0x1.09543fae36501p-1, -0x1.0b98761eae0cbp-1, -0x1.0dc47a409b63dp-1, -0x1.0fd84cfbd7f34p-1, -0x1.11d3f451d040dp-1, -0x1.13b77b32852d1p-1, -0x1.1582f1519bb17p-1, -0x1.17366afb94a3dp-1, -0x1.18d200eb3cfe8p-1, -0x1.1a55d01f6d89cp-1, -0x1.1bc1f9b124e79p-1, -0x1.1d16a2aa0dcfep-1, -0x1.1e53f3db7bd4p-1, -0x1.1f7a19b5e81dfp-1, -0x1.20894420f8488p-1, -0x1.2181a65417ac6p-1, -0x1.226376afa7875p-1, -0x1.232eee96ce58fp-1, -0x1.23e44a49e9c18p-1, -0x1.2483c8c1a69fap-1, -0x1.250dab8ac6064p-1, -0x1.258236a28df07p-1, -0x1.25e1b053eafb1p-1, -0x1.262c611545c75p-1, -0x1.266293670b95dp-1, -0x1.268493b2edd6dp-1, -0x1.2692b02bd8075p-1, -0x1.268d38aea0407p-1, -0x1.26747ea36ddb2p-1, -0x1.2648d4dfdc889p-1, -0x1.260a8f89d8934p-1, -0x1.25ba03fb360a4p-1, -0x1.255788a602676p-1, -0x1.24e374f9903e4p-1, -0x1.245e21483f608p-1, -0x1.23c7e6adfc2fep-1, -0x1.23211ef77a12dp-1, -0x1.226a248a26a17p-1, -0x1.21a3524cd5518p-1, -0x1.20cd03911f74fp-1, -0x1.1fe793fd7eeap-1, -0x1.1ef35f7817d6dp-1, -0x1.1df0c2123b8d4p-1, -0x1.1ce017f4980e1p-1, -0x1.1bc1bd4c1afd2p-1, -0x1.1a960e3782befp-1, -0x1.195d66b59a035p-1, -0x1.181822941fb67p-1, -0x1.16c69d5f57d56p-1, -0x1.156932523f6d2p-1, -0x1.14003c4767f2p-1, -0x1.128c15aa7123ep-1, -0x1.110d186a22d0dp-1, -0x1.0f839deb239a9p-1, -0x1.0deffefb46ce7p-1, -0x1.0c5293c572a18p-1, -0x1.0aabb3c619fb5p-1, -0x1.08fbb5c046493p-1, -0x1.0742efb32eefcp-1, -0x1.0581b6d05d413p-1, -0x1.03b85f7255ee2p-1, -0x1.01e73d13c7f1fp-1, -0x1.000ea2473d754p-1, -0x1.fc5dc15e92bf2p-2, -0x1.f89091ee64124p-2, -0x1.f4b6559823245p-2, -0x1.f0cfa9acda63ep-2, -0x1.ecdd296875d43p-2, -0x1.e8df6de6b2b54p-2, -0x1.e4d70e18de525p-2, -0x1.e0c49ebc67eb7p-2, -0x1.dca8b2523c7dfp-2, -0x1.d883d916e4f15p-2, -0x1.d456a0fb61d2ap-2, -0x1.d021959ebc436p-2, -0x1.cbe540484ac8bp-2, -0x1.c7a227e29fdf6p-2, -0x1.c358d0f71d0bfp-2, -0x1.bf09bdaa25202p-2, -0x1.bab56db7eaa29p-2, -0x1.b65c5e71ce065p-2, -0x1.b1ff0abc4fa9fp-2, -0x1.ad9deb0d8636dp-2, -0x1.a939756c1b257p-2, -0x1.a4d21d6ec6cc5p-2, -0x1.a068543c44f09p-2, -0x1.9bfc888bbc914p-2, -0x1.978f26a59c3efp-2, -0x1.93209864dc7c2p-2, -0x1.8eb14538aaca1p-2, -0x1.8a41922678fc5p-2, -0x1.85d1e1cc6725ap-2, -0x1.8162946406ccap-2, -0x1.7cf407c577682p-2, -0x1.7886976ad0b46p-2, -0x1.741a9c73d9fefp-2, -0x1.6fb06daa0df99p-2, -0x1.6b485f84e40a5p-2, -0x1.66e2c42e572ep-2, -0x1.627feb87b48b2p-2, -0x1.5e20232e9b46dp-2, -0x1.59c3b6823d70cp-2, -0x1.556aeea8d1c11p-2, -0x1.5116129536278p-2, -0x1.4cc5670cc4ee6p-2, -0x1.48792ead53351p-2, -0x1.4431a9f35af4cp-2, -0x1.3fef17404986ap-2, -0x1.3bb1b2e0f38bap-2, -0x1.3779b7142ab1ep-2, -0x1.33475c1170812p-2, -0x1.2f1ad80fca237p-2, -0x1.2af45f4ca9ba9p-2, -0x1.26d42412f2fa3p-2, -0x1.22ba56c2163p-2, -0x1.1ea725d53c732p-2, -0x1.1a9abdea8ab1cp-2, -0x1.169549ca702e9p-2, -0x1.1296f26f07061p-2, -0x1.0e9fdf0b7f421p-2, -0x1.0ab0351396aeap-2, -0x1.06c8184316d6ep-2, -0x1.02e7aaa55ee1cp-2, -0x1.fe1e1939e1066p-3, -0x1.f67cb9d605499p-3, -0x1.eeeb716e2e451p-3, -0x1.e76a772d2818cp-3, -0x1.dff9ff28b3a75p-3, -0x1.d89a3a70bbbcbp-3, -0x1.d14b571e7b40bp-3, -0x1.ca0d8063a7cf7p-3, -0x1.c2e0de998d5dap-3, -0x1.bbc5975021115p-3, -0x1.b4bbcd5d0a6d7p-3, -0x1.adc3a0ea9760ep-3, -0x1.a6dd2f86a5c7ep-3, -0x1.a00894317d17ep-3, -0x1.9945e76c877f9p-3, -0x1.92953f4907826p-3, -0x1.8bf6af76a43cep-3, -0x1.856a4951ebfb6p-3, -0x1.7ef01bf2af3c3p-3, -0x1.7888343a4e7fcp-3, -0x1.72329ce1dec18p-3, -0x1.6bef5e88346e7p-3, -0x1.65be7fbfd073ap-3, -0x1.5fa0051cacc0dp-3, -0x1.5993f141e217ap-3, -0x1.539a44ef3295bp-3, -0x1.4db2ff0e6ae75p-3, -0x1.47de1cc0a12ccp-3, -0x1.421b996b50af8p-3, -0x1.3c6b6ec54a7e1p-3, -0x1.36cd94e382d8dp-3, -0x1.31420245b5471p-3, -0x1.2bc8abe2e117p-3, -0x1.266185359f29dp-3, -0x1.210c804848406p-3, -0x1.1bc98dc0f574ap-3, -0x1.16989ced583d1p-3, -0x1.11799bce620f4p-3, -0x1.0c6c7723c2aafp-3, -0x1.07711a773fb0fp-3, -0x1.02877027d6929p-3, -0x1.fb5ec2e974e06p-4, -0x1.f1d1ad103fa9bp-4, -0x1.e8676d03bff6cp-4, -0x1.df1fcf03daea4p-4, -0x1.d5fa9d652f1d4p-4, -0x1.ccf7a0a551853p-4, -0x1.c4169f7e99c2cp-4, -0x1.bb575efbaf1c5p-4, -0x1.b2b9a28a9a527p-4, -0x1.aa3d2c0f99e2ap-4, -0x1.a1e1bbf78936dp-4, -0x1.99a71149efdfdp-4, -0x1.918ce9babf5b4p-4, -0x1.899301bba74c8p-4, -0x1.81b9148d1ca79p-4, -0x1.79fedc4f00476p-4, -0x1.72641210ed8dcp-4, -0x1.6ae86de22ec44p-4, -0x1.638ba6e15a684p-4, -0x1.5c4d734b96643p-4, -0x1.552d888b85155p-4, -0x1.4e2b9b47d920cp-4, -0x1.47475f7193c7fp-4, -0x1.40808851edbeep-4, -0x1.39d6c897e8ec7p-4, -0x1.3349d2658e142p-4, -0x1.2cd9575cd749ap-4, -0x1.268508ac45c6p-4, -0x1.204c971b25ef5p-4, -0x1.1a2fb31581652p-4, -0x1.142e0cb7c04dfp-4, -0x1.0e4753d9fa11bp-4, -0x1.087b381af6ea6p-4, -0x1.02c968eae40cdp-4, -0x1.fa632b2b7202p-5, -0x1.ef66da9aa250bp-5, -0x1.e49d3e6672e22p-5, -0x1.da05b4c467f32p-5, -0x1.cf9f9beee1df3p-5, -0x1.c56a5236ffabp-5, -0x1.bb653615f0f42p-5, -0x1.b18fa63dbac92p-5, -0x1.a7e901a9712d5p-5, -0x1.9e70a7ace8191p-5, -0x1.9525f803db415p-5, -0x1.8c0852e094651p-5, -0x1.831718fa0a253p-5, -0x1.7a51ab99819a2p-5, -0x1.71b76ca7b0323p-5, -0x1.6947beb95f992p-5, -0x1.6102051b9a5a8p-5, -0x1.58e5a3df5b413p-5, -0x1.50f1ffe4cc7acp-5, -0x1.49267ee60f1a2p-5, -0x1.4182878190f4ep-5, -0x1.3a058143f3acp-5, -0x1.32aed4b187b07p-5, -0x1.2b7deb4f59274p-5, -0x1.24722fabd44e2p-5, -0x1.1d8b0d67064ep-5, -0x1.16c7f13a73173p-5, -0x1.102849008e5afp-5, -0x1.09ab83bbd03e6p-5, -0x1.0351119d6d846p-5, -0x1.fa30c817638ccp-6, -0x1.ee01db4fffe99p-6, -0x1.e21444a8f72acp-6, -0x1.d666ee72b6e8dp-6, -0x1.caf8c593cadaap-6, -0x1.bfc8b99239986p-6, -0x1.b4d5bc9c39e37p-6, -0x1.aa1ec3904f3b6p-6, -0x1.9fa2c604cc574p-6, -0x1.9560be4ec1249p-6, -0x1.8b57a9885c09bp-6, -0x1.81868796b8c9cp-6, -0x1.77ec5b2f29b5dp-6, -0x1.6e8829dbfbde6p-6, -0x1.6558fc00b9cabp-6, -0x1.5c5ddcddee1d9p-6, -0x1.5395da946e99fp-6, -0x1.4b000628303b1p-6, -0x1.429b7382a731p-6, -0x1.3a673974b5919p-6, -0x1.326271b8334ccp-6, -0x1.2a8c38f106f23p-6, -0x1.22e3aeaddd5aap-6, -0x1.1b67f5687cb0dp-6, -0x1.14183285b7c75p-6, -0x1.0cf38e5508c34p-6, -0x1.05f9340fd1b59p-6, -0x1.fe50a3b084da2p-7, -0x1.f100316fe762ep-7, -0x1.e3ff793c5d825p-7, -0x1.d74ce8bbca964p-7, -0x1.cae6f356c8e41p-7, -0x1.becc123377a0dp-7, -0x1.b2fac42fcbb75p-7, -0x1.a7718ddb4e309p-7, -0x1.9c2ef9706a04ep-7, -0x1.913196cd3439ep-7, -0x1.8677fb6bcbdaep-7, -0x1.7c00c25a42516p-7, -0x1.71ca8c321e68p-7, -0x1.67d3ff0f72fp-7, -0x1.5e1bc6879e249p-7, -0x1.54a0939fa689dp-7, -0x1.4b611cc23f22p-7, -0x1.425c1db57c1e5p-7, -0x1.3990579032fa4p-7, -0x1.30fc90af16e56p-7, -0x1.289f94a986ecap-7, -0x1.207834461c3f4p-7, -0x1.1885456ef8fa1p-7, -0x1.10c5a325dab6dp-7, -0x1.09382d77f517cp-7, -0x1.01dbc97199853p-7, -0x1.f55ec22357a8ep-8, -0x1.e763c679d5c3p-8, -0x1.d9c487621d50cp-8, -0x1.cc7ef5ef7e34ap-8, -0x1.bf910cb2ceafp-8, -0x1.b2f8cf9fcf64bp-8, -0x1.a6b44bf25520fp-8, -0x1.9ac19813389bep-8, -0x1.8f1ed37d1b781p-8, -0x1.83ca26a0fbb64p-8, -0x1.78c1c2caa5f1ap-8, -0x1.6e03e2050395ap-8, -0x1.638ec6fe4ee58p-8, -0x1.5960bcec2daf6p-8, -0x1.4f78176fbad35p-8, -0x1.45d332797f776p-8, -0x1.3c70722d6532p-8, -0x1.334e42c69e5abp-8, -0x1.2a6b187b8f7a7p-8, -0x1.21c56f61b7e47p-8, -0x1.195bcb51a3084p-8, -0x1.112cb7cadf1d8p-8, -0x1.0936c7d803922p-8, -0x1.017895f2c5443p-8, -0x1.f3e187d03d6e4p-9, -0x1.e53bf5791c7c1p-9, -0x1.d6fdd520daf57p-9, -0x1.c9249508c734ep-9, -0x1.bbadb13beec26p-9, -0x1.ae96b35883b6ep-9, -0x1.a1dd3259899efp-9, -0x1.957ed260cdcc5p-9, -0x1.8979448130b8ap-9, -0x1.7dca46894468fp-9, -0x1.726fa2ce44541p-9, -0x1.67672ff7675afp-9, -0x1.5caed0c99686p-9, -0x1.524473f38405fp-9, -0x1.482613da2c0a3p-9, -0x1.3e51b665c08d7p-9, -0x1.34c56ccf00a7ep-9, -0x1.2b7f536d01994p-9, -0x1.227d91836bc9cp-9, -0x1.19be59112aa35p-9, -0x1.113fe69f9843cp-9, -0x1.0900811220874p-9, -0x1.00fe79765f5cbp-9, -0x1.f27055a982473p-10, -0x1.e357f4033ee94p-10, -0x1.d4b0aaddbc86dp-10, -0x1.c67769fc24ba1p-10, -0x1.b8a933a6465f4p-10, -0x1.ab431c4ef3bd9p-10, -0x1.9e424a3b6284ap-10, -0x1.91a3f52ba423fp-10, -0x1.8565660424776p-10, -0x1.7983f67848aecp-10, -0x1.6dfd10b616cc1p-10, -0x1.62ce2f12f0f97p-10, -0x1.57f4dbb9759b7p-10, -0x1.4d6eb05862583p-10, -0x1.433955d29cfaep-10, -0x1.395283f04bae3p-10, -0x1.2fb801110d728p-10, -0x1.2667a1df3b29ap-10, -0x1.1d5f490451df9p-10, -0x1.149ce6de690a1p-10, -0x1.0c1e7936c5a2bp-10, -0x1.03e20af97db82p-10, -0x1.f7cb67dc6da72p-11, -0x1.e84f30e3f0327p-11, -0x1.d94bd2641e42dp-11, -0x1.cabdc5d01119cp-11, -0x1.bca19c2d73efdp-11, -0x1.aef3fd90b976ap-11, -0x1.a1b1a89b6e034p-11, -0x1.94d771fca6d41p-11, -0x1.886243f385e3fp-11, -0x1.7c4f1dd3d7048p-11, -0x1.709b138cb8106p-11, -0x1.65434d3153dd6p-11, -0x1.5a450683a2debp-11, -0x1.4f9d8e8133453p-11, -0x1.454a46f1f0811p-11, -0x1.3b48a3f8e9ecfp-11, -0x1.31962ba71132ap-11, -0x1.2830758feb3cdp-11, -0x1.1f152a603427bp-11, -0x1.164203766a097p-11, -0x1.0db4ca7d410aap-11, -0x1.056b5907f6014p-11, -0x1.fac73060fea74p-12, -0x1.eb37006f2643ap-12, -0x1.dc22304d01d0cp-12, -0x1.cd84eae5aba81p-12, -0x1.bf5b774795c02p-12, -0x1.b1a237f2e7069p-12, -0x1.a455aa2b538a9p-12, -0x1.9772654d634e4p-12, -0x1.8af51a271c7c5p-12, -0x1.7eda925408011p-12, -0x1.731faf9c828ffp-12, -0x1.67c16b5851fa6p-12, -0x1.5cbcd5d4706f8p-12, -0x1.520f15bc07c85p-12, -0x1.47b5678489844p-12, -0x1.3dad1cdce3028p-12, -0x1.33f39c1fb7727p-12, -0x1.2a865fc89e22bp-12, -0x1.2162f5ec51d0cp-12, -0x1.1886ffb3ce44dp-12, -0x1.0ff030da47836p-12, -0x1.079c4f2df76cbp-12, -0x1.ff12642768904p-13, -0x1.ef69841a81d54p-13, -0x1.e039f084a6a3fp-13, -0x1.d17fbc187d943p-13, -0x1.c33719087b1e5p-13, -0x1.b55c5828919dep-13, -0x1.a7ebe814f42b3p-13, -0x1.9ae2545dcaf7dp-13, -0x1.8e3c44b7ce5fp-13, -0x1.81f67c31ae8afp-13, -0x1.760dd86e2d903p-13, -0x1.6a7f50e2e4caap-13, -0x1.5f47f61b908d5p-13, -0x1.5464f101d9248p-13, -0x1.49d382297e238p-13, -0x1.3f910120d7621p-13, -0x1.359adbc588894p-13, -0x1.2bee959d69e2fp-13, -0x1.2289c7337796p-13, -0x1.196a1d78cf69bp-13, -0x1.108d592993a26p-13, -0x1.07f14e35aadb7p-13, -0x1.ff27c65a8e824p-14, -0x1.eee621624bb31p-14, -0x1.df19c1ccd0488p-14, -0x1.cfbedddc10207p-14, -0x1.c0d1ccbf864e4p-14, -0x1.b24f0590e43ebp-14, -0x1.a4331e577cd6p-14, -0x1.967acb12374abp-14, -0x1.8922dcc7fbaf9p-14, -0x1.7c28409e668ep-14, -0x1.6f87fef6a9a0ap-14, -0x1.633f3a9078b54p-14, -0x1.574b2fb2df977p-14, -0x1.4ba9335ae2058p-14, -0x1.4056b26fc6592p-14, -0x1.355130fcebb8ep-14, -0x1.2a9649710a7e9p-14, -0x1.2023abe2c4e27p-14, -0x1.15f71d5a6668bp-14, -0x1.0c0e7720b56d6p-14, -0x1.0267a612bb3e7p-14, -0x1.f20153f4c8a3bp-15, -0x1.dfaf29d7bc3b8p-15, -0x1.cdd5154f2b7d3p-15, -0x1.bc6f800179e1ap-15, -0x1.ab7af49074b13p-15, -0x1.9af41d77d4dc1p-15, -0x1.8ad7c3f43230bp-15, -0x1.7b22cef22e4b1p-15, -0x1.6bd24205aba44p-15, -0x1.5ce33c68dd996p-15, -0x1.4e52f802fef8dp-15, -0x1.401ec8768321bp-15, -0x1.32441a3692825p-15, -0x1.24c071a3a005ep-15, -0x1.17916a2ef4215p-15, -0x1.0ab4b584f7754p-15, -0x1.fc50357c31fap-16, -0x1.e3d2eb2c41e93p-16, -0x1.cbed6b53948a5p-16, -0x1.b49bbb74ed054p-16, -0x1.9dda05efb0e7bp-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.af4352a406107p-1, 0x1.a9b1df5f7bd9cp-1, 0x1.a424a02ff19cfp-1, 0x1.9e9c8dfcf3021p-1, 0x1.991a153bea016p-1, 0x1.939d29a333d97p-1, 0x1.8e2558e7d642ap-1, 0x1.88b1dc52d8cb9p-1, 0x1.8341a90cb5dccp-1, 0x1.7dd37f0b9f6acp-1, 0x1.7865f69cc0f4bp-1, 0x1.72f78c89b158cp-1, 0x1.6d86ace247776p-1, 0x1.6811bc78407a6p-1, 0x1.6297211df13a9p-1, 0x1.5d1548bbd53b6p-1, 0x1.578aaf5268b3ep-1, 0x1.51f5e3fe83a7dp-1, 0x1.4c558d16a6cbcp-1, 0x1.46a86b774bb71p-1, 0x1.40ed5d13ab211p-1, 0x1.3b235edf686bbp-1, 0x1.35498e247b8f2p-1, 0x1.2f5f29576240dp-1, 0x1.2963907a53cfdp-1, 0x1.2356451ed552bp-1, 0x1.1d36ea13afa9fp-1, 0x1.170542cbfc59dp-1, 0x1.10c1328ab9acap-1, 0x1.0a6abb5d2278dp-1, 0x1.0401fcece9c7dp-1, 0x1.fb0e6664ddfcp-2, 0x1.edf56a1c14529p-2, 0x1.e0b9e59d56d4ep-2, 0x1.d35ce9568b2dbp-2, 0x1.c5dfb2676f335p-2, 0x1.b843a77a99b53p-2, 0x1.aa8a559ca04bep-2, 0x1.9cb56d1761f81p-2, 0x1.8ec6be5675f55p-2, 0x1.80c036d906be2p-2, 0x1.72a3de3497d1cp-2, 0x1.6473d32b9d0ffp-2, 0x1.563248da437a6p-2, 0x1.47e183fb4344cp-2, 0x1.3983d84638121p-2, 0x1.2b1ba5e894737p-2, 0x1.1cab571a04335p-2, 0x1.0e355dccb9046p-2, 0x1.ff7862f3f5b4p-3, 0x1.e2849a1617821p-3, 0x1.c59459bcb13eep-3, 0x1.a8ac99d177d75p-3, 0x1.8bd24de505823p-3, 0x1.6f0a61df92e49p-3, 0x1.5259b6e7566ebp-3, 0x1.35c5207b65e8ap-3, 0x1.195161c1da02ep-3, 0x1.fa06560f968a1p-4, 0x1.c1be2ee398129p-4, 0x1.89d355b6a2cdep-4, 0x1.524e9fc7138ecp-4, 0x1.1b38ac4c1e55dp-4, 0x1.c933c2776c25cp-5, 0x1.5cf4d0c38da3fp-5, 0x1.e388b3161eaaap-6, 0x1.0f636166ba26cp-6, 0x1.ecba3e8a0e865p-9, -0x1.237e23a5f4c8bp-7, -0x1.5e843d38c82e1p-6, -0x1.144ef556961aep-5, -0x1.77f9769d5ecdap-5, -0x1.da359ef61d10bp-5, -0x1.1d7bff8e8b0c4p-4, -0x1.4d1ade6bc620bp-4, -0x1.7bf249b3626ep-4, -0x1.a9fd69d0b9f0ep-4, -0x1.d737b1dc75c0cp-4, -0x1.01ce6fabd292ap-3, -0x1.17947ce0e5815p-3, -0x1.2cec29063a4ebp-3, -0x1.41d3c0f745fafp-3, -0x1.5649b58cf0d72p-3, -0x1.6a4c9b2a7b9c3p-3, -0x1.7ddb293da4467p-3, -0x1.90f439b312988p-3, -0x1.a396c85ff72p-3, -0x1.b5c1f261eba86p-3, -0x1.c774f575e12c9p-3, -0x1.d8af2f470eef1p-3, -0x1.e9701cb6aec9dp-3, -0x1.f9b7591d52c7fp-3, -0x1.04c24ec34c88ap-2, -0x1.0c6bdff3f77acp-2, -0x1.13d85929932dep-2, -0x1.1b07c112b4494p-2, -0x1.21fa2b999dd8ep-2, -0x1.28afb9791335bp-2, -0x1.2f2897d042979p-2, -0x1.3564ffb60572cp-2, -0x1.3b6535cbbcffdp-2, -0x1.412989d002c7fp-2, -0x1.46b25631618d4p-2, -0x1.4bffffa1517c7p-2, -0x1.5112f4a7a1011p-2, -0x1.55ebad367f01ap-2, -0x1.5a8aaa3f49b4p-2, -0x1.5ef075484d937p-2, -0x1.631da0039737bp-2, -0x1.6712c3e6fbac7p-2, -0x1.6ad081c5705b2p-2, -0x1.6e578169d8598p-2, -0x1.71a8713356113p-2, -0x1.74c405b340096p-2, -0x1.77aaf94ccc9dap-2, -0x1.7a5e0bd687fb5p-2, -0x1.7cde023d9fd4fp-2, -0x1.7f2ba62b1e4e1p-2, -0x1.8147c5ab18856p-2, -0x1.833332d5e102ep-2, -0x1.84eec37b46d5fp-2, -0x1.867b50cfe71a7p-2, -0x1.87d9b71c9fda6p-2, -0x1.890ad5701cd04p-2, -0x1.8a0f8d5291d5dp-2, -0x1.8ae8c27b99522p-2, -0x1.8b975a8a3e91p-2, -0x1.8c1c3cbf33239p-2, -0x1.8c7851b932cd5p-2, -0x1.8cac83338e14ap-2, -0x1.8cb9bbc6defa5p-2, -0x1.8ca0e6abe4539p-2, -0x1.8c62ef807cbdbp-2, -0x1.8c00c20ec35dcp-2, -0x1.8b7b4a1641ab1p-2, -0x1.8ad3731737266p-2, -0x1.8a0a281fee311p-2, -0x1.8920539c18be2p-2, -0x1.8816df262b2f2p-2, -0x1.86eeb35ab0f81p-2, -0x1.85a8b7ad92ae2p-2, -0x1.8445d2414526cp-2, -0x1.82c6e7bfd5c6ep-2, -0x1.812cdb35d402p-2, -0x1.7f788def035e2p-2, -0x1.7daadf54d89f1p-2, -0x1.7bc4acceaec08p-2, -0x1.79c6d1a3b18a5p-2, -0x1.77b226de708ecp-2, -0x1.7587833211556p-2, -0x1.7347bae115439p-2, -0x1.70f39fa5b02ebp-2, -0x1.6e8c009b9b5c8p-2, -0x1.6c11aa2b624e2p-2, -0x1.698565f7201ap-2, -0x1.66e7fac89c2cbp-2, -0x1.643a2c80c35d3p-2, -0x1.617cbc0871e53p-2, -0x1.5eb06742817c1p-2, -0x1.5bd5e8ff164dep-2, -0x1.58edf8f01bd96p-2, -0x1.55f94b9eece05p-2, -0x1.52f892631bd98p-2, -0x1.4fec7b5a4dd42p-2, -0x1.4cd5b16125979p-2, -0x1.49b4dc0d30edfp-2, -0x1.468a9fa7cfbd6p-2, -0x1.43579d2a0ec8ap-2, -0x1.401c72396792ap-2, -0x1.3cd9b92563a35p-2, -0x1.399008e613583p-2, -0x1.363ff51b5921dp-2, -0x1.32ea0e0cf4f32p-2, -0x1.2f8ee0ab51a5p-2, -0x1.2c2ef6910a307p-2, -0x1.28cad605198d7p-2, -0x1.256301fdb5374p-2, -0x1.21f7fa23c4b2dp-2, -0x1.1e8a3ad6f4c61p-2, -0x1.1b1a3d32561acp-2, -0x1.17a877118c223p-2, -0x1.14355b167aa36p-2, -0x1.10c158af7181fp-2, -0x1.0d4cdc1dcfb5ap-2, -0x1.09d84e7d12725p-2, -0x1.066415ca51d35p-2, -0x1.02f094ec1e483p-2, -0x1.fefc57757921ep-3, -0x1.f81a6e11719c7p-3, -0x1.f13c21579a44cp-3, -0x1.ea621f0c27eefp-3, -0x1.e38d0f1f068f4p-3, -0x1.dcbd93bf4f552p-3, -0x1.d5f4496f43991p-3, -0x1.cf31c718b0767p-3, -0x1.c8769e21c059p-3, -0x1.c1c35a8228057p-3, -0x1.bb1882d8af1bcp-3, -0x1.b476988105216p-3, -0x1.adde17a9d9643p-3, -0x1.a74f776b385b2p-3, -0x1.a0cb29dd1a488p-3, -0x1.9a519c2e24005p-3, -0x1.93e336ba91e65p-3, -0x1.8d805d233ff38p-3, -0x1.87296e64d1665p-3, -0x1.80dec4eeef50bp-3, -0x1.7aa0b6bb8ff2ep-3, -0x1.746f95664d09ap-3, -0x1.6e4bae43bcc06p-3, -0x1.68354a78c63d1p-3, -0x1.622caf11f46ap-3, -0x1.5c321d1abaaccp-3, -0x1.5645d1b4a8e66p-3, -0x1.5068062e8c1ap-3, -0x1.4a98f01b7834bp-3, -0x1.44d8c169b22a7p-3, -0x1.3f27a87978a6fp-3, -0x1.3985d033adf49p-3, -0x1.33f3602055e8ap-3, -0x1.2e707c7ce7d47p-3, -0x1.28fd4652755ccp-3, -0x1.2399db8ba2b28p-3, -0x1.1e46570a6138ep-3, -0x1.1902d0bd7ff34p-3, -0x1.13cf5db5fc9d7p-3, -0x1.0eac103c16508p-3, -0x1.0998f7e42c427p-3, -0x1.049621a357e8ap-3, -0x1.ff472fc7833cep-4, -0x1.f582c531783c1p-4, -0x1.ebdf0ea52c2d8p-4, -0x1.e25c12a441fdbp-4, -0x1.d8f9d337fd714p-4, -0x1.cfb84e172afe7p-4, -0x1.c6977ccb91c8bp-4, -0x1.bd9754d6be7bcp-4, -0x1.b4b7c7d63a60cp-4, -0x1.abf8c3a735b67p-4, -0x1.a35a3289805adp-4, -0x1.9adbfb42058ddp-4, -0x1.927e013c8cb2p-4, -0x1.8a4024acf50e6p-4, -0x1.822242afc6919p-4, -0x1.7a24356a2959ep-4, -0x1.7245d4293d274p-4, -0x1.6a86f380d24b8p-4, -0x1.62e7656984192p-4, -0x1.5b66f95e33c29p-4, -0x1.54057c78e64d3p-4, -0x1.4cc2b98f018ccp-4, -0x1.459e794ceed58p-4, -0x1.3e9882511d6b7p-4, -0x1.37b0994669f42p-4, -0x1.30e680fdeb194p-4, -0x1.2a39fa8820e4ap-4, -0x1.23aac54d8c77cp-4, -0x1.1d389f26ae013p-4, -0x1.16e344736b949p-4, -0x1.10aa7031e16bap-4, -0x1.0a8ddc149ccb8p-4, -0x1.048d409844053p-4, -0x1.fd50aa31577cp-5, -0x1.f1bd9fcab6845p-5, -0x1.e660ccab0564ep-5, -0x1.db3999b6c5bf3p-5, -0x1.d0476e2e523adp-5, -0x1.c589afd2846ebp-5, -0x1.baffc30847a6ap-5, -0x1.b0a90afb1f33cp-5, -0x1.a684e9bea4dafp-5, -0x1.9c92c06f006fap-5, -0x1.92d1ef505c1f5p-5, -0x1.8941d5ed5eedfp-5, -0x1.7fe1d334a984dp-5, -0x1.76b145955ed3p-5, -0x1.6daf8b1aba427p-5, -0x1.64dc0186b7061p-5, -0x1.5c36066bcfe49p-5, -0x1.53bcf745d78p-5, -0x1.4b703191ee608p-5, -0x1.434f12e59dcd1p-5, -0x1.3b58f90516bc4p-5, -0x1.338d41f89d50cp-5, -0x1.2beb4c212247fp-5, -0x1.2472764c10577p-5, -0x1.1d221fc64fef2p-5, -0x1.15f9a86e864cap-5, -0x1.0ef870c695284p-5, -0x1.081dda045d16cp-5, -0x1.01694621c841ap-5, -0x1.f5b42fd83d07bp-6, -0x1.e8df66255dc4ap-6, -0x1.dc52f8698bd9bp-6, -0x1.d00db1de0324dp-6, -0x1.c40e5fcffd129p-6, -0x1.b853d1b8c9d81p-6, -0x1.acdcd954b40e4p-6, -0x1.a1a84ab8b44e9p-6, -0x1.96b4fc66f639cp-6, -0x1.8c01c7624134ap-6, -0x1.818d874046f6ep-6, -0x1.77571a3adc253p-6, -0x1.6d5d614029bdbp-6, -0x1.639f4001d809fp-6, -0x1.5a1b9d033cf26p-6, -0x1.50d161a696d6dp-6, -0x1.47bf7a395826cp-6, -0x1.3ee4d5ff87f13p-6, -0x1.3640673e44cb6p-6, -0x1.2dd123456faf1p-6, -0x1.259602787e1cbp-6, -0x1.1d8e00567f775p-6, -0x1.15b81b8161919p-6, -0x1.0e1355c47031dp-6, -0x1.069eb41a1697fp-6, -0x1.feb27d61ed6f5p-7, -0x1.f08401e092fbep-7, -0x1.e2b012f732089p-7, -0x1.d534d46bba472p-7, -0x1.c8107087e119ep-7, -0x1.bb41181cf7ec6p-7, -0x1.aec5028683132p-7, -0x1.a29a6dabcdb66p-7, -0x1.96bf9e005ea2p-7, -0x1.8b32de8376cabp-7, -0x1.7ff280be8304fp-7, -0x1.74fcdcc2b22e5p-7, -0x1.6a505125950c9p-7, -0x1.5feb42fcde676p-7, -0x1.55cc1dd95cb0ep-7, -0x1.4bf153c11f2afp-7, -0x1.42595d28d01b4p-7, -0x1.3902b8ec6423cp-7, -0x1.2febec470d4d4p-7, -0x1.271382ca86974p-7, -0x1.1e780e55bd43p-7, -0x1.1618270ae04a7p-7, -0x1.0df26b44dc11ep-7, -0x1.06057f8c4b9c3p-7, -0x1.fca01d17c9398p-8, -0x1.eda19208ce3edp-8, -0x1.df0ccb802b682p-8, -0x1.d0df430b7bb6ep-8, -0x1.c3167e16b055p-8, -0x1.b5b00dd0870acp-8, -0x1.a8a98f0e477dfp-8, -0x1.9c00aa2ed3e69p-8, -0x1.8fb312fd1321p-8, -0x1.83be8891c549bp-8, -0x1.7820d534cac3cp-8, -0x1.6cd7ce3de8151p-8, -0x1.61e153f51071p-8, -0x1.573b517242c58p-8, -0x1.4ce3bc7d01728p-8, -0x1.42d8956b6c47p-8, -0x1.3917e70109b51p-8, -0x1.2f9fc64d43769p-8, -0x1.266e5289a10cp-8, -0x1.1d81b4f7ca38p-8, -0x1.14d820bf54484p-8, -0x1.0c6fd2cb65b55p-8, -0x1.044711a836dbbp-8, -0x1.f8b85ac0e5cdp-9, -0x1.e95afeb50f1c7p-9, -0x1.da72d46bbf76ep-9, -0x1.cbfcb3503230bp-9, -0x1.bdf584b46923p-9, -0x1.b05a438b8f5cdp-9, -0x1.a327fc2472e98p-9, -0x1.965bcbe4100a4p-9, -0x1.89f2e10048593p-9, -0x1.7dea7a3ac3948p-9, -0x1.723fe69c09455p-9, -0x1.66f0852eda93ep-9, -0x1.5bf9c4bbd4ba7p-9, -0x1.5159238563686p-9, -0x1.470c2f041008cp-9, -0x1.3d1083a329fa9p-9, -0x1.3363cc7ddd1ffp-9, -0x1.2a03c31cb0927p-9, -0x1.20ee2f337aff6p-9, -0x1.1820e65fd3fe3p-9, -0x1.0f99cbe8001f3p-9, -0x1.0756d07a66e7p-9, -0x1.feabe3db1c6aep-10, -0x1.ef2a760150138p-10, -0x1.e0258639654aep-10, -0x1.d1995c2c5f1bp-10, -0x1.c38257def0586p-10, -0x1.b5dcf1375a84ap-10, -0x1.a8a5b7849e766p-10, -0x1.9bd95106ef02bp-10, -0x1.8f747a79768c8p-10, -0x1.8374069d775a3p-10, -0x1.77d4ddc6c6b2dp-10, -0x1.6c93fd69a6228p-10, -0x1.61ae77aa02c88p-10, -0x1.572172ec1f2fp-10, -0x1.4cea2966a32c7p-10, -0x1.4305e8b623d2p-10, -0x1.3972117213a34p-10, -0x1.302c16c32bfb6p-10, -0x1.27317dfb47bdfp-10, -0x1.1e7fde2ebbb5ap-10, -0x1.1614dfcf227efp-10, -0x1.0dee3c47a2c0bp-10, -0x1.0609bd9aae1dep-10, -0x1.fcca7c0284adbp-11, -0x1.edfd4f1736f8dp-11, -0x1.dfa7e786ce299p-11, -0x1.d1c6569ee0a1fp-11, -0x1.c454cb318c389p-11, -0x1.b74f90e2b3918p-11, -0x1.aab30f782e0bap-11, -0x1.9e7bca2ce42cfp-11, -0x1.92a65f06d81bap-11, -0x1.872f863014823p-11, -0x1.7c14115281a4ap-11, -0x1.7150eaf69acc9p-11, -0x1.66e315e4ff183p-11, -0x1.5cc7ac8adaf71p-11, -0x1.52fbe061247b9p-11, -0x1.497cf956a6726p-11, -0x1.4048553cd344fp-11, -0x1.375b67375b606p-11, -0x1.2eb3b72e810b9p-11, -0x1.264ee14422eb5p-11, -0x1.1e2a954b78edep-11, -0x1.164496437b47dp-11, -0x1.0e9ab9d3eba1bp-11, -0x1.072ae7ccff8f4p-11, -0x1.ffe63353391a9p-12, -0x1.f1e2b4284ea61p-12, -0x1.e44788dbb1763p-12, -0x1.d71108b127f8bp-12, -0x1.ca3baa866d154p-12, -0x1.bdc403f0b0c8dp-12, -0x1.b1a6c85ef0976p-12, -0x1.a5e0c8410f10fp-12, -0x1.9a6ef033a5e6cp-12, -0x1.8f4e483078006p-12, -0x1.847bf2c37b743p-12, -0x1.79f52c4468064p-12, -0x1.6fb74a14b9106p-12, -0x1.65bfb9e21636fp-12, -0x1.5c0c00ed0f19fp-12, -0x1.5299bb541ab27p-12, -0x1.49669b62cbf24p-12, -0x1.407068e529302p-12, -0x1.37b5007f14cfp-12, -0x1.2f325307bbde7p-12, -0x1.26e664e8f2d5dp-12, -0x1.1ecf4d82784fp-12, -0x1.16eb3691056e5p-12, -0x1.0f385b9922f6cp-12, -0x1.07b50955ac11ap-12, -0x1.005f9d29f46efp-12, -0x1.f26d092efbd85p-13, -0x1.e470796e5eb44p-13, -0x1.d6c6a36bf76c6p-13, -0x1.c96cbca9d25cp-13, -0x1.bc6016d8da3dap-13, -0x1.af9e1ee608959p-13, -0x1.a3245c0dfe52dp-13, -0x1.96f06ef6e7d33p-13, -0x1.8b0010d07ac09p-13, -0x1.7f51127a05ac4p-13, -0x1.73e15bae67128p-13, -0x1.68aeea35cc407p-13, -0x1.5db7d11d244aap-13, -0x1.52fa37f322276p-13, -0x1.48745a0ab1192p-13, -0x1.3e2485c2c4e4ep-13, -0x1.34091bd35c65bp-13, -0x1.2a208e9fb3c97p-13, -0x1.2069618d63cf6p-13, -0x1.16e22860800ccp-13, -0x1.0d89869c70a8fp-13, -0x1.045e2ee98791dp-13, -0x1.f6bdc4fe513ecp-14, -0x1.e514e124ec7bfp-14, -0x1.d3bf6b92b5f97p-14, -0x1.c2bb3763c1616p-14, -0x1.b206307b77e8dp-14, -0x1.a19e5a83dac7p-14, -0x1.9181cff4c6a26p-14, -0x1.81aec12311373p-14, -0x1.7223735741fd5p-14, -0x1.62de3febc2da7p-14, -0x1.53dd9372552dp-14, -0x1.451fece0a3603p-14, -0x1.36a3dcc3bcf45p-14, -0x1.2868047a5640bp-14, -0x1.1a6b15759e5b5p-14, -0x1.0cabd0808213bp-14, -0x1.fe520a1a63b2cp-15, -0x1.e3c321118635bp-15, -0x1.c9a8bb6988141p-15, -0x1.b000c80d3390dp-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.e093f74ac8a51p-1, 0x1.de18d6d6f47cep-1, 0x1.db96bfaf58f63p-1, 0x1.d90ecf18d0617p-1, 0x1.d681fa2cce0b2p-1, 0x1.d3f110a974d09p-1, 0x1.d15cbfd8f18a2p-1, 0x1.cec5957ffb7c2p-1, 0x1.cc2c02c673fdap-1, 0x1.c9905f0fd3a43p-1, 0x1.c6f2eabb5f126p-1, 0x1.c453d1c617bc3p-1, 0x1.c1b32e4a04b63p-1, 0x1.bf110ad7d6842p-1, 0x1.bc6d64a9114bfp-1, 0x1.b9c82da9da429p-1, 0x1.b7214e5a4d481p-1, 0x1.b478a787da047p-1, 0x1.b1ce13dfa79c4p-1, 0x1.af21695b5792dp-1, 0x1.ac727a89cac4p-1, 0x1.a9c117b5b91d7p-1, 0x1.a70d0fec1301p-1, 0x1.a45631e42b96ep-1, 0x1.a19c4ccbc000fp-1, 0x1.9edf30f8dee2dp-1, 0x1.9c1eb083b8c05p-1, 0x1.995a9fca4405ap-1, 0x1.9692d5df9e397p-1, 0x1.93c72ce8ea81dp-1, 0x1.90f782696907ap-1, 0x1.8e23b77f59333p-1, 0x1.8b4bb1132c6dp-1, 0x1.886f57fa6cbfap-1, 0x1.858e990fa1dd4p-1, 0x1.82a965406f385p-1, 0x1.7fbfb19300093p-1, 0x1.7cd17723cae67p-1, 0x1.79deb31c9ade6p-1, 0x1.76e766a5b8dfp-1, 0x1.73eb96d1fedb9p-1, 0x1.70eb4c8685b45p-1, 0x1.6de6945e99d75p-1, 0x1.6add7e8c83901p-1, 0x1.67d01eb7aff9cp-1, 0x1.64be8bd8b0e45p-1, 0x1.61a8e0138328ap-1, 0x1.5e8f3890791a5p-1, 0x1.5b71b554268c4p-1, 0x1.5850791696f8cp-1, 0x1.552ba91a18caep-1, 0x1.52036d01d72dp-1, 0x1.4ed7eea87b89fp-1, 0x1.4ba959f7063fcp-1, 0x1.4877dcbc09d77p-1, 0x1.4543a6836c5fbp-1, 0x1.420ce86ed0591p-1, 0x1.3ed3d50ec0e7cp-1, 0x1.3b98a03cb943cp-1, 0x1.385b7ef61a88bp-1, 0x1.351ca73824204p-1, 0x1.31dc4fdcf98ebp-1, 0x1.2e9ab079c493fp-1, 0x1.2b58013df95a9p-1, 0x1.28147ad3c8932p-1, 0x1.24d05641bfb54p-1, 0x1.218bcccd9ff99p-1, 0x1.1e4717e069a0ep-1, 0x1.1b0270eba0275p-1, 0x1.17be114fc4f84p-1, 0x1.147a324407183p-1, 0x1.11370cbf26034p-1, 0x1.0df4d961843a9p-1, 0x1.0ab3d06064e37p-1, 0x1.0774297251d3ap-1, 0x1.04361bbca13fcp-1, 0x1.00f9ddc219492p-1, 0x1.fb7f4aa54f7cap-2, 0x1.f50f4ef853c01p-2, 0x1.eea430f87b258p-2, 0x1.e83e576622dbep-2, 0x1.e1de272e63cd4p-2, 0x1.db8403548cc88p-2, 0x1.d5304cdd7888ap-2, 0x1.cee362bca5377p-2, 0x1.c89da1c306d21p-2, 0x1.c25f648f8116p-2, 0x1.bc290380fa729p-2, 0x1.b5fad4a9f667ap-2, 0x1.afd52bc5ac524p-2, 0x1.a9b85a2e866d5p-2, 0x1.a3a4aed60038bp-2, 0x1.9d9a763dcc18p-2, 0x1.9799fa723ca37p-2, 0x1.91a38305dbacfp-2, 0x1.8bb7550e20e7ep-2, 0x1.85d5b3213fd6ep-2, 0x1.7ffedd54f935ep-2, 0x1.7a33113e6714bp-2, 0x1.747289f2b35bap-2, 0x1.6ebd8008ae9d6p-2, 0x1.6914299b3922bp-2, 0x1.6376ba4c75648p-2, 0x1.5de56349b099ep-2, 0x1.58605350015adp-2, 0x1.52e7b6b187ab1p-2, 0x1.4d7bb75b49269p-2, 0x1.481c7cdb9c1dcp-2, 0x1.42ca2c691b08bp-2, 0x1.3d84e8ea11cd8p-2, 0x1.384cd2fc6317fp-2, 0x1.332208fdd3b9fp-2, 0x1.2e04a714bc85ap-2, 0x1.28f4c7391108ep-2, 0x1.23f2813dbe3f9p-2, 0x1.1efdeada4fa33p-2, 0x1.1a1717b4d867p-2, 0x1.153e196c19d59p-2, 0x1.1072ffa1de751p-2, 0x1.0bb5d80585fd5p-2, 0x1.0706ae5eb7914p-2, 0x1.02658c98395a1p-2, 0x1.fba4f595ceb94p-3, 0x1.f29afe917fb7cp-3, 0x1.e9ad3d5009ae5p-3, 0x1.e0dbb79cdabc2p-3, 0x1.d8266ff8be7f1p-3, 0x1.cf8d65b06146ap-3, 0x1.c71094f2d428bp-3, 0x1.beaff6e811f6ep-3, 0x1.b66b81c771bb5p-3, 0x1.ae4328ee130d8p-3, 0x1.a636dcf526562p-3, 0x1.9e468bc81e34dp-3, 0x1.967220babe979p-3, 0x1.8eb9849efc527p-3, 0x1.871c9ddab5223p-3, 0x1.7f9b507d3044cp-3, 0x1.78357e546eb09p-3, 0x1.70eb070237912p-3, 0x1.69bbc810effccp-3, 0x1.62a79d0827e61p-3, 0x1.5bae5f80ec1e7p-3, 0x1.54cfe739c4c85p-3, 0x1.4e0c0a2a72b22p-3, 0x1.47629c975ae38p-3, 0x1.40d37124a7668p-3, 0x1.3a5e58e9101a2p-3, 0x1.3403238058c18p-3, 0x1.2dc19f1d73975p-3, 0x1.2799989c55993p-3, 0x1.218adb936d951p-3, 0x1.1b953264c5e52p-3, 0x1.15b8664ecc723p-3, 0x1.0ff43f7cc6463p-3, 0x1.0a488516e25b7p-3, 0x1.04b4fd51f395ep-3, 0x1.fe72dafda90ffp-4, 0x1.f3ab3432d870fp-4, 0x1.e9128daeb25fap-4, 0x1.dea86d6c83d7ap-4, 0x1.d46c581397369p-4, 0x1.ca5dd1126575fp-4, 0x1.c07c5ab92208p-4, 0x1.b6c776538530ap-4, 0x1.ad3ea441e9f71p-4, 0x1.a3e16411bfb01p-4, 0x1.9aaf349544932p-4, 0x1.91a793fa984ddp-4, 0x1.88c9ffe21fb9cp-4, 0x1.8015f5743d936p-4, 0x1.778af17664108p-4, 0x1.6f28705f7ecfap-4, 0x1.66edee6bb877ap-4, 0x1.5edae7af9ce91p-4, 0x1.56eed82a9c0ccp-4, 0x1.4f293bd8ed6cdp-4, 0x1.47898ec4d876ep-4, 0x1.400f4d1762a32p-4, 0x1.38b9f328675ddp-4, 0x1.3188fd8e1a3c2p-4, 0x1.2a7be92bf7864p-4, 0x1.239233412508p-4, 0x1.1ccb597645c9ap-4, 0x1.1626d9eac3b06p-4, 0x1.0fa433419012fp-4, 0x1.0942e4ad6003cp-4, 0x1.03026dfc6611fp-4, 0x1.f9c49f4717971p-5, 0x1.edc415925a38ap-5, 0x1.e202429eb5491p-5, 0x1.d67e2bbb4666ap-5, 0x1.cb36d7d4cf20cp-5, 0x1.c02b4f8777d85p-5, 0x1.b55a9d2fb4427p-5, 0x1.aac3ccfa498dfp-5, 0x1.a065ecf3832ffp-5, 0x1.96400d1592788p-5, 0x1.8c513f56286b6p-5, 0x1.829897b344eebp-5, 0x1.79152c3f46ed1p-5, 0x1.6fc6152c4149p-5, 0x1.66aa6cd697ccep-5, 0x1.5dc14fceea6cap-5, 0x1.5509dce35311bp-5, 0x1.4c833527fbeccp-5, 0x1.442c7bff12e08p-5, 0x1.3c04d7201b12bp-5, 0x1.340b6e9ea8f5p-5, 0x1.2c3f6cf0859abp-5, 0x1.249ffef341cc6p-5, 0x1.1d2c53f13d6d9p-5, 0x1.15e39da624f61p-5, 0x1.0ec51042eed87p-5, 0x1.07cfe271549e7p-5, 0x1.01034d56d3b04p-5, 0x1.f4bd192e6da9ep-6, 0x1.e7c1bcad57e4ap-6, 0x1.db130676d2694p-6, 0x1.ceaf7cddd4234p-6, 0x1.c295ab3d81f6dp-6, 0x1.b6c421fa12bf9p-6, 0x1.ab397680eb765p-6, 0x1.9ff4434807e61p-6, 0x1.94f327ccadd3cp-6, 0x1.8a34c8917a14ap-6, 0x1.7fb7cf1bbf1fdp-6, 0x1.757ae9f054c7fp-6, 0x1.6b7ccc8fc349dp-6, 0x1.61bc2f71e3bbep-6, 0x1.5837d000f6909p-6, 0x1.4eee709432fd6p-6, 0x1.45ded869d7b84p-6, 0x1.3d07d3a0c1f79p-6, 0x1.34683331948f7p-6, 0x1.2bfecce76e786p-6, 0x1.23ca7b5834f6fp-6, 0x1.1bca1ddc83b1ap-6, 0x1.13fc988734a17p-6, 0x1.0c60d41c92286p-6, 0x1.04f5be0938fp-6, 0x1.fb7490b140d35p-7, 0x1.ed5ad356be18dp-7, 0x1.df9c3a5a4f017p-7, 0x1.d236c514f93a5p-7, 0x1.c5287bcc55f61p-7, 0x1.b86f6f9d174fbp-7, 0x1.ac09ba650f035p-7, 0x1.9ff57eacdc7dap-7, 0x1.9430e79135954p-7, 0x1.88ba28abdda4dp-7, 0x1.7d8f7dfc4562p-7, 0x1.72af2bcfe457p-7, 0x1.68177eaa53069p-7, 0x1.5dc6cb2d21827p-7, 0x1.53bb6dff771e6p-7, 0x1.49f3cbb58682bp-7, 0x1.406e50b7d448bp-7, 0x1.3729712a53836p-7, 0x1.2e23a8d3671dfp-7, 0x1.255b7b02c48c7p-7, 0x1.1ccf727841179p-7, 0x1.147e214a8c053p-7, 0x1.0c6620cddcedfp-7, 0x1.0486117a97a8cp-7, 0x1.f9b935a7d91bcp-8, 0x1.ead0d69ceea2bp-8, 0x1.dc50706dc1ec9p-8, 0x1.ce357b3112b77p-8, 0x1.c07d7c4874fe6p-8, 0x1.b326062dd50d4p-8, 0x1.a62cb8411b1acp-8, 0x1.998f3e95fb5b9p-8, 0x1.8d4b51c1f1b63p-8, 0x1.815eb6aa73823p-8, 0x1.75c73e535a6b2p-8, 0x1.6a82c5ad8efp-8, 0x1.5f8f3565f7017p-8, 0x1.54ea81b4adce3p-8, 0x1.4a92aa2c86ff3p-8, 0x1.4085b98ae6f55p-8, 0x1.36c1c587edc7cp-8, 0x1.2d44eea6fc9d1p-8, 0x1.240d600799074p-8, 0x1.1b194f36afcbcp-8, 0x1.1266fc003b072p-8, 0x1.09f4b04151df2p-8, 0x1.01c0bfba9d40ap-8, 0x1.f3930fc67b8afp-9, 0x1.e41adf78388f5p-9, 0x1.d515cf475bb87p-9, 0x1.c680d254539b2p-9, 0x1.b858edcc6c2bcp-9, 0x1.aa9b38941303cp-9, 0x1.9d44daf20d27ep-9, 0x1.90530e3ba3f18p-9, 0x1.83c31c81c5b99p-9, 0x1.7792603f22b75p-9, 0x1.6bbe44074462p-9, 0x1.60444236a3471p-9, 0x1.5521e4a3bf44cp-9, 0x1.4a54c4513368ap-9, 0x1.3fda8920d0b36p-9, 0x1.35b0e987bea2dp-9, 0x1.2bd5aa43990f3p-9, 0x1.22469e109b1fbp-9, 0x1.1901a560caf3bp-9, 0x1.1004ae142d51ep-9, 0x1.074db33201ed5p-9, 0x1.fdb5794601debp-10, 0x1.ed53bdd9435p-10, 0x1.dd7275dad1677p-10, 0x1.ce0dfb346eccap-10, 0x1.bf22bf7944367p-10, 0x1.b0ad4b6494167p-10, 0x1.a2aa3e5a742e1p-10, 0x1.95164dea8bed4p-10, 0x1.87ee4554cfb9dp-10, 0x1.7b2f0510422p-10, 0x1.6ed58253ac4afp-10, 0x1.62dec6a04dc33p-10, 0x1.5747ef4e8c76bp-10, 0x1.4c0e2d1c8a03ep-10, 0x1.412ec3beb4cc8p-10, 0x1.36a70972378a7p-10, 0x1.2c746691614c3p-10, 0x1.22945529df8fbp-10, 0x1.19046094e6a36p-10, 0x1.0fc225112d466p-10, 0x1.06cb4f5ec1293p-10, 0x1.fc3b38b9641ep-11, 0x1.eb6db15107253p-11, 0x1.db29c07ee2145p-11, 0x1.cb6b3c42dfe73p-11, 0x1.bc2e17ebea607p-11, 0x1.ad6e6364e93cp-11, 0x1.9f284a852ce23p-11, 0x1.915814643cb87p-11, 0x1.83fa22b0fc013p-11, 0x1.770af10c1cf5fp-11, 0x1.6a871465d69edp-11, 0x1.5e6b3a5ed3b9bp-11, 0x1.52b428ac4f6e4p-11, 0x1.475ebc7f55e68p-11, 0x1.3c67e9ef1ca26p-11, 0x1.31ccbb666a6cdp-11, 0x1.278a5114021ap-11, 0x1.1d9de05e04955p-11, 0x1.1404b35842954p-11, 0x1.0abc283d70acfp-11, 0x1.01c1b0eb32058p-11, 0x1.f225a4c1e66fbp-12, 0x1.e15a48830a92ep-12, 0x1.d11ca0aee249p-12, 0x1.c1682437f1ecp-12, 0x1.b2386c8174519p-12, 0x1.a3893477d1913p-12, 0x1.955657ae2d951p-12, 0x1.879bd180f9be7p-12, 0x1.7a55bc3d7b343p-12, 0x1.6d80504e26c77p-12, 0x1.6117e36bc4ed3p-12, 0x1.5518e7d345065p-12, 0x1.497feb80318d6p-12, 0x1.3e49976ba4bd4p-12, 0x1.3372aecfb92f2p-12, 0x1.28f80e6f51827p-12, 0x1.1ed6abe233741p-12, 0x1.150b94e55584cp-12, 0x1.0b93eeaf50c55p-12, 0x1.026cf548e704ep-12, 0x1.f327f5d304b95p-13, 0x1.e20cceaf4044ep-13, 0x1.d1836e9a28af1p-13, 0x1.c186f7be20d38p-13, 0x1.b212b3d3b852bp-13, 0x1.a32213005facep-13, 0x1.94b0aabc37d17p-13, 0x1.86ba34bed3b38p-13, 0x1.793a8df2d55f9p-13, 0x1.6c2db5703d22ep-13, 0x1.5f8fcb7d4156p-13, 0x1.535d1095992c4p-13, 0x1.4791e47813cd5p-13, 0x1.3c2ac53a533p-13, 0x1.31244e629c4d9p-13, 0x1.267b380786a29p-13, 0x1.1c2c55f57babfp-13, 0x1.123496d9dec11p-13, 0x1.08910373c5dcap-13, 0x1.fe7d7b942c9c8p-14, 0x1.ec7600cdf5057p-14, 0x1.db063b310eed5p-14, 0x1.ca28fd6ce8313p-14, 0x1.b9d946d999f9fp-14, 0x1.aa1242170621bp-14, 0x1.9acf43b5759e9p-14, 0x1.8c0bc8e782741p-14, 0x1.7dc3763d1b14cp-14, 0x1.6ff216676084ap-14, 0x1.6293990535cd7p-14, 0x1.55a4117848056p-14, 0x1.491fb5c25efd4p-14, 0x1.3d02dd6ac50cep-14, 0x1.314a006b94fcbp-14, 0x1.25f1b626bf64dp-14, 0x1.1af6b46298d9dp-14, 0x1.1055ce4dc29a4p-14, 0x1.060bf38a416cap-14, 0x1.f82c5e7f2a353p-15, 0x1.e4e34e67505cfp-15, 0x1.d23735d4d4c04p-15, 0x1.c022c597d93c6p-15, 0x1.aea0dea1b21b2p-15, 0x1.9dac906a31c18p-15, 0x1.8d4117610dc45p-15, 0x1.7d59db6b08b6bp-15, 0x1.6df26e6a95666p-15, 0x1.5f068ad3af111p-15, 0x1.5092124a963a8p-15, 0x1.42910c4d314a3p-15, 0x1.34ffa4e6c7cb9p-15, 0x1.27da2b6dd54f1p-15, 0x1.1b1d114bb19fep-15, 0x1.0ec4e8cdc97ddp-15, 0x1.02ce64002e92fp-15, 0x1.ee6ca7226de26p-16, 0x1.d7f34b7befb6fp-16, 0x1.c22aca8eaec97p-16, 0x1.ad0d70df02c03p-16, 0x1.9895bfff029b4p-16, 0x1.84be6ca99447bp-16, 0x1.71825ceceb1d4p-16, 0x1.5edca6640ccb9p-16, 0x1.4cc88c7eeb953p-16, 0x1.3b417ed8b3d8cp-16, 0x1.2a43179bec59cp-16, 0x1.19c919f3fc7a7p-16, 0x1.09cf708bc4d03p-16, 0x1.f4a45831c4a02p-17, 0x1.d69b03e686e0bp-17, 0x1.b97b957178c69p-17, 0x1.9d3f01f870d3ap-17, 0x1.81de80006f15fp-17, 0x1.675384f8989bcp-17, 0x1.4d97c2da70f29p-17, 0x1.34a525ded4e3p-17, 0x1.1c75d24705dfbp-17, 0x1.0504223936091p-17, 0x1.dc9547600420fp-18, 0x1.b0882cf88dfc7p-18, 0x1.85d6d4b19470bp-18, 0x1.5c777a1e5171p-18, 0x1.3460b15b13702p-18, 0x1.0d89639924cc4p-18, 0x1.cfd197946f523p-19, 0x1.86ece6d4c14dep-19, 0x1.40545ecf5cb17p-19, 0x1.f7f07499d0079p-20, 0x1.73927e859316dp-20, 0x1.e6e2e524e52bbp-21, 0x1.ddc3a22c57fcfp-22, -0x1.1522e410006a1p-29, -0x1.d26e035c5402bp-22, -0x1.c9b7105945af8p-21, -0x1.5163703bad261p-20, -0x1.ba4b30ded866fp-20, -0x1.0fd4fcbee953fp-19, -0x1.40cb1c9ace105p-19, -0x1.7012d35838084p-19, -0x1.9db6a3d7fc431p-19, -0x1.c9c0bc26308f1p-19, -0x1.f43af8f55df43p-19, -0x1.0e97747b4ea8ap-18, -0x1.2252e807e25aap-18, -0x1.3554553869798p-18, -0x1.47a017c4d710ap-18, -0x1.593a6a70a930cp-18, -0x1.6a276867bf116p-18, -0x1.7a6b0e8cede88p-18, -0x1.8a093cbad6782p-18, -0x1.9905b6f7753c3p-18, -0x1.a764269ae7b92p-18, -0x1.b5281b69d62c8p-18, -0x1.c2550ca3f7828p-18, -0x1.ceee5a071a7fep-18, -0x1.daf74cc71feb9p-18, -0x1.e673187b49737p-18, -0x1.f164dc0145589p-18, -0x1.fbcfa256564abp-18, -0x1.02db31b379d75p-17, -0x1.078e026a9f46p-17, -0x1.0c01ad5b52873p-17, -0x1.103794248385ap-17, -0x1.1431104fd7b51p-17, -0x1.17ef73a43a703p-17, -0x1.1b740874a5bf4p-17, -0x1.1ec011eb4a4c5p-17, -0x1.21d4cc513c223p-17, -0x1.24b36d52c3ea8p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.7d8a12a9d9628p-7, -0x1.9959099ca3672p-7, -0x1.b3f2518176313p-7, -0x1.ccff703f079bp-7, -0x1.e42b548becacp-7, -0x1.f922ff68fcebdp-7, -0x1.05cb0ce447f08p-6, -0x1.0d9bbb4eca57ap-6, -0x1.13dec0f6dc6b4p-6, -0x1.18714ee4b5a8dp-6, -0x1.1b32b71f6fa28p-6, -0x1.1c048abec8b6ep-6, -0x1.1acab0b8a1ddap-6, -0x1.176b7610c82dp-6, -0x1.11cf980fdc9a5p-6, -0x1.09e249217b45ap-6, -0x1.ff2261e4d98e1p-7, -0x1.e598d0be2cb06p-7, -0x1.c70ce37170ec6p-7, -0x1.a3685bbc3ff97p-7, -0x1.7a999d34e278ap-7, -0x1.4c938d65ce67ap-7, -0x1.194d700625a4dp-7, -0x1.c1857ff89e745p-8, -0x1.45e60b8e8f815p-8, -0x1.7f86af6de208dp-9, -0x1.795d1718e0078p-11, 0x1.af2f1e3e1a7aep-10, 0x1.1106ed64ee5cap-8, 0x1.c063844eb5bebp-8, 0x1.3cdca86d121d7p-7, 0x1.9e6d427b36a63p-7, 0x1.02650766defd8p-6, 0x1.37eb8fca889a5p-6, 0x1.6fbb240b59e66p-6, 0x1.a9c3a48ca5147p-6, 0x1.e5f3fe1e83f11p-6, 0x1.121d1f89cca48p-5, 0x1.3241d5db20e86p-5, 0x1.535e690aae77ap-5, 0x1.7568ce9173221p-5, 0x1.9856b3902ef7fp-5, 0x1.bc1d85ab49219p-5, 0x1.e0b27b8bd961ep-5, 0x1.03054e82f7184p-4, 0x1.160d6572470aap-4, 0x1.296be32e3e6ddp-4, 0x1.3d1b1c1383a13p-4, 0x1.51155ba33a568p-4, 0x1.6554e7baf63b8p-4, 0x1.79d403a364141p-4, 0x1.8e8cf2f6b6f45p-4, 0x1.a379fc5ff18p-4, 0x1.b8956c342886bp-4, 0x1.cdd996e6de9f2p-4, 0x1.e340db5aa3a5bp-4, 0x1.f8c5a50efc4e3p-4, 0x1.073137166cda3p-3, 0x1.1208e0b94382fp-3, 0x1.1ce71e001b4ap-3, 0x1.27c9478319566p-3, 0x1.32acc0aad8a6ep-3, 0x1.3d8ef86a9ddc1p-3, 0x1.486d69ecd800fp-3, 0x1.53459d3250d7ap-3, 0x1.5e1527a49885p-3, 0x1.68d9ac9bff4aap-3, 0x1.7390ddd99f7d5p-3, 0x1.7e387bf5d170cp-3, 0x1.88ce56c374a83p-3, 0x1.93504da876179p-3, 0x1.9dbc4febed2d6p-3, 0x1.a8105cfa368ebp-3, 0x1.b24a849f68e29p-3, 0x1.bc68e7387ac02p-3, 0x1.c669b5db818cp-3, 0x1.d04b3277586e4p-3, 0x1.da0bafeb0e607p-3, 0x1.e3a9921570a7p-3, 0x1.ed234ddd0fd32p-3, 0x1.f67769310a123p-3, 0x1.ffa47b02faab1p-3, 0x1.0454959d30ac3p-2, 0x1.08c21950e6927p-2, 0x1.0d1a2d6715c64p-2, 0x1.115c3f003d2a3p-2, 0x1.1587c38122641p-2, 0x1.199c387e8e5ddp-2, 0x1.1d9923a6c0658p-2, 0x1.217e12a8ab45ap-2, 0x1.254a9b19318dbp-2, 0x1.28fe5a567b6e5p-2, 0x1.2c98f56990d1cp-2, 0x1.301a18e650c3p-2, 0x1.338178c9f7655p-2, 0x1.36ced05842c1cp-2, 0x1.3a01e1f761149p-2, 0x1.3d1a770ac6819p-2, 0x1.40185fcd03b3p-2, 0x1.42fb7328bded5p-2, 0x1.45c38e90e1aa6p-2, 0x1.487095d830b8p-2, 0x1.4b0273083acd8p-2, 0x1.4d791637e2e73p-2, 0x1.4fd4756185319p-2, 0x1.52148c38d1bfbp-2, 0x1.54395c00727abp-2, 0x1.5642eb5f955cp-2, 0x1.58314637634e3p-2, 0x1.5a047d7880b9fp-2, 0x1.5bbca6f8a16d8p-2, 0x1.5d59dd4841e67p-2, 0x1.5edc3f8895d24p-2, 0x1.6043f141b6c58p-2, 0x1.61911a3925a1fp-2, 0x1.62c3e648a06d6p-2, 0x1.63dc853565ac3p-2, 0x1.64db2a87e067ap-2, 0x1.65c00d63d4304p-2, 0x1.668b686105264p-2, 0x1.673d79646e112p-2, 0x1.67d6817a03a3dp-2, 0x1.6856c4af11affp-2, 0x1.68be89ed31d6cp-2, 0x1.690e1ad5e7279p-2, 0x1.6945c39edb96bp-2, 0x1.6965d2eeca4dp-2, 0x1.696e99bb165e5p-2, 0x1.69606b260ec85p-2, 0x1.693b9c5de8151p-2, 0x1.6900847c67ac4p-2, 0x1.68af7c6743051p-2, 0x1.6848deb13952fp-2, 0x1.67cd077bdf50fp-2, 0x1.673c545a25167p-2, 0x1.6697243392007p-2, 0x1.65ddd72839c35p-2, 0x1.6510ce75639b1p-2, 0x1.64306c5aeb152p-2, 0x1.633d1401544a4p-2, 0x1.6237296091c75p-2, 0x1.611f11277f386p-2, 0x1.5ff530a40b1e8p-2, 0x1.5eb9edac0e3e8p-2, 0x1.5d6dae86d28bcp-2, 0x1.5c10d9d744465p-2, 0x1.5aa3d686c8e85p-2, 0x1.59270bb0c27a6p-2, 0x1.579ae08eb2fe7p-2, 0x1.55ffbc6503769p-2, 0x1.545606706c542p-2, 0x1.529e25d3fa78bp-2, 0x1.50d88187ac63ap-2, 0x1.4f058047afe68p-2, 0x1.4d2588842c261p-2, 0x1.4b390051a6db5p-2, 0x1.49404d59f7a33p-2, 0x1.473bd4cdcb1f3p-2, 0x1.452bfb56af4dfp-2, 0x1.43112509aed3fp-2, 0x1.40ebb55a6e01ap-2, 0x1.3ebc0f0ece6ecp-2, 0x1.3c82943317675p-2, 0x1.3a3fa60e990d9p-2, 0x1.37f3a518cf774p-2, 0x1.359ef0ef00801p-2, 0x1.3341e84a51ac8p-2, 0x1.30dce8f652997p-2, 0x1.2e704fc7fb16fp-2, 0x1.2bfc78951d5e8p-2, 0x1.2981be2c4399ap-2, 0x1.27007a4cf9993p-2, 0x1.247905a08480cp-2, 0x1.21ebb7b2fd65ep-2, 0x1.1f58e6ecd65f2p-2, 0x1.1cc0e88cbf026p-2, 0x1.1a2410a1ebd86p-2, 0x1.1782b206bdb06p-2, 0x1.14dd1e5bc3fe8p-2, 0x1.1233a6031b25p-2, 0x1.0f86981c2476p-2, 0x1.0cd6427f9154dp-2, 0x1.0a22f1bbc79edp-2, 0x1.076cf11193ed2p-2, 0x1.04b48a7130b7bp-2, 0x1.01fa0677991e2p-2, 0x1.fe7b58d8515p-3, 0x1.f8ff847d0e352p-3, 0x1.f3811909b7febp-3, 0x1.ee009cf48f4eep-3, 0x1.e87e93fb4a623p-3, 0x1.e2fb7f2117c4p-3, 0x1.dd77dcad2251p-3, 0x1.d7f428299f527p-3, 0x1.d270da6349ac5p-3, 0x1.ccee69695e584p-3, 0x1.c76d488e09782p-3, 0x1.c1ede86746a2ep-3, 0x1.bc70b6d0273a3p-3, 0x1.b6f61eea8e9e7p-3, 0x1.b17e892149dd6p-3, 0x1.ac0a5b2a8f2bdp-3, 0x1.a699f80adc5f2p-3, 0x1.a12dc0183465cp-3, 0x1.9bc610fdb1315p-3, 0x1.966345bf711b6p-3, 0x1.9105b6becfef7p-3, 0x1.8badb9bef8ccap-3, 0x1.865ba1e9bf467p-3, 0x1.810fbfd4c0a65p-3, 0x1.7bca6186d295ap-3, 0x1.768bd27dabd4bp-3, 0x1.71545bb3d897dp-3, 0x1.6c2443a6e48c5p-3, 0x1.66fbce5dc26fcp-3, 0x1.61db3d6f6f77ep-3, 0x1.5cc2d009c477ap-3, 0x1.57b2c2f882d47p-3, 0x1.52ab50ac8910ap-3, 0x1.4dacb1433c1cbp-3, 0x1.48b71a8e191edp-3, 0x1.43cac01a69886p-3, 0x1.3ee7d339294e8p-3, 0x1.3a0e830704e32p-3, 0x1.353efc747de13p-3, 0x1.30796a4e2e82bp-3, 0x1.2bbdf5452779dp-3, 0x1.270cc3f7674c8p-3, 0x1.2265faf86eb6ep-3, 0x1.1dc9bcd9e07ccp-3, 0x1.19382a344389ep-3, 0x1.14b161afc5114p-3, 0x1.1035800d18953p-3, 0x1.0bc4a02e5ef8cp-3, 0x1.075edb2019006p-3, 0x1.03044822237f4p-3, 0x1.fd69f9617a64bp-4, 0x1.f4e2191b22018p-4, 0x1.ec71139189445p-4, 0x1.e417099413d16p-4, 0x1.dbd418b35c917p-4, 0x1.d3a85b5362d39p-4, 0x1.cb93e8bd9d0bep-4, 0x1.c396d53319a57p-4, 0x1.bbb131fe7ae1ap-4, 0x1.b3e30d860997ap-4, 0x1.ac2c735d91695p-4, 0x1.a48d6c5842405p-4, 0x1.9d05fe9a7aebap-4, 0x1.95962dab6cafdp-4, 0x1.8e3dfa86b9e9ep-4, 0x1.86fd63ade58c8p-4, 0x1.7fd46539af166p-4, 0x1.78c2f8eb49f11p-4, 0x1.71c9163d7281bp-4, 0x1.6ae6b2755f83ap-4, 0x1.641bc0b38abf7p-4, 0x1.5d68320454498p-4, 0x1.56cbf57079987p-4, 0x1.5046f80d6236p-4, 0x1.49d9250d3f669p-4, 0x1.438265cefd8c2p-4, 0x1.3d42a1ee0474dp-4, 0x1.3719bf51c909dp-4, 0x1.3107a23d29de7p-4, 0x1.2b0c2d5d9be5p-4, 0x1.252741da1ed7ep-4, 0x1.1f58bf620007p-4, 0x1.19a0843b64524p-4, 0x1.13fe6d519b9bp-4, 0x1.0e7256433dac4p-4, 0x1.08fc19700d423p-4, 0x1.039b9006a1b7ap-4, 0x1.fca12423b0d0ep-5, 0x1.f235ed0c14e0ap-5, 0x1.e7f5269c1003ep-5, 0x1.ddde7aafb305bp-5, 0x1.d3f1914287ecbp-5, 0x1.ca2e10882497dp-5, 0x1.c0939d0446154p-5, 0x1.b721d9a272f09p-5, 0x1.add867cd24777p-5, 0x1.a4b6e78478b91p-5, 0x1.9bbcf7746a138p-5, 0x1.92ea350a90897p-5, 0x1.8a3e3c8b67985p-5, 0x1.81b8a9271e30bp-5, 0x1.7959150decf19p-5, 0x1.711f1983f576fp-5, 0x1.690a4ef4aa62ep-5, 0x1.611a4d05bf6b2p-5, 0x1.594eaaa9a5ff8p-5, 0x1.51a6fe3191f5fp-5, 0x1.4a22dd5f090c2p-5, 0x1.42c1dd75011e3p-5, 0x1.3b83934888d99p-5, 0x1.34679350fe6fep-5, 0x1.2d6d71b7d667ap-5, 0x1.2694c267f0135p-5, 0x1.1fdd191c7c418p-5, 0x1.1946096f74bf3p-5, 0x1.12cf26e7a8892p-5, 0x1.0c78050659838p-5, 0x1.0640375470fd5p-5, 0x1.0027516f4bb4cp-5, 0x1.f459ce2a39506p-6, 0x1.e8a11861cf82ep-6, 0x1.dd23a9cc3616fp-6, 0x1.d1e0ab377e1cap-6, 0x1.c6d7460e93286p-6, 0x1.bc06a46e12ae9p-6, 0x1.b16df1387156ap-6, 0x1.a70c582956593p-6, 0x1.9ce105e849c29p-6, 0x1.92eb281aa1319p-6, 0x1.8929ed74c197ap-6, 0x1.7f9c85caab6b5p-6, 0x1.7642221fdc90ap-6, 0x1.6d19f4b68308dp-6, 0x1.6423311e109a1p-6, 0x1.5b5d0c412377fp-6, 0x1.52c6bc72d14bep-6, 0x1.4a5f797b5334cp-6, 0x1.42267ca4185f9p-6, 0x1.3a1b00c341546p-6, 0x1.323c424684ad8p-6, 0x1.2a897f3d865ccp-6, 0x1.2301f7639eafbp-6, 0x1.1ba4ec2915ff6p-6, 0x1.1471a0bbdc14ep-6, 0x1.0d675a0fb5a1bp-6, 0x1.06855ee5eddeap-6, 0x1.ff95efa90bf89p-7, 0x1.f26ede99d7152p-7, 0x1.e594234467769p-7, 0x1.d9045a1dcab26p-7, 0x1.ccbe23749bdedp-7, 0x1.c0c0237acf84p-7, 0x1.b509024ea5687p-7, 0x1.a9976c02d284cp-7, 0x1.9e6a10a5cb314p-7, 0x1.937fa44854f67p-7, 0x1.88d6df0356251p-7, 0x1.7e6e7cfcdd95dp-7, 0x1.74453e6c81865p-7, 0x1.6a59e79f03476p-7, 0x1.60ab40f95113p-7, 0x1.573816fad7f5ap-7, 0x1.4dff3a3f3ae8p-7, 0x1.44ff7f7f681p-7, 0x1.3c37bf922318dp-7, 0x1.33a6d76bee425p-7, 0x1.2b4ba81e71f6p-7, 0x1.232516d757c2dp-7, 0x1.1b320cdea396ap-7, 0x1.137177948d52p-7, 0x1.0be2486ee2727p-7, 0x1.048374f5f01d5p-7, 0x1.faa7ed81fcce5p-8, 0x1.eca596e4bbf25p-8, 0x1.defde9661bb22p-8, 0x1.d1aef05bfb61bp-8, 0x1.c4b6bf15dfa58p-8, 0x1.b81370d1ff84ep-8, 0x1.abc328b1a2208p-8, 0x1.9fc411acd386cp-8, 0x1.94145e857be74p-8, 0x1.88b249b9da8edp-8, 0x1.7d9c157673063p-8, 0x1.72d00b876e942p-8, 0x1.684c7d497854ap-8, 0x1.5e0fc39a208f1p-8, 0x1.54183ec7c823bp-8, 0x1.4a6456811b628p-8, 0x1.40f279c42744ep-8, 0x1.37c11ecd07a2ap-8, 0x1.2ecec3043c2c6p-8, 0x1.2619eaeca39b8p-8, 0x1.1da12211273a8p-8, 0x1.1562faf2194c9p-8, 0x1.0d5e0ef24ec7dp-8, 0x1.0590fe43f5c97p-8, 0x1.fbf4dfaa641ccp-9, 0x1.ed322279011f5p-9, 0x1.ded72d49d44adp-9, 0x1.d0e175740f6ffp-9, 0x1.c34e7d27bc61fp-9, 0x1.b61bd3452848dp-9, 0x1.a94713341467bp-9, 0x1.9ccde4baa625fp-9, 0x1.90adfbd42dffep-9, 0x1.84e51887c16e3p-9, 0x1.797106beb4b6dp-9, 0x1.6e4f9e1afa488p-9, 0x1.637ec1cd70129p-9, 0x1.58fc606c207a4p-9, 0x1.4ec673c87c8e6p-9, 0x1.44db00c5963b8p-9, 0x1.3b38172e6411cp-9, 0x1.31dbd18c0e9c5p-9, 0x1.28c454fc50dd9p-9, 0x1.1fefd107f06f4p-9, 0x1.175c7f7951c92p-9, 0x1.0f08a4332e4e1p-9, 0x1.06f28d0770a0fp-9, 0x1.fe31231c78a5dp-10, 0x1.eef225fa4bf5dp-10, 0x1.e024f7fd388f9p-10, 0x1.d1c6811312baep-10, 0x1.c3d3bb72655e5p-10, 0x1.b649b34aa6cb8p-10, 0x1.a9258674fb681p-10, 0x1.9c64642579d1fp-10, 0x1.90038c9d0ee37p-10, 0x1.840050dbe8d3cp-10, 0x1.7858125490daap-10, 0x1.6d08429f9bb34p-10, 0x1.620e633006621p-10, 0x1.5768050843bf1p-10, 0x1.4d12c86ff2e28p-10, 0x1.430c5caa54f8cp-10, 0x1.39527fad7199cp-10, 0x1.2fe2fdda05ca6p-10, 0x1.26bbb1b423c16p-10, 0x1.1dda839ca7785p-10, 0x1.153d698b61a17p-10, 0x1.0ce266ca1889fp-10, 0x1.04c78bb05060ep-10, 0x1.f9d5eabfc098ap-11, 0x1.ea959b04b32a3p-11, 0x1.dbca940e836a9p-11, 0x1.cd7159c63d349p-11, 0x1.bf86879eb3007p-11, 0x1.b206d015f0587p-11, 0x1.a4eefc385ad8dp-11, 0x1.983beb258601ep-11, 0x1.8bea9196b9a3bp-11, 0x1.7ff7f9672bc8ep-11, 0x1.7461411df148p-11, 0x1.69239b79a1d48p-11, 0x1.5e3c4efdb4836p-11, 0x1.53a8b581919c9p-11, 0x1.49663bc159b8ep-11, 0x1.3f7260f062ap-11, 0x1.35cab64d69e68p-11, 0x1.2c6cdeb87ad1cp-11, 0x1.23568e4a8540cp-11, 0x1.1a8589eea96f5p-11, 0x1.11f7a6fd2f1c7p-11, 0x1.09aacad82e63dp-11, 0x1.019cea89e22dep-11, 0x1.f39814c947fb7p-12, 0x1.e46c7b4923925p-12, 0x1.d5b34c25aa98fp-12, 0x1.c768e7552002dp-12, 0x1.b989c87eca62p-12, 0x1.ac12864b411a4p-12, 0x1.9effd1b7ee959p-12, 0x1.924e756db9f7bp-12, 0x1.85fb551adb045p-12, 0x1.7a036ccfc9ce2p-12, 0x1.6e63d05f46952p-12, 0x1.6319aac171b87p-12, 0x1.58223d79ecfa6p-12, 0x1.4d7ae000fc2e2p-12, 0x1.4320ff2f9fe84p-12, 0x1.39121caea1a29p-12, 0x1.2f4bce68876b3p-12, 0x1.25cbbdfe6a9ecp-12, 0x1.1c8fa83fa2cf8p-12, 0x1.13955ca443f42p-12, 0x1.0adabcca63419p-12, 0x1.025dbbf617e09p-12, 0x1.f438bd2867ca8p-13, 0x1.e429737f52be3p-13, 0x1.d489e5932165ep-13, 0x1.c5567d879a2f6p-13, 0x1.b68bc41c85329p-13, 0x1.a8265fcd203ffp-13, 0x1.9a2313f49f766p-13, 0x1.8c7ebff78f267p-13, 0x1.7f365e7217e7dp-13, 0x1.7247046b04756p-13, 0x1.65ade08b81339p-13, 0x1.59683a5b80aa3p-13, 0x1.4d737182a9059p-13, 0x1.41ccfd0dc8d12p-13, 0x1.36726ab8b3662p-13, 0x1.2b615e3c778bp-13, 0x1.209790a1dc724p-13, 0x1.1612cf9819647p-13, 0x1.0bd0fccfac278p-13, 0x1.01d00d593dee5p-13, 0x1.f01c1211266b6p-14, 0x1.dd1213b6b4d76p-14, 0x1.ca7e76c7bf604p-14, 0x1.b85db46f171d5p-14, 0x1.a6ac66c2235bp-14, 0x1.956747aca6155p-14, 0x1.848b2fe3908d5p-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.5b0d317ae8b79p-3, -0x1.69fbed7b3675ep-3, -0x1.785f5ee5897a9p-3, -0x1.8637fff8b19efp-3, -0x1.9387fd9e56da7p-3, -0x1.a052fc4362024p-3, -0x1.ac9ddd7ff174p-3, -0x1.b86e87d5aa97cp-3, -0x1.c3cbb1739cdc2p-3, -0x1.cebcaea63f14ep-3, -0x1.d949445e4b548p-3, -0x1.e3797f0913dfcp-3, -0x1.ed558dce87167p-3, -0x1.f6e5a22b1af4bp-3, -0x1.0018e9e28c039p-2, -0x1.04a10425f099ap-2, -0x1.090eef91fca57p-2, -0x1.0d66504d630c4p-2, -0x1.11aa982c44315p-2, -0x1.15df016293921p-2, -0x1.1a068a8a4c1aep-2, -0x1.1e23f3d8b51aap-2, -0x1.2239bd5f72a3ap-2, -0x1.264a2637f5d67p-2, -0x1.2a572c7a03cc3p-2, -0x1.2e628de05eaa5p-2, -0x1.326dc900f9935p-2, -0x1.367a1f00822afp-2, -0x1.3a8895ab6b85p-2, -0x1.3e99f9e0de20cp-2, -0x1.42aee23e1dcdap-2, -0x1.46c7b1fafdbdcp-2, -0x1.4ae49be9cf014p-2, -0x1.4f05a58f01ab2p-2, -0x1.532aaa463850ap-2, -0x1.57535e6c04481p-2, -0x1.5b7f5284c8b62p-2, -0x1.5fadf65a6d871p-2, -0x1.63de9c0b990e2p-2, -0x1.68107b0808a0ep-2, -0x1.6c42b2f675642p-2, -0x1.70744e812f2c9p-2, -0x1.74a4460729c86p-2, -0x1.78d1822fcc5f9p-2, -0x1.7cfade604b16dp-2, -0x1.811f2b11b5a84p-2, -0x1.853d3007418eap-2, -0x1.8953ae64a1243p-2, -0x1.8d6162a47d42cp-2, -0x1.9165066f4f676p-2, -0x1.955d52531ef9ep-2, -0x1.9948ff5cac40cp-2, -0x1.9d26c892cf5d1p-2, -0x1.a0f56c54d0554p-2, -0x1.a4b3ad9ca7e14p-2, -0x1.a860552612f1bp-2, -0x1.abfa327b7cde5p-2, -0x1.af801ce9cc139p-2, -0x1.b2f0f45c11a74p-2, -0x1.b64ba2203a948p-2, -0x1.b98f1995c76d2p-2, -0x1.bcba58c7a3fa4p-2, -0x1.bfcc68f2263dp-2, -0x1.c2c45ef6449cdp-2, -0x1.c5a15bbb080ffp-2, -0x1.c8628c7e3b889p-2, -0x1.cb072b1557bbfp-2, -0x1.cd8e7e1f9bd66p-2, -0x1.cff7d92a4571cp-2, -0x1.d2429cc7d0e6p-2, -0x1.d46e369b1d6b8p-2, -0x1.d67a215750144p-2, -0x1.d865e4b54a78fp-2, -0x1.da31155f74dcep-2, -0x1.dbdb54d4a686cp-2, -0x1.dd645142de6e9p-2, -0x1.decbc55a83a61p-2, -0x1.e011781acf552p-2, -0x1.e1353c980b5f5p-2, -0x1.e236f1bc3513bp-2, -0x1.e3168202a2aa4p-2, -0x1.e3d3e32f2a3afp-2, -0x1.e46f16015b4fap-2, -0x1.e4e825e43a561p-2, -0x1.e53f289affb1bp-2, -0x1.e5743deb4549dp-2, -0x1.e5878f450910dp-2, -0x1.e5794f68ed2dep-2, -0x1.e549ba0d0c6fcp-2, -0x1.e4f91380bf62cp-2, -0x1.e487a84f9f735p-2, -0x1.e3f5cce413c12p-2, -0x1.e343dd29b2685p-2, -0x1.e2723c2fb12f3p-2, -0x1.e18153cba8018p-2, -0x1.e071943cda00ap-2, -0x1.df4373d03acffp-2, -0x1.ddf76e855b37ap-2, -0x1.dc8e05b46e5ffp-2, -0x1.db07bfb589f2fp-2, -0x1.d965278948491p-2, -0x1.d7a6cc82ec4bp-2, -0x1.d5cd41f420fc4p-2, -0x1.d3d91eda7225p-2, -0x1.d1cafd8e95dbcp-2, -0x1.cfa37b7596c3dp-2, -0x1.cd6338b3f33bep-2, -0x1.cb0ad7e2c232ep-2, -0x1.c89afdc6e5fecp-2, -0x1.c614510a5c285p-2, -0x1.c37779f7af749p-2, -0x1.c0c522379799bp-2, -0x1.bdfdf490c0e8bp-2, -0x1.bb229ca9cf453p-2, -0x1.b833c6cd8e593p-2, -0x1.b5321fb159213p-2, -0x1.b21e543db3fbfp-2, -0x1.aef9115916277p-2, -0x1.abc303b4e38ebp-2, -0x1.a87cd79c8cc8ep-2, -0x1.a52738c6d4698p-2, -0x1.a1c2d2292ff4cp-2, -0x1.9e504dcd3fa11p-2, -0x1.9ad054a8556cp-2, -0x1.97438e7501653p-2, -0x1.93aaa18e99f2ap-2, -0x1.900632ceb9e6p-2, -0x1.8c56e56ca6507p-2, -0x1.889d5ade950b5p-2, -0x1.84da32bcc5e28p-2, -0x1.810e0aa668392p-2, -0x1.7d397e283c70bp-2, -0x1.795d26a4ea7b8p-2, -0x1.75799b3eff157p-2, -0x1.718f70c484a59p-2, -0x1.6d9f399c2b061p-2, -0x1.69a985b3f87c9p-2, -0x1.65aee2716a5ecp-2, -0x1.61afdaa30c6e8p-2, -0x1.5dacf67366d11p-2, -0x1.59a6bb5d47e91p-2, -0x1.559dac2155d82p-2, -0x1.519248bcd8b3fp-2, -0x1.4d850e61be5p-2, -0x1.4976776fbc575p-2, -0x1.4566fb6e958dp-2, -0x1.41570f0966ee5p-2, -0x1.3d47240b003c2p-2, -0x1.3937a95b341fep-2, -0x1.35290afd16403p-2, -0x1.311bb20e234f2p-2, -0x1.2d1004c63ca45p-2, -0x1.290666787d1a7p-2, -0x1.24ff3794cdaep-2, -0x1.20fad5aa3cf1bp-2, -0x1.1cf99b6a058d3p-2, -0x1.18fbe0ab466a7p-2, -0x1.1501fa6f537fdp-2, -0x1.110c3ae6aaa65p-2, -0x1.0d1af1766f74ap-2, -0x1.092e6abe760a3p-2, -0x1.0546f09fcc13ap-2, -0x1.0164ca43b8fedp-2, -0x1.fb10784667396p-3, -0x1.f363101d79d58p-3, -0x1.ebc1da6d40e94p-3, -0x1.e42d50671f8p-3, -0x1.dca5e61f2534ep-3, -0x1.d52c0a9e8d225p-3, -0x1.cdc027f6cd137p-3, -0x1.c662a35528a6bp-3, -0x1.bf13dd16c3fafp-3, -0x1.b7d430dd18e16p-3, -0x1.b0a3f5a2dca5fp-3, -0x1.a9837dd135023p-3, -0x1.a273175540a08p-3, -0x1.9b730bb5e5fd2p-3, -0x1.9483a029d9b1dp-3, -0x1.8da515adddee9p-3, -0x1.86d7a91b2b492p-3, -0x1.801b933df7752p-3, -0x1.797108ec20ed7p-3, -0x1.72d83b1be60d4p-3, -0x1.6c5156faa95a7p-3, -0x1.65dc8603c301ep-3, -0x1.5f79ee174a692p-3, -0x1.5929b190d997cp-3, -0x1.52ebef5e49975p-3, -0x1.4cc0c31657f48p-3, -0x1.46a8450f339f8p-3, -0x1.40a28a74f6723p-3, -0x1.3aafa55ff1da3p-3, -0x1.34cfa4eadd9afp-3, -0x1.2f029548dd37fp-3, -0x1.29487fdb541d9p-3, -0x1.23a16b4789683p-3, -0x1.1e0d5b8c1a69dp-3, -0x1.188c52162f9d1p-3, -0x1.131e4dd67befcp-3, -0x1.0dc34b55faf69p-3, -0x1.087b44ca6eea9p-3, -0x1.0346322a9bcccp-3, -0x1.fc4812847d9e4p-4, -0x1.f2297b8b7976cp-4, -0x1.e83082cb0eb02p-4, -0x1.de5d07c270128p-4, -0x1.d4aee634bd97ap-4, -0x1.cb25f64e024a3p-4, -0x1.c1c20cc799187p-4, -0x1.b882fb0bec48cp-4, -0x1.af688f5991528p-4, -0x1.a67294e5c9e78p-4, -0x1.9da0d3fe4fca5p-4, -0x1.94f3122a88a59p-4, -0x1.8c69124c03a1ap-4, -0x1.840294be5ac2ap-4, -0x1.7bbf577662983p-4, -0x1.739f1620b1915p-4, -0x1.6ba18a3f7fa98p-4, -0x1.63c66b47d872bp-4, -0x1.5c0d6ebe2659dp-4, -0x1.5476485211b08p-4, -0x1.4d00a9f9b8c3dp-4, -0x1.45ac440c3da87p-4, -0x1.3e78c55bad9a4p-4, -0x1.3765db4e405b2p-4, -0x1.307331f6f3c8bp-4, -0x1.29a0742d7ff81p-4, -0x1.22ed4ba5ab0dfp-4, -0x1.1c596105f8f3ep-4, -0x1.15e45bfdbaf6cp-4, -0x1.0f8de35a81983p-4, -0x1.09559d1cf065ap-4, -0x1.033b2e8cf53cfp-4, -0x1.fa7c789acf7f6p-5, -0x1.eebcd4de1f70bp-5, -0x1.e336b9062bef1p-5, -0x1.d7e96b59c1c6fp-5, -0x1.ccd43166c023ep-5, -0x1.c1f650238e8d6p-5, -0x1.b74f0c0f76f38p-5, -0x1.acdda951ed4b7p-5, -0x1.a2a16bd8bdb23p-5, -0x1.98999775346fep-5, -0x1.8ec56ff836b59p-5, -0x1.8524394d58c03p-5, -0x1.7bb53794f53eep-5, -0x1.7277af3d47c06p-5, -0x1.696ae51a90d53p-5, -0x1.608e1e7e487bp-5, -0x1.57e0a14d64172p-5, -0x1.4f61b415b2777p-5, -0x1.47109e2256ff5p-5, -0x1.3eeca78f634c2p-5, -0x1.36f5195c9877dp-5, -0x1.2f293d7f53239p-5, -0x1.27885ef3a6ddfp-5, -0x1.2011c9ccae2b7p-5, -0x1.18c4cb441369fp-5, -0x1.11a0b1c8d6c9p-5, -0x1.0aa4cd0d585eep-5, -0x1.03d06e14a8782p-5, -0x1.fa45ce7e4783ep-6, -0x1.ed3718acbda9ap-6, -0x1.e0736530d1b85p-6, -0x1.d3f96184cab76p-6, -0x1.c7c7be350a536p-6, -0x1.bbdd2ef2c1762p-6, -0x1.b0386aa572c3bp-6, -0x1.a4d82b7b4c22ep-6, -0x1.99bb2ef85c3ddp-6, -0x1.8ee03604af3d6p-6, -0x1.844604f95c989p-6, -0x1.79eb63ac88cap-6, -0x1.6fcf1d7c67942p-6, -0x1.65f0015945df2p-6, -0x1.5c4ce1cea2eddp-6, -0x1.52e4950b5d215p-6, -0x1.49b5f4e901148p-6, -0x1.40bfdef23a58fp-6, -0x1.3801346873359p-6, -0x1.2f78da48a853cp-6, -0x1.2725b94f78cbcp-6, -0x1.1f06bdfc71ddap-6, -0x1.171ad894aef6ap-6, -0x1.0f60fd24bbb7ep-6, -0x1.07d82381d6403p-6, -0x1.007f474a8ab01p-6, -0x1.f2aacfcd5c795p-7, -0x1.e4b3110d8b907p-7, -0x1.d7156045bcabap-7, -0x1.c9cfd2f1a204ap-7, -0x1.bce0861419195p-7, -0x1.b0459e31a9e32p-7, -0x1.a3fd474a1f3fcp-7, -0x1.9805b4d12a778p-7, -0x1.8c5d21a62c9f2p-7, -0x1.8101d00b2cde3p-7, -0x1.75f2099af4915p-7, -0x1.6b2c1f3e8121p-7, -0x1.60ae69219fed3p-7, -0x1.567746a6f509ep-7, -0x1.4c851e5b4dd73p-7, -0x1.42d65de8513p-7, -0x1.39697a06a9c13p-7, -0x1.303cee6f94956p-7, -0x1.274f3dcdf23a7p-7, -0x1.1e9ef1aed7b1p-7, -0x1.162a9a71aa686p-7, -0x1.0df0cf37cd2f3p-7, -0x1.05f02dd3e6af8p-7, -0x1.fc4eb5718d555p-8, -0x1.ed2a01cfe3ae7p-8, -0x1.de6fa3bfb44afp-8, -0x1.d01d0b1396093p-8, -0x1.c22fb44f1bc22p-8, -0x1.b4a528819c13dp-8, -0x1.a77afd20833b4p-8, -0x1.9aaed3e139692p-8, -0x1.8e3e5a92a769cp-8, -0x1.82274af6664c1p-8, -0x1.76676a99a1e8dp-8, -0x1.6afc8aadb86bbp-8, -0x1.5fe487e0a0712p-8, -0x1.551d4a351f023p-8, -0x1.4aa4c4dad3e77p-8, -0x1.4078f606286edp-8, -0x1.3697e6c8244acp-8, -0x1.2cffaae632f7bp-8, -0x1.23ae60b1e13e9p-8, -0x1.1aa230e096c7bp-8, -0x1.11d94e635625fp-8, -0x1.0951f63e886d1p-8, -0x1.010a6f61d9ab3p-8, -0x1.f2021500585d4p-9, -0x1.e26843cf5855fp-9, -0x1.d34432b402f7dp-9, -0x1.c492bbc95aa23p-9, -0x1.b650cb732665dp-9, -0x1.a87b600f63324p-9, -0x1.9b0f89a8298a3p-9, -0x1.8e0a69a5fe2eap-9, -0x1.81693282a6849p-9, -0x1.7529277c7e74ep-9, -0x1.69479c4a59e95p-9, -0x1.5dc1f4cff666dp-9, -0x1.5295a4d30b683p-9, -0x1.47c02fb0f3d7fp-9, -0x1.3d3f2814febcep-9, -0x1.33102faf6b095p-9, -0x1.2930f6ed0d6dp-9, -0x1.1f9f3cafb34e3p-9, -0x1.1658ce0733b5bp-9, -0x1.0d5b85eb42734p-9, -0x1.04a54cf60459p-9, -0x1.f868323ec37c6p-10, -0x1.e80bdaf24cf73p-10, -0x1.d831b3d7c84p-10, -0x1.c8d5f5e95420ap-10, -0x1.b9f4f2c7043fbp-10, -0x1.ab8b14358e0a5p-10, -0x1.9d94db9e91b26p-10, -0x1.900ee1929144ap-10, -0x1.82f5d54c93964p-10, -0x1.76467c37730ap-10, -0x1.69fdb174e48fcp-10, -0x1.5e1865662cbb9p-10, -0x1.52939d3689b63p-10, -0x1.476c726756887p-10, -0x1.3ca0125de57fcp-10, -0x1.322bbdf3078adp-10, -0x1.280cc9045b936p-10, -0x1.1e409a07452fp-10, -0x1.14c4a99da24adp-10, -0x1.0b96822c36d13p-10, -0x1.02b3bf72c610ep-10, -0x1.f4341c4bd2a4ap-11, -0x1.e38e57151e753p-11, -0x1.d371ca266288cp-11, -0x1.c3da2ffd688e1p-11, -0x1.b4c361f1ee2aep-11, -0x1.a629577a10e7ap-11, -0x1.980825720bee3p-11, -0x1.8a5bfd673c95cp-11, -0x1.7d212ce668c49p-11, -0x1.70541ccd443dp-11, -0x1.63f1509f2a04dp-11, -0x1.57f565dd05a08p-11, -0x1.4c5d136065d42p-11, -0x1.412528b9ae548p-11, -0x1.364a8d9165b4ep-11, -0x1.2bca410c9281cp-11, -0x1.21a159342581ep-11, -0x1.17cd025f639a6p-11, -0x1.0e4a7ea149b6p-11, -0x1.05172538e3793p-11, -0x1.f860c40911a9ep-12, -0x1.e72769eff9ae2p-12, -0x1.d67d632ac72a5p-12, -0x1.c65dfcd20a956p-12, -0x1.b6c4a90fafd1p-12, -0x1.a7acfe21888c9p-12, -0x1.9912b5613be9ep-12, -0x1.8af1aa5189d23p-12, -0x1.7d45d9b0ce2b2p-12, -0x1.700b6090b1743p-12, -0x1.633e7b72f696dp-12, -0x1.56db856b4c3cdp-12, -0x1.4adef74616dedp-12, -0x1.3f4566b419dep-12, -0x1.340b857af1416p-12, -0x1.292e20aa451ccp-12, -0x1.1eaa1fd5a6ep-12, -0x1.147c8453052ffp-12, -0x1.0aa2687d9eddfp-12, -0x1.0118fefd677b8p-12, -0x1.efbb242594584p-13, -0x1.dddb05cd65af5p-13, -0x1.cc8c91bd9f8b7p-13, -0x1.bbcae1ebf33fcp-13, -0x1.ab913a315142cp-13, -0x1.9bdb070adbe61p-13, -0x1.8ca3dc62ab743p-13, -0x1.7de774604e16ep-13, -0x1.6fa1ae40d595bp-13, -0x1.61ce8d364dff3p-13, -0x1.546a374e8a52ap-13, -0x1.4770f461081cap-13, -0x1.3adf2d03e01f1p-13, -0x1.2eb1698791935p-13, -0x1.22e450f9909abp-13, -0x1.1774a82d6ca35p-13, -0x1.0c5f50cc6e514p-13, -0x1.01a1486b949d6p-13, -0x1.ee6f4f4f8a092p-14, -0x1.da3f429025ba1p-14, -0x1.c6ad02cc002eep-14, -0x1.b3b359371f95bp-14, -0x1.a14d3e6e2bd43p-14, -0x1.8f75d8e938a81p-14, -0x1.7e287b7981604p-14, -0x1.6d60a3d1de293p-14, -0x1.5d19f919b469ep-14, -0x1.4d504a8a24c37p-14, -0x1.3dff8e1541329p-14, -0x1.2f23df170e41ap-14, -0x1.20b97d1019cap-14, -0x1.12bcca696d43bp-14, -0x1.052a4b41a597cp-14, -0x1.effd4885f984cp-15, -0x1.d66d330417992p-15, -0x1.bd9e1aca2a67p-15, -0x1.a589ff2743631p-15, -0x1.8e2b17dc7b61bp-15, -0x1.777bd31c4c74ap-15, -0x1.6176d3996581bp-15, -0x1.4c16eea49bb4ep-15, -0x1.37572a5998e15p-15, -0x1.2332bbd9ea39dp-15, -0x1.0fa5059613ddap-15, -0x1.f9532b48a4117p-16, -0x1.d478484957574p-16, -0x1.b0b123640ab4fp-16, -0x1.8df5cbbfb5b9dp-16, -0x1.6c3e9b88a0efap-16, -0x1.4b84351c8c624p-16, -0x1.2bbf804e42106p-16, -0x1.0ce9a7bff3965p-16, -0x1.ddf82ca7932c9p-17, -0x1.a3e0e96416c4dp-17, -0x1.6b814dc8a1eb5p-17, -0x1.34cd940a5627cp-17, -0x1.ff74c80ecf9cbp-18, -0x1.98799de9ea9f6p-18, -0x1.3494966522699p-18, -0x1.a762c109a4474p-19, -0x1.d6f197284997dp-20, -0x1.aa2c2af7ae0d9p-22, 0x1.ed6e04b6acaa1p-21, 0x1.268d6e33a631p-19, 0x1.cc722bdd3f8bbp-19, 0x1.36953aaff8f35p-18, 0x1.846af1c3c1e52p-18, 0x1.cfc97c66689edp-18, 0x1.0c5fcb3eed522p-17, 0x1.2fadbe1adaabp-17, 0x1.51d577b3279e8p-17, 0x1.72dd9e641ba65p-17, 0x1.92cca07ad5985p-17, 0x1.b1a8b69dd3256p-17, 0x1.cf77e61de5cedp-17, 0x1.ec4003307a782p-17, 0x1.04035989d7f96p-16, 0x1.1168b70e93b6cp-16, 0x1.1e52c0da055b6p-16, 0x1.2ac4091b8570ap-16, 0x1.36bf0e677a2fdp-16, 0x1.42463c9737f55p-16, 0x1.4d5bed9fd0b95p-16, 0x1.58026a600a0bcp-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.d835ccb3b93b9p-1, 0x1.d537c3bc9a72ep-1, 0x1.d225e4d8daa6p-1, 0x1.cf00f7986eb3ap-1, 0x1.cbc9ff06af14fp-1, 0x1.c88233614f2f9p-1, 0x1.c52afabb7348ep-1, 0x1.c1c5e10b06e68p-1, 0x1.be54900420be4p-1, 0x1.bad8c70f8729cp-1, 0x1.b75453961e632p-1, 0x1.b3c909cade5ecp-1, 0x1.b038be0fa26f2p-1, 0x1.aca53f0643d23p-1, 0x1.a9105056d2352p-1, 0x1.a57ba62ce0e28p-1, 0x1.a1e8e168b5764p-1, 0x1.9e598c7d36b02p-1, 0x1.9acf18f0b37a2p-1, 0x1.974add74bd40ep-1, 0x1.93ce148821eeep-1, 0x1.9059db9586df6p-1, 0x1.8cef328109505p-1, 0x1.898efb977e11bp-1, 0x1.8639fbd272bfcp-1, 0x1.82f0db64b94cfp-1, 0x1.7fb4268416a76p-1, 0x1.7c844e658ee53p-1, 0x1.7961aa62b2ea5p-1, 0x1.764c793f3fe22p-1, 0x1.7344e2874b87ap-1, 0x1.704af7ff15712p-1, 0x1.6d5eb71e6d15ap-1, 0x1.6a800a926261ep-1, 0x1.67aecbc0b0f7fp-1, 0x1.64eac449010edp-1, 0x1.6233af80aee1dp-1, 0x1.5f893be65b33bp-1, 0x1.5ceb0c8b00c97p-1, 0x1.5a58ba6ebc048p-1, 0x1.57d1d5cfd1d98p-1, 0x1.5555e76adc021p-1, 0x1.52e471ab4b7b6p-1, 0x1.507cf1cbb45ccp-1, 0x1.4e1ee0e58915bp-1, 0x1.4bc9b4f026824p-1, 0x1.497ce1af2f12cp-1, 0x1.4737d9905cd5fp-1, 0x1.44fa0e790dadap-1, 0x1.42c2f283e2bf3p-1, 0x1.4091f8aee2d4ap-1, 0x1.3e66957a98305p-1, 0x1.3c403f7ab81a6p-1, 0x1.3a1e6fd8e1c4fp-1, 0x1.3800a2ca0e773p-1, 0x1.35e657f74f8fbp-1, 0x1.33cf12da7ae63p-1, 0x1.31ba5b0f6419bp-1, 0x1.2fa7bc9a44db9p-1, 0x1.2d96c823f0216p-1, 0x1.2b87132c73305p-1, 0x1.29783834b532dp-1, 0x1.2769d6dfb3065p-1, 0x1.255b940be6d75p-1, 0x1.234d19e564fdbp-1, 0x1.213e17f13e92cp-1, 0x1.1f2e4312a66fdp-1, 0x1.1d1d558a59e36p-1, 0x1.1b0b0ef0c6efap-1, 0x1.18f7342b63be7p-1, 0x1.16e18f5da342cp-1, 0x1.14c9efd5f4c2ep-1, 0x1.12b029f72e2cap-1, 0x1.1094171ec2d5ap-1, 0x1.0e7595881e2e1p-1, 0x1.0c54882d79093p-1, 0x1.0a30d6a676e44p-1, 0x1.080a6d04d9ac2p-1, 0x1.05e13baf8e341p-1, 0x1.03b5373c56681p-1, 0x1.018658484d0d5p-1, 0x1.fea9369eff809p-2, 0x1.fa4001079cf1fp-2, 0x1.f5d1174691507p-2, 0x1.f15c879c660fep-2, 0x1.ece266b9bd28ap-2, 0x1.e862cf6afaa49p-2, 0x1.e3dde24422116p-2, 0x1.df53c54d3935cp-2, 0x1.dac4a3af60dadp-2, 0x1.d630ad62dd471p-2, 0x1.d19816de408ep-2, 0x1.ccfb18c6e3207p-2, 0x1.c859efa2ce3cdp-2, 0x1.c3b4db8c42785p-2, 0x1.bf0c1fe6ee2b6p-2, 0x1.ba600316fd192p-2, 0x1.b5b0ce3a0d316p-2, 0x1.b0fecce21f4c5p-2, 0x1.ac4a4cd29c0fbp-2, 0x1.a7939dbf6cfe9p-2, 0x1.a2db110e43346p-2, 0x1.9e20f99a0c3d5p-2, 0x1.9965ab7899e17p-2, 0x1.94a97bc289a48p-2, 0x1.8fecc05d640f2p-2, 0x1.8b2fcfc7f9ea2p-2, 0x1.867300e8fe19cp-2, 0x1.81b6aadfd2dd3p-2, 0x1.7cfb24d79028dp-2, 0x1.7840c5dc32662p-2, 0x1.7387e4b1f35adp-2, 0x1.6ed0d7aebf949p-2, 0x1.6a1bf495c3844p-2, 0x1.6569907502a4dp-2, 0x1.60b9ff84f2865p-2, 0x1.5c0d950a09776p-2, 0x1.5764a3383b85dp-2, 0x1.52bf7b1852eccp-2, 0x1.4e1e6c6f1c76cp-2, 0x1.4981c5a659c0cp-2, 0x1.44e9d3b76918p-2, 0x1.4056e2179b78dp-2, 0x1.3bc93aa624e48p-2, 0x1.3741259b9e41p-2, 0x1.32bee97b080d5p-2, 0x1.2e42cb04435cp-2, 0x1.29cd0d27ee2a6p-2, 0x1.255df0fc9ab8fp-2, 0x1.20f5b5b553622p-2, 0x1.1c94989959c8p-2, 0x1.183ad4fd196e7p-2, 0x1.13e8a43c3ad81p-2, 0x1.0f9e3db4d08d9p-2, 0x1.0b5bd6c38ce87p-2, 0x1.0721a2c0f44fdp-2, 0x1.02efd2ff815a4p-2, 0x1.fd8d2d95616c9p-3, 0x1.f54c36cdc3e0dp-3, 0x1.ed1d182415c7fp-3, 0x1.e500240a5417bp-3, 0x1.dcf5a8ecea1f6p-3, 0x1.d4fdf138622a4p-3, 0x1.cd1943605ffb9p-3, 0x1.c547e1e7ce475p-3, 0x1.bd8a0b6a2aeb3p-3, 0x1.b5dffaa5db095p-3, 0x1.ae49e6877ffc5p-3, 0x1.a6c8023630fd5p-3, 0x1.9f5a7d208a892p-3, 0x1.9801830a88f61p-3, 0x1.90bd3c1c19feep-3, 0x1.898dccf051086p-3, 0x1.827356a53c5e9p-3, 0x1.7b6df6ec42c9p-3, 0x1.747dc81afc446p-3, 0x1.6da2e13c817b1p-3, 0x1.66dd56231ce0cp-3, 0x1.602d377a52e36p-3, 0x1.599292d93cca4p-3, 0x1.530d72d524acep-3, 0x1.4c9ddf14538d3p-3, 0x1.4643dc611a607p-3, 0x1.3fff6cbcf2d83p-3, 0x1.39d08f73c8a1ap-3, 0x1.33b7412f4fd67p-3, 0x1.2db37c0a66dd1p-3, 0x1.27c537a48114fp-3, 0x1.21ec69350a78ep-3, 0x1.1c29039ec7bd3p-3, 0x1.167af7831b28cp-3, 0x1.10e2335542656p-3, 0x1.0b5ea36d6cba1p-3, 0x1.05f0321bb35e2p-3, 0x1.0096c7baf3023p-3, 0x1.f6a49586dbdf3p-4, 0x1.ec453fba9b36fp-4, 0x1.e20f53e5c9cacp-4, 0x1.d80294858226fp-4, 0x1.ce1ec0e30a4ep-4, 0x1.c463953701292p-4, 0x1.bad0cacc0f116p-4, 0x1.b166182117aecp-4, 0x1.a823310adb95fp-4, 0x1.9f07c6d50d294p-4, 0x1.96138862ccc5ep-4, 0x1.8d46224e96cdp-4, 0x1.849f3f09940b7p-4, 0x1.7c1e86fa4b74p-4, 0x1.73c3a09ab8281p-4, 0x1.6b8e3095bc996p-4, 0x1.637dd9e3f34b7p-4, 0x1.5b923de7daeb1p-4, 0x1.53cafc895d35ap-4, 0x1.4c27b450afa06p-4, 0x1.44a802808c86cp-4, 0x1.3d4b832fc4b02p-4, 0x1.3611d1622af16p-4, 0x1.2efa8720d637bp-4, 0x1.28053d91be082p-4, 0x1.21318d0eb0397p-4, 0x1.1a7f0d3ba09bcp-4, 0x1.13ed551c536f5p-4, 0x1.0d7bfb29646d3p-4, 0x1.072a9564ab9c6p-4, 0x1.00f8b96cfeb88p-4, 0x1.f5cbf922ab598p-5, 0x1.e9e3e7c69defap-5, 0x1.de3868922ea13p-5, 0x1.d2c8a51d713p-5, 0x1.c793c6ed9b418p-5, 0x1.bc98f795429fep-5, 0x1.b1d760d36fb56p-5, 0x1.a74e2cb18d68cp-5, 0x1.9cfc85a0370ep-5, 0x1.92e19692eac0fp-5, 0x1.88fc8b1aa78ddp-5, 0x1.7f4c8f7f76b2cp-5, 0x1.75d0d0d8e9208p-5, 0x1.6c887d258c655p-5, 0x1.6372c3615f734p-5, 0x1.5a8ed39b457f6p-5, 0x1.51dbdf0983ff9p-5, 0x1.4959181d4ab77p-5, 0x1.4105b29551715p-5, 0x1.38e0e38f8784ep-5, 0x1.30e9e199e6c27p-5, 0x1.291fe4c2625f4p-5, 0x1.218226a600aacp-5, 0x1.1a0fe27f1fe6p-5, 0x1.12c85532ed46dp-5, 0x1.0baabd5e14226p-5, 0x1.04b65b60a75afp-5, 0x1.fbd4e2d29c6fp-6, 0x1.ee8c86ff6e35fp-6, 0x1.e1922f1cab78cp-6, 0x1.d4e46ad6e93c3p-6, 0x1.c881cdc3316a5p-6, 0x1.bc68ef6e888bcp-6, 0x1.b0986b6c2cfddp-6, 0x1.a50ee162a1f1cp-6, 0x1.99caf51791773p-6, 0x1.8ecb4e7a82c17p-6, 0x1.840e99ae8180dp-6, 0x1.79938712a9a68p-6, 0x1.6f58cb49b5d49p-6, 0x1.655d1f408807ap-6, 0x1.5b9f4033bf7cp-6, 0x1.521defb462d5ep-6, 0x1.48d7f3aba15ddp-6, 0x1.3fcc165dbf061p-6, 0x1.36f9266c2596ap-6, 0x1.2e5df6d6ad4cbp-6, 0x1.25f95efc228dcp-6, 0x1.1dca3a9a0d9c6p-6, 0x1.15cf69cbc5736p-6, 0x1.0e07d108d41dfp-6, 0x1.06725922bb526p-6, 0x1.fe1bde8421bdcp-7, 0x1.efb309c614416p-7, 0x1.e1a81fa2e7696p-7, 0x1.d3f914483ba7ap-7, 0x1.c6a3e46f88c82p-7, 0x1.b9a69552f7c96p-7, 0x1.acff34a143994p-7, 0x1.a0abd870be44fp-7, 0x1.94aa9f317c04cp-7, 0x1.88f9af9eac945p-7, 0x1.7d9738af368cbp-7, 0x1.728171859d305p-7, 0x1.67b6995f37b47p-7, 0x1.5d34f782c2779p-7, 0x1.52fadb2e5dda9p-7, 0x1.49069b84f3b21p-7, 0x1.3f56977b241b5p-7, 0x1.35e935c3ab595p-7, 0x1.2cbce4bb52524p-7, 0x1.23d01a54796fcp-7, 0x1.1b2154023a398p-7, 0x1.12af16a32f025p-7, 0x1.0a77ee6be5268p-7, 0x1.027a6ed101e36p-7, 0x1.f56a64e242bfdp-8, 0x1.e64db5fcec79ap-8, 0x1.d79c225060917p-8, 0x1.c9530907615bcp-8, 0x1.bb6fd6eb24b6dp-8, 0x1.adf0063517bc4p-8, 0x1.a0d11e60604dfp-8, 0x1.9410b3fb29ffbp-8, 0x1.87ac6877c51fap-8, 0x1.7ba1e9fda7107p-8, 0x1.6feef33a4f0ddp-8, 0x1.64914b321ed69p-8, 0x1.5986c5112c951p-8, 0x1.4ecd3ffc18b8dp-8, 0x1.4462a6e0ebb19p-8, 0x1.3a44f0480b071p-8, 0x1.30721e25441d6p-8, 0x1.26e83da8fcb0cp-8, 0x1.1da5671186c91p-8, 0x1.14a7bd7ca877ap-8, 0x1.0bed6eb953269p-8, 0x1.0374b3199b15dp-8, 0x1.f6779a89d2c7p-9, 0x1.e6821414f1e8ap-9, 0x1.d705806831c2dp-9, 0x1.c7fea0b2859p-9, 0x1.b96a496502a24p-9, 0x1.ab4561da60778p-9, 0x1.9d8ce3ff2f332p-9, 0x1.903ddbface9fp-9, 0x1.835567d92ac4dp-9, 0x1.76d0b73542a0dp-9, 0x1.6aad0ae48670dp-9, 0x1.5ee7b4a30ace5p-9, 0x1.537e16c098769p-9, 0x1.486da3cea2e0cp-9, 0x1.3db3de4f2243cp-9, 0x1.334e58645a9bep-9, 0x1.293ab3818e00dp-9, 0x1.1f76a01ca85e8p-9, 0x1.15ffdd60d79ecp-9, 0x1.0cd438e22517p-9, 0x1.03f18e5202287p-9, 0x1.f6ab8e69aa078p-10, 0x1.e5fdb5310b246p-10, 0x1.d5d599980f634p-10, 0x1.c62f5e2fd66dap-10, 0x1.b7073eefd045cp-10, 0x1.a85990aaed9f6p-10, 0x1.9a22c086d081cp-10, 0x1.8c5f537502d31p-10, 0x1.7f0be5ae42915p-10, 0x1.72252a2fcd33ep-10, 0x1.65a7ea3abe798p-10, 0x1.599104d5709fep-10, 0x1.4ddd6e4eeca67p-10, 0x1.428a2fc4589a8p-10, 0x1.379466a8770eep-10, 0x1.2cf9444d1cbacp-10, 0x1.22b60d6eb503dp-10, 0x1.18c819c1b70eep-10, 0x1.0f2cd382253a6p-10, 0x1.05e1b704f79aep-10, 0x1.f9c8a49711c76p-11, 0x1.e8648931d3d97p-11, 0x1.d7927c12588b9p-11, 0x1.c74dfe5526cdbp-11, 0x1.b792b1315ac87p-11, 0x1.a85c55329b445p-11, 0x1.99a6c976ccc15p-11, 0x1.8b6e0aef75a38p-11, 0x1.7dae33a6cd5fcp-11, 0x1.70637a086af28p-11, 0x1.638a302d8a131p-11, 0x1.571ec32cdc53cp-11, 0x1.4b1dba6ddcb98p-11, 0x1.3f83b6ff9afd1p-11, 0x1.344d72f2f2f82p-11, 0x1.2977c0b827b1bp-11, 0x1.1eff8a7fd4beep-11, 0x1.14e1d19f2d314p-11, 0x1.0b1badf77b3c5p-11, 0x1.01aa4d60d5fc7p-11, 0x1.f115e6300521bp-12, 0x1.df75ee5ee932dp-12, 0x1.ce6f8c06c777cp-12, 0x1.bdfdbf61cf8f7p-12, 0x1.ae1baf2029e1cp-12, 0x1.9ec4a7620fd57p-12, 0x1.8ff418b7b0dbbp-12, 0x1.81a59726cf9b8p-12, 0x1.73d4d935f981bp-12, 0x1.667db6fd49669p-12, 0x1.599c293c98ea8p-12, 0x1.4d2c48770b5dp-12, 0x1.412a4c13db37ap-12, 0x1.3592898453a86p-12, 0x1.2a61736ee018ap-12, 0x1.1f9398df18edbp-12, 0x1.1525a47ab93cfp-12, 0x1.0b145bbb6609ap-12, 0x1.015c9e2d31e1p-12, 0x1.eff6c963881f5p-13, 0x1.dddb81902841cp-13, 0x1.cc61b7b1318ccp-13, 0x1.bb83ed0bc503bp-13, 0x1.ab3cd002ffaa7p-13, 0x1.9b873aca40558p-13, 0x1.8c5e321facc49p-13, 0x1.7dbce40ee883p-13, 0x1.6f9ea6bbb0199p-13, 0x1.61fef73454f62p-13, 0x1.54d9784bd849p-13, 0x1.4829f17b829dap-13, 0x1.3bec4dcbde0fdp-13, 0x1.301c9ac4da5eap-13, 0x1.24b70764fe0ap-13, 0x1.19b7e31f815abp-13, 0x1.0f1b9ce12564ap-13, 0x1.04dec21ba77dp-13, 0x1.f5fbfbaf6508ep-14, 0x1.e2ec2f9a31c1cp-14, 0x1.d087e70296e26p-14, 0x1.bec91ed7aedfap-14, 0x1.adaa08419b163p-14, 0x1.9d250701fc0cp-14, 0x1.8d34afdfa1028p-14, 0x1.7dd3c71d5cd6p-14, 0x1.6efd3efba0252p-14, 0x1.60ac3644a87a8p-14, 0x1.52dbf6e3008ccp-14, 0x1.4587f4821766dp-14, 0x1.38abcb38b0ad5p-14, 0x1.2c433e3cf260dp-14, 0x1.204a36a1d7e84p-14, 0x1.14bcc21dcf7bfp-14, 0x1.099711da4a45cp-14, 0x1.fdaaf298136f3p-15, 0x1.e8e8da27e19a2p-15, 0x1.d4e103d04cd9cp-15, 0x1.c18cd70aabdc6p-15, 0x1.aee5f74fac8c2p-15, 0x1.9ce642191492dp-15, 0x1.8b87ccf28c43bp-15, 0x1.7ac4e39915e21p-15, 0x1.6a980628ce306p-15, 0x1.5afbe758a19c8p-15, 0x1.4beb6ac3923d7p-15, 0x1.3d61a33f3c7c2p-15, 0x1.2f59d13f3cbb3p-15, 0x1.21cf61452601ap-15, 0x1.14bdea5cb444dp-15, 0x1.08212ca3e5a77p-15, 0x1.f7ea1fbd59b3dp-16, 0x1.e06b442bdc252p-16, 0x1.c9be2c82f1947p-16, 0x1.b3db85f965284p-16, 0x1.9ebc428b56bedp-16, 0x1.8a59968c9d7f6p-16, 0x1.76acf64ee660cp-16, 0x1.63b013daf0d72p-16, 0x1.515cdcbc793f4p-16, 0x1.3fad77e0378c8p-16, 0x1.2e9c438384b2p-16, 0x1.1e23d33516a97p-16, 0x1.0e3eede66b54ep-16, 0x1.fdd1181ab2a3ap-17, 0x1.e037abaab831cp-17, 0x1.c3a842c046286p-17, 0x1.a819e229edbaep-17, 0x1.8d83e3fd111b5p-17, 0x1.73ddf46d756bep-17, 0x1.5b200ec006e4fp-17, 0x1.43427a57fa784p-17, 0x1.2c3dc7dd87384p-17, 0x1.160ace7d7d50ap-17, 0x1.00a2a940f6226p-17, 0x1.d7fd68f8d42e7p-18, 0x1.b03116aaf212dp-18, 0x1.89d40abd67666p-18, 0x1.64da6891808bap-18, 0x1.4138c3505fe99p-18, 0x1.1ee4199ecc6b7p-18, 0x1.fba3a2efd310ap-19, 0x1.bbef685b40c3p-19, 0x1.7e97d51b29abcp-19, 0x1.4389f25303666p-19, 0x1.0ab37983b9e21p-19, 0x1.a8059b46dc29bp-20, 0x1.3ecde8eb09f59p-20, 0x1.b33e40841713p-21, 0x1.e166c819f8274p-22, 0x1.adf2f79a74449p-24, -0x1.f76e088c0a4fp-23, -0x1.2a52de7be1392p-21, -0x1.cfde5684c9722p-21, -0x1.37595020f235dp-20, -0x1.83814d7b9dff7p-20, -0x1.cc7fb1094f867p-20, -0x1.093617d71fbf8p-19, -0x1.2aaed71d7e8cfp-19, -0x1.4ab524ea88df3p-19, -0x1.6953b0060c75dp-19, -0x1.8694cb4f20dc8p-19, -0x1.a282717766b7ap-19, -0x1.bd264898b43d3p-19, -0x1.d689a5a663439p-19, -0x1.eeb58fbb95017p-19, -0x1.02d961a3cc34cp-18, -0x1.0dc4da8cd3c47p-18, -0x1.18214aa69187ep-18, -0x1.21f2a90bb1385p-18, -0x1.2b3ccd3c1c1f8p-18, -0x1.340370671686dp-18, -0x1.3c4a2ea7bdd9dp-18, -0x1.44148834636cfp-18, -0x1.4b65e28140b52p-18, -0x1.52418956f885ep-18, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      39, 0x1.5c28f5c28f5c3p+2, 0x1.68972a10b3c04p+0, 0x1.0857dc87c1766p+2, -0x1.779e719c7057bp+0, 
      {{
        {0x1.999999999999ap+0, 0x1.b333333333333p+0, 0x1.4420480f9fd45p+2, -0x1.2668f84fa5e4bp+3, 0x1.9eb1757ae6498p+2, 0x1.8931c04e49289p-1}, 
        {0x1.b333333333333p+0, 0x1.ccccccccccccdp+0, 0x1.0d70af2e80631p+2, -0x1.f8682e7c2ebc4p+2, 0x1.ad701fe43c3bp+2, -0x1.eb7e3061dc76dp+1}, 
        {0x1.ccccccccccccdp+0, 0x1.e666666666666p+0, 0x1.be18a1f197e61p+1, -0x1.a9e44a1ccdad1p+2, 0x1.63b6cbd58e5c5p+2, -0x1.1d9d0eefea0d8p+1}, 
        {0x1.e666666666666p+0, 0x1p+1, 0x1.6fbf1d122afa2p+1, -0x1.67087c732183dp+2, 0x1.38df3ccb2b40cp+2, -0x1.2866cc6478da7p+1}, 
        {0x1p+1, 0x1.0cccccccccccdp+1, 0x1.2de6a46cac2fap+1, -0x1.2ce79ee07bf5p+2, 0x1.0c696aef4c532p+2, -0x1.f8f0737d9430cp+0}, 
        {0x1.0cccccccccccdp+1, 0x1.199999999999ap+1, 0x1.edabe8989d265p+0, -0x1.f604d745b15ddp+1, 0x1.cd152af228d21p+1, -0x1.c4cea430ec315p+0}, 
        {0x1.199999999999ap+1, 0x1.2666666666666p+1, 0x1.92095d77eae57p+0, -0x1.a0982fddacbecp+1, 0x1.89295f1e05644p+1, -0x1.8d3e6fe10d41cp+0}, 
        {0x1.2666666666666p+1, 0x1.3333333333333p+1, 0x1.462f054d3cec4p+0, -0x1.57ebbaae3f111p+1, 0x1.4d9334bc43675p+1, -0x1.5c7a8c2aeef5fp+0}, 
        {0x1.3333333333333p+1, 0x1.4p+1, 0x1.07b8f7eb8d11p+0, -0x1.1a6ed8a2d6734p+1, 0x1.194d9fb5d2c27p+1, -0x1.2f819d65fd693p+0}, 
        {0x1.4p+1, 0x1.4cccccccccccdp+1, 0x1.a91df2b725e04p-1, -0x1.cd732bdeb9cc4p+0, 0x1.d78df699d97efp+0, -0x1.06de1c609c834p+0}, 
        {0x1.4cccccccccccdp+1, 0x1.599999999999ap+1, 0x1.55bb7c20f14cp-1, -0x1.770666ebd06f2p+0, 0x1.88b1bae344243p+0, -0x1.c44e82a53a443p-1}, 
        {0x1.599999999999ap+1, 0x1.6666666666666p+1, 0x1.122102310a31cp-1, -0x1.2f45504da3aep+0, 0x1.44d9274a7b66bp+0, -0x1.826ae4af03448p-1}, 
        {0x1.6666666666666p+1, 0x1.7333333333333p+1, 0x1.b72bb126eee34p-2, -0x1.e831da4f894cbp-1, 0x1.0ae2b8303ae94p+0, -0x1.479f3d24c0e19p-1}, 
        {0x1.7333333333333p+1, 0x1.8p+1, 0x1.5f8d49a9c70ffp-2, -0x1.8744e6f31b5c5p-1, 0x1.b37c113bd58fp-1, -0x1.1382c648e561dp-1}, 
        {0x1.8p+1, 0x1.8cccccccccccdp+1, 0x1.1974ed57641f5p-2, -0x1.3870030d2abaep-1, 0x1.60d4d5bf90be6p-1, -0x1.cb5470bab4da9p-2}, 
        {0x1.8cccccccccccdp+1, 0x1.999999999999ap+1, 0x1.c32210e401303p-3, -0x1.f185be39b577cp-2, 0x1.1bee91a38f372p-1, -0x1.7b55ef544afa2p-2}, 
        {0x1.999999999999ap+1, 0x1.a666666666666p+1, 0x1.6a3a290642baap-3, -0x1.8b5469dea7642p-2, 0x1.c61028476e564p-2, -0x1.363474be98c2bp-2}, 
        {0x1.a666666666666p+1, 0x1.b333333333333p+1, 0x1.239f417a8575p-3, -0x1.39d2c179ecf28p-2, 0x1.69006ba7da1c5p-2, -0x1.f6350c1aade2p-3}, 
        {0x1.b333333333333p+1, 0x1.cp+1, 0x1.d72689356ddbp-4, -0x1.f24fe50dabb5p-3, 0x1.1daba9d70cd3ep-2, -0x1.9265436b7d9d4p-3}, 
        {0x1.cp+1, 0x1.ccccccccccccdp+1, 0x1.7e1c3270d78d4p-4, -0x1.8c1da09479b3fp-3, 0x1.c29f590dda5efp-3, -0x1.3f4e8fe66fb4ap-3}, 
        {0x1.ccccccccccccdp+1, 0x1.d99999999999ap+1, 0x1.3742c5fe7baccp-4, -0x1.3b9208d89e2e3p-3, 0x1.62d49448b8dbep-3, -0x1.f68be21bae8fcp-4}, 
        {0x1.d99999999999ap+1, 0x1.e666666666666p+1, 0x1.fd7b4adb593cp-5, -0x1.f848fe71232c9p-4, 0x1.1772cbf7c512ep-3, -0x1.8940cd53aefa5p-4}, 
        {0x1.e666666666666p+1, 0x1.f333333333333p+1, 0x1.a30419928f7e7p-5, -0x1.944da8c64ccb8p-4, 0x1.b8ebc0bcd5a81p-4, -0x1.3365e0bf227d6p-4}, 
        {0x1.f333333333333p+1, 0x1p+2, 0x1.5a5be534f3716p-5, -0x1.45575335a089ap-4, 0x1.5cb396e9e4e8cp-4, -0x1.e34a386a16de4p-5}, 
        {0x1p+2, 0x1.0666666666666p+2, 0x1.1fc80f55b5962p-5, -0x1.06d9a3f3f5a8ap-4, 0x1.143541a6c7e0fp-4, -0x1.8150fb3e78227p-5}, 
        {0x1.0666666666666p+2, 0x1.0cccccccccccdp+2, 0x1.e0b35a178c91dp-6, -0x1.aac6cec85c695p-5, 0x1.b4d237ee05519p-5, -0x1.3a34141f5c712p-5}, 
        {0x1.0cccccccccccdp+2, 0x1.1333333333333p+2, 0x1.93740ae6dcd2cp-6, -0x1.5cd6a57afa477p-5, 0x1.568f6517cffbep-5, -0x1.074757c9a99c1p-5}, 
        {0x1.1333333333333p+2, 0x1.199999999999ap+2, 0x1.54029f5d301ffp-6, -0x1.20398c372521bp-5, 0x1.0793978e83809p-5, -0x1.c3bec48c79efdp-6}, 
        {0x1.199999999999ap+2, 0x1.2p+2, 0x1.1f2f60c78e889p-6, -0x1.e49242fc0f141p-6, 0x1.87a1275948d1fp-6, -0x1.869bcfaa55088p-6}, 
        {0x1.2p+2, 0x1.2666666666666p+2, 0x1.e481daef0af47p-7, -0x1.a1f6b48b78d37p-6, 0x1.1272690c95b66p-6, -0x1.49dee91b4312ap-6}, 
        {0x1.2666666666666p+2, 0x1.2cccccccccccdp+2, 0x1.95be6377b2943p-7, -0x1.74f86e354af9fp-6, 0x1.5ef8aca269956p-7, -0x1.ffe073ccfc3c8p-7}, 
        {0x1.2cccccccccccdp+2, 0x1.3333333333333p+2, 0x1.4e25bfad2d9ap-7, -0x1.598d2b7b538fbp-6, 0x1.8ad113c9d56b3p-8, -0x1.38cbf00332f2ep-7}, 
        {0x1.3333333333333p+2, 0x1.399999999999ap+2, 0x1.0ab2cde109f04p-7, -0x1.4a80a7b1485fdp-6, 0x1.9e47078fd41adp-9, -0x1.cde299f89755dp-11}, 
        {0x1.399999999999ap+2, 0x1.4p+2, 0x1.9335a427da451p-8, -0x1.409421ba51ef1p-6, 0x1.7ba2d59d2f276p-9, 0x1.54acf1e0d2de4p-7}, 
        {0x1.4p+2, 0x1.4666666666666p+2, 0x1.158ebfa3efa8ep-8, -0x1.31fa44477f833p-6, 0x1.8a392f22494b6p-8, 0x1.cba18b5bc0509p-6}, 
        {0x1.4666666666666p+2, 0x1.4cccccccccccdp+2, 0x1.41e50827a547p-9, -0x1.107a3dbde9474p-6, 0x1.d8e3eb2e98083p-7, 0x1.57225f3e5d66ap-5}, 
        {0x1.4cccccccccccdp+2, 0x1.5333333333333p+2, 0x1.00a306f819b36p-10, -0x1.993369fa61422p-7, 0x1.ba5361efea762p-6, 0x1.8053b572f49f3p-4}, 
        {0x1.5333333333333p+2, 0x1.599999999999ap+2, 0x1.8a52bad69834ep-14, -0x1.18106bf36894cp-8, 0x1.c3c25109bb334p-5, -0x1.bebcde7a7581ap-3}, 
        {0x1.599999999999ap+2, 0x1.5c28f5c28f5c3p+2, 0x0p+0, 0x1.bc39efb481a07p-13, -0x1.514e1af1adad1p-7, -0x1.6d80683554bbfp-6}, 
      }}, 
      0x1.cb573acaf6338p+2, -0x1.5d90949d75234p+6
    }
  };
  // clang-format on
}
SkfData params_mio_0_1_o_n() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.5483708ef4cd6p+0, -0x1.3dde73182d1fdp+0, -0x1.278ea2ed4ddafp+0, -0x1.11a4ba114ed6p+0, -0x1.f85e7eb3f925bp-1, -0x1.ce74f977e007cp-1, -0x1.a5a186c316d4p-1, -0x1.7df5984eed27cp-1, -0x1.577fadd7e0005p-1, -0x1.324b27ba63e8bp-1, -0x1.0e604c280af6bp-1, -0x1.d789759197062p-2, -0x1.94f81634a70a1p-2, -0x1.55107a5efd2b9p-2, -0x1.17d3b26b8f1ddp-2, -0x1.ba7f65c1f7a38p-3, -0x1.4a9e638905619p-3, -0x1.bfe7861c27b29p-4, -0x1.e9a86ec1f94dcp-5, -0x1.9e8c1c16a5f0dp-7, 0x1.06abba6049193p-5, 0x1.30da978a57272p-4, 0x1.d4eceeda4dcp-4, 0x1.37eaa5b9f2e6ep-3, 0x1.80eb80af1ded6p-3, 0x1.c59bdc7283779p-3, 0x1.030fa98f5cb42p-2, 0x1.214cf2f2ccba4p-2, 0x1.3d97ddb23e06cp-2, 0x1.58028094f4fbp-2, 0x1.709ef1c2247dfp-2, 0x1.877f44198bea3p-2, 0x1.9cb57f445a49fp-2, 0x1.b05390d60e857p-2, 0x1.c26b38538f71bp-2, 0x1.d30df0fdb54cp-2, 0x1.e24cdbf705ccdp-2, 0x1.f038ad17b65a6p-2, 0x1.fce19cb9f2a4ep-2, 0x1.042bb02ecebbap-1, 0x1.0954955c15d5ep-1, 0x1.0df2d8ec64e77p-1, 0x1.120d9c260b097p-1, 0x1.15abcab63dac2p-1, 0x1.18d41cd00e6dap-1, 0x1.1b8d1673645c9p-1, 0x1.1ddd040f75976p-1, 0x1.1fc9f58abf234p-1, 0x1.2159b9260f297p-1, 0x1.2291d7a135d9ep-1, 0x1.23779298d57d4p-1, 0x1.240fe5768af87p-1, 0x1.245f88b216c7cp-1, 0x1.246af6b0f792ep-1, 0x1.2436715c7cd86p-1, 0x1.23c6078c8c8a9p-1, 0x1.231d9998d412ap-1, 0x1.2240dcadace56p-1, 0x1.21335cd02da6ap-1, 0x1.1ff87dbd3f3cp-1, 0x1.1e937af905d95p-1, 0x1.1d0767749fa51p-1, 0x1.1b572d2b7eeaap-1, 0x1.19864b67a57cfp-1, 0x1.179663fa04fb7p-1, 0x1.1589fe36d0422p-1, 0x1.13635b51035c2p-1, 0x1.11249cac5f8a9p-1, 0x1.0ecfc5deaea53p-1, 0x1.0c66be61c2fe4p-1, 0x1.09eb52f961a6p-1, 0x1.075f36d8b61b7p-1, 0x1.04c40497fa2fep-1, 0x1.021b3f0c86b77p-1, 0x1.fecca4286b2e8p-2, 0x1.f94d26c38d4c8p-2, 0x1.f3ba86a786343p-2, 0x1.ee171bb643ec8p-2, 0x1.e86516e603cc5p-2, 0x1.e2a6844f66234p-2, 0x1.dcdd4d51f29dap-2, 0x1.d70b3ac40332fp-2, 0x1.d131f721cad2cp-2, 0x1.cb5310af63fb8p-2, 0x1.c56ffb833a48ep-2, 0x1.bf8a13704c3p-2, 0x1.b9a29dca84e1cp-2, 0x1.b3bacb0202018p-2, 0x1.add3b814b089ep-2, 0x1.a7ee6fd793848p-2, 0x1.a20bec1a9a88fp-2, 0x1.9c2d16aadcc63p-2, 0x1.9652ca37b55bep-2, 0x1.907dd31f66aefp-2, 0x1.8aaef027fff2dp-2, 0x1.84e6d328fd464p-2, 0x1.7f2621a9b134fp-2, 0x1.796d757800bdp-2, 0x1.73bd5d3a39e29p-2, 0x1.6e165cfe1c807p-2, 0x1.6878eec648c2ep-2, 0x1.62e58316a38ccp-2, 0x1.5d5c817f9acabp-2, 0x1.57de4927b73fp-2, 0x1.526b3152ac309p-2, 0x1.4d0389e4ecef8p-2, 0x1.47a79be2cdef6p-2, 0x1.4257a9ea5bbap-2, 0x1.3d13f0a725c46p-2, 0x1.37dca73f77e49p-2, 0x1.32b1ffba9788ep-2, 0x1.2d94275fce971p-2, 0x1.2883470e2217p-2, 0x1.237f838cbf367p-2, 0x1.1e88fdd43a5b6p-2, 0x1.199fd350e3ffap-2, 0x1.14c41e1e820efp-2, 0x1.0ff5f53de79c3p-2, 0x1.0b356cc4e8b4fp-2, 0x1.068296093d395p-2, 0x1.01dd7fc6fab9cp-2, 0x1.fa8c6c86642cap-3, 0x1.f17986d6b70bfp-3, 0x1.e8825de424a3fp-3, 0x1.dfa6fcd344e9bp-3, 0x1.d6e76ab9aa5dcp-3, 0x1.ce43aacc9cbc1p-3, 0x1.c5bbbc8d92a57p-3, 0x1.bd4f9bf4c4dccp-3, 0x1.b4ff419a3bd98p-3, 0x1.accaa2dd848b9p-3, 0x1.a4b1b20c4ac44p-3, 0x1.9cb45e87dcc96p-3, 0x1.94d294e9cbf7fp-3, 0x1.8d0c3f279c635p-3, 0x1.856144b597ac7p-3, 0x1.7dd18aa8bce85p-3, 0x1.765cf3d7c68d1p-3, 0x1.6f0360fb35ae5p-3, 0x1.67c4b0cc61a82p-3, 0x1.60a0c02359344p-3, 0x1.59976a13aa05ap-3, 0x1.52a88807cc10ap-3, 0x1.4bd3f1db467d9p-3, 0x1.45197df3624a4p-3, 0x1.3e7901566a9b1p-3, 0x1.37f24fc17817bp-3, 0x1.31859e908542ep-3, 0x1.2b31de89a8aa1p-3, 0x1.24f75d6c86754p-3, 0x1.1ed5eb380b0cap-3, 0x1.18cd56ebbe5d5p-3, 0x1.12dd6e9285073p-3, 0x1.0d05ff4d1f913p-3, 0x1.0746d55c74d7fp-3, 0x1.019fbc2bc75fp-3, 0x1.f820fcb5cab79p-4, 0x1.ed31cb90a52f8p-4, 0x1.e2717736f9c25p-4, 0x1.d7df909df450dp-4, 0x1.cd7ba7757ba3cp-4, 0x1.c3454a3cbd7c2p-4, 0x1.b93c06567b4e5p-4, 0x1.af5f681d4ff41p-4, 0x1.a5aefaf7a472p-4, 0x1.9c2a496b53d02p-4, 0x1.92d0dd30fb08ap-4, 0x1.89a23f46b90edp-4, 0x1.809df8027c231p-4, 0x1.77c38f23b483cp-4, 0x1.6f128be46e3dfp-4, 0x1.668a7509c9ac4p-4, 0x1.5e2ad0f3cfd31p-4, 0x1.55f325aca3211p-4, 0x1.4de2f8f70b595p-4, 0x1.45f9d05c678ecp-4, 0x1.3e37313a04c8cp-4, 0x1.369aa0cde628ep-4, 0x1.2f23a44305c78p-4, 0x1.27d1c0bd15d8ap-4, 0x1.20a47b63cf773p-4, 0x1.199b596dd5125p-4, 0x1.12b5e02b3715fp-4, 0x1.0bf3950f9f08fp-4, 0x1.0553fdbc30401p-4, 0x1.fdad401241961p-5, 0x1.f0f6041e304c4p-5, 0x1.e4815460a9249p-5, 0x1.d84e3e43466e2p-5, 0x1.cc5bcfe6550dcp-5, 0x1.c0a918321ceddp-5, 0x1.b53526e7dfe4p-5, 0x1.a9ff0cb295643p-5, 0x1.9f05db3762a4ep-5, 0x1.9448a525d206ep-5, 0x1.89c67e47c8b0fp-5, 0x1.7f7e7b913abadp-5, 0x1.756fb32f96285p-5, 0x1.6b993c98e83b3p-5, 0x1.61fa309ab17d9p-5, 0x1.5891a9686b569p-5, 0x1.4f5ec2a9b4f52p-5, 0x1.4660998828442p-5, 0x1.3d964cbcca3edp-5, 0x1.34fefc9d1dad3p-5, 0x1.2c99cb27c7c06p-5, 0x1.2465dc10cce3fp-5, 0x1.1c6254cd5e057p-5, 0x1.148e5c9f321bcp-5, 0x1.0ce91c9f6c454p-5, 0x1.0571bfc90cbd3p-5, 0x1.fc4ee605cf72ep-6, 0x1.ee12ca524c20ap-6, 0x1.e02d8e2c94be4p-6, 0x1.d29d97577c6bdp-6, 0x1.c5614fb3c9a52p-6, 0x1.b877254f6e928p-6, 0x1.abdd8a73cbc43p-6, 0x1.9f92f5b30ab58p-6, 0x1.9395e1f49019p-6, 0x1.87e4ce807d7bp-6, 0x1.7c7e3f0a5f155p-6, 0x1.7160bbbaed31dp-6, 0x1.668ad138f8563p-6, 0x1.5bfb10b18308p-6, 0x1.51b00fdf02d4cp-6, 0x1.47a8690fdc51ap-6, 0x1.3de2bb2c10ecfp-6, 0x1.345da9ba2f74bp-6, 0x1.2b17dce38265cp-6, 0x1.2210017787f9ap-6, 0x1.1944c8eeb7776p-6, 0x1.10b4e96c92602p-6, 0x1.085f1dc1103d5p-6, 0x1.0042256962f4fp-6, 0x1.f0b9892031211p-7, 0x1.e15b881944688p-7, 0x1.d267e2c484c62p-7, 0x1.c3dc3d7cd060dp-7, 0x1.b5b645ecf2f96p-7, 0x1.a7f3b30a22513p-7, 0x1.9a92450d79052p-7, 0x1.8d8fc56c57ee3p-7, 0x1.80ea06cfd4088p-7, 0x1.749ee50b3519ap-7, 0x1.68ac451179d35p-7, 0x1.5d1014e9f7f78p-7, 0x1.51c84ba427f96p-7, 0x1.46d2e94a8d2f4p-7, 0x1.3c2df6d4d2ef6p-7, 0x1.31d786192af95p-7, 0x1.27cdb1bcdf85fp-7, 0x1.1e0e9d2431566p-7, 0x1.149874618ae7cp-7, 0x1.0b696c23fcd61p-7, 0x1.027fc1a52b417p-7, 0x1.f3b3752d1cbfbp-8, 0x1.e2eb4a1c57e7bp-8, 0x1.d2a3aee578906p-8, 0x1.c2d960ceaa95ep-8, 0x1.b3892d6d1a912p-8, 0x1.a4aff27a5a681p-8, 0x1.964a9da8e618p-8, 0x1.88562c77ccaafp-8, 0x1.7acfac05ad7ap-8, 0x1.6db438e2e71d4p-8, 0x1.6100fee326334p-8, 0x1.54b338ee5f41dp-8, 0x1.48c830d12ee74p-8, 0x1.3d3d3f0cbba9ep-8, 0x1.320fcaa62778bp-8, 0x1.273d48f589d37p-8, 0x1.1cc33d7494192p-8, 0x1.129f398cdffdp-8, 0x1.08cedc65f7551p-8, 0x1.fe9fa56638072p-9, 0x1.ec3fad01b1fa4p-9, 0x1.da795e04edc2cp-9, 0x1.c94860be7c616p-9, 0x1.b8a876ff71e5p-9, 0x1.a8957bb5b0fabp-9, 0x1.990b628640a0ap-9, 0x1.8a0637679d57ap-9, 0x1.7b821e3c33fd9p-9, 0x1.6d7b526d0da16p-9, 0x1.5fee26849e3eap-9, 0x1.52d703c9f4dcbp-9, 0x1.463269dc3c2edp-9, 0x1.39fcee4e8a03ap-9, 0x1.2e333c446009cp-9, 0x1.22d2140e6c30bp-9, 0x1.17d64ac7f54d8p-9, 0x1.0d3cc9f4d47bfp-9, 0x1.03028f2023c4dp-9, 0x1.f24956f715e9cp-10, 0x1.df4086fe662adp-10, 0x1.cce51d1566907p-10, 0x1.bb31ad0d1a617p-10, 0x1.aa20ef0d2efc1p-10, 0x1.99adbeda97c6cp-10, 0x1.89d31b1fc3f4fp-10, 0x1.7a8c24b6c0508p-10, 0x1.6bd41df5528adp-10, 0x1.5da669fae10bfp-10, 0x1.4ffe8c0056895p-10, 0x1.42d826aa31cf2p-10, 0x1.362efb5c69e89p-10, 0x1.29fee990b6c61p-10, 0x1.1e43ee2eb744fp-10, 0x1.12fa22e672b28p-10, 0x1.081dbd8cfa1ecp-10, 0x1.fb561ef64bc6ap-11, 0x1.e73d09ddbece6p-11, 0x1.d3e948dcbca91p-11, 0x1.c1541c5bbcae2p-11, 0x1.af1ae204421ep-11, 0x1.9df0848cdadefp-11, 0x1.8d71ba5a5d029p-11, 0x1.7d98847f8bf6cp-11, 0x1.6e5f11a04644bp-11, 0x1.5fbfbcd9da0afp-11, 0x1.51b50cb00edap-11, 0x1.4439b1ff13cbap-11, 0x1.374886f1bba18p-11, 0x1.2adc8dfcaf21dp-11, 0x1.1ef0f0ddf4e95p-11, 0x1.1380ffa17d386p-11, 0x1.08882fa9e0c15p-11, 0x1.fc04357ba8cf9p-12, 0x1.e7d4fc343da4p-12, 0x1.d47a73101f266p-12, 0x1.c1ec9cf0f1372p-12, 0x1.b023be45a51f5p-12, 0x1.9f185b52343a8p-12, 0x1.8ec3367f803e8p-12, 0x1.7f1d4eb3e0b08p-12, 0x1.701fddb47d804p-12, 0x1.61c4568e99a9dp-12, 0x1.540464097d811p-12, 0x1.46d9e72099861p-12, 0x1.3a3ef585b2771p-12, 0x1.2e2dd82b05f81p-12, 0x1.22a109d57d6cbp-12, 0x1.179335b6a18ecp-12, 0x1.0cff360e3da41p-12, 0x1.02e012d3f006cp-12, 0x1.f26200cfc495ap-13, 0x1.dfdabc9624c68p-13, 0x1.ce216bbe0a499p-13, 0x1.bd2d725985404p-13, 0x1.acf68364e0944p-13, 0x1.9d749e715ef51p-13, 0x1.8ea00d5d17855p-13, 0x1.807162181ba63p-13, 0x1.72e17477b50bbp-13, 0x1.65e960165e9eep-13, 0x1.59828240f2ad7p-13, 0x1.4da677f0c0f0cp-13, 0x1.424f1bd263e3bp-13, 0x1.37768458a8771p-13, 0x1.2d1701db7aa24p-13, 0x1.232b1cc3bd655p-13, 0x1.19ad93c217a29p-13, 0x1.10995a11815f9p-13, 0x1.07e995c5cf949p-13, 0x1.ff333c494d049p-14, 0x1.ef49f413e5957p-14, 0x1.e00ebcadd4c84p-14, 0x1.d17958d7b5843p-14, 0x1.c381e1593af29p-14, 0x1.b620c21c87bfp-14, 0x1.a94eb760880c5p-14, 0x1.9d04cafcb8dc4p-14, 0x1.913c51b8ad678p-14, 0x1.85eee8b74f561p-14, 0x1.7b1672f2ec725p-14, 0x1.70ad16cdda4a5p-14, 0x1.66ad3bb247863p-14, 0x1.5d1187c4f9509p-14, 0x1.53d4dda8eac2ep-14, 0x1.4af25a52daf5bp-14, 0x1.426552ed9e18p-14, 0x1.3a2952ce3af0fp-14, 0x1.323a1977b658dp-14, 0x1.2a9398ad0a41bp-14, 0x1.2331f2942c56fp-14, 0x1.1c1177e4b0a1p-14, 0x1.152ea62713448p-14, 0x1.0e8626001ce9bp-14, 0x1.0814c98ab869ep-14, 0x1.01d78abd90d24p-14, 0x1.f79713c077b7dp-15, 0x1.ebdc1810dd708p-15, 0x1.e078f351e2621p-15, 0x1.d568ba4db8588p-15, 0x1.caa6c2fdd2d46p-15, 0x1.c02ea1e537043p-15, 0x1.b5fc27855dfaep-15, 0x1.ac0b5de640f06p-15, 0x1.a2588632f833p-15, 0x1.98e0166b5659cp-15, 0x1.8f9eb7298498bp-15, 0x1.86914179af04dp-15, 0x1.7db4bcc4036f3p-15, 0x1.75065ccbd6a7ap-15, 0x1.6c837fbb79bf2p-15, 0x1.6429ac44f92aep-15, 0x1.5bf68fd32f3edp-15, 0x1.53e7fcc7d41d1p-15, 0x1.4bfbe8cdfbf27p-15, 0x1.44306b37f67cfp-15, 0x1.3c83bb6e12bf4p-15, 0x1.34f42f6a5a096p-15, 0x1.2d803a44bc9c4p-15, 0x1.26266ac995b29p-15, 0x1.1ee56a1fee14ap-15, 0x1.17bbfa7b950d6p-15, 0x1.10a8f5dbe8a67p-15, 0x1.09ab4cd63538fp-15, 0x1.02c2056c479c1p-15, 0x1.f7d873dcd8492p-16, 0x1.ea522fced98a4p-16, 0x1.dcefbe2afde4bp-16, 0x1.cfafc0d671f0dp-16, 0x1.c290fa3601e11p-16, 0x1.b5924b5c302c6p-16, 0x1.a8b2b2457f879p-16, 0x1.9bf148296f435p-16, 0x1.8f4d3fdd01933p-16, 0x1.82c5e4451206ap-16, 0x1.765a96daec385p-16, 0x1.6a0ace41351d2p-16, 0x1.5dd614e727552p-16, 0x1.51bc07b6fc2ccp-16, 0x1.45bc54de1a35bp-16, 0x1.39d6ba9730bf7p-16, 0x1.2e0b060a4cd95p-16, 0x1.2259122fc2823p-16, 0x1.16c0c6cf2f5aep-16, 0x1.0b42177e35491p-16, 0x1.ffba055afa9e6p-17, 0x1.e9232189b5867p-17, 0x1.d2bfa68febbd1p-17, 0x1.bc8fc805eaeaep-17, 0x1.a693c88ed122cp-17, 0x1.90cbf85bd98b4p-17, 0x1.7b38b3c591ff6p-17, 0x1.65da61fab5e9p-17, 0x1.50b173b7e299ap-17, 0x1.3bbe621d55558p-17, 0x1.2701ad8995cd8p-17, 0x1.127bdc8730ap-17, 0x1.fc5af595750dbp-18, 0x1.d42e30815b9c7p-18, 0x1.ac729044300a3p-18, 0x1.8529403edc5b9p-18, 0x1.5e536f2f3ee01p-18, 0x1.37f24da20ba58p-18, 0x1.12070c944a073p-18, 0x1.d925b83c1645dp-19, 0x1.8f2dd471ed04dp-19, 0x1.4628c333d1a25p-19, 0x1.fc31a27cc2948p-20, 0x1.6e0081192131bp-20, 0x1.c3851aa97f99ap-21, 0x1.5df0569393596p-22, -0x1.8675b986b0b4dp-23, -0x1.6e3399ea33629p-21, -0x1.3b6144b807ac6p-20, -0x1.bda15f577b5f7p-20, -0x1.1eeb43bddda1p-19, -0x1.5dfea9f5fee0bp-19, -0x1.9c094498ac375p-19, -0x1.d9098da1f8215p-19, -0x1.0a7f0bc1afb82p-18, -0x1.27f2c6dbde3fp-18, -0x1.44df5ab013283p-18, -0x1.614436ea201eap-18, -0x1.7d20d86e743d9p-18, -0x1.9874c98e21764p-18, -0x1.b33fa230bafc3p-18, -0x1.cd8107e6a2747p-18, -0x1.e738ae02b5a12p-18, -0x1.00332acbbab91p-17, -0x1.0c84e6c9d7c03p-17, -0x1.18917956412d8p-17, -0x1.2458d7acf2064p-17, -0x1.2fdafde72aa2cp-17, -0x1.3b17eeeee30e6p-17, -0x1.460fb4772130ap-17, -0x1.50c25ee8f4283p-17, -0x1.5b3005567d2d6p-17, -0x1.6558c56607feep-17, -0x1.6f3cc33ec9916p-17, -0x1.78dc29709bd46p-17, -0x1.823728e2e7cd3p-17, -0x1.8b4df8b0a9bf2p-17, -0x1.9420d6160fcefp-17, -0x1.9cb0044efe0a2p-17, -0x1.a4fbcc7c84d04p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.10a1b3ca099a1p+1, -0x1.0b779d66260d1p+1, -0x1.06430018db37ap+1, -0x1.01074a2bca746p+1, -0x1.f78f53f2fc5f1p+0, -0x1.ed0e172e172f1p+0, -0x1.e29041e4fb762p+0, -0x1.d81ac7b806d89p+0, -0x1.cdb2291adf071p+0, -0x1.c35a7afe6da73p+0, -0x1.b9177005780f8p+0, -0x1.aeec5e75fd639p+0, -0x1.a4dc4638dc8fdp+0, -0x1.9ae9d605aac1cp+0, -0x1.91176ecd352adp+0, -0x1.87672797c932dp+0, -0x1.7ddad361f2b9p+0, -0x1.747408004fd0cp+0, -0x1.6b3424223eff7p+0, -0x1.621c539183294p+0, -0x1.592d924a0ba2cp+0, -0x1.5068b6d8618fdp+0, -0x1.47ce5929e5733p+0, -0x1.3f5efa935245dp+0, -0x1.371af607afdccp+0, -0x1.2f0287068dab1p+0, -0x1.2715cbef820b4p+0, -0x1.1f54c7fee3004p+0, -0x1.17bf659e629fep+0, -0x1.10557919242d9p+0, -0x1.0916c3325a8ecp+0, -0x1.0202f32743f3p+0, -0x1.f633503d1a90cp-1, -0x1.e8b4e4d3f0376p-1, -0x1.db89a9fd9e3d3p-1, -0x1.ceb08e7a7bb2ep-1, -0x1.c2286d9d806eap-1, -0x1.b5f0128fc1166p-1, -0x1.aa063ab0520fdp-1, -0x1.9e69971b3eb9ep-1, -0x1.9318cdbfe92bep-1, -0x1.88127a86c63fbp-1, -0x1.7d5530d9fa90fp-1, -0x1.72df7d97f8179p-1, -0x1.68afe93631736p-1, -0x1.5ec4f9bfb595p-1, -0x1.551d346aecd8dp-1, -0x1.4bb71eab0cbb4p-1, -0x1.42913ece7e7f6p-1, -0x1.39aa1c59b2c62p-1, -0x1.31004055f403ap-1, -0x1.289235bfd523ap-1, -0x1.205e8a28f1ce1p-1, -0x1.1863ce86dca72p-1, -0x1.10a09815a23bdp-1, -0x1.0913812c06796p-1, -0x1.01bb29e34f4c2p-1, -0x1.f52c7101e3c65p-2, -0x1.e746b341aa013p-2, -0x1.d9c2805b0653fp-2, -0x1.cc9d4a79c99dp-2, -0x1.bfd48fd4217b2p-2, -0x1.b365da80c5b26p-2, -0x1.a74ecc2140d94p-2, -0x1.9b8ce2364a30dp-2, -0x1.901de3d732657p-2, -0x1.84ff8fde991d5p-2, -0x1.7a2fb2be33508p-2, -0x1.6fac267cc3e07p-2, -0x1.6572d2a34917bp-2, -0x1.5b81ac1afd5efp-2, -0x1.51d6b4ffe3c3fp-2, -0x1.486ffc6c858eap-2, -0x1.3f4b9e4350e85p-2, -0x1.3667c2f8e25d1p-2, -0x1.2dc29f60d7f5ap-2, -0x1.255a747d27bf8p-2, -0x1.1d2d8f4eb612bp-2, -0x1.153a48a543d59p-2, -0x1.0d7f04ecc0b0fp-2, -0x1.05fa33f6981efp-2, -0x1.fd54a17cb0bcbp-3, -0x1.ef1bc253d9cb5p-3, -0x1.e146eb8cd194bp-3, -0x1.d3d353059b688p-3, -0x1.c6be42d4c00e3p-3, -0x1.ba0518bfe2acep-3, -0x1.ada545b62995ap-3, -0x1.a19c4d4f91c66p-3, -0x1.95e7c5510ad74p-3, -0x1.8a855534a61f8p-3, -0x1.7f72b5b483c82p-3, -0x1.74adb0572b256p-3, -0x1.6a341efc288e1p-3, -0x1.6003eb6847cd4p-3, -0x1.561b0ed135868p-3, -0x1.4c779168f9055p-3, -0x1.431789e9f9e8p-3, -0x1.39f91d24a4f75p-3, -0x1.311a7d8fa919cp-3, -0x1.2879eadbcb76bp-3, -0x1.2015b18bf4a4fp-3, -0x1.17ec2a91d7a49p-3, -0x1.0ffbbaef3d33p-3, -0x1.0842d35bbc0f2p-3, -0x1.00bfefee55d63p-3, -0x1.f2e32f94ec95cp-4, -0x1.e4acb99f3194ep-4, -0x1.d6d9b6961e3a4p-4, -0x1.c9677356a9f5dp-4, -0x1.bc53506935e3ep-4, -0x1.af9ac16c9475dp-4, -0x1.a33b4c82f15f1p-4, -0x1.973289c0ab8afp-4, -0x1.8b7e229d86165p-4, -0x1.801bd168b2211p-4, -0x1.750960c0342d8p-4, -0x1.6a44ab0c3af0bp-4, -0x1.5fcb99fedc626p-4, -0x1.559c26189a849p-4, -0x1.4bb45631e993fp-4, -0x1.42123f09c8e1p-4, -0x1.38b402d964499p-4, -0x1.2f97d0ec85adp-4, -0x1.26bbe53e92ce4p-4, -0x1.1e1e881bb1c73p-4, -0x1.15be0dc5badb9p-4, -0x1.0d98d61c7ea45p-4, -0x1.05ad4c490a309p-4, -0x1.fbf3ccd7116d6p-5, -0x1.ecfa4a96f565p-5, -0x1.de6b2814090c2p-5, -0x1.d0438fac58fe4p-5, -0x1.c280bf45d9fb6p-5, -0x1.b52007be1c215p-5, -0x1.a81ecc5d87706p-5, -0x1.9b7a824e33e6cp-5, -0x1.8f30b01670e76p-5, -0x1.833eed1719795p-5, -0x1.77a2e10dcf1p-5, -0x1.6c5a439b3213ep-5, -0x1.6162dbcd1edc4p-5, -0x1.56ba7facfd2bdp-5, -0x1.4c5f13d21369ep-5, -0x1.424e8af7ca3dbp-5, -0x1.3886e597cc23dp-5, -0x1.2f063187d6118p-5, -0x1.25ca8d2bdca1ep-5, -0x1.1cd217ce060ap-5, -0x1.141b097929903p-5, -0x1.0ba3a1f22997ap-5, -0x1.036a2ca33a273p-5, -0x1.f6da0096058fdp-6, -0x1.e754fd5c9c38bp-6, -0x1.d842289847523p-6, -0x1.c99e7028854f4p-6, -0x1.bb66d63faa26fp-6, -0x1.ad9870d8a4ffep-6, -0x1.a0306930ed211p-6, -0x1.932bfb466b3bfp-6, -0x1.8688755940cc7p-6, -0x1.7a43377146282p-6, -0x1.6e59b2e718876p-6, -0x1.62c969f0a01cdp-6, -0x1.578fef30e7864p-6, -0x1.4caae54b3468p-6, -0x1.4217fe7936fa3p-6, -0x1.37d4fc2442755p-6, -0x1.2ddfae8171831p-6, -0x1.2435f4309d5ffp-6, -0x1.1ad5b9de14ac1p-6, -0x1.11bcf9e6f512cp-6, -0x1.08e9bc001dedbp-6, -0x1.005a14df9313cp-6, -0x1.f0184bd0a3e14p-7, -0x1.dffc39b0e18f1p-7, -0x1.d05c66f3039a4p-7, -0x1.c1355ea6401d5p-7, -0x1.b283c2bf291d4p-7, -0x1.a4444b850c714p-7, -0x1.9673c70338162p-7, -0x1.890f187e0dd14p-7, -0x1.7c1337ebc0236p-7, -0x1.6f7d3170a91p-7, -0x1.634a24def45b1p-7, -0x1.57774539c4a4cp-7, -0x1.4c01d83b77e92p-7, -0x1.40e735df19e1ep-7, -0x1.3624c7ecdaa2bp-7, -0x1.2bb8098979cfcp-7, -0x1.219e86c88a91dp-7, -0x1.17d5dc418475p-7, -0x1.0e5bb6a77a11ep-7, -0x1.052dd2637ab69p-7, -0x1.f893f662e1cc7p-8, -0x1.e75c177ef91cfp-8, -0x1.d6afda9f6524ap-8, -0x1.c68b2eb859f4bp-8, -0x1.b6ea1e7ab194dp-8, -0x1.a7c8cfa4f7b6ap-8, -0x1.99238258a6651p-8, -0x1.8af690738d7dbp-8, -0x1.7d3e6ced3bdc4p-8, -0x1.6ff7a3384d39bp-8, -0x1.631ed6a785aadp-8, -0x1.56b0c1d69f705p-8, -0x1.4aaa3616ac6a6p-8, -0x1.3f081addf26a6p-8, -0x1.33c76d3b3d09dp-8, -0x1.28e53f4c69124p-8, -0x1.1e5eb7b849d4bp-8, -0x1.1431112b97a8p-8, -0x1.0a5999d8ee4ffp-8, -0x1.00d5b2fbf0b09p-8, -0x1.ef45a0be333bfp-9, -0x1.dd7cefc9446cp-9, -0x1.cc4c822405835p-9, -0x1.bbafa93c89752p-9, -0x1.aba1d805c1fb3p-9, -0x1.9c1ea21e9fc5bp-9, -0x1.8d21bafe17cbap-9, -0x1.7ea6f524186d3p-9, -0x1.70aa414f53642p-9, -0x1.6327adb7c56b9p-9, -0x1.561b654dc8666p-9, -0x1.4981aefd9d6f3p-9, -0x1.3d56ecf763005p-9, -0x1.31979bfb556cp-9, -0x1.264052aa347e7p-9, -0x1.1b4dc0d9c5d6ap-9, -0x1.10bcaeed58612p-9, -0x1.0689fd322def4p-9, -0x1.f965467f776e4p-10, -0x1.e6675eb7422cdp-10, -0x1.d4148bc2adaf5p-10, -0x1.c267415a6e8e6p-10, -0x1.b15a1d16ebec3p-10, -0x1.a0e7e5542c744p-10, -0x1.910b881cc0695p-10, -0x1.81c01a1b74f65p-10, -0x1.7300d5930bbb6p-10, -0x1.64c9195c7ed1p-10, -0x1.571467eb34c29p-10, -0x1.49de66575068dp-10, -0x1.3d22db6df0bb9p-10, -0x1.30ddaec70c28bp-10, -0x1.250ae7e0ebf23p-10, -0x1.19a6ad414f744p-10, -0x1.0ead439babb7p-10, -0x1.041b0cfd1d7e4p-10, -0x1.f3d90ffa1021ap-11, -0x1.e03c9de627eccp-11, -0x1.cd5a2e640698dp-11, -0x1.bb2b608e90e18p-11, -0x1.a9aa067f2393bp-11, -0x1.98d023df4c219p-11, -0x1.8897ec840c6abp-11, -0x1.78fbc311b9738p-11, -0x1.69f637a8c8241p-11, -0x1.5b82069aa7c63p-11, -0x1.4d9a17275037ep-11, -0x1.40397a42c1f1ap-11, -0x1.335b696266158p-11, -0x1.26fb455277f6ep-11, -0x1.1b149512ade3fp-11, -0x1.0fa304ba3eb0dp-11, -0x1.04a264640e744p-11, -0x1.f41d4e40c0179p-12, -0x1.dfc7c3dea13fp-12, -0x1.cc3c95811fbcep-12, -0x1.b9746ef55b03ep-12, -0x1.a7683a10ddbfep-12, -0x1.96111cd92a84p-12, -0x1.856877b8761e3p-12, -0x1.7567e3bd2a9f7p-12, -0x1.660930e662e51p-12, -0x1.5746647b1b797p-12, -0x1.4919b76dc022dp-12, -0x1.3b7d94c9f1225p-12, -0x1.2e6c982d3ea53p-12, -0x1.21e18c4aa8695p-12, -0x1.15d76978663p-12, -0x1.0a4954479082dp-12, -0x1.fe65384be74c8p-13, -0x1.e91d7412305ecp-13, -0x1.d4b29e45fdc37p-13, -0x1.c11c473fc0651p-13, -0x1.ae524ad9ca2a7p-13, -0x1.9c4cce0f787ccp-13, -0x1.8b043cac9c869p-13, -0x1.7a71470e5b85fp-13, -0x1.6a8cdff420b55p-13, -0x1.5b503a5fe3a3ep-13, -0x1.4cb4c786514ep-13, -0x1.3eb434cdeb12ap-13, -0x1.314869dd15363p-13, -0x1.246b86b58422ep-13, -0x1.1817e1df333c5p-13, -0x1.0c48069f3c883p-13, -0x1.00f6b33dcc07ep-13, -0x1.ec3daeacd4932p-14, -0x1.d7772470c6bc5p-14, -0x1.c390629ff6d3ep-14, -0x1.b0805d3c9ad04p-14, -0x1.9e3e5e7778a64p-14, -0x1.8cc203c8be065p-14, -0x1.7c033b254ebe7p-14, -0x1.6bfa4043b8407p-14, -0x1.5c9f99f8590b4p-14, -0x1.4dec17a701b6cp-14, -0x1.3fd8cec7a27eap-14, -0x1.325f187e2024dp-14, -0x1.25788f4568a9ap-14, -0x1.191f0caa1f78p-14, -0x1.0d4ca71d5b64ap-14, -0x1.01e9026088ca3p-14, -0x1.ee28f66204337p-15, -0x1.d96d5d9bea7b2p-15, -0x1.c595248eb35a3p-15, -0x1.b2969b2e3483bp-15, -0x1.a06873a7fde72p-15, -0x1.8f01bedcab81ep-15, -0x1.7e59e900609p-15, -0x1.6e68b64ee2f49p-15, -0x1.5f263fde96fd4p-15, -0x1.508af08cf0659p-15, -0x1.428f820345b46p-15, -0x1.352cf9d5e3534p-15, -0x1.285ca6bb4baep-15, -0x1.1c181dd84fe6fp-15, -0x1.10593825c176cp-15, -0x1.051a0feabcf8fp-15, -0x1.f4a9fc9a337afp-16, -0x1.e00931e92e9dfp-16, -0x1.cc475f893bfbep-16, -0x1.b95a9550c753ep-16, -0x1.a7394ee2b721cp-16, -0x1.95da6f95eb328p-16, -0x1.85353e77d5a5cp-16, -0x1.754162758366p-16, -0x1.65f6dea9e121p-16, -0x1.574e0ec9ea876p-16, -0x1.493fa3ab33955p-16, -0x1.3bc49ff30b712p-16, -0x1.2ed654dae3f5ap-16, -0x1.226e5f14ea76fp-16, -0x1.1686a3cce31cap-16, -0x1.0b194dc3dd157p-16, -0x1.0020ca84dab3fp-16, -0x1.eb2f8f6a931a7p-17, -0x1.d6f260ecbd89dp-17, -0x1.c38055d2f8b6fp-17, -0x1.b0d02b9859d38p-17, -0x1.9ed90c2c072cbp-17, -0x1.8d92898fe2915p-17, -0x1.7cf49973d7597p-17, -0x1.6cf7911ab5149p-17, -0x1.5d942151a5392p-17, -0x1.4ec352918650bp-17, -0x1.407e81517d667p-17, -0x1.32bf5a5442d4dp-17, -0x1.257fd767d775ep-17, -0x1.18ba3be960a6ep-17, -0x1.0c6911b2ab1d5p-17, -0x1.008725ef2838dp-17, -0x1.ea1f0c709c944p-18, -0x1.d3fafb75bc9bbp-18, -0x1.be9924f6d4b52p-18, -0x1.a9f10576b4c4fp-18, -0x1.95fa84dd66893p-18, -0x1.82adf1964f546p-18, -0x1.7003fc04503e1p-18, -0x1.5df5b1f3c702ep-18, -0x1.4c7c7a58dad35p-18, -0x1.3b921124df95cp-18, -0x1.2b30836fd441fp-18, -0x1.1b522b8226e71p-18, -0x1.0bf1ad4ce4064p-18, -0x1.fa13e5cf860fep-19, -0x1.dd2c5260526c3p-19, -0x1.c1237931f7941p-19, -0x1.a5f0ac2a22f19p-19, -0x1.8b8bb048f3b16p-19, -0x1.71ecb7fb4fe94p-19, -0x1.590c5dc694db9p-19, -0x1.40e39ef55f649p-19, -0x1.296bd6d504e33p-19, -0x1.129eb9b54f4f8p-19, -0x1.f8eca14b7f6b6p-20, -0x1.cdd9e9dba62e5p-20, -0x1.a3fa978e7d6b8p-20, -0x1.7b4485a3ab1fcp-20, -0x1.53ae178942ca2p-20, -0x1.2d2e32840c40ep-20, -0x1.07bc362c58e4ap-20, -0x1.c69fec4500fb6p-21, -0x1.7fc366e0bfe47p-21, -0x1.3ad42d9b61847p-21, -0x1.ef88abd9bf5fap-22, -0x1.6d0d5b46417aap-22, -0x1.dc3ac41ad5176p-23, -0x1.ca8404dfd04e5p-24, 0x1.5f93be51d911cp-28, 0x1.e957d23bb93b9p-24, 0x1.d7f481f8b492ap-23, 0x1.5a7e849574fcp-22, 0x1.c5f51b9cb316fp-22, 0x1.1737bf53ea932p-21, 0x1.49ff27ea5e912p-21, 0x1.7b58b42ff36f9p-21, 0x1.ab4bf289f723ep-21, 0x1.d9e0192c8992fp-21, 0x1.038e05cdaf966p-20, 0x1.1983304ddf5fdp-20, 0x1.2ed2b2cc33c0bp-20, 0x1.437f9312819dap-20, 0x1.578cb71d54e8cp-20, 0x1.6afce7c12271p-20, 0x1.7dd2d2998f459p-20, 0x1.90110bf46d5e1p-20, 0x1.a1ba10a2db079p-20, 0x1.b2d047a8f67d8p-20, 0x1.c35603c83854dp-20, 0x1.d34d8530aa765p-20, 0x1.e2b8faa839cb8p-20, 0x1.f19a831f7a37ap-20, 0x1.fff42ecbc50e1p-20, 0x1.06e4002e152aap-19, 0x1.0d8bf7149f472p-19, 0x1.13f2f1711347cp-19, 0x1.1a19df8092e68p-19, 0x1.2001acae18b68p-19, 0x1.25ab3ffe06ca9p-19, 0x1.2b177ca319476p-19, 0x1.30474208f160ep-19, 0x1.353b6c611daa8p-19, 0x1.39f4d4cdd347ep-19, 0x1.3e745207e8451p-19, 0x1.42bab80f3adabp-19, 0x1.46c8d8d8377ebp-19, 0x1.4a9f8450d0904p-19, 0x1.4e3f88b22e08fp-19, 0x1.51a9b2a5b843bp-19, 0x1.54decd5776c1ap-19, 0x1.57dfa2c85809ep-19, 0x1.5aacfbd6d33ccp-19, 0x1.5d47a05c4a504p-19, 0x1.5fb0574b769f9p-19, 0x1.61e7e6ef8a92cp-19, 0x1.63ef14c8bf8cap-19, 0x1.65c6a59f161bbp-19, 0x1.676f5dcf724c1p-19, 0x1.68ea01292988dp-19, 0x1.6a375304330e1p-19, 0x1.6b581653033dep-19, 0x1.6c4d0d985cdf5p-19, 0x1.6d16fb00754d5p-19, 0x1.6db6a05909a0dp-19, 0x1.6e2cbf21f4e67p-19, 0x1.6e7a186481c78p-19, 0x1.6e9f6ced53615p-19, 0x1.6e9d7d2782d7fp-19, 0x1.6e75091951abp-19, 0x1.6e26d079611fap-19, 0x1.6db39285f8f58p-19, 0x1.6d1c0e168f261p-19, 0x1.6c61018d4cac6p-19, 0x1.6b832ad3b170dp-19, 0x1.6a834750ba452p-19, 0x1.696213e9375c6p-19, 0x1.68204cc7e8896p-19, 0x1.66beada0d44e2p-19, 0x1.653df171781cap-19, 0x1.639ed2843ae71p-19, 0x1.61e20a659bce3p-19, 0x1.600851e804f62p-19, 0x1.5e1260d27e689p-19, 0x1.5c00ee5f886c2p-19, 0x1.59d4b0a741c86p-19, 0x1.578e5cdc53576p-19, 0x1.552ea72f5de3cp-19, 0x1.52b642becbb5dp-19, 0x1.5025e1a7f80e7p-19, 0x1.4d7e34b94474ap-19, 0x1.4abfebc6a63c4p-19, 0x1.47ebb551a66fep-19, 0x1.45023e9370dd8p-19, 0x1.4204337c09c02p-19, 0x1.3ef23ea6b7488p-19, 0x1.3bcd094077f85p-19, 0x1.38953b1cb7c4fp-19, 0x1.354b7a771daacp-19, 0x1.31f06c27c17f2p-19, 0x1.2e84b372b39fp-19, 0x1.2b08f1ff31da8p-19, 0x1.277dc7f58071dp-19, 0x1.23e3d3bd4add1p-19, 0x1.203bb217940c8p-19, 0x1.1c85fe2169026p-19, 0x1.18c35116713e7p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.fc1199401f5d4p-4, -0x1.488991ce07ffp-4, -0x1.207be21c8b58dp-5, 0x1.59da748eacb33p-7, 0x1.d0e35e91e61b3p-5, 0x1.a616e2e4d4c6cp-4, 0x1.317ef292cb34ep-3, 0x1.8f0d954dd73c8p-3, 0x1.eb41c7fe6e706p-3, 0x1.22da71afd81cbp-2, 0x1.4f06c19030c94p-2, 0x1.79ff1a84e4898p-2, 0x1.a3a26d7e6be61p-2, 0x1.cbd5322308c52p-2, 0x1.f28128572497ap-2, 0x1.0bca700a9df2fp-1, 0x1.1d818b535ac98p-1, 0x1.2e610727b9a12p-1, 0x1.3e65814974a15p-1, 0x1.4d8ce5764111dp-1, 0x1.5bd655a184ea4p-1, 0x1.6940e975e0f0cp-1, 0x1.75d0c23463872p-1, 0x1.818755df10d91p-1, 0x1.8c67de6e0c5f1p-1, 0x1.96763d7f44d4ep-1, 0x1.9fb6e23750112p-1, 0x1.a82eb27248dbp-1, 0x1.afe2f8be1e11ep-1, 0x1.b6d9565a9e244p-1, 0x1.bd17b6769b77dp-1, 0x1.c2a4402abb5a9p-1, 0x1.c78546d42d5ccp-1, 0x1.cbc13a7076dddp-1, 0x1.cf5e9a0d4acd1p-1, 0x1.d263e95bca854p-1, 0x1.d4d7a91075fbbp-1, 0x1.d6c050f063773p-1, 0x1.d8244a88d956ep-1, 0x1.d909ec2d7d015p-1, 0x1.d977746642e5cp-1, 0x1.d97306186f7ffp-1, 0x1.d902a57460aecp-1, 0x1.d82c3552bbfa2p-1, 0x1.d6f5747b0e35ep-1, 0x1.d563fa6f520aep-1, 0x1.d37d33b8d641cp-1, 0x1.d1465e1e72acfp-1, 0x1.cec4856c9b2p-1, 0x1.cbfc8173d4269p-1, 0x1.c8f2f5a178ea3p-1, 0x1.c5ac5237eb65dp-1, 0x1.c22cd6d0c3283p-1, 0x1.be789596e2c12p-1, 0x1.ba937692cb786p-1, 0x1.b6813a772ef14p-1, 0x1.b2457c8bf7794p-1, 0x1.ade3b393bb3d4p-1, 0x1.a95f31c3b69fp-1, 0x1.a4bb2414b8d08p-1, 0x1.9ffa914cc4fb4p-1, 0x1.9b205923c21c5p-1, 0x1.962f33d4c7c31p-1, 0x1.912ae55a103b9p-1, 0x1.8c1389baa19adp-1, 0x1.86ec620728f44p-1, 0x1.81b793855bd09p-1, 0x1.7c7725bcbb138p-1, 0x1.772d03e78e78p-1, 0x1.71dafe39947ebp-1, 0x1.6c82cb0089a4ap-1, 0x1.672607a6f7db7p-1, 0x1.61c639a346e4fp-1, 0x1.5c64cf5c4d08cp-1, 0x1.5703210a67d34p-1, 0x1.51a2719954247p-1, 0x1.4c43ef8c67d13p-1, 0x1.46e8b5e4e1d97p-1, 0x1.4191cd08ea8a6p-1, 0x1.3c402ba972acbp-1, 0x1.36f4b7a53d05dp-1, 0x1.31b046e7a8defp-1, 0x1.2c73a04230d8dp-1, 0x1.273f7c3fd2a4fp-1, 0x1.221485f1b48cfp-1, 0x1.1cf35bb4652dfp-1, 0x1.17dc8fed01152p-1, 0x1.12d0a9bd7ba17p-1, 0x1.0dd025af429bfp-1, 0x1.08db7653886fp-1, 0x1.03f304d8a2861p-1, 0x1.fe2e632876617p-2, 0x1.f490a904cb176p-2, 0x1.eb0d7b7416916p-2, 0x1.e1a56baf1185p-2, 0x1.d858fcbd3657ep-2, 0x1.cf28a429f4a45p-2, 0x1.c614caae06916p-2, 0x1.bd1dcccfb15ccp-2, 0x1.b443fb7c4342fp-2, 0x1.ab879c9cc6594p-2, 0x1.a2e8eba7369a2p-2, 0x1.9a681a2d017dfp-2, 0x1.920550670d236p-2, 0x1.89c0adbf16a6ap-2, 0x1.819a4955ec112p-2, 0x1.79923285ce015p-2, 0x1.71a8716040c28p-2, 0x1.69dd07268a706p-2, 0x1.622feebc4589ep-2, 0x1.5aa11d1385c35p-2, 0x1.533081924c405p-2, 0x1.4bde06712cda6p-2, 0x1.44a991133ae4ap-2, 0x1.3d93025786dcep-2, 0x1.369a36e489d8ap-2, 0x1.2fbf076e0540fp-2, 0x1.290148f5ed48p-2, 0x1.2260cd08e66e6p-2, 0x1.1bdd61f6fbe79p-2, 0x1.1576d30908b02p-2, 0x1.0f2ce8b350adcp-2, 0x1.08ff68c5a8694p-2, 0x1.02ee169977061p-2, 0x1.f9f1667b9041ep-3, 0x1.ee3dfb4320a6ap-3, 0x1.e2c16578704d4p-3, 0x1.d77b1b68f38f6p-3, 0x1.cc6a900b2213p-3, 0x1.c18f334587c03p-3, 0x1.b6e8723282408p-3, 0x1.ac75b760c1057p-3, 0x1.a2366b108a7ap-3, 0x1.9829f36de6ea8p-3, 0x1.8e4fb4c7d9994p-3, 0x1.84a711c4b8b67p-3, 0x1.7b2f6b93e7f5fp-3, 0x1.71e8221d0ca1ep-3, 0x1.68d0942cee2e8p-3, 0x1.5fe81fa02921bp-3, 0x1.572e218bde872p-3, 0x1.4ea1f6647a547p-3, 0x1.4642fa22ac01cp-3, 0x1.3e108866bd51cp-3, 0x1.3609fc9a38556p-3, 0x1.2e2eb2101bffbp-3, 0x1.267e042382435p-3, 0x1.1ef7939275c3dp-3, 0x1.179a28790b143p-3, 0x1.10656c4feb8cap-3, 0x1.0958bbfa0faf9p-3, 0x1.027374e732125p-3, 0x1.f769ea5021532p-4, 0x1.ea3937037a231p-4, 0x1.dd538f00077ccp-4, 0x1.d0b7b30dfada5p-4, 0x1.c46465c7be236p-4, 0x1.b8586bba05f29p-4, 0x1.ac928b8277b38p-4, 0x1.a1118deceaa09p-4, 0x1.95d43e0f3c6c4p-4, 0x1.8ad96963c55d7p-4, 0x1.801fdfe270fa2p-4, 0x1.75a6741871ed3p-4, 0x1.6b6bfb3e99986p-4, 0x1.616f4d4e51912p-4, 0x1.57af45153a5f6p-4, 0x1.4e2ac047733p-4, 0x1.44e09f908e5ap-4, 0x1.3bcfc6a33a73dp-4, 0x1.32f71c47a5c6ep-4, 0x1.2a558a68a628fp-4, 0x1.21e9fe1fae607p-4, 0x1.19b367bf99dfcp-4, 0x1.11b0bade5cbe2p-4, 0x1.09e0ee5da1996p-4, 0x1.0242fc72601e1p-4, 0x1.f5abc556f64fp-5, 0x1.e73143eeddd7ap-5, 0x1.d9147d523bf22p-5, 0x1.cb5380f78bfb3p-5, 0x1.bdec652c5482p-5, 0x1.b0dd4719f76fdp-5, 0x1.a4244ac91af5p-5, 0x1.97bf9b23b4bap-5, 0x1.8bad69f5d80d6p-5, 0x1.7febefed4ba24p-5, 0x1.74796c98046cap-5, 0x1.695426618e0d8p-5, 0x1.5e7a6a8f73ceep-5, 0x1.53ea8d3cba5eep-5, 0x1.49a2e95470f91p-5, 0x1.3fa1e08b70dcfp-5, 0x1.35e5db594cd3ep-5, 0x1.2c6d48f081501p-5, 0x1.23369f35ebd33p-5, 0x1.1a405ab799735p-5, 0x1.1188fea2e7355p-5, 0x1.090f14ba0d396p-5, 0x1.00d12d490f718p-5, 0x1.f19bbe343ac55p-6, 0x1.e2078ed2da815p-6, 0x1.d2e313b11fdc9p-6, 0x1.c42ba0c295cd2p-6, 0x1.b5de968ff2eefp-6, 0x1.a7f9621af745bp-6, 0x1.9a797cc1757bfp-6, 0x1.8d5c6c1f879e5p-6, 0x1.809fc1f1095cfp-6, 0x1.74411bf24f607p-6, 0x1.683e23c0388d7p-6, 0x1.5c948eb79935ep-6, 0x1.51421dd407f5ep-6, 0x1.46449d8e24296p-6, 0x1.3b99e5b952753p-6, 0x1.313fd96101afcp-6, 0x1.273466a57dcaap-6, 0x1.1d7586985ecf8p-6, 0x1.14013d189fe72p-6, 0x1.0ad598ae5db6p-6, 0x1.01f0b26650779p-6, 0x1.f2a15b5a15f94p-7, 0x1.e1e77053fbb47p-7, 0x1.d1b01334a65fap-7, 0x1.c1f7c75748dc4p-7, 0x1.b2bb23ad2d917p-7, 0x1.a3f6d272c7e6ap-7, 0x1.95a790e4a3f7dp-7, 0x1.87ca2ef468957p-7, 0x1.7a5b8efdbfeebp-7, 0x1.6d58a57b690cfp-7, 0x1.60be78bc6573fp-7, 0x1.548a209950fbbp-7, 0x1.48b8c629ef244p-7, 0x1.3d47a37b0812ep-7, 0x1.3234034485df4p-7, 0x1.277b409ff5861p-7, 0x1.1d1ac6bf62358p-7, 0x1.131010a49cf7fp-7, 0x1.0958a8d8f9e3p-7, 0x1.ffe4524b0b7ep-8, 0x1.edb474977bba1p-8, 0x1.dc1d277da09a2p-8, 0x1.cb19f6bae4c5bp-8, 0x1.baa68a5887166p-8, 0x1.aabea621a2d5ap-8, 0x1.9b5e291a7ec3fp-8, 0x1.8c810cf9237c5p-8, 0x1.7e23659f442bfp-8, 0x1.704160958d9c1p-8, 0x1.62d744885b8c4p-8, 0x1.55e170c5da902p-8, 0x1.495c5cbda439fp-8, 0x1.3d449781d30a4p-8, 0x1.3196c7499cc77p-8, 0x1.264fa8f5760d9p-8, 0x1.1b6c0f94c19f8p-8, 0x1.10e8e3ed1089dp-8, 0x1.06c32402fa212p-8, 0x1.f9efc5491ba9p-9, 0x1.e7088deabfe79p-9, 0x1.d4cb17f86fc68p-9, 0x1.c3320064bca96p-9, 0x1.b2380a2923fd3p-9, 0x1.a1d81d6b3b823p-9, 0x1.920d46a52cd25p-9, 0x1.82d2b5d18a48p-9, 0x1.7423bd9a56fbbp-9, 0x1.65fbd28b925a1p-9, 0x1.58568a48d239fp-9, 0x1.4b2f9ac6623aep-9, 0x1.3e82d98586782p-9, 0x1.324c3ad431803p-9, 0x1.2687d10feb235p-9, 0x1.1b31cbebf3ec5p-9, 0x1.104677bac3a83p-9, 0x1.05c23cbaaf339p-9, 0x1.f7433ccbbc2aep-10, 0x1.e3c2758ad45f5p-10, 0x1.d0fb938f44674p-10, 0x1.bee839331963p-10, 0x1.ad823a0709d32p-10, 0x1.9cc39991e3e0fp-10, 0x1.8ca68a1652126p-10, 0x1.7d256b5e8152p-10, 0x1.6e3ac98e18e24p-10, 0x1.5fe15bfa14c51p-10, 0x1.521404069fdd1p-10, 0x1.44cdcc0adf26cp-10, 0x1.3809e63a7c7e4p-10, 0x1.2bc3ab950d186p-10, 0x1.1ff69adb27c52p-10, 0x1.149e5789231acp-10, 0x1.09b6a8d755412p-10, 0x1.fe76f17fd9cbp-11, 0x1.ea51a61466873p-11, 0x1.d6f5c8b64109dp-11, 0x1.c45bf296aa898p-11, 0x1.b27cfb04598aap-11, 0x1.a151f5ac1420dp-11, 0x1.90d430e367fbdp-11, 0x1.80fd33fd66216p-11, 0x1.71c6bda92cf4ep-11, 0x1.632ac25a37ff4p-11, 0x1.55236aba4ef59p-11, 0x1.47ab122482861p-11, 0x1.3abc4529cd91fp-11, 0x1.2e51c01eab2f5p-11, 0x1.22666db1978b1p-11, 0x1.16f5658a4cd44p-11, 0x1.0bf9eaf1d15bbp-11, 0x1.016f6b830acbcp-11, 0x1.eea2fbc658e97p-12, 0x1.db37c106112fep-12, 0x1.c894f0cfda21ep-12, 0x1.b66a153e27b19p-12, 0x1.a541a39b7966dp-12, 0x1.94cac2d1e57d4p-12, 0x1.84fe597ac46aap-12, 0x1.75d590140dab4p-12, 0x1.6749ceee5bdd1p-12, 0x1.5954bc284b16fp-12, 0x1.4bf039b753b51p-12, 0x1.3f16637ec42f4p-12, 0x1.32c18d73825a2p-12, 0x1.26ec41cccdb76p-12, 0x1.1b913f4183d51p-12, 0x1.10ab7751da93dp-12, 0x1.06360c9d475d4p-12, 0x1.f858a28793f95p-13, 0x1.e5138aa677befp-13, 0x1.d2942a7f3077p-13, 0x1.c0d230cd38415p-13, 0x1.afc59f3b3f2b2p-13, 0x1.9f66c79507f0fp-13, 0x1.8fae490d6b2cfp-13, 0x1.80950d9841e5p-13, 0x1.72144757e018fp-13, 0x1.64256e1e9e521p-13, 0x1.56c23d01d32adp-13, 0x1.49e4afff738d4p-13, 0x1.3d8701b635a21p-13, 0x1.31a3a92e2dd16p-13, 0x1.263557b27a74ap-13, 0x1.1b36f6bc74379p-13, 0x1.10a3a5ed8b605p-13, 0x1.0676b919c97f3p-13, 0x1.f9576cc335e42p-14, 0x1.e67ca8b454934p-14, 0x1.d454f0897a80ap-14, 0x1.c2d868a833874p-14, 0x1.b1ff8bfdea1dcp-14, 0x1.a1c328c4753fbp-14, 0x1.921c5d5a7e94cp-14, 0x1.8304953a953ffp-14, 0x1.747586089a6a4p-14, 0x1.66692cb909bcp-14, 0x1.58d9cacdeea19p-14, 0x1.4bc1e3acca962p-14, 0x1.3f1c3a0a01508p-14, 0x1.32e3cd68e666ap-14, 0x1.2713d7b4bdf1ap-14, 0x1.1ba7cae97a4cp-14, 0x1.109b4ed386cap-14, 0x1.05ea3ee2d01eap-14, 0x1.f7215020206c4p-15, 0x1.e3158da9a311ap-15, 0x1.cfaa0a6ad80d2p-15, 0x1.bcd7f1b99faabp-15, 0x1.aa98c28f2e556p-15, 0x1.98e64c0440a39p-15, 0x1.87baa9e83421bp-15, 0x1.77104179e705dp-15, 0x1.66e1be3ea85bfp-15, 0x1.572a0ef49b413p-15, 0x1.47e462a2fcd5dp-15, 0x1.390c25c506824p-15, 0x1.2a9cff90244ecp-15, 0x1.1c92cf53c08b7p-15, 0x1.0ee9a9f0a5e5ep-15, 0x1.019dd76b05622p-15, 0x1.e957a12503828p-16, 0x1.d0207981f0283p-16, 0x1.b78fdf60cfab9p-16, 0x1.9f9fcecbfe8adp-16, 0x1.884a945de5047p-16, 0x1.718ac96aad388p-16, 0x1.5b5b504cc000ap-16, 0x1.45b750da52fc7p-16, 0x1.309a34f661068p-16, 0x1.1bffa54dd5dd6p-16, 0x1.07e38633f608ap-16, 0x1.e883e9374147ep-17, 0x1.c22e866e9fcb8p-17, 0x1.9cbfef5eded41p-17, 0x1.78318fff06778p-17, 0x1.547d2fcae7663p-17, 0x1.319cece96c3a1p-17, 0x1.0f8b378308278p-17, 0x1.dc859a871ed14p-18, 0x1.9b7d6a4241281p-18, 0x1.5bf47668d7cdcp-18, 0x1.1de1d9cb20059p-18, 0x1.c27a54730ca4p-19, 0x1.4bfce30583b9bp-19, 0x1.b0789a264063ep-20, 0x1.9ca936ef8facep-21, -0x1.d1a7bfdb232a9p-25, -0x1.cc8d20355e41p-21, -0x1.b8efa52129099p-20, -0x1.434fc496cf7ecp-19, -0x1.a7b60f502645dp-19, -0x1.04da8c60c9fcbp-18, -0x1.34ab62886cbcfp-18, -0x1.63523f9375b66p-18, -0x1.90d3a097c3c2ep-18, -0x1.bd33ce397b9eep-18, -0x1.e876e06c142c1p-18, -0x1.095060fffb52ep-17, -0x1.1dda9a0102c34p-17, -0x1.31dbe876947c1p-17, -0x1.455607d5e2781p-17, -0x1.584aa33863ef8p-17, -0x1.6abb56b8fdc3p-17, -0x1.7ca9b0af2878bp-17, -0x1.8e1732ec30a32p-17, -0x1.9f0553d471c8cp-17, -0x1.af757f701a85ep-17, -0x1.bf6918695b702p-17, -0x1.cee178fe2daddp-17, -0x1.dddff3d9ac652p-17, -0x1.ec65d4e8fd18cp-17, -0x1.fa746221fe3b4p-17, -0x1.04066e1c6e7d1p-16, -0x1.0a983fa28942dp-16, -0x1.10f041b1f5c7cp-16, -0x1.170f0ea409645p-16, -0x1.1cf53f66810b8p-16, -0x1.22a36bb0785e3p-16, -0x1.281a2a43f2d71p-16, -0x1.2d5a111e47234p-16, -0x1.3263b5ae5e12ep-16, -0x1.3737acfd4ce8p-16, -0x1.3bd68bd7d359p-16, -0x1.4040e6f305c9ap-16, -0x1.4477530e36cabp-16, -0x1.487a650f1ab2ep-16, -0x1.4c4ab21f8f508p-16, -0x1.4fe8cfc02d8d2p-16, -0x1.535553e33cf14p-16, -0x1.5690d4f87edb2p-16, -0x1.599bea01735c7p-16, -0x1.5c772a9b86d4cp-16, -0x1.5f232f0b57d9cp-16, -0x1.61a0904766856p-16, -0x1.63efe7fadaf2ep-16, -0x1.6611d08c0455bp-16, -0x1.6806e52155d5bp-16, -0x1.69cfc1a1dcbbbp-16, -0x1.6b6d02afc129p-16, -0x1.6cdf45afba2c9p-16, -0x1.6e2728c02ae7dp-16, -0x1.6f454ab73e544p-16, -0x1.703a4b1b141p-16, -0x1.7106ca1da1719p-16, -0x1.71ab689661475p-16, -0x1.7228c7f772184p-16, -0x1.727f8a4693e84p-16, -0x1.72b05212ad83bp-16, -0x1.72bbc269d9431p-16, -0x1.72a27ecc59e4dp-16, -0x1.72652b24c0dddp-16, -0x1.72046bb941fc5p-16, -0x1.7180e51ff2482p-16, -0x1.70db3c3271015p-16, -0x1.70141600c623ap-16, -0x1.6f2c17be443f8p-16, -0x1.6e23e6c13aa7ap-16, -0x1.6cfc2867ffc3fp-16, -0x1.6bb5821082f18p-16, -0x1.6a50990a64dd5p-16, -0x1.68ce1287a3fb4p-16, -0x1.672e938fbe0ccp-16, -0x1.6572c0ec3f1c5p-16, -0x1.639b3f24fbeb3p-16, -0x1.61a8b267b6cc5p-16, -0x1.5f9bbe7eaed5p-16, -0x1.5d7506c1e17bep-16, -0x1.5b352e0abb857p-16, -0x1.58dcd6a133c98p-16, -0x1.566ca23525ec1p-16, -0x1.53e531ccbda55p-16, -0x1.514725b80740bp-16, -0x1.4e931d842f675p-16, -0x1.4bc9b7eee1e67p-16, -0x1.48eb92d91a826p-16, -0x1.45f94b3c2158cp-16, -0x1.42f37d1bc7438p-16, -0x1.3fdac37ec3a46p-16, -0x1.3cafb85a9a0b1p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.9e7b85295e026p+0, -0x1.8f68e64a85d91p+0, -0x1.820aea23403d3p+0, -0x1.763e176685aacp+0, -0x1.6bdf8c0ca3a2ep+0, -0x1.62cd510e413c6p+0, -0x1.5ae6b774c4046p+0, -0x1.540cab49ce002p+0, -0x1.4e21dbe183c31p+0, -0x1.490ac53ec15aap+0, -0x1.44adb0610c3e2p+0, -0x1.40f2b880ee7fep+0, -0x1.3dc3d5506ce0cp+0, -0x1.3b0cdd496cfb2p+0, -0x1.38bb762825631p+0, -0x1.36bef71704229p+0, -0x1.350847d0b3298p+0, -0x1.3389c5980b2b8p+0, -0x1.32372fca68f7ep+0, -0x1.3105987be9a8fp+0, -0x1.2feb54759afe7p+0, -0x1.2edfcf28eccccp+0, -0x1.2ddbfb6bb2c67p+0, -0x1.2cd93038b7968p+0, -0x1.2bd1d742cf3ecp+0, -0x1.2ac127577f058p+0, -0x1.29a312176e102p+0, -0x1.28743313d0fffp+0, -0x1.2731c056693aap+0, -0x1.25d97bf108bc5p+0, -0x1.2469a5e17fb6ap+0, -0x1.22e0edeea45f2p+0, -0x1.213e65e6674dep+0, -0x1.1f817523e0c4ep+0, -0x1.1da9ce161cf5fp+0, -0x1.1bb765d1870f3p+0, -0x1.19aa6d06b58a8p+0, -0x1.17834974ebb93p+0, -0x1.15428f2c6897p+0, -0x1.12e8f97bf7267p+0, -0x1.107763e182a91p+0, -0x1.0deec38965cf6p+0, -0x1.0b5021ca021ffp+0, -0x1.089c97ba6d479p+0, -0x1.05d54ab5345ep+0, -0x1.02fb696f25d57p+0, -0x1.0010294eb52bcp+0, -0x1.fa2987a8ed52ep-1, -0x1.f414e82161952p-1, -0x1.ede4e883282f5p-1, -0x1.e79bf780df908p-1, -0x1.e13c7ab7be317p-1, -0x1.dac8cc50db26p-1, -0x1.d4433973fb0efp-1, -0x1.cdae014c4650bp-1, -0x1.c70b544fb639p-1, -0x1.c05d53819af0fp-1, -0x1.b9a60f82c142cp-1, -0x1.b2e78764a8f1ap-1, -0x1.ac23a755cf124p-1, -0x1.a55c47527ed67p-1, -0x1.9e932a0bd4334p-1, -0x1.97c9fc2e7aa5p-1, -0x1.9102a3ba75f3cp-1, -0x1.8a3dfcbe35f75p-1, -0x1.837dc037cf438p-1, -0x1.7cc346ab330f3p-1, -0x1.760fd563047fbp-1, -0x1.6f649f0ec2d5ep-1, -0x1.68c2c45c5f15ep-1, -0x1.622b548897ef5p-1, -0x1.5b9f4de5772f2p-1, -0x1.551f9e590f3d7p-1, -0x1.4ead23d7f76cep-1, -0x1.4848acdf111d3p-1, -0x1.41f2f8ef47851p-1, -0x1.3bacb90cc96dep-1, -0x1.3576904215b88p-1, -0x1.2f5114265caap-1, -0x1.293ccd664ce7ep-1, -0x1.233a384e5b1ffp-1, -0x1.1d49c555bc07ap-1, -0x1.176bd9a98f2cfp-1, -0x1.11a0cfb7f15e7p-1, -0x1.0be8f7babc642p-1, -0x1.06449841a15b2p-1, -0x1.00b3eebb0d38ep-1, -0x1.f66e5ff5eec62p-2, -0x1.eb9d117ce0c4fp-2, -0x1.e0f43c5525abp-2, -0x1.d6741c8af2681p-2, -0x1.cc1ce0cff85acp-2, -0x1.c1eeab4eb7ecap-2, -0x1.b7e9926ccaf5bp-2, -0x1.ae0da17c5270bp-2, -0x1.a45ad95db1b0ep-2, -0x1.9ad13113825c1p-2, -0x1.9170964b3fc17p-2, -0x1.8838eddd4fbb7p-2, -0x1.7f2a144703da4p-2, -0x1.7643de20cd451p-2, -0x1.6d861892595d4p-2, -0x1.64f089c5b02c7p-2, -0x1.5c82f159cb5ccp-2, -0x1.543d08d49a4c3p-2, -0x1.4c1e8413e8b14p-2, -0x1.442711bc5a6c9p-2, -0x1.3c565ba58a33dp-2, -0x1.34ac07424dc04p-2, -0x1.2d27b60441693p-2, -0x1.25c905b9e979bp-2, -0x1.1e8f90e6ee1e2p-2, -0x1.177aef163d927p-2, -0x1.108ab5261886ap-2, -0x1.09be758e3c2e8p-2, -0x1.0315c0a0938a7p-2, -0x1.f9204989da827p-3, -0x1.ec5a5d6082ebp-3, -0x1.dfd8d330395fdp-3, -0x1.d39abec57229dp-3, -0x1.c79f31a87b0edp-3, -0x1.bbe53b731a4d6p-3, -0x1.b06bea21e215fp-3, -0x1.a5324a61b5685p-3, -0x1.9a3767d9bf6d1p-3, -0x1.8f7a4d72031dbp-3, -0x1.84fa059696955p-3, -0x1.7ab59a7788479p-3, -0x1.70ac1645565ep-3, -0x1.66dc8369fca1ap-3, -0x1.5d45ecbe92c87p-3, -0x1.53e75dbd74fedp-3, -0x1.4abfe2b10d8b9p-3, -0x1.41ce88df61dbdp-3, -0x1.39125eb280e02p-3, -0x1.308a73de01584p-3, -0x1.2835d981ce822p-3, -0x1.2013a24a76302p-3, -0x1.1822e28f26e4dp-3, -0x1.1062b06da6f73p-3, -0x1.08d223e46468ap-3, -0x1.017056eaca496p-3, -0x1.f478cb100d8bep-4, -0x1.e66adbd0afb26p-4, -0x1.d8b520e1deb79p-4, -0x1.cb55dfa511a4ap-4, -0x1.be4b623563b9ep-4, -0x1.b194519d67eadp-4, -0x1.a52e41cc03421p-4, -0x1.9917f035d1ddcp-4, -0x1.8d4fbb73bdf53p-4, -0x1.81d4075fa7caap-4, -0x1.76a33d2490686p-4, -0x1.6bbbcb4cc76c5p-4, -0x1.611c25ce4b081p-4, -0x1.56c2c61570066p-4, -0x1.4cae2b0df1528p-4, -0x1.42dcd92a75f68p-4, -0x1.394d5a6aaa69bp-4, -0x1.2ffe3e5ff628p-4, -0x1.26ee1a30e4f92p-4, -0x1.1e1b889b4bfdbp-4, -0x1.158529f53dafep-4, -0x1.0d29a42cd6df9p-4, -0x1.0507a2c6eedcp-4, -0x1.fa3badb9797e4p-5, -0x1.ead5ee30ed89ep-5, -0x1.dbdb7f61f6598p-5, -0x1.cd49e4c91a065p-5, -0x1.bf1eace55bf85p-5, -0x1.b157712a4abd8p-5, -0x1.a3f1d5f06da65p-5, -0x1.96eb8a643a432p-5, -0x1.8a42487397097p-5, -0x1.7df3d4ba0b264p-5, -0x1.71fdfe6ba9e9fp-5, -0x1.665e9f3ecd274p-5, -0x1.5b139b54bd22dp-5, -0x1.501ae121466c4p-5, -0x1.4572695167259p-5, -0x1.3b1836b11142ap-5, -0x1.310a561026583p-5, -0x1.2746de26b132ap-5, -0x1.1dcbef7874c89p-5, -0x1.1497b437e16b5p-5, -0x1.0ba860287efd3p-5, -0x1.02fc3080d8d81p-5, -0x1.f522d79805ed4p-6, -0x1.e4ccc39571763p-6, -0x1.d4f2d6a860d41p-6, -0x1.c591d46d4a38fp-6, -0x1.b6a6922f51811p-6, -0x1.a82df6a88de87p-6, -0x1.9a24f9c20475bp-6, -0x1.8c88a4536693cp-6, -0x1.7f560fe2b1021p-6, -0x1.728a6663abcdap-6, -0x1.6622e1f761d8ep-6, -0x1.5a1cccab9b33dp-6, -0x1.4e75803a69bffp-6, -0x1.432a65c9caf0cp-6, -0x1.3838f5ab70f3fp-6, -0x1.2d9eb71cbbb37p-6, -0x1.23594006e1b1dp-6, -0x1.196634bf60ac5p-6, -0x1.0fc347c8b28p-6, -0x1.066e39934ca52p-6, -0x1.fac9b07dfebep-7, -0x1.e949feb955898p-7, -0x1.d8592f60b23e4p-7, -0x1.c7f32de7968b4p-7, -0x1.b813ff32cc2eap-7, -0x1.a8b7c11f4715ap-7, -0x1.99daaa0a01ff6p-7, -0x1.8b790858bdb67p-7, -0x1.7d8f4203f751bp-7, -0x1.7019d421d1ef2p-7, -0x1.631552723e7fcp-7, -0x1.567e66ec2d92p-7, -0x1.4a51d14c0d3ffp-7, -0x1.3e8c66a370a25p-7, -0x1.332b10e9fb864p-7, -0x1.282ace8f957dbp-7, -0x1.1d88b20fe402bp-7, -0x1.1341e18727679p-7, -0x1.0953964854939p-7, -0x1.ff7638e94e29fp-8, -0x1.eceba528fe1d1p-8, -0x1.db0252636c242p-8, -0x1.c9b544e686b71p-8, -0x1.b8ffa374caa7ap-8, -0x1.a8dcb68246eb8p-8, -0x1.9947e774a08c1p-8, -0x1.8a3cbfe5d5b5ep-8, -0x1.7bb6e8e9ff84ep-8, -0x1.6db22a57e02b4p-8, -0x1.602a6a148d637p-8, -0x1.531bab61af80ep-8, -0x1.46820e2eec8f8p-8, -0x1.3a59ce6e16833p-8, -0x1.2e9f436a5ca5cp-8, -0x1.234edf2228281p-8, -0x1.18652da4107dep-8, -0x1.0dded46e97da7p-8, -0x1.03b891d2ab972p-8, -0x1.f3de78b24a9c2p-9, -0x1.e0ff8455d0edbp-9, -0x1.cece50f7f74cdp-9, -0x1.bd4515f28752bp-9, -0x1.ac5e367231874p-9, -0x1.9c14405d0495ep-9, -0x1.8c61eb3e61a1bp-9, -0x1.7d42173858e5p-9, -0x1.6eafcbfa3c823p-9, -0x1.60a637bc995ecp-9, -0x1.5320ae421fd18p-9, -0x1.461aa7ddfb5cfp-9, -0x1.398fc07f245eap-9, -0x1.2d7bb6c0bc067p-9, -0x1.21da6aff3e3b2p-9, -0x1.16a7de72d7ac3p-9, -0x1.0be0324e7abc3p-9, -0x1.017fa6e3a2f0dp-9, -0x1.ef0535963fb2fp-10, -0x1.dbcb14243bcap-10, -0x1.c94a1ad830902p-10, -0x1.b77bb2d299dfbp-10, -0x1.a6597b6308aeap-10, -0x1.95dd4886ef1d5p-10, -0x1.8601217095101p-10, -0x1.76bf3f1710e17p-10, -0x1.68120acea44bep-10, -0x1.59f41ce8f9cffp-10, -0x1.4c603b5e3feb3p-10, -0x1.3f51587d938dap-10, -0x1.32c291a5cec6ep-10, -0x1.26af2e063d913p-10, -0x1.1b129d664227bp-10, -0x1.0fe876f567b61p-10, -0x1.052c78221b64fp-10, -0x1.f5b506f0657d6p-11, -0x1.e1dd3f0c41512p-11, -0x1.cec9eb935d7f2p-11, -0x1.bc73a3462176ap-11, -0x1.aad33e9e08242p-11, -0x1.99e1d5cf0d52ep-11, -0x1.8998bed604eb9p-11, -0x1.79f18b93c8072p-11, -0x1.6ae607f51ccf5p-11, -0x1.5c703825da988p-11, -0x1.4e8a56d14b2afp-11, -0x1.412ed36e0056cp-11, -0x1.3458509484b41p-11, -0x1.2801a261fbdacp-11, -0x1.1c25cce5e35a4p-11, -0x1.10c0029a1b263p-11, -0x1.05cba2e5bc921p-11, -0x1.f6887155dab23p-12, -0x1.e24af1bb19462p-12, -0x1.ced6824a634ccp-12, -0x1.bc232d0f4431ep-12, -0x1.aa29483bb8636p-12, -0x1.98e173a2ffda9p-12, -0x1.88449647b73dap-12, -0x1.784bdbfbc0e63p-12, -0x1.68f0b30fb4c89p-12, -0x1.5a2cca15fda16p-12, -0x1.4bfa0db40b451p-12, -0x1.3e52a6851961ep-12, -0x1.3130f70c69514p-12, -0x1.248f99b63fc89p-12, -0x1.18695ee931d34p-12, -0x1.0cb94b24b5107p-12, -0x1.017a952eaac12p-12, -0x1.ed51489df7d57p-13, -0x1.d83f106e482e1p-13, -0x1.c435331065b6fp-13, -0x1.b0eb7d8b4eea4p-13, -0x1.9e5a203aa1e22p-13, -0x1.8c799c58e95a3p-13, -0x1.7b42c10e525a2p-13, -0x1.6aaea89c9b412p-13, -0x1.5ab6b59d2a889p-13, -0x1.4b549057f81a9p-13, -0x1.3c82242f5cefcp-13, -0x1.2e399d206dfa4p-13, -0x1.2075655826d36p-13, -0x1.133022dc85b0bp-13, -0x1.0664b549109ecp-13, -0x1.f41c673d8d6aep-14, -0x1.dc4fd449a50cep-14, -0x1.c55ab0b70ec72p-14, -0x1.af345e058fd5ap-14, -0x1.99d49c5c5563p-14, -0x1.853386d784d17p-14, -0x1.71498ff34cbbp-14, -0x1.5e0f7e16ba5dbp-14, -0x1.4b7e683d685c6p-14, -0x1.398fb2bbb9f87p-14, -0x1.283d0c236148cp-14, -0x1.17806a3d1d51fp-14, -0x1.07540727dacf5p-14, -0x1.ef64bd06f2ee3p-15, -0x1.d12c5583b566bp-15, -0x1.b3f4c5127442bp-15, -0x1.97b46c5e31c06p-15, -0x1.7c621a9867503p-15, -0x1.61f508c9dddabp-15, -0x1.4864d5509da7fp-15, -0x1.2fa97f8697908p-15, -0x1.17bb638f9e1c1p-15, -0x1.0093365674c6fp-15, -0x1.d4540350571f4p-16, -0x1.a8f240e0bd9c1p-16, -0x1.7ef4764efc669p-16, -0x1.564e88b142695p-16, -0x1.2ef4ea9b572a2p-16, -0x1.08dc95b45832cp-16, -0x1.c7f60918e3c5ap-17, -0x1.808c595f5f465p-17, -0x1.3b68f1ec4c1f1p-17, -0x1.f0f310401a9f4p-18, -0x1.6f594cd10efc1p-18, -0x1.e3c6896d11377p-19, -0x1.e1c496b78de32p-20, -0x1.7246d42a5b13p-25, 0x1.bb7e1c58bab59p-20, 0x1.b9ed9e34a3ea3p-19, 0x1.477bc404fc97fp-18, 0x1.ae87b27110a8dp-18, 0x1.0919646748171p-17, 0x1.394a12fab2f0cp-17, 0x1.67e0f36bde2ecp-17, 0x1.94e899e2208ecp-17, 0x1.c06b2671cc8d3p-17, 0x1.ea724b39b3c3dp-17, 0x1.0983a91439ee5p-16, 0x1.1d19913c7a55fp-16, 0x1.2fff22f86c3bfp-16, 0x1.423876f947fdep-16, 0x1.53c97c219700ap-16, 0x1.64b5f9d04e23bp-16, 0x1.750192116237ep-16, 0x1.84afc3a5db5f7p-16, 0x1.93c3ec1071ff7p-16, 0x1.a241496e24917p-16, 0x1.b02afc3eb75d5p-16, 0x1.bd840924d30bdp-16, 0x1.ca4f5a6e40e86p-16, 0x1.d68fc1b87c743p-16, 0x1.e247f95c0ffd4p-16, 0x1.ed7aa5c868592p-16, 0x1.f82a56ddb5fcep-16, 0x1.012cc493aefbcp-15, 0x1.060553857329fp-15, 0x1.0aa004f3f4261p-15, 0x1.0efdfd91a132bp-15, 0x1.13205a958af03p-15, 0x1.1708322cdc4d2p-15, 0x1.1ab693f71639p-15, 0x1.1e2c896af1ce1p-15, 0x1.216b163d71497p-15, 0x1.247338ba9b7a8p-15, 0x1.2745ea28ec44dp-15, 0x1.29e41f17f927fp-15, 0x1.2c4ec7abbadaap-15, 0x1.2e86cfec2daap-15, 0x1.308d200712d9bp-15, 0x1.32629c907f688p-15, 0x1.340826bf4061cp-15, 0x1.357e9ca4a2e0dp-15, 0x1.36c6d9606c6bcp-15, 0x1.37e1b551aad14p-15, 0x1.38d006456b329p-15, 0x1.39929f9703055p-15, 0x1.3a2a52624b791p-15, 0x1.3a97eda26785fp-15, 0x1.3adc3e4fd9cd3p-15, 0x1.3af80f8005484p-15, 0x1.3aec2a7ffd21fp-15, 0x1.3ab956ece59e5p-15, 0x1.3a605acd5af1dp-15, 0x1.39e1fa9bc849ap-15, 0x1.393ef96638d43p-15, 0x1.387818d4fadebp-15, 0x1.378e193c7acedp-15, 0x1.3681b9a8e9f57p-15, 0x1.3553b7e981951p-15, 0x1.3404d09acf1b9p-15, 0x1.3295bf2b057fcp-15, 0x1.31073de96a02ap-15, 0x1.2f5a05fecd5d6p-15, 0x1.2d8ecf7e47387p-15, 0x1.2ba651632544p-15, 0x1.29a1419220b4fp-15, 0x1.278054dc3c895p-15, 0x1.25443effa9f44p-15, 0x1.22edb2a78da3ep-15, 0x1.207d616829f8bp-15, 0x1.1df3fbc3dd52ap-15, 0x1.1b52311c5f016p-15, 0x1.1898afbe5528ep-15, 0x1.15c824d657fc1p-15, 0x1.12e13c6c6ea8p-15, 0x1.0fe4a16290574p-15, 0x1.0cd2fd6e7517p-15, 0x1.09acf915843f2p-15, 0x1.06733ba656707p-15, 0x1.03266b34e647cp-15, 0x1.ff8e592a5c87ap-16, 0x1.f8ac469ce54d4p-16, 0x1.f1a7e341161eap-16, 0x1.ea8270eb733d7p-16, 0x1.e33d2ec00129ap-16, 0x1.dbd9591b5a6bap-16, 0x1.d45829942647dp-16, 0x1.ccbad6e72df2ap-16, 0x1.c50294e89e303p-16, 0x1.bd30947d930c8p-16, 0x1.b54603824df0cp-16, 0x1.ad440cd08dd0ep-16, 0x1.a52bd82658f8bp-16, 0x1.9cfe8a1f071p-16, 0x1.94bd441f9a0acp-16, 0x1.8c69245878984p-16, 0x1.840345ae10a2ep-16, 0x1.7b8cbfb4e2e72p-16, 0x1.7306a6a2634c7p-16, 0x1.6a720b44a6269p-16, 0x1.61cffafab1c23p-16, 0x1.59217fa1f05b8p-16, 0x1.50679f98bfd78p-16, 0x1.47a35dae122dp-16, 0x1.3ed5b91abe065p-16, 0x1.35ffad78f4874p-16, 0x1.2d2232c438a73p-16, 0x1.243e3d3668eb6p-16, 0x1.1b54bd6cc74c5p-16, 0x1.1266a0402b8bap-16, 0x1.0974cecab7177p-16, 0x1.00802e60c464dp-16, 0x1.ef134118741e7p-17, 0x1.dd24061a3e928p-17, 0x1.cb345f89eb6e5p-17, 0x1.b945f99430df8p-17, 0x1.a75a78ab80746p-17, 0x1.9573798994dd6p-17, 0x1.8392912a1e991p-17, 0x1.71b94cce020e8p-17, 0x1.5fe931f018214p-17, 0x1.4e23be481d08ap-17, 0x1.3c6a67c4ab499p-17, 0x1.2abe9c9470929p-17, 0x1.1921c32055acbp-17, 0x1.07953a0f9cf8fp-17, 0x1.ec34b08fe572fp-18, 0x1.c964d9e95e4a1p-18, 0x1.a6bd7f0c0c505p-18, 0x1.84411f8ecf5ecp-18, 0x1.61f22b7226249p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.875d89f17e143p-1, 0x1.7cd5993e9cf0ep-1, 0x1.720e1b3735785p-1, 0x1.670db548a0d54p-1, 0x1.5bdae9c7a1ad4p-1, 0x1.507c13f10469ep-1, 0x1.44f7647d4e90ap-1, 0x1.3952debaf3e91p-1, 0x1.2d9456236101ap-1, 0x1.21c16c5ffae5fp-1, 0x1.15df8fb5087b1p-1, 0x1.09f3f9c92e4b4p-1, 0x1.fc075d81cb75ap-2, 0x1.e426f94bede8ep-2, 0x1.cc4ff6273a55p-2, 0x1.b48b164109d32p-2, 0x1.9ce0af00b75cp-2, 0x1.8558a9ae356ffp-2, 0x1.6dfa8471574dap-2, 0x1.56cd539fc9359p-2, 0x1.3fd7c35079957p-2, 0x1.2920192be7f4dp-2, 0x1.12ac367166389p-2, 0x1.f9033454060efp-3, 0x1.cd4ac704b2b79p-3, 0x1.a238a88a223fap-3, 0x1.77d5a6e0aecfep-3, 0x1.4e29dfc22a8f4p-3, 0x1.253cc61e3b72p-3, 0x1.fa2a4f57c619dp-4, 0x1.ab72651896a6fp-4, 0x1.5e5cf5ef687e5p-4, 0x1.12f401dc14d9dp-4, 0x1.9280d79568ae8p-5, 0x1.029409c405b25p-5, 0x1.d8bcbdd07500cp-7, -0x1.2a21919a42664p-9, -0x1.2fac25673e72fp-6, -0x1.1964cbb0901c3p-5, -0x1.974808cd05df1p-5, -0x1.08bd983aec22cp-4, -0x1.43fd9b4382f7bp-4, -0x1.7d6344428338bp-4, -0x1.b4ee7d2ab5af3p-4, -0x1.ea9fd9bd4d22cp-4, -0x1.0f3c473558033p-3, -0x1.283d33bb90e2fp-3, -0x1.4053e031f0715p-3, -0x1.5781bdce77255p-3, -0x1.6dc87d35af91ap-3, -0x1.832a0a95fb16p-3, -0x1.97a889e4a6e2p-3, -0x1.ab46533c777bep-3, -0x1.be05ef5d25f92p-3, -0x1.cfea144b4853cp-3, -0x1.e0f5a2100cb14p-3, -0x1.f12b9f9825c09p-3, -0x1.00479bd896db5p-2, -0x1.0791db126c63dp-2, -0x1.0e7642789c1f6p-2, -0x1.14f694cea4243p-2, -0x1.1b14a1548b61cp-2, -0x1.20d2428c58df9p-2, -0x1.26315d0c989e5p-2, -0x1.2b33de5f86515p-2, -0x1.2fdbbbee8273fp-2, -0x1.342af1f97a37p-2, -0x1.38238299dcacfp-2, -0x1.3bc774d0ceec1p-2, -0x1.3f18d3a04179bp-2, -0x1.4219ad2e91aa5p-2, -0x1.44cc11f46a721p-2, -0x1.473213f48aeb9p-2, -0x1.494dc5fd2d186p-2, -0x1.4b213af2ba2cbp-2, -0x1.4cae852388aa9p-2, -0x1.4df7b5a454423p-2, -0x1.4efedbb53568p-2, -0x1.4fc6042ec826bp-2, -0x1.504f38f74e452p-2, -0x1.509c807f80ac3p-2, -0x1.50afdd46dad3cp-2, -0x1.508b4d6721531p-2, -0x1.5030ca26e9162p-2, -0x1.4fa24792e59a3p-2, -0x1.4ee1b41dc8faap-2, -0x1.4df0f84680261p-2, -0x1.4cd1f644920eep-2, -0x1.4b8689ba74194p-2, -0x1.4a10876da1348p-2, -0x1.4871bd043b524p-2, -0x1.46abf0c8140d7p-2, -0x1.44c0e16edf5fp-2, -0x1.42b245e76fd3fp-2, -0x1.4081cd2bc46afp-2, -0x1.3e311e17c1d51p-2, -0x1.3bc1d7446c007p-2, -0x1.39358ee773812p-2, -0x1.368dd2b6eb4dcp-2, -0x1.33cc27d103301p-2, -0x1.30f20aa79d218p-2, -0x1.2e00eeef8fd67p-2, -0x1.2afa3f937cf58p-2, -0x1.27df5eaa04e2fp-2, -0x1.24b1a56f4292cp-2, -0x1.217264415f71ap-2, -0x1.1e22e2a0210b2p-2, -0x1.1ac45f2f4d3f5p-2, -0x1.17580fbbbf33fp-2, -0x1.13df214311bcbp-2, -0x1.105ab7fdb4922p-2, -0x1.0ccbef6b581b4p-2, -0x1.0933da618601ep-2, -0x1.0593831c4c2f1p-2, -0x1.01ebeb50dcb6fp-2, -0x1.fc7c188407d71p-3, -0x1.f515adacb0e11p-3, -0x1.eda6676012549p-3, -0x1.e630068c5801ap-3, -0x1.deb43bfef197p-3, -0x1.d734a89c9fb38p-3, -0x1.cfb2dd9bec354p-3, -0x1.c8305cc1e2aebp-3, -0x1.c0ae98a0cc4eap-3, -0x1.b92ef4d8d1537p-3, -0x1.b1b2c65a46dd8p-3, -0x1.aa3b53a98b37ap-3, -0x1.a2c9d52435a73p-3, -0x1.9b5f754789ee8p-3, -0x1.93fd50f7f10d9p-3, -0x1.8ca477c965a9dp-3, -0x1.8555ec48a1181p-3, -0x1.7e12a444f7716p-3, -0x1.76db891aafae8p-3, -0x1.6fb177fdca979p-3, -0x1.689542450e503p-3, -0x1.6187adb53c1c3p-3, -0x1.5a8974cc5d02ap-3, -0x1.539b470cfb174p-3, -0x1.4cbdc94945a7ap-3, -0x1.45f195edf36f8p-3, -0x1.3f373d4cd6847p-3, -0x1.388f45e70dbcdp-3, -0x1.31fa2cb6c11adp-3, -0x1.2b78657847cc7p-3, -0x1.250a5af2c08e9p-3, -0x1.1eb06f3ff4dc5p-3, -0x1.186afc137d3eap-3, -0x1.123a53012255ep-3, -0x1.0c1ebdc2611b3p-3, -0x1.06187e7b098dcp-3, -0x1.0027cffcf529p-3, -0x1.f499cc15676b8p-4, -0x1.e90fdb328e31ap-4, -0x1.ddb21a217efe4p-4, -0x1.d280c9179d8e1p-4, -0x1.c77c1c2c7a518p-4, -0x1.bca43bd4675dfp-4, -0x1.b1f94558d5245p-4, -0x1.a77b4b4e35d63p-4, -0x1.9d2a56079fc51p-4, -0x1.93066407df371p-4, -0x1.890f6a7034bccp-4, -0x1.7f45556c8b9b7p-4, -0x1.75a8089d3b793p-4, -0x1.6c375f7e4c238p-4, -0x1.62f32dcc3982fp-4, -0x1.59db3fe637e73p-4, -0x1.50ef5b2df7cbcp-4, -0x1.482f3e64eb5d2p-4, -0x1.3f9aa2070ea19p-4, -0x1.373138a334061p-4, -0x1.2ef2af30db78cp-4, -0x1.26dead63951f1p-4, -0x1.1ef4d5fbf493ap-4, -0x1.1734c7161cc4fp-4, -0x1.0f9e1a75e7172p-4, -0x1.083065d0aca64p-4, -0x1.00eb3b14bb281p-4, -0x1.f39c515cf1e5ap-5, -0x1.e5b1739685137p-5, -0x1.d814ed3411719p-5, -0x1.cac5c9136fbdp-5, -0x1.bdc30d0ae36d6p-5, -0x1.b10bba5d42131p-5, -0x1.a49ece29e6c55p-5, -0x1.987b41d87ea52p-5, -0x1.8ca00b80c6bb3p-5, -0x1.810c1e4e4b06ep-5, -0x1.75be6ae040c7p-5, -0x1.6ab5dfa587f36p-5, -0x1.5ff16934f2dcfp-5, -0x1.556ff2a1dedd1p-5, -0x1.4b3065cd3ba2p-5, -0x1.4131abb30dc2ep-5, -0x1.3772acb48cap-5, -0x1.2df250dee45b9p-5, -0x1.24af802ebc484p-5, -0x1.1ba922d08f2ep-5, -0x1.12de215def134p-5, -0x1.0a4d6517c78a3p-5, -0x1.01f5d81db5082p-5, -0x1.f3accb4507d5dp-6, -0x1.e3dbf43bdb655p-6, -0x1.d47706f750451p-6, -0x1.c57be28fb99c2p-6, -0x1.b6e869b22e4b4p-6, -0x1.a8ba82ef8b03p-6, -0x1.9af01906b461ep-6, -0x1.8d871b2a40813p-6, -0x1.807d7d41b9e77p-6, -0x1.73d1382693195p-6, -0x1.678049dcf5b52p-6, -0x1.5b88b5c8996efp-6, -0x1.4fe884ddb483dp-6, -0x1.449dc5ce3c886p-6, -0x1.39a68d338bfa4p-6, -0x1.2f00f5b496195p-6, -0x1.24ab2028c52ep-6, -0x1.1aa333b7ab596p-6, -0x1.10e75df59a56dp-6, -0x1.0775d2fd4bb41p-6, -0x1.fc999b0d68797p-7, -0x1.ead51df63aae8p-7, -0x1.d99abf0d4c338p-7, -0x1.c8e71c4e8da8dp-7, -0x1.b8b6e172db2c7p-7, -0x1.a906c804b8f7dp-7, -0x1.99d397709ed5bp-7, -0x1.8b1a25112c816p-7, -0x1.7cd75437674e4p-7, -0x1.6f08162f200e5p-7, -0x1.61a96a3fdf827p-7, -0x1.54b85daa4e129p-7, -0x1.48320ba273b05p-7, -0x1.3c139d46d2fd4p-7, -0x1.305a4994ae609p-7, -0x1.250355597df11p-7, -0x1.1a0c1321d4b1ap-7, -0x1.0f71e325cf4c1p-7, -0x1.0532333334674p-7, -0x1.f694fd2ad3d8p-8, -0x1.e3709bf6c0dd6p-8, -0x1.d0f26eb72ba29p-8, -0x1.bf15bbac9f87bp-8, -0x1.add5e32c57f38p-8, -0x1.9d2e5f5e481bfp-8, -0x1.8d1ac3f842bfdp-8, -0x1.7d96bdf678256p-8, -0x1.6e9e135180f7fp-8, -0x1.602ca2b22627bp-8, -0x1.523e632319053p-8, -0x1.44cf63c0c8a1fp-8, -0x1.37dbcb6781c7dp-8, -0x1.2b5fd86005b8p-8, -0x1.1f57e00abed0fp-8, -0x1.13c04e89bcc52p-8, -0x1.0895a6699d88fp-8, -0x1.fba900930a0f3p-9, -0x1.e6f31504969cep-9, -0x1.d3031199f5995p-9, -0x1.bfd2a7d1894cap-9, -0x1.ad5bb2810d628p-9, -0x1.9b98351ffcd18p-9, -0x1.8a825b11896bcp-9, -0x1.7a1476ee5d64ep-9, -0x1.6a4901ce4c847p-9, -0x1.5b1a9a923381ep-9, -0x1.4c84052e208f3p-9, -0x1.3e8029f3fa8dep-9, -0x1.310a14dec9d4dp-9, -0x1.241cf4dec71e8p-9, -0x1.17b41b2654176p-9, -0x1.0bcafa780072dp-9, -0x1.005d2675b71d1p-9, -0x1.eacca5e2619eap-10, -0x1.d5c4a67b971a9p-10, -0x1.c19a3307b0fdep-10, -0x1.ae456c2b019b9p-10, -0x1.9bbead8aa050cp-10, -0x1.89fe8c7cf4a1p-10, -0x1.78fdd6bde7d1ap-10, -0x1.68b59126d3892p-10, -0x1.591ef66a5059ap-10, -0x1.4a3375d405fccp-10, -0x1.3becb20c8f456p-10, -0x1.2e447fe196eedp-10, -0x1.2134e512352a2p-10, -0x1.14b8171fa22ecp-10, -0x1.08c87a2265363p-10, -0x1.fac13f47cd8dep-11, -0x1.e4f68af93e551p-11, -0x1.d026a96d94675p-11, -0x1.bc47c0eb79da8p-11, -0x1.a95049c3bdc65p-11, -0x1.97370c3298d6ep-11, -0x1.85f31e4a51d7ap-11, -0x1.757be1e744b02p-11, -0x1.65c902ad5220bp-11, -0x1.56d2740eb6723p-11, -0x1.48906f5c48729p-11, -0x1.3afb71df19c32p-11, -0x1.2e0c3afb7430ep-11, -0x1.21bbca5d2b165p-11, -0x1.16035e2d374ffp-11, -0x1.0adc715090084p-11, -0x1.0040b9b033118p-11, -0x1.ec544d149b6f1p-12, -0x1.d925bd98ec177p-12, -0x1.c6ea7eedbcc2dp-12, -0x1.b597b410e586ep-12, -0x1.a522e5e79589ap-12, -0x1.95820039af298p-12, -0x1.86ab4ebe6ebc3p-12, -0x1.78957a3a335adp-12, -0x1.6b3785ad28701p-12, -0x1.5e88cb92ab8c2p-12, -0x1.5280fb312bd72p-12, -0x1.471815fa57743p-12, -0x1.3c466cfb5585dp-12, -0x1.32049e5cd97e1p-12, -0x1.284b92f2d2061p-12, -0x1.1f147bdb78f1fp-12, -0x1.1658d02d8d4eap-12, -0x1.0e124ab570629p-12, -0x1.063ae7c0f488dp-12, -0x1.fd99c5f32c99cp-13, -0x1.ef856a99d375cp-13, -0x1.e22e25c5ed134p-13, -0x1.d589d244968d1p-13, -0x1.c98eb98307032p-13, -0x1.be338fcc0bf6p-13, -0x1.b36f709f7308ep-13, -0x1.a939db22e9609p-13, -0x1.9f8aaeabd0b73p-13, -0x1.965a27618a3d6p-13, -0x1.8da0daf7c14c1p-13, -0x1.8557b5803c4cp-13, -0x1.7d77f653acb8bp-13, -0x1.75fb2d11130e8p-13, -0x1.6edb36b334f0ap-13, -0x1.68123abbaf874p-13, -0x1.619aa8732f319p-13, -0x1.5b6f343e568dp-13, -0x1.558ad506dfb98p-13, -0x1.4fe8c1b88576cp-13, -0x1.4a846ed13e1bdp-13, -0x1.45598c045c52ep-13, -0x1.406401f0224fp-13, -0x1.3b9fefe55a7ep-13, -0x1.3709a9c086edap-13, -0x1.329db5d43fce7p-13, -0x1.2e58cae4524a7p-13, -0x1.2a37ce314035dp-13, -0x1.2637d193a619dp-13, -0x1.225611a73f8bbp-13, -0x1.1e8ff405081adp-13, -0x1.1ae3058c2fe1bp-13, -0x1.174cf8b96db9dp-13, -0x1.13cba40c60b7p-13, -0x1.105d007a9b217p-13, -0x1.0cff27effea95p-13, -0x1.09b053dc0d0d9p-13, -0x1.066edbcbd324p-13, -0x1.0339341022992p-13, -0x1.000dec6fb3b93p-13, -0x1.f9d75dc9db03cp-14, -0x1.f3a27ccdead2cp-14, -0x1.ed7aeb7b70fb9p-14, -0x1.e75e8cc1549e4p-14, -0x1.e14b6ebfb7ee7p-14, -0x1.db3fc8ae54cacp-14, -0x1.d539f8d675f0ep-14, -0x1.cf38829fe7136p-14, -0x1.c93a0cb06fba4p-14, -0x1.c33d5f1d2a32p-14, -0x1.bd4161ad46d79p-14, -0x1.b7451a2dbbdb6p-14, -0x1.b147aad53bbe9p-14, -0x1.ab4850b82e17cp-14, -0x1.a546624bf2de5p-14, -0x1.9f414df923238p-14, -0x1.993898bc49ea4p-14, -0x1.932bdcd49847p-14, -0x1.8d1ac88038012p-14, -0x1.87051cc5c2c1p-14, -0x1.80eaac4a757dp-14, -0x1.7acb5a34b8905p-14, -0x1.74a7191a98808p-14, -0x1.6e7de9fbc91fap-14, -0x1.684fdb46d58c5p-14, -0x1.621d07e91d675p-14, -0x1.5be5966944187p-14, -0x1.55a9b80bb9dcp-14, -0x1.4f69a80105caap-14, -0x1.4925aa9d7e595p-14, -0x1.42de0c9a1d179p-14, -0x1.3c93225e1dbp-14, -0x1.3645475119fcfp-14, -0x1.2ff4dd35583f6p-14, -0x1.29a24b8a016fcp-14, -0x1.234dfef4f8513p-14, -0x1.1cf868b40994ap-14, -0x1.16a1fe15368a4p-14, -0x1.104b37f5d16b1p-14, -0x1.09f4924832a9dp-14, -0x1.039e8b9fc41acp-14, -0x1.fa9349865039fp-15, -0x1.edecc0888476dp-15, -0x1.e14a843bcee04p-15, -0x1.d4ad9eae0114ep-15, -0x1.c8171b55cfe7p-15, -0x1.bb88066da1d7ep-15, -0x1.af016c5805813p-15, -0x1.a284590d77aap-15, -0x1.9611d79311fa7p-15, -0x1.89aaf179cc8f7p-15, -0x1.7d50ae65f9709p-15, -0x1.7104139e9e64bp-15, -0x1.64c623a46401ap-15, -0x1.5897ddcfbf88bp-15, -0x1.4c7a3df61206cp-15, -0x1.406e3c1569217p-15, -0x1.3474cc06a284bp-15, -0x1.288edd35a0e06p-15, -0x1.1cbd5a5f5873dp-15, -0x1.1101295567dacp-15, -0x1.055b2ac704e74p-15, -0x1.f398741dfacd8p-16, -0x1.dcaa5a0d18d25p-16, -0x1.c5eda7b9a3ebap-16, -0x1.af63f1e56206p-16, -0x1.990ec175ba913p-16, -0x1.82ef933bd2becp-16, -0x1.6d07d7c43fb47p-16, -0x1.5758f32df1bdbp-16, -0x1.41e43d07fb888p-16, -0x1.2cab0035d9ea3p-16, -0x1.17ae7ad9e895ap-16, -0x1.02efde45b19d8p-16, -0x1.dce09ddf85785p-17, -0x1.b461c8dd80a2dp-17, -0x1.8c6552f2d92edp-17, -0x1.64ed37d6aa767p-17, -0x1.3dfb599bd3eb6p-17, -0x1.179180cb72f7dp-17, -0x1.e362b90e35c93p-18, -0x1.98b90564cca0cp-18, -0x1.4f28e046c1518p-18, -0x1.06b511b2b111fp-18, -0x1.7ec060e6cb2ebp-19, -0x1.e4b28a929792ep-20, -0x1.a0e4f21379b51p-21, 0x1.f9bac7c4fe854p-23, 0x1.4a438d34732ap-20, 0x1.2855bf2ad0a9cp-19, 0x1.a9349e96981ep-19, 0x1.13dde373a3c3ep-18, 0x1.51f47924d35c2p-18, 0x1.8edd18c1e7315p-18, 0x1.ca96f5306f75dp-18, 0x1.0290b584cecb2p-17, 0x1.1f3dffe392c8ep-17, 0x1.3b5330762d2a2p-17, 0x1.56d03195fc528p-17, 0x1.71b500c58b6cep-17, 0x1.8c01ae40c9082p-17, 0x1.a5b65c8c3cbfdp-17, 0x1.bed3400359c44p-17, 0x1.d7589e662bf0dp-17, 0x1.ef46ce66832e8p-17, 0x1.034f1b9a60948p-16, 0x1.0eafa8063c737p-16, 0x1.19c54fe08395fp-16, 0x1.24905e2519c1p-16, 0x1.2f1125288befdp-16, 0x1.3947fe5ea775cp-16, 0x1.43354a2151fabp-16, 0x1.4cd96f77a198ap-16, 0x1.5634dbdd4fc47p-16, 0x1.5f48030a88723p-16, 0x1.68135ebc24978p-16, 0x1.70976e7c620ecp-16, 0x1.78d4b76c126p-16, 0x1.80cbc40c5bdp-16, 0x1.887d240906f34p-16, 0x1.8fe96c036cf0dp-16, 0x1.9711355e0169fp-16, 0x1.9df51e088e5d7p-16, 0x1.a495c84d1455cp-16, 0x1.aaf3da9d6afb5p-16, 0x1.b10fff619684ep-16, 0x1.b6eae4c6dc1b3p-16, 0x1.bc853c8fa2293p-16, 0x1.c1dfbbe40d76bp-16, 0x1.c6fb1b2372d4ep-16, 0x1.cbd815b6956fap-16, 0x1.d07769e2b6cebp-16, 0x1.d4d9d89d793fcp-16, 0x1.d90025619e068p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.d431dcd503b1bp-1, 0x1.d0495a2db1eecp-1, 0x1.cc3fc8eceb993p-1, 0x1.c816daa2891bdp-1, 0x1.c3d03ec8f2a83p-1, 0x1.bf6da1b3723b6p-1, 0x1.baf0ab973244p-1, 0x1.b65affad3070ap-1, 0x1.b1ae3b6b83b9fp-1, 0x1.acebf5d45d4a1p-1, 0x1.a815bed9413c1p-1, 0x1.a32d1ed10d753p-1, 0x1.9e3395ff6ec01p-1, 0x1.992a9c2c7f96dp-1, 0x1.9413a04b5d9fap-1, 0x1.8ef0082e93cf5p-1, 0x1.89c13049492c8p-1, 0x1.84886b7c394b7p-1, 0x1.7f4702ed82319p-1, 0x1.79fe35ea6c2bep-1, 0x1.74af39d258b41p-1, 0x1.6f5b3a0a12431p-1, 0x1.6a0357f6c61bdp-1, 0x1.64a8aafffb35cp-1, 0x1.5f4c4097e46e7p-1, 0x1.59ef1c49760e8p-1, 0x1.549237cbb1032p-1, 0x1.4f368319a0858p-1, 0x1.49dce48e8db74p-1, 0x1.44863905f4e2p-1, 0x1.3f3353fed1404p-1, 0x1.39e4ffc1dccd4p-1, 0x1.349bfd8a6401bp-1, 0x1.2f5905b1590c9p-1, 0x1.2a1cc7da559b7p-1, 0x1.24e7eb22414f3p-1, 0x1.1fbb0e4f58e97p-1, 0x1.1a96c802551c9p-1, 0x1.157ba6e87992dp-1, 0x1.106a31ee55dbcp-1, 0x1.0b62e87306ff1p-1, 0x1.0666427bcdb82p-1, 0x1.0174b0e7d1ff2p-1, 0x1.f91d3b47da548p-2, 0x1.ef68d7bcb6dccp-2, 0x1.e5ccf0746b096p-2, 0x1.dc4a32052fb34p-2, 0x1.d2e13cbac21ecp-2, 0x1.c992a4fadd85p-2, 0x1.c05ef3a893a91p-2, 0x1.b746a6865dc5ep-2, 0x1.ae4a3096c85dp-2, 0x1.a569fa7ba84eap-2, 0x1.9ca662d3b52bp-2, 0x1.93ffbe96892c7p-2, 0x1.8b76596ee25bp-2, 0x1.830a76132a8fbp-2, 0x1.7abc4e9c313bap-2, 0x1.728c14da0f798p-2, 0x1.6a79f2a733c51p-2, 0x1.62860a399244cp-2, 0x1.5ab07671ec744p-2, 0x1.52f94b293e41fp-2, 0x1.4b60957c42fdep-2, 0x1.43e65c151b561p-2, 0x1.3c8a9f73114c1p-2, 0x1.354d5a3084b25p-2, 0x1.2e2e8146f6f46p-2, 0x1.272e04514bb77p-2, 0x1.204bcdcc3120fp-2, 0x1.1987c354c6a28p-2, 0x1.12e1c5e5789dap-2, 0x1.0c59b2112439ap-2, 0x1.05ef603c828a4p-2, 0x1.ff4549abc25edp-3, 0x1.f2e6a1166de33p-3, 0x1.e6c260fd2611bp-3, 0x1.dad81cf1e881p-3, 0x1.cf2762371a7c8p-3, 0x1.c3afb81efacdbp-3, 0x1.b870a0680bb57p-3, 0x1.ad6997968a2fcp-3, 0x1.a29a154af4468p-3, 0x1.98018c95befd1p-3, 0x1.8d9f6c483f5abp-3, 0x1.83731f42d2e37p-3, 0x1.797c0cc0672a9p-3, 0x1.6fb9989f5a55dp-3, 0x1.662b23a7d199p-3, 0x1.5cd00bcf8e751p-3, 0x1.53a7ac7b56154p-3, 0x1.4ab15ebdef2f3p-3, 0x1.41ec7994cfea1p-3, 0x1.3958522281f29p-3, 0x1.30f43be6cc935p-3, 0x1.28bf88f4b5866p-3, 0x1.20b98a265ea95p-3, 0x1.18e18f4ed4cdfp-3, 0x1.1136e769dcda4p-3, 0x1.09b8e0c9c0f9fp-3, 0x1.0266c9433924dp-3, 0x1.f67fdcaeedcd6p-4, 0x1.e8873ab8a70bbp-4, 0x1.dae247458af54p-4, 0x1.cd8f9d372715bp-4, 0x1.c08dd7f4b0039p-4, 0x1.b3db93adcebd8p-4, 0x1.a7776d9a316ffp-4, 0x1.9b6004360b9e2p-4, 0x1.8f93f77b8fe2ep-4, 0x1.8411e9197adbbp-4, 0x1.78d87ca6cb368p-4, 0x1.6de657d3b333dp-4, 0x1.633a2297de867p-4, 0x1.58d2875e1da1bp-4, 0x1.4eae332d8ca16p-4, 0x1.44cbd5d04842fp-4, 0x1.3b2a21f7c60dap-4, 0x1.31c7cd5edf7d7p-4, 0x1.28a390e9a7f1ep-4, 0x1.1fbc28c31aeb8p-4, 0x1.17105478b83c6p-4, 0x1.0e9ed7141d1fp-4, 0x1.06667732afd6cp-4, 0x1.fccbfe36d2ef8p-5, 0x1.ed3879a5a7a36p-5, 0x1.de10045a90534p-5, 0x1.cf5049bf04ec9p-5, 0x1.c0f6fd1b291c3p-5, 0x1.b301d9b09bb8cp-5, 0x1.a56ea2d243fd6p-5, 0x1.983b23f94348ep-5, 0x1.8b6530d71f154p-5, 0x1.7eeaa5654818ep-5, 0x1.72c965f2167edp-5, 0x1.66ff5f2b5322ap-5, 0x1.5b8a862670ff6p-5, 0x1.5068d86686a64p-5, 0x1.45985be02876ap-5, 0x1.3b171efb38b3p-5, 0x1.30e33892c55fep-5, 0x1.26fac7f30d422p-5, 0x1.1d5bf4d5c0649p-5, 0x1.1404ef5c946c3p-5, 0x1.0af3f00a3eac1p-5, 0x1.022737b9eeb74p-5, 0x1.f33a1f2aaf053p-6, 0x1.e2a79212be086p-6, 0x1.d2937b73084aap-6, 0x1.c2fa9ee425336p-6, 0x1.b3d9d0325e545p-6, 0x1.a52df33dacf9p-6, 0x1.96f3fbd7ae475p-6, 0x1.8928ed9fb8de1p-6, 0x1.7bc9dbdd3234p-6, 0x1.6ed3e9583aeffp-6, 0x1.62444830dddabp-6, 0x1.561839b4c9286p-6, 0x1.4a4d0e33c62c7p-6, 0x1.3ee024d2f680bp-6, 0x1.33ceeb5ef42eap-6, 0x1.2916de1cf9715p-6, 0x1.1eb5879b122dap-6, 0x1.14a8807f86f9p-6, 0x1.0aed6f577e2bbp-6, 0x1.01820864fe9dep-6, 0x1.f0c81ad8aaf2dp-7, 0x1.df229b01fefb4p-7, 0x1.ce0f49a444c03p-7, 0x1.bd89f8ed4fc53p-7, 0x1.ad8e947219d26p-7, 0x1.9e1920c5e9804p-7, 0x1.8f25bb111d48bp-7, 0x1.80b098a7b8abap-7, 0x1.72b6069fdaceap-7, 0x1.653269681a5fap-7, 0x1.58223c5e0baf8p-7, 0x1.4b821164e5c3bp-7, 0x1.3f4e907c68009p-7, 0x1.338477581f1bdp-7, 0x1.282098f7103aep-7, 0x1.1d1fdd3be6ad3p-7, 0x1.127f4085b132ep-7, 0x1.083bd34943817p-7, 0x1.fca5735692c9cp-8, 0x1.e98256363ab97p-8, 0x1.d708e3dcdba66p-8, 0x1.c533d5fb81f4p-8, 0x1.b3fe0a83c3b64p-8, 0x1.a36282e485b69p-8, 0x1.935c6348bfea9p-8, 0x1.83e6f1d857df4p-8, 0x1.74fd95fb1d7c2p-8, 0x1.669bd79e020b9p-8, 0x1.58bd5e7a9360fp-8, 0x1.4b5df160cb719p-8, 0x1.3e79758342724p-8, 0x1.320bedc5c962fp-8, 0x1.26117a0e7f9c8p-8, 0x1.1a86569965109p-8, 0x1.0f66db4e74c61p-8, 0x1.04af7b1a4dc3bp-8, 0x1.f4b98692e4043p-9, 0x1.e0d6b5cc36c9bp-9, 0x1.cdb00431636bfp-9, 0x1.bb3f2315bfe42p-9, 0x1.a97df39a96ddcp-9, 0x1.9866857fe4691p-9, 0x1.87f315fa5811fp-9, 0x1.781e0e8ea70cbp-9, 0x1.68e203f22577dp-9, 0x1.5a39b4f0a7d1fp-9, 0x1.4c200957a824p-9, 0x1.3e9010e6ac9e5p-9, 0x1.31850244e6a75p-9, 0x1.24fa39fc0159dp-9, 0x1.18eb397821236p-9, 0x1.0d53a60d015e9p-9, 0x1.022f48002a48p-9, 0x1.eef41330735b5p-10, 0x1.da5fec625786ap-10, 0x1.c69a72ab33f74p-10, 0x1.b39c3bb9da27cp-10, 0x1.a15e1a1cc47a2p-10, 0x1.8fd91b91dd46ap-10, 0x1.7f06875fb4fap-10, 0x1.6edfdcb82ce24p-10, 0x1.5f5ed12474e42p-10, 0x1.507d4efa23cd7p-10, 0x1.423573d971059p-10, 0x1.34818f3452cfep-10, 0x1.275c20de703c8p-10, 0x1.1abfd7a5b9bep-10, 0x1.0ea78ff398a19p-10, 0x1.030e527682a13p-10, 0x1.efdea5a7b4bf7p-11, 0x1.da8bdcc3e850cp-11, 0x1.c61b55d444ed4p-11, 0x1.b2846ae549558p-11, 0x1.9fbec220a8e81p-11, 0x1.8dc24b7fe37bp-11, 0x1.7c873e8dd1b77p-11, 0x1.6c061836dfb66p-11, 0x1.5c3798a7b53e2p-11, 0x1.4d14c139ffbd5p-11, 0x1.3e96d26f1ebd9p-11, 0x1.30b749f86af82p-11, 0x1.236fe0ccd4451p-11, 0x1.16ba894b929e6p-11, 0x1.0a916d6ba7549p-11, 0x1.fdddd9efcff67p-12, 0x1.e79b37aeacf2cp-12, 0x1.d25080c2fa1fp-12, 0x1.bdf3a37d254d9p-12, 0x1.aa7aeca645031p-12, 0x1.97dd046df5753p-12, 0x1.8610eb6e3c0b3p-12, 0x1.750df7c4fb60ep-12, 0x1.64cbd2427619dp-12, 0x1.554273ac6929dp-12, 0x1.466a2215422f5p-12, 0x1.383b6e46ff05bp-12, 0x1.2aaf314139d18p-12, 0x1.1dbe89c9f3a23p-12, 0x1.1162da10a7ab4p-12, 0x1.0595c563384afp-12, 0x1.f4a25be88e283p-13, 0x1.df1e6565113e9p-13, 0x1.ca945a61557dep-13, 0x1.b6f95f3ac3d1ap-13, 0x1.a443059676654p-13, 0x1.9267488f8496bp-13, 0x1.815c890348245p-13, 0x1.711989fabe032p-13, 0x1.61956d305e07cp-13, 0x1.52c7afb1891afp-13, 0x1.44a8269af95b3p-13, 0x1.372efbef5b18dp-13, 0x1.2a54ab877bdaap-13, 0x1.1e12001b420efp-13, 0x1.12601062df17ap-13, 0x1.07383c4f783d6p-13, 0x1.f92854b575d8dp-14, 0x1.e4db89d9455f3p-14, 0x1.d17e6fadd9026p-14, 0x1.bf05dbcb0f9acp-14, 0x1.ad671d06f4e22p-14, 0x1.9c97f6e73de2bp-14, 0x1.8c8e9d3964c7bp-14, 0x1.7d41afd0370bcp-14, 0x1.6ea83665d71b5p-14, 0x1.60b99ca1166bdp-14, 0x1.536dae3d2751bp-14, 0x1.46bc9352a3b7ep-14, 0x1.3a9eccc0ee7fep-14, 0x1.2f0d30b6fbcf6p-14, 0x1.2400e75a90b2ep-14, 0x1.1973678d1128bp-14, 0x1.0f5e73ccfb0a5p-14, 0x1.05bc17332db9fp-14, 0x1.f90d451652f24p-15, 0x1.e771530ae3aa6p-15, 0x1.d69a00068e20ep-15, 0x1.c67d6ef5de93bp-15, 0x1.b71238e795588p-15, 0x1.a84f6832edddap-15, 0x1.9a2c73ca924abp-15, 0x1.8ca13abad42e2p-15, 0x1.7fa5ffd1c8c7ep-15, 0x1.7333656ffb4f8p-15, 0x1.6742698063ap-15, 0x1.5bcc619662c96p-15, 0x1.50caf7308766dp-15, 0x1.4638241ef0d7cp-15, 0x1.3c0e2f0c1f1e7p-15, 0x1.3247a82715479p-15, 0x1.28df65edb7233p-15, 0x1.1fd082164c296p-15, 0x1.171656972538p-15, 0x1.0eac7acb5f96fp-15, 0x1.068ec0b3d044fp-15, 0x1.fd7264a63de57p-16, 0x1.ee501e485aab4p-16, 0x1.dfaf9353ba0ecp-16, 0x1.d18a0a2ec032ap-16, 0x1.c3d926206aad3p-16, 0x1.b696e2fe043f7p-16, 0x1.a9bd9105031aap-16, 0x1.9d47d0df81108p-16, 0x1.91308fd1d58a3p-16, 0x1.8573040fe057p-16, 0x1.7a0aa938996d9p-16, 0x1.6ef33cf69184ap-16, 0x1.6428bbc4101ep-16, 0x1.59a75dd1821bbp-16, 0x1.4f6b940d0e8efp-16, 0x1.4572054a0871bp-16, 0x1.3bb78b872b7adp-16, 0x1.3239315271145p-16, 0x1.28f42f497a0c2p-16, 0x1.1fe5e9b56d7d3p-16, 0x1.170bee4159619p-16, 0x1.0e63f1ca0e853p-16, 0x1.05ebce4685023p-16, 0x1.fb43018fc3f3dp-17, 0x1.eb064f206a241p-17, 0x1.db1e007e2c868p-17, 0x1.cb86cc2691d49p-17, 0x1.bc3da0813341bp-17, 0x1.ad3fa0b25ba69p-17, 0x1.9e8a219312034p-17, 0x1.901aa6cd05e7cp-17, 0x1.81eee0190836p-17, 0x1.7404a69eb4ec6p-17, 0x1.6659fa73ee53ap-17, 0x1.58ed003af80a9p-17, 0x1.4bbbfedde3bc2p-17, 0x1.3ec55d663ef8cp-17, 0x1.3207a0efbc37ap-17, 0x1.25816ab4d80dcp-17, 0x1.193176345d1e4p-17, 0x1.0d16976ec5cd8p-17, 0x1.012fb93a7cec5p-17, 0x1.eaf7b75c17a2ap-18, 0x1.d3f4253e8e71ep-18, 0x1.bd53086d38876p-18, 0x1.a712cf2b41935p-18, 0x1.913207202a136p-18, 0x1.7baf5aed18bb6p-18, 0x1.66898fe3f0c29p-18, 0x1.51bf83deb9d8p-18, 0x1.3d502b35e8ceep-18, 0x1.293a8ed430dcep-18, 0x1.157dca668d578p-18, 0x1.02190aa73d14cp-18, 0x1.de171784faae5p-19, 0x1.b8a92fa7a9832p-19, 0x1.93e70af5a5ff2p-19, 0x1.6fcf6d0c55e8dp-19, 0x1.4c612d68452e7p-19, 0x1.299b350eaf593p-19, 0x1.077c7c5dbca1cp-19, 0x1.cc0812035b1a6p-20, 0x1.8a61d81a3c34dp-20, 0x1.4a0480656aafbp-20, 0x1.0aee503d3df82p-20, 0x1.9a3b33b8eb651p-21, 0x1.2121731207d6bp-21, 0x1.55184bcd842e2p-22, 0x1.b3c0ec9a218dp-24, -0x1.d8ee784568173p-24, -0x1.54718f4861cefp-22, -0x1.16dbf64f90d22p-21, -0x1.810a8ae2f5cc5p-21, -0x1.e8c7be1e0c033p-21, -0x1.270b6a3e6fe6ap-20, -0x1.587d906309053p-20, -0x1.88bc032b2013ap-20, -0x1.b7c87d9649355p-20, -0x1.e5a4c4dde29fcp-20, -0x1.092954a0d8114p-19, -0x1.1eea035d1032dp-19, -0x1.341562c8e8d9bp-19, -0x1.48ac6d73ec44p-19, -0x1.5cb0248e1c6afp-19, -0x1.70219013f6836p-19, -0x1.8301bef0e3f54p-19, -0x1.9551c718be3c6p-19, -0x1.a712c598f4141p-19, -0x1.b845dea1e81ecp-19, -0x1.c8ec3d89151c8p-19, -0x1.d90714c46f994p-19, -0x1.e8979ddf94076p-19, -0x1.f79f196b23dbep-19, -0x1.030f67736c474p-18, -0x1.0a0c06535258fp-18, -0x1.10c613d9abca9p-18, -0x1.173e3dd38dd0bp-18, -0x1.1d75354319978p-18, -0x1.236bae4a21f8ap-18, -0x1.292260134496p-18, -0x1.2e9a04b99af5bp-18, -0x1.33d3592f2dfb1p-18, -0x1.38cf1d22476bap-18, -0x1.3d8e12e1c98dap-18, -0x1.4210ff40a7663p-18, -0x1.4658a9789f05ap-18, -0x1.4a65db0c4e189p-18, -0x1.4e395fa8bf00bp-18, -0x1.51d4050683369p-18, -0x1.55369aca7578dp-18, -0x1.5861f26637f55p-18, -0x1.5b56def8832d1p-18, -0x1.5e16352d5a0adp-18, -0x1.60a0cb1e31939p-18, -0x1.62f7783223d5ep-18, -0x1.651b14fe33d9fp-18, -0x1.670c7b25bcce1p-18, -0x1.68cc853b0fe45p-18, -0x1.6a5c0ea0530a8p-18, -0x1.6bbbf368aadc8p-18, -0x1.6ced1039bba23p-18, -0x1.6df0422d87b05p-18, -0x1.6ec666b4babd2p-18, -0x1.6f705b796271cp-18, -0x1.6feefe4224a74p-18, -0x1.70432cd5f2273p-18, -0x1.706dc4e042e91p-18, -0x1.706fa3d5dcf2bp-18, -0x1.7049a6da2e388p-18, -0x1.6ffcaaa53aa41p-18, -0x1.6f898b6a26096p-18, -0x1.6ef124be5b7bcp-18, -0x1.6e34518155781p-18, -0x1.6d53ebc5080b6p-18, -0x1.6c50ccb6f34c9p-18, -0x1.6b2bcc89dcb93p-18, -0x1.69e5c2602e4dbp-18, -0x1.687f843705b99p-18, -0x1.66f9e6d1e8274p-18, -0x1.6555bda727483p-18, -0x1.6393daccebd17p-18, -0x1.61b50ee6f0a83p-18, -0x1.5fba2914e73fcp-18, -0x1.5da3f6e183b66p-18, -0x1.5b73443237546p-18, -0x1.5928db37907c5p-18, -0x1.56c5845e42115p-18, -0x1.544a0640d2548p-18, -0x1.51b72599ece47p-18, -0x1.4f0da537574ep-18, -0x1.4c4e45ed87982p-18, -0x1.4979c68bd752dp-18, -0x1.4690e3d1569dbp-18, -0x1.4394586235ecdp-18, -0x1.4084dcbdc96e5p-18, -0x1.3d63273523c22p-18, -0x1.3a2febe23ff1bp-18, -0x1.36ebdc9fc06bep-18, -0x1.3397a9013732cp-18, -0x1.3033fe4bfcb71p-18, -0x1.2cc187708e2a6p-18, -0x1.2940ed0470683p-18, -0x1.25b2d53c96972p-18, -0x1.2217e3e8483p-18, -0x1.1e70ba6c8466dp-18, -0x1.1abdf7bfdf34ep-18, -0x1.17003866d5b79p-18, -0x1.1338167096b71p-18, -0x1.0f6629743c72cp-18, -0x1.0b8b068e73abep-18, -0x1.07a7405f90805p-18, -0x1.03bb670a07dd3p-18, -0x1.ff901062a572fp-19, -0x1.f79b5df260486p-19, -0x1.ef99c80a8fc34p-19, -0x1.e78c5af2584bdp-19, -0x1.df741df16268ap-19, -0x1.d75213513cb0ep-19, -0x1.cf27385f67cd5p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.9c078c93ebf18p-3, -0x1.b3665acad273cp-3, -0x1.cacda625f5dfbp-3, -0x1.e231a036e1f86p-3, -0x1.f9868169bb643p-3, -0x1.0860501937086p-2, -0x1.13ea42a4a2806p-2, -0x1.1f5b7e96c1d0dp-2, -0x1.2aae93928c97fp-2, -0x1.35de40f7d0208p-2, -0x1.40e57b308ae0ep-2, -0x1.4bbf700b153b7p-2, -0x1.56678a38b26a4p-2, -0x1.60d974068ccdap-2, -0x1.6b1119659b9b3p-2, -0x1.750aa9546103ap-2, -0x1.7ec296bbebfc8p-2, -0x1.883598d017de3p-2, -0x1.9160ab01a3bb3p-2, -0x1.9a410c8f78163p-2, -0x1.a2d43fc33643dp-2, -0x1.ab1808e423932p-2, -0x1.b30a6cea6a2dbp-2, -0x1.baa9affbcaa6cp-2, -0x1.c1f453b9f169fp-2, -0x1.c8e91569e7dd5p-2, -0x1.cf86ebfb56a76p-2, -0x1.d5cd05f5ab5d9p-2, -0x1.dbbac750974ebp-2, -0x1.e14fc73cdbcebp-2, -0x1.e68bcde1c7b6cp-2, -0x1.eb6ed2135e7dfp-2, -0x1.eff8f704b74efp-2, -0x1.f42a89f9b9d44p-2, -0x1.f803fffb06ee3p-2, -0x1.fb85f38e87856p-2, -0x1.feb12276d3fc2p-2, -0x1.00c335bdad8e3p-1, -0x1.0203661d77945p-1, -0x1.0319af8518c49p-1, -0x1.0406ac6f84f49p-1, -0x1.04cb03a51e0a7p-1, -0x1.0567673ff883p-1, -0x1.05dc93b7f57a3p-1, -0x1.062b4ef6f7429p-1, -0x1.0654677567151p-1, -0x1.0658b35f35d9p-1, -0x1.06390fc16aedep-1, -0x1.05f65fc054fa9p-1, -0x1.05918bd6593b6p-1, -0x1.050b811b5ceb3p-1, -0x1.04653094b6f65p-1, -0x1.039f8e8d9004ap-1, -0x1.02bb91f797211p-1, -0x1.01ba33d3df3aap-1, -0x1.009c6ea3c2c1ap-1, -0x1.fec67bc334b68p-2, -0x1.fc1f3b02301d3p-2, -0x1.f94512ee24b6p-2, -0x1.f639fa910c185p-2, -0x1.f2ffe74135cbep-2, -0x1.ef98cbdad7353p-2, -0x1.ec069806b8897p-2, -0x1.e84b378d79f7cp-2, -0x1.e46891b70a1d8p-2, -0x1.e06088b5c56edp-2, -0x1.dc34f91cd6c82p-2, -0x1.d7e7b961592d8p-2, -0x1.d37a9965cc525p-2, -0x1.ceef620f684p-2, -0x1.ca47d4e4dea2p-2, -0x1.c585abb61df74p-2, -0x1.c0aa984ca996cp-2, -0x1.bbb8442420eecp-2, -0x1.b6b0502a8c008p-2, -0x1.b19454880e18ep-2, -0x1.ac65e06d9d945p-2, -0x1.a72679ea62ff1p-2, -0x1.a1d79dc7695f1p-2, -0x1.9c7abf69450e2p-2, -0x1.971148b75e746p-2, -0x1.919c9a08956f2p-2, -0x1.8c1e0a14e7a0cp-2, -0x1.8696e5ebd5eeap-2, -0x1.810870ef3f4a1p-2, -0x1.7b73e4d26b472p-2, -0x1.75da719d059ccp-2, -0x1.703d3db1c8258p-2, -0x1.6a9d65d897904p-2, -0x1.64fbfd4bdd18bp-2, -0x1.5f5a0dc8ddf3bp-2, -0x1.59b897a2e5c52p-2, -0x1.541891d9053b4p-2, -0x1.4e7aea2e40bf8p-2, -0x1.48e08543f6f0fp-2, -0x1.434a3eb65bb92p-2, -0x1.3db8e93ad2c3fp-2, -0x1.382d4ec00fd87p-2, -0x1.32a8308fc619p-2, -0x1.2d2a4771d10dcp-2, -0x1.27b443d0aa2dap-2, -0x1.2246cddf0dde2p-2, -0x1.1ce285beb0b06p-2, -0x1.178803a7e682bp-2, -0x1.1237d8121cbdap-2, -0x1.0cf28bdd105c1p-2, -0x1.07b8a07aa2b99p-2, -0x1.028a90193797cp-2, -0x1.fad19b9d03f17p-3, -0x1.f0a78b8559ca2p-3, -0x1.e697bab7927bfp-3, -0x1.dca2e6d2da84cp-3, -0x1.d2c9c0a0e77d1p-3, -0x1.c90cec6d96216p-3, -0x1.bf6d025e78869p-3, -0x1.b5ea8eca4bad1p-3, -0x1.ac8612901fac4p-3, -0x1.a340036e2b6cdp-3, -0x1.9a18cc581c718p-3, -0x1.9110cdcce1ce7p-3, -0x1.88285e2bc814fp-3, -0x1.7f5fca08d7412p-3, -0x1.76b7548067389p-3, -0x1.6e2f3789c5e9fp-3, -0x1.65c7a448f1afep-3, -0x1.5d80c35f4af0bp-3, -0x1.555ab53b2fc9bp-3, -0x1.4d5592667d5f1p-3, -0x1.45716bd3d9cacp-3, -0x1.3dae4b2ace937p-3, -0x1.360c33129bed5p-3, -0x1.2e8b1f7bba354p-3, -0x1.272b05e810b09p-3, -0x1.1febd5b1c8effp-3, -0x1.18cd7850bed5ap-3, -0x1.11cfd19e8b7cbp-3, -0x1.0af2c0191f91cp-3, -0x1.04361d23ed1d3p-3, -0x1.fb337a8f3a757p-4, -0x1.ee3ae0e091e27p-4, -0x1.e1820454786bap-4, -0x1.d50873ba7f28ep-4, -0x1.c8cdb60cb698cp-4, -0x1.bcd14ae053bd2p-4, -0x1.b112aad3465dbp-4, -0x1.a59147f6ee2d2p-4, -0x1.9a4c8e37bd902p-4, -0x1.8f43e3c20e198p-4, -0x1.8476a963e1132p-4, -0x1.79e43aebd75dp-4, -0x1.6f8bef8534225p-4, -0x1.656d1a1108d22p-4, -0x1.5b87097c8b98p-4, -0x1.51d909149f036p-4, -0x1.486260d695c63p-4, -0x1.3f2255be390cdp-4, -0x1.36182a111bfdfp-4, -0x1.2d431da74668bp-4, -0x1.24a26e313f40cp-4, -0x1.1c35577b84735p-4, -0x1.13fb13af774bdp-4, -0x1.0bf2db91cbd58p-4, -0x1.041be6be845f5p-4, -0x1.f8ead7c50f78cp-5, -0x1.e9fd41e5b5bfcp-5, -0x1.db6d76c318279p-5, -0x1.cd39e0a0b7ddap-5, -0x1.bf60e982610cp-5, -0x1.b1e0fb88be573p-5, -0x1.a4b88149aff94p-5, -0x1.97e5e62488421p-5, -0x1.8b6796923c444p-5, -0x1.7f3c0071abdc9p-5, -0x1.736193501414ep-5, -0x1.67d6c0adc8bcp-5, -0x1.5c99fc3f4e2dep-5, -0x1.51a9bc2aec46fp-5, -0x1.47047942d3d7bp-5, -0x1.3ca8af3bf156cp-5, -0x1.3294dce181ec6p-5, -0x1.28c78445880d1p-5, -0x1.1f3f2aee36da7p-5, -0x1.15fa5a006967bp-5, -0x1.0cf79e6742bb3p-5, -0x1.043588f90c03ep-5, -0x1.f7655d32ccf07p-6, -0x1.e6db50b1d739cp-6, -0x1.d6ca2724a2d26p-6, -0x1.c72f240a4caf4p-6, -0x1.b80793dc7ed6ap-6, -0x1.a950cc3bd2d16p-6, -0x1.9b082c17ee93ep-6, -0x1.8d2b1bd37fc2cp-6, -0x1.7fb70d643936ep-6, -0x1.72a97c6f09a2dp-6, -0x1.65ffee60a4b08p-6, -0x1.59b7f2828a365p-6, -0x1.4dcf220cb2ed2p-6, -0x1.42432034046d4p-6, -0x1.37119a35aeee2p-6, -0x1.2c38475fa284cp-6, -0x1.21b4e916288dbp-6, -0x1.17854ad6dc5c3p-6, -0x1.0da742390fdb1p-6, -0x1.0418aeebc4ee6p-6, -0x1.f5aef562aca89p-7, -0x1.e3c332b1e4fecp-7, -0x1.d26a116bff477p-7, -0x1.c19fa12b19b3cp-7, -0x1.b1600563bcd53p-7, -0x1.a1a7754881c89p-7, -0x1.92723baa60b2p-7, -0x1.83bcb6d5db9c1p-7, -0x1.7583586d45101p-7, -0x1.67c2a5403ff44p-7, -0x1.5a773520ae2c2p-7, -0x1.4d9db2b538327p-7, -0x1.4132db4997564p-7, -0x1.35337e9cca026p-7, -0x1.299c7ead5ed1p-7, -0x1.1e6acf83f224cp-7, -0x1.139b76fc0b50ap-7, -0x1.092b8c8b7845p-7, -0x1.fe3072109509cp-8, -0x1.eabd6cdb29437p-8, -0x1.d7f89f3e11815p-8, -0x1.c5dcc05727352p-8, -0x1.b464a81e281b3p-8, -0x1.a38b4ee68ca9ap-8, -0x1.934bcce000e89p-8, -0x1.83a15995ae23ap-8, -0x1.74874b6c86b84p-8, -0x1.65f91720c150bp-8, -0x1.57f24f42ae0d5p-8, -0x1.4a6ea3b311ccfp-8, -0x1.3d69e11f2c73cp-8, -0x1.30dff07c90c0fp-8, -0x1.24ccd684f2018p-8, -0x1.192cb33208d91p-8, -0x1.0dfbc139afc4ap-8, -0x1.0336558a55c05p-8, -0x1.f1b1bd8fc4264p-9, -0x1.ddbfc99252226p-9, -0x1.ca90102c0cbeap-9, -0x1.b81c02cc6cac3p-9, -0x1.a65d424213127p-9, -0x1.954d9dbbffed1p-9, -0x1.84e711cccd33bp-9, -0x1.7523c7700e516p-9, -0x1.65fe1311f7644p-9, -0x1.577073996a19ep-9, -0x1.4975917490222p-9, -0x1.3c083da80e798p-9, -0x1.2f2370e0fd74ep-9, -0x1.22c24a89afb03p-9, -0x1.16e00fe163759p-9, -0x1.0b782b16f131ap-9, -0x1.00862a668b38p-9, -0x1.ec0b7e7531f58p-10, -0x1.d7e57a9f88721p-10, -0x1.c49233b87b8d1p-10, -0x1.b209d574935cep-10, -0x1.a044cb2c3ac8ep-10, -0x1.8f3bbe3e2367ep-10, -0x1.7ee7947874e2ap-10, -0x1.6f416e88bed86p-10, -0x1.6042a672c3c9fp-10, -0x1.51e4ce0e1d0bdp-10, -0x1.4421ad8ac4211p-10, -0x1.36f341fc7e1f6p-10, -0x1.2a53bbed249ap-10, -0x1.1e3d7df5e058fp-10, -0x1.12ab1b5f36558p-10, -0x1.079756c7fd804p-10, -0x1.f9fa41a642caep-11, -0x1.e5af2db8706d1p-11, -0x1.d2440365c17acp-11, -0x1.bfafa8b9b0b26p-11, -0x1.ade955bd86c6fp-11, -0x1.9ce892173482ep-11, -0x1.8ca532b55681fp-11, -0x1.7d17578849be4p-11, -0x1.6e3769483216cp-11, -0x1.5ffe1747ccc06p-11, -0x1.52645553f209ap-11, -0x1.4563599f9f7b6p-11, -0x1.38f49abc6568cp-11, -0x1.2d11cd9f10f9fp-11, -0x1.21b4e3b06c2f9p-11, -0x1.16d808e9ea70dp-11, -0x1.0c75a1fe16a13p-11, -0x1.02884a8c9aa8ap-11, -0x1.f215a6c368259p-12, -0x1.dff08181d01c6p-12, -0x1.ce9791759b2ddp-12, -0x1.be01a31b7baaap-12, -0x1.ae25e0227f5efp-12, -0x1.9efbcc57fa773p-12, -0x1.907b42a8334b8p-12, -0x1.829c72336a2e8p-12, -0x1.7557db76e6553p-12, -0x1.68a64d89a369p-12, -0x1.5c80e36c4c73cp-12, -0x1.50e1016c1e5c9p-12, -0x1.45c0529857e41p-12, -0x1.3b18c649d972fp-12, -0x1.30e48dbc9d5bfp-12, -0x1.271e19baa16f6p-12, -0x1.1dc01857f0dp-12, -0x1.14c572bf6c4e9p-12, -0x1.0c294b0ff81fdp-12, -0x1.03e6fa49b8e91p-12, -0x1.f7f41c95fa1c6p-13, -0x1.e8bc8fb90b63cp-13, -0x1.da1f31999b5b1p-13, -0x1.cc144433fcadbp-13, -0x1.be94645470015p-13, -0x1.b1988623b3ff2p-13, -0x1.a519f1cef3299p-13, -0x1.9912404a5ef4p-13, -0x1.8d7b582ddb636p-13, -0x1.824f6aab14951p-13, -0x1.7788f09c68a6cp-13, -0x1.6d22a7abf829cp-13, -0x1.63178f92551ep-13, -0x1.5962e76c2552dp-13, -0x1.50002b2634abcp-13, -0x1.46eb10ff50a71p-13, -0x1.3e1f871f6c597p-13, -0x1.3599b14373bdap-13, -0x1.2d55e67d448bp-13, -0x1.2550af07448edp-13, -0x1.1d86c22b0bb9bp-13, -0x1.15f5043a99df2p-13, -0x1.0e98849ba3f58p-13, -0x1.076e7be4609d7p-13, -0x1.00744a096d42cp-13, -0x1.f34ee93887a7dp-14, -0x1.e60b4a339b8bdp-14, -0x1.d9194e9133c91p-14, -0x1.cc74cf4c8e183p-14, -0x1.c019e3c759cebp-14, -0x1.b404dedeb29e9p-14, -0x1.a8324c1bd6cf3p-14, -0x1.9c9eecffe8efcp-14, -0x1.9147b669c8eaap-14, -0x1.8629ce154b491p-14, -0x1.7b4288330aa96p-14, -0x1.708f651808bc8p-14, -0x1.660e0f0468da4p-14, -0x1.5bbc580087eb9p-14, -0x1.519837cfbe3ep-14, -0x1.479fc9f81c282p-14, -0x1.3dd14bde75451p-14, -0x1.342b1af61292dp-14, -0x1.2aabb303697e8p-14, -0x1.2151ac71378abp-14, -0x1.181bbab76943bp-14, -0x1.0f08aad331fp-14, -0x1.061761cfc665bp-14, -0x1.fa8db6be4ccdp-15, -0x1.e92c5104d8a47p-15, -0x1.d808dc8235445p-15, -0x1.c721c8ddc3646p-15, -0x1.b675a8fec1467p-15, -0x1.a60330cebfa2fp-15, -0x1.95c9331620a22p-15, -0x1.85c69f71ac3e4p-15, -0x1.75fa80605885ap-15, -0x1.6663f96866b71p-15, -0x1.57024552fb3f7p-15, -0x1.47d4b47d5e8c4p-15, -0x1.38daab3f1ac72p-15, -0x1.2a13a0642d6fp-15, -0x1.1b7f1bba928b8p-15, -0x1.0d1cb4b26747p-15, -0x1.fdd8221fe55b2p-16, -0x1.e1d9c75dc97cbp-16, -0x1.c63dd6ac4381ap-16, -0x1.ab03e336e4aaep-16, -0x1.902b93acf2bdfp-16, -0x1.75b4a044b0e2dp-16, -0x1.5b9ed0dacaab2p-16, -0x1.41e9fb2cca639p-16, -0x1.2896012d7be6cp-16, -0x1.0fa2cf722f2bp-16, -0x1.ee20b76f9735dp-17, -0x1.bdbd46fd7a218p-17, -0x1.8e1b557982455p-17, -0x1.5f3af54740f33p-17, -0x1.311c40f7f0b2cp-17, -0x1.03bf592658cd1p-17, -0x1.ae48c4eeb6b4ap-18, -0x1.5697077b152efp-18, -0x1.0069c87c6c0ccp-18, -0x1.5782a859a8f23p-19, -0x1.6277c5f367b53p-20, -0x1.bff7d5271317ep-24, 0x1.2462b7ce87ee4p-20, 0x1.2f571dcc398f8p-19, 0x1.c971561fcf2cap-19, 0x1.303ffaf1713f3p-18, 0x1.7a4189c186627p-18, 0x1.c2bd77051c248p-18, 0x1.04d9fbff05256p-17, 0x1.2792ac796994fp-17, 0x1.4988ff28bd3a4p-17, 0x1.6abd32d7af101p-17, 0x1.8b2f9353f475fp-17, 0x1.aae079cdff13dp-17, 0x1.c9d04d29d4ccap-17, 0x1.e7ff824204848p-17, 0x1.02b74e0eab325p-16, 0x1.110f160c0ef49p-16, 0x1.1f076900ed54bp-16, 0x1.2ca09e17ec8edp-16, 0x1.39db13c2c5ec9p-16, 0x1.46b72fb9998dcp-16, 0x1.53355ef5c1fc9p-16, 0x1.5f5615a869dabp-16, 0x1.6b19cf2d30becp-16, 0x1.76810df9297c5p-16, 0x1.818c5b866ac23p-16, 0x1.8c3c483c773c7p-16, 0x1.96916b55be13ap-16, 0x1.a08c62c261e83p-16, 0x1.aa2dd30887db4p-16, 0x1.b376672264b1p-16, 0x1.bc66d05a2ef52p-16, 0x1.c4ffc62431383p-16, 0x1.cd4205f72859dp-16, 0x1.d52e5323112f7p-16, 0x1.dcc576a69b92p-16, 0x1.e4083f03605ddp-16, 0x1.eaf7801104304p-16, 0x1.f19412cf6808p-16, 0x1.f7ded5380d40ap-16, 0x1.fdd8aa0ec6da7p-16, 0x1.01c13c58ef1f9p-15, 0x1.046e9674dfd81p-15, 0x1.06f4db5c27c24p-15, 0x1.09548513ff46ap-15, 0x1.0b8e0f8d5ab2ep-15, 0x1.0da1f88c5a7b7p-15, 0x1.0f90bf8fb785dp-15, 0x1.115ae5b842e79p-15, 0x1.1300edb07523fp-15, 0x1.14835b941eea8p-15, 0x1.15e2b4d83faaap-15, 0x1.171f80330aa15p-15, 0x1.183a45841fc86p-15, 0x1.19338dbd059fdp-15, 0x1.1a0be2c9df223p-15, 0x1.1ac3cf7a6ed32p-15, 0x1.1b5bdf6b6405cp-15, 0x1.1bd49eeffef7ap-15, 0x1.1c2e9afc0543dp-15, 0x1.1c6a610e18554p-15, 0x1.1c887f1a66485p-15, 0x1.1c898375bde01p-15, 0x1.1c6dfcc10a3f3p-15, 0x1.1c3679d53325fp-15, 0x1.1be389af69a2bp-15, 0x1.1b75bb5de3ba2p-15, 0x1.1aed9ded01fc5p-15, 0x1.1a4bc054eaea8p-15, 0x1.1990b1679387p-15, 0x1.18bcffbf3e12ap-15, 0x1.17d139ad6c141p-15, 0x1.16cded2a43aacp-15, 0x1.15b3a7c46d375p-15, 0x1.1482f69163f2dp-15, 0x1.133c661e3d0efp-15, 0x1.11e08260e72bep-15, 0x1.106fd6a9dba8bp-15, 0x1.0eeaed9649016p-15, 0x1.0d525102b18d6p-15, 0x1.0ba689fdfccfap-15, 0x1.09e820bcffabfp-15, 0x1.08179c8e75be5p-15, 0x1.063583cf6f6cep-15, 0x1.04425be02d25fp-15, 0x1.023ea91970111p-15, 0x1.002aeec235663p-15, 0x1.fc0f5e0bc73c1p-16, 0x1.f7aad5d5becc8p-16, 0x1.f329449321fc3p-16, 0x1.ee8ba787a13c7p-16, 0x1.e9d2f97971ad2p-16, 0x1.e50032a1cb757p-16, 0x1.e014489e26582p-16, 0x1.db102e6240c36p-16, 0x1.d5f4d42af15b7p-16, 0x1.d0c32771ab39bp-16, 0x1.cb7c12e0cbeeap-16, 0x1.c6207e4897e45p-16, 0x1.c0b14e94f444bp-16, 0x1.bb2f65c3cd16bp-16, 0x1.b59ba2dc2d57ap-16, 0x1.aff6e1e5faa63p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.c7592509b90dap-1, 0x1.c3fb03e454df7p-1, 0x1.c0a3e3694c1ecp-1, 0x1.bd548666f3adcp-1, 0x1.ba0d5e9a393d7p-1, 0x1.b6ce975007616p-1, 0x1.b3981f54a0054p-1, 0x1.b069b2284c5a2p-1, 0x1.ad42e0764e19p-1, 0x1.aa2317cf31bdcp-1, 0x1.a709a9aac043p-1, 0x1.a3f5d1b825b41p-1, 0x1.a0e6bb84725b6p-1, 0x1.9ddb8780be27dp-1, 0x1.9ad34f71dd04p-1, 0x1.97cd2a53e8659p-1, 0x1.94c82fbc007a5p-1, 0x1.91c37ac28463p-1, 0x1.8ebe2c7fc98p-1, 0x1.8bb76e24fd414p-1, 0x1.88ae72ba6a588p-1, 0x1.85a2788be9954p-1, 0x1.8292ca4bb9f67p-1, 0x1.7f7ebff37d0b3p-1, 0x1.7c65bf6a84b27p-1, 0x1.79473cf8229bdp-1, 0x1.7622bb881bdbp-1, 0x1.72f7ccc6ebb14p-1, 0x1.6fc6111b02e61p-1, 0x1.6c8d377fbc7e2p-1, 0x1.694cfd4656d6p-1, 0x1.66052dc0d1feap-1, 0x1.62b5a1da3e02cp-1, 0x1.5f5e3f9f9d7c3p-1, 0x1.5bfef9bc37df2p-1, 0x1.5897ceebe69bep-1, 0x1.5528c9659beaap-1, 0x1.51b1fe4029586p-1, 0x1.4e338cd30cd72p-1, 0x1.4aad9e14cfeafp-1, 0x1.472063f85c8b1p-1, 0x1.438c18ca73df6p-1, 0x1.3ff0fe90535bep-1, 0x1.3c4f5e6868bf3p-1, 0x1.38a787edd8014p-1, 0x1.34f9d09f77063p-1, 0x1.3146934ac9675p-1, 0x1.2d8e2f7b6a7d4p-1, 0x1.29d108ef46a65p-1, 0x1.260f870fe6a1bp-1, 0x1.224a14710b037p-1, 0x1.1e811e54bab82p-1, 0x1.1ab51434e523p-1, 0x1.16e66752a623p-1, 0x1.13158a4b32262p-1, 0x1.0f42f0b2696a4p-1, 0x1.0b6f0eb3041fap-1, 0x1.079a58b44df9ep-1, 0x1.03c5430553b5fp-1, 0x1.ffe0831ad6fefp-2, 0x1.f8378f03f3495p-2, 0x1.f0908e429b7ep-2, 0x1.e8ec62e4e885p-2, 0x1.e14bec13adaebp-2, 0x1.d9b005a4fe272p-2, 0x1.d21987b7ae96p-2, 0x1.ca894657745e8p-2, 0x1.c30011294e7c6p-2, 0x1.bb7eb31fe31d9p-2, 0x1.b405f2377991bp-2, 0x1.ac968f3935f58p-2, 0x1.a531458547e0bp-2, 0x1.9dd6cae3afba8p-2, 0x1.9687cf5b4cdcap-2, 0x1.8f44fd0edc1d4p-2, 0x1.880ef81f9c6dap-2, 0x1.80e65e95466c8p-2, 0x1.79cbc84b0d7aap-2, 0x1.72bfc6e15b26ep-2, 0x1.6bc2e5b403dacp-2, 0x1.64d5a9d4a6eebp-2, 0x1.5df89208fb42p-2, 0x1.572c16ccc73f2p-2, 0x1.5070aa573ece7p-2, 0x1.49c6b8a394a5p-2, 0x1.432ea77c7ac21p-2, 0x1.3ca8d68a60dafp-2, 0x1.36359f643635dp-2, 0x1.2fd555a27f73dp-2, 0x1.298846f48a323p-2, 0x1.234ebb37952acp-2, 0x1.1d28f48fbab07p-2, 0x1.17172f8275f31p-2, 0x1.1119a312970f2p-2, 0x1.0b3080dd840c3p-2, 0x1.055bf5399d017p-2, 0x1.ff384eab44cb3p-3, 0x1.f3e272b1f9f86p-3, 0x1.e8b691098dadfp-3, 0x1.ddb4daaaf0c54p-3, 0x1.d2dd774a3ab46p-3, 0x1.c830859bf1ff4p-3, 0x1.bdae1b9af681dp-3, 0x1.b35646cef08c9p-3, 0x1.a9290c93065f5p-3, 0x1.9f266a5cbcbdep-3, 0x1.954e5602d9472p-3, 0x1.8ba0be0419b22p-3, 0x1.821d89cdae59ep-3, 0x1.78c49a014c1cdp-3, 0x1.6f95c8babdcfdp-3, 0x1.6690e9d4d91f2p-3, 0x1.5db5cb2dc8cabp-3, 0x1.550434ea7d9edp-3, 0x1.4c7be9b94e13cp-3, 0x1.441ca7139de11p-3, 0x1.3be6257e83d6ep-3, 0x1.33d818ca5fea9p-3, 0x1.2bf230514b797p-3, 0x1.243417346664dp-3, 0x1.1c9d7497e15cep-3, 0x1.152debddd0ca2p-3, 0x1.0de51cdfaed29p-3, 0x1.06c2a42691c26p-3, 0x1.ff8c364408bd4p-4, 0x1.f1de30bb101a5p-4, 0x1.e47a5f6963badp-4, 0x1.d75fe50bcdb01p-4, 0x1.ca8ddfc75bd07p-4, 0x1.be036989394c8p-4, 0x1.b1bf9863b8be4p-4, 0x1.a5c17ee880a0cp-4, 0x1.9a082c7ffb9c3p-4, 0x1.8e92adbde26e3p-4, 0x1.83600cb30ec0bp-4, 0x1.786f513c7f303p-4, 0x1.6dbf814f9cafcp-4, 0x1.634fa143c746bp-4, 0x1.591eb4192f41ap-4, 0x1.4f2bbbbd06199p-4, 0x1.4575b94b0cdeep-4, 0x1.3bfbad4c8ca59p-4, 0x1.32bc97f4c0de1p-4, 0x1.29b7795abedc5p-4, 0x1.20eb51b0e70bp-4, 0x1.18572179e94a8p-4, 0x1.0ff9e9bb69daep-4, 0x1.07d2ac2e52c69p-4, 0x1.ffc0d6d9bc3eep-5, 0x1.f044563ccc22dp-5, 0x1.e12de0420eed2p-5, 0x1.d27b81624a578p-5, 0x1.c42b491daf2b4p-5, 0x1.b63b4a42af47dp-5, 0x1.a8a99b30e346bp-5, 0x1.9b7456181c3d6p-5, 0x1.8e999933ba3d6p-5, 0x1.8217870264c7p-5, 0x1.75ec467a41ae8p-5, 0x1.6a160339c09dfp-5, 0x1.5e92edb519761p-5, 0x1.53613b6096e3fp-5, 0x1.487f26d7c841dp-5, 0x1.3deaf001b4192p-5, 0x1.33a2dc32249afp-5, 0x1.29a5364828cbap-5, 0x1.1ff04ec9e1f56p-5, 0x1.16827bfdb76a3p-5, 0x1.0d5a1a0107ce8p-5, 0x1.04758adc735e5p-5, 0x1.f7a66d2b9d4dcp-6, 0x1.e6e3167fbd92bp-6, 0x1.d69dfa0fe1b92p-6, 0x1.c6d40c82bedcfp-6, 0x1.b7824ede481bp-6, 0x1.a8a5ce970a116p-6, 0x1.9a3ba59be2b11p-6, 0x1.8c40fa5e507d9p-6, 0x1.7eb2ffd76e55bp-6, 0x1.718ef589cf25p-6, 0x1.64d2278056573p-6, 0x1.5879ee4a39632p-6, 0x1.4c83aef44ce7ap-6, 0x1.40ecdaffb8ccep-6, 0x1.35b2f0564342dp-6, 0x1.2ad3793c42cd5p-6, 0x1.204c0c40689ecp-6, 0x1.161a4c2974d9fp-6, 0x1.0c3be7e1fb6e3p-6, 0x1.02ae9a624eaa9p-6, 0x1.f2e0553170b11p-7, 0x1.e0fcd6a017d7dp-7, 0x1.cfae76297ad23p-7, 0x1.bef1083117923p-7, 0x1.aec07829ad8fp-7, 0x1.9f18c85786944p-7, 0x1.8ff611906806bp-7, 0x1.815482f985482p-7, 0x1.733061c36c318p-7, 0x1.658608e43a734p-7, 0x1.5851e8d03c3ap-7, 0x1.4b9087310393ep-7, 0x1.3f3e7e9b42c03p-7, 0x1.33587e4364a21p-7, 0x1.27db49b12609ep-7, 0x1.1cc3b8723bf22p-7, 0x1.120eb5cc2da98p-7, 0x1.07b9406d7e394p-7, 0x1.fb80d43c83c32p-8, 0x1.e842aee074d1p-8, 0x1.d5b27edd276bcp-8, 0x1.c3cad69ab4b1p-8, 0x1.b2866c3182fb8p-8, 0x1.a1e018c8a08f7p-8, 0x1.91d2d7f415d5ep-8, 0x1.8259c713571e2p-8, 0x1.737024affb9d2p-8, 0x1.65114fdcdff39p-8, 0x1.5738c795d29f5p-8, 0x1.49e22a1feef12p-8, 0x1.3d09346ac143bp-8, 0x1.30a9c17252913p-8, 0x1.24bfc9a2366edp-8, 0x1.19476239b629ap-8, 0x1.0e3cbcb12cba8p-8, 0x1.039c2620ae95bp-8, 0x1.f2c40d501be37p-9, 0x1.df15c1b0a4a44p-9, 0x1.cc26a23d67e38p-9, 0x1.b9f01a62508e3p-9, 0x1.a86bc6f92d6ecp-9, 0x1.9793752977533p-9, 0x1.8761214b99ab6p-9, 0x1.77cef5cfca91cp-9, 0x1.68d74a2895b57p-9, 0x1.5a74a1b91ea79p-9, 0x1.4ca1aac737d0bp-9, 0x1.3f593d7157a16p-9, 0x1.32965aa87bc05p-9, 0x1.26542b2e05786p-9, 0x1.1a8dfe959bc9dp-9, 0x1.0f3f4a4b18bf2p-9, 0x1.0463a89c8f884p-9, 0x1.f3edaf90ced7fp-10, 0x1.dfe9721f3a04ap-10, 0x1.ccb29f983bcc4p-10, 0x1.ba418116a6435p-10, 0x1.a88ea05991c55p-10, 0x1.9792c609fc504p-10, 0x1.8746f808bb144p-10, 0x1.77a477c4a451cp-10, 0x1.68a4c098fa879p-10, 0x1.5a4186341351p-10, 0x1.4c74b306248e5p-10, 0x1.3f3866b832372p-10, 0x1.3286f4ab1a96p-10, 0x1.265ae27e9744fp-10, 0x1.1aaee6a0496f1p-10, 0x1.0f7de6e2990c2p-10, 0x1.04c2f71b74257p-10, 0x1.f4f2af959d757p-11, 0x1.e138e9919741fp-11, 0x1.ce4fc7f7042f3p-11, 0x1.bc2ec8288affp-11, 0x1.aacdb6a8b56fap-11, 0x1.9a24acb20682p-11, 0x1.8a2c0ddd8f0abp-11, 0x1.7adc85d7ccfbcp-11, 0x1.6c2f0623a7ec2p-11, 0x1.5e1cc3eb5376ap-11, 0x1.509f35dee9813p-11, 0x1.43b0122083e74p-11, 0x1.37494c3da3165p-11, 0x1.2b651335ac3ebp-11, 0x1.1ffdcf8d47ed6p-11, 0x1.150e216e6d0a3p-11, 0x1.0a90ded4df425p-11, 0x1.008111c6ec2e3p-11, 0x1.edb3ed345dcc1p-12, 0x1.db2df4884a37ep-12, 0x1.c967716cb5e8fp-12, 0x1.b857f68bf2c14p-12, 0x1.a7f76e3d024eep-12, 0x1.983e177eeba5ep-12, 0x1.8924830994adep-12, 0x1.7aa39073a0c9dp-12, 0x1.6cb46b6cf55edp-12, 0x1.5f50890d6f247p-12, 0x1.5271a53763cd7p-12, 0x1.4611c00d829b2p-12, 0x1.3a2b1b7ba510dp-12, 0x1.2eb838d23373ep-12, 0x1.23b3d673a634p-12, 0x1.1918ed93cb101p-12, 0x1.0ee2b0085c787p-12, 0x1.050c862a8fc4cp-12, 0x1.f72419925b62dp-13, 0x1.e4de2655baa95p-13, 0x1.d33f32406ae7fp-13, 0x1.c23f9a4a75363p-13, 0x1.b1d81523d40f1p-13, 0x1.a201afb2e5a9dp-13, 0x1.92b5c9af85c98p-13, 0x1.83ee125a148fbp-13, 0x1.75a4854dbb95fp-13, 0x1.67d3676d40c29p-13, 0x1.5a7543e9bacfdp-13, 0x1.4d84e96273602p-13, 0x1.40fd671d5e66fp-13, 0x1.34da0a577574ep-13, 0x1.29165bac5bfbp-13, 0x1.1dae1c94a97d1p-13, 0x1.129d44fa40937p-13, 0x1.07e000e214367p-13, 0x1.fae55c559a03cp-14, 0x1.e6a3b4bf68d7p-14, 0x1.d2f4813ea9d08p-14, 0x1.bfd18f2a8c2e6p-14, 0x1.ad34ff0d27dc9p-14, 0x1.9b1940e08204p-14, 0x1.8979106ea4e0ap-14, 0x1.784f71d3dd706p-14, 0x1.6797ae220faf1p-14, 0x1.574d50242f13ep-14, 0x1.476c2140e1fecp-14, 0x1.37f0267b64ffap-14, 0x1.28d59d91be8d5p-14, 0x1.1a18fa37656afp-14, 0x1.0bb6e36b72f86p-14, 0x1.fb5861d31844p-15, 0x1.dfebd1695639dp-15, 0x1.c5227975ee52cp-15, 0x1.aaf71123c2a3fp-15, 0x1.91649e9382826p-15, 0x1.786672b059d7dp-15, 0x1.5ff82530a3642p-15, 0x1.481590c12b8c4p-15, 0x1.30bacf599fbd9p-15, 0x1.19e436b8c6713p-15, 0x1.038e550733fa4p-15, 0x1.db6bdb3e55116p-16, 0x1.b0afebf0c9722p-16, 0x1.86e3256d1edfep-16, 0x1.5e0029b2851fep-16, 0x1.3601ee18981efp-16, 0x1.0ee3b62e5e00bp-16, 0x1.d1421daae9128p-17, 0x1.866b932e919b6p-17, 0x1.3d3bf0649e396p-17, 0x1.eb57a17492636p-18, 0x1.5f687ef6c9526p-18, 0x1.ad3ac093070cfp-19, 0x1.43a7b8b846c63p-20, -0x1.8debd5996cf7p-21, -0x1.62c7adf17e9e9p-19, -0x1.2e13890a1693ep-18, -0x1.a7d664f44c58cp-18, -0x1.0f5addd3f305cp-17, -0x1.495d32ceeffe2p-17, -0x1.81f66674fadc5p-17, -0x1.b92a7b6003a27p-17, -0x1.eefd46390e533p-17, -0x1.11b938fb30da3p-16, -0x1.2b46c1edaba16p-16, -0x1.4428ef9e45856p-16, -0x1.5c616485657fp-16, -0x1.73f1b593974a2p-16, -0x1.8adb6bc15c2aap-16, -0x1.a1200585d5585p-16, -0x1.b6c0f83567953p-16, -0x1.cbbfb1495e372p-16, -0x1.e01d9791978b2p-16, -0x1.f3dc0c512b3cp-16, -0x1.037e362386b77p-15, -0x1.0cc00851c418p-15, -0x1.15b427f5bab15p-15, -0x1.1e5b3f650becbp-15, -0x1.26b5f8692c84fp-15, -0x1.2ec4fc9821c33p-15, -0x1.3688f5a5bc3c4p-15, -0x1.3e028dadad03bp-15, -0x1.45326f76d4154p-15, -0x1.4c1946b01b2ecp-15, -0x1.52b7c02735603p-15, -0x1.590e89f99294fp-15, -0x1.5f1e53bfd5452p-15, -0x1.64e7ceb4159b9p-15, -0x1.6a6badd33c494p-15, -0x1.6faaa5f9b7ac7p-15, -0x1.74a56dfbd01d6p-15, -0x1.795cbeb9dac83p-15, -0x1.7dd153308a229p-15, -0x1.8203e885948c7p-15, -0x1.85f53e10eda3ep-15, -0x1.89a61562c574fp-15, -0x1.8d17324681c39p-15, -0x1.90495ac2e9a3dp-15, -0x1.933d5717a9351p-15, -0x1.95f3f1b8638b8p-15, -0x1.986df7457d4abp-15, -0x1.9aac3682c67f5p-15, -0x1.9caf804c2ef35p-15, -0x1.9e78a788ac421p-15, -0x1.a008811b738adp-15, -0x1.a15fe3d3abdd6p-15, -0x1.a27fa85ab9156p-15, -0x1.a368a92142cf6p-15, -0x1.a41bc24b0ff81p-15, -0x1.a499d199da43cp-15, -0x1.a4e3b6572ed0dp-15, -0x1.a4fa513d7c60cp-15, -0x1.a4de846063b38p-15, -0x1.a4913314616d2p-15, -0x1.a41341d5eceacp-15, -0x1.a36596301a6dap-15, -0x1.a28916a2daeacp-15, -0x1.a17eaa88e8448p-15, -0x1.a04739fd71623p-15, -0x1.9ee3adc198865p-15, -0x1.9d54ef21d193dp-15, -0x1.9b9be7db32464p-15, -0x1.99b98200bd028p-15, -0x1.97aea7e0bcf2cp-15, -0x1.957c43ea35f3p-15, -0x1.932340927aaf2p-15, -0x1.90a4883af1f24p-15, -0x1.8e0105171540fp-15, -0x1.8b39a112b219p-15, -0x1.884f45b876db9p-15, -0x1.8542dc18d6e71p-15, -0x1.82154cb14586p-15, -0x1.7ec77f53d958fp-15, -0x1.7b5a5b0f54feap-15, -0x1.77cec617a24e7p-15, -0x1.7425a5aec1396p-15, -0x1.705fde0e312b1p-15, -0x1.6c7e5250d7cc1p-15, -0x1.6881e45d6d11ep-15, -0x1.646b74d16ad1ap-15, -0x1.603be2ec87637p-15, -0x1.5bf40c7cbcca5p-15, -0x1.5794cdcadd72dp-15, -0x1.531f0187bc4e2p-15, -0x1.4e9380b9e61ebp-15, -0x1.49f322abedc4ap-15, -0x1.453ebcdb531a4p-15, -0x1.407722e7faa67p-15, -0x1.3b9d26843fdfap-15, -0x1.36b197659dabcp-15, -0x1.31b54335f05c3p-15, -0x1.2ca8f5854d2e8p-15, -0x1.278d77bc711f5p-15, -0x1.2263910fc9f17p-15, -0x1.1d2c0673111f4p-15, -0x1.17e79a8d7f8fbp-15, -0x1.12970dae93edep-15, -0x1.0d3b1dc36cb8ep-15, -0x1.07d4864cb3e1ep-15, -0x1.026400551c54bp-15, -0x1.f9d484d0da316p-16, -0x1.eed0011631303p-16, -0x1.e3bbd864c5283p-16, -0x1.d899687a1b21cp-16, -0x1.cd6a09d91c90dp-16, -0x1.c22f0fbd90c4ep-16, -0x1.b6e9c81096df7p-16, -0x1.ab9b7b5e23eacp-16, -0x1.a0456ccb7e95bp-16, -0x1.94e8da0eb4f93p-16, -0x1.8986fb6705341p-16, -0x1.7e21039634889p-16, -0x1.72b81fdad162fp-16, -0x1.674d77eb5cae1p-16, -0x1.5be22df25288bp-16, -0x1.50775e8b078cbp-16, -0x1.450e20bf6911ap-16, -0x1.39a7860680b5fp-16, -0x1.2e449a43ca508p-16, -0x1.22e663c7500b3p-16, -0x1.178de34e8570ap-16, -0x1.0c3c1405dc62fp-16, -0x1.00f1eb8b13fb4p-16, -0x1.eb60b3e06d05p-17, -0x1.d4f0937e8a25ap-17, -0x1.be953ffd04f12p-17, -0x1.a850786ad8e87p-17, -0x1.9223f0e4847p-17, -0x1.7c1152a05cefp-17, -0x1.661a3bfbf7a27p-17, -0x1.5040408aafc8ep-17, -0x1.3a84e9253c76fp-17, -0x1.24e9b3fa4fbc4p-17, -0x1.0f7014a02c139p-17, -0x1.f432e84e5c32ep-18, -0x1.c9ce625a7fbe1p-18, -0x1.9fb53fe45459fp-18, -0x1.75ea14d977488p-18, -0x1.4c6f60c17874p-18, -0x1.23478eeb4ad5ap-18, -0x1.f4e9ed384cbebp-19, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      61, 0x1.f0a3d70a3d70ap+1, 0x1.04efdd2c1af74p+1, 0x1.d9d8277a9a14bp+1, -0x1.256fe0ce3f354p-1, 
      {{
        {0x1.3333333333333p+0, 0x1.3d70a3d70a3d7p+0, 0x1.77ecbb7f9d6f1p+1, -0x1.c9f2cd8ae92c7p+2, 0x1.d2c7ae147aeap+2, 0x1.351f408d14822p+0}, 
        {0x1.3d70a3d70a3d7p+0, 0x1.47ae147ae147bp+0, 0x1.54cadddf43c7dp+1, -0x1.a43c2faab0b94p+2, 0x1.dc0dbcd108545p+2, -0x1.826710b0599c7p+2}, 
        {0x1.47ae147ae147bp+0, 0x1.51eb851eb851fp+0, 0x1.34a5c5f7c675ap+1, -0x1.80016b305175dp+2, 0x1.adaf732245418p+2, -0x1.e1571ac3c49ebp+1}, 
        {0x1.51eb851eb851fp+0, 0x1.5c28f5c28f5c3p+0, 0x1.174573a797892p+1, -0x1.5ec932bbc49bfp+2, 0x1.90ce103f7c04cp+2, -0x1.03eab9c81b363p+2}, 
        {0x1.5c28f5c28f5c3p+0, 0x1.6666666666666p+0, 0x1.f8ea5b530ced5p+0, -0x1.3ff81956fbf1dp+2, 0x1.719d6a981c97dp+2, -0x1.d55316fb6b341p+1}, 
        {0x1.6666666666666p+0, 0x1.70a3d70a3d70ap+0, 0x1.c8069e7fb267cp+0, -0x1.2386bd1aad1d7p+2, 0x1.5574974b96295p+2, -0x1.bcde308207ffap+1}, 
        {0x1.70a3d70a3d70ap+0, 0x1.7ae147ae147aep+0, 0x1.9b829068986fdp+0, -0x1.09470eea57cd8p+2, 0x1.3ac36b6cbea43p+2, -0x1.a13426fc827e6p+1}, 
        {0x1.7ae147ae147aep+0, 0x1.851eb851eb852p+0, 0x1.7306d50657321p+0, -0x1.e23211bec3b35p+1, 0x1.21bb2ba5462bfp+2, -0x1.8451338beb177p+1}, 
        {0x1.851eb851eb852p+0, 0x1.8f5c28f5c28f6p+0, 0x1.4e41700cd8559p+0, -0x1.b5b3d8a0e56d9p+1, 0x1.0a6e9e501439ep+2, -0x1.6d870ad3d187fp+1}, 
        {0x1.8f5c28f5c28f6p+0, 0x1.999999999999ap+0, 0x1.2ce5d5b24e9c4p+0, -0x1.8cd3f28ce885bp+1, 0x1.e9003b538a302p+1, -0x1.5192a124ce3bp+1}, 
        {0x1.999999999999ap+0, 0x1.a3d70a3d70a3dp+0, 0x1.0eac53b0813cbp+0, -0x1.675404b23a9dfp+1, 0x1.c07dff077170bp+1, -0x1.3e2e7098fc8a8p+1}, 
        {0x1.a3d70a3d70a3dp+0, 0x1.ae147ae147ae1p+0, 0x1.e6a4873365882p-1, -0x1.44f9e14501317p+1, 0x1.9a4f76a32a2d2p+1, -0x1.25b39c7734339p+1}, 
        {0x1.ae147ae147ae1p+0, 0x1.b851eb851eb85p+0, 0x1.b532830a0b1bcp-1, -0x1.258f9f985ebc2p+1, 0x1.7710f338b345bp+1, -0x1.11031d8a37a7ep+1}, 
        {0x1.b851eb851eb85p+0, 0x1.c28f5c28f5c29p+0, 0x1.888ede54b48d4p-1, -0x1.08ddbea8fa3c1p+1, 0x1.564e04281d3bap+1, -0x1.fc7fdabfdae6cp+0}, 
        {0x1.c28f5c28f5c29p+0, 0x1.ccccccccccccdp+0, 0x1.604e1e71044f2p-1, -0x1.dd6787f1ef9d3p+0, 0x1.37cb77081f757p+1, -0x1.d3fa59ec25d67p+0}, 
        {0x1.ccccccccccccdp+0, 0x1.d70a3d70a3d71p+0, 0x1.3c0c62e4d1a65p-1, -0x1.adc377ca09e43p+0, 0x1.1bb752ea9811ap+1, -0x1.b396bd8f8c88dp+0}, 
        {0x1.d70a3d70a3d71p+0, 0x1.e147ae147ae14p+0, 0x1.1b6d655e28aa4p-1, -0x1.8275b52915761p+0, 0x1.0194adf15751p+1, -0x1.8daaafd5ace6dp+0}, 
        {0x1.e147ae147ae14p+0, 0x1.eb851eb851eb8p+0, 0x1.fc3760bf5d788p-2, -0x1.5b27da123d91cp+0, 0x1.d371095866af8p+0, -0x1.71be8319b63d7p+0}, 
        {0x1.eb851eb851eb8p+0, 0x1.f5c28f5c28f5cp+0, 0x1.c791819d2391dp-2, -0x1.3788fd968e4aep+0, 0x1.a7127ebbb7379p+0, -0x1.535b43c37eca5p+0}, 
        {0x1.f5c28f5c28f5cp+0, 0x1p+1, 0x1.9857f3061c79bp-2, -0x1.175178e50beafp+0, 0x1.7e59769a04296p+0, -0x1.34d46dd84f429p+0}, 
        {0x1p+1, 0x1.051eb851eb852p+1, 0x1.6e054690de093p-2, -0x1.f46ce3f6b393cp-1, 0x1.594a3638610dp+0, -0x1.1d5304db43165p+0}, 
        {0x1.051eb851eb852p+1, 0x1.0a3d70a3d70a4p+1, 0x1.481f969e3c969p-2, -0x1.bfeb0792659d6p-1, 0x1.370d0cad6d7abp+0, -0x1.01df7ebaa67p+0}, 
        {0x1.0a3d70a3d70a4p+1, 0x1.0f5c28f5c28f6p+1, 0x1.2636f3b213e3ep-2, -0x1.90a02162526b4p-1, 0x1.181b30ab8277ap+0, -0x1.de5e0074418adp-1}, 
        {0x1.0f5c28f5c28f6p+1, 0x1.147ae147ae148p+1, 0x1.07e56473471f8p-2, -0x1.661acc2f45a42p-1, 0x1.f6cef0a53a824p-1, -0x1.aac900b9b0b25p-1}, 
        {0x1.147ae147ae148p+1, 0x1.199999999999ap+1, 0x1.d99aa60913a5p-3, -0x1.3fedb74c508ddp-1, 0x1.c3981984b4aa4p-1, -0x1.867dfca4fa446p-1}, 
        {0x1.199999999999ap+1, 0x1.1eb851eb851ecp+1, 0x1.a934acaff6d33p-3, -0x1.1dace79f0f486p-1, 0x1.94bc2e66ab1cep-1, -0x1.633f0cb265a84p-1}, 
        {0x1.1eb851eb851ecp+1, 0x1.23d70a3d70a3dp+1, 0x1.7dff3f0fe047dp-3, -0x1.fe00e9efeac48p-2, 0x1.6a1b03eadc5a9p-1, -0x1.3c85d091759a7p-1}, 
        {0x1.23d70a3d70a3dp+1, 0x1.28f5c28f5c28fp+1, 0x1.576ee73e681aap-3, -0x1.c71af5249e744p-2, 0x1.441f70025d9a6p-1, -0x1.22a9b107b71dcp-1}, 
        {0x1.28f5c28f5c28fp+1, 0x1.2e147ae147ae1p+1, 0x1.3506573215fccp-3, -0x1.9609387abd78cp-2, 0x1.213e46491eab4p-1, -0x1.00d36b4fb474dp-1}, 
        {0x1.2e147ae147ae1p+1, 0x1.3333333333333p+1, 0x1.1653c9abb01c9p-3, -0x1.6a38fdee5f5dap-2, 0x1.026c959179a77p-1, -0x1.d4114372edd93p-2}, 
        {0x1.3333333333333p+1, 0x1.3851eb851eb85p+1, 0x1.f5e310dbf0564p-4, -0x1.431f198623438p-2, 0x1.ccae230aeb3fp-2, -0x1.9e141b94e053fp-2}, 
        {0x1.3851eb851eb85p+1, 0x1.3d70a3d70a3d7p+1, 0x1.c507a6bd6e8bp-4, -0x1.2041303f87136p-2, 0x1.9afda4da55725p-2, -0x1.739e4e399213p-2}, 
        {0x1.3d70a3d70a3d7p+1, 0x1.428f5c28f5c29p+1, 0x1.9971c10d7be98p-4, -0x1.0128bddac7647p-2, 0x1.6e6586fc62a33p-2, -0x1.5372ab84d477cp-2}, 
        {0x1.428f5c28f5c29p+1, 0x1.47ae147ae147bp+1, 0x1.728e92d55a3a1p-4, -0x1.caf41b29b08e5p-3, 0x1.45a9afd7f7389p-2, -0x1.1e9703b31efaep-2}, 
        {0x1.47ae147ae147bp+1, 0x1.4cccccccccccdp+1, 0x1.4fd9fd36f7e3dp-4, -0x1.9999479005d0fp-3, 0x1.2345a528df06p-2, -0x1.123145aeada08p-2}, 
        {0x1.4cccccccccccdp+1, 0x1.51eb851eb851fp+1, 0x1.30e0a84be4042p-4, -0x1.6da0a1b909127p-3, 0x1.025e73d67844bp-2, -0x1.d147cb24559bcp-3}, 
        {0x1.51eb851eb851fp+1, 0x1.570a3d70a3d71p+1, 0x1.1538ac18f81e9p-4, -0x1.46859370cd47cp-3, 0x1.cce77d60e6435p-3, -0x1.967e481150c3ep-3}, 
        {0x1.570a3d70a3d71p+1, 0x1.5c28f5c28f5c3p+1, 0x1.f90b84988094ep-5, -0x1.2399c1763d7fep-3, 0x1.9c20041724402p-3, -0x1.94bf149663b0dp-3}, 
        {0x1.5c28f5c28f5c3p+1, 0x1.6147ae147ae14p+1, 0x1.ccec41dd1a21fp-5, -0x1.0492c96ceb34bp-3, 0x1.6b8e34d1e516ap-3, -0x1.3685659529f02p-3}, 
        {0x1.6147ae147ae14p+1, 0x1.6666666666666p+1, 0x1.a57a786c22681p-5, -0x1.d1f57a2bf6f99p-4, 0x1.464affab83e5ap-3, -0x1.312b5514e592bp-3}, 
        {0x1.6666666666666p+1, 0x1.6b851eb851eb8p+1, 0x1.82363b256ffc1p-5, -0x1.a0ae805dba4bcp-4, 0x1.21ac32e67296ap-3, -0x1.24cd461746c9p-3}, 
        {0x1.6b851eb851eb8p+1, 0x1.70a3d70a3d70ap+1, 0x1.62a80064a9cdcp-5, -0x1.752519754a6fp-4, 0x1.fd12a6e607634p-4, -0x1.b73f251bfddecp-4}, 
        {0x1.70a3d70a3d70ap+1, 0x1.75c28f5c28f5cp+1, 0x1.4660a2014727ep-5, -0x1.4e870899170acp-4, 0x1.c85cfe9afd671p-4, -0x1.d968df617d90fp-4}, 
        {0x1.75c28f5c28f5cp+1, 0x1.7ae147ae147aep+1, 0x1.2d03d9a95421cp-5, -0x1.2c4a70976616p-4, 0x1.8f8dd98f4a7e9p-4, -0x1.a31d5d5e0a3a8p-4}, 
        {0x1.7ae147ae147aep+1, 0x1.8p+1, 0x1.163779e9d0e99p-5, -0x1.0e56947922bc4p-4, 0x1.5d42a56549446p-4, -0x1.5a21ab2658c89p-4}, 
        {0x1.8p+1, 0x1.851eb851eb852p+1, 0x1.01a9b8cb8e087p-5, -0x1.e81e1c0127595p-5, 0x1.33b97c60af40cp-4, -0x1.745bf6089458p-4}, 
        {0x1.851eb851eb852p+1, 0x1.8a3d70a3d70a4p+1, 0x1.de26916440f24p-6, -0x1.ba74d259ce103p-5, 0x1.070a9c4b2ccfcp-4, -0x1.546e7cb7558fbp-4}, 
        {0x1.8a3d70a3d70a4p+1, 0x1.8f5c28f5c28f6p+1, 0x1.bc59b8023a6cep-6, -0x1.93a349e6ade9p-5, 0x1.bc611aa7ca354p-5, -0x1.f3d42e3428e7cp-5}, 
        {0x1.8f5c28f5c28f6p+1, 0x1.947ae147ae148p+1, 0x1.9d6adf71eafeep-6, -0x1.727c970b116fdp-5, 0x1.80665cca7d9e8p-5, -0x1.43e926e0580f3p-4}, 
        {0x1.947ae147ae148p+1, 0x1.999999999999ap+1, 0x1.80ecfa69be09cp-6, -0x1.56d81fc344da8p-5, 0x1.32a949387cf7p-5, -0x1.ece29ac91ab05p-5}, 
        {0x1.999999999999ap+1, 0x1.9eb851eb851ecp+1, 0x1.666a98244e93ep-6, -0x1.40ad5bc644d09p-5, 0x1.ef07b4f90800ep-6, -0x1.c4a3471ae10f1p-5}, 
        {0x1.9eb851eb851ecp+1, 0x1.a3d70a3d70a3dp+1, 0x1.4d7f0ed3d859dp-6, -0x1.2f0c7398cd27p-5, 0x1.8265a3e8571bfp-6, -0x1.00482465b7052p-4}, 
        {0x1.a3d70a3d70a3dp+1, 0x1.a8f5c28f5c28fp+1, 0x1.35ce18266772dp-6, -0x1.220d9587e1f42p-5, 0x1.0761bb6598dd5p-6, -0x1.391b95b75057ap-5}, 
        {0x1.a8f5c28f5c28fp+1, 0x1.ae147ae147ae1p+1, 0x1.1efb6dca07f67p-6, -0x1.19054d37b1a06p-5, 0x1.7878c887af014p-7, -0x1.9b0160575d07ap-5}, 
        {0x1.ae147ae147ae1p+1, 0x1.b333333333333p+1, 0x1.08bfc2224edf6p-6, -0x1.1376cf32f121fp-5, 0x1.6660e2a704b2fp-8, -0x1.b5bdd1d673276p-6}, 
        {0x1.b333333333333p+1, 0x1.b851eb851eb85p+1, 0x1.e5a78f25a251p-7, -0x1.10ee4f131100fp-5, 0x1.28866c802a359p-9, -0x1.f305f7f77cbbp-6}, 
        {0x1.b851eb851eb85p+1, 0x1.bd70a3d70a3d7p+1, 0x1.ba0a5269595ffp-7, -0x1.10a55b500cca8p-5, -0x1.6d1317932a6d9p-10, 0x1.03ab6368cef97p-7}, 
        {0x1.bd70a3d70a3d7p+1, 0x1.c28f5c28f5c29p+1, 0x1.8e5c4eb56fb8fp-7, -0x1.113f3be470769p-5, -0x1.cf2ae0913d013p-12, -0x1.c51433b687c8fp-4}, 
        {0x1.c28f5c28f5c29p+1, 0x1.c7ae147ae147bp+1, 0x1.6262cba732df5p-7, -0x1.15e2d3d683455p-5, -0x1.c16e038aced24p-7, 0x1.acf6d89b411d3p-2}, 
        {0x1.c7ae147ae147bp+1, 0x1.ccccccccccccdp+1, 0x1.361565c2d278p-7, -0x1.0e67048686f45p-5, 0x1.2b72bfb2579b1p-5, -0x1.7ca5955fd8921p+0}, 
        {0x1.ccccccccccccdp+1, 0x1.f0a3d70a3d70ap+1, 0x1.099e0e736049fp-7, -0x1.30e9f59b0d588p-5, -0x1.228f12acddd8fp-3, 0x1.5a1f9a6d7dd1cp-1}, 
      }}, 
      0x1.93af3f823ac3ap-1, -0x1.d0a59ebbc09ffp+1
    }
  };
  // clang-format on
}
SkfData params_mio_0_1_h_o() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.e904249e315d3p-2, 0x1.f3f2563ed4c84p-2, 0x1.fdea79672367cp-2, 0x1.037c10bc0f5cfp-1, 0x1.07922202bf321p-1, 0x1.0b3b4678650bdp-1, 0x1.0e7c04be314fcp-1, 0x1.1159f63b99ba6p-1, 0x1.13db0c9ccf95p-1, 0x1.16049ae59b4acp-1, 0x1.17daeef8c91f1p-1, 0x1.1961a01079b29p-1, 0x1.1a9c2f290adf9p-1, 0x1.1b8e82b412addp-1, 0x1.1c3d02121891fp-1, 0x1.1cac5a9beb5f8p-1, 0x1.1ce11fdb80772p-1, 0x1.1cdf781343302p-1, 0x1.1caaf2c34e3edp-1, 0x1.1c468f49348a5p-1, 0x1.1bb2eb6bbc19p-1, 0x1.1af4e74867932p-1, 0x1.1a0f4905c389bp-1, 0x1.1904aa8f57b16p-1, 0x1.17d78dda16655p-1, 0x1.168a66f66d5e3p-1, 0x1.151f9c79a3226p-1, 0x1.13998099c6cfbp-1, 0x1.11fa47a79d51p-1, 0x1.104400517894cp-1, 0x1.0e788fa29299ep-1, 0x1.0c99b106a549bp-1, 0x1.0aa8f970bad3ep-1, 0x1.08a7dcf5c9ep-1, 0x1.0697b5da8e40ap-1, 0x1.0479cbcd7f657p-1, 0x1.024f59b9ca198p-1, 0x1.001991359c0b3p-1, 0x1.fbb33606e6783p-2, 0x1.f7212a8cf792dp-2, 0x1.f27f20f0a93p-2, 0x1.edcf17616029ep-2, 0x1.e912eb2a8717ap-2, 0x1.e44c49fb3e1c8p-2, 0x1.df7cbf10a6ea1p-2, 0x1.daa5af2730389p-2, 0x1.d5c85d171676dp-2, 0x1.d0e5ed9cb90afp-2, 0x1.cbff6b116d047p-2, 0x1.c715c93533f78p-2, 0x1.c229e81b5a2f3p-2, 0x1.bd3c97fe27eb1p-2, 0x1.b84e9b623dc5cp-2, 0x1.b360aa5c6ad6ap-2, 0x1.ae73748306d25p-2, 0x1.a987a2a7969fap-2, 0x1.a49dd7d3001acp-2, 0x1.9fb6b18560c8ap-2, 0x1.9ad2c74490c8ep-2, 0x1.95f2a9e84b348p-2, 0x1.9116e13c4992p-2, 0x1.8c3fecc5ec3d6p-2, 0x1.8770d0d857d0cp-2, 0x1.82a5943e5ddafp-2, 0x1.7de034d27a4e5p-2, 0x1.7920fca9b20d7p-2, 0x1.74682eddb973ep-2, 0x1.6fb6087607c0ap-2, 0x1.6b0ac1546ad3fp-2, 0x1.66668d0ba3945p-2, 0x1.61c99b9817221p-2, 0x1.5d3419f15c68bp-2, 0x1.58a63282705f7p-2, 0x1.54200d570dcd1p-2, 0x1.4fa1d03d31de5p-2, 0x1.4b2b9ebc65051p-2, 0x1.46bd99ffd0d28p-2, 0x1.4257e0b66de7p-2, 0x1.3dfa8edaf4ae8p-2, 0x1.39a5bdb572e01p-2, 0x1.355983bfd7daep-2, 0x1.3115f4bc43125p-2, 0x1.2cdb21bba8572p-2, 0x1.28a9196583165p-2, 0x1.247fe82a06cdap-2, 0x1.205f988f65e59p-2, 0x1.1c48337b45fb2p-2, 0x1.1839c08c26de5p-2, 0x1.14344659fe4dfp-2, 0x1.1037ca95ffe9ep-2, 0x1.0c44529d8636fp-2, 0x1.0859e33ea5566p-2, 0x1.0478811395783p-2, 0x1.00a0307a96f9fp-2, 0x1.f9a1eb5a2a811p-3, 0x1.f215a962ae4abp-3, 0x1.ea9ba2c161cbbp-3, 0x1.e333dea0b8e78p-3, 0x1.dbde63822fd69p-3, 0x1.d49b3723ed07ap-3, 0x1.cd6a5e38e5da6p-3, 0x1.c64bdc7ce9628p-3, 0x1.bf3fb4470cc8cp-3, 0x1.b845e6b6bd211p-3, 0x1.b15e736f27c63p-3, 0x1.aa8958b4d8955p-3, 0x1.a3c6933554e73p-3, 0x1.9d161e4ca5f97p-3, 0x1.9677f3cfca768p-3, 0x1.8fec0c47646d1p-3, 0x1.89725ef5f2496p-3, 0x1.830ae1ef7edbap-3, 0x1.7cb58a35d60edp-3, 0x1.76724bcd396edp-3, 0x1.704119f5f1226p-3, 0x1.6a21e6c496ab6p-3, 0x1.6414a46af91a9p-3, 0x1.5e19448850bb6p-3, 0x1.582fb574c1bcep-3, 0x1.5257e9f6b487dp-3, 0x1.4c91d1238560ep-3, 0x1.46dd5aa2c1497p-3, 0x1.413a75ef7c7a8p-3, 0x1.3ba911f9575a1p-3, 0x1.36291e006ba2cp-3, 0x1.30ba88b918dep-3, 0x1.2b5d40b368b6cp-3, 0x1.26113476457b5p-3, 0x1.20d651fa8a07ap-3, 0x1.1bac872ea39a4p-3, 0x1.1693c1a3481ap-3, 0x1.118bee8c5d6bcp-3, 0x1.0c94fab2b630ep-3, 0x1.07aed29af0cbep-3, 0x1.02d961cb06e5ep-3, 0x1.fc2927e7252d6p-4, 0x1.f2c0a7c1733cfp-4, 0x1.e97916e6c856p-4, 0x1.e052492665dc6p-4, 0x1.d74c0bd50e1b7p-4, 0x1.ce663cbc8d97ap-4, 0x1.c5a09d7d69b4fp-4, 0x1.bcfb00df1fc0bp-4, 0x1.b475334341098p-4, 0x1.ac0effd04c73fp-4, 0x1.a3c8306d17524p-4, 0x1.9bb24f1373666p-4, 0x1.93a95c0715398p-4, 0x1.8bbef4b73e177p-4, 0x1.83f2ded01dd1ep-4, 0x1.7c44def279d1cp-4, 0x1.74b4b96ff99dep-4, 0x1.6d4231aac3bf7p-4, 0x1.65ed0a7265ddap-4, 0x1.5eb505896843p-4, 0x1.5799e4b33f505p-4, 0x1.509b6898ae3fap-4, 0x1.49b952338daa2p-4, 0x1.42f35eb430902p-4, 0x1.3c494f4ceef55p-4, 0x1.35bae1ddae7adp-4, 0x1.2f47d49822247p-4, 0x1.28efe3dc89be5p-4, 0x1.22b2cd68b5b72p-4, 0x1.1c904de398df3p-4, 0x1.1688208933d74p-4, 0x1.109a01995b7b3p-4, 0x1.0ac5ac2bb97f3p-4, 0x1.050adb28a8f47p-4, 0x1.fed291cff254ep-5, 0x1.f3c160164f90fp-5, 0x1.e8e194dc41252p-5, 0x1.de32a39b46443p-5, 0x1.d3b3ff57a1db9p-5, 0x1.c9651ae147acfp-5, 0x1.bf456845fefebp-5, 0x1.b55459c0df60ep-5, 0x1.ab916101f9a32p-5, 0x1.a1fbefa254463p-5, 0x1.989376e543fc1p-5, 0x1.8f57681835c17p-5, 0x1.86473494334d5p-5, 0x1.7d624dac0843cp-5, 0x1.74a824518d946p-5, 0x1.6c18295501f4ep-5, 0x1.63b1ceff38eebp-5, 0x1.5b74868797ca8p-5, 0x1.535fc1acc7ecap-5, 0x1.4b72f2bd17ab8p-5, 0x1.43ad8c5447c27p-5, 0x1.3c0efe638cffep-5, 0x1.3496bf33b5a0ep-5, 0x1.2d44411912f2dp-5, 0x1.2616f828fd1fcp-5, 0x1.1f0e590e4b109p-5, 0x1.1829d6e09cd33p-5, 0x1.1168e9a583bbdp-5, 0x1.0acb0723dc42fp-5, 0x1.044fa5c95fdf4p-5, 0x1.fbec79ed31398p-6, 0x1.ef7c8d1a15e15p-6, 0x1.e34e75a305829p-6, 0x1.d7612c9350fe4p-6, 0x1.cbb39da1e36eep-6, 0x1.c044cbd23e20ep-6, 0x1.b513ae022908cp-6, 0x1.aa1f41f660f2bp-6, 0x1.9f668235f25acp-6, 0x1.94e8742190b64p-6, 0x1.8aa418a8f75aap-6, 0x1.809877abee414p-6, 0x1.76c496ac20327p-6, 0x1.6d277f6c3e5f1p-6, 0x1.63c046aacd2fdp-6, 0x1.5a8df41aa4bc2p-6, 0x1.518f9cfd74af7p-6, 0x1.48c4569156653p-6, 0x1.402b38e74b63cp-6, 0x1.37c35209f943dp-6, 0x1.2f8be4ce1f42ap-6, 0x1.2783ec2e1d111p-6, 0x1.1faa97e8c758bp-6, 0x1.17ff0dd9b5d96p-6, 0x1.108076c4bd1bp-6, 0x1.092dfe488ac47p-6, 0x1.0206d30ce7f6bp-6, 0x1.f6144516a4fffp-7, 0x1.e86e55ed778eap-7, 0x1.db1a32b3c84c9p-7, 0x1.ce16558a232c7p-7, 0x1.c1613724cca77p-7, 0x1.b4f955cabc1b3p-7, 0x1.a8dd36d756d74p-7, 0x1.9d0b615c9bf1ap-7, 0x1.9182623ad6bedp-7, 0x1.8640d178aea6dp-7, 0x1.7b454682f1aeep-7, 0x1.708e601110855p-7, 0x1.661ac15126b71p-7, 0x1.5be91204fd674p-7, 0x1.51f80105ef472p-7, 0x1.4846409800602p-7, 0x1.3ed2888cc85fdp-7, 0x1.359b93e9a8298p-7, 0x1.2ca026053e352p-7, 0x1.23df02074189cp-7, 0x1.1b56f55216409p-7, 0x1.1306ce7b0dc42p-7, 0x1.0aed6415b3933p-7, 0x1.03098954cb723p-7, 0x1.f6b4357245807p-8, 0x1.e7bbff9f22425p-8, 0x1.d9283adfec647p-8, 0x1.caf6b88e2430cp-8, 0x1.bd25578bc7dc7p-8, 0x1.afb1fe9814b58p-8, 0x1.a29a9cc73056cp-8, 0x1.95dd29aa115a5p-8, 0x1.8977a47993708p-8, 0x1.7d68180cec92ap-8, 0x1.71ac907a8b132p-8, 0x1.66432b8fe6fc9p-8, 0x1.5b2a073b385cep-8, 0x1.505f4e54c531fp-8, 0x1.45e13190b6301p-8, 0x1.3badea30163c5p-8, 0x1.31c3b82571dfdp-8, 0x1.2820e66cf82e9p-8, 0x1.1ec3c43e55476p-8, 0x1.15aaa954f6abcp-8, 0x1.0cd3f8d435bb1p-8, 0x1.043e1478b696fp-8, 0x1.f7ced8748e86bp-9, 0x1.e79cf417c901p-9, 0x1.d7e373608b52bp-9, 0x1.c89f60eb139c1p-9, 0x1.b9cdce7875d27p-9, 0x1.ab6bea532ef76p-9, 0x1.9d76e612a9bfp-9, 0x1.8febf5f678b8ep-9, 0x1.82c860bc458f6p-9, 0x1.7609cfcb0d54bp-9, 0x1.69ad5abeda44p-9, 0x1.5db11ccded83ap-9, 0x1.5211013b3b634p-9, 0x1.46cc33b4df31ep-9, 0x1.3bdfca70f2ad7p-9, 0x1.31496e1c860cfp-9, 0x1.2706e30996636p-9, 0x1.1d15d5bb2c14ep-9, 0x1.137453803b0e6p-9, 0x1.0a1fb571ccca4p-9, 0x1.011660bab2124p-9, 0x1.f0aa37b86f655p-10, 0x1.dfb9e0e5f47c5p-10, 0x1.cf51b0a377001p-10, 0x1.bf6fd676292f2p-10, 0x1.b010cc2f07543p-10, 0x1.a130abd3eb8c4p-10, 0x1.92cbf3e9d59e2p-10, 0x1.84def08ea3035p-10, 0x1.7766cdbe54db1p-10, 0x1.6a5fb7847409ap-10, 0x1.5dc682182b778p-10, 0x1.519808c650a77p-10, 0x1.45d132b69cd85p-10, 0x1.3a6ef94c5a97p-10, 0x1.2f6e68ca19fdap-10, 0x1.24cca40c4164cp-10, 0x1.1a86b7292c7bp-10, 0x1.109a37f77fcap-10, 0x1.0704305be6f23p-10, 0x1.fb843b20b868p-11, 0x1.e9a2f9ac8b89p-11, 0x1.d86700208f133p-11, 0x1.c7bbf0bbb402p-11, 0x1.b7a45b9dbc80ap-11, 0x1.a81e52971f7c4p-11, 0x1.99229e4625285p-11, 0x1.8aadeaecc6cdcp-11, 0x1.7cbbf782506b7p-11, 0x1.6f489d08421b8p-11, 0x1.624fda69362dfp-11, 0x1.55cdc3da00ac1p-11, 0x1.49be8c2b0f40fp-11, 0x1.3e1e7cfe4d335p-11, 0x1.32ea0b056e2bbp-11, 0x1.281d7c298f55p-11, 0x1.1db58591f10f5p-11, 0x1.13aed43eccd12p-11, 0x1.0a065539e7288p-11, 0x1.00b6de3d01945p-11, 0x1.ef83c7ab3baf5p-12, 0x1.de40a2c72c9a1p-12, 0x1.cda0fbdbf7d9ap-12, 0x1.bd9f221dd39bap-12, 0x1.ae3585d0fff93p-12, 0x1.9f5ec2a2d299bp-12, 0x1.9115a2759bbafp-12, 0x1.8353a41e5e2a5p-12, 0x1.7617f7f66187p-12, 0x1.6959c5fbc4474p-12, 0x1.5d15cb06e8d52p-12, 0x1.51478b278786cp-12, 0x1.45ea8417ad072p-12, 0x1.3afb0aa4d77ffp-12, 0x1.3074d28a471b1p-12, 0x1.2653d4df08037p-12, 0x1.1c945cc6484ddp-12, 0x1.1332f04931b11p-12, 0x1.0a2c26c88bcddp-12, 0x1.017fecf85b8bdp-12, 0x1.f23fe956ba023p-13, 0x1.e22918739e7d8p-13, 0x1.d2ad2f9e9e6d2p-13, 0x1.c3c7a9fb456dp-13, 0x1.b5715d4143929p-13, 0x1.a7a5158d6209p-13, 0x1.9a5eb6409dc4dp-13, 0x1.8d97e3f431fd6p-13, 0x1.814c127b2f451p-13, 0x1.75764506b5386p-13, 0x1.6a1251fc014e8p-13, 0x1.5f1b5b1a71308p-13, 0x1.548d3c1ac7bb4p-13, 0x1.4a63aca6a0295p-13, 0x1.409c935c560cbp-13, 0x1.372dee57f7cep-13, 0x1.2e1a9c3eeff95p-13, 0x1.255c51fc04a98p-13, 0x1.1cefae0b8d41bp-13, 0x1.14d11288bf7b3p-13, 0x1.0cfdb341b4e45p-13, 0x1.0576248feb0e9p-13, 0x1.fc566fc7ef42cp-14, 0x1.ee4cb80f1cb72p-14, 0x1.e0c0a089a0d34p-14, 0x1.d3b0c7645085dp-14, 0x1.c70ca0a67dc9dp-14, 0x1.badb29b9b846ap-14, 0x1.af112d6b9bd49p-14, 0x1.a3ade5825449ap-14, 0x1.98a9c40582a41p-14, 0x1.8e0092f6f44fdp-14, 0x1.83afd0806c335p-14, 0x1.79b2c189a6518p-14, 0x1.7005961a92128p-14, 0x1.66a4a002e6d0dp-14, 0x1.5d8c6036281dbp-14, 0x1.54b97a3f09aa8p-14, 0x1.4c28a93a16505p-14, 0x1.43d5dd2a486acp-14, 0x1.3bcdc1bc98f6bp-14, 0x1.33e51f8613bd9p-14, 0x1.2c3fc33ee18acp-14, 0x1.24ce442558acdp-14, 0x1.1d8e6ca4b0af3p-14, 0x1.167e23699067ap-14, 0x1.0f9e833906085p-14, 0x1.08e33af32f66ap-14, 0x1.025232b80cfcp-14, 0x1.f7d29a277bac1p-15, 0x1.eb4bae7b1b8bbp-15, 0x1.df0b46b9a8016p-15, 0x1.d30e80e86485ap-15, 0x1.c751f83ad1e4fp-15, 0x1.bbcfdf3e33ccap-15, 0x1.b08e75929f538p-15, 0x1.a5821c88dea56p-15, 0x1.9aaaab4d235c6p-15, 0x1.9005dedce06fbp-15, 0x1.859744b72adfap-15, 0x1.7b4d6f899a57bp-15, 0x1.7135560a11b4ap-15, 0x1.6744e3f9031eap-15, 0x1.5d81d32a8f7c8p-15, 0x1.53e390189d27cp-15, 0x1.4a6acd910696bp-15, 0x1.41160819e002ap-15, 0x1.37e3d86d47e49p-15, 0x1.2ed2ee7a8c201p-15, 0x1.25e211c5ac988p-15, 0x1.1d104350a7c1dp-15, 0x1.146aebf24c414p-15, 0x1.0bc4d4f8728e3p-15, 0x1.03491eb2d46d2p-15, 0x1.f5d0a0e0cb241p-16, 0x1.e58373c79b5e3p-16, 0x1.d4ee4adcdbf7p-16, 0x1.c4c636cddf5cbp-16, 0x1.b4aef3149fc27p-16, 0x1.a50558e3de1e6p-16, 0x1.956a56af860b6p-16, 0x1.861d31561e1d7p-16, 0x1.76bbae89263eap-16, 0x1.67a9441844a0fp-16, 0x1.58c02e915dfc6p-16, 0x1.4a00f68e00a82p-16, 0x1.3b6cfce96cd25p-16, 0x1.2d0a6f0859e03p-16, 0x1.1ec2b39633efbp-16, 0x1.109e0c4fe139dp-16, 0x1.02aa6f5317201p-16, 0x1.e9bf9f2c2c9c9p-17, 0x1.ce779a0975e7p-17, 0x1.b3836e790c5p-17, 0x1.98d6d4511ad04p-17, 0x1.7e7535a8d528fp-17, 0x1.6465c2a93d54cp-17, 0x1.4aa427016cca7p-17, 0x1.314509552945ap-17, 0x1.17f29c5700bc6p-17, 0x1.fe63414d01e87p-18, 0x1.cd52466700c4ep-18, 0x1.9cdb02087cc93p-18, 0x1.6d001f37713b8p-18, 0x1.3dc121f6b3838p-18, 0x1.0f11d3061e4ffp-18, 0x1.c23bbe0ee71c7p-19, 0x1.6774fb2603ddbp-19, 0x1.0dcb3878c81f2p-19, 0x1.6ffd00be072d8p-20, 0x1.7a368b20123bfp-21, 0x1.20b7820294d0bp-24, -0x1.2d41958995e0ep-21, -0x1.3ddd3e50d967p-20, -0x1.e1c24e7b80634p-20, -0x1.418af271ea657p-19, -0x1.91003d6d6b0f7p-19, -0x1.df16fbb2ee3efp-19, -0x1.15f42ef5dceffp-18, -0x1.3bb1b28d6bc65p-18, -0x1.5ffbd7e24d6edp-18, -0x1.8540b645b1226p-18, -0x1.a916c44804bb5p-18, -0x1.cc3cbe26f7ec5p-18, -0x1.eeb9e7c898ec1p-18, -0x1.08500c51ad89fp-17, -0x1.18db6dd3e236cp-17, -0x1.291ace457757p-17, -0x1.39056faf6447ep-17, -0x1.489adaf480692p-17, -0x1.57dae9ce07339p-17, -0x1.66c57ff53e929p-17, -0x1.755a8f5a59a14p-17, -0x1.839c5b65bac3cp-17, -0x1.91797da64227p-17, -0x1.9eefd74469e54p-17, -0x1.ac529cc01f9c7p-17, -0x1.b943937533d41p-17, -0x1.c5d4ee836414fp-17, -0x1.d21356ce7fea3p-17, -0x1.de174e0e7003bp-17, -0x1.e99371a6d1559p-17, -0x1.f4d1c42799066p-17, -0x1.ffbd667686637p-17, -0x1.052a38bf559a4p-16, -0x1.0a4be24e42223p-16, -0x1.0f45eb8905c9ep-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.12ff3c5351d6ep+0, -0x1.139ead049fb6p+0, -0x1.140aac7569decp+0, -0x1.1444270f631d5p+0, -0x1.144c8d2980f37p+0, -0x1.1425b29cc1e28p+0, -0x1.13d16ed028f1bp+0, -0x1.1351699eb79ccp+0, -0x1.12a73370db83ap+0, -0x1.11d47b0e0317fp+0, -0x1.10db2b4b6af86p+0, -0x1.0fbd5d70a86f8p+0, -0x1.0e7d3163017ecp+0, -0x1.0d1ca9072a4bfp+0, -0x1.0b9d98566ec59p+0, -0x1.0a01ab0d55a2p+0, -0x1.084a7796b113ap+0, -0x1.067993234a4efp+0, -0x1.04909d7c09a4bp+0, -0x1.029141f4b168p+0, -0x1.007d72a614aabp+0, -0x1.fcad7996817e3p-1, -0x1.f83cc6862e7c4p-1, -0x1.f3aba7e61e8d5p-1, -0x1.eefcd8dc33472p-1, -0x1.ea32ef0ed5064p-1, -0x1.e55058f53448bp-1, -0x1.e0575fa238e4dp-1, -0x1.db4a2b7a69acep-1, -0x1.d62aca4d46ff1p-1, -0x1.d0fb34aa7b8ebp-1, -0x1.cbbd50cd6e4e9p-1, -0x1.c672f2ba96911p-1, -0x1.c11dda70c4ce7p-1, -0x1.bbbfb18d3c458p-1, -0x1.b65a098033127p-1, -0x1.b0ee5ac9c87bp-1, -0x1.ab7e0528ac7c8p-1, -0x1.a60a5063cc3e9p-1, -0x1.a0946d6f0e26p-1, -0x1.9b1d77dd8f78dp-1, -0x1.95a677b35e218p-1, -0x1.903063b20f4c1p-1, -0x1.8abc23bcb4e4dp-1, -0x1.854a935fe3781p-1, -0x1.7fdc83aa4d60dp-1, -0x1.7a72bc441a5bfp-1, -0x1.750dfb9a4c1e7p-1, -0x1.6faef64db8e23p-1, -0x1.6a56564eac9b2p-1, -0x1.6504b9f58964dp-1, -0x1.5fbab387870bbp-1, -0x1.5a78c948ba24p-1, -0x1.553f75fd40f3p-1, -0x1.500f29dbcae09p-1, -0x1.4ae84ba4110f7p-1, -0x1.45cb39b14eep-1, -0x1.40b84ae4a7587p-1, -0x1.3bafcf5739c15p-1, -0x1.36b210d211f2ap-1, -0x1.31bf5327b39b4p-1, -0x1.2cd7d45008607p-1, -0x1.27fb81fb540d5p-1, -0x1.232afc408729dp-1, -0x1.1e6653075a7bcp-1, -0x1.19adb2297643cp-1, -0x1.1501412b3d792p-1, -0x1.1061236949654p-1, -0x1.0bcd784bc98efp-1, -0x1.07465b7e905abp-1, -0x1.02cbe52e451a8p-1, -0x1.fcbc5493bd89ep-2, -0x1.f3fa796cc54ep-2, -0x1.eb52571a0b6a8p-2, -0x1.e2c4068a8c5bp-2, -0x1.da4f9bb64e71ep-2, -0x1.d1f525db3986cp-2, -0x1.c9b4afa9a0753p-2, -0x1.c18e3f741a1cep-2, -0x1.b981d75283b82p-2, -0x1.b18f7552beff5p-2, -0x1.a9b7139919c11p-2, -0x1.a1f8a8bbc9ec2p-2, -0x1.9a5427dcef527p-2, -0x1.92c980ffd5d8bp-2, -0x1.8b58a149d086ep-2, -0x1.8401734365f6ap-2, -0x1.7cc3df168aed5p-2, -0x1.759fcac0ec52ap-2, -0x1.6e951a52bb5e5p-2, -0x1.67a3afef83c7ap-2, -0x1.60cb6c0fdbb38p-2, -0x1.5a0c2d775a5ep-2, -0x1.5365d15fc1507p-2, -0x1.4cd8333601b79p-2, -0x1.46632d3b71e5ep-2, -0x1.400697e4369eep-2, -0x1.39c24a394b391p-2, -0x1.339619cea19eep-2, -0x1.2d81dad0acd8ap-2, -0x1.27856011f695ep-2, -0x1.21a07b1ce2c1ep-2, -0x1.1bd2fc4ce99afp-2, -0x1.161cb2dd4e9fap-2, -0x1.107d6d098583dp-2, -0x1.0af4f8136a486p-2, -0x1.0583207acddfbp-2, -0x1.0027b1d9647b5p-2, -0x1.f5c4ee7dbc4e4p-3, -0x1.eb66760dc0927p-3, -0x1.e1338e0e61014p-3, -0x1.d72bc92492772p-3, -0x1.cd4eb90ca1b5ap-3, -0x1.c39beeaa75b2fp-3, -0x1.ba12fa24eb0d2p-3, -0x1.b0b36ae1b0fd7p-3, -0x1.a77ccfdacb4d1p-3, -0x1.9e6eb6bfb35bp-3, -0x1.9588ae9812bf8p-3, -0x1.8cca43918ea44p-3, -0x1.8433030546f23p-3, -0x1.7bc2799f98d0cp-3, -0x1.7378338f61acbp-3, -0x1.6b53bdfb67a36p-3, -0x1.6354a44c10237p-3, -0x1.5b7a72df23aa4p-3, -0x1.53c4b5f3166dep-3, -0x1.4c32fa3cfee9ep-3, -0x1.44c4cbcdaad73p-3, -0x1.3d79b786ac1d6p-3, -0x1.36514a634c83fp-3, -0x1.2f4b119fdb8cap-3, -0x1.28669ac8e0f6p-3, -0x1.21a373ce1dda4p-3, -0x1.1b012af611f14p-3, -0x1.147f4ee2b6c9bp-3, -0x1.0e1d6eb55fc8ep-3, -0x1.07db19bab97bp-3, -0x1.01b7dff9dd624p-3, -0x1.f766a1dd77e52p-4, -0x1.eb99ffb7d5fa6p-4, -0x1.e008f6fb450aep-4, -0x1.d4b2acbc28419p-4, -0x1.c996458f13149p-4, -0x1.beb2e6538238p-4, -0x1.b407b6046c126p-4, -0x1.a99d19238bda6p-4, -0x1.9f5f85466b456p-4, -0x1.955781768ce19p-4, -0x1.8b84398e648bep-4, -0x1.81e4da6a51a69p-4, -0x1.7878931e4062dp-4, -0x1.6f3e93fae20fep-4, -0x1.66360ef82074cp-4, -0x1.5d5e37df4da84p-4, -0x1.54b644080bc27p-4, -0x1.4c3d6a929eff6p-4, -0x1.43f2e3f35c4c5p-4, -0x1.3bd5ec01e8188p-4, -0x1.33e5bdd785f5fp-4, -0x1.2c219832e44d5p-4, -0x1.2488bb26dff39p-4, -0x1.1d1a68675b0abp-4, -0x1.15d5e3da6718p-4, -0x1.0eba733b24156p-4, -0x1.07c75df007b37p-4, -0x1.00fbed7b4d549p-4, -0x1.f4aedab6084c4p-5, -0x1.e7b25602c0493p-5, -0x1.db00eac74984bp-5, -0x1.ce993c60ba9e8p-5, -0x1.c279f12ea8f84p-5, -0x1.b6a1b3b98da1dp-5, -0x1.ab0f3297c99a4p-5, -0x1.9fc12090f9f44p-5, -0x1.94b6341083607p-5, -0x1.89ed280b1273p-5, -0x1.7f64bb4430f7p-5, -0x1.751bb08b9445ap-5, -0x1.6b10ceb5b09d4p-5, -0x1.6142e0e395fbcp-5, -0x1.57b0b633d0d4p-5, -0x1.4e5921eb8d709p-5, -0x1.453afaf3e3f79p-5, -0x1.3c551c71d6d01p-5, -0x1.33a66633183ffp-5, -0x1.2b2dbb6243b2dp-5, -0x1.22ea037589dap-5, -0x1.1ada29bf2b5f2p-5, -0x1.12fd1dd598ec1p-5, -0x1.0b51d29659095p-5, -0x1.03d74019ffb6ep-5, -0x1.f918c31aa4ceep-6, -0x1.eae06c26eff51p-6, -0x1.dd038206f37cp-6, -0x1.cf80131c1768fp-6, -0x1.c2543575b8c0bp-6, -0x1.b57e0749f5c76p-6, -0x1.a8fbace18d42ep-6, -0x1.9ccb551b7f3c1p-6, -0x1.90eb33c94dd58p-6, -0x1.8559860d21291p-6, -0x1.7a148e28b897cp-6, -0x1.6f1a9bcbaed68p-6, -0x1.6469fdd588c28p-6, -0x1.5a011015a3682p-6, -0x1.4fde336423e82p-6, -0x1.45ffd333ae709p-6, -0x1.3c645d88bc41bp-6, -0x1.330a4a27c206fp-6, -0x1.29f018e20ed24p-6, -0x1.21144df70209bp-6, -0x1.1875760338d06p-6, -0x1.10122783f3838p-6, -0x1.07e8f99a734edp-6, -0x1.fff11ddd89d2p-7, -0x1.f07f1eec44879p-7, -0x1.e17953d494b9ap-7, -0x1.d2dd223f1c081p-7, -0x1.c4a80e8f85fa1p-7, -0x1.b6d7939aa67d5p-7, -0x1.a969427376b39p-7, -0x1.9c5aba5b4c6ap-7, -0x1.8fa9a5399a43cp-7, -0x1.8353b92942ee2p-7, -0x1.7756b84306428p-7, -0x1.6bb071ad3a2f6p-7, -0x1.605ebb3f785abp-7, -0x1.555f7dbc70222p-7, -0x1.4ab0a823fba97p-7, -0x1.405035ddcec03p-7, -0x1.363c2d389b2ep-7, -0x1.2c729f4ce476dp-7, -0x1.22f1a676e5847p-7, -0x1.19b76c147f481p-7, -0x1.10c21d0bbbe01p-7, -0x1.080ff493a3486p-7, -0x1.ff3e6dead1476p-8, -0x1.eedc6546fa2b1p-8, -0x1.def6792398034p-8, -0x1.cf896dd50e004p-8, -0x1.c09216acf1a8ap-8, -0x1.b20d36da86125p-8, -0x1.a3f82cbd45a1ep-8, -0x1.964f9998240c7p-8, -0x1.8910b86b2f7e3p-8, -0x1.7c38b54a4b914p-8, -0x1.6fc4c9fb3729cp-8, -0x1.63b242cc7f3fdp-8, -0x1.57fe76bac3822p-8, -0x1.4ca6d18236bbap-8, -0x1.41a8ce9c3ee69p-8, -0x1.3701f6061a938p-8, -0x1.2cafddf3ebd53p-8, -0x1.22b02c4154754p-8, -0x1.190094b500325p-8, -0x1.0f9ed930ece18p-8, -0x1.0688c8cd80bf5p-8, -0x1.fb787cd9fa501p-9, -0x1.ea6e4b8399949p-9, -0x1.d9eeeadfc822ap-9, -0x1.c9f65ee74e864p-9, -0x1.ba80c8464dccp-9, -0x1.ab8a5d450bf69p-9, -0x1.9d0f6d3eb7405p-9, -0x1.8f0c5ee65031fp-9, -0x1.817dad530d468p-9, -0x1.745ff0f4cc1cdp-9, -0x1.67afcec5c6171p-9, -0x1.5b6a08058043ap-9, -0x1.4f8b68e7780cep-9, -0x1.4410ea290a9c4p-9, -0x1.38f78833b8d91p-9, -0x1.2e3c45a338fa8p-9, -0x1.23dc4e58d6888p-9, -0x1.19d4dace5e438p-9, -0x1.1023315e589d3p-9, -0x1.06c4b3e22d99dp-9, -0x1.fb6d9a875f70fp-10, -0x1.e9edf2f862e09p-10, -0x1.d904a6ae2aa2dp-10, -0x1.c8afeab1a1525p-10, -0x1.b8e82a51c1a8p-10, -0x1.a9aa5013b6e67p-10, -0x1.9af0bf1970323p-10, -0x1.8cb87bd775517p-10, -0x1.7efcfb4604e6ep-10, -0x1.71ba338c87719p-10, -0x1.64ec65e584365p-10, -0x1.588f7d7ce18d2p-10, -0x1.4ca023d405c79p-10, -0x1.411a70842be56p-10, -0x1.35fb2440844e4p-10, -0x1.2b3f3aa64f6e8p-10, -0x1.20e2231bd8236p-10, -0x1.16e20668a3f2p-10, -0x1.0d3b497e7e39p-10, -0x1.03eafd7f372a6p-10, -0x1.f5dc652d08667p-11, -0x1.e4842d1173502p-11, -0x1.d3c7e50385d89p-11, -0x1.c3a1ff5b91377p-11, -0x1.b40dce971853cp-11, -0x1.a505f075b334ap-11, -0x1.9685ab4fe528p-11, -0x1.88884d19fe3bbp-11, -0x1.7b0949d0d781fp-11, -0x1.6e0438955c152p-11, -0x1.6174bd4bfacb7p-11, -0x1.55576a2b8fc2dp-11, -0x1.49a6b2721e593p-11, -0x1.3e6013682c28bp-11, -0x1.337f5be0b0288p-11, -0x1.2900f62b469e7p-11, -0x1.1ee3e96f93ea8p-11, -0x1.151f452d0d1d2p-11, -0x1.0bb45e0dfdd53p-11, -0x1.029b08922c33dp-11, -0x1.f3aa7f4f5ae06p-12, -0x1.e2bc7ce00949fp-12, -0x1.d2665d69b1c0ep-12, -0x1.c2a293803b2dfp-12, -0x1.b36bc1efa7aaep-12, -0x1.a4bcb67aef1efp-12, -0x1.96906849b4bb8p-12, -0x1.88e1fc8f2ff63p-12, -0x1.7bacdcfc81457p-12, -0x1.6eec38fc15fb9p-12, -0x1.629be200e0a8bp-12, -0x1.56b7a026e33d9p-12, -0x1.4b3b48041a5acp-12, -0x1.401cf3f4cc3b2p-12, -0x1.356ae75db7a3ap-12, -0x1.2b0f475f4fee7p-12, -0x1.210cc8a9a6c34p-12, -0x1.175fb8033d909p-12, -0x1.0e04e77448cc3p-12, -0x1.04f9271dea35ap-12, -0x1.f872d1b1a5173p-13, -0x1.e784650a61ab7p-13, -0x1.d724650e04ccbp-13, -0x1.c74a5a130c0b9p-13, -0x1.b7f2047d65831p-13, -0x1.a91652cc3bc4ep-13, -0x1.9ab20bc419d28p-13, -0x1.8cc190491ad6bp-13, -0x1.7f3fdaaea64fap-13, -0x1.722861f9a1f3cp-13, -0x1.65770ec0b1e6ep-13, -0x1.59286e342a35ap-13, -0x1.4d381fc43ce6ap-13, -0x1.419a029d87088p-13, -0x1.366577173278dp-13, -0x1.2b7c4baa9b5e4p-13, -0x1.20e3d73481c81p-13, -0x1.1699c9a5ac5d9p-13, -0x1.0c9a919fa01a9p-13, -0x1.02e36aa8bbed3p-13, -0x1.f2e4d4c13f2f7p-14, -0x1.e08861ea2f297p-14, -0x1.cead02056d208p-14, -0x1.bd4e217c00af8p-14, -0x1.ac66f9c4f4748p-14, -0x1.9bf36e747ca12p-14, -0x1.8bef85c08085p-14, -0x1.7c56c5efebcf3p-14, -0x1.6d271ce7c80fcp-14, -0x1.5e57a0453c0cfp-14, -0x1.4feaed961884cp-14, -0x1.41db09e686f5dp-14, -0x1.3424e84b13027p-14, -0x1.26c54ac080e72p-14, -0x1.19ba6e8815923p-14, -0x1.0d037dce2c79bp-14, -0x1.0094d612f0413p-14, -0x1.e8ea45166b05fp-15, -0x1.d13d66d4511b8p-15, -0x1.ba2127adce5e3p-15, -0x1.a38a10cb76f76p-15, -0x1.8d7a98e750887p-15, -0x1.77edc323a6815p-15, -0x1.62ddfc0019e52p-15, -0x1.4e495d6a4dab7p-15, -0x1.3a28766b7cbbap-15, -0x1.267c543b460aap-15, -0x1.134044d8d975ap-15, -0x1.00716b0f58debp-15, -0x1.dc1955e3e09bap-16, -0x1.b81ec132df0bcp-16, -0x1.94ede29f0af69p-16, -0x1.72819757e0ae1p-16, -0x1.50d1c2f2ae1bbp-16, -0x1.300f31a3bdc7bp-16, -0x1.0fac1dceff776p-16, -0x1.e04e6346f2432p-17, -0x1.a2a27a3db1ab1p-17, -0x1.664e372df550ep-17, -0x1.2b4b187d4c888p-17, -0x1.e32011a72bd4fp-18, -0x1.723b81b6313fdp-18, -0x1.03c83babcde9ap-18, -0x1.2f8f3ffe1d973p-19, -0x1.717d81321cfd6p-21, 0x1.c88496f628255p-21, 0x1.3bfdf62cd4f72p-19, 0x1.00ad05f09f9d3p-18, 0x1.619f25c6425b1p-18, 0x1.bf4600d15ecap-18, 0x1.0d9f9db15a3fcp-17, 0x1.3a8de2d92c4adp-17, 0x1.666d9ace59fc3p-17, 0x1.9136aae0dcc6bp-17, 0x1.bb09c69e8542ap-17, 0x1.e3cfc16dbbd5fp-17, 0x1.05c6d32df8444p-16, 0x1.192c2102cac2ep-16, 0x1.2c10abb3d9f2p-16, 0x1.3e78baace593fp-16, 0x1.5065a7ac57bfbp-16, 0x1.61d8c6ad111c5p-16, 0x1.72d36133cececp-16, 0x1.8356b4cba3be6p-16, 0x1.9363cb857cb17p-16, 0x1.a2eb3148d9c76p-16, 0x1.b220e30217d67p-16, 0x1.c0d3549a0186bp-16, 0x1.cf14429be697ep-16, 0x1.dcd44b8e1f173p-16, 0x1.ea66660d0a29cp-16, 0x1.f73ba7257037cp-16, 0x1.01c5dbd7a85ffp-15, 0x1.07ebe02e0066fp-15, 0x1.0dc2e831a86b6p-15, 0x1.13566709ffc75p-15, 0x1.18d2f887fcfd2p-15, 0x1.1e0b4018879dap-15, 0x1.23109d70e870bp-15, 0x1.27e31d1b63d9fp-15, 0x1.2c8300cdf8156p-15, 0x1.30f0f37573f63p-15, 0x1.35266118ab717p-15, 0x1.3937dc47f893fp-15, 0x1.3d11d6adbb3c3p-15, 0x1.40bbcbacb4e6dp-15, 0x1.44360d7e106f6p-15, 0x1.4780e9b3ba25ap-15, 0x1.4a9d4692bac81p-15, 0x1.4d8b78caf6699p-15, 0x1.504bcd420ffa7p-15, 0x1.52dee9315bc0cp-15, 0x1.553cfe95ae4e4p-15, 0x1.577e5c6f75f28p-15, 0x1.598da19bb1cc2p-15, 0x1.5b70d21ce48e9p-15, 0x1.5d29439f0c0f7p-15, 0x1.5eb781b84b365p-15, 0x1.601c09a62151ep-15, 0x1.6155b334272f6p-15, 0x1.626a71dd9a728p-15, 0x1.63550fe9ae3b1p-15, 0x1.64194854e1678p-15, 0x1.64a3df5650f4ap-15, 0x1.652a827b569e5p-15, 0x1.657602b959eccp-15, 0x1.659c616caf335p-15, 0x1.65a990d20b9c1p-15, 0x1.658a429094747p-15, 0x1.6547ced22b6d9p-15, 0x1.64e18408de0b2p-15, 0x1.6459257509adp-15, 0x1.63ae82e3422cp-15, 0x1.62e29749b1d45p-15, 0x1.61fd1a6aafa93p-15, 0x1.60e83024fb957p-15, 0x1.5fba92eca51c9p-15, 0x1.5e6e1af86047p-15, 0x1.5d04285d25bafp-15, 0x1.5b952915ef402p-15, 0x1.59d38ebaaf3c2p-15, 0x1.580ebb6c6b295p-15, 0x1.562e634051017p-15, 0x1.54324fb14ac6dp-15, 0x1.521b02a91897ep-15, 0x1.4fe90c0946657p-15, 0x1.4d9cfb9019de7p-15, 0x1.4b37911b078bap-15, 0x1.48b8dec8478e4p-15, 0x1.46214c3d8b5fep-15, 0x1.437337e344065p-15, 0x1.40bd410fcf639p-15, 0x1.3dd171ac74558p-15, 0x1.3adeeaeb0f5dep-15, 0x1.37d3a2db6fcd6p-15, 0x1.34b9c39879036p-15, 0x1.3188b79de43d6p-15, 0x1.2e43a13031b7ep-15, 0x1.2aeb5ebee26e8p-15, 0x1.278083bd65d5fp-15, 0x1.24042a04525c8p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.0fd3dfc0017a5p-2, -0x1.1a7315195223ep-2, -0x1.24cb0e0d73532p-2, -0x1.2eda9a0627b01p-2, -0x1.38a0af303d3c5p-2, -0x1.421c6900798cbp-2, -0x1.4b4d06b7fc59ap-2, -0x1.5431e9e9ed3c7p-2, -0x1.5cca9503f2585p-2, -0x1.6516a9dac68c1p-2, -0x1.6d15e83bfe872p-2, -0x1.74c82c85e87f1p-2, -0x1.7c2d6e464ea25p-2, -0x1.8345bee0b553cp-2, -0x1.8a11483ca5026p-2, -0x1.90904b7c5d48fp-2, -0x1.96c31fbc4e229p-2, -0x1.9caa30db92243p-2, -0x1.a245fe4d97769p-2, -0x1.a79719f5173d1p-2, -0x1.ac9e270866d76p-2, -0x1.b15bd8ff29975p-2, -0x1.b5d0f2895cc2fp-2, -0x1.b9fe448faa884p-2, -0x1.bde4ad3cea60bp-2, -0x1.c1851710b6436p-2, -0x1.c4e077fae3d4bp-2, -0x1.c7f7d07fc2c96p-2, -0x1.cacc2ae4eb46cp-2, -0x1.cd5e9a6669aaep-2, -0x1.cfb03a741a007p-2, -0x1.d1c22df6f3589p-2, -0x1.d3959e9e146b6p-2, -0x1.d52bbc33537cfp-2, -0x1.d685bbf716971p-2, -0x1.d7a4d80341139p-2, -0x1.d88a4eb4f8e49p-2, -0x1.d937621d09fd7p-2, -0x1.d9ad5776b3f6cp-2, -0x1.d9ed76a4a76e9p-2, -0x1.d9f909b40092p-2, -0x1.d9d15c6505a21p-2, -0x1.d977bbb97d097p-2, -0x1.d8ed758861656p-2, -0x1.d833d816c8d82p-2, -0x1.d74c31b5d1071p-2, -0x1.d637d0655b6ddp-2, -0x1.d4f8017b7a5c4p-2, -0x1.d38e115057347p-2, -0x1.d1fb4aee74014p-2, -0x1.d040f7c71aa7ap-2, -0x1.ce605f6ad7647p-2, -0x1.cc5ac745d691fp-2, -0x1.ca317260091ddp-2, -0x1.c7e5a120e3b4fp-2, -0x1.c5789116a62c4p-2, -0x1.c2eb7cc0fb368p-2, -0x1.c03f9b5ee2c3fp-2, -0x1.bd7620bfbb829p-2, -0x1.ba903d1759e68p-2, -0x1.b78f1cd50d81p-2, -0x1.b473e87d772e4p-2, -0x1.b13fc4871ef37p-2, -0x1.adf3d139a6cdfp-2, -0x1.aa912a8f8c615p-2, -0x1.a718e81a5c0bdp-2, -0x1.a38c1ce942086p-2, -0x1.9febd771e0fc4p-2, -0x1.9c39217b5e1bap-2, -0x1.9875000b8810ap-2, -0x1.94a073560be45p-2, -0x1.90bc76ad9a00dp-2, -0x1.8cca0076f8398p-2, -0x1.88ca021ddb758p-2, -0x1.84bd680b88fep-2, -0x1.80a5199f20a6ap-2, -0x1.7c81f92786221p-2, -0x1.7854e3ded69b3p-2, -0x1.741eb1e75969ep-2, -0x1.6fe03649e0053p-2, -0x1.6b9a3ef57de27p-2, -0x1.674d94c0936b6p-2, -0x1.62fafb6b136a2p-2, -0x1.5ea331a1fcc2dp-2, -0x1.5a46f103f43f8p-2, -0x1.55e6ee26f5321p-2, -0x1.5183d89f07c5ap-2, -0x1.4d1e5b05f2707p-2, -0x1.48b71b03d8e43p-2, -0x1.444eb958bed09p-2, -0x1.3fe5d1e6daac2p-2, -0x1.3b7cfbbdb6522p-2, -0x1.3714c9260c4c8p-2, -0x1.32adc7ae565c8p-2, -0x1.2e48803806372p-2, -0x1.29e5770559f26p-2, -0x1.25852bc7c276dp-2, -0x1.212819aed55bdp-2, -0x1.1cceb777bc8cap-2, -0x1.1879777d1c3bfp-2, -0x1.1428c7c763b77p-2, -0x1.0fdd121d8524ap-2, -0x1.0b96bc1605a4dp-2, -0x1.0756272861ea3p-2, -0x1.031bb0bebe01ap-2, -0x1.fdcf648faaa5cp-3, -0x1.f5750292577p-3, -0x1.ed28dee2d9857p-3, -0x1.e4eb9555f8879p-3, -0x1.dcbdba5d5ccf2p-3, -0x1.d49fdb2d370fap-3, -0x1.cc927de2258d2p-3, -0x1.c49621a73abf3p-3, -0x1.bcab3edc2641ep-3, -0x1.b4d2473b6af82p-3, -0x1.ad0ba6009d191p-3, -0x1.a557c00ea03d3p-3, -0x1.9db6f415d4b52p-3, -0x1.96299aba32678p-3, -0x1.8eb006b94404bp-3, -0x1.874a850ffb864p-3, -0x1.7ff95d20572efp-3, -0x1.78bcd0d6d0e25p-3, -0x1.71951ccf90cbap-3, -0x1.6a82787b5c49p-3, -0x1.6385164435ad4p-3, -0x1.5c9d23b1b2ff2p-3, -0x1.55cac98cf93e3p-3, -0x1.4f0e2c045c2cbp-3, -0x1.48676ace9ffbap-3, -0x1.41d6a14dd4ed8p-3, -0x1.3b5be6b1c88a5p-3, -0x1.34f74e1a09c1ap-3, -0x1.2ea8e6b77d567p-3, -0x1.2870bbed78e84p-3, -0x1.224ed5726c84p-3, -0x1.1c4337700ca9fp-3, -0x1.164de2a2ff6bcp-3, -0x1.106ed47a0ae0fp-3, -0x1.0aa60734c08b6p-3, -0x1.04f37201a5abfp-3, -0x1.feae1237a8432p-4, -0x1.f3a17bd02b29ap-4, -0x1.e8c0fe22ead6ep-4, -0x1.de0c714a9307ap-4, -0x1.d383a85d5e29ap-4, -0x1.c92671a2fe6dap-4, -0x1.bef496c96493cp-4, -0x1.b4eddd187b515p-4, -0x1.ab1205a4c233bp-4, -0x1.a160cd80cf096p-4, -0x1.97d9ededbb45bp-4, -0x1.8e7d1c8a710eap-4, -0x1.854a0b81ec027p-4, -0x1.7c4069b8597a8p-4, -0x1.735fe2f728204p-4, -0x1.6aa82018018d6p-4, -0x1.6218c72eb1d5dp-4, -0x1.59b17bb1ff9f1p-4, -0x1.5171dea374113p-4, -0x1.49598eb6167fap-4, -0x1.416828741f4edp-4, -0x1.399d4663a1bcdp-4, -0x1.31f8812a31a69p-4, -0x1.2a796faf870c2p-4, -0x1.231fa73f22d93p-4, -0x1.1beabba8f6869p-4, -0x1.14da3f611408fp-4, -0x1.0dedc39e67484p-4, -0x1.0724d8787db29p-4, -0x1.007f0d045f156p-4, -0x1.f3f7dee0f519ep-5, -0x1.e7361a3f58968p-5, -0x1.dab7e586be64fp-5, -0x1.ce7c58e99b91dp-5, -0x1.c2828b9acdd78p-5, -0x1.b6c993fcb222bp-5, -0x1.ab5087ce942c5p-5, -0x1.a0167c5878377p-5, -0x1.951a86954bf6ep-5, -0x1.8a5bbb5b870ddp-5, -0x1.7fd92f843c37ep-5, -0x1.7591f810adbf8p-5, -0x1.6b852a4e60bp-5, -0x1.61b1dbf9c2761p-5, -0x1.5817235f603bep-5, -0x1.4eb4177bbdb8dp-5, -0x1.4587d019cd917p-5, -0x1.3c9165f01900fp-5, -0x1.33cff2bc9c6c4p-5, -0x1.2b42915f5c64cp-5, -0x1.22e85df3c3fccp-5, -0x1.1ac075e8caacdp-5, -0x1.12c9f817ee18fp-5, -0x1.0b0404db0a44fp-5, -0x1.036dbe210f294p-5, -0x1.f80c8f0346468p-6, -0x1.e9998c9f6da96p-6, -0x1.db80c3561ebc3p-6, -0x1.cdc08521a523cp-6, -0x1.c05727d631475p-6, -0x1.b343053f178cap-6, -0x1.a6827b3a39841p-6, -0x1.9a13ebd1a933p-6, -0x1.8df5bd53894fp-6, -0x1.82265a68495e5p-6, -0x1.76a432273985bp-6, -0x1.6b6db8298ea47p-6, -0x1.6081649bdc601p-6, -0x1.55ddb44e154e6p-6, -0x1.4b8128c21f50ep-6, -0x1.416a4839010f8p-6, -0x1.37979dbebcf94p-6, -0x1.2e07b934dd50ep-6, -0x1.24b92f5bc3906p-6, -0x1.1baa99dac2e1cp-6, -0x1.12da9747130aap-6, -0x1.0a47cb299de88p-6, -0x1.01f0de03c23ap-6, -0x1.f3a8faa60d913p-7, -0x1.e3e2b7279c44fp-7, -0x1.d48c60862c4b5p-7, -0x1.c5a36fbe979f7p-7, -0x1.b72567d078ed2p-7, -0x1.a90fd5bc52b02p-7, -0x1.9b6050802268fp-7, -0x1.8e1479125d15dp-7, -0x1.8129fa5b6e469p-7, -0x1.749e892dc9448p-7, -0x1.686fe43ca2d51p-7, -0x1.5c9bd41157ce6p-7, -0x1.51202aff97034p-7, -0x1.45fac5185ffa3p-7, -0x1.3b29881be2f52p-7, -0x1.30aa636a4954bp-7, -0x1.267b4ff381132p-7, -0x1.1c9a50261020dp-7, -0x1.13056fdcfed4ep-7, -0x1.09bac44ce85d4p-7, -0x1.00b86bf03a546p-7, -0x1.eff91ce56364ep-8, -0x1.df0ab93842232p-8, -0x1.cea220751485bp-8, -0x1.bebbd8172ca3fp-8, -0x1.af54774af21d6p-8, -0x1.a068a6be8c522p-8, -0x1.91f520718ddf4p-8, -0x1.83f6af83ab394p-8, -0x1.766a300297698p-8, -0x1.694c8eb71159bp-8, -0x1.5c9ac8f13bda1p-8, -0x1.5051ec5447b3bp-8, -0x1.446f16a1891dp-8, -0x1.38ef758302696p-8, -0x1.2dd046557447fp-8, -0x1.230ed5f205dcep-8, -0x1.18a880778d6f5p-8, -0x1.0e9ab1138ad76p-8, -0x1.04e2e1cae056ap-8, -0x1.f6fd3684a9aap-9, -0x1.e4d6e90ddbbccp-9, -0x1.d34e25ac57022p-9, -0x1.c25e52cc60619p-9, -0x1.b202f25bc8e12p-9, -0x1.a237a15a2fe86p-9, -0x1.92f8176965999p-9, -0x1.8440265df5b3bp-9, -0x1.760bb9cfee202p-9, -0x1.6856d6abf600fp-9, -0x1.5b1d9ac4c3e3p-9, -0x1.4e5c3c64fdc55p-9, -0x1.420f09e19e8bcp-9, -0x1.3632692cdbcc5p-9, -0x1.2ac2d769affdap-9, -0x1.1fbce8800125dp-9, -0x1.151d46b17f0e8p-9, -0x1.0ae0b22f3aaf6p-9, -0x1.010400b007b16p-9, -0x1.ef083a0f60fb1p-10, -0x1.dcbc0d7e0bb05p-10, -0x1.cb1da359a3d69p-10, -0x1.ba274b1f7643p-10, -0x1.a9d37b5235865p-10, -0x1.9a1cd0b1a40e9p-10, -0x1.8afe0d7444336p-10, -0x1.7c7218831ccf4p-10, -0x1.6e73fcb7a2285p-10, -0x1.60fee81bc56acp-10, -0x1.540e2b2c4258p-10, -0x1.479d381d234a1p-10, -0x1.3ba7a220956ffp-10, -0x1.30291cb008c26p-10, -0x1.251d7ad7aa54p-10, -0x1.1a80ae843b3ccp-10, -0x1.104ec7d34662p-10, -0x1.0683f465c5fdep-10, -0x1.fa38fd6a63633p-11, -0x1.e8299ad5f3487p-11, -0x1.d6d2c574f61dfp-11, -0x1.c62db77acb1a4p-11, -0x1.b633dfa5350e7p-11, -0x1.a6dedfff0724dp-11, -0x1.98288ca7c8fd4p-11, -0x1.8a0aeaa04cc09p-11, -0x1.7c802e9c392fdp-11, -0x1.6f82bbd88777ep-11, -0x1.630d22f6f24ep-11, -0x1.571a20de532e6p-11, -0x1.4ba49d9fe88fcp-11, -0x1.40a7ab6186649p-11, -0x1.361e854ca3a1ap-11, -0x1.2c048e8246d0ep-11, -0x1.22555113c6a72p-11, -0x1.190c7d0059e2cp-11, -0x1.1025e7376c8abp-11, -0x1.079d889fb6f33p-11, -0x1.fedefa460fcbfp-12, -0x1.ef30057d7e721p-12, -0x1.e026f131d37e3p-12, -0x1.d1bcbc33f0f7cp-12, -0x1.c3eaa4160e5c1p-12, -0x1.b6aa23714e4b2p-12, -0x1.a9f4f03447a2ep-12, -0x1.9dc4f9fa6c6bp-12, -0x1.9214686c34721p-12, -0x1.86dd99a7f4a47p-12, -0x1.7c1b20b34bb17p-12, -0x1.71c7c3f50a534p-12, -0x1.67de7bb77ada8p-12, -0x1.5e5a70b2f1eb4p-12, -0x1.5536faa08ec0fp-12, -0x1.4c6f9ed50a183p-12, -0x1.44000ee37fed9p-12, -0x1.3be4274814183p-12, -0x1.3417ee1a58fa7p-12, -0x1.2c9791c75a1c9p-12, -0x1.255f67d332d2bp-12, -0x1.1e6beba20ce6ap-12, -0x1.17b9bd4878dc6p-12, -0x1.1145a062f1e17p-12, -0x1.0b0c7af480cadp-12, -0x1.050b544c59a6dp-12, -0x1.fe7ea7e4ac53p-13, -0x1.f34b81347246ap-13, -0x1.e877fe3b27a58p-13, -0x1.ddff22f86c335p-13, -0x1.d3dc2bc62455ap-13, -0x1.ca0a8b72d735fp-13, -0x1.c085e9687fa2bp-13, -0x1.b74a1fdf90a2cp-13, -0x1.ae533a1df248ap-13, -0x1.a59d72c1c708ap-13, -0x1.9d253217b8b7cp-13, -0x1.94e70c7ca1f74p-13, -0x1.8cdfc0ca507edp-13, -0x1.850c36cf333dp-13, -0x1.7d697dd0bd5b4p-13, -0x1.75f4cb1847347p-13, -0x1.6eab788a30e47p-13, -0x1.678b0347251dfp-13, -0x1.60910a5734363p-13, -0x1.59bb4d5e9d12fp-13, -0x1.5307ab5c143c9p-13, -0x1.4c7421704aee4p-13, -0x1.45fec9ae95b75p-13, -0x1.3fa5d9f66f1fbp-13, -0x1.3967a2d5af94ep-13, -0x1.33428e734bc86p-13, -0x1.2d351f825fda8p-13, -0x1.273df03d69984p-13, -0x1.215bb1696c719p-13, -0x1.1b8d2960e5087p-13, -0x1.15d133265567ap-13, -0x1.1026bd7e423efp-13, -0x1.0a8cca106c016p-13, -0x1.05026c9027117p-13, -0x1.ff0d93d72f131p-14, -0x1.f4322f03679cp-14, -0x1.e97134bdc8f2dp-14, -0x1.dec94d000a945p-14, -0x1.d4393c377deccp-14, -0x1.c9bfe1e3e9158p-14, -0x1.bf5c37425d6cdp-14, -0x1.b50d4e03b55cfp-14, -0x1.aad24f0e64a75p-14, -0x1.a0aa794b62a3cp-14, -0x1.9695207dd518dp-14, -0x1.8c91ac253d878p-14, -0x1.829f9669e1666p-14, -0x1.78be6b132650ep-14, -0x1.6eedc687a00f2p-14, -0x1.652d54d68d72p-14, -0x1.5b7cd0ca83e2p-14, -0x1.51dc030507e0ep-14, -0x1.484ac122d56b4p-14, -0x1.3ec8ece899e6dp-14, -0x1.35567377e3ap-14, -0x1.2bf34c8c0bee2p-14, -0x1.229f79bee0304p-14, -0x1.195b05d4d592cp-14, -0x1.1026041089767p-14, -0x1.07008f8d5e05p-14, -0x1.fbd59541f4c28p-15, -0x1.e9c9bc86f4c77p-15, -0x1.d7ddf2fc390ecp-15, -0x1.c612a1c073ee8p-15, -0x1.b4683bf4b53c3p-15, -0x1.a2df3dbe630bp-15, -0x1.91782b54ad483p-15, -0x1.803390191cbbcp-15, -0x1.6f11fdbae4144p-15, -0x1.5e140b649e51ap-15, -0x1.4d3a54f4207ddp-15, -0x1.3c857a3c12acbp-15, -0x1.2bf61e4ef7a2ap-15, -0x1.1b8ce6d356c06p-15, -0x1.0b4a7b60bdfa9p-15, -0x1.f65f09ca9202dp-16, -0x1.d6795a26d46d3p-16, -0x1.b6e53baf572e3p-16, -0x1.97a401ac3da2p-16, -0x1.78b6fdde78c74p-16, -0x1.5a1f7f97d42fdp-16, -0x1.3bded2e0dce59p-16, -0x1.1df63fac144f5p-16, -0x1.00670915ff65bp-16, -0x1.c664d96323e89p-17, -0x1.8cb343c11513ep-17, -0x1.53bbb26e81fbdp-17, -0x1.1b8077d6ff68ep-17, -0x1.c807ad37fdc2cp-18, -0x1.5a9001384834p-18, -0x1.dd3c5838f645cp-19, -0x1.086c92bc4c7f9p-19, -0x1.b5c4e0294e166p-22, 0x1.2fafe30ae4e92p-20, 0x1.633dcd9892eecp-19, 0x1.15b9021f013f3p-18, 0x1.7836fbe7ef4a2p-18, 0x1.d915b15cd8257p-18, 0x1.1c2916406398p-17, 0x1.4af4d266f056fp-17, 0x1.78ecbfe2d1a67p-17, 0x1.a60fa8b4616bcp-17, 0x1.d25c6e4bde042p-17, 0x1.fdd209ae9b3dp-17, 0x1.1437c5c8d291dp-16, 0x1.291a0e3524575p-16, 0x1.3d8f7e3a8c6ep-16, 0x1.5197c1d9e9d98p-16, 0x1.653290f15751dp-16, 0x1.785faf32b849dp-16, 0x1.8b1eec16689c6p-16, 0x1.9d7022ca42c15p-16, 0x1.af533a1d2efacp-16, 0x1.c0c8246770cd8p-16, 0x1.d1cedf6fe3c53p-16, 0x1.e267744e4cfaap-16, 0x1.f291f74b000eap-16, 0x1.012743ddf754p-15, 0x1.08cea7efaf7d7p-15, 0x1.103f425a31a5fp-15, 0x1.177932e8a2131p-15, 0x1.1e7c9e9bfed8ap-15, 0x1.2549af9479031p-15, 0x1.2be094f9fe3b3p-15, 0x1.324182e3ff7f3p-15, 0x1.386cb240846f9p-15, 0x1.3e6260baa129cp-15, 0x1.4422d0a055893p-15, 0x1.49ae48c7e82e6p-15, 0x1.4f051474ce97cp-15, 0x1.5427833c24d11p-15, 0x1.5915e8e8cf63fp-15, 0x1.5dd09d5f4787ep-15, 0x1.6257fc8124abfp-15, 0x1.66ac661069d49p-15, 0x1.6ace3d92a81a4p-15, 0x1.6ebdea33f4d71p-15, 0x1.727bd6a9cc5fap-15, 0x1.76087115dc3c6p-15, 0x1.79642ae8c8578p-15, 0x1.7c8f78c4ebd79p-15, 0x1.7f8ad26125266p-15, 0x1.8256b26bac69ap-15, 0x1.84f3966d0501ep-15, 0x1.8761feab0617bp-15, 0x1.89a26e0c0e65ap-15, 0x1.8bb569fa58cafp-15, 0x1.8d9b7a478a27bp-15, 0x1.8f5529106b2d2p-15, 0x1.90e302a0e41d6p-15, 0x1.9245955834594p-15, 0x1.937d718d6d4e2p-15, 0x1.948b297438b0dp-15, 0x1.956f5101e8379p-15, 0x1.962a7dd2d8eb2p-15, 0x1.96bd471026cf1p-15, 0x1.97284555bbb1ap-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.cb29a90f566fp-1, 0x1.c9869f0a1045ap-1, 0x1.c7cc8b11ef265p-1, 0x1.c5fb7e0067a6ep-1, 0x1.c41394f41bd3cp-1, 0x1.c214f8bdb7754p-1, 0x1.bfffdd46cef3dp-1, 0x1.bdd480f4eacaap-1, 0x1.bb932c0a9148fp-1, 0x1.b93c3007d28aap-1, 0x1.b6cfe70b9c54cp-1, 0x1.b44eb336de299p-1, 0x1.b1b8fe12585fbp-1, 0x1.af0f37f7c93eap-1, 0x1.ac51d77f038a1p-1, 0x1.a98158ef5edbdp-1, 0x1.a69e3db5d86f9p-1, 0x1.a3a90be02031dp-1, 0x1.a0a24d9cc38b7p-1, 0x1.9d8a90c08e8b8p-1, 0x1.9a6266513701p-1, 0x1.972a621550dcap-1, 0x1.93e31a298d2b2p-1, 0x1.908d269b2fde6p-1, 0x1.8d292107af33cp-1, 0x1.89b7a4416058fp-1, 0x1.86394bf91805fp-1, 0x1.82aeb46c9a8bp-1, 0x1.7f187a19be4b4p-1, 0x1.7b773976174dbp-1, 0x1.77cb8eab0b1efp-1, 0x1.741615562028fp-1, 0x1.7057684d67134p-1, 0x1.6c902167d3824p-1, 0x1.68c0d9495c691p-1, 0x1.64ea2732c04dp-1, 0x1.610ca0d4c1101p-1, 0x1.5d28da26b7972p-1, 0x1.593f654054dbfp-1, 0x1.5550d2366f6d6p-1, 0x1.515daefab71bap-1, 0x1.4d66873e2e449p-1, 0x1.496be4564752dp-1, 0x1.456e4d2483792p-1, 0x1.416e460076846p-1, 0x1.3d6c50a40fa8ep-1, 0x1.3968ec1a08819p-1, 0x1.356494ae62bap-1, 0x1.315fc3e0d3d7p-1, 0x1.2d5af0590877dp-1, 0x1.29568ddca58dbp-1, 0x1.25530d46ed5e5p-1, 0x1.2150dc81f44ecp-1, 0x1.1d5066814d0dcp-1, 0x1.1952133e1701bp-1, 0x1.155647b45bd7ap-1, 0x1.115d65e1a7f91p-1, 0x1.0d67ccc4cb36dp-1, 0x1.0975d85eaec06p-1, 0x1.0587e1b4321b7p-1, 0x1.019e3ed0fc335p-1, 0x1.fb72859662364p-2, 0x1.f3b27b8fff122p-2, 0x1.ebfcfa01ebfbbp-2, 0x1.e45295942228fp-2, 0x1.dcb3dd30f29a6p-2, 0x1.d5215a13c24fdp-2, 0x1.cd9b8fd8f03bap-2, 0x1.c622fc8ecf698p-2, 0x1.beb818c7a03a9p-2, 0x1.b75b57ac72baep-2, 0x1.b00d2710de447p-2, 0x1.a8cdef87805ep-2, 0x1.a19e147726af2p-2, 0x1.9a7df430a1662p-2, 0x1.936de80520282p-2, 0x1.8c6e445d14b45p-2, 0x1.857f58cf845bbp-2, 0x1.7ea17039c3e81p-2, 0x1.77d4d0d784dfdp-2, 0x1.7119bc5b33b61p-2, 0x1.6a70700691cbfp-2, 0x1.63d924c3874b8p-2, 0x1.5d540f3d19f56p-2, 0x1.56e15ff8886eap-2, 0x1.5081436e78785p-2, 0x1.4a33e2243258cp-2, 0x1.43f960c4e34e2p-2, 0x1.3dd1e03ad887p-2, 0x1.37bd7dc8b3f2bp-2, 0x1.31bc532288002p-2, 0x1.2bce7686e1c4cp-2, 0x1.25f3fad7af83fp-2, 0x1.202cefb301d44p-2, 0x1.1a79618ba36dp-2, 0x1.14d959c18022ap-2, 0x1.0f4cdeb9d8de6p-2, 0x1.09d3f3f739225p-2, 0x1.046e9a3136045p-2, 0x1.fe399ed7ca0ffp-3, 0x1.f3bd1e1e22009p-3, 0x1.e967a3fa4e823p-3, 0x1.df391d53a98a3p-3, 0x1.d5317260b5851p-3, 0x1.cb5086d317751p-3, 0x1.c1963a02f6411p-3, 0x1.b8026719a22ccp-3, 0x1.ae94e53b96f34p-3, 0x1.a54d87b1c7cd5p-3, 0x1.9c2c1e1231de5p-3, 0x1.93307467bb311p-3, 0x1.8a5a535952d3ep-3, 0x1.81a98050567b6p-3, 0x1.791dbd9e34de4p-3, 0x1.70b6caa1575a4p-3, 0x1.687463e93f86ep-3, 0x1.60564359ecf14p-3, 0x1.585c204e77a81p-3, 0x1.5085afbae9438p-3, 0x1.48d2a44d58cf6p-3, 0x1.4142ae8e363dfp-3, 0x1.39d57cffdee4fp-3, 0x1.328abc3d696e1p-3, 0x1.2b621718b0433p-3, 0x1.245b36b797d4p-3, 0x1.1d75c2b09b427p-3, 0x1.16b1612694e82p-3, 0x1.100db6e3c9bdbp-3, 0x1.098a677438863p-3, 0x1.0327153f30426p-3, 0x1.f9c6c34054ceep-4, 0x1.ed7dd9fddfc55p-4, 0x1.e172adce0e4fcp-4, 0x1.d5a47c3ce4a75p-4, 0x1.ca1281776cb08p-4, 0x1.bebbf87676144p-4, 0x1.b3a01b27e86ebp-4, 0x1.a8be2296dc595p-4, 0x1.9e1547124305dp-4, 0x1.93a4c05260d87p-4, 0x1.896bc59cf2b8p-4, 0x1.7f698de814125p-4, 0x1.759d4ffbec7p-4, 0x1.6c06429325a73p-4, 0x1.62a39c7a312e2p-4, 0x1.597494ad625d5p-4, 0x1.50786275e232fp-4, 0x1.47ae3d858428cp-4, 0x1.3f155e117eecdp-4, 0x1.36acfcec10e79p-4, 0x1.2e74539d1522bp-4, 0x1.266a9c798e03fp-4, 0x1.1e8f12ba2c326p-4, 0x1.16e0f290d6925p-4, 0x1.0f5f793d39d9fp-4, 0x1.0809e520647fcp-4, 0x1.00df75cf7476p-4, 0x1.f3bed84abc876p-5, 0x1.e61214a79ed67p-5, 0x1.d8b727e66b95dp-5, 0x1.cbac9c23dd36bp-5, 0x1.bef0fe8545591p-5, 0x1.b282df53aee55p-5, 0x1.a660d2156e571p-5, 0x1.9a896da6311d8p-5, 0x1.8efb4c4d9049fp-5, 0x1.83b50bd437158p-5, 0x1.78b54d97a393cp-5, 0x1.6dfab69c8bc6ap-5, 0x1.6383ef9ff254cp-5, 0x1.594fa526f89c5p-5, 0x1.4f5c878d6d6dbp-5, 0x1.45a94b132cd5cp-5, 0x1.3c34a7e856f3fp-5, 0x1.32fd5a38637c5p-5, 0x1.2a0222341ff91p-5, 0x1.2141c41aa0e2cp-5, 0x1.18bb08412ad6fp-5, 0x1.106cbb1a2475dp-5, 0x1.0855ad3b0f24ep-5, 0x1.0074b36197f4ap-5, 0x1.f1914cef8c92dp-6, 0x1.e2a0c72e9b1e8p-6, 0x1.d41598181a76p-6, 0x1.c5ed8aab8f13ep-6, 0x1.b826725226729p-6, 0x1.aabe2adf236a9p-6, 0x1.9db2988ee733fp-6, 0x1.9101a80499276p-6, 0x1.84a94e4687fcdp-6, 0x1.78a788b94f14dp-6, 0x1.6cfa5d19c082p-6, 0x1.619fd975ba85bp-6, 0x1.56961423dbd54p-6, 0x1.4bdb2bba2ffdbp-6, 0x1.416d4703e57c8p-6, 0x1.374a94f60468bp-6, 0x1.2d714ca34e7b9p-6, 0x1.23dfad2f39b2bp-6, 0x1.1a93fdc01e2bep-6, 0x1.118c8d70a3e5fp-6, 0x1.08c7b3406d95ap-6, 0x1.0043ce041a97dp-6, 0x1.effe88a9443b7p-7, 0x1.dff108fc162f6p-7, 0x1.d05c08db34675p-7, 0x1.c13c833eddcc6p-7, 0x1.b28f821746632p-7, 0x1.a4521e25e1f82p-7, 0x1.96817ed5c7fd2p-7, 0x1.891ada1357fefp-7, 0x1.7c1b7423082fep-7, 0x1.6f809f7790b07p-7, 0x1.6347bc876df5bp-7, 0x1.576e39a1cb305p-7, 0x1.4bf192c2eca1cp-7, 0x1.40cf5168143dap-7, 0x1.36050c6305bfbp-7, 0x1.2b9067ad1ecfbp-7, 0x1.216f143a1df07p-7, 0x1.179ecfca9ed7bp-7, 0x1.0e1d64be57b92p-7, 0x1.04e8a9e6213a7p-7, 0x1.f7fd04abaa0e2p-8, 0x1.e6b9ba6c1659cp-8, 0x1.d6036b2b8278ep-8, 0x1.c5d62477e4fcbp-8, 0x1.b62e0af25796bp-8, 0x1.a70759f24302bp-8, 0x1.985e6328a36cep-8, 0x1.8a2f8e436fbfdp-8, 0x1.7c7758913744ep-8, 0x1.6f3254a5004acp-8, 0x1.625d29fa75e37p-8, 0x1.55f4949a72cd6p-8, 0x1.49f564bff4cacp-8, 0x1.3e5c7e7d82cf1p-8, 0x1.3326d963133fdp-8, 0x1.285180247bd91p-8, 0x1.1dd9904073a8p-8, 0x1.13bc39a832ed4p-8, 0x1.09f6be67b8ca3p-8, 0x1.0086724ebe089p-8, 0x1.eed17534bdb07p-9, 0x1.dd361b3f01b66p-9, 0x1.cc35e4ec0065p-9, 0x1.bbcc014947a74p-9, 0x1.abf3bf9bcc332p-9, 0x1.9ca88ebb27a3ap-9, 0x1.8de5fc6e8bfb8p-9, 0x1.7fa7b4cb7d761p-9, 0x1.71e981965604ap-9, 0x1.64a749a49c9c4p-9, 0x1.57dd10413b056p-9, 0x1.4b86f492946d6p-9, 0x1.3fa13102852cep-9, 0x1.34281aa853a32p-9, 0x1.291820b494f85p-9, 0x1.1e6dcbdf0b668p-9, 0x1.1425bdd67e9b1p-9, 0x1.0a3cb0b29d621p-9, 0x1.00af7667d8492p-9, 0x1.eef5f07a941cap-10, 0x1.dd386c8950715p-10, 0x1.cc208da87336dp-10, 0x1.bba8ac05b7895p-10, 0x1.abcb4a4c2a2f2p-10, 0x1.9c8314a45ac0dp-10, 0x1.8dcadfb8b70bep-10, 0x1.7f9da7bdeee8bp-10, 0x1.71f68f7f74c79p-10, 0x1.64d0df7010d37p-10, 0x1.582804be8b2a7p-10, 0x1.4bf7906e53481p-10, 0x1.403b367446664p-10, 0x1.34eeccd766adfp-10, 0x1.2a0e4ad5a19b5p-10, 0x1.1f95c80c82b05p-10, 0x1.15817ba5e597ep-10, 0x1.0bcdbb888cb5cp-10, 0x1.0276fb8ca085ap-10, 0x1.f2f3996820b8dp-11, 0x1.e1a5b8cd862eep-11, 0x1.d0fde76536e19p-11, 0x1.c0f5ed1e8118bp-11, 0x1.b187c64b450ap-11, 0x1.a2ada23666a56p-11, 0x1.9461e1c1943fdp-11, 0x1.869f160a4cf4fp-11, 0x1.795fff161566p-11, 0x1.6c9f8a85c3e06p-11, 0x1.6058d24fd1e69p-11, 0x1.54871b819beaap-11, 0x1.4925d50779d61p-11, 0x1.3e30967b9c1a1p-11, 0x1.33a31efb96176p-11, 0x1.297954047ee5ep-11, 0x1.1faf405593fd4p-11, 0x1.164112d944142p-11, 0x1.0d2b1d948ed78p-11, 0x1.0469d49c9e3bap-11, 0x1.f7f39a250ec3bp-12, 0x1.e7af784a28ea5p-12, 0x1.d800ec311297fp-12, 0x1.c8e1daa885acfp-12, 0x1.ba4c62ec3c6aap-12, 0x1.ac3adcd721e84p-12, 0x1.9ea7d720ae50dp-12, 0x1.918e15a5433b2p-12, 0x1.84e88fb95f1fap-12, 0x1.78b26e876b93fp-12, 0x1.6ce70b7806c45p-12, 0x1.6181eea48ef9fp-12, 0x1.567ecd53c3983p-12, 0x1.4bd98880513a8p-12, 0x1.418e2b691a1d1p-12, 0x1.3798ea2b04525p-12, 0x1.2df6206431d87p-12, 0x1.24a24fe0605b2p-12, 0x1.1b9a1f4e56f63p-12, 0x1.12da58fe27e05p-12, 0x1.0a5fe9a820291p-12, 0x1.0227df3c38f45p-12, 0x1.f45ecf73bb3bcp-13, 0x1.e4e7a01fbaaap-13, 0x1.d5e50608b56a4p-13, 0x1.c752104928d8p-13, 0x1.b92a0578aac9p-13, 0x1.ab6861a9dac4ap-13, 0x1.9e08d476fc87cp-13, 0x1.91073f1cfbe23p-13, 0x1.845fb2a483758p-13, 0x1.780e6e18d8de3p-13, 0x1.6c0fdccc2d37cp-13, 0x1.606094a91905bp-13, 0x1.54fd5490fc594p-13, 0x1.49e302c6e7546p-13, 0x1.3f0eab66db4d8p-13, 0x1.347d7ee900981p-13, 0x1.2a2cd0b0a04f5p-13, 0x1.201a15a68ac49p-13, 0x1.1642e2deb1d14p-13, 0x1.0ca4ec48a8b13p-13, 0x1.033e036acc244p-13, 0x1.f4182c4f9cc74p-14, 0x1.e21a5b1cd356p-14, 0x1.d07ed965d7bd8p-14, 0x1.bf421f24eaf6fp-14, 0x1.ae60d3ff18a87p-14, 0x1.9dd7cd2fce34cp-14, 0x1.8da40b863d17dp-14, 0x1.7dc2b9741efffp-14, 0x1.6e31292d7498cp-14, 0x1.5eecd2d8bdaffp-14, 0x1.4ff352cf448f9p-14, 0x1.414267ed0b3e4p-14, 0x1.32d7f1eff1cd9p-14, 0x1.24b1efe5ab117p-14, 0x1.16ce7ea8196dap-14, 0x1.092bd767adf21p-14, 0x1.f7909c86d09ffp-15, 0x1.dd44a1dc28709p-15, 0x1.c370cac0ce5cp-15, 0x1.aa12512f3f028p-15, 0x1.91269ac097a39p-15, 0x1.78ab3659be70ep-15, 0x1.609dd9ef77f9ap-15, 0x1.48fc6060be2cfp-15, 0x1.31c4c766b0b41p-15, 0x1.1af52d997c81ap-15, 0x1.048bd08996a89p-15, 0x1.dd0e15d9636eep-16, 0x1.b1caa5bba8387p-16, 0x1.874a705fed9bdp-16, 0x1.5d8ac5a5355a9p-16, 0x1.3489228f953ecp-16, 0x1.0c432e55ec9bp-16, 0x1.c96d6f20951f2p-17, 0x1.7bc3630bdddfdp-17, 0x1.2f846333d4bf3p-17, 0x1.c959b35564608p-18, 0x1.3672d6391a0cap-18, 0x1.4c9bc952255a8p-19, 0x1.8e4f7ef35c94ep-22, -0x1.c735ec6784e8bp-20, -0x1.f39d578b7756ep-19, -0x1.7f2384f43c6fep-18, -0x1.00e856093d80dp-17, -0x1.40ed43e0c3497p-17, -0x1.7fa2a3131c7ffp-17, -0x1.bd0a71729066dp-17, -0x1.f9269666cbb1cp-17, -0x1.19fc72cdb16abp-16, -0x1.36c190c466aa7p-16, -0x1.52e37eec913eep-16, -0x1.6e6310d50307dp-16, -0x1.894114d67c9a8p-16, -0x1.a37e5513b872bp-16, -0x1.bd1b9869e783cp-16, -0x1.d619a35242bc7p-16, -0x1.ee7938b5447c8p-16, -0x1.031d8d580b9cp-15, -0x1.0eb005a662896p-15, -0x1.19f46696dca5p-15, -0x1.24eb121684cc5p-15, -0x1.2f946af80d4b3p-15, -0x1.39f0d53802b13p-15, -0x1.4400b63ba47abp-15, -0x1.4dc4750a9cd5bp-15, -0x1.573c7a83caacbp-15, -0x1.6069318d5b92ap-15, -0x1.694b074068014p-15, -0x1.71e26b1043fdfp-15, -0x1.7a2fceedbbfddp-15, -0x1.8233a76664f1bp-15, -0x1.89ee6bc038c36p-15, -0x1.91609611a519p-15, -0x1.988aa3563b345p-15, -0x1.9f6d13802c86ep-15, -0x1.a6086986b8ba3p-15, -0x1.ac5d2b71ba35cp-15, -0x1.b26be26273005p-15, -0x1.b8351a99c1fb3p-15, -0x1.bdb9637be2544p-15, -0x1.c2f94f91d7c67p-15, -0x1.c7f57488aaf6cp-15, -0x1.ccae6b2e92c1p-15, -0x1.d124cf6e2ae0bp-15, -0x1.d5594047d863ep-15, -0x1.d94c5fc973529p-15, -0x1.dcfed30456b06p-15, -0x1.e0714201eb059p-15, -0x1.e3a457b6cda9cp-15, -0x1.e698c1f4a5068p-15, -0x1.e94f315abe488p-15, -0x1.ebc859458a1d6p-15, -0x1.ee04efbd0f8cfp-15, -0x1.f005ad6265247p-15, -0x1.f1cb4d5c4da31p-15, -0x1.f3568d430128ap-15, -0x1.f4a82d0b3cd89p-15, -0x1.f5c0eef0a8121p-15, -0x1.f6a1975f9f743p-15, -0x1.f74aecde769cbp-15, -0x1.f7bdb7f644172p-15, -0x1.f7fac31b3ce24p-15, -0x1.f802da94b80cdp-15, -0x1.f7d6cc64e36bp-15, -0x1.f777683032c31p-15, -0x1.f6e57f249eb24p-15, -0x1.f621e3e0b6889p-15, -0x1.f52d6a5a93e16p-15, -0x1.f408e7c6bb7f2p-15, -0x1.f2b5327ef4c99p-15, -0x1.f13321e91fdabp-15, -0x1.ef838e5e1431ap-15, -0x1.eda751109336p-15, -0x1.eb9f43f45397cp-15, -0x1.e96c41a52c06ep-15, -0x1.e70f254e69e04p-15, -0x1.e488ca9256544p-15, -0x1.e1da0d71f0838p-15, -0x1.df03ca34e47fcp-15, -0x1.dc06dd51c5abdp-15, -0x1.d8e423568e49p-15, -0x1.d59c78d16b093p-15, -0x1.d230ba39d922fp-15, -0x1.cea1c3da196c9p-15, -0x1.caf071b8f9933p-15, -0x1.c71d9f83fe989p-15, -0x1.c32a2879ec45cp-15, -0x1.bf16e755b17eap-15, -0x1.bae4b639bb448p-15, -0x1.b6946e9baf1f7p-15, -0x1.b226e930919e2p-15, -0x1.ad9cfdd95b14bp-15, -0x1.a8f7838ffb541p-15, -0x1.a4375054cd6d8p-15, -0x1.9f5d391c7ec1ap-15, -0x1.9a6a11be6aca3p-15, -0x1.955eace36a8bdp-15, -0x1.903bdbf51a33dp-15, -0x1.8b026f0d96b03p-15, -0x1.85b334e7b05f3p-15, -0x1.804efacf97e28p-15, -0x1.7ad68c93ffaddp-15, -0x1.754ab477b929fp-15, -0x1.6fac3b23c8045p-15, -0x1.69fbe799ee30dp-15, -0x1.643a7f27ae185p-15, -0x1.5e68c559c68e4p-15, -0x1.58877bf023257p-15, -0x1.529762d24593fp-15, -0x1.4c99380422614p-15, -0x1.468db79b7308bp-15, -0x1.40759bb57c1f6p-15, -0x1.3a519c6d4721p-15, -0x1.34226fd24d5ep-15, -0x1.2de8c9df940b3p-15, }}, 
      std::vector<double>(518, 0.0), 
      std::vector<double>(518, 0.0), 
      std::vector<double>(518, 0.0), 
      std::vector<double>(518, 0.0), 
      std::vector<double>(518, 0.0), 
      std::vector<double>(518, 0.0), 
      std::vector<double>(518, 0.0), 
      std::vector<double>(518, 0.0), 
    }}, 
    {
      25, 0x1.bc28f5c28f5c3p+1, 0x1.6fa818a9b5d71p+1, 0x1.5d995a6bd5b3ep+1, -0x1.17d48ff427c94p-4, 
      {{
        {0x1.52fd86a8fc0d3p+0, 0x1.5fca5375c8dap+0, 0x1.188094e5d5b25p-2, -0x1.f750e311f17bcp-1, 0x1.696bb98c7e14cp+0, 0x1.95178397c8b39p-2}, 
        {0x1.5fca5375c8dap+0, 0x1.6c97204295a6cp+0, 0x1.d3abc947064edp-3, -0x1.ad8340fca2b6ep-1, 0x1.789c9b48959b9p+0, -0x1.fa5d647db9403p+0}, 
        {0x1.6c97204295a6cp+0, 0x1.7963ed0f62739p+0, 0x1.84cb5bb384fd3p-3, -0x1.69c92c65c3bb8p-1, 0x1.2ca8329c20389p+0, -0x1.0b2c77e4cce06p+0}, 
        {0x1.7963ed0f62739p+0, 0x1.8630b9dc2f406p+0, 0x1.422ee41919ac8p-3, -0x1.31a97b1d2be1ap-1, 0x1.0494ba39ce4a1p+0, -0x1.080b5bad8bbdfp+0}, 
        {0x1.8630b9dc2f406p+0, 0x1.92fd86a8fc0d3p+0, 0x1.09ff92f2b66b6p-3, -0x1.0181aa71a7478p-1, 0x1.b9f2d8f2bf74bp-1, -0x1.b9ae809cf9443p-1}, 
        {0x1.92fd86a8fc0d3p+0, 0x1.9fca5375c8dap+0, 0x1.b564302b40f67p-4, -0x1.b13f9ea0a1c44p-2, 0x1.77b245a800773p-1, -0x1.5b1acb4fbc5ap-1}, 
        {0x1.9fca5375c8dap+0, 0x1.ac97204295a6cp+0, 0x1.65e892253111fp-4, -0x1.6b50d8ddaae5fp-2, 0x1.43a173f5a4367p-1, -0x1.5cf8c0bba3604p-1}, 
        {0x1.ac97204295a6cp+0, 0x1.b963ed0f62739p+0, 0x1.235e74299d884p-4, -0x1.2fd30201461b8p-2, 0x1.0f48f0a64bb5p-1, -0x1.f78569a844fadp-2}, 
        {0x1.b963ed0f62739p+0, 0x1.c630b9dc2f406p+0, 0x1.d78e5c4eb56fcp-5, -0x1.faaff5f997ed1p-3, 0x1.d30aab0cf3779p-2, -0x1.daa8f8ac43b05p-2}, 
        {0x1.c630b9dc2f406p+0, 0x1.d2fd976ff3adep+0, 0x1.7b15b573eab36p-5, -0x1.a4661f2cc9873p-3, 0x1.8bd7b8f31c836p-2, -0x1.85ec201608c76p-2}, 
        {0x1.d2fd976ff3adep+0, 0x1.dfca643cc07abp+0, 0x1.2e87d2c7b890dp-5, -0x1.5b13ef07f33afp-3, 0x1.515a6779922f6p-2, -0x1.608bad4d7de4bp-2}, 
        {0x1.dfca643cc07abp+0, 0x1.ec9731098d478p+0, 0x1.df04ddb5525ccp-6, -0x1.1ce53a6028859p-3, 0x1.1c78a71458e6ap-2, -0x1.1f2c706affb79p-2}, 
        {0x1.ec9731098d478p+0, 0x1.f963fdd65a145p+0, 0x1.77dd872f33ca3p-6, -0x1.d09e16926d799p-4, 0x1.e2ca5fa231e2bp-3, -0x1.e74fe29018cc2p-3}, 
        {0x1.f963fdd65a145p+0, 0x1.0318655193709p+1, 0x1.241c3efae7925p-6, -0x1.775e7de23ae8bp-4, 0x1.99b1973fc7c4p-3, -0x1.a9864d3b8914p-3}, 
        {0x1.0318655193709p+1, 0x1.097ecbb7f9d6fp+1, 0x1.c19c17225b74ap-7, -0x1.2bd0302701cfcp-4, 0x1.59dd721073344p-3, -0x1.5e1c073a156cfp-3}, 
        {0x1.097ecbb7f9d6fp+1, 0x1.0fe5321e603d5p+1, 0x1.56d19dece5711p-7, -0x1.d7c8a3892d39fp-5, 0x1.25593dc7bcca7p-3, -0x1.50b9b6a0bbb23p-3}, 
        {0x1.0fe5321e603d5p+1, 0x1.164b9884c6a3cp+1, 0x1.0385c67dfe32ap-7, -0x1.6c8bcb2ebe61ep-5, 0x1.e5adf7f8dadfap-4, -0x1.1d73e6f73403p-3}, 
        {0x1.164b9884c6a3cp+1, 0x1.1cb1feeb2d0a2p+1, 0x1.878316a055758p-8, -0x1.13f946eac9ed1p-5, 0x1.900b32aeb1ab3p-4, -0x1.e391320f2b1fep-4}, 
        {0x1.1cb1feeb2d0a2p+1, 0x1.2318655193709p+1, 0x1.28283d35eb745p-8, -0x1.966fdee731eb9p-6, 0x1.478237f938005p-4, -0x1.7a68eadb0c57ep-4}, 
        {0x1.2318655193709p+1, 0x1.297ecbb7f9d6fp+1, 0x1.c66d373affb05p-9, -0x1.1ec92bb828b01p-6, 0x1.0ebf47f1f626p-4, -0x1.49524d86b2b19p-4}, 
        {0x1.297ecbb7f9d6fp+1, 0x1.2fe5321e603d5p+1, 0x1.680e065300581p-9, -0x1.78bbb1e4e919ap-7, 0x1.bab2abd51d171p-5, -0x1.2f26f5915249ap-4}, 
        {0x1.2fe5321e603d5p+1, 0x1.364b9884c6a3cp+1, 0x1.2d3415b1422cdp-9, -0x1.b3afb01c49ed4p-8, 0x1.5fc0955cb79bp-5, -0x1.044f4cd7db372p-4}, 
        {0x1.364b9884c6a3cp+1, 0x1.3cb1feeb2d0a2p+1, 0x1.0ea9e6eeb7026p-9, -0x1.730b130b3c499p-9, 0x1.11a8cb1bf5d6dp-5, -0x1.c8f20c53c23a9p-5}, 
        {0x1.3cb1feeb2d0a2p+1, 0x1.4318655193709p+1, 0x1.0624dd2f1a9fcp-9, 0x1.7f4dbc87ff78p-14, 0x1.9a3c2c1ecb03p-6, -0x1.5ac9a1381ee77p-3}, 
        {0x1.4318655193709p+1, 0x1.bc28f5c28f5c3p+1, 0x1.0c2c5e2cdc012p-9, 0x1.5b6a9c15d014p-10, -0x1.7a3eef89b87e4p-12, -0x1.058a11d640a14p-5}, 
      }}, 
      0x1.96e7fdc94f133p-5, -0x1.5424b1e91b0fep-6
    }
  };
  // clang-format on
}
SkfData params_mio_0_1_o_c() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.2db92ca2a114fp+0, -0x1.1d03423a9c37fp+0, -0x1.0c70a3f655482p+0, -0x1.f81c0d5fa357p-1, -0x1.d7cd3c4678e5dp-1, -0x1.b8080d5221a69p-1, -0x1.98dd7080482efp-1, -0x1.7a5ca2c3cda1bp-1, -0x1.5c92e16a57e89p-1, -0x1.3f8af6a78e8b3p-1, -0x1.234d56c3724e8p-1, -0x1.07e0c04f5baep-1, -0x1.da95a89796585p-2, -0x1.a7208016a3296p-2, -0x1.75690ed26b816p-2, -0x1.45738a06882c9p-2, -0x1.1741492eace89p-2, -0x1.d5a27fb7a86c9p-3, -0x1.80416d40513fdp-3, -0x1.2e57da6ff6bbp-3, -0x1.bfb9c23be2a82p-4, -0x1.299569c8292f5p-4, -0x1.343fb9ab7a279p-5, -0x1.13ba5179ef0d4p-8, 0x1.c4e2c7e280992p-6, 0x1.dac215b894fadp-5, 0x1.63630fbfb9b1cp-4, 0x1.d365ab513d843p-4, 0x1.1ec85fdc69023p-3, 0x1.51068e12277d4p-3, 0x1.808247e26048ep-3, 0x1.ad50f70c6b809p-3, 0x1.d788747155cf4p-3, 0x1.ff3ee007544fcp-3, 0x1.12453704424d9p-2, 0x1.23c09b0921a0ap-2, 0x1.341c86cd23264p-2, 0x1.4363b8edd5de1p-2, 0x1.51a0c0647b13fp-2, 0x1.5eddfebec110dp-2, 0x1.6b25ad772f622p-2, 0x1.7681e375aad9ep-2, 0x1.80fc97ea3a9fcp-2, 0x1.8a9fa0726df4fp-2, 0x1.9374a9cc95e5fp-2, 0x1.9b852c041d3dcp-2, 0x1.a2da5c7e7e37dp-2, 0x1.a97d211440c21p-2, 0x1.af760721f38adp-2, 0x1.b4cd4059dfa28p-2, 0x1.b98aa58c9ce5ap-2, 0x1.bdb5be27abf28p-2, 0x1.c155ca35ccbffp-2, 0x1.c471cc68acdc8p-2, 0x1.c71092128215ap-2, 0x1.c938b7c501654p-2, 0x1.caf0aa44774d4p-2, 0x1.cc3ea45c0ee99p-2, 0x1.cd28aab10bf2p-2, 0x1.cdb486e17777cp-2, 0x1.cde7c3134400fp-2, 0x1.cdc7a6bcec5c5p-2, 0x1.cd593507400bep-2, 0x1.cca9d559a00f3p-2, 0x1.cbad46ac9cc57p-2, 0x1.ca6f3033957aap-2, 0x1.c8f38db1f5462p-2, 0x1.c73e3011027abp-2, 0x1.c552c0189cf28p-2, 0x1.c334c0366d2ep-2, 0x1.c0e78d6a52af3p-2, 0x1.be6e5f8649a1p-2, 0x1.bbcc48fe066c9p-2, 0x1.b90436867b2c8p-2, 0x1.b618eec03055ap-2, 0x1.b30d121b7fb68p-2, 0x1.afe31b1627f1dp-2, 0x1.ac9d5ee1b4698p-2, 0x1.a93e0e73f4f15p-2, 0x1.a5c737f7b9f62p-2, 0x1.a23ac88cb6711p-2, 0x1.9e9a8e418be2bp-2, 0x1.9ae83a31f3df9p-2, 0x1.972562b410414p-2, 0x1.9353858222d36p-2, 0x1.8f7409d0f4483p-2, 0x1.8b88424636891p-2, 0x1.87916ec545ae9p-2, 0x1.8390be0b8963ep-2, 0x1.7f874f1874351p-2, 0x1.7b76325fc94b1p-2, 0x1.775e6ac759cf1p-2, 0x1.7340ee73c6274p-2, 0x1.6f1ea769c3bfp-2, 0x1.6af8740ae47a6p-2, 0x1.66cf2775ab3a6p-2, 0x1.62a389d0d56b8p-2, 0x1.5e76588963ee5p-2, 0x1.5a484689fc314p-2, 0x1.5619fc7135fap-2, 0x1.51ec18cb2c5eep-2, 0x1.4dbf30519dec9p-2, 0x1.4993ce34dacc3p-2, 0x1.456a746ee5264p-2, 0x1.41439c215d41bp-2, 0x1.3d1fb5fe11583p-2, 0x1.38ff2ab9618a7p-2, 0x1.34e25b84fe991p-2, 0x1.30c9a2910bcf3p-2, 0x1.2cb5539134eacp-2, 0x1.28a5bc431082dp-2, 0x1.249b24f31cddep-2, 0x1.2095d0fdb33e7p-2, 0x1.1c95ff49a842ep-2, 0x1.189beabaa69d6p-2, 0x1.14a7ca99d0f08p-2, 0x1.10b9d2f3a9179p-2, 0x1.0cd234eac2965p-2, 0x1.08f11eff14a62p-2, 0x1.0516bd4a2f29dp-2, 0x1.014339b0d4479p-2, 0x1.faed78155ddddp-3, 0x1.f362d48225d27p-3, 0x1.ebe6d0cba0306p-3, 0x1.e479b18687e8p-3, 0x1.dd1bb7cdb2619p-3, 0x1.d5cd214e7d094p-3, 0x1.ce8e284f0d519p-3, 0x1.c75f03b0ce6abp-3, 0x1.c03fe6f1453fp-3, 0x1.b931022b2668p-3, 0x1.b23282192937fp-3, 0x1.ab44901bcf3bp-3, 0x1.a4675242cd76dp-3, 0x1.9d9aeb5a9fc0ep-3, 0x1.96df7afe3736bp-3, 0x1.90351daca9747p-3, 0x1.899bece26c6f1p-3, 0x1.8313ff359699dp-3, 0x1.7c9d68747edb8p-3, 0x1.763839c616f55p-3, 0x1.6fe481cb4f8dap-3, 0x1.69a24cc0fbc68p-3, 0x1.6371a4a198addp-3, 0x1.5d529146870fbp-3, 0x1.5745188852836p-3, 0x1.51493e5da9566p-3, 0x1.4b611a42a193p-3, 0x1.45882df9c74abp-3, 0x1.3fc0ddb964f97p-3, 0x1.3a0b295d97fb6p-3, 0x1.34670f39d8529p-3, 0x1.2ed48c21180bfp-3, 0x1.29539b6e50989p-3, 0x1.23e4370d92554p-3, 0x1.1e8657859d4a2p-3, 0x1.1939f401e9a04p-3, 0x1.13ff025d2a5b5p-3, 0x1.0ed5772c1914bp-3, 0x1.09bd45c88c7bep-3, 0x1.04b6605ca310dp-3, 0x1.ff816fdbe9d18p-4, 0x1.f5b878d159a28p-4, 0x1.ec11b954d5d54p-4, 0x1.e28d0d19b8fb3p-4, 0x1.d92a4ddfe45cap-4, 0x1.cfe953875b05bp-4, 0x1.c6c9f422d4f16p-4, 0x1.bdcc04095f6eap-4, 0x1.b4ef55e6f21f3p-4, 0x1.ac33bacbf6ccep-4, 0x1.a399023bd066cp-4, 0x1.9b1efa3a7b88dp-4, 0x1.92c56f594482cp-4, 0x1.8a8c2cc2b012p-4, 0x1.8272fc45b7b41p-4, 0x1.7a79a66068b2ep-4, 0x1.729ff24a03a64p-4, 0x1.6ae5a5fcb7817p-4, 0x1.634a863f10fb4p-4, 0x1.5bce56ad36f22p-4, 0x1.5470d9c2096ecp-4, 0x1.4d31d0e0388f1p-4, 0x1.4610fc5b63896p-4, 0x1.3f0e1b814dac4p-4, 0x1.3828eca335da2p-4, 0x1.31612d1f5789p-4, 0x1.2ab6996a9b14fp-4, 0x1.2428ed1a7754ep-4, 0x1.1db7e2ef0335cp-4, 0x1.176334dd37b6ep-4, 0x1.112a9c1959d5ap-4, 0x1.0b0dd12189103p-4, 0x1.050c8bc86b76bp-4, 0x1.fe4d067fd8c4p-5, 0x1.f2b6dc48127b1p-5, 0x1.e756050b3fcc5p-5, 0x1.dc29ebea71fbp-5, 0x1.d131fb1b86ec3p-5, 0x1.c66d9bfe78d73p-5, 0x1.bbdc373270bd1p-5, 0x1.b17d34aa949eep-5, 0x1.a74ffbc284c6ap-5, 0x1.9d53f3527d95ep-5, 0x1.938881c312975p-5, 0x1.89ed0d2083876p-5, 0x1.8080fb2d9f5dbp-5, 0x1.7743b17633ee7p-5, 0x1.6e34956108087p-5, 0x1.65530c415bd5cp-5, 0x1.5c9e7b67f57a8p-5, 0x1.54164833adfc2p-5, 0x1.4bb9d8218d914p-5, 0x1.438890dc6f9ccp-5, 0x1.3b81d84c3071p-5, 0x1.33a514a46c984p-5, 0x1.2bf1ac72cfe07p-5, 0x1.246706acf645ap-5, 0x1.1d048abde56c6p-5, 0x1.15c9a0931ce7ap-5, 0x1.0eb5b0a943a11p-5, 0x1.07c8241871ae7p-5, 0x1.010064a01c368p-5, 0x1.f4bbb965455f6p-6, 0x1.e7bfef0101498p-6, 0x1.db0c42064ce97p-6, 0x1.ce9f8c0ef2d25p-6, 0x1.c278a86ff8602p-6, 0x1.b696744d489a3p-6, 0x1.aaf7ceaca8d3fp-6, 0x1.9f9b988813325p-6, 0x1.9480b4df61453p-6, 0x1.89a608c951f74p-6, 0x1.7f0a7b83e802fp-6, 0x1.74acf684296p-6, 0x1.6a8c658533b0cp-6, 0x1.60a7b696b0f3bp-6, 0x1.56fdda2aa1e9ep-6, 0x1.4d8dc322934e7p-6, 0x1.445666dc226ecp-6, 0x1.3b56bd3ce9c2bp-6, 0x1.328dc0bdc4a2bp-6, 0x1.29fa6e757f37ep-6, 0x1.219bc622db6c9p-6, 0x1.1970ca36037f4p-6, 0x1.11787fd956839p-6, 0x1.09b1eef9a8da5p-6, 0x1.021c224ddbc78p-6, 0x1.f56c4ebbdd407p-7, 0x1.e6fe1d12e4b16p-7, 0x1.d8ebd61ae0aaep-7, 0x1.cb33a6137f251p-7, 0x1.bdd3bf0ba125fp-7, 0x1.b0ca58e9d7bd9p-7, 0x1.a415b173df768p-7, 0x1.97b40c5500e37p-7, 0x1.8ba3b3238e972p-7, 0x1.7fe2f56544014p-7, 0x1.74702892d13p-7, 0x1.6949a81a65058p-7, 0x1.5e6dd561509d3p-7, 0x1.53db17c4dbcf8p-7, 0x1.498fdc9a290c4p-7, 0x1.3f8a972d581d2p-7, 0x1.35c9c0bfd5f15p-7, 0x1.2c4bd885e3dc2p-7, 0x1.230f63a3674dfp-7, 0x1.1a12ed27fdaa9p-7, 0x1.1155060a5eefdp-7, 0x1.08d445231267ep-7, 0x1.008f472686042p-7, 0x1.f1095d3cfbea1p-8, 0x1.e16647c5e6096p-8, 0x1.d232aa24b6655p-8, 0x1.c36bec12c4648p-8, 0x1.b50f80b44a268p-8, 0x1.a71ae685c1cbfp-8, 0x1.998ba7485de74p-8, 0x1.8c5f57ed8d53dp-8, 0x1.7f9398819494cp-8, 0x1.732614156784ep-8, 0x1.671480a7a028p-8, 0x1.5b5c9f0cbbfe5p-8, 0x1.4ffc3ad6a069ep-8, 0x1.44f12a3b603d3p-8, 0x1.3a394dfb7e1efp-8, 0x1.2fd291476dd5ep-8, 0x1.25bae9a4938adp-8, 0x1.1bf056d1b52c9p-8, 0x1.1270e2aae230ep-8, 0x1.093aa10cf7bp-8, 0x1.004bafb8980c2p-8, 0x1.ef446c6996ad8p-9, 0x1.de78cb625e3dap-9, 0x1.ce30f1cfcd449p-9, 0x1.be6967fe3680cp-9, 0x1.af1ec8d48670fp-9, 0x1.a04dc1965587cp-9, 0x1.91f311a567721p-9, 0x1.840b8a42c2c79p-9, 0x1.76940e4f94612p-9, 0x1.6989920d82912p-9, 0x1.5ce91adf04dd3p-9, 0x1.50afbf075151ep-9, 0x1.44daa56a3e942p-9, 0x1.3967054bf8e98p-9, 0x1.2e522610b860ep-9, 0x1.23995efc5f55bp-9, 0x1.193a16f22826fp-9, 0x1.0f31c4345e305p-9, 0x1.057dec243a3a3p-9, 0x1.f8384603b8608p-10, 0x1.e6141758c8bc3p-10, 0x1.d48aaec4d67ebp-10, 0x1.c3978b051fa8ap-10, 0x1.b3049d67091ep-10, 0x1.a32df5b858a2p-10, 0x1.93e0e626ff024p-10, 0x1.85195978571b6p-10, 0x1.76d35419d678ep-10, 0x1.690af3a866857p-10, 0x1.5bbc6e78b56d8p-10, 0x1.4ee41320f84dbp-10, 0x1.427e480351c2dp-10, 0x1.36878ad9b627fp-10, 0x1.2afc7042c0c58p-10, 0x1.1fd9a34fd0a43p-10, 0x1.151be51451fc8p-10, 0x1.0ac00c364527ap-10, 0x1.00c3047ff2db1p-10, 0x1.ee439ce5f61bbp-11, 0x1.dbb2fdb91c763p-11, 0x1.c9ce7cd60a7f1p-11, 0x1.b89092893236dp-11, 0x1.a7f3dd3f78d3ep-11, 0x1.97f320b8b7501p-11, 0x1.8889453d8a898p-11, 0x1.79b156d78974bp-11, 0x1.6b66848bd1628p-11, 0x1.5da41f990b0f6p-11, 0x1.50659ab745df1p-11, 0x1.43a6895b2d41ep-11, 0x1.37629efb84317p-11, 0x1.2b95ae5998e19p-11, 0x1.203ba8cc16a16p-11, 0x1.15509d8d19ccfp-11, 0x1.0ad0b90a929e8p-11, 0x1.00b844393f60ap-11, 0x1.ee0747d5c1a08p-12, 0x1.db5eb04d73873p-12, 0x1.c96ff70956bffp-12, 0x1.b8348517168b8p-12, 0x1.a7a5f6233f3fep-12, 0x1.97be174020f6cp-12, 0x1.8876e5b1dfa5p-12, 0x1.79ca8dc00b20bp-12, 0x1.6bb3698bba531p-12, 0x1.5e2bffec9549bp-12, 0x1.512f035124f1fp-12, 0x1.44b750a5fde2ep-12, 0x1.38bfee41118d3p-12, 0x1.2d440ad2acba2p-12, 0x1.223efc5b32dd5p-12, 0x1.17ac3f26b7593p-12, 0x1.0d8774ccb08d6p-12, 0x1.03cc63354cf31p-12, 0x1.f4ede747251afp-13, 0x1.e30663885e069p-13, 0x1.d1da9583e1f49p-13, 0x1.c16318bc0b56dp-13, 0x1.b198c81c13368p-13, 0x1.a274bc3ba9f8cp-13, 0x1.93f049ae21b44p-13, 0x1.8604ff58a4ac1p-13, 0x1.78aca4d394deap-13, 0x1.6be138d3564dap-13, 0x1.5f9cef9b1bd14p-13, 0x1.53da31784b7b1p-13, 0x1.48939945b3783p-13, 0x1.3dc3f2f8a92e2p-13, 0x1.33663a3541fe9p-13, 0x1.297598ec71c54p-13, 0x1.1fed66008155p-13, 0x1.16c923f2b2ef1p-13, 0x1.0e047f989b4e8p-13, 0x1.059b4ed86a04cp-13, 0x1.fb131edd0416fp-14, 0x1.eb96cb712b862p-14, 0x1.dcba371394632p-14, 0x1.ce763e079ebbcp-14, 0x1.c0c402f46d554p-14, 0x1.b39cecb3ee7d5p-14, 0x1.a6faa42fc7196p-14, 0x1.9ad7124ff7e56p-14, 0x1.8f2c5df187fbp-14, 0x1.83f4e9ebe9661p-14, 0x1.792b53234f4aap-14, 0x1.6eca6ea640395p-14, 0x1.64cd47d799469p-14, 0x1.5b2f1ea49ca98p-14, 0x1.51eb65c4860f1p-14, 0x1.48fdc107487d9p-14, 0x1.406203abe312dp-14, 0x1.38142ec1ad1edp-14, 0x1.30106f97d44a7p-14, 0x1.28531e333542fp-14, 0x1.20d8bbd0b503dp-14, 0x1.199df171a7a9fp-14, 0x1.129f8e705d584p-14, 0x1.0bda87223cdd2p-14, 0x1.054bf37f9c232p-14, 0x1.fde21bae95f8ap-15, 0x1.f18e6315eed6ap-15, 0x1.e597b3a94beb3p-15, 0x1.d9f9412bb687cp-15, 0x1.ceae7a5b6b3c6p-15, 0x1.c3b306b4b573p-15, 0x1.b902c4445ce85p-15, 0x1.ae99c58974bb2p-15, 0x1.a4744f6897352p-15, 0x1.9a8ed72fd1833p-15, 0x1.90e600ab222dbp-15, 0x1.87769c437ba33p-15, 0x1.7e3da5374e635p-15, 0x1.75383fd9f49b5p-15, 0x1.6c63b7e1c4009p-15, 0x1.63bd7ec968549p-15, 0x1.5b432a3ab0866p-15, 0x1.52f27289023b1p-15, 0x1.4ac93138ee761p-15, 0x1.42c55f939ca41p-15, 0x1.3ae5154783cecp-15, 0x1.332687167089fp-15, 0x1.2b88058dd4384p-15, 0x1.2407fbc6e4fe1p-15, 0x1.1ca4ee3d04b41p-15, 0x1.155d79a26dc6dp-15, 0x1.0e3051c6de025p-15, 0x1.071c40848da75p-15, 0x1.002024ba16fdcp-15, 0x1.f275e2978fcc5p-16, 0x1.e4d7585dcb259p-16, 0x1.d762dafabeeb3p-16, 0x1.ca16bd2543224p-16, 0x1.bcf17260a7229p-16, 0x1.aff18d5818cf5p-16, 0x1.a315be44a12c6p-16, 0x1.965cd16b0c68dp-16, 0x1.89c5ad9fcc699p-16, 0x1.7d4f52de24b74p-16, 0x1.70f8d8ea8ea37p-16, 0x1.64c16e053666ep-16, 0x1.58a855a1b53dap-16, 0x1.4cace739f9654p-16, 0x1.40ce8d1f4645dp-16, 0x1.350cc35934c0ap-16, 0x1.2967169949c99p-16, 0x1.1ddd2330c35f9p-16, 0x1.126e940c6db75p-16, 0x1.071b21cdd79b6p-16, 0x1.f7c523afdc712p-17, 0x1.e1896aecc827cp-17, 0x1.cb82d20890f3dp-17, 0x1.b5b1263f6855ap-17, 0x1.a01447ccb6171p-17, 0x1.8aac2874e85e8p-17, 0x1.7578ca1c20cafp-17, 0x1.607a3d6b6d7eep-17, 0x1.4bb0a093ace5ap-17, 0x1.371c1e126620bp-17, 0x1.22bceb842a462p-17, 0x1.0e93488b2931bp-17, 0x1.f53efb7f9041fp-18, 0x1.cdc3b7627df5ep-18, 0x1.a6b573e0dadb2p-18, 0x1.8014ec4fec8f4p-18, 0x1.59e2e67b3be63p-18, 0x1.34203106414a8p-18, 0x1.0ecda1e4ad5aep-18, 0x1.d3d829bab2b0bp-19, 0x1.8af8d46820348p-19, 0x1.42ff0a622b334p-19, 0x1.f7d92c9786d19p-20, 0x1.6b868865b2feep-20, 0x1.c2137ddeb652ap-21, 0x1.619985e195b7dp-22, -0x1.730040444ab29p-23, -0x1.668c0506898b9p-21, -0x1.36482324a2acep-20, -0x1.b76312a27b2f6p-20, -0x1.1b49c7f0fe469p-19, -0x1.59eb396b70357p-19, -0x1.97945780e57dep-19, -0x1.d443aad8517ddp-19, -0x1.07fbe60cbdbd7p-18, -0x1.2557b27011db5p-18, -0x1.4234984fb0e9ep-18, -0x1.5e91febd916fbp-18, -0x1.7a6f56790ed91p-18, -0x1.95cc1a40499b1p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.bf711c58cf92ep+0, -0x1.b812688500608p+0, -0x1.b09d993d62cf8p+0, -0x1.a9176c65e288dp+0, -0x1.a1844ccbacc32p+0, -0x1.99e85e24eb484p+0, -0x1.92477bc53574dp+0, -0x1.8aa5391085cp+0, -0x1.8304e2dcd0203p+0, -0x1.7b69808d8934p+0, -0x1.73d5daa25547dp+0, -0x1.6c4c81b3de876p+0, -0x1.64cfcfea7eb08p+0, -0x1.5d61e81e2c742p+0, -0x1.5604b74600acp+0, -0x1.4eb9f84b10c04p+0, -0x1.478338c2d81ecp+0, -0x1.4061ddac169e5p+0, -0x1.3957271aa4ba7p+0, -0x1.326432340a3ebp+0, -0x1.2b89fa26629a7p+0, -0x1.24c95f4e70954p+0, -0x1.1e230fd290cfep+0, -0x1.1797b031d5b94p+0, -0x1.1127c6bcbf065p+0, -0x1.0ad3c2947338p+0, -0x1.049bfd4194a55p+0, -0x1.fd0177c318724p-1, -0x1.f10460d1b30d6p-1, -0x1.e540f670e4a5ap-1, -0x1.d9b759a1c747ap-1, -0x1.ce678e90e04a9p-1, -0x1.c3517ec9dcb64p-1, -0x1.b874fb0cf2ee2p-1, -0x1.add1bd45cf531p-1, -0x1.a3676ad033f19p-1, -0x1.993596ccea8c3p-1, -0x1.8f3bc42656d4bp-1, -0x1.857967142ca78p-1, -0x1.7bede63be6c45p-1, -0x1.72989bb975168p-1, -0x1.6978d6511bf79p-1, -0x1.608ddadbaa1c9p-1, -0x1.57d6e5ce5df68p-1, -0x1.4f532cab0b7p-1, -0x1.4701df301d1dfp-1, -0x1.3ee2283da794fp-1, -0x1.36f32e821e885p-1, -0x1.2f3415106581ap-1, -0x1.27a3fbfdee65bp-1, -0x1.204201175b9ep-1, -0x1.190d40a66e35ap-1, -0x1.1204d6361e78ap-1, -0x1.0b27dd3ea7f82p-1, -0x1.047571aa62c1ap-1, -0x1.fbd96061f4b6fp-2, -0x1.ef196d258c52cp-2, -0x1.e2a9478a8e16ep-2, -0x1.d687304465847p-2, -0x1.cab16b4a4f082p-2, -0x1.bf2640779f1dp-2, -0x1.b3e3fc48218f6p-2, -0x1.a8e8f09c4c0eap-2, -0x1.9e337718c0237p-2, -0x1.93c1e2507ff25p-2, -0x1.8992a2ce4a725p-2, -0x1.7fa42524b9963p-2, -0x1.75f4dd020891ap-2, -0x1.6c834553896aap-2, -0x1.634de0560dfd1p-2, -0x1.5a533797e150ap-2, -0x1.5191dbf2b15e6p-2, -0x1.49086583f39c9p-2, -0x1.40b573a8b0ca7p-2, -0x1.3897acff1ca39p-2, -0x1.30adbf6d7e542p-2, -0x1.28f6602bb882p-2, -0x1.21704bcb8b71p-2, -0x1.1a1a463bb1efep-2, -0x1.12f31ac31173dp-2, -0x1.0bf99bf2eee75p-2, -0x1.052ca390e074p-2, -0x1.fd1624f55689ap-3, -0x1.f027a10dbdf25p-3, -0x1.e38b98ca0d528p-3, -0x1.d73ff6fee5de6p-3, -0x1.cb42b3bf0f9fp-3, -0x1.bf91d4289d78bp-3, -0x1.b42b6a343a76dp-3, -0x1.a90d948336eabp-3, -0x1.9e367e29289ap-3, -0x1.93a45e6e993d4p-3, -0x1.8955788bef507p-3, -0x1.7f481b5cff2a7p-3, -0x1.757aa10f46ecfp-3, -0x1.6beb6ecd8365cp-3, -0x1.6298f46b96bd1p-3, -0x1.5981ac158183bp-3, -0x1.50a41a036e0dfp-3, -0x1.47fecc33fa0f5p-3, -0x1.3f905a2cefb7bp-3, -0x1.375764c1e6dd8p-3, -0x1.2f5295df918adp-3, -0x1.2780a05a4a69bp-3, -0x1.1fe03fbe45008p-3, -0x1.1870381ff7fcap-3, -0x1.112f55eb9d82dp-3, -0x1.0a1c6db316f66p-3, -0x1.03365bf9cd4d1p-3, -0x1.f8f809fd57aep-4, -0x1.ebd8a90925724p-4, -0x1.df0c7b33c09ccp-4, -0x1.d29174bfacf16p-4, -0x1.c66597a5303c6p-4, -0x1.ba86f3250b3a1p-4, -0x1.aef3a35f0823cp-4, -0x1.a3a9d0ed48dbp-4, -0x1.98a7b084c9b0fp-4, -0x1.8deb829b332c6p-4, -0x1.83739311aba4fp-4, -0x1.793e38e445a7bp-4, -0x1.6f49d5dd453bfp-4, -0x1.6594d64b845ebp-4, -0x1.5c1db0bb3d488p-4, -0x1.52e2e5b085a4cp-4, -0x1.49e2ff6305914p-4, -0x1.411c917a8c736p-4, -0x1.388e38cc5803p-4, -0x1.30369b191abd2p-4, -0x1.281466cbdbf2ep-4, -0x1.202652b9f8b6ep-4, -0x1.186b1de4879f3p-4, -0x1.10e18f3b72edap-4, -0x1.098875628547ep-4, -0x1.025ea678a14bp-4, -0x1.f6c5ffc28203p-5, -0x1.e928cc209cf33p-5, -0x1.dbe388b08a97ep-5, -0x1.cef4197514da4p-5, -0x1.c2586f73a9a3ap-5, -0x1.b60e885ce549cp-5, -0x1.aa146e3887aadp-5, -0x1.9e6837145e19ep-5, -0x1.930804b5d2982p-5, -0x1.87f2044dce5fdp-5, -0x1.7d246e2ea7fa6p-5, -0x1.729d8583e81adp-5, -0x1.685b84c2efe37p-5, -0x1.5e5ce4c43c4abp-5, -0x1.549ffb17414f6p-5, -0x1.4b2333abe89f6p-5, -0x1.41e503efbe6c7p-5, -0x1.38e3ea900de68p-5, -0x1.301e6f3df2bcp-5, -0x1.279322743e8eap-5, -0x1.1f409d3f330fap-5, -0x1.17258105ec866p-5, -0x1.0f40775583cb9p-5, -0x1.079031adbdd8cp-5, -0x1.0013694f450f8p-5, -0x1.f191be16aee7fp-6, -0x1.e35eb629bd341p-6, -0x1.d58b59a5a49cp-6, -0x1.c8155567dcd4fp-6, -0x1.bafa64072e88ep-6, -0x1.ae384d7feba5ep-6, -0x1.a1cce6e266976p-6, -0x1.95b61203a2137p-6, -0x1.89f1bd3027e51p-6, -0x1.7e7de2e0fa089p-6, -0x1.7358897288498p-6, -0x1.687fc2ddab169p-6, -0x1.5df1ac7286b17p-6, -0x1.53ac6e95598bp-6, -0x1.49ae3c7d1a5a6p-6, -0x1.3ff553f3e5ef6p-6, -0x1.367ffd1916bf4p-6, -0x1.2d4c8a2520367p-6, -0x1.2459572efbd88p-6, -0x1.1ba4c9f31acf7p-6, -0x1.132d519bef9e2p-6, -0x1.0af1668bd0a22p-6, -0x1.02ef8a285692bp-6, -0x1.f64c8d4dfd63fp-7, -0x1.e7285db64fd2cp-7, -0x1.d86fbc0a86d2p-7, -0x1.ca1fef4675cc2p-7, -0x1.bc364e840f17fp-7, -0x1.aeb040a0ace0bp-7, -0x1.a18b3be4ad602p-7, -0x1.94c4c5ad014e6p-7, -0x1.885a7216d9914p-7, -0x1.7c49e3ad41801p-7, -0x1.7090cb189eb2cp-7, -0x1.652ce6d0138cp-7, -0x1.5a1c02cca2b74p-7, -0x1.4f5bf83e166adp-7, -0x1.44eaad419d37dp-7, -0x1.3ac6149a0456dp-7, -0x1.30ec2d69888b2p-7, -0x1.275b02ed42afp-7, -0x1.1e10ac3a1cc3cp-7, -0x1.150b4bfb18c7p-7, -0x1.0c4910313c9e2p-7, -0x1.03c831f4ba3ecp-7, -0x1.f70dea6ee9bbcp-8, -0x1.e7075111ed6e8p-8, -0x1.d77949b716d84p-8, -0x1.c8609a9544e2ap-8, -0x1.b9ba1dc4f3a8ap-8, -0x1.ab82c0d1c2b41p-8, -0x1.9db7844e4ed41p-8, -0x1.90557b6a6a88ap-8, -0x1.8359cb8b5fb84p-8, -0x1.76c1abe65c773p-8, -0x1.6a8a651d05874p-8, -0x1.5eb150dbfb0dep-8, -0x1.5333d97b66dc5p-8, -0x1.480f79a16bc29p-8, -0x1.3d41bbe68efap-8, -0x1.32c83a7be86cfp-8, -0x1.28a09ed32715dp-8, -0x1.1ec8a14864ad3p-8, -0x1.153e08cdaad11p-8, -0x1.0bfeaa982e6cdp-8, -0x1.030869cf280e8p-8, -0x1.f4b26e78ddcp-9, -0x1.e3de21fcef61fp-9, -0x1.d3900478445f2p-9, -0x1.c3c445b389847p-9, -0x1.b4772e5febe93p-9, -0x1.a5a51f8756a4fp-9, -0x1.974a91ffa5201p-9, -0x1.896415e072bcfp-9, -0x1.7bee51fc13774p-9, -0x1.6ee6035ae0acdp-9, -0x1.6247fcb959dabp-9, -0x1.56112608a8b77p-9, -0x1.4a3e7bf215672p-9, -0x1.3ecd0f5c917cfp-9, -0x1.33ba04f4f3798p-9, -0x1.290294b86c8ep-9, -0x1.1ea4098198e7ap-9, -0x1.149bc097a6c88p-9, -0x1.0ae7293fd40b1p-9, -0x1.0183c4513f3f2p-9, -0x1.f0de47958c055p-10, -0x1.df4dd4d648c1p-10, -0x1.ce5196965cbaap-10, -0x1.bde512f4259dfp-10, -0x1.ae03ef37549edp-10, -0x1.9ea9ef11b9f99p-10, -0x1.8fd2f3e3d0d81p-10, -0x1.817afc052e81fp-10, -0x1.739e221106635p-10, -0x1.66389c35bb72bp-10, -0x1.5946bb893a922p-10, -0x1.4cc4eb5fa408ep-10, -0x1.40afb0a6b856cp-10, -0x1.3503a943f3d4p-10, -0x1.29bd8b7612e3bp-10, -0x1.1eda253ab3fdcp-10, -0x1.14565bb655347p-10, -0x1.0a2f2aa04949bp-10, -0x1.0061a3b17e3e8p-10, -0x1.edd5dc2c57149p-11, -0x1.db908bc6e735ep-11, -0x1.c9edf71dfd7f5p-11, -0x1.b8e8e6d46b2fp-11, -0x1.a87c4a408b8b5p-11, -0x1.98a3366d13cbfp-11, -0x1.8958e52168f97p-11, -0x1.7a98b3ed93bdcp-11, -0x1.6c5e233ca27f1p-11, -0x1.5ea4d56c486d2p-11, -0x1.51688de8ec238p-11, -0x1.44a530503e08bp-11, -0x1.3856bf9786bc7p-11, -0x1.2c795d377f41fp-11, -0x1.2109485d1712ap-11, -0x1.1602dd1e66722p-11, -0x1.0b6293b52141ep-11, -0x1.0124ffbcdc03dp-11, -0x1.ee8d9eec95dd2p-12, -0x1.db89961d56767p-12, -0x1.c937a7d71156fp-12, -0x1.b791c7f5a8ef8p-12, -0x1.a6921a0e4a3bep-12, -0x1.9632f01f1c18ap-12, -0x1.866ec948df211p-12, -0x1.7740508f31369p-12, -0x1.68a25b9f7f0bbp-12, -0x1.5a8fe9a192e6fp-12, -0x1.4d04220e75fdbp-12, -0x1.3ffa538e731e3p-12, -0x1.336df2dd63d61p-12, -0x1.275a99b89c9dap-12, -0x1.1bbc05d0a38a3p-12, -0x1.108e17c35e951p-12, -0x1.05ccd21baabdep-12, -0x1.f6e8b0b1be4b9p-13, -0x1.e301dbf3908d5p-13, -0x1.cfddeb23b69c8p-13, -0x1.bd75dfc101011p-13, -0x1.abc2f5e070047p-13, -0x1.9abea276d1983p-13, -0x1.8a6291abacbcep-13, -0x1.7aa8a53a22f86p-13, -0x1.6b8af2d81a7afp-13, -0x1.5d03c2ae5beffp-13, -0x1.4f0d8dd4cc58fp-13, -0x1.41a2fcdbbae26p-13, -0x1.34bee65f691d2p-13, -0x1.285c4da321105p-13, -0x1.1c76613802b15p-13, -0x1.10f7a5575da1p-13, -0x1.05fcf60d338cp-13, -0x1.f6e306511b7cbp-14, -0x1.e2a2364e69824p-14, -0x1.cf2f63206e414p-14, -0x1.bc82bba01467p-14, -0x1.aa94b436e189ap-14, -0x1.995e04b2c3fddp-14, -0x1.88d7a62baf657p-14, -0x1.78fad0f71c344p-14, -0x1.69c0faa97abdfp-14, -0x1.5b23d42702163p-14, -0x1.4d1d47c276cccp-14, -0x1.3fa77764ccf46p-14, -0x1.32bcbacc65175p-14, -0x1.26579dce117abp-14, -0x1.1a72dea8c0d59p-14, -0x1.0f096c63a6708p-14, -0x1.04166539cba26p-14, -0x1.f32a2a1ef8cbap-15, -0x1.df01e7e20be0bp-15, -0x1.cbab49473f68fp-15, -0x1.b91de676c3497p-15, -0x1.a751a77595996p-15, -0x1.963ec185d1cbdp-15, -0x1.85ddb48675db5p-15, -0x1.762748810a4a7p-15, -0x1.67148b335cef9p-15, -0x1.589ecdb645efbp-15, -0x1.4abfa2364135fp-15, -0x1.3d70d9b9b1984p-15, -0x1.30ac81feacb88p-15, -0x1.246ce35a56d06p-15, -0x1.18ac7ec0d7b83p-15, -0x1.0d660bc9cd5e5p-15, -0x1.029476c90bc24p-15, -0x1.f065bded2d113p-16, -0x1.dc792950b89ep-16, -0x1.c95a2f2898a02p-16, -0x1.b7002a4a0f824p-16, -0x1.a562cdb288971p-16, -0x1.947a216564ad5p-16, -0x1.843e7f604ed98p-16, -0x1.74a89095c565dp-16, -0x1.65b14a3081bfap-16, -0x1.5751eab9a254fp-16, -0x1.4983f772a63f1p-16, -0x1.3c4139bacf42bp-16, -0x1.2f83bc8deb02ap-16, -0x1.2345ca17a91f3p-16, -0x1.1781e959c5fcfp-16, -0x1.0c32dbe7562fap-16, -0x1.01539bb189caap-16, -0x1.edbeb1cd6141p-17, -0x1.d9a2efd184668p-17, -0x1.c64b1e94b269p-17, -0x1.b3aecbd6485abp-17, -0x1.a1c5e2233f07bp-17, -0x1.9088a554e0524p-17, -0x1.7fefaf0ebe53ap-17, -0x1.6ff3eb762ebcfp-17, -0x1.608e95d94bf6ep-17, -0x1.51b935afc6658p-17, -0x1.436d9b75deadap-17, -0x1.35a5ddeffd313p-17, -0x1.285c57206ed92p-17, -0x1.1b8ba1caabbe4p-17, -0x1.0f2e96b5c103dp-17, -0x1.03404a2dcae8dp-17, -0x1.ef7813260bdeap-18, -0x1.d93ab2105e3fep-18, -0x1.c3bfe246404d8p-18, -0x1.aeff79928d2c9p-18, -0x1.9af1ae2e6e8f4p-18, -0x1.878f1270a0c66p-18, -0x1.74d091530dd01p-18, -0x1.62af6a670c225p-18, -0x1.51252e4127738p-18, -0x1.402bbb065839ap-18, -0x1.2fbd3908a06cep-18, -0x1.1fd4178eb7a8dp-18, -0x1.106b09b4a26b2p-18, -0x1.017d036ef482bp-18, -0x1.e60a6d52109dep-19, -0x1.c9fe20fa5086bp-19, -0x1.aecc6d2685ab4p-19, -0x1.946d09071258ap-19, -0x1.7ad81313a24ap-19, -0x1.62060b82b6663p-19, -0x1.49efd0c064081p-19, -0x1.328e9a7818a3p-19, -0x1.1bdbf5879bc96p-19, -0x1.05d1bff63675cp-19, -0x1.e0d44a4f46bacp-20, -0x1.b73f341da5bdfp-20, -0x1.8ed9b37812c33p-20, -0x1.6799c3c2d6547p-20, -0x1.4175df31e2738p-20, -0x1.1c64f88429c0ap-20, -0x1.f0bcea1ac3498p-21, -0x1.aab44dcddba84p-21, -0x1.66a08efc101d6p-21, -0x1.2472e45816351p-21, -0x1.c83a7e254e0c1p-22, -0x1.4b24812168a9ap-22, -0x1.a314c66944914p-23, -0x1.6d4fcc235e293p-24, 0x1.795d7b9e26fbdp-26, 0x1.0e91cb5bcd8bap-23, 0x1.e7b4295c1c34cp-23, 0x1.5d5d43f370d09p-22, 0x1.c3e5631bb8d2fp-22, 0x1.13c23faefd523p-21, 0x1.4425e7f4decd4p-21, 0x1.7325e117e9b5ap-21, 0x1.a0ca02c5d5298p-21, 0x1.cd19cad6b53b3p-21, 0x1.f81c630b717f5p-21, 0x1.10ec527a71c42p-20, 0x1.252a90b0a4c11p-20, 0x1.38cc1094644bbp-20, 0x1.4bd3d5ed21965p-20, 0x1.5e44c5a5e9f52p-20, 0x1.7021a78143c39p-20, 0x1.816d287d85abcp-20, 0x1.9229dbb7e8f3ep-20, 0x1.a25a3cd7b1241p-20, 0x1.b200b1383bd42p-20, 0x1.c11f898304f36p-20, 0x1.cfb902e5fe9aap-20, 0x1.ddcf48b429becp-20, 0x1.eb64754804c77p-20, 0x1.f87a9381c89e1p-20, 0x1.0289cfd966ca5p-19, 0x1.0898c45a25bcbp-19, 0x1.0e6b1871bb113p-19, 0x1.1401b768bc7e9p-19, 0x1.195d87820c3e4p-19, 0x1.1e7f69bb6213dp-19, 0x1.23683aa2a788dp-19, 0x1.2818d281cf9d9p-19, 0x1.2c9205d1db3f9p-19, 0x1.30d4a55f69dafp-19, 0x1.34e17f06f7beep-19, 0x1.38b95d2ae6f05p-19, 0x1.3c5d07c01b70cp-19, 0x1.3fcd441ae5138p-19, 0x1.430ad54679433p-19, 0x1.46167c32ffa11p-19, 0x1.48f0f7e62f3b2p-19, 0x1.4b9b05a8bb7d7p-19, 0x1.4e156109daeedp-19, 0x1.5060c46ac4a12p-19, 0x1.527de8b2e2378p-19, 0x1.546d85899ff43p-19, 0x1.56305189412b5p-19, 0x1.57c7024dc86e5p-19, 0x1.59324c82c5d43p-19, 0x1.5a72e40318cc9p-19, 0x1.5b897be09c206p-19, 0x1.5c76c68aa9babp-19, 0x1.5d3b759ae9668p-19, 0x1.5dd83a3360262p-19, 0x1.5e4dc4d986db6p-19, 0x1.5e9cc5867de9cp-19, 0x1.5ec5eb8bf8b23p-19, 0x1.5ec9e61d71542p-19, 0x1.5ea96397e7331p-19, 0x1.5e6511ea3fa63p-19, 0x1.5dfd9e9e5ad6p-19, 0x1.5d73b6bea78b9p-19, 0x1.5cc806dc47c64p-19, 0x1.5bfb3b0d6ff3cp-19, 0x1.5b0dfeed0d02cp-19, 0x1.5a00fd8d61e7p-19, 0x1.58d4e181d0e5ep-19, 0x1.578a54d3e5f42p-19, 0x1.562200fd13926p-19, 0x1.549c8ee29a388p-19, 0x1.52faa6ce4d513p-19, 0x1.513cf0688e593p-19, 0x1.4f6412b3e9597p-19, 0x1.4d70b3fa244acp-19, 0x1.4b6379e5ada1bp-19, 0x1.493d0928c8a95p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.50b2221291939p-5, 0x1.305b6843fc3b2p-4, 0x1.bb879eab6dc8bp-4, 0x1.246de64523606p-3, 0x1.6bb5644971a8ep-3, 0x1.b32ceb4349879p-3, 0x1.fa712ec44a2f9p-3, 0x1.2094ef809c7d5p-2, 0x1.43845f0a86cap-2, 0x1.65e3df9ea916ep-2, 0x1.879405b19767cp-2, 0x1.a8791dadb1101p-2, 0x1.c87b6847cc285p-2, 0x1.e7870ad571e55p-2, 0x1.02c5d0b7fdbbp-1, 0x1.113dd0492b5cap-1, 0x1.1f25e3f4a9d0dp-1, 0x1.2c796984e61e3p-1, 0x1.3934b4e28538ep-1, 0x1.4555195420c24p-1, 0x1.50d8f19367cc8p-1, 0x1.5bbf1b4f51d6fp-1, 0x1.6609a6822c718p-1, 0x1.6fb82d3ec3b26p-1, 0x1.78cbea849e195p-1, 0x1.814696914bf03p-1, 0x1.892a58ea7f64ep-1, 0x1.9079ba8e740fep-1, 0x1.9737990bfc334p-1, 0x1.9d671b3b8bcc5p-1, 0x1.a30ba7031891p-1, 0x1.a828d6f19d98ap-1, 0x1.acc26f56eaeeap-1, 0x1.b0dc53d2b0b0ap-1, 0x1.b47a7ed690ab4p-1, 0x1.b7a0fbe0c5cc9p-1, 0x1.ba53e3f5a2a9ap-1, 0x1.bc975b0b16d0ep-1, 0x1.be6f8d279ef06p-1, 0x1.bfe0aaa79f81cp-1, 0x1.c0eee3d97de81p-1, 0x1.c19e64750dec1p-1, 0x1.c1f34f4f3903bp-1, 0x1.c1f1ba5457fffp-1, 0x1.c19daa9f840e1p-1, 0x1.c0fb109aea802p-1, 0x1.c00dc45e0cadbp-1, 0x1.bed982c1883b7p-1, 0x1.bd61ebac79c3dp-1, 0x1.bbaa81eacc19cp-1, 0x1.b9b6ac7e1aad5p-1, 0x1.b789b8fb8cdbp-1, 0x1.b526de494de5ep-1, 0x1.b2913efeebee5p-1, 0x1.afcbeacd10a94p-1, 0x1.acd9de9648757p-1, 0x1.a9be0337999b9p-1, 0x1.a67b2b4de7cebp-1, 0x1.a31410793d0d2p-1, 0x1.9f8b50af2c2a4p-1, 0x1.9be36c1acb634p-1, 0x1.981ec3de014f3p-1, 0x1.943f99d44f83p-1, 0x1.904b2efd8fed1p-1, 0x1.8c3d1450854e3p-1, 0x1.881a57b9d90e2p-1, 0x1.83e4d45d966bfp-1, 0x1.7f9e51a2704c2p-1, 0x1.7b48840e78aeep-1, 0x1.76e50ddfcc26p-1, 0x1.72757f6bf6a51p-1, 0x1.6dfb5756a639ep-1, 0x1.697802b24f1dcp-1, 0x1.64ecdd1c41a32p-1, 0x1.605b30e238563p-1, 0x1.5bc4373ab89e8p-1, 0x1.57291894f3aeap-1, 0x1.528aed00f6401p-1, 0x1.4deabcae3dd2p-1, 0x1.4949807d677p-1, 0x1.44a822a12ee34p-1, 0x1.40077f4b1a24dp-1, 0x1.3b6865608c565p-1, 0x1.36cb97353a6ap-1, 0x1.3231cb481e647p-1, 0x1.2d9bacffe013cp-1, 0x1.2909dd637786bp-1, 0x1.247cf3cba97d1p-1, 0x1.1ff57e8a01c72p-1, 0x1.1b7403824e8a5p-1, 0x1.16f900b443a4dp-1, 0x1.1284ecb3e7aa3p-1, 0x1.0e18371075265p-1, 0x1.09b348aa84237p-1, 0x1.055683fb39e8bp-1, 0x1.0102454ef2fcap-1, 0x1.f96dc5ec9180fp-2, 0x1.f0e95ae0d148fp-2, 0x1.e877df231b29ep-2, 0x1.e019dd502d665p-2, 0x1.d7cfd5448272ap-2, 0x1.cf9a3c6c11211p-2, 0x1.c7797e18633ep-2, 0x1.bf6dfbde07db7p-2, 0x1.b7780df995a14p-2, 0x1.af9803bb9b4a3p-2, 0x1.a7ce23fa4ed4ep-2, 0x1.a01aad8745cf6p-2, 0x1.987dd7a7350b5p-2, 0x1.90f7d289a4014p-2, 0x1.8988c7be7b545p-2, 0x1.8230daa799a02p-2, 0x1.7af028e4dfaa4p-2, 0x1.73c6cab994562p-2, 0x1.6cb4d36a66c1p-2, 0x1.65ba5193b0d97p-2, 0x1.5ed74f780a474p-2, 0x1.580bd34768c58p-2, 0x1.5157df5f48a41p-2, 0x1.4abb72846e217p-2, 0x1.44368816e177ap-2, 0x1.3dc91840bc755p-2, 0x1.377318206e906p-2, 0x1.313479eef85p-2, 0x1.2b0d2d22b4e75p-2, 0x1.24fd1e8f23087p-2, 0x1.1f0438822f905p-2, 0x1.192262df69d4fp-2, 0x1.13578339930f6p-2, 0x1.0da37ceae309bp-2, 0x1.0806312c5b59bp-2, 0x1.027f7f2c6dc3p-2, 0x1.fa1e884a694c4p-3, 0x1.ef6ab6e4d20ccp-3, 0x1.e4e33d4e5e703p-3, 0x1.da87cb47aa177p-3, 0x1.d0580d5701281p-3, 0x1.c653acf3a2944p-3, 0x1.bc7a50b0de522p-3, 0x1.b2cb9c68e8cfbp-3, 0x1.a94731675e5ap-3, 0x1.9fecae934ee51p-3, 0x1.96bbb098afe4cp-3, 0x1.8db3d2112c4c4p-3, 0x1.84d4abac2a3fp-3, 0x1.7c1dd455f2364p-3, 0x1.738ee15de7c72p-3, 0x1.6b28938e3e6a6p-3, 0x1.62e7fffd457afp-3, 0x1.5ace04f647097p-3, 0x1.52da33e58557ap-3, 0x1.4b0c1d3f994b8p-3, 0x1.43635098ff46dp-3, 0x1.3bdf5cbd3529cp-3, 0x1.347fcfc56ec8ap-3, 0x1.2d44372ee7dcdp-3, 0x1.262c1ff0cf0bep-3, 0x1.1f371691c0579p-3, 0x1.1864a73cd0b98p-3, 0x1.11b45dd60c202p-3, 0x1.0b25c60e6bf6ep-3, 0x1.04b86b77284f9p-3, 0x1.fcd7b328d0296p-4, 0x1.f07f37de6678ap-4, 0x1.e4667c4d64d7p-4, 0x1.d88c980154e5bp-4, 0x1.ccf0a2f25e7b5p-4, 0x1.c191b5a331852p-4, 0x1.b66ee93d5d0b4p-4, 0x1.ab8757ac2a37ap-4, 0x1.a0da1bb605ecep-4, 0x1.966651147bbebp-4, 0x1.8c2b148add357p-4, 0x1.822783fba234bp-4, 0x1.785abe7c90c53p-4, 0x1.6ec3e469c5c3dp-4, 0x1.65621777a930fp-4, 0x1.5c347ac3e748dp-4, 0x1.533a32e5791efp-4, 0x1.4a7265fbcf642p-4, 0x1.41dc3bbd2f846p-4, 0x1.3976dd844bea6p-4, 0x1.3141765d28777p-4, 0x1.293b3311520dfp-4, 0x1.21634233746eap-4, 0x1.19b8d42a54663p-4, 0x1.123b1b3b3714ap-4, 0x1.0ae94b93ba2f8p-4, 0x1.03c29b5321cfcp-4, 0x1.f98c852641ce6p-5, 0x1.ebe6f6e03dff4p-5, 0x1.de930421f5d4dp-5, 0x1.d18f295ca5497p-5, 0x1.c4d9e7329708p-5, 0x1.b871c283c1a47p-5, 0x1.ac554479742b3p-5, 0x1.a082fa910c667p-5, 0x1.94f976a5cae6cp-5, 0x1.89b74ef9b3386p-5, 0x1.7ebb1e3d8e143p-5, 0x1.7403839806defp-5, 0x1.698f22abec8c9p-5, 0x1.5f5ca39d95e87p-5, 0x1.556ab31775edbp-5, 0x1.4bb8024ddb9b4p-5, 0x1.42434701e8e13p-5, 0x1.390b3b83c31d9p-5, 0x1.300e9eb402c97p-5, 0x1.274c340469064p-5, 0x1.1ec2c377df438p-5, 0x1.167119a1c96f8p-5, 0x1.0e5607a4ac744p-5, 0x1.0670633033ea3p-5, 0x1.fd7e0cfd3508ep-6, 0x1.ee81a0a2f4471p-6, 0x1.dfe947dc1cef9p-6, 0x1.d1b2d231d464bp-6, 0x1.c3dc182254c3ep-6, 0x1.b662fb1654e28p-6, 0x1.a9456555810a1p-6, 0x1.9c8149fa0e4d7p-6, 0x1.9014a4e37521cp-6, 0x1.83fd7aa85af85p-6, 0x1.7839d887c0aaap-6, 0x1.6cc7d4596b296p-6, 0x1.61a58c7da6ce2p-6, 0x1.56d127cc63e6dp-6, 0x1.4c48d583b384p-6, 0x1.420acd35b4ba9p-6, 0x1.38154eb5f3bfcp-6, 0x1.2e66a2064e945p-6, 0x1.24fd17435564ap-6, 0x1.1bd70690420f5p-6, 0x1.12f2d0027b904p-6, 0x1.0a4edb8cbdf09p-6, 0x1.01e998e9e2832p-6, 0x1.f382ff0e9d867p-7, 0x1.e3aa1cde2b953p-7, 0x1.d4459863a56b5p-7, 0x1.c5528da07518bp-7, 0x1.b6ce2748ea577p-7, 0x1.a8b59e9670852p-7, 0x1.9b063b19702b4p-7, 0x1.8dbd528ac5917p-7, 0x1.80d8489cef88fp-7, 0x1.74548eccfd7b7p-7, 0x1.682fa43331796p-7, 0x1.5c6715537db1ep-7, 0x1.50f87bedda819p-7, 0x1.45e17ece6c844p-7, 0x1.3b1fd19d9e8bfp-7, 0x1.30b134b030c1bp-7, 0x1.269374d731d1bp-7, 0x1.1cc46b300702cp-7, 0x1.1341fcf475b5ep-7, 0x1.0a0a1b4abd396p-7, 0x1.011ac315cb353p-7, 0x1.f0e3f98b13f8bp-8, 0x1.e01bb84ead1ebp-8, 0x1.cfd9006d3e93bp-8, 0x1.c01825db5f347p-8, 0x1.b0d5922d7c953p-8, 0x1.a20dc43a54766p-8, 0x1.93bd4fbe0098p-8, 0x1.85e0dcfd8ac7fp-8, 0x1.7875286b0daep-8, 0x1.6b77024a89bc3p-8, 0x1.5ee34e574ebd9p-8, 0x1.52b7036a1749ap-8, 0x1.46ef2b1fe7d79p-8, 0x1.3b88e1818db26p-8, 0x1.308154ac08f4dp-8, 0x1.25d5c479a4c14p-8, 0x1.1b83822be75dbp-8, 0x1.1187f01661cd4p-8, 0x1.07e0814a3d691p-8, 0x1.fd1572859deb9p-9, 0x1.eb085725e686dp-9, 0x1.d994f726ada8cp-9, 0x1.c8b6b8237130bp-9, 0x1.b8691e01f6829p-9, 0x1.a8a7ca549cc38p-9, 0x1.996e7bbe62cf6p-9, 0x1.8ab90d58ece76p-9, 0x1.7c83761c8bc95p-9, 0x1.6ec9c84a1af7bp-9, 0x1.618830d6f65efp-9, 0x1.54baf6dae2c12p-9, 0x1.485e7afff1e91p-9, 0x1.3c6f36f486ad3p-9, 0x1.30e9bcdf35c3ap-9, 0x1.25cab6d4c154bp-9, 0x1.1b0ee65029aa9p-9, 0x1.10b323acc069cp-9, 0x1.06b45da230d0dp-9, 0x1.fa1f31853488p-10, 0x1.e783ddf5c7fb1p-10, 0x1.d5911e2999d1cp-10, 0x1.c44178767486ep-10, 0x1.b38f9b01040aap-10, 0x1.a3765acd5a421p-10, 0x1.93f0b2d38a9d1p-10, 0x1.84f9c3186c854p-10, 0x1.768ccfca3937dp-10, 0x1.68a540611b8d1p-10, 0x1.5b3e9ec3e69ap-10, 0x1.4e5496707cf34p-10, 0x1.41e2f3a85ec8fp-10, 0x1.35e5a2a0d6a0cp-10, 0x1.2a58aeb7582b4p-10, 0x1.1f3841a96f148p-10, 0x1.1480a2d07f1bcp-10, 0x1.0a2e366185ddcp-10, 0x1.003d7cb030068p-10, 0x1.ed5622ec0b32ap-11, 0x1.dac32d55da06bp-11, 0x1.c901ab678cd2dp-11, 0x1.b7e9d25a34484p-11, 0x1.a775a6a3670cp-11, 0x1.979f5c984f09fp-11, 0x1.886157284873bp-11, 0x1.79b6269e68a3fp-11, 0x1.6b98876968b5bp-11, 0x1.5e0360ead2f8dp-11, 0x1.50f1c44c7e436p-11, 0x1.445eeb5cb1e04p-11, 0x1.38463770c7c46p-11, 0x1.2ca3304e11d36p-11, 0x1.21718318c819p-11, 0x1.16ad0149f1971p-11, 0x1.0c519faa3f7cdp-11, 0x1.025b7553a0847p-11, 0x1.f18d7570be596p-12, 0x1.df1f91607ee69p-12, 0x1.cd662f15da30ep-12, 0x1.bc5a7c506723cp-12, 0x1.abf5e22b8380bp-12, 0x1.9c3203643d504p-12, 0x1.8d08baaa3f20fp-12, 0x1.7e7418fa6a9a8p-12, 0x1.706e6403c795p-12, 0x1.62f2149793434p-12, 0x1.55f9d5218e33dp-12, 0x1.4980802aa9a4p-12, 0x1.3d811ee58c973p-12, 0x1.31f6e7c335164p-12, 0x1.26dd3d12143aep-12, 0x1.1c2faba481213p-12, 0x1.11e9e98205ac1p-12, 0x1.0807d49f0bd6cp-12, 0x1.fd0ae33d6b50bp-13, 0x1.eabdd536d773bp-13, 0x1.d9211bf1e311ap-13, 0x1.c82d9a7a87746p-13, 0x1.b7dc77e3cc951p-13, 0x1.a8271d18df0bfp-13, 0x1.990732bdeea1cp-13, 0x1.8a769f1e6e50fp-13, 0x1.7c6f84291e32dp-13, 0x1.6eec3d7d7ffd2p-13, 0x1.61e75e829acd8p-13, 0x1.555bb08e468a4p-13, 0x1.4944311791082p-13, 0x1.3d9c0ff6d4caap-13, 0x1.325eadb2a116ep-13, 0x1.278799d85069fp-13, 0x1.1d129160ae9aep-13, 0x1.12fb7d2104388p-13, 0x1.093e7046143d8p-13, 0x1.ffaf4db8d996p-14, 0x1.ed8708c27caa6p-14, 0x1.dbfd24c080f6cp-14, 0x1.cb0afe32c5be2p-14, 0x1.baaa3867cd3f5p-14, 0x1.aad4baf084741p-14, 0x1.9b84af2c9722cp-14, 0x1.8cb47de4cf11fp-14, 0x1.7e5eccfc7d549p-14, 0x1.707e7d31cfe6p-14, 0x1.630ea7f24c138p-14, 0x1.560a9d3bce04cp-14, 0x1.496de194cfcabp-14, 0x1.3d342c0fa14eap-14, 0x1.3159645fa47c3p-14, 0x1.25d9a0fd4fe6p-14, 0x1.1ab1255b17c1ep-14, 0x1.0fdc6025160cfp-14, 0x1.0557e993093d9p-14, 0x1.f641038d38e6ep-15, 0x1.e2661e67a76c5p-15, 0x1.cf193a3d90155p-15, 0x1.bc54b43a89562p-15, 0x1.aa132d56efe53p-15, 0x1.984f878dff0e2p-15, 0x1.8704e33519b0bp-15, 0x1.762e9c652610ep-15, 0x1.65c8487ad4952p-15, 0x1.55cdb3acb5e6ap-15, 0x1.463adeb62eb26p-15, 0x1.370bfc9613eb2p-15, 0x1.283d7064f7c59p-15, 0x1.19cbcb35c7413p-15, 0x1.0bb3ca17a0a6dp-15, 0x1.fbe4a829983cbp-16, 0x1.e108f0b9346a9p-16, 0x1.c6ced8d5585e6p-16, 0x1.ad31148f35c6ap-16, 0x1.942a9daf72faap-16, 0x1.7bb6b0790bf7bp-16, 0x1.63d0c880a4e99p-16, 0x1.4c749da9cec82p-16, 0x1.359e2140dd156p-16, 0x1.1f497b2d3cf0ep-16, 0x1.0973074248b9dp-16, 0x1.e82ea5509fda7p-17, 0x1.be6632cc1c6b9p-17, 0x1.958687f01e58fp-17, 0x1.6d89ca0ef8e4cp-17, 0x1.466a6e7909a42p-17, 0x1.2023363d859bbp-17, 0x1.f55e544b221bfp-18, 0x1.ac132d9f93e2ep-18, 0x1.645c11eede95fp-18, 0x1.1e3093f53ab7fp-18, 0x1.b311717d3cd96p-19, 0x1.2cb9e290f6d4ep-19, 0x1.529850ac7da55p-20, 0x1.45d57be12998ep-22, -0x1.541d9ccb17e64p-21, -0x1.a00ca34166877p-20, -0x1.484da6c91e735p-19, -0x1.bde86887accdfp-19, -0x1.1870868cb4ae1p-18, -0x1.50a0c3e85fabfp-18, -0x1.8789a9155eb0dp-18, -0x1.bd2fb99d0853dp-18, -0x1.f19743e8acb04p-18, -0x1.126232725d464p-17, -0x1.2b5d85b7ccad2p-17, -0x1.43bf7de1188bbp-17, -0x1.5b89e93d818cp-17, -0x1.72be83db5f304p-17, -0x1.895ef8e97eccap-17, -0x1.9f6ce41127a43p-17, -0x1.b4e9d2bc02f08p-17, -0x1.c9d745496d693p-17, -0x1.de36b0287f892p-17, -0x1.f2097cf96a33ep-17, -0x1.02a885c37f9abp-16, -0x1.0c07595f52657p-16, -0x1.1521e0caf105cp-16, -0x1.1df8bfef14f64p-16, -0x1.268c9793abd6ap-16, -0x1.2ede05aea3f1cp-16, -0x1.36eda5ca3d2dp-16, -0x1.3ebc11515667cp-16, -0x1.4649dfe573b96p-16, -0x1.4d97a7a1e0e5fp-16, -0x1.54a5fd688a886p-16, -0x1.5b7575107a626p-16, -0x1.6206a1b53e166p-16, -0x1.685a15e0c5p-16, -0x1.6e7063c1d5e8bp-16, -0x1.744a1d593a1c1p-16, -0x1.79e7d4a5c5609p-16, -0x1.7f4a1bcb586d7p-16, -0x1.8471853125458p-16, -0x1.895ea3af3e748p-16, -0x1.8e120a9c48a9ep-16, -0x1.928c4df052026p-16, -0x1.96ce025a4b4e4p-16, -0x1.9ad7bd548e81bp-16, -0x1.9eaa153719e0ep-16, -0x1.a245a1473d9afp-16, -0x1.a5aaf9c3a4f97p-16, -0x1.a8dab7f45a73ap-16, -0x1.abd57628fed64p-16, -0x1.ae9bcfcc5ab53p-16, -0x1.b12e616398fb7p-16, -0x1.b38dc89206b9ap-16, -0x1.b5baa418732e6p-16, -0x1.b7b593e1f395ep-16, -0x1.b97f38f03efc8p-16, -0x1.bb18356586d19p-16, -0x1.bc812c7d4febcp-16, -0x1.bdbac288dd3dfp-16, -0x1.bec59ce81fea7p-16, -0x1.bfa2620321d5ap-16, -0x1.c051b9439ce5dp-16, -0x1.c0d44b052c419p-16, -0x1.c12ac096a1257p-16, -0x1.c155c42833cep-16, -0x1.c15600c2a37e4p-16, -0x1.c12c223a4c7edp-16, -0x1.c0d8d524c196fp-16, -0x1.c05cc6cad8dfbp-16, -0x1.bfb8a51c4659ap-16, -0x1.beed1e9fa9dc4p-16, -0x1.bdfae26a82f62p-16, -0x1.bce2a0079690ap-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.565fd04bee35dp+0, -0x1.4964399d604d8p+0, -0x1.3dc46813b438ep+0, -0x1.33687233ffc85p+0, -0x1.2a384b05c066fp+0, -0x1.221c0db4bc675p+0, -0x1.1afc5b5ad4015p+0, -0x1.14c2aba79d1f1p+0, -0x1.0f596dfe372a9p+0, -0x1.0aac0abb4e959p+0, -0x1.06a6ed45b4de5p+0, -0x1.0337a0dc7ac4ap+0, -0x1.004ceb41b86d8p+0, -0x1.fbada6544e0b5p-1, -0x1.f78d25578a9c1p-1, -0x1.f41d02af4dc64p-1, -0x1.f1440434ec268p-1, -0x1.eeeaf470c9e3dp-1, -0x1.ecfc9cd8d4095p-1, -0x1.eb65bf05e27adp-1, -0x1.ea1503571dc86p-1, -0x1.e8fabcd28f82bp-1, -0x1.e8098601070b6p-1, -0x1.e73481123d98ep-1, -0x1.e6708b226c8f4p-1, -0x1.e5b3c93ea7b08p-1, -0x1.e4f5914a15788p-1, -0x1.e42e532e74fcbp-1, -0x1.e357823cdff95p-1, -0x1.e26b7f03ef9fp-1, -0x1.e16581b30be75p-1, -0x1.e041852c1c67ap-1, -0x1.defc335c9d9cbp-1, -0x1.dd92d3d0b6235p-1, -0x1.dc033d1f4ea64p-1, -0x1.da4bc8e22ce53p-1, -0x1.d86b490d20603p-1, -0x1.d660fd4209baep-1, -0x1.d42c875204b84p-1, -0x1.d1cddf0c256bfp-1, -0x1.cf4546326d509p-1, -0x1.cc933d93d709fp-1, -0x1.c9b87be8521d8p-1, -0x1.c6b5e671db296p-1, -0x1.c38c8aeca87dp-1, -0x1.c03d9a30b3e74p-1, -0x1.bcca630ccc0a9p-1, -0x1.b9344d300de37p-1, -0x1.b57cd43cb9f2cp-1, -0x1.b1a58341b340ep-1, -0x1.adaff0d14c359p-1, -0x1.a99dbbca25a15p-1, -0x1.a57088bee76f3p-1, -0x1.a129ffcd5e7d6p-1, -0x1.9ccbcaadcb272p-1, -0x1.985792cec5281p-1, -0x1.93ceff6928c7dp-1, -0x1.8f33b38fbaef2p-1, -0x1.8a874c4f479efp-1, -0x1.85cb5ef9da01p-1, -0x1.810177b2e0787p-1, -0x1.7c2b1846ba5cp-1, -0x1.7749b74b7677ap-1, -0x1.725fedcaa4fe5p-1, -0x1.6d6cd0be81a5fp-1, -0x1.6872b98c2a553p-1, -0x1.6372eb38ddecp-1, -0x1.5e6e9d55bd373p-1, -0x1.5966fc1864809p-1, -0x1.545d286471d5bp-1, -0x1.4f5237c6c28d9p-1, -0x1.4a4734675f4dap-1, -0x1.453d1cf907973p-1, -0x1.4034e4ad22594p-1, -0x1.3b2f73312a3bfp-1, -0x1.362da4b846986p-1, -0x1.31304a118457fp-1, -0x1.2c3828c9a8d46p-1, -0x1.2745fb570509fp-1, -0x1.225a714e04892p-1, -0x1.1d762f9e0a33cp-1, -0x1.1899d0d70767fp-1, -0x1.13c5e578c4fc2p-1, -0x1.0efaf44cc7959p-1, -0x1.0a397acafbc58p-1, -0x1.0581ed8831365p-1, -0x1.00d4b8ac031f9p-1, -0x1.f86480d54791bp-2, -0x1.ef35c2fc7583cp-2, -0x1.e61de336d9ab4p-2, -0x1.dd1d7fba675bp-2, -0x1.d4352a4a6ec39p-2, -0x1.cb6568de82368p-2, -0x1.c2aeb62f9a4cfp-2, -0x1.ba11822dfbf09p-2, -0x1.b18e32643657p-2, -0x1.a925224c869ecp-2, -0x1.a0d6a39e0fb4ep-2, -0x1.98a2fe96ce2a2p-2, -0x1.908a724630f4dp-2, -0x1.888d34db10374p-2, -0x1.80ab73f6776f3p-2, -0x1.78e55503a12d5p-2, -0x1.713af594a68afp-2, -0x1.69ac6bc2c9c6ap-2, -0x1.6239c690e6316p-2, -0x1.5ae30e4e8265ap-2, -0x1.53a844fa0c4efp-2, -0x1.4c8966a10881bp-2, -0x1.458669bd3aa3ap-2, -0x1.3e9f3f8e2c146p-2, -0x1.37d3d46eb249p-2, -0x1.3124102654bd1p-2, -0x1.2a8fd636acdf2p-2, -0x1.24170624de4fap-2, -0x1.1db97bbf63b36p-2, -0x1.17770f6060ebcp-2, -0x1.114f962c9bb04p-2, -0x1.0b42e24f35cdfp-2, -0x1.0550c332274afp-2, -0x1.fef20b66eab2cp-3, -0x1.f376e8ae184e1p-3, -0x1.e82faeea72ae2p-3, -0x1.dd1beacb5fac6p-3, -0x1.d23b254e52891p-3, -0x1.c78ce4076dfbp-3, -0x1.bd10a963e71ddp-3, -0x1.b2c5f4e6b6dd5p-3, -0x1.a8ac436032eaap-3, -0x1.9ec30f215a4d7p-3, -0x1.9509d02b99b81p-3, -0x1.8b7ffc5dcd87ep-3, -0x1.8225079f323fep-3, -0x1.78f86408ed3ffp-3, -0x1.6ff9820ea1d5ap-3, -0x1.6727d0a66e213p-3, -0x1.5e82bd708d602p-3, -0x1.5609b4deb217fp-3, -0x1.4dbc225b20eb2p-3, -0x1.4599706f5f3dbp-3, -0x1.3da108ea68769p-3, -0x1.35d255062eeedp-3, -0x1.2e2cbd8c31253p-3, -0x1.26afaaf9062ep-3, -0x1.1f5a859ea12a1p-3, -0x1.182cb5c53db14p-3, -0x1.1125a3cabea78p-3, -0x1.0a455b728d4f1p-3, -0x1.0389eeb09cff3p-3, -0x1.f9e6f1277a16bp-4, -0x1.ed02c7073724p-4, -0x1.e06634f8d2555p-4, -0x1.d4101242694d5p-4, -0x1.c7ff379ad95a3p-4, -0x1.bc327f4b46b02p-4, -0x1.b0a8c54f393d2p-4, -0x1.a560e77339fbp-4, -0x1.9a59c57238dedp-4, -0x1.8f924111796f2p-4, -0x1.85093e3b30ebdp-4, -0x1.7abda317c49e9p-4, -0x1.70ae5825a0efcp-4, -0x1.66da484fa533bp-4, -0x1.5d406102294afp-4, -0x1.53df923e90f19p-4, -0x1.4ab6cead7697ep-4, -0x1.41c50baf6e4b7p-4, -0x1.3909416c689aep-4, -0x1.30826ae1bc245p-4, -0x1.282f85eee5d04p-4, -0x1.200f93610749ap-4, -0x1.182196fd34968p-4, -0x1.10649789a0a68p-4, -0x1.08d79ed5b22a7p-4, -0x1.0179b9c119af3p-4, -0x1.f493f083da118p-5, -0x1.e68edad3bcc8cp-5, -0x1.d8e25ed537593p-5, -0x1.cb8caf32c35d1p-5, -0x1.be8c04e39dedap-5, -0x1.b1de9f300fa12p-5, -0x1.a582c3b45c14fp-5, -0x1.9976be62833b5p-5, -0x1.8db8e182cf267p-5, -0x1.824785b35889p-5, -0x1.772109e67e683p-5, -0x1.6c43d3606c6ffp-5, -0x1.61ae4db3bb2c1p-5, -0x1.575eeabd31301p-5, -0x1.4d54229ebafd5p-5, -0x1.438c73b99b6bp-5, -0x1.3a0662a7e02bp-5, -0x1.30c07a352933dp-5, -0x1.27b94b56c747ap-5, -0x1.1eef6d2333018p-5, -0x1.16617cc8f0cfbp-5, -0x1.0e0e1d84e2913p-5, -0x1.05f3f8980511bp-5, -0x1.fc237a795e6dap-6, -0x1.eccc41369b2b2p-6, -0x1.dddfbb7d4512p-6, -0x1.cf5b6b0f2c17bp-6, -0x1.c13cdd4122385p-6, -0x1.b381aae0e35bdp-6, -0x1.a627781a36168p-6, -0x1.992bf45b4b99ep-6, -0x1.8c8cda386ce8fp-6, -0x1.8047ef4f04cb5p-6, -0x1.745b0427fd59p-6, -0x1.68c3f419a0442p-6, -0x1.5d80a528d5fe7p-6, -0x1.528f07e9fd6cfp-6, -0x1.47ed176139afap-6, -0x1.3d98d8e2673f6p-6, -0x1.33905bf0a999dp-6, -0x1.29d1ba1da2606p-6, -0x1.205b16e85ffc4p-6, -0x1.172a9f9c052f4p-6, -0x1.0e3e8b2e4017ap-6, -0x1.05951a1d8346ap-6, -0x1.fa592c9e4129dp-7, -0x1.ea06a5da910b4p-7, -0x1.da2f5889c0498p-7, -0x1.cad00f46b63cap-7, -0x1.bbe5a6690713fp-7, -0x1.ad6d0bc076c28p-7, -0x1.9f633e5096a91p-7, -0x1.91c54e0c68e12p-7, -0x1.84905b923bd37p-7, -0x1.77c197e78e40ap-7, -0x1.6b56443544e9cp-7, -0x1.5f4bb184117c2p-7, -0x1.539f4079338e1p-7, -0x1.484e61136adf4p-7, -0x1.3d56926869aap-7, -0x1.32b5626286927p-7, -0x1.28686d7eea6e8p-7, -0x1.1e6d5e8c2da94p-7, -0x1.14c1ee6957758p-7, -0x1.0b63e3c56df6dp-7, -0x1.025112df8003p-7, -0x1.f30eba8e5c83bp-8, -0x1.e209633b92ae2p-8, -0x1.d18e16aff3f18p-8, -0x1.c198e50000119p-8, -0x1.b225f6f10b784p-8, -0x1.a3318d8031f12p-8, -0x1.94b8016a65f69p-8, -0x1.86b5c2b5ed122p-8, -0x1.7927583cfeff9p-8, -0x1.6c095f39e7901p-8, -0x1.5f588ad4475f4p-8, -0x1.5311a3afd0ce8p-8, -0x1.4731877c6a312p-8, -0x1.3bb52887943b3p-8, -0x1.30998d4f4f865p-8, -0x1.25dbd016678fep-8, -0x1.1b791e7a13b51p-8, -0x1.116eb9093d8d7p-8, -0x1.07b9f2dced694p-8, -0x1.fcb06264c78fap-9, -0x1.ea8dd60d18e8ep-9, -0x1.d9075165d631cp-9, -0x1.c8180718175dbp-9, -0x1.b7bb4b029d215p-9, -0x1.a7ec917c6981bp-9, -0x1.98a76e9a998d2p-9, -0x1.89e79578a5d25p-9, -0x1.7ba8d783df80dp-9, -0x1.6de723c9f3983p-9, -0x1.609e8649f0fa5p-9, -0x1.53cb2748c4031p-9, -0x1.47694aa8226fdp-9, -0x1.3b754f408145ep-9, -0x1.2febae3e1e4a9p-9, -0x1.24c8fa807f6b8p-9, -0x1.1a09dffd2f614p-9, -0x1.0fab2324fc14bp-9, -0x1.05a9a04c4ad67p-9, -0x1.f804962bf8d89p-10, -0x1.e5645bc25c28dp-10, -0x1.d36cd2735f0ddp-10, -0x1.c21866966bac6p-10, -0x1.b161aeaea2c0ap-10, -0x1.a1436a5bcc27ap-10, -0x1.91b881509bffdp-10, -0x1.82bc024e72a8dp-10, -0x1.74492226204ap-10, -0x1.665b3abd943a3p-10, -0x1.58edca1ad5bd1p-10, -0x1.4bfc7173f745p-10, -0x1.3f82f443bc2abp-10, -0x1.337d376348ad4p-10, -0x1.27e74028b832bp-10, -0x1.1cbd338a13cdbp-10, -0x1.11fb5545542b8p-10, -0x1.079e070cca88cp-10, -0x1.fb438f701c583p-11, -0x1.e80664f354271p-11, -0x1.d57dfc31a8a44p-11, -0x1.c3a3f85f7e3dp-11, -0x1.b27230dbe10f2p-11, -0x1.a1e2afbf1637dp-11, -0x1.91efb06f4acffp-11, -0x1.82939e3f1a387p-11, -0x1.73c91313e5937p-11, -0x1.658ad6138b995p-11, -0x1.57d3da5a46456p-11, -0x1.4a9f3db824fe3p-11, -0x1.3de84776c9db1p-11, -0x1.31aa67251fa94p-11, -0x1.25e1336be32c1p-11, -0x1.1a8868e89e7bp-11, -0x1.0f9be90f73453p-11, -0x1.0517b914c1bcfp-11, -0x1.f5cac02748c9dp-12, -0x1.e24ab5d4ad91dp-12, -0x1.cf852db084554p-12, -0x1.bd733acba786dp-12, -0x1.ac0e2d8014bbap-12, -0x1.9b4f91921d4c5p-12, -0x1.8b312c61a8ff5p-12, -0x1.7bacfb238bdaap-12, -0x1.6cbd312988dc8p-12, -0x1.5e5c3634b47a1p-12, -0x1.5084a4d2f3238p-12, -0x1.433148c8150f8p-12, -0x1.365d1d819e5c1p-12, -0x1.2a034c9498efdp-12, -0x1.1e1f2c4673856p-12, -0x1.12ac3e20b7614p-12, -0x1.07a62d8bddfccp-12, -0x1.fa119cedd41cp-13, -0x1.e5a0380f5d45ep-13, -0x1.d1f06ea63ef62p-13, -0x1.befacc3e84662p-13, -0x1.acb8235ecf966p-13, -0x1.9b218b2ecfec1p-13, -0x1.8a305d2f3816fp-13, -0x1.79de3302d3c46p-13, -0x1.6a24e4493d078p-13, -0x1.5afe8484bad6fp-13, -0x1.4c656114a489cp-13, -0x1.3e53ff3be7036p-13, -0x1.30c51a37b1fa5p-13, -0x1.23b3a162b21dcp-13, -0x1.171ab668679fbp-13, -0x1.0af5ab82a6eep-13, -0x1.fe800394994adp-14, -0x1.e7eacf1f57p-14, -0x1.d2236d810877fp-14, -0x1.bd21e6b6f2229p-14, -0x1.a8de93e261e8cp-14, -0x1.95521c58b38c4p-14, -0x1.827572d3a4281p-14, -0x1.7041d2b2bd645p-14, -0x1.5eb0bd567ff3bp-14, -0x1.4dbbf78af7378p-14, -0x1.3d5d870acbb4bp-14, -0x1.2d8fb01806d46p-14, -0x1.1e4cf3228d1c2p-14, -0x1.0f900a8d2249ap-14, -0x1.0153e87240654p-14, -0x1.e727691930b12p-15, -0x1.cc959451f27d4p-15, -0x1.b2e96c55bea3ep-15, -0x1.9a1a6a44d4593p-15, -0x1.822062df96b3p-15, -0x1.6af382f30453bp-15, -0x1.548c4be3d7f51p-15, -0x1.3ee3904f91e92p-15, -0x1.29f270d55d531p-15, -0x1.15b258f568af7p-15, -0x1.021cfc069fa9fp-15, -0x1.de58a49d912aep-16, -0x1.b9b52c80058f4p-16, -0x1.96448350eb9f5p-16, -0x1.73fc164e6c639p-16, -0x1.52d1c734d011dp-16, -0x1.32bbe7753e3a5p-16, -0x1.13b13360dbd08p-16, -0x1.eb519b8114c81p-17, -0x1.b13476ca891e1p-17, -0x1.78fabded5faf1p-17, -0x1.4294e9c723722p-17, -0x1.0df41efe47a1p-17, -0x1.b6144cc9b1a01p-18, -0x1.5392cbca99a98p-18, -0x1.e8936555af26cp-19, -0x1.30402facd8de9p-19, -0x1.f7f11b3af7547p-21, 0x1.732fd406d218fp-22, 0x1.aa248cb220c51p-20, 0x1.76327351a6124p-19, 0x1.08f749094e4e6p-18, 0x1.54368153f4dc2p-18, 0x1.9ce94465e4d93p-18, 0x1.e3212fbb28bc2p-18, 0x1.137792e6ab824p-17, 0x1.3431ab8a85516p-17, 0x1.53c6a555caac6p-17, 0x1.723df3410bcb1p-17, 0x1.8f9ebba47b0adp-17, 0x1.abefdc2a07adcp-17, 0x1.c737ed445fa73p-17, 0x1.e17d45c15195ap-17, 0x1.fac5fe1cdf8b5p-17, 0x1.098bf9d9b808cp-16, 0x1.153c65eca7561p-16, 0x1.2076fb4f31215p-16, 0x1.2b3e58e6e340ap-16, 0x1.359505c1ac681p-16, 0x1.3f7d72562c437p-16, 0x1.48f9f9bf39246p-16, 0x1.520ce2e372f81p-16, 0x1.5ab8618dca099p-16, 0x1.62fe977e2650fp-16, 0x1.6ae19567eef8dp-16, 0x1.72635be299ab3p-16, 0x1.7985dc533caedp-16, 0x1.804af9cb7325dp-16, 0x1.86b489cb698f6p-16, 0x1.8cc45527e33efp-16, 0x1.927c18a0c0998p-16, 0x1.97dd85ace6539p-16, 0x1.9cea4317fb3cep-16, 0x1.a1a3ed9710bfdp-16, 0x1.a60c187b34381p-16, 0x1.aa244e29124e8p-16, 0x1.adee10a7594ebp-16, 0x1.b16ada1b8835cp-16, 0x1.b49c1d3da7bc5p-16, 0x1.b78345cea3ac4p-16, 0x1.ba21b8faf763cp-16, 0x1.bc78d5ca0f056p-16, 0x1.be89f56940bb4p-16, 0x1.c0566b8f4a313p-16, 0x1.c1df86ca2afd4p-16, 0x1.c32690cc4fefap-16, 0x1.c42cceaeb21efp-16, 0x1.c4f38133637bfp-16, 0x1.c57be51097367p-16, 0x1.c5c7331a24ca9p-16, 0x1.c5d6a080839cbp-16, 0x1.c5ab5ef170ef1p-16, 0x1.c5469cdd917d6p-16, 0x1.c4a9859130121p-16, 0x1.c3d541604bfabp-16, 0x1.c2caf5c8713c7p-16, 0x1.c18bc59280ee5p-16, 0x1.c018d0ed3a17bp-16, 0x1.be73358cc6ap-16, 0x1.bc9c0ebdbe13cp-16, 0x1.ba94757d3185ap-16, 0x1.b85d808c8cfc6p-16, 0x1.b5f84481593b9p-16, 0x1.b365d3d681efdp-16, 0x1.b0a73ef4c487cp-16, 0x1.adbd9450e6dd4p-16, 0x1.aaa9e05788addp-16, 0x1.a76d2d80c4e6ep-16, 0x1.a408846ad303ep-16, 0x1.a07cebc8e7127p-16, 0x1.9ccb68727bddap-16, 0x1.98f4fd5f96013p-16, 0x1.94faabaf48c3fp-16, 0x1.90dd72a54278ep-16, 0x1.8c9e4fb50ca35p-16, 0x1.883e3e704b4aep-16, 0x1.83be38903952dp-16, 0x1.7f1f35f145d1ap-16, 0x1.7a622c90a353bp-16, 0x1.7588108621664p-16, 0x1.7091d402f6059p-16, 0x1.6b8067531a5f5p-16, 0x1.6654b8c64de13p-16, 0x1.610fb4ba786cep-16, 0x1.5bb24596d23c1p-16, 0x1.563d53bd70701p-16, 0x1.50b1c5898c145p-16, 0x1.4b107f45927bep-16, 0x1.455a632fd392fp-16, 0x1.3f905168ca90ep-16, 0x1.39b327e108fd2p-16, 0x1.33c3c274436b9p-16, 0x1.2dc2fac5ae461p-16, 0x1.27b1a843ab979p-16, 0x1.2190a01ee1b3fp-16, 0x1.1b60b54b3c775p-16, 0x1.1522b861870d2p-16, 0x1.0ed777b8a2dbep-16, 0x1.087fbf4ac2d7bp-16, 0x1.021c58b2d26abp-16, 0x1.f75c1655e222ap-17, 0x1.ea6b36fe0a68dp-17, 0x1.dd6798172ae44p-17, 0x1.d052b96e1b708p-17, 0x1.c32e15d445a8bp-17, 0x1.b5fb232749fccp-17, 0x1.a8bb52146e573p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.8c8382c2c38b7p-1, 0x1.837c0c8b326a9p-1, 0x1.7a3628fd959f7p-1, 0x1.70b6fc45221d6p-1, 0x1.670398daf5548p-1, 0x1.5d20fc4f0e9e7p-1, 0x1.53140c74866c9p-1, 0x1.48e194e9409e8p-1, 0x1.3e8e44f1c4b28p-1, 0x1.341eada256701p-1, 0x1.2997404edc75ap-1, 0x1.1efc4d3b90e8dp-1, 0x1.14520288ec6a3p-1, 0x1.099c6b559ca15p-1, 0x1.fdbede238215fp-2, 0x1.e83da1fdff1d7p-2, 0x1.d2bc5fb2b5934p-2, 0x1.bd420b4a0b1f1p-2, 0x1.a7d54f3b646e9p-2, 0x1.927c8c884be1bp-2, 0x1.7d3ddb0e294a2p-2, 0x1.681f0a090535ep-2, 0x1.5325a0c23ede5p-2, 0x1.3e56df667d786p-2, 0x1.29b7bffe803b9p-2, 0x1.154cf786c5585p-2, 0x1.011af72251e27p-2, 0x1.da4bdaca4b9aap-3, 0x1.b2e38f666658dp-3, 0x1.8c046761dbdd5p-3, 0x1.65b54185840d9p-3, 0x1.3ffc8331f0013p-3, 0x1.1ae01b8b86f1ep-3, 0x1.eccb0d6dab4b1p-4, 0x1.a523a2427aa2bp-4, 0x1.5ed335a51d51p-4, 0x1.19e23588e4fa6p-4, 0x1.acb088f2edfeap-5, 0x1.287880a0478a6p-5, 0x1.4e51239524282p-6, 0x1.465c6b98e8f2cp-8, -0x1.4a5473660064p-7, -0x1.95e2a3ce42d53p-6, -0x1.40423de230d6ap-5, -0x1.b28247894feeap-5, -0x1.10d681c69642dp-4, -0x1.46df94113dd4bp-4, -0x1.7b5b4064c335cp-4, -0x1.ae48f12723bfep-4, -0x1.dfa88f81cae89p-4, -0x1.07bd3eced79cfp-3, -0x1.1edfc87f74c91p-3, -0x1.353c86802efacp-3, -0x1.4ad44eb808609p-3, -0x1.5fa828a63f938p-3, -0x1.73b94ad1a893ap-3, -0x1.87091848c2589p-3, -0x1.99991e3294647p-3, -0x1.ab6b11704c6ffp-3, -0x1.bc80cc4f998a9p-3, -0x1.ccdc4c4da6c84p-3, -0x1.dc7fafea9a36ap-3, -0x1.eb6d348d7b13ep-3, -0x1.f9a7347850a82p-3, -0x1.0398126625919p-2, -0x1.0a0549cee3ef9p-2, -0x1.101c930bff02cp-2, -0x1.15df4b58085d6p-2, -0x1.1b4ed9b3aac7bp-2, -0x1.206cae0e48d22p-2, -0x1.253a4075f1cf2p-2, -0x1.29b9104e96565p-2, -0x1.2deaa39053da6p-2, -0x1.31d0860cb6c64p-2, -0x1.356c48badaf12p-2, -0x1.38bf810a3c3b3p-2, -0x1.3bcbc83c1f231p-2, -0x1.3e92bac36cd1fp-2, -0x1.4115f7aae0522p-2, -0x1.4357200165b43p-2, -0x1.4557d64c85c1ep-2, -0x1.4719be00c6ef5p-2, -0x1.489e7affd328dp-2, -0x1.49e7b11c52388p-2, -0x1.4af703a34cc85p-2, -0x1.4bce14eafd9cbp-2, -0x1.4c6e85e6ed689p-2, -0x1.4cd9f5c13fb86p-2, -0x1.4d120179079c7p-2, -0x1.4d1843858f673p-2, -0x1.4cee537e6efe3p-2, -0x1.4c95c5c84f511p-2, -0x1.4c102b4646bb3p-2, -0x1.4b5f110fa3a73p-2, -0x1.4a84002a10c82p-2, -0x1.49807d47f33ep-2, -0x1.4856088ae0c83p-2, -0x1.47061d4a17982p-2, -0x1.459231dcd818fp-2, -0x1.43fbb76880915p-2, -0x1.424419b256d5cp-2, -0x1.406cbef4daa7bp-2, -0x1.3e7707b88c878p-2, -0x1.3c644eb0086d5p-2, -0x1.3a35e8975dfa6p-2, -0x1.37ed24168678dp-2, -0x1.358b49a6e23b7p-2, -0x1.33119b7b9f75dp-2, -0x1.3081556cf650ap-2, -0x1.2ddbace6193f9p-2, -0x1.2b21d0d5c78eep-2, -0x1.2854e9a1627f9p-2, -0x1.2576191a743a6p-2, -0x1.22867a76879efp-2, -0x1.1f872249426ap-2, -0x1.1c791e80a198ep-2, -0x1.195d766347536p-2, -0x1.16352a90bf875p-2, -0x1.13013503aa107p-2, -0x1.0fc28915ac82ap-2, -0x1.0c7a13851f479p-2, -0x1.0928ba7c5bab2p-2, -0x1.05cf5d9a94695p-2, -0x1.026ed5fe2b8bap-2, -0x1.fe0feca0d6658p-3, -0x1.f73715a5220c3p-3, -0x1.f054b2d831ep-3, -0x1.e96a43746bfe9p-3, -0x1.e2793a40c6e1p-3, -0x1.db82fdb4031cep-3, -0x1.d488e819d53efp-3, -0x1.cd8c47b9dace1p-3, -0x1.c68e5f004477dp-3, -0x1.bf9064a80b2fdp-3, -0x1.b89383e698804p-3, -0x1.b198dc98c1814p-3, -0x1.aaa18370fe788p-3, -0x1.a3ae8226afa2cp-3, -0x1.9cc0d7a6754d9p-3, -0x1.95d978435e921p-3, -0x1.8ef94de8ec0b3p-3, -0x1.8821384dc8a0ep-3, -0x1.81520d271e03ap-3, -0x1.7a8c985c72607p-3, -0x1.73d19c3bf407dp-3, -0x1.6d21d1af25d78p-3, -0x1.667de86fd4a4cp-3, -0x1.5fe6873d43314p-3, -0x1.595c4c117244ap-3, -0x1.52dfcc568b14ap-3, -0x1.4c71951c38f6ap-3, -0x1.46122b4d014fp-3, -0x1.3fc20be37af45p-3, -0x1.3981ac1f58b72p-3, -0x1.335179ba38fap-3, -0x1.2d31db1c2fcccp-3, -0x1.27232f900480cp-3, -0x1.2125cf7704cecp-3, -0x1.1b3a0c7c76596p-3, -0x1.156031c896b7dp-3, -0x1.0f98843315cccp-3, -0x1.09e342751254cp-3, -0x1.0440a55a7e489p-3, -0x1.fd61bfe5f24c1p-4, -0x1.f2683f83fd661p-4, -0x1.e79519dceed7dp-4, -0x1.dce894e33e5c7p-4, -0x1.d262ec8a72a8p-4, -0x1.c80453221124bp-4, -0x1.bdccf1af2f9aep-4, -0x1.b3bce84474be9p-4, -0x1.a9d44e5892313p-4, -0x1.a013331b3d3eap-4, -0x1.96799dc889215p-4, -0x1.8d078dfaaf782p-4, -0x1.83bcfbfa3285ep-4, -0x1.7a99d90c67a7ap-4, -0x1.719e0fc057011p-4, -0x1.68c98439f6b58p-4, -0x1.601c147bbc0b6p-4, -0x1.579598ae83b5dp-4, -0x1.4f35e367cd388p-4, -0x1.46fcc1ee4e52fp-4, -0x1.3ee9fc7cd8a44p-4, -0x1.36fd56839783fp-4, -0x1.2f368ee7a5879p-4, -0x1.27956040faf07p-4, -0x1.20198116b779p-4, -0x1.18c2a419cb8c4p-4, -0x1.1190785e01c9dp-4, -0x1.0a82a9916dc22p-4, -0x1.0398e03242bdp-4, -0x1.f9a583862e921p-5, -0x1.ec5fe1fb3124fp-5, -0x1.df601c0766448p-5, -0x1.d2a56d1e6cf2bp-5, -0x1.c62f0c3feba43p-5, -0x1.b9fc2c50dcf1fp-5, -0x1.ae0bfc71edcf3p-5, -0x1.a25da852fb571p-5, -0x1.96f05883b848cp-5, -0x1.8bc332c18a084p-5, -0x1.80d55a42a7b14p-5, -0x1.7625effe83ae3p-5, -0x1.6bb412f39495ep-5, -0x1.617ee06a812dbp-5, -0x1.57857436c1dd5p-5, -0x1.4dc6e8f4c4f1dp-5, -0x1.444258459c5f8p-5, -0x1.3af6db084c95ep-5, -0x1.31e38990bd19ap-5, -0x1.29077bdc64938p-5, -0x1.2061c9c4b5419p-5, -0x1.17f18b2f58ebep-5, -0x1.0fb5d83c4b7d5p-5, -0x1.07adc971e146p-5, -0x1.ffb0efcd8633fp-6, -0x1.f069fad3e2631p-6, -0x1.e184e951b2342p-6, -0x1.d2fff2a70d9f5p-6, -0x1.c4d9507e128dbp-6, -0x1.b70f3f0c1092fp-6, -0x1.a99ffd4f4b601p-6, -0x1.9c89cd495c61fp-6, -0x1.8fcaf43656053p-6, -0x1.8361bac0b6b38p-6, -0x1.774c6d3252f1bp-6, -0x1.6b895ba23fc53p-6, -0x1.6016da1fdba1cp-6, -0x1.54f340db12bb3p-6, -0x1.4a1cec49e7df2p-6, -0x1.3f923d4b666fcp-6, -0x1.355199480b914p-6, -0x1.2b596a4fc0948p-6, -0x1.21a81f3573481p-6, -0x1.183c2ba875019p-6, -0x1.0f14084b9a08dp-6, -0x1.062e32ca493edp-6, -0x1.fb125bd6e9ef6p-7, -0x1.ea47034559c1ep-7, -0x1.d9f7763e7f9bcp-7, -0x1.ca20d9b32f47p-7, -0x1.bac05d3da468p-7, -0x1.abd33b355ded7p-7, -0x1.9d56b8bfcedadp-7, -0x1.8f4825dde8a59p-7, -0x1.81a4dd76c8546p-7, -0x1.746a455f87c89p-7, -0x1.6795ce60630bdp-7, -0x1.5b24f437411ccp-7, -0x1.4f153d97d71e5p-7, -0x1.43643c2967e18p-7, -0x1.380f8c824e3c2p-7, -0x1.2d14d62166038p-7, -0x1.2271cb6571398p-7, -0x1.182429829279bp-7, -0x1.0e29b875f5d6ep-7, -0x1.04804af7c1ea8p-7, -0x1.f64b7cd6cdce2p-8, -0x1.e42ff59cc8e2ap-8, -0x1.d2a9e54b398cep-8, -0x1.c1b545d2905b1p-8, -0x1.b14e25df44a5dp-8, -0x1.a170a8acc0a6ap-8, -0x1.921905d610318p-8, -0x1.8343892471df9p-8, -0x1.74ec925bef8a3p-8, -0x1.6710950625c7ap-8, -0x1.59ac183b571dbp-8, -0x1.4cbbb669ef82cp-8, -0x1.403c1d1c9693ep-8, -0x1.342a0cbeedc44p-8, -0x1.288258611bbedp-8, -0x1.1d41e57a3b7d5p-8, -0x1.1265aba9cfbbbp-8, -0x1.07eab47851ddp-8, -0x1.fb9c362debbdbp-9, -0x1.e81a183d768fcp-9, -0x1.d5498a9dc68dcp-9, -0x1.c3252a95c1ac7p-9, -0x1.b1a7b6afadc09p-9, -0x1.a0cc0e337a52cp-9, -0x1.908d30a073045p-9, -0x1.80e63d26878edp-9, -0x1.71d2721f4c447p-9, -0x1.634d2c86cc671p-9, -0x1.5551e7745b5fap-9, -0x1.47dc3b9379187p-9, -0x1.3ae7de9ce902cp-9, -0x1.2e70a2d01abc8p-9, -0x1.2272766cfa4b8p-9, -0x1.16e9632e43837p-9, -0x1.0bd18dc46bba6p-9, -0x1.012735513f125p-9, -0x1.edcd65c882358p-10, -0x1.da18f1efc59b1p-10, -0x1.c72a25df4c393p-10, -0x1.b4fa492e7b66cp-10, -0x1.a382d345715d8p-10, -0x1.92bd6a5f8f9dcp-10, -0x1.82a3e29061ed7p-10, -0x1.73303ccaed354p-10, -0x1.645ca5eb8c83ap-10, -0x1.562375c462f6ep-10, -0x1.487f2e2c8f983p-10, -0x1.3b6a7a1219046p-10, -0x1.2ee02c8ebdec7p-10, -0x1.22db3fffadceep-10, -0x1.1756d52031ca2p-10, -0x1.0c4e32276990cp-10, -0x1.01bcc1e90e4f2p-10, -0x1.ef3c25f2b4f1cp-11, -0x1.dbdbada82a0f6p-11, -0x1.c94fc20d9ae88p-11, -0x1.b7904cbc9abbap-11, -0x1.a695782e8d7d5p-11, -0x1.9657ae2489bc6p-11, -0x1.86cf9615c2b66p-11, -0x1.77f613a4868b1p-11, -0x1.69c44519d308cp-11, -0x1.5c3381e780d83p-11, -0x1.4f3d59310a6f9p-11, -0x1.42db905aecff1p-11, -0x1.370821a09defdp-11, -0x1.2bbd3ab1181c4p-11, -0x1.20f53b51f4d27p-11, -0x1.16aab4090f808p-11, -0x1.0cd864ccabb56p-11, -0x1.03793bba131bdp-11, -0x1.f510a7a54ab28p-12, -0x1.e401e77e982afp-12, -0x1.d3bd193492f7dp-12, -0x1.c439717eac5b9p-12, -0x1.b56e7543fb836p-12, -0x1.a753f75460441p-12, -0x1.99e2162ded59dp-12, -0x1.8d1139ce7c723p-12, -0x1.80da11914dd34p-12, -0x1.75359218924c8p-12, -0x1.6a1cf342b8432p-12, -0x1.5f89ae2b64e1bp-12, -0x1.55757b37e614p-12, -0x1.4bda502f06ca2p-12, -0x1.42b25e5c163ap-12, -0x1.39f810bd01b0cp-12, -0x1.31a60a3b54601p-12, -0x1.29b723f00052bp-12, -0x1.22266b71ba0b6p-12, -0x1.1aef212dcd956p-12, -0x1.140cb6cb3a21cp-12, -0x1.0d7acd97ef44dp-12, -0x1.0735350001f08p-12, -0x1.0137e90eb2e4bp-12, -0x1.f6fe21f23148cp-13, -0x1.ec0dfb6489b94p-13, -0x1.e19851117de7p-13, -0x1.d796639a48068p-13, -0x1.ce01bf03940e8p-13, -0x1.c4d438266de16p-13, -0x1.bc07ea3285501p-13, -0x1.b3973441829a1p-13, -0x1.ab7cb6fb02fp-13, -0x1.a3b35248ffb8dp-13, -0x1.9c36231c44b8dp-13, -0x1.95008140a6bf8p-13, -0x1.8e0dfd40a8e3ap-13, -0x1.875a5e583e572p-13, -0x1.80e1a07667f87p-13, -0x1.7a9ff24d443edp-13, -0x1.7491b37063923p-13, -0x1.6eb37280f6c56p-13, -0x1.6901eb679e0d3p-13, -0x1.637a059b89314p-13, -0x1.5e18d27696ff3p-13, -0x1.58db8b9635d9dp-13, -0x1.53bf9148ad1f3p-13, -0x1.4ec269069b27cp-13, -0x1.49e1bbf84bfebp-13, -0x1.451b5586b0fb3p-13, -0x1.406d21f7b12cbp-13, -0x1.3bd52d1585227p-13, -0x1.3751a0e0eab88p-13, -0x1.32e0c44ddd251p-13, -0x1.2e80fa0aa0a28p-13, -0x1.2a30bf50d4404p-13, -0x1.25eeaac04d815p-13, -0x1.21b96b43898ap-13, -0x1.1d8fc6fd61e6dp-13, -0x1.19709a3fe47ep-13, -0x1.155ad68bf5815p-13, -0x1.114d819997578p-13, -0x1.0d47b468988afp-13, -0x1.09489a5966e29p-13, -0x1.054f704de39e5p-13, -0x1.015b83d1e8acdp-13, -0x1.fad86496d278bp-14, -0x1.f301d063ae5d7p-14, -0x1.eb324099733fdp-14, -0x1.e368c5f255454p-14, -0x1.dba48aec35c04p-14, -0x1.d3e4d26e46845p-14, -0x1.cc28f67b663b2p-14, -0x1.c47066f0ef78dp-14, -0x1.bcbaa85183aa9p-14, -0x1.b507529b966c9p-14, -0x1.ad56102b45fcdp-14, -0x1.a5a69ca73a892p-14, -0x1.9df8c3f84bda7p-14, -0x1.964c614b6b1f3p-14, -0x1.8ea15e1db8266p-14, -0x1.86f7b1524eeedp-14, -0x1.7f4f5e5192d08p-14, -0x1.77a87431a7444p-14, -0x1.70030ce7d0ee8p-14, -0x1.685f4c8276825p-14, -0x1.60bd606b7cda6p-14, -0x1.591d7eb2bb43ap-14, -0x1.517fe56046685p-14, -0x1.49e4d9ce50d1ep-14, -0x1.424ca80a641f9p-14, -0x1.3ab7a23db3e3ap-14, -0x1.3326201c50deap-14, -0x1.2b987e5b003f9p-14, -0x1.240f1e2b80258p-14, -0x1.1c8a64bf0328bp-14, -0x1.150abacea9193p-14, -0x1.0d908c29c61adp-14, -0x1.061c4749c1003p-14, -0x1.fd5cb9d6b4d36p-15, -0x1.ee8e7f5a51324p-15, -0x1.dfcec7663d726p-15, -0x1.d11e7c9dd5fcep-15, -0x1.c27e8b5a0c536p-15, -0x1.b3efe10c85673p-15, -0x1.a5736bab6f337p-15, -0x1.970a1925b1bb6p-15, -0x1.88b4d6df34163p-15, -0x1.7a749134e0813p-15, -0x1.6c4a330825e5ap-15, -0x1.5e36a551a3f53p-15, -0x1.503acebac2cf1p-15, -0x1.4257933def348p-15, -0x1.348dd3cd350aep-15, -0x1.26de6dfefe29ep-15, -0x1.194a3bc0b100ep-15, -0x1.0bd2130ef5cb1p-15, -0x1.fced8b66c5d1p-16, -0x1.e272420ebe01ap-16, -0x1.c833db77ef70ep-16, -0x1.ae33df4cffdf7p-16, -0x1.9473cb2371508p-16, -0x1.7af51226ba95ep-16, -0x1.61b91ccbad8f2p-16, -0x1.48c1488bdbd81p-16, -0x1.300ee7a89ac94p-16, -0x1.17a340f5491d6p-16, -0x1.feff1f510f621p-17, -0x1.cf4a06681ae69p-17, -0x1.a0297e45944bep-17, -0x1.719fb5fa0a1efp-17, -0x1.43aec46468597p-17, -0x1.1658a81073c3ap-17, -0x1.d33e8e3f3b30ap-18, -0x1.7b08de7726b1fp-18, -0x1.2413ab242bdebp-18, -0x1.9cc45b66506f2p-19, -0x1.e7ddbaf08dc5p-20, -0x1.36b2315e5a6f8p-21, 0x1.57f524222c861p-21, 0x1.ee13681d2ffc3p-20, 0x1.957425d3fffa2p-19, 0x1.189c3732e2491p-18, 0x1.65295df6f1507p-18, 0x1.b05fcce385aa1p-18, 0x1.fa3df7be088a5p-18, 0x1.21613fed1739fp-17, 0x1.44f619c3af611p-17, 0x1.67dd06baf495ep-17, 0x1.8a159a0a4fd9dp-17, 0x1.ab9f7c73b5bd6p-17, 0x1.cc7a6bebb0cf7p-17, 0x1.eca63b3e7ae71p-17, 0x1.061168d928e8p-16, 0x1.15781553b0dafp-16, 0x1.24872a9ab563bp-16, 0x1.333eb9e3ad221p-16, 0x1.419eddda931d5p-16, 0x1.4fa7ba6e0181cp-16, 0x1.5d597c9a9c8c8p-16, 0x1.6ab45a35de382p-16, 0x1.77b891b860ed4p-16, 0x1.84666a07b7a0fp-16, 0x1.90be323feec2ap-16, 0x1.9cc0417cc2398p-16, 0x1.a86cf6a2a5fc3p-16, 0x1.b3c4b827a64e6p-16, 0x1.bec7f3dc3b062p-16, 0x1.c9771eb418a7bp-16, 0x1.d3d2b48f13851p-16, 0x1.dddb380219ec3p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.cd4eb93936334p-1, 0x1.ca0214570dc24p-1, 0x1.c697b76418861p-1, 0x1.c310e88feb8c6p-1, 0x1.bf6eee28a4506p-1, 0x1.bbb30dcecae12p-1, 0x1.b7de8bba96a28p-1, 0x1.b3f2aa119af7bp-1, 0x1.aff0a84be4e55p-1, 0x1.abd9c2a795ca6p-1, 0x1.a7af31aa152cfp-1, 0x1.a37229adf19abp-1, 0x1.9f23da7ca1068p-1, 0x1.9ac56ef34bc61p-1, 0x1.96580cb1e7eep-1, 0x1.91dcd3d3e70c3p-1, 0x1.8d54deb1ce40cp-1, 0x1.88c141ab12e5cp-1, 0x1.84230af7a55cap-1, 0x1.7f7b428097c56p-1, 0x1.7acae9bf5bcc3p-1, 0x1.7612fba319c63p-1, 0x1.71546c7ba82a3p-1, 0x1.6c9029e9b68bbp-1, 0x1.67c71ad3c36b4p-1, 0x1.62fa1f5f7b72dp-1, 0x1.5e2a10ef26694p-1, 0x1.5957c222ccfc9p-1, 0x1.5483fedcc6adfp-1, 0x1.4faf8c4966a5ap-1, 0x1.4adb28e97dc39p-1, 0x1.46078c9f74927p-1, 0x1.413568bebd202p-1, 0x1.3c65681d63551p-1, 0x1.37982f27888f5p-1, 0x1.32ce5bf495812p-1, 0x1.2e08865df5e7fp-1, 0x1.294740173221p-1, 0x1.248b14c73db41p-1, 0x1.1fd48a22d61b6p-1, 0x1.1b242007cd482p-1, 0x1.167a509921fadp-1, 0x1.11d7905bc52bep-1, 0x1.0d3c4e53f1e87p-1, 0x1.08a8f422fe5a7p-1, 0x1.041de6258d592p-1, 0x1.ff370724165eep-2, 0x1.f6444d2ebf327p-2, 0x1.ed6448f78d59ap-2, 0x1.e4979b7772529p-2, 0x1.dbdedc51b6bafp-2, 0x1.d33a9a11bcd9cp-2, 0x1.caab5a68980edp-2, 0x1.c2319a6a582c9p-2, 0x1.b9cdcecafaa8fp-2, 0x1.b180641ae822ap-2, 0x1.a949bf02f0998p-2, 0x1.a12a3c7fb451p-2, 0x1.9922321c6d7ccp-2, 0x1.9131ee2d07cf1p-2, 0x1.8959b80782d32p-2, 0x1.8199d03c8ecf9p-2, 0x1.79f270cf5cb52p-2, 0x1.7263cd6c9a117p-2, 0x1.6aee13a0926c6p-2, 0x1.63916b0c6d44ap-2, 0x1.5c4df59a883a5p-2, 0x1.5523cfb1e3bb2p-2, 0x1.4e131068a4631p-2, 0x1.471bc9b59fd4fp-2, 0x1.403e08a0f7ae2p-2, 0x1.3979d573c144ap-2, 0x1.32cf33e6b0f2p-2, 0x1.2c3e234fd45b4p-2, 0x1.25c69ecf50b65p-2, 0x1.1f689d7b2ac5bp-2, 0x1.1924128a17376p-2, 0x1.12f8ed7d53d8ap-2, 0x1.0ce71a498bd0cp-2, 0x1.06ee817ec5211p-2, 0x1.010f086f5d925p-2, 0x1.f69122ac27f61p-3, 0x1.eb35f6f648ef8p-3, 0x1.e00c46b0e2daap-3, 0x1.d513c5799172ap-3, 0x1.ca4c21dc73434p-3, 0x1.bfb505970a602p-3, 0x1.b54e15d95ba0cp-3, 0x1.ab16f3854396p-3, 0x1.a10f3b6c0d895p-3, 0x1.9736868a59b75p-3, 0x1.8d8c6a4249fap-3, 0x1.84107894083ccp-3, 0x1.7ac24054a253ap-3, 0x1.71a14d634868dp-3, 0x1.68ad28dcf426ep-3, 0x1.5fe5594e75fdcp-3, 0x1.574962e4fafa4p-3, 0x1.4ed8c79d0f96fp-3, 0x1.4693077014f6ep-3, 0x1.3e77a0804e5e7p-3, 0x1.36860f436f293p-3, 0x1.2ebdceabc0fd8p-3, 0x1.271e584fe5c22p-3, 0x1.1fa7249137f92p-3, 0x1.1857aac0d5d1ap-3, 0x1.112f6143544bap-3, 0x1.0a2dbdb3314d4p-3, 0x1.03523501fa1b7p-3, 0x1.f938773068908p-4, 0x1.ec168ae82203ep-4, 0x1.df3d8c8de398dp-4, 0x1.d2ac632380cd5p-4, 0x1.c661f580438f4p-4, 0x1.ba5d2a8522c77p-4, 0x1.ae9ce94ec0aa1p-4, 0x1.a32019654cf33p-4, 0x1.97e5a2ea56aacp-4, 0x1.8cec6ec4941fep-4, 0x1.823366c9ad3eep-4, 0x1.77b975e61de58p-4, 0x1.6d7d88433332ep-4, 0x1.637e8b6b353dbp-4, 0x1.59bb6e6bc575ap-4, 0x1.503321f682ed1p-4, 0x1.46e4987ffae0dp-4, 0x1.3dcec65cf4f8bp-4, 0x1.34f0a1de25485p-4, 0x1.2c49236a508d7p-4, 0x1.23d74596ecep-4, 0x1.1b9a053f4a9d1p-4, 0x1.1390619a51dep-4, 0x1.0bb95c4edb56ep-4, 0x1.0413f986b5db3p-4, 0x1.f93e8000b926ap-5, 0x1.eab4723ed7edbp-5, 0x1.dc87e1f7c0e5bp-5, 0x1.ceb6ece04a24fp-5, 0x1.c13fb64c012bap-5, 0x1.b4206744cef47p-5, 0x1.a7572ea07cc5cp-5, 0x1.9ae241142aa6ep-5, 0x1.8ebfd945cad43p-5, 0x1.82ee37dbb3c86p-5, 0x1.776ba38a5cea2p-5, 0x1.6c366920544abp-5, 0x1.614cdb907f0cep-5, 0x1.56ad53fab7743p-5, 0x1.4c5631b2d8181p-5, 0x1.4245da46424d5p-5, 0x1.387ab97ff2118p-5, 0x1.2ef3416b2cd77p-5, 0x1.25adea54dcccbp-5, 0x1.1ca932cba48dp-5, 0x1.13e39f9eba0cdp-5, 0x1.0b5bbbdb97da2p-5, 0x1.031018ca9321bp-5, 0x1.f5fe9bd4bf3c8p-6, 0x1.e64ff1d52611fp-6, 0x1.d7117b4a647f8p-6, 0x1.c8408c2ea8e31p-6, 0x1.b9da84b1cfda4p-6, 0x1.abdcd1274eb31p-6, 0x1.9e44e9f287d5ep-6, 0x1.91105371b08f8p-6, 0x1.843c9de74bc21p-6, 0x1.77c765625bf5cp-6, 0x1.6bae51a5580d1p-6, 0x1.5fef160bfd599p-6, 0x1.54877170061a7p-6, 0x1.49752e0ce577ep-6, 0x1.3eb621629004dp-6, 0x1.34482c1763c68p-6, 0x1.2a2939d9420ddp-6, 0x1.2057413dec063p-6, 0x1.16d043a2abd3cp-6, 0x1.0d924d0b60108p-6, 0x1.049b7400f21c6p-6, 0x1.f7d3b2de8c089p-7, 0x1.e6f7510570d5bp-7, 0x1.d69e2d0a4f41cp-7, 0x1.c6c4c57552018p-7, 0x1.b767ac7bbffcep-7, 0x1.a88387b82d2dap-7, 0x1.9a150fe21ec0fp-7, 0x1.8c1910855f01p-7, 0x1.7e8c67b8e918ap-7, 0x1.716c05d5aa9fp-7, 0x1.64b4ed2d05cep-7, 0x1.586431bf4b46ap-7, 0x1.4c76f8f21918ap-7, 0x1.40ea7946caacep-7, 0x1.35bbfa10f512ap-7, 0x1.2ae8d32d0eedbp-7, 0x1.206e6cb741e92p-7, 0x1.164a3ec27c7afp-7, 0x1.0c79d10fceab2p-7, 0x1.02fabac61b284p-7, 0x1.f395445454e7bp-8, 0x1.e1ce78ae50a12p-8, 0x1.d09c99ef2e89p-8, 0x1.bffb4bfd858b4p-8, 0x1.afe64ec57072fp-8, 0x1.a0597dad9f04fp-8, 0x1.9150cf0d9838dp-8, 0x1.82c853a534e1bp-8, 0x1.74bc36156afbbp-8, 0x1.6728ba5a6a773p-8, 0x1.5a0a3d4720548p-8, 0x1.4d5d340225fabp-8, 0x1.411e2b84292b3p-8, 0x1.3549c817d2c3dp-8, 0x1.29dcc4db38b1bp-8, 0x1.1ed3f342df95dp-8, 0x1.142c3a9e53fd2p-8, 0x1.09e2979e61ed6p-8, 0x1.ffe837b9dfaf6p-9, 0x1.ecbbdacd01c3fp-9, 0x1.da3a8c8acdf0cp-9, 0x1.c85ee81d40dcep-9, 0x1.b723aee0ddf53p-9, 0x1.a683c7853f33fp-9, 0x1.967a3d31200f5p-9, 0x1.87023ea9d33acp-9, 0x1.78171d7e35cf1p-9, 0x1.69b44d351a382p-9, 0x1.5bd5627f25471p-9, 0x1.4e76126c2edcep-9, 0x1.419231a40e87dp-9, 0x1.3525b3a2ea08ap-9, 0x1.292ca9f8ed8adp-9, 0x1.1da3438d7a81ep-9, 0x1.1285cbe5c4badp-9, 0x1.07d0aa6ed1ce5p-9, 0x1.fb00c395cc6dcp-10, 0x1.e7231e4490cb5p-10, 0x1.d401d2eecb508p-10, 0x1.c19681fc86f74p-10, 0x1.afdafcee8398cp-10, 0x1.9ec9451a3f03bp-10, 0x1.8e5b8a6c82a84p-10, 0x1.7e8c2a3252f1bp-10, 0x1.6f55ade84a71p-10, 0x1.60b2ca102bec6p-10, 0x1.529e5d0cc53a3p-10, 0x1.45136e03ea9abp-10, 0x1.380d2bc69152cp-10, 0x1.2b86ebbee6a01p-10, 0x1.1f7c28e45fa62p-10, 0x1.13e882b59aecp-10, 0x1.08c7bc3817ebfp-10, 0x1.fc2b75fb36181p-11, 0x1.e79d0c5e5f2d6p-11, 0x1.d3dc8b3b7ef63p-11, 0x1.c0e281b0322d3p-11, 0x1.aea7bc8cb7a59p-11, 0x1.9d2544955f1e9p-11, 0x1.8c545cce69dffp-11, 0x1.7c2e80d230179p-11, 0x1.6cad63315f0d8p-11, 0x1.5dcaebdd27a7bp-11, 0x1.4f81369b33207p-11, 0x1.41ca91832d4cap-11, 0x1.34a17b85c357cp-11, 0x1.2800a2fce1978p-11, 0x1.1be2e4450f22dp-11, 0x1.1043485fb5a37p-11, 0x1.051d039e30ac3p-11, 0x1.f4d6e8aaecd82p-12, 0x1.e054433463c28p-12, 0x1.cca9740a49c9cp-12, 0x1.b9ce24ff513f6p-12, 0x1.a7ba4a304665bp-12, 0x1.96661fbc94195p-12, 0x1.85ca278e13e8p-12, 0x1.75df272fd1c3dp-12, 0x1.669e25b3811e6p-12, 0x1.580069a549598p-12, 0x1.49ff770da2659p-12, 0x1.3c950d80f2bcep-12, 0x1.2fbb263ca553dp-12, 0x1.236bf25169216p-12, 0x1.17a1d8da57243p-12, 0x1.0c577540a9c73p-12, 0x1.0187958bcf9a6p-12, 0x1.ee5a717afe9a2p-13, 0x1.da871a732cd68p-13, 0x1.c78bde72e7368p-13, 0x1.b55fce9521d0ap-13, 0x1.a3fa51b026b04p-13, 0x1.9353217e26e43p-13, 0x1.836247dab56ep-13, 0x1.74201c14b6fa9p-13, 0x1.658540543392bp-13, 0x1.578a9f13af4a5p-13, 0x1.4a2968ac6d34fp-13, 0x1.3d5b10f54373dp-13, 0x1.31194cf373d9dp-13, 0x1.255e109d2ffap-13, 0x1.1a238cad34e86p-13, 0x1.0f642c873a398p-13, 0x1.051a942c9dd39p-13, 0x1.f6833c82056e4p-14, 0x1.e3a8b43cd417p-14, 0x1.d19c13f0b680dp-14, 0x1.c054421b99ce6p-14, 0x1.afc883d2a0552p-14, 0x1.9ff0795e689ffp-14, 0x1.90c41af26b166p-14, 0x1.823bb57ec88cep-14, 0x1.744fe79bc7bacp-14, 0x1.66f99e8e5643p-14, 0x1.5a321364de66fp-14, 0x1.4df2c82bc5b34p-14, 0x1.42358538f22b2p-14, 0x1.36f4568dafd91p-14, 0x1.2c29894e58c9fp-14, 0x1.21cfa94f25f55p-14, 0x1.17e17eb58df99p-14, 0x1.0e5a0bada0a6fp-14, 0x1.05348a32cabc4p-14, 0x1.f8d8d3d6efab8p-15, 0x1.e7fa9c2e09f18p-15, 0x1.d7c6171afea41p-15, 0x1.c8334da151e66p-15, 0x1.b93aa45b88bfcp-15, 0x1.aad4d7df525b9p-15, 0x1.9cfaf9414ad45p-15, 0x1.8fa66ab76f845p-15, 0x1.82d0dc5952624p-15, 0x1.767448fd2fea8p-15, 0x1.6a8af33107d81p-15, 0x1.5f0f624edfc9p-15, 0x1.53fc5fab5b3b5p-15, 0x1.494cf3dde091fp-15, 0x1.3efc64217e7b2p-15, 0x1.35062fcdd0f92p-15, 0x1.2b660de726032p-15, 0x1.2217eac52b71p-15, 0x1.1917e5cf720ccp-15, 0x1.10624f4f1315ap-15, 0x1.07f3a654d279bp-15, 0x1.ff912d66248c4p-16, 0x1.efbbee15f753dp-16, 0x1.e0618dd876d22p-16, 0x1.d17c5a0d78781p-16, 0x1.c306eadb8ed8cp-16, 0x1.b4fc1fd7fce6dp-16, 0x1.a7571ccf3989bp-16, 0x1.9a1346acfeb0dp-16, 0x1.8d2c4082c96f2p-16, 0x1.809de8abdb29ap-16, 0x1.7464560db13cfp-16, 0x1.687bd57408e99p-16, 0x1.5ce0e707804c4p-16, 0x1.51903bddeff51p-16, 0x1.4686b3a397f9ep-16, 0x1.3bc15a5c4d62bp-16, 0x1.313d663bd9215p-16, 0x1.26f83594b1216p-16, 0x1.1cef4cdc4d34ap-16, 0x1.132054c458e81p-16, 0x1.0989186801dcap-16, 0x1.0027838cb2d26p-16, 0x1.edf341eb0ff07p-17, 0x1.dbfb3191a9398p-17, 0x1.ca635e0e2ecb6p-17, 0x1.b92884256ea5bp-17, 0x1.a847928fe5e52p-17, 0x1.97bda748daaf3p-17, 0x1.87880cfb801a5p-17, 0x1.77a4388d1dc9p-17, 0x1.680fc6c310e4dp-17, 0x1.58c87a03c1565p-17, 0x1.49cc38315fc08p-17, 0x1.3b19089d9e736p-17, 0x1.2cad121556d5bp-17, 0x1.1e86990342167p-17, 0x1.10a3fda8e026bp-17, 0x1.0303ba6cb5197p-17, 0x1.eb48c47a0eaa1p-18, 0x1.d1093e0caffe5p-18, 0x1.b7466079989e9p-18, 0x1.9dfdd2ef9a024p-18, 0x1.852d623e4321p-18, 0x1.6cd2fe51af21cp-18, 0x1.54ecb7ce92ab1p-18, 0x1.3d78bdcd3b80cp-18, 0x1.26755bb2427dep-18, 0x1.0fe0f723bd898p-18, 0x1.f3741c337e421p-19, 0x1.c7fe6a1214511p-19, 0x1.9d5e2a4dc0cf7p-19, 0x1.7390d589baad7p-19, 0x1.4a940787b9fc3p-19, 0x1.22657c39e1f89p-19, 0x1.f60619fdcf846p-20, 0x1.a8d55c0d56eb9p-20, 0x1.5d34d7badcdc2p-20, 0x1.1320d2381be8bp-20, 0x1.952b70ee39287p-21, 0x1.07203629b9938p-21, 0x1.f0655423b9056p-23, -0x1.7df32206c5408p-26, -0x1.220191f1d40f2p-22, -0x1.1320440c48eb9p-21, -0x1.9253ee07173cbp-21, -0x1.0750c53fc82c1p-20, -0x1.440760fe084d6p-20, -0x1.7f509356a0ba4p-20, -0x1.b92f1c681abe2p-20, -0x1.f1a5b55e64019p-20, -0x1.145b892915597p-19, -0x1.2f32f201338cep-19, -0x1.495a6cb4f9d9fp-19, -0x1.62d3509981a96p-19, -0x1.7b9ef58526f7cp-19, -0x1.93beb469bfd2ep-19, -0x1.ab33e7e054965p-19, -0x1.c1ffeca713ad4p-19, -0x1.d82422124725fp-19, -0x1.eda1ea70fbe9ep-19, -0x1.013d55b3093f3p-18, -0x1.0b57e71b2ba06p-18, -0x1.1521600624ef3p-18, -0x1.1e9a791914f4ep-18, -0x1.27c3ed217013ep-18, -0x1.309e792926e4ep-18, -0x1.392adc86c43b1p-18, -0x1.4169d8e9c4b92p-18, -0x1.495c326361e58p-18, -0x1.5102af6c0eb63p-18, -0x1.585e18e5dc0e4p-18, -0x1.5f6f3a1bfb5c8p-18, -0x1.6636e0bf95417p-18, -0x1.6cb5dce21f2f6p-18, -0x1.72ed00ed66342p-18, -0x1.78dd2199741abp-18, -0x1.7e8715e080c2ap-18, -0x1.83ebb6f1103edp-18, -0x1.890be01e6ab1dp-18, -0x1.8de86ecf8ec48p-18, -0x1.9282426cc3513p-18, -0x1.96da3c4be71afp-18, -0x1.9af13f9b9fffbp-18, -0x1.9ec8314d87561p-18, -0x1.a25ff7ff6e449p-18, -0x1.a5b97be3d496ap-18, -0x1.a8d5a6a9ae04dp-18, -0x1.abb563638b8e4p-18, -0x1.ae599e6e3f154p-18, -0x1.b0c3455710e0dp-18, -0x1.b2f346c1992c8p-18, -0x1.b4ea924d51f2fp-18, -0x1.b6aa187af1f53p-18, -0x1.b832ca91a3ba8p-18, -0x1.b9859a8423c6ap-18, -0x1.baa37ad5dc818p-18, -0x1.bb8d5e8005948p-18, -0x1.bc4438d6d92fdp-18, -0x1.bcc8fd6ee9e14p-18, -0x1.bd1ca002a2cap-18, -0x1.bd4014580008fp-18, -0x1.bd344e2686d7ap-18, -0x1.bcfa40fd85b63p-18, -0x1.bc92e02aa75p-18, -0x1.bbff1ea0e0752p-18, -0x1.bb3feedfbbc0ap-18, -0x1.ba5642db0f99bp-18, -0x1.b9430be31fb84p-18, -0x1.b8073a8d32d0fp-18, -0x1.b6a3be9ca028cp-18, -0x1.b51986ec57f1fp-18, -0x1.b3698158ef17fp-18, -0x1.b1949aab2c2b6p-18, -0x1.af9bbe831e5eap-18, -0x1.ad7fd743bcd71p-18, -0x1.ab41cdff13845p-18, -0x1.a8e28a62fe0fdp-18, -0x1.a662f2a6737ep-18, -0x1.a3c3eb776484dp-18, -0x1.a10657e92b26cp-18, -0x1.9e2b196390792p-18, -0x1.9b330f9263f8bp-18, -0x1.981f1855aa7a4p-18, -0x1.94f00fb260643p-18, -0x1.91a6cfc3d135fp-18, -0x1.8e4430ad82ec3p-18, -0x1.8ac9088db58b2p-18, -0x1.87362b7076cfep-18, -0x1.838c6b4346489p-18, -0x1.7fcc97c94cb62p-18, -0x1.7bf77e9020f2ep-18, -0x1.780deae51efbbp-18, -0x1.7410a5cb47e1bp-18, -0x1.700075f1b18f8p-18, -0x1.6bde1faa7dbcep-18, -0x1.67aa64e25a5edp-18, -0x1.63660518878a4p-18, -0x1.5f11bd5761a44p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.cfbb958c36b3ap-3, -0x1.e8033e34a104p-3, -0x1.001bb2d67dc47p-2, -0x1.0c279e98de93p-2, -0x1.1820fc20033a7p-2, -0x1.24036e56742a6p-2, -0x1.2fcaa86cb1661p-2, -0x1.3b72740ff8f3fp-2, -0x1.46f6b6cd2bc1p-2, -0x1.525376af85395p-2, -0x1.5d84de2ae9abep-2, -0x1.68873f612dedp-2, -0x1.735716d13253fp-2, -0x1.7df10d7e040fep-2, -0x1.8851fa9b5a274p-2, -0x1.9276e4cbf4bf1p-2, -0x1.9c5d02fd82578p-2, -0x1.a601bcecc672dp-2, -0x1.af62ab5be83ffp-2, -0x1.b87d9803f469p-2, -0x1.c1507d49da536p-2, -0x1.c9d985be5fb94p-2, -0x1.d2170b6fe5df9p-2, -0x1.da07971428ab6p-2, -0x1.e1a9df0f881cap-2, -0x1.e8fcc65ee935fp-2, -0x1.efff5b68b21f4p-2, -0x1.f6b0d6b8f135ep-2, -0x1.fd1099ac5fbe7p-2, -0x1.018f1686bdf6cp-1, -0x1.046c9fd35bfd9p-1, -0x1.0720d2662a4ccp-1, -0x1.09aba97023f8p-1, -0x1.0c0d30e924646p-1, -0x1.0e4584ceef532p-1, -0x1.1054d06410aeap-1, -0x1.123b4d6f5217ep-1, -0x1.13f9437c6d8d8p-1, -0x1.158f071e94e81p-1, -0x1.16fcf9354db5cp-1, -0x1.18438634186e2p-1, -0x1.1963256d442fep-1, -0x1.1a5c58604a4abp-1, -0x1.1b2faa0bfb089p-1, -0x1.1bddae44bbebbp-1, -0x1.1c67010f11376p-1, -0x1.1ccc45fe9e15ap-1, -0x1.1d0e2799c0bbdp-1, -0x1.1d2d56c1eb52p-1, -0x1.1d2a8a20ce491p-1, -0x1.1d067d9a665fdp-1, -0x1.1cc1f1c3faa83p-1, -0x1.1c5dab600e482p-1, -0x1.1bda72df4be83p-1, -0x1.1b3913e663fdp-1, -0x1.1a7a5cd8dad7dp-1, -0x1.199f1e68bad7bp-1, -0x1.18a82b2b209bbp-1, -0x1.179657318e871p-1, -0x1.166a77a7f9125p-1, -0x1.1525627775442p-1, -0x1.13c7eded754e1p-1, -0x1.1252f0677c6f4p-1, -0x1.10c740032f108p-1, -0x1.0f25b252a678ap-1, -0x1.0d6f1c14eecf3p-1, -0x1.0ba450f28fc38p-1, -0x1.09c6233e06c55p-1, -0x1.07d563b816021p-1, -0x1.05d2e157c728dp-1, -0x1.03bf691608e44p-1, -0x1.019bc5bcc7601p-1, -0x1.fed17f72c2912p-2, -0x1.fa4e39e4bc005p-2, -0x1.f5af41408abf9p-2, -0x1.f0f61652fc5e2p-2, -0x1.ec24340226e11p-2, -0x1.e73b0f1090a43p-2, -0x1.e23c15e5b0769p-2, -0x1.dd28b05b9faeep-2, -0x1.d8023f91b6f88p-2, -0x1.d2ca1dc3ed62cp-2, -0x1.cd819e26be52ep-2, -0x1.c82a0cc765f7ep-2, -0x1.c2c4ae70444f3p-2, -0x1.bd52c09132d5fp-2, -0x1.b7d5792ba0094p-2, -0x1.b24e06c24136bp-2, -0x1.acbd904c30d49p-2, -0x1.a725352b4c152p-2, -0x1.a1860d25a349ap-2, -0x1.9be12861da55ap-2, -0x1.96378f664e1a5p-2, -0x1.908a431ad50fcp-2, -0x1.8ada3ccd00aacp-2, -0x1.85286e36af9d3p-2, -0x1.7f75c186d68efp-2, -0x1.79c3196c5d003p-2, -0x1.74115122eb26bp-2, -0x1.6e613c818bbeep-2, -0x1.68b3a80b061b1p-2, -0x1.630958ffce23dp-2, -0x1.5d630d71760d5p-2, -0x1.57c17c5781a76p-2, -0x1.522555a58154ap-2, -0x1.4c8f426262a18p-2, -0x1.46ffe4c0d6cfdp-2, -0x1.4177d838bea0bp-2, -0x1.3bf7b1a180fa1p-2, -0x1.367fff4d3de2ep-2, -0x1.31114924c222dp-2, -0x1.2bac10c42ec27p-2, -0x1.2650d1983e6f5p-2, -0x1.210000fc187eap-2, -0x1.1bba0e57a2289p-2, -0x1.167f633e3aa3p-2, -0x1.1150638dd78e3p-2, -0x1.0c2d6d8e6ad2ep-2, -0x1.0716da1191f3dp-2, -0x1.020cfc926f97ap-2, -0x1.fa2046ab6a057p-3, -0x1.f0412f13807a9p-3, -0x1.e67d3acd9a456p-3, -0x1.dcd4e89e54cb7p-3, -0x1.d348added29cdp-3, -0x1.c9d8f6bcf9818p-3, -0x1.c086267b87309p-3, -0x1.b75097b1d89edp-3, -0x1.ae389c8b684b8p-3, -0x1.a53e7f06e6849p-3, -0x1.9c628134daeb3p-3, -0x1.93a4dd75d0fbcp-3, -0x1.8b05c6b7f1b03p-3, -0x1.828568b404f6ep-3, -0x1.7a23e829d697p-3, -0x1.71e1631be41fbp-3, -0x1.69bdf10a57668p-3, -0x1.61b9a32d42259p-3, -0x1.59d484ae0ca72p-3, -0x1.520e9ae014da5p-3, -0x1.4a67e5787505ep-3, -0x1.42e05ec4e94ccp-3, -0x1.3b77fbe1d6a81p-3, -0x1.342eacef60ddep-3, -0x1.2d045d4593da6p-3, -0x1.25f8f3a79c05ep-3, -0x1.1f0c527604cbfp-3, -0x1.183e57dffb906p-3, -0x1.118ede1399b6fp-3, -0x1.0afdbb6d2c0ffp-3, -0x1.048ac2a575e74p-3, -0x1.fc6b85fded7fep-4, -0x1.effd10e44cd6bp-4, -0x1.e3c9b7b15d0a5p-4, -0x1.d7d1062f381b4p-4, -0x1.cc12829115c84p-4, -0x1.c08dadc39b8b2p-4, -0x1.b54203bb2218ap-4, -0x1.aa2efbbfe4135p-4, -0x1.9f5408b833d88p-4, -0x1.94b09970aa555p-4, -0x1.8a4418e24f97fp-4, -0x1.800dee76c425cp-4, -0x1.760d7e4a762c7p-4, -0x1.6c42296cdb846p-4, -0x1.62ab4e1ebd2edp-4, -0x1.5948480e95038p-4, -0x1.5018709306b52p-4, -0x1.471b1ee37565fp-4, -0x1.3e4fa84ec1103p-4, -0x1.35b560702c76p-4, -0x1.2d4b996278707p-4, -0x1.2511a3f1349dbp-4, -0x1.1d06cfc852733p-4, -0x1.152a6ba1fe65p-4, -0x1.0d7bc572c62c9p-4, -0x1.05fa2a941770dp-4, -0x1.fd49cfda33994p-5, -0x1.eef69433dde06p-5, -0x1.e0f93b22bf16ap-5, -0x1.d3505d91fca8ep-5, -0x1.c5fa94af8d99fp-5, -0x1.b8f67a2e84a32p-5, -0x1.ac42a88675b2fp-5, -0x1.9fddbb30031acp-5, -0x1.93c64edeab67p-5, -0x1.87fb01b7e0ac9p-5, -0x1.7c7a73877ca68p-5, -0x1.714345f1a178dp-5, -0x1.66541ca21b804p-5, -0x1.5bab9d794cfb7p-5, -0x1.514870b6ba117p-5, -0x1.4729412143fd4p-5, -0x1.3d4cbc2d227edp-5, -0x1.33b1921fab0d3p-5, -0x1.2a567630f97dbp-5, -0x1.213a1eab839fdp-5, -0x1.185b4509aead2p-5, -0x1.0fb8a6116ea3dp-5, -0x1.075101ee06c5cp-5, -0x1.fe46388fe1b99p-6, -0x1.ee5b78b609e5fp-6, -0x1.dedf5a15cb711p-6, -0x1.cfcf79eb8e1adp-6, -0x1.c1297d0b39822p-6, -0x1.b2eb0fff7125bp-6, -0x1.a511e725e18dfp-6, -0x1.979bbec89f566p-6, -0x1.8a865b34cd8fbp-6, -0x1.7dcf88ce8b7c1p-6, -0x1.71751c225db6ap-6, -0x1.6574f1f4115fep-6, -0x1.59ccef4b48728p-6, -0x1.4e7b017dbbecfp-6, -0x1.437d1e37499f4p-6, -0x1.38d1437fef646p-6, -0x1.2e7577bfbcecdp-6, -0x1.2467c9c0e0b1fp-6, -0x1.1aa650afd667bp-6, -0x1.112f2c19da1b2p-6, -0x1.080083e9a7bc4p-6, -0x1.fe3110c5531b1p-7, -0x1.eceae4353364cp-7, -0x1.dc2b03e368d46p-7, -0x1.cbee0213137f7p-7, -0x1.bc3081750086cp-7, -0x1.acef35103d439p-7, -0x1.9e26e028463f5p-7, -0x1.8fd456210e7a8p-7, -0x1.81f47a60e33b3p-7, -0x1.7484403063476p-7, -0x1.6780aa989a6d4p-7, -0x1.5ae6cc3f5947ep-7, -0x1.4eb3c741fd512p-7, -0x1.42e4cd0ea1193p-7, -0x1.37771e3bf8778p-7, -0x1.2c680a5fc9ccp-7, -0x1.21b4efe43b0ep-7, -0x1.175b3bdbfc609p-7, -0x1.0d5869d5697ffp-7, -0x1.03aa03acb9f5ep-7, -0x1.f49b42baa8697p-8, -0x1.e281d1a4b1b36p-8, -0x1.d1031b6cf2bc2p-8, -0x1.c01aa28659de6p-8, -0x1.afc4041eaff3cp-8, -0x1.9ffaf7baea171p-8, -0x1.90bb4ed2a382fp-8, -0x1.8200f46ae07abp-8, -0x1.73c7ecb0358b5p-8, -0x1.660c5490757c3p-8, -0x1.58ca6153ffd37p-8, -0x1.4bfe6036caf4ep-8, -0x1.3fa4b60145284p-8, -0x1.33b9dea12504ap-8, -0x1.283a6cc240541p-8, -0x1.1d2309677f665p-8, -0x1.1270738404751p-8, -0x1.081f7f9499f7cp-8, -0x1.fc5a2e72f4f15p-9, -0x1.e92c71a10cf2ep-9, -0x1.d6afee1fec60ap-9, -0x1.c4def1433c676p-9, -0x1.b3b3ef7d9849ap-9, -0x1.a3298399ab9d9p-9, -0x1.933a6df4be76ap-9, -0x1.83e193bad1d02p-9, -0x1.7519fe2463df5p-9, -0x1.66ded9b5f1b03p-9, -0x1.592b75814a51bp-9, -0x1.4bfb4268ca158p-9, -0x1.3f49d26490783p-9, -0x1.3312d7c9ba422p-9, -0x1.27522493bc085p-9, -0x1.1c03a9afe0fd5p-9, -0x1.1123764aff861p-9, -0x1.06adb7217114bp-9, -0x1.f93d6ba2a5d78p-10, -0x1.e5e5b05e46f96p-10, -0x1.d34d3f397202bp-10, -0x1.c16d50c543483p-10, -0x1.b03f5217e90f3p-10, -0x1.9fbce38921bbap-10, -0x1.8fdfd773bb44cp-10, -0x1.80a230fc042c6p-10, -0x1.71fe22db46bep-10, -0x1.63ee0e3044747p-10, -0x1.566c8154c4a89p-10, -0x1.497436b830e9ap-10, -0x1.3d0013bf45beap-10, -0x1.310b27a8cc907p-10, -0x1.2590aa776c3ep-10, -0x1.1a8bfbe088792p-10, -0x1.0ff8a2402c8c9p-10, -0x1.05d24991f3596p-10, -0x1.f82984de06d17p-11, -0x1.e5780221ec2b4p-11, -0x1.d38838b37acb3p-11, -0x1.c25299c0e8d2ep-11, -0x1.b1cfd806297d1p-11, -0x1.a1f8e5fa0fe98p-11, -0x1.92c6f4051775dp-11, -0x1.84336ec1b951p-11, -0x1.7637fd463d458p-11, -0x1.68ce7f77ea08bp-11, -0x1.5bf10c6782975p-11, -0x1.4f99f0b6f18c7p-11, -0x1.43c3ad080cd51p-11, -0x1.3868f474547a2p-11, -0x1.2d84ab0d92d5p-11, -0x1.2311e4674002bp-11, -0x1.190be2288dc8ap-11, -0x1.0f6e12a6fbb93p-11, -0x1.06340f895a97dp-11, -0x1.fab338e635062p-12, -0x1.e9b54b6f938a5p-12, -0x1.d9667e2d47487p-12, -0x1.c9bf44fc1ee59p-12, -0x1.bab85dade3664p-12, -0x1.ac4acdaf58ce2p-12, -0x1.9e6fdfbd677f7p-12, -0x1.912121a92071ep-12, -0x1.8458622a68755p-12, -0x1.780faec102e5ep-12, -0x1.6c4151a3bbdd3p-12, -0x1.60e7cfbd73ba7p-12, -0x1.55fde6b7c71a5p-12, -0x1.4b7e8b1319253p-12, -0x1.4164e64bb8256p-12, -0x1.37ac550be3a6cp-12, -0x1.2e50656a6faadp-12, -0x1.254cd535c6579p-12, -0x1.1c9d904b09fc4p-12, -0x1.143eaef918cfdp-12, -0x1.0c2c746f32052p-12, -0x1.04634d370300ap-12, -0x1.f9bf9b73b078p-13, -0x1.eb3d61a1779abp-13, -0x1.dd39acbe88a0dp-13, -0x1.cfae83f1a5ccdp-13, -0x1.c29633201c9b9p-13, -0x1.b5eb4860b2a34p-13, -0x1.a9a891821a582p-13, -0x1.9dc919a4873a3p-13, -0x1.924826e5ddec2p-13, -0x1.87213820261f4p-13, -0x1.7c5002b9bf56p-13, -0x1.71d07086f81a7p-13, -0x1.679e9dbc97138p-13, -0x1.5db6d6f2ef499p-13, -0x1.5415973918047p-13, -0x1.4ab78637e3636p-13, -0x1.419976642a4a3p-13, -0x1.38b8634011c62p-13, -0x1.30116faae9884p-13, -0x1.27a1e43f3760dp-13, -0x1.1f672dbea15cfp-13, -0x1.175edb8b57f54p-13, -0x1.0f869e2e951c1p-13, -0x1.07dc45ebf2ed1p-13, -0x1.005dc1612798ep-13, -0x1.f2123863cf00dp-14, -0x1.e3b8fb7f04a0fp-14, -0x1.d5ac4fd80856fp-14, -0x1.c7e8ebd0df64bp-14, -0x1.ba6bb61ba7588p-14, -0x1.ad31c381c4768p-14, -0x1.a03854bf9bcc2p-14, -0x1.937cd4741717p-14, -0x1.86fcd52388f0ap-14, -0x1.7ab60f4d4d4ecp-14, -0x1.6ea65f939f99ep-14, -0x1.62cbc4f51d9f3p-14, -0x1.57245f17726b7p-14, -0x1.4bae6ca2a4d55p-14, -0x1.406849ac8b128p-14, -0x1.35506e33e5f6dp-14, -0x1.2a656caaa95dep-14, -0x1.1fa5f08efa7d3p-14, -0x1.1510bd127217cp-14, -0x1.0aa4abcf2c094p-14, -0x1.0060ab8a3a999p-14, -0x1.ec877e06188f5p-15, -0x1.d899f79ebe56cp-15, -0x1.c4f71286ac0cbp-15, -0x1.b19d3eca9e594p-15, -0x1.9e8b0bda2d2fdp-15, -0x1.8bbf269c316bp-15, -0x1.7938579867281p-15, -0x1.66f581359f944p-15, -0x1.54f59e0bcdabdp-15, -0x1.4337bf4941b27p-15, -0x1.31bb0b2a6e627p-15, -0x1.207ebb839216cp-15, -0x1.0f821c5ba5c58p-15, -0x1.fd89152ff09f7p-16, -0x1.dc8ae56fbfcf7p-16, -0x1.bc089f3fde921p-16, -0x1.9c0152e83a633p-16, -0x1.7c742900b98b4p-16, -0x1.5d60605e2c0f3p-16, -0x1.3ec54c1a093aap-16, -0x1.20a251b3f20a4p-16, -0x1.02f6e74c09398p-16, -0x1.cb8523ea52288p-17, -0x1.9209c83c3add5p-17, -0x1.597af821e7f1bp-17, -0x1.21d8050f11328p-17, -0x1.d640a5522814ep-18, -0x1.6aa6a8804a221p-18, -0x1.00e114dc7d021p-18, -0x1.31de0368ea11ep-19, -0x1.967cc1da4a3a1p-21, 0x1.8bef83425f2c5p-21, 0x1.27f4ad9b9b39ep-19, 0x1.e94ca57f54274p-19, 0x1.5382987542aebp-18, 0x1.b08fdb94d136ep-18, 0x1.05e768ffc6043p-17, 0x1.32a01b3532f34p-17, 0x1.5e726562d164cp-17, 0x1.895ead3abbdecp-17, 0x1.b3655e2ee17c5p-17, 0x1.dc86ea617f9d4p-17, 0x1.0261e5c09381ap-16, 0x1.160e41c8a0d35p-16, 0x1.2948ced00a4bfp-16, 0x1.3c11d7358549bp-16, 0x1.4e69aa7914c4bp-16, 0x1.60509d7dc9f69p-16, 0x1.71c70ac3e2ce2p-16, 0x1.82cd529bb97a2p-16, 0x1.9363db51d16cbp-16, 0x1.a38b11546ea62p-16, 0x1.b3436752fe9cfp-16, 0x1.c28d5657b85d8p-16, 0x1.d1695ddbb1d93p-16, 0x1.dfd803d5cdd5dp-16, 0x1.edd9d4c4bb69bp-16, 0x1.fb6f63b4592abp-16, 0x1.044ca51f62c75p-15, 0x1.0aac1444a82fep-15, 0x1.10d6529ecf58dp-15, 0x1.16cbb6bf99875p-15, 0x1.1c8c9a6ecf859p-15, 0x1.22195aa1c4612p-15, 0x1.277257716680fp-15, 0x1.2c97f40ef2891p-15, 0x1.318a96b7619edp-15, 0x1.364aa8a5afe2p-15, 0x1.3ad896040c64ap-15, 0x1.3f34cddc0c37p-15, 0x1.435fc205f2e7fp-15, 0x1.4759e717289bap-15, 0x1.4b23b44feab34p-15, 0x1.4ebda388503c7p-15, 0x1.5228311cafda4p-15, 0x1.5563dbd97533cp-15, 0x1.587124e67e69ap-15, 0x1.5b508fb206406p-15, 0x1.5e02a1db309dep-15, 0x1.6087e31c459a8p-15, 0x1.62e0dd34a5f3cp-15, 0x1.650e1bd287a75p-15, 0x1.67102c7c84139p-15, 0x1.68e79e7b0663ap-15, 0x1.6a9502c1a17b9p-15, 0x1.6c18ebd8571fp-15, 0x1.6d73edc4de02ep-15, 0x1.6ea69df3e9507p-15, 0x1.6fb1932280bacp-15, 0x1.709565476bac8p-15, 0x1.7152ad7cb948dp-15, 0x1.71ea05e96ccfap-15, 0x1.725c09ab53ccdp-15, 0x1.72a954c10b1dep-15, 0x1.72d283f43d415p-15, 0x1.72d834c418211p-15, 0x1.72bb05500584ep-15, 0x1.727b9442a8b14p-15, 0x1.721a80bd23b91p-15, 0x1.71986a42a9e91p-15, 0x1.70f5f0a466de4p-15, 0x1.7033b3edb25a5p-15, 0x1.6f525450a3eep-15, 0x1.6e527212fa398p-15, 0x1.6d34ad7b614b6p-15, 0x1.6bf9a6bf181bfp-15, 0x1.6aa1fdeff6988p-15, 0x1.692e52ead551p-15, 0x1.679f45465b78bp-15, 0x1.65f57442310f5p-15, 0x1.64317eb698157p-15, 0x1.625403046e3c7p-15, 0x1.605d9f0598271p-15, 0x1.5e4eeffdd3583p-15, 0x1.5c28928bf494dp-15, 0x1.59eb229b908dfp-15, 0x1.57973b570c4e7p-15, 0x1.552d771a1b8c5p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.b63c18808d74ap-1, 0x1.b36101dd39165p-1, 0x1.b08b69ca68eaap-1, 0x1.adbc37b876405p-1, 0x1.aaf40d16032e8p-1, 0x1.a8334d20b101p-1, 0x1.a57a24532dc2ep-1, 0x1.a2c88f65283e9p-1, 0x1.a01e61d63eeb2p-1, 0x1.9d7b4c0090d0fp-1, 0x1.9adee0b25839cp-1, 0x1.98489a5010a93p-1, 0x1.95b7df82465cbp-1, 0x1.932c07734d331p-1, 0x1.90a45da1fc10cp-1, 0x1.8e20254f0ce39p-1, 0x1.8b9e9c8b1ea7bp-1, 0x1.891efeeb82916p-1, 0x1.86a087ec0255bp-1, 0x1.84227503c28d7p-1, 0x1.81a407733e22ep-1, 0x1.7f2485d122bbep-1, 0x1.7ca33d5b9f4fap-1, 0x1.7a1f8313683ffp-1, 0x1.7798b4a574175p-1, 0x1.750e39282439cp-1, 0x1.727f81b03f36ep-1, 0x1.6fec09c1db638p-1, 0x1.6d5357a107756p-1, 0x1.6ab4fc85bb208p-1, 0x1.681094b655c1fp-1, 0x1.6565c78ba34cp-1, 0x1.62b44761333c5p-1, 0x1.5ffbd1747c76ep-1, 0x1.5d3c2db521f66p-1, 0x1.5a752e886cb2bp-1, 0x1.57a6b081e396fp-1, 0x1.54d09a12b91b3p-1, 0x1.51f2db319c185p-1, 0x1.4f0d6cfc56744p-1, 0x1.4c20515477d88p-1, 0x1.492b927830ed1p-1, 0x1.462f42985e2c3p-1, 0x1.432b7b6cac823p-1, 0x1.40205dc6a0463p-1, 0x1.3d0e112434d7ep-1, 0x1.39f4c342b36fbp-1, 0x1.36d4a7b24c8bbp-1, 0x1.33adf76aeeae8p-1, 0x1.3080f062bfcf9p-1, 0x1.2d4dd5269b587p-1, 0x1.2a14ec74d8a29p-1, 0x1.26d680daa4f1p-1, 0x1.2392e0541fbe9p-1, 0x1.204a5bef6ad8dp-1, 0x1.1cfd4772d1e9dp-1, 0x1.19abf90622809p-1, 0x1.1656c8df4f347p-1, 0x1.12fe10f268aa6p-1, 0x1.0fa22ca4f7eadp-1, 0x1.0c437884c0304p-1, 0x1.08e25201e4e37p-1, 0x1.057f172c74338p-1, 0x1.021a26754d486p-1, 0x1.fd67bce4b3d58p-2, 0x1.f6993b4c195ccp-2, 0x1.efc9849432919p-2, 0x1.e8f9543aa6933p-2, 0x1.e2296469479ffp-2, 0x1.db5a6d9e01d13p-2, 0x1.d48d2658a917ep-2, 0x1.cdc242ce76187p-2, 0x1.c6fa74a3107a4p-2, 0x1.c0366aa6e9f7ap-2, 0x1.b976d09ace0a5p-2, 0x1.b2bc4ef869f25p-2, 0x1.ac078abfa5f33p-2, 0x1.a55925489ef62p-2, 0x1.9eb1bc1a11f28p-2, 0x1.9811e8c4092c8p-2, 0x1.917a40bea2623p-2, 0x1.8aeb554cb9222p-2, 0x1.8465b3624e94fp-2, 0x1.7de9e38e7deb2p-2, 0x1.777869e8d729ap-2, 0x1.7111c601ef145p-2, 0x1.6ab672d701e79p-2, 0x1.6466e6c879624p-2, 0x1.5e23939334416p-2, 0x1.57ece64c62c2ep-2, 0x1.51c3475fdb284p-2, 0x1.4ba71a90b6488p-2, 0x1.4598befc19ce6p-2, 0x1.3f988f1e0d63cp-2, 0x1.39a6e0d83254ep-2, 0x1.33c4057a473c1p-2, 0x1.2df049cc4fb15p-2, 0x1.282bf61a4c328p-2, 0x1.22774e415a3efp-2, 0x1.1cd291be2befdp-2, 0x1.173dfbbcb28c2p-2, 0x1.11b9c328ed24bp-2, 0x1.0c461ac0b7275p-2, 0x1.06e3312689475p-2, 0x1.019130f512c7cp-2, 0x1.f8a081a7242e6p-3, 0x1.ee410715bff41p-3, 0x1.e404303624013p-3, 0x1.d9ea33a34d4abp-3, 0x1.cff340c04f745p-3, 0x1.c61f7fe664db2p-3, 0x1.bc6f1293aa26dp-3, 0x1.b2e2139a63f38p-3, 0x1.a9789750b8982p-3, 0x1.a032abc0be5d2p-3, 0x1.971058d8c11e8p-3, 0x1.8e11a09baf821p-3, 0x1.85367f5192bcap-3, 0x1.7c7eebb7fca99p-3, 0x1.73ead73257fa9p-3, 0x1.6b7a2dfa0b8b4p-3, 0x1.632cd74e56754p-3, 0x1.5b02b5a3e07e6p-3, 0x1.52fba6d3e0f9bp-3, 0x1.4b17844adc1afp-3, 0x1.43562336dfdd3p-3, 0x1.3bb754b539747p-3, 0x1.343ae5ff91b18p-3, 0x1.2ce0a0986e964p-3, 0x1.25a84a770ce88p-3, 0x1.1e91a63283b1p-3, 0x1.179c732c2fe2fp-3, 0x1.10c86db9682dep-3, 0x1.0a154f4c594dcp-3, 0x1.0382ce9c2a84ep-3, 0x1.fa213f987e49ep-4, 0x1.ed7ce92559cfep-4, 0x1.e117f8bbacc39p-4, 0x1.d4f1c8f2569adp-4, 0x1.c909b06203073p-4, 0x1.bd5f01eb30659p-4, 0x1.b1f10cfa623acp-4, 0x1.a6bf1dca8f915p-4, 0x1.9bc87da5c2aa4p-4, 0x1.910c7323fe3dp-4, 0x1.868a426840ddp-4, 0x1.7c412d5bd57f2p-4, 0x1.723073e7ce1b1p-4, 0x1.6857542cbe0ddp-4, 0x1.5eb50ab8afa8dp-4, 0x1.5548d2bb5abd4p-4, 0x1.4c11e6389e98dp-4, 0x1.430f7e3943adfp-4, 0x1.3a40d2fa0a5a7p-4, 0x1.31a51c190b069p-4, 0x1.293b90c16e1dep-4, 0x1.210367d57ee06p-4, 0x1.18fbd81723c62p-4, 0x1.1124184ebe0bap-4, 0x1.097b5f70798c2p-4, 0x1.0200e4c0144e3p-4, 0x1.f567bfe64399cp-5, 0x1.e72712a3aaddbp-5, 0x1.d93e33acace62p-5, 0x1.cbab969555c05p-5, 0x1.be6db0ca76159p-5, 0x1.b182f9c7f3aebp-5, 0x1.a4e9eb4c6f092p-5, 0x1.98a1018a4e2dfp-5, 0x1.8ca6bb563daddp-5, 0x1.80f99a53373cfp-5, 0x1.7598231c1c028p-5, 0x1.6a80dd6af6a91p-5, 0x1.5fb2543df2e8cp-5, 0x1.552b15fa16dc4p-5, 0x1.4ae9b48bd60d2p-5, 0x1.40ecc58587035p-5, 0x1.3732e23bcdfdbp-5, 0x1.2dbaa7e00d02dp-5, 0x1.2482b798e5407p-5, 0x1.1b89b698e03fp-5, 0x1.12ce4e33457a5p-5, 0x1.0a4f2bef36c53p-5, 0x1.020b019918bdp-5, 0x1.f4010aa4ba3d7p-6, 0x1.e45ce33f6f92dp-6, 0x1.d5270aeba2262p-6, 0x1.c65d0888fe953p-6, 0x1.b7fc6c0134cd7p-6, 0x1.aa02ce58e06d3p-6, 0x1.9c6dd1bddd166p-6, 0x1.8f3b219311f49p-6, 0x1.82687279d6f0ep-6, 0x1.75f382590c35ap-6, 0x1.69da1861f4e46p-6, 0x1.5e1a0512f6c62p-6, 0x1.52b12238535d3p-6, 0x1.479d52eae7036p-6, 0x1.3cdc838d184dap-6, 0x1.326ca9c5fb392p-6, 0x1.284bc47ac7cd1p-6, 0x1.1e77dbc6b2f78p-6, 0x1.14ef00f142fabp-6, 0x1.0baf4e63304efp-6, 0x1.02b6e799e48f3p-6, 0x1.f407f23360255p-7, 0x1.e32970bd7d4a6p-7, 0x1.d2cec799d06e2p-7, 0x1.c2f4853cc64dcp-7, 0x1.b39749a2e5c3cp-7, 0x1.a4b3c62a396aap-7, 0x1.9646bd69e6005p-7, 0x1.884d030810b8bp-7, 0x1.7ac37b8e2ed51p-7, 0x1.6da71c3bdaa65p-7, 0x1.60f4ead845e66p-7, 0x1.54a9fd8273a18p-7, 0x1.48c37a8039b05p-7, 0x1.3d3e980c34d1ep-7, 0x1.32189c22c94ccp-7, 0x1.274edc4e31e9ep-7, 0x1.1cdebd71cb741p-7, 0x1.12c5b394a2803p-7, 0x1.090141ab5dac4p-7, 0x1.ff1df2c32d89bp-8, 0x1.ecd8f5c5695fdp-8, 0x1.db2ee944b35cap-8, 0x1.ca1b4648ebb45p-8, 0x1.b999a18a1cb39p-8, 0x1.a9a5aaff9575ep-8, 0x1.9a3b2d6eaad1ap-8, 0x1.8b560df93db7fp-8, 0x1.7cf24bac232ebp-8, 0x1.6f0bff0d8618dp-8, 0x1.619f59ab5dd34p-8, 0x1.54a8a5aa114aap-8, 0x1.482445535a3eap-8, 0x1.3c0eb2a583ff5p-8, 0x1.30647ee314d8dp-8, 0x1.25225222f8698p-8, 0x1.1a44eae13bc57p-8, 0x1.0fc91d906db4p-8, 0x1.05abd42bb431fp-8, 0x1.f7d41b9347c7fp-9, 0x1.e501bc5fd5d7bp-9, 0x1.d2dadacfb7071p-9, 0x1.c159eea7c4f1ap-9, 0x1.b079968beea73p-9, 0x1.a034972e20034p-9, 0x1.9085da7f44528p-9, 0x1.81686ee279ab4p-9, 0x1.72d7866285dbcp-9, 0x1.64ce75e99dd27p-9, 0x1.5748b47b8d026p-9, 0x1.4a41da724e37ep-9, 0x1.3db5a0bd1e4e8p-9, 0x1.319fe02216dc2p-9, 0x1.25fc90825d329p-9, 0x1.1ac7c820e6d9p-9, 0x1.0ffdbaebe7c0cp-9, 0x1.059ab9c8e6d48p-9, 0x1.f73663c7072abp-10, 0x1.e3f757fdeb8b5p-10, 0x1.d171979481e4ap-10, 0x1.bf9e9e6e59794p-10, 0x1.ae781ba7f1c69p-10, 0x1.9df7f04fb3fb1p-10, 0x1.8e182e246aabep-10, 0x1.7ed316594aeep-10, 0x1.7023185f80304p-10, 0x1.6202d0b54bb98p-10, 0x1.546d07ba9cc56p-10, 0x1.475cb08b3a045p-10, 0x1.3acce7de57586p-10, 0x1.2eb8f2ebb6338p-10, 0x1.231c3e562b714p-10, 0x1.17f25d1b8bca9p-10, 0x1.0d37078a09079p-10, 0x1.02e61a3ad597ap-10, 0x1.f1f72a2440f24p-11, 0x1.dee73488a1ffbp-11, 0x1.cc94dac0f32dap-11, 0x1.baf8e4bfee42p-11, 0x1.aa0c59765d1f3p-11, 0x1.99c87d06b85d8p-11, 0x1.8a26cf02cd9ecp-11, 0x1.7b2108b351affp-11, 0x1.6cb11b6942199p-11, 0x1.5ed12ed8f4916p-11, 0x1.517b9f7ebb4fp-11, 0x1.44aafd0cf954dp-11, 0x1.385a08e38a887p-11, 0x1.2c83b4905e463p-11, 0x1.2123205921fbfp-11, 0x1.163399cddc459p-11, 0x1.0bb09a6455dc5p-11, 0x1.0195c61c2fed6p-11, 0x1.efbdd45702a98p-12, 0x1.dd0ff767bb631p-12, 0x1.cb1a2cff40fbfp-12, 0x1.b9d4f78eaf622p-12, 0x1.a93921fe60611p-12, 0x1.993fbd5874d4bp-12, 0x1.89e21e82d56dp-12, 0x1.7b19dc0857b1dp-12, 0x1.6ce0cbf0cc45dp-12, 0x1.5f3101a7aa4e4p-12, 0x1.5204cbf113168p-12, 0x1.4556b2ece97b8p-12, 0x1.39217627b750cp-12, 0x1.2d600ab91bd6fp-12, 0x1.220d996f7ed01p-12, 0x1.17257d08c42fep-12, 0x1.0ca34077bb81p-12, 0x1.02829d360a97ap-12, 0x1.f17ef3449d54dp-13, 0x1.deabced465084p-13, 0x1.cc844400701b2p-13, 0x1.bb011a39e8aa3p-13, 0x1.aa1b669701aap-13, 0x1.99cc8901bbecep-13, 0x1.8a0e297c14f1fp-13, 0x1.7ada357926c9p-13, 0x1.6c2add4ab6723p-13, 0x1.5dfa91a2bf3a9p-13, 0x1.5044012882641p-13, 0x1.43021620a34cdp-13, 0x1.362ff427d9308p-13, 0x1.29c8f5ffcfd5cp-13, 0x1.1dc8ab6db74p-13, 0x1.122ad72a1c9e2p-13, 0x1.06eb6ce1a1463p-13, 0x1.f80d1e8c31b1fp-14, 0x1.e2f11c5f638fap-14, 0x1.ce7bc99b6f49bp-14, 0x1.baa66fcd1853ap-14, 0x1.a76aa84ce08dfp-14, 0x1.94c258f97927ep-14, 0x1.82a7b10e5157p-14, 0x1.7115261577817p-14, 0x1.600570f424c8fp-14, 0x1.4f738b112c715p-14, 0x1.3f5aab949f7e5p-14, 0x1.2fb644bff628p-14, 0x1.2082015e0d588p-14, 0x1.11b9c24a521afp-14, 0x1.03599c0e71777p-14, 0x1.eabba92bd81a6p-15, 0x1.cf85c1edd632ap-15, 0x1.b50ac69f7b3e1p-15, 0x1.9b445170c2486p-15, 0x1.822c4e8f06072p-15, 0x1.69bcf854cb6c7p-15, 0x1.51f0d39e37e33p-15, 0x1.3ac2ac4118be9p-15, 0x1.242d91a76ceb9p-15, 0x1.0e2cd38b61f61p-15, 0x1.f177fda7794bbp-16, 0x1.c7adb51f6aa53p-16, 0x1.9ef2ca228e196p-16, 0x1.773fa249faa7bp-16, 0x1.508d06ccb4453p-16, 0x1.2ad41f5fc5d41p-16, 0x1.060e6d4bee8bap-16, 0x1.c46b8d6e4f563p-17, 0x1.7e88a4409b943p-17, 0x1.3a690416a17e7p-17, 0x1.f00443713406p-18, 0x1.6e93f37ff4543p-18, 0x1.e0dc24001703ap-19, 0x1.d6022a18a5c4bp-20, -0x1.22e9a651e43eep-25, -0x1.dbd5843acaff4p-20, -0x1.d13b5c71d4e64p-19, -0x1.574d8c3eab94ep-18, -0x1.c3131a17a02a6p-18, -0x1.15fde7a03dd49p-17, -0x1.490a431bc690fp-17, -0x1.7ab4c33cf3317p-17, -0x1.ab034702de835p-17, -0x1.d9fb6d3331e14p-17, -0x1.03d14c53a083fp-16, -0x1.19fefa31163f3p-16, -0x1.2f893bb9298cep-16, -0x1.4472744ff358bp-16, -0x1.58bcf0f557949p-16, -0x1.6c6ae9ec60e2cp-16, -0x1.7f7e844c14c31p-16, -0x1.91f9d37a8ce6dp-16, -0x1.a3deda933c428p-16, -0x1.b52f8db93978dp-16, -0x1.c5edd3564f054p-16, -0x1.d61b8547a66f4p-16, -0x1.e5ba71f8c9e11p-16, -0x1.f4cc5d6db8326p-16, -0x1.01a9811e607f4p-15, -0x1.08a8093c6c4b6p-15, -0x1.0f629c4689d1cp-15, -0x1.15da0c04f19b8p-15, -0x1.1c0f27325c3f9p-15, -0x1.2202b9d556951p-15, -0x1.27b58d935dc97p-15, -0x1.2d2869fe0f5edp-15, -0x1.325c14daaea55p-15, -0x1.37515264492f4p-15, -0x1.3c08e588b15fep-15, -0x1.4083902097db9p-15, -0x1.44c21322f988ep-15, -0x1.48c52ed41b6aap-15, -0x1.4c8da2f0552ecp-15, -0x1.501c2ed2d2cap-15, -0x1.5371919890822p-15, -0x1.568e8a3fb624cp-15, -0x1.5973d7c38b6e4p-15, -0x1.5c2239352ce47p-15, -0x1.5e9a6dd135079p-15, -0x1.60dd351280674p-15, -0x1.62eb4ec23383p-15, -0x1.64c57b05348c1p-15, -0x1.666c7a6731e4cp-15, -0x1.67e10de365473p-15, -0x1.6923f6eb31d88p-15, -0x1.6a35f76abd948p-15, -0x1.6b17d1cbab8aap-15, -0x1.6bca48f613068p-15, -0x1.6c4e204fcfbd8p-15, -0x1.6ca41bba4bcbep-15, -0x1.6cccff8ede29bp-15, -0x1.6cc99099d3923p-15, -0x1.6c9a941441923p-15, -0x1.6c40cf9cb4acbp-15, -0x1.6bbd092ed949cp-15, -0x1.6b10071a2c0cp-15, -0x1.6a3a8ff7cbda8p-15, -0x1.693d6a9f833bep-15, -0x1.68195e1c1657fp-15, -0x1.66cf319eec53p-15, -0x1.655fac7324948p-15, -0x1.63cb95f026073p-15, -0x1.6213b56bbbc69p-15, -0x1.6038d22bca096p-15, -0x1.5e3bb357ae611p-15, -0x1.5c1d1fe95111bp-15, -0x1.59ddde9dffa7p-15, -0x1.577eb5e70de39p-15, -0x1.55006bda58c8bp-15, -0x1.5263c622a81cap-15, -0x1.4fa989f000cedp-15, -0x1.4cd27be7f1f4ep-15, -0x1.49df6015dee59p-15, -0x1.46d0f9db56a85p-15, -0x1.43a80be07b3f3p-15, -0x1.40655804833dfp-15, -0x1.3d099f4e5ab92p-15, -0x1.3995a1dd6b7b2p-15, -0x1.360a1eda91e5cp-15, -0x1.3267d46944449p-15, -0x1.2eaf7f98f30cep-15, -0x1.2ae1dc56a2095p-15, -0x1.26ffa55ec8249p-15, -0x1.2309942f6f54fp-15, -0x1.1f0060faa08d3p-15, -0x1.1ae4c2991cc81p-15, -0x1.16b76e7d6103ap-15, -0x1.127918a703f35p-15, -0x1.0e2a739663516p-15, -0x1.09cc3040aa2e5p-15, -0x1.055efe04320aep-15, -0x1.00e38a9d3e60fp-15, -0x1.f8b5043628d0cp-16, -0x1.ef891daae4aaap-16, -0x1.e644b2c4cab0dp-16, -0x1.dce91118ffa2ap-16, -0x1.d3778292e52afp-16, -0x1.c9f14d62070e6p-16, -0x1.c057b3e8d8998p-16, -0x1.b6abf4ac2914bp-16, -0x1.acef4a436b59cp-16, -0x1.a322eb49b3b7bp-16, -0x1.99480a4f8614fp-16, -0x1.8f5fd5cd61955p-16, -0x1.856b78170d5d1p-16, -0x1.7b6c174fada53p-16, -0x1.7162d55e9148ap-16, -0x1.6750cfe4c1de7p-16, -0x1.5d3720335157bp-16, -0x1.5316db426014fp-16, -0x1.48f111a8df0d4p-16, -0x1.3ec6cf9502805p-16, -0x1.34991cc56f493p-16, -0x1.2a68fc8318037p-16, -0x1.20376d9bc667bp-16, -0x1.16056a5d53c21p-16, -0x1.0bd3e891894d3p-16, -0x1.01a3d97aa92afp-16, -0x1.eeec53a12bc7bp-17, -0x1.da97837d45076p-17, -0x1.c64b09c3e9fbp-17, -0x1.b208a49118426p-17, -0x1.9dd208e1ae3f5p-17, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      47, 0x1.0cccccccccccdp+2, 0x1.1227631ebbe29p+1, 0x1.f490048589b7bp+1, -0x1.467508fc1adbp-1, 
      {{
        {0x1.3333333333333p+0, 0x1.3d70a3d70a3d7p+0, 0x1.9771d1d4738a4p+1, -0x1.05deb11239a3fp+3, 0x1.1870a3d70a3c8p+3, 0x1.85726bf5cf542p+0}, 
        {0x1.3d70a3d70a3d7p+0, 0x1.47ae147ae147bp+0, 0x1.6f5a4acf312b2p+1, -0x1.de66ec40b995fp+2, 0x1.1e481dc786f24p+3, -0x1.e6cf06f343274p+2}, 
        {0x1.47ae147ae147bp+0, 0x1.51eb851eb851fp+0, 0x1.4ad9b5e95b78dp+1, -0x1.b2ef03c8aceb2p+2, 0x1.0112bc151765ap+3, -0x1.2e207f3067ee5p+2}, 
        {0x1.51eb851eb851fp+0, 0x1.5c28f5c28f5c3p+0, 0x1.29a98eda22f6ap+1, -0x1.8b408d02276bcp+2, 0x1.dde42138daa46p+2, -0x1.45aefc4b1b594p+2}, 
        {0x1.5c28f5c28f5c3p+0, 0x1.6666666666666p+0, 0x1.0b879c4113c68p+1, -0x1.66958a5536025p+2, 0x1.b6cf21aab8a3ep+2, -0x1.25238fa32f5bcp+2}, 
        {0x1.6666666666666p+0, 0x1.70a3d70a3d70ap+0, 0x1.e06b59146e4c1p+0, -0x1.44e2f05e0b9dp+2, 0x1.93a1e7786b472p+2, -0x1.15c2c5281ef15p+2}, 
        {0x1.70a3d70a3d70ap+0, 0x1.7ae147ae147aep+0, 0x1.aef31b152f3c3p+0, -0x1.25eddbedcb795p+2, 0x1.724d177dd8346p+2, -0x1.02d15bbc590d8p+2}, 
        {0x1.7ae147ae147aep+0, 0x1.851eb851eb852p+0, 0x1.82398201cd5fap+0, -0x1.098c20880fcd4p+2, 0x1.533e35717b992p+2, -0x1.e1ef97ccfc27p+1}, 
        {0x1.851eb851eb852p+0, 0x1.8f5c28f5c28f6p+0, 0x1.59d8b60f1b25fp+0, -0x1.df211047dbe2cp+1, 0x1.3653ac55d2de7p+2, -0x1.c29ee9535860fp+1}, 
        {0x1.8f5c28f5c28f6p+0, 0x1.999999999999ap+0, 0x1.3571d1d4738a4p+0, -0x1.afa3cc7519993p+1, 0x1.1b4a2374a9b9ep+2, -0x1.a194c2e5a7282p+1}, 
        {0x1.999999999999ap+0, 0x1.a3d70a3d70a3dp+0, 0x1.14ac4b4d056c5p+0, -0x1.84516151ec672p+1, 0x1.023c17c30b377p+2, -0x1.850e0b160d537p+1}, 
        {0x1.a3d70a3d70a3dp+0, 0x1.ae147ae147ae1p+0, 0x1.ee6bc621b7e0bp-1, -0x1.5cde27e9e9da7p+1, 0x1.d5c86ba22950ap+1, -0x1.663310c21a6c8p+1}, 
        {0x1.ae147ae147ae1p+0, 0x1.b851eb851eb85p+0, 0x1.b9845dc832335p-1, -0x1.390128650a4f6p+1, 0x1.aacc8857ab439p+1, -0x1.4e25b1e18c421p+1}, 
        {0x1.b851eb851eb85p+0, 0x1.c28f5c28f5c29p+0, 0x1.8a1511dffc548p-1, -0x1.1876ea52696aap+1, 0x1.82b3877a0b12bp+1, -0x1.313627b7b73dap+1}, 
        {0x1.c28f5c28f5c29p+0, 0x1.ccccccccccccdp+0, 0x1.5f9acffa7eb6cp-1, -0x1.f5fca2446ac83p+0, 0x1.5e136e3b09905p+1, -0x1.1d01af3f95216p+1}, 
        {0x1.ccccccccccccdp+0, 0x1.d70a3d70a3d71p+0, 0x1.399d0203e63e9p-1, -0x1.c0b5f506be3ddp+0, 0x1.3be00747e3302p+1, -0x1.02c31b49f4dbap+1}, 
        {0x1.d70a3d70a3d71p+0, 0x1.e147ae147ae14p+0, 0x1.17abfb9bed30fp-1, -0x1.90a7a57aed57cp+0, 0x1.1cd2db0bd00b7p+1, -0x1.dbe3c73133d19p+0}, 
        {0x1.e147ae147ae14p+0, 0x1.eb851eb851eb8p+0, 0x1.f2c343b70ef56p-2, -0x1.655e0af76e19p+0, 0x1.0045305fe6895p+1, -0x1.b6eaaca73b0f7p+0}, 
        {0x1.eb851eb851eb8p+0, 0x1.f5c28f5c28f5cp+0, 0x1.bcc07aaef2c73p-2, -0x1.3e788dae50de2p+0, 0x1.cbdedb640daa6p+0, -0x1.8c718631e6463p+0}, 
        {0x1.f5c28f5c28f5cp+0, 0x1p+1, 0x1.8ca36199780bbp-2, -0x1.1b958dfa1c0a8p+0, 0x1.9c4c1d351afe1p+0, -0x1.6b4f3a912d1a7p+0}, 
        {0x1p+1, 0x1.051eb851eb852p+1, 0x1.61cf7878b7a1cp-2, -0x1.f8b047c427e87p-1, 0x1.70b33f23af2e1p+0, -0x1.4a518f89638d2p+0}, 
        {0x1.051eb851eb852p+1, 0x1.0a3d70a3d70a4p+1, 0x1.3bb5e0f7fcfc4p-2, -0x1.c0de1ca2af095p-1, 0x1.490fdbfeb7b69p+0, -0x1.276a874945114p+0}, 
        {0x1.0a3d70a3d70a4p+1, 0x1.0f5c28f5c28f6p+1, 0x1.19d4d834091c1p-2, -0x1.8f0dbfc0ac85p-1, 0x1.259cad0a67bebp+0, -0x1.100453518927ap+0}, 
        {0x1.0f5c28f5c28f6p+1, 0x1.147ae147ae148p+1, 0x1.f76ee73e681aap-3, -0x1.62afe8dc0de08p-1, 0x1.04f8511f57494p+0, -0x1.e10856e12a744p-1}, 
        {0x1.147ae147ae148p+1, 0x1.199999999999ap+1, 0x1.c1e68a0d349bfp-3, -0x1.3b3dabf6d727ap-1, 0x1.d0375023a97a5p-1, -0x1.b3d5fdd844b04p-1}, 
        {0x1.199999999999ap+1, 0x1.1eb851eb851ecp+1, 0x1.925247cb70ac4p-3, -0x1.183214f434d4ep-1, 0x1.9bea6f1e30986p-1, -0x1.879fb1bdc2accp-1}, 
        {0x1.1eb851eb851ecp+1, 0x1.23d70a3d70a3dp+1, 0x1.6806af46aa088p-3, -0x1.f23e8c85f79f5p-2, 0x1.6cebc03060eap-1, -0x1.55ab3b30b6b6dp-1}, 
        {0x1.23d70a3d70a3dp+1, 0x1.28f5c28f5c28fp+1, 0x1.426a22b3892efp-3, -0x1.bb23130020c23p-2, 0x1.43ebaed89ce9p-1, -0x1.39b3617f55cfcp-1}, 
        {0x1.28f5c28f5c28fp+1, 0x1.2e147ae147ae1p+1, 0x1.20f4d7add15fp-3, -0x1.8a523c5d423bp-2, 0x1.1e46cc1b40b15p-1, -0x1.0b873ed1f7e25p-1}, 
        {0x1.2e147ae147ae1p+1, 0x1.3333333333333p+1, 0x1.032ca57a786c2p-3, -0x1.5f15d366cad91p-2, 0x1.fc58a7db272c4p-2, -0x1.f05f4671960a1p-2}, 
        {0x1.3333333333333p+1, 0x1.3851eb851eb85p+1, 0x1.d14d2f5dbb9dp-4, -0x1.38ccd5e040098p-2, 0x1.c0c81a4867168p-2, -0x1.97746895ba034p-2}, 
        {0x1.3851eb851eb85p+1, 0x1.3d70a3d70a3d7p+1, 0x1.a20578e5c4eb5p-4, -0x1.16da77b4ac998p-2, 0x1.8fe317f8fed8bp-2, -0x1.81cf17377f53ap-2}, 
        {0x1.3d70a3d70a3d7p+1, 0x1.428f5c28f5c29p+1, 0x1.77dd872f33ca3p-4, -0x1.f16db96b007ebp-3, 0x1.61970af255f77p-2, -0x1.414f3a8c49f8p-2}, 
        {0x1.428f5c28f5c29p+1, 0x1.47ae147ae147bp+1, 0x1.5240746455eafp-4, -0x1.bbf053e0675dap-3, 0x1.3b086a5224215p-2, -0x1.18f3fe9758777p-2}, 
        {0x1.47ae147ae147bp+1, 0x1.4cccccccccccdp+1, 0x1.30ae536501e26p-4, -0x1.8c3b0d31b17cdp-3, 0x1.19518935bd5abp-2, -0x1.f5c1962ca9947p-3}, 
        {0x1.4cccccccccccdp+1, 0x1.51eb851eb851fp+1, 0x1.12b7fe08aefb3p-4, -0x1.61a0cdc5c6cb7p-3, 0x1.f66d1f1e70995p-3, -0x1.b711aa1ea922fp-3}, 
        {0x1.51eb851eb851fp+1, 0x1.570a3d70a3d71p+1, 0x1.eff5c6c11a111p-5, -0x1.3b8aa45e513c5p-3, 0x1.c1bcebfc0a61dp-3, -0x1.6df7c158ade08p-3}, 
        {0x1.570a3d70a3d71p+1, 0x1.5c28f5c28f5c3p+1, 0x1.c0420f6f08cc5p-5, -0x1.1951b5a4b116p-3, 0x1.95d26424995b7p-3, -0x1.510f507ea263ap-3}, 
        {0x1.5c28f5c28f5c3p+1, 0x1.6147ae147ae14p+1, 0x1.95c209246bf01p-5, -0x1.f4f1509156a9bp-4, 0x1.6d5fe9d7f6827p-3, -0x1.2dcafcaccf208p-3}, 
        {0x1.6147ae147ae14p+1, 0x1.6666666666666p+1, 0x1.6ff1950331e3ap-5, -0x1.bd61413d3e516p-4, 0x1.4928d5c339d0ep-3, -0x1.ef89799c2491ep-4}, 
        {0x1.6666666666666p+1, 0x1.6b851eb851eb8p+1, 0x1.4e5b4245f5ad9p-5, -0x1.8b17cc1002dcep-4, 0x1.2b6d62f22d61ap-3, -0x1.e6442035de16ep-4}, 
        {0x1.6b851eb851eb8p+1, 0x1.70a3d70a3d70ap+1, 0x1.309a671ef30a5p-5, -0x1.5d84c771eb0ep-4, 0x1.0e4056c5fc376p-3, -0x1.7766058c65ae6p-4}, 
        {0x1.70a3d70a3d70ap+1, 0x1.75c28f5c28f5cp+1, 0x1.1652bd3c36113p-5, -0x1.34149315e2514p-4, 0x1.ef746f70e1fd7p-4, -0x1.fc23c9988876cp-4}, 
        {0x1.75c28f5c28f5cp+1, 0x1.7ae147ae147aep+1, 0x1.fe64f54d1e96cp-6, -0x1.0ee20fd928235p-4, 0x1.b27a617d4c7e8p-4, -0x1.80ad411795894p-8}, 
        {0x1.7ae147ae147aep+1, 0x1.8p+1, 0x1.d5d3dc8b86b16p-6, -0x1.d87afd3e964d5p-5, 0x1.af97cd29482c4p-4, -0x1.98ec3988648ep-2}, 
        {0x1.8p+1, 0x1.bd70a3d70a3d7p+1, 0x1.b25f633ce63a6p-6, -0x1.a320d0b398094p-5, 0x1.d69ebf40444bp-5, -0x1.365ce36e8cc4ep-5}, 
        {0x1.bd70a3d70a3d7p+1, 0x1.0cccccccccccdp+2, 0x1.6872b020c49bap-7, -0x1.6bb61be9619f6p-6, 0x1.7b296781d6cf5p-9, -0x1.9831ecfeec8c3p-5}, 
      }}, 
      0x1.3d43f1b13d43dp-3, -0x1.9dd69493310f7p-4
    }
  };
  // clang-format on
}
SkfData params_mio_0_1_s_n() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.de016c2f1bfecp-1, -0x1.ec679734e7c93p-1, -0x1.f88039e6450c9p-1, -0x1.012b1b3e22876p+0, -0x1.04fc63ba4993ap+0, -0x1.07bd62e9b7063p+0, -0x1.0978dbd6428f8p+0, -0x1.0a3a9f04d5e43p+0, -0x1.0a0f69f381357p+0, -0x1.090499c6a6b89p+0, -0x1.0727e719f8541p+0, -0x1.04874d594ac0dp+0, -0x1.0130eecbe7e98p+0, -0x1.fa65c46640a2cp-1, -0x1.f136062a75107p-1, -0x1.e6edb7e611c09p-1, -0x1.dba74e9091a37p-1, -0x1.cf7ca5585cfb1p-1, -0x1.c286e6a68006ep-1, -0x1.b4de542e3ff0fp-1, -0x1.a69a07ace986bp-1, -0x1.97cfdf29ab1b8p-1, -0x1.88944d5af4401p-1, -0x1.78fb0e89f26dbp-1, -0x1.6916a7d51c63dp-1, -0x1.58f891e9cec85p-1, -0x1.48b1238c10cdp-1, -0x1.384f85f187279p-1, -0x1.27e1bd6440717p-1, -0x1.1774bcda9fed1p-1, -0x1.0714767a61ff5p-1, -0x1.ed97c75e263b6p-2, -0x1.cd4a126c98ad8p-2, -0x1.ad51fb8ac4e3cp-2, -0x1.8dbfeb6abbad9p-2, -0x1.6ea2a2e26a193p-2, -0x1.50075680c3b39p-2, -0x1.31f9c5ee81a88p-2, -0x1.1484509393678p-2, -0x1.ef6014561d1a6p-3, -0x1.b709a0ac04d74p-3, -0x1.8012c09cdd1cp-3, -0x1.4a86d677cb2f9p-3, -0x1.166f50a64461fp-3, -0x1.c7a793c8ddb7fp-4, -0x1.65744e459a4f1p-4, -0x1.064d69c0ce50bp-4, -0x1.547114b4653ffp-5, -0x1.44e275ed9050ap-6, 0x1.2c7995572d1a2p-10, 0x1.5e2306171c528p-6, 0x1.4e9f5bb4a0419p-5, 0x1.e8184be219b3ep-5, 0x1.3dc53436d9992p-4, 0x1.84834a50686bp-4, 0x1.c850205009954p-4, 0x1.049b4cdbc0317p-3, 0x1.23a156d4e1d44p-3, 0x1.4140a7ee8b3bp-3, 0x1.5d802c47a8b98p-3, 0x1.7867354f52358p-3, 0x1.91fd6bd86ad91p-3, 0x1.aa4ac16f39fabp-3, 0x1.c1594ce7534b6p-3, 0x1.d72dbb5403c86p-3, 0x1.ebd1e2f2a9c47p-3, 0x1.ff4e4b042bcf3p-3, 0x1.08d5c5a822a7bp-2, 0x1.117920b3ac88ep-2, 0x1.199583dd788fap-2, 0x1.212f374dad8c1p-2, 0x1.284a7b6cbdf31p-2, 0x1.2eeb86cc524f9p-2, 0x1.3516846733695p-2, 0x1.3acf920274d6bp-2, 0x1.401abe911e97ep-2, 0x1.44fc0894d2d6bp-2, 0x1.49775c892ab5ep-2, 0x1.4d90936fd00bcp-2, 0x1.514b7190f61d7p-2, 0x1.54aba57aa4407p-2, 0x1.57b4c73ef2edp-2, 0x1.5a6a57ea57338p-2, 0x1.5ccfc1292081ap-2, 0x1.5ee8551571f71p-2, 0x1.60b74e2a7b91p-2, 0x1.623fcf5be6e74p-2, 0x1.6384e44f71d26p-2, 0x1.648981b2d203bp-2, 0x1.655085a2a53c4p-2, 0x1.65dcb812bba47p-2, 0x1.6630cb26c1accp-2, 0x1.664f5b6d540e2p-2, 0x1.663aeff691811p-2, 0x1.65f5fa48aa853p-2, 0x1.6582d63e28746p-2, 0x1.64e3c9e02401ep-2, 0x1.641b0550ee6a4p-2, 0x1.632aa2d92af5bp-2, 0x1.6214a7235a28fp-2, 0x1.60db01a9d1aa3p-2, 0x1.5f7f8d536599ep-2, 0x1.5e04113516642p-2, 0x1.5c6a416be324bp-2, 0x1.5ab3c0014f969p-2, 0x1.58e21dcef50aap-2, 0x1.56f6db58495ccp-2, 0x1.54f369953fb62p-2, 0x1.52d92aab611bp-2, 0x1.50a972957726ap-2, 0x1.4e6587bb860b5p-2, 0x1.4c0ea37daadc2p-2, 0x1.49a5f2b4bfaf4p-2, 0x1.472c962b54053p-2, 0x1.44a3a310eed71p-2, 0x1.420c2368b829fp-2, 0x1.3f671673d0f75p-2, 0x1.3cb57116f675bp-2, 0x1.39f81e3a9d352p-2, 0x1.372fff24b246dp-2, 0x1.345debcb6c76p-2, 0x1.3182b3212b5fep-2, 0x1.2e9f1b5a024dep-2, 0x1.2bb3e22c2400ep-2, 0x1.28c1bd0cd8483p-2, 0x1.25c9596bd5efap-2, 0x1.22cb5ceebc58bp-2, 0x1.1fc865ae31874p-2, 0x1.1cc10a7593e3ap-2, 0x1.19b5db05caabep-2, 0x1.16a7605b1ab0fp-2, 0x1.13961cf58faa9p-2, 0x1.10828d232b6b3p-2, 0x1.0d6d274ae9114p-2, 0x1.0a565c37935b6p-2, 0x1.073e97618112cp-2, 0x1.04263f3669b7ap-2, 0x1.010db55ead818p-2, 0x1.fbeaadff3e77fp-3, 0x1.f5baf9f4f7fe6p-3, 0x1.ef8cf84fc8b03p-3, 0x1.e9614b1f854b1p-3, 0x1.e3388d3b2f417p-3, 0x1.dd1352a264b09p-3, 0x1.d6f228d7d3362p-3, 0x1.d0d59734c484ep-3, 0x1.cabe1f3607913p-3, 0x1.c4a994d39a175p-3, 0x1.be9d474dff5c4p-3, 0x1.b8978afd7f232p-3, 0x1.b298ce230cfa7p-3, 0x1.aca179930fd98p-3, 0x1.a6b1f0e8e0d49p-3, 0x1.a0ca92bc88343p-3, 0x1.9aebb8d9dd074p-3, 0x1.9515b8781e187p-3, 0x1.8f48e2710c397p-3, 0x1.89858376a4b6ap-3, 0x1.83cbe446ac5bap-3, 0x1.7e1c49db6f591p-3, 0x1.7876f5992bf19p-3, 0x1.72dc2577d29bap-3, 0x1.6d4c142901351p-3, 0x1.67c6f93a25ee8p-3, 0x1.624d0932feb45p-3, 0x1.5cde75b0b1c89p-3, 0x1.577b6d7ddcc8ap-3, 0x1.52241ca811c15p-3, 0x1.4cd8ac9323f29p-3, 0x1.4799440adaad8p-3, 0x1.426607536a2d8p-3, 0x1.3d3f183925a61p-3, 0x1.3824961fcfae1p-3, 0x1.33169e11ca1f7p-3, 0x1.2e154acf71f18p-3, 0x1.2920b4dec090dp-3, 0x1.2438f29b5886dp-3, 0x1.1f5e1846f3c48p-3, 0x1.1a90381a4608dp-3, 0x1.15cf6256213f9p-3, 0x1.111ba554da16bp-3, 0x1.0c750d9bb9c4dp-3, 0x1.07dba5ec5e385p-3, 0x1.034f7755e1fb7p-3, 0x1.fda1128b486d5p-4, 0x1.f4bdc32f1602p-4, 0x1.ebf5094b5e8bp-4, 0x1.e346eaae97171p-4, 0x1.dab36a5dc4641p-4, 0x1.d23a88af2665fp-4, 0x1.c9dc4363287aep-4, 0x1.c19895bba9a71p-4, 0x1.b96f78919b14fp-4, 0x1.b160e2690d7bcp-4, 0x1.a96cc783d966cp-4, 0x1.a19319f2e966cp-4, 0x1.99d3c9a673965p-4, 0x1.922ec47d2ddecp-4, 0x1.8aa3f652ba38p-4, 0x1.8333490d7195fp-4, 0x1.7bdca4abb9abcp-4, 0x1.749fef510b859p-4, 0x1.6d7d0d52cc371p-4, 0x1.6673e145182bdp-4, 0x1.5f844c0797f76p-4, 0x1.58ae2cd273949p-4, 0x1.51f161436e755p-4, 0x1.4b4dc56b39944p-4, 0x1.44c333daf9c65p-4, 0x1.3e5185b204952p-4, 0x1.37f892abcd7adp-4, 0x1.31b8312dfadf5p-4, 0x1.2b90365699b28p-4, 0x1.2580760a62166p-4, 0x1.1f88c302ffe8ap-4, 0x1.19a8eedd52526p-4, 0x1.13e0ca27933f3p-4, 0x1.0e30246f59e1ap-4, 0x1.0896cc4f6caa3p-4, 0x1.03148f7d56b9dp-4, 0x1.fb5275ad6cde4p-5, 0x1.f0a934dc7c629p-5, 0x1.e62cf330bf77bp-5, 0x1.dbdd45ef36d0bp-5, 0x1.d1b9c110e747p-5, 0x1.c7c1f759faadbp-5, 0x1.bdf57a701ec74p-5, 0x1.b453daf0225e1p-5, 0x1.aadca882ce62p-5, 0x1.a18f71f104e6cp-5, 0x1.986bc53727c3fp-5, 0x1.8f712f97cd2cep-5, 0x1.869f3dadcc744p-5, 0x1.7df57b7da7e7fp-5, 0x1.757374866070dp-5, 0x1.6d18b3d1b5118p-5, 0x1.64e4c403dcb24p-5, 0x1.5cd72f6abe183p-5, 0x1.54ef800cb2584p-5, 0x1.4d2d3fb6d27aap-5, 0x1.458ff80addacbp-5, 0x1.3e17328cba786p-5, 0x1.36c278af95778p-5, 0x1.2f9153e2abefdp-5, 0x1.28834d9db823bp-5, 0x1.2197ef6d11fd3p-5, 0x1.1acec2fd765b9p-5, 0x1.1427522788b57p-5, 0x1.0da126fb00fe9p-5, 0x1.073bcbc99112ep-5, 0x1.00f6cb317e7b3p-5, 0x1.f5a3604fe6bc7p-6, 0x1.e9980c06062d9p-6, 0x1.ddcab106cd545p-6, 0x1.d23a67bbe50adp-6, 0x1.c6e649897cf25p-6, 0x1.bbcd70e00f617p-6, 0x1.b0eef94d945d3p-6, 0x1.a649ff8e1bdefp-6, 0x1.9bdda19be31a6p-6, 0x1.91a8febecef49p-6, 0x1.87ab379b5855cp-6, 0x1.7de36e40f2134p-6, 0x1.7450c637d5728p-6, 0x1.6af2648e4c7d2p-6, 0x1.61c76fe56943p-6, 0x1.58cf107d3aeddp-6, 0x1.500870407346fp-6, 0x1.4772bacf8c2b7p-6, 0x1.3f0d1d8b66985p-6, 0x1.36d6c79f64b7cp-6, 0x1.2eceea0b08c92p-6, 0x1.26f4b7ab0cedp-6, 0x1.1f476542078a4p-6, 0x1.17c629808ccfap-6, 0x1.10703d0cdf9eap-6, 0x1.0944da8a21b07p-6, 0x1.02433e9f19782p-6, 0x1.f6d54ff8f858fp-7, 0x1.e974aec59defbp-7, 0x1.dc631f4fa9813p-7, 0x1.cf9f2b7721f6fp-7, 0x1.c3276159bda83p-7, 0x1.b6fa535b3ef81p-7, 0x1.ab16982d12f4bp-7, 0x1.9f7acad50926dp-7, 0x1.94258ab36af13p-7, 0x1.89157b882d88ap-7, 0x1.7e4945778a84ap-7, 0x1.73bf950dcc5e8p-7, 0x1.69771b4265632p-7, 0x1.5f6e8d7a64cbbp-7, 0x1.55a4a58a3a823p-7, 0x1.4c1821b6cf32ap-7, 0x1.42c7c4b604394p-7, 0x1.39b255ae931ffp-7, 0x1.30d6a0374deedp-7, 0x1.28337455d2c08p-7, 0x1.1fc7a67caf5c7p-7, 0x1.17920f88f5b02p-7, 0x1.0f918cbf4bfd5p-7, 0x1.07c4ffc87b8dcp-7, 0x1.002b4ead8098fp-7, 0x1.f186c7a64872fp-8, 0x1.e3185bea3993fp-8, 0x1.d50940418ad0dp-8, 0x1.c757635ecb2c7p-8, 0x1.ba00bc8025e81p-8, 0x1.ad034b6261822p-8, 0x1.a05d1833233e7p-8, 0x1.940c33827e8a1p-8, 0x1.880eb633d5db3p-8, 0x1.7c62c16e22299p-8, 0x1.71067e8b97b5ep-8, 0x1.65f81f08b79aap-8, 0x1.5adb602dd24cep-8, 0x1.5065f47df99c7p-8, 0x1.46394a86469ep-8, 0x1.3c53b208cf32ap-8, 0x1.32b3827cc8768p-8, 0x1.29571afc50aebp-8, 0x1.203ce231e50e5p-8, 0x1.176346459aafp-8, 0x1.0ec8bcca0558p-8, 0x1.066bc2a8e29a5p-8, 0x1.fc95b81f154ebp-9, 0x1.ecc928b64ca9fp-9, 0x1.dd6efc09741fap-9, 0x1.ce846519ec83fp-9, 0x1.c006a4cfd4573p-9, 0x1.b1f309d10160bp-9, 0x1.a446f057d2e2p-9, 0x1.96ffc209ab67cp-9, 0x1.8a1af5cd33ff4p-9, 0x1.7d960fa073835p-9, 0x1.716ea06eaa3cdp-9, 0x1.65a245e60a9c1p-9, 0x1.5a2eaa4d502b6p-9, 0x1.4f1184592a985p-9, 0x1.4448970195999p-9, 0x1.39d1b157177f3p-9, 0x1.2faaae57dc4bdp-9, 0x1.25d174c4e5a1ep-9, 0x1.1c43f6f705367p-9, 0x1.130032b3e946ep-9, 0x1.0a043103167bap-9, 0x1.014e0602ec7c8p-9, 0x1.f1b7a17b36a45p-10, 0x1.e15775fc6e5b8p-10, 0x1.d177f24b7e7bfp-10, 0x1.c215940078517p-10, 0x1.b32ced33ddb11p-10, 0x1.a4baa4291f39cp-10, 0x1.96bb72f951c0cp-10, 0x1.892c273e23eb3p-10, 0x1.7c09a1bd0d332p-10, 0x1.6f50d612be3a2p-10, 0x1.62feca5ef8b12p-10, 0x1.571096f099ea5p-10, 0x1.4b8365f24d2ep-10, 0x1.405473175d94ep-10, 0x1.35810b4942c9fp-10, 0x1.2b068c557a5a7p-10, 0x1.20e2649bf6c63p-10, 0x1.171212be48543p-10, 0x1.0d93254f2fbe8p-10, 0x1.04633a82eb32dp-10, 0x1.f6ffffc073733p-11, 0x1.e5ce63e414d85p-11, 0x1.d52d37f401276p-11, 0x1.c5182f474a1dep-11, 0x1.b58b197124758p-11, 0x1.a681e1aa9f714p-11, 0x1.97f88e3e65418p-11, 0x1.89eb3ff64c2d6p-11, 0x1.7c56318a9ed6bp-11, 0x1.6f35b7137a9d7p-11, 0x1.62863d7c1e166p-11, 0x1.564449f83c847p-11, 0x1.4a6c797b6a9a3p-11, 0x1.3efb803276929p-11, 0x1.33ee28ff3249fp-11, 0x1.294154f61096dp-11, 0x1.1ef1fade0feep-11, 0x1.14fd26b2cd2b8p-11, 0x1.0b5ff928b8311p-11, 0x1.0217a7337e653p-11, 0x1.f242f31d7d551p-12, 0x1.e0f598913c326p-12, 0x1.d0421c9dc5f89p-12, 0x1.c02381fc0277ap-12, 0x1.b094ef649ebc1p-12, 0x1.a191aeb6d1b59p-12, 0x1.93152c2337807p-12, 0x1.851af55b001ecp-12, 0x1.779eb8c2d8819p-12, 0x1.6a9c44aa8be29p-12, 0x1.5e0f8687cfc43p-12, 0x1.51f48a35955e3p-12, 0x1.46477937251d4p-12, 0x1.3b0499fec202dp-12, 0x1.30284f3863337p-12, 0x1.25af171763ee3p-12, 0x1.1b958aa91dd1ap-12, 0x1.11d85d29c7a48p-12, 0x1.08745b5d2edbdp-12, 0x1.feccd5d69420cp-13, 0x1.ed57137f14effp-13, 0x1.dc819ad78f68bp-13, 0x1.cc46c51c6f50bp-13, 0x1.bca11875665aap-13, 0x1.ad8b46ce074e6p-13, 0x1.9f002cb47f8bbp-13, 0x1.90fad03d6b7e8p-13, 0x1.83765fef83ae3p-13, 0x1.766e31b2db21ap-13, 0x1.69ddc1c71e317p-13, 0x1.5dc0b1be7bb5bp-13, 0x1.5212c77edfe45p-13, 0x1.46cfec47c5ba2p-13, 0x1.3bf42bbd96a02p-13, 0x1.317bb2fa4ad6cp-13, 0x1.2762cfa2d1f63p-13, 0x1.1da5ef01eea4cp-13, 0x1.14419d272abe2p-13, 0x1.0b32840bd51cbp-13, 0x1.02756abba56f5p-13, 0x1.f40e690538a85p-14, 0x1.e3c9c03eba55ap-14, 0x1.d4170df45b815p-14, 0x1.c4f0b8bffe396p-14, 0x1.b651598568bd9p-14, 0x1.a833b9f9eeb0cp-14, 0x1.9a92d3349ddb3p-14, 0x1.8d69cc48a0a1dp-14, 0x1.80b3f8e588428p-14, 0x1.746cd8018b8f2p-14, 0x1.6890128a8be83p-14, 0x1.5d197a1ff91bfp-14, 0x1.520507d37ef1ap-14, 0x1.474edaf29e633p-14, 0x1.3cf337d6443a4p-14, 0x1.32ee86bb41fe8p-14, 0x1.293d52a0af32cp-14, 0x1.1fdc482e129aap-14, 0x1.16c834a191dcap-14, 0x1.0dfe04c32b835p-14, 0x1.057ac3dfec8c9p-14, 0x1.fa77359799614p-15, 0x1.ea7b9dd1d367ap-15, 0x1.dafd826f21b87p-15, 0x1.cbf7dad4a8d31p-15, 0x1.bd65d202e9c76p-15, 0x1.af42c4d7adb1dp-15, 0x1.a18a405dafca8p-15, 0x1.9438002620bf2p-15, 0x1.8747ecaeafe55p-15, 0x1.7ab619d3385d3p-15, 0x1.6e7ec547720c1p-15, 0x1.629e55222b6ap-15, 0x1.5711566b6ffdap-15, 0x1.4bd47bbab73e7p-15, 0x1.40e49bdc1c8b6p-15, 0x1.363eb0818c7f4p-15, 0x1.2bdfd4fc46d0ep-15, 0x1.21c54500f084fp-15, 0x1.17ec5b74bab48p-15, 0x1.0e5291431e5c6p-15, 0x1.04f57c3e35d33p-15, 0x1.f7a59c0ab0e7p-16, 0x1.e5d0a5edb8f19p-16, 0x1.d467e2506ce3bp-16, 0x1.c3674ece8c46bp-16, 0x1.b2cb1887474dep-16, 0x1.a28f9a3e1e669p-16, 0x1.92b15a8ac04acp-16, 0x1.832d0a1a77bf6p-16, 0x1.73ff81fde5858p-16, 0x1.6525c200b121fp-16, 0x1.569cef1a20943p-16, 0x1.486251dd1f37bp-16, 0x1.3a7354ffaf1d8p-16, 0x1.2ccd83e86cae9p-16, 0x1.1f6e894dec32p-16, 0x1.12542ddb17ca8p-16, 0x1.057c56e69bc01p-16, 0x1.f1ca0a5c9e3efp-17, 0x1.d918a7458779cp-17, 0x1.c0e0ec6f7c598p-17, 0x1.a91f718eec483p-17, 0x1.91d0fbee3a895p-17, 0x1.7af27c537ecf9p-17, 0x1.64810cf45461bp-17, 0x1.4e79ef7f60a21p-17, 0x1.38da8b35b1ff5p-17, 0x1.23a06b155537bp-17, 0x1.0ec93c133bd6ep-17, 0x1.f4a596d412892p-18, 0x1.cc7609ea5dcebp-18, 0x1.a4ffe3344ac7dp-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.b77b91852ec73p-2, -0x1.d0ca6e4940e2ap-2, -0x1.e8fffdd162e1p-2, -0x1.0007099272718p-1, -0x1.0af4fb9834d5ep-1, -0x1.1546055874e21p-1, -0x1.1ef7affc2725dp-1, -0x1.2808be0cb815fp-1, -0x1.3079035f6bf6ap-1, -0x1.38493aa3f09f9p-1, -0x1.3f7af28de6422p-1, -0x1.46106f57e2aep-1, -0x1.4c0c88df4dc3ep-1, -0x1.517299b5c7fa1p-1, -0x1.56466c569f993p-1, -0x1.5a8c248282e6dp-1, -0x1.5e48312ab1ecp-1, -0x1.617f401c53ef8p-1, -0x1.64362c3540af6p-1, -0x1.6671edc2d824ap-1, -0x1.68379257c99b1p-1, -0x1.698c39b33459cp-1, -0x1.6a7505ad5ef4dp-1, -0x1.6af7175561566p-1, -0x1.6b1788a7a589ap-1, -0x1.6adb64fba3c3dp-1, -0x1.6a47a3844f67ep-1, -0x1.696123cf54b13p-1, -0x1.682cab2b6147bp-1, -0x1.66aee206e59a2p-1, -0x1.64ec5146311fcp-1, -0x1.62e9601326e01p-1, -0x1.60aa52649988ep-1, -0x1.5e3347fa1861p-1, -0x1.5b883b6fee6fcp-1, -0x1.58ad01685f639p-1, -0x1.55a548154acap-1, -0x1.52749751aba42p-1, -0x1.4f1e511daa37p-1, -0x1.4ba5b21fc17a7p-1, -0x1.480dd1f968035p-1, -0x1.4459a39051487p-1, -0x1.408bf5938c8f3p-1, -0x1.3ca7736212436p-1, -0x1.38aea6387bffbp-1, -0x1.34a3f668543cp-1, -0x1.3089ac69487a7p-1, -0x1.2c61f1bb8cc16p-1, -0x1.282ed1afeb149p-1, -0x1.23f23a2f3542p-1, -0x1.1fadfc91ff5fap-1, -0x1.1b63ce9173d42p-1, -0x1.17154b563d3c7p-1, -0x1.12c3f4a4ae735p-1, -0x1.0e7134194e1cep-1, -0x1.0a1e5c5c94dbep-1, -0x1.05ccaa328f0d9p-1, -0x1.017d45588eb7dp-1, -0x1.fa628275144e8p-2, -0x1.f1d33b3b13c01p-2, -0x1.e94e8ec134d5ap-2, -0x1.e0d632ce718cfp-2, -0x1.d86bbb4f6b00cp-2, -0x1.d01093bb5b936p-2, -0x1.c7c6259942b7ep-2, -0x1.bf8da2a2bdf65p-2, -0x1.b76829f03b7e9p-2, -0x1.af56c1093198ap-2, -0x1.a75a553ea02a4p-2, -0x1.9f73bcf5b18e9p-2, -0x1.97a3b8e65af54p-2, -0x1.8feaf54fb6482p-2, -0x1.884a0b224b405p-2, -0x1.80c181201d722p-2, -0x1.7951ccf2af3fap-2, -0x1.71fb54373f2f4p-2, -0x1.6abe6d8115defp-2, -0x1.639b6150ffe04p-2, -0x1.5c926b00f3f6dp-2, -0x1.55a3b9a394cd3p-2, -0x1.4ecf70d8594fdp-2, -0x1.4815a995b9c48p-2, -0x1.417672ea4ffd5p-2, -0x1.3af1d2b4c1c13p-2, -0x1.3487c65159bc9p-2, -0x1.2e38433c1bfecp-2, -0x1.280337a71bf69p-2, -0x1.21e88b062eb89p-2, -0x1.1be81e9214c3p-2, -0x1.1601cdc536e3cp-2, -0x1.10356ed34aa72p-2, -0x1.0a82d31bf2fep-2, -0x1.04e9c797a4608p-2, -0x1.fed42a7bb0b12p-3, -0x1.f40702c8530fdp-3, -0x1.e96b9c2d80ce6p-3, -0x1.df0174d65efb7p-3, -0x1.d4c8059de7a0fp-3, -0x1.cabec2a5029e9p-3, -0x1.c0e51be1f331bp-3, -0x1.b73a7da8097d2p-3, -0x1.adbe5125ec936p-3, -0x1.a46ffcd8f9fc3p-3, -0x1.9b4ee4f574567p-3, -0x1.925a6bc46cd3dp-3, -0x1.8991f1f965b91p-3, -0x1.80f4d7020a2fp-3, -0x1.78827951dba7bp-3, -0x1.703a36aac95f8p-3, -0x1.681b6c62916fcp-3, -0x1.602577a3fdf2bp-3, -0x1.5857b5aacc1f8p-3, -0x1.50b183f941cbfp-3, -0x1.493240873908dp-3, -0x1.41d949eb037bap-3, -0x1.3aa5ff7d47bb4p-3, -0x1.3397c1791f054p-3, -0x1.2cadf119b45a8p-3, -0x1.25e7f0b64d3aap-3, -0x1.1f4523dd0ceadp-3, -0x1.18c4ef6c6ec39p-3, -0x1.1266b9ab0287dp-3, -0x1.0c29ea5d01388p-3, -0x1.060dead7545b4p-3, -0x1.0012260fe57bcp-3, -0x1.f46c1156b7751p-4, -0x1.e8f2021137b4dp-4, -0x1.ddb4fe94ff929p-4, -0x1.d2b3eac094ee3p-4, -0x1.c7edae1a5e1e3p-4, -0x1.bd6133de5b188p-4, -0x1.b30d6b0aaabe4p-4, -0x1.a8f1466a97aeep-4, -0x1.9f0bbc9fdf39cp-4, -0x1.955bc829c1514p-4, -0x1.8be067697a253p-4, -0x1.82989ca400a05p-4, -0x1.79836e01201fcp-4, -0x1.709fe58829091p-4, -0x1.67ed111ab68d3p-4, -0x1.5f6a026e0a8cap-4, -0x1.5715cf0393eap-4, -0x1.4eef902113ed5p-4, -0x1.46f662c8bdaccp-4, -0x1.3f2967b18223ep-4, -0x1.3787c33f9030dp-4, -0x1.30109d7cf43c3p-4, -0x1.28c307584c2d4p-4, -0x1.219e66db6f257p-4, -0x1.1aa1d3611f7ccp-4, -0x1.13cc833433728p-4, -0x1.0d1db01498957p-4, -0x1.0694972d219cbp-4, -0x1.003079091db74p-4, -0x1.f3e1331376decp-5, -0x1.e7a87fb675feep-5, -0x1.dbb56cd3ea668p-5, -0x1.d00695ae6b344p-5, -0x1.c49a9bdbe36d6p-5, -0x1.b970272eba599p-5, -0x1.ae85e59ec6091p-5, -0x1.a3da8b32112c6p-5, -0x1.996cd1e58795fp-5, -0x1.8f3b799592336p-5, -0x1.854547e6bd94p-5, -0x1.7b89082e74242p-5, -0x1.72058b5be029cp-5, -0x1.68b9a7e1060d9p-5, -0x1.5fa4399c1b81cp-5, -0x1.56c421c12ee19p-5, -0x1.4e1846c41873ep-5, -0x1.459f9442c2959p-5, -0x1.3d58faefc438bp-5, -0x1.3543707d4db8bp-5, -0x1.2d5def88674fp-5, -0x1.25a777847c95cp-5, -0x1.1e1f0ca73463ap-5, -0x1.16c3b7d492318p-5, -0x1.0f94868b5e91dp-5, -0x1.08908ad1d3366p-5, -0x1.01b6db228a837p-5, -0x1.f60d24b35f0dap-6, -0x1.e8fd9f44d8692p-6, -0x1.dc3d6cc92d3f6p-6, -0x1.cfcadc65329c2p-6, -0x1.c3a4456f29194p-6, -0x1.b7c8074b7f98bp-6, -0x1.ac34894a025cap-6, -0x1.a0e83a838328dp-6, -0x1.95e191b7f79b6p-6, -0x1.8b1f0d2d14c85p-6, -0x1.809f328d62742p-6, -0x1.76608ec7cc458p-6, -0x1.6c61b5efb7f56p-6, -0x1.62a1431d95f07p-6, -0x1.591dd84ffa7c4p-6, -0x1.4fd61e4d38576p-6, -0x1.46c8c4857eefdp-6, -0x1.3df480f579605p-6, -0x1.355810097320ap-6, -0x1.2cf23480f7272p-6, -0x1.24c1b752edb45p-6, -0x1.1cc5679238c7dp-6, -0x1.14fc1a52bcf45p-6, -0x1.0d64aa8eef32p-6, -0x1.05fdf90dc4814p-6, -0x1.fd8dd8922f8b9p-7, -0x1.ef7ce0a8f9679p-7, -0x1.e1c6ed88e210ep-7, -0x1.d469ed2c0254p-7, -0x1.c763d82d83db1p-7, -0x1.bab2b19a6aa47p-7, -0x1.ae5486c308c4ap-7, -0x1.a2476f0d3cd18p-7, -0x1.96898bc74f56p-7, -0x1.8b1907fb8a0bep-7, -0x1.7ff4184481d23p-7, -0x1.7518faa1fa0afp-7, -0x1.6a85f64e7eee3p-7, -0x1.60395b9597dc8p-7, -0x1.563183aaa293ap-7, -0x1.4c6cd0804c039p-7, -0x1.42e9aca09f2aap-7, -0x1.39a68b05c5211p-7, -0x1.30a1e6f341b2ep-7, -0x1.27da43cfdb645p-7, -0x1.1f4e2d001be1bp-7, -0x1.16fc35c150152p-7, -0x1.0ee2f9053263ap-7, -0x1.0701194e119afp-7, -0x1.feaa811729984p-8, -0x1.efbc3feff5fe3p-8, -0x1.e134dfebf0c55p-8, -0x1.d311dfde1681bp-8, -0x1.c550cc64be78ep-8, -0x1.b7ef3fa856d75p-8, -0x1.aaeae11b4751fp-8, -0x1.9e41653aadec4p-8, -0x1.91f08d503267bp-8, -0x1.85f62734bdb19p-8, -0x1.7a500d143d477p-8, -0x1.6efc253246621p-8, -0x1.63f861afb23a9p-8, -0x1.5942c05118656p-8, -0x1.4ed94a4644d0bp-8, -0x1.44ba13f27f2ddp-8, -0x1.3ae33cb5c22b3p-8, -0x1.3152eeb6c6a28p-8, -0x1.28075eadf2c4ap-8, -0x1.1efecbb113177p-8, -0x1.16377f00092dcp-8, -0x1.0dafcbd21adp-8, -0x1.05660f244b238p-8, -0x1.fab15f1090df9p-9, -0x1.eb0c39e8a29e5p-9, -0x1.dbd9a1278df4p-9, -0x1.cd1699310d26bp-9, -0x1.bec0381a2fa17p-9, -0x1.b0d3a54eee042p-9, -0x1.a34e19398ea1cp-9, -0x1.962cdceb396d8p-9, -0x1.896d49c618c85p-9, -0x1.7d0cc928f01b8p-9, -0x1.7108d41be1e13p-9, -0x1.655ef2feec366p-9, -0x1.5a0cbd397af62p-9, -0x1.4f0fd8eb6df0ap-9, -0x1.4465fa9f6f37p-9, -0x1.3a0ce4fe961b7p-9, -0x1.300268855c865p-9, -0x1.26446339d1cc6p-9, -0x1.1cd0c06310a71p-9, -0x1.13a57841f72e9p-9, -0x1.0ac08fcb17d44p-9, -0x1.02201861dc0b5p-9, -0x1.f3845f29b921ap-10, -0x1.e349fdb6cb82dp-10, -0x1.d38d76a85d7afp-10, -0x1.c44b4b0a28253p-10, -0x1.b580123866ba3p-10, -0x1.a7287963be2c1p-10, -0x1.99414317bbe97p-10, -0x1.8bc746c36dafp-10, -0x1.7eb77043da1b3p-10, -0x1.720ebf711babap-10, -0x1.65ca47ad110dep-10, -0x1.59e72f746a0b8p-10, -0x1.4e62aff196598p-10, -0x1.433a1491e87ap-10, -0x1.386aba9c51529p-10, -0x1.2df210caa0e61p-10, -0x1.23cd96e43198ep-10, -0x1.19fadd5aab629p-10, -0x1.107784e8b3045p-10, -0x1.07413e325ddc3p-10, -0x1.fcab92cf0e152p-11, -0x1.eb65ebcf77361p-11, -0x1.daad43d0ce7ffp-11, -0x1.ca7d74384a73ep-11, -0x1.bad272b8645d5p-11, -0x1.aba850a6d3f4fp-11, -0x1.9cfb3a55f59d2p-11, -0x1.8ec776714cdafp-11, -0x1.8109655d985d2p-11, -0x1.73bd809bdbf7fp-11, -0x1.66e05a2f89ca9p-11, -0x1.5a6e9c07db38fp-11, -0x1.4e65076c2aa88p-11, -0x1.42c0746b6bf42p-11, -0x1.377dd14e8b4adp-11, -0x1.2c9a220d3e822p-11, -0x1.22127fc6ef4bap-11, -0x1.17e4183cda5cfp-11, -0x1.0e0c2d5060407p-11, -0x1.048814831c55ep-11, -0x1.f67ba4b045dcbp-12, -0x1.e4b577afb8d74p-12, -0x1.d387d4c5ee459p-12, -0x1.c2edf918d600ap-12, -0x1.b2e34467fafb2p-12, -0x1.a363382dac9bep-12, -0x1.946976c46c381p-12, -0x1.85f1c2920936ep-12, -0x1.77f7fd366a026p-12, -0x1.6a7826bfc0fb2p-12, -0x1.5d6e5ce1d99a8p-12, -0x1.50d6da342f11ep-12, -0x1.44adf5722a9b1p-12, -0x1.38f020c02f446p-12, -0x1.2d99e8f58bfcdp-12, -0x1.22a7f4ea1a6e1p-12, -0x1.181704c773abcp-12, -0x1.0de3f15e960b5p-12, -0x1.040bab81525b5p-12, -0x1.f51676bf91f94p-13, -0x1.e2bf7fd06c9cp-13, -0x1.d10cdc5a1fc5p-13, -0x1.bff921981c507p-13, -0x1.af7f0eb47a605p-13, -0x1.9f998ba5b05d4p-13, -0x1.9043a813fbd71p-13, -0x1.81789a44ddf0cp-13, -0x1.7333be0cbd5aep-13, -0x1.657093c7f0525p-13, -0x1.582abf58b487p-13, -0x1.4b5e072d0a6d7p-13, -0x1.3f065347556d8p-13, -0x1.331fac51bf5ecp-13, -0x1.27a63ab2cc766p-13, -0x1.1c9645a9f0582p-13, -0x1.11ec32712ec9bp-13, -0x1.07a48363e8743p-13, -0x1.fb77ae5757c32p-14, -0x1.e85dcfe233047p-14, -0x1.d5f5152632c83p-14, -0x1.c4375bc437ae6p-14, -0x1.b31eb3c1be999p-14, -0x1.a2a55e1349291p-14, -0x1.92c5cb31b7fabp-14, -0x1.837a99b50a44dp-14, -0x1.74be94fc4d55dp-14, -0x1.668cb3ddcdb55p-14, -0x1.58e0175dcb805p-14, -0x1.4bb4096dd405bp-14, -0x1.3f03fbb77bc5ap-14, -0x1.32cb866be92a9p-14, -0x1.2706671bd521ap-14, -0x1.1bb07f99aae37p-14, -0x1.10c5d4e0def7cp-14, -0x1.06428e050458p-14, -0x1.f845e6529df4bp-15, -0x1.e4c6d8fd9c074p-15, -0x1.d201028d3bf8ep-15, -0x1.bfedadc4d02f2p-15, -0x1.ae865fc60bc6ep-15, -0x1.9dc4d64539f0ep-15, -0x1.8da305c92edd7p-15, -0x1.7e1b17f2e0436p-15, -0x1.6f2769d7acb91p-15, -0x1.60c28a629a7b5p-15, -0x1.52e738c43426cp-15, -0x1.459062ead4a67p-15, -0x1.38b924087fa0ap-15, -0x1.2c5cc3224c344p-15, -0x1.2076b1a9edd3dp-15, -0x1.15028a259192dp-15, -0x1.09fc0ed5d0056p-15, -0x1.febe50eeaeb5p-16, -0x1.ea4fc9fe84fd7p-16, -0x1.d6a4eccee4513p-16, -0x1.c3b66301e7b6p-16, -0x1.b17d19a33a501p-16, -0x1.9ff23ef347e4bp-16, -0x1.8f0f403fb95d7p-16, -0x1.7ecdc7cfcb842p-16, -0x1.6f27badfe3a9cp-16, -0x1.601737a9e259ep-16, -0x1.51969382e484ep-16, -0x1.43a058f854d85p-16, -0x1.362f4613a9152p-16, -0x1.293e4a9580feep-16, -0x1.1cc8864af640ap-16, -0x1.10c947632d2b3p-16, -0x1.053c08e73d339p-16, -0x1.f438e251f41b5p-17, -0x1.decca08e08aa8p-17, -0x1.ca2b3d79c55a3p-17, -0x1.b64cf7fec9cdfp-17, -0x1.a32a5a3a2b0a8p-17, -0x1.90bc36e344f41p-17, -0x1.7efba6c0ae889p-17, -0x1.6de2062e9341ep-17, -0x1.5d68f2c2cfd79p-17, -0x1.4d8a48e949c72p-17, -0x1.3e4021c409dd4p-17, -0x1.2f84d0ecef83cp-17, -0x1.2152e260264a3p-17, -0x1.13a518762bc8ep-17, -0x1.067669eda5ff4p-17, -0x1.f383fffbe3829p-18, -0x1.db066906f540ap-18, -0x1.c36b20712b005p-18, -0x1.aca991f5ccb1bp-18, -0x1.96b98039535dbp-18, -0x1.819301a78cea9p-18, -0x1.6d2e7d32ea662p-18, -0x1.5984a76642dd5p-18, -0x1.468e7f7457c23p-18, -0x1.34454c66b643fp-18, -0x1.22a29a6af5a64p-18, -0x1.11a03810d6f31p-18, -0x1.013833efba756p-18, -0x1.e2c9b41dc045p-19, -0x1.c44163289cef7p-19, -0x1.a6ccf4d4d88cdp-19, -0x1.8a62564bdc819p-19, -0x1.6ef7dd8599f3cp-19, -0x1.5484454051565p-19, -0x1.3afea91c7177bp-19, -0x1.225e819684febp-19, -0x1.0a9ba080c5bbep-19, -0x1.e75c5ac420f8bp-20, -0x1.bb1d43d91f22fp-20, -0x1.906b8dac0826p-20, -0x1.673960a6e85c6p-20, -0x1.3f7976d270179p-20, -0x1.191f155f93ad4p-20, -0x1.e83c0e15d13c6p-21, -0x1.a0d52d252dc62p-21, -0x1.5bf312e8ca25bp-21, -0x1.1980356872c0ep-21, -0x1.b2cfd8085da5ep-22, -0x1.372ccbc8a87efp-22, -0x1.7fe2839759161p-23, -0x1.33e305e43c6c6p-24, 0x1.0efd972ac4886p-25, 0x1.19735d77bf799p-23, 0x1.e76ad1d4dc06ep-23, 0x1.56f1cf3c597ap-22, 0x1.b68c8fdd2a9b5p-22, 0x1.095114bff5cd1p-21, 0x1.35a6fc80420f3p-21, 0x1.605522c1ae072p-21, 0x1.89682679b6db9p-21, 0x1.b0ec27df971edp-21, 0x1.d6ecce1752e39p-21, 0x1.fb754ca4c3b3p-21, 0x1.0f483442c4c04p-20, 0x1.20243eae7ed74p-20, 0x1.3053c1184f388p-20, 0x1.3fdb86c53268ap-20, 0x1.4ec02d565a258p-20, 0x1.5d06269f28d41p-20, 0x1.6ab1bab708693p-20, 0x1.77c709ed6573ep-20, 0x1.844a0e8bffbbfp-20, 0x1.903e9ebd851f5p-20, 0x1.9ba86e1bc931ep-20, 0x1.a68b0f80e1355p-20, 0x1.b0e9f64313d91p-20, 0x1.bac877f6e5d3cp-20, 0x1.c429cdb421627p-20, 0x1.cd11158be106cp-20, 0x1.d581539dad17ep-20, 0x1.dd7d737050a78p-20, 0x1.e508492e706dbp-20, 0x1.ec2492ac5ab99p-20, 0x1.f2d4f86dd5136p-20, 0x1.f91c0ef06d432p-20, 0x1.fefc573714bb2p-20, 0x1.023c200a92294p-19, 0x1.04c9134fc77a1p-19, 0x1.07262bc6afd0dp-19, 0x1.095487d2bf619p-19, 0x1.0b553e45ea493p-19, 0x1.0d295ed3bc09ep-19, 0x1.0ed1f2411079fp-19, 0x1.104ffad6286b3p-19, 0x1.11a474a149fd7p-19, 0x1.12d055c6167b8p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.5b17c1b35f7a1p-1, -0x1.641cb70d1f4a2p-1, -0x1.6b1e8a803a4cdp-1, -0x1.70273bc6939cfp-1, -0x1.734542d0e0413p-1, -0x1.748acd6a41b18p-1, -0x1.740cf99650996p-1, -0x1.71e327b7cde49p-1, -0x1.6e2685f7948b8p-1, -0x1.68f163c7c7adcp-1, -0x1.625ea96df9639p-1, -0x1.5a89a09e15ce2p-1, -0x1.518dbd3097cacp-1, -0x1.478646925c60ap-1, -0x1.3c8e02ccf8b13p-1, -0x1.30bf04faf3ad3p-1, -0x1.24329cbaa8a79p-1, -0x1.1701463bac9e4p-1, -0x1.0942861e74f08p-1, -0x1.f619808056d8p-2, -0x1.d8ea446bea40ap-2, -0x1.bb1e7d9f8f37cp-2, -0x1.9cdc9490958b9p-2, -0x1.7e47e8ce019b8p-2, -0x1.5f815e84e6546p-2, -0x1.40a75cf462425p-2, -0x1.21d5fb55ae361p-2, -0x1.032722e19a88p-2, -0x1.c965323a19ceap-3, -0x1.8d1c01e4edbc1p-3, -0x1.5199cb2965b22p-3, -0x1.1701a900a4e4fp-3, -0x1.bae5faca06b6p-4, -0x1.4a135d5d65e6bp-4, -0x1.b7796570c0d05p-5, -0x1.c033dd6e64918p-6, -0x1.ca5123b2247b4p-10, 0x1.7b3b3dd937355p-6, 0x1.83819bd78355ep-5, 0x1.2196fd2779b7cp-4, 0x1.7e40023a42ff2p-4, 0x1.d7ae87cd26ebcp-4, 0x1.16ec75bb70addp-3, 0x1.405c791f404d5p-3, 0x1.6825c1d76a7efp-3, 0x1.8e4834e0cf7c7p-3, 0x1.b2c509d9365abp-3, 0x1.d59ead14635bcp-3, 0x1.f6d8a1cdaa36fp-3, 0x1.0b3bb2176ab1bp-2, 0x1.1a4025b608fa9p-2, 0x1.287cb679f6b9p-2, 0x1.35f4c121a5089p-2, 0x1.42abe96798bf8p-2, 0x1.4ea61143beaacp-2, 0x1.59e752116ecc4p-2, 0x1.6473f6b4039bcp-2, 0x1.6e5075c4ab08ep-2, 0x1.77816b354aae7p-2, 0x1.800b91680f6ep-2, 0x1.87f3ba2cb7fcep-2, 0x1.8f3ec82db4171p-2, 0x1.95f1a91d1f50fp-2, 0x1.9c116d67199e9p-2, 0x1.a1a2fad29db87p-2, 0x1.a6ab33877c205p-2, 0x1.ab2ef4ff93c23p-2, 0x1.af3313b9d6112p-2, 0x1.b2bc5a01c851dp-2, 0x1.b5cf864cde3f9p-2, 0x1.b871491d67551p-2, 0x1.baa6428184bacp-2, 0x1.bc72ff5df094dp-2, 0x1.bddbf6c003f95p-2, 0x1.bee58770f8481p-2, 0x1.bf93f5f7b7427p-2, 0x1.bfeb6b22a9a1ep-2, 0x1.bfeff31d323d9p-2, 0x1.bfa57d0214436p-2, 0x1.bf0fdacff2b9fp-2, 0x1.be32c19fed73ap-2, 0x1.bd11c9feeb067p-2, 0x1.bbb0704f2e948p-2, 0x1.ba1215203ae22p-2, 0x1.b839fd75caaaap-2, 0x1.b62b53019e4abp-2, 0x1.b3e9245c143cfp-2, 0x1.b176654a6f4f2p-2, 0x1.aed5ef1e13348p-2, 0x1.ac0a812f9eb96p-2, 0x1.a916c16eed822p-2, 0x1.a5fd3cf9c126fp-2, 0x1.a2c068a902d1ep-2, 0x1.9f62a1889a429p-2, 0x1.9be62d3629f3cp-2, 0x1.984d3a2c26878p-2, 0x1.9499e005ce541p-2, 0x1.90ce1fcb2ebf4p-2, 0x1.8cebe45269fbap-2, 0x1.88f502be1c573p-2, 0x1.84eb3b1a1d541p-2, 0x1.80d03912192cbp-2, 0x1.7ca594b9e3cf4p-2, 0x1.786cd35e81a81p-2, 0x1.74276857eedb9p-2, 0x1.6fd6b5d5e012dp-2, 0x1.6b7c0da3f2da4p-2, 0x1.6718b1e3784eap-2, 0x1.62add5ba1037fp-2, 0x1.5e3c9df4be5f8p-2, 0x1.59c6219f83cddp-2, 0x1.554b6a91f1cedp-2, 0x1.50cd75f1b47ffp-2, 0x1.4c4d34acb486fp-2, 0x1.47cb8becbf98fp-2, 0x1.43495586b8323p-2, 0x1.3ec76066d0d6fp-2, 0x1.3a4670faa4a6bp-2, 0x1.35c741991c1b8p-2, 0x1.314a82e762997p-2, 0x1.2cd0dc39ca887p-2, 0x1.285aebef909e2p-2, 0x1.23e947c8d2cf2p-2, 0x1.1f7c7d36b7d62p-2, 0x1.1b1511a67345bp-2, 0x1.16b382c86652ep-2, 0x1.125846d4d956fp-2, 0x1.0e03cccfe1c4bp-2, 0x1.09b67ccda0f56p-2, 0x1.0570b837a84f1p-2, 0x1.0132da13ad6d9p-2, 0x1.f9fa6e96782p-3, 0x1.f1a03de76210cp-3, 0x1.e957b52b0fc48p-3, 0x1.e1215ce410f79p-3, 0x1.d8fdb38cfcc23p-3, 0x1.d0ed2e18b64a7p-3, 0x1.c8f0386bf64e4p-3, 0x1.c10735cff1105p-3, 0x1.b932815e8152bp-3, 0x1.b1726e686c26bp-3, 0x1.a9c748d67c71ap-3, 0x1.a231558611d7p-3, 0x1.9ab0d2a1b187fp-3, 0x1.9345f7f5cbfb5p-3, 0x1.8bf0f741d3b5ap-3, 0x1.84b1fc857d8a6p-3, 0x1.7d8806973ab7fp-3, 0x1.76754c1be79ecp-3, 0x1.6f7905f67f68p-3, 0x1.68934cb852363p-3, 0x1.61c43406fcedep-3, 0x1.5b0bcad524705p-3, 0x1.546a1b9c3fc18p-3, 0x1.4ddf2c96c593ep-3, 0x1.476afffa3a29p-3, 0x1.410d94305338dp-3, 0x1.3ac6e40ea6032p-3, 0x1.3496e70c3f751p-3, 0x1.2e7d9174aec1cp-3, 0x1.287ad4982a77fp-3, 0x1.228e9ef8800ap-3, 0x1.1cb8dc72bdf28p-3, 0x1.16f976658b435p-3, 0x1.115053d454356p-3, 0x1.0bbd598779755p-3, 0x1.06406a29c3454p-3, 0x1.00d966637d9acp-3, 0x1.f71059e70ab48p-4, 0x1.ec99358d5eb75p-4, 0x1.e24d161bbed91p-4, 0x1.d82baea640783p-4, 0x1.ce34af1c06e1p-4, 0x1.c467c46f240c3p-4, 0x1.bac498bbd5c2ap-4, 0x1.b14ad36f88b2ap-4, 0x1.a7fa196fb14dp-4, 0x1.9ed20d40af2fep-4, 0x1.95d24f2c9a946p-4, 0x1.8cfa7d69fd26fp-4, 0x1.844a34425780fp-4, 0x1.7bc10e383ed79p-4, 0x1.735ea42ce8794p-4, 0x1.6b228d84ed9f7p-4, 0x1.630c604c167fcp-4, 0x1.5b1bb157f9973p-4, 0x1.535014694930fp-4, 0x1.4ba91c4bab9e3p-4, 0x1.44265af403086p-4, 0x1.3cc7619d16165p-4, 0x1.358bc0e290f2ep-4, 0x1.2e7308da5e878p-4, 0x1.277cc92c63117p-4, 0x1.20a89128a6236p-4, 0x1.19f5efdc01044p-4, 0x1.1364742369dd6p-4, 0x1.0cf3acbdf7587p-4, 0x1.06a3285dbbcf3p-4, 0x1.007275b79514cp-4, 0x1.f4c2472420ab6p-5, 0x1.e8dd81a701afcp-5, 0x1.dd35b91ec30fp-5, 0x1.d1ca0c264250bp-5, 0x1.c69999e4cf8b4p-5, 0x1.bba38225e03b7p-5, 0x1.b0e6e56ffe215p-5, 0x1.a662e51b1065fp-5, 0x1.9c16a36611ae6p-5, 0x1.9201438c3c42fp-5, 0x1.8821e9d9b29f1p-5, 0x1.7e77bbbfaa0bfp-5, 0x1.7501dfe80d6afp-5, 0x1.6bbf7e4898303p-5, 0x1.62afc03560c24p-5, 0x1.59d1d072c42a3p-5, 0x1.5124db46ad754p-5, 0x1.48a80e892ccf8p-5, 0x1.405a99b452bc9p-5, 0x1.383badf34be9p-5, 0x1.304a7e30acb12p-5, 0x1.28863f23f3669p-5, 0x1.20ee275e2f09p-5, 0x1.19816f55d60e5p-5, 0x1.123f5171c143bp-5, 0x1.0b270a1354fbfp-5, 0x1.0437d79fd3f7bp-5, 0x1.fae1f511cd2d1p-6, 0x1.eda36aa8af6fap-6, 0x1.e0b299461f7d4p-6, 0x1.d40e0e6ea6b1bp-6, 0x1.c7b45bf4a07bap-6, 0x1.bba41801fff8bp-6, 0x1.afdbdd20cad58p-6, 0x1.a45a4a426b393p-6, 0x1.991e02c5d8bbfp-6, 0x1.8e25ae7cb75f8p-6, 0x1.836ff9af787f1p-6, 0x1.78fb952088fa4p-6, 0x1.6ec7360ea53adp-6, 0x1.64d196365da44p-6, 0x1.5b1973d2d763p-6, 0x1.519d919dd2c24p-6, 0x1.485cb6cf11c4p-6, 0x1.3f55af1b1306cp-6, 0x1.36874ab13dd2p-6, 0x1.2df05e397a5bcp-6, 0x1.258fc2d1450fep-6, 0x1.1d6456084494cp-6, 0x1.156cf9dc5c39fp-6, 0x1.0da894b553703p-6, 0x1.0616116005a1cp-6, 0x1.fd68be125531p-7, 0x1.ef04e26f66767p-7, 0x1.e0fe7f8d8a5c3p-7, 0x1.d3538dbeac179p-7, 0x1.c6020de2d0a6dp-7, 0x1.b9080959e0c04p-7, 0x1.ac6391f4c8776p-7, 0x1.a012c1e5ef674p-7, 0x1.9413bbb11bae5p-7, 0x1.8864aa1ab1a92p-7, 0x1.7d03c01670ca2p-7, 0x1.71ef38b5a0e3dp-7, 0x1.67255714c39a3p-7, 0x1.5ca46648c9fap-7, 0x1.526ab94bd2707p-7, 0x1.4876aae9870e8p-7, 0x1.3ec69dab09856p-7, 0x1.3558fbc28da6p-7, 0x1.2c2c36f693c12p-7, 0x1.233ec88cd8dbdp-7, 0x1.1a8f3134fa54dp-7, 0x1.121bf8f2d7acp-7, 0x1.09e3af08b6816p-7, 0x1.01e4e9e12fb0dp-7, 0x1.f43c8df1d60fbp-8, 0x1.e51cd5905eb41p-8, 0x1.d668015897c42p-8, 0x1.c81b75a1bd2eap-8, 0x1.ba34a432025c4p-8, 0x1.acb10c10b6b5dp-8, 0x1.9f8e395843e25p-8, 0x1.92c9c508106f6p-8, 0x1.866154d646e4p-8, 0x1.7a529b0193898p-8, 0x1.6e9b5622d73a2p-8, 0x1.633950feda77fp-8, 0x1.582a625806b49p-8, 0x1.4d6c6cc02f5c7p-8, 0x1.42fd5e6a6a5d7p-8, 0x1.38db30fd03fa8p-8, 0x1.2f03e96392264p-8, 0x1.257597a12ac48p-8, 0x1.1c2e56a2c4245p-8, 0x1.132c4c11c794dp-8, 0x1.0a6da826d342dp-8, 0x1.01f0a57cb973ep-8, 0x1.f36711c775b9ep-9, 0x1.e369426a05adp-9, 0x1.d3e48e4cd8efep-9, 0x1.c4d5ba3d1d421p-9, 0x1.b6399e123228cp-9, 0x1.a80d245705442p-9, 0x1.9a4d49f41a58bp-9, 0x1.8cf71dda453bdp-9, 0x1.8007c0ae1fc83p-9, 0x1.737c64743ab74p-9, 0x1.67524c3e1894bp-9, 0x1.5b86cbd7eeda4p-9, 0x1.501747773996cp-9, 0x1.4501336a2500bp-9, 0x1.3a4213c7cea5p-9, 0x1.2fd77c2169749p-9, 0x1.25bf0f343badcp-9, 0x1.1bf67e9c8d277p-9, 0x1.123caa8481f8fp-9, 0x1.090f17590122ep-9, 0x1.002ada3fc66d1p-9, 0x1.ef1bb85b15249p-10, 0x1.de6c26f46e5d3p-10, 0x1.ce4307351f55cp-10, 0x1.be9c79b5b3791p-10, 0x1.af74b8350f743p-10, 0x1.a0c81511b9c5bp-10, 0x1.9292fac53238cp-10, 0x1.84d1eb612fc41p-10, 0x1.7781800ef8967p-10, 0x1.6a9e6890a0874p-10, 0x1.5e256ac447cf7p-10, 0x1.52136229546a9p-10, 0x1.46653f679f5dap-10, 0x1.3b1807d89705p-10, 0x1.3028d5124a05dp-10, 0x1.2594d47462c53p-10, 0x1.1b5946b71244dp-10, 0x1.11737f7bcadeap-10, 0x1.07e0e4dff0067p-10, 0x1.fd3dde22ad6ap-11, 0x1.eb564fc93ef9ap-11, 0x1.da0654dabb5c2p-11, 0x1.c94945302914p-11, 0x1.b91a998be83e8p-11, 0x1.a975ead4be4d4p-11, 0x1.9a56f154543a9p-11, 0x1.8bb983f92d144p-11, 0x1.7d99979c0bap-11, 0x1.6ff33e4899d77p-11, 0x1.62c2a68981124p-11, 0x1.56041ab7c0335p-11, 0x1.49b4004d3b922p-11, 0x1.3dced73a88a75p-11, 0x1.3251393fe1381p-11, 0x1.2737d949390bcp-11, 0x1.1c7f82cd691cfp-11, 0x1.122519307740ep-11, 0x1.08259728c9a11p-11, 0x1.fcfc1c4edf606p-12, 0x1.ea574b86a87cp-12, 0x1.d857364eb4ee6p-12, 0x1.c6f68106cf3cbp-12, 0x1.b62ff900737c5p-12, 0x1.a5fe936c4e815p-12, 0x1.965d6c4d2c36fp-12, 0x1.8747c570917a5p-12, 0x1.78b9056cb14d9p-12, 0x1.6aacb6a3f2888p-12, 0x1.5d1e864dac671p-12, 0x1.500a43846203fp-12, 0x1.436bde5914b87p-12, 0x1.373f66ebe36a7p-12, 0x1.2b810c89cd5b9p-12, 0x1.202d1ccf81f3bp-12, 0x1.154002d1356c3p-12, 0x1.0ab646478b053p-12, 0x1.008c8ac14d2a2p-12, 0x1.ed7f1db412458p-13, 0x1.da9856eb0d529p-13, 0x1.c85ea5ff94aa1p-13, 0x1.b6cc2163ff3e2p-13, 0x1.a5db0fb7a8205p-13, 0x1.9585e662bd38ep-13, 0x1.85c7483b1c72ap-13, 0x1.769a0431cb296p-13, 0x1.67f91409267a7p-13, 0x1.59df9b138d6b5p-13, 0x1.4c48e4fa535b6p-13, 0x1.3f30648ce26f4p-13, 0x1.3291b297ef567p-13, 0x1.26688cc460bd3p-13, 0x1.1ab0d47e39afdp-13, 0x1.0f668de29107ep-13, 0x1.0485deb554d92p-13, 0x1.f4161abc32374p-14, 0x1.dfe4ffd7cd89cp-14, 0x1.cc71764002ce5p-14, 0x1.b9b4c2fea65a8p-14, 0x1.a7a864d514032p-14, 0x1.96461278c9c99p-14, 0x1.8587b8dcc31b2p-14, 0x1.756779874449cp-14, 0x1.65dfa8f2f0ca2p-14, 0x1.56eaccfbd55ecp-14, 0x1.48839b579256ap-14, 0x1.3aa4f8189bf6ep-14, 0x1.2d49f43c232c8p-14, 0x1.206dcc4215afdp-14, 0x1.140be6cfeb5dap-14, 0x1.081fd35cedecdp-14, 0x1.f94a91cf91796p-15, 0x1.e330496c23483p-15, 0x1.cde8d2391d8e5p-15, 0x1.b96c78a0f7db9p-15, 0x1.a5b3ce82cb93p-15, 0x1.92b7a8f691b08p-15, 0x1.80711e226c5c2p-15, 0x1.6ed9831f30eefp-15, 0x1.5dea69ecaeb51p-15, 0x1.4d9d9f750973ep-15, 0x1.3ded299ede33bp-15, 0x1.2ed3456d9705ap-15, 0x1.204a652f9b431p-15, 0x1.124d2eba3b7d9p-15, 0x1.04d679b2d2042p-15, 0x1.efc29bc89316fp-16, 0x1.d6d1c3449823fp-16, 0x1.bed1306ddb1ap-16, 0x1.a7b800bb8325p-16, 0x1.917da5937312p-16, 0x1.7c19e16d33a19p-16, 0x1.6784c50a26d81p-16, 0x1.53b6acc386017p-16, 0x1.40a83ded6e55ap-16, 0x1.2e52644db8b44p-16, 0x1.1cae4fa68ec6p-16, 0x1.0bb57154d3db5p-16, 0x1.f6c2f400d3b14p-17, 0x1.d758aebf6dbf6p-17, 0x1.b92064171ae4bp-17, 0x1.9c0ed6ccd8c26p-17, 0x1.80193723653f2p-17, 0x1.65351eec9f46ep-17, 0x1.4b588db82a37ep-17, 0x1.3279e51e3cfa4p-17, 0x1.1a8fe52e03281p-17, 0x1.0391a8f467545p-17, 0x1.daed464a45d1dp-18, 0x1.b06d35b4cd50bp-18, 0x1.879350e4beaf6p-18, 0x1.6050650e46478p-18, 0x1.3a95d5fad7ab8p-18, 0x1.16559864aeb98p-18, 0x1.e70458eb74c84p-19, 0x1.a41d30fb038adp-19, 0x1.63dcc7a55e0a4p-19, 0x1.262b23c25f30ap-19, 0x1.d5e2759038dd3p-20, 0x1.6431cf1d37c49p-20, 0x1.ee3385e8cacfcp-21, 0x1.1ce2cf1685a59p-21, 0x1.508b5538f071fp-23, -0x1.b15ff5e6b7cb6p-23, -0x1.24d64fa9849cap-21, -0x1.d59df5c987086p-21, -0x1.3f79079e7b67ep-20, -0x1.908990eebe403p-20, -0x1.de1f9a539f028p-20, -0x1.142c7a591cb31p-19, -0x1.37a9255b35d59p-19, -0x1.5993965d96901p-19, -0x1.79f90e21a22b4p-19, -0x1.98e64b828d01p-19, -0x1.b66790c2a482dp-19, -0x1.d288a8ae79b3ep-19, -0x1.ed54eb85574f3p-19, -0x1.036ba1da1ad3bp-18, -0x1.0f8d1932c635cp-18, -0x1.1b13e9effd912p-18, -0x1.2604f1e021421p-18, -0x1.3064e07da4f9p-18, -0x1.3a3838e6138c4p-18, -0x1.438353b734b28p-18, -0x1.4c4a60d967051p-18, -0x1.5491693b2aa0dp-18, -0x1.5c5c507550b94p-18, -0x1.63aed66735f62p-18, -0x1.6a8c98b9fca8cp-18, -0x1.70f9145b48e21p-18, -0x1.76f7a6e39053p-18, -0x1.7c8b8ff24a1e8p-18, -0x1.81b7f277d662ap-18, -0x1.867fd5f62967p-18, -0x1.8ae627b156c22p-18, -0x1.8eedbbd614a6fp-18, -0x1.92994e927fe6dp-18, -0x1.95eb85238089cp-18, -0x1.98e6eed99c1ap-18, -0x1.9b8e060d7c177p-18, -0x1.9de3310f7c2a9p-18, -0x1.9fe8c309f2af4p-18, -0x1.a1a0fcdc30657p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.5c82b5dfe7ed8p+0, -0x1.536a13ab0e62ep+0, -0x1.4a02f6a0ebb03p+0, -0x1.4079df51db35dp+0, -0x1.36f43bd1dc043p+0, -0x1.2d911a3b3ff42p+0, -0x1.2469c695c1855p+0, -0x1.1b9273243261fp+0, -0x1.131ae090719d9p+0, -0x1.0b0ee784c9cd1p+0, -0x1.0376fd91897f7p+0, -0x1.f8b1683ad960ap-1, -0x1.eb6e4d11dc83ap-1, -0x1.df26b420c0d67p-1, -0x1.d3d91c977e656p-1, -0x1.c9810d4d3a45p-1, -0x1.c017abdc9da17p-1, -0x1.b794482fee076p-1, -0x1.afecc820ce9d3p-1, -0x1.a915f6bdf0a99p-1, -0x1.a303c5e309b7p-1, -0x1.9da9978da1ccap-1, -0x1.98fa62233b0f5p-1, -0x1.94e905e412481p-1, -0x1.916875a83bf01p-1, -0x1.8e6bd7c0d2ab4p-1, -0x1.8be69842e55acp-1, -0x1.89cc7b20f678p-1, -0x1.8811b12ee2485p-1, -0x1.86aaeb9b3ec91p-1, -0x1.858d691b7bdeap-1, -0x1.84aefc57ef01dp-1, -0x1.84060e75842cep-1, -0x1.8389a07361cd1p-1, -0x1.83314c0eb5188p-1, -0x1.82f5438c20c34p-1, -0x1.82ce4fe5e715bp-1, -0x1.82b5cd833551fp-1, -0x1.82a5a7dcd9c75p-1, -0x1.8298544d8cb7p-1, -0x1.8288cc35d7a9p-1, -0x1.827286bfa6b5ep-1, -0x1.825172ab4542fp-1, -0x1.8221f069bbc49p-1, -0x1.81e0cc75265ap-1, -0x1.818b399d36429p-1, -0x1.811ecb0418504p-1, -0x1.80996dbac97e5p-1, -0x1.7ff9621ef279cp-1, -0x1.7f3d353636ee6p-1, -0x1.7e63ba46b2b6cp-1, -0x1.7d6c04e69404fp-1, -0x1.7c5563af44b5fp-1, -0x1.7b1f5ba4b3d6bp-1, -0x1.79c9a4372645ep-1, -0x1.7854239dc9d6ep-1, -0x1.76beeb39101d5p-1, -0x1.750a33c1c5e31p-1, -0x1.7336593bc77c9p-1, -0x1.7143d6d706a4cp-1, -0x1.6f334303eba5ep-1, -0x1.6d054bf516039p-1, -0x1.6abab4a1b9234p-1, -0x1.6854617edc485p-1, -0x1.65d31ebe3ac4p-1, -0x1.6337e888c88fp-1, -0x1.6083ba03a1666p-1, -0x1.5db797afd9befp-1, -0x1.5ad48deecfbeep-1, -0x1.57dbaf81d8bd7p-1, -0x1.54ce1401e756p-1, -0x1.51acd65379155p-1, -0x1.4e79132007ec6p-1, -0x1.4b33e760bfacep-1, -0x1.47de6f066e944p-1, -0x1.4479c3c89cfc5p-1, -0x1.4106fc21e77bp-1, -0x1.3d872a7af6ab1p-1, -0x1.39fb5c8122595p-1, -0x1.36649aa28d46dp-1, -0x1.32c3e7a7b6afap-1, -0x1.2f1a40620a033p-1, -0x1.2b689b67ab168p-1, -0x1.27afe8d6a9037p-1, -0x1.23f1121c98089p-1, -0x1.202cf9c2bed3bp-1, -0x1.1c647b4192123p-1, -0x1.18986adf3a2fcp-1, -0x1.14c9959bf616bp-1, -0x1.10f8c12cb9f04p-1, -0x1.0d26ac0173c55p-1, -0x1.09540d522967p-1, -0x1.0581952d8441cp-1, -0x1.01afec8491694p-1, -0x1.fbbf6a63e7de3p-2, -0x1.f42313fb369cfp-2, -0x1.ec8bfd4067d1cp-2, -0x1.e4fb3f94f605dp-2, -0x1.dd71e668466d2p-2, -0x1.d5f0ef690db92p-2, -0x1.ce794acb117c7p-2, -0x1.c70bdb9ebd685p-2, -0x1.bfa9783614059p-2, -0x1.b852ea91deee4p-2, -0x1.b108f0d29d5c5p-2, -0x1.a9cc3da9df5adp-2, -0x1.a29d78c9d6af7p-2, -0x1.9b7d3f51dc6f6p-2, -0x1.946c24371974ep-2, -0x1.8d6ab0a8d0d93p-2, -0x1.8679646ff0871p-2, -0x1.7f98b649e0dd9p-2, -0x1.78c9143ee59fdp-2, -0x1.720ae3f4bdec4p-2, -0x1.6b5e82fe7ecbep-2, -0x1.64c4472a9ce1fp-2, -0x1.5e3c7ecfe178bp-2, -0x1.57c77119a5f4fp-2, -0x1.51655e532c596p-2, -0x1.4b1680318d638p-2, -0x1.44db0a1b87f0dp-2, -0x1.3eb3296e756f3p-2, -0x1.389f05bff6b6fp-2, -0x1.329ec11c2ff77p-2, -0x1.2cb27840e03c4p-2, -0x1.26da42d5d6bap-2, -0x1.211633a383e1fp-2, -0x1.1b6658c857087p-2, -0x1.15cabbed7b142p-2, -0x1.1043627b46a64p-2, -0x1.0ad04dcd770b6p-2, -0x1.05717b6706755p-2, -0x1.0026e5254c914p-2, -0x1.f5e102e4043edp-3, -0x1.eb9c86e77b1d2p-3, -0x1.e180367948de9p-3, -0x1.d78bebee34a9dp-3, -0x1.cdbf7c20d5021p-3, -0x1.c41ab6c3058d9p-3, -0x1.ba9d66abd7434p-3, -0x1.b147522262ca4p-3, -0x1.a8183b25f82fcp-3, -0x1.9f0fdfb3e6e3ap-3, -0x1.962dfa0b26fc2p-3, -0x1.8d7240eddbd8p-3, -0x1.84dc67e09da43p-3, -0x1.7c6c1f675b27ep-3, -0x1.7420b5d528dep-3, -0x1.6bfa731209515p-3, -0x1.63f8c7176f24ep-3, -0x1.5c1b5930d8e2dp-3, -0x1.5461ce71c8632p-3, -0x1.4ccbc9e1b7a35p-3, -0x1.4558eca7eed4cp-3, -0x1.3e08d636d3d5ep-3, -0x1.36db24766af73p-3, -0x1.2fcf73eda685ap-3, -0x1.28e55fea318c3p-3, -0x1.221c82a66f6d5p-3, -0x1.1b74756d74844p-3, -0x1.14ecd0bccd95p-3, -0x1.0e852c63fe4c9p-3, -0x1.083d1fa1b269cp-3, -0x1.0214413ea4336p-3, -0x1.f8144f4cbfa09p-4, -0x1.ec3cd1fc0110fp-4, -0x1.e0a136722b598p-4, -0x1.d540a859dcf28p-4, -0x1.ca1a5344f1dd7p-4, -0x1.bf2d62cdd99cdp-4, -0x1.b47902b6fd135p-4, -0x1.a9fc5f0881b05p-4, -0x1.9fb6a42cbad81p-4, -0x1.95a6ff0b93696p-4, -0x1.8bcc9d2523a1ap-4, -0x1.8226acab8f561p-4, -0x1.78b45c9c4bd56p-4, -0x1.6f74dcd8d2b6p-4, -0x1.66675e3ec5448p-4, -0x1.5d8b12bf719ddp-4, -0x1.54df2d76b07cp-4, -0x1.4c62e2c10016fp-4, -0x1.44156850cbbd2p-4, -0x1.3bf5f542c4b28p-4, -0x1.3403c23139286p-4, -0x1.2c3e0946548c9p-4, -0x1.24a4064d3b1cap-4, -0x1.1d34f6c1f54d6p-4, -0x1.15f019e0231d5p-4, -0x1.0ed4b0b077d7bp-4, -0x1.07e1fe14ffb18p-4, -0x1.011746d4361bep-4, -0x1.f4e7a345ef6b1p-5, -0x1.e7edce5aba709p-5, -0x1.db3fa43d1dbdfp-5, -0x1.cedbbe4f4578dp-5, -0x1.c2c0ba0b2e80ep-5, -0x1.b6ed390cfca77p-5, -0x1.ab5fe11bd921ep-5, -0x1.a0175c317aa43p-5, -0x1.951258807ee5bp-5, -0x1.8a4f8879b4e01p-5, -0x1.7fcda2d0733a9p-5, -0x1.758b627e1ae5dp-5, -0x1.6b8786c4d99c8p-5, -0x1.61c0d331bd861p-5, -0x1.58360f9e2e09dp-5, -0x1.4ee60830d622fp-5, -0x1.45cf8d5e04c81p-5, -0x1.3cf173e78fb78p-5, -0x1.344a94dc3bd22p-5, -0x1.2bd9cd96aaab2p-5, -0x1.239dffbbd239ep-5, -0x1.1b961138fdf94p-5, -0x1.13c0ec4156a49p-5, -0x1.0c1d7f4af4c9cp-5, -0x1.04aabd0b78914p-5, -0x1.facf38e85261cp-6, -0x1.eca6315b38c81p-6, -0x1.ded86225c4c9ep-6, -0x1.d163d2587fccbp-6, -0x1.c4469152d9d02p-6, -0x1.b77eb6b6cad62p-6, -0x1.ab0a625b8cc7ap-6, -0x1.9ee7bc3f845a5p-6, -0x1.9314f4795843fp-6, -0x1.879043283af31p-6, -0x1.7c57e86385106p-6, -0x1.716a2c29914c8p-6, -0x1.66c55e4dfa8e4p-6, -0x1.5c67d66738471p-6, -0x1.524ff3bbad57p-6, -0x1.487c1d2e362ap-6, -0x1.3eeac12a31221p-6, -0x1.359a558f274dep-6, -0x1.2c89579c06a49p-6, -0x1.23b64bda071c3p-6, -0x1.1b1fbe073cb74p-6, -0x1.12c44100eba5ap-6, -0x1.0aa26ead949e8p-6, -0x1.02b8e7e6d2c94p-6, -0x1.f60ca8c615004p-7, -0x1.e712c53de8605p-7, -0x1.d8818f8e05426p-7, -0x1.ca567f41721d6p-7, -0x1.bc8f18e7c494bp-7, -0x1.af28ede78cec8p-7, -0x1.a2219c5098adfp-7, -0x1.9576ceae36b33p-7, -0x1.89263bd975932p-7, -0x1.7d2da6cb6eb6ep-7, -0x1.718ade6f90076p-7, -0x1.663bbd760328fp-7, -0x1.5b3e2a2633ad5p-7, -0x1.509016316087ap-7, -0x1.462f7e8567e8ep-7, -0x1.3c1a6b1faff59p-7, -0x1.324eeee044433p-7, -0x1.28cb275d2256p-7, -0x1.1f8d3cb5c4e5p-7, -0x1.16936166e8647p-7, -0x1.0ddbd21e90debp-7, -0x1.0564d59057b7p-7, -0x1.fa5978940026ap-8, -0x1.ea63c110b473dp-8, -0x1.dae54c18f24p-8, -0x1.cbdaf3e27379fp-8, -0x1.bd41a50248081p-8, -0x1.af165e194e692p-8, -0x1.a1562f8163da5p-8, -0x1.93fe3afb5d2e9p-8, -0x1.870bb35dbc848p-8, -0x1.7a7bdc443a5f9p-8, -0x1.6e4c09c01da35p-8, -0x1.6279a00961995p-8, -0x1.57021330b97c1p-8, -0x1.4be2e6d26d4e7p-8, -0x1.4119adca16c0bp-8, -0x1.36a409e7368a6p-8, -0x1.2c7faba2b94cep-8, -0x1.22aa51d55802bp-8, -0x1.1921c96ee4df8p-8, -0x1.0fe3ed2e80678p-8, -0x1.06eea55bb50e1p-8, -0x1.fc7fcf01111cbp-9, -0x1.ebab6c48d5036p-9, -0x1.db5c41103ca2p-9, -0x1.cb8e84c51cfc3p-9, -0x1.bc3e873d170a5p-9, -0x1.ad68b032f7ef5p-9, -0x1.9f097ec600b2p-9, -0x1.911d88fb01365p-9, -0x1.83a17b3f4ee7ap-9, -0x1.769217eda7f8p-9, -0x1.69ec36d4e82e7p-9, -0x1.5dacc4c09d57cp-9, -0x1.51d0c3037d099p-9, -0x1.46554703aec52p-9, -0x1.3b3779c8eb0a5p-9, -0x1.3074978c7dfd5p-9, -0x1.2609ef4b13ba3p-9, -0x1.1bf4e2585f397p-9, -0x1.1232e3f48ff34p-9, -0x1.08c178e390101p-9, -0x1.ff3c6e0c2f12dp-10, -0x1.ed8d89e90e8f2p-10, -0x1.dc71b336f592ep-10, -0x1.cbe477b461f91p-10, -0x1.bbe184454e3bbp-10, -0x1.ac64a436ebeddp-10, -0x1.9d69c086b825p-10, -0x1.8eecdf2d1ebd8p-10, -0x1.80ea226b54a6bp-10, -0x1.735dc81ca2a35p-10, -0x1.6644290b06993p-10, -0x1.595b155d7535ep-10, -0x1.4d1e5d41d9a49p-10, -0x1.414a12f297a9ep-10, -0x1.35daf344ba743p-10, -0x1.2acdd2cd1a96dp-10, -0x1.201f9d494a408p-10, -0x1.15cd550b9e94bp-10, -0x1.0bd4126a36a1ep-10, -0x1.02310331092f9p-10, -0x1.f1c2d42df376dp-11, -0x1.dfc53c6b46ee3p-11, -0x1.ce6415089837cp-11, -0x1.bd9a5aaaedcebp-11, -0x1.ad632fae95123p-11, -0x1.9db9db2d94756p-11, -0x1.8e99c80b607cdp-11, -0x1.7ffe8405dfeaep-11, -0x1.71e3becbbe6fdp-11, -0x1.64454917c881p-11, -0x1.571f13d18b912p-11, -0x1.4a6d2f327fc2ap-11, -0x1.3e2bc9f0a3049p-11, -0x1.3257306d684bp-11, -0x1.26ebcbe995d11p-11, -0x1.1be621bdbf858p-11, -0x1.1142d2972fb2bp-11, -0x1.06fe99b96b24ep-11, -0x1.fa2c9887e0dc2p-12, -0x1.e70db0f8cfbe3p-12, -0x1.d49a8a39b8cebp-12, -0x1.c2cd614cab40dp-12, -0x1.b1a0a16e4ad05p-12, -0x1.a10ee2cb340f6p-12, -0x1.9112e93c8529bp-12, -0x1.81a7a30c51ba8p-12, -0x1.72c827c1c881ap-12, -0x1.646fb6f42957cp-12, -0x1.5699b7259022cp-12, -0x1.4941b4a462ff7p-12, -0x1.3c636073fda71p-12, -0x1.2ffa8f3be0f61p-12, -0x1.2403383dd3924p-12, -0x1.18797452631efp-12, -0x1.0d597cebf13afp-12, -0x1.029fab1fdbb1dp-12, -0x1.f090ed6be020fp-13, -0x1.dca0ea7c20151p-13, -0x1.c968b256f0c21p-13, -0x1.b6e1e1ec5f2f6p-13, -0x1.a5064c8395377p-13, -0x1.93cffa144d922p-13, -0x1.833925aadf099p-13, -0x1.733c3bd73552ap-13, -0x1.63d3d926610fp-13, -0x1.54fac8a654b23p-13, -0x1.46ac027412bc3p-13, -0x1.38e2aa53a3f42p-13, -0x1.2b9a0e51aee92p-13, -0x1.1ecda56f3a86fp-13, -0x1.12790e560585fp-13, -0x1.06980e1682baep-13, -0x1.f64d1dde1c5fcp-14, -0x1.e0413e36879bep-14, -0x1.cb04df58c559cp-14, -0x1.b690a6d449a3cp-14, -0x1.a2dd7b778f6dap-14, -0x1.8fe48331e747bp-14, -0x1.7d9f2105805e8p-14, -0x1.6c06f30891dafp-14, -0x1.5b15d0757a1ebp-14, -0x1.4ac5c7ca2c22p-14, -0x1.3b111cf44797cp-14, -0x1.2bf2478d4af0dp-14, -0x1.1d63f122c1961p-14, -0x1.0f60f38ca0c14p-14, -0x1.01e4574f93386p-14, -0x1.e9d2a4194c37dp-15, -0x1.d0d689fb95fdcp-15, -0x1.b8cb76f806be6p-15, -0x1.a1a8d32724c65p-15, -0x1.8b6655448257p-15, -0x1.75fc00016437ep-15, -0x1.61621f6d93e5ap-15, -0x1.4d914672fd0a1p-15, -0x1.3a824c6890ad1p-15, -0x1.282e4ab5db92cp-15, -0x1.168e9a8b2c686p-15, -0x1.059cd2ab33475p-15, -0x1.eaa58a902d1d5p-16, -0x1.cb54fbe0a0be7p-16, -0x1.ad3c7f1bd692ap-16, -0x1.905104e82be99p-16, -0x1.7487e5017aa44p-16, -0x1.59d6da8fbf55p-16, -0x1.403400a56c9bbp-16, -0x1.2795ced784d38p-16, -0x1.0ff315f118648p-16, -0x1.f285f988974cbp-17, -0x1.c6f9fa24756edp-17, -0x1.9d31c126be868p-17, -0x1.751d7c24d7a42p-17, -0x1.4eaded452ef88p-17, -0x1.29d465db43f6cp-17, -0x1.0682c13155c41p-17, -0x1.c956bef269a6bp-18, -0x1.888241e737023p-18, -0x1.4a6ec266a9a3ep-18, -0x1.0f03e527e4d43p-18, -0x1.ac5467456556dp-19, -0x1.3f962738cafcp-19, -0x1.af42fb79796a8p-20, -0x1.d131daa78de0bp-21, -0x1.56ea6c7614645p-23, 0x1.147b8c093ac6dp-21, 0x1.370357d6688ap-20, 0x1.dbbbb64448325p-20, 0x1.3c56470a83196p-19, 0x1.870c821fddb9dp-19, 0x1.ce20e75360a5fp-19, 0x1.08d9530467401p-18, 0x1.28efe6c5907b8p-18, 0x1.4762ac21963c3p-18, 0x1.643f9b35022c1p-18, 0x1.7f942c2115c66p-18, 0x1.996d5c1e5c4e1p-18, 0x1.b1d7b239eb889p-18, 0x1.c8df43f461208p-18, 0x1.de8fb9befb6f3p-18, 0x1.f2f4533c97f59p-18, 0x1.030bf5b70fee9p-17, 0x1.0c027e4f90589p-17, 0x1.1462d22016c35p-17, 0x1.1c31d34a358c7p-17, 0x1.2374391ea97cp-17, 0x1.2a2e91ce2312dp-17, 0x1.3065440f6604ap-17, 0x1.361c90b29454cp-17, 0x1.3b589421afe48p-17, 0x1.401d47d63279bp-17, 0x1.446e83bdeefe3p-17, 0x1.484fff925acc3p-17, 0x1.4bc55423a90b6p-17, 0x1.4ed1fc8d44ea7p-17, 0x1.517957744da28p-17, 0x1.53bea81cf69d5p-17, 0x1.55a517874a89bp-17, 0x1.572fb57bfb155p-17, 0x1.5861798c00e43p-17, 0x1.593d4407c3e5fp-17, 0x1.59c5deea097c2p-17, 0x1.59fdfebb3656ap-17, 0x1.59e8436b4d9ep-17, 0x1.5987391b6bc6ap-17, 0x1.58dd58ee95c5bp-17, 0x1.57ed09c164166p-17, 0x1.56b8a0dee17ecp-17, 0x1.554262b5e5c5p-17, 0x1.538c8379da19bp-17, 0x1.519927c5970eep-17, 0x1.4f6a6532b5e48p-17, 0x1.4d0242ebdc527p-17, 0x1.4a62ba3913badp-17, 0x1.478db7061a78bp-17, 0x1.4485185e10409p-17, 0x1.414ab0eaa0bd5p-17, 0x1.3de0476573a35p-17, 0x1.3a479708ac175p-17, 0x1.36824ff8321d3p-17, 0x1.329217a79cc63p-17, 0x1.2e78893a99574p-17, 0x1.2a3735e252e07p-17, 0x1.25cfa534e0e9bp-17, 0x1.2143558205652p-17, 0x1.1c93bc20f55e6p-17, 0x1.17c245c090abdp-17, 0x1.12d056ae8e6acp-17, 0x1.0dbf4b1ad004ep-17, 0x1.0890775d673f2p-17, 0x1.034528332c9fp-17, 0x1.fbbd45f551a6p-18, 0x1.f0bc4bd89fdccp-18, 0x1.e589d0a557dbp-18, 0x1.da28357983cdbp-18, 0x1.ce99ce613f76p-18, 0x1.c2e0e2b39f345p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.68f5c1276730ap-1, 0x1.66a9ec8935137p-1, 0x1.641ddea373495p-1, 0x1.615083a825969p-1, 0x1.5e412283c9a6cp-1, 0x1.5aef58fcc9dedp-1, 0x1.575b17638e1c5p-1, 0x1.53849bf2a55c3p-1, 0x1.4f6c6df9a77fbp-1, 0x1.4b1358e926a0ep-1, 0x1.467a675238ca5p-1, 0x1.41a2dde8d3d7ep-1, 0x1.3c8e3695573c9p-1, 0x1.373e1b9f25a6cp-1, 0x1.31b462f818cecp-1, 0x1.2bf309aed24fdp-1, 0x1.25fc2f8c6c087p-1, 0x1.1fd212e0cc4b7p-1, 0x1.19770c7fdc44ep-1, 0x1.12ed8bf100324p-1, 0x1.0c3813d1846e3p-1, 0x1.0559366a204b5p-1, 0x1.fca724ee75ee4p-2, 0x1.ee53a0468dbb1p-2, 0x1.dfbd3c64745e6p-2, 0x1.d0e95eb9f1a0dp-2, 0x1.c1dd6fb6a8edep-2, 0x1.b29ed636548a2p-2, 0x1.a332f3461e66ap-2, 0x1.939f1e3dcda9ep-2, 0x1.83e8a1297f245p-2, 0x1.7414b5807e5cp-2, 0x1.64288125e35e4p-2, 0x1.542913af8d343p-2, 0x1.441b63f024a44p-2, 0x1.34044dc0d58bbp-2, 0x1.23e890077c11p-2, 0x1.13cccaf618ec3p-2, 0x1.03b57e806da5ap-2, 0x1.e74e120964c35p-3, 0x1.c74b4c48f69fcp-3, 0x1.a76adb95c5ea7p-3, 0x1.87b4a6ba7b2a2p-3, 0x1.68304a273dac6p-3, 0x1.48e516ed3e7fp-3, 0x1.29da11ffc264bp-3, 0x1.0b15f3b5ddf2bp-3, 0x1.d93e4f109ce5cp-4, 0x1.9cf7980dfaa49p-4, 0x1.6163660409fc9p-4, 0x1.268cc3c43a65ep-4, 0x1.d8fc48b29ebdp-5, 0x1.6682c8beae93fp-5, 0x1.eb7f2e92596c1p-6, 0x1.0d883c33282a7p-6, 0x1.9a0a56111cd8ap-9, -0x1.466e9e69485b9p-7, -0x1.75c56ae2948a2p-6, -0x1.222783381695cp-5, -0x1.875e1cce772f8p-5, -0x1.ea7b94ec0c6afp-5, -0x1.25baff78eb9a7p-4, -0x1.5522344480894p-4, -0x1.836f698b4880fp-4, -0x1.b09f168593c6cp-4, -0x1.dcae258ab0ap-4, -0x1.03ccf84f43dep-3, -0x1.18b01efb43407p-3, -0x1.2cff9e3c32bdep-3, -0x1.40bac01ab2c29p-3, -0x1.53e0ff7215a5fp-3, -0x1.6672062da8091p-3, -0x1.786dab8755891p-3, -0x1.89d3f24878796p-3, -0x1.9aa5070db7978p-3, -0x1.aae13e8e99b9p-3, -0x1.ba8913e989ee2p-3, -0x1.c99d26f4de1c8p-3, -0x1.d81e3a9572167p-3, -0x1.e60d331b5253ep-3, -0x1.f36b14a4e986ep-3, -0x1.001c80c48806p-2, -0x1.063c1c6434431p-2, -0x1.0c150a432087ep-2, -0x1.11a80444a80bdp-2, -0x1.16f5d0624309ep-2, -0x1.1bff3ff40eb1dp-2, -0x1.20c52efd94bc8p-2, -0x1.2548837ed627dp-2, -0x1.298a2cc9b854p-2, -0x1.2d8b22dbd2505p-2, -0x1.314c65bcac5dep-2, -0x1.34cefce0728b5p-2, -0x1.3813f68f1faeep-2, -0x1.3b1c67502596bp-2, -0x1.3de9695a8850cp-2, -0x1.407c1c0974e69p-2, -0x1.42d5a355473b3p-2, -0x1.44f72750fb16fp-2, -0x1.46e1d3ac03198p-2, -0x1.4896d738769e2p-2, -0x1.4a176375929d2p-2, -0x1.4b64ac1e7d444p-2, -0x1.4c7fe6bd42291p-2, -0x1.4d6a4a41f73f3p-2, -0x1.4e250e9dfeb39p-2, -0x1.4eb16c6354847p-2, -0x1.4f109c67d791ap-2, -0x1.4f43d76c7f3p-2, -0x1.4f4c55c86a56fp-2, -0x1.4f2b4f17b5efdp-2, -0x1.4ee1f9ee0c331p-2, -0x1.4e718b8cd4e43p-2, -0x1.4ddb379cf7777p-2, -0x1.4d202fec17d1cp-2, -0x1.4c41a42d4153fp-2, -0x1.4b40c1bce4093p-2, -0x1.4a1eb36812d3cp-2, -0x1.48dca136f5656p-2, -0x1.477bb03a4b445p-2, -0x1.45fd025bfcc9cp-2, -0x1.4461b6329609p-2, -0x1.42aae6d7a4958p-2, -0x1.40d9abc0da4p-2, -0x1.3eef189be414ap-2, -0x1.3cec3d2ce4e2cp-2, -0x1.3ad2252f787b8p-2, -0x1.38a1d83a32e52p-2, -0x1.365c59a47fce8p-2, -0x1.3402a86ed7b45p-2, -0x1.3195bf2d2e21bp-2, -0x1.2f1693f38eeedp-2, -0x1.2c861844cf38ap-2, -0x1.29e53903431e3p-2, -0x1.2734de6368dep-2, -0x1.2475ebe06e809p-2, -0x1.21a9403289434p-2, -0x1.1ecfb54705422p-2, -0x1.1bea203a03b32p-2, -0x1.18f95151cd4f7p-2, -0x1.15fe13fbb01f7p-2, -0x1.12f92eca531c1p-2, -0x1.0feb637570b1ap-2, -0x1.0cd56edaeaf22p-2, -0x1.09b80901237a3p-2, -0x1.0693e51a8e3c4p-2, -0x1.0369b18a6af6ep-2, -0x1.003a17ea9c1a5p-2, -0x1.fa0b7a250c00ap-3, -0x1.f39a823ddedacp-3, -0x1.ed227ef5a0e3p-3, -0x1.e6a49dd209545p-3, -0x1.e022031da9298p-3, -0x1.d99bc9fe8994cp-3, -0x1.d313048e5103ap-3, -0x1.cc88bbf3bc8b8p-3, -0x1.c5fdf07d6f80ap-3, -0x1.bf7399bdee1f2p-3, -0x1.b8eaa6a8bfbf9p-3, -0x1.b263fdb09569fp-3, -0x1.abe07ce6624bdp-3, -0x1.a560fa195c673p-3, -0x1.9ee642f7c8712p-3, -0x1.98711d307ca65p-3, -0x1.9202469510067p-3, -0x1.8b9a753ca6223p-3, -0x1.853a57a738b17p-3, -0x1.7ee294e160b4bp-3, -0x1.7893cca882fc3p-3, -0x1.724e978f5748p-3, -0x1.6c138722b86aap-3, -0x1.65e3260eb4a14p-3, -0x1.5fbdf843cc8adp-3, -0x1.59a47b1c50e84p-3, -0x1.53972581e0e88p-3, -0x1.4d966812ebf94p-3, -0x1.47a2ad48363b1p-3, -0x1.41bc599a5a52p-3, -0x1.3be3cba72d4e6p-3, -0x1.36195c570bb65p-3, -0x1.305d5f0200bd5p-3, -0x1.2ab02194bedc7p-3, -0x1.2511ecb55d7c2p-3, -0x1.1f8303e7de522p-3, -0x1.1a03a5b26b7fdp-3, -0x1.14940bc148491p-3, -0x1.0f346b0a71bf5p-3, -0x1.09e4f3f0e3f2p-3, -0x1.04a5d26782c36p-3, -0x1.feee5c2743f62p-4, -0x1.f4b254de425p-4, -0x1.ea97cdd438641p-4, -0x1.e09efe185a2dap-4, -0x1.d6c8152a6c0d5p-4, -0x1.cd133b3b6eca3p-4, -0x1.c380916d4c7d8p-4, -0x1.ba10321186679p-4, -0x1.b0c230e6f7093p-4, -0x1.a7969b56692afp-4, -0x1.9e8d78ae4a32ap-4, -0x1.95a6ca5d2ab77p-4, -0x1.8ce28c2b4ae89p-4, -0x1.8440b472fcf08p-4, -0x1.7bc13457fb6afp-4, -0x1.7363f7fda0ecbp-4, -0x1.6b28e6bc0969ap-4, -0x1.630fe35412eaap-4, -0x1.5b18cc2246057p-4, -0x1.53437b509da41p-4, -0x1.4b8fc70733bd9p-4, -0x1.43fd819bd05cp-4, -0x1.3c8c79c05ba49p-4, -0x1.353c7ab0352a8p-4, -0x1.2e0d4c5c70063p-4, -0x1.26feb396f59fcp-4, -0x1.2010723c90952p-4, -0x1.1942475de28cdp-4, -0x1.1293ef674602ep-4, -0x1.0c0524479cc4bp-4, -0x1.05959d961251bp-4, -0x1.fe8a216d9d944p-5, -0x1.f22661fd42e77p-5, -0x1.e5ff5fab47c92p-5, -0x1.da1479b1b4ca7p-5, -0x1.ce650bf5a2083p-5, -0x1.c2f06f467e67cp-5, -0x1.b7b5f99b5c2bbp-5, -0x1.acb4fe4e536aap-5, -0x1.a1ecce5601cb1p-5, -0x1.975cb87d272a6p-5, -0x1.8d04099870128p-5, -0x1.82e20cba6fc09p-5, -0x1.78f60b65d3965p-5, -0x1.6f3f4dbdd80ebp-5, -0x1.65bd1ab5074c2p-5, -0x1.5c6eb83a47969p-5, -0x1.53536b64450bdp-5, -0x1.4a6a789b3cd6ap-5, -0x1.41b323c13312dp-5, -0x1.392cb05898a6p-5, -0x1.30d661a96f78cp-5, -0x1.28af7ae4f03c6p-5, -0x1.20b73f47bae13p-5, -0x1.18ecf23a9e1p-5, -0x1.114fd771f6595p-5, -0x1.09df330bb6b27p-5, -0x1.029a49ac1a407p-5, -0x1.f700c1321bbc9p-6, -0x1.e9217ba8a9102p-6, -0x1.db955068e7613p-6, -0x1.ce5acef8d4a2fp-6, -0x1.c17088e480ddfp-6, -0x1.b4d511e8e2579p-6, -0x1.a887001c782e8p-6, -0x1.9c84ec15c491fp-6, -0x1.90cd710fb248bp-6, -0x1.855f2d0bf0143p-6, -0x1.7a38c0f357c27p-6, -0x1.6f58d0b465d94p-6, -0x1.64be035fdbe6ep-6, -0x1.5a6703439045cp-6, -0x1.50527e0384ab3p-6, -0x1.467f24b147b7bp-6, -0x1.3cebabe1b5f2dp-6, -0x1.3396cbc12357p-6, -0x1.2a7f4025ff063p-6, -0x1.21a3c8a1f8e3cp-6, -0x1.19032891bb607p-6, -0x1.109c272b40811p-6, -0x1.086d8f8ad3038p-6, -0x1.007630bec630ep-6, -0x1.f169bba3d99aap-7, -0x1.e250dba9c71ddp-7, -0x1.d39f77cc5b65p-7, -0x1.c5534e72789fbp-7, -0x1.b76a2638be097p-7, -0x1.a9e1cdfb678f4p-7, -0x1.9cb81cde278adp-7, -0x1.8feaf2522d3dcp-7, -0x1.8378361a4f9c5p-7, -0x1.775dd84d7cc4dp-7, -0x1.6b99d15784a8fp-7, -0x1.602a21f848c36p-7, -0x1.550cd341675dap-7, -0x1.4a3ff6926f10ep-7, -0x1.3fc1a593b587dp-7, -0x1.3590022fd7d63p-7, -0x1.2ba9368bf71e2p-7, -0x1.220b74fec5375p-7, -0x1.18b4f8066c2e4p-7, -0x1.0fa4023d60eeap-7, -0x1.06d6de4e2f741p-7, -0x1.fc97bdcc9ce11p-8, -0x1.ec02bd5010ab7p-8, -0x1.dbeb80370a539p-8, -0x1.cc4edb3e0869ap-8, -0x1.bd29b2aca194ap-8, -0x1.ae78fa32fa993p-8, -0x1.a039b4c5e2b99p-8, -0x1.9268f479abd38p-8, -0x1.8503da5bd39fcp-8, -0x1.7807964b92104p-8, -0x1.6b7166d163087p-8, -0x1.5f3e98f59fb4ap-8, -0x1.536c881634bb1p-8, -0x1.47f89dbb8f737p-8, -0x1.3ce0516ccd1fep-8, -0x1.3221288341d36p-8, -0x1.27b8b5fd62d84p-8, -0x1.1da49a512922bp-8, -0x1.13e2833df711cp-8, -0x1.0a702b9e10fa4p-8, -0x1.014b5b37b83e6p-8, -0x1.f0e3cd1be8f8ap-9, -0x1.dfc35d62301edp-9, -0x1.cf31421e19aa8p-9, -0x1.bf296e86e743cp-9, -0x1.afa7edcf48eb4p-9, -0x1.a0a8e2c52f3c2p-9, -0x1.9228877187295p-9, -0x1.84232cb7f019ep-9, -0x1.769539f685b94p-9, -0x1.697b2ca5c5ed8p-9, -0x1.5cd197f8b038cp-9, -0x1.5095247d2278p-9, -0x1.44c28fbc8c52bp-9, -0x1.3956abdd01cedp-9, -0x1.2e4e5f42c0bb7p-9, -0x1.23a6a43230453p-9, -0x1.195c88726e674p-9, -0x1.0f6d2cf06d799p-9, -0x1.05d5c562ba128p-9, -0x1.f9272fdbcdf24p-10, -0x1.e747f993637d3p-10, -0x1.d608bbcdce9bbp-10, -0x1.c5646d2c1e68dp-10, -0x1.b556265dce6b7p-10, -0x1.a5d9217173b6cp-10, -0x1.96e8b9272484cp-10, -0x1.88806844ae9p-10, -0x1.7a9bc8eba40d4p-10, -0x1.6d3693f14f08fp-10, -0x1.604ca0389429ep-10, -0x1.53d9e20dd13b9p-10, -0x1.47da6a84b5409p-10, -0x1.3c4a66d828907p-10, -0x1.31261fcc48628p-10, -0x1.2669f91273852p-10, -0x1.1c1270af76e3cp-10, -0x1.121c1e63e2debp-10, -0x1.0883b31678903p-10, -0x1.fe8bf081acce2p-11, -0x1.ecbf9ebc7e536p-11, -0x1.db9c62b93e5bcp-11, -0x1.cb1c5c1f7ad8ap-11, -0x1.bb39d74d4609cp-11, -0x1.abef4c466f795p-11, -0x1.9d375da8263f7p-11, -0x1.8f0cd7a1090d9p-11, -0x1.816aaeed9f472p-11, -0x1.744bffd93b619p-11, -0x1.67ac0d434243dp-11, -0x1.5b863fa8d7dfbp-11, -0x1.4fd62432e8023p-11, -0x1.44976bc88bcf6p-11, -0x1.39c5ea25c2003p-11, -0x1.2f5d94f67816p-11, -0x1.255a82f5d97a7p-11, -0x1.1bb8eb11e19e7p-11, -0x1.127523932730ap-11, -0x1.098ba148d767dp-11, -0x1.00f8f6b8dbc23p-11, -0x1.f173a6a83baa5p-12, -0x1.e196055dc6348p-12, -0x1.d252d77a6585ap-12, -0x1.c3a420267e88dp-12, -0x1.b58416538f5cfp-12, -0x1.a7ed234cc85b2p-12, -0x1.9ad9e14f6b409p-12, -0x1.8e451a2ad5eacp-12, -0x1.8229c5e822937p-12, -0x1.7683097944c8ep-12, -0x1.6b4c356f8bb57p-12, -0x1.6080c4b97573cp-12, -0x1.561c5b67aef45p-12, -0x1.4c1ac57938589p-12, -0x1.4277f5ae836fbp-12, -0x1.393004637fb6cp-12, -0x1.303f2e7072178p-12, -0x1.27a1d41185799p-12, -0x1.1f5477d4f02p-12, -0x1.1753bd8fa0c3bp-12, -0x1.0f9c69584c3acp-12, -0x1.082b5e88cdb92p-12, -0x1.00fd9ec5b1933p-12, -0x1.f4209217c136fp-13, -0x1.e6c1318882a43p-13, -0x1.d9d7c9ba83acbp-13, -0x1.cd5f3dd4528e6p-13, -0x1.c152a4902f9a8p-13, -0x1.b5ad4691382c8p-13, -0x1.aa6a9cc38af92p-13, -0x1.9f864ec72c106p-13, -0x1.94fc31657aa35p-13, -0x1.8ac845110367ep-13, -0x1.80e6b46f7b5e3p-13, -0x1.7753d2edb6d3ap-13, -0x1.6e0c1b5d6218cp-13, -0x1.650c2e9c51935p-13, -0x1.5c50d24535d64p-13, -0x1.53d6ef698067fp-13, -0x1.4b9b915449793p-13, -0x1.439be456136d3p-13, -0x1.3bd53499233c6p-13, -0x1.3444ecfe59e13p-13, -0x1.2ce896024fc32p-13, -0x1.25bdd4aa8b62cp-13, -0x1.1ec2697aa0d86p-13, -0x1.17f42f7119b69p-13, -0x1.11511b0be4773p-13, -0x1.0ad739543888ap-13, -0x1.0484aef1b1bb5p-13, -0x1.fcaf6e88fc43dp-14, -0x1.f09d470cf4b8ep-14, -0x1.e4cfb3e61922ap-14, -0x1.d943a9eb2ce66p-14, -0x1.cdf644bcb0fc8p-14, -0x1.c2e4c53b4866fp-14, -0x1.b80c900a4757ep-14, -0x1.ad6b2c1e5cd29p-14, -0x1.a2fe4157d4876p-14, -0x1.98c3972840d2dp-14, -0x1.8eb913434c31ep-14, -0x1.84dcb85a55c3ep-14, -0x1.7b2ca4e2a2cccp-14, -0x1.71a711e5da1aap-14, -0x1.684a51dc87e91p-14, -0x1.5f14cf9267c9cp-14, -0x1.56050d1431bcbp-14, -0x1.4d19a2a6ae7b4p-14, -0x1.44513dc6d0ab2p-14, -0x1.3baaa032969fcp-14, -0x1.33249efa7aa8cp-14, -0x1.2abe219b336b4p-14, -0x1.2276211f8cf7p-14, -0x1.1a4ba74a1fdefp-14, -0x1.123dcdc6b1e76p-14, -0x1.0a4bbd630506fp-14, -0x1.0274ad4ee4438p-14, -0x1.f56fc4c66f51bp-15, -0x1.e6295cdfd6337p-15, -0x1.d714df20f41a5p-15, -0x1.c8311f0dd56bap-15, -0x1.b97d063a16019p-15, -0x1.aaf79317823ecp-15, -0x1.9c9fd7d07fbdep-15, -0x1.8e74f92de896ep-15, -0x1.80762d87fb8c1p-15, -0x1.72a2bbc2134d1p-15, -0x1.64f9fa50cabd8p-15, -0x1.577b4e4a3f577p-15, -0x1.4a262a8022c32p-15, -0x1.3cfa0ea34aef8p-15, -0x1.2ff686707787dp-15, -0x1.231b28e601796p-15, -0x1.166797822a52p-15, -0x1.09db7d89c92b7p-15, -0x1.faed1eae18017p-16, -0x1.e271136016fc4p-16, -0x1.ca426249e3c76p-16, -0x1.b260a2eae332cp-16, -0x1.9acb79fa9e952p-16, -0x1.8382984f8773cp-16, -0x1.6c85b9d2f18c3p-16, -0x1.55d4a481cd13dp-16, -0x1.3f6f2779b9691p-16, -0x1.29551a11fe5d8p-16, -0x1.13865afffa3e1p-16, -0x1.fc059f0d62079p-17, -0x1.d194c56208acfp-17, -0x1.a7ba092c6edbp-17, -0x1.7e755350d9524p-17, -0x1.55c694195785ep-17, -0x1.2dadc1f84cbb6p-17, -0x1.062ad85cb787p-17, -0x1.be7bad2f2e81ap-18, -0x1.71cd7da37f866p-18, -0x1.264b2a230765dp-18, -0x1.b7e9793e53152p-19, -0x1.25947e6a16e49p-19, -0x1.2b2eea42ca407p-20, -0x1.fc9a358fa8d5cp-25, 0x1.06b54776b071fp-20, 0x1.0c4fb92b934bcp-19, 0x1.92ecedd563e52p-19, 0x1.0b99340ba3f43p-18, 0x1.4c90303421d22p-18, 0x1.8c5b91a173bc4p-18, 0x1.cafb89741285ap-18, 0x1.04382a3eeef33p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.72435e7e6acf3p-1, 0x1.71c43716e16a1p-1, 0x1.7134723fb89fep-1, 0x1.709369996ae5cp-1, 0x1.6fe088e8384bep-1, 0x1.6f1b4e0107af5p-1, 0x1.6e43489245d5dp-1, 0x1.6d5819ce8ecaap-1, 0x1.6c5973fe541e3p-1, 0x1.6b4719fd17306p-1, 0x1.6a20dea644947p-1, 0x1.68e6a4353ef4ap-1, 0x1.67985b9bb0e28p-1, 0x1.663603d0d0d0dp-1, 0x1.64bfa91be8bb4p-1, 0x1.6335645c1a991p-1, 0x1.61975a4f0edb4p-1, 0x1.5fe5bad7fbc19p-1, 0x1.5e20c048364ffp-1, 0x1.5c48aeaa4bf9dp-1, 0x1.5a5dd31077ae7p-1, 0x1.586082e71ee59p-1, 0x1.56511b4be1a73p-1, 0x1.54300069a8ddap-1, 0x1.51fd9cda0bca1p-1, 0x1.4fba610c494c4p-1, 0x1.4d66c2b2047d9p-1, 0x1.4b033c31e134fp-1, 0x1.48904c201396ep-1, 0x1.460e74bce6347p-1, 0x1.437e3b793568cp-1, 0x1.40e02880d2fb4p-1, 0x1.3e34c64ac06eep-1, 0x1.3b7ca12f2ae1cp-1, 0x1.38b847030749ep-1, 0x1.35e846b935fb8p-1, 0x1.330d300905044p-1, 0x1.30279319f0cf1p-1, 0x1.2d38003479b92p-1, 0x1.2a3f0777e692p-1, 0x1.273d3894cb91ap-1, 0x1.2433228c2b8a7p-1, 0x1.2121537308e72p-1, 0x1.1e08583a3b227p-1, 0x1.1ae8bc7a60091p-1, 0x1.17c30a43bbeb6p-1, 0x1.1497c9f1e1d0ap-1, 0x1.11678202f7423p-1, 0x1.0e32b6f26e4adp-1, 0x1.0af9eb1709affp-1, 0x1.07bd9e84078d3p-1, 0x1.047e4eed4a839p-1, 0x1.013c778e5c8bdp-1, 0x1.fbf1222848fefp-2, 0x1.f566231261505p-2, 0x1.eed8d888dadebp-2, 0x1.e84a23b454fbcp-2, 0x1.e1bae01e9b0f5p-2, 0x1.db2be39d28d54p-2, 0x1.d49dfe3f8988p-2, 0x1.ce11fa4163c86p-2, 0x1.c7889bffee88cp-2, 0x1.c102a1f2a4529p-2, 0x1.ba80c4a6f7523p-2, 0x1.b403b6bedd445p-2, 0x1.ad8c24f1fbd8bp-2, 0x1.a71ab61151eb4p-2, 0x1.a0b00b0d28cd5p-2, 0x1.9a4cbefd26e96p-2, 0x1.93f1672a64fa4p-2, 0x1.8d9e931b4e699p-2, 0x1.8754cca13b3e8p-2, 0x1.811497e796c12p-2, 0x1.7ade738472b68p-2, 0x1.74b2d88a6f05ep-2, 0x1.6e923a9bcf825p-2, 0x1.687d07feac80cp-2, 0x1.6273a9b21ccc1p-2, 0x1.5c768384452cep-2, 0x1.5685f42932411p-2, 0x1.50a255526a2a3p-2, 0x1.4acbfbc71bae6p-2, 0x1.4503377cdc498p-2, 0x1.3f4853b0e011ep-2, 0x1.399b970197a54p-2, 0x1.33fd4388a8afep-2, 0x1.2e6d96f52a2e6p-2, 0x1.28eccaa61eb26p-2, 0x1.237b13c516ad7p-2, 0x1.1e18a360f1142p-2, 0x1.18c5a688b0ad7p-2, 0x1.1382466655c75p-2, 0x1.0e4ea859b6298p-2, 0x1.092aee1345a39p-2, 0x1.041735aeca5f9p-2, 0x1.fe27339bddcdbp-3, 0x1.f44063655e6aep-3, 0x1.ea7a22b32bb99p-3, 0x1.e0d4932788bfep-3, 0x1.d74fd0417cdb9p-3, 0x1.cdebef8fed4e8p-3, 0x1.c4a900e41b1a9p-3, 0x1.bb870e839c0b5p-3, 0x1.b2861d59a13p-3, 0x1.a9a62d279c5dfp-3, 0x1.a0e738b5386a1p-3, 0x1.984935ff8efdep-3, 0x1.8fcc1667ad9f5p-3, 0x1.876fc6e04dc58p-3, 0x1.7f34301ac7e55p-3, 0x1.771936b34256ap-3, 0x1.6f1ebb5bffed1p-3, 0x1.67449b07ec2b8p-3, 0x1.5f8aaf1449ce7p-3, 0x1.57f0cd7186508p-3, 0x1.5076c8cb3972ep-3, 0x1.491c70af48de1p-3, 0x1.41e191b42a955p-3, 0x1.3ac5f59e4e261p-3, 0x1.33c96384a3c87p-3, 0x1.2ceb9ff44ea2p-3, 0x1.262c6d136d0ecp-3, 0x1.1f8b8ac30eaffp-3, 0x1.1908b6c045c87p-3, 0x1.12a3acc461f8dp-3, 0x1.0c5c26a450d6ep-3, 0x1.0631dc6f1ffadp-3, 0x1.0024848bb057p-3, 0x1.f467a7ab160a2p-4, 0x1.e8befb71d5c56p-4, 0x1.dd4e689bd650bp-4, 0x1.d21550e5e3b22p-4, 0x1.c71313cc8561ep-4, 0x1.bc470ebda2e2dp-4, 0x1.b1b09d4880622p-4, 0x1.a74f194c4f2e3p-4, 0x1.9d21db251b7c4p-4, 0x1.932839d7564ap-4, 0x1.89618b39d1d6bp-4, 0x1.7fcd241e565ap-4, 0x1.766a5878c70d9p-4, 0x1.6d387b84e18ffp-4, 0x1.6436dfea9ce92p-4, 0x1.5b64d7e12fcp-4, 0x1.52c1b550c3bcap-4, 0x1.4a4cc9f2dc6c8p-4, 0x1.4205677179397p-4, 0x1.39eadf84f86dep-4, 0x1.31fc8410c250ep-4, 0x1.2a39a73ec2aep-4, 0x1.22a19b99b7796p-4, 0x1.1b33b4265d5bap-4, 0x1.13ef447b7d4f5p-4, 0x1.0cd3a0d8e4feap-4, 0x1.05e01e3d4f26bp-4, 0x1.fe2824f687d83p-5, 0x1.f0dda899e9a48p-5, 0x1.e3df76ce4097ap-5, 0x1.d72c4115fa7c8p-5, 0x1.cac2bb2e71b4p-5, 0x1.bea19b301aec5p-5, 0x1.b2c799acec43bp-5, 0x1.a73371cd0eb93p-5, 0x1.9be3e169e52ecp-5, 0x1.90d7a92776p-5, 0x1.860d8c8c4054cp-5, 0x1.7b845217902edp-5, 0x1.713ac3565240bp-5, 0x1.672facf6802f2p-5, 0x1.5d61ded92488cp-5, 0x1.53d02c230a823p-5, 0x1.4a796b4c2133ep-5, 0x1.415c762d9c347p-5, 0x1.38782a0ede932p-5, 0x1.2fcb67b13b1b3p-5, 0x1.2755135a90ea1p-5, 0x1.1f1414ded15c2p-5, 0x1.170757a87b46bp-5, 0x1.0f2dcac00f04cp-5, 0x1.078660d28b2abp-5, 0x1.00101036f7828p-5, 0x1.f193a5e615f6ep-6, 0x1.e3654d7ddf6e5p-6, 0x1.d5931a106b7c7p-6, 0x1.c81b15e7ecf01p-6, 0x1.bafb52c0679d7p-6, 0x1.ae31e9c8f8fdcp-6, 0x1.a1bcfba3b9ec7p-6, 0x1.959ab0643e71p-6, 0x1.89c9378cd993ap-6, 0x1.7e46c80a9b63p-6, 0x1.7311a0302ba74p-6, 0x1.682805af7d078p-6, 0x1.5d8845927b1e9p-6, 0x1.5330b432ac74ep-6, 0x1.491fad2fe1b41p-6, 0x1.3f539365fe0c6p-6, 0x1.35cad0e1df1edp-6, 0x1.2c83d6d57335fp-6, 0x1.237d1d8b0d454p-6, 0x1.1ab52457fd07cp-6, 0x1.122a718e72f82p-6, 0x1.09db926ec6aa3p-6, 0x1.01c71b181cb1fp-6, 0x1.f3d74cf0fcce3p-7, 0x1.e48fac78c86c6p-7, 0x1.d5b4a57b9a7eep-7, 0x1.c74395e5a5539p-7, 0x1.b939e8b7b6856p-7, 0x1.ab9515e2bfddep-7, 0x1.9e52a222ba259p-7, 0x1.91701ed8cb5cfp-7, 0x1.84eb29e4e4721p-7, 0x1.78c16d7ec2bdbp-7, 0x1.6cf0a00e7cb13p-7, 0x1.617684049decdp-7, 0x1.5650e7b1d4277p-7, 0x1.4b7da51e517fp-7, 0x1.40faa1e0d7cf5p-7, 0x1.36c5cef58db5ap-7, 0x1.2cdd289491026p-7, 0x1.233eb608671c6p-7, 0x1.19e8898448841p-7, 0x1.10d8bffa53fe2p-7, 0x1.080d80f1b387p-7, 0x1.ff09fcb97629dp-8, 0x1.ee7ae8de125ddp-8, 0x1.de6a52e76422bp-8, 0x1.ced4db46fa3d3p-8, 0x1.bfb735f673a0cp-8, 0x1.b10e2a246cep-8, 0x1.a2d691e1b7ec8p-8, 0x1.950d59ceeec12p-8, 0x1.87af80ca69f8ep-8, 0x1.7aba179ea88cdp-8, 0x1.6e2a40b132932p-8, 0x1.61fd2fb200014p-8, 0x1.5630294b6ddb4p-8, 0x1.4ac082d2cb622p-8, 0x1.3faba1f986029p-8, 0x1.34eefc7efb0dep-8, 0x1.2a8817e2fbe74p-8, 0x1.207489190264fp-8, 0x1.16b1f43c25b95p-8, 0x1.0d3e0c43cda23p-8, 0x1.041692b92e49cp-8, 0x1.f672aedb21023p-9, 0x1.e5487062d36a9p-9, 0x1.d4aa41189670ep-9, 0x1.c49412eb4f7d3p-9, 0x1.b501f21cf2f19p-9, 0x1.a5f004b786e95p-9, 0x1.975a8a03f4b75p-9, 0x1.893dda029de0cp-9, 0x1.7b9664e5c6977p-9, 0x1.6e60b28dcf83bp-9, 0x1.61996207486e3p-9, 0x1.553d290ada1aep-9, 0x1.4948d37f1176p-9, 0x1.3db942fc01619p-9, 0x1.328b6e50cc969p-9, 0x1.27bc610b06b6ap-9, 0x1.1d493afffd71dp-9, 0x1.132f2fd7e0bdfp-9, 0x1.096b869aca208p-9, 0x1.fff7327f48549p-10, 0x1.edb9a879ed4cep-10, 0x1.dc196c370f736p-10, 0x1.cb119e15c488fp-10, 0x1.ba9d80ef5f09bp-10, 0x1.aab87947df94fp-10, 0x1.9b5e0c820191fp-10, 0x1.8c89e01700579p-10, 0x1.7e37b8d1ec4e6p-10, 0x1.70637a0ea6929p-10, 0x1.630924fc64adfp-10, 0x1.5624d7e3cb0e9p-10, 0x1.49b2cd708333dp-10, 0x1.3daf5bfe55734p-10, 0x1.3216f4e9ad907p-10, 0x1.26e623e3968afp-10, 0x1.1c198e49129b4p-10, 0x1.11adf27dcd206p-10, 0x1.07a0274a1d7a6p-10, 0x1.fbda3678a7afdp-11, 0x1.e923a81a85cdbp-11, 0x1.d716dc0ff0373p-11, 0x1.c5ae36e945581p-11, 0x1.b4e4480d2fcep-11, 0x1.a4b3c89ad87adp-11, 0x1.95179a522d414p-11, 0x1.860ac682277d1p-11, 0x1.77887cfcfdb68p-11, 0x1.698c131228411p-11, 0x1.5c11028e25a0ep-11, 0x1.4f12e8bfe9528p-11, 0x1.428d8583dc694p-11, 0x1.367cba545c347p-11, 0x1.2adc895fa1befp-11, 0x1.1fa914a2f99fep-11, 0x1.14de9d0b37d5fp-11, 0x1.0a79819a524afp-11, 0x1.00763e920a59ap-11, 0x1.eda2d9472223ep-12, 0x1.db0f80481e879p-12, 0x1.c92c108bf84b8p-12, 0x1.b7f25cae5ca69p-12, 0x1.a75c6a071bd4ap-12, 0x1.97646f38ad55fp-12, 0x1.8804d2c7a402fp-12, 0x1.793829baeac56p-12, 0x1.6af936449dd4ep-12, 0x1.5d42e67358619p-12, 0x1.501052ebcc56ep-12, 0x1.435cbdaa7def9p-12, 0x1.372390cd74b78p-12, 0x1.2b605d65c18d8p-12, 0x1.200eda50ac2a3p-12, 0x1.152ae31861e22p-12, 0x1.0ab076dc019ep-12, 0x1.009bb73edcf1fp-12, 0x1.edd1cebd84647p-13, 0x1.db28d5a2711bfp-13, 0x1.c935894ef2143p-13, 0x1.b7f12cf21396ap-13, 0x1.a7553ee9aacep-13, 0x1.975b76f12d31fp-13, 0x1.87fdc45cfab2ap-13, 0x1.79364c61c177p-13, 0x1.6aff6867c6f0fp-13, 0x1.5d53a469ca9dfp-13, 0x1.502dbd5f42805p-13, 0x1.43889fb1b15eap-13, 0x1.375f65bcceb8ep-13, 0x1.2bad565950b85p-13, 0x1.206de37208d4fp-13, 0x1.159ca8a31fdabp-13, 0x1.0b3569e331596p-13, 0x1.013412360bf5p-13, 0x1.ef2964d1c4ae5p-14, 0x1.dca6ffaf4b346p-14, 0x1.cad9a676b8497p-14, 0x1.b9ba4f027fa1cp-14, 0x1.a9423154bfa3p-14, 0x1.996ac5673ab3fp-14, 0x1.8a2dc10b9b0f2p-14, 0x1.7b8515db88c32p-14, 0x1.6d6aef3841b6p-14, 0x1.5fd9b0594510bp-14, 0x1.52cbf269b4ef3p-14, 0x1.463c82b40ff1p-14, 0x1.3a2660dbe2d34p-14, 0x1.2e84bd2519fd6p-14, 0x1.2352f6c896f2fp-14, 0x1.188c9a55b4a33p-14, 0x1.0e2d6020616a2p-14, 0x1.04312abb7e9a5p-14, 0x1.f5280afe5f9c1p-15, 0x1.e2a4463598ba8p-15, 0x1.d0cfb864425bbp-15, 0x1.bfa35c0b70952p-15, 0x1.af18724bb361bp-15, 0x1.9f28805ff4c9ap-15, 0x1.8fcd4d2ca9996p-15, 0x1.8100dee2bcf91p-15, 0x1.72bd78b5b8caap-15, 0x1.64fd98a49a553p-15, 0x1.57bbf554d3b1fp-15, 0x1.4af37bfef7ec1p-15, 0x1.3e9f4e6c935bap-15, 0x1.32bac106b78a3p-15, 0x1.274158f4bdf87p-15, 0x1.1c2eca4ad0a2fp-15, 0x1.117ef647c32e1p-15, 0x1.072de9a1cd651p-15, 0x1.fa6fb5c3747c9p-16, 0x1.e73251983e99ap-16, 0x1.d49cb1b06b2dp-16, 0x1.c2a82b67e0b99p-16, 0x1.b14e5ba9d42a5p-16, 0x1.a089242b93113p-16, 0x1.9052a8bf87e52p-16, 0x1.80a54cbfb15ep-16, 0x1.717bb08eea15bp-16, 0x1.62d0af3045cc6p-16, 0x1.549f5bf3e2e7ap-16, 0x1.46e3003884ad5p-16, 0x1.3997194151ef3p-16, 0x1.2cb7561f280a7p-16, 0x1.203f95acd7739p-16, 0x1.142be49dc2574p-16, 0x1.08787b9e46b66p-16, 0x1.fa437b0abda95p-17, 0x1.e4486b2e050a3p-17, 0x1.cef92bad587ep-17, 0x1.ba4f6ad3190e3p-17, 0x1.a6451e0fd3f11p-17, 0x1.92d47efa6e118p-17, 0x1.7ff8086ca7cap-17, 0x1.6daa73bb4a716p-17, 0x1.5be6b608dc9d2p-17, 0x1.4aa7fdb22aae4p-17, 0x1.39e9afd3c594cp-17, 0x1.29a765e7935c8p-17, 0x1.19dceb79bda9ep-17, 0x1.0a863bf42d08p-17, 0x1.f73f00ffa59ccp-18, 0x1.da4a1bf61329dp-18, 0x1.be26c608aaf0cp-18, 0x1.a2ce4c31a9e43p-18, 0x1.883a478b70678p-18, 0x1.6e6499d832044p-18, 0x1.55476a2d23e01p-18, 0x1.3cdd21bff33c9p-18, 0x1.252068d554355p-18, 0x1.0e0c23cf83076p-18, 0x1.ef36e0b7347fp-19, 0x1.c393457955186p-19, 0x1.992486670baf2p-19, 0x1.6fe217047763ep-19, 0x1.47c3c914923c6p-19, 0x1.20c1c8090f3dfp-19, 0x1.f5a92947befa5p-20, 0x1.abea01911542p-20, 0x1.643856f75ac53p-20, 0x1.1e86fa1daf91fp-20, 0x1.b5928ddd0566cp-21, 0x1.31e63b36b33ecp-21, 0x1.63e36fafd2282p-22, 0x1.acf56d9db1612p-24, -0x1.0ca15c54a3e5ap-23, -0x1.70efe7b959097p-22, -0x1.2a63fa97c8b68p-21, -0x1.98ff7c73cd084p-21, -0x1.022e69faf2551p-20, -0x1.3646d750cb245p-20, -0x1.68d18b157fc57p-20, -0x1.99d6bc9c9faebp-20, -0x1.c95e59ded90bfp-20, -0x1.f7700b71f7394p-20, -0x1.12099c27b9f6ep-19, -0x1.27a784b5c4448p-19, -0x1.3c95368f52728p-19, -0x1.50d60d319db6fp-19, -0x1.646d49f4c7b17p-19, -0x1.775e1581aef95p-19, -0x1.89ab81347f78ep-19, -0x1.9b58886cc8594p-19, -0x1.ac6811cbe952ap-19, -0x1.bcdcf06291013p-19, -0x1.ccb9e4ce02fa5p-19, -0x1.dc019e45e2232p-19, -0x1.eab6bb9b1ef74p-19, -0x1.f8dbcc28ba24p-19, -0x1.0339a85b7c6c4p-18, -0x1.09bfde28d00c7p-18, -0x1.1001ba88e9ef7p-18, -0x1.16006a6e11e84p-18, -0x1.1bbd1509a714bp-18, -0x1.2138dc20239d9p-18, -0x1.2674dc57fb40ap-18, -0x1.2b722d83993cbp-18, -0x1.3031e2e6b464cp-18, -0x1.34b50b773425cp-18, -0x1.38fcb219dc1b5p-18, -0x1.3d09dddaf41a7p-18, -0x1.40dd92231e8e8p-18, -0x1.4478cee88e723p-18, -0x1.47dc90dcc992p-18, -0x1.4b09d19726f05p-18, -0x1.4e0187bc3238cp-18, -0x1.50c4a7221e0ebp-18, -0x1.535420f26dd9dp-18, -0x1.55b0e3c8fbac8p-18, -0x1.57dbdbd07edeep-18, -0x1.59d5f2dcb8d62p-18, -0x1.5ba01082655f6p-18, -0x1.5d3b1a2d12a4cp-18, -0x1.5ea7f332fc1ecp-18, -0x1.5fe77ce7095d8p-18, -0x1.60fa96a90a9a8p-18, -0x1.61e21df44d4e8p-18, -0x1.629eee6ca5528p-18, -0x1.6331e1ea01533p-18, -0x1.639bd082a281bp-18, -0x1.63dd90940dfd5p-18, -0x1.63f7f6caccb7ap-18, -0x1.63ebd629112a9p-18, -0x1.63ba000c51de3p-18, -0x1.63634431f0609p-18, -0x1.62e870baf9147p-18, -0x1.624a522f13792p-18, -0x1.6189b37eab918p-18, -0x1.60a75e0468972p-18, -0x1.5fa4198600d3cp-18, -0x1.5e80ac3471d5ap-18, -0x1.5d3ddaabb0e25p-18, -0x1.5bdc67f1de523p-18, -0x1.5a5d157604794p-18, -0x1.58c0a30e7243p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.436f0030f9947p-5, 0x1.3e1dc3a13b6bbp-5, 0x1.35d5b1d6b7e32p-5, 0x1.2a8f95b704e84p-5, 0x1.1c48e20479733p-5, 0x1.0b0375ec4fc2cp-5, 0x1.ed8ab494f0a3bp-6, 0x1.bf30f395886bap-6, 0x1.8b14ab7c6a23dp-6, 0x1.515772620e442p-6, 0x1.1220d7162e6bap-6, 0x1.9b3b8f225781fp-7, 0x1.07fff49238db7p-7, 0x1.abeade13b0236p-9, -0x1.db07e9a34d895p-10, -0x1.d533767a5a415p-8, -0x1.a230d1b56a516p-7, -0x1.30d1a02729d88p-6, -0x1.94354dfcefddep-6, -0x1.fafef281e02fbp-6, -0x1.327493a55084fp-5, -0x1.68d6fdf39f2d4p-5, -0x1.a083a5afdd6cp-5, -0x1.d9578569165ffp-5, -0x1.0997e45b58d8ap-4, -0x1.26f4f6826c455p-4, -0x1.44b1efa98d48dp-4, -0x1.62be0b850015ap-4, -0x1.8108d7067cf58p-4, -0x1.9f823b173adafp-4, -0x1.be1a8615d816cp-4, -0x1.dcc2742aa4b34p-4, -0x1.fb6b368497914p-4, -0x1.0d033cc83e73p-3, -0x1.1c43351dd96dep-3, -0x1.2b6edd297df98p-3, -0x1.3a7fd206a8bfap-3, -0x1.496ff6690f34ep-3, -0x1.583973a4c714ap-3, -0x1.66d6ba626b6a5p-3, -0x1.75428305f88d3p-3, -0x1.8377cdcebebbcp-3, -0x1.9171e2b656e82p-3, -0x1.9f2c51147651ap-3, -0x1.aca2ef0ce800ep-3, -0x1.b9d1d8cce1a2dp-3, -0x1.c6b56f9c6efb4p-3, -0x1.d34a58c89302ep-3, -0x1.df8d7c6a5273p-3, -0x1.eb7c040eaea6p-3, -0x1.f7135943569dp-3, -0x1.01289205c0a52p-2, -0x1.0699a4a022bc3p-2, -0x1.0bdbf46fbb8fap-2, -0x1.10eeae25ecd5dp-2, -0x1.15d11a40a8e6p-2, -0x1.1a829c1fc0919p-2, -0x1.1f02b116851fcp-2, -0x1.2350ef7ac963p-2, -0x1.276d05b2335b7p-2, -0x1.2b56b93ec075dp-2, -0x1.2f0de5cb44131p-2, -0x1.32927c389fa81p-2, -0x1.35e481ac5731ep-2, -0x1.39040ea11f6f4p-2, -0x1.3bf14df9eb94bp-2, -0x1.3eac7c17f6f15p-2, -0x1.4135e5f43b8bdp-2, -0x1.438de83caf707p-2, -0x1.45b4ee75a65d7p-2, -0x1.47ab721f9feedp-2, -0x1.4971f9e1c19dfp-2, -0x1.4b0918b937142p-2, -0x1.4c716d2da84fap-2, -0x1.4daba08aea8c2p-2, -0x1.4eb866200eae5p-2, -0x1.4f987a83e6b3fp-2, -0x1.504ca2df126e5p-2, -0x1.50d5ac3ba51f6p-2, -0x1.51346ada6cc48p-2, -0x1.5169b98dda2ep-2, -0x1.5176791a900c3p-2, -0x1.515b8f9d92c88p-2, -0x1.5119e7f80dbcfp-2, -0x1.50b27140ab24cp-2, -0x1.50261e3a6a1b9p-2, -0x1.4f75e4d0e88d5p-2, -0x1.4ea2bd9a0c6adp-2, -0x1.4dada35cf6966p-2, -0x1.4c97929e2df11p-2, -0x1.4b618930eba93p-2, -0x1.4a0c85cd6ae3p-2, -0x1.489987ac270e9p-2, -0x1.47098e25efda8p-2, -0x1.455d9858b155bp-2, -0x1.4396a4d0dc056p-2, -0x1.41b5b137486ebp-2, -0x1.3fbbba038329dp-2, -0x1.3da9ba325979ap-2, -0x1.3b80ab00937ep-2, -0x1.394183a9b3fb8p-2, -0x1.36ed392aab3f4p-2, -0x1.3484be08574c7p-2, -0x1.32090219b8422p-2, -0x1.2f7af255b78bfp-2, -0x1.2cdb78a46be0ap-2, -0x1.2a2b7bb3b66e5p-2, -0x1.276bdecf1d7fcp-2, -0x1.249d81bacdbb4p-2, -0x1.21c14091a08f6p-2, -0x1.1ed7f3a60ba65p-2, -0x1.1be26f65e4b59p-2, -0x1.18e18440d83c9p-2, -0x1.15d5fe917a906p-2, -0x1.12c0a688dd38bp-2, -0x1.0fa2401c88f21p-2, -0x1.0c7b8af6c88bbp-2, -0x1.094d4269295bap-2, -0x1.06181d611a6b9p-2, -0x1.02dcce5e930e1p-2, -0x1.ff3806d95158p-3, -0x1.f8accc37fffffp-3, -0x1.f21936fe007acp-3, -0x1.eb7e884f6c354p-3, -0x1.e4ddf84e9d1cdp-3, -0x1.de38b61e34976p-3, -0x1.d78fe7e5fe51cp-3, -0x1.d0e4aada90fabp-3, -0x1.ca38134787fbp-3, -0x1.c38b2c9c2f75p-3, -0x1.bcdef97a7bd8ap-3, -0x1.b63473c82f237p-3, -0x1.af8c8cc20b415p-3, -0x1.a8e82d10e9174p-3, -0x1.a24834e0a3817p-3, -0x1.9bad7bf8a3419p-3, -0x1.9518d1d605b34p-3, -0x1.8e8afdc72a628p-3, -0x1.8804bf08a15b4p-3, -0x1.8186cce34d557p-3, -0x1.7b11d6cbb0f32p-3, -0x1.74a684823db77p-3, -0x1.6e45763498676p-3, -0x1.67ef449fb8702p-3, -0x1.61a48132ca937p-3, -0x1.5b65b632c29edp-3, -0x1.553366de8d396p-3, -0x1.4f0e0f93bf7a8p-3, -0x1.48f625f3c2871p-3, -0x1.42ec19095e2dbp-3, -0x1.3cf0516e97f48p-3, -0x1.37033172ced88p-3, -0x1.312515410a11p-3, -0x1.2b5653066b028p-3, -0x1.25973b18afe7ep-3, -0x1.1fe8181cc028ap-3, -0x1.1a492f2d2e21p-3, -0x1.14bac000aad71p-3, -0x1.0f3d051054be3p-3, -0x1.09d033bde26abp-3, -0x1.04747c7994f91p-3, -0x1.fe5415cfe6174p-4, -0x1.f3e20c0e67794p-4, -0x1.e99320a8c11bep-4, -0x1.df678fe03d049p-4, -0x1.d55f8d862ce84p-4, -0x1.cb7b4543f08a4p-4, -0x1.c1badae21caf4p-4, -0x1.b81e6a8ec6298p-4, -0x1.aea60922d1534p-4, -0x1.a551c46650861p-4, -0x1.9c21a353cc9d4p-4, -0x1.9315a65a90248p-4, -0x1.8a2dc79fd587dp-4, -0x1.8169fb3ed6b08p-4, -0x1.78ca2f87bb6a7p-4, -0x1.704e4d3d5e208p-4, -0x1.67f637d1e28a8p-4, -0x1.5fc1cda21850ap-4, -0x1.57b0e82fa8971p-4, -0x1.4fc35c5a0a386p-4, -0x1.47f8fa9638a2bp-4, -0x1.40518f252cfe3p-4, -0x1.38cce24918345p-4, -0x1.316ab8795b06ep-4, -0x1.2a2ad2953df9bp-4, -0x1.230cee1566c57p-4, -0x1.1c10c53c0d6fdp-4, -0x1.15360f43f027dp-4, -0x1.0e7c808e088a5p-4, -0x1.07e3cace0220cp-4, -0x1.016b9d357572cp-4, -0x1.f627493bd062dp-5, -0x1.e9b717632cb48p-5, -0x1.dd85f6260c858p-5, -0x1.d1933306d3a96p-5, -0x1.c5de180fa20edp-5, -0x1.ba65ec1a639ebp-5, -0x1.af29f3168d7dp-5, -0x1.a4296e4c93948p-5, -0x1.99639c9f1e846p-5, -0x1.8ed7baca09542p-5, -0x1.8485039f2ce7bp-5, -0x1.7a6ab0410a18bp-5, -0x1.7087f85b4fa32p-5, -0x1.66dc1259504ep-5, -0x1.5d66339a6d2f2p-5, -0x1.542590a47c7bp-5, -0x1.4b195d543c02bp-5, -0x1.4240cd0bd44c5p-5, -0x1.399b12df77e21p-5, -0x1.312761c02bddap-5, -0x1.28e4eca4bd338p-5, -0x1.20d2e6b0f618bp-5, -0x1.18f0835b13dd1p-5, -0x1.113cf68f91a24p-5, -0x1.09b774d348a3p-5, -0x1.025f3363f8b18p-5, -0x1.f666d0ae782d2p-6, -0x1.e866956ff01fep-6, -0x1.dabc25449b976p-6, -0x1.cd65f2bc3550fp-6, -0x1.c06272f01d875p-6, -0x1.b3b01db2cb97ep-6, -0x1.a74d6dbc97308p-6, -0x1.9b38e0d5ecba7p-6, -0x1.8f70f7fefe998p-6, -0x1.83f43795090fcp-6, -0x1.78c127753b128p-6, -0x1.6dd6531d570f3p-6, -0x1.633249ca1b1c2p-6, -0x1.58d39e938cbafp-6, -0x1.4eb8e887282bcp-6, -0x1.44e0c2c01b6edp-6, -0x1.3b49cc7d8a228p-6, -0x1.31f2a936fa9d8p-6, -0x1.28da00aef1313p-6, -0x1.1ffe7f03d5bafp-6, -0x1.175ed4bf27084p-6, -0x1.0ef9b6e3199c3p-6, -0x1.06cddef6a3f27p-6, -0x1.fdb4162028cbfp-7, -0x1.ee39fbbc62ddap-7, -0x1.df2afd60092cfp-7, -0x1.d084b2f6966a4p-7, -0x1.c244bdc3550cap-7, -0x1.b468c869569b1p-7, -0x1.a6ee86f11bdc9p-7, -0x1.99d3b6cc0b7ep-7, -0x1.8d161ed5c26e8p-7, -0x1.80b38f536c659p-7, -0x1.74a9e1f124914p-7, -0x1.68f6f9bd8b778p-7, -0x1.5d98c32390a03p-7, -0x1.528d33e2ab26p-7, -0x1.47d24b056506fp-7, -0x1.3d6610d678d26p-7, -0x1.334696d4882d5p-7, -0x1.2971f7a46ed5fp-7, -0x1.1fe657025d7f9p-7, -0x1.16a1e1b1c0536p-7, -0x1.0da2cd6c06c22p-7, -0x1.04e758ce5ef38p-7, -0x1.f8db968ce53a8p-8, -0x1.e868e9fc727b8p-8, -0x1.d8735d8dd7abcp-8, -0x1.c8f7b4065728dp-8, -0x1.b9f2c120d234ap-8, -0x1.ab61695f336d7p-8, -0x1.9d40a1da930bp-8, -0x1.8f8d70122ec64p-8, -0x1.8244e9b94a3f8p-8, -0x1.7564348416da6p-8, -0x1.68e885f3b3f1cp-8, -0x1.5ccf232162fa7p-8, -0x1.51156089014f3p-8, -0x1.45b8a1d2dd9bdp-8, -0x1.3ab6599cfe4a5p-8, -0x1.300c0943e8261p-8, -0x1.25b740aafc01fp-8, -0x1.1bb59e0479734p-8, -0x1.1204cd9936adfp-8, -0x1.08a2899022e4fp-8, -0x1.ff19336b33e44p-9, -0x1.ed81a68541d17p-9, -0x1.dc7a314820283p-9, -0x1.cbfeb283801ecp-9, -0x1.bc0b228b843e5p-9, -0x1.ac9b92c75a2efp-9, -0x1.9dac2d4025042p-9, -0x1.8f3934303a4a3p-9, -0x1.813f0192d30b6p-9, -0x1.73ba06b43f6f9p-9, -0x1.66a6cbc2b01afp-9, -0x1.5a01ef5fa35ddp-9, -0x1.4dc826320efb8p-9, -0x1.41f63a794566cp-9, -0x1.36890ba0bc2d5p-9, -0x1.2b7d8dd4a72e3p-9, -0x1.20d0c9978b82fp-9, -0x1.167fdb58c59abp-9, -0x1.0c87f30c187b7p-9, -0x1.02e653c245995p-9, -0x1.f330a6858af27p-10, -0x1.e136b34d2f18ep-10, -0x1.cfd9c1e88414ap-10, -0x1.bf14e979f96ebp-10, -0x1.aee3637629588p-10, -0x1.9f408ae31a1b9p-10, -0x1.9027db99ff0c2p-10, -0x1.8194f18b8d42bp-10, -0x1.73838806e2fc9p-10, -0x1.65ef79030e059p-10, -0x1.58d4bc6b37ec3p-10, -0x1.4c2f676d7fe28p-10, -0x1.3ffbabcc7b899p-10, -0x1.3435d733776d4p-10, -0x1.28da528d664c1p-10, -0x1.1de5a15e8b8e9p-10, -0x1.13546120e20dap-10, -0x1.092348a33e083p-10, -0x1.fe9e4ed6524eep-11, -0x1.eba9ca3303618p-11, -0x1.d96301a39515cp-11, -0x1.c7c42148789a2p-11, -0x1.b6c781f513e3ep-11, -0x1.a667a80eb7c4ap-11, -0x1.969f4270f6bf8p-11, -0x1.8769295758cafp-11, -0x1.78c05d4c62c2bp-11, -0x1.6aa0061de9e2cp-11, -0x1.5d0371d6a6e85p-11, -0x1.4fe613bd028adp-11, -0x1.434383570c36bp-11, -0x1.37177b7393282p-11, -0x1.2b5dd938525cfp-11, -0x1.20129b352620cp-11, -0x1.1531e07c396aap-11, -0x1.0ab7e7bf22b6fp-11, -0x1.00a10e70de598p-11, -0x1.edd39fd92ed68p-12, -0x1.db1d894269f14p-12, -0x1.c91942832de37p-12, -0x1.b7c06bf2ea40fp-12, -0x1.a70cdb4da7849p-12, -0x1.96f89a2fee808p-12, -0x1.877de49b98e1bp-12, -0x1.78972785647dep-12, -0x1.6a3eff6b29e69p-12, -0x1.5c7036f2931f2p-12, -0x1.4f25c590344a6p-12, -0x1.425ace36df93fp-12, -0x1.360a9e0f170f9p-12, -0x1.2a30ab367646dp-12, -0x1.1ec89386f6a1fp-12, -0x1.13ce1b65e53d9p-12, -0x1.093d2c9a6eb4p-12, -0x1.fe23aa57343ep-13, -0x1.ea908c8b29657p-13, -0x1.d7b9a64c511fap-13, -0x1.c597e0207f743p-13, -0x1.b424628c9d716p-13, -0x1.a35894170eb35p-13, -0x1.932e175766576p-13, -0x1.839ec91322668p-13, -0x1.74a4be672bf68p-13, -0x1.663a42fde50f8p-13, -0x1.5859d75178ad8p-13, -0x1.4afe2efa2b1cep-13, -0x1.3e222f087841p-13, -0x1.31c0ec6ab24f6p-13, -0x1.25d5aa5de7592p-13, -0x1.1a5bd8e9d4e46p-13, -0x1.0f4f1367a6ee8p-13, -0x1.04ab1f134349cp-13, -0x1.f4d7d34dda323p-14, -0x1.e11b10020820cp-14, -0x1.ce1869a7343d5p-14, -0x1.bbc89ebb78c1dp-14, -0x1.aa24b45c3733ap-14, -0x1.9925f3dde63eap-14, -0x1.88c5e875da9adp-14, -0x1.78fe5cf597548p-14, -0x1.69c959974d048p-14, -0x1.5b2121db12836p-14, -0x1.4d00327472933p-14, -0x1.3f613f47ea565p-14, -0x1.323f3177f1e5p-14, -0x1.259525813011ap-14, -0x1.195e696574a95p-14, -0x1.0d967ae51e369p-14, -0x1.023905c68ab86p-14, -0x1.ee83c45673e6bp-15, -0x1.d95a25e48b568p-15, -0x1.c4ed884fb4683p-15, -0x1.b1369302a8092p-15, -0x1.9e2e39cb67dbcp-15, -0x1.8bcdba0420e0dp-15, -0x1.7a0e97d36cb57p-15, -0x1.68ea9b834e8cep-15, -0x1.585bceee5154ep-15, -0x1.485c7b0229ef8p-15, -0x1.38e7255749117p-15, -0x1.29f68ddccca7fp-15, -0x1.1b85ac98385efp-15, -0x1.0d8faf787393fp-15, -0x1.000ff83b76d38p-15, -0x1.e60434cc54d84p-16, -0x1.ccc3b29be247dp-16, -0x1.b4564c66af32p-16, -0x1.9cb43cdae4415p-16, -0x1.85d6134ad3eb6p-16, -0x1.6fb4b0438150dp-16, -0x1.5a494241ac51ap-16, -0x1.458d428478a5fp-16, -0x1.317a71fcd7ceep-16, -0x1.1e0ad658cbb08p-16, -0x1.0b38b729bdd42p-16, -0x1.f1fd364a1ac91p-17, -0x1.ceae8afc1fc84p-17, -0x1.ac7b66b168bc1p-17, -0x1.8b5a32a8310fdp-17, -0x1.6b41c2587f29fp-17, -0x1.4c294ee47e083p-17, -0x1.2e0872b4567e5p-17, -0x1.10d7253c2445cp-17, -0x1.e91b6dd573a3cp-18, -0x1.b2499a7fc6854p-18, -0x1.7d2abe11c9463p-18, -0x1.49b16183f5badp-18, -0x1.17d0a23757693p-18, -0x1.cef8568ae8105p-19, -0x1.71505e2675d9p-19, -0x1.1692c24988e34p-19, -0x1.7d53c0beeed6ep-20, -0x1.a6040352e6a2cp-21, -0x1.7044c2a04bbc8p-23, 0x1.c6f9fc3bd46afp-22, 0x1.0c77b1391e615p-20, 0x1.a245e719ad45fp-20, 0x1.19a54c29a66f6p-19, 0x1.5fd2ee7a7f251p-19, 0x1.a3bb3f3a7b1b5p-19, 0x1.e56d03fa08d85p-19, 0x1.127b35741750bp-18, 0x1.3132892337eb8p-18, 0x1.4ee307c536a9ap-18, 0x1.6b92fb18102cap-18, 0x1.87486f1fcfe5fp-18, 0x1.a209354492dc8p-18, 0x1.bbdae74d09ae4p-18, 0x1.d4c2ea36c388cp-18, 0x1.ecc670ed87ccdp-18, 0x1.01f53f717cd8p-17, 0x1.0d19f543d9878p-17, 0x1.17d3afd37fa94p-17, 0x1.2224b0d32a4dcp-17, 0x1.2c0f26d4cf18ap-17, 0x1.35952e4eb3461p-17, 0x1.3eb8d293f0099p-17, 0x1.477c0ec0e6647p-17, 0x1.4fe0ce9c1aeefp-17, 0x1.57e8ef6bef2dp-17, 0x1.5f9640c1a6d32p-17, 0x1.66ea853a2fbb8p-17, 0x1.6de7733510d9cp-17, 0x1.748eb581dc1e4p-17, 0x1.7ae1ec04aa09bp-17, 0x1.80e2ac51c8bb5p-17, 0x1.869282413b8f9p-17, 0x1.8bf2f07a1e0bdp-17, 0x1.910570f68e617p-17, 0x1.95cb7580226a4p-17, 0x1.9a46682581521p-17, 0x1.9e77aba93a6dap-17, 0x1.a2609bea43e4p-17, 0x1.a6028e46539aap-17, 0x1.a95ed1f66bbf2p-17, 0x1.ac76b065d604p-17, 0x1.af4b6d83ca18p-17, 0x1.b1de481001a3cp-17, 0x1.b43079e27aa62p-17, 0x1.b643382e9d84p-17, 0x1.b817b3c1fd8d1p-17, 0x1.b9af193ef07e4p-17, 0x1.bb0a915323ea4p-17, 0x1.bc2b40ea74447p-17, 0x1.bd12495e29956p-17, 0x1.bdc0c8a0c5157p-17, 0x1.be37d9669ac2dp-17, 0x1.be78934b4f73fp-17, 0x1.be840af4750b5p-17, 0x1.be5b5231602e1p-17, 0x1.bdff7818659bap-17, 0x1.bd7189219635ep-17, 0x1.bcb28f3f335dfp-17, 0x1.bbc391f3e72e1p-17, 0x1.baa59666e3277p-17, 0x1.b9599f761ef76p-17, 0x1.b7e0adc6a1b8ap-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.94a414821649cp-1, 0x1.9289f5a07054cp-1, 0x1.905decc797352p-1, 0x1.8e22e59ed9ae5p-1, 0x1.8bdbaa5d664f8p-1, 0x1.898adc99e3dbcp-1, 0x1.8732efff48156p-1, 0x1.84d626a648636p-1, 0x1.82768ed6e9377p-1, 0x1.801601fa83da5p-1, 0x1.7db6248bbed3p-1, 0x1.7b5866d728d74p-1, 0x1.78fe06643b95bp-1, 0x1.76a80fe370731p-1, 0x1.745761829755p-1, 0x1.720cad8ce050cp-1, 0x1.6fc87d3fda553p-1, 0x1.6d8b33c2265bp-1, 0x1.6b55112bb9d3bp-1, 0x1.6926359246908p-1, 0x1.66fea40ed73b8p-1, 0x1.64de45b3bdf0ep-1, 0x1.62c4ec6bd9288p-1, 0x1.60b255bdbd6bdp-1, 0x1.5ea62d6eae6dp-1, 0x1.5ca010027e77ep-1, 0x1.5a9f8d165b8fdp-1, 0x1.58a42995615c2p-1, 0x1.56ad61c6787b2p-1, 0x1.54baab338e3a6p-1, 0x1.52cb766aa8344p-1, 0x1.50df3099ad172p-1, 0x1.4ef5450603506p-1, 0x1.4d0d1e615e6acp-1, 0x1.4b2627fd34b1fp-1, 0x1.493fcede78fc6p-1, 0x1.475982b343dfep-1, 0x1.4572b6ac1f497p-1, 0x1.438ae23aaabbp-1, 0x1.41a181b751c0bp-1, 0x1.3fb616efbe1f9p-1, 0x1.3dc8299fab133p-1, 0x1.3bd747d5b31p-1, 0x1.39e306459e95p-1, 0x1.37eb0089aef2bp-1, 0x1.35eed95449ecep-1, 0x1.33ee3a9361a99p-1, 0x1.31e8d586d791p-1, 0x1.2fde62cb11801p-1, 0x1.2dcea258e045dp-1, 0x1.2bb95b7bc771dp-1, 0x1.299e5cbfa4dffp-1, 0x1.277d7bd6a6617p-1, 0x1.255695786d986p-1, 0x1.23298d3b2c8c5p-1, 0x1.20f64d6780e2cp-1, 0x1.1ebcc6c7bd36p-1, 0x1.1c7cf0734658cp-1, 0x1.1a36c7969d5c3p-1, 0x1.17ea4f38a3bdcp-1, 0x1.15978ffd9beb1p-1, 0x1.133e97e85ae13p-1, 0x1.10df7a1a1a645p-1, 0x1.0e7a4e914fde2p-1, 0x1.0c0f31e7dfd97p-1, 0x1.099e451104159p-1, 0x1.0727ad172d6c3p-1, 0x1.04ab92da2625cp-1, 0x1.022a22cdb1358p-1, 0x1.ff471971baacfp-2, 0x1.fa3006ec7a27bp-2, 0x1.f50f796a5efe7p-2, 0x1.efe5e178be5d6p-2, 0x1.eab3b45b32c22p-2, 0x1.e5796b96365efp-2, 0x1.e037847cdbbd7p-2, 0x1.daee7fc1ced85p-2, 0x1.d59ee10bc32dap-2, 0x1.d0492e8d6d93p-2, 0x1.caedf0a1211a9p-2, 0x1.c58db16820a0ep-2, 0x1.c028fc6db315ap-2, 0x1.bac05e4e0742p-2, 0x1.b5546460e5b8cp-2, 0x1.afe59c6836a9bp-2, 0x1.aa74944257a1cp-2, 0x1.a501d9a03f05ap-2, 0x1.9f8df9bf5d715p-2, 0x1.9a1981273e4e3p-2, 0x1.94a4fb6ad0512p-2, 0x1.8f30f2ed49ffcp-2, 0x1.89bdf0aaa0906p-2, 0x1.844c7c03725b1p-2, 0x1.7edd1a8c5cf2p-2, 0x1.79704fe0a32a8p-2, 0x1.74069d781342ep-2, 0x1.6ea082800dea9p-2, 0x1.693e7bb7a08a2p-2, 0x1.63e1034e95c49p-2, 0x1.5e8890c764016p-2, 0x1.593598dbe2afep-2, 0x1.53e88d64ad329p-2, 0x1.4ea1dd4319efbp-2, 0x1.4961f44daea91p-2, 0x1.44293b3ef2e0ap-2, 0x1.3ef817a692a81p-2, 0x1.39ceebdcab975p-2, 0x1.34ae16f73648bp-2, 0x1.2f95f4c16e71ap-2, 0x1.2a86ddb5240bap-2, 0x1.258126f5dc7bbp-2, 0x1.2085224dadbaap-2, 0x1.1b931e2bbc2eep-2, 0x1.16ab65a4453afp-2, 0x1.11ce407221d3ep-2, 0x1.0cfbf2f9a8efbp-2, 0x1.0834be4cdf537p-2, 0x1.0378e030e3992p-2, 0x1.fd912648f4906p-3, 0x1.f4481ccf6268ep-3, 0x1.eb170c08feap-3, 0x1.e1fe55b0aa1f7p-3, 0x1.d8fe553d108c2p-3, 0x1.d0175ff7181f8p-3, 0x1.c749c511cd7e8p-3, 0x1.be95cdc3a77dfp-3, 0x1.b5fbbd6101679p-3, 0x1.ad7bd177bbea5p-3, 0x1.a51641ebdd206p-3, 0x1.9ccb411517ec8p-3, 0x1.949afbdd2bb8ap-3, 0x1.8c8599deed179p-3, 0x1.848b3d85ff33fp-3, 0x1.7cac042f0b076p-3, 0x1.74e806487298cp-3, 0x1.6d3f577364fb8p-3, 0x1.65b206a53a707p-3, 0x1.5e401e491987cp-3, 0x1.56e9a461ba2bep-3, 0x1.4fae9aab4a187p-3, 0x1.488efebd5e83bp-3, 0x1.418aca2cdebdcp-3, 0x1.3aa1f2ade19edp-3, 0x1.33d46a356b4a4p-3, 0x1.2d221f1b051f9p-3, 0x1.268afc3a1b9d1p-3, 0x1.200ee91325b97p-3, 0x1.19adc9ec7a6fep-3, 0x1.13677ff2d9c5p-3, 0x1.0d3be95999709p-3, 0x1.072ae17a73683p-3, 0x1.013440f4e1302p-3, 0x1.f6afbb9a25ca6p-4, 0x1.eb2b1714cd773p-4, 0x1.dfda36aad8c42p-4, 0x1.d4bcb82abc97dp-4, 0x1.c9d2351a416d3p-4, 0x1.bf1a42ef564ebp-4, 0x1.b4947347e1352p-4, 0x1.aa40542060d23p-4, 0x1.a01d7009688f6p-4, 0x1.962b4e5bf696dp-4, 0x1.8c69736c9847fp-4, 0x1.82d760bd5da04p-4, 0x1.7974952e95c9p-4, 0x1.70408d2e55d8cp-4, 0x1.673ac2e6c69ddp-4, 0x1.5e62ae6b38eaap-4, 0x1.55b7c5e3ffdcdp-4, 0x1.4d397db910f1fp-4, 0x1.44e748bb6c608p-4, 0x1.3cc0984d4ae49p-4, 0x1.34c4dc8917283p-4, 0x1.2cf384673024ap-4, 0x1.254bfde27aa36p-4, 0x1.1dcdb61bc0d29p-4, 0x1.1678197be55eep-4, 0x1.0f4a93d4ec318p-4, 0x1.08449081db466p-4, 0x1.01657a857a4c4p-4, 0x1.f559794fdf49ap-5, 0x1.e83383268aa6bp-5, 0x1.db57e7dda8e49p-5, 0x1.cec57cf33d248p-5, 0x1.c27b184733869p-5, 0x1.b677904be26ep-5, 0x1.aab9bc34879eep-5, 0x1.9f407421c1335p-5, 0x1.940a914c14011p-5, 0x1.8916ee2c86d28p-5, 0x1.7e6466a35ae5p-5, 0x1.73f1d81cf1275p-5, 0x1.69be21b4e1802p-5, 0x1.5fc824575179ep-5, 0x1.560ec2e0953ddp-5, 0x1.4c90e23b256b6p-5, 0x1.434d697bf1899p-5, 0x1.3a4341fd1ff64p-5, 0x1.3171577740402p-5, 0x1.28d69818fc958p-5, 0x1.2071f49d55311p-5, 0x1.1842606072c88p-5, 0x1.1046d17315449p-5, 0x1.087e40acab6c6p-5, 0x1.00e7a9bc213e4p-5, 0x1.f304166ed693p-6, 0x1.e498cd53aef94p-6, 0x1.d68b814269486p-6, 0x1.c8da4173a3527p-6, 0x1.bb832352cdb5ep-6, 0x1.ae844291d3eecp-6, 0x1.a1dbc13abf32bp-6, 0x1.9587c7bf54cb2p-6, 0x1.89868506d4853p-6, 0x1.7dd62e79d7eb5p-6, 0x1.7275000c6dbb2p-6, 0x1.67613c4685fe3p-6, 0x1.5c992c4ab3001p-6, 0x1.521b1fdb5cae8p-6, 0x1.47e56d5e70f2fp-6, 0x1.3df671dfa07f7p-6, 0x1.344c911138f37p-6, 0x1.2ae6354bab1fp-6, 0x1.21c1cf8bcefb8p-6, 0x1.18ddd76fedcd4p-6, 0x1.1038cb33a8fp-6, 0x1.07d12faac18a4p-6, 0x1.ff4b2075adea2p-7, 0x1.ef68fda84cd0ep-7, 0x1.dff927d2a751cp-7, 0x1.d0f8dccca6af1p-7, 0x1.c265674ce11f1p-7, 0x1.b43c1ed31dc6ap-7, 0x1.a67a679141f87p-7, 0x1.991db252de9ccp-7, 0x1.8c237c634fad9p-7, 0x1.7f894f72afedfp-7, 0x1.734cc1797f15p-7, 0x1.676b749b439b9p-7, 0x1.5be3170815e0ap-7, 0x1.50b162dd2f62dp-7, 0x1.45d41e049fb06p-7, 0x1.3b491a14216e2p-7, 0x1.310e342b3086ep-7, 0x1.272154d0691dbp-7, 0x1.1d806fce41b1fp-7, 0x1.1429840f2ed11p-7, 0x1.0b1a9b793e8c4p-7, 0x1.0251cac93935p-7, 0x1.f39a62daaa56ep-8, 0x1.e315f2bf13f99p-8, 0x1.d312adff1e694p-8, 0x1.c38d11d92566dp-8, 0x1.b481afbd63088p-8, 0x1.a5ed2d007d79p-8, 0x1.97cc428dc3a64p-8, 0x1.8a1bbc992db3ep-8, 0x1.7cd87a51337cbp-8, 0x1.6fff6d908c902p-8, 0x1.638d9a8fe9fddp-8, 0x1.57801797b8938p-8, 0x1.4bd40cb200a86p-8, 0x1.4086b35c6be8dp-8, 0x1.3595563a836d2p-8, 0x1.2afd50c8339eep-8, 0x1.20bc0f0ca00e8p-8, 0x1.16cf0d4d55dc1p-8, 0x1.0d33d7c1e7f61p-8, 0x1.03e80a47febfap-8, 0x1.f5d2a02fcba0dp-9, 0x1.e46ac6f346215p-9, 0x1.d3941af53be64p-9, 0x1.c34a4b47c26bep-9, 0x1.b3892361fa29cp-9, 0x1.a44c8a8f2b7d3p-9, 0x1.9590835f3b8a4p-9, 0x1.87512b1896e93p-9, 0x1.798ab92b91907p-9, 0x1.6c397ea74b2dbp-9, 0x1.5f59e5b028422p-9, 0x1.52e870f7db809p-9, 0x1.46e1bb371a72fp-9, 0x1.3b4276a8f2248p-9, 0x1.30076c87d5b76p-9, 0x1.252d7c8c5b114p-9, 0x1.1ab19c6dbcb52p-9, 0x1.1090d76418e84p-9, 0x1.06c84dac79f48p-9, 0x1.faaa681d4df09p-10, 0x1.e869a6c98a4a1p-10, 0x1.d6c910498e5a1p-10, 0x1.c5c383d766a19p-10, 0x1.b554061575f88p-10, 0x1.a575c02c55688p-10, 0x1.9623feec5f086p-10, 0x1.875a31f2e978cp-10, 0x1.7913ead330a17p-10, 0x1.6b4cdc42f02ffp-10, 0x1.5e00d94aa3754p-10, 0x1.512bd47973a48p-10, 0x1.44c9df1ccff14p-10, 0x1.38d7287b9fcaep-10, 0x1.2d4ffd151cb6bp-10, 0x1.2230c5e342e6fp-10, 0x1.177607a0d2ec1p-10, 0x1.0d1c6212ea21fp-10, 0x1.03208f561c01cp-10, 0x1.f2fec65e242bdp-11, 0x1.e06b94bd44067p-11, 0x1.ce8193f2b2a2ap-11, 0x1.bd3afd84e590ep-11, 0x1.ac9239145a94ep-11, 0x1.9c81db1efb031p-11, 0x1.8d04a3ca1c3f3p-11, 0x1.7e157db3128d3p-11, 0x1.6faf7cc63cc12p-11, 0x1.61cddd1c773eep-11, 0x1.546c01dee4b95p-11, 0x1.47857430f50abp-11, 0x1.3b15e22096577p-11, 0x1.2f191d9c7d1bep-11, 0x1.238b1b706b47bp-11, 0x1.1867f24762cf9p-11, 0x1.0dabd9b3acf63p-11, 0x1.0353293ca122ep-11, 0x1.f2b4aee426cc9p-12, 0x1.df7bf20aaf14fp-12, 0x1.ccf57fcf7ca9p-12, 0x1.bb1af4dcf335ap-12, 0x1.a9e624f7a0e3fp-12, 0x1.9951195b15c82p-12, 0x1.89560f20ff2a7p-12, 0x1.79ef75b25e215p-12, 0x1.6b17ed42a53edp-12, 0x1.5cca455493e36p-12, 0x1.4f017b48a29e5p-12, 0x1.41b8b8f4d47b7p-12, 0x1.34eb5345be65ap-12, 0x1.2894c8e898efdp-12, 0x1.1cb0c0fe34e35p-12, 0x1.113b09d69d6d5p-12, 0x1.062f97b547f3ap-12, 0x1.f715073b3c708p-13, 0x1.e290144f70eccp-13, 0x1.cec914ba46e46p-13, 0x1.bbb9093b00fa3p-13, 0x1.a9593315b6cfap-13, 0x1.97a311fb12b09p-13, 0x1.869061fed8136p-13, 0x1.761b199cd8d92p-13, 0x1.663d67cc0bd89p-13, 0x1.56f1b21f803f4p-13, 0x1.483292f4cf353p-13, 0x1.39fad7afc8362p-13, 0x1.2c457f0310f6ep-13, 0x1.1f0db7455ddfp-13, 0x1.124edcd30df14p-13, 0x1.0604787bcd5e1p-13, 0x1.f4547bf80f98dp-14, 0x1.dd781503a9934p-14, 0x1.c76bc67a4d0ccp-14, 0x1.b227e7f5d56f6p-14, 0x1.9da51b95c538bp-14, 0x1.89dc4b5fce3e5p-14, 0x1.76c6a6b4c758ap-14, 0x1.645d9fd975402p-14, 0x1.529ae992b99ffp-14, 0x1.417874d4a5958p-14, 0x1.30f06e83f68ep-14, 0x1.20fd3d4986133p-14, 0x1.11997f7736e41p-14, 0x1.02c008fdebe17p-14, 0x1.e8d7c2e82de8p-15, 0x1.cd308458e2a0dp-15, 0x1.b28128b8e1aa4p-15, 0x1.98c0dea41b665p-15, 0x1.7fe72d70e0e14p-15, 0x1.67ebf1d6477fdp-15, 0x1.50c75aaec1ed9p-15, 0x1.3a71e5d630c8ep-15, 0x1.24e45d22a87e8p-15, 0x1.1017d3772bef2p-15, 0x1.f80b43df4e057p-16, 0x1.d14eca4ade7fap-16, 0x1.abedf5173ffaap-16, 0x1.87dcfbc53b5a2p-16, 0x1.65108d8435078p-16, 0x1.437dcc71efaf3p-16, 0x1.231a4904ba12p-16, 0x1.03dbfd9edab7dp-16, 0x1.cb729493e06a5p-17, 0x1.9151e1325e4f5p-17, 0x1.59441f627a80ep-17, 0x1.233840e93fa9ep-17, 0x1.de3bc74e54e95p-18, 0x1.79ca94f92db0dp-18, 0x1.18feace1a61c8p-18, 0x1.77760067162edp-19, 0x1.878e8a116712fp-20, 0x1.6bb7b32127c28p-23, -0x1.1fc1e97aa78acp-20, -0x1.303fa43644b3ap-19, -0x1.ca90444325922p-19, -0x1.2f80593dffbaap-18, -0x1.76de8695f6c08p-18, -0x1.bb77e3575bed7p-18, -0x1.fd60dc0680e43p-18, -0x1.1e568cb75abc1p-17, -0x1.3cb7c49c3239dp-17, -0x1.59dd3313dbep-17, -0x1.75cfa0035bb1ep-17, -0x1.9097819ed002bp-17, -0x1.aa3d000e3131ep-17, -0x1.c2c7f8ebe1c8p-17, -0x1.da40029e6b91ep-17, -0x1.f0ac6f8eb2bep-17, -0x1.030a289de6d01p-16, -0x1.0d3f3d96dda3cp-16, -0x1.16f8c2e412549p-16, -0x1.2039e87f1c6p-16, -0x1.2905c37471107p-16, -0x1.315f4f201940fp-16, -0x1.39496e5ca0a08p-16, -0x1.40c6eca4a863bp-16, -0x1.47da7f27aef05p-16, -0x1.4e86c5d270aeep-16, -0x1.54ce4c4b68becp-16, -0x1.5ab38ae3db7bep-16, -0x1.6038e77dd408cp-16, -0x1.6560b6678ea42p-16, -0x1.6a2d3b2ca9253p-16, -0x1.6ea0a95d80a79p-16, -0x1.72bd254d2936fp-16, -0x1.7684c4c64d4c9p-16, -0x1.79f98fb75946ep-16, -0x1.7d1d80d64ceecp-16, -0x1.7ff2863c84769p-16, -0x1.827a81fac8eebp-16, -0x1.84b74aa60242dp-16, -0x1.86aaabdccd09fp-16, -0x1.885666c647c06p-16, -0x1.89bc328a55631p-16, -0x1.8addbcc3ad557p-16, -0x1.8bbca9ebe3cebp-16, -0x1.8c5a95c1c36e8p-16, -0x1.8cb913aa26d1p-16, -0x1.8cd9af0b98064p-16, -0x1.8cbdeba4eb406p-16, -0x1.8c6745df13696p-16, -0x1.8bd7331a60e6cp-16, -0x1.8b0f21f7614f9p-16, -0x1.8a107a9b9a72bp-16, -0x1.88dc9ef241d1ep-16, -0x1.8774eae935074p-16, -0x1.85dab4aa48b23p-16, -0x1.840f4cd130efep-16, -0x1.8213fe9e1c976p-16, -0x1.7fea10253662bp-16, -0x1.7d92c27b2c719p-16, -0x1.7b0f51dee7f19p-16, -0x1.7860f5e098f24p-16, -0x1.7588e18636d3p-16, -0x1.7288436d98994p-16, -0x1.6f6045ec459bep-16, -0x1.6c120f2d1e389p-16, -0x1.689ec14bf5132p-16, -0x1.65077a6f3fc7ep-16, -0x1.614d54dfecc1cp-16, -0x1.5d71671f8465ap-16, -0x1.5974c3fcaca0cp-16, -0x1.55587aa61b1b2p-16, -0x1.511d96bc20913p-16, -0x1.4cc52060d4894p-16, -0x1.48501c46fb558p-16, -0x1.43bf8bbfbd71fp-16, -0x1.3f146cc73defp-16, -0x1.3a4fba102585fp-16, -0x1.35726b0e39681p-16, -0x1.307d740002d17p-16, -0x1.2b71c5f79f28fp-16, -0x1.26504ee2cc204p-16, -0x1.2119f99231fedp-16, -0x1.1bcfadc006bfep-16, -0x1.167250160fc84p-16, -0x1.1102c233109c3p-16, -0x1.0b81e2afb4ffap-16, -0x1.05f08d22ffdeap-16, -0x1.004f9a2646ea6p-16, -0x1.f53fbeb1958d3p-17, -0x1.e9c45ec5ed292p-17, -0x1.de2eb3f28967ap-17, -0x1.d28057bdc26f8p-17, -0x1.c6baddd00cef3p-17, -0x1.badfd3f84445ap-17, -0x1.aef0c22f88944p-17, -0x1.a2ef2a9cd1e0ap-17, -0x1.96dc89982e2f2p-17, -0x1.8aba55adc768cp-17, -0x1.7e89ffa0bb235p-17, -0x1.724cf26dc169fp-17, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      21, 0x1.d5c28f5c28f5cp+1, 0x1.1d843419061c3p+1, 0x1.3adf5bae487fep+2, -0x1.319e48c61e554p-1, 
      {{
        {0x1.999999999999ap+0, 0x1.b333333333333p+0, 0x1.a1cdd52f35f13p+1, -0x1.1398561994719p+3, 0x1.335eea7cc1648p+3, 0x1.24c2d215644dap+1}, 
        {0x1.b333333333333p+0, 0x1.ccccccccccccdp+0, 0x1.402752599b3bbp+1, -0x1.a7d9b436b258bp+2, 0x1.4953ed718f50ap+3, -0x1.6df3869abd938p+3}, 
        {0x1.ccccccccccccdp+0, 0x1.e666666666666p+0, 0x1.ee2f871bf7072p+0, -0x1.3a138b647a279p+2, 0x1.b715bd531348bp+2, -0x1.54c4195e3a938p+2}, 
        {0x1.e666666666666p+0, 0x1p+1, 0x1.80c16528e56c7p+0, -0x1.d8f6f58989b6p+1, 0x1.50dae8ea01b62p+2, -0x1.3c780e6002d81p+2}, 
        {0x1p+1, 0x1.0cccccccccccdp+1, 0x1.2e5eef7cc3cb5p+0, -0x1.6535f564e55b7p+1, 0x1.e3d42f9a681dbp+1, -0x1.b40ed35413f6p+1}, 
        {0x1.0cccccccccccdp+1, 0x1.199999999999ap+1, 0x1.df775f27e84p-1, -0x1.1186d89d0455p+1, 0x1.6102f03462208p+1, -0x1.421e0effa2c86p+1}, 
        {0x1.199999999999ap+1, 0x1.2666666666666p+1, 0x1.7ee338f8825dep-1, -0x1.a92d0a5d60f0cp+0, 0x1.0060521ae47dfp+1, -0x1.c0207953aed42p+0}, 
        {0x1.2666666666666p+1, 0x1.3333333333333p+1, 0x1.333610fab5b8cp-1, -0x1.5011b9f669829p+0, 0x1.7a507fcfe1562p+0, -0x1.358874218bae4p+0}, 
        {0x1.3333333333333p+1, 0x1.4p+1, 0x1.ede39ec817849p-2, -0x1.0db13d7bec26fp+0, 0x1.1d745cf9043b8p+0, -0x1.a6b9b4da4b3a9p-1}, 
        {0x1.4p+1, 0x1.4cccccccccccdp+1, 0x1.8c95be47fba2ap-2, -0x1.b5e2775d58de7p-1, 0x1.bc176a16f1e51p-1, -0x1.2802a8d8d3adcp-1}, 
        {0x1.4cccccccccccdp+1, 0x1.599999999999ap+1, 0x1.3d4c3db2444abp-2, -0x1.65f257da2499ap-1, 0x1.6349d10918ca7p-1, -0x1.bb0c241a9abbbp-2}, 
        {0x1.599999999999ap+1, 0x1.6666666666666p+1, 0x1.f8be0e9efeb8ap-3, -0x1.2588e1c95cd7cp-1, 0x1.20d4cb9eb4c7dp-1, -0x1.6f3920afaddfep-2}, 
        {0x1.6666666666666p+1, 0x1.7333333333333p+1, 0x1.8e25b7c722846p-3, -0x1.e28db839cb122p-2, 0x1.d37eda3be899bp-2, -0x1.4ba4fbdfded0ap-2}, 
        {0x1.7333333333333p+1, 0x1.8p+1, 0x1.3652bfc0ef42dp-3, -0x1.8f00fa8901f47p-2, 0x1.70008eabf28e4p-2, -0x1.324df33be168bp-2}, 
        {0x1.8p+1, 0x1.8cccccccccccdp+1, 0x1.da8a316f668a4p-4, -0x1.4e97af89b1ce5p-2, 0x1.141c5f4d2eeebp-2, -0x1.f669563de2211p-3}, 
        {0x1.8cccccccccccdp+1, 0x1.999999999999ap+1, 0x1.5ebe0f1d971d4p-4, -0x1.1ee812404e5fp-2, 0x1.917f8b2166d36p-3, -0x1.46d54730e5838p-3}, 
        {0x1.999999999999ap+1, 0x1.a666666666666p+1, 0x1.e6b6535fea88ap-5, -0x1.f7518321cc80cp-3, 0x1.2f72c292bb922p-3, 0x1.8911e38d95ddap-4}, 
        {0x1.a666666666666p+1, 0x1.b333333333333p+1, 0x1.2a4f153d69c1p-5, -0x1.b4bb926772d24p-3, 0x1.6a68a4b4c54p-3, 0x1.3e0d0a4f9abb5p-3}, 
        {0x1.b333333333333p+1, 0x1.cp+1, 0x1.16c4cee74b3a4p-6, -0x1.62b59cac6d212p-3, 0x1.c9d2f49973ab9p-3, 0x1.88775c53c64dap+0}, 
        {0x1.cp+1, 0x1.ccccccccccccdp+1, 0x1.c5f5c6eca90fbp-9, -0x1.51e7c9e9051f4p-4, 0x1.5def8e256d801p-1, -0x1.063490a87ed77p+1}, 
        {0x1.ccccccccccccdp+1, 0x1.d5c28f5c28f5cp+1, 0x0p+0, -0x1.db9aec9c57324p-8, 0x1.1a509e0d10b61p-4, 0x1.7bac9409b63b2p+2}, 
      }}, 
      -0x1.fc4208c4dc085p+6, 0x1.60e9128f25577p+9
    }
  };
  // clang-format on
}
SkfData params_mio_0_1_c_s() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.6d55582067c1ep-2, 0x1.7336fc92d32e4p-2, 0x1.77f8b7357cfeap-2, 0x1.7ba4f56b0cdd9p-2, 0x1.7e46534f93defp-2, 0x1.7fe80ee4979b9p-2, 0x1.8095de2427d9dp-2, 0x1.805b85231d8f7p-2, 0x1.7f4515d4cbe7cp-2, 0x1.7d5eeb7c376b3p-2, 0x1.7ab54d76b1448p-2, 0x1.77545286ae5a2p-2, 0x1.7347ffcf5a61bp-2, 0x1.6e9c62fdc98cfp-2, 0x1.695d7756a67e1p-2, 0x1.6396e5f031b77p-2, 0x1.5d53e97326c3ap-2, 0x1.569f699307195p-2, 0x1.4f8411d019867p-2, 0x1.480c3fb07577ap-2, 0x1.4041f03663fc6p-2, 0x1.382fc8ae2755ep-2, 0x1.2fdd1ef63d782p-2, 0x1.2753d89a2dfbdp-2, 0x1.1e9c531103c09p-2, 0x1.15be543b80983p-2, 0x1.0cc13dd5b26d8p-2, 0x1.03ac2b0b1d741p-2, 0x1.f50bce6b71b35p-3, 0x1.e2a9a7dfc7269p-3, 0x1.d03db58a8e562p-3, 0x1.bdd2e6606c3afp-3, 0x1.ab736448e6611p-3, 0x1.9928aa271f1bdp-3, 0x1.86fb874dad2eap-3, 0x1.74f419a6e3513p-3, 0x1.6319cb703e5c2p-3, 0x1.5173590f321a3p-3, 0x1.4006db13357a1p-3, 0x1.2ed9cee184f3bp-3, 0x1.1df11c19a2329p-3, 0x1.0d51186f5fb9ap-3, 0x1.f9fb199124e37p-4, 0x1.d9f37ace547bcp-4, 0x1.ba90eabc570ap-4, 0x1.9bd828e3cb5bap-4, 0x1.7dcd3c0b724f4p-4, 0x1.60738f763183ep-4, 0x1.43ce0d4d914b1p-4, 0x1.27df348031727p-4, 0x1.0ca9289adcca4p-4, 0x1.e45b74ad5af87p-5, 0x1.b0dcd03de56ebp-5, 0x1.7ed8adc5050dfp-5, 0x1.4e5089faaf2dfp-5, 0x1.1f44f5043a4b1p-5, 0x1.e36aec8223361p-6, 0x1.8b40f77d94c66p-6, 0x1.3606b6c2e6bbdp-6, 0x1.c7699e4c77013p-7, 0x1.288451ee1dc5cp-7, 0x1.1e9137013d45p-8, -0x1.181bf97e39c6bp-13, -0x1.24ec50fb87348p-8, -0x1.1b3ef5deb51a6p-7, -0x1.9ec4ae244edfep-7, -0x1.0e901465532d7p-6, -0x1.4b35a30f64818p-6, -0x1.85609dc00d60ap-6, -0x1.bd1f63e430d25p-6, -0x1.f28121c2533fep-6, -0x1.12cae2a87b708p-5, -0x1.2b36f159a4843p-5, -0x1.428d46da8b79fp-5, -0x1.58d6971d67974p-5, -0x1.6e1baa6bad4eap-5, -0x1.826549a771ab4p-5, -0x1.95bc2dabd140fp-5, -0x1.a828f25b7a91ap-5, -0x1.b9b40d77388f7p-5, -0x1.ca65c8f9291a2p-5, -0x1.da464065fbba2p-5, -0x1.e95d605302c14p-5, -0x1.f7b2e7525914ep-5, -0x1.02a733c980121p-4, -0x1.091ba45fed403p-4, -0x1.0f3a64f76d584p-4, -0x1.150701d379c04p-4, -0x1.1a84f50a6be08p-4, -0x1.1fb7a7b89b422p-4, -0x1.24a273360afc4p-4, -0x1.2948a21f6b81ap-4, -0x1.2dad70f41141fp-4, -0x1.31d40e0c772eap-4, -0x1.35bf98c0bc788p-4, -0x1.39731fb70f311p-4, -0x1.3cf19e764cc0fp-4, -0x1.403dfa782b025p-4, -0x1.435b00094d66fp-4, -0x1.464b5f49ed2abp-4, -0x1.4911a99851cbbp-4, -0x1.4bb04f9b2b502p-4, -0x1.4e29a009ec20ep-4, -0x1.507fc7395abcep-4, -0x1.52b4cf5e57dfcp-4, -0x1.54caa16a76a83p-4, -0x1.56c3065e3a364p-4, -0x1.589fa8eb3228ap-4, -0x1.5a621743a87bp-4, -0x1.5c0bc4fc46b14p-4, -0x1.5d9e0cec658bep-4, -0x1.5f1a3301be1b4p-4, -0x1.60816602b17e4p-4, -0x1.61d4c13e86536p-4, -0x1.63154e2c97149p-4, -0x1.644405fad02ffp-4, -0x1.6561d309cd45bp-4, -0x1.666f9252440d3p-4, -0x1.676e14ad27321p-4, -0x1.685e1ff6c8546p-4, -0x1.694070058ba11p-4, -0x1.6a15b76e9a1c5p-4, -0x1.6adea015f4875p-4, -0x1.6b9bcb8adf1b5p-4, -0x1.6c4dd33517c9fp-4, -0x1.6cf5485a16485p-4, -0x1.6d92b4034c441p-4, -0x1.6e2696cee06d9p-4, -0x1.6eb168b3bebd1p-4, -0x1.6f3398c07f31ep-4, -0x1.6fad8cdae2a14p-4, -0x1.701fa184062abp-4, -0x1.708a29a4189f4p-4, -0x1.70ed6e5fb57f6p-4, -0x1.7149aef8d2d9ap-4, -0x1.719f20bd83c37p-4, -0x1.71edef073c49cp-4, -0x1.72363b4dcfebfp-4, -0x1.72781d5179576p-4, -0x1.72b3a35f09b91p-4, -0x1.72e8d2b0a7323p-4, -0x1.7317a7ec4c5d5p-4, -0x1.734017bfb9e7p-4, -0x1.73620f97e0a04p-4, -0x1.737d767017909p-4, -0x1.73922db40e8a5p-4, -0x1.73a0122e4fb83p-4, -0x1.73adc733d3302p-4, -0x1.73a8d54bc633fp-4, -0x1.739c94ed1067dp-4, -0x1.7388f65b9425p-4, -0x1.736de7880d692p-4, -0x1.734b542fc16a9p-4, -0x1.7321260a35456p-4, -0x1.72ef4503b4307p-4, -0x1.72b59782c8a9fp-4, -0x1.727402b66300fp-4, -0x1.722a6aea0b477p-4, -0x1.71d8b3dd73bfbp-4, -0x1.717ec11cba544p-4, -0x1.711c7656d9cdbp-4, -0x1.70b1b7b00a74fp-4, -0x1.703e6a0e3b2fcp-4, -0x1.6fc2735e252b6p-4, -0x1.6f3dbacffd748p-4, -0x1.6eb0290b343c1p-4, -0x1.6e19a8591b6e4p-4, -0x1.6d7a24c6b06c4p-4, -0x1.6cd18c3e170e4p-4, -0x1.6c1fce9887706p-4, -0x1.6b64dda9a150dp-4, -0x1.6aa0ad45238ecp-4, -0x1.69d333400dbbp-4, -0x1.68fc676e23152p-4, -0x1.681c439caff45p-4, -0x1.6732c38b4ff61p-4, -0x1.663fe4e35ad6dp-4, -0x1.6543a72e6e876p-4, -0x1.643e0bcc7a3ebp-4, -0x1.632f15e98494ep-4, -0x1.6216ca735e44ap-4, -0x1.60f5300f51951p-4, -0x1.5fca4f0fdb163p-4, -0x1.5e96316a6d45cp-4, -0x1.5d58e2ad36aacp-4, -0x1.5c126ff4e958dp-4, -0x1.5ac2e7e2778bcp-4, -0x1.596a5a90c33e4p-4, -0x1.5808d98a3ecc7p-4, -0x1.569e77be7d0d6p-4, -0x1.552b4977b7384p-4, -0x1.53af645050d9dp-4, -0x1.522adf2860e4dp-4, -0x1.509dd21b52271p-4, -0x1.4f085675a2e2dp-4, -0x1.4d6a86aadb78p-4, -0x1.4bc47e4bc3541p-4, -0x1.4a1659fce6fbap-4, -0x1.4860376d7d13dp-4, -0x1.46a2354eae491p-4, -0x1.44dc734b4fea5p-4, -0x1.430f12000d2b2p-4, -0x1.413a32f400d01p-4, -0x1.3f5df891be0a2p-4, -0x1.3d7a8620bb4e8p-4, -0x1.3b8fffbf17c8dp-4, -0x1.399e8a5ba9a14p-4, -0x1.37a64bb0478c9p-4, -0x1.35a76a3c382ecp-4, -0x1.33a20d3eb341bp-4, -0x1.31965cb15fec6p-4, -0x1.2f848142bfbedp-4, -0x1.2d6ca4506ae3bp-4, -0x1.2b4eefe110269p-4, -0x1.292b8e9e26deep-4, -0x1.2702abcd3febfp-4, -0x1.24d47348ee8b4p-4, -0x1.22a1117938809p-4, -0x1.2068b34b89b04p-4, -0x1.1e2b862a255e1p-4, -0x1.1be9b7f3115e8p-4, -0x1.19a376ee80dbbp-4, -0x1.1758f1c4bdap-4, -0x1.150a577399391p-4, -0x1.12b7d7436f19p-4, -0x1.1061a0bbc6a9cp-4, -0x1.0e07e3979c5cfp-4, -0x1.0baacfb969a36p-4, -0x1.094a951ef76abp-4, -0x1.06e763d51365fp-4, -0x1.04816beb35af1p-4, -0x1.0218dd672d16dp-4, -0x1.ff5bd071cfe9fp-5, -0x1.fa81785cd07ecp-5, -0x1.f5a311cfec839p-5, -0x1.f0c0fb994f8d8p-5, -0x1.ebdb93fe85777p-5, -0x1.e6f338a71e066p-5, -0x1.e208468845717p-5, -0x1.dd1b19d15fdd7p-5, -0x1.d82c0dd9bdf8cp-5, -0x1.d33b7d0f7057fp-5, -0x1.ce49c0e74589p-5, -0x1.c95731cdf00d7p-5, -0x1.c464271a5aea5p-5, -0x1.bf70f70121e5dp-5, -0x1.ba7df6892a48p-5, -0x1.b58b798153acbp-5, -0x1.b099d2772d32ep-5, -0x1.aba952aeaf092p-5, -0x1.a6ba4a1ad6ea8p-5, -0x1.a1cd07572c792p-5, -0x1.9ce1d7a20afafp-5, -0x1.97f906d7a8bb4p-5, -0x1.9312df6dcc3bfp-5, -0x1.8e2faa7016ef3p-5, -0x1.894faf7ce46b9p-5, -0x1.847334c29f7e9p-5, -0x1.7f9a7efd8997fp-5, -0x1.7ac5d175e45f8p-5, -0x1.75f56dfe73f55p-5, -0x1.712994f34fa74p-5, -0x1.6c628538f147fp-5, -0x1.67a07c3b89d5bp-5, -0x1.62e3b5ee85fb2p-5, -0x1.5e2c6ccc453a8p-5, -0x1.597ad9d5faf72p-5, -0x1.54cf3493bc2e5p-5, -0x1.5029b314ac809p-5, -0x1.4b8a89ef54bf4p-5, -0x1.46f1ec4215fa2p-5, -0x1.42600bb3c2e6ep-5, -0x1.3dd51874567c5p-5, -0x1.3951413dcd62fp-5, -0x1.34d4b3551f69ep-5, -0x1.305f9a8b5d39ap-5, -0x1.2bf2213eeebecp-5, -0x1.278c705cf8499p-5, -0x1.232eaf62e00b2p-5, -0x1.1ed9045ffdcc2p-5, -0x1.1a8b93f770fcdp-5, -0x1.164681621b5ccp-5, -0x1.1209ee70c79d7p-5, -0x1.0dd5fb8e776d2p-5, -0x1.09aac7c2db05cp-5, -0x1.058870b4f4b7bp-5, -0x1.016f12addffccp-5, -0x1.fabd9137993d1p-6, -0x1.f2af582a3476ap-6, -0x1.eab3aab73d6edp-6, -0x1.e2cab6c02f373p-6, -0x1.daf4a78b82325p-6, -0x1.d331a5cc1f12p-6, -0x1.cb81d7a925929p-6, -0x1.c3e560c5f3f38p-6, -0x1.bc5c624a6fe15p-6, -0x1.b4e6faeb9509ep-6, -0x1.ad8546f43a93fp-6, -0x1.a637604e13b25p-6, -0x1.9efd5e8ae2e25p-6, -0x1.97d756ede13bfp-6, -0x1.90c55c754d2abp-6, -0x1.89c77fe429p-6, -0x1.82ddcfcc165f6p-6, -0x1.7c08589757aacp-6, -0x1.75472492ee485p-6, -0x1.6e9a3bf8ce05p-6, -0x1.6801a4fa2b342p-6, -0x1.617d63c9d579ep-6, -0x1.5b0d7aa6a3792p-6, -0x1.54b1e9e5ebe02p-6, -0x1.4e6aaffe00913p-6, -0x1.4837c990b3a63p-6, -0x1.42193175da56dp-6, -0x1.3c0ee0c5d79cdp-6, -0x1.36182222b0d1ap-6, -0x1.3036594a13a1p-6, -0x1.2a68b86aef883p-6, -0x1.24af31fe73b7dp-6, -0x1.1f09b6f42bd12p-6, -0x1.197836bc415b3p-6, -0x1.13fa9f51ad08cp-6, -0x1.0e90dd445c07bp-6, -0x1.093adbc3419cap-6, -0x1.03f884a6588edp-6, -0x1.fd9380f127616p-7, -0x1.f35ced0372992p-7, -0x1.e94d19a05f934p-7, -0x1.df63d0855c575p-7, -0x1.d5a0d923d21b6p-7, -0x1.cc03f8b4333a9p-7, -0x1.c28cf248f9af9p-7, -0x1.b93b86e175b61p-7, -0x1.b00f757c72332p-7, -0x1.a7087b2ac4015p-7, -0x1.9e2653218ea5dp-7, -0x1.9568b6cc8bd5ep-7, -0x1.8ccf5de00f6e4p-7, -0x1.8459fe6aef459p-7, -0x1.7c084ce84d6fap-7, -0x1.73d9fc5134106p-7, -0x1.6bcebe2e0f66fp-7, -0x1.63e642a7ff08cp-7, -0x1.5c20389a10987p-7, -0x1.547c4da243988p-7, -0x1.4cfa2e327f2c5p-7, -0x1.459985a145d66p-7, -0x1.3e59fe3a6523p-7, -0x1.373b414f66f91p-7, -0x1.303cf747e3653p-7, -0x1.295ec7b1b61abp-7, -0x1.22a05950f9688p-7, -0x1.1c01522fe2805p-7, -0x1.158157ae706bbp-7, -0x1.0f200e91eb042p-7, -0x1.08dd1b143865ep-7, -0x1.02b820f2f332cp-7, -0x1.f96186fcc44bp-8, -0x1.ed8d4b504a1e3p-8, -0x1.e1f2d4236d84ap-8, -0x1.d691663551d2ep-8, -0x1.cb6845dd54c1ep-8, -0x1.c076b726836cep-8, -0x1.b5bbfdeaa57a7p-8, -0x1.ab375dec7b5adp-8, -0x1.a0e81af1b39fap-8, -0x1.96cd78dc07dfap-8, -0x1.8ce6bbc1c8ec2p-8, -0x1.83332805c8e61p-8, -0x1.79b2026e879bap-8, -0x1.7062903cb333p-8, -0x1.67441740e45cfp-8, -0x1.5e55ddf0a301bp-8, -0x1.55972b7a9b7b9p-8, -0x1.4d0747da161a8p-8, -0x1.44a57be9979c1p-8, -0x1.3c711174b428bp-8, -0x1.3469534914d7bp-8, -0x1.2c8d8d469c94ap-8, -0x1.24dd0c6ec7fccp-8, -0x1.1d571ef32a16p-8, -0x1.15fb14431c1b9p-8, -0x1.0ec83d188f7dfp-8, -0x1.07bdeb841d624p-8, -0x1.00db72f83a05p-8, -0x1.f44050a73c97bp-9, -0x1.e716c3d5df5ddp-9, -0x1.da38ef234485p-9, -0x1.cda58544226dbp-9, -0x1.c15b3c0a0f961p-9, -0x1.b558cc70b9edep-9, -0x1.a99cf2aa2708ap-9, -0x1.9e266e299f29p-9, -0x1.92f401ad47182p-9, -0x1.88047346a112ep-9, -0x1.7d568c620fd36p-9, -0x1.72e919cd30edbp-9, -0x1.68baebbc53be3p-9, -0x1.5ecad5cf116a3p-9, -0x1.5517af1408c35p-9, -0x1.4ba0520bdb547p-9, -0x1.42639cab6ef77p-9, -0x1.3960705dab209p-9, -0x1.3095b204678f4p-9, -0x1.280249f8f2d9ap-9, -0x1.1fa5240c43f68p-9, -0x1.177d2f867171bp-9, -0x1.0f895f260f4a9p-9, -0x1.07c8a91eee129p-9, -0x1.003a0718c7779p-9, -0x1.f1b8ec5b0e545p-10, -0x1.e35dedcebed25p-10, -0x1.d5611a7d4060ap-10, -0x1.c7c0812ecdfe7p-10, -0x1.ba7a377e348afp-10, -0x1.ad8c59d3860f7p-10, -0x1.a0f50b5e8bbcdp-10, -0x1.94b27610ea382p-10, -0x1.88c2ca9824217p-10, -0x1.7d24405719fecp-10, -0x1.71d5155fe67adp-10, -0x1.66d38e6cea58bp-10, -0x1.5c1df6d9fb4edp-10, -0x1.51b2a09d3f90ap-10, -0x1.478fe44028df2p-10, -0x1.3db420d77485dp-10, -0x1.341dbbfbcc586p-10, -0x1.2acb21c1b80cep-10, -0x1.21bac4b1660d2p-10, -0x1.18eb1dbe4e00ep-10, -0x1.105aac3e607fep-10, -0x1.0807f5e13483cp-10, -0x1.ffe30d4d6a595p-11, -0x1.f02be1ab4c677p-11, -0x1.e0e799e3b474cp-11, -0x1.d2137363fcba8p-11, -0x1.c3acb7eaa1731p-11, -0x1.b5b0bd71a9953p-11, -0x1.a81ce618a9c76p-11, -0x1.9aeea00df9bc8p-11, -0x1.8e2365773b0c7p-11, -0x1.81b8bc5a07021p-11, -0x1.75ac36823a2bcp-11, -0x1.69fb716981eddp-11, -0x1.5ea4161d377cap-11, -0x1.53a3d923e0c3bp-11, -0x1.48f87a623fcf3p-11, -0x1.3e9fc4ff1938fp-11, -0x1.34978f47b69b5p-11, -0x1.2addba9293f82p-11, -0x1.2170332221d61p-11, -0x1.184cf006d4cd6p-11, -0x1.0f71f300f3c72p-11, -0x1.06dd4861a16dbp-11, -0x1.fd1a0dd7369cp-12, -0x1.ecfe9f6722c72p-12, -0x1.dd649bffa1dc6p-12, -0x1.ce486e51807e4p-12, -0x1.bfa694ed688ffp-12, -0x1.b17ba20391da2p-12, -0x1.a3c43b208ebdbp-12, -0x1.967d18ea154c8p-12, -0x1.89a306db4a48bp-12, -0x1.7d32e300cf572p-12, -0x1.71299db43fba8p-12, -0x1.6584395731353p-12, -0x1.5a3fca0f2a5d8p-12, -0x1.4f59757fd1a15p-12, -0x1.44ce72861e58p-12, -0x1.3a9c08f2e90dbp-12, -0x1.30bf914590f84p-12, -0x1.273674673d408p-12, -0x1.1dfe2b6524ca9p-12, -0x1.15143f2bbb3a9p-12, -0x1.0c764841d8918p-12, -0x1.0421ee8407f8dp-12, -0x1.f829d1c040d31p-13, -0x1.e899fa222ed8bp-13, -0x1.d98ffeb5401ep-13, -0x1.cb07a48f30596p-13, -0x1.bcfcccc908e97p-13, -0x1.af6b73fc6ce36p-13, -0x1.a24fb1bf050bfp-13, -0x1.95a5b81e7b077p-13, -0x1.8969d31e7a736p-13, -0x1.7d986836ced2fp-13, -0x1.722df5d39fb7ap-13, -0x1.672712d593b0dp-13, -0x1.5c806e1475725p-13, -0x1.5236cde21d6f9p-13, -0x1.48470f8ef630dp-13, -0x1.3eae26efd7d5p-13, -0x1.35691de515d2cp-13, -0x1.2c7513e352af2p-13, -0x1.23cf3d7c02a48p-13, -0x1.1b74e3eaa8da4p-13, -0x1.136364a027eb2p-13, -0x1.0b9830d1340f4p-13, -0x1.0410cd06033afp-13, -0x1.f995a15486fdap-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.7b684311b08fp-2, 0x1.87aa9f9aefd8p-2, 0x1.933982afd7c8ap-2, 0x1.9e17113566ab6p-2, 0x1.a845ce864c427p-2, 0x1.b1c8b3d6ec187p-2, 0x1.baa2fb0a2acddp-2, 0x1.c2d81abd64a76p-2, 0x1.ca6bfc607bae6p-2, 0x1.d1628552a6b1ap-2, 0x1.d7bfcb0793ba9p-2, 0x1.dd88456e8cc8p-2, 0x1.e2c059d8e4b1bp-2, 0x1.e76c705fcf48dp-2, 0x1.eb913e5454357p-2, 0x1.ef33817f8e6fap-2, 0x1.f257cc746e78dp-2, 0x1.f502c11648f67p-2, 0x1.f7392bc493e41p-2, 0x1.f8ffce7ea405cp-2, 0x1.fa5b42366268cp-2, 0x1.fb5019e5d4467p-2, 0x1.fbe2e3c8f44acp-2, 0x1.fc18255fd8878p-2, 0x1.fbf4430487b5cp-2, 0x1.fb7b8de414e78p-2, 0x1.fab243b6aa4fep-2, 0x1.f99c8b0783132p-2, 0x1.f83e6fa1b457ep-2, 0x1.f69be09bcedacp-2, 0x1.f4b8af8f20a2dp-2, 0x1.f298904e45ff5p-2, 0x1.f03f18d84298ap-2, 0x1.edafc198817b5p-2, 0x1.eaede5dd5f9d9p-2, 0x1.e7fcc4096050bp-2, 0x1.e4df7d27d8e6bp-2, 0x1.e1991458737fap-2, 0x1.de2c6f091404p-2, 0x1.da9c5673dbfc3p-2, 0x1.d6eb79b949b2p-2, 0x1.d31c6f50d43cbp-2, 0x1.cf31b5066026dp-2, 0x1.cb2daed8d8944p-2, 0x1.c712a5d4ba06fp-2, 0x1.c2e2c7e716f6ep-2, 0x1.bea028dcec781p-2, 0x1.ba4cc3f9be501p-2, 0x1.b5ea7d5007d5fp-2, 0x1.b17b225f420ecp-2, 0x1.ad006a142ee26p-2, 0x1.a87bf4ace3499p-2, 0x1.a3ef4bfc2e998p-2, 0x1.9f5be43847e5p-2, 0x1.9ac31d325c1e8p-2, 0x1.962643b8612eap-2, 0x1.918692f1dd55bp-2, 0x1.8ce5359cd8176p-2, 0x1.884347118957cp-2, 0x1.83a1d3ea36aacp-2, 0x1.7f01da32af87ep-2, 0x1.7a6449254c77ep-2, 0x1.75ca00acaf283p-2, 0x1.7133e54c213dp-2, 0x1.6ca282b2de522p-2, 0x1.6816a88b7032ap-2, 0x1.6390fe4b1bd97p-2, 0x1.5f121ef78294cp-2, 0x1.5a9a99bd910fcp-2, 0x1.562af290d25dbp-2, 0x1.51c3a2c69255fp-2, 0x1.4d6519a3df643p-2, 0x1.490fbcdac7da2p-2, 0x1.44c3e8f8264a6p-2, 0x1.4081f1c670751p-2, 0x1.3c4a22ab302c2p-2, 0x1.381cbf04380c4p-2, 0x1.33fa0287d73a5p-2, 0x1.2fe221a90665dp-2, 0x1.2bd549fe322d4p-2, 0x1.27d3a2a7bc0fep-2, 0x1.23dd4cb30fb8fp-2, 0x1.1ff263781be3ap-2, 0x1.1c12fcf0c54b1p-2, 0x1.183f2a0b85cp-2, 0x1.1476f6fb277e3p-2, 0x1.10ba6b852d6b5p-2, 0x1.0d098b4f7d562p-2, 0x1.0964562c8ab46p-2, 0x1.05cac8649d9fp-2, 0x1.023cdafa94af5p-2, 0x1.fd7507d5fd28cp-3, 0x1.f6876cca2dab9p-3, 0x1.efb0c5fbafcc6p-3, 0x1.e8f0efbbbae1dp-3, 0x1.e247c1d64c7c4p-3, 0x1.dbb50fe00e055p-3, 0x1.d538a9817d528p-3, 0x1.ced25ac2475bdp-3, 0x1.c881ec577195ap-3, 0x1.c24723f5e3ea5p-3, 0x1.bc21c4a99b73bp-3, 0x1.b6118f301647cp-3, 0x1.b016425306842p-3, 0x1.aa2f9b3f6d485p-3, 0x1.a45d55d54f014p-3, 0x1.9e9f2cecf4d16p-3, 0x1.98f4da9073dcdp-3, 0x1.935e182a002ep-3, 0x1.8dda9ea93d444p-3, 0x1.886a26a2cc68dp-3, 0x1.830c686d7f9a1p-3, 0x1.7dc11c3feb76cp-3, 0x1.7887fa500ff63p-3, 0x1.7360baf5484efp-3, 0x1.6e4b16cbb7bc6p-3, 0x1.6946c6d7977b2p-3, 0x1.645384a694abcp-3, 0x1.5f710a6d9c4b9p-3, 0x1.5a9f13220f23ep-3, 0x1.55dd5a8dd5589p-3, 0x1.512b9d5e75a67p-3, 0x1.4c89992fad397p-3, 0x1.47f70c92542b4p-3, 0x1.4373b7105abdap-3, 0x1.3eff592ea99e9p-3, 0x1.3a99b46daa3efp-3, 0x1.36428b4903f95p-3, 0x1.31f9a13720ec4p-3, 0x1.2dbebaa8fd99dp-3, 0x1.29919d0aa168ep-3, 0x1.25720ec4b7aa2p-3, 0x1.215fd73f7c24p-3, 0x1.1d5abee72aa62p-3, 0x1.19628f31f6ebp-3, 0x1.157712a74f353p-3, 0x1.119814e80aa8fp-3, 0x1.0dc562b70bc17p-3, 0x1.09feca018f361p-3, 0x1.064419e6a35e4p-3, 0x1.029522bcf2564p-3, 0x1.fde36c2cfa8p-4, 0x1.f6b34d837283cp-4, 0x1.ef99918ff791cp-4, 0x1.e895e2d24ab17p-4, 0x1.e1a7ee29882c9p-4, 0x1.dacf62c23d468p-4, 0x1.d40b3f5275679p-4, 0x1.cd5c9e99265bdp-4, 0x1.c6c284e43ce38p-4, 0x1.c03ca8fad0c2cp-4, 0x1.b9cac38471075p-4, 0x1.b36c8f0056793p-4, 0x1.ad21c7bc5a3b9p-4, 0x1.a6ea2bcb8f303p-4, 0x1.a0c57afc576ap-4, 0x1.9ab376ce0584p-4, 0x1.94b3e265ff7b1p-4, 0x1.8ec682845254ap-4, 0x1.88eb1d77f47eep-4, 0x1.83217b12a84fcp-4, 0x1.7d69649caa722p-4, 0x1.77c2a4c84aaeap-4, 0x1.722d07a5853c9p-4, 0x1.6ca85a95b918bp-4, 0x1.67346c3f91079p-4, 0x1.61d10c832c18dp-4, 0x1.5c7e0c6e900ep-4, 0x1.573b3e3268484p-4, 0x1.52087517121dbp-4, 0x1.4ce58571efb9ep-4, 0x1.47d2449b00a9p-4, 0x1.42ce88e2b5d93p-4, 0x1.3dda2988016b9p-4, 0x1.38f4feae9cb54p-4, 0x1.341ee15583e76p-4, 0x1.2f57ab4daca7p-4, 0x1.2a9f3730f468cp-4, 0x1.25f560594fe48p-4, 0x1.215a02d83d34bp-4, 0x1.1cccfb6e7bfb4p-4, 0x1.184e27841076cp-4, 0x1.13dd65208f3fep-4, 0x1.0f7a92e3b5609p-4, 0x1.0b258ffe4b5cap-4, 0x1.06de3c2b4c7bap-4, 0x1.02a477a954722p-4, 0x1.fcf046689c42ep-5, 0x1.f4b23ffeb925cp-5, 0x1.ec8e9f5dfe776p-5, 0x1.e48528a6d5021p-5, 0x1.dc95a0c62ab9p-5, 0x1.d4bfcd6ae97cbp-5, 0x1.cd0374fbd7128p-5, 0x1.c5605e8dcb4fap-5, 0x1.bdd651da47badp-5, 0x1.b66517366f94ep-5, 0x1.af0c778a5e874p-5, 0x1.a7cc3c48db80ep-5, 0x1.a0a42f67746d3p-5, 0x1.99941b56f348cp-5, 0x1.929bcafc388b1p-5, 0x1.8bbb09a9748f6p-5, 0x1.84f1a317ba5c6p-5, 0x1.7e3f6360f16aep-5, 0x1.77a416fa1da01p-5, 0x1.711f8aadf943p-5, 0x1.6ab18b97df2ap-5, 0x1.6459e71f0412bp-5, 0x1.5e186af1f32d7p-5, 0x1.57ece5024f45p-5, 0x1.51d72380d8dc2p-5, 0x1.4bd6f4d9ada56p-5, 0x1.45ec27b0c2622p-5, 0x1.40168ade9675fp-5, 0x1.3a55ed6d1f6b5p-5, 0x1.34aa1e94e2e9dp-5, 0x1.2f12edba4b6e3p-5, 0x1.29902a6b27ef5p-5, 0x1.2421a45c61b28p-5, 0x1.1ec72b67dd661p-5, 0x1.19808f8a904f2p-5, 0x1.144da0e2c0bep-5, 0x1.0f2e2fae73e5ep-5, 0x1.0a220c4a0d50bp-5, 0x1.0529072f14acdp-5, 0x1.0042f0f32c82dp-5, 0x1.f6df348e5d21bp-6, 0x1.ed5da7ecede36p-6, 0x1.e400ddcca86a7p-6, 0x1.dac8782b3f2a9p-6, 0x1.d1b41938f437bp-6, 0x1.c8c3635863176p-6, 0x1.bff5f91e89e65p-6, 0x1.b74b7d5317747p-6, 0x1.aec392f0f6997p-6, 0x1.a65ddd2718de2p-6, 0x1.9e19ff597484ap-6, 0x1.95f79d223c43ep-6, 0x1.8df65a5341f09p-6, 0x1.8615daf781f5ap-6, 0x1.7e55c354e177ep-6, 0x1.76b5b7ee089eep-6, 0x1.6f355d845d3cap-6, 0x1.67d4591a1dd3fp-6, 0x1.60924ff493233p-6, 0x1.596ee79e599c4p-6, 0x1.5269c5e9b786ep-6, 0x1.4b8290f30bc41p-6, 0x1.44b8ef23417e6p-6, 0x1.3e0c873256267p-6, 0x1.377d0029e0d72p-6, 0x1.310a0167a5b09p-6, 0x1.2ab332a02f886p-6, 0x1.24783be16560fp-6, 0x1.1e58c595322cap-6, 0x1.185478841af92p-6, 0x1.126afdd7ec53dp-6, 0x1.0c9bff1e50751p-6, 0x1.06e7264b7b3c8p-6, 0x1.014c1dbcc4951p-6, 0x1.f79520768e24cp-7, 0x1.ecc451fd085e2p-7, 0x1.e225275de846p-7, 0x1.d7b6f8d13dbe9p-7, 0x1.cd791f7b57c91p-7, 0x1.c36af571e7029p-7, 0x1.b98bd5c0e504fp-7, 0x1.afdb1c6fb57b8p-7, 0x1.a6582685ea54cp-7, 0x1.9d0252102f5cp-7, 0x1.93d8fe24feefep-7, 0x1.8adb8ae94faf8p-7, 0x1.820959951d8fep-7, 0x1.7961cc77ea801p-7, 0x1.70e446fd0991ap-7, 0x1.68902dafe8b9bp-7, 0x1.6064e6402245bp-7, 0x1.5861d785803dep-7, 0x1.50866983d6f6fp-7, 0x1.48d2056eb83c1p-7, 0x1.414415ad16d92p-7, 0x1.39dc05dca920ap-7, 0x1.329942d546174p-7, 0x1.2b7b3aac09a0dp-7, 0x1.24815cb65a228p-7, 0x1.1dab198cd127p-7, 0x1.16f7e30df014bp-7, 0x1.10672c60bdf22p-7, 0x1.09f869f73bef1p-7, 0x1.03ab1190ae703p-7, 0x1.fafd3477a905ap-8, 0x1.eee4f8b1c9d2fp-8, 0x1.e30c6336ec5f1p-8, 0x1.d7726a187d8a1p-8, 0x1.cc16061564664p-8, 0x1.c0f6329cf059dp-8, 0x1.b611edd19d078p-8, 0x1.ab68388b5aee5p-8, 0x1.a0f81659d7792p-8, 0x1.96c08d8646642p-8, 0x1.8cc0a7150d4c7p-8, 0x1.82f76ec72850ep-8, 0x1.7963f31b3ec2dp-8, 0x1.7005454e7520fp-8, 0x1.66da795d201cp-8, 0x1.5de2a6031f397p-8, 0x1.551ce4bbee46bp-8, 0x1.4c8851c2942dfp-8, 0x1.44240c114f14cp-8, 0x1.3bef3560fbcd1p-8, 0x1.33e8f2284f646p-8, 0x1.2c10699acc955p-8, 0x1.2464c5a79f0bep-8, 0x1.1ce532f80c8b6p-8, 0x1.1590e7b518198p-8, 0x1.0e6708df193d3p-8, 0x1.0766d1824b50dp-8, 0x1.008f79201f5bbp-8, 0x1.f3c073d40a569p-9, 0x1.e6b0a17da105ap-9, 0x1.d9edfa4fff395p-9, 0x1.cd7702ad98f11p-9, 0x1.c14a444230547p-9, 0x1.b5664dfc6952dp-9, 0x1.a9c9b40717744p-9, 0x1.9e730fc234696p-9, 0x1.9360ffbb993dbp-9, 0x1.889227a78e729p-9, 0x1.7e053058d19cep-9, 0x1.73b8c7b8b4e89p-9, 0x1.69aba0bee3698p-9, 0x1.5fdc7368d69bfp-9, 0x1.5649fcb13680cp-9, 0x1.4cf2fe86f3eb8p-9, 0x1.43d63fc43536dp-9, 0x1.3af28c251b915p-9, 0x1.3246b43e430bap-9, 0x1.29d18d7350b9fp-9, 0x1.2191f1ed022b1p-9, 0x1.1986c08f5364cp-9, 0x1.11aedcef7ce73p-9, 0x1.0a092f49a911ep-9, 0x1.0294a476bdcdp-9, 0x1.f6a05bc367d5fp-10, 0x1.e87582fa7512dp-10, 0x1.daa6b371ad6fbp-10, 0x1.cd31eaec3d66cp-10, 0x1.c0152ffbad78cp-10, 0x1.b34e91e9e38d2p-10, 0x1.a6dc28a2b17a3p-10, 0x1.9abc149db6decp-10, 0x1.8eec7ec793576p-10, 0x1.836b986b4b5e8p-10, 0x1.78379b1b3b74cp-10, 0x1.6d4ec89a58f9cp-10, 0x1.62af6ac4f189ep-10, 0x1.5857d3792b4f9p-10, 0x1.4e465c7fe086ep-10, 0x1.44796775094ap-10, 0x1.3aef5db02c1f5p-10, 0x1.31a6b02ca83f6p-10, 0x1.289dd771ffdabp-10, 0x1.1fd3537bd810fp-10, 0x1.1745aba28905p-10, 0x1.0ef36e829d79dp-10, 0x1.06db31e52dfbap-10, 0x1.fdf7254fa3475p-11, 0x1.eea6694915639p-11, 0x1.dfc1853370e01p-11, 0x1.d145dc244b5ffp-11, 0x1.c330de997b508p-11, 0x1.b5800a49837a2p-11, 0x1.a830e9f33a6efp-11, 0x1.9b41152deeb99p-11, 0x1.8eae303974c0bp-11, 0x1.8275ebce99c5fp-11, 0x1.769604eefeac2p-11, 0x1.6b0c44b5ce105p-11, 0x1.5fd68028b4243p-11, 0x1.54f2980805901p-11, 0x1.4a5e78a0281ddp-11, 0x1.4018199ad5559p-11, 0x1.361d7dd04adc6p-11, 0x1.2c6cb31927fdbp-11, 0x1.2303d220463fep-11, 0x1.19e0fe353eafap-11, 0x1.1102651e858f4p-11, 0x1.08663eecce562p-11, 0x1.000acdcdfa97bp-11, 0x1.efdcbbc0cda3p-12, 0x1.e01e8a0ecad3ep-12, 0x1.d0d7c57e4ea1fp-12, 0x1.c2053fe31586ap-12, 0x1.b3a3dd96f3e2fp-12, 0x1.a5b09523c015p-12, 0x1.98286ef00d21cp-12, 0x1.8b0884ebca58cp-12, 0x1.7e4e023dce0e2p-12, 0x1.71f622f29a3c1p-12, 0x1.65fe33ab7233fp-12, 0x1.5a63914f3f486p-12, 0x1.4f23a8bc1ba5cp-12, 0x1.443bf678c0588p-12, 0x1.39aa066986745p-12, 0x1.2f6b7382dd771p-12, 0x1.257de77f63a91p-12, 0x1.1bdf1a96955d3p-12, 0x1.128cd333a204bp-12, 0x1.0984e5add0485p-12, 0x1.00c53401d05f1p-12, 0x1.f0975b17a665fp-13, 0x1.e02c9d85f0807p-13, 0x1.d04641ebd348ap-13, 0x1.c0e0740eb5cfap-13, 0x1.b1f77859d5d7p-13, 0x1.a387ab5b9dc72p-13, 0x1.958d8146f3902p-13, 0x1.88058575aef9bp-13, 0x1.7aec59ec85bfdp-13, 0x1.6e3eb6dfe9facp-13, 0x1.61f96a3ee10c2p-13, 0x1.5619573a5406fp-13, 0x1.4a9b75d1f66f7p-13, 0x1.3f7cd26218f7cp-13, 0x1.34ba8d3326475p-13, 0x1.2a51da0a327a1p-13, 0x1.203fffbc699d1p-13, 0x1.168257c51b667p-13, 0x1.0d164dda37e93p-13, 0x1.03f95f8660d32p-13, 0x1.f65237838f0c7p-14, 0x1.e546451e490ffp-14, 0x1.d4ca4930e8ca7p-14, 0x1.c4d9c59b59fa1p-14, 0x1.b5705c0fe5a2p-14, 0x1.a689cd50f87fcp-14, 0x1.9821f87e56425p-14, 0x1.8a34da5edee96p-14, 0x1.7cbe8cae51bdfp-14, 0x1.6fbb456fb53dcp-14, 0x1.63275643b3cb9p-14, 0x1.56ff2bbd644fep-14, 0x1.4b3f4cbeed133p-14, 0x1.3fe459d6f9e79p-14, 0x1.34eb0ca1c1ab6p-14, 0x1.2a50372b23bd9p-14, 0x1.2010c35af6a68p-14, 0x1.1629b256582f4p-14, 0x1.0c981bf196e32p-14, 0x1.03592e1dcabedp-14, 0x1.f4d458b7f1bb7p-15, 0x1.e390de5f36a95p-15, 0x1.d2e2c731afb7bp-15, 0x1.c2c515169e98bp-15, 0x1.b332f0dd066e2p-15, 0x1.a427a93592a36p-15, 0x1.959eb1b9f3eebp-15, 0x1.8793a1f1968a5p-15, 0x1.7a023466864c1p-15, 0x1.6ce645b1812d1p-15, 0x1.603bd394f02f2p-15, 0x1.53fefc1f2d6f2p-15, 0x1.482bfcc262f7dp-15, 0x1.3cbf3181b17e7p-15, 0x1.31b5141ebb484p-15, 0x1.270a3b3ebfdbdp-15, 0x1.1cbb59ac81629p-15, 0x1.12c53d870a72dp-15, 0x1.0924cf8244602p-15, 0x1.ffae245791dd1p-16, 0x1.edb242582a00dp-16, 0x1.dc50612383ea8p-16, 0x1.cb831842ea8ep-16, 0x1.bb452d4c5755cp-16, 0x1.ab91929334d1ep-16, 0x1.9c6365d9f6b1fp-16, 0x1.8db5ef0cc87c1p-16, 0x1.7f849f13d92d5p-16, 0x1.71cb0e882960dp-16, 0x1.6484fc9523fd1p-16, 0x1.57ae4dcfe0349p-16, 0x1.4b430b1a398bfp-16, 0x1.3f3f608814e14p-16, 0x1.339f9c501dcc8p-16, 0x1.28602dc2c68f5p-16, 0x1.1d7da447fbb5cp-16, 0x1.12f4ae5b0edeep-16, 0x1.08c2189f5f621p-16, 0x1.fdc599d2eb6bap-17, 0x1.eaa7a2acae605p-17, 0x1.d8248ed14ae34p-17, 0x1.c636d652a918p-17, 0x1.b4d92496cb3cbp-17, 0x1.a40656db4b53ap-17, 0x1.93b97a5f4af44p-17, 0x1.83edcaf832168p-17, 0x1.749eb18be8996p-17, 0x1.65c7c29134155p-17, 0x1.5764bca0a6fe7p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.9c2748e01ede4p-1, -0x1.a4e404a256de6p-1, -0x1.ac2639c5e332ep-1, -0x1.b1f25aa0d3434p-1, -0x1.b64fc8029d0fap-1, -0x1.b9481ddba88b7p-1, -0x1.bae703caa4bfbp-1, -0x1.bb39b7d2485b7p-1, -0x1.ba4ecb667e909p-1, -0x1.b835c8841ab45p-1, -0x1.b4fec8bc89025p-1, -0x1.b0ba4f4385afp-1, -0x1.ab7934bcc4189p-1, -0x1.a54c96796171fp-1, -0x1.9e45bb1283056p-1, -0x1.9675d53ebf5edp-1, -0x1.8dedc139267b6p-1, -0x1.84bdea60635c6p-1, -0x1.7af65dc2b0b59p-1, -0x1.70a6dd2d12db8p-1, -0x1.65dec3c01a827p-1, -0x1.5aac310c3669bp-1, -0x1.4f1d9f27f1888p-1, -0x1.434029645f8c2p-1, -0x1.37209ae5c5c9cp-1, -0x1.2acb301991928p-1, -0x1.1e4b76e7d5e91p-1, -0x1.11ac3f2736cb1p-1, -0x1.04f7a2efcd27p-1, -0x1.f06e31f6698b9p-2, -0x1.d6e701b565903p-2, -0x1.bd6a48b10fc0cp-2, -0x1.a4076827ef987p-2, -0x1.8acc8db2273bap-2, -0x1.71c6bc20140a5p-2, -0x1.5901d9e2bb765p-2, -0x1.4088beecbfee8p-2, -0x1.28653fbbeebe7p-2, -0x1.10a0369a2573ep-2, -0x1.f28319a260758p-3, -0x1.c4a0896ffa8a2p-3, -0x1.97a509a705762p-3, -0x1.6b9b4832bc689p-3, -0x1.408c6e9440dc1p-3, -0x1.16803e5a75802p-3, -0x1.dafa5d87820b3p-4, -0x1.8b1116095b147p-4, -0x1.3d4d2153a3ec2p-4, -0x1.e36a346ab15f2p-5, -0x1.509be220d1242p-5, -0x1.846c61440a2f5p-6, -0x1.c1ea4577619bfp-8, 0x1.353509a16dc3ep-7, 0x1.9cd4bc074e26ap-6, 0x1.4b1d69e20844ep-5, 0x1.c36c25f5c201p-5, 0x1.1baf4b9111383p-4, 0x1.537f717a6efd5p-4, 0x1.892c928f87a5cp-4, 0x1.bcbda0a5bf7fbp-4, 0x1.ee3a59560b629p-4, 0x1.0ed596811d446p-3, 0x1.258c92e2a987ep-3, 0x1.3b492bfe4dfcap-3, 0x1.500be9506bc88p-3, 0x1.63dbeed417eccp-3, 0x1.76be895216137p-3, 0x1.88b92819e68bdp-3, 0x1.99d1521d36bb1p-3, 0x1.aa0c9e0315a47p-3, 0x1.b970ad20676f4p-3, 0x1.c80328bdf25d8p-3, 0x1.d5c9c0c5f36fap-3, 0x1.e2ca2addc2bf7p-3, 0x1.ef0a210fd2b54p-3, 0x1.fa8f5f724f4abp-3, 0x1.02afd04a14c2bp-2, 0x1.07c04c6b02544p-2, 0x1.0c7bf88d40f7ap-2, 0x1.10e5a0ae73e11p-2, 0x1.150005de5a217p-2, 0x1.18cddc37947dap-2, 0x1.1c51c96caa749p-2, 0x1.1f8e63f145d3bp-2, 0x1.228632b15da31p-2, 0x1.253bad38991b8p-2, 0x1.27b13c250172cp-2, 0x1.29e939c0849a6p-2, 0x1.2be5f2a2acf08p-2, 0x1.2da9a64439bf6p-2, 0x1.2f368776134ffp-2, 0x1.308ebcb2c668fp-2, 0x1.31b460451ba38p-2, 0x1.32a9804095792p-2, 0x1.33701e4b0340cp-2, 0x1.340a2f3a1e026p-2, 0x1.34799a8d39db9p-2, 0x1.34c039d0a735p-2, 0x1.34dfd7fcd1408p-2, 0x1.34da30e517c24p-2, 0x1.34b0f0c8da47ep-2, 0x1.3465b4147c0aap-2, 0x1.33fa07591428ap-2, 0x1.336f6779eddf1p-2, 0x1.32c742084c43bp-2, 0x1.3202f5c1b44f5p-2, 0x1.3123d3239a791p-2, 0x1.302b1d08c3e61p-2, 0x1.2f1a0947d7801p-2, 0x1.2df1c14e8132ep-2, 0x1.2cb362b7f2218p-2, 0x1.2b5fffdf95c41p-2, 0x1.29f8a0717fd8p-2, 0x1.287e41f966ad6p-2, 0x1.26f1d86fa2cc8p-2, 0x1.25544ec257a52p-2, 0x1.23a68757e73e4p-2, 0x1.21e95c87b87a4p-2, 0x1.201da106cabe8p-2, 0x1.1e44204697ecp-2, 0x1.1c5d9ec5eee5dp-2, 0x1.1a6ada548bae9p-2, 0x1.186c8a4ae8387p-2, 0x1.16635fb838a5bp-2, 0x1.1450058884d4ap-2, 0x1.123320a4b5cf1p-2, 0x1.100d500e18d2bp-2, 0x1.0ddf2cf6988fdp-2, 0x1.0ba94ad6afaa4p-2, 0x1.096c378209052p-2, 0x1.07287b3ba7fd1p-2, 0x1.04de98ca8e6b3p-2, 0x1.028f0d8fd1748p-2, 0x1.003a519f0fea9p-2, 0x1.fbc1afb44fcf2p-3, 0x1.f7061c21a9f0dp-3, 0x1.f242ba495b291p-3, 0x1.ed78526338f2fp-3, 0x1.e8a7a37553de9p-3, 0x1.e3d163b54295ap-3, 0x1.def640efb77p-3, 0x1.da16e0f4b5fd4p-3, 0x1.d533e2069028p-3, 0x1.d04ddb49be5fep-3, 0x1.cb655d33f47cfp-3, 0x1.c67af1f8d34f2p-3, 0x1.c18f1df2fcd4bp-3, 0x1.bca49d115e1e1p-3, 0x1.b7b613bdf1a75p-3, 0x1.b2c797eab9a1ap-3, 0x1.add9a22c14b5cp-3, 0x1.a8eca5de1c367p-3, 0x1.a4011150df569p-3, 0x1.9f174dfbad16bp-3, 0x1.9a2fc0b60608ep-3, 0x1.954ac9f4acbb3p-3, 0x1.9068c6091b38fp-3, 0x1.8b8a0d61abfc7p-3, 0x1.86aef4c8ce58bp-3, 0x1.81d7cda1d4ebap-3, 0x1.7d04e622143dep-3, 0x1.7836898555ffap-3, 0x1.736d003cf479ap-3, 0x1.6ea8901924d19p-3, 0x1.69e97c6c5e881p-3, 0x1.65300628f54eap-3, 0x1.607c6bf938c43p-3, 0x1.5bceea52addfp-3, 0x1.5727bb84f78c9p-3, 0x1.528717c52820bp-3, 0x1.4ded35364c0abp-3, 0x1.495a47efd6b43p-3, 0x1.44ce8202c11f1p-3, 0x1.404a137dea84ep-3, 0x1.3bcd2a724f9eap-3, 0x1.3757f2f7957ccp-3, 0x1.32ea97312baa1p-3, 0x1.2e853f545f51dp-3, 0x1.2a2811af63cf4p-3, 0x1.25d332b179fd9p-3, 0x1.2186c4f419421p-3, 0x1.1d42e9450fc0fp-3, 0x1.1907beb174cd7p-3, 0x1.14d5629139ad2p-3, 0x1.10abf0933905dp-3, 0x1.0c8b82c986818p-3, 0x1.087431b5d550dp-3, 0x1.04661455cdf74p-3, 0x1.0061402f1f7b1p-3, 0x1.f8cb92b68114ap-4, 0x1.f0e78525579a2p-4, 0x1.e9167a6f40637p-4, 0x1.e15892c07cfdep-4, 0x1.d9adebc01d726p-4, 0x1.d216a0a1d02aep-4, 0x1.ca92ca3676f0cp-4, 0x1.c3227efb9b683p-4, 0x1.bbc5d329d9e7bp-4, 0x1.b47cd8c26b212p-4, 0x1.ad479f9bd0216p-4, 0x1.a626356defd1p-4, 0x1.9f18a5dda4337p-4, 0x1.981efa87f361bp-4, 0x1.91393b0d0e1d6p-4, 0x1.8a676d1b25935p-4, 0x1.83a9947945299p-4, 0x1.7cffb31234931p-4, 0x1.7669c8ff77f74p-4, 0x1.6fe7d49475667p-4, 0x1.6979d269c42bfp-4, 0x1.631fbd68a6e05p-4, 0x1.5cd98ed6ac027p-4, 0x1.56a73e616bc48p-4, 0x1.5088c22a5c5dcp-4, 0x1.4a7e0ed2aecdcp-4, 0x1.448717872793fp-4, 0x1.3ea3ce0be6b0cp-4, 0x1.38d422c811379p-4, 0x1.331804d14f99cp-4, 0x1.2d6f61f7172acp-4, 0x1.27da26cdb36e6p-4, 0x1.22583eb90691cp-4, 0x1.1ce993f6fe127p-4, 0x1.178e0fa9b42eap-4, 0x1.124599e13c038p-4, 0x1.0d1019a51a488p-4, 0x1.07ed74fd69c61p-4, 0x1.02dd90fbad4adp-4, 0x1.fbc0a386ab414p-5, 0x1.f1eb3523fe0f9p-5, 0x1.e83a9b8ed4de8p-5, 0x1.deae99da78e55p-5, 0x1.d546f17d0b435p-5, 0x1.cc03625e39608p-5, 0x1.c2e3aae5a1c92p-5, 0x1.b9e78808f6e4ap-5, 0x1.b10eb559efb55p-5, 0x1.a858ed1409736p-5, 0x1.9fc5e82a302c2p-5, 0x1.97555e544e0c6p-5, 0x1.8f07061ccad55p-5, 0x1.86da94ee06beep-5, 0x1.7ecfbf1fcacb6p-5, 0x1.76e63804b91bcp-5, 0x1.6f1db1f7bb80ep-5, 0x1.6775de696d7a6p-5, 0x1.5fee6ded81486p-5, 0x1.588710481f018p-5, 0x1.513f747b342eap-5, 0x1.4a1748d3b5acfp-5, 0x1.430e3af6c7873p-5, 0x1.3c23f7eecce2p-5, 0x1.35582c38518e1p-5, 0x1.2eaa83ced0c59p-5, 0x1.281aaa394830bp-5, 0x1.21a84a969e3b1p-5, 0x1.1b530fa9ce01cp-5, 0x1.151aa3e5d49f7p-5, 0x1.0efeb17960e6fp-5, 0x1.08fee25a3f8f7p-5, 0x1.031ae0507bbb7p-5, 0x1.faa4aa0279ff9p-6, 0x1.ef49d3f2a35bep-6, 0x1.e424916eeb208p-6, 0x1.d934356c864d7p-6, 0x1.ce7812ebb769ap-6, 0x1.c3ef7d0a7ee2p-6, 0x1.b999c716b4d17p-6, 0x1.af76449f830c7p-6, 0x1.a58449864b663p-6, 0x1.9bc32a0efb97fp-6, 0x1.92323aefc929p-6, 0x1.88d0d160641f2p-6, 0x1.7f9e43289ad52p-6, 0x1.7699e6ae781e5p-6, 0x1.6dc31303da4edp-6, 0x1.65191ff38f1dap-6, 0x1.5c9b660de9d47p-6, 0x1.54493eb4e8e7ap-6, 0x1.4c220427e11d7p-6, 0x1.4425118eb27d3p-6, 0x1.3c51c30495191p-6, 0x1.34a775a271bbap-6, 0x1.2d258788d3d94p-6, 0x1.25cb57e974c3dp-6, 0x1.1e98471059182p-6, 0x1.178bb66c99ba2p-6, 0x1.10a50898bcee4p-6, 0x1.09e3a162b6147p-6, 0x1.0346e5d38a9c5p-6, 0x1.f99c786d28ebap-7, 0x1.ecf21840d645ap-7, 0x1.e08d7ceaf0b03p-7, 0x1.d46d7ae05b3dp-7, 0x1.c890e94dd0a6ep-7, 0x1.bcf6a222f9fedp-7, 0x1.b19d821cd9a5ap-7, 0x1.a68468cf9a0d8p-7, 0x1.9baa38afb0c8fp-7, 0x1.910dd71a63f8ep-7, 0x1.86ae2c5da6d87p-7, 0x1.7c8a23bf6af47p-7, 0x1.72a0ab8449e85p-7, 0x1.68f0b4f599ec7p-7, 0x1.5f793466f5a82p-7, 0x1.5639213b2d6c4p-7, 0x1.4d2f75e8a6107p-7, 0x1.445b2ffd360d1p-7, 0x1.3bbb502179822p-7, 0x1.334eda1b99144p-7, 0x1.2b14d4d19ada2p-7, 0x1.230c4a4b30af4p-7, 0x1.1b3447b30bf15p-7, 0x1.138bdd57bf867p-7, 0x1.0c121eac2d5bbp-7, 0x1.04c5ecbd9156cp-7, 0x1.fb4da1818d662p-8, 0x1.ed675b0ce377ap-8, 0x1.dfd7461b9f23dp-8, 0x1.d29ba8ed3e9c4p-8, 0x1.c5b2cffe57fc8p-8, 0x1.b91b0e03f88fdp-8, 0x1.acd2bbe669473p-8, 0x1.a0d838bb4fedap-8, 0x1.9529e9bf373d4p-8, 0x1.89c63a4e8be88p-8, 0x1.7eab9bde0e95ep-8, 0x1.73d885f2c77aap-8, 0x1.694b76197f3cp-8, 0x1.5f02efddc6193p-8, 0x1.54fd7cc08a367p-8, 0x1.4b39ac2e4da44p-8, 0x1.41b61374fb026p-8, 0x1.38714db95bd86p-8, 0x1.2f69fbec425d9p-8, 0x1.269ec4bf62c1p-8, 0x1.1e0e5499df099p-8, 0x1.15b75d8c9791fp-8, 0x1.0d9897463405bp-8, 0x1.05b0bf06fda4fp-8, 0x1.fbfd2f28f7373p-9, 0x1.ed01d259b9ec2p-9, 0x1.de6d02f483de2p-9, 0x1.d03c670b97141p-9, 0x1.c26daf552e62ap-9, 0x1.b4fe971104a15p-9, 0x1.a7ece3edd2de4p-9, 0x1.9b3665ee6c9dap-9, 0x1.8ed8f74eb6617p-9, 0x1.82d27c6870483p-9, 0x1.7720e397d5e3p-9, 0x1.6bc2252015834p-9, 0x1.60b4430fa5c19p-9, 0x1.55f54924793dap-9, 0x1.4b834cb025fb6p-9, 0x1.415c6c7bd1147p-9, 0x1.377ed0ac290c5p-9, 0x1.2de8aaa5331afp-9, 0x1.249834ee05543p-9, 0x1.1b8bb31478ecep-9, 0x1.12c17190b9995p-9, 0x1.0a37c5a8da8cbp-9, 0x1.01ed0d5448913p-9, 0x1.f3bf5e3e5d3b5p-10, 0x1.e41c341babd47p-10, 0x1.d4ed8affeda35p-10, 0x1.c6306227df9b4p-10, 0x1.b7e1c913eec3dp-10, 0x1.a9fedf4e91eccp-10, 0x1.9c84d4327418dp-10, 0x1.8f70e6b091654p-10, 0x1.82c065164f71p-10, 0x1.7670acd373fc7p-10, 0x1.6a7f2a4006251p-10, 0x1.5ee958624bc6cp-10, 0x1.53acc0b48d715p-10, 0x1.48c6faeaf8c47p-10, 0x1.3e35acb9808bp-10, 0x1.33f68999b4f4bp-10, 0x1.2a075290a952ap-10, 0x1.2065d5f5091dap-10, 0x1.170fef351af85p-10, 0x1.0e03869cfadd6p-10, 0x1.053e911cf3436p-10, 0x1.f97e202025a76p-11, 0x1.e9062205c92adp-11, 0x1.d9115af4d7854p-11, 0x1.c99c1576e81e2p-11, 0x1.baa2b32428bf5p-11, 0x1.ac21ac335347fp-11, 0x1.9e158f0a4a3b9p-11, 0x1.907affcf759e8p-11, 0x1.834eb7fc29894p-11, 0x1.768d85efd189ep-11, 0x1.6a344c8445ef8p-11, 0x1.5e4002a350676p-11, 0x1.52adb2dd123a5p-11, 0x1.477a7affc10b1p-11, 0x1.3ca38bb0b38bdp-11, 0x1.32262806a3261p-11, 0x1.27ffa525516cp-11, 0x1.1e2d69da9deep-11, 0x1.14acee3cdf32ep-11, 0x1.0b7bbb4af8a48p-11, 0x1.02976a8da2bb1p-11, 0x1.f3fb4b750b766p-12, 0x1.e3584cb11ae7bp-12, 0x1.d3416acc119b7p-12, 0x1.c3b256006f718p-12, 0x1.b4a6dc18e9753p-12, 0x1.a61ae7c5edee4p-12, 0x1.980a7ff62be96p-12, 0x1.8a71c7327f7f2p-12, 0x1.7d4cfafc6545cp-12, 0x1.70987330767p-12, 0x1.6450a16b17dfp-12, 0x1.58721070984e6p-12, 0x1.4cf963984fb78p-12, 0x1.41e3563a6e67dp-12, 0x1.372cbb210ff54p-12, 0x1.2cd27bfc195edp-12, 0x1.22d198d788468p-12, 0x1.19272794e60fap-12, 0x1.0fd053678dd19p-12, 0x1.06ca5c53141fcp-12, 0x1.fc252d592e886p-13, 0x1.eb4cd53dc3b55p-13, 0x1.db06a7611a0e8p-13, 0x1.cb4dc09944608p-13, 0x1.bc1d629c3682dp-13, 0x1.ad70f31a27758p-13, 0x1.9f43fadd74391p-13, 0x1.919224ee6b598p-13, 0x1.84573dbbc0204p-13, 0x1.778f32474e0e8p-13, 0x1.6b360f565e5bep-13, 0x1.5f4800a74cdbdp-13, 0x1.53c15029e189fp-13, 0x1.489e653c97185p-13, 0x1.3ddbc3ecde344p-13, 0x1.33760c3bfbd56p-13, 0x1.2969f966e35cep-13, 0x1.1fb461325e487p-13, 0x1.1652333a48077p-13, 0x1.0d40784489fa6p-13, 0x1.047c51976c6dbp-13, 0x1.f805f0a754e6dp-14, 0x1.e7a379a1c43d4p-14, 0x1.d7cc0bfdf3b94p-14, 0x1.c87aa19268b1ap-14, 0x1.b9aa5efa99355p-14, 0x1.ab56926a65f39p-14, 0x1.9d7ab2894a299p-14, 0x1.90125d5247ed7p-14, 0x1.831956fa46c69p-14, 0x1.768b88dcd0654p-14, 0x1.6a65006e4bea9p-14, 0x1.5ea1ee339a63dp-14, 0x1.533ea4c0f4ebp-14, 0x1.483797bbd83e7p-14, 0x1.3d895ae5a6e2ap-14, 0x1.3330a1296abfep-14, 0x1.292a3baf15d98p-14, 0x1.1f7318f63b127p-14, 0x1.160843f362602p-14, 0x1.0ce6e333ff354p-14, 0x1.040c3807f160dp-14, 0x1.f6eb3b5c3b511p-15, 0x1.e6411111b9a9cp-15, 0x1.d6150aa818442p-15, 0x1.c66270c575566p-15, 0x1.b724b9bfc6cb9p-15, 0x1.a8578829fc422p-15, 0x1.99f6a967c5f64p-15, 0x1.8bfe144c622adp-15, 0x1.7e69e7c195aefp-15, 0x1.713669778515fp-15, 0x1.6460049da059cp-15, 0x1.57e348a143751p-15, 0x1.4bbce7fa205f2p-15, 0x1.3fe9b6f9ff45ap-15, 0x1.3466aaa5f2d45p-15, 0x1.2930d79772105p-15, 0x1.1e4570e6366fp-15, 0x1.13a1c717d2231p-15, 0x1.094347182ab5cp-15, 0x1.fe4ef2721a8f5p-16, 0x1.ea98006def0b8p-16, 0x1.d75d309155e53p-16, 0x1.c49a2c6412ea3p-16, 0x1.b24accbeeb4a9p-16, 0x1.a06b180e344adp-16, 0x1.8ef740a2b15e9p-16, 0x1.7deba30ef7622p-16, 0x1.6d44c48b0b2f2p-16, 0x1.5cff517197ab6p-16, 0x1.4d181bbb34ce3p-16, 0x1.3d8c198c5023fp-16, 0x1.2e5863cc9a4e5p-16, 0x1.1f7a34ca61997p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.fb13732c6ac77p-2, -0x1.054d8645b6997p-1, -0x1.0cb957c500fedp-1, -0x1.13c84490fb653p-1, -0x1.1a76722248dfdp-1, -0x1.20c100a8bf85fp-1, -0x1.26a5e8f4fa461p-1, -0x1.2c23e14b628f6p-1, -0x1.313a625ffafdfp-1, -0x1.35e9675ea5f74p-1, -0x1.3a31716ba39b3p-1, -0x1.3e13931d5bdafp-1, -0x1.41913280b8e97p-1, -0x1.44ac0332faabap-1, -0x1.47661f5ca562dp-1, -0x1.49c1e2fe5defcp-1, -0x1.4bc1c8b2ab013p-1, -0x1.4d687aa9501bep-1, -0x1.4eb8dd2cfa4f9p-1, -0x1.4fb5f317bfa5cp-1, -0x1.5062c5b2e328ap-1, -0x1.50c2628c267acp-1, -0x1.50d805095d3d3p-1, -0x1.50a6d7d8247b2p-1, -0x1.50320ee716658p-1, -0x1.4f7cdb71fc6d7p-1, -0x1.4e8a67cac2958p-1, -0x1.4d5dd4e25a206p-1, -0x1.4bfa38c611271p-1, -0x1.4a629ccb35bb8p-1, -0x1.4899fb12874acp-1, -0x1.46a33c1590207p-1, -0x1.448134f788623p-1, -0x1.4236a6b9993p-1, -0x1.3fc63de91b6fep-1, -0x1.3d3292399b057p-1, -0x1.3a7e25caaaf34p-1, -0x1.37ab645a05cd6p-1, -0x1.34bca2dfadae9p-1, -0x1.31b41fd13411fp-1, -0x1.2e9403ca38c35p-1, -0x1.2b5e62134732ep-1, -0x1.281538b0ee5c1p-1, -0x1.24ba7017451c3p-1, -0x1.214fdaeb2c4f8p-1, -0x1.1dd7362a9e2c5p-1, -0x1.1a5229c4672bbp-1, -0x1.16c2495e71d3fp-1, -0x1.132914fcbee5ap-1, -0x1.0f87f9687e088p-1, -0x1.0be05071d265bp-1, -0x1.0833614120a17p-1, -0x1.048260da49fe3p-1, -0x1.00ce72ce424f3p-1, -0x1.fa31540082604p-2, -0x1.f2c412d17594dp-2, -0x1.eb5709a69dbffp-2, -0x1.e3ec033d9cd76p-2, -0x1.dc84aefa3ad26p-2, -0x1.d522a23ce0b8ap-2, -0x1.cdc759596d911p-2, -0x1.c67438188ca2bp-2, -0x1.bf2a89ec1b7f6p-2, -0x1.b7eb85acf42fdp-2, -0x1.b0b83cf5c24a4p-2, -0x1.a991ba87b5f05p-2, -0x1.a278f1a4d8093p-2, -0x1.9b6ec2ccb101ep-2, -0x1.9473fca2def14p-2, -0x1.8d895cc3c021bp-2, -0x1.86af908a82d39p-2, -0x1.7fe735ccbe25cp-2, -0x1.7930db8f74c81p-2, -0x1.728d02b8bfd2p-2, -0x1.6bfc1ec08f2e9p-2, -0x1.657e96622bfc9p-2, -0x1.5f14c44f19047p-2, -0x1.58bef7e2223d2p-2, -0x1.527d75cfb9d2dp-2, -0x1.4c5078cfa504dp-2, -0x1.4638323c7c0ccp-2, -0x1.4034caa761d7ep-2, -0x1.3a466260c63c9p-2, -0x1.346d11f8ad5p-2, -0x1.2ea8eab968d7ap-2, -0x1.28f9f71e983cap-2, -0x1.23603b48cf50ap-2, -0x1.1ddbb56cf4a3dp-2, -0x1.186c5e3e0617bp-2, -0x1.1312295070939p-2, -0x1.0dcd0576fe5e9p-2, -0x1.089cdd1a2c981p-2, -0x1.0381968ae4b0ap-2, -0x1.fcf628a289f49p-3, -0x1.f3126aef1750bp-3, -0x1.e957aba16834p-3, -0x1.dfc59c74b1d8p-3, -0x1.d65be9b395f7bp-3, -0x1.cd1a3aaa17ef5p-3, -0x1.c4003211d407bp-3, -0x1.bb0d6e7b70e98p-3, -0x1.b2418ab7682dfp-3, -0x1.a99c1e3ee2498p-3, -0x1.a11cbd9b5cd72p-3, -0x1.98c2faca65416p-3, -0x1.908e659a22659p-3, -0x1.887e8bfc08c5ep-3, -0x1.8092fa4c6f702p-3, -0x1.78cb3b8fb9ea4p-3, -0x1.7126d9a752039p-3, -0x1.69a55d81876d6p-3, -0x1.62464f477ad42p-3, -0x1.5b09368b1b71bp-3, -0x1.53ed9a761f4f5p-3, -0x1.4cf301f9472ep-3, -0x1.4618f3fa615f1p-3, -0x1.3f5ef77f1c56bp-3, -0x1.38c493d2f8322p-3, -0x1.324950a770bdep-3, -0x1.2becb62e69a75p-3, -0x1.25ae4d2fa2c4cp-3, -0x1.1f8d9f1aaeae6p-3, -0x1.198a3616c9bdep-3, -0x1.13a39d11ef8aap-3, -0x1.0dd95fcfdb499p-3, -0x1.082b0af944de1p-3, -0x1.02982c2b00037p-3, -0x1.fa40a408fa43p-4, -0x1.ef86186a0ea04p-4, -0x1.e4ffd70e83825p-4, -0x1.daad03d531d62p-4, -0x1.d08cc4f5b32efp-4, -0x1.c69e430c4538fp-4, -0x1.bce0a923aeffbp-4, -0x1.b35324be28e0cp-4, -0x1.a9f4e5de49c52p-4, -0x1.a0c51f10a6095p-4, -0x1.97c3057644d7ep-4, -0x1.8eedd0cf9ccd7p-4, -0x1.8644bb878f8d6p-4, -0x1.7dc702bd6bb5ap-4, -0x1.7573e64d21601p-4, -0x1.6d4aa8d4da239p-4, -0x1.654a8fb76ep-4, -0x1.5d72e31b83f2p-4, -0x1.55c2ede77cf9cp-4, -0x1.4e39fdbaa0abdp-4, -0x1.46d72a52ac1b1p-4, -0x1.3f9a3784e7c36p-4, -0x1.388243ac9d693p-4, -0x1.318ea6ad67419p-4, -0x1.2abebaf73999ep-4, -0x1.2411dd81c3104p-4, -0x1.1d876dc773415p-4, -0x1.171ecdc02573cp-4, -0x1.10d761db69cdep-4, -0x1.0ab090fa706d4p-4, -0x1.04a9c46996b9bp-4, -0x1.fd84cfb336b52p-5, -0x1.f1f3d2b10223bp-5, -0x1.e69f72944fc3p-5, -0x1.db8694c15358fp-5, -0x1.d0a823290fbdcp-5, -0x1.c6030c3969b1cp-5, -0x1.bb9642cd18926p-5, -0x1.b160be1b88fbap-5, -0x1.a76179a8c7dc2p-5, -0x1.9d9775358b168p-5, -0x1.9401b4af6569fp-5, -0x1.8a9f402127be1p-5, -0x1.816f23a37aba6p-5, -0x1.78706f4dad7e1p-5, -0x1.6fa23726b702fp-5, -0x1.67039316707f8p-5, -0x1.5e939ed6ff48fp-5, -0x1.565179e671054p-5, -0x1.4e3c47788bf06p-5, -0x1.46532e68d3336p-5, -0x1.3e95592cc05d4p-5, -0x1.3701f5c62f2b5p-5, -0x1.2f9835b600e99p-5, -0x1.28574deef16ecp-5, -0x1.213e76c89e68ep-5, -0x1.1a4cebf2bc0d4p-5, -0x1.1381ec68734c8p-5, -0x1.0cdcba63eb4dfp-5, -0x1.065c9b51f50bbp-5, -0x1.0000d7c5d90fdp-5, -0x1.f39176da9445fp-6, -0x1.e7672a08e9aa3p-6, -0x1.db816c9460e56p-6, -0x1.cfdee7e8aca8cp-6, -0x1.c47e4b486ee01p-6, -0x1.b95e4bb67088ep-6, -0x1.ae7da3df29c13p-6, -0x1.a3db14029a0f1p-6, -0x1.997561de7248ep-6, -0x1.8f4b589893a2ep-6, -0x1.855bc8a9e54a7p-6, -0x1.7ba587c981433p-6, -0x1.722770d83c0afp-6, -0x1.68e063cc7dde2p-6, -0x1.5fcf459e6d9cap-6, -0x1.56f3003479fa9p-6, -0x1.4e4a82502dfc1p-6, -0x1.45d4bf7b51708p-6, -0x1.3d90aff55bc2fp-6, -0x1.357d50a13215bp-6, -0x1.2d99a2f32bbc6p-6, -0x1.25e4acdf5fe4ep-6, -0x1.1e5d78c82fc4ep-6, -0x1.1703156d1ee33p-6, -0x1.0fd495d9e2f89p-6, -0x1.08d11155b3d95p-6, -0x1.01f7a352d5c79p-6, -0x1.f68ed6bcbc594p-7, -0x1.e97f1a2077c1ap-7, -0x1.dcbe5ff6bfa32p-7, -0x1.d04aff3c6a57ep-7, -0x1.c42356a6796cbp-7, -0x1.b845cc83c7f4cp-7, -0x1.acb0ce9f1f9abp-7, -0x1.a162d221abfc9p-7, -0x1.965a5375e5a8ap-7, -0x1.8b95d62abf3f6p-7, -0x1.8113e4d75dea4p-7, -0x1.76d310ff1831p-7, -0x1.6cd1f2f5de5bep-7, -0x1.630f29c5055acp-7, -0x1.59895b10715fap-7, -0x1.503f32fc1bf38p-7, -0x1.472f6411fb93cp-7, -0x1.3e58a7283e7bep-7, -0x1.35b9bb47eddd6p-7, -0x1.2d516593d9b5ep-7, -0x1.251e712fed5aep-7, -0x1.1d1faf28cca47p-7, -0x1.1553f65bcd8eap-7, -0x1.0dba235f3f8b3p-7, -0x1.0651186b05b7bp-7, -0x1.fe2f7a8314e48p-8, -0x1.f019fe31e28e3p-8, -0x1.e25fa1094aa9dp-8, -0x1.d4fe52be4b3b6p-8, -0x1.c7f40d68568cep-8, -0x1.bb3ed556186d6p-8, -0x1.aedcb8e2cab66p-8, -0x1.a2cbd04c33d32p-8, -0x1.970a3d890ed61p-8, -0x1.8b962c200fc62p-8, -0x1.806dd0ff5ac34p-8, -0x1.758f6a54a2a59p-8, -0x1.6af93f65a3171p-8, -0x1.60a9a06934ed1p-8, -0x1.569ee660db89dp-8, -0x1.4cd772f2c1fdep-8, -0x1.4351b04453d0ap-8, -0x1.3a0c10d537753p-8, -0x1.31050f5ac9f16p-8, -0x1.283b2e9c15864p-8, -0x1.1facf94e42397p-8, -0x1.175901f17a55fp-8, -0x1.0f3de2ae40a49p-8, -0x1.075a3d334b7f7p-8, -0x1.ff5975278322ep-9, -0x1.f068164bf2609p-9, -0x1.e1ddccc51c40fp-9, -0x1.d3b8158836557p-9, -0x1.c5f47b4e4b06ep-9, -0x1.b89096555fe95p-9, -0x1.ab8a0c22205b3p-9, -0x1.9ede8f4292fa6p-9, -0x1.928bdf11a084bp-9, -0x1.868fc77b5c602p-9, -0x1.7ae820c228af4p-9, -0x1.6f92cf44c7f6fp-9, -0x1.648dc34517166p-9, -0x1.59d6f8afa35bep-9, -0x1.4f6c76e42017ap-9, -0x1.454c507e742d7p-9, -0x1.3b74a320d81e7p-9, -0x1.31e3973e7e8ecp-9, -0x1.28975fe718587p-9, -0x1.1f8e3a931ec6ep-9, -0x1.16c66ef0d677cp-9, -0x1.0e3e4eb224373p-9, -0x1.05f4355aee98fp-9, -0x1.fbcd1021194f8p-10, -0x1.ec276ad34ffb3p-10, -0x1.dcf46a7debcd8p-10, -0x1.ce3110f942939p-10, -0x1.bfda71e8f0ee8p-10, -0x1.b1edb2616711cp-10, -0x1.a468088f0f54dp-10, -0x1.9746bb5ebb481p-10, -0x1.8a8722275e0dbp-10, -0x1.7e26a4557169ep-10, -0x1.7222b91716d9dp-10, -0x1.6678e70a605aep-10, -0x1.5b26c3ec186cap-10, -0x1.5029f4487df89p-10, -0x1.45802b2cc782ep-10, -0x1.3b2729da5c54bp-10, -0x1.311cbf7afc577p-10, -0x1.275ec8d6611d1p-10, -0x1.1deb30090ca5fp-10, -0x1.14bfec3c20bd7p-10, -0x1.0bdb015edfedp-10, -0x1.033a7fe0dc7fcp-10, -0x1.f5b908db9157fp-11, -0x1.e57e6f5454548p-11, -0x1.d5c19be2b3a8fp-11, -0x1.c67f0e297321dp-11, -0x1.b7b35c376c80dp-11, -0x1.a95b320b08fbcp-11, -0x1.9b7349b841c93p-11, -0x1.8df88938604c5p-11, -0x1.80e7d34ac11c4p-11, -0x1.743e26f343101p-11, -0x1.67f896d3e7e65p-11, -0x1.5c1448bcce063p-11, -0x1.508e753dc9b53p-11, -0x1.4564673adbefcp-11, -0x1.3a937b81d20bap-11, -0x1.301920623fefp-11, -0x1.25f2d547b10eap-11, -0x1.1c1e2a5568715p-11, -0x1.1298c00466cap-11, -0x1.096046c2aebfep-11, -0x1.00727e9590f54p-11, -0x1.ef9a6d79321f8p-12, -0x1.dedc9aae3391fp-12, -0x1.cea75e16349d3p-12, -0x1.bef6ad5c706bp-12, -0x1.afc699e0851aap-12, -0x1.a113500ed5e82p-12, -0x1.92d916bc92ec5p-12, -0x1.85144e872f103p-12, -0x1.77c1713625c65p-12, -0x1.6add1121b73b7p-12, -0x1.5e63d89b1478ap-12, -0x1.52528958aab73p-12, -0x1.46a5fbe52ff7dp-12, -0x1.3b5b1f113a5f1p-12, -0x1.306ef76908c6dp-12, -0x1.25de9eabfa4edp-12, -0x1.1ba743470b311p-12, -0x1.11c627d3179ccp-12, -0x1.0838a294dbf85p-12, -0x1.fdf839ff203f5p-13, -0x1.ec1c2676f0ca1p-13, -0x1.dad8275adc886p-13, -0x1.ca277d04bafdap-13, -0x1.ba058a7825148p-13, -0x1.aa6dd4832f3cdp-13, -0x1.9b5c00e334c46p-13, -0x1.8ccbd56c710f6p-13, -0x1.7eb9373a571aep-13, -0x1.712029e0f39ccp-13, -0x1.63fccea45a929p-13, -0x1.574b63b46265cp-13, -0x1.4b08436c72febp-13, -0x1.3f2fe397ce8f4p-13, -0x1.33bed4ba739a9p-13, -0x1.28b1c15c02336p-13, -0x1.1e056d5a8bd93p-13, -0x1.13b6b53d9ec7cp-13, -0x1.09c28d8f10267p-13, -0x1.002602371c1a3p-13, -0x1.edbc6bb89a6dp-14, -0x1.dbd0c28ebd4aep-14, -0x1.ca83a593b28a2p-14, -0x1.b9cfdb529ed3dp-14, -0x1.a9b0531b04db1p-14, -0x1.9a2023e3404dp-14, -0x1.8b1a8b33646e5p-14, -0x1.7c9aec13d7d38p-14, -0x1.6e9cce064d706p-14, -0x1.611bdc01f45f6p-14, -0x1.5413e37536cc1p-14, -0x1.4780d351c430cp-14, -0x1.3b5ebb1a9e40cp-14, -0x1.2fa9c9f7f17cap-14, -0x1.245e4dd376ebap-14, -0x1.1978b27913904p-14, -0x1.0ef580bc033b1p-14, -0x1.04d15da1bf898p-14, -0x1.f61213283ce83p-15, -0x1.e332bf2a2a454p-15, -0x1.d0fea8f8c0981p-15, -0x1.bf6fec69bd87bp-15, -0x1.ae80d6043edb2p-15, -0x1.9e2be194fe7b5p-15, -0x1.8e6bb8cc23a86p-15, -0x1.7f3b31dad240bp-15, -0x1.70954e2d56aeep-15, -0x1.6275391b4f1d8p-15, -0x1.54d646a999aa2p-15, -0x1.47b3f252a8762p-15, -0x1.3b09ddd73f294p-15, -0x1.2ed3d017b7135p-15, -0x1.230db3f383b4bp-15, -0x1.17b39733ea164p-15, -0x1.0cc1a97ab9823p-15, -0x1.02343b358f3fep-15, -0x1.f00f79496a3e7p-16, -0x1.dc7179b29743ep-16, -0x1.c987d18df701dp-16, -0x1.b74c14a683f5dp-16, -0x1.a5b80ee20c2fbp-16, -0x1.94c5c2803587cp-16, -0x1.846f6668cd70bp-16, -0x1.74af64817a239p-16, -0x1.65805816ff669p-16, -0x1.56dd0c48b4a7cp-16, -0x1.48c07a8769f38p-16, -0x1.3b25c919f48dbp-16, -0x1.2e0849b2465dfp-16, -0x1.21637802da633p-16, -0x1.1532f86804be9p-16, -0x1.0972969db5205p-16, -0x1.fc3c88d9a041fp-17, -0x1.e66430f5b97e3p-17, -0x1.d1549a18896e4p-17, -0x1.bd067dcc6d61p-17, -0x1.a972d82f6b511p-17, -0x1.9692e5eb3140cp-17, -0x1.846021fdb6bbfp-17, -0x1.72d443a53023cp-17, -0x1.61e93c66a12ebp-17, -0x1.51993614780fp-17, -0x1.41de90eafb5d8p-17, -0x1.32b3e1bae0841p-17, -0x1.2413f020c211bp-17, -0x1.15f9b4cef8dc8p-17, -0x1.086057d038d33p-17, -0x1.f6865e0048cd2p-18, -0x1.dd3b78d17fcf6p-18, -0x1.c4d7597f827aap-18, -0x1.ad51abc607128p-18, -0x1.96a26aec893edp-18, -0x1.80c1def9c6d43p-18, -0x1.6ba899ec84b2bp-18, -0x1.574f75317b748p-18, -0x1.43af8f16ac509p-18, -0x1.30c24858b584ap-18, -0x1.1e8141cb8ed99p-18, -0x1.0ce659e928f1p-18, -0x1.f7d7559fd1ac8p-19, -0x1.d7170feb76a8fp-19, -0x1.b780f834b0bbcp-19, -0x1.990a8e8bd4d8cp-19, -0x1.7ba9b9a8090f3p-19, -0x1.5f54c31c9dacp-19, -0x1.440253a76076ap-19, -0x1.29a96fc11e1bep-19, -0x1.104174103c32ep-19, -0x1.ef8424ba82165p-20, -0x1.c0469c21342f2p-20, -0x1.92baf25316ca7p-20, -0x1.66d262f2d9b64p-20, -0x1.3c7ebb3da3f5ep-20, -0x1.13b25433cf5edp-20, -0x1.d8c01b7b3df3ap-21, -0x1.8cf6927d47e9bp-21, -0x1.43efc88786008p-21, -0x1.fb28d0ca1bd56p-22, -0x1.739c0508f0ad3p-22, -0x1.e21c118989597p-23, -0x1.cd557978b718fp-24, 0x1.6d780845d80c9p-28, 0x1.e8e843363c90ep-24, 0x1.d4b83549e224fp-23, 0x1.563f7bf3a8e11p-22, 0x1.be0658f8eb13p-22, 0x1.10e8c4ef00414p-21, 0x1.40e0541affd23p-21, 0x1.6ef90dba76e7ep-21, 0x1.9b4193d95c11dp-21, 0x1.c5c7fabe8e2dp-21, 0x1.ee99d0b55440cp-21, 0x1.0ae2115a269bp-20, 0x1.1da9c0e91deap-20, 0x1.2faa0452d776ap-20, 0x1.40e8afee163d5p-20, 0x1.516b61b881332p-20, 0x1.61378370c9348p-20, 0x1.70524d14a87e7p-20, 0x1.7ec0c692dda7ep-20, 0x1.8c87ca2d2ed97p-20, 0x1.99ac064c667d2p-20, 0x1.a631ff61f4207p-20, 0x1.b21e11bc1868ep-20, 0x1.bd74731c25841p-20, 0x1.c83934e36f315p-20, 0x1.d27044ed1e1c6p-20, 0x1.dc1d6f82ff0aep-20, 0x1.e54460d21caaep-20, 0x1.ede8a63e3d1a8p-20, 0x1.f60dafd1604cfp-20, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.75604dee96b2bp-3, 0x1.81c645298f3e5p-3, 0x1.8c6d434c583edp-3, 0x1.9555aa382befap-3, 0x1.9c82e32baa6acp-3, 0x1.a1fb7e98a599cp-3, 0x1.a5c8815301f53p-3, 0x1.a7f52e6e2d248p-3, 0x1.a88e777ee0028p-3, 0x1.a7a2b3a0f5cdcp-3, 0x1.a54172dca5afep-3, 0x1.a17b3e0905907p-3, 0x1.9c617fb0f5797p-3, 0x1.960611b837a9cp-3, 0x1.8e7ad56c7d0bbp-3, 0x1.85d1e7b234454p-3, 0x1.7c1ddfe53685p-3, 0x1.71718cbe15d25p-3, 0x1.65df7231c97e2p-3, 0x1.597979a94be95p-3, 0x1.4c50fa76e1d43p-3, 0x1.3e76ee5a8231ap-3, 0x1.2ffc8d89e34fbp-3, 0x1.20f2b0b891bf4p-3, 0x1.116935aeca74bp-3, 0x1.016f3587a7bbbp-3, 0x1.e2267d1141358p-4, 0x1.c0c6e06919ec9p-4, 0x1.9edacff5d89a4p-4, 0x1.7c7c39c6d7d87p-4, 0x1.59c399a58d12dp-4, 0x1.36c806d509a89p-4, 0x1.139f56a6f0726p-4, 0x1.e0bc63c990a0ap-5, 0x1.9a302918e1f59p-5, 0x1.53be8ac5dbcd7p-5, 0x1.0d89a87c05b66p-5, 0x1.8f628691db471p-6, 0x1.04a5a34de22e1p-6, 0x1.ec4c6261f723p-8, -0x1.a462a68cc2311p-11, -0x1.279e6cf89b2c7p-7, -0x1.18c7be8718197p-6, -0x1.9be6faa47c29cp-6, -0x1.0e85615e01bddp-5, -0x1.4e0a1a5d9eaecp-5, -0x1.8c73c13cfb0ddp-5, -0x1.c9b5e66d17a0ap-5, -0x1.02e2bfbf80c38p-4, -0x1.204c675bb4495p-4, -0x1.3d13a16c5f68cp-4, -0x1.5934a96da8d81p-4, -0x1.74ac2e761c78ap-4, -0x1.8f77480c7d5p-4, -0x1.a993725becf76p-4, -0x1.c2fe914be5818p-4, -0x1.dbb6f7c0f1c34p-4, -0x1.f3bb6f2672fc1p-4, -0x1.05859dd31beb3p-3, -0x1.10d30d6c05692p-3, -0x1.1bc61e4867e07p-3, -0x1.265f1b8ca1969p-3, -0x1.309e7c81244e4p-3, -0x1.3a83fa613c862p-3, -0x1.44126d8dc3227p-3, -0x1.4d4997030033fp-3, -0x1.562a44176e6b4p-3, -0x1.5eb559e31fd3bp-3, -0x1.66ebd6f2b00c5p-3, -0x1.6eced42739374p-3, -0x1.765f84534aff1p-3, -0x1.7d9f3282c6656p-3, -0x1.848f3f2b79152p-3, -0x1.8b311cb3b6847p-3, -0x1.91864bc54666ep-3, -0x1.979057ce2e64p-3, -0x1.9d50d3ed338e5p-3, -0x1.a2c9586462c5bp-3, -0x1.a7fb8090e3c8cp-3, -0x1.ace8e957034cdp-3, -0x1.b1932fe9294e8p-3, -0x1.b5fbf0ceb0337p-3, -0x1.ba24c71216f78p-3, -0x1.be0f4b850e8b9p-3, -0x1.c1bd1412b55aap-3, -0x1.c52fb32306214p-3, -0x1.c868b71a77f79p-3, -0x1.cb69aa0354cf4p-3, -0x1.ce341169c6faep-3, -0x1.d0c96e69b9ebep-3, -0x1.d32b3de11b5cep-3, -0x1.d55af8aead373p-3, -0x1.d75a13e06bd17p-3, -0x1.d92a00b6fa06dp-3, -0x1.dacc2c6c28de8p-3, -0x1.dc41ffb7b7f62p-3, -0x1.dd8cde1aa036ap-3, -0x1.deae2503e2e9dp-3, -0x1.dfa72ae75a29ep-3, -0x1.e0793e5f0500dp-3, -0x1.e125a56ae9dp-3, -0x1.e1ad9cdc2eafbp-3, -0x1.e21257f00a5cfp-3, -0x1.e255001825fd9p-3, -0x1.e276b4e93343ep-3, -0x1.e2788c26245b8p-3, -0x1.e25b91dee0faap-3, -0x1.e220c89b22a12p-3, -0x1.e1c9298d74a32p-3, -0x1.e155a4cd7189cp-3, -0x1.e0c7219b14613p-3, -0x1.e01e7eae62767p-3, -0x1.df5c9296d617cp-3, -0x1.de822c2cb6405p-3, -0x1.dd90131422e5p-3, -0x1.dc87084f02d73p-3, -0x1.db67c6d80f425p-3, -0x1.da33043f40c3bp-3, -0x1.d8e9713eb0e32p-3, -0x1.d78bba3f217bfp-3, -0x1.d61a87c4bc5f7p-3, -0x1.d4967ebed694fp-3, -0x1.d30040b892573p-3, -0x1.d1586beb109c7p-3, -0x1.cf9f9b34e9e5ep-3, -0x1.cdd665fc9e16ap-3, -0x1.cbfd6005013fbp-3, -0x1.ca15193b0f91cp-3, -0x1.c81e1d8413fdap-3, -0x1.c618f4920b537p-3, -0x1.c40621c28bdc5p-3, -0x1.c1e6240b1531bp-3, -0x1.bfb975f3dba15p-3, -0x1.bd808da103afdp-3, -0x1.bb3bdce91495cp-3, -0x1.b8ebd176c6b96p-3, -0x1.b690d4f3dc68dp-3, -0x1.b42b4d3a9d1b4p-3, -0x1.b1bb9c8b78244p-3, -0x1.af4221c4b1e43p-3, -0x1.acbf389a00427p-3, -0x1.aa3339ca93697p-3, -0x1.a79e7b542e728p-3, -0x1.a50150a26c2ebp-3, -0x1.a25c0ab9aebfbp-3, -0x1.9faef85d72c1cp-3, -0x1.9cfa663251aacp-3, -0x1.9a415a5c3efd4p-3, -0x1.977dbe6ffebbcp-3, -0x1.94b375fb36d8ap-3, -0x1.91e2cadd443bdp-3, -0x1.8f0c05238b964p-3, -0x1.8c2f6b15c7432p-3, -0x1.894d4145ac248p-3, -0x1.8665caa158bdap-3, -0x1.83794887d330dp-3, -0x1.8087fadee6334p-3, -0x1.7d922029a602cp-3, -0x1.7a97f59eff086p-3, -0x1.7799b73fa6269p-3, -0x1.74979feb15607p-3, -0x1.7191e97311ca8p-3, -0x1.6e88ccad97956p-3, -0x1.6b7c8184ea3a5p-3, -0x1.686d3f05c5446p-3, -0x1.655b3b6ba6ad5p-3, -0x1.6246ac2b3814ep-3, -0x1.5f2fc5fb0814ep-3, -0x1.5c16bcda9d5eap-3, -0x1.58fbc41818691p-3, -0x1.55df0e5496b36p-3, -0x1.52c0cd87711f5p-3, -0x1.4fa133009678fp-3, -0x1.4c806f6a182b5p-3, -0x1.495eb2c925d18p-3, -0x1.463c2c7e80719p-3, -0x1.43190b469cca5p-3, -0x1.3ff57d3981056p-3, -0x1.3cd1afca74abdp-3, -0x1.39adcfc795563p-3, -0x1.368a09595e2aep-3, -0x1.336688022771bp-3, -0x1.3043769da546cp-3, -0x1.2d20ff6061058p-3, -0x1.29ff4bd736393p-3, -0x1.26de84e6bfb7dp-3, -0x1.23bed2cac59e2p-3, -0x1.20a05d1590e84p-3, -0x1.1d834aaf32ba4p-3, -0x1.1a67c1d4af824p-3, -0x1.174de8171b27p-3, -0x1.1435e25a974dep-3, -0x1.111fd4d545511p-3, -0x1.0e0be30e2a22p-3, -0x1.0afa2fdc14dp-3, -0x1.07eadd6480a8ep-3, -0x1.04de0d1a97038p-3, -0x1.01d3dfbe4708cp-3, -0x1.fd98eab704daap-4, -0x1.f78fda936a35ap-4, -0x1.f18ccc56ddf85p-4, -0x1.eb8ffbdcabd59p-4, -0x1.e599a396a6d7cp-4, -0x1.dfa9fc8e26b4bp-4, -0x1.d9c13e657cc1fp-4, -0x1.d3df9f59f92abp-4, -0x1.ce0554466603ap-4, -0x1.c83290a5e867bp-4, -0x1.c26786974b22bp-4, -0x1.bca466e081a73p-4, -0x1.b6e960f26a593p-4, -0x1.b136a2ecab3ccp-4, -0x1.ab8c59a1a1fe1p-4, -0x1.a5eab09a4eb2bp-4, -0x1.a051d21a20b28p-4, -0x1.9ac1e722ac923p-4, -0x1.953b17772eec4p-4, -0x1.8fbd899fcf4d9p-4, -0x1.8a4962eca69e1p-4, -0x1.84dec7788444cp-4, -0x1.7f7dda2b66f23p-4, -0x1.7a26bcbcab5adp-4, -0x1.74d98fb500896p-4, -0x1.6f9672701004bp-4, -0x1.6a5d831df15b8p-4, -0x1.652edec4688ffp-4, -0x1.600aa13ffaa3dp-4, -0x1.5af0e544dd33ep-4, -0x1.55e1c45fce52ep-4, -0x1.50dd56f6e398ep-4, -0x1.4be3b44a4bd4p-4, -0x1.46f4f2751deabp-4, -0x1.4211266e31f21p-4, -0x1.3d38640915021p-4, -0x1.386abdf7192ecp-4, -0x1.33a845c88f60dp-4, -0x1.2ef10bee29a3fp-4, -0x1.2a451fba92f04p-4, -0x1.25a48f6438bcep-4, -0x1.210f68074bfd2p-4, -0x1.1c85b5a801722p-4, -0x1.1807833500c8ap-4, -0x1.1394da8a19ba9p-4, -0x1.0f2dc4732acd2p-4, -0x1.0ad248af3fa63p-4, -0x1.06826df3e725fp-4, -0x1.023e39f0b65cfp-4, -0x1.fc0b62a6019ffp-5, -0x1.f3b1af936c68ap-5, -0x1.eb6f6012d7f53p-5, -0x1.e34477a10aea8p-5, -0x1.db30f7d70bbbfp-5, -0x1.d334e072ee946p-5, -0x1.cb502f60dc3f5p-5, -0x1.c382e0c4461aap-5, -0x1.bbccef0142d92p-5, -0x1.b42e52c60a3b6p-5, -0x1.aca703148fbebp-5, -0x1.a536f54c2e89cp-5, -0x1.9dde1d336dfa3p-5, -0x1.969c6d01d1cecp-5, -0x1.8f71d569b1b4cp-5, -0x1.885e45a21dda6p-5, -0x1.8161ab70bcd16p-5, -0x1.7a7bf333afc73p-5, -0x1.73ad07eb6f59cp-5, -0x1.6cf4d3449d83bp-5, -0x1.66533da1d4042p-5, -0x1.5fc82e255eb81p-5, -0x1.59538abae9a3bp-5, -0x1.52f538211984bp-5, -0x1.4cad19f30de0bp-5, -0x1.467b12b1d0131p-5, -0x1.405f03cda1fcap-5, -0x1.3a58cdaf3796fp-5, -0x1.34684fc0d2451p-5, -0x1.2e8d687737e76p-5, -0x1.28c7f55a95e12p-5, -0x1.2317d30f376eap-5, -0x1.1d7cdd5e202ffp-5, -0x1.17f6ef3d8d5e8p-5, -0x1.1285e2d94a535p-5, -0x1.0d29919ae8e7bp-5, -0x1.07e1d431d9772p-5, -0x1.02ae829b600c1p-5, -0x1.fb1ee854d3c4fp-6, -0x1.f108ff1e889b5p-6, -0x1.e71af5be65179p-6, -0x1.dd547737cc166p-6, -0x1.d3b52d75ae09fp-6, -0x1.ca3cc158ff13ep-6, -0x1.c0eadac6f857cp-6, -0x1.b7bf20b715c02p-6, -0x1.aeb93940e3e95p-6, -0x1.a5d8c9a98eb7dp-6, -0x1.9d1d76713f609p-6, -0x1.9486e3603dec7p-6, -0x1.8c14b393d41b8p-6, -0x1.83c6898b1151ap-6, -0x1.7b9c073337413p-6, -0x1.7394cdf40df51p-6, -0x1.6bb07ebbe2b4cp-6, -0x1.63eeba0b6522p-6, -0x1.5c4f200140141p-6, -0x1.54d150657cf89p-6, -0x1.4d74eab4a946fp-6, -0x1.46398e2ac5117p-6, -0x1.3f1ed9cdf5111p-6, -0x1.38246c78f8e1dp-6, -0x1.3149e4e5656e7p-6, -0x1.2a8ee1b59bce2p-6, -0x1.23f3017e92657p-6, -0x1.1d75e2d14bb1dp-6, -0x1.171724441c876p-6, -0x1.10d6647bbef07p-6, -0x1.0ab2ddf488cdep-6, -0x1.04ad017724d45p-6, -0x1.fd880034516fep-7, -0x1.f1eef218e1d54p-7, -0x1.e68e176acf115p-7, -0x1.db64af7914ad9p-7, -0x1.d071fa215e9dap-7, -0x1.c5b537de42207p-7, -0x1.bb2da9d4d1f79p-7, -0x1.b0da91e1f3495p-7, -0x1.a6bb32a714e2fp-7, -0x1.9ccecf969d4bdp-7, -0x1.9314acffdcfefp-7, -0x1.898c101a95af2p-7, -0x1.80343f12206edp-7, -0x1.770c81103c965p-7, -0x1.6e141e475d2f5p-7, -0x1.654a5ffcb2d2ep-7, -0x1.5cae9091c929p-7, -0x1.543ffb8dde09fp-7, -0x1.4bfdeda6b5bcbp-7, -0x1.43e7b4c951ef6p-7, -0x1.3bfca022238cbp-7, -0x1.343c00250c93p-7, -0x1.2ca5269504791p-7, -0x1.2537668b6de6p-7, -0x1.1df2147f2b641p-7, -0x1.16d4864b646bap-7, -0x1.0fde133600f67p-7, -0x1.090e13f5ea1b4p-7, -0x1.0263e2b908a7dp-7, -0x1.f7bdb653c7367p-8, -0x1.eafcb4ea6283p-8, -0x1.de837e9dfbd2bp-8, -0x1.d250d3ef5ed5fp-8, -0x1.c66378817525p-8, -0x1.baba33224e016p-8, -0x1.af53cdd3b146bp-8, -0x1.a42f15d340ecap-8, -0x1.994adba20169bp-8, -0x1.8ea5f30bc3af4p-8, -0x1.843f332db1a0dp-8, -0x1.7a15767ccfd8fp-8, -0x1.70279acbce198p-8, -0x1.667481507d19dp-8, -0x1.5cfb0ea8e4592p-8, -0x1.53ba2adfc1122p-8, -0x1.4ab0c170b77e5p-8, -0x1.41ddc14c1a8c3p-8, -0x1.39401cda03a95p-8, -0x1.30d6c9fd52573p-8, -0x1.28a0c215f2d2ap-8, -0x1.209d0202e3fdbp-8, -0x1.18ca8a2396a79p-8, -0x1.11285e59086e5p-8, -0x1.09b58606573d4p-8, -0x1.02710c10d939ep-8, -0x1.f6b3fdbfa698fp-9, -0x1.e8dee0b7655fep-9, -0x1.db60ebd9942fp-9, -0x1.ce3850f34a8e2p-9, -0x1.c16348ca08932p-9, -0x1.b4e013163ed34p-9, -0x1.a8acf67da5eadp-9, -0x1.9cc8408c21e8cp-9, -0x1.913045ac44e65p-9, -0x1.85e3611eb824ep-9, -0x1.7adff4f0e7758p-9, -0x1.702469f2f7eb3p-9, -0x1.65af2face26fep-9, -0x1.5b7ebc52fc8c2p-9, -0x1.51918cb988eb8p-9, -0x1.47e62447ee5f1p-9, -0x1.3e7b0ceb0c012p-9, -0x1.354ed7074e4c5p-9, -0x1.2c6019697e3fdp-9, -0x1.23ad713810ddcp-9, -0x1.1b3581e2f98c2p-9, -0x1.12f6f513cbd53p-9, -0x1.0af07a9cdeb48p-9, -0x1.0320c86896bb6p-9, -0x1.f70d34cff4c17p-10, -0x1.e84165024d933p-10, -0x1.d9dbb0faeb84dp-10, -0x1.cbd9b3eef77f5p-10, -0x1.be39149154378p-10, -0x1.b0f784ee29987p-10, -0x1.a412c245caac5p-10, -0x1.978894e79dc5p-10, -0x1.8b56d00c67051p-10, -0x1.7f7b51b1861a5p-10, -0x1.73f4027322602p-10, -0x1.68bed5679363p-10, -0x1.5dd9c7f940733p-10, -0x1.5342e1c230901p-10, -0x1.48f83466f1712p-10, -0x1.3ef7db71c0fbfp-10, -0x1.353ffc2e2cf32p-10, -0x1.2bcec585221b9p-10, -0x1.22a26fd83ada3p-10, -0x1.19b93cdea4458p-10, -0x1.111177815b74p-10, -0x1.08a973b8561b6p-10, -0x1.007f8e679741cp-10, -0x1.f1245a79915a7p-11, -0x1.e1bf7d1a39e4fp-11, -0x1.d2cd7266ad55bp-11, -0x1.c44b38dd88a5fp-11, -0x1.b635df82e1a59p-11, -0x1.a88a85a06cb76p-11, -0x1.9b465a8284103p-11, -0x1.8e669d3942e52p-11, -0x1.81e89c5853c91p-11, -0x1.75c9b5b7c238dp-11, -0x1.6a0756358e083p-11, -0x1.5e9ef9784ccd4p-11, -0x1.538e29b0ae372p-11, -0x1.48d27f5dc45c9p-11, -0x1.3e69a1106166ep-11, -0x1.3451432f97f1fp-11, -0x1.2a8727bd2a162p-11, -0x1.21091e1ba241fp-11, -0x1.17d502d464dfdp-11, -0x1.0ee8bf5ceb62dp-11, -0x1.064249dec29dap-11, -0x1.fbbf49fcb477ap-12, -0x1.eb7dbf47d8515p-12, -0x1.dbbc2985fda61p-12, -0x1.cc76d646fb569p-12, -0x1.bdaa2a56ac114p-12, -0x1.af52a15097cdap-12, -0x1.a16ccd34a8cbdp-12, -0x1.93f555fce5c88p-12, -0x1.86e8f9344ead3p-12, -0x1.7a44898e68e3fp-12, -0x1.6e04ee7fea19p-12, -0x1.622723d9baddbp-12, -0x1.56a839610c587p-12, -0x1.4b85526db0c94p-12, -0x1.40bba585414dap-12, -0x1.36487bfa1f479p-12, -0x1.2c293188f5298p-12, -0x1.225b33fbdeb71p-12, -0x1.18dc02c6f1aafp-12, -0x1.0fa92ead6be15p-12, -0x1.06c0596438916p-12, -0x1.fc3e6a6c8e63dp-13, -0x1.eb87095436bd6p-13, -0x1.db56344fe738dp-13, -0x1.cba7af4621b44p-13, -0x1.bc775c81c13b4p-13, -0x1.adc13c06ce004p-13, -0x1.9f816aea87b21p-13, -0x1.91b422abce645p-13, -0x1.8455b88d8bfabp-13, -0x1.77629cf49bfdfp-13, -0x1.6ad75ac820f05p-13, -0x1.5eb096d3f7dep-13, -0x1.52eb0f2cd5f77p-13, -0x1.47839a977fb4ap-13, -0x1.3c7727f30bfeap-13, -0x1.31c2bda35715bp-13, -0x1.2763790377818p-13, -0x1.1d568dcebec54p-13, -0x1.1399459d14fp-13, -0x1.0a28ff51509cp-13, -0x1.01032e942ce8cp-13, -0x1.f04ab69c66178p-14, -0x1.df1a42480eedfp-14, -0x1.ce705decdc52ep-14, -0x1.be488cc398c86p-14, -0x1.ae9e7687599bbp-14, -0x1.9f6de679f83a6p-14, -0x1.90b2ca8538c23p-14, -0x1.8269323af19d7p-14, -0x1.748d4dfb32b74p-14, -0x1.671b6e0f1b40cp-14, -0x1.5a1001cba11b5p-14, -0x1.4d6796b881fdcp-14, -0x1.411ed7ba1a6f8p-14, -0x1.35328c439349ep-14, -0x1.299f9787035d9p-14, -0x1.1e62f7b127b4fp-14, -0x1.1379c522736ebp-14, -0x1.08e131b2a4633p-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.b106e4c4fdff9p-1, 0x1.9d82b2842307dp-1, 0x1.89e20970babdbp-1, 0x1.76642c24c6e04p-1, 0x1.633df31926a35p-1, 0x1.509b271f17c47p-1, 0x1.3e9f6ad6266ffp-1, 0x1.2d670ae959e99p-1, 0x1.1d0822245ff59p-1, 0x1.0d934d1db5b92p-1, 0x1.fe28c0143193cp-2, 0x1.e326490f9b5b8p-2, 0x1.ca2784aeb0efp-2, 0x1.b32e914c97682p-2, 0x1.9e388eb242b9fp-2, 0x1.8b3e2b7f8dbc6p-2, 0x1.7a341e2b22d7bp-2, 0x1.6b0c0fc636701p-2, 0x1.5db56c6081342p-2, 0x1.521dbce152fc5p-2, 0x1.4830f3a5aeac1p-2, 0x1.3fdabd7bc1031p-2, 0x1.390429beccd48p-2, 0x1.33972c5fbb39fp-2, 0x1.2f7cf90af59ffp-2, 0x1.2c9e9de0b9312p-2, 0x1.2ae55871a738p-2, 0x1.2a3acf7f54adcp-2, 0x1.2a892b19e433p-2, 0x1.2bbb1ce63eaf2p-2, 0x1.2dbbebe0145eap-2, 0x1.3077894b98c15p-2, 0x1.33daa829d31a3p-2, 0x1.37d2cebd7697dp-2, 0x1.3c4e5f77213b8p-2, 0x1.413c9bf69a571p-2, 0x1.468da5e09148dp-2, 0x1.4c327f974eaecp-2, 0x1.521d0d1871fc8p-2, 0x1.5840145209726p-2, 0x1.5e8f3be22311cp-2, 0x1.64ff0740e86c6p-2, 0x1.6b84d000fa4a1p-2, 0x1.7216bce85e722p-2, 0x1.78abb86342acbp-2, 0x1.7f3b679ea3ac1p-2, 0x1.85be229f4d8c8p-2, 0x1.8c2cecaa303d5p-2, 0x1.92816bff0b94ap-2, 0x1.98b5e0639e22ep-2, 0x1.9ec518debc3f5p-2, 0x1.a4aa69a30d0f9p-2, 0x1.aa61a32686e1ep-2, 0x1.afe70ada7c486p-2, 0x1.b53755595aa1dp-2, 0x1.ba4fa18a9d09ap-2, 0x1.bf2d743f92be8p-2, 0x1.c3ceb3f0b9fd2p-2, 0x1.c831a45854548p-2, 0x1.cc54e1a5c1c15p-2, 0x1.d0375b0bc765cp-2, 0x1.d3d84c93e7fd2p-2, 0x1.d737386367d14p-2, 0x1.da549c232a1a6p-2, 0x1.dd2f251d9d943p-2, 0x1.dfc77f45cfc3fp-2, 0x1.e21e01d950849p-2, 0x1.e4332ec4a82abp-2, 0x1.e607ad77395c8p-2, 0x1.e79c46ae3489fp-2, 0x1.e8f1e123422e2p-2, 0x1.ea097eebd46b7p-2, 0x1.eae43b479abcbp-2, 0x1.eb83489cf79e8p-2, 0x1.ebe7ee6dcaeeap-2, 0x1.ec138721bf7ccp-2, 0x1.ec077d9925074p-2, 0x1.ebc54a8ff59f4p-2, 0x1.eb4e71e830548p-2, 0x1.eaa47ffaed471p-2, 0x1.e9c907103ac04p-2, 0x1.e8bd9d18927acp-2, 0x1.e783d9b9943e8p-2, 0x1.e61d54b565768p-2, 0x1.e48ba4aa5ac69p-2, 0x1.e2d05e210c832p-2, 0x1.e0ed12da673eep-2, 0x1.dee3514dbb2a6p-2, 0x1.dcb4a447a647cp-2, 0x1.da62929cb802fp-2, 0x1.d7ee9ee4ee397p-2, 0x1.d55a4736ddd12p-2, 0x1.d2a704daac13bp-2, 0x1.cfd64bee76f03p-2, 0x1.cce98af7fb01dp-2, 0x1.c9e22a629b059p-2, 0x1.c6c18bed167c8p-2, 0x1.c3890a0e4dcd6p-2, 0x1.c039f75b8abf3p-2, 0x1.bcd59dfbe6dc4p-2, 0x1.b95d3f3337332p-2, 0x1.b5d2130bafcc4p-2, 0x1.b2354820f9ae3p-2, 0x1.ae88038ae8ceap-2, 0x1.aacb60e255332p-2, 0x1.a7007258b4fa8p-2, 0x1.a32840db08b64p-2, 0x1.9f43cc3a4e2d2p-2, 0x1.9b540b5635e68p-2, 0x1.9759ec498a5bp-2, 0x1.93565499ab46ep-2, 0x1.8f4a216b675fep-2, 0x1.8b3627bf3e7b1p-2, 0x1.871b34b5df3ep-2, 0x1.82fa0ddc1216ap-2, 0x1.7ed3717bc7a74p-2, 0x1.7aa816eee053p-2, 0x1.7678aeefec60fp-2, 0x1.7245e3e573587p-2, 0x1.6e105a25155eep-2, 0x1.69d8b02d04715p-2, 0x1.659f7ed36a29dp-2, 0x1.6165596c488f6p-2, 0x1.5d2acde71fcb8p-2, 0x1.58f064e611e4dp-2, 0x1.54b6a1d05fec8p-2, 0x1.507e02e2117e4p-2, 0x1.4c47013a6e1bp-2, 0x1.481210eab3351p-2, 0x1.43dfa1061c71bp-2, 0x1.3fb01bb42eb3bp-2, 0x1.3b83e645d239fp-2, 0x1.375b614dab184p-2, 0x1.3336e8bbd41a7p-2, 0x1.2f16d3fceaea9p-2, 0x1.2afb761c2a308p-2, 0x1.26e51de81caccp-2, 0x1.22d416194d9fdp-2, 0x1.1ec8a57a3c011p-2, 0x1.1ac30f0fd4bc2p-2, 0x1.16c39241a8513p-2, 0x1.12ca6b0143adcp-2, 0x1.0ed7d1f0132fcp-2, 0x1.0aebfc8377dcfp-2, 0x1.07071d26e2d43p-2, 0x1.0329635bdfa89p-2, 0x1.fea5f7b07dd28p-3, 0x1.f709d1b36b161p-3, 0x1.ef7ab274cd012p-3, 0x1.e7fb2487c48d8p-3, 0x1.e08b7045e8a36p-3, 0x1.d92bd919f571bp-3, 0x1.d1dc9daa37352p-3, 0x1.ca9df8062b6e1p-3, 0x1.c3701dd68b938p-3, 0x1.bc53408ec4cecp-3, 0x1.b5478d9f0b68dp-3, 0x1.ae4d2ea60f37ep-3, 0x1.a76449a185dcfp-3, 0x1.a08d011cd923p-3, 0x1.99c7745d63163p-3, 0x1.9313bf8bcac04p-3, 0x1.8c71fbda43173p-3, 0x1.85e23fa779f9ep-3, 0x1.7f649e9e519efp-3, 0x1.78f929d26d413p-3, 0x1.729fefd9d4c4ap-3, 0x1.6c58fce3f06b7p-3, 0x1.66245ace3f1edp-3, 0x1.600211371919ap-3, 0x1.59f2258edc322p-3, 0x1.53f49b27f2594p-3, 0x1.4e097345ec5dcp-3, 0x1.4830ad2c16fc6p-3, 0x1.426a462bbd405p-3, 0x1.3cb639b254e7p-3, 0x1.37148157bb79cp-3, 0x1.318514eca3c89p-3, 0x1.2c07ea89382bbp-3, 0x1.269cf69c05c72p-3, 0x1.21442bf91d75fp-3, 0x1.1bfd7be96b3f2p-3, 0x1.16c8d63a2042bp-3, 0x1.11a6294c2e3efp-3, 0x1.0c956223a7d0bp-3, 0x1.07966c76fbc24p-3, 0x1.02a932bde9fbep-3, 0x1.fb9b3c8049c8p-4, 0x1.f2072e4709988p-4, 0x1.e89608f3877b7p-4, 0x1.df47989b6c6b6p-4, 0x1.d61ba75fe57e9p-4, 0x1.cd11fd85e976ap-4, 0x1.c42a618d517c6p-4, 0x1.bb649846df6b7p-4, 0x1.b2c064e9488c7p-4, 0x1.aa3d89253a2f8p-4, 0x1.a1dbc53884227p-4, 0x1.999ad80075526p-4, 0x1.917a7f0b83c19p-4, 0x1.897a76aa5f4edp-4, 0x1.819a7a0072a61p-4, 0x1.79da4313fc656p-4, 0x1.72398addc428ep-4, 0x1.6ab80958844b3p-4, 0x1.635575900ccp-4, 0x1.5c1185b02b875p-4, 0x1.54ebef1364ec5p-4, 0x1.4de4665176495p-4, 0x1.46fa9f4daa2dap-4, 0x1.402e4d44f8163p-4, 0x1.397f22dbf1d63p-4, 0x1.32ecd22c709c5p-4, 0x1.2c770cd305fb1p-4, 0x1.261d83fc20f0fp-4, 0x1.1fdfe870e85ap-4, 0x1.19bdeaa3c0efep-4, 0x1.13b73abc75855p-4, 0x1.0dcb88a4052fep-4, 0x1.07fa84100978cp-4, 0x1.0243dc8db982dp-4, 0x1.f94e8319014a4p-5, 0x1.ee48c4d05d9fap-5, 0x1.e375dce579d8fp-5, 0x1.d8d529fb4e545p-5, 0x1.ce660ac5c551ap-5, 0x1.c427de1adaeb4p-5, 0x1.ba1a0302f5ea8p-5, 0x1.b03bd8c89055ep-5, 0x1.a68cbf0720f1fp-5, 0x1.9d0c15b9677cap-5, 0x1.93b93d470e42ep-5, 0x1.8a939691c224dp-5, 0x1.819a8301b34eap-5, 0x1.78cd64919acbfp-5, 0x1.702b9dda4550ep-5, 0x1.67b4921da87e6p-5, 0x1.5f67a55197bf1p-5, 0x1.57443c2a0f3c4p-5, 0x1.4f49bc2325cf2p-5, 0x1.47778b8aadaafp-5, 0x1.3fcd11897c031p-5, 0x1.3849b62c69447p-5, 0x1.30ece26d0008ap-5, 0x1.29b60039ec596p-5, 0x1.22a47a7f1ef52p-5, 0x1.1bb7bd2da655dp-5, 0x1.14ef35434f12ap-5, 0x1.0e4a50d1f2469p-5, 0x1.07c87f06860a8p-5, 0x1.0169302fe628ap-5, 0x1.f657ab8aace25p-6, 0x1.ea1fc4d97929ap-6, 0x1.de2994012b799p-6, 0x1.d274032b45338p-6, 0x1.c6fdff0091b7dp-6, 0x1.bbc676b3585ffp-6, 0x1.b0cc5c0905f42p-6, 0x1.a60ea36336656p-6, 0x1.9b8c43c833e6p-6, 0x1.914436eae23cbp-6, 0x1.873579321ca69p-6, 0x1.7d5f09bf7ff25p-6, 0x1.73bfea75ad80bp-6, 0x1.6a571ffe023bbp-6, 0x1.6123b1cdc1851p-6, 0x1.5824aa2ab6ed5p-6, 0x1.4f59162f65366p-6, 0x1.46c005cea2451p-6, 0x1.3e588bd6c4975p-6, 0x1.3621bdf44dd7dp-6, 0x1.2e1ab4b426433p-6, 0x1.26428b8563f0dp-6, 0x1.1e9860ba9eb4ap-6, 0x1.171b558ae5b52p-6, 0x1.0fca8e12419a5p-6, 0x1.08a53151db415p-6, 0x1.01aa692fbaff6p-6, 0x1.f5b2c4ec6f583p-7, 0x1.e86299a60bf02p-7, 0x1.db62b5abde337p-7, 0x1.ceb183de7f664p-7, 0x1.c24d74dbc48d3p-7, 0x1.b634fefa6531ep-7, 0x1.aa669e4507572p-7, 0x1.9ee0d474d2651p-7, 0x1.93a228eb6fb6ap-7, 0x1.88a928ac94ef7p-7, 0x1.7df466571277fp-7, 0x1.73827a1d74335p-7, 0x1.695201be22233p-7, 0x1.5f61a07b3673dp-7, 0x1.55afff11c99c5p-7, 0x1.4c3bcbb0f8206p-7, 0x1.4303b9f07cf03p-7, 0x1.3a0682c6f5ee5p-7, 0x1.3142e47fe3ec3p-7, 0x1.28b7a2b125cb2p-7, 0x1.20638630754d6p-7, 0x1.18455d0850457p-7, 0x1.105bfa6ccded3p-7, 0x1.08a636b00436p-7, 0x1.0122ef365b151p-7, 0x1.f3a20cd510445p-8, 0x1.e55ec762a65d5p-8, 0x1.d779e6ba56067p-8, 0x1.c9f14d430fbddp-8, 0x1.bcc2e70c3697dp-8, 0x1.afeca9b39d651p-8, 0x1.a36c944b56862p-8, 0x1.9740af3f0e5ffp-8, 0x1.8b670c393446p-8, 0x1.7fddc607ebf1p-8, 0x1.74a30081acc49p-8, 0x1.69b4e869bd0e1p-8, 0x1.5f11777092bcep-8, 0x1.54b767f13fc72p-8, 0x1.4aa4c08b7222bp-8, 0x1.40d7d09dd0381p-8, 0x1.374eefe83e9acp-8, 0x1.2e087e6f9d00ap-8, 0x1.2502e4617c309p-8, 0x1.1c3c91f7b469bp-8, 0x1.13b3ff5c1d025p-8, 0x1.0b67ac8c18651p-8, 0x1.0356213c603c1p-8, 0x1.f6fbd97969ca8p-9, 0x1.e7bb4bb738c5dp-9, 0x1.d8e7d59492871p-9, 0x1.ca7ec201313d9p-9, 0x1.bc7d6a4226562p-9, 0x1.aee135ba551eep-9, 0x1.a1a799b31051dp-9, 0x1.94ce19251cf4ep-9, 0x1.88524481d8203p-9, 0x1.7c31b97cf5547p-9, 0x1.706a22d662886p-9, 0x1.64f93824c5e5dp-9, 0x1.59dcbda0129bdp-9, 0x1.4f1283ecdda79p-9, 0x1.449867e7e7885p-9, 0x1.3a6c52723d628p-9, 0x1.308c383dc5a89p-9, 0x1.26f6199a2015p-9, 0x1.1da802425b902p-9, 0x1.14a0092ac71b3p-9, 0x1.0bdc504f7c82p-9, 0x1.035b048376a88p-9, 0x1.f634ba8006173p-10, 0x1.e63138e9a2e37p-10, 0x1.d6a81cb119f02p-10, 0x1.c7961273d8efep-10, 0x1.b8f7daa2ca1adp-10, 0x1.aaca49267782ap-10, 0x1.9d0a4504a793ep-10, 0x1.8fb4c806ab7bbp-10, 0x1.82c6de60e8ce2p-10, 0x1.763da65b8126bp-10, 0x1.6a164ffbdd37bp-10, 0x1.5e4e1caf5393bp-10, 0x1.52e25ef710583p-10, 0x1.47d07a148093dp-10, 0x1.3d15e1b75d215p-10, 0x1.32b019ac27395p-10, 0x1.289cb58c3a581p-10, 0x1.1ed9586e665ep-10, 0x1.1563b498ab0c4p-10, 0x1.0c398b331dddbp-10, 0x1.0358abfb5adp-10, 0x1.f57de9f2a2611p-11, 0x1.e4d4a469b0bep-11, 0x1.d4b17ad835dep-11, 0x1.c5107b965152dp-11, 0x1.b5edcf49220dcp-11, 0x1.a745b85468c4ap-11, 0x1.9914924fb4038p-11, 0x1.8b56d17c54a75p-11, 0x1.7e09023dac068p-11, 0x1.7127c8931f309p-11, 0x1.64afdf932b147p-11, 0x1.589e18e9c3bb1p-11, 0x1.4cef5c572b12bp-11, 0x1.41a0a730faaeap-11, 0x1.36af0be54bc19p-11, 0x1.2c17b17f69634p-11, 0x1.21d7d32e6a591p-11, 0x1.17ecbfcd60322p-11, 0x1.0e53d96dd82fap-11, 0x1.050a94e3bf832p-11, 0x1.f81cf2a6b6d8fp-12, 0x1.e6ba3f8234e4cp-12, 0x1.d5e865467141ep-12, 0x1.c5a2daea24335p-12, 0x1.b5e5389ab39c7p-12, 0x1.a6ab36e74d57ap-12, 0x1.97f0adf70b1bap-12, 0x1.89b194bcfa65dp-12, 0x1.7bea003284f28p-12, 0x1.6e96229512445p-12, 0x1.61b24aa77665fp-12, 0x1.553ae2f7957bap-12, 0x1.492c7126dcdc1p-12, 0x1.3d83953710f2ap-12, 0x1.323d08dbe41c6p-12, 0x1.27559ecd7166ap-12, 0x1.1cca4221ab93cp-12, 0x1.1297f5a68bfa4p-12, 0x1.08bbd342b30ecp-12, 0x1.fe6616ae6b8b3p-13, 0x1.ebf5c84c7813ep-13, 0x1.da217278fa96dp-13, 0x1.c8e3f5beca4bap-13, 0x1.b8385af8a137fp-13, 0x1.a819d23c1098fp-13, 0x1.9883b1c5a3f15p-13, 0x1.897174efa52a3p-13, 0x1.7adebb2c145c2p-13, 0x1.6cc747084811ap-13, 0x1.5f26fd31c27c4p-13, 0x1.51f9e387315a2p-13, 0x1.453c202a63c16p-13, 0x1.38e9f898bea59p-13, 0x1.2cffd0ccb6cfbp-13, 0x1.217a2a5faa501p-13, 0x1.1655a3b78ff59p-13, 0x1.0b8ef72f6c4cfp-13, 0x1.0122fa52e26f5p-13, 0x1.ee1d3a272717fp-14, 0x1.da9dd20f600f8p-14, 0x1.c7c2015b110fap-14, 0x1.b5843d669a163p-14, 0x1.a3df2a84e085p-14, 0x1.92cd9aa1fd7ecp-14, 0x1.824a8beccfb22p-14, 0x1.72512789f158dp-14, 0x1.62dcc04cd5921p-14, 0x1.53e8d17c6f616p-14, 0x1.4570fda0840d1p-14, 0x1.37710d4f2caf5p-14, 0x1.29e4ee06000b1p-14, 0x1.1cc8b114192b8p-14, 0x1.10188a7ad1c52p-14, 0x1.03d0cfe15e08ap-14, 0x1.efdbef148c668p-15, 0x1.d8d92ea29f613p-15, 0x1.c292c75f9949dp-15, 0x1.ad025d8e2b0e1p-15, 0x1.9821cee1dc338p-15, 0x1.83eb30af9cb22p-15, 0x1.7058ce26a4262p-15, 0x1.5d65269524dddp-15, 0x1.4b0aebc0d6f6cp-15, 0x1.3945003df7e25p-15, 0x1.280e75d8d73bbp-15, 0x1.17628c069b879p-15, 0x1.073cae6b521d3p-15, 0x1.ef30e6b7f878ep-16, 0x1.d0e334e728ed3p-16, 0x1.b3881662163fep-16, 0x1.9717a72b5b851p-16, 0x1.7b8a4dc4cc8eap-16, 0x1.60d8b8932d573p-16, 0x1.46fbdb5fbd5efp-16, 0x1.2dececf9d1ac1p-16, 0x1.15a564e172cc8p-16, 0x1.fc3df1edd576cp-17, 0x1.cea7368e5f1f8p-17, 0x1.a27aeff0ec0e7p-17, 0x1.77ade64d47c5ap-17, 0x1.4e354da57293ep-17, 0x1.2606c21931858p-17, 0x1.fe3087e73aedbp-18, 0x1.b2c0680b09a99p-18, 0x1.69aaa01ea3cbep-18, 0x1.22dd5e9d94f52p-18, 0x1.bc8efc920c961p-19, 0x1.37b0ff4051d7fp-19, 0x1.6e020ae2a1a7bp-20, 0x1.d3040e3eb4405p-22, -0x1.f26f8fb378c0dp-22, -0x1.664d40ea97f64p-20, -0x1.2444c3ecaf1d5p-19, -0x1.91c290c051624p-19, -0x1.fbb9400b9acbcp-19, -0x1.31208c7650983p-18, -0x1.62b8bd9d3e992p-18, -0x1.92b073fdc1e14p-18, -0x1.c11285a8b9f3cp-18, -0x1.ede962026439p-18, -0x1.0c9f8b37118cbp-17, -0x1.218ea919a4c86p-17, -0x1.35c6b535def1fp-17, -0x1.494c2ee7fe0ccp-17, -0x1.5c236c2bd116ep-17, -0x1.6e509b65195acp-17, -0x1.7fd7c50d5d8d1p-17, -0x1.90bccd49a9af8p-17, -0x1.a10375976ce62p-17, -0x1.b0af5e3d6307cp-17, -0x1.bfc407c6ff5f8p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.580accc89884p+0, -0x1.4f0191ad35982p+0, -0x1.45ae273a59f11p+0, -0x1.3c346ed794b1ap+0, -0x1.32b32bb81aa97p+0, -0x1.2944635ccf418p+0, -0x1.1ffdd7efc5f3ep+0, -0x1.16f171b199fdbp+0, -0x1.0e2dba019a672p+0, -0x1.05be2ca174925p+0, -0x1.fb57269cb18ccp-1, -0x1.ebf8d26739c4fp-1, -0x1.dd6a2f516595p-1, -0x1.cfb087dc00747p-1, -0x1.c2ce4b386ce85p-1, -0x1.b6c36376e5fa6p-1, -0x1.ab8d71d50e4b6p-1, -0x1.a1283e1aa5f24p-1, -0x1.978e2ae973c89p-1, -0x1.8eb87a610ad8cp-1, -0x1.869f768be0a6dp-1, -0x1.7f3aa92f2ad87p-1, -0x1.7880bfa94590bp-1, -0x1.7268591dfab7bp-1, -0x1.6ce7cc520ff5cp-1, -0x1.67f55b4f65ce6p-1, -0x1.63874113ba1d4p-1, -0x1.5f93c30b6cca5p-1, -0x1.5c1148b7491fcp-1, -0x1.58f672a6b2287p-1, -0x1.563a2a5831b21p-1, -0x1.53d3aa9ea7854p-1, -0x1.51ba8472ea2a1p-1, -0x1.4fe6a3c97f499p-1, -0x1.4e50551f42758p-1, -0x1.4cf04a3bb2a5bp-1, -0x1.4bbf9cb434132p-1, -0x1.4ab7ce37e0943p-1, -0x1.49d2c7cbfaa09p-1, -0x1.490ad8f725f8ap-1, -0x1.485ab6e4089e8p-1, -0x1.47bd7ad507797p-1, -0x1.472e9f6539f4cp-1, -0x1.46a9fcb764377p-1, -0x1.462bc431ff585p-1, -0x1.45b07c5fb5214p-1, -0x1.4534fd1ed4194p-1, -0x1.44b66bdd60d33p-1, -0x1.44323782373a2p-1, -0x1.43a613dcdcd16p-1, -0x1.430ff4cbf0b39p-1, -0x1.426e097af60d7p-1, -0x1.41beb80c25839p-1, -0x1.410099d59ecb4p-1, -0x1.40327833d45bdp-1, -0x1.3f5349e4ea262p-1, -0x1.3e6230dac2a9ep-1, -0x1.3d5e785e60655p-1, -0x1.3c47933e5255p-1, -0x1.3b1d19aba7281p-1, -0x1.39dec67b05608p-1, -0x1.388c73bfaff98p-1, -0x1.37261707ecd04p-1, -0x1.35abaf612119ap-1, -0x1.341d82a1205cbp-1, -0x1.327bb44788345p-1, -0x1.30c6866592288p-1, -0x1.2efe4b38ee6e1p-1, -0x1.2d2364143326dp-1, -0x1.2b364030fe863p-1, -0x1.29375b5d1f7cep-1, -0x1.27273c83516e8p-1, -0x1.2506741bf05b7p-1, -0x1.22d59a987a69dp-1, -0x1.20954edd8b00ep-1, -0x1.1e4634db68a86p-1, -0x1.1be8f44ef2187p-1, -0x1.197e37adb2849p-1, -0x1.1706ab3a01879p-1, -0x1.1482fc388f05p-1, -0x1.11f3d8400f974p-1, -0x1.0f59ec9d36295p-1, -0x1.0cb5e5c77d461p-1, -0x1.0a086ee522eaep-1, -0x1.0752315daedb5p-1, -0x1.0493d47a627fp-1, -0x1.01cdfd13c00f4p-1, -0x1.fe029a967c01ap-2, -0x1.f85cc8a0ed0bcp-2, -0x1.f2abbc628870bp-2, -0x1.ecf0a7682517bp-2, -0x1.e72cb475a9549p-2, -0x1.e16107580b933p-2, -0x1.db8ebcbc38041p-2, -0x1.d5b6ea0327a4cp-2, -0x1.cfda9d0d16cfcp-2, -0x1.c9fadbf9506acp-2, -0x1.c418a4dca7248p-2, -0x1.be34ed74f01d8p-2, -0x1.b850a2e289ae9p-2, -0x1.b26ca9710b047p-2, -0x1.ac89dc76088b5p-2, -0x1.a6a90e48e0bebp-2, -0x1.a0cb085223029p-2, -0x1.9af08b2d997d2p-2, -0x1.951a4ed825ac5p-2, -0x1.8f4902e2c85b1p-2, -0x1.897d4ea60a583p-2, -0x1.83b7d1739edbap-2, -0x1.7df922c6be44ap-2, -0x1.7841d2756a608p-2, -0x1.729268e557f64p-2, -0x1.6ceb674673666p-2, -0x1.674d47d390316p-2, -0x1.61b87e18130bfp-2, -0x1.5c2d773824a94p-2, -0x1.56ac9a384b781p-2, -0x1.5136484182da2p-2, -0x1.4bcadcdfa37ccp-2, -0x1.466aae390d748p-2, -0x1.41160d3fa93a8p-2, -0x1.3bcd45dc24adp-2, -0x1.36909f14bf2b7p-2, -0x1.31605b31171dbp-2, -0x1.2c3cb7dc12d15p-2, -0x1.2725ee44a7f28p-2, -0x1.221c333ddbca1p-2, -0x1.1d1fb75e0a528p-2, -0x1.1830a71d6d8c7p-2, -0x1.134f2af3dd26ap-2, -0x1.0e7b6775f4a88p-2, -0x1.09b57d71f02ap-2, -0x1.04fd8a0cb576ep-2, -0x1.0053a6df95ea1p-2, -0x1.f76fd42e65fdcp-3, -0x1.ee54cd27b878cp-3, -0x1.e5565816cc14cp-3, -0x1.dc748e58a81c3p-3, -0x1.d3af8383ba754p-3, -0x1.cb0745b070e5cp-3, -0x1.c27bddc108e8cp-3, -0x1.ba0d4fa74b5a4p-3, -0x1.b1bb9aa7307cfp-3, -0x1.a986b9959b012p-3, -0x1.a16ea312f1c15p-3, -0x1.997349c19bb93p-3, -0x1.91949c78cb495p-3, -0x1.89d34c14f8b4bp-3, -0x1.822d704635e81p-3, -0x1.7aa3f8f7af32p-3, -0x1.7336c92bc83abp-3, -0x1.6be5c0c0fb5b3p-3, -0x1.64b0bc993f371p-3, -0x1.5d9796c301d64p-3, -0x1.569a26a3338b3p-3, -0x1.4fb8411fd082dp-3, -0x1.48f1b8ca52954p-3, -0x1.42465e097db7fp-3, -0x1.3bb5ff41e99f4p-3, -0x1.354068fce8ae1p-3, -0x1.2ee5660d4f4c9p-3, -0x1.28a4bfb1efaa4p-3, -0x1.227e3db585501p-3, -0x1.1c71a68c0c1c6p-3, -0x1.167ebf6d8389ap-3, -0x1.10a54c6e3d09cp-3, -0x1.0ae51094dfae2p-3, -0x1.053dcdee6152ep-3, -0x1.ff5e8b404b5c5p-4, -0x1.f4726ff149cc9p-4, -0x1.e9b6c8fd8ed87p-4, -0x1.df2b1400900ep-4, -0x1.d4cecd3eb3457p-4, -0x1.caa16fbf8990ap-4, -0x1.c0a275676bd71p-4, -0x1.b6d15710a89cbp-4, -0x1.ad2d8ca49e6ebp-4, -0x1.a3b68d34d48e4p-4, -0x1.9a6bcf1428b75p-4, -0x1.914cc7f022606p-4, -0x1.8858ecea45f9cp-4, -0x1.7f8fb2b1769a5p-4, -0x1.76f08d9b252eap-4, -0x1.6e7af1bc3a85p-4, -0x1.662e530191769p-4, -0x1.5e0a2547d6c81p-4, -0x1.560ddc72af171p-4, -0x1.4e38ec82fca7fp-4, -0x1.468ac9ac2f16p-4, -0x1.3f02e868830a4p-4, -0x1.37a0bd8c26e3p-4, -0x1.3063be573964cp-4, -0x1.294b6086a0dep-4, -0x1.22571a63bde9bp-4, -0x1.1b8662d301e75p-4, -0x1.14d8b16174f25p-4, -0x1.0e4d7e513c0f3p-4, -0x1.07e442a52dfaep-4, -0x1.019c782b8f6b6p-4, -0x1.f6eb33100ddfdp-5, -0x1.eade4479befa1p-5, -0x1.df111d675b64fp-5, -0x1.d382b88ad122ap-5, -0x1.c832128416e57p-5, -0x1.bd1e29ef9ac5fp-5, -0x1.b245ff73f78cep-5, -0x1.a7a895cf0a40dp-5, -0x1.9d44f1e274fb2p-5, -0x1.931a1abf9dccbp-5, -0x1.892719b3338afp-5, -0x1.7f6afa5037785p-5, -0x1.75e4ca7a9547p-5, -0x1.6c939a713ee87p-5, -0x1.63767cd7d0085p-5, -0x1.5a8c86bfad968p-5, -0x1.51d4cfb0a321fp-5, -0x1.494e71b0ef3ecp-5, -0x1.40f8894cbf4fcp-5, -0x1.38d2359d1405ep-5, -0x1.30da984e078aap-5, -0x1.2910d5a475b05p-5, -0x1.2174148301ef7p-5, -0x1.1a037e6e7c3ebp-5, -0x1.12be3f91a4c61p-5, -0x1.0ba386c04e6d5p-5, -0x1.04b28579ea1fp-5, -0x1.fbd4dfd6eaf3ap-6, -0x1.ee94f9e1b49cdp-6, -0x1.e1a3cc2b84ddap-6, -0x1.d4ffcf2bc6a7ep-6, -0x1.c8a780b99ea3dp-6, -0x1.bc99640a969aap-6, -0x1.b0d401b070d85p-6, -0x1.a555e7962b437p-6, -0x1.9a1da8fc3e203p-6, -0x1.8f29de742fd4fp-6, -0x1.847925db7fcbdp-6, -0x1.7a0a2256005efp-6, -0x1.6fdb7c47a6243p-6, -0x1.65ebe14dd88eep-6, -0x1.5c3a04385633ap-6, -0x1.52c49d01ab454p-6, -0x1.498a68c74b2f5p-6, -0x1.408a29c1501dbp-6, -0x1.37c2a739ebb4p-6, -0x1.2f32ad848a5dfp-6, -0x1.26d90df4acbb4p-6, -0x1.1eb49ed483d49p-6, -0x1.16c43b5b46f0bp-6, -0x1.0f06c3a34f028p-6, -0x1.077b1c9ff6facp-6, -0x1.002030134265ep-6, -0x1.f1e9d9069a4d7p-7, -0x1.e3f08a5f0a043p-7, -0x1.d652640b60ffdp-7, -0x1.c90d5f2d7b02p-7, -0x1.bc1f7e16d0d94p-7, -0x1.af86cc31578dap-7, -0x1.a3415de80b1c1p-7, -0x1.974d508f1ae5dp-7, -0x1.8ba8ca4bd12bp-7, -0x1.8051f9fc16974p-7, -0x1.7547171dc48d9p-7, -0x1.6a8661b590b67p-7, -0x1.600e2235dc681p-7, -0x1.55dca96529fcfp-7, -0x1.4bf0504469595p-7, -0x1.424777f516236p-7, -0x1.38e0899f22312p-7, -0x1.2fb9f656bf977p-7, -0x1.26d2370207898p-7, -0x1.1e27cc3e8633dp-7, -0x1.15b93e46b4261p-7, -0x1.0d851cd75b31fp-7, -0x1.0589ff14f2234p-7, -0x1.fb8d06e1e8c7ap-8, -0x1.ec729f1e6a3c4p-8, -0x1.ddc220566e51cp-8, -0x1.cf78f1fb1a391p-8, -0x1.c19489428b4e2p-8, -0x1.b41268f2cdddep-8, -0x1.a6f0212d00653p-8, -0x1.9a2b4f38a0307p-8, -0x1.8dc19d4f115fp-8, -0x1.81b0c2675e5a5p-8, -0x1.75f6820240339p-8, -0x1.6a90abf662661p-8, -0x1.5f7d1c3d02139p-8, -0x1.54b9babed3e7dp-8, -0x1.4a447b2144e63p-8, -0x1.401b5c9410c9p-8, -0x1.363c699f40862p-8, -0x1.2ca5b7f1799c6p-8, -0x1.2355682ebfa7bp-8, -0x1.1a49a5bf990a2p-8, -0x1.1180a6a09e8a8p-8, -0x1.08f8ab327901dp-8, -0x1.00affe0a457dp-8, -0x1.f149e78502a69p-9, -0x1.e1abd598a36dcp-9, -0x1.d2829682ad33fp-9, -0x1.c3cb0d6bc3914p-9, -0x1.b58230177baffp-9, -0x1.a7a5068abe65ep-9, -0x1.9a30aab33eb71p-9, -0x1.8d22480fdd582p-9, -0x1.80771b5a11f73p-9, -0x1.742c7230661bap-9, -0x1.683faac1dd076p-9, -0x1.5cae337a8293bp-9, -0x1.51758ab0e94fap-9, -0x1.46933e54c7b8ep-9, -0x1.3c04eb9ea0db4p-9, -0x1.31c83ec06ec5p-9, -0x1.27daf2977bd96p-9, -0x1.1e3aad03c1b56p-9, -0x1.14e58e3f391a6p-9, -0x1.0bd955c31f8bp-9, -0x1.0313f620dff0ep-9, -0x1.f526de3cdf56fp-10, -0x1.e4ab9add2be5ep-10, -0x1.d4b254d489a6dp-10, -0x1.c53757961aa44p-10, -0x1.b63706cd3df24p-10, -0x1.a7adddd6d71d9p-10, -0x1.99986f3cb0e92p-10, -0x1.8bf364330e7dep-10, -0x1.7ebb7c18668bcp-10, -0x1.71ed8bf736586p-10, -0x1.65867e0a1f661p-10, -0x1.59835141effeap-10, -0x1.4de118cdfd187p-10, -0x1.429cfba67381bp-10, -0x1.37b43418d65e2p-10, -0x1.2d240f568db0dp-10, -0x1.22e9ed0572ee3p-10, -0x1.19033ed27f9d7p-10, -0x1.0f6d880687862p-10, -0x1.06265d1ccf1dbp-10, -0x1.fa56c6b7a17e8p-11, -0x1.e8f4a0dfa996dp-11, -0x1.d821d40f2913ep-11, -0x1.c7da0ae5837d2p-11, -0x1.b8190e84ca68ep-11, -0x1.a8dac5d69b922p-11, -0x1.9a1b34d45ef25p-11, -0x1.8bd67bd343387p-11, -0x1.7e08d6d40e3c9p-11, -0x1.70ae9cd6443b3p-11, -0x1.63c43f2ef5904p-11, -0x1.574648e300807p-11, -0x1.4b315e04b379ap-11, -0x1.3f823b14f11ebp-11, -0x1.3435b467683a6p-11, -0x1.2948b58a5f814p-11, -0x1.1eb840b17d22dp-11, -0x1.14816e23a6c32p-11, -0x1.0aa16bac4719fp-11, -0x1.01157c0f591c4p-11, -0x1.efb5ed0118038p-12, -0x1.ddde8c3abf72ap-12, -0x1.cc9fd2d40f9cfp-12, -0x1.bbf4e3a26974ap-12, -0x1.abd9064d8a65cp-12, -0x1.9c47a659928e6p-12, -0x1.8d3c523762f6ap-12, -0x1.7eb2ba598301fp-12, -0x1.70a6b04e81339p-12, -0x1.631425e02915dp-12, -0x1.55f72c37d0062p-12, -0x1.494bf3077b31dp-12, -0x1.3d0ec7b79401dp-12, -0x1.313c149987bb3p-12, -0x1.25d0601efcc2cp-12, -0x1.1ac84c151d2a4p-12, -0x1.102094e4c0491p-12, -0x1.05d610d6d8012p-12, -0x1.f7cb5eb9799e2p-13, -0x1.e498f0ba5fd3fp-13, -0x1.d20f17099f4a5p-13, -0x1.c0283f36d4d43p-13, -0x1.aedf03b91cb89p-13, -0x1.9e2e2aa852a35p-13, -0x1.8e10a47e4c6bdp-13, -0x1.7e818adf9b7efp-13, -0x1.6f7c1f6b3cb45p-13, -0x1.60fbca91b9297p-13, -0x1.52fc1a73d15abp-13, -0x1.4578c1c76e388p-13, -0x1.386d96c48d115p-13, -0x1.2bd69217b19d7p-13, -0x1.1fafcddc3359p-13, -0x1.13f5849c24d0bp-13, -0x1.08a41057e3cc2p-13, -0x1.fb6fd323fab62p-14, -0x1.e65b4cc866821p-14, -0x1.d203f33057daap-14, -0x1.be63638e95082p-14, -0x1.ab737100a6938p-14, -0x1.992e22e5827c9p-14, -0x1.878db34056f52p-14, -0x1.768c8d254cd9ap-14, -0x1.66254b32d2b5p-14, -0x1.5652b614d0321p-14, -0x1.470fc311f0a28p-14, -0x1.385792a526fc2p-14, -0x1.2a256f1ecb63bp-14, -0x1.1c74cb52eeec7p-14, -0x1.0f41414da7ddp-14, -0x1.02869113b6941p-14, -0x1.ec813ed671cb9p-15, -0x1.d4d6e95c9471fp-15, -0x1.be067749cf417p-15, -0x1.a80880d2f767ep-15, -0x1.92d5dea851c92p-15, -0x1.7e67a7dea5dcbp-15, -0x1.6ab72fe7616dbp-15, -0x1.57be049972696p-15, -0x1.4575ec45a93d9p-15, -0x1.33d8e3e0a5c8p-15, -0x1.22e11d34ad179p-15, -0x1.1288fd230f3dcp-15, -0x1.02cb19f6aa3a2p-15, -0x1.e744737c066bap-16, -0x1.ca12a17320282p-16, -0x1.adf6ff949a0fp-16, -0x1.92e825f793125p-16, -0x1.78dd001cf5b0bp-16, -0x1.5fccca22a0009p-16, -0x1.47af0e0e86512p-16, -0x1.307ba12bd97b1p-16, -0x1.1a2aa17f4131ep-16, -0x1.04b4734db6624p-16, -0x1.e0237d70e3ea5p-17, -0x1.b876dad7a9f36p-17, -0x1.925550bbc8f42p-17, -0x1.6db1ab47468bap-17, -0x1.4a7f2cb013355p-17, -0x1.28b18917084aep-17, -0x1.083ce2959535cp-17, -0x1.d22b8ae6ada62p-18, -0x1.966248d440d0dp-18, -0x1.5d08aa195d439p-18, -0x1.260a18a213c15p-18, -0x1.e2a56cc88cadap-19, -0x1.7d9eadb77b22cp-19, -0x1.1cdaf180a956ap-19, -0x1.806cff9325945p-20, -0x1.9e3b7ade2114p-21, -0x1.2c2c777ac27cfp-23, 0x1.f26f264ee9257p-22, 0x1.17844f14a8537p-20, 0x1.ab6fde787dc11p-20, 0x1.1c4c2152ece72p-19, 0x1.5f9aa3e05f9dcp-19, 0x1.9fbe66dd70cbap-19, 0x1.dcd16d3d29884p-19, 0x1.0b766abe18091p-18, 0x1.271471186cf84p-18, 0x1.414e81160e01ap-18, 0x1.5a2fec1089ec7p-18, 0x1.71c3a1299146ap-18, 0x1.881430fb4e782p-18, 0x1.9d2bd109c7fe4p-18, 0x1.b1145f35c370ep-18, 0x1.c3d765016b7c2p-18, 0x1.d57e1abd5a864p-18, 0x1.e6116a8e7982fp-18, 0x1.f599f363ba214p-18, 0x1.021005eb292efp-17, 0x1.08d5e268c4b38p-17, 0x1.0f22761f24e45p-17, 0x1.14f987c82315bp-17, 0x1.1a5ebf19c913ap-17, 0x1.1f55a5f3fe277p-17, 0x1.23e1a983717fcp-17, 0x1.28061b5843355p-17, 0x1.2bc63272b5079p-17, 0x1.2f250c4a7757cp-17, 0x1.3225adbc8cec4p-17, 0x1.34cb0407bf655p-17, 0x1.3717e5ab5c932p-17, 0x1.390f13472cd07p-17, 0x1.3ab3387126b88p-17, 0x1.3c06ec7cd6a01p-17, 0x1.3d0cb3486453dp-17, 0x1.3dc6fdf2f6af7p-17, 0x1.3e382b99e5d95p-17, 0x1.3e6289f99ef2dp-17, 0x1.3e485622d7e4p-17, 0x1.3debbd14011fdp-17, 0x1.3d4edc555bbcep-17, 0x1.3c73c28c1f708p-17, 0x1.3b5c700831402p-17, 0x1.3a0ad74e79cbcp-17, 0x1.3880dd986ab5p-17, 0x1.36c05b500afb7p-17, 0x1.34cb1c8c22e76p-17, 0x1.32a2e17f8a59ep-17, 0x1.30495ee9132fbp-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.2c45b3c56e6e3p-2, -0x1.38073bb8cc998p-2, -0x1.435d793f007bap-2, -0x1.4e4631d6901dep-2, -0x1.58bf6c316ebfap-2, -0x1.62c76e5c96df7p-2, -0x1.6c5cbbd349051p-2, -0x1.757e13832af26p-2, -0x1.7e2a6dc5ca275p-2, -0x1.8660fa534cd0ap-2, -0x1.8e211e319dfdep-2, -0x1.956a71a2cf88bp-2, -0x1.9c3cbe150c342p-2, -0x1.a297fc160e84ep-2, -0x1.a87c514bbe221p-2, -0x1.adea0e7353265p-2, -0x1.b2e1ad681b0d8p-2, -0x1.b763cf32cd9f2p-2, -0x1.bb713a2227e93p-2, -0x1.bf0ad7ed63453p-2, -0x1.c231b3e0fcf3bp-2, -0x1.c4e6f9161e593p-2, -0x1.c72bf0b4dbf54p-2, -0x1.c90200417e89p-2, -0x1.ca6aa7f4d3c9dp-2, -0x1.cb67811f9e5ebp-2, -0x1.cbfa3c990dda9p-2, -0x1.cc24a13831f21p-2, -0x1.cbe88a584d366p-2, -0x1.cb47e667e4284p-2, -0x1.ca44b58266c33p-2, -0x1.c8e1081449d9bp-2, -0x1.c71efd896597fp-2, -0x1.c500c30573cbbp-2, -0x1.c28892267ee1cp-2, -0x1.bfb8afd1159dcp-2, -0x1.bc936b0624c3ep-2, -0x1.b91b1bc24652cp-2, -0x1.b55221e665c25p-2, -0x1.b13ae42993e52p-2, -0x1.acd7cf13ecf53p-2, -0x1.a82b54026bd9ep-2, -0x1.a337e8338e11ep-2, -0x1.9e0003dcb00efp-2, -0x1.98862147fdf4cp-2, -0x1.92ccbbfae5d0dp-2, -0x1.8cd64fe4ec819p-2, -0x1.86a55896cd1d6p-2, -0x1.803c5081c9564p-2, -0x1.799db03f1158bp-2, -0x1.72cbeddf276fbp-2, -0x1.6bc97c41273edp-2, -0x1.6498ca71d3192p-2, -0x1.5d3c43124d839p-2, -0x1.55b64bc65c237p-2, -0x1.4e0944aa20bf4p-2, -0x1.463787cf19b36p-2, -0x1.3e4368c0560fbp-2, -0x1.362f340db63a8p-2, -0x1.2dfd2ede11f31p-2, -0x1.25af968825cccp-2, -0x1.1d48a032201c2p-2, -0x1.14ca7877a1cc9p-2, -0x1.0c37431614c4ap-2, -0x1.03911a9f22a2cp-2, -0x1.f5b420625af1fp-3, -0x1.e428566b336cbp-3, -0x1.d282d2497c489p-3, -0x1.c0c77a9ea140ap-3, -0x1.aefa215a41e77p-3, -0x1.9d1e8361f3871p-3, -0x1.8b384842e2ff9p-3, -0x1.794b01ed19131p-3, -0x1.675a2c77ea5ecp-3, -0x1.55692def50273p-3, -0x1.437b5629c8564p-3, -0x1.3193dea662f0bp-3, -0x1.1fb5ea72ac178p-3, -0x1.0de4861819beap-3, -0x1.f8454f214a429p-4, -0x1.d4e65c84932e7p-4, -0x1.b1b1c60209072p-4, -0x1.8eacf02e29233p-4, -0x1.6bdd12a655ddbp-4, -0x1.494738386992fp-4, -0x1.26f03f15030d4p-4, -0x1.04dcd90beac3ap-4, -0x1.c62317a411804p-5, -0x1.832562a0c447fp-5, -0x1.40c8eff735077p-5, -0x1.fe2b8ccde5949p-6, -0x1.7c272ea7d9bb3p-6, -0x1.f726fe8ac4443p-7, -0x1.f1fa450f08acdp-8, 0x1.0a2dfff2ab91dp-14, 0x1.f3e7d1987ce19p-8, 0x1.ee8931e8e1976p-7, 0x1.6fde91a9c918p-6, 0x1.e6bcf13fb540cp-6, 0x1.2deab26d72823p-5, 0x1.678f18d5fbb92p-5, 0x1.a0471940f5da6p-5, 0x1.d80e6aa7bc0a4p-5, 0x1.077086291dap-4, 0x1.225da247224d8p-4, 0x1.3ccccfb10551ap-4, 0x1.56bc769d23e21p-4, 0x1.702b20ca4b42ep-4, 0x1.891778d336687p-4, 0x1.a18049809a295p-4, 0x1.b9647d19f413dp-4, 0x1.d0c31cb554042p-4, 0x1.e79b4f8653dbdp-4, 0x1.fdec5a2c610e5p-4, 0x1.09dacf005099fp-3, 0x1.147b4c31ba0bdp-3, 0x1.1ed77104f59bfp-3, 0x1.28ef17259c3d4p-3, 0x1.32c225372711ap-3, 0x1.3c508e7be7db6p-3, 0x1.459a527c3716fp-3, 0x1.4e9f7cadf13e2p-3, 0x1.5760241c495edp-3, 0x1.5fdc6b10029acp-3, 0x1.68147eb8230a9p-3, 0x1.700896d3262c3p-3, 0x1.77b8f558c3f84p-3, 0x1.7f25e62451e5fp-3, 0x1.864fbe9fcb0fap-3, 0x1.8d36dd6f902d5p-3, 0x1.93dbaa1ede855p-3, 0x1.9a3e94cd14b05p-3, 0x1.a06015dbc9981p-3, 0x1.a640ad9db30c3p-3, 0x1.abe0e4067ffdcp-3, 0x1.b141485b8f839p-3, 0x1.b66270e5a0cbbp-3, 0x1.bb44faa380616p-3, 0x1.bfe988fdb022fp-3, 0x1.c450c57b1a9e9p-3, 0x1.c87b5f76d1d58p-3, 0x1.cc6a0bd6e5b71p-3, 0x1.d01d84c4508ffp-3, 0x1.d396896401593p-3, 0x1.d6d5dd91084cdp-3, 0x1.d9dc4997edaap-3, 0x1.dcaa99f3338bp-3, 0x1.df419f08ff46fp-3, 0x1.e1a22cea04c4p-3, 0x1.e3cd1b11940ecp-3, 0x1.e5c34426f1ad2p-3, 0x1.e78585bfde68ap-3, 0x1.e914c0245f45dp-3, 0x1.ea71d613c92e7p-3, 0x1.eb9dac8b07819p-3, 0x1.ec992a8c28188p-3, 0x1.ed6538e731265p-3, 0x1.ee02c2042cb67p-3, 0x1.ee72b1ae8ddb4p-3, 0x1.eeb5f4e1c715fp-3, 0x1.eecd7997398d2p-3, 0x1.eeba2e955f298p-3, 0x1.ee7d03403bea2p-3, 0x1.ee16e76b19128p-3, 0x1.ed88cb2b840b2p-3, 0x1.ecd39ead8c8edp-3, 0x1.ebf852094a0e1p-3, 0x1.eaf7d519a3034p-3, 0x1.e9d3175453928p-3, 0x1.e88b07a32d4dfp-3, 0x1.e720943e9d4f9p-3, 0x1.e594aa89646dfp-3, 0x1.e3e836ed87b38p-3, 0x1.e21c24ba7f417p-3, 0x1.e0315e048afc2p-3, 0x1.de28cb8544c21p-3, 0x1.dc03547d53256p-3, 0x1.d9c1de9751c55p-3, 0x1.d7654dcbdb0b3p-3, 0x1.d4ee8446b50e6p-3, 0x1.d25e624d1fdc7p-3, 0x1.cfb5c62543631p-3, 0x1.ccf58bfeb0ab7p-3, 0x1.ca1e8ddbfe516p-3, 0x1.c731a37d70613p-3, 0x1.c42fa24cb2a61p-3, 0x1.c1195d4998366p-3, 0x1.bdefa4f7e03efp-3, 0x1.bab3474e00ed6p-3, 0x1.b7650fa4e520bp-3, 0x1.b405c6a8a76d4p-3, 0x1.b096324a436bap-3, 0x1.ad1715b22d7bfp-3, 0x1.a9893133dc6e5p-3, 0x1.a5ed42423377dp-3, 0x1.a2440364cd55dp-3, 0x1.9e8e2c2e26dcdp-3, 0x1.9acc71329bc14p-3, 0x1.96ff84003a007p-3, 0x1.932813175f98bp-3, 0x1.8f46c9e420cecp-3, 0x1.8b5c50b8745c6p-3, 0x1.87694cc71afa6p-3, 0x1.836e601f46ac4p-3, 0x1.7f6c29a8ee726p-3, 0x1.7b634521d8f25p-3, 0x1.77544b1b4f203p-3, 0x1.733fd0f875271p-3, 0x1.6f2668ed48af2p-3, 0x1.6b08a1fe33cbap-3, 0x1.66e708003d5b8p-3, 0x1.62c22399ce11ep-3, 0x1.5e9a7a43fdd52p-3, 0x1.5a708e4c6cf9dp-3, 0x1.5644ded7a4f35p-3, 0x1.5217e7e3f50a7p-3, 0x1.4dea224cccdd7p-3, 0x1.49bc03ce8d9eep-3, 0x1.458dff0aca28fp-3, 0x1.4160838cfdd0ep-3, 0x1.3d33fdcfa076cp-3, 0x1.3908d741ab2c7p-3, 0x1.34df764c74d2cp-3, 0x1.30b83e59f21bep-3, 0x1.2c938fdb483c8p-3, 0x1.2871c84fb874bp-3, 0x1.2453424bd9e0dp-3, 0x1.203855811c4d7p-3, 0x1.1c2156c59bf74p-3, 0x1.180e981c3039dp-3, 0x1.140068bcbdf9fp-3, 0x1.0ff7151ccb268p-3, 0x1.0bf2e6f849a46p-3, 0x1.07f4255a8e34bp-3, 0x1.03fb14a78dbap-3, 0x1.0007f6a5331e3p-3, 0x1.f8361509e3d42p-4, 0x1.f06919daebc6ep-4, 0x1.e8a9700900d24p-4, 0x1.e0f786f1bcdf1p-4, 0x1.d953c9190c255p-4, 0x1.d1be9c3d92886p-4, 0x1.ca38616d4cc3ap-4, 0x1.c2c1751a584bp-4, 0x1.bb5a2f2fe3a1ep-4, 0x1.b402e3273ad76p-4, 0x1.acbbe01d01c0bp-4, 0x1.a58570e66c706p-4, 0x1.9e5fdc269e61cp-4, 0x1.974b64640e91bp-4, 0x1.9048481df5f81p-4, 0x1.8956c1e1c2673p-4, 0x1.827708608be1fp-4, 0x1.7ba94e848450bp-4, 0x1.74edc3866086bp-4, 0x1.6e449302b57e2p-4, 0x1.67ade50f46a05p-4, 0x1.6129de50413acp-4, 0x1.5ab8a00d616fap-4, 0x1.545a4846fedfap-4, 0x1.4e0ef1cafae42p-4, 0x1.47d6b449910e9p-4, 0x1.41b1a46a03c46p-4, 0x1.3b9fd3df24437p-4, 0x1.35a1517bb28a5p-4, 0x1.2fb629469308p-4, 0x1.29de648ed68dfp-4, 0x1.241a09ff94df2p-4, 0x1.1e691db393e0ap-4, 0x1.18cba148bdb4fp-4, 0x1.134193f35f3ffp-4, 0x1.0dcaf291318a2p-4, 0x1.0867b7bc299d2p-4, 0x1.0317dbdd0df8p-4, 0x1.fbb6aa7b9f588p-5, 0x1.f16430374dedap-5, 0x1.e7382d71e323cp-5, 0x1.dd3282dd9ed0dp-5, 0x1.d3530d7d009dap-5, 0x1.c999a6c4fe783p-5, 0x1.c00624beb2dbcp-5, 0x1.b6985a2887283p-5, 0x1.ad501696d2feap-5, 0x1.a42d2693f1b24p-5, 0x1.9b2f53bfcafcp-5, 0x1.925664eed10e1p-5, 0x1.89a21e4870821p-5, 0x1.81124164ef51fp-5, 0x1.78a68d6ac18a3p-5, 0x1.705ebf2b4a363p-5, 0x1.683a913f0f8f7p-5, 0x1.6039bc215c74dp-5, 0x1.585bf64b54171p-5, 0x1.50a0f44e73fb4p-5, 0x1.490868ee867p-5, 0x1.4192053b06833p-5, 0x1.3a3d78a7efd82p-5, 0x1.330a712606acdp-5, 0x1.2bf89b3a8ab1fp-5, 0x1.2507a2165f9b9p-5, 0x1.1e372faca78d4p-5, 0x1.1786ecc8d06fp-5, 0x1.10f68124180abp-5, 0x1.0a85937a81a98p-5, 0x1.0433c99f4658ep-5, 0x1.fc01912173009p-6, 0x1.efd869174ed4p-6, 0x1.e3eb623c5e4cfp-6, 0x1.d839c27427d7ap-6, 0x1.ccc2ce8d1d7a8p-6, 0x1.c185ca633842dp-6, 0x1.b681f9019225p-6, 0x1.abb69cc305594p-6, 0x1.a122f771c75bp-6, 0x1.96c64a661a48fp-6, 0x1.8c9fd6a3f9e74p-6, 0x1.82aedcf7e1d2ep-6, 0x1.78f29e12a30bap-6, 0x1.6f6a5aa448d4dp-6, 0x1.661553761f389p-6, 0x1.5cf2c983cfeb2p-6, 0x1.5401fe139f68ep-6, 0x1.4b4232cdcfeefp-6, 0x1.42b2a9d328e78p-6, 0x1.3a52a5d2a9d25p-6, 0x1.32216a1e6a127p-6, 0x1.2a1e3abfb1967p-6, 0x1.22485c8a3a2d6p-6, 0x1.1a9f152eb9319p-6, 0x1.1321ab4c9b05bp-6, 0x1.0bcf66830633dp-6, 0x1.04a78f8122a9fp-6, 0x1.fb52e02b47584p-7, 0x1.eda8a67b505f5p-7, 0x1.e04f0a65c5b12p-7, 0x1.d344a6f236623p-7, 0x1.c68819d6065bcp-7, 0x1.ba18038cd5b24p-7, 0x1.adf3076fa2e11p-7, 0x1.a217cbcab32ep-7, 0x1.9684f9f24ddf8p-7, 0x1.8b393e563f024p-7, 0x1.8033489449278p-7, 0x1.7571cb8965bcep-7, 0x1.6af37d62026ecp-7, 0x1.60b717a91e083p-7, 0x1.56bb57566d9f8p-7, 0x1.4cfefcdb77c54p-7, 0x1.4380cc2fbbf06p-7, 0x1.3a3f8cdbdcdf9p-7, 0x1.313a0a03ed504p-7, 0x1.286f1270ccc18p-7, 0x1.1fdd7898a9156p-7, 0x1.178412a6a8ba6p-7, 0x1.0f61ba81c1299p-7, 0x1.07754dd2c3dbep-7, 0x1.ff7b5c13499bep-8, 0x1.f07380c404ebap-8, 0x1.e1d0dbcdeb8dp-8, 0x1.d39146ec5afd9p-8, 0x1.c5b2a384bc619p-8, 0x1.b832daaa14c6ep-8, 0x1.ab0fdd1f52457p-8, 0x1.9e47a358626p-8, 0x1.91d82d7a1aa7bp-8, 0x1.85bf83590093fp-8, 0x1.79fbb476f9d98p-8, 0x1.6e8ad7ffef623p-8, 0x1.636b0cc56eb81p-8, 0x1.589a7939517d6p-8, 0x1.4e174b67794c5p-8, 0x1.43dfb8eea2874p-8, 0x1.39f1fef85f446p-8, 0x1.304c62303db66p-8, 0x1.26ed2eba25e3bp-8, 0x1.1dd2b827f83eap-8, 0x1.14fb596e722ffp-8, 0x1.0c6574d966154p-8, 0x1.040f73ff49857p-8, 0x1.f7ef8f684e29bp-9, 0x1.e839cff7f0342p-9, 0x1.d8faa7f8dd3b9p-9, 0x1.ca2f23dc717d3p-9, 0x1.bbd45e1b84158p-9, 0x1.ade77f16fa71cp-9, 0x1.a065bcf776134p-9, 0x1.934c5b8c26c53p-9, 0x1.8698ac28dbbb5p-9, 0x1.7a480d834cd7ap-9, 0x1.6e57eb8fbc2d6p-9, 0x1.62c5bf5cef326p-9, 0x1.578f0eef8bff9p-9, 0x1.4cb16d1cf096fp-9, 0x1.422a796580cc9p-9, 0x1.37f7dfce8159p-9, 0x1.2e1758bb82e3ep-9, 0x1.2486a8c76ccb9p-9, 0x1.1b43a09d2cb9bp-9, 0x1.124c1cd016d78p-9, 0x1.099e05b401e48p-9, 0x1.01374f3524d02p-9, 0x1.f22bf15f76ef5p-10, 0x1.e270198f0d9ap-10, 0x1.d337427e42287p-10, 0x1.c47dad9e76189p-10, 0x1.b63fb1fb7e65bp-10, 0x1.a879bbe9d4ab1p-10, 0x1.9b284cb4b8834p-10, 0x1.8e47fa4c4fc7cp-10, 0x1.81d56ef3d0f25p-10, 0x1.75cd68efcac43p-10, 0x1.6a2cba348db49p-10, 0x1.5ef04814c147cp-10, 0x1.54150af04054ep-10, 0x1.49980de32916bp-10, 0x1.3f766e754f2f6p-10, 0x1.35ad5c49f6dc8p-10, 0x1.2c3a18cfffa1p-10, 0x1.2319f6f26d82ap-10, 0x1.1a4a5ac96f415p-10, 0x1.11c8b94bde27p-10, 0x1.099298013ad16p-10, 0x1.01a58cb43a6f6p-10, 0x1.f3fe7a4bcab25p-11, 0x1.e53abd82900c9p-11, 0x1.d6fb6c9f8a7cbp-11, 0x1.c93c2f5c1788ep-11, 0x1.bbf8cb0367c49p-11, 0x1.af2d21df1726ap-11, 0x1.a2d532a52abccp-11, 0x1.96ed17e77e166p-11, 0x1.8b710784a7d62p-11, 0x1.805d521a5d84ep-11, 0x1.75ae62795e14ep-11, 0x1.6b60bd1aeabc7p-11, 0x1.6170ff97d31cfp-11, 0x1.57dbe0211b048p-11, 0x1.4e9e2cfa408a4p-11, 0x1.45b4cbf5236dap-11, 0x1.3d1cb9ef984cep-11, 0x1.34d30a52a4ff8p-11, 0x1.2cd4e6936edc5p-11, 0x1.251f8db5d9cbcp-11, 0x1.1db053d0df20cp-11, 0x1.1684a1949ade6p-11, 0x1.0f99f3d21304fp-11, 0x1.08eddb04ba79bp-11, 0x1.027dfaddb0e37p-11, 0x1.f89013a17e104p-12, 0x1.ec93a1462366p-12, 0x1.e10253f768123p-12, 0x1.d5d803eb8d324p-12, 0x1.cb10ab68eacdp-12, 0x1.c0a865f154ebfp-12, 0x1.b69b6f70fe37bp-12, 0x1.ace62370ca95bp-12, 0x1.a384fc4c1c958p-12, 0x1.9a74926a1111cp-12, 0x1.91b19b7a27ab8p-12, 0x1.8938e9b45737dp-12, 0x1.81076b1c84ac5p-12, 0x1.791a28c95c899p-12, 0x1.716e462e85c17p-12, 0x1.6a01006a2bd99p-12, 0x1.62cfad95d8a1dp-12, 0x1.5bd7bc1a95629p-12, 0x1.5516b20853f7cp-12, 0x1.4e8a2c708fa0cp-12, 0x1.482fdec425f8ep-12, 0x1.420592345e304p-12, 0x1.3c0925171837p-12, 0x1.36388a4e18243p-12, 0x1.3091c8b16a3ffp-12, 0x1.2b12fa7cd9612p-12, 0x1.25ba4cc068c23p-12, 0x1.2085fed3cc5ap-12, 0x1.1b7461ccd9dcbp-12, 0x1.1683d7f8e6aefp-12, 0x1.11b2d4590717bp-12, 0x1.0cffda212d53bp-12, 0x1.08697c3a18577p-12, 0x1.03ee5cc60cd52p-12, 0x1.ff1a59509e27ap-13, 0x1.f689561ea3c16p-13, 0x1.ee274a0326ccdp-13, 0x1.e5f1e9da3eb78p-13, 0x1.dde7047354c1fp-13, 0x1.d60481ba7779p-13, 0x1.ce4861e6c83aap-13, 0x1.c6b0bcadd956ap-13, 0x1.bf3bc07bf84bap-13, 0x1.b7e7b1b14bccdp-13, 0x1.b0b2e9e3b55b9p-13, 0x1.a99bd7255e21ep-13, 0x1.a2a0fb4fddf15p-13, 0x1.9bc0eb53edfd2p-13, 0x1.94fa4e8d8a7bfp-13, 0x1.8e4bde1c777cbp-13, 0x1.87b4644117d0bp-13, 0x1.8132bbbd76853p-13, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.1208521122dcep-2, -0x1.1e3cae2436b51p-2, -0x1.2a3dbd02ea0bdp-2, -0x1.360a0567bb219p-2, -0x1.41a0261eef736p-2, -0x1.4cfed5aa66736p-2, -0x1.5824e1da85b2p-2, -0x1.63112f5defacdp-2, -0x1.6dc2b94981b14p-2, -0x1.78389099fa6ddp-2, -0x1.8271dbb070bep-2, -0x1.8c6dd5caac3ffp-2, -0x1.962bce784be1p-2, -0x1.9fab290d87538p-2, -0x1.a8eb5c14473ap-2, -0x1.b1ebf0bc2f48fp-2, -0x1.baac824a286b7p-2, -0x1.c32cbd87e4507p-2, -0x1.cb6c6033c299ep-2, -0x1.d36b3871740b8p-2, -0x1.db29243baa01p-2, -0x1.e2a610d714954p-2, -0x1.e9e1fa46ef409p-2, -0x1.f0dceac33eab4p-2, -0x1.f796fa30fb15bp-2, -0x1.fe104d9c38ec8p-2, -0x1.02248b5a3b1e7p-1, -0x1.0520c9a58fc12p-1, -0x1.07fd066a2dd14p-1, -0x1.0ab96bf51a8a8p-1, -0x1.0d5629e910fc9p-1, -0x1.0fd375027b0c9p-1, -0x1.123186dca4434p-1, -0x1.14709db823545p-1, -0x1.1690fc427efcbp-1, -0x1.1892e95f0c04ep-1, -0x1.1a76aff1042edp-1, -0x1.1c3c9ea6d36c7p-1, -0x1.1de507c69e01dp-1, -0x1.1f7040fbf6c71p-1, -0x1.20dea326c9b8p-1, -0x1.22308a2b75525p-1, -0x1.236654c40fe58p-1, -0x1.24806452d783dp-1, -0x1.257f1cb5ca994p-1, -0x1.2662e41b63704p-1, -0x1.272c22d87786cp-1, -0x1.27db433f35325p-1, -0x1.2870b1773f953p-1, -0x1.28ecdb56e211cp-1, -0x1.2950303d5da87p-1, -0x1.299b20ee48c5dp-1, -0x1.29ce1f6e02d25p-1, -0x1.29e99edf340a1p-1, -0x1.29ee13615cb0ep-1, -0x1.29dbf1f069f4fp-1, -0x1.29b3b04554e6dp-1, -0x1.2975c4b7c1303p-1, -0x1.2922a6209ed66p-1, -0x1.28bacbbdc7c65p-1, -0x1.283ead1697302p-1, -0x1.27aec1e179275p-1, -0x1.270b81ea6ad5cp-1, -0x1.265564fa6dacep-1, -0x1.258ce2bfe4906p-1, -0x1.24b272b7db33ap-1, -0x1.23c68c18309f2p-1, -0x1.22c9a5baa588p-1, -0x1.21bc3608c5e5dp-1, -0x1.209eb2e8ac039p-1, -0x1.1f7191aa99f88p-1, -0x1.1e3546f76360ep-1, -0x1.1cea46bfa4b18p-1, -0x1.1b91042bc237fp-1, -0x1.1a29f18cadacdp-1, -0x1.18b5804d69fd4p-1, -0x1.173420e54b894p-1, -0x1.15a642caf038ap-1, -0x1.140c5467ea8fcp-1, -0x1.1266c30d1a7e4p-1, -0x1.10b5fae7b142p-1, -0x1.0efa66f6db196p-1, -0x1.0d347102097cep-1, -0x1.0b64818fda5abp-1, -0x1.098affdd98d0dp-1, -0x1.07a851d750234p-1, -0x1.05bcdc1070ee1p-1, -0x1.03c901bcfee6dp-1, -0x1.01cd24ab48b78p-1, -0x1.ff934a7c4019dp-2, -0x1.fb7dc4cf25756p-2, -0x1.f75a73483a83fp-2, -0x1.f32a0deca7be2p-2, -0x1.eeed49c5fe13dp-2, -0x1.eaa4d8db4cb5dp-2, -0x1.e6516a2b0b4bcp-2, -0x1.e1f3a9a5d3507p-2, -0x1.dd8c4029e0a93p-2, -0x1.d91bd37f50acbp-2, -0x1.d4a3065519711p-2, -0x1.d022783eb257dp-2, -0x1.cb9ac5b26900cp-2, -0x1.c70c880855026p-2, -0x1.c2785579efadbp-2, -0x1.bddec1223d66p-2, -0x1.b9405afe8a4ddp-2, -0x1.b49dafefb09ccp-2, -0x1.aff749bbe437fp-2, -0x1.ab4daf10fdd5cp-2, -0x1.a6a163873ea3p-2, -0x1.a1f2e7a48aa7cp-2, -0x1.9d42b8e00cb94p-2, -0x1.989151a64b73ep-2, -0x1.93df295d9cc3dp-2, -0x1.8f2cb46afcd3p-2, -0x1.8a7a643740e27p-2, -0x1.85c8a7349db3bp-2, -0x1.8117e8e482d42p-2, -0x1.7c6891ddc4a1bp-2, -0x1.77bb07d30f51ep-2, -0x1.730fad999f75bp-2, -0x1.6e66e3303c765p-2, -0x1.69c105c67509fp-2, -0x1.651e6fc411c18p-2, -0x1.607f78d0c0c2fp-2, -0x1.5be475dbf64a8p-2, -0x1.574db924fd8c6p-2, -0x1.52bb924334b0ep-2, -0x1.4e2e4e2e745a8p-2, -0x1.49a63747a164cp-2, -0x1.452395615cfbfp-2, -0x1.40a6adc8dcba2p-2, -0x1.3c2fc34edb65dp-2, -0x1.37bf1650abfep-2, -0x1.3354e4c160208p-2, -0x1.2ef16a330c589p-2, -0x1.2a94dfe01bd19p-2, -0x1.263f7cb4b8b64p-2, -0x1.21f175584626bp-2, -0x1.1daafc36e67f8p-2, -0x1.196c418b0e61cp-2, -0x1.153573672167dp-2, -0x1.1106bdbf18879p-2, -0x1.0ce04a722e9cap-2, -0x1.08c241548f256p-2, -0x1.04acc83909d6bp-2, -0x1.00a002fac8d34p-2, -0x1.f938270e04187p-3, -0x1.f14233cd584d2p-3, -0x1.e95e68905529dp-3, -0x1.e18cfe11f0bebp-3, -0x1.d9ce297e96012p-3, -0x1.d2221c875e36p-3, -0x1.ca890575345e3p-3, -0x1.c3030f3be467ap-3, -0x1.bb90618d1b6aep-3, -0x1.b43120eb4215ap-3, -0x1.ace56ebc48212p-3, -0x1.a5ad695c4bb85p-3, -0x1.9e892c3021339p-3, -0x1.9778cfb7bcec1p-3, -0x1.907c69a078ff1p-3, -0x1.89940cd737009p-3, -0x1.82bfc99a56945p-3, -0x1.7bffad8b88d78p-3, -0x1.7553c3c17c356p-3, -0x1.6ebc14d95537bp-3, -0x1.6838a707ffc15p-3, -0x1.61c97e2b55302p-3, -0x1.5b6e9bdb105aap-3, -0x1.5527ff798cc73p-3, -0x1.4ef5a64461d32p-3, -0x1.48d78b64bbe0ep-3, -0x1.42cda7ff8ed27p-3, -0x1.3cd7f3458af15p-3, -0x1.36f66282e5db5p-3, -0x1.3128e92ee8801p-3, -0x1.2b6f78fb43f29p-3, -0x1.25ca01e334f7dp-3, -0x1.2038723a6f4a7p-3, -0x1.1abab6bbc9892p-3, -0x1.1550ba97ba86bp-3, -0x1.0ffa678294a1ap-3, -0x1.0ab7a5c28ef82p-3, -0x1.05885c3d8ae18p-3, -0x1.006c7086a9e8p-3, -0x1.f6c78dd74393bp-4, -0x1.ecdc8503b21fcp-4, -0x1.e3178a668a61dp-4, -0x1.d9785f962456bp-4, -0x1.cffec4041756bp-4, -0x1.c6aa75159683ep-4, -0x1.bd7b2e3b591c2p-4, -0x1.b470a9090eafbp-4, -0x1.ab8a9d4c4f672p-4, -0x1.a2c8c1232801bp-4, -0x1.9a2ac9122568cp-4, -0x1.91b06819ee9cfp-4, -0x1.89594fcc61e91p-4, -0x1.812530614a1d1p-4, -0x1.7913b8ca95a5dp-4, -0x1.712496c81c86ep-4, -0x1.695776faf4dbfp-4, -0x1.61ac04f85398ep-4, -0x1.5a21eb5bfbd15p-4, -0x1.52b8d3da3d96p-4, -0x1.4b706751851d1p-4, -0x1.44484ddb79ac6p-4, -0x1.3d402eddaf456p-4, -0x1.3657b119eb6afp-4, -0x1.2f8e7abdfc214p-4, -0x1.28e4317326411p-4, -0x1.22587a6d26b8cp-4, -0x1.1beafa78cd6a4p-4, -0x1.159b560a2f029p-4, -0x1.0f69314a6f8d5p-4, -0x1.0954302528ee7p-4, -0x1.035bf6556cbbfp-4, -0x1.fb004ee4c3fa5p-5, -0x1.ef80cdf704acep-5, -0x1.e438b0c8edf24p-5, -0x1.d9273e412ab2fp-5, -0x1.ce4bbd5bfe5cdp-5, -0x1.c3a57540ca681p-5, -0x1.b933ad56df03ep-5, -0x1.aef5ad5997f7dp-5, -0x1.a4eabd6bc8e55p-5, -0x1.9b12262a7b5f5p-5, -0x1.916b30bf03117p-5, -0x1.87f526f068aa1p-5, -0x1.7eaf533430cf7p-5, -0x1.759900be80871p-5, -0x1.6cb17b91a01e5p-5, -0x1.63f8108ce4ab5p-5, -0x1.5b6c0d7afe64bp-5, -0x1.530cc11fae455p-5, -0x1.4ad97b44ecd78p-5, -0x1.42d18cc77a68ep-5, -0x1.3af447a2e4f84p-5, -0x1.3340fefd010c9p-5, -0x1.2bb70730dc247p-5, -0x1.2455b5d926472p-5, -0x1.1d1c61da1e54ep-5, -0x1.160a636af9573p-5, -0x1.0f1f141ed0148p-5, -0x1.0859ceed117eap-5, -0x1.01b9f0397e8f2p-5, -0x1.f67dabb761f2bp-6, -0x1.e9cfbe4c633fbp-6, -0x1.dd68d9da3b7ccp-6, -0x1.d147c318c2f06p-6, -0x1.c56b41db1481dp-6, -0x1.b9d2211a5e07fp-6, -0x1.ae7b2effedab4p-6, -0x1.a3653cee7ba8ep-6, -0x1.988f1f8ab4ad9p-6, -0x1.8df7aec30d3bep-6, -0x1.839dc5d6de1c8p-6, -0x1.7980435cd7382p-6, -0x1.6f9e0948c555fp-6, -0x1.65f5fcf0b4983p-6, -0x1.5c8707117288cp-6, -0x1.535013d276098p-6, -0x1.4a5012c92e91cp-6, -0x1.4185f6fbc5469p-6, -0x1.38f0b6e34fedcp-6, -0x1.308f4c6d77247p-6, -0x1.2860b4fd9f53ep-6, -0x1.2063f16d8ca6bp-6, -0x1.1898060d8d41fp-6, -0x1.10fbfaa42df95p-6, -0x1.098eda6d7817cp-6, -0x1.024fb419c37d6p-6, -0x1.f67b33983756fp-7, -0x1.e8af423081c85p-7, -0x1.db39c60080e04p-7, -0x1.ce18f7e369ddap-7, -0x1.c14b178548448p-7, -0x1.b4ce6b5c0f2aep-7, -0x1.a8a140a007444p-7, -0x1.9cc1eb439139dp-7, -0x1.912ec5ea4e9bbp-7, -0x1.85e631dfc24d9p-7, -0x1.7ae6970d51eb7p-7, -0x1.702e63efccbdp-7, -0x1.65bc0d8c6a25p-7, -0x1.5b8e0f6554a92p-7, -0x1.51a2eb6db6502p-7, -0x1.47f929fd627b6p-7, -0x1.3e8f59c408f8ap-7, -0x1.35640fbc0e70bp-7, -0x1.2c75e71d061f3p-7, -0x1.23c3814dce82ep-7, -0x1.1b4b85d65dd62p-7, -0x1.130ca2513e061p-7, -0x1.0b058a5cc00bep-7, -0x1.0334f78be99bp-7, -0x1.f73352ae44b51p-8, -0x1.e864ca194d6d4p-8, -0x1.d9fbeb81828c7p-8, -0x1.cbf6587ba54cdp-8, -0x1.be51bde85418dp-8, -0x1.b10bd3d364b4ap-8, -0x1.a4225d52f1489p-8, -0x1.979328661f9cfp-8, -0x1.8b5c0dd3a7982p-8, -0x1.7f7af10823b2ap-8, -0x1.73edbff42ebfep-8, -0x1.68b272ea58e6fp-8, -0x1.5dc70c7cf72bfp-8, -0x1.5329995bd68b3p-8, -0x1.48d83031d76f7p-8, -0x1.3ed0f18275bccp-8, -0x1.351207874869p-8, -0x1.2b99a60d75425p-8, -0x1.22660a5328ee2p-8, -0x1.19757ae50d806p-8, -0x1.10c6477bcce48p-8, -0x1.0856c8d99e415p-8, -0x1.002560a7e7e89p-8, -0x1.f060f2a9e574ep-9, -0x1.e0ed0be3786e3p-9, -0x1.d1ec041fc7bbep-9, -0x1.c35ae33f7537ap-9, -0x1.b536c19cf3426p-9, -0x1.a77cc7c93f00ap-9, -0x1.9a2a2e48f809ap-9, -0x1.8d3c3d51d3498p-9, -0x1.80b04c8877b89p-9, -0x1.7483c2bebf479p-9, -0x1.68b415b26e042p-9, -0x1.5d3ec9cc5ca48p-9, -0x1.522171e01dcc7p-9, -0x1.4759aeec21fc9p-9, -0x1.3ce52fda5f3bep-9, -0x1.32c1b14180fdap-9, -0x1.28ecfd26a5e43p-9, -0x1.1f64eabfa8002p-9, -0x1.16275e35fc7e5p-9, -0x1.0d32486a29a4ep-9, -0x1.0483a6b7d16e4p-9, -0x1.f8330574bb6bap-10, -0x1.e7e3e42495291p-10, -0x1.d8162c56183a7p-10, -0x1.c8c6380340b93p-10, -0x1.b9f077d77f127p-10, -0x1.ab9172bf744e8p-10, -0x1.9da5c579f17a5p-10, -0x1.902a222a5899bp-10, -0x1.831b4fec573f7p-10, -0x1.76762a68ed4a2p-10, -0x1.6a37a16ce06b5p-10, -0x1.5e5cb88084d4bp-10, -0x1.52e28680ed0e3p-10, -0x1.47c6353a72536p-10, -0x1.3d050104a89a9p-10, -0x1.329c385fad635p-10, -0x1.28893b92e46fcp-10, -0x1.1ec97c4d12a53p-10, -0x1.155a7d45d9556p-10, -0x1.0c39d1e09e51fp-10, -0x1.03651dd0d0944p-10, -0x1.f5b4297f2e319p-11, -0x1.e52cf3e5b576bp-11, -0x1.d5303feb6bfecp-11, -0x1.c5b9d084899afp-11, -0x1.b6c585d9a4e9fp-11, -0x1.a84f5ca0ca514p-11, -0x1.9a536d794db1cp-11, -0x1.8ccdec4a4e49bp-11, -0x1.7fbb27a3ebddap-11, -0x1.731788232a001p-11, -0x1.66df8fd87a0b7p-11, -0x1.5b0fd9b0ea72dp-11, -0x1.4fa518e1f46f3p-11, -0x1.449c1857e4a82p-11, -0x1.39f1ba26d730fp-11, -0x1.2fa2f6fe4544fp-11, -0x1.25acdd9f1c363p-11, -0x1.1c0c92545705dp-11, -0x1.12bf4e6e19861p-11, -0x1.09c25fbf40a34p-11, -0x1.0113281d66b4p-11, -0x1.f15e39c6a76ap-12, -0x1.e1278ceba0dc7p-12, -0x1.d17d7f95b81e7p-12, -0x1.c25b6be66c96ep-12, -0x1.b3bccf4c7b07ep-12, -0x1.a59d49a02a90ep-12, -0x1.97f89c4424127p-12, -0x1.8acaa94abfae3p-12, -0x1.7e0f729fbf628p-12, -0x1.71c319366616dp-12, -0x1.65e1dc3bd9fcbp-12, -0x1.5a68184dca9c8p-12, -0x1.4f5246b5464a5p-12, -0x1.449cfca5b0269p-12, -0x1.3a44ea7fcf74bp-12, -0x1.3046db18de9dap-12, -0x1.269fb305931b2p-12, -0x1.1d4c6fe90e8a7p-12, -0x1.144a27c7a5fa7p-12, -0x1.0b96085d76e7ap-12, -0x1.032d5678b3d4dp-12, -0x1.f61adaaf437bdp-13, -0x1.e6677c1460aa9p-13, -0x1.d73b9dae48f6dp-13, -0x1.c892754985dc9p-13, -0x1.ba6760c9d7c0dp-13, -0x1.acb5e509394f5p-13, -0x1.9f79acbd884f6p-13, -0x1.92ae8764c66acp-13, -0x1.86506837bf77p-13, -0x1.7a5b65230e0cdp-13, -0x1.6ecbb5c65416cp-13, -0x1.639db27997223p-13, -0x1.58cdd358944f3p-13, -0x1.4e58af54010fcp-13, -0x1.443afb48984aep-13, -0x1.3a71891bcb598p-13, -0x1.30f946de15116p-13, -0x1.27cf3df2bd52ep-13, -0x1.1ef0923d007e9p-13, -0x1.165a815277b03p-13, -0x1.0e0a61b2aed6fp-13, -0x1.05fda203ce89bp-13, -0x1.fc6390a87425ep-14, -0x1.ed48e2c219f63p-14, -0x1.dea69fc2bf82p-14, -0x1.d07857ac7a75ep-14, -0x1.c2b9c3be5067p-14, -0x1.b566c526477f8p-14, -0x1.a87b63bc348d4p-14, -0x1.9bf3ccc53fcbp-14, -0x1.8fcc51bfba6b8p-14, -0x1.840167374e73ep-14, -0x1.788fa3a138033p-14, -0x1.6d73be4069f0bp-14, -0x1.62aa8e11705b9p-14, -0x1.583108bde4dc7p-14, -0x1.4e0441974c59p-14, -0x1.44216899305d2p-14, -0x1.3a85c9725162fp-14, -0x1.312eca94c279ep-14, -0x1.2819ec4ccbb81p-14, -0x1.1f44c7de6a8fcp-14, -0x1.16ad0ea9480cp-14, -0x1.0e50895301a56p-14, -0x1.062d16f79c82ap-14, -0x1.fc8158c000643p-15, -0x1.ed12a67caac09p-15, -0x1.de0a52e0439d3p-15, -0x1.cf64c08c057bcp-15, -0x1.c11e77a1c04aap-15, -0x1.b3342468f14a9p-15, -0x1.a5a295fe4b92ap-15, -0x1.9866bd0d69da9p-15, -0x1.8b7daa947212p-15, -0x1.7ee48eb16594ep-15, -0x1.7298b778e3a19p-15, -0x1.66978fd620172p-15, -0x1.5ade9e73d47a8p-15, -0x1.4f6b84adf0e4ep-15, -0x1.443bfd8bd1c48p-15, -0x1.394ddcc2c6ebp-15, -0x1.2e9f0dc0ae4d2p-15, -0x1.242d92be77375p-15, -0x1.19f783da4a3c2p-15, -0x1.0ffb0e393459dp-15, -0x1.06367330102b3p-15, -0x1.f9500ee717418p-16, -0x1.e69c649e20837p-16, -0x1.d44ed9c4be3bcp-16, -0x1.c26482cb6d4aap-16, -0x1.b0da94e8a43d2p-16, -0x1.9fae64ba24e86p-16, -0x1.8edd64f25acd7p-16, -0x1.7e6525115dcb1p-16, -0x1.6e43502953ef2p-16, -0x1.5e75abaddb38bp-16, -0x1.4efa164e29245p-16, -0x1.3fce86d9973bdp-16, -0x1.30f10b2e4bf51p-16, -0x1.225fc731b7d14p-16, -0x1.1418f3d29c84p-16, -0x1.061ade1458f62p-16, -0x1.f0c7cc465fd66p-17, -0x1.d5e4fce29af72p-17, -0x1.bb8a55b87e02cp-17, -0x1.a1b4ffb549164p-17, -0x1.88624363b0309p-17, -0x1.6f8f8766a365ep-17, -0x1.573a4f030da7ep-17, -0x1.3f6038b814d33p-17, -0x1.27fefce575d7ep-17, -0x1.11146c7f7c49fp-17, -0x1.f53cdfa067dcdp-18, -0x1.c9360a8ac5fd9p-18, -0x1.9e108095d441cp-18, -0x1.73c890624250bp-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.90b3c35a4648dp-1, 0x1.8dbcec7f95be7p-1, 0x1.8a8b7c05a7cb1p-1, 0x1.871eed20b8dd2p-1, 0x1.8376f98fee41fp-1, 0x1.7f939754daabp-1, 0x1.7b74f6146c1b5p-1, 0x1.771b7c36b0b2ap-1, 0x1.7287c3d7eea42p-1, 0x1.6dba979accd55p-1, 0x1.68b4ef68dd827p-1, 0x1.6377ed2ca7c9cp-1, 0x1.5e04d98e5b59ap-1, 0x1.585d20baaab46p-1, 0x1.52824f39ca149p-1, 0x1.4c760edb4fb35p-1, 0x1.463a23ba9a0cfp-1, 0x1.3fd0695e768c1p-1, 0x1.393acff6009ffp-1, 0x1.327b59b4093fbp-1, 0x1.2b941849d2edbp-1, 0x1.24872a8180909p-1, 0x1.1d56b9f83d11bp-1, 0x1.1604f8f7d9916p-1, 0x1.0e94206f6975ep-1, 0x1.07066e0a3ee28p-1, 0x1.febc44c8fda1bp-2, 0x1.ef3afeb8f2832p-2, 0x1.df8d8cffb0098p-2, 0x1.cfb86f27662edp-2, 0x1.bfc01e6d19327p-2, 0x1.afa90b3676d8bp-2, 0x1.9f779ab783c96p-2, 0x1.8f3024c6363a8p-2, 0x1.7ed6f1da03bp-2, 0x1.6e7039357fca1p-2, 0x1.5e001f3832e72p-2, 0x1.4d8ab3d6ceee5p-2, 0x1.3d13f1380a03p-2, 0x1.2c9fba745b75p-2, 0x1.1c31da76f8aa8p-2, 0x1.0bce02fe7186dp-2, 0x1.f6ef9776aa141p-3, 0x1.d6656316c1b67p-3, 0x1.b6042b9f7bf8fp-3, 0x1.95d27bb9bc1ffp-3, 0x1.75d6a50528fe7p-3, 0x1.5616bf5637045p-3, 0x1.3698a81f6a06p-3, 0x1.176202034adeap-3, 0x1.f0f0691963fb4p-4, 0x1.b3c0d816152bap-4, 0x1.773f33208ce96p-4, 0x1.3b74e61cc70c7p-4, 0x1.006ae724c840bp-4, 0x1.8c536e6aceed5p-5, 0x1.1972c61c3350ep-5, 0x1.5086110000775p-6, 0x1.c694268a947b7p-8, -0x1.a68ab6aece89fp-8, -0x1.4137f4d955d61p-6, -0x1.0a81b0a7bd504p-5, -0x1.72779b67c7eb8p-5, -0x1.d873aff04bd8dp-5, -0x1.1e365975dfa82p-4, -0x1.4f2d1a21365f8p-4, -0x1.7f1a4564758ap-4, -0x1.adfa67e57444cp-4, -0x1.dbca6d3b54191p-4, -0x1.0443cecb61d25p-3, -0x1.1a17cdaf54e7cp-3, -0x1.2f60306193dc5p-3, -0x1.441c1ea45f4e9p-3, -0x1.584ae9a69527ap-3, -0x1.6bec0ac3ccfa7p-3, -0x1.7eff2242d1b24p-3, -0x1.9183f613376ebp-3, -0x1.a37a708aa4d9fp-3, -0x1.b4e29f2272b1cp-3, -0x1.c5bcb1362494bp-3, -0x1.d608f6c34ed88p-3, -0x1.e5c7df2b59205p-3, -0x1.f4f9f7f79552dp-3, -0x1.01cff5d0072adp-2, -0x1.08dd402abc7eap-2, -0x1.0fa54b674cefbp-2, -0x1.1628948cb87acp-2, -0x1.1c67a4b83c3b7p-2, -0x1.2263108a1ea3fp-2, -0x1.281b7794c434fp-2, -0x1.2d9183ce2b7efp-2, -0x1.32c5e903e518fp-2, -0x1.37b96451a6c58p-2, -0x1.3c6cbb9a7fefdp-2, -0x1.40e0bd04ceb98p-2, -0x1.45163e78fc326p-2, -0x1.490e1d230f1f6p-2, -0x1.4cc93cf71f6d2p-2, -0x1.50488838b861dp-2, -0x1.538cef0528ad5p-2, -0x1.569766e0cca75p-2, -0x1.5968ea4756b17p-2, -0x1.5c02783f154c9p-2, -0x1.5e6513ef3984dp-2, -0x1.6091c43920c82p-2, -0x1.628993549ea3ap-2, -0x1.644d8e6f43522p-2, -0x1.65dec54ea06f2p-2, -0x1.673e49f584c3cp-2, -0x1.686d304c28951p-2, -0x1.696c8dcb4ae4fp-2, -0x1.6a3d792a32e36p-2, -0x1.6ae10a0f92ed8p-2, -0x1.6b5858c543dd8p-2, -0x1.6ba47deecdacbp-2, -0x1.6bc69242bba6p-2, -0x1.6bbfae46ab00dp-2, -0x1.6b90ea0e0e9ddp-2, -0x1.6b3b5cfb9d578p-2, -0x1.6ac01d855e962p-2, -0x1.6a2040fb4a981p-2, -0x1.695cdb5077662p-2, -0x1.6876fee6bd572p-2, -0x1.676fbc5cd392fp-2, -0x1.6648225ecf798p-2, -0x1.65013d78fbee1p-2, -0x1.639c17ed025f5p-2, -0x1.6219b9894ffefp-2, -0x1.607b2782b3338p-2, -0x1.5ec164501d79fp-2, -0x1.5ced6f88807a5p-2, -0x1.5b0045c2bc32dp-2, -0x1.58fae07787c9dp-2, -0x1.56de35e55507cp-2, -0x1.54ab38f616b93p-2, -0x1.5262d926e19d1p-2, -0x1.500602715ce0fp-2, -0x1.4d959d36f174cp-2, -0x1.4b128e2dabe53p-2, -0x1.487db64ec7f1bp-2, -0x1.45d7f2c6d2831p-2, -0x1.43221ce75fd07p-2, -0x1.405d0a1a39fddp-2, -0x1.3d898bd60bb76p-2, -0x1.3aa86f9470cddp-2, -0x1.37ba7ec962b52p-2, -0x1.34c07edbf5e72p-2, -0x1.31bb31205cbbp-2, -0x1.2eab52d322efep-2, -0x1.2b919d15959abp-2, -0x1.286ec4eb4e3a5p-2, -0x1.25437b38d431ap-2, -0x1.22106cc34a88dp-2, -0x1.1ed642311d365p-2, -0x1.1b95a00ba6738p-2, -0x1.184f26c1bf5ddp-2, -0x1.150372ab30037p-2, -0x1.11b31c0cfbc74p-2, -0x1.0e5eb71e73ae8p-2, -0x1.0b06d40f144fbp-2, -0x1.07abff0d18f48p-2, -0x1.044ec04cc14b1p-2, -0x1.00ef9c103ea88p-2, -0x1.fb1e256081008p-3, -0x1.f45b414a2cc9cp-3, -0x1.ed977d20c2d12p-3, -0x1.e6d3c28e92ddfp-3, -0x1.e010f3ba5fadfp-3, -0x1.d94feb5db2a9p-3, -0x1.d2917cdc07f6fp-3, -0x1.cbd6745aca2bbp-3, -0x1.c51f96da0cd3ap-3, -0x1.be6da24df0c3dp-3, -0x1.b7c14db8b7748p-3, -0x1.b11b49456156dp-3, -0x1.aa7c3e62d9c8p-3, -0x1.a3e4cfdf9f0acp-3, -0x1.9d559a05d9f75p-3, -0x1.96cf32b7dad2p-3, -0x1.9052298cee192p-3, -0x1.89df07ee8400cp-3, -0x1.837651359824dp-3, -0x1.7d1882c8550c4p-3, -0x1.76c61437e6494p-3, -0x1.707f775e76962p-3, -0x1.6a45187d44cf6p-3, -0x1.64175e5ad514ap-3, -0x1.5df6aa6129d38p-3, -0x1.57e358bc04bd8p-3, -0x1.51ddc07725fb4p-3, -0x1.4be6339c7c6cp-3, -0x1.45fcff524d18ep-3, -0x1.40226bf93da1cp-3, -0x1.3a56bd4a40c17p-3, -0x1.349a32746246bp-3, -0x1.2eed063a6630bp-3, -0x1.294f6f103d933p-3, -0x1.23c19f38408b3p-3, -0x1.1e43c4e0344e7p-3, -0x1.18d60a3e11e5bp-3, -0x1.137895ac8aee9p-3, -0x1.0e2b89c7471dep-3, -0x1.08ef0586da823p-3, -0x1.03c3245c6ada2p-3, -0x1.fd4ffc9a09bdep-4, -0x1.f33b50193f834p-4, -0x1.e94866318c1ccp-4, -0x1.df775ba5cef68p-4, -0x1.d5c847349227cp-4, -0x1.cc3b39cb43a9ep-4, -0x1.c2d03eb88d61ap-4, -0x1.b9875bde07ca4p-4, -0x1.b06091e10b72fp-4, -0x1.a75bdc5ac2ba5p-4, -0x1.9e79320766ad5p-4, -0x1.95b884f4b4ed7p-4, -0x1.8d19c2af7f228p-4, -0x1.849cd47077da5p-4, -0x1.7c419f481e3a4p-4, -0x1.74080449d33e1p-4, -0x1.6befe0b617487p-4, -0x1.63f90e23eb728p-4, -0x1.5c2362a95a1f5p-4, -0x1.546eb103234d9p-4, -0x1.4cdac8bb8e986p-4, -0x1.45677650628bep-4, -0x1.3e148358017b6p-4, -0x1.36e1b6a5ac327p-4, -0x1.2fced46cec9e5p-4, -0x1.28db9e6426256p-4, -0x1.2207d3e6522f6p-4, -0x1.1b533213e3f1p-4, -0x1.14bd73f2d91ccp-4, -0x1.0e46528df8869p-4, -0x1.07ed85133e331p-4, -0x1.01b2c0f1790c7p-4, -0x1.f72b73ea36ec7p-5, -0x1.eb2c44c87dde5p-5, -0x1.df675633c337ap-5, -0x1.d3dc0740b2aa6p-5, -0x1.c889b4960b1b5p-5, -0x1.bd6fb89e785aep-5, -0x1.b28d6bb8f2fd7p-5, -0x1.a7e22467a218fp-5, -0x1.9d6d377d491c8p-5, -0x1.932df84949d9ap-5, -0x1.8923b8c236e02p-5, -0x1.7f4dc9af076a9p-5, -0x1.75ab7acee8a1bp-5, -0x1.6c3c1affb8887p-5, -0x1.62fef8632d059p-5, -0x1.59f36082af7e5p-5, -0x1.5118a071efd17p-5, -0x1.486e04f0377e7p-5, -0x1.3ff2da88818d3p-5, -0x1.37a66db05ef1bp-5, -0x1.2f880ae5aa983p-5, -0x1.2796fecb15307p-5, -0x1.1fd296439075cp-5, -0x1.183a1e8c9d1f4p-5, -0x1.10cce55781723p-5, -0x1.098a38e1708f6p-5, -0x1.0271680aaa927p-5, -0x1.f70384d9299e8p-6, -0x1.e97530ddaadefp-6, -0x1.dc3676b6f45c4p-6, -0x1.cf45fae450ddap-6, -0x1.c2a263f4caee8p-6, -0x1.b64a5aa9eeff3p-6, -0x1.aa3c8a18c9c16p-6, -0x1.9e779fc937dcp-6, -0x1.92fa4bd386433p-6, -0x1.87c340fc7a6ccp-6, -0x1.7cd134cfc3c92p-6, -0x1.7222dfb8e819p-6, -0x1.67b6fd1aaed83p-6, -0x1.5d8c4b6523aa3p-6, -0x1.53a18c2a280bep-6, -0x1.49f58430ac366p-6, -0x1.4086fb869b29dp-6, -0x1.3754bd9175a7p-6, -0x1.2e5d991db3514p-6, -0x1.25a0606cf5ee1p-6, -0x1.1d1be943059d7p-6, -0x1.14cf0cf1baa19p-6, -0x1.0cb8a863c53c2p-6, -0x1.04d79c266cf44p-6, -0x1.fa5598e497005p-7, -0x1.eb624266161dap-7, -0x1.dcd30c1c5df61p-7, -0x1.cea5d4d1eb5f8p-7, -0x1.c0d882dab4249p-7, -0x1.b369041c68e4dp-7, -0x1.a6554e15230bp-7, -0x1.999b5de077cebp-7, -0x1.8d39383b055e3p-7, -0x1.812ce9849656cp-7, -0x1.757485c0d1b07p-7, -0x1.6a0e28969a4d8p-7, -0x1.5ef7f54e2c3f3p-7, -0x1.543016cdf2207p-7, -0x1.49b4bf96317acp-7, -0x1.3f8429bb9e666p-7, -0x1.359c96e0d0577p-7, -0x1.2bfc502eb636bp-7, -0x1.22a1a64c0e22ap-7, -0x1.198af153ee7f8p-7, -0x1.10b690cb6b2d4p-7, -0x1.0822eb96638cdp-7, -0x1.ff9cdfd7041f3p-8, -0x1.ef6f268ef6369p-8, -0x1.dfb9a4bf2497ep-8, -0x1.d0796226e5349p-8, -0x1.c1ab74bcc519ap-8, -0x1.b34d008fb981cp-8, -0x1.a55b37a72fd44p-8, -0x1.97d359e20ce49p-8, -0x1.8ab2b4d4a9cc7p-8, -0x1.7df6a3a5e6968p-8, -0x1.719c8eeb597a1p-8, -0x1.65a1ec84b36dcp-8, -0x1.5a043f7663126p-8, -0x1.4ec117c386d94p-8, -0x1.43d612473e2a7p-8, -0x1.3940d88d65136p-8, -0x1.2eff20aac8dadp-8, -0x1.250ead14e1daep-8, -0x1.1b6d4c791fdd5p-8, -0x1.1218d993d5136p-8, -0x1.090f3b06c8abbp-8, -0x1.004e632f7fa98p-8, -0x1.efa89ffa89fbfp-9, -0x1.df3e158df69dbp-9, -0x1.cf59504182475p-9, -0x1.bff68f62e727ep-9, -0x1.b11228102c709p-9, -0x1.a2a884e256af9p-9, -0x1.94b6259803574p-9, -0x1.87379ec005f5bp-9, -0x1.7a29996412ee9p-9, -0x1.6d88d2b385cbp-9, -0x1.61521bae57631p-9, -0x1.558258d043e16p-9, -0x1.4a1681bc4146ap-9, -0x1.3f0ba0e83dfc3p-9, -0x1.345ed349430b5p-9, -0x1.2a0d47fffb188p-9, -0x1.20144005af975p-9, -0x1.16710dd9bf06dp-9, -0x1.0d21152f9e3acp-9, -0x1.0421ca9d6541p-9, -0x1.f6e16695ebecdp-10, -0x1.e616c9438a9acp-10, -0x1.d5df07fa87c91p-10, -0x1.c6358cb7ffa73p-10, -0x1.b715e022e696fp-10, -0x1.a87ba8f12adc3p-10, -0x1.9a62ab4e47989p-10, -0x1.8cc6c8437dfccp-10, -0x1.7fa3fd218b084p-10, -0x1.72f662ec16a35p-10, -0x1.66ba2dc6ba4c3p-10, -0x1.5aebac63c59f9p-10, -0x1.4f874774b69a7p-10, -0x1.4489811c70d71p-10, -0x1.39eef4633de7ap-10, -0x1.2fb454ac990f1p-10, -0x1.25d66d2ec777cp-10, -0x1.1c52206c494b5p-10, -0x1.132467af204a3p-10, -0x1.0a4a5285f4e57p-10, -0x1.01c106431622dp-10, -0x1.f30b7afac03d2p-11, -0x1.e32b8f25fcb62p-11, -0x1.d3dd105c308ffp-11, -0x1.c51aed96bfcb4p-11, -0x1.b6e03c850f2bcp-11, -0x1.a92838a13b0d3p-11, -0x1.9bee42489bacp-11, -0x1.8f2dddd81381ep-11, -0x1.82e2b2cc2828ap-11, -0x1.77088ae4e29c3p-11, -0x1.6b9b514d73ef9p-11, -0x1.609711c79bbf8p-11, -0x1.55f7f7dacb361p-11, -0x1.4bba4e0702245p-11, -0x1.41da7cfb5e178p-11, -0x1.38550ad05a49p-11, -0x1.2f269a45b646fp-11, -0x1.264bea03ff821p-11, -0x1.1dc1d3e1b6c53p-11, -0x1.15854c2c0941ep-11, -0x1.0d9360f31756ap-11, -0x1.05e93959c0f4cp-11, -0x1.fd0829d1db785p-12, -0x1.eec295cc97403p-12, -0x1.e0fc935cf28ap-12, -0x1.d3b12c2524601p-12, -0x1.c6db95722dd96p-12, -0x1.ba772f044c404p-12, -0x1.ae7f81ddf5361p-12, -0x1.a2f03f1952eb5p-12, -0x1.97c53ec42399dp-12, -0x1.8cfa7ec1f08a9p-12, -0x1.828c21b47d952p-12, -0x1.78766dea68892p-12, -0x1.6eb5cc53dac99p-12, -0x1.6546c77d39baep-12, -0x1.5c260a8fc55bap-12, -0x1.5350605807c0cp-12, -0x1.4ac2b2520a334p-12, -0x1.427a07bb2db54p-12, -0x1.3a7384a99bac6p-12, -0x1.32ac692935788p-12, -0x1.2b22105debff5p-12, -0x1.23d1efab65f47p-12, -0x1.1cb995e1ebdcp-12, -0x1.15d6aa7071b2ep-12, -0x1.0f26ec9bb6213p-12, -0x1.08a832ba5dfebp-12, -0x1.02586975f3645p-12, -0x1.f86b2621663eep-13, -0x1.ec7b8d602dee6p-13, -0x1.e0de5f5807fd3p-13, -0x1.d59019c50cdccp-13, -0x1.ca8d60200d864p-13, -0x1.bfd2fa57cfd14p-13, -0x1.b55dd392ddd85p-13, -0x1.ab2af8f9d100bp-13, -0x1.a1379889eab4dp-13, -0x1.9780ffefc6938p-13, -0x1.8e049b6a0ea9cp-13, -0x1.84bff4b3fd77bp-13, -0x1.7bb0b1f78707p-13, -0x1.72d494c706d7cp-13, -0x1.6a29791e40335p-13, -0x1.61ad546a9b46cp-13, -0x1.595e349a6646dp-13, -0x1.513a3f32feb0cp-13, -0x1.493fb06dbbecep-13, -0x1.416cda5b73b16p-13, -0x1.39c0240e75eafp-13, -0x1.323808cad889ep-13, -0x1.2ad3173cf3accp-13, -0x1.238ff0b5e8547p-13, -0x1.1c6d486e09ffap-13, -0x1.1569e2cd14a95p-13, -0x1.0e8494b80220fp-13, -0x1.07bc42e461e98p-13, -0x1.010fe131124c4p-13, -0x1.f4fce4087296p-14, -0x1.e80e0b5cba0aap-14, -0x1.db5173a504af9p-14, -0x1.cec571a64cf43p-14, -0x1.c2687287fdc7p-14, -0x1.b638fac0c547ep-14, -0x1.aa35a50c67844p-14, -0x1.9e5d216a78343p-14, -0x1.92ae3425a1c13p-14, -0x1.8727b4e35e36p-14, -0x1.7bc88dbbd66d5p-14, -0x1.708fba59bc71fp-14, -0x1.657c4721e6289p-14, -0x1.5a8d5062799a2p-14, -0x1.4fc20189727c7p-14, -0x1.4519946251c73p-14, -0x1.3a93505ac53f4p-14, -0x1.302e89ce17998p-14, -0x1.25eaa15737a98p-14, -0x1.1bc703292aa7ep-14, -0x1.11c3266dbabadp-14, -0x1.07de8caa34b66p-14, -0x1.fc31825417a8ep-15, -0x1.e8e2b0de68bf2p-15, -0x1.d5cfdf502122ep-15, -0x1.c2f85855847cfp-15, -0x1.b05b75eb75e18p-15, -0x1.9df8a06ac9f27p-15, -0x1.8bcf4d9d741aap-15, -0x1.79deffdd508dap-15, -0x1.6827453c36044p-15, -0x1.56a7b6b50e5cap-15, -0x1.455ff765acf99p-15, -0x1.344fb3d11f25bp-15, -0x1.2376a12a32be7p-15, -0x1.12d47ca5f137dp-15, -0x1.02690ad5d0a52p-15, -0x1.e4682e12b49p-16, -0x1.c46ae56e143ep-16, -0x1.a4d9e9d858028p-16, -0x1.85b4f386fb6c2p-16, -0x1.66fbc3c4b0218p-16, -0x1.48ae23f85f02ep-16, -0x1.2acbe4b85db6bp-16, -0x1.0d54dce975e8cp-16, -0x1.e091d1d2b2b6ap-17, -0x1.a74fd38831b7dp-17, -0x1.6ee388e883c38p-17, -0x1.374cc25a8218ap-17, -0x1.008b555f5c6cfp-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.a084880388866p-1, 0x1.9fb1e57b52265p-1, 0x1.9ece968bd264p-1, 0x1.9dda3898077ccp-1, 0x1.9cd475395cfadp-1, 0x1.9bbd024374d14p-1, 0x1.9a93a1aeda008p-1, 0x1.9958216e4f71p-1, 0x1.980a5b32169d7p-1, 0x1.96aa341c34c3ap-1, 0x1.95379c68691a6p-1, 0x1.93b28f0a38099p-1, 0x1.921b11432a1cp-1, 0x1.9071323319e0cp-1, 0x1.8eb50a642a6ap-1, 0x1.8ce6bb53cf0c2p-1, 0x1.8b066efa198d2p-1, 0x1.8914575052e81p-1, 0x1.8710add7c0444p-1, 0x1.84fbb32151adcp-1, 0x1.82d5ae56d55f6p-1, 0x1.809eecc633ff2p-1, 0x1.7e57c16f20e59p-1, 0x1.7c0084939237fp-1, 0x1.7999934b47a42p-1, 0x1.77234f1a92c2ep-1, 0x1.749e1d8c8b592p-1, 0x1.720a67d0c96b3p-1, 0x1.6f689a5cba3dcp-1, 0x1.6cb924909bb48p-1, 0x1.69fc78602192ep-1, 0x1.673309fec2dcbp-1, 0x1.645d4f8faab82p-1, 0x1.617bc0d9443ep-1, 0x1.5e8ed6fc50499p-1, 0x1.5b970c2e78f6ap-1, 0x1.5894db7852513p-1, 0x1.5588c076b0049p-1, 0x1.5273371f41175p-1, 0x1.4f54bb8857881p-1, 0x1.4c2dc9b3c9c35p-1, 0x1.48fedd5cd3567p-1, 0x1.45c871c8df8b2p-1, 0x1.428b019b2745bp-1, 0x1.3f4706ab08a2ap-1, 0x1.3bfcf9dd03001p-1, 0x1.38ad52fe3f09ap-1, 0x1.355888a28acf3p-1, 0x1.31ff1004b6c3cp-1, 0x1.2ea15ce93666ep-1, 0x1.2b3fe182f683fp-1, 0x1.27db0e5a4c725p-1, 0x1.24735235eb6c8p-1, 0x1.21091a05cc6bep-1, 0x1.1d9cd0cff0c93p-1, 0x1.1a2edf9eed62p-1, 0x1.16bfad722b589p-1, 0x1.134f9f2fc871cp-1, 0x1.0fdf179806213p-1, 0x1.0c6e773a353cep-1, 0x1.08fe1c6b0bdddp-1, 0x1.058e633c5366ep-1, 0x1.021fa575df4c9p-1, 0x1.fd64751f78af1p-2, 0x1.f68cef5b0bd4bp-2, 0x1.efb95f35aa615p-2, 0x1.e8ea65917456bp-2, 0x1.e2209e985f4acp-2, 0x1.db5ca1baf78bbp-2, 0x1.d49f01b0e5629p-2, 0x1.cde84c7b12648p-2, 0x1.c7390b676281p-2, 0x1.c091c315dbdc8p-2, 0x1.b9f2f37f3126cp-2, 0x1.b35d17fc8f32p-2, 0x1.acd0a750a09b5p-2, 0x1.a64e13b1aaeb6p-2, 0x1.9fd5cad4b6ae1p-2, 0x1.996835f9b077dp-2, 0x1.9305b9f868e5fp-2, 0x1.8caeb74e6c911p-2, 0x1.86638a2d9b4fap-2, 0x1.80248a8b72083p-2, 0x1.79f20c30f900cp-2, 0x1.73cc5ecb426eep-2, 0x1.6db3cdfc76a65p-2, 0x1.67a8a16d51bffp-2, 0x1.61ab1cdf12479p-2, 0x1.5bbb803dc83bfp-2, 0x1.55da07b2f6bcfp-2, 0x1.5006ebb883928p-2, 0x1.4a42612be3d59p-2, 0x1.448c99617dd05p-2, 0x1.3ee5c2383d01ap-2, 0x1.394e062d42b73p-2, 0x1.33c58c6fb8847p-2, 0x1.2e4c78f4b451ep-2, 0x1.28e2ec8b2618bp-2, 0x1.238904efd09d9p-2, 0x1.1e3edce13b923p-2, 0x1.19048c33a151ap-2, 0x1.13da27e4cda7ap-2, 0x1.0ebfc22fea202p-2, 0x1.09b56aa134586p-2, 0x1.04bb2e299202ep-2, 0x1.ffa22e64150e8p-3, 0x1.f5ee5b5e278cap-3, 0x1.ec5aee677a011p-3, 0x1.e2e7ee094585bp-3, 0x1.d9955c557ae2ap-3, 0x1.d063370be2bbcp-3, 0x1.c75177bedcfcdp-3, 0x1.be6013f7ac297p-3, 0x1.b58efd5a42037p-3, 0x1.acde21c894908p-3, 0x1.a44d6b8575574p-3, 0x1.9bdcc156dda1cp-3, 0x1.938c06a7b50ccp-3, 0x1.8b5b1ba91263ap-3, 0x1.8349dd72e6125p-3, 0x1.7b5826241a7e4p-3, 0x1.7385cd02233c8p-3, 0x1.6bd2a697f097p-3, 0x1.643e84d457361p-3, 0x1.5cc93727da574p-3, 0x1.55728aa1ddd71p-3, 0x1.4e3a4a0d4637fp-3, 0x1.47203e0c742b9p-3, 0x1.40242d34ae193p-3, 0x1.3945dc28efb4bp-3, 0x1.32850db4189e2p-3, 0x1.2be182e2881c2p-3, 0x1.255afb1b19a0ep-3, 0x1.1ef134378ae5p-3, 0x1.18a3ea9c45707p-3, 0x1.1272d94f97013p-3, 0x1.0c5dba104736ep-3, 0x1.0664456ba406ep-3, 0x1.008632d2ee19bp-3, 0x1.f586716069cc9p-4, 0x1.ea3618f53fd19p-4, 0x1.df1ac59452b44p-4, 0x1.d433ded58338bp-4, 0x1.c980caddd2de2p-4, 0x1.bf00ee837b499p-4, 0x1.b4b3ad70f5024p-4, 0x1.aa986a46d864cp-4, 0x1.a0ae86bcca0dp-4, 0x1.96f563c145bp-4, 0x1.8d6c61986cdc9p-4, 0x1.8412dff9ca82p-4, 0x1.7ae83e2d1b9a7p-4, 0x1.71ebdb261a532p-4, 0x1.691d159f501adp-4, 0x1.607b4c33f5cadp-4, 0x1.5805dd78e3275p-4, 0x1.4fbc281493de8p-4, 0x1.479d8ad645317p-4, 0x1.3fa964cc326eep-4, 0x1.37df1558f0f4p-4, 0x1.303dfc47f58d6p-4, 0x1.28c579e141759p-4, 0x1.2174eefc4125cp-4, 0x1.1a4bbd11dc70ap-4, 0x1.1349464dc02d4p-4, 0x1.0c6ced9ee3e73p-4, 0x1.05b616c74f46ep-4, 0x1.fe484cd64c1b8p-5, 0x1.f16d043dfa93ep-5, 0x1.e4d920eafa8cep-5, 0x1.d88b7218aedbbp-5, 0x1.cc82c93123114p-5, 0x1.c0bdf9e45793fp-5, 0x1.b53bda3e4cd8cp-5, 0x1.a9fb42bbd51d7p-5, 0x1.9efb0e5e32468p-5, 0x1.943a1abd8fb49p-5, 0x1.89b7481a54e81p-5, 0x1.7f71796d64a61p-5, 0x1.7567947749535p-5, 0x1.6b9881ce57505p-5, 0x1.62032cebcf317p-5, 0x1.58a6843806dcp-5, 0x1.4f817915a0377p-5, 0x1.4692ffebd47ccp-5, 0x1.3dda102fdc951p-5, 0x1.3555a46d80082p-5, 0x1.2d04ba4eca7a1p-5, 0x1.24e652a2f733cp-5, 0x1.1cf97164936a5p-5, 0x1.153d1dbee1792p-5, 0x1.0db0621282563p-5, 0x1.06524bf96a872p-5, 0x1.fe43d894577bcp-6, 0x1.f03cae353178fp-6, 0x1.e28d47838bf08p-6, 0x1.d533d9b2e5e34p-6, 0x1.c82ea07dbb53p-6, 0x1.bb7bde260f2e9p-6, 0x1.af19db74e381fp-6, 0x1.a306e7b8a9109p-6, 0x1.974158c2b6885p-6, 0x1.8bc78ae3cad2fp-6, 0x1.8097e0e7a897cp-6, 0x1.75b0c40fd57c7p-6, 0x1.6b10a40d82c63p-6, 0x1.60b5f6fab477p-6, 0x1.569f39529af0cp-6, 0x1.4ccaede9424dep-6, 0x1.43379de28a101p-6, 0x1.39e3d8a87af63p-6, 0x1.30ce33e0fdc95p-6, 0x1.27f54b62ffcc2p-6, 0x1.1f57c12b04cc2p-6, 0x1.16f43d4f37b89p-6, 0x1.0ec96df2fbdbp-6, 0x1.06d6073a088c4p-6, 0x1.fe3186762302ap-7, 0x1.ef20c3e414efep-7, 0x1.e07752640f55ap-7, 0x1.d232c92d815d4p-7, 0x1.c450caeb81f4bp-7, 0x1.b6cf059e8c34dp-7, 0x1.a9ab327dada37p-7, 0x1.9ce315d72d592p-7, 0x1.90747ef0b1acap-7, 0x1.845d47e6fae8bp-7, 0x1.789b558d2ed2ep-7, 0x1.6d2c974bd1293p-7, 0x1.620f06ff5b047p-7, 0x1.5740a8d692e51p-7, 0x1.4cbf8b309e61ep-7, 0x1.4289c67adcab5p-7, 0x1.389d7d0e89779p-7, 0x1.2ef8db0e40d42p-7, 0x1.259a16435aff2p-7, 0x1.1c7f6dfb30e43p-7, 0x1.13a72ae44d511p-7, 0x1.0b0f9eeb915bcp-7, 0x1.02b7251954479p-7, 0x1.f53842dd083dp-8, 0x1.e57a018397479p-8, 0x1.d63071398bd9dp-8, 0x1.c7588e3286dd1p-8, 0x1.b8ef657d4babap-8, 0x1.aaf214beb00f4p-8, 0x1.9d5dc9ecce655p-8, 0x1.902fc30a80f16p-8, 0x1.83654de331119p-8, 0x1.76fbc7c702354p-8, 0x1.6af09d475fe82p-8, 0x1.5f4149f3f492ep-8, 0x1.53eb581814338p-8, 0x1.48ec60789c757p-8, 0x1.3e420a1255fc6p-8, 0x1.33ea09d8d6095p-8, 0x1.29e22275edb47p-8, 0x1.20282409a3a37p-8, 0x1.16b9ebeac5beep-8, 0x1.0d9564680f3e1p-8, 0x1.04b88489ece31p-8, 0x1.f8429fa9c3df5p-9, 0x1.e79bac191f97ap-9, 0x1.d77865eec9bc1p-9, 0x1.c7d51c45efde6p-9, 0x1.b8ae35521b229p-9, 0x1.aa002deaa114dp-9, 0x1.9bc7991775788p-9, 0x1.8e011f9f64f0ep-9, 0x1.80a97f97bc73ap-9, 0x1.73bd8bf563b8bp-9, 0x1.673a2c1f65938p-9, 0x1.5b1c5b82f0ea8p-9, 0x1.4f612928d2dbp-9, 0x1.4405b74c6619fp-9, 0x1.39073af40242ep-9, 0x1.2e62fb8ae3c4p-9, 0x1.2416527c94d97p-9, 0x1.1a1eaad1cfb51p-9, 0x1.107980cee1259p-9, 0x1.072461938bbb9p-9, 0x1.fc39d578c3b89p-10, 0x1.eac1940b4be62p-10, 0x1.d9db79df37deap-10, 0x1.c98320c8c2e3bp-10, 0x1.b9b440be70cc9p-10, 0x1.aa6aaf2a96b31p-10, 0x1.9ba25e3fd5fb7p-10, 0x1.8d575c507f94p-10, 0x1.7f85d328d66bap-10, 0x1.722a076c40e15p-10, 0x1.654057f547674p-10, 0x1.58c53d387a3d5p-10, 0x1.4cb548aa191c6p-10, 0x1.410d242696b73p-10, 0x1.35c9915dd64a2p-10, 0x1.2ae76941365dap-10, 0x1.20639b7449351p-10, 0x1.163b2dc0498dp-10, 0x1.0c6b3b8a39a49p-10, 0x1.02f0f54ba645p-10, 0x1.f393401c1b52cp-11, 0x1.e1e529d1b0c0dp-11, 0x1.d0d28103cdf12p-11, 0x1.c05645214a876p-11, 0x1.b06b9ac7421bdp-11, 0x1.a10dcad13125fp-11, 0x1.9238416df6207p-11, 0x1.83e68d39a5ca7p-11, 0x1.76145e5c2287cp-11, 0x1.68bd85ac658b4p-11, 0x1.5bddf3d86c46cp-11, 0x1.4f71b891b5ddap-11, 0x1.437501be45908p-11, 0x1.37e41aae127ep-11, 0x1.2cbb6b54da22fp-11, 0x1.21f7778842e86p-11, 0x1.1794de423dde5p-11, 0x1.0d9058e794ef9p-11, 0x1.03e6ba929ac24p-11, 0x1.f529dec3c8571p-12, 0x1.e32ff796030f3p-12, 0x1.d1d9f7e242e4ep-12, 0x1.c12245ff20fb6p-12, 0x1.b103751008349p-12, 0x1.a17843c93ebd2p-12, 0x1.927b9b3b44401p-12, 0x1.84088da567064p-12, 0x1.761a554f67ef2p-12, 0x1.68ac536a172f7p-12, 0x1.5bba0ef6c2359p-12, 0x1.4f3f33b5539f1p-12, 0x1.433791190ebcbp-12, 0x1.379f1943b83f3p-12, 0x1.2c71e0071a7f7p-12, 0x1.21ac19ecc1cb1p-12, 0x1.174a1b43d0bdcp-12, 0x1.0d485734d047p-12, 0x1.03a35edb5da34p-12, 0x1.f4afc0cb33d1ep-13, 0x1.e2c54c7279127p-13, 0x1.d1812c3c5531dp-13, 0x1.c0dd60dcf4362p-13, 0x1.b0d41e97855d7p-13, 0x1.a15fcbb33f652p-13, 0x1.927afefa954e2p-13, 0x1.84207e446110ep-13, 0x1.764b3d06cd4fep-13, 0x1.68f65af3cf328p-13, 0x1.5c1d229efc2ap-13, 0x1.4fbb082c7e60dp-13, 0x1.43cba8090119bp-13, 0x1.384ac5aa60bfcp-13, 0x1.2d344a58e336p-13, 0x1.22844400daac2p-13, 0x1.1836e40c6e84ap-13, 0x1.0e487e456f471p-13, 0x1.04b587bef4c2fp-13, 0x1.f6f52b8d588d4p-14, 0x1.e528b9bb26b3ep-14, 0x1.d3ff5f7019f54p-14, 0x1.c372fc8a26674p-14, 0x1.b37da978b74p-14, 0x1.a419b566a7a97p-14, 0x1.9541a471713e2p-14, 0x1.86f02ded68603p-14, 0x1.79203ab690997p-14, 0x1.6bcce38dd71e9p-14, 0x1.5ef16f825b8dp-14, 0x1.528952667d06p-14, 0x1.46902b506399ap-14, 0x1.3b01c325bd0bfp-14, 0x1.2fda0b32656f6p-14, 0x1.25151bc9b891dp-14, 0x1.1aaf32f2456fap-14, 0x1.10a4b31ba2769p-14, 0x1.06f221de207c4p-14, 0x1.fb284d88388b3p-15, 0x1.e90f143962c09p-15, 0x1.d79267af1a8b5p-15, 0x1.c6ac54d3546d4p-15, 0x1.b6572375680c5p-15, 0x1.a68d5435bd3cap-15, 0x1.97499e81e8d7bp-15, 0x1.8886eea0cb7e7p-15, 0x1.7a4063ce468b7p-15, 0x1.6c714e661bd7bp-15, 0x1.5f152e1d8f1e9p-15, 0x1.5227b04b6815p-15, 0x1.45a4ae3deb47cp-15, 0x1.39882b9e6d287p-15, 0x1.2dce54e21ebb4p-15, 0x1.22737dc7b74c7p-15, 0x1.17741fe19e964p-15, 0x1.0cccd92c41f32p-15, 0x1.027a6ab03a2eep-15, 0x1.f0f36e5fdc04ap-16, 0x1.dd8f83c0c61ap-16, 0x1.cac35a59c4ffcp-16, 0x1.b889730a5da75p-16, 0x1.a6dc886be3cf6p-16, 0x1.95b78c96427f6p-16, 0x1.8515a6f8100e8p-16, 0x1.74f23241663f7p-16, 0x1.6548ba60f416fp-16, 0x1.5614fa92b94f4p-16, 0x1.4752db7fe843dp-16, 0x1.38fe716f748e1p-16, 0x1.2b13fa86c117dp-16, 0x1.1d8fdd1a046eep-16, 0x1.106ea60bd565ap-16, 0x1.03ad073b7d492p-16, 0x1.ee8fac032a58dp-17, 0x1.d6781374f5fdep-17, 0x1.bf0d74bc748a3p-17, 0x1.a84a3e4af2f44p-17, 0x1.92291a7607419p-17, 0x1.7ca4ecf31f38bp-17, 0x1.67b8d06ab6cc6p-17, 0x1.5360142287dd7p-17, 0x1.3f9639bdf0eb5p-17, 0x1.2c56f313d912ap-17, 0x1.199e2019731efp-17, 0x1.0767cce1224ffp-17, 0x1.eb605f59cbcbfp-18, 0x1.c8e74e274972p-18, 0x1.a75d70717cb6p-18, 0x1.86bc1a2a8c42cp-18, 0x1.66fce5a4abe72p-18, 0x1.4819b067cc9bbp-18, 0x1.2a0c98273fa5p-18, 0x1.0ccff7d63a6e6p-18, 0x1.e0bcc9b4687ccp-19, 0x1.a96558b42f89dp-19, 0x1.738fa152a2ffdp-19, 0x1.3f320d9b89a07p-19, 0x1.0c43683f7c8e4p-19, 0x1.b575b00be7fc1p-20, 0x1.551fb6df8976p-20, 0x1.eee912216bacep-21, 0x1.38c8d3903580dp-21, 0x1.0f80ce4f9ed9dp-22, -0x1.226aef098007dp-24, -0x1.96f92891d8081p-22, -0x1.6de8503525c15p-21, -0x1.05d55707dc079p-20, -0x1.526e6f690fa6dp-20, -0x1.9ccb99e2ae488p-20, -0x1.e4f894ddaf2f9p-20, -0x1.15805cf1b478ap-19, -0x1.3777815d954a1p-19, -0x1.58670725e28bdp-19, -0x1.785412a1adfecp-19, -0x1.97439f43d4d82p-19, -0x1.b53a81b862c1cp-19, -0x1.d23d69e84e62dp-19, -0x1.ee50e4e47a10cp-19, -0x1.04bcaf5c7ee58p-18, -0x1.11dd9214d36dp-18, -0x1.1e8d322c4410bp-18, -0x1.2acd992bc5c2fp-18, -0x1.36a0c352e8cffp-18, -0x1.4208a04cd7577p-18, -0x1.4d0713dc0c775p-18, -0x1.579df67d201a4p-18, -0x1.61cf160109b31p-18, -0x1.6b9c361f313a7p-18, -0x1.750710ffaa17ap-18, -0x1.7e1157bdebd32p-18, -0x1.86bcb2e45744cp-18, -0x1.8f0ac2e0dc652p-18, -0x1.96fd20730a43bp-18, -0x1.9e955d13d3c79p-18, -0x1.a5d503574eb14p-18, -0x1.acbd9748b4ed9p-18, -0x1.b35096c0e62fbp-18, -0x1.b98f79b7ad90fp-18, -0x1.bf7bb29006004p-18, -0x1.c516ae5f992d4p-18, -0x1.ca61d531b3707p-18, -0x1.cf5e8a45e1ba1p-18, -0x1.d40e2c4a70009p-18, -0x1.d8721592faa09p-18, -0x1.dc8b9c4b42858p-18, -0x1.e05c12a675bp-18, -0x1.e3e4c70b17e79p-18, -0x1.e727043bb7697p-18, -0x1.ea24117c9636ap-18, -0x1.ecdd32b674659p-18, -0x1.ef53a8969ea1p-18, -0x1.f188b0ac64919p-18, -0x1.f37d85842146cp-18, -0x1.f5335ebff0b88p-18, -0x1.f6ab712e38b4fp-18, -0x1.f7e6eede209e4p-18, -0x1.f8e7073219bp-18, -0x1.f9ace6f093c28p-18, -0x1.fa39b852f70b5p-18, -0x1.fa8ea313044a7p-18, -0x1.faaccc76acf97p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.e111195c270b7p-8, 0x1.1bc391a72b064p-7, 0x1.4ba5a98f7442bp-7, 0x1.8052943c9a61dp-7, 0x1.b9e8e8df9e75cp-7, 0x1.f8821f3366be3p-7, 0x1.1e19512830e3cp-6, 0x1.4284f5cce298dp-6, 0x1.6989523245e0dp-6, 0x1.93296690a7d95p-6, 0x1.bf65f47b9ae44p-6, 0x1.ee3d9670097fbp-6, 0x1.0fd66c5cf430dp-5, 0x1.29d729aaf5acp-5, 0x1.451d623fb708ep-5, 0x1.61a495d28e044p-5, 0x1.7f677244088c5p-5, 0x1.9e5fe128ad97fp-5, 0x1.be8715387fbf8p-5, 0x1.dfd59790144fep-5, 0x1.0121aa5979b13p-4, 0x1.12e3d4a0d444cp-4, 0x1.252cb72c1d038p-4, 0x1.37f782c5f9a91p-4, 0x1.4b3f3240acbc7p-4, 0x1.5efe900a736abp-4, 0x1.73303b895dcf7p-4, 0x1.87ceae3d6eaeap-4, 0x1.9cd440a86baeap-4, 0x1.b23b2efb51c2dp-4, 0x1.c7fd9d89e7834p-4, 0x1.de159d0521c29p-4, 0x1.f47d2e7db1c9cp-4, 0x1.05972397fdbb7p-3, 0x1.11116a0d989acp-3, 0x1.1caa5eb2add87p-3, 0x1.285ef4c71ceb4p-3, 0x1.342c20397743cp-3, 0x1.400ed7123fb69p-3, 0x1.4c0412c99c1d2p-3, 0x1.5808d1886bf1ap-3, 0x1.641a1755cf4d7p-3, 0x1.7034ef31fb12p-3, 0x1.7c566c1f532a9p-3, 0x1.887baa1a9e011p-3, 0x1.94a1cf03227fep-3, 0x1.a0c60b737bd07p-3, 0x1.ace59b8bcbb9ep-3, 0x1.b8fdc7ae01b2fp-3, 0x1.c50be52cd5ddep-3, 0x1.d10d56ee00449p-3, 0x1.dcff8e003911dp-3, 0x1.e8e00a258699cp-3, 0x1.f4ac5a523c976p-3, 0x1.00310e909300ap-2, 0x1.05ff809e9a785p-2, 0x1.0bc062e08aebcp-2, 0x1.11729d4680c0cp-2, 0x1.171520498aff7p-2, 0x1.1ca6e50d48193p-2, 0x1.2226ed7d0dd5cp-2, 0x1.27944464cda75p-2, 0x1.2cedfd85ca832p-2, 0x1.323335a74761ep-2, 0x1.376312a34fd66p-2, 0x1.3c7cc36fb9f25p-2, 0x1.417f80237f635p-2, 0x1.466a89f88fa43p-2, 0x1.4b3d2b4a3d911p-2, 0x1.4ff6b79061e07p-2, 0x1.54968b5757733p-2, 0x1.591c0c34f357dp-2, 0x1.5d86a8ba91942p-2, 0x1.61d5d8645f9abp-2, 0x1.66091b85ff414p-2, 0x1.6a1ffb34a6479p-2, 0x1.6e1a092ed938ep-2, 0x1.71f6dfc1e5b76p-2, 0x1.75b621ad36962p-2, 0x1.79577a03ac698p-2, 0x1.7cda9c0b116e3p-2, 0x1.803f4319ce982p-2, 0x1.8385327300232p-2, 0x1.86ac35210aa0ap-2, 0x1.89b41dceca768p-2, 0x1.8c9cc69f85d2fp-2, 0x1.8f661105b4e1ap-2, 0x1.920fe598c4c24p-2, 0x1.949a33e9ebae9p-2, 0x1.9704f2583341cp-2, 0x1.99501de3c7d4dp-2, 0x1.9b7bba00b1011p-2, 0x1.9d87d06907f38p-2, 0x1.9f7470eec432fp-2, 0x1.a141b14d36276p-2, 0x1.a2efacfa4804bp-2, 0x1.a47e84f7963e5p-2, 0x1.a5ee5fa37907cp-2, 0x1.a73f688a0b309p-2, 0x1.a871d0364a12dp-2, 0x1.a985cc03583f9p-2, 0x1.aa7b95edf6445p-2, 0x1.ab536c663f9bap-2, 0x1.ac0d9221bf235p-2, 0x1.acaa4dede1b0ep-2, 0x1.ad29ea82d5b81p-2, 0x1.ad8cb656e8ba9p-2, 0x1.add303726594p-2, 0x1.adfd27440378cp-2, 0x1.ae0b7a75e92aep-2, 0x1.adfe58c356df2p-2, 0x1.add620ceef576p-2, 0x1.ad9333f9b781dp-2, 0x1.ad35f63ac442p-2, 0x1.acbecdf7a719cp-2, 0x1.ac2e23dd97efdp-2, 0x1.ab8462bb61abep-2, 0x1.aac1f75c16ef4p-2, 0x1.a9e75062903b2p-2, 0x1.a8f4de25b7ecp-2, 0x1.a7eb128da245bp-2, 0x1.a6ca60f17a5dcp-2, 0x1.a5933df63cd9ap-2, 0x1.a4461f6e46a95p-2, 0x1.a2e37c39b74dcp-2, 0x1.a16bcc27a5592p-2, 0x1.9fdf87d826ebep-2, 0x1.9e3f289f2aa9p-2, 0x1.9c8b286824364p-2, 0x1.9ac4019a87e26p-2, 0x1.98ea2eff16524p-2, 0x1.96fe2ba5f591ap-2, 0x1.950072cd95542p-2, 0x1.92f17fca5df72p-2, 0x1.90d1cdef280f7p-2, 0x1.8ea1d8767970fp-2, 0x1.8c621a6c83b91p-2, 0x1.8a130e99e7012p-2, 0x1.87b52f6f313cep-2, 0x1.8548f6f118f58p-2, 0x1.82cedea5720dp-2, 0x1.80475f80d9e88p-2, 0x1.7db2f1d513863p-2, 0x1.7b120d4016933p-2, 0x1.7865289bccabap-2, 0x1.75acb9ee777cdp-2, 0x1.72e9365bbe07ap-2, 0x1.701b12166173dp-2, 0x1.6d42c0528ee6p-2, 0x1.6a60b338d32ebp-2, 0x1.67755bd9a7f71p-2, 0x1.64812a219adc9p-2, 0x1.61848cce06901p-2, 0x1.5e7ff162617ep-2, 0x1.5b73c41e1a13dp-2, 0x1.58606ff2fd1f8p-2, 0x1.55465e7c287aep-2, 0x1.5225f7f581a7ap-2, 0x1.4effa333af7bcp-2, 0x1.4bd3c59c943ap-2, 0x1.48a2c32044211p-2, 0x1.456cfe327790fp-2, 0x1.4232d7c471bc6p-2, 0x1.3ef4af3f5efaep-2, 0x1.3bb2e27f217eep-2, 0x1.386dcdcd8ff49p-2, 0x1.3525cbde1c5cbp-2, 0x1.31db35c9e7187p-2, 0x1.2e8e630c386e9p-2, 0x1.2b3fa97f5ad2ep-2, 0x1.27ef5d59d973ap-2, 0x1.249dd12c1c045p-2, 0x1.214b55de5d929p-2, 0x1.1df83aaeffb6fp-2, 0x1.1aa4cd312f935p-2, 0x1.1751594be3a89p-2, 0x1.13fe29392a287p-2, 0x1.10ab8585c4aecp-2, 0x1.0d59b51112b48p-2, 0x1.0a08fd0d48195p-2, 0x1.06b9a0ffe767p-2, 0x1.036be2c285f94p-2, 0x1.00200283d28d6p-2, 0x1.f9ac7d91b9d4p-3, 0x1.f31da8dd3632cp-3, 0x1.ec93fd575e94p-3, 0x1.e60fee24ca341p-3, 0x1.df91eb25d01ep-3, 0x1.d91a60fb64b2ep-3, 0x1.d2a9b90c59b48p-3, 0x1.cc40598b0c44p-3, 0x1.c5dea57b6751ap-3, 0x1.bf84fcb94eb8fp-3, 0x1.b933bbff5a686p-3, 0x1.b2eb3cedeb416p-3, 0x1.acabd61291c5bp-3, 0x1.a675daefbb23dp-3, 0x1.a0499c04b2b42p-3, 0x1.9a2766d5df46ap-3, 0x1.940f85f54cf73p-3, 0x1.8e02410b6ae72p-3, 0x1.87ffdce00f55fp-3, 0x1.82089b63addc9p-3, 0x1.7c1cbbb8c432p-3, 0x1.763c7a3d7ad5ep-3, 0x1.706810956ff32p-3, 0x1.6a9fb5b3b0e1bp-3, 0x1.64e39de4dcff6p-3, 0x1.5f33fad96d7a3p-3, 0x1.5990fbb01cc5bp-3, 0x1.53facd00713edp-3, 0x1.4e7198e563f61p-3, 0x1.48f58708201a7p-3, 0x1.4386bcaade89fp-3, 0x1.3e255cb3ce946p-3, 0x1.38d187b81a022p-3, 0x1.338b5c06f105fp-3, 0x1.2e52f5b4a9886p-3, 0x1.29286ea5e9e2fp-3, 0x1.240bde9ad47bfp-3, 0x1.1efd5b3a44195p-3, 0x1.19fcf81d0751dp-3, 0x1.150ac6d91ea1dp-3, 0x1.1026d70cfb61dp-3, 0x1.0b51366ac07e3p-3, 0x1.0689f0c377c12p-3, 0x1.01d1101248dd3p-3, 0x1.fa4d390f4d994p-4, 0x1.f1153928e5424p-4, 0x1.e7fa29ea30581p-4, 0x1.defc11792cd6dp-4, 0x1.d61af2bf08e42p-4, 0x1.cd56cd7dfb5d9p-4, 0x1.c4af9e6702039p-4, 0x1.bc255f2f837eap-4, 0x1.b3b806a6b7566p-4, 0x1.ab6788caf70aap-4, 0x1.a333d6ded8a26p-4, 0x1.9b1cdf7e1b7ep-4, 0x1.93228eb2684d6p-4, 0x1.8b44ce07d805ep-4, 0x1.838384a14dcf9p-4, 0x1.7bde974c93327p-4, 0x1.7455e8963e6fp-4, 0x1.6ce958dd5d8d5p-4, 0x1.6598c666e6233p-4, 0x1.5e640d70e61f9p-4, 0x1.574b084576a8cp-4, 0x1.504d8f4d6d5cfp-4, 0x1.496b7922cca7cp-4, 0x1.42a49aa2efd64p-4, 0x1.3bf8c70075055p-4, 0x1.3567cfd4dfd06p-4, 0x1.2ef18531f7be3p-4, 0x1.2895b5b2de05dp-4, 0x1.22542e8cdda97p-4, 0x1.1c2cbb9ff0cc5p-4, 0x1.161f2786ffab6p-4, 0x1.102b3ba7d3ef4p-4, 0x1.0a50c042c2a2ep-4, 0x1.048f7c820c743p-4, 0x1.fdce6d11e4f76p-5, 0x1.f2af6704febe6p-5, 0x1.e7c16f600e8abp-5, 0x1.dd040ceeb35a1p-5, 0x1.d276c4e154e04p-5, 0x1.c8191ae85a626p-5, 0x1.bdea914ecdcc5p-5, 0x1.b3eaa914655eap-5, 0x1.aa18e206f93bep-5, 0x1.a074badb61abap-5, 0x1.96fdb145be6c1p-5, 0x1.8db342112d67ep-5, 0x1.8494e936e69d5p-5, 0x1.7ba221f4caed2p-5, 0x1.72da66e35a91ap-5, 0x1.6a3d320b1e7dcp-5, 0x1.61c9fcf97ce8ap-5, 0x1.598040d500676p-5, 0x1.515f76710f201p-5, 0x1.4967166115f3ap-5, 0x1.4196990b25833p-5, 0x1.39ed76ba070aap-5, 0x1.326b27aec3716p-5, 0x1.2b0f2431a7d14p-5, 0x1.23d8e4a2be4fap-5, 0x1.1cc7e189c62fdp-5, 0x1.15db93a5a46fdp-5, 0x1.0f1373fb577d7p-5, 0x1.086efbe464de7p-5, 0x1.01eda51cce831p-5, 0x1.f71dd3a10d3ecp-6, 0x1.eaa48950d92e2p-6, 0x1.de6e61ad97e8bp-6, 0x1.d27a5446d4da6p-6, 0x1.c6c759ee363b9p-6, 0x1.bb546ccdc1a33p-6, 0x1.b020887d3be6dp-6, 0x1.a52aaa16ad6ccp-6, 0x1.9a71d04a0334fp-6, 0x1.8ff4fb6fe0fe3p-6, 0x1.85b32d9b9b644p-6, 0x1.7bab6aac5f963p-6, 0x1.71dcb85d96b9p-6, 0x1.68461e567b1bcp-6, 0x1.5ee6a638ee04ap-6, 0x1.55bd5baf87c1dp-6, 0x1.4cc94c7af4fd2p-6, 0x1.4409887e93f54p-6, 0x1.3b7d21cc61cap-6, 0x1.33232cb037dd8p-6, 0x1.2afabfba5ccd6p-6, 0x1.2302f3c96d3ep-6, 0x1.1b3ae413a0afep-6, 0x1.13a1ae2f7000dp-6, 0x1.0c36721b9ac82p-6, 0x1.04f852469dd98p-6, 0x1.fbcce72b14165p-7, 0x1.edfffad4a4f0bp-7, 0x1.e088335312334p-7, 0x1.d363e97f2f8d4p-7, 0x1.c6917b4add2e3p-7, 0x1.ba0f4bc962fbcp-7, 0x1.addbc336d6e55p-7, 0x1.a1f54efe847b6p-7, 0x1.965a61c06f203p-7, 0x1.8b097355ea988p-7, 0x1.800100d553d69p-7, 0x1.753f8c94efa05p-7, 0x1.6ac39e2cfa535p-7, 0x1.608bc278ea2fp-7, 0x1.56968b97f2374p-7, 0x1.4ce290ecbd3e3p-7, 0x1.436e6f1c7b8adp-7, 0x1.3a38c80d3a85fp-7, 0x1.314042e390fcap-7, 0x1.28838bffa8d4ap-7, 0x1.200154f9a874dp-7, 0x1.17b8549d8451cp-7, 0x1.0fa746e63c90dp-7, 0x1.07ccecf88e7dep-7, 0x1.00280d1d1d357p-7, 0x1.f16ee57433592p-8, 0x1.e2f3dc98d93ccp-8, 0x1.d4dcaac0d364p-8, 0x1.c727051422a9bp-8, 0x1.b9d0aab9c714cp-8, 0x1.acd764c699659p-8, 0x1.a039062b5c3bp-8, 0x1.93f36ba210102p-8, 0x1.88047b9a950dcp-8, 0x1.7c6a2626a1b8cp-8, 0x1.712264e519301p-8, 0x1.662b3aecc69a3p-8, 0x1.5b82b4b68bd6ap-8, 0x1.5126e80704daap-8, 0x1.4715f3d7aea4p-8, 0x1.3d4e003f932b9p-8, 0x1.33cd3e5b87d88p-8, 0x1.2a91e836021e6p-8, 0x1.219a40ae8b476p-8, 0x1.18e49360d9e3fp-8, 0x1.106f348b97a15p-8, 0x1.083880f6dc40ap-8, 0x1.003eddda5f177p-8, 0x1.f1017186dc97bp-9, 0x1.e1f90ef54d775p-9, 0x1.d3618fd2fae51p-9, 0x1.c537ffff2e9acp-9, 0x1.b7797b2ff80d5p-9, 0x1.aa232cbc49e5cp-9, 0x1.9d324f65dbcfp-9, 0x1.90a42d22de193p-9, 0x1.84761ee787a5ep-9, 0x1.78a58c6f820d5p-9, 0x1.6d2fec0747b07p-9, 0x1.6212c2557448cp-9, 0x1.574ba22410f68p-9, 0x1.4cd82c29eb91ep-9, 0x1.42b60ed3f66d6p-9, 0x1.38e3060ec28e2p-9, 0x1.2f5cdb1012188p-9, 0x1.2621642093d5dp-9, 0x1.1d2e8465c5017p-9, 0x1.14822bac0800dp-9, 0x1.0c1a5630f1b6cp-9, 0x1.03f50c6dd312cp-9, 0x1.f820c5c5131fp-10, 0x1.e8d4f3c129dd4p-10, 0x1.da02faacfaeb8p-10, 0x1.cba749371af83p-10, 0x1.bdbe6477c353bp-10, 0x1.b044e789ae766p-10, 0x1.a3378323b50cfp-10, 0x1.9692fd33348e8p-10, 0x1.8a543077461dbp-10, 0x1.7e780c1cd576ep-10, 0x1.72fb935b900aep-10, 0x1.67dbdd13bc099p-10, 0x1.5d16136d017d2p-10, 0x1.52a7737620f7p-10, 0x1.488d4cc5a30ebp-10, 0x1.3ec5011b85351p-10, 0x1.354c0403ebbd1p-10, 0x1.2c1fda7ad3786p-10, 0x1.233e1a90d06b5p-10, 0x1.1aa46b10df394p-10, 0x1.1250832741671p-10, 0x1.0a402a096e96ap-10, 0x1.0271369f21b61p-10, 0x1.f5c31e58f9757p-11, 0x1.e71e51fa8f474p-11, 0x1.d8f01022a1001p-11, 0x1.cb347d93d31b5p-11, 0x1.bde7db31124aap-11, 0x1.b106855d1a4cbp-11, 0x1.a48cf35c422e9p-11, 0x1.9877b6b89398p-11, 0x1.8cc37aa82bc98p-11, 0x1.816d0375e88bfp-11, 0x1.76712dec602bbp-11, 0x1.6bcceec326861p-11, 0x1.617d520e5c3b3p-11, 0x1.577f7ab089981p-11, 0x1.4dd0a1cec4194p-11, 0x1.446e16471a771p-11, 0x1.3b553c29490a3p-11, 0x1.32838c31b399fp-11, 0x1.29f693469fa07p-11, 0x1.21abf1f7b1f29p-11, 0x1.19a15bffa68f7p-11, 0x1.11d497c8454b8p-11, 0x1.0a437df08c5c8p-11, 0x1.02ebf8d50ebecp-11, 0x1.f7980835069b6p-12, 0x1.e9c35874fcf42p-12, 0x1.dc561c24aa175p-12, 0x1.cf4cace8450b1p-12, 0x1.c2a38373dc73ap-12, 0x1.b65736b5d589fp-12, 0x1.aa647b0597c6cp-12, 0x1.9ec8215659ff8p-12, 0x1.937f166e05b3p-12, 0x1.888662202a37ep-12, 0x1.7ddb268ceeaeep-12, 0x1.737a9f63fd52dp-12, 0x1.6962212b5e3cdp-12, 0x1.5f8f188a2d58bp-12, 0x1.55ff09972b8a1p-12, 0x1.4caf8f2b164a6p-12, 0x1.439e5a36c13edp-12, 0x1.3ac9311cdf4f5p-12, 0x1.322def0f72b02p-12, 0x1.29ca8370d9823p-12, 0x1.219cf13865ed2p-12, 0x1.19a34e5a79246p-12, 0x1.11dbc3341447fp-12, 0x1.0a4489f9d19e3p-12, 0x1.02dbee2a3a70cp-12, 0x1.f7409806d72ep-13, 0x1.e9201ff80123bp-13, 0x1.db536c7e61ec8p-13, 0x1.cdd7945836614p-13, 0x1.c0a9cbb05623cp-13, 0x1.b3c7632923939p-13, 0x1.a72dc6ed847efp-13, 0x1.9ada7dc7c4097p-13, 0x1.8ecb283e56935p-13, 0x1.82fd7fb64b646p-13, 0x1.776f559b6fb38p-13, 0x1.6c1e928df1824p-13, 0x1.610935957ce3cp-13, 0x1.562d5359ac0dap-13, 0x1.4b89155fbbc9dp-13, 0x1.411ab94d67765p-13, 0x1.36e09030d527dp-13, 0x1.2cd8fdcd76e94p-13, 0x1.230277edcd485p-13, 0x1.195b85b9f676ap-13, 0x1.0fe2bf12e511ep-13, 0x1.0696cbf2375e9p-13, 0x1.faecc79d17a8ap-14, 0x1.e9009a0885899p-14, 0x1.d766b88525fe8p-14, 0x1.c61ce7f9b7a42p-14, 0x1.b52107c039fd9p-14, 0x1.a47110990aa34p-14, 0x1.940b13a5e1889p-14, 0x1.83ed396cb52c5p-14, 0x1.7415c0e2256dbp-14, 0x1.6482fe7b6b36fp-14, 0x1.55335b478eabp-14, 0x1.4625540fc1108p-14, 0x1.3757787eb195ep-14, 0x1.28c86a4eb26bp-14, 0x1.1a76dc7e8914ap-14, 0x1.0c61928cc1faep-14, 0x1.fd0ebf72bec7fp-15, 0x1.e1ce4c9b7fa5ap-15, 0x1.c6ffadd529c1ep-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.fbbc797901043p-3, -0x1.0661d8f452738p-2, -0x1.0e9ca39cec24cp-2, -0x1.1694812f2121ep-2, -0x1.1e4f2013cc1f2p-2, -0x1.25d1ec8bfbe9p-2, -0x1.2d22076aed9e8p-2, -0x1.34443f460d658p-2, -0x1.3b3d0bc61b4c5p-2, -0x1.42108acbd03f7p-2, -0x1.48c27f219468cp-2, -0x1.4f56507b05cc7p-2, -0x1.55cf0c89c9216p-2, -0x1.5c2f68f5ae7d9p-2, -0x1.6279c60c1db1p-2, -0x1.68b032005f652p-2, -0x1.6ed46c9b569a4p-2, -0x1.74e7eb3defa96p-2, -0x1.7aebdd1d9298ap-2, -0x1.80e12fa5b1374p-2, -0x1.86c892ecbd429p-2, -0x1.8ca27e2dc5f8dp-2, -0x1.926f343a84557p-2, -0x1.982ec7dbd094ep-2, -0x1.9de120186e5b7p-2, -0x1.a385fc5bc8592p-2, -0x1.a91cf877972e9p-2, -0x1.aea5907cb7e1ep-2, -0x1.b41f246870e14p-2, -0x1.b988fba4512efp-2, -0x1.bee24857822a7p-2, -0x1.c42a2a8913e5ap-2, -0x1.c95fb31339777p-2, -0x1.ce81e667e09c8p-2, -0x1.d38fbf276467p-2, -0x1.d888308a568e4p-2, -0x1.dd6a289f99d5ap-2, -0x1.e23492602c7f9p-2, -0x1.e6e6579a208e9p-2, -0x1.eb7e62b452ed3p-2, -0x1.effba04c8975ep-2, -0x1.f45d00b19a1c9p-2, -0x1.f8a1793b50d3bp-2, -0x1.fcc80581bde94p-2, -0x1.0067d43acb126p-1, -0x1.025bb6ada3041p-1, -0x1.043f34552b769p-1, -0x1.0611dc695841dp-1, -0x1.07d34374a097ap-1, -0x1.0983039ebf933p-1, -0x1.0b20bcec99a84p-1, -0x1.0cac1575f472cp-1, -0x1.0e24b991a9216p-1, -0x1.0f8a5bf8f515p-1, -0x1.10dcb5e28039bp-1, -0x1.121b8715aed96p-1, -0x1.134695f6cda01p-1, -0x1.145daf8c9b195p-1, -0x1.1560a77fb25fep-1, -0x1.164f5814509acp-1, -0x1.1729a21ee849bp-1, -0x1.17ef6cf3f16e6p-1, -0x1.18a0a65361e2p-1, -0x1.193d42502c9e8p-1, -0x1.19c53b342ab7fp-1, -0x1.1a389160c390cp-1, -0x1.1a974b2cac067p-1, -0x1.1ae174bf0874bp-1, -0x1.1b171fe83f9f9p-1, -0x1.1b3863f8c3915p-1, -0x1.1b455d9613ee4p-1, -0x1.1b3e2e8e37c2bp-1, -0x1.1b22fda9e9f0ep-1, -0x1.1af3f67db01b1p-1, -0x1.1ab1493a0dbc1p-1, -0x1.1a5b2a7b05c95p-1, -0x1.19f1d31717bbbp-1, -0x1.19757fede0ac3p-1, -0x1.18e671b689a56p-1, -0x1.1844ecce25e69p-1, -0x1.179139062410dp-1, -0x1.16cba172f1af2p-1, -0x1.15f4743aead51p-1, -0x1.150c0265b5ee6p-1, -0x1.14129fac1f198p-1, -0x1.1308a2488b765p-1, -0x1.11ee62c81913fp-1, -0x1.10c43bdc7c6d9p-1, -0x1.0f8a8a2eae5e2p-1, -0x1.0e41ac3276a44p-1, -0x1.0cea01fae48ep-1, -0x1.0b83ed0fbc9c8p-1, -0x1.0a0fd043e933cp-1, -0x1.088e0f8cf873p-1, -0x1.06ff0fdbaa128p-1, -0x1.056336f599cebp-1, -0x1.03baeb5009751p-1, -0x1.020693ebccfebp-1, -0x1.0046983261833p-1, -0x1.fcf6bfa85a846p-2, -0x1.f94aa54fd8208p-2, -0x1.f589b11695935p-2, -0x1.f1b4b2895d704p-2, -0x1.edcc78cc59bf9p-2, -0x1.e9d1d263584abp-2, -0x1.e5c58cfc650aap-2, -0x1.e1a8753cbb297p-2, -0x1.dd7b568ffaff1p-2, -0x1.d93efaf9acf44p-2, -0x1.d4f42ae90105ap-2, -0x1.d09bad0ec6102p-2, -0x1.cc3646358f3adp-2, -0x1.c7c4b91c02356p-2, -0x1.c347c6513e77fp-2, -0x1.bec02c1358ac5p-2, -0x1.ba2ea62fdd7fbp-2, -0x1.b593ede64f1cep-2, -0x1.b0f0b9cc9562bp-2, -0x1.ac45bdb552547p-2, -0x1.a793aa981116fp-2, -0x1.a2db2e7b40156p-2, -0x1.9e1cf45fee63ap-2, -0x1.9959a42f3ba73p-2, -0x1.9491e2a96f181p-2, -0x1.8fc65156ad3ep-2, -0x1.8af78e79366cp-2, -0x1.862635012d8b1p-2, -0x1.8152dc81cdaffp-2, -0x1.7c7e19280af91p-2, -0x1.77a87bb290301p-2, -0x1.72d2916b09599p-2, -0x1.6dfce420b1169p-2, -0x1.6927fa2417296p-2, -0x1.645456440cc58p-2, -0x1.5f8277cbb4e6p-2, -0x1.5ab2da81a15d8p-2, -0x1.55e5f6a7f8a91p-2, -0x1.511c40fd9a67fp-2, -0x1.4c562ac02dce8p-2, -0x1.479421af184f6p-2, -0x1.42d6900f4e6a2p-2, -0x1.3e1ddcaff0fc1p-2, -0x1.396a6aefb3feep-2, -0x1.34bc9ac2f928fp-2, -0x1.3014c8baa1835p-2, -0x1.2b734e0b81b94p-2, -0x1.26d88096752d7p-2, -0x1.2244b2f104647p-2, -0x1.1db8346e974b3p-2, -0x1.1933512a27e93p-2, -0x1.14b652106fc7ap-2, -0x1.10417cea86d1p-2, -0x1.0bd51468ec2e4p-2, -0x1.0771582eecd24p-2, -0x1.031684de68939p-2, -0x1.fd89a847cce1fp-3, -0x1.f4f8f985ee3cbp-3, -0x1.ec7b6545b1532p-3, -0x1.e4114db6b66c4p-3, -0x1.dbbb0f83f6c27p-3, -0x1.d37901ee5f53cp-3, -0x1.cb4b76e7be618p-3, -0x1.c332bb2e047ffp-3, -0x1.bb2f1666b98b6p-3, -0x1.b340cb3ab71afp-3, -0x1.ab681772029dp-3, -0x1.a3a5340fd0cbfp-3, -0x1.9bf8556e9f2p-3, -0x1.9461ab5c609aep-3, -0x1.8ce16136aef9dp-3, -0x1.85779e06fbe71p-3, -0x1.7e24849ebea73p-3, -0x1.76e833b38ca97p-3, -0x1.6fc2c5fb20813p-3, -0x1.68b452473f71ep-3, -0x1.61bceba181138p-3, -0x1.5adca166e9393p-3, -0x1.54137f6353398p-3, -0x1.4d618decadb6ep-3, -0x1.46c6d1fdf7136p-3, -0x1.40434d520198bp-3, -0x1.39d6fe7def7f5p-3, -0x1.3381e10b6ddebp-3, -0x1.2d43ed92a3f77p-3, -0x1.271d19d3cd2bep-3, -0x1.210d58d0901dep-3, -0x1.1b149ae4f42a9p-3, -0x1.1532cde002743p-3, -0x1.0f67dd1c143dbp-3, -0x1.09b3b196ba5b6p-3, -0x1.041632084cae6p-3, -0x1.fd1e85f62c747p-4, -0x1.f23d8dc43d6d7p-4, -0x1.e7893c5f24fccp-4, -0x1.dd014ed581df4p-4, -0x1.d2a57e8b67c76p-4, -0x1.c8758164cb059p-4, -0x1.be7109ef077d1p-4, -0x1.b497c789a2913p-4, -0x1.aae9668e2f68fp-4, -0x1.a1659077655e1p-4, -0x1.980bec07553f1p-4, -0x1.8edc1d6cd0e8dp-4, -0x1.85d5c667f7279p-4, -0x1.7cf8866de951p-4, -0x1.7443facba930dp-4, -0x1.6bb7bec821636p-4, -0x1.63536bc5562f5p-4, -0x1.5b169960c370ep-4, -0x1.5300dd92e43f9p-4, -0x1.4b11cccde967ep-4, -0x1.4348fa1b9d241p-4, -0x1.3ba5f73a784c6p-4, -0x1.342854b9e797p-4, -0x1.2ccfa215c5a77p-4, -0x1.259b6dd10a742p-4, -0x1.1e8b458fb089ep-4, -0x1.179eb62fd6dcap-4, -0x1.10d54be21bcccp-4, -0x1.0a2e9241378bp-4, -0x1.03aa1468d8224p-4, -0x1.fa8eba177d45p-5, -0x1.ee0bed12488e5p-5, -0x1.e1cad602ce264p-5, -0x1.d5ca88d40381ap-5, -0x1.ca0a1941a4619p-5, -0x1.be889afd60e6ep-5, -0x1.b34521d2b38b6p-5, -0x1.a83ec1c96555ep-5, -0x1.9d748f46c3cdap-5, -0x1.92e59f2d933c2p-5, -0x1.889106fcbdefep-5, -0x1.7e75dceccab62p-5, -0x1.7493380c1db4bp-5, -0x1.6ae8305a0dd89p-5, -0x1.6173dee0cfe79p-5, -0x1.58355dce421d5p-5, -0x1.4f2bc88b99613p-5, -0x1.46563bd3fe832p-5, -0x1.3db3d5ca15dd4p-5, -0x1.3543b60c850eep-5, -0x1.2d04fdc970218p-5, -0x1.24f6cfd0fefadp-5, -0x1.1d1850a6e9b3dp-5, -0x1.1568a69314a14p-5, -0x1.0de6f9b14531dp-5, -0x1.069273ffee95cp-5, -0x1.fed482dc46663p-6, -0x1.f0db1fd15953p-6, -0x1.e3371ecca0c1ep-6, -0x1.d5e6e3e69445cp-6, -0x1.c8e8d777f97c9p-6, -0x1.bc3b662dc5d4dp-6, -0x1.afdd011b8aaa5p-6, -0x1.a3cc1dcc6ff3dp-6, -0x1.98073652d29d1p-6, -0x1.8c8cc95688a9ep-6, -0x1.815b5a21de22dp-6, -0x1.767170ad47f9cp-6, -0x1.6bcd99a9e90cep-6, -0x1.616e668ae45b4p-6, -0x1.57526d8d8e019p-6, -0x1.4d7849c081555p-6, -0x1.43de9b09a8c8fp-6, -0x1.3a84062b400a2p-6, -0x1.316734c7d8cc2p-6, -0x1.2886d56567dfcp-6, -0x1.1fe19b6f6f009p-6, -0x1.17763f383f1efp-6, -0x1.0f437df961edap-6, -0x1.074819d331bc7p-6, -0x1.ff05b3975cce1p-7, -0x1.efe513991204ep-7, -0x1.e12bf540f563fp-7, -0x1.d2d803dfdcc05p-7, -0x1.c4e6f479f2479p-7, -0x1.b75685bd6e41dp-7, -0x1.aa247ff812c31p-7, -0x1.9d4eb50b8570dp-7, -0x1.90d300608e66p-7, -0x1.84af46d941d65p-7, -0x1.78e176c23907ep-7, -0x1.6d6787c2d0ca2p-7, -0x1.623f7acc78ab8p-7, -0x1.57675a093e8f1p-7, -0x1.4cdd38c973731p-7, -0x1.429f33709e77p-7, -0x1.38ab6f61adf1ep-7, -0x1.2f001aea810ecp-7, -0x1.259b6d2ecc76ap-7, -0x1.1c7ba61266d82p-7, -0x1.139f0e2307255p-7, -0x1.0b03f6817df72p-7, -0x1.02a8b8ca72ce5p-7, -0x1.f5176dfd60ecep-8, -0x1.e556b6d609ccp-8, -0x1.d60c311f84863p-8, -0x1.c734d20fcc3c6p-8, -0x1.b8cd9edfdbd71p-8, -0x1.aad3ac98c9647p-8, -0x1.9d441fe0581a8p-8, -0x1.901c2cc517c9cp-8, -0x1.8359168a19a1ap-8, -0x1.76f82f724cdbbp-8, -0x1.6af6d88b8b75cp-8, -0x1.5f528179650ebp-8, -0x1.5408a83fb5f9p-8, -0x1.4916d90d121cp-8, -0x1.3e7aae0511feep-8, -0x1.3431cf0a8a6f9p-8, -0x1.2a39f189b9bf6p-8, -0x1.2090d8427547dp-8, -0x1.173453125db08p-8, -0x1.0e223ebf27c19p-8, -0x1.055884c0fc92cp-8, -0x1.f9aa3619faf39p-9, -0x1.e92c07bfe7335p-9, -0x1.d9329b125ce75p-9, -0x1.c9ba246b3a987p-9, -0x1.babeef7650ea4p-9, -0x1.ac3d5ec8a15b9p-9, -0x1.9e31eb7833561p-9, -0x1.909924b492b0ap-9, -0x1.836faf5ff8341p-9, -0x1.76b245a931878p-9, -0x1.6a5db6a64ac43p-9, -0x1.5e6ee5f00583p-9, -0x1.52e2cb3e26f6dp-9, -0x1.47b67204a5839p-9, -0x1.3ce6f911b9c4ap-9, -0x1.3271922ce3e4cp-9, -0x1.285381b6dd66cp-9, -0x1.1e8a1e4a8de2bp-9, -0x1.1512d05efb671p-9, -0x1.0beb11ea451ffp-9, -0x1.03106e05a604ep-9, -0x1.f50101251d7ep-10, -0x1.e471ebc195ed2p-10, -0x1.d46f14ab8db67p-10, -0x1.c4f41429dc4bdp-10, -0x1.b5fca152546aap-10, -0x1.a784915f09cd3p-10, -0x1.9987d705d6313p-10, -0x1.8c0281d23afa4p-10, -0x1.7ef0bd8186ab3p-10, -0x1.724ed1615dbbep-10, -0x1.66191fb08ce7ap-10, -0x1.5a4c25024358fp-10, -0x1.4ee477a39d0ebp-10, -0x1.43dec703951f9p-10, -0x1.3937db1d4cb71p-10, -0x1.2eec93e4b20f9p-10, -0x1.24f9e8b589a87p-10, -0x1.1b5ce7c4d2f88p-10, -0x1.1212b59480b9dp-10, -0x1.09188c6997f34p-10, -0x1.006bbbc4a27f7p-10, -0x1.f0134fb8e8c73p-11, -0x1.dfdf9236973c9p-11, -0x1.d037573c7b31bp-11, -0x1.c115dd6de79c6p-11, -0x1.b27688df6733dp-11, -0x1.a454e22358ea1p-11, -0x1.96ac955b13d8dp-11, -0x1.8979714c8a13bp-11, -0x1.7cb7667c60037p-11, -0x1.7062864c70a2fp-11, -0x1.6477021eb4081p-11, -0x1.58f12a7c7ec37p-11, -0x1.4dcd6e42114fp-11, -0x1.430859ce68018p-11, -0x1.389e963746cccp-11, -0x1.2e8ce88171b02p-11, -0x1.24d030dd057cbp-11, -0x1.1b6569e5e9b68p-11, -0x1.1249a7e849c8ep-11, -0x1.097a18290e1f4p-11, -0x1.00f4003245d35p-11, -0x1.f1697a46ebcccp-12, -0x1.e173860b7ec99p-12, -0x1.d2013847a49f5p-12, -0x1.c30dd0cb3aa2bp-12, -0x1.b494b95f60331p-12, -0x1.a691848c7f6ffp-12, -0x1.98ffec678533p-12, -0x1.8bdbd1662a96cp-12, -0x1.7f21393a36cfep-12, -0x1.72cc4db39b2dep-12, -0x1.66d95ba951646p-12, -0x1.5b44d1e8e0a3ap-12, -0x1.500b402c6d94cp-12, -0x1.4529561737801p-12, -0x1.3a9be2386ecd2p-12, -0x1.305fd11440d45p-12, -0x1.26722c330531dp-12, -0x1.1cd019366d135p-12, -0x1.1376d8f49d885p-12, -0x1.0a63c6991381dp-12, -0x1.019456cb414acp-12, -0x1.f20c2db58114ep-13, -0x1.e16d57e207503p-13, -0x1.d147a490db90ap-13, -0x1.c196b8d163bedp-13, -0x1.b25664d0ccc28p-13, -0x1.a382a26755c2p-13, -0x1.951793afa26ebp-13, -0x1.871181a7c99cdp-13, -0x1.796cdadc06ed2p-13, -0x1.6c26321ac4c6cp-13, -0x1.5f3a3d31e735dp-13, -0x1.52a5d3b50f9fdp-13, -0x1.4665edccb9c78p-13, -0x1.3a77a30e00966p-13, -0x1.2ed8295acab81p-13, -0x1.2384d3ca4d038p-13, -0x1.187b11999e3e7p-13, -0x1.0db86d2433b22p-13, -0x1.033a8ae4253ep-13, -0x1.f1fe50f3f3b6cp-14, -0x1.de083777c6b36p-14, -0x1.ca8ea39864c38p-14, -0x1.b78d9c6db63cdp-14, -0x1.a501542bc79e3p-14, -0x1.92e62679243fcp-14, -0x1.813896d259e1ap-14, -0x1.6ff54efa59cdep-14, -0x1.5f191d7768495p-14, -0x1.4ea0f41c4a859p-14, -0x1.3e89e69d690abp-14, -0x1.2ed129319a649p-14, -0x1.1f740f3e4cf0dp-14, -0x1.10700a0ec5f15p-14, -0x1.01c2a79631127p-14, -0x1.e6d322786f3cp-15, -0x1.cac51567b5719p-15, -0x1.af56e1b8a0b3dp-15, -0x1.9484715734c8p-15, -0x1.7a49dc453bbbfp-15, -0x1.60a36694e6a2cp-15, -0x1.478d7e756cf63p-15, -0x1.2f04ba512ab52p-15, -0x1.1705d6fcc4315p-15, -0x1.ff1b6bedb6579p-16, -0x1.d132b76fb9d69p-16, -0x1.a44bdc22f8418p-16, -0x1.7861653aca397p-16, -0x1.4d6e1a75743f3p-16, -0x1.236cfd33e7efbp-16, -0x1.f4b28b5ae9efcp-17, -0x1.a45cc07d301f5p-17, -0x1.55cfd5a447fafp-17, -0x1.090364c7fed1ap-17, -0x1.7bdec272d121dp-18, -0x1.d2304c28a19a9p-19, -0x1.66909513c2422p-20, 0x1.945bb7b7fd2bep-21, 0x1.7708ab1181c95p-19, 0x1.4153951362038p-18, 0x1.c405d36d69961p-18, 0x1.21d39a654315bp-17, 0x1.6021b54bdfe8fp-17, 0x1.9cf2dd0654449p-17, 0x1.d84c8139eefecp-17, 0x1.0919f0cb545e2p-16, 0x1.2557085b1f919p-16, 0x1.40dffb6d34e89p-16, 0x1.5bb72a45a4023p-16, 0x1.75dee28b83066p-16, 0x1.8f596079e6e37p-16, 0x1.a828d0027e72dp-16, 0x1.c04f4de253a9p-16, 0x1.d7cee8a92563fp-16, 0x1.eea9a1b3d738ap-16, 0x1.0270b70d33783p-15, 0x1.0d3c1bc8ed809p-15, 0x1.17b7eea14d347p-15, 0x1.21e51a49ca1fap-15, 0x1.2bc484f54f03fp-15, 0x1.355710b13bdebp-15, 0x1.3e9d9bbb66069p-15, 0x1.479900d34afc6p-15, 0x1.504a1786a1e24p-15, 0x1.58b1b47979001p-15, 0x1.60d0a9aa0e865p-15, 0x1.68a7c6b089508p-15, 0x1.7037d8fac2a5ep-15, 0x1.7781ac04410a3p-15, 0x1.7e86098a94084p-15, 0x1.8545b9be2ff46p-15, 0x1.8bc1836ff0319p-15, 0x1.91fa2c3b68b16p-15, 0x1.97f078ae209ecp-15, 0x1.9da52c6bdffe8p-15, 0x1.a3190a502ba85p-15, 0x1.a84cd48d1289fp-15, 0x1.ad414cc766257p-15, 0x1.b1f7343083c3dp-15, 0x1.b66f4b9dc22b7p-15, 0x1.baaa539da5b98p-15, 0x1.bea90c8af4722p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.bfcb2fead3965p-1, 0x1.bd4de13b4bfb6p-1, 0x1.babc3b467fd53p-1, 0x1.b818ffd97f5cp-1, 0x1.b566da062426fp-1, 0x1.b2a857af6c3cfp-1, 0x1.afdfe488e45a7p-1, 0x1.ad0fc65d550b4p-1, 0x1.aa3a1a72d7319p-1, 0x1.a760d3e519e08p-1, 0x1.a485bad19eb84p-1, 0x1.a1aa6c34ee184p-1, 0x1.9ed05a5afc3ddp-1, 0x1.9bf8cdc83372ep-1, 0x1.9924e68399887p-1, 0x1.96559dad76eb5p-1, 0x1.938bc750848cp-1, 0x1.90c8145e254ccp-1, 0x1.8e0b14c8622c7p-1, 0x1.8b5539ae64477p-1, 0x1.88a6d791f3299p-1, 0x1.8600288e0f044p-1, 0x1.83614e88288c1p-1, 0x1.80ca5556abe41p-1, 0x1.7e3b34d8a554p-1, 0x1.7bb3d2fb3049ep-1, 0x1.793405aa27b5fp-1, 0x1.76bb94aa3e18bp-1, 0x1.744a3b5b2f702p-1, 0x1.71dfaa613b3d6p-1, 0x1.6f7b89357cdaap-1, 0x1.6d1d779d066e2p-1, 0x1.6ac50f06edbfep-1, 0x1.6871e3d1ab0ccp-1, 0x1.662386785e7cap-1, 0x1.63d984a8abb88p-1, 0x1.61936a41fa54bp-1, 0x1.5f50c23efc05fp-1, 0x1.5d11178a6770dp-1, 0x1.5ad3f5bfe049fp-1, 0x1.5898e9da0a19fp-1, 0x1.565f82cec483cp-1, 0x1.5427521a8e99bp-1, 0x1.51efec3c0fe54p-1, 0x1.4fb8e920ba929p-1, 0x1.4d81e48378a1ep-1, 0x1.4b4a7e3e4f6bep-1, 0x1.49125a8fd9fe2p-1, 0x1.46d9225573216p-1, 0x1.449e833ae3079p-1, 0x1.42622fe0548f4p-1, 0x1.4023dff754ba1p-1, 0x1.3de350578ee5cp-1, 0x1.3ba0430bf4293p-1, 0x1.395a7f58f0c8cp-1, 0x1.3711d1bc4c1b4p-1, 0x1.34c60be741971p-1, 0x1.327704b3629fdp-1, 0x1.30249812beddfp-1, 0x1.2dcea6fbce0cap-1, 0x1.2b7517518f597p-1, 0x1.2917d3c84b31p-1, 0x1.26b6cbc7571f6p-1, 0x1.2451f348415dep-1, 0x1.21e942b3b4f9fp-1, 0x1.1f7cb6bc6cc92p-1, 0x1.1d0c503881784p-1, 0x1.1a9813f956e1ep-1, 0x1.18200aa26bf57p-1, 0x1.15a4407f4b32dp-1, 0x1.1324c558d0b92p-1, 0x1.10a1ac49fce3p-1, 0x1.0e1b0b9480f4bp-1, 0x1.0b90fc75319f5p-1, 0x1.09039af889917p-1, 0x1.067305cf5c68bp-1, 0x1.03df5e23de853p-1, 0x1.0148c76f20501p-1, 0x1.fd5ece9e25e38p-2, 0x1.f826caba6bd74p-2, 0x1.f2e9d60bfa611p-2, 0x1.eda846c20fdb2p-2, 0x1.e86276146917p-2, 0x1.e318bff74c487p-2, 0x1.ddcb82d1855b5p-2, 0x1.d87b1f347521dp-2, 0x1.d327f7963de8ep-2, 0x1.cdd2700e221e8p-2, 0x1.c87aee131f27fp-2, 0x1.c321d83cd2097p-2, 0x1.bdc79606a6c12p-2, 0x1.b86c8f9561494p-2, 0x1.b3112d7ef9a82p-2, 0x1.adb5d894d2891p-2, 0x1.a85af9b045f7p-2, 0x1.a300f981898bfp-2, 0x1.9da84060e1482p-2, 0x1.9851362221f35p-2, 0x1.92fc41ea74f43p-2, 0x1.8da9ca085d9efp-2, 0x1.885a33cdf106p-2, 0x1.830de36d3be7bp-2, 0x1.7dc53bd6c7c4ap-2, 0x1.78809e9a36c34p-2, 0x1.73406bc8ea811p-2, 0x1.6e0501daa9104p-2, 0x1.68cebd94304c6p-2, 0x1.639df9efb391p-2, 0x1.5e731007296e7p-2, 0x1.594e5700687c7p-2, 0x1.543023faf956ap-2, 0x1.4f18c9ff9aaf9p-2, 0x1.4a0899f1625dfp-2, 0x1.44ffe2806c6f5p-2, 0x1.3ffef01e12899p-2, 0x1.3b060cf29055cp-2, 0x1.361580d411702p-2, 0x1.312d913f19784p-2, 0x1.2c4e81502e81bp-2, 0x1.277891bec6c68p-2, 0x1.22ac00d96019p-2, 0x1.1de90a82b8b98p-2, 0x1.192fe8301ccfbp-2, 0x1.1480d0e8b6ef1p-2, 0x1.0fdbf945dd7eep-2, 0x1.0b419374493a8p-2, 0x1.06b1cf363064fp-2, 0x1.022cd9e62fd02p-2, 0x1.fb65bcf607d75p-3, 0x1.f2880b17ee0c1p-3, 0x1.e9c0eaac116dep-3, 0x1.e110a38369de7p-3, 0x1.d87778d2bb86cp-3, 0x1.cff5a94082233p-3, 0x1.c78b6ef3f78b8p-3, 0x1.bf38ffa50d00cp-3, 0x1.b6fe8cad565f5p-3, 0x1.aedc4319c4e7ap-3, 0x1.a6d24bbd2efa1p-3, 0x1.9ee0cb438a61cp-3, 0x1.9707e245c95a3p-3, 0x1.8f47ad5e5345cp-3, 0x1.87a0453dfc0dbp-3, 0x1.8011bec1794b3p-3, 0x1.789c2b073e5a8p-3, 0x1.713f9785b68c2p-3, 0x1.69fc0e21cbdcdp-3, 0x1.62d19545b790bp-3, 0x1.5bc02ff805d2bp-3, 0x1.54c7ddf2c7f2ap-3, 0x1.4de89bbae72efp-3, 0x1.472262b792c31p-3, 0x1.40752949bb273p-3, 0x1.39e0e2e38ff4p-3, 0x1.33658020014afp-3, 0x1.2d02eeda2ec57p-3, 0x1.26b91a44c68f7p-3, 0x1.2087eb014cc1bp-3, 0x1.1a6f47373a45ap-3, 0x1.146f12aafa4cfp-3, 0x1.0e872ed4b849p-3, 0x1.08b77af6faddcp-3, 0x1.02ffd4350304fp-3, 0x1.fac02b51dcfe6p-4, 0x1.efb030f339664p-4, 0x1.e4cf67e08c486p-4, 0x1.da1d7b1b95cfcp-4, 0x1.cf9a123f6e6efp-4, 0x1.c544d1a9e1dabp-4, 0x1.bb1d5aa421217p-4, 0x1.b1234b8ad2ea1p-4, 0x1.a7563ff55b254p-4, 0x1.9db5d0dc79dcap-4, 0x1.944194c02c2fbp-4, 0x1.8af91fccc1c6ap-4, 0x1.81dc03ff3b4f3p-4, 0x1.78e9d148dc8dfp-4, 0x1.702215b1f7a4dp-4, 0x1.67845d7bee648p-4, 0x1.5f10334267319p-4, 0x1.56c5201bb6057p-4, 0x1.4ea2abb875ab7p-4, 0x1.46a85c8255466p-4, 0x1.3ed5b7ba15312p-4, 0x1.372a4194b692cp-4, 0x1.2fa57d57dc3ccp-4, 0x1.2846ed755e3cap-4, 0x1.210e13a610a7ap-4, 0x1.19fa7103be815p-4, 0x1.130b86225b078p-4, 0x1.0c40d32868db5p-4, 0x1.0599d7e69a8cep-4, 0x1.fe2c27dd5c3d6p-5, 0x1.f16a0d53080f1p-5, 0x1.e4ec5ed8eb7eep-5, 0x1.d8b21b1bd9702p-5, 0x1.ccba40f279d74p-5, 0x1.c103cf838a97dp-5, 0x1.b58dc66ab1691p-5, 0x1.aa5725dbe4629p-5, 0x1.9f5eeec56e784p-5, 0x1.94a422f0952cap-5, 0x1.8a25c520e952cp-5, 0x1.7fe2d932406aap-5, 0x1.75da6435693cfp-5, 0x1.6c0b6c8b93f82p-5, 0x1.6274fa008184bp-5, 0x1.591615e3762f6p-5, 0x1.4fedcb1efba2p-5, 0x1.46fb264f78d8fp-5, 0x1.3e3d35d8a3f44p-5, 0x1.35b309f9d6568p-5, 0x1.2d5bb4e148b29p-5, 0x1.25364abe413bcp-5, 0x1.1d41e1d23506fp-5, 0x1.157d9280e6776p-5, 0x1.0de8775f89db8p-5, 0x1.0681ad42f03b2p-5, 0x1.fe90a6998e3b4p-6, 0x1.f07715efd70a7p-6, 0x1.e2b4f047bbb21p-6, 0x1.d548823eb0ffap-6, 0x1.c8301d6426be6p-6, 0x1.bb6a184b6a9c7p-6, 0x1.aef4ce9bff96bp-6, 0x1.a2cea1206d70cp-6, 0x1.96f5f5d39ca0ap-6, 0x1.8b6937ecbf626p-6, 0x1.8026d7e9e149cp-6, 0x1.752d4b991e048p-6, 0x1.6a7b0e20924e8p-6, 0x1.600ea0050f88ap-6, 0x1.55e6872f9bcdp-6, 0x1.4c014ef1ceafap-6, 0x1.425d88090cc76p-6, 0x1.38f9c8a0b9ed4p-6, 0x1.2fd4ac535eac7p-6, 0x1.26ecd42ad4976p-6, 0x1.1e40e69f7d065p-6, 0x1.15cf8f96975cbp-6, 0x1.0d97805fafca4p-6, 0x1.05976fb13f2a5p-6, 0x1.fb9c3348f8018p-7, 0x1.ec747f60d81f3p-7, 0x1.ddb5514874149p-7, 0x1.cf5c4141ae47fp-7, 0x1.c166f223f85abp-7, 0x1.b3d3114d039e9p-7, 0x1.a69e56904e389p-7, 0x1.99c6842580452p-7, 0x1.8d496695ca3fcp-7, 0x1.8124d4a82cc2bp-7, 0x1.7556af4cdc46dp-7, 0x1.69dce187ad319p-7, 0x1.5eb56059bada6p-7, 0x1.53de2aaa319acp-7, 0x1.4955492e63517p-7, 0x1.3f18ce5124a7ep-7, 0x1.3526d61985d2p-7, 0x1.2b7d8610f3075p-7, 0x1.221b0d28c0c8ep-7, 0x1.18fda39f373d8p-7, 0x1.10238ae421b49p-7, 0x1.078b0d7ceff5dp-7, 0x1.fe64fdd0e3123p-8, 0x1.ee30770467ec3p-8, 0x1.de7550cb2030bp-8, 0x1.cf3066a0d72e5p-8, 0x1.c05ea50b74619p-8, 0x1.b1fd095f8bc34p-8, 0x1.a408a1848b4bp-8, 0x1.967e8bb89688fp-8, 0x1.895bf6541be1p-8, 0x1.7c9e1f8d383bdp-8, 0x1.7042553aee872p-8, 0x1.6445f49844c03p-8, 0x1.58a66a0754541p-8, 0x1.4d6130d4556e9p-8, 0x1.4273d2f8b4233p-8, 0x1.37dbe8de39026p-8, 0x1.2d97192250a4ep-8, 0x1.23a3185978ee8p-8, 0x1.19fda8d2e33c7p-8, 0x1.10a49a5c4ffedp-8, 0x1.0795ca062be79p-8, 0x1.fd9e43cff863fp-9, 0x1.ec9d31ca36445p-9, 0x1.dc2464e3a35fep-9, 0x1.cc2ffcb1a25a6p-9, 0x1.bcbc31022cf37p-9, 0x1.adc55168756bcp-9, 0x1.9f47c4ca760a3p-9, 0x1.914008ef6c81ap-9, 0x1.83aab20f5b1c8p-9, 0x1.76846a638dfd2p-9, 0x1.69c9f1b833168p-9, 0x1.5d781cff0ddf2p-9, 0x1.518bd5e346bdep-9, 0x1.46021a5e69e4fp-9, 0x1.3ad7fc4e92ca5p-9, 0x1.300aa10dcd3f7p-9, 0x1.2597410ab37a3p-9, 0x1.1b7b27624d8fp-9, 0x1.11b3b17b337d8p-9, 0x1.083e4ea1fb60cp-9, 0x1.fe30ff4df0896p-10, 0x1.ec7facfa849d5p-10, 0x1.db63ebb637db4p-10, 0x1.cad921b74bfd5p-10, 0x1.badad543e7935p-10, 0x1.ab64abfae7273p-10, 0x1.9c726a1f70521p-10, 0x1.8dfff1e73a5f3p-10, 0x1.800942cb97bf6p-10, 0x1.728a78dd386a6p-10, 0x1.657fcc1aad113p-10, 0x1.58e58fc9a7bf5p-10, 0x1.4cb831d2fe6dp-10, 0x1.40f43a2160de7p-10, 0x1.35964a02d1941p-10, 0x1.2a9b1b8cd328p-10, 0x1.1fff81034e9adp-10, 0x1.15c06442274bfp-10, 0x1.0bdac6298a217p-10, 0x1.024bbe0cdc9fdp-10, 0x1.f220f248b4086p-11, 0x1.e04c7402aba5fp-11, 0x1.cf14b00a353e9p-11, 0x1.be747db4c6eedp-11, 0x1.ae66dbe2d63e7p-11, 0x1.9ee6effd138dap-11, 0x1.8ff004f6b9794p-11, 0x1.817d8a54e206p-11, 0x1.738b133ad81dbp-11, 0x1.6614557b547aep-11, 0x1.591528ae9ba75p-11, 0x1.4c89854d6fc43p-11, 0x1.406d83d0c5e54p-11, 0x1.34bd5bd630961p-11, 0x1.29756348f6139p-11, 0x1.1e920d8fbbb6p-11, 0x1.140feabebe35bp-11, 0x1.09eba6ce84545p-11, 0x1.002208d6fc606p-11, 0x1.ed5fe49df0626p-12, 0x1.db24bc9fe6accp-12, 0x1.c98cc1bc2f8bbp-12, 0x1.b8924c68dd225p-12, 0x1.a82fe42a5d583p-12, 0x1.98603e3c2f817p-12, 0x1.891e3c41971d1p-12, 0x1.7a64eafe23203p-12, 0x1.6c2f8115f5fdcp-12, 0x1.5e795dd5a0081p-12, 0x1.513e080179b46p-12, 0x1.44792cac50b7dp-12, 0x1.38269e1551ec5p-12, 0x1.2c42528d0bf5ep-12, 0x1.20c86361686e6p-12, 0x1.15b50bd081058p-12, 0x1.0b04a8022b331p-12, 0x1.00b3b408205dep-12, 0x1.ed7d95c93eaabp-13, 0x1.da454b2ed3b03p-13, 0x1.c7b83461fc5cdp-13, 0x1.b5d035d7dd561p-13, 0x1.a4876a9872b38p-13, 0x1.93d8228901907p-13, 0x1.83bce0c20dac4p-13, 0x1.743059f0a0a82p-13, 0x1.652d72c297399p-13, 0x1.56af3e5dd5b1ap-13, 0x1.48b0fce205458p-13, 0x1.3b2e19f4c8fb9p-13, 0x1.2e222b580f436p-13, 0x1.2188ef8a6533fp-13, 0x1.155e4c70f977ep-13, 0x1.099e4e0b33e33p-13, 0x1.fc8a4a5f2c12p-14, 0x1.e69e4ca37c2b1p-14, 0x1.d17190a29d5cp-14, 0x1.bcfd46a31d97bp-14, 0x1.a93adf3317121p-14, 0x1.962408f91fd12p-14, 0x1.83b2ae956211ep-14, 0x1.71e0f492ad676p-14, 0x1.60a93766f807ap-14, 0x1.50060983063cp-14, 0x1.3ff23170d7678p-14, 0x1.3068a8007cc1cp-14, 0x1.21649683020d1p-14, 0x1.12e155130e349p-14, 0x1.04da68eae922cp-14, 0x1.ee97058f1921p-15, 0x1.d460fab0e4aa4p-15, 0x1.bb0ab7779210bp-15, 0x1.a28c900d85df3p-15, 0x1.8adf23b35a245p-15, 0x1.73fb59ff05399p-15, 0x1.5dda60315e98bp-15, 0x1.4875a6a171fe5p-15, 0x1.33c6de3d064a2p-15, 0x1.1fc7f61dd0a36p-15, 0x1.0c731932c254dp-15, 0x1.f38557f9d0ebap-16, 0x1.cf6294beb0df6p-16, 0x1.ac738b03481fep-16, 0x1.8aae43889efap-16, 0x1.6a09298da7322p-16, 0x1.4a7b06fd4c285p-16, 0x1.2bfb00bdaaa58p-16, 0x1.0e80931f7b549p-16, 0x1.e4071cd992a03p-17, 0x1.acf8272c1af0ep-17, 0x1.77c521f9b6deep-17, 0x1.445f7eb6680d4p-17, 0x1.12b93d8d73d66p-17, 0x1.c589cf3bbef59p-18, 0x1.68eb12d6d4aafp-18, 0x1.0f7d5b04fa733p-18, 0x1.72515d3626e3cp-19, 0x1.9757f0d2e5b52p-20, 0x1.56f109bebdeffp-22, -0x1.c10b93a863de7p-21, -0x1.05e03e748b177p-19, -0x1.962188f029397p-19, -0x1.109675bac8aadp-18, -0x1.53939346ca37ep-18, -0x1.9419d1bb9e006p-18, -0x1.d23a416c3ac09p-18, -0x1.0702aab785f58p-17, -0x1.23c57533fa41cp-17, -0x1.3f6d268746fcp-17, -0x1.5a0120396a5c6p-17, -0x1.7388820131a9ap-17, -0x1.8c0a2ca82baabp-17, -0x1.a38cc4d0ea75ep-17, -0x1.ba16b5a09ea72p-17, -0x1.cfae334cec847p-17, -0x1.e4593d8efde6dp-17, -0x1.f81da1fcb60a9p-17, -0x1.05807f246aafp-16, -0x1.0e84613581dfp-16, -0x1.171d195844b8cp-16, -0x1.1f4d34db40547p-16, -0x1.27172d272bd56p-16, -0x1.2e7d68a6af856p-16, -0x1.35823ba411111p-16, -0x1.3c27e91d2293bp-16, -0x1.4270a38dcd12dp-16, -0x1.485e8db1935e3p-16, -0x1.4df3bb3c561b8p-16, -0x1.5332318ab7632p-16, -0x1.581be84a676d8p-16, -0x1.5cb2ca1aaa4c5p-16, -0x1.60f8b5255bdep-16, -0x1.64ef7bb0c4d7ap-16, -0x1.6898e4aa8107dp-16, -0x1.6bf6ac2bb5829p-16, -0x1.6f0a83f6ebbe7p-16, -0x1.71d613efbab41p-16, -0x1.745afa8c8c8cp-16, -0x1.769acd42b62dep-16, -0x1.789718ed21894p-16, -0x1.7a51622db4654p-16, -0x1.7bcb25c9bf5efp-16, -0x1.7d05d90196f43p-16, -0x1.7e02e9e394946p-16, -0x1.7ec3bf9ab16ep-16, -0x1.7f49bab8df013p-16, -0x1.7f96357d6132fp-16, -0x1.7faa84173b2c3p-16, -0x1.7f87f4e3f65b3p-16, -0x1.7f2fd0aad87ccp-16, -0x1.7ea35ad4b559bp-16, -0x1.7de3d1a09244cp-16, -0x1.7cf26e5524b61p-16, -0x1.7bd0656f6f07bp-16, -0x1.7a7ee6ce83415p-16, -0x1.78ff1ddca2b54p-16, -0x1.775231b5cde49p-16, -0x1.7579454be6876p-16, -0x1.7375778889eb2p-16, -0x1.7147e36cb1567p-16, -0x1.6ef1a02e4520ap-16, -0x1.6c73c153b0e5ap-16, -0x1.69cf56cd9ab4cp-16, -0x1.67056d0ecf3d1p-16, -0x1.64170d2281f4ep-16, -0x1.61053cc0f2865p-16, -0x1.5dd0fe6292e34p-16, -0x1.5a7b5151bd226p-16, -0x1.570531bb14878p-16, -0x1.536f98bc9bcccp-16, -0x1.4fbb7c73a11acp-16, -0x1.4be9d00986e39p-16, -0x1.47fb83bf780a7p-16, -0x1.43f184f927c4ep-16, -0x1.3fccbe469f5edp-16, -0x1.3b8e176d29036p-16, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      31, 0x1.2acb5350092cdp+2, 0x1.8f00d9cec1cf1p+0, 0x1.dad8d53e72a05p+1, -0x1.a9fbdb3ccfb34p-1, 
      {{
        {0x1.999999999999ap+0, 0x1.b333333333333p+0, 0x1.45522b12fae54p+1, -0x1.5084319a46f29p+2, 0x1.063f93cfa5e1bp+2, 0x1.15596e0b358fcp-1}, 
        {0x1.b333333333333p+0, 0x1.ccccccccccccdp+0, 0x1.0754fdcd24f72p+1, -0x1.1b06d2aaf20dp+2, 0x1.10a62189ab172p+2, -0x1.5aafc98e037b1p+1}, 
        {0x1.ccccccccccccdp+0, 0x1.e666666666666p+0, 0x1.a7aa79ae96dbdp+0, -0x1.d364f27271b08p+1, 0x1.b94ab9cf21efbp+1, -0x1.8adb6c7aa2044p+0}, 
        {0x1.e666666666666p+0, 0x1p+1, 0x1.529e378d626e1p+0, -0x1.810f0da1e5a71p+1, 0x1.7e103656566f2p+1, -0x1.9583a2e7201f1p+0}, 
        {0x1p+1, 0x1.0cccccccccccdp+1, 0x1.0cd78f17f903p+0, -0x1.3aba95d937685p+1, 0x1.413c77807803fp+1, -0x1.534a30c0ab8bdp+0}, 
        {0x1.0cccccccccccdp+1, 0x1.199999999999ap+1, 0x1.a7f6a046429f2p-1, -0x1.ff2454661afedp+0, 0x1.0e57bcfd2b155p+1, -0x1.2b594618adc9p+0}, 
        {0x1.199999999999ap+1, 0x1.2666666666666p+1, 0x1.4bf333ff80225p-1, -0x1.9bfc3b8bd188fp+0, 0x1.c2e17e8c886e3p+0, -0x1.01c50fa8a0e74p+0}, 
        {0x1.2666666666666p+1, 0x1.3333333333333p+1, 0x1.020e169ed79c6p-1, -0x1.498ace39e4098p+0, 0x1.758cc6a6be8f7p+0, -0x1.bb8323aff5045p-1}, 
        {0x1.3333333333333p+1, 0x1.4p+1, 0x1.8e592093c20dp-2, -0x1.057c2330f0f5dp+0, 0x1.3305e7b2c0352p+0, -0x1.7a32eb5c0b156p-1}, 
        {0x1.4p+1, 0x1.4cccccccccccdp+1, 0x1.314759c30d2c3p-2, -0x1.9b81ae342ef81p-1, 0x1.f49622637d172p-1, -0x1.4039f4096a455p-1}, 
        {0x1.4cccccccccccdp+1, 0x1.599999999999ap+1, 0x1.d0b285cb2ff9cp-3, -0x1.40fefe01d9239p-1, 0x1.9484bf93dd356p-1, -0x1.0cdec3972a83fp-1}, 
        {0x1.599999999999ap+1, 0x1.6666666666666p+1, 0x1.5f6778fdd688bp-3, -0x1.f0512184d21acp-2, 0x1.43db84e683a75p-1, -0x1.bf89272489729p-2}, 
        {0x1.6666666666666p+1, 0x1.7333333333333p+1, 0x1.0833357a3ed14p-3, -0x1.7c3332a726b03p-2, 0x1.00ba256dd57p-1, -0x1.70eb8d49eb15cp-2}, 
        {0x1.7333333333333p+1, 0x1.8p+1, 0x1.8b61efa6aa536p-4, -0x1.2093a55c27b9cp-2, 0x1.92c73a124abfcp-2, -0x1.2d06cead23f31p-2}, 
        {0x1.8p+1, 0x1.8cccccccccccdp+1, 0x1.26dbe027bafa3p-4, -0x1.b21a91cfdcaafp-3, 0x1.38786277f329fp-2, -0x1.e5f2de731137dp-3}, 
        {0x1.8cccccccccccdp+1, 0x1.999999999999ap+1, 0x1.b7214d7c3c55dp-5, -0x1.43b1b3a8743d2p-3, 0x1.df27e89a2df63p-3, -0x1.83c5cf5b2aeacp-3}, 
        {0x1.999999999999ap+1, 0x1.a666666666666p+1, 0x1.47447fc2c0a88p-5, -0x1.defe075b442fbp-4, 0x1.6ad2f732077c9p-3, -0x1.31c4dd3d02eb9p-3}, 
        {0x1.a666666666666p+1, 0x1.b333333333333p+1, 0x1.e9849be5896f7p-6, -0x1.60357450090cap-4, 0x1.0f17e80620363p-3, -0x1.dc5d39cdb416dp-4}, 
        {0x1.b333333333333p+1, 0x1.cp+1, 0x1.706a9f723ef7cp-6, -0x1.020ff7f5093f4p-4, 0x1.8f470b81bd987p-4, -0x1.6e8311d45fb31p-4}, 
        {0x1.cp+1, 0x1.ccccccccccccdp+1, 0x1.17b2543450ce4p-6, -0x1.7a678b19f55b8p-5, 0x1.2152ec8ed415dp-4, -0x1.1678ba4f7abcdp-4}, 
        {0x1.ccccccccccccdp+1, 0x1.d99999999999ap+1, 0x1.acf315a886bfbp-7, -0x1.176218efd5f79p-5, 0x1.9b909c8791ba3p-5, -0x1.a173aa0036d1cp-5}, 
        {0x1.d99999999999ap+1, 0x1.e666666666666p+1, 0x1.4bfd330e86a4bp-7, -0x1.a3300294fa0d8p-6, 0x1.1e544fede7ae4p-5, -0x1.3391b214c8344p-5}, 
        {0x1.e666666666666p+1, 0x1.f333333333333p+1, 0x1.025fdbefec75dp-7, -0x1.431c259d76319p-6, 0x1.841e01cf573ep-6, -0x1.b83af81a6a5bap-6}, 
        {0x1.f333333333333p+1, 0x1p+2, 0x1.9144c8ad2589fp-8, -0x1.02b183bc774bbp-6, 0x1.000c50fa9dbcp-6, -0x1.294e9165b1081p-6}, 
        {0x1p+2, 0x1.0666666666666p+2, 0x1.32d81184fa65cp-8, -0x1.b0ce563463145p-7, 0x1.4db64ab837a6p-7, -0x1.4fe4460e2718cp-7}, 
        {0x1.0666666666666p+2, 0x1.0cccccccccccdp+2, 0x1.c4920f8db8b5p-9, -0x1.7823ed33cee2p-7, 0x1.d1e39e9b24a4cp-8, -0x1.b379b925ca48cp-9}, 
        {0x1.0cccccccccccdp+2, 0x1.1333333333333p+2, 0x1.36ff2929e3274p-9, -0x1.4cd1470ce5b21p-7, 0x1.90915c6f13197p-8, 0x1.d8e9d8b81b30dp-8}, 
        {0x1.1333333333333p+2, 0x1.199999999999ap+2, 0x1.75a7609c75d3bp-10, -0x1.1daac0f4c9c73p-7, 0x1.0f388eb98da09p-7, 0x1.11330f7a3b68ap-7}, 
        {0x1.199999999999ap+2, 0x1.2p+2, 0x1.5201c870a5c9ap-11, -0x1.be74240dc7fa4p-8, 0x1.612e46916c40ap-7, 0x1.afdcab623be91p-5}, 
        {0x1.2p+2, 0x1.2666666666666p+2, 0x1.03f7eccd38a66p-13, -0x1.9311a8e8b635p-9, 0x1.b3b523b6da119p-6, -0x1.516de3f2ba6b8p-4}, 
        {0x1.2666666666666p+2, 0x1.2acb5350092cdp+2, 0x0p+0, -0x1.dde738e72a95bp-13, 0x1.ecadef9fa5ed9p-10, 0x1.a9d12e173143cp-3}, 
      }}, 
      -0x1.1beca1295ca62p+2, 0x1.8f4a3e7c2cf43p+4
    }
  };
  // clang-format on
}
SkfData params_mio_0_1_h_c() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.4f5472d4a944dp-2, 0x1.599b76121c73ep-2, 0x1.6345854e0c789p-2, 0x1.6c557822f57dap-2, 0x1.74d2622fea3f5p-2, 0x1.7cc1e484f7ec1p-2, 0x1.8425332bd1712p-2, 0x1.8afcc516bcd8cp-2, 0x1.914cbd4b5e6fap-2, 0x1.971cbe6b420a7p-2, 0x1.9c74407b4137cp-2, 0x1.a1579c0f1c46fp-2, 0x1.a5c832c5586d7p-2, 0x1.a9c6e8092129ap-2, 0x1.ad56911ada833p-2, 0x1.b07cb917e41b5p-2, 0x1.b340a2d647041p-2, 0x1.b5a97a53f2ce9p-2, 0x1.b7bcd2b5ca6bcp-2, 0x1.b97e24413f771p-2, 0x1.baef498b786f3p-2, 0x1.bc066c80c1967p-2, 0x1.bcd66b9a6affbp-2, 0x1.bd6115323ac91p-2, 0x1.bdaa51e506bdbp-2, 0x1.bdb53a630b7f5p-2, 0x1.bd844a09f3639p-2, 0x1.bd19b70c27019p-2, 0x1.bc77c9c1de279p-2, 0x1.bba11fd3e2976p-2, 0x1.ba98b6708b8c7p-2, 0x1.b961df0bf48c6p-2, 0x1.b80006166b27cp-2, 0x1.b676778ae99c6p-2, 0x1.b4c82dd0f4a75p-2, 0x1.b2f7b65f47ccfp-2, 0x1.b10731e8bb33bp-2, 0x1.aef85d0cc618dp-2, 0x1.acccb3085630dp-2, 0x1.aa858a8802225p-2, 0x1.a82434c821f79p-2, 0x1.a5aa145207e14p-2, 0x1.a318a8e575626p-2, 0x1.a071901f9a15ep-2, 0x1.9db68173c563dp-2, 0x1.9ae93ca17f9p-2, 0x1.980b82522c65ap-2, 0x1.951f03a8bd88bp-2, 0x1.9225565c594ccp-2, 0x1.8f1fea10782bcp-2, 0x1.8c1000bb4e5cap-2, 0x1.88f6ab7ef82afp-2, 0x1.85d4cca7ae455p-2, 0x1.82ab1dbf791f9p-2, 0x1.7f7a3b607a79fp-2, 0x1.7c42af5187316p-2, 0x1.7904fbd4186cfp-2, 0x1.75c1a34e4b0a6p-2, 0x1.72792c7fbc35bp-2, 0x1.6f2c235c5c358p-2, 0x1.6bdb176d0ee3ep-2, 0x1.6886990facf82p-2, 0x1.652f372616b06p-2, 0x1.61cd6804b7301p-2, 0x1.5e72b3d6855fap-2, 0x1.5b1723c526e09p-2, 0x1.57bb288b6fc75p-2, 0x1.545f26cc576cp-2, 0x1.510377749e78ep-2, 0x1.4da868bc5ede5p-2, 0x1.4a4e4002632c8p-2, 0x1.46f53b6a1c251p-2, 0x1.439d945d8a387p-2, 0x1.4047812689e73p-2, 0x1.3cf336648139dp-2, 0x1.39a0e7ef9299fp-2, 0x1.3650c93d0a0a2p-2, 0x1.33030d5ae3757p-2, 0x1.2fb7e6356cadp-2, 0x1.2c6f84b3303b7p-2, 0x1.292a1764e33f8p-2, 0x1.25e7ca505f4a7p-2, 0x1.22a8c69023de3p-2, 0x1.1f6d31d7efb3p-2, 0x1.1c352ea551fe1p-2, 0x1.1900dc336399ep-2, 0x1.15d056acfd31bp-2, 0x1.12a3b768bd26ap-2, 0x1.0f7b152963f68p-2, 0x1.0c568470b2a6cp-2, 0x1.093617aed55ffp-2, 0x1.0619dfb135e85p-2, 0x1.0301ebe604cd4p-2, 0x1.ffdc94ff849c7p-3, 0x1.f9be11f6cac73p-3, 0x1.f3a86881d5d83p-3, 0x1.ed9bb1c29bbcdp-3, 0x1.e79805423ef37p-3, 0x1.e19d80413d6c7p-3, 0x1.dbac375ea5ec8p-3, 0x1.d5c4452286618p-3, 0x1.cfe5c2be3a403p-3, 0x1.ca10c940074cbp-3, 0x1.c4457159e496dp-3, 0x1.be83d33ccbc4bp-3, 0x1.b8cc063609d0ap-3, 0x1.b31e20f9b268bp-3, 0x1.ad7a37ee2729ep-3, 0x1.a7e05f2eb7fd2p-3, 0x1.a250a90a01e6p-3, 0x1.9ccb2625478dap-3, 0x1.974fe59ea2408p-3, 0x1.91def5383d2dp-3, 0x1.8c78615da0ddcp-3, 0x1.871c355be6feap-3, 0x1.81ca7b8a147e6p-3, 0x1.7c833dbbe2aa5p-3, 0x1.774684dd3bf85p-3, 0x1.72145a281d59dp-3, 0x1.6cecc674353fcp-3, 0x1.67cfd2ca3cc5p-3, 0x1.62bd88653a7f5p-3, 0x1.5db5f0c49a852p-3, 0x1.58b91603e1939p-3, 0x1.53c7012dd5e5dp-3, 0x1.4edfbe317e80cp-3, 0x1.4a03546202409p-3, 0x1.4531d082d7c4dp-3, 0x1.406b3b62c58bfp-3, 0x1.3baf9e812fc1ep-3, 0x1.36ff02c200403p-3, 0x1.32597052c9c57p-3, 0x1.2dbeeea24df5cp-3, 0x1.292f8435deae9p-3, 0x1.24ab36ed0acf8p-3, 0x1.20320a8f2c07cp-3, 0x1.1bc403319965cp-3, 0x1.17612456e10f3p-3, 0x1.13096e8d6d0ffp-3, 0x1.0ebce3016b97dp-3, 0x1.0a7b81a8081fap-3, 0x1.064549b6ab214p-3, 0x1.021a3972ac8bbp-3, 0x1.fbf49dcacae4ap-4, 0x1.f3cb0e2f43fffp-4, 0x1.ebb7beb432f36p-4, 0x1.e3baa6ffd8beap-4, 0x1.dbd914532c6b3p-4, 0x1.d4089bd25066cp-4, 0x1.cc4e5442be26bp-4, 0x1.c4aa355c4abf7p-4, 0x1.bd1c367dc1138p-4, 0x1.b5a44d2f41611p-4, 0x1.ae426e7f0deaep-4, 0x1.a6f68ef4fea2cp-4, 0x1.9fc0a14ec9a6cp-4, 0x1.98a09805c20afp-4, 0x1.91966475be431p-4, 0x1.8aa1f6d52c75ap-4, 0x1.83c33e70a5daep-4, 0x1.7cfa2a22400cap-4, 0x1.7646a14bb4ab6p-4, 0x1.6fa8a21850eap-4, 0x1.6920065208e79p-4, 0x1.62acc4f95c3b3p-4, 0x1.5c4eb4af1fddfp-4, 0x1.5605d1118f40fp-4, 0x1.4fd1f96dfad46p-4, 0x1.49b31946ddb14p-4, 0x1.43a91222a8a76p-4, 0x1.3db3ca5972ebfp-4, 0x1.37d3256961ebbp-4, 0x1.320706e2606a1p-4, 0x1.2c4f50e2d558p-4, 0x1.26abe4c4ce061p-4, 0x1.211ca2d5cfaap-4, 0x1.1ba16c35829e9p-4, 0x1.163a1ed41cbc7p-4, 0x1.10e69989768b9p-4, 0x1.0ba6ba2fbbe72p-4, 0x1.067a5df5d7e1bp-4, 0x1.0161616d988a3p-4, 0x1.f8b741cc95d7ap-5, 0x1.eed1ee7554322p-5, 0x1.e5127fc2867f1p-5, 0x1.db78aaa0ec55bp-5, 0x1.d204230aeb4aap-5, 0x1.c8b49c4c09685p-5, 0x1.bf89ba0e760b4p-5, 0x1.b6835a04e1775p-5, 0x1.ada1010469907p-5, 0x1.a4e26dfed5fa2p-5, 0x1.9c475095962a5p-5, 0x1.93cf5822e4371p-5, 0x1.8b7a30ffec8a3p-5, 0x1.83478b1586fe2p-5, 0x1.7b371318e7176p-5, 0x1.7348758bda73fp-5, 0x1.6b7b5dd883c6ap-5, 0x1.63cf7971f9a84p-5, 0x1.5c44720bb7a66p-5, 0x1.54d9f7765cb69p-5, 0x1.4d8fa859e2a54p-5, 0x1.46653aa0c9f1dp-5, 0x1.3f5a5457a619dp-5, 0x1.386e9edc88488p-5, 0x1.31a1c3b774fc8p-5, 0x1.2af36c8565f85p-5, 0x1.246340a4ceedfp-5, 0x1.1df0e9ad8614cp-5, 0x1.179c104828c72p-5, 0x1.11645c9bd38c1p-5, 0x1.0b4976bede6c1p-5, 0x1.054b072301101p-5, 0x1.fed16b10221a5p-6, 0x1.f34454a8e0c8fp-6, 0x1.e7ee1b25a0609p-6, 0x1.dcce0a7ed9047p-6, 0x1.d1e377e2bc30fp-6, 0x1.c72db18c809ccp-6, 0x1.bcac080931686p-6, 0x1.b25dcb74d0ab5p-6, 0x1.a8424cb93c583p-6, 0x1.9e58ba3ee2454p-6, 0x1.94a0ccfa9c7cep-6, 0x1.8b196eaf8b89ep-6, 0x1.81c214904102bp-6, 0x1.789a111459048p-6, 0x1.6fa0b75964192p-6, 0x1.66d55b66425fep-6, 0x1.5e374fa912d4bp-6, 0x1.55c5ec063379bp-6, 0x1.4d808535cb583p-6, 0x1.45666fce8b7c9p-6, 0x1.3d7704a404caap-6, 0x1.35b1abf48a0f1p-6, 0x1.2e158c56faabbp-6, 0x1.26a231d3bc4c1p-6, 0x1.1f56e6748a988p-6, 0x1.18330c4a24345p-6, 0x1.1135ec091ed5ep-6, 0x1.0a5ef661776d3p-6, 0x1.03ad72ff462e4p-6, 0x1.fa41f954a0f0cp-7, 0x1.ed716be64236p-7, 0x1.e0e82fb747963p-7, 0x1.d4a50b8af4cd5p-7, 0x1.c8a6c9a21ee5bp-7, 0x1.bcec36c6ae093p-7, 0x1.b1742372d1504p-7, 0x1.a63d61f66144fp-7, 0x1.9b46c666d9638p-7, 0x1.908f2f5267aafp-7, 0x1.8615c2ba7e55ep-7, 0x1.7bd8707da810cp-7, 0x1.71d70c0addd61p-7, 0x1.68102af252b59p-7, 0x1.5e82b5aff803cp-7, 0x1.552d9865c3da3p-7, 0x1.4c0fc2a2e147fp-7, 0x1.432827668d475p-7, 0x1.3a75bd2cc3de2p-7, 0x1.31f77e3ce2146p-7, 0x1.29ac7379c24ap-7, 0x1.21937b8e3bb37p-7, 0x1.19abbc9d55ea6p-7, 0x1.11f43161aa83p-7, 0x1.0a6bea325165dp-7, 0x1.0311f44f00e58p-7, 0x1.f7cac5105d365p-8, 0x1.e9ca969739509p-8, 0x1.dc2191a1bbdddp-8, 0x1.cecdf9231d673p-8, 0x1.c1cdf6ba6d442p-8, 0x1.b51fe83877bfap-8, 0x1.a8c21c68ddd4dp-8, 0x1.9cb2e40d40668p-8, 0x1.90f0a15a9b963p-8, 0x1.8579bd45fcbcp-8, 0x1.7a4c8aad5b627p-8, 0x1.6f67a009e9f62p-8, 0x1.64c95f00148c3p-8, 0x1.5a70493d9846ap-8, 0x1.505ae81c674fbp-8, 0x1.4687c6ae75e1cp-8, 0x1.3cf5774fa98c2p-8, 0x1.33a293ee57b02p-8, 0x1.2a8db81dcdba4p-8, 0x1.21b57ed54d99p-8, 0x1.1918bac6c3f7fp-8, 0x1.10b5f4138b1b2p-8, 0x1.088bf0017f03fp-8, 0x1.0099704051cdp-8, 0x1.f1ba5aacea42ap-9, 0x1.e2abd48455c09p-9, 0x1.d405203d4d38fp-9, 0x1.c5c35d428a6d2p-9, 0x1.b7e55e77aabb7p-9, 0x1.aa67aa787921fp-9, 0x1.9d48bea866884p-9, 0x1.90860f902cdp-9, 0x1.841db2c3f78cfp-9, 0x1.780d71018434ep-9, 0x1.6c534266fbd61p-9, 0x1.60ed26b218b0ap-9, 0x1.55d91fa8d839p-9, 0x1.4b1509e2a51e8p-9, 0x1.409f89556da13p-9, 0x1.3676354fb242bp-9, 0x1.2c976550a118dp-9, 0x1.23012b0c77f09p-9, 0x1.19b221b70f664p-9, 0x1.10a82e30a11c6p-9, 0x1.07e1c4e9dc917p-9, 0x1.feba2929ed502p-10, 0x1.ee28f00399f93p-10, 0x1.de1e18894f3d6p-10, 0x1.ce8c86ed6af26p-10, 0x1.bf739ecfbdc76p-10, 0x1.b0cda5458c17ap-10, 0x1.a298a0429e9cep-10, 0x1.94d19a00c663bp-10, 0x1.8775c27481e86p-10, 0x1.7a8248808501bp-10, 0x1.6df4708eb9339p-10, 0x1.61c98f6f061b1p-10, 0x1.55ff052eac34ep-10, 0x1.4a924558b1d96p-10, 0x1.3f80be4e45e8ep-10, 0x1.34c7ffd5f898dp-10, 0x1.2a65a68994eb2p-10, 0x1.20576f278f371p-10, 0x1.169b1ba484f12p-10, 0x1.0d2d7b0cbeb32p-10, 0x1.040d83b240292p-10, 0x1.f67130866ebb2p-11, 0x1.e559487d58305p-11, 0x1.d4cf214efbfecp-11, 0x1.c4ceb02956d61p-11, 0x1.b5540569d4671p-11, 0x1.a65b4936d8618p-11, 0x1.97e087dda1738p-11, 0x1.89e047fa3e9c5p-11, 0x1.7c56dc97fc6e3p-11, 0x1.6f40c11273e56p-11, 0x1.629a7e478ffe3p-11, 0x1.5660d882b730bp-11, 0x1.4a906a96c52d2p-11, 0x1.3f261391bea2cp-11, 0x1.341eb53ea0a8p-11, 0x1.29774996baaf4p-11, 0x1.1f2c49ec8ff5ap-11, 0x1.154074847c296p-11, 0x1.0ba3836fab70ep-11, 0x1.025f0591abdd8p-11, 0x1.f2d91585208bep-12, 0x1.e1929c76911a4p-12, 0x1.d0e581495a9abp-12, 0x1.c0cd304be067bp-12, 0x1.b144f755730cfp-12, 0x1.a247e2500ba06p-12, 0x1.93d18b1a780d8p-12, 0x1.85dd8b78d06f2p-12, 0x1.78676751a1551p-12, 0x1.6b6b3bdd94a07p-12, 0x1.5ee4f0d032c9dp-12, 0x1.52d052a295a1ap-12, 0x1.472ab1305874ep-12, 0x1.3bee01aea39a7p-12, 0x1.3118d92e6eeb2p-12, 0x1.26a6eaba25bbcp-12, 0x1.1c94d5af8de96p-12, 0x1.12df500db1a83p-12, 0x1.098301f8a3c2bp-12, 0x1.007e7f876a46fp-12, 0x1.ef94e9d46aa63p-13, 0x1.ded0643efe886p-13, 0x1.cea6c1afe0ddep-13, 0x1.bf141c6d47821p-13, 0x1.b00ea5f34c5f5p-13, 0x1.a19585089cf39p-13, 0x1.93a3336f4a788p-13, 0x1.86313df6e402p-13, 0x1.793b8e608ec81p-13, 0x1.6cbe1bc7e8ae8p-13, 0x1.60b43616e2872p-13, 0x1.5519937f86e72p-13, 0x1.49ea11dcd57p-13, 0x1.3f21b7c6c02efp-13, 0x1.34bca7a26aad7p-13, 0x1.2ab7257cac5c2p-13, 0x1.210d925396cf7p-13, 0x1.17bc39881d263p-13, 0x1.0ec44a4b9bf67p-13, 0x1.06163961d83f8p-13, 0x1.fb7583ce412d1p-14, 0x1.eb55c2573c7cp-14, 0x1.dbc76b7d32cd9p-14, 0x1.ccc50d482732ep-14, 0x1.be531b351223cp-14, 0x1.b04e392a60814p-14, 0x1.a2cd85d9224c2p-14, 0x1.95c4df63bed8p-14, 0x1.892e8857c548ep-14, 0x1.7d059e1ba6f09p-14, 0x1.7146208b4277dp-14, 0x1.65ebd490b7b31p-14, 0x1.5af905a604c27p-14, 0x1.5055b1c161cc4p-14, 0x1.4611efbda0f8cp-14, 0x1.3c23ec5645397p-14, 0x1.3287e5a66004ap-14, 0x1.293c58489c68bp-14, 0x1.2038fe2cfbf75p-14, 0x1.177fbed6c912p-14, 0x1.0f0b82545af4cp-14, 0x1.06d98af3694fep-14, 0x1.fdceb34c665dcp-15, 0x1.ee644ee7c4939p-15, 0x1.df6eca83dabf1p-15, 0x1.d0e9419eb2333p-15, 0x1.c2cf0369710bcp-15, 0x1.b51b92105d5eap-15, 0x1.a7cabe0aed846p-15, 0x1.9add99ebc6897p-15, 0x1.8e3fe467863b1p-15, 0x1.81fe1b7ee32c4p-15, 0x1.760f2084321c8p-15, 0x1.6a8915b3847aep-15, 0x1.5f275fd7d778fp-15, 0x1.5415d015419bcp-15, 0x1.4933a87423574p-15, 0x1.3ecf992766fc9p-15, 0x1.348eae546877cp-15, 0x1.2a90a5d5b749bp-15, 0x1.20c40ef931588p-15, 0x1.17366df39a551p-15, 0x1.0dde4a890a053p-15, 0x1.04bac9c6d5c16p-15, 0x1.f794ea251e0e9p-16, 0x1.e624471bf7446p-16, 0x1.d4ee8bcf55316p-16, 0x1.c42129ceaada8p-16, 0x1.b3aa9d6d6aa44p-16, 0x1.a38948edc55f1p-16, 0x1.93b70b30a63bap-16, 0x1.84259277cfcddp-16, 0x1.74f7525b2d5fcp-16, 0x1.6602d8b6d1ee5p-16, 0x1.57549c13f65e7p-16, 0x1.48e95a813fefdp-16, 0x1.3ac0b86e94985p-16, 0x1.2cca5872bc2fdp-16, 0x1.1f23cd568ff44p-16, 0x1.11b0bf67f58d9p-16, 0x1.04762e919a063p-16, 0x1.eee6965eb8333p-17, 0x1.d54c7f48cb513p-17, 0x1.bc134d8a137ffp-17, 0x1.a35255a6e5fa7p-17, 0x1.8aeef75420392p-17, 0x1.72e97f3896f67p-17, 0x1.5bb5173ad579cp-17, 0x1.4401ef6d80234p-17, 0x1.2d1c536d0568ep-17, 0x1.16932b44b33fcp-17, 0x1.0054303cb32d2p-17, 0x1.d4e9568ab4125p-18, 0x1.a9d9cba24756ap-18, 0x1.7f69a4844a652p-18, 0x1.559f83022d80ap-18, 0x1.2c7adea1bbce9p-18, 0x1.03ff0cf3f5971p-18, 0x1.b9bff0ae55c41p-19, 0x1.69af1dd558eedp-19, 0x1.1c48bfc6a1747p-19, 0x1.a05178eb08c35p-20, 0x1.0a8df20cc5121p-20, 0x1.e0946452d710bp-22, -0x1.a15765687290ep-24, -0x1.51e52dcd08d0cp-21, -0x1.356d5173963f7p-20, -0x1.bf97d23d446fdp-20, -0x1.23bac640fa8cdp-19, -0x1.66815519e688fp-19, -0x1.a846386bc512cp-19, -0x1.e8b340d4bf525p-19, -0x1.13ef260860b23p-18, -0x1.32f2694e6f2d2p-18, -0x1.51c6c285207c6p-18, -0x1.6fb8e8dcc1a7cp-18, -0x1.8d42359cd402cp-18, -0x1.aa2cbc70e9aep-18, -0x1.c6c9fb0fc2141p-18, -0x1.e2557c4480cf3p-18, -0x1.fd962b9d1123ep-18, -0x1.0c25b610e3323p-17, -0x1.1939ca43f81f5p-17, -0x1.2608063148416p-17, -0x1.329379b3d42fep-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.0b98f6b3d46dp-1, -0x1.0f80780572decp-1, -0x1.1330efb643a4cp-1, -0x1.16a95db420b8p-1, -0x1.19e8117bc5706p-1, -0x1.1cebeba70b83dp-1, -0x1.1fb54374b19b7p-1, -0x1.22451ac260f41p-1, -0x1.249be8f463e35p-1, -0x1.26b97367b081cp-1, -0x1.289d9e6d2aa19p-1, -0x1.2a4935a5fab2ap-1, -0x1.2bbdf874428d4p-1, -0x1.2cfe054d6c914p-1, -0x1.2e0b30cd6e7bp-1, -0x1.2ee6bb8d6fa28p-1, -0x1.2f917a7b2c18cp-1, -0x1.300c3d53b9ca5p-1, -0x1.30582b98aa553p-1, -0x1.3076ed5448641p-1, -0x1.306a97af55d18p-1, -0x1.3037adc3b1494p-1, -0x1.2fdd46c1fbf0ep-1, -0x1.2f5cf292fdb3ap-1, -0x1.2eb82a23bdeffp-1, -0x1.2df08d9e11dc9p-1, -0x1.2d07dcfaeea67p-1, -0x1.2bffe1cf714c9p-1, -0x1.2ada55454b0cp-1, -0x1.2998cffa33347p-1, -0x1.283cbfd80d0fap-1, -0x1.26c770a53c5a9p-1, -0x1.253a1442b1f6bp-1, -0x1.2395cfc6f4b2bp-1, -0x1.21dbc774e7d45p-1, -0x1.200d26e841f1fp-1, -0x1.1e2b24f88169ep-1, -0x1.1c36fecfe460dp-1, -0x1.1a31f3c61042fp-1, -0x1.181d3ccbe4912p-1, -0x1.15fa060c8f16cp-1, -0x1.13c969f4bba44p-1, -0x1.118c6dfc648c2p-1, -0x1.0f4401491843bp-1, -0x1.0cf0fe6509619p-1, -0x1.0a942ca9e78efp-1, -0x1.082e465ff9ad3p-1, -0x1.05bffca346924p-1, -0x1.0349fb51c98f1p-1, -0x1.00cceb240f335p-1, -0x1.fc92e451eb0eep-2, -0x1.f78066ad1eee5p-2, -0x1.f2639bbb0ee3cp-2, -0x1.ed3db96256501p-2, -0x1.e80fee2e756c8p-2, -0x1.e2db612c9e929p-2, -0x1.dda1328387c5cp-2, -0x1.d8627a75613ap-2, -0x1.d3204719c5501p-2, -0x1.cddb992acc42fp-2, -0x1.c89560580ae08p-2, -0x1.c34e783c52968p-2, -0x1.be07a6c133797p-2, -0x1.b8c5ac9d4bd6cp-2, -0x1.b38051d4435fep-2, -0x1.ae3ca750b7178p-2, -0x1.a8fb45e4b2617p-2, -0x1.a3bcbe35d0287p-2, -0x1.9e819967a54a5p-2, -0x1.994a59a3a443p-2, -0x1.94177adbe1d3ep-2, -0x1.8ee9735c78cd7p-2, -0x1.89c0b4705d5b9p-2, -0x1.849daa898eb12p-2, -0x1.7f80bd35c3d67p-2, -0x1.7a6a4ec82ad48p-2, -0x1.755abbf44ff64p-2, -0x1.70525b6703c97p-2, -0x1.6b517d1754431p-2, -0x1.66586afa56be6p-2, -0x1.6167686089d6ep-2, -0x1.5c7eb2c835af6p-2, -0x1.579e826b3f946p-2, -0x1.52c70aec1ee0ap-2, -0x1.4df87c2e8926bp-2, -0x1.493303068aa46p-2, -0x1.4476c9d0e5dabp-2, -0x1.3fc3f8e54d492p-2, -0x1.3b1ab6c86f60ap-2, -0x1.367b28597f18ep-2, -0x1.31e5708fa1117p-2, -0x1.2d59b0947a827p-2, -0x1.28d80773cb423p-2, -0x1.246091d33d9e6p-2, -0x1.1ff36a0c61867p-2, -0x1.1b90a7ff649d5p-2, -0x1.17386125edf5ap-2, -0x1.12eaa8ced3eb8p-2, -0x1.0ea78fb24a714p-2, -0x1.0a6f254a2d3b6p-2, -0x1.064176ec345c7p-2, -0x1.021e9080e8d3cp-2, -0x1.fc0cf92d85652p-3, -0x1.f3f288fed6d8dp-3, -0x1.ebede0b6ac299p-3, -0x1.e3ff0df1ba246p-3, -0x1.dc261e04fbbe4p-3, -0x1.d46316e178a7p-3, -0x1.ccb6014367b6bp-3, -0x1.c51ee06613fa5p-3, -0x1.bd9db51149d88p-3, -0x1.b6327d2ba1251p-3, -0x1.aedd33bc93ee8p-3, -0x1.a79dd0f75e743p-3, -0x1.a0744a646671bp-3, -0x1.996093210c1a2p-3, -0x1.92629bf1d4972p-3, -0x1.8b7a5440d3d2fp-3, -0x1.84a7a93d8b8e9p-3, -0x1.7dea874af7addp-3, -0x1.7742d9bc26eb9p-3, -0x1.70b08b2e53f75p-3, -0x1.6a3385c6fbff4p-3, -0x1.63cbb41d88852p-3, -0x1.5d78fd40d5fap-3, -0x1.573b4e3cdd338p-3, -0x1.51128b091f6b4p-3, -0x1.4afea0a6a3e8ap-3, -0x1.44ff759fd14b3p-3, -0x1.3f14f1a38d93ep-3, -0x1.393efb90230bap-3, -0x1.337d7965ed23p-3, -0x1.2dd05023d0685p-3, -0x1.283763aae8cap-3, -0x1.22b29649fc5cap-3, -0x1.1d41ca69195f2p-3, -0x1.17e4e06e8ee19p-3, -0x1.129bb328dd14cp-3, -0x1.0d66242afa9b8p-3, -0x1.08440e1d9cd41p-3, -0x1.03354be419018p-3, -0x1.fc736e98c85dp-4, -0x1.f2a251458f4dbp-4, -0x1.e8f6f04630869p-4, -0x1.df70f8d5a74fap-4, -0x1.d6101911f2ba5p-4, -0x1.ccd3fb164df48p-4, -0x1.c3c17a6290c65p-4, -0x1.bacdcbfbf79ep-4, -0x1.b1fde55517e44p-4, -0x1.a951727c4e1a2p-4, -0x1.a0c820bf69c9ep-4, -0x1.986199cbabc5cp-4, -0x1.901d883ecb469p-4, -0x1.87fb979684d0cp-4, -0x1.7ffb6ff9b2989p-4, -0x1.781cbb21fa307p-4, -0x1.705f21f093a1cp-4, -0x1.68c24c8f154c3p-4, -0x1.6145e3013708ap-4, -0x1.59e98d8b0de19p-4, -0x1.52aced16d27ebp-4, -0x1.4b8fbc73ed197p-4, -0x1.44918f715acf9p-4, -0x1.3db218c4ec367p-4, -0x1.36f0ef53e625p-4, -0x1.304dca353861bp-4, -0x1.29c8495568bf3p-4, -0x1.23601623f67dcp-4, -0x1.1d14d4c6c58cbp-4, -0x1.16e62f110952dp-4, -0x1.10d3c3ede3665p-4, -0x1.0add4196846dp-4, -0x1.05024c3b26babp-4, -0x1.fe8514b4c30c9p-5, -0x1.f33b44630f57bp-5, -0x1.e8267ab3846c1p-5, -0x1.dd4600df76795p-5, -0x1.d299276d25d04p-5, -0x1.c81f3ded9747cp-5, -0x1.bdd7945df7003p-5, -0x1.b3c17b6af222fp-5, -0x1.a9dc4527f0944p-5, -0x1.a02741f5f461ep-5, -0x1.96a1c6598cb88p-5, -0x1.8d4b2617a3541p-5, -0x1.8422b5f1640a2p-5, -0x1.7b27cbdc80eb6p-5, -0x1.7259b0472cb52p-5, -0x1.69b7e652d72fep-5, -0x1.61419c3050d68p-5, -0x1.58f63a8e2c97bp-5, -0x1.50d51d173398p-5, -0x1.48dda06846252p-5, -0x1.410f218c813b2p-5, -0x1.396901149068ep-5, -0x1.31ea9f3413117p-5, -0x1.2a935d52d0e16p-5, -0x1.23629e56d376bp-5, -0x1.1c57c78c8bf2cp-5, -0x1.15723dd1268c4p-5, -0x1.0eb16a182f1eep-5, -0x1.0814b09a125f9p-5, -0x1.019b7f4a88a54p-5, -0x1.f68a8030315c3p-6, -0x1.ea22be6967b1fp-6, -0x1.ddfe95e72f405p-6, -0x1.d21ce71a96183p-6, -0x1.c67c8ebc60d02p-6, -0x1.bb1c743389309p-6, -0x1.affb7f6728953p-6, -0x1.a51899c1782bep-6, -0x1.9a72b01c4fee4p-6, -0x1.9008b2681728cp-6, -0x1.85d993676007dp-6, -0x1.7be4495ec6389p-6, -0x1.7227ccf6e3c93p-6, -0x1.68a315f0dee4p-6, -0x1.5f5527c89315ap-6, -0x1.563d0240d95ebp-6, -0x1.4d59a91dc059cp-6, -0x1.44aa24614d21ap-6, -0x1.3c2d7e28f1252p-6, -0x1.33e2aeba96a8fp-6, -0x1.2bc9052cf992bp-6, -0x1.23df561fdf2e5p-6, -0x1.1c24cb995e383p-6, -0x1.14987fe4e135ap-6, -0x1.0d398ec7138dp-6, -0x1.06071756872bcp-6, -0x1.fe00764b4df41p-7, -0x1.f0483cc5b8f4dp-7, -0x1.e2e3da632d3b4p-7, -0x1.d5d198324414cp-7, -0x1.c90fd97015e55p-7, -0x1.bc9cfe0ec06c6p-7, -0x1.b0776bc74fc6p-7, -0x1.a49d912b45fdfp-7, -0x1.990ddfe64034ap-7, -0x1.8dc6cbce1ada7p-7, -0x1.82c6e1057b0dfp-7, -0x1.780c9821d4f21p-7, -0x1.6d964a77f31b9p-7, -0x1.63631a312dd03p-7, -0x1.59710b45a642p-7, -0x1.4fbeea5c112fp-7, -0x1.464b56d4a836bp-7, -0x1.3d14f6a80f364p-7, -0x1.341a74589ea6bp-7, -0x1.2b5a825b83086p-7, -0x1.22d3d6b022c92p-7, -0x1.1a852c3f983efp-7, -0x1.126d48d6017cp-7, -0x1.0a8b1f78a4a2cp-7, -0x1.02dcecf544a06p-7, -0x1.f6c428fc9242p-8, -0x1.e8327a60b8b52p-8, -0x1.da0285c442ad2p-8, -0x1.cc32102939e29p-8, -0x1.bebee73e84622p-8, -0x1.b1a6e37c94b66p-8, -0x1.a4e7e7b0b506ap-8, -0x1.987fe0f9deb19p-8, -0x1.8c6cca38bd957p-8, -0x1.80ac9d3471f4ep-8, -0x1.753d6a8698787p-8, -0x1.6a1d398addad7p-8, -0x1.5f4a3b691963cp-8, -0x1.54c2907c6383ap-8, -0x1.4a8469f164b93p-8, -0x1.408e026374254p-8, -0x1.36dd9d63a6cep-8, -0x1.2d7183430456fp-8, -0x1.24481c1aef0dap-8, -0x1.1b5fad96a8aebp-8, -0x1.12b6acf34f152p-8, -0x1.0a4b872a36a7cp-8, -0x1.021cb4dc79c3ep-8, -0x1.f451751679e12p-9, -0x1.e4dc783c25db4p-9, -0x1.d5d6b7b2eaabfp-9, -0x1.c73e58305744ap-9, -0x1.b9103c3318d6bp-9, -0x1.ab49bc1457899p-9, -0x1.9de83179ee78p-9, -0x1.90e90ef81ffc6p-9, -0x1.8449cc4a39d6ap-9, -0x1.7807f87134ee1p-9, -0x1.6c210e9b03dcdp-9, -0x1.6092f71be226fp-9, -0x1.555b241d873ap-9, -0x1.4a776bf228024p-9, -0x1.3fe59d5e0334p-9, -0x1.35a38df1b30e3p-9, -0x1.2baf1e5a8f437p-9, -0x1.220658a3249c8p-9, -0x1.18a6bddc1fc02p-9, -0x1.0f8f962d2008dp-9, -0x1.06bdc62f81b1p-9, -0x1.fc5f778f901d9p-10, -0x1.ebc78163e183ep-10, -0x1.dbb0180a6dac4p-10, -0x1.cc15a94c9f213p-10, -0x1.bcf4caa11de03p-10, -0x1.ae4a3f2b06fafp-10, -0x1.a012b194b586p-10, -0x1.924b698271fbdp-10, -0x1.84f024c11c385p-10, -0x1.77ff01f0339fap-10, -0x1.6b74aebd94a2cp-10, -0x1.5f4de2df7cfa5p-10, -0x1.538903eec5c3cp-10, -0x1.482222a3f45a6p-10, -0x1.3d1700a5b2bf8p-10, -0x1.3264e09a3028fp-10, -0x1.2807556bfddedp-10, -0x1.1dffc0a246f24p-10, -0x1.144a618d9625fp-10, -0x1.0ae4493ff40e2p-10, -0x1.01cb22a77ceaep-10, -0x1.f1f9676c390e5p-11, -0x1.e0ed9192806e3p-11, -0x1.d06e85f34ec82p-11, -0x1.c07816342c8c7p-11, -0x1.b1063453779a8p-11, -0x1.a214ecedbc2ddp-11, -0x1.93a0658b3408fp-11, -0x1.85a4ee1119089p-11, -0x1.781eb399ad493p-11, -0x1.6b0a3ae1afd6dp-11, -0x1.5e641bbbf18dep-11, -0x1.52291488126cap-11, -0x1.46536a5efb0d2p-11, -0x1.3ae622bf824a9p-11, -0x1.2fd844d62d164p-11, -0x1.2528b149aba7fp-11, -0x1.1ad4692a9b1bcp-11, -0x1.10d891d5d5231p-11, -0x1.07325f1bac8d3p-11, -0x1.fbbe3b167328p-12, -0x1.e9b85a9c90f05p-12, -0x1.d84da0092d38ap-12, -0x1.c7797753a40cdp-12, -0x1.b736df3c77f7dp-12, -0x1.a7811c91faff4p-12, -0x1.9853629e0a78bp-12, -0x1.89a9f9dad1a08p-12, -0x1.7b7fbf048d298p-12, -0x1.6dd0dc3f2c5fdp-12, -0x1.60994299c27f7p-12, -0x1.53d4dd15f8bbfp-12, -0x1.477eefbec1eddp-12, -0x1.3b97c1ffdb1cap-12, -0x1.30152bebe8b82p-12, -0x1.24f88b0c3dc89p-12, -0x1.1a3d4c2b8c8b3p-12, -0x1.0fdfba7851febp-12, -0x1.05dc8fff23d69p-12, -0x1.f8625af5ace7ap-13, -0x1.e5b56a788a5cdp-13, -0x1.d3ab9e1cc1c18p-13, -0x1.c23fa305fb3bdp-13, -0x1.b16c0b662cdf4p-13, -0x1.a12b703ee102bp-13, -0x1.9178e7dbf6949p-13, -0x1.824f8d286fcd5p-13, -0x1.73a9d124e3dc8p-13, -0x1.65861cc0e9573p-13, -0x1.57da4cec110e8p-13, -0x1.4aa70d22e8ed4p-13, -0x1.3de65721e4663p-13, -0x1.31944016b1676p-13, -0x1.25ac9d0e96203p-13, -0x1.1a2cf9070c33bp-13, -0x1.0f121bb2b9f9p-13, -0x1.045275ee7747fp-13, -0x1.f3e3adbcb7e57p-14, -0x1.dfd471f564501p-14, -0x1.cc7399f15c5c2p-14, -0x1.b9b3b1961a9ebp-14, -0x1.a795f216c8299p-14, -0x1.96133061a1a16p-14, -0x1.8524b0245c25cp-14, -0x1.74c515eb5f2ecp-14, -0x1.64ef58f7f1796p-14, -0x1.559f772f169c3p-14, -0x1.46d0282a7ff22p-14, -0x1.387cd88582adfp-14, -0x1.2aa10d33c57edp-14, -0x1.1d38880a7bc1ep-14, -0x1.103f2c9279fep-14, -0x1.03b0f8f299b2ep-14, -0x1.ef12575016adap-15, -0x1.d7af3b32b6eb1p-15, -0x1.c0c8aeda40d18p-15, -0x1.aabd223974435p-15, -0x1.95644a924abe7p-15, -0x1.80b840a0ad1fep-15, -0x1.6cb3636efc8bfp-15, -0x1.595a4f0b51126p-15, -0x1.4687b0d266774p-15, -0x1.34522516ca954p-15, -0x1.22aff83a727d4p-15, -0x1.1199865d0e8c9p-15, -0x1.0108833db410dp-15, -0x1.e1f5cfb731257p-16, -0x1.c2d56777ca64p-16, -0x1.a48c75f6a6379p-16, -0x1.8768ce0f6fe7bp-16, -0x1.6b0cca1cdd7a3p-16, -0x1.4f8b25fb4ea04p-16, -0x1.34dddabd41299p-16, -0x1.1b0687c12ace5p-16, -0x1.01e7c690faad6p-16, -0x1.d322a897a5a34p-17, -0x1.a3e9d9bacfe1ep-17, -0x1.761a47d525423p-17, -0x1.49a919e51ace4p-17, -0x1.1e8b595622c5ap-17, -0x1.e96d510070c2cp-18, -0x1.98423235d6a0bp-18, -0x1.49824d5e56a3ap-18, -0x1.fa36e67a28896p-19, -0x1.65fafd4a1e3e7p-19, -0x1.ad3ded33ca2e3p-20, -0x1.2a923efd6019ap-21, 0x1.e5a85a25d7a9dp-22, 0x1.7ffe5af0ff942p-20, 0x1.3e199d19893a4p-19, 0x1.bb44180dc1efp-19, 0x1.193d107a9932cp-18, 0x1.53557eaffd8c4p-18, 0x1.8b8907a3de004p-18, 0x1.c2120eb39afcap-18, 0x1.f68fa0768cddap-18, 0x1.150ecc5372847p-17, 0x1.2dda699765459p-17, 0x1.45d3c5efd325dp-17, 0x1.5d10467eb5865p-17, 0x1.7389b2d388304p-17, 0x1.8930a32aad5ap-17, 0x1.9e4a40c98a76p-17, 0x1.b2abf3185935p-17, 0x1.c6525f16b2768p-17, 0x1.d94abab03dcep-17, 0x1.eb9b49d5182efp-17, 0x1.fd586d626eb1dp-17, 0x1.0727b2f9b5612p-16, 0x1.0f5de81c74321p-16, 0x1.17458f9be30c5p-16, 0x1.1ee0d2eb1a481p-16, 0x1.26256f450b96ap-16, 0x1.2d3b5d6940d38p-16, 0x1.33f6335e9de74p-16, 0x1.3a6d2962ddf69p-16, 0x1.409ed3db4998p-16, 0x1.468bd18841ca9p-16, 0x1.4c3572b9c8f11p-16, 0x1.519dc3e9a4551p-16, 0x1.56c40f6c53585p-16, 0x1.5ba8c52092755p-16, 0x1.60501ac8e584cp-16, 0x1.647f9cdba381fp-16, 0x1.68e5b4af40f46p-16, 0x1.6cd12361ba5ep-16, 0x1.706ee62662b45p-16, 0x1.7402bf85e8a1ep-16, 0x1.77426c77f913cp-16, 0x1.7a4a2d310423p-16, 0x1.7d1bbf00c8485p-16, 0x1.7fb4a2ae0b15ap-16, 0x1.8218a401e218cp-16, 0x1.844656d04ed25p-16, 0x1.8625b21578f4p-16, 0x1.8807480833f54p-16, 0x1.899c950a5c819p-16, 0x1.8afedbf97fbbp-16, 0x1.8c30c6b4e81p-16, 0x1.8d3e89c769de4p-16, 0x1.8e01ab4f79f5p-16, 0x1.8ea26197b1bfdp-16, 0x1.8f15aa01d3e0bp-16, 0x1.8f5b77f7e93d5p-16, 0x1.8f745ce88135ep-16, 0x1.8f6079b222546p-16, 0x1.8f2686a27cb4bp-16, 0x1.8eb8d1be0836p-16, 0x1.8e21b3a9d870fp-16, 0x1.8d608f084ee8dp-16, 0x1.8c8509cbe9e9p-16, 0x1.8b7b93c838bcap-16, 0x1.8a431305b2961p-16, 0x1.88ec821ab9635p-16, 0x1.876ec8631163cp-16, 0x1.85c1fb1825a7dp-16, 0x1.83f7725f01fbbp-16, 0x1.820924d6aed62p-16, 0x1.7ff79507b1805p-16, 0x1.7dc3a539e789p-16, 0x1.7b6fbf91ba9e5p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.10910f830fab7p-2, -0x1.1c7a3f99c471fp-2, -0x1.28294fe4203bp-2, -0x1.339cb252de49p-2, -0x1.3ed2f51ea7fd6p-2, -0x1.49cac2442bc41p-2, -0x1.5482def818ff6p-2, -0x1.5efa2b1456ae9p-2, -0x1.692fa07f98d6ep-2, -0x1.732252905192dp-2, -0x1.7cd16d6be127fp-2, -0x1.863c3562c00e5p-2, -0x1.8f62064a5427cp-2, -0x1.984252d4fa5ddp-2, -0x1.a0dca3e8d5caap-2, -0x1.a93097f5cc36bp-2, -0x1.b13de24b21646p-2, -0x1.b9044a6d07cd8p-2, -0x1.c083ab6a7f38dp-2, -0x1.c7bbf333c4025p-2, -0x1.cead21f1a0019p-2, -0x1.d557495dcc1e2p-2, -0x1.dbba8c1ca5dc1p-2, -0x1.e1d71d1863898p-2, -0x1.e7ad3eddfc456p-2, -0x1.ed3d42fbe7ee9p-2, -0x1.f2878962df72dp-2, -0x1.f78c7fc8bfcbp-2, -0x1.fc4ca10db1822p-2, -0x1.00643a51d59a6p-1, -0x1.028046fc37222p-1, -0x1.047ac5f1088adp-1, -0x1.06540c07151bdp-1, -0x1.080c7339d9369p-1, -0x1.09a45a63d4855p-1, -0x1.0b1c24fa4495ap-1, -0x1.0c743aca4d252p-1, -0x1.0dad07b7959b4p-1, -0x1.0ec6fb7c5a95cp-1, -0x1.0fc2896afb3afp-1, -0x1.10a0283102c1dp-1, -0x1.1160519bafba5p-1, -0x1.1203825df9867p-1, -0x1.128a39d815fe9p-1, -0x1.12f4f9e07db6fp-1, -0x1.1344468e6e3dep-1, -0x1.1378a605e938dp-1, -0x1.1392a0452f0e2p-1, -0x1.1392bef3b15fep-1, -0x1.13798d327e6f6p-1, -0x1.1347976e1c9efp-1, -0x1.12fd6b31d95e3p-1, -0x1.129b96fc8324ap-1, -0x1.1222aa168dd33p-1, -0x1.119334699a399p-1, -0x1.10edc65961693p-1, -0x1.1032f09df8d6dp-1, -0x1.0f63441f7296bp-1, -0x1.0e7f51d2ccbadp-1, -0x1.0d87aa9831948p-1, -0x1.0c7cdf1a807f8p-1, -0x1.0b5f7fb01a5e9p-1, -0x1.0a301c3ced64ap-1, -0x1.08ef4415ba72fp-1, -0x1.079d85e48e53bp-1, -0x1.063b6f8e6b4d7p-1, -0x1.04c98e1a18b85p-1, -0x1.03486d981a205p-1, -0x1.01b8990bc1db8p-1, -0x1.001a9a555d522p-1, -0x1.fcddf43ae76e4p-2, -0x1.f96c7f8224b39p-2, -0x1.f5e1e27e3f813p-2, -0x1.f23f264d647f4p-2, -0x1.ee85510cc04cp-2, -0x1.eab565b911b2ap-2, -0x1.e6d064111a63dp-2, -0x1.e2d74879e726bp-2, -0x1.decb0be4e16fcp-2, -0x1.daaca3b7a4349p-2, -0x1.d67d01b57e709p-2, -0x1.d23d13eaa5fd3p-2, -0x1.cdedc49902fe8p-2, -0x1.c98ffa268fee4p-2, -0x1.c524970d41f5dp-2, -0x1.c0ac79cc6cd4ap-2, -0x1.bc287cdb9917bp-2, -0x1.b799769ec0c2p-2, -0x1.b300395be999fp-2, -0x1.ae5d93320f08bp-2, -0x1.a9b24e115412p-2, -0x1.a4ff2fb471842p-2, -0x1.a044f99b56b2ap-2, -0x1.9b846906f22fp-2, -0x1.96be36f6169dap-2, -0x1.91f3182376612p-2, -0x1.8d23bd04a5659p-2, -0x1.8850d1ca1df6cp-2, -0x1.837afe603b70ap-2, -0x1.7ea2e671203b2p-2, -0x1.79c9296780e9ap-2, -0x1.74ee6272497edp-2, -0x1.7013288913284p-2, -0x1.6b380e7162168p-2, -0x1.665da2c4a5ba1p-2, -0x1.61846ff6e9cd5p-2, -0x1.5cacfc5e3d729p-2, -0x1.57d7ca3ab8a71p-2, -0x1.530557bf24e07p-2, -0x1.4e361f1a3a518p-2, -0x1.496a968067b95p-2, -0x1.44a3303626eeap-2, -0x1.3fe05a9ac90cp-2, -0x1.3b228033bf839p-2, -0x1.366a07b85244dp-2, -0x1.31b7541dbf706p-2, -0x1.2d0ac4a3bfc26p-2, -0x1.2864b4e16282fp-2, -0x1.23c57cd241dc6p-2, -0x1.1f2d70e40429ap-2, -0x1.1a9ce2042726dp-2, -0x1.16141dae0d8bap-2, -0x1.11936df946b35p-2, -0x1.0d1b19a811a44p-2, -0x1.08ab64360e45ap-2, -0x1.04448de71c524p-2, -0x1.ffcda7acc2e07p-3, -0x1.f724e00adfa7fp-3, -0x1.ee8f32d7191b9p-3, -0x1.e60d080a17aa2p-3, -0x1.dd9ec1c585c07p-3, -0x1.d544bc731242dp-3, -0x1.ccff4ee38903bp-3, -0x1.c4ceca6dfcd27p-3, -0x1.bcb37b0ef1895p-3, -0x1.b4ada7878ee83p-3, -0x1.acbd917cc63cap-3, -0x1.a4e3759669f7cp-3, -0x1.9d1f8b9e3027cp-3, -0x1.9572069e9a8d7p-3, -0x1.8ddb1501bd459p-3, -0x1.865ae0afdb394p-3, -0x1.7ef18f2ddaf95p-3, -0x1.779f41bb842f7p-3, -0x1.706415718848p-3, -0x1.6940235f51fp-3, -0x1.623380a88e341p-3, -0x1.5b3e3ea278edfp-3, -0x1.54606af0d764cp-3, -0x1.4d9a0fa2b2b6bp-3, -0x1.46eb334eb4248p-3, -0x1.4053d92f3cc13p-3, -0x1.39d4013e1a9d3p-3, -0x1.336ba84fed056p-3, -0x1.2d1ac82f29c25p-3, -0x1.26e157b6c3584p-3, -0x1.20bf4aec72ebp-3, -0x1.1ab4931a96d25p-3, -0x1.14c11ee9b7755p-3, -0x1.0ee4da799b8f6p-3, -0x1.091faf79fbb2fp-3, -0x1.03718542ca7c6p-3, -0x1.fbb481d8185c1p-4, -0x1.f0b38aca9cd69p-4, -0x1.e5dfe719499dbp-4, -0x1.db39548a87bb6p-4, -0x1.d0bf8d1b4fbd1p-4, -0x1.c672472a9634p-4, -0x1.bc5135a3e3587p-4, -0x1.b25c082905f9fp-4, -0x1.a8926b3adffa5p-4, -0x1.9ef4086161702p-4, -0x1.958086529beb3p-4, -0x1.8c378918eca1p-4, -0x1.8318b2385a2cep-4, -0x1.7a23a0d30558bp-4, -0x1.7157f1ccc1ddcp-4, -0x1.68b53fedd0f4bp-4, -0x1.603b2404c058bp-4, -0x1.57e935076e722p-4, -0x1.4fbf0833361eap-4, -0x1.47bc312c42f8p-4, -0x1.3fe0421c0fafcp-4, -0x1.382acbcf109afp-4, -0x1.309b5dd18cb84p-4, -0x1.2931868ba6c5ap-4, -0x1.21ecd35c98276p-4, -0x1.1accd0b521539p-4, -0x1.13d10a3130a12p-4, -0x1.0cf90ab0c35b8p-4, -0x1.06445c7001462p-4, -0x1.ff65123d31188p-5, -0x1.f28633ecb3de6p-5, -0x1.e5eb2fa231162p-5, -0x1.d993167ba33p-5, -0x1.cd7cf92a38a98p-5, -0x1.c1a7e819cf772p-5, -0x1.b612f3970dc62p-5, -0x1.aabd2bf41f1f3p-5, -0x1.9fa5a1ac1cf2bp-5, -0x1.94cb65852723p-5, -0x1.8a2d88b134fd7p-5, -0x1.7fcb1ced9fb06p-5, -0x1.75a334a174ab7p-5, -0x1.6bb4e2fa8c658p-5, -0x1.61ff3c0972e63p-5, -0x1.588154dc264d2p-5, -0x1.4f3a4397af8e8p-5, -0x1.46291f909f9ap-5, -0x1.3d4d0162719f8p-5, -0x1.34a50305ddb4ap-5, -0x1.2c303fe620c71p-5, -0x1.23edd4f53d07fp-5, -0x1.1bdce0bf3c4e3p-5, -0x1.13fc837c7a6ccp-5, -0x1.0c4bdf22fb00bp-5, -0x1.04ca1776d2cfp-5, -0x1.faeca433533cdp-6, -0x1.ec9f6d32b7e4ap-6, -0x1.deaadcfb82703p-6, -0x1.d10d4aab375d7p-6, -0x1.c3c5118570bbdp-6, -0x1.b6d0910a8fd14p-6, -0x1.aa2e2d0cdda46p-6, -0x1.9ddc4dc4352b1p-6, -0x1.91d95fe035b32p-6, -0x1.8623d4991087p-6, -0x1.7aba21bef76dcp-6, -0x1.6f9ac1c83b82cp-6, -0x1.64c433de209d9p-6, -0x1.5a34fbe874c54p-6, -0x1.4feba297f2b81p-6, -0x1.45e6b56f7ce75p-6, -0x1.3c24c6cc351efp-6, -0x1.32a46dec81094p-6, -0x1.296446f5fe5ebp-6, -0x1.2062f2fa763d6p-6, -0x1.179f17fbd3e09p-6, -0x1.0f1760ef2b631p-6, -0x1.06ca7dbed62e2p-6, -0x1.fd6e46975ddbbp-7, -0x1.edb816daf204cp-7, -0x1.de6fe9e4e40acp-7, -0x1.cf93473c44fffp-7, -0x1.c11fc04ed8d19p-7, -0x1.b312f06bbce84p-7, -0x1.a56a7cbcbd021p-7, -0x1.9824143e499e1p-7, -0x1.8b3d6fb62d852p-7, -0x1.7eb451a9178e7p-7, -0x1.7286864ef1944p-7, -0x1.66b1e38624f94p-7, -0x1.5b3448c5d0f62p-7, -0x1.500b9f0eff5afp-7, -0x1.4535d8dceb2f1p-7, -0x1.3ab0f2145c49cp-7, -0x1.307aeff228e9bp-7, -0x1.2691e0f8e9ae8p-7, -0x1.1cf3dcdde7d6p-7, -0x1.139f047552f79p-7, -0x1.0a91819dc95bcp-7, -0x1.01c9872b3b1acp-7, -0x1.f28aa1a2663d3p-8, -0x1.e20646192401fp-8, -0x1.d20296197fa89p-8, -0x1.c27c3d38c397cp-8, -0x1.b36ff81337d8bp-8, -0x1.a4da941bcac28p-8, -0x1.96b8ef6af5be6p-8, -0x1.8907f88ce9ad5p-8, -0x1.7bc4ae4f14f47p-8, -0x1.6eec1f8d12f19p-8, -0x1.627b6afd1064ap-8, -0x1.566fbefbb75f3p-8, -0x1.4ac65957acde1p-8, -0x1.3f7c871caf3f9p-8, -0x1.348fa45e61b03p-8, -0x1.29fd1c02d1818p-8, -0x1.1fc2678cc13cfp-8, -0x1.15dd0ee5c1e43p-8, -0x1.0c4aa8282cf39p-8, -0x1.0308d768ff258p-8, -0x1.f42a9d0353499p-9, -0x1.e2db99b3b0879p-9, -0x1.d2203e6280dcp-9, -0x1.c1f43ed2f3569p-9, -0x1.b253689fd9dfdp-9, -0x1.a339a2cfc3853p-9, -0x1.94a2ed696354fp-9, -0x1.868b61084e7bcp-9, -0x1.78ef2e722708cp-9, -0x1.6bca9e2c3ce9cp-9, -0x1.5f1a1011b0f1bp-9, -0x1.52d9faea2a3d7p-9, -0x1.4706ec012938ep-9, -0x1.3b9d86bdff055p-9, -0x1.309a843c7bd57p-9, -0x1.25fab2e6567f5p-9, -0x1.1bbaf60d5ac72p-9, -0x1.11d845866b549p-9, -0x1.084fad4556343p-9, -0x1.fe3c99f3162d1p-10, -0x1.ec82af577bfeep-10, -0x1.db6c26b8e2aa2p-10, -0x1.caf3b146f6041p-10, -0x1.bb1424a105f5cp-10, -0x1.abc87a19097p-10, -0x1.9d0bcdf8a86aap-10, -0x1.8ed95ec86a331p-10, -0x1.812c8c98f8485p-10, -0x1.7400d84e90c94p-10, -0x1.6751e2eea6353p-10, -0x1.5b1b6cefbd618p-10, -0x1.4f59558b82e3fp-10, -0x1.44079a1328d4p-10, -0x1.3922554608632p-10, -0x1.2ea5beaa982f3p-10, -0x1.248e29e9ac0c7p-10, -0x1.1ad8062c0cea8p-10, -0x1.117fdd7a66939p-10, -0x1.0882541f92074p-10, -0x1.ffb8501a63b82p-11, -0x1.ef1460856962dp-11, -0x1.df12b86d599e5p-11, -0x1.cfad66850f831p-11, -0x1.c0dea8214594fp-11, -0x1.b2a0e819735c4p-11, -0x1.a4eebdad64e32p-11, -0x1.97c2eb6f82dbdp-11, -0x1.8b185e33ccca1p-11, -0x1.7eea2c037dcp-11, -0x1.7333931559e39p-11, -0x1.67eff8ca9c9ebp-11, -0x1.5d1ae8b082fbap-11, -0x1.52b013866c50ap-11, -0x1.48ab4e4888747p-11, -0x1.3f08913f0d2c6p-11, -0x1.35c3f711ea0c6p-11, -0x1.2cd9bbe0f3cdbp-11, -0x1.24463c607c13ep-11, -0x1.1c05f4fa4cd77p-11, -0x1.141580f3007bbp-11, -0x1.0c719993a7b28p-11, -0x1.05171557b800dp-11, -0x1.fc05ce3e64e5bp-12, -0x1.ee643ac9fc74p-12, -0x1.e143c2f2cc2bep-12, -0x1.d49eed815ff65p-12, -0x1.c87073eb83cf3p-12, -0x1.bcb340e196acbp-12, -0x1.b1626ee3c1b6fp-12, -0x1.a67946df05db1p-12, -0x1.9bf33ed2060c4p-12, -0x1.91cbf8796ce0ap-12, -0x1.87ff4003dc6c2p-12, -0x1.7e890acd4c6d2p-12, -0x1.75657621b82bfp-12, -0x1.6c90c6070994ap-12, -0x1.6407640e1f52ap-12, -0x1.5bc5de2adccfbp-12, -0x1.53c8e5931ce8ap-12, -0x1.4c0d4da47a47dp-12, -0x1.44900ad0c9d1fp-12, -0x1.3d4e31912d78dp-12, -0x1.3644f55fa8efap-12, -0x1.2f71a7b718bbp-12, -0x1.28d1b71974a3cp-12, -0x1.2262ae1c3eed8p-12, -0x1.1c22327b0b25ep-12, -0x1.160e042ffac58p-12, -0x1.1023fc921d2bap-12, -0x1.0a620d799214dp-12, -0x1.04c6406957206p-12, -0x1.fe9d6b7d4f403p-13, -0x1.f3f347cba2d96p-13, -0x1.e98aad28cea58p-13, -0x1.df605c116edaep-13, -0x1.d5713c9cd4d1ep-13, -0x1.cbba5d1066b6p-13, -0x1.c238f07cefbfap-13, -0x1.b8ea4d65af6cap-13, -0x1.afcbec70ec443p-13, -0x1.a6db6721f1d59p-13, -0x1.9e16769c2545ap-13, -0x1.957af26f26836p-13, -0x1.8d06cf6bb6148p-13, -0x1.84b81e813270ep-13, -0x1.7c8d0ba38d666p-13, -0x1.7483dcb97b5eep-13, -0x1.6c9af092b6b3ap-13, -0x1.64d0bde62f6ccp-13, -0x1.5d23d257e85f8p-13, -0x1.5592d1866fa7cp-13, -0x1.4e1c741fb623bp-13, -0x1.46bf86fd1ab5ap-13, -0x1.3f7aea468aabcp-13, -0x1.384d909c86aaep-13, -0x1.31367e48e0df9p-13, -0x1.2a34c8761408ap-13, -0x1.2347946d02b86p-13, -0x1.1c6e16d902decp-13, -0x1.15a793120079ap-13, -0x1.0ef35a6ca1cc6p-13, -0x1.0850cb9037fa1p-13, -0x1.01bf51d26ae5dp-13, -0x1.f67cc930c464ep-14, -0x1.e99b0d7ac1257p-14, -0x1.dcd88bfd4a8f3p-14, -0x1.d03474d8c9eb4p-14, -0x1.c3ae0bbfac6f8p-14, -0x1.b744a6ec175b2p-14, -0x1.aaf7ae1f370aap-14, -0x1.9ec699a9c2bp-14, -0x1.92b0f17d80a06p-14, -0x1.86b64c4792499p-14, -0x1.7ad64e934556bp-14, -0x1.6f10a9f531a0dp-14, -0x1.63651c3e68a7ep-14, -0x1.57d36eb77f73bp-14, -0x1.4c5b756337989p-14, -0x1.40fd0e4895793p-14, -0x1.35b820c428afep-14, -0x1.2a8c9ce056b35p-14, -0x1.1f7a7ab471ac8p-14, -0x1.1481b9ca69c5p-14, -0x1.09a2608ae707fp-14, -0x1.fdb8f75f39a04p-15, -0x1.e8603b774c41bp-15, -0x1.d33abcf37938ep-15, -0x1.be48b5003d028p-15, -0x1.a98a6573e9ab1p-15, -0x1.950017ec21bd4p-15, -0x1.80aa1cf5a8c89p-15, -0x1.6c88cb3e3af4cp-15, -0x1.589c7ed017b07p-15, -0x1.44e59856f0371p-15, -0x1.31647c6defb61p-15, -0x1.1e1992f68f3e8p-15, -0x1.0b054677ea933p-15, -0x1.f050070ca7102p-16, -0x1.cb047065ac3f4p-16, -0x1.a628a704dedeep-16, -0x1.81bd89d962cadp-16, -0x1.5dc3f7c3218dfp-16, -0x1.3a3cceac48424p-16, -0x1.1728eab01cf85p-16, -0x1.e9124a9d6dd53p-17, -0x1.a4bca95a5c3f2p-17, -0x1.615295c38019ep-17, -0x1.1ed5aa970be2ap-17, -0x1.ba8eefd51b6fcp-18, -0x1.3953040c19a8cp-18, -0x1.73f5014ee2dfdp-19, -0x1.e441c63764137p-21, 0x1.f808efe82f663p-21, 0x1.713dda82d9eadp-19, 0x1.304ebf63aabe9p-18, 0x1.a60e40ea887bcp-18, 0x1.0ceda0e76cd25p-17, 0x1.45d9db52798ebp-17, 0x1.7dcadcd428f52p-17, 0x1.b4bfc5d552b05p-17, 0x1.eab7ca73c0fa5p-17, 0x1.0fd9196f731c7p-16, 0x1.29d72dd40d70cp-16, 0x1.4355db036b656p-16, 0x1.5c54e408be7a9p-16, 0x1.74d41675a2c99p-16, 0x1.8cd34a73daa5cp-16, 0x1.a45262d21bca7p-16, 0x1.bb514d0c1da4dp-16, 0x1.d1d0014e300fbp-16, 0x1.e7ce82748dab4p-16, 0x1.fd4cde069acfp-16, 0x1.092596172c372p-15, 0x1.1364c7d61550cp-15, 0x1.1d641ae398c3cp-15, 0x1.2723ab1d32056p-15, 0x1.30a3998f48a6cp-15, 0x1.39e40c68c3b58p-15, 0x1.42e52eed3c074p-15, 0x1.4ba73165ea9f5p-15, 0x1.542a491162ac5p-15, 0x1.5c6eb0122b4a7p-15, 0x1.6474a55c4fbdep-15, 0x1.6c3c6ca1f2c1p-15, 0x1.73c64e3efb3cep-15, 0x1.7b129723e98e4p-15, 0x1.822198bfe4785p-15, 0x1.88f3a8ea1081ep-15, 0x1.8f8921ca3e58dp-15, 0x1.95e261c0ff5dep-15, 0x1.9bffcb4f2f7a2p-15, 0x1.a1e1c4fd00db2p-15, 0x1.a788b9409578cp-15, 0x1.acf5166435866p-15, 0x1.b2274e6c2b763p-15, 0x1.b71fd6fc550b3p-15, 0x1.bbdf293d6e864p-15, 0x1.c065c1c228dc8p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.be0c537120675p-1, 0x1.bd3bf80e72539p-1, 0x1.bc5c4b7d2d965p-1, 0x1.bb6cfed840468p-1, 0x1.ba6dcbd605a6ep-1, 0x1.b95e74c495737p-1, 0x1.b83ec47a05825p-1, 0x1.b70e8e3a5a5e5p-1, 0x1.b5cdad94b6dbp-1, 0x1.b47c063924527p-1, 0x1.b31983c82221ep-1, 0x1.b1a6199d0bc24p-1, 0x1.b021c2943e23dp-1, 0x1.ae8c80cdc9789p-1, 0x1.ace65d6d677cap-1, 0x1.ab2f685850627p-1, 0x1.a967b7f17d8bdp-1, 0x1.a78f68d4cdbaap-1, 0x1.a5a69d917b4ffp-1, 0x1.a3ad7e643a5d2p-1, 0x1.a1a438f15410ep-1, 0x1.9f8affff02939p-1, 0x1.9d620b304a732p-1, 0x1.9b2996c086d77p-1, 0x1.98e1e33fd3d03p-1, 0x1.968b35507fdc2p-1, 0x1.9425d565a2919p-1, 0x1.91b20f82f6884p-1, 0x1.8f3032fe0eb58p-1, 0x1.8ca09240f5f66p-1, 0x1.8a03828e4fa62p-1, 0x1.87595bc70164p-1, 0x1.84a2783171e8fp-1, 0x1.81df34426465fp-1, 0x1.7f0fee6777059p-1, 0x1.7c3506d347a2fp-1, 0x1.794edf4b423c9p-1, 0x1.765ddaf7167e4p-1, 0x1.73625e31da8b4p-1, 0x1.705cce5cd1228p-1, 0x1.6d4d91b3d74b9p-1, 0x1.6a350f23740bdp-1, 0x1.6713ae208353ap-1, 0x1.63e9d6817beafp-1, 0x1.60b7f0594758bp-1, 0x1.5d7e63d3a727ap-1, 0x1.5a3d991321d0bp-1, 0x1.56f5f8106f5f7p-1, 0x1.53a7e87b60c35p-1, 0x1.5053d19d365d1p-1, 0x1.4cfa1a3c65583p-1, 0x1.499b2881bb527p-1, 0x1.463761dee132bp-1, 0x1.42cf2af62e728p-1, 0x1.3f62e783c8e67p-1, 0x1.3bf2fa48071e8p-1, 0x1.387fc4f30de5ep-1, 0x1.3509a8119f6c4p-1, 0x1.319102fb1743p-1, 0x1.2e1633c086a4dp-1, 0x1.2a99971ceb50dp-1, 0x1.271b88667a272p-1, 0x1.239c6180f0fefp-1, 0x1.201c7ad0edbabp-1, 0x1.1c9c2b303c884p-1, 0x1.191bc7e31b194p-1, 0x1.159ba48e63dbp-1, 0x1.121c132e9d705p-1, 0x1.0e9d640fe569dp-1, 0x1.0b1fe5c6ad705p-1, 0x1.07a3e529460abp-1, 0x1.0429ad4a2dfc5p-1, 0x1.00b187731e884p-1, 0x1.fa7776419f867p-2, 0x1.f3911bfed8c36p-2, 0x1.ecb087cf5b7e2p-2, 0x1.e5d63db9353e5p-2, 0x1.df02be13c5e56p-2, 0x1.d83685859c1fdp-2, 0x1.d1720d03764fp-2, 0x1.cab5c9d0509cp-2, 0x1.c4022d7e78b9bp-2, 0x1.bd57a5f19f6aep-2, 0x1.b6b69d61d2b11p-2, 0x1.b01f7a5f5dfefp-2, 0x1.a9929fd7833efp-2, 0x1.a3106d19fbf4fp-2, 0x1.9c993ddf435ecp-2, 0x1.962d6a4f94045p-2, 0x1.8fcd470a94539p-2, 0x1.8979252fab3d1p-2, 0x1.83315266e9e91p-2, 0x1.7cf618ea8d27bp-2, 0x1.76c7bf910494fp-2, 0x1.70a689d77b7a5p-2, 0x1.6a92b7ecd78efp-2, 0x1.648c86bd29a03p-2, 0x1.5e942ffd86765p-2, 0x1.58a9ea383ba45p-2, 0x1.52cde8d962058p-2, 0x1.4d005c3bbf652p-2, 0x1.474171b5f0472p-2, 0x1.419153a7db939p-2, 0x1.3bf029885c5afp-2, 0x1.365e17f327db2p-2, 0x1.30db40b6e141bp-2, 0x1.2b67c2e35a4abp-2, 0x1.2603bad7f8d0ap-2, 0x1.20af42523b25dp-2, 0x1.1b6a707c59e58p-2, 0x1.163559fbfc3d7p-2, 0x1.1110110101541p-2, 0x1.0bfaa55450b7fp-2, 0x1.06f52466b800dp-2, 0x1.01ff995fca337p-2, 0x1.fa341a597902cp-3, 0x1.f0890d1e87d45p-3, 0x1.e6fe1458cd185p-3, 0x1.dd93353688529p-3, 0x1.d44870e79ccc2p-3, 0x1.cb1dc4bae0a4bp-3, 0x1.c2132a3b452f8p-3, 0x1.b928974cc3811p-3, 0x1.b05dfe49286ffp-3, 0x1.a7b34e1c8faa1p-3, 0x1.9f287261b2ce6p-3, 0x1.96bd537de95c7p-3, 0x1.8e71d6bce94f7p-3, 0x1.8645de6c30a3ep-3, 0x1.7e3949f62ce4cp-3, 0x1.764bf5fd057c8p-3, 0x1.6e7dbc751436cp-3, 0x1.66ce74bf032a2p-3, 0x1.5f3df3c18e44ep-3, 0x1.57cc0c02e4f99p-3, 0x1.50788dc1adcd7p-3, 0x1.4943470da21b5p-3, 0x1.422c03dfc914cp-3, 0x1.3b328e3246926p-3, 0x1.3456ae17c4bc2p-3, 0x1.2d9829d271806p-3, 0x1.26f6c5ea8e181p-3, 0x1.207245449b24ap-3, 0x1.1a0a693707062p-3, 0x1.13bef19f7fd4dp-3, 0x1.0d8f9cf7c5cfcp-3, 0x1.077c286a1a667p-3, 0x1.01844fe537a15p-3, 0x1.f74f9c5fb16cap-4, 0x1.ebccb9f7ae999p-4, 0x1.e07f69f19cfbep-4, 0x1.d5671bccaa512p-4, 0x1.ca833d4b8d993p-4, 0x1.bfd33a972ed39p-4, 0x1.b5567e607f263p-4, 0x1.ab0c720165481p-4, 0x1.a0f47d9cd50e3p-4, 0x1.970e083e075fdp-4, 0x1.8d5877f6d8065p-4, 0x1.83d331fd4d90dp-4, 0x1.7a7d9ac8479aap-4, 0x1.7157162b596f2p-4, 0x1.685f0771d165ep-4, 0x1.5f94d178ef999p-4, 0x1.56f7d6c94d629p-4, 0x1.4e8779af79a15p-4, 0x1.46431c53cb132p-4, 0x1.3e2a20d169bfap-4, 0x1.363be94c96e31p-4, 0x1.2e77d8082fd03p-4, 0x1.26dd4f7a73871p-4, 0x1.1f6bb2610b2eap-4, 0x1.182263d459d62p-4, 0x1.1100c75a14604p-4, 0x1.0a0640f727385p-4, 0x1.03323540ea59cp-4, 0x1.f90812db51df8p-5, 0x1.ebf646c8fb921p-5, 0x1.df2dd39912658p-5, 0x1.d2ad8837039edp-5, 0x1.c674354749fap-5, 0x1.ba80ad42149e1p-5, 0x1.aed1c48cb4ed2p-5, 0x1.a3665191e1f75p-5, 0x1.983d2cd8d0286p-5, 0x1.8d55311b29809p-5, 0x1.82ad3b59e875p-5, 0x1.78442af11ef79p-5, 0x1.6e18e1aaae397p-5, 0x1.642a43cff68bap-5, 0x1.5a77383a83f06p-5, 0x1.50fea863c0833p-5, 0x1.47bf8073b1ff3p-5, 0x1.3eb8af4ec4d9ap-5, 0x1.35e926a2b24f5p-5, 0x1.2d4fdaf280576p-5, 0x1.24ebc3a1a8255p-5, 0x1.1cbbdafe61783p-5, 0x1.14bf1e4b22e65p-5, 0x1.0cf48dc7512a1p-5, 0x1.055b2cb72e53dp-5, 0x1.fbe402d60eef3p-6, 0x1.ed702a8b5292cp-6, 0x1.df58e98441ddp-6, 0x1.d19c5ef19b2e4p-6, 0x1.c438b04797575p-6, 0x1.b72c094573d08p-6, 0x1.aa749bfbc480bp-6, 0x1.9e10a0d1914d5p-6, 0x1.91fe56884e3a1p-6, 0x1.863c023eb5d68p-6, 0x1.7ac7ef7290874p-6, 0x1.6fa07001711cap-6, 0x1.64c3dc2874151p-6, 0x1.5a309283072dap-6, 0x1.4fe4f808c4816p-6, 0x1.45df780a6b12ep-6, 0x1.3c1e842df843dp-6, 0x1.32a09469f53afp-6, 0x1.296426fff4b38p-6, 0x1.2067c07656528p-6, 0x1.17a9eb914a95p-6, 0x1.0f29394b2b0afp-6, 0x1.06e440cc2576bp-6, 0x1.fdb33ec292998p-7, 0x1.ee0ff0e5f4c5bp-7, 0x1.dedbeaf59fb38p-7, 0x1.d0148bf1d234bp-7, 0x1.c1b73ed17d0f8p-7, 0x1.b3c17a6aeb47ep-7, 0x1.a630c15b7586dp-7, 0x1.9902a1ee63ce5p-7, 0x1.8c34b602e9c72p-7, 0x1.7fc4a2f169479p-7, 0x1.73b0196ff13b6p-7, 0x1.67f4d57613a7ep-7, 0x1.5c909e200bc53p-7, 0x1.518145915b929p-7, 0x1.46c4a8d6c7b69p-7, 0x1.3c58afc7dcba3p-7, 0x1.323b4ce7f4563p-7, 0x1.286a7d46ca4d7p-7, 0x1.1ee44860ab1a2p-7, 0x1.15a6bffe432fap-7, 0x1.0cb000141b0f7p-7, 0x1.03fe2ea1c4d59p-7, 0x1.f71ef7218e201p-8, 0x1.e6c4412695026p-8, 0x1.d6e8c20528778p-8, 0x1.c789137aa44b3p-8, 0x1.b8a1e20b85359p-8, 0x1.aa2fecbf7884ap-8, 0x1.9c3004dd3f4c2p-8, 0x1.8e9f0da66cfe8p-8, 0x1.8179fc130e188p-8, 0x1.74bdd68d489bbp-8, 0x1.6867b4acf9b8bp-8, 0x1.5c74bef363cbep-8, 0x1.50e22e86efc74p-8, 0x1.45ad4cef12a2ap-8, 0x1.3ad373d05d955p-8, 0x1.30520ca8c189bp-8, 0x1.2626908c119e2p-8, 0x1.1c4e87e0cc045p-8, 0x1.12c78a1d2fffcp-8, 0x1.098f3d84aadefp-8, 0x1.00a356e5a2af2p-8, 0x1.f00332af4d19ep-9, 0x1.df4fabf411959p-9, 0x1.cf27d765d98ep-9, 0x1.bf878ddd97141p-9, 0x1.b06ac2c0f05e1p-9, 0x1.a1cd83834afdap-9, 0x1.93abf727e9cd6p-9, 0x1.86025dc526998p-9, 0x1.78cd1008ce43p-9, 0x1.6c087ebdaa111p-9, 0x1.5fb132523b40bp-9, 0x1.53c3ca60b6562p-9, 0x1.483cfd383d9f8p-9, 0x1.3d19976766badp-9, 0x1.32567b480fa14p-9, 0x1.27f0a08c86975p-9, 0x1.1de513ce0fb4ap-9, 0x1.1430f61cc3829p-9, 0x1.0ad17c90d7045p-9, 0x1.01c3efdd44b7ep-9, 0x1.f20b57c7c702bp-10, 0x1.e1283e95cce06p-10, 0x1.d0d99627a141bp-10, 0x1.c11a8467b172dp-10, 0x1.b1e6525b8345p-10, 0x1.a3386b5a4c78ep-10, 0x1.950c5c467fe36p-10, 0x1.875dd2ca41aa7p-10, 0x1.7a289c96d91fp-10, 0x1.6d68a6a7052dbp-10, 0x1.6119fc8450acbp-10, 0x1.5538c78f54833p-10, 0x1.49c14e4ae689dp-10, 0x1.3eaff3aa42a73p-10, 0x1.3401366219e45p-10, 0x1.29b1b03c961bap-10, 0x1.1fbe1570415f9p-10, 0x1.162333f9d7d9bp-10, 0x1.0cddf2f8ffa1ep-10, 0x1.03eb520fdf1edp-10, 0x1.f690d18b22f9ap-11, 0x1.e5e4cbd6e0ab2p-11, 0x1.d5cd1e0a6b612p-11, 0x1.c6447f67d464ep-11, 0x1.b745d2473b23dp-11, 0x1.a8cc22f7c79b4p-11, 0x1.9ad2a6a620504p-11, 0x1.8d54ba48537e6p-11, 0x1.804de18f2347p-11, 0x1.73b9c5dcac196p-11, 0x1.6794354054a89p-11, 0x1.5bd92177fca1ep-11, 0x1.50849ef65a5e7p-11, 0x1.4592e3ee7abc5p-11, 0x1.3b00476454076p-11, 0x1.30c940425d4f4p-11, 0x1.26ea64741b4e2p-11, 0x1.1d60680593c9cp-11, 0x1.14281c4796fe7p-11, 0x1.0b3e6ef8d2783p-11, 0x1.02a06973982eep-11, 0x1.f4965fc0a06e1p-12, 0x1.e47800d901855p-12, 0x1.d4e0650cb95ecp-12, 0x1.c5ca6c3995ca1p-12, 0x1.b73125c7a5db9p-12, 0x1.a90fcf3ac13p-12, 0x1.9b61d2cc98c8fp-12, 0x1.8e22c60f36efbp-12, 0x1.814e6897c0a2cp-12, 0x1.74e0a2b166fc5p-12, 0x1.68d584185a2fcp-12, 0x1.5d2942bca471cp-12, 0x1.51d8398cc9ab1p-12, 0x1.46dee7480779ep-12, 0x1.3c39ed581cbecp-12, 0x1.31e60eb26de9fp-12, 0x1.27e02ec06cd3p-12, 0x1.1e25504f1f2b7p-12, 0x1.14b29485a4ec5p-12, 0x1.0b8539e29ec66p-12, 0x1.029a9b405172cp-12, 0x1.f3e05dbed4d7p-13, 0x1.e3070af083243p-13, 0x1.d2a492a4f97afp-13, 0x1.c2b47ac5e5ec1p-13, 0x1.b33278df5fb1bp-13, 0x1.a41a7073f66b9p-13, 0x1.9568715c89dedp-13, 0x1.8718b633a95e3p-13, 0x1.7927a2cc45b67p-13, 0x1.6b91c2b37a2c7p-13, 0x1.5e53c7bd29e64p-13, 0x1.516a889b411a7p-13, 0x1.44d2ff7f5be04p-13, 0x1.388a48c698fb7p-13, 0x1.2c8da1af637e2p-13, 0x1.20da6718fa82fp-13, 0x1.156e144c800dap-13, 0x1.0a4641cf581ffp-13, 0x1.fec1487d4ebf7p-14, 0x1.e97616676483p-14, 0x1.d4a6c061f32bdp-14, 0x1.c04f4b2f93712p-14, 0x1.ac6beb4c4bb5ep-14, 0x1.98f902f98b1f3p-14, 0x1.85f32059ff7e5p-14, 0x1.7356fb9ce43bap-14, 0x1.612175386394ap-14, 0x1.4f4f9432b18bap-14, 0x1.3dde847983f07p-14, 0x1.2ccb95478b46ap-14, 0x1.1c14379795e38p-14, 0x1.0bb5fca50249bp-14, 0x1.f75d28f25b135p-15, 0x1.d7f7990b1085ap-15, 0x1.b9371c93f90bdp-15, 0x1.9b17bc0eae454p-15, 0x1.7d95b2fabf0dep-15, 0x1.60ad6d68a6dc8p-15, 0x1.445b85a2eb56cp-15, 0x1.289cc1ecca971p-15, 0x1.0d6e1255e723ap-15, 0x1.e5991d44b5fd8p-16, 0x1.b16ae88d4c075p-16, 0x1.7e4c48edce2fdp-16, 0x1.4c384491b67c4p-16, 0x1.1b2a21d02e378p-16, 0x1.d63ac76fdae2p-17, 0x1.781b8d7b12927p-17, 0x1.1bee7b16588bap-17, 0x1.8357b7c30e26p-18, 0x1.a5316f9d64b48p-19, 0x1.2c901f9e5d48p-21, -0x1.079356d64c87bp-19, -0x1.2986fd8aaa70ap-18, -0x1.cbb2033417a45p-18, -0x1.352b201f9bbp-17, -0x1.82bf5a558b9cbp-17, -0x1.ce9af2a8ab002p-17, -0x1.0c61790dbf6f6p-16, -0x1.309e161f9204p-16, -0x1.5405a17effce2p-16, -0x1.769a551cf283fp-16, -0x1.985e559f82dbfp-16, -0x1.b953b406965fdp-16, -0x1.d97c6f3c48f43p-16, -0x1.f8da7591d91bep-16, -0x1.0bb7d314db773p-15, -0x1.1a9ee927afe7fp-15, -0x1.29235f5ed25c6p-15, -0x1.37461269fc11fp-15, -0x1.4507d9ddad1dap-15, -0x1.526988bdbd4b5p-15, -0x1.5f6bee004c3aep-15, -0x1.6c0fd5095ee84p-15, -0x1.7856061f64fe3p-15, -0x1.843f46d8f253cp-15, -0x1.8fcc5a83e4ca4p-15, -0x1.9afe02863de0bp-15, -0x1.a5d4feb8e6c12p-15, -0x1.b0520dbc9ee95p-15, -0x1.ba75ed494e5b6p-15, -0x1.c4415a77f1be1p-15, -0x1.cdb512075a116p-15, -0x1.d6d1d09bf718dp-15, -0x1.df9852fad7b5p-15, -0x1.e80956401ff47p-15, -0x1.f0259811176fep-15, -0x1.f7edd6ca0b0a2p-15, -0x1.ff62d1a8289f4p-15, -0x1.0342a477c38a1p-14, -0x1.06aaff06bf395p-14, -0x1.09ead9dbc255p-14, -0x1.0d02970355e4ap-14, -0x1.0ff29947fa10ep-14, -0x1.12bb443cc81d7p-14, -0x1.155cfc46a2e91p-14, -0x1.17d826a4048b7p-14, -0x1.1a2d29737f0bp-14, -0x1.1c5c6bb8fb564p-14, -0x1.1e665561cc1e4p-14, -0x1.204b4f479febcp-14, -0x1.220bc33265595p-14, -0x1.23a81bd92cf9cp-14, -0x1.2520c4e218979p-14, -0x1.26762ae16663ep-14, -0x1.27a8bb57a25a4p-14, -0x1.28b8e4af0e6c6p-14, -0x1.29a716384b00ep-14, -0x1.2a73c0264bd7fp-14, -0x1.2b1f5389a67b9p-14, -0x1.2baa424b439acp-14, -0x1.2c14ff267e791p-14, -0x1.2c5ffda2bc8a7p-14, -0x1.2c8bb20c87ae3p-14, -0x1.2c98916e33511p-14, -0x1.2c87118817192p-14, -0x1.2c57a8c865961p-14, -0x1.2c0ace42aa7efp-14, -0x1.2ba0f9a6f52abp-14, -0x1.2b1aa338b9899p-14, -0x1.2a7843c56decdp-14, -0x1.29ba549aeca34p-14, -0x1.28e14f7da09fcp-14, -0x1.27edae9e8376cp-14, -0x1.26dfec90f2d4bp-14, -0x1.25b8844063e71p-14, -0x1.2477f0e5f9692p-14, -0x1.231eadfe02a1ep-14, -0x1.21ad373d68e7dp-14, -0x1.202408870e32p-14, -0x1.1e839de124cfep-14, -0x1.1ccc736a82cecp-14, -0x1.1aff054ff3c02p-14, -0x1.191bcfc19210ep-14, -0x1.17234ee824571p-14, -0x1.1515feda8a79cp-14, -0x1.12f45b933604ap-14, -0x1.10bee0e5b8477p-14, -0x1.0e760a746278cp-14, -0x1.0c1a53a601f3dp-14, -0x1.09ac379bb3846p-14, -0x1.072c3126d7209p-14, -0x1.049ababf229ddp-14, -0x1.01f84e78d5ba5p-14, -0x1.fe8acbf628516p-15, -0x1.f904f4ecc912ep-15, -0x1.f3600936aec5bp-15, -0x1.ed9cf922b24cdp-15, -0x1.e7bcb3db5a923p-15, -0x1.e1c0275531d49p-15, -0x1.dba8403d71ca4p-15, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      34, 0x1.cp+1, 0x1.19690dfbb2669p+1, 0x1.12deb65210b92p+1, -0x1.3f80ab33d3762p-3, 
      {{
        {0x1.3333333333333p+0, 0x1.3d70a3d70a3d7p+0, 0x1.d3137b07075b4p-2, -0x1.5885dd8f235e4p+0, 0x1.7ab851eb851f9p+0, 0x1.f68f53aac9c2ap-3}, 
        {0x1.3d70a3d70a3d7p+0, 0x1.47ae147ae147bp+0, 0x1.9e646f1561911p-2, -0x1.39ec7c965b76ep+0, 0x1.8242266000782p+0, -0x1.3a19944abe0b9p+0}, 
        {0x1.47ae147ae147bp+0, 0x1.51eb851eb851fp+0, 0x1.6e8e60807357ep-2, -0x1.1c87e172c6042p+0, 0x1.5c91001997be8p+0, -0x1.8cd73294c0c1p-1}, 
        {0x1.51eb851eb851fp+0, 0x1.5c28f5c28f5c3p+0, 0x1.43361565c2d28p-2, -0x1.01990f3b6cec9p+0, 0x1.44c1874e1b8ap+0, -0x1.b0700d1785a4ep-1}, 
        {0x1.5c28f5c28f5c3p+0, 0x1.6666666666666p+0, 0x1.1c04c8bc9cd3ep-2, -0x1.d14f7e6ef8e63p-1, 0x1.2acf49146051cp+0, -0x1.8168990d2b64ap-1}, 
        {0x1.6666666666666p+0, 0x1.70a3d70a3d70ap+0, 0x1.f15054ac29bf1p-3, -0x1.a359d6993daa5p-1, 0x1.13af68db441dfp+0, -0x1.79ed8eb3c01d3p-1}, 
        {0x1.70a3d70a3d70ap+0, 0x1.7ae147ae147aep+0, 0x1.b1a6506141637p-3, -0x1.790e2bad7f77p-1, 0x1.fa04df4f0ac79p-1, -0x1.56e12c23db2f6p-1}, 
        {0x1.7ae147ae147aep+0, 0x1.851eb851eb852p+0, 0x1.7878b7a1c25dp-3, -0x1.52383b33d6e63p-1, 0x1.d0df9c926b5b7p-1, -0x1.4a8dc0bcd2771p-1}, 
        {0x1.851eb851eb852p+0, 0x1.8f5c28f5c28f6p+0, 0x1.453f39d1b2e5ap-3, -0x1.2e9dce86d4a54p-1, 0x1.a9350052ccfb3p-1, -0x1.36e7d0e8dcd3ap-1}, 
        {0x1.8f5c28f5c28f6p+0, 0x1.999999999999ap+0, 0x1.17785729b280fp-3, -0x1.0e179b7bffe13p-1, 0x1.83e5fbbbfa297p-1, -0x1.19d2fb9fb8a6dp-1}, 
        {0x1.999999999999ap+0, 0x1.a3d70a3d70a3dp+0, 0x1.dd54da4ce8102p-4, -0x1.e0d382280d1d9p-2, 0x1.6214586b5ee23p-1, -0x1.11cc409843e53p-1}, 
        {0x1.a3d70a3d70a3dp+0, 0x1.ae147ae147ae1p+0, 0x1.94ca925fe974ap-4, -0x1.aacd4c7d18644p-2, 0x1.4139466d942d4p-1, -0x1.edf803fe637d1p-2}, 
        {0x1.ae147ae147ae1p+0, 0x1.b851eb851eb85p+0, 0x1.547cfa26a22b4p-4, -0x1.79c6f6b12fdaep-2, 0x1.2395ea074687p-1, -0x1.d4876ed5f0184p-2}, 
        {0x1.b851eb851eb85p+0, 0x1.c28f5c28f5c29p+0, 0x1.1ba7fc32ebe5ap-4, -0x1.4d5f5889ba686p-2, 0x1.07794ee5f58fcp-1, -0x1.afea40a9dd149p-2}, 
        {0x1.c28f5c28f5c29p+0, 0x1.ccccccccccccdp+0, 0x1.d32830a0b1bbdp-5, -0x1.254a3199c4ebep-2, 0x1.db1e2fa30e089p-2, -0x1.8bcf8e829a554p-2}, 
        {0x1.ccccccccccccdp+0, 0x1.d70a3d70a3d71p+0, 0x1.7b2edfe75bc45p-5, -0x1.012e26b0fca78p-2, 0x1.ab9ee11880a21p-2, -0x1.70d7854bba325p-2}, 
        {0x1.d70a3d70a3d71p+0, 0x1.e147ae147ae14p+0, 0x1.2e2b8c75c4a84p-5, -0x1.c17b6d696e17cp-3, 0x1.7f5c0e8a4b91cp-2, -0x1.50d25c4e7fb92p-2}, 
        {0x1.e147ae147ae14p+0, 0x1.eb851eb851eb8p+0, 0x1.d5f99c38b04abp-6, -0x1.8760ca96d23b1p-3, 0x1.56f0e4be50b92p-2, -0x1.3bdf097a40dfep-2}, 
        {0x1.eb851eb851eb8p+0, 0x1.f5c28f5c28f5cp+0, 0x1.61309c7ffde72p-6, -0x1.538a36ab83fdfp-3, 0x1.3109543f01423p-2, -0x1.0fb17dc87f9b8p-2}, 
        {0x1.f5c28f5c28f5cp+0, 0x1p+1, 0x1.f822bbecaab8ap-7, -0x1.2557a2693246ap-3, 0x1.106ee8fdfc2f6p-2, -0x1.055aff63c130dp-2}, 
        {0x1p+1, 0x1.051eb851eb852p+1, 0x1.49cf56eac8605p-7, -0x1.f88626e627f1fp-4, 0x1.e224240cfd345p-3, -0x1.d5c50950f64d6p-3}, 
        {0x1.051eb851eb852p+1, 0x1.0a3d70a3d70a4p+1, 0x1.6872b020c49bcp-8, -0x1.afe427c62290cp-4, 0x1.a9c4d103460c3p-3, -0x1.9e35dbf4a531ap-3}, 
        {0x1.0a3d70a3d70a4p+1, 0x1.0f5c28f5c28f6p+1, 0x1.a3f4666ec9e28p-10, -0x1.6fbea0d08fba3p-4, 0x1.781045fa656cap-3, -0x1.716386dc748ecp-3}, 
        {0x1.0f5c28f5c28f6p+1, 0x1.147ae147ae148p+1, -0x1.bf7ad4b2745bbp-10, -0x1.371edfd2587a3p-4, 0x1.4bbca66f4d32ap-3, -0x1.5c3c0899887fbp-3}, 
        {0x1.147ae147ae148p+1, 0x1.199999999999ap+1, -0x1.26b723ee1bd1ep-8, -0x1.0562c05c0558ap-4, 0x1.21f2e2d7c1effp-3, -0x1.1dac56bd6986cp-3}, 
        {0x1.199999999999ap+1, 0x1.1eb851eb851ecp+1, -0x1.bfbdf090f733bp-8, -0x1.b3790a47f1109p-5, 0x1.ff5602c9bc78p-4, -0x1.0d129c70d132ap-3}, 
        {0x1.1eb851eb851ecp+1, 0x1.23d70a3d70a3dp+1, -0x1.1f46ed245b291p-7, -0x1.66d343b9997c7p-5, 0x1.bec22f298a42ep-4, -0x1.dc126efea8805p-4}, 
        {0x1.23d70a3d70a3dp+1, 0x1.28f5c28f5c28fp+1, -0x1.5336deb95e5bp-7, -0x1.23ea079644ad7p-5, 0x1.85a1409019e21p-4, -0x1.75910b23b0c36p-4}, 
        {0x1.28f5c28f5c28fp+1, 0x1.2e147ae147ae1p+1, -0x1.7d1fe64f54d1fp-7, -0x1.d251bba639eb1p-6, 0x1.58cd497756976p-4, -0x1.8da964729af1cp-4}, 
        {0x1.2e147ae147ae1p+1, 0x1.3333333333333p+1, -0x1.9e3864cb5bb38p-7, -0x1.6b9e25dd2b6c7p-6, 0x1.29151eb143ff7p-4, -0x1.a792c623c57p-5}, 
        {0x1.3333333333333p+1, 0x1.3851eb851eb85p+1, -0x1.b79d909f1f14ap-7, -0x1.109e1f953925ap-6, 0x1.0fab0890663b4p-4, -0x1.319887a2ed3e2p-3}, 
        {0x1.3851eb851eb85p+1, 0x1.3d70a3d70a3d7p+1, -0x1.ca42aed139431p-7, -0x1.8ad66753c9067p-7, 0x1.8ca673dcd5774p-5, 0x1.2823680a5341p-2}, 
        {0x1.3d70a3d70a3d7p+1, 0x1.6b851eb851eb8p+1, -0x1.d6e8af81626b3p-7, -0x1.bcd85fa047eacp-8, 0x1.5478b38cf9187p-4, -0x1.5b7d5254d4ac6p-4}, 
        {0x1.6b851eb851eb8p+1, 0x1.cp+1, -0x1.47ae147ae147bp-7, 0x1.48ee4ccc9d502p-6, -0x1.1689a5d1503ffp-7, 0x1.c24b22de66ab8p-4}, 
      }}, 
      -0x1.2961fe7ac9b95p-2, 0x1.87b1054145cdbp-3
    }
  };
  // clang-format on
}
SkfData params_mio_0_1_s_h() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.e88b4fa939eb2p-5, -0x1.05a12872895d9p-4, -0x1.16e0b8185c9b8p-4, -0x1.27f751a03cfe3p-4, -0x1.38d903a652b38p-4, -0x1.497bccde45c52p-4, -0x1.59d633d12669ep-4, -0x1.69de7ab7a507ep-4, -0x1.798e3fef43f8ep-4, -0x1.88e0f49476056p-4, -0x1.97ce3dac4312dp-4, -0x1.a64dcf92e95dbp-4, -0x1.b45e04cfeadbdp-4, -0x1.c1ffad1b60a29p-4, -0x1.cf2e332ff4886p-4, -0x1.dbe1169367a06p-4, -0x1.e813ebfb1b0bfp-4, -0x1.f3c9644bd0f9ap-4, -0x1.ff0618f9f1252p-4, -0x1.04e50b090f863p-3, -0x1.0a08007f88c9dp-3, -0x1.0ee48b9923722p-3, -0x1.1384965703ec3p-3, -0x1.17e531b76f252p-3, -0x1.1c06cee7d6c27p-3, -0x1.1fea0c55b574ap-3, -0x1.238fb23989997p-3, -0x1.26f8aed77fad1p-3, -0x1.2a2614e47adcdp-3, -0x1.2d1919b61bdcep-3, -0x1.2fd31075acbecp-3, -0x1.325562312a706p-3, -0x1.34a1840c559b8p-3, -0x1.36b8eeeacbedfp-3, -0x1.389d20971dd3bp-3, -0x1.3a4fa8cdd83a6p-3, -0x1.3bd235dca9b89p-3, -0x1.3d268e2bc1e5ep-3, -0x1.3e4e753624fa7p-3, -0x1.3f4b8fffb5864p-3, -0x1.401f621d6247ep-3, -0x1.40cb66b6f75afp-3, -0x1.4151307b74212p-3, -0x1.41b27ab67d29cp-3, -0x1.41f119ccde813p-3, -0x1.420edce2092ep-3, -0x1.420d71c3e6a01p-3, -0x1.41ee5c18f3825p-3, -0x1.41b3012f39c13p-3, -0x1.415cbc43ca113p-3, -0x1.40ecf04664ab8p-3, -0x1.40650d38ca84bp-3, -0x1.3fc68afe1edaep-3, -0x1.3f12df249f31ep-3, -0x1.3e4b740ce190dp-3, -0x1.3d71a492ae4b8p-3, -0x1.3c86bb8c2b0f1p-3, -0x1.3b8bf487b06acp-3, -0x1.3a827bbffa985p-3, -0x1.396b6cc8a82b1p-3, -0x1.3847d150eb062p-3, -0x1.3718a1ac00aeap-3, -0x1.35dec802fb77cp-3, -0x1.349a3472be2ap-3, -0x1.334dbbb7ccf4dp-3, -0x1.31f95b48baa64p-3, -0x1.309de970d8bd2p-3, -0x1.2f3c34cd71f4p-3, -0x1.2dd50189c8999p-3, -0x1.2c6908508f683p-3, -0x1.2af8f5ab1aed5p-3, -0x1.29856a9fb892fp-3, -0x1.280efdb70bdcep-3, -0x1.26963bff19ea2p-3, -0x1.251baa0af36cfp-3, -0x1.239fc3e40b5fcp-3, -0x1.2222fdcb3327fp-3, -0x1.20a5c40f4daecp-3, -0x1.1f287b30e1181p-3, -0x1.1dab8007c9d57p-3, -0x1.1c2f280d9f11ep-3, -0x1.1ab3c14f8b954p-3, -0x1.193992fee65dcp-3, -0x1.17c0dd80e6703p-3, -0x1.1649dabf1988dp-3, -0x1.14d4be87483e9p-3, -0x1.1361b6b7ff815p-3, -0x1.11f0ebbeb5b35p-3, -0x1.108280e2b3054p-3, -0x1.0f1694a0fe882p-3, -0x1.0dad40e5109b9p-3, -0x1.0c469b5061ac6p-3, -0x1.0ae2b55dedd8ep-3, -0x1.09819c8d3a877p-3, -0x1.08235a74a879ep-3, -0x1.06c7f4f7aead7p-3, -0x1.056f6f4df209ep-3, -0x1.0419c6a0e4c63p-3, -0x1.02c6f913e61efp-3, -0x1.0176ff9640393p-3, -0x1.0029d146ab031p-3, -0x1.fdbec627a17aap-4, -0x1.fb2f4fcd4c92ep-4, -0x1.f8a521bf3135fp-4, -0x1.f62021c3988dcp-4, -0x1.f3a0169b1ea36p-4, -0x1.f124ee50fcb6cp-4, -0x1.eeae78b6736bdp-4, -0x1.ec3c89d3b508ep-4, -0x1.e9cef43d89952p-4, -0x1.e76588ca5e912p-4, -0x1.e50016d670a72p-4, -0x1.e29e6c7522dbep-4, -0x1.e0405747f66ebp-4, -0x1.dde5a1358dad5p-4, -0x1.db8e176ce4767p-4, -0x1.d93983c9bc401p-4, -0x1.d6e7b04c85359p-4, -0x1.d49866eeb96bep-4, -0x1.d24b7bd756386p-4, -0x1.d0009e5af0515p-4, -0x1.cdb7ac1b986dfp-4, -0x1.cb707255ecb7p-4, -0x1.c92ab93fde474p-4, -0x1.c6e64e29cecacp-4, -0x1.c4a2ff651baa9p-4, -0x1.c2609c57666b2p-4, -0x1.c01ef583347ddp-4, -0x1.bddddc87fb918p-4, -0x1.bb9d242f6da9p-4, -0x1.b95ca06ca27b6p-4, -0x1.b71c26765eb43p-4, -0x1.b4db8cb19198fp-4, -0x1.b29aab4ef0b6dp-4, -0x1.b0595ab4d44e8p-4, -0x1.ae17778ebc53dp-4, -0x1.abd4dc91cacfcp-4, -0x1.a991683bbf2cep-4, -0x1.a74cfa436b50dp-4, -0x1.a507741513b57p-4, -0x1.a2c0b89f0dbb5p-4, -0x1.a078ac6cc6ab7p-4, -0x1.9e2f3630eb0bfp-4, -0x1.9be43da476851p-4, -0x1.9997ad1d5f453p-4, -0x1.97496fb62b76dp-4, -0x1.94f9726f7d0cap-4, -0x1.92ad9e78c4f0ap-4, -0x1.9059d2dd01a6ep-4, -0x1.8e040af68ead5p-4, -0x1.8bac3908307bp-4, -0x1.89525044b4548p-4, -0x1.86f644e58fa4bp-4, -0x1.84980c1f6d7b4p-4, -0x1.8237957c8f7ap-4, -0x1.7fd4eca105dc1p-4, -0x1.7d6ff5e2344cfp-4, -0x1.7b08b39ae5efcp-4, -0x1.789f1bac612d9p-4, -0x1.76332ffb1ffdfp-4, -0x1.73c4f009878e8p-4, -0x1.715451ce2acep-4, -0x1.6ee15fdb4fb4fp-4, -0x1.6c6c1a44b8044p-4, -0x1.69f484a4b1097p-4, -0x1.677aa5b51d6c7p-4, -0x1.64fe84050200bp-4, -0x1.6280288bb8ed2p-4, -0x1.5fff9e2d03ec9p-4, -0x1.5d7cf00b474ccp-4, -0x1.5af82adacc443p-4, -0x1.58715cbe531e6p-4, -0x1.55e8958244706p-4, -0x1.535de473b84b5p-4, -0x1.50d15b00753bbp-4, -0x1.4e430ad67ba3p-4, -0x1.4bb307b02dfcfp-4, -0x1.492164258008bp-4, -0x1.468e34c0f4d4ep-4, -0x1.43f98e39c6ac8p-4, -0x1.416386a33a783p-4, -0x1.3ecc3378018cbp-4, -0x1.3c33ab182e33bp-4, -0x1.399a060036eaap-4, -0x1.36ff5a7f00fdap-4, -0x1.3463c0c44dcfdp-4, -0x1.31c75271872edp-4, -0x1.2f2a27734c555p-4, -0x1.2c8c5957817a3p-4, -0x1.29ee023a8f70bp-4, -0x1.274f3c695dad3p-4, -0x1.24b021cac87ap-4, -0x1.2210cd41574a1p-4, -0x1.1f7159c7e045bp-4, -0x1.1cd1ddba81488p-4, -0x1.1a3282be7c25ep-4, -0x1.17935652f5554p-4, -0x1.14f47832adba6p-4, -0x1.1256047b1661fp-4, -0x1.0fb8157a9182cp-4, -0x1.0d1acee762af2p-4, -0x1.0a7e35fd34a4cp-4, -0x1.07e27bd4edd63p-4, -0x1.0547b35834d53p-4, -0x1.02adf76d92e1ap-4, -0x1.00156a104bb3dp-4, -0x1.fafc1b2b99abep-5, -0x1.f5d025ac9ac25p-5, -0x1.f0a715d5dd1p-5, -0x1.eb811c7e80aafp-5, -0x1.e65e6952d7ab9p-5, -0x1.e13f2bc305fbbp-5, -0x1.dc239095fb58ep-5, -0x1.d70bc46749c71p-5, -0x1.d1f7f2670511cp-5, -0x1.cce845c6a29fp-5, -0x1.c7dce3d2b1846p-5, -0x1.c2d5f719cd316p-5, -0x1.bdd3a52e8b85cp-5, -0x1.b8d613c1aa88cp-5, -0x1.b3dd6247a1207p-5, -0x1.aee9b7b3c6702p-5, -0x1.a9fb339f6dd0cp-5, -0x1.a511f29af7f16p-5, -0x1.a02e1ddd620c5p-5, -0x1.9b4fc967115b7p-5, -0x1.967714a2a4831p-5, -0x1.91a41b90a2d33p-5, -0x1.8cd6f8f45277ap-5, -0x1.880fc6fe8a6bep-5, -0x1.834e9e3d212f4p-5, -0x1.7e9395f47b9c8p-5, -0x1.79dec77a285ebp-5, -0x1.7530489e8b205p-5, -0x1.70882fd15cc9fp-5, -0x1.6be68140dd3afp-5, -0x1.674b85292b79dp-5, -0x1.62b70f383a55ap-5, -0x1.5e296f5404fcp-5, -0x1.59a28e9ef8b45p-5, -0x1.55228d576e033p-5, -0x1.50a97f33a2c24p-5, -0x1.4c377bd40f915p-5, -0x1.47cc883340791p-5, -0x1.4368d1fb8bde9p-5, -0x1.3f0c52ca6da17p-5, -0x1.3ab7254c7c653p-5, -0x1.36695bdf8a543p-5, -0x1.322309d293f75p-5, -0x1.2de43a6aebb7fp-5, -0x1.29ad0e39a22bep-5, -0x1.257d8ae0b4207p-5, -0x1.2155c61137a89p-5, -0x1.1d35d19e33fe5p-5, -0x1.191dbf78b7cadp-5, -0x1.150da0a5252bep-5, -0x1.110586ea94a69p-5, -0x1.0d0584360dfd1p-5, -0x1.090dae9540068p-5, -0x1.051e038242a36p-5, -0x1.0136a828ad967p-5, -0x1.faaf4b3dd3a0fp-6, -0x1.f3021791f5fc2p-6, -0x1.eb65d4ae59214p-6, -0x1.e3dade2edaa79p-6, -0x1.dc60971d7a2acp-6, -0x1.d4f7d6629b724p-6, -0x1.cda07d265b63dp-6, -0x1.c65a9b13f2c93p-6, -0x1.bf2653a717148p-6, -0x1.b803bb6de582ep-6, -0x1.b0f2e9394a149p-6, -0x1.a9f3f3e435ba6p-6, -0x1.a306dc76cb302p-6, -0x1.9c2be63cfb0ecp-6, -0x1.9562f44e1d60ep-6, -0x1.8eac26719bdf8p-6, -0x1.88078a8867dbp-6, -0x1.81752d25e176fp-6, -0x1.7af51a70f2097p-6, -0x1.7487870c5f8fp-6, -0x1.6e2bf70f30103p-6, -0x1.67e2f600df0c1p-6, -0x1.61ac5d0190c1bp-6, -0x1.5b882fa0af8a3p-6, -0x1.557678a9f9029p-6, -0x1.4f771d93e82c1p-6, -0x1.498a372621b84p-6, -0x1.43afbed94e93cp-6, -0x1.3de7a65e02d33p-6, -0x1.3831f0f80de38p-6, -0x1.328e94156fd08p-6, -0x1.2cfd87fc67607p-6, -0x1.277ec26f5d749p-6, -0x1.221237fab2ba3p-6, -0x1.1cb7dbe2e808p-6, -0x1.176f927ef2aabp-6, -0x1.123974f46507cp-6, -0x1.0d154976d0403p-6, -0x1.08030ea4923c3p-6, -0x1.0302a45bc98p-6, -0x1.fc2823b450e61p-7, -0x1.f26e4cd14121ep-7, -0x1.e8d7b5fc3add1p-7, -0x1.df6421431cdf5p-7, -0x1.d613627ab92a1p-7, -0x1.cce54681959f3p-7, -0x1.c3d99859af77p-7, -0x1.baf021329fdbbp-7, -0x1.b228a8722b319p-7, -0x1.a9830ae518437p-7, -0x1.a0fec7ce5aee9p-7, -0x1.989be85cc5969p-7, -0x1.905a11291ef5ap-7, -0x1.88390c37d281cp-7, -0x1.8074bd76dcaf4p-7, -0x1.78939c80f6ef2p-7, -0x1.70d27f503016ep-7, -0x1.69311b6f4c9f3p-7, -0x1.61af2c8b2b44ep-7, -0x1.5a4c6c49f4b9fp-7, -0x1.5308829742bp-7, -0x1.4be35a856ff5dp-7, -0x1.44dc6d239c0fbp-7, -0x1.3df38e8273ca5p-7, -0x1.37286fd9874d4p-7, -0x1.307ac1aef7b9dp-7, -0x1.29ea3f1b5891p-7, -0x1.23768d0f66449p-7, -0x1.1d1f6af2eac15p-7, -0x1.16e485e80499p-7, -0x1.10c58f75ccdd6p-7, -0x1.0ac238b82e4ddp-7, -0x1.04da359a85bf6p-7, -0x1.fe1b063b318b4p-8, -0x1.f2b5b02eaef81p-8, -0x1.e785bffc8091cp-8, -0x1.dc89f470b6c3fp-8, -0x1.d1c1a7cdc233dp-8, -0x1.c72c38bd55cep-8, -0x1.bcc905360c72p-8, -0x1.b2976eb6485c7p-8, -0x1.a896d0616f6a4p-8, -0x1.9ec688ba050b6p-8, -0x1.9525fbb89df8cp-8, -0x1.8bb534d284848p-8, -0x1.82717c25032bap-8, -0x1.795c4cfe3a6e9p-8, -0x1.70745123e66aap-8, -0x1.67b8eae8b3248p-8, -0x1.5f297ad265b22p-8, -0x1.56c56768dc414p-8, -0x1.4e8d243b9dfebp-8, -0x1.467cd248f3368p-8, -0x1.3e96d46718495p-8, -0x1.36da31628326ep-8, -0x1.2f459fdcb6589p-8, -0x1.27d8b998b2aa3p-8, -0x1.2092f595f2758p-8, -0x1.1973a9ff664ap-8, -0x1.127a28cdd1c46p-8, -0x1.0ba63067ff8fap-8, -0x1.04f6d535e0e17p-8, -0x1.fcd742f93758ap-9, -0x1.f008130d49c8fp-9, -0x1.e37ec1d3fe39fp-9, -0x1.d73ac30afd10bp-9, -0x1.cb39c318bb286p-9, -0x1.bf7bc1c23b5f1p-9, -0x1.b3ff549ce2bcfp-9, -0x1.a8c57b9967693p-9, -0x1.9dc69381792fap-9, -0x1.93081e893349dp-9, -0x1.8886e175500cep-9, -0x1.7e41c960b531fp-9, -0x1.7437cae9b351cp-9, -0x1.6a67d9c99608ap-9, -0x1.60d13aaf542cp-9, -0x1.57720934ea5a5p-9, -0x1.4e4a26b9080fep-9, -0x1.45579b4c3abcdp-9, -0x1.3c9b7db3e2405p-9, -0x1.34129a9f5e5e4p-9, -0x1.2bbce1a665453p-9, -0x1.23994d2cac69fp-9, -0x1.1ba6eb2dff5f5p-9, -0x1.13e4be441dc61p-9, -0x1.0c520c626c258p-9, -0x1.04eda168a424cp-9, -0x1.fb6d9336f5111p-10, -0x1.ed592b9fa3049p-10, -0x1.df9c480085c18p-10, -0x1.d23524a8c4ed2p-10, -0x1.c5221a4eed834p-10, -0x1.b861db52b7505p-10, -0x1.abf17b9213c4fp-10, -0x1.9fd08ea6f3ac3p-10, -0x1.93fd101e8d125p-10, -0x1.88756589986afp-10, -0x1.7d380327ef367p-10, -0x1.72427c3e97cf8p-10, -0x1.6795bad7723f3p-10, -0x1.5d2ddd618ff06p-10, -0x1.530a4b83f7529p-10, -0x1.492ec76661c09p-10, -0x1.3f89d9fc27f36p-10, -0x1.362a1b5450ec9p-10, -0x1.2d091e21b0bcp-10, -0x1.242570dc5c6ecp-10, -0x1.1b7dc9269c55p-10, -0x1.1310e70c47e8dp-10, -0x1.0add9349e5184p-10, -0x1.02e29b6993ad2p-10, -0x1.f63d419fed2c3p-11, -0x1.e7228b034000dp-11, -0x1.d871796ad9e0fp-11, -0x1.ca28150b2769fp-11, -0x1.bc4374cc1d846p-11, -0x1.aec4a353dbe6dp-11, -0x1.a1a67ac07cc57p-11, -0x1.94e7e7fd85e19p-11, -0x1.888717ba034b5p-11, -0x1.7c817c633e509p-11, -0x1.70d555fefa325p-11, -0x1.65807fc596c5ap-11, -0x1.5a80bb231985ap-11, -0x1.4fd3ee6218c6bp-11, -0x1.4575b8f0b9aa8p-11, -0x1.3b69c34e8c3ap-11, -0x1.31a7d31cd09d4p-11, -0x1.282fa1e0dc33cp-11, -0x1.1efeca6c4a078p-11, -0x1.16134934490fp-11, -0x1.0d6b1ad0f5797p-11, -0x1.04fc1fb831523p-11, -0x1.f9b41e38c88e4p-12, -0x1.e9db8979a0f62p-12, -0x1.da78e9b0d4b6fp-12, -0x1.cb888b1c8f401p-12, -0x1.bd070dccefecep-12, -0x1.aef128e31458ep-12, -0x1.a14461a13aaf7p-12, -0x1.93fd405ae6fb2p-12, -0x1.8719c557568cp-12, -0x1.7a970325a2a8cp-12, -0x1.6e72c1a5a20f8p-12, -0x1.62aab909b707dp-12, -0x1.573cb7d3c04e3p-12, -0x1.4c269b850ea11p-12, -0x1.416738439bc7fp-12, -0x1.36f9cf075efa5p-12, -0x1.2cdf4e3a5edabp-12, -0x1.231469ea722e1p-12, -0x1.19974d5bf7efp-12, -0x1.10665b06b83ebp-12, -0x1.077ead95b867bp-12, -0x1.fddb84eb6e13cp-13, -0x1.ed0fa0fff84c9p-13, -0x1.dce5cce2fc032p-13, -0x1.cd41a804501aap-13, -0x1.be1ebd8c4810ep-13, -0x1.af799dededd73p-13, -0x1.a14ea6be43445p-13, -0x1.939a655ba6503p-13, -0x1.864b0a5b4b185p-13, -0x1.79891d85e7a82p-13, -0x1.6d2183973706dp-13, -0x1.6125659fe21fp-13, -0x1.558e886983c33p-13, -0x1.4a5edcb176346p-13, -0x1.3f863f5eaf0fep-13, -0x1.3510796aa0ffp-13, -0x1.2af3039905817p-13, -0x1.212c8d35f835p-13, -0x1.17baa7bba68aep-13, -0x1.0e999254b9723p-13, -0x1.05c75ef00d29dp-13, -0x1.fa83275426b8bp-14, -0x1.ea0b26bd1e098p-14, -0x1.da21d7a807bedp-14, -0x1.cac281d33fff1p-14, -0x1.bbe88f4621a5ap-14, -0x1.ad8f897dcf474p-14, -0x1.9fb30b104657ep-14, -0x1.924e059e07137p-14, -0x1.854258289917cp-14, -0x1.78df8d482296p-14, -0x1.6ccdd7ed0c696p-14, -0x1.61234728764edp-14, -0x1.55debb0d6eb09p-14, -0x1.4afba62ce9c2ap-14, -0x1.4076e5e7d9a25p-14, -0x1.364e6e4feae54p-14, -0x1.2c7d40e06c6ebp-14, -0x1.231936ee17f9dp-14, -0x1.19d26e6781caap-14, -0x1.10f3de54c75b1p-14, -0x1.08727ba3cc14ap-14, -0x1.001b24f37e1cbp-14, -0x1.f03411a016219p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.65e83c86f268p-5, 0x1.c9e27cc471fe6p-5, 0x1.17fab661a5dd8p-4, 0x1.4bc19990517d5p-4, 0x1.7ffe6fbb6dcd6p-4, 0x1.b470502239969p-4, 0x1.e8dd61cd409c2p-4, 0x1.0e8924226b131p-3, 0x1.286eb7d5ca88dp-3, 0x1.420878c3aacf9p-3, 0x1.5b44413faa8b5p-3, 0x1.741269e15fbe8p-3, 0x1.8c6267aa2e04cp-3, 0x1.a4252e03fb472p-3, 0x1.bb50df19314fep-3, 0x1.d1df3c4cb7734p-3, 0x1.e7c91997e68ecp-3, 0x1.fd04f98f03197p-3, 0x1.08c4fccb2303dp-2, 0x1.12a9827efbf59p-2, 0x1.1c2f701a59ffp-2, 0x1.2557392e7caf7p-2, 0x1.2e1d91c0a3667p-2, 0x1.36829ef885b3ap-2, 0x1.3e86311b1e59cp-2, 0x1.4628709b8c725p-2, 0x1.4d69d8bea0afdp-2, 0x1.544b30e8feed1p-2, 0x1.5acd836abb701p-2, 0x1.60f213200d3ep-2, 0x1.66ba52e0d04a6p-2, 0x1.6c27e11aa29bbp-2, 0x1.713c8515f4cedp-2, 0x1.75fa281e2c0d3p-2, 0x1.7a62c9b48374fp-2, 0x1.7e7875bc315e5p-2, 0x1.823d424fc5b47p-2, 0x1.85b35301a0d21p-2, 0x1.88dcda9cb5c24p-2, 0x1.8bbc1908cb80fp-2, 0x1.8e5356c25a9e5p-2, 0x1.90a4e09ca97a8p-2, 0x1.92b305ef3d344p-2, 0x1.9480103bce21bp-2, 0x1.960e40d067abp-2, 0x1.975fcb26bffbfp-2, 0x1.9876d69f5b3a3p-2, 0x1.995585b33e107p-2, 0x1.99fdfa8cec4ap-2, 0x1.9a72607ba47ecp-2, 0x1.9ab4e1b87496dp-2, 0x1.9ac7a019e4f43p-2, 0x1.9aaca8d3b5b52p-2, 0x1.9a65ed021cd2bp-2, 0x1.99f5417a4fa5ap-2, 0x1.995c65821f2a2p-2, 0x1.989d0c1a357ecp-2, 0x1.97b8e4a31fc59p-2, 0x1.96b19e88f77ecp-2, 0x1.9588e7de767a1p-2, 0x1.944068449e653p-2, 0x1.92d9babd7c278p-2, 0x1.915668c8fcb62p-2, 0x1.8fb83960675c5p-2, 0x1.8dffcda0fb8cp-2, 0x1.8c2ec7f468d33p-2, 0x1.8a4672c64b43ep-2, 0x1.88480dbca3c7ap-2, 0x1.8634cc7e0572ap-2, 0x1.840dd65ab3b67p-2, 0x1.81d4462c785c5p-2, 0x1.7f892ad4df0c2p-2, 0x1.7d2d880213645p-2, 0x1.7ac256e0ed736p-2, 0x1.784886c6fe05fp-2, 0x1.75c0fd6116c26p-2, 0x1.732c9731de166p-2, 0x1.708c27aa6af9fp-2, 0x1.6de07965cf3e7p-2, 0x1.6b2a4e67b58eep-2, 0x1.686a6079c0d1ep-2, 0x1.65a161504b24dp-2, 0x1.62cffafa4d6ap-2, 0x1.5ff6d01d3852p-2, 0x1.5d167c4565c4ep-2, 0x1.5a2f9432fe19ep-2, 0x1.5742a61265ea2p-2, 0x1.545039c1dfc9ap-2, 0x1.5158d1111592dp-2, 0x1.4e5ce7f8548f8p-2, 0x1.4b5cf4d4a6b79p-2, 0x1.485968a432bf9p-2, 0x1.4552af40e76c5p-2, 0x1.42492fa6c942fp-2, 0x1.3f3d4c23ef98dp-2, 0x1.3c2f62ab51d77p-2, 0x1.391fcd392e8ccp-2, 0x1.360ee153c791bp-2, 0x1.32fcf19dd71e1p-2, 0x1.2fea4cbdc378cp-2, 0x1.2cd73e1a70942p-2, 0x1.29c40de552306p-2, 0x1.26b1011ea7f9ep-2, 0x1.239e59c7c1572p-2, 0x1.208c58224395bp-2, 0x1.1d7b34a3c5055p-2, 0x1.1a6b2c90a85e3p-2, 0x1.175c75a7782b7p-2, 0x1.144f44784bcd1p-2, 0x1.1143cb61fc2c8p-2, 0x1.0e3a3aa84e192p-2, 0x1.0b32c09e089dcp-2, 0x1.082d89b13f5d3p-2, 0x1.052ac11c51726p-2, 0x1.022a8e4152ee4p-2, 0x1.fe5a343cd436fp-3, 0x1.f86513fc3c996p-3, 0x1.f2760454e9d5dp-3, 0x1.ec8d4af865ad4p-3, 0x1.e6ab2c5e2145fp-3, 0x1.e0cfe3f33d68fp-3, 0x1.dafbb2a84d2dfp-3, 0x1.d52ed2ebf89f6p-3, 0x1.cf697c6d1f2a7p-3, 0x1.c9abe4f0456efp-3, 0x1.c3f63ff0664f2p-3, 0x1.be48bebd27956p-3, 0x1.b8a390affd1c3p-3, 0x1.b306e31860e52p-3, 0x1.ad72e18aaf02ep-3, 0x1.a7e7b5d3e86dap-3, 0x1.a265881d25f18p-3, 0x1.9cec7ee3f6916p-3, 0x1.977cbf3917094p-3, 0x1.92166c4e0c17fp-3, 0x1.8cb9a865f48dcp-3, 0x1.8766939c209d5p-3, 0x1.821d4d0606542p-3, 0x1.7cddf237d8ad4p-3, 0x1.77a89f6700afcp-3, 0x1.727d6f736a891p-3, 0x1.6d5c7bf806508p-3, 0x1.6845dd44c4b64p-3, 0x1.6339aa7e6c97cp-3, 0x1.5e37f95e122dap-3, 0x1.5940df02833b2p-3, 0x1.54546ea472c9cp-3, 0x1.4f7449ad006bp-3, 0x1.4a9d3b5623beep-3, 0x1.45d1055a6ec83p-3, 0x1.410fb6a2d182dp-3, 0x1.3c595cc4d6bf7p-3, 0x1.37ae040c02d5bp-3, 0x1.330db77897dc5p-3, 0x1.2e787db2823c5p-3, 0x1.29ee68e820b87p-3, 0x1.256f772a6453dp-3, 0x1.20fbb2946ca3cp-3, 0x1.1c931fa8edcc6p-3, 0x1.1835c44134075p-3, 0x1.13e3a438833afp-3, 0x1.0f9cc1d16d4bbp-3, 0x1.0b612064ac021p-3, 0x1.0730c1768337ep-3, 0x1.030ba620f1578p-3, 0x1.fde39dd2ebad8p-4, 0x1.f5c677e3c0212p-4, 0x1.edbfd8141c903p-4, 0x1.e5cfbc8be86bbp-4, 0x1.ddf62160725bp-4, 0x1.d63301ad2d97cp-4, 0x1.ce865737e2c49p-4, 0x1.c6f01997d443bp-4, 0x1.bf7040f2941ffp-4, 0x1.b806c2b981d1ap-4, 0x1.b0b393353c7afp-4, 0x1.a976a61c54cf6p-4, 0x1.a24feca2ac1bap-4, 0x1.9b3f576dd403fp-4, 0x1.9444d59677293p-4, 0x1.8d6055136ff18p-4, 0x1.8691c2536fc8ep-4, 0x1.7fd908b173bacp-4, 0x1.7936125e018f5p-4, 0x1.72a8c8445e899p-4, 0x1.6c31124f9dcabp-4, 0x1.65ced72efc69dp-4, 0x1.5f81fcc0874bap-4, 0x1.594a67d7e62a8p-4, 0x1.5327fbef8ba35p-4, 0x1.4d1a9c86d42a8p-4, 0x1.47222b44a559ep-4, 0x1.413e8982e0b44p-4, 0x1.3b6f97afafb9p-4, 0x1.35b53cbc63439p-4, 0x1.300f413b5b277p-4, 0x1.2a7d9a1efdc8p-4, 0x1.25001cc68a514p-4, 0x1.1f96afa43d9efp-4, 0x1.1a4112196e221p-4, 0x1.14ff3eca268b8p-4, 0x1.0fd0fea300defp-4, 0x1.0ab63491a264p-4, 0x1.05aeb61a9be34p-4, 0x1.00ba5c924bd8ap-4, 0x1.f7b200b6dccd3p-5, 0x1.ee14f011632dep-5, 0x1.e49d36e84e2cfp-5, 0x1.db4a8155975fep-5, 0x1.d21c7af000148p-5, 0x1.c912ce53c3e03p-5, 0x1.c02d24f5bdd9bp-5, 0x1.b76b2768704dbp-5, 0x1.aecc7d5227358p-5, 0x1.a650cd7a20108p-5, 0x1.9df7bcfa57d55p-5, 0x1.95c0f353dc3a6p-5, 0x1.8dac126bfda42p-5, 0x1.85b8bfef05646p-5, 0x1.7de69ca0ab962p-5, 0x1.76355098b73b2p-5, 0x1.6ea4792c7741ep-5, 0x1.6733ba4b2fbf5p-5, 0x1.5fe2c989a8008p-5, 0x1.58b10c5ddba0cp-5, 0x1.519e608d692f8p-5, 0x1.4aaa53160d43ep-5, 0x1.43d48553ba88ap-5, 0x1.3d1c9896846fp-5, 0x1.36822ec82c83fp-5, 0x1.3004e8e73938fp-5, 0x1.29a467387d47ep-5, 0x1.23604e53ec4fcp-5, 0x1.1d383f8fbc632p-5, 0x1.172bddbf5423ap-5, 0x1.113ac0e6b1843p-5, 0x1.0b64ad3b31de9p-5, 0x1.05a929ac7a5dap-5, 0x1.0007dc11112fcp-5, 0x1.f500e650ebb3dp-6, 0x1.ea25225a36b84p-6, 0x1.df7bb86f18014p-6, 0x1.d503fac24f991p-6, 0x1.cabd3fff4b81ap-6, 0x1.c0a6ba2c78fa4p-6, 0x1.b6bfdb7b44008p-6, 0x1.ad07ed6748c81p-6, 0x1.a37e455f31ca7p-6, 0x1.9a2236e6a7ed7p-6, 0x1.90f31238be5bep-6, 0x1.87f05f2e00484p-6, 0x1.7f1944d8702a5p-6, 0x1.766d33ae225cap-6, 0x1.6deb8985f4b03p-6, 0x1.659396097b6e8p-6, 0x1.5d64ef0ad9c59p-6, 0x1.555ec3b735a41p-6, 0x1.4d808dddfb1f5p-6, 0x1.45c9b18b861c5p-6, 0x1.3e398ff100b6dp-6, 0x1.36cf9e51b4593p-6, 0x1.2f8b435c24797p-6, 0x1.286bebd92ae75p-6, 0x1.2171066076ee5p-6, 0x1.1a9a3a129c998p-6, 0x1.13e64fcbb518fp-6, 0x1.0d5562c4d31efp-6, 0x1.06e6ae4cfb604p-6, 0x1.0099a9e30d73bp-6, 0x1.f4db94135136cp-7, 0x1.e8c50f5af37eep-7, 0x1.dceeb8afdc85bp-7, 0x1.d15786f2c1acfp-7, 0x1.c5fe63c0c46d2p-7, 0x1.bae26fa4a6af7p-7, 0x1.b00284ccc4a12p-7, 0x1.a55dafd432111p-7, 0x1.9af2f385f0b43p-7, 0x1.90c154fa3e187p-7, 0x1.86c7dce6e3cd1p-7, 0x1.7d05a6a04e24fp-7, 0x1.73798c6ca19b1p-7, 0x1.6a22d1b71c4fcp-7, 0x1.61007910b37f5p-7, 0x1.5811963ffbabp-7, 0x1.4f5527fd78d87p-7, 0x1.46ca90d31826cp-7, 0x1.3e70a613627dbp-7, 0x1.3646a27dc9b57p-7, 0x1.2e4ba3d132d12p-7, 0x1.267ed1d51e3b6p-7, 0x1.1edf4ef0f805ep-7, 0x1.176c4923efcdfp-7, 0x1.1024ebd156d11p-7, 0x1.090865bb2d415p-7, 0x1.0215e87c972a4p-7, 0x1.f6991ea577bf7p-8, 0x1.e957b6d82139bp-8, 0x1.dc65781a621e3p-8, 0x1.cfc10e69e6378p-8, 0x1.c368d8c2a6dffp-8, 0x1.b75b9e5cf82f5p-8, 0x1.ab97a3a4b1ffp-8, 0x1.a01b9981aaca5p-8, 0x1.94e6008ad920ap-8, 0x1.89f57563ead1dp-8, 0x1.7f4893eb3d4e2p-8, 0x1.74ddfd419634bp-8, 0x1.6ab457a0da80dp-8, 0x1.60ca4e6685562p-8, 0x1.571e6d2a85391p-8, 0x1.4dafd795850e6p-8, 0x1.447cdabe1d24fp-8, 0x1.3b845a2864e3bp-8, 0x1.32c5108d5d815p-8, 0x1.2a5b243ccbabep-8, 0x1.220a2b63bd518p-8, 0x1.19eed7839c271p-8, 0x1.120806bda2d0cp-8, 0x1.0a5496b0b6777p-8, 0x1.02d3696b5b29bp-8, 0x1.f706b6853333dp-9, 0x1.e8c6f09eebd44p-9, 0x1.dae5138becd85p-9, 0x1.cd5f2f01ad6a1p-9, 0x1.c0333a4a21ec1p-9, 0x1.b35f0fbdfcf51p-9, 0x1.a6e0d06f8e4aap-9, 0x1.9ab68bc6cfdbap-9, 0x1.8ede4b441999ap-9, 0x1.83563280289ecp-9, 0x1.781c6927ab40bp-9, 0x1.6d2f20259cd35p-9, 0x1.628c9e82f110cp-9, 0x1.5832d0899437dp-9, 0x1.4e20ba0ef8b1fp-9, 0x1.4453e4015b973p-9, 0x1.3acb159736b68p-9, 0x1.318497e5b6ddbp-9, 0x1.287ed59db7ac1p-9, 0x1.1fb84269f07e4p-9, 0x1.172f5861494dep-9, 0x1.0ee28d4c3ca1ep-9, 0x1.06d07675f6d26p-9, 0x1.fdef428794084p-10, 0x1.eeaccc47a2bffp-10, 0x1.dfd8447832a1fp-10, 0x1.d16d7cf0d0fa8p-10, 0x1.c36a44c79cceep-10, 0x1.b5cc0a9c5cce2p-10, 0x1.a8904450bfaf3p-10, 0x1.9bb47c2995b2bp-10, 0x1.8f37f5cd8558ep-10, 0x1.83131c6526801p-10, 0x1.77492335574cap-10, 0x1.6bd4ff1c2f535p-10, 0x1.60b5943011122p-10, 0x1.55e910ad2373dp-10, 0x1.4b6ad0f9cabb5p-10, 0x1.413b47546a89ap-10, 0x1.37580dd12984ep-10, 0x1.2dbdc7f202931p-10, 0x1.246bdc52ad11ap-10, 0x1.1b5fe48cb3d05p-10, 0x1.1297c4961f666p-10, 0x1.0a12745e7ea11p-10, 0x1.01ce16e527c76p-10, 0x1.f38e028b45f57p-11, 0x1.e3fb70710e35fp-11, 0x1.d4df9a0ba33bep-11, 0x1.c63769df9ed2ap-11, 0x1.b7ff434b7b458p-11, 0x1.aa347de920dd4p-11, 0x1.9cd3e6c047346p-11, 0x1.8fda931305fb2p-11, 0x1.8345a497d2eb9p-11, 0x1.77123e583e028p-11, 0x1.6b3e3ca796b3p-11, 0x1.5fc52571e482ap-11, 0x1.54a62da1ea354p-11, 0x1.49dc67b28e3f1p-11, 0x1.3f6abe528273p-11, 0x1.3548fbc787dcp-11, 0x1.2b772c8798d1cp-11, 0x1.21f29a6de6c19p-11, 0x1.18b91d6f95666p-11, 0x1.0fc8bd990b39dp-11, 0x1.071ed20c890f5p-11, 0x1.fd739d0c765f2p-12, 0x1.ed2ed6bc11debp-12, 0x1.dd6b694a10158p-12, 0x1.ce257c6bc6513p-12, 0x1.bf59522ff3e3p-12, 0x1.b1033da326b21p-12, 0x1.a320055ce8a7bp-12, 0x1.95ab2bf74d3f7p-12, 0x1.88a25f70cb10cp-12, 0x1.7c01f0142818ep-12, 0x1.6fc6cdebda5cp-12, 0x1.63edc70623d34p-12, 0x1.586ffd55b23d9p-12, 0x1.4d55d2126cda2p-12, 0x1.429158e3fb5d9p-12, 0x1.3823c27fe47dep-12, 0x1.2e10f938da095p-12, 0x1.2440a80842f55p-12, 0x1.1ac63688a1beep-12, 0x1.119842322db7fp-12, 0x1.08b43403ae4f8p-12, 0x1.0017bb308c874p-12, 0x1.ef81392e2c5p-13, 0x1.df595d4992a01p-13, 0x1.cfb3927f602p-13, 0x1.c08194215685bp-13, 0x1.b1defde3ea4e5p-13, 0x1.a3a89e395394bp-13, 0x1.95e485b589f81p-13, 0x1.888c03278c2e3p-13, 0x1.7ba6a3a9a1141p-13, 0x1.6f260e370623fp-13, 0x1.630aa4e4a5bb2p-13, 0x1.574fd14461783p-13, 0x1.4bf685a31b80ep-13, 0x1.40f664c4a0fbbp-13, 0x1.364f875c72fe5p-13, 0x1.2bfe45182bd0ep-13, 0x1.21ffd66a839dcp-13, 0x1.1854c8c4a23c3p-13, 0x1.0eeecfe68bcaap-13, 0x1.05d7bec379c64p-13, 0x1.fa0f96c9a0196p-14, 0x1.e8f93ea1ab947p-14, 0x1.d86806effea3ep-14, 0x1.c8578ed163bd9p-14, 0x1.b8a4a8af8b5ddp-14, 0x1.a9a135a151098p-14, 0x1.9af3fba74b056p-14, 0x1.8cb5424c9359ep-14, 0x1.7ee0f452af1abp-14, 0x1.717340740b86dp-14, 0x1.64670d984061fp-14, 0x1.57be752d1b2b8p-14, 0x1.4b705545f4108p-14, 0x1.3f7c0d3b7d472p-14, 0x1.33de6ab19f9f7p-14, 0x1.2894bae63b9f5p-14, 0x1.1d9c548e992f8p-14, 0x1.12f2a543146ffp-14, 0x1.0894fc9059911p-14, 0x1.fd2da73f8fcc2p-15, 0x1.e969b425a31c2p-15, 0x1.d65ed6c5a6f83p-15, 0x1.c3d89f9418e34p-15, 0x1.b1d498bbe11dbp-15, 0x1.a04f80b777a54p-15, 0x1.8f413d437778fp-15, 0x1.7ef45c127ab3ap-15, 0x1.6e8e7a5839b37p-15, 0x1.5ed8d81203934p-15, 0x1.4f913e8f2dbd5p-15, 0x1.40b23b9863c7bp-15, 0x1.32383d6aad662p-15, 0x1.242013c842cb2p-15, 0x1.16667e44d50e9p-15, 0x1.091f0b5738983p-15, 0x1.f80d92fa4d27cp-16, 0x1.de8ae53568607p-16, 0x1.c5fa04d98fe46p-16, 0x1.ade4af7efa02fp-16, 0x1.968ede5f12157p-16, 0x1.7f5bc1e1c0beap-16, 0x1.694fd462ea602p-16, 0x1.53933de93738fp-16, 0x1.3e64c678abc56p-16, 0x1.29beb04674899p-16, 0x1.159a8a7bf00eep-16, 0x1.01f6205698e6ap-16, 0x1.dd9bfc0aafd85p-17, 0x1.b83cd0ee5e0a4p-17, 0x1.93c801b4f3d12p-17, 0x1.70372a1c4f653p-17, 0x1.4d8427df82ddp-17, 0x1.2ba9107d4b1a5p-17, 0x1.0a9ffcd2d858bp-17, 0x1.d4c0c2f6ecebbp-18, 0x1.950eae370355cp-18, 0x1.5878c58c52a66p-18, 0x1.1ca68e6e14c76p-18, 0x1.c436c6ca6ce15p-19, 0x1.523162219cfc2p-19, 0x1.c5c11350d7c55p-20, 0x1.d909f1fcb33fbp-21, 0x1.8bdce3d0721efp-24, -0x1.6c51794096d5dp-21, -0x1.817f722543beep-20, -0x1.227ce2caf3e7fp-19, -0x1.829283dbf00fdp-19, -0x1.df78a9eef3314p-19, -0x1.1db082a674389p-18, -0x1.4a3362342a6e9p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.a81a19cf95e08p-2, -0x1.b08c8fe708c2fp-2, -0x1.b933abea628p-2, -0x1.c1fcdb4eb50ap-2, -0x1.cad705f1d3466p-2, -0x1.d3b2932a806dfp-2, -0x1.dc81275245935p-2, -0x1.e535ab4bc798ep-2, -0x1.edc4f8f070402p-2, -0x1.f62553db5411ap-2, -0x1.fe4d654ee7a3cp-2, -0x1.031a85bbcb49cp-1, -0x1.06eb1d71833a6p-1, -0x1.0a95ed12603bep-1, -0x1.0e18383f08a4fp-1, -0x1.116f5e98f3ddfp-1, -0x1.149993157d234p-1, -0x1.1795f4c201c74p-1, -0x1.1a63f4eae0a61p-1, -0x1.1d02c9df446f7p-1, -0x1.1f71771672b7bp-1, -0x1.21aed6679ec14p-1, -0x1.23bc574556af8p-1, -0x1.259983699705dp-1, -0x1.2746a69f545acp-1, -0x1.28c435a51f943p-1, -0x1.2a12c983bc4dap-1, -0x1.2b331b0e9f9fp-1, -0x1.2c25ff2829d47p-1, -0x1.2cec6357a2ac9p-1, -0x1.2d874a0374805p-1, -0x1.2df7c664f61b4p-1, -0x1.2e3ef8a2da6cdp-1, -0x1.2e5e0aa1de7abp-1, -0x1.2e562e942cac6p-1, -0x1.2e289f96802f8p-1, -0x1.2dd6a2436f9eep-1, -0x1.2d6182379decap-1, -0x1.2cca8c2a35e5cp-1, -0x1.2c130820a653cp-1, -0x1.2b3c37cf5607cp-1, -0x1.2a4759daaa4fbp-1, -0x1.2935aebcda831p-1, -0x1.28087a691673bp-1, -0x1.26c1018876e29p-1, -0x1.2560833ad1f5ap-1, -0x1.23e833979c56cp-1, -0x1.225939ca87909p-1, -0x1.20b4b1e597855p-1, -0x1.1efbb14078f99p-1, -0x1.1d2f4961beaddp-1, -0x1.1b50894c7604ap-1, -0x1.19607c69373a9p-1, -0x1.17602864bf411p-1, -0x1.15508b3098f2bp-1, -0x1.133299e58eb97p-1, -0x1.11074088ea8eep-1, -0x1.0ecf625b3ec44p-1, -0x1.0c8bda1a651afp-1, -0x1.0a3d7a0e0529cp-1, -0x1.07e50c0a5fb4ap-1, -0x1.058351bec84a7p-1, -0x1.0319057702d29p-1, -0x1.00a6ca20dec2cp-1, -0x1.fc5afaf30177bp-2, -0x1.f75b5d38ae32cp-2, -0x1.f24fff1893e5p-2, -0x1.ed3a188e6f6f3p-2, -0x1.e81ad4f75c0b5p-2, -0x1.e2f352c8ee633p-2, -0x1.ddc4a3a6bed62p-2, -0x1.d88fccd6e0b53p-2, -0x1.d355c7e7f860cp-2, -0x1.ce1783550b18bp-2, -0x1.c8d5e311d2ab5p-2, -0x1.c391c0ef077ecp-2, -0x1.be4becf4ac424p-2, -0x1.b9052da9c7c64p-2, -0x1.b3be405ebf4abp-2, -0x1.ae77d977a5ce5p-2, -0x1.a932a4bab02d5p-2, -0x1.a3ef4595a2f49p-2, -0x1.9eae576caebcp-2, -0x1.99706de557319p-2, -0x1.9436153516b77p-2, -0x1.8effd27125999p-2, -0x1.89ce23dc4be26p-2, -0x1.84a181345b397p-2, -0x1.7f7a5bfce35aep-2, -0x1.7a591fc3a61b9p-2, -0x1.753e3260d495ap-2, -0x1.7029f42fa7a51p-2, -0x1.6b1cc041a1093p-2, -0x1.6616ec8f1612ep-2, -0x1.6118ca234dd3ap-2, -0x1.5c22a54e67ae3p-2, -0x1.5734c5d94aa26p-2, -0x1.524f6f2a3f568p-2, -0x1.4d72e0945376cp-2, -0x1.489f55709129ap-2, -0x1.43d505595f25dp-2, -0x1.3f1424572657ap-2, -0x1.3a5ce306cd0fbp-2, -0x1.35af6ec500549p-2, -0x1.310bf1f04574p-2, -0x1.2c72936985c89p-2, -0x1.27e377fd44f95p-2, -0x1.235ec1382326p-2, -0x1.1ee48e26afbb7p-2, -0x1.1a74fb4fba231p-2, -0x1.161022cba4fd5p-2, -0x1.11b61c5e21f7p-2, -0x1.0d66fd8ad4b86p-2, -0x1.0922d9c604475p-2, -0x1.04e9c221a005dp-2, -0x1.00bbc639d6134p-2, -0x1.f931e6f202e27p-3, -0x1.f102ab2ca8bep-3, -0x1.e8e9ed2c195fbp-3, -0x1.e0e7bdcf3bc41p-3, -0x1.d8fc2a6a6906dp-3, -0x1.d1273ddcd80aep-3, -0x1.c968ffd2d7c6ap-3, -0x1.c1c17539f20f5p-3, -0x1.ba30a0618554ap-3, -0x1.b2b68117b4b2cp-3, -0x1.ab5314cad3e7dp-3, -0x1.a40656ad2b2e6p-3, -0x1.9cd03fc78faf7p-3, -0x1.95b0c71a4d49bp-3, -0x1.8ea7e1a907608p-3, -0x1.87b5828b13cc9p-3, -0x1.80d99af39b22ep-3, -0x1.7a141a40b7dd9p-3, -0x1.7364edfaf7b1fp-3, -0x1.6ccc01f4d144ap-3, -0x1.66494044c78c6p-3, -0x1.5fdc916c4d3d1p-3, -0x1.5985dc65cedd4p-3, -0x1.534506bf154bp-3, -0x1.4d19f4b2e41a3p-3, -0x1.470489412844cp-3, -0x1.4104a64154ccep-3, -0x1.3b1a2c79d6f38p-3, -0x1.3544fba0850cdp-3, -0x1.2f84f28a1106dp-3, -0x1.29d9eef5acec8p-3, -0x1.24446c26c5328p-3, -0x1.1ec2ef658915fp-3, -0x1.195609c3ad559p-3, -0x1.13fd95582ff5cp-3, -0x1.0eb96b3faf9c1p-3, -0x1.098963a7c4e89p-3, -0x1.046d55dad4513p-3, -0x1.feca2ff5fdbap-4, -0x1.f4e10188db291p-4, -0x1.eb1ec871cf441p-4, -0x1.e1832e3c63f61p-4, -0x1.d80dda7e6718ap-4, -0x1.cebe741db37cap-4, -0x1.c594a0f88bd7cp-4, -0x1.bc900647ae557p-4, -0x1.b3b0489854caep-4, -0x1.aaf50bf66f1cfp-4, -0x1.a25df3f8226c4p-4, -0x1.99eaa3c760f41p-4, -0x1.919abe5283ef9p-4, -0x1.896de5eb6eb68p-4, -0x1.8163bcf70c9b5p-4, -0x1.797be567fd16ap-4, -0x1.71b600ff10dp-4, -0x1.6a11b13d22818p-4, -0x1.628e974aefaaep-4, -0x1.5b2c545baf054p-4, -0x1.53ea893dd9d91p-4, -0x1.4cc8d698de417p-4, -0x1.45c6dcf7fbf85p-4, -0x1.3ee43ca94b147p-4, -0x1.382095eb763a3p-4, -0x1.317b88e266029p-4, -0x1.2af4b5a353ed3p-4, -0x1.248bbc4056648p-4, -0x1.1e403cd3f2bc9p-4, -0x1.1811d78011729p-4, -0x1.12002c933e8bcp-4, -0x1.0c0adc7dd9a17p-4, -0x1.063187d86aa55p-4, -0x1.0073cf8ef7ddap-4, -0x1.f5a2a99acd98bp-5, -0x1.ea93720368d2cp-5, -0x1.dfb93c413e24cp-5, -0x1.d5134cb33d721p-5, -0x1.caa0e8c0a4a0dp-5, -0x1.c06156b00236cp-5, -0x1.b653dfe4d879p-5, -0x1.ac77c60c14db6p-5, -0x1.a2cc5919617p-5, -0x1.9950e1186b63bp-5, -0x1.9004abff3f985p-5, -0x1.86e6ff0a552b5p-5, -0x1.7df72f7b58a16p-5, -0x1.7534896079f38p-5, -0x1.6c9e5d75abfb1p-5, -0x1.6433fcafc4bb5p-5, -0x1.5bf4b9c86c84fp-5, -0x1.53dfe81be7b27p-5, -0x1.4bf4de2f05d0ep-5, -0x1.4432f0fd588cep-5, -0x1.3c9978b34663dp-5, -0x1.3527ce564426cp-5, -0x1.2ddd4c496aa39p-5, -0x1.26b94e434cc25p-5, -0x1.1fbb31681ec15p-5, -0x1.18e25441e6aep-5, -0x1.122e16cb0ae8p-5, -0x1.0b9dda4afb2bdp-5, -0x1.0531021ba6501p-5, -0x1.fdcde465f87e6p-6, -0x1.f17e21aa1adebp-6, -0x1.e5718a597cfbap-6, -0x1.d9a6f22be3807p-6, -0x1.ce1d2d2861e2dp-6, -0x1.c2d3148e8993cp-6, -0x1.b7c78a1247104p-6, -0x1.acf95be6f52f8p-6, -0x1.a2677e0229abcp-6, -0x1.9810d0da605e4p-6, -0x1.8df43e10c964p-6, -0x1.8410b2c3fa875p-6, -0x1.7a651fb3387c9p-6, -0x1.70f078e71779p-6, -0x1.67b1b5b3f8bd8p-6, -0x1.5ea7d1f9b482fp-6, -0x1.55d1cc59e647p-6, -0x1.4d2ea746019bap-6, -0x1.44bd6699ac271p-6, -0x1.3c7d1a4e663f4p-6, -0x1.346ccb3aea71p-6, -0x1.2c8b867b1e27p-6, -0x1.24d8663990056p-6, -0x1.1d52807ab4319p-6, -0x1.15f8f09063a3ap-6, -0x1.0ecad5f1d8bffp-6, -0x1.07c754e2efe8bp-6, -0x1.00ed8db7e8e7dp-6, -0x1.f4795f8847b4cp-7, -0x1.e767cc51e140bp-7, -0x1.daa4c2b32ae6bp-7, -0x1.ce2ea961197e2p-7, -0x1.c203ed76b7bbdp-7, -0x1.b6230e220753bp-7, -0x1.aa8a7b15aafa8p-7, -0x1.9f38bb125c8d4p-7, -0x1.942c569add9e2p-7, -0x1.8963d7e0c2167p-7, -0x1.7edde36df3157p-7, -0x1.749905c4b9d36p-7, -0x1.6a93e6893108ap-7, -0x1.60cd2b91cf584p-7, -0x1.574385c9e22adp-7, -0x1.4df5a70ae6d5ep-7, -0x1.44e24989d94c8p-7, -0x1.3c082cbc2dbb6p-7, -0x1.336615d7bdb93p-7, -0x1.2afadbd18bd63p-7, -0x1.22c529c3d62cp-7, -0x1.1ac3fa96533ap-7, -0x1.12f61c6834ff3p-7, -0x1.0b5a712a9f5f5p-7, -0x1.03efdcb9576a1p-7, -0x1.f96a948c7478bp-8, -0x1.eb535303dfd6cp-8, -0x1.dd97de5b45aacp-8, -0x1.d036277c6ff02p-8, -0x1.c32c30cf0cb0ap-8, -0x1.b677fb4efca5dp-8, -0x1.aa179899eb7e6p-8, -0x1.9e09219c5b5e7p-8, -0x1.924ab8416ea1p-8, -0x1.86da87ae65e46p-8, -0x1.7bb6c489a7529p-8, -0x1.70dda923203dfp-8, -0x1.664d7d0f89c24p-8, -0x1.5c048d86a2a6bp-8, -0x1.520130459e3e6p-8, -0x1.4841bb0e0256dp-8, -0x1.3ec4acf0e6f98p-8, -0x1.35885c1976a1ap-8, -0x1.2c8b4738526bcp-8, -0x1.23cbec4e2703bp-8, -0x1.1b48d119a331ap-8, -0x1.130081ebab327p-8, -0x1.0af1947704c9p-8, -0x1.031aa487d04a5p-8, -0x1.f6f4aaa206d2dp-9, -0x1.e81ea261c2a26p-9, -0x1.d9b0890f1a045p-9, -0x1.cba7ed0310e2p-9, -0x1.be022f1ce0fefp-9, -0x1.b0bce42f06896p-9, -0x1.a3d5a06cabf62p-9, -0x1.974a152cf686cp-9, -0x1.8b17e9ae28b4cp-9, -0x1.7f3ce2fa75e44p-9, -0x1.73b6c9850b095p-9, -0x1.688375e02adeap-9, -0x1.5da0cb8a1077ep-9, -0x1.530cb9d6f193bp-9, -0x1.48c53bb125eaep-9, -0x1.3ec8576eb130cp-9, -0x1.35140f587431ap-9, -0x1.2ba6ad9a2ecb8p-9, -0x1.227e2c00b61bdp-9, -0x1.1998cc49269fep-9, -0x1.10f4c6632e8d5p-9, -0x1.08a2e8dca3e1bp-9, -0x1.007c12dabcb4fp-9, -0x1.f123160bf6812p-10, -0x1.e1c3714d54937p-10, -0x1.d2d613cdce28ap-10, -0x1.c457ecb223111p-10, -0x1.b645fb5dc42b6p-10, -0x1.a89d5a711f5dap-10, -0x1.9b5b26d72f525p-10, -0x1.8e7c9b72df1f4p-10, -0x1.81ff020ab7648p-10, -0x1.75dfaae60f06dp-10, -0x1.6a1c036ac6fafp-10, -0x1.5eb18cc08fbd1p-10, -0x1.539dc496bf842p-10, -0x1.48de470f20041p-10, -0x1.3e70bb682f627p-10, -0x1.3452d7fa049aap-10, -0x1.2a82650587074p-10, -0x1.20fd0c9fd7bc3p-10, -0x1.17c119cb7f0ap-10, -0x1.0ecc0d6e6f796p-10, -0x1.061c12c85f774p-10, -0x1.fb5e5993abfbbp-11, -0x1.eb06e35ea9cbcp-11, -0x1.db2e09873c5d1p-11, -0x1.cbd0293e56a04p-11, -0x1.bce9b267b74c9p-11, -0x1.ae773a55e0d3dp-11, -0x1.a0756290dfc33p-11, -0x1.92e0a8a0ac9bap-11, -0x1.85b699a19bf3bp-11, -0x1.78f35ffaf7592p-11, -0x1.6c94344e54c6bp-11, -0x1.609628353e043p-11, -0x1.54f660fa89f9cp-11, -0x1.49b215f37d696p-11, -0x1.3ec6cffca2025p-11, -0x1.343132e502758p-11, -0x1.29ef8a8e9dd36p-11, -0x1.1ffeba591ed9bp-11, -0x1.165cbc237e6c2p-11, -0x1.0d0750cdd0c9ep-11, -0x1.03fb5fb00e8abp-11, -0x1.f66f0085c2d1bp-12, -0x1.e572cd9a3874cp-12, -0x1.d4fd2bd5b878fp-12, -0x1.c50ac8bb5d4f8p-12, -0x1.b5976473bc2edp-12, -0x1.a69f0272f844fp-12, -0x1.981e4ce4904adp-12, -0x1.8a11810c80411p-12, -0x1.7c744b91100edp-12, -0x1.6f44312cfe3f5p-12, -0x1.627d801cbbddep-12, -0x1.561c9b7a47d2ep-12, -0x1.4a1f90b01972bp-12, -0x1.3e821cf91ae87p-12, -0x1.3341aceed525cp-12, -0x1.285b629c8f52ep-12, -0x1.1dcc73401a951p-12, -0x1.139227793c29p-12, -0x1.09a9f5e05ec97p-12, -0x1.001108c672ep-12, -0x1.ed8a5ff30f769p-13, -0x1.db87266b35a86p-13, -0x1.ca15dbdaeda71p-13, -0x1.b92fb77638c58p-13, -0x1.a8d14e73613c2p-13, -0x1.98f62cb7e957fp-13, -0x1.899a4348a73ccp-13, -0x1.7ab9b89b67168p-13, -0x1.6c50560187893p-13, -0x1.5e5abd7f7e5d5p-13, -0x1.50d518913bbf2p-13, -0x1.43bbe92d5c9ffp-13, -0x1.370bc6a94826p-13, -0x1.2ac1684c27dc4p-13, -0x1.1ed98e1b5c603p-13, -0x1.1351210c2b27ap-13, -0x1.08252164c997ap-13, -0x1.faa557cd0ce7cp-14, -0x1.e5adcd943cbd8p-14, -0x1.d15e4780663acp-14, -0x1.bdb169c495702p-14, -0x1.aaa06835367cdp-14, -0x1.982b5bc971532p-14, -0x1.86488d49cd703p-14, -0x1.74f52222bf4dap-14, -0x1.642e37a3a8c1p-14, -0x1.53e9d74d13bc7p-14, -0x1.4429a19c9d24dp-14, -0x1.34e7bd0910c27p-14, -0x1.262033bf7771ep-14, -0x1.17cf42e111067p-14, -0x1.09f149f758fbcp-14, -0x1.f9059146b795bp-15, -0x1.df00b176a2e23p-15, -0x1.c5c7e4c27430dp-15, -0x1.ad65c48748d03p-15, -0x1.95c363a97cacap-15, -0x1.7ee04375a4ff4p-15, -0x1.68b65289c257dp-15, -0x1.5341bfe8237c6p-15, -0x1.3e7b8cddcce33p-15, -0x1.2a5f2c607339fp-15, -0x1.16e6902071a4dp-15, -0x1.040fbc94869bdp-15, -0x1.e3a4d31b390d3p-16, -0x1.c057c1aa7273dp-16, -0x1.9e2e80de395a8p-16, -0x1.7d2047a2e41edp-16, -0x1.5d29d29740f9ep-16, -0x1.3e31d7b253ca6p-16, -0x1.20423604c3641p-16, -0x1.034c03c34561bp-16, -0x1.ce8fe6cf62ffcp-17, -0x1.985d6d954cab1p-17, -0x1.63f27cd070be4p-17, -0x1.312e0619f4d51p-17, -0x1.003b0ad7779cfp-17, -0x1.a1aa3781e52ap-18, -0x1.46056bfb3273cp-18, -0x1.dae0ca232809cp-19, -0x1.2fa991e969486p-19, -0x1.1467b70937448p-20, 0x1.590266078bac4p-23, 0x1.5fc8d15c01c94p-20, 0x1.44e36d7b74dbbp-19, 0x1.d4b11d778b71ap-19, 0x1.2fb7f63fac3edp-18, 0x1.72a06a823fd2p-18, 0x1.b321defc54837p-18, 0x1.f14c2b49cf038p-18, 0x1.168183df48fe1p-17, 0x1.336aae9b28b72p-17, 0x1.4f26f162add1bp-17, 0x1.69d4a33935ebap-17, 0x1.83799c106afep-17, 0x1.9c1c267349362p-17, 0x1.b3c3c90af8a05p-17, 0x1.ca58ef60f6197p-17, 0x1.e0341662eebc4p-17, 0x1.f50be4693f911p-17, 0x1.047f193032ea6p-16, 0x1.0e08a4b30941bp-16, 0x1.17255ca105dccp-16, 0x1.1fd7d8aa97599p-16, 0x1.2822b21aebd22p-16, 0x1.2fff251a924dfp-16, 0x1.378b2cd93b142p-16, 0x1.3eb1d4c6e356cp-16, 0x1.4570096e71b4dp-16, 0x1.4bd7d740b48b8p-16, 0x1.51e2064c2fc8bp-16, 0x1.57a36f7653d39p-16, 0x1.5cfa61803e7c8p-16, 0x1.6206ec1367a9dp-16, 0x1.66c11e9593afep-16, 0x1.6b2b34dd501e7p-16, 0x1.6f471b39f7333p-16, 0x1.7316902e059b5p-16, 0x1.769b50eca3a45p-16, 0x1.79d71168d0f79p-16, 0x1.7ccb796c726a6p-16, 0x1.7f7a265298a62p-16, 0x1.81e4abb76c272p-16, 0x1.840c942384db3p-16, 0x1.85f36343e9501p-16, 0x1.879aaf91a53f8p-16, 0x1.89075f7e0fa8cp-16, 0x1.8a2fc11d1cb1fp-16, 0x1.8b1fe5aa4521dp-16, 0x1.8bd74d7c3e71cp-16, 0x1.8c54fe23bcbafp-16, 0x1.8c9b73e6d9e91p-16, 0x1.8cabbb5b0f719p-16, 0x1.8c86d3fc882c2p-16, 0x1.8c2ec0bd4268bp-16, 0x1.8baaad88e1547p-16, 0x1.8ae7d5fc95a4dp-16, 0x1.89fba167d975ep-16, 0x1.88de9c23a9235p-16, 0x1.879625c0733bfp-16, 0x1.861fd01e2463cp-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.663aff58edbcbp-5, 0x1.889e09cffd20dp-5, 0x1.ac4305e6e5e89p-5, 0x1.d11d4ade107bap-5, 0x1.f7200ae83b98cp-5, 0x1.0f1f2d13ef1b1p-4, 0x1.23359aa3eb3f9p-4, 0x1.37ccc3da164bep-4, 0x1.4cde18bbd3538p-4, 0x1.626306615bcccp-4, 0x1.7854f990168c9p-4, 0x1.8ead612de9ea8p-4, 0x1.a565b08f89afbp-4, 0x1.bc7761a3b0637p-4, 0x1.d3dbf6fd09d5cp-4, 0x1.eb8cfdbca552dp-4, 0x1.01c207af3bcffp-3, 0x1.0ddd69b4cc096p-3, 0x1.1a158082d06ffp-3, 0x1.2667303b53c9ep-3, 0x1.32cf66408a775p-3, 0x1.3f4b19db4f09p-3, 0x1.4bd74cd6c6cb3p-3, 0x1.58710c11b072ep-3, 0x1.65157005e7e89p-3, 0x1.71c19d468fc67p-3, 0x1.7e72c4f5574abp-3, 0x1.8b26252f33d16p-3, 0x1.97d9097102d3ep-3, 0x1.a488caf45584ap-3, 0x1.b132d104c5e7fp-3, 0x1.bdd4914e16811p-3, 0x1.ca6b902364b4fp-3, 0x1.d6f560bfafdap-3, 0x1.e36fa57fe638p-3, 0x1.efd81016bbb27p-3, 0x1.fc2c61ba7293bp-3, 0x1.043535a668439p-2, 0x1.0a4806beb259dp-2, 0x1.104d9c732c81bp-2, 0x1.1644f711f47f7p-2, 0x1.1c2d1ef35c23p-2, 0x1.2205248092675p-2, 0x1.27cc2037e3158p-2, 0x1.2d8132ae9ef3fp-2, 0x1.33238490c19ccp-2, 0x1.38b2469e67768p-2, 0x1.3e2cb1a726b5fp-2, 0x1.43920683640cp-2, 0x1.48e18e0bb1116p-2, 0x1.4e1a990e4c30fp-2, 0x1.533c8042d4178p-2, 0x1.5846a43c4437ap-2, 0x1.5d386d594bf7cp-2, 0x1.62114bb318bb9p-2, 0x1.66d0b70a9ffa8p-2, 0x1.6b762eb484a7dp-2, 0x1.70013983a58dfp-2, 0x1.747165b26c5e6p-2, 0x1.78c648caeb871p-2, 0x1.7cff7f8de4c26p-2, 0x1.811cadd8c43fp-2, 0x1.851d7e8aa65ffp-2, 0x1.8901a36878c8ap-2, 0x1.8cc8d500492fcp-2, 0x1.9072d28bd15c7p-2, 0x1.93ff61d251e57p-2, 0x1.976e4f09cb886p-2, 0x1.9abf6cb7a9203p-2, 0x1.9df29390e225ep-2, 0x1.a107a259adec3p-2, 0x1.a3fe7dc4ce9f5p-2, 0x1.a6d7105282fd1p-2, 0x1.a9914a2f2db8dp-2, 0x1.ac2d2111bd1a9p-2, 0x1.aeaa9019de475p-2, 0x1.b10997ae08f47p-2, 0x1.b34a3d596f661p-2, 0x1.b56c8ba9d5cc1p-2, 0x1.b770920d661bp-2, 0x1.b95664b07f7e3p-2, 0x1.bb1e1c5b90c96p-2, 0x1.bcc7d651001bbp-2, 0x1.be53b42b2ea87p-2, 0x1.bfc1dbba97c49p-2, 0x1.c11276e41beedp-2, 0x1.c245b37f73de2p-2, 0x1.c35bc335d9a8p-2, 0x1.c454db60e8708p-2, 0x1.c53134e9be126p-2, 0x1.c5f10c2859e97p-2, 0x1.c694a0c34ac74p-2, 0x1.c71c358fa3b63p-2, 0x1.c788107141a9fp-2, 0x1.c7d87a3b68442p-2, 0x1.c80dbe91b4ccep-2, 0x1.c8282bc969215p-2, 0x1.c82812cb18b5bp-2, 0x1.c80dc6f4b578p-2, 0x1.c7d99dfbfd749p-2, 0x1.c78befd15126cp-2, 0x1.c7251682f124cp-2, 0x1.c6a56e20a406ep-2, 0x1.c60d549fca427p-2, 0x1.c55d29bfdf16fp-2, 0x1.c4954eef676ebp-2, 0x1.c3b6273153192p-2, 0x1.c2c01702ce9bap-2, 0x1.c1b38441891edp-2, 0x1.c090d6126c43ep-2, 0x1.bf5874c8cb9adp-2, 0x1.be0ac9ce08a52p-2, 0x1.bca83f89ae78cp-2, 0x1.bb31414a010e1p-2, 0x1.b9a63b2d0975ep-2, 0x1.b8079a0a170bep-2, 0x1.b655cb5bb8ba8p-2, 0x1.b4913d2a3244dp-2, 0x1.b2ba5df6676f1p-2, 0x1.b0d19ca540fa2p-2, 0x1.aed7686b8d35p-2, 0x1.accc30ba566c4p-2, 0x1.aab0652bb6415p-2, 0x1.a88475701dfe7p-2, 0x1.a648d13c1bd24p-2, 0x1.a3fde83695791p-2, 0x1.a1a429e77e0b1p-2, 0x1.9f3c05a70056ep-2, 0x1.9cc5ea8d25b39p-2, 0x1.9a424761edd9ap-2, 0x1.97b18a8de3a3fp-2, 0x1.9514220b2115cp-2, 0x1.926a7b56cf674p-2, 0x1.8fb5036316577p-2, 0x1.8cf4268982ad6p-2, 0x1.8a28507ddea33p-2, 0x1.8751ec417ae6ep-2, 0x1.84716416ed7aap-2, 0x1.818721763c544p-2, 0x1.7e938d017ac7ep-2, 0x1.7b970e79d2b27p-2, 0x1.78920cb4feabcp-2, 0x1.7584ed932c751p-2, 0x1.727015f54d5a5p-2, 0x1.6f53e9b3d102ep-2, 0x1.6c30cb95c6bb2p-2, 0x1.69071d48684c1p-2, 0x1.65d73f570a6b3p-2, 0x1.62a1912372c24p-2, 0x1.5f6670de907bep-2, 0x1.5c263b819834ap-2, 0x1.58e14cc7819p-2, 0x1.5597ff26e1289p-2, 0x1.524aabcc2493ep-2, 0x1.4ef9aa9426cd6p-2, 0x1.4ba5520723a03p-2, 0x1.484df75402969p-2, 0x1.44f3ee4bf7ac6p-2, 0x1.4197895e7fedp-2, 0x1.3e391995ac59dp-2, 0x1.3ad8ee92c538p-2, 0x1.3777568b3c174p-2, 0x1.34149e45ed031p-2, 0x1.30b11118b262cp-2, 0x1.2d4cf8e63ec79p-2, 0x1.29e89e1c47367p-2, 0x1.268447b1f3d04p-2, 0x1.23203b26989bp-2, 0x1.1fbcbc80b4388p-2, 0x1.1c5a0e4d31773p-2, 0x1.18f8719eeedp-2, 0x1.1598260e80d45p-2, 0x1.123969ba3936fp-2, 0x1.0edc794666216p-2, 0x1.0b818fddd22f7p-2, 0x1.0828e73279a21p-2, 0x1.04d2b77e79303p-2, 0x1.017f378535221p-2, 0x1.fc5d3929635f6p-3, 0x1.f5c2350e420dp-3, 0x1.ef2dc78943608p-3, 0x1.e8a0528a5b96cp-3, 0x1.e21a35256816bp-3, 0x1.db9bcb96c77b1p-3, 0x1.d5256f483d414p-3, 0x1.ceb776d62827dp-3, 0x1.c85236150cfd4p-3, 0x1.c1f5fe1768af3p-3, 0x1.bba31d33cedfep-3, 0x1.b559df0b460e5p-3, 0x1.af1a8c8ff3c9ep-3, 0x1.a8e56c0bf7842p-3, 0x1.a2bac12893ac4p-3, 0x1.9c9accf581e38p-3, 0x1.9685cdf083e41p-3, 0x1.907c000d2af01p-3, 0x1.8a7d9cbcca5b1p-3, 0x1.848adaf69a746p-3, 0x1.7ea3ef40092e5p-3, 0x1.78c90bb52fb79p-3, 0x1.72fa6011732e1p-3, 0x1.6d3819b840967p-3, 0x1.678263bdf4ce9p-3, 0x1.61d966f0d8bb3p-3, 0x1.5c3d49e23fc3bp-3, 0x1.56ae30efbe0d8p-3, 0x1.512c3e4c73d4p-3, 0x1.4bb7920a74e62p-3, 0x1.46504a2438efcp-3, 0x1.40f6828623831p-3, 0x1.3baa551819536p-3, 0x1.366bd9c71f1d4p-3, 0x1.313b268f08636p-3, 0x1.2c184f84254bp-3, 0x1.270366dd02f07p-3, 0x1.21fc7cfc2674cp-3, 0x1.1d03a079cff65p-3, 0x1.1818de2dbae56p-3, 0x1.133c4138e5625p-3, 0x1.0e6dd30f48a7fp-3, 0x1.09ad9b819c03bp-3, 0x1.04fba0c704741p-3, 0x1.0057e786c98e1p-3, 0x1.f784e5c3f51abp-4, 0x1.ee7688fa136efp-4, 0x1.e584b912bfa95p-4, 0x1.dcaf739dc4ecdp-4, 0x1.d3f6b36ad6953p-4, 0x1.cb5a709c5d6fbp-4, 0x1.c2daa0ba351e6p-4, 0x1.ba7736c42dac1p-4, 0x1.b230234480ce9p-4, 0x1.aa0554620ede7p-4, 0x1.a1f6b5f2832d5p-4, 0x1.9a04318c41d2cp-4, 0x1.922dae9828ca6p-4, 0x1.8a7312633275bp-4, 0x1.82d4402fd6524p-4, 0x1.7b51194744eb9p-4, 0x1.73e97d0a6d435p-4, 0x1.6c9d4902cf903p-4, 0x1.656c58f31ada9p-4, 0x1.5e5686e7954c8p-4, 0x1.575bab464c625p-4, 0x1.507b9cdf0ebfbp-4, 0x1.49b630fb2b156p-4, 0x1.430b3b6cf6073p-4, 0x1.3c7a8e9f16047p-4, 0x1.3603fba392418p-4, 0x1.2fa75242a60ecp-4, 0x1.2964610958046p-4, 0x1.233af557d3155p-4, 0x1.1d2adb6f820f1p-4, 0x1.1733de80ecfffp-4, 0x1.1155c8b957487p-4, 0x1.0b9063502046fp-4, 0x1.05e37693e2bfp-4, 0x1.004ec9f755fa4p-4, 0x1.f5a4483bdfdbdp-5, 0x1.eada95d08c386p-5, 0x1.e04007005faa3p-5, 0x1.d5d424c950db5p-5, 0x1.cb9676eae2ddp-5, 0x1.c18683fceb346p-5, 0x1.b7a3d185d82f5p-5, 0x1.adede4107727p-5, 0x1.a4643f4140518p-5, 0x1.9b0665eb1f567p-5, 0x1.91d3da23c3e8fp-5, 0x1.88cc1d5770334p-5, 0x1.7feeb05c4fa1fp-5, 0x1.773b1385506cdp-5, 0x1.6eb0c6b482afcp-5, 0x1.664f496cfe1fcp-5, 0x1.5e161ae44e5dep-5, 0x1.5604ba13685d8p-5, 0x1.4e1aa5c728de2p-5, 0x1.46575cb05cad8p-5, 0x1.3eba5d7354cd5p-5, 0x1.374326b707e5ep-5, 0x1.2ff13733bf9d3p-5, 0x1.28c40dc156beap-5, 0x1.21bb296507261p-5, 0x1.1ad6095ec9e4ep-5, 0x1.14142d3648917p-5, 0x1.0d7514c764afcp-5, 0x1.06f8404e5531ep-5, 0x1.009d30735a10dp-5, 0x1.f4c6ccac10e92p-6, 0x1.e894c7306259ap-6, 0x1.dca354d0c8979p-6, 0x1.d0f17b182041p-6, 0x1.c57e40d27e29ap-6, 0x1.ba48ae1fee815p-6, 0x1.af4fcc8671c2p-6, 0x1.a492a70348fdep-6, 0x1.9a104a1b82c67p-6, 0x1.8fc7c3ebdbabep-6, 0x1.85b82437ed68dp-6, 0x1.7be07c78af89ap-6, 0x1.723fdfea52026p-6, 0x1.68d563996e2d9p-6, 0x1.5fa01e6f980ebp-6, 0x1.569f293f4fd7ap-6, 0x1.4dd19ecf5465fp-6, 0x1.45369be55e74dp-6, 0x1.3ccd3f504754cp-6, 0x1.3494a9f198589p-6, 0x1.2c8bfec691be2p-6, 0x1.24b262f09d1cbp-6, 0x1.1d06fdbd3f0d4p-6, 0x1.1588f8ad7b619p-6, 0x1.0e377f7cbab16p-6, 0x1.0711c0273089ep-6, 0x1.0016eaefc2f29p-6, 0x1.f28c64caf1d45p-7, 0x1.e53d96d0e825ep-7, 0x1.d83fda5ce9b6fp-7, 0x1.cb91a28ddc203p-7, 0x1.bf31673d5dbd9p-7, 0x1.b31da506371ffp-7, 0x1.a754dd4a0e7fdp-7, 0x1.9bd596363fa2cp-7, 0x1.909e5ac7ff9c8p-7, 0x1.85adbacfb74e6p-7, 0x1.7b024af3ac92fp-7, 0x1.709aa4b1f5dcp-7, 0x1.66756661c3862p-7, 0x1.5c913333f66f5p-7, 0x1.52ecb33322c7cp-7, 0x1.49869342ecd04p-7, 0x1.405d851ec9851p-7, 0x1.37703f583904ep-7, 0x1.2ebd7d5464302p-7, 0x1.2643ff4939c9bp-7, 0x1.1e028a3a04c42p-7, 0x1.15f7e7f381a47p-7, 0x1.0e22e7077a705p-7, 0x1.06825ac7eb438p-7, 0x1.fe2a368369cc5p-8, 0x1.efb40a6dc4a15p-8, 0x1.e19ff431086c1p-8, 0x1.d3ebc00052ab7p-8, 0x1.c6954351e72adp-8, 0x1.b99a5cd0a6e86p-8, 0x1.acf8f44cd0deap-8, 0x1.a0aefaac1d03bp-8, 0x1.94ba69d934076p-8, 0x1.891944b28eca1p-8, 0x1.7dc996f8c29d8p-8, 0x1.72c9753c4230dp-8, 0x1.6816fcca9b523p-8, 0x1.5db0539b36961p-8, 0x1.5393a83ba3078p-8, 0x1.49bf31bb6f482p-8, 0x1.40312f979b63bp-8, 0x1.36e7e9a5a8673p-8, 0x1.2de1affe49649p-8, 0x1.251cdae7bfbd6p-8, 0x1.1c97cabfe6149p-8, 0x1.1450e7e5ef88ep-8, 0x1.0c46a2a3e3192p-8, 0x1.04777317d5bb8p-8, 0x1.f9c3b239d2b15p-9, 0x1.eb08b8683117fp-9, 0x1.dcbb16d99f74p-9, 0x1.ced7fa9ab47aep-9, 0x1.c15c9f7654498p-9, 0x1.b4464fc5f8f1p-9, 0x1.a7926441bec6ap-9, 0x1.9b3e43d03fba1p-9, 0x1.8f4763563f62p-9, 0x1.83ab458638125p-9, 0x1.78677aafccec9p-9, 0x1.6d79a08f229b9p-9, 0x1.62df621c35ce6p-9, 0x1.5896775a23107p-9, 0x1.4e9ca5267682fp-9, 0x1.44efbd0880178p-9, 0x1.3b8d9d00bc0eep-9, 0x1.32742f5848fa5p-9, 0x1.29a16a7080a46p-9, 0x1.21135092a9be4p-9, 0x1.18c7efbfd7271p-9, 0x1.10bd6180ed7aap-9, 0x1.08f1cab6db4a7p-9, 0x1.01635b6b0641ep-9, 0x1.f4209d3fe7ed2p-10, 0x1.e5edd4445ba8bp-10, 0x1.d82afcb2d6d0ap-10, 0x1.cad4cc340733cp-10, 0x1.bde80ced4ac57p-10, 0x1.b1619d24c7af6p-10, 0x1.a53e6ee61ea2fp-10, 0x1.997b87a7d810cp-10, 0x1.8e15fff171414p-10, 0x1.830b03022c34bp-10, 0x1.7857ce789eea9p-10, 0x1.6df9b1fafd8f5p-10, 0x1.63ee0ee034f46p-10, 0x1.5a3257d9cd719p-10, 0x1.50c4109ea5f27p-10, 0x1.47a0cd967f4e7p-10, 0x1.3ec63386644e3p-10, 0x1.3631f73df09e3p-10, 0x1.2de1dd457b306p-10, 0x1.25d3b98d264c7p-10, 0x1.1e056f1ccfadfp-10, 0x1.1674efc4f7355p-10, 0x1.0f203bd08b472p-10, 0x1.080561b7abbe9p-10, 0x1.01227dd356d5ap-10, 0x1.f4eb742422422p-11, 0x1.e7fa9b5b01085p-11, 0x1.db6ef9c1fc8e6p-11, 0x1.cf45314244e85p-11, 0x1.c379fca892138p-11, 0x1.b80a2f1822095p-11, 0x1.acf2b37faf38ep-11, 0x1.a2308c105f684p-11, 0x1.97c0d1b6aa4f9p-11, 0x1.8da0b3953a68ep-11, 0x1.83cd7681c7472p-11, 0x1.7a447483ea951p-11, 0x1.71031c55ed418p-11, 0x1.6806f0e78df97p-11, 0x1.5f4d88e2c0435p-11, 0x1.56d48e3261137p-11, 0x1.4e99bd8ae1fb2p-11, 0x1.469ae5f4e71d8p-11, 0x1.3ed5e859d8d0fp-11, 0x1.3748b71262d91p-11, 0x1.2ff15576e33f6p-11, 0x1.28cdd771c39dp-11, 0x1.21dc6113bb428p-11, 0x1.1b1b2629f6dc2p-11, 0x1.148869d62232dp-11, 0x1.0e227e2853cfp-11, 0x1.07e7c3bad17d7p-11, 0x1.01d6a94fb0a0bp-11, 0x1.f7db56e094e0ep-12, 0x1.ec56a81d0187cp-12, 0x1.e11c744fa41ccp-12, 0x1.d62a02d46c0cbp-12, 0x1.cb7cb3b57f2b6p-12, 0x1.c111fefbff98ap-12, 0x1.b6e774044eb65p-12, 0x1.acfab8d5ba44p-12, 0x1.a349897d9a62p-12, 0x1.99d1b76dc576cp-12, 0x1.909128de5e767p-12, 0x1.8785d832eeb17p-12, 0x1.7eadd362bfe66p-12, 0x1.76073b6471a39p-12, 0x1.6d90439cb7f4fp-12, 0x1.65473150476b5p-12, 0x1.5d2a5b18d21e2p-12, 0x1.5538285d1d4fp-12, 0x1.4d6f10cc17d11p-12, 0x1.45cd9bdaeef42p-12, 0x1.3e5260461555dp-12, 0x1.36fc03953058ap-12, 0x1.2fc939a1e2565p-12, 0x1.28b8c42167a7p-12, 0x1.21c97230fc1fcp-12, 0x1.1afa1fe4fce11p-12, 0x1.1449b5dabf3f9p-12, 0x1.0db728cd0d778p-12, 0x1.0741792b43504p-12, 0x1.00e7b2b2fda01p-12, 0x1.f551d818a92ap-13, 0x1.e9088cd12032ep-13, 0x1.dcf1da46a9f35p-13, 0x1.d10c2acc7442ep-13, 0x1.c555fb9d78116p-13, 0x1.b9cddc2d0c684p-13, 0x1.ae726d7c11c32p-13, 0x1.a3426172971f4p-13, 0x1.983c7a3df2749p-13, 0x1.8d5f89b32c2a4p-13, 0x1.82aa70b5b39fdp-13, 0x1.781c1ea240dcdp-13, 0x1.6db390bdd24bbp-13, 0x1.636fd1a8b394ap-13, 0x1.594ff8d579c77p-13, 0x1.4f532a03e1eb4p-13, 0x1.457894bf7b6d9p-13, 0x1.3bbf73e20e3c8p-13, 0x1.32270d19a99fbp-13, 0x1.28aeb0724b9aep-13, 0x1.1f55b7e303204p-13, 0x1.161b86de8b457p-13, 0x1.0cff89e73ff4dp-13, 0x1.040136265f7eep-13, 0x1.f640120d11aa3p-14, 0x1.e4b70fa2b89f1p-14, 0x1.d3667ea07c2ccp-14, 0x1.c24d86e02c503p-14, 0x1.b16b5dd00d8f6p-14, 0x1.a0bf45c614be7p-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.d00a6fff7e36cp-3, -0x1.e6cf0314f6329p-3, -0x1.fd701f0dac32dp-3, -0x1.09f4cad50af8ap-2, -0x1.151b9c94dacb6p-2, -0x1.202a70c5b66f4p-2, -0x1.2b1f38a4dcb45p-2, -0x1.35f7ecccf2456p-2, -0x1.40b28f1ac94b2p-2, -0x1.4b4d2c5b1f09bp-2, -0x1.55c5ddc51be0ep-2, -0x1.601aca4545112p-2, -0x1.6a4a279c85f94p-2, -0x1.74523b56bd556p-2, -0x1.7e315b9c1f512p-2, -0x1.87e5efe083323p-2, -0x1.916e71739031p-2, -0x1.9ac96bf47ff32p-2, -0x1.a3f57dac018fbp-2, -0x1.acf157ce9dcffp-2, -0x1.b5bbbea9c8947p-2, -0x1.be5389bda180fp-2, -0x1.c6b7a3c544332p-2, -0x1.cee70aaf57e88p-2, -0x1.d6e0cf8871debp-2, -0x1.dea41658ba8d6p-2, -0x1.e63015f6270e6p-2, -0x1.ed8417cc77ec2p-2, -0x1.f49f779c1ebc5p-2, -0x1.fb81a33107d91p-2, -0x1.01150d091b14ap-1, -0x1.044c369587886p-1, -0x1.07661f37892a7p-1, -0x1.0a62a03c5ff5p-1, -0x1.0d419b1226503p-1, -0x1.1002f9135c13cp-1, -0x1.12a6ab50ef299p-1, -0x1.152caa5afc18ap-1, -0x1.1794f608819f2p-1, -0x1.19df953e41a19p-1, -0x1.1c0c95b4fafa3p-1, -0x1.1e1c0bbf2e131p-1, -0x1.200e120e9336bp-1, -0x1.21e2c97968db8p-1, -0x1.239a58bfbdc17p-1, -0x1.2534ec50d6c4fp-1, -0x1.26b2b610cb72ep-1, -0x1.2813ed1e769dfp-1, -0x1.2958cd99d2b3cp-1, -0x1.2a81986ad6b76p-1, -0x1.2b8e9308e8531p-1, -0x1.2c800742f81edp-1, -0x1.2d56430853c2cp-1, -0x1.2e11983241c01p-1, -0x1.2eb25c4e71363p-1, -0x1.2f38e86a4ad64p-1, -0x1.2fa598df2f1cbp-1, -0x1.2ff8cd1fa7f94p-1, -0x1.3032e78599fe5p-1, -0x1.30544d217b069p-1, -0x1.305d658a94796p-1, -0x1.304e9ab05595p-1, -0x1.302858acbe889p-1, -0x1.2feb0d97e37e1p-1, -0x1.2f97295c8ca2cp-1, -0x1.2f2d1d8df6093p-1, -0x1.2ead5d3eb1284p-1, -0x1.2e185cd8a7f69p-1, -0x1.2d6e91f6439d1p-1, -0x1.2cb0733cb48dap-1, -0x1.2bde78375fbb1p-1, -0x1.2af919346be3ap-1, -0x1.2a00cf226e7d5p-1, -0x1.28f6136f3aaf2p-1, -0x1.27d95fe7c9538p-1, -0x1.26ab2e993df92p-1, -0x1.256bf9b302b99p-1, -0x1.241c3b69f923ap-1, -0x1.22bc6ddcbd5ddp-1, -0x1.214d0af8f6e27p-1, -0x1.1fce8c61b4da2p-1, -0x1.1e416b56d0cf4p-1, -0x1.1ca6209d546bfp-1, -0x1.1afd2468def7fp-1, -0x1.1946ee46046c8p-1, -0x1.1783f505a3b4ap-1, -0x1.15b4aea92e60bp-1, -0x1.13d9904fdd301p-1, -0x1.11f30e24cdeb5p-1, -0x1.10019b4e0510dp-1, -0x1.0e05a9dc4dd28p-1, -0x1.0bffaabbf552dp-1, -0x1.09f00da65abe7p-1, -0x1.07d741144f354p-1, -0x1.05b5b23143167p-1, -0x1.038bcccf381d2p-1, -0x1.0159fb5b7651ap-1, -0x1.fe414da7fae0dp-2, -0x1.f9c06d7b5bdd5p-2, -0x1.f532223649febp-2, -0x1.f09734c88f45cp-2, -0x1.ebf06afcea8f8p-2, -0x1.e73e876ac0732p-2, -0x1.e282496909394p-2, -0x1.ddbc6d027786ap-2, -0x1.d8edaaeac6233p-2, -0x1.d416b8752ff0ap-2, -0x1.cf38478bf96fdp-2, -0x1.ca5306a912df9p-2, -0x1.c567a0cfbac2p-2, -0x1.c076bd8725311p-2, -0x1.bb8100d615873p-2, -0x1.b6870b3f65f7dp-2, -0x1.b18979bf752bep-2, -0x1.ac88e5ca6e73fp-2, -0x1.a785e54b689a5p-2, -0x1.a2810aa44e936p-2, -0x1.9d7ae4ae8e88dp-2, -0x1.9873febc819bep-2, -0x1.936ce09b8db1dp-2, -0x1.8e660e96edefap-2, -0x1.8960097b287e2p-2, -0x1.845b4e9a1ab82p-2, -0x1.7f5857cfa33c2p-2, -0x1.7a579b86da0dp-2, -0x1.75598cbfd1798p-2, -0x1.705e9b15daf55p-2, -0x1.6b6732c649babp-2, -0x1.6673bcb7aa68fp-2, -0x1.61849e8169e86p-2, -0x1.5c9a3a73e87fp-2, -0x1.57b4efa0f04b2p-2, -0x1.52d519e487a8cp-2, -0x1.4dfb11ee2144ep-2, -0x1.49272d4a1bcbbp-2, -0x1.4459be6b8fdf6p-2, -0x1.3f9314b66a259p-2, -0x1.3ad37c89c438ap-2, -0x1.361b3f4a81c4dp-2, -0x1.316aa36e250f5p-2, -0x1.2cc1ec85d925ep-2, -0x1.28215b49ae30fp-2, -0x1.23892da403135p-2, -0x1.1ef99ebd170efp-2, -0x1.1a72e706be992p-2, -0x1.15f53c483d911p-2, -0x1.1180d1aa39a67p-2, -0x1.0d15d7c2c723ap-2, -0x1.08b47ca18e58fp-2, -0x1.045cebdbff8b8p-2, -0x1.000f4e9998ecp-2, -0x1.f797974069d13p-3, -0x1.ef250ec0ce05fp-3, -0x1.e6c74803aea76p-3, -0x1.de7e82df4cd2dp-3, -0x1.d64afac99ecb2p-3, -0x1.ce2ce6f1118e3p-3, -0x1.c6247a5539b49p-3, -0x1.be31e3df828e5p-3, -0x1.b6554e7bbcb46p-3, -0x1.ae8ee1309da5dp-3, -0x1.a6debf381d16fp-3, -0x1.9f450817bd249p-3, -0x1.97c1d7b8a144ap-3, -0x1.9055467f83cap-3, -0x1.88ff69648839dp-3, -0x1.81c0520acf2c1p-3, -0x1.7a980ed7e8bffp-3, -0x1.7386ab0b097d8p-3, -0x1.6c8c2ed407cccp-3, -0x1.65a89f6a282bp-3, -0x1.5edbff22a3018p-3, -0x1.58264d86f14fap-3, -0x1.5187876ad91ecp-3, -0x1.4affa70234791p-3, -0x1.448ea3f67201ap-3, -0x1.3e34737bd7faap-3, -0x1.37f1086672d91p-3, -0x1.31c4533ec1e19p-3, -0x1.2bae4256181ep-3, -0x1.25aec1daae2a8p-3, -0x1.1fc5bbeb65b83p-3, -0x1.19f318ab45d11p-3, -0x1.1436be549ba1p-3, -0x1.0e90914bd5c16p-3, -0x1.0900743204eb5p-3, -0x1.038647f714892p-3, -0x1.fc43d7d74dd7bp-4, -0x1.f1a67ba54d792p-4, -0x1.e73433e4ff2cap-4, -0x1.dcecb64c045ep-4, -0x1.d2cfb5d9fd3a1p-4, -0x1.c8dce2f8f4acfp-4, -0x1.bf13eb9d486f6p-4, -0x1.b5747b64c33fdp-4, -0x1.abfe3bb5332afp-4, -0x1.a2b0d3da3acb1p-4, -0x1.998be9228eef3p-4, -0x1.908f1efc82662p-4, -0x1.87ba1711f0d1dp-4, -0x1.7f0c7163811f8p-4, -0x1.7685cc6344eacp-4, -0x1.6e25c50eb418fp-4, -0x1.65ebf7080532cp-4, -0x1.5dd7fcaee4f2cp-4, -0x1.55e96f388cdc2p-4, -0x1.4e1fe6c73baa9p-4, -0x1.467afa810fc6ap-4, -0x1.3efa40a644cf7p-4, -0x1.379d4ea6d89cep-4, -0x1.3063b93794befp-4, -0x1.294d146682fb1p-4, -0x1.2258f3aec9f77p-4, -0x1.1b86ea0bf83ccp-4, -0x1.14d68a0cbabd4p-4, -0x1.0e4765e50537p-4, -0x1.07d90f7fab35ap-4, -0x1.018b188f6cb17p-4, -0x1.f6ba253ef0d03p-5, -0x1.ea9d1e46cc172p-5, -0x1.debe3f0d535f1p-5, -0x1.d31caa77057dp-5, -0x1.c7b78392d28f5p-5, -0x1.bc8dedb5f5663p-5, -0x1.b19f0c96d1013p-5, -0x1.a6ea0466d659ap-5, -0x1.9c6df9eb76593p-5, -0x1.922a129626522p-5, -0x1.881d749b77acdp-5, -0x1.7e474709497a5p-5, -0x1.74a6b1dc19e7p-5, -0x1.6b3ade13767f5p-5, -0x1.6202f5c597f08p-5, -0x1.58fe24322459dp-5, -0x1.502b95d423145p-5, -0x1.478a787324c3fp-5, -0x1.3f19fb33a4434p-5, -0x1.36d94ea6a010ap-5, -0x1.2ec7a4d879f55p-5, -0x1.26e4315f17f98p-5, -0x1.1f2e29675133cp-5, -0x1.17a4c3c1a618ep-5, -0x1.104738ee4bb14p-5, -0x1.0914c3288f532p-5, -0x1.020c9e718f5e5p-5, -0x1.f65c1134ad635p-6, -0x1.e8f0829ab3982p-6, -0x1.dbd5142eb0d38p-6, -0x1.cf084cdf5a3adp-6, -0x1.c288b7800e0e5p-6, -0x1.b654e2d73559dp-6, -0x1.aa6b61ab8ac4cp-6, -0x1.9ecacad058cafp-6, -0x1.9371b930b5b57p-6, -0x1.885ecbd9bd52p-6, -0x1.7d90a603dc1ep-6, -0x1.7305ef1b26f72p-6, -0x1.68bd52c6cece3p-6, -0x1.5eb580efb3df3p-6, -0x1.54ed2dc61ec52p-6, -0x1.4b6311c6ab5fcp-6, -0x1.4215e9be62ba6p-6, -0x1.390476ce16f38p-6, -0x1.302d7e6cfad1p-6, -0x1.278fca6a852efp-6, -0x1.1f2a28efa5368p-6, -0x1.16fb6c7f43244p-6, -0x1.0f026bf627a79p-6, -0x1.073e028a38f64p-6, -0x1.ff5a1f9250a7p-7, -0x1.f09cef2d05551p-7, -0x1.e242445276ebap-7, -0x1.d447f81155d33p-7, -0x1.c6abec121547ap-7, -0x1.b96c0a8ee5fc6p-7, -0x1.ac86464ac5b7bp-7, -0x1.9ff89a87a3e6dp-7, -0x1.93c10afba66b9p-7, -0x1.87dda3c5a529p-7, -0x1.7c4c7960d2754p-7, -0x1.710ba897a85c5p-7, -0x1.66195676167c7p-7, -0x1.5b73b03b1241ap-7, -0x1.5118eb496bf37p-7, -0x1.4707451818fddp-7, -0x1.3d3d0321da8ccp-7, -0x1.33b872d4606d2p-7, -0x1.2a77e97ee248ep-7, -0x1.2179c4403b5a2p-7, -0x1.18bc67f490519p-7, -0x1.103e412285129p-7, -0x1.07fdc3e80afd5p-7, -0x1.fff2d7cd996b7p-8, -0x1.f05f78607fadep-8, -0x1.e13e7e62c34ccp-8, -0x1.d28d0d3c4b9c2p-8, -0x1.c44856b938a91p-8, -0x1.b66d9adfabb62p-8, -0x1.a8fa27c5161f4p-8, -0x1.9beb596319e6fp-8, -0x1.8f3e996c0656bp-8, -0x1.82f15f1efc85fp-8, -0x1.77012f1bc3a86p-8, -0x1.6b6b9b3658f6p-8, -0x1.602e424a430f3p-8, -0x1.5546d00db26e2p-8, -0x1.4ab2fce4782fbp-8, -0x1.40708db2dacd9p-8, -0x1.367d53b0513acp-8, -0x1.2cd72c3a2d1d3p-8, -0x1.237c00a63a0c8p-8, -0x1.1a69c6155b68dp-8, -0x1.119e7d462d023p-8, -0x1.09183267afda4p-8, -0x1.00d4fcec08e9dp-8, -0x1.f1a5feb6ac45ep-9, -0x1.e220ce4d45f28p-9, -0x1.d316d8f60153dp-9, -0x1.c484a42989963p-9, -0x1.b666ca25f6bcdp-9, -0x1.a8b9f9960cf84p-9, -0x1.9b7af538f7d7p-9, -0x1.8ea6938a757cdp-9, -0x1.8239be6b8a15bp-9, -0x1.763172cbc0061p-9, -0x1.6a8ac052f206ap-9, -0x1.5f42c90bbac2dp-9, -0x1.5456c10e7e25cp-9, -0x1.49c3ee2d200b9p-9, -0x1.3f87a79f63d5p-9, -0x1.359f55b009213p-9, -0x1.2c08716a9b8cep-9, -0x1.22c0844a0899bp-9, -0x1.19c527e7f34c6p-9, -0x1.111405acdc968p-9, -0x1.08aad6810d67cp-9, -0x1.0087627e5e8dp-9, -0x1.f14f01459c118p-10, -0x1.e2122d07e8f4p-10, -0x1.d3543006a9dfp-10, -0x1.c5110e071992p-10, -0x1.b744e63ccf2e1p-10, -0x1.a9ebf2b7acd29p-10, -0x1.9d0287d3a5fa8p-10, -0x1.908513aa5137dp-10, -0x1.84701d86550fdp-10, -0x1.78c04558ac983p-10, -0x1.6d72432fcf16fp-10, -0x1.6282e6b0af627p-10, -0x1.57ef1691a506ap-10, -0x1.4db3d01731aa5p-10, -0x1.43ce2692af19ep-10, -0x1.3a3b42e2de132p-10, -0x1.30f862f666b7ep-10, -0x1.2802d9502d5fbp-10, -0x1.1f580c8d9a306p-10, -0x1.16f576eec5f8fp-10, -0x1.0ed8a5e086af8p-10, -0x1.06ff39885ef19p-10, -0x1.fecdc8a4b58bfp-11, -0x1.f01ad5018431ap-11, -0x1.e1e1437b612eep-11, -0x1.d41ce15d14821p-11, -0x1.c6c99d1297c4ap-11, -0x1.b9e3855767c36p-11, -0x1.ad66c86884b22p-11, -0x1.a14fb33a18dd6p-11, -0x1.959ab0b0c2b51p-11, -0x1.8a4448de78bap-11, -0x1.7f49204302cd5p-11, -0x1.74a5f710025aap-11, -0x1.6a57a8707fad6p-11, -0x1.605b29d3f7f13p-11, -0x1.56ad8a3ce1f45p-11, -0x1.4d4bf192a397cp-11, -0x1.44339ff6ece4fp-11, -0x1.3b61ed1e73d3bp-11, -0x1.32d447ad050c5p-11, -0x1.2a883494e2a93p-11, -0x1.227b4e7967f77p-11, -0x1.1aab4514e6b9cp-11, -0x1.1315dca1b8f9dp-11, -0x1.0bb8ed4678179p-11, -0x1.0492628555f09p-11, -0x1.fb40755d120f4p-12, -0x1.edc10cab88f25p-12, -0x1.e0a2cf95641a9p-12, -0x1.d3e22528c563p-12, -0x1.c77b95df59984p-12, -0x1.bb6bcaa0db33cp-12, -0x1.afaf8bcb48423p-12, -0x1.a443c040b2aeap-12, -0x1.99256c7a9e577p-12, -0x1.8e51b1a2cd664p-12, -0x1.83c5ccb17101bp-12, -0x1.797f1590a2e1bp-12, -0x1.6f7afe45154d5p-12, -0x1.65b7121be3e63p-12, -0x1.5c30f4dd72c92p-12, -0x1.52e6620541e55p-12, -0x1.49d52bfea9483p-12, -0x1.40fb3b665f4a8p-12, -0x1.38568e50b94e8p-12, -0x1.2fe5379495f27p-12, -0x1.27a55e1ad2fep-12, -0x1.1f953c324608dp-12, -0x1.17b31ee816866p-12, -0x1.0ffd656473cfep-12, -0x1.0872804b888c4p-12, -0x1.0110f12297a54p-12, -0x1.f3ae937270dcep-13, -0x1.e588572d25d3ap-13, -0x1.d7ac8ed521d2ap-13, -0x1.ca18b905d941p-13, -0x1.bcca70881547cp-13, -0x1.afbf6b4b1aa29p-13, -0x1.a2f5796519d5ap-13, -0x1.966a841ac8597p-13, -0x1.8a1c8cedf69c1p-13, -0x1.7e09acb306e9dp-13, -0x1.723012ad1d9d5p-13, -0x1.668e03b0e2f3cp-13, -0x1.5b21d94db6197p-13, -0x1.4fea00fd3668bp-13, -0x1.44e4fb58ef834p-13, -0x1.3a115b56155d4p-13, -0x1.2f6dc58727affp-13, -0x1.24f8ef635b818p-13, -0x1.1ab19e93ac21fp-13, -0x1.1096a845707bep-13, -0x1.06a6f0825c685p-13, -0x1.f9c2d31b7ac0cp-14, -0x1.e68a268dd6b46p-14, -0x1.d3a1f52173229p-14, -0x1.c108717ba8a2dp-14, -0x1.aebbe603dde16p-14, -0x1.9cbab3cf367b8p-14, -0x1.8b03519573fb2p-14, -0x1.79944aaeba951p-14, -0x1.686c3e1a0ec92p-14, -0x1.5789dd8c4fbap-14, -0x1.46ebec8779a2bp-14, -0x1.36913f79fa5dcp-14, -0x1.2678bae5e3ef5p-14, -0x1.16a1528fca168p-14, -0x1.070a08b517eb2p-14, -0x1.ef63da9356e6fp-15, -0x1.d1303a790f452p-15, -0x1.b3778386d66cp-15, -0x1.96381f5a3d61p-15, -0x1.79708d7495931p-15, -0x1.5d1f61f95320ap-15, -0x1.41434478cd52ep-15, -0x1.25daeec703999p-15, -0x1.0ae52bde14e0ep-15, -0x1.e0c1ad98213fap-16, -0x1.ac99b357a90d4p-16, -0x1.79505951415e2p-16, -0x1.46e3aa1831a21p-16, -0x1.1551c8acc162p-16, -0x1.c931dd802a961p-17, -0x1.696ed6162813bp-17, -0x1.0b573f6f9e31cp-17, -0x1.5dd003735004ep-18, -0x1.5078984ef7961p-19, 0x1.424b0d4aac3c3p-23, 0x1.7242c92b73306p-19, 0x1.64f620a4f5c23p-18, 0x1.06cad3d2713f7p-17, 0x1.598275fabf6f9p-17, 0x1.aaa45dd086f04p-17, 0x1.fa32e23dd33cfp-17, 0x1.2418260340f49p-16, 0x1.4a4f6bd19609ap-16, 0x1.6fc05b817654cp-16, 0x1.946c099a75fbcp-16, 0x1.b85386fd35327p-16, 0x1.db77e1a119edep-16, 0x1.fdda254713abdp-16, 0x1.0fbdae10f0192p-15, 0x1.202e47ba0bf37p-15, 0x1.303f64123a272p-15, 0x1.3ff187a450b4dp-15, 0x1.4f45375379a5ap-15, 0x1.5e3af897adb2dp-15, 0x1.6cd351b5f557fp-15, 0x1.7b0ec9f49ad2cp-15, 0x1.88ede9cb78a96p-15, 0x1.96713b1083b31p-15, 0x1.a3994920be082p-15, 0x1.b066a105b3478p-15, 0x1.bcd9d197a3a8fp-15, 0x1.c8f36b9c812afp-15, 0x1.d4b401e3dd211p-15, 0x1.e01c295fed0acp-15, 0x1.eb2c793bc1b87p-15, 0x1.f5e58aeed073ep-15, 0x1.0023fd26f7a87p-14, 0x1.052a32ccefd64p-14, 0x1.0a05b6c5c036dp-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.7a2ca95b2035ap-1, 0x1.7a24f79f88945p-1, 0x1.7a18ae5c98b6p-1, 0x1.7a0729e7598d9p-1, 0x1.79efc761437cep-1, 0x1.79d1e5dba9f47p-1, 0x1.79ace75a61ccep-1, 0x1.798031b745ed5p-1, 0x1.794b2f687145ep-1, 0x1.790d502b2266cp-1, 0x1.78c6099548a12p-1, 0x1.7874d78fb78ddp-1, 0x1.78193cbaf73ap-1, 0x1.77b2c2c09026cp-1, 0x1.7740fa92a3f9p-1, 0x1.76c37c9b84f15p-1, 0x1.7639e8dee2fd9p-1, 0x1.75a3e70e124bep-1, 0x1.75012690c57f8p-1, 0x1.74515e8389c8dp-1, 0x1.73944dad2c339p-1, 0x1.72c9ba6c1faa7p-1, 0x1.71f1729cdbf5dp-1, 0x1.710b4b7a1e5d3p-1, 0x1.70172177d9f72p-1, 0x1.6f14d819956ffp-1, 0x1.6e0459c4e38dcp-1, 0x1.6ce597908df65p-1, 0x1.6bb88910ff63cp-1, 0x1.6a7d2c226b10cp-1, 0x1.693384b123b5dp-1, 0x1.67db9c8084631p-1, 0x1.667582f0c91d3p-1, 0x1.65014cc428d2cp-1, 0x1.637f13e377074p-1, 0x1.61eef72291d24p-1, 0x1.60511a04d361cp-1, 0x1.5ea5a481bc01cp-1, 0x1.5cecc2ca00a17p-1, 0x1.5b26a50d2ab42p-1, 0x1.59537f3fe5cbp-1, 0x1.577388e3212b4p-1, 0x1.5586fccc1d90fp-1, 0x1.538e18ed7d54cp-1, 0x1.51891e2170058p-1, 0x1.4f784ff505c73p-1, 0x1.4d5bf474be78ap-1, 0x1.4b3453fa5da6p-1, 0x1.4901b8fc0f5e1p-1, 0x1.46c46fdce59ecp-1, 0x1.447cc6beb560cp-1, 0x1.422b0d555932ep-1, 0x1.3fcf94bb5a7eep-1, 0x1.3d6aaf4806f69p-1, 0x1.3afcb066f09f1p-1, 0x1.3885ec70d994ap-1, 0x1.3606b8860addp-1, 0x1.337f6a6a13ddbp-1, 0x1.30f05860f00b1p-1, 0x1.2e59d90d8f4aap-1, 0x1.2bbc4351bed7p-1, 0x1.2917ee2f6a10bp-1, 0x1.266d30ab3303fp-1, 0x1.23bc61b05ab98p-1, 0x1.2105d7f5f399ap-1, 0x1.1e49e9e558631p-1, 0x1.1b88ed81e0026p-1, 0x1.18c33851cbdffp-1, 0x1.15f91f4861af2p-1, 0x1.132af6b134445p-1, 0x1.1059121c89a13p-1, 0x1.0d83c44ce06b3p-1, 0x1.0aab5f25852dbp-1, 0x1.07d0339a38128p-1, 0x1.04f2919fd3728p-1, 0x1.0212c81df33f1p-1, 0x1.fe6249c31e616p-2, 0x1.f89be9210f77fp-2, 0x1.f2d3053c2a2a9p-2, 0x1.ed083280355e8p-2, 0x1.e73c02caa00e7p-2, 0x1.e16f0558798adp-2, 0x1.dba1c6b5fad3ap-2, 0x1.d5d4d0af97d06p-2, 0x1.d008aa448a52dp-2, 0x1.ca3dd79ac38ap-2, 0x1.c474d9f43e2f5p-2, 0x1.beae2fa59e82bp-2, 0x1.b8ea540e1669dp-2, 0x1.b329bf907c8b7p-2, 0x1.ad6ce78d90ae3p-2, 0x1.a7b43e5f5bc4bp-2, 0x1.a20033559e034p-2, 0x1.9c5132b3469a8p-2, 0x1.96a7a5ace30dbp-2, 0x1.9103f267fdca3p-2, 0x1.8b667bfb5fafbp-2, 0x1.85cfa27029f9dp-2, 0x1.803fc2c3c183cp-2, 0x1.7ab736ea7b8e8p-2, 0x1.753655d305724p-2, 0x1.6fbd736a7f5p-2, 0x1.6a4ce0a13acf3p-2, 0x1.64e4eb701d765p-2, 0x1.5f85dede92d57p-2, 0x1.5a30030910b39p-2, 0x1.54e39d281cfadp-2, 0x1.4fa0ef97d39ffp-2, 0x1.4a6839dfdd914p-2, 0x1.4539b8bbd8addp-2, 0x1.4015a62425548p-2, 0x1.3afc3957112ffp-2, 0x1.35eda6e25c9c7p-2, 0x1.30ea20ad1019p-2, 0x1.2bf1d6019f207p-2, 0x1.2704f3984f2d8p-2, 0x1.2223a3a1dcc2bp-2, 0x1.1d4e0dd25d232p-2, 0x1.1884576c50dd1p-2, 0x1.13c6a34be877dp-2, 0x1.0f1511f26fd5p-2, 0x1.0a6fc191e0469p-2, 0x1.05d6ce18932fep-2, 0x1.014a513d0db88p-2, 0x1.f994c513cf879p-3, 0x1.f0ae2ed381f63p-3, 0x1.e7e1066695e93p-3, 0x1.df2d6e6ab141bp-3, 0x1.d6938585f4f38p-3, 0x1.ce13667f3643dp-3, 0x1.c5ad285640d41p-3, 0x1.bd60de5c0c5bfp-3, 0x1.b52e984aed1c8p-3, 0x1.ad16625eb55f2p-3, 0x1.a518456cb90c8p-3, 0x1.9d3446fbbfabep-3, 0x1.956a695bcfae6p-3, 0x1.8dbaabbdd92edp-3, 0x1.86250a4b32f3fp-3, 0x1.7ea97e3cf1a02p-3, 0x1.7747fdf30310cp-3, 0x1.70007d0b22285p-3, 0x1.68d2ec7783596p-3, 0x1.61bf3a955292bp-3, 0x1.5ac55342e747ep-3, 0x1.53e51ff5c2d31p-3, 0x1.4d1e87d03eca1p-3, 0x1.46716fb6fa3dp-3, 0x1.3fddba6600963p-3, 0x1.396348859dcb5p-3, 0x1.3301f8beec2fep-3, 0x1.2cb9a7d0107a4p-3, 0x1.268a30a023197p-3, 0x1.20736c52cb429p-3, 0x1.1a75325b874e6p-3, 0x1.148f589098bb9p-3, 0x1.0ec1b33da64e1p-3, 0x1.090c1535fba99p-3, 0x1.036e4fe67b84dp-3, 0x1.fbd066ce65ba2p-4, 0x1.f0f31d192daebp-4, 0x1.e6445df0d557p-4, 0x1.dbc3c2548ee24p-4, 0x1.d170e11f9ef67p-4, 0x1.c74b4f2908ed4p-4, 0x1.bd529f628eaa2p-4, 0x1.b38662f6eeec2p-4, 0x1.a9e629678389bp-4, 0x1.a07180a91e282p-4, 0x1.9727f54034daep-4, 0x1.8e09125c630ecp-4, 0x1.851461f3348eap-4, 0x1.7c496cda428b4p-4, 0x1.73a7bae0a08a3p-4, 0x1.6b2ed2e79d473p-4, 0x1.62de3afad701ap-4, 0x1.5ab57867a49dfp-4, 0x1.52b40fd3d55cfp-4, 0x1.4ad98553cadbdp-4, 0x1.43255c7fe9d71p-4, 0x1.3b9718896a7ccp-4, 0x1.342e3c4e83e81p-4, 0x1.2cea4a6df8944p-4, 0x1.25cac55a044e6p-4, 0x1.1ecf2f6aadc17p-4, 0x1.17f70aef7e42p-4, 0x1.1141da40a1f3fp-4, 0x1.0aaf1fcf70d28p-4, 0x1.043e5e36671d2p-4, 0x1.fbde309111debp-5, 0x1.ef81a24076173p-5, 0x1.e366185b18e52p-5, 0x1.d78a9a87ed85p-5, 0x1.cbee314f2f4ffp-5, 0x1.c08fe633c9365p-5, 0x1.b56ec3cbb7cf1p-5, 0x1.aa89d5d76caacp-5, 0x1.9fe0295832906p-5, 0x1.9570cca5a0b71p-5, 0x1.8b3acf82175b5p-5, 0x1.813d432e530e1p-5, 0x1.77773a7c1826dp-5, 0x1.6de7c9dffa37p-5, 0x1.648e078248fe9p-5, 0x1.5b690b4f21794p-5, 0x1.5277ef05ae48p-5, 0x1.49b9ce4698831p-5, 0x1.412dc6a1ade2dp-5, 0x1.38d2f7a2c4575p-5, 0x1.30a882dddc75bp-5, 0x1.28ad8bfa87a93p-5, 0x1.20e138be9c01ep-5, 0x1.1942b11831c1fp-5, 0x1.11d11f26f6fa5p-5, 0x1.0a8baf44daf8ap-5, 0x1.0371900e14b19p-5, 0x1.f903e4d11662ap-6, 0x1.eb78131549472p-6, 0x1.de3e1602f7eaap-6, 0x1.d1545d6d1209dp-6, 0x1.c4b95de9706dcp-6, 0x1.b86b90d9f7466p-6, 0x1.ac697474a8e51p-6, 0x1.a0b18bcabdf4bp-6, 0x1.95425ecec05d1p-6, 0x1.8a1a7a59b6e6p-6, 0x1.7f38702f67ee6p-6, 0x1.749ad701b770ap-6, 0x1.6a404a7331ebbp-6, 0x1.60276b18c2c9p-6, 0x1.564ede7a9bdfbp-6, 0x1.4cb54f145ef91p-6, 0x1.43596c548c26fp-6, 0x1.3a39ea9b3653cp-6, 0x1.315583380c1f8p-6, 0x1.28aaf467b9f6ep-6, 0x1.20390150ab04fp-6, 0x1.17fe71ff2ea1bp-6, 0x1.0ffa13610cca1p-6, 0x1.082ab74088eeep-6, 0x1.008f343edcf3ap-6, 0x1.f24ccb9c76492p-7, 0x1.e3de58568c818p-7, 0x1.d5d0d8ac3bb38p-7, 0x1.c8222015fp-7, 0x1.bad00b7493486p-7, 0x1.add8810126fb4p-7, 0x1.a139703b82549p-7, 0x1.94f0d1d872fd8p-7, 0x1.88fca7af18a3dp-7, 0x1.7d5afca5af9bep-7, 0x1.7209e49dae66ep-7, 0x1.67077c5f5d861p-7, 0x1.5c51e984e3f9p-7, 0x1.51e75a64c868p-7, 0x1.47c605fc0cf92p-7, 0x1.3dec2bd7c64a6p-7, 0x1.345813fe55adp-7, 0x1.2b080ed840282p-7, 0x1.21fa7518a8e09p-7, 0x1.192da7a57bb4bp-7, 0x1.10a00f7f4a941p-7, 0x1.08501da8e604fp-7, 0x1.003c4b0eb7bd8p-7, 0x1.f0c630dbc8c23p-8, 0x1.e1861c76768ebp-8, 0x1.d2b57913f4b4fp-8, 0x1.c45175e4d5627p-8, 0x1.b65750f0b904fp-8, 0x1.a8c456e30fdep-8, 0x1.9b95e2d7ab753p-8, 0x1.8ec95e272ed2cp-8, 0x1.825c4033648dep-8, 0x1.764c0e3382d68p-8, 0x1.6a965b0069963p-8, 0x1.5f38c6e0dee0cp-8, 0x1.5430ff55d4f6cp-8, 0x1.497cbee6c2039p-8, 0x1.3f19ccee0d87ep-8, 0x1.3505fd659eb31p-8, 0x1.2b3f30b3902c2p-8, 0x1.21c353770fc3bp-8, 0x1.18905e5573108p-8, 0x1.0fa455c78337dp-8, 0x1.06fd49e708524p-8, 0x1.fd32ac7930bdbp-9, 0x1.eced431b619ap-9, 0x1.dd26bb563add4p-9, 0x1.cddb8e7f66064p-9, 0x1.bf084b3ec3294p-9, 0x1.b0a9952d452f4p-9, 0x1.a2bc24748bccdp-9, 0x1.953cc56f49421p-9, 0x1.8828584a73548p-9, 0x1.7b7bd0a74b54ep-9, 0x1.6f34353e40018p-9, 0x1.634e9f82b1b6dp-9, 0x1.57c83b47a04p-9, 0x1.4c9e466542474p-9, 0x1.41ce105f8ed76p-9, 0x1.3754fa0dbbc01p-9, 0x1.2d307542b79cep-9, 0x1.235e0476a0109p-9, 0x1.19db3a713b85p-9, 0x1.10a5b9f5715f9p-9, 0x1.07bb356dd21c8p-9, 0x1.fe32dd3442803p-10, 0x1.ed7c6c7be3fddp-10, 0x1.dd4ed7a096b98p-10, 0x1.cda5fa58c8292p-10, 0x1.be7dcc86d06d4p-10, 0x1.afd2619eb1a17p-10, 0x1.a19fe80df5dbp-10, 0x1.93e2a8a5b719ap-10, 0x1.86970606dc6b5p-10, 0x1.79b97c10725ecp-10, 0x1.6d469f503e4acp-10, 0x1.613b1c757946p-10, 0x1.5593b7c5b1bp-10, 0x1.4a4d4c93e42dfp-10, 0x1.3f64ccb9b2364p-10, 0x1.34d74012ccafcp-10, 0x1.2aa1c3fa7f804p-10, 0x1.20c18acb65ec2p-10, 0x1.1733db614586ep-10, 0x1.0df6109d0110ep-10, 0x1.050598eab64a8p-10, 0x1.f8bfeb93df4ccp-11, 0x1.e80576afdf6f4p-11, 0x1.d7d71fb8274c2p-11, 0x1.c83056ac8e4bep-11, 0x1.b90cae1f09882p-11, 0x1.aa67da58c3ee3p-11, 0x1.9c3db08340a15p-11, 0x1.8e8a25d57ff61p-11, 0x1.81494ec5200abp-11, 0x1.74775e3b6d478p-11, 0x1.6810a4ce5b589p-11, 0x1.5c118ffd5b98bp-11, 0x1.5076a97206912p-11, 0x1.453c964490e67p-11, 0x1.3a601643fedd1p-11, 0x1.2fde03420af8fp-11, 0x1.25b35062b96aap-11, 0x1.1bdd096f884ccp-11, 0x1.1258522e34968p-11, 0x1.092265bb07614p-11, 0x1.003895e6a1d16p-11, 0x1.ef30952e718d8p-12, 0x1.de7e025a723f8p-12, 0x1.ce5497d68a09bp-12, 0x1.beafa2c302eb1p-12, 0x1.af8a97b84cb23p-12, 0x1.a0e111aa8e573p-12, 0x1.92aed0d389edbp-12, 0x1.84efb9a2c61ecp-12, 0x1.779fd3b3db655p-12, 0x1.6abb48cad1addp-12, 0x1.5e3e63d6767bcp-12, 0x1.52258ff893434p-12, 0x1.466d5793eb30bp-12, 0x1.3b12635feba86p-12, 0x1.30117981f1506p-12, 0x1.25677cac13af3p-12, 0x1.1b116b41543e4p-12, 0x1.110c5e7f25aep-12, 0x1.075589ac283aap-12, 0x1.fbd472981a37ep-13, 0x1.e98fa4b106abap-13, 0x1.d7d7a2fe399bap-13, 0x1.c6a794c81af09p-13, 0x1.b5facdd36c66fp-13, 0x1.a5ccccf9ba4a3p-13, 0x1.96193acb05df1p-13, 0x1.86dbe8387459ap-13, 0x1.7810cd47df3e6p-13, 0x1.69b407d012d69p-13, 0x1.5bc1da3d90626p-13, 0x1.4e36aa5fad4ebp-13, 0x1.410f003de5172p-13, 0x1.344784f52d334p-13, 0x1.27dd019d27052p-13, 0x1.1bcc5e350742fp-13, 0x1.1012a09806b79p-13, 0x1.04aceb793686ap-13, 0x1.f330facd1ed63p-14, 0x1.dda55fa6289d6p-14, 0x1.c8b1ec4fca343p-14, 0x1.b451b9b823ffap-14, 0x1.a080112636599p-14, 0x1.8d386a83bee01p-14, 0x1.7a766ab3d8dc7p-14, 0x1.6835e1f5fa12ep-14, 0x1.5672ca5512279p-14, 0x1.4529462280c19p-14, 0x1.34559e7ca135ap-14, 0x1.23f441e0a2394p-14, 0x1.1401c2c76cb9bp-14, 0x1.047ad64d51c9bp-14, 0x1.eab8a5c88357ep-15, 0x1.cd465e2097b4dp-15, 0x1.b099005c4e018p-15, 0x1.94aaf28709804p-15, 0x1.7976d3b1e6e2cp-15, 0x1.5ef779ba248aap-15, 0x1.4527ef21b5637p-15, 0x1.2c0370f99467fp-15, 0x1.13856cdd5834ap-15, 0x1.f752fdff4f12cp-16, 0x1.c8d6e08e22b06p-16, 0x1.9b8e68f5cd7ddp-16, 0x1.6f71d0ff54f0fp-16, 0x1.4479a14556427p-16, 0x1.1a9eade8c9022p-16, 0x1.e3b426c518e2fp-17, 0x1.944a66e1dec6cp-17, 0x1.46f364410003bp-17, 0x1.f745cbbd6519cp-18, 0x1.649a58290a9bdp-18, 0x1.ab9bad170fffcp-19, 0x1.2b2a35e543e2fp-20, -0x1.e42344905fd92p-21, -0x1.80664d7ceaacep-19, -0x1.4055070839eb8p-18, -0x1.bcfcab19fdc86p-18, -0x1.1b1e0269098c2p-17, -0x1.56122f3adf8aap-17, -0x1.8f63314a5ed7cp-17, -0x1.c71911cfb8c63p-17, -0x1.fd3b9198f8561p-17, -0x1.18e916458d21ap-16, -0x1.32720e7fe8fefp-16, -0x1.4b3c2f8085e49p-16, -0x1.634ad9b196fc2p-16, -0x1.7aa1515f958cep-16, -0x1.9142c026af326p-16, -0x1.a732365113b2cp-16, -0x1.bc72ac26a1477p-16, -0x1.d107032e60796p-16, -0x1.e4f2076245053p-16, -0x1.f8367055a93b3p-16, -0x1.056b712774badp-15, -0x1.0e6af7aa4ba0fp-15, -0x1.171b0c174e138p-15, -0x1.1f7ce6ade3a02p-15, -0x1.2791b7fe0be87p-15, -0x1.2f5aa958164b4p-15, -0x1.36d8dd371ceb3p-15, -0x1.3e0d6fa66f651p-15, -0x1.44f976a21985dp-15, -0x1.4b9e0272b2ad1p-15, -0x1.51fc1e04a1d17p-15, -0x1.5814cf3afd6b2p-15, -0x1.5de9173e2fa01p-15, -0x1.6379f2c68933fp-15, -0x1.68c85a62e406cp-15, -0x1.6dd542bb8115p-15, -0x1.72a19cd13f85fp-15, -0x1.772e56395353fp-15, -0x1.7b7c59559f97p-15, -0x1.7f8c8d89d08b3p-15, -0x1.835fd76d595abp-15, -0x1.86f718fa73eecp-15, -0x1.8a5331ba427cap-15, -0x1.8d74feee2c629p-15, -0x1.905d5bb69947bp-15, -0x1.930d21371eac3p-15, -0x1.958526b842dbcp-15, -0x1.97c641c6e9709p-15, -0x1.99d14651846a9p-15, -0x1.9ba706c324e28p-15, -0x1.9d48541c80993p-15, -0x1.9eb5fe0b0148fp-15, -0x1.9ff0d2fdfd118p-15, -0x1.a0f9a03a20485p-15, -0x1.a1d131eb2b9ecp-15, -0x1.a27853340ee89p-15, -0x1.a2efce3d7d554p-15, -0x1.a3386c430813fp-15, -0x1.a352f59ed4486p-15, -0x1.a34031d3feb02p-15, -0x1.a300e797bcd2dp-15, -0x1.a295dcd94adedp-15, -0x1.a1ffd6c8bbd0ap-15, -0x1.a13f99dcb42ecp-15, -0x1.a055e9d72385ap-15, -0x1.9f4389c9082d8p-15, -0x1.9e093c154d321p-15, -0x1.9ca7c272ce414p-15, -0x1.9b1fdded900a2p-15, -0x1.99724ee736c54p-15, -0x1.979fd516cac2cp-15, -0x1.95a92f87d2308p-15, -0x1.938f1c98d0accp-15, -0x1.915259f9303f9p-15, -0x1.8ef3a4a6a44c1p-15, -0x1.8c73b8ea0e693p-15, -0x1.89d35253ea2b1p-15, -0x1.87132bb8529a6p-15, -0x1.8433ff2a9f2fep-15, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      21, 0x1.ce147ae147ae1p+1, 0x1.54392530775f2p+0, 0x1.95ea20f7b0609p+0, -0x1.ea26dbc2f829cp-3, 
      {{
        {0x1.999999999999ap+0, 0x1.b333333333333p+0, 0x1.5f2faec2a5d24p-2, -0x1.8c371dccf9aa2p-1, 0x1.0748d2b46c4f4p-1, 0x1.becf71f507209p-9}, 
        {0x1.b333333333333p+0, 0x1.ccccccccccccdp+0, 0x1.15365e94c8fa2p-2, -0x1.57818c28082c1p-1, 0x1.07ceddbd029e3p-1, -0x1.1741a7392f5d1p-6}, 
        {0x1.ccccccccccccdp+0, 0x1.e666666666666p+0, 0x1.ab8a2da91420bp-3, -0x1.2301988686034p-1, 0x1.0530a69212f95p-1, -0x1.ad3630419d6bcp-4}, 
        {0x1.e666666666666p+0, 0x1p+1, 0x1.415ec97708091p-3, -0x1.e0c16af1d4564p-2, 0x1.ea306fec06f1p-2, -0x1.2d8e8722a4e73p-3}, 
        {0x1p+1, 0x1.0cccccccccccdp+1, 0x1.d57158e716382p-4, -0x1.833db54ea9e6fp-2, 0x1.bcf4a873a167ep-2, -0x1.6c45498734756p-3}, 
        {0x1.0cccccccccccdp+1, 0x1.199999999999ap+1, 0x1.4b9db4279fc7p-4, -0x1.2fb6c6a3ce3f6p-2, 0x1.8650aa38f3231p-2, -0x1.871f843702318p-3}, 
        {0x1.199999999999ap+1, 0x1.2666666666666p+1, 0x1.c1ebee09e238ep-5, -0x1.cf091c8466d33p-3, 0x1.4ba5899719352p-2, -0x1.87f63a85a0bc3p-3}, 
        {0x1.2666666666666p+1, 0x1.3333333333333p+1, 0x1.21abd6e079f4bp-5, -0x1.5622c3659234cp-3, 0x1.10da34030de5fp-2, -0x1.72e198cc5f4e6p-3}, 
        {0x1.3333333333333p+1, 0x1.4p+1, 0x1.5a52bc6036adep-6, -0x1.e83e198d47f8bp-4, 0x1.b270ba2f32679p-3, -0x1.4d8448e2b3f1bp-3}, 
        {0x1.4p+1, 0x1.4cccccccccccdp+1, 0x1.6e39fbd041287p-7, -0x1.4e7a39d9ecaf9p-4, 0x1.4e62a45196052p-3, -0x1.1d17d5a18f1e8p-3}, 
        {0x1.4cccccccccccdp+1, 0x1.599999999999ap+1, 0x1.272b5e50934cep-8, -0x1.b3a8660b165e7p-5, 0x1.f1b6fba8a2f7fp-4, -0x1.cddf90bbeb32dp-4}, 
        {0x1.599999999999ap+1, 0x1.6666666666666p+1, 0x1.2e336b9caea9fp-12, -0x1.0848c780fce49p-5, 0x1.67271d09dc68bp-4, -0x1.60c19ef617e5cp-4}, 
        {0x1.6666666666666p+1, 0x1.7333333333333p+1, -0x1.197067262bb6ap-9, -0x1.1b93be0d60cefp-6, 0x1.faa6dab344153p-5, -0x1.fa841a9da8373p-5}, 
        {0x1.7333333333333p+1, 0x1.8p+1, -0x1.b3573ad52d5ffp-9, -0x1.bd3abf657c1c7p-8, 0x1.62b26c50c4d14p-5, -0x1.5d7ebd56efabbp-5}, 
        {0x1.8p+1, 0x1.8cccccccccccdp+1, -0x1.d93a1f9c67fb2p-9, 0x1.334136ef5d6a8p-11, 0x1.f3b26706f9d4fp-6, -0x1.f43034e72c92p-6}, 
        {0x1.8cccccccccccdp+1, 0x1.999999999999ap+1, -0x1.ad92495cd557ep-9, 0x1.7a2449faf5e01p-8, 0x1.5da3f0c19fa9p-6, -0x1.f4e1a9f6d55efp-6}, 
        {0x1.999999999999ap+1, 0x1.a666666666666p+1, -0x1.49fa994e472e9p-9, 0x1.2adfc7e514666p-7, 0x1.8ec07b88bf4bep-7, -0x1.25d2e6b4576cdp-5}, 
        {0x1.a666666666666p+1, 0x1.b333333333333p+1, -0x1.8e5c56d9fac21p-10, 0x1.575d9bf507357p-7, 0x1.714e68b5e6561p-10, -0x1.5a339fdfcf88p-4}, 
        {0x1.b333333333333p+1, 0x1.cp+1, -0x1.1c43976fee87ep-11, 0x1.0d828a200565fp-7, -0x1.885c3fb467716p-6, -0x1.7db1a01303521p-5}, 
        {0x1.cp+1, 0x1.ccccccccccccdp+1, -0x1.8414783cf2a29p-18, 0x1.0b0cd1e5abedp-9, -0x1.36b036464e518p-5, 0x1.734c5fa44350ep-3}, 
        {0x1.ccccccccccccdp+1, 0x1.ce147ae147ae1p+1, 0x0p+0, -0x1.c85009e90a5c7p-14, 0x1.0dbd45ca6b535p-6, 0x1.96a9e526148a1p+0}, 
      }}, 
      -0x1.787097dca16bcp+8, 0x1.f973873f3cea1p+13
    }
  };
  // clang-format on
}
SkfData params_mio_0_1_n_o() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.5483708ef4cd6p+0, -0x1.3dde73182d1fdp+0, -0x1.278ea2ed4ddafp+0, -0x1.11a4ba114ed6p+0, -0x1.f85e7eb3f925bp-1, -0x1.ce74f977e007cp-1, -0x1.a5a186c316d4p-1, -0x1.7df5984eed27cp-1, -0x1.577fadd7e0005p-1, -0x1.324b27ba63e8bp-1, -0x1.0e604c280af6bp-1, -0x1.d789759197062p-2, -0x1.94f81634a70a1p-2, -0x1.55107a5efd2b9p-2, -0x1.17d3b26b8f1ddp-2, -0x1.ba7f65c1f7a38p-3, -0x1.4a9e638905619p-3, -0x1.bfe7861c27b29p-4, -0x1.e9a86ec1f94dcp-5, -0x1.9e8c1c16a5f0dp-7, 0x1.06abba6049193p-5, 0x1.30da978a57272p-4, 0x1.d4eceeda4dcp-4, 0x1.37eaa5b9f2e6ep-3, 0x1.80eb80af1ded6p-3, 0x1.c59bdc7283779p-3, 0x1.030fa98f5cb42p-2, 0x1.214cf2f2ccba4p-2, 0x1.3d97ddb23e06cp-2, 0x1.58028094f4fbp-2, 0x1.709ef1c2247dfp-2, 0x1.877f44198bea3p-2, 0x1.9cb57f445a49fp-2, 0x1.b05390d60e857p-2, 0x1.c26b38538f71bp-2, 0x1.d30df0fdb54cp-2, 0x1.e24cdbf705ccdp-2, 0x1.f038ad17b65a6p-2, 0x1.fce19cb9f2a4ep-2, 0x1.042bb02ecebbap-1, 0x1.0954955c15d5ep-1, 0x1.0df2d8ec64e77p-1, 0x1.120d9c260b097p-1, 0x1.15abcab63dac2p-1, 0x1.18d41cd00e6dap-1, 0x1.1b8d1673645c9p-1, 0x1.1ddd040f75976p-1, 0x1.1fc9f58abf234p-1, 0x1.2159b9260f297p-1, 0x1.2291d7a135d9ep-1, 0x1.23779298d57d4p-1, 0x1.240fe5768af87p-1, 0x1.245f88b216c7cp-1, 0x1.246af6b0f792ep-1, 0x1.2436715c7cd86p-1, 0x1.23c6078c8c8a9p-1, 0x1.231d9998d412ap-1, 0x1.2240dcadace56p-1, 0x1.21335cd02da6ap-1, 0x1.1ff87dbd3f3cp-1, 0x1.1e937af905d95p-1, 0x1.1d0767749fa51p-1, 0x1.1b572d2b7eeaap-1, 0x1.19864b67a57cfp-1, 0x1.179663fa04fb7p-1, 0x1.1589fe36d0422p-1, 0x1.13635b51035c2p-1, 0x1.11249cac5f8a9p-1, 0x1.0ecfc5deaea53p-1, 0x1.0c66be61c2fe4p-1, 0x1.09eb52f961a6p-1, 0x1.075f36d8b61b7p-1, 0x1.04c40497fa2fep-1, 0x1.021b3f0c86b77p-1, 0x1.fecca4286b2e8p-2, 0x1.f94d26c38d4c8p-2, 0x1.f3ba86a786343p-2, 0x1.ee171bb643ec8p-2, 0x1.e86516e603cc5p-2, 0x1.e2a6844f66234p-2, 0x1.dcdd4d51f29dap-2, 0x1.d70b3ac40332fp-2, 0x1.d131f721cad2cp-2, 0x1.cb5310af63fb8p-2, 0x1.c56ffb833a48ep-2, 0x1.bf8a13704c3p-2, 0x1.b9a29dca84e1cp-2, 0x1.b3bacb0202018p-2, 0x1.add3b814b089ep-2, 0x1.a7ee6fd793848p-2, 0x1.a20bec1a9a88fp-2, 0x1.9c2d16aadcc63p-2, 0x1.9652ca37b55bep-2, 0x1.907dd31f66aefp-2, 0x1.8aaef027fff2dp-2, 0x1.84e6d328fd464p-2, 0x1.7f2621a9b134fp-2, 0x1.796d757800bdp-2, 0x1.73bd5d3a39e29p-2, 0x1.6e165cfe1c807p-2, 0x1.6878eec648c2ep-2, 0x1.62e58316a38ccp-2, 0x1.5d5c817f9acabp-2, 0x1.57de4927b73fp-2, 0x1.526b3152ac309p-2, 0x1.4d0389e4ecef8p-2, 0x1.47a79be2cdef6p-2, 0x1.4257a9ea5bbap-2, 0x1.3d13f0a725c46p-2, 0x1.37dca73f77e49p-2, 0x1.32b1ffba9788ep-2, 0x1.2d94275fce971p-2, 0x1.2883470e2217p-2, 0x1.237f838cbf367p-2, 0x1.1e88fdd43a5b6p-2, 0x1.199fd350e3ffap-2, 0x1.14c41e1e820efp-2, 0x1.0ff5f53de79c3p-2, 0x1.0b356cc4e8b4fp-2, 0x1.068296093d395p-2, 0x1.01dd7fc6fab9cp-2, 0x1.fa8c6c86642cap-3, 0x1.f17986d6b70bfp-3, 0x1.e8825de424a3fp-3, 0x1.dfa6fcd344e9bp-3, 0x1.d6e76ab9aa5dcp-3, 0x1.ce43aacc9cbc1p-3, 0x1.c5bbbc8d92a57p-3, 0x1.bd4f9bf4c4dccp-3, 0x1.b4ff419a3bd98p-3, 0x1.accaa2dd848b9p-3, 0x1.a4b1b20c4ac44p-3, 0x1.9cb45e87dcc96p-3, 0x1.94d294e9cbf7fp-3, 0x1.8d0c3f279c635p-3, 0x1.856144b597ac7p-3, 0x1.7dd18aa8bce85p-3, 0x1.765cf3d7c68d1p-3, 0x1.6f0360fb35ae5p-3, 0x1.67c4b0cc61a82p-3, 0x1.60a0c02359344p-3, 0x1.59976a13aa05ap-3, 0x1.52a88807cc10ap-3, 0x1.4bd3f1db467d9p-3, 0x1.45197df3624a4p-3, 0x1.3e7901566a9b1p-3, 0x1.37f24fc17817bp-3, 0x1.31859e908542ep-3, 0x1.2b31de89a8aa1p-3, 0x1.24f75d6c86754p-3, 0x1.1ed5eb380b0cap-3, 0x1.18cd56ebbe5d5p-3, 0x1.12dd6e9285073p-3, 0x1.0d05ff4d1f913p-3, 0x1.0746d55c74d7fp-3, 0x1.019fbc2bc75fp-3, 0x1.f820fcb5cab79p-4, 0x1.ed31cb90a52f8p-4, 0x1.e2717736f9c25p-4, 0x1.d7df909df450dp-4, 0x1.cd7ba7757ba3cp-4, 0x1.c3454a3cbd7c2p-4, 0x1.b93c06567b4e5p-4, 0x1.af5f681d4ff41p-4, 0x1.a5aefaf7a472p-4, 0x1.9c2a496b53d02p-4, 0x1.92d0dd30fb08ap-4, 0x1.89a23f46b90edp-4, 0x1.809df8027c231p-4, 0x1.77c38f23b483cp-4, 0x1.6f128be46e3dfp-4, 0x1.668a7509c9ac4p-4, 0x1.5e2ad0f3cfd31p-4, 0x1.55f325aca3211p-4, 0x1.4de2f8f70b595p-4, 0x1.45f9d05c678ecp-4, 0x1.3e37313a04c8cp-4, 0x1.369aa0cde628ep-4, 0x1.2f23a44305c78p-4, 0x1.27d1c0bd15d8ap-4, 0x1.20a47b63cf773p-4, 0x1.199b596dd5125p-4, 0x1.12b5e02b3715fp-4, 0x1.0bf3950f9f08fp-4, 0x1.0553fdbc30401p-4, 0x1.fdad401241961p-5, 0x1.f0f6041e304c4p-5, 0x1.e4815460a9249p-5, 0x1.d84e3e43466e2p-5, 0x1.cc5bcfe6550dcp-5, 0x1.c0a918321ceddp-5, 0x1.b53526e7dfe4p-5, 0x1.a9ff0cb295643p-5, 0x1.9f05db3762a4ep-5, 0x1.9448a525d206ep-5, 0x1.89c67e47c8b0fp-5, 0x1.7f7e7b913abadp-5, 0x1.756fb32f96285p-5, 0x1.6b993c98e83b3p-5, 0x1.61fa309ab17d9p-5, 0x1.5891a9686b569p-5, 0x1.4f5ec2a9b4f52p-5, 0x1.4660998828442p-5, 0x1.3d964cbcca3edp-5, 0x1.34fefc9d1dad3p-5, 0x1.2c99cb27c7c06p-5, 0x1.2465dc10cce3fp-5, 0x1.1c6254cd5e057p-5, 0x1.148e5c9f321bcp-5, 0x1.0ce91c9f6c454p-5, 0x1.0571bfc90cbd3p-5, 0x1.fc4ee605cf72ep-6, 0x1.ee12ca524c20ap-6, 0x1.e02d8e2c94be4p-6, 0x1.d29d97577c6bdp-6, 0x1.c5614fb3c9a52p-6, 0x1.b877254f6e928p-6, 0x1.abdd8a73cbc43p-6, 0x1.9f92f5b30ab58p-6, 0x1.9395e1f49019p-6, 0x1.87e4ce807d7bp-6, 0x1.7c7e3f0a5f155p-6, 0x1.7160bbbaed31dp-6, 0x1.668ad138f8563p-6, 0x1.5bfb10b18308p-6, 0x1.51b00fdf02d4cp-6, 0x1.47a8690fdc51ap-6, 0x1.3de2bb2c10ecfp-6, 0x1.345da9ba2f74bp-6, 0x1.2b17dce38265cp-6, 0x1.2210017787f9ap-6, 0x1.1944c8eeb7776p-6, 0x1.10b4e96c92602p-6, 0x1.085f1dc1103d5p-6, 0x1.0042256962f4fp-6, 0x1.f0b9892031211p-7, 0x1.e15b881944688p-7, 0x1.d267e2c484c62p-7, 0x1.c3dc3d7cd060dp-7, 0x1.b5b645ecf2f96p-7, 0x1.a7f3b30a22513p-7, 0x1.9a92450d79052p-7, 0x1.8d8fc56c57ee3p-7, 0x1.80ea06cfd4088p-7, 0x1.749ee50b3519ap-7, 0x1.68ac451179d35p-7, 0x1.5d1014e9f7f78p-7, 0x1.51c84ba427f96p-7, 0x1.46d2e94a8d2f4p-7, 0x1.3c2df6d4d2ef6p-7, 0x1.31d786192af95p-7, 0x1.27cdb1bcdf85fp-7, 0x1.1e0e9d2431566p-7, 0x1.149874618ae7cp-7, 0x1.0b696c23fcd61p-7, 0x1.027fc1a52b417p-7, 0x1.f3b3752d1cbfbp-8, 0x1.e2eb4a1c57e7bp-8, 0x1.d2a3aee578906p-8, 0x1.c2d960ceaa95ep-8, 0x1.b3892d6d1a912p-8, 0x1.a4aff27a5a681p-8, 0x1.964a9da8e618p-8, 0x1.88562c77ccaafp-8, 0x1.7acfac05ad7ap-8, 0x1.6db438e2e71d4p-8, 0x1.6100fee326334p-8, 0x1.54b338ee5f41dp-8, 0x1.48c830d12ee74p-8, 0x1.3d3d3f0cbba9ep-8, 0x1.320fcaa62778bp-8, 0x1.273d48f589d37p-8, 0x1.1cc33d7494192p-8, 0x1.129f398cdffdp-8, 0x1.08cedc65f7551p-8, 0x1.fe9fa56638072p-9, 0x1.ec3fad01b1fa4p-9, 0x1.da795e04edc2cp-9, 0x1.c94860be7c616p-9, 0x1.b8a876ff71e5p-9, 0x1.a8957bb5b0fabp-9, 0x1.990b628640a0ap-9, 0x1.8a0637679d57ap-9, 0x1.7b821e3c33fd9p-9, 0x1.6d7b526d0da16p-9, 0x1.5fee26849e3eap-9, 0x1.52d703c9f4dcbp-9, 0x1.463269dc3c2edp-9, 0x1.39fcee4e8a03ap-9, 0x1.2e333c446009cp-9, 0x1.22d2140e6c30bp-9, 0x1.17d64ac7f54d8p-9, 0x1.0d3cc9f4d47bfp-9, 0x1.03028f2023c4dp-9, 0x1.f24956f715e9cp-10, 0x1.df4086fe662adp-10, 0x1.cce51d1566907p-10, 0x1.bb31ad0d1a617p-10, 0x1.aa20ef0d2efc1p-10, 0x1.99adbeda97c6cp-10, 0x1.89d31b1fc3f4fp-10, 0x1.7a8c24b6c0508p-10, 0x1.6bd41df5528adp-10, 0x1.5da669fae10bfp-10, 0x1.4ffe8c0056895p-10, 0x1.42d826aa31cf2p-10, 0x1.362efb5c69e89p-10, 0x1.29fee990b6c61p-10, 0x1.1e43ee2eb744fp-10, 0x1.12fa22e672b28p-10, 0x1.081dbd8cfa1ecp-10, 0x1.fb561ef64bc6ap-11, 0x1.e73d09ddbece6p-11, 0x1.d3e948dcbca91p-11, 0x1.c1541c5bbcae2p-11, 0x1.af1ae204421ep-11, 0x1.9df0848cdadefp-11, 0x1.8d71ba5a5d029p-11, 0x1.7d98847f8bf6cp-11, 0x1.6e5f11a04644bp-11, 0x1.5fbfbcd9da0afp-11, 0x1.51b50cb00edap-11, 0x1.4439b1ff13cbap-11, 0x1.374886f1bba18p-11, 0x1.2adc8dfcaf21dp-11, 0x1.1ef0f0ddf4e95p-11, 0x1.1380ffa17d386p-11, 0x1.08882fa9e0c15p-11, 0x1.fc04357ba8cf9p-12, 0x1.e7d4fc343da4p-12, 0x1.d47a73101f266p-12, 0x1.c1ec9cf0f1372p-12, 0x1.b023be45a51f5p-12, 0x1.9f185b52343a8p-12, 0x1.8ec3367f803e8p-12, 0x1.7f1d4eb3e0b08p-12, 0x1.701fddb47d804p-12, 0x1.61c4568e99a9dp-12, 0x1.540464097d811p-12, 0x1.46d9e72099861p-12, 0x1.3a3ef585b2771p-12, 0x1.2e2dd82b05f81p-12, 0x1.22a109d57d6cbp-12, 0x1.179335b6a18ecp-12, 0x1.0cff360e3da41p-12, 0x1.02e012d3f006cp-12, 0x1.f26200cfc495ap-13, 0x1.dfdabc9624c68p-13, 0x1.ce216bbe0a499p-13, 0x1.bd2d725985404p-13, 0x1.acf68364e0944p-13, 0x1.9d749e715ef51p-13, 0x1.8ea00d5d17855p-13, 0x1.807162181ba63p-13, 0x1.72e17477b50bbp-13, 0x1.65e960165e9eep-13, 0x1.59828240f2ad7p-13, 0x1.4da677f0c0f0cp-13, 0x1.424f1bd263e3bp-13, 0x1.37768458a8771p-13, 0x1.2d1701db7aa24p-13, 0x1.232b1cc3bd655p-13, 0x1.19ad93c217a29p-13, 0x1.10995a11815f9p-13, 0x1.07e995c5cf949p-13, 0x1.ff333c494d049p-14, 0x1.ef49f413e5957p-14, 0x1.e00ebcadd4c84p-14, 0x1.d17958d7b5843p-14, 0x1.c381e1593af29p-14, 0x1.b620c21c87bfp-14, 0x1.a94eb760880c5p-14, 0x1.9d04cafcb8dc4p-14, 0x1.913c51b8ad678p-14, 0x1.85eee8b74f561p-14, 0x1.7b1672f2ec725p-14, 0x1.70ad16cdda4a5p-14, 0x1.66ad3bb247863p-14, 0x1.5d1187c4f9509p-14, 0x1.53d4dda8eac2ep-14, 0x1.4af25a52daf5bp-14, 0x1.426552ed9e18p-14, 0x1.3a2952ce3af0fp-14, 0x1.323a1977b658dp-14, 0x1.2a9398ad0a41bp-14, 0x1.2331f2942c56fp-14, 0x1.1c1177e4b0a1p-14, 0x1.152ea62713448p-14, 0x1.0e8626001ce9bp-14, 0x1.0814c98ab869ep-14, 0x1.01d78abd90d24p-14, 0x1.f79713c077b7dp-15, 0x1.ebdc1810dd708p-15, 0x1.e078f351e2621p-15, 0x1.d568ba4db8588p-15, 0x1.caa6c2fdd2d46p-15, 0x1.c02ea1e537043p-15, 0x1.b5fc27855dfaep-15, 0x1.ac0b5de640f06p-15, 0x1.a2588632f833p-15, 0x1.98e0166b5659cp-15, 0x1.8f9eb7298498bp-15, 0x1.86914179af04dp-15, 0x1.7db4bcc4036f3p-15, 0x1.75065ccbd6a7ap-15, 0x1.6c837fbb79bf2p-15, 0x1.6429ac44f92aep-15, 0x1.5bf68fd32f3edp-15, 0x1.53e7fcc7d41d1p-15, 0x1.4bfbe8cdfbf27p-15, 0x1.44306b37f67cfp-15, 0x1.3c83bb6e12bf4p-15, 0x1.34f42f6a5a096p-15, 0x1.2d803a44bc9c4p-15, 0x1.26266ac995b29p-15, 0x1.1ee56a1fee14ap-15, 0x1.17bbfa7b950d6p-15, 0x1.10a8f5dbe8a67p-15, 0x1.09ab4cd63538fp-15, 0x1.02c2056c479c1p-15, 0x1.f7d873dcd8492p-16, 0x1.ea522fced98a4p-16, 0x1.dcefbe2afde4bp-16, 0x1.cfafc0d671f0dp-16, 0x1.c290fa3601e11p-16, 0x1.b5924b5c302c6p-16, 0x1.a8b2b2457f879p-16, 0x1.9bf148296f435p-16, 0x1.8f4d3fdd01933p-16, 0x1.82c5e4451206ap-16, 0x1.765a96daec385p-16, 0x1.6a0ace41351d2p-16, 0x1.5dd614e727552p-16, 0x1.51bc07b6fc2ccp-16, 0x1.45bc54de1a35bp-16, 0x1.39d6ba9730bf7p-16, 0x1.2e0b060a4cd95p-16, 0x1.2259122fc2823p-16, 0x1.16c0c6cf2f5aep-16, 0x1.0b42177e35491p-16, 0x1.ffba055afa9e6p-17, 0x1.e9232189b5867p-17, 0x1.d2bfa68febbd1p-17, 0x1.bc8fc805eaeaep-17, 0x1.a693c88ed122cp-17, 0x1.90cbf85bd98b4p-17, 0x1.7b38b3c591ff6p-17, 0x1.65da61fab5e9p-17, 0x1.50b173b7e299ap-17, 0x1.3bbe621d55558p-17, 0x1.2701ad8995cd8p-17, 0x1.127bdc8730ap-17, 0x1.fc5af595750dbp-18, 0x1.d42e30815b9c7p-18, 0x1.ac729044300a3p-18, 0x1.8529403edc5b9p-18, 0x1.5e536f2f3ee01p-18, 0x1.37f24da20ba58p-18, 0x1.12070c944a073p-18, 0x1.d925b83c1645dp-19, 0x1.8f2dd471ed04dp-19, 0x1.4628c333d1a25p-19, 0x1.fc31a27cc2948p-20, 0x1.6e0081192131bp-20, 0x1.c3851aa97f99ap-21, 0x1.5df0569393596p-22, -0x1.8675b986b0b4dp-23, -0x1.6e3399ea33629p-21, -0x1.3b6144b807ac6p-20, -0x1.bda15f577b5f7p-20, -0x1.1eeb43bddda1p-19, -0x1.5dfea9f5fee0bp-19, -0x1.9c094498ac375p-19, -0x1.d9098da1f8215p-19, -0x1.0a7f0bc1afb82p-18, -0x1.27f2c6dbde3fp-18, -0x1.44df5ab013283p-18, -0x1.614436ea201eap-18, -0x1.7d20d86e743d9p-18, -0x1.9874c98e21764p-18, -0x1.b33fa230bafc3p-18, -0x1.cd8107e6a2747p-18, -0x1.e738ae02b5a12p-18, -0x1.00332acbbab91p-17, -0x1.0c84e6c9d7c03p-17, -0x1.18917956412d8p-17, -0x1.2458d7acf2064p-17, -0x1.2fdafde72aa2cp-17, -0x1.3b17eeeee30e6p-17, -0x1.460fb4772130ap-17, -0x1.50c25ee8f4283p-17, -0x1.5b3005567d2d6p-17, -0x1.6558c56607feep-17, -0x1.6f3cc33ec9916p-17, -0x1.78dc29709bd46p-17, -0x1.823728e2e7cd3p-17, -0x1.8b4df8b0a9bf2p-17, -0x1.9420d6160fcefp-17, -0x1.9cb0044efe0a2p-17, -0x1.a4fbcc7c84d04p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.10a1b3ca099a1p+1, -0x1.0b779d66260d1p+1, -0x1.06430018db37ap+1, -0x1.01074a2bca746p+1, -0x1.f78f53f2fc5f1p+0, -0x1.ed0e172e172f1p+0, -0x1.e29041e4fb762p+0, -0x1.d81ac7b806d89p+0, -0x1.cdb2291adf071p+0, -0x1.c35a7afe6da73p+0, -0x1.b9177005780f8p+0, -0x1.aeec5e75fd639p+0, -0x1.a4dc4638dc8fdp+0, -0x1.9ae9d605aac1cp+0, -0x1.91176ecd352adp+0, -0x1.87672797c932dp+0, -0x1.7ddad361f2b9p+0, -0x1.747408004fd0cp+0, -0x1.6b3424223eff7p+0, -0x1.621c539183294p+0, -0x1.592d924a0ba2cp+0, -0x1.5068b6d8618fdp+0, -0x1.47ce5929e5733p+0, -0x1.3f5efa935245dp+0, -0x1.371af607afdccp+0, -0x1.2f0287068dab1p+0, -0x1.2715cbef820b4p+0, -0x1.1f54c7fee3004p+0, -0x1.17bf659e629fep+0, -0x1.10557919242d9p+0, -0x1.0916c3325a8ecp+0, -0x1.0202f32743f3p+0, -0x1.f633503d1a90cp-1, -0x1.e8b4e4d3f0376p-1, -0x1.db89a9fd9e3d3p-1, -0x1.ceb08e7a7bb2ep-1, -0x1.c2286d9d806eap-1, -0x1.b5f0128fc1166p-1, -0x1.aa063ab0520fdp-1, -0x1.9e69971b3eb9ep-1, -0x1.9318cdbfe92bep-1, -0x1.88127a86c63fbp-1, -0x1.7d5530d9fa90fp-1, -0x1.72df7d97f8179p-1, -0x1.68afe93631736p-1, -0x1.5ec4f9bfb595p-1, -0x1.551d346aecd8dp-1, -0x1.4bb71eab0cbb4p-1, -0x1.42913ece7e7f6p-1, -0x1.39aa1c59b2c62p-1, -0x1.31004055f403ap-1, -0x1.289235bfd523ap-1, -0x1.205e8a28f1ce1p-1, -0x1.1863ce86dca72p-1, -0x1.10a09815a23bdp-1, -0x1.0913812c06796p-1, -0x1.01bb29e34f4c2p-1, -0x1.f52c7101e3c65p-2, -0x1.e746b341aa013p-2, -0x1.d9c2805b0653fp-2, -0x1.cc9d4a79c99dp-2, -0x1.bfd48fd4217b2p-2, -0x1.b365da80c5b26p-2, -0x1.a74ecc2140d94p-2, -0x1.9b8ce2364a30dp-2, -0x1.901de3d732657p-2, -0x1.84ff8fde991d5p-2, -0x1.7a2fb2be33508p-2, -0x1.6fac267cc3e07p-2, -0x1.6572d2a34917bp-2, -0x1.5b81ac1afd5efp-2, -0x1.51d6b4ffe3c3fp-2, -0x1.486ffc6c858eap-2, -0x1.3f4b9e4350e85p-2, -0x1.3667c2f8e25d1p-2, -0x1.2dc29f60d7f5ap-2, -0x1.255a747d27bf8p-2, -0x1.1d2d8f4eb612bp-2, -0x1.153a48a543d59p-2, -0x1.0d7f04ecc0b0fp-2, -0x1.05fa33f6981efp-2, -0x1.fd54a17cb0bcbp-3, -0x1.ef1bc253d9cb5p-3, -0x1.e146eb8cd194bp-3, -0x1.d3d353059b688p-3, -0x1.c6be42d4c00e3p-3, -0x1.ba0518bfe2acep-3, -0x1.ada545b62995ap-3, -0x1.a19c4d4f91c66p-3, -0x1.95e7c5510ad74p-3, -0x1.8a855534a61f8p-3, -0x1.7f72b5b483c82p-3, -0x1.74adb0572b256p-3, -0x1.6a341efc288e1p-3, -0x1.6003eb6847cd4p-3, -0x1.561b0ed135868p-3, -0x1.4c779168f9055p-3, -0x1.431789e9f9e8p-3, -0x1.39f91d24a4f75p-3, -0x1.311a7d8fa919cp-3, -0x1.2879eadbcb76bp-3, -0x1.2015b18bf4a4fp-3, -0x1.17ec2a91d7a49p-3, -0x1.0ffbbaef3d33p-3, -0x1.0842d35bbc0f2p-3, -0x1.00bfefee55d63p-3, -0x1.f2e32f94ec95cp-4, -0x1.e4acb99f3194ep-4, -0x1.d6d9b6961e3a4p-4, -0x1.c9677356a9f5dp-4, -0x1.bc53506935e3ep-4, -0x1.af9ac16c9475dp-4, -0x1.a33b4c82f15f1p-4, -0x1.973289c0ab8afp-4, -0x1.8b7e229d86165p-4, -0x1.801bd168b2211p-4, -0x1.750960c0342d8p-4, -0x1.6a44ab0c3af0bp-4, -0x1.5fcb99fedc626p-4, -0x1.559c26189a849p-4, -0x1.4bb45631e993fp-4, -0x1.42123f09c8e1p-4, -0x1.38b402d964499p-4, -0x1.2f97d0ec85adp-4, -0x1.26bbe53e92ce4p-4, -0x1.1e1e881bb1c73p-4, -0x1.15be0dc5badb9p-4, -0x1.0d98d61c7ea45p-4, -0x1.05ad4c490a309p-4, -0x1.fbf3ccd7116d6p-5, -0x1.ecfa4a96f565p-5, -0x1.de6b2814090c2p-5, -0x1.d0438fac58fe4p-5, -0x1.c280bf45d9fb6p-5, -0x1.b52007be1c215p-5, -0x1.a81ecc5d87706p-5, -0x1.9b7a824e33e6cp-5, -0x1.8f30b01670e76p-5, -0x1.833eed1719795p-5, -0x1.77a2e10dcf1p-5, -0x1.6c5a439b3213ep-5, -0x1.6162dbcd1edc4p-5, -0x1.56ba7facfd2bdp-5, -0x1.4c5f13d21369ep-5, -0x1.424e8af7ca3dbp-5, -0x1.3886e597cc23dp-5, -0x1.2f063187d6118p-5, -0x1.25ca8d2bdca1ep-5, -0x1.1cd217ce060ap-5, -0x1.141b097929903p-5, -0x1.0ba3a1f22997ap-5, -0x1.036a2ca33a273p-5, -0x1.f6da0096058fdp-6, -0x1.e754fd5c9c38bp-6, -0x1.d842289847523p-6, -0x1.c99e7028854f4p-6, -0x1.bb66d63faa26fp-6, -0x1.ad9870d8a4ffep-6, -0x1.a0306930ed211p-6, -0x1.932bfb466b3bfp-6, -0x1.8688755940cc7p-6, -0x1.7a43377146282p-6, -0x1.6e59b2e718876p-6, -0x1.62c969f0a01cdp-6, -0x1.578fef30e7864p-6, -0x1.4caae54b3468p-6, -0x1.4217fe7936fa3p-6, -0x1.37d4fc2442755p-6, -0x1.2ddfae8171831p-6, -0x1.2435f4309d5ffp-6, -0x1.1ad5b9de14ac1p-6, -0x1.11bcf9e6f512cp-6, -0x1.08e9bc001dedbp-6, -0x1.005a14df9313cp-6, -0x1.f0184bd0a3e14p-7, -0x1.dffc39b0e18f1p-7, -0x1.d05c66f3039a4p-7, -0x1.c1355ea6401d5p-7, -0x1.b283c2bf291d4p-7, -0x1.a4444b850c714p-7, -0x1.9673c70338162p-7, -0x1.890f187e0dd14p-7, -0x1.7c1337ebc0236p-7, -0x1.6f7d3170a91p-7, -0x1.634a24def45b1p-7, -0x1.57774539c4a4cp-7, -0x1.4c01d83b77e92p-7, -0x1.40e735df19e1ep-7, -0x1.3624c7ecdaa2bp-7, -0x1.2bb8098979cfcp-7, -0x1.219e86c88a91dp-7, -0x1.17d5dc418475p-7, -0x1.0e5bb6a77a11ep-7, -0x1.052dd2637ab69p-7, -0x1.f893f662e1cc7p-8, -0x1.e75c177ef91cfp-8, -0x1.d6afda9f6524ap-8, -0x1.c68b2eb859f4bp-8, -0x1.b6ea1e7ab194dp-8, -0x1.a7c8cfa4f7b6ap-8, -0x1.99238258a6651p-8, -0x1.8af690738d7dbp-8, -0x1.7d3e6ced3bdc4p-8, -0x1.6ff7a3384d39bp-8, -0x1.631ed6a785aadp-8, -0x1.56b0c1d69f705p-8, -0x1.4aaa3616ac6a6p-8, -0x1.3f081addf26a6p-8, -0x1.33c76d3b3d09dp-8, -0x1.28e53f4c69124p-8, -0x1.1e5eb7b849d4bp-8, -0x1.1431112b97a8p-8, -0x1.0a5999d8ee4ffp-8, -0x1.00d5b2fbf0b09p-8, -0x1.ef45a0be333bfp-9, -0x1.dd7cefc9446cp-9, -0x1.cc4c822405835p-9, -0x1.bbafa93c89752p-9, -0x1.aba1d805c1fb3p-9, -0x1.9c1ea21e9fc5bp-9, -0x1.8d21bafe17cbap-9, -0x1.7ea6f524186d3p-9, -0x1.70aa414f53642p-9, -0x1.6327adb7c56b9p-9, -0x1.561b654dc8666p-9, -0x1.4981aefd9d6f3p-9, -0x1.3d56ecf763005p-9, -0x1.31979bfb556cp-9, -0x1.264052aa347e7p-9, -0x1.1b4dc0d9c5d6ap-9, -0x1.10bcaeed58612p-9, -0x1.0689fd322def4p-9, -0x1.f965467f776e4p-10, -0x1.e6675eb7422cdp-10, -0x1.d4148bc2adaf5p-10, -0x1.c267415a6e8e6p-10, -0x1.b15a1d16ebec3p-10, -0x1.a0e7e5542c744p-10, -0x1.910b881cc0695p-10, -0x1.81c01a1b74f65p-10, -0x1.7300d5930bbb6p-10, -0x1.64c9195c7ed1p-10, -0x1.571467eb34c29p-10, -0x1.49de66575068dp-10, -0x1.3d22db6df0bb9p-10, -0x1.30ddaec70c28bp-10, -0x1.250ae7e0ebf23p-10, -0x1.19a6ad414f744p-10, -0x1.0ead439babb7p-10, -0x1.041b0cfd1d7e4p-10, -0x1.f3d90ffa1021ap-11, -0x1.e03c9de627eccp-11, -0x1.cd5a2e640698dp-11, -0x1.bb2b608e90e18p-11, -0x1.a9aa067f2393bp-11, -0x1.98d023df4c219p-11, -0x1.8897ec840c6abp-11, -0x1.78fbc311b9738p-11, -0x1.69f637a8c8241p-11, -0x1.5b82069aa7c63p-11, -0x1.4d9a17275037ep-11, -0x1.40397a42c1f1ap-11, -0x1.335b696266158p-11, -0x1.26fb455277f6ep-11, -0x1.1b149512ade3fp-11, -0x1.0fa304ba3eb0dp-11, -0x1.04a264640e744p-11, -0x1.f41d4e40c0179p-12, -0x1.dfc7c3dea13fp-12, -0x1.cc3c95811fbcep-12, -0x1.b9746ef55b03ep-12, -0x1.a7683a10ddbfep-12, -0x1.96111cd92a84p-12, -0x1.856877b8761e3p-12, -0x1.7567e3bd2a9f7p-12, -0x1.660930e662e51p-12, -0x1.5746647b1b797p-12, -0x1.4919b76dc022dp-12, -0x1.3b7d94c9f1225p-12, -0x1.2e6c982d3ea53p-12, -0x1.21e18c4aa8695p-12, -0x1.15d76978663p-12, -0x1.0a4954479082dp-12, -0x1.fe65384be74c8p-13, -0x1.e91d7412305ecp-13, -0x1.d4b29e45fdc37p-13, -0x1.c11c473fc0651p-13, -0x1.ae524ad9ca2a7p-13, -0x1.9c4cce0f787ccp-13, -0x1.8b043cac9c869p-13, -0x1.7a71470e5b85fp-13, -0x1.6a8cdff420b55p-13, -0x1.5b503a5fe3a3ep-13, -0x1.4cb4c786514ep-13, -0x1.3eb434cdeb12ap-13, -0x1.314869dd15363p-13, -0x1.246b86b58422ep-13, -0x1.1817e1df333c5p-13, -0x1.0c48069f3c883p-13, -0x1.00f6b33dcc07ep-13, -0x1.ec3daeacd4932p-14, -0x1.d7772470c6bc5p-14, -0x1.c390629ff6d3ep-14, -0x1.b0805d3c9ad04p-14, -0x1.9e3e5e7778a64p-14, -0x1.8cc203c8be065p-14, -0x1.7c033b254ebe7p-14, -0x1.6bfa4043b8407p-14, -0x1.5c9f99f8590b4p-14, -0x1.4dec17a701b6cp-14, -0x1.3fd8cec7a27eap-14, -0x1.325f187e2024dp-14, -0x1.25788f4568a9ap-14, -0x1.191f0caa1f78p-14, -0x1.0d4ca71d5b64ap-14, -0x1.01e9026088ca3p-14, -0x1.ee28f66204337p-15, -0x1.d96d5d9bea7b2p-15, -0x1.c595248eb35a3p-15, -0x1.b2969b2e3483bp-15, -0x1.a06873a7fde72p-15, -0x1.8f01bedcab81ep-15, -0x1.7e59e900609p-15, -0x1.6e68b64ee2f49p-15, -0x1.5f263fde96fd4p-15, -0x1.508af08cf0659p-15, -0x1.428f820345b46p-15, -0x1.352cf9d5e3534p-15, -0x1.285ca6bb4baep-15, -0x1.1c181dd84fe6fp-15, -0x1.10593825c176cp-15, -0x1.051a0feabcf8fp-15, -0x1.f4a9fc9a337afp-16, -0x1.e00931e92e9dfp-16, -0x1.cc475f893bfbep-16, -0x1.b95a9550c753ep-16, -0x1.a7394ee2b721cp-16, -0x1.95da6f95eb328p-16, -0x1.85353e77d5a5cp-16, -0x1.754162758366p-16, -0x1.65f6dea9e121p-16, -0x1.574e0ec9ea876p-16, -0x1.493fa3ab33955p-16, -0x1.3bc49ff30b712p-16, -0x1.2ed654dae3f5ap-16, -0x1.226e5f14ea76fp-16, -0x1.1686a3cce31cap-16, -0x1.0b194dc3dd157p-16, -0x1.0020ca84dab3fp-16, -0x1.eb2f8f6a931a7p-17, -0x1.d6f260ecbd89dp-17, -0x1.c38055d2f8b6fp-17, -0x1.b0d02b9859d38p-17, -0x1.9ed90c2c072cbp-17, -0x1.8d92898fe2915p-17, -0x1.7cf49973d7597p-17, -0x1.6cf7911ab5149p-17, -0x1.5d942151a5392p-17, -0x1.4ec352918650bp-17, -0x1.407e81517d667p-17, -0x1.32bf5a5442d4dp-17, -0x1.257fd767d775ep-17, -0x1.18ba3be960a6ep-17, -0x1.0c6911b2ab1d5p-17, -0x1.008725ef2838dp-17, -0x1.ea1f0c709c944p-18, -0x1.d3fafb75bc9bbp-18, -0x1.be9924f6d4b52p-18, -0x1.a9f10576b4c4fp-18, -0x1.95fa84dd66893p-18, -0x1.82adf1964f546p-18, -0x1.7003fc04503e1p-18, -0x1.5df5b1f3c702ep-18, -0x1.4c7c7a58dad35p-18, -0x1.3b921124df95cp-18, -0x1.2b30836fd441fp-18, -0x1.1b522b8226e71p-18, -0x1.0bf1ad4ce4064p-18, -0x1.fa13e5cf860fep-19, -0x1.dd2c5260526c3p-19, -0x1.c1237931f7941p-19, -0x1.a5f0ac2a22f19p-19, -0x1.8b8bb048f3b16p-19, -0x1.71ecb7fb4fe94p-19, -0x1.590c5dc694db9p-19, -0x1.40e39ef55f649p-19, -0x1.296bd6d504e33p-19, -0x1.129eb9b54f4f8p-19, -0x1.f8eca14b7f6b6p-20, -0x1.cdd9e9dba62e5p-20, -0x1.a3fa978e7d6b8p-20, -0x1.7b4485a3ab1fcp-20, -0x1.53ae178942ca2p-20, -0x1.2d2e32840c40ep-20, -0x1.07bc362c58e4ap-20, -0x1.c69fec4500fb6p-21, -0x1.7fc366e0bfe47p-21, -0x1.3ad42d9b61847p-21, -0x1.ef88abd9bf5fap-22, -0x1.6d0d5b46417aap-22, -0x1.dc3ac41ad5176p-23, -0x1.ca8404dfd04e5p-24, 0x1.5f93be51d911cp-28, 0x1.e957d23bb93b9p-24, 0x1.d7f481f8b492ap-23, 0x1.5a7e849574fcp-22, 0x1.c5f51b9cb316fp-22, 0x1.1737bf53ea932p-21, 0x1.49ff27ea5e912p-21, 0x1.7b58b42ff36f9p-21, 0x1.ab4bf289f723ep-21, 0x1.d9e0192c8992fp-21, 0x1.038e05cdaf966p-20, 0x1.1983304ddf5fdp-20, 0x1.2ed2b2cc33c0bp-20, 0x1.437f9312819dap-20, 0x1.578cb71d54e8cp-20, 0x1.6afce7c12271p-20, 0x1.7dd2d2998f459p-20, 0x1.90110bf46d5e1p-20, 0x1.a1ba10a2db079p-20, 0x1.b2d047a8f67d8p-20, 0x1.c35603c83854dp-20, 0x1.d34d8530aa765p-20, 0x1.e2b8faa839cb8p-20, 0x1.f19a831f7a37ap-20, 0x1.fff42ecbc50e1p-20, 0x1.06e4002e152aap-19, 0x1.0d8bf7149f472p-19, 0x1.13f2f1711347cp-19, 0x1.1a19df8092e68p-19, 0x1.2001acae18b68p-19, 0x1.25ab3ffe06ca9p-19, 0x1.2b177ca319476p-19, 0x1.30474208f160ep-19, 0x1.353b6c611daa8p-19, 0x1.39f4d4cdd347ep-19, 0x1.3e745207e8451p-19, 0x1.42bab80f3adabp-19, 0x1.46c8d8d8377ebp-19, 0x1.4a9f8450d0904p-19, 0x1.4e3f88b22e08fp-19, 0x1.51a9b2a5b843bp-19, 0x1.54decd5776c1ap-19, 0x1.57dfa2c85809ep-19, 0x1.5aacfbd6d33ccp-19, 0x1.5d47a05c4a504p-19, 0x1.5fb0574b769f9p-19, 0x1.61e7e6ef8a92cp-19, 0x1.63ef14c8bf8cap-19, 0x1.65c6a59f161bbp-19, 0x1.676f5dcf724c1p-19, 0x1.68ea01292988dp-19, 0x1.6a375304330e1p-19, 0x1.6b581653033dep-19, 0x1.6c4d0d985cdf5p-19, 0x1.6d16fb00754d5p-19, 0x1.6db6a05909a0dp-19, 0x1.6e2cbf21f4e67p-19, 0x1.6e7a186481c78p-19, 0x1.6e9f6ced53615p-19, 0x1.6e9d7d2782d7fp-19, 0x1.6e75091951abp-19, 0x1.6e26d079611fap-19, 0x1.6db39285f8f58p-19, 0x1.6d1c0e168f261p-19, 0x1.6c61018d4cac6p-19, 0x1.6b832ad3b170dp-19, 0x1.6a834750ba452p-19, 0x1.696213e9375c6p-19, 0x1.68204cc7e8896p-19, 0x1.66beada0d44e2p-19, 0x1.653df171781cap-19, 0x1.639ed2843ae71p-19, 0x1.61e20a659bce3p-19, 0x1.600851e804f62p-19, 0x1.5e1260d27e689p-19, 0x1.5c00ee5f886c2p-19, 0x1.59d4b0a741c86p-19, 0x1.578e5cdc53576p-19, 0x1.552ea72f5de3cp-19, 0x1.52b642becbb5dp-19, 0x1.5025e1a7f80e7p-19, 0x1.4d7e34b94474ap-19, 0x1.4abfebc6a63c4p-19, 0x1.47ebb551a66fep-19, 0x1.45023e9370dd8p-19, 0x1.4204337c09c02p-19, 0x1.3ef23ea6b7488p-19, 0x1.3bcd094077f85p-19, 0x1.38953b1cb7c4fp-19, 0x1.354b7a771daacp-19, 0x1.31f06c27c17f2p-19, 0x1.2e84b372b39fp-19, 0x1.2b08f1ff31da8p-19, 0x1.277dc7f58071dp-19, 0x1.23e3d3bd4add1p-19, 0x1.203bb217940c8p-19, 0x1.1c85fe2169026p-19, 0x1.18c35116713e7p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.179930d912f44p-1, -0x1.02ad4da283ea2p-1, -0x1.d928bb211b2cep-2, -0x1.ab1b5204fa995p-2, -0x1.7ba6dde883862p-2, -0x1.4b358786662f5p-2, -0x1.1a2782ef0bacbp-2, -0x1.d1a7cc369fd7p-3, -0x1.6f126121ce66ap-3, -0x1.0d1ab43d05541p-3, -0x1.5877d5ed8a1a1p-4, -0x1.3385d0927356dp-5, 0x1.097606c3f8076p-7, 0x1.af773d7f07257p-5, 0x1.8958e0b06a793p-4, 0x1.1ac87a8325d94p-3, 0x1.6e014e006c058p-3, 0x1.be2ff5470bc88p-3, 0x1.059b35176a788p-2, 0x1.2a7f4bc3a0735p-2, 0x1.4dbc9b120f913p-2, 0x1.6f5043143d8fp-2, 0x1.8f3341f04cb03p-2, 0x1.ad677da071c22p-2, 0x1.c9eefdbff4b09p-2, 0x1.e4cda107dc85dp-2, 0x1.fe08dc6f1e2dfp-2, 0x1.0ad3bfcb4c214p-1, 0x1.15d8c12d6819ep-1, 0x1.2017edab32eb5p-1, 0x1.29962dc6173f2p-1, 0x1.3258c5ccc70adp-1, 0x1.3a6544db29ed2p-1, 0x1.41c1751ec25fp-1, 0x1.48734e47ad008p-1, 0x1.4e80ea2781391p-1, 0x1.53f07a941b7d8p-1, 0x1.58c83f723e6fcp-1, 0x1.5d0e7c66a64c5p-1, 0x1.60c96e96db266p-1, 0x1.63ff438060e94p-1, 0x1.66b611e709383p-1, 0x1.68f3d5475373ep-1, 0x1.6abe6b75674c3p-1, 0x1.6c1b9380850ccp-1, 0x1.6d10eccd8ea9bp-1, 0x1.6da3f59d520eep-1, 0x1.6dda08aec6016p-1, 0x1.6db85a2a2c9f2p-1, 0x1.6d43f456b57ap-1, 0x1.6c81b4b74db3ep-1, 0x1.6b764a112640bp-1, 0x1.6a2633a0e36bep-1, 0x1.6895c179da133p-1, 0x1.66c915cbecb2fp-1, 0x1.64c426a87f6f1p-1, 0x1.628abfdbb2e75p-1, 0x1.60208487d4d04p-1, 0x1.5d88f0597fcaep-1, 0x1.5ac7585494b5p-1, 0x1.57deeb596abc5p-1, 0x1.54d2b2907fa51p-1, 0x1.51a591e9eb5b2p-1, 0x1.4e5a0e281eebcp-1, 0x1.4af35f899e495p-1, 0x1.47739fc70f2bp-1, 0x1.43dd24453da3dp-1, 0x1.40322343f1f3ep-1, 0x1.3c74b5720e761p-1, 0x1.38a6d763f0c11p-1, 0x1.34ca6ae39b8dp-1, 0x1.30e1381909f75p-1, 0x1.2cecee8edb824p-1, 0x1.28ef261b5dd35p-1, 0x1.24e95fb78a4adp-1, 0x1.20dd064d2404fp-1, 0x1.1ccb6f835738ep-1, 0x1.18b5dc8ebe16fp-1, 0x1.149d7b072888cp-1, 0x1.108365c354594p-1, 0x1.0c68a5b9381f5p-1, 0x1.084e32e0a24ffp-1, 0x1.0434f515a237dp-1, 0x1.001dc4f857183p-1, 0x1.f812d99023585p-2, 0x1.eff1527042e33p-2, 0x1.e7d85479d9f51p-2, 0x1.dfc927a053fd6p-2, 0x1.d7c4fd562cd86p-2, 0x1.cfccf1eb51a5cp-2, 0x1.c7e20dd37a83fp-2, 0x1.c00546d2fe1dfp-2, 0x1.b8378111544b7p-2, 0x1.b07990116378cp-2, 0x1.a8cc3790df9cep-2, 0x1.a1302c510a473p-2, 0x1.99a614cc10cc7p-2, 0x1.922e89dae3802p-2, 0x1.8aca174f9145bp-2, 0x1.83793c880f27bp-2, 0x1.7c3c6cfcc3d07p-2, 0x1.751410cd72f4bp-2, 0x1.6e00854e334c2p-2, 0x1.67021d95317d6p-2, 0x1.601923092e64bp-2, 0x1.5945d5effb286p-2, 0x1.52886dfbb19a1p-2, 0x1.4be11ad539aa5p-2, 0x1.455004a28de63p-2, 0x1.3ed54c8755ecap-2, 0x1.38710d1ea52fbp-2, 0x1.32235aed03dedp-2, 0x1.2bec44ca3cb5bp-2, 0x1.25cbd442c4971p-2, 0x1.1fc20df0e5bafp-2, 0x1.19cef1ce1b82fp-2, 0x1.13f27b7d37206p-2, 0x1.0e2ca28e19ff8p-2, 0x1.087d5abbcf65ep-2, 0x1.02e49425da21bp-2, 0x1.fac4770afbea4p-3, 0x1.efec74bf7222p-3, 0x1.e540ee68fadc6p-3, 0x1.dac1ab5748959p-3, 0x1.d06e6d7fe5befp-3, 0x1.c646f1d0d5976p-3, 0x1.bc4af0800d88p-3, 0x1.b27a1d57f5a48p-3, 0x1.a8d42800e15adp-3, 0x1.9f58bc478d83bp-3, 0x1.960782608b32bp-3, 0x1.8ce01f289665ep-3, 0x1.83e23461d5efcp-3, 0x1.7b0d60ee11cecp-3, 0x1.7261410609489p-3, 0x1.69dd6e6df6dd5p-3, 0x1.618180a78b137p-3, 0x1.594d0d217dc72p-3, 0x1.513fa764fc5c5p-3, 0x1.4958e14120cd7p-3, 0x1.41984af49cb0ep-3, 0x1.39fd7355c7b55p-3, 0x1.3287e7f92a359p-3, 0x1.2b3735568e724p-3, 0x1.240ae6ecbba04p-3, 0x1.1d028763c22b8p-3, 0x1.161da0ade65f4p-3, 0x1.0f5c0b98ed9aap-3, 0x1.08bca104d7dacp-3, 0x1.023f494987315p-3, 0x1.f7c71a551d75cp-4, 0x1.eb51ea7cf81dbp-4, 0x1.df1e14078f2c4p-4, 0x1.d32aa7e96a2a8p-4, 0x1.c776b734b4243p-4, 0x1.bc01533d76413p-4, 0x1.b0c98dbc52dcep-4, 0x1.a5ce78efadc0fp-4, 0x1.9b0f27bb69fa3p-4, 0x1.908aadc74c67fp-4, 0x1.86401f9c03baap-4, 0x1.7c2e92beecedcp-4, 0x1.72551dcc924c7p-4, 0x1.68b2d891f39bap-4, 0x1.5f46dc24976a4p-4, 0x1.561042f96f05dp-4, 0x1.4d0e28fa8fe58p-4, 0x1.443fab9bc60fdp-4, 0x1.3ba3e9ee0a63p-4, 0x1.333a04b1dad0ep-4, 0x1.2b011e687e0e6p-4, 0x1.22f85b6438b12p-4, 0x1.1b1ee1d778a9bp-4, 0x1.1373d9e2fe218p-4, 0x1.0bf66da30ae55p-4, 0x1.04a5c93b9a488p-4, 0x1.fb0235c7630c5p-5, 0x1.ed0f25df91f0dp-5, 0x1.df70c7b6b9265p-5, 0x1.d22584a3506bbp-5, 0x1.c52bca6b3a64ep-5, 0x1.b8820b52291c4p-5, 0x1.ac26be269e1a3p-5, 0x1.a0185e4d88873p-5, 0x1.94556bcca15ecp-5, 0x1.88dc6b538f321p-5, 0x1.7dabe643e9c1ep-5, 0x1.72c26ab827a34p-5, 0x1.681e8b898c1a6p-5, 0x1.5dbee055233d7p-5, 0x1.53a2057fd6948p-5, 0x1.49c69c39abcd7p-5, 0x1.402b4a80364ffp-5, 0x1.36cebb204a78bp-5, 0x1.2daf9db6f43dap-5, 0x1.24cca6b1c2d38p-5, 0x1.1c248f4e67ec2p-5, 0x1.13b61599bbcaep-5, 0x1.0b7ffc6e1e719p-5, 0x1.03810b7148324p-5, 0x1.f7701e231079bp-6, 0x1.e847b104ea0eep-6, 0x1.d9867b7224e1ep-6, 0x1.cb2a32cef109fp-6, 0x1.bd3095efebea9p-6, 0x1.af976d0f6aa22p-6, 0x1.a25c89c1d8bcdp-6, 0x1.957dc6e92bdf7p-6, 0x1.88f908a770a2dp-6, 0x1.7ccc3c5085bc6p-6, 0x1.70f5585b013aep-6, 0x1.65725c504f52cp-6, 0x1.5a4150bc11c31p-6, 0x1.4f60471ac0877p-6, 0x1.44cd59c7a694bp-6, 0x1.3a86abea2df51p-6, 0x1.308a6962954dap-6, 0x1.26d6c6b609e05p-6, 0x1.1d6a00fa35849p-6, 0x1.14425dc04a71fp-6, 0x1.0b5e2aff8fac7p-6, 0x1.02bbbeff751c3p-6, 0x1.f4b2f0828338bp-7, 0x1.e46b7ad2a9575p-7, 0x1.d49dfa501aad3p-7, 0x1.c5475c44b527ap-7, 0x1.b6649db3ecf61p-7, 0x1.a7f2cb2ac5b67p-7, 0x1.99ef008f2f695p-7, 0x1.8c5668eeff7a3p-7, 0x1.7f263e4e765f4p-7, 0x1.725bc97668571p-7, 0x1.65f461c2131c9p-7, 0x1.59ed6cecb2de5p-7, 0x1.4e445eded50fcp-7, 0x1.42f6b97b7f99dp-7, 0x1.38020c6d2ade9p-7, 0x1.2d63f4f2ad191p-7, 0x1.231a1dac05173p-7, 0x1.19223e6726c7dp-7, 0x1.0f7a1becbbae2p-7, 0x1.061f87ccfbf66p-7, 0x1.fa20c05917866p-8, 0x1.e8951f22d7ce2p-8, 0x1.d79819603e38ep-8, 0x1.c725b471cbcd7p-8, 0x1.b73a0d4a4d479p-8, 0x1.a7d1580a1f7cp-8, 0x1.98e7df9aec7c5p-8, 0x1.8a7a054be3bc7p-8, 0x1.7c84406e7051bp-8, 0x1.6f031df39ae4fp-8, 0x1.61f34009f5d99p-8, 0x1.55515dbc43398p-8, 0x1.491a4290c45cfp-8, 0x1.3d4ace2942374p-8, 0x1.31dff3e3d793bp-8, 0x1.26d6ba7c88843p-8, 0x1.1c2c3bafab833p-8, 0x1.11dda3dd200efp-8, 0x1.07e831ac6c5cep-8, 0x1.fc926b637484p-9, 0x1.e9fc24277936ap-9, 0x1.d8087465036cdp-9, 0x1.c6b2649e7feacp-9, 0x1.b5f51e6a15e4cp-9, 0x1.a5cbebc536b6ap-9, 0x1.96323669fd7ap-9, 0x1.872387269e189p-9, 0x1.789b85371d46p-9, 0x1.6a95f5a0c414bp-9, 0x1.5d0eba8ff5c77p-9, 0x1.5001d2b7faa94p-9, 0x1.436b58b4eea5bp-9, 0x1.3747827012ae2p-9, 0x1.2b92a085fe51p-9, 0x1.20491daf365e8p-9, 0x1.15677e2ada5b3p-9, 0x1.0aea5f2b8725bp-9, 0x1.00ce764696c88p-9, 0x1.ee2121cacfcbfp-10, 0x1.db5b2771e51a4p-10, 0x1.c944f45f596e8p-10, 0x1.b7d8abdace59dp-10, 0x1.a7109c8b75a25p-10, 0x1.96e73f70d5e69p-10, 0x1.875736e033145p-10, 0x1.785b4d865062dp-10, 0x1.69ee756db339p-10, 0x1.5c0bc7091a707p-10, 0x1.4eae80427e651p-10, 0x1.41d2038e38feep-10, 0x1.3571d702a4861p-10, 0x1.2989a373f3535p-10, 0x1.1e153394375bep-10, 0x1.13107317c4624p-10, 0x1.08776ddd8bf6p-10, 0x1.fc8c9e37725fdp-11, 0x1.e8f2c1210dbccp-11, 0x1.d61a136e08f2fp-11, 0x1.c3fb9dff86adbp-11, 0x1.b290a21bc8b95p-11, 0x1.a1d297ef37ccep-11, 0x1.91bb2d16102cp-11, 0x1.8244432d0d977p-11, 0x1.7367ee6a65d6fp-11, 0x1.6520743e25329p-11, 0x1.576849f95b2aep-11, 0x1.4a3a137d5a914p-11, 0x1.3d90a1f22d66cp-11, 0x1.3166f283e79bep-11, 0x1.25b82d27037b6p-11, 0x1.1a7fa3647c1d1p-11, 0x1.0fb8cf2b788fbp-11, 0x1.055f51ab12f21p-11, 0x1.f68dddaba862ep-12, 0x1.e3786b8beaa49p-12, 0x1.d125402842614p-12, 0x1.bf8cc0bf543d1p-12, 0x1.aea7964967a72p-12, 0x1.9e6eab797d4edp-12, 0x1.8edb2aca2601bp-12, 0x1.7fe67c9863675p-12, 0x1.718a45484d97dp-12, 0x1.63c063760a1cfp-12, 0x1.5682ee32a26eap-12, 0x1.49cc334b22566p-12, 0x1.3d96b59b78fb3p-12, 0x1.31dd2b6b7624ap-12, 0x1.269a7cd742feep-12, 0x1.1bc9c24164448p-12, 0x1.116642cf1bbb8p-12, 0x1.076b72eecd982p-12, 0x1.fba9e5d148a3ep-13, 0x1.e93d1af010c22p-13, 0x1.d7886cde1e8aep-13, 0x1.c68412c515567p-13, 0x1.b62890c07e13bp-13, 0x1.a66eb557eb876p-13, 0x1.974f970ec3c6p-13, 0x1.88c49202434a2p-13, 0x1.7ac745988dd52p-13, 0x1.6d51924075bacp-13, 0x1.605d974159447p-13, 0x1.53e5b098763c6p-13, 0x1.47e474e88db75p-13, 0x1.3c54b375e4199p-13, 0x1.31317232190cbp-13, 0x1.2675ebd585d3cp-13, 0x1.1c1d8e06d36ddp-13, 0x1.1223f78f0aadap-13, 0x1.0884f69e379acp-13, 0x1.fe790e2fd5ac1p-14, 0x1.ec8da1e152828p-14, 0x1.db404d2c07ddcp-14, 0x1.ca8a06c495496p-14, 0x1.ba64143a0629bp-14, 0x1.aac8070df1bap-14, 0x1.9bafb9dff7e1bp-14, 0x1.8d154db3087fp-14, 0x1.7ef3274541041p-14, 0x1.7143ec7e15c31p-14, 0x1.640281f0886d9p-14, 0x1.572a0873e4cf3p-14, 0x1.4ab5dac7d8dfdp-14, 0x1.3ea18b54b82e2p-14, 0x1.32e8e1f9345cap-14, 0x1.2787d9ebc49bdp-14, 0x1.1c7a9fab652e6p-14, 0x1.11bd8f04d5faep-14, 0x1.074d3124f8716p-14, 0x1.fa4c757cc88a2p-15, 0x1.e68b14785e38dp-15, 0x1.d3504c0a8615ap-15, 0x1.c096759e093a2p-15, 0x1.ae5833ff78f6cp-15, 0x1.9c907032f61f2p-15, 0x1.8b3a5674dcd4ap-15, 0x1.7a51534a46478p-15, 0x1.69d110b0e6c38p-15, 0x1.59b57365e0c13p-15, 0x1.49fa9846d0d9ep-15, 0x1.3a9cd1c92c9eap-15, 0x1.2b98a589f0b0bp-15, 0x1.1ceac9f30e619p-15, 0x1.0e9023f76bfb1p-15, 0x1.0085c4e7b8834p-15, 0x1.e591d0a3816p-16, 0x1.caade3fda0561p-16, 0x1.b05ad801bff81p-16, 0x1.9694099fc3c4ep-16, 0x1.7d551b0289243p-16, 0x1.6499f00ddaeccp-16, 0x1.4c5eab11eefe9p-16, 0x1.349fa99550b06p-16, 0x1.1d59813f4a4a6p-16, 0x1.0688fce419bc8p-16, 0x1.e05633623b452p-17, 0x1.b47a08ef966fep-17, 0x1.89782e1507e89p-17, 0x1.5f4bab7b6f67ep-17, 0x1.35efda0ed7749p-17, 0x1.0d605e58b304cp-17, 0x1.cb3248362b3bp-18, 0x1.7d2cb443825f1p-18, 0x1.30a8dc6de63d6p-18, 0x1.cb402517b15e3p-19, 0x1.38182e957da7bp-19, 0x1.4f9c4cddb054ap-20, 0x1.a571fe4ebe87dp-23, -0x1.c15c71ae334d9p-21, -0x1.f08c39b4b2b87p-20, -0x1.7d7ed24935a23p-19, -0x1.0004cdc4d8b93p-18, -0x1.3ff727c8f2ac9p-18, -0x1.7e9a2419b009p-18, -0x1.bbf13591fefd6p-18, -0x1.f7ff99c02612fp-18, -0x1.19642e9752905p-17, -0x1.36272fc3cfd52p-17, -0x1.524a2bc1189eap-17, -0x1.6dce6b4973e84p-17, -0x1.88b52636c2941p-17, -0x1.a2ff853649009p-17, -0x1.bcaea35009e4ep-17, -0x1.d5c38f6ab2a6dp-17, -0x1.ee3f4daf9c5bcp-17, -0x1.03116c6f15cfep-16, -0x1.0eb791c823686p-16, -0x1.1a128ca8ddeeap-16, -0x1.2522cfe9d781dp-16, -0x1.2fe8cbf47b633p-16, -0x1.3a64ef3d530f9p-16, -0x1.4497a6be1bc94p-16, -0x1.4e815e582ea6ap-16, -0x1.58228140debe6p-16, -0x1.617b7a579ac73p-16, -0x1.6a8cb48860ad8p-16, -0x1.73569b10892c3p-16, -0x1.7bd999cdde8abp-16, -0x1.84161d83eef54p-16, -0x1.8c0c9418e0daap-16, -0x1.93bd6cce69f03p-16, -0x1.9b291873c6dcp-16, -0x1.a250099cd5338p-16, -0x1.a932b4c668acfp-16, -0x1.afd1907b7d88ep-16, -0x1.b62d1579b9p-16, -0x1.bc45bed4f84bfp-16, -0x1.c21c0a05d4aa5p-16, -0x1.c7b077038a19dp-16, -0x1.cd03885e64d7p-16, -0x1.d215c349eb5c8p-16, -0x1.d6e7afabdce4cp-16, -0x1.db79d81e10991p-16, -0x1.dfccca024ce88p-16, -0x1.e3e1158069119p-16, -0x1.e7b74d86ef434p-16, -0x1.eb5007cce79f1p-16, -0x1.eeabdcd0b51bcp-16, -0x1.f1cb67d01c219p-16, -0x1.f4af46c5ae7d9p-16, -0x1.f7581a5e0ac87p-16, -0x1.f9c685f11f572p-16, -0x1.fbfb2f746af02p-16, -0x1.fdf6bf6ea0062p-16, -0x1.ffb9e0e8b1054p-16, -0x1.00a2a0b0cf651p-15, -0x1.014cc85e0d13ap-15, -0x1.01dbc09723721p-15, -0x1.024fe39402479p-15, -0x1.02a98ca6927e2p-15, -0x1.02e9182bbadeap-15, -0x1.030ee382489adp-15, -0x1.031b4cfff9617p-15, -0x1.030eb3e828d1cp-15, -0x1.02e9785c2c3e4p-15, -0x1.02abfb55eec52p-15, -0x1.02569e971061bp-15, -0x1.01e9c4a0960fcp-15, -0x1.0165d0a4d126bp-15, -0x1.00cb267bc1e4cp-15, -0x1.001a2a99575b9p-15, -0x1.fea683f86de91p-16, -0x1.fceda44cb293fp-16, -0x1.fb0a821ebca16p-16, -0x1.f8fdea2db8ed1p-16, -0x1.f6c8a9f4cc624p-16, -0x1.f46b8f8c7c0b4p-16, -0x1.f1e7699b36395p-16, -0x1.ef3d07395a27ep-16, -0x1.ec6d37d191d44p-16, -0x1.e978cb1825e5cp-16, -0x1.e66090e97d622p-16, -0x1.e32559341a0dbp-16, -0x1.dfc7f3e8088dp-16, -0x1.dc4930d6f39efp-16, -0x1.d8a9dfa5f8034p-16, -0x1.d4eacfb1088bbp-16, -0x1.d10ccffb5112bp-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.9e7b85295e026p+0, -0x1.8f68e64a85d91p+0, -0x1.820aea23403d3p+0, -0x1.763e176685aacp+0, -0x1.6bdf8c0ca3a2ep+0, -0x1.62cd510e413c6p+0, -0x1.5ae6b774c4046p+0, -0x1.540cab49ce002p+0, -0x1.4e21dbe183c31p+0, -0x1.490ac53ec15aap+0, -0x1.44adb0610c3e2p+0, -0x1.40f2b880ee7fep+0, -0x1.3dc3d5506ce0cp+0, -0x1.3b0cdd496cfb2p+0, -0x1.38bb762825631p+0, -0x1.36bef71704229p+0, -0x1.350847d0b3298p+0, -0x1.3389c5980b2b8p+0, -0x1.32372fca68f7ep+0, -0x1.3105987be9a8fp+0, -0x1.2feb54759afe7p+0, -0x1.2edfcf28eccccp+0, -0x1.2ddbfb6bb2c67p+0, -0x1.2cd93038b7968p+0, -0x1.2bd1d742cf3ecp+0, -0x1.2ac127577f058p+0, -0x1.29a312176e102p+0, -0x1.28743313d0fffp+0, -0x1.2731c056693aap+0, -0x1.25d97bf108bc5p+0, -0x1.2469a5e17fb6ap+0, -0x1.22e0edeea45f2p+0, -0x1.213e65e6674dep+0, -0x1.1f817523e0c4ep+0, -0x1.1da9ce161cf5fp+0, -0x1.1bb765d1870f3p+0, -0x1.19aa6d06b58a8p+0, -0x1.17834974ebb93p+0, -0x1.15428f2c6897p+0, -0x1.12e8f97bf7267p+0, -0x1.107763e182a91p+0, -0x1.0deec38965cf6p+0, -0x1.0b5021ca021ffp+0, -0x1.089c97ba6d479p+0, -0x1.05d54ab5345ep+0, -0x1.02fb696f25d57p+0, -0x1.0010294eb52bcp+0, -0x1.fa2987a8ed52ep-1, -0x1.f414e82161952p-1, -0x1.ede4e883282f5p-1, -0x1.e79bf780df908p-1, -0x1.e13c7ab7be317p-1, -0x1.dac8cc50db26p-1, -0x1.d4433973fb0efp-1, -0x1.cdae014c4650bp-1, -0x1.c70b544fb639p-1, -0x1.c05d53819af0fp-1, -0x1.b9a60f82c142cp-1, -0x1.b2e78764a8f1ap-1, -0x1.ac23a755cf124p-1, -0x1.a55c47527ed67p-1, -0x1.9e932a0bd4334p-1, -0x1.97c9fc2e7aa5p-1, -0x1.9102a3ba75f3cp-1, -0x1.8a3dfcbe35f75p-1, -0x1.837dc037cf438p-1, -0x1.7cc346ab330f3p-1, -0x1.760fd563047fbp-1, -0x1.6f649f0ec2d5ep-1, -0x1.68c2c45c5f15ep-1, -0x1.622b548897ef5p-1, -0x1.5b9f4de5772f2p-1, -0x1.551f9e590f3d7p-1, -0x1.4ead23d7f76cep-1, -0x1.4848acdf111d3p-1, -0x1.41f2f8ef47851p-1, -0x1.3bacb90cc96dep-1, -0x1.3576904215b88p-1, -0x1.2f5114265caap-1, -0x1.293ccd664ce7ep-1, -0x1.233a384e5b1ffp-1, -0x1.1d49c555bc07ap-1, -0x1.176bd9a98f2cfp-1, -0x1.11a0cfb7f15e7p-1, -0x1.0be8f7babc642p-1, -0x1.06449841a15b2p-1, -0x1.00b3eebb0d38ep-1, -0x1.f66e5ff5eec62p-2, -0x1.eb9d117ce0c4fp-2, -0x1.e0f43c5525abp-2, -0x1.d6741c8af2681p-2, -0x1.cc1ce0cff85acp-2, -0x1.c1eeab4eb7ecap-2, -0x1.b7e9926ccaf5bp-2, -0x1.ae0da17c5270bp-2, -0x1.a45ad95db1b0ep-2, -0x1.9ad13113825c1p-2, -0x1.9170964b3fc17p-2, -0x1.8838eddd4fbb7p-2, -0x1.7f2a144703da4p-2, -0x1.7643de20cd451p-2, -0x1.6d861892595d4p-2, -0x1.64f089c5b02c7p-2, -0x1.5c82f159cb5ccp-2, -0x1.543d08d49a4c3p-2, -0x1.4c1e8413e8b14p-2, -0x1.442711bc5a6c9p-2, -0x1.3c565ba58a33dp-2, -0x1.34ac07424dc04p-2, -0x1.2d27b60441693p-2, -0x1.25c905b9e979bp-2, -0x1.1e8f90e6ee1e2p-2, -0x1.177aef163d927p-2, -0x1.108ab5261886ap-2, -0x1.09be758e3c2e8p-2, -0x1.0315c0a0938a7p-2, -0x1.f9204989da827p-3, -0x1.ec5a5d6082ebp-3, -0x1.dfd8d330395fdp-3, -0x1.d39abec57229dp-3, -0x1.c79f31a87b0edp-3, -0x1.bbe53b731a4d6p-3, -0x1.b06bea21e215fp-3, -0x1.a5324a61b5685p-3, -0x1.9a3767d9bf6d1p-3, -0x1.8f7a4d72031dbp-3, -0x1.84fa059696955p-3, -0x1.7ab59a7788479p-3, -0x1.70ac1645565ep-3, -0x1.66dc8369fca1ap-3, -0x1.5d45ecbe92c87p-3, -0x1.53e75dbd74fedp-3, -0x1.4abfe2b10d8b9p-3, -0x1.41ce88df61dbdp-3, -0x1.39125eb280e02p-3, -0x1.308a73de01584p-3, -0x1.2835d981ce822p-3, -0x1.2013a24a76302p-3, -0x1.1822e28f26e4dp-3, -0x1.1062b06da6f73p-3, -0x1.08d223e46468ap-3, -0x1.017056eaca496p-3, -0x1.f478cb100d8bep-4, -0x1.e66adbd0afb26p-4, -0x1.d8b520e1deb79p-4, -0x1.cb55dfa511a4ap-4, -0x1.be4b623563b9ep-4, -0x1.b194519d67eadp-4, -0x1.a52e41cc03421p-4, -0x1.9917f035d1ddcp-4, -0x1.8d4fbb73bdf53p-4, -0x1.81d4075fa7caap-4, -0x1.76a33d2490686p-4, -0x1.6bbbcb4cc76c5p-4, -0x1.611c25ce4b081p-4, -0x1.56c2c61570066p-4, -0x1.4cae2b0df1528p-4, -0x1.42dcd92a75f68p-4, -0x1.394d5a6aaa69bp-4, -0x1.2ffe3e5ff628p-4, -0x1.26ee1a30e4f92p-4, -0x1.1e1b889b4bfdbp-4, -0x1.158529f53dafep-4, -0x1.0d29a42cd6df9p-4, -0x1.0507a2c6eedcp-4, -0x1.fa3badb9797e4p-5, -0x1.ead5ee30ed89ep-5, -0x1.dbdb7f61f6598p-5, -0x1.cd49e4c91a065p-5, -0x1.bf1eace55bf85p-5, -0x1.b157712a4abd8p-5, -0x1.a3f1d5f06da65p-5, -0x1.96eb8a643a432p-5, -0x1.8a42487397097p-5, -0x1.7df3d4ba0b264p-5, -0x1.71fdfe6ba9e9fp-5, -0x1.665e9f3ecd274p-5, -0x1.5b139b54bd22dp-5, -0x1.501ae121466c4p-5, -0x1.4572695167259p-5, -0x1.3b1836b11142ap-5, -0x1.310a561026583p-5, -0x1.2746de26b132ap-5, -0x1.1dcbef7874c89p-5, -0x1.1497b437e16b5p-5, -0x1.0ba860287efd3p-5, -0x1.02fc3080d8d81p-5, -0x1.f522d79805ed4p-6, -0x1.e4ccc39571763p-6, -0x1.d4f2d6a860d41p-6, -0x1.c591d46d4a38fp-6, -0x1.b6a6922f51811p-6, -0x1.a82df6a88de87p-6, -0x1.9a24f9c20475bp-6, -0x1.8c88a4536693cp-6, -0x1.7f560fe2b1021p-6, -0x1.728a6663abcdap-6, -0x1.6622e1f761d8ep-6, -0x1.5a1cccab9b33dp-6, -0x1.4e75803a69bffp-6, -0x1.432a65c9caf0cp-6, -0x1.3838f5ab70f3fp-6, -0x1.2d9eb71cbbb37p-6, -0x1.23594006e1b1dp-6, -0x1.196634bf60ac5p-6, -0x1.0fc347c8b28p-6, -0x1.066e39934ca52p-6, -0x1.fac9b07dfebep-7, -0x1.e949feb955898p-7, -0x1.d8592f60b23e4p-7, -0x1.c7f32de7968b4p-7, -0x1.b813ff32cc2eap-7, -0x1.a8b7c11f4715ap-7, -0x1.99daaa0a01ff6p-7, -0x1.8b790858bdb67p-7, -0x1.7d8f4203f751bp-7, -0x1.7019d421d1ef2p-7, -0x1.631552723e7fcp-7, -0x1.567e66ec2d92p-7, -0x1.4a51d14c0d3ffp-7, -0x1.3e8c66a370a25p-7, -0x1.332b10e9fb864p-7, -0x1.282ace8f957dbp-7, -0x1.1d88b20fe402bp-7, -0x1.1341e18727679p-7, -0x1.0953964854939p-7, -0x1.ff7638e94e29fp-8, -0x1.eceba528fe1d1p-8, -0x1.db0252636c242p-8, -0x1.c9b544e686b71p-8, -0x1.b8ffa374caa7ap-8, -0x1.a8dcb68246eb8p-8, -0x1.9947e774a08c1p-8, -0x1.8a3cbfe5d5b5ep-8, -0x1.7bb6e8e9ff84ep-8, -0x1.6db22a57e02b4p-8, -0x1.602a6a148d637p-8, -0x1.531bab61af80ep-8, -0x1.46820e2eec8f8p-8, -0x1.3a59ce6e16833p-8, -0x1.2e9f436a5ca5cp-8, -0x1.234edf2228281p-8, -0x1.18652da4107dep-8, -0x1.0dded46e97da7p-8, -0x1.03b891d2ab972p-8, -0x1.f3de78b24a9c2p-9, -0x1.e0ff8455d0edbp-9, -0x1.cece50f7f74cdp-9, -0x1.bd4515f28752bp-9, -0x1.ac5e367231874p-9, -0x1.9c14405d0495ep-9, -0x1.8c61eb3e61a1bp-9, -0x1.7d42173858e5p-9, -0x1.6eafcbfa3c823p-9, -0x1.60a637bc995ecp-9, -0x1.5320ae421fd18p-9, -0x1.461aa7ddfb5cfp-9, -0x1.398fc07f245eap-9, -0x1.2d7bb6c0bc067p-9, -0x1.21da6aff3e3b2p-9, -0x1.16a7de72d7ac3p-9, -0x1.0be0324e7abc3p-9, -0x1.017fa6e3a2f0dp-9, -0x1.ef0535963fb2fp-10, -0x1.dbcb14243bcap-10, -0x1.c94a1ad830902p-10, -0x1.b77bb2d299dfbp-10, -0x1.a6597b6308aeap-10, -0x1.95dd4886ef1d5p-10, -0x1.8601217095101p-10, -0x1.76bf3f1710e17p-10, -0x1.68120acea44bep-10, -0x1.59f41ce8f9cffp-10, -0x1.4c603b5e3feb3p-10, -0x1.3f51587d938dap-10, -0x1.32c291a5cec6ep-10, -0x1.26af2e063d913p-10, -0x1.1b129d664227bp-10, -0x1.0fe876f567b61p-10, -0x1.052c78221b64fp-10, -0x1.f5b506f0657d6p-11, -0x1.e1dd3f0c41512p-11, -0x1.cec9eb935d7f2p-11, -0x1.bc73a3462176ap-11, -0x1.aad33e9e08242p-11, -0x1.99e1d5cf0d52ep-11, -0x1.8998bed604eb9p-11, -0x1.79f18b93c8072p-11, -0x1.6ae607f51ccf5p-11, -0x1.5c703825da988p-11, -0x1.4e8a56d14b2afp-11, -0x1.412ed36e0056cp-11, -0x1.3458509484b41p-11, -0x1.2801a261fbdacp-11, -0x1.1c25cce5e35a4p-11, -0x1.10c0029a1b263p-11, -0x1.05cba2e5bc921p-11, -0x1.f6887155dab23p-12, -0x1.e24af1bb19462p-12, -0x1.ced6824a634ccp-12, -0x1.bc232d0f4431ep-12, -0x1.aa29483bb8636p-12, -0x1.98e173a2ffda9p-12, -0x1.88449647b73dap-12, -0x1.784bdbfbc0e63p-12, -0x1.68f0b30fb4c89p-12, -0x1.5a2cca15fda16p-12, -0x1.4bfa0db40b451p-12, -0x1.3e52a6851961ep-12, -0x1.3130f70c69514p-12, -0x1.248f99b63fc89p-12, -0x1.18695ee931d34p-12, -0x1.0cb94b24b5107p-12, -0x1.017a952eaac12p-12, -0x1.ed51489df7d57p-13, -0x1.d83f106e482e1p-13, -0x1.c435331065b6fp-13, -0x1.b0eb7d8b4eea4p-13, -0x1.9e5a203aa1e22p-13, -0x1.8c799c58e95a3p-13, -0x1.7b42c10e525a2p-13, -0x1.6aaea89c9b412p-13, -0x1.5ab6b59d2a889p-13, -0x1.4b549057f81a9p-13, -0x1.3c82242f5cefcp-13, -0x1.2e399d206dfa4p-13, -0x1.2075655826d36p-13, -0x1.133022dc85b0bp-13, -0x1.0664b549109ecp-13, -0x1.f41c673d8d6aep-14, -0x1.dc4fd449a50cep-14, -0x1.c55ab0b70ec72p-14, -0x1.af345e058fd5ap-14, -0x1.99d49c5c5563p-14, -0x1.853386d784d17p-14, -0x1.71498ff34cbbp-14, -0x1.5e0f7e16ba5dbp-14, -0x1.4b7e683d685c6p-14, -0x1.398fb2bbb9f87p-14, -0x1.283d0c236148cp-14, -0x1.17806a3d1d51fp-14, -0x1.07540727dacf5p-14, -0x1.ef64bd06f2ee3p-15, -0x1.d12c5583b566bp-15, -0x1.b3f4c5127442bp-15, -0x1.97b46c5e31c06p-15, -0x1.7c621a9867503p-15, -0x1.61f508c9dddabp-15, -0x1.4864d5509da7fp-15, -0x1.2fa97f8697908p-15, -0x1.17bb638f9e1c1p-15, -0x1.0093365674c6fp-15, -0x1.d4540350571f4p-16, -0x1.a8f240e0bd9c1p-16, -0x1.7ef4764efc669p-16, -0x1.564e88b142695p-16, -0x1.2ef4ea9b572a2p-16, -0x1.08dc95b45832cp-16, -0x1.c7f60918e3c5ap-17, -0x1.808c595f5f465p-17, -0x1.3b68f1ec4c1f1p-17, -0x1.f0f310401a9f4p-18, -0x1.6f594cd10efc1p-18, -0x1.e3c6896d11377p-19, -0x1.e1c496b78de32p-20, -0x1.7246d42a5b13p-25, 0x1.bb7e1c58bab59p-20, 0x1.b9ed9e34a3ea3p-19, 0x1.477bc404fc97fp-18, 0x1.ae87b27110a8dp-18, 0x1.0919646748171p-17, 0x1.394a12fab2f0cp-17, 0x1.67e0f36bde2ecp-17, 0x1.94e899e2208ecp-17, 0x1.c06b2671cc8d3p-17, 0x1.ea724b39b3c3dp-17, 0x1.0983a91439ee5p-16, 0x1.1d19913c7a55fp-16, 0x1.2fff22f86c3bfp-16, 0x1.423876f947fdep-16, 0x1.53c97c219700ap-16, 0x1.64b5f9d04e23bp-16, 0x1.750192116237ep-16, 0x1.84afc3a5db5f7p-16, 0x1.93c3ec1071ff7p-16, 0x1.a241496e24917p-16, 0x1.b02afc3eb75d5p-16, 0x1.bd840924d30bdp-16, 0x1.ca4f5a6e40e86p-16, 0x1.d68fc1b87c743p-16, 0x1.e247f95c0ffd4p-16, 0x1.ed7aa5c868592p-16, 0x1.f82a56ddb5fcep-16, 0x1.012cc493aefbcp-15, 0x1.060553857329fp-15, 0x1.0aa004f3f4261p-15, 0x1.0efdfd91a132bp-15, 0x1.13205a958af03p-15, 0x1.1708322cdc4d2p-15, 0x1.1ab693f71639p-15, 0x1.1e2c896af1ce1p-15, 0x1.216b163d71497p-15, 0x1.247338ba9b7a8p-15, 0x1.2745ea28ec44dp-15, 0x1.29e41f17f927fp-15, 0x1.2c4ec7abbadaap-15, 0x1.2e86cfec2daap-15, 0x1.308d200712d9bp-15, 0x1.32629c907f688p-15, 0x1.340826bf4061cp-15, 0x1.357e9ca4a2e0dp-15, 0x1.36c6d9606c6bcp-15, 0x1.37e1b551aad14p-15, 0x1.38d006456b329p-15, 0x1.39929f9703055p-15, 0x1.3a2a52624b791p-15, 0x1.3a97eda26785fp-15, 0x1.3adc3e4fd9cd3p-15, 0x1.3af80f8005484p-15, 0x1.3aec2a7ffd21fp-15, 0x1.3ab956ece59e5p-15, 0x1.3a605acd5af1dp-15, 0x1.39e1fa9bc849ap-15, 0x1.393ef96638d43p-15, 0x1.387818d4fadebp-15, 0x1.378e193c7acedp-15, 0x1.3681b9a8e9f57p-15, 0x1.3553b7e981951p-15, 0x1.3404d09acf1b9p-15, 0x1.3295bf2b057fcp-15, 0x1.31073de96a02ap-15, 0x1.2f5a05fecd5d6p-15, 0x1.2d8ecf7e47387p-15, 0x1.2ba651632544p-15, 0x1.29a1419220b4fp-15, 0x1.278054dc3c895p-15, 0x1.25443effa9f44p-15, 0x1.22edb2a78da3ep-15, 0x1.207d616829f8bp-15, 0x1.1df3fbc3dd52ap-15, 0x1.1b52311c5f016p-15, 0x1.1898afbe5528ep-15, 0x1.15c824d657fc1p-15, 0x1.12e13c6c6ea8p-15, 0x1.0fe4a16290574p-15, 0x1.0cd2fd6e7517p-15, 0x1.09acf915843f2p-15, 0x1.06733ba656707p-15, 0x1.03266b34e647cp-15, 0x1.ff8e592a5c87ap-16, 0x1.f8ac469ce54d4p-16, 0x1.f1a7e341161eap-16, 0x1.ea8270eb733d7p-16, 0x1.e33d2ec00129ap-16, 0x1.dbd9591b5a6bap-16, 0x1.d45829942647dp-16, 0x1.ccbad6e72df2ap-16, 0x1.c50294e89e303p-16, 0x1.bd30947d930c8p-16, 0x1.b54603824df0cp-16, 0x1.ad440cd08dd0ep-16, 0x1.a52bd82658f8bp-16, 0x1.9cfe8a1f071p-16, 0x1.94bd441f9a0acp-16, 0x1.8c69245878984p-16, 0x1.840345ae10a2ep-16, 0x1.7b8cbfb4e2e72p-16, 0x1.7306a6a2634c7p-16, 0x1.6a720b44a6269p-16, 0x1.61cffafab1c23p-16, 0x1.59217fa1f05b8p-16, 0x1.50679f98bfd78p-16, 0x1.47a35dae122dp-16, 0x1.3ed5b91abe065p-16, 0x1.35ffad78f4874p-16, 0x1.2d2232c438a73p-16, 0x1.243e3d3668eb6p-16, 0x1.1b54bd6cc74c5p-16, 0x1.1266a0402b8bap-16, 0x1.0974cecab7177p-16, 0x1.00802e60c464dp-16, 0x1.ef134118741e7p-17, 0x1.dd24061a3e928p-17, 0x1.cb345f89eb6e5p-17, 0x1.b945f99430df8p-17, 0x1.a75a78ab80746p-17, 0x1.9573798994dd6p-17, 0x1.8392912a1e991p-17, 0x1.71b94cce020e8p-17, 0x1.5fe931f018214p-17, 0x1.4e23be481d08ap-17, 0x1.3c6a67c4ab499p-17, 0x1.2abe9c9470929p-17, 0x1.1921c32055acbp-17, 0x1.07953a0f9cf8fp-17, 0x1.ec34b08fe572fp-18, 0x1.c964d9e95e4a1p-18, 0x1.a6bd7f0c0c505p-18, 0x1.84411f8ecf5ecp-18, 0x1.61f22b7226249p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.875d89f17e143p-1, 0x1.7cd5993e9cf0ep-1, 0x1.720e1b3735785p-1, 0x1.670db548a0d54p-1, 0x1.5bdae9c7a1ad4p-1, 0x1.507c13f10469ep-1, 0x1.44f7647d4e90ap-1, 0x1.3952debaf3e91p-1, 0x1.2d9456236101ap-1, 0x1.21c16c5ffae5fp-1, 0x1.15df8fb5087b1p-1, 0x1.09f3f9c92e4b4p-1, 0x1.fc075d81cb75ap-2, 0x1.e426f94bede8ep-2, 0x1.cc4ff6273a55p-2, 0x1.b48b164109d32p-2, 0x1.9ce0af00b75cp-2, 0x1.8558a9ae356ffp-2, 0x1.6dfa8471574dap-2, 0x1.56cd539fc9359p-2, 0x1.3fd7c35079957p-2, 0x1.2920192be7f4dp-2, 0x1.12ac367166389p-2, 0x1.f9033454060efp-3, 0x1.cd4ac704b2b79p-3, 0x1.a238a88a223fap-3, 0x1.77d5a6e0aecfep-3, 0x1.4e29dfc22a8f4p-3, 0x1.253cc61e3b72p-3, 0x1.fa2a4f57c619dp-4, 0x1.ab72651896a6fp-4, 0x1.5e5cf5ef687e5p-4, 0x1.12f401dc14d9dp-4, 0x1.9280d79568ae8p-5, 0x1.029409c405b25p-5, 0x1.d8bcbdd07500cp-7, -0x1.2a21919a42664p-9, -0x1.2fac25673e72fp-6, -0x1.1964cbb0901c3p-5, -0x1.974808cd05df1p-5, -0x1.08bd983aec22cp-4, -0x1.43fd9b4382f7bp-4, -0x1.7d6344428338bp-4, -0x1.b4ee7d2ab5af3p-4, -0x1.ea9fd9bd4d22cp-4, -0x1.0f3c473558033p-3, -0x1.283d33bb90e2fp-3, -0x1.4053e031f0715p-3, -0x1.5781bdce77255p-3, -0x1.6dc87d35af91ap-3, -0x1.832a0a95fb16p-3, -0x1.97a889e4a6e2p-3, -0x1.ab46533c777bep-3, -0x1.be05ef5d25f92p-3, -0x1.cfea144b4853cp-3, -0x1.e0f5a2100cb14p-3, -0x1.f12b9f9825c09p-3, -0x1.00479bd896db5p-2, -0x1.0791db126c63dp-2, -0x1.0e7642789c1f6p-2, -0x1.14f694cea4243p-2, -0x1.1b14a1548b61cp-2, -0x1.20d2428c58df9p-2, -0x1.26315d0c989e5p-2, -0x1.2b33de5f86515p-2, -0x1.2fdbbbee8273fp-2, -0x1.342af1f97a37p-2, -0x1.38238299dcacfp-2, -0x1.3bc774d0ceec1p-2, -0x1.3f18d3a04179bp-2, -0x1.4219ad2e91aa5p-2, -0x1.44cc11f46a721p-2, -0x1.473213f48aeb9p-2, -0x1.494dc5fd2d186p-2, -0x1.4b213af2ba2cbp-2, -0x1.4cae852388aa9p-2, -0x1.4df7b5a454423p-2, -0x1.4efedbb53568p-2, -0x1.4fc6042ec826bp-2, -0x1.504f38f74e452p-2, -0x1.509c807f80ac3p-2, -0x1.50afdd46dad3cp-2, -0x1.508b4d6721531p-2, -0x1.5030ca26e9162p-2, -0x1.4fa24792e59a3p-2, -0x1.4ee1b41dc8faap-2, -0x1.4df0f84680261p-2, -0x1.4cd1f644920eep-2, -0x1.4b8689ba74194p-2, -0x1.4a10876da1348p-2, -0x1.4871bd043b524p-2, -0x1.46abf0c8140d7p-2, -0x1.44c0e16edf5fp-2, -0x1.42b245e76fd3fp-2, -0x1.4081cd2bc46afp-2, -0x1.3e311e17c1d51p-2, -0x1.3bc1d7446c007p-2, -0x1.39358ee773812p-2, -0x1.368dd2b6eb4dcp-2, -0x1.33cc27d103301p-2, -0x1.30f20aa79d218p-2, -0x1.2e00eeef8fd67p-2, -0x1.2afa3f937cf58p-2, -0x1.27df5eaa04e2fp-2, -0x1.24b1a56f4292cp-2, -0x1.217264415f71ap-2, -0x1.1e22e2a0210b2p-2, -0x1.1ac45f2f4d3f5p-2, -0x1.17580fbbbf33fp-2, -0x1.13df214311bcbp-2, -0x1.105ab7fdb4922p-2, -0x1.0ccbef6b581b4p-2, -0x1.0933da618601ep-2, -0x1.0593831c4c2f1p-2, -0x1.01ebeb50dcb6fp-2, -0x1.fc7c188407d71p-3, -0x1.f515adacb0e11p-3, -0x1.eda6676012549p-3, -0x1.e630068c5801ap-3, -0x1.deb43bfef197p-3, -0x1.d734a89c9fb38p-3, -0x1.cfb2dd9bec354p-3, -0x1.c8305cc1e2aebp-3, -0x1.c0ae98a0cc4eap-3, -0x1.b92ef4d8d1537p-3, -0x1.b1b2c65a46dd8p-3, -0x1.aa3b53a98b37ap-3, -0x1.a2c9d52435a73p-3, -0x1.9b5f754789ee8p-3, -0x1.93fd50f7f10d9p-3, -0x1.8ca477c965a9dp-3, -0x1.8555ec48a1181p-3, -0x1.7e12a444f7716p-3, -0x1.76db891aafae8p-3, -0x1.6fb177fdca979p-3, -0x1.689542450e503p-3, -0x1.6187adb53c1c3p-3, -0x1.5a8974cc5d02ap-3, -0x1.539b470cfb174p-3, -0x1.4cbdc94945a7ap-3, -0x1.45f195edf36f8p-3, -0x1.3f373d4cd6847p-3, -0x1.388f45e70dbcdp-3, -0x1.31fa2cb6c11adp-3, -0x1.2b78657847cc7p-3, -0x1.250a5af2c08e9p-3, -0x1.1eb06f3ff4dc5p-3, -0x1.186afc137d3eap-3, -0x1.123a53012255ep-3, -0x1.0c1ebdc2611b3p-3, -0x1.06187e7b098dcp-3, -0x1.0027cffcf529p-3, -0x1.f499cc15676b8p-4, -0x1.e90fdb328e31ap-4, -0x1.ddb21a217efe4p-4, -0x1.d280c9179d8e1p-4, -0x1.c77c1c2c7a518p-4, -0x1.bca43bd4675dfp-4, -0x1.b1f94558d5245p-4, -0x1.a77b4b4e35d63p-4, -0x1.9d2a56079fc51p-4, -0x1.93066407df371p-4, -0x1.890f6a7034bccp-4, -0x1.7f45556c8b9b7p-4, -0x1.75a8089d3b793p-4, -0x1.6c375f7e4c238p-4, -0x1.62f32dcc3982fp-4, -0x1.59db3fe637e73p-4, -0x1.50ef5b2df7cbcp-4, -0x1.482f3e64eb5d2p-4, -0x1.3f9aa2070ea19p-4, -0x1.373138a334061p-4, -0x1.2ef2af30db78cp-4, -0x1.26dead63951f1p-4, -0x1.1ef4d5fbf493ap-4, -0x1.1734c7161cc4fp-4, -0x1.0f9e1a75e7172p-4, -0x1.083065d0aca64p-4, -0x1.00eb3b14bb281p-4, -0x1.f39c515cf1e5ap-5, -0x1.e5b1739685137p-5, -0x1.d814ed3411719p-5, -0x1.cac5c9136fbdp-5, -0x1.bdc30d0ae36d6p-5, -0x1.b10bba5d42131p-5, -0x1.a49ece29e6c55p-5, -0x1.987b41d87ea52p-5, -0x1.8ca00b80c6bb3p-5, -0x1.810c1e4e4b06ep-5, -0x1.75be6ae040c7p-5, -0x1.6ab5dfa587f36p-5, -0x1.5ff16934f2dcfp-5, -0x1.556ff2a1dedd1p-5, -0x1.4b3065cd3ba2p-5, -0x1.4131abb30dc2ep-5, -0x1.3772acb48cap-5, -0x1.2df250dee45b9p-5, -0x1.24af802ebc484p-5, -0x1.1ba922d08f2ep-5, -0x1.12de215def134p-5, -0x1.0a4d6517c78a3p-5, -0x1.01f5d81db5082p-5, -0x1.f3accb4507d5dp-6, -0x1.e3dbf43bdb655p-6, -0x1.d47706f750451p-6, -0x1.c57be28fb99c2p-6, -0x1.b6e869b22e4b4p-6, -0x1.a8ba82ef8b03p-6, -0x1.9af01906b461ep-6, -0x1.8d871b2a40813p-6, -0x1.807d7d41b9e77p-6, -0x1.73d1382693195p-6, -0x1.678049dcf5b52p-6, -0x1.5b88b5c8996efp-6, -0x1.4fe884ddb483dp-6, -0x1.449dc5ce3c886p-6, -0x1.39a68d338bfa4p-6, -0x1.2f00f5b496195p-6, -0x1.24ab2028c52ep-6, -0x1.1aa333b7ab596p-6, -0x1.10e75df59a56dp-6, -0x1.0775d2fd4bb41p-6, -0x1.fc999b0d68797p-7, -0x1.ead51df63aae8p-7, -0x1.d99abf0d4c338p-7, -0x1.c8e71c4e8da8dp-7, -0x1.b8b6e172db2c7p-7, -0x1.a906c804b8f7dp-7, -0x1.99d397709ed5bp-7, -0x1.8b1a25112c816p-7, -0x1.7cd75437674e4p-7, -0x1.6f08162f200e5p-7, -0x1.61a96a3fdf827p-7, -0x1.54b85daa4e129p-7, -0x1.48320ba273b05p-7, -0x1.3c139d46d2fd4p-7, -0x1.305a4994ae609p-7, -0x1.250355597df11p-7, -0x1.1a0c1321d4b1ap-7, -0x1.0f71e325cf4c1p-7, -0x1.0532333334674p-7, -0x1.f694fd2ad3d8p-8, -0x1.e3709bf6c0dd6p-8, -0x1.d0f26eb72ba29p-8, -0x1.bf15bbac9f87bp-8, -0x1.add5e32c57f38p-8, -0x1.9d2e5f5e481bfp-8, -0x1.8d1ac3f842bfdp-8, -0x1.7d96bdf678256p-8, -0x1.6e9e135180f7fp-8, -0x1.602ca2b22627bp-8, -0x1.523e632319053p-8, -0x1.44cf63c0c8a1fp-8, -0x1.37dbcb6781c7dp-8, -0x1.2b5fd86005b8p-8, -0x1.1f57e00abed0fp-8, -0x1.13c04e89bcc52p-8, -0x1.0895a6699d88fp-8, -0x1.fba900930a0f3p-9, -0x1.e6f31504969cep-9, -0x1.d3031199f5995p-9, -0x1.bfd2a7d1894cap-9, -0x1.ad5bb2810d628p-9, -0x1.9b98351ffcd18p-9, -0x1.8a825b11896bcp-9, -0x1.7a1476ee5d64ep-9, -0x1.6a4901ce4c847p-9, -0x1.5b1a9a923381ep-9, -0x1.4c84052e208f3p-9, -0x1.3e8029f3fa8dep-9, -0x1.310a14dec9d4dp-9, -0x1.241cf4dec71e8p-9, -0x1.17b41b2654176p-9, -0x1.0bcafa780072dp-9, -0x1.005d2675b71d1p-9, -0x1.eacca5e2619eap-10, -0x1.d5c4a67b971a9p-10, -0x1.c19a3307b0fdep-10, -0x1.ae456c2b019b9p-10, -0x1.9bbead8aa050cp-10, -0x1.89fe8c7cf4a1p-10, -0x1.78fdd6bde7d1ap-10, -0x1.68b59126d3892p-10, -0x1.591ef66a5059ap-10, -0x1.4a3375d405fccp-10, -0x1.3becb20c8f456p-10, -0x1.2e447fe196eedp-10, -0x1.2134e512352a2p-10, -0x1.14b8171fa22ecp-10, -0x1.08c87a2265363p-10, -0x1.fac13f47cd8dep-11, -0x1.e4f68af93e551p-11, -0x1.d026a96d94675p-11, -0x1.bc47c0eb79da8p-11, -0x1.a95049c3bdc65p-11, -0x1.97370c3298d6ep-11, -0x1.85f31e4a51d7ap-11, -0x1.757be1e744b02p-11, -0x1.65c902ad5220bp-11, -0x1.56d2740eb6723p-11, -0x1.48906f5c48729p-11, -0x1.3afb71df19c32p-11, -0x1.2e0c3afb7430ep-11, -0x1.21bbca5d2b165p-11, -0x1.16035e2d374ffp-11, -0x1.0adc715090084p-11, -0x1.0040b9b033118p-11, -0x1.ec544d149b6f1p-12, -0x1.d925bd98ec177p-12, -0x1.c6ea7eedbcc2dp-12, -0x1.b597b410e586ep-12, -0x1.a522e5e79589ap-12, -0x1.95820039af298p-12, -0x1.86ab4ebe6ebc3p-12, -0x1.78957a3a335adp-12, -0x1.6b3785ad28701p-12, -0x1.5e88cb92ab8c2p-12, -0x1.5280fb312bd72p-12, -0x1.471815fa57743p-12, -0x1.3c466cfb5585dp-12, -0x1.32049e5cd97e1p-12, -0x1.284b92f2d2061p-12, -0x1.1f147bdb78f1fp-12, -0x1.1658d02d8d4eap-12, -0x1.0e124ab570629p-12, -0x1.063ae7c0f488dp-12, -0x1.fd99c5f32c99cp-13, -0x1.ef856a99d375cp-13, -0x1.e22e25c5ed134p-13, -0x1.d589d244968d1p-13, -0x1.c98eb98307032p-13, -0x1.be338fcc0bf6p-13, -0x1.b36f709f7308ep-13, -0x1.a939db22e9609p-13, -0x1.9f8aaeabd0b73p-13, -0x1.965a27618a3d6p-13, -0x1.8da0daf7c14c1p-13, -0x1.8557b5803c4cp-13, -0x1.7d77f653acb8bp-13, -0x1.75fb2d11130e8p-13, -0x1.6edb36b334f0ap-13, -0x1.68123abbaf874p-13, -0x1.619aa8732f319p-13, -0x1.5b6f343e568dp-13, -0x1.558ad506dfb98p-13, -0x1.4fe8c1b88576cp-13, -0x1.4a846ed13e1bdp-13, -0x1.45598c045c52ep-13, -0x1.406401f0224fp-13, -0x1.3b9fefe55a7ep-13, -0x1.3709a9c086edap-13, -0x1.329db5d43fce7p-13, -0x1.2e58cae4524a7p-13, -0x1.2a37ce314035dp-13, -0x1.2637d193a619dp-13, -0x1.225611a73f8bbp-13, -0x1.1e8ff405081adp-13, -0x1.1ae3058c2fe1bp-13, -0x1.174cf8b96db9dp-13, -0x1.13cba40c60b7p-13, -0x1.105d007a9b217p-13, -0x1.0cff27effea95p-13, -0x1.09b053dc0d0d9p-13, -0x1.066edbcbd324p-13, -0x1.0339341022992p-13, -0x1.000dec6fb3b93p-13, -0x1.f9d75dc9db03cp-14, -0x1.f3a27ccdead2cp-14, -0x1.ed7aeb7b70fb9p-14, -0x1.e75e8cc1549e4p-14, -0x1.e14b6ebfb7ee7p-14, -0x1.db3fc8ae54cacp-14, -0x1.d539f8d675f0ep-14, -0x1.cf38829fe7136p-14, -0x1.c93a0cb06fba4p-14, -0x1.c33d5f1d2a32p-14, -0x1.bd4161ad46d79p-14, -0x1.b7451a2dbbdb6p-14, -0x1.b147aad53bbe9p-14, -0x1.ab4850b82e17cp-14, -0x1.a546624bf2de5p-14, -0x1.9f414df923238p-14, -0x1.993898bc49ea4p-14, -0x1.932bdcd49847p-14, -0x1.8d1ac88038012p-14, -0x1.87051cc5c2c1p-14, -0x1.80eaac4a757dp-14, -0x1.7acb5a34b8905p-14, -0x1.74a7191a98808p-14, -0x1.6e7de9fbc91fap-14, -0x1.684fdb46d58c5p-14, -0x1.621d07e91d675p-14, -0x1.5be5966944187p-14, -0x1.55a9b80bb9dcp-14, -0x1.4f69a80105caap-14, -0x1.4925aa9d7e595p-14, -0x1.42de0c9a1d179p-14, -0x1.3c93225e1dbp-14, -0x1.3645475119fcfp-14, -0x1.2ff4dd35583f6p-14, -0x1.29a24b8a016fcp-14, -0x1.234dfef4f8513p-14, -0x1.1cf868b40994ap-14, -0x1.16a1fe15368a4p-14, -0x1.104b37f5d16b1p-14, -0x1.09f4924832a9dp-14, -0x1.039e8b9fc41acp-14, -0x1.fa9349865039fp-15, -0x1.edecc0888476dp-15, -0x1.e14a843bcee04p-15, -0x1.d4ad9eae0114ep-15, -0x1.c8171b55cfe7p-15, -0x1.bb88066da1d7ep-15, -0x1.af016c5805813p-15, -0x1.a284590d77aap-15, -0x1.9611d79311fa7p-15, -0x1.89aaf179cc8f7p-15, -0x1.7d50ae65f9709p-15, -0x1.7104139e9e64bp-15, -0x1.64c623a46401ap-15, -0x1.5897ddcfbf88bp-15, -0x1.4c7a3df61206cp-15, -0x1.406e3c1569217p-15, -0x1.3474cc06a284bp-15, -0x1.288edd35a0e06p-15, -0x1.1cbd5a5f5873dp-15, -0x1.1101295567dacp-15, -0x1.055b2ac704e74p-15, -0x1.f398741dfacd8p-16, -0x1.dcaa5a0d18d25p-16, -0x1.c5eda7b9a3ebap-16, -0x1.af63f1e56206p-16, -0x1.990ec175ba913p-16, -0x1.82ef933bd2becp-16, -0x1.6d07d7c43fb47p-16, -0x1.5758f32df1bdbp-16, -0x1.41e43d07fb888p-16, -0x1.2cab0035d9ea3p-16, -0x1.17ae7ad9e895ap-16, -0x1.02efde45b19d8p-16, -0x1.dce09ddf85785p-17, -0x1.b461c8dd80a2dp-17, -0x1.8c6552f2d92edp-17, -0x1.64ed37d6aa767p-17, -0x1.3dfb599bd3eb6p-17, -0x1.179180cb72f7dp-17, -0x1.e362b90e35c93p-18, -0x1.98b90564cca0cp-18, -0x1.4f28e046c1518p-18, -0x1.06b511b2b111fp-18, -0x1.7ec060e6cb2ebp-19, -0x1.e4b28a929792ep-20, -0x1.a0e4f21379b51p-21, 0x1.f9bac7c4fe854p-23, 0x1.4a438d34732ap-20, 0x1.2855bf2ad0a9cp-19, 0x1.a9349e96981ep-19, 0x1.13dde373a3c3ep-18, 0x1.51f47924d35c2p-18, 0x1.8edd18c1e7315p-18, 0x1.ca96f5306f75dp-18, 0x1.0290b584cecb2p-17, 0x1.1f3dffe392c8ep-17, 0x1.3b5330762d2a2p-17, 0x1.56d03195fc528p-17, 0x1.71b500c58b6cep-17, 0x1.8c01ae40c9082p-17, 0x1.a5b65c8c3cbfdp-17, 0x1.bed3400359c44p-17, 0x1.d7589e662bf0dp-17, 0x1.ef46ce66832e8p-17, 0x1.034f1b9a60948p-16, 0x1.0eafa8063c737p-16, 0x1.19c54fe08395fp-16, 0x1.24905e2519c1p-16, 0x1.2f1125288befdp-16, 0x1.3947fe5ea775cp-16, 0x1.43354a2151fabp-16, 0x1.4cd96f77a198ap-16, 0x1.5634dbdd4fc47p-16, 0x1.5f48030a88723p-16, 0x1.68135ebc24978p-16, 0x1.70976e7c620ecp-16, 0x1.78d4b76c126p-16, 0x1.80cbc40c5bdp-16, 0x1.887d240906f34p-16, 0x1.8fe96c036cf0dp-16, 0x1.9711355e0169fp-16, 0x1.9df51e088e5d7p-16, 0x1.a495c84d1455cp-16, 0x1.aaf3da9d6afb5p-16, 0x1.b10fff619684ep-16, 0x1.b6eae4c6dc1b3p-16, 0x1.bc853c8fa2293p-16, 0x1.c1dfbbe40d76bp-16, 0x1.c6fb1b2372d4ep-16, 0x1.cbd815b6956fap-16, 0x1.d07769e2b6cebp-16, 0x1.d4d9d89d793fcp-16, 0x1.d90025619e068p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.d431dcd503b1bp-1, 0x1.d0495a2db1eecp-1, 0x1.cc3fc8eceb993p-1, 0x1.c816daa2891bdp-1, 0x1.c3d03ec8f2a83p-1, 0x1.bf6da1b3723b6p-1, 0x1.baf0ab973244p-1, 0x1.b65affad3070ap-1, 0x1.b1ae3b6b83b9fp-1, 0x1.acebf5d45d4a1p-1, 0x1.a815bed9413c1p-1, 0x1.a32d1ed10d753p-1, 0x1.9e3395ff6ec01p-1, 0x1.992a9c2c7f96dp-1, 0x1.9413a04b5d9fap-1, 0x1.8ef0082e93cf5p-1, 0x1.89c13049492c8p-1, 0x1.84886b7c394b7p-1, 0x1.7f4702ed82319p-1, 0x1.79fe35ea6c2bep-1, 0x1.74af39d258b41p-1, 0x1.6f5b3a0a12431p-1, 0x1.6a0357f6c61bdp-1, 0x1.64a8aafffb35cp-1, 0x1.5f4c4097e46e7p-1, 0x1.59ef1c49760e8p-1, 0x1.549237cbb1032p-1, 0x1.4f368319a0858p-1, 0x1.49dce48e8db74p-1, 0x1.44863905f4e2p-1, 0x1.3f3353fed1404p-1, 0x1.39e4ffc1dccd4p-1, 0x1.349bfd8a6401bp-1, 0x1.2f5905b1590c9p-1, 0x1.2a1cc7da559b7p-1, 0x1.24e7eb22414f3p-1, 0x1.1fbb0e4f58e97p-1, 0x1.1a96c802551c9p-1, 0x1.157ba6e87992dp-1, 0x1.106a31ee55dbcp-1, 0x1.0b62e87306ff1p-1, 0x1.0666427bcdb82p-1, 0x1.0174b0e7d1ff2p-1, 0x1.f91d3b47da548p-2, 0x1.ef68d7bcb6dccp-2, 0x1.e5ccf0746b096p-2, 0x1.dc4a32052fb34p-2, 0x1.d2e13cbac21ecp-2, 0x1.c992a4fadd85p-2, 0x1.c05ef3a893a91p-2, 0x1.b746a6865dc5ep-2, 0x1.ae4a3096c85dp-2, 0x1.a569fa7ba84eap-2, 0x1.9ca662d3b52bp-2, 0x1.93ffbe96892c7p-2, 0x1.8b76596ee25bp-2, 0x1.830a76132a8fbp-2, 0x1.7abc4e9c313bap-2, 0x1.728c14da0f798p-2, 0x1.6a79f2a733c51p-2, 0x1.62860a399244cp-2, 0x1.5ab07671ec744p-2, 0x1.52f94b293e41fp-2, 0x1.4b60957c42fdep-2, 0x1.43e65c151b561p-2, 0x1.3c8a9f73114c1p-2, 0x1.354d5a3084b25p-2, 0x1.2e2e8146f6f46p-2, 0x1.272e04514bb77p-2, 0x1.204bcdcc3120fp-2, 0x1.1987c354c6a28p-2, 0x1.12e1c5e5789dap-2, 0x1.0c59b2112439ap-2, 0x1.05ef603c828a4p-2, 0x1.ff4549abc25edp-3, 0x1.f2e6a1166de33p-3, 0x1.e6c260fd2611bp-3, 0x1.dad81cf1e881p-3, 0x1.cf2762371a7c8p-3, 0x1.c3afb81efacdbp-3, 0x1.b870a0680bb57p-3, 0x1.ad6997968a2fcp-3, 0x1.a29a154af4468p-3, 0x1.98018c95befd1p-3, 0x1.8d9f6c483f5abp-3, 0x1.83731f42d2e37p-3, 0x1.797c0cc0672a9p-3, 0x1.6fb9989f5a55dp-3, 0x1.662b23a7d199p-3, 0x1.5cd00bcf8e751p-3, 0x1.53a7ac7b56154p-3, 0x1.4ab15ebdef2f3p-3, 0x1.41ec7994cfea1p-3, 0x1.3958522281f29p-3, 0x1.30f43be6cc935p-3, 0x1.28bf88f4b5866p-3, 0x1.20b98a265ea95p-3, 0x1.18e18f4ed4cdfp-3, 0x1.1136e769dcda4p-3, 0x1.09b8e0c9c0f9fp-3, 0x1.0266c9433924dp-3, 0x1.f67fdcaeedcd6p-4, 0x1.e8873ab8a70bbp-4, 0x1.dae247458af54p-4, 0x1.cd8f9d372715bp-4, 0x1.c08dd7f4b0039p-4, 0x1.b3db93adcebd8p-4, 0x1.a7776d9a316ffp-4, 0x1.9b6004360b9e2p-4, 0x1.8f93f77b8fe2ep-4, 0x1.8411e9197adbbp-4, 0x1.78d87ca6cb368p-4, 0x1.6de657d3b333dp-4, 0x1.633a2297de867p-4, 0x1.58d2875e1da1bp-4, 0x1.4eae332d8ca16p-4, 0x1.44cbd5d04842fp-4, 0x1.3b2a21f7c60dap-4, 0x1.31c7cd5edf7d7p-4, 0x1.28a390e9a7f1ep-4, 0x1.1fbc28c31aeb8p-4, 0x1.17105478b83c6p-4, 0x1.0e9ed7141d1fp-4, 0x1.06667732afd6cp-4, 0x1.fccbfe36d2ef8p-5, 0x1.ed3879a5a7a36p-5, 0x1.de10045a90534p-5, 0x1.cf5049bf04ec9p-5, 0x1.c0f6fd1b291c3p-5, 0x1.b301d9b09bb8cp-5, 0x1.a56ea2d243fd6p-5, 0x1.983b23f94348ep-5, 0x1.8b6530d71f154p-5, 0x1.7eeaa5654818ep-5, 0x1.72c965f2167edp-5, 0x1.66ff5f2b5322ap-5, 0x1.5b8a862670ff6p-5, 0x1.5068d86686a64p-5, 0x1.45985be02876ap-5, 0x1.3b171efb38b3p-5, 0x1.30e33892c55fep-5, 0x1.26fac7f30d422p-5, 0x1.1d5bf4d5c0649p-5, 0x1.1404ef5c946c3p-5, 0x1.0af3f00a3eac1p-5, 0x1.022737b9eeb74p-5, 0x1.f33a1f2aaf053p-6, 0x1.e2a79212be086p-6, 0x1.d2937b73084aap-6, 0x1.c2fa9ee425336p-6, 0x1.b3d9d0325e545p-6, 0x1.a52df33dacf9p-6, 0x1.96f3fbd7ae475p-6, 0x1.8928ed9fb8de1p-6, 0x1.7bc9dbdd3234p-6, 0x1.6ed3e9583aeffp-6, 0x1.62444830dddabp-6, 0x1.561839b4c9286p-6, 0x1.4a4d0e33c62c7p-6, 0x1.3ee024d2f680bp-6, 0x1.33ceeb5ef42eap-6, 0x1.2916de1cf9715p-6, 0x1.1eb5879b122dap-6, 0x1.14a8807f86f9p-6, 0x1.0aed6f577e2bbp-6, 0x1.01820864fe9dep-6, 0x1.f0c81ad8aaf2dp-7, 0x1.df229b01fefb4p-7, 0x1.ce0f49a444c03p-7, 0x1.bd89f8ed4fc53p-7, 0x1.ad8e947219d26p-7, 0x1.9e1920c5e9804p-7, 0x1.8f25bb111d48bp-7, 0x1.80b098a7b8abap-7, 0x1.72b6069fdaceap-7, 0x1.653269681a5fap-7, 0x1.58223c5e0baf8p-7, 0x1.4b821164e5c3bp-7, 0x1.3f4e907c68009p-7, 0x1.338477581f1bdp-7, 0x1.282098f7103aep-7, 0x1.1d1fdd3be6ad3p-7, 0x1.127f4085b132ep-7, 0x1.083bd34943817p-7, 0x1.fca5735692c9cp-8, 0x1.e98256363ab97p-8, 0x1.d708e3dcdba66p-8, 0x1.c533d5fb81f4p-8, 0x1.b3fe0a83c3b64p-8, 0x1.a36282e485b69p-8, 0x1.935c6348bfea9p-8, 0x1.83e6f1d857df4p-8, 0x1.74fd95fb1d7c2p-8, 0x1.669bd79e020b9p-8, 0x1.58bd5e7a9360fp-8, 0x1.4b5df160cb719p-8, 0x1.3e79758342724p-8, 0x1.320bedc5c962fp-8, 0x1.26117a0e7f9c8p-8, 0x1.1a86569965109p-8, 0x1.0f66db4e74c61p-8, 0x1.04af7b1a4dc3bp-8, 0x1.f4b98692e4043p-9, 0x1.e0d6b5cc36c9bp-9, 0x1.cdb00431636bfp-9, 0x1.bb3f2315bfe42p-9, 0x1.a97df39a96ddcp-9, 0x1.9866857fe4691p-9, 0x1.87f315fa5811fp-9, 0x1.781e0e8ea70cbp-9, 0x1.68e203f22577dp-9, 0x1.5a39b4f0a7d1fp-9, 0x1.4c200957a824p-9, 0x1.3e9010e6ac9e5p-9, 0x1.31850244e6a75p-9, 0x1.24fa39fc0159dp-9, 0x1.18eb397821236p-9, 0x1.0d53a60d015e9p-9, 0x1.022f48002a48p-9, 0x1.eef41330735b5p-10, 0x1.da5fec625786ap-10, 0x1.c69a72ab33f74p-10, 0x1.b39c3bb9da27cp-10, 0x1.a15e1a1cc47a2p-10, 0x1.8fd91b91dd46ap-10, 0x1.7f06875fb4fap-10, 0x1.6edfdcb82ce24p-10, 0x1.5f5ed12474e42p-10, 0x1.507d4efa23cd7p-10, 0x1.423573d971059p-10, 0x1.34818f3452cfep-10, 0x1.275c20de703c8p-10, 0x1.1abfd7a5b9bep-10, 0x1.0ea78ff398a19p-10, 0x1.030e527682a13p-10, 0x1.efdea5a7b4bf7p-11, 0x1.da8bdcc3e850cp-11, 0x1.c61b55d444ed4p-11, 0x1.b2846ae549558p-11, 0x1.9fbec220a8e81p-11, 0x1.8dc24b7fe37bp-11, 0x1.7c873e8dd1b77p-11, 0x1.6c061836dfb66p-11, 0x1.5c3798a7b53e2p-11, 0x1.4d14c139ffbd5p-11, 0x1.3e96d26f1ebd9p-11, 0x1.30b749f86af82p-11, 0x1.236fe0ccd4451p-11, 0x1.16ba894b929e6p-11, 0x1.0a916d6ba7549p-11, 0x1.fdddd9efcff67p-12, 0x1.e79b37aeacf2cp-12, 0x1.d25080c2fa1fp-12, 0x1.bdf3a37d254d9p-12, 0x1.aa7aeca645031p-12, 0x1.97dd046df5753p-12, 0x1.8610eb6e3c0b3p-12, 0x1.750df7c4fb60ep-12, 0x1.64cbd2427619dp-12, 0x1.554273ac6929dp-12, 0x1.466a2215422f5p-12, 0x1.383b6e46ff05bp-12, 0x1.2aaf314139d18p-12, 0x1.1dbe89c9f3a23p-12, 0x1.1162da10a7ab4p-12, 0x1.0595c563384afp-12, 0x1.f4a25be88e283p-13, 0x1.df1e6565113e9p-13, 0x1.ca945a61557dep-13, 0x1.b6f95f3ac3d1ap-13, 0x1.a443059676654p-13, 0x1.9267488f8496bp-13, 0x1.815c890348245p-13, 0x1.711989fabe032p-13, 0x1.61956d305e07cp-13, 0x1.52c7afb1891afp-13, 0x1.44a8269af95b3p-13, 0x1.372efbef5b18dp-13, 0x1.2a54ab877bdaap-13, 0x1.1e12001b420efp-13, 0x1.12601062df17ap-13, 0x1.07383c4f783d6p-13, 0x1.f92854b575d8dp-14, 0x1.e4db89d9455f3p-14, 0x1.d17e6fadd9026p-14, 0x1.bf05dbcb0f9acp-14, 0x1.ad671d06f4e22p-14, 0x1.9c97f6e73de2bp-14, 0x1.8c8e9d3964c7bp-14, 0x1.7d41afd0370bcp-14, 0x1.6ea83665d71b5p-14, 0x1.60b99ca1166bdp-14, 0x1.536dae3d2751bp-14, 0x1.46bc9352a3b7ep-14, 0x1.3a9eccc0ee7fep-14, 0x1.2f0d30b6fbcf6p-14, 0x1.2400e75a90b2ep-14, 0x1.1973678d1128bp-14, 0x1.0f5e73ccfb0a5p-14, 0x1.05bc17332db9fp-14, 0x1.f90d451652f24p-15, 0x1.e771530ae3aa6p-15, 0x1.d69a00068e20ep-15, 0x1.c67d6ef5de93bp-15, 0x1.b71238e795588p-15, 0x1.a84f6832edddap-15, 0x1.9a2c73ca924abp-15, 0x1.8ca13abad42e2p-15, 0x1.7fa5ffd1c8c7ep-15, 0x1.7333656ffb4f8p-15, 0x1.6742698063ap-15, 0x1.5bcc619662c96p-15, 0x1.50caf7308766dp-15, 0x1.4638241ef0d7cp-15, 0x1.3c0e2f0c1f1e7p-15, 0x1.3247a82715479p-15, 0x1.28df65edb7233p-15, 0x1.1fd082164c296p-15, 0x1.171656972538p-15, 0x1.0eac7acb5f96fp-15, 0x1.068ec0b3d044fp-15, 0x1.fd7264a63de57p-16, 0x1.ee501e485aab4p-16, 0x1.dfaf9353ba0ecp-16, 0x1.d18a0a2ec032ap-16, 0x1.c3d926206aad3p-16, 0x1.b696e2fe043f7p-16, 0x1.a9bd9105031aap-16, 0x1.9d47d0df81108p-16, 0x1.91308fd1d58a3p-16, 0x1.8573040fe057p-16, 0x1.7a0aa938996d9p-16, 0x1.6ef33cf69184ap-16, 0x1.6428bbc4101ep-16, 0x1.59a75dd1821bbp-16, 0x1.4f6b940d0e8efp-16, 0x1.4572054a0871bp-16, 0x1.3bb78b872b7adp-16, 0x1.3239315271145p-16, 0x1.28f42f497a0c2p-16, 0x1.1fe5e9b56d7d3p-16, 0x1.170bee4159619p-16, 0x1.0e63f1ca0e853p-16, 0x1.05ebce4685023p-16, 0x1.fb43018fc3f3dp-17, 0x1.eb064f206a241p-17, 0x1.db1e007e2c868p-17, 0x1.cb86cc2691d49p-17, 0x1.bc3da0813341bp-17, 0x1.ad3fa0b25ba69p-17, 0x1.9e8a219312034p-17, 0x1.901aa6cd05e7cp-17, 0x1.81eee0190836p-17, 0x1.7404a69eb4ec6p-17, 0x1.6659fa73ee53ap-17, 0x1.58ed003af80a9p-17, 0x1.4bbbfedde3bc2p-17, 0x1.3ec55d663ef8cp-17, 0x1.3207a0efbc37ap-17, 0x1.25816ab4d80dcp-17, 0x1.193176345d1e4p-17, 0x1.0d16976ec5cd8p-17, 0x1.012fb93a7cec5p-17, 0x1.eaf7b75c17a2ap-18, 0x1.d3f4253e8e71ep-18, 0x1.bd53086d38876p-18, 0x1.a712cf2b41935p-18, 0x1.913207202a136p-18, 0x1.7baf5aed18bb6p-18, 0x1.66898fe3f0c29p-18, 0x1.51bf83deb9d8p-18, 0x1.3d502b35e8ceep-18, 0x1.293a8ed430dcep-18, 0x1.157dca668d578p-18, 0x1.02190aa73d14cp-18, 0x1.de171784faae5p-19, 0x1.b8a92fa7a9832p-19, 0x1.93e70af5a5ff2p-19, 0x1.6fcf6d0c55e8dp-19, 0x1.4c612d68452e7p-19, 0x1.299b350eaf593p-19, 0x1.077c7c5dbca1cp-19, 0x1.cc0812035b1a6p-20, 0x1.8a61d81a3c34dp-20, 0x1.4a0480656aafbp-20, 0x1.0aee503d3df82p-20, 0x1.9a3b33b8eb651p-21, 0x1.2121731207d6bp-21, 0x1.55184bcd842e2p-22, 0x1.b3c0ec9a218dp-24, -0x1.d8ee784568173p-24, -0x1.54718f4861cefp-22, -0x1.16dbf64f90d22p-21, -0x1.810a8ae2f5cc5p-21, -0x1.e8c7be1e0c033p-21, -0x1.270b6a3e6fe6ap-20, -0x1.587d906309053p-20, -0x1.88bc032b2013ap-20, -0x1.b7c87d9649355p-20, -0x1.e5a4c4dde29fcp-20, -0x1.092954a0d8114p-19, -0x1.1eea035d1032dp-19, -0x1.341562c8e8d9bp-19, -0x1.48ac6d73ec44p-19, -0x1.5cb0248e1c6afp-19, -0x1.70219013f6836p-19, -0x1.8301bef0e3f54p-19, -0x1.9551c718be3c6p-19, -0x1.a712c598f4141p-19, -0x1.b845dea1e81ecp-19, -0x1.c8ec3d89151c8p-19, -0x1.d90714c46f994p-19, -0x1.e8979ddf94076p-19, -0x1.f79f196b23dbep-19, -0x1.030f67736c474p-18, -0x1.0a0c06535258fp-18, -0x1.10c613d9abca9p-18, -0x1.173e3dd38dd0bp-18, -0x1.1d75354319978p-18, -0x1.236bae4a21f8ap-18, -0x1.292260134496p-18, -0x1.2e9a04b99af5bp-18, -0x1.33d3592f2dfb1p-18, -0x1.38cf1d22476bap-18, -0x1.3d8e12e1c98dap-18, -0x1.4210ff40a7663p-18, -0x1.4658a9789f05ap-18, -0x1.4a65db0c4e189p-18, -0x1.4e395fa8bf00bp-18, -0x1.51d4050683369p-18, -0x1.55369aca7578dp-18, -0x1.5861f26637f55p-18, -0x1.5b56def8832d1p-18, -0x1.5e16352d5a0adp-18, -0x1.60a0cb1e31939p-18, -0x1.62f7783223d5ep-18, -0x1.651b14fe33d9fp-18, -0x1.670c7b25bcce1p-18, -0x1.68cc853b0fe45p-18, -0x1.6a5c0ea0530a8p-18, -0x1.6bbbf368aadc8p-18, -0x1.6ced1039bba23p-18, -0x1.6df0422d87b05p-18, -0x1.6ec666b4babd2p-18, -0x1.6f705b796271cp-18, -0x1.6feefe4224a74p-18, -0x1.70432cd5f2273p-18, -0x1.706dc4e042e91p-18, -0x1.706fa3d5dcf2bp-18, -0x1.7049a6da2e388p-18, -0x1.6ffcaaa53aa41p-18, -0x1.6f898b6a26096p-18, -0x1.6ef124be5b7bcp-18, -0x1.6e34518155781p-18, -0x1.6d53ebc5080b6p-18, -0x1.6c50ccb6f34c9p-18, -0x1.6b2bcc89dcb93p-18, -0x1.69e5c2602e4dbp-18, -0x1.687f843705b99p-18, -0x1.66f9e6d1e8274p-18, -0x1.6555bda727483p-18, -0x1.6393daccebd17p-18, -0x1.61b50ee6f0a83p-18, -0x1.5fba2914e73fcp-18, -0x1.5da3f6e183b66p-18, -0x1.5b73443237546p-18, -0x1.5928db37907c5p-18, -0x1.56c5845e42115p-18, -0x1.544a0640d2548p-18, -0x1.51b72599ece47p-18, -0x1.4f0da537574ep-18, -0x1.4c4e45ed87982p-18, -0x1.4979c68bd752dp-18, -0x1.4690e3d1569dbp-18, -0x1.4394586235ecdp-18, -0x1.4084dcbdc96e5p-18, -0x1.3d63273523c22p-18, -0x1.3a2febe23ff1bp-18, -0x1.36ebdc9fc06bep-18, -0x1.3397a9013732cp-18, -0x1.3033fe4bfcb71p-18, -0x1.2cc187708e2a6p-18, -0x1.2940ed0470683p-18, -0x1.25b2d53c96972p-18, -0x1.2217e3e8483p-18, -0x1.1e70ba6c8466dp-18, -0x1.1abdf7bfdf34ep-18, -0x1.17003866d5b79p-18, -0x1.1338167096b71p-18, -0x1.0f6629743c72cp-18, -0x1.0b8b068e73abep-18, -0x1.07a7405f90805p-18, -0x1.03bb670a07dd3p-18, -0x1.ff901062a572fp-19, -0x1.f79b5df260486p-19, -0x1.ef99c80a8fc34p-19, -0x1.e78c5af2584bdp-19, -0x1.df741df16268ap-19, -0x1.d75213513cb0ep-19, -0x1.cf27385f67cd5p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.fdfa71ae52016p-4, -0x1.11a3db9da55cap-3, -0x1.24a9c98137119p-3, -0x1.3802659df558dp-3, -0x1.4ba0d8ece7a9dp-3, -0x1.5f782ff88346fp-3, -0x1.737b75598929p-3, -0x1.879dc92f4373cp-3, -0x1.9bd275c773618p-3, -0x1.b00d01aa1d64cp-3, -0x1.c4413f3c46e4fp-3, -0x1.d8635a2b180a7p-3, -0x1.ec67e2ce95ad6p-3, -0x1.0021ebd864b61p-2, -0x1.09f656b1d2646p-2, -0x1.13ac2a66acabep-2, -0x1.1d3ea00822365p-2, -0x1.26a933188d32ap-2, -0x1.2fe7a2cdc4d7ap-2, -0x1.38f5f2d1a9608p-2, -0x1.41d06b8ebafafp-2, -0x1.4a739a15a1b58p-2, -0x1.52dc4fa776151p-2, -0x1.5b07a0efbc518p-2, -0x1.62f2e4f8245b7p-2, -0x1.6a9bb3df4f03fp-2, -0x1.71ffe55b155a6p-2, -0x1.791d8f0e19aep-2, -0x1.7ff302b7bb7bcp-2, -0x1.867ecc44e8c64p-2, -0x1.8cbfafc7b162p-2, -0x1.92b4a75af1cc7p-2, -0x1.985ce0f6ea494p-2, -0x1.9db7bc3b1d9ep-2, -0x1.a2c4c83159d2ap-2, -0x1.a783c10d70ffep-2, -0x1.abf48decb41afp-2, -0x1.b0173e97fbbe5p-2, -0x1.b3ec094aa162cp-2, -0x1.b77348808e598p-2, -0x1.baad78cd371f1p-2, -0x1.bd9b36bd18152p-2, -0x1.c03d3cc3130cbp-2, -0x1.c2946132ca9cbp-2, -0x1.c4a19448f5f73p-2, -0x1.c665de426aca4p-2, -0x1.c7e25d8282fb5p-2, -0x1.c91844c94e64p-2, -0x1.ca08d979ed5bap-2, -0x1.cab571f14c5a6p-2, -0x1.cb1f73ed6221ep-2, -0x1.cb485304f8564p-2, -0x1.cb318f2ff2a7fp-2, -0x1.cadcb35ffdaf1p-2, -0x1.ca4b54296e7edp-2, -0x1.c97f0e7c2452cp-2, -0x1.c879866c22721p-2, -0x1.c73c6609923e3p-2, -0x1.c5c95c47dabd5p-2, -0x1.c4221bf36f128p-2, -0x1.c2485ab5ef2b8p-2, -0x1.c03dd0283a53dp-2, -0x1.be0434f20234ap-2, -0x1.bb9d41f677c79p-2, -0x1.b90aaf8da216ap-2, -0x1.b64e34c9f297ep-2, -0x1.b36986c9a76e8p-2, -0x1.b05e58138bdc5p-2, -0x1.ad2e57fead557p-2, -0x1.a9db322495f0ep-2, -0x1.a6668ddda38a7p-2, -0x1.a2d20dc711259p-2, -0x1.9f1f4f524c199p-2, -0x1.9b4fea5d32f23p-2, -0x1.976570d2d71b1p-2, -0x1.93616e546418fp-2, -0x1.8f4567e9d2988p-2, -0x1.8b12dbba01493p-2, -0x1.86cb40c9ecb61p-2, -0x1.827006c29d6f7p-2, -0x1.7e0295bd8a1c9p-2, -0x1.79844e1712dc1p-2, -0x1.74f68846ce42p-2, -0x1.705a94bd593b9p-2, -0x1.6bb1bbc763e8ap-2, -0x1.66fd3d75b57f5p-2, -0x1.623e5189e30c9p-2, -0x1.5d76276777fb4p-2, -0x1.58a5e60953bp-2, -0x1.53ceabfafc74cp-2, -0x1.4ef18f55b2ec6p-2, -0x1.4a0f9dc1095dcp-2, -0x1.4529dc76caf02p-2, -0x1.4041484a00b5ep-2, -0x1.3b56d5b0e181p-2, -0x1.366b70d17c209p-2, -0x1.317ffd90ee49bp-2, -0x1.2c9557a500264p-2, -0x1.27ac52a7f428ap-2, -0x1.22c5ba2e6784cp-2, -0x1.1de251df19f6fp-2, -0x1.1902d58c77e63p-2, -0x1.1427f94fc5e77p-2, -0x1.0f5269a5c6ebbp-2, -0x1.0a82cb8cbfa3dp-2, -0x1.05b9bca3b92f6p-2, -0x1.00f7d34adf79p-2, -0x1.f87b3d89c8c09p-3, -0x1.ef174eb297f83p-3, -0x1.e5c4dcef05788p-3, -0x1.dc84ddb555e18p-3, -0x1.d358395c0ce55p-3, -0x1.ca3fcb63cf857p-3, -0x1.c13c62c223f91p-3, -0x1.b84ec22cf073dp-3, -0x1.af77a0668a2dcp-3, -0x1.a6b7a88a325ecp-3, -0x1.9e0f7a58dfc11p-3, -0x1.957faa86332d1p-3, -0x1.8d08c30574202p-3, -0x1.84ab435680117p-3, -0x1.7c67a0d28884ep-3, -0x1.743e46f88c82p-3, -0x1.6c2f97b96f86bp-3, -0x1.643bebc399ba6p-3, -0x1.5c6392ce0e086p-3, -0x1.54a6d3e2d919cp-3, -0x1.4d05eda8d68b9p-3, -0x1.458116aca5ad2p-3, -0x1.3e187da8d4d0ep-3, -0x1.36cc49cd1d5b4p-3, -0x1.2f9c9b04b87bfp-3, -0x1.28898a3bab23cp-3, -0x1.219329a30cbcp-3, -0x1.1ab984f43d302p-3, -0x1.13fca1b2f1a87p-3, -0x1.0d5c7f6e2609p-3, -0x1.06d917ffd389fp-3, -0x1.00725fcb7d201p-3, -0x1.f4508bf6f2277p-4, -0x1.e7f56979ef8f4p-4, -0x1.dbd322f59d6e4p-4, -0x1.cfe97a2dd70f6p-4, -0x1.c438284514e28p-4, -0x1.b8bede2a20a73p-4, -0x1.ad7d450337a45p-4, -0x1.a272fe96840ebp-4, -0x1.979fa5aff2e53p-4, -0x1.8d02ce8461dd1p-4, -0x1.829c0712293cbp-4, -0x1.786ad77f03eebp-4, -0x1.6e6ec27354ebap-4, -0x1.64a74572d1315p-4, -0x1.5b13d9328e751p-4, -0x1.51b3f1ec7f012p-4, -0x1.4886ffb05e16fp-4, -0x1.3f8c6eb213b14p-4, -0x1.36c3a7959628dp-4, -0x1.2e2c0fb852006p-4, -0x1.25c509781e2dcp-4, -0x1.1d8df477c5d76p-4, -0x1.15862de131087p-4, -0x1.0dad10a53362bp-4, -0x1.0601f5b90da78p-4, -0x1.fd0868a34dadcp-5, -0x1.ee6644391a295p-5, -0x1.e01c26ed85718p-5, -0x1.d228b742cd595p-5, -0x1.c48a99e87ffffp-5, -0x1.b740721c71afdp-5, -0x1.aa48e207a5db7p-5, -0x1.9da28b1746a96p-5, -0x1.914c0e51b814dp-5, -0x1.85440ca7e7009p-5, -0x1.79892742e5d46p-5, -0x1.6e19ffcdef46p-5, -0x1.62f538bce3011p-5, -0x1.5819758f59bd1p-5, -0x1.4d855b106149ap-5, -0x1.43378f92f98d2p-5, -0x1.392ebb2b6a07ep-5, -0x1.2f6987e586609p-5, -0x1.25e6a1f7f662fp-5, -0x1.1ca4b7f49901dp-5, -0x1.13a27af61aa55p-5, -0x1.0ade9ecad05bap-5, -0x1.0257da1cf0e82p-5, -0x1.f419cd307b438p-6, -0x1.e3f9021a6bbe1p-6, -0x1.d44ad323c6b85p-6, -0x1.c50cc740ada7cp-6, -0x1.b63c6c65d9704p-6, -0x1.a7d757bcc932p-6, -0x1.99db25d3d18e5p-6, -0x1.8c457aca27d73p-6, -0x1.7f1402780e738p-6, -0x1.724470934b48cp-6, -0x1.65d480d00cc28p-6, -0x1.59c1f6fe5bb87p-6, -0x1.4e0a9f24419c5p-6, -0x1.42ac4d94c61e2p-6, -0x1.37a4df03dc33ep-6, -0x1.2cf238976f12bp-6, -0x1.229247f599a7ap-6, -0x1.188303503e0abp-6, -0x1.0ec2696e09974p-6, -0x1.054e81b10af4fp-6, -0x1.f84ab835e99dap-7, -0x1.e68a229e54259p-7, -0x1.d55785255e54cp-7, -0x1.c4af339427c33p-7, -0x1.b48d92eafeff9p-7, -0x1.a4ef1955c0f67p-7, -0x1.95d04e1ce211fp-7, -0x1.872dc993254c8p-7, -0x1.790435004a63cp-7, -0x1.6b504a88d38b8p-7, -0x1.5e0ed5130e418p-7, -0x1.513cb02986a92p-7, -0x1.44d6c7db14724p-7, -0x1.38da18989fd3fp-7, -0x1.2d43af10c7fc8p-7, -0x1.2210a8098d056p-7, -0x1.173e303821065p-7, -0x1.0cc9841701a26p-7, -0x1.02afefba7929dp-7, -0x1.f1dd9d474fed9p-8, -0x1.df071724637d6p-8, -0x1.ccd740a95b9e3p-8, -0x1.bb492b2fe75d1p-8, -0x1.aa58056abfff2p-8, -0x1.99ff1b0053b5bp-8, -0x1.8a39d423c62afp-8, -0x1.7b03b52c6f7p-8, -0x1.6c585e2c0c3e3p-8, -0x1.5e338a83c58bdp-8, -0x1.509110783b155p-8, -0x1.436ce0c4b91a6p-8, -0x1.36c3062db9f6bp-8, -0x1.2a8fa512dc1dep-8, -0x1.1ecefb006c497p-8, -0x1.137d5e40a47f5p-8, -0x1.08973d6cbe573p-8, -0x1.fc323dfbef7a7p-9, -0x1.e7ff41bd43ad8p-9, -0x1.d48eeff6b3afp-9, -0x1.c1dadfa900177p-9, -0x1.afdcd4200df82p-9, -0x1.9e8ebc1764113p-9, -0x1.8deab0dfac1c2p-9, -0x1.7deaf5855f947p-9, -0x1.6e89f5f8ceb66p-9, -0x1.5fc2463798397p-9, -0x1.518ea177bd1f4p-9, -0x1.43e9e95465fbp-9, -0x1.36cf24fc8089bp-9, -0x1.2a3980634a6eep-9, -0x1.1e244b72df9bbp-9, -0x1.128af940ec751p-9, -0x1.07691f45901d4p-9, -0x1.f974e92912a97p-10, -0x1.e4f5a231714c6p-10, -0x1.d14c59a426e31p-10, -0x1.be713e2c18bp-10, -0x1.ac5cbba50619ep-10, -0x1.9b0779a697bc1p-10, -0x1.8a6a5a14a4a8bp-10, -0x1.7a7e77b4c8e0ap-10, -0x1.6b3d24c969285p-10, -0x1.5c9fe9b21fb7dp-10, -0x1.4ea08391a72a1p-10, -0x1.4138e2f959115p-10, -0x1.34632a9a372cap-10, -0x1.2819adfb8de3cp-10, -0x1.1c56f037420afp-10, -0x1.1115a2bbadcafp-10, -0x1.0650a4133ad4cp-10, -0x1.f805fd630d8a3p-11, -0x1.e44fcf8c8e9bfp-11, -0x1.d1757c2b75da1p-11, -0x1.bf6e11ad86e7ep-11, -0x1.ae30ed2d2e7ep-11, -0x1.9db5b8440b003p-11, -0x1.8df466e88f4b3p-11, -0x1.7ee53556af123p-11, -0x1.7080a6038013ap-11, -0x1.62bf7f9bc0282p-11, -0x1.559acb0d272e3p-11, -0x1.490bd19a70538p-11, -0x1.3d0c1af9ff439p-11, -0x1.31956b7f0b2a7p-11, -0x1.26a1c24d30b21p-11, -0x1.1c2b5796502ep-11, -0x1.122c9ae29aafdp-11, -0x1.08a03162b04afp-11, -0x1.ff01e8975b81bp-12, -0x1.ed93de7a17453p-12, -0x1.dcecbd605b29p-12, -0x1.cd035ce30133p-12, -0x1.bdcef04607648p-12, -0x1.af47039038d2fp-12, -0x1.a16378b51e718p-12, -0x1.941c84d0fc8c2p-12, -0x1.876aad76867bdp-12, -0x1.7b46c60e0bc7ep-12, -0x1.6fa9ed45d3f1dp-12, -0x1.648d8a9357dafp-12, -0x1.59eb4bc518d01p-12, -0x1.4fbd22a4c5f8bp-12, -0x1.45fd42a969006p-12, -0x1.3ca61eb94b2b6p-12, -0x1.33b266fb4f479p-12, -0x1.2b1d06b773eaep-12, -0x1.22e1224630152p-12, -0x1.1afa150e695bep-12, -0x1.13636f91b28e6p-12, -0x1.0c18f5868ed27p-12, -0x1.05169c006e75bp-12, -0x1.fcb10f4a3bb2fp-13, -0x1.efb615dec23a8p-13, -0x1.e33548fce471bp-13, -0x1.d727fae43f8b5p-13, -0x1.cb87cfa67e01bp-13, -0x1.c04eba106ec19p-13, -0x1.b576f8aaaf27ep-13, -0x1.aafb12d173a12p-13, -0x1.a0d5d5e2decc9p-13, -0x1.9702528364886p-13, -0x1.8d7bd9f7b64dp-13, -0x1.843dfb93c0243p-13, -0x1.7b44823e28d25p-13, -0x1.728b7207e1018p-13, -0x1.6a0f05d747d46p-13, -0x1.61cbad265f92dp-13, -0x1.59be09d3abc1ap-13, -0x1.51e2ee052defbp-13, -0x1.4a375a1d1ff1p-13, -0x1.42b87abfe8062p-13, -0x1.3b63a6eae85dbp-13, -0x1.34365e1ba9212p-13, -0x1.2d2e4686f82c3p-13, -0x1.26492b5f9a73ap-13, -0x1.1f84fb2c191d5p-13, -0x1.18dfc62b47349p-13, -0x1.1257bcc72502cp-13, -0x1.0beb2e15a68b8p-13, -0x1.059886671b6d1p-13, -0x1.febc9bc36b124p-14, -0x1.f2764e53dd067p-14, -0x1.e65b9c2eb8c7ep-14, -0x1.da6a2ceb4e08cp-14, -0x1.ce9fd5a278277p-14, -0x1.c2fa969eec1cep-14, -0x1.b7789923b0f3bp-14, -0x1.ac182d4822746p-14, -0x1.a0d7c7e8e9c4cp-14, -0x1.95b600ad2f015p-14, -0x1.8ab1901f8a946p-14, -0x1.7fc94dda06a77p-14, -0x1.74fc2ec4a7968p-14, -0x1.6a494365e724cp-14, -0x1.5fafb644964a9p-14, -0x1.552eca5a9a8b4p-14, -0x1.4ac5d997ff2c3p-14, -0x1.40745375d951ap-14, -0x1.3639bb987b523p-14, -0x1.2c15a8807af44p-14, -0x1.2207c24a123e7p-14, -0x1.180fc17a5ebdep-14, -0x1.0e2d6dda1077bp-14, -0x1.04609d5d1258dp-14, -0x1.f552662d82476p-15, -0x1.e20e3c7484d9cp-15, -0x1.cef4b24d28814p-15, -0x1.bc05d0fbde3d5p-15, -0x1.a941b4902b8d2p-15, -0x1.96a88a3e66b73p-15, -0x1.843a8ecdd06e4p-15, -0x1.71f80d1a55f76p-15, -0x1.5fe15ca9463a2p-15, -0x1.4df6e0504f51cp-15, -0x1.3c3904ee19d79p-15, -0x1.2aa84033dd9bbp-15, -0x1.19450f7f51a35p-15, -0x1.080ff6c45b68ap-15, -0x1.ee12ff0bd06c7p-16, -0x1.cc646fbab34ccp-16, -0x1.ab15632001617p-16, -0x1.8a2702642382fp-16, -0x1.699a7aad2d446p-16, -0x1.4970fb97a642fp-16, -0x1.29abb5c74f7d2p-16, -0x1.0a4bd98ee08ffp-16, -0x1.d6a52b5bac88dp-17, -0x1.99822c46e4aadp-17, -0x1.5d31062c05e9p-17, -0x1.21b3ff9b4279p-17, -0x1.ce1aa70659924p-18, -0x1.5a7e5ede61481p-18, -0x1.d12ec7a0f4aadp-19, -0x1.e1a747b0f486ap-20, -0x1.3f343006beecep-23, 0x1.8ad56da48e431p-20, 0x1.9b3ef6a6c6efep-19, 0x1.36c13f63a8d1dp-18, 0x1.9e17554028b4ep-18, 0x1.01cf4c5f16902p-17, 0x1.33aa0ab0733ddp-17, 0x1.649a83d5a499dp-17, 0x1.949f6f2399134p-17, 0x1.c3b79d81ededdp-17, 0x1.f1e1f9d6e5aacp-17, 0x1.0f8ec4b082819p-16, 0x1.25b4b5ffa89a7p-16, 0x1.3b626e348da25p-16, 0x1.5097982b1a593p-16, 0x1.6553ec4c35108p-16, 0x1.7997309386d95p-16, 0x1.8d61388eb4a35p-16, 0x1.a0b1e556665fp-16, 0x1.b389258179173p-16, 0x1.c5e6f512bc90ep-16, 0x1.d7cb5d618dddcp-16, 0x1.e93674fd9cb45p-16, 0x1.fa285f8e393ap-16, 0x1.0550a6d6b3bfbp-15, 0x1.0d50be5f8569bp-15, 0x1.15149b62387e5p-15, 0x1.1c9c69163bdb3p-15, 0x1.23e858d049e3dp-15, 0x1.2af8a1e77f148p-15, 0x1.31cd819918256p-15, 0x1.38673aeafdefbp-15, 0x1.3ec6168d34b12p-15, 0x1.44ea62ba4b266p-15, 0x1.4ad47316df74ap-15, 0x1.5084a09055a1ep-15, 0x1.55fb493ad4807p-15, 0x1.5b38d02e9d3b8p-15, 0x1.603d9d64d3dabp-15, 0x1.650a1d93cdfe9p-15, 0x1.699ec20af6f84p-15, 0x1.6dfc008e5cb02p-15, 0x1.72225331f874cp-15, 0x1.76123834bf94dp-15, 0x1.79cc31db8eddbp-15, 0x1.7d50c64bfdf57p-15, 0x1.80a07f67289f5p-15, 0x1.83bbeaa4785b8p-15, 0x1.86a398ec80c3fp-15, 0x1.89581e73f468p-15, 0x1.8bda1296be691p-15, 0x1.8e2a0fb34e872p-15, 0x1.9048b3061d05dp-15, 0x1.92369c857194fp-15, 0x1.93f46ebd76f6cp-15, 0x1.9582ceac9fb6cp-15, 0x1.96e263a069a25p-15, 0x1.9813d7127d205p-15, 0x1.9917d4863c399p-15, 0x1.99ef0966bad5ap-15, 0x1.9a9a24e52ddc7p-15, 0x1.9b19d7d7d0e12p-15, 0x1.9b6ed4994e39p-15, 0x1.9b99cee8a69dep-15, 0x1.9b9b7bc99e1e6p-15, 0x1.9b749165b8172p-15, 0x1.9b25c6edbb006p-15, 0x1.9aafd47bc84f5p-15, 0x1.9a1372f606faap-15, 0x1.99515bf1e26f5p-15, 0x1.986a4997e248bp-15, 0x1.975ef6881a131p-15, 0x1.96301dbf34b32p-15, 0x1.94de7a7c1c876p-15, 0x1.936ac8264042bp-15, 0x1.91d5c2347595fp-15, 0x1.902024147a03bp-15, 0x1.8e4aa91314643p-15, 0x1.8c560c44d4f08p-15, 0x1.8a43086f7378p-15, 0x1.881257f3ce462p-15, 0x1.85c4b4b8878fp-15, 0x1.835ad8153ff1dp-15, 0x1.80d57abe70974p-15, 0x1.7e3554b1e0f41p-15, 0x1.7b7b1d23b8318p-15, 0x1.78a78a6c2baaep-15, 0x1.75bb51f5c5762p-15, 0x1.72b7282c440bfp-15, 0x1.6f9bc06c11418p-15, 0x1.6c69ccf24ec79p-15, 0x1.6921fecd788abp-15, 0x1.65c505ce97312p-15, 0x1.6253907b06502p-15, 0x1.5ece4bfec6c8ap-15, 0x1.5b35e41f619d4p-15, 0x1.578b032f55227p-15, 0x1.53ce52020a5eap-15, 0x1.500077e0529aep-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.c7592509b90dap-1, 0x1.c3fb03e454df7p-1, 0x1.c0a3e3694c1ecp-1, 0x1.bd548666f3adcp-1, 0x1.ba0d5e9a393d7p-1, 0x1.b6ce975007616p-1, 0x1.b3981f54a0054p-1, 0x1.b069b2284c5a2p-1, 0x1.ad42e0764e19p-1, 0x1.aa2317cf31bdcp-1, 0x1.a709a9aac043p-1, 0x1.a3f5d1b825b41p-1, 0x1.a0e6bb84725b6p-1, 0x1.9ddb8780be27dp-1, 0x1.9ad34f71dd04p-1, 0x1.97cd2a53e8659p-1, 0x1.94c82fbc007a5p-1, 0x1.91c37ac28463p-1, 0x1.8ebe2c7fc98p-1, 0x1.8bb76e24fd414p-1, 0x1.88ae72ba6a588p-1, 0x1.85a2788be9954p-1, 0x1.8292ca4bb9f67p-1, 0x1.7f7ebff37d0b3p-1, 0x1.7c65bf6a84b27p-1, 0x1.79473cf8229bdp-1, 0x1.7622bb881bdbp-1, 0x1.72f7ccc6ebb14p-1, 0x1.6fc6111b02e61p-1, 0x1.6c8d377fbc7e2p-1, 0x1.694cfd4656d6p-1, 0x1.66052dc0d1feap-1, 0x1.62b5a1da3e02cp-1, 0x1.5f5e3f9f9d7c3p-1, 0x1.5bfef9bc37df2p-1, 0x1.5897ceebe69bep-1, 0x1.5528c9659beaap-1, 0x1.51b1fe4029586p-1, 0x1.4e338cd30cd72p-1, 0x1.4aad9e14cfeafp-1, 0x1.472063f85c8b1p-1, 0x1.438c18ca73df6p-1, 0x1.3ff0fe90535bep-1, 0x1.3c4f5e6868bf3p-1, 0x1.38a787edd8014p-1, 0x1.34f9d09f77063p-1, 0x1.3146934ac9675p-1, 0x1.2d8e2f7b6a7d4p-1, 0x1.29d108ef46a65p-1, 0x1.260f870fe6a1bp-1, 0x1.224a14710b037p-1, 0x1.1e811e54bab82p-1, 0x1.1ab51434e523p-1, 0x1.16e66752a623p-1, 0x1.13158a4b32262p-1, 0x1.0f42f0b2696a4p-1, 0x1.0b6f0eb3041fap-1, 0x1.079a58b44df9ep-1, 0x1.03c5430553b5fp-1, 0x1.ffe0831ad6fefp-2, 0x1.f8378f03f3495p-2, 0x1.f0908e429b7ep-2, 0x1.e8ec62e4e885p-2, 0x1.e14bec13adaebp-2, 0x1.d9b005a4fe272p-2, 0x1.d21987b7ae96p-2, 0x1.ca894657745e8p-2, 0x1.c30011294e7c6p-2, 0x1.bb7eb31fe31d9p-2, 0x1.b405f2377991bp-2, 0x1.ac968f3935f58p-2, 0x1.a531458547e0bp-2, 0x1.9dd6cae3afba8p-2, 0x1.9687cf5b4cdcap-2, 0x1.8f44fd0edc1d4p-2, 0x1.880ef81f9c6dap-2, 0x1.80e65e95466c8p-2, 0x1.79cbc84b0d7aap-2, 0x1.72bfc6e15b26ep-2, 0x1.6bc2e5b403dacp-2, 0x1.64d5a9d4a6eebp-2, 0x1.5df89208fb42p-2, 0x1.572c16ccc73f2p-2, 0x1.5070aa573ece7p-2, 0x1.49c6b8a394a5p-2, 0x1.432ea77c7ac21p-2, 0x1.3ca8d68a60dafp-2, 0x1.36359f643635dp-2, 0x1.2fd555a27f73dp-2, 0x1.298846f48a323p-2, 0x1.234ebb37952acp-2, 0x1.1d28f48fbab07p-2, 0x1.17172f8275f31p-2, 0x1.1119a312970f2p-2, 0x1.0b3080dd840c3p-2, 0x1.055bf5399d017p-2, 0x1.ff384eab44cb3p-3, 0x1.f3e272b1f9f86p-3, 0x1.e8b691098dadfp-3, 0x1.ddb4daaaf0c54p-3, 0x1.d2dd774a3ab46p-3, 0x1.c830859bf1ff4p-3, 0x1.bdae1b9af681dp-3, 0x1.b35646cef08c9p-3, 0x1.a9290c93065f5p-3, 0x1.9f266a5cbcbdep-3, 0x1.954e5602d9472p-3, 0x1.8ba0be0419b22p-3, 0x1.821d89cdae59ep-3, 0x1.78c49a014c1cdp-3, 0x1.6f95c8babdcfdp-3, 0x1.6690e9d4d91f2p-3, 0x1.5db5cb2dc8cabp-3, 0x1.550434ea7d9edp-3, 0x1.4c7be9b94e13cp-3, 0x1.441ca7139de11p-3, 0x1.3be6257e83d6ep-3, 0x1.33d818ca5fea9p-3, 0x1.2bf230514b797p-3, 0x1.243417346664dp-3, 0x1.1c9d7497e15cep-3, 0x1.152debddd0ca2p-3, 0x1.0de51cdfaed29p-3, 0x1.06c2a42691c26p-3, 0x1.ff8c364408bd4p-4, 0x1.f1de30bb101a5p-4, 0x1.e47a5f6963badp-4, 0x1.d75fe50bcdb01p-4, 0x1.ca8ddfc75bd07p-4, 0x1.be036989394c8p-4, 0x1.b1bf9863b8be4p-4, 0x1.a5c17ee880a0cp-4, 0x1.9a082c7ffb9c3p-4, 0x1.8e92adbde26e3p-4, 0x1.83600cb30ec0bp-4, 0x1.786f513c7f303p-4, 0x1.6dbf814f9cafcp-4, 0x1.634fa143c746bp-4, 0x1.591eb4192f41ap-4, 0x1.4f2bbbbd06199p-4, 0x1.4575b94b0cdeep-4, 0x1.3bfbad4c8ca59p-4, 0x1.32bc97f4c0de1p-4, 0x1.29b7795abedc5p-4, 0x1.20eb51b0e70bp-4, 0x1.18572179e94a8p-4, 0x1.0ff9e9bb69daep-4, 0x1.07d2ac2e52c69p-4, 0x1.ffc0d6d9bc3eep-5, 0x1.f044563ccc22dp-5, 0x1.e12de0420eed2p-5, 0x1.d27b81624a578p-5, 0x1.c42b491daf2b4p-5, 0x1.b63b4a42af47dp-5, 0x1.a8a99b30e346bp-5, 0x1.9b7456181c3d6p-5, 0x1.8e999933ba3d6p-5, 0x1.8217870264c7p-5, 0x1.75ec467a41ae8p-5, 0x1.6a160339c09dfp-5, 0x1.5e92edb519761p-5, 0x1.53613b6096e3fp-5, 0x1.487f26d7c841dp-5, 0x1.3deaf001b4192p-5, 0x1.33a2dc32249afp-5, 0x1.29a5364828cbap-5, 0x1.1ff04ec9e1f56p-5, 0x1.16827bfdb76a3p-5, 0x1.0d5a1a0107ce8p-5, 0x1.04758adc735e5p-5, 0x1.f7a66d2b9d4dcp-6, 0x1.e6e3167fbd92bp-6, 0x1.d69dfa0fe1b92p-6, 0x1.c6d40c82bedcfp-6, 0x1.b7824ede481bp-6, 0x1.a8a5ce970a116p-6, 0x1.9a3ba59be2b11p-6, 0x1.8c40fa5e507d9p-6, 0x1.7eb2ffd76e55bp-6, 0x1.718ef589cf25p-6, 0x1.64d2278056573p-6, 0x1.5879ee4a39632p-6, 0x1.4c83aef44ce7ap-6, 0x1.40ecdaffb8ccep-6, 0x1.35b2f0564342dp-6, 0x1.2ad3793c42cd5p-6, 0x1.204c0c40689ecp-6, 0x1.161a4c2974d9fp-6, 0x1.0c3be7e1fb6e3p-6, 0x1.02ae9a624eaa9p-6, 0x1.f2e0553170b11p-7, 0x1.e0fcd6a017d7dp-7, 0x1.cfae76297ad23p-7, 0x1.bef1083117923p-7, 0x1.aec07829ad8fp-7, 0x1.9f18c85786944p-7, 0x1.8ff611906806bp-7, 0x1.815482f985482p-7, 0x1.733061c36c318p-7, 0x1.658608e43a734p-7, 0x1.5851e8d03c3ap-7, 0x1.4b9087310393ep-7, 0x1.3f3e7e9b42c03p-7, 0x1.33587e4364a21p-7, 0x1.27db49b12609ep-7, 0x1.1cc3b8723bf22p-7, 0x1.120eb5cc2da98p-7, 0x1.07b9406d7e394p-7, 0x1.fb80d43c83c32p-8, 0x1.e842aee074d1p-8, 0x1.d5b27edd276bcp-8, 0x1.c3cad69ab4b1p-8, 0x1.b2866c3182fb8p-8, 0x1.a1e018c8a08f7p-8, 0x1.91d2d7f415d5ep-8, 0x1.8259c713571e2p-8, 0x1.737024affb9d2p-8, 0x1.65114fdcdff39p-8, 0x1.5738c795d29f5p-8, 0x1.49e22a1feef12p-8, 0x1.3d09346ac143bp-8, 0x1.30a9c17252913p-8, 0x1.24bfc9a2366edp-8, 0x1.19476239b629ap-8, 0x1.0e3cbcb12cba8p-8, 0x1.039c2620ae95bp-8, 0x1.f2c40d501be37p-9, 0x1.df15c1b0a4a44p-9, 0x1.cc26a23d67e38p-9, 0x1.b9f01a62508e3p-9, 0x1.a86bc6f92d6ecp-9, 0x1.9793752977533p-9, 0x1.8761214b99ab6p-9, 0x1.77cef5cfca91cp-9, 0x1.68d74a2895b57p-9, 0x1.5a74a1b91ea79p-9, 0x1.4ca1aac737d0bp-9, 0x1.3f593d7157a16p-9, 0x1.32965aa87bc05p-9, 0x1.26542b2e05786p-9, 0x1.1a8dfe959bc9dp-9, 0x1.0f3f4a4b18bf2p-9, 0x1.0463a89c8f884p-9, 0x1.f3edaf90ced7fp-10, 0x1.dfe9721f3a04ap-10, 0x1.ccb29f983bcc4p-10, 0x1.ba418116a6435p-10, 0x1.a88ea05991c55p-10, 0x1.9792c609fc504p-10, 0x1.8746f808bb144p-10, 0x1.77a477c4a451cp-10, 0x1.68a4c098fa879p-10, 0x1.5a4186341351p-10, 0x1.4c74b306248e5p-10, 0x1.3f3866b832372p-10, 0x1.3286f4ab1a96p-10, 0x1.265ae27e9744fp-10, 0x1.1aaee6a0496f1p-10, 0x1.0f7de6e2990c2p-10, 0x1.04c2f71b74257p-10, 0x1.f4f2af959d757p-11, 0x1.e138e9919741fp-11, 0x1.ce4fc7f7042f3p-11, 0x1.bc2ec8288affp-11, 0x1.aacdb6a8b56fap-11, 0x1.9a24acb20682p-11, 0x1.8a2c0ddd8f0abp-11, 0x1.7adc85d7ccfbcp-11, 0x1.6c2f0623a7ec2p-11, 0x1.5e1cc3eb5376ap-11, 0x1.509f35dee9813p-11, 0x1.43b0122083e74p-11, 0x1.37494c3da3165p-11, 0x1.2b651335ac3ebp-11, 0x1.1ffdcf8d47ed6p-11, 0x1.150e216e6d0a3p-11, 0x1.0a90ded4df425p-11, 0x1.008111c6ec2e3p-11, 0x1.edb3ed345dcc1p-12, 0x1.db2df4884a37ep-12, 0x1.c967716cb5e8fp-12, 0x1.b857f68bf2c14p-12, 0x1.a7f76e3d024eep-12, 0x1.983e177eeba5ep-12, 0x1.8924830994adep-12, 0x1.7aa39073a0c9dp-12, 0x1.6cb46b6cf55edp-12, 0x1.5f50890d6f247p-12, 0x1.5271a53763cd7p-12, 0x1.4611c00d829b2p-12, 0x1.3a2b1b7ba510dp-12, 0x1.2eb838d23373ep-12, 0x1.23b3d673a634p-12, 0x1.1918ed93cb101p-12, 0x1.0ee2b0085c787p-12, 0x1.050c862a8fc4cp-12, 0x1.f72419925b62dp-13, 0x1.e4de2655baa95p-13, 0x1.d33f32406ae7fp-13, 0x1.c23f9a4a75363p-13, 0x1.b1d81523d40f1p-13, 0x1.a201afb2e5a9dp-13, 0x1.92b5c9af85c98p-13, 0x1.83ee125a148fbp-13, 0x1.75a4854dbb95fp-13, 0x1.67d3676d40c29p-13, 0x1.5a7543e9bacfdp-13, 0x1.4d84e96273602p-13, 0x1.40fd671d5e66fp-13, 0x1.34da0a577574ep-13, 0x1.29165bac5bfbp-13, 0x1.1dae1c94a97d1p-13, 0x1.129d44fa40937p-13, 0x1.07e000e214367p-13, 0x1.fae55c559a03cp-14, 0x1.e6a3b4bf68d7p-14, 0x1.d2f4813ea9d08p-14, 0x1.bfd18f2a8c2e6p-14, 0x1.ad34ff0d27dc9p-14, 0x1.9b1940e08204p-14, 0x1.8979106ea4e0ap-14, 0x1.784f71d3dd706p-14, 0x1.6797ae220faf1p-14, 0x1.574d50242f13ep-14, 0x1.476c2140e1fecp-14, 0x1.37f0267b64ffap-14, 0x1.28d59d91be8d5p-14, 0x1.1a18fa37656afp-14, 0x1.0bb6e36b72f86p-14, 0x1.fb5861d31844p-15, 0x1.dfebd1695639dp-15, 0x1.c5227975ee52cp-15, 0x1.aaf71123c2a3fp-15, 0x1.91649e9382826p-15, 0x1.786672b059d7dp-15, 0x1.5ff82530a3642p-15, 0x1.481590c12b8c4p-15, 0x1.30bacf599fbd9p-15, 0x1.19e436b8c6713p-15, 0x1.038e550733fa4p-15, 0x1.db6bdb3e55116p-16, 0x1.b0afebf0c9722p-16, 0x1.86e3256d1edfep-16, 0x1.5e0029b2851fep-16, 0x1.3601ee18981efp-16, 0x1.0ee3b62e5e00bp-16, 0x1.d1421daae9128p-17, 0x1.866b932e919b6p-17, 0x1.3d3bf0649e396p-17, 0x1.eb57a17492636p-18, 0x1.5f687ef6c9526p-18, 0x1.ad3ac093070cfp-19, 0x1.43a7b8b846c63p-20, -0x1.8debd5996cf7p-21, -0x1.62c7adf17e9e9p-19, -0x1.2e13890a1693ep-18, -0x1.a7d664f44c58cp-18, -0x1.0f5addd3f305cp-17, -0x1.495d32ceeffe2p-17, -0x1.81f66674fadc5p-17, -0x1.b92a7b6003a27p-17, -0x1.eefd46390e533p-17, -0x1.11b938fb30da3p-16, -0x1.2b46c1edaba16p-16, -0x1.4428ef9e45856p-16, -0x1.5c616485657fp-16, -0x1.73f1b593974a2p-16, -0x1.8adb6bc15c2aap-16, -0x1.a1200585d5585p-16, -0x1.b6c0f83567953p-16, -0x1.cbbfb1495e372p-16, -0x1.e01d9791978b2p-16, -0x1.f3dc0c512b3cp-16, -0x1.037e362386b77p-15, -0x1.0cc00851c418p-15, -0x1.15b427f5bab15p-15, -0x1.1e5b3f650becbp-15, -0x1.26b5f8692c84fp-15, -0x1.2ec4fc9821c33p-15, -0x1.3688f5a5bc3c4p-15, -0x1.3e028dadad03bp-15, -0x1.45326f76d4154p-15, -0x1.4c1946b01b2ecp-15, -0x1.52b7c02735603p-15, -0x1.590e89f99294fp-15, -0x1.5f1e53bfd5452p-15, -0x1.64e7ceb4159b9p-15, -0x1.6a6badd33c494p-15, -0x1.6faaa5f9b7ac7p-15, -0x1.74a56dfbd01d6p-15, -0x1.795cbeb9dac83p-15, -0x1.7dd153308a229p-15, -0x1.8203e885948c7p-15, -0x1.85f53e10eda3ep-15, -0x1.89a61562c574fp-15, -0x1.8d17324681c39p-15, -0x1.90495ac2e9a3dp-15, -0x1.933d5717a9351p-15, -0x1.95f3f1b8638b8p-15, -0x1.986df7457d4abp-15, -0x1.9aac3682c67f5p-15, -0x1.9caf804c2ef35p-15, -0x1.9e78a788ac421p-15, -0x1.a008811b738adp-15, -0x1.a15fe3d3abdd6p-15, -0x1.a27fa85ab9156p-15, -0x1.a368a92142cf6p-15, -0x1.a41bc24b0ff81p-15, -0x1.a499d199da43cp-15, -0x1.a4e3b6572ed0dp-15, -0x1.a4fa513d7c60cp-15, -0x1.a4de846063b38p-15, -0x1.a4913314616d2p-15, -0x1.a41341d5eceacp-15, -0x1.a36596301a6dap-15, -0x1.a28916a2daeacp-15, -0x1.a17eaa88e8448p-15, -0x1.a04739fd71623p-15, -0x1.9ee3adc198865p-15, -0x1.9d54ef21d193dp-15, -0x1.9b9be7db32464p-15, -0x1.99b98200bd028p-15, -0x1.97aea7e0bcf2cp-15, -0x1.957c43ea35f3p-15, -0x1.932340927aaf2p-15, -0x1.90a4883af1f24p-15, -0x1.8e0105171540fp-15, -0x1.8b39a112b219p-15, -0x1.884f45b876db9p-15, -0x1.8542dc18d6e71p-15, -0x1.82154cb14586p-15, -0x1.7ec77f53d958fp-15, -0x1.7b5a5b0f54feap-15, -0x1.77cec617a24e7p-15, -0x1.7425a5aec1396p-15, -0x1.705fde0e312b1p-15, -0x1.6c7e5250d7cc1p-15, -0x1.6881e45d6d11ep-15, -0x1.646b74d16ad1ap-15, -0x1.603be2ec87637p-15, -0x1.5bf40c7cbcca5p-15, -0x1.5794cdcadd72dp-15, -0x1.531f0187bc4e2p-15, -0x1.4e9380b9e61ebp-15, -0x1.49f322abedc4ap-15, -0x1.453ebcdb531a4p-15, -0x1.407722e7faa67p-15, -0x1.3b9d26843fdfap-15, -0x1.36b197659dabcp-15, -0x1.31b54335f05c3p-15, -0x1.2ca8f5854d2e8p-15, -0x1.278d77bc711f5p-15, -0x1.2263910fc9f17p-15, -0x1.1d2c0673111f4p-15, -0x1.17e79a8d7f8fbp-15, -0x1.12970dae93edep-15, -0x1.0d3b1dc36cb8ep-15, -0x1.07d4864cb3e1ep-15, -0x1.026400551c54bp-15, -0x1.f9d484d0da316p-16, -0x1.eed0011631303p-16, -0x1.e3bbd864c5283p-16, -0x1.d899687a1b21cp-16, -0x1.cd6a09d91c90dp-16, -0x1.c22f0fbd90c4ep-16, -0x1.b6e9c81096df7p-16, -0x1.ab9b7b5e23eacp-16, -0x1.a0456ccb7e95bp-16, -0x1.94e8da0eb4f93p-16, -0x1.8986fb6705341p-16, -0x1.7e21039634889p-16, -0x1.72b81fdad162fp-16, -0x1.674d77eb5cae1p-16, -0x1.5be22df25288bp-16, -0x1.50775e8b078cbp-16, -0x1.450e20bf6911ap-16, -0x1.39a7860680b5fp-16, -0x1.2e449a43ca508p-16, -0x1.22e663c7500b3p-16, -0x1.178de34e8570ap-16, -0x1.0c3c1405dc62fp-16, -0x1.00f1eb8b13fb4p-16, -0x1.eb60b3e06d05p-17, -0x1.d4f0937e8a25ap-17, -0x1.be953ffd04f12p-17, -0x1.a850786ad8e87p-17, -0x1.9223f0e4847p-17, -0x1.7c1152a05cefp-17, -0x1.661a3bfbf7a27p-17, -0x1.5040408aafc8ep-17, -0x1.3a84e9253c76fp-17, -0x1.24e9b3fa4fbc4p-17, -0x1.0f7014a02c139p-17, -0x1.f432e84e5c32ep-18, -0x1.c9ce625a7fbe1p-18, -0x1.9fb53fe45459fp-18, -0x1.75ea14d977488p-18, -0x1.4c6f60c17874p-18, -0x1.23478eeb4ad5ap-18, -0x1.f4e9ed384cbebp-19, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      61, 0x1.f0a3d70a3d70ap+1, 0x1.04efdd2c1af74p+1, 0x1.d9d8277a9a14bp+1, -0x1.256fe0ce3f354p-1, 
      {{
        {0x1.3333333333333p+0, 0x1.3d70a3d70a3d7p+0, 0x1.77ecbb7f9d6f1p+1, -0x1.c9f2cd8ae92c7p+2, 0x1.d2c7ae147aeap+2, 0x1.351f408d14822p+0}, 
        {0x1.3d70a3d70a3d7p+0, 0x1.47ae147ae147bp+0, 0x1.54cadddf43c7dp+1, -0x1.a43c2faab0b94p+2, 0x1.dc0dbcd108545p+2, -0x1.826710b0599c7p+2}, 
        {0x1.47ae147ae147bp+0, 0x1.51eb851eb851fp+0, 0x1.34a5c5f7c675ap+1, -0x1.80016b305175dp+2, 0x1.adaf732245418p+2, -0x1.e1571ac3c49ebp+1}, 
        {0x1.51eb851eb851fp+0, 0x1.5c28f5c28f5c3p+0, 0x1.174573a797892p+1, -0x1.5ec932bbc49bfp+2, 0x1.90ce103f7c04cp+2, -0x1.03eab9c81b363p+2}, 
        {0x1.5c28f5c28f5c3p+0, 0x1.6666666666666p+0, 0x1.f8ea5b530ced5p+0, -0x1.3ff81956fbf1dp+2, 0x1.719d6a981c97dp+2, -0x1.d55316fb6b341p+1}, 
        {0x1.6666666666666p+0, 0x1.70a3d70a3d70ap+0, 0x1.c8069e7fb267cp+0, -0x1.2386bd1aad1d7p+2, 0x1.5574974b96295p+2, -0x1.bcde308207ffap+1}, 
        {0x1.70a3d70a3d70ap+0, 0x1.7ae147ae147aep+0, 0x1.9b829068986fdp+0, -0x1.09470eea57cd8p+2, 0x1.3ac36b6cbea43p+2, -0x1.a13426fc827e6p+1}, 
        {0x1.7ae147ae147aep+0, 0x1.851eb851eb852p+0, 0x1.7306d50657321p+0, -0x1.e23211bec3b35p+1, 0x1.21bb2ba5462bfp+2, -0x1.8451338beb177p+1}, 
        {0x1.851eb851eb852p+0, 0x1.8f5c28f5c28f6p+0, 0x1.4e41700cd8559p+0, -0x1.b5b3d8a0e56d9p+1, 0x1.0a6e9e501439ep+2, -0x1.6d870ad3d187fp+1}, 
        {0x1.8f5c28f5c28f6p+0, 0x1.999999999999ap+0, 0x1.2ce5d5b24e9c4p+0, -0x1.8cd3f28ce885bp+1, 0x1.e9003b538a302p+1, -0x1.5192a124ce3bp+1}, 
        {0x1.999999999999ap+0, 0x1.a3d70a3d70a3dp+0, 0x1.0eac53b0813cbp+0, -0x1.675404b23a9dfp+1, 0x1.c07dff077170bp+1, -0x1.3e2e7098fc8a8p+1}, 
        {0x1.a3d70a3d70a3dp+0, 0x1.ae147ae147ae1p+0, 0x1.e6a4873365882p-1, -0x1.44f9e14501317p+1, 0x1.9a4f76a32a2d2p+1, -0x1.25b39c7734339p+1}, 
        {0x1.ae147ae147ae1p+0, 0x1.b851eb851eb85p+0, 0x1.b532830a0b1bcp-1, -0x1.258f9f985ebc2p+1, 0x1.7710f338b345bp+1, -0x1.11031d8a37a7ep+1}, 
        {0x1.b851eb851eb85p+0, 0x1.c28f5c28f5c29p+0, 0x1.888ede54b48d4p-1, -0x1.08ddbea8fa3c1p+1, 0x1.564e04281d3bap+1, -0x1.fc7fdabfdae6cp+0}, 
        {0x1.c28f5c28f5c29p+0, 0x1.ccccccccccccdp+0, 0x1.604e1e71044f2p-1, -0x1.dd6787f1ef9d3p+0, 0x1.37cb77081f757p+1, -0x1.d3fa59ec25d67p+0}, 
        {0x1.ccccccccccccdp+0, 0x1.d70a3d70a3d71p+0, 0x1.3c0c62e4d1a65p-1, -0x1.adc377ca09e43p+0, 0x1.1bb752ea9811ap+1, -0x1.b396bd8f8c88dp+0}, 
        {0x1.d70a3d70a3d71p+0, 0x1.e147ae147ae14p+0, 0x1.1b6d655e28aa4p-1, -0x1.8275b52915761p+0, 0x1.0194adf15751p+1, -0x1.8daaafd5ace6dp+0}, 
        {0x1.e147ae147ae14p+0, 0x1.eb851eb851eb8p+0, 0x1.fc3760bf5d788p-2, -0x1.5b27da123d91cp+0, 0x1.d371095866af8p+0, -0x1.71be8319b63d7p+0}, 
        {0x1.eb851eb851eb8p+0, 0x1.f5c28f5c28f5cp+0, 0x1.c791819d2391dp-2, -0x1.3788fd968e4aep+0, 0x1.a7127ebbb7379p+0, -0x1.535b43c37eca5p+0}, 
        {0x1.f5c28f5c28f5cp+0, 0x1p+1, 0x1.9857f3061c79bp-2, -0x1.175178e50beafp+0, 0x1.7e59769a04296p+0, -0x1.34d46dd84f429p+0}, 
        {0x1p+1, 0x1.051eb851eb852p+1, 0x1.6e054690de093p-2, -0x1.f46ce3f6b393cp-1, 0x1.594a3638610dp+0, -0x1.1d5304db43165p+0}, 
        {0x1.051eb851eb852p+1, 0x1.0a3d70a3d70a4p+1, 0x1.481f969e3c969p-2, -0x1.bfeb0792659d6p-1, 0x1.370d0cad6d7abp+0, -0x1.01df7ebaa67p+0}, 
        {0x1.0a3d70a3d70a4p+1, 0x1.0f5c28f5c28f6p+1, 0x1.2636f3b213e3ep-2, -0x1.90a02162526b4p-1, 0x1.181b30ab8277ap+0, -0x1.de5e0074418adp-1}, 
        {0x1.0f5c28f5c28f6p+1, 0x1.147ae147ae148p+1, 0x1.07e56473471f8p-2, -0x1.661acc2f45a42p-1, 0x1.f6cef0a53a824p-1, -0x1.aac900b9b0b25p-1}, 
        {0x1.147ae147ae148p+1, 0x1.199999999999ap+1, 0x1.d99aa60913a5p-3, -0x1.3fedb74c508ddp-1, 0x1.c3981984b4aa4p-1, -0x1.867dfca4fa446p-1}, 
        {0x1.199999999999ap+1, 0x1.1eb851eb851ecp+1, 0x1.a934acaff6d33p-3, -0x1.1dace79f0f486p-1, 0x1.94bc2e66ab1cep-1, -0x1.633f0cb265a84p-1}, 
        {0x1.1eb851eb851ecp+1, 0x1.23d70a3d70a3dp+1, 0x1.7dff3f0fe047dp-3, -0x1.fe00e9efeac48p-2, 0x1.6a1b03eadc5a9p-1, -0x1.3c85d091759a7p-1}, 
        {0x1.23d70a3d70a3dp+1, 0x1.28f5c28f5c28fp+1, 0x1.576ee73e681aap-3, -0x1.c71af5249e744p-2, 0x1.441f70025d9a6p-1, -0x1.22a9b107b71dcp-1}, 
        {0x1.28f5c28f5c28fp+1, 0x1.2e147ae147ae1p+1, 0x1.3506573215fccp-3, -0x1.9609387abd78cp-2, 0x1.213e46491eab4p-1, -0x1.00d36b4fb474dp-1}, 
        {0x1.2e147ae147ae1p+1, 0x1.3333333333333p+1, 0x1.1653c9abb01c9p-3, -0x1.6a38fdee5f5dap-2, 0x1.026c959179a77p-1, -0x1.d4114372edd93p-2}, 
        {0x1.3333333333333p+1, 0x1.3851eb851eb85p+1, 0x1.f5e310dbf0564p-4, -0x1.431f198623438p-2, 0x1.ccae230aeb3fp-2, -0x1.9e141b94e053fp-2}, 
        {0x1.3851eb851eb85p+1, 0x1.3d70a3d70a3d7p+1, 0x1.c507a6bd6e8bp-4, -0x1.2041303f87136p-2, 0x1.9afda4da55725p-2, -0x1.739e4e399213p-2}, 
        {0x1.3d70a3d70a3d7p+1, 0x1.428f5c28f5c29p+1, 0x1.9971c10d7be98p-4, -0x1.0128bddac7647p-2, 0x1.6e6586fc62a33p-2, -0x1.5372ab84d477cp-2}, 
        {0x1.428f5c28f5c29p+1, 0x1.47ae147ae147bp+1, 0x1.728e92d55a3a1p-4, -0x1.caf41b29b08e5p-3, 0x1.45a9afd7f7389p-2, -0x1.1e9703b31efaep-2}, 
        {0x1.47ae147ae147bp+1, 0x1.4cccccccccccdp+1, 0x1.4fd9fd36f7e3dp-4, -0x1.9999479005d0fp-3, 0x1.2345a528df06p-2, -0x1.123145aeada08p-2}, 
        {0x1.4cccccccccccdp+1, 0x1.51eb851eb851fp+1, 0x1.30e0a84be4042p-4, -0x1.6da0a1b909127p-3, 0x1.025e73d67844bp-2, -0x1.d147cb24559bcp-3}, 
        {0x1.51eb851eb851fp+1, 0x1.570a3d70a3d71p+1, 0x1.1538ac18f81e9p-4, -0x1.46859370cd47cp-3, 0x1.cce77d60e6435p-3, -0x1.967e481150c3ep-3}, 
        {0x1.570a3d70a3d71p+1, 0x1.5c28f5c28f5c3p+1, 0x1.f90b84988094ep-5, -0x1.2399c1763d7fep-3, 0x1.9c20041724402p-3, -0x1.94bf149663b0dp-3}, 
        {0x1.5c28f5c28f5c3p+1, 0x1.6147ae147ae14p+1, 0x1.ccec41dd1a21fp-5, -0x1.0492c96ceb34bp-3, 0x1.6b8e34d1e516ap-3, -0x1.3685659529f02p-3}, 
        {0x1.6147ae147ae14p+1, 0x1.6666666666666p+1, 0x1.a57a786c22681p-5, -0x1.d1f57a2bf6f99p-4, 0x1.464affab83e5ap-3, -0x1.312b5514e592bp-3}, 
        {0x1.6666666666666p+1, 0x1.6b851eb851eb8p+1, 0x1.82363b256ffc1p-5, -0x1.a0ae805dba4bcp-4, 0x1.21ac32e67296ap-3, -0x1.24cd461746c9p-3}, 
        {0x1.6b851eb851eb8p+1, 0x1.70a3d70a3d70ap+1, 0x1.62a80064a9cdcp-5, -0x1.752519754a6fp-4, 0x1.fd12a6e607634p-4, -0x1.b73f251bfddecp-4}, 
        {0x1.70a3d70a3d70ap+1, 0x1.75c28f5c28f5cp+1, 0x1.4660a2014727ep-5, -0x1.4e870899170acp-4, 0x1.c85cfe9afd671p-4, -0x1.d968df617d90fp-4}, 
        {0x1.75c28f5c28f5cp+1, 0x1.7ae147ae147aep+1, 0x1.2d03d9a95421cp-5, -0x1.2c4a70976616p-4, 0x1.8f8dd98f4a7e9p-4, -0x1.a31d5d5e0a3a8p-4}, 
        {0x1.7ae147ae147aep+1, 0x1.8p+1, 0x1.163779e9d0e99p-5, -0x1.0e56947922bc4p-4, 0x1.5d42a56549446p-4, -0x1.5a21ab2658c89p-4}, 
        {0x1.8p+1, 0x1.851eb851eb852p+1, 0x1.01a9b8cb8e087p-5, -0x1.e81e1c0127595p-5, 0x1.33b97c60af40cp-4, -0x1.745bf6089458p-4}, 
        {0x1.851eb851eb852p+1, 0x1.8a3d70a3d70a4p+1, 0x1.de26916440f24p-6, -0x1.ba74d259ce103p-5, 0x1.070a9c4b2ccfcp-4, -0x1.546e7cb7558fbp-4}, 
        {0x1.8a3d70a3d70a4p+1, 0x1.8f5c28f5c28f6p+1, 0x1.bc59b8023a6cep-6, -0x1.93a349e6ade9p-5, 0x1.bc611aa7ca354p-5, -0x1.f3d42e3428e7cp-5}, 
        {0x1.8f5c28f5c28f6p+1, 0x1.947ae147ae148p+1, 0x1.9d6adf71eafeep-6, -0x1.727c970b116fdp-5, 0x1.80665cca7d9e8p-5, -0x1.43e926e0580f3p-4}, 
        {0x1.947ae147ae148p+1, 0x1.999999999999ap+1, 0x1.80ecfa69be09cp-6, -0x1.56d81fc344da8p-5, 0x1.32a949387cf7p-5, -0x1.ece29ac91ab05p-5}, 
        {0x1.999999999999ap+1, 0x1.9eb851eb851ecp+1, 0x1.666a98244e93ep-6, -0x1.40ad5bc644d09p-5, 0x1.ef07b4f90800ep-6, -0x1.c4a3471ae10f1p-5}, 
        {0x1.9eb851eb851ecp+1, 0x1.a3d70a3d70a3dp+1, 0x1.4d7f0ed3d859dp-6, -0x1.2f0c7398cd27p-5, 0x1.8265a3e8571bfp-6, -0x1.00482465b7052p-4}, 
        {0x1.a3d70a3d70a3dp+1, 0x1.a8f5c28f5c28fp+1, 0x1.35ce18266772dp-6, -0x1.220d9587e1f42p-5, 0x1.0761bb6598dd5p-6, -0x1.391b95b75057ap-5}, 
        {0x1.a8f5c28f5c28fp+1, 0x1.ae147ae147ae1p+1, 0x1.1efb6dca07f67p-6, -0x1.19054d37b1a06p-5, 0x1.7878c887af014p-7, -0x1.9b0160575d07ap-5}, 
        {0x1.ae147ae147ae1p+1, 0x1.b333333333333p+1, 0x1.08bfc2224edf6p-6, -0x1.1376cf32f121fp-5, 0x1.6660e2a704b2fp-8, -0x1.b5bdd1d673276p-6}, 
        {0x1.b333333333333p+1, 0x1.b851eb851eb85p+1, 0x1.e5a78f25a251p-7, -0x1.10ee4f131100fp-5, 0x1.28866c802a359p-9, -0x1.f305f7f77cbbp-6}, 
        {0x1.b851eb851eb85p+1, 0x1.bd70a3d70a3d7p+1, 0x1.ba0a5269595ffp-7, -0x1.10a55b500cca8p-5, -0x1.6d1317932a6d9p-10, 0x1.03ab6368cef97p-7}, 
        {0x1.bd70a3d70a3d7p+1, 0x1.c28f5c28f5c29p+1, 0x1.8e5c4eb56fb8fp-7, -0x1.113f3be470769p-5, -0x1.cf2ae0913d013p-12, -0x1.c51433b687c8fp-4}, 
        {0x1.c28f5c28f5c29p+1, 0x1.c7ae147ae147bp+1, 0x1.6262cba732df5p-7, -0x1.15e2d3d683455p-5, -0x1.c16e038aced24p-7, 0x1.acf6d89b411d3p-2}, 
        {0x1.c7ae147ae147bp+1, 0x1.ccccccccccccdp+1, 0x1.361565c2d278p-7, -0x1.0e67048686f45p-5, 0x1.2b72bfb2579b1p-5, -0x1.7ca5955fd8921p+0}, 
        {0x1.ccccccccccccdp+1, 0x1.f0a3d70a3d70ap+1, 0x1.099e0e736049fp-7, -0x1.30e9f59b0d588p-5, -0x1.228f12acddd8fp-3, 0x1.5a1f9a6d7dd1cp-1}, 
      }}, 
      0x1.93af3f823ac3ap-1, -0x1.d0a59ebbc09ffp+1
    }
  };
  // clang-format on
}
SkfData params_mio_0_1_o_o() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    SkfData::SameElementLine {0x0p+0, -0x1.541a531276a52p-2, -0x1.c1f65404b9f91p-1, -0x1.bb83cf2cf95d5p-5, 0x1.deb702602c908p-2, 0x1.0beea209aaa3bp-1, 0x1.fb4a2339c0ebfp-2, 0, 4, 2}, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.5e0260bf5504bp+0, -0x1.42f9888293135p+0, -0x1.288476898a64dp+0, -0x1.0eb5d3fa0af8dp+0, -0x1.eb3a896396a41p-1, -0x1.ba8ef6e40d1c3p-1, -0x1.8b7d27177aa2cp-1, -0x1.5e14faee0c624p-1, -0x1.32627c92f81a8p-1, -0x1.086df6d512bdfp-1, -0x1.c0780d5ce068bp-2, -0x1.739c05146a01fp-2, -0x1.2a4557508f175p-2, -0x1.c8db617e67e9bp-3, -0x1.44175860d2186p-3, -0x1.8c4bdc41d6ca3p-4, -0x1.3ba14c9f8bb4dp-5, 0x1.0e33cab3c6445p-6, 0x1.1821be0cc341p-4, 0x1.e04a54905a294p-4, 0x1.4e33e061e131p-3, 0x1.a675a380dc321p-3, 0x1.f9087b78e543ep-3, 0x1.2314af2140532p-2, 0x1.470632a7cb0bap-2, 0x1.6872f98ac0bdcp-2, 0x1.87753561efd98p-2, 0x1.a426ffd61e2e6p-2, 0x1.bea248b0807c9p-2, 0x1.d700c3da3c3d9p-2, 0x1.ed5bd2c983aabp-2, 0x1.00e63470b65ecp-1, 0x1.0a35773525179p-1, 0x1.12a793d8957dcp-1, 0x1.1a48124a3a85ep-1, 0x1.21221ca7a3f1p-1, 0x1.27407ef12bf37p-1, 0x1.2cada7ebf354ep-1, 0x1.3173a964496d3p-1, 0x1.359c371107547p-1, 0x1.3930a46ffa879p-1, 0x1.3c39e28fac1dp-1, 0x1.3ec07eba04766p-1, 0x1.40cca287dbf7cp-1, 0x1.4266155fd7416p-1, 0x1.43943f000d561p-1, 0x1.445e2a8a56705p-1, 0x1.44ca899951177p-1, 0x1.44dfb713dd18dp-1, 0x1.44a3b9ae7d8fap-1, 0x1.441c4639e9b8ep-1, 0x1.434ec1f763bddp-1, 0x1.4240452aea711p-1, 0x1.40f59e0e6bf45p-1, 0x1.3f73542a8f8e9p-1, 0x1.3dbdabfd09df2p-1, 0x1.3bd8aac19316p-1, 0x1.39c81a2c705b4p-1, 0x1.378f8bea5ff3dp-1, 0x1.35325cc60f453p-1, 0x1.32b3b762fe011p-1, 0x1.3016968dead7bp-1, 0x1.2d5dc7310bd91p-1, 0x1.2a8c5d128caa5p-1, 0x1.27a420f9eabb4p-1, 0x1.24a79217553c1p-1, 0x1.2198cf0f58266p-1, 0x1.1e79d21f79eb4p-1, 0x1.1b4c73c69d0cp-1, 0x1.18126d4bf70e6p-1, 0x1.14cd5b12cb5ep-1, 0x1.117ebeb005be9p-1, 0x1.0e2800bdc759cp-1, 0x1.0aca726f180bap-1, 0x1.07674eea92907p-1, 0x1.03ffbc75e2909p-1, 0x1.0094cd7d51bdp-1, 0x1.fa4f03054dd16p-2, 0x1.f3718bfb236dcp-2, 0x1.ec92ee6c26d29p-2, 0x1.e5b4c23e235d4p-2, 0x1.ded88069b363p-2, 0x1.d7ff84c1f340fp-2, 0x1.d12b0fc597f5p-2, 0x1.ca5c4874f463ep-2, 0x1.c3943e26691fbp-2, 0x1.bcd3ea51cc20ap-2, 0x1.b61c324b80fcbp-2, 0x1.af6de8e8cb825p-2, 0x1.a8c9d008587cep-2, 0x1.a23099fb7a1cp-2, 0x1.9ba2eace35f83p-2, 0x1.9521596d94729p-2, 0x1.8eac70acdc155p-2, 0x1.8844b02b4a0dep-2, 0x1.81ea8d1c9bb1ep-2, 0x1.7b9e72f748679p-2, 0x1.7560c40bc601fp-2, 0x1.6f31da085e7b8p-2, 0x1.6912066d51e06p-2, 0x1.630192f4dab7fp-2, 0x1.5d00c1f276064p-2, 0x1.570fceac5ef67p-2, 0x1.512eedb1a81a8p-2, 0x1.4b5e4d2ebf2b6p-2, 0x1.459e154189defp-2, 0x1.3fee684db31ecp-2, 0x1.3a4f6351405fbp-2, 0x1.34c11e393a539p-2, 0x1.2f43ac35d7615p-2, 0x1.29d71c0d9964bp-2, 0x1.247b786ea4ac2p-2, 0x1.1f30c83dc1447p-2, 0x1.19f70ee26d85cp-2, 0x1.14ce4c8f91babp-2, 0x1.0fb67e8876c3cp-2, 0x1.0aaf9f61b481fp-2, 0x1.05b9a73ddae71p-2, 0x1.00d48c05afd7dp-2, 0x1.f8008337c62f9p-3, 0x1.ee7974184b8bap-3, 0x1.e513cb6b57214p-3, 0x1.dbcf66e23dc27p-3, 0x1.d2ac216460e03p-3, 0x1.c9a9d349e7f1fp-3, 0x1.c0c8528e9b8e4p-3, 0x1.b80772fda1159p-3, 0x1.af670656c518cp-3, 0x1.a6e6dc6e3cb27p-3, 0x1.9e86c347aac63p-3, 0x1.9646872d5bebbp-3, 0x1.8e25f2c468f19p-3, 0x1.8624cf1e9da0ep-3, 0x1.7e42e3caba2bap-3, 0x1.767ff6e3a3ed9p-3, 0x1.6edbcd1eefedep-3, 0x1.675629db32719p-3, 0x1.5feecf2e3cf6fp-3, 0x1.58a57df3882b1p-3, 0x1.5179f5dadd353p-3, 0x1.4a6bf577455ffp-3, 0x1.437b3a4e4e34p-3, 0x1.3ca780e7906c7p-3, 0x1.35f084dc6e557p-3, 0x1.2f5600e809954p-3, 0x1.28d7aef749ab9p-3, 0x1.22754838ec1e1p-3, 0x1.1c2fdbb35e4e8p-3, 0x1.160473ebf1033p-3, 0x1.0ff418e16ecf3p-3, 0x1.09fe81fc16051p-3, 0x1.0423664330267p-3, 0x1.fcc4f8cd402bfp-4, 0x1.f176f590a13c2p-4, 0x1.e65c2f0b04d8ep-4, 0x1.db7410fff6883p-4, 0x1.d0be06ce2947ap-4, 0x1.c6397b8143ecbp-4, 0x1.bbe5d9e36ff27p-4, 0x1.b1c28c8e742b4p-4, 0x1.a7cefdfc7b01fp-4, 0x1.9e0a989869e54p-4, 0x1.9474c6cdb279cp-4, 0x1.8b0cf317b144cp-4, 0x1.81d28810826b4p-4, 0x1.78c4f07f465c3p-4, 0x1.6fe39765d693ap-4, 0x1.672de80ded19ap-4, 0x1.5ea34e15b4022p-4, 0x1.5643357bc6c7fp-4, 0x1.4e0d0aaaa5287p-4, 0x1.46003a8399c99p-4, 0x1.3e1c32691e56fp-4, 0x1.36606048bf332p-4, 0x1.2ecc32a488f08p-4, 0x1.275f189c04d8ap-4, 0x1.201881f4cdd61p-4, 0x1.18f7df22c5505p-4, 0x1.11fca14ff06b7p-4, 0x1.0b263a6403d49p-4, 0x1.04741d0ba95cdp-4, 0x1.fbcb797eff79bp-5, 0x1.eef51b95c365bp-5, 0x1.e2640aa4eab86p-5, 0x1.d61732b5138bep-5, 0x1.ca0d819a91b89p-5, 0x1.be45e7017a641p-5, 0x1.b2bf547962284p-5, 0x1.a778bd80d5905p-5, 0x1.9c71179080a8dp-5, 0x1.91a75a261686fp-5, 0x1.871a7ecef1bd5p-5, 0x1.7cc981326d63cp-5, 0x1.72b35f1bf6b2fp-5, 0x1.68d71884d5cadp-5, 0x1.5f33af9daa798p-5, 0x1.55c828d79a8c5p-5, 0x1.4c938aed2fe82p-5, 0x1.4394deeae06e7p-5, 0x1.3acb30373ea03p-5, 0x1.32358c9ad3591p-5, 0x1.29d3044795baap-5, 0x1.21a2a9e004724p-5, 0x1.19a3927ddfff7p-5, 0x1.11d4d5b87f4bap-5, 0x1.0a358daab9a59p-5, 0x1.02c4d6f87434ap-5, 0x1.f703a1a78295bp-6, 0x1.e8d73a032a36dp-6, 0x1.db02bfbc36e3cp-6, 0x1.cd8480c14215fp-6, 0x1.c05ad03e23ef2p-6, 0x1.b38406a23bdabp-6, 0x1.a6fe81a5d3c7bp-6, 0x1.9ac8a44ed9cc7p-6, 0x1.8ee0d6f4c6aedp-6, 0x1.83458743c2e9p-6, 0x1.77f5283f27b89p-6, 0x1.6cee324330974p-6, 0x1.622f23060c42ep-6, 0x1.57b67d983dd91p-6, 0x1.4d82ca6453a85p-6, 0x1.4392972dfef8ap-6, 0x1.39e477108aaedp-6, 0x1.3077027cbaa54p-6, 0x1.2748d736173dfp-6, 0x1.1e58984fa52efp-6, 0x1.15a4ee281bd38p-6, 0x1.0d2c86658703cp-6, 0x1.04ee13f072b37p-6, 0x1.f9d09ddd28c49p-7, 0x1.ea33e979f436fp-7, 0x1.db038fd3894a1p-7, 0x1.cc3d205adb26bp-7, 0x1.bdde34c754498p-7, 0x1.afe47107aa27fp-7, 0x1.a24d83320251dp-7, 0x1.951723733664fp-7, 0x1.883f13fd7a5fep-7, 0x1.7bc320f634131p-7, 0x1.6fa12063240ddp-7, 0x1.63d6f216fd961p-7, 0x1.58627f9d46419p-7, 0x1.4d41bc25a061ap-7, 0x1.4272a46e76d1ap-7, 0x1.37f33eaf3ab74p-7, 0x1.2dc19a81fbc11p-7, 0x1.23dbd0cc79d91p-7, 0x1.1a4003a8e31a8p-7, 0x1.10ec5e4df8ccap-7, 0x1.07df14f6c6dep-7, 0x1.fe2cc9942c462p-8, 0x1.ed212782b3b8bp-8, 0x1.dc97e11e8d171p-8, 0x1.cc8da50c60b2p-8, 0x1.bcff32fbe1709p-8, 0x1.ade95b735a2d2p-8, 0x1.9f48ff9a74116p-8, 0x1.911b11049bd64p-8, 0x1.835c917b20a5bp-8, 0x1.760a92c6ad32ap-8, 0x1.69223678a3d2ap-8, 0x1.5ca0adb41934p-8, 0x1.508338f689454p-8, 0x1.44c727e07ee24p-8, 0x1.3969d8fde6c7bp-8, 0x1.2e68b98e67dfdp-8, 0x1.23c1454d9818p-8, 0x1.1971063b33be7p-8, 0x1.0f7594633bd35p-8, 0x1.05cc95a657e74p-8, 0x1.f8e77b0420039p-9, 0x1.e6d199b2930b7p-9, 0x1.d5532379c6a71p-9, 0x1.c467ce68c11e3p-9, 0x1.b40b6a0e214dbp-9, 0x1.a439df0a5c21fp-9, 0x1.94ef2ea2cb7ccp-9, 0x1.8627725556c9cp-9, 0x1.77dedb6c6d349p-9, 0x1.6a11b29457443p-9, 0x1.5cbc57709ddb8p-9, 0x1.4fdb40328a23p-9, 0x1.436af9307ace4p-9, 0x1.3768247dbdacp-9, 0x1.2bcf7983efe72p-9, 0x1.209dc49ca805ap-9, 0x1.15cfe6ac639abp-9, 0x1.0b62d4be6d3afp-9, 0x1.015397a17966bp-9, 0x1.ef3e970bb84ecp-10, 0x1.dc863f386669cp-10, 0x1.ca78ab6ad924dp-10, 0x1.b91083c77e79ap-10, 0x1.a848943a0641p-10, 0x1.981bcbbb75e87p-10, 0x1.88853b9ae6728p-10, 0x1.798016c8d3fe2p-10, 0x1.6b07b12402a0cp-10, 0x1.5d177ec9156ddp-10, 0x1.4fab1364a8618p-10, 0x1.42be2186fb1ddp-10, 0x1.364c79fae5d3fp-10, 0x1.2a520b1e55fd6p-10, 0x1.1ecae03d4f195p-10, 0x1.13b320efb9bcfp-10, 0x1.09071078df9b4p-10, 0x1.fd861a532d998p-11, 0x1.e9c71f896b516p-11, 0x1.d6ca55cb86f3p-11, 0x1.c48914d442c5ap-11, 0x1.b2fce5b8f249bp-11, 0x1.a21f81c42ad5p-11, 0x1.91ead156e6f9dp-11, 0x1.8258eacc6590ap-11, 0x1.73a7b40663eb5p-11, 0x1.6548c599bbf6dp-11, 0x1.577bd3f03892bp-11, 0x1.4a3ba55d32ca3p-11, 0x1.3d8328df005acp-11, 0x1.314d751b6d062p-11, 0x1.2595c760e694cp-11, 0x1.1a5782adabb91p-11, 0x1.0f8e2eb9ebf38p-11, 0x1.05357707a2f58p-11, 0x1.f69253ed2e15bp-12, 0x1.e38a6fb9d4701p-12, 0x1.d14b644909151p-12, 0x1.bfcd94d8a7091p-12, 0x1.af09a35db6d88p-12, 0x1.9ef86ed9023cfp-12, 0x1.8f9311b5082c2p-12, 0x1.80d2e02cc5439p-12, 0x1.72b166b9ec526p-12, 0x1.6528688de1bd9p-12, 0x1.5831de10dce6cp-12, 0x1.4bc7f36a7c745p-12, 0x1.3fe5071295d61p-12, 0x1.3483a868def09p-12, 0x1.299e965705112p-12, 0x1.1f30bdf7dded1p-12, 0x1.15353948cef7cp-12, 0x1.0ba74de11813ep-12, 0x1.02826bb1c0a1cp-12, 0x1.f3845796beb65p-13, 0x1.e2c49e5c29d4cp-13, 0x1.d2bd7b3c0df6p-13, 0x1.c36708fe70fe3p-13, 0x1.b4b9ab74bbe2ap-13, 0x1.a6ae0d4ceed62p-13, 0x1.993d1df1d2031p-13, 0x1.8c600f7d92716p-13, 0x1.801054b2c1bb1p-13, 0x1.74479f06d16dap-13, 0x1.68ffdcb67171dp-13, 0x1.5e3336e7953e8p-13, 0x1.53dc0fd4fc974p-13, 0x1.49f5010a0c07ap-13, 0x1.4078d9a5c8eeap-13, 0x1.37629caa4cc98p-13, 0x1.2ead7f5961306p-13, 0x1.2654e79876543p-13, 0x1.1e546a61b92b6p-13, 0x1.16a7ca3fb260cp-13, 0x1.0f4af5d11c703p-13, 0x1.083a06582cb5p-13, 0x1.01713e5373d4bp-13, 0x1.f5da103e3f5bdp-14, 0x1.e953e94487e08p-14, 0x1.dd497402eafcdp-14, 0x1.d1b464bd002ffp-14, 0x1.c68eb53a2eddap-14, 0x1.bbd2a2664938dp-14, 0x1.b17aa9fdeecb3p-14, 0x1.a781884ff77d1p-14, 0x1.9de23609f46cdp-14, 0x1.9497e6199fb1cp-14, 0x1.8b9e039a0271p-14, 0x1.82f02fcf36bbbp-14, 0x1.7a8a4034aaacbp-14, 0x1.72683c93d769ap-14, 0x1.6a865d3130301p-14, 0x1.62e108fe57becp-14, 0x1.5b74d3de54bf2p-14, 0x1.543e7cf692a45p-14, 0x1.4d3aed0904cf6p-14, 0x1.466734e210a5ap-14, 0x1.3fc08bcb55b5p-14, 0x1.39444e0efeb0dp-14, 0x1.32effb80ce9a7p-14, 0x1.2cc1361d0f224p-14, 0x1.26b5c0a8b3416p-14, 0x1.20cb7d5d95bf8p-14, 0x1.1b006ca85fb62p-14, 0x1.1552abe87e8a6p-14, 0x1.0fc0743e437a5p-14, 0x1.0a481961f7dc1p-14, 0x1.04e808847d8ep-14, 0x1.ff3d8e7279d02p-15, 0x1.f4d5e4d3c9884p-15, 0x1.ea967a9e81eep-15, 0x1.e07ce0f51da48p-15, 0x1.d686d1bbdd562p-15, 0x1.ccb22dc953cbap-15, 0x1.c2fcfb1a1f2ebp-15, 0x1.b96563206a063p-15, 0x1.afe9b118e1083p-15, 0x1.a6885073fe5d5p-15, 0x1.9d3fcb470d6d8p-15, 0x1.940ec8d67ca8p-15, 0x1.8af40c223acap-15, 0x1.81ee72850205cp-15, 0x1.78fcf25f43dbbp-15, 0x1.701e99ce81378p-15, 0x1.67528d71c632cp-15, 0x1.5e9807353c9c9p-15, 0x1.55ee5530770fp-15, 0x1.4d54d88bd0fb8p-15, 0x1.44cb046f2c137p-15, 0x1.3c505cfe9e573p-15, 0x1.33e4765aa19f4p-15, 0x1.2b86f3b5aac49p-15, 0x1.2337866b486a5p-15, 0x1.1af5ed179d4bap-15, 0x1.12c1f2d1c2c19p-15, 0x1.0a9b6e5270c5bp-15, 0x1.02824136ad164p-15, 0x1.f4ecae8044f3fp-16, 0x1.e4ef4b43623aep-16, 0x1.d50c54a5148ddp-16, 0x1.c543d6d4208d8p-16, 0x1.b595ecfdf5fb8p-16, 0x1.a602c0276fa31p-16, 0x1.968a860570aabp-16, 0x1.872d7ff2911fep-16, 0x1.77ebf9d196bdcp-16, 0x1.68c64932507cfp-16, 0x1.59bccc4bb4305p-16, 0x1.4acfe919f4601p-16, 0x1.3c000c8cc9c71p-16, 0x1.2d4da9b4fa41cp-16, 0x1.1eb938fd37a95p-16, 0x1.1043377649821p-16, 0x1.01ec261e977b1p-16, 0x1.e769127dd00cbp-17, 0x1.cb39cf95dd345p-17, 0x1.af4b9590431adp-17, 0x1.939f79875c54cp-17, 0x1.78369290a8835p-17, 0x1.5d11f8c8e0a8ep-17, 0x1.4232c45820cc8p-17, 0x1.279a0c9ecac31p-17, 0x1.0d48e75a8839ap-17, 0x1.e680cfbb39a08p-18, 0x1.b3033cc27d344p-18, 0x1.801b2ea603ca3p-18, 0x1.4dcab550e14dep-18, 0x1.1c13d6b971f43p-18, 0x1.d5f11b64f19a1p-19, 0x1.74f591c5de29ep-19, 0x1.1538d3d35cc69p-19, 0x1.6d7d11d4714ecp-20, 0x1.6628ec37b39ecp-21, -0x1.30556e9f47f14p-26, -0x1.73fb778ade2dfp-21, -0x1.6c9a68f65332p-20, -0x1.0e48a77db5f2ep-19, -0x1.64ee538fd55d1p-19, -0x1.ba3b791e592acp-19, -0x1.0716bedfa5669p-18, -0x1.3060f65654c5fp-18, -0x1.58fb3ba909423p-18, -0x1.80e47ae1c8cep-18, -0x1.a81bb38f5eafep-18, -0x1.ce9ff8f177828p-18, -0x1.f47071f80b532p-18, -0x1.0cc62cc808165p-17, -0x1.1ef97f3a2c624p-17, -0x1.30d1e1a619bd9p-17, -0x1.424f0f4fedfb4p-17, -0x1.5370cd657d0c8p-17, -0x1.6436eaea9229ap-17, -0x1.74a140d19f20cp-17, -0x1.84afb1b168f34p-17, -0x1.946229d8084cbp-17, -0x1.a3b89f2aca4c8p-17, -0x1.b2b3110d4319fp-17, -0x1.c1518847fe795p-17, -0x1.cf9416e053bc5p-17, -0x1.dd7ad80debc67p-17, -0x1.eb05f00369162p-17, -0x1.f8358bd5f1f68p-17, -0x1.0284f0aaddbb8p-16, -0x1.08c19773a4fc6p-16, -0x1.0ed0ddada5712p-16, -0x1.14b2eae28c63ap-16, -0x1.1a67eaa793012p-16, -0x1.1ff00c8b6a17ep-16, -0x1.254b83f710983p-16, -0x1.2a7a881e63f11p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.2e28190e682e3p+1, -0x1.27c27e1d8f891p+1, -0x1.21563fb8edad4p+1, -0x1.1ae7aa418d3dfp+1, -0x1.147aaa53a6ed7p+1, -0x1.0e12d408e9bp+1, -0x1.07b3653b8916fp+1, -0x1.015f4b3c501dep+1, -0x1.f6324ea1b30dep+0, -0x1.e9c6a2e1f118ep+0, -0x1.dd7fbb046d09p+0, -0x1.d161439885918p+0, -0x1.c56e782df6b36p+0, -0x1.b9aa2aa64e837p+0, -0x1.ae16c94171495p+0, -0x1.a2b66518825dbp+0, -0x1.978ab9fea3f23p+0, -0x1.8c9536d21f439p+0, -0x1.81d7047e51b7ep+0, -0x1.77510b9e37a39p+0, -0x1.6d03fa4d50fd3p+0, -0x1.62f051485b391p+0, -0x1.591658ae93b8fp+0, -0x1.4f762a50432c2p+0, -0x1.460fb9d4629b7p+0, -0x1.3ce2d6caa73d3p+0, -0x1.33ef30d9b65e7p+0, -0x1.2b345b1d9351fp+0, -0x1.22b1cece640e9p+0, -0x1.1a66edbeb335ep+0, -0x1.1253051fee6abp+0, -0x1.0a7550828df89p+0, -0x1.02ccfcae9b4ap+0, -0x1.f6b253ebc6f7p-1, -0x1.e831dbd400b2dp-1, -0x1.da16a9587f803p-1, -0x1.cc5ec4561d978p-1, -0x1.bf08270f141d5p-1, -0x1.b210c152a28edp-1, -0x1.a5767bb583784p-1, -0x1.99373a7512733p-1, -0x1.8d50dfc09d5ffp-1, -0x1.81c14d619c0a3p-1, -0x1.768665ef66e42p-1, -0x1.6b9e0dd06c60bp-1, -0x1.61062c40606b9p-1, -0x1.56bcac74c9344p-1, -0x1.4cbf7ed86aa79p-1, -0x1.430c9a3fb7dd6p-1, -0x1.39a1fcf35ec95p-1, -0x1.307dad78b723ap-1, -0x1.279dbb1349435p-1, -0x1.1f003e0da75fbp-1, -0x1.16a357e321d27p-1, -0x1.0e853364bdedep-1, -0x1.06a404eba3225p-1, -0x1.fdfc153dbc47ep-2, -0x1.ef23198ce7c7cp-2, -0x1.e0b9bc3c88519p-2, -0x1.d2bcb8328bf1ep-2, -0x1.c528de11722c1p-2, -0x1.b7fb1441f7a34p-2, -0x1.ab3056b94a32p-2, -0x1.9ec5c98d4dcf2p-2, -0x1.92b877aa301ep-2, -0x1.87059e737fa42p-2, -0x1.7baa894d55a1ap-2, -0x1.70a4975552019p-2, -0x1.65f13b1965848p-2, -0x1.5b8dfa3f793c5p-2, -0x1.51786d1fd39f6p-2, -0x1.47ae3e55fbba1p-2, -0x1.3e2d2a4cb2f9fp-2, -0x1.34f2fec943e3p-2, -0x1.2bfd9a7939d12p-2, -0x1.234aec8409a29p-2, -0x1.1ad8f420bdc4fp-2, -0x1.12a5c02eac45dp-2, -0x1.0aaf6ecfbd1cp-2, -0x1.02f42d02da397p-2, -0x1.f6e46c7b11179p-3, -0x1.e84fa8089f88ap-3, -0x1.da26bb045dd22p-3, -0x1.cc666e3fb59bp-3, -0x1.bf0ba4377ec19p-3, -0x1.b213584786afbp-3, -0x1.a57a9de35ec41p-3, -0x1.993e9fd58faecp-3, -0x1.8d5c9f85b4d2p-3, -0x1.81d1f4456fd17p-3, -0x1.769c0aa38ef1dp-3, -0x1.6bb863c4940fcp-3, -0x1.612494bf960dp-3, -0x1.56de45fe9fed2p-3, -0x1.4ce332a1e4be1p-3, -0x1.433127e55c1c4p-3, -0x1.39c60488cc986p-3, -0x1.309fb83a8192dp-3, -0x1.27bc43051fc5cp-3, -0x1.1f19b4c13895cp-3, -0x1.16b62c8b36174p-3, -0x1.0e8fd83e2d667p-3, -0x1.06a4f3f3f9d5ap-3, -0x1.fde79315b7c4ep-4, -0x1.eef560611d7c3p-4, -0x1.e07017e57089cp-4, -0x1.d2549aa88ae02p-4, -0x1.c49fe1cea8873p-4, -0x1.b74efdd645c08p-4, -0x1.aa5f15db085e6p-4, -0x1.9dcd66ded6a4ep-4, -0x1.9197431851ebep-4, -0x1.85ba11462e9b6p-4, -0x1.7a334c06f781ap-4, -0x1.6f008135208bap-4, -0x1.641f51474ea8bp-4, -0x1.598d6eb4eb8b6p-4, -0x1.4f489d5f2abf8p-4, -0x1.454eb1feaa7c7p-4, -0x1.3b9d9195d9028p-4, -0x1.323330e83bb8p-4, -0x1.290d93f6b7573p-4, -0x1.202acd80cb9f6p-4, -0x1.1788fe8ac6106p-4, -0x1.0f2655e8ba991p-4, -0x1.07010fce34db7p-4, -0x1.fe2eeac49d469p-5, -0x1.eecfb8b01e1dcp-5, -0x1.dfe14d15797b2p-5, -0x1.d160833beb423p-5, -0x1.c34a4d4283005p-5, -0x1.b59bb36de116ep-5, -0x1.a851d37c0ec9ep-5, -0x1.9b69dffe1d747p-5, -0x1.8ee11fb7321e2p-5, -0x1.82b4ed00bc583p-5, -0x1.76e2b5338afcap-5, -0x1.6b67f815abcddp-5, -0x1.6042474cca516p-5, -0x1.556f45d50c7f3p-5, -0x1.4aeca77c349d5p-5, -0x1.40b83060ffd82p-5, -0x1.36cfb476bf7ap-5, -0x1.2d31170cea9d2p-5, -0x1.23da4a5aca1dcp-5, -0x1.1ac94f0f002d3p-5, -0x1.11fc33e2e6f15p-5, -0x1.09711dfa1b3e7p-5, -0x1.012623c6c229dp-5, -0x1.f2330b98ca4a6p-6, -0x1.e2930dff77e8ap-6, -0x1.d368ecf35b444p-6, -0x1.c4b15e3db9cb7p-6, -0x1.b6692e9418fbdp-6, -0x1.a88d40f282f56p-6, -0x1.9b1a8dfb19df2p-6, -0x1.8e0e235ac2869p-6, -0x1.81652332b7c8p-6, -0x1.751cc386caf09p-6, -0x1.69324db04250ep-6, -0x1.5da31dd504623p-6, -0x1.526ca263070a3p-6, -0x1.478c5b8faf414p-6, -0x1.3cffdadb39084p-6, -0x1.32c4c297bd6b8p-6, -0x1.28d8c573f36d3p-6, -0x1.1f39a609581a5p-6, -0x1.15e5366dc36a6p-6, -0x1.0cd957c834708p-6, -0x1.0413f9e8ca4dcp-6, -0x1.f72635c77b237p-7, -0x1.e6a98d5ea5fc8p-7, -0x1.d6ae2d893dbd6p-7, -0x1.c73063861e319p-7, -0x1.b82c962d30272p-7, -0x1.a99f4540ef931p-7, -0x1.9b8508c4f53d1p-7, -0x1.8dda905948d4fp-7, -0x1.809ca29a52a2ep-7, -0x1.73c81c856a013p-7, -0x1.6759f0e1c5833p-7, -0x1.5b4f27ad67756p-7, -0x1.4fa4dd8e828f4p-7, -0x1.445843485e4cep-7, -0x1.39669d347b76cp-7, -0x1.2ecd42bf1b771p-7, -0x1.24899de7716bp-7, -0x1.1a992ac3615a3p-7, -0x1.10f977066d74ap-7, -0x1.07a8218c05d62p-7, -0x1.fd45b3c9cac2ap-8, -0x1.ebcebfcf00f71p-8, -0x1.dae70686da116p-8, -0x1.ca8a462f2fc36p-8, -0x1.bab45b16a1472p-8, -0x1.ab613ed3f6926p-8, -0x1.9c8d0782c46dap-8, -0x1.8e33e7052855bp-8, -0x1.80522a4a68ed6p-8, -0x1.72e4389a6af4ap-8, -0x1.65e692e5cfb35p-8, -0x1.5955d31a53032p-8, -0x1.4d2eab7c3b82cp-8, -0x1.416de6031fa77p-8, -0x1.361063bbc299fp-8, -0x1.2b131c2d23e23p-8, -0x1.20731cc22fcdfp-8, -0x1.162d8836cd27ap-8, -0x1.0c3f9608ad01dp-8, -0x1.02a691ec03ffap-8, -0x1.f2bfb686d7759p-9, -0x1.e0d1c936dca2bp-9, -0x1.cf7e66524e6ap-9, -0x1.bec0bc98fe6e9p-9, -0x1.ae941e2a4edb5p-9, -0x1.9ef3ff95f16e8p-9, -0x1.8fdbf6f245fbep-9, -0x1.8147baf8abb62p-9, -0x1.733322278242ap-9, -0x1.659a21e9b5ff4p-9, -0x1.5878cdc3a5608p-9, -0x1.4bcb568550349p-9, -0x1.3f8e0981ae744p-9, -0x1.33bd4fcafb67ep-9, -0x1.2855ad73e8bccp-9, -0x1.1d53c0d59854dp-9, -0x1.12b441da28761p-9, -0x1.0874014bf5d08p-9, -0x1.fd1fd05150154p-10, -0x1.ea09edf3d8cf5p-10, -0x1.d7a08a61014d7p-10, -0x1.c5de010a57318p-10, -0x1.b4bcd8b90ff41p-10, -0x1.a437c25dca83dp-10, -0x1.944997e934565p-10, -0x1.84ed5b2aa1d0ap-10, -0x1.761e34b6c879cp-10, -0x1.67d772d4ea9ecp-10, -0x1.5a148873e9145p-10, -0x1.4cd10c2517e6dp-10, -0x1.4008b71e55e5ap-10, -0x1.33b76442328cbp-10, -0x1.27d90f2e56155p-10, -0x1.1c69d350a548p-10, -0x1.1165eb01d4eabp-10, -0x1.06c9aea5b95bcp-10, -0x1.f92327a3ca1bp-11, -0x1.e57458f2dbc64p-11, -0x1.d2804c3c5d191p-11, -0x1.c040920f0582fp-11, -0x1.aeaeeefc3d89cp-11, -0x1.9dc55a19e380bp-11, -0x1.8d7dfb8e19198p-11, -0x1.7dd32b24b8c31p-11, -0x1.6ebf6eee4605p-11, -0x1.603d79e7ef033p-11, -0x1.52482aacc2101p-11, -0x1.44da8a2fffe2dp-11, -0x1.37efca7e1ef89p-11, -0x1.2b83458a6308fp-11, -0x1.1f907bfed810ep-11, -0x1.1413141a3f982p-11, -0x1.0906d8913b874p-11, -0x1.fccf6ef37f87dp-12, -0x1.e86382795c2f1p-12, -0x1.d4c24f1c2a947p-12, -0x1.c1e478df491d4p-12, -0x1.afc2e26cd319dp-12, -0x1.9e56ab321ae2bp-12, -0x1.8d992d89e639dp-12, -0x1.7d83fcf1561a7p-12, -0x1.6e10e4498c7dfp-12, -0x1.5f39e4292e932p-12, -0x1.50f93134e02f5p-12, -0x1.4349328710fb3p-12, -0x1.362480208777p-12, -0x1.2985e165258b8p-12, -0x1.1d684ba4b4373p-12, -0x1.11c6e0abd2263p-12, -0x1.069ced614ebbp-12, -0x1.f7cbd0d6fb57dp-13, -0x1.e33ae1c1abe06p-13, -0x1.cf7e9a038c9f9p-13, -0x1.bc8ed1f660bc5p-13, -0x1.aa63ab65e7096p-13, -0x1.98f58f37c83c3p-13, -0x1.883d2b270a56cp-13, -0x1.78336f8fa242dp-13, -0x1.68d18d493b3e5p-13, -0x1.5a10f393bc9b4p-13, -0x1.4beb4e11babffp-13, -0x1.3e5a82d1a9c55p-13, -0x1.3158b06622c4cp-13, -0x1.24e02c103c25p-13, -0x1.18eb7ff24c6d3p-13, -0x1.0d75694d5ac6dp-13, -0x1.0278d6d9fc9cep-13, -0x1.efe1ce3b626b7p-14, -0x1.dbb1cdaf37c51p-14, -0x1.c8589ee4bedc9p-14, -0x1.b5cd8b1091cb1p-14, -0x1.a4082ed3cc20ap-14, -0x1.9300777b4a2afp-14, -0x1.82aea0389e78p-14, -0x1.730b2f83e6d48p-14, -0x1.640ef483460b5p-14, -0x1.55b30492bfdf1p-14, -0x1.47f0b8d97b7edp-14, -0x1.3ac1abf4c7da3p-14, -0x1.2e1fb7ade50fdp-14, -0x1.2204f2d157297p-14, -0x1.166baf06d0b44p-14, -0x1.0b4e76c7e9878p-14, -0x1.00a80b59fc977p-14, -0x1.ece6c5c7abf0cp-15, -0x1.d96e415cdae9ep-15, -0x1.c6ae7cae9a531p-15, -0x1.b4b654fa89011p-15, -0x1.a37d3a4652a53p-15, -0x1.92faf4c6142c6p-15, -0x1.8327a1984d98ap-15, -0x1.73fbafbad60a4p-15, -0x1.656fdd05e158ap-15, -0x1.577d334e33b98p-15, -0x1.4a1d059ae792ap-15, -0x1.3d48ed6dc99dbp-15, -0x1.30fac82ad6429p-15, -0x1.252cb48cf9931p-15, -0x1.19d9103bbd4bcp-15, -0x1.0efa7564010d2p-15, -0x1.048bb87a77357p-15, -0x1.f50fcc029979bp-16, -0x1.e1d480cd06142p-16, -0x1.cf5c7bf33eb52p-16, -0x1.bd9f0dce12bd6p-16, -0x1.ac93e6a1f9d9fp-16, -0x1.9c3312e6697cep-16, -0x1.8c74f7ade4785p-16, -0x1.7d524f3e71a01p-16, -0x1.6ec425a29e54ep-16, -0x1.60c3d569a2634p-16, -0x1.534b04c20ea5dp-16, -0x1.4653a23e58976p-16, -0x1.39d7e205ac49ep-16, -0x1.2dd23b0c6b604p-16, -0x1.223d6456a7319p-16, -0x1.1714527200943p-16, -0x1.0c5234c1b4ae8p-16, -0x1.01f2735c64293p-16, -0x1.efe1590b4a4e8p-17, -0x1.dc91650114a7fp-17, -0x1.c9ed12b06a857p-17, -0x1.b7ecc9ca3af12p-17, -0x1.a6894d51f5315p-17, -0x1.95bbb7ea157afp-17, -0x1.857d780dcbb1bp-17, -0x1.75c84c80fdeb5p-17, -0x1.669640d22c0c5p-17, -0x1.57e1aa1c456f8p-17, -0x1.49a52397ed73p-17, -0x1.3bdb8bd5f9c4p-17, -0x1.2e8001b26cd9ap-17, -0x1.218de15622b4bp-17, -0x1.1500c19940934p-17, -0x1.08d4715b6e898p-17, -0x1.fa09e9f5cbb6bp-18, -0x1.e31d07ca6ec6p-18, -0x1.ccdb0c8541c5bp-18, -0x1.b73d255d53c08p-18, -0x1.a23cd8529ce5ap-18, -0x1.8dd3ffc1e1b41p-18, -0x1.79fcc69b456b6p-18, -0x1.66b1a47d08df3p-18, -0x1.53ed5a236dd99p-18, -0x1.41aaedbede1ebp-18, -0x1.2fe5a7ba926b2p-18, -0x1.1e990f6508d62p-18, -0x1.0dc0e7f973553p-18, -0x1.fab25aa2bf09ap-19, -0x1.dabc238432cfbp-19, -0x1.bb97f49e895bap-19, -0x1.9d3efa5594cdp-19, -0x1.7faabd21ea30cp-19, -0x1.62d51d182e423p-19, -0x1.46b84d45e2a03p-19, -0x1.2b4ecf946812dp-19, -0x1.10937036631d6p-19, -0x1.ed0283818bba6p-20, -0x1.ba27348cd4066p-20, -0x1.888c1ac612b81p-20, -0x1.5828d6c938eap-20, -0x1.28f578d6cca92p-20, -0x1.f5d4f733b1d1dp-21, -0x1.9c017adc7300bp-21, -0x1.4462f61efbc7p-21, -0x1.ddd927f25a231p-22, -0x1.37244cecd2052p-22, -0x1.292072da02571p-23, 0x1.3f21a40f40c3fp-27, 0x1.4918d9004a154p-23, 0x1.3b3dc5971558ep-22, 0x1.ce200823c9f6dp-22, 0x1.2ea29d6fbaff5p-21, 0x1.745f493854da7p-21, 0x1.b84e3f2ed919ep-21, 0x1.fa77580e23fc1p-21, 0x1.1d710b34bef3p-20, 0x1.3ccad60661fffp-20, 0x1.5b4c7fa2451acp-20, 0x1.78f9585c1e8b8p-20, 0x1.95d4900c34a46p-20, 0x1.b1e1387b94578p-20, 0x1.cd2247a2bc4dfp-20, 0x1.e79a99c7adfefp-20, 0x1.00a679e30e734p-19, 0x1.0d1e01e7c14fep-19, 0x1.1935326aa9656p-19, 0x1.24ed4f949d26ap-19, 0x1.30479521390c7p-19, 0x1.3b4536fa9b089p-19, 0x1.45e76270f516ep-19, 0x1.502f3e263987bp-19, 0x1.5a1dea9b662e5p-19, 0x1.63b48429473fp-19, 0x1.6cf421a94d91ep-19, 0x1.75ddd5cbda702p-19, 0x1.7e72afc0ac88fp-19, 0x1.86b3bb4e81e64p-19, 0x1.8ea2014add4bap-19, 0x1.963e87f4e4223p-19, 0x1.9d8a5352bd6a6p-19, 0x1.a486655cd2f81p-19, 0x1.ab33be7bd839dp-19, 0x1.b1935d90cdd8fp-19, 0x1.b7a640168b878p-19, 0x1.bd6d6355bcd88p-19, 0x1.c2e9c2f7e911p-19, 0x1.c81c5a5471988p-19, 0x1.cd0624263052bp-19, 0x1.d1a81b22542f4p-19, 0x1.d603391f668fap-19, 0x1.da187868c39dbp-19, 0x1.dde8d30df387p-19, 0x1.e1754324e39f5p-19, 0x1.e4bec2dba44f7p-19, 0x1.e7c64c8f7d3acp-19, 0x1.ea8cdaabb7073p-19, 0x1.ed1367f2260cp-19, 0x1.ef5aef544643dp-19, 0x1.f1646c015f795p-19, 0x1.f330d96632d84p-19, 0x1.f4c1332c32515p-19, 0x1.f616751f0b309p-19, 0x1.f7319b84b77e9p-19, 0x1.f813a28938f16p-19, 0x1.f8bd869e3699fp-19, 0x1.f930443b29afdp-19, 0x1.f96cd800894eep-19, 0x1.f9743ebe0c733p-19, 0x1.f94774ac59a69p-19, 0x1.f8e77681e776cp-19, 0x1.f85540a36c9cdp-19, 0x1.f791cf27b9bc6p-19, 0x1.f69e1e3ef78ap-19, 0x1.f57b29705ae07p-19, 0x1.f429ec03fdde1p-19, 0x1.f2ab608af5a14p-19, 0x1.f10081d2df1f9p-19, 0x1.ef2a495d4f97dp-19, 0x1.ed29b04317df2p-19, 0x1.eaffaee608fa8p-19, 0x1.e8ad3cdf167b6p-19, 0x1.e63350ec6de7bp-19, 0x1.e392e0df8bd43p-19, 0x1.e0cce1abc6acep-19, 0x1.dde246f2fab16p-19, 0x1.dad40336b58e1p-19, 0x1.d7a308035064bp-19, 0x1.d45045811c217p-19, 0x1.d0dcaa826d714p-19, 0x1.cd492472cf34dp-19, 0x1.c9969f0edd46dp-19, 0x1.c5c6053349674p-19, 0x1.c1d83f7c536b3p-19, 0x1.bdce35178d708p-19, 0x1.b9a8cb7bf3becp-19, 0x1.b568e65b0407fp-19, 0x1.b10f6790477b2p-19, 0x1.ac9d2f2a022d1p-19, 0x1.a8131b1308d2bp-19, 0x1.a3720768ef0fep-19, 0x1.9ebace2fb6a24p-19, 0x1.99ee4754cd7f2p-19, 0x1.950d48a30b8f9p-19, 0x1.9018a5b71d6p-19, 0x1.8b112ff469058p-19, 0x1.85f7b67f9832ep-19, 0x1.80cd061d0dd6bp-19, 0x1.7b91e985665f7p-19, 0x1.7647286460a1ep-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.32c31829ddc05p-2, -0x1.f5306e476cf5ep-3, -0x1.8203b83e97981p-3, -0x1.0d16bcc638024p-3, -0x1.2ec7df9ac058dp-4, -0x1.0e545be1e030fp-6, 0x1.4bbf474b27151p-5, 0x1.8c3b55d47012dp-4, 0x1.372842336328p-3, 0x1.a58e1b3dc006bp-3, 0x1.0870b0cdff20cp-2, 0x1.3c6318f5fee66p-2, 0x1.6e786f284bc2dp-2, 0x1.9e922dfa597fdp-2, 0x1.cc987373a413ap-2, 0x1.f8796586eb867p-2, 0x1.11144ed61c099p-1, 0x1.24cf488340e5ep-1, 0x1.376bf8300881ep-1, 0x1.48ea84deaf8cdp-1, 0x1.594c9ffe28d8p-1, 0x1.6895479b5903dp-1, 0x1.76c8a1efe4715p-1, 0x1.83ec1e70c322bp-1, 0x1.9005e48d25565p-1, 0x1.9b1cd2f3ed0e4p-1, 0x1.a538613d25b31p-1, 0x1.ae608415cfa37p-1, 0x1.b69d92f6270bcp-1, 0x1.bdf82fb5788f7p-1, 0x1.c47930985398bp-1, 0x1.ca298d091ed6fp-1, 0x1.cf124cc689011p-1, 0x1.d33c79459225p-1, 0x1.d6b1111e30e19p-1, 0x1.d978fd58a6543p-1, 0x1.db9d084d46aa5p-1, 0x1.dd25d5a719c3cp-1, 0x1.de1bdb2319fc7p-1, 0x1.de8759e0ffa6bp-1, 0x1.de7058697508dp-1, 0x1.ddde9dc3b66e4p-1, 0x1.dcd9adf5174abp-1, 0x1.db68c81278b81p-1, 0x1.d992e5c1a543bp-1, 0x1.d75ebbc777776p-1, 0x1.d4d2bb1dde1dbp-1, 0x1.d1f5121117b4cp-1, 0x1.cecbad081d99ap-1, 0x1.cb5c36d3dd2f5p-1, 0x1.c7ac189b2bc9fp-1, 0x1.c3c079a6c6ad3p-1, 0x1.bf9e3f661ec34p-1, 0x1.bb4a0dff80d6ep-1, 0x1.b6c849a0ea1ep-1, 0x1.b21d189d2afe3p-1, 0x1.ad4c66377d1f2p-1, 0x1.a859e5e0f043dp-1, 0x1.a349169cc7c02p-1, 0x1.9e1d464392acdp-1, 0x1.98d9946ce0311p-1, 0x1.9380f4df30dd2p-1, 0x1.8e16317f421fbp-1, 0x1.889ba76b5c87ep-1, 0x1.8314913749326p-1, 0x1.7d82cc0631deep-1, 0x1.77e87f4dc82bap-1, 0x1.7247aef29462bp-1, 0x1.6ca23d5667089p-1, 0x1.66f9ed54ab94ap-1, 0x1.615064232223cp-1, 0x1.5ba72b119af06p-1, 0x1.55ffb1270536dp-1, 0x1.505b4c9ccc362p-1, 0x1.4abb3c3b259f8p-1, 0x1.4520a899af07dp-1, 0x1.3f8ca547e09d8p-1, 0x1.3a0031e0c6f2ap-1, 0x1.347c3b0d3f1f7p-1, 0x1.2f019b77c998ap-1, 0x1.29911cb4d93a7p-1, 0x1.242b78223a295p-1, 0x1.1ed157bfd77ep-1, 0x1.198357039670ep-1, 0x1.144203a968696p-1, 0x1.0f0dde8004f9bp-1, 0x1.09e75c321d96cp-1, 0x1.04cee60b4801bp-1, 0x1.ff89b56ef8e35p-2, 0x1.f5931df76e54ap-2, 0x1.ebba9ccc87d51p-2, 0x1.e200b7ea81577p-2, 0x1.d865e5645002dp-2, 0x1.ceea8c82fe8fep-2, 0x1.c58f06cc70164p-2, 0x1.bc53a0f1800d8p-2, 0x1.b3389ba46cffdp-2, 0x1.aa3e2c593f95p-2, 0x1.a1647df2930bbp-2, 0x1.98abb15d8d541p-2, 0x1.9013de2001dc3p-2, 0x1.879d12dbbc506p-2, 0x1.7f4755c99c914p-2, 0x1.7712a52ecfe49p-2, 0x1.6efef7cde5c7ap-2, 0x1.670c3d54f5215p-2, 0x1.5f3a5ec987e83p-2, 0x1.57893ef285f88p-2, 0x1.4ff8bac00adf4p-2, 0x1.4888a9b0cf14ep-2, 0x1.4138de34b6431p-2, 0x1.3a09260c061f5p-2, 0x1.32f94aa2d624p-2, 0x1.2c0911686183dp-2, 0x1.25383c21fab0fp-2, 0x1.1e868939813dbp-2, 0x1.17f3b407522dp-2, 0x1.117f7517be206p-2, 0x1.0b29826c242e9p-2, 0x1.04f18fb7d886p-2, 0x1.fdae9d3204cc2p-3, 0x1.f1b4dd9b41ddcp-3, 0x1.e5f53cc9d2b65p-3, 0x1.da6f13da57e2bp-3, 0x1.cf21b93ce47eep-3, 0x1.c40c810405396p-3, 0x1.b92ebd2df70acp-3, 0x1.ae87bde86adccp-3, 0x1.a416d1cf2fdadp-3, 0x1.99db46262edabp-3, 0x1.8fd4670f12569p-3, 0x1.86017fbaf20f1p-3, 0x1.7c61da98677c1p-3, 0x1.72f4c17e6686cp-3, 0x1.69b97dd41ac44p-3, 0x1.60af58b62c947p-3, 0x1.57d59b19ac9a5p-3, 0x1.4f2b8dece7857p-3, 0x1.46b07a365ede6p-3, 0x1.3e63a93222a63p-3, 0x1.3644646db19b5p-3, 0x1.2e51f5e296adfp-3, 0x1.268ba80fdee79p-3, 0x1.1ef0c61289334p-3, 0x1.17809bbd0d0c9p-3, 0x1.103a75ae02a4cp-3, 0x1.091da16608a27p-3, 0x1.022a0c8a7ee4bp-3, 0x1.f6bb99ddffd85p-4, 0x1.e971944dd9deap-4, 0x1.dc74ac839164ap-4, 0x1.cfc389426ee46p-4, 0x1.c35cd40e70f39p-4, 0x1.b73f39471af9ep-4, 0x1.ab696840a2f82p-4, 0x1.9fda135baa5a8p-4, 0x1.948ff01b725bfp-4, 0x1.8989b73ab7c78p-4, 0x1.7ec624bf1fc11p-4, 0x1.7443f80b548afp-4, 0x1.6a01f3efc9aa4p-4, 0x1.5ffedeba34412p-4, 0x1.56398243b79f5p-4, 0x1.4cb0abfdd14afp-4, 0x1.43632cfe05bdp-4, 0x1.3a4fda0857d8dp-4, 0x1.31758b9892275p-4, 0x1.28d31dea6a485p-4, 0x1.206771008a093p-4, 0x1.183168aa8529dp-4, 0x1.102fec89cb79p-4, 0x1.0861e815a03fep-4, 0x1.00c64a9e21b8dp-4, 0x1.f2b80e9ce5b95p-5, 0x1.e4442a5c1616ep-5, 0x1.d62ede427f97p-5, 0x1.c87627d220b9bp-5, 0x1.bb180c447c115p-5, 0x1.ae1298878042bp-5, 0x1.a163e13932a7fp-5, 0x1.950a02a23a7edp-5, 0x1.890320af5513bp-5, 0x1.7d4d66e9ce5b6p-5, 0x1.71e7086f05045p-5, 0x1.66ce3fe711938p-5, 0x1.5c014f7a99b11p-5, 0x1.517e80c7d9da4p-5, 0x1.474424d6fba27p-5, 0x1.3d50940db9ecp-5, 0x1.33a22e225f689p-5, 0x1.2a375a0e2f379p-5, 0x1.210e85ff39bdep-5, 0x1.18262749a8457p-5, 0x1.0f7cba5889994p-5, 0x1.0710c29e25f24p-5, 0x1.fdc19507bfadfp-6, 0x1.edd6c6b35139cp-6, 0x1.de5e4a8a29b7fp-6, 0x1.cf555e601b549p-6, 0x1.c0b94d6e57fb6p-6, 0x1.b287702f82bd7p-6, 0x1.a4bd2c3b20127p-6, 0x1.9757f42081cep-6, 0x1.8a5547411e9b5p-6, 0x1.7db2b1aa7d1a5p-6, 0x1.716dcbef99fdcp-6, 0x1.65843b01fb203p-6, 0x1.59f3b00a541e7p-6, 0x1.4eb9e840d4641p-6, 0x1.43d4acc5347b5p-6, 0x1.3941d276726f9p-6, 0x1.2eff39ca5a1dcp-6, 0x1.250acea4d755bp-6, 0x1.1b62882f1dc23p-6, 0x1.120468aeb28ffp-6, 0x1.08ee7d5c55b4ap-6, 0x1.001ede3add246p-6, 0x1.ef275bdc0dc04p-7, 0x1.de96332287f71p-7, 0x1.ce86b11d12873p-7, 0x1.bef558ea6028ep-7, 0x1.afdec1a1c2131p-7, 0x1.a13f96013b47ep-7, 0x1.9314941bd065ap-7, 0x1.855a8d08199d6p-7, 0x1.780e648f2d53fp-7, 0x1.6b2d10dbf5b81p-7, 0x1.5eb39a2adc33p-7, 0x1.529f1a79f4eabp-7, 0x1.46ecbd39a761bp-7, 0x1.3b99befdd8dap-7, 0x1.30a36d2fa6209p-7, 0x1.260725bfb0d79p-7, 0x1.1bc256d9030f4p-7, 0x1.11d27e94a59b3p-7, 0x1.08352aadcd6acp-7, 0x1.fdcff06d8355bp-8, 0x1.ebd1269cd866bp-8, 0x1.da696dad61a0ap-8, 0x1.c9945856e4fefp-8, 0x1.b94d95b4c34ccp-8, 0x1.a990f0b71cf22p-8, 0x1.9a5a4f957e491p-8, 0x1.8ba5b34334f96p-8, 0x1.7d6f36e5339e8p-8, 0x1.6fb30f4998d2cp-8, 0x1.626d8a60e9f3ep-8, 0x1.559b0eb8ef55p-8, 0x1.49381af943097p-8, 0x1.3d4145619879bp-8, 0x1.31b33b49b721dp-8, 0x1.268ac0a331322p-8, 0x1.1bc4af7cd89b4p-8, 0x1.115df787f436bp-8, 0x1.07539d9f2f68cp-8, 0x1.fb45769eb4649p-9, 0x1.e890fcc3bf97ep-9, 0x1.d68450d21fe1ep-9, 0x1.c51a1c9c2c838p-9, 0x1.b44d2fc1c6094p-9, 0x1.a4187ed34a90ap-9, 0x1.94772278789b4p-9, 0x1.8564569a98adbp-9, 0x1.76db79924f1ep-9, 0x1.68d80b58f83bbp-9, 0x1.5b55acbd69193p-9, 0x1.4e501e9c6e799p-9, 0x1.41c3411c8f293p-9, 0x1.35ab12ed65125p-9, 0x1.2a03b08a69064p-9, 0x1.1ec953812b9a3p-9, 0x1.13f851baec743p-9, 0x1.098d1cc9b8911p-9, 0x1.ff0882717f25ep-10, 0x1.ebb4cbc03307p-10, 0x1.d91896779ee29p-10, 0x1.c72d958c5130ap-10, 0x1.b5edacaaa0b37p-10, 0x1.a552eef829ab9p-10, 0x1.95579ddbdd23ep-10, 0x1.85f627cc2f7e7p-10, 0x1.77292723a54edp-10, 0x1.68eb60fb7e551p-10, 0x1.5b37c40c6ed57p-10, 0x1.4e09679573b0cp-10, 0x1.415b8a4862a7fp-10, 0x1.3529913c8fbfap-10, 0x1.296f06e71729ep-10, 0x1.1e279a18ddbc6p-10, 0x1.134f1d0245b0ap-10, 0x1.08e1843c457e8p-10, 0x1.fdb5cbae152bcp-11, 0x1.ea6ef0dbd85ep-11, 0x1.d7e72481d83a6p-11, 0x1.c61750a5fe4c5p-11, 0x1.b4f89b1b27837p-11, 0x1.a48463d32738dp-11, 0x1.94b443395e617p-11, 0x1.85820897fea2ep-11, 0x1.76e7b8869b96cp-11, 0x1.68df8b62145c9p-11, 0x1.5b63ebcdb6dd3p-11, 0x1.4e6f753de371fp-11, 0x1.41fcf28b1d18ep-11, 0x1.36075c8e33d27p-11, 0x1.2a89d8c4c1a64p-11, 0x1.1f7fb7fe6a72fp-11, 0x1.14e4751238cd2p-11, 0x1.0ab3b39c33a0ap-11, 0x1.00e93ec2b89b6p-11, 0x1.ef02100834c65p-12, 0x1.dcee4c16e0a2p-12, 0x1.cb8fa71abd82p-12, 0x1.badedc578a0a8p-12, 0x1.aad4eac230fc3p-12, 0x1.9b9dde1d9704dp-12, 0x1.8ccc4c7039477p-12, 0x1.7e8e00b5e7cf5p-12, 0x1.70dcf6585162dp-12, 0x1.63b362641dd3p-12, 0x1.570bb1adaf09cp-12, 0x1.4ae087037a7adp-12, 0x1.3f2cb96bb1f0fp-12, 0x1.33eb526f5827dp-12, 0x1.29178c706869ap-12, 0x1.1eacd10c2134dp-12, 0x1.14a6b788a3344p-12, 0x1.0b01034d9eb96p-12, 0x1.01b7a2686465bp-12, 0x1.f18d58341a2dap-13, 0x1.e054bee19dedp-13, 0x1.cfbe43d63347dp-13, 0x1.bfc2fc49b82fap-13, 0x1.b05c451dbe31cp-13, 0x1.a183c05e17d3p-13, 0x1.933352d574067p-13, 0x1.856521b38aef2p-13, 0x1.781390451afa8p-13, 0x1.6b393dbe5b27ap-13, 0x1.5ed1031422512p-13, 0x1.52d5f0e7225d7p-13, 0x1.47434d813bd56p-13, 0x1.3c1492de4f3bep-13, 0x1.31456cc76a5a1p-13, 0x1.26d1b6fcce958p-13, 0x1.1cb57b6cd44dfp-13, 0x1.12ecf07b4a1b8p-13, 0x1.09747753ba7a2p-13, 0x1.00489a4d7e339p-13, 0x1.eecc16b11bf32p-14, 0x1.dd9344f472e8fp-14, 0x1.cce0b8a77b792p-14, 0x1.bcaeb16fd96c7p-14, 0x1.acf7b29337727p-14, 0x1.9db6804f8d69p-14, 0x1.8ee61d474e30ep-14, 0x1.8081c80583201p-14, 0x1.7284f893498ccp-14, 0x1.64eb5e25e355cp-14, 0x1.57b0dcdd25347p-14, 0x1.4ad18b98b43eep-14, 0x1.3e49b1de3e777p-14, 0x1.3215c5d166e2dp-14, 0x1.26326a3dccb7fp-14, 0x1.1a9c6cb3b6664p-14, 0x1.0f50c3b42faafp-14, 0x1.044c8ced7a175p-14, 0x1.f31a1711b82a4p-15, 0x1.de1f4d08bf677p-15, 0x1.c9a3ce4034254p-15, 0x1.b5a2eeaa1a726p-15, 0x1.a21840bd94748p-15, 0x1.8eff929c30227p-15, 0x1.7c54eb5b51fc4p-15, 0x1.6a14885cb49b4p-15, 0x1.583adacace1fep-15, 0x1.46c485230cb2p-15, 0x1.35ae58df77f2cp-15, 0x1.24f554309f492p-15, 0x1.14969fd76294bp-15, 0x1.048f8d013275bp-15, 0x1.e9bb26a5e8559p-16, 0x1.cafc9de32af4cp-16, 0x1.acdefd5141bcfp-16, 0x1.8f5e04419e8fbp-16, 0x1.7275b0588be92p-16, 0x1.56223a3b0e5dap-16, 0x1.3a60126a393c1p-16, 0x1.1f2bde4738e03p-16, 0x1.0482751272e5p-16, 0x1.d4c1ba7eb6b47p-17, 0x1.a1889373cfaa9p-17, 0x1.6f542ec56c5cfp-17, 0x1.3e1f9528f212p-17, 0x1.0de619a7d1e3cp-17, 0x1.bd46aa47fc043p-18, 0x1.60a64423d00c8p-18, 0x1.05e330c65785ep-18, 0x1.59ec2680f1ac9p-19, 0x1.575fe962667f7p-20, 0x1.04b313182a4fep-27, -0x1.4c43f7cf1fe17p-20, -0x1.49cfc6b2a1469p-19, -0x1.ea0fb97af9f5bp-19, -0x1.437624c9ea668p-18, -0x1.9037b04b91f88p-18, -0x1.db513385a8183p-18, -0x1.1263939e231d6p-17, -0x1.364ee6b0e7399p-17, -0x1.596c9ae12360bp-17, -0x1.7bbea11aa5629p-17, -0x1.9d46d55a3ed92p-17, -0x1.be070099f83d4p-17, -0x1.de00daa264c91p-17, -0x1.fd360bc67e16cp-17, -0x1.0dd41739d6e91p-16, -0x1.1cac6863fbb1bp-16, -0x1.2b24bb008466ap-16, -0x1.393dcbe7cd421p-16, -0x1.46f853cde8bep-16, -0x1.545507e233e92p-16, -0x1.61549a559645cp-16, -0x1.6df7badae1d08p-16, -0x1.7a3f173e1bcc1p-16, -0x1.862b5bb7626fap-16, -0x1.91bd3368e083cp-16, -0x1.9cf548c34c1aep-16, -0x1.a7d445de3027bp-16, -0x1.b25ad4cf2c2dfp-16, -0x1.bc899ffa039ap-16, -0x1.c661525596bfp-16, -0x1.cfe297b220dp-16, -0x1.d90e1cf5bc419p-16, -0x1.e1e4904fe9a74p-16, -0x1.ea66a16c56e3cp-16, -0x1.f29501a8430bap-16, -0x1.fa70642803eb4p-16, -0x1.00fcbf05622fep-15, -0x1.0498833f95f69p-15, -0x1.080bdb7442cffp-15, -0x1.0b572571cf531p-15, -0x1.0e7ac0383823p-15, -0x1.11770bf884809p-15, -0x1.144c6a1ecbe6bp-15, -0x1.16fb3d556ac6ap-15, -0x1.1983e98969272p-15, -0x1.1be6d3e893882p-15, -0x1.1e2462e778fe1p-15, -0x1.203cfe3d289a7p-15, -0x1.22310ee16f6bcp-15, -0x1.2400ff0b2e455p-15, -0x1.25ad3a2b1c64bp-15, -0x1.27362ce8361dap-15, -0x1.289c4517ece45p-15, -0x1.29dff1b9f2672p-15, -0x1.2b01a2f023c84p-15, -0x1.2c01c9f432f13p-15, -0x1.2ce0d9130afd2p-15, -0x1.2d9f43a280089p-15, -0x1.2e3d7df1c6b19p-15, -0x1.2ebbfd48f31c1p-15, -0x1.2f1b37d7c8073p-15, -0x1.2f5ba4ab60202p-15, -0x1.2f7dbba668dbdp-15, -0x1.2f81f56fe26a4p-15, -0x1.2f68cb6b736c4p-15, -0x1.2f32b7a7fe634p-15, -0x1.2ee034dddb5e5p-15, -0x1.2e71be5548117p-15, -0x1.2de7cfe143b35p-15, -0x1.2d42e5d0ebff3p-15, -0x1.2c837ce28582fp-15, -0x1.2baa12367a336p-15, -0x1.2ab7234248deap-15, -0x1.29ab2dc539807p-15, -0x1.2886afb576f35p-15, -0x1.274a27397af44p-15, -0x1.25f61298d76c1p-15, -0x1.248af02fc5d9ep-15, -0x1.23093e614967dp-15, -0x1.21717b8b1248p-15, -0x1.1fc425f7f6418p-15, -0x1.1e01bbd777c1bp-15, -0x1.1c2abb2b75ca8p-15, -0x1.1a3fa1c02d83bp-15, -0x1.1840ed1f3d7d3p-15, -0x1.162f1a83e99b3p-15, -0x1.140aa6d003a77p-15, -0x1.11d40e7f5de93p-15, -0x1.0f8bcd9cce044p-15, -0x1.0d325fb96a2ddp-15, -0x1.0ac83fdf9e73ap-15, -0x1.084de88967412p-15, -0x1.05c3d3961a673p-15, -0x1.032a7a4070fdep-15, -0x1.00825514ce298p-15, -0x1.fb97b7d014ecp-16, -0x1.f60f0b9b281e6p-16, -0x1.f06b92213a508p-16, -0x1.eaae364892883p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.c834f9907dfdcp+0, -0x1.b8b68b907edfp+0, -0x1.ab2b2ad719ff1p+0, -0x1.9f630baa060f1p+0, -0x1.953019feef949p+0, -0x1.8c665dd41b024p+0, -0x1.84dc48bd59fa6p+0, -0x1.7e6afa4c4bec8p+0, -0x1.78ee63f8ae0b7p+0, -0x1.7445436c5351ap+0, -0x1.70510b6a5356ep+0, -0x1.6cf5d1314f6a6p+0, -0x1.6a1a40c357023p+0, -0x1.67a78e8974c66p+0, -0x1.65895c285c3dap+0, -0x1.63ad8e50d8ccap+0, -0x1.62041a66db16cp+0, -0x1.607ed550413dbp+0, -0x1.5f114916d70fp+0, -0x1.5db092d9b84aep+0, -0x1.5c534804c1963p+0, -0x1.5af10425c34cep+0, -0x1.5983ec4bff77fp+0, -0x1.5805f884e5f33p+0, -0x1.567280c93ce55p+0, -0x1.54c5c1ac402f2p+0, -0x1.52fcc50a04503p+0, -0x1.51154b596365fp+0, -0x1.4f0db5a2b43b1p+0, -0x1.4ce4f1022a8c8p+0, -0x1.4a9a64939acdbp+0, -0x1.482de1edcbaf6p+0, -0x1.459f97a1a830ap+0, -0x1.42f004fa26381p+0, -0x1.401fee759c97ep+0, -0x1.3d3052d549e38p+0, -0x1.3a2260e509a18p+0, -0x1.36f76e2b933fp+0, -0x1.33b0ee9bca155p+0, -0x1.30506d42f979dp+0, -0x1.2cd785e41d0ccp+0, -0x1.2947df74d4abbp+0, -0x1.25a32778896d5p+0, -0x1.21eb0e3455ddp+0, -0x1.1e2143a9227abp+0, -0x1.1a47752f2579bp+0, -0x1.165f4b7ff8b93p+0, -0x1.126a68f9a22a3p+0, -0x1.0e6a67ee85567p+0, -0x1.0a60d8ea9fd2ap+0, -0x1.064f40ef793f2p+0, -0x1.023717beb5522p+0, -0x1.fc338cb200fa5p-1, -0x1.f3f14bafefee9p-1, -0x1.eba9fd7cbc231p-1, -0x1.e360118dced68p-1, -0x1.db15d649d805p-1, -0x1.d2cd7a3365555p-1, -0x1.ca890d709fe5p-1, -0x1.c24a83645212bp-1, -0x1.ba13b41afd7fdp-1, -0x1.b1e65d660b5d2p-1, -0x1.a9c423987d7b5p-1, -0x1.a1ae2a63f766ep-1, -0x1.99a6def642925p-1, -0x1.91af0e7b6968p-1, -0x1.89c7f3ae9b6a8p-1, -0x1.81f2b12c0f9d6p-1, -0x1.7a30528a83d4cp-1, -0x1.7281cd75fe2d8p-1, -0x1.6ae802c569be8p-1, -0x1.6363bf873db56p-1, -0x1.5bf5be037d38bp-1, -0x1.549ea6b293604p-1, -0x1.4d5f1129132e5p-1, -0x1.463784f8656ecp-1, -0x1.3f287a844c4c4p-1, -0x1.38325bcd29408p-1, -0x1.3155852f22a04p-1, -0x1.2a924616b902dp-1, -0x1.23e8e1abe3cd8p-1, -0x1.1d598f7538212p-1, -0x1.16e47bf4ec5b7p-1, -0x1.1089c9418630dp-1, -0x1.0a498f9bc19b8p-1, -0x1.0423de02ca528p-1, -0x1.fc31758e97747p-2, -0x1.f050483a8623ap-2, -0x1.e4a42157d2742p-2, -0x1.d92ce0355c5adp-2, -0x1.cdea5733e0de5p-2, -0x1.c2dc4ccc21336p-2, -0x1.b8027c873419fp-2, -0x1.ad5c97e6eb8f7p-2, -0x1.a2ea473ceefcap-2, -0x1.98ab2a6ff1b4dp-2, -0x1.8e9ed9af42761p-2, -0x1.84c4e615a6415p-2, -0x1.7b1cda3d0c1dcp-2, -0x1.71a63ac508911p-2, -0x1.686086ce3783p-2, -0x1.5f4b386c9d1d8p-2, -0x1.5665c512f5515p-2, -0x1.4daf9df88c559p-2, -0x1.4528307ae2f3ep-2, -0x1.3ccee67bf06aap-2, -0x1.34a326bd84f3cp-2, -0x1.2ca45539f092p-2, -0x1.24d1d379e2b31p-2, -0x1.1d2b00e7489aep-2, -0x1.15af3b1ce0426p-2, -0x1.0e5dde3238dc8p-2, -0x1.07364503ddb5ap-2, -0x1.0037c9777f737p-2, -0x1.f2c3897815fddp-3, -0x1.e5671f0b519ffp-3, -0x1.d859048b7fc31p-3, -0x1.cb97eabe370b7p-3, -0x1.bf2282acc9da3p-3, -0x1.b2f77dfe43454p-3, -0x1.a7158f4ad8671p-3, -0x1.9b7b6a69316bfp-3, -0x1.9027c4b5ebffdp-3, -0x1.851955559e5bfp-3, -0x1.7a4ed571b2eb1p-3, -0x1.6fc700705a156p-3, -0x1.65809427c8bf3p-3, -0x1.5b7a510d0814dp-3, -0x1.51b2fa5e89a8ep-3, -0x1.4829564ab127p-3, -0x1.3edc2e129674bp-3, -0x1.35ca4e293181cp-3, -0x1.2cf2864f3546bp-3, -0x1.2453a9abc1852p-3, -0x1.1bec8ee247a6cp-3, -0x1.13bc1025bfc13p-3, -0x1.0bc10b497ce9dp-3, -0x1.03fa61cfd1397p-3, -0x1.f8cdf1ed81ab8p-4, -0x1.ea0b7385d8eb9p-4, -0x1.dbab2211dae1p-4, -0x1.cdaadeea908bep-4, -0x1.c008932644ff9p-4, -0x1.b2c22fa3b726ep-4, -0x1.a5d5ad133f497p-4, -0x1.99410bfe31266p-4, -0x1.8d0254cc8e858p-4, -0x1.8118213b9489bp-4, -0x1.757f7df4a3497p-4, -0x1.6a37097916c03p-4, -0x1.5f3cebfa2677fp-4, -0x1.548f559f3018fp-4, -0x1.4a2c7e7f8033p-4, -0x1.4012a69ab2636p-4, -0x1.364015cfc9e91p-4, -0x1.2cb31bd3119cap-4, -0x1.236a1022df166p-4, -0x1.1a6351fb41a26p-4, -0x1.119d4848b4eecp-4, -0x1.09166199ddc94p-4, -0x1.00cd14106419fp-4, -0x1.f17fbaa1e0856p-5, -0x1.e1da84e4b98d2p-5, -0x1.d2a79fd844c4ap-5, -0x1.c3e433081bc67p-5, -0x1.b58d747691c54p-5, -0x1.a7a0a87586981p-5, -0x1.9a1b217e08b93p-5, -0x1.8cfa4006e90fp-5, -0x1.803b725a4f439p-5, -0x1.73dc346a6c94ap-5, -0x1.67da0fa55b2dfp-5, -0x1.5c329ac84d97fp-5, -0x1.50e379b213db7p-5, -0x1.45ea5d351b4c2p-5, -0x1.3b4502e8f5fep-5, -0x1.30f134fb79082p-5, -0x1.26ecca0190893p-5, -0x1.1d35a4c7c8bbdp-5, -0x1.13c9b422b434ap-5, -0x1.0aa6f2bf26263p-5, -0x1.01cb66f25d836p-5, -0x1.f26a45145edb9p-6, -0x1.e1c4853a5b8afp-6, -0x1.d1a1deb5d740ap-6, -0x1.c1feb7b8a6b33p-6, -0x1.b2d78be858f6p-6, -0x1.a428ebff8f4aep-6, -0x1.95ef7d6fd0cd4p-6, -0x1.8827fa03d5bddp-6, -0x1.7acf2f825e225p-6, -0x1.6de1ff51a76e6p-6, -0x1.615d5e1b7dafcp-6, -0x1.553e53720681p-6, -0x1.4981f9753f6c6p-6, -0x1.3e257c7941576p-6, -0x1.33261aad5925ep-6, -0x1.288123c3e3491p-6, -0x1.1e33f89b103a2p-6, -0x1.143c0ae68da7ap-6, -0x1.0a96dcda0a7bap-6, -0x1.014200d4acf3ap-6, -0x1.f076321b18c28p-7, -0x1.deffae82047eap-7, -0x1.ce1bf8be2547bp-7, -0x1.bdc6b07591c02p-7, -0x1.adfb92751bdf6p-7, -0x1.9eb6781321483p-7, -0x1.8ff3569469fa6p-7, -0x1.81ae3e930044cp-7, -0x1.73e35b673d119p-7, -0x1.668ef292e998ep-7, -0x1.59ad632e77dfep-7, -0x1.4d3b255865b9dp-7, -0x1.4134c9a6be9c5p-7, -0x1.3596f89ac4279p-7, -0x1.2a5e7216cb2fp-7, -0x1.1f880cd629155p-7, -0x1.1510b5e7661fbp-7, -0x1.0af570287ed8ep-7, -0x1.013353c560011p-7, -0x1.ef8f1b711bae1p-8, -0x1.dd5ebe9bb91cp-8, -0x1.cbd03b4ecd615p-8, -0x1.bade6289321b1p-8, -0x1.aa842b16e1347p-8, -0x1.9abcb0a774e79p-8, -0x1.8b8332e91ed09p-8, -0x1.7cd314a79a38bp-8, -0x1.6ea7daef988c5p-8, -0x1.60fd2c35db598p-8, -0x1.53cecf82d7641p-8, -0x1.4718aba228b99p-8, -0x1.3ad6c65639296p-8, -0x1.2f05438fb21aep-8, -0x1.23a064a916ee6p-8, -0x1.18a487a628337p-8, -0x1.0e0e2677514b6p-8, -0x1.03d9d640a2a59p-8, -0x1.f4088d49b26f6p-9, -0x1.e114822830901p-9, -0x1.ced1503c57313p-9, -0x1.bd38ed9159bcp-9, -0x1.ac457fd11d6p-9, -0x1.9bf15afecbcd2p-9, -0x1.8c37003821adbp-9, -0x1.7d111c7dbabf3p-9, -0x1.6e7a87826cfc9p-9, -0x1.606e428102a6p-9, -0x1.52e77718ccbffp-9, -0x1.45e17630e60f9p-9, -0x1.3957b6e17301ep-9, -0x1.2d45d563ab65ap-9, -0x1.21a79207e6206p-9, -0x1.1678d031f6ce7p-9, -0x1.0bb5955b493fbp-9, -0x1.015a081b3dfbbp-9, -0x1.eec4de6a7bc35p-10, -0x1.db96615948d36p-10, -0x1.c921a1bc462a8p-10, -0x1.b75fe33da9526p-10, -0x1.a64aa2c1b8548p-10, -0x1.95db94ba404bp-10, -0x1.860ca3855aa17p-10, -0x1.76d7edd569186p-10, -0x1.6837c52449f4cp-10, -0x1.5a26ac2ff8fc6p-10, -0x1.4c9f55810b97cp-10, -0x1.3f9ca1faaf24dp-10, -0x1.33199f74814e7p-10, -0x1.2711875ca0b29p-10, -0x1.1b7fbd63f07dfp-10, -0x1.105fce324c485p-10, -0x1.05ad6e23d73a3p-10, -0x1.f6c8f01de495ep-11, -0x1.e301d8237a9aep-11, -0x1.cffddcd194efdp-11, -0x1.bdb58c999c263p-11, -0x1.ac21b9b172f27p-11, -0x1.9b3b77eee353p-11, -0x1.8afc1ab0de6bdp-11, -0x1.7b5d32d8ff0fp-11, -0x1.6c588cd1aa7a8p-11, -0x1.5de82ea37ec43p-11, -0x1.50065617b0fefp-11, -0x1.42ad76e7e8f51p-11, -0x1.35d838faf891cp-11, -0x1.298176af2f462p-11, -0x1.1da43b2f997dbp-11, -0x1.123bc0d6f580fp-11, -0x1.07436f9d80232p-11, -0x1.f96db72535acap-12, -0x1.e52386c4dde6ap-12, -0x1.d1a01dcaae69ep-12, -0x1.bedb9b7639f0fp-12, -0x1.acce6be02c867p-12, -0x1.9b71455a5ba21p-12, -0x1.8abd25e2027c8p-12, -0x1.7aab50a853431p-12, -0x1.6b354ba9d2775p-12, -0x1.5c54dd5c326ap-12, -0x1.4e040a6c70096p-12, -0x1.403d138e8c3cdp-12, -0x1.32fa735e5ab32p-12, -0x1.2636dc52c9eb3p-12, -0x1.19ed36bd90eccp-12, -0x1.0e189ede92d64p-12, -0x1.02b46304b484ap-12, -0x1.ef78037bba784p-13, -0x1.da56502d4d739p-13, -0x1.c5fb5fcc15d87p-13, -0x1.b25f3c5195152p-13, -0x1.9f7a42d545fd2p-13, -0x1.8d4520739fa0ap-13, -0x1.7bb8cf548e616p-13, -0x1.6af46c35d29eap-13, -0x1.5aa4aefa454a1p-13, -0x1.4aea58b6ce835p-13, -0x1.3bbf7d9b39286p-13, -0x1.2d1e7148e8777p-13, -0x1.1f01c460feb34p-13, -0x1.1164422749a15p-13, -0x1.0440ee3673c34p-13, -0x1.ef260496ca9f1p-14, -0x1.d6abd8468223dp-14, -0x1.bf0a96d4a8218p-14, -0x1.a839df7f944aep-14, -0x1.9231ad9146f19p-14, -0x1.7cea54ab033f6p-14, -0x1.685c7d3569532p-14, -0x1.548120e37afe5p-14, -0x1.41518765187cbp-14, -0x1.2ec7432e9c308p-14, -0x1.1cdc2e625457bp-14, -0x1.0b8a67d18381dp-14, -0x1.f598a03c7b21ep-15, -0x1.d5390deb1aa39p-15, -0x1.b5ebd0c77b68cp-15, -0x1.97a71488a8736p-15, -0x1.7a61738a26bf5p-15, -0x1.5e11f2066f7a2p-15, -0x1.42aff995d3d42p-15, -0x1.283354a6a9e23p-15, -0x1.0e942a5058929p-15, -0x1.eb95f47799621p-16, -0x1.bba1316678157p-16, -0x1.8d3c55bc67d35p-16, -0x1.605a463f0041cp-16, -0x1.34ee7b3499875p-16, -0x1.0aecf9af5655ep-16, -0x1.c4949a410dd98p-17, -0x1.75f7024580fe5p-17, -0x1.29ec3752d86dcp-17, -0x1.c0c05c98b49b3p-18, -0x1.327f74bf127f7p-18, -0x1.51e209f88630fp-19, -0x1.1f8f75221bba9p-21, 0x1.727db2fa7442p-20, 0x1.b1c67be68dcdep-19, 0x1.50f859750dbc9p-18, 0x1.c4fc48dedae3ap-18, 0x1.1a85ad45cb259p-17, 0x1.50a058d294799p-17, 0x1.84db2a50ed558p-17, 0x1.b7429dc9c83a9p-17, 0x1.e7e2aedc5f652p-17, 0x1.0b636f9ccac05p-16, 0x1.21fd1e6ec9a04p-16, 0x1.37c3b3fb69ccap-16, 0x1.4cbc4c407e45ap-16, 0x1.60ebd1e20e423p-16, 0x1.745700b7114eep-16, 0x1.8702684441ad3p-16, 0x1.98f26df29e52fp-16, 0x1.aa2b4f7fbaa87p-16, 0x1.bab124f9bbc19p-16, 0x1.ca87e2cd34862p-16, 0x1.d9b35bb040e76p-16, 0x1.e83742807411p-16, 0x1.f6172bec896edp-16, 0x1.01ab481a05d0fp-15, 0x1.07fc6652ba399p-15, 0x1.0e009292610d7p-15, 0x1.13b962c9a451cp-15, 0x1.19286193bd724p-15, 0x1.1e4f0ed7304dfp-15, 0x1.232ee06258ed6p-15, 0x1.27c9427f2637ep-15, 0x1.2c1f986cbfcd7p-15, 0x1.30333cfa19e55p-15, 0x1.340582f087077p-15, 0x1.3797b58ba1aa6p-15, 0x1.3aeb18e5d53f7p-15, 0x1.3e00ea60578dcp-15, 0x1.40da61032ec87p-15, 0x1.4378add86b6c7p-15, 0x1.45dcfc41aa44fp-15, 0x1.48087248523c8p-15, 0x1.49fc30e8d0ffep-15, 0x1.4bb95458dbd8cp-15, 0x1.4d40f44a12f41p-15, 0x1.4e94242984757p-15, 0x1.4fb3f34da0f2ep-15, 0x1.50a16d40b5e54p-15, 0x1.515d99db87198p-15, 0x1.51e97d86e58cfp-15, 0x1.5246195bc8e02p-15, 0x1.52746b4d3d661p-15, 0x1.52756e4efd09bp-15, 0x1.524a1a746d34fp-15, 0x1.51f365119e20ap-15, 0x1.517240d765c76p-15, 0x1.50c79ded82725p-15, 0x1.4ff46a0a7652ep-15, 0x1.4ef9908adaec7p-15, 0x1.4dd7fa7dc84c3p-15, 0x1.4c908ec342762p-15, 0x1.4b2432116d612p-15, 0x1.4993c7072dbc7p-15, 0x1.47e02e3782a8dp-15, 0x1.460a46375d26ep-15, 0x1.4412eba7912a3p-15, 0x1.41faf92e23b5bp-15, 0x1.3fc34799bedfp-15, 0x1.3d6cadd414056p-15, 0x1.3af800e856f21p-15, 0x1.3866140d5f8e9p-15, 0x1.35b7b8a550e73p-15, 0x1.32edbe40a983cp-15, 0x1.3008f29f1d04dp-15, 0x1.2d0a21b3a0afdp-15, 0x1.29f2159f62af8p-15, 0x1.26c196b5b9cd4p-15, 0x1.23796b792ead3p-15, 0x1.201a589b961adp-15, 0x1.1ca520f8f86f5p-15, 0x1.191a859b331bep-15, 0x1.157b45b17151ep-15, 0x1.11c81e900404ap-15, 0x1.0e01cbb128caap-15, 0x1.0a2906a1833abp-15, 0x1.063e87139edfbp-15, 0x1.024302ceb09ccp-15, 0x1.fc6e5b564fde6p-16, 0x1.f43773220d066p-16, 0x1.ebe2ace536919p-16, 0x1.e37164957336fp-16, 0x1.dae4f22a159d4p-16, 0x1.d23ea997bebdbp-16, 0x1.c97fdac9aff71p-16, 0x1.c0a9d194e3365p-16, 0x1.b7bdd5b48c01fp-16, 0x1.aebd2ac48a806p-16, 0x1.a5a91023fbaf7p-16, 0x1.9c82c11060113p-16, 0x1.934b7485d17cap-16, 0x1.8a045d4185dedp-16, 0x1.80aea9b56635dp-16, 0x1.774b8409d9927p-16, 0x1.6ddc12040f5abp-16, 0x1.6461751c4d21dp-16, 0x1.5adcca657c746p-16, 0x1.514f2a8b980b2p-16, 0x1.47b9a9d3ed5dbp-16, 0x1.3e1d581129116p-16, 0x1.347b40a2fb763p-16, 0x1.2ad46a75bb927p-16, 0x1.2129d7fd18d98p-16, 0x1.177c872cbb435p-16, 0x1.0dcd717bdc318p-16, 0x1.041d8be18fff1p-16, 0x1.f4db8da6c583dp-17, 0x1.e17e1c88cdcc2p-17, 0x1.ce249349588a2p-17, 0x1.bad0b7d2f6395p-17, 0x1.a78446dc29e38p-17, 0x1.9440f43b7b4a6p-17, 0x1.81086acb9ef7ap-17, 0x1.6ddc4c59c9054p-17, 0x1.5abe31bd128bp-17, 0x1.47afaad78f2f7p-17, 0x1.34b23e9f3b1c2p-17, 0x1.21c76b182c27ap-17, 0x1.0ef0a56e5c9dbp-17, 0x1.f85eb3e391fddp-18, 0x1.d309d844c31a1p-18, 0x1.ade56d738652fp-18, 0x1.88f417632ee04p-18, 0x1.643868bf6ee6p-18, 0x1.3fb4e2ce6bbb4p-18, 0x1.1b6bf5b1a9db5p-18, 0x1.eec000e74e03p-19, 0x1.a726a249cd037p-19, 0x1.601049f2177f7p-19, 0x1.198150ca6771dp-19, 0x1.a6fbdcfdfbb4p-20, 0x1.1c14737d616d5p-20, 0x1.24a8a1c834571p-21, 0x1.38641ba338f04p-25, -0x1.f65ecb550f419p-22, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.7dd88bf820d98p-1, 0x1.727e383c28a8ap-1, 0x1.66e8538bdaf08p-1, 0x1.5b1e890d86926p-1, 0x1.4f284c5807b27p-1, 0x1.430cd543a1795p-1, 0x1.36d31c7d9503dp-1, 0x1.2a81d8cbf8fabp-1, 0x1.1e1f7cf0b91bfp-1, 0x1.11b2361beb54p-1, 0x1.053feadee9844p-1, 0x1.f19c75257c1c3p-2, 0x1.d8c4fa4b101ddp-2, 0x1.c0038686e113bp-2, 0x1.a761ada1750d3p-2, 0x1.8ee877568255p-2, 0x1.76a0615513d93p-2, 0x1.5e9161ac75905p-2, 0x1.46c2e996eea4fp-2, 0x1.2f3be8947c74p-2, 0x1.1802cfc8f3f51p-2, 0x1.011d9591f2314p-2, 0x1.d523729439251p-3, 0x1.a8c88e601635dp-3, 0x1.7d33b8d061a2fp-3, 0x1.526d5623bafcdp-3, 0x1.287cfcd08a4f8p-3, 0x1.fed2fba4c2d87p-4, 0x1.ae71d9eecbfd8p-4, 0x1.5fe1524769853p-4, 0x1.132ac903e84efp-4, 0x1.90acb265709e1p-5, 0x1.fdab92147b042p-6, 0x1.c3711758e61e3p-7, -0x1.9369c502555ebp-9, -0x1.3eb77363ae677p-6, -0x1.218de8c91148ep-5, -0x1.9fc9de1963e46p-5, -0x1.0d0708730ea55p-4, -0x1.482d50665d1b4p-4, -0x1.81589e239970bp-4, -0x1.b88a840c214fdp-4, -0x1.edc543d11f18fp-4, -0x1.1085e189e8e49p-3, -0x1.2930c03ce6a37p-3, -0x1.40e54499d88dbp-3, -0x1.57a5b77a37256p-3, -0x1.6d749f2b7c263p-3, -0x1.8254bad7e250fp-3, -0x1.9648fe23b114dp-3, -0x1.a9548cfd99da6p-3, -0x1.bb7ab7a09dc18p-3, -0x1.ccbef6c5e2ccdp-3, -0x1.dd24e804ddb48p-3, -0x1.ecb04a6025c33p-3, -0x1.fb64fafd5b7bap-3, -0x1.04a3790335fd3p-2, -0x1.0b2d1fd958587p-2, -0x1.115184bb1b278p-2, -0x1.1712c3aadbd48p-2, -0x1.1c7300aedc6e4p-2, -0x1.2174669da8a25p-2, -0x1.261925fa9b9a5p-2, -0x1.2a6373e1d5ee3p-2, -0x1.2e558902f9e9p-2, -0x1.31f1a0aa0fcb2p-2, -0x1.3539f7d5ecabcp-2, -0x1.3830cc5b9170cp-2, -0x1.3ad85c15e7ed8p-2, -0x1.3d32e4216141ep-2, -0x1.3f42a022e5a77p-2, -0x1.4109c999a669p-2, -0x1.428a973b51268p-2, -0x1.43c73c5a3915ap-2, -0x1.44c1e855099d8p-2, -0x1.457cc60f99307p-2, -0x1.45f9fb747f26fp-2, -0x1.463ba8ff0a16dp-2, -0x1.4643e94d42a71p-2, -0x1.4614d0b9a2085p-2, -0x1.45b06cfc2d58ap-2, -0x1.4518c4d2a8fb9p-2, -0x1.444fd7af959d3p-2, -0x1.43579d6fb5c8ap-2, -0x1.42320615d2a02p-2, -0x1.40e0f98c82943p-2, -0x1.3f66576daf402p-2, -0x1.3dc3f6cfa05e6p-2, -0x1.3bfba61752a7ep-2, -0x1.3a0f2acfdd0b6p-2, -0x1.38004186b6803p-2, -0x1.35d09dac9ee1p-2, -0x1.3381e97afed47p-2, -0x1.3115c5dd891a6p-2, -0x1.2e8dca5ff0d3fp-2, -0x1.2beb851f85b57p-2, -0x1.29307ac086a3bp-2, -0x1.265e26670245ep-2, -0x1.2375f9b31ae2fp-2, -0x1.20795cc082001p-2, -0x1.1d69ae29065ddp-2, -0x1.1a48430a09ab3p-2, -0x1.1716670cbeb49p-2, -0x1.13d55c7102c13p-2, -0x1.10865c1ab4a8ep-2, -0x1.0d2a95a1619a8p-2, -0x1.09c32f622b6fbp-2, -0x1.06514693c2b8dp-2, -0x1.02d5ef5c5386dp-2, -0x1.fea469d298a08p-3, -0x1.f78e3311b15fbp-3, -0x1.f06b2d89edd2ep-3, -0x1.e93d3b00174p-3, -0x1.e2062c25a7424p-3, -0x1.dac7c0d7437c3p-3, -0x1.d383a85d87811p-3, -0x1.cc3b81aff8e69p-3, -0x1.c4f0dbb9f1972p-3, -0x1.bda535a150e72p-3, -0x1.b659ff0ec30b1p-3, -0x1.af109877783aap-3, -0x1.a7ca5368195e2p-3, -0x1.a08872d0df014p-3, -0x1.994c2b52923f8p-3, -0x1.9216a38c636fap-3, -0x1.8ae8f46a60e57p-3, -0x1.83c429747b522p-3, -0x1.7ca9411def4bcp-3, -0x1.75992d14efec9p-3, -0x1.6e94d2927f2f2p-3, -0x1.679d0aaa4e357p-3, -0x1.60b2a29a8f7d2p-3, -0x1.59d65c1b9c378p-3, -0x1.5308edaf5cefdp-3, -0x1.4c4b02f051707p-3, -0x1.459d3ce02f198p-3, -0x1.3f003235f6006p-3, -0x1.38746fab71675p-3, -0x1.31fa784a0d8fdp-3, -0x1.2b92c5b6eeadcp-3, -0x1.253dc87e4493fp-3, -0x1.1efbe85db9aep-3, -0x1.18cd848e01ad7p-3, -0x1.12b2f40b72cd9p-3, -0x1.0cac85dd97353p-3, -0x1.06ba815dbc9edp-3, -0x1.00dd267c67025p-3, -0x1.f6295c0b50061p-4, -0x1.eac293c8a4aaep-4, -0x1.df864ac7ed4a2p-4, -0x1.d474cae3674c6p-4, -0x1.c98e51b798459p-4, -0x1.bed3111ff0e79p-4, -0x1.b4432fb0edd73p-4, -0x1.a9dec92faf5bp-4, -0x1.9fa5ef06f488bp-4, -0x1.9598a8b982eaep-4, -0x1.8bb6f451f03dap-4, -0x1.8200c6cfcc7fep-4, -0x1.78760c922ce01p-4, -0x1.6f16a9bf94b41p-4, -0x1.65e27aab3fd44p-4, -0x1.5cd95437cdfeap-4, -0x1.53fb043751055p-4, -0x1.4b4751c8c41ddp-4, -0x1.42bdfdb2ebc8dp-4, -0x1.3a5ec2bca6986p-4, -0x1.32295602b285dp-4, -0x1.2a1d674aeca55p-4, -0x1.223aa15511e6dp-4, -0x1.1a80aa290848p-4, -0x1.12ef2362b725fp-4, -0x1.0b85aa7b7699cp-4, -0x1.0443d91120142p-4, -0x1.fa528a558c65ep-5, -0x1.ec6b02f63c63ep-5, -0x1.ded03b4149475p-5, -0x1.d1814cc70e99p-5, -0x1.c47d4be2b815ap-5, -0x1.b7c3482d64ae9p-5, -0x1.ab524ced0bc0dp-5, -0x1.9f29617f3ff35p-5, -0x1.934789bfe1543p-5, -0x1.87abc66bd485cp-5, -0x1.7c55157fd741ep-5, -0x1.7142729385e7bp-5, -0x1.6672d730a5c81p-5, -0x1.5be53b26d1647p-5, -0x1.519894db95677p-5, -0x1.478bd9971751dp-5, -0x1.3dbdfdcd5e7d4p-5, -0x1.342df5644f4a1p-5, -0x1.2adab3f676ba3p-5, -0x1.21c32d12b2156p-5, -0x1.18e65478d4b8p-5, -0x1.10431e5354d84p-5, -0x1.07d87f6e1e37bp-5, -0x1.ff4adad53479fp-6, -0x1.ef51bde20c2bdp-6, -0x1.dfc397be53c55p-6, -0x1.d09e5ae905b65p-6, -0x1.c1dffcf7f6588p-6, -0x1.b38676e67706ap-6, -0x1.a58fc55f63739p-6, -0x1.97f9e902afc59p-6, -0x1.8ac2e6a6acf12p-6, -0x1.7de8c7951bf43p-6, -0x1.716999c43cfadp-6, -0x1.6543700bfaccap-6, -0x1.5974625757195p-6, -0x1.4dfa8dd233cb5p-6, -0x1.42d41513acbddp-6, -0x1.37ff20450afd7p-6, -0x1.2d79dd45843c6p-6, -0x1.23427fcadfd0ap-6, -0x1.1957417f23024p-6, -0x1.0fb6621b56f5cp-6, -0x1.065e277f9dad8p-6, -0x1.fa99bb91307d6p-7, -0x1.e901aec49abefp-7, -0x1.d7f0da3143cbp-7, -0x1.c763fc4b09f93p-7, -0x1.b757e079c1effp-7, -0x1.a7c95f2ce673ep-7, -0x1.98b55deb3afafp-7, -0x1.8a18cf5e93ad3p-7, -0x1.7bf0b35bfb1ffp-7, -0x1.6e3a16e84db6dp-7, -0x1.60f214398cd15p-7, -0x1.5415d2b505e9dp-7, -0x1.47a286ea7923fp-7, -0x1.3b95728c6f46bp-7, -0x1.2febe465d6a4ap-7, -0x1.24a3384d1abbap-7, -0x1.19b8d714d28e9p-7, -0x1.0f2a367a2a73fp-7, -0x1.04f4d9112afccp-7, -0x1.f62c9c5dfb34fp-8, -0x1.e31863a49e331p-8, -0x1.d0a85913d79fbp-8, -0x1.bed7e6b36bb86p-8, -0x1.ada28f3c1e29dp-8, -0x1.9d03eddba5068p-8, -0x1.8cf7b5f5f1b94p-8, -0x1.7d79b2e3fc6ep-8, -0x1.6e85c7b047fa7p-8, -0x1.6017eed147f0cp-8, -0x1.522c39e1d9445p-8, -0x1.44bed157f5325p-8, -0x1.37cbf439c97e2p-8, -0x1.2b4ff7d15c016p-8, -0x1.1f47475ede6f3p-8, -0x1.13ae63c9d9fb4p-8, -0x1.0881e3515071ap-8, -0x1.fb7ce275f0f1bp-9, -0x1.e6c19b035ca21p-9, -0x1.d2cb99067eb4ap-9, -0x1.bf94ad5b4afa2p-9, -0x1.ad16d057a246dp-9, -0x1.9b4c21243871p-9, -0x1.8a2ee514fde6fp-9, -0x1.79b9870132923p-9, -0x1.69e6969b61a73p-9, -0x1.5ab0c7c95982fp-9, -0x1.4c12f1fc5d85bp-9, -0x1.3e080f89a7dcdp-9, -0x1.308b3d0367b75p-9, -0x1.2397b8925ad92p-9, -0x1.1728e15022a55p-9, -0x1.0b3a36a276657p-9, -0x1.ff8eaf2e8be49p-10, -0x1.e9980483ea8abp-10, -0x1.d488263373ed8p-10, -0x1.c05708b2841b2p-10, -0x1.acfcdabf5a4bep-10, -0x1.9a720425e282bp-10, -0x1.88af2487826bfp-10, -0x1.77ad1226059f3p-10, -0x1.6764d8b1c44acp-10, -0x1.57cfb81b2df02p-10, -0x1.48e72367cfd78p-10, -0x1.3aa4bf8aedbdfp-10, -0x1.2d026241c3438p-10, -0x1.1ffa10f386ddcp-10, -0x1.1385ff953cf2bp-10, -0x1.07a08f9177402p-10, -0x1.f8889d67f0ecep-11, -0x1.e2d7ec32ca73bp-11, -0x1.ce24d245eecc8p-11, -0x1.ba6568dc975a3p-11, -0x1.a79019a296412p-11, -0x1.959b9cb475643p-11, -0x1.847ef6a7e8efp-11, -0x1.7431769ca076bp-11, -0x1.64aab4557a4b5p-11, -0x1.55e28e5a20a25p-11, -0x1.47d128210c8bcp-11, -0x1.3a6ee841f3338p-11, -0x1.2db476b096739p-11, -0x1.219abafff7976p-11, -0x1.161adaade2a07p-11, -0x1.0b2e3776cc6c4p-11, -0x1.00ce6db1f7589p-11, -0x1.edeaa56bad7acp-12, -0x1.db39e6894041ep-12, -0x1.c97f2401ff1e1p-12, -0x1.b8af4bd5bbee1p-12, -0x1.a8bfb1c8540edp-12, -0x1.99a60c7b221e5p-12, -0x1.8b5872962c371p-12, -0x1.7dcd5800e68eap-12, -0x1.70fb8b2a64a2ep-12, -0x1.64da3260c9395p-12, -0x1.5960c937ce74cp-12, -0x1.4e871dfe379ecp-12, -0x1.44454f41fb8d7p-12, -0x1.3a93c962fd512p-12, -0x1.316b44341c371p-12, -0x1.28c4c0aa713fdp-12, -0x1.2099869a814a5p-12, -0x1.18e3228335905p-12, -0x1.119b636661b59p-12, -0x1.0abc58aeaca17p-12, -0x1.044050229a60fp-12, -0x1.fc43a7c9227ccp-13, -0x1.f0b750ff2c18bp-13, -0x1.e5d196012d515p-13, -0x1.db88de38083bep-13, -0x1.d1d3fabf15b3p-13, -0x1.c8aa22df66bbap-13, -0x1.c002f0a269e64p-13, -0x1.b7d65d7b832f1p-13, -0x1.b01cbf083261ep-13, -0x1.a8cec3e65f869p-13, -0x1.a1e570a05589ep-13, -0x1.9b5a1cae110fcp-13, -0x1.95266f8b680a6p-13, -0x1.8f445de2b4835p-13, -0x1.89ae26cb88fe5p-13, -0x1.845e511d10c8ep-13, -0x1.7f4fa8d3b1edap-13, -0x1.7a7d3c898a1d7p-13, -0x1.75e25b016378cp-13, -0x1.717a90c3bc595p-13, -0x1.6d41a5cd7c52ap-13, -0x1.69339b4ff6f0ap-13, -0x1.654ca981dda07p-13, -0x1.61893d80ba145p-13, -0x1.5de5f742962afp-13, -0x1.5a5fa79773abep-13, -0x1.56f34e3a3b955p-13, -0x1.539e17f0bd646p-13, -0x1.505d5cba71c9ep-13, -0x1.4d2e9e0da2371p-13, -0x1.4a0f85229b308p-13, -0x1.46fde14c9a234p-13, -0x1.43f7a6601742ep-13, -0x1.40faeb2628c8dp-13, -0x1.3e05e7dc98e6p-13, -0x1.3b16f4c26f5b4p-13, -0x1.382c88b091f05p-13, -0x1.354537be36703p-13, -0x1.325fb1f0d5199p-13, -0x1.2f7ac1f751a6ep-13, -0x1.2c954bf00e5f9p-13, -0x1.29ae4c39a4bcep-13, -0x1.26c4d64df5464p-13, -0x1.23d813a74f97dp-13, -0x1.20e742af6b6b6p-13, -0x1.1df1b5b7e8c79p-13, -0x1.1af6d1fc23fdbp-13, -0x1.17f60eac09b2bp-13, -0x1.14eef3ffba4efp-13, -0x1.11e11a53b6939p-13, -0x1.0ecc294d5c968p-13, -0x1.0bafd7077531cp-13, -0x1.088be7469bdadp-13, -0x1.05602ab541d57p-13, -0x1.022c7e27196ap-13, -0x1.fde193c76d5fcp-14, -0x1.f75a01f039e95p-14, -0x1.f0c2411e3f13dp-14, -0x1.ea1a5ea09a04cp-14, -0x1.e362798a7347fp-14, -0x1.dc9ac18a02d78p-14, -0x1.d5c375cb74f8cp-14, -0x1.cedce3e78db3ep-14, -0x1.c7e766dd7e621p-14, -0x1.c0e36617aaac8p-14, -0x1.b9d1547b06829p-14, -0x1.b2b1af80af5b8p-14, -0x1.ab84fe596fb2cp-14, -0x1.a44bd11ae84a4p-14, -0x1.9d06bff5f2ee9p-14, -0x1.95b66a761dc6p-14, -0x1.8e5b76c9c3675p-14, -0x1.86f691129c0e2p-14, -0x1.7f886abe6e35ep-14, -0x1.7811b9e79c22dp-14, -0x1.709338bd4f79cp-14, -0x1.690da4f2f9397p-14, -0x1.6181bf36edb1fp-14, -0x1.59f04aafd7aacp-14, -0x1.525a0c80c910dp-14, -0x1.4abfcb53ae73cp-14, -0x1.43224ee9e89b6p-14, -0x1.3b825fb2d76f2p-14, -0x1.33e0c6681d122p-14, -0x1.2c3e4baf6721dp-14, -0x1.249bb7c186992p-14, -0x1.1cf9d216a782bp-14, -0x1.1559611776f08p-14, -0x1.0dbb29d306f04p-14, -0x1.061fefb942ea4p-14, -0x1.fd10e8b392b85p-15, -0x1.edeaee4df9a3bp-15, -0x1.decf6a7a4898ap-15, -0x1.cfbfd25ae2f4cp-15, -0x1.c0bd959989889p-15, -0x1.b1ca1e0c12507p-15, -0x1.a2e6cf60064fp-15, -0x1.941506ccd9846p-15, -0x1.85561acc7b6eep-15, -0x1.76ab5ad9f9d41p-15, -0x1.68160f35f32b1p-15, -0x1.599778b09b0b8p-15, -0x1.4b30d07910dc7p-15, -0x1.3ce347f1ce654p-15, -0x1.2eb00889f43e6p-15, -0x1.2098339b38b01p-15, -0x1.129ce24c4a28p-15, -0x1.04bf257767aa8p-15, -0x1.ee000b2a0976cp-16, -0x1.d2c105548284ep-16, -0x1.b7c3287613a6fp-16, -0x1.9d08527f63069p-16, -0x1.8292503bb1f25p-16, -0x1.6862dd48ec1eap-16, -0x1.4e7ba415af3fp-16, -0x1.34de3de4eeba1p-16, -0x1.1b8c32d6ed94bp-16, -0x1.0286f9f749658p-16, -0x1.d39ff29f7cd37p-17, -0x1.a2d10bfeebc6fp-17, -0x1.72a3c8ad039b9p-17, -0x1.431a8feac9cbap-17, -0x1.1437a7e0908f3p-17, -0x1.cbfa6bd6ff67p-18, -0x1.70da7de3444f2p-18, -0x1.17134f7838505p-18, -0x1.7d50d55c6cdcp-19, -0x1.9e746bb8cc5b7p-20, -0x1.1f46dc62af633p-22, 0x1.093b30e524e48p-20, 0x1.2a53fd2dd376ep-19, 0x1.cd35a0060031dp-19, 0x1.369f21626c6f7p-18, 0x1.85350cd335ed4p-18, 0x1.d25ae4ab2f0f2p-18, 0x1.0f079938a34c8p-17, 0x1.34285ae907801p-17, 0x1.588f31c80170fp-17, 0x1.7c3bb23801f3fp-17, 0x1.9f2d8a114ca1fp-17, 0x1.c16480152ae75p-17, 0x1.e2e0735fecb0fp-17, 0x1.01d0ad6cf64d3p-16, 0x1.11d3a253eba98p-16, 0x1.21792acd22509p-16, 0x1.30c1644e7c3e1p-16, 0x1.3fac7712f0edfp-16, 0x1.4e3a95d1ff135p-16, 0x1.5c6bfd772b478p-16, 0x1.6a40f4d99cfcfp-16, 0x1.77b9cc73e3ccp-16, 0x1.84d6de1c0134bp-16, 0x1.91988cbbc0eadp-16, 0x1.9dff44096ca5dp-16, 0x1.aa0b7840f1ca5p-16, 0x1.b5bda5dd7b16cp-16, 0x1.c11651539844ap-16, 0x1.cc1606cbf0032p-16, 0x1.d6bd59de991e1p-16, 0x1.e10ce54f122bdp-16, 0x1.eb054ac8f6be9p-16, 0x1.f4a7329d65d7dp-16, 0x1.fdf34b8130ae5p-16, 0x1.03752525eb68bp-15, 0x1.07c674dba8308p-15, 0x1.0bedf5105c8cbp-15, 0x1.0fec08a4e9c46p-15, 0x1.13c1150dbbf3ep-15, 0x1.176d823476905p-15, 0x1.1af1ba5a16bbfp-15, 0x1.1e4e29f9929f7p-15, 0x1.21833faaf1d1bp-15, 0x1.24916c06e54a8p-15, 0x1.2779218addcb2p-15, 0x1.2a3ad47da39ecp-15, 0x1.2cd6fad46cd13p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.d1f37c1fb8d6ep-1, 0x1.cdad4173d0db1p-1, 0x1.c945034bf112cp-1, 0x1.c4bcc54992725p-1, 0x1.c01685c5f4591p-1, 0x1.bb543c91834ddp-1, 0x1.b677d9d7d83a4p-1, 0x1.b1834525af07cp-1, 0x1.ac785c8e56039p-1, 0x1.a758f3ee2fdb9p-1, 0x1.a226d4480a797p-1, 0x1.9ce3bb3b2a418p-1, 0x1.97915a9009572p-1, 0x1.923157d9edb4cp-1, 0x1.8cc54c2b94d66p-1, 0x1.874ec3dd4fd92p-1, 0x1.81cf3e630a9dp-1, 0x1.7c482e30cb989p-1, 0x1.76baf8ac5c23ap-1, 0x1.7128f62ad1c8fp-1, 0x1.6b9371f8d9365p-1, 0x1.65fbaa6ca441ep-1, 0x1.6062d1007ecadp-1, 0x1.5aca0a751a1acp-1, 0x1.55326efaab66dp-1, 0x1.4f9d0a6014024p-1, 0x1.4a0adc4750de2p-1, 0x1.447cd85e7f6e6p-1, 0x1.3ef3e69cd5033p-1, 0x1.3970e382f30cbp-1, 0x1.33f4a05e08b13p-1, 0x1.2e7fe38d49a49p-1, 0x1.291368c93ce8cp-1, 0x1.23afe16c819bep-1, 0x1.1e55f4bda0b76p-1, 0x1.190640399a9afp-1, 0x1.13c157dedc62ap-1, 0x1.0e87c67856e21p-1, 0x1.095a0de877f05p-1, 0x1.0438a773ca32dp-1, 0x1.fe480816144e3p-2, 0x1.f439192905c91p-2, 0x1.ea45446916e5cp-2, 0x1.e06d3d29fdc46p-2, 0x1.d6b1a857301a5p-2, 0x1.cd131cfe1c1edp-2, 0x1.c39224d5caadfp-2, 0x1.ba2f3cc3b72dep-2, 0x1.b0ead55dc737ep-2, 0x1.a7c553694813bp-2, 0x1.9ebf1056e22e7p-2, 0x1.95d85abb6bafap-2, 0x1.8d1176c5a0c48p-2, 0x1.846a9eb0a900cp-2, 0x1.7be4033379aap-2, 0x1.737dcbed066a9p-2, 0x1.6b3817cd50b0fp-2, 0x1.6312fd7b53194p-2, 0x1.5b0e8bb7d36ddp-2, 0x1.532ac9bd25ce1p-2, 0x1.4b67b79beaa81p-2, 0x1.43c54e94d759ap-2, 0x1.3c43816f8ec15p-2, 0x1.34e23ccea3404p-2, 0x1.2da16780c7748p-2, 0x1.2680e2cf42c81p-2, 0x1.1f808ac9b706cp-2, 0x1.18a0368f49e32p-2, 0x1.11dfb895400e2p-2, 0x1.0b3edeeb1b07bp-2, 0x1.04bd737c4d021p-2, 0x1.fcb6789f1c90ap-3, 0x1.f02ff787d284fp-3, 0x1.e3e6e19714962p-3, 0x1.d7daae48cab9cp-3, 0x1.cc0acf1d7f57dp-3, 0x1.c076b003583d2p-3, 0x1.b51db7bb1bff4p-3, 0x1.a9ff483958f11p-3, 0x1.9f1abf03c8ea3p-3, 0x1.946f758b1c1bbp-3, 0x1.89fcc181357f4p-3, 0x1.7fc1f52bfeb3ap-3, 0x1.75be5fb4f04dep-3, 0x1.6bf14d75592cep-3, 0x1.625a083f8c648p-3, 0x1.58f7d7a50e619p-3, 0x1.4fca0139caf3ap-3, 0x1.46cfc8d4792dap-3, 0x1.3e0870cc3eb5ap-3, 0x1.35733a33a4fc1p-3, 0x1.2d0f6510fc80bp-3, 0x1.24dc309439939p-3, 0x1.1cd8db4a6b1f2p-3, 0x1.1504a34ecefeep-3, 0x1.0d5ec679a6316p-3, 0x1.05e6828ccf0dbp-3, 0x1.fd362abc8505dp-4, 0x1.eef77a00f3526p-4, 0x1.e10f6fd1ac0f7p-4, 0x1.d37c8a283a8b3p-4, 0x1.c63d48521795ep-4, 0x1.b9502b32413f7p-4, 0x1.acb3b57f434eep-4, 0x1.a0666bfde377ep-4, 0x1.9466d5b87e528p-4, 0x1.88b37c33402fdp-4, 0x1.7d4aeb9d480acp-4, 0x1.722bb2fed81e7p-4, 0x1.67546464a96bfp-4, 0x1.5cc395087dcd3p-4, 0x1.5277dd7709bep-4, 0x1.486fd9b34bab6p-4, 0x1.3eaa29576a782p-4, 0x1.35256fb330808p-4, 0x1.2be053e83c9efp-4, 0x1.22d98103f98e4p-4, 0x1.1a0fa61776edcp-4, 0x1.1181764d349ddp-4, 0x1.092da8fcf5eb9p-4, 0x1.0112f9bdb03edp-4, 0x1.f26050eb514b5p-5, 0x1.e307f2d1a61dep-5, 0x1.d41a6a8b0830dp-5, 0x1.c595525f11394p-5, 0x1.b7764d9367c93p-5, 0x1.a9bb087beb748p-5, 0x1.9c6138880c29dp-5, 0x1.8f669c4d74db5p-5, 0x1.82c8fb9023266p-5, 0x1.768627480820cp-5, 0x1.6a9bf9a455794p-5, 0x1.5f08560c8ed9bp-5, 0x1.53c9291f7d17ep-5, 0x1.48dc68b01a6ebp-5, 0x1.3e4013c09768bp-5, 0x1.33f2327b8d404p-5, 0x1.29f0d62b7816dp-5, 0x1.203a19308dc6bp-5, 0x1.16cc1ef50d1afp-5, 0x1.0da513e0164fep-5, 0x1.04c32d47279b4p-5, 0x1.f84952bc979b2p-6, 0x1.e78f9e4e2e65ap-6, 0x1.d755dcbcfa822p-6, 0x1.c798bed333a4p-6, 0x1.b8550682f5d87p-6, 0x1.a98786bbfb84p-6, 0x1.9b2d233fa0469p-6, 0x1.8d42d0734c6f8p-6, 0x1.7fc593316acap-6, 0x1.72b28098fd287p-6, 0x1.6606bddbfd6d9p-6, 0x1.59bf800c9437dp-6, 0x1.4dda0be94f68dp-6, 0x1.4253b5a863cabp-6, 0x1.3729e0c2213bp-6, 0x1.2c59ffbaa49e7p-6, 0x1.21e193eae52a6p-6, 0x1.17be2d492c803p-6, 0x1.0ded6a3117dbfp-6, 0x1.046cf72b2b7d2p-6, 0x1.f6751d6821d2cp-7, 0x1.e4a7f20721db4p-7, 0x1.d36e17a6b5e99p-7, 0x1.c2c3544b50f5ep-7, 0x1.b2a3881798314p-7, 0x1.a30aacd97b7acp-7, 0x1.93f4d59761887p-7, 0x1.855e2e1d7307p-7, 0x1.7742fa8b429c4p-7, 0x1.699f96e1bb48p-7, 0x1.5c70769195e0cp-7, 0x1.4fb2240a4798bp-7, 0x1.436140499b826p-7, 0x1.377a826bf4d34p-7, 0x1.2bfab73d51662p-7, 0x1.20dec0cb236dp-7, 0x1.162395f7095d1p-7, 0x1.0bc6420a765f7p-7, 0x1.01c3e44b59363p-7, 0x1.f0335f2397b69p-8, 0x1.dd89d3bdb301ep-8, 0x1.cb85d7e8c8c0bp-8, 0x1.ba2241dc6bcb8p-8, 0x1.a95a0bb8839edp-8, 0x1.992852bc48d16p-8, 0x1.8988567fc97f9p-8, 0x1.7a75782fffcd3p-8, 0x1.6beb39cd86e0ap-8, 0x1.5de53d6dfe1ap-8, 0x1.505f44801c7fbp-8, 0x1.43552f12858abp-8, 0x1.36c2fb1d5da37p-8, 0x1.2aa4c3cead816p-8, 0x1.1ef6c0d9922d2p-8, 0x1.13b545c841cf3p-8, 0x1.08dcc150e8f3dp-8, 0x1.fcd3795ac116ap-9, 0x1.e8b1b5eb7e61dp-9, 0x1.d54db0fb8dad9p-9, 0x1.c2a1146a5c001p-9, 0x1.b0a5ba158a30dp-9, 0x1.9f55aaa4eac2ep-9, 0x1.8eab1c5c2c27fp-9, 0x1.7ea071f2350dep-9, 0x1.6f30396e1c327p-9, 0x1.60552b09c1edp-9, 0x1.520a2819fa8cdp-9, 0x1.444a39fc4629ap-9, 0x1.3710910a0473cp-9, 0x1.2a58839120923p-9, 0x1.1e1d8cd2254cbp-9, 0x1.125b4c03aa4d9p-9, 0x1.070d835b1299dp-9, 0x1.f8602e351a1a4p-10, 0x1.e37e1948864ap-10, 0x1.cf6d13255fd3fp-10, 0x1.bc25a5ac06c2cp-10, 0x1.a9a097ad23ef1p-10, 0x1.97d6eb3861d79p-10, 0x1.86c1dbf4ee99fp-10, 0x1.765add83a4253p-10, 0x1.669b99eaabdc9p-10, 0x1.577df00a83c5fp-10, 0x1.48fbf21c371a1p-10, 0x1.3b0fe438b953ap-10, 0x1.2db43ae9226efp-10, 0x1.20e399bfc599dp-10, 0x1.1498d1f9e7c6dp-10, 0x1.08cee12a0300ep-10, 0x1.fb01dfd4ba24ap-11, 0x1.e554a12fbefa3p-11, 0x1.d08cfc2a05a6p-11, 0x1.bca235294e141p-11, 0x1.a98bdcd970f98p-11, 0x1.9741cde0f1e1dp-11, 0x1.85bc2aa494286p-11, 0x1.74f35b19a7e21p-11, 0x1.64e00aa6c54d3p-11, 0x1.557b2612aebacp-11, 0x1.46bdd98111c75p-11, 0x1.38a18e7cdf28cp-11, 0x1.2b1fea0ff1aeap-11, 0x1.1e32cae7c0746p-11, 0x1.11d44786d316p-11, 0x1.05feac82b626bp-11, 0x1.f558f59c52dd9p-12, 0x1.dfb0cc1e8937p-12, 0x1.cafaa602a05c6p-12, 0x1.b72cabc422b8cp-12, 0x1.a43d61d4877fdp-12, 0x1.9223a5a20df01p-12, 0x1.80d6aab3f226bp-12, 0x1.704df7db8d2e2p-12, 0x1.60816479d591cp-12, 0x1.516915d8d7faap-12, 0x1.42fd7c989c395p-12, 0x1.3537522f12c0bp-12, 0x1.280f967a88df4p-12, 0x1.1b7f8d663a532p-12, 0x1.0f80bca08b216p-12, 0x1.040ce962798d9p-12, 0x1.f23c2c8fc3e91p-13, 0x1.dd5d0270445p-13, 0x1.c97142bd751f4p-13, 0x1.b66e4a66fba4bp-13, 0x1.a449e123e56b4p-13, 0x1.92fa35befbd2p-13, 0x1.8275da7feed77p-13, 0x1.72b3c1b09008cp-13, 0x1.63ab3a3d66bdp-13, 0x1.5553ec70e8907p-13, 0x1.47a5d6c89ac6ep-13, 0x1.3a994ae375f2dp-13, 0x1.2e26ea88d33afp-13, 0x1.2247a4c74a1fdp-13, 0x1.16f4b32acb829p-13, 0x1.0c2797095b664p-13, 0x1.01da16e5d4ccdp-13, 0x1.f00c77d0191bcp-14, 0x1.dd4c9ed392ac9p-14, 0x1.cb69b12ff132ap-14, 0x1.ba59344f140d5p-14, 0x1.aa11203ad6a2p-14, 0x1.9a87db523518bp-14, 0x1.8bb4362283472p-14, 0x1.7d8d6763b400bp-14, 0x1.700b0816b5dadp-14, 0x1.63250fc4e1a0fp-14, 0x1.56d3d0df87fefp-14, 0x1.4b0ff53eaf82fp-14, 0x1.3fd27abe186afp-14, 0x1.3514aff7a1d09p-14, 0x1.2ad0311a335ap-14, 0x1.20fee4dc51feap-14, 0x1.179af9898b211p-14, 0x1.0e9ee229ea6dep-14, 0x1.060553c2afa76p-14, 0x1.fb92855f02e86p-15, 0x1.ebcbc026bc1d3p-15, 0x1.dcad2ec123ce9p-15, 0x1.ce2e17edf7e3fp-15, 0x1.c0462dafe66c3p-15, 0x1.b2ed88de3dcc6p-15, 0x1.a61ca4df38522p-15, 0x1.99cc5b899dd24p-15, 0x1.8df5e12c7cd59p-15, 0x1.8292c0bbc7478p-15, 0x1.779cd820ae19p-15, 0x1.6d0e54ac8bc2bp-15, 0x1.62e1afad52502p-15, 0x1.5911ab225a349p-15, 0x1.4f994e90938b6p-15, 0x1.4673e3f50a787p-15, 0x1.3d9cf4d4c94d8p-15, 0x1.3510476920934p-15, 0x1.2cc9dbe7627dbp-15, 0x1.24c5e9e331b1p-15, 0x1.1d00ddca77b7cp-15, 0x1.1577567a33a25p-15, 0x1.0e2622eb3ffecp-15, 0x1.070a3ff64f676p-15, 0x1.0020d62e4a021p-15, 0x1.f2ce6fa0a6ef5p-16, 0x1.e5b5bd916e65ep-16, 0x1.d8f2d5980ef27p-16, 0x1.cc813f0772d7ap-16, 0x1.c05cc59b2aa8p-16, 0x1.b481761aa6aadp-16, 0x1.a8eb9b1f83591p-16, 0x1.9d97b9fdac9e1p-16, 0x1.92828fcc2c19dp-16, 0x1.87a90e8d7af3dp-16, 0x1.7d085a762e5fcp-16, 0x1.729dc750fc225p-16, 0x1.6866d5fef906ap-16, 0x1.5e613213139d5p-16, 0x1.548aaf87d13d9p-16, 0x1.4ae1488e561dcp-16, 0x1.41631b75cb731p-16, 0x1.380e68aa409c8p-16, 0x1.2ee190ca26875p-16, 0x1.25db12d192e4cp-16, 0x1.1cf98a5a769e9p-16, 0x1.143badf102d34p-16, 0x1.0ba04d7b74c0ap-16, 0x1.032650b497592p-16, 0x1.f5996b706011dp-17, 0x1.e5251f4180223p-17, 0x1.d4ee0a6bb2b75p-17, 0x1.c4f29f54ebe49p-17, 0x1.b53172d53ec79p-17, 0x1.a5a939efbbd0fp-17, 0x1.9658c7a7a17bbp-17, 0x1.873f0af0c4fd3p-17, 0x1.785b0cba1b57cp-17, 0x1.69abee115df6ep-17, 0x1.5b30e65ec319fp-17, 0x1.4ce941b7cdd9ap-17, 0x1.3ed45f484a718p-17, 0x1.30f1afd08800ap-17, 0x1.2340b437f5222p-17, 0x1.15c0fc334294fp-17, 0x1.087224fd3b698p-17, 0x1.f6a7b04313a09p-18, 0x1.dccb94b14b182p-18, 0x1.c34f74e85fec3p-18, 0x1.aa32e0b613713p-18, 0x1.91757828e492ep-18, 0x1.7916e9c3171b5p-18, 0x1.6116f0c939466p-18, 0x1.497553aaf53ddp-18, 0x1.3231e284fd8b2p-18, 0x1.1b4c75baf7707p-18, 0x1.04c4eca848fa3p-18, 0x1.dd3658cd7c523p-19, 0x1.b19e3d5410452p-19, 0x1.86c1615e31868p-19, 0x1.5c9fa47cd745dp-19, 0x1.3338e980b8952p-19, 0x1.0a8d14c54bd2fp-19, 0x1.c5381538ee466p-20, 0x1.76cb5bb2b15a8p-20, 0x1.29d3bcf13d416p-20, 0x1.bca1e193c6b28p-21, 0x1.28854958366a9p-21, 0x1.2ea1e649467d9p-22, 0x1.208088ae6c284p-26, -0x1.04c4fc097c0a6p-22, -0x1.0ae3b19242749p-21, -0x1.9080da0fdd632p-21, -0x1.099db1b68f2c4p-20, -0x1.498a7200e2dafp-20, -0x1.88078f372169ap-20, -0x1.c516019da2ea8p-20, -0x1.005b6c8efcf2dp-19, -0x1.1d759eed9dd11p-19, -0x1.39da385594997p-19, -0x1.5589e5bae56a2p-19, -0x1.708560be94ad7p-19, -0x1.8acd6fc7433d4p-19, -0x1.a462e60f4f19dp-19, -0x1.bd46a3a91eb9bp-19, -0x1.d579957a3d8a6p-19, -0x1.ecfcb52df03bap-19, -0x1.01e8848fe8c31p-18, -0x1.0cfbd21f87ce8p-18, -0x1.17b8d2f565b53p-18, -0x1.22201ce414476p-18, -0x1.2c324bc941ddp-18, -0x1.35f00173255e6p-18, -0x1.3f59e583743a9p-18, -0x1.4870a5501676ep-18, -0x1.5134f3c1d0c1dp-18, -0x1.59a789310f7cbp-18, -0x1.61c92341080d1p-18, -0x1.699a84b955a64p-18, -0x1.711c755e41ab9p-18, -0x1.784fc1c7db20ap-18, -0x1.7f353b3804599p-18, -0x1.85cdb76f99ccp-18, -0x1.8c1a1082d6524p-18, -0x1.921b24ad108b1p-18, -0x1.97d1d623f10cp-18, -0x1.9d3f0aea3f156p-18, -0x1.a263aca25e966p-18, -0x1.a740a8609364fp-18, -0x1.abd6ee7d29f0dp-18, -0x1.b027726693921p-18, -0x1.b4332a7390637p-18, -0x1.b7fb0fb577aa6p-18, -0x1.bb801dcab1881p-18, -0x1.bec352b1741d4p-18, -0x1.c1c5ae9ad2896p-18, -0x1.c48833be2c2e2p-18, -0x1.c70be62d0ca65p-18, -0x1.c951cba785a87p-18, -0x1.cb5aeb71113e3p-18, -0x1.cd284e26058acp-18, -0x1.cebafd91a5f0ap-18, -0x1.d0140484d7a4dp-18, -0x1.d1346ead85367p-18, -0x1.d21d486eb83fep-18, -0x1.d2cf9eb96c6cfp-18, -0x1.d34c7ee6283b1p-18, -0x1.d394f68f5bbcdp-18, -0x1.d3aa136c8bb87p-18, -0x1.d38ce32e50e9fp-18, -0x1.d33e735b28864p-18, -0x1.d2bfd12d206p-18, -0x1.d21209705d3d3p-18, -0x1.d13628627cce8p-18, -0x1.d02d3992da7cep-18, -0x1.cef847c3b1dd9p-18, -0x1.cd985ccc24d95p-18, -0x1.cc0e817b24aa9p-18, -0x1.ca5bbd7b3b635p-18, -0x1.c88117373bbedp-18, -0x1.c67f93bfd09dfp-18, -0x1.c45836b1f0379p-18, -0x1.c20c021e301a4p-18, -0x1.bf9bf670f7fbfp-18, -0x1.bd09125b9511p-18, -0x1.ba5452be294f1p-18, -0x1.b77eb29275748p-18, -0x1.b4892ad77c62ap-18, -0x1.b174b27dfea4bp-18, -0x1.ae423e55c8a8bp-18, -0x1.aaf2c0fbd5af8p-18, -0x1.a7872ac93df04p-18, -0x1.a40069c2f691p-18, -0x1.a05f698a56c5cp-18, -0x1.9ca5134e66fbap-18, -0x1.98d24dbdf122p-18, -0x1.94e7fcfa53818p-18, -0x1.90e7028b0e58cp-18, -0x1.8cd03d520dfa4p-18, -0x1.88a48980a7e7ap-18, -0x1.8464c08d4dccap-18, -0x1.8011b929ee47ap-18, -0x1.7bac473b00e79p-18, -0x1.77353bcf3ba4dp-18, -0x1.72ad6517ebc6cp-18, -0x1.6e158e61efe9p-18, -0x1.696e800f4f5f9p-18, -0x1.64b8ff916a152p-18, -0x1.5ff5cf63c097fp-18, -0x1.5b25af0749f6cp-18, -0x1.56495afe5ce64p-18, -0x1.51618cc91f37dp-18, -0x1.4c6efae27f5f7p-18, -0x1.477258bdb0424p-18, -0x1.426c56c423434p-18, -0x1.3d5da25401221p-18, -0x1.3846e5bf19073p-18, -0x1.3328c84a45bbfp-18, -0x1.2e03ee2d4395dp-18, -0x1.28d8f892f47cp-18, -0x1.23a8859a0e929p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.6ec3cdf753da9p-3, -0x1.85a13dc13b799p-3, -0x1.9ca395221e04p-3, -0x1.b3bbec8afd74bp-3, -0x1.cadb71e55f41cp-3, -0x1.e1f386c06ddf8p-3, -0x1.f8f5da5b2c5a2p-3, -0x1.07ea3ff0640e2p-2, -0x1.134100955e86ep-2, -0x1.1e78b72cb131ep-2, -0x1.298b3547e042bp-2, -0x1.34729b0d83364p-2, -0x1.3f295b24b73e9p-2, -0x1.49aa3d97b6c1dp-2, -0x1.53f061cab65f6p-2, -0x1.5df73fa1de1c3p-2, -0x1.67baa7eef36fcp-2, -0x1.7136c43d4f248p-2, -0x1.7a681610aea13p-2, -0x1.834b75a9ad633p-2, -0x1.8bde1060fe47dp-2, -0x1.941d66a8e6c1dp-2, -0x1.9c0749c30dfbfp-2, -0x1.a399d93758a9p-2, -0x1.aad380174cb85p-2, -0x1.b1b2f2184fb81p-2, -0x1.b837288e0fa2ap-2, -0x1.be5f5f4d5c318p-2, -0x1.c42b117ee5751p-2, -0x1.c999f6686d1c6p-2, -0x1.ceabfe324afebp-2, -0x1.d3614eae5eaebp-2, -0x1.d7ba4024f9d0ep-2, -0x1.dbb75a2ba75ccp-2, -0x1.df59508931523p-2, -0x1.e2a10029d6462p-2, -0x1.e58f6c2612faep-2, -0x1.e825bade1ac7bp-2, -0x1.ea65332ba5e6bp-2, -0x1.ec4f39ab734e6p-2, -0x1.ede54e1f8f34cp-2, -0x1.ef2908eb20311p-2, -0x1.f01c18a85397cp-2, -0x1.f0c03fd8b609p-2, -0x1.f11752b0250d1p-2, -0x1.f12334fa51d45p-2, -0x1.f0e5d81ab029bp-2, -0x1.f061392688248p-2, -0x1.ef975f18c1ecbp-2, -0x1.ee8a591ef777cp-2, -0x1.ed3c3cff34804p-2, -0x1.ebaf2595c9ea1p-2, -0x1.e9e5316a8354ep-2, -0x1.e7e0815c88c8dp-2, -0x1.e5a3376429374p-2, -0x1.e32f7569ca18ep-2, -0x1.e0875c312c937p-2, -0x1.ddad0a58400ap-2, -0x1.daa29b68ae1afp-2, -0x1.d76a26fb570fcp-2, -0x1.d405bfecee44ap-2, -0x1.d07773a2ed1bdp-2, -0x1.ccc149601a169p-2, -0x1.c8e541a7d791ep-2, -0x1.c4e555af88e9p-2, -0x1.c0c376dd47a4p-2, -0x1.bc818e533f5f1p-2, -0x1.b8217c86fa56p-2, -0x1.b3a518e3fbd9cp-2, -0x1.af0e317904a4bp-2, -0x1.aa5e8aaf63286p-2, -0x1.a597df0bbc0fap-2, -0x1.a0bbdef7b9d24p-2, -0x1.9bcc309419b0dp-2, -0x1.96ca6f9295ad7p-2, -0x1.91b82d17263ddp-2, -0x1.8c96efa028ecbp-2, -0x1.876832f4fd171p-2, -0x1.822d681a9e41ep-2, -0x1.7ce7f54de01dep-2, -0x1.77993602e3fe3p-2, -0x1.72427ae967dfap-2, -0x1.6ce509f59ef6cp-2, -0x1.67821e6d3372bp-2, -0x1.621ae8f82d494p-2, -0x1.5cb08fb5684a1p-2, -0x1.57442e5259b21p-2, -0x1.51d6d625dcaeap-2, -0x1.4c698e4dc6ec6p-2, -0x1.46fd53cf087f3p-2, -0x1.419319b81ed8bp-2, -0x1.3c2bc945a2818p-2, -0x1.36c84208bd017p-2, -0x1.31695a0f5857fp-2, -0x1.2c0fde0dd7a4p-2, -0x1.26bc918a30f5cp-2, -0x1.21702f083c4fp-2, -0x1.1c2b68371584ap-2, -0x1.16eee61f67a89p-2, -0x1.11bb495286b97p-2, -0x1.0c912a1a3153p-2, -0x1.077118a8e1befp-2, -0x1.025b9d4a8d69fp-2, -0x1.faa2712b77bcp-3, -0x1.f0a4c739b157fp-3, -0x1.e6bf203f5e3a3p-3, -0x1.dcf25179e70d4p-3, -0x1.d33f22478dcc4p-3, -0x1.c9a64c8a49e13p-3, -0x1.c0287d0a5275bp-3, -0x1.b6c653d82d9e5p-3, -0x1.ad8064ae364e3p-3, -0x1.a457375168b16p-3, -0x1.9b4b47f166db8p-3, -0x1.925d07879e0a7p-3, -0x1.898cdc35686d3p-3, -0x1.80db21a12708cp-3, -0x1.78482952308b8p-3, -0x1.6fd43b0b934d9p-3, -0x1.677f9525874d8p-3, -0x1.5f4a6ce59653dp-3, -0x1.5734eed5570b6p-3, -0x1.4f3f3f17c1398p-3, -0x1.476979bd05f7ep-3, -0x1.3fb3b314e78a6p-3, -0x1.381df7ff7c97p-3, -0x1.30a84e3c6bf01p-3, -0x1.2952b4b888507p-3, -0x1.221d23d9c965fp-3, -0x1.1b078dc9aaf68p-3, -0x1.1411debdd97d6p-3, -0x1.0d3bfd3f3b368p-3, -0x1.0685ca6f4945ep-3, -0x1.ffde44977c85fp-4, -0x1.f2efb7e119eb7p-4, -0x1.e63f93b06c49bp-4, -0x1.d9cd7434c45f7p-4, -0x1.cd98ed51ac69p-4, -0x1.c1a18b15762a3p-4, -0x1.b5e6d22c71fd9p-4, -0x1.aa684050e242cp-4, -0x1.9f254cb79b55ep-4, -0x1.941d687970ca9p-4, -0x1.894ffef960131p-4, -0x1.7ebc764790af8p-4, -0x1.74622f812e767p-4, -0x1.6a40872d24a76p-4, -0x1.6056d595caaap-4, -0x1.56a46f1f8767ap-4, -0x1.4d28a49c7a8c3p-4, -0x1.43e2c39d363dfp-4, -0x1.3ad216be956eap-4, -0x1.31f5e5f4bc252p-4, -0x1.294d76d34d2f1p-4, -0x1.20d80cd2e5962p-4, -0x1.1894e993e6d2dp-4, -0x1.10834d1ea207bp-4, -0x1.08a27620eea66p-4, -0x1.00f1a2293bf9cp-4, -0x1.f2e01bbe5a203p-5, -0x1.e439ea7393278p-5, -0x1.d5ef2766abbbcp-5, -0x1.c7fe48f5bb64cp-5, -0x1.ba65c54704b7dp-5, -0x1.ad2412a32fe2p-5, -0x1.a037a7cb454bcp-5, -0x1.939efc4a7fe92p-5, -0x1.875888c41a64ap-5, -0x1.7b62c73d29cc6p-5, -0x1.6fbc3362addbcp-5, -0x1.64634acbe65e3p-5, -0x1.59568d39145e5p-5, -0x1.4e947cceb96d7p-5, -0x1.441b9e4d77d85p-5, -0x1.39ea7946a9401p-5, -0x1.2fff984dc6adbp-5, -0x1.26598926bfbp-5, -0x1.1cf6dcf157babp-5, -0x1.13d62851a04ccp-5, -0x1.0af60395af88p-5, -0x1.02550ad8a693bp-5, -0x1.f3e3bc46423ecp-6, -0x1.e39643124be73p-6, -0x1.d3befa8b60f7cp-6, -0x1.c45b3ba7d184p-6, -0x1.b568680c42d87p-6, -0x1.a6e3ea356102dp-6, -0x1.98cb359d723ap-6, -0x1.8b1bc6ddf2dabp-6, -0x1.7dd323cd6bee9p-6, -0x1.70eedb999d926p-6, -0x1.646c86de32b7ap-6, -0x1.5849c7b81a65ep-6, -0x1.4c8449d5ade48p-6, -0x1.4119c283d0225p-6, -0x1.3607f0b8195a4p-6, -0x1.2b4c9d183d66fp-6, -0x1.20e599fed210cp-6, -0x1.16d0c37d82b54p-6, -0x1.0d0bff5ce3f22p-6, -0x1.03953d19ff407p-6, -0x1.f4d4ebc35cdb3p-7, -0x1.e3135913de1b7p-7, -0x1.d1e1db12795d4p-7, -0x1.c13c9dd830feep-7, -0x1.b11fe091a170dp-7, -0x1.a187f56351abap-7, -0x1.9271414adbd05p-7, -0x1.83d83bfd3cc3dp-7, -0x1.75b96fc262b1fp-7, -0x1.6811794e2d226p-7, -0x1.5add079712b3p-7, -0x1.4e18dbaa77b85p-7, -0x1.41c1c87f0d07bp-7, -0x1.35d4b2c529d31p-7, -0x1.2a4e90b56d4b7p-7, -0x1.1f2c69ddb422bp-7, -0x1.146b56ec8cdbcp-7, -0x1.0a08817b4a6d4p-7, -0x1.000123d6d3571p-7, -0x1.eca5118e97f5dp-8, -0x1.d9f416ad72b7ep-8, -0x1.c7ea2d2d6d2a5p-8, -0x1.b6824acab2a29p-8, -0x1.a5b78462b9417p-8, -0x1.95850d7b586d7p-8, -0x1.85e637c8ca9c7p-8, -0x1.76d672b2ca46fp-8, -0x1.68514ad8f1fc7p-8, -0x1.5a5269968700fp-8, -0x1.4cd59485d66c7p-8, -0x1.3fd6ad03491b9p-8, -0x1.3351afb04f5f4p-8, -0x1.2742b3f6470c5p-8, -0x1.1ba5eb89789ebp-8, -0x1.1077a1ec4d391p-8, -0x1.05b43bf2d2e43p-8, -0x1.f6b06e8d63eacp-9, -0x1.e2c053d743ee7p-9, -0x1.cf9183890286cp-9, -0x1.bd1d8832336ffp-9, -0x1.ab5e1a3965cddp-9, -0x1.9a4d1eeaf1018p-9, -0x1.89e4a789a902cp-9, -0x1.7a1ef061872f8p-9, -0x1.6af65fdc725bp-9, -0x1.5c6585993ee0fp-9, -0x1.4e6719850883ap-9, -0x1.40f5faf6f5486p-9, -0x1.340d2fce855ap-9, -0x1.27a7e3947741bp-9, -0x1.1bc1669e647fp-9, -0x1.10552d3518be7p-9, -0x1.055ecebdbeb4ap-9, -0x1.f5b409cbe1616p-10, -0x1.e18555a563ef1p-10, -0x1.ce2978a4cdb68p-10, -0x1.bb98aa23a1422p-10, -0x1.a9cb5fa82fce3p-10, -0x1.98ba4b5bd8974p-10, -0x1.885e5a87826f7p-10, -0x1.78b0b4165d1bfp-10, -0x1.69aab71eea7bep-10, -0x1.5b45f972629c2p-10, -0x1.4d7c46326bf67p-10, -0x1.40479c6d355f3p-10, -0x1.33a22dbfeadf5p-10, -0x1.27865cff8b1d3p-10, -0x1.1beebce80fd02p-10, -0x1.10d60ed1fd839p-10, -0x1.0637416e36a25p-10, -0x1.f81adf1056776p-11, -0x1.e4a7bd9c790efp-11, -0x1.d20bfd40dde7bp-11, -0x1.c03ecdca87cbfp-11, -0x1.af37adc98128dp-11, -0x1.9eee68531fef7p-11, -0x1.8f5b12d06a3e9p-11, -0x1.80760ad87f3aep-11, -0x1.7237f416e8641p-11, -0x1.6499b63db4534p-11, -0x1.57947b033b228p-11, -0x1.4b21ac2b6e18p-11, -0x1.3f3af19c8cf8dp-11, -0x1.33da2f7f21b78p-11, -0x1.28f984691b88dp-11, -0x1.1e934793e75f2p-11, -0x1.14a2071d5db68p-11, -0x1.0b20865360c3dp-11, -0x1.0209bc0a04128p-11, -0x1.f2b1a1f82b6a4p-12, -0x1.e2123c6bc4284p-12, -0x1.d22c57140f241p-12, -0x1.c2f75c2067edfp-12, -0x1.b46b0d5b429c4p-12, -0x1.a67f814e5358cp-12, -0x1.992d20798c62dp-12, -0x1.8c6ca29ca7c34p-12, -0x1.80370c12df051p-12, -0x1.7485ab408717ep-12, -0x1.6952161235d54p-12, -0x1.5e96278d2259ap-12, -0x1.544bfd706b125p-12, -0x1.4a6df5e6ed49p-12, -0x1.40f6ad496042ep-12, -0x1.37e0fbf05b3bdp-12, -0x1.2f27f415fb066p-12, -0x1.26c6dfc6d0668p-12, -0x1.1eb93ee1cb09ep-12, -0x1.16fac526ce408p-12, -0x1.0f8758539f4aep-12, -0x1.085b0e4ee3632p-12, -0x1.01722b60d8615p-12, -0x1.f59240f3028ecp-13, -0x1.e8b91307e978fp-13, -0x1.dc52578d1121fp-13, -0x1.d057e89f0d0c5p-13, -0x1.c4c3ecdc54cc4p-13, -0x1.b990d46f30b78p-13, -0x1.aeb9562f11c64p-13, -0x1.a4386cd8c0ecep-13, -0x1.9a09545cdded4p-13, -0x1.902787441e682p-13, -0x1.868ebc28cc61p-13, -0x1.7d3ae344f6ca8p-13, -0x1.74282414d51c3p-13, -0x1.6b52db0cdd22p-13, -0x1.62b7976303ec3p-13, -0x1.5a5318eab779ap-13, -0x1.52224e030a018p-13, -0x1.4a225196a012dp-13, -0x1.4250692ce2894p-13, -0x1.3aaa030c02d8fp-13, -0x1.332cb46b6034bp-13, -0x1.2bd637b5d8761p-13, -0x1.24a46adb9c4b6p-13, -0x1.1d954db30fc72p-13, -0x1.16a700685a8a2p-13, -0x1.0fd7c1fb38be8p-13, -0x1.0925eeca9c4cfp-13, -0x1.028fff2dd46fcp-13, -0x1.f8290c356e782p-14, -0x1.eb645fb11fc3dp-14, -0x1.decf817eb1df6p-14, -0x1.d2682805e87b4p-14, -0x1.c62c3514003f1p-14, -0x1.ba19b39ff5348p-14, -0x1.ae2ed5a4a4777p-14, -0x1.a269f2102cce7p-14, -0x1.96c982c7e7899p-14, -0x1.8b4c22c0569f4p-14, -0x1.7ff08c28702b7p-14, -0x1.74b596a7a981ep-14, -0x1.699a35ae2d63ep-14, -0x1.5e9d76d6acb14p-14, -0x1.53be805938ecep-14, -0x1.48fc8f8e9fda5p-14, -0x1.3e56f783beeebp-14, -0x1.33cd1f9c49d1bp-14, -0x1.295e8244868cep-14, -0x1.1f0aabb17c15dp-14, -0x1.14d138af1e49dp-14, -0x1.0ab1d57bfbc6cp-14, -0x1.00ac3cb1fc232p-14, -0x1.ed806c777843cp-15, -0x1.d9db2cac33fbap-15, -0x1.c668793b0ab5cp-15, -0x1.b328264d5a2a7p-15, -0x1.a01a1b44453fbp-15, -0x1.8d3e511522a0ap-15, -0x1.7a94d0ba5495ep-15, -0x1.681db1b7ca73ep-15, -0x1.55d918b27d3dp-15, -0x1.43c7361a2d8f1p-15, -0x1.31e844e4c0bbfp-15, -0x1.203c895a90d4p-15, -0x1.0ec44ff30cca7p-15, -0x1.faffd882214efp-16, -0x1.d8df6fdcb448p-16, -0x1.b728238b04ba1p-16, -0x1.95dab993eb045p-16, -0x1.74f7febaa7674p-16, -0x1.5480c4e372b62p-16, -0x1.3475e190d86d1p-16, -0x1.14d82c78d3e16p-16, -0x1.eb50fc6185828p-17, -0x1.adcf5dde6fc9bp-17, -0x1.712d2ac599cc2p-17, -0x1.356c0b3a14fp-17, -0x1.f51b40426fbcp-18, -0x1.81270287a87f2p-18, -0x1.0efe77258b40fp-18, -0x1.3d493e34f365cp-19, -0x1.80e2fc7536017p-21, 0x1.e4bc0708be03ep-21, 0x1.4ee8b93b20fecp-19, 0x1.1077b157491ccp-18, 0x1.779f2212f1bdfp-18, 0x1.dce87902be16fp-18, 0x1.2028d497855d5p-17, 0x1.50ec67f854f7bp-17, 0x1.80be1b1f8d923p-17, 0x1.af9d28ea67093p-17, 0x1.dd88e315cb04ep-17, 0x1.05405954d7a74p-16, 0x1.1b420c293ceeep-16, 0x1.30c95654b75a2p-16, 0x1.45d6103687c82p-16, 0x1.5a681e551e7d5p-16, 0x1.6e7f716b7fa33p-16, 0x1.821c066fe5aeap-16, 0x1.953de693f8db9p-16, 0x1.a7e5273f09461p-16, 0x1.ba11ea029f37bp-16, 0x1.cbc45c89bc721p-16, 0x1.dcfcb8832943ep-16, 0x1.edbb43870fb16p-16, 0x1.fe004ef849931p-16, 0x1.06e61bf0cac5dp-15, 0x1.0e8fb36787e4cp-15, 0x1.15fd27d211975p-15, 0x1.1d2eb8b71ffbep-15, 0x1.2424ab1a4868p-15, 0x1.2adf49627a785p-15, 0x1.315ee33f348a2p-15, 0x1.37a3cd8c94bcfp-15, 0x1.3dae62365936bp-15, 0x1.437f0019ef5f1p-15, 0x1.49160ae7a69cfp-15, 0x1.4e73eb031da2cp-15, 0x1.53990d6303273p-15, 0x1.5885e3703c6a4p-15, 0x1.5d3ae2e488f0bp-15, 0x1.61b885a8afb79p-15, 0x1.65ff49b2519bdp-15, 0x1.6a0fb0e16b6a8p-15, 0x1.6dea40dd982b7p-15, 0x1.718f82f327d39p-15, 0x1.750003f014d17p-15, 0x1.783c5400e73a9p-15, 0x1.7b45068d962afp-15, 0x1.7e1ab2166c62fp-15, 0x1.80bdf01106d5ep-15, 0x1.832f5cc56c713p-15, 0x1.856f972b5348fp-15, 0x1.877f40c7977c6p-15, 0x1.895efd89ede99p-15, 0x1.8b0f73aadeefcp-15, 0x1.8c914b8a0ab12p-15, 0x1.8de52f8cc5f68p-15, 0x1.8f0bcbfd10c8cp-15, 0x1.9005cee8f07b1p-15, 0x1.90d3e80233a1fp-15, 0x1.9176c87ea2d84p-15, 0x1.91ef22f8a52c3p-15, 0x1.923dab505fc37p-15, 0x1.9263168d4eea5p-15, 0x1.92601ac063b8fp-15, 0x1.92356ee6a258p-15, 0x1.91e3cacc4d81p-15, 0x1.916be6f098053p-15, 0x1.90ce7c69e7873p-15, 0x1.900c44caa63dp-15, 0x1.8f25fa06a69dp-15, 0x1.8e1c56591ac24p-15, 0x1.8cf0142b238p-15, 0x1.8ba1edfaf440cp-15, 0x1.8a329e438e94ap-15, 0x1.88a2df6519642p-15, 0x1.86f36b8dcda7ep-15, 0x1.8524fca37fdaap-15, 0x1.83384c2dc22d9p-15, 0x1.812e1340a1a9bp-15, 0x1.7f070a67faa31p-15, 0x1.7cc3e9936b56ep-15, 0x1.7a656802da9d7p-15, 0x1.77ec3c339a9d2p-15, 0x1.75591bce21032p-15, 0x1.72acbb945912ep-15, 0x1.6fe7cf5085d3fp-15, 0x1.6d0b09c4c09ccp-15, 0x1.6a171c9b03684p-15, 0x1.670cb855cb364p-15, 0x1.63ec8c4147a7p-15, 0x1.60b746651ab5p-15, 0x1.5d6d9376a4f11p-15, 0x1.5a101ecbe123fp-15, 0x1.569f924ec4e25p-15, 0x1.531c96712c8ebp-15, 0x1.4f87d2214e1b4p-15, 0x1.4be1eabeacc7p-15, 0x1.482b840f94af6p-15, 0x1.4465403710e0dp-15, 0x1.408fbfab648cfp-15, 0x1.3caba12cfdab4p-15, 0x1.38b981bde2193p-15, 0x1.34b9fc99956cbp-15, 0x1.30adab2d74f35p-15, 0x1.2c95251184767p-15, 0x1.28710001af5f3p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.c8f049952a2efp-1, 0x1.c56b28ab47c71p-1, 0x1.c1ef0311b5dep-1, 0x1.be7c373c01ec4p-1, 0x1.bb12cf306239cp-1, 0x1.b7b28dc0629a2p-1, 0x1.b45afaab2ec64p-1, 0x1.b10b6da826934p-1, 0x1.adc3185e79026p-1, 0x1.aa810f52e1917p-1, 0x1.a74451d7ba2f8p-1, 0x1.a40bd10da356dp-1, 0x1.a0d676044430cp-1, 0x1.9da3270b54cdfp-1, 0x1.9a70cc444c11p-1, 0x1.973e5384e7bcbp-1, 0x1.940ab39a5add6p-1, 0x1.90d4eefc4dd05p-1, 0x1.8d9c15fe262e9p-1, 0x1.8a5f488c37cc7p-1, 0x1.871db781a1036p-1, 0x1.83d6a5a2b3bd8p-1, 0x1.80896846e4849p-1, 0x1.7d3567bc5b2a6p-1, 0x1.79da1f6e65d52p-1, 0x1.76771dd738992p-1, 0x1.730c0444a754ep-1, 0x1.6f988676be169p-1, 0x1.6c1c6a1e73df2p-1, 0x1.689786420eaafp-1, 0x1.6509c28c3039cp-1, 0x1.61731689feaddp-1, 0x1.5dd388dc50062p-1, 0x1.5a2b2e5f530f2p-1, 0x1.567a294bb96c3p-1, 0x1.52c0a8540ae3ap-1, 0x1.4efee5c06c66p-1, 0x1.4b35268ad3477p-1, 0x1.4763b97d5a44bp-1, 0x1.438af6542211dp-1, 0x1.3fab3ce3f6ceap-1, 0x1.3bc4f446b663p-1, 0x1.37d88a0e4d497p-1, 0x1.33e6717eecf31p-1, 0x1.2fef22d102917p-1, 0x1.2bf31a7b4fe96p-1, 0x1.27f2d8856d6eap-1, 0x1.23eedfe2e283fp-1, 0x1.1fe7b5d6ee0b7p-1, 0x1.1bdde16106c07p-1, 0x1.17d1eab20580fp-1, 0x1.13c45aa9e6d54p-1, 0x1.0fb5ba5dffddep-1, 0x1.0ba692a77992cp-1, 0x1.07976bb9df504p-1, 0x1.0388ccc185515p-1, 0x1.fef6771314cbfp-2, 0x1.f6de78525a6c4p-2, 0x1.eecaa17062395p-2, 0x1.e6bbf21412528p-2, 0x1.deb364df008d2p-2, 0x1.d6b1eefd1f964p-2, 0x1.ceb87fc03e601p-2, 0x1.c6c80046bb166p-2, 0x1.bee1532cd7959p-2, 0x1.b70554481f93fp-2, 0x1.af34d86c51fd5p-2, 0x1.a770ad393a2c1p-2, 0x1.9fb998f0fba73p-2, 0x1.98105a5641759p-2, 0x1.9075a891d651ap-2, 0x1.88ea331f2947p-2, 0x1.816ea1bf4556cp-2, 0x1.7a039471c7963p-2, 0x1.72a9a3736c6dbp-2, 0x1.6b615f41bf6a9p-2, 0x1.642b50a3922a1p-2, 0x1.5d07f8b5d4c4bp-2, 0x1.55f7d0fc727d2p-2, 0x1.4efb4b76e0034p-2, 0x1.4812d2b804372p-2, 0x1.413eca01299dcp-2, 0x1.3a7f8d5fb7e15p-2, 0x1.33d571cd61cc1p-2, 0x1.2d40c5528d402p-2, 0x1.26c1cf2ab4852p-2, 0x1.2058cfea83594p-2, 0x1.1a0601a77698bp-2, 0x1.13c99820d2101p-2, 0x1.0da3c0e9b0399p-2, 0x1.0794a394036d3p-2, 0x1.019c61dc5ebd5p-2, 0x1.f7762facb508dp-3, 0x1.ebe1b832e2e71p-3, 0x1.e07b7fdc5fc01p-3, 0x1.d5439ef734f66p-3, 0x1.ca3a23e951a89p-3, 0x1.bf5f138b72844p-3, 0x1.b4b26983cdc8ap-3, 0x1.aa3418a050743p-3, 0x1.9fe40b303a7abp-3, 0x1.95c2235d01622p-3, 0x1.8bce3b82447fcp-3, 0x1.82082684bcd85p-3, 0x1.786fb0280816ap-3, 0x1.6f049d632d2cdp-3, 0x1.65c6acb3cacadp-3, 0x1.5cb5966fd7e93p-3, 0x1.53d10d15d6bf7p-3, 0x1.4b18bd9b8593cp-3, 0x1.428c4fbad5fabp-3, 0x1.3a2b663d4b12p-3, 0x1.31f59f45866b6p-3, 0x1.29ea949720adcp-3, 0x1.2209dbdcb0056p-3, 0x1.1a5306ebf71b7p-3, 0x1.12c5a408447fbp-3, 0x1.0b613e22f714fp-3, 0x1.04255d1a1c112p-3, 0x1.fa230bea7e636p-4, 0x1.ec4a76409af46p-4, 0x1.debff94949c05p-4, 0x1.d18290c09578cp-4, 0x1.c4913476806a6p-4, 0x1.b7ead8b61e0bbp-4, 0x1.ab8e6ea8f4ceep-4, 0x1.9f7ae4b6e5c93p-4, 0x1.93af26e266d25p-4, 0x1.882a1f215e177p-4, 0x1.7ceab5b276ad5p-4, 0x1.71efd16f17feap-4, 0x1.6738581a07a7fp-4, 0x1.5cc32eaac31f8p-4, 0x1.528f3995a2671p-4, 0x1.489b5d10d612ap-4, 0x1.3ee67d564d7c5p-4, 0x1.356f7ee299607p-4, 0x1.2c3546b0db3e1p-4, 0x1.2336ba73d3409p-4, 0x1.1a72c0cc1ed0ep-4, 0x1.11e8417bb90c6p-4, 0x1.09962596d15c2p-4, 0x1.017b57b2074dbp-4, 0x1.f32d881c42fb7p-5, 0x1.e3ceb1829e20ap-5, 0x1.d4d80bbc0e1ffp-5, 0x1.c6477b2f30b3ep-5, 0x1.b81ae8c8f4332p-5, 0x1.aa50423ce3deap-5, 0x1.9ce57a413d14dp-5, 0x1.8fd888c6f2b5bp-5, 0x1.83276b2dc34f2p-5, 0x1.76d024747ff9dp-5, 0x1.6ad0bd65aba89p-5, 0x1.5f2744c08c996p-5, 0x1.53d1cf5ed96d4p-5, 0x1.48ce78571978ap-5, 0x1.3e1b611bde4d2p-5, 0x1.33b6b197f3bp-5, 0x1.299e9847a0bbp-5, 0x1.1fd14a4f20815p-5, 0x1.164d038e631cap-5, 0x1.0d1006b2420e2p-5, 0x1.04189d433660fp-5, 0x1.f6ca2f63677b9p-6, 0x1.e5e79ac085a37p-6, 0x1.d5863956e04c3p-6, 0x1.c5a2d5df5aa06p-6, 0x1.b63a491a7548dp-6, 0x1.a74979d462b22p-6, 0x1.98cd5ce590f8bp-6, 0x1.8ac2f52fc9266p-6, 0x1.7d2753981d744p-6, 0x1.6ff796fdcdf9ap-6, 0x1.6330ec2e420a6p-6, 0x1.56d08dd64ff76p-6, 0x1.4ad3c470e9b79p-6, 0x1.3f37e63361d6p-6, 0x1.33fa56f75d0ecp-6, 0x1.29188822a77cbp-6, 0x1.1e8ff88cfab83p-6, 0x1.145e3463e843ap-6, 0x1.0a80d50cf5a5cp-6, 0x1.00f581061a0b8p-6, 0x1.ef73d7895e0f8p-7, 0x1.dd97ab25eb0b8p-7, 0x1.cc5216d88ae16p-7, 0x1.bb9ecdb01abb7p-7, 0x1.ab799b875af3cp-7, 0x1.9bde64b69964bp-7, 0x1.8cc925c3887a3p-7, 0x1.7e35f30f5af01p-7, 0x1.7020f88358507p-7, 0x1.6286793c1facep-7, 0x1.5562cf33a6a56p-7, 0x1.48b26aea2e71p-7, 0x1.3c71d30e4a599p-7, 0x1.309da4241e3aap-7, 0x1.2532902beda44p-7, 0x1.1a2d5e48254a9p-7, 0x1.0f8aea62f34eap-7, 0x1.054824d391fa6p-7, 0x1.f6c42406b3d47p-8, 0x1.e3ab942573385p-8, 0x1.d140f0fc4d9cbp-8, 0x1.bf7eb7864a3b3p-8, 0x1.ae5f8a0ae547bp-8, 0x1.9dde2f68e7d72p-8, 0x1.8df59261dd665p-8, 0x1.7ea0c0e652ea5p-8, 0x1.6fdaeb62f9df6p-8, 0x1.619f640ed946dp-8, 0x1.53e99e3aa2d14p-8, 0x1.46b52da14d6afp-8, 0x1.39fdc5ba10784p-8, 0x1.2dbf390bd376cp-8, 0x1.21f5788232a8ep-8, 0x1.169c92c42336bp-8, 0x1.0bb0b38c5601dp-8, 0x1.012e230363075p-8, 0x1.ee228a37a835ep-9, 0x1.daad31e037dfdp-9, 0x1.c7f5704512f1ep-9, 0x1.b5f4ac7e8776bp-9, 0x1.a4a48040b2ad4p-9, 0x1.93feb6a7e7083p-9, 0x1.83fd4b095b5dep-9, 0x1.749a67c842cf2p-9, 0x1.65d0652f5ae7ap-9, 0x1.5799c84ef3594p-9, 0x1.49f141df85457p-9, 0x1.3cd1ad28e167fp-9, 0x1.30360eedf7618p-9, 0x1.2419945d4316cp-9, 0x1.18779205e2f2bp-9, 0x1.0d4b82d1567dbp-9, 0x1.02910701eed9cp-9, 0x1.f087c66bd3a76p-10, 0x1.dcbffede75d28p-10, 0x1.c9c2cc4006c93p-10, 0x1.b78886775c95cp-10, 0x1.a609c699681d5p-10, 0x1.953f651dfc48ep-10, 0x1.8522781dc9b1p-10, 0x1.75ac51997967p-10, 0x1.66d67dc9f0fdep-10, 0x1.589ac17987882p-10, 0x1.4af318663fcd8p-10, 0x1.3dd9b3ace0516p-10, 0x1.3148f83cd2a54p-10, 0x1.253b7d54c225p-10, 0x1.19ac0b07d6164p-10, 0x1.0e9598cb77675p-10, 0x1.03f34c0d82c1p-10, 0x1.f380eda5a95b8p-11, 0x1.dff12cbc214cep-11, 0x1.cd2ea3bd10e4cp-11, 0x1.bb30f24e53ea9p-11, 0x1.a9f006daabd72p-11, 0x1.99641c1f04d7ap-11, 0x1.8985b6c71cc3p-11, 0x1.7a4da3194a41ap-11, 0x1.6bb4f2b12e54fp-11, 0x1.5db4fa490f9f7p-11, 0x1.50474f91a3fa6p-11, 0x1.4365c7180d1fcp-11, 0x1.370a7239c6a83p-11, 0x1.2b2f9d264ad14p-11, 0x1.1fcfccee2e8abp-11, 0x1.14e5bd9f766cap-11, 0x1.0a6c606ee8e81p-11, 0x1.005ed9ee1b0cdp-11, 0x1.ed71009bfc7bdp-12, 0x1.dae9b35b5dc29p-12, 0x1.c91f34ea8d241p-12, 0x1.b8094778e842ep-12, 0x1.a7a003793e29cp-12, 0x1.97dbd49ca8654p-12, 0x1.88b576e38b0cep-12, 0x1.7a25f3c43aecap-12, 0x1.6c269f66d6859p-12, 0x1.5eb115f5d9325p-12, 0x1.51bf3902fb72bp-12, 0x1.454b2cffe2456p-12, 0x1.394f56ca325f7p-12, 0x1.2dc6594a9637bp-12, 0x1.22ab1326440e1p-12, 0x1.17f89c8295995p-12, 0x1.0daa44da49c42p-12, 0x1.03bb90e3fbd74p-12, 0x1.f4507112df5bfp-13, 0x1.e1d849de84becp-13, 0x1.d006dd193df64p-13, 0x1.bed4b6a512edap-13, 0x1.ae3ab9c4cf0cdp-13, 0x1.9e321da6acab5p-13, 0x1.8eb46a0bf488dp-13, 0x1.7fbb740cc0551p-13, 0x1.71415af72b3a9p-13, 0x1.6340854938ad3p-13, 0x1.55b39dc4b9be1p-13, 0x1.4895909c84038p-13, 0x1.3be188ba450abp-13, 0x1.2f92ed1c4f4a5p-13, 0x1.23a55e4aaf25cp-13, 0x1.1814b3e2eb473p-13, 0x1.0cdcfa39cb7aap-13, 0x1.01fa7012869e2p-13, 0x1.eed308d577a5ap-14, 0x1.da4da8b5530a7p-14, 0x1.c65e5211ee54ep-14, 0x1.b2feeb6337662p-14, 0x1.a029ab7e74ae3p-14, 0x1.8dd915eceeb7ap-14, 0x1.7c07f76575accp-14, 0x1.6ab16267aeda7p-14, 0x1.59d0abf82e599p-14, 0x1.4961687c5948fp-14, 0x1.395f68b519f94p-14, 0x1.29c6b6d770de2p-14, 0x1.1a9393c1f619ap-14, 0x1.0bc2744e636c7p-14, 0x1.fa9ffd7c8721dp-15, 0x1.de721083d671ep-15, 0x1.c2f52531c763bp-15, 0x1.a8239395e989cp-15, 0x1.8df803f2042cfp-15, 0x1.746d6a89e53bcp-15, 0x1.5b7f039fc4b48p-15, 0x1.43284f9bba502p-15, 0x1.2b650f5cdcc86p-15, 0x1.143140b297fbep-15, 0x1.fb1235f9d394ep-16, 0x1.ced217e44700bp-16, 0x1.a39b6911dab4dp-16, 0x1.7967cc0a8c288p-16, 0x1.50313e4e87f06p-16, 0x1.27f212f4d30a1p-16, 0x1.00a4ed88c53fdp-16, 0x1.b4897a48285c2p-17, 0x1.69996f868261cp-17, 0x1.2070aba4988fdp-17, 0x1.b20d37be47d33p-18, 0x1.26a6438b80de1p-18, 0x1.3d3a2e363253bp-19, 0x1.9e319890068ebp-22, -0x1.9e5644f17d8c5p-20, -0x1.cbb42b40be3e4p-19, -0x1.60f6fce8413a8p-18, -0x1.d8f8390deccb7p-18, -0x1.26f497fde0088p-17, -0x1.5fea6317dc22bp-17, -0x1.9762b46605644p-17, -0x1.cd628b8d89adap-17, -0x1.00f75ae3129d5p-16, -0x1.1a85e90befd84p-16, -0x1.335f2aad65acbp-16, -0x1.4b8546fd9e192p-16, -0x1.62fa53c28b2edp-16, -0x1.79c056fc48a23p-16, -0x1.8fd94875614b3p-16, -0x1.a547133a1f4d3p-16, -0x1.ba0b96f7fdc23p-16, -0x1.ce28a946445eap-16, -0x1.e1a016d8d91a2p-16, -0x1.f473a49e45828p-16, -0x1.03528864ebdfap-15, -0x1.0c1b09e56adaep-15, -0x1.14943098d1338p-15, -0x1.1cbed441d50cdp-15, -0x1.249bcaff76bd5p-15, -0x1.2c2be9a6fce6cp-15, -0x1.3370041684c12p-15, -0x1.3a68ed80866f9p-15, -0x1.411778b0ab683p-15, -0x1.477c784a4913fp-15, -0x1.4d98bf00d7332p-15, -0x1.536d1fcab3cfdp-15, -0x1.58fa6e0e7ccd4p-15, -0x1.5e417dcb51f15p-15, -0x1.634323bc41b37p-15, -0x1.68003577276f1p-15, -0x1.6c7989873c8b1p-15, -0x1.70aff7839f3f3p-15, -0x1.74a45822089b2p-15, -0x1.78578545edfb5p-15, -0x1.7bca5a0c44ae8p-15, -0x1.7efdb2d422868p-15, -0x1.81f26d4467a4ep-15, -0x1.84a9684ea8466p-15, -0x1.8723842f85087p-15, -0x1.8961a26c9bcf5p-15, -0x1.8b64a5d041f03p-15, -0x1.8d2d72632b4b9p-15, -0x1.8ebced642b032p-15, -0x1.9013fd3e2f4edp-15, -0x1.9133897c9de7bp-15, -0x1.921c7abe36de3p-15, -0x1.92cfbaa697cc4p-15, -0x1.934e33ce84231p-15, -0x1.9398d1b30d9a3p-15, -0x1.93b080a3baa76p-15, -0x1.93962dafc54bap-15, -0x1.934ac69288312p-15, -0x1.92cf399f3a856p-15, -0x1.922475ac089dbp-15, -0x1.914b69fca46b8p-15, -0x1.9045062c607c9p-15, -0x1.8f123a17ebdcep-15, -0x1.8db3f5c6babf4p-15, -0x1.8c2b295435dc8p-15, -0x1.8a78c4d8b9e74p-15, -0x1.889db85279d18p-15, -0x1.869af38e53044p-15, -0x1.847166109f122p-15, -0x1.8221fefe1094ep-15, -0x1.7fadad04a82eep-15, -0x1.7d155e44cbc66p-15, -0x1.7a5a003a89b5ap-15, -0x1.777c7fa717115p-15, -0x1.747dc87a867f7p-15, -0x1.715ec5bdd07b4p-15, -0x1.6e20617d24042p-15, -0x1.6ac384b293884p-15, -0x1.674917311f7bdp-15, -0x1.63b1ff902237dp-15, -0x1.5fff23172a746p-15, -0x1.5c3165aa417ccp-15, -0x1.5849a9b6a4ae4p-15, -0x1.5448d01ffa8bap-15, -0x1.502fb82dfe58ep-15, -0x1.4bff3f7aaf38bp-15, -0x1.47b841e0fd638p-15, -0x1.435b996bfed69p-15, -0x1.3eea1e46a83cdp-15, -0x1.3a64a6ac10313p-15, -0x1.35cc06d83b6a2p-15, -0x1.312110f974537p-15, -0x1.2c6495222fe3ap-15, -0x1.2797613b7d838p-15, -0x1.22ba40f808281p-15, -0x1.1dcdfdc7a0551p-15, -0x1.18d35ecb57521p-15, -0x1.13cb28ca2685dp-15, -0x1.0eb61e26246a2p-15, -0x1.0994fed243d94p-15, -0x1.04688848a31c3p-15, -0x1.fe62eb02c2014p-16, -0x1.f3e0fdd3fe536p-16, -0x1.e94cb4ba94184p-16, -0x1.dea7763790c3fp-16, -0x1.d3f2a389642c4p-16, -0x1.c92f989ecf9fp-16, -0x1.be5fac0adb423p-16, -0x1.b3842ef9cf95p-16, -0x1.a89e6d2724a89p-16, -0x1.9dafacd46c1a9p-16, -0x1.92b92ec1351aep-16, -0x1.87bc2e23d4dd2p-16, -0x1.7cb9e0a32408bp-16, -0x1.71b376511fdd2p-16, -0x1.66aa19a66b6fdp-16, -0x1.5b9eef7eb049ep-16, -0x1.50931715da152p-16, -0x1.4587aa061d7c4p-16, -0x1.3a7dbc46d7efbp-16, -0x1.2f765c2c336a2p-16, -0x1.247292678d7aep-16, -0x1.19736208a3c14p-16, -0x1.0e79c87f731b4p-16, -0x1.0386bd9ed39eap-16, -0x1.f136673f8194ep-17, -0x1.db702e4a94a9fp-17, -0x1.c5bc9e8263d54p-17, -0x1.b01d7af247b1dp-17, -0x1.9a947b99199efp-17, -0x1.85234d760f578p-17, -0x1.6fcb9296bb17p-17, -0x1.5a8ee2261c1f4p-17, -0x1.456ec87cc6f87p-17, -0x1.306cc73215226p-17, -0x1.1b8a552e46e2dp-17, -0x1.06c8debd9eaf8p-17, -0x1.e4538b48c6a4dp-18, -0x1.bb5cc26780d97p-18, -0x1.92affcbef9f98p-18, -0x1.6a4fbfa8fda49p-18, -0x1.423e7c2024041p-18, -0x1.1a7e8eefd1a1fp-18, -0x1.e62481cb3fa46p-19, -0x1.97f78e08293a4p-19, -0x1.4a7a856d36ecp-19, -0x1.fb63081abcb8fp-20, -0x1.6340ff488e408p-20, -0x1.992d2013fb826p-21, -0x1.bb5878aa93d6bp-23, 0x1.70e9e3a756186p-22, 0x1.dca68cd3bb6d9p-21, 0x1.7ed8e01735764p-20, 0x1.06e289f2ac00ep-19, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      42, 0x1.0cccccccccccdp+2, 0x1.c9f337a76a7cbp+0, 0x1.8b6db1b2a8174p+1, -0x1.e82facbcd5397p-2, 
      {{
        {0x1.3333333333333p+0, 0x1.3d70a3d70a3d7p+0, 0x1.0b859c8c9320ep+1, -0x1.25dca5e59316bp+2, 0x1.06d70a3d70a78p+2, 0x1.1d882be0ccf11p-1}, 
        {0x1.3d70a3d70a3d7p+0, 0x1.47ae147ae147bp+0, 0x1.e9b79d909f1f1p+0, -0x1.10a9d3bee2d62p+2, 0x1.0b1f7b89c5a6p+2, -0x1.64ea36d90035ap+1}, 
        {0x1.47ae147ae147bp+0, 0x1.51eb851eb851fp+0, 0x1.bfc148344c37ep+0, -0x1.f84cdfc3b3912p+1, 0x1.eb6a8a18395ap+1, -0x1.c3725f2863eafp+0}, 
        {0x1.51eb851eb851fp+0, 0x1.5c28f5c28f5c3p+0, 0x1.98f4623d0bfa1p+0, -0x1.d2120a3179f86p+1, 0x1.d054512f668e7p+1, -0x1.f06215ac7a4c3p+0}, 
        {0x1.5c28f5c28f5c3p+0, 0x1.6666666666666p+0, 0x1.751f81a5870dap+0, -0x1.ae1d8d60463b5p+1, 0x1.b28bdf3ea6e6p+1, -0x1.c3054a25b4e89p+0}, 
        {0x1.6666666666666p+0, 0x1.70a3d70a3d70ap+0, 0x1.541355475a31ap+0, -0x1.8c6f264af7fbbp+1, 0x1.977c31d5fd532p+1, -0x1.b788c1bc9a582p+0}, 
        {0x1.70a3d70a3d70ap+0, 0x1.7ae147ae147aep+0, 0x1.35a2f8bdec5f4p+0, -0x1.6ce3e7610265ep+1, 0x1.7d1cf302fe4dcp+1, -0x1.9ed7aee7f5fb9p+0}, 
        {0x1.7ae147ae147aep+0, 0x1.851eb851eb852p+0, 0x1.19a36e2eb1c43p+0, -0x1.4f65964daa722p+1, 0x1.6438f7e098814p+1, -0x1.891882a386c67p+0}, 
        {0x1.851eb851eb852p+0, 0x1.8f5c28f5c28f6p+0, 0x1.ffd7c2ca148bbp-1, -0x1.33d7aaed72897p+1, 0x1.4ca30484dd37cp+1, -0x1.78c64689f0e1bp+0}, 
        {0x1.8f5c28f5c28f6p+0, 0x1.999999999999ap+0, 0x1.d0ab2e1693c04p-1, -0x1.1a22c1ac434fdp+1, 0x1.3607c2d8bf67cp+1, -0x1.63ce6334b426cp+0}, 
        {0x1.999999999999ap+0, 0x1.a3d70a3d70a3dp+0, 0x1.a577318fc5048p-1, -0x1.022ff166d35b4p+1, 0x1.20ae93ef2f79ep+1, -0x1.50002ca347c3ep+0}, 
        {0x1.a3d70a3d70a3dp+0, 0x1.ae147ae147ae1p+0, 0x1.7df5cf2495e18p-1, -0x1.d7cc59e38eab5p+0, 0x1.0c859b7efd172p+1, -0x1.4430ea3e1e333p+0}, 
        {0x1.ae147ae147ae1p+0, 0x1.b851eb851eb85p+0, 0x1.59e4b44a1f08p-1, -0x1.ae640f57ef202p+0, 0x1.f22410a49a659p+0, -0x1.2b3c2a6445709p+0}, 
        {0x1.b851eb851eb85p+0, 0x1.c28f5c28f5c29p+0, 0x1.39049235f8099p-1, -0x1.87f9d5b0d3f3bp+0, 0x1.ce3b90ad0cf1bp+0, -0x1.1ede6c30ce13p+0}, 
        {0x1.c28f5c28f5c29p+0, 0x1.ccccccccccccdp+0, 0x1.1b1a2a4db163bp-1, -0x1.645fd05ed0a0fp+0, 0x1.abcef45546228p+0, -0x1.114a24d87e26cp+0}, 
        {0x1.ccccccccccccdp+0, 0x1.d70a3d70a3d71p+0, 0x1.ffda4052d666bp-2, -0x1.43761daa8ae7ep+0, 0x1.8b037f4588ea9p+0, -0x1.f7f200da7cf88p-1}, 
        {0x1.d70a3d70a3d71p+0, 0x1.e147ae147ae14p+0, 0x1.ce8ff327aa68fp-2, -0x1.2511dc30c4a81p+0, 0x1.6cc6e59ed3568p+0, -0x1.e5a3b2e5109a7p-1}, 
        {0x1.e147ae147ae14p+0, 0x1.eb851eb851eb8p+0, 0x1.a1f18c9fb6135p-2, -0x1.090d9af10096ep+0, 0x1.4fa3799b5257ap+0, -0x1.c17f33913314cp-1}, 
        {0x1.eb851eb851eb8p+0, 0x1.f5c28f5c28f5cp+0, 0x1.79a027525460bp-2, -0x1.de8fcbd68c35fp-1, 0x1.34ab33f3e3c2p+0, -0x1.ac5f7ed62cc9fp-1}, 
        {0x1.f5c28f5c28f5cp+0, 0x1p+1, 0x1.5542e557de0d6p-2, -0x1.af3b1bc9f2d6ap-1, 0x1.1af764a99963cp+0, -0x1.8d02d11615a01p-1}, 
        {0x1p+1, 0x1.051eb851eb852p+1, 0x1.3485e3da2f8bep-2, -0x1.83dca71b0d998p-1, 0x1.03254de09817cp+0, -0x1.77953cd18014cp-1}, 
        {0x1.051eb851eb852p+1, 0x1.0a3d70a3d70a4p+1, 0x1.171ac14c660a2p-2, -0x1.5c338f77eb3aep-1, 0x1.d938b32d2b0e1p-1, -0x1.5ca83ba3e95a4p-1}, 
        {0x1.0a3d70a3d70a4p+1, 0x1.0f5c28f5c28f6p+1, 0x1.f96fa82e87d2cp-3, -0x1.38046a12c9c6ap-1, 0x1.af61f3b3194adp-1, -0x1.45c9d49ed8e32p-1}, 
        {0x1.0f5c28f5c28f6p+1, 0x1.147ae147ae148p+1, 0x1.ca30db6a1e81dp-3, -0x1.171206e824226p-1, 0x1.8849bb7713beep-1, -0x1.343071e0b4d3fp-1}, 
        {0x1.147ae147ae148p+1, 0x1.199999999999ap+1, 0x1.9ff8a8f3a9b07p-3, -0x1.f25557b8d562ep-2, 0x1.634e28ae08494p-1, -0x1.197463de5422p-1}, 
        {0x1.199999999999ap+1, 0x1.1eb851eb851ecp+1, 0x1.7a4e7ab75643p-3, -0x1.bc2fbd7cb7605p-2, 0x1.4187df416ed48p-1, -0x1.05fdfea5f94d3p-1}, 
        {0x1.1eb851eb851ecp+1, 0x1.23d70a3d70a3dp+1, 0x1.58c32a8c9b845p-3, -0x1.8b41b66ce08fdp-2, 0x1.221779048e5a9p-1, -0x1.ed27431397d4ep-2}, 
        {0x1.23d70a3d70a3dp+1, 0x1.28f5c28f5c28fp+1, 0x1.3aef6f8f04146p-3, -0x1.5f358b37d04p-2, 0x1.0480a312bd90bp-1, -0x1.bf66f665993b2p-2}, 
        {0x1.28f5c28f5c28fp+1, 0x1.2e147ae147ae1p+1, 0x1.2072d1aeb3dd1p-3, -0x1.37ad21354d7bdp-2, 0x1.d35114194a05cp-2, -0x1.a53ce3560f20fp-2}, 
        {0x1.2e147ae147ae1p+1, 0x1.3333333333333p+1, 0x1.08f4b61fe21d9p-3, -0x1.145019ba73763p-2, 0x1.a0c4a6e60086ep-2, -0x1.7ba57c4228bf1p-2}, 
        {0x1.3333333333333p+1, 0x1.3851eb851eb85p+1, 0x1.e845996744b2bp-4, -0x1.e996654feaeabp-3, 0x1.7335e9e84d8eap-2, -0x1.5c2d2ba14eeb7p-2}, 
        {0x1.3851eb851eb85p+1, 0x1.3d70a3d70a3d7p+1, 0x1.c364388ebcc6cp-4, -0x1.b18949ba04f28p-3, 0x1.496deee96d0bfp-2, -0x1.43a5d5389b196p-2}, 
        {0x1.3d70a3d70a3d7p+1, 0x1.428f5c28f5c29p+1, 0x1.a2bbecaab8a5dp-4, -0x1.7fef4166852b2p-3, 0x1.2297792a5031dp-2, -0x1.253b7f7c455c1p-2}, 
        {0x1.428f5c28f5c29p+1, 0x1.47ae147ae147bp+1, 0x1.85cdd50a88fp-4, -0x1.544144897e53fp-3, 0x1.fecebf410a9f6p-3, -0x1.076c2cd64e63cp-2}, 
        {0x1.47ae147ae147bp+1, 0x1.4cccccccccccdp+1, 0x1.6c2699c7bcc2ap-4, -0x1.2deb50b3674bp-3, 0x1.bf9610a7353fbp-3, -0x1.da279a5506499p-3}, 
        {0x1.4cccccccccccdp+1, 0x1.51eb851eb851fp+1, 0x1.555e6bc621b7ep-4, -0x1.0c63642e03377p-3, 0x1.86b0085f90a76p-3, -0x1.c8893cff45189p-3}, 
        {0x1.51eb851eb851fp+1, 0x1.570a3d70a3d71p+1, 0x1.4116ebd4cfd09p-4, -0x1.dea6335482968p-4, 0x1.4fe73e7e5f66fp-3, -0x1.43b371ade71fbp-3}, 
        {0x1.570a3d70a3d71p+1, 0x1.5c28f5c28f5c3p+1, 0x1.2efa1e3eaf684p-4, -0x1.ac0321006c883p-4, 0x1.290f269cb44ebp-3, -0x1.e8a8fc492061ep-3}, 
        {0x1.5c28f5c28f5c3p+1, 0x1.6147ae147ae14p+1, 0x1.1ebe9c886162fp-4, -0x1.812c840e2564fp-4, 0x1.dcd7066f89cd8p-4, 0x1.4caec5a4cbdb4p-4}, 
        {0x1.6147ae147ae14p+1, 0x1.6666666666666p+1, 0x1.101f31f46ed24p-4, -0x1.596e0887e9e14p-4, 0x1.026184d6230d2p-3, -0x1.e42d23c01b134p-1}, 
        {0x1.6666666666666p+1, 0x1.a3d70a3d70a3dp+1, 0x1.02e2328f9f44dp-4, -0x1.42ae65b311f52p-4, 0x1.9f9ee8e67f991p-7, 0x1.97a117e5fad0ap-8}, 
        {0x1.a3d70a3d70a3dp+1, 0x1.0cccccccccccdp+2, 0x1.db22d0e560419p-6, -0x1.fe64f2ec418a9p-5, 0x1.628e91889a179p-6, -0x1.5b32ef43b477ep-10}, 
      }}, 
      0x1.66f82c43c5da9p-5, -0x1.fa0fed604f855p-6
    }
  };
  // clang-format on
}
SkfData params_mio_0_1_c_h() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.4f5472d4a944dp-2, 0x1.599b76121c73ep-2, 0x1.6345854e0c789p-2, 0x1.6c557822f57dap-2, 0x1.74d2622fea3f5p-2, 0x1.7cc1e484f7ec1p-2, 0x1.8425332bd1712p-2, 0x1.8afcc516bcd8cp-2, 0x1.914cbd4b5e6fap-2, 0x1.971cbe6b420a7p-2, 0x1.9c74407b4137cp-2, 0x1.a1579c0f1c46fp-2, 0x1.a5c832c5586d7p-2, 0x1.a9c6e8092129ap-2, 0x1.ad56911ada833p-2, 0x1.b07cb917e41b5p-2, 0x1.b340a2d647041p-2, 0x1.b5a97a53f2ce9p-2, 0x1.b7bcd2b5ca6bcp-2, 0x1.b97e24413f771p-2, 0x1.baef498b786f3p-2, 0x1.bc066c80c1967p-2, 0x1.bcd66b9a6affbp-2, 0x1.bd6115323ac91p-2, 0x1.bdaa51e506bdbp-2, 0x1.bdb53a630b7f5p-2, 0x1.bd844a09f3639p-2, 0x1.bd19b70c27019p-2, 0x1.bc77c9c1de279p-2, 0x1.bba11fd3e2976p-2, 0x1.ba98b6708b8c7p-2, 0x1.b961df0bf48c6p-2, 0x1.b80006166b27cp-2, 0x1.b676778ae99c6p-2, 0x1.b4c82dd0f4a75p-2, 0x1.b2f7b65f47ccfp-2, 0x1.b10731e8bb33bp-2, 0x1.aef85d0cc618dp-2, 0x1.acccb3085630dp-2, 0x1.aa858a8802225p-2, 0x1.a82434c821f79p-2, 0x1.a5aa145207e14p-2, 0x1.a318a8e575626p-2, 0x1.a071901f9a15ep-2, 0x1.9db68173c563dp-2, 0x1.9ae93ca17f9p-2, 0x1.980b82522c65ap-2, 0x1.951f03a8bd88bp-2, 0x1.9225565c594ccp-2, 0x1.8f1fea10782bcp-2, 0x1.8c1000bb4e5cap-2, 0x1.88f6ab7ef82afp-2, 0x1.85d4cca7ae455p-2, 0x1.82ab1dbf791f9p-2, 0x1.7f7a3b607a79fp-2, 0x1.7c42af5187316p-2, 0x1.7904fbd4186cfp-2, 0x1.75c1a34e4b0a6p-2, 0x1.72792c7fbc35bp-2, 0x1.6f2c235c5c358p-2, 0x1.6bdb176d0ee3ep-2, 0x1.6886990facf82p-2, 0x1.652f372616b06p-2, 0x1.61cd6804b7301p-2, 0x1.5e72b3d6855fap-2, 0x1.5b1723c526e09p-2, 0x1.57bb288b6fc75p-2, 0x1.545f26cc576cp-2, 0x1.510377749e78ep-2, 0x1.4da868bc5ede5p-2, 0x1.4a4e4002632c8p-2, 0x1.46f53b6a1c251p-2, 0x1.439d945d8a387p-2, 0x1.4047812689e73p-2, 0x1.3cf336648139dp-2, 0x1.39a0e7ef9299fp-2, 0x1.3650c93d0a0a2p-2, 0x1.33030d5ae3757p-2, 0x1.2fb7e6356cadp-2, 0x1.2c6f84b3303b7p-2, 0x1.292a1764e33f8p-2, 0x1.25e7ca505f4a7p-2, 0x1.22a8c69023de3p-2, 0x1.1f6d31d7efb3p-2, 0x1.1c352ea551fe1p-2, 0x1.1900dc336399ep-2, 0x1.15d056acfd31bp-2, 0x1.12a3b768bd26ap-2, 0x1.0f7b152963f68p-2, 0x1.0c568470b2a6cp-2, 0x1.093617aed55ffp-2, 0x1.0619dfb135e85p-2, 0x1.0301ebe604cd4p-2, 0x1.ffdc94ff849c7p-3, 0x1.f9be11f6cac73p-3, 0x1.f3a86881d5d83p-3, 0x1.ed9bb1c29bbcdp-3, 0x1.e79805423ef37p-3, 0x1.e19d80413d6c7p-3, 0x1.dbac375ea5ec8p-3, 0x1.d5c4452286618p-3, 0x1.cfe5c2be3a403p-3, 0x1.ca10c940074cbp-3, 0x1.c4457159e496dp-3, 0x1.be83d33ccbc4bp-3, 0x1.b8cc063609d0ap-3, 0x1.b31e20f9b268bp-3, 0x1.ad7a37ee2729ep-3, 0x1.a7e05f2eb7fd2p-3, 0x1.a250a90a01e6p-3, 0x1.9ccb2625478dap-3, 0x1.974fe59ea2408p-3, 0x1.91def5383d2dp-3, 0x1.8c78615da0ddcp-3, 0x1.871c355be6feap-3, 0x1.81ca7b8a147e6p-3, 0x1.7c833dbbe2aa5p-3, 0x1.774684dd3bf85p-3, 0x1.72145a281d59dp-3, 0x1.6cecc674353fcp-3, 0x1.67cfd2ca3cc5p-3, 0x1.62bd88653a7f5p-3, 0x1.5db5f0c49a852p-3, 0x1.58b91603e1939p-3, 0x1.53c7012dd5e5dp-3, 0x1.4edfbe317e80cp-3, 0x1.4a03546202409p-3, 0x1.4531d082d7c4dp-3, 0x1.406b3b62c58bfp-3, 0x1.3baf9e812fc1ep-3, 0x1.36ff02c200403p-3, 0x1.32597052c9c57p-3, 0x1.2dbeeea24df5cp-3, 0x1.292f8435deae9p-3, 0x1.24ab36ed0acf8p-3, 0x1.20320a8f2c07cp-3, 0x1.1bc403319965cp-3, 0x1.17612456e10f3p-3, 0x1.13096e8d6d0ffp-3, 0x1.0ebce3016b97dp-3, 0x1.0a7b81a8081fap-3, 0x1.064549b6ab214p-3, 0x1.021a3972ac8bbp-3, 0x1.fbf49dcacae4ap-4, 0x1.f3cb0e2f43fffp-4, 0x1.ebb7beb432f36p-4, 0x1.e3baa6ffd8beap-4, 0x1.dbd914532c6b3p-4, 0x1.d4089bd25066cp-4, 0x1.cc4e5442be26bp-4, 0x1.c4aa355c4abf7p-4, 0x1.bd1c367dc1138p-4, 0x1.b5a44d2f41611p-4, 0x1.ae426e7f0deaep-4, 0x1.a6f68ef4fea2cp-4, 0x1.9fc0a14ec9a6cp-4, 0x1.98a09805c20afp-4, 0x1.91966475be431p-4, 0x1.8aa1f6d52c75ap-4, 0x1.83c33e70a5daep-4, 0x1.7cfa2a22400cap-4, 0x1.7646a14bb4ab6p-4, 0x1.6fa8a21850eap-4, 0x1.6920065208e79p-4, 0x1.62acc4f95c3b3p-4, 0x1.5c4eb4af1fddfp-4, 0x1.5605d1118f40fp-4, 0x1.4fd1f96dfad46p-4, 0x1.49b31946ddb14p-4, 0x1.43a91222a8a76p-4, 0x1.3db3ca5972ebfp-4, 0x1.37d3256961ebbp-4, 0x1.320706e2606a1p-4, 0x1.2c4f50e2d558p-4, 0x1.26abe4c4ce061p-4, 0x1.211ca2d5cfaap-4, 0x1.1ba16c35829e9p-4, 0x1.163a1ed41cbc7p-4, 0x1.10e69989768b9p-4, 0x1.0ba6ba2fbbe72p-4, 0x1.067a5df5d7e1bp-4, 0x1.0161616d988a3p-4, 0x1.f8b741cc95d7ap-5, 0x1.eed1ee7554322p-5, 0x1.e5127fc2867f1p-5, 0x1.db78aaa0ec55bp-5, 0x1.d204230aeb4aap-5, 0x1.c8b49c4c09685p-5, 0x1.bf89ba0e760b4p-5, 0x1.b6835a04e1775p-5, 0x1.ada1010469907p-5, 0x1.a4e26dfed5fa2p-5, 0x1.9c475095962a5p-5, 0x1.93cf5822e4371p-5, 0x1.8b7a30ffec8a3p-5, 0x1.83478b1586fe2p-5, 0x1.7b371318e7176p-5, 0x1.7348758bda73fp-5, 0x1.6b7b5dd883c6ap-5, 0x1.63cf7971f9a84p-5, 0x1.5c44720bb7a66p-5, 0x1.54d9f7765cb69p-5, 0x1.4d8fa859e2a54p-5, 0x1.46653aa0c9f1dp-5, 0x1.3f5a5457a619dp-5, 0x1.386e9edc88488p-5, 0x1.31a1c3b774fc8p-5, 0x1.2af36c8565f85p-5, 0x1.246340a4ceedfp-5, 0x1.1df0e9ad8614cp-5, 0x1.179c104828c72p-5, 0x1.11645c9bd38c1p-5, 0x1.0b4976bede6c1p-5, 0x1.054b072301101p-5, 0x1.fed16b10221a5p-6, 0x1.f34454a8e0c8fp-6, 0x1.e7ee1b25a0609p-6, 0x1.dcce0a7ed9047p-6, 0x1.d1e377e2bc30fp-6, 0x1.c72db18c809ccp-6, 0x1.bcac080931686p-6, 0x1.b25dcb74d0ab5p-6, 0x1.a8424cb93c583p-6, 0x1.9e58ba3ee2454p-6, 0x1.94a0ccfa9c7cep-6, 0x1.8b196eaf8b89ep-6, 0x1.81c214904102bp-6, 0x1.789a111459048p-6, 0x1.6fa0b75964192p-6, 0x1.66d55b66425fep-6, 0x1.5e374fa912d4bp-6, 0x1.55c5ec063379bp-6, 0x1.4d808535cb583p-6, 0x1.45666fce8b7c9p-6, 0x1.3d7704a404caap-6, 0x1.35b1abf48a0f1p-6, 0x1.2e158c56faabbp-6, 0x1.26a231d3bc4c1p-6, 0x1.1f56e6748a988p-6, 0x1.18330c4a24345p-6, 0x1.1135ec091ed5ep-6, 0x1.0a5ef661776d3p-6, 0x1.03ad72ff462e4p-6, 0x1.fa41f954a0f0cp-7, 0x1.ed716be64236p-7, 0x1.e0e82fb747963p-7, 0x1.d4a50b8af4cd5p-7, 0x1.c8a6c9a21ee5bp-7, 0x1.bcec36c6ae093p-7, 0x1.b1742372d1504p-7, 0x1.a63d61f66144fp-7, 0x1.9b46c666d9638p-7, 0x1.908f2f5267aafp-7, 0x1.8615c2ba7e55ep-7, 0x1.7bd8707da810cp-7, 0x1.71d70c0addd61p-7, 0x1.68102af252b59p-7, 0x1.5e82b5aff803cp-7, 0x1.552d9865c3da3p-7, 0x1.4c0fc2a2e147fp-7, 0x1.432827668d475p-7, 0x1.3a75bd2cc3de2p-7, 0x1.31f77e3ce2146p-7, 0x1.29ac7379c24ap-7, 0x1.21937b8e3bb37p-7, 0x1.19abbc9d55ea6p-7, 0x1.11f43161aa83p-7, 0x1.0a6bea325165dp-7, 0x1.0311f44f00e58p-7, 0x1.f7cac5105d365p-8, 0x1.e9ca969739509p-8, 0x1.dc2191a1bbdddp-8, 0x1.cecdf9231d673p-8, 0x1.c1cdf6ba6d442p-8, 0x1.b51fe83877bfap-8, 0x1.a8c21c68ddd4dp-8, 0x1.9cb2e40d40668p-8, 0x1.90f0a15a9b963p-8, 0x1.8579bd45fcbcp-8, 0x1.7a4c8aad5b627p-8, 0x1.6f67a009e9f62p-8, 0x1.64c95f00148c3p-8, 0x1.5a70493d9846ap-8, 0x1.505ae81c674fbp-8, 0x1.4687c6ae75e1cp-8, 0x1.3cf5774fa98c2p-8, 0x1.33a293ee57b02p-8, 0x1.2a8db81dcdba4p-8, 0x1.21b57ed54d99p-8, 0x1.1918bac6c3f7fp-8, 0x1.10b5f4138b1b2p-8, 0x1.088bf0017f03fp-8, 0x1.0099704051cdp-8, 0x1.f1ba5aacea42ap-9, 0x1.e2abd48455c09p-9, 0x1.d405203d4d38fp-9, 0x1.c5c35d428a6d2p-9, 0x1.b7e55e77aabb7p-9, 0x1.aa67aa787921fp-9, 0x1.9d48bea866884p-9, 0x1.90860f902cdp-9, 0x1.841db2c3f78cfp-9, 0x1.780d71018434ep-9, 0x1.6c534266fbd61p-9, 0x1.60ed26b218b0ap-9, 0x1.55d91fa8d839p-9, 0x1.4b1509e2a51e8p-9, 0x1.409f89556da13p-9, 0x1.3676354fb242bp-9, 0x1.2c976550a118dp-9, 0x1.23012b0c77f09p-9, 0x1.19b221b70f664p-9, 0x1.10a82e30a11c6p-9, 0x1.07e1c4e9dc917p-9, 0x1.feba2929ed502p-10, 0x1.ee28f00399f93p-10, 0x1.de1e18894f3d6p-10, 0x1.ce8c86ed6af26p-10, 0x1.bf739ecfbdc76p-10, 0x1.b0cda5458c17ap-10, 0x1.a298a0429e9cep-10, 0x1.94d19a00c663bp-10, 0x1.8775c27481e86p-10, 0x1.7a8248808501bp-10, 0x1.6df4708eb9339p-10, 0x1.61c98f6f061b1p-10, 0x1.55ff052eac34ep-10, 0x1.4a924558b1d96p-10, 0x1.3f80be4e45e8ep-10, 0x1.34c7ffd5f898dp-10, 0x1.2a65a68994eb2p-10, 0x1.20576f278f371p-10, 0x1.169b1ba484f12p-10, 0x1.0d2d7b0cbeb32p-10, 0x1.040d83b240292p-10, 0x1.f67130866ebb2p-11, 0x1.e559487d58305p-11, 0x1.d4cf214efbfecp-11, 0x1.c4ceb02956d61p-11, 0x1.b5540569d4671p-11, 0x1.a65b4936d8618p-11, 0x1.97e087dda1738p-11, 0x1.89e047fa3e9c5p-11, 0x1.7c56dc97fc6e3p-11, 0x1.6f40c11273e56p-11, 0x1.629a7e478ffe3p-11, 0x1.5660d882b730bp-11, 0x1.4a906a96c52d2p-11, 0x1.3f261391bea2cp-11, 0x1.341eb53ea0a8p-11, 0x1.29774996baaf4p-11, 0x1.1f2c49ec8ff5ap-11, 0x1.154074847c296p-11, 0x1.0ba3836fab70ep-11, 0x1.025f0591abdd8p-11, 0x1.f2d91585208bep-12, 0x1.e1929c76911a4p-12, 0x1.d0e581495a9abp-12, 0x1.c0cd304be067bp-12, 0x1.b144f755730cfp-12, 0x1.a247e2500ba06p-12, 0x1.93d18b1a780d8p-12, 0x1.85dd8b78d06f2p-12, 0x1.78676751a1551p-12, 0x1.6b6b3bdd94a07p-12, 0x1.5ee4f0d032c9dp-12, 0x1.52d052a295a1ap-12, 0x1.472ab1305874ep-12, 0x1.3bee01aea39a7p-12, 0x1.3118d92e6eeb2p-12, 0x1.26a6eaba25bbcp-12, 0x1.1c94d5af8de96p-12, 0x1.12df500db1a83p-12, 0x1.098301f8a3c2bp-12, 0x1.007e7f876a46fp-12, 0x1.ef94e9d46aa63p-13, 0x1.ded0643efe886p-13, 0x1.cea6c1afe0ddep-13, 0x1.bf141c6d47821p-13, 0x1.b00ea5f34c5f5p-13, 0x1.a19585089cf39p-13, 0x1.93a3336f4a788p-13, 0x1.86313df6e402p-13, 0x1.793b8e608ec81p-13, 0x1.6cbe1bc7e8ae8p-13, 0x1.60b43616e2872p-13, 0x1.5519937f86e72p-13, 0x1.49ea11dcd57p-13, 0x1.3f21b7c6c02efp-13, 0x1.34bca7a26aad7p-13, 0x1.2ab7257cac5c2p-13, 0x1.210d925396cf7p-13, 0x1.17bc39881d263p-13, 0x1.0ec44a4b9bf67p-13, 0x1.06163961d83f8p-13, 0x1.fb7583ce412d1p-14, 0x1.eb55c2573c7cp-14, 0x1.dbc76b7d32cd9p-14, 0x1.ccc50d482732ep-14, 0x1.be531b351223cp-14, 0x1.b04e392a60814p-14, 0x1.a2cd85d9224c2p-14, 0x1.95c4df63bed8p-14, 0x1.892e8857c548ep-14, 0x1.7d059e1ba6f09p-14, 0x1.7146208b4277dp-14, 0x1.65ebd490b7b31p-14, 0x1.5af905a604c27p-14, 0x1.5055b1c161cc4p-14, 0x1.4611efbda0f8cp-14, 0x1.3c23ec5645397p-14, 0x1.3287e5a66004ap-14, 0x1.293c58489c68bp-14, 0x1.2038fe2cfbf75p-14, 0x1.177fbed6c912p-14, 0x1.0f0b82545af4cp-14, 0x1.06d98af3694fep-14, 0x1.fdceb34c665dcp-15, 0x1.ee644ee7c4939p-15, 0x1.df6eca83dabf1p-15, 0x1.d0e9419eb2333p-15, 0x1.c2cf0369710bcp-15, 0x1.b51b92105d5eap-15, 0x1.a7cabe0aed846p-15, 0x1.9add99ebc6897p-15, 0x1.8e3fe467863b1p-15, 0x1.81fe1b7ee32c4p-15, 0x1.760f2084321c8p-15, 0x1.6a8915b3847aep-15, 0x1.5f275fd7d778fp-15, 0x1.5415d015419bcp-15, 0x1.4933a87423574p-15, 0x1.3ecf992766fc9p-15, 0x1.348eae546877cp-15, 0x1.2a90a5d5b749bp-15, 0x1.20c40ef931588p-15, 0x1.17366df39a551p-15, 0x1.0dde4a890a053p-15, 0x1.04bac9c6d5c16p-15, 0x1.f794ea251e0e9p-16, 0x1.e624471bf7446p-16, 0x1.d4ee8bcf55316p-16, 0x1.c42129ceaada8p-16, 0x1.b3aa9d6d6aa44p-16, 0x1.a38948edc55f1p-16, 0x1.93b70b30a63bap-16, 0x1.84259277cfcddp-16, 0x1.74f7525b2d5fcp-16, 0x1.6602d8b6d1ee5p-16, 0x1.57549c13f65e7p-16, 0x1.48e95a813fefdp-16, 0x1.3ac0b86e94985p-16, 0x1.2cca5872bc2fdp-16, 0x1.1f23cd568ff44p-16, 0x1.11b0bf67f58d9p-16, 0x1.04762e919a063p-16, 0x1.eee6965eb8333p-17, 0x1.d54c7f48cb513p-17, 0x1.bc134d8a137ffp-17, 0x1.a35255a6e5fa7p-17, 0x1.8aeef75420392p-17, 0x1.72e97f3896f67p-17, 0x1.5bb5173ad579cp-17, 0x1.4401ef6d80234p-17, 0x1.2d1c536d0568ep-17, 0x1.16932b44b33fcp-17, 0x1.0054303cb32d2p-17, 0x1.d4e9568ab4125p-18, 0x1.a9d9cba24756ap-18, 0x1.7f69a4844a652p-18, 0x1.559f83022d80ap-18, 0x1.2c7adea1bbce9p-18, 0x1.03ff0cf3f5971p-18, 0x1.b9bff0ae55c41p-19, 0x1.69af1dd558eedp-19, 0x1.1c48bfc6a1747p-19, 0x1.a05178eb08c35p-20, 0x1.0a8df20cc5121p-20, 0x1.e0946452d710bp-22, -0x1.a15765687290ep-24, -0x1.51e52dcd08d0cp-21, -0x1.356d5173963f7p-20, -0x1.bf97d23d446fdp-20, -0x1.23bac640fa8cdp-19, -0x1.66815519e688fp-19, -0x1.a846386bc512cp-19, -0x1.e8b340d4bf525p-19, -0x1.13ef260860b23p-18, -0x1.32f2694e6f2d2p-18, -0x1.51c6c285207c6p-18, -0x1.6fb8e8dcc1a7cp-18, -0x1.8d42359cd402cp-18, -0x1.aa2cbc70e9aep-18, -0x1.c6c9fb0fc2141p-18, -0x1.e2557c4480cf3p-18, -0x1.fd962b9d1123ep-18, -0x1.0c25b610e3323p-17, -0x1.1939ca43f81f5p-17, -0x1.2608063148416p-17, -0x1.329379b3d42fep-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.0b98f6b3d46dp-1, -0x1.0f80780572decp-1, -0x1.1330efb643a4cp-1, -0x1.16a95db420b8p-1, -0x1.19e8117bc5706p-1, -0x1.1cebeba70b83dp-1, -0x1.1fb54374b19b7p-1, -0x1.22451ac260f41p-1, -0x1.249be8f463e35p-1, -0x1.26b97367b081cp-1, -0x1.289d9e6d2aa19p-1, -0x1.2a4935a5fab2ap-1, -0x1.2bbdf874428d4p-1, -0x1.2cfe054d6c914p-1, -0x1.2e0b30cd6e7bp-1, -0x1.2ee6bb8d6fa28p-1, -0x1.2f917a7b2c18cp-1, -0x1.300c3d53b9ca5p-1, -0x1.30582b98aa553p-1, -0x1.3076ed5448641p-1, -0x1.306a97af55d18p-1, -0x1.3037adc3b1494p-1, -0x1.2fdd46c1fbf0ep-1, -0x1.2f5cf292fdb3ap-1, -0x1.2eb82a23bdeffp-1, -0x1.2df08d9e11dc9p-1, -0x1.2d07dcfaeea67p-1, -0x1.2bffe1cf714c9p-1, -0x1.2ada55454b0cp-1, -0x1.2998cffa33347p-1, -0x1.283cbfd80d0fap-1, -0x1.26c770a53c5a9p-1, -0x1.253a1442b1f6bp-1, -0x1.2395cfc6f4b2bp-1, -0x1.21dbc774e7d45p-1, -0x1.200d26e841f1fp-1, -0x1.1e2b24f88169ep-1, -0x1.1c36fecfe460dp-1, -0x1.1a31f3c61042fp-1, -0x1.181d3ccbe4912p-1, -0x1.15fa060c8f16cp-1, -0x1.13c969f4bba44p-1, -0x1.118c6dfc648c2p-1, -0x1.0f4401491843bp-1, -0x1.0cf0fe6509619p-1, -0x1.0a942ca9e78efp-1, -0x1.082e465ff9ad3p-1, -0x1.05bffca346924p-1, -0x1.0349fb51c98f1p-1, -0x1.00cceb240f335p-1, -0x1.fc92e451eb0eep-2, -0x1.f78066ad1eee5p-2, -0x1.f2639bbb0ee3cp-2, -0x1.ed3db96256501p-2, -0x1.e80fee2e756c8p-2, -0x1.e2db612c9e929p-2, -0x1.dda1328387c5cp-2, -0x1.d8627a75613ap-2, -0x1.d3204719c5501p-2, -0x1.cddb992acc42fp-2, -0x1.c89560580ae08p-2, -0x1.c34e783c52968p-2, -0x1.be07a6c133797p-2, -0x1.b8c5ac9d4bd6cp-2, -0x1.b38051d4435fep-2, -0x1.ae3ca750b7178p-2, -0x1.a8fb45e4b2617p-2, -0x1.a3bcbe35d0287p-2, -0x1.9e819967a54a5p-2, -0x1.994a59a3a443p-2, -0x1.94177adbe1d3ep-2, -0x1.8ee9735c78cd7p-2, -0x1.89c0b4705d5b9p-2, -0x1.849daa898eb12p-2, -0x1.7f80bd35c3d67p-2, -0x1.7a6a4ec82ad48p-2, -0x1.755abbf44ff64p-2, -0x1.70525b6703c97p-2, -0x1.6b517d1754431p-2, -0x1.66586afa56be6p-2, -0x1.6167686089d6ep-2, -0x1.5c7eb2c835af6p-2, -0x1.579e826b3f946p-2, -0x1.52c70aec1ee0ap-2, -0x1.4df87c2e8926bp-2, -0x1.493303068aa46p-2, -0x1.4476c9d0e5dabp-2, -0x1.3fc3f8e54d492p-2, -0x1.3b1ab6c86f60ap-2, -0x1.367b28597f18ep-2, -0x1.31e5708fa1117p-2, -0x1.2d59b0947a827p-2, -0x1.28d80773cb423p-2, -0x1.246091d33d9e6p-2, -0x1.1ff36a0c61867p-2, -0x1.1b90a7ff649d5p-2, -0x1.17386125edf5ap-2, -0x1.12eaa8ced3eb8p-2, -0x1.0ea78fb24a714p-2, -0x1.0a6f254a2d3b6p-2, -0x1.064176ec345c7p-2, -0x1.021e9080e8d3cp-2, -0x1.fc0cf92d85652p-3, -0x1.f3f288fed6d8dp-3, -0x1.ebede0b6ac299p-3, -0x1.e3ff0df1ba246p-3, -0x1.dc261e04fbbe4p-3, -0x1.d46316e178a7p-3, -0x1.ccb6014367b6bp-3, -0x1.c51ee06613fa5p-3, -0x1.bd9db51149d88p-3, -0x1.b6327d2ba1251p-3, -0x1.aedd33bc93ee8p-3, -0x1.a79dd0f75e743p-3, -0x1.a0744a646671bp-3, -0x1.996093210c1a2p-3, -0x1.92629bf1d4972p-3, -0x1.8b7a5440d3d2fp-3, -0x1.84a7a93d8b8e9p-3, -0x1.7dea874af7addp-3, -0x1.7742d9bc26eb9p-3, -0x1.70b08b2e53f75p-3, -0x1.6a3385c6fbff4p-3, -0x1.63cbb41d88852p-3, -0x1.5d78fd40d5fap-3, -0x1.573b4e3cdd338p-3, -0x1.51128b091f6b4p-3, -0x1.4afea0a6a3e8ap-3, -0x1.44ff759fd14b3p-3, -0x1.3f14f1a38d93ep-3, -0x1.393efb90230bap-3, -0x1.337d7965ed23p-3, -0x1.2dd05023d0685p-3, -0x1.283763aae8cap-3, -0x1.22b29649fc5cap-3, -0x1.1d41ca69195f2p-3, -0x1.17e4e06e8ee19p-3, -0x1.129bb328dd14cp-3, -0x1.0d66242afa9b8p-3, -0x1.08440e1d9cd41p-3, -0x1.03354be419018p-3, -0x1.fc736e98c85dp-4, -0x1.f2a251458f4dbp-4, -0x1.e8f6f04630869p-4, -0x1.df70f8d5a74fap-4, -0x1.d6101911f2ba5p-4, -0x1.ccd3fb164df48p-4, -0x1.c3c17a6290c65p-4, -0x1.bacdcbfbf79ep-4, -0x1.b1fde55517e44p-4, -0x1.a951727c4e1a2p-4, -0x1.a0c820bf69c9ep-4, -0x1.986199cbabc5cp-4, -0x1.901d883ecb469p-4, -0x1.87fb979684d0cp-4, -0x1.7ffb6ff9b2989p-4, -0x1.781cbb21fa307p-4, -0x1.705f21f093a1cp-4, -0x1.68c24c8f154c3p-4, -0x1.6145e3013708ap-4, -0x1.59e98d8b0de19p-4, -0x1.52aced16d27ebp-4, -0x1.4b8fbc73ed197p-4, -0x1.44918f715acf9p-4, -0x1.3db218c4ec367p-4, -0x1.36f0ef53e625p-4, -0x1.304dca353861bp-4, -0x1.29c8495568bf3p-4, -0x1.23601623f67dcp-4, -0x1.1d14d4c6c58cbp-4, -0x1.16e62f110952dp-4, -0x1.10d3c3ede3665p-4, -0x1.0add4196846dp-4, -0x1.05024c3b26babp-4, -0x1.fe8514b4c30c9p-5, -0x1.f33b44630f57bp-5, -0x1.e8267ab3846c1p-5, -0x1.dd4600df76795p-5, -0x1.d299276d25d04p-5, -0x1.c81f3ded9747cp-5, -0x1.bdd7945df7003p-5, -0x1.b3c17b6af222fp-5, -0x1.a9dc4527f0944p-5, -0x1.a02741f5f461ep-5, -0x1.96a1c6598cb88p-5, -0x1.8d4b2617a3541p-5, -0x1.8422b5f1640a2p-5, -0x1.7b27cbdc80eb6p-5, -0x1.7259b0472cb52p-5, -0x1.69b7e652d72fep-5, -0x1.61419c3050d68p-5, -0x1.58f63a8e2c97bp-5, -0x1.50d51d173398p-5, -0x1.48dda06846252p-5, -0x1.410f218c813b2p-5, -0x1.396901149068ep-5, -0x1.31ea9f3413117p-5, -0x1.2a935d52d0e16p-5, -0x1.23629e56d376bp-5, -0x1.1c57c78c8bf2cp-5, -0x1.15723dd1268c4p-5, -0x1.0eb16a182f1eep-5, -0x1.0814b09a125f9p-5, -0x1.019b7f4a88a54p-5, -0x1.f68a8030315c3p-6, -0x1.ea22be6967b1fp-6, -0x1.ddfe95e72f405p-6, -0x1.d21ce71a96183p-6, -0x1.c67c8ebc60d02p-6, -0x1.bb1c743389309p-6, -0x1.affb7f6728953p-6, -0x1.a51899c1782bep-6, -0x1.9a72b01c4fee4p-6, -0x1.9008b2681728cp-6, -0x1.85d993676007dp-6, -0x1.7be4495ec6389p-6, -0x1.7227ccf6e3c93p-6, -0x1.68a315f0dee4p-6, -0x1.5f5527c89315ap-6, -0x1.563d0240d95ebp-6, -0x1.4d59a91dc059cp-6, -0x1.44aa24614d21ap-6, -0x1.3c2d7e28f1252p-6, -0x1.33e2aeba96a8fp-6, -0x1.2bc9052cf992bp-6, -0x1.23df561fdf2e5p-6, -0x1.1c24cb995e383p-6, -0x1.14987fe4e135ap-6, -0x1.0d398ec7138dp-6, -0x1.06071756872bcp-6, -0x1.fe00764b4df41p-7, -0x1.f0483cc5b8f4dp-7, -0x1.e2e3da632d3b4p-7, -0x1.d5d198324414cp-7, -0x1.c90fd97015e55p-7, -0x1.bc9cfe0ec06c6p-7, -0x1.b0776bc74fc6p-7, -0x1.a49d912b45fdfp-7, -0x1.990ddfe64034ap-7, -0x1.8dc6cbce1ada7p-7, -0x1.82c6e1057b0dfp-7, -0x1.780c9821d4f21p-7, -0x1.6d964a77f31b9p-7, -0x1.63631a312dd03p-7, -0x1.59710b45a642p-7, -0x1.4fbeea5c112fp-7, -0x1.464b56d4a836bp-7, -0x1.3d14f6a80f364p-7, -0x1.341a74589ea6bp-7, -0x1.2b5a825b83086p-7, -0x1.22d3d6b022c92p-7, -0x1.1a852c3f983efp-7, -0x1.126d48d6017cp-7, -0x1.0a8b1f78a4a2cp-7, -0x1.02dcecf544a06p-7, -0x1.f6c428fc9242p-8, -0x1.e8327a60b8b52p-8, -0x1.da0285c442ad2p-8, -0x1.cc32102939e29p-8, -0x1.bebee73e84622p-8, -0x1.b1a6e37c94b66p-8, -0x1.a4e7e7b0b506ap-8, -0x1.987fe0f9deb19p-8, -0x1.8c6cca38bd957p-8, -0x1.80ac9d3471f4ep-8, -0x1.753d6a8698787p-8, -0x1.6a1d398addad7p-8, -0x1.5f4a3b691963cp-8, -0x1.54c2907c6383ap-8, -0x1.4a8469f164b93p-8, -0x1.408e026374254p-8, -0x1.36dd9d63a6cep-8, -0x1.2d7183430456fp-8, -0x1.24481c1aef0dap-8, -0x1.1b5fad96a8aebp-8, -0x1.12b6acf34f152p-8, -0x1.0a4b872a36a7cp-8, -0x1.021cb4dc79c3ep-8, -0x1.f451751679e12p-9, -0x1.e4dc783c25db4p-9, -0x1.d5d6b7b2eaabfp-9, -0x1.c73e58305744ap-9, -0x1.b9103c3318d6bp-9, -0x1.ab49bc1457899p-9, -0x1.9de83179ee78p-9, -0x1.90e90ef81ffc6p-9, -0x1.8449cc4a39d6ap-9, -0x1.7807f87134ee1p-9, -0x1.6c210e9b03dcdp-9, -0x1.6092f71be226fp-9, -0x1.555b241d873ap-9, -0x1.4a776bf228024p-9, -0x1.3fe59d5e0334p-9, -0x1.35a38df1b30e3p-9, -0x1.2baf1e5a8f437p-9, -0x1.220658a3249c8p-9, -0x1.18a6bddc1fc02p-9, -0x1.0f8f962d2008dp-9, -0x1.06bdc62f81b1p-9, -0x1.fc5f778f901d9p-10, -0x1.ebc78163e183ep-10, -0x1.dbb0180a6dac4p-10, -0x1.cc15a94c9f213p-10, -0x1.bcf4caa11de03p-10, -0x1.ae4a3f2b06fafp-10, -0x1.a012b194b586p-10, -0x1.924b698271fbdp-10, -0x1.84f024c11c385p-10, -0x1.77ff01f0339fap-10, -0x1.6b74aebd94a2cp-10, -0x1.5f4de2df7cfa5p-10, -0x1.538903eec5c3cp-10, -0x1.482222a3f45a6p-10, -0x1.3d1700a5b2bf8p-10, -0x1.3264e09a3028fp-10, -0x1.2807556bfddedp-10, -0x1.1dffc0a246f24p-10, -0x1.144a618d9625fp-10, -0x1.0ae4493ff40e2p-10, -0x1.01cb22a77ceaep-10, -0x1.f1f9676c390e5p-11, -0x1.e0ed9192806e3p-11, -0x1.d06e85f34ec82p-11, -0x1.c07816342c8c7p-11, -0x1.b1063453779a8p-11, -0x1.a214ecedbc2ddp-11, -0x1.93a0658b3408fp-11, -0x1.85a4ee1119089p-11, -0x1.781eb399ad493p-11, -0x1.6b0a3ae1afd6dp-11, -0x1.5e641bbbf18dep-11, -0x1.52291488126cap-11, -0x1.46536a5efb0d2p-11, -0x1.3ae622bf824a9p-11, -0x1.2fd844d62d164p-11, -0x1.2528b149aba7fp-11, -0x1.1ad4692a9b1bcp-11, -0x1.10d891d5d5231p-11, -0x1.07325f1bac8d3p-11, -0x1.fbbe3b167328p-12, -0x1.e9b85a9c90f05p-12, -0x1.d84da0092d38ap-12, -0x1.c7797753a40cdp-12, -0x1.b736df3c77f7dp-12, -0x1.a7811c91faff4p-12, -0x1.9853629e0a78bp-12, -0x1.89a9f9dad1a08p-12, -0x1.7b7fbf048d298p-12, -0x1.6dd0dc3f2c5fdp-12, -0x1.60994299c27f7p-12, -0x1.53d4dd15f8bbfp-12, -0x1.477eefbec1eddp-12, -0x1.3b97c1ffdb1cap-12, -0x1.30152bebe8b82p-12, -0x1.24f88b0c3dc89p-12, -0x1.1a3d4c2b8c8b3p-12, -0x1.0fdfba7851febp-12, -0x1.05dc8fff23d69p-12, -0x1.f8625af5ace7ap-13, -0x1.e5b56a788a5cdp-13, -0x1.d3ab9e1cc1c18p-13, -0x1.c23fa305fb3bdp-13, -0x1.b16c0b662cdf4p-13, -0x1.a12b703ee102bp-13, -0x1.9178e7dbf6949p-13, -0x1.824f8d286fcd5p-13, -0x1.73a9d124e3dc8p-13, -0x1.65861cc0e9573p-13, -0x1.57da4cec110e8p-13, -0x1.4aa70d22e8ed4p-13, -0x1.3de65721e4663p-13, -0x1.31944016b1676p-13, -0x1.25ac9d0e96203p-13, -0x1.1a2cf9070c33bp-13, -0x1.0f121bb2b9f9p-13, -0x1.045275ee7747fp-13, -0x1.f3e3adbcb7e57p-14, -0x1.dfd471f564501p-14, -0x1.cc7399f15c5c2p-14, -0x1.b9b3b1961a9ebp-14, -0x1.a795f216c8299p-14, -0x1.96133061a1a16p-14, -0x1.8524b0245c25cp-14, -0x1.74c515eb5f2ecp-14, -0x1.64ef58f7f1796p-14, -0x1.559f772f169c3p-14, -0x1.46d0282a7ff22p-14, -0x1.387cd88582adfp-14, -0x1.2aa10d33c57edp-14, -0x1.1d38880a7bc1ep-14, -0x1.103f2c9279fep-14, -0x1.03b0f8f299b2ep-14, -0x1.ef12575016adap-15, -0x1.d7af3b32b6eb1p-15, -0x1.c0c8aeda40d18p-15, -0x1.aabd223974435p-15, -0x1.95644a924abe7p-15, -0x1.80b840a0ad1fep-15, -0x1.6cb3636efc8bfp-15, -0x1.595a4f0b51126p-15, -0x1.4687b0d266774p-15, -0x1.34522516ca954p-15, -0x1.22aff83a727d4p-15, -0x1.1199865d0e8c9p-15, -0x1.0108833db410dp-15, -0x1.e1f5cfb731257p-16, -0x1.c2d56777ca64p-16, -0x1.a48c75f6a6379p-16, -0x1.8768ce0f6fe7bp-16, -0x1.6b0cca1cdd7a3p-16, -0x1.4f8b25fb4ea04p-16, -0x1.34dddabd41299p-16, -0x1.1b0687c12ace5p-16, -0x1.01e7c690faad6p-16, -0x1.d322a897a5a34p-17, -0x1.a3e9d9bacfe1ep-17, -0x1.761a47d525423p-17, -0x1.49a919e51ace4p-17, -0x1.1e8b595622c5ap-17, -0x1.e96d510070c2cp-18, -0x1.98423235d6a0bp-18, -0x1.49824d5e56a3ap-18, -0x1.fa36e67a28896p-19, -0x1.65fafd4a1e3e7p-19, -0x1.ad3ded33ca2e3p-20, -0x1.2a923efd6019ap-21, 0x1.e5a85a25d7a9dp-22, 0x1.7ffe5af0ff942p-20, 0x1.3e199d19893a4p-19, 0x1.bb44180dc1efp-19, 0x1.193d107a9932cp-18, 0x1.53557eaffd8c4p-18, 0x1.8b8907a3de004p-18, 0x1.c2120eb39afcap-18, 0x1.f68fa0768cddap-18, 0x1.150ecc5372847p-17, 0x1.2dda699765459p-17, 0x1.45d3c5efd325dp-17, 0x1.5d10467eb5865p-17, 0x1.7389b2d388304p-17, 0x1.8930a32aad5ap-17, 0x1.9e4a40c98a76p-17, 0x1.b2abf3185935p-17, 0x1.c6525f16b2768p-17, 0x1.d94abab03dcep-17, 0x1.eb9b49d5182efp-17, 0x1.fd586d626eb1dp-17, 0x1.0727b2f9b5612p-16, 0x1.0f5de81c74321p-16, 0x1.17458f9be30c5p-16, 0x1.1ee0d2eb1a481p-16, 0x1.26256f450b96ap-16, 0x1.2d3b5d6940d38p-16, 0x1.33f6335e9de74p-16, 0x1.3a6d2962ddf69p-16, 0x1.409ed3db4998p-16, 0x1.468bd18841ca9p-16, 0x1.4c3572b9c8f11p-16, 0x1.519dc3e9a4551p-16, 0x1.56c40f6c53585p-16, 0x1.5ba8c52092755p-16, 0x1.60501ac8e584cp-16, 0x1.647f9cdba381fp-16, 0x1.68e5b4af40f46p-16, 0x1.6cd12361ba5ep-16, 0x1.706ee62662b45p-16, 0x1.7402bf85e8a1ep-16, 0x1.77426c77f913cp-16, 0x1.7a4a2d310423p-16, 0x1.7d1bbf00c8485p-16, 0x1.7fb4a2ae0b15ap-16, 0x1.8218a401e218cp-16, 0x1.844656d04ed25p-16, 0x1.8625b21578f4p-16, 0x1.8807480833f54p-16, 0x1.899c950a5c819p-16, 0x1.8afedbf97fbbp-16, 0x1.8c30c6b4e81p-16, 0x1.8d3e89c769de4p-16, 0x1.8e01ab4f79f5p-16, 0x1.8ea26197b1bfdp-16, 0x1.8f15aa01d3e0bp-16, 0x1.8f5b77f7e93d5p-16, 0x1.8f745ce88135ep-16, 0x1.8f6079b222546p-16, 0x1.8f2686a27cb4bp-16, 0x1.8eb8d1be0836p-16, 0x1.8e21b3a9d870fp-16, 0x1.8d608f084ee8dp-16, 0x1.8c8509cbe9e9p-16, 0x1.8b7b93c838bcap-16, 0x1.8a431305b2961p-16, 0x1.88ec821ab9635p-16, 0x1.876ec8631163cp-16, 0x1.85c1fb1825a7dp-16, 0x1.83f7725f01fbbp-16, 0x1.820924d6aed62p-16, 0x1.7ff79507b1805p-16, 0x1.7dc3a539e789p-16, 0x1.7b6fbf91ba9e5p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.10910f830fab7p-2, -0x1.1c7a3f99c471fp-2, -0x1.28294fe4203bp-2, -0x1.339cb252de49p-2, -0x1.3ed2f51ea7fd6p-2, -0x1.49cac2442bc41p-2, -0x1.5482def818ff6p-2, -0x1.5efa2b1456ae9p-2, -0x1.692fa07f98d6ep-2, -0x1.732252905192dp-2, -0x1.7cd16d6be127fp-2, -0x1.863c3562c00e5p-2, -0x1.8f62064a5427cp-2, -0x1.984252d4fa5ddp-2, -0x1.a0dca3e8d5caap-2, -0x1.a93097f5cc36bp-2, -0x1.b13de24b21646p-2, -0x1.b9044a6d07cd8p-2, -0x1.c083ab6a7f38dp-2, -0x1.c7bbf333c4025p-2, -0x1.cead21f1a0019p-2, -0x1.d557495dcc1e2p-2, -0x1.dbba8c1ca5dc1p-2, -0x1.e1d71d1863898p-2, -0x1.e7ad3eddfc456p-2, -0x1.ed3d42fbe7ee9p-2, -0x1.f2878962df72dp-2, -0x1.f78c7fc8bfcbp-2, -0x1.fc4ca10db1822p-2, -0x1.00643a51d59a6p-1, -0x1.028046fc37222p-1, -0x1.047ac5f1088adp-1, -0x1.06540c07151bdp-1, -0x1.080c7339d9369p-1, -0x1.09a45a63d4855p-1, -0x1.0b1c24fa4495ap-1, -0x1.0c743aca4d252p-1, -0x1.0dad07b7959b4p-1, -0x1.0ec6fb7c5a95cp-1, -0x1.0fc2896afb3afp-1, -0x1.10a0283102c1dp-1, -0x1.1160519bafba5p-1, -0x1.1203825df9867p-1, -0x1.128a39d815fe9p-1, -0x1.12f4f9e07db6fp-1, -0x1.1344468e6e3dep-1, -0x1.1378a605e938dp-1, -0x1.1392a0452f0e2p-1, -0x1.1392bef3b15fep-1, -0x1.13798d327e6f6p-1, -0x1.1347976e1c9efp-1, -0x1.12fd6b31d95e3p-1, -0x1.129b96fc8324ap-1, -0x1.1222aa168dd33p-1, -0x1.119334699a399p-1, -0x1.10edc65961693p-1, -0x1.1032f09df8d6dp-1, -0x1.0f63441f7296bp-1, -0x1.0e7f51d2ccbadp-1, -0x1.0d87aa9831948p-1, -0x1.0c7cdf1a807f8p-1, -0x1.0b5f7fb01a5e9p-1, -0x1.0a301c3ced64ap-1, -0x1.08ef4415ba72fp-1, -0x1.079d85e48e53bp-1, -0x1.063b6f8e6b4d7p-1, -0x1.04c98e1a18b85p-1, -0x1.03486d981a205p-1, -0x1.01b8990bc1db8p-1, -0x1.001a9a555d522p-1, -0x1.fcddf43ae76e4p-2, -0x1.f96c7f8224b39p-2, -0x1.f5e1e27e3f813p-2, -0x1.f23f264d647f4p-2, -0x1.ee85510cc04cp-2, -0x1.eab565b911b2ap-2, -0x1.e6d064111a63dp-2, -0x1.e2d74879e726bp-2, -0x1.decb0be4e16fcp-2, -0x1.daaca3b7a4349p-2, -0x1.d67d01b57e709p-2, -0x1.d23d13eaa5fd3p-2, -0x1.cdedc49902fe8p-2, -0x1.c98ffa268fee4p-2, -0x1.c524970d41f5dp-2, -0x1.c0ac79cc6cd4ap-2, -0x1.bc287cdb9917bp-2, -0x1.b799769ec0c2p-2, -0x1.b300395be999fp-2, -0x1.ae5d93320f08bp-2, -0x1.a9b24e115412p-2, -0x1.a4ff2fb471842p-2, -0x1.a044f99b56b2ap-2, -0x1.9b846906f22fp-2, -0x1.96be36f6169dap-2, -0x1.91f3182376612p-2, -0x1.8d23bd04a5659p-2, -0x1.8850d1ca1df6cp-2, -0x1.837afe603b70ap-2, -0x1.7ea2e671203b2p-2, -0x1.79c9296780e9ap-2, -0x1.74ee6272497edp-2, -0x1.7013288913284p-2, -0x1.6b380e7162168p-2, -0x1.665da2c4a5ba1p-2, -0x1.61846ff6e9cd5p-2, -0x1.5cacfc5e3d729p-2, -0x1.57d7ca3ab8a71p-2, -0x1.530557bf24e07p-2, -0x1.4e361f1a3a518p-2, -0x1.496a968067b95p-2, -0x1.44a3303626eeap-2, -0x1.3fe05a9ac90cp-2, -0x1.3b228033bf839p-2, -0x1.366a07b85244dp-2, -0x1.31b7541dbf706p-2, -0x1.2d0ac4a3bfc26p-2, -0x1.2864b4e16282fp-2, -0x1.23c57cd241dc6p-2, -0x1.1f2d70e40429ap-2, -0x1.1a9ce2042726dp-2, -0x1.16141dae0d8bap-2, -0x1.11936df946b35p-2, -0x1.0d1b19a811a44p-2, -0x1.08ab64360e45ap-2, -0x1.04448de71c524p-2, -0x1.ffcda7acc2e07p-3, -0x1.f724e00adfa7fp-3, -0x1.ee8f32d7191b9p-3, -0x1.e60d080a17aa2p-3, -0x1.dd9ec1c585c07p-3, -0x1.d544bc731242dp-3, -0x1.ccff4ee38903bp-3, -0x1.c4ceca6dfcd27p-3, -0x1.bcb37b0ef1895p-3, -0x1.b4ada7878ee83p-3, -0x1.acbd917cc63cap-3, -0x1.a4e3759669f7cp-3, -0x1.9d1f8b9e3027cp-3, -0x1.9572069e9a8d7p-3, -0x1.8ddb1501bd459p-3, -0x1.865ae0afdb394p-3, -0x1.7ef18f2ddaf95p-3, -0x1.779f41bb842f7p-3, -0x1.706415718848p-3, -0x1.6940235f51fp-3, -0x1.623380a88e341p-3, -0x1.5b3e3ea278edfp-3, -0x1.54606af0d764cp-3, -0x1.4d9a0fa2b2b6bp-3, -0x1.46eb334eb4248p-3, -0x1.4053d92f3cc13p-3, -0x1.39d4013e1a9d3p-3, -0x1.336ba84fed056p-3, -0x1.2d1ac82f29c25p-3, -0x1.26e157b6c3584p-3, -0x1.20bf4aec72ebp-3, -0x1.1ab4931a96d25p-3, -0x1.14c11ee9b7755p-3, -0x1.0ee4da799b8f6p-3, -0x1.091faf79fbb2fp-3, -0x1.03718542ca7c6p-3, -0x1.fbb481d8185c1p-4, -0x1.f0b38aca9cd69p-4, -0x1.e5dfe719499dbp-4, -0x1.db39548a87bb6p-4, -0x1.d0bf8d1b4fbd1p-4, -0x1.c672472a9634p-4, -0x1.bc5135a3e3587p-4, -0x1.b25c082905f9fp-4, -0x1.a8926b3adffa5p-4, -0x1.9ef4086161702p-4, -0x1.958086529beb3p-4, -0x1.8c378918eca1p-4, -0x1.8318b2385a2cep-4, -0x1.7a23a0d30558bp-4, -0x1.7157f1ccc1ddcp-4, -0x1.68b53fedd0f4bp-4, -0x1.603b2404c058bp-4, -0x1.57e935076e722p-4, -0x1.4fbf0833361eap-4, -0x1.47bc312c42f8p-4, -0x1.3fe0421c0fafcp-4, -0x1.382acbcf109afp-4, -0x1.309b5dd18cb84p-4, -0x1.2931868ba6c5ap-4, -0x1.21ecd35c98276p-4, -0x1.1accd0b521539p-4, -0x1.13d10a3130a12p-4, -0x1.0cf90ab0c35b8p-4, -0x1.06445c7001462p-4, -0x1.ff65123d31188p-5, -0x1.f28633ecb3de6p-5, -0x1.e5eb2fa231162p-5, -0x1.d993167ba33p-5, -0x1.cd7cf92a38a98p-5, -0x1.c1a7e819cf772p-5, -0x1.b612f3970dc62p-5, -0x1.aabd2bf41f1f3p-5, -0x1.9fa5a1ac1cf2bp-5, -0x1.94cb65852723p-5, -0x1.8a2d88b134fd7p-5, -0x1.7fcb1ced9fb06p-5, -0x1.75a334a174ab7p-5, -0x1.6bb4e2fa8c658p-5, -0x1.61ff3c0972e63p-5, -0x1.588154dc264d2p-5, -0x1.4f3a4397af8e8p-5, -0x1.46291f909f9ap-5, -0x1.3d4d0162719f8p-5, -0x1.34a50305ddb4ap-5, -0x1.2c303fe620c71p-5, -0x1.23edd4f53d07fp-5, -0x1.1bdce0bf3c4e3p-5, -0x1.13fc837c7a6ccp-5, -0x1.0c4bdf22fb00bp-5, -0x1.04ca1776d2cfp-5, -0x1.faeca433533cdp-6, -0x1.ec9f6d32b7e4ap-6, -0x1.deaadcfb82703p-6, -0x1.d10d4aab375d7p-6, -0x1.c3c5118570bbdp-6, -0x1.b6d0910a8fd14p-6, -0x1.aa2e2d0cdda46p-6, -0x1.9ddc4dc4352b1p-6, -0x1.91d95fe035b32p-6, -0x1.8623d4991087p-6, -0x1.7aba21bef76dcp-6, -0x1.6f9ac1c83b82cp-6, -0x1.64c433de209d9p-6, -0x1.5a34fbe874c54p-6, -0x1.4feba297f2b81p-6, -0x1.45e6b56f7ce75p-6, -0x1.3c24c6cc351efp-6, -0x1.32a46dec81094p-6, -0x1.296446f5fe5ebp-6, -0x1.2062f2fa763d6p-6, -0x1.179f17fbd3e09p-6, -0x1.0f1760ef2b631p-6, -0x1.06ca7dbed62e2p-6, -0x1.fd6e46975ddbbp-7, -0x1.edb816daf204cp-7, -0x1.de6fe9e4e40acp-7, -0x1.cf93473c44fffp-7, -0x1.c11fc04ed8d19p-7, -0x1.b312f06bbce84p-7, -0x1.a56a7cbcbd021p-7, -0x1.9824143e499e1p-7, -0x1.8b3d6fb62d852p-7, -0x1.7eb451a9178e7p-7, -0x1.7286864ef1944p-7, -0x1.66b1e38624f94p-7, -0x1.5b3448c5d0f62p-7, -0x1.500b9f0eff5afp-7, -0x1.4535d8dceb2f1p-7, -0x1.3ab0f2145c49cp-7, -0x1.307aeff228e9bp-7, -0x1.2691e0f8e9ae8p-7, -0x1.1cf3dcdde7d6p-7, -0x1.139f047552f79p-7, -0x1.0a91819dc95bcp-7, -0x1.01c9872b3b1acp-7, -0x1.f28aa1a2663d3p-8, -0x1.e20646192401fp-8, -0x1.d20296197fa89p-8, -0x1.c27c3d38c397cp-8, -0x1.b36ff81337d8bp-8, -0x1.a4da941bcac28p-8, -0x1.96b8ef6af5be6p-8, -0x1.8907f88ce9ad5p-8, -0x1.7bc4ae4f14f47p-8, -0x1.6eec1f8d12f19p-8, -0x1.627b6afd1064ap-8, -0x1.566fbefbb75f3p-8, -0x1.4ac65957acde1p-8, -0x1.3f7c871caf3f9p-8, -0x1.348fa45e61b03p-8, -0x1.29fd1c02d1818p-8, -0x1.1fc2678cc13cfp-8, -0x1.15dd0ee5c1e43p-8, -0x1.0c4aa8282cf39p-8, -0x1.0308d768ff258p-8, -0x1.f42a9d0353499p-9, -0x1.e2db99b3b0879p-9, -0x1.d2203e6280dcp-9, -0x1.c1f43ed2f3569p-9, -0x1.b253689fd9dfdp-9, -0x1.a339a2cfc3853p-9, -0x1.94a2ed696354fp-9, -0x1.868b61084e7bcp-9, -0x1.78ef2e722708cp-9, -0x1.6bca9e2c3ce9cp-9, -0x1.5f1a1011b0f1bp-9, -0x1.52d9faea2a3d7p-9, -0x1.4706ec012938ep-9, -0x1.3b9d86bdff055p-9, -0x1.309a843c7bd57p-9, -0x1.25fab2e6567f5p-9, -0x1.1bbaf60d5ac72p-9, -0x1.11d845866b549p-9, -0x1.084fad4556343p-9, -0x1.fe3c99f3162d1p-10, -0x1.ec82af577bfeep-10, -0x1.db6c26b8e2aa2p-10, -0x1.caf3b146f6041p-10, -0x1.bb1424a105f5cp-10, -0x1.abc87a19097p-10, -0x1.9d0bcdf8a86aap-10, -0x1.8ed95ec86a331p-10, -0x1.812c8c98f8485p-10, -0x1.7400d84e90c94p-10, -0x1.6751e2eea6353p-10, -0x1.5b1b6cefbd618p-10, -0x1.4f59558b82e3fp-10, -0x1.44079a1328d4p-10, -0x1.3922554608632p-10, -0x1.2ea5beaa982f3p-10, -0x1.248e29e9ac0c7p-10, -0x1.1ad8062c0cea8p-10, -0x1.117fdd7a66939p-10, -0x1.0882541f92074p-10, -0x1.ffb8501a63b82p-11, -0x1.ef1460856962dp-11, -0x1.df12b86d599e5p-11, -0x1.cfad66850f831p-11, -0x1.c0dea8214594fp-11, -0x1.b2a0e819735c4p-11, -0x1.a4eebdad64e32p-11, -0x1.97c2eb6f82dbdp-11, -0x1.8b185e33ccca1p-11, -0x1.7eea2c037dcp-11, -0x1.7333931559e39p-11, -0x1.67eff8ca9c9ebp-11, -0x1.5d1ae8b082fbap-11, -0x1.52b013866c50ap-11, -0x1.48ab4e4888747p-11, -0x1.3f08913f0d2c6p-11, -0x1.35c3f711ea0c6p-11, -0x1.2cd9bbe0f3cdbp-11, -0x1.24463c607c13ep-11, -0x1.1c05f4fa4cd77p-11, -0x1.141580f3007bbp-11, -0x1.0c719993a7b28p-11, -0x1.05171557b800dp-11, -0x1.fc05ce3e64e5bp-12, -0x1.ee643ac9fc74p-12, -0x1.e143c2f2cc2bep-12, -0x1.d49eed815ff65p-12, -0x1.c87073eb83cf3p-12, -0x1.bcb340e196acbp-12, -0x1.b1626ee3c1b6fp-12, -0x1.a67946df05db1p-12, -0x1.9bf33ed2060c4p-12, -0x1.91cbf8796ce0ap-12, -0x1.87ff4003dc6c2p-12, -0x1.7e890acd4c6d2p-12, -0x1.75657621b82bfp-12, -0x1.6c90c6070994ap-12, -0x1.6407640e1f52ap-12, -0x1.5bc5de2adccfbp-12, -0x1.53c8e5931ce8ap-12, -0x1.4c0d4da47a47dp-12, -0x1.44900ad0c9d1fp-12, -0x1.3d4e31912d78dp-12, -0x1.3644f55fa8efap-12, -0x1.2f71a7b718bbp-12, -0x1.28d1b71974a3cp-12, -0x1.2262ae1c3eed8p-12, -0x1.1c22327b0b25ep-12, -0x1.160e042ffac58p-12, -0x1.1023fc921d2bap-12, -0x1.0a620d799214dp-12, -0x1.04c6406957206p-12, -0x1.fe9d6b7d4f403p-13, -0x1.f3f347cba2d96p-13, -0x1.e98aad28cea58p-13, -0x1.df605c116edaep-13, -0x1.d5713c9cd4d1ep-13, -0x1.cbba5d1066b6p-13, -0x1.c238f07cefbfap-13, -0x1.b8ea4d65af6cap-13, -0x1.afcbec70ec443p-13, -0x1.a6db6721f1d59p-13, -0x1.9e16769c2545ap-13, -0x1.957af26f26836p-13, -0x1.8d06cf6bb6148p-13, -0x1.84b81e813270ep-13, -0x1.7c8d0ba38d666p-13, -0x1.7483dcb97b5eep-13, -0x1.6c9af092b6b3ap-13, -0x1.64d0bde62f6ccp-13, -0x1.5d23d257e85f8p-13, -0x1.5592d1866fa7cp-13, -0x1.4e1c741fb623bp-13, -0x1.46bf86fd1ab5ap-13, -0x1.3f7aea468aabcp-13, -0x1.384d909c86aaep-13, -0x1.31367e48e0df9p-13, -0x1.2a34c8761408ap-13, -0x1.2347946d02b86p-13, -0x1.1c6e16d902decp-13, -0x1.15a793120079ap-13, -0x1.0ef35a6ca1cc6p-13, -0x1.0850cb9037fa1p-13, -0x1.01bf51d26ae5dp-13, -0x1.f67cc930c464ep-14, -0x1.e99b0d7ac1257p-14, -0x1.dcd88bfd4a8f3p-14, -0x1.d03474d8c9eb4p-14, -0x1.c3ae0bbfac6f8p-14, -0x1.b744a6ec175b2p-14, -0x1.aaf7ae1f370aap-14, -0x1.9ec699a9c2bp-14, -0x1.92b0f17d80a06p-14, -0x1.86b64c4792499p-14, -0x1.7ad64e934556bp-14, -0x1.6f10a9f531a0dp-14, -0x1.63651c3e68a7ep-14, -0x1.57d36eb77f73bp-14, -0x1.4c5b756337989p-14, -0x1.40fd0e4895793p-14, -0x1.35b820c428afep-14, -0x1.2a8c9ce056b35p-14, -0x1.1f7a7ab471ac8p-14, -0x1.1481b9ca69c5p-14, -0x1.09a2608ae707fp-14, -0x1.fdb8f75f39a04p-15, -0x1.e8603b774c41bp-15, -0x1.d33abcf37938ep-15, -0x1.be48b5003d028p-15, -0x1.a98a6573e9ab1p-15, -0x1.950017ec21bd4p-15, -0x1.80aa1cf5a8c89p-15, -0x1.6c88cb3e3af4cp-15, -0x1.589c7ed017b07p-15, -0x1.44e59856f0371p-15, -0x1.31647c6defb61p-15, -0x1.1e1992f68f3e8p-15, -0x1.0b054677ea933p-15, -0x1.f050070ca7102p-16, -0x1.cb047065ac3f4p-16, -0x1.a628a704dedeep-16, -0x1.81bd89d962cadp-16, -0x1.5dc3f7c3218dfp-16, -0x1.3a3cceac48424p-16, -0x1.1728eab01cf85p-16, -0x1.e9124a9d6dd53p-17, -0x1.a4bca95a5c3f2p-17, -0x1.615295c38019ep-17, -0x1.1ed5aa970be2ap-17, -0x1.ba8eefd51b6fcp-18, -0x1.3953040c19a8cp-18, -0x1.73f5014ee2dfdp-19, -0x1.e441c63764137p-21, 0x1.f808efe82f663p-21, 0x1.713dda82d9eadp-19, 0x1.304ebf63aabe9p-18, 0x1.a60e40ea887bcp-18, 0x1.0ceda0e76cd25p-17, 0x1.45d9db52798ebp-17, 0x1.7dcadcd428f52p-17, 0x1.b4bfc5d552b05p-17, 0x1.eab7ca73c0fa5p-17, 0x1.0fd9196f731c7p-16, 0x1.29d72dd40d70cp-16, 0x1.4355db036b656p-16, 0x1.5c54e408be7a9p-16, 0x1.74d41675a2c99p-16, 0x1.8cd34a73daa5cp-16, 0x1.a45262d21bca7p-16, 0x1.bb514d0c1da4dp-16, 0x1.d1d0014e300fbp-16, 0x1.e7ce82748dab4p-16, 0x1.fd4cde069acfp-16, 0x1.092596172c372p-15, 0x1.1364c7d61550cp-15, 0x1.1d641ae398c3cp-15, 0x1.2723ab1d32056p-15, 0x1.30a3998f48a6cp-15, 0x1.39e40c68c3b58p-15, 0x1.42e52eed3c074p-15, 0x1.4ba73165ea9f5p-15, 0x1.542a491162ac5p-15, 0x1.5c6eb0122b4a7p-15, 0x1.6474a55c4fbdep-15, 0x1.6c3c6ca1f2c1p-15, 0x1.73c64e3efb3cep-15, 0x1.7b129723e98e4p-15, 0x1.822198bfe4785p-15, 0x1.88f3a8ea1081ep-15, 0x1.8f8921ca3e58dp-15, 0x1.95e261c0ff5dep-15, 0x1.9bffcb4f2f7a2p-15, 0x1.a1e1c4fd00db2p-15, 0x1.a788b9409578cp-15, 0x1.acf5166435866p-15, 0x1.b2274e6c2b763p-15, 0x1.b71fd6fc550b3p-15, 0x1.bbdf293d6e864p-15, 0x1.c065c1c228dc8p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.be0c537120675p-1, 0x1.bd3bf80e72539p-1, 0x1.bc5c4b7d2d965p-1, 0x1.bb6cfed840468p-1, 0x1.ba6dcbd605a6ep-1, 0x1.b95e74c495737p-1, 0x1.b83ec47a05825p-1, 0x1.b70e8e3a5a5e5p-1, 0x1.b5cdad94b6dbp-1, 0x1.b47c063924527p-1, 0x1.b31983c82221ep-1, 0x1.b1a6199d0bc24p-1, 0x1.b021c2943e23dp-1, 0x1.ae8c80cdc9789p-1, 0x1.ace65d6d677cap-1, 0x1.ab2f685850627p-1, 0x1.a967b7f17d8bdp-1, 0x1.a78f68d4cdbaap-1, 0x1.a5a69d917b4ffp-1, 0x1.a3ad7e643a5d2p-1, 0x1.a1a438f15410ep-1, 0x1.9f8affff02939p-1, 0x1.9d620b304a732p-1, 0x1.9b2996c086d77p-1, 0x1.98e1e33fd3d03p-1, 0x1.968b35507fdc2p-1, 0x1.9425d565a2919p-1, 0x1.91b20f82f6884p-1, 0x1.8f3032fe0eb58p-1, 0x1.8ca09240f5f66p-1, 0x1.8a03828e4fa62p-1, 0x1.87595bc70164p-1, 0x1.84a2783171e8fp-1, 0x1.81df34426465fp-1, 0x1.7f0fee6777059p-1, 0x1.7c3506d347a2fp-1, 0x1.794edf4b423c9p-1, 0x1.765ddaf7167e4p-1, 0x1.73625e31da8b4p-1, 0x1.705cce5cd1228p-1, 0x1.6d4d91b3d74b9p-1, 0x1.6a350f23740bdp-1, 0x1.6713ae208353ap-1, 0x1.63e9d6817beafp-1, 0x1.60b7f0594758bp-1, 0x1.5d7e63d3a727ap-1, 0x1.5a3d991321d0bp-1, 0x1.56f5f8106f5f7p-1, 0x1.53a7e87b60c35p-1, 0x1.5053d19d365d1p-1, 0x1.4cfa1a3c65583p-1, 0x1.499b2881bb527p-1, 0x1.463761dee132bp-1, 0x1.42cf2af62e728p-1, 0x1.3f62e783c8e67p-1, 0x1.3bf2fa48071e8p-1, 0x1.387fc4f30de5ep-1, 0x1.3509a8119f6c4p-1, 0x1.319102fb1743p-1, 0x1.2e1633c086a4dp-1, 0x1.2a99971ceb50dp-1, 0x1.271b88667a272p-1, 0x1.239c6180f0fefp-1, 0x1.201c7ad0edbabp-1, 0x1.1c9c2b303c884p-1, 0x1.191bc7e31b194p-1, 0x1.159ba48e63dbp-1, 0x1.121c132e9d705p-1, 0x1.0e9d640fe569dp-1, 0x1.0b1fe5c6ad705p-1, 0x1.07a3e529460abp-1, 0x1.0429ad4a2dfc5p-1, 0x1.00b187731e884p-1, 0x1.fa7776419f867p-2, 0x1.f3911bfed8c36p-2, 0x1.ecb087cf5b7e2p-2, 0x1.e5d63db9353e5p-2, 0x1.df02be13c5e56p-2, 0x1.d83685859c1fdp-2, 0x1.d1720d03764fp-2, 0x1.cab5c9d0509cp-2, 0x1.c4022d7e78b9bp-2, 0x1.bd57a5f19f6aep-2, 0x1.b6b69d61d2b11p-2, 0x1.b01f7a5f5dfefp-2, 0x1.a9929fd7833efp-2, 0x1.a3106d19fbf4fp-2, 0x1.9c993ddf435ecp-2, 0x1.962d6a4f94045p-2, 0x1.8fcd470a94539p-2, 0x1.8979252fab3d1p-2, 0x1.83315266e9e91p-2, 0x1.7cf618ea8d27bp-2, 0x1.76c7bf910494fp-2, 0x1.70a689d77b7a5p-2, 0x1.6a92b7ecd78efp-2, 0x1.648c86bd29a03p-2, 0x1.5e942ffd86765p-2, 0x1.58a9ea383ba45p-2, 0x1.52cde8d962058p-2, 0x1.4d005c3bbf652p-2, 0x1.474171b5f0472p-2, 0x1.419153a7db939p-2, 0x1.3bf029885c5afp-2, 0x1.365e17f327db2p-2, 0x1.30db40b6e141bp-2, 0x1.2b67c2e35a4abp-2, 0x1.2603bad7f8d0ap-2, 0x1.20af42523b25dp-2, 0x1.1b6a707c59e58p-2, 0x1.163559fbfc3d7p-2, 0x1.1110110101541p-2, 0x1.0bfaa55450b7fp-2, 0x1.06f52466b800dp-2, 0x1.01ff995fca337p-2, 0x1.fa341a597902cp-3, 0x1.f0890d1e87d45p-3, 0x1.e6fe1458cd185p-3, 0x1.dd93353688529p-3, 0x1.d44870e79ccc2p-3, 0x1.cb1dc4bae0a4bp-3, 0x1.c2132a3b452f8p-3, 0x1.b928974cc3811p-3, 0x1.b05dfe49286ffp-3, 0x1.a7b34e1c8faa1p-3, 0x1.9f287261b2ce6p-3, 0x1.96bd537de95c7p-3, 0x1.8e71d6bce94f7p-3, 0x1.8645de6c30a3ep-3, 0x1.7e3949f62ce4cp-3, 0x1.764bf5fd057c8p-3, 0x1.6e7dbc751436cp-3, 0x1.66ce74bf032a2p-3, 0x1.5f3df3c18e44ep-3, 0x1.57cc0c02e4f99p-3, 0x1.50788dc1adcd7p-3, 0x1.4943470da21b5p-3, 0x1.422c03dfc914cp-3, 0x1.3b328e3246926p-3, 0x1.3456ae17c4bc2p-3, 0x1.2d9829d271806p-3, 0x1.26f6c5ea8e181p-3, 0x1.207245449b24ap-3, 0x1.1a0a693707062p-3, 0x1.13bef19f7fd4dp-3, 0x1.0d8f9cf7c5cfcp-3, 0x1.077c286a1a667p-3, 0x1.01844fe537a15p-3, 0x1.f74f9c5fb16cap-4, 0x1.ebccb9f7ae999p-4, 0x1.e07f69f19cfbep-4, 0x1.d5671bccaa512p-4, 0x1.ca833d4b8d993p-4, 0x1.bfd33a972ed39p-4, 0x1.b5567e607f263p-4, 0x1.ab0c720165481p-4, 0x1.a0f47d9cd50e3p-4, 0x1.970e083e075fdp-4, 0x1.8d5877f6d8065p-4, 0x1.83d331fd4d90dp-4, 0x1.7a7d9ac8479aap-4, 0x1.7157162b596f2p-4, 0x1.685f0771d165ep-4, 0x1.5f94d178ef999p-4, 0x1.56f7d6c94d629p-4, 0x1.4e8779af79a15p-4, 0x1.46431c53cb132p-4, 0x1.3e2a20d169bfap-4, 0x1.363be94c96e31p-4, 0x1.2e77d8082fd03p-4, 0x1.26dd4f7a73871p-4, 0x1.1f6bb2610b2eap-4, 0x1.182263d459d62p-4, 0x1.1100c75a14604p-4, 0x1.0a0640f727385p-4, 0x1.03323540ea59cp-4, 0x1.f90812db51df8p-5, 0x1.ebf646c8fb921p-5, 0x1.df2dd39912658p-5, 0x1.d2ad8837039edp-5, 0x1.c674354749fap-5, 0x1.ba80ad42149e1p-5, 0x1.aed1c48cb4ed2p-5, 0x1.a3665191e1f75p-5, 0x1.983d2cd8d0286p-5, 0x1.8d55311b29809p-5, 0x1.82ad3b59e875p-5, 0x1.78442af11ef79p-5, 0x1.6e18e1aaae397p-5, 0x1.642a43cff68bap-5, 0x1.5a77383a83f06p-5, 0x1.50fea863c0833p-5, 0x1.47bf8073b1ff3p-5, 0x1.3eb8af4ec4d9ap-5, 0x1.35e926a2b24f5p-5, 0x1.2d4fdaf280576p-5, 0x1.24ebc3a1a8255p-5, 0x1.1cbbdafe61783p-5, 0x1.14bf1e4b22e65p-5, 0x1.0cf48dc7512a1p-5, 0x1.055b2cb72e53dp-5, 0x1.fbe402d60eef3p-6, 0x1.ed702a8b5292cp-6, 0x1.df58e98441ddp-6, 0x1.d19c5ef19b2e4p-6, 0x1.c438b04797575p-6, 0x1.b72c094573d08p-6, 0x1.aa749bfbc480bp-6, 0x1.9e10a0d1914d5p-6, 0x1.91fe56884e3a1p-6, 0x1.863c023eb5d68p-6, 0x1.7ac7ef7290874p-6, 0x1.6fa07001711cap-6, 0x1.64c3dc2874151p-6, 0x1.5a309283072dap-6, 0x1.4fe4f808c4816p-6, 0x1.45df780a6b12ep-6, 0x1.3c1e842df843dp-6, 0x1.32a09469f53afp-6, 0x1.296426fff4b38p-6, 0x1.2067c07656528p-6, 0x1.17a9eb914a95p-6, 0x1.0f29394b2b0afp-6, 0x1.06e440cc2576bp-6, 0x1.fdb33ec292998p-7, 0x1.ee0ff0e5f4c5bp-7, 0x1.dedbeaf59fb38p-7, 0x1.d0148bf1d234bp-7, 0x1.c1b73ed17d0f8p-7, 0x1.b3c17a6aeb47ep-7, 0x1.a630c15b7586dp-7, 0x1.9902a1ee63ce5p-7, 0x1.8c34b602e9c72p-7, 0x1.7fc4a2f169479p-7, 0x1.73b0196ff13b6p-7, 0x1.67f4d57613a7ep-7, 0x1.5c909e200bc53p-7, 0x1.518145915b929p-7, 0x1.46c4a8d6c7b69p-7, 0x1.3c58afc7dcba3p-7, 0x1.323b4ce7f4563p-7, 0x1.286a7d46ca4d7p-7, 0x1.1ee44860ab1a2p-7, 0x1.15a6bffe432fap-7, 0x1.0cb000141b0f7p-7, 0x1.03fe2ea1c4d59p-7, 0x1.f71ef7218e201p-8, 0x1.e6c4412695026p-8, 0x1.d6e8c20528778p-8, 0x1.c789137aa44b3p-8, 0x1.b8a1e20b85359p-8, 0x1.aa2fecbf7884ap-8, 0x1.9c3004dd3f4c2p-8, 0x1.8e9f0da66cfe8p-8, 0x1.8179fc130e188p-8, 0x1.74bdd68d489bbp-8, 0x1.6867b4acf9b8bp-8, 0x1.5c74bef363cbep-8, 0x1.50e22e86efc74p-8, 0x1.45ad4cef12a2ap-8, 0x1.3ad373d05d955p-8, 0x1.30520ca8c189bp-8, 0x1.2626908c119e2p-8, 0x1.1c4e87e0cc045p-8, 0x1.12c78a1d2fffcp-8, 0x1.098f3d84aadefp-8, 0x1.00a356e5a2af2p-8, 0x1.f00332af4d19ep-9, 0x1.df4fabf411959p-9, 0x1.cf27d765d98ep-9, 0x1.bf878ddd97141p-9, 0x1.b06ac2c0f05e1p-9, 0x1.a1cd83834afdap-9, 0x1.93abf727e9cd6p-9, 0x1.86025dc526998p-9, 0x1.78cd1008ce43p-9, 0x1.6c087ebdaa111p-9, 0x1.5fb132523b40bp-9, 0x1.53c3ca60b6562p-9, 0x1.483cfd383d9f8p-9, 0x1.3d19976766badp-9, 0x1.32567b480fa14p-9, 0x1.27f0a08c86975p-9, 0x1.1de513ce0fb4ap-9, 0x1.1430f61cc3829p-9, 0x1.0ad17c90d7045p-9, 0x1.01c3efdd44b7ep-9, 0x1.f20b57c7c702bp-10, 0x1.e1283e95cce06p-10, 0x1.d0d99627a141bp-10, 0x1.c11a8467b172dp-10, 0x1.b1e6525b8345p-10, 0x1.a3386b5a4c78ep-10, 0x1.950c5c467fe36p-10, 0x1.875dd2ca41aa7p-10, 0x1.7a289c96d91fp-10, 0x1.6d68a6a7052dbp-10, 0x1.6119fc8450acbp-10, 0x1.5538c78f54833p-10, 0x1.49c14e4ae689dp-10, 0x1.3eaff3aa42a73p-10, 0x1.3401366219e45p-10, 0x1.29b1b03c961bap-10, 0x1.1fbe1570415f9p-10, 0x1.162333f9d7d9bp-10, 0x1.0cddf2f8ffa1ep-10, 0x1.03eb520fdf1edp-10, 0x1.f690d18b22f9ap-11, 0x1.e5e4cbd6e0ab2p-11, 0x1.d5cd1e0a6b612p-11, 0x1.c6447f67d464ep-11, 0x1.b745d2473b23dp-11, 0x1.a8cc22f7c79b4p-11, 0x1.9ad2a6a620504p-11, 0x1.8d54ba48537e6p-11, 0x1.804de18f2347p-11, 0x1.73b9c5dcac196p-11, 0x1.6794354054a89p-11, 0x1.5bd92177fca1ep-11, 0x1.50849ef65a5e7p-11, 0x1.4592e3ee7abc5p-11, 0x1.3b00476454076p-11, 0x1.30c940425d4f4p-11, 0x1.26ea64741b4e2p-11, 0x1.1d60680593c9cp-11, 0x1.14281c4796fe7p-11, 0x1.0b3e6ef8d2783p-11, 0x1.02a06973982eep-11, 0x1.f4965fc0a06e1p-12, 0x1.e47800d901855p-12, 0x1.d4e0650cb95ecp-12, 0x1.c5ca6c3995ca1p-12, 0x1.b73125c7a5db9p-12, 0x1.a90fcf3ac13p-12, 0x1.9b61d2cc98c8fp-12, 0x1.8e22c60f36efbp-12, 0x1.814e6897c0a2cp-12, 0x1.74e0a2b166fc5p-12, 0x1.68d584185a2fcp-12, 0x1.5d2942bca471cp-12, 0x1.51d8398cc9ab1p-12, 0x1.46dee7480779ep-12, 0x1.3c39ed581cbecp-12, 0x1.31e60eb26de9fp-12, 0x1.27e02ec06cd3p-12, 0x1.1e25504f1f2b7p-12, 0x1.14b29485a4ec5p-12, 0x1.0b8539e29ec66p-12, 0x1.029a9b405172cp-12, 0x1.f3e05dbed4d7p-13, 0x1.e3070af083243p-13, 0x1.d2a492a4f97afp-13, 0x1.c2b47ac5e5ec1p-13, 0x1.b33278df5fb1bp-13, 0x1.a41a7073f66b9p-13, 0x1.9568715c89dedp-13, 0x1.8718b633a95e3p-13, 0x1.7927a2cc45b67p-13, 0x1.6b91c2b37a2c7p-13, 0x1.5e53c7bd29e64p-13, 0x1.516a889b411a7p-13, 0x1.44d2ff7f5be04p-13, 0x1.388a48c698fb7p-13, 0x1.2c8da1af637e2p-13, 0x1.20da6718fa82fp-13, 0x1.156e144c800dap-13, 0x1.0a4641cf581ffp-13, 0x1.fec1487d4ebf7p-14, 0x1.e97616676483p-14, 0x1.d4a6c061f32bdp-14, 0x1.c04f4b2f93712p-14, 0x1.ac6beb4c4bb5ep-14, 0x1.98f902f98b1f3p-14, 0x1.85f32059ff7e5p-14, 0x1.7356fb9ce43bap-14, 0x1.612175386394ap-14, 0x1.4f4f9432b18bap-14, 0x1.3dde847983f07p-14, 0x1.2ccb95478b46ap-14, 0x1.1c14379795e38p-14, 0x1.0bb5fca50249bp-14, 0x1.f75d28f25b135p-15, 0x1.d7f7990b1085ap-15, 0x1.b9371c93f90bdp-15, 0x1.9b17bc0eae454p-15, 0x1.7d95b2fabf0dep-15, 0x1.60ad6d68a6dc8p-15, 0x1.445b85a2eb56cp-15, 0x1.289cc1ecca971p-15, 0x1.0d6e1255e723ap-15, 0x1.e5991d44b5fd8p-16, 0x1.b16ae88d4c075p-16, 0x1.7e4c48edce2fdp-16, 0x1.4c384491b67c4p-16, 0x1.1b2a21d02e378p-16, 0x1.d63ac76fdae2p-17, 0x1.781b8d7b12927p-17, 0x1.1bee7b16588bap-17, 0x1.8357b7c30e26p-18, 0x1.a5316f9d64b48p-19, 0x1.2c901f9e5d48p-21, -0x1.079356d64c87bp-19, -0x1.2986fd8aaa70ap-18, -0x1.cbb2033417a45p-18, -0x1.352b201f9bbp-17, -0x1.82bf5a558b9cbp-17, -0x1.ce9af2a8ab002p-17, -0x1.0c61790dbf6f6p-16, -0x1.309e161f9204p-16, -0x1.5405a17effce2p-16, -0x1.769a551cf283fp-16, -0x1.985e559f82dbfp-16, -0x1.b953b406965fdp-16, -0x1.d97c6f3c48f43p-16, -0x1.f8da7591d91bep-16, -0x1.0bb7d314db773p-15, -0x1.1a9ee927afe7fp-15, -0x1.29235f5ed25c6p-15, -0x1.37461269fc11fp-15, -0x1.4507d9ddad1dap-15, -0x1.526988bdbd4b5p-15, -0x1.5f6bee004c3aep-15, -0x1.6c0fd5095ee84p-15, -0x1.7856061f64fe3p-15, -0x1.843f46d8f253cp-15, -0x1.8fcc5a83e4ca4p-15, -0x1.9afe02863de0bp-15, -0x1.a5d4feb8e6c12p-15, -0x1.b0520dbc9ee95p-15, -0x1.ba75ed494e5b6p-15, -0x1.c4415a77f1be1p-15, -0x1.cdb512075a116p-15, -0x1.d6d1d09bf718dp-15, -0x1.df9852fad7b5p-15, -0x1.e80956401ff47p-15, -0x1.f0259811176fep-15, -0x1.f7edd6ca0b0a2p-15, -0x1.ff62d1a8289f4p-15, -0x1.0342a477c38a1p-14, -0x1.06aaff06bf395p-14, -0x1.09ead9dbc255p-14, -0x1.0d02970355e4ap-14, -0x1.0ff29947fa10ep-14, -0x1.12bb443cc81d7p-14, -0x1.155cfc46a2e91p-14, -0x1.17d826a4048b7p-14, -0x1.1a2d29737f0bp-14, -0x1.1c5c6bb8fb564p-14, -0x1.1e665561cc1e4p-14, -0x1.204b4f479febcp-14, -0x1.220bc33265595p-14, -0x1.23a81bd92cf9cp-14, -0x1.2520c4e218979p-14, -0x1.26762ae16663ep-14, -0x1.27a8bb57a25a4p-14, -0x1.28b8e4af0e6c6p-14, -0x1.29a716384b00ep-14, -0x1.2a73c0264bd7fp-14, -0x1.2b1f5389a67b9p-14, -0x1.2baa424b439acp-14, -0x1.2c14ff267e791p-14, -0x1.2c5ffda2bc8a7p-14, -0x1.2c8bb20c87ae3p-14, -0x1.2c98916e33511p-14, -0x1.2c87118817192p-14, -0x1.2c57a8c865961p-14, -0x1.2c0ace42aa7efp-14, -0x1.2ba0f9a6f52abp-14, -0x1.2b1aa338b9899p-14, -0x1.2a7843c56decdp-14, -0x1.29ba549aeca34p-14, -0x1.28e14f7da09fcp-14, -0x1.27edae9e8376cp-14, -0x1.26dfec90f2d4bp-14, -0x1.25b8844063e71p-14, -0x1.2477f0e5f9692p-14, -0x1.231eadfe02a1ep-14, -0x1.21ad373d68e7dp-14, -0x1.202408870e32p-14, -0x1.1e839de124cfep-14, -0x1.1ccc736a82cecp-14, -0x1.1aff054ff3c02p-14, -0x1.191bcfc19210ep-14, -0x1.17234ee824571p-14, -0x1.1515feda8a79cp-14, -0x1.12f45b933604ap-14, -0x1.10bee0e5b8477p-14, -0x1.0e760a746278cp-14, -0x1.0c1a53a601f3dp-14, -0x1.09ac379bb3846p-14, -0x1.072c3126d7209p-14, -0x1.049ababf229ddp-14, -0x1.01f84e78d5ba5p-14, -0x1.fe8acbf628516p-15, -0x1.f904f4ecc912ep-15, -0x1.f3600936aec5bp-15, -0x1.ed9cf922b24cdp-15, -0x1.e7bcb3db5a923p-15, -0x1.e1c0275531d49p-15, -0x1.dba8403d71ca4p-15, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      34, 0x1.cp+1, 0x1.19690dfbb2669p+1, 0x1.12deb65210b92p+1, -0x1.3f80ab33d3762p-3, 
      {{
        {0x1.3333333333333p+0, 0x1.3d70a3d70a3d7p+0, 0x1.d3137b07075b4p-2, -0x1.5885dd8f235e4p+0, 0x1.7ab851eb851f9p+0, 0x1.f68f53aac9c2ap-3}, 
        {0x1.3d70a3d70a3d7p+0, 0x1.47ae147ae147bp+0, 0x1.9e646f1561911p-2, -0x1.39ec7c965b76ep+0, 0x1.8242266000782p+0, -0x1.3a19944abe0b9p+0}, 
        {0x1.47ae147ae147bp+0, 0x1.51eb851eb851fp+0, 0x1.6e8e60807357ep-2, -0x1.1c87e172c6042p+0, 0x1.5c91001997be8p+0, -0x1.8cd73294c0c1p-1}, 
        {0x1.51eb851eb851fp+0, 0x1.5c28f5c28f5c3p+0, 0x1.43361565c2d28p-2, -0x1.01990f3b6cec9p+0, 0x1.44c1874e1b8ap+0, -0x1.b0700d1785a4ep-1}, 
        {0x1.5c28f5c28f5c3p+0, 0x1.6666666666666p+0, 0x1.1c04c8bc9cd3ep-2, -0x1.d14f7e6ef8e63p-1, 0x1.2acf49146051cp+0, -0x1.8168990d2b64ap-1}, 
        {0x1.6666666666666p+0, 0x1.70a3d70a3d70ap+0, 0x1.f15054ac29bf1p-3, -0x1.a359d6993daa5p-1, 0x1.13af68db441dfp+0, -0x1.79ed8eb3c01d3p-1}, 
        {0x1.70a3d70a3d70ap+0, 0x1.7ae147ae147aep+0, 0x1.b1a6506141637p-3, -0x1.790e2bad7f77p-1, 0x1.fa04df4f0ac79p-1, -0x1.56e12c23db2f6p-1}, 
        {0x1.7ae147ae147aep+0, 0x1.851eb851eb852p+0, 0x1.7878b7a1c25dp-3, -0x1.52383b33d6e63p-1, 0x1.d0df9c926b5b7p-1, -0x1.4a8dc0bcd2771p-1}, 
        {0x1.851eb851eb852p+0, 0x1.8f5c28f5c28f6p+0, 0x1.453f39d1b2e5ap-3, -0x1.2e9dce86d4a54p-1, 0x1.a9350052ccfb3p-1, -0x1.36e7d0e8dcd3ap-1}, 
        {0x1.8f5c28f5c28f6p+0, 0x1.999999999999ap+0, 0x1.17785729b280fp-3, -0x1.0e179b7bffe13p-1, 0x1.83e5fbbbfa297p-1, -0x1.19d2fb9fb8a6dp-1}, 
        {0x1.999999999999ap+0, 0x1.a3d70a3d70a3dp+0, 0x1.dd54da4ce8102p-4, -0x1.e0d382280d1d9p-2, 0x1.6214586b5ee23p-1, -0x1.11cc409843e53p-1}, 
        {0x1.a3d70a3d70a3dp+0, 0x1.ae147ae147ae1p+0, 0x1.94ca925fe974ap-4, -0x1.aacd4c7d18644p-2, 0x1.4139466d942d4p-1, -0x1.edf803fe637d1p-2}, 
        {0x1.ae147ae147ae1p+0, 0x1.b851eb851eb85p+0, 0x1.547cfa26a22b4p-4, -0x1.79c6f6b12fdaep-2, 0x1.2395ea074687p-1, -0x1.d4876ed5f0184p-2}, 
        {0x1.b851eb851eb85p+0, 0x1.c28f5c28f5c29p+0, 0x1.1ba7fc32ebe5ap-4, -0x1.4d5f5889ba686p-2, 0x1.07794ee5f58fcp-1, -0x1.afea40a9dd149p-2}, 
        {0x1.c28f5c28f5c29p+0, 0x1.ccccccccccccdp+0, 0x1.d32830a0b1bbdp-5, -0x1.254a3199c4ebep-2, 0x1.db1e2fa30e089p-2, -0x1.8bcf8e829a554p-2}, 
        {0x1.ccccccccccccdp+0, 0x1.d70a3d70a3d71p+0, 0x1.7b2edfe75bc45p-5, -0x1.012e26b0fca78p-2, 0x1.ab9ee11880a21p-2, -0x1.70d7854bba325p-2}, 
        {0x1.d70a3d70a3d71p+0, 0x1.e147ae147ae14p+0, 0x1.2e2b8c75c4a84p-5, -0x1.c17b6d696e17cp-3, 0x1.7f5c0e8a4b91cp-2, -0x1.50d25c4e7fb92p-2}, 
        {0x1.e147ae147ae14p+0, 0x1.eb851eb851eb8p+0, 0x1.d5f99c38b04abp-6, -0x1.8760ca96d23b1p-3, 0x1.56f0e4be50b92p-2, -0x1.3bdf097a40dfep-2}, 
        {0x1.eb851eb851eb8p+0, 0x1.f5c28f5c28f5cp+0, 0x1.61309c7ffde72p-6, -0x1.538a36ab83fdfp-3, 0x1.3109543f01423p-2, -0x1.0fb17dc87f9b8p-2}, 
        {0x1.f5c28f5c28f5cp+0, 0x1p+1, 0x1.f822bbecaab8ap-7, -0x1.2557a2693246ap-3, 0x1.106ee8fdfc2f6p-2, -0x1.055aff63c130dp-2}, 
        {0x1p+1, 0x1.051eb851eb852p+1, 0x1.49cf56eac8605p-7, -0x1.f88626e627f1fp-4, 0x1.e224240cfd345p-3, -0x1.d5c50950f64d6p-3}, 
        {0x1.051eb851eb852p+1, 0x1.0a3d70a3d70a4p+1, 0x1.6872b020c49bcp-8, -0x1.afe427c62290cp-4, 0x1.a9c4d103460c3p-3, -0x1.9e35dbf4a531ap-3}, 
        {0x1.0a3d70a3d70a4p+1, 0x1.0f5c28f5c28f6p+1, 0x1.a3f4666ec9e28p-10, -0x1.6fbea0d08fba3p-4, 0x1.781045fa656cap-3, -0x1.716386dc748ecp-3}, 
        {0x1.0f5c28f5c28f6p+1, 0x1.147ae147ae148p+1, -0x1.bf7ad4b2745bbp-10, -0x1.371edfd2587a3p-4, 0x1.4bbca66f4d32ap-3, -0x1.5c3c0899887fbp-3}, 
        {0x1.147ae147ae148p+1, 0x1.199999999999ap+1, -0x1.26b723ee1bd1ep-8, -0x1.0562c05c0558ap-4, 0x1.21f2e2d7c1effp-3, -0x1.1dac56bd6986cp-3}, 
        {0x1.199999999999ap+1, 0x1.1eb851eb851ecp+1, -0x1.bfbdf090f733bp-8, -0x1.b3790a47f1109p-5, 0x1.ff5602c9bc78p-4, -0x1.0d129c70d132ap-3}, 
        {0x1.1eb851eb851ecp+1, 0x1.23d70a3d70a3dp+1, -0x1.1f46ed245b291p-7, -0x1.66d343b9997c7p-5, 0x1.bec22f298a42ep-4, -0x1.dc126efea8805p-4}, 
        {0x1.23d70a3d70a3dp+1, 0x1.28f5c28f5c28fp+1, -0x1.5336deb95e5bp-7, -0x1.23ea079644ad7p-5, 0x1.85a1409019e21p-4, -0x1.75910b23b0c36p-4}, 
        {0x1.28f5c28f5c28fp+1, 0x1.2e147ae147ae1p+1, -0x1.7d1fe64f54d1fp-7, -0x1.d251bba639eb1p-6, 0x1.58cd497756976p-4, -0x1.8da964729af1cp-4}, 
        {0x1.2e147ae147ae1p+1, 0x1.3333333333333p+1, -0x1.9e3864cb5bb38p-7, -0x1.6b9e25dd2b6c7p-6, 0x1.29151eb143ff7p-4, -0x1.a792c623c57p-5}, 
        {0x1.3333333333333p+1, 0x1.3851eb851eb85p+1, -0x1.b79d909f1f14ap-7, -0x1.109e1f953925ap-6, 0x1.0fab0890663b4p-4, -0x1.319887a2ed3e2p-3}, 
        {0x1.3851eb851eb85p+1, 0x1.3d70a3d70a3d7p+1, -0x1.ca42aed139431p-7, -0x1.8ad66753c9067p-7, 0x1.8ca673dcd5774p-5, 0x1.2823680a5341p-2}, 
        {0x1.3d70a3d70a3d7p+1, 0x1.6b851eb851eb8p+1, -0x1.d6e8af81626b3p-7, -0x1.bcd85fa047eacp-8, 0x1.5478b38cf9187p-4, -0x1.5b7d5254d4ac6p-4}, 
        {0x1.6b851eb851eb8p+1, 0x1.cp+1, -0x1.47ae147ae147bp-7, 0x1.48ee4ccc9d502p-6, -0x1.1689a5d1503ffp-7, 0x1.c24b22de66ab8p-4}, 
      }}, 
      -0x1.2961fe7ac9b95p-2, 0x1.87b1054145cdbp-3
    }
  };
  // clang-format on
}

} // namespace dftb
} // namespace Sparrow
} // namespace Scine
